#pragma once

namespace RaindanceResources
{
    #include <raindance/Pack/Textures/Shapes/disk.png>
    #include <raindance/Pack/Textures/Shapes/square.png>
    #include <raindance/Pack/Textures/Shapes/losange.png>
    #include <raindance/Pack/Textures/Shapes/triangle.png>
}

#include "Pack/HUD/pointer.png"
#include "Pack/HUD/play.png"
#include "Pack/HUD/pause.png"
#include "Pack/HUD/expand.png"
#include "Pack/HUD/graph.png"
#include "Pack/HUD/text.png"
#include "Pack/HUD/node.png"
#include "Pack/HUD/label.png"
#include "Pack/HUD/loupe.png"
#include "Pack/HUD/flag.png"
#include "Pack/HUD/marker.png"
#include "Pack/HUD/bug.png"
#include "Pack/HUD/spheres.png"

#include "Pack/HUD/eye.png"
#include "Pack/HUD/white-disk.png"

#include "Pack/background.png"

#include "Pack/disk-white.png"
#include "Pack/square-white.png"
#include "Pack/sphere.png"
#include "Pack/circle.png"
#include "Pack/target.png"

#include "Pack/cube.vert"
#include "Pack/cube.frag"
#include "Pack/quad.vert"
#include "Pack/quad.frag"
#include "Pack/sphere.vert"
#include "Pack/sphere.frag"
#include "Pack/globe.vert"
#include "Pack/globe.frag"
#include "Pack/graph.vert"
#include "Pack/graph.frag"
#include "Pack/curve.vert"
#include "Pack/curve.frag"

#include "Pack/SpaceView/node-activity.png"

#include "Pack/WorldView/geoline.vert"
#include "Pack/WorldView/geoline.frag"

#include "Pack/ParticleView/node.vert"
#include "Pack/ParticleView/node.frag"
#include "Pack/ParticleView/physics.cl"

#include "Pack/Earth/black-and-blue.jpg"
#include "Pack/Earth/world-2048x1024.jpg"
#include "Pack/Earth/miller-2048x1502.jpg"
#include "Pack/Earth/miller-2048x1502-bw.jpg"
#include "Pack/Earth/globe.png"
#include "Pack/Earth/world-map-icon.png"

#include "Pack/world.vert"
#include "Pack/world.frag"

#include "Pack/Spheres/starfield.png"
#include "Pack/Spheres/perlin.jpg"

#include "Pack/Particle/ball.png"
#include "Pack/Particle/metaball.png"

// Country flags

#include "Pack/Countries/ad.png"
#include "Pack/Countries/ae.png"
#include "Pack/Countries/af.png"
#include "Pack/Countries/ag.png"
#include "Pack/Countries/ai.png"
#include "Pack/Countries/al.png"
#include "Pack/Countries/am.png"
#include "Pack/Countries/an.png"
#include "Pack/Countries/ao.png"
#include "Pack/Countries/ar.png"
#include "Pack/Countries/as.png"
#include "Pack/Countries/at.png"
#include "Pack/Countries/au.png"
#include "Pack/Countries/aw.png"
#include "Pack/Countries/ax.png"
#include "Pack/Countries/ba.png"
#include "Pack/Countries/bb.png"
#include "Pack/Countries/bd.png"
#include "Pack/Countries/be.png"
#include "Pack/Countries/bf.png"
#include "Pack/Countries/bg.png"
#include "Pack/Countries/bh.png"
#include "Pack/Countries/bi.png"
#include "Pack/Countries/bj.png"
#include "Pack/Countries/bm.png"
#include "Pack/Countries/bn.png"
#include "Pack/Countries/bo.png"
#include "Pack/Countries/br.png"
#include "Pack/Countries/bs.png"
#include "Pack/Countries/bt.png"
#include "Pack/Countries/bw.png"
#include "Pack/Countries/by.png"
#include "Pack/Countries/bz.png"
#include "Pack/Countries/ca.png"
#include "Pack/Countries/cd.png"
#include "Pack/Countries/cf.png"
#include "Pack/Countries/cg.png"
#include "Pack/Countries/ch.png"
#include "Pack/Countries/ci.png"
#include "Pack/Countries/ck.png"
#include "Pack/Countries/cl.png"
#include "Pack/Countries/cm.png"
#include "Pack/Countries/cn.png"
#include "Pack/Countries/co.png"
#include "Pack/Countries/cr.png"
#include "Pack/Countries/cu.png"
#include "Pack/Countries/cv.png"
#include "Pack/Countries/cx.png"
#include "Pack/Countries/cy.png"
#include "Pack/Countries/cz.png"
#include "Pack/Countries/de.png"
#include "Pack/Countries/dj.png"
#include "Pack/Countries/dk.png"
#include "Pack/Countries/dm.png"
#include "Pack/Countries/do.png"
#include "Pack/Countries/dz.png"
#include "Pack/Countries/ec.png"
#include "Pack/Countries/ee.png"
#include "Pack/Countries/eg.png"
#include "Pack/Countries/er.png"
#include "Pack/Countries/es.png"
#include "Pack/Countries/et.png"
#include "Pack/Countries/eu.png"
#include "Pack/Countries/fi.png"
#include "Pack/Countries/fj.png"
#include "Pack/Countries/fk.png"
#include "Pack/Countries/fm.png"
#include "Pack/Countries/fo.png"
#include "Pack/Countries/fr.png"
#include "Pack/Countries/ga.png"
#include "Pack/Countries/gd.png"
#include "Pack/Countries/ge.png"
#include "Pack/Countries/gg.png"
#include "Pack/Countries/gh.png"
#include "Pack/Countries/gi.png"
#include "Pack/Countries/gl.png"
#include "Pack/Countries/gm.png"
#include "Pack/Countries/gn.png"
#include "Pack/Countries/gq.png"
#include "Pack/Countries/gr-cy.png"
#include "Pack/Countries/gr.png"
#include "Pack/Countries/gs.png"
#include "Pack/Countries/gt.png"
#include "Pack/Countries/gu.png"
#include "Pack/Countries/gw.png"
#include "Pack/Countries/gy.png"
#include "Pack/Countries/hk.png"
#include "Pack/Countries/hn.png"
#include "Pack/Countries/hr.png"
#include "Pack/Countries/ht.png"
#include "Pack/Countries/hu.png"
#include "Pack/Countries/id.png"
#include "Pack/Countries/ie.png"
#include "Pack/Countries/il.png"
#include "Pack/Countries/im.png"
#include "Pack/Countries/in.png"
#include "Pack/Countries/io.png"
#include "Pack/Countries/iq.png"
#include "Pack/Countries/ir.png"
#include "Pack/Countries/is.png"
#include "Pack/Countries/it.png"
#include "Pack/Countries/je.png"
#include "Pack/Countries/jm.png"
#include "Pack/Countries/jo.png"
#include "Pack/Countries/jp.png"
#include "Pack/Countries/ke.png"
#include "Pack/Countries/kg.png"
#include "Pack/Countries/kh.png"
#include "Pack/Countries/ki.png"
#include "Pack/Countries/km.png"
#include "Pack/Countries/kn.png"
#include "Pack/Countries/kp.png"
#include "Pack/Countries/kr.png"
#include "Pack/Countries/kw.png"
#include "Pack/Countries/ky.png"
#include "Pack/Countries/kz.png"
#include "Pack/Countries/la.png"
#include "Pack/Countries/lb.png"
#include "Pack/Countries/lc.png"
#include "Pack/Countries/li.png"
#include "Pack/Countries/lk.png"
#include "Pack/Countries/lr.png"
#include "Pack/Countries/ls.png"
#include "Pack/Countries/lt.png"
#include "Pack/Countries/lu.png"
#include "Pack/Countries/lv.png"
#include "Pack/Countries/ly.png"
#include "Pack/Countries/ma.png"
#include "Pack/Countries/mc.png"
#include "Pack/Countries/md.png"
#include "Pack/Countries/me.png"
#include "Pack/Countries/mg.png"
#include "Pack/Countries/mh.png"
#include "Pack/Countries/ml.png"
#include "Pack/Countries/mn.png"
#include "Pack/Countries/mo.png"
#include "Pack/Countries/mp.png"
#include "Pack/Countries/mq.png"
#include "Pack/Countries/mr.png"
#include "Pack/Countries/ms.png"
#include "Pack/Countries/mt.png"
#include "Pack/Countries/mu.png"
#include "Pack/Countries/mv.png"
#include "Pack/Countries/mw.png"
#include "Pack/Countries/mx.png"
#include "Pack/Countries/my.png"
#include "Pack/Countries/mz.png"
#include "Pack/Countries/na.png"
#include "Pack/Countries/ne.png"
#include "Pack/Countries/nf.png"
#include "Pack/Countries/ng.png"
#include "Pack/Countries/ni.png"
#include "Pack/Countries/nl.png"
#include "Pack/Countries/nm.png"
#include "Pack/Countries/no.png"
#include "Pack/Countries/np.png"
#include "Pack/Countries/nr.png"
#include "Pack/Countries/nu.png"
#include "Pack/Countries/nz.png"
#include "Pack/Countries/om.png"
#include "Pack/Countries/pa.png"
#include "Pack/Countries/pf.png"
#include "Pack/Countries/pg.png"
#include "Pack/Countries/ph.png"
#include "Pack/Countries/pk.png"
#include "Pack/Countries/pl.png"
#include "Pack/Countries/pm.png"
#include "Pack/Countries/pn.png"
#include "Pack/Countries/pr.png"
#include "Pack/Countries/pt.png"
#include "Pack/Countries/pw.png"
#include "Pack/Countries/py.png"
#include "Pack/Countries/qa.png"
#include "Pack/Countries/ro.png"
#include "Pack/Countries/rs.png"
#include "Pack/Countries/ru.png"
#include "Pack/Countries/rw.png"
#include "Pack/Countries/sa.png"
#include "Pack/Countries/sb.png"
#include "Pack/Countries/sc.png"
#include "Pack/Countries/sd.png"
#include "Pack/Countries/se.png"
#include "Pack/Countries/sg.png"
#include "Pack/Countries/sh.png"
#include "Pack/Countries/si.png"
#include "Pack/Countries/sk.png"
#include "Pack/Countries/sl.png"
#include "Pack/Countries/sm.png"
#include "Pack/Countries/sn.png"
#include "Pack/Countries/so.png"
#include "Pack/Countries/sr.png"
#include "Pack/Countries/st.png"
#include "Pack/Countries/sv.png"
#include "Pack/Countries/sy.png"
#include "Pack/Countries/sz.png"
#include "Pack/Countries/tc.png"
#include "Pack/Countries/td.png"
#include "Pack/Countries/tg.png"
#include "Pack/Countries/th.png"
#include "Pack/Countries/tj.png"
#include "Pack/Countries/tl.png"
#include "Pack/Countries/tm.png"
#include "Pack/Countries/tn.png"
#include "Pack/Countries/to.png"
#include "Pack/Countries/tr.png"
#include "Pack/Countries/tt.png"
#include "Pack/Countries/tv.png"
#include "Pack/Countries/tw.png"
#include "Pack/Countries/tz.png"
#include "Pack/Countries/ua.png"
#include "Pack/Countries/ug.png"
#include "Pack/Countries/uk.png"
#include "Pack/Countries/us.png"
#include "Pack/Countries/uy.png"
#include "Pack/Countries/uz.png"
#include "Pack/Countries/vc.png"
#include "Pack/Countries/ve.png"
#include "Pack/Countries/vg.png"
#include "Pack/Countries/vh.png"
#include "Pack/Countries/vi.png"
#include "Pack/Countries/vn.png"
#include "Pack/Countries/vu.png"
#include "Pack/Countries/wf.png"
#include "Pack/Countries/ws.png"
#include "Pack/Countries/ye.png"
#include "Pack/Countries/yt.png"
#include "Pack/Countries/yu.png"
#include "Pack/Countries/za.png"
#include "Pack/Countries/zm.png"
#include "Pack/Countries/zw.png"
