// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_24_latin1_BITMAP_HEIGHT        162
#define STB_FONT_arial_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_24_latin1_FIRST_CHAR            32
#define STB_FONT_arial_24_latin1_NUM_CHARS            224

#define STB_FONT_arial_24_latin1_LINE_SPACING          16

static unsigned int stb__arial_24_latin1_pixels[]={
    0x40a98d44,0x220000a9,0x8064402a,0x5cc00098,0x5554c00a,0x5531aaaa,
    0x8800e635,0x00300009,0x20003971,0x001bcca9,0x54c00660,0x098801aa,
    0x5300b260,0x2c8b2a01,0x006600b2,0xf7001310,0x3f90fee7,0x01fe4000,
    0x06fa8172,0xbffffd10,0xfffffd30,0x3fee9fff,0x1003f14f,0xf0003ffd,
    0x3ffff203,0xeb800dff,0xdfffffff,0x027ec002,0x4027ffe4,0x3fee02fe,
    0x3207f205,0x4f93e4ff,0x3002fdc0,0x59300dff,0x03f9072a,0x1017e200,
    0x02fb803f,0x5fb12fc8,0x57ffffcc,0x7f71bfea,0x6c035c13,0x2000feaf,
    0x59df9079,0x440dfb73,0x510acefe,0xe8005fd9,0x7dcc400f,0x4027d404,
    0x3d700fd8,0x24f83df0,0x0077c04f,0x05f9ef88,0x003f9000,0xbb002a20,
    0x3e00ee00,0xffb37cc6,0x707e4fff,0x405f105f,0x005933c9,0x037dc2dc,
    0x7fd107fb,0x800bf600,0x9f5001c8,0x2a004a80,0x27c4001f,0x4c09f27c,
    0x472a000c,0x009881cb,0x4c7f2131,0x2013100a,0x10be6098,0x42a88035,
    0x3fa0c0ff,0x83f27fff,0x88db02fb,0x8154401a,0x7fc42ea9,0xb03fe201,
    0x3601309f,0x65cc402f,0x04fa800a,0x00159731,0x206205f5,0x3e4f83f9,
    0xa8803514,0x15973102,0x7e413ea0,0xfffd7f92,0x904fa81b,0x7cc3ec5f,
    0x2a2fcc05,0x3ffa01ff,0xb83f27ff,0x4c7f502f,0x22fcc05f,0x20dffffc,
    0xa80804fa,0xafffe44f,0xfb817a6f,0x02efffff,0x3fee13ea,0x202effff,
    0x83f902fa,0x3e4f83f9,0xf980bf34,0xfffffb85,0xf07f82ef,0x4dfffe4f,
    0xf07f85fd,0x5f985f8f,0x3e62fcc0,0xfff704ff,0xf707e4ff,0xbf32fc05,
    0x3ee5f980,0x2e6ffc9d,0x8dd0003f,0xfefb9cfd,0x7fec1f24,0x1ffda99b,
    0xffd89f50,0x1ffda99b,0x3f207f30,0x27c1fcc1,0x3017e69f,0x9bffd8bf,
    0x641ffda9,0xf927cc2f,0xfc87f90f,0x9f327cc2,0xf980bf30,0x3fa6fee5,
    0x7fffc41e,0x2fb83f27,0x05f99ba0,0x26f9afcc,0x3fb2fdbd,0x647f1000,
    0x31ffd43f,0x00dfb83f,0x9f503ff5,0xfa806fdc,0x903f881f,0xf82fa83f,
    0x02fcd3e4,0x0dfb97e6,0x7cc3ff50,0xbf90fe44,0x4f98bf50,0x07f50fe4,
    0x5f980bf3,0x89ff917a,0x3f27ffc9,0x7d80bee0,0xbf3017e6,0xa89f8bee,
    0x30003fd0,0x221be23f,0x88fe21ff,0x37dc00ff,0x0ff8a7d4,0x6f837dc0,
    0x0fd83f90,0x7ccb24f8,0xf8afcc05,0x237dc00f,0x3f237c7e,0x7e86f882,
    0x20bee37c,0x2fcc05f9,0x05ff50bf,0x2e0fc9fa,0x4c7f602f,0xcafcc05f,
    0x3f20f31f,0x50fb8002,0xf31fa07f,0xe8027dc5,0xfba7d40f,0x301fd004,
    0x31fc83bf,0x413e07fb,0xafcc05f9,0x1fd004fb,0x43fa97dc,0x70fd00fc,
    0xf90fea5f,0x980bf303,0x260bfa5f,0x7e4fb06f,0xfc80bee0,0xf980bf32,
    0x41721fd5,0x209803fb,0x7c07f26d,0x5f907dc6,0xf50bf600,0x6c00bf29,
    0xc89f702f,0x7c09f51f,0x980bf304,0x2005f95f,0x6d7e22fd,0xf80fe40f,
    0x1fb5f886,0x5f982fb8,0xff32fcc0,0x9f60df09,0x80bee0fc,0x80bf30fd,
    0x3a3f95f9,0xd00bf302,0x0fd9b67f,0x23744fa8,0x7f7001fd,0x03fb4fa8,
    0x3ee0fee0,0xc88fe41d,0x2609f03f,0xdafcc05f,0x87f7001f,0xfc85f8fd,
    0xfb04f982,0x07f30bf1,0x5f980bf3,0xf98f7f4c,0x07e4fb03,0x33f405f7,
    0x55f980bf,0x3e61f15f,0xfa80ffa4,0x3f21f70f,0x3f22fe82,0xa8007f41,
    0xfea7d44f,0xf09f5000,0xf907f20b,0x99f49f01,0xeafcc05f,0x89f5000f,
    0xfc82fdfa,0xa817ec0e,0x5f882fdf,0x7cc05f98,0x9fbff905,0x41f93ec0,
    0x997e02fb,0x8afcc05f,0x83f66bef,0xfe982ff9,0x2fd4bea4,0x27dc7ff2,
    0xfb800fec,0x1fda7d43,0xf987f700,0xfa83f903,0x4d3e4f81,0xdafcc05f,
    0x07f7001f,0x3ff20fff,0x404ffbcf,0x21ba07ff,0x27d406f8,0x401dfd30,
    0xfb83f27d,0x7c49f102,0xf727d406,0x509fd5bf,0xfff99fff,0x3f64f88b,
    0xfefeeecf,0x005f704f,0x29f507f2,0x3f9002fb,0x3f903fa8,0x24f82f98,
    0xa80df14f,0x2005f74f,0x04fc81fc,0x7dffb5f9,0x6c09f900,0x5c07f80f,
    0x05fd803f,0x2e0fc9f6,0xf85f502f,0x2e1fdc07,0x2603efff,0x02efffec,
    0xa77641dd,0x8662dfea,0x7f8805f9,0x0bf34fa8,0x5f50ff10,0x7f307f20,
    0xff27c9f0,0xbf33fb80,0x320ff100,0x223f900f,0x803f2000,0x01fe83f9,
    0x81a88bf6,0x64fb00fe,0x740bee0f,0x3601fe86,0x004fd42f,0x88015f10,
    0xfd8001ff,0x32017f43,0x3a4fa85f,0x42fe402f,0x83f902fa,0x3e4f83f8,
    0xfd807fa4,0xf900bfa2,0xfc817e0b,0x00bf0001,0x01df70fb,0x37c41df7,
    0x27d807f4,0x20bee0fc,0x0efb82f9,0x2640efb8,0x017ecc00,0x88017fd4,
    0x3fe884fe,0x3ea0df90,0x640ffa24,0x205f706f,0x427c40fd,0xefb93e4f,
    0x220efb80,0x8df903fe,0x3202fdaa,0x36aa001f,0x82f8802f,0xfedceffd,
    0x99cfc80f,0xc9f606fc,0x826fee0f,0x3bff606d,0xf80ffedc,0x0bf10002,
    0x2f3bfaa0,0xffdca889,0x33bfe603,0x440efedc,0x7fcc4fb9,0x0efedcce,
    0x2207f544,0x13ff07e9,0xfd89f27c,0x0ffedcef,0xdcceff98,0x7fec0efe,
    0x000fe404,0x64009ffb,0xdfffb906,0x3ff62039,0x9f600eff,0x3ffee0fc,
    0xdc803f34,0x981cefff,0x7fe4000f,0x7f54001f,0xcfffffff,0xffdb8800,
    0xffc80bdf,0xffdb884f,0xffb80bdf,0x703ffe84,0x9f27c9ff,0x9dfffb90,
    0x7fedc403,0x1b980bdf,0x4c001880,0x0644001b,0x75000260,0x0c431003,
    0x1d426662,0x02002600,0x0006a600,0x026aea60,0x31003000,0x00300133,
    0x02ea0573,0x91645530,0x00009805,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00198000,
    0x80013300,0x0198002b,0x00013100,0x54400262,0x0cc03511,0x20001310,
    0x15300098,0x5c4002a6,0x3300971b,0x5c400660,0x17910003,0x551540f2,
    0x16c2f260,0xc8001550,0x7cc0004f,0xdf93000e,0x3ff60017,0x77fcc003,
    0x07fc4000,0x9f55f980,0xfa817ee0,0x1ff88006,0x3f25f900,0xffdfb001,
    0x3ffc807f,0xac803fd8,0xeef8003a,0x4ff01fff,0xffef887f,0x13ee00ff,
    0x0003fa00,0xfb001fd8,0x803fffff,0x001fccfb,0x00bf3fd1,0x22002fc8,
    0x3e05933c,0x017e400e,0xa800bee0,0x2001951c,0xa805731c,0x7442fccf,
    0x00b15806,0x03930c88,0x93099264,0x7ec00e54,0x00e44000,0x7002c880,
    0xdf3791bf,0x07914c80,0x0e5472a0,0x51005900,0x932a8803,0x000ee003,
    0xb9880079,0x262000ac,0x26400acb,0x80393099,0x10001eea,0x21540055,
    0x0d4402a8,0x54400350,0x0aa20002,0x93c8fec0,0x02a8805f,0xaaaaaa88,
    0x2aa2aaaa,0x262a8801,0x52fcc05f,0xaaaaa885,0x222aaaaa,0xaaaaaaaa,
    0xfff702aa,0xb805dfff,0x2effffff,0x05501540,0x0005ff70,0x7c00bfee,
    0x300ffd47,0x4c4062bf,0x017fdc00,0x802ffb80,0x002790fe,0x26017fdc,
    0xffffffff,0x03fea6ff,0x2fcc9fb0,0x47f97e60,0xfffffff9,0x3fe66fff,
    0xffffffff,0x99bffd86,0xfb01ffda,0xffb5337f,0xff03fc03,0x00dfdd00,
    0x401bfba0,0x077fd47f,0x03f95f98,0xfee805f7,0xdfdd0006,0x0f25f900,
    0x80dfdd00,0xaaaaaef9,0x2fec2aaa,0x5f98df70,0x8ff2fcc0,0xaaaaaef9,
    0x3be62aaa,0xaaaaaaaa,0xa806fdc2,0x06fdc1ff,0xff01ffa8,0x3e603fc0,
    0x4c001fcc,0xf801fccf,0x827ffd47,0x703f95f9,0x667cc05f,0x67cc001f,
    0x7fcc01fc,0x3e6003dc,0x3e601fcc,0x2ff88005,0x7cc1ff88,0xff2fcc05,
    0x4c005f98,0x7fc4005f,0xf137dc00,0x06fb801f,0x203fc0ff,0x004f99fc,
    0x027ccfe4,0x3f3ea3fc,0xf95f982f,0x6405f703,0x4004f99f,0x804f99fc,
    0x01befffa,0x04f99fc8,0x540017e6,0x41fec0ff,0x2fcc05f9,0x005f98ff,
    0x2e002fcc,0x21fd004f,0x1fd004fb,0x03fc0ff0,0x000ff9fe,0x400ff9fe,
    0x7d67d47f,0xfcafcc0e,0x3e02fb81,0xf8003fe7,0x54003fe7,0x7c03fffe,
    0x7cc03fe7,0x97f60005,0x0bf305fa,0x31fe5f98,0x5f9800bf,0x8017e400,
    0x005f92fd,0x81fe0bf6,0xc93ea07f,0x49f5003f,0x23fc03fc,0x989fb4fa,
    0xf703f95f,0xfc93ea05,0x649f5003,0x32f2003f,0x49f502ff,0x0bf303fc,
    0x457fc400,0x0bf300ff,0x31fe5f98,0x5f9800bf,0x800fec00,0x003fb3fb,
    0x81fe0fee,0x987f607f,0x43fb006f,0x23fc06f9,0x45ff14fa,0x703f95f9,
    0x987f605f,0x43fb006f,0x4f2006f9,0x43fb05fa,0xdff306f9,0x3ddddddd,
    0x17e77d40,0xf980bf30,0xdff31fe5,0x3ddddddd,0x77777fcc,0x3fa1eeee,
    0x3a9f5000,0x09f5000f,0x883fc0ff,0x401fe86f,0x01fe86f8,0x549f51fe,
    0x32bf30ef,0x882fc81f,0x401fe86f,0x01fe86f8,0x6f89e475,0x1fe86f88,
    0xffffff98,0x6c01ffff,0x2fcc05ff,0x47f97e60,0xfffffff9,0x3fe61fff,
    0xffffffff,0x5c007f61,0x2003fb3f,0x207f83fb,0x55bf707f,0xb809fb55,
    0xfdaaaadf,0x9f51fe04,0x2bf34fd8,0x82fd82fc,0xdaaaadfb,0x56fdc04f,
    0xf04fdaaa,0x2fccf21f,0x55556fdc,0x05f984fd,0x00ff8800,0x3ea037c4,
    0x0bf31fe4,0x4005f980,0x3f9002fb,0x7e400bee,0x1fe07f81,0x7ffffff4,
    0x3fa00fff,0xffffffff,0x4fa8ff00,0xafcd7fc4,0x17fcc4fb,0x7ffffff4,
    0x3fa00fff,0xffffffff,0x2793fd80,0xfffe83fc,0x40ffffff,0xf00005f9,
    0x701fe00f,0x3e63fc7f,0x02fcc005,0x22017e60,0x2017e67f,0x40ff07f8,
    0xaaef987f,0x03fdaaaa,0x55555df3,0x1fe07fb5,0x3ff509f5,0x2b7fe2bf,
    0x7cc2fdfc,0xdaaaaaae,0x55df303f,0x07fb5555,0xfdbbbff3,0x555df30d,
    0x987fb555,0xff00005f,0xd807fa00,0xbf31fe2f,0x005f9800,0x7e402fe8,
    0x32017f45,0x7c0ff05f,0x2602fc87,0x405f906f,0xa8ff06f9,0xbfdfb04f,
    0x4dffff4c,0x3017e42f,0x80bf20df,0xffd306f9,0x5f901bff,0x3e637cc0,
    0x0ff00005,0x2e03bee0,0xf31fe0ef,0x05f9800b,0x903fe880,0x07fd10df,
    0x07f81bf2,0x201fe1fe,0x807f81fe,0x547f81fe,0xbfff104f,0x0ff00110,
    0x0ff03fd0,0x6c403fd0,0x201fe00c,0x017e61fe,0xb003fc00,0xffdb9dff,
    0x2fcc7f81,0x0017e600,0x6e677fcc,0xff300efe,0x1dfdb99d,0x8ff03fc0,
    0x5fb804fa,0x7dc027d4,0x27d47f85,0x000bff50,0x3ee013ea,0x5c027d45,
    0x501e405f,0x4bf7009f,0xeeeeeff9,0x7c00eeee,0x7fee4007,0x47f81cef,
    0xeeeeeff9,0xff30eeee,0xdddddddd,0xffb7101d,0xb88017bf,0x00bdfffd,
    0xd8ff03fc,0x0ff8802f,0x3e200bf6,0x3ea3fc0f,0x002fec04,0xf8802fd8,
    0x200bf60f,0x02200ff8,0xf8802fd8,0xfffff30f,0x01ffffff,0x260007f8,
    0x3e63fc00,0xffffffff,0xffff30ff,0x1fffffff,0x18000300,0xff03fc00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00aa2a80,0x00a9854c,
    0x002b2e60,0x98010d4c,0x0371002a,0x55000644,0x0aa2a803,0x5400aa20,
    0xaa800aa2,0x00154c01,0x50001551,0x05510035,0x10026040,0x26040055,
    0x7f81d400,0x3ee00df1,0xf9005f92,0x03dfffff,0x05f99f90,0x3600ff44,
    0x0d905fdf,0x20077c40,0xd00df17f,0x2ff009ff,0xdf1006f8,0x01fe8801,
    0x3000ff20,0xffd001df,0x77dfb009,0x4ffe803f,0xfbbefd80,0x4c827400,
    0x8e5400f2,0x77e401ca,0x1ffdb99b,0x00fff4c0,0x5f302fc4,0x05f107e6,
    0x6400fe40,0x5f900f24,0x24c807f7,0x03f9003c,0xd0017e20,0x0fe4001f,
    0x1fdd7e40,0xbfd75f50,0x3fbafc80,0x3faebea0,0x1017c404,0x55510055,
    0x55555555,0x2a01bf70,0x99fb00ff,0x80a6005f,0xd90fe0fb,0x0001a800,
    0x15455100,0x03500000,0x44002980,0x006a000a,0x202a8aa2,0x2a200408,
    0x40880aa2,0x200fa800,0x7cc02ffb,0xffffffff,0x007fcc6f,0x845417f2,
    0x0133006e,0x7ccbd1f6,0x004cc002,0x10009988,0x4cc00133,0x01331000,
    0x40026620,0x31001a98,0x04cc0035,0x20013300,0x31001a98,0x80db0035,
    0x7cc06fee,0xaaaaaaae,0x801fdc2a,0xdfff907f,0x3fae209f,0x87e40dff,
    0x401b63f8,0x0dfffeb8,0xbffffb10,0x3fff6201,0xfd7100df,0x36201bff,
    0x100dffff,0x01bffffb,0x3fffffa6,0xffffd302,0x3fae205f,0xd7100dff,
    0x2601bfff,0x02fffffe,0x5fffffd3,0x9f301fc0,0x2fcc03f9,0x800fe400,
    0x5fff41fe,0x7c41fffc,0x46feaaef,0x261f53fa,0xeff8802f,0xfd06feaa,
    0x20dfd55b,0x6feaadfe,0xeaaeff88,0x55bfd06f,0x37fa0dfd,0xf986feaa,
    0x0ffda9bf,0x6d4dffcc,0x77fc40ff,0xf886feaa,0x86feaaef,0xfda9bff9,
    0x4dffcc0f,0xf980ffda,0x3e67f201,0x0017e604,0x7e4003fa,0xfd113ee3,
    0xfd83fd87,0xb27ffe43,0x20ff600d,0x427dc3fd,0x427dc2fc,0x41fec2fc,
    0x427dc3fd,0x427dc2fc,0x417e42fc,0x417e42fd,0x41fec2fd,0x41fec3fd,
    0x417e43fd,0x417e42fd,0x407b82fd,0x4c03fe7f,0x07f8005f,0x0ff93ee0,
    0x83fc4fb8,0x20a886fa,0x202e21f9,0xe8df507f,0x745f981f,0x7c5f981f,
    0xfe8df507,0x7f45f981,0x0c45f981,0x80c42fb8,0xa83fc2fb,0xfa83fc6f,
    0x2fb80c46,0x82fb80c4,0xc93ea05e,0x00bf303f,0x32001fd0,0x220df12f,
    0x4417e26f,0x64bb007f,0x17e24fef,0x33fe3fc4,0x46fccccc,0xccccccff,
    0x4417e26f,0x6667fc7f,0x7fc6fccc,0x6fcccccc,0xffdb7510,0x3b6ea207,
    0x417e23ff,0x417e27f8,0xb75107f8,0x2a207ffd,0x443ffedb,0x987f602f,
    0xddff306f,0x83dddddd,0x3fd002fc,0x27f817e2,0x03fa05f9,0x4be63f30,
    0x40bf30fa,0xffff10fe,0x44ffffff,0xffffffff,0xe817e67f,0xfffff10f,
    0x7c4fffff,0xffffffff,0xcefffd87,0xfffd83fd,0x3e63fdce,0x7cc3fa05,
    0xfb03fa05,0x07fb9dff,0xfb9dfffb,0xf100fa87,0xf303fd0d,0xffffffff,
    0x805fa83f,0x41fe0ff8,0x817e27f8,0x2e5e806f,0x3e27f10f,0x7f89be05,
    0x801fe200,0x89be05f8,0x1fe2007f,0x415bfb00,0x56fec3fb,0x5f88fee0,
    0x05f89be0,0x15bfb1be,0x37f61fdc,0xd90fee0a,0x5556fdc0,0x5f984fda,
    0x41ff8800,0xd87fb2ea,0x7c5fb81f,0xa80bf107,0x4bf1b61f,0xf8bf107f,
    0x7c2c882f,0x7c2c882f,0xff8bf107,0x7fc2c882,0x3e22c882,0x7c47fb07,
    0x7f87fb07,0x07f8bf10,0x83fc4bf1,0x41fe23fd,0xd02743fd,0xffffffff,
    0x005f981f,0x6cc5ff30,0x4fb86fff,0x3f217f44,0x201fec44,0x7f13dc5e,
    0x3f6227e4,0x7ec2fdc3,0x7ec2fdc3,0x36227e43,0x6c2fdc3f,0x6c2fdc3f,
    0x261fe23f,0x21fe23ff,0x27e43ff9,0x9f90ff62,0x3e23fd88,0x223ff987,
    0x23ff987f,0x5df301f9,0x7fb55555,0x20005f98,0xfdcceff9,0xefe884ff,
    0xe885ffcb,0x04ffcbff,0x4be20fd4,0x3ffa20fa,0xfd04ffcb,0x20bfb79f,
    0x5fdbcffe,0xfcbffe88,0x79ffd04f,0x3ffa0bfb,0xfc85fdbc,0x3fefcaad,
    0x7e556fe4,0x7ff443fe,0xe884ffcb,0x84ffcbff,0xefcaadfc,0x556fe43f,
    0x1ee3fefc,0x3e602fc8,0x0002fcc6,0x37fffae6,0xfc82ffcb,0x32203fff,
    0xe803efff,0x09fdfb05,0x07dfff91,0x0befffc8,0x2fbfff20,0xdfff9100,
    0xefffc807,0x3fff200b,0xfec880be,0x446f8aef,0xf8aeffec,0xefffc886,
    0x3fff2203,0xffd9103e,0xc88df15d,0x6f8aeffe,0x807f8176,0x017e61fe,
    0xd8808800,0x10002204,0x80322001,0x008800b8,0x22000440,0x00044000,
    0x01100022,0x22000440,0x00088000,0x01100044,0x04c00880,0xfb804fa8,
    0x3bbbfe65,0x00eeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x1ff1005f,0x3fffffe6,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55000000,0x66cc0154,0x20066000,0x22000bb9,
    0x2aea2009,0x9302c800,0x26039100,0x30059004,0x43b80057,0x8055402b,
    0x2600aa2a,0x81544009,0x80130098,0x15c2bca8,0x2a200350,0x54c40260,
    0x37c5fe00,0x2024c6c0,0x84efffd8,0x0effffe8,0x3a05fb80,0x7e407ece,
    0xe807fa80,0x900ff505,0x7ff4401f,0x89d001ff,0x81be603f,0x640df16f,
    0x3a03ffff,0x83fa84ff,0xffd704f8,0x5f55dfff,0x3ffffd88,0x5bfffd10,
    0xffff705f,0x3229901b,0x0498d803,0x7ed577ec,0x5c45fec2,0x05fb803f,
    0x407ea191,0x7efd82fa,0x7ec07e40,0x017cc07e,0x02fd4bf2,0x05f31fc4,
    0x279007ec,0x5df703c8,0x5f907ff7,0x83fa85f9,0xbffb84f8,0x3fffc999,
    0xfea9cfe8,0x64e7f443,0x6fe42fff,0x0005fc9a,0xc8037660,0xf10ff83f,
    0x0000df0b,0x9f105eb8,0xf303dca0,0x103dca05,0xd8df009f,0x70fd400f,
    0x000d401f,0x7445f980,0x2a8aa20f,0x27c41fd4,0x7dc037ee,0x2227d42f,
    0x2217e46f,0x03be22ff,0x353103f9,0x806a6200,0x2613307d,0x402fc44f,
    0xcfe801a8,0x7b806d80,0xf7009d10,0xff8036c0,0x4cc41fe0,0x9fd999fc,
    0x42620310,0x64131018,0x313fb82f,0x1fd42620,0x1ff127c4,0x71bfbe20,
    0x741fd01d,0x7e45f907,0x3a61b881,0x302fffff,0x05fffffd,0x0fea00df,
    0x7f5003f9,0xf713e200,0x360f7003,0x2e0f7006,0x1bf9001f,0x3ff607fb,
    0xffffffff,0x5f703f94,0x8bee07f2,0x329f307d,0xf52fb81f,0x7d49f107,
    0xff1dd104,0x44ff3003,0x745f505f,0xbff9800f,0x4c0ffda9,0xffda9bff,
    0x5401be20,0x4017e23f,0x21d502fb,0x00fe24f8,0x00fd43dc,0x03f887b8,
    0x01ffff40,0x755bf555,0x07f235bf,0x40fe4bee,0x441fa2fb,0xf703f95f,
    0x3e613ea5,0x7740bf24,0xda807fd0,0x5417e63f,0x7eddfe2f,0x6c17e42d,
    0x6c17e42f,0xa8037c2f,0x200fee3f,0x3fa00ff9,0x017a0efe,0x01fc47b8,
    0x00bd0f70,0x004ffd88,0x217cc7f1,0x92fb81fc,0x7c5f703f,0x3f2df106,
    0x9f52fb81,0x0ff49f30,0x09f907ec,0xf10fffe6,0xef8bee0f,0x24ffeefc,
    0x885f7018,0xfe85f701,0x7f51fc80,0xf10077d4,0x8353005f,0x981c80fc,
    0x37513742,0x01f90a60,0xf9ff3039,0x1fa8043f,0x03f903ee,0x207f25f7,
    0x40df12fb,0xf703f96f,0x3ea17ea5,0x3f903fe4,0xb9304fb8,0x81ff87ff,
    0x5fff12fe,0x2a20ff54,0x103ffedb,0x87ffdb75,0x537c44fb,0x81efd87f,
    0x20002fe8,0x03fc82f9,0xbdf10fb8,0x05f300ff,0x1ff987f9,0x09f51df9,
    0xfc86c8f7,0x3f92fb81,0x837c5f70,0x703f95f8,0xd07fea5f,0xf70ff49f,
    0x1007f703,0x227dc5fd,0x7ff12ff9,0x7fecbf70,0xd83fdcef,0x3fdcefff,
    0xfebbefe8,0x3f20fea2,0x0017f42f,0xff709d10,0x2e2f9807,0x4405f50d,
    0x43ffb84e,0x6efec2fc,0x3bffb21f,0x93eeffee,0x325f703f,0x3a2fb81f,
    0x3f29f107,0xff52fb81,0x49ffd99f,0x205f52fd,0x9f5001fd,0xffcbefe8,
    0x2203fe2f,0x415bfb6f,0x56fec3fb,0x7e40fee0,0x1fd42dff,0x17e27fa8,
    0xa86d8004,0x2f403faf,0x6d803ee0,0x7c3fafa8,0x46ffe887,0xfeeeefec,
    0x03f93eee,0x207f25f9,0x4c1fa2fc,0xf903f93f,0x3ff73ea5,0x37ea4f9f,
    0x8ff103fa,0x90df1018,0x45f79fff,0x8ef880fe,0x447fb07f,0x407fb07f,
    0x07f500fa,0x05f997e4,0x0fd407f9,0x901fcfe6,0x01fdc01d,0xf3f983f5,
    0xf981fd87,0x262f884f,0xd82fc81f,0xfb05f92f,0x7e417e45,0x5fb05f92,
    0x20044fea,0x3f204ffe,0x7d407f44,0x22fb8605,0x8cfa81fd,0x23ff987f,
    0x3ff987f8,0x2a0bf260,0x0fd8b93f,0xff881ff1,0xdf07f100,0xf503bf55,
    0x1017ec03,0xf55df07f,0x206fd43b,0x7d43fffd,0x3ee03ee1,0xfb97fcc4,
    0xf117fcc4,0xf737cc1d,0xf52ff989,0x17fdc007,0x4fa85fc8,0xf7003fe8,
    0x36077cc5,0x955bf92f,0xdfc87fdf,0x03fefcaa,0xf507f731,0x3f2b7f27,
    0x545f7e45,0x41ba04fe,0x43efeeee,0x07f604f8,0x3bba0db0,0x7ff43efe,
    0xffbdfecc,0x20d91ee3,0xdfcadff8,0x95bff12f,0xffc85fbf,0x3e21ffcb,
    0x2fdfcadf,0x3a2007f5,0xedcceffe,0x2f7fa05f,0x2e005ffc,0x5df7e42f,
    0x3fb224ff,0x446f8aef,0xf8aeffec,0x01bffb06,0x7ffe47f5,0xffffc80b,
    0x003ee04f,0x9036c1fc,0xb87fffff,0x107f000f,0x547dfffb,0x0bd1b61f,
    0x4dffff4c,0x3fffa62f,0xffb82f9b,0xffe982df,0x7f52f9bf,0x3223ba00,
    0x00bdffff,0x0ffffae2,0xf705f700,0x04409dff,0x88002200,0x20020001,
    0x2200aaa8,0x306a002c,0x55554019,0x001641aa,0x10098035,0x4004c088,
    0x00110008,0x00880088,0x04c00262,0x088000c4,0x40131000,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333000,0x77300133,0x2a218803,0x002a6000,0x4c000d4c,
    0x2a0001bb,0x55e54402,0x59731000,0x26000001,0x0375100a,0x4c4002a6,
    0x15795100,0x00e5c400,0x2a880351,0x82a20057,0x22013109,0xffa85509,
    0x102fffff,0xbffdbffb,0xffd3f901,0x3f2201bf,0x3a604fff,0x4403efff,
    0xdffedffd,0xa83fc000,0x4ffffffe,0x7ffffdc0,0x00ea02ef,0xfd885f70,
    0x7e42efff,0x90bf7001,0x09ffffff,0xffffffc8,0x202fcc0d,0x980db5f9,
    0x3faefffe,0x4bf209f5,0x666fe47f,0xde881ccc,0x03baa20a,0xfb37fff9,
    0x2a77f20b,0xeff883fd,0xd102feaa,0x7754415b,0x2a1fe000,0xea99acff,
    0x37ffb06f,0x303ffb53,0x2fb8009f,0x7fa8e7ec,0xfb800fe4,0x4cdf7ec5,
    0xdf906feb,0x8dfb7359,0xafcc05f9,0xbfd100fa,0x7c7fff93,0x23fcff07,
    0x17a2007d,0x7fc83b60,0x37c43fc8,0x427e437c,0x02f441fe,0x7f80076c,
    0xfb0077cc,0x500dfb87,0x04f983ff,0xff317dc0,0x0fe47f70,0x01ff1000,
    0x0df707fe,0x0bf31fec,0x05f15f98,0x7ff10ff6,0x93e617e4,0xd0037c7f,
    0x0f7bbaab,0x542fe4db,0x641fd45f,0x5c0ff41f,0xfd32f44f,0x8036c3bf,
    0x200ffc7f,0x03fe26f8,0x7d44df70,0x2151009d,0x413ea2fb,0x54c7f22c,
    0x4fa82a00,0xff893ee0,0x4c3fe201,0xd2fcc05f,0x3603fe09,0xf913e63f,
    0x49f13fc3,0x75c3e600,0x3e65ea99,0xdf105f90,0x0ff86f98,0x26f883fc,
    0x139f30f9,0x003e61f9,0x005f99fe,0x8027dc13,0xffff90fe,0xdfffe987,
    0x017ea2fb,0x7fff57e4,0xf30fc40d,0x04fa800f,0x202fcc08,0x221f25f9,
    0xe87f706f,0xa9fe37c7,0x84fffccf,0x8f71ae6b,0x3a01f92f,0xd99cfd87,
    0xa80ff84f,0x86d9ae6f,0x3e00be1b,0x40013ea7,0x5fb002fc,0x886b7ee6,
    0xfffc9dfe,0x6401fe22,0x6feabfff,0x3ffa17c4,0x03fb801b,0x4c05f980,
    0xf307e65f,0xf70fe609,0x4ff0fea5,0xffdceffb,0x33d71ec6,0xf94c89d5,
    0x7e41be03,0x7fd03fff,0xf1ecffb0,0xf0099007,0x80017e4f,0x7f7001fd,
    0x17e427cc,0x7d4cbfe2,0xf900aabf,0x263fc81f,0xffffd82f,0x01fd80bd,
    0x4c05f980,0x3e21fc5f,0xf887f505,0x27f81fb5,0x1ff443eb,0x7fffdc5d,
    0x05f95b83,0x9ff709f3,0xff505ffb,0x4fff9117,0x7005f12e,0x7ecff00b,
    0xeeeee881,0x2001fd1e,0x213e64fa,0x2e5f907e,0x03ffffff,0x4df109f9,
    0xfd7303f9,0x1fe85fff,0x405f9800,0x7c2ec5f9,0xd83fc80f,0x07f85f8f,
    0x7264df70,0x4f60fe6d,0x17ec0efc,0xfe8837ee,0xfffffc82,0x4f9326ea,
    0x200f6098,0x220ff27f,0xb2ffffff,0x8fee003f,0x82fc44f9,0x027d42fb,
    0x27f817e4,0xda8803fa,0x00bf23ff,0xf3017e60,0x7dc0fb8b,0x20ffea0d,
    0x7f82fdfa,0x3d4ff100,0x3e0fd4d7,0xf79fff91,0x503fd09f,0x2f72609f,
    0xdb3d49f1,0x007e2f88,0x005fa9fe,0x00bee5f9,0x89f30fe4,0x85f505f9,
    0x1fc804fa,0x027d4ff0,0x3fb9bea0,0x1be20980,0x2f889f50,0xeffdffd8,
    0x20fff03f,0x6f88047f,0x3635c7e2,0xdafc9ea6,0x0df03eff,0x7f3003fc,
    0xcfe88fc4,0xb89ea5fc,0x1be27f82,0x5f997e40,0x7cc7f880,0x5f905f84,
    0xfc802fc8,0x3ee6f882,0xfd003fa4,0x3a017e61,0xf701fe3f,0x3ae09d07,
    0x903fbadf,0xfe9fe09f,0x7e43fb81,0x4ce443a9,0x0447f23f,0x37cc1fe0,
    0x0bf2032a,0x1664c3f9,0x22fcc7f3,0x02ff46f8,0x05fd17e4,0x27cc5fc8,
    0x42fe83f4,0x07f9006e,0x92fdcbf7,0x747f805f,0x83fea03f,0x0bf601fe,
    0x2fb801b2,0x9fe01f90,0x07f444fa,0x7f300fe4,0x32001fc8,0x543fd84f,
    0xc82fcc4f,0x10fe601f,0x22fdc1ff,0xc880dfe8,0x0ffa22ff,0x2fc437e4,
    0x3fe627e4,0x00267f22,0x2fd81df9,0x3ff997f2,0xff989f90,0x5c4fe982,
    0x0efb80ef,0x03ba0fa8,0x02fc03fa,0xcbdfe8ff,0x37f204ff,0x83feb99b,
    0x3e2001fc,0x06febadf,0x1ff759fd,0x4cdefe40,0xffb03feb,0xd103ffbb,
    0xffdb9dff,0x9dff305d,0x201dfdb9,0x77ec2cff,0xf72fefdb,0xb9bfffff,
    0x5df77e4f,0x22fe45ff,0xfdcdfffa,0xfffa80df,0xb05fffcc,0xffdb9dff,
    0xfc8fe201,0x44fda89d,0x3e02fdaa,0x7fffec47,0xffeb9803,0x03f901bd,
    0xffffd880,0xfff9100c,0xfd730039,0x644037bf,0x2202efff,0x3efffedb,
    0x7ffedc40,0x3fee00bd,0x67ffe445,0x559f32fa,0x21dfffb7,0x3fffd9fc,
    0xed985fc8,0x4c04efff,0x02efffec,0x677ffee4,0x3f22ec01,0xfd84ffff,
    0x303fc04f,0x40020001,0x0cc00018,0x08000600,0x00013000,0x00c00011,
    0x10060040,0x31006620,0x22004c40,0x09880009,0x20009800,0x01373008,
    0x000006e6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54400000,0x55555442,0x11a9801a,0x2a200035,
    0x009aaaaa,0x2aaaaaa2,0x95102aaa,0x54c00159,0xaaaaaaaa,0x2a8802aa,
    0x22154000,0xaaaaaaaa,0x2aaa22aa,0x4c009aaa,0x50002a61,0x530a9815,
    0x802aa001,0x2cb982a8,0x2a200351,0x09aaaaaa,0x7d45fd00,0x4fffffff,
    0x3ea1ff10,0xfff50005,0x03bfffff,0xfffffff3,0xffa81fff,0xf002ffff,
    0xffffffff,0xf700ffff,0x3ea0005f,0x7ffffcc6,0x2a6fffff,0xffffffff,
    0x327f881d,0x3ff2002f,0x1fc97e46,0x7409f700,0x9fffdc2f,0xff3004fa,
    0xffffffff,0x2a6e8803,0xfcbaaadf,0x2a2fb85f,0xdf50005f,0xffb97555,
    0xaaaef985,0x7cc2aaaa,0x1ffb88bf,0x7f56fdc0,0x2aaaaaac,0x006fee80,
    0x7cc6ff88,0xaaaaaaae,0x2abbea2a,0x42ffecba,0x00bf27f8,0x727ce7d4,
    0x8007f23d,0x86fa80fe,0x9f508aff,0x2abbe600,0x1ffecaaa,0x4fa85440,
    0x2a81ff10,0x4cccefd4,0x02fd4009,0x2fcc1ff5,0x3213f600,0xd8ffc04f,
    0x3e60001f,0x6c001fcc,0x02fcc6ff,0xfc817ea0,0x017e400f,0x01550aa8,
    0xfa8007f2,0x7c41fe85,0x3004fa86,0x04fd80bf,0x409f50cc,0x2a0cc2fc,
    0xffffffff,0x80bf502e,0x017e64fc,0xdf301fb0,0x3fb2fdc0,0x4cfe4000,
    0x2bee004f,0x002fcc6f,0x9f9017ea,0x1982fc80,0x21310330,0x803511fc,
    0x117ee1fe,0x7d413bf3,0x80bf3004,0x53fc06f9,0x207ec09f,0x6677d47f,
    0x82ffdccc,0x37c405fa,0x40000bf3,0x87fa04f9,0x3e0001fd,0x22003fe7,
    0x5f98df4f,0x202fd400,0x17e406f9,0x43fc13f6,0xfb5f92fc,0x3e603fff,
    0xffb03fe6,0x027d4dff,0x7d405f98,0x9f53fc05,0x1fe17ee0,0x3fdc0bf5,
    0x7fc02fd4,0x0000bf30,0x7d407fa2,0x8000fec5,0x00ff24fa,0x2637c3ba,
    0x2fd4005f,0xc803fe20,0xf80ff62f,0xff92fc87,0x01ffb57d,0x20feebf6,
    0x2a2aefba,0x0bf3004f,0x3e017f44,0x3ffffea7,0x8ff05fff,0x0ffc05fa,
    0x5555df95,0x3fe63fd0,0x06eeeeee,0x7405fd10,0x7777ec1f,0x3602eeee,
    0x701be61f,0x3e637c3f,0xeeeeeeef,0x2017ea1e,0x4bf201fe,0x43fc03fd,
    0x81df92fc,0xfdf101fe,0x542fc40f,0x9df3004f,0xdffd9999,0x7fd4ff00,
    0x2ffffeee,0x02fd47f8,0xffff87fa,0x1fd87fff,0xfffffff3,0x7fd100ff,
    0x7ec2fd40,0x3fffffff,0x3fd0df10,0x8df13e60,0xfffffff9,0x17ea1fff,
    0xfc80bf60,0x7f803fda,0x07f92fc8,0x7ffd45f7,0x1fffffff,0x13ea17e2,
    0x7ffffcc0,0xf003dfff,0xe9827d4f,0x3ea3fc3f,0x2a1be605,0x30fe805f,
    0xfc8000bf,0x4cdff404,0x8001fe99,0xdaaaadfb,0xdf0dd04f,0x54005f98,
    0x21fe805f,0x3ffff219,0xfc87f801,0x7f505f92,0x7fe6664c,0x3e20cccc,
    0x3004fa85,0xfd5333bf,0xf53fc007,0x3e37cc09,0x5c42fd47,0x05fa83fd,
    0x017e67f8,0xfa80fd00,0xffffffff,0xfffe8001,0x40ffffff,0xfaaaacfc,
    0x00bf32ae,0xff805fa8,0x7fe4ff10,0x3fc00efc,0x81fc97e4,0x037c03fa,
    0x13ea17e2,0x7442fcc0,0x54ff003f,0xf07fc04f,0xfffffa8f,0xa80effff,
    0x32fd405f,0x6f8000bf,0x6666fec0,0x4001fecc,0xaaaaaef9,0x7fec3fda,
    0x6fffffff,0xfa800bf3,0xf137d405,0x4fc9fe4f,0x97e43fc0,0x23fa81fc,
    0xeffeeee9,0x17e20eee,0x7cc013ea,0x003ff305,0x1027d4ff,0x7d47f8ff,
    0x3ceeeeef,0xfd017ea0,0x0002fcc7,0x06f98026,0xf90007f6,0x2637cc05,
    0xefaaaaaa,0x800bf32a,0x17f405fa,0x3a2fc9e2,0x321fe02f,0xf503f92f,
    0x7e6664c7,0x220ccccf,0x004fa85f,0x7fe40bf3,0x9f53fc00,0xff17f620,
    0x50005fa8,0x17f620bf,0x98000bf3,0xd80bf601,0x03fc001f,0x6f800ff4,
    0x2a002fcc,0x0dfb105f,0xf317e4b7,0x321fe01d,0xf503f92f,0x4406f807,
    0x004fa85f,0x4fe80bf3,0xdff53fc0,0x1dffdddd,0x02fd47f8,0xeeeffa80,
    0x4c0efffe,0x3e20005f,0xd80df307,0xeeeeeeef,0x2013ea1e,0x8df005fb,
    0xeeeeeff9,0xff50eeee,0xdfffdddd,0x17e41b01,0x43fc13f2,0x503f92fc,
    0x406f807f,0xeffa85f8,0x30eeeeee,0x1ff980bf,0xfffa9fe0,0x80beefff,
    0x002fd47f,0xffffffa8,0x0bf302de,0xd83fc400,0x7ffec03f,0x21ffffff,
    0xff8802fd,0x7cc6f800,0xffffffff,0xffff50ff,0x4005bdff,0x17fc42fc,
    0xc97e43fc,0x403fa81f,0x42fc406f,0xfffffffa,0x00bf30ff,0x00000df9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0d544000,0x880554c0,0x5100aa22,0x51006a23,0x2aaaaa25,
    0x545501aa,0x26008802,0x415501aa,0xaaaaaaa9,0x03550aaa,0x0aa85510,
    0x1530d4c0,0x55005540,0x2a800554,0x26666666,0x55553199,0x35555555,
    0x555006a2,0xaaa8854c,0x0aaaaaaa,0x54dc3530,0xffd807ff,0x3ea7e881,
    0x4d7e601f,0xaafcc05f,0xffffffff,0x8ff3f43f,0x83eadffb,0x1effffe9,
    0xffc83fe2,0xffffffff,0xd801ff52,0x1037e44f,0x81fdc1ff,0xbf304ff9,
    0x7cc027e4,0x3fffffe6,0xfff77fff,0xffffffff,0xfc813eab,0x0147f20e,
    0xffffa850,0xfffa9fcf,0x07ffe201,0x7fd4ffb1,0x26bf300e,0xaafcc05f,
    0xcbaaaaef,0x4c92e3ff,0x077ed5fc,0x36a77fe2,0x41ff10ff,0xaaaaaaa9,
    0x17f61ffc,0x7fd06fb8,0xbf30bfa0,0x5c1fff20,0x201fe23f,0x333322fc,
    0x535feccc,0x55bf9555,0x413ea355,0x8fe40efc,0xffa8a002,0xf55feb9c,
    0x77dc09fb,0x9fffea1f,0xf304fffa,0xf3017e6b,0xfa817eab,0x4020c007,
    0x13fd84fc,0x3a2001ff,0x417fc43f,0xff101ff8,0xff04fc83,0x207f3ba0,
    0x017ec1fd,0x7fc401fe,0xa813ea00,0x80efc84f,0x940051fc,0x7ff40ff8,
    0x207ecfa9,0xff71fded,0x7e7d4fd5,0xf35f982f,0xf55f980b,0x4c1fe80b,
    0x03510c41,0x57e607fa,0xfd000ff8,0xb03fea09,0x26fb807f,0x07f606fa,
    0xf07f59f1,0x5409f50f,0x05fb004f,0x3ea04fa8,0xc8077e44,0xa940051f,
    0x5fdf644f,0x881fccfa,0x1991fdbf,0xfacfa9fa,0xf9afcc0e,0xfaafcc05,
    0x3e0ff405,0x7fec7e47,0xf50181ff,0x64007fc9,0x52fec06f,0x33f600bf,
    0x3ee00ff8,0x45f97d43,0x40ff05f9,0x5fa801fd,0x2a04fa80,0x803bf24f,
    0x940051fc,0x263ea2fb,0x4f9cfacf,0x01fd8fb8,0xfda7d4fd,0x5f9afcc4,
    0x5faafcc0,0x1fe1be60,0xf957ddf9,0xf17f400f,0x01ff700f,0xff8aff88,
    0xfdff1000,0x645f8805,0x2fb8fb0f,0xdf105f90,0x001ff100,0xa7d409f5,
    0x7e400efc,0xfc940051,0x37e25f32,0xbd0fd4fa,0x53f407f6,0x98bfe29f,
    0xfffff35f,0x2bffffff,0xfeb985fa,0x37e47f83,0x7d4017ec,0x3e603f46,
    0x9df5001f,0xffa8005f,0x5f8fd004,0x00fd8bee,0x07f70bf3,0x2a009f70,
    0x333ea04f,0x7e400fff,0xfb940051,0x33e64e8b,0x443f94fa,0x3a03fb3f,
    0xefa93ea7,0x3fe6bf30,0xeeeeeeee,0xfffff55f,0xf01bffff,0xfb83fc8f,
    0x207fd402,0x0ffe206e,0x00bffb00,0x200dff50,0x4c7f30fc,0xfd01be4f,
    0xe800fe81,0x09f5001f,0x7eefffd4,0x028fe405,0x36efd4a0,0x4d3eafee,
    0x7ec3ee4f,0x27d4fd01,0x9afcd3f6,0xaafcc05f,0xbceeeeff,0x5f91fe01,
    0x7dc07f50,0x3a06d81e,0xff88004f,0x77fc4000,0x72fa803f,0x9f16f83f,
    0x3e63fb80,0x005f9805,0xffa813ea,0x6407fd15,0x8940051f,0x3fe60fff,
    0xe9fa4fa8,0x3f407f65,0xaff889f5,0x80bf35f9,0x00bf55f9,0x03f91fe0,
    0x3bf207f5,0x3f20bb00,0x01fe0006,0x3fe6ff60,0x7da7c401,0x02fa8fd8,
    0x03f937c4,0x54005f90,0x317ea04f,0x47f203ff,0xffb8a002,0xf52ffdac,
    0x17ccfdc9,0xa9fa03fb,0xf9ffa84f,0xf980bf35,0x2000bf55,0x540fe47f,
    0x00efc83f,0x03fee172,0x4007f800,0x03bee5fb,0x509f1dd0,0xb001f93f,
    0x2201be1f,0x27d4007f,0xdf909f50,0x00a3f901,0xffb9f128,0x327d439f,
    0x7ec1f79f,0x27d4fd01,0xf35fefd8,0xf55f980b,0x91fe000b,0xd87f503f,
    0x4c08805f,0x7c0001ff,0x03fe6007,0xafc809fb,0x5ebf882f,0x7f37f500,
    0x800bf300,0x13ea04fa,0x8fe42ff4,0x2244a002,0xfe89f501,0xe80fec5e,
    0x7c413ea7,0x80bf35ff,0x00bf55f9,0x03f91fe0,0x02fd47f5,0x0bfe2198,
    0x401fe000,0xff882ff8,0x03fbea02,0xd001ff74,0xf5001f9d,0x04fa8007,
    0x7fc413ea,0xaaa8fe42,0xaaaaaaaa,0x44fa8002,0x0fec2ffb,0x813ea7e8,
    0x0bf35ffa,0x0bf55f98,0x3f91fe00,0x77fc7f50,0x24eeeeee,0xddff90ff,
    0x7ddddddd,0xfb007f80,0x807fd409,0x3f206ff8,0x3ff2001f,0x005f9005,
    0x3ea04fa8,0xc83fee04,0x0000001f,0x87f989f5,0x54fd01fd,0x9afec04f,
    0xaafcc05f,0x8ff0005f,0x33fa81fc,0xffffffff,0xfc87fcdf,0xffffffff,
    0x03fc04ff,0x7ec037dc,0xa813fa05,0x7fc4007f,0x003fb002,0x3ea04fa8,
    0xf937ec04,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x029809a8,0x8006a620,
    0x13310019,0x8804cc00,0x51013101,0x81360015,0x0a886219,0x22188198,
    0x1301981a,0x02621310,0x266660cc,0x06219999,0x22310988,0x1500cc0a,
    0xa88000dc,0x32a01510,0x02aea200,0x1dfffff3,0x01bffff7,0x3fffffa6,
    0xdfffb102,0x3fff6209,0xfd7100df,0x1fc81bff,0x7fec2fb8,0x2fc01eff,
    0x27f21ff0,0xff35fffe,0x6c7e45df,0x3f61ffff,0x7e437d40,0xfa83ff10,
    0x3ffffe25,0x0fee7fff,0xf9fc8fec,0x32ffe1ff,0x3a6fbcef,0x374002ef,
    0x007e40db,0x7ccfd9dd,0xfffda9ae,0x986fc9be,0xffda9bff,0xdaaefd80,
    0xaadfe82f,0xeff886fe,0x7e46feaa,0x3f22fb81,0x407fb9ac,0x643fe05f,
    0xdfeaadef,0x326fbadf,0x7fcabeef,0x1ff90fee,0x137d46f8,0x555441ff,
    0x224feaaa,0x326f886f,0x7cc6ceef,0x0effeeff,0x02ffff26,0x0bee3f70,
    0x19100fc8,0x407ec7ea,0x44fb86ff,0x42fd82fc,0x20ff83fc,0x42fc84fb,
    0x23fd83fd,0x22fb81fc,0x201ec86f,0x3bf2005f,0xf913fe60,0x3f61bf23,
    0xfee8bf12,0x3f60fe62,0x2e005fd3,0x541fd85f,0xf01bf23f,0x882fd43f,
    0x981dffeb,0xc80bf15f,0x25eb800f,0x107fb018,0xf70188df,0x13307d85,
    0x2fcc0ff4,0x937d41fe,0x745f703f,0x7774402f,0x05eeeffe,0x07fe0ff2,
    0x20ff27f5,0xf89fa2fb,0x207f24fb,0x004fcfe8,0x9f501df5,0x0ff20fd8,
    0x0fd84f98,0x0f7fecc0,0x507f61fd,0x557fb555,0x019fd015,0x9bffd973,
    0x01fd9999,0x7ffdb751,0x3fe006f8,0x6fcccccc,0x3fc417e2,0x45f703f9,
    0x40adfffa,0xfffffff8,0x0bf207ff,0x64fea1fe,0x2e3fa82f,0x4dd1f71f,
    0x1bfe606e,0xf007fcc0,0x3f22fc4d,0x2e07ea02,0x5ff5001f,0x42fcd7ea,
    0xfffffffe,0x49f102ff,0xfecefffc,0xffffffff,0x677ffec1,0x01be23fd,
    0x7fffffc4,0x17e67fff,0x03f90fe8,0xffd985f7,0x02fc04ff,0x0ff03f90,
    0x207f27f5,0x6cfe63fa,0x09f11f96,0x4402ffc4,0x8fe401ff,0x00fe42fb,
    0x80fd09f1,0x20cffeb8,0x883fb0fe,0x99afd999,0x3e21d509,0x6c15bfb4,
    0x37f6001f,0xdf0fee0a,0x801fe200,0xc9be05f8,0x202fc81f,0x3e04ffc9,
    0x207f2005,0xf93fa87f,0x6f87f503,0x3eefe69f,0x0bfbf201,0x9802fe88,
    0x3f90fd4f,0xc88bfe80,0xdff9305f,0x22bf3017,0x007e405f,0xf11dfdfd,
    0x640bfa0d,0x7ec1fe23,0x7e407f43,0x3220bfe1,0x5f883fc2,0x4bf60bf2,
    0x06f982b8,0x1fc8017e,0x93fa87f8,0xc87f503f,0x377e2faf,0x3e37ea07,
    0x007fd00f,0x6427cff4,0x3ffea01f,0x2a1fffff,0xb802dffe,0x6405f51f,
    0x10d4c00f,0x1dff70df,0x1fe24fb8,0x9f70ffe6,0x2fdc6f88,0x13f21fec,
    0x27dc7fb1,0x0fe8bfe6,0x0bf027d4,0xf03f90cc,0x3f27f50f,0x7d43fa81,
    0x13ff60fe,0x5fa87fc4,0x5c004fd8,0x1fc81fdf,0x376a7ba0,0x33fa5f9a,
    0xdb36c001,0x80007e40,0xcfdaadfc,0x6fdabefb,0xfcaadfc8,0xbefe83fe,
    0xffe82feb,0xe885fdbc,0x44ffcbff,0xdfcadff8,0x2b3bea2f,0x02601ffc,
    0x03f90ff8,0x327f50ff,0xf83fa81f,0x817fdc6f,0x71fec3fd,0x999999ff,
    0x0dff1019,0x008807f2,0x0000a826,0x32a01831,0xfd910000,0x7ff545df,
    0xfec881ce,0x906f8aef,0x6405bfff,0x100befff,0x207dfff9,0xf9bfffe9,
    0x77ffedc2,0x3bbbba21,0x3fe5eeee,0x0ff03f90,0x207f27f5,0x44fd83fa,
    0x0bf707f9,0x3ff23ff1,0x1fffffff,0x3f207fb0,0x00000001,0x00000000,
    0x00044018,0x01300011,0x22000440,0x80011000,0xfffff101,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x446a0000,0x00002a22,0x2e00ddcc,0x80bd1004,0x312602b8,0x77764157,
    0x91eeeeee,0xdddddddd,0x2a09503d,0x0ba83532,0x0c0442a8,0x2ea00110,
    0x7711dc41,0x46e23777,0x111321b9,0x88888888,0x3a608888,0xeeeeeeee,
    0x00000eee,0x97fe4400,0x6417a4f8,0x3f21e884,0xff304fdd,0x40ff1003,
    0x542ffffb,0x3ff7f67f,0xffffffb1,0x3ff63fff,0x1fffffff,0x71ff05b8,
    0x17e7749f,0x7a8ff1fe,0x1cffffa8,0x6c6f992a,0x3fffe62f,0x3ea9f53f,
    0x4cff1fe3,0xffffffff,0x9910ffff,0x99999999,0x00000199,0x2fbff6a0,
    0x17d47ee0,0xff893fa2,0x907b8b62,0x55100bff,0x25d8a740,0x23d37efd,
    0x3f5004f8,0x6ddf4000,0x2e3fe1da,0x234cb54f,0x3aa3fc7f,0x3ff7fe1e,
    0x5c4ffeff,0xa889f12f,0x5931aaaa,0x7c3b8b26,0x26666627,0x01999999,
    0x00000000,0x077ffae2,0x81fd0ee8,0x2ff8cfe8,0x40feca98,0x440fccf8,
    0xaaaaaaaa,0x7d43f32a,0x7cc1ee50,0x003f5002,0x3bffb220,0x9fddfe1d,
    0x8ff1e24b,0x163f9878,0x01bfff93,0x0000e655,0x00000000,0x00000000,
    0x002fbff2,0x42fcd3ea,0x443fffe8,0x40fdcefe,0x444f89fb,0xffffffff,
    0x7cc1f57f,0x2fcc3dc1,0x2223f500,0x08888888,0x6d82ff88,0x227e25f3,
    0x96e3744c,0x1000effd,0x00000000,0x00000000,0xd0000000,0xfe8001df,
    0xff303fd0,0x7e43f70b,0x81fb37c0,0x99999999,0x3dc5f119,0x013ee3dc,
    0x3ff63f50,0x1fffffff,0x90beb3a2,0xfea87e2b,0x8362e40c,0x000000a9,
    0x00000000,0x00000000,0xfea80000,0x4fa801df,0xdff10bf3,0xb8bf989f,
    0xa8bea1ff,0x80aa203f,0xb84eaaee,0x2000bf27,0x999970b9,0x44199999,
    0x20100724,0x00000000,0x00000000,0x00000000,0x40000000,0x203effd9,
    0xf103fa6e,0xc89fd17f,0x3a2f9cff,0x3e206e87,0x33ff2607,0xfff57b80,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,
    0x3ee0cfff,0xff885f51,0x800ffa23,0x01eb83e9,0x80100991,0x55555329,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x7f540000,
    0x13e29f12,0x006c41dc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01886233,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_24_latin1_x[224]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,1,0,0,1,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_24_latin1_y[224]={ 19,3,3,3,2,3,3,3,3,3,3,6,16,12,
16,3,3,3,3,3,3,3,3,3,3,3,7,7,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,21,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,7,3,3,6,3,
3,3,3,3,3,8,8,12,3,1,3,6,3,3,3,7,3,10,18,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_24_latin1_w[224]={ 0,4,7,12,11,17,14,4,6,6,8,11,4,7,
4,6,11,7,11,11,11,12,11,10,12,12,4,4,11,11,11,11,21,16,13,14,14,13,12,15,13,3,10,14,
11,16,13,15,13,16,15,14,13,13,15,21,15,15,13,5,6,5,10,14,5,12,11,11,11,12,7,11,10,3,
5,10,3,16,10,12,11,11,7,10,6,10,11,16,11,11,11,7,3,7,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,10,12,12,13,
3,11,7,16,8,10,11,7,16,14,7,11,7,7,5,10,12,4,5,4,8,10,17,17,18,11,16,16,16,16,
16,16,21,14,13,13,13,13,5,5,8,6,16,13,15,15,15,15,15,10,16,13,13,13,13,15,13,12,12,12,
12,12,12,12,19,11,12,12,12,12,5,5,8,6,12,10,12,12,12,12,12,11,11,10,10,10,10,11,11,11,
 };
static unsigned short stb__arial_24_latin1_h[224]={ 0,16,7,17,20,17,17,7,21,21,7,11,7,3,
3,17,17,16,16,17,16,17,17,16,17,17,12,16,11,7,11,16,21,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,18,16,17,16,17,16,16,16,16,16,21,17,21,9,3,4,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,21,21,21,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,17,11,16,
21,21,3,17,9,11,7,3,17,2,7,13,9,9,4,17,21,3,6,9,9,11,17,17,17,17,20,20,20,19,
19,19,16,21,20,20,20,19,20,20,20,19,16,19,21,21,21,20,20,10,17,21,21,21,20,20,16,17,17,17,
17,17,17,17,13,17,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,9,13,17,17,17,17,21,21,21,
 };
static unsigned short stb__arial_24_latin1_s[224]={ 255,98,122,134,35,75,119,138,37,89,113,
236,143,179,200,249,169,18,86,220,122,1,244,187,43,56,106,163,1,101,213,
71,136,105,7,192,148,134,58,97,40,252,86,212,225,1,26,113,54,32,237,
177,198,207,171,149,133,117,103,83,221,174,44,205,167,21,161,34,136,46,217,
228,192,188,204,168,227,111,128,59,31,232,192,83,129,72,180,139,156,240,168,
210,218,196,154,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,255,173,110,
148,200,203,222,58,187,69,35,225,89,179,14,220,130,94,81,248,173,192,70,
195,148,76,67,13,101,83,64,52,1,18,47,206,1,189,83,121,114,128,64,
18,183,108,174,223,41,230,158,180,240,158,142,24,203,44,226,96,94,78,27,
39,171,184,223,236,1,14,1,27,158,145,119,106,1,21,179,68,49,75,62,
93,197,210,132,55,244,244,147,181,158,25,13,1, };
static unsigned short stb__arial_24_latin1_t[224]={ 23,117,148,64,23,44,64,148,1,1,148,
134,148,148,148,44,64,117,117,64,100,82,64,117,82,82,134,100,148,148,134,
100,1,100,100,82,100,100,100,82,117,82,82,117,100,117,117,82,117,44,100,
82,117,82,117,117,117,117,117,1,82,1,148,148,148,134,82,134,82,134,100,
82,100,100,1,100,117,134,134,134,82,64,134,134,82,134,134,134,134,82,134,
1,1,1,148,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,
117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,23,82,1,
82,134,100,1,1,148,82,148,134,148,148,82,148,148,134,148,134,148,64,1,
148,148,148,148,148,64,64,64,64,23,23,23,23,44,23,100,1,23,23,23,
44,23,23,23,23,100,23,1,1,1,23,23,148,64,1,1,1,23,23,100,
64,44,44,44,44,64,64,134,64,44,44,44,44,100,100,100,117,44,117,44,
44,44,44,44,148,117,23,64,64,64,1,1,1, };
static unsigned short stb__arial_24_latin1_a[224]={ 95,95,122,191,191,306,229,66,
114,114,134,201,95,114,95,95,191,191,191,191,191,191,191,191,
191,191,95,95,201,201,201,191,349,229,229,248,248,229,210,267,
248,95,172,229,191,286,248,267,229,267,248,229,210,248,229,324,
229,229,210,95,95,95,161,191,114,191,191,172,191,191,95,191,
191,76,76,172,76,286,191,191,191,191,114,172,95,191,172,248,
172,172,172,115,89,115,201,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,95,114,191,191,191,191,89,191,
114,253,127,191,201,114,253,190,137,189,114,114,114,198,185,95,
114,114,126,191,287,287,287,210,229,229,229,229,229,229,344,248,
229,229,229,229,95,95,95,95,248,248,267,267,267,267,267,201,
267,248,248,248,248,229,229,210,191,191,191,191,191,191,306,172,
191,191,191,191,95,95,95,95,191,191,191,191,191,191,191,189,
210,191,191,191,191,172,191,172, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_24_latin1_BITMAP_HEIGHT or STB_FONT_arial_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_24_latin1(stb_fontchar font[STB_FONT_arial_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_24_latin1_BITMAP_HEIGHT][STB_FONT_arial_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_24_latin1_s[i] + stb__arial_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_24_latin1_t[i] + stb__arial_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_24_latin1_x[i];
            font[i].y0 = stb__arial_24_latin1_y[i];
            font[i].x1 = stb__arial_24_latin1_x[i] + stb__arial_24_latin1_w[i];
            font[i].y1 = stb__arial_24_latin1_y[i] + stb__arial_24_latin1_h[i];
            font[i].advance_int = (stb__arial_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_24_latin1_s[i] + stb__arial_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_24_latin1_t[i] + stb__arial_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_24_latin1_x[i] + stb__arial_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_24_latin1_y[i] + stb__arial_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_24_latin1_LINE_SPACING
#endif

