// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_28_latin1_BITMAP_HEIGHT        206
#define STB_FONT_arial_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_28_latin1_FIRST_CHAR            32
#define STB_FONT_arial_28_latin1_NUM_CHARS            224

#define STB_FONT_arial_28_latin1_LINE_SPACING          18

static unsigned int stb__arial_28_latin1_pixels[]={
    0x000c4000,0x00440000,0x00066000,0x22130062,0x40008801,0x00131098,
    0x000d5440,0x0000d544,0xa8002a98,0x00aaa06f,0x00155400,0x00005544,
    0xb8ffc12a,0x003f886f,0x4400ffdc,0x1dffffdb,0xffec9800,0x400aceff,
    0x21f701fd,0xfeb881fd,0xffb803ff,0x001bff55,0x0001ff70,0x00003ff2,
    0x8009fff3,0x3fea06fa,0x7fd40001,0x7ff44001,0x82ec0006,0x20df71ff,
    0x3fe000fb,0xffff9803,0x004ffffe,0x99bdffd3,0x409ffffb,0x23f881fd,
    0xdffe81fd,0x3e605ffd,0x9ffb33ff,0x01ff8800,0x001fec00,0x5fd5fd10,
    0x201e4c00,0x6c0005fb,0xcfd8003f,0x3e0004fc,0x2a215503,0x5c013e02,
    0xdff9804f,0x0fff6a0a,0x405bff50,0xd80effb9,0x7ec6c81f,0x3ea37d41,
    0x209f702f,0x7dc006f9,0x7e880003,0x4d7f6000,0x800001ff,0xf30001fd,
    0x4df7000b,0xf98003fe,0x3ee00000,0x98029800,0x7ff404ff,0x005ff500,
    0x7ec37f44,0x3f61fcc1,0x7f417ec1,0x7c07fb04,0x00098007,0x00001300,
    0x00000026,0x00000000,0x32620000,0x7c400006,0x3f600005,0x27fcc00e,
    0x01807fc4,0x3fb13fa2,0x0fec0fd8,0x802217f2,0x01fe01fd,0x3bfffb22,
    0x3b22001b,0x001befff,0x3bfffb22,0x4df5001b,0xff9802ff,0x2600bfe0,
    0x00bfe0ff,0x3b203fe6,0x3ea1efff,0x203fe207,0x81fea1fe,0x07fe0ff8,
    0x2fd80d40,0xca7ffe4c,0xfd8fd14f,0x3f617e61,0x002ffcc1,0x0ff807f6,
    0x3bfffea0,0xa805ffff,0xfffeffff,0xfffa805f,0x05ffffef,0x0bfe6fa8,
    0xff83fe60,0x20ff9802,0xff9802ff,0x7e6ffec0,0x407fe2ff,0x89f705fb,
    0x4bf701ff,0x40000ff9,0x77fcc4fa,0x22fecffc,0xc87f61fc,0xb81fd83f,
    0xfd001eff,0xb807f403,0x7dcc1eff,0x3bfee05f,0x02ffdcc1,0xb983dff7,
    0x37d405ff,0xff3005ff,0x4c017fc1,0x00bfe0ff,0xefc83fe6,0x64df9f70,
    0x205fd04f,0x827e45f9,0x01fee2fe,0xe887f200,0x07ffe43f,0xd0fec7f5,
    0xb83fb03f,0x804ffedf,0x07fa01fe,0xf3013fe2,0x09ff109f,0xf884ff98,
    0x27fcc04f,0x17fcdf50,0xff07fcc0,0x41ff3005,0xff9802ff,0x6ec3ff10,
    0x0ff31ff8,0x3fc40ff1,0x1fe21fe6,0xd0000bf9,0xf884fe8f,0xfb2fc47f,
    0x7ec07fc3,0xffc93ee1,0x803fe01e,0x06fd82fd,0xfd85ff70,0x85ff7006,
    0xff7006fd,0xff9bea05,0x20ff9802,0xff9802ff,0x2600bfe0,0xf8df30ff,
    0xb85fd012,0x207fc04f,0x227dc2fe,0xf80005fc,0x7403fe65,0x3f66f85f,
    0x2a60ff11,0xfd503f60,0x80bf705f,0x0ffcc6fa,0x7cc9fb00,0x93f6001f,
    0x36001ff9,0x7cdf504f,0x0ff9802f,0x3e600bfe,0x200bfe0f,0x4bf70ff9,
    0x17ee00fa,0x1ff803fd,0x07fa2fdc,0x98000ff7,0xd817ee3f,0xfb2fc43f,
    0xe801be63,0x1ffd881f,0x7001dfb1,0x01fea5df,0x3fd4df90,0xfa9bf200,
    0x837e4007,0x00bfe6fa,0x2ff83fe6,0x3e0ff980,0x0ff9802f,0x203649f9,
    0x0df30ff8,0xff885fd0,0xff30df30,0xf7022001,0xfd01fec5,0x3f63fa85,
    0x6400df51,0x4d3fa05f,0x3f6000ff,0xa800df74,0x001bee7f,0x037dcff5,
    0x7d41fea0,0x2600bfe6,0x00bfe0ff,0x2ff83fe6,0xf70ff980,0x7ec01f4b,
    0xff007f93,0x3f27fb03,0x2003ff03,0xf87f26fb,0x81ff102f,0x4c7f61fd,
    0x3fe2007f,0xb15fa80e,0xdf9001bf,0x10017f25,0x017f23ff,0x3f23ff10,
    0x0ffc4005,0x05ff37d4,0x7fc1ff30,0x20ff9802,0xff9802ff,0x87e6df30,
    0xfafd42cc,0x83fc400f,0x201ff5fa,0x9fd006fe,0x07fb17d4,0x8bf51bf2,
    0x01ff11fd,0xfff98153,0x3ee17e43,0x3637cc05,0x7fc4005f,0x8800bfb1,
    0x00bfb1ff,0xfa81ff88,0x2600bfe6,0x00bfe0ff,0x2ff83fe6,0x3e0ff980,
    0x3fe27b9f,0x05faff81,0x3fe06f98,0x3fe605fa,0x10ffe404,0x4c37e47f,
    0x03fe64ff,0x40ff43fb,0xffd881fd,0xff06fb9e,0x2e17e401,0x3fcc006f,
    0xf9800df7,0x3001bee7,0xf9bea0ff,0x47f9802f,0x7f9802ff,0x7cc017fc,
    0x92777ec7,0x3fbf20df,0x204fa802,0x5402fefc,0x36a21cff,0x265f83ff,
    0x3ffea3ff,0xd83ffb8d,0x360bf61f,0x3ffea01f,0x807fa03f,0x03fcc1fe,
    0x7f99bea0,0xf337d400,0x06fa800f,0x01ff4df5,0x0ffa3fd4,0x7fd1fea0,
    0xfb0ff500,0x03fff9bf,0x2003ffe6,0x3fe603fc,0xfffc800f,0x04ffffef,
    0x7ffdc1fb,0xffffdcff,0x5c3fb02f,0x401fd83f,0x3a04ffd8,0x203fa01f,
    0x3f6001ff,0xb000ffc4,0x001ff89f,0x37d413f6,0xbf7009fb,0xfb804fd8,
    0x5c027ec5,0xffffb05f,0x04fe803b,0xfe803fd0,0x3ff6a004,0x2a01efff,
    0x96fed45f,0x220cefe8,0x7cc3fb09,0x7001fd85,0x07f605ff,0x6fd80ff8,
    0xd85ff300,0x5ff3006f,0xf3006fd8,0xc9bea05f,0x44fd805f,0x4fd805fc,
    0x7ec02fe4,0x0133db04,0x26007fa0,0x01fe806f,0x001df880,0x90000ff2,
    0xd07f61df,0x4c1fd83f,0x360bf902,0x203fe01f,0x74404ff8,0x04ff885f,
    0x7c42ff44,0x2ff4404f,0x7fd4bf70,0x50ffe202,0x7fc405ff,0x1017fd43,
    0x00fe07ff,0x3600df30,0x037cc01f,0x003ff980,0x200067f4,0x3f60ffd8,
    0x3f627cc1,0x2a0bfe21,0x205f906f,0xff300ff8,0x0bff503b,0x540effcc,
    0x3fe605ff,0x05ffa81d,0x3ff62fe4,0x82ff540a,0x7540affd,0x15ffb05f,
    0xf305fea8,0x17f44003,0x2202fc40,0x640002fe,0x3fa6002f,0x2a200abf,
    0x0fec1efe,0x83fb07ec,0x3fa20efd,0x2609f904,0x7ffcc06f,0x05fffeef,
    0xeeffff98,0xf9805fff,0xfffeefff,0x0bff7205,0xffffffd1,0x3a201dff,
    0xffffffff,0xfffd100e,0x01dfffff,0x7fe401b2,0x01f9006f,0x001bfff2,
    0x00ffe54c,0x7ffff540,0xfffedccd,0xf103fb03,0x3e20fec9,0x0effddff,
    0x267dff30,0xa8804ffd,0x02cefffd,0x3fff6a20,0x2a2002ce,0x02cefffd,
    0xc8827ffc,0x0cfffffd,0x7ffee440,0x64400cff,0x0cfffffd,0x7dc01320,
    0x3f8800ef,0x003bfee0,0x016ffec0,0x3ffb6e00,0x00cdefff,0x87e407f6,
    0xffd881fd,0x7dc00dff,0x01bff55f,0x00001300,0x4c000026,0x00262000,
    0x20001988,0x22000198,0x30000019,0x400c4001,0x00800009,0x02620000,
    0x09803100,0x00330031,0x01310988,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xf32ffffb,0xdc889fff,0xfffffffe,
    0x42b6e203,0xaa88004d,0x2aa00001,0x00570002,0x0002aa20,0x20001554,
    0x54000aa9,0x01aa802a,0x19912ca8,0x2a0aaa00,0x2600006f,0x1e4c002a,
    0x37f20397,0xf32ffeea,0x7fdc7ddf,0xffffffff,0x3fbf603f,0xb0002fef,
    0x260000df,0xe98002ff,0xffe8000d,0xffa8000e,0x13fa0001,0x07fff500,
    0x6400ffb8,0x001ff14f,0xfa85fff7,0xff100006,0x26fb8007,0x8bf902fe,
    0x30df32fe,0x33ffffff,0x22013df7,0x007d933f,0x0002fe80,0x22004fd8,
    0x2effffeb,0xbf7bf900,0x017f2000,0x20037d40,0x02fe9ff8,0x3f201fec,
    0x9801ff14,0x2a1ff9ff,0xf700006f,0x4df7000b,0x8bf902fe,0xb0df32fe,
    0x4cffffff,0x004c005f,0x006f8800,0x2002fc40,0xfedecffd,0x87fd402f,
    0xfb0004fe,0x01fd0001,0xff34fe80,0x000fe801,0x3fe20013,0x3ea1df72,
    0x1df00006,0x32000000,0xf997f45f,0xfffffe86,0x91017e67,0x037dfffd,
    0x00000000,0x6c7fe600,0x0000dfb3,0x00000000,0x00000000,0x7dfffd91,
    0xdf500003,0x000000c4,0xf9802ff8,0xfe8bf90f,0xfff0df32,0x2fccffff,
    0xfdffff50,0x5000bfff,0xa80009ff,0xbf7004ff,0x00ff99ec,0xf004ffa8,
    0xffffffff,0xfff8ffff,0xffffffff,0x7ffffc7f,0x7fffffff,0xff505fc8,
    0xbffffdff,0xf50bf900,0x3bfffd1d,0x7001ffc8,0x017fc3ff,0x5fc87fcc,
    0x86f997f4,0x27fffffd,0xdff705f9,0x05ffb983,0x003ffec0,0x401fff60,
    0x008f64fc,0x401fff60,0xffffffff,0x7fc7ffff,0xffffffff,0x7fffc7ff,
    0xffffffff,0xfb85fc87,0x7fdcc1ef,0x542fe405,0xffceffff,0x01bfa20f,
    0x5ff0ffe6,0x321ff300,0xf997f45f,0xfffffa86,0x3e217e67,0x27fcc04f,
    0x2fdef880,0xfbdf1000,0x6cdf7005,0xdef88003,0x9bff802f,0x99999999,
    0x4ccdffc1,0x41999999,0x99999bff,0xfc819999,0x2027fc45,0x3f204ff9,
    0x22effa85,0x7fcc6fc8,0x7c37f403,0x0ff9802f,0x32fe8bf9,0x3fff60df,
    0x3617e67f,0x5ff7006f,0xdf59f700,0x2b3ee000,0xcff9806f,0xfb8003d8,
    0xff806fac,0x05ff0002,0x000bfe00,0x37ec5fc8,0x902ffb80,0x05ff50bf,
    0x3ff90bfa,0x3e03fee0,0x0ff9802f,0x32fe8bf9,0x7ff5c0df,0xff317e67,
    0x027ec003,0x0ffc57f4,0x7c57f400,0xfffb801f,0x7f4000cf,0x7c01ff8a,
    0x5ff0002f,0x00bfe000,0x3e65fc80,0x13f6001f,0x37d42fe4,0xfe889f70,
    0xf03ff886,0x1ff3005f,0x25fd17f2,0x7f8806f9,0x0ff517e6,0x4c06fc80,
    0x009fb0ff,0x9fb0ff98,0x3fffaa00,0xff9801df,0xff809fb0,0x05ff0002,
    0x000bfe00,0x1fea5fc8,0x320df900,0x205fa85f,0x3ffa85fa,0x5ff02fec,
    0x321ff300,0xf997f45f,0x7ccff006,0x20037dc5,0x2fe407fa,0xfc800ff5,
    0x3001fea5,0x805ffffd,0x01fea5fc,0x3e0005ff,0x5ff0002f,0x72fe4000,
    0x7fa800df,0xbf50bf90,0xfc837d40,0x401ff70f,0xff9802ff,0x2fe8bf90,
    0x9fe00df3,0x02fe45f9,0xf807fe20,0x0017fc2f,0x02ff85ff,0x7ff55ec0,
    0xff0bfe00,0x5567fc05,0x0aaaaaaa,0x555567fc,0x7c0aaaaa,0xaaaaaacf,
    0x5fc80aaa,0xf10017f2,0x50bf903f,0x82fdc0bf,0x2ff8dfe8,0x4c017fc0,
    0xe8bf90ff,0x200df32f,0xfb17e67f,0x1ff8800b,0xdf90ff50,0x321fea00,
    0xf1ec006f,0x21fea07f,0x3ffe06fc,0xffffffff,0x7ffffc1f,0x1fffffff,
    0x7ffffffc,0xc81fffff,0x0017f65f,0xbf903ff1,0x7e40df50,0x3fbfea03,
    0x802ff805,0x8bf90ff9,0x00df32fe,0x5c5f99fe,0x3fcc006f,0xff309fb0,
    0x309fb003,0x826203ff,0x6c17f23d,0x01ff984f,0xddddddff,0xff83dddd,
    0xeeeeeeee,0x777fc1ee,0xeeeeeeee,0x3ee5fc81,0x83fcc006,0x1ffa85fc,
    0xfc805ff0,0x2ff800ff,0x3f27f980,0x6f997f45,0x2fccff00,0xf5001fe6,
    0x2b3fe20d,0x04ffaaaa,0x55567fc4,0xff04ffaa,0x09f91ec5,0x55559ff1,
    0x3fe09ff5,0x05ff0002,0x000bfe00,0x1fe65fc8,0x320df500,0x2effa85f,
    0x22017f66,0x7fd002ff,0x7e4ff500,0x6f997f45,0x2fccff00,0xfb000ffc,
    0x3fffee09,0x0fffffff,0x3ffffee0,0x80ffffff,0xff8f65fc,0xfffffb83,
    0x80ffffff,0xff0002ff,0x0bfe0005,0x7c5fc800,0x13f6001f,0x7fd42fe4,
    0x0effdeff,0x2005ff00,0x5fb804fd,0x25fd17f2,0x4ff006f9,0x06fd85f9,
    0x3a05ff30,0xccccccdf,0x3fa03ffc,0xcccccccd,0x3ffa83ff,0x203ff27b,
    0xcccccdfe,0xff83ffcc,0x05ff0002,0x000bfe00,0x37ec5fc8,0x902ff980,
    0xd3df50bf,0x40019fff,0xbf9002ff,0x7e49fb00,0x6f997f45,0x2fccff00,
    0x22027fc4,0x1ff305fe,0xf306fd80,0x06fd801f,0xffdddff9,0x01ff305f,
    0x2ff86fd8,0x005ff000,0x8000bfe0,0x27fc45fc,0xc817fa20,0x226fa85f,
    0x05ff0001,0x880bfea0,0x2fe803ff,0x9fe00df3,0xbff305f9,0x40bff503,
    0xff9805fc,0x9805fc81,0xffd701ff,0x3f203dff,0x41ff9805,0xff0002ff,
    0x0bfe0005,0x985fc800,0xffa81dff,0x542fe405,0xff00006f,0x57fec005,
    0x042ff540,0x06f997f4,0x02fccff0,0xfddffff3,0x2ff80bff,0xff09fd00,
    0x013fa005,0xff801bd1,0xf89fd002,0x999999bf,0x3fe09999,0x9999999b,
    0x2ffe0999,0x99999999,0x82fe4099,0xfeeffff9,0x5fc805ff,0x00006fa8,
    0x744005ff,0xffffffff,0x756fec0e,0xdff32ffe,0xf33fc07d,0xffda880b,
    0x7d402cef,0x83fee007,0x3ee007fa,0x201ec00f,0x3ee007fa,0x3ffffe0f,
    0xffffffff,0x3fffffe2,0x2fffffff,0x3ffffffe,0x42ffffff,0x36a205fc,
    0x002cefff,0x0df50bf9,0x00bfe000,0xffffb910,0x7bfb019f,0x3e65ffff,
    0x9fe04fff,0x04c005f9,0x4009fb00,0x13f63ff8,0x403ff880,0x027ec02b,
    0x7fc7ff10,0xffffffff,0x3ffe2fff,0xffffffff,0x3fffe2ff,0xffffffff,
    0x002fe42f,0xbf900013,0x0000df50,0x10000bfe,0x02a98033,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x1cd9802a,0x473203d3,0x932603c9,0x6cc001cb,0x7003d31c,
    0x00132239,0x000032e2,0x00440006,0x11000098,0x00000140,0x10000000,
    0x00000001,0x7c4ffe00,0x7ffcc03f,0x3fe07fff,0x7d40df52,0x9800ff67,
    0x07ffffff,0x1fe67fb0,0x01a6b600,0x3fff6e20,0x7ec401bd,0x0fe601df,
    0x7ffedc40,0x80bf22df,0xd0003ffd,0x7fc400bf,0x77ff6404,0x5ff5000b,
    0x417fe000,0x00bf93ff,0x0776a2f9,0x0df52ff8,0x07fb3fd4,0xdda8be40,
    0x267fb001,0x3668007f,0x3ffea000,0x04ffffef,0x0bfab7f6,0xff9803ec,
    0xdfffeeff,0x3bee04fc,0x7d4001fe,0x1bf2000e,0xffbbffb0,0x037e400b,
    0xc8077dc0,0x0006f89c,0x00000000,0x00000000,0x1aaf2000,0x41dff980,
    0xdf04ffc9,0x1fcc37cc,0x40f7fcc0,0x2605fffb,0x00ff98ff,0x88007fa0,
    0x3bf200ff,0x8007fe20,0x7f4001fd,0x54000001,0x3f2004ff,0x13fea005,
    0x2013fe20,0x7fffc7f9,0xffffffff,0x09ff5007,0x500ffe60,0x44f987ff,
    0x8807e87f,0x7fdc04ff,0xaa86aa05,0x00351001,0x7ec01a88,0x2004fc82,
    0x2a2001a8,0xbf91d401,0x03ffec00,0x6c00bf90,0xff8807ff,0x23fcc01f,
    0xffffffff,0xb007ffff,0x3fa00fff,0x43ff9005,0x507f42fb,0x0dfd007f,
    0x01ffef98,0x33000198,0x3fe00000,0x2002fd81,0x4cc00099,0x5fc9f200,
    0x5fbdf100,0x4017f200,0x402fdef8,0x200efff8,0x4dffc7f9,0x99999999,
    0xfdef8801,0x00ffc402,0x27d47fd0,0x200dd1fe,0x3be201ff,0xfd305ff8,
    0x9801bfff,0x80dffffe,0x43fe06fa,0x3fcc0ff8,0x7ffff540,0x3ffaa03f,
    0x27c83fff,0x9f7005fc,0x3f200df5,0xf59f7005,0xffff880d,0xff1fe604,
    0x7dc00005,0x7d406fac,0x32fec006,0xf537ccdf,0x40ff3007,0x0ffb1fe8,
    0xffdbfff5,0x3ffea03f,0x541fffed,0x443fe06f,0x403fd87f,0xffdceffc,
    0xceffc84f,0x7ec4fffd,0x3a00bf90,0x801ff8af,0x5fd005fc,0x7c403ff1,
    0xf302ffcf,0x0002ff8f,0x3fe2bfa0,0x0017f201,0xbdfd8df7,0x401ba1fe,
    0x87fa06fb,0x3fe20ffb,0x21bf660c,0x3660cff8,0xf037d46f,0xf31fe21f,
    0x81ff880f,0x0ffc47fc,0x43f63fe4,0xff9805fc,0xf9009fb0,0x21ff300b,
    0x3fe204fd,0xf980efd8,0x00017fc7,0x9fb0ff98,0x20027ec0,0x7f5c0ffa,
    0x400bea1d,0x85fb05fd,0x1bf21ff9,0x37e43ff8,0x37d47ff0,0x1fe21ff0,
    0x5eb80df5,0x75c1ff30,0x741ff305,0x900bf91f,0x403fd4bf,0x5fc805fc,
    0xff881fea,0xf984ff88,0x00017fc7,0x1fea5fc8,0x4c004fe8,0xdd0100ff,
    0x7ec0bdb8,0xf883fc84,0xb80bfa1f,0x7017f45f,0xf037d4bf,0xf11fe21f,
    0x7c40009f,0x3fe2000f,0x2fe47fa0,0x3fe17fc0,0x402fe402,0x817fc2ff,
    0x5ff50ff8,0x67fc7f98,0xaaaaaaaa,0x217fc00a,0x0bf902ff,0x2007fb80,
    0x3fbfa2fb,0xf717f24f,0xff1fea09,0x3e37d403,0xa9bea01f,0x443fe06f,
    0x0dffb87f,0x7f6e54c0,0xb95300ff,0x7fc1fffd,0xfa80bf92,0x6406fc87,
    0x43fd405f,0x1ff106fc,0xff3077ec,0xfffffff8,0x201fffff,0x06fc87fa,
    0xfc800df5,0xf99be006,0x3ee3fb14,0xfb817ea6,0x9803fe25,0x803fe27f,
    0x81bea7f9,0x20ff10ff,0xea81effa,0xffceffff,0x7ffff540,0x3fe0ffce,
    0xfd80bf93,0x201ff984,0x27ec05fc,0x7c40ffcc,0x993fe20f,0x7777fc7f,
    0x1eeeeeee,0x3e613f60,0x00ff881f,0x5c013fa0,0xfb87f22f,0xbf53ff33,
    0x7fc3fd80,0xff17ea01,0xf52fd403,0x443fe20d,0x1ffa207f,0x4437bff5,
    0x37fea0ff,0x443fe21b,0x40bf93ff,0xaaaacff8,0x3f204ffa,0x2b3fe205,
    0x84ffaaaa,0x7fd40ff8,0x2ff8ff32,0x67fc4000,0x4ffaaaaa,0x8b60bff0,
    0xdf001ffb,0x93e60fe8,0x200efdfd,0x17f42ffa,0x2fe89f70,0x6fa93ee0,
    0x3e21ff30,0xd0ffc407,0x83fe609f,0x1ff304fe,0x2fe53fe2,0xffffff70,
    0x201fffff,0x3fee05fc,0xffffffff,0x407fc40f,0x47f98ffd,0x5c0002ff,
    0xffffffff,0xff980fff,0x7d77fc43,0x85f7004f,0x993ea0fe,0x3a200fff,
    0x205fc84f,0x02fe42fe,0x83fcc5fd,0x4ff10ffb,0x3e2fe828,0x43ff702f,
    0x3ff702ff,0x2fe53fe2,0x9999bfd0,0x207ff999,0x37fa05fc,0xfccccccc,
    0x407fc43f,0x47f9cff8,0x740002ff,0xccccccdf,0xff503ffc,0x7ffe441b,
    0xb0df1006,0xf11fdc3f,0xfb881bff,0x19ff105f,0x22077ecc,0x3f660cff,
    0x50ffe20e,0x5fe21fff,0x1fe61ff8,0xfff50bfb,0x7d42fec3,0x29ff11ff,
    0x1ff305fc,0xf906fd80,0x003fe60b,0x0ff88dfb,0x8ff7ff70,0x260002ff,
    0x37ec00ff,0xddffff50,0x005dffff,0x1bf503f7,0x3fa21fd1,0xfeeffffc,
    0x7fdc05ff,0x00effddf,0xffbbfff7,0x9dff901d,0x221fdbfd,0x377fee7f,
    0x77fcc3ff,0x2fedfecb,0x3b2fbfe6,0xff12fedf,0x7e417f29,0x81ff9805,
    0x0bf905fc,0x7c43ff30,0x3fff600f,0x00017fc7,0xff300bf9,0x7fedcc03,
    0xeffbacef,0x640df101,0x3f62ffff,0xdffff912,0x3fa60059,0x4c00ceff,
    0x00cefffe,0x753fffee,0xeb8ff10f,0xff704fff,0x17f25fff,0x25fffff7,
    0x17f205fc,0xfe8017fc,0xff05fc84,0x893fa005,0x3fe200ff,0x4cdffc7f,
    0x99999999,0xe8017fc0,0x2026004f,0x39301fc8,0x2882b880,0x80001310,
    0x01300009,0x40000880,0x01330018,0x80009980,0x07fa85fc,0xf903fee0,
    0x400ff50b,0x1ff10ffb,0x7c7ffb80,0xffffffff,0x3ea2ffff,0x03fee007,
    0x00004000,0x00000000,0x00000000,0x00000000,0xfc800000,0x2004fd85,
    0x2fe43ff8,0xf10027ec,0x003fe27f,0xffff1ff6,0xffffffff,0x0027ec5f,
    0x00007ff1,0x00000000,0x00000000,0x00000000,0x00000000,0x0005fc80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02600000,
    0x00000026,0x00000055,0x00000000,0x00800000,0x11004c40,0x2200c400,
    0x00262000,0x17fec062,0x007ffb00,0xf7001ff6,0xfc817fcb,0xf1007fe5,
    0xf702fa8b,0xe8017fcb,0x5fb804cb,0xffb00bfe,0x02ff4000,0x9803ffd8,
    0x7ecc03ff,0x6e8803ef,0x4c01be60,0x01be604f,0x5f803744,0x01fedfb8,
    0x01feefb8,0x2003fe88,0x40bfe5fb,0x007fe5fc,0x01fc87f5,0x017fcbf7,
    0xf700d2cc,0x22017fcb,0xfa8003fe,0xeefb800e,0x07fa801f,0x07f557f4,
    0x7dc07f60,0x06e8806f,0x6401bfee,0x43f9801f,0x0efa8ff9,0x3e63fe60,
    0x07f8800f,0x0aa86a60,0x05543530,0x0fd0bee0,0x0155154c,0x201663a0,
    0x002aa2a9,0x3a001be2,0x8ff9801f,0xfc800ff9,0x7e435103,0x6c0fea02,
    0xfd806fbf,0x0df7fb01,0x32007f50,0x550d541f,0x550d5403,0x002a6003,
    0x40000000,0x0037c0fd,0x03366000,0x54c00000,0x006a2000,0x03550d54,
    0x36600aa0,0x81be204f,0xfa80df0a,0x037c2a03,0x6e801be2,0x13300000,
    0x00019800,0x00000133,0x013e6374,0x998000cc,0x000cc000,0x0cc000cc,
    0x0000cc00,0x407ff500,0x0df000fd,0xdf0037c4,0x1000fd80,0xf037d49f,
    0xfffd501f,0x7f4c07ff,0x5400dfff,0x43fffffe,0x43fe06fa,0xfffffffd,
    0x984fffff,0x00dffffe,0x7fffff54,0x3fff6203,0x3f6200df,0x2200dfff,
    0x00dffffd,0x37ffff62,0xff037d40,0x5c27d401,0x81be002f,0x1be000fd,
    0x2a002fb8,0xf81bea2f,0x677fe40f,0xfa84fffd,0x1fffedff,0xfb9dff90,
    0x037d49ff,0x3bbb21ff,0xeffeeeef,0x6fffd43e,0xf901fffe,0x9fffb9df,
    0xd9bfff30,0xfff303ff,0x303ffd9b,0xffd9bfff,0x9bfff303,0x37d43ffd,
    0x86e61ff0,0x02fcc5f8,0x17dc1be0,0x7cc1be00,0x507e4005,0x107fc0df,
    0x8ff903ff,0x3660cff8,0x81ff886f,0x81bea7fc,0x41fb80ff,0x19ff107e,
    0x7c437ecc,0xe87fc81f,0x437e40cf,0x37e40cfe,0x3f2067f4,0x640cfe86,
    0xf81bea6f,0xb55df10f,0x000ee85f,0x02fcc37c,0x0ee837c0,0x3ea37c00,
    0xeb83fe06,0x641ff305,0x70ffe06f,0x43fe60bd,0x03fe06fa,0x20bf03f6,
    0x0ffe06fc,0x3fe60bd7,0x7c03fee0,0x403fee2f,0x03fee2ff,0x1ff717fc,
    0x37d4bfe0,0x7f541ff0,0x00fe43ef,0x077437c0,0x7e437c00,0x21fcc001,
    0x03fe06fa,0x3a0ff880,0x017ee02f,0x3ea1ff10,0x3e03fe06,0xfe827cc6,
    0x0017ee02,0x27ec1ff1,0x27ec9fb0,0x27ec9fb0,0x27ec9fb0,0x1bea9fb0,
    0x80880ff8,0x03d704fa,0xb710fe40,0x7d400159,0xf703d704,0x3e06fa83,
    0xdb95300f,0x0ffc1fff,0x54c0df50,0x50fffedc,0x207fc0df,0x817dc5f8,
    0x1bea01ff,0xffedca98,0x3bbbfa0f,0x25feeeee,0xeeeeeefe,0x3bfa5fee,
    0xfeeeeeee,0x3bbbbfa5,0xf55feeee,0x8007fc0d,0x3ff506f8,0xf893ea00,
    0x1006fedf,0x07fea0df,0x81bea1f6,0x7ff540ff,0x10ffceff,0x3fcc01ff,
    0x77ffff54,0x0df50ffc,0xfeec87fc,0xeeffeeef,0x401ff13e,0xffea87f9,
    0x20ffceff,0xffffffff,0x3ffe6fff,0xffffffff,0x3fffffe6,0x3e6fffff,
    0xffffffff,0x40df56ff,0x1fb000ff,0x003fff30,0x21fc8df1,0x0fd801fd,
    0x441fff98,0x106fa85f,0x6ffd41ff,0xf83fe21b,0x517ea01f,0x7c437bff,
    0x220df50f,0xffffb0ff,0xffffffff,0xf500ffc9,0x1bdffa8b,0x2ff83fe2,
    0x0017fc00,0xff000bfe,0x837d4005,0xfb800ff8,0x1fcef883,0xd800fd80,
    0x41fdc00f,0x541fcee8,0x306fa82f,0x827f41ff,0x0bfa0ff9,0x27f44fb8,
    0xdf50ff98,0xfb03fe60,0xfd02fc41,0x3a27dc05,0x41ff304f,0x3a0205fe,
    0x3fa0205f,0x17fa0205,0x9837d408,0x2fcc00ff,0x01fb9fe8,0x7dc01fdc,
    0xe82fc405,0x7e41fb9f,0xf707f980,0xb817fc1f,0x817f21ff,0x817fc2fe,
    0x0ff31ffb,0x8df03fee,0x17f204f9,0x17fc2fe8,0x3f21ffb8,0x649fd00f,
    0x49fd00ff,0x9fd00ffc,0xfe807fe4,0x3ee0ff34,0x407f400f,0x403f71fd,
    0x7ec405f9,0xd80fe805,0x6e83f71f,0xfa87ff10,0x217f60ff,0x3e21fffa,
    0x3bf660cf,0x7d42fec0,0x87ff11ff,0x3e20fffa,0xf1017dc4,0x77ecc19f,
    0x7d42fec0,0x37fe21ff,0x3e237e41,0x237e41df,0x7e41dff8,0x20effc46,
    0x0ffe26fc,0x6401fff5,0xeeff882f,0x1fd02efe,0x401ff440,0xeff882fc,
    0x9f12efee,0x7677fe40,0x3e60fedf,0xedfecbef,0x6fffdc2f,0xf980effd,
    0xedfecbef,0x33bff22f,0x2a0fedfe,0x2007e43f,0xffddfffb,0xbeff980e,
    0x42fedfec,0xffcdfffa,0xdfffa81f,0xfa81fffc,0x1fffcdff,0xfcdfffa8,
    0x77fe41ff,0x00fedfec,0x2aa209f3,0xc81cfdaa,0x2ffa202f,0x4f980999,
    0xfb555510,0x7007ee39,0x3fa9ffff,0x7ffffdc0,0xfd30bf92,0x5c019dff,
    0xf92fffff,0x4ffffb8b,0x20fe41fd,0xffd3007e,0x7dc019df,0xbf92ffff,
    0x9dfffb10,0x7ffec403,0x3f6201ce,0x2201ceff,0x01cefffd,0x3a9ffff7,
    0x006f880f,0x27cc0fdc,0x3fffff60,0x0037443f,0x007d87ee,0x13300022,
    0x00026000,0x08800133,0x02a82980,0x4c000980,0x01300009,0x30001300,
    0x00130001,0x39500044,0xb80a9800,0xaaaaa804,0x00e540aa,0x02a82a60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000020,0x00009800,0x0004c000,0x31000060,
    0x00020000,0x00000000,0x00044000,0x10000260,0x5c000000,0x4ccccccc,
    0xffda8000,0x3f6a001c,0xfb04efff,0x33bb2600,0xffec8801,0xb5001bef,
    0x3fb1bfff,0x3ffb2a20,0x73000cef,0x0159fffb,0x0b7ffae0,0x1cefec88,
    0x05eff5c0,0x7ffedc40,0xda8801df,0x3001efff,0x159fffb7,0x77f64c00,
    0xfffff00c,0x5c01ffff,0xd9ff902f,0xff9001ff,0x1dffffff,0x7e401fb8,
    0x202fffef,0xffeffffa,0x7fd405ff,0x1feeffcf,0xefffffa8,0x2202ffff,
    0xecabdffe,0x3fa203ff,0x885fffff,0x2fffefff,0xfffffe98,0x3ffe602f,
    0x04ffffef,0x7fe77fec,0x3ffa202f,0x3ffecabd,0xfefffb80,0x57fcc0ff,
    0x202aaaaa,0xff882ffa,0xf700ff60,0x7feb987f,0xdf301fcc,0x5c0ffd43,
    0x7dcc1eff,0x17ff105f,0x2a0fffdc,0x6cc0aeff,0x2ff983ff,0x6c17f620,
    0x7ff712ef,0xf711dfe8,0x8bffe83f,0xf981ffb8,0x3f6a0adf,0x43ff903f,
    0xf980ffc8,0x17f6202f,0x3aa2ffa8,0x002fd46f,0x5c17ffd4,0x2037d45f,
    0x3fe604fe,0x3fd037c2,0xff88bf70,0x427fcc04,0x3ff705fc,0x6402ffc4,
    0x00ffc46f,0x3ff84fd8,0x3fea6fc8,0x3ee4fd80,0x4c6fa81f,0x7ff404ff,
    0xff04fe80,0x081ff887,0x9fd04fd8,0x7e41ff30,0x3ff22003,0x46fb82ff,
    0x3fe204fc,0x3227ec01,0x106fa80f,0x037ec1ff,0x7f42ffb8,0xfc87fe01,
    0x2ff8800f,0x777647f6,0x30fec1cd,0x4ff301ff,0x4df705eb,0x3ff106fd,
    0x260077ec,0x0ffc44ff,0x0fec1ca8,0x419dffb3,0x037cc1fd,0x00fec197,
    0xfeafff88,0xf53ff882,0x03ff803f,0x0bea04c4,0x2fe813f2,0x6c003ff3,
    0xd007fc4f,0x001ff43f,0xfb1fc155,0xf85fd999,0x7dc17fc4,0xe93f6006,
    0xf93f603f,0x1035001f,0x3f8005ff,0x3ee6ffe6,0x13f227c5,0xd931ff00,
    0x21bf307b,0xbff702fe,0xffb007ff,0x4f880017,0x3f603fe8,0xc800ff53,
    0x803fe26f,0x03ff11fe,0xdb0fcc00,0x6c6d8bf0,0x0ffa20ef,0xfd17fcc0,
    0xf9afec07,0xff80000f,0xf87e6003,0x1b61fa86,0x2f2a27fb,0xfffff880,
    0x0620efff,0x7ff405fd,0xffd1001e,0xd00137df,0x6407fd0f,0x800df74f,
    0x00ffc7fa,0x03fe63ff,0x36c7b800,0x81f513e2,0x3ffddffc,0x17ff5c40,
    0x7fc41bf6,0x0000ff75,0x7b8017f6,0x7d4013e6,0x3feebfa0,0x7fd43fff,
    0x6ffda8ae,0xfd817f40,0x64000eff,0x1dffffff,0x5fd07f20,0x5fca7e40,
    0xd0ffc400,0x47fe205f,0x266206fb,0x8bd19999,0x1fecbaed,0x3fa217c4,
    0x5c00efff,0x7dc0dfff,0x96ffb80f,0xfb8000bf,0x05ffffff,0x001fb97a,
    0x7effc5f1,0x23fffbbf,0x5ff505c9,0x3a617f40,0x225ffaef,0xfeca8801,
    0x7f303fff,0x3ee02ff8,0x8800bfb5,0x41bee1ff,0x0df91ffb,0x7fffffe4,
    0xfefd8bd7,0x5c5f104f,0xffebadff,0x3faea602,0x4e7ff43f,0xf95fefd9,
    0xffb8000b,0x205fffff,0x4007ee5e,0x13ffe2f8,0xf8003fee,0xf0bfa05f,
    0x53fea1bf,0x5c4005fd,0x8bf04ffe,0x53f202fe,0x7cc006fb,0x9977fc47,
    0xff51fffc,0x3ffff201,0x6d8f97ff,0x1f501fb1,0x3ee07fe6,0x1ff7000f,
    0x7fffff4c,0x0ff75fac,0x017fc000,0x40fea7c8,0xff83ea0a,0x03ff880f,
    0xfe81bf20,0x3f21fea2,0x0002ffaf,0x23ec1ff2,0x4ff603fd,0x7d4007f9,
    0xfffff986,0xff11ffdf,0x9bfd4003,0x0dd1b61f,0xf037e4db,0x17fc005f,
    0xfb9676dc,0x2001ff34,0x00bfa008,0x86f88fcc,0xfd1b62fa,0x0027ec0b,
    0x17f40df7,0x3ff609fb,0x803ec86f,0x2fb81ff8,0x2fd80ff2,0xfd8007fe,
    0x7bfd9104,0x03fe83fe,0x23f9fea0,0x3e27cc6d,0xfc80bfa4,0x017f2005,
    0x07fe3fc8,0x7c437dc0,0xb8fe000f,0x45fc9bef,0x901fec4f,0xe80fb6bf,
    0xd8bfa05f,0x7ffd104f,0x3e00df70,0x2e4f881f,0xd83fe05f,0x5ff3006f,
    0x641ff000,0xff5001ff,0xd86d8fec,0x7f43fb1f,0x7ed7f203,0x4c53fa03,
    0xfe87fe01,0x509fd006,0x1fd800bf,0x833bffea,0x02fe41fd,0x41ff27fd,
    0x3fa02ff9,0x2203fea2,0x7c40effe,0x03fd403f,0x407fc4dd,0x27fc46fa,
    0x3217fa20,0x88df502d,0x6c401fff,0x800fec7f,0x82fe42fd,0x0ff93ff8,
    0x37dcffe6,0x7fcc6fa8,0x40ffe404,0xfd8000fe,0x17ec0441,0x7c407fc4,
    0x989ff31f,0x17f406fd,0xfe8877fe,0x7ec0efff,0x7fdc41cf,0xfc83f204,
    0x4c0ff445,0xffa81dff,0x881df705,0xfffa84ff,0x7ffdcc1b,0x2202fd85,
    0x3ff982fd,0xf987fe44,0x137ecc3f,0x0ff985ff,0x221cffa8,0x7443ffda,
    0x441acbdf,0x4405fb01,0x3bf602fd,0xf71bf620,0x1dffd9ff,0x7dc2fe80,
    0x9effedff,0xffc86ffa,0x3ffffeff,0xfd11fd40,0x409ffb9d,0xfeeffff9,
    0x3fa205ff,0x05ffecdf,0x3bffffe6,0x202effff,0xecabdffd,0x3fee02ff,
    0x42fffdce,0xffecfffb,0x677fdc1f,0x3f202ffd,0xffffefff,0xfffffb84,
    0x06feefff,0x32af7ff6,0x74402ffe,0x0effddff,0xdffffea8,0x982fe800,
    0x20cffffe,0xfdb503fa,0x1005bfff,0xfffd88bf,0xfda8803d,0x8802ceff,
    0x03efffdb,0xfffeca88,0xb73003df,0x00159dff,0x3dffffd3,0x3ffffaa0,
    0xfff9500d,0xffb5005b,0x2203dfff,0xfdb99adf,0x2600efff,0x0aceffdb,
    0x3ffff200,0x004c400d,0x9880bfa0,0x4c400200,0x202a8000,0x02600009,
    0x80003000,0x08000098,0x00662000,0x0c001988,0x00333000,0x00133002,
    0x31000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8b2a000,0x20011005,
    0x802ff808,0x3ee00ff9,0x0df50007,0x00009800,0x3f200000,0xca80950e,
    0x1fea1722,0x2200ff88,0x400c4001,0x27ec0001,0x7d43fe00,0x1bfadf56,
    0x07dffd71,0xfdffffc8,0x3fff6604,0x03f700bd,0xff3005ff,0x103fdc01,
    0x06fa89ff,0xffffe980,0x42ffa80d,0x7f41ffe8,0x7dc0ff52,0x3f204fff,
    0xf04fdfff,0xa97ee03f,0xdfffe8cf,0x17fff201,0x757fff6a,0x09fb000f,
    0xdf50ff80,0x337f5bea,0xdfffffff,0x7ed53e01,0xbfff100c,0x3fe0bffb,
    0x9802ff81,0x132a00ff,0x7d41ff50,0x7ffd4006,0x6c2fffdd,0xefdfd84f,
    0x3fd4bfa0,0x01fffc88,0x0dfdaa7c,0x3fa09f90,0x3bffbea2,0xfa80fffc,
    0x7fcc3eff,0x0feefecf,0x8009fb00,0x26df50ff,0x7f4dfd3c,0x01bfaa2d,
    0x067f4400,0x3ff05fd1,0xf3005ff0,0x2e00001f,0x801bea4f,0x3620dff8,
    0x70df30ff,0xaa97eedf,0xff505510,0x0000bf77,0xff10ff30,0x222effa8,
    0x05fd86fc,0xffb87ff1,0x09fb000f,0xdf50ff80,0x7fd5bfa0,0x401ff980,
    0x1bee0099,0x0ffc2fd4,0x7cc017fc,0x00f2600f,0x44df5154,0x203fee01,
    0x01533ff8,0x00554155,0x0bf61440,0xfe800cc0,0x3ea27dc2,0xd85fd02f,
    0x20bf903f,0xfb000ffc,0x87fc1809,0x2dfd06fa,0x0ffa05fc,0x3fffffaa,
    0x2003fc83,0x23fffffc,0xff9802ff,0x0017ea00,0x7ff477d4,0x02fec1ef,
    0x000009fb,0x9dfd9100,0x3fa601ff,0x2e00dfff,0x2a0ff45f,0xd13ee06f,
    0x40bf605f,0xfb000ff8,0x9fffb509,0x5bea1ff1,0x22bfb6fa,0x90ffa01a,
    0xfffb9dff,0x2002fe89,0x22eeffeb,0xff9802ff,0x2013f200,0x3ffea4fc,
    0x41fffdef,0x64ff6008,0x813f204f,0xfff304fc,0x50bffffd,0xfffdbfff,
    0x4c3fe203,0x205fa86f,0xffffb5fa,0x201ff8df,0x9fb000ff,0xffcfff98,
    0x2df50ffe,0x00bf96fa,0xff887fe6,0x7fc7fc81,0x81ff8001,0xff9802ff,
    0x005ff100,0x77fd49f9,0x801bf622,0x09f91ff9,0x9f9027e4,0xeb8b7fa0,
    0x33fe20ff,0xd81bf660,0xf507f93f,0xecb7d40b,0x3e25eeff,0x003fa00f,
    0x7ff127ec,0xa87ffdc1,0x3f2df56f,0xb8dfb004,0x41ff305e,0xff8002fe,
    0x9802ff81,0x5fe880ff,0x7d49f900,0x005ff02f,0x27e47ff3,0x7e409f90,
    0xf106fb84,0xf037e43f,0x7d7ea07f,0x205fa80f,0x817f45fb,0x03fe01ff,
    0xbf927ec0,0x7d43ff20,0x13eedf56,0x0007fee0,0x1fec1ff1,0x1ff819b0,
    0xf9802ff8,0x02ff440f,0x37d49f90,0xf9809f90,0x9027e44f,0x427e409f,
    0x8ff203fe,0x17ee02fe,0x505faff8,0x21fe40df,0x05fd02fe,0xfd8007fc,
    0x7c40bf64,0x3eadf50f,0xfb807f76,0x6e54c03f,0x3ee0fffe,0xff0ff506,
    0x3005ff03,0x05fe88ff,0xbf527e40,0xf102fdc0,0x409f90bf,0x13f204fc,
    0x5fb807fe,0x6fa807fe,0x40bfbf20,0x5ff01ffa,0xdf702fe8,0x4003fee0,
    0x807fe4fd,0x2adf50ff,0x6407f56f,0x3faa03ff,0x0ffcefff,0xe8833fe2,
    0xe81ff84f,0x47fa803f,0x64000efc,0xa817ea4f,0x417f606f,0x13f204fc,
    0x0ff84fc8,0x7fc5bea0,0x981fe600,0xff500fff,0x42fecc5d,0x9ff102fe,
    0x007ffd41,0x1ff14fd8,0x6fa87f40,0x40beadf5,0x3ea02ffd,0x3fe21bdf,
    0x6efffd40,0x03ff06ff,0xbf7009fb,0x40202fe8,0x817ea4fc,0x03fe05fb,
    0x9f9027e4,0x7fc27e40,0xff97ee01,0xd017ea01,0x7ffd409f,0x80effdef,
    0x3fea02fe,0x0ffefecf,0xf1ff4066,0xa87fc03f,0x3e6df56f,0x00ffec42,
    0x7fcc13fa,0xffffe980,0x903ff00c,0x89fb00bf,0x5ff102ff,0x1bea4fc8,
    0xff104fc8,0xf9027e40,0x7427e409,0xe93f202f,0x013ee02f,0x77d403fd,
    0x00cfffe9,0xfe9805fd,0x30ff8dff,0xd8bfa0ff,0x21ff102f,0x22df56fa,
    0x03bfa20c,0x7dc0bfe0,0x007f201f,0x3fea07fa,0xd0ffe202,0x03fee0bf,
    0x0ffd49f9,0xc8817fc4,0xc813f204,0x213f204f,0x5ff105fc,0x5fd02fe4,
    0x2a037cc0,0x3a00626f,0x4131002f,0x01ff10ff,0x82fdc3ff,0x2df50ffb,
    0x3bf606fa,0x50bfb000,0x76403fff,0x817f402f,0x7540affd,0x43ffb85f,
    0x4fc85ff9,0xd983bfea,0x7e40006f,0xc813f204,0x0cff884f,0xff11bf66,
    0x077ecc19,0x5402fe88,0x2fe8006f,0xe83fe000,0x1ffb11df,0xf5067fc4,
    0x55bea1ff,0x3ea7976f,0x999999af,0x2fbfe609,0x02fedfec,0x3f6037c4,
    0x7ff443ff,0x0effffff,0xfd9fffb0,0x49f901df,0xfddffefa,0x332601ff,
    0x6409f900,0x413f204f,0xffddfffa,0xdfffb81f,0xfc80effd,0x6fa806ff,
    0x002fe800,0xffa83fe0,0x982fffef,0xfefecfff,0x3eadf50f,0x3ffebfb6,
    0xffffffff,0x7ffffdc4,0xb910bf92,0xfe8807ff,0xffdc885f,0x5400cfff,
    0x00cfffff,0x4e7d49f9,0x400dfffe,0x9f900ffa,0xf9027e40,0x7ffecc09,
    0x3fa600df,0xf700ceff,0xdf5001df,0x005fd000,0x3ea07fc0,0x2602efff,
    0xfe8dfffd,0x5beadf50,0xffff8dfd,0x4fffffff,0x4c001330,0x04002cee,
    0x00019880,0x09f90013,0x3ea00188,0x409f900f,0x13f204fc,0x4c000cc0,
    0x40013000,0xfe8006fa,0x03fe0002,0x060004c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x77777641,0x3e4eeeee,0xffffffff,0x7ffc7fff,0x0ceeffff,
    0xffffff10,0x3ea079df,0x027ec006,0x06faa7fc,0xfd807fc0,0x04ffa803,
    0x5401ff88,0x05ff0eff,0x3e21ff30,0x3ffe001f,0xffffffff,0x09fff10f,
    0x7c5ffea0,0x27f9804f,0x80bfb5fd,0x7ff41ffb,0xffffffff,0x3fffffe5,
    0x47ffffff,0xffffffff,0xff884fff,0xffffffff,0x0037d40d,0xfb807fe6,
    0x800df50f,0x07fb00ff,0x100fffb0,0x7fd403ff,0x4c017fc5,0x03ff10ff,
    0x7fffffc0,0x10ffffff,0x3600dfff,0x3fff17ff,0x3f67f980,0x7cc0bfb5,
    0x555541ff,0x3ffbaaaa,0x26666ffe,0x7c199999,0xba9999bf,0x7fc44ffe,
    0xfba9999a,0x0037d46f,0xff882fe4,0xf001bea3,0x00ff601f,0x805fbdf1,
    0xff501ff8,0x3005ff0b,0x07fe21ff,0x999bff80,0x22199999,0x4401ffff,
    0xfff17fff,0x73fcc01d,0xe80f2e79,0x6c001fff,0x0017fc5f,0x7ec01ff8,
    0x807fe21f,0x1bea0ff9,0x20bfe200,0x037d46fc,0x7ec03fe0,0x7d67dc03,
    0x40ffc406,0x5ff05ffa,0x221ff300,0x3fe001ff,0x6ffc4002,0x7f7d404f,
    0x09ffff17,0x90003fcc,0x4003fd7f,0x17fc0ffb,0x801ff800,0x07fe26fd,
    0x37d45ff0,0x446fb800,0x237d42ff,0x403fe009,0x57f403fd,0x3e201ff8,
    0x02ffd41f,0xff3005ff,0x8007fe21,0x7c4002ff,0x7ec06faf,0xf9ff17fb,
    0x01fe605f,0x1feafd40,0xf05ff100,0x3fe0005f,0x11ff9801,0x1ff803ff,
    0x3fea1bea,0xfc8ffa02,0xfd8efa85,0x0ff83eff,0x7cc07fb0,0x4409fb0f,
    0x17fea1ff,0xf3005ff0,0x007fe21f,0x44002ff8,0x101fe8ff,0x3e2ff3df,
    0x980efd8f,0xff88007f,0x36003fd0,0x005ff04f,0x7c007fe0,0x403ff12f,
    0x237d47fa,0x7d402ffa,0xa81ff98f,0xffdefeff,0xd807fc2f,0xa97f203f,
    0x47fe207f,0xff804ffa,0x10ff9802,0x7fc003ff,0x47fc4002,0x37f504fc,
    0x223fe2ff,0x07f984ff,0x3fa2fd80,0x00ffa801,0x555559ff,0xff815555,
    0x227fd001,0xcaaaabff,0x37d41efd,0x3a005ff5,0xf504fdbf,0x37ec41ff,
    0x1fec07fe,0x2ff85ff0,0xff53ff10,0x9bff001f,0xb9999999,0x07fe21ff,
    0x999bff80,0x7c409999,0xfb06f98f,0x3fe2ff31,0xf985ff50,0x22fd4007,
    0x5fd801fe,0x3fffffe0,0x41ffffff,0xbfb001ff,0x3fffffe2,0xfa82ffff,
    0x9805ff56,0xaffffb99,0x07fea199,0x03ff1fea,0x3fd40ffa,0xff8837e4,
    0x804ffffb,0xffffffff,0x10ffffff,0x7fc003ff,0xffffffff,0xfe87fc46,
    0x7f9afc41,0x77ec1ff1,0x8801fe60,0x00ff40ff,0xff807fe2,0xeeeeeeee,
    0x00ffc1ee,0xdff15fd8,0xfffddddd,0xffaefa89,0x7fffcc02,0xffffffff,
    0x7fc0ff50,0x3e213fe0,0x309fb03f,0xfff103ff,0x805ff77f,0xcccccdff,
    0x10ffdccc,0x7fc003ff,0xeeeeeeee,0xfc87fc45,0x7f997dc4,0x7fc41ff1,
    0xe801fe64,0x401fe81f,0x17fc06fb,0x001ff800,0x07fe29fd,0x3ea4ffa8,
    0x4402ffff,0xcffccccc,0x1bea4ccc,0x3ffe1ff8,0x20fffa22,0xaaaacff8,
    0xff884ffa,0x803ff63f,0xff9802ff,0x4003ff10,0x7c4002ff,0xfd8df30f,
    0x3fe2ff30,0xf997fd40,0x5e5cf2e7,0xaaaaaefb,0xfd01acff,0x002ff807,
    0x3e003ff0,0x803ff13f,0x3ffea7fb,0x44000ffd,0x037d407f,0x7fffc3ff,
    0x83feffee,0xfffffffb,0x7c40ffff,0x037fc43f,0xff3005ff,0x8007fe21,
    0x7c4002ff,0x7c47fa0f,0x7fc5fe65,0xf98ffd80,0x6fed7f67,0xfffffffc,
    0xf985ffff,0x017fc00f,0x9801ff80,0x03ff11ff,0xff51ff88,0xc8817fa3,
    0xccffcccc,0x81bea4cc,0x3a7fe1ff,0x83fbbfff,0xcccccdfe,0x7c43ffcc,
    0x04ffa81f,0xff3005ff,0x8007fe21,0x7c4002ff,0x7dd3f20f,0x7fc5fe62,
    0xf9cff880,0x6fed7f67,0xeeeeeeeb,0xfc84eeff,0x002ff805,0xfd003ff0,
    0x200ffc4d,0x4df51ff9,0xff302ff9,0xffffffff,0x81bea1ff,0x443fe1ff,
    0x00ff9801,0x3fe237ec,0xf05ff901,0x1ff3005f,0xf8007fe2,0x7fc4002f,
    0x07f5be60,0x03fe2ff3,0x23fdffdc,0x1fe8004c,0x3e013f60,0x3ff0002f,
    0x222ffb80,0x3fe401ff,0x0ffb8df5,0xa80ff100,0xf87fe06f,0x2fe4000f,
    0xf10ffcc0,0x07ff403f,0x3e600bfe,0x003ff10f,0x220017fc,0x7d7f40ff,
    0xff8bfcc5,0x1ffff600,0x200aea5d,0x0bfa01fe,0x2666ffe0,0x09999999,
    0x26666ffe,0x445ffda9,0x99999aff,0x3ea4ffc9,0x1005fe86,0x06fa80ff,
    0x00ff87fe,0xe8017fc0,0x807fe24f,0x17fc5ff9,0xf887fcc0,0x999999af,
    0x000bfe19,0xffb81ff1,0xf8bfcc2f,0x3ffe200f,0x2fec3b27,0xff00ff40,
    0xfffff003,0xffffffff,0x7fffffc5,0x884fffff,0xffffffff,0x37d45fff,
    0x44017fcc,0x037d407f,0x007fc3ff,0x5c00ff50,0x03ff10ff,0x3fe3ffb8,
    0x10ff9802,0xffffffff,0x017fcfff,0xf303fe20,0x22ff30ff,0x7fdc00ff,
    0x00bfb067,0x1fe603fd,0x7fffffc0,0x2fffffff,0x3ffffffe,0xff101cee,
    0xbdffffff,0x320df503,0x3fc400ff,0xff81bea0,0xd8003fe1,0x3fe2004f,
    0xd003ff13,0x00bfe3ff,0x7fc43fe6,0xffffffff,0x1000bfe7,0x09fd01ff,
    0x03fe2ff3,0x0001ff60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e000000,0xfff0001f,0x5bddffff,
    0xd30bc980,0x3ffffe03,0x200ceeff,0xfffffffb,0xf92fffff,0x3fee003f,
    0x2003ff61,0x01bf25fe,0x7c407ff9,0x3ffffe1f,0x02cdefff,0x7c400dfb,
    0xfff9002f,0xffffffff,0x3fea5fff,0xffffffff,0x40006fff,0xaaaaaaaa,
    0x0602aaaa,0x3e0003ff,0xffffffff,0xff980eff,0x3e07eeff,0xffffffff,
    0xfff704ff,0xffffffff,0x01bfa25f,0xff10ffe6,0x20efc80b,0x3fe00ffa,
    0xf1fea05f,0xffffffff,0xff509fff,0x01fee003,0x7fffffc4,0xffffffff,
    0xfffff52f,0xffffffff,0x5037c40d,0x39f52800,0x07fe5fff,0x4cdffc00,
    0x5ffc9999,0xeeb98fc8,0x266ffe02,0x4ffeaa99,0x99999988,0x20ffe999,
    0x7f403ff9,0x207ff506,0x1ff81ffa,0x40ffdf30,0x817fc5fc,0xf84ffdb8,
    0x09fd003f,0x3e67fee0,0x999999bf,0x33331099,0x3333df93,0x037c4013,
    0xbf528005,0x3fe3ffff,0x0999999b,0xf7007fe0,0x3e00003f,0x0ffdc01f,
    0x417fe400,0xff701ffc,0x20ffe401,0x7fb03ff8,0x07fafee0,0x0bfe17f4,
    0x3f21bf60,0x00ff8806,0x17fc7ff0,0x037dc000,0x05037c40,0x3dff5280,
    0xffffff8a,0xf81dffff,0x1ffc401f,0x3fe00260,0x006fd801,0xe881ffdc,
    0x03ff886f,0x2ff46fe8,0x3f60bf70,0xff883fc9,0x54017fc0,0x0ffc40ff,
    0x5c017ee0,0x00bfe0ff,0x001bee00,0x00281be2,0xf02ffa94,0xfddddddf,
    0x1ff83fff,0x9f54fe80,0x07ffffb1,0x7cc00ffc,0xbff3001f,0x6c3ffa80,
    0x9ff3005f,0xf9803ff2,0xdf37f887,0x5ff0df50,0xb01ff300,0x02fe809f,
    0x2ff89ff0,0x06fb8000,0xffa99998,0x00509999,0x201ff528,0x3fa601ff,
    0x3007fe0f,0x3b7ea5ff,0x03fffdef,0x3fe003ff,0x06ff8802,0x3ee1ff90,
    0x3fee000f,0xff801ffb,0x1ff2fd41,0x2ff84fc8,0xf505fc80,0x803fcc0f,
    0x17fc0ffb,0x037dc000,0x7ffffffc,0x0055ffff,0x7c0ff528,0x17fcc01f,
    0xffd803ff,0xd83dff50,0x003ff06f,0x3fa00ffa,0xbfd1000f,0xb0005ff1,
    0x36007fff,0xfb17e43f,0xff82fe85,0x5ffb3302,0xfc817fc0,0xf09fd004,
    0x5555559f,0x0df70035,0xffddddd0,0x00a9dddd,0xf81bea50,0x23ff801f,
    0xbaaaacff,0x3ea4ffec,0x20ff981f,0xeeeeffee,0x405fd81e,0x54001ffc,
    0x0005feff,0x5c00fff1,0xf707f44f,0x7c07fc49,0xffffffff,0x7e404fff,
    0x5003ff05,0xffff01ff,0x0bffffff,0x1000df70,0x200140df,0x7fc0df52,
    0x3e3ff801,0xffffffff,0x03fd43ff,0x7ff741ff,0xd81eeeee,0x0ffee04f,
    0x07ffe400,0x3fffc800,0x7c4df300,0xbf53fcc6,0x3fffffe0,0x801befff,
    0x37d40ff9,0xff04fe80,0xdddddddd,0x00df7009,0x0140df10,0xf037d4a0,
    0x2ffa803f,0x37bbbbfe,0x6fa80abc,0x3fe07fe0,0x207fd001,0x20005ff9,
    0x50002ff8,0x003ffbff,0x427dc3fe,0x207f90ff,0x7fe4c2ff,0xb0bfa002,
    0x5ff5007f,0x5ff33333,0x0df70000,0x140df100,0x037d4a00,0x7f4c03ff,
    0x4000ffc6,0x07fe06fa,0x7fc007fe,0x006ff881,0x8002ff80,0x0dfd4ff8,
    0x0fecbf20,0x01fe97e4,0x3ff205ff,0x44bf7002,0xffe800ff,0xffffffff,
    0x6fb80002,0x206f8800,0x6fa94002,0x3bbbbfe0,0x42ffffee,0xfa8001ff,
    0x3e07fe06,0x0ff9801f,0x0000ffe8,0xd8002ff8,0x013fe66f,0xa83fd3ea,
    0x7fc0ff4f,0x007ff602,0x27dc3fe2,0x7777fcc0,0x02ffeeee,0x006fb800,
    0x00a05e88,0xf81bea50,0xffffffff,0x01ff80df,0x3e06fa80,0x801ff81f,
    0x1ffc86fe,0x05ff0000,0x641ffb80,0x77c402ff,0x3df105f9,0x017fc0bf,
    0x3600dff1,0xb003fd3f,0x02ff80bf,0x006fb800,0x28005000,0x67fc0df5,
    0x4019aaaa,0xfa8001ff,0x3e07fe06,0x0ffdc01f,0x0000ffea,0x26002ff8,
    0x1ffd03ff,0x03fcfe80,0xf80beffa,0x1ffdc02f,0x37cefd40,0x200ffcc0,
    0xb80002ff,0xffff806f,0x5fffffff,0x20028005,0xff0001ff,0x0df50003,
    0x5ffc0ffc,0xfda99999,0x4effcc4f,0x99999999,0x02ff8009,0x440bfd10,
    0x7fe405ff,0x3fff200f,0x200bfe00,0xfe800ffd,0x5fd803fc,0x999bff80,
    0x40099999,0xfff806fb,0xffffffff,0x55555595,0x00755555,0xf8000ffc,
    0x6fa8001f,0x3fe07fe0,0xffffffff,0xffffb84f,0xffffffff,0x02ff804f,
    0xb801ffb0,0x3fea03ff,0x037fcc06,0x3e200bfe,0xfffb805f,0x00ffcc00,
    0x7ffffffc,0x5c05ffff,0x0000006f,0x1ff80000,0x003ff000,0x7fc0df50,
    0xffffff81,0xf700ceff,0xffffffff,0xf009ffff,0x5ff7005f,0x407ff600,
    0xff804ff8,0x8017fc04,0x7c403ffb,0x06fd805f,0xfffffff0,0xb80bffff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26200000,0x026005c1,0x33000188,
    0x00088001,0x26000662,0x40198001,0x03fe06fa,0x01800130,0x037dc022,
    0x0ff61ff3,0x3ea0bfe6,0xd109ff15,0xfffff89f,0x224fffff,0x00064404,
    0xa8000770,0xfccffffe,0xffffeb81,0xbffff51e,0xfffea805,0x3f6603ff,
    0xb300bdff,0x403dffff,0x0dffffd8,0x3ffffa60,0x206fa80d,0xb19f50ff,
    0xfa87ffff,0x0efffd8c,0x887dffd3,0x49f900ff,0x4ffb85fb,0x3fea3fc8,
    0x77437ec1,0xffeeeeee,0x3f2b3fa3,0xd04fd9ce,0xfc9be21f,0x7e4000cf,
    0x4fffecff,0xfdcdffd8,0xeceffdff,0xdff902ff,0x109fffb9,0xbffbbfff,
    0xf99dff30,0xfff305ff,0x503ffd9b,0xfffdbfff,0x3e06fa83,0xdfdbf50f,
    0x7d47fffb,0xeffedfed,0x4ffedffa,0x1fe81fec,0x3ff61fe2,0x7ec0ff86,
    0x8007fea6,0x7fcc5fe8,0xefffffff,0x3f63fb80,0x37fff661,0x0bffa802,
    0xdf317fea,0x83fffd01,0x7fc40ff9,0x7447fc81,0x0bfa20cf,0x0bfb09f9,
    0x6fc819fd,0xb3067fc4,0x206fa8df,0x3dff50ff,0x3fea6fd8,0x33ffe60f,
    0xdf51fee0,0x3fd0df30,0x260feef8,0x8cff886f,0x7ec003ff,0x317ff706,
    0xdf305ff9,0xfc8827dc,0xfd00beff,0x43ffdd09,0x9ff903fb,0xbd717f20,
    0xfb83fe60,0xfd8bf506,0x7dc2c882,0x645ff00f,0xa8ffe06f,0x543fe06f,
    0x0ff981ff,0xdfd03ff5,0xff81ff10,0x7e41fe41,0x8bf73e64,0xdff303fc,
    0xefc800bf,0xf905fb00,0x3e25fd09,0xffea800f,0x03fe21cf,0x007fb3f9,
    0xf9807fd4,0x07fc4006,0xfc8007f9,0x4fd800bf,0x2fe93f60,0x6fa97ee0,
    0x3fd43fe0,0x3fea1ff0,0xff05fc80,0x7fc4fc83,0x3ee6f980,0x03fa4fba,
    0x000effc8,0x7c407fee,0xfc8df107,0x3000ffa5,0x3e63fff9,0x4fc9fd47,
    0xfffb9510,0xdddddddf,0x32a601ff,0x3a0fffed,0x7f44002f,0xfd01beff,
    0xdddddddd,0x500ffcbf,0xf037d4df,0xf81bea1f,0x320ff51f,0x983ff04f,
    0xf817ea7f,0xdf11fd0f,0xff301be2,0x17fd400b,0x3e20df10,0x7d47fe27,
    0xffb50007,0x5f89bea3,0xffd317ee,0xffffbdff,0x3fffffff,0xeffffea8,
    0x07fe0ffc,0x3fff2200,0x7ffc0eff,0xffffffff,0x4c01ff16,0x441bea7f,
    0x40df50ff,0x20df51ff,0x03ff04fc,0x80bf65fd,0x3a6f8afc,0x7404fb8f,
    0xf9803fff,0x81fe803f,0xd2fec5fb,0x3ae2007f,0x9fe63eff,0xf527e46e,
    0x3fd437bf,0x5effd400,0xfe83fe21,0x75cc0002,0x0bfe0fff,0x5403ff00,
    0x4c1bea5f,0x40df50ff,0x20df51ff,0x03ff04fc,0x01ff19f7,0x927d6fd4,
    0x6403fb5f,0x201ffaef,0xf9004ff8,0x217f543d,0x1ff31fe8,0x6fffe4c0,
    0xfc9ff882,0x9fd17ec0,0x1803fea0,0xff304fe8,0x9b01fec1,0x5ff30081,
    0xd0102ff4,0x327dc05f,0x43fee0ff,0x47fe06fa,0x09f906fa,0x3fe207fe,
    0xcff804fb,0x1ff7ea1f,0xdf91ffa8,0x4017fa20,0xffefffe8,0x26f985ff,
    0xffea84fb,0x77fc01cf,0x88ffcc2f,0x5ffb01ff,0x5ff1bee0,0xfb87fee0,
    0xff8ff506,0x7e47fd01,0x649fd00f,0x88bfa05f,0x7ffd43ff,0x7fc0df50,
    0x3f20df51,0x3603ff04,0xfd801fff,0x27ffc47f,0x3e23ff88,0x006fe84f,
    0x3ffafbfa,0xfc84ffbe,0xffc87fa2,0xff7000be,0x6c4fea8b,0xffffc84f,
    0x360ffcc1,0x1fffa85f,0xe8833fe2,0x2077dc4f,0x3fe20ff9,0x2237e41d,
    0x3f660cff,0x677fe40e,0xf50fedfe,0xfa8ffc0d,0x3e09f906,0x0dff501f,
    0x3a17fee0,0x0dfb01ff,0x7fdc3ff5,0xeeeeeeee,0x20883a65,0x44dd01e8,
    0x000b725f,0x3b3bffe2,0x7fd40eff,0xc8dffdbe,0x4ffeceff,0xecbeff98,
    0x7d42fedf,0x06ffddff,0xffd9bffd,0x9bfff509,0xff703fff,0x01dffbbf,
    0x753fffee,0x7c0df50f,0x320df51f,0x403ff04f,0xff1003ff,0x2e0ff907,
    0x1dfb01ff,0x3fffffee,0x0007ffff,0x08620c40,0x36ff6000,0x700cffff,
    0xb85dffff,0x202dfffe,0x92fffffb,0xfffd30bf,0x3f66019f,0x2202efff,
    0x01cefffd,0x33bfffa6,0x54008800,0x547fe06f,0x209f906f,0x000001ff,
    0x00000000,0x00000000,0x20e40000,0x00660009,0x13300062,0x80066000,
    0x4c000998,0x00098000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd900e440,0x08000003,0x98001300,
    0x801000ee,0x02001008,0x665404c0,0xcccccccc,0x9950080c,0x99999999,
    0x7ec19819,0x4aea9fb4,0x3372a4fe,0x00445102,0x10408811,0x05999999,
    0x7ccdd000,0xffb50004,0x2017ec03,0x98b701e9,0x2a04effd,0x3ea000ff,
    0x3ff6600f,0x226f983e,0xa82dfffc,0x27c02efe,0x7fffffe4,0x221fffff,
    0x3f20cffc,0xffffffff,0x3a27c1ff,0x3f6bfb4f,0x3ff29fd5,0xb99cffff,
    0xd03ff73e,0xf93fccbf,0x3ffffe29,0xfa80003f,0x4400bf24,0x00cfffeb,
    0xffb00bf6,0x3a2ffb83,0xb03fdabf,0x74c007ff,0x2abfa00e,0x9bfee0fe,
    0x46ea9bfc,0x45febefc,0xa9844fe1,0xaaaaaaaa,0x267760aa,0x2aaaa64e,
    0x1feaaaaa,0x4fe93fe2,0x757f6bfb,0xfd9bfd4f,0x47ffffff,0x077d45fc,
    0x8a7e4ff3,0x02cccccc,0x223fd000,0x3f2600ff,0xfb002eff,0x23ffb005,
    0x8b222ffb,0xfef985f8,0x54400007,0x5fecbf21,0x3f70ee6f,0x43fb1be2,
    0x4fccebef,0x307c4000,0x1fe8001f,0x27fb2fc8,0x7f5324fd,0xfeb881b3,
    0x21fd83ff,0x31dc41fe,0x00000037,0x5fb877cc,0x1cfffea8,0x8017ec00,
    0x02ffcffd,0xafc83fb8,0xdddd02fc,0x9ddddddd,0x8549fb30,0x7ee5446f,
    0xfb89f51f,0xdfffb713,0xf9800059,0xd0007e20,0x3fb2a63f,0x8fee5f91,
    0x2005f92e,0xa86a2008,0x00000001,0xfd2fe400,0x05f7fe47,0x7f7775c0,
    0x01eeeeef,0x7005fffb,0x37f881df,0x3fffe0df,0x5fffffff,0xdf03ffa8,
    0x7eef7fe4,0x3f987f51,0x4c41ffc8,0x99999999,0x0b927419,0x3f23fd00,
    0x547ea3df,0x3ee1d91f,0x00000001,0x00000000,0x7fb8ffcc,0x40033ff2,
    0xfffffffc,0xf701ffff,0xdfd803ff,0x3fa4fb80,0x99999981,0x20099999,
    0xf36f84fa,0xf98fe41b,0x3ee17dc4,0x3ff21fda,0xffffffff,0x3bffea1f,
    0x21fe8001,0x85445100,0x99931441,0x99999999,0x37661999,0xdddddddd,
    0x0000dddd,0x4bf90000,0x3ff223fe,0x4cc402df,0x999bfd99,0xffdff701,
    0x407fd103,0x017ea0ff,0x1b980aa2,0x4dbe17e2,0x44bfe24f,0x81fd10ff,
    0x75c9f15e,0xeeeeeeee,0x002a81ee,0x00007b20,0x3fffea00,0xffffffff,
    0xdddd50ff,0xdddddddd,0x000001dd,0x2a1ff300,0xffd7106f,0x3f60017d,
    0xb2ffb802,0x6ff443ff,0x17ea2aaa,0xff5003fe,0x2abbe201,0x3a6f82fd,
    0x23fdfddf,0x03ffdffa,0x00000041,0x00000000,0x00000000,0x00000000,
    0xff897ec0,0xfffda800,0x017ec01d,0xffb0bfee,0x3ffffee3,0x320bfa7f,
    0x07fd404f,0x07dffd50,0x8bdb89be,0x675c42c8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e49f500,0x7fe4c003,0x00bf601f,0x03f607f7,
    0x9104c880,0x08800009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x00bf10ee,0xb00f5c40,0x0803005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13104c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_28_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,1,1,2,2,1,1,1,1,1,-1,1,1,1,1,2,1,2,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_28_latin1_y[224]={ 22,4,4,3,2,3,3,4,3,3,3,7,19,14,
19,3,3,3,3,3,4,4,3,4,3,3,9,9,7,9,7,3,3,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,25,3,8,4,8,4,8,3,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,9,9,9,9,9,9,3,3,3,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,4,3,7,4,
3,3,3,3,3,9,9,14,3,1,3,6,3,3,3,9,4,11,21,3,3,9,3,3,3,9,-1,-1,-1,0,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,4,4,3,3,3,4,3,8,8,3,3,3,3,3,4,3,
 };
static unsigned short stb__arial_28_latin1_w[224]={ 0,3,7,14,13,20,16,3,7,7,9,13,3,8,
3,7,12,8,13,12,13,12,13,12,12,12,3,3,13,13,13,12,24,18,15,17,16,15,13,17,15,3,11,16,
13,18,16,18,15,18,17,15,15,16,17,24,17,17,15,6,7,6,12,16,5,13,12,13,13,13,8,13,12,3,
6,12,3,19,12,14,12,13,8,12,7,12,13,18,13,13,12,8,3,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,12,14,13,15,
3,13,8,19,9,12,13,8,19,16,8,13,8,8,6,12,14,3,6,5,9,12,20,20,21,13,18,18,18,18,
18,18,24,17,15,15,15,15,6,6,9,7,18,16,18,18,18,18,18,12,18,16,16,16,16,17,15,14,13,13,
13,13,13,13,22,13,13,13,13,13,6,5,9,7,13,12,14,14,14,14,14,13,13,12,12,12,12,13,12,13,
 };
static unsigned short stb__arial_28_latin1_h[224]={ 0,18,7,20,23,20,20,7,25,25,9,13,7,3,
3,20,20,19,19,20,18,19,20,18,20,20,13,17,13,8,13,19,25,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,21,18,20,18,19,18,18,18,18,18,23,20,23,11,2,5,15,19,15,19,15,19,20,18,18,
24,18,18,14,14,15,19,19,14,15,19,14,13,13,13,19,13,25,25,25,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,24,20,13,18,
25,25,4,20,10,13,8,3,20,2,8,16,11,11,5,18,23,4,7,11,10,13,20,20,20,19,23,23,23,22,
22,22,18,25,23,23,23,22,23,23,23,22,18,22,24,24,24,23,23,12,20,24,24,24,23,23,18,20,20,20,
20,19,20,20,15,19,20,20,20,20,19,19,19,19,19,18,20,20,20,19,20,11,15,20,20,20,20,25,23,25,
 };
static unsigned short stb__arial_28_latin1_s[224]={ 128,252,180,70,87,125,1,192,84,15,126,
28,188,232,252,247,42,245,1,139,1,232,218,15,126,152,252,248,14,136,241,
102,55,132,61,165,44,28,198,88,168,252,218,151,184,212,231,55,17,106,142,
18,203,51,160,117,99,81,65,8,34,1,64,196,210,38,89,52,230,79,195,
74,106,248,185,77,244,134,121,93,182,204,247,66,43,108,154,168,187,168,201,
110,80,119,196,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,128,251,243,
183,214,90,92,96,223,198,106,228,159,232,106,213,150,219,55,91,216,119,15,
252,173,100,116,1,226,205,183,68,49,68,101,8,35,87,178,37,120,136,152,
71,168,1,194,27,46,54,147,128,166,30,175,42,146,192,209,226,235,217,1,
208,223,237,14,15,43,100,15,29,128,142,156,114,82,115,121,131,139,33,28,
180,165,153,85,77,1,170,195,1,57,23,204,1, };
static unsigned short stb__arial_28_latin1_t[224]={ 26,117,191,75,27,51,96,191,1,1,191,
191,191,191,151,75,96,96,117,96,137,96,96,137,96,96,137,137,191,191,175,
117,1,137,137,96,137,137,137,96,137,27,117,137,137,137,137,96,156,51,156,
96,156,117,156,156,156,156,156,27,96,27,191,197,191,175,117,175,117,175,117,
96,137,117,1,137,117,175,175,175,117,117,156,175,117,175,175,175,175,117,175,
1,1,1,191,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,26,51,1,
96,175,137,1,1,191,96,191,175,191,191,96,197,191,156,191,191,191,137,27,
46,191,191,191,191,75,75,75,117,27,27,27,51,51,51,156,1,27,27,27,
51,27,51,27,51,156,51,1,1,1,27,27,191,51,1,1,1,27,27,156,
51,51,51,75,117,75,75,175,117,75,75,75,75,117,117,117,117,117,156,75,
51,51,117,75,191,175,75,51,75,75,1,27,1, };
static unsigned short stb__arial_28_latin1_a[224]={ 111,111,142,223,223,357,267,77,
134,134,156,234,111,134,111,111,223,223,223,223,223,223,223,223,
223,223,111,111,234,234,234,223,407,267,267,290,290,267,245,312,
290,111,201,267,223,334,290,312,267,312,290,267,245,290,267,378,
267,267,245,111,111,111,188,223,134,223,223,201,223,223,111,223,
223,89,89,201,89,334,223,223,223,223,134,201,111,223,201,290,
201,201,201,134,104,134,234,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,111,134,223,223,223,223,104,223,
134,295,148,223,234,134,295,221,160,220,134,134,134,231,215,111,
134,134,146,223,334,334,334,245,267,267,267,267,267,267,401,290,
267,267,267,267,111,111,111,111,290,290,312,312,312,312,312,234,
312,290,290,290,290,267,267,245,223,223,223,223,223,223,357,201,
223,223,223,223,111,111,111,111,223,223,223,223,223,223,223,220,
245,223,223,223,223,201,223,201, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_28_latin1_BITMAP_HEIGHT or STB_FONT_arial_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_28_latin1(stb_fontchar font[STB_FONT_arial_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_28_latin1_BITMAP_HEIGHT][STB_FONT_arial_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_28_latin1_s[i] + stb__arial_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_28_latin1_t[i] + stb__arial_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_28_latin1_x[i];
            font[i].y0 = stb__arial_28_latin1_y[i];
            font[i].x1 = stb__arial_28_latin1_x[i] + stb__arial_28_latin1_w[i];
            font[i].y1 = stb__arial_28_latin1_y[i] + stb__arial_28_latin1_h[i];
            font[i].advance_int = (stb__arial_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_28_latin1_s[i] + stb__arial_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_28_latin1_t[i] + stb__arial_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_28_latin1_x[i] + stb__arial_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_28_latin1_y[i] + stb__arial_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_28_latin1_LINE_SPACING
#endif

