// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_29_latin1_BITMAP_HEIGHT        220
#define STB_FONT_arial_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_29_latin1_FIRST_CHAR            32
#define STB_FONT_arial_29_latin1_NUM_CHARS            224

#define STB_FONT_arial_29_latin1_LINE_SPACING          19

static unsigned int stb__arial_29_latin1_pixels[]={
    0x19911cb8,0x00004c88,0xd1005991,0x40066205,0x5dd502e8,0x4f333220,
    0x002cccc9,0x9dddb971,0x5cc00015,0x0000bded,0x51000662,0x99999997,
    0x02662009,0x36613220,0x91002cee,0x200f5cdd,0x75c00199,0x7c4ffa01,
    0x003fcc0f,0x800ffb80,0x0ffea06d,0xffa83640,0xffff983f,0x07ffff75,
    0xfffffd98,0x00cfffff,0xfffff910,0x10009fff,0x362009ff,0xffffffff,
    0xdfd007ff,0xf71fe600,0x00bfffff,0x17e4fffd,0x8007fee0,0x4ffa02fc,
    0x3fcc0ff8,0x0ffc4000,0x2e017cc0,0x07f1007f,0x3e61ff26,0xd5532aaf,
    0x77fe407f,0xfb75109b,0xfe8803df,0xffcaacff,0x37e4004f,0xfffffd00,
    0x09bff99b,0x2001ff50,0x2ffe27f9,0x203ffb88,0x3f20affa,0x005fd802,
    0x40000bf2,0xa80007f9,0x00db003e,0x7e400ff2,0xf303fe00,0xb03fd80f,
    0x3a2005ff,0x3ffa01ff,0x00fff602,0xb8007fc4,0x21ffffff,0x3fd001ff,
    0x85fb8000,0x17ee06fd,0x7f400bf2,0x005f9001,0x001fe600,0x07f50000,
    0xf98004c0,0xf307fa04,0xd83fd80f,0xfd8000df,0x03ffb80f,0x88037fc4,
    0x3ff60009,0x3fe1ffff,0x00013001,0x99309f90,0x7e41fe40,0x00131002,
    0x05530bf2,0x2ff31a98,0x5301bdb9,0x741a9805,0x800e640f,0x00fe82cb,
    0x07f983fd,0x1be61fec,0x1550de4c,0x17fa13f2,0x1006fd40,0x0037dd95,
    0x3fffffff,0x07320ffc,0x544165c0,0x0007fea2,0x0bf20ff2,0x1beeca88,
    0x7cc2fc80,0x4cbfa01f,0xfffffbff,0x00ffcc0e,0x437d45fd,0x9fd003ff,
    0x3fa09f70,0x3603fcc2,0x2a0ff43f,0xf8cfffff,0x3fe1be0f,0x3ee00002,
    0xdfffffff,0xfffffd00,0x3e0ffc3f,0x09fd003f,0x3ffd8ff3,0x641fe400,
    0xffff702f,0x201bffff,0x04fe82fc,0x7ffccff3,0x86ffb89e,0x8ff304fe,
    0x03ff83fc,0xdf309fd0,0xff30bf60,0x3ea3fd80,0x54e7fcc4,0x7ec7fdfe,
    0x0003fe60,0x2fbffa20,0x06ffec9a,0x3ffffffb,0x0ffe0ffc,0x7cc27f40,
    0x0f7ffdc7,0xfc83fd80,0x5f7ff442,0x06ffec9a,0x0df705f9,0x6ff993f2,
    0x7dc4fe88,0xfd89f906,0xd003ff82,0x20ff109f,0x03fcc2fd,0x22fc8ff6,
    0xffe83ff8,0xff717dc5,0x3ff60000,0x217fe603,0x1ffffff9,0x07ff07fe,
    0x3e613fa0,0xff77fd17,0x05fd009f,0x3ffd85f9,0x3217fe60,0x81ff882f,
    0x0bfe61ff,0x3fe237d4,0x7fc1ff81,0xd003ff81,0x207fe09f,0x03fcc4fb,
    0x20fe8ff6,0x7ff705fd,0x1bf24f98,0x0bfea000,0x2a13fea0,0x3e1fffff,
    0x801ffc1f,0x77f984fe,0x77ff447f,0x3203fe01,0x00bfea2f,0x5f913fea,
    0xdf513f60,0x3e207f98,0x2a27ec0f,0x407fc46f,0x9fd003ff,0x3e20bfa0,
    0xb01fe61f,0x3fe37c7f,0x985ff101,0x001fee5f,0xb8017fa0,0xfdc880ff,
    0xff07fe1f,0x213fa007,0x701fd7f9,0xbf901fff,0x5fe8bf20,0x883fee00,
    0xd8ff5009,0x2037cc3f,0x23fd41ff,0x83fcc3fd,0x9fd003ff,0x74413f60,
    0xd80ff36f,0x7cc9f33f,0x703fe606,0x007fd47f,0x003ff300,0x3a00ffc4,
    0xff07fe1f,0x213fa007,0x207fd7f9,0x3fe66ff9,0x265f900d,0x3e2001ff,
    0x97fc001f,0x37cc0ff8,0x3fe0bfe0,0xfa81ff12,0x2007ff07,0x09fb04fe,
    0x07f9bfe4,0x22fb9fec,0x1bea05fb,0x1ff88bf6,0xffa86a00,0x01ffc000,
    0x41ff87fa,0x9fd003ff,0x3beeff30,0x261ff501,0x4bf201ff,0x7c000ffa,
    0xafe4003f,0x06f985fb,0x3f203fe2,0xff10bf75,0x2007ff01,0x07fd04fe,
    0x3fccfbf6,0x17dcff60,0x2fe409fb,0x7ff03fe2,0x5cffe200,0x5fd8007f,
    0x3ff0ff40,0xfd003ff8,0x7f4ff309,0x221ff03f,0x5f901ffc,0x36001fee,
    0xbfcc005f,0x07f982fd,0xbfcc1fe6,0x03ff02fd,0x3fa007ff,0xf303ff04,
    0x6c07f98d,0x7dc7f33f,0xd87ff106,0x01ffd83f,0xdf90ffb8,0x80ff9000,
    0xf07fe1fe,0x13fa007f,0xffd89fe6,0x2617e61e,0x325f907f,0x7fc8006f,
    0x5fd0072a,0x7ff301ff,0xfe817f60,0x5fb00ffa,0x3a007ff0,0x80ff884f,
    0x03fcc3fc,0x327c4ff6,0x3ffb01ff,0xff8837e4,0x97fe600e,0xfc8006fc,
    0xff0ff406,0xd003ff83,0x70ff309f,0x3ff57fff,0x3f207fa0,0x9000df92,
    0x2017e4df,0xf305fffb,0x7fe447ff,0x17ffee00,0x3ff83fc8,0xf309fd00,
    0xf30ff60d,0x3a3fd80f,0xe88eff46,0xffd9afff,0x2fbfee01,0x83bff6a0,
    0xfd8007fa,0xff0ff404,0xd003ff83,0x20ff309f,0x00dfffe8,0x4bf20bf6,
    0xfd8007fa,0xf100bf24,0x3fe603ff,0x1fffdffe,0x00fffc40,0x09fd0bf5,
    0x3ea0ffe0,0xf985fd04,0xf91fec07,0x7ffffc45,0xefffffae,0xffffb800,
    0x40fffffe,0x74000ff8,0xf0ff402f,0x004fe83f,0x0ff307ff,0x200effb8,
    0x12fc83fd,0xfe8001ff,0x3600bf22,0x23fe607f,0x002dfffd,0x6f980ffb,
    0xff005fe8,0x3a07f905,0x203fcc1f,0x31be63fd,0x3ee19df9,0x300cc3df,
    0x7ffffff9,0x3001ffc0,0x1fe801ff,0x0bfd07fe,0x3e60bfe0,0x06fe9807,
    0x8bf20ff2,0x3e6003ff,0x200bf20f,0x9fe603fc,0x3fc80018,0x7e42fd80,
    0x40ff9806,0x3fd00ff8,0x7ec07f98,0x0002fe43,0x6c017f62,0xffc8009f,
    0x00ffd000,0x20ffc3fd,0xff9806fc,0x2a67f980,0x900ff980,0x645f907f,
    0xffd000ff,0x7c402fc8,0x01fe600f,0x001ff100,0x4ffa8df3,0x7e43fec0,
    0xf307fe03,0xd83fd80f,0xe88000df,0x9ff000ef,0x03bfa001,0xd005ff90,
    0x2a0ffc3f,0x3fec04ff,0x13fe7fa8,0x3fb80ffc,0x77f42fc8,0x217fe400,
    0x2fe402fc,0x0001fe60,0x7e400bf9,0x84e7fe41,0x441ffe98,0x03fe206f,
    0x3fd80ff3,0x09bffe88,0x0f7fdc40,0x4017ea00,0x4c0affe8,0xfd004ffe,
    0x7e40ffc3,0xfd3109cf,0xd9bee03f,0x03fdc0ff,0x85f90bf7,0x4c0affe8,
    0x2fc84ffe,0x01fffeb8,0x5c003fcc,0x2001fffe,0xfffd85f8,0x82ffffff,
    0xffd982fb,0x4eeff986,0x407ffdd5,0xbdffffea,0x3fffdcca,0x3f6a6200,
    0x3ffa2004,0x3ffffeef,0xff87fa00,0xfffffb01,0x9705ffff,0x7ffc49ff,
    0x204ffecd,0x3f24dff8,0xefffe882,0x903ffffe,0x5fff705f,0x000ff300,
    0x0005fff7,0xffb703f7,0x3e05bfff,0x03fff505,0x2ebffff3,0xb803ffff,
    0xfffffffe,0x5c000cef,0x4000dfff,0xdfffeca8,0x0ff4000b,0x7edc03ff,
    0xf02dffff,0xfe981dff,0xb803ffff,0x40bf27ff,0xdfffeca8,0x20bf200b,
    0x26000aa8,0x0aa88001,0x1006a000,0x05440133,0x2600aa88,0x33310999,
    0xa9880013,0x4400009a,0x22000019,0x20c40001,0x26620019,0x200d5400,
    0x44001aa9,0x4002a62a,0x02a60018,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000b80,
    0x4c000099,0x4cc00009,0x8aa20000,0x260001a9,0x09980009,0x21b98000,
    0x998800c9,0x33009880,0x13310001,0x00198800,0x20003310,0x4c400008,
    0xf9800009,0x1bff6001,0x0fffc800,0x3fff7000,0xd9fee000,0xff90004f,
    0x1ffb0003,0x7ffdc000,0xfd007ecf,0x05fff30d,0xe8001ffb,0x7d4000ef,
    0x7f44002f,0x06c8005f,0x007fe400,0x7003e400,0x0009f9df,0x00df7ff5,
    0x1df7ff30,0x6cff7000,0xff88004f,0x13fa0002,0xda8ee800,0xffa803ff,
    0x7fdffc40,0x2004fe81,0x70000ff9,0xdfd800df,0xeb8803fd,0x4001cfff,
    0x00002ff8,0x3fea009d,0x2003ff89,0x09fb2ff8,0xfd9ff440,0x21988005,
    0xfb800098,0x7fc40004,0x08130000,0x3607fa00,0x881df75f,0x5fb000ff,
    0x02fd8000,0xff11ff70,0x7fffcc03,0x2002ffff,0x100003fc,0x8262005f,
    0x26200198,0x88006621,0x4000cc19,0x01beeca8,0x00003100,0x44000262,
    0x001beeca,0x98266013,0x00098809,0x26000013,0x44133000,0x3bff1009,
    0x01ffb1d7,0x30000620,0x2001fdd7,0x01beeca8,0x97001cc8,0x00f32005,
    0x7ffffdc0,0x9900dfff,0x99999999,0x32003999,0xff70003c,0x1bffffff,
    0x9501e540,0x001e5407,0x33200799,0xcccccccc,0x99991ccc,0x99999999,
    0xb87fd439,0x65c7ff16,0x0f2e000c,0x7fffffc4,0x7ffdc00e,0x00dfffff,
    0x3fa007ff,0x0fffa804,0x3bffa200,0x6ffec9ab,0xfffffff0,0x07ffffff,
    0x001fff50,0x55f7ff44,0x206ffec9,0x1bf206fc,0xf5006fc8,0xfff001ff,
    0xffffffff,0x3fffe7ff,0xffffffff,0x6b97f23f,0x5ff9872e,0x105ff700,
    0xfff15bfd,0xdffd101f,0xdffd9357,0x7400ffe0,0xfefd804f,0x0fff6004,
    0xff85ff98,0xccccccce,0xfd801ccc,0x3f6004fe,0x17fe603f,0xdf9037e4,
    0xd8037e40,0xff804fef,0xccccccce,0x9dff1ccc,0x99999999,0xd737e439,
    0x805ff700,0xdfd04ff8,0x41ffcfd4,0x3e603ffd,0x003ff85f,0xff8809fd,
    0xff5007f9,0x89ff5005,0x200003ff,0x007f9ff8,0xf5005ff5,0x40df909f,
    0x1bf206fc,0x1fe7fe20,0x2000ffe0,0xf50003ff,0x7401ae3f,0x3bf600ff,
    0x320ff880,0xffa87b76,0x44ffa802,0x9fd003ff,0x5fd5fb80,0x400bfd00,
    0x0ffe0ffb,0xd5fb8000,0x0bfd005f,0x3207fdc0,0x81bf206f,0x5fb806fc,
    0x3ff805fd,0x003ff800,0xd97ffd10,0x417fe600,0xff301ffa,0x2ff404e8,
    0x7c1ff700,0x09fd003f,0x0df93fe8,0x2001ff98,0x0ffe1ff8,0x93fe8000,
    0x1ff980df,0x907fe200,0x037e40df,0x7fd00df9,0x7ff01bf2,0x007ff000,
    0x7ffff440,0x2ffb801b,0xf7027fc4,0xf3017c4d,0x7fc4003f,0x7400ffe1,
    0x43fe604f,0x3ea01ff9,0x1ffc000f,0x200007ff,0x3ff30ff9,0x0007fd40,
    0x0df90ffe,0xdf9037e4,0xf30ff980,0x01ffc03f,0x0001ffc0,0x3ffffae2,
    0x07ff400d,0x5fc80dfb,0x1ff501ee,0x3e3ff800,0x09fd003f,0x13fa2fe4,
    0xd8007fb8,0x000ffe5f,0x3fa2fe40,0x001fee04,0x0df917f6,0xdf9037e4,
    0x7f45fc80,0x000ffe04,0x80000ffe,0x00fffefc,0x7fd53fe6,0xbb37d401,
    0x8007fb80,0x00ffe5fd,0x5ff027f4,0x3f207fb8,0x27fc8006,0xccccceff,
    0x7c03cccc,0x903fdc2f,0xff9000df,0x3f206fc8,0xf01bf206,0x207fb85f,
    0xccccceff,0x3fe3cccc,0xccccccce,0x76b803cc,0xffb80bff,0xf8803fe9,
    0x25ea8fe7,0xfc8006fc,0x7400ffe7,0x10ff504f,0x1bf205ff,0xff9bf200,
    0xffffffff,0x1fea05ff,0x7e40bfe2,0x46fc8006,0x1bf206fc,0x3ea06fc8,
    0xf02ff887,0xffffffff,0x7ffcbfff,0xffffffff,0x326b805f,0xfffe807f,
    0x2abfe006,0xfc97fa0f,0x26fc8006,0x9fd003ff,0x7ec13f60,0x000ff506,
    0x56ffc9fb,0xaaaaaaaa,0x6c13f602,0x00ff506f,0x6fc89fb0,0xfc81bf20,
    0x6c13f606,0x55bff06f,0x55555555,0x55556ffc,0x4c2aaaaa,0xff99ae1b,
    0x07ffcc00,0x4dbff900,0x1fea1ffb,0xff93f600,0x109fd003,0x99999bff,
    0xff103ffb,0x22fe8001,0x440003ff,0xcccccdff,0xff881ffd,0x217f4000,
    0x1bf206fc,0xff106fc8,0xfb99999b,0x007ff03f,0x20007ff0,0xfa9ae4fe,
    0x05fd800f,0xfceffc80,0x07fc43ff,0xfe8bfa00,0x707ff004,0xffffffff,
    0x3fe09fff,0x83fe6003,0x5c0003ff,0xffffffff,0x7ff04fff,0x207fcc00,
    0x1bf206fc,0xff706fc8,0xffffffff,0x007ff09f,0x20007ff0,0xfd9ae7fc,
    0x00bfb006,0x3bffff20,0x4007ff02,0x17fa0ff9,0x7f417fc0,0xaaaaaaad,
    0xffc80ffd,0xf8ffd000,0x7f40003f,0xaaaaaaad,0xffc80ffd,0x90ffd000,
    0x037e40df,0x37fa0df9,0xdaaaaaaa,0x01ffc0ff,0x8001ffc0,0x56b8dff9,
    0x3f6007ff,0x53f90005,0x00ffc803,0x6fc8ffd0,0x4c0ff980,0x7fc401ff,
    0x801dfd03,0x1ffc2ffc,0x03ff3000,0xfd03ff88,0x2ffc801d,0x3f206fc8,
    0x261bf206,0x7fc401ff,0x4001ffc3,0x2e0003ff,0xffefefff,0x017f6005,
    0x3a002f40,0x7fe400ef,0x2027fd42,0x06fc87fd,0x3a20dfd0,0x7f4c0aff,
    0x003ff84f,0x7401bf20,0x5ffd106f,0x04ffe981,0x37e40df9,0xdf90df90,
    0xff1bfa00,0x07ff0007,0xfffea800,0x7ec003ff,0x02f88005,0x057ff440,
    0x6413ffa6,0xd3109cff,0x07ff03ff,0x4407fea0,0xffeefffe,0x39ff03ff,
    0x33333333,0x003ff813,0x3a203ff5,0xfffeefff,0x81bf203f,0x1bf206fc,
    0x7d400ffe,0x2673fe1f,0x99999999,0x33339ff0,0x01333333,0x8000f6c4,
    0xfa8005fd,0xffe88000,0x3ffffeef,0x7ffffec0,0xfa82ffff,0x9ff1000f,
    0x7ff65440,0x3fe00bdf,0xffffffff,0x3fea6fff,0x09ff1000,0x7fff6544,
    0x37e400bd,0x7e40df90,0x8007fd46,0x3ffe4ff8,0xffffffff,0xfffff6ff,
    0xffffffff,0x0006b80d,0x320017f6,0x32a20006,0x00bdfffe,0xfffffb70,
    0x017f605b,0x2001ff90,0x3ffe0018,0xffffffff,0x017f66ff,0x2001ff90,
    0x37e40018,0x7e40df90,0x2002fec6,0xffff0ffc,0xffffffff,0x3ffffedf,
    0xffffffff,0x0001d406,0x02000bfb,0x00188000,0x00099880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53154400,0x20ba8005,0x0b98003b,0x42aa2000,0x2a0002a8,
    0xaa80ee0b,0x53015510,0x2000d545,0x00000000,0x037bb730,0x3dedb880,
    0x01664c00,0x00199500,0x3000b326,0x1aa80a88,0x3ee1ff30,0x3fffa006,
    0x54003fce,0x30000ebe,0x01bee1ff,0x677fff40,0x4cffe03f,0x25fc80ff,
    0xdd5003fe,0xdb730009,0x105d837b,0xfffffffb,0xfff300bf,0xd800dfff,
    0x3fe0006f,0xffff1004,0xbffd3003,0x9ff01fb5,0x7dc3fe60,0x937f3006,
    0xd8001dfd,0x26000750,0x00df70ff,0xff937f30,0x99ffc01d,0x25fc80ff,
    0x21d003fe,0xfff9000d,0x919fffff,0xbffd309f,0xbffd9537,0x44e7fcc0,
    0x74003fea,0x6fb8002f,0x3eb3f600,0x6dfec00f,0x9ff05fff,0x01310cc0,
    0x00020620,0x0002c964,0x00098866,0x98008188,0x4c406609,0x34002620,
    0xffe88039,0xffda9abd,0x5ffd05ff,0xc827fd40,0x006fa85f,0x6c0026c4,
    0x1bd5000d,0x459013b2,0x826601a8,0x597001cc,0xcb801664,0x06ff8802,
    0x00799000,0x000f3200,0x99990795,0x99999999,0x2ef5c039,0x501fff40,
    0xff901fff,0x07ff7003,0x0ff305fb,0x00000000,0x00000000,0xfd003ff8,
    0x400fffc9,0xffa804fd,0x7d40000f,0x540000ff,0x32000fff,0xfffff86f,
    0xffffffff,0x5c00c403,0x7fcc02ff,0x004ff84f,0x07fe1ff2,0x5cc013f2,
    0x9800bcdc,0x800bcdcb,0x00bcdcb9,0x0bcdcb98,0x1ffc1d50,0x3fe4fe80,
    0x04fd806f,0x004fefd8,0x027f7ec0,0x13fbf600,0xff86fc80,0xccccccce,
    0x97301ccc,0x3fa0179b,0x7e77cc05,0x003fe20f,0x7fc0ff98,0x2007fc41,
    0xffffffd8,0xfffb103f,0x2207ffff,0xfffffffd,0xffffb103,0x1f707fff,
    0xfe801ffc,0x013fffe4,0xff8809fb,0x220007f9,0x0007f9ff,0x01fe7fe2,
    0x3ff86fc8,0x3ff62000,0xf83fffff,0x27fa201f,0x1fea3ffa,0xf85ff100,
    0x4027e41f,0xeb99befe,0xbefe80ff,0x80ffeb99,0xeb99befe,0xbefe80ff,
    0x40ffeb99,0x00ffe1fb,0xfdff27f4,0x027ec03f,0x017f57ee,0x5fd5fb80,
    0x757ee000,0x0df9002f,0x740007ff,0xfeb99bef,0x881fe60f,0x49ff11fe,
    0xfe8006fc,0xff10ffc4,0x81ff9803,0x7fcc3ff8,0x4c3ff881,0x3ff881ff,
    0x7c40ffcc,0xff0fe43f,0xf93fa007,0x3606feaf,0xc9ff404f,0x7fd0006f,
    0x74001bf2,0x200df93f,0x03ff86fc,0x103ff300,0x037dc7ff,0x25fe85fb,
    0xfd8005fe,0xff10ffc6,0x203c9805,0x01e4c4fe,0x03c989fd,0x079313fa,
    0x8bf227f4,0x9fd003ff,0x27fcd7fc,0x3e604fd8,0x003ff30f,0xff30ff98,
    0x0ff98003,0xf9003ff3,0x0007ff0d,0x4fe80f26,0x1fec17f6,0x0bfb3fe4,
    0xff8bfb00,0x0017fec1,0x004fea88,0x8013faa2,0x2004fea8,0x7ec4fea8,
    0x7400ffe2,0x7e4bfe4f,0x204fd81f,0x027f45fc,0x9fd17f20,0x745fc800,
    0x86fc804f,0x800003ff,0x3f64fea8,0xf904fc86,0x40037dcd,0x20ffc4ff,
    0x4404ffe8,0xfffffecb,0xffd97104,0x2e209fff,0x4fffffec,0xfffd9710,
    0x23fe89ff,0x9fd003ff,0x0dfd17fc,0x17fc09fb,0xff001fee,0x4007fb85,
    0x03fdc2ff,0x77fc37e4,0xcccccccc,0xfd97103c,0x7e49ffff,0xfd02fdc7,
    0x2003fcc9,0x0ffc2ff8,0xb80effc8,0xdbceffff,0xffffb84f,0xb84fdbce,
    0xdbceffff,0xffffb84f,0x744fdbce,0x400ffe4f,0x98bfe4fe,0x827ec4ff,
    0x2ff887fa,0xf10ff500,0x1fea005f,0xf900bfe2,0xffffff0d,0x0bffffff,
    0x79dffff7,0x87fdc9fb,0x17fc05fa,0xfa800bfe,0x500ffc1f,0xdffb87ff,
    0x2e27ec0a,0x7ec0adff,0x056ffdc4,0xbff713f6,0x7c4fd815,0x400ffe4f,
    0x90bfe4fe,0x827ec3ff,0x0dfb04fd,0x7ec13f60,0x209fb006,0x37e406fd,
    0x55556ffc,0x5c2aaaaa,0x7ec0adff,0x3e6ffe24,0x03fea00e,0x3b701ffb,
    0x3fe17fe2,0x3a37dc01,0xd13fa04f,0x227f409f,0x13fa04fe,0x27f409fd,
    0x03ff97fe,0x17fc9fd0,0x09fb37f4,0x9999bff1,0x8803ffb9,0xcccccdff,
    0x7c401ffd,0xdcccccdf,0x1bf201ff,0x74000ffe,0x913fa04f,0xe801dfdf,
    0x0dfe886f,0x7feeffec,0x0711ff80,0x03ff8ff5,0x3ff89ff3,0xff89ff30,
    0xf89ff303,0x89ff303f,0x013fa5ff,0x05ff1ffc,0x13f69ff3,0x3fffffee,
    0x404fffff,0xfffffffb,0x5c04ffff,0xffffffff,0x3f204fff,0x0003ff86,
    0x3fe607ff,0x00fffc44,0x7c40bff2,0x3faa0aef,0x23ff02ff,0x22ff44fe,
    0xfff986fc,0x7cc37e45,0x437e45ff,0x7e45fff9,0x45fff986,0x017fa5ff,
    0x05ff17fc,0x13f67ff2,0x2aaab7fa,0x00ffdaaa,0x2aaab7fa,0x00ffdaaa,
    0x2aaab7fa,0x00ffdaaa,0x07ff0df9,0x261bf200,0x7f445fff,0x7f4c0aef,
    0x7ffcc04f,0xfffffeef,0xf31ff81d,0x81fff9df,0xfecdfff9,0x7fcc6fde,
    0xfdefecdf,0x66fffcc6,0x4c6fdefe,0xefecdfff,0x92ffc6fd,0x1ff300df,
    0xdfd017fc,0x1ff989fb,0x981ffc40,0x7fc401ff,0x803ff303,0xdf903ff8,
    0x20007ff0,0xfecdfff9,0x67f46fde,0xffeeffff,0xb51003ff,0xb37bffff,
    0x0ffc19ff,0x03dfffb3,0x53ffffea,0x7fd40ff8,0x1ff14fff,0x4fffffa8,
    0xffa81ff1,0x1ff14fff,0x9ff52ffc,0x7fc7fd80,0x3fffe602,0xe8037e44,
    0x00df906f,0x37e41bfa,0xf906fe80,0x0007ff0d,0xa7ffffd4,0x45fb0ff8,
    0xbdffffeb,0x40260000,0x04c006e9,0x80009980,0x99800099,0x00998000,
    0xffc81330,0xffd3109c,0x6402ff83,0x1ffc4fff,0xf81ffa80,0x3ff5003f,
    0x2a007ff0,0x86fc81ff,0x99999cff,0x30099999,0x40710013,0x00000019,
    0x0000000c,0x00000000,0xb0000000,0xffffffff,0x005ff05f,0x7fd49ffd,
    0x89ff1000,0xf1000ffa,0x00ffa89f,0xf909ff10,0xffffff0d,0xdfffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff6e000,0xff02dfff,
    0x49ff3005,0x7e4005fd,0x0017f60f,0x2fec1ff9,0x903ff200,0xfffff0df,
    0xffffffff,0x0000000d,0x00000000,0x00000000,0x00000000,0x33100000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x100b2a4c,0x2e005995,
    0x2a0000cc,0x993000cc,0xa9326005,0xb0bb002c,0x00ccb80b,0x001664c0,
    0x18005993,0x99300544,0x32201654,0x2aa2002c,0x0dee5400,0x6404e880,
    0x80baa006,0x27fa83cc,0x3fee05fc,0x4404ffff,0x3e0003ff,0xfff1004f,
    0x4ff5003f,0x6f8805fc,0x3e202fc4,0x3fe2004f,0xfe8801ff,0xfe9801ff,
    0x200fdadf,0x017f27fa,0x4c003ff2,0x37f201ff,0xfe801ffd,0x00ffb100,
    0xffb81be2,0x3f27fa80,0x339ff505,0xf9805ff7,0x6fb8000f,0x3e73f600,
    0x93fd400f,0x89f300bf,0xff9803fa,0xf59fd000,0x9cfd801d,0x5fec00ff,
    0x5405fffd,0x4017f27f,0xff3004fd,0xfa936203,0xa81fdc04,0xfd007fff,
    0x0017f401,0xa82ff980,0x02eb806f,0x5000dd80,0x013b21bd,0x85f70000,
    0x5d5002fc,0x764bd500,0x6437aa04,0x2a16404e,0x10000001,0x00cc00bb,
    0x4c05fb10,0x3a2f205f,0x202fc807,0x200003e9,0x073606fb,0x00000000,
    0x40000000,0x007ec1fc,0x00000000,0x00000000,0x00000000,0x2202ffa8,
    0x0fd000fe,0x00005f98,0x0179b973,0x440009f9,0x1002bdcb,0x20057b97,
    0x002bdcb8,0x2057b971,0xabfeaaa9,0x202affaa,0x102bdcb8,0x80d4c055,
    0x002bdcb8,0x0057b971,0x40af72e2,0x06a602a8,0x44007744,0x5f903fdb,
    0xd103f400,0x02a9801f,0xffffffb1,0x003fe87f,0xffffff70,0x7ffdc01b,
    0x2e00dfff,0x0dffffff,0x3ffffee0,0x7ffec0df,0xffffffff,0xfffc80ff,
    0x7d40dfff,0x3213f607,0x0dffffff,0x3fffff20,0x3ff200df,0x540dffff,
    0x413f607f,0x7e8007f8,0x74004fa8,0x2007f607,0x7dfd05fb,0x41ffd733,
    0xfb8002ff,0x6fea9aef,0x535dff70,0x3fee0dfd,0x06fea9ae,0xd535dff7,
    0xfcaa98df,0xadfcaaad,0x99cffc82,0x3ea0effb,0xf913f607,0xdff7339f,
    0x339ff901,0xf901dff7,0xdff7339f,0xfb03fd41,0x981bea09,0xf11be24e,
    0x20fd000d,0xbf7004fa,0xf103ff30,0x001ff47f,0x3a20ffe2,0x41ffc43f,
    0x7fc43fe8,0x443fe883,0x3fe883ff,0x1fc85f70,0xd105ff30,0xb03fd49f,
    0x417fcc9f,0x7fcc4fe8,0x4c4fe882,0x4fe882ff,0x4fd81fea,0x7403fe88,
    0x6c3ffcdf,0x87e8001f,0x3ee006f8,0x3a03c985,0xc813f64f,0x403ff22e,
    0x07fe47fb,0x7fe47fb8,0xfc8ff700,0x20ff700f,0x807f41fd,0x3fea05fd,
    0x7ec0ff50,0xfa817f64,0xa817f60f,0x817f60ff,0x0ff50ffa,0x3fa227ec,
    0xcedb8806,0x1881fdc1,0x07f61b20,0x4005fb80,0x3ee4fea8,0x22ff880f,
    0x3fe604fd,0xf9813f60,0x9813f60f,0x813f60ff,0x87e80ff9,0x80bfa06f,
    0x0ff51ff8,0x05fd27ec,0x5fd0ffc4,0xfd0ffc40,0xa8ffc405,0x893f607f,
    0x80000efe,0x0ff105f9,0x3223fb80,0x3ee0cefe,0x3fb2e205,0x7f44ffff,
    0x83ff621d,0xfffffffe,0x3fa1ffff,0xffffffff,0x3fffa1ff,0xffffffff,
    0x3fffffa1,0x41ffffff,0x02fcc6f8,0x2ff803ff,0x27ec0ff5,0x2ff803ff,
    0x5ff007fe,0x3fe00ffc,0x7ec0ff52,0x0003bfa4,0x74407f40,0x17e6007f,
    0x49fb79fb,0xfff705fb,0x89fb79df,0xffdefff9,0x7777fc1f,0x1eeeeeee,
    0x3bbbbbfe,0x3e1eeeee,0xeeeeeeef,0x3bfe1eee,0xeeeeeeee,0xfffffb1e,
    0xffffffff,0xd007fe21,0xd81fea5f,0x803ff14f,0x03ff12fe,0x3ff12fe8,
    0xff52fe80,0xefba7ec0,0x5f900000,0x801fffa0,0xf13620fe,0x7dc2fdcf,
    0x27ec0adf,0x6ffffec4,0x8002fe81,0xfe8002fe,0x02fe8002,0x7ffffec0,
    0xffffffff,0xff00bfe0,0xfe81fea3,0xff00bfe4,0x3e017fc3,0xf00bfe1f,
    0xe81fea3f,0x4407fb4f,0x209f5000,0x9007ebfd,0x4bf1005f,0x04fe85fb,
    0xafb813fa,0x3013f600,0x4c04fd81,0x26027ec0,0x26027ec0,0x7f40fd80,
    0x980ffa00,0xf81fe67f,0x980ffa4f,0x301ff47f,0x203fe8ff,0x81fe67f9,
    0x407ff4ff,0x37c406fc,0x00fd4fb8,0xfd3009f5,0x7fc2fdc3,0x409ff303,
    0x3ee04fec,0xb8df900f,0x8df900ff,0xdf900ffb,0xf900ffb8,0x0df0fd0d,
    0x3f207fc8,0x2603fe66,0x81ff24ff,0x03fe46fc,0x07fc8df9,0x0ff99bf2,
    0xdfb4ff98,0xb013fe20,0x74bf503f,0x4037c407,0x2fdc2ffa,0x7fcc37e4,
    0x00ff805f,0xff50bbfa,0xa85dfd03,0x2efe81ff,0x7f40ffd4,0x20ffd42e,
    0x027cc5f8,0xf7037fe2,0x4c5ff85f,0x3fe24fff,0x217fdc0d,0x7dc0dff8,
    0x06ffc42f,0xbff0bfee,0xf54fff98,0x03ff907f,0xffd81fdc,0xb01fffff,
    0x0efb803f,0xff985fb8,0xfdefecdf,0x0dfb9906,0xecffff98,0xfff304ff,
    0x209ffd9f,0xfecffff9,0xffff304f,0xf309ffd9,0xa803fa89,0xffecdfff,
    0xedfffb82,0x7d44fcef,0x2ffecdff,0xd9bfff50,0x3fea05ff,0x82ffecdf,
    0xefedfffb,0x3fff64fc,0x203fffcc,0x2aa606f9,0xb80affaa,0x4f7e403f,
    0x417ee199,0x14fffffa,0xeff881ff,0xffc8801c,0x64403fff,0x403fffff,
    0x3fffffc8,0x7fffe440,0xc85f703f,0xffb1001f,0x7dc05bff,0x4fb8dfff,
    0xdffffd88,0x7ffec402,0x7ec402df,0x2e02dfff,0xfb8dffff,0x7ffffdc4,
    0x007f402e,0x2fcc1fa0,0x3ffffea0,0x80bf70ff,0x00000099,0x40004c40,
    0x98800098,0x00988000,0x00aa054c,0x22000cc0,0x00330001,0x4c000660,
    0x000c4001,0x2a006aa6,0x02a8002e,0xaa9801b9,0x000aaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x13a2006c,0xb802dda8,0xbd91001e,0x87970005,0x0332e002,
    0x0595264c,0x54066540,0x2055100a,0x2000acb8,0x2f6e206c,0x95103531,
    0x99544037,0x54c01bdb,0x1aaaaaaa,0xadeca880,0x79730000,0xfb100005,
    0x807f400f,0x02ffeffa,0x3e600bf1,0x001fffff,0x17f5f7ec,0x701ffc40,
    0x0027ecff,0x07fe09ff,0x3fa637d4,0xf002ffff,0x3ffff60d,0x7dc4fbcf,
    0x981fffff,0xfffffadf,0xffffd00e,0x5407ffff,0xfffdfffe,0xffb1003e,
    0x2201dfff,0xffff502c,0xd80fee00,0x320df31f,0x19fb001f,0x8800bfb3,
    0x9001dffe,0x27fb80bf,0xdf7004fd,0xfa80ffc0,0x6556ff46,0x1fcc02ff,
    0x64ceffdc,0x3fee4fff,0x42ffeaad,0xb89efff9,0xddff06ff,0x205ddddd,
    0x5c41befc,0x3a200dfd,0xeffcabef,0x7902fe80,0xbf300fd1,0x3fa37c40,
    0x9802fc41,0x007fcc7f,0x2feffe44,0x0001bb00,0x401bb000,0x4df501ff,
    0x07fb85fc,0x3fe60fe4,0xf14ffc81,0x98df907f,0x4fe886ff,0x64003fcc,
    0x6fd800ef,0xf103fee0,0x005fd07f,0x0fe880fd,0x5f913ea0,0xf7001fc8,
    0x801ff88d,0x07fb0bf9,0x00000000,0x5407fe00,0x203ff16f,0x21fa02ff,
    0x9ff105fc,0x3e603fee,0x40bfe60f,0x02fd46fa,0x2a63bea0,0x4fc819aa,
    0x3f205ff0,0xe802fe85,0x2017e407,0x117e44fa,0x7fcc00bf,0x8801bee2,
    0x40ff9aa9,0x46a602a8,0x06a602a8,0x815ee5c4,0x2df501ff,0x17f206fb,
    0x1fec2fc4,0x0aa29fb0,0xff30ffc4,0xf907fc40,0x90ee8009,0x85ffffff,
    0x205fb87d,0xacffa980,0xfa81fa01,0x746f9804,0x0007f21f,0x5ff73ffb,
    0x3fffea00,0x3fd45fff,0x1fea9fb0,0xffc84fd8,0x7c0dffff,0x32df501f,
    0x41bea05f,0x02ff82fa,0x7d4013f2,0x3e037cc7,0x098bf61f,0x27c8fe20,
    0x0fcc7e98,0xf7000ff2,0x740bffff,0x400df107,0x44df30ff,0xff88005f,
    0xf7002fff,0xffff75bf,0xfb03fd45,0xfd81fea9,0x4ce7fe44,0x3fe0effb,
    0x3f6df502,0x641fea04,0x201ff80f,0x7dc404fb,0x2037cc3f,0x32ffe2ff,
    0xfa83ffff,0x07ee1f21,0xb72fd89f,0xf5303bdf,0x3f40359f,0x2a001fd8,
    0x362ffdff,0xffb0001f,0x3fe2001f,0x2a4ffa83,0x553f607f,0x993f607f,
    0x4fe882ff,0xb7d40bfe,0x1fe603fe,0x02fe837c,0x7f4413f2,0x06f982ff,
    0x7fc43fe2,0x5fffeeff,0xd11f23e4,0xafe8db0d,0x2ffffffd,0xd9005fd0,
    0x06207f70,0x3e61f5c4,0xffe98005,0xdf9004ff,0xff52fe40,0x7faa7ec0,
    0x5fd93f60,0x7fc3fea0,0x3fadf703,0x303fe203,0x813f609f,0xfff504fd,
    0x07f9819f,0xcffa9fe6,0xe8fff660,0x7ff77e45,0x3e0fb82e,0xeb89dfef,
    0x02fe81ff,0x220bf300,0x0fd8007f,0x2a073fee,0x2ffd8dff,0x07fd02f2,
    0x0ff53fcc,0x07faa7ec,0x02fe93f6,0x2ffc7fe2,0x07fd6fe8,0x3ee07fcc,
    0x101ff702,0x5c4209ff,0x3fe61ffe,0x544bfb03,0x6d9ffa02,0x037ee7e4,
    0x03fff8f9,0x05fd0bff,0x2203fa00,0x7cc007fe,0x3feffee4,0xfd127fc3,
    0xf81ff51f,0x47fe202f,0x53f607fa,0x93f607fa,0x97fc01ff,0x3f223fff,
    0x4c07fb6f,0x203ec0ff,0x3faa1efe,0x93fe004f,0x3223fff9,0x7dc000ff,
    0x3e41f70f,0xd17a0bf1,0x1ff201ff,0x32000bfa,0x0fffb02f,0x1fa0fd80,
    0x21fea1ff,0x85fdeff8,0x97fc01ff,0x53f607fa,0x53f607fa,0x7f401ff8,
    0xfdfffff2,0x13f2dfdf,0x2fc47fa8,0x3bbffe60,0x2004feff,0x3bfe67fc,
    0x01fffdff,0xf32ff880,0x0fea3e45,0x05fd85f1,0x5fd03fe6,0x904fa800,
    0x4c00fd7f,0xfb17e24f,0x7d417f63,0x2ff82fff,0x7d47fe20,0x7d53fa07,
    0xff93fa07,0xff8ffc02,0xf8dfffda,0x7d40bf96,0x4401fd46,0xfd9efffd,
    0xff980224,0xffb1ff31,0x260005bf,0x7c97e1ff,0x03ee0fd8,0x7fcc0bf9,
    0x10017f40,0x753ee0df,0xa83fa007,0xfd97e44f,0x41ffee06,0x3fe603fe,
    0x7fc0ff30,0x7fc0ff34,0xf980ffa4,0x04c47fe7,0x3f607fa8,0x2000fe44,
    0x7f53f609,0x4c3fee05,0xfb00627f,0x907fe40b,0x3e61f27f,0xff70df55,
    0x7f437dc0,0x207f6002,0x401fa5fa,0x227d44fa,0x03ff92fc,0x2e13fff2,
    0x99bf607f,0x4ff980ff,0xff301ff3,0xf903fe49,0xd000ffcd,0x83ff105f,
    0xfd80007e,0x3a01ff74,0x001fe66f,0x3fa03ff7,0x5003fe85,0x5ff101ff,
    0x3fa13fa0,0x207f7002,0xfffffffd,0x2607f401,0xf88ff46f,0x3ff220ef,
    0x7fc44fff,0x07ff661d,0xfff98bff,0xff317fe4,0x06ffc49f,0x1ff8bfee,
    0xb03bee00,0x004f889f,0xff14fd80,0x0ffe441b,0xf8800ff3,0x3ff260df,
    0x00cfe881,0x6403ff71,0x3ff221ff,0x8804fe81,0x2aaa606f,0x2a00affa,
    0x2a5fd04f,0x77ffd46f,0xfe8bfffe,0x77ffcc3f,0xfb83fffd,0xfcefedff,
    0x3b7ffee4,0x7d44fcef,0x2ffecdff,0xd1000ffc,0x1dfd9bff,0x80002fb8,
    0x3ffea4fd,0x4c3fffdd,0xffa8007f,0x02fffddf,0x2b3bff62,0x400effec,
    0xffceffd8,0xbfff902f,0x20007f40,0x00fe807e,0x03bfffd3,0x3bffffd1,
    0xfd880ed8,0x2e01efff,0xfb8dffff,0x6ffffdc4,0xfd884fb8,0xff82dfff,
    0xfffc8001,0x00fd80be,0x4c4fd800,0x81effffe,0xd30007f9,0x003dffff,
    0x37fff6a2,0x7fdc001b,0x36202dff,0x05d507ff,0xc8805500,0x001c9802,
    0x88008033,0x000c4001,0x0cc00062,0x30000660,0x0002a803,0x26201310,
    0x000cc009,0x00006620,0x0c400002,0x00000c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca880000,
    0x544001ac,0x4000adec,0x8001bca8,0x0acdeca8,0x2e003990,0x0009912c,
    0x2bdedba8,0x337ae600,0x0b2a0000,0x1beeca88,0x54c05d80,0x200d4c02,
    0x00bdedb9,0x2259b710,0x0993001a,0x5400f320,0x7fffd43c,0xfea804ff,
    0x3efffdff,0xfffffb80,0xfffb802e,0x82ffffff,0x9fd003ff,0x44001fe6,
    0xfffffffe,0x3ffea00e,0x0003ffff,0x3fee09fb,0x0dffffff,0x7cc03f90,
    0x20bfa01f,0xffffffc8,0x7fec04ff,0x05fbdfff,0xf500ff70,0xdf9001ff,
    0x6d5f7fcc,0x3bf204ff,0x6fedc41b,0x59fff700,0x36203ffd,0xca9aceff,
    0x1ffc5ffe,0xff34fe80,0x7fff3000,0x3fffd755,0x515bff30,0xb0003ffb,
    0xeffe889f,0x6ffec9ab,0xfe807f50,0xd10ff304,0xf9559fff,0x3fee09ff,
    0x5fffeb9d,0xb00ff700,0xf9009fdf,0x7dc37f4d,0x00efc80f,0xff886fd8,
    0x4077d40c,0x7e404ffc,0x400ffe1f,0x00ff34fe,0x2201ff90,0x07fd85ff,
    0xfb000bfd,0x203ffd89,0x0bf05ff9,0x9f906fb8,0x6c05ffd0,0x0ffcc3ff,
    0xb802ffe4,0x4ffc407f,0x16fc807f,0x5ff105ff,0x2a20efa8,0x227e40bc,
    0x9fd00ffc,0xb003ff98,0x801ffcbf,0x00ff34fe,0xfc807fd0,0xf503ff87,
    0x4fd8001f,0x2a00bfea,0x00fd84ff,0x3fe07fe2,0x201ffdc1,0x27e46ff8,
    0x2e00bfd0,0xeafdc07f,0x8b7e402f,0x85ff01ff,0x3bfee0ee,0x363ec5ff,
    0x91bf206f,0x77cc00df,0x3a007ff0,0x2e6ff34f,0x0ffe02cd,0x7c41bd10,
    0x7100602f,0xe93f637b,0x3fee005f,0x36017dc0,0x7437d44f,0x1bf5005f,
    0xbf9017f4,0xd01fee00,0x901bf27f,0x542fecdf,0xb8fe20ff,0x98fee1df,
    0xa80ffa1f,0x00ffa0ff,0x003ff810,0x2bfe69fd,0x80efffff,0xf0000efd,
    0x3f60009f,0x4fdcffff,0x44003ff3,0x027cc1ff,0x07fb1fea,0xf80005ff,
    0x017ee01f,0xff303fdc,0xc807fe61,0x273fea6f,0x7d44feb8,0x215c1fa1,
    0xc817f64f,0x05ff10ff,0x003ff800,0x3ffe69fd,0x0fffc9cf,0x00e7ffd4,
    0x20017fa0,0xffb9dffb,0x01ff54ff,0x6f83ff80,0xff12ff80,0x000ff981,
    0xb807fe20,0x0ff7005f,0x13fa2fe4,0x7f446fc8,0x7c82ffff,0x6d8017e2,
    0x7f403ff2,0x001ff51f,0xd003ff80,0x03bfe69f,0xff507fd1,0x2037bfff,
    0x999ffc98,0x40ffcc01,0x0ff74ffc,0xf90bfb00,0xf75fc801,0x000ff70b,
    0x7e405ff0,0x40ff7005,0x03fdc2ff,0xfffa8df9,0x25e84fff,0x3ee002fa,
    0xf509ff30,0x81fee3ff,0xaaaaaaa8,0x3a007ff1,0x205ff34f,0xff9307fb,
    0xb83dffff,0x7fffffff,0xf882fe40,0x000df94f,0x07f50ff9,0x05fb7f98,
    0xd0000df9,0x02fec07f,0xff507fb8,0x3205ff10,0x233ff66f,0x360efeb8,
    0xc8013e66,0x5e7ffe47,0xf71ffdfe,0x3ffe601f,0x7ff4ffff,0x7cd3fa00,
    0x003fe207,0x5ffffb73,0x66ffe64c,0x017ec04c,0x01bf29fb,0x3e21bf20,
    0xffafe805,0x0007fb80,0xf980ffa8,0x0ff7005f,0x37ec13f6,0x3ff36fc8,
    0x0fb93fa0,0xd0ee0df1,0xfffff90b,0x3e61ff19,0xdddd301f,0x0ffe9ffd,
    0x6f9a7f40,0x1000ffc0,0xfd03fff5,0x017fc009,0x01fea9f9,0x3f413f60,
    0x82fffdc0,0x80000ffa,0xfc88bffe,0xff7005ff,0x999bff10,0x903ffb99,
    0xb81bf2df,0xfd8be67f,0x5f12fc41,0x4c6f2e60,0x00ffe0ff,0x13fa9fd0,
    0x6f99ffc0,0x0110ffc0,0xfd09fd10,0x00ffc007,0x03fe29f7,0x2e05fd00,
    0x7ffc401f,0x003ff101,0x7ff440d4,0x05fdefff,0xff70ff70,0xffffffff,
    0x3adf909f,0x87fe203f,0x2f7fe25f,0x03ee0ffc,0xfd8df500,0xea7f4005,
    0x25ff005f,0x3fe206f9,0x3200bfb0,0x00ffc46f,0x7e405fd0,0x9800ffe4,
    0x09f300ff,0xff80ffb0,0x07ff1003,0x329dfb91,0x7dc0ea4f,0xaaadfe86,
    0x0ffdaaaa,0x04fdb7e4,0x3fc83fea,0x86fbff22,0x00d4c6fa,0x3ffb89fb,
    0x7e53fa00,0x30ff9806,0x9fe601ff,0xbf9007fa,0x64006fa8,0xc93f603f,
    0xffd000ff,0xfc806f80,0x00ffec03,0x20007fdc,0x01ff14fd,0x1ff98bf9,
    0x321ffc40,0x6c0df96f,0x083fe87f,0x7d40ffa8,0x81ff880f,0xfb803ffe,
    0x809ff54f,0x0bfe67fd,0xbff12fec,0x222fe880,0x7dc000fe,0xe89ff307,
    0x7fe400ef,0x1007ec02,0xff8801ff,0x17fe600e,0x3fe205b7,0x3fa0bfe2,
    0xe8037e44,0xf8b7e46f,0x1ffdc45f,0x88067f44,0xff881ffb,0x981ff444,
    0x260bdfff,0x322fffeb,0xd3109cff,0x7ffcc3ff,0x903ff221,0x54415dff,
    0xbfd10fff,0x1c415799,0xfd50eff4,0xaffe889f,0x027ff4c0,0xbf9017dc,
    0x2fbfee00,0x03bff6a0,0xff901ff7,0xb8977ec1,0x01ffc2ff,0x3f21ffa8,
    0x377ffea6,0x36205fff,0xfecaceff,0x3fea00ef,0x405ffdcf,0xffffffe8,
    0xd80cffff,0xffffffff,0x7f77cc2f,0x703fffde,0xffffffff,0x7ffdc1df,
    0xfeffffff,0x6fffc42f,0x884fdffe,0xffeefffe,0x9f1003ff,0x01fffeb8,
    0x3bfffee0,0x880fffff,0xfecbdffe,0x7fffcc1f,0x7fd44fff,0x49ff1000,
    0x7fec46fc,0x51002fff,0x037bfffb,0x37fffaa0,0x3f6e6003,0x401cefff,
    0xdfffffdb,0xfd8ef982,0x6cc01eff,0x84effffe,0xca99adf8,0x982fffff,
    0xfc9efffc,0xffd95104,0xe80017bf,0x017ffdc7,0x7fffe4c0,0x7ec403ff,
    0x301effff,0xb09dfffd,0xffc800bf,0x4cc0df90,0x00040000,0x00002620,
    0x98800066,0x04c40009,0x08019800,0x9800cc40,0x00620000,0xaa885300,
    0x99880000,0x0d544000,0x00013100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x11cb8000,
    0x19970199,0xccccccc8,0x2cb802ab,0xc80cc980,0xabcccccc,0xccccc802,
    0x9100abcc,0xcc880059,0xcccccccc,0x000ccccc,0x99990593,0x99999999,
    0x64532639,0x50220004,0x99126443,0x000e6400,0x22f6dc40,0xcca801cc,
    0x2a9932e2,0x0ffc4ffa,0xff1bffea,0xffffffff,0x07fd407d,0x7fc17fa0,
    0xffffffff,0xffff103e,0x1bffffff,0x4001ff90,0xfffffffc,0xffffffff,
    0xf09fd000,0xffffffff,0x3ea7ffff,0x2000ff37,0x3fabeffd,0x07f99fe6,
    0x0000ffe0,0x44dfffd1,0x7fdc02ff,0xdfb3fec5,0x1ff89ff4,0x97f27fe2,
    0xdccccdff,0x3a05fffe,0x03fee04f,0x66666ffc,0x885fffed,0xeccccdff,
    0xfd80effe,0x9bff1003,0x99999ffd,0x90019999,0x9dff09ff,0x99999999,
    0x7cdfea39,0xbcfa8007,0x3e60fffe,0xf801fe67,0x7dc0003f,0x3fe219bf,
    0x217fee02,0x01bf67fd,0x76c53b20,0x74407ff2,0x3ff303ff,0x7c09ff10,
    0x3ff2203f,0x5017fc43,0x0bb107ff,0x7e43fee0,0xff500006,0x007ff09f,
    0x1fe6ff50,0x05312a00,0xf801fe60,0x7e40003f,0x205ff105,0xffb05ffb,
    0x000004c4,0xfd803ff8,0x70bfb00f,0x1ffc01ff,0xf107fe40,0x06fc805f,
    0x324ff800,0xf880006f,0x3ff84fdf,0xf37fa800,0x0000000f,0x7fc00ff3,
    0xcdeeeeee,0x881fec02,0x4ffb82ff,0x4c01ff60,0x4154c02a,0x9ff003ff,
    0xf88bfe20,0x01ffc03f,0xff127fc4,0x987fb805,0x0ffb802a,0x20001bf2,
    0xf84fcafd,0x7fa8003f,0x8aaa0ff3,0x7b9511a8,0x3e62a881,0x81799717,
    0xffffffff,0x54c2ffff,0x7c42adfe,0x027fdc2f,0x7dc01ff6,0x7c2fdc05,
    0x0df9003f,0x0df937e4,0x32007ff0,0x00bfe26f,0x0bf709fb,0x6fc89ff0,
    0xcafdc000,0x003ff84f,0x0ff37fa8,0x6fcc5ff7,0x2ffffff9,0x9ff99fe6,
    0x21ffffff,0xaaaaadff,0x361fffcb,0x20ffffff,0x3fee2ff8,0x007fc804,
    0x5fb80bf7,0xf5003ff8,0x45ffc40f,0x3ff802ff,0x7c4ff700,0x07fee02f,
    0xff7017ee,0x0006fc81,0x27e43fe6,0x54001ffc,0xfb8ff37f,0x7ff7cc2f,
    0x30ffeb9c,0x77ffccff,0xf0fffc9b,0x5ff9807f,0x0ab7faa6,0x3fee5ff1,
    0x00df9004,0xbf7017ee,0x26007ff0,0x3bee00ff,0x7ccc05fd,0x809999cf,
    0xdff10ffa,0xfffddddd,0xd017ee03,0x99ff90bf,0x05999999,0x84fc8bfa,
    0xccccceff,0x3ea3cccc,0x7fdcff37,0x886ff982,0x4cff33ff,0x7fcc0eff,
    0xfb007ff2,0x2207fb0f,0x3fffbaff,0x200df700,0x2fdc05fb,0xf9801ffc,
    0x3333222f,0xcccdffff,0x7fffffc2,0xff984fff,0xffffff12,0x203dffff,
    0x3fea05fb,0xfffffc81,0xc83fffff,0x7c27e44f,0xffffffff,0x5fea5fff,
    0x03ff77f9,0x7f407fe6,0x7fccff34,0x3fe7fd02,0x40ffb803,0xbff103fd,
    0x003ffdff,0x3ee00bf5,0x7c2fdc05,0x3ff3003f,0x7fffffcc,0x43ffffff,
    0xcccdffcc,0x11ff982c,0x755559ff,0xf707ffd9,0xc82ff40b,0xccccccff,
    0x437cc2cc,0xadff84fc,0xaaaaaaaa,0x7fcdfea2,0x3e602ffb,0x269f900f,
    0x403fe67f,0x007ff4fc,0x07fb0ffb,0x22ffffe2,0x7d400efe,0x80bf7004,
    0x03ff85fb,0x5441ff50,0xacffaaaa,0x7ff01aaa,0xf89fea00,0x0ffe402f,
    0x7fd417ee,0xfecccccd,0x0ff44006,0x1ffc27e4,0xf9bfd400,0x2606ffff,
    0x4d3f207f,0xc81fe67f,0x8807ff4f,0x03fd86ff,0x7cc7fff1,0x527cc05f,
    0x80bf7079,0x03ff85fb,0x3e00ff90,0x0ffe002f,0xff137e40,0xb89ff005,
    0xffffd05f,0x0dffffff,0xcccefc80,0x0ccefecc,0xf50007ff,0x3ebffe6f,
    0x40ff303f,0x4cff34fc,0x7d3f207f,0xffd5103f,0x2207fb05,0x3ffb83ff,
    0x6fd8fe60,0x7dc05fb8,0xd003ff85,0xeeee88bf,0xeeeeeffe,0x2007ff02,
    0x0bfe24fe,0xbf71bf60,0x9999ff30,0x00dfd999,0xffffffc8,0xf0ffffff,
    0xff50007f,0x7fdc7fe6,0x3207f981,0x7ccff34f,0x7fd3f207,0xffffffff,
    0x07fb04ff,0x7f40bfe2,0x6c7f101f,0x405fb86f,0x03ff85fb,0x7442ffb8,
    0xeeffeeee,0x7ff02eee,0x445ff700,0x5fe802ff,0x37ec2fdc,0x5001bf20,
    0xd9999999,0x3fe199df,0x37fa8003,0x986fe8ff,0x4d3f207f,0xc81fe67f,
    0xffffff4f,0x403bffff,0x5ff103fd,0xa81bfe20,0x2fdc2dc0,0x3fe17ee0,
    0x037fcc03,0x7c005ff0,0x2ffcc03f,0xf300bfe2,0x4c5fb87f,0x37e402ff,
    0x13f20000,0x2a000ffe,0xf98ff37f,0x903fcc3f,0xf99fe69f,0x7fd3f207,
    0x0019999c,0x7fc40ff6,0x013fee02,0x05fb84d8,0x67fc2fdc,0xfdaa9999,
    0x3fe001ff,0x273fe002,0xffdaa999,0x4dffc40f,0xffc99999,0x362fdc0e,
    0x9efc806f,0x99999999,0xf09f9000,0x3333339f,0x3ea13333,0xff90ff37,
    0xf903fcc3,0x7f99fe69,0x1ffd3f20,0x40ff6000,0x7ec02ff8,0xf726542f,
    0xb80bf703,0xfffff85f,0x1effffff,0x0017fc00,0xffffffff,0xf103dfff,
    0xffffffff,0xbf703fff,0x64017fcc,0xffffffff,0xf9003fff,0xffffff09,
    0xdfffffff,0x83fcdfea,0x81fe66fe,0x4cff34fc,0x7d3f207f,0x7ec0003f,
    0x805ff103,0x3f20fff8,0x2fdc0267,0x3fe17ee0,0xdeffffff,0x05ff0002,
    0x7fffffc0,0x2201deff,0xffffffff,0x97ee03de,0xff9006fd,0xffffffff,
    0x13f2007f,0x3ffffffe,0x56ffffff,0x4c1fe6ff,0x40ff33ff,0x4cff34fc,
    0x7d3f207f,0x7ec0003f,0x005ff103,0x3fe4dff5,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xdd9502a9,0x0732017b,0xcccccb80,0x22cccccc,0x2e003ccc,0x00b322cc,
    0xaaaa965c,0xaaaaaaaa,0x99999990,0x44001579,0x7995102c,0x66664c03,
    0xcccccccc,0x800332e3,0x0265c3cb,0x32a1cc88,0x01e64403,0x1e5c3326,
    0xcc932600,0x32597002,0x7ffec47f,0x7c42ffff,0x3ffa002f,0xffffffff,
    0x01fffe4f,0x3fe4fff8,0xb4fd801f,0xffffffff,0x3ffe3fff,0xffffffff,
    0x84fd801d,0xdffffffb,0xfffffa80,0x6fffffff,0x5c017fe6,0x27fcc2ff,
    0x3ea37f40,0x3ffee00f,0xfb9bee00,0x97fa000f,0x9fd003ff,0x9ffb1ff2,
    0x43ffd713,0x3a002ff8,0xccccccef,0x3ffe2ccc,0xfffa802f,0x201bffe4,
    0xdddd94fd,0x1fffdddd,0x333337fe,0x00effedc,0xff713ff2,0x1dffb57d,
    0xcccccc98,0x46ffdccc,0x7c402ffb,0x05ff904f,0x3e207fe4,0x3fff602f,
    0xf893f602,0x3ff1003f,0xfe801ffc,0x7fd43314,0x225ff883,0x3fa002ff,
    0xfeff8004,0x4fffd804,0xb013fffe,0x3fe2009f,0xf700ffe3,0xfffb109f,
    0x441ffcc9,0xfb0004ff,0x01ffd03f,0xfd0077ec,0x05ff501f,0xcff80ffa,
    0xb0bfe04f,0x1bee00df,0x3fa007ff,0x403ff204,0x0bfe27fc,0x8004fe80,
    0x4407fbff,0x3fe4fdef,0x3f601ffe,0xf8bfb004,0x46fd803f,0x24fefffb,
    0xdfb00ffb,0x05ff9000,0x7d417fe6,0x2ffc401f,0xfc813fe2,0xff3bf305,
    0xf303fe60,0x87fd003f,0x9fd003ff,0xf301e540,0x0017fc4f,0xff0009fd,
    0x7d405fd3,0x2bfe4fdc,0x13f606fe,0xff03fee0,0x21ff7007,0x4fc8eff8,
    0x7fa817b2,0x027fdc00,0xff10bfee,0x8ffee009,0x3fd406fe,0x03ff3fc8,
    0x13fa0df7,0xff81ff30,0x009fd003,0x3e25fb80,0x13fa002f,0x3f27fe00,
    0x3f67f604,0x3fe6bfe4,0x8809fb04,0x03ff82ff,0x8ba27fc8,0x7ec004fc,
    0x17fe6006,0xfb07ff40,0x8ffd800d,0x7c400ffc,0xfb1fe81f,0x2e07fb07,
    0x42fe407f,0x9fd003ff,0x17fd4000,0x74005ff1,0x9ff8004f,0x2df107f9,
    0x64bfe4fd,0x04fd81ff,0x3ff82fec,0x6406ff80,0x3fe2004f,0x1dff1004,
    0x553fe600,0x7c4001ff,0xd002ffef,0x2e7f887f,0x101ff85f,0x17fc03ff,
    0xfe801ffc,0x9ff30004,0x2002ff88,0xcccccefe,0x8ffc0ccc,0xb3fa81fe,
    0xfd17fc9f,0x4c09fb0d,0x07ff01ff,0x201ffe44,0x3f2004fc,0x3ffd000f,
    0xe9ffb800,0xff50003f,0x2fdc009f,0x47f897ea,0x27ec07f9,0xfff07fa8,
    0xffffffff,0x50009fff,0x5ff10bff,0x7ffff400,0x41ffffff,0xb09f91ff,
    0xff93f61f,0xfb13fe62,0xf037e409,0xdddddddf,0xf900dfff,0x0bfee009,
    0x0017fec0,0x006fffe8,0x0017ff40,0x42fd8ff3,0x017ee2fe,0x13f60ff5,
    0x7ffffffc,0x4fffffff,0x82ffc400,0x3a002ff8,0xccccccef,0x98ffc0cc,
    0xfb37c47f,0x3f217fc9,0x4413f61f,0x3ffe03ff,0xffffffff,0x009f9003,
    0x2e007ff9,0x260003ff,0x20000fff,0x000ffffc,0x40ff83fe,0x00ff64fc,
    0x1ff10bfe,0x26673fe0,0xfe999999,0xfc809954,0x00bfe206,0xf8004fe8,
    0xfb87fa1f,0x2ff93f63,0x13f66fe8,0xff007fd4,0x3355555b,0x404fc800,
    0xf3003ffd,0xfb0000bf,0x7fcc000b,0x36005ffb,0xf50df32f,0x64007fcd,
    0xf02fdc5f,0x53fa007f,0x17f407fc,0x4005ff10,0xff8004fe,0x0fd93f21,
    0x82ff93f6,0x09fb4ff9,0x7ff013fa,0x27e40000,0x002ffd88,0x0001dff1,
    0x2000bfb0,0x7ff75ff8,0x7dd3ee00,0xdf37f884,0xe83fe600,0x00ffe02f,
    0x07fca7f4,0xff100ffc,0x027f4005,0xff30ffc0,0x49fb1be2,0x3ff902ff,
    0x3ff309fb,0x0003ff80,0x3a213f20,0x3fa001ff,0xfb00000f,0x3ff6000b,
    0x2007ff60,0x203fd6f9,0x004fa9fe,0x03fccffa,0x7f400ffe,0x00554004,
    0x74005ff1,0x1ff8004f,0x21fdd7f4,0x80bfe4fd,0xb84fdefe,0x03ff807f,
    0x113f2000,0x64001dfd,0x200002ff,0xfb8005fd,0x037fc41f,0x207f8ff8,
    0x002fcbfb,0x027e57ee,0x7f400ffe,0x00007734,0x74005ff1,0x1ff8004f,
    0x207f67dc,0x80bfe4fd,0xc84ffff9,0x03ff805f,0xb13f2000,0x7dc001df,
    0x6c00003f,0x7fcc005f,0x009ff504,0x4c0bf9fb,0x2000fecf,0x01ff8ff8,
    0xfe801ffc,0x6440ff94,0x2ffe201c,0x99999999,0xf0009fd0,0x5fff983f,
    0x0bfe4fd8,0xb09fff90,0x07ff009f,0x527e4000,0x333335ff,0x6ffcc333,
    0x99999999,0xbfb00199,0x037f4400,0xf700bff2,0xfff807ff,0xfdfc8006,
    0x003ff806,0x81ff29fd,0x3e203ff8,0xffffffff,0x009fd3ff,0xffd03ff0,
    0x7fc9fb05,0x84ffe802,0x3ff802ff,0x93f20000,0xfffffffe,0x3fee7fff,
    0xffffffff,0xd801ffff,0x3ff6005f,0x07ff4400,0x801fff10,0x98003ffd,
    0xff803fff,0x229fd003,0x0ffe2008,0xffffff88,0xfd3fffff,0x03ff0009,
    0x9fb01ff7,0x7cc017fc,0x00ffc44f,0x00001ffc,0x3ffe29f9,0xffffffff,
    0x3ffffee7,0xffffffff,0x05fd801f,0x2007ff70,0x7f405ff9,0x01ffb806,
    0x001ffd00,0x3fa007ff,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccccc80,0x2009accc,
    0xccccccc9,0x1ccccccc,0x99988000,0x99999999,0x000cc801,0x82af72ea,
    0x2002ccb9,0x00bcdcb9,0x40166544,0x882bdcb9,0x406a602a,0x002bdcb8,
    0x2057b971,0x7b9511a8,0x7b51a881,0x6dc46a21,0x1e6dc42c,0x35300aa6,
    0x21dedb98,0xffffffff,0xf505ffff,0xffffffff,0x205fffff,0xbb0ccdb9,
    0x4cccccdc,0x01a99999,0x6c400ffc,0x9fffffff,0x4ffffffb,0x3ffff620,
    0xff703fff,0x3209ffff,0x1effffff,0x4fd81fea,0xffffffb8,0x3fff200d,
    0x7cc0dfff,0xffffff9d,0x3feb7ea2,0xff3bf36f,0x3fe6bfff,0x3fe66fff,
    0xfa87fe00,0x3fe7fddf,0xcbaaaaad,0xcc986ffe,0xcdffdccc,0x6c41cccc,
    0xfeffffff,0x031000a2,0xfe801ff8,0xffeb99ae,0xffc9adff,0x337dfd02,
    0xfa81ffd7,0x2ffb99cf,0x5ccdffd4,0x81fea6fe,0x77fdc4fd,0x906fea9a,
    0xff7339ff,0x7ff7cc1d,0x50ffeb9c,0x25d9ffdf,0xd9befff9,0xc9bffdff,
    0x40bfa3ff,0x707ec6fa,0x200ffe5f,0xf3002ffc,0x3ffa001f,0x46ffda9b,
    0x200c4002,0x37d401ff,0x981fffa8,0x0ffcc0ff,0xff31ffc4,0xfc8df505,
    0xf51ff984,0xf127ec0f,0x87fd107f,0xfe882ff9,0x221bfe64,0x0dff53ff,
    0x3f61bfe6,0x325fc85f,0x109fb05f,0x3ffa7e4c,0x004ff880,0xf7001ff3,
    0x2ffe881f,0x8031000a,0x165401ff,0x3a06ff88,0xd01e4c3f,0xb037dc9f,
    0x9827ec39,0xfd81fea0,0x5c03ff24,0x502fec7f,0x07fe61ff,0x2ffaa7f4,
    0xf705ff30,0x44df703f,0x07fc40ff,0x3ffffb22,0x36007ff4,0x1ff3006f,
    0xfb07ff00,0x20014dfb,0x33333218,0x0ccccdff,0x07ff5300,0x51002fdc,
    0x027e49fd,0x02fbfee0,0x3f607fa8,0xf9813f64,0x880bfa0f,0x01ff31ff,
    0x07fd53f2,0xf981ff98,0x747fa80f,0x2237dc3f,0x4fa9bdff,0x3fe007ff,
    0x01ff3005,0x7dc1ff88,0x000a7f9a,0x7ffffc31,0x1fffffff,0xfffdca88,
    0xffffffff,0x97106fff,0x49fffffd,0xfc8003fe,0x541cefff,0xe93f607f,
    0xffffffff,0x07fe1fff,0x1fe65ff0,0x0ff54fc8,0x7f983fcc,0x6fa8ff50,
    0x13ea17f4,0x00ffe9f7,0x4c00fff2,0x7fcc00ff,0x7fc53e60,0x21880050,
    0xdffccccc,0x7dc0cccc,0xffadefff,0xeeeeeeee,0xffffb86e,0x3e4fdbce,
    0xfb50002f,0x7d49ffff,0xff93f607,0xeeeeeeee,0x03ff11ee,0x0ff32fe8,
    0x07faa7e4,0x3fcc1fe6,0x7fc47fa8,0xf881ff11,0xf5ffa88e,0x755555bf,
    0x400bffd9,0x7d400ff9,0xff897e27,0x01880051,0x3ee00ffc,0x17fc0acf,
    0x56ffdc00,0x7fd27ec0,0xfd730000,0xe81fea7f,0x000bfa4f,0x3ff00bfe,
    0x4fc81fe6,0x3fcc0ff5,0xff507f98,0x17ee9f90,0x7d6fffe4,0xfffffff6,
    0x009fffff,0x4c00ff98,0x4c1fd1ff,0x31000a7f,0x7401ff80,0x80ffe05f,
    0x027f41a9,0x027ec9fd,0xb00c45d9,0xf81fe6df,0x3013f64f,0x2603fe81,
    0xc81fe67f,0x4c0ff54f,0x20ff307f,0xd6f987fa,0x50dc403f,0x3bbbbfe5,
    0x000afffe,0xf800ff98,0x7d41fcbf,0x031000a6,0x7fc01ff8,0x40bff702,
    0x81ffc4fe,0x3fee4ff9,0x3e2ff880,0x26df703f,0x4ff980ff,0x7e403fee,
    0xf903fe46,0xf903fccd,0xf981fea9,0x2a0ff307,0xdf7fd07f,0x83ff8000,
    0x8001efe9,0xfe800ff9,0x24fe83fe,0x200c4002,0x2fec01ff,0x42ffffd4,
    0x86fc86fc,0x7f45fff9,0x83ff621d,0x7fc40ffd,0xff317fe3,0x42efe89f,
    0x7fc41ffa,0x317fdc0d,0xaa7e40ff,0x41fe607f,0x0ff507f9,0x440fffee,
    0x25eeeeee,0xdfd103ff,0x0ff98001,0x40eff980,0x000a0ffd,0x00ed8031,
    0x7ee7ffcc,0xdfff99ef,0xf981fffd,0xdefecdff,0x77ffcc6f,0x7c41fffd,
    0xeffeceff,0x3b7ffee0,0x7cc4fcef,0x4ffecfff,0xd9bfff50,0x07f985ff,
    0x03fd53f2,0x1fe60ff3,0xff883fd4,0xffff100f,0x01ffcdff,0x9800bff3,
    0xff8800ff,0x2ffeddff,0x98620014,0x99999999,0xfffa8199,0x7fec44ef,
    0x3ea01bef,0xff14ffff,0xffffd881,0xfff9101d,0x3fee09ff,0x84fb8dff,
    0x3fffffc8,0x7fffec40,0x207f982d,0x40ff54fc,0x0ff307f9,0x6fd81fea,
    0x2aaaaa20,0x900ffe2a,0x7cc007ff,0xcbfd800f,0x281dfffe,0xfff0c400,
    0xffffffff,0x0026603f,0x13300022,0x00266000,0x31000998,0x00262000,
    0x00000660,0x00000000,0x7fc00000,0x00ffe803,0x9001ff30,0x01401885,
    0xffff8620,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ffc0000,0x802ffcc0,0x00000ff9,0x2aaaaae0,0x1baaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xff9003ff,0x01ff3007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xff1003ff,0x0ff9801f,0x980d5440,
    0x2aaaa0aa,0x02aaaaaa,0x0000c600,0x1002a855,0x10054c15,0x1c038013,
    0x40009980,0x6dcc00ed,0x7bd9301b,0x6e543640,0x0000001b,0xcb82ec00,
    0x00000002,0x207fec00,0x7ffc5fe8,0x7fffffff,0xcafdc400,0x7e4000cf,
    0x3a007f62,0x401ff10f,0x17f204fb,0x3e202fe4,0x3fee002f,0x3f7bee04,
    0x7f7fd43f,0x23fec45f,0x21ffddfc,0xfffffffc,0xff95ffff,0xffffffff,
    0x7417a0bf,0xa80d545f,0x0815301a,0x5ff88080,0x2aa077ec,0xffcaaaaa,
    0xfff93004,0x077ffeeb,0xf887fc40,0xd8ff200e,0x027dc02f,0xffc8bff5,
    0x017fc402,0x101fffd0,0x3a3fc4df,0x2a5fb12f,0x93627fff,0x3fff24fa,
    0xffffffff,0xffffff95,0x64bfffff,0x24b8dd8b,0x82fe45fe,0x43ff06ff,
    0x217512fb,0x2ffa85e8,0x44003ff5,0xfea805fe,0x7ecc2dff,0x5c00beff,
    0x5413f25f,0x201bea6f,0x7fd404fb,0x1005ff95,0x3ea00155,0xf0203fcd,
    0x3ea37ccd,0x40fd1795,0x00002fd8,0xff97ee00,0x3a7fffff,0x543fd45f,
    0x47f987ff,0xffffdffc,0xfc80efee,0x4003ff9e,0xf9100efd,0x88019fff,
    0x01cfffeb,0x17fc4bfa,0x7fc4bfe2,0x804fb801,0x02fffffa,0x33333333,
    0x3f603333,0xfb006f8a,0x3e21fd47,0xff507e86,0x80000005,0x7fe4c5fb,
    0x7c27ec1b,0x0fffe41f,0x3ff213ee,0x0efffddf,0x0bfffd10,0x980ffd80,
    0x002dfffd,0x3bfffb50,0x3ee1ff50,0xfd97f60f,0xc9999885,0x809999df,
    0x3e03fffa,0xffffffff,0x3fcc1fff,0x7f4405fb,0x3e227d44,0xb7107e85,
    0x0000007f,0x3ba22fdc,0x417dc0ee,0x7e7f43fd,0x7dc0ff44,0x01bf221e,
    0x4001fff3,0xff901ffc,0x22000039,0xff885ffc,0x3e27ff13,0x905ff13f,
    0xffffffff,0xff90bfff,0x7fffc0bf,0xffffffff,0xdf51fe41,0x260bfe60,
    0x7427d46f,0x2a67e807,0xaaaaaaaa,0x7dc001aa,0x2fccfec5,0x97ea07ea,
    0x226f9ef8,0x105fb07f,0x7fcc01ff,0x5ff5001f,0x05fffe40,0x3fae2000,
    0x326fc85f,0xf73fdc5f,0xfffff90d,0x8bffffff,0x05ffcffc,0x0ff88000,
    0x3be60ffc,0x2a73f601,0x267e81fe,0xfc9be24e,0xffffffff,0x7dc005ff,
    0x00792545,0x4fa87fc4,0x217ea1ff,0x0bf607f8,0x806fffe8,0xda803ffa,
    0x4001dfff,0x82efffc9,0x1ff30ff8,0x1ff47fb0,0x32027dc0,0x0bff52ff,
    0xb8039910,0x225fb85f,0x0eeeeeff,0x0fffffa2,0x337fa3f4,0x3bbae3ff,
    0xeeeeeeee,0x0164c004,0xc97f4000,0x3f65fb1f,0x3a01ff02,0xd1df902f,
    0x2ffcc09f,0x3fff2600,0x3faa00be,0x3f601dff,0x7c40bf63,0x801ff10f,
    0x3ff204fb,0x202ffd42,0x7fc02ff8,0xd70ff882,0x01dddddd,0x36403795,
    0x0073b6e2,0x00000000,0xff4fb800,0x00ffa7dc,0x0ff309fb,0x7fd47fea,
    0x005fe881,0x3fffae20,0xffff911c,0x25f98017,0x2fd405fa,0x4fb809f7,
    0x7d40fe60,0x017fc402,0x00988066,0x00000000,0x00000000,0x3df30000,
    0x7d77ccbf,0x233fea05,0xf885feb8,0x107fe44f,0x00001dfd,0x7e57ff6a,
    0x3fa002ef,0x32003fa0,0xb807f61f,0x0200404f,0x40000000,0x9e5c2dc9,
    0x887954ca,0x54000201,0x439950cc,0x219914ca,0xd00004ca,0xdff87f9f,
    0xfffd102f,0x85ffffff,0x5ff886fd,0x3ffbbfee,0x002fffff,0x01ccae44,
    0x00000000,0x00013ee0,0x00000000,0xd97f37ee,0x3f2ff95f,0x7fe43746,
    0x22c40bef,0x2ff43ff8,0x43fe2ff9,0x900006fb,0xffd83fff,0xb5dfd00f,
    0x1ff97bff,0x7d407fea,0xfffff72f,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x3e63e800,0x5ff2bfb0,0x33fe26fc,0xffffffd0,0xb8ffb7bf,
    0x90ff885f,0x5c3fe2ff,0xf300006f,0x0dff70ff,0x790206c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x740f9800,0x9ff2bfb3,0xdd4fb85b,
    0xffffb735,0x00ed8dff,0x000007d3,0x885ff800,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1f88be00,0xd9bea9f9,0x27fb5314,
    0x7bdb7103,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x4fea6eab,0x323f74f9,0x00005fff,0x77777771,
    0x57777777,0x2eeeeee2,0xbbbbbbbb,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c400000,0x47e60cfe,0x4c4133f8,0x7d400001,
    0xffffffff,0xf55fffff,0xffffffff,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44400000,0x88888888,
    0x22208888,0x88888888,0x00008888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_29_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,1,1,2,2,1,1,1,1,1,-1,1,1,2,2,2,1,2,2,0,1,
1,1,1,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,1,0,0,0,1,1,0,0,-1,1,0,0,0,2,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,1,1,1,1,1,1,2,1,2,2,2,2,0,2,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_29_latin1_y[224]={ 23,4,4,4,2,4,4,4,4,4,4,7,20,15,
20,4,4,4,4,4,4,4,4,4,4,4,9,9,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,26,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,9,9,9,9,9,9,4,4,4,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,9,4,4,7,4,
4,4,4,4,4,10,9,15,4,1,4,7,4,4,4,9,4,12,22,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,8,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_29_latin1_w[224]={ 0,4,7,15,14,21,16,3,7,7,10,13,3,8,
3,8,13,8,14,13,14,13,14,13,13,13,3,3,13,13,13,13,25,19,15,17,16,14,13,18,15,3,11,17,
13,19,16,19,15,19,17,15,16,15,18,25,18,18,16,6,8,6,12,16,5,14,13,12,13,14,9,13,12,4,
6,12,3,19,12,14,13,13,8,12,8,12,13,19,13,13,13,9,3,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,13,14,14,16,
3,13,8,20,10,12,13,8,20,16,8,14,9,9,6,11,15,3,6,6,9,12,21,21,22,12,19,19,19,19,
19,19,25,17,14,14,14,14,6,6,9,8,19,16,19,19,19,19,19,12,19,15,15,15,15,18,15,15,14,14,
14,14,14,14,23,12,14,14,14,14,6,6,9,8,14,12,14,14,14,14,14,14,14,12,12,12,12,13,13,13,
 };
static unsigned short stb__arial_29_latin1_h[224]={ 0,19,7,20,24,20,20,7,25,25,9,13,7,3,
3,20,20,19,19,20,19,20,20,19,20,20,14,18,14,9,14,19,25,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,21,19,20,19,20,19,19,19,19,19,25,20,25,11,3,4,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,20,15,14,14,14,20,14,25,25,25,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,25,20,14,19,
25,25,3,20,10,13,9,3,20,3,8,16,10,10,4,20,25,4,7,10,10,13,20,20,20,20,24,24,24,23,
23,23,19,25,24,24,24,23,24,24,24,23,19,23,25,25,25,24,24,12,21,25,25,25,24,24,19,20,20,20,
20,20,20,21,15,20,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,11,17,20,20,20,20,25,25,25,
 };
static unsigned short stb__arial_29_latin1_s[224]={ 253,245,182,89,220,23,45,249,43,67,238,
118,190,245,229,144,130,110,119,167,123,195,230,80,1,36,250,250,64,210,78,
1,98,231,74,187,20,138,29,50,234,251,219,227,15,43,63,144,94,153,1,
99,19,69,215,189,170,151,134,84,164,91,160,233,223,105,85,120,130,159,217,
205,188,183,194,157,153,211,189,174,181,153,202,133,245,146,231,1,36,173,50,
215,225,75,201,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,
51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,253,249,1,
115,21,37,249,201,233,15,245,105,224,245,209,216,173,66,173,200,216,118,162,
250,194,193,183,92,1,227,204,191,106,170,51,74,54,34,97,124,190,91,205,
103,163,146,153,94,54,17,229,142,15,126,71,132,133,51,178,35,1,235,201,
173,189,204,219,234,1,118,81,16,29,44,59,74,90,249,10,1,62,170,105,
103,133,148,163,145,36,178,77,120,90,29,15,1, };
static unsigned short stb__arial_29_latin1_t[224]={ 1,141,210,78,27,99,99,199,1,1,199,
199,210,192,210,99,99,161,161,99,141,99,99,161,120,120,160,141,199,199,199,
161,1,120,141,120,141,141,161,120,161,120,120,141,161,161,161,120,161,53,181,
120,181,120,161,161,161,161,161,1,120,1,199,215,210,181,120,181,120,181,141,
120,141,141,1,141,141,181,181,181,99,99,181,181,99,181,181,201,199,120,199,
1,1,1,210,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,1,53,27,
120,201,141,1,1,210,120,181,199,199,192,99,215,210,181,199,199,210,99,1,
175,210,199,199,199,99,78,78,78,27,27,27,53,53,53,141,1,27,27,27,
53,27,27,27,53,141,53,1,1,27,27,27,199,53,1,1,27,53,27,141,
53,53,53,53,53,78,53,181,78,78,78,78,78,141,78,141,141,99,141,78,
99,78,78,78,199,181,78,99,78,99,1,1,1, };
static unsigned short stb__arial_29_latin1_a[224]={ 115,115,147,231,231,369,277,79,
138,138,162,243,115,138,115,115,231,231,231,231,231,231,231,231,
231,231,115,115,243,243,243,231,422,277,277,300,300,277,254,323,
300,115,208,277,231,346,300,323,277,323,300,277,254,300,277,392,
277,277,254,115,115,115,195,231,138,231,231,208,231,231,115,231,
231,92,92,208,92,346,231,231,231,231,138,208,115,231,208,300,
208,208,208,139,108,139,243,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,115,138,231,231,231,231,108,231,
138,306,154,231,243,138,306,229,166,228,138,138,138,239,223,115,
138,138,152,231,346,346,346,254,277,277,277,277,277,277,415,300,
277,277,277,277,115,115,115,115,300,300,323,323,323,323,323,243,
323,300,300,300,300,277,277,254,231,231,231,231,231,231,369,208,
231,231,231,231,115,115,115,115,231,231,231,231,231,231,231,228,
254,231,231,231,231,208,231,208, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_29_latin1_BITMAP_HEIGHT or STB_FONT_arial_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_29_latin1(stb_fontchar font[STB_FONT_arial_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_29_latin1_BITMAP_HEIGHT][STB_FONT_arial_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_29_latin1_s[i] + stb__arial_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_29_latin1_t[i] + stb__arial_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_29_latin1_x[i];
            font[i].y0 = stb__arial_29_latin1_y[i];
            font[i].x1 = stb__arial_29_latin1_x[i] + stb__arial_29_latin1_w[i];
            font[i].y1 = stb__arial_29_latin1_y[i] + stb__arial_29_latin1_h[i];
            font[i].advance_int = (stb__arial_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_29_latin1_s[i] + stb__arial_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_29_latin1_t[i] + stb__arial_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_29_latin1_x[i] + stb__arial_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_29_latin1_y[i] + stb__arial_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_29_latin1_LINE_SPACING
#endif

