// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_32_latin1_BITMAP_HEIGHT        258
#define STB_FONT_arial_32_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_32_latin1_FIRST_CHAR            32
#define STB_FONT_arial_32_latin1_NUM_CHARS            224

#define STB_FONT_arial_32_latin1_LINE_SPACING          21

static unsigned int stb__arial_32_latin1_pixels[]={
    0x33264ca8,0x003d7000,0x26c07993,0x701cc880,0x26039bdb,0x407bd34e,
    0x2a2004e9,0x1cceeecb,0x2f6cc000,0x40399999,0x00000ccc,0x26005995,
    0x8004cccc,0x36e6000a,0x88000bce,0xcb8004cc,0x40f75c0c,0x07fea7fc,
    0x6c017e20,0x07ee01ff,0xd10bfe20,0x09ffffff,0x3ffeadf5,0x100df506,
    0xfffffff9,0x0007dfff,0x7fcdfff5,0x3ea03fff,0xf980004f,0xfb802fff,
    0x2000ffff,0x7ec403f9,0xcfffffff,0x1ffdc000,0x917fe600,0x4ff903ff,
    0xfc801ffa,0x02ff9800,0xff8806e8,0x5d67ff42,0xb7d43ffe,0xa82ffcb8,
    0x7ffe406f,0xedb99abe,0x2000efff,0x3fe2cefe,0x7dc01ccd,0x3a20000f,
    0x400ffadf,0x00ffdcc9,0xfa803ee0,0xfeccefff,0x64000eff,0xffb8007f,
    0x2207ff20,0x20066219,0x9fb004f8,0x200bee00,0x0bfe60aa,0x0df51ffe,
    0x0df50bfb,0x400e7fec,0x801fffa8,0x3ff82ff8,0x0027ec00,0x3f61ffb0,
    0x1ff5000e,0xf3037400,0xf93037ff,0x7fd000df,0x009f9000,0x0fec0000,
    0x7c002a80,0x0ff70006,0x6fa87fee,0x6fa85fb8,0x0005ffb0,0x9801ffb1,
    0x03ff81ff,0x20000980,0x02662099,0x8007fd40,0xffd104f8,0x07ffd007,
    0x00009880,0x00000033,0x00001be6,0x30007f90,0x502605ff,0x50df70df,
    0x01df70df,0x02ff4004,0x1ffc1fe6,0x9300265c,0xdca88039,0x2a001cde,
    0xfb9800ff,0x00bff701,0x2201bfe6,0x01cdedca,0x3e839930,0xd7007ba6,
    0xd307fb0b,0x05eb803d,0x3a201ff3,0x017ff41e,0x6fb86fa8,0x7fc46fa8,
    0x2dffc981,0x3fe23dd3,0x7c1fe601,0x007fd83f,0xfc80bfea,0xefffffff,
    0x80ffa802,0x2ffffdb8,0x4001ffd0,0x7fe401bb,0x2effffff,0xf117fd40,
    0x7c04ff8b,0x80ffcc4f,0x27fc04ff,0x3e207ff0,0x27ffc42f,0x7dc37d40,
    0x7ec6fa86,0xfffffc83,0x320ffabf,0x41fea05f,0x07fd83ff,0x260bfea0,
    0xebcefffe,0x5403ffff,0x7ff440ff,0x4c3fffef,0x400005ff,0xbcefffe9,
    0x203ffffe,0x17e22ffa,0x7fcc0ff9,0xf9037d41,0x00ffcc0f,0x3fe209fb,
    0x77fffdc2,0x2a1bea01,0x266fa86f,0x0cffb87f,0xa8dfdfd7,0x41fea07f,
    0x07fd83ff,0xf10bfea0,0xf51019ff,0x7fd409ff,0xf997ff40,0x3fea2ffe,
    0x3e200004,0xfa880cff,0x5ff504ff,0x3fe637cc,0xf90df902,0x817fcc0b,
    0x37e406fc,0x3f62ff88,0x0cfffd8d,0x7fa86fa8,0x13f26fa8,0xff307ff3,
    0x00ff889f,0x0ffe0ff7,0xfa801ff6,0x017fec2f,0xa80fffcc,0x87ff20ff,
    0x2e5ff9fc,0x200002ff,0xf9802ffd,0x2ffa81ff,0x17fa1be6,0x3f60ffe2,
    0x442ff404,0x3fdc03ff,0xdf52ff88,0x41ffffa8,0x1ff886fa,0x83fd37d4,
    0x3ffa05ff,0xf901fe83,0x360ffe09,0x3fea007f,0x8013fea2,0xff506ffa,
    0x5ba27f41,0x07fee4ea,0x27fd4000,0x50dff500,0x43fd45ff,0x7fd40ffb,
    0x5c04fe80,0x07fd40ff,0x2203fea0,0x107fb2ff,0x4c43fffb,0xfa8bfb00,
    0xff98ff16,0x207ff201,0x1ff981fe,0xffb07ff0,0xd17fd400,0xfd8001ff,
    0x221ff507,0x80fe22ff,0x00002ffa,0xd8001ffd,0x22ffa87f,0x3ff887fa,
    0x3ff82fec,0x361ffc40,0x1ff9805f,0xbfb2ff88,0x007ffd40,0x3ea7ffb0,
    0x6fb8df36,0x7c43fdc0,0x0fff620f,0x7fd83ff8,0x44bfea00,0xfb8004ff,
    0x30ffa81f,0x00fd43ff,0x00007ff3,0x70009ff1,0x2ffa83ff,0x3f603fee,
    0x260bfe25,0x5fd802ff,0x2200bfe2,0x2ff883ff,0x7d403ff7,0xaff4002f,
    0xd8bf56fa,0x437ec05f,0x1ffcc6fa,0x3f60ffe0,0x4bfea007,0x98003ff9,
    0x0ffa83ff,0x03ec1ff7,0x40002ffc,0x98003ff9,0x17fd43ff,0xff501ff7,
    0x7c41fee1,0x0ffa803f,0x3e600ff7,0x12ff882f,0x7fc05ffd,0x53ff6003,
    0xf89f56fa,0x427f403f,0x7ffc45fc,0x360ffe01,0x3fea007f,0x0005ff52,
    0x3fea17fe,0x27c3ff30,0x20037f40,0x5ff51dfa,0x517fe000,0x0ffe45ff,
    0x09fd3ff8,0x7c013fe2,0x2009fd3f,0xff882ffa,0x037ffe62,0x7e4007fe,
    0x7cdbea0e,0xf5027fc5,0x01ff985f,0x3fe03ff5,0x2007fd83,0x3ff72ffa,
    0x21bfa000,0x5ff10ffa,0x41350be6,0x36001ffc,0x03ff70ff,0xf51bfa00,
    0x80ffe45f,0x01ff8efc,0x7e4017fe,0x7001ff8e,0x5ff103ff,0x23fffd88,
    0x41bea6fb,0xf37d41ff,0x3a07fd8d,0x13fa20ff,0x3fe09fb0,0x2007fd83,
    0x3ff72ffa,0x21bfa000,0x4ffa0ffa,0x87fee0fc,0xa800fff9,0x07fee5ff,
    0x2a37f400,0x0bff62ff,0x037e7fcc,0x7cc01bfa,0x32006fcf,0x2ff880ff,
    0xfbdfff70,0x5437d43d,0x3a6fa87f,0x640ffdc7,0x077f47ff,0x7fc1bee0,
    0x2007fd83,0x5ff32ffa,0x21bfe000,0x3ff20ffa,0x437f46e8,0x7cc06ffc,
    0x0bfe61ff,0x2a37fc00,0x0bff62ff,0x403fffe8,0x3fa007fb,0x3fa003ff,
    0x405ff105,0xa85fffd8,0xa86fb86f,0xe88ff26f,0xffda8bff,0x1effcbff,
    0xff07fa80,0x400ff907,0x0ffe1ffb,0x217fe200,0x3fe60ffa,0x5ff933fe,
    0x59dffd10,0x7fff9311,0x10007ff0,0x2ffa8bff,0xfb80bff6,0x7fcc00ff,
    0x1fff7001,0x881ffc00,0xffb802ff,0x5c37d42f,0x2a6fa86f,0x7fffcc6f,
    0xffffcaff,0xff5000df,0x3f20ffe0,0x3ff7000f,0x5c002ff4,0x0ffa82ff,
    0x7f77ff44,0x3fa204ff,0xffffffff,0x00bfd03f,0xfa85ff70,0x80bff62f,
    0xff005ff8,0x17fe2007,0x100ff980,0x3e6005ff,0x21bea0ff,0x26fa86fb,
    0x764c2fe8,0xbffb10ce,0xf3009885,0x2e0ffe0f,0xff9001ff,0x0017fe41,
    0xf501fff1,0xffff101f,0x36a005df,0x0cffffff,0x800bff20,0x7d40fff8,
    0x80732e2f,0xf7002ff8,0x0bfe200d,0x2205fd80,0x406622ff,0x1bea2ff9,
    0x1bea1bee,0x00003ff3,0x7cc0bfee,0xf307ff07,0xdff100bf,0x2006ff98,
    0xff504ffc,0x153bf101,0x04ff4000,0x006ff980,0x3ea13ff2,0x6fb8002f,
    0x4017f400,0x3e2006fb,0x8bfe200f,0x93fe06fe,0x86fc86fa,0x2ffb86fa,
    0x27fe4000,0xff01ff30,0x00fffa07,0xff707ff9,0x6ffc801d,0x2a03fea0,
    0xf880002f,0x3ee000bf,0x7fe400ef,0x4c5ff506,0x7fd101bb,0x406fa800,
    0x32003fe8,0x0ffcc04f,0xff507ff9,0x7f437d45,0xfb06fa85,0xe88003bf,
    0x7fc405ff,0xd103ff81,0x73337bff,0x7ec09ffd,0xd5309bff,0x7d403fff,
    0x000fc80f,0x00df9300,0x09bfffd8,0x03fffd53,0xffa8bfea,0x3ffaee62,
    0x41fd8000,0x00ffebb9,0x2601ff10,0x3e20ffd9,0xffb99cff,0xb98b7d47,
    0x06fa83ff,0x33bfffaa,0xeb99889b,0xfd002eff,0x56ffc15d,0x7fffcc1a,
    0x05ffffff,0xffffffb8,0x880effff,0xf80ffcaa,0x7dc00005,0x7fdc000f,
    0xffffffff,0x8bfea00e,0x3fea2ffa,0xf30001ff,0x1ffffa8b,0xf80bee00,
    0xff984fff,0x41efffff,0xdfff56fa,0x700df501,0xffffffff,0x007fffff,
    0x3e6fffb8,0xc983ffff,0x3effffff,0x3fff2200,0x2e01bdff,0x4c0fffff,
    0xec80003f,0x10003fff,0x7bfffff9,0x45ff5003,0x3fa60aa8,0x7e40002d,
    0x00b7fa61,0x7f440df0,0x3fb2204e,0x6fa80bdf,0x2a01bff5,0x32aa006f,
    0x9bcdefed,0xdfd50000,0x00e66664,0x00026a66,0x4c003310,0xb884cccc,
    0xdec80000,0x3100001b,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x99003cc9,0xba980003,0xcccccccc,0x03997001,0x03997000,
    0x473b2200,0x930005f8,0x20000079,0x80001ccb,0x40003cc9,0x40000ccc,
    0xb8002cc9,0x350001cc,0x01665400,0x07ffff10,0x0002ff88,0xffffffd5,
    0x007fffff,0x0000dff1,0x4000bff3,0xfffffffe,0x3ff60002,0x7c400001,
    0xf880005f,0x20003fff,0x40004ffa,0x5c000ffe,0x8000ffff,0xfff5004e,
    0x3bf6003f,0x3e201ffa,0xffc8002f,0xffffffff,0xfc803fff,0xfd80000f,
    0x9f30000e,0x0013ff26,0x0009fd10,0x000ffc80,0xffaefe80,0x3ff20001,
    0x5ff30000,0xdbff9800,0xffd7006f,0x3e2017df,0x400efccf,0x1ff91ffc,
    0x000bfe20,0xfffffff3,0xf1003fe8,0xf100003f,0x4c40001f,0x10000080,
    0x200001ff,0x80001ff8,0x1ff91ffc,0x01fec000,0x4003fd80,0x9ff15fe8,
    0xfffffe80,0x6fe82fff,0x133017fa,0xff100998,0xfffc8005,0x1ff47fff,
    0x00009880,0x00001310,0x39bdb951,0x02620000,0x004c4000,0x4c099800,
    0x04c00009,0x80019800,0x06620998,0xce9dffc8,0x2621fffa,0x97066209,
    0x8e64c009,0x20042ff8,0x7ffffffe,0x132e1ff4,0x401cc980,0x1cdedca8,
    0xffffc800,0x002effff,0x00079910,0x001e6440,0x00799100,0x6666665c,
    0x4ccccccc,0x3333332e,0x4ccccccc,0x3333332e,0x4ccccccc,0x34e93fe2,
    0x332609ff,0x400ffb01,0x5ff12ffa,0x039dffb3,0xffffffff,0x3fec3fe8,
    0x405ff500,0xfffffffc,0xfe9802ef,0xffebceff,0xfb8003ff,0x700000ff,
    0x00001fff,0x4003ffee,0xfffffffd,0x0fffffff,0xfffffffb,0x1fffffff,
    0x3ffffff6,0xffffffff,0x2743ff50,0x3fea0dfd,0x400ffb02,0xbff12ffa,
    0x5fffdfff,0xffffffd8,0x3f61ff47,0x0bfea007,0x33bfffa6,0x03ffffeb,
    0x2033ffe2,0x004fffa8,0x0027fff4,0x04fffe80,0x9fffd000,0x3ffff600,
    0xffffffff,0xffffb0ff,0xffffffff,0x3fff61ff,0xffffffff,0x1ff70fff,
    0x54011274,0x0ffb02ff,0xf897fd40,0x3f622fff,0x3ffff21f,0x21ff47ff,
    0x3ea007fd,0x67ffc42f,0x4fffa880,0x3005ffb0,0x26003fff,0x0007fbff,
    0x07fbff98,0xfbff9800,0x00ffb007,0x0003fec0,0x54000ffb,0x8013a2ff,
    0xffb02ffa,0x897fd400,0xdfd02fff,0x7fffffc4,0x3f61ff47,0x0bfea007,
    0xf3005ffb,0x4ffa83ff,0x01bfea00,0x17fc6fec,0x237f6000,0x6c0002ff,
    0x802ff8df,0x360007fd,0x3f60007f,0x3fe20007,0x54009d0d,0x0ffb02ff,
    0xf897fd40,0x87fea05f,0x47fffff9,0x03fec3fe,0x7d45ff50,0x3fea004f,
    0x0007ff46,0x3e201ff6,0x000bfb3f,0x5fd9ffc4,0x4ffe2000,0x7fd805fd,
    0x01ff6000,0x0007fd80,0x275fffe4,0x205ff500,0x3ea007fd,0x807ff12f,
    0x7f6442ff,0x361ff47f,0x3fea007f,0x0003ffa2,0x27fc4ffb,0x00ffdc00,
    0x7fdc3fee,0x1ff70000,0x40003fee,0x1ff70ffb,0x0007fd80,0xd8001ff6,
    0xfc80007f,0x801bffff,0xffb02ffa,0x897fd400,0x27f402ff,0x3fe8ff50,
    0xf5003fec,0x013fe25f,0x7cc7fee0,0xff98003f,0xf12ff403,0x3fa0009f,
    0x0013fe25,0x9ff12ff4,0x0007fd80,0xd8001ff6,0xb300007f,0x01dfffff,
    0xfd817fd4,0x4bfea007,0x7f401ff8,0xfd1fea05,0x2007fd87,0x7ff32ffa,
    0x27ff3000,0xf0002ffa,0x17fcc0bf,0x26001ff6,0x03fec2ff,0x3617fcc0,
    0x03fec07f,0x000ffb00,0x00003fec,0x3ffffba2,0x205ff501,0x3ea007fd,
    0x803ff12f,0x1fea04fe,0x07fd87fd,0x7d4bfea0,0xbff0002f,0x40007fee,
    0x1ff206fe,0x9000bfea,0x05ff50ff,0xfa87fc80,0x3bff602f,0xeeeeeeee,
    0x3bff61ee,0xeeeeeeee,0x3bff61ee,0xeeeeeeee,0x8ce801ee,0xff506ffd,
    0x801ff605,0x5ff12ffa,0x2a02ff80,0x361ff47f,0x3fea007f,0x0003ff72,
    0x0ffddbfa,0x206fe800,0x0dff04ff,0xff04ff80,0x04ff800d,0x7fec0dff,
    0xffffffff,0x3ff62fff,0xffffffff,0x3ff62fff,0xffffffff,0x4e802fff,
    0x3ea07ff2,0x00ffb02f,0xff897fd4,0x803fea04,0x21ff47fa,0x3ea007fd,
    0x003ff72f,0x7fcdbfa0,0x0dff0002,0x7e407fea,0x3ff5001f,0x4007ff20,
    0xff901ffa,0x333ff603,0xcccccccc,0x333ff61c,0xcccccccc,0x333ff61c,
    0xcccccccc,0x3274081c,0x5ff507ff,0xa801ff60,0x1fff12ff,0xf501bfa0,
    0x7ec3fe8f,0x4bfea007,0xf0002ff9,0x001ffcdf,0xfd82ffc4,0xcaaaaaaf,
    0xffb004ff,0xf9555555,0x3ff6009f,0xfcaaaaaa,0x00ffb04f,0x0003fec0,
    0x6c000ffb,0xff12745f,0x205ff507,0x3ee007fc,0x3dfff11f,0x200ffec4,
    0x21ff47fa,0x3ee007fc,0x000ffe1f,0x5fe97fe2,0x82ffb800,0xfffffff8,
    0x807fffff,0xfffffff8,0x807fffff,0xfffffff8,0xb07fffff,0x7ec000ff,
    0x1ff60007,0x20ffc800,0x20bfea4e,0xff902ffa,0x47fee001,0xeeffeff8,
    0xfa802fff,0x3f21ff47,0x3ff7000f,0x5c002ff4,0x0bff22ff,0x80fff880,
    0xeeeeeffb,0x02ffeeee,0x77777fdc,0x2ffeeeee,0x7777fdc0,0xffeeeeee,
    0x0007fd82,0xd8001ff6,0x3ea0007f,0xffd93a3f,0x702ffa80,0x3f2003ff,
    0xf55ff10f,0x2005bfff,0x21ff47fa,0xf9001ffb,0x017fe41f,0x4c1fff10,
    0x3f2006ff,0x00dfd04f,0xfe80dff1,0x06ff8806,0x7c4037f4,0x007fd86f,
    0x8001ff60,0x7c0007fd,0xd8ce8cff,0x5ff504ff,0x2017fe60,0x3fe26ff8,
    0x2a000622,0x261ff47f,0xff8805ff,0x0037fcc6,0xff709ff9,0x6ffc801d,
    0x2007ff30,0xff301ffd,0x07ff6007,0xd801ffcc,0x03fec1ff,0x000ffb00,
    0x20003fec,0xffffffe8,0x3fea06ff,0x00fffa02,0x7fc47ff9,0x7fa80002,
    0x7ff41ff4,0x41ffe403,0x6400effb,0x3ff606ff,0xfd5309bf,0x3ff203ff,
    0x09ff3000,0x4c003ff2,0x1ff904ff,0xb13fe600,0x7ec000ff,0x1ff60007,
    0x3ff62000,0x5403ffff,0x3fa202ff,0xeb999bdf,0x17fc44ff,0x23fd4000,
    0xffe883fe,0xfeb999bd,0x3fff604f,0xffd5309b,0xfffb803f,0xefffffff,
    0x0017fe00,0xbff01ffd,0x80ffe800,0x7f4005ff,0x2abff60f,0xaaaaaaaa,
    0x55ffb1aa,0x55555555,0x2bff6355,0xaaaaaaaa,0x3e601aaa,0x5ff5001d,
    0xfffff980,0x885fffff,0xa80002ff,0x981ff47f,0xffffffff,0xffb805ff,
    0xffffffff,0xff91000e,0x8037bfff,0x5c002ffa,0x17fd43ff,0x50ffee00,
    0xfb8005ff,0x3ffff63f,0xffffffff,0xffffb4ff,0xffffffff,0x3fff69ff,
    0xffffffff,0x27404fff,0x005ff500,0xffffff93,0x0bfe207d,0xd1fea000,
    0x7fe4c07f,0x003effff,0x3fffff22,0x220001bd,0x3fec0019,0x237fc400,
    0xf88007fd,0x003fec6f,0xffb37fc4,0xffffffff,0x3f69ffff,0xffffffff,
    0xfb4fffff,0xffffffff,0x809fffff,0x3fea004e,0x4d4cc002,0x001cc800,
    0x65c4c980,0x13533001,0x01988000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0f2e2cc8,
    0x664c9950,0x6e440000,0x6f540002,0x9003f90b,0x001e5c59,0x337bb2e6,
    0x00020001,0x00000010,0x51e5c000,0x95000099,0x4ca80059,0x93003326,
    0x37ae0079,0x7c01fb0a,0xb01bf64f,0x007fdcff,0x07a6fa00,0x7fffd400,
    0xff006fef,0x9802ff49,0xfffffffd,0x764001df,0x3f6a002e,0x06e98dff,
    0x379db710,0x7ec00bd0,0x0001ff26,0x90003bfa,0x007fdcff,0x2e007ff6,
    0x5fefffff,0xdfb27fc0,0x3ee7fd80,0x9a20000f,0x1fb0004a,0x005dfd71,
    0x05fe93fe,0xcdffffa8,0x03ffffec,0x003a2b30,0x3ffffff2,0x36207fbf,
    0xffffffff,0x400bfb1d,0x01ff26fd,0x003ff500,0x7fdcff90,0x00bfe600,
    0x7f5c47f4,0x104cc01d,0x21988013,0xe8000198,0x26000591,0x4cc00080,
    0xf5002620,0x3ee207ff,0x23b803ff,0x67fdc01d,0x0ffff710,0x337fffea,
    0xfefffedb,0x104c4005,0xfe800033,0x43310003,0x27e40198,0x00101300,
    0x4001cc98,0x00003cc8,0xb801ffee,0x991000cc,0x333332e3,0xcccccccc,
    0x00fffc44,0x2007ffd4,0x4c06aae8,0xfff704ff,0x409fff30,0x000efffb,
    0x66f6e544,0x00cc0001,0x4c009970,0x000661cc,0x4001e644,0x5c002ffa,
    0x00000fff,0x2001fff7,0xf3004ffe,0x3ffff65f,0xffffffff,0x0fff20ff,
    0x804ffc80,0x7dc01cda,0x21ffa00f,0xfb801ffe,0x3f2000ff,0xefffffff,
    0x00399702,0xffb3cc98,0x317fd400,0xfb800399,0x7d4000ff,0x7ff4002f,
    0xfd00004f,0x3fa009ff,0xff9801ff,0xffffffb2,0xffffffff,0x40037f41,
    0x011006fe,0xfc80bf90,0x4027fdc7,0x805ffffa,0xbcefffe9,0x983ffffe,
    0x3a000fff,0x00ffb1ff,0xff517fd4,0xfffe8005,0x17fd4004,0xff7ff300,
    0x7ff30000,0x3ffa00ff,0x7fcc00ef,0x8000ffb2,0xfc8003ff,0xfffb700f,
    0x13fa09df,0xffe8ff70,0x74ffcc00,0x3fe201ff,0xffa880cf,0x05ffc84f,
    0x7ec7ff90,0x8bfea007,0x26002ffa,0x4007fbff,0x36002ffa,0x002ff8df,
    0x7fc6fec0,0xffffe802,0xd97fcc04,0x3e60007f,0xffa8002f,0x7fffec42,
    0x7c0effff,0x33fd403f,0xff8809ff,0x6c07ff92,0xff9802ff,0x02ffe81f,
    0x3f62ffcc,0x8bfea007,0x36002ffa,0x002ff8df,0x4400bfea,0x00bfb3ff,
    0xfd9ffc40,0xfddfe805,0x4bfe601f,0x2e0007fd,0xf98001ff,0x8dffec4f,
    0x7c3ffda8,0x53fdc04f,0x7f4407ff,0x5413fea3,0x3ea004ff,0x0eff986f,
    0xfb03ffa0,0x17fd400f,0x22005ff5,0x00bfb3ff,0xb8017fd4,0x01ff70ff,
    0x5c3fee00,0x6ff400ff,0xf300eff8,0x001ff65f,0x0000ffd8,0x27fc4bff,
    0x7ec6ff88,0xf73fe405,0x227f403f,0xffd05ff8,0x07fd8001,0x3ee09ff9,
    0x007fd83f,0xffa8bfea,0x21ff7002,0xf5000ffb,0x97fa005f,0xd0004ff8,
    0x027fc4bf,0x27fdd7fa,0xffb2ff98,0x07fe4000,0x12ffc400,0x37ec0197,
    0xfe803ff2,0x6c03ff27,0x10dff04f,0xf70009ff,0x07ffa03f,0x3f60bff3,
    0x8bfea007,0xfd002ffa,0x8027fc4b,0xf9802ffa,0x003fec2f,0x3f617fcc,
    0xfd2ff407,0x25ff305f,0x2a0007fd,0xf98001ff,0x7ecc003f,0xb82ffc46,
    0x07ff27ff,0x6ff817f2,0x8003ff98,0xff303ff9,0xb00ffe8d,0x7fd400ff,
    0x200bfea2,0x3fec2ff9,0x802ffa80,0x2ffa87fc,0x543fe400,0x97fa02ff,
    0x7cc0eff8,0xdddffb2f,0xdddddddd,0x0017fc43,0xa8817fd4,0x6ffffecb,
    0x98adffb8,0x3ee7fffc,0x8077dc1f,0xffa85ff8,0x0bff0002,0xffb9ffe4,
    0x801ff602,0x3fea2ffa,0xa87fc802,0xffa802ff,0xf04ff802,0x4ff800df,
    0x7f40dff0,0x2627fdc5,0xffffb2ff,0xffffffff,0x004ff85f,0x6441ffc8,
    0xedffffff,0xffff706f,0x54ff9bff,0x03bea2ff,0xfb84ff98,0xdfd0001f,
    0xff9ffe80,0x003fec04,0x7fd45ff5,0xf04ff802,0x5ff500df,0x901ffa80,
    0x3ea003ff,0x03ff901f,0x3ffa17fa,0x7ecbfe62,0xcccccccf,0x7ec1cccc,
    0xf883301f,0x77ff446f,0x81bf21bd,0xf93dfec9,0xfaaffc4f,0x17fdc00f,
    0x8000ffdc,0x7fcc06fe,0x7ec00eff,0x8bfea007,0x7d402ffa,0x03ff901f,
    0x6c02ffa8,0xaaaaaaff,0xfb004ffc,0x9555555f,0x17fa09ff,0x7cc3bfe2,
    0x000ffb2f,0xf905ffa8,0x907ffa3b,0x3fec07ff,0x646fc800,0x401ffaff,
    0xff307ff8,0x1bfe0005,0x007fff20,0xfa801ff6,0x00bfea2f,0x55555ffb,
    0xa809ff95,0x3fe202ff,0xffffffff,0xff8807ff,0xffffffff,0x0bfd07ff,
    0x7fcd3fee,0x0000ffb2,0xea81bff9,0xe84ffeff,0x23ffc06f,0x2ff403ca,
    0x00bfffe2,0xff80fff2,0x5ff88003,0x200bff00,0x3ee007fc,0x80bfea1f,
    0xfffffff8,0x407fffff,0x3ee02ffa,0xeeeeeeef,0x5c02ffee,0xeeeeeeff,
    0xe82ffeee,0x2bffa05f,0x0ffb2ff9,0xfffd1000,0x3ff66137,0x40dfd07f,
    0x7fd47ffb,0x905ff702,0xfc801dff,0x02ff406f,0x8017fdc0,0xff9005ff,
    0x87fee001,0x3ee02ffa,0xeeeeeeef,0x2a02ffee,0x1bfa02ff,0xd01bfe20,
    0xdff100df,0x7c40bfd0,0xfb2ffaff,0x7e40000f,0xffffffff,0x7ec1dfff,
    0x7ffdc43f,0x4df7fc47,0x885ffca8,0x09bffffe,0x01dffd73,0x2002ffc8,
    0xf000fff8,0x3fee00bf,0x41ff9001,0x3fa02ffa,0x06ff8806,0x7cc0bfea,
    0x3ffb003f,0x400ffe60,0x2ff41ffd,0x3ffbfee0,0x0000ffb2,0xfffffc98,
    0xdffea9bd,0xdbffff10,0x81ff7dff,0xfffffff9,0xf79fb05f,0xffffffff,
    0xff3001bf,0x27fe400d,0x200bff00,0xf8805ff9,0x817fd46f,0xfb003ff9,
    0x0bfea03f,0x98007fe4,0x1ff904ff,0xd13fe600,0xfffd00bf,0x001ff65f,
    0x20199800,0x7fecc6fb,0x0ffe3fff,0x2f7ffb22,0x644bf902,0x1bdfffff,
    0x077fdc00,0x001bff20,0x7f400bff,0x1ffe403f,0x7e40bfea,0x9ff3000f,
    0x7c0bfea0,0x7ff4005f,0x4005ff80,0x17fa0ffe,0x4bfffe60,0xaaaaaffd,
    0x1aaaaaaa,0x80c40000,0x00000998,0x26204880,0xffd80001,0xfd5309bf,
    0xff8003ff,0x3ffa2005,0xfeb999bd,0x02ffa84f,0xfe800bff,0x82ffa80f,
    0x5c002ffa,0x17fd43ff,0xe8ffee00,0xfff7005f,0x3fffff65,0xffffffff,
    0x0000004f,0x00000000,0x2e000000,0xffffffff,0xf8000eff,0x7fcc005f,
    0xffffffff,0x505ff505,0xfb8005ff,0x82ffa83f,0xf88007fd,0x003fec6f,
    0xbfd37fc4,0xd97ff400,0xffffffff,0x04ffffff,0x00000000,0x00000000,
    0x7fe44000,0x001bdfff,0x20017fe0,0xffffffc9,0x0bfea03e,0x22001ff6,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x3e000019,0x4cc0005f,0xffa8009a,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3d909d30,
    0x000f3260,0x90039970,0x2e000199,0x332001cc,0x5c00f2e2,0x204001cc,
    0x8b320098,0x65c003cb,0x1664c01c,0x22cc8026,0x997003cb,0x3b6e6003,
    0x0110002c,0x00260200,0x27dc13a2,0xffb007fc,0x3fe20003,0x09ff5005,
    0x1ffff500,0xfd93fe00,0xffffa806,0xbdffc800,0x3fe01fc8,0x98017fa4,
    0xff7005ff,0x7c07fb39,0x201bfa4f,0x400ffffa,0xeffffffd,0xffec9800,
    0xffc800cf,0x802fc8bd,0x85fb04fa,0x7f4406f9,0x1df90005,0x007fdc00,
    0xdfb9ff10,0xfd93fe00,0x6dffc406,0x6f7cc06f,0x7c07ffff,0x8017fa4f,
    0x26000efc,0x200bffff,0x01bfa4ff,0x0dfb7ff1,0x6d577fe4,0x7fd405ff,
    0x01ffffff,0x3fff7be6,0x03fb007f,0x0bf503fe,0x8003ff10,0xd8001ff8,
    0x5bfa004f,0x99805ff8,0xfd002620,0xc813fe2d,0x039b711f,0x02620998,
    0x000ffc40,0x009fffd5,0x004c4133,0x27fc5bfa,0x7e41ffcc,0x3bff300f,
    0x403ffaa2,0x39b711fc,0x7c41fe00,0x3003fc87,0x1a880035,0x400aa000,
    0x2aa60aa8,0x51000000,0x00554c15,0x00000000,0x7f400353,0x001ff9ae,
    0x41551000,0x3fdc0aa9,0xf881ff98,0x07ff505f,0x2fcc0000,0x1fe85fa8,
    0x20001100,0x01100008,0x00004400,0x02200011,0x80004400,0x01100008,
    0x1bee0dc0,0x10000880,0x506fc801,0x07fe60ff,0x11003dd8,0xd93fb800,
    0xdddffddd,0x307ddffd,0x01bdfffb,0xdefffd98,0x7ffedc00,0xfd9804ef,
    0x9800deff,0x00defffd,0x77fffedc,0x7ffedc04,0x7edc04ef,0x5c04efff,
    0x04effffd,0x7d6f6dc4,0x3ff6603f,0x6cc00def,0xd80defff,0x209fd05f,
    0x980007fb,0x00defffd,0xfffb0fe8,0xffffffff,0xffb89fff,0x02ffffff,
    0xfffffff7,0xfffb105f,0x01dfffff,0x3ffffff2,0x3ff203ff,0x83ffffff,
    0xffffffd8,0x7ec40eff,0xefffffff,0x7fffec40,0x440effff,0xfffffffd,
    0xfffa80ef,0x80ffffff,0xfffffffb,0xffff702f,0xfe85ffff,0x900ffa84,
    0xfc8000df,0x3fffffff,0x9989be20,0xc9999ff9,0x3ea099df,0xffd30bef,
    0x0beffa83,0xfd83ffd3,0xffb511bf,0x43bff707,0xfb82ffe9,0x3ffa61df,
    0x88dffec2,0x7ec3ffda,0xffb511bf,0x11bffd87,0xfd87ffb5,0xffb511bf,
    0x8aeffa87,0x544fffb9,0xfd30beff,0xbeffa83f,0x743ffd30,0x204fe84f,
    0x2e0005fe,0x3fa61dff,0x209f502f,0x03fc87f8,0x37f40dfd,0x6fe81bfa,
    0x7c413fe2,0x02ffc46f,0x5ff88dfd,0xff89bfa0,0x44dff104,0xdff104ff,
    0xf8827fc4,0x413fe26f,0x77f46ff8,0x746ff980,0xd1bfa06f,0xd37f40df,
    0x01ff989f,0x44001bf6,0x1bfa05ff,0x5fa817e4,0xffb81fe8,0x5c7fee03,
    0x3fee03ff,0x6c019711,0x007fe46f,0x7fe45ff5,0x44bfea00,0x9bf600cb,
    0x3f600cb8,0xd8032e26,0x8032e26f,0x07fee6fd,0xff70ffc8,0xb8ffdc07,
    0x3fee03ff,0xff989fd1,0x301bf202,0x00ffc835,0x3fe0bfea,0xff09f700,
    0x8803ff20,0x01ff93ff,0x3001ffc4,0x05fd8dfb,0x17f64ff8,0x98013fe0,
    0x6cc006fd,0x7ecc006f,0x37ecc006,0xff880df9,0x4401ff92,0x01ff93ff,
    0x4fe9ffc4,0xf703fff8,0x237f401f,0x4ff805fd,0x5fb02fcc,0xffb06f98,
    0xdddddddd,0x3bff69ff,0xfeeeeeee,0xecba884f,0x7f46ffff,0x3a5fe804,
    0x85fe804f,0xfffecba8,0xd975106f,0x220dffff,0xffffecba,0xfd975106,
    0x2fecdfff,0xffd9ffc0,0xeeeeeeee,0xddffb4ff,0xffdddddd,0x3e613fa9,
    0x4ff884ff,0xfe87ff30,0x5c5fe804,0x7fe6543f,0xcefdcccd,0xffffd2cc,
    0xffffffff,0x3fffffab,0x5fffffff,0x3fffff22,0x7fc6fedf,0x3e6fd804,
    0x26fd804f,0xffffffc8,0x7e446fed,0xfedfffff,0x7fffe446,0x446fedff,
    0xdffffffc,0x013fe6fe,0x7fff57fa,0xffffffff,0xfffffd5f,0xbfffffff,
    0x7f4413fa,0x27fdc0ef,0xff03ffaa,0xd8dfb009,0x7fffec1f,0xffffffff,
    0x33bfd4ff,0x33333333,0x26677fa1,0x09999999,0x37bdffd1,0x13fa37e4,
    0x4fe97fa0,0xfd15fe80,0x7e437bdf,0x37bffa26,0xe89bf21b,0x321bdeff,
    0x3bffa26f,0xe9bf21bd,0xd4ff804f,0x333333bf,0x3fa13333,0x9999999d,
    0x09fd0999,0xfd86ffc8,0x1ffffeff,0xfe804fe8,0x654c3fc5,0xffaaaaef,
    0xdfb1aaab,0x00dfb000,0x6c07ff90,0x402fec7f,0x017f65ff,0x1ffe57fe,
    0x7fe4ffb0,0xfc9ff603,0xc9ff603f,0x9ff603ff,0x7fc406fd,0xb000dfb3,
    0x9fd000df,0x503ff700,0x01bffffd,0x3fe017f6,0xfc817ea5,0xf703fc43,
    0x8e6c401f,0x36200ffb,0xf80dfd1c,0x007fe47f,0x7fe47ff3,0x74ffe600,
    0xd3ffc06f,0x27ff80df,0x3ffc06fe,0x7ff80dfd,0xfa803ff2,0x401ff72f,
    0x1ff71cd8,0xfe8e6c40,0x03ff8804,0xf90027fa,0x1ffcc01f,0x17ec05f9,
    0xff881be6,0x447ff605,0x3ff605ff,0x7dc0dfd1,0x027fcc7f,0x7fcc1ffb,
    0x743ff604,0x9ffee06f,0x3fee06fe,0xfb81bfa7,0xb81bfa7f,0x13fe67ff,
    0x3fe26fe8,0x447ff605,0x3ff605ff,0x3ae29fd1,0x881ffcc0,0x7cc02eff,
    0x83ff604f,0x03fe00fe,0xffb809f7,0x17ff220d,0x6441bff7,0x0fff65ff,
    0x90ffff71,0xffd889ff,0x444ffc82,0x3ff62ffd,0x3fffdc43,0xfb887ffb,
    0x0fff67ff,0x6cffff71,0x7fdc43ff,0x227fec7f,0x7dc2ffd8,0x3ff220df,
    0x106ffdc5,0xa7f4bff9,0xfb10dff9,0x0ff9801f,0x2227fe40,0x1be22ffd,
    0x3fc87f88,0xeefffd80,0xfd80efff,0xefffeeff,0x37fffe20,0x0ffbeffe,
    0x777ffec4,0xfb102fff,0x5fffddff,0xedffff88,0x10ffbeff,0xffdbffff,
    0x3e21ff7d,0xeffedfff,0xfff10ffb,0xf7dffdbf,0xefffc81f,0xfb03fffe,
    0xdfffddff,0xddfffb01,0x7f41dfff,0x3fbffea4,0x933103ff,0xffb100ff,
    0x85fffddf,0x17ea04fb,0x754007fa,0x00bfffff,0x3fffffaa,0xfffd980b,
    0x40ffe3ff,0x2dffffeb,0xffffeb80,0xfffb302d,0x31ffc7ff,0x47fffffb,
    0x3ff663ff,0x8ffe3fff,0x3fffffd9,0x3fae0ffe,0x5401efff,0x0bfffffe,
    0x3ffffaa0,0x227f40bf,0x02ffffda,0x00bffff6,0xdffffeb8,0x2601fd82,
    0x0002a81a,0x33000133,0x02662001,0x00098800,0x44001310,0x4c400099,
    0x4cc40009,0x04cc4000,0x00033000,0x26000266,0x26200009,0x01bca801,
    0x50026200,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07993000,0x00ccc800,0x80037b73,
    0x1ecc04ea,0x300bb200,0x4e98007b,0x00f76e20,0x930006ec,0x200019bd,
    0x97001ccb,0x8b320039,0x65c003cb,0xbba8801c,0x00008001,0x09991002,
    0x0001ffd8,0x3ea09ff5,0x1006ffef,0x7fcc01ff,0x01bea004,0x44009ff3,
    0xffd100ff,0x7d401dff,0x3fff2004,0x54002fff,0x9800ffff,0x9ff006ff,
    0xf1002ff4,0xfff900bf,0xda803fff,0x5ea8ceff,0xffb31dd1,0x3ff2039d,
    0x017fa202,0xf8837f40,0x200bfa1f,0xff9103fd,0x3fe2009f,0x9fff9100,
    0x701fec00,0x0bfb11bf,0xfb8007f4,0x0fffbadf,0xfb7ff300,0x07fea00d,
    0x5fe93fe0,0x003ff200,0xffb9dff5,0x3fff205f,0x16fbeffe,0xfdfff5ff,
    0x1bf605ff,0x8003ff10,0x20400ff9,0x2fdc01fe,0x09f79f70,0xfb80bf60,
    0xf7004fbc,0x260fd80b,0x04fb80ff,0xff51bfe0,0x2dfd1007,0xf7004ff8,
    0x4413300b,0x3ff10009,0x444ff880,0x7fdc0ffe,0x8b7ffdc4,0x3622ffff,
    0x2fe881ff,0x2000d4c0,0x3ae001a9,0x07fc404f,0x013ea130,0x213017ee,
    0xff8804fa,0x7fc3fc00,0x1000ff81,0x09ff07ff,0x54c15530,0x0055000a,
    0x06a20000,0x7c41bf60,0x413fe63f,0xfff16ffb,0x441bfa05,0x0004401a,
    0x2fff8000,0x50017f40,0x0ef9809f,0x2013ea00,0x37cc02fe,0x13ee17ec,
    0xf88bff00,0x0000002f,0x40000000,0x1ffc4008,0x7fd4dfb0,0x22dff100,
    0x3fea05ff,0x7fecc001,0xee880def,0x8817ae01,0x09f904fd,0x7404fa80,
    0x27d4001f,0x26013f20,0x221fe87f,0x7ec000ff,0x101ff62f,0xaf5c03dd,
    0x3ae01ee8,0x5c03dd15,0xfffb305e,0x1ff501bd,0xfc87fd40,0xf8b7e406,
    0x217fc03f,0x7fe41ee8,0x43ffffff,0x3f202ff8,0x0df30226,0xf5000df3,
    0x0027e409,0xdf3027d4,0xf07fe200,0x001fdc1f,0x7f57ffc4,0x17fc402f,
    0x3fe2df90,0x7c5bf202,0x21bf202f,0xfffffffc,0x203fe43f,0x0bfd1ff9,
    0x5ff16fb8,0x7cc4fe80,0x877fee1f,0x3e22ffe9,0x4dbf202f,0x2227e46f,
    0xfa8001fe,0x000df504,0x7f4413ea,0x437f6001,0x03fe25fc,0x7fffd400,
    0x2ff8801e,0x7fc5bf20,0x7c5bf202,0x71bf202f,0x7f4c3bff,0x301ff22f,
    0x013fe5ff,0x07fe2df5,0xff98bfd0,0x740bff11,0x80bfe26f,0x37ff26fc,
    0x1fec1fff,0x884fa800,0xf50000ff,0x000ff609,0x1ffffff1,0x50001fe4,
    0x2001ffff,0x3f202ff8,0x6405ff16,0x405ff16f,0x17fe26fc,0x1bf66fe8,
    0x3fa5ff10,0xf8b7dc05,0x227f401f,0x1ff91ff9,0xf897fd40,0x51bf202f,
    0xfa817bfb,0x0fa60005,0x98000ff6,0x005fa83e,0x419dd910,0x320007f8,
    0x004fffff,0x7e405ff1,0x6405ff16,0x405ff16f,0x03ff26fc,0xdfb2ffa8,
    0x3f67ff00,0xf8b7e406,0x217fc02f,0x0bfb1ff9,0x3fe29ff0,0x001bf202,
    0x3e601ff1,0x45fb8007,0x00cffec9,0x9807fc40,0x7f90007f,0x4177fec4,
    0xff8cffe8,0xf106ea2f,0x8b7e405f,0x5bf202ff,0x3f202ff8,0x3e017f66,
    0xf00dfb4f,0x803fee7f,0x09ff16fe,0x3e607fd4,0xd009fd1f,0x80bfe2bf,
    0x7f4006fc,0x00ffd102,0x3e20ff88,0x005ffddf,0xfe8817ec,0x47f88007,
    0x43ffeffe,0x3fe63ffd,0xf88dff0f,0x45bf202f,0x5bf202ff,0x3f202ff8,
    0x3a013fa6,0x880df95f,0x09ff13ff,0x7fc5bfea,0x30dfd00f,0x013fe3ff,
    0x17fc5bf6,0x5c00df90,0x1fffa04f,0xfd85fd00,0x4003fe23,0x3ffa04fb,
    0x23fc8007,0x1ff30df9,0x3ee0ffe2,0x442ffaef,0x5bf202ff,0x3f202ff8,
    0x6405ff16,0x2013fe6f,0x80ff96fd,0x3fee2ff9,0x8b7ffd44,0x3621efff,
    0x1ff981ff,0xbfd009fd,0xfd80bfe2,0x01df3006,0x801ff3f6,0xf88104fc,
    0x0ef9800f,0x00ff9fb0,0x17e46f88,0x07fdcffa,0x87ffffc8,0x3f602ff8,
    0x6c05ff16,0x405ff16f,0x013fa6fd,0x03fdd7fa,0xffb07fe6,0xdfdfffdf,
    0x3bffbfe2,0xf302fffe,0x2017f63f,0x05ff15ff,0xfe8037f4,0x1febf901,
    0x90037cc0,0x07fa00bf,0x007fafe4,0x07fa1fe4,0x03ff69f9,0x884fffe8,
    0x5bfa02ff,0x3fa02ff8,0x7405ff16,0x2017f66f,0x03ff55ff,0x75407fdc,
    0x6fc8efff,0xffd55ff1,0x7fcc05bf,0x4c01ff91,0x07ff13ff,0x7e4037fc,
    0x3fcdf703,0x400ff440,0xc800efd8,0x7cdf503f,0x21be6007,0xca7dc0ff,
    0x3fe603ff,0x03ff883f,0x1ffc5bfe,0x3fe2dff0,0xfc9bfe03,0x8ffe600f,
    0x1bfa03ff,0xb7e41310,0x00622ff8,0xff98ffcc,0xf83ff604,0x0dff705f,
    0xff306fa8,0x013ff335,0x7cc01fec,0x6fa800df,0xf335ff30,0x5fb0013f,
    0x3fc85fd0,0x3a20dff3,0xff82ffff,0x7cdff705,0x4dff705f,0xdff705ff,
    0xfb027fcc,0x9837e41f,0xfc8002ff,0x0005ff16,0xffc87fe6,0x217fec44,
    0xf710bffd,0x7fc40dff,0xfffff500,0x3ea07fff,0x03ff9805,0x2a01ff10,
    0xffffffff,0xd837cc03,0xfb17f44f,0x3faa21bf,0x6c3fffdf,0xff710bff,
    0x85ffecdf,0x366fffb8,0xff710bff,0x44ffc8df,0x7c42ffd8,0x13fe60ef,
    0xf8b7e400,0xff30002f,0x77ffec43,0xf982fffe,0xbeffefff,0x80bf606f,
    0xff999998,0x00ff8809,0x4ccdffcc,0x405fb009,0xff999998,0x817ec009,
    0x6fc8aff9,0x7ffffec4,0xfff53fff,0x77fffcc3,0x266fbeff,0xeffeffff,
    0x3ffe66fb,0x6fbeffef,0x777ffec4,0xff702fff,0x01fffddf,0x7c5bf200,
    0xff30002f,0xffffd703,0x7fec405b,0x20df55ff,0xff0005fb,0x74017f40,
    0x2fffffff,0xf0005fb8,0x80df300f,0x01fffffc,0x3bfffff7,0xfd884fa8,
    0x8df55fff,0x55ffffd8,0xfffd88df,0x2e0df55f,0x02dffffe,0x6fffff4c,
    0x5bf20001,0x30002ff8,0x04c403ff,0x1000cc00,0x2a0001bb,0x1009d502,
    0x55555555,0x000dd881,0x5d900550,0x017b9300,0x01801310,0x19800198,
    0x00019800,0x31000131,0x95000013,0x0000e647,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33b6ea20,0x9530009b,0x2e600015,0x0000bced,0x002b3ae6,0x33333310,
    0xa9801333,0x000001ac,0x002b3ae6,0x055dd440,0x32200ed8,0xa800001c,
    0x0b2a204c,0x37b72600,0xca80000b,0xb803dd33,0xffff505e,0x401dffff,
    0xefffffd8,0xfffd8801,0x00cfffff,0xfffffb70,0x70017dff,0xffffffff,
    0x3ffa60df,0x2600dfff,0xfffb7004,0x017dffff,0xfffff910,0x405f907f,
    0x00002ff8,0x6c40ffc8,0x01dfffff,0xffffffd8,0x7e40003f,0xff013fe6,
    0x9bfff709,0x05fffd99,0xfb9fffd1,0x7fd403ff,0xffecceff,0x3f6200ef,
    0xfb510bdf,0xffd803df,0x6fffffff,0xfcdfffa8,0x6fb80eff,0x5effec40,
    0x3dffb510,0xdcfffd80,0x2fd44fff,0x0005ff10,0x441ff900,0xffdcefff,
    0x3fff200f,0x02fffcab,0xfc9bf200,0x307fe607,0x3e601dff,0x17fec0ff,
    0x7cc1ffa2,0xfc981bff,0x0bff106f,0xe807ff20,0x999999cf,0x077fc409,
    0x3f213fee,0x017fe206,0xfb80ffe4,0x0ffec44f,0x7fc40ff1,0xfc800002,
    0x30fff60f,0xff501dfb,0x00fff10b,0xff337e40,0x2e1bf205,0x7fe401ff,
    0x5c17fe23,0x7ff441ff,0x83ffe803,0x7e4005fe,0x02ff880f,0xd80ffdc0,
    0x206fc87f,0x320105fe,0x0ffd80ff,0x7ec4ff98,0x005ff101,0x21ff9000,
    0x3fa04ff9,0x701ffc85,0x320003ff,0x442ff46f,0x06fe83ff,0x3ea5ff88,
    0x87ff101f,0xf3005ffb,0x3a5fb8df,0xc83cdeee,0x00ff985f,0x9301ffc0,
    0x706fc819,0xfffd98bf,0x7c2fe42d,0x717fa04f,0x0bfe207f,0xff900001,
    0xa803fee1,0x206fe87f,0x81001cd8,0x07fdc6fc,0x3f603fea,0x82a9800f,
    0xd0bfe200,0x5dc001ff,0x3bfe3fc1,0x6c0efeee,0x003fdc0f,0x50003fea,
    0x43ddfffd,0x5f7fcc7f,0x07ec2fec,0x7fc41bf6,0xf882fcc4,0xdfffd8af,
    0x1ff90001,0xff301bf2,0x0006fe85,0x94effda8,0x43ff88df,0x9ff705fd,
    0x32000001,0x17fe60ff,0xf13ea000,0xfb87f90b,0x5932fe44,0x261bee03,
    0x3fffee00,0x449f52ff,0x07f441ff,0x1ffb89f7,0xff81ffb8,0xffcff880,
    0x003fffff,0xdfb0ffc8,0x6c3ff880,0x320000ff,0xdeffffff,0x225fd86f,
    0xffd102ff,0x800015bf,0x543ffda8,0xc80004ff,0x7d42fc2f,0x3fa37cc4,
    0xdfffffcd,0xfeaafe40,0xd9882eff,0x5f9099ef,0x0a881fd4,0xffb11be6,
    0x0bffb339,0x3fe20bf2,0x3ffa62ff,0x87fe4002,0x3e600ffc,0x00ffdc3f,
    0x10cffa80,0xf50dfff9,0x101fee1f,0x9dfffffd,0xfffc8005,0x02ffb82f,
    0x7c0fd800,0x7c0fec45,0x6fffffc7,0x360ffffd,0xfffffacf,0x0df904ff,
    0x007e41fb,0x7fdc1fe0,0x2a02ffff,0x2fff884f,0xc800dfd0,0x07ff70ff,
    0xca8a7fe4,0x02aaadff,0xf904ff88,0x74ffe0df,0xffd7004f,0x007fffff,
    0x033ffff6,0x00003ff7,0xfddff0dd,0x43f607ff,0xfc81fff8,0x3ffbfa5f,
    0x2fffc88c,0x46e86fc8,0x0fd8007e,0x7ffffec4,0x21be204f,0x3ea05ff8,
    0x3ff2001f,0x501dff10,0x3fea9fff,0x07ffffff,0xf100ffb8,0x23bf20df,
    0x5c4001ff,0x05fffffd,0xfffc9888,0x000bfea2,0x3bfe1fa0,0x9fa00efe,
    0x3f601ca8,0x01dffd1f,0xdf903ffa,0x00fe8fd0,0x3fee3f40,0xeffc98be,
    0xf881fd01,0x01ffc02f,0x7dc1ff90,0xefebadff,0xffdd34fe,0x900bdddf,
    0x06fd80bf,0x00df9ff3,0xbfff7300,0x26ff8800,0x80003ff9,0xf32fc1fd,
    0x001be20b,0x7ff4ffe6,0x907fea02,0x643fb0df,0x4417101f,0x417fe26f,
    0x7f906ff8,0x7c01ff88,0x3ff2004f,0x7ffffe40,0xb83fe8ef,0x7f4000ff,
    0xd037e405,0x00007fff,0x0007ff44,0x5ff83ff2,0x43fb8000,0x541fdc5f,
    0xbff0005f,0xf8803ff6,0x5c37e43f,0x6c13ea3f,0xfa97ea2f,0x03ff202f,
    0x3ff117e6,0x2005fe80,0xed980ffc,0x07ff0bdf,0xf8001ff7,0x037dc04f,
    0x5401fff7,0x3fea005d,0x1ffcc002,0xfa800dfd,0x5f8bf11d,0x17e41fe8,
    0xf95ff800,0xc87ff00f,0x6c5f886f,0x8bf932df,0x01ff22fc,0x1fe07ff1,
    0xff803ff1,0x03ff2004,0xb03ff100,0x9fd000df,0x2206fb80,0x7fd405ff,
    0x27ff1001,0x7fcc04ca,0x8007ff23,0x8bf60ffd,0x266f985f,0x2025cc6f,
    0x3ff73ff8,0x3217fc40,0x445fb06f,0x0efffffd,0x0dfb1be6,0x3f609ff0,
    0xf00bfe21,0x40bfe27f,0xfa8007fd,0x004ff80f,0x7e405fc8,0x00bfe206,
    0x2a009ff1,0x03ff71ff,0xff317fe4,0xbff5001f,0x0792ff88,0x0bfe672e,
    0x7d405ff9,0x407ff12f,0x37e40ff9,0x6542ff88,0x17fcc0bd,0xfa803ff2,
    0x449f702f,0x3fea04ff,0x7f40ffe1,0xe807fa65,0x00ff986f,0x200ffb80,
    0x1bee06fe,0x2027fec0,0x3fe66fe8,0x81fff105,0x7cc06ffc,0x2ffa81ff,
    0x309ff300,0x37f40dff,0x7f403ff6,0x2a06fc86,0xff3002ff,0x409ff509,
    0xdf100ffe,0xe807ffc4,0x4437f46f,0x17fe24ff,0x3a20ffd4,0xff30002f,
    0x41bfea09,0xd3003fe8,0x53157dff,0xfd85fff9,0xffd710cf,0x9dffd105,
    0xfff93115,0x567fdc07,0x04ffb980,0xe8873ff6,0x77fcc2ff,0x207ffaa1,
    0xb809affc,0xb980acff,0x3ff604ff,0x13ff6a0c,0x3fe21fd0,0x3ff621ef,
    0x4577fdc1,0x7ec2ffea,0x21ffd42f,0xdefeffe9,0x82c989ac,0x7fd43ffb,
    0x3faee66f,0x3fa2000f,0xffffffff,0xfffe881f,0x204ffffe,0xffffffe8,
    0x9803ffff,0xfdcdfffe,0x74402fff,0xfffeefff,0xddfff502,0x3ea05fff,
    0xfd303fff,0xfffb9bff,0xffe8805f,0x05ffffef,0x9ff12fc8,0x7fffddff,
    0x3fffffa0,0xffe883ff,0xa85fffef,0xffffffff,0x905fffff,0x9fffdfff,
    0x7fffd4df,0xfdb70001,0x8019dfff,0x1efffffb,0xffffb500,0xa80019ff,
    0x2efffffd,0x7fffdc00,0x7ec401df,0x5c02dfff,0x6d404fff,0x02efffff,
    0x7ffffdc0,0x2bf5002f,0xffea9ff8,0x3f2201ef,0x2203efff,0x02dffffc,
    0x2a626fbe,0x05fffffd,0x23bfff6e,0x37fa66fb,0x33100002,0x006a2000,
    0x00133300,0x00026200,0x40006a20,0x00880019,0x00004c40,0x40004cc4,
    0x004c402a,0x88002660,0x30030019,0x26200135,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0abdedca,0x980132e0,0x654401cc,0xb801cded,0x7991003c,
    0x66664400,0xcccccccc,0x7102cccc,0x00059bd9,0xb800f322,0xaccccccc,
    0x3332e001,0x01aabccc,0x403dd700,0x220004cb,0x99999999,0x9d909999,
    0x2a0f74c0,0xff9002cc,0x9fffffff,0xa801ff60,0x3ff202ff,0x2effffff,
    0x200bfee0,0x32001ffd,0xffffffff,0xffffffff,0xfffffa85,0x5c002eff,
    0xfd000fff,0xffffffff,0xffd801df,0xffffffff,0x7fe4003e,0x001ff601,
    0xffffffc8,0xb4ffffff,0x0ffcc0bf,0x8801dff1,0xcbdefffe,0x6c1efffe,
    0x3fea007f,0xefffe982,0x3ffffebc,0xf301bfa0,0x7fc400bf,0xffffffff,
    0x5fffffff,0x5d6fffcc,0x2001fffe,0xd004fffe,0xffffffff,0x6c03ffff,
    0xffffffff,0x000effff,0x7ec03ff9,0x3ff20007,0xffffffff,0x40bfb4ff,
    0x3fee1ff9,0x6fffc400,0xb1bff200,0x7fd400ff,0x067ffc42,0x827ffd44,
    0x3f603ffa,0x3ff2000f,0x0005ff52,0x3e607ffe,0x7ff3006f,0x1bfa00ff,
    0x206ffc98,0x3aa607fd,0x400005ff,0x220007fd,0x99999999,0xbfb0ffe9,
    0xff0ffcc0,0x07ffb005,0xfd8bfee0,0x0bfea007,0xf3005ffb,0x3ff603ff,
    0x004ff980,0xffa9bfe2,0x5ffa8002,0x2007ff60,0x02ff8dfd,0xfb806fe8,
    0x00ffb01f,0x0000fff2,0xaaaaffd8,0x4000199a,0x17f62ffb,0x5511ff98,
    0x00bff300,0x1ff66fe8,0x2a2ffa80,0x3ea004ff,0x09ff306f,0x5c001ffd,
    0x0bfea2ff,0x807ff200,0x7c402ff9,0xd00bfb3f,0x7ff300df,0xe801ff60,
    0x774c00ff,0x3ffff600,0xcfffffff,0x2ffc4000,0xff9817f6,0x0ffb8001,
    0xfb16d400,0x17fd400f,0xd8001ffd,0x83ff207f,0x7c003ffa,0x017fd46f,
    0x26014c40,0x7fdc01ff,0xe801ff70,0x2ff9806f,0x5400ffb0,0x3fdc03ff,
    0x3fffff60,0xffffffff,0x03bfa001,0x7fcc0bfb,0xd803dd11,0xfb00007f,
    0x97fd400f,0xb8004ff8,0xbff101ff,0x2e0037f4,0x17fd42ff,0xff900000,
    0x7c4bfd00,0x037f404f,0xfd807fdc,0x13fe2007,0xfd80df90,0xffd33107,
    0x3ff7001d,0x7cc0bfb0,0x803ff31f,0xb00005ff,0x7fd400ff,0x0007ff32,
    0x7dc07ff3,0x001ffb9f,0x7fd437f4,0xf7000002,0x2ff9809f,0x3fa03fec,
    0x0fff2206,0x7c007fd8,0x13fe206f,0x3600ffb0,0x7fc402ff,0x4c0bfb04,
    0x03ff31ff,0x00027fc4,0x2a007fd8,0x05ff52ff,0xd017fe00,0x800bfdbf,
    0xffa83ffb,0xeeeeeeee,0x7fdc005e,0xa87fc805,0x3ffa02ff,0xffffeeee,
    0xffd3302f,0x20133333,0xffd107fd,0x007fd801,0xfc809ff3,0x40dfb01f,
    0x3ff31ffa,0x1017fd40,0x55555555,0xa801ff63,0x03ff72ff,0xc89bfa00,
    0xffffeccc,0x7404cccd,0xffff507f,0xffffffff,0x02ffdc00,0xdff04ff8,
    0x7fffff40,0x02ffffff,0xffffffff,0x3ff209ff,0x017ff440,0xff003fec,
    0x206ff80d,0x3fee07fd,0x5403ff31,0x3fe603ff,0xb3ffffff,0x7fd400ff,
    0x0003ff72,0xfff89bfa,0xffffffff,0x3fea07ff,0x99bff503,0x09999999,
    0x003bfe60,0x7e407fea,0x99ffd01f,0xffdd9999,0xfffcc81b,0xb02ccccc,
    0x05ffd0ff,0x4c01ff60,0x3fea05ff,0x20fff602,0xff31fff8,0x02ffc403,
    0xfffffff3,0x801ff67f,0x5ff32ffa,0x89bfe000,0xffdccccc,0x204ccccd,
    0xaaaabffe,0x0002ffca,0x4003bfa0,0xaaaaaffd,0xfd04ffca,0x0bff900d,
    0xfd001ff6,0x002ffd8d,0x7e401ff6,0x01ff603f,0x2a17fffb,0xff31fffe,
    0x006fe803,0xff93ff88,0xf0ffdc00,0xff10007f,0x01ff500b,0x7ffffd40,
    0x2fffffff,0x5ff10000,0x3fffe200,0xffffffff,0x200dfd07,0x7fd80ffd,
    0xf527fc00,0x7fd8005f,0x00fffa80,0xfd809ff1,0xdffffffe,0x03ff31ff,
    0x4000ffc8,0x1ff93ff8,0xe87fee00,0xffb8005f,0x65555542,0x2aaaabff,
    0xffffffd0,0x05ffffff,0x03fe6000,0x7777fdc0,0xffeeeeee,0x5006fe82,
    0x0ffb05ff,0xf91ffcc0,0xffd8100f,0xedcccccc,0x3ee03fff,0x4efec00f,
    0x3ff5ffff,0xf5007fe6,0xff88007f,0x2003ff73,0x3ff20ffc,0x3ffe2002,
    0x3ffffe20,0xffffffff,0x403ff987,0x00002ffa,0x7f400ff5,0x86ff8806,
    0xff5006fe,0x400ffb07,0x1bf61ffd,0x3f63ff70,0xffffffff,0x7f402fff,
    0x225fd805,0x00ffcc01,0x800fffe2,0xbff33ff9,0x98dff100,0x3f2006ff,
    0xaaaaa84f,0xaaaabffc,0x400ffd82,0x00002ffa,0x07ff3000,0xfd07ff60,
    0x07ff200d,0x7cc01ff6,0x017fe46f,0x77fecffd,0xacceeeee,0x804ff800,
    0x7cc005fd,0xfffa801f,0x3fffb803,0xf900fffa,0x1dff707f,0x006ffc80,
    0x26003fea,0xffa804ff,0x00000002,0x26001ff9,0x037f44ff,0xfd83ffcc,
    0x0fffa807,0xfa82ffcc,0x001ff65f,0x4017fcc0,0x7cc005fd,0xfff9001f,
    0xd953359d,0x7441bfff,0xb999bdff,0x3f604ffe,0xd5309bff,0x54003fff,
    0xffd800ff,0xacffa800,0xaaaaaaaa,0x00f75c02,0x3a002ffc,0x2bbfa0ff,
    0xfdbaaaaa,0x5ffb02ff,0xfd995555,0x3ff205ff,0xfffda9cf,0x0001ff60,
    0x6c00ffd4,0x7fcc005f,0x3ffea001,0xffffffff,0xffff301e,0x0bffffff,
    0xffffff70,0x001dffff,0x4c00ffa8,0xff5005ff,0xffffffff,0xffc80fff,
    0x017fd402,0xfe8ffee0,0xffffffff,0x3f603fff,0xffffffff,0x7e402eff,
    0x1effffff,0x80003fec,0xbfb007fb,0x01ff9800,0x7fedcc40,0x9803deff,
    0xeffffffc,0x3ff22003,0x001bdfff,0xd801ff50,0xff5001ff,0xffffffff,
    0xffc80fff,0x003fec02,0xffd37fc4,0xbdffffff,0xfffd8017,0x2defffff,
    0x3bfb2600,0x00ffb03d,0x401bf600,0x7cc003cb,0x9980001f,0x2a660000,
    0x4c400009,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d440000,0x099500ab,0xc98e64c0,
    0x6439911c,0x3260001c,0x6439902c,0x8f2e001c,0xdd9504ca,0x333332e7,
    0x000aaacc,0x32e0f260,0x39991003,0x6666665c,0xcb801aab,0x6665c003,
    0x96664000,0x91000ccb,0x33332e39,0xcccccccc,0x20b32a4c,0xffffffd8,
    0x003fec0c,0x3fea5ff5,0x3e25ff12,0xff10002f,0x2ff885ff,0x74005ff1,
    0x321ff25f,0xffb5ffff,0xffffffff,0xe88005bf,0x806fe85f,0x7ec4ffe8,
    0xffffffff,0x1bfa03ef,0x07fffd00,0xeafffcc0,0xff3004ff,0x3fffff65,
    0xffffffff,0x889ff70f,0xffddffff,0x01ff60ef,0xff52ffa8,0x7c4bfe25,
    0xdfd0002f,0x7fc43ff5,0x4005ff12,0x31ff25fe,0x36579fff,0xffffffff,
    0x001fffff,0x3fa17ff6,0x27ff4406,0x7fffffec,0x0effffff,0x74006fe8,
    0x32006fff,0xfffd5fff,0x25ff3003,0xfffffffd,0x0fffffff,0xffd89ff7,
    0x97fee20a,0x3ea007fd,0x225ff52f,0x05ff12ff,0x363ff900,0x442aa0ef,
    0x262002ff,0xff506620,0xb00ffb05,0xf5001fff,0x0dfd0bff,0xd827ff44,
    0x3faa607f,0x006fe85f,0x00fffff4,0xfd5ffff8,0xf9801dff,0x000ffb2f,
    0xff327fdc,0xd87ff40b,0x3fea007f,0x3e25ff52,0x005ff12f,0x55443550,
    0x00bfe201,0x07fdc000,0xfc803fec,0x7ffc402f,0x106fe85f,0x7ec07ffd,
    0x3ffe8807,0x3a0037f4,0xa803ffdf,0xffd5ffef,0xff9809ff,0x4000ffb2,
    0x3fee4ffb,0x6c7fea02,0x3fea007f,0x3e25ff52,0x005ff12f,0xff880000,
    0xb8000042,0x00ffb07f,0xfb013fe6,0xdfd0bfb9,0x807ffd10,0xfd1007fd,
    0x0037f41f,0x01bf37fa,0x757feff2,0x201ffddf,0x0ffb2ff9,0x31ffdc00,
    0x1ffa8095,0x7d400ffb,0x225ff52f,0x05ff12ff,0x2201bdb1,0x2ee881ee,
    0xfd915ff1,0x3ba207df,0x77ff7641,0x801ff65e,0x5bee06ff,0x46fe85fd,
    0xd803ffe8,0x3fea007f,0xd001bfa3,0x803ff3bf,0xfd5ff8ff,0x201dff1b,
    0x0ffb2ff9,0x01ffdc00,0xfd87fec0,0x4bfea007,0x5ff12ffa,0xfd10bfe2,
    0x0ffcc03f,0xff897fc4,0xffffffec,0x6c1ff985,0x26ffffff,0xff5007fd,
    0x6c7fe609,0x226fe85f,0xfb002ffe,0x24ff800f,0x7f4006fe,0x7d407fd5,
    0x57fabff6,0xff304ffb,0x8001ff65,0x44002ffa,0x01ff66ff,0xff52ffa8,
    0x7c4bfe25,0x07ffa22f,0xf103ff30,0x3fffe25f,0x3ffea89b,0x2620ffcc,
    0x36099ffc,0x7ffb007f,0x5fd8ffa0,0xffd16fe8,0x03fec005,0x6fe9bfa0,
    0xfcaff400,0x7fcff606,0x7ff4bfd5,0xfb2ff982,0x7fcc000f,0x0ffec002,
    0xfffffffb,0xffffffff,0x7c4bfea5,0x225ff12f,0xf9801ffe,0x12ff881f,
    0xff105fff,0x701ff989,0x01ff60ff,0x901fff71,0xe85fd8bf,0x4fffe8ef,
    0x001ff600,0x037f4ffb,0x7fcd7fa0,0x3fe1ff01,0x7fc4bfd5,0xd97fcc0e,
    0xeeeeeeff,0x261eeeee,0x3f2001ff,0x7fffec4f,0xffffffff,0x5ff52fff,
    0x7fc4bfe2,0x001ffe8a,0xff103ff3,0xe817fe25,0x80ffcc6f,0xdffb07fb,
    0xffdddddd,0x1ff305ff,0xefe85fd8,0x01ffeffe,0xc800ffb0,0x00dfd0ff,
    0x0ffa5fe8,0xd5ff97ea,0x44ffb8bf,0xfffb2ff9,0xffffffff,0x0ffc45ff,
    0xd85ffc80,0xaaaaaaff,0x2ffcaaaa,0x3fe25ff5,0xffd7ff12,0x0ffcc003,
    0xff897fc4,0xf31ff204,0x41fee03f,0xfffffffd,0x881effff,0x85fd82ff,
    0xf99ffffe,0x7fd800ff,0xfd3fec00,0x25fe800d,0x22fd86fc,0xd0bfd5ff,
    0x97fcc5ff,0xcccccffd,0x21cccccc,0x6c400ff8,0x0ffb05ff,0xfa97fd40,
    0x225ff12f,0x03ffffff,0x2207fe60,0x07ff12ff,0x3fe63fdc,0x360ff701,
    0xccccccff,0x17f601ab,0x7ff42fec,0x017fee1f,0xfd001ff6,0x20037f4f,
    0x87fe65fe,0x57fe0ff8,0xeff885fe,0x3f65ff30,0x07fc0007,0x409ffd10,
    0x3ea007fd,0x225ff52f,0xdfff12ff,0x26003ffb,0x2ff881ff,0x7dc05ff1,
    0xb80ffcc7,0x00ffb07f,0x4cd7fd40,0x99efd999,0xfb03ffd0,0x07fd807f,
    0xdfd2ffc0,0x745fe800,0xff17ea3f,0x7dc17fab,0x365ff34f,0x3fc0007f,
    0x807ffd10,0x3ea007fd,0x225ff52f,0x1dff12ff,0x2600dff1,0x2ff881ff,
    0x7dc05ff1,0xb80ffcc7,0x00ffb07f,0x7ffffe40,0xffffffff,0x3e20dfd3,
    0x1ff601ff,0x3a4ff980,0x2ff4006f,0x42fd9bf2,0x40bfd5ff,0x2ff9affe,
    0xe8000ffb,0x05ffd107,0x5400ffb0,0x25ff52ff,0x5ff12ff8,0x4c01ffdc,
    0x2ff881ff,0x7dc05ff1,0xb80ffcc7,0x00ffb07f,0x7ffffe40,0xffffffff,
    0x7d40dfd3,0x0ffb00ef,0xfd0ffec0,0x45fe800d,0x87f89ff9,0x40bfd5ff,
    0x2ffafff8,0xe8000ffb,0x01fff886,0x5400ffb0,0x25ff52ff,0x5ff12ff8,
    0x4c01ffd8,0x2ff881ff,0x7dc05ff1,0xb80ffcc7,0x00ffb07f,0x85fd8000,
    0x7fec06fe,0x200ffb05,0x37f46ff9,0x3a17fa00,0xff85fabf,0xfb80bfd5,
    0xffb2ffef,0x3f600000,0x1ff6001f,0xf52ffa80,0x44bfe25f,0x37fc42ff,
    0x2207fe60,0x05ff12ff,0x3fe63fdc,0x360ff701,0x4000007f,0x06fe85fd,
    0x6c1fff44,0xfffa807f,0x20037f42,0xdefc85fe,0xfd5ff82f,0xffffd00b,
    0x0001ff65,0x2ab7fea0,0x0aaaaaaa,0x7d400ffb,0x225ff52f,0x05ff12ff,
    0x7cc07ff7,0x12ff881f,0x3fdc05ff,0x7dc07fe6,0x000ffb07,0xe85fd800,
    0xfff9806f,0x5557fec1,0xfffeccaa,0xaaaefe83,0xd2aaaaaa,0xffff30bf,
    0x2ff57fe0,0x97fffcc0,0xaaaaaffd,0x1aaaaaaa,0x7ff45dd5,0xffffffff,
    0x00ffb2ff,0xffa97fd4,0x3e25ff12,0x03ffd02f,0x3e207fe6,0x405ff12f,
    0x0ffcc7fb,0xffb07fb8,0xfd800000,0x9006fe85,0xfffd8dff,0xffffffff,
    0xffffd03f,0xdfffffff,0x7ff417fa,0x3fabff04,0x5fff7005,0x3ffffff6,
    0xffffffff,0x7fc7ff54,0xffffffff,0x0ffb2fff,0xfa97fd40,0x225ff12f,
    0xdff302ff,0x2207fe60,0x05ff12ff,0x3fe63fdc,0x360ff701,0x4000007f,
    0x06fe85fd,0xfd93ffa0,0xeeffffff,0x7fff402d,0xffffffff,0x3ee0bfd6,
    0x3abff01f,0x3ffa005f,0xffffffb2,0xffffffff,0x000ffea9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02000000,0xcccca862,0xcccccccc,0x3333220c,0xcccccccc,0x039971cc,
    0x2e3cc980,0x32e001cc,0x0019950c,0x99001999,0x000332e5,0x2c880f32,
    0x99999997,0x98015579,0xcccccccc,0x4ccccccc,0x4c405dd5,0x10220001,
    0x66666547,0xcccccccc,0x2a004405,0x77f4c2ee,0x3f25f99c,0xffffffff,
    0x3e60ffff,0xffffffff,0xf33fffff,0x7f4001ff,0x03bfe61f,0xfa93fea0,
    0x7ffd402f,0xb9ffcc03,0x7cc002ff,0x6d3fa03f,0xffffffff,0x500effff,
    0xffffffff,0xffffffff,0xfa80bfee,0x7fed4007,0x51fd8cff,0x3660e000,
    0xa80defff,0x7eff43ff,0x3f22ffff,0xffffffff,0x3e60ffff,0xffffffff,
    0x323fffff,0xff9005ff,0x80bff707,0x7fc46ff8,0x2fffe404,0x7c43fee0,
    0x7fe4005f,0x369ff900,0xeeeeeeff,0x81ffffee,0xfffffffa,0xffffffff,
    0x5405ff77,0xffb1007f,0x9fffffff,0x5c380014,0xffffffff,0xf11ffd42,
    0x3216e4c9,0x0000007f,0xfe81dff5,0x2ffcc02f,0x7405ffb0,0x06fe80ff,
    0x203feff4,0x07fec6fd,0x910bff00,0x1ff69fff,0x01fff220,0x0001ff90,
    0x6401fea0,0xff710dff,0x3800143f,0x4c2fbfea,0x00001ffe,0x00007fc8,
    0x81fff980,0x3a00eff9,0x3fe200ff,0x02ffc80f,0x7fc40ff9,0x3fe02ff9,
    0x801ffd44,0x7fd42ffa,0x0ffb4fff,0x000fff40,0x00001ff9,0x3e601fea,
    0x6fff884f,0xfd1c000a,0x0037f40d,0x0ff90088,0xfe880000,0x13ff202f,
    0x5401ffdc,0x27fd45ff,0x2e03ff50,0x2609fd6f,0x06ff82ff,0xffc8dfb0,
    0xffb4feaf,0x01ffd400,0x0001ff90,0x3601fea0,0xfcfd80ff,0x4e00051f,
    0x3ee03ffb,0x11dd101f,0xc89dffd9,0x4000007f,0xfe804ffe,0x02ffcc1f,
    0x3e27ffb0,0x1ffc406f,0x0df74fd8,0x3f203fee,0x1ffc401f,0xa7f43bfa,
    0x3e6007fd,0x3ff2004f,0xcccb8000,0xccccffdc,0x3213fa2c,0x053ff8bf,
    0x07fe4e00,0x2207ff10,0xffffe9ff,0x01ff26ff,0x5ffc8000,0xe8dff300,
    0x3a2000ff,0x00ffd8ff,0x5ff05fe8,0x3f603fe6,0x809ff105,0x216c0ffb,
    0x00ffb4fe,0x90017fe4,0xfd0001ff,0xffffffff,0x1ffc9fff,0x54ff97ea,
    0x7fece000,0xeeeeeeee,0xfff104ff,0x3ffa63bf,0x0000ff92,0x003bfea0,
    0xff73ffc8,0xfff30005,0x3ee005ff,0x7fc7f987,0x3603ff83,0x02ff406f,
    0x0ffb4fe8,0x003ffee0,0x8000ffc8,0xffeeeeed,0xf13eeeee,0xd077c45f,
    0x9c000abf,0xfffffffe,0x105fffff,0xff103fff,0x3bbbff2b,0x03eeeeee,
    0x003ffe60,0x3fe7ffa0,0x3ff20004,0x3fe6005f,0x3f62fe41,0x500ffcc5,
    0x3fe603ff,0x369fd002,0xaaaaaaff,0x02fffecc,0x0007fe40,0x4407fa80,
    0xf07fa4ff,0x9c000a9f,0x99999dfe,0x10099999,0xb7ec0bff,0xfffffffc,
    0x1004ffff,0x20005ffd,0x00effff9,0x0bffe200,0xfe85ff00,0x3ee3fdc3,
    0x904ff807,0xa7f400ff,0xfffffffd,0x01efffff,0x000ffc80,0xd00ff500,
    0xf10ff2bf,0x9c000a5f,0x880006fd,0x5ff204ff,0xcccccffc,0xb002cccc,
    0xc80007ff,0x40001fff,0x000ffffd,0x1ff893f6,0xbfb0ffc4,0x3e0ff900,
    0x53fa004f,0xffeeeffd,0x0001bfff,0x00003ff2,0x7ec03fd4,0xffa85faf,
    0x5ce00051,0x336200ff,0x407ff101,0x00ff97fc,0x02ffe400,0x005ff800,
    0x7feffdc0,0xa9bee006,0x7c7fd07f,0x2ff9802f,0xd0007fd4,0x541ff69f,
    0x20001eff,0x75400ffc,0x01fea02e,0x741bffee,0x9c000a6f,0x3f605ff8,
    0xf15dd51f,0xcbfe405f,0xf500007f,0x200001df,0x260005ff,0x07ffb5ff,
    0x7e43fe60,0x3e2bf904,0x8bfd000f,0x7f4005fd,0x7cc0ffb4,0xf90001ff,
    0x2ffb801f,0x7401fea0,0x3fa20cff,0x1c000a1f,0x6441bff7,0x2ffea5ff,
    0x3f202ff8,0x0000ff97,0x0001fff3,0x8002ffc0,0xff10fff8,0x4bfe003f,
    0x2ff502ff,0x3ee006fa,0x005ff10f,0x0ffb4fe8,0x000effa8,0x5c00ffc8,
    0x0aa202ff,0x77fffec0,0x0143fffe,0x7ffec380,0x20efffee,0x2ff8bffa,
    0x3fe5ff20,0x3ffa2000,0x7fc00001,0x5ffb0005,0x800effa8,0x00ff9cfd,
    0x09f91ff1,0xfb97fc40,0xb4fe8007,0xbff900ff,0x01ff9000,0x2aaa3f10,
    0xaaaaaaaa,0x2b3ee1aa,0x81effffd,0xd5070002,0x017fffff,0x3202ff88,
    0x000ff97f,0x0003ffd8,0x8005ff80,0xff904ffb,0xf7bf500b,0xfeafe80d,
    0xdafec002,0x4fe8004f,0xfd100ffb,0xffc8007f,0xfd0fa800,0xffffffff,
    0x42dc9fff,0x80014019,0x0004cc03,0x7e405ff1,0x4000ff97,0x00004ffc,
    0x9800bff0,0x7ff406ff,0x7effc402,0x7fe7dc03,0x47fd4000,0xfe8001ff,
    0x2a00ffb4,0x32000fff,0x2f4400ff,0xfffffffd,0x009fffff,0x2aaaaa00,
    0xaaaaaaaa,0x8800004a,0x5ff202ff,0xf30007fc,0x555555ff,0x05555555,
    0x88017fe0,0x7cc01ffe,0x7ff400ff,0x7ffcc01f,0xfbfd0005,0x53fa000d,
    0x3f6007fd,0x3ff2005f,0x0002cc00,0x00000000,0xf8800000,0x65ff202f,
    0xff50007f,0xffffffff,0x00bfffff,0xfd8017fe,0xdff7003f,0x007ffc80,
    0x20007fff,0x0003fffb,0x01ff69fd,0x002fff88,0x00001ff9,0x00000000,
    0x40000000,0x3f202ff8,0x2000ff97,0xfffffffa,0xffffffff,0x00bff005,
    0xb0017fee,0x7fd407ff,0x03ffb005,0x03ffe200,0xfda7f400,0x77fd4007,
    0x00ffc800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00044000,
    0x00020010,0x11000088,0x22002000,0x17ae01ee,0x01000220,0x90040040,
    0x8277409d,0x1dd51ee8,0x0004ec80,0x201bdb10,0x776c1eeb,0xeeeeeeee,
    0x4c00001e,0xfffb303d,0xfd7001bd,0x6d47bdff,0x400adfff,0x4effffdb,
    0x7fff64c0,0x7ff5400c,0xff881def,0x745bf202,0xeffec88e,0x7d477444,
    0x11dd13ef,0x4c3bffd9,0x5c0dfffd,0x0fff307f,0x3ff89fea,0x000ffe20,
    0x9ff506d4,0xfd0bff30,0xffffffff,0x400ec3ff,0x84ff984a,0xfffffffc,
    0xfffd103f,0xf99fffff,0x0dffffff,0x3fffff62,0xfa80efff,0x1fffffff,
    0xffffff90,0x2ff887ff,0x7fc5bf20,0xffffffe9,0x3febfe26,0xd5ff14ff,
    0x31ffffff,0x1fffffff,0x7e417fcc,0x45fc81ff,0x3fee06fd,0x3fee2000,
    0x10ffec0f,0x33101dfd,0xff733333,0x654ffec9,0x3ffa9cef,0xb89fff91,
    0x3fa61dff,0x0affd82f,0xbffffd51,0x213ff265,0xb511bffd,0xdff987ff,
    0x81ffd511,0x3aa1cff9,0x0bfe20ff,0xfff16fc8,0x3ffa63bf,0x79ffff12,
    0x3fffe23b,0xfeffc88b,0x4ffc88bf,0x7ff427f4,0x542ff83f,0x0bfd01ff,
    0x3ffff260,0x326ff885,0xf98001ff,0x7fffc45f,0xefffffff,0x49f79f70,
    0x3fa05ff8,0xa80ffcc6,0xff104fff,0x8827fc45,0x17fe26ff,0x3ee1ffd4,
    0x447ff306,0x5bf202ff,0xf881fff8,0x05fff15f,0x360bffe2,0x6fe80fff,
    0x3fe237e4,0x07fcc5fc,0x7fc427fc,0x7fff5402,0x3fea00bf,0x8003ffac,
    0xf980eff8,0xffebaeff,0x27d4260f,0x7d401ff9,0x8813262f,0x3f201fff,
    0xd8032e25,0x807fe66f,0x07fe43dd,0x17fc4098,0x3fe2df90,0x7c5bf605,
    0x17fe205f,0xfc81ffdc,0xf507fcc7,0x5fc8ff3b,0xff70df90,0x3ffff220,
    0x3ff2002d,0xe88005ff,0x3ff300ff,0x2a01ff70,0x2017f64f,0x7cc004ff,
    0x03fd406f,0xfb9bf660,0xdff50007,0x5ff10037,0xff8b7e40,0x7c5ff204,
    0x13fe204f,0xfb817fcc,0x3f22ff87,0x1ff43ff3,0x7f41ff98,0x7fffec44,
    0xffd0000c,0xffb0001f,0x8837e403,0x49f502ff,0x5fe804fe,0xffd97510,
    0xdddddfff,0x101ffddd,0xffffd975,0x00037e4d,0x59fffff9,0xc80bfe20,
    0x407ff16f,0x07ff17fc,0xf981ffc4,0xb0ff701f,0xfd8ff4bf,0x7401ff13,
    0x707fe64f,0x00005dff,0x9000dff9,0x2fe805ff,0x7d417f20,0x36013fe4,
    0xffffc86f,0xfffffdff,0xffffffff,0x3ffff221,0x3a6fedff,0x75c0005f,
    0x42ffffff,0x3f602ff8,0x6405ff16,0x405ff17f,0xff302ff8,0x2a1fee03,
    0x7dcff17f,0xfb80df75,0x3ee1bf27,0x20001cff,0x003ffff9,0x3a013fee,
    0x413f603f,0x013fa4fa,0xffe897fa,0x37fe1acf,0x99999999,0x3bffa219,
    0xd9bf21bd,0x7300006f,0x447ffffb,0x5bfa02ff,0x3f202ff8,0x4405ff17,
    0x3ff302ff,0x3e21fee0,0x3e65fb9f,0x4403fd8f,0x207ff2ff,0x02efffeb,
    0xffcefe80,0x05ffa801,0x3e20df70,0x6c9f502f,0x25ff805f,0x3fe02ffc,
    0x3ffc8005,0x6fc9ff60,0x2000d4c0,0x3fe26ffa,0x7c5bfe03,0x45ff202f,
    0x3fe202ff,0x203ff302,0xb7fb07fb,0xffaff87f,0xfacfd801,0x7fecc00f,
    0xfc800cff,0x980dfd1f,0x3e6006ff,0x1ff660cf,0x3ff23e98,0xe8ffe600,
    0x1ffe206f,0x3fa19d70,0xf73ffc06,0x237f401f,0x3ff203db,0x7dc17fe0,
    0x405ff16f,0x05ff17fc,0xf9817fc4,0x20ff701f,0x6c1ffefb,0xf5006fef,
    0x4400bf9f,0x02dffffc,0x7fcc9ff3,0x01dff304,0x6ffffd40,0x001ffffd,
    0xfd813fe6,0xe81bfe0f,0xff302fff,0xf7037f4b,0x827fc4ff,0x7ff43ff9,
    0xfd8ff900,0xfff710bf,0xc80bfe2d,0x405ff17f,0xff302ff8,0x441fee03,
    0xffb87fff,0x3ffe004f,0xfd50002f,0x7fc41fff,0x442ffc86,0x99988ffe,
    0xff509999,0xfffffffd,0x0bbaa3ff,0x36227fe4,0x17fec2ff,0x3ffbff66,
    0x87ffa60b,0x7dc43ffd,0x27fdc7ff,0xf703ffaa,0x7fd443bf,0x77fffcc4,
    0xf16fbeff,0x8bfe405f,0x3fe202ff,0x203ff302,0x3ffa07fb,0x01fff985,
    0x001fff20,0xd83ff660,0xffe881ff,0x3ffffee0,0x5fffffff,0x8e654bf7,
    0x5ff52fe8,0x3bfff620,0xf882fffe,0xdfffdfff,0xffdfffb0,0xfff885ff,
    0xfbeffedf,0x77ffec0f,0xfb01ffff,0xbfffdfff,0xffffb101,0x7fc5beab,
    0x7c5ff202,0x0bfe202f,0xfb80ffcc,0x40fff207,0x7cc007ff,0x2200004f,
    0x409ff50c,0x3fee5ffa,0xffffffff,0x4400a5ff,0x700bfea2,0x05bffffd,
    0x77ffff4c,0xffffeb83,0xfffb301d,0x41ffc7ff,0x0dffffea,0x7ffffdc0,
    0x8033004e,0x3f202ff8,0x4405ff17,0x3ff302ff,0x0001fee0,0x00000000,
    0x00000000,0x00000000,0x44000988,0x13310019,0x00266200,0x0004cc40,
    0x00002662,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1f640000,0xd5076c00,0x3d900007,0xd700274c,
    0x7b73003d,0x017aa003,0x02f7b2a2,0x0066e544,0xa8839db7,0xaaaaaaaa,
    0x2aa22aaa,0xaaaaaaaa,0x0baa02aa,0x6d40665c,0xc866540b,0x885dd53c,
    0x0026601a,0xa81e64c2,0x7400001c,0x2fdc004f,0x02ec1ff1,0x46fa87d1,
    0xff9002fe,0xfeffa803,0x2ffe806f,0x3fbffe20,0xffff985f,0x7ff441ff,
    0x3fea2fff,0xffffffff,0xfff50fff,0xffffffff,0x0bea01ff,0xff107fec,
    0x7fe47ffb,0x3feedff0,0x7e417dc2,0xb80befff,0x2e03ff63,0x00002eff,
    0x7cc009fd,0xfb93f60f,0x0ffe884f,0x1ff327ec,0x403ff900,0x0bfa1ff8,
    0x205fffa8,0x03fa23fc,0x17f225fd,0xff915df9,0x3ffffea1,0xffffffff,
    0xffffff50,0x1fffffff,0x551fa954,0x1d907fec,0x21ff936c,0x85ff76ff,
    0x3ff61dfd,0xbdffffff,0x3fa23fec,0xffffe984,0x3fa0000b,0xb8ffa004,
    0x24ffd87f,0xf882ffe8,0x2017f62f,0xe8100198,0x3f3f601f,0xf905100f,
    0x37cc2a85,0x3fd83ff1,0x00ff9800,0x33bfa000,0x3f66fecf,0x5f30fe0f,
    0x37fc3ff2,0xffa983f1,0xfb759fb1,0x5fffffff,0x9300ff98,0x003bffff,
    0x32009fd0,0x40bfe66f,0xffe8cffd,0x443ff202,0x266623ff,0x99999999,
    0x09fd7009,0x27ec7fcc,0xffdb9510,0x4c7fb007,0x004fb87f,0x0000ff98,
    0x3fffb2a0,0xf1ff22ce,0xff92f887,0x0fa97fe1,0x0392ff88,0x07bfff6a,
    0x2e20054c,0x883efffe,0xcfe99999,0x7d419999,0xb01bfa2f,0x805fffff,
    0x3ff25ff8,0xffffffd0,0x09ffffff,0xfc80bffe,0xf701ff35,0x07fdbfff,
    0xf5077ec4,0x000bf50b,0x00001ff3,0x701fff10,0x320ec8df,0x3fd9bea6,
    0x7ff54bd1,0x0008006f,0xfffb5000,0x7fffd49f,0xffffffff,0xfb9bfa0f,
    0xfffd802f,0x23ff7002,0xfffd5ff8,0xffffffff,0x27ec409f,0x7fd0ffc4,
    0x320bff88,0x1bfd303f,0x4fc87f98,0x10ff9800,0x33333333,0xd1033333,
    0xf981df3f,0x7feffc45,0x2fc97e63,0xaceea8b3,0x64400000,0xf710004c,
    0x3ffea1ff,0xffffffff,0x47fee0ff,0x74404ff8,0xfd005fff,0x0017fdcd,
    0x37cc0880,0x1fee37dc,0x3ff88df3,0x3e04ff98,0x001ff41f,0xffa87fcc,
    0xffffffff,0x9fec0fff,0x817445fb,0x23e80cda,0x000000ea,0x017fdc00,
    0x0fffda80,0xd8027f40,0x407fea6f,0x4ffeffe8,0xf887fdc0,0x0554c04f,
    0x4fc8df30,0x7fc43ff8,0x754dff42,0x17fd44ff,0x36affee0,0xff30006f,
    0x3ffffea1,0xffffffff,0x00322440,0x00000000,0x27fc0000,0x3ffee200,
    0x4fe802df,0x645ff100,0x2ffe886f,0x3e209ffb,0x201bf23f,0x7e401ffc,
    0x541fffdf,0x46fc80ff,0xfaeffffb,0x3ffffe26,0xfffd87ff,0x200001ef,
    0x99999998,0x00199999,0x00000000,0x5c000000,0x3f66006f,0x2000cfff,
    0x3ea004fe,0xe88bfa26,0x27fec2ff,0x3ff12fe4,0x003ff900,0xd017bfb5,
    0x07fe60bf,0x2a2a86ea,0x6eeeeeee,0x00159730,0x00000000,0x00000000,
    0x30000000,0xfeb88015,0x8000beff,0x7ec004fe,0xffb9fe63,0x441ffb02,
    0x00ff60ff,0x00006654,0x2a00aa88,0x0000001a,0x00000000,0x00000000,
    0x00000000,0xff500000,0x80003bff,0x7c4004fe,0x2b93f20f,0x8bf60e40,
    0x000006f9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0019ff70,0x000b2e00,0x00000000,0x970e6440,0x37777665,0xdddddddd,
    0x22220ddd,0x88888888,0x66408888,0x002ccccc,0x00000000,0x00000000,
    0x00000000,0x01d40000,0x00000000,0x00000000,0x9fd1ffc4,0x3fffffea,
    0xffffffff,0xffff51ff,0xffffffff,0x7fc3ffff,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x127f47ff,
    0x11111111,0x41111111,0xccccccc9,0xcccccccc,0x3bbbba0c,0x000003ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x82660000,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_32_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,1,1,1,0,1,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,1,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_32_latin1_y[224]={ 25,4,4,4,2,4,4,4,4,4,4,8,22,16,
22,4,4,4,4,4,4,4,4,4,4,4,10,10,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,28,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,4,4,7,4,
4,4,4,4,4,11,10,16,4,1,4,7,4,4,4,10,4,13,24,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_32_latin1_w[224]={ 0,4,8,16,14,23,18,4,8,8,11,15,4,9,
4,8,14,8,15,14,15,14,14,14,14,14,4,4,15,15,15,14,28,21,16,19,18,16,15,20,17,4,13,18,
13,20,17,20,16,21,19,17,17,17,19,27,19,19,17,7,8,7,13,18,6,14,14,14,14,14,9,15,13,4,
7,14,4,22,13,15,14,13,9,14,8,13,14,21,15,15,14,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,14,16,14,17,
3,14,9,22,11,13,15,9,22,18,9,14,10,10,6,13,16,4,7,6,10,13,23,23,24,14,21,21,21,21,
21,21,28,19,16,16,16,16,7,7,10,8,21,17,20,20,20,20,20,13,21,17,17,17,17,19,16,15,14,14,
14,14,14,14,25,14,14,14,14,14,6,6,10,8,14,13,15,15,15,15,15,14,15,13,13,13,13,15,14,15,
 };
static unsigned short stb__arial_32_latin1_h[224]={ 0,21,8,22,26,22,22,8,28,28,9,14,8,3,
3,22,22,21,21,22,21,22,22,21,22,22,15,20,15,10,15,21,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,23,21,22,21,22,21,21,21,21,21,27,22,27,12,3,5,17,22,17,22,17,21,23,21,21,
28,21,21,16,16,17,22,22,16,17,22,16,15,15,15,22,15,28,28,28,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,27,22,15,21,
28,28,4,22,11,13,10,3,22,3,8,18,11,12,5,21,27,4,7,11,11,13,22,22,22,21,26,26,26,25,
25,25,21,27,26,26,26,25,26,26,26,25,21,25,27,27,27,26,26,13,23,27,27,27,26,26,21,22,22,22,
22,22,22,23,17,22,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,12,18,22,22,22,22,28,27,28,
 };
static unsigned short stb__arial_32_latin1_s[224]={ 255,250,208,1,228,104,128,193,17,42,181,
17,217,123,248,247,205,137,1,19,126,77,92,216,139,192,251,184,186,165,1,
108,92,123,145,34,161,233,15,1,17,35,178,142,180,194,215,40,109,178,146,
1,166,22,117,89,69,49,31,131,154,178,101,104,246,43,163,58,224,236,99,
215,76,71,51,45,40,126,102,1,234,220,116,73,107,88,171,149,202,239,218,
121,88,78,230,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,255,250,186,
207,233,61,74,59,75,116,115,33,149,123,54,85,198,189,127,90,246,231,34,
250,222,248,138,61,80,56,31,184,111,133,155,68,99,121,79,201,177,194,211,
161,242,60,243,90,162,143,221,69,157,90,1,47,231,139,51,1,42,22,199,
200,48,140,95,110,125,200,17,216,18,33,185,170,249,245,60,90,155,1,1,
189,63,231,79,75,204,161,17,147,175,26,19,1, };
static unsigned short stb__arial_32_latin1_t[224]={ 1,177,239,85,30,108,108,239,1,1,239,
239,239,252,233,85,108,199,177,131,177,131,131,154,131,131,199,199,221,239,239,
154,1,154,154,131,177,177,199,154,177,177,131,177,177,177,177,154,177,57,199,
131,199,154,199,199,199,199,199,1,131,1,239,252,239,221,131,221,131,199,177,
57,177,177,1,177,177,221,221,221,108,108,221,221,131,221,221,221,221,131,221,
1,1,1,239,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,1,1,1,
131,221,154,1,1,252,131,239,239,239,252,131,252,239,199,239,239,245,154,30,
23,239,221,239,239,108,108,108,154,30,30,30,58,57,57,154,1,30,30,30,
57,1,58,30,57,154,57,1,30,1,30,58,239,57,1,30,30,58,58,154,
85,85,85,85,85,85,57,221,85,85,85,85,85,108,154,177,177,85,199,108,
108,85,85,85,239,199,108,108,108,108,1,30,1, };
static unsigned short stb__arial_32_latin1_a[224]={ 127,127,163,255,255,407,306,87,
153,153,178,268,127,153,127,127,255,255,255,255,255,255,255,255,
255,255,127,127,268,268,268,255,465,306,306,331,331,306,280,356,
331,127,229,306,255,382,331,356,306,356,331,306,280,331,306,433,
306,306,280,127,127,127,215,255,153,255,255,229,255,255,127,255,
255,102,102,229,102,382,255,255,255,255,153,229,127,255,229,331,
229,229,229,153,119,153,268,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,127,153,255,255,255,255,119,255,
153,338,170,255,268,153,338,253,183,252,153,153,153,264,246,127,
153,153,167,255,382,382,382,280,306,306,306,306,306,306,458,331,
306,306,306,306,127,127,127,127,331,331,356,356,356,356,356,268,
356,331,331,331,331,306,306,280,255,255,255,255,255,255,407,229,
255,255,255,255,127,127,127,127,255,255,255,255,255,255,255,252,
280,255,255,255,255,229,255,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_32_latin1_BITMAP_HEIGHT or STB_FONT_arial_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_32_latin1(stb_fontchar font[STB_FONT_arial_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_32_latin1_BITMAP_HEIGHT][STB_FONT_arial_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_32_latin1_s[i] + stb__arial_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_32_latin1_t[i] + stb__arial_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_32_latin1_x[i];
            font[i].y0 = stb__arial_32_latin1_y[i];
            font[i].x1 = stb__arial_32_latin1_x[i] + stb__arial_32_latin1_w[i];
            font[i].y1 = stb__arial_32_latin1_y[i] + stb__arial_32_latin1_h[i];
            font[i].advance_int = (stb__arial_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_32_latin1_s[i] + stb__arial_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_32_latin1_t[i] + stb__arial_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_32_latin1_x[i] + stb__arial_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_32_latin1_y[i] + stb__arial_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_32_latin1_LINE_SPACING
#endif

