// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_40_latin1_BITMAP_HEIGHT        392
#define STB_FONT_arial_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_40_latin1_FIRST_CHAR            32
#define STB_FONT_arial_40_latin1_NUM_CHARS            224

#define STB_FONT_arial_40_latin1_LINE_SPACING          26

static unsigned int stb__arial_40_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0xddd50000,0x8bbb2005,
    0x31006ee8,0x99999975,0x2a399999,0x000001cc,0x32a02e20,0x501ccccc,
    0x0f32e399,0xbf71ff88,0xeec98000,0x000bdeff,0xcefffda8,0xffc88000,
    0x7c4ffb0f,0x400004ef,0xfffeecb9,0xd8001cee,0x7ff4007f,0x8fff6005,
    0xfa807ff9,0xffffffff,0x92ffffff,0x000007ff,0x7e427dc0,0x902fffff,
    0x1bffa7ff,0x1ff45fc8,0x7fff5400,0xbfffffff,0xfffe8800,0x003fffff,
    0x43ffffe2,0x3ffe27fd,0x540000ef,0xfffffffd,0x0befffff,0x400ffb00,
    0x2000fffa,0x3fe63ffd,0x3fffa207,0xffffffff,0xf92fffff,0x0000007f,
    0x7fe40fec,0xf902ffff,0x41bffa7f,0x7fd41ff9,0x3fff2000,0xffffefff,
    0x7f400eff,0xfffdcfff,0xfffb002f,0x89ff61bf,0x003ffffd,0xdffffd50,
    0xfdb9779d,0xb003dfff,0x7ff400ff,0x17764001,0x7e40ddd1,0xafffffff,
    0xaaeffbaa,0x0007ff90,0x41fe2000,0xf9004ffc,0x41bffa7f,0x0bfd04fe,
    0x2fffffa0,0x6fffea80,0x107ffee0,0xf001fffb,0x0ffb03ff,0x2001ffe6,
    0x01cffffb,0x4fffeb88,0xa803fec0,0x000003ff,0x7ffffcc0,0x7fc47fff,
    0x003ffc86,0x0bf50000,0x00013ff2,0x500ffb80,0xffc805ff,0xfff9004f,
    0x413ff609,0x4c02fff8,0x0ffb05ff,0x90007ff4,0x40007fff,0x3604fffb,
    0x0331007f,0xf9000000,0xffffffff,0xfc86ff88,0x0000003f,0x3ff207f9,
    0x3e000004,0x037f405f,0x8009fff5,0xfe80fffd,0x13ff601f,0x3609ff50,
    0x07ff607f,0x00f7fec0,0x17ff4c00,0x00007fd8,0xfd800000,0x7fffffff,
    0x7e437fc4,0x0000003f,0x3ff201ff,0x40cc0004,0x7e402ffb,0x0dffd01f,
    0x09fff100,0x4c409ff9,0x04ffa800,0x7fe40ffb,0x0effa801,0x3fe20000,
    0x267fd80f,0x32a004cc,0x0099931c,0xfff8e654,0x47ffffff,0xffc86ff8,
    0x17bfb733,0xdfd93000,0x27fe40df,0xf11cca80,0x300ffd0f,0xfff30bff,
    0x37f20005,0x02fffa83,0x04ffa800,0x7fe40ffb,0x00ffe801,0x417bdb71,
    0x3fea1aa9,0x7fc7fd85,0x1fff002f,0xf8017ffc,0xffffd0ff,0xf88fffff,
    0xabffc86f,0xefffffff,0xffffb800,0xc80dffff,0xff9004ff,0xfa83fe27,
    0x1ffd005f,0x0007ffc8,0x3fff6002,0x7fd40004,0x640ffb03,0x7fe402ff,
    0xfffff702,0x0fff23ff,0x7fd81ffb,0x5402ffe4,0x2ffe46ff,0xfb37fd40,
    0xffffffff,0xfc86ff88,0xdcdfffef,0x7ec05fff,0xfffcdfff,0x27fe41ef,
    0xf33ffc80,0x017fe41f,0x7f42ffc8,0x8000006f,0x001efffe,0x3607ff50,
    0x0bff207f,0xf904ff98,0xfffbbfff,0xf983ffd3,0x263fec3f,0x7ec00fff,
    0x07ffcc3f,0xfb8fff60,0x7fffffff,0x7e437fc4,0xfe985fff,0x7fff704f,
    0x3ffbfe21,0x8027fe45,0x3ff33ffc,0xa8007fec,0x2fffc4ff,0xf9100000,
    0x009fffff,0x3607ff70,0x0bfee07f,0xfc80ffc8,0x7fec43ff,0x8dfd07ff,
    0x2ffe87fd,0x203ffe20,0x3e202ffe,0x7fff40ff,0x7c47ffff,0x5fffc86f,
    0x10bffe20,0xcfa8bfff,0x3f20fffa,0x7ff9004f,0x7ff87fea,0xf17fe600,
    0x000007ff,0x3ea7ffa6,0x2002efff,0xffb02ffb,0xd01ffdc0,0x7fff30bf,
    0x837fff40,0x43fec7fc,0x3ea05ffb,0x0bff705f,0x7cc2ffd4,0x47ffffff,
    0xffc86ff8,0x2ffe400f,0xfb03bfe6,0xfc93ffa5,0x7ff9004f,0x7fc4bfea,
    0x9bfe2006,0x0002fff8,0x441dfd00,0x00dffffd,0xfb01ffd8,0x827fcc0f,
    0xffe82ff9,0x27ffd404,0x3fec7fb8,0xd807ffc4,0xfff102ff,0x40bff601,
    0x7fffffd8,0x7e437fc4,0x6ff8805f,0x7fc27fdc,0xffc81310,0x27ff9004,
    0xbff33ffb,0x10fff800,0x00005fff,0x2e09ff10,0x200effff,0x3f606ff8,
    0x407ffc07,0xfff987fc,0x17ffcc00,0x3b20ffb8,0x107ffb06,0xffd80fff,
    0x807ff883,0x447ffdb9,0x3ffc86ff,0x641fff00,0x037cc3ff,0xc8027fe4,
    0x27ff73ff,0x74004ffb,0x7fff11ff,0xff700000,0x7ffec405,0x07ffb306,
    0x3ee03fec,0x437ec0df,0xf8805ffd,0x0ff901ff,0xb86ffa80,0x7fd404ff,
    0x004ffb86,0x3fe23ff4,0x002ffc86,0x7ff43ffd,0x6401fe41,0xff9004ff,
    0x7e53ff27,0x7fec003f,0x0017ffe2,0x017fea00,0xfd13fff2,0x7fd807ff,
    0x26fffa80,0x2fff85fe,0x207ff880,0xff8006fe,0x00fff41f,0x3fa0fffc,
    0x3ff4001f,0x3f21bfe2,0x5ffb001f,0x3fa07ffc,0x04ffc801,0x3f27ff90,
    0x007ffb4f,0x3fa4ffc8,0x8800006f,0xfc800fff,0x017ffc7f,0xfa803fec,
    0xf113fa7f,0xff5001ff,0x013fe20b,0xf993ff20,0x9ff9006f,0x40037fcc,
    0x37fc47fe,0xe800ffe4,0x87ffe1ff,0xff9007f8,0x4fff2009,0x7ffb5ffd,
    0x24ffd800,0x20007ffc,0x3f60ace8,0x7fc401ff,0x017ffe0f,0x3a201ff6,
    0x313fe7ff,0x3ee00fff,0x07ff504f,0x64dff300,0xff3003ff,0x001ffe4d,
    0x3fe23ff4,0x002ffc86,0x7ffc1fff,0x64013ea2,0xff9004ff,0x7e57ff67,
    0x7ff4004f,0x007ffe63,0x107ffdc0,0xe809fffd,0x3ff2a0ff,0x01ff600e,
    0x7c39fff3,0x037fd44f,0xfb02ffe8,0x3fa0001f,0x001ffd1f,0xffe8fff4,
    0x47fe8000,0xffc86ff8,0x46ff8803,0x0bf63ffe,0x7fe479b1,0x27ff9004,
    0xdff96ffe,0x42fff800,0xd0005fff,0xffd30bff,0xfff105df,0xd817fee0,
    0x17fec07f,0x3fe22ff4,0x0fffa807,0x9884ffb8,0x4dffdc01,0x7dc005ff,
    0x005ff9bf,0xff88ffd0,0x806ffc86,0x7fe45ffb,0xff503fe5,0x8027fe4b,
    0xffff3ffc,0x8801ffee,0x7fdc1fff,0x7fdc001f,0xfffb102f,0x1ffec1bf,
    0x3601ffd0,0x17fe207f,0x7ff437ec,0x437ff400,0xffb06ffa,0xfbeff880,
    0x7fc4002f,0x0002ffbe,0x6ff88ffd,0x402fffc8,0x7fcc3ffe,0xfe85f99f,
    0x013ff22f,0xfff9ffe4,0x001fff57,0x3a03ffea,0xf3001fff,0xff500dff,
    0x9ffd7fff,0xb02ffc80,0x1ffd40ff,0xffd87fc8,0x17fff604,0x3603fff3,
    0xfffd807f,0xffb0007f,0x74000fff,0x437fc47f,0xb01efffc,0x3ff60dff,
    0x7fe43fce,0x013ff20f,0xfff9ffe4,0x4007ffe7,0xff306ffb,0x322059ff,
    0x1000ffff,0x1bfffff9,0x205ff700,0x3fee07fd,0xa85ff502,0x3620cfff,
    0xf916ffff,0x3fec09ff,0x27fffd40,0xffffa800,0x1ffa0004,0xff90dff1,
    0xd7359fff,0x3e205fff,0xfc9affff,0x7fe41fff,0x27ff9004,0x3ff67fff,
    0x07ff9002,0x7fffffd4,0xffffdcbd,0xfea8001f,0xff7006ff,0xc81ff607,
    0xbff102ff,0xb9ffff70,0xffffbbff,0xd807ffff,0xffff007f,0x7ffc0003,
    0x3fa0001f,0x6437fc47,0xffffecff,0x4c02ffff,0xfffffffe,0x4ffc82ff,
    0x3e7ff900,0x13fee7ff,0x200ffec0,0xffffffe9,0x01efffff,0x2fffec00,
    0xd81ffd40,0x0bff207f,0xfc81ffd8,0xf54fffff,0x03dfffff,0x3200ffb0,
    0x640006ff,0x740006ff,0x437fc47f,0xfff93ffc,0x220017df,0xdffffffd,
    0x009ff900,0x7ffcfff2,0x201bfe27,0x2a006ff8,0xfffffffd,0x2e00002e,
    0x7d403fff,0x40ffb04f,0x3e602ffc,0x9df9506f,0xacefeb85,0xfb155440,
    0x0ffee00f,0x07ff7000,0x447fe800,0x3ffc86ff,0xe800054c,0x4009aabf,
    0xf9004ffc,0x5ff9007f,0x003ffb80,0x0035df90,0x3ff20040,0x827fd405,
    0x3ff207fd,0x02ffd401,0xffd10000,0xe803fec5,0x740000ff,0x740000ff,
    0x437fc47f,0x00003ffc,0x90003fe2,0x3f6009ff,0x6ff8803f,0x00037fc0,
    0x50001bfd,0xff980dff,0x827fd407,0x3ff207fd,0x04ffc801,0xffd88000,
    0x5403fec4,0x540004ff,0xe80004ff,0x437fc47f,0x00003ffc,0x320017ea,
    0xffb004ff,0x2e0aaaa5,0x3ff701ff,0x7ff74000,0x7ffc4004,0x01bfea01,
    0x3f609ff3,0x007ff607,0x000f7ff4,0x85fffa80,0x7f4407fd,0x3a20001f,
    0xe80001ff,0x437fc47f,0x00003ffc,0x32000ff2,0xffd004ff,0x7417ff63,
    0x00bfd05f,0x007ff200,0x740dffd0,0x7fc404ff,0x7c0ffb07,0x3fa2007f,
    0x50001dff,0xb01bfffb,0xffb9b0ff,0xb9b000bf,0x0000bfff,0xdff11ffa,
    0x0007ff90,0x40007fc0,0x0aaadffc,0x43fff66a,0xff505ffd,0x000ffa83,
    0x01ffd880,0x67fffcc0,0x1fffec9a,0x1bdffe80,0xfd731ff6,0xfd5000bf,
    0x3357bfff,0x3ff6aa62,0x3f601eff,0xefffff87,0xffff8000,0xd00000ef,
    0x86ff88ff,0x00003ffc,0x32000df3,0x32ffffff,0x6cbfffff,0x13f605ff,
    0x6c0009fd,0x005ffffe,0xffffff70,0x2005ffff,0xb0fffffa,0x7fffc4ff,
    0x3ee0002f,0xffffffff,0xffffffff,0xe87fd803,0x0000efff,0x001dfffd,
    0x223ff400,0x3ffc86ff,0x09d50000,0x3ffff200,0xffff72ff,0x2009988b,
    0x1ff50ff9,0x7fffc000,0x260000df,0xeffffffd,0x7ffdc001,0x7c4ffb0f,
    0x80003fff,0xffffedb8,0xbdffffff,0x10ffb000,0x88000175,0x800000ba,
    0x80998198,0x00000998,0x33310000,0x2ea21333,0x65c0001a,0x80005951,
    0x00009a99,0x006eaa20,0x21975100,0x2af224ca,0x22000000,0x01aaaba9,
    0x00099500,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x666664c0,0x0000002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xf8803cca,0x2a0006ff,0x04ffffff,
    0x0bfff100,0xfff30000,0xffa8000b,0x7cc0006f,0x000006ff,0x001dfff3,
    0x3fff2000,0x7f400004,0x800002ff,0x4003fffb,0xf983fffb,0xffc80fff,
    0x5fff3005,0x3ffea000,0x90004fff,0x00001fff,0x001dffb0,0x7ffffc40,
    0x7fd40005,0x4400002f,0x005fffff,0xffffa800,0xf900003f,0x0003ffff,
    0x004fff80,0xe884fff8,0xfc86ffff,0x3fea005f,0xff700006,0xfff10009,
    0xf1000003,0xe80001ff,0x03ffdaff,0x037fdc00,0x2fffa000,0x00004ffc,
    0x3fa7ffe6,0x7d40001f,0x00eff9ef,0x0dff7000,0x20dff700,0x4ffbcffd,
    0x2002ffe4,0x80002ffc,0xb8004ffb,0x000003ff,0x80005ff9,0xfff15ffd,
    0xffd80003,0xff900001,0x00bffa2d,0x4fffa200,0x0000fff9,0x3f23fff3,
    0xfd00005f,0xffd0001f,0x74dff701,0x17ff23ff,0x0013b200,0x0013fee0,
    0x000013b6,0x0001f6c4,0xea837ba6,0x6c0000de,0xe980004e,0x37baa1ee,
    0x775c0000,0x00277645,0x76c3eed8,0x74c0002e,0xee98002e,0x21eee882,
    0xff90dee9,0x0000000b,0x0004ffb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02ffe400,0x77ff65cc,0xf70001ce,
    0x32e6009f,0x01ceeffe,0x00199910,0x32299930,0xc98000cc,0x0199914c,
    0x00999300,0x3bffb2e6,0x400001ce,0x4002ccc9,0xccccccc8,0xcccccccc,
    0x4c001ccc,0xa8002ccc,0x665403cc,0x40bff903,0xffffffd8,0x001dffff,
    0x22027fdc,0xfffffffd,0x4401dfff,0xa8001fff,0x3fff17ff,0x2fff5000,
    0x8001fff8,0x6c407ffa,0xffffffff,0x00001dff,0x800dfff9,0xfffffff8,
    0xffffffff,0x64002fff,0xc8006fff,0x7fe405ff,0x20bff905,0xfffffffa,
    0x3fffffff,0x813fee00,0xfffffffa,0x3fffffff,0x007ffe20,0x7c5ffea0,
    0xfa8001ff,0x03fff17f,0x40fff500,0xfffffffa,0x3fffffff,0xffff8000,
    0x3fe2001f,0xffffffff,0xffffffff,0x7fffc002,0x7fe4001f,0x82ffe405,
    0xffd85ffc,0x2e609cff,0x005ffffe,0x3f609ff7,0x2609cfff,0x05ffffeb,
    0x0003fff1,0x3fe2fff5,0xffa8001f,0x003fff17,0x360fff50,0x209cffff,
    0x5ffffeb9,0x37fea000,0x3e2005ff,0xaaaaabff,0xaaaaaaaa,0x3fea000a,
    0x64005ffd,0x7fe405ff,0xa8bff905,0x8801efff,0xb803fffe,0xfffa84ff,
    0xffe8801e,0x1fff883f,0x17ffa800,0x50003fff,0x3ffe2fff,0x7ffa8001,
    0x01efffa8,0x03fffe88,0xff1ffb00,0x3fe2001f,0x0000001f,0x1fff1ffb,
    0x02ffe400,0x7e417ff2,0x17ffe25f,0x1fffb100,0x444ffb80,0x44005fff,
    0x7c40fffd,0xfa8001ff,0x03fff17f,0x22fff500,0xa8001fff,0x7ffc47ff,
    0x7fec4005,0x7fc4000f,0x2007ff96,0x0001fff8,0x96ff8800,0x7e4007ff,
    0x2ffe405f,0x3f25ffc8,0xf88000ff,0x7fdc05ff,0x007ffe44,0x22fffc40,
    0x8001fff8,0xfff17ffa,0xfff50003,0x0007ffe2,0xff91ffea,0xff10001f,
    0xffb800bf,0x200dff34,0x0001fff8,0x34ffb800,0x7e400dff,0x2ffe405f,
    0xff35ffc8,0x7dc0007f,0x3fee00ff,0x00fffe64,0x20fffb80,0x8001fff8,
    0xfff17ffa,0xfff50003,0x0007ffe2,0xff99ffea,0x3ee0003f,0x3fa000ff,
    0x00bffe1f,0x0007ffe2,0x87ffa000,0xf9002fff,0x5ffc80bf,0x3eebff90,
    0x7c40007f,0x3fee03ff,0x001ffee4,0x447fff10,0xa8001fff,0x3fff17ff,
    0x2fff5000,0x8001fff8,0x3fee7ffa,0x7fc40007,0xfff3003f,0x8805ffc8,
    0x00001fff,0x323ffcc0,0xff9005ff,0x05ffc80b,0x3ff2bff9,0xfff80005,
    0xc93fee06,0xf80005ff,0x3ffe26ff,0x7ffa8001,0x0003fff1,0x3fe2fff5,
    0xffa8001f,0x0017ff27,0x401bffe0,0x7fcc4ffd,0x7ffc400f,0x6c000001,
    0x7ffcc4ff,0x05ffc800,0xfc82ffe4,0x009ffd5f,0x40fffb00,0x3ffa4ffb,
    0xffd80004,0x007ffe27,0x7c5ffea0,0xfa8001ff,0x03fff17f,0x74fff500,
    0xd80004ff,0xff8807ff,0x03ffe81f,0x000fffc4,0x3fff1000,0x9007ffd0,
    0xffc80bff,0x3ebff905,0xc80003ff,0x3fee07ff,0x000fffe4,0xf89fff20,
    0xfa8001ff,0x03fff17f,0x22fff500,0xa8001fff,0x0fffe7ff,0x1fff2000,
    0x5c1bfee0,0x7fc407ff,0xeeeeeeef,0x2eeeeeee,0x706ffb80,0xff900fff,
    0x05ffc80b,0xfff1bff9,0xff500005,0x53fee01f,0x0002fff8,0xf10fffa8,
    0xf50003ff,0x07ffe2ff,0x45ffea00,0xa8001fff,0x5fff17ff,0xfff50000,
    0x03ffe801,0x4405fff1,0xffffffff,0xffffffff,0x3ffe802f,0x805fff10,
    0x7e405ffc,0x3bff905f,0x00003fff,0x2e03fff3,0x3fff34ff,0xfff30000,
    0x007ffe23,0x7c5ffea0,0xfa8001ff,0x03fff17f,0x26fff500,0x80001fff,
    0x2601fff9,0x3f600fff,0x3ffe205f,0xffffffff,0x02ffffff,0xb007ffcc,
    0xffc80bff,0x82ffe405,0xfff8dffc,0xffa80002,0x29ff700f,0x0002fff8,
    0xf10fffa8,0xf50003ff,0x07ffe2ff,0x45ffea00,0xa8001fff,0x5fff17ff,
    0xfff50000,0x02ffe401,0x4403ffea,0x9999afff,0x99999999,0x2ffe4009,
    0x803ffea0,0x7e405ffc,0x2bff905f,0x80003fff,0x3ee07ffc,0x00fffe4f,
    0x89fff200,0xb8001fff,0x3fff17ff,0x2fff7000,0x8001fff8,0x3ffe7ffb,
    0xffc80003,0x66fffc07,0xfccccccc,0xfff104ff,0x3e000003,0xcccccdff,
    0x04fffccc,0xf9017ff2,0x57ff20bf,0x80004fff,0x3ee06ffd,0x013ffe4f,
    0x89bff600,0xc8001fff,0x3fff16ff,0x2dff9000,0x8001fff8,0x3ffe6ffc,
    0xffd80004,0x3fffea06,0xffffffff,0xff107fff,0x5000003f,0xffffffff,
    0xffffffff,0x202ffe40,0xff905ffc,0x001bff2b,0xb813ffa0,0x1bff24ff,
    0x13ffa000,0x90005fff,0x17ffcdff,0xf37fe400,0xf90005ff,0x037fe4df,
    0x027ff400,0xfffffffb,0xffffffff,0x3fff105f,0xffb00000,0xffffffff,
    0x05ffffff,0xf9017ff2,0x57ff20bf,0x0001fff9,0xb807ffea,0x3ffe64ff,
    0x3fea0001,0x01fffc1f,0xff2ffec0,0xffb0007f,0x001fffcb,0xff32ffec,
    0x7d40003f,0xfff101ff,0x33333335,0x0bffd333,0x0003fff1,0x9afff880,
    0x99999999,0xf905ffe9,0x5ffc80bf,0x7fcbff90,0x3fa0006f,0x27fdc06f,
    0x8001bffe,0xffd86ffe,0x3fff8005,0x20017ff6,0x3ff63fff,0x3fff8005,
    0x00037ffc,0x7dc0dffd,0x7fdc006f,0x0fffc41f,0x3fee0000,0x7ffdc006,
    0x405ffc81,0x54005ffc,0xb8003fff,0x7dc03fff,0x1fffd44f,0x1fffdc00,
    0x000fffdc,0x7dc3fff7,0x3ee001ff,0x3ffee1ff,0x3ffee001,0x01fffd41,
    0x01fffdc0,0x88007ffd,0x7fc44fff,0x7400001f,0x7c4003ff,0x5ffc84ff,
    0xa82ffe40,0x7ffec3cc,0x3fff2004,0x84ffb805,0x2004fffd,0xf305fffc,
    0xd1001dff,0xfff98fff,0xffe8800e,0x077ffcc7,0x83fff440,0x2004fffd,
    0x2605fffc,0xc8000fff,0x7ffc47ff,0x3e600001,0xfc8000ff,0x05ffc87f,
    0xfd82ffe4,0x7fff446f,0x3ffa601e,0xffb800ff,0xefffe884,0x3fffa601,
    0x3fff200f,0xfff500ae,0xdfff905f,0x3ffea015,0xefffc82f,0xffff500a,
    0x3fffa205,0x3ffa601e,0x3ff200ff,0xfff30006,0x00fffc45,0x0dff9000,
    0x0bffe600,0xfc80bff9,0x0dffb05f,0xbfffffd1,0xfffffb99,0x2aaa201d,
    0xfd104ffd,0xb99bffff,0x01dfffff,0xfffffe88,0xffffedce,0xfffd104f,
    0xffdb9dff,0x3a209fff,0xdcefffff,0x04fffffe,0x7fffff44,0xffffdccd,
    0x7ffc00ef,0x3ffa0003,0x3ffffe26,0xffffffff,0x7c7fffff,0x3a0003ff,
    0x2ffe46ff,0x6c17ff20,0x3ff206ff,0xffffffff,0x7fd404ff,0x6404ffff,
    0xffffffff,0x2004ffff,0xffffffd8,0x03ffffff,0x7ffffec4,0x3fffffff,
    0x7fffec40,0xffffffff,0x3fff2003,0xffffffff,0xfffa804f,0x3fee0000,
    0xfffff11f,0xffffffff,0x54ffffff,0x20000fff,0x3f21fffb,0x2ffe405f,
    0x7fdc4000,0x0bffffff,0xfffffa80,0xffb8804f,0x0bffffff,0xfffb5000,
    0x039fffff,0x7fffed40,0x001cffff,0x3fffff6a,0x8001cfff,0xffffffb8,
    0xfb000bff,0xf88000bf,0xffff14ff,0xffffffff,0x4fffffff,0x40005ffd,
    0x3f24fff8,0x2ffe405f,0x2a620000,0x4c40009a,0x00099999,0x004d54c4,
    0x55331000,0x98800033,0x00019aa9,0x0cd54cc4,0x55310000,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00131008,0x00cc0200,0x80000000,0x3baa0eee,
    0x10080004,0xed800013,0x013baa1e,0x3fff2000,0xf1000002,0x26000bff,
    0x64005fff,0x20003fff,0x0005fff9,0x439ffb30,0x220004fd,0xf30adffb,
    0xfd98000f,0xff00001d,0x02ffdc3f,0x39dfb300,0x20001fec,0x3fee1fff,
    0xfd000006,0x200000df,0x0000fffc,0x0007ffea,0x4000dffb,0x00006ffd,
    0xfffffff1,0x40003ffd,0xeffffffd,0x7c0004ff,0x0000fc9c,0x3ee1fff8,
    0xff10005f,0xffdfffff,0xfff80003,0x001bfee1,0x0fffc400,0x3fe20000,
    0xfc80001f,0x7f44005f,0xff98002f,0xf500000f,0xffffb53d,0xbff8000d,
    0x1fffffc9,0x7b1ea000,0x1ddd0000,0x80027754,0xffda9efb,0xd80006ff,
    0x13baa1ee,0xff980000,0x7dc00005,0x3600003f,0x7c4001ff,0xffc8006f,
    0x3b200002,0x000e5c43,0x32a17a60,0x3540000b,0x000000f6,0x87d90000,
    0x00001cb8,0x00000000,0x00003baa,0x00004ed8,0x4001f6c4,0x22001ee9,
    0x000003ee,0x00000000,0x467c0000,0x322000fb,0xc98000cc,0x0000004c,
    0x7f65cc00,0x0001ceef,0x00000000,0x00000000,0x00000000,0xfd973000,
    0x20039ddf,0x8001ccc8,0x5c003cc9,0x44005fff,0xa8001fff,0x64c007ff,
    0x100002cc,0xfffffffb,0x0003bfff,0x02ccc980,0x66666440,0xcccccccc,
    0x911ccccc,0x99999999,0x99999999,0x47995039,0x0001ccca,0x1007332a,
    0xfffffffb,0x9803bfff,0xa8006fff,0x7e4006ff,0x7c4006ff,0xfa8001ff,
    0x7fe4007f,0xfa80006f,0xffffffff,0x003fffff,0x1bfff200,0xfffff100,
    0xffffffff,0x225fffff,0xffffffff,0xffffffff,0x5ffc82ff,0x001bffe2,
    0x2037ffc4,0xfffffffa,0x3fffffff,0x13fffe60,0x00dff500,0x01fffff8,
    0x007ffe20,0x001ffea0,0x003fffff,0x67fffec0,0x3ffae609,0xf00005ff,
    0x4003ffff,0xfffffff8,0xffffffff,0xfff12fff,0xffffffff,0x5fffffff,
    0xfb8bff90,0xfd8004ff,0x3ff600ff,0x2e609cff,0x305ffffe,0x003fffff,
    0x50037fd4,0x00bffbff,0x000fffc4,0x5003ffd4,0x00bffbff,0x07bffea0,
    0x0ffffa20,0xfbff5000,0x7fc400bf,0xaaaaaabf,0xaaaaaaaa,0x557fff10,
    0x55555555,0xf9015555,0x3fffd0bf,0x1fffd400,0x03dfff50,0x07fffd10,
    0x1dfffff3,0x01bfea00,0xfff8ffd8,0x3fff1000,0x0fff5000,0x7fc7fec0,
    0x7fc4000f,0x7ec4005f,0x360000ff,0x00fff8ff,0x003fff10,0x03fff100,
    0x5ffc8000,0x006fff88,0x440bfff1,0x44005fff,0x7cc0fffd,0x004fffff,
    0x2200dff5,0x07ff96ff,0x007ffe20,0x401ffea0,0x7ff96ff8,0x0fffc800,
    0x5fff8800,0x2dff1000,0xf1003ffc,0x100003ff,0x00003fff,0xf705ffc8,
    0xffb009ff,0x7ffe401f,0xfff88000,0x7e7ffcc5,0xffa801ff,0x29ff7006,
    0xf1006ff9,0xf50003ff,0x3fee00ff,0x400dff34,0x0003fff9,0x0003ffee,
    0x7fcd3fee,0x3fff1006,0xfff10000,0xfc800003,0x3fffa05f,0x0bffea01,
    0x003fff98,0x983ffee0,0x1dffd7ff,0x006ffa80,0x7ffc3ffd,0x1fff8802,
    0x07ffa800,0x7fc3ffd0,0xfff7002f,0xfff88000,0x1ffe8003,0x2200bffe,
    0x80001fff,0x0001fff8,0x102ffe40,0x3e20dfff,0x7fdc05ff,0x7fc40007,
    0x4dffe63f,0x7d404fff,0x7ff9806f,0x4402ffe4,0xa8001fff,0xff9807ff,
    0x802ffe47,0x80005ffc,0x4c006fff,0x2ffe47ff,0x00fffc40,0x0fffc400,
    0x3ff20000,0x1fffdc05,0x2007ffec,0x80005ffc,0x3fe66fff,0x807fff27,
    0xfd806ffa,0x07ffcc4f,0x007ffe20,0x201ffea0,0x7fcc4ffd,0x4ffe800f,
    0x7ffd8000,0x227fec00,0x4400fff9,0x80001fff,0x0001fff8,0x402ffe40,
    0x3e60fffe,0xffe802ff,0xffd80004,0xfd1ffe67,0x3fea01df,0x0fffc406,
    0x2201fff4,0xa8001fff,0x7fc407ff,0x03ffe81f,0x0003fff8,0x2007ffc8,
    0xfe81fff8,0x7ffc403f,0xff880001,0x6400001f,0xff8805ff,0x013ffa5f,
    0x0001fffc,0xff33ffe4,0x04fff98f,0xfb80dff5,0x0fff706f,0x001fff88,
    0x5c07ffa8,0xfff706ff,0x02fff880,0x0fffa800,0x20dff700,0x7c407ffb,
    0xeeeeeeff,0xeeeeeeee,0x3bbffe22,0xeeeeeeee,0xf902eeee,0x3fee00bf,
    0x006ffbaf,0x0005fff1,0x261fff50,0xfffc87ff,0x406ffa82,0xff103ffe,
    0x7ffc405f,0x7ffa8001,0x881fff40,0x3e602fff,0x980001ff,0xfd001fff,
    0x3ffe207f,0x3fffe202,0xffffffff,0x222fffff,0xffffffff,0xffffffff,
    0x0bff902f,0x7ff7ff40,0xfff3001f,0xff300003,0x41ffe63f,0x7d40effe,
    0x3ffe606f,0x817ff600,0x8001fff8,0x3e607ffa,0x3ff600ff,0x0bffe205,
    0x3ffea000,0x0fff9800,0x8817ff60,0xffffffff,0xffffffff,0x3fffe22f,
    0xffffffff,0x902fffff,0x7cc00bff,0x2004ffff,0x0002fff8,0xf30fffa8,
    0x3ffe60ff,0x9037fd44,0xffa80bff,0x3fff100f,0x0fff7000,0x2a02ffe4,
    0x3fe00fff,0xfc80003f,0xbff9007f,0x00fffa80,0x3335fff1,0x33333333,
    0x7ffc4133,0x9999999a,0x00999999,0xb800bff9,0xf8006fff,0xc80003ff,
    0x1ffe67ff,0x2a2fffc8,0x3ffe06ff,0xcccccccd,0xf104fffc,0xf90003ff,
    0x6fffc0df,0xcccccccc,0x3fe04fff,0xfd80004f,0xbfff006f,0x99999999,
    0x3e209fff,0x880001ff,0x00001fff,0x4002ffe4,0xf8002fff,0xd80004ff,
    0x1ffe66ff,0x2a1dffd0,0xfff506ff,0xffffffff,0x7c0fffff,0xfc8002ff,
    0xffff506f,0xffffffff,0x7e40ffff,0xfe80006f,0xfffa804f,0xffffffff,
    0xf107ffff,0x100003ff,0x00003fff,0x8005ffc8,0xc8002fff,0xe80006ff,
    0x1ffe64ff,0x2a9fff30,0xfffb06ff,0xffffffff,0x205fffff,0xd8003fff,
    0xfffb05ff,0xffffffff,0x205fffff,0x0001fff9,0x2007ffea,0xfffffffd,
    0xffffffff,0x1fff882f,0xfff88000,0x7e400001,0xfff8005f,0xfff98002,
    0x3fea0001,0x01ffe61f,0x3eabfff2,0xafff886f,0x99999999,0xb05ffe99,
    0xff000bff,0x5fff107f,0x33333333,0x40bffd33,0x20006fff,0xf8806ffe,
    0x99999aff,0xffe99999,0x01fff885,0x1fff8800,0x7fe40000,0x2fff8005,
    0x0dfff000,0x237ff400,0xfd007ff9,0x70dff5ff,0xfb800dff,0xfffb81ff,
    0x3ffee001,0x006ffb81,0xa80fffdc,0xb8003fff,0xfb803fff,0x7fdc006f,
    0x0fffc41f,0x7ffc4000,0x7e400001,0xfff8005f,0xfff50002,0xfff70007,
    0x007ff987,0xdffdfff3,0x8007ffd0,0xf984fff8,0xe8800eff,0x7ffd07ff,
    0x4fff8800,0x013fff60,0x005fffc8,0x88007ffd,0x7fc44fff,0xf880001f,
    0x400001ff,0xf8005ffc,0x360002ff,0x32004fff,0xff985fff,0x3fff2007,
    0x7ffcc6ff,0x7ffc8000,0x15dfff90,0x0bfffea0,0x0003ffe6,0xe881fff2,
    0x2601efff,0x800ffffe,0x8000fff9,0x7fc47ffc,0xf880001f,0x400001ff,
    0xf8005ffc,0x220002ff,0x201efffe,0x80ffffe9,0x22007ff9,0x646ffffe,
    0xf30006ff,0xffd105ff,0xfdb9dfff,0x3209ffff,0xf30006ff,0x7f4405ff,
    0xdccdffff,0x00efffff,0x000dff90,0xf88bffe6,0x880001ff,0x00001fff,
    0x4002ffe4,0x40002fff,0xdfffffe8,0xfffffdcc,0x0fff300e,0x6ffff980,
    0x0001fffc,0x3620dffd,0xffffffff,0x3e03ffff,0x3a0003ff,0xffc806ff,
    0xffffffff,0x7fc004ff,0x3fa0003f,0x3fffe26f,0xffffffff,0x17ffffff,
    0xffffffff,0xffffffff,0xbff90fff,0x05fff000,0x3fff2000,0xffffffff,
    0x3ffcc04f,0x37ffe400,0x0001fff5,0x500fffdc,0xfffffffb,0x7fd4039f,
    0x3ee0000f,0xfb8801ff,0xbfffffff,0x7ffd4000,0x3fee0000,0xfffff11f,
    0xffffffff,0x22ffffff,0xffffffff,0xffffffff,0x5ffc87ff,0x02fff800,
    0x3fee2000,0x0bffffff,0x007ff980,0x366ffe88,0x440005ff,0x98804fff,
    0xb0019aa9,0x88000bff,0x44004fff,0x00009aa9,0x00017ff6,0x3e29fff1,
    0xffffffff,0xffffffff,0xfffff17f,0xffffffff,0x90ffffff,0xff000bff,
    0x2000005f,0x0009aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3600bf10,0x17baa1ee,0x7744eeb8,0xee98001e,
    0x001776c5,0x02600000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0732a000,0x0aefb880,0xf517ffc0,0x2ffe40df,0x20007ffe,0x7ff46ffa,
    0xec980003,0x81bceffe,0x93000ef9,0x17bdfffd,0xefec8800,0x1bf6000c,
    0x0000bfd0,0xbfffdb71,0x88000159,0xceeffedb,0xbff00001,0xffb1bf60,
    0xffff7007,0x3e03dfff,0x1bfea2ff,0x7fc5ffc8,0xffa8001f,0x001fff46,
    0xfffffd50,0x219fffff,0x5c00eff8,0xfffffffe,0x9800dfff,0x1ffffffe,
    0x402ff980,0x220007fc,0xfffffffd,0x8004ffff,0xffffffc8,0x003effff,
    0x7c0ffe20,0x01ffec4f,0xffffffd1,0xdb05ffff,0x02f7543d,0xeee89dd7,
    0x5ee98001,0x8001776c,0xfffffffc,0xbfffffff,0x7ec00ffe,0xffefffff,
    0x402fffff,0xffc9cffe,0x806fd806,0xa8001ff9,0xefffffff,0x1effffff,
    0x7dfff500,0xffb53335,0xf50001bf,0x87ff303f,0x3f603ffd,0xfcefaeff,
    0x00001fff,0x00000000,0xfffb0000,0x6cc4137f,0x01ffffff,0x2fffffa2,
    0x3ffb2a09,0x7ff503ff,0x2603ffa8,0x7ff001ff,0xffffb800,0x7ed441ad,
    0x7ec02fff,0xfb8801df,0x7dc001ff,0x41ffa80f,0xff703ffd,0x7457e25f,
    0x332a06ff,0xccccc883,0xcccccccc,0x001ccccc,0x0016664c,0x01dfff90,
    0x09fffd30,0x00dfffd8,0x81ffff98,0x5ff80ffc,0xd801bf60,0x3fe6006f,
    0xff5002ff,0x1ffe40df,0x07ff4c00,0x320dfb00,0x03ffd87f,0x2fc4bffb,
    0x3201fff5,0xfff885ff,0xffffffff,0x2fffffff,0x37ffe400,0x4fff9800,
    0x7fffe400,0x09fff500,0x0effe880,0x6fe83fec,0x4003ff30,0xe8800ffb,
    0x4c000eff,0xffa81fff,0xfd006202,0x82ffc00d,0x3ffd86fd,0x7c43fff0,
    0xc817ffc5,0xfff885ff,0xffffffff,0x2fffffff,0x7ffffc00,0xfffe8001,
    0x3ffee000,0xdfff03ff,0x3ffe6000,0xfd837f44,0x800bfd07,0xfc802ff8,
    0xfb0001ff,0x84ff88bf,0xadfffec9,0x4027fc40,0x9ff03ff8,0xf107ffb0,
    0x445f88ff,0x42ffe400,0xaaabfff8,0xaaaaaaaa,0x2a000aaa,0x005ffdff,
    0x001fffcc,0xfff99ff5,0x02fffa81,0xd1fff600,0x21ff60df,0xe8001ffa,
    0x4fff804f,0x17fe6000,0xfff30df9,0x50bfffbd,0x666541ff,0xcccdffdc,
    0x1cceffcc,0x3fe07ffb,0x0017e22f,0x3e217ff2,0x000001ff,0xfff1ffb0,
    0x37fe4001,0x26bff300,0x7fec3fff,0x7fd40005,0x741ff61f,0x005fe85f,
    0xf980df90,0x0c0001ff,0x7fcc2ff8,0x417fd40d,0x3fff23fe,0xffffffff,
    0x3fffffff,0x3f607ffb,0x0017e24f,0x3e217ff2,0x000001ff,0xff96ff88,
    0x27ff4007,0x746ff980,0x1fffc4ff,0x3ffe2000,0xf107fee4,0x01ffa89f,
    0x403ff500,0x0000fffc,0xfe87fa80,0x703fea05,0x7fffe4df,0xffffffff,
    0xb3ffffff,0x3fee07ff,0x000bf13f,0xff10bff9,0x0000003f,0x3fe69ff7,
    0x0fffe006,0x903bfe20,0x7ffc4bff,0xfff80002,0x447bfe25,0x2ff40ffd,
    0x07ff1000,0x00037fec,0x7c44fc80,0x4404c01f,0x13fe00ff,0xffd837f4,
    0xdfffd103,0xf9000bf7,0x3fff10bf,0xfd000000,0x017ffc3f,0x2017ffc4,
    0xfb80ffe8,0x07ffe67f,0x1bff6000,0xfffdfff7,0x001ffa87,0xfd02fec0,
    0x200000bf,0x03fcc3fd,0x4407fe00,0x09ff03ff,0xe880fff6,0x1bffffff,
    0x217ff200,0x0001fff8,0x23ffcc00,0xf9805ffc,0x7ff401ff,0x21fff501,
    0x0000fffa,0xfa87ffc8,0xfe82ffff,0x7fb80005,0x000fffe0,0x2e17f400,
    0x7f40006f,0x303ff502,0x3ff605ff,0x7ffe4403,0x803fffff,0xff885ffc,
    0x4000001f,0x7fcc4ffd,0x7ffcc00f,0x80bff600,0xff50fffa,0xf700001f,
    0x26a620ff,0x980ffa80,0x7cc00abb,0x07fff01f,0xffffff30,0x3fa9ffff,
    0x0002fe41,0x7fe40bfa,0xb01ffb80,0x6d4007ff,0x0dffffff,0x2217ff20,
    0x00001fff,0x207ffe20,0x7c403ffe,0x5ff901ff,0x2a7ffb80,0x80001fff,
    0x20006ffc,0x7ff444fe,0x7fc01eff,0x007fff04,0xfffffff3,0x0bf69fff,
    0xf8000df7,0x20dfb01f,0x3ff607fc,0x677c4003,0x3205ffff,0xfff885ff,
    0xeeeeeeee,0x02eeeeee,0xf706ffb8,0x5fff00ff,0x9007ff70,0x7ffccfff,
    0xffd80002,0x1ff70004,0x7ef7ffc4,0x1bf201ff,0x4c027ff4,0xffffffff,
    0x987f94ff,0x80bb807f,0x09ff00ff,0xffd817fa,0x8afc4003,0xf903fffc,
    0xffff10bf,0xffffffff,0x005fffff,0x3e207ffd,0x7ffc02ff,0x8027fd43,
    0x3fe26ffd,0xff80003f,0x9ff0003f,0x3e63ffb8,0x03fea06f,0x00017ff6,
    0x37dd3ff6,0xf980ffe2,0x953fd42f,0x999dff99,0x999dff99,0x00fff639,
    0xffd8bf10,0x10bff906,0xffffffff,0xffffffff,0xfff9805f,0x017ff600,
    0x7fccdffb,0x13ffe005,0x80009ffd,0x8002fff8,0x2ffc0ffb,0xf880ffdc,
    0x0fffb82f,0xa7fec000,0x7fdc1ff8,0xd87fe882,0x3ffff24f,0xffffffff,
    0xb3ffffff,0xf88007ff,0xc83ffdc5,0xfff885ff,0x9999999a,0x00999999,
    0x2a02ffe4,0x3ea00fff,0x06ff99ff,0x707ffee0,0x40001fff,0x4000fffb,
    0x7fc44ff8,0x202ff983,0xfff885fe,0x7fec0003,0x3f613f64,0xfffebbdf,
    0xf907fc41,0xffffffff,0xffffffff,0x20fff67f,0x2fc42ba8,0x3203ffe2,
    0xfff885ff,0xff000001,0x999999bf,0x809fff99,0x0effdffe,0x0dfff100,
    0xb80bfff1,0x27ffcc0d,0x207fdc00,0xff883ff9,0x6c1fee03,0x20000fff,
    0x3fe64ffd,0xfffffb82,0x05fe81ef,0x3fe41bf6,0x2e0fff60,0x22fc45ff,
    0xfc80fff9,0x1fff885f,0xffa80000,0xffffffff,0x407fffff,0x00fffffa,
    0x40bfff20,0x3a01fffc,0xfffd0cff,0x4ff88001,0xf882ff98,0x07fe604f,
    0x0017ffe6,0x7e44ffd8,0xbcca880f,0x401ff902,0x0bfd04ff,0xf983ffd8,
    0x322fc47f,0xbff907ff,0x003fff10,0xffffb000,0xffffffff,0xe805ffff,
    0x32004fff,0x7f404fff,0xfff903ff,0x005fffdf,0xf101ff90,0x07ff307f,
    0xff703ff8,0x74c001df,0xffe84fff,0x5ff90001,0x441ffc40,0x7fec04ff,
    0x447fff03,0x82fff45f,0xff885ffc,0x4400001f,0x9999afff,0xfe999999,
    0x7ffec05f,0x3fa600df,0x7cc00eff,0xb880dfff,0x005fffff,0x3e04ff88,
    0x02ffa84f,0xffb037ec,0x510159ff,0x05fffffb,0x0017ffd1,0x500fffa6,
    0x5ff303ff,0x903ffd80,0x57e23fff,0x901fffc8,0xfff10bff,0xfb800003,
    0x7fdc006f,0xffffb01f,0xb97bdfff,0x01bfffff,0x3ffffa60,0xfffecbde,
    0x4000cfff,0x3f600ffc,0x403ff40f,0x3f200ffb,0xddffffff,0xcfffffff,
    0x67ffec00,0x7ff54c09,0x07fc801f,0xfd801ff7,0xfffd103f,0xfff7df59,
    0x2ffe409f,0x000fffc4,0x00fffa00,0x909fff10,0x3ffee7ff,0xffffffff,
    0xfd88003f,0xffffffff,0x3fffffff,0x807ff100,0xfeacfff9,0x2ff8802f,
    0x7ffffd40,0xffffffff,0x3faa001e,0xfffeffff,0xfb000dff,0x201ff20d,
    0x3a203ffd,0xffffffff,0x7fe404ff,0x01fff885,0x3ffe6000,0x7ffc8000,
    0x3221ffcc,0xeffffffe,0x64c0000b,0xefffffff,0xefffd88b,0x007fe401,
    0x7fffffd4,0x013fa004,0x7ffffed4,0x0002ceff,0x3fffff6a,0x7c000bef,
    0x00bfd04f,0xffec8800,0x802effff,0xff885ffc,0x3200001f,0xf30006ff,
    0x804b85ff,0x00009aa9,0x13553300,0x803ffa60,0x26003ff8,0x4002ceec,
    0x998002a9,0x000000aa,0x80001331,0x035501aa,0x7dc40000,0x3f2000ae,
    0xffff885f,0xffffffff,0x47ffffff,0x20003fff,0x00006ffe,0x00000000,
    0x000004a8,0x00000000,0x00000000,0x00000000,0x05f88000,0x885ffc80,
    0xffffffff,0xffffffff,0x3ffea7ff,0x3fee0000,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9000bf1,0xffff10bf,
    0xffffffff,0x4fffffff,0x40005ffd,0x0004fff8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000f2000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8800000,0x3cc8803c,0x00001a80,0xddffdb71,0x73000039,0x157bdfdb,
    0xecb98000,0x001ceeff,0xb805fd80,0x000ceffe,0x000bfa20,0x2000efd8,
    0xbdfffeb8,0xdd930000,0x0017bdff,0x2fbbb2a2,0x1dfb0000,0x300dff30,
    0x77d40bff,0x910000ef,0xffffffff,0x10007dff,0xfffffffd,0x10007fff,
    0xfffffffb,0x0003bfff,0xfd301ffc,0x03ffffff,0x05fff300,0x007fee00,
    0xffffffb8,0x2a002fff,0xfffffffe,0x6c00bfff,0x05ffffff,0x301ffb80,
    0xff300dff,0x3d8a740b,0xefffa800,0xfda999ab,0xf3000dff,0xffffffff,
    0x4009ffff,0xfffffffa,0x3fffffff,0x01ff9800,0xfbbffff1,0x22001fff,
    0x002ffffb,0x2004ff88,0xfcdefffb,0xc802ffff,0xfeffffff,0x00efffff,
    0xfb115ff7,0x7fc4003f,0x01bfe604,0x7cc17fe6,0xfb001aa0,0xf71003bf,
    0xff9803ff,0x75441bff,0xfd806fff,0x2609cfff,0x05ffffeb,0xfb03fe40,
    0x7ff441bf,0xdfff8804,0xfe8002ff,0x3ffea006,0x0fffda84,0x2fffffa0,
    0x6fffea80,0xff887970,0x01bfa004,0xf300dff3,0x9917c0bf,0x01ffe400,
    0x007ff4c0,0x2e00dff9,0x3ea01fff,0xe8801eff,0x3a003fff,0x0bffe04f,
    0x2201bfee,0x02ff98cf,0x0007fe40,0x7c40dffd,0xfff904ff,0x3fff2009,
    0x07ff2004,0x2007fe40,0xf9806ff9,0x373f205f,0x5ff5001f,0x06fe8000,
    0xd8003ffe,0xfff104ff,0xffd8800b,0x2ff8800f,0x260fff10,0x4c1007ff,
    0x3e6002ff,0x3fe2003f,0x37fe403f,0x0027ffd4,0x9003fff6,0x26005fff,
    0xff9803ff,0x05ff9806,0x8800e6d4,0x3bbaa4ff,0x880bcdee,0x7ff984ff,
    0x837fd400,0x8000fffc,0xa805fff8,0x3ffe00ff,0x005ffb81,0x1002ff98,
    0xf9800bfd,0x77c400ff,0x037ff40c,0x027ffc40,0x20077ffe,0xf3005fe8,
    0xbff300df,0xdf900000,0xffffffb8,0xffa81eff,0x007ffcc0,0x9819bd10,
    0x20003fff,0x6400fffb,0x37ff406f,0x40017fec,0xfb002ff9,0xffa8001f,
    0x7fcc0007,0xbf90002f,0xffca9807,0x007fec03,0x9806ff98,0xdca885ff,
    0x200bcefe,0x4f7dc2ff,0x06ffb999,0x9fff07fd,0x7fdc0000,0x7fc40007,
    0x027fc03f,0x6c53ffea,0xf30007ff,0x5ff5005f,0x1fff5000,0x3ffe4000,
    0x20001000,0x3fea07fd,0x1ffe6002,0xd517fea0,0xffffffff,0x70ff507f,
    0x07fe60bf,0x3ff61bee,0xc80000cf,0xf80005ff,0x3fe606ff,0xcfffc801,
    0x0000effe,0xf8805ff3,0xff10004f,0x7f40003f,0x8800006f,0x1ffc80aa,
    0x4004ff88,0xfa807ff9,0x3ffff25f,0xffffeddf,0x7dc27e43,0x103ff105,
    0xfff981ff,0x0001beff,0x00009ffd,0x7dc0fffb,0x3fffa007,0x4c0004ff,
    0x37ec02ff,0x13ffa000,0x05fff800,0x5fe88000,0xfe83ffc4,0x7ff98006,
    0xf35ffa80,0xfd3019ff,0xb83fd8df,0x40df905f,0xffe881ff,0x1bdfffff,
    0x007fff00,0x40fff900,0xfb1005fd,0x00007fff,0x7dc05ff3,0xb330001f,
    0x33333dff,0x07fff001,0x3fea0000,0x83fffdcf,0x98001ffb,0x7dc00fff,
    0x80dff95f,0x3fa1fff8,0xcccefb82,0x3a02ffec,0xfff9102f,0x7dffffff,
    0x017ffc40,0x07ffd400,0x5c01ffc4,0x06ffffff,0x02ff9800,0x20007ff3,
    0xfffffff9,0x4402ffff,0x00002fff,0x3fffff20,0x03ff983f,0x03fff300,
    0xffb5ffd8,0x43ffd003,0xfffb81fe,0x400cffff,0x6dc402fe,0xffffffff,
    0x1fff980d,0xfff98000,0x400ffa81,0xffcefffd,0x9980005f,0x700bfd00,
    0xffff9859,0x2fffffff,0x017ffc40,0x2aa20000,0x5fe8809a,0x7cc2cb80,
    0x3fe606ff,0xfd80045f,0x2e0bf62f,0x1efdbaef,0x4001ff80,0xfffffdb9,
    0x17ffc41e,0x7ffd4000,0x6c06fc80,0x3ff64fff,0x02f7e23f,0x01ff9000,
    0x5443ffb8,0xaadffeaa,0x7fc400aa,0x0000003f,0x801ff900,0x7fcc3ffc,
    0xfff884ff,0x32a2005f,0x0ff22fff,0x1ff717ee,0x0000ff80,0x43ffff54,
    0x80003fff,0x9fd07ffc,0x21fffd40,0xf71fffe8,0xfa8000ff,0x7ffd402f,
    0x02ffe403,0x005fff80,0xfa800000,0x7ffd402f,0x7ffffcc3,0xffffebcf,
    0xedba885f,0x2fffffff,0x17ee1bee,0x7fa817f6,0x3ff20000,0x027ffc2f,
    0x437fec00,0x3fe02ff8,0xffff305f,0x0009ffd1,0x26027fc4,0x5c03ffff,
    0xfd0005ff,0x000000df,0x404ff880,0x4c3ffff9,0xffffcfff,0x25ffafff,
    0xffffffc8,0x22fffeff,0x2fdc1ff8,0xfd81ffc4,0x000aaa24,0x3f227fec,
    0xfe80006f,0x207fb84f,0x2a02fff9,0x0fffefff,0x03bf6000,0x3ffeff88,
    0x001ffec0,0x0007ffc8,0x0002b3a2,0xf8803bf6,0x7cc3ffef,0xdffff96f,
    0x7fc57fe5,0x1aceffff,0x4fd85ffb,0xffb82fdc,0xf107fc41,0xf70001ff,
    0x1fff98df,0x3ffea000,0x2a05fd81,0xffc807ff,0x20005fff,0x3a201ffb,
    0x403ff8ef,0x30001fff,0x20003fff,0x4000fffb,0x3a201ffb,0x4c3ff8ef,
    0x0054c6ff,0x806ffffa,0x7fcc2ffe,0xfe817ee2,0x7f42ff45,0xffa8003f,
    0x006fff85,0x7c1bffa0,0x3ffea03f,0xffffd801,0x7ff30002,0xff0ffd80,
    0x037fcc07,0x017ffe00,0x002fff40,0xfb00ffe6,0xf30ffe1f,0xff3000df,
    0x5fff003f,0x2a61ff90,0x642aa601,0x6ffc80ff,0x83ffd800,0x8003fffa,
    0xf983fffb,0x3ffe201f,0xffff9804,0x0dfd0002,0x3fe1ffc8,0x003ff203,
    0x03fff700,0x02fffb80,0x32037f40,0x30ffe1ff,0xf7000dff,0xfff300bf,
    0x007ffa05,0x9817fe40,0x5000efff,0x3f601fff,0x3f2004ff,0x0ff905ff,
    0x880ffff0,0x02fffffe,0x7007fe40,0x03ff85ff,0x00007ff5,0x4007fffa,
    0x4006fff9,0x3ee00ffc,0x261ffc2f,0xfc8006ff,0xfffd806f,0x17ffd102,
    0x0fffa600,0x15ffffd0,0x1bfff620,0x1efffe88,0x3ffffa60,0x5009fd00,
    0x3a60bfff,0x2fffffff,0x805ff300,0xfffffffd,0x3fee2fff,0x09acccbf,
    0xfff30288,0x3f22059f,0x2a000fff,0x7fec02ff,0xffffffff,0x000dff32,
    0x6c05fff7,0x6c03ffff,0x4c09cfff,0x801fffea,0xffffffe8,0xfffffecd,
    0xfffe8805,0xffdccdff,0xf100efff,0x3ff6005f,0xffecacef,0xffffaaff,
    0x02ffc403,0x77777764,0xff51eeff,0xffffffff,0x3ffd9bdf,0x3ffffea0,
    0xfffdcbdf,0x3e2001ff,0xeeec805f,0x1eeffeee,0x1000dff3,0x5159ffff,
    0x9fffffd7,0xffffd500,0xbfffffdf,0x7fec4001,0xffffffff,0x7e4004ff,
    0xffffffff,0x7d404fff,0x3ff2000f,0xefffffff,0x017ffea0,0x80001dfb,
    0x7ffc43ff,0xffffffff,0x04ffffff,0x3fffffa6,0x1effffff,0x0077ec00,
    0xf30ffe00,0x3ea000df,0xffffffff,0x006ff9ae,0x3fffff6a,0x20000bef,
    0xffffffc9,0x10002cef,0xfffffff7,0xdfb0017f,0xfffd5000,0x3e609dff,
    0x00ffd406,0x6c1ffc00,0x75cc09cf,0x03efffff,0xfffffda8,0xb8002eff,
    0xf80001ff,0x0009983f,0x3ffffa60,0x0fffc4ff,0x004cc400,0xaa998000,
    0x98800001,0x540009aa,0x54c0001a,0x44013001,0x900004ff,0x20011059,
    0x0000aaa8,0x00035533,0x00027fc4,0x00002cc8,0x004d4c40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3aa1eee8,0x3bb2004e,
    0x2a20001e,0x000cdeec,0x77543ddd,0x776c4004,0xdd900004,0x3ba6003d,
    0x3a60004e,0x400004ee,0x4001eeec,0x00035300,0xb982cca8,0x002defed,
    0x0002fe88,0x3e009ff3,0x17fee1ff,0x05ffe880,0xffffe880,0xf804ffff,
    0x17fee1ff,0x7ffffd00,0xfff88000,0x7ffdc004,0x3fee0001,0xf100001f,
    0x754009ff,0x0bfa2dff,0x7fe41620,0x7ffffdc3,0x3000dfff,0x20005fff,
    0x3fe006fe,0x017fee1f,0x003fff30,0x6f7fffcc,0x404ffffd,0x3fee1fff,
    0x37ff2005,0x20001ffe,0xb0005ffc,0xd8000bff,0x900005ff,0x7cc00dff,
    0xffffffff,0x83fdc00f,0x3fee3ffc,0xffffddff,0x7ffdc405,0xffc8002f,
    0x87bba000,0xa8004eea,0x3fa005ff,0x7fe441ff,0x87bba02f,0xf5004eea,
    0x1fff31ff,0x1fff1000,0x0fff4000,0x07ffa000,0x1fff1000,0x546fe400,
    0x804ffffd,0x7ff907ff,0x702fffea,0x3e203fff,0x002ffdff,0x0001ffcc,
    0xff900000,0x1fff7001,0x002fff40,0x7ffcc000,0x001bff22,0x00007ff2,
    0x80009ff1,0x40005ff8,0x5c001ffb,0x005d441c,0x36007ff8,0x3ffa04ff,
    0xf319f103,0x7f44005f,0x00000005,0xd8009980,0x7fcc03ff,0x4000000f,
    0x99981998,0x004c4000,0x00198800,0x00019880,0x000004c4,0x01ffe000,
    0x7007ffc4,0xf30407ff,0x7fec005f,0x00000000,0x3ffc0000,0x00000980,
    0x00000000,0x00000000,0x00000000,0x7c000000,0xfff1007f,0x002ffd80,
    0x2a005ff3,0x260002ff,0x01bdeedb,0x3fb72a20,0xff100bce,0xca80000d,
    0x001bdefd,0x5ef76dcc,0x76dcc001,0x4c001bde,0x01bdeedb,0x6f7ee540,
    0x6e54001b,0x2001bdef,0xcefedca8,0xff99300b,0x32a1999f,0x207ff9ac,
    0x26007ff8,0xff8802ff,0x3ff20004,0x03ffffff,0xfffffea8,0xfa83ffff,
    0xb100005f,0xffffffff,0x3fff2009,0x003fffff,0xfffffff9,0x3ff2007f,
    0x03ffffff,0xfffffd88,0xd8804fff,0xffffffff,0xfffea804,0x83ffffff,
    0xfffffffa,0xf37ff91f,0x1ffe40df,0x005ff300,0x22000dfd,0xeddefffe,
    0xf900efff,0xfdbbffff,0xffb87fff,0xff980004,0xfffddeff,0xffd100ef,
    0xfffdbbdf,0x3ffa201d,0xfffeddef,0xfffd100e,0xdfffdbbd,0x3fffe601,
    0xeffffdde,0xdffff300,0x1dffffbb,0x3fffff20,0x3ffffedd,0x77fff74c,
    0x57ff90ee,0x3fe20dff,0x17fcc007,0x0007fee0,0x4c0f7fec,0xff984fff,
    0xffe980cf,0x002ffdc6,0x40f7ff40,0xfb05fffa,0xfff303df,0x07bff609,
    0x6c13ffe6,0xff981eff,0x3dffd04f,0x20bfff50,0xfa81effe,0xfff985ff,
    0x6ffe980c,0x7e41ffe0,0xb06ffabf,0xf98007ff,0x0ffe602f,0x07ffd400,
    0xc83fff10,0x7fc406ff,0x01bfea1f,0x01dff900,0x2a17ffcc,0x3e200fff,
    0x7ffd41ff,0x07ffe200,0x4401fff5,0x7fe41fff,0x3ffe600e,0x0077fe42,
    0xfc85fff3,0x7ffc406f,0x320fff01,0x86ffabff,0x4000fff8,0xfd102ff9,
    0x7ff4000b,0x45ffb802,0xfe801ffd,0x01ffe61f,0xff88e65c,0x6ffc802f,
    0x5c017ff4,0x17ff45ff,0x3a2ffdc0,0xffb802ff,0x00bffe25,0xff89bff2,
    0x6ffc802f,0x7400ffec,0x0fff01ff,0x3feafff2,0x00fff986,0xc817fcc0,
    0xf30000ff,0x3fe200ff,0x3f600107,0x07ffe22f,0x7cc7ffa0,0xfff1006f,
    0x401ffe61,0x3fe67ff8,0x4fff1007,0xf1007ff9,0x037fccff,0xf30fff88,
    0x3fe200df,0xfb00080f,0x41ffe05f,0x6ffabffc,0x000bfff0,0x5ff50133,
    0x03597510,0x7c00dff5,0x544000ff,0x7ec2fffc,0x3ffcc05f,0x7c00bff7,
    0x0dff51ff,0xfa87ffc0,0x3ffe006f,0x400dff50,0xbff70fff,0xb8fffc00,
    0x3fe005ff,0x6544001f,0xfff02fff,0x3eafff20,0xdfff706f,0xff100001,
    0xfffff709,0xffffb8bf,0xffffffff,0x5101ffff,0xfffffdb7,0xfff885ff,
    0x49ffd103,0x3a004ffc,0xffff72ff,0xffffffff,0x3ee3ffff,0xffffffff,
    0x1fffffff,0xfffffff7,0xffffffff,0x013ff23f,0xff92ffe8,0x17ff4009,
    0xffedba88,0xf02fffff,0x2fff20ff,0x3f206ffa,0x40002fff,0x7fcc0efd,
    0x23fffcce,0xfffffffc,0xffffffff,0x7ffe442f,0xffefffff,0xdfffb82f,
    0x6fffda9b,0xb001ffec,0x3fff27ff,0xffffffff,0xf92fffff,0xffffffff,
    0x5fffffff,0x3ffffff2,0xffffffff,0x07ffb2ff,0xfd9ffec0,0x3ff6003f,
    0x7fffe443,0xfffeffff,0x320fff02,0x06ffabff,0x027fffdc,0xe81ffb80,
    0x326ff86f,0xccccceff,0xcccccccc,0x3ffffe21,0xffb1acef,0x3fffee05,
    0x40efffff,0x36003ffd,0x9dff93ff,0x99999999,0x3f239999,0xccccccef,
    0x1ccccccc,0x9999dff9,0x99999999,0x00fff639,0xffb3ffd8,0x1ffec007,
    0xdffffff1,0x0bff6359,0xffc83ffc,0x9806ffab,0x4004fffe,0x35303ff9,
    0x7fdcffb0,0xffe80005,0x3ffa01bf,0x3fff6602,0xff903fff,0x97ff4009,
    0x40005ffb,0x40005ffb,0x40005ffb,0x3a004ffc,0x09ff92ff,0xfd17ff40,
    0x7f4037ff,0x20fff02f,0x6ffabffc,0x0fffb100,0x8006fe80,0x3fe64ff8,
    0x7fcc0007,0x2fff801f,0x00aff980,0xf002ffd4,0x1ffe63ff,0x0fff3000,
    0x07ff9800,0x02ffd400,0x3ea3fff0,0x3ffe005f,0x003fff31,0x3fe05fff,
    0xf57ff907,0xffe800df,0x01ff9002,0x21ffe880,0x9801fff8,0xbff70cef,
    0x05fff300,0x8039ff90,0xa800fff9,0x3ffe27ff,0x0cef9801,0x3003fff1,
    0x3fe219df,0xcef9801f,0x001fff30,0x7fccfff5,0x7ffa800f,0x26017fee,
    0xfff02fff,0xf57ff901,0xffc800df,0x02ffa804,0x417ffcc0,0xfe806ffd,
    0x01bff26f,0x200bfff6,0x401ffeb9,0xfe805ffe,0x037fec5f,0x3f637ff4,
    0x6ffe806f,0x74037fec,0x2fff46ff,0x3a2fff40,0xffe805ff,0x201bff25,
    0xff02fffd,0x57ff901f,0x00eb8dff,0xf8809ffb,0x7fdc005f,0x9fff101e,
    0x717ffe40,0x7ec05fff,0x22003fff,0x7fcc05ff,0xfffb103f,0x04fff881,
    0xf10bfff2,0x7fe409ff,0x27ffc42f,0x985fff90,0xfb103fff,0xfff981ff,
    0x1fffb103,0xb017ffdc,0x3e07ffff,0xbffc82ff,0x3ff26ffa,0x02fff986,
    0x880077ec,0x6400dffd,0xc99befff,0x7c45fffe,0xba8acfff,0x04fffffe,
    0x3ff6e662,0xdfffc802,0xfffeb99b,0x7dfff901,0xbfffd933,0x2fbfff20,
    0x5fffec99,0x37dfff90,0x0bfffd93,0x26f7fff2,0x01fffeb9,0x337bfff9,
    0x883fffd7,0xa8acffff,0x4fffffeb,0x3dbfffd0,0x3feafff2,0x2fbffa26,
    0x405fffc9,0x3a001ffb,0x3ee004ff,0xffffffff,0xffff505f,0x35dfffff,
    0x7fe40dff,0x2e006fff,0xffffffff,0x7fdc01ff,0xffffffff,0x7fffdc05,
    0x05ffffff,0x7fffffdc,0x5c05ffff,0xffffffff,0x7fdc01ff,0xffffffff,
    0xfffff501,0xf35dffff,0x3ffee0df,0x57ff93ff,0xfff88dff,0x00ffffff,
    0xd8013fe2,0xccccceff,0xfffb100c,0x9805dfff,0x4ffffffe,0xeb80fffc,
    0x4000beff,0xdfffffd9,0xffb1000b,0x005dffff,0x3fffff62,0xfb1002ef,
    0x05dfffff,0x3ffff660,0xb3000bdf,0x17bfffff,0xffffe980,0x0fffc4ff,
    0x94fffeb8,0x0dff57ff,0x9ffffd93,0x006fe801,0x3fffffe6,0x8801ffff,
    0x440009aa,0x000009a9,0x0d440000,0x4d544000,0x2aa20000,0x2a200009,
    0x2200009a,0xa880001a,0x35310001,0x13100001,0x26a20000,0x01ffc800,
    0x333332a0,0x000ccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x159b9500,0x00ccc880,
    0x404cc980,0x0004eed8,0x400d4c02,0x3baa0eee,0x372a2004,0x3620001b,
    0x4c4004ee,0x99999999,0x75100199,0x8000359b,0x8001eeec,0x10003ccb,
    0x00379b75,0x179b7510,0xa84ccc80,0xeffffffe,0x03fff100,0x80fff500,
    0x003ffffe,0x856fff54,0xfff803fe,0x2017fee1,0xffffffc8,0xffe8004f,
    0x3f2003ff,0xffffffff,0x7ec01fff,0x0cffffff,0x4fff8800,0x0dffb000,
    0xfffff700,0x2e003dff,0xcfffffff,0xb8ffff00,0xffffffff,0xfff880ef,
    0x7ffa8001,0x3fb7ff20,0xfff3001f,0x1fffffff,0x5c3fff00,0x7f4405ff,
    0xffffffff,0xbff9000d,0x3a003ffd,0xffffffff,0xd101ffff,0xffffffff,
    0xff9000df,0x7fec000b,0x7ffec006,0x2fffffff,0x3ffffa20,0x81efffff,
    0x3fe67fff,0x3ffaa0cf,0x0fffc40e,0x83ffd400,0xff98fffa,0x8dfb800f,
    0x04ffffda,0x7541ddd0,0x7ffec04e,0xdfff931c,0x31fff500,0xff001fff,
    0xdddddddf,0xff103ddd,0x3ee217df,0x3e2004ff,0x360000ef,0x3ee006ff,
    0xfd712dff,0x3ff601ff,0x3ff660cf,0xd3fffc0f,0x3fa209ff,0x0fffc43f,
    0x43ffd400,0x3f22fff8,0x81cb806f,0x000000ba,0x407ffea0,0x2602fff8,
    0x3ff22fff,0x037fc406,0x03ffee00,0x8007ffd4,0x00001ffc,0x09fff000,
    0x7d42fffc,0x3ff203ff,0xfabfffc4,0x3fea00ff,0x00fffc46,0x443ffd40,
    0x09998199,0x00000000,0x027fec00,0x98813ff6,0x00999819,0x00017fea,
    0xfe805fff,0x0131003f,0x26000000,0x3ee01fff,0x05ffe87f,0xff0fffc4,
    0x017ff6ff,0xff887ffe,0xffa8001f,0x00000007,0x40000000,0x7d401fff,
    0x8000006f,0x20003ffb,0xea804ffb,0x0000003e,0x70009988,0xff880dff,
    0x03ffe20f,0xfe8ffee0,0x005ffd7f,0x7fc49ff9,0xffa8001f,0x3bf72a07,
    0x654001bd,0x001bdefd,0x3bfb72a2,0x014c00bc,0x22037fd4,0xbcefedca,
    0x00ffec00,0x003ffd00,0x76e54400,0x8000bcef,0xf5004ffb,0xfff880ff,
    0x401ffe60,0x3ffa5ffa,0x800fff8e,0x3fe26ffa,0xffa8001f,0xffffd887,
    0x8804ffff,0xfffffffd,0xffea804f,0x3fffffff,0x4ffc8000,0x3ffffaa0,
    0x203fffff,0x20000ffe,0x200007ff,0xffffffea,0x64003fff,0x3fe003ff,
    0x1bff202f,0x2600dff7,0x3bff67ff,0xf3007ff9,0x0fffc4ff,0x23ffd400,
    0xddeffff9,0x300effff,0xfbbdffff,0x3201dfff,0xeddfffff,0x0003ffff,
    0x6407ffe6,0xeddfffff,0xf883ffff,0x9dfd956f,0x22ffc405,0x8009bca8,
    0xddfffffc,0x003ffffe,0xd800bff6,0xfff105ff,0x005ffa87,0x3f61fff3,
    0x007ffadf,0x3e21fff3,0xfa8001ff,0x0f7ff47f,0xe82fffd4,0xffa81eff,
    0xcfff985f,0x06ffe980,0x7ffed440,0x19fff303,0x30dffd30,0xffffddff,
    0xf301bfff,0x3fffa29f,0x3e602fff,0xfe980cff,0xfff1006f,0x7ff44001,
    0xfffda9cf,0x03ffcc0d,0xf91fffa8,0x00dff5bf,0x7c43ffe2,0xfa8001ff,
    0x03bff27f,0x642fff98,0x3e600eff,0x37fe42ff,0x007ffe20,0x0ffffff4,
    0x880dff90,0x7fdc1fff,0xfffeffff,0x7fd41fff,0xffffff9c,0xff905fff,
    0x1fff880d,0x02fff440,0xfffffb80,0xff102fff,0xfffb003f,0x3ef3fee3,
    0xfff1006f,0x007ffe21,0x7c5ffea0,0xffc802ff,0x00bffe26,0xffb1bff2,
    0x03ffd003,0xdfffff10,0x07ff6017,0xf907ffa0,0x64415dff,0x7fdc6fff,
    0xb99beffd,0xfd83fffe,0x1ffe801f,0x03fffa20,0x3fff2200,0x202effff,
    0x7cc06ffe,0x9ff72fff,0x7c00bff7,0x3fff10ff,0x2fff5000,0xf1006ff9,
    0x1bfe61ff,0x407ffc40,0x05ffb000,0xffd99b10,0x800403ff,0x7ff42ffd,
    0x27ffd405,0x40bffff9,0x0100fffc,0x440bff60,0x8002fffe,0xcbdffffa,
    0x980efffd,0xfa80dfff,0xff51ffff,0x200bff57,0xff10fff8,0xff50003f,
    0x8017feef,0xbff71fff,0x00fffc00,0x3fff2a20,0xffd30002,0x9510001f,
    0x00605fff,0xff93ffe4,0xbffd00df,0xff951000,0xfffd105f,0xfff30003,
    0xdffd301b,0xbffff901,0xfd9ffd97,0x26ffea3f,0xff1006ff,0x07ffe21f,
    0x65ffee00,0x3fa004ff,0x009ff92f,0xa8817ff4,0xfffffedb,0x220002ff,
    0x2a204fff,0xfffffedb,0x4c0002ff,0xfff70fff,0x0dff5005,0x7ff6dd44,
    0xd82fffff,0xd0001fff,0xff880bff,0xffff903f,0x3fa7ffff,0xf35ff30f,
    0x3fe600ff,0x007ffe27,0x7edbff20,0x3ff6003f,0x4007ffb3,0x7e443ffd,
    0xefffffff,0x40002fff,0xfc887ffb,0xefffffff,0x80002fff,0xfff52fff,
    0x1fff1001,0xfffffc88,0x2fffefff,0x0017ffdc,0x800fff98,0x36607ffa,
    0x3e2dffff,0x13ff30ff,0x3ea00fff,0x017ffc7f,0xfdb7fe40,0x3ff6003f,
    0x4007ffb3,0x3fe23ffd,0x1aceffff,0x80005ffb,0x3e20fff9,0xacefffff,
    0x0005ffb1,0x3e65ffd0,0x3ffe007f,0x3ffffe21,0xffb1acef,0x003ffd85,
    0x401bfea0,0x9800fff8,0x227ff881,0x01fff1ff,0xff8bff50,0xffd8003f,
    0x4009ff95,0x9ff92ffe,0xd17ff400,0x74037fff,0x200102ff,0x3fa1fff8,
    0x3fa01bff,0xff80002f,0x01fff11f,0xfe83ffe0,0x3fa01bff,0x00fffc2f,
    0x2ffdc098,0x003fff00,0xf12ffd40,0x00bffa1f,0xffb0fff6,0x7fff000b,
    0xf8017fea,0x0bff51ff,0xf98fffc0,0xfff801ff,0x401bfaa2,0xff30fff9,
    0x5fff003f,0x8803f754,0x3ffe0fff,0x26ff8802,0xf801fff9,0x1ffe22ff,
    0xa87ffc40,0x3fe006ff,0xf900180f,0xf70cc87f,0xfff880bf,0x00fffdc1,
    0x263fff70,0xfa800fff,0x03ffe67f,0xfb9ffea0,0xfff9805f,0x003ffe22,
    0xffb9bfee,0x2fff9805,0x2007ffe2,0x7fe47ffb,0x24ffa804,0xf9805ffb,
    0x0fffc2ff,0xf337fdc0,0xff3001ff,0x402ffe8f,0xf801fff8,0x3fee00ff,
    0x0efff986,0x47ffe880,0xfe805ffe,0x02fff45f,0xff92fff4,0x5fffb00d,
    0x4404ffe8,0x3ff24fff,0x2fffd806,0x22027ff4,0x7fc43fff,0x17ff401f,
    0xfb00dff9,0x5ffe85ff,0x7c4ffe80,0xffd804ff,0x202ffe45,0xf9005ffc,
    0xfff501df,0x3bfff205,0xffff500a,0x03fff985,0x981fffb1,0xfb103fff,
    0x7ffdc1ff,0x3ffff602,0x81fffd43,0x2e0effd8,0x3f602fff,0x7fdc3fff,
    0xdffd103f,0x403fff60,0x3ee0effd,0x3ff602ff,0x7ffdc3ff,0x07fff203,
    0x5c09fff5,0x7fd41fff,0x3fff701f,0x3e23ccb8,0xfca9beff,0x3fa205ff,
    0xedceffff,0x904fffff,0x7337bfff,0x3203fffd,0xb99bdfff,0x7c41fffe,
    0xba8acfff,0x84fffffe,0xa9cffffd,0x441ffffb,0xa8acffff,0x4fffffeb,
    0x9cffffd8,0x01ffffba,0x359ffff1,0x881dffd7,0xa8acffff,0x4fffffeb,
    0x8adfffd8,0x03fffea9,0x337bfffb,0x207fffd5,0xb9adfffd,0xfd83fffd,
    0x7fff4c6f,0x806fffff,0xffffffd8,0x03ffffff,0x7fffffdc,0x5c01ffff,
    0xffffffff,0xfff501ff,0x5dffffff,0x3f60dff3,0xffffffff,0xffff502e,
    0x35dfffff,0xffb10dff,0xdfffffff,0xfffe8801,0x00ffffff,0xfffffff5,
    0xdff35dff,0xfffffb10,0x409fffff,0xffffffc8,0x2203ffff,0xfffffffe,
    0xdffb03ff,0xfffffb10,0xfda8007f,0xcfffffff,0xfffb3001,0x20017bff,
    0xdfffffd9,0x7ff4c00b,0x7fc4ffff,0xfffd501f,0xd3009fff,0x89ffffff,
    0xfd501fff,0x009dffff,0xeffffec8,0x7ff4c01c,0x7fc4ffff,0xfffd501f,
    0x2003dfff,0xffffffe9,0xfff7000d,0x6c03bfff,0x554406ff,0x4cc40001,
    0x400019aa,0x880001a8,0x5310001a,0x31000013,0x31000155,0x10000135,
    0x80001353,0x88000a98,0x800009a9,0x0009aa98,0x0006aa60,0x0009aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20b33220,0x6440000a,0x039950cc,0x00000000,
    0x00e65c00,0x7ddd7000,0x3f6e6000,0x059930bd,0x0037bb60,0x80277744,
    0x3ae0eee8,0x30cca84e,0x0017bfb7,0x0aceeb98,0x33263993,0x4732a004,
    0x3005eed8,0x3faa7fff,0x7fcc0004,0x007ff90f,0xffedb800,0x400002ce,
    0x32a02ffe,0x3600effe,0x7d4007ff,0x9fffffff,0xfa803ffa,0x3fa002ff,
    0xf8802fff,0x17ff21ff,0x3fea7ff2,0x00efffff,0x7fffffcc,0x22ffb8ef,
    0xff002fff,0x17ffd41f,0xffffe880,0x4c0002ef,0x7ff90fff,0x3faa0000,
    0xefffffff,0xffd00001,0x3ffff205,0x7ff4407f,0xffff1003,0xfbfffd9d,
    0x9ffd007f,0x767fec00,0x7fc401ff,0x217ff21f,0xdfffcffc,0x205fffdc,
    0xdcdffff8,0x22ffceff,0xfa805ffc,0x06ffb86f,0x5ffff910,0x3fe60000,
    0x007ff90f,0xbffff500,0x3ffffd99,0x5ffd0000,0xdfffff50,0x0dff300d,
    0x1037ffa0,0x807ffffd,0x2e005ff9,0xfff98eff,0x83bba200,0xffc84eeb,
    0xffe985ff,0x0dffe884,0x17ffff44,0xd801fff3,0x5ffb03ff,0x77ffe440,
    0x300004ff,0x3ff21fff,0x7fc40003,0xffe981ef,0x7f40000e,0x1effc82f,
    0x02ffa800,0x3a02ffe4,0x7ec03fff,0xfff3000f,0x0037fe43,0x5fffc800,
    0xb0bffe20,0x7fc40bff,0x17ff42ff,0x401fff10,0x3ffe06fe,0x01ffe88c,
    0x0fff9800,0x80007ff9,0x2200fffc,0x40004fff,0xffd82ffe,0x02620004,
    0xa803fff0,0x4cc03fff,0x02662000,0x00002666,0x003fff20,0xfff8bff9,
    0x17ffdc01,0xfa817fee,0x00cc405f,0xfff98197,0x7fcc0000,0x007ff90f,
    0x803fff80,0x40006ffb,0xffe82ffe,0x4c000001,0xffd005ff,0x00000007,
    0xf9000000,0xdff100bf,0xf8037fc4,0x7ffc42ff,0x005ffb00,0x455dcc00,
    0x40004ffc,0xff90fff9,0x337f6e27,0x03ffe602,0x301ffe60,0x7f459dd7,
    0x01ffe82f,0x2e00732a,0x09ff51cc,0x654fff20,0x1ccb801c,0x97003995,
    0x00732a39,0x7fe4732e,0x21fff003,0xfb005ffa,0x07ffb05f,0xca80fff1,
    0x3ffee02c,0x1fffefff,0x3ffe6000,0xff57ff90,0x01bfffff,0x26009951,
    0xfff507ff,0xfd1dffff,0x3ff32a5f,0x7ec3ccdf,0x2ffe803f,0x2e007ff9,
    0x07ffb3ff,0x3f65ffd0,0x2ffe803f,0xfd007ffb,0x00bff25f,0xffb8fff4,
    0x05ff9004,0xff70dff5,0x84ffb809,0xfeffffd8,0x005fffff,0x643ffe60,
    0xcdfffeff,0x000efffe,0xb85ffb80,0xfeceffff,0xf92ffeef,0xdfffffff,
    0xe803ffd8,0x05ffb2ff,0x7ecffee0,0x2ffe803f,0xfd007ffb,0x00fff65f,
    0x7fe4bffa,0x25ffb001,0xf7003ffd,0x07ffe05f,0xfb803ffd,0xbfffd84f,
    0x3ffff660,0xfff30000,0x37ffff21,0x02fffcc0,0x0fffe200,0x981bfff1,
    0xd72ffffe,0xbdddfffd,0xe803ffd8,0x07ffb2ff,0x7ecffee0,0x2ffe803f,
    0xfd007ffb,0x00fff65f,0x7fe4bffa,0x23ffd001,0xf7004ffc,0x93ff205f,
    0xfb806ff9,0x0fffd44f,0x007fff90,0x643ffe60,0x3e605fff,0xd10001ff,
    0xffd81dff,0x3fffe205,0x201ffe82,0xfe803ffd,0x009ff92f,0x7fecfff2,
    0xb2ffe803,0xffd007ff,0x200fff65,0x5ff92ffe,0x5c3ffe00,0xff9005ff,
    0xc9bfe605,0xffb803ff,0x401fff44,0x30006ffe,0x3ff21fff,0x2ffe400f,
    0x7fff4400,0x401fff81,0xfe82fffb,0x0fff601f,0x7dcbffa0,0x7ffd005f,
    0x3a00fff6,0x07ffb2ff,0x3f65ffd0,0x2ffe803f,0xf1007ff9,0x037fd4df,
    0x3a02ffd8,0x01ffd1ff,0x7cc9ff70,0xffa800ff,0xff98000f,0x00bff90f,
    0x8800fff3,0xf881fffe,0x5fff006f,0x6c03ffd0,0xffe803ff,0x803fff12,
    0xffb3fff9,0x25ffd007,0xfe803ffd,0x007ffb2f,0x3ff25ffd,0x25ffb806,
    0x4401fff8,0x3ee02fff,0x005ff9bf,0x7fd49ff7,0x3fff1005,0x1fff3000,
    0x7c00fff2,0xfd1000ff,0x3fea03ff,0x05ffd005,0x7ec03ffd,0x2ffe803f,
    0xfb017ff2,0x0fff67ff,0x7ecbffa0,0x2ffe803f,0xfd007ffb,0x0bfff25f,
    0xfc87ffd0,0x7ffe405f,0x2fbfe202,0xff7002ff,0x002ffdc9,0x30005fff,
    0x3ff21fff,0x03ffd002,0x807fff20,0xfb004ffb,0x03ffd05f,0x7401ffec,
    0x3ffe22ff,0x7ffec40d,0x007ffb3f,0x3ff65ffd,0xb2ffe803,0xffd007ff,
    0x07bfff25,0x7c437fec,0xfff503ff,0xfffd805f,0x3fee007f,0x8013ff24,
    0x98003ffe,0x3ff90fff,0x00bffa00,0xb007ffe2,0x3f2007ff,0x01ffe82f,
    0x3a00fff6,0x7ffd42ff,0xefffecef,0x07ffb3ff,0x3f65ffd0,0x2ffe803f,
    0xfd007ffb,0x3ffff25f,0xffeb9acf,0xbfff702f,0xffffb537,0xfffa805f,
    0x3fee004f,0x800fff24,0x98002ffe,0x3ff90fff,0x007ffa00,0x32017fea,
    0xff9003ff,0x403ffd05,0xfe803ffd,0xffff982f,0xffd9efff,0xd007ffb3,
    0x0fff65ff,0x7ecbffa0,0x2ffe803f,0xfffd9ff9,0x805fffff,0xfffffffa,
    0x802ffecf,0x2001ffff,0x3fee4ffb,0x87ffe004,0x3ea00cba,0x05ff90ff,
    0x2003ffe0,0xfa803ffc,0x5ffb004f,0x6c03ffd0,0xfff803ff,0xbfd97102,
    0x6cbff617,0xfff803ff,0xf007ffb2,0x0fff65ff,0x7e4bffe0,0xdffff93f,
    0x3f660017,0xffd3efff,0x0dff9005,0x2a4ffb80,0xff1006ff,0x00fff41f,
    0x7fe4fff5,0x07ff8803,0x3005ffb0,0x3fa00bff,0x01ffe82f,0xf100fff2,
    0x6c0005ff,0x07ff92ff,0xf92fff88,0xfff8807f,0x8807ff92,0x7ff92fff,
    0x40000a98,0x17ff40a9,0x001ffdc0,0xff993fee,0x7ffb800f,0xf7017fec,
    0x037fe4ff,0xb8037fdc,0xfff001cc,0x2fff8801,0x3201ffe8,0x7fcc04ff,
    0x4003512f,0x9ff91ffe,0x92fff980,0xff9809ff,0x809ff92f,0xff92fff9,
    0x80000007,0xfe802ffe,0x7fdc000f,0x2027ff44,0x7e43fff8,0x97ffa05f,
    0x7c01fffc,0x000002ff,0xf9013ffa,0x3ffd05ff,0x2037fdc0,0x3fe2fffd,
    0x3ffdc00f,0xfd80dff7,0x0dff72ff,0xf72fffd8,0xfffd80df,0x0007ff92,
    0x2ffe8000,0x0027fd40,0x3ea27fdc,0xffb103ff,0x19fff50d,0x322fffc8,
    0xd881ffff,0x000006ff,0xb81fffcc,0xfe82ffff,0x3ffe601f,0x5ffff903,
    0xf1027ff4,0x7ffcc9ff,0x5ffff903,0x640fffe6,0xff32ffff,0x3fff207f,
    0x007ff92f,0xffe80000,0x07ffa202,0x213fee00,0x99adfffb,0xb01ffffb,
    0xffbbffff,0xfffc8bff,0xfeb9acff,0x332001ff,0x3fea002c,0xffda9adf,
    0xffe82fff,0x77fff401,0xfdffecab,0x37ffee2f,0xfffdb89b,0xbefffe85,
    0xffdffeca,0x2fbfffa2,0xffdffeca,0x2fbfffa2,0xffdffeca,0x0007ff92,
    0x2ffe8000,0x2fffee6c,0x04ffb800,0xfffffff5,0x7cc03dff,0xffffffff,
    0xfdaffc85,0x1effffff,0x027ffc00,0x3ffffee0,0x2ffcbfff,0x4c01ffe8,
    0xfffffffe,0x6c2ffb9f,0xffffffff,0xffd305ff,0x73ffffff,0x7ff4c5ff,
    0xb9ffffff,0x3ffa62ff,0xb9ffffff,0x07ff92ff,0xfe800000,0x7ffffc2f,
    0xff70000e,0x7ffecc09,0x91004fff,0x09dfffff,0x7fe47ff2,0x8000dfff,
    0x98004fff,0x93efffec,0x3ffd05ff,0xffffb100,0x0bfee3bf,0x3fffffaa,
    0x7ec404df,0xf71dffff,0xfffd885f,0x5ff71dff,0xfffffd88,0x325ff71d,
    0x000003ff,0x3a17ff40,0x0000efff,0x44013fee,0x260000aa,0x2600009a,
    0x7fc0001a,0x54c0004f,0x0fff4000,0x0006a600,0x001bba98,0x40003530,
    0x260001a9,0x1331001a,0x88000000,0x05d44099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xcccccccb,0xcccccccc,0x911ccccc,0x99999999,0x99999999,
    0x33332639,0xaccccccc,0x66664401,0xcccccccc,0x10000abc,0x01579975,
    0x59993000,0x99999000,0x99999999,0x32219999,0xcccccccc,0x3000abcc,
    0x33333333,0x03333333,0xa8166400,0x5c0002cc,0x98002eee,0xffffffff,
    0xffffffff,0xf12fffff,0xffffffff,0xffffffff,0x3fffea5f,0xffffffff,
    0xfff102ff,0xffffffff,0x01bfffff,0x3ffff220,0x0003ffff,0x0037ffe4,
    0x7ffffffc,0xffffffff,0xffff31ff,0xffffffff,0x7cc019ff,0xffffffff,
    0x1fffffff,0x05ffc800,0x80007ff9,0x90005fff,0xffffffff,0xffffffff,
    0x225fffff,0xffffffff,0xffffffff,0xffff52ff,0xffffffff,0xff107fff,
    0xffffffff,0xdfffffff,0xffff8801,0xefffffff,0xffff0000,0xfff8003f,
    0xffffffff,0x31ffffff,0xffffffff,0xffffffff,0x3fffe609,0xffffffff,
    0x4001ffff,0xf905fffa,0x7dc0007f,0xf88000ef,0xfffaacff,0xaaaaaaad,
    0xf10aaaaa,0x555557ff,0x55555555,0x2bffea15,0xcbaaaaaa,0x7c44ffff,
    0x99999aff,0xffeba999,0x3ff600ff,0x3ff220bf,0xffa8004f,0x7c005ffd,
    0xaaaaacff,0xaaaaaaaa,0x557fff30,0xfd975555,0xdd30bfff,0xdddddddd,
    0x01dfffdd,0x2ffffc40,0x0003ffc8,0x40007ffa,0x7ff47ffc,0x3fe20003,
    0xfa80001f,0xffd1007f,0x01fff88f,0x81fffdc0,0x2a00fffb,0x6c002fff,
    0x00fff8ff,0x000bffe0,0x001fff30,0x013fffa6,0x03fff300,0x5ffffd80,
    0x0007ff90,0x4000bfea,0x7f43fff8,0x3e20003f,0xa80001ff,0x3e2007ff,
    0x3ffe21ff,0x5ffd8001,0xb007ffb0,0x7c4009ff,0x007ff96f,0x00017ffc,
    0x8003ffe6,0x000fffe8,0x000bffa0,0x0bffdff7,0x4000fff2,0x32000198,
    0x7ff40fff,0x3fe20003,0xfa80001f,0x7ff4007f,0x007ffe24,0x7c1ffea0,
    0xffa800ff,0x53fee006,0x3e006ff9,0x4c0002ff,0x44000fff,0x90005fff,
    0xf88009ff,0x905ffbef,0x000007ff,0x13ffe200,0x8000fffa,0x0001fff8,
    0x4007ffa8,0x3fe24ffd,0xff98001f,0x03f7441f,0x2007ff98,0x3ffe1ffe,
    0x05fff002,0x0fff9800,0x07ffc800,0x00fff980,0x7d47ff40,0x07ff905f,
    0x951e6644,0xff700059,0x07ffd01f,0x0fffc400,0x3ffd4000,0x887ffe00,
    0xb8001fff,0x80000fff,0xf3005ffb,0x05ffc8ff,0x0005fff0,0x000fff98,
    0x001fff98,0x000bffa2,0x3fea7ff9,0x207ff905,0x2e0effe8,0x7c4004ff,
    0x7ffd04ff,0x7ffc4000,0xffa80001,0x1ffea007,0x0003fff1,0x0000fffd,
    0x6c013ffa,0x7ffcc4ff,0x02fff800,0x07ffcc00,0x02ffe800,0x0017ff20,
    0x7fd4bff3,0x107ff905,0xfb81dffd,0x7fdc004f,0x07ffd00f,0x0fffc400,
    0x3ffd4000,0x17ffe440,0x8007ffe2,0x003fffe8,0x01fffa80,0xe81fff88,
    0xfff803ff,0x7fcc0002,0xffb0000f,0x3ffe6007,0x3ffa2001,0x6417fea0,
    0x7ff443ff,0x04ffb80e,0xd027ffc0,0xddddddff,0x45dddddd,0xeeeefff8,
    0xeeeeeeee,0x3ffea2ee,0xffeeeeee,0xf881ffff,0xaaaaabff,0xfffdcaaa,
    0xf880006f,0xff7004ff,0x01ffee0d,0x33337ffe,0xcccccccc,0x007ffcc1,
    0x005ffd80,0xc800dffb,0x2ffd42ff,0x3a23ffc8,0xff700dff,0x7ffdc009,
    0x3ffffa00,0xffffffff,0x3ffe23ff,0xffffffff,0x22ffffff,0xfffffffa,
    0xcfffffff,0xfffff880,0xffffffff,0x000dffff,0x037ff440,0x2207ffd0,
    0x7fc02fff,0xffffffff,0x4c2fffff,0x90000fff,0xff100dff,0x7fd4005f,
    0x905ffa84,0x3ffa27ff,0x027fdc05,0xe809ffd0,0xffffffff,0x23ffffff,
    0xfffffff8,0xffffffff,0x3ffea2ff,0xffffffff,0x443fffff,0xffffffff,
    0xdfffffff,0xfe880002,0xff3001ff,0x2ffec01f,0x3fffffe0,0xffffffff,
    0x07ffcc2f,0x06ffc800,0x2007ffb8,0xfa80eff8,0x17ff905f,0xf700bffd,
    0x3fea009f,0x67ff400f,0x99999999,0x3fe20999,0x999999af,0x09999999,
    0x2667ffea,0xfcba9999,0x3fe23fff,0xfdccccdf,0x00004fff,0x00bfffa2,
    0x5405ffc8,0x3fe00fff,0xaaaaaacf,0x4c0aaaaa,0xb0000fff,0xffd00bff,
    0x0ffec009,0xf905ffa8,0x01fffd9f,0x2009ff70,0xaaaaeffe,0x3fffaaaa,
    0x3ffe2000,0xffa80001,0x3ffa6007,0x807ffe27,0x000dfffb,0x17fffcc0,
    0x337ffe00,0xfccccccc,0x3ffe04ff,0x7fcc0002,0xffd0000f,0x0fff9809,
    0x409ff700,0xff905ffa,0x00bfffff,0xf5009ff7,0xffffffff,0x07ffffff,
    0x0fffc400,0x3ffd4000,0x47ffe200,0x5401fff8,0x20006fff,0x001ffffa,
    0x7fffffd4,0xffffffff,0x0bffe07f,0x1fff3000,0x0fffe000,0x200bff90,
    0x7d406ff9,0xffff905f,0xb805fffd,0xffe804ff,0xffffffff,0x003fffff,
    0x007ffe20,0x01ffea00,0x7c53ffa0,0xffb801ff,0xffa8005f,0xfd8000ef,
    0xffffffff,0x2fffffff,0x0005fff0,0x000fff98,0x402fff88,0xf7002fff,
    0xffffffff,0xffffffff,0x657fff21,0x3ee00fff,0x7ffd404f,0xcccccccc,
    0x003fffcc,0x007ffe20,0x01ffea00,0x7c5bff20,0xffb001ff,0x7fdc007f,
    0xf88000df,0x99999aff,0xffe99999,0x005fff05,0x00fff980,0x00fffb80,
    0xb801bfea,0xffffffff,0xffffffff,0x44bff90f,0x3ee05ffe,0x2fff404f,
    0x007ffd00,0x00fffc40,0x03ffd400,0xf8affec0,0xff1001ff,0xff7003ff,
    0x7dc000bf,0x7fdc006f,0x02fff81f,0x07ffcc00,0x13ffe200,0x4009ffb0,
    0xeeeeeeea,0xefffeeee,0x87ff90ee,0xf702fffa,0x7ffcc09f,0x0fffa001,
    0x1fff8800,0x7ffa8000,0x13fff800,0x54003fff,0x7dc06fff,0x740004ff,
    0x7c4003ff,0x2fff84ff,0x7ffcc000,0x7ffec000,0x01fff401,0x5ffa8000,
    0xfb07ff90,0x9ff701ff,0x0037fec0,0x8000fffa,0x0001fff8,0x4007ffa8,
    0xff12fffd,0xffd8003f,0x9fff103f,0xfff98000,0x7ffc8000,0x0002fff8,
    0x8007ffcc,0x405fffc8,0x0001fff8,0x20bff500,0xff883ffc,0x04ffb85f,
    0x8005fff3,0x20003ffe,0x0001fff8,0x9807ffa8,0x225fffeb,0x44001fff,
    0xfd80ffff,0xfc80006f,0xff30006f,0x02fff85f,0x07ffcc00,0xfffba988,
    0x7fd400ef,0x5000000f,0x3ff20bff,0x85fff503,0xffb04ffb,0xfffd000d,
    0xffffffff,0x3e2dffff,0xffffffff,0xffffffff,0xfffff57f,0xffffffff,
    0x7c41dfff,0xfb8001ff,0x7ffd45ff,0xffffffff,0xff87ffff,0x3fa0003f,
    0x017ffc6f,0x3fffe600,0xffffffff,0x800effff,0x00007ffb,0x6417fea0,
    0x3ff603ff,0x213fee0f,0x8002fff9,0xfffffffe,0xffffffff,0xffffff16,
    0xffffffff,0x3eafffff,0xffffffff,0x0dffffff,0x000fffc4,0x322fffe8,
    0xffffffff,0x7fffffff,0x0007ffd4,0x7c3fff70,0x4c0002ff,0xffffffff,
    0xcfffffff,0x0bff9000,0x7fd40000,0x407ff905,0x3ee5fff8,0x06ffd84f,
    0xfffffd00,0xffffffff,0x3ffe2dff,0xffffffff,0x7fffffff,0xfffffff5,
    0x179ddfff,0x007ffe20,0x87fffcc0,0xfffffffe,0xffffffff,0x002ffec7,
    0xf93ffe20,0x4c0002ff,0xffffffff,0x002cdeff,0x0004ffc8,0x417fea00,
    0x7dc03ffc,0x09ff72ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0000ccc8,0x00039950,
    0x00033322,0xccb93326,0x66644002,0x00099932,0x01e6664c,0x09999500,
    0x33333322,0x0abccccc,0x01ccc880,0x913cc980,0x99999999,0x80055799,
    0xec80deec,0x817ba62e,0x00155008,0x7fcc0f6c,0xf900000f,0x3e20007f,
    0xfa8001ff,0x03ffea7f,0x50fffb80,0x54000fff,0x000fffff,0x01ffffd0,
    0xfffffff3,0x9fffffff,0x37ffcc01,0x9b7fd400,0xffffffff,0xcfffffff,
    0x7fffdc00,0x2a3ffe86,0xffc887ff,0x00ff31be,0x7cc17fec,0x900000ff,
    0x220007ff,0xa8001fff,0x27ff47ff,0x24fff880,0x20007ffa,0x03fffffa,
    0xfffff880,0xfffff980,0xffffffff,0xff304fff,0xfa8009ff,0xfffff36f,
    0xffffffff,0x2601ffff,0x44ffcfff,0x3fea3ffe,0xfffffc87,0x7004ffef,
    0xff305fff,0x3200001f,0xf10003ff,0xf50003ff,0x1fff98ff,0x20fffc80,
    0x20007ffa,0x06fffffa,0xfffffb80,0xabfff980,0xecaaaaaa,0xf985ffff,
    0x2001ffff,0xfff36ffa,0x55555557,0x0dffff95,0x3fa5fff1,0x98bbb23f,
    0x8bff85ee,0x01ffffeb,0x82ffffa8,0x0000fff9,0x0007ff90,0x0007ffe2,
    0x3f61ffea,0x7ffc405f,0x003ffd43,0xffffff50,0xfffe8001,0xfff980ff,
    0xffff5000,0xfffff989,0xdff5000e,0x4003ffe6,0x6c4fffd8,0x3ffe65ff,
    0x13220001,0x32200ae2,0x982fffff,0xaaaabfff,0x40099aaa,0x10003ffc,
    0x50003fff,0xfff10fff,0x437fec05,0x20007ffa,0x3ffcfffa,0x3f3fe600,
    0xfff980ff,0x3ffa2000,0x3fffe60f,0xff5004ff,0x003ffe6d,0x998dffd0,
    0x004cc409,0x2a000000,0x2fffffff,0xffffff98,0xffffffff,0x07ff902d,
    0x07ffe200,0x41ffea00,0xff306ffc,0x0fff505f,0x4fffd400,0x3ee005ff,
    0x980fff9f,0x4c000fff,0x3fe65fff,0x801fffcf,0xfff36ffa,0x7ffc8001,
    0x00000000,0xffffd800,0xf982ffeb,0xffffffff,0x6fffffff,0x9713ffc8,
    0xf10179dd,0xf50003ff,0x3ffe20ff,0x505ffd83,0x54000fff,0x01fff7ff,
    0x3fe3bfa0,0x0fff980f,0x27ffc800,0xdffd7ff9,0x36ffa801,0x98001fff,
    0x99501fff,0x05995005,0x32a21995,0xf880bdee,0x5ffd1eff,0x999fff30,
    0xfd999999,0xffc8bfff,0xfffffe9b,0x7ffc41ff,0x7ffa8001,0x983ffee0,
    0xff501fff,0x7fd4000f,0x3007ff97,0x1fff17ff,0x001fff30,0x263fff30,
    0x9fff37ff,0xf36ffa80,0xf98001ff,0x9ff701ff,0x909ff700,0xfffd11ff,
    0xf885ffff,0x417ff43f,0x3000fff9,0x7e47fffd,0xfeffffef,0x3e21ffff,
    0xfa8001ff,0x1fff407f,0x7d409ffd,0x3ea0007f,0x00bff37f,0xfff11ff9,
    0x01fff301,0x4cbffe00,0x3fff27ff,0x4dbfea01,0x5c000fff,0x3fee07ff,
    0x84ffb804,0xffffaffc,0x22fffffe,0x05ffd038,0x4001fff3,0x3f25fff8,
    0x2e21dfff,0x3fe27fff,0x999999af,0xfb999999,0x7ffd407f,0x200fffa8,
    0x20007ffa,0x3ffe7ffa,0xf8aff400,0xfff980ff,0x7ffd0000,0xffd1ffe6,
    0x5bfea01d,0x2000fff9,0x2e06ffe8,0xffb804ff,0xeffffc84,0x1bffea0b,
    0x4c17ff40,0x64000fff,0x3fff27ff,0x47ffe606,0xfffffff8,0xffffffff,
    0xd807ffff,0x03ffecff,0x0003ffd4,0x7fe4fff5,0x44ffe603,0xff980fff,
    0xffb0000f,0xf31ffe6b,0x3fea09ff,0x001fff36,0x80bfff66,0xfb804ffb,
    0x4fffc84f,0x007ffea0,0x3e60bffa,0x7d4000ff,0x1fff91ff,0xf12ffe80,
    0xffffffff,0xffffffff,0x99988fff,0xffffffa9,0x2a099999,0x2a0007ff,
    0x17fe67ff,0xff10ffc8,0x7ffffc1f,0xffffffff,0x4dbff201,0xfffc87ff,
    0xf36ffa82,0x555557ff,0xffffd975,0x04ffb80b,0xfc84ffb8,0x7ffc00ff,
    0x82ffe802,0x4000fff9,0xff91fff9,0x25ffb00d,0xfffffff8,0xffffffff,
    0x7f47ffff,0xffffffff,0x5fffffff,0x8001ffea,0x7ffc7ffa,0x7c4bff00,
    0x3fffe0ff,0xffffffff,0x5bff201f,0xffd07ff9,0x36ffa81d,0xffffffff,
    0xffffffff,0x4ffb801b,0xc84ffb80,0xffe805ff,0x82ffe802,0x4000fff9,
    0xff90fffa,0x27ff900b,0x8001fff8,0x7ff47ffa,0xffffffff,0x25ffffff,
    0x20007ffa,0x7fe47ffa,0x222ff983,0x2eaa0fff,0xaaaabfff,0x3ff600aa,
    0x260fff36,0x7fd44fff,0xffffff36,0xffffffff,0x3fee005d,0x84ffb804,
    0xfd804ffc,0x2ffe802f,0x000fff98,0xff937fec,0x27ff9009,0x8001fff8,
    0x55547ffa,0xdffdaaaa,0x21aaaaaa,0x20007ffa,0x7fcc7ffa,0x220ffc85,
    0xff980fff,0xffd0000f,0xc81ffe6b,0x3fea2fff,0x999fff36,0x13579999,
    0x04ffb800,0xfc84ffb8,0x3ffd803f,0x982ffe80,0x32000fff,0x3ff23fff,
    0x13ffc803,0x50003fff,0x7e400fff,0xfff5003f,0x3ffd4000,0x3fe07ff4,
    0x407ffc45,0x0000fff9,0x3fe69fff,0x877ff407,0xfff36ffa,0x2e000001,
    0xffb804ff,0x803ffc84,0xfe803ffd,0xafff982f,0xaa999999,0x646ffffc,
    0xffc803ff,0x003fff13,0x988fff50,0xffd99999,0x0999999c,0x8001ffea,
    0xffc87ffa,0xf10bfe63,0xfff301ff,0xfff10001,0x301ffe65,0x3fea9fff,
    0x001fff36,0x13fee000,0x3213fee0,0xffd803ff,0x82ffe803,0xfffffff9,
    0xffffffff,0x1ffe41ef,0xf89ffe40,0xfa8001ff,0x7ffff47f,0xffffffff,
    0x3ea5ffff,0x3ea0007f,0x25ff987f,0xfff887fc,0x00fff980,0x30fffb80,
    0xff900fff,0x26dff55f,0x00000fff,0x7009ff70,0x7ff909ff,0x007ffb00,
    0xff305ffd,0xffffffff,0x207fffff,0xfc803ffc,0x03fff13f,0xe8fff500,
    0xffffffff,0xffffffff,0x001ffea5,0xfd07ffa8,0x2213fe1f,0xff980fff,
    0x7fc4000f,0x01ffe65f,0x7fd7fff4,0x001fff36,0x13fee000,0x3213fee0,
    0xffd803ff,0x82ffe803,0xeeeefff9,0x0aacdeee,0x200fff20,0xfff13ffc,
    0xfff50003,0xaaaaaaa8,0xaaaadffd,0x1ffea1aa,0x07ffa800,0x5ff57ff9,
    0x301fff10,0xd8001fff,0x3fe62fff,0xdfff3007,0x3ffe6dff,0xf7000000,
    0x9ff7009f,0xb007ff90,0xffd007ff,0x01fff305,0x0fff2000,0x7c4fff20,
    0xfa8001ff,0x3ff2007f,0x0fff5003,0x83ffd400,0x07fcdff9,0xf301fff1,
    0x322001ff,0x7fcc5fff,0x3fff2007,0x1fff36ff,0x3ee00000,0x4ffb804f,
    0xd803ffc8,0xffe803ff,0x00fff982,0x07ff9000,0x3e27ff90,0xfa8001ff,
    0x3ff2007f,0x0fff5003,0x03ffd400,0x209ffffd,0xf980fff8,0x753100ff,
    0x981fffff,0x3a2007ff,0xff36ffff,0x2000001f,0xfb804ffb,0x03ffc84f,
    0xe803ffd8,0xfff982ff,0xff900000,0x27ff9007,0x8001fff8,0x32007ffa,
    0xff5003ff,0xffffffff,0x2a9fffff,0x3ff207ff,0xfff101ff,0xfffff301,
    0xffffffff,0xf301ffff,0xff9800ff,0x1fff36ff,0x3ee00000,0x4ffb804f,
    0xd803ffc8,0xffe803ff,0x00fff982,0x07ff9000,0x3e27ff90,0xfa8001ff,
    0x3ff2007f,0xffff5003,0xffffffff,0x3fea9fff,0x1bffe607,0x980fff88,
    0xffffffff,0x3effffff,0x001ffe60,0x7cdbfff2,0x000000ff,0xf7009ff7,
    0x07ff909f,0xd007ffb0,0xfff305ff,0x3f200001,0x3ffc803f,0x0003fff1,
    0x6400fff5,0xff5003ff,0xffffffff,0x2a9fffff,0x7ff407ff,0x03ffe204,
    0x3fffffe6,0x2deeffff,0x007ff980,0xf36ffe88,0x000001ff,0x2e013fee,
    0x3ffc84ff,0x803ffd80,0x00002ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccb80000,0xcccccccc,
    0x2ccccccc,0x00039995,0x930e6654,0x32000599,0x133262cc,0x04ccc880,
    0xca866640,0xcc80004c,0x0099931c,0x44999950,0xcccccccc,0xcccccccc,
    0x32e0cccc,0x5555533c,0x55555555,0x30015555,0x00000155,0x4332a1a8,
    0xfd81cedb,0xffffffff,0xffffffff,0x00dfff14,0x21bffe20,0x4000fffe,
    0x3e60fffc,0xff5000ff,0x3e6005ff,0x3fff50ff,0x7ffcc000,0x800fff50,
    0x221ffffa,0xffffffff,0xffffffff,0x3fa0ffff,0x3333375f,0x33333333,
    0x90055333,0x260003ff,0x10cdefdc,0x23ff23ff,0x41fffffb,0xfffffffd,
    0xffffffff,0x3ffee4ff,0xfffd8004,0x06fff880,0x20bffea0,0xf9002fff,
    0x2e009fff,0x27ffc6ff,0x4bff9000,0x2a007ffa,0x7c41ffff,0xffffffff,
    0xffffffff,0x3ffa0fff,0x51000075,0x003ff900,0xfffffd88,0x25fedfff,
    0xffffaffc,0xaaaaa86f,0xaaaaaaaa,0x742fffea,0x2a001fff,0x3ee03fff,
    0xff8804ff,0x09ffb04f,0x1bffffe0,0x321ffec0,0x3e0007ff,0x1ffea2ff,
    0x077ffd40,0x55555544,0xaaeffeaa,0x742aaaaa,0x000075ff,0x3ff90051,
    0x7fffcc00,0xfffffedf,0x3ffff20e,0x0003dabd,0x109fff70,0x2200dfff,
    0xfd805fff,0x7ff401ff,0x01bfee06,0x3ffb3fe6,0x41fff800,0x8001fff9,
    0x7fd47ffa,0xefffa807,0x3ff60000,0x00380004,0xfc802880,0x3ffa001f,
    0x7ffdc41f,0x02fffe46,0xfffa8000,0x13ffee06,0x003fff60,0x403bffe2,
    0x2600fffc,0x7dc00fff,0x403ffcaf,0xffd07ff9,0x9ffb0009,0x5407ffa8,
    0x0000efff,0x00027fec,0x1440001c,0x800ffe40,0xf300fffb,0x7fe47fff,
    0x9800000f,0x7400ffff,0x3ea01fff,0x3ea002ff,0xfffa84ff,0x02fff802,
    0x7fcc7fec,0x82ffdc05,0x44007ffb,0x7fd41fff,0x3bffea07,0xffd80000,
    0x00380004,0xfc802880,0xfff8801f,0xffdfd103,0x0037fe4f,0x7fff4400,
    0x6fff8801,0x00bfff10,0x445fff90,0xfb004fff,0x26ff807f,0x7fec07ff,
    0x05fff103,0x5437fdc0,0xfff507ff,0x3600001d,0x380004ff,0x95288000,
    0xffd99999,0x1999999b,0xfd81ffe6,0xf91fff8e,0xb00000bf,0x5c007fff,
    0xffd83fff,0xffd0000f,0x01bff61f,0x2a05ffa8,0x07ff64ff,0x3600fff8,
    0x3fa005ff,0x87ffa82f,0x000efffa,0x013ff600,0x20000e00,0xfffff928,
    0xffffffff,0x3fea3fff,0x361ff705,0x09ff92ff,0xfffc8000,0xfffe8004,
    0x00bffe60,0xbdfff980,0x22001fff,0x3ff207ff,0x4c13fee1,0x7fd406ff,
    0x7ff9800f,0xfa8fff50,0x00000eff,0x00027fec,0x9440001c,0xfffffffc,
    0xffffffff,0x309ff71f,0x9ffe45ff,0x00003ffc,0x001bffea,0xfd2fffc4,
    0xf700009f,0x007fffff,0x3a03ffd0,0x837fcc7f,0xfe804ffb,0x4ffc803f,
    0x7d4fff50,0x00000eff,0x0004ffd8,0x28800038,0xb5555553,0x555559ff,
    0x10fff215,0x4ffc89ff,0x00007ff9,0x003fffe6,0xbafffb80,0x200006ff,
    0x005ffffd,0xf107ff90,0x01fff0bf,0xf7005ffb,0x3fff00bf,0x7d5ffea0,
    0x0000ffff,0x004ffd80,0x88000380,0x01ffc802,0x7ec4ffc8,0xf93ffc85,
    0xd100007f,0x00003fff,0x3fffdffd,0x7fc40000,0xf50000ff,0x07ff70bf,
    0xfff05ff9,0x1fff1001,0x5037fd40,0xffff5fff,0x00000dff,0x00009ffb,
    0x05100007,0x7003ff90,0x07fe4dff,0xffc97fec,0xffd80003,0xf300002f,
    0x0009ffff,0x5ffffc80,0x0fff1000,0xff501ffb,0x006ff98b,0xfd80fff6,
    0x3ffea03f,0xfffbdfff,0x7ec00004,0x0380004f,0xc8028800,0xffa801ff,
    0x3e03ff57,0x07ff91ff,0x4fffc800,0x7fdc0000,0x4c00006f,0x02ffffff,
    0xf81ffd00,0x8fff106f,0x2a003ffb,0xfff106ff,0x7fffd401,0x0bfff65f,
    0x4ffd8000,0x00038000,0xffc80288,0xafff8801,0xfff503ff,0x0001ffe4,
    0x000bfff5,0x00bffe00,0xdfff8800,0x8000fffe,0x3fe62ffc,0xd83ffa04,
    0x7fc001ff,0x05ffb81f,0x227fffd4,0x000ffff8,0x009ffb00,0x0073ccb8,
    0xf9005100,0x3ffa003f,0x3ffa05ff,0x000fff25,0x0077ffcc,0x2fff8000,
    0x3ff60000,0x06fff98f,0x324ff980,0x3ff202ff,0x2001ffe2,0xffe84ffc,
    0x27ffd401,0x005fffa8,0x009ffb00,0x0075ffe8,0xf9005100,0x3fe6003f,
    0xfffb00ff,0x001ffe41,0x00ffff44,0x5fff0000,0x3fee0000,0x0fffee2f,
    0xfe9bfe00,0x53fe600f,0x98005ff8,0x37fcc6ff,0x203ffd40,0x0003fffc,
    0x4004ffd8,0x00075ffe,0x55300510,0x7ffec001,0xffeb99cf,0x01ffe42f,
    0x017ffec0,0x3ffe0000,0xff980002,0x1fffe84f,0x447fec00,0x6ff805ff,
    0x20005ff5,0x3ff21ffe,0x07ffa803,0x001fffe8,0x0027fec0,0x001d7ffa,
    0x00001440,0xffffff98,0x83ffffff,0x5c003ffc,0x00004fff,0x002fff80,
    0x837ff440,0x000efff8,0x3fea7fee,0xf97fd803,0x3ee0001f,0x003ffe4f,
    0x2601ffea,0x0000efff,0x20013ff6,0x000074f8,0x3ffff251,0xffffffff,
    0xfd11ffff,0xfffffb39,0x800001bf,0x0005fffa,0x05fff000,0x1fffd800,
    0x017ffea0,0xffcbff98,0xe9ffb801,0x3e20006f,0x00bff37f,0x5c01ffea,
    0x20005fff,0xa8004ffd,0x1000073f,0x3fffff25,0xffffffff,0x8dd11fff,
    0x0001aa98,0x1dfff100,0x3e000000,0x2e0002ff,0xfd803fff,0x3fe002ff,
    0xf3007fed,0x0009ff7f,0xffc9ffd8,0x0fff5002,0x01ffff40,0x004ffd80,
    0x00071fd8,0x3fff2510,0xffffffff,0x041fffff,0x44000000,0x0000effe,
    0x0bffe000,0x2fffcc00,0x0ffff880,0x9ffffb00,0x7ffffc00,0x7fcc0002,
    0x2a007fec,0x3e2007ff,0xd8001fff,0x7ec004ff,0x333332e4,0xcccccccc,
    0x0002dccc,0x00000000,0x7ffffcc0,0xffffffff,0x07ffffff,0x0017ffc0,
    0x000fffe8,0x401bffea,0x002ffffb,0x003ffff2,0x3ffffa00,0x1ffea004,
    0x0dfff500,0x009ffb00,0x000003b8,0x00000000,0xff300000,0xffffffff,
    0xffffffff,0xfff800ff,0xfffc8002,0xfffc8002,0xffff9803,0x3ffea000,
    0xff700005,0x7d4001ff,0xffd8007f,0x7fec004f,0x00000004,0x00000000,
    0x26000000,0xffffffff,0xffffffff,0x7c007fff,0x7d4002ff,0x3a0004ff,
    0xff801fff,0x7fc4006f,0xf100003f,0xfa800bff,0xff88007f,0x3f6002ff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1ccb8000,0x201665c0,0x19951cca,0x2f7bb2a2,
    0x99999500,0x99999999,0x81e65c59,0xca882fe8,0x40adeffd,0x1cefedb9,
    0x3b72a200,0x2000bcef,0x0cdeeca8,0x3bb6e600,0x332a01bd,0x81ccb801,
    0xbcefedb8,0x3f72a001,0x00001bde,0x03cc9840,0x7e4732e0,0x37ffc04f,
    0x7e47ff60,0xffffe88f,0xffc82fff,0xffffffff,0x3f64ffff,0x2fff986f,
    0x7fffffd4,0xff70efff,0x0bffffff,0xfffffd50,0x8807ffff,0xfffffffe,
    0xfffc804f,0xb03fffff,0xffd007ff,0xfffffa85,0x4403ffff,0xfffffffd,
    0x9800004f,0x01fff17d,0x261fff10,0x3fe606ff,0xfff100ff,0x7ffd7fe4,
    0x2fffffef,0x7fffffe4,0xfffeffff,0xb89bff63,0x3f62ffff,0xfedcefff,
    0xefffdfff,0x04fffedd,0x37fffff2,0x03ffffed,0xbbdffff3,0x2209ffff,
    0xeddefffe,0x7ec0efff,0x2ffe803f,0x337bffea,0x305ffffe,0xfbbdffff,
    0x0001dfff,0x6cfffd70,0xffb803ff,0xb80fffc5,0xf502ffff,0x7fffe49f,
    0x3ffea0be,0xffd10006,0xf16ffd8b,0x265ffbff,0xff302fff,0xd305ffff,
    0xfff305ff,0xdffd3019,0x107fffa0,0xfb05fff9,0xfff303df,0x803ffd89,
    0x3ffa2ffe,0x0fffc884,0xa81effe8,0x10005fff,0x4dfffff9,0xfe806ffa,
    0x81ffe42f,0x904ffffd,0x7ffe43ff,0x07ffea04,0x01bffa00,0x7fcc67c4,
    0xb805ffb2,0x2201ffff,0x7fe40fff,0x0fffc406,0xe803ffee,0x7ffd45ff,
    0x87ffe200,0xfe803ffd,0x80dff12f,0x7fe43ffe,0x3ffe600e,0x3ff6a002,
    0xff82efff,0x1ffe601f,0x7fc17fea,0xfff06ffc,0x400fffc8,0x6c002fff,
    0x82000eff,0x7ff8aff9,0x03fff980,0x7ec4ffb8,0x1ffe801f,0x2601ffec,
    0x3ffa0fff,0x25ffb802,0xfe803ffd,0x80dff32f,0x3fe21ac9,0x6ffc802f,
    0x7fff5c40,0x3f201cff,0x13ff204f,0x3e61ffe2,0x4c0ffdaf,0x2ffe45ff,
    0x0017ff40,0x0003fff9,0x00217fcc,0x2007ffe6,0x00106ff8,0xfff0bff6,
    0xff302600,0x9ffe200f,0xfe803ffd,0x09fff12f,0x00dff300,0x2603ffe2,
    0xbefffffc,0x07ff9800,0x7ec07ffe,0x5c7fe41f,0x17fe42ff,0x36013ff2,
    0xff7002ff,0xf980005f,0x36e6002f,0x3fe007ff,0xfca88007,0x1bfe22ff,
    0x06ffa800,0x7ec3ffe0,0x2ffe803f,0x2b7ffff6,0x05ffb800,0xda87ffe0,
    0x01dfffff,0x981ffe80,0x3fee06ff,0xff9b7f44,0x3207ff44,0xffd803ff,
    0x3fffa803,0x2ff98000,0xfffdb750,0xffffffff,0xffffffff,0x36ea201f,
    0xfffffffe,0x0017fea2,0xffffffb8,0xffffffff,0x07ffb1ff,0x7445ffd0,
    0xbeffffff,0x009ff901,0xfff17ff4,0x400017df,0xffc84ffb,0x89bfe203,
    0x89bfe4ff,0x3ffc85ff,0x403ffd80,0x0004fff9,0x6c45ff30,0xffffffff,
    0xfffffffe,0xffffffff,0x7ffe442f,0xffefffff,0x013fee2f,0xfffffc80,
    0xffffffff,0x7ffb2fff,0x905ffd00,0xffffffff,0x03ffd81d,0xff8fff60,
    0x880001ef,0x0fff87ff,0xfa87ff40,0x5c3ff62f,0x3ffc82ff,0x203ffd80,
    0x0005fff8,0x744bfe60,0xabdeffff,0xcccfff88,0xcccccccc,0x3ffe21cc,
    0xb1acefff,0x2ffdc5ff,0x9dff9000,0x99999999,0x3f639999,0x2ffe803f,
    0xffffb510,0x7fec5fff,0x8fff6003,0x02efffff,0x517fec00,0xff700bff,
    0xfb83ff25,0x901ffb2f,0xffb007ff,0x3bffa207,0x3e600000,0x37dfff2f,
    0x001ffe20,0x06ffffa0,0x3ea2ffe8,0x3ee0006f,0x7ec0005f,0x2fff803f,
    0xfffd7300,0x0027fe4f,0x75c45ffd,0x00cfffff,0x365ffa80,0xff9802ff,
    0xff98dff5,0x3f20dff4,0x3ffd803f,0x001fffd0,0xaaff9800,0x7cc01fff,
    0x260000ff,0xff801fff,0x01ffe62f,0xff98e65c,0x7fe40007,0x17ffc403,
    0x8fffdc00,0x3e005ffa,0xffb501ff,0x8005bfff,0x7ff88fff,0x3e3ffe00,
    0xfafff84f,0x07ff903f,0xfb07ffb0,0x000003ff,0x17ff2266,0x00bffee0,
    0x7dc3bfea,0xfff9805f,0x007ffe22,0x7fc47ffa,0xcef9801f,0x9809ff90,
    0x7fb72fff,0x267ffd00,0xfa800fff,0xffc8807f,0x800befff,0x4ffbaffc,
    0x3f3ff200,0xfeffd81f,0x07ff900f,0xfc87ffb0,0x000002ff,0x980bffb0,
    0x400effff,0x3ff25ffe,0x2fffd806,0x2602ffec,0x37fec7ff,0xf737ff40,
    0xfffd80df,0x880fff72,0x3ffa1fff,0x05ffe805,0x7ffff5c0,0x3fe601cf,
    0x2001ffdd,0x707ffffa,0x640dffff,0xffd803ff,0x00fffee3,0x801e65c0,
    0xd100fffb,0x40bfffff,0x3ee2fffc,0x3ff602ff,0x7ffc43ff,0x89ffd103,
    0x3204fff8,0x3fe62fff,0xffff903f,0x80fffe65,0x7fcc6ffb,0xfffb103f,
    0x3f660001,0x7f407fff,0xf8006fff,0xff105fff,0x7fe407ff,0x33ffd803,
    0xb999ffff,0xdddddddd,0x401bff61,0x89cefff8,0xf9bfffdb,0xfc9aceff,
    0x7fc44fff,0xeba8acff,0xb84fffff,0xda9bdfff,0xff906fff,0xfd9337df,
    0xfffd0bff,0xbffd957d,0x7ffe45ff,0xffca9ace,0xdfffc83f,0xfffeb99b,
    0xfc880001,0x7ffdc07f,0xffd8003f,0x3fffa03f,0x00fff201,0x7fccfff6,
    0xffffffff,0xb0ffffff,0x7d400dff,0xffffffff,0x3fffa21e,0x04ffffff,
    0xfffffff5,0xdff35dff,0x3ffffee0,0x200effff,0xfffffffb,0xfd305fff,
    0x3fffffff,0xffe85ff7,0xffffffff,0x3fffee02,0x01ffffff,0x405b8000,
    0x000ffff8,0x201fffa8,0x7e407ffc,0x3ffd803f,0xfffffff3,0xffffffff,
    0x01bff61f,0xfffffd30,0x3fb2207d,0x401dffff,0xffffffe9,0x980fffc4,
    0x3ffffffd,0xffffb100,0xd8805dff,0x71dfffff,0xffd505ff,0x003bffff,
    0xbfffffb3,0x00000017,0x005ffd80,0x00000000,0x00000000,0x1a988000,
    0x04d4c400,0x026a6200,0x0554c000,0x13551000,0x00353000,0x00554c40,
    0x00035100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1e664000,0x952665c0,0x3bb2a219,0xeeca881b,0x0000102d,0x00000000,
    0x10266000,0x440cc433,0x00000019,0x003eed80,0x00000000,0xeedb8000,
    0xd95100ce,0x997017dd,0x0bffee07,0x322fffa8,0xffff98ff,0x3fe64fff,
    0x40dfffff,0x000001cf,0xea803ffc,0x007ea000,0x6fd81ff9,0xff513fe2,
    0x200bb005,0x3ffe004d,0x3fe20004,0x3fb62006,0x7ed400de,0xfb00ceff,
    0x03ffffff,0xbffffffb,0x6c0bffd0,0xff880fff,0x7dffe44f,0xffffeeff,
    0xfeefff9b,0x7ffc4fff,0xf000002e,0xdff500ff,0x39dfb511,0x4c03ffea,
    0x17fdc3ff,0xffb07ff2,0x02ffec01,0x7c013ff6,0x320004ff,0xfa802fff,
    0x02ffffff,0xfffffff7,0x9cffa81f,0x7dc5ffb9,0x1ffd88af,0xf102fff4,
    0xdffb0bff,0x39ffff90,0x4fffffd8,0xf07ffec4,0x019fffff,0x03ffc000,
    0x7fffff44,0xffffffff,0x8dfd105f,0xff885ff9,0x702ffcc6,0x3f60bfff,
    0xddb002ff,0x7ffc0007,0x7ffc405f,0x40fffdad,0xf711dff8,0xd86fe89f,
    0x10f2e0ff,0x5ffe89ff,0x717ffd40,0xff903fff,0x3ffe60bf,0x3fff104f,
    0x7ffff5c4,0xf80001df,0xffd1007f,0xfffddfff,0x7fe40bff,0xa80fff42,
    0x1ffe44ff,0xd8bfff70,0x00002fff,0x7f7fdc00,0x03ff201f,0xfea8bff1,
    0x2005fe80,0xff9006fd,0x9009f103,0xfff31fff,0x03fff207,0x200ffff8,
    0xfb302ffe,0x007dffff,0x5003ffc0,0xfd887fff,0xdff500ff,0x7404ffb8,
    0x3ffe22ff,0x37ffee00,0x882fffd8,0x99999999,0x19999999,0x7fcfff40,
    0x6413fa04,0x3fa2007f,0x09ff3006,0x502fffc8,0xffd1007f,0x640bffd9,
    0x7fec06ff,0x01ffec05,0x3ffffae2,0x7fc000cf,0x0bff2007,0xf883ffc8,
    0x3ffe61ff,0x07ffcc00,0xfb80dff7,0x02ffffff,0xfffffff9,0xffffffff,
    0x53fea03f,0x7ff00ffe,0x2603fee0,0x6ffffecb,0x00fffa80,0xd80efffc,
    0xfff3001f,0x7e401dff,0x27fe405f,0x800fff20,0xdfffffda,0x26666662,
    0x9999fff9,0x02ffc099,0x3f617fe2,0x01fff44f,0x7f45ffd8,0x7ffdc03f,
    0x3ff202ff,0xffffffff,0x01ffffff,0x3fea1ffb,0x502ff883,0x7fec43ff,
    0x06ffefff,0x40077fe4,0x6c3ffca9,0x7fe4004f,0x7fe401ff,0x01ffe404,
    0x2000fff2,0x27ffffc8,0xffffffff,0xffffffff,0x200ffe66,0x7ffd47fd,
    0x801bff20,0x3ea2fff8,0x7ff401ff,0x7775c06f,0xeeeeeeee,0x981eeeee,
    0x43ffc5ff,0xff703ff8,0x0df7fec1,0x3f620dfb,0xfd8000df,0x44001dc7,
    0x6400efff,0x7fe403ff,0x01ffe403,0x4ffff500,0xffffffff,0xffffffff,
    0x200bfea6,0x3fe21ffc,0x03ffe62f,0x907ffd40,0xffd80dff,0x00005fff,
    0x42ffc800,0x4ff82ffc,0x5ff8ff90,0xfd30dfd0,0x0554407f,0x0000ffe4,
    0x027fffec,0xf900fff2,0x3ffc807f,0x7ff5c400,0x3bbba6ff,0xeefffeee,
    0x3e25eeee,0x87fe804f,0x7fe46ffb,0x45ffd005,0x3601fff8,0x5fffdfff,
    0x00999800,0x221ffe20,0x1ffd86ff,0x3fe2ffc4,0x446ffc84,0x74402fff,
    0x03ffc45f,0x7fffdc00,0x3ff202ff,0x01ffe403,0x4c00fff2,0x2efffffc,
    0x801ffe00,0x7fcc06fe,0xe87ffb04,0x7fdc01ff,0xb01ffec5,0x3fee5fff,
    0x7ffc005f,0x13fee004,0x3e20ffec,0xfffdadff,0x54dffe40,0x7f47fffd,
    0xffffffff,0x373ffea2,0x40003fff,0xffbafff8,0x07ff900f,0x6403ffc8,
    0x7ed403ff,0x001dffff,0x32007ff8,0xffd105ff,0x83ffe205,0x3e206ff9,
    0x1bfe60ff,0x5c2fffd8,0x3e005fff,0x3fe004ff,0x0bff500f,0xfffffff5,
    0xfffff105,0x261ff7bf,0xffffffff,0x7ffe42ff,0x80003fff,0x3ffa5ffe,
    0x807ff905,0x7e403ffc,0xfffb883f,0x0000bfff,0xfb801ffe,0xfb99aeff,
    0x3ea01fff,0x81ffe44f,0x7ff42ffc,0x05fffb00,0x4017ffee,0xf5004fff,
    0x0ffe80bf,0x0defed88,0x4b7b6a20,0x33311cc8,0x13333333,0x01355510,
    0x1fff7000,0x641fffcc,0x7fe403ff,0x31ffe403,0x5dfffffb,0x1ffe0000,
    0x7ffffd40,0xffffffff,0x07ff201f,0xff981ffd,0x7017fd44,0xffb805ff,
    0x03555002,0x700bffa0,0x000009ff,0x00000000,0x7ffcc000,0x40fffb82,
    0x7e403ffc,0x1ffe403f,0x03bfffff,0x07ff8000,0xfddfffa8,0xfeceffff,
    0xbfd100ff,0x7f44ff98,0xb805ff86,0x00057002,0x00000000,0x00000000,
    0xd0000000,0x7ff40bff,0x201ffe46,0x7e403ffc,0x02fffe3f,0x3ffc0000,
    0x2627f440,0x17fa21bc,0xeb83dd30,0xa83dd30d,0x000000de,0x00000000,
    0x00000000,0x00000000,0x00fffc80,0xfc8fffe6,0x1ffe403f,0x2e8fff20,
    0xee800000,0x80091005,0x00000048,0x00000000,0x00000000,0x00000000,
    0x00000000,0x200bffea,0xff91fffc,0x03ffc807,0x0001ffe4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x9950ccc9,0x406664c9,0x9a9802a8,
    0x3b602000,0xbddb10de,0x7543ddb0,0xdddddb4e,0x22229ddd,0x88888888,
    0x88888888,0x33332a08,0xcccccccc,0xcccccccc,0x00000000,0x00000000,
    0xff007fd4,0xffffffff,0x4dffffff,0xffffffff,0xffffffff,0x177fecc6,
    0x7e47ffea,0x03ffea7f,0x7ec417f2,0x202dffff,0x7ffd42d8,0x217ffd42,
    0x3fea1ffe,0xffffffd6,0x3ffeebff,0xffffffff,0xffffffff,0xfffff71f,
    0xffffffff,0x3fffffff,0x00000000,0x80000000,0x7ffc07f9,0xffffffff,
    0x3e6fffff,0xffffffff,0x6fffffff,0x3fffffea,0x647ffea4,0x3ffea7ff,
    0x4c0dfe80,0xffffffff,0xeb989cff,0x81fff42f,0x7ff46ffc,0x7f5bfea1,
    0x5fffffff,0xfffffff7,0xffffffff,0x2a3fffff,0xcccccccc,0xcccccccc,
    0x0000cccc,0x00000000,0x3e618000,0x3fffe0c6,0xffffffff,0x3fe6ffff,
    0xffffffff,0x16ffffff,0x3fea17ff,0x323fff51,0x3ffea7ff,0x27ff7440,
    0xfffffff7,0xffffffff,0x2ffcc5ff,0xed87ff60,0x4d3baa1e,0xaaaaaaaa,
    0x11111111,0x11111111,0x00111111,0x00000000,0x00000000,0x8aefa800,
    0x00feb8ef,0x40000000,0x709f76ff,0x47ffeabf,0x3fea7ffb,0x43ff200f,
    0x3ae61dfb,0xffffffff,0x003bf60e,0x000017fa,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0x3fffffff,0x00000000,0x81fdb7fc,0x1fff36f8,
    0xff99bfea,0x47ffa207,0x7fe4403b,0x08883eff,0x00002200,0x00000000,
    0x00000000,0x00000000,0x32a20000,0xacdffffe,0x00000000,0x3fcb7fc0,
    0x9bfe5f98,0x3fe25ff9,0x7ffff6c6,0x00620004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f440000,0x0000005f,0xab7fc000,0x3a4fd86f,
    0x3e1ffc5f,0x7ffffc4f,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcfe88000,0x333305fe,0x33333333,0x00013333,0x77f4dff0,
    0x320ffebb,0x3617f44f,0x04d4cc3f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf31ffb00,0xfffff09f,0xffffffff,0x0000dfff,
    0x7fec4dff,0x0d4c1eff,0x015302a6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8bfe6000,0x7ffc0efc,0xffffffff,0x006fffff,
    0xba86ff80,0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x91122000,0x3bbbbba0,0xeeeeeeee,0xc80005ee,0x0000003c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_40_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,1,2,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,1,0,1,-1,
3,1,1,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_40_latin1_y[224]={ 32,6,6,5,4,5,5,6,5,5,5,10,28,21,
28,5,6,6,6,6,6,6,6,6,6,6,13,13,10,13,10,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,36,6,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,13,13,13,13,13,13,5,5,5,16,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,13,6,5,10,6,
5,5,6,5,5,14,13,21,5,2,5,10,6,6,6,13,6,17,31,6,5,14,5,5,5,13,-1,-1,-1,0,
1,0,6,5,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,11,5,-1,-1,-1,1,-1,6,5,6,6,
6,6,6,5,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,12,12,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_40_latin1_w[224]={ 0,4,11,20,18,28,23,5,9,9,12,18,5,10,
4,10,18,11,18,18,19,18,18,18,18,18,4,5,18,18,18,18,35,25,20,24,22,20,19,25,21,4,16,22,
17,26,21,26,21,26,24,22,22,21,24,34,24,24,21,8,10,8,16,22,8,18,17,17,17,18,12,17,16,4,
8,16,4,26,16,18,17,17,11,16,10,16,18,26,18,18,18,12,4,11,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,4,18,19,18,21,
4,18,10,27,13,16,18,10,27,22,10,18,12,12,8,16,20,4,9,8,13,16,29,29,30,18,25,25,25,25,
25,25,34,24,20,20,20,20,8,7,12,10,25,21,26,26,26,26,26,17,26,21,21,21,21,24,21,19,18,18,
18,18,18,18,30,17,18,18,18,18,8,7,12,10,18,16,18,18,18,18,18,18,18,16,16,16,16,18,17,18,
 };
static unsigned short stb__arial_40_latin1_h[224]={ 0,26,10,28,32,28,28,10,35,35,12,18,10,4,
4,28,27,26,26,27,26,27,27,26,27,27,19,25,19,12,19,27,35,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,29,26,28,26,27,26,26,26,26,26,34,28,34,15,4,6,20,27,20,27,20,27,27,26,26,
34,26,26,19,19,20,27,27,19,20,27,20,19,19,19,27,19,35,35,35,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,27,34,28,18,26,
35,35,4,28,14,17,12,4,28,3,11,22,14,14,6,27,34,5,9,14,15,17,28,28,28,27,33,33,33,32,
31,32,26,35,33,33,33,31,33,33,33,31,26,32,34,34,34,33,32,16,29,34,34,34,32,33,26,28,27,27,
27,27,27,28,20,27,27,27,27,27,26,26,26,26,27,26,27,27,27,27,27,15,22,27,27,27,27,34,34,34,
 };
static unsigned short stb__arial_40_latin1_s[224]={ 255,251,63,226,1,132,109,75,1,11,1,
66,246,140,251,98,1,240,103,99,210,137,156,191,213,232,242,179,141,14,47,
55,95,122,57,183,168,36,148,172,40,251,20,133,84,102,155,71,177,105,78,
48,156,20,108,73,48,23,1,232,161,28,175,151,120,32,37,51,74,69,92,
122,23,251,241,230,247,20,206,122,191,209,243,105,240,88,160,179,1,227,223,
65,78,83,91,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,255,250,213,
163,85,62,131,46,129,198,206,104,33,140,20,174,52,205,220,233,111,239,174,
250,81,247,192,121,133,21,208,194,1,204,157,200,52,152,1,21,48,27,183,
31,69,230,238,20,129,130,1,37,130,103,226,138,78,108,64,86,178,78,1,
1,70,175,118,221,80,1,1,89,164,145,126,51,246,247,199,212,1,223,183,
202,42,61,107,156,224,105,140,157,174,136,195,155, };
static unsigned short stb__arial_40_latin1_t[224]={ 1,197,375,106,106,106,138,375,1,1,375,
355,355,375,64,138,197,280,253,197,253,197,197,253,197,197,333,307,334,375,355,
225,1,253,253,138,253,253,253,106,280,37,225,307,280,280,280,138,280,106,253,
138,307,197,307,307,307,307,307,1,106,37,355,375,375,334,225,334,225,334,225,
225,280,168,1,253,106,355,333,334,225,225,307,334,168,334,334,333,355,225,333,
1,1,1,375,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,
307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,307,1,1,1,
138,355,280,1,1,375,106,355,355,375,375,138,375,375,307,355,355,375,138,1,
29,375,333,355,355,138,168,138,197,72,37,37,72,106,72,253,1,72,72,37,
106,72,37,37,106,280,72,37,37,37,72,72,355,106,37,37,37,72,72,280,
168,168,197,197,168,197,139,334,168,168,168,168,168,225,253,280,280,225,280,168,
168,197,197,168,355,307,225,225,225,225,1,1,1, };
static unsigned short stb__arial_40_latin1_a[224]={ 159,159,203,319,319,509,382,109,
191,191,223,335,159,191,159,159,319,319,319,319,319,319,319,319,
319,319,159,159,335,335,335,319,582,382,382,414,414,382,350,446,
414,159,286,382,319,477,414,446,382,446,414,382,350,414,382,541,
382,382,350,159,159,159,269,319,191,319,319,286,319,319,159,319,
319,127,127,286,127,477,319,319,319,319,191,286,159,319,286,414,
286,286,286,191,149,191,335,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,159,191,319,319,319,319,149,319,
191,422,212,319,335,191,422,316,229,314,191,191,191,330,308,159,
191,191,209,319,478,478,478,350,382,382,382,382,382,382,573,414,
382,382,382,382,159,159,159,159,414,414,446,446,446,446,446,335,
446,414,414,414,414,382,382,350,319,319,319,319,319,319,509,286,
319,319,319,319,159,159,159,159,319,319,319,319,319,319,319,314,
350,319,319,319,319,286,319,286, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_40_latin1_BITMAP_HEIGHT or STB_FONT_arial_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_40_latin1(stb_fontchar font[STB_FONT_arial_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_40_latin1_BITMAP_HEIGHT][STB_FONT_arial_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_40_latin1_s[i] + stb__arial_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_40_latin1_t[i] + stb__arial_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_40_latin1_x[i];
            font[i].y0 = stb__arial_40_latin1_y[i];
            font[i].x1 = stb__arial_40_latin1_x[i] + stb__arial_40_latin1_w[i];
            font[i].y1 = stb__arial_40_latin1_y[i] + stb__arial_40_latin1_h[i];
            font[i].advance_int = (stb__arial_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_40_latin1_s[i] + stb__arial_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_40_latin1_t[i] + stb__arial_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_40_latin1_x[i] + stb__arial_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_40_latin1_y[i] + stb__arial_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_40_latin1_LINE_SPACING
#endif

