// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT        276
#define STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_32_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_32_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_32_latin1_LINE_SPACING          21

static unsigned int stb__arial_bold_32_latin1_pixels[]={
    0x3b23eec8,0x2ee9803e,0x04eeea80,0xcc8013b6,0xbdb9103c,0x4fbaa039,
    0x5402cde9,0x5c4003ee,0x0bcdeecc,0x77654000,0x99999992,0x01f77540,
    0x6f76c400,0x99993000,0x20100399,0x3ae00009,0x180003ee,0xfb27fec0,
    0x1ffb009f,0x01dffd00,0xf800ffdc,0xfffb86ff,0x5c0dffff,0xffff54ff,
    0x027fdc0d,0xfffffda8,0x03efffff,0x2ffffe80,0x0fffffff,0x000fffc8,
    0x2ffffec0,0xfffffb80,0x3ff6203f,0x003fb8ac,0x0017ffe0,0xffb037c0,
    0x2027fec9,0xf9804ff9,0x7fc400ef,0x8dfff006,0xfffffffa,0xa7fdc5ff,
    0x03fffffa,0xe9809ff7,0xeeefffff,0x0dfffffe,0xfffff700,0x3fffffe5,
    0x04ffd807,0x377fea00,0xffb803ff,0x2e03ffff,0xffffffff,0xdff70001,
    0x13e60000,0x32e2ccb8,0x0fff402c,0x8007fec0,0xff802ffd,0x67ffec6f,
    0x22fffea9,0xfb934ffb,0x3fee0dff,0x3fffee04,0x3fee600b,0xffe800ff,
    0xdfff1cdf,0x3f600999,0xfff10007,0x803fff11,0x3fffdcc9,0x3f2a7fa0,
    0x3a0005ff,0x900000ef,0x4000003f,0x55006ffa,0x37fd4001,0x3e04ccc0,
    0x3fea0fff,0x213fee4f,0xff707ffd,0x0fffee09,0x0dffb100,0xff0bfff0,
    0x551000bf,0x35530001,0x3000d54c,0x15407fff,0x5100004c,0x74000015,
    0x74000007,0x000004ff,0x00017ffc,0x0987fffd,0xfb84ffb8,0x09ff707f,
    0x0203dff3,0xf013ff20,0xbfff09ff,0x00333320,0x98039997,0x01bcedca,
    0x01fffcc0,0x2f3b72a6,0x0cccc801,0x00e665c0,0x75c27d4c,0x3bb202ee,
    0x07ffe61e,0x6405ddd7,0xffd81eee,0x22f77406,0x804ffffb,0xffb84ffb,
    0x44ffb80f,0x64c0ffe8,0xee98dffe,0x201ffd1e,0xff83fff8,0x1ffff05f,
    0x02fffd80,0xffffffd3,0x26003dff,0xfd303fff,0xdfffffff,0x07fffc03,
    0x20bfff60,0x5ffffec8,0x206fff98,0x7fe47fff,0x06fff987,0x7dc1fffe,
    0x37ffc07f,0x0f7ffff4,0xf709ff70,0x9ff701ff,0x7d43ffb8,0xfdffffff,
    0x07ff10ff,0x3e0fffe2,0xffff05ff,0x2fffd801,0xffffffb8,0x04ffffff,
    0xb83fff98,0xffffffff,0xff04ffff,0xffd801ff,0x7fffd42f,0x741effff,
    0xffa80fff,0x837ff44f,0xfa80fffe,0xfff304ff,0x237ffc03,0xfffffffa,
    0x509ff704,0xff703fff,0x7d46fe89,0xfffccfff,0x82ff47ff,0xff83fff8,
    0x1ffff05f,0x42fffd80,0xeffffffa,0x5ffffffd,0x21fffcc0,0xeffffffa,
    0x5ffffffd,0x400ffff8,0x3e62fffd,0xffffffff,0x1fffdc6f,0xf10fffec,
    0x3fee0bff,0x1fffd83f,0x405fff30,0x3fea6fff,0xefffffef,0x5427fdc0,
    0xffb82fff,0xf98ffe64,0x7ffc45ff,0x9837e45f,0xfff81fff,0x01ffff05,
    0x222fffd8,0x882fffff,0x202ffffe,0x3e23fff9,0xe882ffff,0x7fc2ffff,
    0x7fec00ff,0x37fffa2f,0x3fffffa9,0x3e1bffe2,0x7ffcc6ff,0x0dfff104,
    0x7c40dfff,0x3ffe04ff,0x74d7ff66,0x2e0fffff,0xfff884ff,0x324ffb85,
    0x3fff61ff,0x43fffd80,0xfff907fb,0x20bfff01,0x6c00ffff,0x3ff62fff,
    0x7fec00ff,0x3ffe606f,0x03ffff63,0xf8dfffb0,0x7ec00fff,0xbfff52ff,
    0x1f7fd7ec,0xfa83fff6,0x7ffd43ff,0x83fff603,0x7c03fffa,0x3ffe05ff,
    0xd88fffe6,0x310effff,0x3fff6013,0xe93fee1c,0x7fff10ff,0x907ffee0,
    0xfffc98ff,0x20bfff06,0x6c00ffff,0x3ffe2fff,0xfff8803f,0x7fff303f,
    0x401ffffc,0x3e3ffff8,0x7ec00fff,0x5fff72ff,0x3ea00b7c,0x3fff63ff,
    0x017ffd40,0x7ec7fff5,0x7ff400ff,0x45bffe06,0xffb85fff,0x3e6003ff,
    0xff70ffff,0xff737fc9,0x3ffee01f,0xff137f40,0x3fe03fff,0x1ffff05f,
    0x12fffd80,0x6400ffff,0xff304fff,0x1fffe27f,0x24fffc80,0x6c00ffff,
    0xfff92fff,0x22013e63,0x3ffe6fff,0x01fffb85,0xff9bffe2,0x7ffd805f,
    0xfd9bffe0,0xfffa83ff,0x7ffcc005,0x7c9ff70f,0x81fff24f,0x7fc46ffd,
    0x07fffe24,0xff05fff8,0xffd801ff,0x0bfff52f,0x82fffd40,0xff53fff9,
    0x7fd400bf,0x03fffe5f,0x365fffb0,0x03f91fff,0x2a3fff20,0xffa82fff,
    0x7ffe402f,0x802fffa8,0x3fe06ffd,0x3fffee6f,0x037fe40d,0x1ffffd10,
    0x7fc53fee,0xe81bff63,0x17fd44ff,0x01dffff1,0x7fc17ffe,0x7fec00ff,
    0x09fff72f,0x83fffcc0,0xff73fff9,0x7fcc009f,0x03fffe7f,0x325fffb0,
    0x00fd2fff,0x7e5fffcc,0xfff980ff,0x5fffcc02,0xe800fffc,0x3ffe05ff,
    0x3ffffa26,0x013ff62e,0x22dfffc8,0x8ffe4ffb,0xff506ffe,0x437fc47f,
    0xf05fffdb,0x3ffe0bff,0x7ffec00f,0x009fff92,0x407fffc4,0xff93fff9,
    0x7fc4009f,0x1ffff0ff,0x52fffd80,0x49f17fff,0xffd00abb,0x7c09fffd,
    0xffe803ff,0xd004fffe,0x7ffc09ff,0x7ffff446,0x71fffacf,0x3ffe09ff,
    0x3a4ffb85,0x03fff24f,0x7447fffa,0x3ffa02ff,0x05fff80f,0xd803ffff,
    0xfff92fff,0x7ffcc009,0x27fff307,0x2004fffc,0x3fe7fff9,0x7fec01ff,
    0x7dfff12f,0x1fffe65f,0x7fffffdc,0x013ffa01,0x3fffffee,0x07fff001,
    0xfc837ffc,0x3fffffff,0x3e613fee,0x4ffb82ff,0xfffb9bf6,0x47fffe43,
    0x5405ffd9,0xfff81fff,0x03fffd05,0xf72fffd8,0x7d400bff,0xfff306ff,
    0x017ffee7,0x3a6fffa8,0x7ec01fff,0x3fffe2ff,0xfffd98ff,0xfffff104,
    0x05ffd80f,0x7fffff88,0x03fff300,0xf5037ffc,0xb89fffff,0xfffa84ff,
    0x2a4ffb81,0x3fffa1ff,0xfffffece,0x8804ffff,0xfff82fff,0x03fffd05,
    0xf52fffe8,0x7dc00dff,0xfff305ff,0x01bffea7,0x3a5fffb8,0x7f401fff,
    0x3ffea2ff,0xfffffeff,0x3ffff600,0x03ffdc04,0x04ffffd8,0x401fff50,
    0x64406fff,0x2e0fffff,0xfffa84ff,0x224ffb80,0x3ffe65ff,0xfffdefff,
    0xf1003fff,0xbfff07ff,0x007fffa0,0x3e63fffd,0xfd001fff,0x3fe609ff,
    0x3ffff33f,0x93fffa00,0x7401fffe,0x7fcc1fff,0x1fffffff,0x0ffffd40,
    0x007ffe60,0x007fffea,0x3e02ffe4,0xff5006ff,0x27fdcbff,0x5c07ffdc,
    0x1ffe44ff,0x227dfd91,0x220acefd,0xfff88099,0xb05fff83,0x7c409fff,
    0x3ffa1fff,0xfffb806f,0x7fff301f,0x4037fff4,0x361ffffb,0x3e204fff,
    0xff981fff,0x800dffff,0xd006fffa,0xff5007ff,0x7ff400df,0x237ffc01,
    0x7fcc1a99,0x213fee7f,0xfb80fffb,0x17ffc44f,0x7ffcc000,0xf07fff01,
    0x3fee0bff,0xfff901ff,0xdffffa8f,0x9ffff500,0x51fffcc0,0x201bffff,
    0x5c4ffffa,0xf901ffff,0x4f7c0fff,0x7ff4001a,0xbff5003f,0x07fffd00,
    0x301bfe20,0x7fccdfff,0x27ffe86f,0xffc84ffb,0x309ff707,0x00019fff,
    0xf813fff2,0x5fff85ff,0xbfffff10,0xffffb737,0xdffffb09,0xfffb7357,
    0x7fcc01ff,0x7fffec3f,0xffdb9abe,0x7fc40fff,0xdb9bdfff,0xf504ffff,
    0x6d4c4007,0x2000ffff,0x54c40ffe,0x000ffffd,0x32e05ff7,0x7f45ffff,
    0xffb89cff,0x453fee6f,0x707fffba,0x3fea09ff,0x2201acff,0x05fffea9,
    0x855ffff4,0x42aaefff,0xfffffffc,0x80ffffff,0xffffffe8,0x2fffffff,
    0xfffbaa88,0x7ffff443,0xffffffff,0xffff902f,0xffffffff,0x007f201f,
    0xffffffd8,0x1ffd4004,0x3ffffff6,0x81bfa004,0x43fffffe,0xfffffffa,
    0x3fee2fff,0x9fffff54,0x8813fee0,0xeffffffe,0xffffedcd,0xffc803ff,
    0xffff2fff,0xfff90fff,0xdfffffff,0xffffc803,0x0effffff,0xffffff70,
    0x3ffff207,0x0effffff,0x7ffffe40,0x01efffff,0xff9001ba,0x2000bfff,
    0x7ffe46fe,0x3ea005ff,0xffff102f,0x3ffee0bf,0x5c4fffff,0xffff54ff,
    0x13fee01f,0x3ffffae0,0xffffffff,0xff1000cf,0x3ffe5fff,0xfd307fff,
    0x19dfffff,0x3ffb6600,0x5c03efff,0x03ffffff,0x3ffffb66,0x3a6003ef,
    0xceffffff,0x0013e600,0x007bffd7,0xd717fd40,0xd8007bff,0x3ff6206f,
    0x3b2200bd,0xfb81deff,0x17dff54f,0x0027fdc0,0xfffdd971,0x400059bd,
    0xddb2ffec,0x9880dddd,0x300001a9,0x77540013,0x2002eeee,0x44000099,
    0x22001a99,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeec80000,
    0xaaa8002e,0xcccccccb,0x00000003,0x0007ddd7,0x00007999,0x566ee54c,
    0x00000001,0x007ddd70,0x64000000,0x32001eee,0xed802eee,0x000001ee,
    0x66406202,0xffff504c,0x3fee001f,0xffffffff,0x3ff605ff,0x0013ff64,
    0x000fffd8,0x00037ffc,0x7ffffec4,0xfa804fff,0x01ffea7f,0x02fffc40,
    0x64bff900,0x744005ff,0xff3005ff,0xfff5009f,0x92ffe405,0x3fee0bff,
    0xf07f88be,0xfff10fff,0xf900bff9,0xffffffff,0x6c0bffff,0x13ff64ff,
    0x07ffb000,0x006fff80,0x7ffffd40,0x0effffff,0xfa9ffea0,0xff70007f,
    0xffc8000b,0x0017ff25,0x2007ffe2,0xfd004ffc,0x5ffc807f,0x3e217ff2,
    0x5fffffff,0xfb0ffff0,0x80fff65f,0xfffffffa,0x5fffffff,0xfd93ff60,
    0xfe80004f,0x37ffc007,0xffff3000,0xfffffbff,0x3ffd40bf,0x2000fff5,
    0x40000eff,0x3ff25ffc,0x9ff30005,0x005ff880,0xf9009ff3,0x42ffe4bf,
    0xffdb9cfa,0x8ffff01e,0x2aa22aa8,0x3ffff202,0xff99efff,0x2aa600af,
    0x0006aa61,0x8002aa20,0x20006fff,0x4c1efffe,0x101ffffd,0x15544555,
    0x00554400,0x30d54c00,0x4c000355,0x0154402a,0x26005530,0x0aaa61aa,
    0x803102a6,0xccccffff,0x0e665c00,0xfffffffd,0x007ffe2d,0x2f3b72a6,
    0x32a60001,0xf001bced,0x70010dff,0x7401dfff,0x33325fff,0x6665c00c,
    0x76e54c01,0xc80001bc,0x97001ccc,0x99999999,0x64199999,0x6665c4cc,
    0xcccccccc,0xccc80ccc,0x00cccb84,0xff8e664c,0x00ffffff,0xff17ffec,
    0x2dffffff,0x2601fff8,0xfffffffe,0x3a6001ef,0xffffffff,0xb7ffc01e,
    0x00dfffea,0xa807ffff,0x3ffe1bdf,0x7ffec00f,0xffffd302,0x003dffff,
    0x17fffea0,0x7fffff40,0xffffffff,0x83fffe1f,0xfffffffe,0x1fffffff,
    0x740ffff8,0x7dc05fff,0xfffff2ff,0xfd801fff,0x3fffa2ff,0xff16ffff,
    0x3ffee03f,0xffffffff,0xfffb804f,0xffffffff,0x3bffe04f,0xeffffffc,
    0x03fffc41,0x03fffe00,0x705fffb0,0xffffffff,0x0009ffff,0x01fffffb,
    0xffffffd0,0xffffffff,0xd07fffc3,0xffffffff,0x03ffffff,0xfe81ffff,
    0x3ee02fff,0xfffff2ff,0xfd801fff,0x3fff22ff,0xff16ffff,0xffff503f,
    0xffffbdff,0x7fd40bff,0xffdeffff,0xff05ffff,0xffffffff,0x7fcc1fff,
    0x7fc0006f,0x7fec00ff,0x7fffd42f,0xffffdeff,0x3e2005ff,0x804fffff,
    0xfffffffe,0x1fffffff,0xfe83fffe,0xffffffff,0xf81fffff,0x7ff40fff,
    0xff700fff,0x3ffffe5f,0x7ec00fff,0x3ffe22ff,0xff16ffff,0xffff883f,
    0xfffe882f,0xffff882f,0xfffe882f,0xfffff82f,0x7ffff70c,0x002fffd4,
    0x003fffe0,0x7c45fffb,0xe882ffff,0x9002ffff,0x0fffffff,0x003fffd0,
    0xe83fffe0,0x40001fff,0x7f40ffff,0xf704ffff,0x3fffe5ff,0x6c00ffff,
    0x7fd42fff,0xff16ffff,0xffffd83f,0x37ffec00,0x007fffec,0x3e1bfff6,
    0xff983fff,0x13fff27f,0x1ffff000,0x22fffd80,0x400ffffd,0xf006fffd,
    0x5fffdfff,0x01fffe80,0x41ffff00,0x0001fffe,0x3a07fffc,0x81ffffff,
    0xfff2fffb,0x801fffff,0xb882fffd,0xff16fffd,0x3ffff83f,0x3ffff880,
    0x401ffffc,0x7c3ffff8,0xffd00fff,0x17ffee1f,0x1ffff000,0x22fffd80,
    0x8803ffff,0x5403ffff,0xfffadfff,0x0ffff405,0x0ffff800,0x0007fffa,
    0xe81ffff0,0x86ffffff,0xfff2fffb,0x801fffff,0x5c02fffd,0x3fff16ff,
    0x003fffc4,0x7c49fff9,0x3f2007ff,0x3fffc4ff,0x2a3fffb0,0x40006fff,
    0x6c00ffff,0xfff12fff,0x7ffe400f,0x57ffec04,0x200ffff8,0x0001fffe,
    0x7f41ffff,0x7c0001ff,0x7ff40fff,0x5c2fffff,0xffff2fff,0xd801ffff,
    0x7dc02fff,0x43fff16f,0x2005fffa,0x3ea5fffa,0x3ea005ff,0x37ffc5ff,
    0x265fff90,0x15006fff,0x801ffff0,0xff52fffd,0x7fd400bf,0x3ffe205f,
    0x813fff67,0xaaabfffe,0x41aaaaaa,0x3fa0ffff,0xaaaaabff,0xff01aaaa,
    0xfffe81ff,0x2e0ffffb,0xffff2fff,0xd801ffff,0x7dc02fff,0x43fff16f,
    0x2004fffb,0x3ee7fff9,0x3e6004ff,0x3fffc7ff,0x223fff90,0x5401ffff,
    0x3ffe3eff,0x7ffec00f,0x009fff72,0x703fffcc,0x7fcc9fff,0x3fffa07f,
    0xffffffff,0x7fffc3ff,0x3fffffa0,0xffffffff,0x81ffff03,0xfffd7ffe,
    0xf97ffdc9,0x0fffffff,0x017ffec0,0x7fc5bfee,0x13fff21f,0x0ffff880,
    0x4009fff9,0x3e0ffff8,0xffb00fff,0x2ffff41f,0xf9bfffa0,0x7ec00fff,
    0x9fff92ff,0x7fffc400,0x83fffd00,0xfd02ffff,0xffffffff,0xff87ffff,
    0x3fffa0ff,0xffffffff,0xffff03ff,0xf37ffe81,0x3fee3fff,0xffffff2f,
    0xffd803ff,0xb7fdc02f,0x3f21fff8,0x3e6004ff,0x3fff27ff,0x3ffe6004,
    0x41ffffc7,0x7cc7fff9,0xff503fff,0x7fffc7ff,0x97ffec01,0x2004fffc,
    0xf307fff9,0xfff90dff,0x3ffffa0b,0xffffffff,0x07fffc3f,0xfffffffd,
    0x07ffffff,0xfd03fffe,0xb7ffe4ff,0xfff2fffb,0x803fffdf,0x5c02fffd,
    0x3fff16ff,0x002fffdc,0x7dcdfff5,0x3ea005ff,0x7fffc6ff,0x3fffaa3f,
    0xdffffc84,0xffffeb9a,0x07fffa0f,0x2e5fffb0,0x2a005fff,0xff906fff,
    0xf533339f,0xffd01fff,0x3fe0003f,0x3fffa0ff,0x7ffc0001,0x13fff40f,
    0xff77ffff,0x3bfffe5f,0x7f401fff,0x7fdc02ff,0x543fff16,0x2e006fff,
    0x3fea5fff,0x3fee006f,0x7ffffc5f,0xfffffeff,0xffffe880,0xffffffff,
    0x00ffff41,0x7d4bfffa,0x3ee006ff,0xffff05ff,0xffffffff,0xfffd09ff,
    0x3ffe0003,0x07fffa0f,0x1ffff000,0x7d47ffe8,0x2fffcfff,0xfffdffff,
    0x1fffe803,0xf8b7fdc0,0x3ffe61ff,0xfffd001f,0x0ffffcc9,0x44fffe80,
    0xfffcefff,0x6402ffff,0xffffffff,0xfffe82ff,0x8ffff401,0x001ffff9,
    0xf509fffd,0xffffffff,0xd0ffffff,0x20003fff,0x3fa0ffff,0x7c0001ff,
    0x7ff40fff,0xfffffd87,0xbffff2ff,0x7c409fff,0x7dc01fff,0x83fff16f,
    0xb806fffe,0x7f41ffff,0xffb806ff,0xb7ffc1ff,0x00effffb,0xfffffb50,
    0x3ff6019f,0x3ffe204f,0x1bfffa1f,0x07fffee0,0x3ffffff6,0xffffffff,
    0x0ffff42f,0x0ffff800,0x0007fffa,0xe81ffff0,0xfff987ff,0xfff2ffff,
    0x03ffff7f,0x201ffff2,0xfff16ffb,0xdffffa83,0x9ffff500,0x1bffff50,
    0x13fffea0,0x0311bffe,0x16fedc00,0x0ffffdc0,0x547fffc8,0x500dffff,
    0xf109ffff,0x55555fff,0xbfffb555,0x001fffe8,0x741ffff0,0x40001fff,
    0x7f40ffff,0xffff907f,0x3fe205ff,0xdb9bdfff,0xb804ffff,0x3fff16ff,
    0x7dffffb0,0xffffb735,0x3fff601f,0xfdb9abef,0xff80ffff,0x6c00006f,
    0x4403ffed,0x9bdfffff,0x84ffffdb,0xabeffffd,0xfffffdb9,0x04fffc80,
    0x20ffff98,0xaaabfffe,0x1aaaaaaa,0xfe83fffe,0xaaaaabff,0xf81aaaaa,
    0x7ff40fff,0x3ffffa07,0x32dffd2f,0xffffffff,0x800fffff,0xfff16ffb,
    0xffffd103,0xffffffff,0x7ff4405f,0xffffffff,0xfff02fff,0x6c00000d,
    0xfffc807f,0xffffffff,0xffe880ff,0xffffffff,0xfff02fff,0x3ffa003f,
    0x3ffffa4f,0xffffffff,0x3fffe4ff,0x3fffffa0,0xffffffff,0x0ffff84f,
    0xf503fff4,0x3fe5ffff,0x3ffff27f,0x1effffff,0x22dff700,0x3f201fff,
    0xffffffff,0xff9000ef,0xffffffff,0x37ffc01d,0xfe880000,0xffff9005,
    0x3dffffff,0xfffffc80,0x00efffff,0x400ffff5,0x3fa7fffb,0xffffffff,
    0x3e4fffff,0x3ffa0fff,0xffffffff,0xff84ffff,0x3fff40ff,0x4bffff60,
    0x7f4c7fff,0x0cefffff,0x45bfee00,0x6cc01fff,0x3efffffe,0xffed9800,
    0xf803efff,0x700006ff,0x03ffffdf,0x7ffff4c0,0x3000ceff,0xdfffffdb,
    0x4fffd807,0x3fffe200,0xffffffd2,0xffffffff,0xd07fffc9,0xffffffff,
    0x09ffffff,0xfe81ffff,0x7ffc407f,0x20ffff2f,0x0001a998,0xccc8f32a,
    0x004cc000,0x00266000,0x00079990,0x2f7bb660,0x53310000,0x26600003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bae0000,
    0xea80003e,0x300003ee,0x80009ddd,0x00009808,0x000f776c,0x3bb20000,
    0xddd5002e,0x04c00009,0x03dddb00,0x00017500,0x79db9530,0x00000013,
    0x13bba20c,0x1fffff98,0x2fff4000,0xdffb0000,0x3f620001,0x04fa8adf,
    0x3ffff200,0x2fff8006,0xfe80bffe,0x3ff2006f,0xf880000f,0xffff9006,
    0xfffe800d,0xffb10000,0x5fffffff,0x372a6000,0x27d42cce,0x220dfff1,
    0x06ffcffe,0x03bfea00,0x7ffcc000,0x3fee0000,0x02ffffff,0xfbdff300,
    0xfff8009f,0x880bffe2,0x36002ffe,0x220004ff,0x200bffda,0x4ffdeff9,
    0x9d13f500,0xffff7000,0xffffffff,0x3f62001b,0xefffffff,0xf11fff9a,
    0x3ff60dff,0x0009ff93,0x00003bfa,0x0001ffd8,0x7f64d7ec,0xf88000df,
    0x1ffe89ff,0xf8bffe00,0x7f4402ff,0x07fec006,0x7fffd400,0x7440cfff,
    0x03ffd1ff,0x01761f70,0xffffff50,0xffffffbd,0xffff500b,0xffffffff,
    0x7fc45fff,0x42aa886f,0xa88002aa,0x5400000a,0x2a80001a,0x26000098,
    0x06aa21aa,0x2a0aaa80,0x2a8800aa,0x000aa800,0x7fffffcc,0x554c5fff,
    0x200aaa21,0x003fdef8,0x0bffffe2,0x0bffffa6,0xffffffa8,0xfffffede,
    0x332e003f,0xcccccccc,0x9000cccc,0x5c003999,0x97003ccc,0x66400999,
    0x900001cc,0x2e003999,0xcccccccc,0x80cccccc,0x32004ccc,0x74001ccc,
    0xfdffcfff,0x999901ff,0xffffa800,0x3fff2005,0x7ffec00f,0xfffff106,
    0xffffb105,0xfe855107,0xffffffff,0x801fffff,0x005ffffa,0x00bfffea,
    0x007ffff3,0x017fffea,0x3fffea00,0xffffd005,0xffffffff,0xffff03ff,
    0xffff5001,0x7ffcc00b,0xbffd6f8b,0x003fffe0,0x0fffffd8,0x3ffff880,
    0x3ffff880,0x00ffffc8,0x21bffff6,0x7fff47fa,0xffffffff,0xfd801fff,
    0x2000ffff,0x200ffffd,0x2006fffd,0x00fffffd,0x7fffec00,0xfffe800f,
    0xffffffff,0xfff81fff,0xfffd800f,0xff5000ff,0x2aadf11f,0x1ffff01a,
    0x3fffe200,0xff9804ff,0x3ff2007f,0x7fffc44f,0x3ffff603,0x07fdc2ff,
    0xfffffffd,0x3fffffff,0xfffff880,0x3fe2004f,0xfff504ff,0x3fe2003f,
    0x0004ffff,0x3fffffe2,0xffffe804,0xffffffff,0xffff81ff,0x7fffc400,
    0xff5004ff,0x400df13f,0x9000ffff,0x0fffffff,0x00bfff50,0x262fffd4,
    0x3f207fff,0x44fffdef,0x3ffa1ffb,0x3200001f,0x07ffffff,0x07fffdc0,
    0x0027fff4,0xfffffff9,0x7ffe4000,0xfe807fff,0x7c0001ff,0x7e400fff,
    0x007fffff,0xdf5dfff3,0x07fffc00,0xfeffff80,0x7fdc02ff,0x3fe6004f,
    0x2fffd46f,0xfb8effb8,0x17fe46ff,0x0003fffd,0x7f7fffc0,0x7f4002ff,
    0x7ffdc5ff,0x3ffe000e,0x002fffef,0xffdffff0,0xfffe805f,0x7ffc0001,
    0x7fffc00f,0xd002fffe,0x00dfffff,0x4007fffc,0xffadfffa,0x7ffec05f,
    0x3ffe6003,0x427ffe47,0xff50fffa,0x23ffd8ff,0x0001fffe,0xf5bfff50,
    0xf9800bff,0xfff12fff,0x7fd4005f,0x05fffadf,0xadfffa80,0x7f405fff,
    0x7c0001ff,0x3ea00fff,0x5fffadff,0xfffff300,0xff8039ff,0xffd800ff,
    0x0ffff8af,0x013fff20,0x6c7fff98,0x7fcc3fff,0x1fffe61f,0x7ff47ffd,
    0xfb00001f,0xffff15ff,0xfffc8001,0x00bfffb6,0xf8afffd8,0x6c000fff,
    0xfff8afff,0x3fffa00f,0x7ffc0001,0x3fff600f,0x00ffff8a,0xffffff50,
    0x7ffc07ff,0x7ffc400f,0x813fff67,0x2005fffb,0x7e46fffa,0x3ffe24ff,
    0x23fffcc2,0x3ffa4fff,0xaaaaaabf,0x3e201aaa,0x3fff67ff,0x7ffc4004,
    0x00ffffdf,0xd9fffe20,0x22004fff,0x3ff67fff,0x3fffa04f,0xaaaaaaab,
    0xffff01aa,0x9fffe201,0x2004fffd,0xffffffc8,0x1ffff04f,0x24fffb80,
    0x2a07fff9,0x2e006fff,0x7fdc5fff,0x07ffd15f,0xff8dfff5,0x3ffffa5f,
    0xffffffff,0x3ffee03f,0x01fffe64,0x3ffffea0,0x7dc003ff,0x3ffe64ff,
    0x3ffee007,0x81fffe64,0xfffffffe,0x03ffffff,0x2e01ffff,0x3fe64fff,
    0xff88007f,0xf80fffff,0x7f400fff,0x7fffc1ff,0x3ffff302,0xfffe85d0,
    0x47fffd43,0xff704ffe,0x37ffc4bf,0xfffffffd,0x07ffffff,0x3e0ffff4,
    0xd8002fff,0x006fffff,0x7c1fffe8,0xfd002fff,0xffff83ff,0xfffffd02,
    0xffffffff,0x03fffe07,0x3e0ffff4,0x44002fff,0x3fffd8ef,0x200ffff8,
    0xfc86fff9,0x3ffa05ff,0x577fd45f,0x4c1ffffb,0x4ffeffff,0x993fffa0,
    0x3ffa7fff,0xffffffff,0xff303fff,0xbfff90df,0xffff1000,0xff98003f,
    0x5fffc86f,0x86fff980,0xfd05fffc,0xffffffff,0x3e07ffff,0xff980fff,
    0x5fffc86f,0x45be2100,0xfff84fff,0x3fff200f,0xffa9999c,0xfff500ff,
    0x7fffd47f,0xfd05ffff,0x540bffff,0x3e61ffff,0x3fffa7ff,0x7fe40001,
    0xfa9999cf,0xc8000fff,0xc8004fff,0x9999cfff,0x400ffffa,0x999cfffc,
    0x80ffffa9,0x0001fffe,0x6407fffc,0x9999cfff,0xb00ffffa,0xe9be2dff,
    0xffff83ff,0x3ffffe00,0xffffffff,0x3fff604f,0xffe99aef,0xf500ffff,
    0x2601ffff,0x7cc4ffff,0x3fffa7ff,0x7ffc0001,0xffffffff,0xb8004fff,
    0xf8004fff,0xffffffff,0x404fffff,0xffffffff,0x84ffffff,0x0001fffe,
    0x7c07fffc,0xffffffff,0x904fffff,0x2df15fff,0xff82fff8,0xfff500ff,
    0xffffffff,0x7440ffff,0xffffffff,0x00efffff,0x33fffffa,0xffffc989,
    0x3fffcc0f,0x0003fffd,0x7fffffd4,0xffffffff,0xfffb8007,0x7ffd4004,
    0xffffffff,0x3ea07fff,0xffffffff,0xe87fffff,0x40001fff,0x7d40ffff,
    0xffffffff,0x507fffff,0x3df7ffff,0xff01fffb,0x3ff601ff,0xffffffff,
    0x402fffff,0xfffffffc,0xcfffffff,0x7ffffd40,0xffffffff,0xfff982ff,
    0x007fffa7,0xfffffd80,0xffffffff,0x7dc002ff,0x7ec004ff,0xffffffff,
    0x02ffffff,0xfffffffb,0xffffffff,0x01fffe85,0x07fffc00,0x3ffffff6,
    0xffffffff,0xffffb02f,0x07ffffff,0x2203fffe,0xaaaaffff,0xfffdaaaa,
    0xffed9805,0xffecdfff,0x3ffea5ff,0xfffffffd,0x9100efff,0x7fff4999,
    0xfff10001,0x5555555f,0x00bfffb5,0x004fffb8,0x2abfffe2,0xfdaaaaaa,
    0xfff885ff,0xaaaaaaaf,0x745fffda,0x40001fff,0x3e20ffff,0xaaaaafff,
    0x5fffdaaa,0xfffffd10,0x7fc09fff,0xfffc80ff,0xffff9804,0x4054c000,
    0x3fa1fffc,0xffffb32f,0x40007dff,0xaaabfffe,0x1aaaaaaa,0x2013fff2,
    0x000ffff9,0x8013ffee,0x9804fffc,0x7e40ffff,0xff9804ff,0x3fffa0ff,
    0xaaaaaaab,0xfff81aaa,0x13fff20f,0x03fffe60,0xdfffffc8,0x07fffc02,
    0x800ffffc,0x0004fffe,0x36226cc0,0x00153103,0x3ffffa00,0xffffffff,
    0x3fffe4ff,0x9fffd001,0x27ffdc00,0x03ffff00,0xf13fffa0,0x3a003fff,
    0x3ffa4fff,0xffffffff,0xff84ffff,0x3fffe0ff,0x9fffd001,0x001df500,
    0xf503fffe,0x7dc00fff,0x000007ff,0x00000000,0x3ffffffa,0xffffffff,
    0x00ffff54,0x003fffdc,0x2009fff7,0x2007fffa,0x3ea7fffb,0x3ee007ff,
    0x3fffa7ff,0xffffffff,0xfff84fff,0x0ffff50f,0x03fffdc0,0xff0037c4,
    0xfffd81ff,0x3ffe2004,0x0000002f,0xd0000000,0xffffffff,0x29ffffff,
    0x2004fffd,0x002ffff8,0x2009fff7,0x2004fffd,0xfb2ffff8,0x7c4009ff,
    0xfffd2fff,0xffffffff,0xfff09fff,0x13fff61f,0x2ffff880,0xf002f440,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0040006a,
    0xbcedb980,0xbddb1000,0x7774c000,0x0f776c05,0x0aa0a600,0xdd71f764,
    0xdeed8809,0x3ccc8800,0x776c400c,0x3aa0000e,0xdd3004ee,0x3bb600bd,
    0xe80bbb22,0x07bba1ee,0x06a20d40,0x01bffa20,0x86ffff54,0x7f443eee,
    0x02ffffff,0x005fff50,0x003fff60,0x2009fff1,0xbacfffe8,0x49ffb04f,
    0x7ec05ffc,0xd3005fff,0x03fd5dff,0x007fff30,0x0077ff40,0x04ffffe8,
    0x3fa3ffe8,0x8bffe03f,0x7cc02fff,0x2fd9beff,0x2f99fb80,0x7ffffe40,
    0x44fff9ff,0xfffffffd,0xff7001ff,0xfff1000d,0x3ffe6003,0xffffb800,
    0xfb02ffff,0x02ffe49f,0x7ffbbff7,0x3fff6200,0x3fea001e,0xdff30007,
    0x33ff2001,0x7f402ffe,0x80fffa3f,0x3ffe2fff,0x7fffe402,0xc800ffff,
    0xffa813a6,0xffffffff,0x3ffee4ff,0x4fffeaae,0x00bfee00,0x8003ff90,
    0xfd804ff9,0x04ffda89,0xcca8b32a,0x11dff302,0xf7003fff,0x8001dfff,
    0xd8003ffa,0xff5000ff,0x803ffe6d,0x332e2ccb,0xc8733202,0x47fc01cc,
    0x003ffda8,0x403fbbf3,0xb51dffff,0x7ec9ffff,0x3ffea1ff,0x00d54004,
    0x40006aa0,0x018802a9,0x98800000,0x80266209,0xffe9cff8,0x01a98006,
    0x2001aa80,0x26620998,0x00000000,0x00004c00,0x2a02dda8,0xffd06fff,
    0x23fffc9f,0x0002fffa,0x00066000,0x198000cc,0x00033000,0x41700066,
    0x4004fff9,0x00040000,0x01000020,0x80000800,0x00cc0000,0x5c0bffee,
    0x3ffe4fff,0x807fff46,0xdd505eee,0xfffc885d,0x9100cfff,0x19ffffff,
    0x3ffff220,0xf9100cff,0x019fffff,0x3fffff22,0x765400cf,0x01fffcbd,
    0x677ffecc,0xfffd9800,0xfd9800ce,0x9800ceff,0x00cefffd,0xdeffeca8,
    0xffd95001,0xfc8803bd,0x40cfffff,0xf301fffd,0x37ffc9ff,0x7c0bfff3,
    0xfff706ff,0x7ffffc47,0x440effff,0xffffffff,0x7ffc40ef,0x0effffff,
    0x7fffffc4,0x7c40efff,0xffffffff,0xfffd880e,0x06ffffff,0x3ffffff2,
    0x3ff202ff,0x02ffffff,0x3ffffff2,0x3ff202ff,0x02ffffff,0x3ffffffa,
    0x7ff403ff,0x03ffffff,0xfffffff1,0x7fec1dff,0x9fff301f,0xff937ffc,
    0x37ffc03f,0x3a3fffb8,0xfffeffff,0x7fff45ff,0x5fffffef,0x7f7ffff4,
    0x7f45ffff,0xffffefff,0x7ffff45f,0x85fffffe,0xfffffffe,0xfb81ffff,
    0xffffffff,0xffffb81f,0x81ffffff,0xfffffffb,0xffb81fff,0xffffffff,
    0xfffffd81,0xb04fffff,0xffffffff,0xfffd09ff,0xbfffffdf,0xa817ffec,
    0x3ffe4fff,0x803fffe6,0xff706fff,0x37ffea7f,0xa9fffea0,0x3ea0dfff,
    0x3ffea7ff,0x9fffea0d,0x2a0dfffa,0x3fea7fff,0x3ffea0df,0x77fffe47,
    0x3fffffca,0x45ffffc4,0x445fffb8,0xb88bffff,0x7fc45fff,0xffb88bff,
    0x7fffc45f,0x5fffb88b,0x467fffec,0x41ffffda,0xa8cffffd,0x2a1ffffd,
    0x3ea0dfff,0x3fff27ff,0x49fff903,0x3ffe6fff,0x1bffe04f,0x531fffdc,
    0x8fffd019,0xffe80ca9,0x740654c7,0x0654c7ff,0x2a63fff4,0x27ffe80c,
    0x442ffff9,0x7e45fffd,0xfffd84ff,0x213fff21,0x3f21fffd,0xfffd84ff,
    0x213fff21,0xff11fffd,0xfff701ff,0x07fffc4d,0x2637ffdc,0x7ffe80ca,
    0x103fffea,0x7fc9ffff,0x3ffff26f,0x20dfff04,0x8803fffb,0x800fffeb,
    0x00fffeb8,0x0fffeb88,0xfffeb880,0xffeb8800,0x0dfff70f,0xfb1fffea,
    0xfff503ff,0x40fffec7,0x3f63fffa,0xfffa81ff,0x207fff63,0xff53fffa,
    0x7fff407f,0x407fff50,0x8800fffe,0x3a0fffeb,0xfd9cffff,0x3fe4ffff,
    0x7fffec6f,0x706fff83,0xb7107fff,0x1fffffff,0xffffb710,0xb7101fff,
    0x1fffffff,0xffffb710,0xb7101fff,0x1fffffff,0x4413fff2,0x3fa1ffff,
    0xccccccff,0x3ffa3fff,0xfccccccf,0x3fffa3ff,0xffcccccc,0x33fffa3f,
    0xfffccccc,0x405fff93,0xff91fffd,0x7ffec05f,0xfffdb881,0x3ea0ffff,
    0xefffffff,0x3ffe4fff,0x7ffff446,0xb837ffc1,0x3fa23fff,0xffffffff,
    0x3fffa20f,0x0fffffff,0x3fffffa2,0x220fffff,0xfffffffe,0x3fa20fff,
    0xffffffff,0x05fffb0f,0xff17ffec,0xffffffff,0x7ffc9fff,0xffffffff,
    0x3fffe4ff,0xffffffff,0x3ffffe4f,0xffffffff,0x403fffb4,0xffb2fffc,
    0x7ffe403f,0x3ffffa22,0x40ffffff,0xdffffffa,0x3fe4fff9,0xfffe886f,
    0xb83fffc6,0xfff13fff,0xffb159df,0x3fffe21f,0xfffd8ace,0x9dffff10,
    0x21fffb15,0xaceffff8,0xf10fffd8,0xb159dfff,0x3ff61fff,0x3fffa02f,
    0x3bbfffe1,0x4eeeeeee,0x3bbbfffe,0x24eeeeee,0xeeeeffff,0x3e4eeeee,
    0xeeeeefff,0xff94eeee,0x7ffec03f,0x403fff91,0xff11fffd,0xfb159dff,
    0xfd9301ff,0x93ffe67b,0xfd106fff,0x3fffc3ff,0xf93fffc8,0xfffd07ff,
    0x20ffff21,0xff90fffe,0x1fffd07f,0x3a0ffff2,0xfff90fff,0x21fffd07,
    0xf303fffb,0x7ff41fff,0x7ff4001f,0x7ff4001f,0x7ff4001f,0x3fea001f,
    0x3fffa03f,0x407fff50,0xff90fffe,0x1fffd07f,0x3fffa800,0xfb81bffe,
    0x3fffa2ff,0xd3fffe80,0xfff01fff,0x03fffa1f,0x7f43fffe,0xffff80ff,
    0xf01fffd0,0x3ffa1fff,0x0ffff80f,0x701ffff5,0xffd8dfff,0x09aca84f,
    0x2a13fff6,0x3ff609ac,0x09aca84f,0x2a13fff6,0xfff109ac,0x9bffea0d,
    0xf506fff8,0x7fff4dff,0x30ffff80,0xf70199df,0x37ffc5ff,0x3fff61b3,
    0x913fff62,0x3fa7ffff,0x7ffe42ff,0x85fffd0f,0xfd0ffffc,0xfffc85ff,
    0x85fffd0f,0xfd0ffffc,0xfffc85ff,0x3bfff60f,0x5ffff933,0x22ffff98,
    0x260ffff8,0x3e22ffff,0x3fe60fff,0x3ffe22ff,0x3fffe60f,0x83fffe22,
    0x913efffe,0xfe85ffff,0xff913eff,0x7fff45ff,0x87fffe42,0x31dffff8,
    0x7c1ffff5,0xffff96ff,0x7dc1ffff,0xfffdefff,0xfff93fff,0xffffd9bf,
    0x3ffff23f,0xfffffecd,0x9bffff91,0x23fffffd,0xecdffffc,0xf91fffff,
    0xffd9bfff,0x7fc43fff,0xffffffff,0xffffb05f,0x05ffffbd,0xfbdffffb,
    0xffb05fff,0xffffbdff,0xdffffb05,0x885ffffb,0xfffffffe,0xfe885fff,
    0xffffffff,0x7fffe45f,0xfffffecd,0x3fffff61,0x44ffffff,0xfff36fff,
    0xfd05ffff,0xf3dfffff,0x3ffe27ff,0xffdfffff,0xfffff12f,0x5fffbfff,
    0x3fffffe2,0x12fffdff,0xffffffff,0x3e25fffb,0xdfffffff,0x7fd42fff,
    0xdfffffff,0x3ffff600,0x3605ffff,0xffffffff,0x3ffff605,0x3605ffff,
    0xffffffff,0xffffd105,0x2019ffff,0xffffffe8,0x7fc40cff,0xfdffffff,
    0x3ffa22ff,0xdfffffff,0xb337ffc0,0x2205ffff,0x88dffffd,0x3f663fff,
    0xff88dfff,0x3fff665f,0x5fff88df,0x37ffff66,0x265fff88,0x88dffffd,
    0x3f665fff,0xff88dfff,0xfffc885f,0xd7002eff,0x005bffff,0x5bffffd7,
    0xffffd700,0xffd7005b,0xb8805bff,0x02effffd,0xffffdb88,0x3ff6602e,
    0xfff88dff,0xfffed985,0x310001ce,0x0004c001,0x44000cc4,0x19880019,
    0x00198800,0x40001988,0x4c0001a8,0x00660001,0x20001980,0x06600019,
    0x80033000,0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02f774c0,
    0xd70f7640,0x0006009d,0x407ddd50,0x2000bca8,0x5ea801ed,0x200bd300,
    0xbd3005ea,0x07bd9300,0x8003dd50,0x01cdedc9,0x17bba600,0x02f76c40,
    0xdb1776c0,0x7754005d,0xfe88004e,0x7c004fff,0x0fff61ff,0x7ffff644,
    0x7ff4000c,0x3fffea05,0x05fb804f,0xb007ff98,0xfff3005f,0x700bf600,
    0x01dfffff,0x320037f4,0x4fffffff,0xffff8800,0xfff5003f,0x2fff8007,
    0xe800bffe,0xc8000eff,0x01ffecff,0xff8fff10,0xffffa81f,0x001fffff,
    0x7401dff5,0x00ffdadf,0xd9807fe2,0xfa807fff,0x7ffecc06,0x406fa807,
    0xffdbfff8,0x005ff704,0x7fffffdc,0x6c003fff,0x01fffcff,0x800dff50,
    0x3ffe2fff,0x1dff5002,0x2bff5000,0xa800eff9,0x3ffe26ff,0x7ffffcc0,
    0x00ffffff,0x5400efe8,0x403ff51b,0x7fec04fc,0x1fe807ff,0x3ffffec0,
    0x2e00ff40,0x0fff14ff,0xff001bfa,0x3ffa65ff,0x57fee007,0x2e006ff9,
    0x332002ff,0x0073321c,0x80007fec,0x26620998,0x24ffb800,0xffe86ff9,
    0xfffb32df,0x00aa8807,0x813ffa20,0x9e400ff8,0x2fdc07fd,0x07fd9e40,
    0x7e402fdc,0x703ffa3f,0x7c4005ff,0x7ffd45ff,0x88331000,0x2aa00099,
    0x00000001,0x40000155,0xd5553000,0xffb559ff,0x3ffea35d,0x04eff986,
    0xfff50000,0x001fec09,0xff881ff6,0x03fec000,0xfb001ff1,0x20fff45f,
    0xff8006fe,0x1fff60ff,0x08000000,0x80000000,0xeca80000,0xfb01deff,
    0xffffffff,0x2e9fffff,0x40103fff,0xdd505eee,0xff53105d,0x000df309,
    0x27e40ffb,0x903fec00,0x3ff2009f,0xfb83ffe3,0xffd8002f,0x0bfff75f,
    0x2a0bddd0,0xd9502eee,0x7403bdff,0xddd505ee,0x3ffb2a05,0x7f4001de,
    0x3fffffff,0xffffffd8,0xffffffff,0x005fff94,0x2e0dfff0,0x15513fff,
    0x17f437f4,0x883fec00,0xfd8000ff,0x001ff107,0x7fc53fee,0x80037f47,
    0xffeffff8,0xfff801ff,0x07fff706,0xfffffffd,0x1bffe07f,0x741fffdc,
    0xffffffff,0xffffb003,0x89ffffff,0xceffdccb,0x2ccfffcc,0x0003fffb,
    0x3ee0dfff,0x19ff13ff,0x6fa87ff5,0x20ffb000,0xfb0003fd,0x800ff60f,
    0xffdbfff8,0x000bfee5,0xffffffb8,0xdfff001e,0xb0fffee0,0xffffffff,
    0xdfff09ff,0xb0fffee0,0xffffffff,0xffd809ff,0xffda8cff,0x9ff901ff,
    0x7ec37fcc,0xff8002ff,0x7fff706f,0x7fffffdc,0x8000ff40,0x06f987fd,
    0x261ff600,0xffc8006f,0x3fe0ffff,0x7fe40006,0x2000dfff,0xff706fff,
    0x7fffec7f,0xffffda8c,0xb837ffc1,0x3ff63fff,0xffda8cff,0xfff101ff,
    0xdfff701f,0xfb8bff60,0x3fffb84f,0xff815770,0x7fff706f,0x40adfca8,
    0x320005fb,0x002fe85e,0x3fa17b20,0xdfb50002,0x017fdc19,0xffffd880,
    0x3e000fff,0xfff706ff,0x03fffe27,0xff1bffee,0x3ffee0df,0x01ffff13,
    0x2a0dfff7,0x3fa03fff,0x1fff80ff,0x3ea0fff6,0xfff986ff,0xb837ffc7,
    0x44003fff,0x1ff700ff,0x446fa800,0x8001cedb,0x3fee06fa,0x46ff8000,
    0x980cefeb,0xfffefffe,0x202b366f,0xff706fff,0x0fffea7f,0x3e0fffe8,
    0xfff706ff,0x80fffea7,0xfc80fffe,0x3ff602ff,0xfff3311f,0x35ffd333,
    0x6ffff413,0x89fffb32,0xff706fff,0x4fc8007f,0x001fff30,0x3fe61fe8,
    0x4002ffff,0xfff301fe,0x2ffb8001,0x3bfffff6,0x46fffec0,0xf9cffff9,
    0x6fff84ff,0x327fff70,0x3f602fff,0x1bffe1ff,0xfc9fffdc,0x3ff602ff,
    0x1fffd81f,0x6cbfff20,0xffffffff,0x24ffffff,0xfffffffa,0x7fc0ffff,
    0x7fff706f,0x407fcc00,0x000ffff8,0x3ff917ee,0x5c00dfb1,0xffff105f,
    0x26ff8001,0xffdaeffa,0x71bffe23,0xfffdffff,0x20dfff03,0xffb3fffb,
    0x7ffe403f,0x5c1bffe2,0xfffb3fff,0x17ffe403,0xb00fffe4,0x3ff63fff,
    0xffffffff,0x7dc4ffff,0xffffffff,0x707fff81,0x6c007fff,0xfefe883f,
    0x1ff1000f,0x1ff22ba8,0xe807fc40,0x2000ffef,0x3ff62ffb,0x7d4dff53,
    0xfffd83ff,0xfff06fff,0x4fffee0f,0x3601fffc,0x3ffe1fff,0x27fff707,
    0x3601fffc,0xffa81fff,0x3fffa03f,0xddfffd90,0xddddfffd,0xffffb307,
    0x3ffe01bf,0x07fff907,0x7ec1bea0,0x9000ffad,0xbff3009f,0x6c13f200,
    0x000ffadf,0x3ffd1bfe,0xffc9ffe2,0xffffd02f,0x1fffe05f,0xfa9fffe4,
    0x3ffa03ff,0x41fffe0f,0xff53fffc,0x7fff407f,0x06fff880,0xff0dfff5,
    0x01ffec1f,0x803bfd70,0xfe80fffe,0x5fd003ff,0x3feadf70,0x00ff9800,
    0x4007ffd4,0x6fb80ff9,0x2e001ff5,0x07ff42ff,0x3fee1fff,0xffff305f,
    0x3fffa05f,0x13fffe80,0x3ea0dfff,0x7fff46ff,0x13fffe80,0x3ea0dfff,
    0x3ffa06ff,0xfff913ef,0x47ff885f,0xd1001ffe,0x6c05ffdb,0x7fe44fff,
    0x5fb803ff,0xfcabff98,0x1fec01bf,0x003bff20,0x7fcc1fec,0x01bffcab,
    0xffd86ff8,0x7ccfff31,0xf710bfff,0x09ffffff,0xfc89fffb,0x3ffa3fff,
    0xfff913ef,0x4fffd85f,0xd1ffffe4,0x3227dfff,0x2202ffff,0xfffffffe,
    0xffa85fff,0x001ffe25,0x3ee06fe8,0xfffdefff,0x7c403fff,0xffffa81f,
    0x2a04ffff,0x6ffec06f,0x20df5000,0xfffffffa,0x17fdc04f,0xffa97fe4,
    0x7ffffec6,0xffffffff,0x7fdc6fff,0xffffdeff,0x3ffa23ff,0xffffffff,
    0xeffffb85,0x3ffffffd,0x3fffffa2,0x805fffff,0xffffffe8,0xffc80cff,
    0x001bfe64,0x3a02ffcc,0x9effffff,0x7e403fff,0xb9999304,0x7f4059ff,
    0x33ffee02,0x3fa00ccc,0xb9999302,0xff8059ff,0xd7fff306,0xffd887ff,
    0xdfffffff,0xe83fffea,0x9effffff,0x7f443fff,0xcfffffff,0xfffffd00,
    0x87fff3df,0xffffffe8,0x71000cff,0x05dffffb,0xff717fec,0x3fbf2009,
    0x6c401fff,0xf88dffff,0x3fe203ff,0x03fea000,0x7fc05fb8,0x00ffffff,
    0xfa800bf7,0x17fdc00f,0xbfffff90,0x7ffff540,0x827e42ef,0x8dffffd8,
    0xb883fff8,0x02effffd,0x6ffffec4,0x883fff88,0x2effffdb,0x800cc000,
    0x2aa60aaa,0xbddb5001,0x00980017,0x000fae00,0x1ed80993,0x33333220,
    0x3db00ccc,0x804c9800,0xeca805ed,0x06a6003c,0x00260030,0x40006600,
    0x19800009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x82f74000,0x8001bba8,0x00200000,
    0x9bdb7510,0x5dd44005,0x654c0009,0x0001acdd,0x2f3bbb2a,0x4cccc000,
    0x80199999,0x0002bba8,0xeeeca800,0xa98000bc,0x3b600abc,0x01e66405,
    0x01eeed80,0x2e13fe60,0x01ffffff,0x8efffecc,0x3bba4eed,0x1bfffb53,
    0xfffffb80,0x2203ffff,0x1efffffe,0xffffd880,0x4004ffff,0xfffffffc,
    0xfa800dff,0xffffffff,0xfffb100f,0xd8803dff,0x3fff2000,0x0dffffff,
    0xffffe980,0xffd80cff,0x0dfff100,0x17ffe200,0x642ffb80,0xffffffff,
    0xfffff702,0x4bfff3ff,0xfffbcfff,0xfb01efff,0xffffffff,0xffd309ff,
    0x07ffffff,0x7fffffd4,0x00efffff,0x5effff4c,0x2ffffda9,0x7ffffe40,
    0x980fffff,0xffffffff,0x01ff701f,0x7bfffd30,0x5ffffb73,0x7ffffc40,
    0xfb85ffff,0xdfff102f,0x7ffcc000,0x41ffb000,0xfeeffff9,0xfff986ff,
    0xffffffff,0x3ffffe5f,0xffffffff,0x7ffffdc0,0xfffffecd,0x6ffffec1,
    0x980fffff,0xfdffffff,0x205fffff,0x4c01fff9,0x3f602ffe,0xffffffff,
    0xfffff80f,0xd86ffffd,0x7cc00fff,0x7f4c01ff,0xffffd02f,0x87ffffbb,
    0xff104ff9,0xf98000df,0x8fff004f,0x3f62fffc,0x7fff42ff,0xffffd52e,
    0x6fffffcb,0x3ffffc89,0x4c17fff4,0x3e25ffff,0x3ff60eff,0xefffe83f,
    0x7fffecc1,0x01ffe881,0x201ffd10,0xaaaaefff,0xfffb82aa,0x07fffa0d,
    0x4401fffb,0xd1001ffe,0xfff881ff,0x17ffe60f,0x7fc41bfe,0xa980006f,
    0x25ff9802,0x7c46fff8,0x3ffe66ff,0x4bfffd07,0xf983ffff,0x3ffe27ff,
    0x9fffee06,0x7d42fffa,0x7ffdc5ff,0x3fffa00e,0xe99ffd85,0x21ceeeee,
    0xff886fe8,0x7ff4003f,0x0e6f5c0f,0xd803fff6,0x3fb221ff,0x1bfa21cf,
    0xfd09fff3,0x01ffb0ff,0x010dfff1,0x7fdc0000,0x213ffea3,0x3fee7ffe,
    0xbfff504f,0xe807fffc,0xfff10fff,0x2ab2203f,0xffa81882,0x1ffffc3f,
    0x106f7ea0,0x3ffe63ff,0x221fffff,0x7ffcc1ff,0x3ffe6002,0x3ffae005,
    0x7c45eeff,0x3fffa21f,0x3fe21fff,0x213ffe21,0xffb85ffe,0x56fff882,
    0x801bfffd,0xfd805eed,0x0fffee1f,0x7e43fff6,0xfff302ff,0xb03fffcb,
    0x7ff43fff,0x00001cff,0xf887fffa,0xb80007ff,0xd31fe66f,0x5c5fd8bf,
    0xaccaafff,0x47fff500,0x3fff2019,0x7dc6ffff,0xd8977ec6,0x3a2fec6f,
    0x7ffcc7ff,0x884ff983,0xfffcefff,0x3e01ffff,0x7ff807ff,0x6417ffe4,
    0xfffb1fff,0x97ffe205,0x3f206fff,0x3ffee2ff,0x00bdffff,0x7fffecc0,
    0x037ffcc3,0xf327f400,0xfa8df90f,0x7ffffe47,0xfb82ffff,0xffffbaff,
    0xfffffc84,0x127f46ff,0x0bd885ff,0xfff31fea,0x1dfffbbf,0x3e21bfe0,
    0xffffffff,0xff00ffff,0x5ff980ff,0x6417ffe4,0xfff92fff,0x97ffe605,
    0x3f207fff,0x7ffec1ff,0x2dffffff,0x5ffff900,0x00bfff50,0x7cc5ff00,
    0x221ff447,0x3fffa0ff,0x2fffffff,0x7ff7ffe4,0x220effff,0x09afffe9,
    0x1ff517fc,0x103fe200,0x9ffffffd,0x440ffe80,0x88cfffff,0xf04ffffb,
    0xffb80fff,0x417ffec3,0xff73fffc,0x3ffea07f,0x403fffe5,0xfb80fffd,
    0xffffffff,0xfffd803f,0x7ffe40cf,0x7fc40004,0x3ffffe60,0x1fe80dff,
    0x32f7fffe,0x360fffff,0xfdffffff,0xffd85fff,0x20ff880f,0x7f4006fc,
    0x7ffff4c1,0x3f200dff,0x7fffc42f,0x07fff982,0xfd80ffff,0x17ffec1f,
    0xf99fffe4,0xfffd06ff,0x427fffcb,0x2207fff8,0xffffffdb,0x6ddc04ff,
    0x3ee2ffff,0xf80005ff,0x3fbfe60f,0x47fe02ff,0x7443edc8,0x3ff64fff,
    0x3ffa24ff,0x07ffec2f,0x1ff20ff8,0x7d43ff00,0xfffedfff,0x89ff501e,
    0x3a07fff8,0xfff80fff,0x643ff407,0xffc82fff,0x37fffa2f,0xbffffd31,
    0x867ffffc,0x004fffea,0xffffd951,0x3fe2001f,0x1bffea6f,0x98ffa000,
    0x03ff917f,0x5c001ff3,0x3ff25fff,0x7ffdc0ff,0x807ffec4,0x07fea2fe,
    0x21ff302e,0x2a1efff8,0xff106fff,0x06fff88d,0x3e07fff6,0x3fe207ff,
    0x82fffc85,0x3ea1fffc,0xfffeffff,0x3ffe5fff,0xfffeffff,0xf50000ff,
    0x6c003fff,0xfff31fff,0x6c02a00d,0xfd1fe65f,0x800ff70d,0x3ee7fff8,
    0xfff985ff,0x807ffec5,0x0ffe25fd,0x3fdc1ff7,0xfb07fff5,0x1ffa03ff,
    0x640dfff1,0xfff82fff,0x20ffea07,0xfd83fffb,0x7ffe40ff,0xfffcffff,
    0x3f3bffe5,0x42ffffff,0x6402ffec,0x2a004fff,0xfff14fff,0xeffa803f,
    0xff33fd43,0x7ec3ff98,0x7ffc4003,0x417ffea7,0x7fec6fff,0xc8ff500f,
    0x4ffcadff,0xfff91fec,0x07fff501,0xff887ff2,0x3fff606f,0x207fff81,
    0xffa81ffc,0x07ffe84f,0x33dffff5,0x7ffcbfff,0x1dffff76,0x80dfff90,
    0xb974fffc,0x9fff901d,0x202ffff4,0xff86fffe,0xffb0ff33,0xa983fea1,
    0xfffa81cb,0x21fffe66,0x7ec5fff9,0x0ffe00ff,0x8dfffff9,0x3ff60ffa,
    0x3fffb81f,0x7c47ff50,0xffd00fff,0x0ffff01f,0x7c407ff4,0x7ffcc7ff,
    0xf304c405,0x37ffcbff,0xfff50062,0x3ffe205f,0x07fff91f,0x7cc5ffff,
    0xff503fff,0x7ff507ff,0x39930991,0xffb89ff5,0x4fffc85f,0x2e17fff4,
    0x7fec4fff,0x0ffea00f,0xfa837b93,0x27ffe44f,0x8817ffec,0x3ffe25ff,
    0x7fff983f,0x220ffff0,0x3ff206ff,0xfffe88cf,0xfff98001,0x001bffe5,
    0x37ffffe2,0xffffda9b,0x4bfffea7,0x40ffffd9,0x9adffffc,0x0fffffeb,
    0x2007ffb0,0xff886ffa,0xfff70bff,0xefffb81f,0x83fffd52,0x2012fffd,
    0xf5003ffd,0xffff50df,0x3fffee25,0xf89ffa00,0x3aa2ffff,0xfff03fff,
    0x813fea0f,0xfffffff9,0xf30006ff,0x37ffcbff,0xffff9800,0xffffffff,
    0x7fffec3f,0x82ffffff,0xffffffe8,0x01ffffff,0x2056ffec,0x00effca8,
    0xfffffff9,0x3fe09fff,0xffffffff,0xfffffc84,0x2f7ff607,0x77fe5440,
    0xfffffb00,0x807fffff,0xfff11ffc,0xfffdffff,0x3ffe01ff,0x805ff907,
    0xfffffffa,0xff30001f,0x037ffcbf,0xfffff700,0x05ffffff,0xffffffd1,
    0xffc809ff,0xffffffff,0xffff7002,0x9ffffd9d,0xfffffd00,0x74c09fff,
    0xefffffff,0xfffff980,0x7fffdc07,0x4ffffece,0x7ffff440,0xa805ffff,
    0x9fff13ff,0xfffffff9,0x83fffc03,0xe9800ffe,0x000dffff,0xf97ffe60,
    0x440006ff,0xeffffffc,0x7ffdc01d,0xb5001eff,0x19ffffff,0xfffc9800,
    0x001cffff,0x3bffffea,0xfffd8802,0x7fdc03ff,0x64c00eff,0xcfffffff,
    0x3ffee001,0xf1002fff,0x4fffe2bf,0x00dfffeb,0xaa83fffc,0x00cc4002,
    0x2ccc8800,0x0000f332,0x0001a988,0x88000331,0x3000009a,0x00013555,
    0x10000cc4,0x09980013,0x9aaa9800,0x26620000,0x02aa8000,0x00000310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80b332a0,0x4000aca9,0x00cdedb9,0x96664400,
    0x3202eeeb,0x5c401eee,0x01bcdeec,0x70033332,0xa9803999,0x801bcedc,
    0x2a01cccb,0x5c002ccc,0xcccccccc,0xcccccccc,0x32ea203c,0x320002bc,
    0x97001ccc,0x57999999,0xccc80155,0x3ffee004,0xffffe984,0xffd800ef,
    0x003fffff,0x4d3ffe60,0x3fe06fff,0x3ff6207f,0xdfffffff,0x00ffff81,
    0x9817ffec,0xfffffffe,0x3fee01ef,0x3fffe05f,0x3ffe2001,0xffffffff,
    0x6fffffff,0xffffff70,0xfa8005df,0xfd005fff,0xffffffff,0x3e019fff,
    0xf7000fff,0xfffa89ff,0x01ffffff,0xffffffb1,0x20007fff,0x3fa4fff9,
    0xfffa80ff,0xfffff304,0xffffffff,0x00ffff83,0x5c17ffec,0xffffffff,
    0x3e04ffff,0xffb81fff,0x7fe4005f,0xffffffff,0xffffffff,0xfffffd86,
    0x003fffff,0x03fffff6,0x3fffffa0,0xffffffff,0x0ffff80e,0x49fff700,
    0xfeffffe8,0xff706fff,0xfffb59ff,0xff30001f,0x1fffdc9f,0x4c0fffec,
    0xdeffffff,0x0fffffff,0xb003fffe,0xffa85fff,0xffdeffff,0xf705ffff,
    0xfffd0bff,0x7ffc4003,0xfffffdcf,0xffffffff,0x6ffffdc6,0x2ffffdbb,
    0xfffff880,0xfffe804f,0xffffffff,0xfff84fff,0xfff7000f,0x867ffdc9,
    0xe82fffe9,0x7fec0fff,0xff98002f,0x1bffe24f,0x7f41bffe,0xfc983fff,
    0x3ffe4fff,0x7ffec00f,0x3ffffe22,0xffffe882,0x1ffff882,0x0017ffea,
    0x3ea9fff7,0xff0005ff,0xfff503ff,0xffff900d,0xffd00fff,0x3ff2203f,
    0x0ffff87f,0x49fff700,0x7dc1fffd,0x7ffc46ff,0x02defa85,0x27ffcc08,
    0xfa83fff6,0xfffb83ff,0x7fff401f,0x003fffe7,0x7ec5fffb,0x7ec00fff,
    0xfff706ff,0x00ffff49,0x543fffe0,0x98005fff,0x3fa05fff,0xffff807f,
    0x7402fffe,0x7fc01fff,0x7fffc0ff,0x9fff7000,0x7c43fffc,0x3fe20fff,
    0x3aa0005f,0xff98dfff,0x1fffd44f,0xfd01fffb,0xbd1009ff,0x07fffc57,
    0xf8bfff60,0xf8803fff,0xff883fff,0x5fffa8ff,0x2fffd400,0x000bfff5,
    0x6c039951,0x3ea00fff,0x5fffadff,0x00ffff40,0x3fe1fffa,0xff7000ff,
    0x837ffc9f,0x7f41fffe,0xff90006f,0xff7fffff,0x6fff889f,0x3e617ffe,
    0x40000fff,0x6c00ffff,0xfff12fff,0x7ffe400f,0xb7fff904,0xe8003fff,
    0x3fea1fff,0x2000005f,0x6c05fff9,0xfff8afff,0x3fffa00f,0x17ffe601,
    0x4003fffe,0x3fa4fffb,0xffff80ff,0x007ffec2,0x3ffffee0,0x4fffffff,
    0xfa8fffc8,0xfffa82ff,0xfff80006,0x7ffec00f,0x00bfff52,0x882fffd4,
    0x6fffffff,0x37ffd400,0x2abbffea,0x02aaaaaa,0x3fffe980,0xd9fffe20,
    0x3fa04fff,0xaaaaabff,0xf81ffffc,0xf7000fff,0x7ffec9ff,0x9ffffd42,
    0xeeffffec,0x3fe203ee,0xffb51dff,0xfff309ff,0x701fff97,0x0000bfff,
    0xd801ffff,0xfff72fff,0x7ffcc009,0x3fb33227,0xccdfffff,0x2fffe804,
    0x7fffffd4,0x0fffffff,0x3fffe600,0x27ffdc05,0x740ffff3,0xffffffff,
    0xf01effff,0x2e001fff,0x3fea4fff,0xfffd31ef,0x3ffffa7f,0x204fffff,
    0xfd06fffa,0x3ffa09ff,0xf904fffe,0x3fea09ff,0xf3ffffff,0xfd801fff,
    0x9fff92ff,0x7fffc400,0xffffff30,0xffffffff,0x3fffcc01,0x7fffffd4,
    0x0fffffff,0xbffff300,0x83fffd00,0xfd02ffff,0xffffffff,0x3e01dfff,
    0xf7000fff,0xfffd89ff,0xffffffff,0xffffffd3,0x7dc09fff,0xfff702ff,
    0x3fffee09,0xfff701ff,0x3fffea0b,0xfff3ffff,0xfffd803f,0x009fff92,
    0xf33fffcc,0xffffffff,0x401fffff,0xfa83fffd,0xffffffff,0x8800ffff,
    0x9804ffff,0xffc86fff,0xffffd05f,0xffffffff,0xffff07ff,0x3ffee001,
    0x7ffff444,0x52fffdff,0x55ffff55,0x7ffec035,0x09fff501,0x1fffffe2,
    0x506fff98,0xffffffff,0x007fffa7,0x3ee5fffb,0x3ea005ff,0x2aaa26ff,
    0xaaefffba,0x3fe602aa,0xcaaaabff,0x00005fff,0x4013fff2,0x999cfffc,
    0x80ffffa9,0x9981fffe,0x7c3ffffc,0xf7000fff,0x3fae09ff,0x1fffc9df,
    0x2006fff8,0xf301fffd,0x7fec09ff,0x7ffc04ff,0xb5555107,0x3ffa7fff,
    0x7fff401f,0x00dfff52,0x202fffdc,0x4006fff8,0xfffffffc,0x05ffffff,
    0x1bffa000,0xffffff80,0xffffffff,0x01fffe84,0x3e2fffdc,0xcca98fff,
    0x03fffc82,0x20fffec0,0x2004fff9,0xf501fffd,0x7fd409ff,0x7fec01ff,
    0xfff9003f,0x007fffa7,0x3e63fffd,0xfd001fff,0x7ffcc9ff,0xffffffff,
    0xff880fff,0xffffffff,0x0005ffff,0x4013ffe0,0xfffffffa,0x7fffffff,
    0x401fffe8,0x3e0ffff8,0xfffa8fff,0x02fffc84,0x03fffe01,0x4003fff9,
    0xf702fffb,0x7fd409ff,0xfffc806f,0x7fff9007,0x8813fff6,0x3fa1ffff,
    0xffb806ff,0x3ffe61ff,0xffffffff,0xffc80fff,0xffffffff,0x0005ffff,
    0x400fbba0,0xfffffffd,0xffffffff,0x00ffff42,0xf83fffe6,0xfff98fff,
    0x21fffe86,0x7d42ffeb,0x7ffdc4ff,0x7ffd4003,0x09fffd05,0x401ffff4,
    0x00effff9,0x5cffffee,0xf901ffff,0xfffa8fff,0xfff500df,0xffff989f,
    0xffffffff,0x7ffc40ff,0x999999bf,0x0005fffb,0x3fe20000,0xaaaaaaff,
    0x45fffdaa,0x6401fffe,0x7ffc7fff,0xfffff88f,0x0ffffeaa,0x5c7bffea,
    0x3ea0ffff,0xbdfedfff,0x7fc0ec9a,0x3ff664ff,0x36a624ff,0x7000ffff,
    0x359fffff,0xfffffd95,0x3ffffe27,0xfffdb9bd,0xffffd84f,0xffdb9abe,
    0x99980fff,0x99efff99,0xfffb8199,0x77ffd406,0xaaaaaaaa,0x7ffc00aa,
    0x4fffc806,0x0ffff980,0x2aaffffa,0xfffecaaa,0x87fffc4f,0xfffffffb,
    0xffe82fff,0x5fffffff,0x7fffffe4,0x4fffffff,0x77ffffdc,0x24ffffff,
    0x4ffffffd,0x7fffec00,0xffffffff,0x3ff20dff,0xffffffff,0xfe880fff,
    0xffffffff,0x1002ffff,0x3e00dfff,0x7d403fff,0xffffffff,0x401fffff,
    0xff806fff,0xffd001ff,0x7ffff49f,0xffffffff,0x7ffc0eff,0x3ffffa0f,
    0xf304ffff,0x9fffffff,0xffffff10,0xffffffff,0xfffffc81,0x24fff9ff,
    0x05fffffc,0xfffff700,0x5dffffff,0x3fffff20,0x01efffff,0x7fffffe4,
    0x000effff,0x201bffe2,0x400ffffb,0xfffffffa,0x1fffffff,0x2037ffc0,
    0x2007fffa,0x3fa7fffb,0xffffffff,0xf81fffff,0x7fdc0fff,0x4c03efff,
    0x03effffe,0x32a6b7f6,0x0dfffffd,0x1effffb8,0x7f5c9fff,0x440003df,
    0xefffffeb,0xffe9803c,0x00ceffff,0xffffdb30,0xf10007df,0xffd00dff,
    0xfff5009f,0xffffffff,0xff803fff,0x7ffec06f,0x3ffe2004,0xfffffd2f,
    0x5bdfffff,0x807fffc0,0x44001998,0x00880099,0x98800cc4,0x00000000,
    0x00035310,0x000d4cc4,0x00009980,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6665c000,0x09aabccc,0x3eee9800,0x006665c0,
    0x4ccccc40,0x09999999,0x3605ddd5,0x5d4406ee,0x775400ab,0x03332e3e,
    0x64399950,0xb10003cc,0xccc81ddd,0x80099994,0x3bae4eeb,0x79db7304,
    0x333332e1,0x000aaaac,0x2e0f32e0,0x65400ccc,0xffd04ccc,0xffffffff,
    0xff98007f,0x7fff404f,0xfffd8001,0xffffffff,0x07fff74f,0x6cc1fffa,
    0x0dffffff,0xfe8dffd0,0x7fe401ff,0x0dfff13f,0x3ffff600,0xffbfffc5,
    0x7fe4007f,0x2a17ff25,0xd1ffffff,0xffffffff,0x30009fff,0xffd0bfff,
    0x7ffcc03f,0xfffd01ff,0xffffffff,0x3e6003df,0x7ff404ff,0xffd8001f,
    0xffffffff,0x7fff74ff,0x261fffa0,0xffffffff,0x77fd40ff,0x00ffff40,
    0x7c4ffff2,0xfb8006ff,0x3e3ffddf,0x0ffff7ff,0x325ffc80,0x7ffc45ff,
    0x3ffa7fff,0xffffffff,0xd1001eff,0xffd0bfff,0x3ffe603f,0x3ffa01ff,
    0xffffffff,0x9800ffff,0x7f404fff,0xfd8001ff,0xffffffff,0xfff74fff,
    0x21fffa07,0xfeeffffe,0x77f45fff,0x01fffe80,0xf89fffe4,0x7c4006ff,
    0x1ffe88ff,0x3ffeffff,0x16654007,0xff987995,0x3fa29aef,0xffffffff,
    0x9006ffff,0xfd0bffff,0xfff103ff,0xffe805ff,0xfffd981f,0xe800004f,
    0xccccdfff,0x555502bc,0xfff75555,0x0fffee1d,0x3e63fff4,0x3fe61eff,
    0x015510ff,0x9007fffa,0x3fe27fff,0x4cc4006f,0x4cc26620,0x00ffff19,
    0xfff50000,0x07fffa09,0x0bffffa6,0xbfffff50,0x883fffd0,0x802ffffe,
    0x2a01fffe,0xb801ffff,0x7ff402cc,0xffffffff,0x7e4000df,0x3ffee0ff,
    0xc8fffd03,0xffd84fff,0x3ffa002f,0x7ffe401f,0x00dfff13,0xfff80000,
    0x40000087,0xfd03fffb,0x7ffc03ff,0x3ffe204f,0xffe85fff,0x3fffa21f,
    0xfffd002f,0x4fffe803,0x404fff80,0xfffffffe,0x02ffffff,0xb85fff30,
    0xffd03fff,0x81edca8f,0x3b62fffb,0x1fffe85e,0x89fffe40,0xeed86fff,
    0x0bddb04e,0x3ffebddb,0x3bfffb37,0x5c2f76c0,0xeeefffee,0x807fffa1,
    0x3605fffc,0x85fffeff,0x3fa1fffe,0x3a002fff,0x7d401fff,0x7fc405ff,
    0x7fff403f,0xfffeeeee,0xffd007ff,0x07fff70b,0x2001fffe,0x3fe1fffe,
    0x1fffe87f,0x89fffe40,0x7fec6fff,0xffff00ef,0x3feffff0,0xfffffaff,
    0xffff02ff,0xffffff90,0x7fff45ff,0x13fff201,0x7fcfffd4,0x1fffe85f,
    0x007ffffb,0x401fffe8,0x2207fff9,0x7401fffe,0xff901fff,0xffb807ff,
    0x3fffb81f,0x800ffff0,0x7fc7fff8,0xbfffe87f,0xdaaaaaaa,0xfff13fff,
    0x07fffe4d,0xff0ffff0,0x3ffffeff,0x7ffffeff,0xf90ffff0,0x5fffffff,
    0x880ffff4,0xf882ffff,0x0bfff3ff,0xffb3fffd,0x66400bff,0xcccdffff,
    0x83fffc42,0x806fffd8,0x3a01fffe,0x7fc04fff,0x9fff706f,0x00ffff10,
    0x7c3fffe8,0xfffe87ff,0xffffffff,0xff13ffff,0x3fffeedf,0x43fffc01,
    0xffff7fff,0x7fffcc5f,0x887fff82,0x99bfffc9,0x26bfffa0,0xffffb999,
    0x26ffd81f,0xffe85fff,0xffffffef,0xfffff000,0xf09fffff,0xfe881fff,
    0xfe800eff,0x3ff201ff,0x3ffea05f,0x0ffff702,0x400ffff5,0xff86fffd,
    0xffffe87f,0xffffffff,0xfff13fff,0x03ffff5d,0xff0ffff0,0x0ffffeff,
    0x3e0bffee,0x3fee07ff,0xffffd03f,0xffffffff,0x3fff509f,0x7f42fffc,
    0xffffffff,0xffff005f,0x09ffffff,0x7443ffff,0xd000efff,0x7ec03fff,
    0x3ffa04ff,0x3fffee07,0x1ffffe64,0x0ffffec0,0x7f43fffc,0xffffffff,
    0x13ffffff,0xffffffff,0x1fffe005,0x7ffdfffe,0x3fffa81f,0x2e07fff8,
    0xffd03fff,0xffffffff,0xfff10bff,0xe85fff87,0xfdffffff,0x3a003fff,
    0x7c401fff,0x7ffec7ff,0x3ffa000e,0xffff101f,0x13ffe605,0xffffffb8,
    0x07fffffe,0x17ffff44,0xfe87fff8,0x7fe401ff,0xfffff13f,0x3e00bfff,
    0x7fff87ff,0xf501ffff,0xffff07ff,0x81fffdc0,0xfffffffe,0xfb02efff,
    0x0bfff0df,0x27fffffd,0x000ffffd,0x9803fffd,0x3fe66fff,0x7f4000ef,
    0xcaaaabff,0x900fffff,0x7dc03fff,0xfffffdff,0x7ec07ffd,0x3fe02fff,
    0x1fffe87f,0x89fffe40,0xffffffff,0x7fff802f,0xfff7fff8,0x13ffea0f,
    0xfb81fffe,0xfffd03ff,0x80133335,0xcccdfffa,0x0ccefffc,0x449ffffd,
    0xd005ffff,0xfb803fff,0x3ffee5ff,0xe86aea02,0xffffffff,0x203fffff,
    0x7dc05ffe,0xafffbbff,0x3f607ffc,0x7fc02fff,0x1fffe87f,0x89fffe40,
    0xffcfffff,0x7fff806f,0xfff7fff8,0x13ffea0f,0xfb81fffe,0xfffd03ff,
    0xfff70003,0xffffffff,0x3ffa3fff,0xffffb84f,0x1fffe802,0x71ffff40,
    0x3e205fff,0x3fffa6ff,0xffffffff,0x3ffe204f,0x9fffdc03,0x3f600098,
    0xff801fff,0x1fffe87f,0x89fffe40,0xff94ffff,0x7fff807f,0xfff7fff8,
    0x13ffea0f,0xfb81fffe,0xfffd03ff,0xfff70003,0xffffffff,0x3ffa3fff,
    0xffffd01f,0x1fffe801,0x8dfffb10,0xf906fff9,0x7fff49ff,0xdeffffff,
    0x17ffdc01,0x00fffee0,0x17fffdc0,0xe87fff80,0x7e401fff,0xdfff13ff,
    0x007fffc4,0xfff0ffff,0x541fffef,0xfff84fff,0x0fffee07,0x000ffff4,
    0x77777754,0xeeffffee,0x203fffd1,0x405ffffa,0xbaabfffe,0x2fffffdc,
    0x9befffe8,0x21ffffda,0x099afffe,0x1fffc800,0x01fffdc0,0x7ffffc40,
    0x1ccccccc,0x3fa1fffe,0x7fe401ff,0x8dfff13f,0x3e04fffc,0x7fff87ff,
    0x3ea0ffff,0x7fff84ff,0x40fffee0,0x0001fffe,0xd0bfff00,0x7f403fff,
    0x3fa02fff,0xffffffff,0xf105ffff,0xffffffff,0xfffe85ff,0x7fec0001,
    0x7ffdc00f,0xfffa8003,0xffffffff,0x21fffe3f,0x6401fffe,0xfff13fff,
    0x1ffff88d,0xff0ffff0,0x41fffeff,0xff84fffa,0x3ffee07f,0x03fffd03,
    0x3ffe0000,0x01fffe85,0x03ffffe6,0x7ffffff4,0x03ffffff,0x7ffffec4,
    0xffe81fff,0x7f40001f,0xfffb807f,0xfffd8003,0xffffffff,0x21fffe3f,
    0x6401fffe,0xfff13fff,0x0bfff70d,0x3fe1fffe,0x20ffff7f,0xff84fffa,
    0x3ffee07f,0x03fffd03,0x3ffe0000,0x01fffe85,0x827fffe4,0xfffffffe,
    0x2000bdef,0x0abdedc9,0x003fffd0,0x806fff80,0x4001ccc9,0xfffffff8,
    0x23ffffff,0xffe87fff,0x7ffe401f,0x20dfff13,0xff82fffe,0xf7fff87f,
    0x3fea0fff,0x07fff84f,0x740fffee,0x00001fff,0xfd0bfff0,0xff8803ff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66664000,0x09aabccc,0x00555540,0x33333320,
    0x33332600,0x0199973c,0x971ccc98,0x99999999,0x20199999,0x2e0d441a,
    0xcccccccc,0x930ccccc,0x6664c799,0xcccccccc,0x332e2ccc,0x9997003c,
    0x16666449,0x83333260,0x2e01cccb,0x9100cccc,0xcccc8999,0x99993002,
    0x80ccc880,0xffffffff,0x3a03ffff,0x7c002fff,0x203fffff,0xd6fffffc,
    0xfb80bfff,0xffffd2ff,0xffffffff,0xfff983ff,0x742fd9be,0xffffffff,
    0xf50fffff,0x7ffdcdff,0xffffffff,0x3fea3fff,0x7fcc02ff,0x7ffec3ff,
    0xfffd100f,0x03fffc8b,0x05fffff1,0xf917ffea,0x3f200dff,0x7fec05ff,
    0xfffff81f,0xffffffff,0x2fffe81e,0x7ffffc00,0x3fffa05f,0xffffd6ff,
    0x97ffdc05,0xfffffffe,0x1fffffff,0x7fffffe4,0x7fff40ff,0xffffffff,
    0xdfff50ff,0x7fffffdc,0xffffffff,0x07fffec3,0x10dfffb0,0x320bffff,
    0x7d40ffff,0xfff505ff,0x3ff209ff,0x7fffcc3f,0x2ffff800,0x07fffee0,
    0x3ffffffe,0xffffffff,0x017fff40,0x3fffffe0,0xfffff107,0x3ffffadf,
    0x5fff700f,0x3ffffffa,0xffffffff,0xfda8bfc1,0xffffe83e,0xffffffff,
    0x4dfff50f,0xfffffffb,0x3fffffff,0x827fffc4,0x501ffffa,0xf985ffff,
    0xff983fff,0xffff907f,0x3fffa0df,0x03ffff81,0x303fffcc,0xf03fffff,
    0xfb303fff,0xffe89fff,0x7ffc002f,0xfa81ffff,0xfd6fffff,0x2e09ffff,
    0xfffd2fff,0x004c0003,0x007fffa0,0x00dfff50,0x06ffffa8,0xd01ffff7,
    0xfd809fff,0x3ff60eff,0x3fffe06f,0xfffffe81,0x07fff80f,0xc80dfff9,
    0xfc884fff,0xf81fffff,0x3ea01fff,0x3ffa1fff,0x7ffc002f,0xfc83fffe,
    0xfd6fffef,0x703fffff,0x3ffa5fff,0x0800001f,0x007fffa0,0x00dfff50,
    0x07ffffcc,0xb8bfffd0,0x4400efff,0xff54ffff,0x7fec03ff,0x7fffc42f,
    0x7fcc2fff,0xffff306f,0x0ffffc01,0x3fffffee,0xffff81ff,0x27ffec01,
    0x8005fffd,0x6ffdefff,0xfffcfff8,0xffffffd6,0x25fff70d,0x8001fffe,
    0xffb33eed,0xfffe85df,0x7ffcc001,0xfffd1005,0xfff9803f,0x5ffff12f,
    0x3fffee00,0x404ffff9,0x7d44fffb,0x44fffbff,0x3a04fffb,0xff303fff,
    0xbfffb0ff,0xff03fffb,0xffa803ff,0x0bfffa5f,0xf7dfff00,0x7ffc41ff,
    0xffd6fffa,0xb85fffff,0xfffd2fff,0x9fff0003,0xfffffff5,0x00ffff47,
    0x013ffe60,0x01ffffec,0xfb6fffc8,0xfe800bff,0x06ffffff,0x646fff98,
    0x6fff8fff,0x7017ffec,0x3f20dfff,0x1efd84ff,0xff03fff9,0xff9803ff,
    0x0bfffa6f,0xf3dfff00,0x7ffdc5ff,0xffd6fff8,0x41ffff7f,0xffd2fffb,
    0x5555557f,0x7ffc3555,0xfffeffff,0x5fffd0ff,0x13333333,0x803fff88,
    0x004ffffc,0x3f7fffe2,0x4c000fff,0x1fffffff,0xf8ffff00,0x1fffb6ff,
    0x1007fff4,0xfd03ffff,0xc87b03ff,0xfff81fff,0x7ffc401f,0x00bfffa7,
    0x3fedfff0,0x7dbff64f,0x2fffd6ff,0x3ee4fffe,0xffffd2ff,0xffffffff,
    0x7ffffc7f,0x4bfffe62,0xfffffffe,0xff86ffff,0x7ffd403f,0xffa8006f,
    0x003fffff,0x9fffff70,0x8fffec00,0xff73fff9,0x1bffe25f,0x30ffffa0,
    0x6400dfff,0xfff81fff,0xffff801f,0x005fffd0,0xffb6fff8,0xffa7ffcd,
    0x26fffd6f,0xff71ffff,0x3ffffa5f,0xffffffff,0x0ffffe3f,0x7f4ffff2,
    0xffffffff,0x2ffe86ff,0x3bfffe60,0xfffb0000,0x44000dff,0x001fffff,
    0x7dcffff2,0x9fff11ff,0x2013ffea,0x7e46fffb,0x3f2003ff,0xffff81ff,
    0x7fffc401,0x005fffd0,0xff76fff8,0x25fff31f,0xfffd6fff,0xfbb7ffe4,
    0xffffd2ff,0xffffffff,0x07fffc7f,0xfe9fffdc,0xffffffff,0x1ffe86ff,
    0x3ffffd10,0x7ffc4000,0x360001ff,0x005fffff,0x7ed7ffea,0xcb7ff47f,
    0xf8802fff,0x3ffa1fff,0x3ff2000f,0x1ffff81f,0xd3fffcc0,0xf8005fff,
    0x5fff36ff,0x3fe1fff7,0x44fffd6f,0xffbbffff,0x03fffd2f,0x20ffff00,
    0xffd4fffa,0x3333335f,0x01ffb013,0x00bffff6,0x13fff200,0xffffa800,
    0xf1002fff,0x17ffedff,0xffb1fff9,0x3ff6001f,0x0bfff34f,0x81fffc80,
    0x5401ffff,0x3ffa6fff,0x7ffc002f,0x3f73ffe6,0x75bffe6f,0x7ffd47ff,
    0xfd2fffcf,0xff0003ff,0x3ffea0ff,0x003fffd4,0x3f20ff90,0x00004fff,
    0x0009fff7,0x3fffffe2,0xfd000fff,0x87fff5ff,0xfffafffa,0x3ffea006,
    0x007fff96,0xf81fffc8,0x7dc01fff,0x3fffa5ff,0x37ffc002,0x9ffffffb,
    0xffeb7ffc,0xfffffd87,0x3fffd2ff,0x0ffff000,0x7f53ffea,0xfb8001ff,
    0x5ffffa87,0x3fee0000,0xffb0004f,0xbffff3ff,0x3bfff200,0x7fc41fff,
    0x004fffef,0x7f4ffffc,0x7e4000ff,0xffff81ff,0x1ffffc01,0x8005fffd,
    0x3fee6fff,0x3fe2ffff,0x30fffd6f,0x5fffffff,0x0007fffa,0x7d41fffe,
    0x3fffd4ff,0x98bd5000,0x000effff,0x13ffee00,0x3fffea00,0x05ffff73,
    0xffffff50,0x3ffffa0f,0x7e4002ff,0x05fffeff,0x81fffc80,0x9101ffff,
    0xffe8dfff,0x7ffc002f,0x3ffffe66,0x75bffe0f,0xfff907ff,0x3ffa5fff,
    0xfff8001f,0x29fff507,0x0001fffe,0x3ffffd10,0xffb80000,0x7fc4004f,
    0x7fff46ff,0x7ffc400f,0xff905fff,0x8001ffff,0xfffffff9,0xfffc8002,
    0xabffff81,0xffffccaa,0x67fff41f,0xaaaaaaaa,0xf8dfff1a,0x7fc6ffff,
    0x40fffd6f,0xd2fffffe,0x55557fff,0x23555555,0xff507fff,0x07fffa9f,
    0x29fff300,0xaadffffc,0xaaaaaaaa,0x9fff7002,0xffffd800,0x2ffffcc1,
    0x7fffff40,0xfffff502,0x3ffe000f,0x90007fff,0xfff03fff,0xffffffff,
    0xffd0bfff,0xffffffff,0x3ffe9fff,0x27fffec6,0x7ff5bffe,0x3fffea07,
    0xfffffd2f,0xffffffff,0x41fffe9f,0xffd4fffa,0xff98003f,0xfffffb4f,
    0xffffffff,0x3ee00fff,0x3ea004ff,0xff704fff,0xffd805ff,0xff100fff,
    0x2000bfff,0x04fffffc,0x03fff900,0xffffffff,0x207fffff,0xfffffffe,
    0xf4ffffff,0xfffb8dff,0xeb7ffc2f,0x7fec07ff,0xffffd2ff,0xffffffff,
    0x1fffe9ff,0xfea7ffd4,0x7cc001ff,0xffffb4ff,0xffffffff,0x2e00ffff,
    0xf1004fff,0xfe80dfff,0x3ee00fff,0x7f406fff,0x30003fff,0x003fffff,
    0x207fff20,0xffffffff,0x3a00bdef,0xffffffff,0xff4fffff,0xffff98df,
    0xfeb7ffc0,0x7ffc407f,0xfffffd2f,0xffffffff,0x41fffe9f,0xffd4fffa,
    0xff98003f,0xfffffb4f,0xffffffff,0x3ee00fff,0xff9004ff,0xff9803ff,
    0x3fe605ff,0x7fdc04ff,0x3a0001ff,0x20007fff,0x0001fffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32e00000,0xaccccccc,0x664c00aa,0xcccccccc,0xd33ccccc,0xaaa807dd,
    0x54020001,0x333332a0,0xcccccccc,0x40000805,0x00c40000,0x19800022,
    0x00006000,0x33200013,0x0040003c,0x22371000,0x3ffa4eee,0xffffffff,
    0xff501eff,0xffffffff,0x26dfffff,0x7fc04fff,0x7ed4004f,0x6fa8bdff,
    0x981c000a,0x00cefffd,0xdeffeca8,0xfffeb801,0xffc88cff,0x64401cef,
    0x0cffffff,0x3fffb220,0x7ecc00cf,0x002dffff,0xd80dfff1,0xfffb33ee,
    0x3260005d,0xbfff12ff,0x7ffffff4,0xffffffff,0xfffffa82,0xffffffff,
    0x9fff36ff,0x004fff80,0xffffffb1,0x0147ffff,0xfffc8380,0x202fffff,
    0xfffffffe,0x3fff203f,0xffffffff,0x03ffffff,0xfffffff1,0xff501dff,
    0x3fffffff,0x3ffffee0,0x8803ffff,0x7fc06fff,0xfffffacf,0x3aa003ff,
    0xff12ffff,0x7ffff4bf,0xffffffff,0x7fd40fff,0xffffffff,0xf36fffff,
    0xfff809ff,0xfffe8804,0x6fffffff,0x5c380014,0xffffffff,0xfffd81ff,
    0x4fffffff,0xffffff98,0xffffffff,0xe82ffffe,0xfffeffff,0x7ffcc5ff,
    0xffffffff,0x77fffcc0,0x01ffffed,0x2037ffc4,0xefffffff,0x200fffff,
    0xffffffb8,0x4bfff12f,0x9101fffe,0x2005ffff,0x0006fff9,0x4027ffc0,
    0x2e3efffc,0x00a2ffff,0xffff11c0,0xbfff7117,0x8cffffd8,0x21ffffda,
    0x2a1ffff8,0x223fffff,0x3ea0fffe,0x3fea0dff,0x6ffff47f,0x87fffb32,
    0x7cc0fffc,0x999805ff,0x7ffffc00,0x0bfffe62,0x3fffff26,0xfd002dff,
    0xffd803ff,0xfff3004f,0xff80000d,0x7ffcc04f,0x6ffffd86,0xf91c000a,
    0xfffb09ff,0x03fffe23,0x511bffee,0xbfffb037,0x987fff10,0x7ffe80ca,
    0x261bffea,0x7fec4eff,0x0001a82f,0x07ffff00,0x6d47fff9,0xcfffffff,
    0x7fff4000,0x37ffdc01,0x06fff980,0xfffff300,0xffffffff,0x21fffd4f,
    0x0fffeefc,0xfd8e0005,0xfffa81ff,0x407fff53,0x8800fffe,0xd03fffeb,
    0x2e200dff,0xff70fffe,0xfb80207f,0x00bdffff,0x3fffffea,0x7fffffff,
    0x2e03fffe,0xfff93fff,0x0005bfff,0x200ffff4,0x3004fffc,0x2000dfff,
    0xfffffff9,0x27ffffff,0x3ee1fffc,0x52fffc9f,0xffe8e000,0xfccccccf,
    0x5fff93ff,0x40fffec0,0xfffffdb8,0xeeeeeeff,0xb7107fff,0x1fffffff,
    0x000bfff2,0x3fffffe2,0x7d40beff,0xffffffff,0x3fe7ffff,0x9fff507f,
    0x02fffff2,0x3fffa000,0x3fffee01,0xdfff3002,0x3ffe6000,0xffffffff,
    0x3fff67ff,0x3ea5ff50,0x200053ff,0x3fffffe3,0x4fffffff,0x6403fffb,
    0x3f622fff,0xffffffff,0xffffffff,0x7ff447ff,0xffffffff,0x003fffb0,
    0x3ffffe60,0x2a2fffff,0xffffffff,0x3e7fffff,0xfff507ff,0x3bffff29,
    0xffe80002,0xfeeeeeef,0x2006ffff,0x0006fff9,0xff999991,0x499999df,
    0xff99fffc,0x14bffee3,0x3ffe3800,0xeeeeeeef,0x3fff94ee,0x88fffec0,
    0x8adffffe,0xeeeefffd,0x226eeeee,0x8aceffff,0xffb0fffd,0xda80005f,
    0xffffffff,0xdddddd30,0xdddddddd,0xfa83fffc,0xffff74ff,0x00039fff,
    0x3ffffffa,0xdfffffff,0x3ffe6000,0x7fc00006,0x7ffdc04f,0x7fe44ffc,
    0x8e00051f,0x2001fffe,0x3a03fffa,0xfff50fff,0x3fffd81b,0x1fffe400,
    0xfb87fff4,0x157703ff,0x3ffae600,0x200002ff,0xff507fff,0x7ffdc49f,
    0x00beffff,0x3fffffa0,0x2cffffff,0x6fff9800,0x027ffcc0,0xf3013ffe,
    0xf88bffff,0x4000a7ff,0x213fff63,0xff109aca,0x3ffea0df,0x207fff26,
    0xc886fffe,0x3fffa0ab,0x50ffff80,0xff30dfff,0x05cba8ff,0xc807fff9,
    0x7ffc03cc,0x09fff507,0x3fffffaa,0xfff10cff,0x5dffff4b,0x01efffec,
    0x0dfff300,0x404fff98,0xfd804fff,0x3fae0fff,0x4000a2ff,0x8bfffe63,
    0x3a0ffff8,0xf913efff,0x7fe45fff,0x7fffd43f,0x1fffec3f,0xfc85fffd,
    0x3ffa0fff,0xfffb32df,0x82ffff89,0x2201fffd,0x7fc06fff,0x9fff507f,
    0xffffc980,0xbfff12ff,0x320ffff4,0x8003ffff,0x4c06fff9,0x7fc04fff,
    0xfff8804f,0xfffffeff,0x43800145,0xfdeffffd,0x7f442fff,0xffffffff,
    0x7fffdc5f,0xfffffebd,0xffffdfff,0x6ffffe45,0x1fffffec,0x3fffffea,
    0x5c0fffff,0xfdceffff,0x7c406fff,0x7ffc06ff,0x09fff507,0x3ffff220,
    0x74bfff12,0xffe81fff,0x7cc002ff,0x7fcc06ff,0x27ffc04f,0x7ffffe40,
    0x40dfffff,0xfb070002,0xbfffffff,0x3ffffa20,0xe80cffff,0xffffffff,
    0xffffffcc,0x7fc40fff,0xfdffffff,0x7ffdc2ff,0x01ffffff,0xfffffff9,
    0xf8801fff,0x7ffc06ff,0x09fff507,0x225fd500,0x3ffa5fff,0xffff881f,
    0x3fe6000f,0x07f7006f,0x57fd4000,0x2effffdb,0x40e00050,0x2dffffeb,
    0x7ffedc40,0x3f2202ef,0x260dffff,0x1dfffffd,0xbffffb30,0x30bfff11,
    0x1bfffffb,0xffffda80,0x55000cff,0x7fff8055,0x009fff50,0x7f400cc0,
    0xfff701ff,0x7fcc00bf,0x23fd006f,0xccccccc8,0x44cccccc,0x2801982c,
    0x33007000,0x000cc000,0x26002662,0x33100099,0x01998000,0x00133300,
    0x00000000,0x3fa00000,0x3ff601ff,0xff3002ff,0x5fd880df,0x3fffffe6,
    0x7fffffff,0x55540000,0xaaaaaaaa,0x00004aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd0000,0x7fffc403,0xdfff3006,0x260dfa80,
    0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74000000,0x7d401fff,0xf9804fff,0x982806ff,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74000000,0xfd801fff,0x7cc01fff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80110000,0x82f77400,0x0802eeea,0x880002b8,0x31000800,0xeeeb8033,
    0x8bbbae02,0xeeeeeeed,0xdd91eeee,0x03bbb20d,0x74c3bbb2,0xeec82eee,
    0x8fbaa05e,0x9dd30eed,0x2a00f764,0xa8806403,0xee9800bc,0x4bd5000e,
    0xfd71eee9,0xffec87df,0x06fff82d,0x3a27fff7,0xdffd8aee,0x0017ff91,
    0x2a21dd10,0x700bf109,0x7cc01fff,0x3ffe05ff,0x3ffffe0f,0x1fffffff,
    0xf885fff7,0xfff82fff,0x07fffe46,0x203ffff5,0xff90fff8,0xf52ffe89,
    0x27fd40df,0x7d40efd8,0x6c04ffff,0xf9804fff,0x2fffe67f,0xbffffffd,
    0xffffffe8,0xb837ffc2,0xfff13fff,0x21ffffb9,0x01cffffc,0xfddffd10,
    0xbfffbfff,0x00fffb80,0x5407fff4,0x7ffc4fff,0xffffffff,0x89fff11f,
    0x4c4ffffa,0xffe83fff,0x7ffff15f,0xfaa7fec0,0x7ffcc0ff,0xf309ffb0,
    0xffd89fff,0x6d6ff46f,0xfff300ff,0x3f6601ff,0x3ffe67ff,0xffffefff,
    0xffffffff,0x1bffe0ff,0xf89fffdc,0x6fffffff,0x3ffffff2,0x7ff4402d,
    0xffffffff,0x7fdc04ff,0x7ffdc00f,0x41fffd83,0xfcaaaaaa,0x7ff45fff,
    0x3ffffe46,0x2607fff2,0xffcaffff,0x5ffee05f,0xfb03fff8,0x07ffe6bf,
    0x6d3ffff2,0x5d41ffff,0x3603ff51,0xb03fffff,0x7ccfffff,0x3fa0efff,
    0xfd30efff,0x37ffc5ff,0xf13fffb8,0x7b59ffff,0x7ffff5c4,0xd100beff,
    0xffffffff,0xff7009ff,0xfff8801f,0x037ffc46,0x0efffe88,0xfd07ffdc,
    0x7f41ffff,0x3ffee06f,0x300fffff,0x3ff65fff,0x4fffe206,0xff906ffc,
    0x3ffffdff,0x827ff440,0x7ffefff8,0x99ff6790,0x7d40ffff,0x7fdc1fff,
    0x41bffe3f,0xff13fffb,0x326009ff,0xcfffffff,0x8cfffd81,0x804fffc9,
    0xd800fffb,0x3fee1fff,0xffe8803f,0xfff980ff,0xffdfff13,0x013ffe27,
    0x5ffffffb,0xfab7ff40,0x7fe402ff,0x04fff88f,0xfffffff9,0x4fffa803,
    0xff3fff90,0x27fd805f,0xf987fff9,0xfffa86ff,0x5c1bffe4,0xfff13fff,
    0xeb88001f,0x22ffffff,0xfe84fff8,0x7ffff47f,0xffffffff,0x27ffcc3f,
    0xb001fffd,0x7403ffff,0x9dff55ff,0x3ffeebff,0x7fffc401,0x3ffee04f,
    0x100dfff2,0x3ff2bfff,0xffff901f,0xf531003f,0x4fff889f,0xfd80dffd,
    0x21bffe67,0xfa86fff9,0x1bffe4ff,0xf89fffdc,0x4c0007ff,0x262ffffc,
    0xffa81fff,0x7fffff47,0xffffffff,0xf17ffe83,0xff9009ff,0xffc805ff,
    0xff39ff97,0x401bff6f,0x202ffffc,0xff75fff8,0xfffa803f,0x6c0dffd2,
    0x104fffff,0x237f4155,0xff50fffc,0x33fec05f,0xff30bfff,0x9fff50bf,
    0xfb83fffc,0xdfff13ff,0x7f5c4000,0x3fe62fff,0x47ffb82f,0xfffffffe,
    0x83ffffff,0xffbafffb,0x7ffdc01f,0xfff9803f,0xfff2ffe9,0x3009fff3,
    0x01ffffff,0xfe8fffd4,0xafff405f,0xfb01fffa,0x09ffffff,0xff519ff1,
    0x22fffc47,0x3f605fff,0x217ffe67,0xfa84fff9,0x1fffe4ff,0xf89fffe4,
    0xd98006ff,0x1fffffff,0x7fc2fffc,0x7777646f,0xeeeefffe,0xcfff882e,
    0x7d406ffe,0x3e004fff,0xb0fffdff,0x03fffbff,0xfffffe88,0xb7fe405f,
    0xf702fff8,0x7fff11ff,0x37ffff60,0xfb83ffff,0x2e0fffff,0x7fe42fff,
    0x4cffb01f,0xff985fff,0x4fffa84f,0x3a03fffa,0xfff13fff,0x3fae200d,
    0x02efffff,0xf97ffff9,0xf7007fff,0x7ec001ff,0x203fffff,0x004ffff9,
    0x37ffffe4,0x0ffffff7,0xffbfff90,0x7f4407ff,0x10dff72f,0x3ff25fff,
    0x3ffffb06,0x20fffff2,0x7c0adfca,0xfff987ff,0x7ccbd905,0xfff985ff,
    0x24fffa84,0x7e44fffd,0xfff13fff,0xfffd980d,0x201dffff,0xfffffff8,
    0x400effff,0x2000fffb,0x0ffffff9,0x5fffff10,0x03555555,0x49fffff5,
    0x04fffff9,0x5c7fffd4,0x2601ffff,0x0fff67ff,0x3fe29ff9,0xfffe880f,
    0x02fffe41,0x80d55440,0x26002aaa,0xff985fff,0x4fffa84f,0x37bfffee,
    0x13ffffff,0xfc80dfff,0x00cfffff,0x7fffffc4,0x6fffffff,0x007ffdc0,
    0x17ffffa0,0xffffffb8,0x05ffffff,0xf85fffff,0x2202ffff,0x3f62ffff,
    0x7fe406ff,0x261fff13,0x0bff66ff,0xf901ff88,0x0000000b,0x17ffe600,
    0x2a13ffe6,0x7ff44fff,0xff9effff,0x0dfff13f,0x02efffc8,0x6de7fdc0,
    0x3ffdadff,0x007ffdc0,0x07fffee0,0xffffffb8,0x05ffffff,0xd81ffffb,
    0x7ec07fff,0x7ffc45ff,0x0000004f,0x07006200,0x00000000,0x4c2fffcc,
    0xffa84fff,0x7ffec44f,0x3fff88df,0xc80dfff1,0x2e0001df,0xb803d804,
    0x44000fff,0x7dc06fff,0xffffffff,0xff505fff,0xbfff70df,0x07fffdc0,
    0x00ffffdc,0x00000000,0x00000000,0x5fff9800,0xa84fff98,0x02604fff,
    0x037ffc40,0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36e60000,0x79500bce,
    0x33b72203,0x403ec801,0xff02dec9,0x4b332adf,0x9913ccc9,0xcdca8199,
    0x59bb7101,0x2aaaa380,0xddb11aaa,0x7ddd701d,0x776dbffa,0x4c4bbb62,
    0x99999999,0x21999999,0xeeeeeee9,0xeeeeeeee,0x00000006,0xfffffe80,
    0xffffffff,0xffffffd3,0x7fffffff,0x7fffffcc,0x7ffffd46,0x7ffffcc6,
    0x01fec04f,0x0bfffff7,0x3ff6dfff,0x2dfff74f,0x6c0ffff8,0x7cc3ffed,
    0x1cffffff,0xffff97aa,0x3fe64fff,0x2fffc44f,0x3ffaffff,0x7ccbffa2,
    0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,0x00000007,0xfffffe80,
    0xffffffff,0xffffffd3,0x7fffffff,0x7f5dffec,0x2ebbfa2f,0x3bffa3ff,
    0x85c2fffd,0x7cc713fc,0x43ffecff,0xfffb6fff,0x45bffee9,0x3600ffff,
    0x7ffffc7f,0xffffffff,0x3ffffe5f,0x7ffcc4ff,0xff17fee0,0xe8bffaff,
    0xffff32ff,0xffffffff,0x6644ffff,0xcccccccc,0x004ccccc,0xe8000000,
    0xffffffff,0xfd3fffff,0xffffffff,0x4c47ffff,0x6c4bfee1,0x7d57fe2e,
    0x997fee5f,0xfcbfdcff,0xfc8ff90f,0xfdb7ffc6,0xdfff74ff,0x403fffe2,
    0x7ffc5fe8,0xfffffffe,0x3ffe5fff,0xfa84ffff,0x3e1bfe3f,0x437777ff,
    0x33311bbb,0x33333333,0x00033333,0x00000000,0xccccb800,0xcccccccc,
    0x9999972c,0xfff99999,0xffeca887,0x4ffea03f,0x3fe23ffb,0x3ffffea7,
    0x9fb2ffff,0x7cc0ff98,0x2a7fff95,0x3ffe5fff,0x3fffbea7,0x9305fc1f,
    0x1bfffffd,0x5ddddddc,0x2a235302,0x0000000a,0x00000000,0x00000000,
    0x40000000,0x3fee3fff,0x703ffeff,0x17fe4dff,0x3f261ffe,0x3f209bff,
    0x7e43fe46,0x223fff54,0x3ffa4fff,0x2f7bb666,0x664c0180,0x0000001b,
    0x00000000,0x00000000,0x00000000,0xff800000,0x15dff13f,0xff907ff7,
    0x327fdc1d,0xffd10dff,0x5bff50bf,0xffc89ff9,0x7c1fff30,0x17ff22ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdddd9000,0xdddddddd,
    0xfff0005d,0xfd8ffea7,0x06ffec3f,0x7e43bfe6,0x4f7f445f,0xfffc84ff,
    0x3be20eff,0x3b22f741,0x00fbaa1e,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffd00,0xffffffff,0x7fff0007,0x3fb3ffe2,0x3bff63ff,
    0x3ff62aaa,0x541fffef,0x01ff71ff,0x5019dfd7,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffd0,0x7fffffff,0x47fff000,
    0xffbffffc,0xffffff14,0x7fff44df,0xc89302ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xec800000,0xeeeeeeee,0x8002eeee,
    0x15c42eee,0x3bbaa555,0xba84eeee,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_32_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,1,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,1,1,1,0,0,1,2,2,
-2,1,2,1,2,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,1,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_32_latin1_y[224]={ 25,4,4,4,2,4,4,4,4,4,4,7,21,15,
21,4,4,4,4,4,4,4,4,4,4,4,10,10,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,28,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,4,4,7,4,
4,4,4,4,4,11,9,15,4,0,4,5,4,4,4,10,4,13,25,4,4,11,4,4,4,10,-1,-1,-1,-1,
-1,0,4,4,-1,-1,-1,-1,-1,-1,-1,-1,4,-1,-1,-1,-1,-1,-1,8,3,-1,-1,-1,-1,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_bold_32_latin1_w[224]={ 0,5,12,16,15,24,20,5,8,9,11,15,5,9,
4,9,14,10,15,14,16,15,14,14,14,15,5,5,15,15,15,16,28,21,18,19,18,16,15,20,17,6,14,19,
15,20,17,21,16,21,19,17,17,17,21,28,20,21,17,8,9,8,15,18,7,14,16,15,15,15,11,15,14,4,
8,15,4,23,14,16,16,15,11,15,10,15,16,23,16,16,14,11,4,11,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,15,16,16,16,
4,15,10,23,10,14,15,9,23,18,10,16,9,9,7,15,17,4,9,6,11,14,23,23,24,16,21,21,21,21,
21,21,30,19,16,16,16,16,8,7,10,10,21,17,21,21,21,21,21,15,22,17,17,17,17,21,16,16,14,14,
14,14,14,14,24,15,15,15,15,15,8,8,10,10,16,14,16,16,16,16,16,16,16,15,15,15,15,16,16,16,
 };
static unsigned short stb__arial_bold_32_latin1_h[224]={ 0,21,8,22,26,22,22,8,28,28,10,16,9,5,
4,22,22,21,21,22,21,22,22,21,22,22,15,20,16,11,16,21,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,24,21,22,21,22,21,21,21,21,21,27,22,27,12,3,5,17,22,17,22,17,21,23,21,21,
28,21,21,16,16,17,22,22,16,17,22,16,15,15,15,22,15,28,28,28,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,27,22,16,21,
28,28,4,22,11,14,11,5,22,4,10,20,11,12,5,21,27,4,6,11,11,14,22,22,22,21,26,26,26,26,
26,25,21,27,26,26,26,26,26,26,26,26,21,26,27,27,27,27,27,14,24,27,27,27,27,26,21,22,22,22,
22,22,22,23,17,22,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,18,22,22,22,22,28,27,28,
 };
static unsigned short stb__arial_bold_32_latin1_s[224]={ 142,123,101,18,154,140,165,95,18,44,66,
86,89,141,251,1,11,241,88,77,218,136,152,57,202,16,248,39,232,1,53,
191,101,208,230,92,1,75,107,82,113,249,1,235,20,36,57,121,201,203,1,
59,21,103,219,190,169,147,129,142,217,191,231,202,151,153,227,168,49,95,189,
16,163,158,54,131,251,1,217,111,42,26,41,184,167,25,102,134,158,65,119,
130,96,84,124,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,
79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,142,248,240,
32,69,143,79,63,172,178,33,175,17,141,112,183,78,45,44,221,159,72,19,
167,114,247,54,190,116,92,67,23,132,18,84,62,158,181,160,98,180,205,1,
106,123,197,170,222,1,233,59,136,169,200,37,205,225,151,222,1,118,40,40,
32,80,65,125,95,110,1,128,35,157,173,189,205,244,104,147,178,140,92,202,
235,1,238,221,200,62,49,51,186,219,27,81,1, };
static unsigned short stb__arial_bold_32_latin1_t[224]={ 29,200,261,109,58,109,109,261,1,1,261,
244,261,261,52,132,132,200,178,132,178,132,132,178,132,155,222,222,222,261,244,
155,1,155,155,132,200,200,200,155,178,155,155,178,200,200,200,155,178,58,222,
132,222,155,200,200,200,200,200,1,132,1,244,261,261,222,132,222,155,222,178,
85,178,178,1,178,30,244,222,222,132,132,244,222,132,244,244,244,244,155,244,
1,1,1,261,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,29,58,1,
155,244,155,1,1,261,132,261,244,261,261,132,261,261,222,261,244,261,178,30,
261,261,244,261,244,109,109,109,178,58,58,58,58,30,58,155,30,30,30,58,
58,58,30,58,30,178,30,30,30,1,1,30,244,58,1,1,30,30,58,178,
85,85,85,85,85,85,85,222,109,85,85,85,85,132,178,178,178,85,200,109,
109,109,85,85,222,222,85,109,109,109,1,30,1, };
static unsigned short stb__arial_bold_32_latin1_a[224]={ 127,153,217,255,255,407,331,109,
153,153,178,268,127,153,127,127,255,255,255,255,255,255,255,255,
255,255,153,153,268,268,268,280,447,331,331,331,331,306,280,356,
331,127,255,331,280,382,331,356,306,356,331,306,280,331,306,433,
306,306,280,153,127,153,268,255,153,255,280,255,280,255,153,280,
280,127,127,255,127,407,280,280,280,280,178,255,153,280,255,356,
255,255,229,178,128,178,268,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,127,153,255,255,255,255,128,255,
153,338,170,255,268,153,338,253,183,252,153,153,153,264,255,127,
153,153,167,255,382,382,382,280,331,331,331,331,331,331,458,331,
306,306,306,306,127,127,127,127,331,331,356,356,356,356,356,268,
356,331,331,331,331,306,306,280,255,255,255,255,255,255,407,255,
255,255,255,255,127,127,127,127,280,280,280,280,280,280,280,252,
280,280,280,280,280,255,280,255, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_32_latin1(stb_fontchar font[STB_FONT_arial_bold_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_32_latin1_s[i] + stb__arial_bold_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_32_latin1_t[i] + stb__arial_bold_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_32_latin1_x[i];
            font[i].y0 = stb__arial_bold_32_latin1_y[i];
            font[i].x1 = stb__arial_bold_32_latin1_x[i] + stb__arial_bold_32_latin1_w[i];
            font[i].y1 = stb__arial_bold_32_latin1_y[i] + stb__arial_bold_32_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_32_latin1_s[i] + stb__arial_bold_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_32_latin1_t[i] + stb__arial_bold_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_32_latin1_x[i] + stb__arial_bold_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_32_latin1_y[i] + stb__arial_bold_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_32_latin1_LINE_SPACING
#endif

