// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT        390
#define STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_39_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_39_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_39_latin1_LINE_SPACING          25

static unsigned int stb__arial_bold_39_latin1_pixels[]={
    0xa9855550,0x2aa000aa,0x2aa6000a,0x355501aa,0x2a662000,0x0d4c4001,
    0x4d54c000,0x12aaa800,0x00001355,0x9aaa9880,0x55550000,0x3fffffea,
    0xffff70ff,0x2600ffff,0x00002aaa,0x00f33326,0x01ffff90,0x6c7fff88,
    0xf3002fff,0x7f4001ff,0xff700eff,0xffc8800d,0xedb804ff,0x0defffff,
    0x3fffee00,0x3fe02eff,0xdffff35f,0x2e200003,0xfffffffe,0x3e002dff,
    0xffff55ff,0x3ee1ffff,0x07ffffff,0x3fffff98,0xfffb0000,0xffc8003f,
    0x7fc400ff,0x17ffec7f,0x005ffd80,0x803fffea,0x1002fff8,0x09ffffff,
    0x7ffffec4,0x03ffffff,0x7fffff44,0xff05ffff,0x3fffe6bf,0x260002ff,
    0xfffffffd,0xffffffff,0x55fff803,0xffffffff,0x3ffffee1,0xffe807ff,
    0x0001ffff,0x00ffffcc,0x07fffe40,0xb1fffe20,0xf3005fff,0x7f4003ff,
    0xffc801ff,0xffff7006,0x3fea09ff,0xffffffff,0xb00effff,0xffffffff,
    0xfff09fff,0x3ffffe6b,0xff90006f,0xddffffff,0xfffffffd,0xafffc01d,
    0xfffeeee9,0xdffff70f,0xffc80bdd,0x006fffaf,0x017ffe40,0x0ffffc80,
    0x5c4ccc80,0xfe801ccc,0x3fea006f,0xfff3001f,0xfffff005,0xfff507dd,
    0xffffffff,0x30bfffff,0x957fffff,0xf83fffff,0xffd915ff,0x44005fff,
    0x0beffffe,0x3fff2620,0xbfff01ff,0x43fffea0,0x2007fffb,0xff33fffa,
    0x3e20009f,0x260002ff,0x0000aaaa,0x7ffd4000,0x0b32a003,0x80dffd00,
    0x404ffff8,0x1bfffffe,0x3fffff6a,0x7fffdc2f,0x1ffffd42,0x3e217ffe,
    0xf3003fff,0x0003bfff,0x01ffffb1,0x3ea0bfff,0xfff70fff,0x1e65c00f,
    0x0003332a,0x0000b326,0x00000000,0x0003fffa,0x7ffdc000,0x3fffe202,
    0x3fffee01,0x3ffe601e,0x7ffdc5ff,0x1bccd84f,0xfe82fffc,0xfe8804ff,
    0x980003ff,0xfff86fff,0x1ffff505,0x001fffee,0x00000000,0x0cccc400,
    0x00999988,0x54099998,0x99886fff,0x99980099,0x37ffcc09,0x03ffff30,
    0x07ffffe2,0x3fffff20,0x3ffffe60,0x2fffc001,0x804fffd8,0x2201fffd,
    0xffa8009a,0x82fffc3f,0xf70ffffa,0x3fee0fff,0xff9004ff,0x3ffee7ff,
    0xfff9004f,0x3fff207f,0xffffb80f,0x7fffcc03,0x427ffec4,0x403ffffb,
    0xe84ffff9,0xff302fff,0x3ff201ff,0xdf1005ff,0xfffb0159,0x7fc007ff,
    0xbfffb05f,0x82fffa80,0x5ffffec9,0x7e4ffff7,0x82fffc6f,0xf70ffffa,
    0x3fee0fff,0xff9004ff,0x3ffee7ff,0xfff9004f,0x3fff207f,0xffff880f,
    0x7fffe406,0x40ffffc1,0x406ffff8,0xc81ffffc,0xff305fff,0x3ff601ff,
    0x400002ff,0xeffffff8,0x05fff800,0xf80bfffb,0xfff985ff,0xfddfffff,
    0x3ffa25ff,0x5417ffe1,0xff70ffff,0x3ffee0ff,0xfff9004f,0x3fffee7f,
    0xffff9004,0x3ffff207,0x3ffffb00,0x237fffc0,0xb00ffff9,0x7c03ffff,
    0xff706fff,0x3ffea0ff,0xffffd00f,0xfb800001,0x3fffffff,0xc82fffc0,
    0x3ea05fff,0x7ffcc0ff,0xffffdeff,0x7fe44fff,0x5417ffe4,0xff70ffff,
    0x3ffee0ff,0xfff9004f,0x3fffee7f,0xffff9004,0x3ffff207,0x7ffff500,
    0x0ffffe60,0x540ffff9,0xf303ffff,0x3ea07fff,0xffa81fff,0x3fffe07f,
    0x7dc00007,0xffffffff,0xbfff00ef,0x81bfff20,0x7fcc3ffd,0x3fa61dff,
    0x7dc2ffff,0x417ffe5f,0xf70ffffa,0x3fee0fff,0xff9004ff,0x3ffee7ff,
    0xfff9004f,0x3fff207f,0x3fffe00f,0x1ffff906,0x407fffd8,0xf906ffff,
    0x3e601fff,0xffc83fff,0xffff106f,0x7cc0000f,0xfffcafff,0xff82ffff,
    0xffff705f,0x83fff101,0xf506fffd,0xf981ffff,0x417ffe6f,0xf70ffffa,
    0x3fee0fff,0xff9004ff,0x3ffee7ff,0xfff9004f,0x3fff207f,0x3fff200f,
    0x6ffff81f,0x406fffe8,0xf81ffffc,0x3e206fff,0x7fc43fff,0xfff304ff,
    0x5c0000df,0x3fea4fff,0x7c1fffff,0xfff105ff,0x8dff709f,0x102ffff9,
    0xf10fffff,0x82fffcff,0xf70ffffa,0x3fee0fff,0xff9004ff,0x3ffee7ff,
    0xfff9004f,0x3fff207f,0x3ffe600f,0x7fffcc3f,0x05ffff82,0x21ffffcc,
    0x202ffff9,0x514ffff8,0x203ffffd,0x007ffff9,0x0ffff600,0xffffffb1,
    0xfffb0001,0x3ff2159f,0x02fffec4,0x2617fffa,0x17ffe6ff,0xb87fffd4,
    0xff707fff,0x3f2009ff,0xfff73fff,0x3ff2009f,0xfff903ff,0xfffe801f,
    0x07fffe46,0x4027fffc,0x7e46fffe,0x7fc00fff,0xfffff5ff,0x7ffc409f,
    0x3a00007f,0xff705fff,0x30009fff,0x25ffffff,0x7ffc2ffd,0x7fffc02f,
    0x3e5ffb83,0xfff505ff,0x1fffee1f,0x027fffdc,0x73ffffc8,0x2009ffff,
    0x903ffffc,0xb801ffff,0x3fa0ffff,0xfff885ff,0xfffb803f,0x17fffa0f,
    0x7d7fffa0,0xf803ffff,0x0000ffff,0x05ffff90,0x01bfffe6,0x7ffff4c0,
    0x7cc5ffd2,0x3e201fff,0xffd81fff,0x5417ffe4,0xff70ffff,0x3ffee0ff,
    0xfff9004f,0x3fffee7f,0xffff9004,0x3ffff207,0x7fffc400,0x05ffff33,
    0x007ffff1,0x267ffff1,0xe802ffff,0xffff5fff,0xfffb009f,0x676c005f,
    0x7ffffcc1,0x1ffff503,0xffff3000,0xa87ffa5f,0x7cc07fff,0xfff80fff,
    0x5417ffe2,0xff70ffff,0x3ffee0ff,0xfff9004f,0x3fffee7f,0xffff9004,
    0x3ffff207,0x6fffd800,0x7c0ffff9,0xfb003fff,0x3fff2dff,0x7fffd007,
    0x17fffffe,0x0bffff90,0x3ffffe20,0x3fffffe1,0x07fff80d,0xfffff980,
    0x5c3ffd2f,0x7dc06fff,0x7ffb86ff,0xfa82fffc,0xfff70fff,0x3fffee0f,
    0xffff9004,0x13fffee7,0x1ffffe40,0x00ffffc8,0xe8ffffa8,0x3f604fff,
    0xff5004ff,0x9fffd1ff,0x4bfffe00,0x1ffffeb8,0x3ffffe60,0xffffb801,
    0x7ffffd46,0x3ffea2ff,0xe8026665,0x361bffff,0x3ffee2ff,0x3fffe207,
    0x21fffcc4,0xff505fff,0x3ffee1ff,0x9ffff707,0x3ffff200,0x09ffff73,
    0x0fffff20,0x007fffe4,0xffdffff8,0x3ff201ff,0x3ffe005f,0x01ffffdf,
    0x983ffff0,0x6404ffff,0x201effff,0x83fffffa,0xfffffffa,0x22fffe9d,
    0xff305fff,0x7ff907ff,0x807fffcc,0x223ffffb,0xfff86fff,0x1ffff505,
    0x5c1fffee,0x9004ffff,0x3ee5ffff,0xf9004fff,0x3f205fff,0xf9000fff,
    0x0dffffff,0x005fffb8,0x3ffffff2,0xfff1006f,0xdfff901f,0xfffff880,
    0xffd711bf,0x2601ffff,0xfffffffe,0x7ffc4fff,0x1ffff505,0x7c49ff70,
    0xff984fff,0xffd32fff,0x0bfff05f,0x5c3fffea,0xff707fff,0x3f2009ff,
    0xfff72fff,0x3ff2009f,0xfff902ff,0x3fe6001f,0x403fffff,0x2006fff9,
    0xfffffff9,0xffff3003,0x01fffea0,0x3fffffee,0xffffffff,0xffc802ff,
    0x84ffffff,0xff705fff,0x3ffe60df,0x37ffff20,0xfffffc9a,0x1ffffddf,
    0x2a0bfff0,0xff70ffff,0x3ffea0ff,0xfff9004f,0x3fffea5f,0xffff9004,
    0x3ffff205,0x3fffa000,0x7c400fff,0x3a000fff,0x00ffffff,0x20dfff70,
    0x800ffff9,0xfffffffb,0x3fffffff,0x3fffa600,0xfff82fff,0x0bfff905,
    0xff11fff4,0xffffffff,0xffffffff,0x2fffc03d,0x70ffffa8,0x3ea0ffff,
    0xfb004fff,0x3fea5fff,0xffb004ff,0x3ff205ff,0x3ee000ff,0xf005ffff,
    0x5c005fff,0x005fffff,0x4c13fff2,0x3000ffff,0xfffffffd,0x0007ffff,
    0x3ffffff2,0xc82fffc1,0x3ee05fff,0x7fff4c6f,0xfff9efff,0x400effff,
    0xff505fff,0x3ffee1ff,0xbffff307,0x3ffff600,0x0bffff31,0x07ffff60,
    0x007fffe4,0x5fffff10,0x13fff200,0xfffff880,0x3fffa002,0x1ffff301,
    0xfffdb800,0x000bffff,0x7ffffcc0,0xd82fffc5,0x3e205fff,0xeedb85ff,
    0x33bf6a3d,0xf2aaa80a,0x3fea0bff,0xffff70ff,0x3ffffe20,0x7fffc401,
    0xfffff10f,0xffff8803,0xffff900f,0x7ffc4001,0x3fe2007f,0x3fe2006f,
    0x3e2007ff,0x3fe606ff,0xb50000ff,0x100017ff,0xffff1033,0xb05fff8f,
    0xfb809fff,0x000004ff,0x3fe5fff9,0xffff505f,0x81fffee1,0x406fffff,
    0x7c7ffffd,0x6c06ffff,0x3607ffff,0x2000ffff,0x004ffffc,0x8007ffec,
    0x004ffffc,0x980fffee,0x8001ffff,0x1ffffff9,0x1ffffd00,0x41ffffb0,
    0xffd05fff,0xfffb009f,0x6400001b,0x3ffe4fff,0x1ffff505,0xc81fffee,
    0x1bdfffff,0xfffffb51,0xfffffc87,0xffb511bd,0xb9887fff,0x2007ffff,
    0x01fffff9,0x017ffcc0,0x0fffffcc,0x01fffb00,0x027fffc4,0xffc98c40,
    0xffff9005,0x8fffff09,0xff985fff,0xffd003ff,0xa80007ff,0x7fc6fffe,
    0xfdddd35f,0x3fee1fff,0x225eeeff,0xffffffff,0xffffffff,0x7fffc40f,
    0xffffffff,0x740fffff,0x06ffffff,0x3fffaf2a,0xfb0006ff,0xfd7950bf,
    0x400dffff,0xf804fff8,0x03efffff,0x01fff100,0xdfffff30,0xbffffd77,
    0xdd15fff8,0x005fffff,0x3fffff62,0x654400bd,0x40dffffe,0xfff55fff,
    0x2e1fffff,0x7fffffff,0x7fffffdc,0xffffffff,0xffff703f,0xffffffff,
    0xff887fff,0x204fffff,0xfffffffb,0xff30001f,0xffffb83f,0x2001ffff,
    0xb800fffb,0x04ffffff,0x27fecc08,0xfffff900,0x1fffffff,0xff35fff8,
    0x000fffff,0xfffffff5,0xfffdddff,0x07ffffff,0x7fd57ffe,0x70ffffff,
    0xffffffff,0xfffffd30,0x5fffffff,0xffffe980,0xffffffff,0xfffffa82,
    0x7ffd405f,0x0003ffff,0x3ea27fec,0x03ffffff,0x001fffc0,0x09fffffd,
    0xfffffff0,0xffc8001f,0xffffffff,0xf35fff82,0x005fffff,0x3fffb220,
    0xffffffff,0x00beffff,0x7fd57ffe,0x70ffffff,0xffffffff,0x3ffff220,
    0x00ceffff,0xfffff910,0x2019dfff,0x0deffffb,0x7ffffcc0,0xf980002e,
    0x3ffe60ff,0x5c002eff,0xfb8006ff,0xff804fff,0x000cefff,0xfffffb30,
    0x3ffe019f,0x3bffff35,0x3ae60000,0xffffffff,0xff001def,0x000000bf,
    0x02aaa620,0x2aa62000,0x2a62000a,0x4d4c4000,0x55400000,0x04d4c40a,
    0x01aa9800,0x006a6200,0x30000010,0x55500133,0x00066a25,0x4d4c4000,
    0x2aaa0001,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x91000000,
    0x00009999,0x99999100,0xaaa80000,0xc980002a,0x00003ccc,0x3000e540,
    0xccc87999,0xbc980004,0x00077440,0x09999930,0x32200000,0x00003ccc,
    0x001aaaa8,0x3ffee000,0x4000002f,0x002ffffc,0x3fffea00,0xfc80002f,
    0x00001fff,0xa8013f20,0x7ffc5fff,0x7ff40007,0x7fdabeff,0xfffc8000,
    0x8000001f,0x001ffffc,0x7fffdc00,0x2000001f,0x0006fffc,0x3fffe200,
    0x3e200002,0x00ffffff,0x5fffd800,0x3fe00000,0x3ffea001,0x003fffc5,
    0xffffff10,0x000bffff,0x017fff20,0xfff10000,0x9800005f,0x06ffffff,
    0x7fe40000,0x7000001f,0x00007fff,0xffafffe8,0xfb00005f,0x000001ff,
    0xfa800ff3,0x3fffc5ff,0x53df7000,0x03dffff9,0x7ffec000,0x32000001,
    0x00002fff,0xffaeffe8,0x4000004f,0x00005ffd,0x0009fff0,0x72fffb80,
    0x00007fff,0x0009ffd1,0x800bf900,0x6643ccc9,0x32a0004c,0x0002b982,
    0x009ffb00,0x3ffe2000,0xfc800003,0x5fff91ff,0xcc800000,0x4c00000c,
    0x400003cc,0x65c3ccc8,0x9100004c,0xd0000099,0x5300005f,0x40000013,
    0x000009a9,0x00133220,0x01e64c00,0x66644000,0x001e65c2,0x01353000,
    0x4d4c0000,0x26000000,0x0000009a,0xba980000,0xb8000ffb,0xffffffec,
    0x65c0003d,0xdffffffe,0x00000003,0x00000000,0x00000000,0x3fffb2e0,
    0x0003dfff,0x7ffff65c,0x40003dff,0xfffffecb,0xffb803df,0xff9004ff,
    0x3fa207ff,0x03ffffff,0x3ffffa60,0xefffffff,0x7ff4c001,0xffffffff,
    0x5c0001ef,0x001fffff,0xffffb800,0xb800001f,0x001fffff,0x3fffa600,
    0xffffffff,0x7f4c001e,0xffffffff,0x4c001eff,0xfffffffe,0x201effff,
    0x004ffffb,0x707ffff9,0xffffffff,0xfb801bff,0xffffffff,0x04ffffff,
    0xffffff70,0xffffffff,0x7f40009f,0x0004ffff,0xfffffe80,0xfe800004,
    0x0004ffff,0xffffff70,0xffffffff,0x3fee009f,0xffffffff,0x004fffff,
    0xfffffff7,0xffffffff,0x3fffee09,0xffff9004,0xfffffb87,0x6fffffff,
    0x3ffffee0,0xffffffff,0x5c05ffff,0xffffffff,0xffffffff,0xff98005f,
    0x000fffff,0x3fffe600,0x00000fff,0x3fffffe6,0x7dc0000f,0xffffffff,
    0xffffffff,0x7fffdc05,0xffffffff,0x405fffff,0xfffffffb,0xffffffff,
    0xfffb85ff,0xfff9004f,0x7fffc47f,0xffffbadf,0xfff882ff,0x260adfff,
    0x2ffffffb,0xffffff10,0x7fdcc15b,0x4002ffff,0xfffffffc,0x3f200003,
    0x03ffffff,0x3fff2000,0x0003ffff,0x3fffffe2,0x3fee60ad,0xf102ffff,
    0x15bfffff,0x7ffffdcc,0xffff102f,0x5cc15bff,0x42ffffff,0x004ffffb,
    0x6c7ffff9,0x3f23ffff,0xe86ffffd,0x402fffff,0x06ffffe9,0x05fffffd,
    0x6ffffe98,0x7ffffc00,0x00006fff,0x3ffffffe,0x3e00006f,0x6fffffff,
    0x3fffa000,0x7f4c02ff,0xffd06fff,0xe9805fff,0xfd06ffff,0x9805ffff,
    0x5c6ffffe,0x9004ffff,0x7fc7ffff,0x6cffc6ff,0x7fd42cdf,0xf1002fff,
    0xfa87ffff,0x1002ffff,0x007fffff,0x3fffffea,0x80001fff,0xfffffffa,
    0xa80001ff,0xffffffff,0xffa8001f,0xf1002fff,0xfa87ffff,0x1002ffff,
    0xa87fffff,0x002fffff,0x47fffff1,0x004ffffb,0x267ffff9,0x3e64ffff,
    0xffffb007,0xfffc800d,0x7fffec7f,0x7ffe4006,0xfffb007f,0x09ffff7f,
    0xffffb000,0x009ffff7,0x7ffffb00,0x0009ffff,0x00dffffb,0x47ffffc8,
    0x006ffffd,0x23ffffe4,0x006ffffd,0x73ffffe4,0x2009ffff,0xf53ffffc,
    0x2fe47fff,0x2fffff80,0x7fffc400,0x3ffffe0f,0x7ffc4002,0x7fc400ff,
    0xffff8dff,0x3e20000f,0xfff8dfff,0x220000ff,0xff8dffff,0x7c000fff,
    0x4002ffff,0x20fffff8,0x002fffff,0x07ffffc4,0x005fffff,0x0fffff88,
    0x009ffff7,0x5cfffff2,0x3fa2ffff,0xffff9802,0xffe8000f,0xffff31ff,
    0xffd0001f,0xffb803ff,0xffff92ff,0x7fdc0007,0xffff92ff,0x7fdc0007,
    0xffff92ff,0x7ffcc007,0xfe8000ff,0xfff31fff,0xfd0001ff,0x3fe63fff,
    0xe8000fff,0xff71ffff,0x3f2009ff,0xfff73fff,0x003fe27f,0x01ffffe6,
    0x9ffffec0,0x007ffff9,0x07ffffb0,0x267fffe8,0x0006ffff,0xf99ffffa,
    0x20006fff,0x3e67fffe,0x26006fff,0x0007ffff,0x267ffffb,0x0007ffff,
    0x267ffffb,0x0007ffff,0x2e7ffffb,0x9004ffff,0x3ea7ffff,0x0bf73fff,
    0x1bfffea0,0x7fffe400,0x0dffff54,0x3ffff200,0x3fffe604,0x0fffff44,
    0x7fffcc00,0x0fffff44,0x7fffcc00,0x0fffff44,0x6ffffa80,0xffff9000,
    0x1bfffea9,0x7fffe400,0x0dffff54,0x3ffff200,0x09ffff74,0x4fffff20,
    0xfb5ffff9,0x855e7547,0x005ffffb,0x2bffff70,0x005ffffb,0x0bffff70,
    0x20ffffec,0x004ffffc,0x41ffffd8,0x004ffffc,0x41ffffd8,0x004ffffc,
    0x00bffff7,0x57fffee0,0x005ffffb,0x2bffff70,0x005ffffb,0x2bffff70,
    0x004ffffb,0x7c7ffff9,0x1ff9ffff,0x547ffffa,0x0006ffff,0x2a9ffff9,
    0x0006ffff,0x209ffff9,0x886ffff8,0x000fffff,0x21bfffe2,0x00fffff8,
    0x1bfffe20,0x03ffffe2,0x1bfffea0,0x7fffe400,0x0dffff54,0x3ffff200,
    0x0dffff54,0x3ffff200,0x09ffff74,0x8bffff20,0x6ffffffc,0x99bfffea,
    0x0007ffff,0x267ffffb,0x0007ffff,0x207ffffb,0xd04ffffb,0x4007ffff,
    0xd04ffffb,0x4007ffff,0xd04ffffb,0x3007ffff,0x000fffff,0x4cfffff6,
    0x0007ffff,0x267ffffb,0x0007ffff,0x2e7ffffb,0x9004ffff,0x7cc5ffff,
    0xecefffff,0x7c3fffff,0x8000ffff,0x3e1ffffe,0x8000ffff,0xd01ffffe,
    0x2e03ffff,0x2006ffff,0x701ffffe,0x400dffff,0x701ffffe,0x200dffff,
    0x000fffff,0x21ffffe8,0x000fffff,0x21ffffe8,0x000fffff,0x51ffffe8,
    0x2009ffff,0x5c2ffffc,0xffffffff,0xfe85ffff,0x44002fff,0x3a0fffff,
    0x4002ffff,0x80fffff8,0xeefffff9,0xfffeeeee,0xff9801ff,0xeeeeefff,
    0x1fffffee,0xfffff980,0xfeeeeeee,0xe801ffff,0x4002ffff,0x20fffff8,
    0x002ffffe,0x07ffffc4,0x005ffffd,0x0fffff88,0x009ffff5,0x20bffff6,
    0xfffffffb,0xfd80efff,0x64006fff,0x7ec7ffff,0x64006fff,0xf907ffff,
    0xffffffff,0xffffffff,0xffff9009,0xffffffff,0x009fffff,0xfffffff9,
    0xffffffff,0xffb009ff,0xfc800dff,0x7fec7fff,0x7e4006ff,0x7fec7fff,
    0x7e4006ff,0x3fe67fff,0xffb005ff,0x3fa603ff,0x02efffff,0x0fffffea,
    0x7ffffc40,0x7ffffd44,0xffff1003,0x3fffe09f,0xffffffff,0x0fffffff,
    0x7fffffc0,0xffffffff,0x400fffff,0xffffffff,0xffffffff,0x7d400fff,
    0x1003ffff,0xa89fffff,0x003fffff,0x89fffff1,0x03fffffa,0x9fffff10,
    0x0fffffc4,0x3ffffe20,0x2aaffa00,0xfffb0009,0xfe9807ff,0xfd80ffff,
    0x4c03ffff,0x80fffffe,0xfffffffa,0xffffffff,0x2a03ffff,0xffffffff,
    0xffffffff,0x3ea03fff,0xffffffff,0xffffffff,0xffd803ff,0x74c03fff,
    0xd80fffff,0x403fffff,0x0fffffe9,0x3fffffd8,0x7ffff4c0,0x7ffffc0f,
    0x7fffec06,0x001fe607,0xffffff88,0x3fee60ad,0xf102ffff,0x15bfffff,
    0x7ffffdcc,0xffffb02f,0x55555559,0xdffff955,0x67fffec0,0xaaaaaaaa,
    0x06ffffca,0x2b3ffff6,0xaaaaaaaa,0x806ffffc,0xdffffff8,0x3ffee60a,
    0xff102fff,0x415bffff,0xffffffb9,0xfffff102,0x7dcc15bf,0xc82fffff,
    0x1bdfffff,0xfffffb51,0x002fdc07,0x3ffffee0,0xffffffff,0x5c05ffff,
    0xffffffff,0xffffffff,0xffff105f,0x7ffc400f,0xfff881ff,0x3fe2007f,
    0xff881fff,0x3e2007ff,0xb801ffff,0xffffffff,0xffffffff,0x7ffdc05f,
    0xffffffff,0x05ffffff,0x7fffffdc,0xffffffff,0xff105fff,0xffffffff,
    0x1fffffff,0x0001fec0,0x7fffffdc,0xffffffff,0xffb800cf,0xffffffff,
    0x00cfffff,0x009ffff9,0x84ffffd8,0x004ffffc,0x427fffec,0x004ffffc,
    0x027fffec,0xffffffb8,0xffffffff,0xffb800cf,0xffffffff,0x00cfffff,
    0xffffffb8,0xffffffff,0x3fee00cf,0xffffffff,0x203fffff,0x00000ff8,
    0xffffffd1,0x05ffffff,0xffffe880,0xffffffff,0x7ffffc02,0x7ffd4001,
    0x7fffc0ff,0x7fd4001f,0x7ffc0fff,0x7d4001ff,0x1000ffff,0xfffffffd,
    0x005fffff,0xfffffe88,0x2fffffff,0x7fff4400,0xffffffff,0xffd3002f,
    0xffffffff,0x6fa805ff,0xedb80000,0xbdffffff,0x3b6e0000,0xbdffffff,
    0x7fffd400,0xffff0006,0x7fffd47f,0xffff0006,0x7fffd47f,0xffff0006,
    0xedb8007f,0xbdffffff,0x3b6e0000,0xbdffffff,0x3b6e0000,0xbdffffff,
    0x7fe44000,0xceffffff,0x003c9800,0x09a98000,0x2a600000,0x7fec0009,
    0xf90003ff,0x7fecdfff,0xf90003ff,0x7fecdfff,0xf90003ff,0x8000dfff,
    0x000009a9,0x00026a60,0x009a9800,0x2aa62000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ffff900,
    0xccb80000,0x400001cc,0x001ccccb,0x00555550,0x00666664,0x55440000,
    0xfb5001aa,0xffffffff,0x0003ffff,0x00799991,0x70f33220,0x99001999,
    0x2a003999,0x02f4c0bc,0x261cccb8,0x55512ccc,0xffff9055,0xf8800001,
    0x00006fff,0x017fffe2,0x7ffffd40,0xffff3002,0x037e4009,0x3bffff60,
    0x3fffee00,0xffffffff,0x8001ffff,0x001ffffc,0xe8dfff30,0x7cc01fff,
    0xfd004fff,0xfb57bfff,0x3fff600d,0xb97ffee2,0x7e42ffff,0x00000fff,
    0x01ffff98,0xbfff9000,0x3ffe2000,0x5000ffff,0x1001ffff,0x2e001dfb,
    0x04ffffff,0xfffffff3,0xffffffff,0xf88003ff,0x20002fff,0x7f46fff9,
    0x7fec01ff,0xfff3004f,0xbfffffff,0x8bfff600,0x7e45fffb,0x7ffe46ff,
    0x3000000f,0x0000bfff,0x001dfff1,0x3ebfff60,0x3ea005ff,0x3fae04ff,
    0x203effff,0xffccfff9,0x7fffc42f,0xffffffff,0x01ffffff,0x017ffe40,
    0x1bffe600,0x4c03fffd,0x32005fff,0xfffca9ef,0xffb000ef,0x2fffdc5f,
    0xf917ffec,0x00001fff,0x007ffd40,0x03bfee00,0x97ffdc00,0x2003fffa,
    0x6c40fffb,0xffffffff,0x6ffe80ef,0xfb83fffa,0xffffffff,0xcfffeaae,
    0x3fe2000a,0xc880003f,0x6665c3cc,0x017ff600,0x57505970,0x1cccb800,
    0x6c0b3326,0x3fff25ff,0x4000000f,0x40002cca,0x20000ccb,0x665c3ccc,
    0x0e65c004,0x3ffffff6,0x4c5fffff,0x33221ccc,0x3ffff62c,0x366fffff,
    0x98002fff,0x000003cc,0x0ccc8000,0x00000000,0x33320000,0x41ffff90,
    0x00009aa8,0x00000000,0x00000000,0xdfffff50,0x7ffffddf,0xfffd0000,
    0x4dffffff,0x0002fffd,0xfff70000,0x3ff2009f,0x800003ff,0x01fffffb,
    0x3ffff200,0x3ff20003,0xfffd88ff,0xff700dff,0xffffffff,0xffffffff,
    0x7fffffdc,0xffffffff,0x3fee7fff,0xffffffff,0x7fffffff,0x47ffff90,
    0xfc8efffd,0x06fffe8e,0x207ffff9,0xffffffff,0x3fff66ff,0xfffffd82,
    0x3fff6000,0xffff70ff,0x3fff2009,0x3ffff23f,0xfffe8003,0x320004ff,
    0x4403ffff,0x3ff21999,0xffffeaff,0xfb81ffff,0xffffffff,0xffffffff,
    0x3ffffee7,0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,0x7ffff907,
    0xfc97fffc,0x20bdff76,0xd03ffffc,0xffffffff,0x17ffecdf,0x2fffffc4,
    0xfffffa80,0x13fffee2,0x1ffffe40,0x007ffff9,0xffffff98,0xff90000f,
    0xffb807ff,0xffff91ff,0xffffffff,0xffb81fff,0xffffffff,0x7fffffff,
    0x3fffffee,0xffffffff,0x3fee7fff,0xffffffff,0x7fffffff,0x27ffff90,
    0xf91ffff8,0x7fe4004d,0xfff903ff,0x4dffffff,0xf702fffd,0xd005ffff,
    0xfb8bffff,0xf9004fff,0x7fe47fff,0x7e4003ff,0x03ffffff,0x7ffff900,
    0x1ffffb80,0x9ffffff9,0xfffff733,0xfffffb8b,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0xf907ffff,0x7ffc7fff,
    0x800df93f,0x303ffffc,0xffffffff,0x17ffecdf,0x0dffffd0,0x0fffffb8,
    0x027fffdc,0x23ffffc8,0x003ffffc,0x7ffffffc,0xff90006f,0xffb807ff,
    0xffff91ff,0xffff105f,0x7fffdc3f,0x9999999c,0x2e199999,0x999cffff,
    0x99999999,0x3fffee19,0x9999999c,0x90199999,0x7f47ffff,0x06fcafff,
    0x1ffffe40,0xffffff90,0x7ffecdff,0x3fffe602,0xffff103f,0xffff707f,
    0x3fff2009,0x3ffff23f,0x3ffea003,0x01ffffff,0x3ffffc80,0x8ffffdc0,
    0x205ffffc,0x2e4ffffb,0x0004ffff,0x027fffdc,0x3fffee00,0x3f200004,
    0x3fee3fff,0x006fffff,0x01ffffe4,0x3fffffee,0x0bfff66f,0x1fffff90,
    0x0dffffb0,0x013fffee,0x91ffffe4,0x4007ffff,0xffbffffd,0xfc8004ff,
    0x7dc03fff,0xfff91fff,0x7ffc405f,0x3fffee5f,0x7fdc0004,0x5c0004ff,
    0x0004ffff,0x8fffff20,0xfffffff8,0xff9001cf,0xb71007ff,0x7ecdffff,
    0xffe802ff,0x7ffcc5ff,0xfff701ff,0x3ff2009f,0x3fff23ff,0xfff1003f,
    0xfffff1bf,0xfffc8001,0x7ffdc03f,0x3ffff91f,0x26ffff80,0x004ffffb,
    0x27fffdc0,0x3ffee000,0x3200004f,0x7d43ffff,0xffffffff,0x7ffe402e,
    0x7fd4003f,0x0bfff66f,0x3ffffea0,0x13ffffa1,0x04ffffb8,0x47ffff90,
    0x003ffffc,0x325ffff7,0x4003ffff,0x403ffffc,0xf91ffffb,0xff801fff,
    0x3ffee7ff,0x7dc0004f,0x40004fff,0x004ffffb,0x3ffff200,0xffffe983,
    0x204fffff,0x003ffffc,0xfb37ffd4,0x3f6005ff,0xfff56fff,0xfffb80df,
    0xfff9004f,0x7fffe47f,0xffffd003,0x037fffcc,0x0fffff20,0x23ffff70,
    0x401ffffc,0x3ee7fffe,0x9999cfff,0x19999999,0x4e7fffdc,0x99999999,
    0x7ffdc199,0x999999cf,0x20199999,0x203ffffc,0xffffffea,0xfff904ff,
    0xffa8007f,0x0bfff66f,0x7ffffc40,0x02fffffb,0x027fffdc,0x23ffffc8,
    0x803ffffc,0x744ffff9,0x2001ffff,0x403ffffc,0xf91ffffb,0xff803fff,
    0x3ffee6ff,0xffffffff,0x20ffffff,0xfffffffb,0xffffffff,0x3ffee0ff,
    0xffffffff,0x00ffffff,0x007ffff9,0xfffffffb,0xffff903f,0xfffa8007,
    0x00bfff66,0xffffffb8,0xfb805fff,0xf9004fff,0x7fe47fff,0xffd803ff,
    0x7ffe41ff,0x3ff2004f,0x7fdc03ff,0xffff91ff,0x7fffc407,0x3ffffee4,
    0xffffffff,0x3ee0ffff,0xffffffff,0xffffffff,0x3ffffee0,0xffffffff,
    0xf900ffff,0xf9007fff,0x9ffffd3d,0x07ffff90,0x26fffa80,0x4002fffd,
    0xfffffffe,0xfffb800f,0xfff9004f,0x7fffe47f,0x7fffc403,0xfffff886,
    0xffff9000,0xffffb807,0x0dffff91,0x71ffffe4,0xffffffff,0xffffffff,
    0x7fffdc1f,0xffffffff,0x2e0fffff,0xffffffff,0xffffffff,0xffff900f,
    0x74df9007,0xffc85fff,0x7d4003ff,0x3fff66ff,0x7ffcc002,0x7003ffff,
    0x2009ffff,0x322ffffc,0x5c03ffff,0xfd04ffff,0x32007fff,0x5c03ffff,
    0xff91ffff,0xff30bfff,0x7fdc1fff,0xffffffff,0x0fffffff,0x3fffffee,
    0xffffffff,0x3fee0fff,0xffffffff,0x0fffffff,0x47ffff90,0x9bf21a99,
    0xfc86fffb,0x54003fff,0x3ff66fff,0xffb8002f,0x2e006fff,0x9004ffff,
    0x7e45ffff,0x7f403fff,0xff701fff,0x3f200dff,0x7dc03fff,0xfff91fff,
    0xf979dfff,0xfb89ffff,0x40004fff,0x004ffffb,0x27fffdc0,0xfff90000,
    0x3ffff27f,0x7fdcdf90,0xffffc85f,0x7ffd4003,0x00bfff66,0x0fffffc0,
    0x9ffff500,0x3ffff200,0x0fffff22,0xefffff98,0xffeeeeee,0xfc801fff,
    0x7dc03fff,0xfff91fff,0xffffffff,0xfb81ffff,0x40004fff,0x004ffffb,
    0x27fffdc0,0xfff90000,0x3fffea7f,0x7ff4df93,0xffffc83f,0x7ffd4003,
    0x00bfff66,0x07ffff40,0x9ffff500,0x3ffff600,0x0fffff22,0xffffffc8,
    0xffffffff,0xfc804fff,0x7dc03fff,0xfff91fff,0xfffffd3f,0xff701dff,
    0xb80009ff,0x0004ffff,0x027fffdc,0xffff9000,0x3ffffe27,0xfff76fca,
    0xffff903f,0xfffa8007,0x00bfff66,0x07ffff40,0xbffff300,0x3ffff600,
    0x0fffff21,0xfffffff8,0xffffffff,0x6400ffff,0x5c03ffff,0xff91ffff,
    0x3fff21ff,0x3fee04ff,0x5c0004ff,0x0004ffff,0x027fffdc,0xffff9000,
    0x7ffffe47,0xffffeeff,0x7ffff905,0x6fffa800,0x000bfff6,0x007ffff4,
    0x3fffff10,0xfffff880,0x0fffff20,0x7fffffd4,0xffffffff,0x403fffff,
    0x403ffffc,0xf91ffffb,0x0a981fff,0x4ffffb80,0x7ffdc000,0x7dc0004f,
    0x00004fff,0xd0fffff2,0xffffffff,0x3201ffff,0x4003ffff,0x3f66fffa,
    0xfd0002ff,0xf8001fff,0x6c06ffff,0x7e47ffff,0xffb03fff,0x555559ff,
    0xfff95555,0xfffc80df,0x7ffdc03f,0x1ffff91f,0x7ffdc000,0x7dc0004f,
    0x40004fff,0x004ffffb,0x3ffff200,0x7ffff443,0x00efffff,0x00fffff2,
    0x6cdfff50,0xd0002fff,0x8001ffff,0xbdfffffc,0xffffb511,0xffffc87f,
    0x7ffff883,0x3fffe200,0x3fff201f,0x3f20003f,0x20000fff,0x99cffffb,
    0x99999999,0xfff70999,0x3333339f,0x13333333,0x273fffee,0x99999999,
    0xfc809999,0xfd703fff,0x007dffff,0x007ffff9,0x366fffa8,0xd0002fff,
    0x8001ffff,0xfffffff8,0xffffffff,0x7ffe40ff,0xffffc83f,0x7ffec004,
    0x3fff204f,0xeeeea83f,0x0ffffc81,0x3ffee000,0xffffffff,0x3fffffff,
    0xfffffff7,0xffffffff,0x3fee7fff,0xffffffff,0xffffffff,0x3ffffc83,
    0x0077ec40,0x07ffff90,0x26fffa80,0x0002fffd,0x001ffffd,0xffffff70,
    0xffffffff,0xffff907f,0x3fffff07,0xffffa800,0xffff900f,0x3ffff707,
    0x01ffff90,0x7fffdc00,0xffffffff,0x73ffffff,0xffffffff,0xffffffff,
    0x3ffee7ff,0xffffffff,0x3fffffff,0x03ffffc8,0x64006fc8,0x4003ffff,
    0x3f66fffa,0xfd0002ff,0x20001fff,0xffffffe9,0x02ffffff,0xa87ffff9,
    0x0006ffff,0x207fffff,0xb83ffffc,0xfc81ffff,0x20000fff,0xfffffffb,
    0xffffffff,0xfff73fff,0xffffffff,0x7fffffff,0x3fffffee,0xffffffff,
    0xfc83ffff,0xfc803fff,0x7ffe4006,0x7fd4003f,0x0bfff66f,0x7ffff400,
    0x3f220000,0xefffffff,0x3fff200c,0x7fffec3f,0xfff90003,0x3fff20df,
    0xffffb83f,0x0eeeeb81,0x3ffee000,0xffffffff,0x3fffffff,0xfffffff7,
    0xffffffff,0x3fee7fff,0xffffffff,0xffffffff,0x3ffffc83,0x4002a980,
    0x003ffffc,0xd927774c,0x3a0003dd,0x0000ffff,0x01555310,0x1ffffe40,
    0x00000000,0x3fffee00,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2ccc9800,0x00133322,
    0x95066664,0xb8800399,0x002ed82c,0x005f64c0,0x26a60000,0x00000000,
    0x00040000,0x80015510,0x30001aa9,0xaaa81555,0x2aaa6002,0xaaa80002,
    0x27ffdc01,0x000ffff1,0xfc83fffe,0x3ee003ff,0xfbacefff,0x3e60002f,
    0x00006fff,0x7ffff6dc,0x0000cdff,0x2004d4c0,0xdfb3004d,0x7ff44007,
    0xf8801eff,0xf90002ff,0x7ffc41ff,0xffff1006,0x7c40009f,0x7fdc03ff,
    0x1fffe24f,0x07fffc00,0x4007fff9,0xfffffffe,0x20000fff,0x005f91fc,
    0xffffb100,0xdfffffff,0x76dc0005,0x3effffff,0x7402ffe4,0x8802fedf,
    0xffffffff,0x037fe401,0x98fffd00,0xfb004fff,0x003fffff,0x007ffea0,
    0x7c49fff7,0xff0007ff,0x7ffe41ff,0x35ff1003,0x07ffffd7,0x3e67e800,
    0x7fdc0004,0xffffffff,0x00cfffff,0x3ffff620,0xffffffff,0x404fffcb,
    0x201be3fa,0xffbbfffd,0x3ffe205f,0xfff10002,0x02fffb8b,0xfebfffb8,
    0xfc8000ff,0xccc9807f,0x01333222,0x50666640,0x26003999,0x00bb884c,
    0xd9bfb800,0x3ee0001f,0xffffffff,0xffffffff,0xffff7005,0xffffffff,
    0x0bffffff,0x03745f70,0xfc93ffe2,0xdff900ff,0x7ffcc000,0x00fffec3,
    0x7cd3ffe6,0xfd8005ff,0x0000005f,0x00000000,0xf7000000,0x0003ffff,
    0x3fffffe2,0x3fee60ad,0x5c02ffff,0xffffffff,0xffffffff,0xdf1006ff,
    0xf9807fb7,0x3ffea2ff,0x02fff882,0x0bffee00,0x9700fffd,0x0ccca899,
    0x01fffc00,0x3ffffee0,0x7ffdc001,0xffffffff,0x27ffffff,0x005ffffa,
    0x005ffff3,0x27fffff4,0xffffd800,0x7ff4c02f,0x3fe206ff,0x209cffff,
    0xffffffb9,0x3ffee003,0x7ffd400d,0x20fffea1,0x40006ffc,0x3e20fffc,
    0x000006ff,0x0bffe600,0xfffffd00,0xfffb8009,0xffffffff,0x27ffffff,
    0x02fffffa,0x02ffff98,0xffffff30,0xffa8001f,0xf1002fff,0x3609ffff,
    0x402fffff,0x07fffff9,0xf7000a80,0x7ffcc3ff,0x017ffc43,0xffdddd90,
    0xffddddff,0x4c00ddff,0x2e0001aa,0x26000fff,0x0fffffff,0x3fffee00,
    0xffffffff,0x2a7fffff,0x00ffffff,0x017fffcc,0xffffffc8,0x7fec003f,
    0x7e4006ff,0xffa87fff,0x74402fff,0x03ffffff,0x1aaba988,0x517ffd40,
    0xffc85fff,0x7ffec006,0xffffffff,0x07ffffff,0x3ffff6e2,0x6c000dff,
    0x7e4006ff,0x03ffffff,0x3ffffee0,0xffffffff,0x3ea7ffff,0x404fffff,
    0x002ffff9,0xffffffff,0xfffe800d,0x7fc4002f,0x7fec0fff,0x7f4406ff,
    0x06ffffff,0x3fffff6a,0xff304fff,0x0fffdc7f,0x8005fff1,0xfffffffd,
    0xffffffff,0xfff307ff,0xffffffff,0x27ffc007,0x3ffffe00,0x2e006fff,
    0x999cffff,0x99999999,0x3fffea19,0x3e601fff,0xfa802fff,0xffffffff,
    0x3fffe001,0xffe8000f,0x7fff41ff,0x7ffec01f,0x80fffffb,0xfffffffb,
    0xfd05ffff,0xdffd33df,0x8006ffc8,0xfffffffd,0xffffffff,0xfff987ff,
    0xffffffff,0xff9804ff,0x3fea002f,0x1fffffff,0x9ffff700,0xfffa8000,
    0x2606ffff,0xd802ffff,0xfffbffff,0xfff1004f,0x3f6000ff,0x7ffc2fff,
    0x3ff600ff,0x5fffff3f,0xffffff98,0x4fffffff,0xffffffa8,0x3ffe22ff,
    0xffd80002,0x17ffe20f,0xffffff88,0xffffebbc,0x7ffdc02f,0x3fff6000,
    0x04ffffbf,0x09ffff70,0xffffa800,0xf303ffff,0xf8805fff,0xfff8dfff,
    0xffa800ff,0xf90006ff,0x7fcc9fff,0x3ff207ff,0x3ffff64f,0x67fffec3,
    0xffffdb9a,0xfffff707,0x06ffc87f,0x8fffd000,0x2e04fff9,0xb80effff,
    0x200effff,0x22006ffd,0xff8dffff,0xfb800fff,0x40004fff,0xfffffffa,
    0xfff980ff,0x7ffdc02f,0x7ffff92f,0xbffff700,0x3ffee000,0x3fffea5f,
    0x8bfff706,0x224ffffc,0xfd05fffd,0x2e601fff,0x7fc41bdd,0x2001102f,
    0x7dc5fff8,0x3ff602ff,0x3ff601ff,0x3ffe03ff,0x3ffee004,0x7ffff92f,
    0x9ffff700,0xfffa8000,0x85ffffff,0x402ffff9,0x3e67fffe,0xfa806fff,
    0x90006fff,0x7dc9ffff,0xffa85fff,0xffffb86f,0x32015105,0x0000ffff,
    0xfb11bff2,0xf9809fff,0x7ffe43ff,0x17fffe00,0x09ffff30,0x800bffe2,
    0x3e67fffe,0xfb806fff,0x9999cfff,0x19999999,0x7dffffd4,0x7cc1ffff,
    0x3e602fff,0x7ff44fff,0x7fc401ff,0xfb0007ff,0x7fd45fff,0x7ffcc6ff,
    0xffffc80e,0x7f5cc004,0x10001fff,0x7fc45fff,0x206fffff,0x7f42fffb,
    0x3ffe607f,0xffff803f,0x01fff506,0x13fffe60,0x803ffffd,0xfffffffb,
    0xffffffff,0x3ffea0ff,0x6ffffc9f,0x017fffcc,0xc83ffffb,0xf804ffff,
    0x8000ffff,0x261ffffe,0x3e67ffff,0xffb00fff,0xdb9807ff,0xffffffff,
    0xdff90000,0xfedfffd8,0x3fff63ff,0xffffffff,0x27ffffff,0x802ffffb,
    0xf907fffe,0x7fec00ff,0x7ffe41ff,0x7ffdc04f,0xffffffff,0x20ffffff,
    0xf89ffffa,0x3e63ffff,0xff102fff,0xfff10dff,0xffe801ff,0x103101ff,
    0x441fffff,0xe89fffff,0x3fa01fff,0xfc881fff,0xffffffff,0x88000fff,
    0x3fe62fff,0xd9fffa3f,0xffffffff,0xffffffff,0x3fffee7f,0x7ffff802,
    0x200bffd0,0x886ffff8,0x200fffff,0xfffffffb,0xffffffff,0x3ffea0ff,
    0xfffff51f,0x0bfffe61,0x827fffdc,0x403ffffe,0x906ffffd,0x7ffe41bf,
    0xfffff87f,0x202fffeb,0x40fffff8,0xffffffe9,0x0ffffdbe,0x46ffc800,
    0x3ee1fffa,0xffffb0ff,0xffffffff,0x54ffffff,0xf803ffff,0xff885fff,
    0xfff7003f,0x3fffa09f,0x3ffee03f,0xffffffff,0x20ffffff,0x361ffffa,
    0xff35ffff,0x3ffa05ff,0xfff701ff,0xfffa80df,0x7ffc42ff,0xfffff9cf,
    0xfffffd84,0x7dc02fff,0x7fc47fff,0x2e0adfff,0x4000ffff,0x7dc2fff8,
    0x3ffee0ff,0xdfffdd91,0xdffffddd,0x7fccdddd,0x7fcc05ff,0xfffa84ff,
    0xffffd001,0x3fffee03,0x3fffee06,0x7fd40004,0x3ffe21ff,0xffff9aff,
    0xfffff982,0xfeeeeeee,0x6c01ffff,0x261fffff,0xfffffffe,0xff980fff,
    0x403fffff,0x44fffff8,0x904ffffa,0x8001ffff,0xffc86ffc,0x0bffee0f,
    0xfe85fff7,0xffff807f,0x3fffa01f,0x07ffc82f,0xdfffff30,0xffdddddd,
    0x3ee03fff,0x40004fff,0x5c1ffffa,0xffaeffff,0xfffc82ff,0xffffffff,
    0x04ffffff,0x7fffffc4,0x3fffaa0b,0x3603ffff,0x405fffff,0x0effffe8,
    0x807fffe4,0x000ffffd,0x2e0bffe2,0x3fee0fff,0x07ffec1f,0x900bfff1,
    0x903dffff,0x3a0dffff,0xff9005ff,0xffffffff,0x9fffffff,0x13fffee0,
    0xffff5000,0xdffffd03,0xff05ffff,0xffffffff,0xffffffff,0xfffc801f,
    0xffefffff,0x06ffffff,0x7fffffcc,0xfffff503,0xffff905f,0xfffff507,
    0x37fe4003,0x321fffa8,0x7ff40fff,0x027ffcc7,0x7fffffc4,0xffffeccd,
    0x3fff881f,0xffffff00,0xffffffff,0x701fffff,0x0009ffff,0x81ffffa8,
    0xfffffff9,0x7ffd42ff,0xffffffff,0xffffffff,0xffffb803,0xffffffff,
    0x01dfffff,0xfffffff7,0xffffdbdf,0x3ee0bfff,0xc98aefff,0x01ffffff,
    0x207fff10,0xfd15fff8,0x5fff88df,0x8017ffdc,0xfffffff9,0x03ffffff,
    0x5003fff5,0xffffffff,0xffffffff,0xff707fff,0xa80009ff,0xfb01ffff,
    0x5fffffff,0xacffffd8,0xaaaaaaaa,0x006ffffc,0xffffffd1,0xffffffff,
    0x7d419fff,0xffffffff,0xffffffff,0xfff100cf,0xffffffff,0x2005ffff,
    0x7e406ffc,0x2ffffeff,0x321fffd4,0x26000fff,0xfffffffe,0x3f202fff,
    0xfffb007f,0x5555559f,0xffff9555,0x9ffff70d,0xfffa8000,0xffff101f,
    0x7c45ffff,0x22007fff,0x001fffff,0x3ffffb6e,0xfffcbdef,0xfff32fff,
    0xfffffd7f,0x5fffffff,0xfffff500,0xfff3dfff,0xfff100bf,0xfffe8807,
    0xffb85fff,0x03fff42f,0xfffeca80,0x7f400cef,0xfff8805f,0x3fe2007f,
    0x7fdc1fff,0x99999cff,0x99999999,0x03ffff50,0x7fffffdc,0x3ffff22f,
    0x7ffec004,0x2a60004f,0xfffe9809,0xa87fff26,0xfffffffe,0x3a6000cd,
    0x324fffff,0x6400ffff,0x36e006ff,0x55302def,0x02aaa815,0x009a8800,
    0x2006aaa0,0x004ffffc,0x227fffec,0xfffffffb,0xffffffff,0xfff53fff,
    0xfffe803f,0x3ffe2fff,0x7d4001ff,0x0000ffff,0x217fdc00,0x2a6202fb,
    0x98800009,0x0000000a,0x00000000,0x00000000,0x1fffff80,0x7fffd400,
    0x3fffee0f,0xffffffff,0x53ffffff,0x9803ffff,0x52ffffff,0x000dffff,
    0x00fffffe,0x08140000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x006ffffa,0x47fffff0,0xfffffffb,0xffffffff,0xfff53fff,0xfff9003f,
    0x3fff65ff,0xff90003f,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffd800,0xfff90003,0x7fffdcdf,0xffffffff,0x53ffffff,
    0x1003ffff,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a600000,0xa88002aa,0x00002aaa,
    0x01555544,0x1aaaa980,0x0aaaa600,0x55555300,0x85555000,0x2001aaa9,
    0x2002aaa9,0x002aaaa8,0x542aaa88,0x31000aaa,0x00001355,0x40035753,
    0x001aaaa9,0x80266662,0x03fffff9,0x1ffffd80,0x3ff60000,0xfd0001ff,
    0x22001fff,0x004fffff,0x007fffec,0xc83fffe0,0xf3003fff,0x4007ffff,
    0x001ffffd,0x3a3fffc4,0x6d401fff,0x1dffffff,0x7ffec400,0x400bffff,
    0x00ffffe8,0x05ffff70,0x3fffffa2,0xffd8000f,0xf300004f,0x20003fff,
    0x001ffff9,0x3ffffff6,0x3ffa2002,0x7ffc004f,0x0ffff20f,0x7fffff40,
    0x3ff6001f,0x7fc4005f,0x0ffff47f,0xffffff50,0x2005ffff,0xfffffffb,
    0x4400efff,0x7003fffe,0x3605ffff,0x6fffafff,0xfffe8800,0xffc80000,
    0x3f60002f,0x3ee001ff,0x0fffebff,0x3fffa200,0x3fffe000,0x00ffff20,
    0x3febfff2,0x7ff4006f,0x3fe2000f,0x0ffff47f,0xffffff88,0x00ffffff,
    0x7fffffdc,0x0effffff,0x03fff440,0x82ffffb8,0xff53fffa,0xfd10007f,
    0xf880009f,0x260003ff,0x26002fff,0xfff34fff,0xffe8800b,0x33332003,
    0x007332a0,0x3e67fff5,0x3a2004ff,0x322004ff,0x6665c4cc,0xbffffd00,
    0x7fffff97,0x7ffffc40,0xffffcaad,0xfff8803f,0xffffb802,0x5c3ccc82,
    0x88000ccc,0x4c0004cc,0x540002cc,0x65c002cc,0x0666544c,0x00f32600,
    0x65c00000,0x0666544c,0x00999100,0xff980000,0x7ffdc5ff,0x3fff205f,
    0xffff983f,0x07993007,0x03999930,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x7cc2ffff,0x3fe03fff,0x37f606ff,
    0x0000002c,0x02aaa200,0x06aa6000,0xaba98800,0x4ccc401a,0x04ccc401,
    0x35575310,0x01999880,0x1004ccc4,0x80355753,0x44019998,0x26200999,
    0x0001aaba,0x70015551,0xfb83ffff,0xff101fff,0x800009ff,0x3000aaa8,
    0x7fd40199,0x003fffff,0x3ffff6e2,0xb5000dff,0xffffffff,0x3ffff209,
    0x1bfffa00,0x3fffff6a,0xff904fff,0x7ff401ff,0xfffda86f,0x904fffff,
    0x7401ffff,0xfda86fff,0x4fffffff,0xfffff500,0x7fe407ff,0x7fff41ff,
    0x3fffea07,0xff500003,0x807fffff,0xfd882ffb,0xffffffff,0x7ffcc00d,
    0xffffffff,0x7fffdc03,0x5fffffff,0x00ffffc8,0xf71bfffa,0xffffffff,
    0xfff90bff,0x7fff401f,0x7ffffdc6,0x85ffffff,0x200ffffc,0x7dc6fffe,
    0xffffffff,0x3f6205ff,0xffffffff,0xffffc80d,0x0ffffea0,0x02ffffb8,
    0x7ffec400,0x0dffffff,0xfd07ff90,0xffffffff,0x7fcc0dff,0xffffffff,
    0xff304fff,0xffffffff,0xffc89fff,0x3ffa00ff,0x3fffe66f,0xffffffff,
    0x7fffe44f,0x9bfffa00,0xfffffff9,0x44ffffff,0x200ffffc,0x3e66fffe,
    0xffffffff,0xfd04ffff,0xffffffff,0xfff90dff,0x3ffff41f,0x0ffffee0,
    0xffffd000,0xdfffffff,0xf513ff60,0xf73bffff,0xf107ffff,0x779fffff,
    0x05fffffd,0x359ffffb,0x8fffffb7,0x200ffffc,0x3f66fffe,0xdb9acfff,
    0x7e47ffff,0x3fa00fff,0x3fff66ff,0xffdb9acf,0x7ffe47ff,0x3fffa00f,
    0x33ffff66,0xffffdb9a,0xfffffa87,0xfffffb9d,0x87fffe43,0x405ffff8,
    0x004ffffa,0x3ffffea0,0xfffffb9d,0x744ffe83,0xfd80ffff,0xfffb87ff,
    0xfffb80ef,0x3ff620ef,0xffffd05f,0x07fffe41,0x22dfffd0,0xfd05fffd,
    0x7fe41fff,0x3ffa00ff,0xbfffb16f,0x83ffffa0,0x200ffffc,0xfb16fffe,
    0x3ffa0bff,0x7fff40ff,0x7fffd80f,0xa87fffe4,0x4406ffff,0x2a05ffff,
    0x3fa0abce,0xffd80fff,0x25fff87f,0x505ffffa,0xfd87ffff,0x3f601fff,
    0x15103fff,0x83ffff20,0x200ffffc,0xa886fffe,0x1ffff900,0x007fffe4,
    0x510dfffd,0x3ffff201,0x03ffff20,0x886fffe8,0xffff900a,0x2ffffd41,
    0x23ffffa8,0xf10ffffc,0xf809ffff,0xfd00ffff,0x3fea3fff,0xfff505ff,
    0x26fff87f,0x102ffffb,0xff89ffff,0x7fcc05ff,0x5cc004ff,0x321ffffe,
    0x3a00ffff,0x26006fff,0x21ffffeb,0x200ffffc,0x2006fffe,0x1ffffeb9,
    0x803ffff2,0x2006fffe,0x1ffffeb9,0x40bfffee,0x324ffff8,0x3f60ffff,
    0x3204ffff,0x540dffff,0x3ee6ffff,0xff102fff,0x7ffc49ff,0x33ffff27,
    0xffcccccc,0x3ffe65ff,0xffff803f,0x7fedcc06,0x20ffffff,0x200ffffc,
    0x2606fffe,0xffffffdb,0x3fff20ff,0x3fffa00f,0x3ff6e606,0x20ffffff,
    0x200ffffc,0x2606fffe,0xffffffdb,0x3fff20ff,0xcccccccf,0x3f25ffff,
    0x7ff40fff,0xff103fff,0xfd99ffff,0x7e47ffff,0xcccccfff,0x25ffffcc,
    0x3fa7fff9,0xffffffff,0x26ffffff,0x802ffffb,0xc887fffe,0xffffffff,
    0x3f20ffff,0x3fe01fff,0x7fe446ff,0xffffffff,0x3fff20ff,0x3fffe01f,
    0x7fffe446,0xffffffff,0x07ffff20,0x446ffff8,0xfffffffc,0x3a0fffff,
    0xffffffff,0x6fffffff,0x103ffff2,0x03fffffd,0x3fffffee,0x45ffffff,
    0xfffffffe,0xffffffff,0x43fffea6,0xfffffffe,0xffffffff,0x0bfffee6,
    0x31ffffe0,0xdffffffd,0x41ffffb7,0x201ffffc,0x3a66ffff,0xbeffffff,
    0x320ffffd,0x3e01ffff,0x3fa66fff,0xdbefffff,0x3f20ffff,0x3fe01fff,
    0x3ffa66ff,0xfdbeffff,0x3ffa0fff,0xffffffff,0x326fffff,0xe880ffff,
    0x500fffff,0xffffffff,0xffe81dff,0xffffffff,0x2a6fffff,0xffb1ffff,
    0x555557ff,0x54555555,0xf803ffff,0x3fe25fff,0x2e0adfff,0x3f20ffff,
    0x3fe01fff,0xffff16ff,0x7fdc15bf,0x3fff20ff,0x3fffe01f,0xbfffff16,
    0x7fffdc15,0x07ffff20,0xf16ffff8,0x415bffff,0x360ffffb,0xaaabffff,
    0x2aaaaaaa,0x403ffff2,0x04ffffe8,0x3fffff62,0xfffb02ef,0x5555557f,
    0x7dc55555,0xfff92fff,0x3e60003f,0x7cc05fff,0x3fea4fff,0xfff904ff,
    0x7fffe41f,0xdffff101,0x413fffea,0x320ffffc,0xf101ffff,0x3feadfff,
    0xfff904ff,0x7fffe41f,0xdffff101,0x413fffea,0x320ffffc,0x0001ffff,
    0x401ffff9,0x806ffff9,0x401cfec9,0x001ffffc,0x27ffff90,0x103ffffa,
    0xfff0357b,0x7ff403ff,0x3fff22ff,0xffffb00f,0x17fffd41,0x96ffffa8,
    0x3601ffff,0x3ea0ffff,0xff502fff,0x3fff2dff,0xffffb00f,0x17fffd41,
    0x96ffffa8,0x3601ffff,0x3ea0ffff,0x7b103fff,0xffffc835,0x3ffff400,
    0x7ffffec0,0x3fffea05,0x8357b103,0x3e3ffffc,0xfd81ffff,0x7fe43fff,
    0xffc81eff,0x7ffe46ff,0xffffa83f,0x3fffe61f,0xfffff886,0x07ffff96,
    0x43fffff5,0x886ffff9,0xf96fffff,0xff507fff,0x7fcc3fff,0xfff886ff,
    0xffff96ff,0xfffff507,0x1fffff83,0x23ffffd8,0x5c0ffffc,0x01ffffe0,
    0x3ffea226,0x3ffffe01,0x3ffffd81,0xb8fffff2,0xaadfffff,0x40fffffd,
    0xdffffff8,0xfffffecc,0x77fffdc1,0xffffc98a,0x3ffe21ff,0xffcabdff,
    0xff76ffff,0xf9315dff,0x443fffff,0xabdfffff,0x6ffffffc,0x15dffff7,
    0xffffff93,0x7ffffc43,0xffffcabd,0xffff76ff,0xfff9315d,0xffb83fff,
    0xfdaadfff,0x3f20ffff,0xdff50fff,0x0bffffb7,0x407ffb00,0xadfffffb,
    0x0fffffda,0x88fffff2,0xfffffffd,0x302fffff,0xffffffff,0x107fffff,
    0xffffffff,0x5fffffff,0xffffffd8,0xfffdffff,0xffffff16,0xffffffff,
    0xffffd85f,0xfdffffff,0xffff16ff,0xffffffff,0xffd85fff,0xffffffff,
    0xff16fffd,0xffffffff,0x885fffff,0xfffffffd,0x642fffff,0xff88ffff,
    0xffffffff,0xff510201,0x7fec401f,0xffffffff,0x7ffe42ff,0xffffc83f,
    0x02ffffff,0x7fffff4c,0x202fffff,0xfffffffa,0x5ffff9ef,0x7fffff44,
    0xfffc8eff,0x3ffffea6,0xfff9efff,0x7fff445f,0xfc8effff,0x3ffea6ff,
    0xf9efffff,0x7f445fff,0x8effffff,0x3ea6fffc,0xefffffff,0x905ffff9,
    0xffffffff,0xfff905ff,0x3fffe61f,0x6403ffff,0x4fffffff,0xfffff900,
    0x905fffff,0x2a07ffff,0xcffffffd,0x3fb2a001,0x800cefff,0x4fffffe9,
    0x103ffff2,0x19dffffb,0xd31bfff2,0x649fffff,0x6c40ffff,0x90ceffff,
    0xfe98dfff,0x3f24ffff,0x7ec40fff,0xf90cefff,0xffe98dff,0x3ff24fff,
    0xffb500ff,0x2039ffff,0x260ffffc,0x02effffd,0xdfffffb8,0x7fed4002,
    0x901cffff,0x1007ffff,0x80001355,0x100009a8,0x10000153,0x4c400015,
    0xa880000a,0x2a620000,0x0a880000,0x02a62000,0x9aa88000,0x2a600000,
    0x00010000,0x004d5440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5554c000,0xaaa8801a,
    0x00555542,0x00cccc40,0x20000c40,0x26200099,0x0cc40009,0x00266200,
    0x00003310,0x00555551,0x004d4c40,0x35310000,0x0aaaa000,0x55015553,
    0xfffb8035,0xfffe801f,0xfff8800e,0x00ffff47,0x03fffec0,0x5bfffd50,
    0x01ffa800,0x000fff60,0xfd800dfd,0x37f4003f,0x7ffec000,0xfea8001f,
    0x003fffff,0xfffdb700,0x1001bdff,0xffd8ffff,0x05ffe82f,0x00ffffdc,
    0x003fffea,0x3a3fffc4,0xd8001fff,0xf1007fff,0x05ffffff,0x4017fe20,
    0x003fffc8,0x44007fea,0x2003fffc,0x40001ffa,0x001ffff9,0xffffffd8,
    0x20006fff,0xffffffd8,0x403fffff,0x7ec7fff8,0x7ffc82ff,0x0ffffdc0,
    0x007fffa0,0x747fff88,0xd8001fff,0xfb007fff,0x0dff739f,0x1003fee0,
    0x07fffff9,0x4402ff40,0x03fffffc,0x00017fa0,0x000bfff2,0x3ffffff2,
    0x004fffff,0xffffffa8,0xffffffff,0xffff100e,0xa82fffd8,0x3ee00fff,
    0x3e601fff,0x644001ff,0x6665c4cc,0xfffd8000,0x21b97007,0x4400fff8,
    0xffb804ff,0x7003ffff,0xff7003ff,0x2007ffff,0x40001ffb,0x0003fff8,
    0x315fffff,0x001ffff9,0x7fffffd4,0xffffffff,0x333205ff,0x40e665c4,
    0x2e02fff8,0x2a01ffff,0x000002cc,0x99970000,0xfd710009,0x1ff900bf,
    0xfb39f700,0x9ff1007f,0x3673ee00,0xff8803ff,0xcc980004,0xfff30002,
    0x5ffff07f,0x7ffff400,0x3ff6a1bf,0x0002ffff,0x813ffa00,0x001ffffb,
    0x00000000,0xfb800000,0xff9806ff,0x7ec13003,0x0ffc803f,0x7fec1300,
    0x00ffc803,0x30000000,0xfb09ffff,0x3ee007ff,0x2601efff,0x005fffff,
    0x1bff2000,0x01ffffb8,0x0002aaa2,0x0006aa60,0x01333260,0x37fffb20,
    0x001bf600,0x4c03ffd8,0x360003ff,0x7fcc03ff,0x2a600003,0xfff0001a,
    0x7ffcc1ff,0xfff8800f,0xffc801ff,0x33310fff,0x09998803,0xb807ffd4,
    0xfa81ffff,0x03ffffff,0x3fff6e20,0x0000dfff,0x000ffff7,0xa81fff44,
    0x360002ff,0x37ec03ff,0x0fff6000,0x8000dfb0,0xfffffdb8,0x3f6000df,
    0xfff56fff,0x3ff200df,0xdf1005ff,0x7ffe4159,0x3fffa00f,0x817ffc46,
    0x221ffffb,0xfffffffd,0x7cc00dff,0xffffffff,0xfc8003ff,0x553006ff,
    0xfd06ffb8,0xffd8000b,0x00bfea03,0x407ffb00,0x20002ffa,0xfffffff9,
    0x1003ffff,0xffdfffff,0x36005fff,0x0002ffff,0x01ffff90,0x7437fff4,
    0xfff704ff,0x7ffff43f,0x6fffffff,0x3ffffe60,0xffffffff,0x3ffa2004,
    0x3fff004f,0x7dc2ffec,0x7ec0001f,0x01bfa03f,0x80fff600,0x260006fe,
    0xffffffff,0x004fffff,0xfffffff5,0x7f4005ff,0x00000fff,0x401ffff9,
    0xfd86fffe,0xffff706f,0x3ffffea3,0xfffffb9d,0xfffff883,0xfffebbcf,
    0xfe8802ff,0xf7002fff,0x5fffdbff,0x0004ff88,0xf703ffd8,0xfb00003f,
    0x07fee07f,0x7fffc400,0xffebbcff,0xf8802fff,0x1effffff,0x3ffffc00,
    0xfff90000,0x7fff401f,0x80fffb86,0xfd1ffffb,0xffb01fff,0xffff70ff,
    0xffff701d,0x7ff4401d,0x7ec006ff,0xc83fffff,0xd80000ff,0x5ff883ff,
    0x7ffb0000,0x000bff10,0x077fffdc,0x077fffdc,0xffffff50,0xf88003ff,
    0x00007fff,0x803ffff2,0xf986fffe,0xfffb82ff,0x5ffffa9f,0x87ffff50,
    0x201ffffd,0x103ffffd,0x03fffffd,0x19bb7100,0x8807ff10,0x0e65c019,
    0x03007fe4,0x640e65c0,0x0cc400ff,0x00ffffec,0x207ffffb,0xfffffffd,
    0x26000eff,0x0006ffff,0x03ffff20,0xf06fffe8,0xfff709ff,0x5ffff73f,
    0x13fffe20,0x980bffff,0xf984ffff,0x000effff,0x037ec000,0x8001ffe6,
    0xffb84ff8,0x20002eff,0x7cc04ff8,0x5ffff87f,0x27fffcc0,0x77ffffec,
    0x325fffff,0x7fcc0acd,0x200007ff,0x200ffffc,0xfb06fffe,0xffff70df,
    0x99ffff93,0xfff99999,0x7fffccbf,0x6ffff803,0x0effffe8,0x7cc00000,
    0x3ffe202f,0x3ff60007,0x7ffffec0,0xfb0001ff,0x7ffc401f,0x1ffffcc7,
    0x237fffc0,0x74fffffa,0x3e7fffff,0x7fc45fff,0x200007ff,0x200ffffc,
    0xf706fffe,0xffff70ff,0xffffffd3,0xffffffff,0x7fffdcdf,0x7fffe802,
    0x06ffffe4,0x7f400000,0x3ffff406,0x43ff9800,0xfdabfff8,0xff98005f,
    0x3ffff403,0x00bfffee,0xfd1ffffa,0xffd87fff,0xffffcfff,0x0fffff82,
    0xfff90000,0x7fffc03f,0x83fff306,0xfe9ffffb,0xffffffff,0x26ffffff,
    0x802ffffb,0x7fc7ffff,0x00000eff,0x201ffa80,0x007ffffd,0xff90dfd0,
    0x007ffc4b,0xfb01bfa0,0xffb8ffff,0xfff802ff,0x3fffe67f,0xfffffd07,
    0x3f60ffff,0x36002fff,0x7ffe41ce,0x3fffe01f,0x70fffe06,0xffb3ffff,
    0x555557ff,0x54555555,0xf803ffff,0x3fe25fff,0xacc804ff,0x5ff80009,
    0x3feffee0,0x2ffa8007,0x7ffa8220,0x017fd400,0x8fff7ff7,0x803ffffa,
    0x3ea5ffff,0xff104fff,0x09ffffff,0x017ffff2,0x8fffffc4,0x201ffffc,
    0x3606ffff,0x7ffdc5ff,0x1ffffc9f,0xffff3000,0xffff980b,0x0ffffe24,
    0x07ffff50,0x500ffb80,0x0fff19ff,0x400bfd00,0x4004fff9,0x3fea05fe,
    0x7cc7ff8c,0x7cc05fff,0x3fea4fff,0x3fe604ff,0x300fffff,0x003fffff,
    0x64dffff7,0xf101ffff,0x7dc0dfff,0x7fffdc7f,0x03ffffa9,0xff0357b1,
    0x7f403fff,0x7ffc2fff,0x3ffa00ff,0x3e2000ff,0x2bff104f,0x5c007ff8,
    0xff5001ff,0xffb800df,0x22bff101,0xffff87ff,0x3fffa01f,0x3fffe62f,
    0x3fff600f,0x3f201fff,0x2a01efff,0x2a3fffff,0xf502ffff,0x7cc0dfff,
    0x3ffee1ff,0x3fffff1f,0x87ffffb0,0x81effffc,0xd86ffffc,0x440cffff,
    0x005ffffc,0x74407fe4,0xfff999ff,0x4ff88009,0x1dfff700,0x827fc400,
    0xf999ffe8,0x3ff209ff,0xffc81eff,0xffff86ff,0x7fec40cf,0x03ffffff,
    0x7ffffff1,0x3fffae23,0x3fe60fff,0xfff886ff,0x7ffc06ff,0x47fffee3,
    0xadfffffb,0x0fffffda,0x7fffffc4,0xffffeccd,0xffff881f,0xfffeceff,
    0x26001fff,0xfff303ff,0xbfffffff,0x001ff900,0x000bfff9,0x3e601ff9,
    0xffffffff,0x3fffe25f,0xffeccdff,0xffb81fff,0xfdcdffff,0xffffffff,
    0xffb80dff,0xffffffff,0x42ffffff,0xbdfffff8,0xffffffca,0x72fff406,
    0x3623ffff,0xffffffff,0xf302ffff,0xffffffff,0x4c07ffff,0xffffffff,
    0x001fffff,0xff3037ec,0xffffffff,0x03ff980b,0x003fffc8,0x2603ff98,
    0xffffffff,0x7ffcc5ff,0xffffffff,0x3ffa03ff,0xffffffff,0xffffffff,
    0xfff701ff,0xffffffff,0x3f607fff,0xffffffff,0x406fffdf,0x3fee7ffc,
    0x7ffe41ff,0x2fffffff,0x7ffff4c0,0x02ffffff,0xfffffd98,0x000effff,
    0x26017fd4,0xfff99999,0x037ec009,0x7fffffd4,0x7ec01fff,0x99999806,
    0x9809fff9,0xfffffffe,0xfc802fff,0xffffffff,0xffff53ff,0xfffe9807,
    0xffffffff,0x3fffa203,0xfc8effff,0x7fd406ff,0x3ffff71f,0xfffffb50,
    0x6540039f,0x0ceffffe,0x7ff6d400,0x8000acdf,0xf10005fe,0x5ff500ff,
    0xfffffb00,0x5403ffff,0xf10002ff,0xfd9500ff,0x0019dfff,0x7ffffecc,
    0x7ec40dff,0x3ff6e004,0x00bfffff,0xeffffd88,0x0dfff90c,0x003fff88,
    0x0026aa20,0x00135100,0x40000400,0x10001ffb,0xdfd00bdd,0x3bbbb600,
    0x200eeeee,0x220006fe,0x544005ee,0x98800009,0x0028009a,0x0026aa20,
    0x0000a880,0x00035550,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x98009999,0x00000999,
    0x98000000,0x4ccc40aa,0x26a62001,0x00000000,0x0009a980,0x26aaa600,
    0x26000001,0x00019aaa,0x13553300,0x2a600000,0x55300009,0x3ffee355,
    0x7ffcc03f,0x3fb6e04f,0x5c4003de,0x003effec,0x3fffffee,0x01ffff53,
    0x7ffffedc,0x26002eff,0x03defedb,0x7fff6440,0x30001eff,0xfffffff9,
    0x3000019f,0xfffffff9,0x9800019f,0xfffffffc,0x2e0002df,0xffffffec,
    0x3ffa003d,0xffff10ef,0xffffc80d,0xffffd881,0x9800efff,0xfffffffe,
    0x3ff6201e,0xabffffff,0xe880ffff,0xffffffff,0x5401efff,0xffffffff,
    0xffe8801e,0x4fffffff,0x3fffa200,0xffffffff,0xd88000df,0xffffffff,
    0x000dffff,0x7ffffec4,0xefffffff,0x3ffa6001,0xffffffff,0x7fd401ef,
    0x7ffec0ff,0x3fffe01f,0xffffe886,0x01ffffff,0x3fffffea,0xb00fffff,
    0xffffffff,0x1ffffdff,0xfffffe98,0xffffffff,0xffff700e,0x3fffffff,
    0x7ffffcc0,0x3fffffff,0xfffffa80,0xffdb98bd,0x2a001eff,0x8bdfffff,
    0xeffffdb9,0xffff3001,0xffffffff,0x7003ffff,0xffffffff,0x9fffffff,
    0x40ffff40,0x303ffffa,0xf707ffff,0xffffffff,0x3fe60bff,0xffffffff,
    0xfff986ff,0xfea9adff,0x740fffff,0xefffffff,0x5fffffff,0xffffff98,
    0x06ffffff,0x33fffffe,0x0ffffffc,0x073ffee0,0x07fff660,0x073ffee0,
    0x07fff660,0xffffff30,0xffffffff,0x5c03ffff,0xffffffff,0xffffffff,
    0x1fff985f,0x41bfffe0,0xf80ffffc,0xfd31ffff,0xffb01fff,0x7ff4c9ff,
    0x7fff40ff,0xfffe883f,0x3ffe60ff,0x3aa21bef,0x641fffff,0xd50cffff,
    0xf305ffff,0xffb0bfff,0x3fe607ff,0xffb8002f,0x3ffe600f,0xfffb8002,
    0xffffd100,0x765435df,0x105fffff,0x5bffffff,0x7fffdcc1,0x166542ff,
    0x07ffff20,0x2e1bfffe,0x7d43ffff,0x7fc44fff,0xfffa84ff,0x3fffe23f,
    0x3fffe606,0x3fffee0f,0x3fffe202,0x37fffc3f,0x427fffd4,0x981ffffb,
    0xf885ffff,0x555551ff,0x3fea0335,0x03ffd105,0x7d406ee6,0xffff905f,
    0xfffd007f,0xfffd01ff,0xfe9805ff,0x20006fff,0x4c3ffff9,0xfe82ffff,
    0xfffd07ff,0x1ffffc8f,0x4c135790,0x7404ffff,0x3f60ffff,0x7e400fff,
    0x37225fff,0xfff882ff,0x6fffd85f,0x202af360,0x3ffe3ffc,0x84ffffff,
    0xffc82ffc,0xfffffc82,0x42ffc84f,0x03fffff8,0x7fffff30,0x2fffffa8,
    0xfffff100,0x00cccc47,0xf91bfffa,0xfff01fff,0x3fff20df,0x1bfffe0f,
    0x7fffd400,0x7fffec03,0x13ffff20,0x01333510,0xffffa804,0x07fffc82,
    0x3e2ffc00,0xffffeeff,0xf86fe83f,0xffffb85f,0xfe82fffe,0x37fffdc6,
    0x02af6e00,0x01bffff6,0x4fffff90,0x201ffffb,0x3a0ffffb,0xff885fff,
    0xfff704ff,0x2ffffc3f,0x3fee0022,0x7fe402ff,0x3ffee0ff,0x0000beff,
    0x3ffffa00,0x0ffffb80,0x85ff5000,0x7ffb86ff,0x3ea1ffb8,0x1f7fd42f,
    0xfb81fff3,0x3ffffa1f,0xff800003,0x44002fff,0xf70fffff,0x7c403fff,
    0xfff33fff,0xffff305f,0x3fffea09,0x19ffff12,0x019dfff9,0x00ffffee,
    0x441ffffb,0xffffffff,0xa80001be,0x04ffffec,0x005ffff3,0x3fe1bf60,
    0x881ffd06,0x21bf63ff,0xdfa81ffe,0xff1ffc42,0x00003fff,0x0fffff98,
    0xffffe800,0x03ffff71,0xf96fffd8,0x3fe60fff,0xfff503ff,0x3fffe67f,
    0xffffffed,0xffffa82f,0x7ffff403,0x7ffffd40,0x2dffffff,0xffff8800,
    0xfbaa83ff,0xaaaadfff,0xf85fe802,0x20dff06f,0x217fa5fe,0xfd0005ff,
    0x3ffffe2b,0x7cc00000,0xb0007fff,0x3ee7ffff,0x7d401fff,0xfffe8fff,
    0x7ffff504,0x53fffea0,0xfffffffa,0x1fffffff,0x037fffcc,0x01fffff1,
    0xfffffff7,0x03dfffff,0x7ffffcc0,0xfffffb04,0x0fffffff,0xdff09ff0,
    0x7ffd7555,0x4ff9bf60,0x80027fcc,0xffff36fd,0xaaaaa80f,0x2a2aaaaa,
    0x0006ffff,0x2e9ffff9,0xf801ffff,0xffffdfff,0x7ffff701,0x53fffea0,
    0xfffffffb,0x6fffffbc,0x02fffff8,0x01fffffb,0x3fffffa6,0x1fffffff,
    0xfffff500,0xfffd85ff,0xffffffff,0x41ffc407,0xffffffff,0x45ff203f,
    0x1ffdc3ff,0xf37fc800,0xfe80dfff,0xffffffff,0x17fffee7,0x7fffdc00,
    0x03ffff75,0xffffff90,0x7ffdc0df,0xffff503f,0x3ffffee9,0x7fffe40d,
    0x7ffffdc3,0x3ffff622,0x75cc00ff,0xffffffff,0xaca801ff,0x22fffffd,
    0xfffffffd,0xf807ffff,0xfefff83f,0x7ec00eff,0xff50ffe6,0x5bf60009,
    0x407ffff9,0xfffffffe,0x3ffea7ff,0xff90006f,0x3ffee9ff,0xfff9801f,
    0x2a03ffff,0xf503ffff,0x3fea7fff,0xffd01fff,0xffff88bf,0xffffffff,
    0x2000ffff,0xfffffca8,0xf98005ff,0x5550ffff,0x55bffff7,0x0bfd0055,
    0x3ff22dff,0xe97fa00e,0x02ffcc4f,0xf8aff405,0x3a00ffff,0xffffffff,
    0x3fffe67f,0xfffb0007,0x3fffee7f,0xffffd001,0x7fcc01ff,0xfff504ff,
    0x3fffe65f,0x1ffff607,0x3fffffe6,0xfffddfff,0x3aa0000f,0x0007ffff,
    0x309ffff9,0x0007ffff,0x8dff0dfb,0xff105ffc,0x3e237ec9,0x3ffb80ff,
    0xfff27fc4,0x776403ff,0x7ffffeee,0x007ffffc,0x8fffff40,0x001ffffb,
    0x0bfffff7,0x04ffff88,0x225ffff7,0x3206ffff,0xf980ffff,0xb5ffffff,
    0x2621ffff,0xfd000caa,0x30003fff,0xf70bffff,0x70003fff,0x46ff83ff,
    0xfb81fff8,0x707fee1f,0x7fc43bff,0xb0ffdc0f,0x0009ffff,0xfe8fffff,
    0x44002fff,0xf70fffff,0x22003fff,0x402fffff,0x905ffff8,0x7fc3ffff,
    0x3ff207ff,0xdb7100ff,0x7ffec59d,0x0fffff27,0x1ffffe40,0x3ffe2008,
    0x7fffd86f,0x8bff1000,0x6ffb86ff,0x7fc46fe8,0xedfffe85,0x6fe83fff,
    0x07ffffd4,0x1ffffe00,0x00dffffb,0x27ffffc8,0x001ffffb,0x00fffff1,
    0x6c1bfffe,0x3fa0ffff,0xff900fff,0xfd8000df,0x3ffe67ff,0xfffd006f,
    0x3ffbaa5f,0xbffff501,0x02ffff98,0xf8bff200,0x47ffd06f,0xffc83ffb,
    0x7fffec42,0x3ffb85ff,0x27ffffc4,0x1ffffe00,0x07fffff5,0x3ffffe20,
    0x07fffee4,0x27fffe40,0x1ffffc80,0x22ffffc4,0xf04ffffb,0xbcd8bfff,
    0x3ffa009a,0x7ffffc6f,0x7fffd404,0x17fffea7,0x11ffffec,0x000bffff,
    0x990fff88,0x4cf32a07,0xfff106ff,0x15bb9501,0x320dff30,0x804fffff,
    0x87ffffd9,0x03fffffd,0x7fffff4c,0x07fffee0,0x3ffffe60,0xffff3001,
    0x1ffffc8d,0x1fffffc4,0x87ffff91,0x506ffffd,0xfd89ffff,0xb80dffff,
    0x225fffff,0x5c2fffff,0xd11fffff,0xbd99ffff,0x806dc437,0x8001effa,
    0x2a00fffa,0xa8001eff,0x3fa00fff,0x20aeffff,0xfffffca8,0xffff887f,
    0x2e60adff,0x42ffffff,0xa81ffffb,0xfffffebc,0x7ffec006,0xffffecff,
    0xfffff706,0xdfffff9f,0xbfffff90,0xffffb957,0xffff883f,0xfffeffff,
    0x643fffff,0xfcffffff,0x324fffff,0xffffffff,0xffffffff,0x0ffff204,
    0x17ffe440,0x01fffe40,0x02fffc88,0x7fffffcc,0xffffffff,0x706fffff,
    0xffffffff,0xffffffff,0xffff70bf,0xfffff703,0xa8003fff,0xffffffff,
    0xfd102fff,0xffffffff,0xfff103ff,0xffffffff,0x3e609fff,0xffffffff,
    0x03ffffff,0xfffffffd,0xf98dffff,0xffffffff,0xffffffff,0x3fffee00,
    0x3f26209c,0x2e001fff,0x209cffff,0x1ffffd99,0xffffd300,0xffffffff,
    0x401bffff,0xfffffffb,0xffffffff,0xffffb80c,0xfffffa81,0xf30003ff,
    0xffffffff,0xfffd8807,0x02ffffff,0x3fffffe6,0x0dffffff,0x3ffffaa0,
    0xffffffff,0x3fffa201,0x0dffffff,0xffffffe8,0xffffffff,0x7f4c03ff,
    0xffffffff,0x8000dfff,0xffffffe9,0x0dffffff,0x7ffec400,0xffffffff,
    0xd1001dff,0xffffffff,0x5c05ffff,0xf981ffff,0x002effff,0x7fffec40,
    0x3ae001ef,0x00dfffff,0xffffeb88,0x2001dfff,0xfffffffa,0xf5000dff,
    0x05dfffff,0x9884e7d4,0xffffffdb,0xffb5001d,0x39ffffff,0xffb50000,
    0x39ffffff,0xffc88000,0xbcefffff,0xfdb70001,0x17bfffff,0x1ffffb80,
    0x00135310,0x00353000,0x001a9880,0x004d4cc0,0x4d54cc00,0x2a620001,
    0x20030009,0x00009a98,0x13599531,0x53100000,0x00013599,0x03553100,
    0x4d4c0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x99999999,
    0x00019999,0x6764c000,0x0001f640,0x98000000,0x1f640cec,0x00013000,
    0x50155551,0x554c1555,0x3fff601a,0x98816e1f,0x09a98099,0x00999980,
    0x80266662,0x1cdffec9,0x3ffb2200,0xfc800cef,0xffffffff,0xd0001fff,
    0xfa807fff,0xfcbeffff,0xfd71003f,0x00059dff,0x2a0bfff7,0xcbefffff,
    0x36a003ff,0x0ceffffe,0x5ffffe80,0x2e1fffe8,0x7dc04fff,0x0fffcfff,
    0x22dfff90,0x0dfffffd,0x09ffff10,0x817fffdc,0xfffffffb,0xfffc804f,
    0x04ffffff,0x7ffffff4,0x01ffffff,0x3ffffc80,0x7ffffec0,0x801fffff,
    0xfffffffc,0xf1000dff,0x3f60bfff,0xffffffff,0xffd8801f,0xffffffff,
    0x3ffff203,0x7fff43ff,0x013ffee1,0x33ffffe6,0x3bfff200,0xffffffe8,
    0xfff881ff,0x3ffee04f,0xffffd82f,0x0dffffff,0xffffff70,0x409fffff,
    0xffffffff,0x001fffff,0x1fffffcc,0x7e54bfe0,0xfc803fff,0xffffffff,
    0xfd800eff,0x5ff05fff,0x7ffff951,0xfffff100,0xffffffff,0xd9fff50b,
    0x7ff43fff,0x13ffee1f,0xfffff910,0xffffc807,0xfffffffe,0x7fc40fff,
    0x3fee04ff,0x7ffd42ff,0xffffffff,0xffff984f,0xfffffeff,0xffff882f,
    0xeeeeeeee,0x7ff4001e,0x15403fff,0xff500298,0xffffffff,0xfd809fff,
    0x5505ffff,0xfe800a60,0xfcbeffff,0x223fffff,0xfff15fff,0x306665cd,
    0x32205999,0xffffbeff,0x3ffff202,0xffcaadff,0x7fc45fff,0x3fee04ff,
    0x3ffe22ff,0xffd98cff,0x7fe40fff,0xff710cff,0xfff50bff,0xc800001f,
    0x03ffffff,0xffd00000,0x3f263bff,0xea81ffff,0x05ffffff,0x7fdc0000,
    0xff981eff,0x99950fff,0x00e664c1,0xb8bbe000,0xf901ffff,0xf307ffff,
    0x7c43ffff,0x3ee04fff,0x3fea2fff,0xfffb82ff,0x3fffec4f,0xc86fffe8,
    0x00007fff,0x7fffffcc,0x7531003f,0xff100355,0x3ff60dff,0x3ff662ff,
    0x05ffffff,0x40035530,0x202ffffd,0x002ffffb,0x01800000,0x320dfffb,
    0x3206ffff,0x3e24ffff,0x3ee04fff,0x3ff22fff,0x3fffe07f,0x17fffa0f,
    0x6c3fffe4,0x00005fff,0x3fffffa2,0x7ed403ff,0x4fffffff,0x0ffffea0,
    0x9a7fffd4,0xffffffff,0xfb7105ff,0x01bfffff,0x405ffff8,0x884ffff8,
    0x98801999,0x36e00199,0xfffadfff,0xffffc83f,0x3fffe202,0x13fffe25,
    0x22ffffb8,0x3606fffd,0x3f21ffff,0xfffb06ff,0x19ffff0b,0x00015997,
    0xfffbfff9,0x7ffdc07f,0xffffffff,0x3b975305,0x4ffffe60,0xfafffff9,
    0xff985fff,0xffffffff,0x2ea6603f,0x7fffc401,0x1ffffb84,0x0ffffdc0,
    0x3ffff620,0xffffffff,0x0ffffe40,0x89bfffe0,0x2e04ffff,0x3fa2ffff,
    0x3ff206ff,0x3ffea2ff,0x7fffc41f,0x7ffffc42,0x04ffffff,0x27fffea0,
    0xf303ffff,0xffffffff,0x0009ffff,0x32ffffc8,0x3fe1bfff,0x7ffcc5ff,
    0xffffffff,0x900004ff,0xf703ffff,0xfb803fff,0x3e201fff,0xffffffff,
    0x644fffff,0x7400ffff,0x3fe27fff,0x3fee04ff,0x3fff62ff,0x3ffff607,
    0x3ffffa23,0xeffffcac,0x7ffffcc0,0xefffffff,0x7fffc400,0x03ffff8a,
    0x359ffffb,0x0fffffb7,0xffffe800,0xff85df30,0x3ffe25ff,0xfebbcfff,
    0x0002ffff,0x83ffffdc,0x401ffffb,0x201ffffb,0xdefffffd,0x7ffffffe,
    0x00ffffe4,0xf89ffffa,0x3ee05fff,0x3ff22fff,0xfff880ff,0xfffc84ff,
    0x0dffffff,0xffffffb8,0x5fffffff,0x8afffec0,0xd883ffff,0xffd05fff,
    0x2e0001ff,0x0625ffff,0xf72ffffc,0xf701dfff,0x0001dfff,0x0bfffff2,
    0x00ffffdc,0x407fffee,0x42fffffb,0x1fffffe9,0x00bffff2,0x7c4dffff,
    0x3f205fff,0x3fea2fff,0xfffa84ff,0xfffb04ff,0x640dffff,0xb9adffff,
    0x02fffffe,0x221ffff5,0x4403ffff,0xffff900a,0xfff50001,0x3fe003ff,
    0x3fff65ff,0x3fff601f,0xffd8003f,0x3ee03fff,0x7dc01fff,0xfff01fff,
    0x3fe205ff,0x3ff24fff,0x3fe203ff,0x3ffe24ff,0x3fff607f,0x7ffff42f,
    0xffffc89d,0xfffc85ff,0x0dffffff,0x703edca8,0xf10dffff,0x7fc45fff,
    0x730003ff,0x003ffffd,0x4fffffa8,0x97fffe00,0x4c05ffff,0x4004ffff,
    0x03fffffd,0x00ffffdc,0x207fffee,0x406ffff8,0x325ffffb,0x3207ffff,
    0x3e23ffff,0xf881ffff,0x7cc2ffff,0xffffffff,0x225fffff,0xfcdffffd,
    0x001effff,0x21ffffa0,0x7c44fffd,0x73003fff,0xfffffffb,0x7fd4001f,
    0x2000efff,0xff35ffff,0xfff007ff,0x7fdc00df,0xfb802fff,0x7dc01fff,
    0xffa81fff,0x7fc404ff,0x3fff26ff,0xfff985ff,0x3ffe20ff,0xfffd86ff,
    0xfffb82ff,0xffefffff,0x3fff24ff,0x7fffd42f,0x3ff60006,0x3ffea0ff,
    0x7fffc40f,0x3fff2203,0xffffffff,0xfff5000f,0xf8001dff,0xfff75fff,
    0xfffd005f,0x7fffc00f,0xfff7002f,0xfffb803f,0xffffb81f,0x7ffff803,
    0x3ffffff2,0xffffcbce,0x7fffc44f,0xffecceff,0xd302ffff,0xf37fffff,
    0x7ffc7fff,0xffff905f,0x3ff20003,0xffff11ff,0xff333337,0x4c1339ff,
    0xeffffffe,0x00ffffdb,0xefffffa8,0xffff8000,0x05ffff75,0x00fffff0,
    0x00bfffe2,0x01ffffb8,0x40ffffdc,0x803ffffb,0x3f26ffff,0xffffffff,
    0x40ffffff,0xfffffff8,0xffffffff,0x55d4402f,0x25ffff50,0x302ffff9,
    0x0007ffff,0x547ffff2,0xffffffff,0xffffffff,0xfffff14f,0x7ffdc15b,
    0x7ffd400f,0xf0000eff,0x3feabfff,0xfff803ff,0xfff5005f,0xfffb800f,
    0x7ffdc01f,0xffffa81f,0x7fffc404,0x27ffff25,0xfffffffe,0xffff880e,
    0xbfffffed,0x0002ffff,0x2e3ffff7,0x3e01ffff,0xb9715fff,0x7ffec07d,
    0xfffff50f,0xffffffff,0x3ea9ffff,0xff904fff,0x7fd401ff,0x0000efff,
    0x7cd7fffe,0x7cc05fff,0xf7004fff,0xfb800fff,0x7dc01fff,0xff881fff,
    0x7fd406ff,0x3fff24ff,0xfffff90f,0x7fffc409,0x8bfffe8c,0x3102ffff,
    0x87ffff40,0x303ffffb,0x3e2bffff,0xff107fff,0x7ffd4dff,0xffffffff,
    0x94ffffff,0x3601ffff,0xf300ffff,0x000bffff,0x7cbffff0,0x3a01ffff,
    0x5002ffff,0xb8007999,0x5c01ffff,0xff01ffff,0x7f403fff,0x3ff22fff,
    0x0054c0ff,0x327fffc4,0x3fa60015,0xfff983ff,0x3fffe64f,0x7ffff706,
    0x21fffff4,0x22ffffd9,0xfffffffa,0xffffffff,0xffff94ff,0xfffff507,
    0x3ffffa03,0xfff00006,0x7fffe4bf,0xffffc81e,0x20000006,0x401ffffb,
    0x701ffffb,0xb03dffff,0xfc8dffff,0x20000fff,0x004ffff8,0x07ffffc0,
    0x81ffffd1,0x4c2fffff,0x2e2ffffe,0xdbffffff,0x006fffff,0x07ffff10,
    0x15dffff7,0xffffff93,0xfffff903,0x55555559,0xffff0035,0x7ffffc4b,
    0xfffeccdf,0x3aa001ff,0x2e001eee,0x5c01ffff,0x3a01ffff,0xccdfffff,
    0x41fffffe,0x000ffffc,0x13fffe20,0xffffb000,0xfffff9bf,0xfffff90b,
    0xfffffb7d,0xfffffb0d,0x3dffffff,0x3ffe2000,0xffff883f,0xffffffff,
    0xffe82fff,0xffffffff,0xf804ffff,0x7fcc5fff,0xffffffff,0x5c003fff,
    0x2001ffff,0x401ffffb,0x201ffffb,0xfffffff9,0x84ffffff,0x000ffffc,
    0x13fffe20,0xffff1000,0xdfffffff,0x3ffffa01,0xffffffff,0xfffffb00,
    0x001dffff,0x1ffffc40,0xffffffa8,0xffff9eff,0x7ffffcc5,0xffffffff,
    0xfff804ff,0xfffe985f,0x2fffffff,0xffffb800,0x3ffee001,0x7ffdc01f,
    0x7fec401f,0xffffffff,0x1ffff902,0x7ffc4000,0xfa80004f,0xffffffff,
    0x3ffa200d,0xffffffff,0x7fff5402,0x80004eff,0x203ffff8,0x4fffffe9,
    0xc83ffff2,0xffffffff,0x4fffffff,0x05ffff80,0x3ffffb2a,0xf70000ce,
    0x5c003fff,0x5c01ffff,0x7001ffff,0x9ffffffd,0x7fffe401,0x3fe20000,
    0x300004ff,0x7dfffffb,0x7fff5400,0x2000cfff,0x00009a98,0x0ffffe20,
    0x0002a620,0x3ffffffe,0xffffffff,0xffff804f,0x01351005,0xffff7000,
    0x7ffdc003,0x7ffdc01f,0x9a98001f,0xdddd7000,0x7fc40001,0x400004ff,
    0x40001a98,0x0000aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xf74ffffb,
    0x32009fff,0x0003ffff,0x003ffff2,0x080026a2,0x01ffffb0,0x1aa88000,
    0x3ee19998,0xffffffff,0x501ceeff,0xffffffff,0xffffffff,0x3ffffeeb,
    0xefffffff,0x100000be,0xffffffff,0xffffffff,0x4bffffff,0x000ffffc,
    0x03ffff70,0x7fffdc00,0x09ffff74,0x0fffff20,0xffffc800,0x3ffff600,
    0x0faa03ff,0x007fffec,0xffffa800,0xffff34ff,0x3ffffee1,0xffffffff,
    0xfffa85ff,0xffffffff,0xf75fffff,0xffffffff,0x9fffffff,0xfff70000,
    0xffffffff,0xffffffff,0x7fe4bfff,0xf70000ff,0x40003fff,0xf74ffffb,
    0x32009fff,0x0003ffff,0x403ffff2,0xfffffffd,0x03ffd882,0x001ffffb,
    0xfffff900,0xfff39fff,0x3fffee1f,0xffffffff,0x2a0effff,0xffffffff,
    0xffffffff,0xffffff75,0xffffffff,0x80009fff,0xffffffff,0xffffffff,
    0x5fffffff,0x003ffff2,0x0ffffdc0,0xffff7000,0x13fffee9,0x1ffffe40,
    0xffff9000,0xfffff701,0xff983fff,0xfffb03ff,0xfc80001f,0xffffffff,
    0x70ffffef,0xffffffff,0xffffffff,0x7fffd49f,0xffffffff,0xff75ffff,
    0xffffffff,0xffffffff,0x3fea0007,0xffffeeff,0xffffffff,0x325fffff,
    0x0000ffff,0x003ffff7,0xa7fffdc0,0x004ffffb,0x007ffff9,0x07fffe40,
    0x56ffffe4,0xffff983a,0x1ffffb03,0x7ffc4000,0xfeb9beff,0xf70fffff,
    0x33339fff,0xfffffd73,0x3fffea1f,0x9999999d,0xff709999,0x33333bff,
    0xfffff933,0x3ffa000b,0xffff90ff,0x33333337,0x7e413333,0x30000fff,
    0x00015555,0xba7fffdc,0x9004ffff,0x0007ffff,0x407fffe4,0x400ffffd,
    0xb03ffff9,0x0001ffff,0x82ffffec,0x70fffffd,0xb809ffff,0xf52fffff,
    0x20009fff,0x804ffffb,0x007ffff8,0x24ffffa8,0x002ffffc,0x03ffff20,
    0x40000000,0xf74ffffb,0x32009fff,0x4c03ffff,0x7ffe40aa,0x6fffe80f,
    0x3ffea620,0x3f6099cf,0x2aa20fff,0x7fffc009,0xffff300f,0x3fffee1f,
    0xfffff804,0x09ffff53,0x3fffee00,0xffffd004,0xfffe8001,0x3ffff21f,
    0x3ff20002,0x333300ff,0x0cccc413,0x3ffee000,0x9ffff74f,0x3ffff200,
    0xfffff703,0x3ffff25f,0xffff3310,0x7dc1333d,0xffffffff,0x23ffff66,
    0xdfffffe8,0x5ffff880,0x87fffec0,0x804ffffb,0xf54ffffc,0x20009fff,
    0x004ffffb,0x800dfffd,0x645ffff9,0x0002ffff,0x203ffff2,0x20effffd,
    0x001ffffb,0x53fffee0,0x004ffffb,0x887ffff9,0xfffffffd,0x0ffffdcf,
    0xfffffff9,0x7fdc7fff,0x6fffffff,0x3ebffff6,0xffffffff,0x27fffcc2,
    0x43ffff20,0x804ffffb,0xf53ffffd,0x20009fff,0x804ffffb,0x004ffff9,
    0x217fffec,0x002ffffc,0x03ffff20,0x83fffff9,0x001ffffb,0x53fffee0,
    0x004ffffb,0xd87ffff9,0xffffffff,0x0fffffff,0xfffffff9,0x7fdc7fff,
    0x6fffffff,0x3ffffff6,0xffffffff,0x3fffea0f,0x7fffdc03,0x09ffff70,
    0x1fffff88,0x009ffff5,0x13fffee0,0xfffffb98,0x3ffe6001,0xffffc86f,
    0x9999999b,0x7fe40999,0x3fff20ff,0xfffb81ff,0x3ee0001f,0xfff74fff,
    0x3ff2009f,0x3ffe63ff,0xfea9adff,0xf90fffff,0xffffffff,0x7ff7547f,
    0x364eeeff,0x9bffffff,0x5fffffb9,0x00ffffea,0x2e1ffff9,0x2604ffff,
    0x50fffffe,0xdddfffff,0x8ddddddd,0xfffffffb,0xffffffff,0x7e4001ff,
    0xffc83fff,0xffffffff,0x645fffff,0xff70ffff,0x3ee03fff,0x20001fff,
    0xf74ffffb,0x32009fff,0x3fa3ffff,0xfe884fff,0x9950ffff,0x999fffff,
    0x7ffff303,0x3fffff60,0xfffff981,0x09ffff31,0x70ffffd8,0x999dffff,
    0xfffffddb,0x7fffd4df,0xffffffff,0x7ffdc7ff,0xffffffff,0x000fffff,
    0x83ffffc4,0xfffffffc,0xffffffff,0x47fffe45,0x02fffffa,0x007fffee,
    0x4ffffb80,0x009ffff7,0x44fffff2,0x2a07ffff,0xf80fffff,0xf9806fff,
    0xffb03fff,0x7fe40bff,0xffff13ff,0xffffe80b,0xffffff70,0xffffffff,
    0x7fd41dff,0xffffffff,0x7dc7ffff,0xffffffff,0xffffffff,0x3fff2003,
    0xffff904f,0xffffffff,0xffc8bfff,0xfffffaff,0x7fffdc02,0x3fee0001,
    0xffff74ff,0x3fff2009,0x9ffff32f,0x0fffff80,0x806ffff8,0xb03ffff9,
    0x4c03ffff,0x3fe4ffff,0xff500fff,0x3fee1fff,0xffffffff,0x41ffffff,
    0xfffffffa,0x7fffffff,0x7fffffdc,0xffffffff,0x8805ffff,0x900fffff,
    0xffffffff,0xbfffffff,0xffffffc8,0xfb804fff,0x20001fff,0xf74ffffb,
    0x32009fff,0xff52ffff,0xffe807ff,0xffff80ff,0xffff9806,0x1ffffb03,
    0x2ffffc40,0x81bffff7,0x0ffffff9,0xfffffff7,0x9fffffff,0xbffff501,
    0x55555555,0xffffb855,0x9999999d,0x2fffffda,0x6ffffdc0,0xfd999999,
    0x20002fff,0xfffffffc,0x7dc00fff,0x20001fff,0xf54ffffb,0x32009fff,
    0xff72ffff,0xffd805ff,0xffff80ff,0xffff9806,0x1ffffb03,0x46ffff80,
    0xacefffff,0xfffffffc,0x9dffff70,0x13579999,0x27fffd40,0xffffb800,
    0xffff7004,0xfffff80b,0xffffffff,0x0002ffff,0x3ffffff2,0x5c04ffff,
    0x4c01ffff,0x7ffff700,0x013fffea,0xb97fffec,0x6c02ffff,0xff80ffff,
    0xff9806ff,0xfffb03ff,0xffff801f,0x7ffffd46,0xffffffff,0xffff70ff,
    0xffa80009,0xf70004ff,0x7c009fff,0xf700ffff,0xffffffff,0xffffffff,
    0x7fe40005,0xffffffff,0x3ffee00f,0x7fff4c1f,0x7ffff703,0x017fffe6,
    0xa8ffffec,0x7403ffff,0xff80ffff,0xff9806ff,0xfffb03ff,0x7ffc403f,
    0xffffb85f,0xffcbffff,0xffff70ff,0xffa80009,0xf70004ff,0x74009fff,
    0xfd02ffff,0xffffffff,0xffffffff,0x7fe40005,0xfffadfff,0x3ffee05f,
    0x7fffcc1f,0x7ffff905,0x07ffffe2,0x1fffff10,0x017fffe6,0xf01fffff,
    0xf300dfff,0x3f607fff,0x3e603fff,0xfd504fff,0x3f23dfff,0xfff70fff,
    0xfa80009f,0x70004fff,0x2009ffff,0x81fffff8,0xfffffffa,0xffffffff,
    0x20002fff,0x365ffffc,0xf702ffff,0xff883fff,0xfffd06ff,0x7ffffc3f,
    0x7fffec06,0x3ffffe27,0xfffff700,0x0dffff01,0x07ffff30,0x81bffff6,
    0x403ffffc,0x7fe409a8,0xffff70ff,0xffa80009,0xf70004ff,0x2e009fff,
    0xe80fffff,0x999cffff,0xffd99999,0x320002ff,0x3e20ffff,0xff706fff,
    0xffff03ff,0x3ff661bf,0x7ffe47ff,0xb511bdff,0xd87fffff,0x4c0effff,
    0x80ffffff,0x9806ffff,0xfb04ffff,0xf50bffff,0x0001ffff,0xb87fffe4,
    0x0004ffff,0x027fffd4,0xdffffb80,0xa9999999,0x86fffffd,0x00fffff9,
    0x9bffffc8,0x99999999,0x3fff2199,0x7fffe40f,0x1ffffb83,0xffffffb8,
    0x4fffffff,0x7fffffc4,0xffffffff,0x7fc40fff,0xfcacefff,0x80ffffff,
    0x8806ffff,0x5ddfffff,0x3ffffff6,0xffffdbce,0x7e40003f,0xfff70fff,
    0xfa80009f,0x70004fff,0xffffffff,0xffffffff,0xffb05fff,0x3f2009ff,
    0xffffffff,0xffffffff,0x81ffff91,0x40fffff8,0xd01ffffb,0xffffffff,
    0xf701dfff,0xffffffff,0x07ffffff,0x3ffffff2,0xfffdffff,0x6ffff80f,
    0xffffff00,0x77ffecff,0xfffffffe,0xc80007ff,0xff70ffff,0xa80009ff,
    0x0004ffff,0xfffffff7,0xffffffff,0xff307fff,0x32003fff,0xffffffff,
    0xffffffff,0x1ffff91f,0x89ffff70,0x301ffffb,0xfffffffd,0x74c01dff,
    0xffffffff,0x5c02ffff,0xffffffff,0x80ffffaa,0x9006ffff,0x4fffffff,
    0xfe8dfffd,0x0effffff,0xfffc8000,0x9ffff70f,0xfffa8000,0xff70004f,
    0xffffffff,0x9fffffff,0x17ffff60,0xfffffc80,0xffffffff,0xff91ffff,
    0x3ffa01ff,0x3ffee1ff,0x7ffe401f,0x800bffff,0xffffffc8,0x5000ceff,
    0x23bffffd,0xf80ffffa,0x2e006fff,0xb0efffff,0x7fe4bfff,0x00004fff,
    0x5c3ffff2,0x0004ffff,0x027fffd4,0xfffffb80,0xffffffff,0x3fe202de,
    0x32002fff,0xffffffff,0xffffffff,0x1ffff91f,0x97fffea0,0x001ffffb,
    0x00033531,0x005554c4,0x00066200,0x006ffff8,0x10001a98,0x70000015,
    0x0001dddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd9800000,0x21f640be,0x001ffffb,0xcccccca8,0xcccccccc,0x7ffffb3c,
    0x7ffff980,0x013fffee,0x86666200,0x004ffffa,0x3ffffff9,0x99ffffe4,
    0x0004eeee,0x3fffffee,0x7ffc400f,0xff54ffff,0x3e600bff,0xfff72fff,
    0x3fee009f,0xfffb83ff,0xffffffff,0xf50003de,0xf97dffff,0xffffb87f,
    0xfffb8001,0xffffffff,0xff36ffff,0xffd80fff,0x3ffee3ff,0xfd80004f,
    0xfff50fff,0xfff7009f,0xffc83fff,0xffff53ff,0x7fdc000b,0x402fffff,
    0xfffffffa,0x5fffff54,0x5ffff300,0x013fffee,0x41ffffdc,0xfffffffb,
    0xefffffff,0x7ffec001,0x0fffffff,0x00ffffdc,0x7ffffdc0,0xffffffff,
    0x3fff66ff,0xffff302f,0x4ffffb8f,0xfffd8000,0x9ffff50f,0xfffffb80,
    0xffffc81f,0x0bffff53,0x7fffdc00,0x7e404fff,0x54ffffff,0x01ffffff,
    0x72ffff98,0x2009ffff,0xb83ffffb,0xffffffff,0xffffffff,0xaff8800c,
    0x3ffffca8,0x01ffffb8,0xfffffb80,0xffffffff,0x3ffe66ff,0xffff906f,
    0x4ffffb87,0xfffd8000,0x9ffff50f,0x7ffffd40,0xffff901f,0x17fffea7,
    0xffffb800,0x7f407fff,0x54ffffff,0x09ffffff,0x72ffff98,0x2009ffff,
    0xb83ffffb,0xffffffff,0xffffffff,0x02a8805f,0x7ffdc053,0xeea8001f,
    0xeeeeeeee,0x6c1fffff,0x7c42ffff,0xffb87fff,0x99999cff,0xfffb0019,
    0x3fffea1f,0xfffff304,0x7ffe405f,0xbffff53f,0x7ffdc000,0x101fffff,
    0xffffffff,0x3ffffea9,0x3fe601ff,0xffff72ff,0x3ffee009,0xffffb83f,
    0xdaa9999c,0x01ffffff,0x7fdc0000,0x000001ff,0x20ffffe2,0x646ffff9,
    0xfb83ffff,0xffffffff,0x00bfffff,0x7d499995,0xff984fff,0x6402ffff,
    0xff53ffff,0x5c000bff,0xffffffff,0xfffff503,0x3fea9fff,0x206fffff,
    0xf72ffff9,0x2e009fff,0xfb83ffff,0x74c04fff,0x3106ffff,0x35510133,
    0x07fffee0,0x80001553,0x3a04fffd,0xff11ffff,0x3fee0fff,0xffffffff,
    0x01ffffff,0x27fffd40,0x3fffffe2,0xffffc802,0x0bffff53,0x7fffdc00,
    0xf905fffd,0x9ffffbff,0x3fffffea,0xfff303ff,0x3fffee5f,0xffff7004,
    0x9ffff707,0xfffff100,0x4dfff705,0x2ffffffc,0xc8ffffdc,0x02ffffff,
    0x0ffffa80,0x57fffea0,0x703ffffc,0xffffffff,0xffffffff,0x7fd4001f,
    0x3ffa24ff,0xf9002fff,0x3fea7fff,0x2e0005ff,0xfffbffff,0xf7fffd07,
    0x3fea9fff,0x0fffffff,0x72ffff98,0x2009ffff,0xb83ffffb,0x9004ffff,
    0xf70bffff,0xfffb1dff,0x5c9fffff,0xffdaffff,0x03ffffff,0x0bfffe20,
    0x23ffffa0,0x2e07ffff,0xffffffff,0xffffffff,0x3fea005f,0xfffd14ff,
    0x7e4007ff,0xfff53fff,0x7dc000bf,0xffff9fff,0x4ffffc41,0xff54ffff,
    0xbfffffff,0x25ffff30,0x004ffffb,0x707ffff7,0x2009ffff,0xb86ffff8,
    0xfffeffff,0x1fffffff,0xfffffff7,0xffffffff,0x3fff6001,0xffff5005,
    0x407ffffd,0x104ffffb,0x3ffffff5,0x3fffea00,0x7fffffd4,0xffffc800,
    0x0bffff53,0x7fffdc00,0x543fffe8,0xfff8efff,0x7ffff54f,0x983fffff,
    0xff72ffff,0x33333bff,0xfff93333,0xffff707f,0x7fffc009,0xfffffb87,
    0xfffb9adf,0xffff74ff,0xff7359ff,0xf3009fff,0x4cc05fff,0xfffffe99,
    0x09999fff,0x013fffee,0x05fffff1,0x37fffea0,0x5ffffffd,0x7fffe400,
    0x0bffff53,0x7fffdc00,0x645fffb8,0xfff8cfff,0x3ffff54f,0x98dffff9,
    0xff72ffff,0xffffffff,0xffffffff,0xffff707f,0x7fffc009,0x7fffdc0f,
    0xffffb83f,0x7fffff75,0x0bffff50,0x40ffff90,0xfffffff8,0xffffffff,
    0x3ffee2ff,0xfffd804f,0xfff5003f,0xffffffff,0x7e4005ff,0xfff53fff,
    0x7dc000bf,0xfff98fff,0x457fffc7,0xff54ffff,0xffff13ff,0x7fffcc7f,
    0xffffff72,0xffffffff,0x7c7fffff,0xffffffff,0xffd06fff,0xfffb83ff,
    0x3fffe05f,0x0bffff76,0x2037fffc,0x204ffff8,0xfffffff8,0xffffffff,
    0x3ffee2ff,0xfffc804f,0xfff5004f,0xffffffff,0x32001fff,0xff53ffff,
    0x5c000bff,0xfff0ffff,0x3fffe65f,0x54ffff88,0x3ea3ffff,0xff30ffff,
    0x3ffee5ff,0xffffffff,0xffffffff,0x3fffffe3,0x06ffffff,0xb85ffffb,
    0x3a03ffff,0xfff77fff,0x7fff409f,0x7fffe406,0x3fffe200,0xffffffff,
    0x2e2fffff,0xe804ffff,0x5003ffff,0xffffffff,0x09fffff9,0x4fffff20,
    0x005ffffa,0x43fffee0,0xff74fffe,0x3fffe2df,0x43ffff54,0xf35ffffd,
    0x3fee5fff,0xffffffff,0xffffffff,0x3ffffe3f,0x6fffffff,0x85ffffb0,
    0x202ffffb,0xff77fffe,0x7ff407ff,0x7fffc07f,0x66664405,0xcfffffcc,
    0x2e1ccccc,0x4c04ffff,0x321fffff,0xff50eeee,0x2e7fffff,0x801fffff,
    0xf53ffffc,0x4000bfff,0xf70ffffb,0x3fff6dff,0x29ffff14,0x221ffffa,
    0xf9afffff,0xfff72fff,0x3fee009f,0xfffb83ff,0x3ffa004f,0x7ffdc1ff,
    0x3fffa01f,0x05ffff77,0x503ffff4,0x0005ffff,0x803ffff4,0x104ffffb,
    0x8ffffff7,0xf50ffffd,0xe89fffff,0xc806ffff,0xff53ffff,0x5c000bff,
    0xff30ffff,0x5ffff1ff,0x553fffe2,0x7dc1ffff,0xfffaefff,0x9ffff72f,
    0x3fffee00,0x4ffffb83,0x1ffffe00,0x807fffee,0xff77fffe,0x7ff403ff,
    0x3fff207f,0x55555007,0x55ffffd5,0x7dc15555,0xffffffff,0xffffffff,
    0x87fffec4,0x84fffffa,0x04fffffa,0xa9ffffe4,0x0005ffff,0x443fffee,
    0xfffcffff,0x9ffff10f,0x207fffea,0xffeffffe,0xffff72ff,0x3ffee009,
    0xffffb83f,0xffff1004,0x3ffff70d,0xbbffff40,0x3a01ffff,0x3fa07fff,
    0xff8804ff,0xffffffff,0x2fffffff,0x3fffffee,0xffffffff,0xfffd85ff,
    0xbffff50f,0x7ffffec0,0x3ffff201,0x0bffff53,0x7fffdc00,0x3fffffa0,
    0x3ffe26ff,0x3ffff54f,0xffffff30,0x3fee5fff,0xff7004ff,0xfff707ff,
    0x3fee009f,0xfffb85ff,0x3fffa01f,0x03ffff77,0x983ffff4,0x8802ffff,
    0xffffffff,0xffffffff,0x3fffee2f,0xffffffff,0xfd80efff,0x3ffea7ff,
    0x3ffe604f,0x3ff206ff,0xffff53ff,0x7fdc000b,0x3fff20ff,0x3e24ffff,
    0xfff54fff,0x3fff603f,0xf72fffff,0x2e009fff,0xfb83ffff,0xfd004fff,
    0xff707fff,0x7ff403ff,0x3ffff77f,0x83ffff40,0x800ffffb,0xfffffff8,
    0xffffffff,0x3ffee2ff,0xffffffff,0xfb801dff,0x13fffea6,0x9fffff90,
    0x4fffff20,0x005ffffa,0x83fffee0,0xfffffff9,0x53fffe22,0x101ffffa,
    0xffffffff,0x13fffee5,0x1ffffdc0,0x027fffdc,0x1bffffa2,0x00ffffdc,
    0x3eeffffd,0x3fa01fff,0xfff907ff,0x5555400f,0xaffffeaa,0x2e0aaaaa,
    0x999cffff,0x74000999,0x3fffea5f,0x7fffc404,0xfffc81ff,0xbffff53f,
    0x33333333,0x7fdc3333,0x3ffe20ff,0x3e20ffff,0xfff54fff,0x7ffdc03f,
    0xff72ffff,0x3ee009ff,0xffb83fff,0x99999cff,0xffffffba,0x3ffff701,
    0xbbffff40,0x3a01ffff,0xffb07fff,0xfd0000bf,0x3ee00fff,0x00004fff,
    0x7fd45ff7,0xffb804ff,0xffc86fff,0xffff53ff,0xffffffff,0x2e3fffff,
    0x7f40ffff,0x7c46ffff,0xfff54fff,0xfffe803f,0xfff72fff,0x3fee009f,
    0xfffb83ff,0xffffffff,0x04ffffff,0x807fffee,0xff77fffe,0x7ff403ff,
    0x9fffd07f,0xfffd0000,0x3ffee00f,0xfd80004f,0x7fffd45f,0xffffd004,
    0xffffc87f,0xffffff53,0xffffffff,0x3fee3fff,0x7ffe40ff,0x7ffc44ff,
    0x3ffff54f,0xfffff980,0x9ffff72f,0x3fffee00,0xfffffb83,0xffffffff,
    0x2e00efff,0x3a01ffff,0xfff77fff,0x7fff403f,0x09ffff07,0xffffd000,
    0x3fffee00,0x4fc80004,0x04ffffa8,0xffffff30,0x9ffffe41,0xfffffffa,
    0xffffffff,0xffff71ff,0xfffffa81,0xa7fffc42,0x801ffffa,0x72fffffc,
    0x2009ffff,0xb83ffffb,0xffffffff,0x2effffff,0x1ffffb80,0x5dffffa0,
    0x3a01ffff,0xff887fff,0xe80003ff,0xf7007fff,0x00009fff,0x3ffea031,
    0x3ff6004f,0x3ff25fff,0xffff53ff,0xffffffff,0x2e3fffff,0x7c40ffff,
    0x7c40ffff,0xfff54fff,0xfff1003f,0x3ffee5ff,0xfff7004f,0xffff707f,
    0xbdffffff,0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e000000,0x001fffff,0x117ffff4,
    0xffffffff,0xffffffff,0x7ffec1ff,0x3f6000ff,0x3fa0ffff,0xd800ffff,
    0x360fffff,0x5c02ffff,0x405fffff,0x3a5ffff9,0x4004ffff,0x70fffff9,
    0xffffffff,0x007bdfff,0xfffffff3,0xffffffff,0x3ee9ffff,0xffffffff,
    0xffffffff,0x79995007,0x7ff40000,0x74004fff,0x3e22ffff,0xffffffff,
    0xffffffff,0x3fffe20f,0xfff5005f,0xfff985ff,0x7fcc04ff,0x7fdc3fff,
    0x7fec04ff,0x7dc07fff,0x3fee3fff,0x7e4007ff,0x3fee5fff,0xffffffff,
    0x201effff,0xfffffff9,0xffffffff,0xff74ffff,0xffffffff,0xffffffff,
    0x17fff200,0x7ffcc000,0x2000ffff,0x222ffffe,0xffffffff,0xffffffff,
    0x7ffdc0ff,0xffe802ff,0xfff905ff,0x7ff403ff,0xfff986ff,0x7fffc06f,
    0x3f601fff,0x3fe22fff,0x3a001fff,0x3ee2ffff,0xffffffff,0xdfffffff,
    0xfffff980,0xffffffff,0x74ffffff,0xffffffff,0xffffffff,0x3ff200ff,
    0xf900005f,0x07ffffff,0x17ffff40,0xfffffff1,0xffffffff,0xffd01fff,
    0xffb80dff,0x3fa00fff,0xff706fff,0xff103fff,0x7fcc0fff,0x203fffff,
    0x6c0fffff,0x3004ffff,0xfb8fffff,0xffffffff,0xffffffff,0xfffff984,
    0xffffffff,0x74ffffff,0xffffffff,0xffffffff,0x3ff200ff,0xff00005f,
    0x0dffffff,0x17ffff40,0x26666666,0xfffe9999,0xfff305ff,0x3fe207ff,
    0x7cc03fff,0x7c43ffff,0x3a04ffff,0xf901ffff,0x0bffffff,0x21bfffe2,
    0x007ffffa,0xb89ffff9,0x999cffff,0xffffdaa9,0x999981ff,0xffffe999,
    0x0999999a,0x339ffff7,0x33333333,0x3f200333,0xa80005ff,0xffffffff,
    0xfffd001f,0x3ee0005f,0x6406ffff,0xd80fffff,0x9006ffff,0x6c1fffff,
    0x6406ffff,0xfd03ffff,0x0fffffff,0x213fffea,0x02fffff8,0x41ffffe8,
    0x404ffffb,0x06ffffe9,0x0fffff40,0x27fffdc0,0xff900000,0xfb0000bf,
    0xffff7fff,0x3fff6009,0xffa8001f,0xe800ffff,0x7cc5ffff,0x1001ffff,
    0x2abfffff,0x402fffff,0x884ffffa,0xfffeffff,0xffffc81f,0x9ffffb02,
    0x7ffff980,0x04ffffb8,0x3fffff98,0x3ffffa00,0xffffb801,0x32000004,
    0x40005fff,0xf8dffff8,0xd800ffff,0x4000ffff,0x1ffffff8,0xfffff500,
    0x27ffff43,0x3fffea00,0x4ffffeaf,0x6ffff880,0xfaffffa8,0xffe83fff,
    0xfff500ff,0xfffb80ff,0xffffb84f,0xffff9004,0x7fff400b,0xfffb801f,
    0x7c40004f,0xffffffff,0xffffffff,0xffffb802,0x07ffff92,0x00ffff90,
    0xfffffe88,0x7ffec003,0xdffff56f,0x3fff6000,0x0fffffff,0x1ffffd00,
    0xfd7fffc8,0xffff0bff,0xfffff80d,0x3ffffa02,0x4ffffb81,0xdffff100,
    0x7ffff400,0xffffb801,0x7fc40004,0xffffffff,0x2fffffff,0x27fffe80,
    0x806ffff9,0x4007fffb,0x04fffffd,0xfffff880,0x02fffffb,0xfffff100,
    0x4005ffff,0x742ffffc,0xfff94fff,0x4ffff98f,0x2ffffe40,0x06ffff98,
    0x009ffff7,0x003ffffc,0x003ffffd,0x339ffff7,0x33333333,0xffff8833,
    0xffffffff,0x402fffff,0x744ffff9,0x5401ffff,0x2e006fff,0x005fffff,
    0x3ffffee0,0x0005ffff,0x7fffffdc,0x7fd4005f,0x3ffe23ff,0x3ffff52f,
    0x017fffdc,0x41ffffe6,0x703ffffb,0x4009ffff,0x000ffffe,0x003ffffd,
    0xfffffff7,0xffffffff,0x7ffc41ff,0xffffffff,0x02ffffff,0x20ffffec,
    0x404ffffc,0x5005fffa,0x01dfffff,0xffffe800,0x0000ffff,0xffffffd8,
    0x7ffc4000,0x3fffea5f,0x47ffff10,0x800ffffd,0xe82ffffe,0xf700ffff,
    0x6c009fff,0xd001ffff,0x7003ffff,0xffffffff,0xffffffff,0xaaaaa81f,
    0xaaefffda,0x2200aaaa,0xf886ffff,0x2600ffff,0xf9805fff,0x001fffff,
    0xfffff980,0xd00003ff,0x00dfffff,0xc9ffffe0,0x7ff46fff,0x1ffffa5f,
    0x2ffffe40,0x817fffe2,0x004ffffb,0x00bffff6,0x00fffff4,0x7fffffdc,
    0xffffffff,0xf9000fff,0x2e000bff,0xfd04ffff,0x7c407fff,0x7f4404ff,
    0x0002ffff,0x3ffffee0,0xff700006,0x009fffff,0x21ffffb0,0x7e44ffff,
    0xffff17ff,0x3ffe600b,0x3ffee0ff,0x3ffee03f,0x3ffa004f,0xffd002ff,
    0xff7003ff,0xffffffff,0x1fffffff,0x17fff200,0x7ffff400,0xdffff701,
    0x403fff80,0x04fffffd,0xffff8000,0xf880001f,0xffffffff,0x7ffdc001,
    0x2ffff9af,0x54ffffd4,0x2003ffff,0x3a2ffffe,0x2e00ffff,0x2004ffff,
    0x001fffff,0x003ffffd,0x009ffff7,0x7ffe4000,0xfff98005,0xeeeeeeff,
    0x01fffffe,0xfc80bffe,0x0005ffff,0x1ffffd00,0xfffb0000,0x0dffffff,
    0xcffff980,0x440ffffb,0xffcbffff,0x3ee001ff,0xfff15fff,0xfffb80bf,
    0x3ffe004f,0xffd000ff,0xff7003ff,0x000009ff,0x002fffe4,0x7fffffe4,
    0xffffffff,0x3fa04fff,0xffff502f,0x000001df,0x003ffffa,0xfffff500,
    0x09fffffb,0xdeffff80,0xffd06fff,0x0ffffbbf,0xfffff880,0x02ffffb8,
    0x027fffdc,0x07ffff88,0x07ffffa0,0x13fffee0,0xffc80000,0xfff8005f,
    0xffffffff,0xffffffff,0x303ffb00,0x01ffffff,0x7ff40000,0x220000ff,
    0xf96fffff,0x4003ffff,0xfffffffd,0xffff704f,0x000bffff,0xfd5ffffb,
    0xff700fff,0x3ee009ff,0x3a005fff,0xb801ffff,0x0004ffff,0x17fff200,
    0xfffff500,0xffffffff,0x07ffffff,0xfd10332a,0x0005ffff,0xffffe800,
    0x3ff60000,0xfff11fff,0x7dc00dff,0x1fffffff,0xffffff30,0xf50007ff,
    0xffffdfff,0xffff7009,0xffff1009,0x7ff4007f,0xffb801ff,0x000004ff,
    0x3ff60000,0xaaaaacff,0xfffcaaaa,0xffd8006f,0x00003fff,0x0ffffe80,
    0xffff5000,0xffffa89f,0xfff3004f,0xf80fffff,0x1fffffff,0xffff8800,
    0x801fffff,0x404ffffb,0x06ffffc8,0x0fffff40,0x27fffdc0,0x55554000,
    0xaaaaaaaa,0x440aaaaa,0x2007ffff,0x41fffff8,0xf70eeeeb,0x333dffff,
    0x33333333,0xfe800133,0x88000fff,0xb06fffff,0x003fffff,0xfffffff1,
    0xffffd80b,0x360007ff,0x7fffffff,0x9ffff700,0xf7533333,0x003fffff,
    0x01ffffe8,0x9cffffb8,0x99999999,0xff109999,0xffffffff,0x5fffffff,
    0x04ffffc8,0x27fffec0,0x643ffff2,0xffffffff,0xffffffff,0x74004fff,
    0x8000ffff,0x02fffffd,0x0dfffff1,0x3fffffa0,0x7ffdc03f,0x20005fff,
    0xfffffffa,0xffff7004,0xffffffff,0x009fffff,0x03ffffd0,0xffffff70,
    0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,0x0fffffc2,0x3fffea00,
    0x3ffff20f,0xffffff90,0xffffffff,0x009fffff,0x00ffffe8,0x7ffffd40,
    0x7fffdc05,0xfffc804f,0x7cc01fff,0x003fffff,0x7fffffc0,0xfff7001f,
    0xffffffff,0x01bfffff,0x3ffffd00,0xfffff700,0xffffffff,0x227fffff,
    0xffffffff,0xffffffff,0x3fffea2f,0xffff0006,0x7fffe47f,0xffffff90,
    0xffffffff,0x009fffff,0x00ffffe8,0x3ffffe20,0xfffe800f,0x7fd401ff,
    0xff007fff,0x0003ffff,0x6fffffc8,0x3fffee00,0xffffffff,0x20002eff,
    0x801ffffe,0xfffffffb,0xffffffff,0xfff13fff,0xffffffff,0x45ffffff,
    0x003ffffd,0x4dffff90,0xf90ffffc,0xffffffff,0xffffffff,0xfe8009ff,
    0x32000fff,0x002fffff,0x0dfffff3,0x5fffff88,0xfffffb00,0xfff30000,
    0x7dc007ff,0xffffffff,0x0002cdef,0x01ffffe8,0xffffffb8,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffb80,0xefffffff,0x000002ce,
    0x99999700,0x99999999,0x26009999,0x4c0001aa,0x8809abaa,0x8000aaba,
    0x01aaba98,0x06aea600,0x05554400,0x57553000,0x40000013,0x00005339,
    0x10066662,0x26621333,0xfffff719,0xffffffff,0x0001dfff,0x9026ae62,
    0x38000389,0xffffb710,0x22001bff,0xfffffffc,0xfffd98bf,0xa801dfff,
    0xfffffffd,0xffb1004f,0x017fffff,0xffffff50,0x7fdc007f,0x2dffffff,
    0x3faa0000,0x0019ff55,0x07fffe40,0x32dfffd0,0xffb9ffff,0xffffffff,
    0xffffffff,0x3ffee001,0xfbadffff,0x20000e3f,0xfffff983,0x03ffffff,
    0x7fffff44,0xffffffff,0xffffffff,0x3fffee00,0x5fffffff,0x7ffffdc0,
    0x00efffff,0xffffffb1,0x4401bfff,0xfffffffe,0x0003ffff,0x57ffff22,
    0x01dffffa,0x0ffffc80,0x65bfffa0,0xffb9ffff,0xffffffff,0xffffffff,
    0xfffd8807,0xffffffff,0x0000e0ef,0xfffff30e,0xffffffff,0x7ffff409,
    0xffffffff,0xffffffff,0xff980eff,0xffffffff,0xff704fff,0xffffffff,
    0xffd01dff,0xffffffff,0x7ffec0df,0xffffffff,0x6cc001ff,0x55ffffff,
    0x5dffffff,0x7fffe400,0x5bfffa00,0xfb9ffffc,0x9999dfff,0xffffb999,
    0x3fe201ff,0xffffffff,0x01c0ffff,0xfff11c00,0xfd779fff,0xf705ffff,
    0xb537bfff,0x9fffffff,0xbffff933,0x59ffffb0,0xfffffb73,0xbfffff10,
    0xfffff955,0xfffffa87,0xfffffb9d,0xcffff883,0xffff9309,0x3ffaa00b,
    0x55ffffff,0xffffffff,0xffc8017f,0x3ffa00ff,0x3ffff96f,0x009ffff7,
    0x813ffffa,0x9beffffd,0x3fffffda,0x71c0001c,0x701dffff,0xc81dffff,
    0xfe80effe,0xfa82ffff,0x3f623fff,0xfffd05ff,0xffffc81f,0x7ffff983,
    0x407ffff4,0xfa87fffd,0xbfd00fff,0x7fdc4059,0xefffffff,0x3fff6a0b,
    0x1cffffff,0x01ffff90,0xcab7fff4,0xfffb8ccc,0xfff7004f,0x3ffee0df,
    0xfffe885f,0x0000e0ff,0x1ffffd8e,0x0fffff60,0xfff70198,0x7ffec0df,
    0x32015105,0x7fc0ffff,0x37f606ff,0x3fffea2c,0x7ffff505,0x1dffffa8,
    0xfff93000,0x39ffffff,0xfffeb880,0x42dfffff,0x200ffffc,0x5c06fffe,
    0x3004ffff,0x3e0dffff,0xfd80ffff,0x0e3fffff,0xfff8e000,0x7ffcc05f,
    0x6dcc004f,0x2e04ffff,0x4c007fff,0x21ffffeb,0x004ffff8,0x05ffff70,
    0x113fffe2,0xbfffffff,0xffe98017,0xaeffffff,0xffc98000,0x2effffff,
    0x401ffff9,0x5c06fffe,0x7004ffff,0xf10bffff,0xff909fff,0x1cbffff9,
    0xff99c000,0xfff803ff,0x7edcc06f,0xdfffffff,0xfdcccccc,0x2e600fff,
    0xfffffffd,0x3fffea0f,0xfff90003,0x9999999f,0xfd0bffff,0xffffffff,
    0xfff5019d,0x0019ffff,0x3ffae200,0xff95ffff,0x7ff401ff,0x7ffdc06f,
    0xffe9804f,0xfff984ff,0xeaffdc2f,0x000e6fff,0x7fffdce0,0x7fffe802,
    0xfffffb88,0xffffffff,0xffffffff,0x7e441fff,0xffffffff,0x3fee0fff,
    0xfd0002ff,0xffffffff,0x0dffffff,0xffffffd1,0x419fffff,0x03fffffa,
    0x7f4c0000,0xfff95fff,0x7fffc03f,0x7fffdc06,0xbaaaaaad,0x0ffffffc,
    0x21ffffb8,0x3ff66ffa,0x000070ff,0x0bfffee7,0x11ffffe0,0xdffffffd,
    0xffffff99,0xffffffff,0x7ff4c5ff,0xfdbeffff,0x3fee0fff,0xfd0003ff,
    0xffffffff,0x0dffffff,0x3ffffae2,0x25ffffff,0xdffffffa,0x5c400002,
    0x95ffffff,0x7c03ffff,0x7dc06fff,0xffffffff,0xffffffff,0xffff502f,
    0xc83bfe65,0x0070ffff,0x3ffea700,0xffff803f,0x7ffffec5,0x3fffea0b,
    0xaaaaaaac,0xff10aaaa,0x5c15bfff,0x3ea0ffff,0xb0004fff,0x5557ffff,
    0x55555555,0xfffd7300,0x265fffff,0xffffffff,0x2a0000bf,0xfffffffd,
    0x3ffff95f,0x037fffc0,0x3fffffee,0xffffffff,0x3e601eff,0xfff8bfff,
    0x737ffec0,0x3e670000,0x7cc05fff,0x3fe24fff,0xfff705ff,0x3ea0009f,
    0xff904fff,0x7ffc41ff,0x2f3aa05f,0x3ffff90a,0x54400000,0x24fffffc,
    0xffffffb8,0x1002dfff,0xfffffff9,0x7fe43bff,0xfff101ff,0xfffb80df,
    0xffffffff,0x400adfff,0xfedffff8,0x5ffff81f,0xf8e0000e,0x3a01ffff,
    0x3ea2ffff,0xff902fff,0x56640dff,0x07fffe41,0x40ffffd8,0xd00fffff,
    0x3ea3ffff,0x7b103fff,0xbb953035,0x27fffcc0,0xfffffea8,0xa80cffff,
    0xfffffffd,0xffa80cff,0xfff502ff,0xfffb80df,0xfffeccef,0x3a001eff,
    0x82ffffff,0x0e3ffffb,0xffc8e000,0xffc81eff,0x7ffd46ff,0xffff884f,
    0xfffa84ff,0x3ffff26f,0xfffffa83,0x6ffffe41,0x37fffd40,0x207ffffe,
    0x743ffffd,0xf503ffff,0xd9807fff,0xffffffff,0xfffff34f,0x807dffff,
    0x886ffff9,0xd76fffff,0xfff71ddd,0xfffd889f,0xff5002ff,0xff509fff,
    0x00038dff,0x3fffe238,0xffeccdff,0x7fcc1fff,0xeb88bfff,0xefffffff,
    0xfffffcab,0x3bfffee2,0xffffc98a,0x7ffc41ff,0xffeccfff,0x7fdc3fff,
    0xfdaadfff,0x7dc0ffff,0x98acffff,0x01ffffeb,0xfffff910,0x3ffeabff,
    0x001dffff,0x7bfffff1,0xffffff95,0x27ffff2d,0xd04ffffb,0x005fffff,
    0x37fffff6,0xfffffdbb,0x1c0001c1,0x3fffffe6,0x3fffffff,0xffffffd0,
    0xffffffff,0xffffffff,0xfff88bff,0xffffffff,0xfb82ffff,0xffffffff,
    0xfd885fff,0xffffffff,0xffb02fff,0xffffffff,0x20007fff,0x55ffffeb,
    0x019fffff,0xfffffb00,0xffbfffff,0x3ffff2df,0x04ffffb9,0x3ffffff1,
    0xfffff700,0xffffffff,0x70000709,0xfffffd30,0x405fffff,0xfffffff9,
    0xffa8cfff,0xffffffff,0xfffff505,0xfff3dfff,0x3ffea0bf,0xefffffff,
    0x3ffff200,0x02ffffff,0x7fffffec,0x004fffff,0x55ffda80,0x00017dff,
    0x7fffff44,0xfffc8eff,0x73ffff96,0x5409ffff,0x406fffff,0xfffffffa,
    0x02ffffff,0x40700007,0xeffffeca,0xffd8800c,0x440defff,0xeffffffc,
    0x7fff4c02,0x3fff24ff,0xfffb100f,0x2005dfff,0xffffffda,0xffb3001c,
    0x03bfffff,0x55c98000,0x4400005b,0x0ceffffd,0x3f2dfff9,0xfffb9fff,
    0x7ffec04f,0xfff103ff,0xfffffd53,0x001c01bf,0x9a8801c0,0x35310000,
    0x26a62001,0x054c4000,0x35310000,0x55440001,0x26600009,0x0000019a,
    0x20000000,0xb80000a8,0x4404ffff,0x01ffffff,0x9a9883f5,0x00007000,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x027fffdc,0x37ffffd4,0xcc800000,0xcccccccc,0x5ccccccc,0x99999991,
    0x99999999,0x00059999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0x2009ffff,0x03fffffd,0x00000000,0x7ffffcc0,0xffffffff,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04ffffb8,0xffffff10,0x00000001,0x7ffcc000,0xffffffff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0x3ffea004,0x000005ff,0x2e200000,0xbbbbbbbb,0xbbbbbbbb,0x000001bb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x97000000,0x33100999,0x01aa8813,0x98805544,0x1aa88099,0x40133310,
    0x22019998,0x26621999,0x26600999,0x4cc40999,0x99999999,0x26621999,
    0x220aa209,0x33001999,0x80010333,0x20000000,0x20050018,0x3ae3eee8,
    0x133101ee,0x1ffffa00,0x4d3fffa0,0x43fffffe,0x2efffffb,0xf937ffdc,
    0xc85fffff,0x3fa07fff,0xffb00fff,0x7fffc4ff,0xffff705f,0xffffd81f,
    0xffffffff,0xbfffb1ff,0xc97ffff2,0x4402ffff,0x7cc5ffff,0x005f3002,
    0x8017fffc,0x7ec01ff8,0x0fffe803,0x6c0bfff3,0xffd003ff,0xfffd00ff,
    0xffffff59,0x3fff27ff,0x2e1fffff,0xffd8efff,0x24ffffff,0x881ffffa,
    0xf02fffff,0xffa89fff,0x7fcc2fff,0xffd82fff,0xffffffff,0xffb1ffff,
    0xfffff5bf,0x37fffc49,0x8bfffee0,0xec9afff8,0xfff9adef,0x5ffff002,
    0x3ffff100,0x80ffff60,0x3fa3fffb,0xffd881ff,0xfffd003f,0xdfffd00f,
    0xffffffff,0xfffffdff,0x2e1fffff,0xfffeffff,0x1fffffff,0x2a0ffffe,
    0xa84fffff,0xfd81ffff,0x3fa0efff,0xffb04fff,0xffffffff,0x3f63ffff,
    0xffffffff,0x7fffec1f,0x1ffffa00,0xfffffffd,0xffffffff,0xffff003f,
    0xffffd005,0xffffd83f,0x6fff981f,0x9113fff2,0x007fffff,0x201ffffa,
    0xbefffffe,0xfffffea9,0xfffd9bef,0xffff73ff,0xff735bff,0x7fec9fff,
    0xffffc86f,0x7fffc86f,0x9ffffd10,0x03bfffee,0x77777764,0xefffffee,
    0xffffffb0,0xff50ffdf,0x3fe607ff,0x7ffdc4ff,0xffffffff,0xf004ffff,
    0xf3005fff,0x363fffff,0xd02fffff,0x3fe65fff,0x7ffdc0ff,0x31003fff,
    0xffd00333,0xff981fff,0x7dc0ffff,0xfff74fff,0xfff707ff,0x7fffd4bf,
    0x7fffff40,0x27fff40f,0x7fffff30,0x003fffff,0x7fffff40,0x3fffff61,
    0x3fe0530c,0xfff906ff,0xffff701f,0xffffffff,0x7ffc009f,0xfff3002f,
    0xffffbfff,0x3fff205f,0x07fffd15,0x7ffb19f7,0x7f400000,0xfff02fff,
    0xfff105ff,0x3fffeebf,0x9bfffe05,0x222ffff8,0x2fffffff,0x00bfffe6,
    0xfffffff7,0x6c0007ff,0x6c1fffff,0x2006ffff,0xf81ffffc,0xff305fff,
    0xfd739fff,0x7c007fff,0x26002fff,0xffffffff,0xfff502ff,0x1bfff23f,
    0x47ffb04c,0xccccccc8,0xcccccccc,0xffffd0cc,0x3ffffe01,0x5ffff880,
    0x407ffff7,0x7ec7fffe,0x3ffea4ff,0x3ee4fffe,0xffd007ff,0x00dfffff,
    0x7ffffe40,0x3ffffd83,0x3fffe200,0x17fffd44,0x80ffffc8,0x6546fffd,
    0xfffccccc,0x3cccccdf,0xffffff30,0x3fe207ff,0xffff54ff,0x8fff6005,
    0xfffffff8,0xffffffff,0xffffd1ff,0x03ffffc0,0x3eebffff,0x3fa02fff,
    0x7ffdc7ff,0x3ebfff27,0x3fff66ff,0xffff1005,0x20001fff,0x04fffffb,
    0x005ffffb,0x6c7fffd8,0x3f607fff,0xfff504ff,0xfffffc8f,0xffffffff,
    0x3e606fff,0x204fffff,0xf34fffe8,0x36005fff,0x3ffe23ff,0xffffffff,
    0xd1ffffff,0x7f40ffff,0x3ffe06ff,0x3ffff75f,0x23ffff40,0xfd1ffff8,
    0x23fffaff,0x002ffff8,0x13ffffee,0x7fffd400,0x3fff605f,0x7fd4001f,
    0xffff12ff,0x0ffff409,0x641ffff0,0xffffffff,0xffffffff,0x3ffff606,
    0x3e601fff,0xfff91fff,0x8fff600d,0xfffffff8,0xffffffff,0xffffd1ff,
    0x037fff40,0x3eebffff,0x3fa01fff,0xfffe87ff,0xf95fff8b,0xffff55ff,
    0x7fff4001,0x4c000fff,0x406fffff,0x000ffffd,0xf75ffff8,0x7ec01fff,
    0xfff304ff,0x7fffe41f,0xffffffff,0xfb06ffff,0xffffffff,0x2fffe403,
    0xb007fffd,0x7ffc47ff,0xffffffff,0xd1ffffff,0x7f40ffff,0x3ffe06ff,
    0x3ffff75f,0x43ffff40,0xffaefffb,0x99fff33f,0x5c00bfff,0x5fffffff,
    0x3fffe200,0x7fec00ef,0xfc8000ff,0xfffe8fff,0x3fffe405,0x647fffd8,
    0xffffffff,0xffffffff,0xfffffd86,0x01ffffff,0x7ccbfffa,0x7ec00fff,
    0x2000003f,0x3a07fffe,0x3fe06fff,0xffff75ff,0x3ffff403,0x7effffcc,
    0x3bffe1ff,0x3003ffff,0xffffffff,0xffd1007f,0xfb001fff,0x10001fff,
    0xfff7ffff,0xfff9805f,0xffda8bef,0x3fe004ff,0xffb002ff,0xfff35fff,
    0x3e603fff,0x3fff26ff,0x01ffec04,0xfffd0000,0x37fff40f,0x2ebffff0,
    0x3a01ffff,0xffd07fff,0xfd8fffff,0x00ffffff,0xfbffffd0,0xe803ffff,
    0x001fffff,0x001ffffb,0x3fffff60,0xff9807ff,0xffffffff,0x3e003fff,
    0xfd802fff,0x3e62ffff,0x900fffff,0x7ff47fff,0x0732e00f,0x03ffff40,
    0xd03ffff4,0x7fc0dfff,0xffff75ff,0x3ffff403,0xffffffc8,0x7ffffdc5,
    0xfff9006f,0x3ffff6bf,0x3ffff606,0x999999bf,0xffffb099,0x3fea0001,
    0x404fffff,0xfffffff8,0xffffffff,0x5ffff003,0x5ffff700,0x0bffff30,
    0xf30fffe8,0x80000bff,0xe807fffe,0x3fa07fff,0x3ffe06ff,0x3ffff75f,
    0x83ffff40,0x3ffffff9,0x7fffffcc,0xffffa803,0xfffff10f,0xfffff509,
    0xffffffff,0x3fff6bff,0x3fe0000f,0x401fffff,0xfffffffe,0xffffffff,
    0xffff801f,0x05ff7002,0x4c02ffcc,0x3bae3eee,0x3a00000e,0xfe807fff,
    0x3ffa07ff,0x3fffe06f,0x03ffff75,0xf03ffff4,0xf03fffff,0x801fffff,
    0x43fffff8,0x41fffffb,0xfffffffa,0xffffffff,0x01ffffb5,0x7fffe400,
    0xfff9806f,0xbffffeac,0xf004fffa,0x5c005fff,0x00059803,0x74000000,
    0xfe807fff,0x3ffa07ff,0x3fffe06f,0x03ffff75,0x903ffff4,0x360fffff,
    0xd806ffff,0xfb06ffff,0x7d41dfff,0xffffffff,0xb5ffffff,0x0001ffff,
    0x17ffffc4,0x8084f980,0x3fe004fa,0x000002ff,0x00000000,0x0bddd900,
    0x40ffffd0,0x3e06fffe,0xfff75fff,0x7fff403f,0x3fffea07,0x7ffff705,
    0xfffffa80,0xfffff100,0x7ffffd4b,0xffffffff,0xffffb5ff,0xffd80001,
    0x0004007f,0x55550006,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,
    0x3bba64ee,0x55530002,0x1aa98001,0x88006200,0xa9880099,0x2aaaa601,
    0xaaaaaaaa,0x5532aaaa,0x55555555,0x05555555,0x51001554,0x7775c013,
    0xfffff10e,0x5bfffea1,0x985ffffb,0x13001bcb,0x41bdcb88,0x4c0bbbb9,
    0x2aa1aaaa,0xbbba82aa,0xb81bbbbb,0x3ffa2fff,0x7fc4000f,0xfd3004ff,
    0x203dffff,0x02dfffea,0x1bffffd5,0xfffffb10,0xfffff907,0xffffffff,
    0x3ff2dfff,0xffffffff,0x06ffffff,0x36201ffa,0xc80cffff,0xff10ffff,
    0x3fea1fff,0xffff76ff,0x7ffffccb,0x3f501cff,0x7fffffb8,0xd07fffee,
    0x7d41ffff,0x7ff43fff,0x03ffffff,0x3e61fffd,0x7dc005ff,0xe800ffff,
    0xffffffff,0x7ffffc40,0x7ffcc2ff,0x7c46ffff,0x5fffffff,0x7fffffe4,
    0xffffffff,0xffff96ff,0xffffffff,0x6c0dffff,0x7ffc407f,0xfc86ffff,
    0xfff10fff,0x3ffea1ff,0xbffff76f,0x3fffffee,0xbabeffff,0x98cc1ffe,
    0xfff73ffe,0x7fffd43f,0x46fffb81,0xfffffffe,0xbfff503f,0x001fffec,
    0x07ffffff,0xcabfffc8,0x7fec2fff,0x646ffb9c,0xffea9dff,0x37ffff22,
    0x3f22ffff,0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,0xdf915cdf,
    0x3fffa1c4,0x644fffcc,0xff10ffff,0x3fea1fff,0xffff76ff,0x3fffffab,
    0xffffffff,0x5c01ffff,0xffff76ff,0x00fffec3,0x7f45fff9,0x3fffffff,
    0x44ffff60,0xb800ffff,0x06ffffff,0x3fe15cc4,0x886e5c3f,0x3ffa0fff,
    0x7c57ff21,0x3ffe25ff,0x3fffff26,0xffffffff,0xfff96fff,0xffffffff,
    0x7cdfffff,0xd9dfcaef,0x8dff31ff,0x7fe47ff8,0x3fffe0ff,0xbffff50f,
    0x757fffea,0xfffeefff,0xffffffff,0x7544111f,0xffff72ff,0x00bffe63,
    0xffe9bff2,0x03ffffff,0x643fffe6,0xfe806fff,0x02ffffff,0x3fff6e60,
    0x3ffae203,0x27ffd005,0x7ec2fffa,0x7dc0007f,0x800006ff,0xfffffff9,
    0xff54ffff,0x703ffb07,0x6fffe8ff,0x453fffe2,0x5fd4ffff,0x7ffed441,
    0x2a2fffff,0x6fffffff,0xca866662,0x3332002c,0x55555530,0xffd80155,
    0x7ffff16f,0x677ffd40,0x75406fff,0x4fffffff,0x01bffee0,0xfb87ffe4,
    0x7ffdc0ff,0x3fee0000,0x8800006f,0xffffffda,0x7ff72cef,0xfb03ffb0,
    0x45fffc8d,0x3fe2ffff,0x8801b2ff,0x40bdffeb,0x3efffff9,0x00000000,
    0x3ffe2000,0x3ffff73f,0x22ffffa0,0xf701ffff,0xfff7dfff,0x7fff6409,
    0xfffb100d,0x207ffdc5,0x0001fffb,0x001bffee,0x3fff2000,0x88dff306,
    0x3ffa87ff,0x3627ffdc,0x3ffa1fff,0x8000001f,0x2aaaa008,0x986aaa60,
    0x99999999,0x99999999,0xff100099,0x3ffe69ff,0xffffa82f,0x20bfffb0,
    0xff10dfff,0xffd1009f,0x5fffd307,0x6c2fffa8,0x5c0007ff,0xddd76fff,
    0xdddddddd,0x70bddddd,0x209ffdff,0xffcbfffe,0x437fec4f,0x75c2eee9,
    0x3bbae0ee,0x00000000,0x2e0fffe8,0xfff33fff,0xffffffff,0xffffffff,
    0x3fff2007,0x09fffd0e,0xfa97fffa,0x7fcc1fff,0x13ffea1f,0x6ffb8553,
    0x40f7ffcc,0x3e24fff8,0x5c0006ff,0xfff96fff,0xffffffff,0xa8dfffff,
    0x3ffe8fff,0xffffff98,0x067e40ef,0x00000000,0x7f400000,0x3ffee0ff,
    0xffffff33,0xffffffff,0x007fffff,0x2e3ffff1,0xf980efff,0x7ffc2fff,
    0xaefff84f,0x7c4ffffb,0x97ff61ff,0x200efff9,0xffcefffc,0x5c0002ff,
    0xfff96fff,0xffffffff,0x44dfffff,0xfff32fff,0xffffd303,0x0003101b,
    0x00000000,0x7fff4000,0x4cfffee0,0xffffffff,0xffffffff,0xfd803fff,
    0xffff14ff,0x1bfff603,0x903ffff2,0xffffffff,0xdfffb89f,0x3fa2fffe,
    0x5fffffff,0x3fffffe2,0xb80005ff,0xfff96fff,0xffffffff,0x98dfffff,
    0x200f6c5e,0x00000aa9,0x00000000,0x33320000,0x0b332a0c,0x4c000000,
    0x3ff26fff,0xffff304f,0x9ffff107,0xbfffec88,0xffd86ffa,0x3e23ffff,
    0xffffffff,0x7fffec45,0x9300003f,0x3332a799,0xcccccccc,0x883ccccc,
    0x00000040,0x00000000,0x00000000,0x00000000,0xf88ffff4,0x3ff606ff,
    0xfffb00ff,0x0006601f,0x9819bb71,0xcccccccc,0x006a603c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8fffea0,0x26601fff,
    0x26620099,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a65eed8,0x000003ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_39_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_39_latin1_y[224]={ 31,6,6,5,3,5,5,6,5,5,5,9,26,19,
26,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,34,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,31,12,6,5,9,6,
5,5,5,5,5,14,12,19,5,1,5,7,5,5,5,12,6,16,31,5,5,14,5,5,5,12,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,4,12,12,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,9,11,5,5,5,5,5,6,5,
 };
static unsigned short stb__arial_bold_39_latin1_w[224]={ 0,6,14,20,17,29,24,6,10,9,13,18,7,10,
6,11,17,12,18,17,19,18,18,17,17,17,6,7,18,18,18,19,33,26,22,23,22,20,18,25,21,6,17,24,
19,25,21,25,20,26,24,21,21,21,25,33,24,25,21,9,11,10,18,21,9,18,18,18,19,18,13,19,17,6,
10,18,6,27,17,20,19,19,13,18,12,17,19,28,20,19,17,12,4,13,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,18,19,19,20,
4,18,12,27,13,17,18,10,27,21,12,19,11,11,8,18,21,6,10,8,13,17,28,28,29,19,26,26,26,26,
26,26,36,23,20,20,20,20,9,9,12,12,25,21,25,25,25,25,25,18,26,21,21,21,21,25,20,19,18,18,
18,18,18,18,29,18,18,18,18,18,9,8,12,12,20,17,20,20,20,20,20,19,20,17,17,17,17,19,19,19,
 };
static unsigned short stb__arial_bold_39_latin1_h[224]={ 0,25,9,27,32,28,27,9,34,34,13,19,11,6,
5,27,27,26,26,27,26,26,27,25,27,27,19,25,20,13,20,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,29,25,27,25,26,25,25,25,25,25,33,27,33,15,4,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,26,32,27,19,25,
34,34,5,27,14,16,13,6,27,4,12,24,14,14,6,26,32,6,8,14,14,16,27,27,27,27,32,32,32,31,
31,30,25,34,32,32,32,31,32,32,32,31,25,31,33,33,33,32,32,17,29,33,33,33,32,32,25,27,27,27,
27,26,27,28,20,27,27,27,27,27,26,26,26,26,26,25,27,27,27,26,27,19,22,27,27,27,27,34,32,34,
 };
static unsigned short stb__arial_bold_39_latin1_s[224]={ 252,28,163,201,94,171,170,178,21,52,128,
189,155,242,245,243,21,114,95,100,56,37,39,37,19,1,249,97,193,109,212,
148,137,1,167,195,168,213,148,194,205,130,1,105,137,157,183,220,127,98,1,
78,191,19,142,108,83,57,35,187,237,176,19,229,232,117,88,136,41,155,61,
58,19,246,241,227,249,21,49,66,215,107,135,174,75,231,149,67,96,1,117,
62,171,123,185,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,252,248,101,
118,169,55,118,99,216,166,38,227,90,242,138,66,142,234,64,52,223,235,125,
216,205,245,76,1,120,91,61,41,172,199,226,205,1,71,190,75,21,42,63,
28,84,195,112,232,227,49,1,27,53,146,120,208,125,79,219,197,173,147,76,
190,152,41,78,76,115,152,87,210,229,1,1,171,245,246,168,181,194,1,20,
149,222,127,20,1,26,97,60,134,219,32,1,1, };
static unsigned short stb__arial_bold_39_latin1_t[224]={ 1,300,372,103,70,103,163,372,1,1,372,
352,372,372,97,103,191,219,219,191,219,219,191,274,219,219,326,274,326,372,326,
219,1,300,247,163,300,300,247,191,274,274,247,274,274,274,274,191,247,103,326,
191,300,247,300,300,300,300,300,1,163,1,372,379,372,326,247,326,247,326,247,
191,274,247,1,247,163,352,352,326,219,247,352,326,247,326,352,352,352,191,352,
1,1,1,372,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,1,135,36,
191,352,274,1,1,379,191,372,352,372,372,191,347,372,300,372,372,372,219,70,
372,372,352,372,372,163,163,163,163,36,36,36,70,103,103,247,1,70,70,70,
103,70,70,70,70,274,103,36,36,36,36,36,352,103,36,1,1,70,70,274,
135,135,135,135,219,135,103,326,135,135,163,135,135,70,191,219,219,219,274,135,
163,103,219,163,352,326,135,135,135,163,1,70,1, };
static unsigned short stb__arial_bold_39_latin1_a[224]={ 155,186,265,311,311,497,403,133,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,186,186,326,326,326,341,545,403,403,403,403,373,341,434,
403,155,311,403,341,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,186,155,186,326,311,186,311,341,311,341,311,186,341,
341,155,155,311,155,497,341,341,341,341,217,311,186,341,311,434,
311,311,279,217,156,217,326,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,155,186,311,311,311,311,156,311,
186,412,207,311,326,186,412,308,223,307,186,186,186,322,311,155,
186,186,204,311,466,466,466,341,403,403,403,403,403,403,559,403,
373,373,373,373,155,155,155,155,403,403,434,434,434,434,434,326,
434,403,403,403,403,373,373,341,311,311,311,311,311,311,497,311,
311,311,311,311,155,155,155,155,341,341,341,341,341,341,341,307,
341,341,341,341,341,311,341,311, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_39_latin1(stb_fontchar font[STB_FONT_arial_bold_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_39_latin1_s[i] + stb__arial_bold_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_39_latin1_t[i] + stb__arial_bold_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_39_latin1_x[i];
            font[i].y0 = stb__arial_bold_39_latin1_y[i];
            font[i].x1 = stb__arial_bold_39_latin1_x[i] + stb__arial_bold_39_latin1_w[i];
            font[i].y1 = stb__arial_bold_39_latin1_y[i] + stb__arial_bold_39_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_39_latin1_s[i] + stb__arial_bold_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_39_latin1_t[i] + stb__arial_bold_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_39_latin1_x[i] + stb__arial_bold_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_39_latin1_y[i] + stb__arial_bold_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_39_latin1_LINE_SPACING
#endif

