// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_23_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_23_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_23_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_23_latin1_BITMAP_HEIGHT        162
#define STB_FONT_consolas_23_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_23_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_23_latin1_NUM_CHARS            224

#define STB_FONT_consolas_23_latin1_LINE_SPACING          15

static unsigned int stb__consolas_23_latin1_pixels[]={
    0x002a6153,0x41333310,0x80099999,0x20026218,0x001c0018,0x2d893200,
    0xeb800000,0x0013a20d,0xc8801ba8,0x2cb8001c,0x0f3b6e00,0x0000b900,
    0x00007322,0x3aa00797,0x1fc8fe40,0xffd97ec0,0xffff15ff,0x3ffdc05f,
    0x7403dff5,0x07f7000f,0x80b7fb22,0x0ff70ff9,0x2e006d80,0x02fcc0df,
    0x01fdfc80,0x1001ff98,0x8807fdfb,0x0efffffe,0x6cc0dd00,0x3e605efe,
    0xbf90001f,0x903ee001,0x9807f23f,0xf75555ff,0x2aabbe2b,0x459ff700,
    0x500ffdb8,0x1df500bf,0xfb77df30,0x5b11e409,0x3004f800,0x017e607d,
    0x003d9740,0xb9001bb1,0xfe80bae3,0x00dfb30c,0x67fdc13e,0x6ec405cc,
    0x01f54000,0x22cfeb98,0x803f91fc,0x15f882fe,0x07fa00bf,0x7e407f90,
    0x207fe204,0x17dc0df8,0x3b6e0000,0x300002fe,0x3b6000bf,0x000002fb,
    0x10bf7000,0x3f8803fd,0x0000ef88,0xe9800000,0x91ffffff,0x0007f23f,
    0x0bf15f88,0x3e601be0,0xd817f404,0x201dd03f,0x3100cc5e,0xfeffe881,
    0x4403305f,0x54cbf309,0x02db8801,0x1ca8065c,0x4079db70,0x09f701fe,
    0x837fff6e,0xdb8006f9,0xdb7003ce,0x33fe2079,0xf90a8de9,0x99987f23,
    0xf8809999,0x3e00bf15,0x404f8806,0x05fa87f9,0x07e405f5,0x0ff203ff,
    0x3ffe19fd,0xf901ff84,0x3fa77e67,0x664405ff,0xc80fec03,0x7fff443f,
    0x07f80eff,0xffd117e6,0xfe81fdfd,0xfffd1004,0x3a201dff,0x40efffff,
    0x3213e5fb,0x7fc3f91f,0x883fffff,0x200bf15f,0x04f8806f,0x17ec1fd8,
    0x4c4cc6d8,0x413f21f9,0x997ee0ff,0x7e41ffbf,0x3e61ff04,0x4feaaefe,
    0x803ffea0,0x87f901fd,0xdfb10cfe,0x3e206f88,0x0fbafe46,0x01effd88,
    0xfd8867f4,0x2219fd06,0x8a7e46fd,0xf91fc83f,0x6d555543,0xf15f883f,
    0x2017e00b,0x3fb805f8,0x3e203fe2,0x37fffd13,0x4c3fc45f,0xf70ff45f,
    0x7f887f71,0x3fe65f98,0xd807fc45,0x3f603fdf,0x7dc7f901,0x261fe885,
    0x99fe205f,0x7ec1f26f,0xf704ffcb,0xb83fd10b,0x21fe885f,0x82faaffa,
    0x803f91fc,0x15f883fb,0x07f300bf,0x3e601ba0,0x7d41bea5,0x15f93fd1,
    0x642fd85f,0x57a3fc2f,0x42fd84f9,0x41be62fc,0x9ef881fd,0x407f605f,
    0x407fa3fc,0x817e64fb,0xd93ea6f8,0x3a65f986,0x80ff40ef,0x80ff44fb,
    0x7ffe44fb,0xf91eb81f,0x883fb803,0x4c0bf15f,0xf7000fea,0x9fe2015b,
    0x26f905fb,0x7f13f73f,0x23fc5fa8,0x4cfe26f8,0x7c5fa86f,0xfc82fcc7,
    0x1ff3fa82,0x7e407f60,0x5f981fe3,0x5f981be6,0xa85e8fee,0x7c4fd84f,
    0xff17e607,0x7542fcc0,0x7e403fff,0x441fdc01,0x220bf15f,0x4c000eff,
    0x43fa06ff,0x32db03fc,0x0be2fb1f,0x227d43fe,0x447ea5f9,0x2a1ff07f,
    0xc82fcc4f,0xfb1fd82f,0x6407f605,0x440df13f,0x403fe26f,0xf93ea4fb,
    0x440ef884,0x881be27f,0x881be26f,0x3fff606f,0x803f900e,0x15f883fb,
    0x3eea20bf,0x5bf5000e,0xfb8ff405,0xe9f6db03,0x7f903f36,0x4df307f6,
    0x641be26d,0xf983fb3f,0xf883fb05,0x7ec17ea6,0x3e67f901,0xfb1fe205,
    0xf887fa07,0x3f207f16,0xf987f40e,0xf99fe205,0xe81fe205,0xf906fd8d,
    0x883fb803,0x300bf15f,0x01ba007f,0x05f987fc,0x55f9fabd,0xf1df101f,
    0x27cdf10d,0x3be20bf3,0x05f986f8,0x449f50ff,0x01fd80ff,0x817e67f9,
    0x0ffd46f8,0x37f61bf2,0x3ff202fa,0x2fccbf33,0x2fccdf10,0x27c0df10,
    0x03f901ff,0x5f883fb8,0x17e00bf1,0x26017e20,0x741fe27f,0x653e6fb5,
    0x0ff7f606,0x2e1fabf4,0x3f7f604f,0xfc85f983,0x7ec1fd84,0xf901fd82,
    0xf981be27,0xecdffc85,0xffe980ef,0xea80fddf,0x3e20ffef,0xf897e606,
    0x4417e606,0xd71ff13f,0xf7007f23,0x3e2bf107,0x100df005,0x8bf7009f,
    0xf76d80fe,0x07f3dfd5,0xd807ffd4,0x0ff47cbf,0x301fff50,0xdfb77bff,
    0xbf50ff10,0x3f603fb0,0x7dc03fe2,0x9fffd704,0xefffb801,0x0bff200c,
    0x27dc03fe,0x27dc03fe,0x7e457cc3,0x07f23f96,0xbf107f70,0x37c017e2,
    0x6c027c40,0x6417e42f,0xff3bfd36,0x409ff00b,0x3f25eff9,0x304ff805,
    0x07dfffff,0x3fffffea,0x17e40fff,0x0bf60ff8,0x3f600ff4,0x001f6001,
    0x05fb0df5,0x05fb07fa,0xeefd87fa,0xf90fffef,0xf7007f23,0x3e2bf107,
    0x100df005,0x86f8809f,0x20fc86fa,0x3e200220,0x77fd401f,0x4400efec,
    0x2bf301ff,0xeeefd800,0x542ffeee,0x4c6fb86f,0x02fe41ff,0x40306fd4,
    0x37c4006e,0x3f20ffcc,0x641ff985,0x7ff6dc5f,0xc8fe43de,0x417ec01f,
    0x00bf15f8,0x13e601be,0x3f605fd0,0x00017cc4,0x7ec017f2,0xc800cfff,
    0x017e605f,0xbf703fc4,0xff99dfb0,0x9bff903f,0x3a001dfd,0xf02fedff,
    0xda88d409,0x9bff904f,0x3f201dfd,0x00efecdf,0x91fc81f2,0x80ff803f,
    0x00bf15f8,0x7f7003fa,0xd1037e40,0x4006e83f,0x001df930,0x2100277a,
    0x2600efc9,0x09f5005f,0xffc83fc4,0x3ae00dff,0x2000cfff,0x80cefec8,
    0x3ffe03f8,0x75c05fff,0x5c00cfff,0x400cfffe,0x647f206d,0x7ecc351f,
    0x3e2bf105,0x03bf9005,0x2603fd51,0x77cc00ef,0x33037ea0,0x01dfff50,
    0x5400fe20,0x4c00efff,0x05fb005f,0x02202fe8,0x00000200,0xba80ba20,
    0x04000bcc,0x2e000800,0x7e47f203,0xdfffff71,0xaffffec1,0x02fffff8,
    0x7d4fffd1,0x07fa04ff,0x3ee1fd40,0x983feeef,0x544002bc,0x05793000,
    0x0000f220,0x00000000,0x00000000,0x00000000,0x91fc8000,0x3332e23f,
    0x3ccccb82,0x03999991,0x2f264ba8,0x2000cc01,0x17995102,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8fe4000,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x001950ca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8570000,
    0x28736a02,0x00059700,0x215c0797,0x000bb02b,0x1ddddb97,0xa80165c0,
    0xb800a1cd,0x1f44003c,0x2201e5c0,0x502ceecb,0x2e01439b,0x991015c2,
    0x0f2e0003,0x2b805970,0x2053015c,0x41fea7f9,0xfddffefa,0x3fbf6200,
    0x037f2003,0x0ff53fcc,0x74c007f2,0x1ffeefff,0x03fefd88,0x6efff7d4,
    0x0dfc800f,0x200fe400,0x3e600dfc,0x40ffffff,0xfddffefa,0x7d4ff300,
    0x00ffcc07,0x44037f20,0xf303fefd,0xf883fd4f,0x6447903f,0x6f5c5103,
    0xeb8ee401,0x803ea802,0x4c0f223c,0xfff8804f,0x903fb2ff,0x880bae3b,
    0x20077ae2,0xdf0003ea,0x5403ea80,0x02e60bff,0x00ef5c51,0x803c88f2,
    0xd5000dd8,0xd71dc807,0x3c88f205,0x0007ff10,0x00000000,0xd8000000,
    0x7ffdc00f,0x003fb2ff,0x00000000,0x0007f500,0x0000bfa0,0x00000000,
    0x00000000,0x32e0a600,0x2e039500,0x32e03ced,0x65c39500,0x2e039500,
    0x7d403ced,0x7fffec03,0x2203fb2f,0x265403cc,0x99101ca8,0xb8fd0007,
    0xa8e5c02c,0x9910006f,0x1e644007,0x666665c0,0x6665c2cc,0x65c2cccc,
    0x42cccccc,0xcccccccc,0x80fec002,0x7ff443fc,0xfd80efff,0x7ec7f901,
    0xe887f901,0x00efffff,0xfff901be,0x407f65ff,0x3200fffa,0x02fb83ff,
    0x4001fff5,0x07fd44f9,0x0ff27f98,0x07ffd400,0x00fffa80,0x7fffffec,
    0x7fffec4f,0x7fec4fff,0x7c4fffff,0x5fffffff,0x03fb0fb0,0x19fd0ff2,
    0x3f61bf62,0x7ec7f901,0xfe87f901,0x40dfb10c,0x3fee02fb,0x03fb2fff,
    0xc80ff7f6,0x02fb86ff,0x4007fbfb,0x04fd80fd,0x00fec5fb,0x03fdfd80,
    0x807fbfb0,0x3fb001fd,0x0007f600,0x1f600bf6,0x1fe407f6,0x3fd10bf7,
    0x7f901fd8,0x3fc80fec,0x3fa217ee,0xe80bf101,0x3fb2ffff,0x0bf3df10,
    0x2e17efe4,0xf9ef882f,0x20bf1005,0x37d40ff9,0x220007fa,0x8805f9ef,
    0x6c05f9ef,0x03fb001f,0x20007f60,0x87e802fd,0x47f901fd,0x89f701fe,
    0x47f901fd,0x47f901fd,0x09f701fe,0xfb1007ec,0x207f65ff,0x201ff3fa,
    0x7dc6fafc,0x1ff3fa82,0x6405f700,0x3a0ff45f,0x3fa8001f,0x3fa801ff,
    0x0fec01ff,0xb001fd80,0x5fb0003f,0x03fff260,0x8ff203fb,0xb17e607f,
    0xd8ff203f,0x7c7f901f,0x9817e607,0x1ba8804f,0x23fb03fb,0xb3f902fd,
    0x6c17dc5f,0xd005fb1f,0x51ff880d,0x005fb0bf,0x0bf63fb0,0x0bf63fb0,
    0xfb001fd8,0x007f6003,0x7fc0bf60,0x01fd82ac,0x81be27f9,0x80fec6f8,
    0x407f63fc,0x40df13fc,0x03f406f8,0x7c41fd80,0x7e417ea6,0x0bee6f99,
    0x02fd4df1,0x3ee00fea,0x9f901fd5,0x2a6f8800,0xa9be205f,0x2b3f605f,
    0x7ec0aaaa,0x40aaaaac,0xaaaaacfd,0x260bf600,0x80fec04f,0x40bf33fc,
    0x80fec7f8,0x407f63fc,0x40bf33fc,0x17d407f8,0x2a0fec00,0x203fe24f,
    0x2e3fb1fc,0xf127d42f,0x007ec01f,0x304fcfe8,0x7d4001ff,0x5403fe24,
    0x403fe24f,0xfffffffd,0x7ffffec2,0x7ffec2ff,0x3602ffff,0x403fc82f,
    0x27f901fd,0x1be205f9,0x8ff203fb,0x27f901fd,0x1be205f9,0x36001be0,
    0x360fec1f,0xf51fc82f,0x3fb0beeb,0x9f302fd8,0x07ffd400,0x1101dfd0,
    0x17ec1fd8,0x17ec1fd8,0x9999afd8,0x4cd7ec09,0x57ec0999,0x20099999,
    0x04fc82fd,0x3fc80fec,0x2fcc0df1,0x1fe407f6,0x4ff203fb,0x17e606f8,
    0xb0007f20,0x543fc43f,0x3a1fc85f,0x3e22fb9f,0xf905fa87,0x03fe8003,
    0x6e77ff44,0x21fe20fe,0x87f885fa,0x03fb05fa,0x6c007f60,0x2fd8001f,
    0x3601ff98,0x7c5fb01f,0xd89f700f,0x6c5fb01f,0x7c5fb01f,0x009f700f,
    0xff800bf1,0x3ffffea0,0x7e40ffff,0x8bef3ea1,0xfffffffa,0x037c40ff,
    0x44017ec0,0x0cdfffeb,0x3fffffea,0x7fd40fff,0x0fffffff,0xfb001fd8,
    0x007f6003,0x7dc0bf60,0x17e41acf,0x0bf60ff8,0x0bf20ff4,0x05f907fc,
    0x02fd83fe,0x3f6003fd,0xd8df3000,0xfeeeeeef,0x3a0fe42f,0x3bf62fcf,
    0x2ffeeeee,0x6c0017dc,0x13ea002f,0xeeeeefd8,0x77ec2ffe,0x2ffeeeee,
    0xfb001fd8,0x007f6003,0xfa80bf60,0x1bea1fff,0x3ff31bee,0x6fa85fc8,
    0x37d46fb8,0x3fe637dc,0x5002fe41,0x7139d07f,0x03fc45fd,0x41fc8bf7,
    0xff12fffb,0x1fa2fdc0,0x0017ec00,0x1fe203f9,0x1fe25fb8,0x1fd85fb8,
    0x2003fb00,0xfd8001fd,0x40ca9802,0xfffccefd,0xecdffc81,0x9dfb00ef,
    0xfb03fff9,0x03fff99d,0xdfd9bff9,0x447e8001,0x44fffffe,0x1fe204fa,
    0x5fff03f9,0x7f8813ea,0x6c0013e6,0x81ba002f,0x9fe204fa,0x1fe204fa,
    0x3bbbbbf6,0x7777ec3e,0x77ec3eee,0x743eeeee,0x4eeeffee,0xffff9000,
    0x7ff5c01b,0x7fe400cf,0x3f200dff,0x2e00dfff,0x000cfffe,0xcb980a98,
    0x402fd81a,0x207f22fe,0x05fb2ffb,0x01532fe8,0x800bf600,0x00bf601a,
    0x00bf65fd,0xfffd85fd,0x7ec4ffff,0x44ffffff,0xfffffffd,0x7fffffc4,
    0x440005ff,0x80008000,0x00440008,0x00000040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03991000,
    0x403cb800,0x332202cb,0x2b857001,0x000fb620,0x5c000000,0x1dea80de,
    0x003bd500,0x00987b62,0xb816c499,0xdb00e2dd,0x00fb6007,0x64037ae0,
    0x7540b624,0xbd70001d,0x3e6176c1,0xbf90001f,0x3fbf6201,0x007fe603,
    0x03fd4ff3,0x2207f5bd,0x980cefed,0x0dc81efe,0x3006fdc0,0x3e6003ff,
    0xdff7001f,0x1ff303ff,0x37ee1fee,0xb00feefe,0xfd807fbf,0x3ee003fd,
    0x21ff300d,0x3fe607fb,0x06fdc001,0x37620ffa,0x01f54000,0x0175c772,
    0x3c801bb1,0x91f80f22,0xd9bff30b,0xebef88df,0x300fea0f,0x3762007d,
    0x01bb1000,0x67ffffcc,0x2d88f202,0x0776e288,0x02eb8ee4,0x00bae3b9,
    0x8f200fa6,0x6ec402d8,0x207d3000,0x000002fe,0x00000000,0x3efb6000,
    0x7f41fe82,0x97d47ee1,0x000006e8,0x6cc00000,0x0003fe9b,0x00000000,
    0x00000000,0xe8000000,0x03cc882f,0xccccccc8,0x6666642c,0x66642ccc,
    0x5c2ccccc,0x2ccccccc,0xf107b910,0x7dc5f90b,0x07f25f30,0x40026a60,
    0x988009a9,0xfc98009a,0x2aa6200f,0x2aa6200a,0x2aa6200a,0x09a9800a,
    0x009a9880,0x88013530,0x2200aaa9,0xfd80aaa9,0x00fffa82,0x7ffffffc,
    0x7ffffc5f,0x7ffc5fff,0x6c5fffff,0x4fffffff,0x40aaa988,0x07fcc4f9,
    0x267ee5f5,0x7ffd404f,0x3fea03ff,0x3f203fff,0xf503ffff,0x2e0bffff,
    0x84ffffff,0x4ffffffb,0xffffffb8,0xfffff504,0x7fffe407,0x3ffea03f,
    0xfff703ff,0xff709fff,0xfd89ffff,0x03fdfd82,0x6c00bf60,0x05fb002f,
    0xfb800fec,0x2a4fffff,0x207fea4f,0x0dd5fefe,0xea89efb8,0x89efb82f,
    0xefd82fea,0x5c3ffb9a,0x1fea9bef,0xfc99adb8,0x4cd6dc2f,0x56dc2ffc,
    0x5c2ffc99,0x2fea89ef,0xfb9aefd8,0x89efb83f,0xadb82fea,0x5c2ffc99,
    0x2ffc99ad,0x3df10bf6,0x17ec00bf,0xb002fd80,0x00fec05f,0xfc99adb8,
    0x3e29f52f,0x2597100f,0x3fe201fc,0x3e237c40,0x2637c40f,0x10ff886f,
    0x04fb81df,0x5c013ee0,0x49f7004f,0x37c40ff8,0x3fe21be6,0xf103fe20,
    0x027dc00d,0x07f64fb8,0x003fe7f5,0xfd8017ec,0x405fb002,0x5c0001fd,
    0x3ea9f54f,0x013e6004,0x83fa09f5,0x41fd04fa,0x25fb02fc,0x07f883fb,
    0x4c017e60,0x4bf3005f,0x41fd04fa,0x45fb02fc,0x01fd04fa,0x4c017e60,
    0xfb07f65f,0x6c00bf63,0x05fb002f,0xfd80bf60,0xafcc0001,0x01df34fa,
    0xf7003ba0,0xfd99999b,0x6666fdc3,0x3fa1fecc,0x3f67f700,0x2a01fd01,
    0x505fcccb,0x20bf9997,0x25fcccba,0xcccccdfb,0x403fa1fe,0x337ee3fb,
    0x01fecccc,0x0bf99975,0x97f332ea,0xa9be21fc,0x05fb005f,0x6c00bf60,
    0x2b3f602f,0x7500aaaa,0x3eabf999,0x7007bf64,0x3206ea5f,0xffffffff,
    0x3ffff21f,0x3e1fffff,0x7f53ea07,0xfa83fb00,0x45feeeff,0xfeeefffa,
    0x777ffd45,0x3fff25fe,0x21ffffff,0xc93ea07f,0xffffffff,0x77ffd41f,
    0x7fd45fee,0x325feeef,0xf893ea1f,0x02fd800f,0x36005fb0,0x3fff602f,
    0x7d42ffff,0x55feeeff,0x02ffd89f,0xfffd1bf3,0x2003fb87,0x3fa003fb,
    0x3f65f700,0x7c43fd01,0xf12fc42f,0x225f885f,0x72fc42ff,0x07f4007f,
    0x0fee2fb8,0x442ff880,0x10bfe25f,0xfb0654bf,0xd802fd83,0x05fb002f,
    0xfd80bf60,0x2099999a,0xafc42ff8,0x0ffb84fa,0xb1fb8fe8,0x2006fa8f,
    0x3f6006fa,0x3f23fd02,0x7d47f883,0x3ea5f884,0x3ea5f884,0x3ea5f884,
    0x40bf6006,0x01bea1fe,0x5f884fa8,0x17e213ea,0x5fa87f88,0xb002fd80,
    0x0bf6005f,0xfa801fd8,0x9f55f884,0x5f70bf60,0x221fb9b6,0xff1002ff,
    0x03be6005,0x07fccbf5,0x8bf513f2,0x17ea5fe9,0x2fd4bfd3,0xff897fa6,
    0x81df3002,0x17fc45fa,0x74c5fa80,0xd317ea5f,0xfa86dcbf,0xffffffff,
    0x8017ec00,0x5fb002fd,0x5400fec0,0xaaff4c5f,0x445f904f,0x0fb9f65f,
    0x5d67ffd4,0xcfffa84c,0xffd84cba,0x641ffdbc,0x0efdbcff,0x7ede7fc4,
    0x33fe25fe,0x225fefdb,0xfefdbcff,0x567ffd45,0xcffd84cb,0xfa81ffdb,
    0x44cbacff,0xefdbcff8,0x2f3fe25f,0xff15fefd,0x3bbbbf6b,0x6c02ffee,
    0x05fb002f,0xfd80bf60,0xbcff8801,0x9f55fefd,0xb1bf6f2a,0x7d67dc1f,
    0xffffb305,0x3ff6609f,0xfd704fff,0x3ee01bff,0xd500cfff,0x517e7fff,
    0x17e7fffd,0x3e7fffd5,0xffffd985,0xfffd704f,0x7fecc01b,0xfea84fff,
    0xea8bf3ff,0x74bf3fff,0x2e07f8bf,0x017ec05f,0xfb002fd8,0x800fec05,
    0xbf3fffea,0x7ffdd3ea,0x320fea0c,0x98800eff,0x00262000,0x01100044,
    0x11000440,0x40004400,0x01100098,0x10013100,0x40044001,0x7c409f50,
    0xeffeee87,0x7f7744ee,0x7744eeef,0x44eeeffe,0xeeeeeefd,0x88001103,
    0x00020000,0x00000000,0x00000000,0x00000000,0x00000000,0x2fd80000,
    0x3fe17f40,0x45ffffff,0xffffffff,0x7fffffc5,0x7ffec5ff,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06aea000,0x7007db00,0x0001c5bb,
    0xa884e880,0x2609999a,0x41301300,0xaa8801a9,0x009d1188,0x016c4990,
    0x9d70deb8,0x224c8015,0x03bd502d,0x5103ed80,0x77f6d400,0x640bbfa4,
    0x40ff660d,0x0ff660dc,0x3fa206e4,0xfb003fff,0x6fdc07fb,0x200feefe,
    0x7c4002fd,0x3ffff625,0x0bf35fff,0x9cf98bf3,0xf505fffe,0x26bfffff,
    0x7fcc005f,0xf700ff70,0x7fffdc1b,0x2e1ff302,0x07fe607f,0x41fefec0,
    0xffb805ff,0x3eaa5ece,0x3ee3fa87,0x23fa83ff,0xfa83fffb,0xfa9cfd83,
    0xb8ee401f,0x6dc5102e,0x1bfe201d,0x7e4bf100,0x237ff50c,0x45f985f9,
    0xeaaefef9,0x4e7fdc4f,0x0bf35fc9,0x16c47900,0xc880fa60,0x447902ff,
    0x06ec402d,0x175c7720,0xff1017fe,0x22fdcc03,0x7cd4c6e8,0x2a637443,
    0x837443f9,0x001fe47f,0xfb000000,0x15f88005,0x4c5f90df,0x4c5f985f,
    0x87fc45ff,0xafc40ff8,0x000005f9,0x0df50000,0x00000000,0xfa801530,
    0x077f5c05,0x0fe603f9,0x0fe603f9,0x91fe03f9,0x3531005f,0x13531001,
    0xaa980000,0x70bf35fa,0x4c2fcc7f,0xd837cc5f,0xf10bf71f,0x1a997e6b,
    0x204c0260,0x7c013009,0x1353101f,0x409804c0,0x00013009,0x3f2007f7,
    0x7cc09f32,0xf9813e63,0xfe813e63,0xc801ff32,0x203fffff,0x83fffffc,
    0x20099998,0x5ffffffa,0x2fd81ff1,0x17e617e6,0x4bf20bf3,0x35f883fc,
    0xbfffd3bf,0xdf10bf30,0x37c42fcc,0xff903fd0,0xbf307fff,0x2fccdf10,
    0x03f737c4,0x6ec03fb8,0x980dd0ff,0xf301ba3f,0x3ea03747,0x6c01ffbf,
    0x3ffb9aef,0xfb9aefd8,0x7fffec3f,0x339ff704,0x4efe4bf9,0x2fcc6fc9,
    0x17e62fcc,0x81fd97e4,0xdfdf35f8,0xf989fd55,0x3e66f885,0xf106f885,
    0x735dfb0d,0x85f987ff,0x217e66f8,0x207f26f8,0xccefdccc,0x433321cc,
    0x964401fc,0x964401fc,0xffe801fc,0x437cc00d,0x1be60ff8,0xaa983fe2,
    0x0ff884fc,0xfffb2fc4,0x5f981bff,0x2fcc5f98,0x03f91fd8,0x17fe6bf1,
    0x2fcc1ff1,0x0bf337c4,0x7ee4cdf1,0x4437cc3f,0x217e60ff,0x217e66f8,
    0x107f26f8,0xffffffff,0x27cc07ff,0x0013e600,0xff9009f3,0x320e549f,
    0x645fb02f,0x205fb02f,0x83fb84fa,0x267f35f8,0x70df3009,0xf05f98bf,
    0x7ec1fe4f,0x3f60df35,0x3e217e61,0x3e217e66,0x202fbee6,0x45fb02fc,
    0x26f885f9,0x26f885f9,0x1fdc01fc,0x0003ba00,0xee8001dd,0x7cefe400,
    0xfe85f92f,0x7f47f700,0x2a07f700,0x882fc84f,0x001bf75f,0x7fd41ff3,
    0x3222fcc6,0xf91be64f,0x6417e6bf,0x2217e62f,0x2217e66f,0xe80bea6f,
    0x4c7f700f,0x266f885f,0x326f885f,0x01fdc02f,0x0aa65f70,0x0b2a5f70,
    0x0aa65f70,0x4ffd4ff1,0x503fc1fd,0xf503fc9f,0x3613ea09,0xf15f881f,
    0x19ddffff,0x7ee7ffcc,0x3fe64fec,0xe86ffcbd,0x5fbfecef,0x8bf20bf3,
    0x26f885f9,0x26f885f9,0x81fe02fa,0x217e64fa,0x217e66f8,0x00bf26f8,
    0x3e6007f7,0x201fff15,0x9fdf95f9,0x7fc57e60,0xf717e60f,0x01fd0fff,
    0x00fe8bee,0x13ea05f7,0x97e20bf2,0xffeeeefd,0xffddf30f,0x7cc3fea7,
    0x103effff,0xbf15dffb,0x0fec17e6,0x4df10bf3,0x26f885f9,0x03fa01c9,
    0x0bf317dc,0x42fccdf1,0x00bf66f8,0x3fa007f7,0x201fbdb0,0x1ba110fe,
    0xfded87f4,0x3f617e60,0xd02fd84f,0xe817ec3f,0x909f501f,0x2ebfb09f,
    0x34fd883f,0xf30402bf,0x4410002b,0x3e0bf35f,0x7d437c47,0x3ea1be26,
    0x817ec006,0x21be21fe,0x21be26fa,0x00bf66fa,0x5f7007f7,0x203f27ea,
    0x84f982fb,0xf93f52fb,0x2e0ffc41,0x0ef984ff,0x3be62fd4,0xf502fd40,
    0x641df309,0x203fd5ff,0x00bf34fb,0x40002fcc,0x90bf35f8,0x4c1fd09f,
    0x307f46ff,0x00ed4dff,0x5fa81df3,0x3fe60fe8,0xff307f46,0x2e01fecd,
    0xf2fc403f,0xf889fd9f,0xf885fb85,0x13fb3fe5,0xfff99ff7,0x9ffb07ff,
    0xfb03ffb7,0x03ffb79f,0xffe827d4,0xfb5fafec,0x31ff981b,0x2fcc00bf,
    0x9afc4000,0x6fdbbdff,0xbf99ff70,0xccffb8df,0x1bfe6fdf,0xfb79ffb0,
    0x99ff703f,0xffb8dfbf,0x366fdfcc,0x01fdc03f,0xfeed83f6,0x903f60ef,
    0x0fd855df,0x03bffbb6,0x519fffd5,0xffd703ff,0x7f5c01bf,0xccc80dff,
    0x224ccefd,0x2bf2effd,0xffeffff9,0x8017e62f,0x880005f9,0xfffd715f,
    0x7f5c407d,0xeb88dd3f,0x7ecdd3ff,0xfffeb804,0xffd7100d,0xfd711ba7,
    0x3fd9ba7f,0xf501fdc0,0xf507e407,0x1ffffd07,0x0fc80fea,0x08800040,
    0x3e004400,0x7fffffff,0x99950010,0x00791059,0x40001e44,0x000103c8,
    0x18018003,0x20004400,0x2e00c001,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x983b8000,
    0x65c26201,0x543ccccc,0x36e001de,0xddb803ce,0x3b7220e2,0x3ae000bd,
    0x400a980d,0x36e203ed,0x2200cdee,0x102deecb,0xc859dd97,0xcb83eeee,
    0x2e039500,0xa8802cec,0x49901ccb,0x6665c2d8,0x3100cccc,0x025c0355,
    0x7c4002a6,0xf901ff83,0x3fffff67,0x01ff986f,0x7fffff44,0xfdbf700e,
    0x7fd41fdd,0x801fffef,0xff880dfb,0x0ff7f606,0x3fbfffea,0xffff501f,
    0xff983fff,0x320fffff,0xfd84feee,0xd887f901,0x204ffeff,0x82fffffc,
    0x8ff70ff9,0xfffffffd,0xfffffc80,0x2206f884,0x2aa206ff,0x04fc80fc,
    0x37c401ff,0x3a00dd88,0x0dfb10cf,0x41ddb8a2,0x02fe42ff,0xffa80fa6,
    0x3ae3b907,0x302ffe22,0x417ff701,0x2ffea1b8,0x7d402e60,0xf901fd84,
    0x3a24fd87,0x1aefd83f,0x0b623c80,0x3fa001fb,0x883ca9be,0x1ffea06f,
    0x17ffffe4,0x2fcc3fc4,0x8001be20,0x1fe885fb,0x217e6000,0xb00007f8,
    0x7d40005f,0x07fe2005,0x40017f40,0x01fd84fa,0x437cc7f9,0x02fdc6f8,
    0x00fd8000,0x99806fb8,0x09999ef9,0x37f60bf6,0xd82fffaa,0x2017e42f,
    0x4ccc46f8,0x203fd009,0x510984fb,0xf50df105,0x1333310b,0x4ccc4000,
    0x005fb809,0x7d4013f2,0x09f50006,0x8ff203fb,0x1ff882fc,0x988003fa,
    0x1fb00999,0x9803fd00,0xffffffff,0x25fa806f,0xfa87fafb,0x7c403fc5,
    0x27fffec6,0x17e607f8,0xffff59f3,0xd30dfd89,0xffffb05f,0x7fec0009,
    0x3ff984ff,0x2001fd00,0xf50003fc,0x3203fb09,0xf503f63f,0x013e65ff,
    0x09ffffb0,0x1fe003f6,0x3beeaa20,0xd802aaaa,0x0fe57a1f,0x04fa87fc,
    0x554c6f88,0x06f884fc,0xfdf31be2,0x443fd73b,0x02ffdffd,0x009f9553,
    0x27e554c0,0x402effb8,0x4cccc47f,0x20003fb0,0x01fd84fa,0x323f47f9,
    0x9f73fcff,0x205dffd9,0xb04fcaa9,0x8839dddf,0x37c4006f,0xf30fe800,
    0x3f20fee7,0xf1003fb3,0x4c27d40d,0x31fe205f,0x83fa89ff,0x5004fffe,
    0x2a00009f,0x3ffaa04f,0x646f983f,0x3fd2ffff,0x213ea000,0x47f901fd,
    0x51bfd17f,0x37ffee9f,0x5403ffdc,0xffdd904f,0x007f89ff,0xe80037c4,
    0x27d43ee7,0x037c77c4,0x3ea06f88,0x2205f984,0x4437cc6f,0x2f7fa25f,
    0x7d400eff,0x20065404,0xfd9804fa,0x31be20ef,0x3fa5fb55,0x09f50001,
    0x8ff203fb,0x2a3ffaff,0xf309f94f,0x027d401f,0x363ffa88,0x1be2001f,
    0x21fb0310,0x6c0fee5e,0xf1003fdf,0x4427d40d,0x317e606f,0x7cdf10bf,
    0x017f622f,0x7fcc09f5,0x0027d406,0x07f8bfd1,0x017ecbf2,0xfd84fa80,
    0x7f47f901,0xb9fdc1ff,0x405fb03f,0x7e4004fa,0x0207bea5,0xfe881be2,
    0x1fcd7dc4,0x3fea03fb,0x0df3000f,0x0ff827d4,0x5f989f70,0x09f56f88,
    0x7d401ff1,0x03ffe204,0x44004fa8,0x407fa0ff,0x009f92fc,0x3f613ea0,
    0x7ec5fb01,0xf52fc80d,0xa80ff209,0x37cc004f,0x3b33bff2,0x2a06f884,
    0x67fcc7ff,0xf80df50f,0x17ee004f,0x5fb04fa8,0xbf307fa0,0x0ff2df10,
    0x9f500ff4,0x200ffb80,0xff8004fa,0x7e417ee0,0x0001ff32,0x05f909f5,
    0x04fb83fe,0xd837ccff,0x013ea01f,0xfd309f50,0xff105dff,0x5c27f440,
    0x1ffdbeff,0x1407fe20,0xfa80ffa2,0xc83ff304,0x885f985f,0xf30df76f,
    0x404fa80f,0x27d407f9,0xf0df7004,0x6c5f909f,0x500880ef,0x70df509f,
    0xc83ff0df,0x260ff44f,0x027d406f,0x2a03ff10,0x01ff804f,0xffff7004,
    0x05fc801b,0x1bff77be,0x7e409f50,0x80efecdf,0x16f885f9,0xff979dfd,
    0x404fa807,0x27d403fd,0x76666f6c,0xfff981ff,0x222ffccd,0xfedceffe,
    0x3609f500,0x1fffccef,0xfebcffa8,0x567fd40d,0x7d401ffc,0xfb999b04,
    0x00fe407f,0x2666ffdc,0x4013f700,0x401df930,0x904ffffc,0x999dfb99,
    0x19fffd70,0x3e217e60,0x3ffff226,0xfb99902e,0x3fa2999d,0xfb99904f,
    0x3ff2999d,0x200cffff,0xcffffec8,0xdfffec80,0x3f73320c,0x7fe44cce,
    0x3a600dff,0x3a604eff,0x9900dfff,0x4999dfb9,0x01dfffff,0xff7003f4,
    0x2f400dff,0x077ffd40,0x7fc00880,0x07ffffff,0x42fcc004,0x003106f8,
    0xffffffff,0xf807362f,0x7fffffff,0x88000cc4,0xf8020009,0x7fffffff,
    0x01000110,0xfff80180,0x4c7fffff,0x006a0009,0x2a000620,0x02bc9801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9ddd9500,0xcedb8803,0x2200bb02,
    0xedb8004e,0xcccc983d,0x100000ab,0x33220079,0x50079300,0xc8999999,
    0xcccccccc,0x7999972c,0xcedb9805,0x79999901,0xa8039701,0x676e441c,
    0xcccccb81,0x333322cc,0x7912cccc,0x32019910,0x0fb612a2,0x7fffddfb,
    0x3b3bfe60,0x803fc0df,0x3a2005f9,0x20efeeff,0xfffffffb,0xd500fb82,
    0xd8017e63,0x005fb04f,0x8fffffff,0xaaaaaaaf,0xffffb4ca,0xff703dff,
    0xf887ffff,0x43ffffff,0x0ff404fc,0x7ffddff5,0xffffffd8,0x3ffffe4f,
    0x0bf35fff,0x8fe207fb,0x4c3fe87c,0x303fee20,0x46fa81df,0x0bf3007f,
    0x0ea27e40,0x7fdcc9f7,0x7c42fdc2,0x555df31f,0x207fc403,0xdfa805fa,
    0x1ac9e02f,0x311fda54,0x6f445ff9,0xf883fea1,0x987fee66,0x89be607f,
    0x87fa21ff,0x7ec001fd,0x7e45f982,0x6d8be605,0xff003fd8,0x3ea06e83,
    0x7cc01fe3,0x003fe005,0x1bea13ee,0x3bbff7f6,0x3fffe62f,0xbf703fff,
    0xed801fe8,0xcc9e02fb,0x0fed2a5f,0x6c0237d4,0x361be22f,0xb80ff44f,
    0x2a0ff23f,0x0007f65f,0x4bf305fb,0x0fd406fa,0x005fb0dd,0x33fa83fa,
    0xf9fa7ffd,0x3e613307,0x3e205515,0x209f7006,0x77fc42fd,0x77cc6ffd,
    0x03ffb999,0x013ee3fd,0x80bef3e6,0x2954e887,0x05fd01fd,0x37c47f90,
    0x13f227dc,0x03fb07f4,0x001fd9fe,0xafcc17ec,0xfff00ef8,0xffffffff,
    0x2600bf61,0x7c47dc5f,0x23f72abf,0x30dfd87f,0x9ffff5bf,0xf7006f88,
    0xf713ee09,0xf30ffc4b,0x501ff30b,0x001ff1df,0x405f71f9,0x6d2ad707,
    0x007f701f,0x437c45fb,0x43fcc3fd,0x80fec6f8,0x003fb0fe,0xdf982fd8,
    0x2aa01fe8,0xadfbaafd,0x5101530a,0x7d81bf95,0x25f305f7,0x262fe47f,
    0xfea9dfef,0x333df531,0xadfca813,0x3f62fd42,0xbf317ec1,0x7ec07f60,
    0x2bf002fe,0x3c2aacfb,0x3f6955d8,0x880bf501,0x27fe20ff,0xfd06fc99,
    0x7e43fb83,0x3f63fd04,0x00aaaaac,0xbbf305fb,0x89f2005f,0x7fd4003f,
    0xcb740cff,0xff3f880f,0x7fcc2fe4,0xfff9fd44,0x7c5fffff,0x260fffff,
    0x2e07f46f,0x7417e63f,0x0bff102f,0x7fdcbea0,0xfd33c6ff,0x0fed2a3d,
    0x7ec06f98,0x7ffffc43,0x89f900cf,0x67fc40fe,0xb0ffeb99,0x5fffffff,
    0x3e60bf60,0x9b6006ff,0x220202f9,0x21ffca99,0xf303f56d,0x82fe5fe5,
    0x55f886f9,0x35555df7,0x419cfb98,0x217f45fa,0x217e62fc,0x2aa20ff8,
    0x02aacfea,0x99bfb9fa,0xa81d33c0,0x3ea03fb4,0x2217f205,0x01ffcaff,
    0x06f89be6,0xdbffffd3,0x4ccd7ecf,0x05fb0099,0x009fbbf3,0x881fa97a,
    0x5fb805fe,0x44efc5f2,0x33fe3f51,0x217e605f,0x01be26f8,0x4fb827dc,
    0x1ff127e4,0x3f622fcc,0x7ffffc45,0x9f305fff,0x4cf017dc,0x03fb4a86,
    0x37e413ee,0x3fe26f88,0x7dc7fa00,0xf84d4c03,0xb0007f66,0xd1bf305f,
    0x3f32a05f,0x2cdfdcce,0x2003ffee,0x7e4bee7f,0x3e1f94ff,0x3e606fbf,
    0x3e26f885,0x209f7006,0x77fcc2fd,0x77cc5fec,0x00effecc,0x7e4017ec,
    0x202feeee,0x3fb4a807,0x3f20bf60,0xc8df100e,0x6cff204f,0x2fcc000f,
    0xfd8003fb,0xff35f982,0xddfdd503,0x4c7ddffd,0x6f8806ff,0x2226a2fc,
    0x2fe5fe4f,0x6f885f98,0x7dc01be2,0x640ff984,0x2fffffef,0x3bffffe6,
    0x805fb003,0xfeeeeff8,0x40eb9e02,0xf503fb4a,0x00efc81f,0x1ff11be2,
    0x1be3be60,0xfd83fa00,0x417ec001,0x03bea5f9,0x40f91fc4,0x3fd800b9,
    0x7f4427dc,0x85fd9fe0,0x26f885f9,0x9f7006f8,0x7d43ffa8,0x1ff31315,
    0x20027be6,0xfffffff8,0x5c3fb85f,0x0fb9e02f,0x5c1fda54,0x02fe42ff,
    0x27e437c4,0x007f9fd0,0x3f61ff4c,0x417ec001,0x82fe45f9,0x801b62f9,
    0xffccccc8,0x957bf905,0x227f85fd,0x42fcc4fe,0x9ff996f8,0x5c199999,
    0x3fffeeef,0x3f900fc8,0x550017e6,0x05559fd5,0xcdfb81fd,0x2a01e0cc,
    0xffdddfb4,0xeeffa85f,0xf11eeeee,0x201ff10d,0x3600fffc,0xd83fffee,
    0x3eeeeeef,0x3bbffbba,0xfd0bf34e,0x3743f509,0xfffff100,0xffda805b,
    0x447f80df,0x217e64ff,0xfffff6f8,0x5c3fffff,0x00beefff,0x2fcc1002,
    0x405fb000,0xfffb85f9,0x3fffe0ff,0xb4ffffff,0x017ddfff,0xfffffff5,
    0x41be25ff,0xdff303fd,0x0bdeff80,0xffffffb0,0x7ffffc9f,0x0bf35fff,
    0x0fb85ff1,0x2660017e,0xf8010000,0xf33ff987,0x000df10b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000b26,0x0199105d,0xcc880f2a,0x33332203,0xccca81bc,
    0x70cccccc,0x51cb8059,0x4c72a099,0x7065401c,0x43991079,0x239500cb,
    0xccccccca,0x333320cc,0x12cccccc,0x03799999,0x99999995,0x02cc9805,
    0x00060440,0x01300654,0x13ea0026,0x06ffea80,0x3fe213f2,0x03ffea01,
    0x7fffffcc,0x7fffe46f,0xf51fffff,0xc9fe601f,0x52fb83ff,0x6c7d807f,
    0x1ffdc0ff,0x4bf203fb,0xfffffffd,0x3fffe1ff,0x34ffffff,0xbfffffff,
    0xffffffd8,0x3ffe204f,0x43ba2003,0xfc8004fa,0xf10bf301,0x477fff2d,
    0xfe8804fa,0x3e206fdf,0x2027e41f,0xf303fdfd,0x127f4c4b,0xf9333333,
    0xfb04fd8d,0x5c37fe45,0xd807f52f,0x3a17ff47,0x407f63fe,0x333312fc,
    0x401ff333,0x4bf302fd,0x3f65feb8,0xfdfc8002,0x47ff3003,0x2000dfd8,
    0x0bf301fc,0x37332df1,0x1009f56f,0x80df31bf,0x03be66fa,0x05f9ef88,
    0x0bf50bf3,0xf983ff10,0x3237d40f,0x97dc2fdf,0x23f404f9,0x33e65ede,
    0x6407f63f,0x04fa802f,0x5f9817ec,0x5fb0ff98,0xfbdf9800,0x02ffa803,
    0x32001df9,0x10bf301f,0x2a3fa0df,0x7cc1004f,0xfd3fd806,0xff3fa805,
    0xf30bf301,0x207fb00b,0x20ff45fc,0x7dc6fafc,0x6e809f32,0xfc87e6fc,
    0x407f64f9,0x0fe802fc,0xf9817ec0,0x3f65fd05,0x5c7f4002,0x077e403f,
    0x2a07fee0,0xaacfdaaa,0xf10bf31a,0xaa7e54cd,0x6f98004f,0x5fcff880,
    0x5fb1fd80,0x7f90bf30,0x2206fa80,0x90bf51ff,0x7dc5fb3f,0x07549f12,
    0x3f9df8df,0x7ec9f19f,0xa805f901,0x02fd804f,0x47fa0bf3,0x3f2002fd,
    0x36207f72,0xff3000df,0xfffffe87,0xbf33ffff,0x7fe4df10,0x0009f53f,
    0x3ee00df3,0x37c400ff,0x5df30bf5,0x8807fb75,0xafdc01ff,0x99fc80fe,
    0x7c4bee6f,0x45f8bf65,0x13f5dd5f,0x555fec9f,0x402fdaaa,0x2fd800fe,
    0xff50bf30,0x2666ff61,0x2e5f9819,0x04fe883f,0x2a4fe880,0xaacfdaaa,
    0xf10bf31a,0x5feccc4d,0xf98004fa,0x09ff1006,0x7fc49f50,0x7ffffcc0,
    0x1fec02ef,0x04fcfe80,0x5c7f63f9,0x7fc57e2f,0x74f897e5,0xd97e2ddf,
    0xffffffff,0x013ea02f,0x5f9817ec,0xfd8ffae6,0x41ffffff,0x40fee0fe,
    0x4c000efd,0x07f202ff,0x37c42fcc,0x04facfc8,0x9006f980,0xfd803fff,
    0x3e617ec1,0x4ffba99e,0x5400df50,0x3f900fff,0xf17dd7ea,0x223f7ead,
    0x7c53e24f,0x7ecbf13f,0xfd99999a,0x4007fa02,0xfff302fd,0xfd87ffff,
    0x20aaaaac,0x01fdc3fb,0x2e003ff7,0x0fe401ff,0x6fa86f88,0x53ffb799,
    0xdf30009f,0xdf7ff300,0x7d43fc40,0x7c42fcc5,0x00ffc40f,0xfc80ffa0,
    0x8bee7fa1,0x17f5db6e,0xfb27c49f,0x03fb2fc1,0x2fd40bf2,0x2605fb00,
    0x80acdeff,0x2fc402fd,0x3ea01fdc,0x077e402f,0xfd00fe40,0xffb7fcc1,
    0x09f51dff,0xd00df300,0x540ffa5f,0xffffffff,0x6c17e60f,0x001fec2f,
    0x3f9017ec,0xd17de7d4,0x23be7f1f,0x0893e63f,0x203fb37c,0x03fd02fc,
    0xf9817ec0,0x805fb005,0xfffffffb,0x3a607fff,0x05fd884f,0xfb8032a0,
    0x06fdfccf,0x98004fa8,0x337dc06f,0xddfb01ff,0x45ffdddd,0x1ff885f9,
    0x6c001bea,0xd07f202f,0x57ec5f9f,0x45f5f90f,0xb37c04f9,0x20bf203f,
    0x7ec005fa,0x200bf302,0x775402fd,0xeefeeeee,0x32ff4406,0x000009fd,
    0x3a7ffd71,0x004fa806,0x3e206f98,0x222fe41f,0x997ee07f,0x137e445f,
    0x360003ff,0x707f202f,0x6fe45fff,0xa8bf7ea6,0xfb3fc03f,0x3a0bf203,
    0x17ec001f,0xfb005f98,0x1fdc0005,0x2e897600,0xccccc980,0x0300cccc,
    0x3bbfea00,0x77746eee,0x20eeeffe,0x2ff884fd,0x7f8813ea,0x3fb33be6,
    0x3bff20ff,0x01eeeeee,0x1fc80bf6,0x3f22fff8,0x50fffc3f,0x367f807f,
    0xa85f901f,0x2fd8006f,0x3600bf30,0x3ee0002f,0x20000003,0xfffffffb,
    0x400000ff,0xfffffffa,0x7fffffc7,0x1ff71fff,0x7ec3fee0,0xf997f402,
    0xd83eefff,0xffffffff,0x80bf602f,0x2ffb81fc,0xff907fee,0x3a01fd43,
    0x7e407f67,0x40017f42,0x0bf302fd,0x8000bf60,0x000003fb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5510aa98,0x2aaa6201,0x004d4c00,0x440d54c4,
    0x3101aaa9,0x44310135,0x510980aa,0x26666605,0x02620999,0x009884c4,
    0x260000c4,0x84c26201,0x3200a61a,0x032a002f,0x3039d950,0x54039ddb,
    0x33062140,0x4fd98000,0xfafffff8,0x7fdc0eff,0xfa84ffff,0x3203ffff,
    0x2e4fffff,0xc87fffff,0x6c3fffff,0x47ffff57,0xffffacf9,0x7fffffc4,
    0x03fee4ff,0x0bee3ff1,0xec881fb0,0x03ff03df,0x7e5fcff2,0x00fff9cf,
    0x6400bff1,0x3bbee01f,0x6e6e42ff,0x25f980ff,0x443be4fa,0xbffb306f,
    0x27ffec43,0x7ffdcd6c,0x56dc4fa9,0x2e2ffc99,0x2fea89ef,0xca9befe8,
    0x5333df73,0xb9aefd87,0x3f3f63ff,0xf30ffc9c,0x3fd73bfd,0x7dd55554,
    0x3a2fec2f,0xd00fea3f,0xa9adf98f,0xf04fc85e,0x3a7f7e1f,0x202fbbee,
    0x3f2002fd,0x7ccbf101,0x7417dc06,0x541df11f,0x3a0fee4f,0xf10ffedf,
    0xfb009f79,0xfb803f47,0xf881ff14,0x36037dc6,0x437cc01f,0x5ffb0ff8,
    0x9ff32fd8,0x7e403fa8,0xf72fe884,0x0a64f88b,0x755f44df,0x7f889d3d,
    0x4ffe5fa8,0x009f16fc,0x501fc800,0x440fe85f,0x7dc3fdca,0x3f207f63,
    0xe8103fa2,0x027d422f,0x01f90fe4,0x13eabf30,0x03fd07f4,0x7e404fc8,
    0x3f65fb02,0xdf33fc83,0x7dc0bf10,0x3e7fe605,0x3f65f80e,0xbb5cbf12,
    0x40f99f9d,0xf17ec2fd,0x4f897e4d,0x0fe40000,0x07ec3fb8,0x47fb9bf9,
    0x813ea6f8,0x80bf30fe,0x04fa81fe,0x99bfd975,0x997503fd,0x337eebf9,
    0x21fecccc,0xfff8807f,0x700fe81c,0x2007f67f,0x06f885f9,0xfb801ff3,
    0x7cdd01ff,0xa649f35f,0x85f0fadb,0xf1fe25fa,0x4f88fe4d,0x3ffffffe,
    0x3ffe5fff,0x5fffffff,0x137c4bf5,0xf11fd4bf,0x4417e61d,0xc813ea6f,
    0xb09f505f,0xdddfddff,0x7ffd41dd,0xff95feee,0x3fffffff,0x64401be2,
    0x1fe2efff,0x03fb4fa8,0xdf10bf30,0x1003fd10,0xabec0bff,0x22fa8fdf,
    0x747dd74d,0x9f50ff82,0x447f26f8,0x3bbbba4f,0x3a4eeeee,0xeeeffeee,
    0x3af7fa4e,0x7dd77c2f,0xf927d43f,0x3a23fb05,0x05fd880f,0x1bf513ea,
    0xff8807f2,0x3fbafc42,0x000ff100,0x3fa5ffb5,0x3f65f700,0x885f9801,
    0x003fd86f,0x3205fffb,0xbafaed8f,0x4e5d6e1f,0xfc80f88f,0x26f81fd3,
    0x009f11fc,0x201fc800,0xa82effd8,0xd83f9dfe,0xfb83fa1f,0x3e60bf23,
    0xffddd03f,0xfc87f2bd,0x2213ea03,0x400df55f,0xf70001ff,0x7f40bf69,
    0xf3003fb1,0xfb8df10b,0xf1bf7005,0x7f5f703f,0xf883f37e,0x0b97b4b9,
    0x217e3be6,0x7c47f26f,0x32000404,0x0000001f,0x49f337c4,0x2617e26e,
    0x25eeefff,0x76ffffff,0x817fe25f,0xaff4c5fa,0xf7002ff8,0xfb80103d,
    0xfa81df34,0x26007f65,0x266f885f,0xff9800ef,0xfa81df50,0x0fbf91fd,
    0x3f6217f7,0x0bf3fa00,0xf11fc9be,0x001ff409,0x332603f9,0x930ccccc,
    0x01999999,0x08810303,0xffffff98,0x2fbe6006,0x4bbefdde,0x3f6f3fe2,
    0x3ffea5fe,0xfe84cbac,0xbd4eccef,0x43ffb979,0xffdbcffd,0x26007f61,
    0xf16f885f,0x999999bf,0x3f617fc4,0xf337fcc5,0x3ffa60df,0x7fdc00df,
    0x8fe4df07,0xbff104f8,0xb80fe400,0x0fffffff,0xfffffff7,0x00000001,
    0x5ffc8000,0xa8bfffb1,0x8bf3fffe,0x4fffffd9,0x5dfffd70,0x37fffffa,
    0xdfffeb81,0x4c00fec0,0xf16f885f,0xffffffff,0x7fc427f4,0x3fe1ffc3,
    0x1000c405,0xc9be09ff,0x5c09f11f,0x02a6000d,0x00000000,0x00000000,
    0x2200c404,0x004c4000,0x00ccc030,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x500ea800,
    0x00002a03,0x17700197,0x7fffffe4,0xffff76ff,0x881fffff,0x23dd002a,
    0x223c84ec,0x3333102d,0x1bd70013,0x775405d4,0x2222fb81,0x00000888,
    0x00000000,0x00000000,0x83d40000,0x2fdc1ff8,0x980fbfae,0x7fd405ff,
    0x377776e5,0xbbb56fdd,0x41bbbbbb,0x6c1efff9,0x27e47fe5,0x3fdc3fe6,
    0x1fffffc8,0xf506fdc0,0x07fe60df,0x7fffc1fb,0xfffff4ff,0x9fffffff,
    0x00000000,0x00000000,0x4cf60000,0x7fd45d17,0x7ec1df71,0xdb03fecd,
    0x7fcc05f7,0x001be007,0x1ffbbfe8,0xc8ffcbf1,0x3223c84f,0x33333102,
    0x64275401,0x3b6207ff,0xdddd1ba0,0x333327dd,0xcccccccc,0x00000002,
    0x00000000,0xdf700000,0xa85df7d7,0x2a0efcff,0x7d43f43f,0x7fc80dd1,
    0x4001be00,0x37fe65f8,0x5c3fa2ff,0x0000003f,0x04ff9800,0x00001a80,
    0x00000000,0x00000000,0x5c000000,0x3ea02eff,0x20fdc0ef,0xf32f41fc,
    0x0037d409,0x3fffeedf,0x710fffff,0x43ffe983,0x007f70fe,0x40000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x2017fffb,0x7dc1fffb,
    0x3f707f42,0xfe880fd8,0xcca82002,0x0ccccccc,0x88aa0100,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4f567ec0,0x577dc3fe,
    0x23be61ff,0x17e25fb8,0xffe997e2,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x546e0000,0x0efb86e7,0x7fdc3ff5,
    0x02a20eff,0x0bd9854c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x41ea0000,0x2fd40ef8,0x0000aea2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x49800000,
    0x000c0220,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_23_latin1_x[224]={ 0,4,2,0,1,0,0,5,3,2,1,0,2,2,
4,1,0,1,1,1,0,1,1,1,1,1,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,2,1,1,1,1,1,1,2,2,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,1,0,0,
5,1,0,0,2,1,1,2,1,0,2,1,2,3,0,1,1,4,4,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_23_latin1_y[224]={ 17,1,1,2,0,0,1,1,0,0,1,5,13,9,
13,1,2,2,2,2,2,2,2,2,2,2,5,5,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,19,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,2,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,17,5,0,2,2,2,
-2,0,1,2,2,6,10,9,0,1,0,3,0,0,1,5,1,8,17,1,2,6,0,0,0,5,-2,-2,-2,-2,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-2,-2,-2,-2,-2,-2,6,-1,-2,-2,-2,-2,-2,2,0,1,1,
1,1,1,0,5,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_23_latin1_w[224]={ 0,4,8,13,11,13,13,3,7,8,10,12,7,8,
5,10,12,11,11,11,13,10,11,11,11,11,5,7,10,11,10,8,13,13,11,11,11,9,9,12,11,10,8,11,
10,13,11,13,11,13,11,11,12,11,13,13,13,13,11,7,11,6,11,13,8,10,11,10,10,11,12,11,10,10,
9,10,10,11,10,11,11,10,10,9,11,10,12,13,12,12,10,10,3,9,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,11,12,13,
3,11,11,13,9,10,10,8,11,10,9,11,8,7,11,12,11,5,4,8,9,11,13,13,13,8,13,13,13,13,
13,13,14,11,11,11,11,11,11,11,11,11,12,12,13,13,13,13,13,10,13,12,12,12,12,13,11,11,11,11,
11,11,11,11,13,10,12,12,12,12,11,11,11,11,11,11,12,12,12,12,12,12,11,11,11,11,11,12,11,12,
 };
static unsigned short stb__consolas_23_latin1_h[224]={ 0,17,6,15,20,18,17,6,22,22,10,12,8,3,
5,19,16,15,15,16,15,16,16,15,16,15,13,16,14,6,14,17,22,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,22,19,22,8,3,5,13,17,13,17,13,17,17,16,17,
22,16,16,12,12,13,17,17,12,13,16,13,12,12,12,17,12,22,24,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,15,15,
24,20,5,16,11,10,6,3,12,5,9,14,10,11,5,17,19,5,4,9,11,10,17,17,17,17,19,19,19,19,
19,20,15,19,19,19,19,19,19,19,19,19,15,19,20,20,20,20,20,10,21,20,20,20,20,19,15,18,17,17,
17,17,17,18,13,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,12,17,17,17,17,17,21,21,21,
 };
static unsigned short stb__consolas_23_latin1_s[224]={ 138,251,89,236,244,87,56,250,64,55,1,
181,45,153,133,133,177,12,153,1,189,214,190,142,73,191,248,97,203,64,214,
202,72,38,52,142,141,203,179,129,130,213,26,224,1,116,90,47,167,179,165,
117,154,165,177,102,24,76,64,26,68,19,33,162,139,15,166,38,107,26,1,
118,38,96,9,27,154,156,82,59,143,155,71,49,236,237,143,117,104,13,93,
34,5,45,76,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,138,248,193,
49,74,99,1,204,98,13,204,214,53,153,131,110,23,225,237,248,121,130,80,
250,148,246,194,225,42,28,14,246,1,119,92,170,184,138,113,158,198,210,222,
51,39,15,27,234,61,106,216,230,165,14,54,12,99,152,41,28,1,144,87,
75,227,239,176,164,152,63,1,225,114,101,188,214,35,85,105,202,140,61,127,
201,70,83,211,168,1,224,190,236,178,113,126,86, };
static unsigned short stb__consolas_23_latin1_t[224]={ 22,47,150,103,1,47,67,103,1,1,150,
136,150,150,150,26,85,120,103,103,120,85,85,120,85,103,85,85,120,150,120,
67,1,120,120,85,103,103,120,85,120,103,85,103,120,120,120,85,120,1,103,
85,120,85,103,120,120,120,120,1,26,1,150,150,150,136,67,136,67,136,67,
67,103,67,1,103,85,136,136,136,67,67,136,136,85,120,136,136,136,85,136,
1,1,1,150,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,
103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,22,67,1,
103,103,103,1,1,150,103,136,136,150,150,136,150,150,120,136,120,150,67,26,
110,150,136,136,136,67,67,67,26,47,26,26,26,26,1,103,26,26,26,26,
47,47,47,47,26,103,26,1,1,1,26,26,150,1,1,26,26,26,26,103,
47,47,47,47,47,47,47,136,85,47,47,47,47,85,85,85,85,47,85,47,
47,67,67,67,136,85,67,67,67,67,1,1,1, };
static unsigned short stb__consolas_23_latin1_a[224]={ 202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_23_latin1_BITMAP_HEIGHT or STB_FONT_consolas_23_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_23_latin1(stb_fontchar font[STB_FONT_consolas_23_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_23_latin1_BITMAP_HEIGHT][STB_FONT_consolas_23_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_23_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_23_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_23_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_23_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_23_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_23_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_23_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_23_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_23_latin1_s[i] + stb__consolas_23_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_23_latin1_t[i] + stb__consolas_23_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_23_latin1_x[i];
            font[i].y0 = stb__consolas_23_latin1_y[i];
            font[i].x1 = stb__consolas_23_latin1_x[i] + stb__consolas_23_latin1_w[i];
            font[i].y1 = stb__consolas_23_latin1_y[i] + stb__consolas_23_latin1_h[i];
            font[i].advance_int = (stb__consolas_23_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_23_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_23_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_23_latin1_s[i] + stb__consolas_23_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_23_latin1_t[i] + stb__consolas_23_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_23_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_23_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_23_latin1_x[i] + stb__consolas_23_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_23_latin1_y[i] + stb__consolas_23_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_23_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_23_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_23_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_23_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_23_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_23_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_23_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_23_latin1_LINE_SPACING
#endif

