// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_25_latin1_BITMAP_HEIGHT        182
#define STB_FONT_consolas_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_25_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_25_latin1_NUM_CHARS            224

#define STB_FONT_consolas_25_latin1_LINE_SPACING          16

static unsigned int stb__consolas_25_latin1_pixels[]={
    0x01be2df1,0x99993000,0x33332e59,0x0059910c,0x19932e20,0x40330000,
    0x98800080,0x01988009,0x04401300,0x0011000c,0x800004cc,0x33100199,
    0x040a9800,0xa8060220,0xdf16f881,0xd30003a6,0x3ffffee1,0x3fffffb3,
    0x007fffe6,0x3e7fffa8,0xffb80007,0x3f22fe82,0x13fe6004,0x9ffffb10,
    0xd027c400,0x2027e43f,0x804effec,0x40002ffb,0xe8801ffc,0xffb005ff,
    0x401d717f,0x213f21fe,0xb7c42ffb,0x01df76f8,0x5c07fe60,0xa803fb3f,
    0xff1006fd,0x0007f839,0xff84ffc8,0x4c017f63,0x7fcc02ff,0x005fc99b,
    0x17f407f3,0x3fa20bf9,0x00effeef,0x80017f4c,0xe8800dfb,0x4c05fcaf,
    0x4fffe9af,0xbf917f40,0xf885ff90,0x37f4df16,0x701ffc40,0x2007f67f,
    0xfa800ff8,0x0000ff06,0x17501dd3,0x6c400644,0x0774400d,0x7d4017dc,
    0x80606202,0x3fa60efd,0x002a8805,0x2a002a88,0x1006a60a,0x18801a98,
    0x10991018,0xf89be2df,0x037ec03f,0x00fecfee,0xfc801fd8,0x0000ff03,
    0x00000000,0x17e01fd8,0x00007f20,0xf880ef98,0x0008801f,0x22000110,
    0x00110000,0x88000220,0xfa8df16f,0x01ff500f,0x03fb3fb8,0x3200bf20,
    0x544ff02f,0x3333100a,0x40198333,0x10066098,0x2027c413,0xffda80fc,
    0x01fe46ff,0x027ec5fb,0x7f6409fb,0xfd9004ef,0x3b2009df,0xd9004eff,
    0x32009dff,0x3204effe,0xdf16f883,0x3fa0bfb0,0xfb3fb802,0x00bf2003,
    0xcbfc0bf2,0xfe84ffff,0x21ffffff,0x93f603fe,0x93f603fe,0x4444c1fc,
    0x77fe41fa,0x1fe47eff,0x0ffc5fb0,0xfd10df70,0x01dffddf,0x3fbbffa2,
    0xffd100ef,0x201dffdd,0xffeeffe8,0xdffd100e,0xf881dffd,0xdf16f886,
    0xfa81ff10,0x367f7006,0x05f9001f,0x3fe05f90,0x3ffcadfd,0x7e66665c,
    0x441bee1f,0x41bee0ff,0xb9be0ff8,0x2f9affff,0x0b7c7fea,0x5fb01fe4,
    0xfa803fe2,0x260efd86,0x1dfb05fe,0xfd82ff4c,0x417fa60e,0x3fa60efd,
    0x4c1dfb05,0x437c45fe,0x20df16f8,0x02fe43ff,0x03fb3fb8,0x3600fee0,
    0x85fff00f,0x3fd006fb,0x7dc0ffc4,0x5c0ffc46,0x7d4fe66f,0x3f99fead,
    0x905f8bfe,0x997ec07f,0x23fcc07f,0xff880ffa,0x4407fd41,0x07fd41ff,
    0x3ea0ffc4,0x41ff880f,0xff880ffa,0x3e21be21,0x3f60df16,0xb801ffc5,
    0x2003fb3f,0x3e601ff8,0x7c0ffe06,0x41fe800f,0x83fd84fd,0x23fd84fd,
    0x3a1fd2fb,0x9fe67f17,0x07f904f9,0x07f997ec,0x13f63fcc,0x27ec4fd8,
    0x4fd89fb0,0x9fb13f60,0x3f627ec0,0xf893f604,0x9006f887,0x00ffc4df,
    0x03fb3fb8,0xd27fecc0,0x3fc019ff,0xfd003fd0,0x7c47f983,0x447f980f,
    0x223f20ff,0x9fcdbe5f,0x40fea6fa,0x4bf603fc,0x3ea00ff8,0xf700ffc6,
    0x2e01ff8b,0x700ffc5f,0x201ff8bf,0x00ffc5fb,0x43fc4bf7,0xff5006f8,
    0xf7003fcc,0x98007f67,0x3ffa4efe,0xd81fe01d,0x81fe802f,0x817ee2fe,
    0xb17ee2fe,0xafc4feaf,0x5cdf52f9,0x407f902f,0x03ff12fd,0x1ff12fdc,
    0xff137d40,0xf137d401,0x137d401f,0x37d401ff,0x7d401ff1,0x3e21fe66,
    0x4cff1006,0x4fee006f,0xdf1001fd,0xf037d401,0x400ff40f,0x25fb81fe,
    0x97ee01fe,0xfbbec1fe,0x4bea9f32,0x03f90ff9,0x2fd80ff2,0x3fd80ffa,
    0xff301fe6,0x3e603fcc,0xf301fe67,0x2603fccf,0x301fe67f,0x443fccff,
    0x4ff3006f,0xf7000ff9,0x54007f67,0x00fd803f,0x007fc0ff,0x7fc40ff4,
    0x7c406f98,0x6e86f98f,0x5cfee5f7,0x367ff10f,0xd80ff207,0x4c1bee2f,
    0x01fe60ff,0x03fccff3,0x07f99fe6,0x0ff33fcc,0x1fe67f98,0x3fccff30,
    0x201337c4,0x07fe26fb,0x1fd9fdc0,0x9005f900,0x541fe05f,0x03fd006f,
    0x013f2ff6,0x213f2ff6,0x3f67f56e,0xcffc8dd2,0x3fc8517e,0xff88bf60,
    0x2227f4c5,0x9bea00ff,0x3ea00ff8,0xa803fe26,0x803fe26f,0x03fe26fa,
    0x3fe66fa8,0x6f8b7c40,0x3ff8bfb0,0x3f67f700,0x005f9001,0x21fe05f9,
    0xfd002fe8,0x3ffbea03,0xffefa800,0x9df17d80,0x905f9bfd,0x8fffffff,
    0x0bf603fc,0xffddfff5,0xb803fe0b,0x7007fc5f,0x200ff8bf,0x007fc5fb,
    0x00ff8bf7,0x0ff997ee,0x06f8b7c4,0x05fd85ff,0x07f67f70,0x64017e40,
    0x9bfff02f,0x74009ffb,0x17ffa01f,0x905ffe80,0x2e7ff21f,0x3f6604ff,
    0x27e42cdf,0xfb303ff0,0x7f407dff,0xfd0ff603,0x3a1fec07,0xd0ff603f,
    0x21fec07f,0x8ff603fe,0xb7c40ffa,0x0ff886f8,0xfb803fd4,0x32003fb3,
    0x02fc802f,0x5bffffff,0x201fe800,0x2e001ffb,0x43f701ff,0x7cc00440,
    0x4c1bee03,0x1be600ff,0x7cc1bee0,0x9837dc0f,0x837dc0ff,0x37dc0ff9,
    0x7dc0ff98,0x541ff306,0x8b7c40ff,0xf04fc86f,0x27f7007f,0x5fb001fd,
    0x3e07f900,0x22000117,0x1bf200ff,0x4c0df900,0xfa80004f,0x30ffe202,
    0x5ff009fb,0x22ffc408,0xff884fe8,0x4427f445,0x27f445ff,0x3a22ffc4,
    0x45ff884f,0x22004fe8,0xfa8df16f,0x03ff500f,0x03fb3fb8,0x2e007fe0,
    0x000ff05f,0x7c40ff50,0x3fe2002f,0x0007f402,0xf7007ee0,0x1dffd9df,
    0x97dff700,0xdfffa83f,0xf500dffe,0x1bffdbff,0x3b7ffea0,0xff500dff,
    0x01bffdbf,0x3fb7ffea,0x3e2000df,0x7fc4df16,0x2037ec03,0x003fb3fb,
    0x3e600ff7,0x2007f81f,0x827f4c08,0x26004fe9,0xefb804fe,0xfc800880,
    0xfffea800,0x7fe4004f,0xfd981eff,0xd9803eff,0x9803efff,0x803efffd,
    0x03efffd9,0x3efffd98,0xf16f8800,0x4402ff4d,0x3bbaa4ff,0xdddfb3fe,
    0x3fffa21d,0x3fff6003,0xfa801fe5,0x20effede,0x805ffee9,0x005ffee9,
    0x372b3bee,0x007e802f,0x22000098,0x011001a9,0x40002200,0x01100008,
    0x80002200,0x2edf16f8,0x3fe6006f,0x7fffff72,0x47fffff6,0x8001def9,
    0x01fe7feb,0x4efffd98,0x002eff98,0x0005dff3,0x17bfffb5,0x00000000,
    0x00000000,0x00000000,0x80000000,0x26df16f8,0x074c000e,0x00000000,
    0x00200000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6f8b7c40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x0004cc03,0x4400ccc0,0x01880019,0x110004c0,0x99980030,
    0x404c0019,0x08000099,0x98009980,0x26600001,0x01998001,0x0004d54c,
    0x4c400666,0x800cc401,0x7fdc04f8,0x3ff20002,0x2fff4401,0xe801ba00,
    0x3fd004ff,0xf91027e4,0x01ffffff,0x3ee0fee0,0x7644002f,0xf704efff,
    0x01fd805f,0x01ffc800,0xa80ffe40,0x005fffff,0x22007ff2,0x3ea05ffe,
    0x3ee2200f,0x02fe9802,0x400dfb80,0x05fcafe8,0x7dc017e0,0xfe801fa8,
    0x7cc17f22,0xffaaffff,0x201ff000,0xd3002fe9,0x1fffdfff,0x980bfa60,
    0x7dc0005f,0x6fdc000d,0x557ff500,0x37ee0077,0xcafe8800,0x01ff505f,
    0x01ffffd9,0x1000aa20,0x82aa0055,0x3b2e01a9,0xb5c04eff,0x818801f9,
    0xffffd101,0x54007fcf,0x0154404f,0x220f7fc4,0x00aa200b,0x220001fd,
    0x2a88002a,0x80017f40,0x2aa002a8,0x3ea06a60,0x777ff447,0x000005ff,
    0x4c000000,0xfffffffe,0x17ffa200,0x7fd40000,0x03fe7fff,0x00007f60,
    0x00005fd8,0x0003fb80,0x3e000000,0x0000001f,0xb1fea000,0x3ffea1df,
    0x3603fc84,0xd80ff22f,0xd80ff22f,0x53bfd12f,0x2a20065f,0x3ffd8002,
    0x3fffff20,0xf3003fe7,0x07ffb00d,0x2000ffcc,0xfffffffb,0x403fc43f,
    0x3ff806fd,0x7fffffdc,0x0f7ec3ff,0x01ffec00,0xa80fff60,0xc83fea7f,
    0x7e41ffaf,0xfc8bf603,0xfc8bf603,0x7d4bf603,0x4003f70f,0x22003ffd,
    0x3f206fff,0x3fe7ffff,0x2017e400,0x2e06fff8,0xffb8005f,0x82eeeeee,
    0x7fcc02fc,0x2e1bee02,0xeeeeeeff,0x027ffdc2,0x00dfff10,0x3037ffc4,
    0x3e27ecff,0x3fc87fb6,0x3fc8bf60,0x3fc8bf60,0x37dcbf60,0x3e2001f9,
    0x3ea006ff,0xff501ffd,0x07fcffff,0xf500ff10,0x3f203ffb,0x04fb8004,
    0x64037cc0,0x05ff106f,0x3ee009f7,0x802effce,0x001ffdfa,0x203ffbf5,
    0x987fe7f9,0xfc89f73f,0xfc8bf603,0xfc8bf603,0x7ccbf603,0x5400fd3f,
    0xb001ffdf,0x7407fb5f,0x3fe7ffff,0x200fee00,0xb03fdafd,0x9f70007f,
    0x803fb000,0x6fc83ff8,0x3e009f70,0x07ffb10f,0x03fdafd8,0x07fb5fb0,
    0x07fc5fe6,0x91bea3f7,0x917ec07f,0x917ec07f,0x917ec07f,0x400dfdff,
    0x803fdafd,0x06fa8ff8,0xf9ffffa6,0x003fa00f,0x0df51ff1,0x2e000ffa,
    0x4fa8004f,0x220ffb80,0x09f701ff,0xff70df30,0x2a3fe205,0x8ff8806f,
    0x2df306fa,0xf33f47f9,0x3603fc8f,0xd80ff22f,0xd80ff22f,0x7fffdc2f,
    0x47fc400b,0x5fa806fa,0xdb801ff1,0x5403fe7e,0x15fa805f,0x09fb01ff,
    0x0009f700,0x3fa003fe,0xfb817f24,0x80ff8804,0x2bf506fb,0x7d400ff8,
    0xf301ff15,0x4f89fe6d,0x07f91fe6,0x07f917ec,0x07f917ec,0x7e4417ec,
    0x3ea03fff,0xd801ff15,0x000ff62f,0x1fd807fc,0x3f62fd80,0x8005fc83,
    0x99999dfb,0x401fdc01,0x0ff88ffa,0x26677ee0,0x42fec199,0x45fb07f8,
    0x17ec03fd,0x2df107fb,0x45f50ff8,0x01fe46fa,0x01fe45fb,0x01fe45fb,
    0x33ea05fb,0x5fb03ffd,0xff101fec,0x80037dc1,0x06f880ff,0x3ee0ff88,
    0x000ffa86,0x7fffffdc,0x1be201ff,0x27e67f40,0x3ffffee0,0x3fa21fff,
    0x221fe21e,0x81bee0ff,0x1bee0ff8,0xb1fe9be2,0x7e45fb8f,0xfc8bf603,
    0xfc8bf603,0x5c0bf603,0xf10ff71f,0x5037dc1f,0x00ff88df,0xfc80ff80,
    0x446fa803,0x04ff80ff,0x66677dc0,0x7ec00ccc,0xffff9802,0x6677dc00,
    0x6c40cccc,0x83fd8cff,0x07fc46fa,0x7fc46fa8,0x4ff62a80,0x321fec5f,
    0xc8bf603f,0xc8bf603f,0x40bf603f,0x81ff10fc,0x07fc46fa,0x3fe83fd8,
    0xf80ff800,0x83fd800f,0xdffb83fe,0x3ee05440,0x17e60004,0x4017fec0,
    0xfa8004fb,0x7fb04fff,0x3f607fd0,0xc803fe83,0x3e63faff,0xb01fe40f,
    0xb01fe45f,0xb01fe45f,0xfa9f605f,0xfe83fd87,0xaabff883,0x8006fdaa,
    0x027d40ff,0x5555ffc4,0xff906fda,0x81ffdddf,0x740004fb,0x07f9800f,
    0x20009f70,0xf881ffc8,0xfdaaaabf,0xaabff886,0x7cc6fdaa,0x43fffa0e,
    0x4fc84fe8,0x4fc87fe0,0x4fc87fe0,0x84d47fe0,0x45fea8ee,0xaaaabff8,
    0xfffa86fd,0x0fffffff,0x3a1fe600,0xfffa800f,0x0fffffff,0xbffffb50,
    0x0009f707,0xf9804fa8,0x009f7007,0xfa85fc80,0xffffffff,0x7fffd40f,
    0x20ffffff,0x3fe22ffd,0x705ffecf,0x83fe60df,0x1ff306fb,0xff9837dc,
    0xffffff90,0xfff50bff,0x1fffffff,0xccccdfd8,0x2003fecc,0x02fcc6fb,
    0xccccdfd8,0x7403fecc,0x027dc01f,0x4c03fc00,0x09f7007f,0xd85fb800,
    0xccccccdf,0x66fec3fe,0x3feccccc,0xff503fee,0x7c407dff,0x227ecc3f,
    0x7ecc3ff8,0x261ffc44,0x3fb6a4fd,0xfb02ceff,0xd999999b,0x007fc47f,
    0x13d90df7,0xfc85ff71,0x00ff8802,0x6f881bee,0x0004fb80,0x7cc02fc8,
    0x009f7007,0x3ffa882a,0xf7007fc4,0x7007fc4d,0xfb8088df,0xff70009a,
    0x01dffd9d,0xffd9dff7,0x9dff701d,0x2601dffd,0x07fc403f,0x37d4df70,
    0xfb03fe60,0x889fffff,0x0df5006f,0xf500ff98,0xddff7009,0x2005dddd,
    0x3fcc06f8,0xeeeffb80,0x3ffa2eee,0xfa84ffff,0xa87fcc06,0x07fcc06f,
    0xa8003f40,0x404ffffe,0x04ffffea,0x27ffff54,0xf500bea0,0xb0ff980d,
    0x07fd007f,0x3039bb95,0x0ff60059,0x6540ffa0,0xffffb801,0x2003ffff,
    0x1fe600cb,0x7ffffdc0,0x3b6e3fff,0x7fb01cde,0x3f67fd00,0x803fe803,
    0x0980002c,0x80009800,0x03d50009,0xfe803fd8,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40a98000,
    0x80198800,0x54c01808,0x20220040,0x00198801,0x26603330,0x00330000,
    0x1a880202,0x13002620,0x04cc4000,0x40004cc4,0x4c401aa9,0x4c400009,
    0x0004c009,0xd8311553,0x0eb8bfff,0x017ffa20,0x827e43fd,0xeb8bfffd,
    0xfc87fa00,0x17ffa204,0x203ff900,0x22002ffb,0x7f405ffe,0x3ea13f22,
    0x7fc40eff,0x00fff600,0x4413fe60,0xd3000efd,0x203dffff,0x0000efd8,
    0xfd809ff3,0x3ff6203f,0x3e65ffff,0x04fffe9a,0x17f2bfa2,0x17f22fe8,
    0x3ffa6be6,0x917f404f,0x2bfa20bf,0xbf7005fc,0x02fe9801,0x05f31d90,
    0x8bfb1ffc,0x44fb9ef8,0x2ff602fc,0x3e6003fd,0x0efb802f,0x5d67fcc0,
    0x77dc06fe,0x17fcc000,0x0ff6ff60,0x2eaf7fe6,0x2a6045fe,0x53055401,
    0x80606203,0x4400d4c0,0x82aa0181,0x154401a9,0x20055100,0xba80be5d,
    0x5f503220,0x40bf337c,0x00bb22eb,0x98003762,0x21fec04e,0x74c01ff8,
    0x03762004,0x17645d70,0x17ea13f6,0x00000000,0x00000000,0x00000000,
    0xfbbf5000,0x3ee00001,0x00fe9fa2,0x00000000,0x3a03fe00,0x0000001f,
    0x0ff30000,0x1ffdd7ea,0x7ff41fd8,0x44ffffff,0xfffffffe,0x0fff604f,
    0x3ffffee0,0x7fdc3fff,0x43ffffff,0xfffffffe,0x7ffff44f,0x2604ffff,
    0x551000cc,0x7c53ea03,0x22005f95,0x2a2001aa,0x2aa2001a,0xf70ff101,
    0x1aaa980d,0x01aaa980,0xb81aaa98,0x2ebf504f,0x83fb06ff,0xeeffeeed,
    0x7f776c3e,0xf103eeef,0xff700dff,0x85dddddd,0xeeeeeffb,0x7f776c2e,
    0x76c3eeef,0x3eeeffee,0x80355530,0x1effffe8,0x99ffefe8,0xffe8805f,
    0x3a201eff,0x201effff,0x1effffe8,0x3ff23fcc,0xfffff301,0xfff305ff,
    0xf305ffff,0x45ffffff,0x2bf504fc,0xfd82fffb,0x801fe601,0xbf5007f9,
    0x4fb803ff,0x0013ee00,0xf3003fcc,0xffff980f,0xff882fff,0x40ffca9c,
    0x1fd1dec8,0xa9cff880,0xff880ffc,0x80ffca9c,0xfca9cff8,0xfb9fe60f,
    0x2f3ea00e,0x541ffeba,0xffebabcf,0x5d5e7d41,0x07f91ffe,0x7efdd7ea,
    0x2601fd86,0x1fe6007f,0x1fed7ec0,0xb8013ee0,0xff30004f,0x203fcc00,
    0xfebabcfa,0x641fec1f,0x03fc805f,0x5fc83fd8,0x5fc83fd8,0x5fc83fd8,
    0x01fe9fe6,0x087fd004,0x4010ffa0,0x209f73fe,0xfd7f75fb,0x2601fd85,
    0x1fe6007f,0x3ea3fe20,0x0027dc06,0x260009f7,0x1fe6007f,0x11ff4010,
    0x01fe20ff,0xff100df3,0xff11fe20,0xff11fe20,0x7f99fe20,0xb8000bfa,
    0x17ee005f,0xdf55fb80,0x3eebff30,0x0fec6fab,0x4c00ff30,0x15fa807f,
    0x27dc01ff,0x0009f700,0xf9801fe6,0x97ee0007,0x03fe05fa,0xfa800fe8,
    0xfa83fe05,0xfa83fe05,0x7cc3fe05,0x800bfee7,0x405fb998,0x405fb998,
    0xf15fb998,0xafffcc5f,0x6c3ff3fb,0x01fe601f,0xfd807f98,0xfb80ff62,
    0x8199999d,0x99999dfb,0x003fcc01,0x98800ff3,0x3fee5fb9,0xffffffff,
    0xf917f701,0xfffb81df,0x1fffffff,0x3fffffee,0x3ee1ffff,0xffffffff,
    0xfd8ff31f,0x3ffaa04f,0xea85ffff,0x85ffffff,0xffffffea,0x3fb7ff25,
    0x27f75fae,0x807f65fb,0x3e6007f9,0x707fc407,0x7ffdc0df,0x5c1fffff,
    0xffffffff,0x801fe601,0xfea807f9,0x2e5fffff,0xccccccef,0x96f880cc,
    0xfb8df99f,0xccccccce,0x333bee0c,0x20cccccc,0xcccccefb,0x0ff30ccc,
    0xff709ff7,0x8bf95579,0xcaabcffb,0x5e7fdc5f,0x7e45fcaa,0x75fa8dff,
    0x6c7fe27f,0x01fe601f,0x7d407f98,0xb807fc46,0xccccccef,0x66677dc0,
    0x3e600ccc,0x01fe6007,0x95579ff7,0x003fd4bf,0x25f89fd8,0x01fea0fd,
    0xa800ff50,0x1fe6007f,0xff10ffd4,0x7c4bf503,0x225fa81f,0x05fa81ff,
    0x7f75fa83,0x01fdafe4,0xf9801fe6,0x741fec07,0x009f703f,0x980027dc,
    0x1fe6007f,0xfa81ff88,0x000bfe65,0xb93e69f7,0x00bfe61f,0x2002ff98,
    0xf3002ff9,0xf317f40f,0xf997ee0d,0x7ccbf706,0x200bf706,0x447f75fa,
    0x201fd8ff,0x3e6007f9,0x2affe207,0x706fdaaa,0x27dc009f,0x007f9800,
    0x6f981fe6,0xefd8bf70,0x44df1001,0xfb03f25f,0x77ec003d,0x07bf6001,
    0x7441fe60,0x903fe61f,0x07fccbff,0xff997ff2,0x802ffe40,0xc87f75fa,
    0x2601fdcf,0x1fe6007f,0xffffffa8,0xfb80ffff,0x013ee004,0x3003fcc0,
    0x07fcc0ff,0xff117ff2,0x89d999ff,0x5e7f41fd,0xffff885f,0xf884eccc,
    0x4ecccfff,0xccffff88,0xd9fe64ec,0xfe85ffdc,0x5fdffdcf,0x7fee7ff4,
    0x67ff45fd,0x005fdffd,0x10feebf5,0x4c03fbff,0x1fe6007f,0xccccdfd8,
    0xfb83fecc,0x013ee004,0x3003fcc0,0xcffe80ff,0x885fdffd,0x3efffffc,
    0x3fa213ea,0xff9100df,0x2207dfff,0x3efffffc,0xfffff910,0xff3fcc7d,
    0x3f6209ff,0x45f89eff,0x89efffd8,0x7ffec45f,0x5005f89e,0x360feebf,
    0x3e601fff,0x41fe6007,0x3ee00ff8,0x2004fb86,0xf30004fb,0x03fcc00f,
    0x27bfff62,0x0cc405f8,0x40011000,0x4c400198,0x00cc4001,0x00300060,
    0x00300030,0x983fb800,0x776c1fff,0x43eeeffe,0xeeffeeed,0x980df53e,
    0x77fdc0ff,0x5c2eeeee,0xeeeeeeff,0x7ff776c2,0x776c3eee,0x03eeeffe,
    0x00000006,0x00000000,0x00000000,0x00000000,0x3fb80000,0xfe83ffb0,
    0x4fffffff,0x7ffffff4,0x007fb4ff,0xfffb87fd,0x5c3fffff,0xffffffff,
    0x7fffff43,0x7ff44fff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02020000,0x22000998,0x09999aa9,
    0x826004c0,0x80800aa8,0x88035000,0x88033001,0x20101009,0x80000998,
    0x4cc40998,0x400c4000,0x00131019,0x00660988,0x00998800,0x206a0098,
    0x413f22fe,0x0ca98ffc,0xffffffa8,0x3ff605ff,0x7fe5be03,0x8bfa04ff,
    0x7fe404fc,0x25fff901,0x01ff40da,0x45fd09fb,0xefd884fc,0x3fe60000,
    0x00efd884,0x2a5fff90,0x7dc1fe0d,0xf2fd4004,0x3e60000f,0x3ffd804f,
    0x7fc3ffd8,0x2a217f63,0x40ffffff,0xfd99bffa,0xb7fb01af,0x3f3fe07f,
    0xf03ffcad,0x202fec7f,0xcf981ffd,0xb85ffffb,0x01ff106f,0x02fec7ff,
    0x30001df7,0xefb805ff,0x7de7cc00,0x83fc5fff,0x7d4004fb,0x20001fe5,
    0xfd802ff9,0x7ffc3fdb,0x19105d45,0x5dfffff0,0xff05fd01,0xec8bae03,
    0x5c2fff82,0x4417506f,0x01ec400c,0x881e5c43,0x06fb81ff,0x00644175,
    0xb10013a6,0x13a6001b,0x83cb8860,0x009f707f,0x01fe5fa8,0x001bb100,
    0x917645d7,0xc80005ff,0xf01ffa9b,0x007fb01f,0x7c0ffe00,0x0000000f,
    0x09fb0000,0x000007fb,0x00000000,0x41fe0000,0x7d4004fb,0x00001fe5,
    0x00880000,0x10035553,0x3fe0dfd3,0x4c02fe81,0x81fe01aa,0x2aa601fe,
    0x00591001,0xf9803553,0x4c07fc47,0x4c013101,0x80cc01aa,0x880cc098,
    0x35553009,0x27dc1fe0,0x3eeaa620,0x0aa89fe5,0x80355300,0x80131019,
    0xfffffff9,0xffffd882,0x545fd83f,0xffd300ff,0x0ff03dff,0x7f4c17ec,
    0x4401efff,0x3ffa605f,0x3fa01eff,0x3fc17ee2,0xfe985fa8,0xff01efff,
    0x0ff17ea0,0xfff317ea,0x7f85ffff,0x36209f70,0x25ffffff,0x9ffff97f,
    0x7ffff4c0,0x2a0ff01e,0x5e7d405f,0x261ffeba,0xffcabeff,0x7677fcc0,
    0x9ff502ff,0xf85ffb77,0xf507fa07,0x5ffb779f,0xfa82fcc0,0x2ffdbbcf,
    0x0ff4bf70,0x8bf507f8,0xfdbbcffa,0xf507f82f,0xbf507f8b,0xebabcfa8,
    0x5c1fe1ff,0xcfff884f,0x3fe5feba,0x3ffcadfd,0xdbbcffa8,0x507f82ff,
    0x3a0080bf,0x3a13f63f,0x7f5ff43f,0x5ff100ce,0x07f8df90,0x2ff883fe,
    0xf9106fc8,0x905ff10b,0x23fe20df,0x41fe06f9,0x0bfe25fa,0x41fe1bf2,
    0xa83fc5fa,0x7fd0045f,0x27dc07fc,0x3ea067ec,0xf70bffe5,0xc82ff88d,
    0xf507f86f,0xafdc000b,0x4df506f9,0x7dc005f9,0x7f87fe05,0x5fb8df50,
    0xfd987fe0,0x05fb86ff,0x5fec07fe,0x41fe04fc,0x817ee5fa,0xa83fc1ff,
    0xfa83fc5f,0xf97ee005,0x227f442f,0x4bf506f9,0x41ff03ff,0x07fe05fb,
    0xb97ea0ff,0x7dccc402,0x3e209f75,0x335ff50f,0x6c07f900,0x3aa1fe2f,
    0xb01fe42f,0x273fe25f,0x6c07f900,0xffdf502f,0xfa83fc01,0xfd80ff25,
    0x5fa83fc2,0x05fa83fc,0xf2fdccc4,0x37fec49f,0x2fd413ea,0x90ff40ff,
    0x217ec07f,0x36bf507f,0x7ff543ff,0x7f95ffff,0xffd0ffc0,0x839fffff,
    0x93f202fd,0xfffcdfff,0x3202fd84,0xb00df54f,0x027e405f,0x7f80bffd,
    0x17ecbf50,0x07f89f90,0x507f8bf5,0xfffd50bf,0x7ffcbfff,0xdffaffcf,
    0x3ea09f90,0x2fd81fe5,0x4fc80bf6,0xf5fa83fc,0x67fdcbff,0xfb5fcaab,
    0xf90ffc07,0xfffdddbd,0xf9017f41,0x7fffffc7,0x405fd01d,0x00df73fc,
    0x1fe405fd,0xf803ff70,0x7f4bf507,0xff0ff202,0x0ff17ea0,0x9ff717ea,
    0x7cbf9557,0xf51effdf,0x5413f21f,0xfe81fe5f,0xfc80bfa1,0x5fa83fc3,
    0x3fe23ff7,0x9f95fa81,0x7d43fe20,0x647ff106,0xf8bf603f,0x7f900117,
    0x7fa97ec0,0x3603fc80,0x01bf202f,0x97ea03fe,0x0bf603fc,0x8bf501ff,
    0x25fa80ff,0x5fa81ff8,0x208045fe,0x4bf705fb,0xc83fe07f,0xf0bf603f,
    0x44bf501f,0x7dc1be60,0x3ea0df55,0xfc80ff66,0x7c41bee4,0x7001fe0f,
    0x43fe20df,0x7dc04ff8,0x201ff106,0xff802ff8,0x3ee5fe81,0xf81ff106,
    0x7c5fe81f,0x265fe81f,0x7cbf706f,0x43fd4007,0x41fe5ff9,0x837dc6fa,
    0x0ffc0ff8,0xff302ff4,0x3e5ffc81,0xb17f444f,0x8bfe60df,0x7f443ff8,
    0x22003fc4,0x27f443ff,0x44077fea,0x27f443ff,0xd004fe98,0x2ffec49f,
    0xfe887ff1,0x3624fe84,0x127f45ff,0x7fccbffb,0xff2ffe40,0x23ff8800,
    0x1fe5fff9,0xff10bfa2,0xe84fe887,0x97ff624f,0x33ffa0ff,0x2a5fdffd,
    0x5ffdceff,0x6677ffcc,0xffa84ffe,0x40effdce,0xffa8007f,0x80effdce,
    0xa87ffffa,0xeffdceff,0x17ffba60,0xfceffa80,0x7fd45fbf,0x80effdce,
    0xbffceffa,0x677fd45f,0x7f45fbff,0x5fdffdcf,0x3f2001fe,0x5f9efeef,
    0x3f737ffe,0x9dff504f,0xf501dffb,0xbf7ff9df,0xffb117e2,0x98bf13df,
    0x303ffffe,0x3bdffff9,0x77ffecc0,0x2000ff03,0x03efffd9,0x983f6dc4,
    0x983efffd,0xb8002eff,0x5f89efff,0x3efffd98,0x4f7ffdc0,0xfffb85f8,
    0x6c45f89e,0x5f89efff,0x7dc001fe,0x25f98dff,0x2dffffdb,0x77ffecc0,
    0x77ffdc03,0x07f55f89,0x004c000c,0x04c00020,0x09800000,0x02600000,
    0x04c00000,0x20004c00,0x004c0009,0x00000060,0x0004000c,0x04c00098,
    0x00001950,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00130000,0x0220004c,0x80026620,0x0006201a,
    0x00200004,0x0016f6dc,0x0cc13310,0x880aa200,0x10154409,0x004d4c13,
    0x00440131,0x09800300,0xa8010100,0x33333101,0x019fff30,0x5dffffd5,
    0x1f7ff5c0,0x001dfb10,0xff907ffb,0x22036a5f,0x803dffec,0x4efffec8,
    0xfffffe88,0x4ff98003,0xff7003fc,0xb83fe20d,0x1ff106ff,0x4407fff4,
    0x7fecc0ff,0x64401dff,0x00cffffe,0xfd00fff6,0xfc827e45,0xffffb81f,
    0x7ff6c41f,0x76f7e42f,0xffd82fff,0x5c05ffdd,0x7ffc00ef,0x7fde7cc5,
    0xdff985ff,0x300efecb,0xfffdfffd,0xf70dfc81,0x7fcc001f,0xf7007f82,
    0x8bf20dfb,0xf906fdfb,0x907f9085,0xdfff985f,0xf501fffd,0x3fffdfff,
    0x0ff6ff60,0x17f63ff8,0x54c1ffec,0x2201ffaa,0x22021ffc,0x077e47fd,
    0xe9805ff3,0x417fe404,0x260f2e21,0x86fb81ff,0x5c41eff8,0x3fe17f40,
    0x01bb1001,0xf94401fe,0x9445f986,0x985f986f,0x2fcc0eec,0x2ff427f4,
    0x2206ffd4,0x322eb81b,0x4417502e,0x01bd300c,0xfb003fd0,0x21ff300d,
    0x6fa80ff8,0x00220000,0xb807f600,0x002fec3f,0x01ff0bfa,0x003fc000,
    0x007f437c,0x501fd0df,0x0fe87ffd,0x7d407fc4,0x0004fe86,0x00000000,
    0x26007fa0,0x3fc400ff,0x3fe60bf7,0x0ccccc41,0x54c13000,0xd72fcc0a,
    0xf99fe3df,0x2fe4001f,0x99880df7,0x99fe0199,0x3237c01a,0x3237c02f,
    0x937cc02f,0x207fe05f,0x037dc4fb,0x0ccccc40,0x06666620,0x00ccccc4,
    0xf8801fe8,0x92fd401f,0x5fff507f,0x1fffffb8,0xfb1df000,0x8fdc9fff,
    0xf92ccffc,0x20017ee3,0x0ffcaff9,0x7ffffdc0,0xffb1ff01,0x99be07df,
    0x266f805f,0x3fb3205f,0x7e40bf34,0xb0bfe60e,0xff70007f,0x7dc03fff,
    0xfb81ffff,0xe801ffff,0x07fa801f,0xfd83bee6,0x1ff7fec2,0x07ff3326,
    0x67effc00,0x1f91ffda,0x4bea0ff1,0xf90004fc,0x93001bff,0x3e03ff99,
    0xffdacfdf,0x03fa3c81,0x00fe8f20,0x0fe8fbb6,0x333ff620,0x01ff83ff,
    0xffccc980,0x3f332601,0xfccc981f,0x01fe801f,0xf09ff755,0xfe83ffff,
    0xf73dfd31,0x001fe809,0xfd85fff0,0x413e6fb4,0x007fb3f9,0x41fffd30,
    0x1fe801a9,0xfd85fff0,0x001fe404,0x64001fe4,0xfff9003f,0x81ff105f,
    0x401eeeee,0x3fa001fe,0x801fe801,0xfff881fe,0xfdb9902d,0x7dcff49f,
    0xd013ee4f,0x06f5403f,0x57ee0bfe,0x2609f37d,0x8007fd3f,0x25ffcff9,
    0x1fe802fd,0xbf705ff0,0x40037cc0,0xf98006f9,0xfdfd3006,0x0ff885ff,
    0x017ff774,0xfe8007fa,0x801fe801,0x01ff01fe,0xfb3ff980,0x3fc85ffd,
    0xfd00ff40,0xf507f89f,0x837c3f2b,0x009fb2fa,0x7ff33fd8,0x3fa007fa,
    0x3ea0ff01,0x0003fa05,0xd00083fa,0x7ff5001f,0xff0bff62,0x2017ec03,
    0x3fa001fe,0x801fe801,0x00ff01fe,0x7fe5bea0,0x402fd80e,0x3ff201fe,
    0x5fa83fc6,0x2fbf23f7,0x3f23f72c,0x83fe2005,0x00ffaffb,0x0ff01fe8,
    0x9fdc17ea,0x7dc07ff8,0x403dff93,0x0fff13fb,0x8ff905ff,0x0bf602fe,
    0x74003fd0,0x01fe801f,0x0df01fe8,0x7ddbe600,0xd007fe06,0x37fc403f,
    0x9afd41fe,0x5dfd715f,0x00ffa9fa,0xff90ff30,0x07fa00df,0x85fa83fc,
    0x1fbf66f8,0x2efa6f88,0x6cdf105f,0x837cc7ef,0x17f61ff8,0x7f402fd8,
    0x007fa001,0x3fa007fa,0x20005501,0x01ff15fb,0x3fd00df5,0x3fc4fd80,
    0x07f65fa8,0x27fc3fa8,0xe80ff880,0x3fd003ff,0x2fd41fe0,0xebfa8fec,
    0x7c07f607,0x3ea3fb06,0x837dc7eb,0x3fe60ff8,0xe805fb01,0x07fa001f,
    0x3a007fa0,0x5400001f,0x317f61ff,0x3fd005ff,0x3e0ffcc0,0x7ccbf507,
    0xb87fa81f,0x05440dff,0xffea8bfd,0x203fd005,0xb8bf507f,0x1fadf14f,
    0x3fd827dc,0x2df14fb8,0x417fcc7e,0x2ffd87fc,0x7f402fd8,0x007fa001,
    0x3fa007fa,0xb00ee981,0x7ffdb99b,0xfdcffe88,0x03fd004f,0xff07ffb9,
    0xff517ea0,0x01dfb77b,0x3bbbfff2,0x3bfea0ff,0x3ffeffed,0xff01fe80,
    0x6f897ea0,0x3bffbbee,0x3a21be20,0x2e6f883f,0x20effeef,0xfecceffd,
    0xfffd881f,0x402ffede,0x3fa001fe,0x801fe801,0x3ffc81fe,0x9ffffff0,
    0x3fff6201,0x3bbb603e,0xff5eeeff,0x541fe03b,0xffed885f,0xffd9804e,
    0xfd983dff,0x5ff73eff,0xeffeeed8,0x541fe5ee,0xc987f65f,0x360cffcc,
    0x677fc41f,0xc987f60c,0x5c0cffcc,0x01dfffff,0x77ffff54,0x7f776c0c,
    0x76c5eeef,0x5eeeffee,0xddffdddb,0x3fbbb6bd,0xff55eeef,0x000ccc03,
    0xfffe8004,0x017fffff,0x17ea0ff0,0x04400010,0xfe800100,0x7fffffff,
    0xaafd41fe,0x2a3f404f,0xffff984f,0xe809f50f,0x00009807,0x7ff40131,
    0x47ffffff,0xfffffffe,0xfffffd7f,0x3ffaffff,0x27ffffff,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8801f440,0x20000000,0x00131009,
    0x026aa600,0x000aaa88,0x32004001,0x5cbf603f,0x7fffffff,0x00000040,
    0x0fff6dc4,0xfffffff9,0xf022004b,0xf980001f,0x4c7fffff,0x0bceffff,
    0x5c0275c0,0x7ff6401f,0x05f9004e,0xffffd910,0x0017ec1d,0x3ffffaa0,
    0xffffe986,0xfffd703f,0xfffb101b,0x407f905d,0xffff72fd,0xfb30ffff,
    0xd5005dff,0xfff7009f,0x7fe43fff,0xf75fffff,0xff17ec07,0xffc80001,
    0x7cc6eeef,0x2ffffeef,0x260fffe0,0x3a206eaa,0x0effeeff,0x26017ec0,
    0xfeeeffff,0x8000bf60,0x3cabeff9,0x655effd4,0xcdffd83e,0x3fe60ffe,
    0x644ffdce,0x5cbf603f,0xfff7003f,0x2a05ffdd,0x5c04fffe,0xb8001cff,
    0x821ff55f,0x33fe0ffa,0x7c002acc,0x3e600fee,0x817fecc6,0x3fea5ffd,
    0xfb01ffff,0x02ff4c1d,0x9ff00bf6,0x02fd8101,0x1017f600,0x3ea007ff,
    0xff11540f,0x320ff985,0x5cbf603f,0x83d9003f,0x3fa20ffc,0x2604fedf,
    0x2e0000ff,0x3fbbf25f,0x7fc2ffef,0x02efffff,0x00febfa8,0x37dc1be6,
    0xff55ff88,0x83fffb59,0xff880ffa,0x5ff4ccc1,0xff309999,0x00bf6001,
    0x6402ff80,0x0ff6005f,0x7e417ee0,0xfd80ff24,0x04007f72,0x3be0ffc4,
    0x7ec09fb2,0x2fdc0002,0x3fffbffa,0xa999ff85,0x7f402ffd,0x3e600fe8,
    0x205ff106,0x21ff8bff,0x7ec6fcee,0xf993f604,0xffffffff,0x400ff56f,
    0x013302fd,0x3fa007fc,0x007fa002,0x37cc0ff2,0x97ec07f9,0xe80003fb,
    0x13f60c2f,0xb80007f8,0xc8bfe25f,0xc80ff87f,0x753e607f,0x81be600f,
    0x8ffa83fd,0x753e65fb,0xb807fe0f,0x3f33225f,0x13ccccdf,0x3f6009ff,
    0x8077f442,0x7fc00ff8,0x007fe001,0x3fc40ff6,0x97ec07f9,0x01accdfb,
    0x6c01ff80,0x71bf304f,0x20017bd9,0x117ee5fb,0x00ff83ff,0x47f203ff,
    0x26099afe,0x64099efb,0x4bff724f,0x6c7ee2fc,0x401ff12f,0x0bf606fa,
    0x805dff90,0x3bfa22fd,0x7fdd5540,0x3e0aaaab,0x07fe001f,0xff817f20,
    0x7ec07f90,0xffffff72,0x3fe6003d,0xa827ec00,0xffffffff,0x25fb801f,
    0x42fe83fc,0x05ff00ff,0x7fff4df1,0x3ffffe6f,0xf8b7dc4f,0xe87fa0de,
    0x3fccff26,0xfd81fe60,0xffffb802,0x362fd80c,0xffff80df,0x3fffffff,
    0x3b600bfa,0x3eeeeeff,0x3261ffcc,0x407f90ff,0x733312fd,0xd003ffd9,
    0x09fb009f,0xd8833fee,0x25fb806f,0x42fd84fc,0x1ff980ff,0x33fa3fb8,
    0x3ff723cc,0x137dc2cc,0x27ccbf60,0x01fe67f9,0x17ec0ff3,0xfffeb880,
    0x5fd97ec2,0x3fe66660,0x32099999,0xfffe805f,0xb84fffff,0xffffefff,
    0xfd80ff27,0x027fc402,0x7ec01bf2,0x220bf704,0x2fdc01ff,0x1ff88df7,
    0x37e407fc,0x03fa0fe8,0x3f206f98,0xf73fb805,0xff897ec3,0xd81bea00,
    0xfea8002f,0x3f6bf62f,0x03fe2005,0x8839ff30,0x3000ffc0,0xdf17bdb9,
    0x5fb01fe4,0x640df900,0x9fb000ef,0xfe81bea0,0xf32fdc02,0x21bf617f,
    0xffb510ff,0x333df305,0x37cc01fd,0x66d49fb0,0x1375bea0,0x007fc1ff,
    0x17ec0bf7,0x6cdfb000,0x2000ffdf,0xfb800ff8,0x43fedeff,0x980001ff,
    0xf813f25f,0x05fb801f,0x6c001ff9,0x40ff304f,0x27e402fd,0xfffffff1,
    0xffffff0b,0x3ff205ff,0x200fffff,0x3ff106f9,0xf893ffe2,0x13f64fdf,
    0x1fec07fd,0x40005fb0,0xb5fb0ff9,0x3e2001df,0xffb3000f,0x1ff83dff,
    0x23fc8000,0x1ff306fb,0xf907fb00,0x4fd8001d,0x3e03ff10,0xb1ff401f,
    0xfd9ffbbf,0xceeeff87,0x99ff100b,0x4c01ff99,0x44dfb06f,0x7fcc5fff,
    0x40efeddf,0x1ff306fb,0x00027ec0,0xe97ecff3,0x1ff1005f,0x201fe800,
    0x540001ff,0x21ffc46f,0x64404fd9,0x077e40ef,0x9027ec00,0x5cbf90bf,
    0xfb87fdc1,0x21ff980f,0x3ee000ff,0x2600fe84,0x3ffa626f,0x440ffe41,
    0x104effff,0x4fe88bff,0x9807fe40,0x6cbfd100,0x00bfd12f,0x44001ff1,
    0x00ffc06f,0x81ffd980,0xffeceffb,0x3b33760e,0x77e41fff,0x09fb0000,
    0x76677f44,0x3bff60ff,0x0bea3fff,0x03fe1ec8,0xfe81fe80,0x3e61eeee,
    0x1effffef,0x33e60110,0xfffa8009,0x400dffed,0x5dcefff8,0xfdbdddf9,
    0x117ec1df,0xff8809ff,0x413ea000,0xeeeeffed,0x3fb20eee,0x2a01dfff,
    0xe84ffffe,0x983effff,0xffffffff,0x3fffa1ff,0x40ffffff,0x0cffffd8,
    0x177fff54,0x07fc0004,0xfd06f980,0x7cc3ffff,0x002defff,0x30007ee0,
    0x007dfffb,0xaffffecc,0xeffffffb,0x2617ec0b,0x3fe204ff,0x40726000,
    0xfffffffe,0x3bf60fff,0x04c002cd,0xf3006660,0xffffffff,0x7ffff43f,
    0x200fffff,0x00188008,0x00000000,0x40000000,0x0440004b,0x98062000,
    0x417ec019,0xff103ffa,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c400000,0xf9bee02f,0xffffffff,
    0x3fffe4ff,0x7d802def,0x7ffe43f4,0x1fffffff,0xffffffff,0x7ec0bfff,
    0x3fff203f,0x7f903cef,0x74017ec0,0xfffb82ff,0xff3fffff,0xd039dfff,
    0xffffffff,0x3ffffea9,0xfb1fffff,0x227ff00d,0x97f603ff,0x0fd804fa,
    0x7fb009fd,0x07fdc020,0x35f0ffc4,0x93333333,0x7f777fc9,0x23f406ff,
    0xffffc86f,0xf1ffffff,0xffffffff,0x3fe20bff,0x3bbf206f,0x642efffe,
    0x00bf603f,0xf705fff9,0x7fffffff,0x3fffbbfe,0x7f776c3f,0xff53eeef,
    0xffffffff,0xb80bfe63,0x407fdc6f,0x17ea0ffa,0x3fdc3fa0,0xe987fe20,
    0x7f41efff,0x8fc4fc84,0xf25c0bcb,0x2ffdcc1f,0x005f8df0,0x3e607f88,
    0x3f7ea007,0x987f901f,0x0ff21ffd,0x3e602fd8,0x5fb82fee,0x3261ff80,
    0x0ff301ff,0xf917f600,0x20bfe20d,0x43fe85fe,0x27e805f9,0x3ea01ff8,
    0x7e55ed46,0xf307fcc7,0xd971f81f,0x1ff25c7f,0x3e01ff70,0x20013e25,
    0x1fe603fc,0x3fdafd80,0x3f207f90,0xfd80ff26,0x3f67fa02,0xf805fb82,
    0x81ffc41f,0xfa8007f9,0x41ffc40f,0x3ff306fc,0x2fcc37e4,0x13fa3fc0,
    0xfd803fd8,0x7fb2fec1,0x25f703f0,0x2203fe4b,0x3fffa1ff,0xffffffff,
    0x00ff8801,0x7c401fe6,0xf906fa8f,0x64bfe207,0x40bf603f,0x705fb4fb,
    0x03ff00bf,0x1fe609fb,0x205ff100,0x3fe20ffb,0x7c5bf201,0x806f881f,
    0xf037dc6f,0x3b2e603f,0x54ffc41f,0x3a03f06f,0x407fc974,0x372e1ff8,
    0xcdfdccef,0x04fc800c,0xfa803fcc,0xf901ff15,0xfc9fec07,0x220bf603,
    0x705fb0ef,0x03ff00bf,0x1fe605fd,0xe80bfb00,0x2017f24f,0x104fdbfe,
    0x37c2c8df,0x3ea07fe2,0xecdff986,0xfedfb81f,0x53e03f01,0x2e03fe4b,
    0x23fa80ff,0x3e2002fb,0x03fcc00f,0x0ff62fd8,0x4fc80ff2,0x333339f9,
    0x5fb05fd3,0x2fdc17ec,0xfb10ffc0,0x003fcc0d,0xfa801ff5,0x800ff88f,
    0x7c06fffa,0x5f89fe67,0x3fc83fe8,0x07f20fd8,0x3f027ff4,0x4b87f5d4,
    0x9fd303fe,0x1fb8bee0,0x2013f200,0xff8807f9,0x3f21bee0,0x7e5bee03,
    0xffffffff,0x362fdc2f,0xffffb82f,0xdff0ffff,0x401dfffd,0xff1007f9,
    0x333fa005,0x3ff6004f,0xff93fc02,0x3ee17e25,0xfe80ff86,0x501ffb8a,
    0xd0fc01ff,0xff25c17b,0x0dfffb99,0x01f90fe4,0x2003fe20,0x6fa807f9,
    0x3f207fc4,0x7e57ee03,0xecccccce,0xb03fe22f,0xddff705f,0x3fe1dddd,
    0x9804fffe,0x0bfb007f,0x07fffcc0,0x809ffd00,0x4d3ffa7e,0x20ff884f,
    0xfff506f9,0x7ffc3f9d,0x45ffffff,0x92e0ba1f,0x3effffff,0x0fb07e40,
    0x98027e40,0x83fd807f,0x01fe43fe,0x80ff2bf9,0x20bf62fd,0x05fb82fd,
    0x7fd11ff8,0xa807f980,0x7ec000ff,0x3bee002f,0x23fa01ff,0x9f37fbf9,
    0x3fc8ffa0,0x20c46a20,0xccffdccc,0x0370fc3c,0x0ccffc97,0x3ffffee0,
    0x04ffffff,0x4c003fe2,0x5ffc407f,0x46fdaaaa,0x4ff603fc,0x4bf603fc,
    0xaaaaaffa,0x3ee2acfe,0x261ff805,0x1fe600ff,0x0005ff10,0x7cc00ff3,
    0x3606fc9f,0xafc9fb8f,0x4df703f9,0x200000ff,0x30fc07f9,0x00ff92e0,
    0x99ff9930,0x40599ff9,0x3e6005fc,0x7fffd407,0x20ffffff,0x3ff303fc,
    0x2fd80ff2,0xfffffff7,0x2e1fffff,0x41ff805f,0x1fe604fd,0x2000bfb0,
    0x3fa007f9,0x3207ff14,0x5bf36e9f,0x23fe207f,0xfff306f9,0x554fffff,
    0x1aaaffba,0xb85f98fc,0x20003fe4,0x4402fc6f,0x3e6001ff,0x666fec07,
    0x23fecccc,0x4bfb03fc,0x4bf603fc,0xaaaaaaa9,0x3ee2acfe,0x4c1ff805,
    0x0ff300ff,0x80007fd4,0xff7007f9,0x640ffd41,0x2ffa3fbf,0x32ffa02f,
    0x9999103f,0x7ffc9999,0x45ffffff,0x9705b11f,0x7c0007fc,0x32013e25,
    0x3fcc005f,0x5c01ff10,0xa88ff26f,0x0ff21ffe,0xfb002fd8,0xf00bf705,
    0x209fb03f,0x5ff107f9,0x03fcc000,0x7f41ffc4,0x21fefb86,0x2e02fefc,
    0x0000ffdf,0x9ffa9998,0x4cd7c099,0x4c999999,0xf10003fe,0x22027cc9,
    0x7cc001ff,0x301bea07,0x3bbf21ff,0x640effff,0x00bf603f,0x2fdc17ec,
    0x7d40ffc0,0xffdddb0f,0x3ff27ddd,0xffffffff,0x201fe602,0x7ff306fd,
    0x7cc6ffb8,0x3fe201ff,0x9800006f,0x7fffc07f,0x4fffffff,0xf30003fe,
    0x3201fd47,0x7f98005f,0x3a00ff60,0xdffff93f,0x80ff205b,0x5fb002fd,
    0xff00bf70,0x7f53fa03,0x4fffffff,0xfffffff9,0x7cc05fff,0x00ffdc07,
    0x7fd41ff9,0x401ffe83,0x00003ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x47f607ff,
    0x1ff707f8,0xfc801fe2,0x42ffb80f,0x2defffff,0xffffffb8,0x813003ff,
    0xbd100008,0x00d54400,0x0d54c000,0xaa980351,0x880cc0aa,0x2aaa2009,
    0x03555300,0x00035530,0x982a6110,0x26009882,0x41bfee09,0x30ff11fd,
    0x03fc43ff,0xfd07ffb0,0xeeeff87f,0x7fdc6fff,0x02eeeeee,0x3be25fa8,
    0x06f88000,0xeffffe88,0x0077cc01,0xf59ffffd,0xfe981dff,0x3fc6ffff,
    0xfe985fa8,0x3e63ffff,0x82ffffff,0x1effffe9,0x85dffd50,0xb8fff9de,
    0x3fea0eff,0x2e1ffa81,0x1fd82fff,0x3fe88ff1,0xfb003fc4,0x3fef98df,
    0x3fea07fc,0x80013ee3,0x7fe43ffb,0x037c4001,0x32a73fe2,0x3ff600ff,
    0x3aeafa02,0x24fcaeff,0xbaaacff8,0x5fa83fc4,0x655effd4,0x2af3ea3e,
    0x3ea1ffeb,0x2ffdbbcf,0x7fee7fd4,0x3f33bba1,0x641fdbfb,0x0ffa20ef,
    0xfb0dfbf7,0x9fb1fe23,0x6c00ff10,0x2ff20fcf,0x6407fc3f,0x0013ee5f,
    0xfb80ffec,0x1be2003f,0xbf907fb0,0x0007fd40,0x73fc3ff5,0x41fe009f,
    0x0ffe25fa,0x13fe8020,0x8df905ff,0xe97ee0ff,0x2abff16f,0x324fe83f,
    0xfebfb85f,0x7f88fec2,0x3fc417f2,0x47f5fd00,0x7fc4faef,0x3ee4fb80,
    0x77f44004,0x827fd400,0x9efa9998,0x0ff10999,0x01101fe2,0x7f47f880,
    0x3e00bf70,0x7e4bf507,0x5fb80005,0x8ffc0bf7,0xd3fc45f8,0x4c3fe25f,
    0xaaff884f,0xabfb80ef,0xf88fec6f,0x2201df57,0x7dfa007f,0x89f57f56,
    0x22fd80ff,0x3a6004fb,0x3fa2005f,0x7fffec0d,0x53ffffff,0x007fc0bf,
    0x3df31000,0x3e63fb33,0x1fe00aef,0x05fd2fd4,0x3ee66200,0x7ec07f95,
    0x4ff0df32,0xf99be27e,0x3ffff504,0x0ffcfee0,0x27fe23fb,0x1fe200ff,
    0x93f97f80,0xff89f31f,0x44fd9999,0x99999dfb,0x001ffd41,0x97077ec4,
    0x999ff999,0x3fffee39,0x91ffffff,0x99999999,0x7ff4c599,0xffffffff,
    0x37fffea1,0xbf507f81,0xd5000ffc,0x2bffffff,0x53f202fd,0x9be60ff8,
    0xf99be27e,0x80fff604,0x6cbf73fb,0x5fdff11f,0x2007f880,0x2bf9f36f,
    0x7fffc5f9,0xffb84fff,0x11ffffff,0x44000dff,0x1be205ff,0xccccefb8,
    0xfff0cccc,0xffffffff,0x2ef7fe2b,0x0aaaaaef,0x2fffed44,0xf2fd41fe,
    0x3fee003f,0xd5fcaabc,0xb1fe405f,0x45fd55bf,0xf99be27e,0x813ffa04,
    0x23ff13fb,0xfbff11fd,0x007f880d,0x32ffe9be,0xdccff8bf,0x3ee1effe,
    0x0cccccce,0x0003bfa2,0xf8809ff3,0x801fea06,0x99999999,0x4bf70999,
    0xb88007f8,0x203fe2ff,0x00bfa5fa,0x3ea07fe2,0x7ec07f95,0x3ffffa22,
    0x4df13f43,0xfbf904f9,0xc8fee07f,0x3e23fb5f,0x2204fe8f,0x4df1007f,
    0xf17e67fb,0x26fd881f,0x7ec004fb,0x7ff5001f,0x4c0df100,0x000002ff,
    0x0ff88ff2,0x7c9f9000,0x325fe81f,0x06f9805f,0x41beebf7,0xaa980ff8,
    0x9be27e80,0x8ffb84f9,0x3fb81ff9,0x47f63fe2,0x07ff17f8,0x7c401fe2,
    0x6f88fa26,0x7fc407fc,0x70009f71,0xffc805ff,0x80df1002,0x50001efd,
    0xfd27d403,0xfd00409f,0xfb127f47,0x0e7fc4bf,0x207fcc22,0x7ff15ffc,
    0x0004fe88,0xf337c4fd,0x322ff989,0x21fdc0ef,0xf11fdcfc,0x440ffd4f,
    0x0df1007f,0x07fc6f88,0x09f72ff8,0x413fea00,0x54001efd,0x7fffc402,
    0x3204eccc,0x9ff101ff,0x99dff5fd,0x6e66fecb,0x3fea0eff,0x45fbffce,
    0xfedefffb,0x3f73ffa3,0x3fea5fdf,0x20effdce,0xfffffff9,0x26f89fa7,
    0x13fa24f9,0x87f717fa,0xf11fdff8,0x440efc8f,0x0bf3007f,0x07fc7f88,
    0x4fb87fd4,0x97fe6000,0x0000efe8,0x3fff2200,0x3f603eff,0x3bfae02f,
    0x4bfffd51,0xcffffffc,0x9efffb80,0xffd985f8,0x3f621eff,0x45f89eff,
    0x83efffd9,0xccccccc8,0x26f89fa4,0x03bf64f9,0x3fb93fe6,0xf11fffd8,
    0xf88bfd0f,0x80bf3007,0x107fc7f8,0x27dcbfd5,0xb13a2000,0x3bba6009,
    0x0eeeeeee,0x44006620,0x2201003c,0x00266201,0x0440004c,0x04c000c0,
    0x00000000,0x983fb800,0x0ff11fff,0x7fc49ff1,0x26eeeeee,0x47f805fa,
    0xfffeeeff,0x7777fdc6,0x00002eee,0xfffff500,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ec0fee0,0x2a0ff11f,0xffff12ff,
    0x7d4fffff,0x7fc7f805,0xb81defff,0xffffffff,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8004d440,0x18188009,0x2880aa98,0x00a060a0,0x553102a6,0x009a8803,
    0x32606fa8,0xcccccccc,0x2613310c,0x40026619,0x99950998,0x07999999,
    0x00262002,0x88033062,0x54413109,0x2a60980a,0x0264400a,0x33333331,
    0xfffe8813,0x805f804f,0x553ee2fd,0x742fffff,0x3a4fc83f,0x540ff21f,
    0x7fdc1ffe,0xffc81fff,0x7ff404ff,0xfffff503,0x2e1fffff,0x7cbfb1ff,
    0x4ff9803f,0x3fffffee,0x7fe46fff,0x4fbab82e,0x3fa1fe80,0x7dd3f603,
    0x1ffffd8a,0x7ffec77c,0x81fe204f,0xfffffffe,0x9837e63f,0x49d020ee,
    0x3e25fa80,0xfd77f70f,0x322ffa8f,0x89be60ef,0x3ffa20ff,0x4d5cc1ff,
    0x56fe46fc,0x5f703fea,0x222201fd,0x20888888,0x4bfb0ffa,0x7fcc03ff,
    0x4ccccc42,0x3f26fa99,0x3e22ffef,0x7f805f9e,0xff8837dc,0x79fd9f70,
    0xfdff8ffd,0x101ffdac,0x6665c0ff,0x3a2ffdcc,0x9d2eff8c,0xf74e8f64,
    0xfd07fc45,0x207fc405,0x0efcaffa,0x17ea4fc8,0x803fd19d,0x11be26f9,
    0x26bf10ff,0xf500005f,0xff93f21f,0x0006e402,0x21ff37c4,0xcfc9cffa,
    0xf104c6f8,0xb81ff88d,0x07bfee5f,0x17ffc5ff,0x3fc413f6,0xf527f400,
    0x2af51f11,0x9b9fd30f,0x1fec3bfb,0x7f9809f7,0x01dfff50,0x07fb0ff4,
    0x2ea207fa,0x213ea2fe,0x90fe40fe,0xaaaa885f,0x262aaaaa,0xfe93f27f,
    0x22000002,0xf98df16f,0x4ff0ffff,0x217e66f8,0x22fe84fd,0x3fe81ffb,
    0x17ee0bfe,0x32003fc4,0x9f8b646f,0xe983f16c,0x7fc41dff,0xf9803fe0,
    0x0fff603f,0x37d4bf70,0xff981fe8,0x117e62ef,0x445f88ff,0x7fffd46f,
    0x30ffffff,0xfd1fdcff,0x44000003,0x3220225e,0x5c3fa0cd,0x509f51ff,
    0x5c7f98ff,0x7c35304f,0x332bf507,0xcccffdcc,0x81ff502c,0x41fdf15c,
    0x77ffdc2f,0x3ea4fb82,0x409ff505,0x102ffffc,0x80ff41ff,0xf73301fe,
    0x447fe23f,0x407ec4fc,0x2aaa24fb,0x22aaaaaa,0xa86e63b8,0x0000000b,
    0xb1fd8000,0x40fee7ff,0x713f22ff,0x83fc009f,0xfffff5fa,0x0bffffff,
    0x2f705ff1,0x1f34d8f8,0x3336ffee,0x90ff41ef,0x02ffc87f,0x3fea3bf2,
    0x3ee2fd83,0x2007fa04,0x3ffea3fe,0x0fa60eff,0x00000dd8,0x00000000,
    0x57e40000,0x5f76fcf8,0x1ff97f20,0xff0027dc,0x4ccd7ea0,0x9999ffa9,
    0xf103fe80,0xb1f31f15,0x34e86e4d,0x226f983d,0x9bffb1fe,0x077e4799,
    0x2fdc7ff5,0xaa981ff3,0x3331acfe,0xc983ff95,0x400003cd,0x80800999,
    0x99999100,0x970dea89,0x36599999,0xdddddddd,0x7dc3dddd,0xc9fc9fbb,
    0x51ff101f,0x009f70df,0x05fa83fc,0xbfb00ff1,0x2a2afb80,0x013a01fd,
    0xf3f987f2,0x4bffffff,0x23fa80ed,0x20bee0fd,0x5ffffffd,0x05fffff9,
    0xb1000000,0x17f401df,0xfff309f9,0x5fff8fff,0x7ffffffb,0x3ffffffe,
    0x45ffffff,0x9f36dcf9,0xdafd80fb,0x004fb83f,0x82fd41fe,0x77dc07f8,
    0xccefb800,0x02fc02fe,0x26660808,0x00409999,0x22010101,0x30999999,
    0x00005555,0x1df70000,0x5fd8ffe0,0x81111110,0x55535fff,0x00001555,
    0xfd27f7c4,0xfdfa80fd,0x004fb80f,0x82fd41fe,0x3fe607f8,0x336e6001,
    0x0009800a,0x00000000,0x00000000,0x26000000,0xb887304d,0x3fee0000,
    0x80000001,0x3ff21fff,0x04fff805,0x3fc009f7,0xff105fa8,0x7777ff40,
    0x00005eee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fcc6fe8,0x01ffc804,0x3fc009f7,0x06605fa8,0xfffffff8,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_25_latin1_x[224]={ 0,5,3,0,1,0,0,5,3,3,2,1,2,3,
4,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,2,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,2,
1,2,2,1,1,1,1,1,2,2,0,1,0,0,0,0,2,1,5,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
5,1,0,0,2,1,1,3,1,0,2,1,3,3,0,1,1,4,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_25_latin1_y[224]={ 18,0,0,2,-1,0,1,0,-1,-1,0,5,14,10,
14,0,1,1,1,1,2,2,2,2,1,1,5,5,4,8,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,21,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,18,5,-1,1,2,2,
-2,0,0,1,1,6,10,10,0,1,0,3,0,0,0,5,0,9,18,0,1,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_25_latin1_w[224]={ 0,4,8,14,12,14,14,4,8,8,10,12,7,8,
5,11,12,12,12,10,14,10,12,12,12,12,4,6,11,12,11,9,14,14,12,12,12,10,10,13,12,10,9,12,
11,14,12,14,12,14,11,12,12,12,14,14,14,14,12,7,12,7,12,14,9,11,12,11,11,12,13,12,11,10,
10,11,10,12,11,12,12,11,11,10,12,11,13,14,14,13,10,10,3,10,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,11,12,12,14,
3,12,11,14,9,11,11,8,12,11,10,12,8,8,12,13,12,5,4,9,10,11,14,14,14,9,14,14,14,14,
14,14,15,12,12,12,12,12,12,12,12,12,13,13,14,14,14,14,14,11,14,13,13,13,13,14,12,12,12,12,
12,12,12,12,14,11,13,13,13,13,12,12,12,12,12,12,13,13,13,13,13,12,12,12,12,12,12,13,12,13,
 };
static unsigned short stb__consolas_25_latin1_h[224]={ 0,19,7,16,22,19,18,7,25,25,12,13,9,3,
5,21,18,17,17,18,16,17,17,16,18,17,14,18,15,7,15,19,24,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,22,16,18,16,17,16,16,16,16,16,24,21,24,8,3,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,24,26,24,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,23,17,16,16,
26,21,6,18,13,11,6,3,12,5,9,15,11,11,6,19,21,5,4,11,13,11,18,18,18,19,21,21,21,21,
21,22,16,21,21,21,21,21,21,21,21,21,16,21,22,22,22,22,22,11,22,22,22,22,22,21,16,19,19,19,
19,19,19,20,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,18,19,19,19,19,24,24,24,
 };
static unsigned short stb__consolas_25_latin1_s[224]={ 253,251,208,42,58,135,96,203,18,9,91,
54,248,230,248,114,22,156,143,11,124,132,169,57,181,106,251,48,78,190,90,
1,117,83,54,83,98,67,139,194,111,162,182,14,27,39,1,14,29,158,150,
42,70,119,231,216,201,186,173,35,167,27,177,239,190,191,211,179,199,115,67,
27,124,234,78,55,245,227,42,203,54,244,30,156,29,167,16,1,240,105,67,
54,1,43,242,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,253,248,132,
93,192,1,5,208,200,68,246,102,230,230,78,212,166,102,114,157,217,185,101,
224,251,147,216,135,136,151,166,81,126,221,236,41,86,71,218,141,154,195,69,
56,95,82,15,28,234,1,173,188,203,218,233,123,1,16,30,44,144,180,205,
192,205,218,231,172,1,108,141,81,178,164,150,121,35,111,208,221,14,55,132,
224,40,91,67,128,1,159,146,238,119,103,65,89, };
static unsigned short stb__consolas_25_latin1_t[224]={ 1,28,165,132,28,51,93,165,1,1,165,
166,113,173,123,28,93,113,113,93,132,113,113,132,93,113,73,93,149,165,149,
93,1,132,149,93,132,149,132,93,132,132,113,149,149,149,149,113,132,1,132,
113,132,113,132,132,132,132,132,1,28,1,165,173,173,149,73,149,73,149,113,
73,93,93,1,113,93,149,166,149,73,51,166,149,113,149,166,166,149,73,166,
1,1,1,165,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,1,1,1,
113,113,132,1,28,173,93,132,165,165,173,165,173,165,149,165,165,165,73,28,
173,88,165,149,165,93,93,93,73,28,28,28,51,28,28,113,28,28,28,51,
51,51,51,51,51,113,51,1,1,1,1,1,165,28,28,28,28,1,28,113,
51,51,51,51,73,73,51,149,113,51,51,51,51,93,93,93,93,73,93,73,
73,73,73,73,149,113,73,73,73,73,1,1,1, };
static unsigned short stb__consolas_25_latin1_a[224]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_25_latin1_BITMAP_HEIGHT or STB_FONT_consolas_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_25_latin1(stb_fontchar font[STB_FONT_consolas_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_25_latin1_BITMAP_HEIGHT][STB_FONT_consolas_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_25_latin1_s[i] + stb__consolas_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_25_latin1_t[i] + stb__consolas_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_25_latin1_x[i];
            font[i].y0 = stb__consolas_25_latin1_y[i];
            font[i].x1 = stb__consolas_25_latin1_x[i] + stb__consolas_25_latin1_w[i];
            font[i].y1 = stb__consolas_25_latin1_y[i] + stb__consolas_25_latin1_h[i];
            font[i].advance_int = (stb__consolas_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_25_latin1_s[i] + stb__consolas_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_25_latin1_t[i] + stb__consolas_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_25_latin1_x[i] + stb__consolas_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_25_latin1_y[i] + stb__consolas_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_25_latin1_LINE_SPACING
#endif

