// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_27_latin1_BITMAP_HEIGHT        208
#define STB_FONT_consolas_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_27_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_27_latin1_NUM_CHARS            224

#define STB_FONT_consolas_27_latin1_LINE_SPACING          18

static unsigned int stb__consolas_27_latin1_pixels[]={
    0x9872a395,0x00188000,0x00000000,0x2000072e,0x0002cdca,0x22019991,
    0x2001cc0b,0x5d5003d9,0xd1000000,0x80000007,0x5c4001a9,0x0002cddc,
    0x332ea200,0x93fc8ccc,0x001be67f,0x3bfe1fd1,0x3ffe600c,0xfff71fff,
    0xed880fff,0x0005fd6f,0x7ff7fec4,0x3fa2000e,0x89ff601e,0x3fe004ff,
    0x02fc802f,0x1cc7dfb1,0x0009f500,0x7e4027cc,0x400dffff,0x4ffffffb,
    0x98fbf620,0xffffb303,0x7f91ffff,0x2ffc4ff2,0x7ecdfd00,0xdd100fff,
    0x3ee3ffdd,0x2606eeef,0x5fd4ffff,0x2ffe2000,0x001df710,0xfb00bfd1,
    0x0027fc4d,0xfb005fff,0xffbfd103,0x6400dfbd,0x3f20003f,0x3bffa202,
    0x300effec,0x333337ff,0x3ff7fa20,0xff986fde,0xffa9dfff,0x47f93fc8,
    0xfd804ffa,0x04ffa80f,0x2fdc7fa0,0xe83dfb00,0x5fd0002f,0x2a00ff20,
    0x8151002c,0x27540029,0x3900fe80,0x0037ff22,0xdfffffd7,0x3faaa600,
    0x307ff200,0x17f20bff,0x7e447200,0xfffe80df,0x91ff14ff,0xf90ff27f,
    0x17fd403f,0x7400df90,0x400bf71f,0x02fe82ff,0x7c04fc80,0x00000006,
    0x3e600000,0x4400000f,0xfefffffe,0x7fffe407,0x5ff100ff,0x3607fea0,
    0x8000005f,0x4ffffff9,0x27f91ff1,0x06fe83fc,0xff3017fa,0xfb8ff400,
    0x01ff1005,0x055445fd,0xfd806f88,0x31002661,0x22004cc1,0x26666209,
    0xfb101999,0x980dffff,0x2efe801a,0xfe880cfd,0x05ffecef,0x4ff80df9,
    0x1004ffa8,0x70c40133,0x29ffffff,0x93fc8ff8,0x05ff307f,0xf8801df7,
    0x5c7fa007,0x0ff1005f,0x3ffa2bfa,0x83fb82ff,0xfe8bee20,0xfd27f405,
    0x364fe80b,0x7fffffff,0xffefffa8,0xffff907e,0x5ff301bf,0x7fe4037c,
    0x213fff61,0x37e403fe,0x00f7ffc4,0xfe81bfee,0xffffff71,0x3f23fe29,
    0x3f207f93,0x8803ff85,0x47fa007f,0xff1005fb,0x37ff3fa0,0x7f41ffec,
    0x3fdffb10,0x07fdc7f5,0x3ee1ff98,0x43ff300f,0xfdcccccb,0xfaaffc47,
    0xeffe8834,0x540effec,0x80bf11ff,0x5f7c2ff8,0x017fc1ff,0xbff11fee,
    0x2e019fff,0x3fd02fff,0x3fffffe6,0x7f91ff14,0x7fdc0ff2,0x2007fe60,
    0x3fa007f8,0x2200bf71,0x3dffd07f,0x97e25fe8,0x98ffddfe,0x40ffe23f,
    0x1ffc46fc,0xf3006fc8,0x3ee6fd8f,0x983ff903,0xa7fc45ff,0x37e404f9,
    0x11ffd3ea,0x7fa803ff,0xffc8a7ec,0x6fffb81e,0x7ff43fd0,0x1ff14fff,
    0x40ff27f9,0x1ff23ff9,0xd000ff80,0x4017ee3f,0x1ffd05f9,0x3ea1ff50,
    0x5fe2bf54,0x837e44f9,0x06fc83ff,0x3e6007ff,0x5f917fc7,0x2a05ff10,
    0x77fec1ff,0x1ff403fc,0x327e47f2,0xffa803ff,0xfd303fe0,0xffdfb81f,
    0x3e61fe82,0xff14ffff,0x0ff27f91,0x1bf64ff8,0xd003fd80,0x4017ee3f,
    0x07fd03fc,0x97e47fe2,0x26bf32fd,0x20ffcc4f,0xff980ff9,0x8007fcc1,
    0x83fe67f9,0x06fc80fd,0x7fe427fc,0x3fe00cff,0x4bf73fc2,0x7d401ff8,
    0x7440ffc7,0x7defdc4f,0x6441fe86,0x1ff14fff,0x7f4007f9,0x98013fa5,
    0x3a02cdfe,0x5c0bf71f,0xfd00dfdc,0xfc97fc05,0x53ee1ff1,0x44fe83f9,
    0x13fa05fc,0x7cc00bf9,0x7e83fe67,0xfc807fd0,0xffffb306,0x4c3ff109,
    0xff1fee4f,0x746fb805,0xb8ff705f,0x741ff8df,0x446a601f,0x003fc8ff,
    0x02ff9bf2,0x205ffe80,0x40bf71fe,0x7f405ffe,0x7ecbfe02,0x4ff26f88,
    0x0ffb83fa,0xffb80bfe,0x9800bfe0,0xf8bfe67f,0xb805ff07,0x7fff406f,
    0x87fe60ef,0xf1fea2fb,0x45fd809f,0x7cc0dff9,0x5fdafdc7,0xf1000ff4,
    0x4007f91f,0x00bfe6fc,0x01abff98,0x02fdc7fa,0x203dfb55,0x3ff102fe,
    0xd9be63fa,0xf105f72f,0x101fea5f,0x01fea5ff,0x7fc4ff30,0xff10bf14,
    0x407fa803,0x44bff77f,0xa83fa1ff,0x1037ec7f,0xdff505ff,0x3ee2fe45,
    0x7f43ff35,0x23fe2001,0x3f6003fc,0xd8013fa5,0x23fd002f,0x9f9005fb,
    0x7cc0bfa0,0xd37cdfa7,0x6403f63f,0x9009fb6f,0x0013f6df,0xaffd8ff3,
    0x1ff984f9,0x8807fd40,0xff1fee6f,0xdf717e25,0xf902ff98,0x6fff4c0d,
    0x2fdc1ffc,0x00ff4bfb,0x7f91ff10,0xfb27fc00,0x003fc00d,0x017ee3fd,
    0x2fe837cc,0x87ecbfb0,0xf11ff56f,0x7cffcc0b,0x9ff9801f,0x7cc001ff,
    0x7efffc47,0x3ff15b9c,0x2607fa80,0xd83fea5f,0xfd87f73f,0x10affe84,
    0xf7005ff9,0xbf703fff,0x1fe87fcc,0x323fe200,0x2603953f,0x03ff22ff,
    0xe801fe20,0x200bf71f,0x07fd07f8,0x87e41ff7,0xedfcfdfe,0x7f7f401f,
    0x3fbfa006,0x87f98006,0xffffffe9,0xf700bfe7,0xfb27d40d,0x1fb6fc8f,
    0x74417fc4,0x3fffefff,0x07ff6200,0x29fd17ee,0x3e6001fe,0x7f93fc8f,
    0xf983fea0,0x07f8801f,0x2fdc7fa0,0xfd07f880,0x5fffddff,0x9fd31fc8,
    0x2e00fff6,0x2e002fff,0x98002fff,0x37fa607f,0x00ffe1ab,0x4cdd49fb,
    0x3ffdabfb,0x237dffd4,0x3b2206fc,0x0002dfff,0x8bf709fd,0x01fe8ffa,
    0x9fe5fee0,0x0bf903fc,0xff1007fd,0xfb8ff400,0x20ff1005,0xdefffffe,
    0x2043fb80,0x1ffe2000,0x00fff100,0xfd01fe60,0x881bf601,0x3ffee3ff,
    0x04ffffff,0x3229fff9,0x7fb002ff,0x84fe8000,0xebfe85fb,0xbfd0081f,
    0x41fe4ff2,0xffb81ff9,0x003fc400,0x017ee3fd,0x2fe83fc4,0x00df1003,
    0x01ffc400,0x000ffe20,0x1fe03fdc,0xf902ff98,0xffeec98d,0x7ec00cdf,
    0x03fffeef,0x2601fee0,0x417fdc40,0xeefa85fb,0x9857d41f,0x27f91ffc,
    0x05fe83fc,0xff1017fa,0xfb8ff400,0x20ff1005,0x7f4002fe,0xffb00000,
    0x0ffd8001,0x40dfb000,0x7ff406f8,0x00bff222,0xff8800fd,0x4001dfff,
    0xfbabeff8,0x3ffbff61,0x0bf703ff,0xfb07fffe,0x49ffffff,0xc87f93fc,
    0x3fea00ff,0x801bee03,0x00bf71fe,0x17f417fc,0x003bea00,0x005ff700,
    0x0002ffb8,0x7cc07ff3,0x7fff4405,0xf803fffe,0x4efcc006,0x7fd40001,
    0x3ae3ffff,0x201dffff,0xfff705fb,0xbdfdb503,0x7f93fc83,0x6c01ffd4,
    0x0bfd01ff,0x5fb8ff40,0x3a17fa00,0xefc8002f,0x80fca99b,0x04ffecc8,
    0x4ffecc88,0xebbdf980,0x27d406ff,0xdfffec80,0x005f8801,0x000017e4,
    0x0037b971,0x4417ee00,0x20001fff,0x227f93fc,0x3fa004ff,0x3fffb50e,
    0x3eaaaa20,0x555df71f,0x67ffd405,0x20005fd2,0xdffffffb,0x2ffff980,
    0x5ffff300,0x3fffe600,0x4c400dff,0x000c4000,0x3b20004c,0x00000000,
    0x00000000,0x7f93fc80,0xd10017e6,0x0bbffe1d,0xffffff98,0xffffff71,
    0x56fffb80,0xa9800015,0x2aa2009a,0x0d544001,0x55d54400,0x00000000,
    0x00000000,0x00000000,0x90000000,0x018ff27f,0x0d541100,0x55555440,
    0x5555510a,0x05531005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9000000,0x0000ff27,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a635300,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0x700002ee,0x362005dd,0x6cc000de,
    0x5d5000de,0x75401db8,0xd700edc2,0xd700005d,0xbdb1005d,0x80000001,
    0x65c09aa8,0x76c40001,0x3ae0000d,0x2175402e,0xeb8001db,0x8079902e,
    0x40002ffb,0xf3002ffb,0x4001dfbf,0xb005ebee,0x404ff8df,0x027fc6fd,
    0x8000bfee,0xf9802ffb,0x4400efdf,0x00e63efd,0x3ffffff2,0x80017ea6,
    0x00efdff9,0x802ffb80,0x027fc6fd,0xf80bfee0,0x2fe9805f,0x01df7000,
    0x7d47fe60,0x72f8801e,0x70faa00f,0x43ea803d,0xfe9801eb,0x0efb8002,
    0xf51ff980,0x37fa203d,0x206fdeff,0xeddfffe8,0x007fe0ff,0x7d47fe60,
    0x3bee001e,0xb87d5000,0x3bee001e,0x002ffc00,0x00000000,0x756fc000,
    0x00000006,0x00000000,0x39000000,0x8037ff22,0x43882fff,0x000004fc,
    0x00000000,0x3fe00000,0x00353005,0x40006a60,0xf98001a9,0xa98001ef,
    0x40098801,0x00262099,0x004c4133,0x00988266,0x000004cc,0x44001ff7,
    0x260000ff,0x004cc019,0x4cc00988,0x03330001,0xfc80bfd0,0x800dffff,
    0x0dfffffc,0xfffffc80,0x0666000d,0xfffff900,0x017f201b,0x02fe45ff,
    0x05fc8bfe,0x0bf917fc,0x4cc02ff8,0x027fc401,0x8001fec0,0x3201fffa,
    0x7fcc01ff,0x07ffea02,0x03fff500,0xfd104fe8,0x1dffd9df,0x33bffa20,
    0xd100effe,0xdffd9dff,0x3fff5001,0x9dffd100,0xf901dffd,0x322ff80b,
    0x917fc05f,0x22ff80bf,0x17fc05fc,0x403fff50,0xa8000ffa,0xffb0006f,
    0x2ffc409f,0xfb01bf60,0xfd8009ff,0x27f404ff,0x7cc1ffc8,0x83ff905f,
    0xff905ff9,0x805ff983,0xc804fffd,0x2ffcc1ff,0x3fe02fe4,0xff017f22,
    0x3e02fe45,0xf017f22f,0x7ffec05f,0x001fee04,0x44001fe8,0x5c07fcff,
    0x3ff302ff,0x3fe7fc40,0xff9ff100,0xf884fe80,0x83ff502f,0xff502ff8,
    0x502ff883,0x7fc403ff,0x7fc407fc,0xc83ff502,0x917fc05f,0x22ff80bf,
    0x17fc05fc,0x2ff80bf9,0x0ff9ff10,0x700037e4,0xefa800bf,0x7f401ff8,
    0xa80bfd06,0x001ff8ef,0x03ff1df5,0x37e427f4,0xdf913fe0,0x7e44ff80,
    0x5027fc06,0x403ff1df,0x27fc06fc,0x5ff017f2,0x3fe02fe4,0xff017f22,
    0x3e02fe45,0xf1df502f,0x017f603f,0x000ff880,0x027f53f6,0xff50bfea,
    0xfd4fd803,0x753f6009,0x20ff604f,0x37e403fe,0xdf900ffa,0x7e403fe8,
    0x7f53f606,0x900ffa04,0x405fc8df,0x017f22ff,0x02fe45ff,0x05fc8bfe,
    0x4fd817fc,0x1bf609fd,0x007f9000,0x3fdc7fe2,0x3fa37ec0,0xb8ffc404,
    0x1ff8807f,0x1fec0ff7,0x3ee017fc,0x2e017fc6,0x2017fc6f,0x3ff106fb,
    0x2ff81fee,0x3f237dc0,0xf917fc05,0x322ff80b,0x917fc05f,0x82ff80bf,
    0x0ff71ff8,0x30001ff2,0x9fea00ff,0x7cc01ff9,0x801ff53f,0x07fe67fa,
    0x7fccff50,0xf887fb01,0x13fd401f,0x7fa803ff,0xf5007fe2,0xf99fea0f,
    0x01ff881f,0x17f23fd4,0x2fe45ff0,0x5fc8bfe0,0xbf917fc0,0xfa82ff80,
    0x2e07fe67,0x6c0000ff,0x44fd802f,0xffc804fe,0xfd803fe8,0x36027f44,
    0xd827f44f,0x00ffcc3f,0x7fcc3fea,0x987fd401,0x7fd401ff,0x7f44fd80,
    0x401ff984,0x17f20ffa,0x2fe45ff0,0x5fc8bfe0,0xbf917fc0,0xfd82ff80,
    0x7c427f44,0x7d40004f,0x217fc406,0xff8806fc,0xff8806fe,0xf1037e42,
    0xb06fc85f,0x01ff887f,0x3ff13fd4,0x3e27fa80,0x43fd401f,0x37e42ff8,
    0x2a00ffc4,0x202fe47f,0x017f22ff,0x02fe45ff,0x05fc8bfe,0x3fe217fc,
    0xfd837e42,0x7fc0001f,0x261fea01,0xffb801ff,0x87fa802f,0xff501ff9,
    0x8003ff30,0x37dc02ff,0xdf700bfe,0x7dc02ff8,0xf987fa86,0x402ff81f,
    0x02fe46fb,0x05fc8bfe,0x0bf917fc,0x17f22ff8,0x7fa85ff0,0xf981ff98,
    0x064c0bff,0xfd813ee0,0x2009ff05,0xbfb006fe,0x7ec13fe0,0x0609ff05,
    0x3f601ffc,0x3601ffc4,0x201ffc4f,0x05fd84fd,0x07ff09ff,0x37dc4fd8,
    0x6fb8bfe0,0xdf717fc0,0x3ee2ff80,0x3617fc06,0x209ff05f,0xfffffff9,
    0x7fc400ff,0xddddff00,0x200dffdd,0xdff004fd,0xdffddddd,0x3bbbbfe0,
    0x7446ffee,0x206fd85f,0x37ec3ff8,0xfd87ff10,0x20ffe206,0xeeeeeeff,
    0x06fd86ff,0xdf50ffe2,0xf507fd40,0x507fd40d,0x07fd40df,0x7fd40df5,
    0x77777fc0,0x2206ffee,0x3defffeb,0xf507fb00,0xffffffff,0x9fb003ff,
    0xfffff500,0x83ffffff,0xfffffffa,0x3ea1ffff,0x02ff987f,0x5ff30df9,
    0x3e61bf20,0x50df902f,0xffffffff,0xff983fff,0xf30df902,0x31ff203f,
    0x1ff203ff,0x3f203ff3,0xc80ffcc7,0x7fffd47f,0x1fffffff,0x00077d40,
    0x6fec37cc,0xf9999999,0x04fd804f,0x9999dfd8,0x6c4ff999,0x999999df,
    0x3fa24ff9,0x445ffd05,0xffd02ffc,0x817fe445,0x3f222ffe,0x99dfd82f,
    0x4ff99999,0x3222ffe8,0x1dfd02ff,0xfe83ffa8,0x41ffd40e,0x7fd40efe,
    0x540efe83,0x4efec3ff,0xff999999,0x001fe404,0x2ff85fd0,0x6c037e40,
    0x02ff804f,0x0bfe37e4,0x4030df90,0xffefffe8,0x3ffa203f,0x203fffef,
    0xffefffe8,0x805ff03f,0xffe886fc,0x203fffef,0xfeeefff9,0xdfff305f,
    0x260bffdd,0xffeeefff,0xddfff305,0x5ff0bffd,0x7406fc80,0x3ee0001f,
    0x5003fea5,0x4fd803ff,0x2007fd40,0x1ff51ffa,0x001ffa80,0x1dfffec8,
    0xbfffd900,0x3ffb2003,0x1ff501df,0x901ffa80,0x003bfffd,0x7dffffb1,
    0xffffd880,0x7fec403e,0x6c403eff,0xa83effff,0x7fd400ff,0x00017a01,
    0x02fec3b6,0x7ec03ff8,0x802fec04,0x00bfb3ff,0x88000ffe,0x00620001,
    0xfd801880,0x807ff005,0x06200018,0x8000c400,0x03100018,0xff005fd8,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005dd700,
    0x5c165400,0x5c0002ee,0x76c402ee,0x2175400d,0x5dd701db,0x2eeb8000,
    0x006f6c40,0x03b70baa,0x5403dc88,0x072e03dd,0x007302e2,0x1000165c,
    0x99101999,0x51062007,0x02a60015,0x0002ffb8,0x3ee03fd0,0xff70002f,
    0xfdff9805,0xf1bf600e,0x17fdc09f,0x02ffb800,0x077effcc,0x4ff8dfb0,
    0x82fe7f40,0xa85ffffc,0x44ffb06f,0xffc804ff,0xfe88003f,0x17fe601e,
    0x3fa27fa0,0x7c402fff,0x17f4c06f,0x01bea000,0xb8005fd3,0x7fcc00ef,
    0x2a03df51,0x200f5c3e,0x5c002fe9,0x7fcc00ef,0x2a03df51,0x500f5c3e,
    0xf103ea3f,0xe887fa2d,0x44dfb01f,0x6fe404ff,0x22003fe8,0xfb1005fe,
    0xffbfe80b,0x201ffecd,0x00007ff9,0x000bf600,0x00000000,0x00000000,
    0x00000000,0xf72f9800,0x3ee3fa81,0xa880ff23,0x326014c0,0x40073223,
    0xcb8002ca,0x07bffa02,0x3fd80bfd,0x00019980,0x4cc41fe2,0x09999999,
    0x4cccccc4,0x4cc40999,0x09999999,0x4cccccc4,0x4cc40999,0x09999999,
    0x4cccccc4,0x4cc40999,0x09999999,0x4cccccc4,0x3fa00999,0x23fb85fe,
    0x00df33fa,0x00000000,0xfd000000,0x01ff501f,0x3fff5000,0x413f2000,
    0xfffffffa,0x7ffd43ff,0x43ffffff,0xfffffffa,0x7ffd43ff,0x43ffffff,
    0xfffffffd,0x7ffec4ff,0x44ffffff,0xfffffffd,0x7ffec4ff,0x04ffffff,
    0x5fa8165c,0x00ff47f6,0x80015530,0x4c000aa9,0x54c000aa,0x207fd00a,
    0x26201ff8,0x27ffec00,0x500ff800,0xddddddff,0xeeffa85d,0x542eeeee,
    0xeeeeeeff,0x777fd42e,0x642eeeee,0xeefffeee,0x7f77643e,0x643eeeff,
    0xeefffeee,0x7f77643e,0x103eeeff,0x3a015553,0x9f96fdef,0x3fffee00,
    0x7fdc00df,0x5c00dfff,0x00dfffff,0x6fffffdc,0xff017f40,0x1017e405,
    0x000ff9ff,0x3fd40bf5,0x001fea00,0xfa800ff5,0x27ec0007,0x0013f600,
    0xfd8009fb,0x7fff4404,0x6c41efff,0x06f98cff,0xf959ffb0,0x67fec0df,
    0x3606ffca,0x6ffcacff,0x32b3ff60,0x017f46ff,0x17e405ff,0x3ff1df50,
    0x202fe800,0x7d4007fa,0x03fd4007,0x0001fea0,0xfd8009fb,0x027ec004,
    0xf1013f60,0xdffd799d,0x003fd001,0xfe881ff5,0x440ffa83,0x0ffa83fe,
    0x7d41ff44,0xd1ff440f,0x07fe205f,0x3f603fd8,0x4c009fd4,0x03fd406f,
    0x5001fea0,0x7fa800ff,0x027ec000,0xb0013f60,0x4fd8009f,0x5ff50180,
    0xd004fb80,0x21fea05f,0x0ff502fe,0x1fea05fd,0x3fd40bfa,0x1fe605fd,
    0x40fff722,0x0ff71ff8,0x2a01fec0,0x3fd4007f,0x001fea00,0xd8000ff5,
    0x27ec004f,0x0013f600,0xe80009fb,0x03fe604f,0x4403fe20,0x03fe20ff,
    0xff107fc4,0x883fe201,0x1ff100ff,0x2fec0bfa,0x0bbfffe6,0x3ff33fd4,
    0x801ff100,0x7d4007fa,0x03fd4007,0x0001fea0,0xfd8009fb,0x027ec004,
    0x00013f60,0x97f409f9,0xffa81cca,0xfccccccc,0x333fea1f,0x1ffccccc,
    0x33333fea,0x2a1ffccc,0xccccccff,0x07fd1ffc,0xefe81ff9,0x744fd800,
    0x04fb804f,0xffffffa8,0x7fd40fff,0x0fffffff,0x7fffffd4,0x7fd40fff,
    0x0fffffff,0x20027ec0,0x7ec004fd,0x027ec004,0xfeeecc98,0x36bf704f,
    0x7d43ffff,0xffffffff,0x3ffea1ff,0xffffffff,0x3ffffea1,0x21ffffff,
    0xfffffffa,0xffd1ffff,0x85fffddd,0xf8801ff8,0x4037e42f,0xffa801ff,
    0x0fffffff,0x7fffffd4,0x7fd40fff,0x0fffffff,0x7fffffd4,0x7ec00fff,
    0x027ec004,0xb0013f60,0xfffb009f,0x109fffff,0x31bf51ff,0x4ffd41ff,
    0x19999999,0x4cccffd4,0x7d419999,0x9999999f,0x4cffd419,0x21999999,
    0xdefffffe,0x801ff980,0x1ff987fa,0x5401bea0,0x3fd4007f,0x001fea00,
    0xd8000ff5,0x27ec004f,0x0013f600,0xffd809fb,0x6c27e40a,0x7ec5f92f,
    0x0003fe61,0x98001ff3,0x7cc000ff,0x4bfa000f,0x02ff8801,0x9ff05fd8,
    0xa8017ec0,0x3fd4007f,0x001fea00,0xd8000ff5,0x27ec004f,0x0013f600,
    0x2ff809fb,0x5fa89f90,0x41fc87f2,0xff8004ff,0x04ff8004,0x2004ff80,
    0x7f4002fe,0x777fc00e,0x06ffeeee,0x7d400ff3,0x03fd4007,0x5001fea0,
    0xfd8000ff,0x027ec004,0xb0013f60,0x0ffcc09f,0xff127f44,0x1fd1fdc1,
    0x0203ffb8,0x8080ffee,0x20203ffb,0xe8203ffb,0x7fcc002f,0xffff502e,
    0x3fffffff,0x54007f90,0x3fd4007f,0x001fea00,0xd8000ff5,0x27ec004f,
    0x0013f600,0x7fc409fb,0xb27ffd44,0xdcff887f,0xdfffb05f,0x3609fdb9,
    0xfedcefff,0x9dfffb04,0x3f609fdb,0x4fedceff,0x2a000bfa,0x363eefff,
    0x999999df,0x7fc44ff9,0x01fea000,0xa800ff50,0x3fd4007f,0x013f6000,
    0xd8009fb0,0x27ec004f,0x3f7bff20,0xbf54fcef,0x037ffea0,0xfffffea8,
    0x3ffaa02e,0x2a02efff,0x2efffffe,0x3ffffaa0,0x00bfa2ef,0x37ffe440,
    0x6fc805ff,0x2a002fdc,0x3fd4007f,0x001fea00,0xd8000ff5,0x27ec004f,
    0x0013f600,0xff9009fb,0x013ea9ff,0x33100010,0x00331000,0x10003310,
    0x002aa033,0x7d4aa600,0x0ffd400f,0xfa8003fd,0xffffffff,0x7ffffd43,
    0x7d43ffff,0xffffffff,0x7ffffd43,0x7ec3ffff,0xffffffff,0x7ffffec4,
    0x7ec4ffff,0xffffffff,0x7ffffec4,0x2204ffff,0x00000000,0x00000000,
    0x00000000,0x017f6000,0x05e99ffc,0xfffffa80,0x7d43ffff,0xffffffff,
    0x7ffffd43,0x7d43ffff,0xffffffff,0x7ffffec3,0x7ec4ffff,0xffffffff,
    0x7ffffec4,0x7ec4ffff,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c400000,0x32a01cc0,0x2e00220b,0x9910002c,
    0x98171019,0x5e765c03,0x23551000,0x00039718,0x4c007991,0x004c4009,
    0x440ccc88,0x2e0003cc,0x004c002c,0xcca80000,0x07991000,0x54c02a20,
    0x7c4ffb00,0xffff904f,0xfc80db37,0x744003ff,0x4ffb01ef,0xffa84ff8,
    0x201fffff,0xfffffffb,0x20005fd4,0xfd005ff9,0x804fe80b,0xf301efe8,
    0xff9000bf,0xffd8807f,0x2e0003ff,0x3bfa202f,0x3e607dca,0x3ffc405f,
    0x6c07ffcc,0x213fe26f,0xfffb9cf8,0x237f202f,0xfd1003fe,0x226fd80b,
    0x67fc44ff,0xb06fea89,0xffb97bff,0x8000bfa9,0xfb805fd8,0x03ff300f,
    0x8805fe88,0x3f2005fd,0x3a03fe8d,0x03fffdff,0x5cc0fd00,0x07fffffd,
    0xf302fec4,0xfffb81ff,0x14c0a882,0x01ba8810,0x1cc88f26,0x8802ca80,
    0x7e414c0a,0x5c0ffa85,0xd4fc81ff,0x9700005f,0x03ff8805,0x59500df9,
    0x802cb800,0x073223c9,0x7fd83fee,0xbf753100,0x7fffff40,0x0b2e000c,
    0xff984fc8,0x0000000f,0x00000000,0x82fe8000,0x1ff40ff8,0x05fd4fc8,
    0xfc800000,0x0007ff06,0x00000000,0x3fe62fe4,0x3fff6200,0x46ee06ff,
    0x00000ffd,0x100dcc00,0x10015553,0x10015553,0x10015553,0x44015553,
    0x7c131009,0x4c6fd81f,0x753f207f,0x002aa22f,0x200554c4,0x7fcc1ff9,
    0x31009880,0x31009881,0x31009881,0x7cc5fd81,0x33bfe207,0x400efffa,
    0x8805ffb8,0x3100aaa9,0xffd10001,0x103dffff,0xdffffffd,0xffffd103,
    0xfd103dff,0x03dfffff,0x97ee05fd,0x3bfa21ff,0xf9037d40,0x3fa2bfa9,
    0x36202fff,0x00dfffff,0x0bf913fa,0x2fdc0bfa,0x2fdc0bfa,0x2fdc0bfa,
    0x4fe83fee,0x7cc37f60,0xff705ffd,0x2203ffff,0xeffffffe,0x4001fe41,
    0xfebccef8,0x677c40ef,0x40effebc,0xfebccef8,0x677c40ef,0x40effebc,
    0x4bf702fe,0x037fa1ff,0x4fc81bee,0xd9bff9fd,0xffd103ff,0x01fffb9b,
    0x2ff83fee,0x3ee05fd0,0xfb817f45,0xfb817f45,0x74e7fc45,0x1ff300ef,
    0x43fd57e4,0xfecceffd,0x799df106,0x7e41dffd,0x2a030003,0xf50182ff,
    0x3ea0305f,0xff50182f,0xf702fe85,0x7fa8ffcb,0xfc81bee0,0xe83dffd4,
    0x40efd85f,0xff105fe8,0xfe81fea5,0xfe8bf702,0xfe8bf702,0xf70bf702,
    0x5c01bfff,0x3ff3f45f,0x3e60ffdc,0x3ea0302f,0x000ff22f,0x0013fa00,
    0xfe8009fd,0x227f4004,0x4bf702fe,0x40ff71ff,0x9fd107fa,0x3ea03ffa,
    0x407fe60f,0xdf901ffa,0x2fe813f6,0x2fe8bf70,0x2fe8bf70,0xff70bf70,
    0x49f9007f,0xf8ffa5f9,0x00bfb02f,0x27e49fd0,0xf9000188,0x04fc8009,
    0x20027e40,0x817f44fc,0x4c7fe5fb,0x3ff304ff,0x3fa9ffb0,0x5c3ff103,
    0x817fc06f,0x01ff9ff9,0x2fdc0bfa,0x2fdc0bfa,0x2fdc0bfa,0x83bffff2,
    0xc8ff63fe,0x7d53f62f,0x001fea07,0x84fd93f2,0x32605ff8,0x04ffeeec,
    0xffddd993,0x3bb32609,0x99304ffe,0xe89ffddd,0x7cbf702f,0x037ff21f,
    0xefd89bfa,0x7c05fd4f,0xd013f22f,0x7f7f407f,0xb817f406,0xb817f45f,
    0xb817f45f,0x267fea5f,0xc8bfe5ff,0x7fb1fa4f,0xff9817ee,0xddd99300,
    0x427ec9ff,0xfd82fffa,0x4fffffff,0xffffffd8,0xfffd84ff,0xd84fffff,
    0xffffffff,0xfb817f44,0xff707fe5,0xefff981d,0xfd4fbbff,0xfb17fc05,
    0x204fd809,0x7402fffb,0xe8bf702f,0xe8bf702f,0x74bf702f,0x233fea3f,
    0x4dbea1ff,0xfc8ffc5f,0x207fe205,0xfffffffd,0x2213f64f,0x7fec4fff,
    0x3627e40a,0x27e40aff,0xf902bff6,0x40affd89,0x817f44fc,0x207fe5fb,
    0xfe986ff9,0x3a9f92ef,0x43ff102f,0x1ff405fc,0xd00fff10,0xd17ee05f,
    0xd17ee05f,0x457ee05f,0x6ffe41ff,0x64ffc47f,0x643fea2f,0x03fe605f,
    0xfc815ffb,0x7dc13f64,0xc817fc4f,0xc817fc4f,0xc817fc4f,0xc817fc4f,
    0xc81ff44f,0x4c07fe5f,0xc81101ff,0x2605fd4f,0x1037dc7f,0x7fc403ff,
    0x903fe803,0x903fe8bf,0x903fe8bf,0x207fe6bf,0xfd84fffd,0x8ffe67ef,
    0x1fea07fa,0x27e40bfe,0x3fe60bfb,0x2207fe62,0x07fe64fe,0xff993fa2,
    0x264fe881,0x4fe881ff,0x7fd42fec,0xff807fe5,0x753f2002,0x98bfb02f,
    0x0df701ff,0xd800ffd8,0x45ffa85f,0x5ffa85fd,0x7fd42fec,0x3a20ffe5,
    0xfffb02ff,0xf98bffdb,0x98bfb02f,0x4fe881ff,0x37e417fa,0xff513fe2,
    0x227fc49f,0x3e24fffa,0x27ffd44f,0xffa89ff1,0x70ffe44f,0x0ffcbfff,
    0x2001ffa8,0x707fd4fc,0x3dfb01ff,0x2e02ffa8,0xff9002ff,0x22fffdc3,
    0x3fee1ffc,0x70ffe45f,0x7fecbfff,0x1bfff662,0x2effffd8,0xfc83ffb0,
    0x227fc41f,0x3fa4fffa,0x07ff6e65,0x3ff7bff2,0x7fe44fce,0x4fceffde,
    0x7fef7fe4,0x7fe44fce,0x4fceffde,0x7f77ffc4,0x47fe5fbe,0x04ffeeeb,
    0xffea7e40,0x02fffeef,0xffddffd1,0xfecc889f,0x3fe2004f,0x5fbefeef,
    0x7f77ffc4,0x7fc45fbe,0x5fbefeef,0x3fbfffe2,0xd04ffdff,0xfd10033f,
    0x07fffddf,0x3ff7bff2,0x97fa4fce,0x3200dffd,0x9f54ffff,0x29ffff90,
    0xfffc84fa,0xf909f54f,0x13ea9fff,0x233fffa6,0x647fe5fa,0x8003efff,
    0xfff934fc,0xf9001bdf,0xf305dfff,0x30005fff,0xf519fffd,0x9fffd30b,
    0xfd30bf51,0x8bf519ff,0x1dffffc8,0x5f987ff9,0x7ffe4400,0x7fe401ef,
    0x749f54ff,0x8002a66f,0x00880008,0x88000880,0x00988000,0x40001880,
    0x000101a9,0x2aa200c4,0x09880001,0x0004c400,0x11000262,0x001ea800,
    0x22000620,0x002aa800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01310098,0x00e605c4,
    0x2666aaa6,0x0165c009,0x04417950,0x03332200,0x5e459500,0x2666200a,
    0x22199999,0x99999999,0x000d4c00,0x4c001a98,0x10001aaa,0x0bca8033,
    0x2aaa6022,0x4c0b8801,0x66666443,0xfd02a604,0xd813f605,0x413fe27f,
    0xffffffd8,0x3ff205ff,0xfffc803f,0x2006d9bf,0x8001efe8,0x3fffe4fc,
    0xffffa81d,0x3ea7ffff,0x4fffffff,0xfffffd88,0xfffc800c,0x3a600dff,
    0x02efffff,0x7ffff5c4,0x7ffff900,0x7ffccdb3,0x3602efff,0x993fe27f,
    0x307fffff,0x17f41fff,0x3f604fd8,0x2213fe26,0xffc9aeff,0x1bf903ce,
    0x67c407fd,0x02ffffb9,0x000bfd10,0xfb9527e4,0xeffa85ff,0x265eeeee,
    0xffeeeeee,0x55eff4c4,0xd100efeb,0xdffd9dff,0x7bdff101,0x2a03fffb,
    0x0eeeffff,0xffb9cf88,0x337ea2ff,0xb02fffec,0x227fc4df,0x707fb999,
    0x17f45fff,0x2a204fd8,0x6fc814c0,0x9300ffa8,0x100e6447,0x2001ba88,
    0x640002ca,0x3ffb104f,0x400037d4,0x0ffe24fe,0xffc837e4,0x6c2ffcc1,
    0x84ff886f,0x2001dffa,0x020dd440,0xa8837fc4,0x3ea014c0,0x41fff307,
    0x09fb02fe,0x03fe8000,0x000005ff,0x00000000,0x74409f90,0x001bea5f,
    0x3fc93fa0,0x3e21fe40,0x83ff502f,0x0df902ff,0x000007ff,0x003fe400,
    0x303fd400,0xb02fe837,0x5531009f,0xf81ff401,0x554c402f,0x2aa62000,
    0x2aa62000,0x26aa2000,0x3fe404fc,0xd0000df5,0xd89fe29f,0x46f88def,
    0x27fc06fc,0x27ec0ffa,0x220017ee,0x00055541,0x26660df5,0xff500199,
    0x205fd000,0x3f6204fd,0xd80dffff,0x00ff985f,0xbfffffb1,0x7ffec401,
    0x36200dff,0x00dfffff,0x3fffffea,0x87fd404f,0xe80006fa,0x3e27f54f,
    0x3fb0edff,0x3f201ff4,0x260ffdc6,0x017f41ff,0x7fd47f40,0xf9002fff,
    0xfffff309,0x01fea00f,0x7ec0bfa0,0x9bffd104,0xf981fffb,0x4ffa89cf,
    0xb9bffd10,0xfd101fff,0x1fffb9bf,0xb9bffd10,0xffb01fff,0x09ffb99b,
    0x3bea7fb8,0xe80009aa,0x3f65f94f,0x7fc5f704,0x2237dc02,0xffc8cffe,
    0x5447fc44,0x3fa00acb,0xfffdcffc,0x4077dc00,0x07fdccc8,0xd000ff50,
    0x413f605f,0x7f440efd,0x7ffffcc5,0x3bf604ff,0x6c2ff440,0x2ff440ef,
    0x3a2077ec,0x40ffd45f,0xff7304fc,0x7ffffd49,0x3fa003ef,0x07fa3fb4,
    0x1ff89fd4,0xfc83fd40,0xf982ffff,0xffffffdf,0x41dffd04,0x77643ff8,
    0xf5000dff,0x01fea00f,0x7ec0ffa0,0x501ff984,0x557f43ff,0x3e601bcc,
    0x43ff501f,0xff501ff9,0xa80ffcc3,0x40ffe1ff,0x7ffec4fc,0x6e664c5f,
    0xd004ffff,0x3fc3fa9f,0x3fe69f30,0x407fd401,0x83fffff9,0xa9bdfff9,
    0xefe84ffc,0x7ec4fe80,0x800dffff,0xff5007fa,0x70bfd000,0x0df709ff,
    0x0ff12ff8,0xf80df700,0xf01bee2f,0x2037dc5f,0x40ff32ff,0x5f7e44fc,
    0x3ff22001,0xfb4fe802,0x7d407fe3,0xa803ff13,0xacffb87f,0x3ea0dffe,
    0x81ff700f,0x0bf902fe,0x03ffae62,0x2a00ff50,0xd0b6e07f,0x7ffdc3ff,
    0x7404fc86,0x57bff13f,0x27e40333,0x4fc8ffa0,0x9f91ff40,0xdf53fe80,
    0x3f227e40,0x13fa0003,0x97dd3fa0,0x7dc10dfd,0xf700bfe2,0x5c1ffc8d,
    0x03fe64ff,0x3fa17fc4,0x100bf702,0x7fa809fd,0x2a0ff500,0x3ffa1fff,
    0xff9efeef,0xb013f60e,0x7fffe49f,0x6c1dffff,0xb27ec04f,0x24fd809f,
    0xa7ec04fd,0x13f206fb,0x640007f9,0x53fe805f,0x3fffe69f,0x7fc3fb0f,
    0x3e27ec03,0x21ff902f,0x3fe00ff8,0xfb817f43,0x80df7005,0xff5007fa,
    0xe8bffee0,0x2e4fffcf,0x017f21ff,0x67fd47fd,0x0ffffeec,0x7fd017f2,
    0x3fa02fe4,0xfd017f23,0xfc81fee7,0x0001fe44,0xff8809fb,0x3221ff13,
    0xd8df33dd,0x8ffe206f,0xff300ff9,0xff017fc3,0xf702fe85,0x01bee00b,
    0x3ea00ff5,0xe8dfd107,0x7020132f,0x8ffc40df,0xff501ff9,0xf1037dc7,
    0x1037dc3f,0x037dc3ff,0x3fea3ff1,0x004fe880,0x017fcc00,0x4fb87fea,
    0x3e617ec0,0xa8df902f,0x1ff501ff,0xffa82fec,0xfb817f40,0x809fd005,
    0xff5007fa,0x02fe8180,0x701ff980,0x202fe4df,0x07fe64fe,0x3fe637dc,
    0xf98df701,0x4cdf701f,0x4ffd82ff,0xfd500018,0xfd50664b,0x885fe88d,
    0x5ffd05fd,0x2217fe44,0x7f440eff,0x2617fcc6,0x02fe84fe,0xfd980bf7,
    0x03fd400f,0xe8007fa8,0xdfb0002f,0x322ffa83,0x5ff300ff,0x7d41efd8,
    0x41efd82f,0xefd82ffa,0x3a17fd41,0xfdfb11ef,0x3205fe89,0x5fffeeee,
    0x7fffffe4,0xdffe881f,0x2205ffdc,0xfffefffe,0xddfff503,0xf901fffd,
    0x0bffdbdf,0xafdc0bfa,0xfffeeeee,0x07fa801f,0xd000ff50,0x3a20005f,
    0x4fffeeff,0x55677fd4,0xe885ffca,0x4fffeeff,0xfddffd10,0x3fa209ff,
    0x84fffeef,0xbffefff9,0x3ffe64fb,0xfffff900,0xfffb303b,0xfdb801bf,
    0xd9002dff,0x9803bfff,0x0cfffffd,0x3bfffae0,0x5c0bfa03,0xfffffd5f,
    0x7ffec07d,0xb6ffffff,0xffffffff,0x05fd00df,0xffffc800,0xfffd502e,
    0xc807ffff,0x802effff,0x02effffc,0x2effffc8,0x4bbffa60,0x02ff44fa,
    0x98002662,0x00010000,0x988000c4,0xd0018000,0x997ee05f,0xffb00099,
    0xdfffffff,0x3ffffff6,0xaa806fff,0x03100000,0x0d5dd4c0,0x40006200,
    0x03100018,0x06000880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76cc0000,0x44072e01,0x4409aaa9,0x004cc009,
    0x5c05554c,0x32e00bde,0x00005951,0x400ccc88,0x664402cb,0x2aa20003,
    0x03db3009,0x35300e5c,0x0016dc00,0xca800031,0x03973cdd,0x22004cc0,
    0x10026619,0x2a03fffb,0xfffd886f,0x2fe47fff,0x6440bfe0,0x0effffff,
    0x5417ffb2,0x0017f26f,0x01efe880,0x201fffe4,0x64005ff9,0x26ffffff,
    0x501fffd8,0x3fff20df,0x7fcc04ff,0x06fb800f,0xffffd300,0x800bfadf,
    0x2fec06fe,0xcfa807ff,0x1fe881fe,0x66f7ffcc,0x02fe47ec,0x3fea0bfe,
    0x1ffeddff,0xfe886f98,0x00017f21,0x6402ff44,0x403fe8df,0xe8805fd8,
    0xffeddfff,0x03fd9f50,0xffb03fd1,0x40bffb9b,0xb800fff9,0xdfd0006f,
    0x3fa55339,0x0bfe6002,0x7ff07fd4,0x207f6300,0x0efe83fc,0xf80bf900,
    0x0f7fcc2f,0x3ffa60a8,0x7e43fc82,0x59500005,0x64479300,0x02cb801c,
    0x1c417ffc,0x7e40fec6,0x541ffb83,0x0bae02ff,0x40037dc0,0x3fa01ffa,
    0x837e4002,0x01ffc4fe,0x6f983fb0,0x2002ff88,0x17fc05fc,0x98003bf6,
    0x3e60efee,0x0005fc86,0x00000000,0x003fee00,0xdf307f60,0x7e40ffa0,
    0x4ccc0006,0x99999efc,0xd01bee00,0xff88005f,0x7fc37dc3,0xd07f6003,
    0x03ff303f,0x3e02fe40,0x007fea2f,0x3fa2ff80,0x3105fc81,0x26666013,
    0x99998019,0x99998019,0x09ff1019,0xfd07f600,0x201ff303,0x26661ffa,
    0xfff10199,0xffffffff,0x2027e40b,0x02aaa2fe,0xff10ffb8,0x4007ff05,
    0x413f21fd,0x32005ff8,0x917fc05f,0xb97000df,0x413f21ff,0xeff885fc,
    0xfffff980,0x7fffcc07,0x7ffcc07f,0x1ff507ff,0xc87f6000,0x20bf704f,
    0xff32fffb,0x3220ffff,0xcccffdcc,0x13f603cc,0xfff35fd0,0xa7f405ff,
    0x07ff05fc,0x6f98f640,0x0177fe40,0x3fe02fe4,0x20013fa2,0xdf31dffe,
    0x3a22fe40,0x999100ef,0xcc880ffb,0x64407fdc,0xf707fdcc,0x8f64000f,
    0x13f206f9,0x27ffffb1,0x07fdccc8,0x5500df70,0x555bfd55,0x3f7fa155,
    0x00fffccf,0x01ff5ff3,0xe8000ffe,0xfffc801f,0x0bf900bf,0x0ffe2ff8,
    0x03999993,0x7e403fd0,0x003bfa25,0x54007fa8,0x3fd4007f,0x00006fc8,
    0x4fd807fa,0x3f67ffa6,0x200ff504,0xfff806fb,0xffffffff,0x41dffd3f,
    0x3f603ff8,0x0ffe04ff,0x0027dc00,0x09ffffb3,0x2ff80bf9,0xffb85ff1,
    0x7dc02fff,0xe8afe404,0x7d4000ef,0x03fd4007,0x7ec1fea0,0x9f700005,
    0xff73fe80,0x5413f21b,0x0df7007f,0xdfd99990,0x3a399999,0x04fe80ef,
    0xff01bfe2,0x1ff30007,0xfff71000,0x202fe41d,0x30ffe2ff,0x405ff555,
    0x7e400ff9,0x000dfe8d,0x54007fa8,0x3fd4007f,0x80006fc8,0x7ec00ff9,
    0x7ec3ffdc,0x200ff504,0xfd8006fb,0xc817f404,0x76665c5f,0x7c2cccef,
    0x2fe8003f,0x44005995,0x17f24ffc,0x1ff45ff0,0xfe80bfe0,0xfc899912,
    0x20006fed,0x7d4007fa,0x83fd4007,0xe80007fb,0xc899912f,0xfe81efff,
    0x200ff503,0xfd8006fb,0xb817f404,0x7ffff45f,0x7c4fffff,0xafdc003f,
    0x004ffffa,0x0df73fe4,0x17f62ff8,0x3ee05ff0,0xf91fff65,0x0001dfbb,
    0xf5001fea,0x07fa800f,0x40001ff5,0x1fff65fb,0x3e01bff7,0x00ff502f,
    0x36001bee,0x817f404f,0x4ccc45fb,0x40999dfe,0x3e2003ff,0x037cce0f,
    0x7d43fea0,0xb83fea06,0x0bfe01ff,0x67d43fe2,0x746fe47f,0xfa8000ef,
    0x03fd4007,0x7cc1fea0,0xff10004f,0x51ff3ea1,0x3fe601ff,0x200ff500,
    0xfd8006fb,0xb817f404,0x027ec05f,0xfd800ffe,0x800df302,0x07fe66fc,
    0x6ff43fe4,0xfb05ff00,0x1fe3fe25,0x1bfe2bf9,0x001fea00,0xfa800ff5,
    0x007ff207,0x7fc4bf60,0x04fe87f8,0x3fd409fb,0x001ffa80,0x3fa027ec,
    0xcb8bf702,0xcccefecc,0xa801ffc2,0x43ff305f,0xffb880aa,0x2a077f43,
    0xeffa83ff,0x2a17fc09,0x3fcbf25f,0x5ff997f2,0x003fd400,0xf5001fea,
    0x5fffc40f,0x3ea064c0,0x43fcbf25,0x7fe42ffb,0x401fea01,0x2000dff8,
    0x17f404fd,0x7ff45fb8,0x4fffffff,0x7c401ffc,0x41efb80f,0xffeffffb,
    0xfff985ff,0x205ffeee,0xfeeffffb,0x83fe22ff,0x1fffffff,0x5ffa8bf9,
    0x001fea00,0xfa800ff5,0x7fff4c07,0x220fffff,0x3fffe0ff,0x7fe41fff,
    0x402fffee,0x3f2007fa,0x205eeeff,0x17f404fd,0x4cc45fb8,0x0999dfe9,
    0x7ffffffc,0x707fb7ff,0x2a1999ff,0xdffffffe,0x3fff6202,0xed8803ef,
    0x20beffff,0x666643fd,0x0bf90cff,0x3f609ff7,0xffffffff,0x7ffffec6,
    0x7ec6ffff,0xffffffff,0xdfffd906,0x643fd87b,0x80cffccc,0x81dfffeb,
    0xfffffffd,0x7fdc06ff,0x3f605fff,0xb817f404,0x027ec05f,0x3ffffffe,
    0x905fafff,0x103fffff,0x31000133,0x50198000,0xc8ff00bf,0x07ff905f,
    0xfffffffb,0xfffd8dff,0x46ffffff,0xfffffffd,0x008806ff,0x0ff00bf5,
    0xffd80110,0x6fffffff,0x36006600,0x817f404f,0x000005fb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02aa6200,0x80099998,0x4c000098,0x262001aa,0x22199999,
    0x99999999,0x33310999,0x21333333,0x80099998,0x00099998,0x0004d544,
    0x33100666,0x33100333,0x30266201,0x33333333,0x26666621,0x22199999,
    0x804cc009,0x4404c098,0x99999999,0xfffb8009,0x7fc41eff,0x80deffff,
    0xf70002fe,0x005fffff,0xfffffffd,0x3fffffa1,0x54ffffff,0xffffffff,
    0x3ffff27f,0xfd80ceff,0x02efffff,0x3fffff62,0x3fff5002,0x7fffff40,
    0xffb80bff,0x4c5ffb03,0xffffffff,0xfffff72f,0x23ffffff,0x17fc06fb,
    0x1be23fb8,0x3ffffff6,0x7dc04fff,0x46fecbdf,0xffeeeff8,0x017f43ff,
    0x33bffa20,0x7cc02fdc,0x0ccccfff,0x5532005d,0xeeeeeeff,0xdddff92e,
    0xfd85ffff,0x3ffffeef,0xdbbeff98,0xffd803ff,0x3bbfa04f,0xc86fffee,
    0xfff886ff,0x3bbbfe63,0xff72eeee,0xffffffff,0xf01bee3f,0x98bee05f,
    0xfeeec85f,0x203eeeff,0x41a83ff8,0x7f4c0ff8,0x3337fa1f,0x3ff601bc,
    0x7e400882,0x4cba06fc,0xf54c82cd,0x217f200f,0x3f61ffe9,0x207fecc4,
    0x0ffa84fe,0x1ff3fe20,0xffb82fe8,0x20ff7e43,0x3e63fefb,0xf700000f,
    0x3e037dcd,0x543f902f,0x04fd804f,0x8801bea0,0x4dfb00ff,0xfffffffe,
    0x017fcc1e,0x6faff880,0x7ee4cba0,0x3fd5321f,0x3a05fc80,0x2a13f66f,
    0x03fea2ff,0xdf5027f4,0x3fa03ff1,0xfd89fd02,0x7dff44fc,0x0003fe63,
    0xdf717f40,0xfb02ff80,0x6c01fd43,0x17f2004f,0x300ff880,0x26ffa5ff,
    0x21fffca9,0x2e0006fc,0x3a06f9cf,0x990fe882,0x7e401fea,0x6cbfea05,
    0x5c7ff04f,0x81bee06f,0x209fd4fd,0x89fb02fe,0x3e67f9fd,0x3fe64fbc,
    0x6fa80000,0x3fe037dc,0x3bffbb22,0x1eeefeee,0x64009fb0,0x3fe2004f,
    0x7f4ffa00,0x366fe882,0x3fa0004f,0x0ba06f99,0xf54c97cc,0x017f200f,
    0x213f67fd,0x17f22ff8,0xff107fa8,0x7f41fee3,0xfd85ff02,0x73f91fd8,
    0x007fcc9f,0x2e1ff400,0x917fc06f,0xfdddffdd,0x3603dddf,0x13f2004f,
    0x200ff880,0x205fd4fd,0x07fd0ffa,0x7cdbe600,0x7cc0ba06,0x01fea993,
    0x3f602fe4,0xdfb09fb4,0x3e607fb8,0x267fa80f,0x42fe81ff,0x8fe85fd8,
    0x3eadf4fa,0x0003fe64,0xdf70ff50,0xdf02ff80,0xfd801fd8,0xefecb804,
    0x7c1ccccc,0x40ffffff,0x205fd5fc,0x09fd2ff8,0x7ccbf600,0x8ba5eeef,
    0x990fea98,0x3fffffea,0x0bf90fff,0x9dfb5fd8,0x983fffb9,0x1ff703ff,
    0x4fe89fb0,0xffeeefe8,0x3e1fd03f,0x4bf53faf,0xcccccff9,0x07fd004c,
    0xfffffff7,0xf105ffff,0xd800fe8b,0xfffd804f,0x42ffffff,0x0fffffff,
    0x02feb7e4,0x1bf63ff1,0x4c3fe200,0x3a7fffff,0xc877fee2,0xffffff54,
    0x17f21fff,0x3ff6df90,0x900bffff,0xffb79bff,0x85ff10ff,0xfffe86fc,
    0xf83fffff,0x21fff90f,0x3ffe65fa,0x807fffff,0xffb80ffa,0xffffffff,
    0x7c5f982f,0x009fb007,0x555dfd55,0x1ff10155,0x2feafec0,0x3ea1ff50,
    0x27dc002f,0x71740df3,0x3fd5320f,0x6c05fc80,0xd75bfb5f,0x7fdc01bf,
    0x86fcefff,0x1ff987fa,0xfb3317f4,0xf30ff89f,0xf32fd4bf,0x5555557f,
    0x2e09fd00,0x417fc06f,0x8037c4fa,0x3f2004fd,0x03fe2004,0x05fd5fe8,
    0xffe89ff3,0x1fe81982,0x22e81be6,0x3ea9906b,0x80bf9007,0x449fb4fe,
    0x9a9804fe,0xbfb0bf50,0x5fd13fe0,0x7f83ff20,0x4df517f4,0x50000ff9,
    0x1bee01ff,0x33265ff0,0xffcccefd,0x13f602cc,0x2004fc80,0xff100ff8,
    0x32ab3fa7,0xfe886fff,0x42ffeeff,0xfdcccff9,0x0088ba06,0x401fea99,
    0x3fe205fc,0xffa89fb2,0x84fc8001,0xeeeeeeff,0x817f46ff,0x8ff12ff9,
    0xf337cc29,0x3fa0001f,0xf01bee04,0x3fffee5f,0xffffffff,0x8013f604,
    0x3e2004fc,0x21ff900f,0xfffffffe,0x3ffae204,0x7fec1dff,0x206fffff,
    0xa640ea2e,0xbf9007fa,0xfd87fe40,0x4005fe84,0x7fd40ff8,0xffffffff,
    0x540bfa1f,0x00ff11ff,0x07fccff3,0x007fd400,0x2ff80df7,0x335fb331,
    0x401339f7,0x3f2004fd,0x03fe2004,0xdfe93fea,0x5000abcc,0x3fe201df,
    0x06fb9999,0xc81fe8ba,0x3200ff54,0x49ff505f,0x0ffa84fd,0xb07fd100,
    0x333333bf,0x17f49ff3,0x1fe27fd8,0xff99fe60,0x04fe8000,0x3fe037dc,
    0x3ee0fd82,0x009fb003,0xf10027e4,0x3ff2a21f,0x000bfa0e,0x3ee03fc8,
    0x3a06f985,0xaa640ea2,0x4bf9007f,0x6c6ffda9,0x409ff04f,0xf06ffc99,
    0x26fc805f,0x3f2a22fe,0x201fe63f,0x03fe67f9,0x801ff500,0x17fc06fb,
    0x05f707f4,0x36013f60,0xffffffff,0x3fe20fff,0x0dffffff,0xd00017f4,
    0x417f403f,0x1eeeeff9,0x3333337d,0x3ea99333,0xffffffff,0xffffff93,
    0x09fb09ff,0xffc83fee,0xf503ffff,0x1ffa801f,0xfffffffd,0x807f989f,
    0x03fe67f8,0x700bfd00,0x82ff80df,0xd80fe47f,0xffffffff,0xffffd84f,
    0x0fffffff,0x3bbfffe2,0x005fd00c,0xff502f40,0x3ffffe60,0xfffffd1f,
    0x29ffffff,0xfffffffa,0xffff93ff,0x3f6017dd,0x649ff104,0x200bceef,
    0x7ff005fd,0x3bbffffa,0x806fa80b,0x1ff30ff8,0x00ffd400,0x3fe037dc,
    0x0fec6f82,0xffffffd8,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02660000,0x98004cc4,
    0x26666019,0x21999999,0x13100099,0x262004cc,0x44002621,0x44002621,
    0x80554009,0x99999998,0x33109999,0xa8800333,0x1331009a,0x80000c40,
    0x0004c019,0x4000620a,0x209aaa98,0x21310098,0x0dfd02ff,0x207fff20,
    0xfffffff9,0xff91ffff,0x22ff9803,0x3fe206fe,0x7401bea4,0x200ffb1f,
    0xffd503ff,0x3ffffa03,0x5fffffff,0xdffffffd,0x7fff4c07,0x6ffb82ff,
    0xfc807fa0,0x881bee03,0xbf9002fe,0x22003fe8,0x5ffffffc,0xafdc0bfa,
    0x0ffc82ff,0x1ffff980,0xffffff98,0xf10fffff,0x46fd80bf,0xff903ff9,
    0xf8037cc1,0x803ff50f,0x7f541ff9,0xddb01fff,0xdddfffdd,0x3bbbfa9d,
    0x5c0efffe,0xfffcceff,0x817ffdc2,0x0ff201fe,0xc863ff98,0x7ec400ef,
    0x027fdc2f,0xcbbcffd8,0x5c0bfa4d,0xfa85ff5f,0xf9fd001f,0xff10003f,
    0x302ffb89,0x1ff903ff,0x7cc2ff98,0x7c1ff007,0x237e404f,0x1ffcfffe,
    0xe813f600,0x2ffdcc2f,0xffd10bea,0xd06fffb8,0x01fe403f,0x3fff7fea,
    0x74401ffe,0xbff501ef,0x007fcc01,0x5fb817f4,0x17fcc5ff,0xff8efb80,
    0x06fd8001,0x17fa0dfd,0x2ff45fe8,0x7f803fc4,0x3fa037ec,0xff99ff43,
    0x813f6001,0x0ffb02fe,0xb83fea01,0xfe82ffdf,0x200ff201,0xfffefffd,
    0x077fcc04,0x403bfa60,0x5fd007fa,0x97fd7ee0,0xf1004fe8,0x003ff13f,
    0xf501ffa8,0x01ffa85f,0x7fdcbfea,0x8807f880,0x80ffd47f,0x304c1ff9,
    0x7ec003ff,0x540bfa04,0xff1001ff,0x37defdc5,0x7f900ff4,0x2a1dfd00,
    0x3fea06fe,0x3ff62004,0x00dff881,0x5fb817f4,0x017f65ff,0x3ff14fd8,
    0x027fc400,0x09fd1bf6,0x7ff1dfb0,0x15307fc0,0x3fe237c4,0x300df703,
    0x7ec003ff,0x440bfa04,0xff1001ff,0x7fc6fdc3,0xffc8ff41,0xffffffff,
    0x707fe63f,0x7ff901ff,0x0fff2000,0x02fbffee,0xafdc0bfa,0x006fcaff,
    0x1ff89bea,0x201bf600,0x1ff53ff9,0xdffff100,0x3f60ff80,0x3f61be63,
    0x3007fd06,0x7ec003ff,0x4c0bfa04,0xff7000ff,0x8bfb5fb8,0xffff91fe,
    0x7fffffff,0x7fcc37d4,0x0017fec1,0x2613fee0,0x20dffffd,0x2bf702fe,
    0x000ffdff,0x7fc43ff1,0x03ff5001,0x3fa3ff20,0x3ffee003,0xff0ff401,
    0x7d42fccd,0x007fc40f,0xb000ffcc,0x817f409f,0xfd1005fe,0xff35fb89,
    0xf900ff43,0xf06fb807,0x05ffa85f,0x07ff6200,0x0effeb88,0x57ee05fd,
    0x000fffff,0x1ff889f9,0x004ff880,0x01bfbfe2,0x801fff30,0x3fff51fe,
    0x3fe217ea,0x98037dc3,0x3f6001ff,0x266ffa04,0x000fffdb,0x5fb81dfb,
    0x01fe97f6,0xff500ff2,0x981ff881,0x44000eff,0x2a000efe,0x207fd3ff,
    0xfd7ff5fc,0x81df500d,0xfd801ff8,0xfffb8006,0x7fff4002,0xfc97ec05,
    0x209f54fc,0x01ff45fd,0x2001ff98,0x3ffa04fd,0x00dfffff,0xf703ff90,
    0xfe87fccb,0x300ff201,0x06fc87ff,0x4007ffa2,0x8000dffa,0x50bfb3fe,
    0x22bfebff,0x17f404ff,0x2a00ffc4,0xfd0001ff,0xbffb800d,0x4bf202ff,
    0x9f56f9ef,0x7c43fea0,0x3ff3000f,0xd027ec00,0x0579dddf,0xb80ffe40,
    0xfea7f45f,0x200ff201,0xffcadffd,0x02ffd803,0x13027fdc,0x7e4bfea0,
    0x57ffee1f,0x07ff52ff,0x3bbbbfea,0x0eeeffee,0x00027fc4,0x7cc009fb,
    0x201dfb3f,0xfd3fabfc,0x3e207f73,0x400df73f,0x36001ff9,0x00bfa04f,
    0x202ffc80,0x47fd45fb,0x0ff201fe,0xfffffd10,0x3f200dff,0x07ff904f,
    0xfeeeffc8,0x3ffe25ff,0xf5fbefee,0x40ffe45f,0xfffffffb,0x40ffffff,
    0x20000efc,0x3fa004fd,0x5c13fe26,0x9f71fcbf,0xafec07f7,0x3e6003fd,
    0x13f6001f,0x90002fe8,0x5fb805ff,0x01febfe8,0xdfb00262,0x9ff59b95,
    0xd17fea00,0xff7003ff,0x307dffff,0xf519fffd,0xffd0bfeb,0x99999881,
    0x19affa99,0x0000ffd4,0x7dc013f6,0x40ffdc1f,0x3e26fcfb,0x3ea02fcf,
    0x2000ff8f,0x36001ff9,0x00bfa04f,0x2007ff20,0xeefa85fb,0x7dc0001f,
    0x05ff501f,0x1d70be60,0x09998800,0x3e009880,0x02ffc42f,0x2207fe20,
    0x99999dfe,0x7ec00999,0x05ff8804,0xfdf50dfd,0x02fefe89,0x01bf7fe2,
    0x5ff53331,0x4fd80333,0x9000bfa0,0x333337ff,0xf82fdc33,0xfff31fff,
    0xffffffff,0xbb00fa61,0x00000001,0xff800000,0x004ff982,0x3ee07fe2,
    0xffffffff,0x27ec02ff,0xa807fec0,0x7ffd43ff,0x00fffdc1,0x900ffff6,
    0xffffffff,0x27ec01ff,0xf8005fd0,0xffffffff,0x20bf71ff,0xff31fffb,
    0xffffffff,0x0000001f,0x00000000,0x5c0bfe00,0xff1002ff,0xfffff703,
    0x05ffffff,0x7d404fd8,0x0ffec03f,0xff10dff3,0xfffa801f,0x7fffe400,
    0x00ffffff,0x2fe813f6,0x7ffffc00,0x71ffffff,0x3ffe20bf,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a600000,0x4d54400a,0x00006a60,
    0x05554c40,0x401aa980,0x3100aa98,0x20262001,0x33101aa9,0x26209980,
    0x99999999,0x1a981310,0x98801330,0x2a0d4310,0x2aaa0c41,0x002ca800,
    0x950026a6,0x3260059b,0x700c0601,0x01bfffff,0xb1dffffb,0xfb00bfff,
    0xfffe8809,0xf701efff,0x885fffff,0x0dfffffd,0xff8037d4,0x3ffffe21,
    0x827fcc1e,0x3ff21ffb,0x2fffffff,0x3ffe6bf5,0x02ff41ef,0xfebf53fa,
    0x74bffb4f,0xfffffa8f,0x4027ec02,0x82ffffea,0xefdcdfe9,0xc80fd400,
    0x6c0ff43f,0x6ffcacff,0xffebbde8,0x204febdf,0x7c407ff9,0xeffebcce,
    0x33bffa20,0x3fa22fdc,0x0fffdcdf,0x3e201fe6,0x2a6f620f,0x1ffc86fd,
    0x32a1ffc4,0xffdccccc,0x9ff5bf52,0xffb8dffb,0x3a3ff300,0xfaefbfbf,
    0xf9fd1feb,0x01fffb9f,0x3e6027ec,0x21ffebcf,0xd1099df9,0x3f51441f,
    0x641ff314,0x207fd46f,0x7c043fe8,0x881fe66f,0x501806ff,0x17fec5ff,
    0x81dfb044,0x1fe25fe8,0x2201fe60,0x41dfb07f,0x3a2005fe,0x37ffea4f,
    0xf887fea0,0x74df903f,0x27ffb2ff,0x1dffd3fb,0xfb01ffc4,0x6c3fd809,
    0x7f6dba4f,0x3f25f89f,0xfd88f98c,0x7fd17ee2,0x7fa817f4,0x7fc4fd80,
    0x0002a200,0x3fe69fd0,0x01ff9802,0x07fc3ff5,0x837d45f9,0x107fcca8,
    0x03fee9ff,0x7d46fd80,0x42ff885f,0x45ff06fc,0xb9ff25fe,0xd01dfd4f,
    0x027ec09f,0x2df703fe,0x5769b1f9,0x7df910fb,0xe819ff7f,0x223fe63f,
    0x1ff100ff,0x7f43fc80,0xc8000001,0x200df94f,0x17fc06fb,0x52ff43fd,
    0xdddfd0bf,0x5ffd40ff,0x3ee001ff,0x807fd40f,0x0ffcc2ed,0x45fd1fea,
    0x753ee3fc,0x22bf902f,0x9cfd9999,0x03fe0999,0xcd9eedf3,0x883f33e9,
    0x100cfffc,0x56fe41ff,0xccccccff,0x6dcc1ffc,0xfeeeeffe,0x3333312f,
    0x01333333,0xffddd993,0x64013f69,0xb1ff404f,0x43ffe65f,0x227d43fb,
    0x7ffe407f,0x0bfe6003,0x74001fea,0x3a27ec4f,0xfb8ff21f,0x3ee05fd4,
    0xffffffd5,0x74bfffff,0x7bafdc3f,0x2f897fb6,0x067ffecc,0x3fa0efa8,
    0xffffffab,0x2e1fffff,0xffffffff,0xffd1ffff,0xffffffff,0xffffd8bf,
    0x7fd4ffff,0xb013f600,0xfb9fe49f,0xc85f92fd,0x101fee3f,0x22001fff,
    0x0ff504ff,0xf89fee00,0xf90ff41f,0x2fea7dc7,0x3bb6bf70,0xeeeeffee,
    0x4c7bf24e,0x361f52ff,0x21f31f9c,0xeafbefd9,0x87fe20cf,0x33ff56fb,
    0x43333333,0x7f90bff9,0xeeeeed80,0x24eeeeee,0x7e40affd,0x32009fb4,
    0x51ff405f,0x57e7fa9f,0x77fcc1fd,0x7f407eef,0xbfd005ff,0x8003fd40,
    0x0df71ff8,0x71fe43fd,0x5c0bfa9f,0x013f605f,0x9fffffd1,0xbb4d9fc4,
    0xf53fb9f6,0x7ec5f911,0x7cc7fe24,0x1bee000f,0x00000bf9,0x4fc817fc,
    0x3ee00df9,0x987fe206,0x1fd4f8df,0x9bb501fd,0x7fe40971,0x7e403ff9,
    0x01fea00f,0x7fd5fd80,0x1fe43fd0,0x40bfa9f7,0x13f605fb,0x0b3b6e20,
    0x64cae7ee,0xfa8222fb,0x6c6fb861,0x0027fc4f,0x06fd89f7,0x3ff30000,
    0x3ea9fd10,0x1ff9802f,0xff88df70,0xff7f71fb,0x3fea0000,0x2a03ff72,
    0x3fd401ff,0xf3ff5000,0x643fd01f,0x7f53ee3f,0x6c0bf702,0x6c00004f,
    0x4fda99cf,0xea80fdc0,0x3ee07e41,0x6f98203f,0x000ffff2,0x7fc403b7,
    0xd27ffd44,0x6c3305ff,0x17fd41ef,0xdf33f7fc,0x999990df,0xff887999,
    0x2607fec4,0x7fa803ff,0x7f7f4000,0x7e43fd05,0x17f53ee3,0x3f605fb8,
    0x66666404,0xfea83ccc,0xc9801eff,0x3f600001,0x4fedceff,0x5dff77fc,
    0x206edfff,0x7e407ff9,0xfceffdef,0x3bfffa64,0x3fa22ffe,0x04fffeef,
    0xffe89ffd,0xffffff85,0x437f46ff,0x7fec6ff8,0x6fffffff,0xb8000ff5,
    0x3fd01fff,0x29f71fe4,0x0bf702fe,0x3fe027ec,0x06ffffff,0x00000062,
    0x7fff5400,0x7ed42eff,0x3ffff23f,0x01ffe604,0x553ffff2,0xfffec84f,
    0xfffc81df,0x3ff602ef,0x4c27fdc1,0x09999999,0x7d407ff6,0x3ffffa4f,
    0xf56fffff,0xff88000f,0xfc87fa06,0x17f53ee3,0x26205fb8,0x4ccccc00,
    0x00000999,0x88000000,0x26008019,0x00395001,0x09800044,0x00003100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x11000000,0xaaaaaa88,0x32a2aaaa,0x6439930c,0x3333313c,
    0x98133333,0x03302ded,0x007302e2,0x02066644,0x7c01e644,0x2a5fffff,
    0x98afdc1c,0x70999999,0x77777777,0x00577777,0x20280500,0x76e44101,
    0x2f5c01bd,0x01cedc88,0x400b3b2a,0xff980098,0x3ffffe64,0x70ffffff,
    0x8bfea3ff,0xffff56ff,0x4bffffff,0x44fffff9,0x4dfb06f9,0xfd004ff8,
    0x82ff4c3d,0x77405ff9,0xff55eeee,0xfb9fec3f,0xf2ffffff,0xffffffff,
    0x00dfffff,0xf904fc80,0xfc8df507,0xffffff13,0x0fffd703,0x5ffffff5,
    0xbfffffb0,0x805ff880,0x5511fffc,0x55555555,0xfa87fdc5,0x7557fe1f,
    0xeeeeeeee,0x2e77f65f,0x417ee4ff,0x13fe26fd,0xfb037f60,0x3f6205ff,
    0x3ff60005,0x7543fa3f,0x52eeeeee,0x55555555,0x00555555,0x644ffa80,
    0x17f441ff,0x88621ff3,0x77ff45fe,0xa9be887f,0x8f7dc6fe,0x3f203fe9,
    0x7fcc02fe,0x7d40003f,0x743ff30f,0x97ea005f,0x3bfea1ff,0x15102ffd,
    0x2ba80298,0x805fffb0,0xf70001bb,0x017a23ff,0x00000000,0x3f29ff50,
    0x225fc81f,0x27e402fe,0x01fea32e,0x03fe3fdc,0x37e20df5,0xffd806f9,
    0x3fd40002,0x27f41ff3,0x2ecbf500,0x027fff4c,0xf3000000,0x000000df,
    0x00000b6e,0x40000000,0x81ffeffa,0x17f20ff9,0x0077edd4,0x3f600ff5,
    0x3e21fe25,0x3f23fb07,0x98ffdc03,0xeeeeeeee,0x4ff30eee,0x13f60ff8,
    0x2005fa80,0x000001aa,0x00008800,0x00000000,0x00000000,0xe80fffd4,
    0x403bea3f,0x201dfffe,0xffc807fa,0x3ea07fc1,0x3e25f986,0x997f600f,
    0xffffffff,0x87710fff,0x000dd43b,0x000009b3,0x00000000,0x00000000,
    0x00000000,0x27ffe400,0x3fe24fd8,0xffb53101,0x881fea01,0x4fe82ffd,
    0x3fa0ff62,0x2ea2fdc0,0x00000ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0xf884ffbf,0x201bee1f,0xff502ff8,0x407bfa60,
    0x6ffeeff9,0x5fd04fa8,0x0006fff4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x9ff51ffc,0x4fd8df50,0x41ffb302,0x99ffb998,
    0x557fff50,0xeffd9835,0x500ff883,0x0004d4df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x7fd41ffc,0x3e24fd84,0xfffff52f,
    0xffffb87f,0xfffb4fff,0x0009ffff,0x03300262,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb80fd400,0x544f881f,0x9dddd31e,
    0x99999303,0x3332e599,0x0002cccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_27_latin1_x[224]={ 0,5,3,0,1,0,0,5,3,3,2,1,3,3,
5,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,2,1,1,3,1,0,2,1,3,3,0,2,1,5,5,2,2,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,1,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_27_latin1_y[224]={ 20,1,1,2,0,1,1,1,0,0,1,6,15,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,23,1,6,1,6,1,6,1,6,1,1,
1,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,0,2,3,2,
-2,1,1,2,2,7,11,11,1,2,1,3,1,1,1,6,1,10,20,1,2,7,1,1,1,6,-2,-2,-2,-3,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-3,-2,-2,-2,-3,-2,7,-1,-2,-2,-2,-2,-2,2,1,1,1,
1,1,1,0,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_27_latin1_w[224]={ 0,5,9,15,13,15,15,4,9,8,11,13,7,9,
5,12,13,13,13,11,15,11,13,13,13,13,5,7,12,13,12,10,15,15,12,13,13,11,11,14,13,11,10,12,
10,15,13,15,12,15,12,13,13,13,15,15,15,15,13,8,12,8,13,15,9,12,12,11,12,13,14,13,11,11,
11,13,11,13,11,13,12,12,12,11,13,11,14,15,15,14,11,10,3,10,15,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,13,15,
3,13,12,15,10,12,12,9,13,11,11,13,9,9,13,13,13,5,4,10,10,11,15,15,15,9,15,15,15,15,
15,15,16,13,13,13,13,13,13,13,13,13,14,14,15,15,15,15,15,12,15,14,14,14,14,15,12,13,13,13,
13,13,13,13,15,11,14,14,14,14,13,13,13,13,13,13,14,14,14,14,14,13,13,13,13,13,13,14,12,14,
 };
static unsigned short stb__consolas_27_latin1_h[224]={ 0,20,7,18,24,20,20,7,26,26,12,14,10,3,
6,22,19,18,18,19,18,19,19,18,19,18,15,19,16,8,16,20,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,26,22,26,10,3,6,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,19,15,14,14,14,20,14,26,28,26,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,24,18,17,18,
28,23,6,19,14,12,7,3,13,5,10,17,11,11,6,20,23,5,4,11,14,12,19,19,19,20,22,22,22,23,
22,23,18,22,22,22,22,22,22,22,22,22,18,23,23,23,23,24,23,12,24,23,23,23,23,22,18,20,20,20,
20,20,20,21,15,18,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,15,20,20,20,20,20,25,25,25,
 };
static unsigned short stb__consolas_27_latin1_s[224]={ 197,248,106,224,167,156,183,116,18,9,232,
193,84,216,177,17,162,108,149,210,14,113,182,196,168,125,248,247,205,92,218,
102,81,139,155,132,98,86,184,45,210,240,125,1,245,168,163,152,136,197,112,
17,122,31,92,76,60,44,30,48,171,39,70,226,183,45,98,58,89,1,202,
30,217,176,127,76,236,167,181,70,232,85,139,231,188,243,152,84,111,126,127,
57,1,28,134,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,197,241,139,
1,191,229,5,213,150,136,100,14,121,216,218,193,58,177,48,27,163,1,242,
205,211,37,207,244,146,1,60,245,1,232,184,141,216,49,55,157,30,44,58,
72,86,100,114,128,15,227,1,17,33,151,65,1,181,96,111,126,81,200,30,
71,227,43,29,15,1,142,15,43,217,202,187,172,118,90,104,222,213,196,111,
74,44,59,15,31,199,155,141,169,57,97,68,112, };
static unsigned short stb__consolas_27_latin1_t[224]={ 25,30,192,139,1,54,77,192,1,1,177,
177,192,192,192,54,119,158,158,98,158,98,98,139,98,139,98,77,158,192,158,
98,1,139,139,119,139,139,139,119,139,139,98,158,119,139,158,98,158,1,139,
119,158,119,158,158,158,158,158,1,30,1,193,192,192,177,77,177,98,177,119,
98,119,119,1,119,98,177,177,177,54,77,177,158,119,158,177,177,177,77,177,
1,1,1,192,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,25,77,1,
139,158,119,1,1,192,98,177,193,192,192,177,192,193,158,193,193,192,98,1,
192,192,193,177,177,119,119,119,54,54,30,30,30,30,30,139,30,54,54,54,
54,54,54,54,54,139,1,30,30,30,1,30,193,1,30,30,30,30,30,139,
77,77,77,77,77,77,54,177,139,54,54,54,54,119,119,119,98,77,98,77,
98,98,98,98,177,77,77,77,77,77,1,1,1, };
static unsigned short stb__consolas_27_latin1_a[224]={ 238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_27_latin1_BITMAP_HEIGHT or STB_FONT_consolas_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_27_latin1(stb_fontchar font[STB_FONT_consolas_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_27_latin1_BITMAP_HEIGHT][STB_FONT_consolas_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_27_latin1_s[i] + stb__consolas_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_27_latin1_t[i] + stb__consolas_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_27_latin1_x[i];
            font[i].y0 = stb__consolas_27_latin1_y[i];
            font[i].x1 = stb__consolas_27_latin1_x[i] + stb__consolas_27_latin1_w[i];
            font[i].y1 = stb__consolas_27_latin1_y[i] + stb__consolas_27_latin1_h[i];
            font[i].advance_int = (stb__consolas_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_27_latin1_s[i] + stb__consolas_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_27_latin1_t[i] + stb__consolas_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_27_latin1_x[i] + stb__consolas_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_27_latin1_y[i] + stb__consolas_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_27_latin1_LINE_SPACING
#endif

