// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_29_latin1_BITMAP_HEIGHT        236
#define STB_FONT_consolas_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_29_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_29_latin1_NUM_CHARS            224

#define STB_FONT_consolas_29_latin1_LINE_SPACING          19

static unsigned int stb__consolas_29_latin1_pixels[]={
    0x00033066,0x64000000,0x004ccccc,0x66666404,0x0002003c,0x0055dc00,
    0x00aea600,0x131000c4,0x441bb100,0x930000dd,0x98000005,0x0001bdcb,
    0x07326000,0xff10ff88,0x2d42d801,0x6ffe4000,0x3fffffe0,0x4bfd1007,
    0x6ffffff8,0x677ff5c0,0x4005fd80,0x000dfffd,0x02fffec4,0xfb001fe8,
    0x47ff9005,0x90004ffb,0x7f40005f,0xfffff903,0x0df701df,0xffff5000,
    0x443fe203,0x3ff200ff,0x0009ff10,0x5541ffe4,0x7007fcaa,0x3fe23fff,
    0xd102aaab,0x3fffbbff,0x4c005fd8,0x4005fffc,0x001ceffe,0x3fa001ff,
    0x21ffa801,0xf0002ff9,0x3e60001f,0xceffe80f,0x441effec,0x6c0001ff,
    0x7fc417e6,0x2e01ff10,0x1ffd41ff,0x00ffe400,0xf5007fa8,0x07fe21ff,
    0x2e13fa20,0x017f60ff,0x002ffb80,0x88005ff5,0xffa9807f,0x8808801b,
    0xbb973000,0x7ec000bf,0xb83ffb84,0x04fd85ff,0x0bd36c00,0x7fc43fe2,
    0x702ffa80,0x544005ff,0x1fea000a,0x3e22cb80,0x04fd801f,0x05fd8ff2,
    0x00ffe200,0x4c003fe4,0x3ffee06f,0x0007ffff,0x7fffe400,0x88000eff,
    0x27fc41ff,0xf983ff90,0x3ea0000f,0xff102fee,0x3a03fe21,0x037ec04f,
    0x3fd40000,0x07fe2000,0xf880df70,0x00017f66,0x3f6009fb,0x77e4c004,
    0x77fff441,0x9987feef,0xe8098800,0xfffbceff,0x37dc000f,0xf1007fdc,
    0x007fd09f,0x202dda80,0x1ff10ff8,0x4400ffb8,0x009984ff,0xff500988,
    0x99999988,0x07fe2099,0xfd003fd0,0x35317f63,0x4013f200,0xfc8804fd,
    0x365fffff,0x25fa8aff,0x4407fd80,0x1ffdc4ff,0x00bffff1,0x6fd82ff8,
    0xfa86fe80,0x665c0006,0x443fe203,0x0ffe20ff,0x3607fe40,0x27fc407f,
    0x7fe47fa8,0x26ffffff,0x3ea01ff8,0x365f7005,0xfffff75f,0x004fc803,
    0xfe9809fb,0x16fefeef,0x027dc9ff,0xfa80bfea,0x713fe21f,0x003ffb9f,
    0x27f41fea,0xff83fe40,0xfff10002,0x43fe201f,0x1fee0ff8,0x543ff880,
    0x3fea02ff,0xeb8ff501,0x6ffeeeee,0xfd807fe2,0x3fbffa62,0x99fb3fb8,
    0x1fffdbff,0xd8027e40,0x97ff404f,0x3fe631fd,0x3e00bf23,0x71bf605f,
    0x99fd83ff,0x7fd003ff,0x3200ffe0,0x00bf907f,0x0bfffea0,0xff887fc4,
    0xb0013fa0,0x40bff0df,0x1fea06fd,0x3e26fc80,0xf99fe01f,0x9f57ffef,
    0xa837fff6,0x17ee04ff,0xf7017ec0,0x7c07f43f,0x2007f66f,0xff880ffc,
    0x3e237ec3,0x26013fa7,0x3ff880ff,0x880ffb80,0xfd8000ff,0xff105fed,
    0x7c43fe21,0x7fdc002f,0x4407fe40,0x1fea03ff,0x3e26fc80,0x74df301f,
    0x3e6bf73f,0x320bffb5,0x03fe607f,0x7401ff10,0xfc83fc5f,0x800feaef,
    0xffb83ff9,0x3ea27f40,0x32017f65,0x07ff105f,0x7ec0ff70,0x57fc4004,
    0xff880ffc,0x3ee1ff10,0x7fc4000f,0x5c1ffcc2,0x1fea00ff,0x3e26fc80,
    0x269f701f,0x7cd3f26f,0x7d40dfb5,0x2bbfa00f,0xdfb33109,0x3e23ff80,
    0x3ffff606,0x0dfd000f,0x87ff0bfd,0x01ff22fc,0x7fc03ff1,0x207fc804,
    0x2a000ffa,0x02ff98ff,0xb87fc433,0x7ff0007f,0xbfd0dfd0,0x2007fa80,
    0x07fe26fc,0x24fc97e4,0x369f53fd,0x07fe605f,0x369fff50,0x7c402eff,
    0x5017ea2f,0x019ffffd,0x3e21ffa8,0x21ffc42f,0x03fee0ff,0x7fc06fb8,
    0x406fd805,0x3f6003fe,0x44017fe5,0x00df90ff,0x3ea13fe0,0x00bfe21f,
    0x7e400ff5,0x6407fe26,0x7f45fb2f,0x17f67f52,0x2202ff88,0xfd93effd,
    0x7fc403bf,0x5c013ee4,0x402fffff,0x21fee4ff,0x17e63ff8,0x3fe80ff7,
    0x7c03ff40,0x037dc04f,0x3fe47ff0,0xfb0ff880,0x13fa000b,0x0ff727fc,
    0x6400ff50,0x407fe26f,0x7c3ff1fd,0x3f67f70f,0x807fe605,0x3f2203ff,
    0xf92ffc07,0x337ee007,0x3f202fff,0x3e09fd0f,0xf90fee4f,0x403fd40d,
    0x3ea01ffb,0x0ffc401f,0xf307fd40,0x1ff1005f,0x7c001bf2,0x21ff904f,
    0x7fa804fe,0xf89bf200,0x3e3fd01f,0x7e4ff11f,0x7d40bfb1,0x00df300f,
    0xffd807fe,0x32005fb0,0x40dff13f,0x1ff9aff9,0x0ff4bfb0,0x4fd817f6,
    0x80eff880,0xf9005ff8,0xf0dfb00b,0x1ff100bf,0x26001fee,0x5ff303ff,
    0xf5003ff3,0x137e400f,0x43fa03ff,0x74ff51fe,0xfc817f67,0x4017ee07,
    0x3fea03fd,0x8021fe9f,0x03fee2fd,0x06fcdfe8,0x237c5bf2,0xff104ff8,
    0x3bff2001,0x1ffea88a,0x801ff300,0x07fd83ff,0xff50ff88,0x2ffb8001,
    0x1bf37fa0,0x9003fd40,0x80ffc4df,0x3a5fb1fd,0x7ecbf57f,0x407ff105,
    0x9fb004fc,0xfffffc80,0x3fa06ecc,0xa803ff21,0x2e03ffff,0x544fbaff,
    0x0bf901ff,0xfffffc80,0x74001fff,0x07fea03f,0xff88bfea,0x3e61ff10,
    0x7fec002f,0x3fffea00,0x00ff5003,0x3ff137e4,0x7fdcbf20,0x0ffefcee,
    0xfd307bf6,0x004fc80d,0xff7009fb,0x40dfffff,0x0dff10ff,0x401ffff0,
    0x21fdeff8,0x3fe05ff8,0xffda8002,0xa8001cff,0x27ff607f,0x4ff99999,
    0x7fc43fe2,0xd0017fa0,0xffff00bf,0x01fea001,0x3fe26fc8,0x2e27f701,
    0x1efd89ef,0x7f7fffec,0x7e401eff,0x009fb004,0x504dffdc,0xb5ff357b,
    0xf9003fff,0xfff9009f,0x07ffaa2f,0x200037d4,0x40000ffa,0xffff02ff,
    0xffffffff,0xff887fc4,0x4003fee0,0xfc803ff8,0x1fea004f,0x3e26fc80,
    0x009f701f,0x7ffffec0,0x9f9003ef,0x8013f600,0xfff505fa,0x5fffffff,
    0x003ff200,0x7fffffec,0x0ffa01ff,0x09ff1000,0xa86fb800,0xffffffff,
    0xff12ffff,0xf883fe21,0x0ff9005f,0x8003ff20,0x3f6007fa,0x4407fe25,
    0x3f60007f,0xf9000115,0x013f6009,0xb9104fb8,0x079dfffd,0x0027fcc0,
    0x37fffffa,0x003fe600,0x273ff600,0xf1001ea8,0x406fd83f,0x1ff14ff8,
    0xff703fe2,0x02ff9807,0x4004ff98,0xff1007fa,0xb00ffc49,0x3f60005f,
    0x27fc0005,0x2006fc80,0x9f7002fc,0x1ffd1000,0x099ff800,0x0009fb00,
    0x3ffffa20,0x3f6005ff,0x6c027fc4,0x221ff17f,0x0ffe80ff,0x2201bf60,
    0x54000ffe,0x5ff7007f,0xf500ffc4,0xbfb0001f,0x1ffcc000,0x001ffb80,
    0x3f2003fb,0xfbaa8802,0x7cc001ff,0x0ffc4005,0xfd910000,0xf98007df,
    0x003ff50f,0x1ff13ff5,0x3e603fe2,0x03ff906f,0x3fff7551,0xf7333300,
    0x54cdf44f,0x7fc45ffd,0x7ec0999a,0x41aa20af,0x4c4005fd,0x1000fffc,
    0x40139fff,0x3fb000fe,0xdffff100,0x07f90003,0x00000000,0xdfb00000,
    0x233fe200,0x01ff10ff,0xff713fee,0x3fffe205,0xffff001e,0x7ffc4fff,
    0x440dffff,0x86ffffff,0xfffefffc,0x800bfb07,0x002ffffd,0x02ffffd4,
    0x05540099,0x01e77440,0x00000000,0x00000000,0xff880000,0x6401ff10,
    0x05ff10ff,0x001e7744,0x1bbbbbb6,0x059dfdb5,0x3bbbbba2,0x9ddb7305,
    0x00276405,0x0002f3b2,0x002765c4,0x00000000,0x00000000,0x00000000,
    0x3fe20000,0xc801ff10,0x00001d41,0x00000000,0x00000000,0x98000000,
    0xeeeeeeee,0x33333330,0x33333333,0x00000003,0x00000000,0x00000000,
    0xff10ff88,0x00000001,0x00000000,0x00000000,0x80000000,0xfffffff9,
    0xffffff0f,0xffffffff,0x000000ff,0x00000000,0x00000000,0xd10ee880,
    0x0000001d,0x00000000,0x00000000,0x00000000,0xbbbbbb88,0xddddd0bb,
    0xdddddddd,0x00000bdd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2606a000,0x35550002,0x00d54c00,0x110b2e60,0x05303500,0x00035530,
    0xaa9800c0,0x2aa00001,0x3553001a,0x44000000,0x202ccdba,0x4c001aa9,
    0x400001aa,0x00001aaa,0xff987fee,0x27fdc003,0x3ffff500,0x3fffea00,
    0x5c06e99e,0x0ffe61ff,0x007ffb10,0x3ffff660,0x3ff6202f,0xffb80003,
    0xffff5004,0x3fb2a003,0x900fffff,0xffffffff,0x07ffb101,0x01ffec40,
    0x04ffb800,0x20059dfb,0x3fe61ffb,0x0bfee003,0xfbaffa80,0xaaee802f,
    0x402ffffe,0x3fe61ffb,0x07ff7003,0xeffffb80,0xffb803ff,0x3fee0003,
    0x75ff5002,0x7f4c05ff,0xffffffff,0x6ffff440,0x200ffdcc,0x5c003ffb,
    0x5c0003ff,0x3ff602ff,0x1a801eff,0x32200298,0x3322001c,0x10033261,
    0x001bca81,0x80053035,0xf1000cc9,0x000881bf,0x10001993,0x32200399,
    0x2033261c,0x1ffffff9,0xffd81ff5,0x32600a04,0x664c000c,0x39910000,
    0xffdaa880,0x0000002f,0x00000000,0x00000000,0x1fee0000,0x00000000,
    0xfd000000,0x2a3fffff,0x0ffea0ff,0x00000000,0x30000000,0x4c981fff,
    0x2601cc80,0x4001bdcb,0x001bdcb9,0x00dee5cc,0x06f72e60,0x37b97300,
    0x003ff700,0x6640264c,0x32013261,0x2013261c,0xffff11cc,0x3fea3fff,
    0x4001ffa0,0xccccccc8,0x65c01ccc,0x0665c03c,0x2603cc80,0x03fdc4ff,
    0x7e40bfe2,0x00efffff,0xffffffc8,0xfffc800e,0xc800efff,0x0effffff,
    0xfffffc80,0x3fe600ef,0x0ff7001e,0x3ee2ff88,0x717fc407,0x2ff880ff,
    0xfffffff5,0x7cc3fea3,0xff10003f,0xffffffff,0x7fffc405,0x013fea00,
    0xfd00bfee,0x4407fb8f,0xeffe82ff,0x01effecc,0x3b33bffa,0x3fa01eff,
    0xeffeccef,0x33bffa01,0x201effec,0xfecceffe,0x3ff601ef,0x07fb803f,
    0xff717fc4,0x2e2ff880,0x97fc407f,0xfffffffa,0x3ea1ff51,0xff10001f,
    0x9999999b,0x7fffd403,0x007ff402,0x3f201bfe,0x2203fdc7,0x1ffdc2ff,
    0xfb82ffdc,0x05ffb83f,0xff707ff7,0x20ffee0b,0xff705ffb,0x20bff707,
    0x2effeffd,0xf101fee0,0x203fdc5f,0x1fee2ff8,0x3e65ff10,0x51ffffff,
    0x03fee1ff,0x017fc400,0xbfdbfb00,0x204ff980,0xfd801ffb,0x2203fdc6,
    0x13fe22ff,0x7c40ffc8,0x03ff204f,0x7e409ff1,0x027fc40f,0xff881ff9,
    0x703ff204,0x3ffee3ff,0x880ff704,0x01fee2ff,0x3fdc5ff1,0xfe8bfe20,
    0xf51fffff,0x001ff21f,0x0002ff88,0x1ff95ff1,0x881ffd80,0xffb805ff,
    0x2203fdc4,0x07fee2ff,0x7dc4ff88,0x13fe201f,0x7c403ff7,0x00ffdc4f,
    0xffb89ff1,0xd13fe201,0x5ffd889f,0x7c407fb8,0x101fee2f,0x03fdc5ff,
    0xff98bfe2,0xff51ffff,0x8001ff21,0x50002ff8,0x05ff31ff,0xfc85ff98,
    0xffee980f,0x407fb86f,0x1bf62ff8,0xdfb1bfa0,0xfd8dfd00,0x6c6fe806,
    0x46fe806f,0x6fe806fd,0xffc81ffc,0x2203fdc2,0x01fee2ff,0x3fdc5ff1,
    0xd30bfe20,0x3ea3ffff,0x001ff70f,0x000bfe20,0x0bff2fec,0x7c43ff90,
    0xdfff304f,0x101fee07,0x027f45ff,0x13fa37e4,0x9fd1bf20,0xfe8df900,
    0x746fc804,0x46fc804f,0x1bfa06fd,0xff880ff7,0xf101fee2,0x203fdc5f,
    0xb9502ff8,0x543fea3d,0xf10001ff,0x3fe0005f,0x2201ff23,0x03ff26ff,
    0x2e007fcc,0x17fc407f,0xff9007ff,0xfc803ff8,0x6401ffc7,0x401ffc7f,
    0x01ffc7fc,0x3fea3fe4,0xfb8ff704,0x717fc407,0x2ff880ff,0xff101fee,
    0x0ffa8005,0x20009ff3,0xccccdff8,0x1ff504cc,0x5c017fcc,0x03ff8aff,
    0x3ee01fe6,0x897fc407,0xffb803ff,0x7007ff10,0x0ffe21ff,0x7c43fee0,
    0x0ffb803f,0xf7007ff1,0x0dffd81f,0x1fee37dc,0x7dc5ff10,0x717fc407,
    0x2ff880ff,0xd07fd400,0xf10001ff,0xffffffff,0x3e1bf60f,0x9dfd005f,
    0x07f980df,0x7c407fb8,0x007ff12f,0x1ffc4ff7,0xff13fdc0,0x44ff7007,
    0x7fb803ff,0x2e00ffe2,0x7fff907f,0xff70ffe2,0x2e2ff880,0x17fc407f,
    0xff880ff7,0x07fd4002,0x8001dff7,0xaaaacff8,0x07ff02aa,0x3ea00ffb,
    0x64402fff,0x407fb804,0x13fe2ff8,0x9ff1bf20,0xff8df900,0x7c6fc804,
    0x46fc804f,0x6fc804ff,0x3fbffa60,0x407fb86f,0x1fee2ff8,0x7dc5ff10,
    0x017fc407,0xfb03fea0,0x2e6237ff,0x017fc40e,0x2a07fea0,0xffd002ff,
    0xfb80000b,0x8bfe200f,0x5fd804fe,0x7ec027f4,0x6c027f45,0x4027f45f,
    0x027f45fd,0x7dc02fec,0x1ff706ff,0xf717fc40,0x17fc401f,0x7c401ff7,
    0x7fd4002f,0xfffffd80,0x7c40ffff,0x7fec002f,0xff999999,0x03ff5004,
    0x3ea00aa0,0x87fea00f,0x4ff807fd,0x7fc03fec,0x7c03fec4,0x403fec4f,
    0x03fec4ff,0xe88027fc,0x0ffa81ff,0xfa87fea0,0x87fea00f,0x3ea00ffa,
    0x3fdc001f,0xdffffb50,0x05ff1079,0xffffff80,0x007fffff,0xf9003ff3,
    0x1ff9807f,0xfb83ff20,0x07fea01f,0x7d403ff7,0x00ffdc1f,0xffb83ff5,
    0x707fea01,0x7fd403ff,0x0ffe2001,0xfc807fe6,0x807fe60f,0x3fe60ffc,
    0x003ff201,0xfd00dfb0,0x05ff1009,0x7ffffd40,0x2fffffff,0x801ff980,
    0x7c405ffe,0x11bfe04f,0xff101dff,0x01dff10b,0xff10bff1,0x0bff101d,
    0xf101dff1,0x1dff10bf,0x800bff10,0xff883ff8,0xf11bfe04,0x237fc09f,
    0x3fe04ff8,0x3fe20106,0x00ffc405,0xb0017fc4,0x4ff880df,0x801ff980,
    0xfc802ffb,0x3ff620cf,0x8aeffc81,0x901ffea8,0xd5115dff,0x3ff203ff,
    0xffea88ae,0x15dff901,0x203ffd51,0xa88aeffc,0x80981ffe,0xf900ffd9,
    0x7fec419f,0x20cffc81,0xfc81ffd8,0x3ff620cf,0x2a0cf881,0x7d401ffd,
    0x37ff1006,0x41333333,0x7fd804ff,0x001ff980,0x3fa20011,0x3fffffff,
    0x3fffff20,0x7e401fff,0x1fffffff,0x7ffffe40,0x7e401fff,0x1fffffff,
    0x7ffffe40,0xff701fff,0x07ffffdd,0x7fffff44,0xfd103fff,0x7fffffff,
    0x3ffffa20,0xf703ffff,0x9fffffff,0x2009f900,0xfffffff8,0x3ff52fff,
    0x803ff500,0x00001ff9,0x3ffffae0,0xffda801d,0xb5000dff,0x001bffff,
    0x37ffff6a,0xfffb5000,0x36a001bf,0x200dffff,0xdffffffb,0xfffd7001,
    0xfd7003bf,0x7003bfff,0x03bffffd,0xeffffea8,0x00131002,0x3fffffe2,
    0xdfb2ffff,0x013fe200,0x00003ff3,0x80002600,0x04c00009,0x00026000,
    0x98000130,0x0cccc000,0x00026000,0x26000098,0x00330000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa0000,0x01aa9801,0x014c0d40,
    0x00355500,0x9800d54c,0x200442cb,0x00442cb9,0x00006aa6,0x4c00d554,
    0x035001aa,0x981a8053,0x80022002,0x00000001,0x40000088,0xfa804ffb,
    0xf7001fff,0x01ffcc3f,0x0027fdc0,0x803ffff5,0x99effffa,0x3ffea06e,
    0x406e99ef,0x0003ffd8,0x54027fdc,0x5c01ffff,0x0ffe61ff,0xff30ffdc,
    0xeffe8807,0x0ffff200,0xeb817fc4,0x2206a0df,0x81dffffd,0x7dc02ffb,
    0xaffa802f,0xfb802ffb,0x00ffe61f,0x4005ff70,0x2ffbaffa,0x3faabba0,
    0x3ba02fff,0x2ffffeaa,0x007ff700,0x200bfee0,0x2ffbaffa,0xf987fee0,
    0x43ff703f,0x7ec03ff9,0xdfb05faa,0xbf907ffb,0x3fffff20,0x7fd46fcc,
    0x41ffffef,0x32202ffb,0x1cc8801c,0x2a003326,0x44002981,0x322001cc,
    0x4033261c,0x00de5408,0x03795022,0x000cc980,0x4400e644,0x033261cc,
    0x402981a8,0xf802981a,0x9fe21f24,0x07fd46fa,0xfff90dd8,0x06ffc41f,
    0xffb8dff3,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ba23ba0,0x27f893ea,0x44002fe8,0x80ffb81a,0x3fee0ffb,
    0x33333222,0x401ccccc,0x70003ccb,0x2e000799,0x991003cc,0x99999999,
    0x202664c3,0x665c00cc,0x99995003,0x83999999,0xccccccca,0x66541ccc,
    0xcccccccc,0x66666441,0x541ccccc,0xcccccccc,0x3fea01cc,0x45fa81ff,
    0x0017f27f,0x2e0bfb00,0x117fdc7f,0xffffffff,0x7fc405ff,0x7c4000ff,
    0x44000fff,0x8800ffff,0xffffffff,0x3ffea2ff,0x8807fe02,0xc800ffff,
    0xffffffff,0x7ffe43ff,0x3fffffff,0x7fffffe4,0x7c43ffff,0xffffffff,
    0x7fffe42f,0x03ffffff,0xf9805dcc,0x7fcdbea7,0x35553000,0xf109fd01,
    0x21ffa8bf,0xccccdff8,0x3ea01ccc,0x54002fff,0x4002ffff,0x802ffffa,
    0xccccdff8,0x3fea1ccc,0x807fe06f,0x802ffffa,0xdffdccca,0x66541ccc,
    0xcccdffdc,0x7ee66541,0x441cccdf,0xcccccdff,0x666541cc,0x1cccdffd,
    0x026aaa60,0x97fe77f4,0xffc802fe,0x20cfffff,0x77fcc4fe,0xf10ffd40,
    0x7ec0005f,0x6c005fed,0x4005fedf,0x805fedfd,0x2a002ff8,0xff02ffff,
    0x7f6fec03,0x1ff98005,0x00ffcc00,0x1007fe60,0x980005ff,0xffc801ff,
    0x40cfffff,0xf93fffe8,0x3bbfe00b,0x3a5fffec,0x037fe64f,0xff887fea,
    0x5ff10002,0x22001ff9,0x00ffcaff,0xff95ff10,0x02ff8801,0x1bf3fea0,
    0xff880ffc,0x4000ffca,0x4c001ff9,0x7cc001ff,0x17fc401f,0x07fe6000,
    0x3b3bbfe0,0x43105fff,0x37000ff9,0x3a3ffb10,0xa817fa4f,0x0bfe21ff,
    0x4c7fd400,0xff5002ff,0x2005ff31,0x2ff98ffa,0x0017fc40,0x03ff3ff5,
    0x3fea03ff,0x4002ff98,0x4c001ff9,0x7cc001ff,0x17fc401f,0x07fe6000,
    0x3f6206e0,0x03fe801f,0x27ff3000,0x80ffe4fe,0x3fe21ffa,0x4bfb0002,
    0xbfb005ff,0xfd802ffc,0xf1017fe5,0xbfd4005f,0x01ff85fe,0x02ffcbfb,
    0x0007fe60,0x98003ff3,0x7fc401ff,0x7fcc0002,0x7fcc0001,0x0037dc03,
    0x7f53fa00,0x4c03bfa4,0x0bfe20ff,0xf91ffc00,0xc8ffe00f,0x47ff007f,
    0x7fc407fc,0x55fea002,0x80ffc1ff,0x01ff23ff,0x8003ff30,0x4c001ff9,
    0x7fc401ff,0x7fcc0002,0x4fe80001,0x0987fe20,0x2aaa6600,0x549fd4ff,
    0xff981eff,0x3337fe20,0xf504cccc,0x017fcc1f,0xff983fea,0x307fd402,
    0x7fc405ff,0x4ccccccd,0x8bfd3fd4,0x0ffa81ff,0x9800bfe6,0x7cc001ff,
    0x7fcc001f,0x66ffc401,0x804ccccc,0x4c001ff9,0x04ffaaa9,0x7ffdcffa,
    0xfff9100e,0x3a9fffff,0x17ffdc4f,0xff883fe6,0x7fffffff,0xbff0dfb0,
    0xff86fd80,0x7c37ec05,0x3ffe205f,0x47ffffff,0x83fee7fa,0x86fd81ff,
    0x3e6005ff,0x7fcc001f,0x0ffcc001,0x3ffffe20,0x9807ffff,0xfc8801ff,
    0x4fffffff,0x3feadf70,0xff886ffc,0xffccccdf,0xff509fd4,0x107fcc5f,
    0x555559ff,0x20ffe055,0x1ffc07fd,0x3fe03fec,0x2207fd83,0xaaaaacff,
    0x3e3fd42a,0x3e07fe4f,0x007fd83f,0x30007fe6,0xf98003ff,0x67fc401f,
    0x02aaaaaa,0x4401ff98,0xccccdfff,0x1ff884ff,0x20ffc3fd,0x9fd01ffd,
    0x7f4413fa,0xf889910f,0x7fd4002f,0x502ffa81,0x5ff503ff,0x2a07fea0,
    0x5ff102ff,0x2e3fd400,0xa83ff0ff,0x2ffa81ff,0x003ff300,0x4001ff98,
    0x7c401ff9,0x7cc0002f,0x0ffec01f,0x4fd84fe8,0x42fd8ff1,0x53fa04ff,
    0x3fea04fe,0x017fc402,0x2667ff60,0xb04ff999,0x333333ff,0x3ff609ff,
    0xff999999,0x005ff104,0x3fe23fd4,0xffd83ff3,0xff999999,0x03ff3004,
    0x001ff980,0x2200ffcc,0x4c0002ff,0x27fc01ff,0x6fa89fd0,0x85fb1fe2,
    0x9ff703ff,0xff8813fa,0x5ff10aa2,0xfffff800,0x07ffffff,0xffffffff,
    0x3fe0ffff,0xffffffff,0x05ff107f,0x7e43fd40,0x7fc1ff8f,0xffffffff,
    0x3ff3007f,0x01ff9800,0x200ffcc0,0x40002ff8,0x7fc01ff9,0x449ff703,
    0x897fc1ff,0x077f40ff,0x3a9fffb3,0x1ffb104f,0xff88fff2,0x3ffea002,
    0xffffffff,0x7fffd42f,0xffffffff,0x7ffffd42,0x2fffffff,0x2002ff88,
    0xbff887fa,0x3ffea1ff,0xffffffff,0x1ff9802f,0x00ffcc00,0x1007fe60,
    0x980005ff,0x77f401ff,0x93fff660,0xdffb84fd,0xfffa84fe,0x4fddfffe,
    0x7ff7c9fd,0x97ffa3ff,0x36002ff8,0x27fc406f,0xff101bf6,0x4406fd89,
    0x2ff884ff,0x6c1fea00,0x3f61ffef,0x027fc406,0x2000ffcc,0x4c001ff9,
    0x7fc401ff,0x7fcc0002,0x77ffd401,0x54fddfff,0x3ff201df,0x3ffea04f,
    0x3a9f92ef,0x37fffe4f,0xf117fdc1,0x3333337f,0x4027fc13,0x027fc7fd,
    0x13fe3fec,0x3e21ff60,0x999999bf,0x4c1fea09,0x3fe1ffff,0x887fd804,
    0x9affb999,0x4ccc4099,0x0999affb,0x7fdcccc4,0x7c40999a,0x999999bf,
    0x5cccc409,0x80999aff,0x92effffa,0x0030009f,0x130000c4,0x7fc40880,
    0xffffffff,0x5003ff52,0x07fea3ff,0x7d47fea0,0x1ffa801f,0x7fffffc4,
    0x3ea2ffff,0x47fff607,0xfa801ffa,0x7fffe41f,0x43ffffff,0xfffffffc,
    0x7fe43fff,0xffffffff,0x7ffffc43,0x642fffff,0xffffffff,0x006203ff,
    0x00000000,0x3e200000,0xffffffff,0x200dfb2f,0x0dfb4ff8,0x7ed3fe20,
    0x89ff1006,0xfffffff8,0x1fea2fff,0xfb1fff98,0x13fe200d,0xfffffff9,
    0xffc87fff,0xffffffff,0x7ffffe43,0x443fffff,0xffffffff,0x7ffe42ff,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00988000,
    0x40000000,0xffd8802a,0x7f400003,0x01ffdc04,0x01bff900,0x006ffe40,
    0x4401ffdc,0x00003ffd,0xfd837ff2,0xffb10005,0xbfd70007,0xfd880d41,
    0xf900003f,0x7f4001bf,0x11bfe600,0x0ffee003,0xff94ffc8,0x007ff709,
    0x7027f400,0x0007ffff,0xc8007ff9,0xff7003ff,0x3ee007ff,0xfc80003f,
    0x005fd83f,0x001ffdc0,0x99fffff9,0x3ffb80df,0x1ffe4000,0x201be600,
    0x6feddffa,0x3ffffb80,0x3eedffd0,0x07ff303f,0x413fa000,0x3fe98efb,
    0x007ff200,0x2003ff90,0x3fe98efb,0x007ff300,0xd80ffe40,0xf980005f,
    0x21bb003f,0x800ffffc,0x90003ff9,0x2a6003ff,0x32603fda,0x4ffffffe,
    0x74c77dc0,0x73ffa83f,0x554407ff,0x4fe80000,0x2a20aa88,0x0aa8800a,
    0x00554400,0x2a20aa88,0x1551000a,0x01551000,0x80002fec,0x10000aa8,
    0xaa880035,0x05544000,0x7ffffdc0,0x3fff204f,0xa8801ffe,0x202aa20a,
    0x00bfee08,0x4fe80000,0x00000000,0x00000000,0x40000000,0x000005fd,
    0x00000000,0x3f600000,0x4fffddef,0x3fe23750,0x20000006,0x2a202ffa,
    0xaa98001a,0x2a604fe8,0x530009aa,0x44001355,0xa88001aa,0xaa88001a,
    0x1aa88001,0x35317f60,0x4d554c00,0x06aa2000,0x98802620,0x31004c40,
    0xf91ffdc1,0xb3009ffd,0x544007ff,0x43ba201a,0xfe981ffa,0x4403ffff,
    0xfffffffd,0xfffffc84,0xff900cff,0x019fffff,0x7fffff4c,0xfffe9803,
    0xffa803ff,0xa803ffff,0x83ffffff,0xffff75fd,0x7ffe403f,0x200cffff,
    0x3ffffffa,0xfd817f60,0xfb02fec5,0xfd13fe2b,0x3660ffb1,0x00ffffff,
    0x7fffffd4,0x910ff883,0xceffa819,0xf505ffec,0xfffd9dff,0xd9ddff09,
    0x3fe0bfff,0x5fffecee,0xd99dff50,0x7fd40bff,0x05ffecce,0x3f77fff2,
    0x3ff206ff,0x46fffddf,0xedffccfd,0xdff00fff,0x0bfffd9d,0x3f77fff2,
    0x0bfb06ff,0x17f62fec,0x1ff55fd8,0x0ff9b7cc,0x7777ffd4,0x3ff204ff,
    0x46fffddf,0x7c400ff8,0x42ffb84f,0xfe80dff8,0xfd881b84,0xd881b81f,
    0x27fc41ff,0x7c417fdc,0x82ffb84f,0xffc84ffa,0xc84ffa83,0x3fff63ff,
    0x413fea0d,0x1ffd881b,0x7e427fd4,0x205fd83f,0x02fec5fd,0x91feebfb,
    0xf117fc7f,0x0ffc81bf,0xfc84ffa8,0xf83fe23f,0xd81bf22f,0xd037e46f,
    0xff98009f,0x1ffcc003,0x6fd81bf2,0x3f606fc8,0x3604fe86,0x027f40ff,
    0x3ff61ffb,0x000ff905,0x4fe87ff3,0xfb03ff60,0x362fec0b,0x657f605f,
    0xfd07f46f,0xf8837ec7,0x204fe83f,0x3ff30ffd,0x3ff83fe6,0x7ff1fea0,
    0x40027f40,0xfe8004fe,0xf501ffc4,0x5407ff0f,0x00ffcc7f,0x7fcc3ff3,
    0x6c7fe601,0x03fea06f,0xf993fa00,0x07fe601f,0x2fec0bfb,0x5fd817f6,
    0x237ccdf9,0x05ff13fe,0x3fe637ec,0x4c7fe601,0x44df51ff,0x99999bff,
    0xff10ffb9,0x2027f403,0x4ffaaa99,0x7d554cc0,0x26ffe24f,0xffb99999,
    0x266ffe20,0x0ffb9999,0x3fe01fee,0x3e01fee3,0x4c0bfb3f,0x54cc01ff,
    0x3ee4ffaa,0x6c3ff807,0xb17f605f,0xaafec0bf,0xff0ff27f,0xb803fea5,
    0x403fdc7f,0x23ff33ff,0x3ffe63fc,0xffffffff,0x401ff51f,0xffc884fe,
    0x84ffffff,0xffffffc8,0x3ffe64ff,0xffffffff,0x3fffe61f,0xffffffff,
    0x3e01bf21,0x201bf24f,0x40bfb4ff,0xfc882ff8,0x4fffffff,0x3fe01bf2,
    0xfb02fec4,0x3605fd8b,0x3a3ff15f,0x5c7fe60f,0x07fd407f,0x9ff00df9,
    0x04c47fe6,0x9999bff3,0x2a199999,0x13fa00ff,0x999bfff1,0xff889ff9,
    0xffccccdf,0x3337fe64,0x0ccccccc,0x33337fe6,0x20cccccc,0x3ff806fc,
    0x3fe01bf2,0x7cc0bfb3,0x6fffc41f,0x24ffcccc,0x3ff806fc,0xbfb02fec,
    0x3f605fd8,0x1be77fe5,0x03fdcdfb,0x6fc87fea,0xff33ff80,0x017fc405,
    0xe803fea0,0x80ffec4f,0x0ffec4fe,0x3fe24fe8,0x2ff88002,0x807fb800,
    0x01fee2ff,0x02fecbfe,0xffd81ff5,0x7dc9fd01,0x6c2ff807,0xb17f605f,
    0x72fec0bf,0x3627fdff,0x03fea1ff,0x3ee0ffb8,0xf52ff807,0x03ff805f,
    0xb817fcc0,0x027fc4ff,0x04ff89fd,0x07ff13fa,0x000ffe00,0xfa807fea,
    0x807fea1f,0x0bfb1ffa,0x27fc3fe4,0x7fd49fd0,0xb07fea01,0x17fe20df,
    0x3fe20dfb,0x777ffd45,0x7fcc3fff,0xf51bf602,0x8ffd403f,0x7ec02ffa,
    0x2ffc000f,0x3e27ffd4,0x89ff703f,0x9ff703ff,0x8000ffd8,0x44000ffd,
    0x17fa05ff,0x7f40bff1,0x7c417f65,0x703ff83f,0x2ffc49ff,0xff90bfd0,
    0x45ffe881,0x7f440ffc,0xffffb85f,0x0dfd01df,0xff10ffe2,0xf52ff40b,
    0xeff8805f,0xffc83102,0x9fdff713,0x3660efe8,0x77f44fff,0x13fff660,
    0x2205dff1,0x02eff881,0x1bff7031,0x5c0ffec4,0x3f620dff,0x307bf61f,
    0x3bfa0dfd,0x13fff660,0x6c41bff7,0xcffa81ff,0x8bfffd30,0xfd30cffa,
    0x37f90bff,0x1bff7001,0x5c07ff4c,0x3f620dff,0x00bfea1f,0x3bbfffea,
    0x7f443ffe,0xfc9fffff,0x7f7ffd44,0x544fddff,0xdfffefff,0xfffa84fd,
    0x03ffeeef,0xdddffff5,0x3ff607ff,0x02ffffff,0x3ffffff6,0x7ffec2ff,
    0x01efffef,0xfffdfff5,0xffb09fbb,0x05ffffff,0x7ffffff4,0xffe85fcc,
    0x5fccffff,0x6c000fe8,0xffffefff,0x3ffff601,0x7d42ffff,0xffb1003f,
    0x105dffff,0x321bfffb,0xffffa84f,0xf509f92e,0x3f25dfff,0xffffb104,
    0x6c405dff,0x2effffff,0x3ffffaa0,0xffea800d,0xeb980dff,0x803effff,
    0x92effffa,0x3ffaa09f,0x6c400dff,0xbf72efff,0x5dfffb10,0x0df317ee,
    0x3fffaa00,0xfea800cf,0xea80dfff,0x9988002e,0x40006001,0x03100018,
    0x01998800,0x00199880,0x26000098,0x00008000,0x09800031,0x00033000,
    0x00000066,0x98000260,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000988,
    0x80000055,0x4400acb9,0x80266009,0x31000098,0x1bb10000,0xb1006ec4,
    0x806ec41b,0x37620dd8,0x10aa9800,0x00000003,0x00001100,0xfb800000,
    0x2ffdc03f,0x6405ff10,0x7e4004ff,0xffd880df,0x3f604fff,0x5c0ffe05,
    0x3fe205ff,0x813fff22,0xffc82ff8,0xc813fee3,0x13fee3ff,0xff71ffe4,
    0x3fff6209,0xd704ffff,0xf50d41bf,0xff50000f,0x3fffe205,0x7ec404ff,
    0xffb8003f,0xfff983ff,0x017f205f,0x6400dffb,0x3ff603ff,0xb02fffcc,
    0x21ffc0bf,0x205ffff9,0x7e5d45fc,0x20bf901f,0x3fe61ffa,0x987fea02,
    0x3ff502ff,0x7d417fcc,0xfffecdff,0xfffffc84,0x1fea6fcc,0x1bffa000,
    0x7fffffc4,0x07ff7004,0x74c77dc0,0x7e67cc3f,0x801ff505,0xf9003ffa,
    0x17fcc03f,0x2fec17fe,0xcf987ff0,0x1ff505fc,0x2a07fe20,0x202200ff,
    0x88088008,0x04404400,0x7406ffc4,0xf90dd84f,0x3fd41fff,0x2ffec000,
    0x4009fd00,0xa8803ff9,0x102aa20a,0x3fa217ee,0x20011002,0x7dc00aa8,
    0xfb07fc87,0x841ffc0b,0x2fe885fb,0x885ffe98,0x000002fe,0x20000000,
    0x13fa06fc,0x7d40d440,0xcc880007,0x013fa000,0x00015510,0x642fdc00,
    0x0000005f,0x640ffb80,0x40bfb05f,0x17ee03ff,0x774c17f2,0x02fe43ff,
    0x10035510,0x004c4013,0x10135553,0x27f407ff,0x03fd4000,0xfd000000,
    0x22000009,0x20262009,0x07fcc5fb,0x4cc0dd00,0x54009999,0x0ffe62ff,
    0x7ff02fec,0x3e62fdc0,0x26fc800f,0xe9800ff9,0x203fffff,0x17f605fd,
    0x3ffffff2,0x07fe60cf,0x04c44fe8,0xff503551,0x2604cc40,0x00099999,
    0x266013fa,0x36009999,0x217f605f,0x017f45fb,0xf101ff10,0x009fffff,
    0xdff51dfd,0xff02fec0,0x3a2fdc07,0x3f2ae02f,0x200bfa4f,0xfecceffa,
    0x40bfb05f,0xeeff85fd,0x2a5fffec,0x13fa00ff,0x3fff27fb,0x41fea1ef,
    0x3e20eff9,0x004fffff,0xff1013fa,0x6c09ffff,0x217f605f,0x017f25fb,
    0xd101ff10,0x009ffddd,0x0bfffff5,0x3fe05fd8,0xfc97ee03,0x27ffec05,
    0xff100bf9,0xb05ff709,0x42fec0bf,0x1ffd881b,0x7f401ff5,0x7ff67ec4,
    0x3ea6fffd,0x40eff987,0x4ffeeee8,0x1013fa00,0x09ffdddd,0xbfb02fec,
    0x001ff300,0xd000ffa8,0x3ffa009f,0x05fd802f,0xf9800ffe,0x04cc400f,
    0xf9001ff3,0x6c37ec0d,0x017f605f,0x3ea7ff30,0xb13fa00f,0xffb89fff,
    0xff98ff52,0x09fd000e,0x40027f40,0x17f604fe,0xfe805fd8,0xfffb1003,
    0x13fa003f,0x5ffffd10,0x1bf61cc8,0xd001ffcc,0x7f40007f,0x407ff003,
    0x05fd87fa,0x3a0017f6,0x205ff34f,0x7fec4ffb,0xf53ff884,0x0077fccf,
    0x74009fd0,0x4fe8004f,0xfd817f60,0x8037dc05,0x0ccefff8,0x4409fd00,
    0x0fffaefe,0x7fec5ff1,0x027ff440,0x20006fb8,0xff1006fb,0x73333337,
    0x05fd81ff,0x533017f6,0x7fc9ff55,0x44fffa85,0x53fa06fd,0x1dff37fa,
    0x004fe800,0x3a0013fa,0x817f604f,0x3fe205fd,0x03ffb001,0xc813fa00,
    0x1dff50ff,0x7fec3ff3,0xdfdfd31d,0x4c3ff100,0x03ff1001,0x3ffffe60,
    0x1fffffff,0xbfb02fec,0xfffff910,0x7fe49fff,0x9fdff713,0x3f605fd8,
    0xdff3ff55,0x09fd0001,0x40027f40,0x17f604fe,0x3fa05fd8,0x3e1fff63,
    0x3fa0004f,0xf713fe04,0x6c1ff7bf,0xbfffffff,0x3a01fffa,0x3dfff73f,
    0x3f63fe80,0xcdff987f,0xcccccccc,0xfb02fec0,0xcdfff88b,0x224ffccc,
    0x9ffffffe,0x02fec4fd,0x37feabfb,0xfd0001ff,0x027f4009,0xfb027f40,
    0xb82fec0b,0x1fffea6f,0x40009ff1,0x5ff104fe,0x8dffffb0,0x2effedfd,
    0x7dc07ff2,0x1bf6fb26,0x3fea6fb8,0x02ff887f,0x6c0bfb00,0x80ffec5f,
    0x7fec44fe,0xd89fd0df,0x557f605f,0x00ffe8ff,0x2004fe80,0xfe8004fe,
    0xd817f604,0x11ff885f,0xff0ff5fd,0x27f4000d,0xe883ff88,0xa7ec3fff,
    0x7c402018,0x20ff301f,0x5fd11ff8,0x00ffe0ff,0xf8837ec0,0xd027fc5f,
    0x7f40c09f,0xfb02fec4,0x7fc5feab,0x27f4000e,0x0009fd00,0x37ec09fd,
    0xfd85ff88,0x1fe2ff24,0x4000bff2,0x1bfe04fe,0x360fffcc,0x7ec0005f,
    0x6c17f204,0x3e2ff24f,0x001ffb07,0xe881ff90,0x81ffc5ff,0x74004ffb,
    0xb02fec4f,0xf99feabf,0x3fa000ef,0x013fa004,0xfc813fa0,0x2fff440f,
    0x9ff99bea,0x7fc41ffa,0x4fe8002f,0x9837ff20,0x360efffe,0x3ea0005f,
    0x203bf606,0x27fe66fa,0xff881ffa,0xf503102e,0x3ffa619f,0x3077f45f,
    0x8009fffb,0x02fec4fe,0x51feabfb,0x7f400bff,0x013fa004,0xfa813fa0,
    0xfffd30cf,0xf50ffc4b,0x83ffffff,0x1bcefff9,0x7404fe80,0xffffffff,
    0x17f65ffd,0x40ffc400,0xff105fe8,0x7ffffd43,0xfffa81ff,0x03ffeeef,
    0x9ffffffd,0xfffa8bf9,0x4fddfffe,0x3627f400,0x557f605f,0x05ffb87f,
    0x74009fd0,0x4fe8004f,0x7fffff40,0x3f65fccf,0x7dd55444,0xffd880af,
    0x7ffe44ff,0x6fffffff,0xcefffeb8,0x3f67ffb0,0x09fb0005,0x87bbbffa,
    0x555444fd,0xb100affb,0x5dffffff,0x3bfff620,0xff50bf72,0x13f25dff,
    0xfd89fd00,0x7d57f605,0xc89ff907,0xffffffff,0xffff96ff,0x8dffffff,
    0xfffffffc,0x7ec46fff,0x2bf72eff,0x7c400efa,0x3dcb8807,0x7fffffe4,
    0x0c06ffff,0x0009d900,0x3fe01df5,0xdf51ffff,0x007f8801,0x30006662,
    0x00310003,0x361f6c00,0x557f605f,0x93ff607f,0xfffffffc,0xfff96fff,
    0xdfffffff,0xffffffc8,0x2606ffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20dd8800,
    0x4c400dd8,0x099999aa,0x00009800,0x31001330,0x35302621,0xddba8800,
    0x5d4400ac,0x264c2ccd,0xcc88e640,0x1ccccccc,0x059bb750,0x09953300,
    0xbcddcb98,0x66666441,0x5cc3cccc,0x400acdec,0x37620dd8,0x90000000,
    0x27fdc7ff,0xffffff70,0x2e00bfff,0xfb5ffffe,0x07fd800b,0x3fda7fc4,
    0x03fffff7,0xfffffc88,0xff901fff,0x21ffffff,0x7fc407fb,0xffffff12,
    0xfe985fff,0x02ffffff,0x7ffff5c4,0xffffb307,0xff88ffff,0x6fffffff,
    0x3fffffe2,0x3ff203ff,0x0013fee3,0x5401ffdc,0x0bfe61ff,0x75deffec,
    0x4404eeff,0x6ffffffe,0xfa800bfb,0x47fea02f,0xedffccfd,0xfd300fff,
    0xffb99bff,0xdfffe883,0xf70ffdcc,0x12ff880f,0xf9999999,0x677fc45f,
    0x01fffdba,0x9bdffff3,0xbdfff109,0xf88db977,0xcccccccf,0x2eaf7e23,
    0xf502fffd,0x017fcc3f,0x1ffffdc0,0x80440440,0x6fe82ffa,0x439ff900,
    0x000bfb08,0x37ec0bff,0x541bfffb,0xfff884ff,0xffb02a03,0x0ff71409,
    0x8802ff88,0x07ff22ff,0x3e613fe6,0xffb002ff,0x07fc4003,0x2ffcc000,
    0x00110110,0xfd31df70,0xf9000007,0x007fea0d,0xbfb01bfe,0x01ff9000,
    0x7fec7ff1,0xf90ff905,0xffa8003f,0x01fee003,0xf1005ff1,0xd02ff45f,
    0x00dfb0bf,0x44005ff8,0xd00000ff,0x000000ff,0xaa882aa2,0x01aa8800,
    0xff982fec,0x01ffc401,0x260017f6,0x0ffb83ff,0xffa81bf6,0x0013fe60,
    0xf7001ffa,0x02ff880f,0x3f62ff88,0xf313fe05,0x7fc4003f,0x07fc4004,
    0x06fc8000,0x01333333,0x2a000000,0x03ffffff,0x3fea0dfb,0x00ffcc00,
    0x1aa897f6,0x7f437f40,0xf302fec5,0x007fdc3f,0x000ffe60,0xff880ff7,
    0x22ff8802,0xffa82ffa,0x4002fe41,0x22000eff,0xd00000ff,0xffff107f,
    0x260009ff,0x80099999,0xffddfffc,0x43ffa86f,0xf9806fe8,0xcafec01f,
    0x501effff,0x17fc43ff,0xff8817f6,0x2001bf62,0x5c001ffa,0x17fc407f,
    0xd117fc40,0x3ff219ff,0x5313fe85,0x7ffdc013,0x35ff1002,0x7fe40001,
    0xfeeee880,0xff88004f,0x5404ffff,0x3ffc84ff,0xfcceffe8,0x999880ff,
    0x9999affa,0xffbbfb09,0x7c0dfffb,0x361fee4f,0x87fe605f,0xaaaa85fe,
    0x01ff70aa,0x4407fb80,0xff8802ff,0xfffffd82,0xdcff883f,0x01efffff,
    0x017dfffb,0x7fffffc4,0x999300be,0x74001bfd,0xee88004f,0x7404ffee,
    0x83ff604f,0xffffeffa,0xffffd00d,0xffffffff,0x837fff67,0xff902ffc,
    0x3f613fa1,0xf83fe605,0xfffff84f,0x000ff92f,0xff880ff7,0x02ff8802,
    0x01bffffb,0x99dffff1,0x2a03fffd,0x80cffffe,0xfffffff8,0xfffa81ff,
    0x3a001cff,0xfd00004f,0x00ffcc09,0x97f43ff3,0xffe80199,0xffffffff,
    0x0bffb3ff,0x3e607ff1,0xd81ff9af,0xf1ff205f,0xfdddb09f,0x001ff25f,
    0xff101fee,0x05ff1005,0xffffbffb,0x81dff983,0x6d406ff9,0x9802ffff,
    0x440fffcb,0x3fffdcaa,0x0009fd00,0xfb813fa0,0x3e3ff807,0xf980002f,
    0x037ec01f,0x6ff409fd,0x0bfb06fc,0xbfd0ffe2,0xf72ff880,0x7fb8001f,
    0x4017fc40,0x3fa22ff8,0x87ffee2f,0x3ee02ff9,0xffc9801f,0x3fea001f,
    0x2ffc8802,0x0004fe80,0x7e409fd0,0x3e4ff806,0x9aaabdff,0x03ff3000,
    0x3f605fd8,0x3fffea05,0x983dfb03,0x06fd86fe,0xffa97fc4,0x07fdc001,
    0x1005ff10,0x07fe45ff,0xff137fcc,0x017fc405,0x800bff50,0x3fa004ff,
    0x004fe805,0x6409fd00,0x23ff806f,0xfffffffa,0x7cc01eff,0x02fec01f,
    0xfff80bfb,0xffffb00f,0x903dfffd,0x7fc403ff,0x8009ff32,0x3ea00ffa,
    0x2ff9801f,0xffc80ffa,0xf880ffe0,0x3fec002f,0x8017fa00,0x4fe806fd,
    0x09fd0000,0x7fc03fdc,0x3337fe62,0x00ffffee,0xfb007fe6,0x202fec0b,
    0x3f604ffc,0x03efffff,0xf8817fe6,0x003ffa2f,0x3201ff98,0xffb800ff,
    0x5c05ff31,0x817fa1ff,0x64001ff9,0x3fe2007f,0x013fa003,0x400013fa,
    0x3fea04fe,0x447fea01,0x3fee03ff,0x007fe603,0x2fec0bfb,0xd803ff20,
    0x6400115f,0x5ff103ff,0x8006ffd4,0x3fe04ff8,0x0ffd8026,0x7e409ff1,
    0xd807fdc7,0x5fe8007f,0x007ff600,0x74017fd4,0xfd00004f,0x02ffc409,
    0x03fdcbfd,0xff3027fc,0x205fd803,0x3fe605fd,0x002fec04,0x0adfff88,
    0xffd0bfea,0x3ae6237f,0x8833ff20,0x2baa1ffd,0xe87ffb51,0x3ee20bff,
    0x40eff85f,0x2b2a2ffc,0x17ff5441,0x7ffb3011,0x5ffc8804,0x0009fd00,
    0xf7013fa0,0x7fec41bf,0x9807ff21,0x3fe603ff,0xb02fec01,0x3ffa20bf,
    0x002fec00,0xfffffd10,0xf905ffff,0xffffffff,0x7ffff441,0x7d43ffff,
    0x85ffffff,0xfffffff8,0xfff506ff,0xa89fffdd,0xffffffff,0x7ffdc3ff,
    0x643fffff,0xffffffff,0x09fd000d,0x013fa000,0x3ffffff6,0x77fd42ff,
    0xffb9889a,0x07fe600e,0x7ec0bfb0,0xfff75515,0x00bfb003,0xffffd700,
    0x36a017bf,0x02cefffe,0x3bffffd7,0xdffff910,0x7ffe4407,0x6c402eff,
    0x981dffff,0xfffffffe,0xffffb81c,0xffc80cef,0x201dffff,0xfffffffc,
    0xd0006fff,0x3faa009f,0xf900dfff,0xffffffff,0x1ff9801d,0xfb02fec0,
    0x3bfffe2b,0x00bfb001,0x00198800,0x09800188,0x20006200,0x11000198,
    0x00ccc400,0x10019988,0x7e400333,0xffffffff,0xfffc806f,0x6fffffff,
    0x71000980,0x039bdfdd,0xb007fe60,0x8afec0bf,0x64003cee,0x0000004e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,0x06ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1aa98000,0x8001b980,0x000acca8,
    0x00dee5cc,0xca880550,0x2a2001bd,0x6440acdc,0x0cca803c,0x0d5e6664,
    0x0000f2e0,0xcccccc88,0x999970cc,0x99999999,0x33333225,0x931ccccc,
    0x00357999,0x02f36e62,0x55e66654,0x80132e01,0xffe983cb,0xf101ffff,
    0x7ec4005f,0x00dfffff,0xffffffc8,0x2ffec00e,0xffffffb8,0xffffa804,
    0x7fe42fff,0x213fe201,0xffffffff,0x005fd80d,0x3fffee00,0xddb0ffff,
    0xdddddddd,0x3ffe2bfd,0x2fffffff,0xfffffff7,0x3fea01bf,0xc83fffff,
    0xffffffff,0x801ffc83,0x7fdc3ff8,0x01ffedef,0x26005ff1,0xeb99bdfe,
    0x3ffa01ef,0x1effecce,0x81ffff10,0xfdbbdffc,0x3bfe605f,0x446fdbab,
    0x3ff206ff,0xeccdff80,0x7ec3ffff,0x3fa00005,0x0cccceff,0x8ae4007b,
    0xcccccdff,0x99ff71cc,0x85ffffd9,0xfcbceffb,0x67fe41ff,0x43ffffdc,
    0xfb803ff9,0x03bfea1f,0x17fc4026,0x3604ff80,0x07ff706f,0x7fc0bff7,
    0x427fcc7f,0xdfd02ffb,0x3fee02a0,0xf03ff982,0x3ffd507f,0x66f77fec,
    0x77cc001b,0xe8f604fd,0xf15c82cd,0x1fee005f,0xf30fffd4,0xc8dff307,
    0x0fff987f,0x7ec037fc,0x30037f46,0x337ff333,0x2fdc1333,0x3e21fec0,
    0x03ff204f,0x3f60eecc,0x2217fa05,0xfe8002ff,0x3e06fd86,0x4dff103f,
    0xfffffffd,0x7fb001df,0x91ec09fb,0xae41bfd9,0xf7002ff8,0x22ffc40f,
    0xc83ff200,0x85ff907f,0x3e200ffc,0x00bfea3f,0x7fffffc4,0x15ffffff,
    0x77ed43ff,0xffb8df33,0x013fe201,0x5c05ff10,0x07fcc0ff,0x51ffcc00,
    0x1ffc03ff,0x3f65ff70,0xffdbaaae,0x47fc400e,0x40f604fd,0x7c5725fa,
    0x0ff7002f,0x5001ffc8,0x83fe43ff,0x7fcc2ff9,0xb87fea03,0x3ba2007f,
    0xeeeeffee,0x64bf54ee,0x3fa6efff,0x3a01bf61,0x7fd4006f,0x85fff900,
    0x90000ffa,0x013fa1ff,0x7fc407ff,0x3ea0bfb3,0xdafdc05f,0xc80f604f,
    0x3fe2b90f,0x80ff7002,0xf7003ff8,0xa83fe41f,0x06ff81ff,0x0df91bf6,
    0x017fc400,0x17fcd3ee,0x9fd1fe41,0x800df900,0xffd887fb,0x07fdc3ff,
    0xbcff8800,0x1ffc00ff,0x2fed3fe0,0xfe80ff90,0x1ec09fb2,0x45723f70,
    0xff7002ff,0x2009ff00,0x83fe47fc,0x1ff906fe,0xdfb0ffe0,0x17fc4000,
    0x2fe4ff20,0x1ffc9f70,0x2003fe40,0x7ffd46fc,0xf7314fea,0x0333333f,
    0x0ffffee0,0xccdffcc8,0xbfb5fe82,0xa80ffd40,0x333bf67f,0x7440f64c,
    0x6ffc5727,0x24cccccc,0x5fe807fb,0x644ff880,0xfeba99ff,0x07ff302f,
    0x7fc81ff5,0x0bfe2000,0x0ff65fb0,0x7ff15fa8,0x001ff700,0xdff92fec,
    0x7fed3fa1,0xffffffff,0x0dffd001,0xfffffff8,0xbfb6fd85,0xd80ffcc0,
    0x3ffff64f,0xee88f67f,0x7c5721ff,0xffffffff,0x3601fee7,0x0ffe806f,
    0x7fffffe4,0x2ffc01df,0x7fdc37e4,0x5ff10001,0x9fb2fd80,0xff8a7d40,
    0x107fb803,0xe8dfc857,0xca7f44ff,0xeeeeffee,0x333101ee,0x13337ff7,
    0xaadffaa8,0xbfb6fe81,0x4407fdc0,0x2b7f60ff,0xf88f62aa,0xf8ae40ac,
    0xaaaaaacf,0x3a01fee2,0x0ffe406f,0x7ff77fe4,0x0ffc800e,0x7fc41ffc,
    0x5ff10006,0xdf73fc80,0x9ff1fdc0,0x3a0df900,0x3fff25ff,0x43ff82ff,
    0x64000ffb,0xffffffff,0x07ff04ff,0x0bfb5ff8,0x5fb837f4,0x87b027ec,
    0x3e2b902f,0x0ff7002f,0x7e40bff0,0x44ff903f,0x7cc00ffd,0x403fe62f,
    0x260aeffc,0x05ff101b,0xdff14fb8,0xd17e4977,0x0bfb009f,0x7dc3fffe,
    0x5ff00eff,0x4000ffb8,0xeffeeeeb,0x7ff03eee,0xfda7fc40,0x01ffe985,
    0x04fd85fd,0x3205d0f6,0x2005ff15,0x7fc407fb,0x407ff904,0x2ffc47fc,
    0xdf92ffc0,0xfffffc80,0xff101fff,0x2a7f9805,0xff16ffff,0x7c03fec1,
    0x5fff904f,0xf9813fea,0x007fdc1f,0x007fe600,0xff701ffc,0x3bbbff65,
    0xf502ffff,0x9fffffff,0xb9001ec0,0x5c00bfe2,0x0ffdc07f,0x3201ffe4,
    0x01ffb87f,0x3ff87fe4,0xffffda80,0x7ff100df,0x5447fb00,0xb8bf709a,
    0x3fea01ff,0x23fff101,0x3f203ff8,0x000ffb86,0x800ffcc0,0x9ffe03ff,
    0xfffffffd,0x3fff600d,0x204fffff,0x640fe63d,0x2005ff15,0x3fe207fb,
    0x803ffc86,0x5ff887fc,0x7cd7fcc0,0x33fa000f,0x00dff000,0x7cc03ff3,
    0x077fc41f,0x3602ffc4,0x03ff20ff,0x3ee0ffe6,0x7fe4000f,0xffffffff,
    0xb107ff04,0x577ec5ff,0xff8800aa,0x3604fd81,0xae417ee3,0xf7002ff8,
    0x0bffa20f,0x32007ff9,0x01ff907f,0x06fccff8,0x8007fe20,0x0221bffd,
    0xff505ffb,0x2bbff209,0x01ffea88,0xff113fe2,0x07ffcc3d,0x20007fdc,
    0xfffffffc,0x9ff04fff,0x9fff9533,0xc8005fd8,0x409fb06f,0x5c80543d,
    0x33337ff1,0x3fee1333,0xfffca999,0x556ffe44,0x90aaaaaa,0x13fe20ff,
    0x07ffff90,0x2003fd40,0xfffffff8,0xddfffb85,0x7e403fff,0x1fffffff,
    0x0ffeb988,0xffffffa8,0x7ffec0ef,0xffffffff,0x0ffcc00f,0xffffff80,
    0x5fd83fff,0xb03ff800,0x25ffffff,0xaaaaaadd,0xf15daaaa,0xffffffff,
    0x3fffee5f,0xe82fffff,0xffffffff,0x0ff91fff,0xf3007fe4,0x64001fff,
    0xfd88004f,0xb504ffff,0x003bdffd,0x37ffff6a,0x1bfff700,0x77ffecc0,
    0xffffd80c,0xffffffff,0x00ffcc00,0xdefffff8,0x0017f602,0x3f601ff5,
    0xfb2fffff,0xffffffff,0x3fe2bfff,0xffffffff,0xddffff72,0x7fff405b,
    0xffffffff,0x7cc0ff91,0x37ffc04f,0x00026200,0x44003310,0x004c0000,
    0x2000ded4,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99300000,0x951cc880,0x99999999,0x3ccb8039,
    0x666664c0,0x0ccccccc,0x66540797,0x79313201,0x2e007950,0x09abcccc,
    0x379b7500,0x66666640,0x9971cccc,0x5c035799,0x799000cc,0x2e00f322,
    0x8013264c,0x0b3260cc,0xa801ccb8,0x5280004c,0x7fc401ff,0xffffff92,
    0x4407ffff,0x2a00ffff,0xffffffff,0xbfb0ffff,0x8813fe60,0x6c27d47f,
    0xfffb006f,0x019fffff,0x3fffffa2,0xffff883f,0xb2ffffff,0xffffffff,
    0x04ffa819,0x3f22ffb8,0x8ffea02f,0x3fe007f9,0x441ffee1,0x3aa02fff,
    0x220007ff,0x00ffacfe,0x6654bfe2,0xcccdffdc,0x3fffea01,0x3bbba602,
    0xffeeeeee,0xff10bfb0,0x5c6f980d,0x006fd84f,0xfb999dfb,0xfff10dff,
    0x87ffb557,0xccccdff8,0x9dfb1ccc,0x1dffff99,0x7c00ffe8,0x837fc46f,
    0x7fcc6ff8,0x5c1ff000,0xffb81fff,0xfffea83f,0xfd30007f,0x401ff55f,
    0xff302ff8,0x76fec003,0xfd80005f,0x3fa17f66,0x22fd400e,0x06fd83fc,
    0x3f20bfb0,0x4077ec2f,0x3fe20ffc,0x30bfb003,0xff98bff9,0x207fee04,
    0xffc84ffa,0x4007fc41,0x3bee0ff8,0x3fefe84f,0x7f67ffec,0xeffa8007,
    0x4401ff50,0x3ff302ff,0x32bfe200,0x220000ff,0x917f62ff,0x9f5003ff,
    0x6fd82fd8,0x7c0bfb00,0x40bfe64f,0x3fe23ff8,0x40bfb003,0x1ffd87fd,
    0x3605ff88,0x13fe60ff,0x22007fe2,0x3fdfe47f,0x90ff77e6,0x01ff61bf,
    0x541bff70,0x3fe200ff,0x003ff302,0x3fe63fea,0x1bf60002,0x17fd4bfb,
    0xdffddd70,0x3dddffdd,0x7ec01bf6,0xfa93fe05,0x897f600f,0xbfb003ff,
    0x260ffd40,0x0ffc85ff,0xfe97fe20,0x2007fe06,0x757e47f9,0x3f2bf22f,
    0x1ff60cc4,0xa84ffd80,0x3fe200ff,0x003ff302,0x05ff97f6,0xd85ff100,
    0x807ff35f,0xfffffffc,0xb2ffffff,0x17f600df,0xff70ffc4,0x3e26fc80,
    0x0bfb003f,0x7e417fcc,0x013fe21f,0x3feabfee,0x130bfe02,0x57ec7f98,
    0x323fe5fb,0x07fd804f,0x502ffe88,0x7fc401ff,0x003ff302,0x07fc8ffe,
    0xfb0df900,0x800bfd1b,0xd83fc2fd,0x0bfb006f,0xffa8dfd1,0xf89fee00,
    0x0bfb003f,0x7c407fdc,0x003ff26f,0x02fffff4,0x0ff88bfa,0x15fb1bea,
    0x32bf51ff,0x07fd804f,0x500fff4c,0x999999ff,0x2605ff99,0xffa801ff,
    0x000bfe60,0xbfb07ff1,0xfd000dfb,0xfd83fc43,0x99dfb006,0xf309ffb9,
    0x87fdc09f,0xaaaadff8,0x817f62aa,0x3fee06fe,0x2003ff8a,0x400ffff9,
    0x8bfee3fe,0xd97ec5fa,0xbf72fcbf,0xd80ffb00,0x7fd404ff,0xffffffff,
    0x3ff302ff,0xff0dfb00,0x07fc800b,0x005ffffb,0x37cc1ff0,0xfb006fd8,
    0x7fffffff,0x339ffb01,0x44fffb53,0xffffffff,0x2617f67f,0x7f401ffd,
    0xd8006fce,0x3fd804ff,0x5fa97ffa,0xfefa97f4,0x36017ee7,0x5ffc807f,
    0x3333fea0,0x2ffccccc,0xf003ff30,0x00ffb07f,0xfd81ffc4,0x4000ffed,
    0xd82fd47f,0x9dfb006f,0x3fffd999,0xfffffd88,0x3e27ffff,0xeeeeeeef,
    0x3bbbff65,0xa802ffff,0x4002ffff,0x400ffff9,0xffdf13fd,0x5fd13ee1,
    0xbf727ffc,0x200ffb00,0xfa80effa,0x0bfe200f,0x2a00ffcc,0x2ffa81ff,
    0x6c0ff900,0x00eff8df,0x4fa8ff10,0x3600dfb0,0x0dff505f,0x2737bb2a,
    0x0ffe25fb,0x7ffffec0,0x3a000dff,0xfe8005ff,0x7e405ffe,0x27fb7f74,
    0x90ffc4fb,0x037dc3ff,0xf3003fec,0x0ffa83ff,0x4c0bfe20,0x7fec01ff,
    0xff999999,0x03ff8804,0x2ffcd7f6,0xffffff50,0x9fffffff,0xfd8037ec,
    0x007ff205,0x7fc49fb0,0x55dfb003,0x3ea00013,0x7fdc001f,0x2e02ffba,
    0xdf73fb4f,0x43ff0ff2,0x037d46f9,0x22003fec,0x3fea2ffe,0x40bfe200,
    0x7fc01ff9,0xffffffff,0x0ffc807f,0xffb97f60,0xffddd303,0xdddffddd,
    0xd8037ec7,0x0bfea05f,0x7c45ff00,0x0bfb003f,0x07fe6000,0x3a5ff880,
    0x1bf700ff,0x323fe2df,0x400ffc3f,0x7fd807fa,0x4ffd8800,0x7c401ff5,
    0x03ff302f,0x7fffffd4,0x02ffffff,0xfb013fe2,0x401ffd8b,0x817ec4fb,
    0xbfb006fd,0x0007fec0,0x3ff88df9,0x000bfb00,0x8007fe60,0x3fe60ffd,
    0x9f5df505,0x117edfec,0xff5003ff,0x000ffb00,0x7fd67fe4,0x40bfe200,
    0x3f601ff9,0x027fc406,0xfd801ff9,0x007ffc45,0x01fe89f7,0x3f600dfb,
    0x00fff105,0xf107ff22,0x17f6007f,0x0ffcc000,0xd83ffb80,0xdefa82ff,
    0x3f7bee1f,0x2007fe22,0x7fd807fa,0x54fdc000,0x3fe200ff,0xff733312,
    0x7fc13335,0x107fd804,0xbfb009ff,0x640dff30,0xd807fc3f,0x999999ef,
    0x333dfb19,0x883ffd95,0xfffca999,0x003ff883,0x20000bfb,0xf8801ff9,
    0x1dff106f,0x446fff98,0x3e21ffff,0x47fa800f,0xffe99998,0x20001999,
    0x3e200ffa,0xfffff92f,0x2a7fffff,0xffa801ff,0x800ffc81,0x9ff705fd,
    0x0ff0bf60,0x7fffffec,0xfffb7fff,0x05ffffff,0xbffffff7,0x00ffe203,
    0x80002fec,0xfd801ff9,0x13fee02f,0xfb09fff3,0x07fcc3ff,0xf707fcc0,
    0xffffffff,0x2a0001ff,0x3fe200ff,0xffffff92,0x3f67ffff,0x89ff1006,
    0xfb004ff8,0x417fec0b,0x81fe21fe,0xfffffffd,0xffffb7ff,0x7dc07bdf,
    0x4402ccef,0xbfb003ff,0x3fe60000,0x02ffd401,0xff10fff4,0x1fff503f,
    0x4c007fcc,0x3ffee0ff,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6665c000,
    0xcccccccc,0x8099933c,0x995000cc,0x33332209,0xcccccccc,0x0ae00ea0,
    0x01400660,0x00d54400,0x26055544,0x4000000a,0x0009aaa9,0x13106aa6,
    0xa9804c40,0x2a809aaa,0x201aa880,0x99999998,0x4c0cc199,0x7fffec1a,
    0xffffffff,0x405fff55,0xff8801ff,0xffff107f,0xffffffff,0x9807fee1,
    0x3fe603ff,0x006fe400,0x7ffff4c0,0xffff903f,0xbfffd17f,0x003ff500,
    0xfffffff9,0x3ffa6019,0xbfb1ffff,0x3aa2fec0,0x44ffffff,0xff505ffd,
    0xf707ffff,0xffffffff,0x643fe23f,0x970dffff,0x9bffb999,0x3fea7999,
    0x007fe06f,0x441ffff6,0xeeeeeeee,0xfd10fffe,0x0dfd04cd,0x5400ff98,
    0x2a000eff,0xffecceff,0xfecdfd85,0x3ffcdfff,0x402fff40,0xffeceeff,
    0xefffb85f,0xbfb1ffed,0xff52fec0,0x49fb999d,0x640ffff8,0xfffddfff,
    0x77777546,0xf11fffee,0xffbffb3f,0x0ffcc0bf,0x05ffff50,0xff5007fe,
    0x54000ff9,0x77fcc3ff,0x0ffeffff,0x4007fcc0,0x8801ffe9,0x2ffb84ff,
    0x72ffe414,0x4ffd80df,0xfd881b80,0x03bfea1f,0xb02fec26,0x0027fcbf,
    0xffa8ffff,0x003ffc84,0x7fc4bff1,0x3ff224fe,0x403ff300,0xf06fcffa,
    0x5ffc403f,0xf10007fb,0x3ffee0df,0x803fffff,0xd1000ff9,0x6fc807ff,
    0x2a01bf60,0x03fe22ff,0x80003b88,0x1bfa3ff9,0xfb02fec0,0x800bfe2b,
    0x27f41dd9,0xd001ffb0,0x7ffc41df,0x302ffa83,0x7fd403ff,0x1ff81ff9,
    0x3fdd7f60,0x00ffd800,0x3f227ff7,0x0ff9804f,0x027fec00,0x3fd407ff,
    0x3e07fc40,0x0000001f,0x17fd53fa,0x3605fd80,0x0037fe5f,0x403ff300,
    0x7ec01ff9,0x827fc40f,0xff303ff8,0xfebfd403,0xf501ff85,0x001fee1f,
    0xff80ffea,0x7547fe84,0xeeffeeee,0x7dc02eee,0x5ffc40df,0xfb999999,
    0xff33300f,0x05ff3333,0x2a660000,0xff74ffaa,0xb02fec00,0x67ffe4bf,
    0x0ff70001,0x7dc07ff0,0x02ff882f,0x7fcc0266,0x7d5fea01,0x440ffc1f,
    0x01fee3fe,0x440dff10,0x0ffb82ff,0x3fffffee,0x03ffffff,0x260effa8,
    0xffffffff,0x3221ffff,0xffffffff,0xdd92ffff,0xdddddddd,0xffc889dd,
    0x94ffffff,0x2fec00df,0xffc8bfb0,0x2000beff,0x4ff806fc,0x2209ff30,
    0x260002ff,0x9fea01ff,0x40ffc5fe,0x03fdc6fc,0xa807ff60,0x1ff981ff,
    0x3eeaaaa6,0x01aaaabf,0x7cc9ff90,0xccccccdf,0x3ffa0ccc,0xcccffccd,
    0xfffd1ccc,0xffffffff,0x6fffc4bf,0xb4ffcccc,0x2fec00df,0xd710bfb0,
    0x2005ffff,0x3ff806fc,0x2206fe88,0x260002ff,0x9fea01ff,0x07fe0ffb,
    0x7fb83ff3,0x00ffea00,0xff505ff3,0x00ff9801,0x887ffb00,0x7cc002ff,
    0x007fe21f,0x55555555,0x6c355555,0x29fd01ff,0x3f6007fb,0x3017f605,
    0x7001fff9,0x05ff00ff,0x7c401ffb,0x3e60002f,0xf1fea01f,0x3a0ffc9f,
    0x007fb84f,0xf100dff1,0x00ff90bf,0x88001ff3,0x7ff02ffe,0x447fb800,
    0x000002ff,0x9fd027fc,0x6c007fea,0x0bff106f,0x200bfea0,0x3ea01ffa,
    0x00ffdc1f,0x8000bfe2,0x3ea01ff9,0xff87fdc7,0x7dc1bee1,0x03ff9007,
    0xf98bffa0,0x0ff9804f,0x07ffe600,0x2000ffd8,0x27fdc6fb,0x3fe00000,
    0x229ff703,0xff9006ff,0x05ffe881,0x7d47ff10,0x817fe22f,0x1ffd45fe,
    0x0017fc40,0x5403ff30,0xf9ffc47f,0x337ff11f,0x33ff9333,0x00ffea03,
    0xfdefffb8,0xff9802ff,0x1dff5000,0x02eff880,0xa87fc431,0x00c1ffff,
    0xfd007fea,0x7ffecc1d,0x82bbfee4,0x19ff51b9,0x4d7fffa6,0x1ffd980a,
    0xfb8ffff1,0x3ff620df,0x4017fe21,0x20002ff8,0x3ea01ff9,0xff8ffc87,
    0xffffff51,0xffffffff,0x006fe881,0x3fffffa2,0x4400efff,0xffc800ee,
    0x3ffea005,0x43ffeeef,0xe8efeffe,0x406feeff,0x7d405ffe,0xddfffeff,
    0x7fffe44f,0x3fa1ffff,0xfccfffff,0xfddfff55,0x7fc47fff,0x7ffec0ff,
    0x642fffff,0xffffffff,0x05ff15ff,0x00ffcc00,0x7ff10ff5,0x3ffea3ff,
    0xffffffff,0x7fe40fff,0x23ff6001,0x5ff89ab9,0x3ff60000,0xffd88004,
    0x4c2effff,0xfb10dffd,0xfd809fff,0xfffa804f,0x309f92ef,0x1bfffffb,
    0x977ffec4,0xfffd55fb,0xf903bfff,0x3ffaa07f,0xffc80dff,0xffffffff,
    0x0005ff15,0xf500ffcc,0x3ffbf60f,0x81fee001,0x2e003ff9,0x3fee02ff,
    0x5f300003,0x33310000,0x0cc01100,0x4003c880,0x26200018,0x20019800,
    0x08801999,0x00001300,0x7cc00000,0x41fea01f,0x001ffff9,0x7f441fee,
    0xaaaaaaaf,0x00b910aa,0x7fffc49d,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x403ff300,0x3ff607fa,0x1fee001f,
    0x7fffffd4,0x02ffffff,0xffff8800,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x403ff300,0x3fe607fa,0x1fee001f,
    0x7fffffd4,0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x04cc0099,0x4cc00331,
    0x22002660,0x414c3109,0x5104c41a,0x33220035,0x6665c400,0x7995100b,
    0x20022001,0x04008808,0x2004c008,0x26200198,0x00300500,0x20008800,
    0x2e2004c8,0x06ff9802,0x7fa8bff2,0x6c5ff100,0xa7fc407f,0x8fffb8fd,
    0x3f65ffe8,0x3dffff93,0x400ff980,0x0ffffffd,0x7fffff4c,0xdffd9102,
    0xa89f5019,0x20ff406f,0x3ffa62fd,0xfffd82ef,0xff9102df,0x6c0bf509,
    0x201fe02f,0x804fffeb,0xff003ffd,0x9ff7007f,0xf989ff50,0x0ff9800f,
    0xfa80bfea,0xdbf5fb1f,0x3ff9fb7f,0x37ffb3f6,0x7cc06fff,0x98d5c00f,
    0x37fe25fe,0x540ffeba,0xefcaacff,0xf117fcc1,0x83fee07f,0xfff10ffa,
    0xee83ffff,0x220fffee,0xb84ffffc,0x1ffd85ff,0xffb01be0,0x4c0dffdd,
    0x4400ffef,0xfb007fff,0x437fc43f,0xf9801ff8,0x3605ff87,0x4d7ff66f,
    0x25fb2fef,0x7dc4fffd,0x03fe602f,0xfb9bea00,0x3e23ff86,0xfd11aa9d,
    0x2a0ffb81,0x17fc40ff,0x22b87ff1,0x22045ff9,0x37ff23ff,0xbff704ff,
    0x8320ffec,0xffa9226e,0x740ffe61,0xe805fc9f,0xf8800fff,0x403ff26f,
    0x2a2642ff,0x80ffc86f,0x3ff63ff8,0x7e4bff11,0xf109ffb4,0x07fcc07f,
    0x7ee65cc0,0x3f60ff66,0x3bea3f65,0xd85f88ff,0x3a2fec5f,0x802fec5f,
    0x7fc405fe,0x27f47622,0xffbbff70,0xbb2ffb83,0x1fecbfea,0xafd42fdc,
    0x7c401ff8,0xff3000ff,0x7405ff59,0xb87fea3f,0x83ff985f,0x97f60ffb,
    0x53f21ff8,0x13fa06fd,0x5c00ff98,0x26feefff,0x15fb83fe,0x97c5ea7f,
    0x17fc40fc,0x3fee5ff1,0x2003fee0,0xcc984ff8,0x27f404ff,0x07fffee0,
    0x6ef6ff54,0x20bfe2ef,0x20fe86fa,0x6ff806fb,0x7fffdc00,0xf927e404,
    0xe827e49f,0x6c4fe86f,0xc83fe23f,0x6c0bfb4f,0xddddd95f,0x9dddddff,
    0x6fa87fe2,0x53f61bf6,0xf73f51fa,0x3f607ea3,0x5fdafec5,0x744027f4,
    0xfffb80ff,0x13fa00cf,0x201bffa0,0xe82effea,0x5c5fc83f,0x203fe84f,
    0xd8003ff9,0x5fb806ff,0x3fd9fffe,0x7cc3ff70,0xf11fec1f,0xfda7e41f,
    0x7f57f605,0xffffffff,0x8df55fff,0x87fee6fc,0x21f71ff9,0x3e62fffa,
    0xf507fd42,0x987fe61f,0x3fe601ff,0xf753101f,0x027f40df,0x017ffff6,
    0x905dffd5,0x1ffcc1df,0xff301ff1,0x37fdcc41,0x77ff4400,0xf9b7d400,
    0x05fd1fec,0x6fc93fe2,0x3fe23fd8,0x2fed3f20,0x2aaabfb0,0xaabffbaa,
    0x7bff11aa,0xffe8dffd,0x3e65ffde,0xfa9b6f52,0xf88ffe21,0x2e37e43f,
    0xeffb80ef,0x03fee000,0xffb027f4,0xd70bff73,0x5dfbbd9f,0x7f67ffc4,
    0xb01fe45f,0x67ffe4bf,0xfffd8000,0xcbfcc05f,0x3ff4fbaf,0x7ff37e40,
    0x7fc47fb0,0x2fed3f20,0x7cc0bfb0,0x7ffdc00f,0x7ec46f8d,0x54f83fff,
    0x23ecbe6f,0x837e45fd,0x12ff44fe,0x3333bffb,0x207fe801,0x3ffb04fe,
    0xdf72ffdc,0x17fd57a3,0x89ffffb1,0x664404c8,0x00037970,0x3feabfee,
    0x3e3fe203,0x0ff1ff17,0xffaaff98,0x3e23fd80,0x7ed3f20f,0x9817f605,
    0x013000ff,0x5f7004c0,0x1fd76cf5,0x7fcc1ff7,0x443ff501,0xffff72ff,
    0x3a27ffff,0x23fffede,0xfffffff9,0x703ff93f,0x9ba1c9ff,0x00331038,
    0x30000000,0x0ffe49ff,0x749f7ff0,0xfe806fbf,0x7fb05fdc,0x9f907fc4,
    0x5fd817f6,0x0003fe60,0x3fe80000,0x16445fb8,0x19b01322,0xfff70cb8,
    0x227fffff,0x42efffff,0xfffffff9,0x5c03d13f,0x001be00e,0x00000000,
    0xe88dff10,0xfdfd00ff,0x02fffdc5,0x817fffdc,0x83fe23fd,0x40bfb4fc,
    0x3fe605fd,0x3ffffa00,0xffd5ffff,0x0bffffff,0x7ffdbff9,0x00000000,
    0x04cccc00,0x00000000,0x000000ff,0xfe800000,0x06ff981f,0xff88fff9,
    0xfff8804f,0xf88ff607,0x7ed3f20f,0x9817f605,0x3ffa00ff,0xd5ffffff,
    0xffffffff,0x2f32e60b,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc80fff20,0x4ffb84ff,0xb003ffe8,0x1fec09ff,0xa7e41ff1,0x17f605fd,
    0x00000330,0x26000000,0x99999999,0xd3000199,0xdddddddd,0x000009dd,
    0x00e65400,0xbb100cc0,0x8806ec41,0x20999999,0x000002a8,0x00000000,
    0x00000000,0x00000000,0xfff10000,0xffffffff,0xfd2ffd4f,0x3fffe63f,
    0x5fffffff,0x001ffec4,0x6c0dffc8,0xe985ffff,0xc827fec6,0x0ffee3ff,
    0x7fffffec,0x0013ffa4,0x00000000,0x00000000,0x00000000,0x22000000,
    0xeeeeeeee,0x3fe66eee,0x5447ff65,0xaaaaaaaa,0x7ff705fd,0x83ffb800,
    0x5ffddffa,0xfff337dc,0x43ff503f,0x99702ff9,0x3ea79999,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd93fe6,0x02fe4000,
    0x2e007ff3,0x49fd01ff,0xfea9effa,0x07fffe64,0x00044044,0x03fffea0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ff88000,0x90003ff2,
    0x0aa880bf,0xf0055440,0xffffa85f,0x27fec0ff,0xb0000000,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x2aaa0000,0xaaaaaaaa,0xfc8ffe22,
    0x05fc8007,0xaa800000,0x1effd980,0x00000330,0x00011000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xffffffff,0x1ffc7fff,0x75000ff7,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0xeeeeeeee,0x0e646eee,0x00000793,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_29_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
6,1,0,0,3,2,1,3,1,0,3,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_29_latin1_y[224]={ 21,0,0,2,-1,0,1,0,-1,-1,0,6,16,12,
16,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,24,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-3,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,21,6,-1,2,3,2,
-3,0,1,2,2,7,12,12,0,1,0,3,0,0,0,6,0,10,21,0,2,7,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,1,-1,6,6,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,5,3,0,0,0,1,0,0,1,
 };
static unsigned short stb__consolas_29_latin1_w[224]={ 0,4,10,16,14,16,16,4,9,9,12,14,8,10,
6,13,14,14,13,12,16,12,14,14,14,14,6,8,12,14,13,10,16,16,13,14,14,12,12,15,14,12,11,13,
11,16,14,16,13,16,13,14,14,14,16,16,16,16,14,8,13,8,14,16,10,13,13,12,13,14,15,14,12,12,
12,14,12,14,12,14,13,13,13,12,14,12,15,16,16,15,12,11,4,11,16,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,12,14,14,16,
4,14,13,16,10,12,13,10,14,12,10,14,10,10,14,14,14,6,4,10,10,12,16,16,16,10,16,16,16,16,
16,16,17,14,14,14,14,14,14,14,14,14,15,15,16,16,16,16,16,12,16,15,15,15,15,16,13,13,14,14,
14,14,14,14,16,12,15,15,15,15,14,14,14,14,14,14,15,15,15,15,15,14,14,14,14,14,14,15,13,15,
 };
static unsigned short stb__consolas_29_latin1_h[224]={ 0,22,8,19,26,22,21,8,28,28,13,15,10,3,
6,25,20,19,19,20,19,20,20,19,20,19,16,20,17,8,17,22,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,25,19,20,19,20,19,19,19,19,19,27,25,27,10,3,7,16,22,16,22,16,21,21,21,21,
27,21,21,15,15,16,21,21,15,16,20,16,15,15,15,21,15,27,30,27,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,19,18,19,
30,25,6,20,14,13,7,3,14,6,11,18,13,13,7,21,25,6,5,13,14,13,21,21,21,21,24,24,24,24,
24,25,19,24,24,24,24,24,24,24,24,24,19,24,25,25,25,25,25,13,26,25,25,25,25,24,19,22,22,22,
22,22,21,23,16,20,22,22,22,21,21,21,21,20,22,21,22,22,22,22,21,16,22,22,22,22,21,27,27,26,
 };
static unsigned short stb__consolas_29_latin1_s[224]={ 194,251,146,75,146,205,59,251,11,21,203,
79,242,133,248,194,72,228,210,222,31,209,179,46,164,118,207,63,243,131,93,
244,78,29,104,122,195,182,133,106,1,16,152,61,92,211,16,46,146,208,224,
194,1,137,238,194,177,160,48,69,225,47,227,144,171,154,125,168,17,107,47,
32,63,215,56,200,228,51,66,214,92,171,242,194,14,181,35,18,1,76,229,
121,6,109,197,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,194,246,133,
87,63,102,1,102,221,29,94,144,157,133,116,235,216,78,157,168,182,76,165,
214,251,179,105,131,16,91,108,33,210,50,16,98,33,239,149,180,195,1,67,
160,115,130,145,175,119,82,85,17,34,51,68,190,177,117,133,149,1,227,135,
237,139,46,31,222,156,190,122,1,1,61,77,125,241,44,1,235,215,185,93,
109,230,154,16,139,200,170,185,1,141,31,95,161, };
static unsigned short stb__consolas_29_latin1_t[224]={ 27,58,226,172,1,58,106,83,1,1,212,
212,212,28,226,1,151,172,151,128,192,128,128,172,128,172,192,151,172,226,192,
32,1,172,172,128,151,151,172,128,172,172,128,172,172,172,192,151,172,1,151,
128,192,128,151,172,172,172,192,1,1,1,212,28,226,192,83,192,83,192,128,
128,128,106,1,106,106,212,212,192,128,106,192,192,151,192,212,212,212,128,192,
1,1,1,226,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,27,83,1,
151,192,151,1,32,226,151,212,212,226,28,212,226,212,192,212,212,226,106,32,
226,92,212,212,212,106,106,106,106,32,58,58,58,58,1,151,32,32,58,58,
58,58,58,58,58,151,58,32,32,32,32,32,212,1,32,32,32,32,32,151,
58,83,83,83,58,106,58,192,151,83,83,83,106,106,106,129,128,83,106,83,
83,83,83,128,192,83,83,83,106,106,1,1,1, };
static unsigned short stb__consolas_29_latin1_a[224]={ 255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_29_latin1_BITMAP_HEIGHT or STB_FONT_consolas_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_29_latin1(stb_fontchar font[STB_FONT_consolas_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_29_latin1_BITMAP_HEIGHT][STB_FONT_consolas_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_29_latin1_s[i] + stb__consolas_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_29_latin1_t[i] + stb__consolas_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_29_latin1_x[i];
            font[i].y0 = stb__consolas_29_latin1_y[i];
            font[i].x1 = stb__consolas_29_latin1_x[i] + stb__consolas_29_latin1_w[i];
            font[i].y1 = stb__consolas_29_latin1_y[i] + stb__consolas_29_latin1_h[i];
            font[i].advance_int = (stb__consolas_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_29_latin1_s[i] + stb__consolas_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_29_latin1_t[i] + stb__consolas_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_29_latin1_x[i] + stb__consolas_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_29_latin1_y[i] + stb__consolas_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_29_latin1_LINE_SPACING
#endif

