// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_30_latin1_BITMAP_HEIGHT        250
#define STB_FONT_consolas_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_30_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_30_latin1_NUM_CHARS            224

#define STB_FONT_consolas_30_latin1_LINE_SPACING          20

static unsigned int stb__consolas_30_latin1_pixels[]={
    0x88ffe7ff,0x88e20003,0x4ccc4001,0x33330999,0x18800333,0x40000f2a,
    0x00acecb8,0x001bd500,0x200e6644,0x000c983a,0x04400cc0,0x3ea80018,
    0x0002a600,0x00555440,0x7c003550,0x7f47ff3f,0x2fe88003,0xb007fff9,
    0x27ffffff,0x1fffffff,0x87ffecc0,0xa80006fc,0x1fffffff,0x27ffc400,
    0x02ffe880,0xff127fd4,0x37cc000d,0xfd0bfe60,0x03fc800b,0x7ffffec4,
    0xfd10000d,0x3f62007f,0x7ff002ff,0x3ffb8ffe,0x43bfa200,0x406ffffb,
    0x3ffeeeec,0x3dddddff,0x77fffd40,0x8000df90,0xf730bffb,0x7fc4003f,
    0xefe8805f,0x24ffb801,0x20007ff8,0x7fd404fb,0x2003ffc3,0x3fe602fd,
    0x0effffff,0x0f7f4400,0xfcefe880,0xf3ff803f,0x02ffd87f,0x9301ffb0,
    0xff8007ff,0xf8007ff3,0x37e40aef,0x03ff5000,0xf9001bee,0x09d9003f,
    0x6540cb80,0x74d4c001,0x40dc801f,0x7f4002da,0x15fff301,0x003fff26,
    0x6c004ec8,0x00bba64e,0x20ffe7ff,0x7dc00efe,0x02ffc01f,0x1ffcffe0,
    0x207ff300,0xf10006fc,0x01fe805f,0x00000040,0xfd880000,0x000fffff,
    0x0ff80000,0x3203ffb0,0x000003ff,0x3ff80000,0x9ff307ff,0x4027fc40,
    0x7fc006fc,0x5c007ff3,0x0df900ff,0x2013f200,0x000004fb,0x80000000,
    0xfffffffa,0x019881ff,0xb7100988,0x4c19dfff,0x37fc03ff,0x00015300,
    0xff00054c,0x7e40ffe7,0x01ff901f,0xf800ff50,0x4007ff3f,0x9bf206fb,
    0x880ceedb,0x6f9800ff,0x77777754,0x17b61eee,0xed87baa0,0x41eea805,
    0xfb0afff9,0x3ff50dff,0xfa86fd80,0x1fffffff,0xf9003ff2,0x7fec403f,
    0x8800dfff,0x0dfffffd,0x3ff9ffc0,0xf109ff10,0x1fea007f,0x3fe7ff00,
    0x81bee003,0xfffd8efc,0x2fdc0eff,0x7c6a6ee2,0x7ffffdc7,0x3f21ffff,
    0x23fec02f,0x7ec02ffc,0x7c1ffd87,0x7d43ffdf,0x237ec01f,0xdfcbfffb,
    0x01bf61da,0x7d40bfe6,0xefffffff,0x3fffea00,0x200effff,0x407ff3ff,
    0x0ffb87fc,0x800ff500,0x007ff3ff,0xdf9037dc,0xff957dfd,0x3ee2fe8d,
    0x1ff2ffff,0x5555554c,0x3fe21ffc,0x113fe205,0x7fc40bff,0x2a1ffcc4,
    0x546ff8ef,0x37ec01ff,0x3f21dff1,0x300bfd04,0xfff307ff,0x1fff2615,
    0x9857ffcc,0x3fe07ffc,0x7d407ff3,0x002ff42f,0xff800ff5,0x5c007ff3,
    0x3fff206f,0x3e1ffc84,0x3f2ffea7,0x2001fd1f,0x7fec1ff9,0xb03ff700,
    0x3fee01ff,0x3207fe41,0xfa8ff93f,0x937ec01f,0x81fec3ff,0xff8804ff,
    0x901ffd84,0x3ffb07ff,0x7c0fff20,0xf807ff3f,0x00ffe24f,0x2000ff88,
    0x007ff3ff,0xff9027e4,0x4d3fe209,0x7c4ffa6f,0x2003fd0f,0x7fd41ff9,
    0x2a0dfd03,0x0dfd03ff,0x23fd0dfb,0x3fea1ffa,0xfd37ec01,0xf882fe8b,
    0x89ff004f,0x7fc03ff9,0x201ffcc6,0x27ff06ff,0x37f402ed,0xe8003ff5,
    0x4ffe004f,0xff1003ff,0x203fe405,0x269f75fe,0xfe9fea7f,0x03ff3001,
    0x7ff30dff,0x7cc37fc0,0x4c5fe83f,0xa8bfe66f,0x37ec01ff,0x81ff89ff,
    0xf8804ff8,0x007fe43f,0xffc87ff2,0x40ffe400,0x7ec003ff,0x0003fea6,
    0x8059dff5,0x407ff3ff,0x404ffcb9,0xb7ec06fc,0x5cbf73fc,0x4003fa6f,
    0xffc81ff9,0x9007fdc1,0x0ffb83ff,0x27dc4ff8,0x7fd47ff1,0xf8b7ec01,
    0xf81fe24f,0x2ff9805f,0x7cc037ec,0x201bf62f,0x3ff82ff9,0xf73fe400,
    0x3f60001f,0x4ffe00ff,0x3ff203ff,0x06fc801f,0xb2fdb7ec,0xfd27e49f,
    0x07fe6001,0xbfd13fe2,0x744ff880,0x44ff885f,0x527fc2fe,0x6fd803ff,
    0x07f997fe,0x3ea01bfa,0x402ff41f,0x17fa3ff9,0x3e0ffe60,0x3fdc003f,
    0xb3000ff9,0x7c019bdf,0x5407ff3f,0x6404ffec,0xdaff406f,0x7ec7fd2f,
    0xf9801fe3,0x4cffb01f,0x7fd802ff,0x7fc0bfe6,0xff11fe24,0x200ffd47,
    0xa9ffa6fd,0x03ff606f,0xff81ffb0,0x24ff8804,0xff8804ff,0x4003ff84,
    0x03fee7fc,0x4009fd00,0x007ff3ff,0xfc80bfe6,0xfea7fc06,0x97f47fd1,
    0x3e6005f9,0x25ff501f,0xff5007fc,0xfe81ff25,0xff317ea5,0x200ffd45,
    0x4fff26fd,0x3fea04fb,0x113fe203,0x3fe009ff,0x2009ff14,0x03ff84ff,
    0xff537ec0,0x07fc4003,0x3fe7ff00,0x813f6003,0x3fe606fc,0x4ff63fd2,
    0x07f71ff8,0xf00ffcc0,0x8013febf,0x409ff5ff,0x50bf66fd,0x0ffd43ff,
    0xff89bf60,0x0263fccf,0x3f603fff,0x804ff81f,0x13fe3ff8,0x3e0ffe20,
    0xe801333f,0x00bfe65f,0x7c007fa8,0x4007ff3f,0x1bf206fb,0x4bf66fd8,
    0x15ffb5fb,0x7cc001fd,0x2fff201f,0x3f2001ff,0x2e01ffbf,0xd81ff0ff,
    0x07fea0ff,0xffa8dfb0,0x1feedfff,0x44dfffd4,0xff04ffda,0x45ff300b,
    0xff9805ff,0x7ff3ff82,0x3e17fc40,0x1fea005f,0x3fe7ff00,0x81bee003,
    0x7ecc2ffc,0x7d4ff22f,0xffffafef,0x0ffcc003,0x0dffff30,0x6ffff980,
    0x7ce7fd40,0x2a27fc46,0x37ec01ff,0x7ffffecc,0xfffb81ff,0x204fffff,
    0xffa806fe,0x2a01bfa1,0xf3ff81ff,0x07fdc07f,0xfa801ff2,0xf9ffc007,
    0x1bee003f,0xffffffc8,0x1fdc2fff,0x3bf25dd5,0x1ff98004,0x017fff40,
    0x017fff40,0x0ff7ffe2,0xff981ffb,0x102ffc01,0x980137ff,0x02dffffd,
    0x36007fec,0x03ff60ff,0xff01ffb0,0xfe80ffe7,0x002ff985,0xff800ff5,
    0x5c007ff3,0x3fff206f,0xa80cefff,0x4000005f,0x7d401ff9,0xff50006f,
    0x3ffee00d,0x4ffda89f,0x2603ff88,0x1fe204ff,0x00ffe200,0xf101ffd4,
    0x03ffa8bf,0x7fc17fe2,0x3ea07ff3,0x00dfd01f,0xff001fea,0xb800ffe7,
    0x45bf206f,0x00ff8801,0x3fee0000,0x01ffd400,0x003ffa80,0x3ffffff2,
    0x1bfe03ff,0x2601ffc8,0xdfd0006f,0x80fff400,0xffe80ffd,0x201ffb01,
    0x207ff3ff,0x3fea05fe,0x007fa803,0x03ff9ffc,0xfc81fee0,0x03fd8006,
    0x1ff60000,0x000fff10,0x2001ffe2,0x2dfffffc,0x10effdc0,0xfa80bff7,
    0xbff70005,0x3ea12e25,0xfda89bff,0x7fff504f,0x09ffb513,0x83ff9ffc,
    0x7ec00ffb,0x037e400f,0x1ffcffe0,0x203ff500,0xfa8006fc,0x8800001f,
    0x7fec06ff,0x5ffb0002,0x135fd000,0xffffd800,0x400effff,0x3a0004fc,
    0x1fffffff,0xffffffa8,0x7fd404ff,0x04ffffff,0x43ff9ffc,0xf8803ffa,
    0x02ffc06f,0x1ffcffe0,0x207ff300,0xfb0006fc,0x2059103f,0xff911ad8,
    0xfea9983f,0x2a66004f,0x88004ffe,0x7540007f,0x003effff,0xb80007fb,
    0x202effff,0x2dffffd9,0xffffb300,0x27ff005b,0x13fe63ff,0x445ff980,
    0x4002ffeb,0x007ff3ff,0x641cffe8,0x3f60006f,0x2fffeeff,0xffffff10,
    0xfff887ff,0x3e2004ff,0x0004ffff,0x40000bf5,0x1cb80018,0x01310000,
    0x40000880,0x9ffc0008,0x017fa3ff,0x7e4ffea0,0x7ec05fff,0xff3fffff,
    0x403fffff,0x90fffff9,0xca8000df,0x401ceffe,0x0defffec,0x01deff88,
    0x0ef7fc40,0x00131000,0x00000000,0x00000000,0xff000000,0x06a8ffe7,
    0xefc96e00,0xfffd802d,0xffff3fff,0xc8803fff,0x00000ffe,0x00100000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe7ff00,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c000000,0x0007ff3f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10353000,0x00601100,0x4000aaaa,0x00002aaa,0x4002aaa2,
    0xd50001aa,0x03550009,0x09a98800,0xcccca980,0x64c002cc,0x00c02204,
    0x00206a60,0x2600aaaa,0xd880004c,0x3ffa203f,0x403f71df,0x2ff42ff9,
    0x00fffa20,0x00fffa20,0x0fffa200,0x0bfff620,0x8013ee00,0x003fffe8,
    0x7ffff6c4,0xfffa82df,0x04ffffff,0xf9827ec0,0x402ff42f,0x71dfffe8,
    0xffe8803f,0x00ffc403,0x03ffee00,0x7ffde7f4,0x3ea00eff,0x803ffc3f,
    0x90003ffc,0x440007ff,0xe8801efe,0x003ffcef,0xf7001fe4,0x4c00fb15,
    0xffffffff,0x7fffec4f,0x04ffaadf,0x5407fe20,0x03ffc3ff,0x7ffde7f4,
    0xf9000eff,0x05fd807f,0x07ffdc00,0x3fae2398,0x40dc800c,0x3aa002da,
    0xdd50001e,0x13b20003,0x3a64ed80,0x3f6e202e,0x401defff,0x2003ee7c,
    0x221bfffa,0x3ffee4d9,0x13fe4fff,0x6406fc80,0x4016d40d,0x33fae239,
    0x0f754000,0x0001ff30,0x00003ec8,0x00000000,0x00000000,0xfb800000,
    0xffffffff,0x7defd402,0x03fff006,0x7fffffc0,0x4013fe4f,0x00002ff8,
    0x00000000,0x0003fe80,0x00a98000,0x0002a600,0x98800a98,0x22098801,
    0x20988019,0x09880198,0x3e73bfea,0xb801b99f,0xfb800eff,0x3fe6002f,
    0x3e4fffff,0x0ff7004f,0x000ccc40,0x80033310,0x99999999,0x03fdc099,
    0xfd880000,0x800dffff,0xdfffffd8,0xfffd8800,0xff500dff,0x2a6fd803,
    0x37ec01ff,0xfd803ff5,0x7c43ffa6,0x19988007,0x800dff00,0xfffffffa,
    0x74013fe4,0x3ff6004f,0xffb0001f,0x7ffc003f,0x6fffffff,0x00017fc4,
    0x7fd405fd,0x0effffff,0x3ffffea0,0x2a00efff,0xffffffff,0x01ffa80e,
    0x3ff537ec,0x3ea6fd80,0x8b7ec01f,0x01be64ff,0x007fff60,0x98007ff3,
    0x4fffffff,0x3e6013fe,0x3ffe000f,0xfff0004f,0x7ffc009f,0x6fffffff,
    0x20005fc8,0xfff303fe,0x1fff2615,0x9857ffcc,0xff307ffc,0x3ff2615f,
    0x401ffa87,0x07fea6fd,0x7fd4dfb0,0xf8b7ec01,0x0017ee6f,0x5013fffe,
    0xff0005ff,0x7c9fffff,0x05fd804f,0x1ffbfea0,0x3fbfea00,0x013fe007,
    0x0007fe60,0xffd81ff4,0xb07ff901,0x3ff203ff,0x901ffd83,0x1ffa87ff,
    0xff537ec0,0x2a6fd803,0x37ec01ff,0x13f27ffd,0xffdff500,0x001ffb80,
    0xffffffc8,0xf1013fe4,0x6fec003f,0x6c001ffa,0x001ffadf,0x360009ff,
    0x7d44004f,0x03ff983f,0x3fe637fc,0x2637fc03,0x37fc03ff,0xfb007fea,
    0x200ffd4d,0x07fea6fd,0x7fccdfb0,0x4002feef,0x01ffadfd,0x40003ff2,
    0x24fffffe,0x37dc04ff,0x3e2ffe00,0x5ffc004f,0xff004ff8,0x3fea0009,
    0xfffe9800,0x00ffc83f,0xff90ffe4,0x21ffc801,0x7e400ffc,0x007fea1f,
    0x0ffd4dfb,0xffa9bf60,0x2a37ec01,0x00cfffff,0x3fe2ffe0,0x007ff204,
    0x4ffffb80,0x7ff013fe,0xd87fd400,0x3fea006f,0x3e00dfb0,0x3fe0004f,
    0x6fffc403,0x06fd82cc,0x3f62ff98,0x22ff9806,0xff9806fd,0xb007fea2,
    0x00ffd4df,0x1ffa9bf6,0x5c437ec0,0x00cfffff,0x6fd87fd4,0x000bfee0,
    0xff8aea60,0x003fea04,0x3fee6fd8,0x5cdfb001,0x4ff801ff,0x01bee000,
    0xfd003ff9,0x47ff300b,0xff9805fe,0x26017fa3,0x07fea3ff,0x7fd4dfb0,
    0xf537ec01,0x06fd803f,0x3fffffe2,0xfb9bf601,0x07ff501f,0x27fc0000,
    0xf8009fd0,0x013fe23f,0x9ff11ffc,0x0009ff00,0xfd017fc4,0x013fe00d,
    0x4ff93fe2,0x3e4ff880,0x4ff8804f,0xfb007fea,0x200ffd4d,0x07fea6fd,
    0x7cc0dfb0,0x00effd8e,0x27fc47ff,0x0006ff88,0x4c13fe00,0x3ea001ff,
    0x4037f41f,0x37f41ffa,0x7fffffc0,0x6c03ffff,0x017fe05f,0x7c013fe2,
    0x009ff14f,0x27fc53fe,0x3ea4ff80,0x537ec01f,0x6fd803ff,0xfb007fea,
    0xf72fd40d,0x83ff505f,0x3ff606fe,0xff000002,0x0017f209,0x3ff70dfb,
    0xfb86fd80,0x7fffc01f,0x03ffffff,0xfe807fcc,0x009ff007,0x27fc7ff1,
    0xff1ffc40,0x47ff1009,0x7ec01ffa,0xb007fea6,0x00ffd4df,0x4fb81bf6,
    0x3f613fe2,0x301ffb86,0x00005fff,0xff109ff0,0x84ff8005,0x7fc04ff9,
    0x404ff984,0x99999cff,0x4fe80099,0xf007ff90,0x5ff300bf,0x7cc02ffc,
    0x2017fe2f,0x3fea2ff9,0xf537ec01,0x26fd803f,0x7ec01ffa,0xfa8ff206,
    0x984ff83f,0x3ff204ff,0xdb989acf,0x84ff8004,0x7d4006fb,0x40dfd01f,
    0xdfd01ffa,0x0004ff80,0xff107fa8,0x06fe807f,0x3fa1ffa8,0x21ffa806,
    0xffa806fe,0xb007fea1,0x00ffd4df,0x1ffa9bf6,0xfb037ec0,0x2a0ffec5,
    0x0dfd01ff,0xffffffc8,0xf8004fff,0x003fe83f,0x66667fec,0xb01ffecc,
    0x999999ff,0x7fc03ffd,0x5ff00004,0x33fffe60,0x007fec1a,0xffd83ff6,
    0xb07fec00,0xffd801ff,0xf007fe60,0x00ffccbf,0x1ff997fe,0xceaaffc0,
    0xffdcfeab,0xccffd84f,0x1ffecccc,0x7fffe4c0,0x44001bde,0x07fd42ff,
    0x3ffffe00,0x3fffffff,0xfffffff0,0x407fffff,0x900004ff,0x7ff440df,
    0x1ffd47ff,0xfa8bff10,0x17fe203f,0x7c407ff5,0x01ffc45f,0x7fc49ff3,
    0x893fe603,0x3fe603ff,0xffffff54,0x3e09ffff,0xffffffff,0xf9003fff,
    0x5c01001d,0x02fec1ff,0x3bbbfea0,0x6ffeeeee,0xeeeeffa8,0x06ffeeee,
    0x400013fe,0x64c01ff8,0x1ffe87ee,0xfd01ffb0,0x03ff603f,0x7ec07ffa,
    0x206ff80f,0x37fc1ffc,0xff83ff90,0x447ff206,0xdefffedb,0xddff500b,
    0xffdddddd,0x00ffa00d,0xff910ef4,0x001ff88b,0x7e403fec,0x403fec1f,
    0x9ff01ffc,0x27ec0000,0x7ffd4000,0x4ffda89b,0x137fff50,0x2a09ffb5,
    0xda89bfff,0xbff704ff,0x42ffdc43,0x2e21dffb,0xdffb85ff,0x817fee21,
    0xffb006fa,0x803ff900,0xfb801ff8,0xffffefff,0x40037e40,0xff9804ff,
    0x4c027fc3,0x39ff03ff,0x01333333,0x0007fd40,0x7ffffd40,0x7d404fff,
    0x4fffffff,0x7ffffd40,0x7ec04fff,0xefffffff,0xfffffb00,0x3601dfff,
    0xffffffff,0x017ee00e,0x7cc027fc,0x03fd403f,0xfffffd50,0x005ff019,
    0xf002ffa8,0x017fd4df,0xfff06ff8,0xdfffffff,0x003fe800,0xffffb300,
    0x3f66005b,0x3002dfff,0x05bffffb,0x3ffffaa0,0xffea803e,0xea803eff,
    0x803effff,0xffa803fc,0x80dff002,0x988001a9,0x000cc01a,0xf9003fec,
    0x801ff61f,0xfff80ffc,0x6fffffff,0x0004c400,0x00004400,0x11000022,
    0x00188000,0x88000620,0x0054c001,0xf9003fec,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05554400,0x0aaa8800,
    0x79ddb930,0x00155540,0x05554400,0x0081a980,0x0000aaaa,0x40055544,
    0x011001aa,0x01aa8006,0x80060110,0x2a0001aa,0xc9800dfe,0x2600cded,
    0x32602ded,0x7ffd1004,0x3ffa2000,0xffffd883,0x3fa206ff,0x2200003f,
    0xe8803ffe,0x3f71dfff,0x00fffa20,0x07ffd100,0x02fffd88,0x3fa17fcc,
    0x7ffec405,0x217fcc02,0x7ec405fe,0xfa8002ff,0x36206fce,0x2fffffff,
    0x3fffffa8,0x8802ff88,0x10001efe,0x3f603dfd,0x03a99acf,0x0003ffc8,
    0x001efe88,0xffff79fd,0xffc801df,0xdfd10003,0xcefe8803,0x3fea03ff,
    0xd103ffc3,0x407ff9df,0x3ffc3ffa,0xff9dfd10,0x2e6d8007,0x39ff901f,
    0x441ffd73,0x81ff72ff,0x9d9005fc,0x04ec8000,0x0000bfe6,0x80003dd5,
    0x1cc004ec,0x0019fd71,0x20007baa,0x9db004ec,0xb901774c,0x3602da81,
    0x80bba64e,0x016d40dc,0x1774c9db,0x0fd4fd00,0x7d41ffcc,0xff1be63f,
    0x0007fcc3,0x54000000,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0xf706fcef,0xf527fc0f,0x3fa2fe8b,0x1000ccc3,
    0x33330133,0x41333333,0x40005ff9,0x20001998,0x26001998,0x204c4019,
    0x99999998,0x4cc41999,0x99999999,0x99999981,0x99809999,0x99999999,
    0x4ccccc40,0x44199999,0x99999999,0x4cc40199,0x3fee0001,0x20dfb00d,
    0x1fea2ffa,0x21bf23fd,0xfd003ffc,0xfffff01f,0xd8dfffff,0xb0001eff,
    0x20003fff,0x9801fffd,0x3f202fff,0x7ffffdc5,0x5c7fffff,0xffffffff,
    0xffff87ff,0x86ffffff,0xffffffff,0x7ffdc6ff,0x7fffffff,0x7fffffdc,
    0x6c07ffff,0x00001fff,0x7d42ff40,0x45ffc46f,0x03ff36fb,0xa801fff1,
    0xffff04ff,0x4dffffff,0x04ffffe9,0x04ffff80,0x09ffff00,0x40dfff30,
    0x7ffdc5fc,0x7fffffff,0x7fffffdc,0xff87ffff,0xffffffff,0xffffff86,
    0x7dc6ffff,0xffffffff,0x7fffdc7f,0x07ffffff,0x0027fffc,0xbdffd971,
    0xfb8bfd03,0xfffb80df,0x407fd2ff,0x7f404ffb,0x009ff00f,0x3fabbfe2,
    0xff5002ef,0xf5000ffd,0xf300ffdf,0x3f205fff,0x004ff805,0xff804ff8,
    0x04ff8004,0x004ff800,0x2a004ff8,0x2007feff,0xfffffffe,0xf32ff45f,
    0xceda809f,0xfd00df71,0x0ffea01f,0xf9004ff8,0x1fffe41f,0x7fd6fec0,
    0x56fec001,0x7fcc01ff,0x0bf906fe,0xf0009ff0,0x09ff009f,0x0009ff00,
    0xf0009ff0,0x6fec009f,0xdd001ffa,0xfff95357,0xff92ff47,0x07fe6000,
    0x7413fea0,0x027fc06f,0xfe984fe8,0x45ffc03f,0x7fc004ff,0x4c04ff8b,
    0xc81ffbff,0x04ff805f,0xf804ff80,0x4ff8004f,0x04ff8000,0x2004ff80,
    0x04ff8bff,0x37fc4010,0x03fecbfd,0x2004fe80,0x7fdc1ffe,0x8027fc02,
    0xffd105fe,0x6c3fea01,0x3fea006f,0xf980dfb0,0xfc85fe8f,0x004ff805,
    0xff804ff8,0x04ff8004,0x004ff800,0xf5004ff8,0x001bf61f,0xbfd3fec0,
    0x20027fdc,0x7cc006fb,0x402ffc5f,0xff9004ff,0x40bfea01,0x07fee6fd,
    0xff737ec0,0x5c7fcc03,0x02fe41ff,0x7c0027fc,0x04ff804f,0x0004ff80,
    0xf8004ff8,0x4dfb004f,0x80001ffb,0xd17fa7fb,0xf1001bff,0x006ee23f,
    0x3fee3ffb,0x004ff801,0x3e01dff1,0x447ff03f,0x7ff004ff,0xf3027fc4,
    0xf917fe1f,0x009ff00b,0xff009ff0,0x09ff0009,0x009ff000,0x3e009ff0,
    0x013fe23f,0xdcccca98,0xd117fa7f,0xfd803dff,0x0bffff74,0x7fc6ffc4,
    0xfffff004,0x547fffff,0x7fcc3fff,0x741ffa81,0x1ffa806f,0xff3037f4,
    0xfc83fee1,0x004ff805,0xff804ff8,0xffffffff,0xffffff83,0xf803ffff,
    0x4ff8004f,0x741ffa80,0xffe9806f,0x27ffffff,0xfff905fe,0x263bee01,
    0x03ffbbff,0x03ff7ff2,0x7fffffc0,0x7cc3ffff,0x6fe89eff,0xff70dfb0,
    0xb86fd803,0x1ff301ff,0x5fc93fe2,0x8004ff80,0xfff804ff,0x3fffffff,
    0xfffffff8,0xff803fff,0x04ff8004,0xffb86fd8,0x33ffe201,0x27fdaaaa,
    0x3fee05fe,0xf92ff884,0xf102fdc7,0x7c007fff,0x999999cf,0xfffc8809,
    0x9ff01fff,0xf809ff30,0x04ff984f,0x7fe41ff3,0xff00bf90,0x09ff0009,
    0x33339ff0,0x9ff01333,0x13333333,0x0009ff00,0x9ff009ff,0x6c09ff30,
    0x4ff700ff,0x37f405fe,0x43fd2fec,0x7fdc06f9,0x027fc006,0x3fffd300,
    0x7407fea0,0x07fea06f,0xff9837f4,0x7e53fe20,0x004ff805,0xff804ff8,
    0x04ff8004,0x004ff800,0x7d404ff8,0x40dfd01f,0x9fee05ff,0x37ec05fe,
    0x2fe83fea,0xff101be6,0x04ff8009,0x05ffc800,0x99999ffb,0x3603ffd9,
    0xccccccff,0xff981ffe,0x5fcbfec0,0x8004ff80,0x4ff804ff,0x004ff800,
    0x8004ff80,0x7fec04ff,0xfecccccc,0x20bff01f,0x97fa7ffa,0xf127fdc0,
    0x325fc85f,0x04ff804f,0x00027fc0,0xfff07fd8,0xffffffff,0x3fffe07f,
    0xffffffff,0x4c0ff983,0x805fcaff,0xff8004ff,0x004ff804,0x80004ff8,
    0xff8004ff,0x7ffffc04,0x3fffffff,0x64c5ffd0,0x97fa7fff,0x46fffffe,
    0xeff985fd,0xff800ffd,0x027fc004,0xa86fe800,0xeeeeeeff,0xfa86ffee,
    0xeeeeeeef,0xff986ffe,0x5fcefd80,0x8004ff80,0x4ff804ff,0x004ff800,
    0x8004ff80,0x3fea04ff,0xeeeeeeee,0xfff306ff,0xff7dffff,0xfffd2ff4,
    0x00ffa87d,0x003dfff5,0xff0013fe,0x22022009,0x7fd84ffb,0x6c1ffc80,
    0x1ffc807f,0x7cc07fcc,0xff805fef,0x04ff8004,0xf8004ff8,0xff80004f,
    0x04ff8004,0x3f201ff6,0xfffd501f,0x201fe69d,0x11000019,0x004ff800,
    0x4ccce7fc,0xdff70999,0x01dfffdd,0xff3009ff,0x9804ff87,0x07fcc3ff,
    0x445fffe8,0x9cff9999,0x4ccc4199,0x1999cff9,0x9999cff8,0xcff80999,
    0x09999999,0x7fccccc4,0x4c41999c,0x99cff999,0x2013fe19,0x4c403ff9,
    0x00000000,0x13fe0000,0xffffff00,0x3eedffff,0x0cffffff,0xf002ffa8,
    0x017fd4df,0x7fcc6ff8,0x8bfff500,0xfffffffb,0x7fdc7fff,0xffffffff,
    0xffffff87,0xff86ffff,0xffffffff,0x7ffffdc6,0x5c7fffff,0xffffffff,
    0x05ff57ff,0x0001bfe0,0x01326000,0x00399910,0xff0013fe,0xffffffff,
    0x0d554c4d,0xc801ff60,0x00ffb0ff,0xff307fe4,0x22fff401,0xfffffffb,
    0x7fdc7fff,0xffffffff,0xffffff87,0xff86ffff,0xffffffff,0x7ffffdc6,
    0x5c7fffff,0xffffffff,0x00ffb7ff,0x22007fe4,0xb80002cc,0x3fa2007f,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x003fffe8,0x8803fdc0,0x3a801efe,0x32e00c98,0x6440002c,
    0x6440002c,0x599701cc,0x66440000,0x2cc8801c,0x20f2e200,0x01332201,
    0x00059970,0x01ccc880,0x2064c1d4,0x440003ca,0x03ffadfe,0x401fee00,
    0xff5004ec,0x1037fc49,0x20007ffb,0x003fffe8,0x405ffd10,0x0003ffd8,
    0x802ffe88,0x803fffe8,0x9afffff9,0x3fee01fc,0x102edb9d,0x00007ffb,
    0x500bffa2,0x37fc49ff,0xb0001bf2,0x0176cc7d,0x0007fb80,0x449ff700,
    0xffb807ff,0x6ff44002,0x44003ffa,0xf7001efe,0x7440005f,0xfe8801ef,
    0x7403ffad,0xffffeabf,0x3ffea606,0x5c02ffff,0x440002ff,0xfb801efe,
    0x91ffe24f,0x000000df,0x01fee000,0x40cb8000,0xdd3001ca,0x31f6c003,
    0x764005db,0x1ee98004,0x009d9000,0x5db31f6c,0x376a1440,0xffff700b,
    0x20035bff,0x20001ee9,0x65c004ec,0x3f20e540,0x00000006,0x6ef765c4,
    0x205eb87f,0x00000ee9,0x00000000,0x00000000,0x00000000,0x6fdc0000,
    0x0006ffab,0x00000000,0x0037e400,0x3a605eb8,0xffffb80e,0xfc87ffff,
    0x003fea06,0x00000000,0x00000000,0x00000000,0x00000000,0x0000ffee,
    0x00000000,0x0006fc80,0x7fd40df9,0x4d6ffe40,0xfc87feba,0x803fea06,
    0x01cdfdc9,0x39bfb930,0x37f72600,0xfb93001c,0xcb88039b,0x401deffe,
    0xdeffecb8,0x7f65c401,0x5c401def,0x01deffec,0xfffedb98,0xdfeca801,
    0x3b2a001c,0x75c01cdf,0x643ba605,0x33bb6e6f,0x540df900,0x0ffe60ff,
    0x37e43fdc,0x2e01ff50,0x3fffffff,0x7ffffdc0,0x7fdc03ff,0x403fffff,
    0xfffffffb,0x3ffffa03,0x3a05ffff,0xffffffff,0x3ffffa05,0x3a05ffff,
    0xffffffff,0x3fffee05,0x36205fff,0x4fffffff,0x7fffec40,0x3f204fff,
    0x643fea06,0xffffd8ef,0x06fc80ef,0x6fd83fea,0x3f21fee0,0x203fea06,
    0xda89cffc,0x9ff903ff,0x07ffb513,0x2a273ff2,0xff903ffd,0x7ffb5139,
    0x2a6afba0,0xdd03fffc,0xfff95357,0x26afba07,0xd03fffca,0xff95357d,
    0x7bff907f,0x203ff955,0xeb9acffe,0x3ffa04ff,0x4ffeb9ac,0x7d40df90,
    0xdfddf90f,0x90dff957,0x07fd40df,0x3fdc07ff,0xff5037e4,0xb03ff881,
    0x3ff881ff,0xf881ffb0,0x81ffb03f,0xffb03ff8,0x7fc40101,0x7fc40106,
    0x7fc40106,0x7fc40106,0x4427fcc6,0x2ffb85ff,0xf703ffb0,0x07ff605f,
    0xffa81bf2,0x909fff90,0x06fc83ff,0x7fc43fea,0x321fee02,0x03fea06f,
    0x7fcc0dfb,0xf3037ec2,0x206fd85f,0x37ec2ff9,0x0005ff30,0x36000ffb,
    0xffb0007f,0xd1ff6000,0x07fe40df,0x7c409ff1,0x027fc45f,0xdf90bff1,
    0xfc87fd40,0x89ff104f,0x3fea06fc,0x5c03ff50,0x206fc87f,0x27fc0ffa,
    0x9ff0ffe0,0x7fc3ff80,0x3e1ffc04,0x01ffc04f,0x8003fdc0,0xf70007fb,
    0x9fee000f,0x3e602ff8,0x007fe62f,0x1ff98dfb,0x7e437ec0,0x643fea06,
    0x22ff407f,0x3fea06fc,0x5c03ff50,0x206fc87f,0x3fe20ffa,0xaaaaaaac,
    0x33fe25ff,0xfaaaaaaa,0x2b3fe25f,0xffaaaaaa,0x2ab3fe25,0x5ffaaaaa,
    0x33332a60,0x654c07fd,0x407fdccc,0xfdcccca9,0x66654c07,0x3fe67fdc,
    0xb93fe201,0x3fe400ff,0xf9003fee,0x540df90f,0x80df90ff,0x037e46fd,
    0x3fe61ff5,0x321fee02,0x83fea06f,0xfffffff9,0x265fffff,0xffffffff,
    0x3e65ffff,0xffffffff,0x3fe65fff,0xffffffff,0xffe985ff,0x07ffffff,
    0xffffffd3,0x3fa60fff,0x7fffffff,0xfffffd30,0x7fdcffff,0xf92ffc00,
    0x41ff700f,0xffb807fc,0xf5037e40,0xb01bf21f,0x206fc8df,0x7ff10ffa,
    0x321ffe60,0x1ffb00ff,0x55567fc4,0x21aaaaaa,0xaaaacff8,0x221aaaaa,
    0xaaaaacff,0x3e21aaaa,0xaaaaaacf,0x7fc41aaa,0xfdaaaacf,0xacfff887,
    0x887fdaaa,0xaaaacfff,0xfff887fd,0x7fdaaaac,0xff003fee,0x6403fdc9,
    0x403fdc7f,0x06fc87fc,0x37e43fea,0xff917fa0,0xe83ff601,0x7fff886f,
    0xfc82ffb8,0x01ffc0ff,0x0003ff80,0x3e0007ff,0xffb0003f,0x361fee01,
    0x0ff700ff,0x3ee01ffb,0x700ffd87,0x00ffd4ff,0x7fd47ff1,0x2a37ec00,
    0x37ec00ff,0xff5037e4,0xff01bf21,0xc82ffb89,0x3fee0fff,0xfcffb88c,
    0x12eff987,0xf81ffffb,0xbff0005f,0x017fe000,0x8002ffc0,0x1fee05ff,
    0x7fb817fe,0x3ee05ff8,0x2e05ff87,0x813fe27f,0x3fe62ffa,0x313fe203,
    0x7fc407ff,0xb00ffc84,0x81bf21ff,0x7fcc2ff9,0xffffb12e,0xfffffd81,
    0xfb07f9af,0xf3dfffff,0x02ffb81f,0x002ffb80,0x8002ffb8,0xf8002ffb,
    0x0fff505f,0x3fea0bff,0xf505ff87,0x20bff0ff,0x7ff47ffa,0xfd0dfd00,
    0x07ff201f,0x7e403ffa,0x82ffb81f,0xdf90fffc,0xfd837ec0,0xf9efffff,
    0xdfffd80f,0x7e40ff32,0x1ff14fff,0x80cfff88,0xcfff8828,0xff882880,
    0x882880cf,0x2880cfff,0x3262ffe8,0xffe87fff,0x1ffff262,0xfc98bffa,
    0x2ffe87ff,0x31ffff26,0x7ecc5dff,0x1effa82f,0x5413ff22,0x3f221eff,
    0x5dff304f,0x43ffff62,0x7ecc2ffc,0x3fff202f,0x401ff14f,0x00cc0001,
    0x3ffffa60,0xd307ffee,0xffddffff,0x3fffa60f,0x307ffeef,0xfddffffd,
    0xffff30ff,0x0ff7dfff,0xfffffff3,0xff30ff7d,0xf7dfffff,0xfffff30f,
    0x70ff7dff,0xffffffff,0x7fffe409,0x6405ffff,0xffffffff,0x7fffec05,
    0x90ff9eff,0xffffffff,0x0066005f,0x00000000,0xffffd910,0x76440bdf,
    0x05efffff,0x3ffffb22,0x3b2205ef,0x05efffff,0x29dfffd5,0xffd507f9,
    0x41fe69df,0x34efffea,0x3ffaa0ff,0x20ff34ef,0x2effffe9,0xffffd980,
    0xffb3002e,0x32005dff,0xff14ffff,0x3fff6e21,0x00000cef,0x00000000,
    0x004ccc00,0x0004ccc0,0x40004ccc,0x31000999,0x02620001,0x0004c400,
    0x20000988,0x06200019,0x00031000,0x018000cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccb80000,0x04c40002,0x09d50000,0x01930750,0xdd500bdb,
    0xa80f3263,0xeb80c983,0x7017ae05,0xdddddfdb,0x3b2e203d,0x8806cbde,
    0x5c4002cc,0x3eb8183c,0x1033bb6e,0x566547fb,0x87db1000,0x99999999,
    0x99999819,0x22009999,0xa8003ffd,0x003ffffe,0x5402fd80,0x1bfe24ff,
    0xfb00bff2,0xa82ffccf,0x1bfe24ff,0x7fc81bf2,0xfffffd10,0x703fffff,
    0xffffffff,0xfffe880f,0xffff3003,0xc83f935f,0xfffffb5f,0x87ffdc1d,
    0x00dffffc,0xff0fffec,0xffffffff,0x7ffffc43,0xb806ffff,0x3ea002ff,
    0x03ffffff,0x003fe200,0x7fc49ff7,0x205ff887,0x3fe64ff8,0x449ff705,
    0x06fc87ff,0x7ff41ff2,0x2afffaa2,0x4d6ffe40,0x2207feb9,0x03ffadfe,
    0xffeabfe8,0xeefc86ff,0x6ffcabef,0x6543ffee,0x202ffffe,0x3fe3ffff,
    0xffffffff,0x3ffffe21,0x3006ffff,0xff1003dd,0x03ffa61d,0x7fff6540,
    0xa8197005,0x01ffb01c,0xff987fee,0x95032e05,0x640df903,0x82ffa87f,
    0xff983ff9,0x6c0ff703,0x00bb663e,0x0bdda851,0xc84fffc8,0x40bb61ff,
    0x901fffb8,0x17fc1fff,0x26666600,0x0006fe99,0xb83ff500,0x7ec401ff,
    0x03ffffff,0x3fea0000,0xf98dfd03,0x6400004f,0x21ff206f,0x17fa07fc,
    0x7fb81bf6,0x00000000,0xf104ffc8,0xff30009f,0x3e05d40d,0x3a00002f,
    0x7000006f,0x1ff981ff,0x26fffe20,0x003ffff9,0x21bfe000,0x7fcc3ff9,
    0x7e400004,0x361ff206,0x217fa07f,0x1fee03ff,0x00000000,0xbfd01ff2,
    0x07ff2000,0x0005ff00,0xeb837f40,0x503ba605,0x0ffb85ff,0xfa87ff20,
    0x7101ffdd,0x03bdffd9,0x7dc1ffc8,0x027fc40f,0x0737fb2a,0xff9037e4,
    0xf103ff70,0x02ff987f,0xd9501fee,0x540039bf,0x901cdfec,0x26fd80df,
    0xffa802fe,0x017fc003,0x20dfd000,0x3fea06fc,0xf537fc40,0x27fc409f,
    0x0ffe2bf6,0x7ffffff4,0x3fe205ff,0x7c42ff44,0xfffb104f,0xf909ffff,
    0x443fe40d,0x3fa20eff,0x00ffd40f,0x3f620ff7,0x04ffffff,0x7ffffec4,
    0x06fc84ff,0x05fd37ec,0x8005ff50,0x200002ff,0x0df906fe,0x7e407fd4,
    0x405ffcbf,0x3fe20ffa,0x3ba0bfb0,0xfffca9ab,0xf99ff603,0x03ff882f,
    0xd7359ffd,0x06fc89ff,0x7fec1ff2,0x82fffeef,0x3ee01ffa,0x359ffd07,
    0x7409ffd7,0xfeb9acff,0x2037e44f,0x00ffe5fe,0xf0007ff2,0x005579bf,
    0xfc837f40,0x203fea06,0x04fffff8,0x2fd47fb8,0x88020df9,0x3fea06ff,
    0x3e20ff92,0x02ffb83f,0x37e43ffb,0xff50ff90,0x01bffff9,0xfb80bfe6,
    0xb02ffb87,0x5ff703ff,0xfc87ff60,0xff27fc06,0xff953307,0xffff000b,
    0x0019ffff,0xdf906fe8,0x4c07fd40,0x9002fffe,0x2e2fd8ff,0xfd8000ff,
    0xffaffc07,0x887ff104,0x3fe204ff,0x2203ff25,0x23fd87fe,0x3ff88008,
    0xf88fff30,0x17fe204f,0x7c409ff1,0x981bf25f,0x10ffe2ff,0x01dfffff,
    0x99907322,0x1dffffd9,0xc837f400,0x03fea06f,0x8dfffff5,0x13fdc7fc,
    0x03fdc1ff,0x6407fb80,0x201ffbff,0x0ffcc3ff,0xffc9bf60,0xf87ffd82,
    0xdfd0004f,0x98ffff10,0x37ec01ff,0xfb007fe6,0xfb037e4d,0x7c43ff8d,
    0x7e402cef,0x6cc400ff,0x3fa005ff,0x540df906,0x3bfe20ff,0x3f64ffc8,
    0xfa87fcc6,0x26037e45,0x7fdcccca,0x37fffcc0,0xff70ffe0,0x327fc801,
    0xdfb12eff,0xeffe87ff,0x009abccc,0xf7119ff7,0xffb8ffbf,0x2e3fe400,
    0x3fe400ff,0xfd985ff9,0x7c27fc1f,0xfffb002f,0x03ff4007,0x3f20dfd0,
    0xd83fea06,0x4fffa0ff,0xb2ff85ff,0x305ff85f,0xfffffffd,0xfffd00ff,
    0x642ff805,0x0ffb807f,0xfffffff9,0xe997ffab,0xffffffff,0xffffb04f,
    0xc8ff55ff,0x0ffb807f,0x3ee01ff2,0xfffff90f,0xff07ffff,0x2003ff09,
    0x2005fffa,0xfd000ffc,0xa81bf20d,0x113fe0ff,0x09ff5fff,0x41ff3ffd,
    0xff881ffb,0xfdaaaacf,0x06ffa807,0x3fdc2ff8,0xbf93fe40,0x74c9fffb,
    0x337fe65f,0x4ffffedc,0x25bfffb0,0x03fdc7fb,0x1fee3fe4,0xffc9ff20,
    0x80deffff,0x1ff84ff8,0x013ff600,0xd000ffb8,0x81bf20bf,0x7ff10ffa,
    0x3fffff30,0x2bffff30,0xfb05ffb8,0x01fee01f,0x2a00ffea,0x007fd40a,
    0x15fc9bf6,0xff884403,0x01ffe605,0xfa8ff703,0x237ec00f,0x7ec00ffa,
    0x00c5bf26,0x55427fc4,0x0bfee000,0x3006fd80,0x3ff209ff,0x7c1ffb00,
    0xdfff704f,0x77fffcc0,0xff00dfff,0x203fdc0b,0x40007ff8,0x3e203ff9,
    0x001bf24f,0xf9007fea,0x7fb8001f,0xf101ffcc,0x03ff989f,0x6fc93fe2,
    0x02ffc400,0x00ffd800,0x0449ff50,0xf702ffb8,0x1fff905f,0xfe807ff4,
    0x7ffcc05f,0x7fc03eff,0x80fff505,0x75002ffd,0x201ffd01,0x1bf21ffc,
    0x00bff200,0xf7000ffb,0x201ffd0f,0xffe81ffc,0x643ff900,0x7fc4006f,
    0x9800bb85,0x10622ffd,0xfa8bffb3,0x6ffda89b,0x44bbfe60,0x2e0ffffd,
    0xfb30aeff,0x7d407fff,0x3fa0019d,0x3fff262f,0x7ff54cc7,0x0dff7004,
    0x6443dff5,0x037e44ff,0x057ffd40,0x000fff66,0x3fea1fee,0x13ff221e,
    0x910f7fd4,0x06fc89ff,0x2e2ffc40,0x3fea06ff,0x7ffd42ff,0x40dfffff,
    0xfffffffa,0x7ffec01f,0x0ff9efff,0x7fffffec,0x01fffcff,0xf30005fb,
    0x7dffffff,0x7fffc4ff,0x3ff2004f,0xffffc80f,0xfc85ffff,0xfff90006,
    0x9fffffff,0x41fee000,0xfffffffc,0x7ffe405f,0xc85fffff,0x7fcc006f,
    0x503ffec5,0xff5017bd,0x203bffff,0xcefffec8,0xffff9000,0x2a03fe29,
    0x30dffffe,0x7f881fff,0x3ffaa000,0x44ff34ef,0x4001deff,0x36604ff9,
    0x902effff,0x6cc000df,0x0cefffff,0x81fee000,0x2effffd9,0xffffb300,
    0x01bf205d,0xfa8dff30,0x9880004f,0x4c400099,0x00660000,0x30000980,
    0x13100001,0x44000000,0x00062001,0x00440000,0x31000000,0x00188000,
    0x02200000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0054c000,0x0000664c,
    0x0004d4c4,0x65c02620,0x54c4002c,0xa980009a,0xcc880000,0x0f2e201c,
    0x5554c006,0x88019881,0x02f64409,0x3b221326,0x2a264c05,0x64c03dee,
    0x02cc8804,0x26666664,0xffffd980,0x3ff500ce,0x7ff54000,0x7002efff,
    0x207fffdb,0xd003ffd8,0x5dffffff,0xffffd880,0xfd10003f,0x7ffcc05f,
    0x01fc9aff,0xffffffd3,0x00ffd45f,0x7fe45bf6,0x8bfe206f,0x206fffc8,
    0x7f642ff8,0x5ff102ff,0x3fffe880,0x3fffffe0,0xdfffb807,0xa80effec,
    0xf90001ff,0xffffddff,0x7fffdc05,0x7dc03fff,0x7ffc402f,0x02ffffee,
    0xffdfffd1,0xfe8800bf,0x55ff401e,0x906ffffe,0xffddffff,0x00ffd45f,
    0x6ffd5bf6,0x517f206f,0x640dfbff,0x827f405f,0x7f4405fc,0x5503ffad,
    0xc80ffb55,0xffe882ff,0x000ffd40,0x2a06ffd4,0xfff707ff,0x4c001357,
    0x205401ee,0xf80fffb8,0x27fe42ff,0x2009d900,0x05eed428,0x440effd4,
    0x007fea0a,0x6fa9cdfb,0x2701ff30,0x1ff306fa,0x03ff9510,0xed801ff3,
    0x200bb663,0x3fe607fc,0x2a2fec01,0xfc8001ff,0x83ff900f,0x0000cffa,
    0xffd80000,0xd80ffdc1,0x000000ff,0x07ff4000,0x803ff500,0x06fa86fd,
    0x6fa807fd,0x3e607fd0,0x3fe82eff,0xf9000000,0x2627ec0f,0x43ff10aa,
    0xd8001ffa,0x07fea06f,0x00000bfd,0x17fd4000,0xff9817fa,0x00000003,
    0x2002ffc0,0x7ec01ffa,0xfc86fa86,0xc86fa806,0x7eccc06f,0x00037e47,
    0x20ff9000,0xffb10ff9,0xa97f23ff,0x9dd501ff,0xfb00ffb8,0x000ffa8d,
    0xbdddddb0,0x07fd4000,0x7dc05ff3,0xddddb05f,0x27d700bd,0x80cefeb8,
    0x7d4006ff,0x437ec01f,0x0ffcc6fa,0x3e637d40,0x4ff9001f,0xed801ff9,
    0x4005eeee,0x4bf507fc,0x31dacffd,0x40ffd4df,0x7c40effa,0x1ffdc1ef,
    0xf8001bf2,0x007fffff,0xff51bf60,0xdfffb101,0x3fffffe0,0xe9cfc807,
    0x40efffff,0x2a004ffd,0x37ec01ff,0x0ffa37d4,0x3fa37d40,0x7fffec03,
    0x7c00ffa4,0x007fffff,0x4fb83fe4,0x3e203ff3,0xf507fea7,0x3fee01df,
    0x84ffe9cf,0x9bb954fe,0xdaaaa805,0xfd88007f,0x4c3fdc1e,0x507feffe,
    0x00ffb555,0x55bffdf9,0xff989ffd,0xffa802ef,0x4c37ec01,0x801bee3c,
    0x01bee3c9,0xfb8b7bae,0x2aaaa006,0x7e4007fd,0x3ee7fb07,0xfa87fc06,
    0x03bfea1f,0xfffffd30,0x3ffbfe05,0x01efffff,0xf300ff90,0x901bffff,
    0xafffb8ff,0xfc800ffa,0x3fffc807,0xfe987fe8,0xf500cfff,0x06fd803f,
    0x0001ff98,0x80007fe6,0x20001ff9,0x7e4007fc,0x3f25fb07,0xfa8ff404,
    0x01dff51f,0x3fffff20,0x7fffc40c,0x6ffdaaac,0x300ff900,0x3bffffff,
    0xffb16fd8,0x003fea1b,0x3f201ff2,0x40ff903f,0x84fffffb,0x7ec01ffa,
    0x004fe806,0x00027f40,0x900013fa,0x7fc800ff,0x1bee7fb0,0x3fea1ff0,
    0x800eff99,0xffbcffe8,0x17fe20ef,0xc803ffb8,0x5333007f,0x7e43fff9,
    0x5c4fff9e,0x7fc800ff,0x2e06fc80,0x7ed400ff,0x3fea0eff,0x2037ec01,
    0x5c0006fb,0x7dc0006f,0x7fc80006,0xb83fe400,0x203ff54f,0x2ffea7f8,
    0xf9800eff,0x3ff621ef,0xd00ffe26,0x0ff900bf,0x737f4400,0x903fffff,
    0x1ff200ff,0xfa81bf20,0xffd3000f,0x200ffd4d,0x3fe206fd,0x2002aaa1,
    0x57711ff8,0xa87fe200,0x3f2000aa,0x83fe4007,0x37ffa5fa,0x54df31ec,
    0x004ffcff,0x3f601ff9,0xb013fe2f,0x0ff900ff,0x51ffb800,0x3201bfff,
    0x0ff9006f,0x7d40df90,0x7fec000f,0xd803ff51,0xb93f606f,0xfd803fff,
    0x0dffff54,0x7fdc9fb0,0x1ff2003f,0x220ff900,0xfffd11ff,0xfa93f23f,
    0x804ffc9f,0x3fe204fe,0xfb017fa4,0x00ff900d,0xf32ffa80,0x05ff809f,
    0xf900ff90,0x007fd40d,0x7ccffe60,0x82ffc01f,0xdff10efb,0x0efb807f,
    0x05ff55d1,0xff8877dc,0x3f2003fe,0x03fe4007,0x219889f9,0x3fea0ff8,
    0x4407ffb1,0x2ffc03ff,0x5fe80ffb,0x0007fc80,0xbfd07fdc,0x8017fcc0,
    0x6fc807fc,0x0003fea0,0x3fe27ff3,0x213fe603,0x2ff62ff8,0x3fe203fd,
    0x440ffa02,0x36ff62ff,0x1ff2003f,0x440ff900,0x3f6203ff,0xfd0ffd44,
    0x037fc05f,0x7fd47ff5,0x005ff502,0x44000ff9,0x17fdc6ff,0x90037f44,
    0x0df900ff,0x20007fd4,0x1bfe1ffc,0xfd81ffc8,0x1fed7ea5,0x7d40bfb0,
    0x54bfb00f,0x4007fb5f,0x7e4007fc,0x05ffdc07,0xf503bfa6,0x17ff443f,
    0x541dffd8,0x7ff40fff,0x802ffd42,0x202207fc,0x440fffb9,0x3f662fff,
    0x1ff2002f,0xfa81bf20,0x1337b50f,0x717ff666,0x7dc43bff,0x10ffa85f,
    0x5bfd59ff,0x2e01ff50,0x1ff502ff,0x3fab3fe2,0x0ff9002d,0xa807fc80,
    0xfffdefff,0x41ffa80d,0xe881fff8,0xffffffff,0xfffe981f,0x880efffe,
    0x9ffd9999,0x3fff2199,0x01efffff,0xffffffd3,0x4ccc405f,0x1999ffd9,
    0x3ea06fc8,0xfffff50f,0x20dfffff,0xfffffffd,0x17fc40ef,0xfffffff1,
    0x882ff88b,0xff101efd,0x7ffffc45,0x999885ff,0x1999ffd9,0x3f666662,
    0x9301999f,0x407bfffd,0xff981ffa,0xffff701f,0x6c4019ff,0x203effff,
    0xfffffffb,0xff91ffff,0x005dffff,0x3bffffb1,0xfffffb80,0x41ffffff,
    0x3fea06fc,0xfffffb30,0xea805bff,0xb03effff,0xaaaa88bf,0x2fec2dfe,
    0x4eeeffc8,0x2aa22fec,0xb82dfeaa,0xffffffff,0xfff71fff,0xffffffff,
    0x50008803,0x3fea03ff,0x004cc00f,0xfb800c40,0xffffffff,0x266621ff,
    0x00220000,0xffffffb8,0x641fffff,0x03fea06f,0x00026662,0x3fea00c4,
    0x543fd800,0xfff900ff,0x07fd4dff,0xfb81fec0,0xffffffff,0xffff71ff,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x004d5440,0x003260ea,0x0009a988,
    0xb10002a6,0x0310005d,0xdd971000,0x00f2a39b,0x809a9800,0x99800198,
    0x98133000,0x20001999,0x1ceeedb9,0x33333100,0x26662133,0x99999999,
    0x4ccccc19,0xb1099999,0xffd8807d,0xa82effff,0x1bfe24ff,0xffffdb10,
    0x3f6205bf,0x800dffff,0x2000fffc,0x540004fe,0x2fffffff,0x70000df9,
    0x43dfffff,0xfe8007fc,0x17fdc00f,0x3bfffffe,0xfff7003d,0x100bffff,
    0xffffffff,0x3fffff6b,0xffffffff,0x3fffffe1,0xffb6ffff,0x3ffee03f,
    0x85ffffff,0x3fe24ffb,0x3fffe607,0xa84fffff,0xffffffff,0x7ffec00e,
    0x013fe000,0xadfff880,0x0df91caa,0xefffd800,0xff93fffe,0x0bff3000,
    0x7fc2ffc4,0xefffffff,0x2fbff602,0xb805dbaa,0xffffffff,0x33333bb5,
    0x3f533333,0x7ffffffc,0xffff6fff,0x37fff907,0xcb82e4c4,0xfa80e540,
    0x36621bff,0x857ffcc4,0x4c07ffc9,0x7fc004ff,0x3ff20004,0x0037e401,
    0xd709ff70,0x0cccffe4,0x901ffc80,0x49ff03ff,0x83fffca9,0x40005ffa,
    0x3607fdfe,0x7c406aa4,0x64013fe1,0x7fcc0fff,0x0000000e,0x2000fffc,
    0xff901ffd,0xf0001007,0x7f40009f,0x006fc806,0x6401bfe0,0xefffffff,
    0x21bfe203,0x9ff04ff8,0x883ffa60,0x540006ff,0x3607fbef,0x10ffffa4,
    0x0027fc3f,0x1ffd0175,0xb8000000,0x7cc002ff,0x037fc03f,0xfeeee800,
    0xeeeeeeff,0x4027fc00,0xf10006fc,0x3ff2007f,0xeffffeee,0xd87ff700,
    0x09ff00ff,0xff327fd4,0xcfd80005,0x113607fb,0x0fc4bfb3,0x500009ff,
    0x6c0009ff,0x405eeeee,0xfc8006ff,0x0ffe400f,0x0bdddddb,0xfffffff8,
    0x00ffffff,0x3200ffe2,0x13bfae6f,0x9002ff98,0xdffb30ff,0xf987ff40,
    0x013fe02f,0x07fdcffd,0x71ff1000,0x9026c0ff,0xff87e25f,0xffb80004,
    0x3ffe0000,0x3e607fff,0x6fd8003f,0x3e2ff980,0x407fffff,0xadffaaaa,
    0x200aaaaa,0xfc803ff8,0xfffffe8e,0x01ff980e,0x7e40ff90,0x27ff302f,
    0x27fc05fe,0x7fc9ff20,0xbafdc000,0x9813607f,0x7fc3f14f,0x7fd80004,
    0x55554000,0x3fea07fd,0x05fe8002,0x2aa3ff98,0x4007fdaa,0x997004ff,
    0x999dff99,0x7f7e4999,0x4ffeaadf,0x9001ff98,0x27fc40ff,0x3ff7ff90,
    0x5c04ff80,0x01ff91ff,0xfb97f400,0xfa813607,0x27fc3f14,0x437f4000,
    0x03ccccca,0x3ee07fc8,0x4ff8001f,0x204ff880,0x7fc007fc,0xffffd004,
    0xffffffff,0x41fffe4f,0x3f72a6fe,0x2cccccdf,0x3fa03fe4,0x3fffe206,
    0x3ffffe04,0x2ffa87ff,0x20003ff7,0x3ffee7fa,0x889b3fff,0x3f11fea9,
    0x7ffffffc,0xff803fff,0xfffffc85,0x207fc806,0x44000ffc,0x9ff004ff,
    0x2003fe40,0x997004ff,0x999dff99,0x27fe4999,0x3ff27fc8,0xffffffff,
    0x3e03fe44,0x77fdc05f,0x3ffffe00,0x2ffa87ff,0x20009ff5,0x3ffee4fd,
    0xe89b3fff,0x87e21eff,0xffffffff,0x3a0223ff,0xeaaa986f,0x07fc806f,
    0x20007fee,0xff8804ff,0x001ff203,0x220009ff,0x6fc803ff,0x6543fea0,
    0xccccdffd,0x103fe42c,0xaaa987ff,0x2aaadffb,0x4ceffccc,0x3a2ffb81,
    0x7c4001ff,0x267fee1f,0x5e89b099,0x67fc3f10,0x09999999,0x6fd8bff5,
    0xc806fd80,0x0bfea07f,0x2017fe00,0x3f202ff9,0x027fc007,0x803ff880,
    0x3fea06fc,0x800ffcc0,0x3ff607fc,0x7ffffe40,0xf07fffff,0x1ffc809f,
    0x986fffea,0x5c6fc84b,0x9d13607f,0x4ff87e20,0x45fffd00,0x6fd807fc,
    0x2607fc80,0xfe8003ff,0x01ffa806,0xff001ff2,0x3fe20009,0x206fc803,
    0x7fcc0ffa,0x88ff9001,0xca83ffe9,0xcceffccc,0x809ff04c,0xfffb87fd,
    0xf85fffff,0x7fb999cf,0x20351360,0x013fe1f8,0xf717fff4,0x06fd807f,
    0x3e207fc8,0xffd8006f,0x007fec00,0xff800ff9,0x7ff10004,0x540df900,
    0x0ffcc0ff,0xfffffc80,0x2003ffff,0x9ff004ff,0x982ffc40,0x3efffffc,
    0x7fffffd4,0x113607ff,0x9ff0fc40,0x11bfea00,0x6fd80dff,0x6c07fc80,
    0x7d4002ff,0x17fe203f,0xe800ff90,0xff10005f,0x40df9007,0x7fcc0ffa,
    0xffff9001,0x8003bdff,0x9ff004ff,0x2017fe40,0x3f601efc,0x7feeeeee,
    0x06f89360,0x027fc3f1,0x3fee0310,0x00dfb00d,0xff980ff9,0x7ff4002f,
    0x801ffb01,0x7ec007fc,0xff88000f,0x206fc803,0x7fcc0ffa,0x33ff9001,
    0x3ff20013,0xffffffff,0x3209ff07,0x3fe805ff,0x2e07fe20,0xf993607f,
    0x3e1f880f,0x3a00004f,0xd309beff,0x0ff900df,0x359fff90,0xfa89b731,
    0xfda89bff,0x07fc804f,0x056ffdc0,0x1ffc4013,0xf5037e40,0x3fee621f,
    0x9999999b,0x2000ff90,0xfffffffc,0xbff07fff,0xdffd9733,0x01ff8801,
    0x3fdc1bf2,0x100989b0,0x4ce7fc3f,0x00099999,0x3fffff62,0x4c46ffff,
    0x99ffd999,0xffff7019,0x509fffff,0xffffffff,0xb3333109,0x003333ff,
    0xfffffffd,0x01ffc401,0xff5037e4,0x3fffff21,0x4fffffff,0x40000ff9,
    0xfff004ff,0x1bffffff,0xf80ff300,0xffff703f,0x2ab76dff,0xaaaaaaaa,
    0x3fffe1fb,0x06ffffff,0xffffda80,0x7fdc1cef,0xffffffff,0xffdb301f,
    0x26037bdf,0x02dffffd,0xfffffff7,0x8803ffff,0x0ffffffc,0x200ffe20,
    0x3fea06fc,0xffffff90,0x29ffffff,0x200007fc,0xfff004ff,0x0017bdff,
    0xff500d44,0x3fffee01,0xffffb6ff,0xffffffff,0x7ffffc3f,0x006fffff,
    0x7004cc40,0xffffffff,0x26003fff,0x80088000,0xfffffffb,0x4001ffff,
    0xff880099,0x206fc803,0x00000ffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99988000,0x26620009,0x22000199,0x988000a9,
    0x99988019,0x33330019,0x33333333,0x26666661,0x20009999,0x19880999,
    0x22009880,0x99881981,0x99999999,0x99801311,0x06666621,0x1004cc40,
    0x99998133,0x99999999,0x44003330,0x0cc88099,0xdffffff5,0x7ffdc07b,
    0x801defff,0x2fffffea,0x07fff600,0xffffff90,0xff9817df,0xffffffff,
    0xfffff4ff,0x00bfffff,0x2a0ffff2,0x37ec01ff,0x0ff83fd0,0x7fffffdc,
    0xdfb7ffff,0xf91ffe40,0x5bffffff,0xc81ffea0,0x3ffe26ff,0xffffffff,
    0x007ff94f,0x3fa03ffa,0xfffff56f,0x703dffff,0xffffffff,0x7ffe409f,
    0x004fffed,0xc809ffff,0xffffffff,0x3ffe60ef,0xffffffff,0xffffff4f,
    0x300bffff,0xf507ffff,0x06fd803f,0x87f883fe,0xfffffffb,0x0dfb7fff,
    0xff913fea,0xdfffffff,0x02fffa81,0x7fc4ffff,0xffffffff,0x1fff14ff,
    0xf04ffa80,0x3ff55fff,0x17ffe54c,0xfca83fee,0x4ffa82ff,0x5401ffd8,
    0x6407feff,0x7feccc7f,0x4cccccc5,0xf3ffa999,0xfd00009f,0xff507ffd,
    0x106fd803,0x007f98ff,0x1bf609ff,0x3f217fe6,0x37ff64c7,0x2a17ffee,
    0x4ccc7fff,0xfe999999,0x013fee1f,0x3f201ffd,0x01ffabff,0xffb8dff3,
    0xf85ffb80,0x017fa05f,0x03ff5bfb,0xffd03fe4,0x21ff9000,0x5c0004ff,
    0xa83ff9ff,0x37ec01ff,0x37d47f98,0xfb04ff80,0x80efe88d,0x3ff207fc,
    0x03ff3ee2,0x800ff9fb,0xffe84ffa,0x807ff500,0x1ffaaffe,0xfb8ffee0,
    0x46ff880f,0x3ee02ff9,0x22ffe00f,0x1ff204ff,0x2000ffc8,0x13fe4ff8,
    0x8aff9800,0x1ffa83ff,0x55337ec0,0xf9555df9,0x7fc0555d,0xfd8dfb04,
    0x40ff900f,0x33f24ff8,0x27fe22fe,0x3fe2007f,0x209ff506,0xffd806fe,
    0x7401ffa9,0x403fee7f,0x0ffdc6fe,0x2a03ff30,0x40dfb0ff,0x1bf207fc,
    0x7c1ff900,0x3fa0004f,0xf507ff15,0x26fd803f,0xfffffffc,0x06ffffff,
    0x37ec13fe,0x7e405ff7,0xf937f407,0x67dcbf77,0xfb000ff9,0x0fff403f,
    0xf100bfee,0x007feadf,0x07fdcff9,0x3ee27fc4,0x0bfe201f,0x3ff737ec,
    0x7441ff20,0x3fe2004f,0x80027fc4,0x7ff10ffb,0xd803ff50,0x3fb32a6f,
    0xcefeccce,0x413fe03c,0x07ff56fd,0x7fc07fc8,0x3fe2ff25,0x1ff13fd0,
    0x809ff500,0x2ffc5ff9,0x23ffd510,0x7dc01ffa,0x881ff71f,0x7fcc1ffe,
    0xf81ffc03,0x413fe23f,0xefea87fc,0x03fee000,0xf10009ff,0x41ffc47f,
    0x7ec01ffa,0xfd87f906,0x209ff003,0x04ff8efd,0x3e207fc8,0x7ecff63f,
    0x1ff16f8b,0x006ff880,0x3fee3ffb,0x3dfff701,0x2a00ffd4,0x99ff72ff,
    0x105fffd9,0x3ea01dff,0x41ffa84f,0xfff906fe,0x009fffff,0xff84ff88,
    0xeeeeeeef,0x7c46fd81,0xffffa83f,0xffffffff,0xfe87fb06,0x209ff002,
    0x005feffd,0x7fec0ff9,0x77d4ff60,0x03ff13fb,0x1001ffd8,0x09ff1bff,
    0x7d41e75c,0x97fd401f,0xfffffffb,0x3ffea01c,0xffffcbbc,0xfb86fd83,
    0xffffc81f,0x004fffff,0x3fe03fee,0xffffffff,0x220ffd42,0xfffa83ff,
    0xffffffff,0xe85fd06f,0x09ff001f,0x01bffff6,0xd7313fe4,0x13fe87ff,
    0x3e21fdff,0x13fea01f,0xffbff900,0x7fd40001,0xb97fdc01,0x4ffdbbff,
    0xfffffa80,0xf82ffcff,0x84ff984f,0xba999ffc,0xf8806ffe,0x55dff05f,
    0x44155555,0x3ff883ff,0x999affa8,0x06fd9999,0x00ff83ff,0x3f609ff0,
    0xc804ffae,0xffffffff,0x363fe83f,0x817fc6ff,0x88006ff8,0x0003ffff,
    0x3200ffd4,0x41ff71ff,0xa8804ff9,0xff88abcb,0xe80ffd41,0x207fc86f,
    0x7dc03ffd,0x009ff01f,0xff8837e4,0x401ffa83,0xf33316fd,0x3ff3335f,
    0x04ff8033,0x0fff2dfb,0xffffff90,0x8bfa019b,0x17fc2ff9,0x0001ffc8,
    0x9300dff7,0x03ff5079,0x3fee7fd8,0x000ffe40,0xfd81ff50,0xeccccccf,
    0x03fe41ff,0xff80bff1,0x4013fe05,0xaaaacff9,0x1aadffba,0xfd803ff5,
    0xffffff56,0xffffffff,0xd827fc01,0x807ffa6f,0x00099ffc,0x40ed85ff,
    0x4ffa82ff,0x13fe2000,0x2a1bfea0,0x3fe601ff,0xf103fee5,0x7ec000bf,
    0xffffff85,0x43ffffff,0x37fc07fc,0x7c03ff70,0xfff5004f,0xffffffff,
    0x3feabfff,0xc9b7ec01,0xdcccffdc,0x7c04ccff,0x44dfb04f,0xff900eff,
    0x005ff000,0xdfd10ffe,0x09ff0000,0xf50dff30,0x17fec03f,0xff901ff7,
    0x3ff50003,0xeeeeffa8,0x46ffeeee,0x3fe207fc,0xf017fe04,0x3ba6009f,
    0xfeeeeeee,0xff54eeef,0xa86fd803,0x002fdc6f,0x1bf609ff,0x3f20bff5,
    0x02ff8007,0xffc87ff0,0x4ff80001,0xa85ff980,0xffd881ff,0x4407fdc5,
    0x7dc005ff,0x807fd84f,0x1ff21ffc,0xf702ffc8,0x04ff803f,0x0ffe2000,
    0xfb007fea,0xfb8bf70d,0x413fe004,0x4ffc86fd,0x44007fc8,0x7fd002ff,
    0x00027fcc,0xf8804ff8,0x9affa85f,0x0efffcba,0xfd807fdc,0x5d4cc40f,
    0xf80dfffc,0x3ff9804f,0x26667ff2,0x3e04ffeb,0x04ff806f,0x0ffe2000,
    0xfb007fea,0xfc89f70d,0xf3333103,0x3633339f,0x85ffd06f,0x7c4007fc,
    0x49fd001f,0xaaaabffe,0xf802aaaa,0x4ff8804f,0xffffffa8,0xff704fff,
    0x513fe601,0x5dffffff,0x400bfea0,0x3fff26ff,0x04ffffff,0x3e00bfee,
    0x2200004f,0x1ffa83ff,0x7e437ec0,0xfb81fec3,0xffffffff,0x220dfb7f,
    0x1ff20fff,0x003ff300,0x7ffd53fa,0xffffffff,0x04ff806f,0xff509ff0,
    0x017bdfff,0xfb007fdc,0x6f7fd41f,0x03fec02c,0x3f21ff90,0x0bdeffff,
    0xf8037fc0,0x2200004f,0x1ffa83ff,0x7ec37ec0,0xfb817f43,0xffffffff,
    0x540dfb7f,0x01ff26ff,0x2003ff30,0xffff54fe,0xffffffff,0x009ff00d,
    0x00000266,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01330000,0x4c413310,0x4c262001,0x26620019,
    0x31006660,0x26666621,0x19999999,0x20013300,0x26200a98,0x30018001,
    0x00000000,0x00002ed8,0xffecb880,0xeca801de,0xbd701cdf,0x2e0774c0,
    0x7f41deed,0x0ffec01f,0x2e001ff3,0x003ffb5f,0x7fcc7fee,0x6d7f202f,
    0xffffffff,0x201fffff,0x5c02ffea,0x82effffe,0x3a6007fc,0x127e400f,
    0x4400007d,0x03ff803e,0xd003ff80,0xffffffff,0x3fff620b,0xfc84ffff,
    0x443fea06,0x2ffffffe,0xfa81bfe6,0x00ffcc4f,0x7ff55fc8,0xf99bfa00,
    0x57f206ff,0xfffffffd,0x81ffffff,0x02ffffea,0xffdfffd1,0x07fc85ff,
    0x9817fe60,0x13ff25ff,0x3ffe6000,0x001ffc00,0xee801ffc,0xfffca9ab,
    0x9acffe83,0x7e44ffeb,0xc83fea06,0x47ffbabe,0xdfd03ffc,0x001ff881,
    0x1bfe29f9,0xf98ffe20,0xbf902fff,0x9804ff80,0x2ffefffe,0x5417ff70,
    0x1ff20fff,0x977ff700,0x81dfd57b,0x0000dffc,0xf003dff5,0x7ff0007f,
    0xff880200,0xd817fdc6,0x81bf21ff,0x7e400ffa,0x207ff40f,0xff882ffc,
    0x6c9fb002,0x7fdc00ff,0x1bfbfe61,0x3fe02fe4,0x9dffd804,0x02e02ffb,
    0xff91ffdc,0xffffb000,0x203fffff,0x4000effb,0xf000effc,0x7ff0007f,
    0x9ff60000,0x3e204ff8,0xa81bf25f,0x7fe400ff,0xf32ffd40,0x017fc0bf,
    0x3fea3fd8,0x2637f403,0xc81ffbff,0x027fc05f,0x5ff70f54,0x93fe2000,
    0xf98007fc,0x6fffcdff,0x00fffcc0,0x3104ffd8,0x39ff3333,0xff803333,
    0xff700003,0x3600ffcc,0xa81bf26f,0x3fe600ff,0x363ffb05,0x0bfe00ff,
    0xff11fec0,0x21ffc40b,0x85fe8ff9,0x27fc05fc,0x02ffb800,0xfc97fe00,
    0x1ffc8007,0x1007ff62,0x74407ffd,0x3fee03ff,0xffffffff,0x1ffc07ff,
    0x3332a600,0x3fee7fdc,0xf93fe400,0x807fd40d,0xf100effa,0x807ff5df,
    0x2065c3fe,0x07fec2fe,0x7cc1ffb8,0x641ffb8f,0x027fc05f,0x002ffb80,
    0x7e47ff10,0x85ff8007,0xd8803ffa,0xfff984ff,0x7fffdc02,0xffffffff,
    0xffffffb7,0x3fffffff,0xfffffe98,0x1ff27fff,0x7e43fee0,0x203fea06,
    0x5c00effc,0xe805ffff,0xd0ffe23f,0x02ffa85f,0x1ff30dfb,0x0bf917fe,
    0x70004ff8,0x2e0005ff,0x01ff21ff,0xf107ff10,0x7fe4009f,0x01dff50d,
    0xb01ffc00,0xffffffff,0x443fffff,0xaaaacfff,0x01fee7fd,0x06fc9ff2,
    0xfd883fea,0x3ffa004f,0x24fd800f,0x0ffc6ffa,0x3e217fe2,0x70ff983f,
    0x02fe41ff,0x5c0013fe,0xf88002ff,0x003fe46f,0x7f40bfe6,0x3bfee005,
    0x003dff50,0x3101ffc0,0x39ff3333,0xffd83333,0x7d4ff700,0x937ec00f,
    0x87fd40df,0xaaadfff9,0x3fff202a,0x364fd800,0x07fe1fff,0xff503ff6,
    0x221ff301,0x017f24ff,0x2e0009ff,0xfd8002ff,0x003fe41f,0x7fc17fe2,
    0x09ff9004,0x0005fff3,0x3e000ffe,0x05ff803f,0x3ff99fee,0xfc93fe20,
    0x21ffb00f,0xfffffffa,0xffff307f,0x7cbf900b,0x03fe4fdf,0xdfb0bfea,
    0xfc83fe60,0xf80bf90f,0xff70004f,0x3ffc8005,0xf8007fc8,0x02ffa87f,
    0x101fff44,0xf0007ffd,0x7ff0007f,0x2a0bff00,0x07ff47ff,0x3ee1ffc8,
    0x0fffc82f,0xddddddd5,0x37ffa0bd,0xafdc02ff,0xf16fadfa,0x8bff101f,
    0x1ff303ff,0x5fca7fc4,0x80027fc0,0x32002ffb,0x0ff904ff,0x239ff900,
    0x74c06ff9,0xfd8802ff,0x1ffc004f,0x401ffc00,0x3f262ffe,0x77fd47ff,
    0x313ff221,0x3f625dff,0x40000fff,0x6ff8bffb,0xafcb7dc0,0x07f89ff8,
    0x0ffa9ff6,0xfd81ff30,0xff80bf97,0x5ff70004,0x813ff200,0xfa8007fc,
    0x5fffffff,0x007bfea0,0x001bff90,0x3e000732,0xfff9803f,0x7fbeffff,
    0xffffffc8,0xfffb05ff,0x1ff3dfff,0x37fc4000,0x7d409ff7,0x33f61ff6,
    0x3fea07f9,0x7cc0dfb2,0x657fcc0f,0x027fc05f,0x802ffb80,0x7e404ffc,
    0x7ff44007,0x3ffeffff,0x000effb8,0x003dff70,0x03ff8000,0x9dfffd50,
    0x7ecc1fe6,0x6402efff,0xff14ffff,0x7fec0001,0xa80fff41,0x3ea5faff,
    0x3e206f9f,0x4c07ff4f,0xcefd80ff,0x027fc05f,0x402ffb80,0xfc804ffc,
    0x87fec007,0x43ffb1a9,0x80005ffc,0x2660fff9,0x99999999,0x04cc0099,
    0x00026200,0x19800188,0xffb80000,0x306ff984,0x7c45f9ff,0x7ec06fcf,
    0x2600ffaf,0xeff980ff,0x027fc05f,0x202ffb80,0xf9004ffc,0x1ffdc00f,
    0x744fff10,0x3a200003,0x7fffffc4,0x03ffffff,0x00000000,0x00000000,
    0x201fff10,0xff983ffc,0x7ffec0ff,0x7f7fd405,0x807fcc06,0x7c05fffe,
    0xaaa8804f,0xaaacffda,0x555dff91,0x32555555,0x999999ff,0x201ae099,
    0x000001ea,0xffffff00,0x07ffffff,0x00000000,0x00000000,0x880fff60,
    0x7fc40fff,0x5fffa85f,0x1ffffc40,0x5403fe60,0x7fc05fff,0xffffa804,
    0x4fffffff,0xfffffffd,0x3f2bffff,0xffffffff,0x0000002f,0x00000000,
    0x00000000,0x00000000,0x00dff500,0xfff0bff7,0x013ffe05,0x3003fff6,
    0x7ff401ff,0x4027fc05,0xfffffffa,0xffd4ffff,0xffffffff,0x3ffff2bf,
    0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0xb31cefdb,0x32e007bd,0x76dcc000,0xb9301cee,0xc98039bf,
    0x2a4eeffe,0x6f6c04ee,0x9d913d70,0xd50bb621,0xdddddddd,0x0666609d,
    0xd7003754,0xfb70f74b,0x017b607b,0x9f5c7baa,0x00cefeb8,0x00000d4c,
    0x0b3b6e60,0x6c00cb80,0xfffffb5f,0x9fffff7f,0x006ffb80,0x3fffffee,
    0xffffb85f,0xffb03fff,0xd8ffffff,0x7ff902ff,0x7ffecfe4,0x24fffe8c,
    0xfffffffa,0x7fdc5fff,0x7cc1efff,0x4bfb000f,0xfffe89ff,0x1ffc85ff,
    0x9f93ff40,0xdfffffd3,0xfffff701,0x1d807b05,0xfdbbff90,0x03fb003d,
    0x359b2ff8,0x719fffd5,0x7fec01ff,0xeffd800f,0x645dbaab,0xfda89cff,
    0x4e7fe43f,0x7c44b999,0x2ffcc0ff,0x3eaff3f2,0x25fcafce,0xaaaaaaa8,
    0x67644ffd,0x7c46fecb,0x49fb001f,0xaadfebff,0x7fc42ffe,0xc93fe204,
    0xeaadffef,0x77fe44ff,0x3f21fffd,0x81ffb02f,0x1fe984fd,0x0883f20c,
    0xf9803fe2,0x301ff46f,0xff5009ff,0x0ffe200b,0x9ff07fec,0x45ffa800,
    0x7fe40efe,0x7ccfffe5,0x0dff1007,0xf83ff301,0x47fd002f,0xff83ffff,
    0x700ffd85,0x7ffe41ff,0x3e67fe83,0x89bfa23f,0x7fec2ffe,0x7fc5fdc2,
    0x226e88de,0x2a1f90df,0x201bea4f,0x02fe44ff,0x3fe20022,0x81bf6006,
    0x9ff12ff9,0x25ff9000,0xffc81ffc,0xff89bfe0,0x00ffe800,0x741ff998,
    0x3e17f43f,0x40bffe2f,0x2ffa86fe,0xffc8bfd0,0x7dcff903,0x7447fb86,
    0x05ffb2ff,0x3aafe2df,0x3fa67f54,0xffd8fbaf,0x3a006a24,0x0037dc2f,
    0x002ff980,0x7ff013fe,0x4001fff4,0x03ffaffe,0x23ff8bf9,0x7e400ff8,
    0xfff9101f,0x4fd83fff,0xff893fe6,0xfc813fe1,0xf30bff07,0x206fc85f,
    0x0bfb0ffb,0xfe883ff3,0xf882ffef,0xf9763f13,0x7ffff544,0x2ea000cf,
    0xcccdffcc,0x700006fd,0x3e2001ff,0xaaaaaacf,0x3fe65ffa,0xf1001cff,
    0x7e40bfff,0xff117fc4,0x01ffd401,0xff557df9,0x3ee5fc83,0xf83fe67f,
    0x3f20003f,0x643fe40f,0x43fea06f,0x0ff986fc,0x02fffe88,0x3b7e23f5,
    0x7e41ba1e,0x3a6000ff,0xffffffff,0xffb6ffff,0xffffffff,0x1ff23fff,
    0xfffff980,0x5fffffff,0x77ffff4c,0x0fffb803,0x5ff13f20,0xf9807fc4,
    0x03fe205f,0x26fb83ff,0xff52fefe,0x20003ff8,0x27fc3ff9,0xff5037e4,
    0xf703fee1,0x17ffec0f,0xd9f12f98,0x7f4c5e8b,0x800bffff,0xffaacffe,
    0xb2aaaaac,0xffffffff,0x323fffff,0xff1000ff,0x55555559,0x3f260355,
    0xd100efff,0x7e407fff,0xff117fc4,0x01dfd101,0xfd88ffcc,0xf8bfcc1f,
    0x8df75fbe,0x740003ff,0x207fea6f,0x3fea06fc,0x515bff30,0x3ff607ff,
    0x4f882ffe,0x225f33f1,0x75ffd34f,0x409ffb1f,0x27f41ffa,0x26666620,
    0x19999999,0xf8007fee,0x2600003f,0xffb04ffd,0x3f203ffb,0xff117fc4,
    0x003ffb01,0xfddfdffd,0xfb8ff883,0x4fc8ff8b,0x20001ffc,0x0dfb1ffb,
    0xffa81bf2,0x3ffffee0,0x15ffb05f,0x1fd05ffd,0x7e5b63f1,0x3f21bf12,
    0x7dc09f50,0x0005fe87,0x027fcc00,0x0000bff0,0xff70dfd0,0x901ffd17,
    0x222ff89f,0x17fdc0ff,0x74eec980,0xfd3ff03d,0x0ff6bfa1,0x880007ff,
    0x03ff8cff,0x7fd40df9,0x16f76cc0,0x3a22ffd8,0x46fcc2ff,0x89f7930c,
    0x01107e41,0x3fea3fd4,0x40020007,0xf7001ffe,0xe800005f,0x32ffcc6f,
    0x89f90dff,0x83fe22ff,0x00004ff9,0x737dff40,0xff85fdbf,0xffc80003,
    0xdf900ffb,0x0007fd40,0xe882ffb8,0x577dc0ff,0x801df930,0x3e2001fd,
    0x9ffff52f,0x3fe60088,0xbfff9804,0xff892e61,0x262880cf,0x4ffc981b,
    0xf903ffe2,0x7c4fc89f,0x443fe22f,0x99999fff,0x26662199,0xd8199999,
    0x3fe23fff,0x01ffc1ff,0x7fffcc00,0xa81bf204,0x333310ff,0x2d833333,
    0x74c07a20,0x003fffff,0xfe8003d9,0xffb8ffff,0x3202ffef,0xfb800fff,
    0x5fffffff,0x77ffff4c,0x3fea7ffe,0xefffffff,0x740bff60,0xf13f22ff,
    0xc87fc45f,0xffffffff,0xfffb1fff,0x83ffffff,0x7ec0fffc,0x01ffc0ff,
    0x1fffe800,0xfa81bf20,0xfffffb0f,0x0003ffff,0x00355100,0x3f260000,
    0x3fff21df,0x3fee01ef,0x3fb62006,0xc883efff,0x5efffffe,0x3fffffa6,
    0x27fe43ef,0x323fff10,0xf117fc4f,0x3ffff21f,0x1fffffff,0xddddddd9,
    0x6ffb81dd,0xff87ffb8,0xff700003,0x206fc80d,0xddd90ffa,0x01dddddd,
    0x00000000,0x20088000,0x19700098,0x0004c000,0x33002666,0x00000133,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20930550,0x01bdfedb,0x403202ea,0x22005ec8,0xbdb71001,
    0xc8800007,0xc8b3264c,0xcccccccc,0x07502ccc,0xc8800173,0x2ccc81cc,
    0xd7000000,0x88dddddd,0x20bb81cc,0x88888888,0x88888888,0x26666660,
    0x00000099,0xff107fdc,0xfffffb07,0x89ff105f,0x7fe447fc,0x9ff3007f,
    0xfffff980,0x3ffe60ef,0xffffffff,0x5cfff11f,0x3fffe4ff,0xffffffff,
    0x224ffa83,0x3a2006ff,0xffb102ff,0x37fb2205,0x32013101,0x47ffffff,
    0x3fa1fffd,0xfffff0ff,0xffffffff,0x3fe27fff,0x04ffffff,0x5fe80000,
    0x26a07fdc,0xc86fe999,0x8bfe60ff,0x07fffffa,0x203fffd0,0xfa99dff8,
    0x3fffe65f,0xffffffff,0x7d4dff11,0x3333324f,0x2ccccccc,0x3e24ffa8,
    0xdfd1007f,0x85ff7003,0x2fffffe8,0x22203fe8,0x3e208888,0xfff34fff,
    0x3ffffe7f,0xffffffff,0xfff13fff,0x009fffff,0x7ff10000,0xfc805fe8,
    0xd117fcc6,0xc9df989f,0xcdfa807f,0x50df705f,0x4cccc1ff,0xffa99999,
    0xffa9bfe1,0xcb800003,0xc800e540,0x3a6000ce,0x2affee1e,0x3fe23ffe,
    0xfff80002,0x5ffff13f,0x33300000,0x00133333,0x3fea0000,0x4c0bfe60,
    0x2ff43ffa,0xf9041bf2,0xf13fd00f,0x109fb05f,0xf98003ff,0xf997fe1f,
    0x0000003f,0x00000000,0xffe893fa,0x0007febd,0xfb8bff50,0x0000005f,
    0x80000000,0x07fe46fd,0xb89ffff3,0x07fea0ff,0xf701ff20,0x3a07fd49,
    0x01ff883f,0xfd0ffcc0,0x9917fccb,0x99999999,0x00000599,0xff800000,
    0xfffffd82,0x80400002,0x00000008,0x00000000,0x0ffb8df9,0x97fffba6,
    0x3fee0ffc,0x207fc800,0x27f40ff8,0x3fee1bf2,0x0ffcc000,0x17fc49fd,
    0xffffffff,0x0007ffff,0x80000000,0x37baa008,0x00000002,0x00000000,
    0xfa800000,0x00ffe21f,0x3fa27ff7,0x64037ec4,0x213f207f,0x3fe61ff9,
    0x04ffb88c,0x220aa880,0x9904cc09,0x99999999,0x00000599,0x00000000,
    0x00000000,0x00000000,0xf8800000,0x4037ec4f,0x3fea4ff9,0x900ffe21,
    0x03fe60ff,0x3ff22fec,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf71bf600,0xd510983f,0x46fd83ff,0x55541ffa,
    0x3a2aaffd,0x0bfe203f,0x005bddb3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ffd4000,0xfff09ff1,0xf109ffff,0x226fd89f,
    0xffffffff,0x26200666,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd05a83b8,0x403bdfff,0x10ec40db,0xdddddddd,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_30_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,6,3,2,1,3,4,0,0,2,1,1,2,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,1,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,3,1,0,3,1,3,4,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_30_latin1_y[224]={ 22,1,1,2,0,1,1,1,0,0,1,6,17,12,
17,1,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,25,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,22,7,0,2,3,2,
-2,1,1,2,2,8,12,12,1,2,1,4,1,1,1,7,1,11,22,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,0,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_30_latin1_w[224]={ 0,5,10,16,14,17,17,4,9,10,13,15,8,10,
6,14,15,14,13,13,16,13,14,14,14,14,5,8,12,14,12,10,17,17,13,14,15,12,11,15,14,12,11,14,
12,16,14,16,13,17,14,14,15,14,17,16,17,17,14,8,13,8,14,17,10,14,13,12,14,14,16,15,13,13,
12,14,13,15,13,15,13,14,14,12,15,13,16,16,15,16,13,12,3,12,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,14,15,16,
3,13,14,17,11,13,14,10,14,13,11,14,10,9,14,14,14,6,4,10,11,13,17,17,17,11,17,17,17,17,
17,17,17,14,14,14,14,14,14,14,14,14,16,15,16,16,16,16,16,13,16,15,15,15,15,17,13,13,15,15,
15,15,15,15,16,12,15,15,15,15,15,15,15,15,14,15,16,16,16,16,16,15,15,15,15,15,15,16,13,16,
 };
static unsigned short stb__consolas_30_latin1_h[224]={ 0,22,8,20,26,22,22,8,29,29,13,16,11,4,
6,25,21,20,20,21,20,21,21,20,21,20,16,21,18,8,18,22,28,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,26,20,21,20,21,20,20,20,20,20,29,25,29,11,4,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,29,31,29,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,20,19,20,
31,25,7,21,15,12,8,4,14,6,10,18,12,12,7,22,25,6,5,12,15,12,21,21,21,22,25,25,25,25,
25,26,20,25,25,25,25,25,25,25,25,25,20,25,26,26,26,26,26,14,27,26,26,26,26,25,20,22,22,22,
22,22,22,23,16,20,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,22,22,22,22,22,28,28,28,
 };
static unsigned short stb__consolas_30_latin1_s[224]={ 252,84,92,138,100,238,17,247,20,9,237,
184,247,222,197,163,94,85,100,80,106,227,49,79,34,32,249,218,156,103,143,
207,88,47,65,33,1,236,94,1,123,155,241,168,114,197,54,48,183,200,17,
142,69,157,36,19,1,229,214,52,229,43,50,204,148,200,194,34,224,47,95,
122,112,65,106,19,242,91,182,215,187,138,150,62,79,231,165,133,75,67,107,
61,1,30,159,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,252,201,186,
126,127,155,5,34,118,1,121,25,77,222,222,176,65,169,245,15,133,107,148,
190,251,39,196,1,172,190,208,243,48,66,190,196,178,115,202,133,214,19,130,
145,100,115,160,175,172,84,35,218,235,1,18,208,153,52,68,84,170,1,141,
224,65,81,97,113,51,208,1,189,17,49,33,1,64,110,226,17,129,126,144,
161,153,170,90,18,35,1,239,208,178,119,74,136, };
static unsigned short stb__consolas_30_latin1_t[224]={ 1,109,235,176,33,60,109,188,1,1,218,
197,176,235,235,33,132,197,197,132,176,109,132,176,132,176,154,109,197,235,197,
109,1,176,176,154,176,154,176,154,176,176,109,176,197,176,197,154,176,1,176,
132,197,132,197,197,197,176,176,1,33,1,235,235,235,197,86,218,83,218,154,
109,154,154,1,132,132,218,218,197,109,109,218,218,154,197,218,218,218,109,218,
1,1,1,235,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,1,109,1,
154,197,154,1,60,235,132,218,235,235,235,218,235,235,197,197,235,235,109,33,
235,218,235,218,235,132,132,132,33,60,60,60,33,33,33,154,33,33,60,60,
60,60,60,60,60,154,60,33,1,1,33,33,218,1,33,33,33,1,60,154,
60,86,86,86,86,109,60,218,154,86,86,86,86,132,132,132,154,86,132,86,
86,109,109,109,218,109,109,83,84,86,1,1,1, };
static unsigned short stb__consolas_30_latin1_a[224]={ 264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_30_latin1_BITMAP_HEIGHT or STB_FONT_consolas_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_30_latin1(stb_fontchar font[STB_FONT_consolas_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_30_latin1_BITMAP_HEIGHT][STB_FONT_consolas_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_30_latin1_s[i] + stb__consolas_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_30_latin1_t[i] + stb__consolas_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_30_latin1_x[i];
            font[i].y0 = stb__consolas_30_latin1_y[i];
            font[i].x1 = stb__consolas_30_latin1_x[i] + stb__consolas_30_latin1_w[i];
            font[i].y1 = stb__consolas_30_latin1_y[i] + stb__consolas_30_latin1_h[i];
            font[i].advance_int = (stb__consolas_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_30_latin1_s[i] + stb__consolas_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_30_latin1_t[i] + stb__consolas_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_30_latin1_x[i] + stb__consolas_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_30_latin1_y[i] + stb__consolas_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_30_latin1_LINE_SPACING
#endif

