// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_19_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_19_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT        126
#define STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_bold_19_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_19_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_19_latin1_LINE_SPACING          12

static unsigned int stb__consolas_bold_19_latin1_pixels[]={
    0x2080c431,0x26620008,0x20002620,0xa80cc01a,0x9910cccc,0x2ea20599,
    0x03880391,0x4cc40530,0x01333001,0x4d800262,0x3032a4a8,0x32000399,
    0x00e5c03c,0x500c7326,0x30006549,0x80399301,0xe8ff4099,0xff97f41f,
    0x0dff8801,0xf70013f6,0xffff503f,0x1ffffc85,0x30bffff1,0x3ffe7fff,
    0x9809f904,0xfffc80ff,0xffed986f,0x7ffcc4ff,0x84f800ef,0x507ff2ff,
    0xfd8003ff,0x3fbf600d,0xdffff101,0x7cbfe07f,0x07f5003f,0xff807fea,
    0x1fe8ff43,0x01ff97f4,0x7ec1ffc4,0x0ffdc004,0x3faefbea,0x47fa6621,
    0xe8099ff8,0xff5309df,0x205ff103,0xffc84ff8,0x7fcc4cbb,0x2a4fedff,
    0x07ffeeff,0x86e41fc4,0x199100db,0x500f2a00,0x94033239,0x37203dc8,
    0xa8801b70,0x332200fd,0xfe87ff00,0x20883fd1,0x01aa8008,0x350009fb,
    0x3e60ef98,0x3e23fb04,0xf903fc06,0x207fea07,0x09fd05fd,0xb9fffff8,
    0xfa93fa4f,0xefec983f,0x02620662,0x988004c4,0x00131000,0x4c400262,
    0x7fffd400,0x9881980f,0x3fd0ffe0,0x4154c7fa,0x05530aa8,0x2ff61551,
    0x554c2cb8,0x3f20aaaa,0x3fb07e81,0x6f881be2,0xfc813ee0,0xd807fd46,
    0xfff103ff,0x269f73ff,0x237ec0ff,0x13fffffc,0x44fc81ff,0x00effffa,
    0x01dffff5,0x03bfffea,0x077fffd4,0x0effffa8,0xffdeffa8,0x3207fc45,
    0xfd0bfe4f,0x7fd47fa3,0xff537dc0,0x3f66fb81,0x324ffffd,0x10ffffff,
    0x33736edf,0xf11fd80f,0x7037c40d,0x20ff809f,0xffd103fd,0xfff983df,
    0xf74fb9ff,0x7d4ff90d,0xf11afccf,0x2a4fc81f,0x87ffeeff,0x7ffeeffa,
    0xffeeffa8,0xfeeffa87,0xeeffa87f,0x94fe87ff,0x7fc47fff,0x5ff27e40,
    0x43fd1fe8,0x21ff43ff,0xb1ff43ff,0x3ff97dff,0x3feeaaa6,0xfff97f50,
    0x3fb03f7d,0x6f981be2,0xfd017e60,0x7407fe25,0x43fffcdf,0xfb9fffff,
    0xff50bf94,0x447cb7ec,0xd27e40ff,0x21ffdc9f,0x0ffee4fe,0x1ffdc9fd,
    0x3ffb93fa,0x7ff727f4,0xf9dd3fcc,0x3207fc4b,0xfd0bfa4f,0x6fc87fa3,
    0xdf903fe6,0xdfb07fcc,0xf8827f41,0x3df3f90f,0xfb05f7bf,0x2621be23,
    0x5ffc04fd,0x3e69f901,0x32ff880f,0x7fdc3ffd,0xf94fb9ff,0x7f4ff50d,
    0x0ff88db3,0x0ffaa7e4,0x1ff537ec,0x3fea6fd8,0xff537ec0,0x3ea6fd81,
    0xf737ec0f,0x9beb3e6b,0x27e40ff8,0xd0cb85fd,0xc87fcc3f,0x90ff985f,
    0x644fd8bf,0x21ff105f,0xcf9cf9fd,0x11fd81fb,0x09ff90df,0x2a0ffd30,
    0x7c0df56f,0x513fe25f,0x29f73ffd,0x26fa87fb,0xf88bd4fd,0xfba7e40f,
    0x3ee7fc86,0x3ee7fc86,0x3ee7fc86,0x3ee7fc86,0x3f27fc86,0x4ff33f75,
    0x27e40ff8,0x1fe803fd,0x02ff9ff4,0xb0bfe7fd,0x105fc89f,0x3ebfa1ff,
    0x81fccfab,0x50df11fd,0xfe803ffb,0x2adf504d,0x3bff206f,0x46209fb1,
    0x83ff54fb,0x23bee5fd,0x207fc44f,0x50bf94fc,0x542fe4ff,0x2a17f27f,
    0x2a17f27f,0x2a17f27f,0xbf57f27f,0x03fe27f9,0x00fec9f9,0x5df707fa,
    0x577dc0ff,0x744fd87f,0x21ff103f,0xbfabfafe,0x11fd80fd,0x027dc0df,
    0x5fb80bf5,0x7e401ff1,0x802ffdff,0x47bfe4fb,0x3fe21ffa,0xff13cdfe,
    0xdf94fc81,0x37e4ff50,0x0df93fd4,0x437e4ff5,0x21bf27fa,0x237ea7fa,
    0x7c4df54f,0x3127e40f,0x20ff4310,0x204feff8,0xd84feff8,0x407fea4f,
    0xf3fd0ff8,0x20df9fb9,0x40df11fd,0x13ea06f9,0x17f49fb0,0x0ffffa60,
    0xff727dc0,0xd50bffff,0x3e29ffff,0xfba7e40f,0x3ee6fa87,0x3ee6fa87,
    0x3ee6fa87,0x3ee6fa87,0x3e66fa87,0x4bf92fbf,0x27e40ff8,0xd1fe8195,
    0x1fff903f,0x80fffc80,0x4ffdcefd,0x7ec3fe20,0x2ffeeff8,0x1be23fb0,
    0x3ee06f88,0xf90ffc04,0x0bff2007,0x3aa27e40,0x7e403fff,0xb03fe22b,
    0xb07fea7f,0x20ffd4bf,0x07fea5fd,0x0ffd4bfb,0x1ffa97f6,0xfff12fec,
    0xf887fe6f,0xf89fec0f,0xfe8ff44f,0x805ff981,0xffb05ff9,0xf8807fff,
    0x1733f90f,0x11fd806e,0x037c40df,0x37dc09f7,0x22003fea,0x7c4302ff,
    0x005fd03f,0x88ffe0f9,0x47bfe1ff,0x77fc1ffa,0xff83ff51,0xf83ff51e,
    0x83ff51ef,0x3ff51eff,0xffefff98,0x3e23ff85,0xfd0bfa1f,0x3e607fa3,
    0x1ff9801f,0x00119fb0,0x04fa9fea,0xdf11fd80,0x3ee07f80,0xb05ff303,
    0xd99bf0df,0xbdf901ff,0x7fe40dff,0x20db05cb,0x5ffdeffb,0x7fffffdc,
    0xfffffb85,0xffffb85f,0xfffb85ff,0xffb85fff,0xf905ffff,0x3ee07fff,
    0x445ffdef,0x3fd1fe80,0x9804fe98,0x13f604fe,0x1bf62150,0x6c0285ff,
    0xe80df11f,0x17f4c0bf,0xe8827f44,0x7ffff44f,0xfffd301d,0x7ff4401b,
    0x205e81ff,0x80cffffb,0x203fffea,0x203fffea,0x203fffea,0x203fffea,
    0x203fffea,0xfb8009fd,0xd000cfff,0x7dc7fa3f,0x7fdc06ff,0x027ec06f,
    0x07fffffa,0x0ffddff5,0x223ffff9,0xfa85ffff,0x0bfff3ff,0xff1017f2,
    0x40019881,0x055d4001,0x008801a8,0x04400110,0x44001100,0x10022000,
    0x011000bf,0x3fa3fd00,0x5007bd51,0x595007bd,0x0ceedb80,0x05bdd930,
    0x22199995,0x2a02cccc,0x4405991c,0x00053004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fe8ff40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76400000,0x00003d91,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0803e400,0x80072e00,0x00a603cc,
    0x4c063993,0x220001cc,0x18e64c09,0x2a079900,0x970032a4,0x04cc4003,
    0x20007326,0x072e03cc,0x3032a4a8,0x99000399,0x440e5c07,0x0f320001,
    0x01b601cc,0xfb00bff5,0xbfb003fd,0x03bfee01,0x3fbfffe2,0x003ff503,
    0x7c41ff10,0x403fefff,0x5ff00dfd,0xefd80ffe,0x7ffdc01f,0x0ffd41ff,
    0x201bfb00,0xff01fefd,0x3ea0ffe5,0x37f6001f,0x83fdfb00,0xfd8004fc,
    0x45ff980d,0x03ffffda,0x5403f19d,0x5401991c,0x2f9fc03c,0x00f72250,
    0xb8001991,0x7b91284f,0x6403ca80,0x2a01b70d,0x3601991c,0x82feefff,
    0xca800cc8,0x66472a03,0x1b70dc80,0x20033220,0x472a03ca,0x01fe60cc,
    0x7d407950,0x3fffee6f,0xfbd904fe,0x26206601,0x02620660,0x8807f3b6,
    0x99880099,0x20ffc000,0x884c4099,0x10133009,0x33100133,0x21ffd401,
    0x4ccccc08,0x99999819,0x99999819,0x99999819,0x4cccc419,0x4ccc4199,
    0x4cc41999,0x7ec19999,0x01331002,0x33fe1dc8,0x322012f9,0x81ff102d,
    0x81ff14fc,0x2dd884fc,0x403ffe40,0x2a007ffc,0x23ffc46f,0x50df94fa,
    0xfff901ff,0x40fff900,0xff9805fe,0x7cc7ffff,0x4c7fffff,0x47ffffff,
    0x7ffffff9,0x7fffffe4,0x7ffffe47,0x7fffe47f,0x037d47ff,0x4007ffc8,
    0x01fabff8,0xf883ffe4,0xf8a7e40f,0x2627e40f,0x3a00bccb,0x7f401fff,
    0x5fd001ff,0x2a2fff88,0xe85ff14f,0x3fffd03f,0x01fffe80,0xff3005ff,
    0xf98ddddd,0x4c6eeeef,0x46eeeeff,0x6eeeeff9,0x777ff75c,0x77ff75c6,
    0x7ff75c6e,0x01fe86ee,0x001fffe8,0x007f7ff4,0x2207fffa,0x8a7e40ff,
    0x327e40ff,0x05ffffff,0x409fbff1,0x804fdff8,0xfff887f9,0x6fc93ea6,
    0x7fc41fea,0x3fe204fd,0x2ff884fd,0x9807f980,0x07f9807f,0x7c007f98,
    0x02ff802f,0x3ee02ff8,0x7effc405,0xfd10a604,0x3e209fff,0xff884fdf,
    0xff8a7e40,0x37327e40,0xf70ff911,0x7dc0df7b,0xfc806fbd,0x2feff883,
    0x97fc49f5,0x7bf703fe,0x5efdc0df,0x02ff886f,0xf9807f98,0x807f9807,
    0x7fc007f9,0x802ff802,0x3fe202ff,0x3ef7ee00,0x509ff306,0xf70dffff,
    0xff10df7b,0xff14fc81,0x4404fc81,0x4dfec0ff,0x37fb00ff,0x7fc401ff,
    0x5fbff880,0xadfc89f5,0x26ff607f,0x37fb00ff,0x07ff01ff,0x3333ff30,
    0x999ff981,0x4cffcc09,0x4ffcc099,0x3fe00999,0x802ff802,0x1fe402ff,
    0x1ff37fb0,0x3e0fff30,0x7ec2ffcd,0x7c40ff9b,0xf8a7e40f,0x2227e40f,
    0x40ffeecb,0x207fd0ff,0x407fd0ff,0x1ff105fb,0x889f53ff,0x3e03feff,
    0x3e07fd0f,0xfd07fd0f,0xffff300d,0xfff98bff,0x7fcc5fff,0x7cc5ffff,
    0x205fffff,0x2ff802ff,0x4c02ff80,0x743fe07f,0x10ff903f,0xff0ffe7f,
    0xff10ffa1,0xff14fc81,0x3e64fc81,0x20ffeeff,0x217f26fa,0x817f26fa,
    0x2ff101fe,0xc84fadfc,0x9bea07ff,0x26fa85fc,0xcffb85fc,0xeff98260,
    0x7fcc4eee,0x7cc4eeee,0x4c4eeeef,0x04eeeeff,0x3fe00bfe,0x802ff802,
    0x26fa82fe,0x2df505fc,0xfaaf99b8,0xfc9bea1f,0x3207fc45,0xc81ff14f,
    0xf897fa4f,0x2677f20f,0x9dfc87fb,0xdf507fb9,0xff8bfc40,0x3ff884fb,
    0x2e677f20,0x99dfc87f,0xfffd07fb,0x3fcc5fff,0x4c03fcc0,0x07f9807f,
    0x7c017fc0,0x02ff802f,0xdfc86fa8,0x54c7fb99,0xffff11fe,0xdfc89fff,
    0x7c47fb99,0xf89fec0f,0xff1fec0f,0xfd07fe47,0x85ffffff,0xfffffffe,
    0x2202fd82,0x13fff67f,0xffd017fc,0xe85fffff,0x2fffffff,0x3bffff90,
    0x7cc03fcc,0x807f9807,0x7fc007f9,0x802ff802,0x3ff002ff,0xffffffe8,
    0x887bfe2f,0x82deffec,0xfffffffe,0xff11ffc2,0xff11ffc3,0x7f67fec3,
    0x99ff10ff,0x7c49fd99,0x4feccccf,0x3e203fcc,0x413ffe67,0x9ff102ff,
    0x449fd999,0xfeccccff,0x4c13ee04,0x07f9807f,0xf9807f98,0x017fc007,
    0x7fc017fc,0x449f7002,0xfeccccff,0x81f60064,0xeccccff8,0x6f7fdc4f,
    0x77fdc5ff,0x7f445ffd,0xf70feaef,0x7dcff70b,0x7e47fb85,0x3a3fc404,
    0x05ff04ff,0x9fee17ee,0x07fb85fb,0x7fcc03f2,0x7cc7ffff,0x4c7fffff,
    0x47ffffff,0x7ffffff9,0x777ff75c,0x77ff75c6,0x7ff75c6e,0x7fc406ee,
    0xff70bf70,0x2e05e800,0xb87fb85f,0xb80cffff,0x100cffff,0x4c1fec03,
    0x307fb1ff,0x03fe23ff,0xffa8ff10,0x3605ff04,0xb1ff983f,0x03ff307f,
    0xfff98136,0x7fcc7fff,0x7cc7ffff,0x4c7fffff,0x47ffffff,0x7ffffffc,
    0x7fffffe4,0x7ffffe47,0xb3fd807f,0x03ff307f,0x7fb00d40,0x2203ff30,
    0x00011000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x19525400,0x44008820,0x04cc4001,
    0x98262026,0x004c4019,0x11004410,0x3300c400,0x80cc0003,0x26200099,
    0x80220809,0x00880220,0x22000ccc,0x00031001,0x8000ccc0,0x2ff80998,
    0x25fd07ff,0x9ff301ff,0x437fe200,0x7ec3ffe8,0xd80ffea0,0x25fd004f,
    0xdffd81ff,0x9ff302da,0x000ffea0,0xfea83fe2,0x7c400dff,0xf97f40df,
    0xff2fe81f,0xb5bffb03,0x003ffa85,0xf9809ff3,0x3bf6604f,0x00ffea04,
    0x901bff10,0x3a036e1b,0xf103ff2f,0xf8809f7d,0x3e57dc3f,0x7fd105f7,
    0x74013f60,0xe883ff2f,0x881fffcb,0xd104fbef,0xff88007f,0xfd7bff10,
    0x81ffc40b,0xd03ff2fe,0xd107fe5f,0x103fff97,0xef8807fd,0x7df104fb,
    0xfdff309f,0x1ff440bf,0x103ff880,0x03333333,0xaa804411,0x55401530,
    0x13f57c81,0x80aa80bf,0x411004fd,0x00a88008,0x802a6155,0x3e2000aa,
    0x7d4df70f,0x8806aa07,0x10440220,0x80151001,0x42aa00aa,0x30aa80a9,
    0xf13fc815,0x0015500f,0x7fe40355,0x7107ffff,0x65c40159,0x2b2e200a,
    0x47e4fd40,0x32e200fd,0x5c5fec0a,0x7997302c,0x2f32e601,0x17997300,
    0x02a83530,0x21ff9953,0x317f24fd,0x7302a835,0x83530159,0x1597302a,
    0x02f32e60,0x980acb98,0x3f61541a,0xb980ff12,0x32e600ac,0xffdd700a,
    0xfff70ddd,0xfff705ff,0xfff705ff,0x7ff445ff,0x3ee02fac,0x3f62ffff,
    0x4c4ffffd,0x42ffffff,0x2ffffff9,0x7fffffcc,0xff11fec2,0xfffffc81,
    0x3f29fb0f,0xf11fec0e,0xffffd81f,0xf11fec2f,0xffffd81f,0x7fffcc2f,
    0xfffd82ff,0x11fec2ff,0x477dc1ff,0x3ff604fe,0xffd82fff,0x7fc02fff,
    0x715ff302,0x57fcc1ff,0x3e60ffb8,0x40ffb8af,0x2605f899,0x0ffb8aff,
    0xff97dffb,0x6444dcc3,0x444dcc7f,0x44dcc7fc,0x1fec7fc8,0x7fdc1ff1,
    0xfb0ffa9b,0xfb01ff19,0xf707fc47,0x41ffd77f,0x83fe23fd,0xffebbffb,
    0x32226e60,0x5dffdc7f,0x8ff60ffe,0x3fe20ff8,0x3fee04ff,0x2e0ffebb,
    0x0ffebbff,0x7ec0bfe0,0x9fb17f44,0x13f62fe8,0x03f605fd,0x97f44fd8,
    0x13fa0efd,0x8801ff10,0x7fc400ff,0xff88ff60,0xff88ffe0,0x3ff39fb0,
    0x7fc47fb0,0x7ff0bfe0,0x1ff11fec,0x0ffe17fc,0x7fc1ff10,0x7fb1ffc2,
    0xfd107fc4,0xff06a29f,0x3fe3ff85,0xff01ffc2,0x3bbbfa05,0x3bfa3ffe,
    0x3a3ffeee,0x3ffeeeef,0x80a9bfa8,0xffeeeefe,0x5fc89fb3,0x7ff765c4,
    0x7f765c40,0x7765c40f,0x88ff60ff,0x41ff10ff,0x29fb0ff8,0x1fec1ffe,
    0x3fe61ff1,0x7fb27ec0,0xff987fc4,0x2e227ec0,0xf30ffeec,0x364fd81f,
    0x443fe23f,0xfb9ffefe,0xfb03fe64,0xfb03fe69,0xf817fc09,0x2eeeeeef,
    0x3bbbbbfe,0x3bbbfe2e,0x77c42eee,0x7fc3fffa,0xb2eeeeee,0x265fc89f,
    0x0ffeefff,0x3fbbffe6,0x3bffe60f,0x8ff60ffe,0x1ff30ff8,0x4fd87fc4,
    0x7ec3ffd3,0x7cc3fe23,0xfb2fe40f,0xf987fc47,0xf32fe40f,0x21ffddff,
    0x2fe40ff9,0x87fc47fb,0xfbdf96fb,0x3207fcc7,0xc81ff35f,0x40bfe05f,
    0x2fe802fe,0x9002fe80,0xd1b6db1f,0x44fd805f,0x897fa3fe,0x897fa0ff,
    0x897fa0ff,0x98ff60ff,0x41ff10ff,0x49fb0ff8,0x8ff65fe8,0x5ff10ff9,
    0x8ff64fd8,0x5ff10ff9,0x97fa4fd8,0x5ff10ff8,0x8ff64fd8,0x49f90ff9,
    0x3e20fffe,0xf8a7ec2f,0xf027ec2f,0x017f605f,0x3f6017f6,0xbd3fa805,
    0x05fd83f2,0x3ff527ec,0x1ff91ffc,0x1ff91ffc,0x1ff91ffc,0xffe8afe4,
    0x7f44ffe0,0xfb89fb0f,0x7f457f26,0x4c37fe0f,0x457f21ff,0x37fe0ffe,
    0x7fc3ff30,0xff83ff23,0x643ff30d,0x21ffd15f,0x1bfe26fc,0x7fcc37fe,
    0x7cc37fe1,0x40bfe01f,0x7dcceff8,0x6e677fc4,0x6677fc47,0xfc9ba27d,
    0x77fc46ea,0x3bf67dcc,0x7ec4ffdc,0x20fffecf,0xfffecffd,0x3fb3ff60,
    0x3bfea0ff,0x3f20ffff,0xb0ffffef,0x9ff9939f,0x7fff7fd4,0x3bffee0f,
    0x77fd45ff,0x3ee0ffff,0x6c5ffeff,0x0fffecff,0x3ffbffee,0x7ff7fd45,
    0x9dff30ff,0xfb87fffd,0x5c5ffeff,0x05ffefff,0xfd3017fc,0xfd30dfff,
    0xfd30dfff,0x0fe4dfff,0xd303ffb1,0x75cdffff,0xe883ffff,0x20feaeff,
    0xfeaeffe8,0x2bbffa20,0x77fec0fe,0x7fec0fe9,0x9fb0fe9e,0xfb09fff5,
    0xa81fd3df,0xfb04ffff,0xa81fd3df,0xe884ffff,0x40feaeff,0xb04ffffa,
    0x41fd3dff,0xfbdfffea,0x7fffd41f,0x9ffff504,0x3bffbae0,0x800cc06e,
    0x00330019,0x80330008,0x00188009,0x00620031,0x018800c4,0x03100220,
    0x0c400440,0x31001100,0x44004400,0x80031001,0x80110008,0x7ffffffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x13310000,0x11013300,0x98830600,0x22022000,
    0x026a6209,0x02a886a6,0x4c009988,0x99999819,0x40031009,0x40440098,
    0x44066098,0x00066609,0x26662031,0x11000999,0x99880ca8,0x3103b801,
    0x37fea013,0x0dff8802,0xb03bfa20,0x905b5bff,0xfc8ff69f,0x86fd9804,
    0xffff50fd,0x263fd89f,0x3ffee07f,0x7fe441ff,0xfff33fff,0xffa85fff,
    0x3fea04ff,0x7ecc0eff,0xff70fd86,0x260fd83f,0xff3005fe,0xfffff509,
    0x3ff2609f,0x713fe25f,0x203dffff,0xfe882ffb,0x3fea5dce,0x3fe205ff,
    0x427f4403,0x1fffcbe8,0x47fb4fc8,0xfda804fc,0x9d517dc6,0x7ec7ffd9,
    0x7ec1fe63,0x222feeff,0x4feeeffe,0x5ffdddd3,0x7dccefd4,0xfeeffa86,
    0x237ed47f,0x3ee622fb,0x3620bee3,0x5f7c405f,0x7fffd44f,0xfffa84ff,
    0x517fc4ee,0x0ffb79ff,0x3f607fea,0xc983efff,0x035504ff,0x22003530,
    0xc830600a,0x89be004f,0x25fd805f,0x21fe63fd,0x90443ffa,0x201883ff,
    0x9997e2ff,0x727f42f9,0x44df07ff,0x11ffe85f,0x00aa80bf,0x5054c2aa,
    0x7ff100bf,0x1fec0880,0x02603ff1,0x01ffe6fc,0x99731bf6,0x55551017,
    0x2e22a603,0xaaaa882c,0x2a24fc81,0x3f66f81a,0x364fc800,0x3a1fe63f,
    0x1ffc405f,0xfb97fc00,0x4db7fe89,0x37ec0ffa,0x101fb37c,0x203f6bf3,
    0x101aaaa8,0xf5035555,0x00bf900b,0x32fec197,0x80f201ff,0x200fffb9,
    0x3ffe66fc,0x7fd42fff,0xf9fb04ff,0xffa87fff,0x24fc84ff,0x56f80efd,
    0x7d4cc05f,0xf98ff61f,0x5402ff87,0x5ff0007f,0xb95fedb2,0xf90df70f,
    0x0beadf0f,0x3eabffb2,0x9ffff502,0x13fffea0,0x40ab3fea,0x81bcabfe,
    0x3bfe61fd,0xff103ffb,0x3fffff20,0x27fdcc44,0xff911373,0x04feaa88,
    0xffb7dffb,0x84feaa88,0x01df94fc,0x9817e226,0x7ec2ffff,0xff11fea3,
    0x367fb805,0x3fe04fff,0xf51bebb2,0x3ea17f23,0x05f88987,0x817e2353,
    0x104feaa8,0xf509fd55,0xf83fffff,0x45ffffff,0x7ffd41fe,0x0ffd704f,
    0xff937ff7,0x02fffe41,0xfc807fc4,0x221dfb04,0x09f900ff,0x03ff79f9,
    0x64401fb0,0x3f65ffec,0x441fff15,0x37dc02ff,0x7c09ffd9,0x51febb2f,
    0x2a1bf23f,0x003f607f,0xfc8007ec,0x884fc804,0x47ffcbaa,0xffcabeff,
    0xff907fa2,0xffd87fff,0x223ff86e,0x077ee2ff,0x7ff765c4,0x3609f900,
    0x403fe24f,0xfefc84fc,0x53fa801f,0x1ff98015,0xffffdffb,0x5403ff8d,
    0x204fc87f,0x3f6d92ff,0x3ee1f73d,0xf506fa87,0x7d403537,0x7e401553,
    0x004fc804,0x17fc3ff7,0x22fe93f6,0xffd88efc,0x2205ff30,0x71ffc1ff,
    0x3ffe607f,0xf900ffee,0xf893f609,0x909f900f,0x8807ffdf,0x003ff96f,
    0x3fff65ff,0x7f47fc9e,0x217fcc06,0x4bfe04fc,0xb7fe99fb,0x360ffd4d,
    0xf8ef885f,0x96f884fe,0x27e403ff,0x98027e40,0x90ffa1ff,0xff17f49f,
    0xff73fe85,0x3a07fcc0,0x7402623f,0x403fe25f,0x49fb04fc,0x9f900ff8,
    0x3ff79f90,0x67cc7e40,0x8ffdc01f,0x20440bfd,0x8260cffb,0x53f21efd,
    0xf87fea09,0xf0bea225,0x07fea3df,0x86e843f2,0x1fcf98fc,0x32013f20,
    0x7fd8804f,0x7ff137e4,0x87ff17fc,0x05ff32fe,0x5ff0bfe2,0x3ff816cc,
    0x7e403ff2,0x7c49fb04,0x909f900f,0x203ff69f,0x5f7bd3fa,0x7ff77764,
    0xe800ff64,0x22ffffff,0xffeffff9,0xbffddf54,0xfc9aefa8,0xfffffb85,
    0x6c3fa85f,0xde9fd42f,0x13f202fb,0x3b213f20,0x442fffee,0x46ffdeff,
    0x37ff23ff,0x3fa0efec,0x27fc2bdf,0x3ff41ff7,0xffecffd8,0x3ffbae0f,
    0x93f61eef,0x3bae0ff8,0xf91eefff,0xd11bfa29,0x9ffffe2d,0x42effffd,
    0x75c003fd,0x6c41dfff,0xd32effff,0xd3019fff,0x75409dff,0x6e883fff,
    0xe88b7fa2,0x8fffff16,0xeefffeeb,0x3fffbae1,0xffff91ee,0x3ffa603b,
    0x21ffc0cf,0x40dffffc,0x5c6fffd8,0x44ffefff,0xffd105fc,0x7e41fd5d,
    0x22ffffff,0x83fe24fd,0xfffffffc,0x7fcc9f92,0x3e607f24,0x97004cc1,
    0x80040005,0x80022018,0xc8022000,0x3fffe61f,0x3f303f90,0xffffffc8,
    0x3ffff22f,0x02622fff,0x33201880,0x73003101,0xffff7079,0x06200609,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c400000,0x26009800,0x55309881,
    0x88015510,0x2666620a,0x40662000,0x10babca8,0x054c0013,0x2aaf2ea0,
    0x59711532,0x30de5cc0,0x04c40133,0x00000cc4,0x01310266,0x33333100,
    0x99999998,0x80266609,0x1cc01998,0xf3009a98,0x3a01bfff,0x81ff102f,
    0x81ff54fc,0x0fd806fb,0x013fffea,0x917fffa6,0x21ffffff,0x3fe004fd,
    0x3ffff605,0xff9fb6ff,0xffd889ff,0x3fffe6ff,0x0ffcc2df,0x84c897f2,
    0xfff701e8,0x013f61bf,0x9fffffe0,0xfffffff9,0xfffff35f,0xffffd85b,
    0x72ffcc4f,0x989fffff,0x06ffcdff,0x3fe205fd,0x7ff27e40,0x97303fe8,
    0xfecc98bf,0x677fc404,0x26ffee3c,0x09fb0ffa,0xfb82ffc0,0xb0cfd88e,
    0x3ff97dff,0x2dd5fff4,0x9fffddff,0x3fe65fd8,0xe84bfe61,0xceff985f,
    0x55bfb0fe,0xdfff5003,0x5e4fccbd,0xff35d99a,0x6c9fffdd,0x24fffeef,
    0xdff76ffa,0x4fd89d99,0x5544bfe6,0x222aacff,0x927e40ff,0x407fccdf,
    0x01fffffd,0x7fa809f9,0xff88ffe0,0x4c009fb0,0x547f900a,0xe83bf65f,
    0x403ff54f,0x87ff21ff,0x09fb2ff8,0xdffffff7,0x208bf901,0x1efffffd,
    0x20ff7f60,0x329ffd79,0x7e41ff35,0x7ec7fb1f,0x4fe8ee47,0xd107fc40,
    0x3fffee9f,0x3fe27fff,0xff327e40,0x3f217f21,0x80fffeaf,0x2fdc04fc,
    0x3e20ff88,0x9717fb0f,0x1aaaa885,0x27dcbf70,0x95fc89fb,0x41ff80bf,
    0x4f7dc4fe,0xbdff00ff,0x0ff607ff,0xffdadfd8,0xfbef880f,0x3ee27983,
    0x81ff35ca,0x547fb4fe,0x17fa00ff,0x7fd4df50,0x9ff5515f,0x07fc4555,
    0x27fd13f2,0x89ff82ff,0xfc82fddf,0x982fdc04,0x43fe20ff,0x3ffffdfd,
    0x413fffea,0x1ffdeff8,0x2bf913f6,0x3fe605fd,0xd0bf909a,0x3e207fff,
    0x7f417ee6,0xf893f602,0xfbbfb83f,0xf11e609c,0x03fe6b99,0xd8ff6bf9,
    0x77fe406f,0xf96fb80a,0x5fd0dfbf,0xf903fe20,0x7faefb89,0x75f57f98,
    0x309f909f,0xffffffff,0xf883fe27,0xb7dffb0f,0x7f5544ff,0x9ddbf704,
    0x7f44fd83,0x7fc0df73,0x0df72fff,0x7d40dff5,0xfd31be64,0x6c1ddddf,
    0x7427f44f,0x26fffb8f,0x93fd9379,0xf703fe6b,0x3ffbbf6d,0x7ff4401e,
    0x777dc4ff,0xe86fa8ef,0x81ff102f,0x77fc44fc,0xfb7f984f,0x9f90bf71,
    0x9dfd9910,0x89ffc399,0x1dfb0ffe,0x3f203fe2,0xd803fd04,0x447fea4f,
    0xffe8c4ff,0x4cdf92ee,0x82acffaa,0x317e65fa,0x1ddddffd,0x0ffa27ec,
    0x337eebf3,0x8dfd5e63,0xc81ff35c,0xdffffb6f,0x543fe881,0x3ea5fffe,
    0x217ee4ff,0x1ff102fe,0xffc84fc8,0xf8ff880f,0x9f909f95,0x3205fb80,
    0x0ffffeff,0x07fc49fb,0xffc827e4,0x3f61cdee,0x6c4ffdce,0x3e6fefff,
    0xf92fec1f,0x10ffffff,0x40ff23ff,0x33f602fe,0x640ffd99,0x983fc9bf,
    0xf35c8b37,0xfb5fd81f,0xfa8bfd17,0x3ffb306f,0x9fb0bfe6,0x3e205fd0,
    0x4c1fec0f,0x3bfa05ff,0xc82ff8af,0x02fdc04f,0x3fe7bff6,0x7fc49fb0,
    0xf304fc80,0x25ffffdf,0x03fffffd,0x7cbffff5,0x40ffe21f,0x7ffc02fe,
    0x5fd03fff,0x7ffffec0,0xfffff82f,0x8937983f,0x441ff35c,0x267fb3ff,
    0x0ffe22ff,0x3fa2ff88,0x3a03fe65,0x88ffe04f,0x1ff981ff,0x3f7ffea0,
    0x809f905f,0x118805fb,0x893f61ff,0x84fc80ff,0xafec1ff8,0xc8008cfd,
    0xb89ff83f,0x7e6546fe,0xefc84cdf,0xe80ffdee,0x3bbf602f,0xcefa80bc,
    0x97983fec,0xff9ae43f,0x366feb88,0x1117f63f,0x87fea054,0x4ffdeffa,
    0x8b9bff90,0x5ffdeffb,0xb804fe98,0x3204ffff,0x02fdc04f,0x7ec3fe20,
    0x3203fe24,0x41ff984f,0x009fb4fd,0x7ffc07ec,0x75c1efff,0x546eeffe,
    0x32fec0ff,0xffffffff,0x36013f65,0x9bbbee1f,0x999b99f9,0xfffff35d,
    0x51fec3df,0x3fe203ff,0x985ffeee,0x2203fffe,0xfb87fffd,0x3ee0cfff,
    0x7f7006ff,0x3ffbae01,0x5fb81eef,0xd87fc400,0x5c3fe24f,0x1eefffee,
    0x3fb7bffa,0x4009fb0e,0xbdfff04d,0x02fe8017,0x983220aa,0xffffffff,
    0xf8809fb2,0x33fffdc6,0xffffffff,0x37bffe6b,0x3a1fec0b,0xfffd105f,
    0x008807ff,0x02200cc0,0xd001ef54,0xffffc80f,0x5fb82fff,0xfb0cc800,
    0xfc87fc49,0x22ffffff,0x43deeeb8,0x000002ca,0x00000000,0x00000000,
    0x00000000,0x0004cc40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80998000,
    0x21330099,0x4cc01998,0x26609999,0x20999999,0x31098819,0x20333333,
    0x26602609,0x26219999,0x33004c40,0x00998801,0x26666662,0x26013109,
    0x31033109,0x18804c43,0x4ccc00cc,0x31099999,0x40998033,0x40260099,
    0x004c4099,0xffc80333,0x42ff44ff,0xfffb1ff8,0x7fcc19df,0x3fe6ffff,
    0x12ffffff,0x94fd81ff,0x0fffffff,0x313e29f1,0x4fffffff,0x0ffe63fd,
    0x813ffff2,0x3fa07ffc,0x92ffffff,0x21ff50df,0x27fc1ffa,0x43fa05f9,
    0x3e600ff8,0x5fffffff,0x19fffffb,0x3fea5ff8,0x886ffb83,0x827d47ff,
    0xf901fff9,0x5c7ffdbf,0x367fb87f,0x24ffecdf,0x5eeeeff9,0x3ffffffe,
    0xd81ff12f,0xdffdd74f,0x269f30dd,0x777fcc3f,0xe8ff66ee,0xdcffc85f,
    0xfffd04ff,0x3ffffa03,0x5ff12fff,0x37ec3fe8,0x17e41ff7,0x03fe27e8,
    0xeffeee98,0xdddfb4ee,0x0fff8dff,0x7f547ffb,0xfff886ff,0x7f413ea2,
    0xd83201ff,0xb0bfe66f,0xf51fec9f,0x001fe61f,0x7fc43fea,0x7fc27ec0,
    0x739f7302,0x03fcc39f,0x07fe4ff6,0xffb8bfe2,0x27effc40,0xfc8dfd00,
    0x3e61fea6,0xfb87ff2f,0x7fc4fd02,0x20bfe000,0x4bfea4fd,0xfff2fff8,
    0x37e6fe47,0xf537ffc4,0x3ffbf709,0x3a3fdc00,0xfb17fc4f,0xf987fc47,
    0x24fe8007,0x27ec0ff8,0x7fc417fc,0x27ffffff,0x5fec07f9,0xff982ff9,
    0xf707fe20,0x2e00df7b,0x97fc41ff,0x7dfb03fe,0x33fb81ff,0x1ff13f45,
    0x6c17fc00,0xf8a7ec4f,0x4fcfadfc,0x4437dc66,0x9f52feff,0x1ff8ff88,
    0xf917f600,0x3f63fccd,0x265fd99c,0x7fd4007f,0x266bfe20,0x2ff84fd9,
    0xfb57fb50,0x4cffcc57,0x3aff6099,0x85ff304f,0x4dfec2ff,0x7fcc00ff,
    0xff5bf903,0x1ffffc40,0xf1fd9fdc,0x0007fc4d,0x89fb05ff,0xfb9f33fe,
    0x2e09f3f9,0xfbff886f,0x3fd89f55,0x3e6003ff,0xc87fcc2f,0x7fffec5f,
    0x3bfe60ef,0x3fa03eee,0x7ffffc44,0x2ff84fff,0x07ec3f20,0x3fffffe6,
    0x01ffff65,0xffb79ffd,0x7fd0ff87,0x2206fe80,0x6403feff,0x27f506ff,
    0x7c4df4ff,0x0bfe000f,0x1ffa93f6,0x3bff77f3,0x21bee0bf,0xa9ff8ff8,
    0xff9bea4f,0x05fe8801,0xb0ffa5ff,0x1dffb9bf,0x3fffffe6,0x881ff504,
    0xffeeeeff,0x3602ff84,0x3fe61f67,0x3f64eeee,0x3e602ffd,0x22ffffff,
    0x817f26fa,0x7e400ffb,0xfffe807f,0xffabfa80,0x07fc4bf6,0xfb05ff00,
    0x4c9ffddd,0xf8aff9bf,0xf10df705,0x93eb7f2f,0x007fe1fe,0x7ec0bfd1,
    0x7ec0ff8d,0x7cd3fe23,0x217fa007,0x27ec0ff8,0x7f5c17fc,0x23effeef,
    0x5fec07f9,0x54c00ffc,0x3f21ff8a,0x307fb99d,0xff1007ff,0xfeffa807,
    0xcfccf985,0x3fe25f9f,0x20bfe000,0x42effffd,0xf11fd3fa,0x221bee0b,
    0x9f7ff17f,0x3eaabbee,0xbfd102bf,0x6fbffa80,0xafec3fd8,0xff3007f9,
    0xd81ff103,0xb82ff84f,0xeffeeffe,0xfb01fe63,0x400bff17,0x7fff47fa,
    0xfe82ffff,0x00bfe005,0x85ff59fd,0xcfacfcf9,0x003fe25f,0xcfd82ff8,
    0x94cfea00,0x0df706f8,0x7ffecff1,0xffffff94,0xbfd10fff,0x7fdff100,
    0x7fcc7fb0,0x3600ff33,0x81ff105f,0x02ff84fd,0x4c2fc57e,0xa9fec07f,
    0x7d4402ff,0x333fe23f,0x7dc4fecc,0x0bfe000f,0xdfd0ffb8,0xdf2fef88,
    0x007fc49f,0x9fb05ff0,0xf882fb80,0xf10df706,0xaa7ffccf,0xdffccccc,
    0xfffffd84,0xfffd82ff,0xffeefd81,0x00ff30ef,0x3e203ff3,0xeba7ec0f,
    0x446eeffe,0xf309f34f,0x6cffffff,0x903ff63f,0xb8bfffff,0x7c7fb85f,
    0x3fffffff,0x3e205ff0,0x88ffea4f,0x93ff67ff,0xfffffff8,0xfb05ff01,
    0xf02fb809,0x7ffffe4f,0xe8ff13ff,0x0ffc04ff,0xffffffd8,0x07ffb82f,
    0x17dffffb,0x7ec03fcc,0xb03fe205,0x3ffff29f,0x9a7cc7ff,0xffff983f,
    0x88ff67ff,0x77fe45ff,0x983fd82d,0x3fffe1ff,0xff03ffff,0xd03ff205,
    0x97fe21ff,0x3fe23ffa,0xf01fffff,0x809fb05f,0x64ff02fb,0x3fffffff,
    0x4ffa8ff1,0x0000ffc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00800000,0x0aa80200,0x32a59950,
    0x65cc0002,0x20d4c0bc,0x3797302a,0x00bccb98,0x4c015971,0x454c0acb,
    0x8d442cb8,0x2aa60bca,0x2a22aaaa,0x22154c0a,0x80554099,0x105530a9,
    0x02620155,0x222ee2a2,0x8013302c,0x880000cb,0x32088809,0x0ed8001f,
    0xff303fb0,0x07fffdff,0x7fcc0ff4,0x3f62ffff,0xd883fe23,0x3f66ffff,
    0xfb82ffff,0xfd82ffff,0x3f62ffff,0x2a3ffffc,0x26fffdef,0x7ffffffb,
    0x5ff137f4,0xb17fffdc,0x547f605f,0x437dc0ff,0x5c4ffffa,0xffedffdf,
    0x13fffa23,0x1e981fe8,0x9ff912e4,0x7fec7ff0,0x3ffd1002,0x2a207f60,
    0x7f9cff88,0x7309ff10,0x6cff9113,0xe83fe23f,0xf55babff,0xf302a25f,
    0x41ff715f,0xffebbffb,0xfb7dffb0,0x55fffd4f,0xb99932ff,0x4ff88bff,
    0xf11989fd,0xfe81fe4d,0x7fd0ffe0,0xeaabcfa8,0x3fabfee5,0x2ff65fae,
    0x3fd01fea,0x3f23ff90,0x09fff90e,0x4ffc85ff,0x0077fcc0,0x3fb003fb,
    0x065c03f6,0xfb0ff880,0xfa87fc47,0x03ff701f,0x17f44fd8,0xb3ff85ff,
    0x43fe21df,0x13f63ffa,0x7d4077ec,0xca80efdf,0x653ee6fc,0x6fc8ff1e,
    0x77f03fe6,0x2e5f1fbd,0x9be5fb5f,0x740fee6f,0xfbff901f,0x27e4c41d,
    0x7fd417f4,0x20bff505,0xffffffff,0x33fb2e23,0x10001fec,0x21ffdd97,
    0x43fe23fd,0x3fe605fc,0xefe80bef,0xf33ffeee,0xfb4fd81f,0xfa87fc49,
    0x7dc04c47,0x3fff601f,0x6facfc81,0x467fd7ea,0xc87fcc6f,0x6dc7cc5f,
    0x4fee997b,0x37cdf1fd,0x3ffe67f7,0x645fffff,0x9f900eff,0x3e603fd0,
    0x13fee0ef,0xcdffccc8,0xffdff31c,0x3e61dddd,0x5fffffff,0xffddfff3,
    0xff88ff61,0xd980bfb0,0x7fc2ffff,0x32eeeeee,0xb5fc81ff,0xa87fc49f,
    0x5ff5007f,0xd06ffa80,0x7ccdf51f,0x5f9effae,0x85ff3fe8,0x2e5fd779,
    0x47f67f75,0x3ab3fa6f,0xffddd31f,0xffc89ddd,0x509f901f,0x37fe6017,
    0x4017fea0,0xb2fd81fd,0x3bba601f,0xfd4eeeee,0xfd87fc4b,0x7e43fe63,
    0xfff71006,0x7c402fe8,0xfda7ec2f,0x7d43fe24,0x04ff8807,0x427fffc4,
    0x226eeffc,0xfcfdfdff,0x7faefb83,0x6adb8f88,0x7ecfee9b,0x7ff4cdf1,
    0x407fa02f,0x21ffcefc,0x00cefeca,0x2609ff70,0x7ec00eff,0x5fd0fd81,
    0x47ff0000,0x2bf90ffc,0xff50ffe8,0xff701189,0xff805fd8,0x363ff30d,
    0x543fe24f,0x06fe807f,0x2ffadfe8,0xff811188,0x82fffadf,0xb04feff8,
    0x47ef255b,0x3e3fb3fb,0x74009986,0x90efc81f,0x3fff21ff,0xffc801ff,
    0x0f7f4403,0xbf703fb0,0x0b97fffb,0x7fec06e4,0xf50fffec,0x41ffffdf,
    0x96fefffd,0x89ff999d,0x7dcceff8,0x7ff7ffdc,0xff893f65,0xfb80ff50,
    0x647fffff,0x41ff90ff,0x21cccccc,0x3fff2ffe,0x403fff20,0x2fcabee8,
    0xf8fecfee,0x33333326,0xd303fd01,0x26623c81,0xffd80199,0x3ffb1002,
    0x3ffb1000,0x220bfff7,0xffe884ff,0x3f60feae,0x5c0fe9ef,0xff75ffff,
    0x3a609fff,0xfa86ffff,0x27ec4fff,0x1fea1ff1,0xffffff90,0xd117fd4f,
    0x77776cbf,0x643ff22e,0xbff300ff,0x839db700,0x3e3fb3fb,0x3bbbbb66,
    0x00015502,0x03d70000,0x7641d900,0x40eeeeee,0x36004c40,0x2006201e,
    0x40220018,0x06600199,0x00000220,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fec0000,0x001fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99800000,
    0x44019980,0x20099801,0x8ae2c82a,0x803b30c8,0xdddd9008,0x00881ddd,
    0x98110888,0x10004442,0x04430111,0xffffff80,0x7774c0ff,0x888bf24e,
    0x3fffe088,0x02ffffff,0x00000000,0x40000000,0x322ffffb,0xfb01ffff,
    0x3fffa601,0x2a3ffa84,0x7dcdf36f,0x7c40df75,0xffffd82f,0x3fee0fff,
    0x3fe92e1e,0x97fe63ff,0xe8803ffa,0xe97ec0df,0xe85fd11f,0x0ffeeeee,
    0xd277774c,0x3ffffe4f,0xdddddddd,0x000005dd,0x00000000,0xebea8000,
    0x3f66aa6f,0x55f23224,0x7f5dff43,0xfd37fd42,0x7fb07fa3,0x77e40ff6,
    0xff10000f,0x4df13ffd,0x2e3ff2fd,0x1ff447ff,0x3a07fd10,0x3ee3fd2f,
    0x01fb007f,0x3ff23d80,0x000007ff,0x00000000,0x40000000,0x7f5446fb,
    0x33f7bee2,0xfa97e26f,0x9f96fd84,0x3fe20ff2,0x7cc0ff88,0x44444f9b,
    0x3ee08888,0x49ffff73,0x261fd2fd,0x405503ff,0x110c00a9,0xd8037fd4,
    0x0000000f,0x00000000,0x00000000,0x17fd4000,0xb307bffa,0x7c417fff,
    0x3ee13ea6,0x13f29f95,0x3fe63fe6,0x1fd87ec0,0x3ffffff6,0x7541510f,
    0xfe8fe44f,0x00000220,0x002ea000,0x000001d4,0x00000000,0x00000000,
    0x3fee0000,0x27fb9882,0x1dffffb8,0x0ffdeff4,0x7f41ff73,0x2fe83fd1,
    0x23fa85fd,0x3332e5f9,0x0000cccc,0x000ee175,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6ffdc000,0xf93550cc,0x5fe6fdcd,0x7fff4c6f,
    0x2a06ffc3,0x7dcdf36f,0x0bb0bf74,0x000003d9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8fffffec,0x9c1efffe,0x0220317c,
    0x1b8ae00c,0x0001911c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x06621999,0x00003f60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_19_latin1_x[224]={ 0,3,2,0,0,0,0,3,2,2,1,0,1,2,
3,0,0,1,1,1,0,1,0,0,0,0,3,2,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,0,0,0,1,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,
4,0,0,0,2,1,0,2,0,0,1,0,2,2,0,1,0,3,3,2,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_19_latin1_y[224]={ 14,0,0,1,0,0,0,0,0,0,0,4,10,7,
10,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,16,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,4,0,1,1,1,
-2,0,0,1,1,5,8,7,0,1,0,2,0,0,0,4,0,6,14,0,1,5,0,0,0,4,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,4,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_19_latin1_w[224]={ 0,4,7,11,10,11,11,4,7,6,9,10,6,7,
4,10,10,9,9,9,11,9,10,10,10,10,4,6,9,9,9,7,11,11,9,10,10,9,8,10,10,9,8,10,
9,11,10,11,9,11,9,10,10,10,11,11,11,11,10,6,9,6,10,11,7,9,9,8,10,10,10,10,9,9,
8,10,9,10,9,10,9,10,9,9,10,9,11,11,11,11,9,8,3,8,11,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,8,10,11,11,
3,10,9,11,7,9,10,7,10,8,8,10,7,7,10,10,10,5,4,7,8,9,11,11,11,7,11,11,11,11,
11,11,12,10,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,9,11,10,10,10,10,11,9,9,10,10,
10,10,10,10,11,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,9,11,
 };
static unsigned short stb__consolas_bold_19_latin1_h[224]={ 0,15,6,13,17,15,15,6,18,18,9,10,8,3,
5,16,14,13,13,14,13,14,14,13,14,13,11,14,12,6,12,15,18,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,18,16,18,7,2,5,11,15,11,15,11,14,14,14,14,
18,14,14,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,20,18,6,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,14,17,13,13,13,
20,17,5,14,10,8,5,3,10,4,8,12,9,9,5,14,17,5,3,9,10,8,14,14,14,14,16,16,16,16,
16,17,13,16,16,16,16,16,16,16,16,16,13,16,17,17,17,17,17,10,17,17,17,17,17,16,13,15,15,15,
15,15,15,16,11,13,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,11,14,15,15,15,15,18,18,18,
 };
static unsigned short stb__consolas_bold_19_latin1_s[224]={ 253,248,96,74,1,45,220,250,103,96,17,
221,36,169,104,81,12,220,1,87,241,209,219,42,235,107,251,249,11,74,1,
12,52,118,23,108,230,86,33,119,53,64,130,96,177,208,230,151,198,133,241,
1,187,34,11,165,153,141,130,71,227,64,63,177,109,55,68,75,122,94,78,
120,100,110,43,64,68,201,116,105,131,89,126,84,23,65,178,166,146,45,136,
78,5,87,84,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,253,230,145,
185,173,161,1,111,128,139,158,43,144,169,190,155,27,21,1,9,117,97,122,
138,164,242,212,53,75,163,175,246,69,237,127,57,115,12,206,139,150,161,172,
183,194,205,216,1,150,92,165,177,189,201,213,232,225,237,35,24,154,103,196,
133,187,20,100,89,78,46,32,141,57,34,23,12,187,31,198,53,1,42,232,
243,198,176,154,44,57,111,143,209,165,21,33,9, };
static unsigned short stb__consolas_bold_19_latin1_t[224]={ 1,1,115,88,22,40,40,102,1,1,115,
102,115,115,115,22,72,88,88,56,88,56,56,88,56,88,72,22,102,115,102,
56,1,88,88,56,72,88,88,56,88,88,56,88,88,88,88,56,88,1,72,
73,88,72,88,88,88,88,88,1,22,1,115,115,115,102,40,102,40,102,72,
72,72,72,1,56,72,102,102,102,72,72,102,102,72,102,102,102,102,72,102,
1,1,1,115,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,1,56,1,
72,72,72,1,1,115,56,102,115,115,115,102,115,115,102,115,115,115,56,1,
115,115,102,102,115,56,56,56,56,22,22,22,22,22,22,72,22,22,22,22,
22,22,22,22,40,72,22,1,1,1,1,1,102,1,1,22,22,1,22,72,
40,40,56,40,40,40,22,102,72,40,40,40,40,56,56,56,56,57,56,40,
40,40,40,40,102,72,40,40,40,40,1,1,1, };
static unsigned short stb__consolas_bold_19_latin1_a[224]={ 167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_19_latin1(stb_fontchar font[STB_FONT_consolas_bold_19_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_19_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_19_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_19_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_19_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_19_latin1_s[i] + stb__consolas_bold_19_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_19_latin1_t[i] + stb__consolas_bold_19_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_19_latin1_x[i];
            font[i].y0 = stb__consolas_bold_19_latin1_y[i];
            font[i].x1 = stb__consolas_bold_19_latin1_x[i] + stb__consolas_bold_19_latin1_w[i];
            font[i].y1 = stb__consolas_bold_19_latin1_y[i] + stb__consolas_bold_19_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_19_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_19_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_19_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_19_latin1_s[i] + stb__consolas_bold_19_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_19_latin1_t[i] + stb__consolas_bold_19_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_19_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_19_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_19_latin1_x[i] + stb__consolas_bold_19_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_19_latin1_y[i] + stb__consolas_bold_19_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_19_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_19_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_19_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_19_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_19_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_19_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_19_latin1_LINE_SPACING
#endif

