// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_22_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_22_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT        158
#define STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_22_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_22_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_22_latin1_LINE_SPACING          14

static unsigned int stb__consolas_bold_22_latin1_pixels[]={
    0x33221991,0x70000000,0x66666447,0x09999951,0x04c1e5c4,0x99880051,
    0x0006f2a1,0x33101351,0x000c4000,0x00100188,0xa8000808,0x00020202,
    0x31066200,0x554c0001,0x8ffc4009,0x16a01ff8,0xffc80057,0x7fffff13,
    0x41fffff6,0x7dc5fffb,0x2009ff0f,0x3f21eff9,0xff9003ff,0x0ffb89ff,
    0x7fffdc00,0x03fa000d,0xc9cfff98,0x7ecdf703,0x417ea004,0x013f66fb,
    0xffd903f4,0x03fea9ff,0xffffd300,0x457fcc3f,0x03ff11ff,0x7fd4ffea,
    0x53ff2001,0xb3ffaaa8,0xf10555df,0xffc835df,0x9804ff88,0x754c0dff,
    0x77f401ff,0x3ee4ffcc,0x3ff6000f,0x001fffff,0xfdfd80ff,0xffb05fff,
    0x2201bfe1,0xffb03fd9,0x7c01bfe1,0xffffe886,0x00ffe5ff,0xdcdfff88,
    0x233ff21f,0x03ff11ff,0xffd8dff3,0x01bb1000,0x02fecffe,0x2b803fea,
    0x32e002e6,0x203ff803,0x3fe60efc,0x2001ff70,0xfc99dffb,0x3ff6e05f,
    0x223105ef,0x8f6603cb,0x3ff201da,0x7b301fff,0x7c400ed4,0x9adffe85,
    0x01ff24b9,0x4c02ffb8,0x11ff8aff,0x1ffd03ff,0x0006ff88,0x2fecffe0,
    0x0001bee0,0x27ec0000,0xfc80ff98,0x0041ff73,0x3ffb0dff,0xfffffe88,
    0x0018807f,0x7ff400c4,0x0006ffff,0x0efe5440,0xf100bff5,0x3fee005f,
    0xff108804,0xf907fe23,0x17fe605f,0xfffffff5,0x7ecffe07,0x6437e405,
    0x5ff882ff,0xff105ff9,0x3209fb0b,0xafdc463f,0xeffd8ffb,0x541ffcc2,
    0x67fe42ff,0x3204acfc,0x200dffff,0x80dffffc,0xffc8cffb,0x5c27fc5f,
    0x7ffdc0ff,0x07ff66ff,0x98037ec0,0x3201efff,0xf11ff88c,0x404ff83f,
    0x3fea0ffb,0xf03fffff,0x9017f67f,0x0bff10df,0x3fe25ff7,0xd82ffb85,
    0xa8ff884f,0x76faffff,0xfffffdff,0x4c0ffd43,0xcb7fc3ff,0x7fff402f,
    0xfe81ffff,0x41ffffff,0x3f7fa5ff,0x2e13fe0f,0x3fff20ff,0x1ffa6efe,
    0x401ff980,0xcffffff8,0x7c4ffc40,0x543ff11f,0x7fcc02ff,0x2a666622,
    0x27ff03ff,0x2fe405fd,0x7f40ffd8,0x3a07fec6,0x30df706f,0xffdff1df,
    0x3ffeedf3,0x2e5ffa9c,0x4ff881ff,0x07ed7ff4,0x933bff70,0xdffb8bff,
    0x265ffc99,0xf3df32ff,0x5c27fc3f,0x1bff30ff,0x37fc11fb,0xb013fa00,
    0xdfff93ff,0x7c4ffc41,0x6c3ff11f,0x4ff800ff,0xf81ffc40,0x310bfb3f,
    0x3ea07ff5,0x50ffe22f,0x1ffc45ff,0x709cff98,0xff3bf79f,0x13feeff1,
    0x3ff21ffb,0x644ff881,0x100fffff,0x1ffb0dff,0x3f61bfe2,0x2e3ff50f,
    0x3e3ff8cf,0x70ffb84f,0xf11fa5ff,0xffb800df,0xe99bfe00,0x27fe25ff,
    0x82aa1ff8,0xdfb006fe,0xf03ff880,0x2a17f67f,0x7fc03fff,0x3e03fee5,
    0x803fee5f,0x5fb3ffe9,0xf1df35fb,0xf703feed,0x207fee3f,0xffd83ff9,
    0x7cc0cfff,0x32ffa83f,0x5ff507ff,0x8ff43fee,0x213fe4ff,0x1ffb0ffb,
    0x01ffe1be,0x7407ff10,0x3ffa21ff,0xff13ff30,0x004ff803,0xff880ff7,
    0x3f67ff03,0x0cffe985,0x7f43ff20,0x3a1ff905,0x3ff6205f,0x3fd5fb2e,
    0x2edf3bf5,0x8ffdc0ff,0xffa83ffa,0xffffb302,0x40ffd43f,0x3ff53ff9,
    0x3ee7ff30,0x3fe7f88f,0x3ee13fe4,0xf11ffb0f,0x003ffd0b,0x3ee06fc8,
    0x47ff22ff,0x1ff8aff9,0xa8027fc0,0x3fe200ff,0x3f67ff03,0x80ffe605,
    0x2ff9bff9,0xff37ff30,0x207fdc05,0xfb9ff9fe,0x1ff75fad,0xff10ffc8,
    0x401ffb0d,0x26ffedf9,0xff881ffb,0xf103ff74,0x2e7fea9f,0x7c7ff14f,
    0x90ffb84f,0x709f35ff,0xf8800bff,0x3fff602f,0x3e67fe9e,0x401ff8af,
    0xff9006fd,0xf03ff880,0xb017f67f,0xcefe809f,0x677f407f,0x42fe407f,
    0xfc9ff9fe,0x1ff73fbc,0x7fec7fe8,0x04ffc99d,0x27ff9fdc,0xff881ffb,
    0xf103ff74,0x36bfe69f,0x7c5ff32f,0x30ffb84f,0x717f9fff,0x4d6fffc4,
    0x17f605b9,0xffffff70,0x7c57fcc7,0x643dd11f,0x0ffd007f,0xff03ff88,
    0xf9017f67,0xffffa80d,0x7fffd404,0x6c27ec04,0xeffdfeaf,0x41ff71ff,
    0x7f443ffc,0x805fffff,0x5cdfd1fc,0x3ff981ff,0xff303ff7,0x93ff7fc7,
    0x427fc1ff,0x3ff20ffb,0x7d46ffff,0x05ffffff,0xb1007fea,0xffa89fff,
    0xff11ff8b,0x400ffd43,0x7fc405ff,0x3f67ff03,0x4037e405,0xf801ffff,
    0x7ec01fff,0xffbafc84,0x3ee4ffed,0x06fffeff,0x09ffff91,0x6dff5674,
    0x0ffea4ff,0x7fd4bfea,0x322ffa83,0xffb8dfff,0x7dc27fc3,0xffffd987,
    0xffffd985,0x027f403e,0x7d45ffb8,0xf11ff8bf,0x01ffc43f,0xf300bfe6,
    0x6cffe07f,0x037dc05f,0xc802ffe4,0x4fd805ff,0x22554fc8,0x7fffdc1a,
    0xff9803ff,0x7ffffc02,0x7fc45fff,0xf10ffd86,0x81ffb0df,0xeffffffd,
    0x7ec2ff40,0x0027f606,0x7dc009fb,0x7fc4040f,0x7c5ffd45,0xe83ff11f,
    0x1ff600ff,0x7c0bfea0,0xb80bfb3f,0x1ffc806f,0x003ff900,0x0ff309fd,
    0x00c7fdc0,0x64cf7fc0,0x77ff6e41,0x3bff902d,0xfc89ff93,0x4ffc99df,
    0x4fffff88,0x7d47ffb0,0x401fa04f,0x3e2001ff,0x65e7743f,0x4cc42ffe,
    0xff11ff88,0x906ff983,0xfd8185ff,0x367ff00f,0x17fd405f,0x200bff50,
    0xf9805ffa,0x109fd02f,0x000ffb81,0xdfffff70,0x22017e20,0xeffffffe,
    0x7ffff440,0xdfa80eff,0x7ffc4009,0x200fffff,0x06f8806f,0x7f46fc80,
    0x803fffff,0x3ff11ff8,0xfa89ff50,0xfcdfd85f,0x3bba24ff,0xddffb3ff,
    0x53bffa0b,0x00effeda,0x03bffb6a,0x207ffeb8,0xfcabdffa,0x0007fdc2,
    0x03bffd50,0x6c4013ea,0x2204ffff,0x204ffffd,0x3a6002fd,0x200dffff,
    0x013005f8,0x44155100,0x000abbaa,0x3fe23ff1,0x225ff701,0xffd80eff,
    0x3e20cfff,0xffb3ffff,0x3f620fff,0x1bfff55f,0x0dfffa80,0x00f7fe40,
    0x3bffffea,0x0007fdc1,0x01c98000,0x44000880,0x000aa800,0x32200130,
    0x00000002,0x3ff10000,0xfd807fe2,0x5401dd11,0x33300aba,0x26662133,
    0x884c4019,0x571001ab,0x00262003,0x101ab988,0x00000033,0x00000000,
    0x00000000,0x00000000,0xff880000,0x0803ff11,0x00000044,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aa80000,
    0x000002aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00cccc40,0x00201310,
    0x80802020,0x03993000,0x002ffe88,0x00100202,0x000bffa2,0x400f7fd4,
    0x2e01effa,0xff7004ff,0x07322009,0x01effa80,0x881effa8,0x74402ffe,
    0x998802ff,0x3fffaa00,0xff001fff,0x9cfff987,0xd9bee03c,0x366fb84f,
    0x6f7c404f,0x2ffb801f,0x3f66fb80,0x9cfff984,0x0bfee03c,0x009ff500,
    0xf7013fea,0xfb809fbd,0x7c404fde,0xfa801fff,0x9ff5004f,0x005ff700,
    0xfb805ff7,0xffffd03f,0x7003ffdd,0xfdfd81ff,0x3f605fff,0xfb0dff0f,
    0x501bfe1f,0x2005f13f,0xffd802a9,0xbfb0dff0,0x980bffff,0x0d54002a,
    0x88035500,0x4402aa2a,0xb802aa2a,0xa803f88f,0x06aa001a,0x3002a980,
    0x3ffa8055,0x9fffffc8,0xfe801ffa,0x79711885,0x36a3d980,0x36a3d981,
    0x7f77c401,0xd9800000,0x462076a3,0x31003cb8,0x31000000,0x31000000,
    0x3eefea00,0x00000003,0xa8000000,0xffff83ff,0x01ffa9ff,0x0000ffcc,
    0x00000000,0xff803991,0x000ffb84,0xff900000,0x9ff01bff,0xf901ff70,
    0xff01bfff,0x901ff709,0x801bffff,0xffc85ffd,0xf05ff881,0xfff00fff,
    0x205fffff,0x3ea07fff,0x7fffc43f,0x01ffa9ff,0x3fe037ec,0xffff807f,
    0xff02ffff,0x7ffc00ff,0x5c27fc07,0x3ffea0ff,0x3e3fffff,0x07fcc3ff,
    0x3ffffffa,0x5c27fc1f,0x7fff40ff,0x7fc1ffff,0x740ffb84,0x1fffffff,
    0xff880cc0,0x980ffc85,0x7c02ffff,0x2fffffff,0x02ffff98,0xfff05ff3,
    0x3ff53fff,0x3017fc40,0xf805ffff,0x2fffffff,0x02ffff98,0x02ffff98,
    0x3fee13fe,0x3ffffea0,0x3ffe3fff,0xf707fcc6,0xbff933bf,0xffb84ff8,
    0x2677fee0,0x27fc5ffc,0xff707fdc,0x0bff933b,0x1bffffd7,0x3e21ffc8,
    0xffff704f,0x99dff809,0xffb80999,0x5ff304ff,0x3fffffd0,0x7e403ff5,
    0x7fffdc07,0x4ceffc04,0xffb80999,0xffb804ff,0x13fe04ff,0x99883fee,
    0x2099bffb,0x3e62ffff,0xb0dff10f,0x427fc1ff,0xdff10ffb,0x7fc1ffb0,
    0xf10ffb84,0x81ffb0df,0xefffefff,0xfc97fe20,0xfb9fd00f,0x004ff80f,
    0x41ff73fa,0xff982ff9,0x1ffa9fff,0xfd013fe0,0xff80ffb9,0x373fa004,
    0xdcfe807f,0x213fe07f,0xff300ffb,0x9bfffe05,0x7ff30ff9,0x7fc5ff50,
    0xf30ffb84,0x45ff507f,0x0ffb84ff,0xff507ff3,0x7fdc0b85,0x7c47fe42,
    0x75ff104f,0x27fc03ff,0xfbaff880,0x01ff981f,0xf53fffd3,0x03fea03f,
    0xffbaff88,0x4013fe01,0x1ffbaff8,0x3eebfe20,0x709ff01f,0x3fe601ff,
    0x5ffbff02,0x7fd43fe6,0x3e3ff981,0x50ffb84f,0x7ff303ff,0x7fdc27fc,
    0xf303ff50,0x7ff1007f,0xffbcff88,0xf31ff500,0x56ffc07f,0x7d40aaaa,
    0x883ff98f,0x554401ff,0xfd01ffa8,0x98ffa80b,0x37fe03ff,0x540aaaaa,
    0x03ff98ff,0x3fe63fea,0xf709ff03,0x0bfe601f,0x9aff57fc,0x03ff70ff,
    0x27fc9ff1,0xffb87fdc,0x3e4ff881,0x70ffb84f,0x9ff103ff,0xff999710,
    0x9ffff909,0xdff37ec0,0x7fffffc0,0xf37ec0ff,0x03ff10df,0x981ffa80,
    0x37ec01ff,0x7ffc0dff,0x6c0fffff,0xd81bfe6f,0x7c1bfe6f,0x00ffb84f,
    0x3fe05ff3,0xff99ffaa,0xf103ff70,0x5c27fc9f,0x03ff70ff,0x27fc9ff1,
    0xffb87fdc,0x644ff881,0x4fffffff,0x00ffff88,0x0ffc93fe,0xddddfff0,
    0x324ff81d,0x00cc80ff,0x6c0ffd40,0x24ff806f,0xfff00ffc,0xf81ddddd,
    0x403ff24f,0x03ff24ff,0x3fee13fe,0x205ff300,0xf39ff2ff,0x207fee1f,
    0x13fe3ff9,0x7fdc3fee,0x3e3ff981,0x70ffb84f,0x7ff303ff,0x4cceffdc,
    0x9ff904ff,0xf50ffcc0,0x013fe05f,0xffa87fe6,0x3ea00002,0x01ffc41f,
    0xffa87fe6,0x3009ff02,0x17fd43ff,0xff50ffcc,0xf709ff05,0x817fcc0f,
    0xf5ff72ff,0x20ffea1f,0x13fe2ffa,0x3ffa9fee,0x3fe2ffa8,0x3ea7fb84,
    0x22ffa83f,0x27fc47fd,0x3202ffa8,0xffffffff,0x9009ff05,0xffffffff,
    0x001ff98b,0x3ee07fe4,0xffffc807,0xff05ffff,0xffff9009,0xf90bffff,
    0xbfffffff,0xdfb0bfd0,0xf817fcc0,0xffbff12f,0x361bfe21,0x217fa0ff,
    0x1bfe26fd,0x5fe83ff6,0x3fe26fd8,0x360ffd86,0x9ffd31ff,0xe80bfea0,
    0xffffffff,0xd009ff07,0xffffffff,0x204ffc8f,0x21bfa209,0xffe804ff,
    0x07ffffff,0xffd009ff,0x0fffffff,0xfffffffd,0x47ffb0ff,0x3e604ffa,
    0x645ff02f,0x3f20ffff,0x4ffc99df,0xff51ffec,0x99dffc89,0x7fec4ffc,
    0xf913fea3,0x9ff933bf,0xffefffb8,0x5ff504fe,0x266ffe20,0xf81ffc99,
    0x099999df,0x33337ff1,0x7fcc3ff9,0xfbbff102,0x0ffa85ff,0x4cdffc40,
    0xf81ffc99,0x099999df,0x33337ff1,0x7fc43ff9,0xffc9999b,0x7ffffc41,
    0x4cc40fff,0x2099bffb,0x3ffe62ff,0x3fffa20f,0x7c40efff,0x0fffffff,
    0x7fffff44,0x7ffc40ef,0x440fffff,0xeffffffe,0x9efffc80,0x5ff504fd,
    0x2603fee0,0xffff84ff,0xff72ffff,0x889ff301,0x3fffa600,0x05fe83ff,
    0xf980ffb8,0xfffff84f,0x1ff72fff,0x7dc9ff30,0x84ff980f,0x0dffffe9,
    0xffffffa8,0xb0bfe3ff,0xfd881fff,0x3a604fff,0x100dffff,0x409ffffb,
    0x0dffffe9,0x9ffffb10,0x54001300,0x0dfb02ff,0x7ffc37fc,0xfb2fffff,
    0x0037fc0d,0x500aba98,0x0dfb0015,0x7ffc37fc,0xfb2fffff,0xfb37fc0d,
    0x2037fc0d,0x7ffd4009,0x3e3fffff,0x07ffcc2f,0x09800110,0x20004400,
    0x00440009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3dff5000,
    0x01effa80,0x5c009ff7,0xffb804ff,0x05ffd104,0x88288260,0x26200099,
    0x3014c01a,0x98019803,0x31000099,0x22010033,0x26620019,0x002a2000,
    0x4005104c,0x01980098,0x09ff5000,0x5c09ff50,0xb804fdef,0x2e04fdef,
    0x2e04fdef,0x7fdc02ff,0xfe989ff0,0x7fe4401f,0xffd81eff,0x7027dc2f,
    0xffb80bff,0x9800fdce,0x37ee1eff,0x5c2effd8,0xfd3000ff,0xfff5003f,
    0xff709b3b,0x64013fe1,0x2ffdc03f,0x5405fd30,0x0355001a,0x01551544,
    0x01551544,0x00554551,0xffc80553,0xd884ff88,0x3ff601ff,0x2a0fffde,
    0x3e25fadf,0xfbbf700f,0x3fff6a09,0x7cc00fff,0x777dc0df,0x2e1fffff,
    0x362000ff,0x676c01ff,0xfc84fffe,0x804ff88f,0x3ee01fe9,0xffb04fdd,
    0x0000000d,0x00000000,0x315c0000,0x8265c017,0x3fea4ff9,0x87ecbf22,
    0x199102fd,0x3ff6072e,0x97004fff,0x33ffee07,0x3ee5ffa9,0x4cb8000f,
    0x80f2e080,0x5c02e62b,0x100ffffe,0x2072e199,0x7ffc6ffd,0x2a2fffff,
    0xffffffff,0x80ffff03,0xfffffffa,0x7ffffc3f,0x3fea2fff,0x03ffffff,
    0x54022000,0x87fea1ff,0xf71fd2fb,0x5002200b,0x003ffe23,0x4ffb8022,
    0xffb87fec,0x80000020,0x00220008,0xdffffffb,0xbb100200,0xffffff83,
    0x3ffea2ff,0x983fffff,0x2a02ffff,0xffffffff,0x7fffffc3,0x3ffea2ff,
    0x2e3fffff,0x227fc0ff,0x0dffffeb,0x7fc43fee,0x77e77c46,0x3ae00ff8,
    0x500dffff,0x209ffffd,0x0dffffeb,0x3ee07fdc,0xfb1ff71f,0x1ff705df,
    0x7f5c4ff8,0xeb80dfff,0x540dffff,0xffff8cff,0x9fffb304,0x33bff000,
    0x4cc41333,0x8099bffb,0x204ffffb,0x9bffb998,0x4ceffc09,0x26620999,
    0x2099bffb,0x27fc0ffb,0x3fffbffe,0xd11ff70e,0xdfd701df,0xff805fb1,
    0x40efffef,0xfffffffd,0xffefff80,0x03fee0ef,0x3fee3ff7,0x41fffffe,
    0x27fc0ffb,0x3fffbffe,0x7f7ffc0e,0x5bfa0eff,0xa87fcef9,0x06ffefff,
    0x20027fc0,0x7f402ff9,0xf3007fdc,0x027fc05f,0x5c0bfe60,0x227fc0ff,
    0xb97fdc0b,0x01ffb8ff,0xb805fa84,0xf517fdc0,0x0ffea1bf,0x45ff702e,
    0x7fe40ffb,0x539fff70,0x0ffb8bff,0x702e27fc,0x5c0b85ff,0x64ffe2ff,
    0x220ffabf,0x7ff50cff,0x0027fc00,0xf880bfe6,0x801ffbaf,0x3fe02ff9,
    0x17fcc004,0x7fc0ffb8,0x73ff8804,0x05ff71ff,0x0001ff10,0xffe8ffe2,
    0x401bfe20,0x3fee3ff8,0xff73ff40,0x2e0ffd89,0x027fc0ff,0x4401ffc4,
    0x25ff13ff,0x21ff98ff,0x37ec0ffb,0xbff07ba6,0x20155555,0x3ea02ff9,
    0x803ff98f,0x3fe02ff9,0x00aaaaad,0x3ee05ff3,0x4427fc0f,0x74ffcccb,
    0x5fff31ff,0x098afd80,0x7e665c40,0x3a17fe4f,0x9997107f,0x07fdc9ff,
    0x7fdc7ff9,0xf70ffdc0,0x884ff81f,0x84ffcccb,0x4ffcccb8,0x557eaffe,
    0x33ff60ff,0x6c7feccc,0x7fffc6ff,0xf300ffff,0xf37ec05f,0x5ff300df,
    0x7fffffc0,0x5ff300ff,0xff03fee0,0xfffffc89,0x21ff74ff,0xf503fffb,
    0x20bfff3b,0xfffffffc,0xfb09ff14,0xfffff90f,0x7ffdc9ff,0x7dc6fffe,
    0x70ffdc0f,0x44ff81ff,0xfffffffc,0x7ffffe44,0x337fa4ff,0xfe8ff93f,
    0x7fffffff,0xff07ffe4,0x01dddddf,0xff80bfe6,0x3003ff24,0x7ffc05ff,
    0x300eeeee,0x3fee05ff,0xff727fc0,0x29ff333b,0x3fea0ffb,0x747fc41f,
    0x7dc2fdbf,0x4ff999df,0xffd0bff1,0x999dffb8,0x3ffee4ff,0xffb83fff,
    0xf707fe40,0x2e4ff81f,0xff999dff,0x2677fee4,0x3ff24ff9,0x44ffa8ff,
    0x99999efd,0x20ffe819,0x7cc004ff,0x43ff302f,0x7cc02ffa,0x013fe02f,
    0x2e05ff30,0x93fee0ff,0xa7fc47fd,0x7fdc0ffb,0x36f9fe43,0x447fd89f,
    0x11ffe4ff,0x47fd8bff,0x3fee4ff8,0x07fdc018,0x1ff71ffa,0xffb27fdc,
    0x3f64ff88,0xd127fc47,0x1dffffff,0x2000ffc8,0x027fc7fc,0x640bfe60,
    0xffffffff,0x017fcc05,0xf98009ff,0x19ff502f,0x7ec9fff7,0x29ffd31f,
    0x7fd40ffb,0x37f97ea2,0x31ffd89f,0x7fec9ffd,0x43ffd89c,0xffd31ffd,
    0x4007fdc9,0x3ff20ffb,0x5c67fd43,0x3ff64fff,0x6c9ffd31,0x9ffd31ff,
    0x4ffffe88,0x881bff50,0x3e17fd40,0x7fcc004f,0xfffffd02,0xf980ffff,
    0x013fe02f,0x2205ff30,0xfeffffff,0x3fbffee4,0x1ff74fef,0x21dffdf9,
    0x33f20fe8,0x7ffdc2fe,0x224feffe,0x6fffffff,0xffefffb8,0x03fee4fe,
    0x3fbffee0,0xfff886ff,0x2e4fefff,0xfeffefff,0x3fbffee4,0x7fc44fef,
    0xfffd8009,0xff92ffee,0x33bff07f,0x4cc41333,0x1099bffb,0x933337ff,
    0xb99883ff,0x7c099bff,0x099999df,0x2ffee662,0x7ffd4099,0x7e44fd9e,
    0x74fd9eff,0xbfff91ff,0x3621fe41,0xfff904ff,0xe889fb3d,0x900cffff,
    0x9fb3dfff,0x4c007fdc,0x03fffffd,0x367bffea,0x77ffe44f,0x7fe44fd9,
    0x544fd9ef,0x7fdc005f,0x7972ffff,0x3ffffe01,0x3fea2fff,0x73ffffff,
    0x9ff301ff,0xffffffa8,0x7fffc3ff,0x3ea2ffff,0x3fffffff,0x04c00330,
    0x40006200,0x80013000,0x00260019,0x31000331,0x20019800,0x00260009,
    0x440006a6,0xff800099,0x22ffffff,0xfffffffa,0x7c0dfb3f,0x7fffd46f,
    0x7fc3ffff,0x22ffffff,0xfffffffa,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00099880,
    0x04400330,0x00026620,0x4c019988,0x33310001,0x4130004c,0x44000028,
    0x1998800a,0x26200000,0x26000001,0x10002009,0x88260333,0xa8800002,
    0x1ffe9800,0x02ffdc00,0x3fffffee,0x07ffa62f,0x07bfe600,0x4005ffb8,
    0x3fe1eff9,0x3fee02df,0x6d409ff0,0x544eefff,0x24d9dfff,0x4fffffe8,
    0xfffffff8,0xffffb107,0xfffff8df,0x9ff005ff,0x2007fee0,0xfb81eff9,
    0x3209ff0f,0x5400cfff,0x04d9dfff,0x2003ffb1,0xb04fddfb,0xfffffdff,
    0x01ffd885,0x8037fe60,0x004fddfb,0xff81bff3,0xff906fff,0x3209ff11,
    0x4fffffff,0x7fff676c,0x3ffffe24,0x7fffc4ff,0xffa87fff,0x7c7fffff,
    0x05ffffff,0x3fa09ff0,0x6ffcc03f,0xf11ff900,0xffffd09f,0xeced80bf,
    0x65c04fff,0x70cc8804,0x22ff9839,0x265c06fc,0x88079700,0x003970cc,
    0x2ea60797,0x45705fff,0xdffa80b9,0x4109ff10,0x260a83cb,0x567fc7ff,
    0x7fc42aaa,0x45b989cf,0x5ff99999,0x3209ff00,0x1e5c01ff,0x817315c0,
    0x3ff71ffa,0x00f2e080,0x54000008,0x007fcc7f,0x00020004,0x40020002,
    0x0400ffe8,0xff03ffa0,0x64001009,0x00bfe0ff,0x8000bff6,0x9ff005ff,
    0x00000440,0x137e4010,0x004005ff,0x0cfffeb8,0x7fc0ffb8,0xfa87fea4,
    0x3fff6607,0x3fffae04,0x3ffae00c,0x3f6600cf,0xffc804ff,0xcfffeb82,
    0xff85ff80,0x3f637ee4,0x6fd801ef,0x3e2017fc,0x7fc0006f,0xffffda85,
    0x7099104f,0x04ff81ff,0x709fffb3,0x03fee1ff,0x19fffd70,0x3fffff60,
    0x07fdc0ff,0x7dfd13fe,0x3ea0bff9,0xd86ffeff,0x0fffffff,0xffffffd8,
    0xefffa80f,0x7fec06ff,0x7ffffec1,0x13fe20ff,0xeefb93fe,0x440fffff,
    0x7c2ffca9,0x4c0bcdef,0x266623ff,0x645ff801,0x4fffffff,0xff70ff30,
    0xfa84ff81,0x446ffeff,0x03ffbdff,0x7fffffec,0x4effd40f,0x7dc4ffda,
    0x3a27fc0f,0x80dfffff,0xff50cff8,0x54effd47,0x7fd44ffd,0x44ffda9d,
    0xff50cff8,0x6ffdaa87,0x6d4effd4,0x13fe24ff,0xfffb93fe,0x743ffc9c,
    0xff83ffff,0x2a3fffff,0x3fffa2ff,0x52ffc00f,0x3fe21bff,0x40ffc984,
    0x27fc0ffb,0x7d433fe2,0x7fffe43f,0x4effd403,0x7f44ffda,0x7dc7fe86,
    0xf727fc0f,0x5c01351b,0xd37ec0ff,0xe8ffd0df,0x5c7fe86f,0x237ec0ff,
    0x740effff,0x7c7fe86f,0x727fdc6f,0x27fc49ff,0x3bfffbb2,0x3fb2aaa0,
    0x45ff71ff,0x400ffffe,0x03ffa5ff,0x7fec49ff,0x07fdc0ff,0x1ff713fe,
    0x7fe46fd8,0xe815512f,0x7c7fe86f,0x20ffc84f,0x27fc0ffb,0xb0013df9,
    0xfd9999ff,0x7e427fcf,0x3213fe0f,0x33ff60ff,0x7c7feccc,0x09ff02df,
    0x7fec1ff9,0x5c9fff72,0x027fc0ff,0xf7017fee,0x20ffea9f,0x7fc00ffb,
    0x3fe17fe5,0x2af7ff64,0x3e07fdc0,0x667fec4f,0x3f67fecc,0xff98ffef,
    0x7e427fc0,0x707ff10f,0x07fdc3ff,0xfff993fe,0x740cefff,0xffffffff,
    0xf707ff17,0x20ffe23f,0x3ffa1ffb,0x47ffffff,0x7ff102ff,0x7cc3ff70,
    0x4fffffff,0x9ff03fee,0x880dfd00,0x0bff15ff,0xff801ff7,0xff09ff15,
    0x701bfe29,0x44ff81ff,0xfffffffe,0xf35ff37f,0xf88ff5df,0x11ffb83f,
    0x1ff70bff,0x3fe07fdc,0x3fbbfa24,0x77ec6fff,0x11999999,0x1ff70bff,
    0x3ee17fe2,0x267bf60f,0x65c19999,0x70bff101,0xfffa81ff,0x3ee4ff9e,
    0x4027fc0f,0x7fd405ff,0xf707ffa4,0xa7fc401f,0x4ff84ff8,0xfb809ff3,
    0x3627fc0f,0x999999ef,0x7fd4ff91,0x2ffc46ff,0xfff07fdc,0xffb8ffd0,
    0xfe93fee0,0x321ffc86,0x7ff800ff,0x3ffc7fe8,0x3ff23ff4,0xff002000,
    0x440ffd0f,0xffb93fe1,0x408a7fc0,0x4313ffd9,0x2a1ffeb9,0xfc99bfff,
    0x3623910f,0x71bfe2ff,0x07ffc9ff,0x7dc1ff70,0x007fe44f,0xfff91ff2,
    0xfd0fff05,0x89dffc8f,0x7fd44ffc,0x14fffb8c,0x1ff709ff,0x2206ffd4,
    0x2277ff20,0x7fe44ffc,0x44ffc89d,0x0440dffa,0x7e409ff1,0x4ffc89df,
    0xfb93fe00,0xfba7fc0f,0x25ffffff,0xfffffffa,0xfffffc83,0xfff10fff,
    0xffd8dfff,0x6c9fff72,0x5419beff,0xfffb8cff,0x206ffd44,0x4c9ff508,
    0xffc82fff,0x44ffc89d,0xfffffff8,0x7fffc40e,0x3fe4feff,0x5ffcaacf,
    0xfeefffd8,0x3fffe22f,0x7c40efff,0x0effffff,0xfeefffd8,0x81ffee2f,
    0xfffffff8,0x93fe000e,0xa7fc0ffb,0x2efffffb,0x6fffffd4,0x3fffaa01,
    0x3ff624ef,0x7fcc0cff,0x44feffff,0x20fffffe,0xeffffff8,0xefffd84f,
    0x3ffa2ffe,0x1fffffff,0x7fffffc4,0xffd880ef,0x3fea04ff,0x264fd9ef,
    0x4ffffffe,0x3ffffee0,0x7ffec42f,0x3ff6204f,0x7fdc04ff,0x3e22ffff,
    0x7fec404f,0xff8004ff,0xff03fee4,0x4004cc49,0x99800099,0x2a004c00,
    0x4fc9efff,0x40fffea8,0xfd9efffa,0xfffff704,0x7ffe445f,0x40eff9cf,
    0x04ffffd8,0x0cc00130,0x0aaba980,0x00133100,0x00980013,0x8804cc40,
    0x0004c001,0x00001330,0x00000000,0x000c4000,0x003300c4,0x98013310,
    0x00130001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x44330098,0x886601a9,0x33100019,
    0x88000001,0x04cc4199,0x26600000,0x882ffc80,0x266665ff,0x88000009,
    0x0004c001,0x88001100,0xf11ff201,0x0019807f,0x83300cc4,0x41ffe442,
    0x3ffea4fb,0x3ea4fb86,0xff91001f,0x4ff8dfff,0x4400ffb8,0x7ec42ffe,
    0xfd93002f,0xffd881ff,0x3fe22eff,0x3e2ffb85,0x5c05ffff,0xb81efffe,
    0x200dffff,0xfd301ffa,0xfffec805,0x7fffe404,0x223fe40d,0x3fee03ff,
    0xfffec805,0xd8ffcc4f,0x0ffbe65f,0x44c41ff1,0x83fe20fe,0xe8801ffa,
    0x47ffffff,0x0ffb84ff,0x807bfa20,0x7e402ffb,0x220fffff,0xfffeeffe,
    0xfd03ff61,0x5ffeee8d,0xfffffd10,0xffffd83f,0xff700eff,0x81bff603,
    0xefdbbefd,0xfffffe80,0x11ff21ff,0x37ee07ff,0xffd104fd,0xfa8bffff,
    0xc88dfd2f,0x6417ec3f,0x217ec4ff,0xfb801ffa,0xff0a60cf,0x401ff709,
    0x993003ca,0x2bbff201,0x17fd4199,0x7fd49ff1,0xf80ffe22,0x5bff905f,
    0x7fd43933,0x5c13fee4,0xdffb01ff,0x3ee13f20,0x4ceffdc4,0x1ff25ffc,
    0x99107ff1,0x3fa072e1,0x84b99adf,0x3207223b,0x5417ee3f,0x0bf72fec,
    0xfb003ff5,0x09ff001f,0x00001ff7,0x02ffc400,0x27f43fe4,0x0ffb97fe,
    0x3e217fe0,0x86fe806f,0xfff50ffd,0x27ffffff,0x6f881dd8,0x43f6376e,
    0xffd86ff8,0xff88ff90,0x7fd40003,0xf9000005,0x2603fe27,0xff8bfd9a,
    0x2a1ffa80,0x9ff90eff,0xf709ff00,0xfffff81f,0x7ffffc05,0x801ffb85,
    0x3fea4ffa,0xfe87fe42,0x542ffc05,0x7fc402ff,0xa8fffd43,0xffffffff,
    0x25f7003f,0x4fa8fffd,0xff507ff3,0xff11ff25,0xbfffff07,0x4007ff60,
    0x205fffff,0x205fb3fc,0x5fb5effb,0x7c47fea0,0x3ffea0ef,0x09ff00bf,
    0xfff81ff7,0x7ffc05ff,0xaffd85ff,0xffd03cdc,0xf309ff9d,0x805ff37f,
    0x1ffb85ff,0xf917fcc0,0x26625fff,0x0999affb,0xff31f900,0x7d57e213,
    0x93ff981f,0x83ff88ff,0xd05fffff,0x7ffc00ff,0xbf5005ff,0x17ea0980,
    0xfe89ffa8,0xffffc81f,0x427fc0df,0x4ccc0ffb,0x4ccc05ff,0xfffe85ff,
    0x440effff,0x205ffffd,0x807fcefe,0x2ffa85ff,0x744ffd40,0xb83ffcff,
    0xfb0001ff,0x5dbe17ee,0x4ff881ff,0x7fe41ff9,0x5ff99983,0x4c00dff0,
    0x8805ff99,0x3e2000ff,0x27fea00f,0x36601ffd,0x3e0fffff,0x00ffb84f,
    0xff8017fe,0xbbeffe85,0x7f4c6ffd,0xf504ffff,0xff009fff,0x80bff10b,
    0x9effcffa,0xffb83ff8,0x3602ee01,0x2df0bf77,0xff881ffb,0xf917ff94,
    0x5ff809ff,0x0006ff88,0x5fb00bff,0x5fb00331,0xbff50266,0x2e2005ff,
    0x13fe4fff,0xff803fee,0x217fe005,0x0ffd86fe,0xfd51bff1,0x3fffe07f,
    0xb05ff801,0x37313bff,0x437fffe6,0xffb82ff9,0x90bff901,0x235ff51f,
    0x03ff75f8,0x3ff27ff3,0x4ffeefff,0x7fc17fe0,0x0bff0007,0xfff9dfa8,
    0x2abf500f,0x7ffd45ff,0x7cc001ff,0x2e13fe6f,0x02ffc07f,0xffb0bff0,
    0x3f23ff70,0x41bfe20f,0xff005ffc,0x3fffa60b,0xfff12fff,0xb81ffa85,
    0xfffd01ff,0x3ffa5f70,0xff53f98f,0x325ff507,0xfa8effff,0x417fe04f,
    0xf8001ffe,0x43fe205f,0xf882fd9b,0x45fdf88f,0x0fffaffa,0xfd2ffc00,
    0xf80dfb0b,0x17fe005f,0xff907ff2,0x3f61bfa1,0x003ff907,0xff7017fe,
    0x37f43dff,0xffa837ec,0x107ff502,0x6c66dcdf,0xb0dff10f,0x23ff21ff,
    0x3fe00c40,0x00bff705,0x7e40bff0,0x640ff443,0x8bf3f93f,0x6ffa9ffa,
    0xd9899bd8,0x8fff64ff,0x7fc04ffa,0x217fe005,0xff50dff9,0xf317fecd,
    0x0bff50bf,0x7402ffc0,0x19ff704f,0x7cc0fff2,0x008820df,0x13ee13f2,
    0xf933bff9,0x003fe49f,0x3e20bff0,0x5b99adff,0x7d417fe0,0x541ff445,
    0xdf9df35f,0xfc8ffd45,0x7ffffc4f,0x7fc46fff,0x00ffffff,0xff002ffc,
    0x3ffff60b,0x3fe60fff,0x51fffeff,0x001dffdb,0x3e202ffc,0x3fffa00f,
    0x7f405fff,0x2003feff,0xfebcefe8,0x7fff440d,0x3f20efff,0x17fe0007,
    0xffffffa8,0x217fe05f,0x3fe60fe8,0x43fa22ce,0x24fffffa,0x3ffa1ffa,
    0x3fffff63,0xffe980bf,0xffb80dff,0x46ffffff,0xfffffffb,0x7fffdc6f,
    0xfffea80d,0x3ffea1df,0x7ffdc00d,0x986fffff,0xfffc805f,0xffe9804f,
    0xfc8003ff,0x36204eff,0xfc84ffff,0x3ffee007,0x886fffff,0x23effffd,
    0xfffffffb,0xfa87f96f,0x0ff25fff,0x3fea2fc4,0x307ffe21,0x04c00133,
    0x3ffffee0,0x7fdc6fff,0x06ffffff,0x80cc0031,0xf7001ab8,0xdfffffff,
    0x44001310,0x09988000,0x00044000,0x01988022,0x3ffffee0,0x0c406fff,
    0xffffffb8,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2206aa60,0x54033009,0x0019880c,
    0x00000660,0x00000000,0x00000000,0x00330000,0x00000000,0x00000000,
    0x33100000,0x3fffea01,0x07ff911f,0x3fea09f7,0x000ffb85,0x06ffffdc,
    0x37bffffa,0xa84ff981,0x01ff92ff,0x3fffe600,0xffff13ff,0x43ffffff,
    0xffffffff,0x3bffffe2,0x3ff6201d,0x7ffc44ff,0x1fffffff,0x2fdc0bf9,
    0xffffffff,0x3ffffea3,0x2fc83fff,0x0ffe8ff1,0x7fe4ffd0,0x540cefff,
    0xfff983ff,0xfdf31eed,0x500ff887,0x1ff70dff,0x77ffe400,0x7fff45ff,
    0xfd84ffff,0xf937f41f,0xf900013f,0x227fffff,0xaaaaaacf,0x3fffe1fc,
    0x3fe2ffff,0x84ffffff,0xfffffff8,0x3ffffe25,0xf91fffff,0xff27dc0b,
    0x23ffffff,0xfffffffa,0xf12fd83f,0x882ffb8d,0x3fff24ff,0x260fffff,
    0x0ffd82ff,0xfb0ff220,0xb81dc805,0xff1000ff,0xfd03221b,0x5fff733d,
    0x3ee5ff88,0x3ffff21f,0xff800cef,0xaaf884fe,0x43f31cef,0x99999dff,
    0x2e673fe0,0x7fec2fff,0x4c3ffb12,0x99bffb99,0xfc817ee1,0x26677fe4,
    0x3ee66219,0xfe8099bf,0xff98df31,0x322ffb85,0x8fff667f,0x5fe82ff9,
    0x3ee3fc80,0x7fdc0005,0x2ffa8020,0x7c45fe80,0x89ffb87f,0x7ffe44ff,
    0x200fffff,0x884fcefa,0x9ffdc9af,0x013fe1f9,0xfff113fe,0x7fc44ff8,
    0x205ff304,0x93f206fb,0x3e6004ff,0x9ff9902f,0x7c59dfb9,0x647fd87f,
    0x127fc47f,0x09ff03ff,0x3fe27f90,0xbfffff00,0xffb1ff70,0x01ff703d,
    0xffb0bfd0,0xff7bfd03,0xa88ffc81,0x3f605ffd,0x2f884fcb,0xf0fcefd4,
    0x09ff009f,0x3fe23ffb,0xf305ff84,0xc9bea05f,0x4ff8ff26,0x40bfe600,
    0xffffffff,0x07ff24ff,0x47fc8bff,0x3fe23ff9,0x5dff5551,0x27f90555,
    0x3ffe02fd,0xeffb85ff,0x5c0fffff,0x7f5400ff,0x5ff70aae,0x07ffff50,
    0x7ff81ff9,0xbf91ff10,0x10be2133,0x7fc3f3bf,0x20aaaaad,0x2ffb84ff,
    0x1bfa1bfe,0xfa817fcc,0x3f65ff16,0x98013fe3,0xff5302ff,0x4139fb33,
    0x3fe63ffa,0x54cffe42,0x88cc0efe,0xffffffff,0x02fd407f,0x217fe666,
    0xfc9cfffb,0xfffff13f,0xfff87fff,0x7ff51fff,0x641bffa0,0x07fe40ff,
    0xfffcafe4,0x32e5f12f,0x3e1f9afe,0x0fffffff,0x3fea13fe,0x2efbff63,
    0xff307ffe,0x7d5be605,0x7fc5fb4f,0x307fffff,0x37cc05ff,0x9bfe05fb,
    0x7fe40ffc,0x401fffff,0xceffccc8,0x3fe204cc,0x217fe000,0x3fe24ffb,
    0xffffff14,0xfffe87ff,0x45ff51ee,0x9bffb998,0xb03ff209,0x64bfe0ff,
    0x5f11eeff,0x0fcc73fa,0xdddddfff,0x7d427fc1,0x3fffe22f,0xf306ffff,
    0x6dfe605f,0x7c5fb7ff,0x07ffffff,0x7d405ff3,0x7ec07f65,0xf90dfd0f,
    0x5ffffddf,0x4ff82fe8,0x4ccbf600,0x5c2ffc00,0x227fc0ff,0xfe800ffb,
    0x2a1ffb85,0xffffffff,0xfb83ff23,0x327fa85f,0xbb2f884f,0x13fe1f98,
    0x3ee13fe0,0xacccb81f,0x5ff305ff,0x777dfe20,0x3fe1fd9f,0x3019999d,
    0xfb9505ff,0x09bff99d,0x7ff15ff5,0xff98ff90,0x3e03fe27,0x2bf5004f,
    0x7fc05ffa,0x7c0ffb85,0x007fdc4f,0x7fec2ff4,0x3feeaa20,0x3ff21aac,
    0x80ffffee,0x4ffeeffd,0x98332f88,0x2013fe1f,0x0ffd84ff,0x303ff880,
    0x3fe205ff,0xfecfcbfa,0x98013fe1,0xfffc82ff,0x87ffffff,0x1ffacff8,
    0xffd87fc8,0x3fe09f51,0x88ff8804,0x7fc05fdf,0x7c0ffb85,0x007fdc4f,
    0x3fea2ff4,0x7fd4cc45,0x3ff2099b,0x880dffff,0x4fffffff,0x41ff2f88,
    0x013fe1f9,0xbff513fe,0x403ff600,0xff102ff9,0xfddf33fb,0x30027fc1,
    0xfd5305ff,0x055ff759,0x41bf7ffa,0x0ffd87fc,0x13fe0131,0x4fe4ff20,
    0x42ffc05f,0x27fc0ffb,0x3333ff93,0xa9efe813,0x7d40fffc,0x3fffffff,
    0x026afff2,0xd999efb8,0x5f1099df,0x7c3f31ba,0x099999df,0x3f2a73fe,
    0x54cc40ff,0x2604ffeb,0x3ffe02ff,0xf83fffe6,0x5ccc404f,0x6c099bff,
    0xb80df31f,0xf904ffff,0xdff9333f,0x2027fc00,0xf9df35fa,0x42ffc05d,
    0xa7fc0ffb,0xfffffff8,0x7fff46ff,0xc981efff,0x1ccdffdc,0x74003ff2,
    0x7fffe43f,0x55559f14,0x7fc3f955,0x22ffffff,0xefffffff,0xfffffa81,
    0x17fcc04f,0x7e49fff0,0x013fe0ff,0xfffffff5,0xf31fe87f,0xffff980b,
    0xfffff901,0x7c003fff,0x43fa204f,0x24fffffa,0xfffffffb,0xf81ff76f,
    0xfffff14f,0xfe8dffff,0x3003deff,0x3ff205ff,0x40ff9800,0xf14ffffc,
    0xffffffff,0x7ffffc3f,0x3ffe2fff,0x3ea03def,0x9801ceff,0x3ffa02ff,
    0xff1ffea1,0xffffa809,0x7fc3ffff,0xfd00bf50,0x7ffe40ff,0x4000beef,
    0x0ff204ff,0x3fee2fc4,0x76ffffff,0x04ff81ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80098800,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20198000,0x040b2059,0x00044004,0x5c000800,0xffb306ff,0xff5009ff,
    0xffffe87f,0xff06ffff,0x7ffe40ff,0xf96fffff,0x2bff103f,0xffe85ffa,
    0x3fffff21,0xffffc83d,0x84ff83ef,0x11ff27fc,0x17fa1fff,0xf98bffa0,
    0x30fffe7f,0x3ff101ff,0xf709ff30,0x67ffec5f,0x75c2ffea,0x700dffff,
    0x983dfffd,0x5c04fffd,0xfa86ffff,0x04ffffff,0xd0ffffe2,0xffffffff,
    0x5ffff30d,0x3fffff20,0xbff16fff,0x7ec1ff90,0x917fe61f,0xbfffffff,
    0xffffffc8,0x213fe0ef,0xb1ff27fc,0x02ff45ff,0xff927ff4,0x2637ffcf,
    0x1ff880ff,0x9bb9ff90,0x777c4bff,0x1ffeffff,0x3fffbffe,0x3fffa20e,
    0x3fea1fff,0xf906ffef,0xd10dffff,0x1fff515b,0x0fffbf20,0xf7555555,
    0xffff70bf,0x2aaaa609,0x3f24ffea,0x313fe21f,0x07ff4bff,0x3ae67ff2,
    0x27ff21ff,0x3e5ffd99,0x327fc84f,0xd13fea7f,0xffff00bf,0xfff3fff4,
    0x407fcc5f,0x3fa01ff8,0x20efffff,0x6d3fe628,0xff702e4f,0x4d6ffe45,
    0x19ff11c9,0x3e60ffea,0x0106fd8c,0xff305ff7,0x32007ff5,0xdcfe81ff,
    0x3fe6007f,0xf92ffc46,0x53ffb01f,0x8ff909ff,0x3ff23ffb,0x9ff3ff40,
    0xbfe4ff90,0x7f40eff8,0x9feff805,0xff0ffdf9,0x87fccdff,0xabffbaaa,
    0x5dffe42a,0x1ff806ff,0xff880bf5,0xb80dff13,0x837ec0ff,0xb801bf60,
    0xf5fe82ff,0xdff1007f,0xff75ff10,0x07ffa003,0x3fe23ff2,0xfddff104,
    0x98ff901f,0x03ff23ff,0x13fe1ff9,0xb7fc9ff2,0x0bfd03ff,0xf77f7ff0,
    0x37fe1ff7,0x21ff32ff,0xfffffffe,0xf517f47f,0xff95301f,0xb88dfb99,
    0xf54ffccc,0xcffd805f,0x807feccc,0x3f6006fd,0xf87fdc0f,0x2ffc803f,
    0xff98ffa8,0x04ffb803,0x1ff79ff1,0x1ffffe40,0x3fa27fc8,0xb03ff20f,
    0x556ffcff,0x3f27fdaa,0xfd03ffaf,0xf9ff880b,0xf0ff8fed,0x3e6bfd5f,
    0xff99970f,0x7fc4999b,0xfb07fe21,0xffffffff,0x7ffffe4d,0x03ff74ff,
    0xffffffe8,0x6fd807ff,0x889ff500,0x00ffe3ff,0x3f60dff1,0xf301bfe6,
    0xfffc80df,0x7ffc404f,0x3fbff207,0x7fe42fff,0xff97fea0,0x7fffffff,
    0x81bffff2,0xbfc405fe,0x23ff5fff,0x99ffaaff,0x1ff880ff,0x7c45ff10,
    0x267bee0f,0x709999ff,0xff333bff,0xb00bfee9,0x333333df,0x00dfb003,
    0xfd81dff3,0x2e01ffc6,0x49ff02ff,0x3fa00ffc,0x7ffc401f,0x7ffcc00f,
    0xffff901f,0xdff901df,0x7c1fffdd,0xfeeeeeff,0x3ff7ff27,0x980bfd01,
    0x3e7ff96f,0x3fe5ff1f,0xf880ff9c,0xb93fa01f,0xff1fec6f,0xf11ff603,
    0x017fe69f,0x40001ff9,0x7f4406fd,0x4d7fd41f,0x809cff99,0xff306ff8,
    0xb817fd43,0xff9004ff,0xffffd009,0x2e7ff20b,0xfffc86ff,0x7fc1dfff,
    0x3f27fc84,0xfd06ff9f,0xf56f980b,0x7fcbfa1f,0x1ff5ff72,0x6403ff10,
    0x44ffceff,0x89ff74fc,0x3a63ffb0,0x37ffa4ff,0xff51b989,0xd800881b,
    0x3ffa206f,0xfffffc81,0xb84fffff,0xfff902ff,0x30bfffff,0x7d400dff,
    0x67fd402f,0x7fc82ffd,0xff90bfee,0x3fe03557,0x3f27fc84,0xfd09ff77,
    0xd16f980b,0x2ff97f4b,0x01ffbff1,0x7f4402aa,0x20ffffff,0xffefeffa,
    0xfff72fde,0x4c9fdffd,0x2fffffff,0x3fbbfff6,0x06fd802f,0x3203ffd1,
    0xffffffff,0x06ff84ff,0x3ffffffa,0x1ffe87ff,0x00bfea00,0xdff31ffd,
    0x7fc4ff90,0x4007fe46,0x27fc84ff,0x07ffa7fc,0x6fa80bfd,0x17fcbfa0,
    0x001ffff9,0x2eebff60,0x7fec6ffa,0x45ffff75,0xfd9efffc,0x7fffec44,
    0x7fffdc1e,0xaaa882ff,0xd12aaffe,0x555559ff,0x26666662,0x7dc09cff,
    0x37ff103f,0x43ff9333,0xaaaadffb,0x05ff502a,0xff927fdc,0x7e47fc87,
    0x003ff22f,0x9ff213fe,0x3bfe67fc,0x2667bfa0,0x40df5099,0x4c5ff3fe,
    0xff90ffff,0x29ffffff,0xffa83ff9,0x06620442,0x0c400098,0x5004cc40,
    0xffffffff,0x3fffff2f,0xff806fff,0x5c0fff03,0x4ff980ff,0x3ffffffa,
    0x5ff507ff,0x883ffe20,0x1ff20fff,0x7fe4dff3,0xc84ff800,0xf91ff27f,
    0x7ffff49f,0x0bf75fff,0x42ff9fec,0xff90fffd,0x49ffffff,0x0002e038,
    0x00000000,0xfffff500,0x3ff2ffff,0x06ffffff,0xffb83ff8,0xf81bf603,
    0x3ffffa6f,0xf507ffff,0x0fff205f,0x7fc97ff2,0xff92ffd8,0x909ff001,
    0x223fe4ff,0xfffd2fff,0x3eebffff,0x7fd3f605,0x007ffcc2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0300b300,0x01640080,0x00001998,
    0x4ff81ff7,0x00200040,0x15510031,0x0001dc00,0xfa813fa0,0xc81fff17,
    0x05ff91ff,0x3fe6bff1,0x02ffffff,0x01310033,0x02602aa2,0x035530a2,
    0x85ffa800,0x04fffffb,0x819fffd7,0x7fc03ffc,0x33ea2fff,0x3ffa9efb,
    0x9ff03fee,0x7ffdd7fc,0x7ec6fdc4,0x7ffd41ef,0xfffd884f,0x7fdc00df,
    0x03ff1003,0x5fb817f6,0xffa97fea,0x2e17fe24,0xffff32ff,0x3e05ffff,
    0x9ffd500f,0x3ffffe88,0xfe883be6,0x5fffff32,0xf703ffa8,0xfffd83df,
    0xffd84fee,0x220fffff,0x2b604ffe,0x3bea7fba,0xffffefff,0xff81ff70,
    0x3fffbfe4,0x3bbee4ff,0xf30fffff,0xe87ffbbf,0x0fea99bf,0x400ffee0,
    0xdf901ff8,0x3f627e40,0xd86fe8af,0x137f40ff,0xdff95555,0x717f85c1,
    0x227fffd4,0x0fffdef8,0xfd11dff3,0x3eef223f,0x43fff46f,0x7c40dffd,
    0x7fd4085f,0x44ffda9d,0x200dffd8,0xff50ff98,0xfd1dff19,0xff03fee3,
    0x4577ffc9,0x3ffee7fe,0xf93ffc9c,0x1f92fdc9,0x0bd1dfff,0x3e2003b8,
    0x22ff501f,0x887fb1ee,0x81ffdffe,0x3fe22ffa,0x87ffa203,0xfafeaff9,
    0x13fe761f,0x260ffc82,0x01ffeeff,0xfffd17fa,0x9827ff44,0x7f400dff,
    0xf907fe86,0xfffc81df,0x11ff50ff,0x5cffa5ff,0xf27fc0ff,0x73fdc1ff,
    0xa7fc49ff,0xf9be62fd,0xf53f37f3,0x7c400001,0x51ff301f,0x20bfa9ff,
    0x203ffff9,0x03fee5ff,0x6442ffd8,0x0cffffff,0x3e604ff8,0xffff986f,
    0x0effe981,0xfe997fcc,0x7fffc03f,0x909ff02d,0x3fea01ff,0x3e3df71f,
    0x7fcdf50f,0x3fee7fd0,0x9ff27fc0,0x3fee2a98,0x4fda7fc0,0xf8fc57ee,
    0x223f35ed,0xffffffff,0xffff11ff,0x23ffffff,0x6ffd9ff8,0x3ff603ff,
    0xe87fe407,0x13fee05f,0x01fffe88,0x7fcc13fe,0xeffe880e,0xeffee980,
    0x0fffdc00,0x3ffffa60,0x20ffe22f,0xfd101ffb,0x3277f27f,0x7cdf50ff,
    0x3ee7fd0f,0xff27fc0f,0x81ff7009,0x99ff74ff,0x7cbe25ff,0x223f33ec,
    0xffffffff,0xffff11ff,0x43ffffff,0xaffffaff,0xfff980ff,0x2ffe603f,
    0xff302ff9,0x3fff220d,0xff81dfff,0x80dffa84,0x0effffe8,0x200bfea0,
    0x9802fffa,0xf11fffec,0x01ff70bf,0x7cc5fff3,0xf50feeff,0x3fe87fcd,
    0x7fdc1ff7,0x2e013fe4,0xb27fc0ff,0x4f87ffff,0x8f71f77f,0x99999999,
    0x7d4ccc19,0x7f4199af,0x7fdfcdfe,0xffeeff88,0x3f3bfa01,0x01fff107,
    0x27fa7fe2,0xffdd31fe,0x3ffe65df,0xffd12eee,0x261dff33,0x007fdbac,
    0x800fffa6,0x1ffe3ffc,0x3fea1ffa,0x311a881f,0x21ff37d4,0x19ff53fe,
    0x7fc9fff7,0x40ffb804,0x055444ff,0x644e4fdc,0x004404fa,0x6c03ff10,
    0xfff9afff,0xf99ffd86,0xfff500ef,0x37ffa09f,0x42a1aaaa,0xfff98e7e,
    0xfff53fff,0x3fee7fff,0x7dcffe61,0x4002efff,0x0c45ffe8,0xff90ffe4,
    0x89ff913b,0xa980effc,0xf51aaaaa,0x3fe87fcd,0xdffffff1,0x4027fc9f,
    0xa7fc0ffb,0x1aaaaaa9,0x7dccdfec,0x017fd406,0x3201ff88,0xbfff0fff,
    0x3ee3ffb8,0x3fffe05f,0xfffffa81,0x1ff03fff,0x26666660,0x33333310,
    0x124c0e41,0xb0000355,0x77fd4bff,0x7c46fffe,0x0effffff,0x64037ff2,
    0x55ffffff,0xfe87fcdf,0x27bffea3,0x013fe4fd,0x9ff03fee,0x3ffffff2,
    0x3ffffb85,0x004ffc80,0x7dc03ff1,0x993ff25f,0x2ffe86ff,0x2a0dff90,
    0xffffffff,0x00003303,0x00000000,0x3e60eb80,0x80cfffff,0x84ffffd8,
    0x554c04e8,0xdf51aaaa,0x83fe87fc,0x027fc019,0x3fe07fdc,0x55555534,
    0x10004403,0x554001dd,0x00000000,0x00000000,0x00000000,0x01000000,
    0x98006662,0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00400800,0x00aa8800,
    0x98800000,0x7ff42661,0x04ffffff,0x98819988,0x3104c001,0x6c009988,
    0x74c6eeee,0x6664001e,0xcccccccc,0x00000004,0x00000000,0xb3000000,
    0xfa81fdcb,0xdf507b24,0x5ffffc81,0x7fffffe4,0x3ff504ff,0x3e27fee0,
    0xfffffd4f,0xf9809fff,0x7ffd41ef,0xf70b2a0e,0xe98ffe1f,0x3ffe01ff,
    0x3fff47ff,0x5ffffff3,0x3ffffffe,0x0007ffff,0x00000000,0x00000000,
    0x2e7ff100,0xa7fc41ff,0x7ff41ffa,0x3f33fee5,0x3ffff24f,0xfd04ffff,
    0x43fee0df,0x333313ff,0x4c09fb33,0xfff80dff,0x87fb0eff,0x4ff88ffb,
    0x880ffec4,0x7fc08888,0x3fffe67f,0x555552ff,0x05555555,0x00000000,
    0x00000000,0x7fd40000,0x6fc8dfb0,0xffb07ff1,0xdf71fecf,0xb9f70000,
    0x21ff507f,0x4fc803ff,0x7d40f320,0xfefff98f,0x2e62b80f,0x00099700,
    0x5511ffdc,0x00015555,0x00000000,0x00000000,0xfb000000,0x7ccffe2d,
    0x220dfb1f,0x98bfa7ff,0x7c40007f,0x540ff88f,0x200bfe7f,0x2a0004fc,
    0x3fffa24e,0x00000004,0x00000440,0x00000000,0x00000000,0x20000000,
    0x29fd0ffb,0x09fd0ffb,0x4bfb2fec,0x3bbae6fc,0x6c3eeeee,0xf317f23f,
    0x44017f4f,0x50000009,0x00000037,0x00000000,0x00000000,0x00000000,
    0x30000000,0x83bf25ff,0x03ff34fe,0x7fd43ff5,0x3f22ffef,0x4fffffff,
    0x5ff11be6,0x00062198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4d3fa000,0x97fcc2ff,0xfffb0efc,0x5dfff505,0x99999988,
    0x20bb2099,0x000005ea,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x366fa800,0x74df904f,0x0017972f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x28805418,
    0x0000004c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_22_latin1_x[224]={ 0,4,2,0,0,0,0,4,2,2,1,0,2,2,
3,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,0,1,1,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,0,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_22_latin1_y[224]={ 16,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
12,0,1,1,1,1,1,1,1,1,1,1,4,4,4,6,4,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,18,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,5,5,5,5,5,5,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,16,4,-1,1,2,1,
-2,0,0,1,1,5,9,8,0,1,0,2,0,0,0,5,0,7,16,0,1,5,0,0,0,4,-2,-2,-2,-3,
-3,-3,1,1,-2,-2,-2,-3,-2,-2,-2,-3,1,-3,-2,-2,-2,-3,-3,5,-1,-2,-2,-2,-3,-2,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_22_latin1_w[224]={ 0,4,8,12,12,13,13,4,8,8,10,12,7,8,
6,11,12,10,10,10,12,10,11,10,10,11,4,7,10,10,9,8,12,13,11,11,12,10,10,12,11,10,9,11,
9,12,11,12,11,13,11,10,12,12,13,12,13,12,10,6,11,7,12,13,8,10,11,10,11,10,12,12,10,10,
9,11,10,12,10,12,11,11,11,10,11,10,12,12,12,12,10,9,4,9,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,9,12,12,12,
4,12,10,12,8,10,10,8,12,10,9,10,8,8,12,11,12,6,4,8,8,10,13,13,13,9,13,13,13,13,
13,13,13,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,10,12,12,12,12,12,12,11,11,11,12,
11,11,11,11,12,10,11,12,11,11,11,12,11,11,12,11,12,12,12,12,12,12,12,11,12,11,11,12,11,12,
 };
static unsigned short stb__consolas_bold_22_latin1_h[224]={ 0,17,7,15,20,17,17,7,22,22,11,12,9,4,
5,19,16,15,15,16,15,16,16,15,16,15,13,16,13,8,13,17,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,21,19,21,8,3,6,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,16,12,11,11,11,16,11,21,23,21,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,14,15,
23,19,6,16,12,10,6,4,12,5,9,14,10,10,6,16,19,6,4,10,12,10,16,16,16,17,18,18,18,19,
19,19,15,19,18,18,18,19,18,18,18,19,15,19,19,19,19,20,20,10,20,19,19,19,20,18,15,17,17,17,
17,17,17,18,13,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,12,17,17,17,17,17,21,21,21,
 };
static unsigned short stb__consolas_bold_22_latin1_s[224]={ 251,248,65,212,139,111,48,251,11,20,200,
137,23,149,142,14,222,1,12,210,23,221,164,36,176,152,247,248,1,41,36,
164,100,47,239,51,139,128,190,232,123,201,245,135,147,157,170,14,111,125,99,
115,164,126,225,177,85,72,61,47,226,39,52,158,122,219,175,230,1,241,1,
100,39,28,29,103,200,55,91,23,163,186,79,12,235,68,176,150,163,187,189,
54,1,90,98,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,
115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,251,251,204,
50,193,76,6,238,111,1,46,12,74,149,111,131,31,182,220,240,85,27,1,
249,251,211,102,1,14,75,89,13,234,208,25,26,52,66,101,214,222,1,51,
40,63,13,39,93,63,105,118,144,170,152,165,229,178,80,131,157,191,195,89,
99,87,150,125,199,211,183,206,211,113,151,236,36,152,139,39,63,137,198,75,
125,138,62,173,124,223,187,23,88,75,77,113,64, };
static unsigned short stb__consolas_bold_22_latin1_t[224]={ 19,25,146,99,1,45,64,99,1,1,132,
132,146,146,146,25,81,116,116,63,116,63,81,116,81,99,81,45,132,146,132,
63,1,116,99,82,99,99,99,63,116,99,63,116,116,116,116,82,116,1,116,
81,99,81,99,99,116,116,116,1,1,1,146,146,146,116,45,116,64,116,99,
63,99,99,1,81,81,132,132,132,45,63,132,132,81,132,132,132,132,81,132,
1,1,1,146,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,19,1,1,
99,116,99,1,1,146,82,132,146,146,146,132,146,146,116,132,132,146,82,25,
132,107,132,132,146,99,81,81,64,25,25,45,25,25,25,99,1,25,45,45,
25,45,45,45,25,99,25,25,25,25,1,1,132,1,25,25,25,1,25,99,
45,45,45,45,45,45,25,116,81,63,63,45,64,81,81,82,82,45,63,63,
63,63,64,63,132,45,45,64,63,45,1,1,1, };
static unsigned short stb__consolas_bold_22_latin1_a[224]={ 194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_22_latin1(stb_fontchar font[STB_FONT_consolas_bold_22_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_22_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_22_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_22_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_22_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_22_latin1_s[i] + stb__consolas_bold_22_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_22_latin1_t[i] + stb__consolas_bold_22_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_22_latin1_x[i];
            font[i].y0 = stb__consolas_bold_22_latin1_y[i];
            font[i].x1 = stb__consolas_bold_22_latin1_x[i] + stb__consolas_bold_22_latin1_w[i];
            font[i].y1 = stb__consolas_bold_22_latin1_y[i] + stb__consolas_bold_22_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_22_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_22_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_22_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_22_latin1_s[i] + stb__consolas_bold_22_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_22_latin1_t[i] + stb__consolas_bold_22_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_22_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_22_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_22_latin1_x[i] + stb__consolas_bold_22_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_22_latin1_y[i] + stb__consolas_bold_22_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_22_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_22_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_22_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_22_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_22_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_22_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_22_latin1_LINE_SPACING
#endif

