// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT        278
#define STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_31_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_31_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_31_latin1_LINE_SPACING          20

static unsigned int stb__consolas_bold_31_latin1_pixels[]={
    0x3a21ddd1,0x000000ee,0x00000000,0x03028000,0x00055550,0x164c1ca8,
    0x5665cc00,0x554c0000,0x000000aa,0x0000d440,0x66400000,0x01999882,
    0x8fffc400,0xb801fff8,0xd3005ffe,0xfffff89f,0xffff57ff,0x3ff69fff,
    0x3ee0004e,0x3a02fd44,0x2a0005ff,0xfff10fff,0x3ff62007,0x0003ffff,
    0x007ffff3,0x8803ffc0,0x000dfffd,0x66fff6dc,0x27fc0000,0x02fffec4,
    0x23fff100,0x2601fff8,0x005ffffe,0x7fc7ffff,0xf57fffff,0x29ffffff,
    0x01fffffd,0x997ffdc0,0x3fa05fff,0x3f20005f,0xbfff52ff,0xfffff300,
    0x8007ffff,0x001efff9,0x4017fe60,0x04fecefc,0xfffffb10,0x20005fff,
    0x3ee03ff8,0xf10005ff,0x3ffe23ff,0x3ffffa01,0xfff8804e,0x3bbbba4f,
    0xdfff57ff,0x3fb27ddd,0x2e006fff,0x7fec5fff,0x0bffd05f,0x87ffd400,
    0x4402fff8,0xf711dffe,0x3e6003ff,0x10000dff,0x7400bff2,0x100df32f,
    0xffffffff,0x30007fff,0xfe9805ff,0xff88005f,0x03fff11f,0x0013ffea,
    0xb80bfffa,0x0fff57ff,0x00bffee0,0x6c17ffe6,0xffe83fff,0x05cc0005,
    0x3f6006e2,0x09ff705f,0x000f3320,0x3ffffb6e,0x233f6007,0xffc805fc,
    0xffdb9bef,0xffa8007f,0x09998801,0x8fffc400,0xf701fff8,0x322000df,
    0xbffdc02d,0x3a007ffa,0xffe803ff,0x3fffa00e,0x002fff40,0x3ea00000,
    0x03ffc06f,0x3f620000,0x2fffffff,0xfffff300,0xefff9803,0x03fffd80,
    0xcffeba88,0x44000001,0xfff11fff,0x017ff203,0x3fee0000,0x400fff57,
    0x7e405ffc,0x7fcc02ff,0x32fff45f,0x55301797,0xaaa88035,0x2017ff41,
    0x55532ffc,0x1aaa8803,0x7fffffc4,0x002fffff,0xb0019b91,0x3e603fff,
    0x3f2206ff,0x06ffffff,0x337ffb6e,0x3fff1000,0x6c07ffe2,0x2aa604ff,
    0xaaaaaaaa,0x55ffee00,0x3f2007ff,0x3ffe205f,0x5fff9005,0x7f46fff4,
    0x7cc3ffff,0x7fdc05ff,0x31bfe62f,0x7ff55113,0x7017ffe6,0xffd85fff,
    0xffff9adf,0x774400ff,0x7fc00eee,0x7fff407f,0xfffff980,0xd886ffff,
    0xffffffff,0x1fff8802,0x3603fff1,0x3ff604ff,0xffffffff,0x55ffee02,
    0x3f2007ff,0x3ffee05f,0xbfff1000,0x7fff7ff4,0x743fffff,0x3fa00fff,
    0xa9ffe47f,0xf9ffffff,0x03fffa4f,0x7cc7ffe8,0x3ffe65ff,0x7dc03fff,
    0x7c03ffff,0x7fe405ff,0xffffe81f,0x446eeffd,0xffffffff,0x7c403fff,
    0x3fff11ff,0xd813ff60,0xffffffff,0x3fee02ff,0x400fff57,0x3fa06ffb,
    0x7fec005f,0xfffffd0f,0x8ffffb7d,0xf303fffb,0x8ffe89ff,0xeffffff9,
    0x3fee5ff8,0x9fff303f,0x2e0fffd8,0x05fffbff,0x2fffffec,0x809fff30,
    0x7dc2fffc,0x3ff89eff,0xbefffd81,0x07fffeb9,0xf88fffc4,0x7ffd01ff,
    0x555554c0,0x202fffca,0xfff57ffb,0x83ffd400,0x4003fff9,0xffd2fffa,
    0xfffd85ff,0x41bffe22,0x3e21fffc,0xfbbffd6f,0x44dff1bf,0xff906fff,
    0x46fff83f,0x6ffd8ffe,0x7fffffc0,0x7fff500f,0x42fffb80,0xff31fffe,
    0x1dfff305,0x407fffb0,0xff11fff8,0x5fff103f,0x3ffea000,0x55ffee02,
    0x3e2007ff,0xfffb81ff,0x4fff8000,0xf307fffd,0xfffd89ff,0x546fff81,
    0x77ff8cff,0xb1bfe9ff,0xfff03fff,0x449fff0d,0x1fff76ff,0x3f3ffea0,
    0xfff502ff,0x2fffb807,0xff53fffc,0x03fffb03,0x881bffe6,0xddd11fff,
    0x3ff66621,0xff50000f,0xbffdc05f,0x74007ffa,0xf909beff,0x3fa000ff,
    0x20dffd5f,0x7d45fff8,0x7ffd44ff,0x7d5ffdc3,0xf19ff74f,0x4fffa8df,
    0x261fffd4,0x3fee3fff,0x203fff73,0xfff8effc,0x09fff504,0x221fffb8,
    0x3fee5fff,0x407fff80,0xf100fffe,0xffd803ff,0x20002fff,0x2e02fffa,
    0x0fff57ff,0xffffd980,0x000dffb5,0x7ff5bff6,0x21bffe05,0x7fec7ffe,
    0x657fe40f,0x17ff93ff,0xfffd0bff,0x540fffd8,0x3ff62fff,0x205fff51,
    0xfffd4fff,0x017ffe60,0x7cc1fff9,0x21ff25ff,0x6405fff8,0xff101fff,
    0xfffd803f,0x7d40000e,0x3fee02ff,0x000fff57,0x3abfffd5,0xf90005ff,
    0x817ffaff,0xffb86fff,0x09fff12f,0x5ff93ffb,0x3fe2bff6,0x12fffb85,
    0xff509fff,0xa9bfe25f,0xff982fff,0x03fff92f,0xe80dfff1,0x3fe20fff,
    0x261bf67f,0x7e404fff,0xfff101ff,0xfffec803,0x3ea0003f,0x3fee02ff,
    0x800fff57,0xd4effffc,0x32000dff,0x0bffd6ff,0x2217ffe2,0xfff75fff,
    0xfb1ffb03,0x267ff65f,0xfff884ff,0x303fff75,0x3fea7fff,0x207ffea4,
    0xff50fffb,0x3fffa09f,0x0bfff100,0x3fa3ffff,0x03fffa85,0x8817ffdc,
    0x91001fff,0x20003fff,0x2e02fffa,0x0fff57ff,0x41fffcc0,0xb0007ffd,
    0x17ffabff,0xd81fffcc,0x6ffe8fff,0xffb1ffd0,0x3ea3ffa5,0x1fffb02f,
    0x3e20dffd,0x43ffb3ff,0xfd80fffb,0x837ffc5f,0xf905fffc,0xfff905ff,
    0xa949ff3f,0x7dc03fff,0xfff102ff,0x7ffc4003,0xfff50003,0xabffdc05,
    0x3ea007ff,0x0fff907f,0x753ffa00,0xfffb05ff,0x2fffea05,0xffb03fff,
    0xff35ff91,0x201ffb1f,0xfffbfffa,0x7d7ffe03,0x43ffec7f,0x7ec3fff8,
    0xfff880ff,0xfff931cf,0x3fffe20d,0x37feefff,0xfb809fff,0xfff101ff,
    0x403bba23,0x50004ffe,0x7dc05fff,0x00fff57f,0xfb837fdc,0xff8001ff,
    0x90bffd3f,0xff80dfff,0x900fffff,0xddff73ff,0x0dffbfff,0xfffffff8,
    0x2bfff600,0x37ffc4ff,0x2e0fffd4,0xff902fff,0xffffffff,0x7ffd403f,
    0x17ffffff,0xfc80bfff,0xfff100ff,0x407ffe23,0x50004ffd,0x7dc05fff,
    0x00fff57f,0xf982ffe4,0x7d4004ff,0xdfffd1ff,0x1fffffbb,0xfffffc80,
    0x26bff205,0xfffeffff,0x7fe401ff,0x7e405fff,0x2e2fffff,0xffc82fff,
    0x05fff987,0x3ffffff2,0xd9801fff,0x6fffffff,0xfd01bffe,0x7ffc40ff,
    0x203fff11,0x50004ffd,0x7dc05fff,0x00fff57f,0xfd02ffe4,0xffd800ff,
    0x3fffffa6,0x802fffff,0x01fffff8,0x7fe4ffee,0x02effb8e,0x1fffff88,
    0x7ffff440,0x0dfff717,0x3ffffffe,0x407fffff,0xcfffffda,0x7fec4000,
    0x7fffc0ab,0x0dfff100,0xf88fffc4,0x9ffb01ff,0x3ffea000,0x55ffee02,
    0x3f2007ff,0x3ffee05f,0x7fff1002,0x7ffffff4,0x7ec004ef,0x7fd405ff,
    0x00110225,0x005fffd8,0xfdfffff3,0xf305ffff,0xffffffff,0x5003ffff,
    0x40003fff,0x3fee07fc,0x5fff904f,0x88fffc40,0xffb01fff,0x3fea0009,
    0x5ffee02f,0x32007ffa,0x3fe205ff,0xfffb006f,0x4c6fff41,0x3ffa0001,
    0x7ffc402f,0x7f400000,0x3ee002ff,0xffffffff,0xfffff901,0xffffffff,
    0xbfff1009,0x1bfa0030,0x1cffff88,0x80dfff93,0xff11fff8,0x17ff203f,
    0x0fffe400,0x3eafff70,0x3ff2007f,0x1fffdc05,0xd13ffea0,0x50000bff,
    0x3600dfff,0x200004ff,0x8006fffa,0xdfffffff,0x817ffa00,0xd006fff8,
    0xfd77bfff,0x80bff001,0xfffffffc,0x4402ffff,0xfff11fff,0x01bfee03,
    0x203fffc0,0xfff57ffb,0x027ff400,0x880ffff4,0xffe86ffe,0x7fd40005,
    0xff3001ff,0x4005c07f,0x001ffffa,0x054effcc,0x01fffc40,0x2003fffa,
    0xfffffff9,0x1ffc405f,0x7ffffdc0,0x8802ffff,0xfff11fff,0x33ffea03,
    0x2e205c40,0x7dc06fff,0x00fff57f,0x200bfff2,0x441ffff8,0xfe81fffe,
    0x7744005f,0x002ffffe,0x55efffec,0xe880ffca,0x02ffffee,0x002ffc80,
    0x2007ffdc,0x5003fffb,0x7fffffff,0x002ff980,0xbfffffd5,0x3ffe2001,
    0x403fff11,0x34effffd,0xfffb9dff,0xeeee83ff,0xfff57ffe,0x3b27dddd,
    0x2006ffff,0x360ffffa,0xffd03fff,0xfff8800b,0xb0003fff,0xffffffff,
    0xffff101f,0x3a0007ff,0x7ec000ff,0xfff9806f,0x372a2005,0xee9800ac,
    0x00988001,0x11fff880,0x74c03fff,0xff35ffff,0x7fffffff,0xfffffff0,
    0x3ffffeaf,0xffffb4ff,0xffa8003d,0x07fff31f,0x2002fff4,0x00dffff8,
    0x7fff6400,0xff102dff,0x40001bff,0x00000099,0x00000000,0x00000000,
    0x3e23fff1,0xedb801ff,0xffffb15f,0x3fe03bff,0xf57fffff,0x29ffffff,
    0x0003defd,0x07f30bea,0x1a980000,0x33300000,0x0006a600,0x00000000,
    0x00000000,0x40000000,0xff11fff8,0x3100003f,0x00000353,0x08000000,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0xfff10000,
    0x007ffe23,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30666000,0x00000033,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00133330,0x20004ccc,0x015c40ba,0x0ae205d4,0x00333310,
    0x13333000,0x00266600,0x80177440,0x00c0bcb8,0x26620000,0x31000019,
    0x05555555,0x0302f2e2,0x04cccc00,0x0003ca80,0x001dfffb,0x003bfff6,
    0x3fa37fe4,0x1bff204f,0x6c409ffd,0x00005fff,0x003bfff6,0x003bfff6,
    0x200bfea0,0x9cfffff9,0xb73004fa,0x817bfffd,0x005fffd8,0xfffff910,
    0xf30bffff,0xf539ffff,0xfffb0009,0xfff7001d,0xfffd800b,0xdffd1003,
    0xfd001dff,0x3ffe23ff,0x47fffa06,0xb806fff8,0x80005fff,0x8803fffd,
    0x0effeffe,0x00ffdc00,0x7ffffff4,0xfc806fff,0xffffffff,0x0bfff701,
    0xfffffc80,0x85ffffff,0xfffffffe,0x7ec006ff,0x3f6003ff,0x3f6007ff,
    0xfd1001ff,0x03bfee7f,0xfe8dff90,0x1bff204f,0x26009ffd,0x20005ffe,
    0x8801fffd,0xdff73ffe,0xfeca9801,0x3ea01acf,0x1ffffd51,0x7ffff440,
    0x01ffffff,0x4017ffa6,0xfffffffa,0xa85ffeab,0xffffd51f,0x7ffec001,
    0x7ffe4001,0x13331006,0x204cc400,0xba800998,0x54015c40,0x0015c40b,
    0x00026662,0x40026662,0x4cc40998,0xffffb300,0x401fffff,0xd801a980,
    0xa9bdffff,0x4c401fdb,0x7fc40099,0xd1ffffff,0x26020bff,0x4cc4001a,
    0xfe880009,0x0000001f,0x00000000,0x00000000,0x00000000,0x3ffffe60,
    0x00ffffff,0xfff30000,0x0004405f,0x3fffee00,0xffd1ffff,0x0000000b,
    0x5c000000,0x00cdffed,0x37ffb6e0,0x1bbae00c,0x5c09ddb0,0x00cdffed,
    0xdb01bbae,0x03775c9d,0xeeb93bb6,0x8a776c06,0xffcefffe,0x5c00fdbd,
    0x00cdffed,0x000ffffa,0x1ddddd10,0x7ffffe40,0xbffd1fff,0x8077775c,
    0x3a204eeb,0x8000eeee,0x7ec40198,0x2fffffff,0x7fffec40,0xf902ffff,
    0x5fff80ff,0xfffffd88,0xff902fff,0x25fff80f,0x7fc07ffc,0x01fff25f,
    0x3feabfff,0x007ff35f,0x3fffff62,0xff982fff,0xfb80007f,0x3a03ffff,
    0xffffffff,0x7e4bffd1,0xff904fff,0x7fffdc0b,0xfff8003f,0xfffff101,
    0x07ffffff,0x3fffffe2,0xc83fffff,0x7ffc07ff,0x7ffffc45,0x83ffffff,
    0x7fc07ffc,0x01fff25f,0x7fe4bfff,0xbafffc07,0x3ff53fff,0xfffff100,
    0x87ffffff,0x0004fffa,0x5fffffd8,0x3fffff60,0xbffd1fff,0x07ffffe4,
    0xfb02ffe4,0x000bffff,0x3f605fff,0xfeb9beff,0xfffb07ff,0xfffd737d,
    0x80fff90f,0x7fec5fff,0xffeb9bef,0x07ffc87f,0xff92fffc,0x25fff80f,
    0x7fc07ffc,0x1dfff75f,0xfb001ff7,0xfd737dff,0xfffb8fff,0xfff80003,
    0xf700ffff,0x3fffffff,0xffc97ffa,0xffc83fff,0x3ffffe05,0x3e6000ff,
    0xfff982ff,0x3fffd80e,0x4077ffcc,0x7e43fffd,0x2fffc07f,0xb01dfff3,
    0xffc87fff,0x92fffc07,0xfff80fff,0xf01fff25,0x3ffe6bff,0x9807feff,
    0xfd80efff,0x3fff23ff,0x7fd40002,0x302fffcf,0xffffffff,0xfc97ffa3,
    0xfc86ffff,0x9fff505f,0xf9005fff,0xfb05ffff,0x3fe603ff,0x0fffec6f,
    0x646fff98,0x7ffc07ff,0x407fff65,0x7e46fff9,0x2fffc07f,0xff80fff9,
    0x01fff25f,0x7fecbfff,0x00bfffff,0x4c07fff6,0x3ff66fff,0x7e40002f,
    0x04fff8ef,0x3fffffee,0x64bffd1f,0x42ffffff,0xff905ffc,0x409fff1d,
    0xffffffe8,0x407fff83,0x3fe0fffe,0x7fff407f,0xf01fff20,0x3fffcbff,
    0xc83fffa0,0x7ffc07ff,0xf01fff25,0x3ffe4bff,0xfb17ffe0,0x7fffffff,
    0xd01fffe0,0x3ff21fff,0x7fc0003f,0x80fffd4f,0x1ffffffb,0x7fe4bffd,
    0x7e46ffee,0x29fff05f,0x3f607ffe,0x41abcfff,0x6405fff8,0xfff11fff,
    0x1fffc80b,0xff01fff2,0x17ffe2bf,0x643fff90,0x7ffc07ff,0xf01fff25,
    0x3ffe4bff,0x2a17ffe0,0xfffffffe,0x17ffe20e,0x2e3fff90,0x20004fff,
    0xff92fff9,0xfeb8803f,0x4bffd1ff,0xfffaeffc,0x2617ff21,0xfff92fff,
    0x1ffff303,0x04fff980,0xf98fffe4,0x7fe404ff,0x01fff21f,0x3fe6bfff,
    0x7ffe404f,0xf01fff21,0x3ffe4bff,0xfc97ffe0,0x2fffc07f,0xffffff50,
    0x27ffccdf,0x547fff20,0x20006fff,0xff50fffb,0x2188009f,0x3ff25ffe,
    0x7e4bfff6,0x0fffb85f,0xf509fff5,0xff5009ff,0xfffb807f,0x807fff52,
    0x3f22fffb,0xafffc07f,0x5c03fffa,0x3ff22fff,0x92fffc07,0xfff80fff,
    0xf01fff25,0x7fd40bff,0x51ffffdb,0xfb807fff,0xffff12ff,0x3ff60003,
    0x0037ffc5,0xfc97ffa0,0x23fff76f,0xffd85ffc,0x5c37ffc5,0xfa804fff,
    0x7fdc03ff,0x07fff52f,0x322fffb8,0x7ffc07ff,0x807fff55,0x3f22fffb,
    0x2fffc07f,0xff80fff9,0x01fff25f,0x7e40bfff,0x27fffb0f,0x5c03fffa,
    0x3ff62fff,0x7c4000ef,0x7ffec3ff,0x3ffa0000,0x7c5bff25,0x8bff94ff,
    0x7ec3fff8,0x7ffcc0ff,0x4fff9806,0x98fffdc0,0x7dc04fff,0x1fff21ff,
    0x3e6bfff0,0x7fdc04ff,0x01fff21f,0x7fe4bfff,0x92fffc07,0xfff80fff,
    0xfb9ff605,0x9fff33ff,0x21fffb80,0x9bfffff9,0x541fca98,0x7fdc1fff,
    0x3fa0002f,0xc9bff25f,0x5ffc8fff,0x2e0fffd4,0x7fc42fff,0x3e200dff,
    0x7fe405ff,0x0bfff10f,0x320fffc8,0x7ffc07ff,0x80bfff15,0x3f20fffc,
    0x2fffc07f,0xff80fff9,0x01fff25f,0x3a02bfff,0x47fff66f,0x6405fff8,
    0x7fe40fff,0xffffffff,0x43ffe41f,0x0005fff9,0xffc97ffa,0x333ffe26,
    0x3ffe45ff,0x5c2fffcc,0xbcdfffff,0x2037ffc2,0x7ffc7ffe,0x23fff406,
    0x3e00fffc,0x1bffe4ff,0xfc8fffd0,0x3ffe00ff,0x803fff24,0x3ff24fff,
    0x53ffe00f,0xdff9bdfc,0x7c6fffda,0x7ff406ff,0xfffff707,0xf83fffff,
    0xffffffff,0x20007fff,0x3ff25fff,0x7efffec6,0x7ffffc5f,0x7fffffff,
    0xffffff90,0x0ffff8df,0xf8dfff10,0xff100fff,0x0fffb8df,0x7c7fff10,
    0xff100fff,0x0fffb8df,0x5c7fff10,0xff100fff,0x07ffdc7f,0xf93fff88,
    0xffffffff,0xfff83fff,0xdfff100f,0x7fffe4c0,0x7fcc3dff,0xffffffff,
    0xa8001fff,0x3ff23fff,0x7ffffcc6,0x3fffe65f,0xffffffff,0xfffd501f,
    0xfffb8dff,0x85fff904,0xf904fffb,0xfffa85ff,0x43fff703,0xf904fffb,
    0xfffa85ff,0x43fff703,0xf703fffa,0x7ffd43ff,0x23fff703,0xfffffffc,
    0xfb81efff,0xfff904ff,0x3dff7005,0x7ffffe40,0xffffffff,0xfb109104,
    0x37fe45ff,0x2ffffff4,0xfffffff9,0x09ffffff,0x46fedca8,0x31cffff8,
    0xf10dfff9,0x32639fff,0xff886fff,0x7ffcc1ff,0x67fffc46,0x0dfff931,
    0x983ffff1,0x7fc46fff,0x7ffcc1ff,0x0ffffc46,0xb99bffe6,0xcdffffec,
    0x3fffe201,0xdfff931c,0x00fff600,0x7c40bffd,0x9ffb06ff,0x8dffff97,
    0xffa86ffc,0x3ffa5fff,0x1bffe205,0x7ffe4000,0xffffffff,0xfffff902,
    0x05ffffff,0x3bbffff2,0xc82ffffe,0xffffffff,0xff902fff,0xfffdddff,
    0xffff905f,0x5ffffddd,0xddffff90,0x405ffffd,0x32000ffc,0xffffffff,
    0xff002fff,0x7ffc401f,0x07fff403,0x3fffffea,0x7e40ffff,0xfffff06f,
    0x00fffe2b,0x0001fffd,0x3ffffee0,0x5c02ffff,0xffffffff,0x3ffa202f,
    0x3fffffff,0x3ffffee0,0x2202ffff,0xfffffffe,0xffd103ff,0x7fffffff,
    0x3ffffa20,0x403fffff,0xfb8007fd,0xffffffff,0x0bff1002,0x400fffb8,
    0xea83fffb,0x0dffffff,0xf706ffc8,0x3feebfff,0x7ffdc00f,0x3aa00003,
    0x00dfffff,0xfffffd50,0x3fee001b,0x801dffff,0xdfffffea,0xffff7000,
    0xf7003bff,0x03bfffff,0xffffff70,0x0bfd003b,0x3fffaa00,0x22000dff,
    0x7fec00aa,0x5fff9806,0x02af2a60,0xf106ffc8,0x3ff6bfff,0x5fff9806,
    0x13100000,0x00988000,0x000d4c00,0x80001310,0x260001a9,0x2a60001a,
    0x01f6c001,0x0004c400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00026660,0x01817971,0x04cccc00,0x57102ea0,0xaaa88000,
    0x00cccc40,0x26666000,0x01333000,0x57102ea0,0x00666620,0x00266600,
    0x0ae205d4,0x00006aaa,0x2f332ea2,0x9998000a,0xffd80009,0xff3000ef,
    0x9f539fff,0x3fff6000,0x1bff200e,0x40009ffd,0xfd886ffd,0xb00005ff,
    0xb001dfff,0xc801dfff,0x27ff46ff,0x02fffec4,0x1dfffb00,0x746ffc80,
    0x2fff44ff,0x3ffee000,0x003fffff,0x0077ffec,0xffdffd10,0xfffd001d,
    0x0dffffff,0x07fffb00,0x223fffd0,0x10006fff,0x7dc07fff,0x6c0005ff,
    0xe8803fff,0x00effeff,0x7c47fffa,0x3fee06ff,0x7f44005f,0x200effef,
    0xff11fffe,0x1fffa8df,0xffff9000,0x007fffff,0x001fffec,0x7dcfffa2,
    0x8fd400ef,0x00ffffea,0x00fffec0,0x7f46ffc8,0xff90004f,0xffe9801f,
    0xfffb0005,0x7ffd1003,0x6403bfee,0x27ff46ff,0x017ffa60,0xfb9fff44,
    0xdff900ef,0xff84ffe8,0xff98004f,0xcb999aff,0x3fffb002,0x81331000,
    0x80800998,0x988001a9,0x5d400099,0x00015c40,0x22009fff,0x44000999,
    0x31000999,0x00998813,0x057102ea,0x00266620,0x33102662,0x2205d401,
    0x1fff702b,0x2fffb800,0x4ccc4000,0x00000000,0x00000000,0x20000000,
    0x0000fffa,0x00000000,0x00000000,0x00000000,0x0fffe200,0x0bfff700,
    0x80000000,0x00eeeee8,0x77777440,0x0bbbae00,0x407ddd30,0x00eeeee8,
    0x817ffa00,0xeeeeeee8,0x7444eeee,0xeeeeeeee,0xeee884ee,0xeeeeeeee,
    0x77777444,0x44eeeeee,0xeeeeeeec,0x7644eeee,0xeeeeeeee,0x777644ee,
    0xeeeeeeee,0x006ffd84,0x06ffffcc,0xeeeeec80,0x04eeeeee,0x7ffffdc0,
    0x7ffdc003,0x3fe603ff,0x7ffec06f,0x3fffee01,0xff30003f,0x7ffcc05f,
    0xffffffff,0x7ffffcc5,0x85ffffff,0xfffffff9,0x7cc5ffff,0xffffffff,
    0x7ffec5ff,0xffffffff,0x7ffffec5,0x45ffffff,0xfffffffd,0xf985ffff,
    0x3e6002ff,0x803fffff,0xfffffffd,0x4005ffff,0x05fffffd,0x7ffffec0,
    0x17ffec05,0x405fff98,0x05fffffd,0x80dffb00,0xfffffff9,0x7cc5ffff,
    0xffffffff,0xfff985ff,0xffffffff,0x7ffffcc5,0x45ffffff,0xfffffffd,
    0x7ec5ffff,0xffffffff,0x7ffec5ff,0xffffffff,0x00bffd05,0x3fffffe6,
    0x3f601eff,0xffffffff,0x7fc005ff,0x000fffff,0x3ffffffe,0x1bffe600,
    0x200fffec,0x0fffffff,0x1fffc400,0x2b7ffe60,0x41aaaaaa,0xaaadfff9,
    0xf981aaaa,0xaaaaadff,0x7ffcc1aa,0xaaaaaaad,0x7dcccc41,0x40999bff,
    0xfffb9998,0x4c40999b,0x9bfffb99,0xfff50099,0x9ffff001,0x07ffffff,
    0x3fee6662,0x000999bf,0x3ff3ffea,0xfff5002f,0xd805fff9,0x7fcc1fff,
    0x7ffd405f,0x4002fffc,0x4c00fffb,0x4c004fff,0x98004fff,0x4c004fff,
    0x40004fff,0x4002fffa,0x4002fffa,0x2002fffa,0x7d404fff,0xfffb14ff,
    0xff5007ff,0x7e40005f,0x04fff8ef,0xff1dff90,0xfff9809f,0x007ffec5,
    0x3fe3bff2,0x7ffc004f,0x4fff9804,0x27ffcc00,0x27ffcc00,0x13ffe600,
    0x5fff5000,0x2fffa800,0x17ffd400,0x80fff900,0x7542fffc,0x5401ffff,
    0x20002fff,0xfffd4fff,0x753ffe00,0xffd807ff,0x09fff31f,0x3fa9fff0,
    0x3fea007f,0xfff9801f,0x7ffcc004,0xfff98004,0x7ffcc004,0x7fd40004,
    0x7fd4002f,0x7fd4002f,0x3fe2002f,0x3ffee03f,0x4fffe885,0x017ffd40,
    0x92fff980,0xf9803fff,0x3fff92ff,0xb5fff980,0xf9801fff,0x3fff92ff,
    0x017ffa00,0x0027ffcc,0x0013ffe6,0x0013ffe6,0x0009fff3,0x002fffa8,
    0x0017ffd4,0x000bffea,0x7cc0dffb,0xffa83fff,0x7ffd405f,0xfff70002,
    0x013ffea1,0x3ea1fff7,0xffd804ff,0x804fff9f,0xff50fffb,0xfff3009f,
    0x3ffe6005,0xeeeeeeef,0x77fffcc1,0x81eeeeee,0xeeeffff9,0x7cc1eeee,
    0xeeeeefff,0x7fd401ee,0x7fd4002f,0x7fd4002f,0x7fcc002f,0x3fff601f,
    0x3ffe20df,0x17ffd405,0x45ffd800,0x7ec06fff,0x037ffc5f,0x7fffffcc,
    0x5ffd800f,0x64037ffc,0x3e6006ff,0xffffffff,0x7ffcc2ff,0xffffffff,
    0xfffff982,0x42ffffff,0xfffffff9,0x5402ffff,0x54002fff,0x54002fff,
    0xe8002fff,0x3fa205ff,0xff74ffff,0xfffa809f,0xfff88002,0x807ffec3,
    0x7ec3fff8,0xffd800ff,0xf8804fff,0x7ffec3ff,0x0fffe200,0xfffff980,
    0x42ffffff,0xfffffff9,0xf982ffff,0xffffffff,0x7ffcc2ff,0xffffffff,
    0x17ffd402,0x0bffea00,0x05fff500,0x01fff700,0x7fffff44,0x400ffffe,
    0x8002fffa,0x7dc1fffa,0xfff502ff,0x02fffb83,0x0fffff98,0x41fffa80,
    0x2e02fffb,0x26000fff,0xaaaadfff,0x7fcc0aaa,0xaaaaaadf,0xdfff980a,
    0x0aaaaaaa,0x556fffcc,0x400aaaaa,0x4002fffa,0x4002fffa,0x0002fffa,
    0xf7009fff,0x5fffffff,0x05fff500,0x30fff900,0x3f20bfff,0x5fff987f,
    0x09fffb00,0x261fff20,0x3fa05fff,0x7fcc004f,0x7fcc004f,0xff98004f,
    0x7fcc004f,0x7d40004f,0x7d4002ff,0x7d4002ff,0xf90002ff,0x3f2200ff,
    0x5003ffff,0xf0005fff,0xffffffff,0x3fe0ffff,0xffffffff,0xff5007ff,
    0x3ffe005f,0xffffffff,0x3fff507f,0x4fff9800,0x27ffcc00,0x27ffcc00,
    0x13ffe600,0x5fff5000,0x2fffa800,0x17ffd400,0x2fff8800,0x3fffe600,
    0x5fff5004,0xffff9800,0xffffffff,0x7fffcc1f,0xffffffff,0xfffa801f,
    0xffff9802,0xffffffff,0x06ffd81f,0x04fff980,0x027ffcc0,0x027ffcc0,
    0x013ffe60,0x05fff500,0x02fffa80,0x017ffd40,0x00dffb00,0x005fffa8,
    0x8005fff5,0xfffffffc,0x44ffffff,0xfffffffc,0x04ffffff,0x802fffa8,
    0xfffffffc,0x44ffffff,0x8002fff9,0x4004fff9,0x8004fff9,0x4004fff9,
    0x0004fff9,0x0017ffd4,0x000bffea,0x0005fff5,0x010fffd4,0x004fffa8,
    0x8005fff5,0x3e205ffe,0x2fff46ff,0x00dfff10,0xd005fff5,0x7fc40bff,
    0x03ffe46f,0x9cfff980,0x40999999,0x999cfff9,0xf9809999,0x99999cff,
    0x7ffcc099,0x9999999c,0x17ffd400,0x0bffea00,0x05fff500,0x25ffe800,
    0xcaaabdfa,0x5002ffff,0x44005fff,0x7f403fff,0x7fff10ff,0x00fffe80,
    0x2017ffd4,0x7403fff8,0xfff10fff,0x3fe60007,0xffffffff,0x7fffcc5f,
    0x5fffffff,0xffffff98,0x4c5fffff,0xffffffff,0x7fec5fff,0xffffffff,
    0x7fffec5f,0x5fffffff,0x7fffffec,0x005fffff,0xfa87ffdc,0xffffffff,
    0x3fff605f,0xffffffff,0x03ffee05,0x2e7fff70,0x7dc00fff,0x7fd403ff,
    0x7ffdc02f,0x9fffdc00,0x0000fffb,0xfffffff3,0xf98bffff,0xffffffff,
    0xfff985ff,0xffffffff,0x7ffffcc5,0x45ffffff,0xfffffffd,0x7ec5ffff,
    0xffffffff,0x7ffec5ff,0xffffffff,0x7ffc4005,0xffffff53,0xfd807fff,
    0xffffffff,0x3ff605ff,0x5fff9806,0xf300dffb,0xffa80bff,0x37fec02f,
    0x8afffcc0,0x26000099,0xffffffff,0x7fcc5fff,0xffffffff,0xffff985f,
    0x5fffffff,0x7fffffcc,0x6c5fffff,0xffffffff,0x7fec5fff,0xffffffff,
    0x7fffec5f,0x5fffffff,0x20998800,0x2accba98,0xfffffb00,0x0bffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2002aa80,0x0164c1ca,0x4400aaa0,0x55401bcb,
    0x0d555442,0x554c0000,0x2aaa20aa,0x0000001a,0x2c983950,0x01aaaa88,
    0x1554c000,0xaaccca88,0x2ea02aaa,0x54401acc,0x00001aaa,0x9855554c,
    0x3a201aaa,0x5400efff,0xfff10fff,0x3fff2007,0x7fff4c05,0x07ff704f,
    0x003ffff7,0x7fffcc00,0x1ffffb83,0x07bf2000,0x887ffd40,0xffb83fff,
    0x200001ff,0x7e447ffd,0xffffffff,0xffffb87f,0x2e00dfff,0x0001ffff,
    0x47ffff30,0x3604fffc,0x405ffcff,0xff52fffc,0xfff900bf,0x7ff40bff,
    0x7cc1fffd,0x3ffa605f,0xf980001f,0x3a601eff,0xb8001fff,0xf9006fff,
    0x3ffea5ff,0x3fffd305,0x3ff60000,0x7ffffec7,0x47ffffff,0xfffffffb,
    0x7f4c06ff,0x4c0001ff,0x7dc1efff,0x47fe04ff,0x7fd407f9,0x05fff10f,
    0xffb5ffb8,0x267ff309,0x07ff44ff,0x07fff620,0xdfff9800,0xfffd8800,
    0x7ffe4001,0xfffa800f,0x405fff10,0x001fffd8,0x2a7ffd80,0x3faa3fff,
    0x3fe62aef,0xffe99cff,0x7fec402f,0xff30001f,0xfff701bf,0xf997fc09,
    0x440b9807,0x1e64401b,0xff50732e,0xff72ffc3,0x66654007,0x79990000,
    0x19995000,0x37ffd400,0xb8817300,0x19995001,0x7ffd8000,0x3ea1bff2,
    0x7ffdc1ff,0x027ffc42,0x000ccca8,0x2e03ccc8,0x3f603fff,0x0005ffdf,
    0x2e000000,0x453fe1ff,0x000006ff,0x00000000,0x0019b700,0x00000000,
    0x74fffb00,0xfff884ff,0x207ffec2,0x0004fff8,0xfb800000,0x3f6203ff,
    0x26000dff,0x4000accb,0x300accb9,0x4ffea9ff,0x22001ffd,0x001accba,
    0x005665cc,0x02b32e60,0xaaa80000,0xa8555302,0x555302aa,0x75e654c0,
    0x1bff67ff,0xfd07ffe2,0x5fff90df,0xcccca880,0xcca8801b,0xff501bcc,
    0x0353007f,0x7ffff440,0xfe8804ff,0xd04fffff,0x71fffdff,0x7dc007ff,
    0x0dffffff,0x7ffff440,0xfe8804ff,0x884fffff,0x2aaaaaaa,0xb05fff80,
    0x5fff8fff,0xd30fffb0,0xffffffff,0x217ffdcf,0xffe87ffd,0x02fffe45,
    0xffffffd1,0xfd103dff,0xdfffffff,0x02fffa83,0x37999951,0xfffffa80,
    0x2a06ffff,0xffffffff,0xffff986f,0x006ff8af,0x3ffffff6,0xf500ffff,
    0xffffffff,0x7fffd40d,0x4c6fffff,0x6fffffff,0xb05fff80,0x5fff8fff,
    0xfc8fffb0,0xffffffff,0x77fff47f,0xe83fffed,0x3ffee5ff,0x7fffc405,
    0x0effffff,0x7fffffc4,0x2a0effff,0x7f442fff,0xefffffff,0x17ffff01,
    0x207fffb3,0xd98bffff,0xca883fff,0x003ffb0a,0x337fffee,0xf05ffffc,
    0xfb317fff,0x3ffe07ff,0xfffd98bf,0x3ffffe63,0xfff806ff,0xf8fffb05,
    0xfffb05ff,0x567fffd4,0x227ffeba,0xfffffffe,0x2bffd04f,0x8806fff8,
    0xe9889adf,0x6fc44fff,0xffe9889a,0x0bffe64f,0xfffffff1,0xfb81dfff,
    0xfffd81ff,0x40fffdc0,0xa800fffd,0xff1004ff,0xffe883ff,0x0fffdc1f,
    0x2e07ffec,0xffd81fff,0xf555510f,0xfff00dff,0xf1fff60b,0x3ff60bff,
    0x03fffd17,0x7fe4fffb,0x00cdeecd,0x7fcd7ffa,0xf880003f,0x7c4005ff,
    0x3ffe65ff,0x44d6fc42,0x44fffe98,0xff506fff,0x06fff83f,0x8803fff5,
    0x3ee006ff,0xfff503ff,0x506fff87,0xfff83fff,0x03fff506,0x7c037ffc,
    0xfffb05ff,0xfb05fff8,0x13ffeaff,0xfff3ffec,0xbffd0003,0x0017ffe6,
    0x0037ff40,0xff337ff4,0xff88003f,0x37ffe25f,0xffcaaaaa,0x37ffe22f,
    0xffcaaaaa,0x0ffec02f,0x01fff900,0xf897ffe2,0xaaaaadff,0x3e22fffc,
    0xaaaaadff,0x3e02fffc,0xfff806ff,0xf8fffb05,0xfffb05ff,0x6c07ffee,
    0x9fff17ff,0x5ffe8001,0x0017fffe,0xffd55531,0xaaa9880d,0x3fe66ffe,
    0xffe8001f,0x3ffffe66,0xffffffff,0x3ffffe63,0xffffffff,0x553fea03,
    0xffb03efd,0x26fff80f,0xfffffff9,0x23ffffff,0xfffffff9,0x03ffffff,
    0x3e01bffe,0xfffb05ff,0xfb05fff8,0x03fff2ff,0xffd3ffec,0x9bdfffff,
    0x5cbffd03,0x400effff,0xffffffeb,0xffd706ff,0x4dffffff,0x4401fff8,
    0x6ffeaaa9,0x3fffffea,0x3fffffff,0x3fffffea,0x3fffffff,0x3f2dff10,
    0xfe84ffff,0x37ff407f,0xfffffff5,0x47ffffff,0xfffffffa,0x03ffffff,
    0x3e01bffe,0xfffb05ff,0xfb05fff8,0x81fffaff,0x3fa27ffd,0xffffffff,
    0x22fff44f,0x80fffffc,0xffffffe8,0x7446ffff,0xffffffff,0x3ffe26ff,
    0xffffd701,0x7d4dffff,0x99999bff,0x3ea09999,0x99999bff,0xfb009999,
    0xd7dff33f,0x7ffd83ff,0xf52fffc0,0x333337ff,0x7d413333,0x99999bff,
    0x3e009999,0xfff806ff,0xf8fffb05,0xfffb05ff,0x6c03fff6,0x3ffea7ff,
    0xffffeeee,0x217ffa3f,0xd85ffffa,0x999aefff,0x7fec6ffe,0xfe999aef,
    0x03bba26f,0xffffffd1,0x7c4dffff,0xf88003ff,0x2a0003ff,0x23ff74ff,
    0x7fe42ffa,0x9fff301f,0x001fffc4,0x001fffc4,0x4037ffc0,0xffd05fff,
    0xd05fff8f,0x3fff2fff,0x26fffd01,0xff504fff,0x82fff4df,0x7c47fff9,
    0xdffb06ff,0xd837ffc4,0x3f6006ff,0xe999aeff,0x37ffc6ff,0x06fff800,
    0x21dff100,0x0ffe27fc,0x320bfff7,0x7ffc2fff,0xdfff0006,0xdfff0000,
    0xb0fffd00,0xffe8ffff,0x77fffd87,0xffb07fff,0x01fff6ff,0x7ff4dffd,
    0x83fff605,0xf884fff9,0x3ffe66ff,0x46fff884,0x7ffc40a8,0xc8dffb06,
    0x1100dfff,0x01bfff90,0x8bff2022,0x5ff30ffc,0x24ffff88,0xc86fffb8,
    0x1100dfff,0x01bfff90,0xdfff0022,0x25fffb00,0x47ffffd8,0xfb12fffd,
    0x3fe2ffff,0xfff911ff,0x07fff6ff,0xfd27ffcc,0x3fff40bf,0xf31bffe6,
    0x7fccdfff,0x7fffcc6f,0x987ffe66,0xff884fff,0x7fffc46f,0x4feeccef,
    0xefffff88,0x4c4feecc,0x67fdc5ff,0xfb81ffd8,0xfffeffff,0xfff881ff,
    0xfeecceff,0xfffff884,0x04feecce,0x5c037ffc,0xffffffff,0x7fdc7fff,
    0xffffffff,0x3ffff67f,0x7ffffffe,0x357dfff9,0x43ffff95,0x9bd55ffe,
    0xff0bfffd,0xfffd9fff,0xffff8dff,0xfffffecf,0x997fff66,0x7fcc6fff,
    0xffe986ff,0x4fffffff,0xfffffd30,0xfe89ffff,0xfffff80f,0x3fff605f,
    0x02ffffff,0x3fffffa6,0xd304ffff,0xffffffff,0x7777649f,0xeeeeffff,
    0xfffffe81,0xe87ffaef,0xaeffffff,0x3ffa27ff,0xffaeffff,0xfffffd17,
    0x85ffffff,0xfff55ffe,0xf701dfff,0x7fffffff,0xfffb8dff,0xffbfffff,
    0xf17fff66,0xffd9ffff,0x7e40dfff,0x3effffff,0x7ffffe40,0x3ff23eff,
    0x9fffd302,0xffffd500,0x3f2001bf,0x3effffff,0x7ffffe40,0x3ffa3eff,
    0xffffffff,0xffd881ff,0x0fff34ff,0x29ffffb1,0x7ec47ff9,0xfff34fff,
    0x7ffff5c4,0xfe80bfff,0xfffff55f,0x7ffdc019,0x6ff98cff,0xcfffffb8,
    0x3e66ff98,0x7ffdc1ff,0xffbfffff,0x19a98806,0x19a98800,0x00188000,
    0x40001530,0x80019a98,0xfd019a98,0xffffffff,0x4c403fff,0x99880009,
    0x00998000,0x04d4cc40,0x00998800,0x8000d4c0,0x262001a9,0xfffff700,
    0x00dff319,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00353000,0x08179710,0x3260e540,0x0004d4c2,
    0x4000aaa0,0x98000009,0xa800aaaa,0x65c4002a,0x8800040b,0x0d5542cc,
    0x5541aaa8,0x02f32e0a,0x1006aaa6,0x54c03555,0x54a9abcc,0x97000555,
    0x00037307,0x3fffe600,0x503fa8bf,0x3fe21fff,0x3ffff63f,0x7fe4001d,
    0xffd5005f,0x000019ff,0x007ffff3,0x200bfff9,0x8bfffff9,0xfc8003fa,
    0x82fffc2f,0x7ff45fff,0xffffff9a,0x02fffcc3,0x260bffee,0xfffffffe,
    0x00bffd7f,0x2e3fffb8,0xaa804fff,0xffffd002,0x20dfffff,0xff52fffc,
    0x7fffecbf,0xfc800dff,0x6405ffff,0xffffffff,0x3fe60000,0xffc801ef,
    0xfe805fff,0xffffffff,0x0ffe8006,0xff82fffc,0x7e7ff45f,0x3fffffff,
    0xd007fff4,0xfff90fff,0xffffffff,0xb0017ffa,0x3fe2dfff,0x3f200fff,
    0x1fa805ff,0x03fffff7,0x7c43ffea,0x3fff62ff,0x200effff,0x9ffb5ffb,
    0x33bffe60,0x0005fffe,0x001bfff3,0x3ff6bff7,0xfb8fd404,0x4401ffff,
    0x85ffddba,0xfff05fff,0xfffffe8b,0x47fffdbe,0xf303fffb,0xfffa89ff,
    0xffebaacf,0x800bffd7,0xff14fffc,0x3f201fff,0x0805ffff,0x20056544,
    0x40dc40b9,0xffffda98,0xb8799105,0x6ffd81cc,0x8003ffec,0x91003ccc,
    0x01ccb879,0x02b2a204,0xffffff70,0x0bfff0bf,0xffd17ffe,0xfffd85ff,
    0x41bffe22,0x7f41fffc,0x7ffd81ff,0x8800bffd,0x3ffa0dfd,0x2bff706f,
    0x00004ffd,0xfa800000,0x00001fff,0x3ea1fffc,0x000000ff,0x00000000,
    0x3fffff60,0x7fc5ffff,0x8bfff05f,0xf983fffe,0x7ffec4ff,0x546fff81,
    0xffb04fff,0x0017ffaf,0x80ded880,0x665c3cc8,0x3332a201,0xca8801bc,
    0x2001bccc,0x5543fffd,0x8555302a,0x7fdc4fff,0x65d44007,0x2a2001ac,
    0x2001accb,0x01accba8,0x32fbffee,0x3e5fffff,0xbfff05ff,0xf106ffe8,
    0xfffa8bff,0x21fffd44,0xfb01fffb,0x997ffaff,0x33300bcb,0x88000000,
    0xfffffffe,0xffe881ef,0x1effffff,0x43fffb80,0xffb05fff,0x226ffd8f,
    0x2e005fff,0xdfffffff,0x7fffdc00,0x5c00dfff,0xdfffffff,0x877ffc40,
    0x1fffeffc,0x3fe0bfff,0x02fff45f,0xffd0dfff,0x40fffd8f,0xfb00fffd,
    0x237ffaff,0x43fffffe,0x8000fff8,0x1bcccca8,0x3ffffe20,0x40efffff,
    0xfffffff8,0x6400efff,0x7ffc2fff,0xb8fffb05,0xffe9bfff,0xfffb000f,
    0x1fffffff,0x3fffff60,0xb00fffff,0xffffffff,0x7ffdc1ff,0x3fe7ffe2,
    0x20bfff2f,0x7ff45fff,0x21bffe05,0xff12fffb,0x0fffd09f,0xffebffec,
    0xfffffffe,0x03ffe23f,0xffffe880,0x881effff,0xe9889adf,0x6fc44fff,
    0xffe9889a,0x3ffea04f,0x82fffc0f,0xffe87ffd,0x001fffff,0x99bffff7,
    0xf70bffff,0xff99bfff,0xfff70bff,0xffff99bf,0xf53ffe4b,0x7d3ffa9f,
    0xbfff05ff,0xf105ffe8,0xfff10bff,0x207ffeeb,0xfb00fffd,0x3ffffaff,
    0x7fffdbef,0x8007ffe2,0xfffffff8,0x4000efff,0x4005fff8,0x3aa5fff8,
    0x83fffffe,0xffb05fff,0xfffff30f,0x3fe2001b,0x7ff441ff,0x3fffe21f,
    0x0ffff441,0x883ffff1,0xffb1fffe,0xfd8ffecd,0x30bfff6f,0xffe8bfff,
    0x07fff305,0x3fa3fff6,0x3fff906f,0x7f5fffa0,0x7fec2fff,0x03fff12f,
    0x44d6fc40,0x04fffe98,0x006ffe80,0x3ea6ffe8,0xf04fffff,0x3ff60bff,
    0x7fffec47,0x5c1554c6,0xff503fff,0x1fffdc7f,0x2e3fffa8,0xff503fff,
    0xf97ffa7f,0x7dbff67f,0x7ff447ff,0x82fff45f,0xf502fffd,0x07fff7ff,
    0x360fffee,0xfffd7fff,0x29fff307,0x3a61fff9,0x7c4001ef,0x54c405ff,
    0x406ffeaa,0xffeaaa98,0x33bffea6,0x417ffe01,0x3fa27ffd,0x325fffff,
    0xfffc85ff,0x4bfff100,0xf100fffc,0x7ffe4bff,0x2bfff100,0x9ff56ffd,
    0xfffafff4,0xffffd32f,0xc85ffe8f,0x7fc06fff,0x100fffff,0x3223ffff,
    0xffd7ffff,0x57ffe20d,0x3fa1fff9,0xfe8007ff,0xfffd706f,0x20dfffff,
    0xffffffeb,0x3ffea6ff,0x05fff800,0x7fe4fffb,0xb3fffeaf,0xfffb09ff,
    0x366fff80,0x7ffc07ff,0xf01fff66,0x5ffeedff,0x3ffe1ffd,0xfffffff4,
    0x5fffffff,0x377bfffa,0x400fffff,0x05fffffc,0x7f7fffec,0xfd7fffff,
    0xb7ffc0bf,0xff12fff9,0x4c403fff,0x46ffeaaa,0xffffffe8,0x7446ffff,
    0xffffffff,0x1ffe66ff,0xd82fffc0,0x9fff17ff,0x3abfffa2,0x7ffe83ff,
    0xfd37ff40,0x6ffe80ff,0xfd01fffa,0x2fffe6df,0x3ffee6ff,0xfffffff2,
    0x5ffff5bf,0x3ffffffa,0x8802ffff,0x401fffff,0xffffffe8,0xffd7ffce,
    0xab7ffc0b,0x3ffe2fff,0xffeb80ff,0x46ffffff,0x99aefffd,0x7ec6ffe9,
    0xe999aeff,0x1bba66ff,0xd82fffc0,0x5fff57ff,0x7fffffcc,0x07ffd81f,
    0xffb2fffc,0x25fff80f,0x7fc07ffd,0xfffff15f,0x9bffea9f,0x4fffffff,
    0x7f4bfff6,0x4effffff,0x2fffec00,0xffffd880,0x3fafff94,0xbfff105f,
    0xfa8bffea,0x7ff442ff,0xffffffff,0x41bffe26,0x3fe26ffd,0x0dffb06f,
    0x05fff800,0x3feefffd,0x7fffd40f,0x3fff906f,0xc93ffe60,0xff301fff,
    0x0fffe49f,0x2a4fff98,0xfedfffff,0x3ffe2fff,0x4333018c,0x0198dffe,
    0x0bfffa00,0xfd826600,0x20bffd7f,0xff53fff9,0xd809887f,0x999aefff,
    0x3fe66ffe,0x6fff884f,0x2213ffe6,0x0d4c6fff,0xd87ffe80,0xfff57fff,
    0x7ffff905,0x417ffee0,0x3ee2fffc,0xfff905ff,0x82fffdc5,0x7d42fffc,
    0xffffffff,0x0027ffc2,0x0002fff4,0x0037ffd4,0x3afffb00,0xfffb05ff,
    0x00fffea5,0xd837ffc4,0x3ffe66ff,0x37fffcc6,0xf98dfff3,0x3fee6fff,
    0xfffd802f,0xfffffb12,0x303bffe2,0x2209ffff,0x2e24ffff,0x7fc46fff,
    0x3fee24ff,0x7fffc46f,0x1bffee24,0x7fffffe4,0x05fff80d,0x005ffe80,
    0x0ffffd40,0xfffb0000,0x3f217ffa,0x3ffee6ff,0xf30fffa3,0xfff109ff,
    0xcfffff8d,0x46fffffe,0xfecfffff,0x3fe6ffff,0xffb805ff,0xffffffff,
    0x3ffff67f,0xfffffecd,0xffff702f,0x3fffffdf,0xdfffff70,0x703fffff,
    0xffdfffff,0x3f603fff,0x7fc00aaf,0xffe8005f,0x77744005,0x0002ffff,
    0xfebffec0,0xfffddeff,0x3ffee0ff,0xf303ffe3,0xfff98dff,0x7fffdc6f,
    0x6ffbffff,0x7fffffdc,0x3e6ffbff,0xfd005fff,0xf5dfffff,0x7fff44ff,
    0xffffffff,0xfffb01ff,0x05ffffff,0x7fffffec,0x3f602fff,0xffffffff,
    0x00dff102,0x4002fffc,0x44005ffe,0x03ffffff,0x7ffd8000,0xfffffffd,
    0xffb85fff,0x20bff34f,0xfecfffff,0xfb86ffff,0xf98cffff,0xffffb86f,
    0x26ff98cf,0x1001fffa,0x269ffffb,0xfffb87ff,0xfff53fff,0x3ffaa01f,
    0xa800dfff,0x0dfffffe,0xffffea80,0x3fee00df,0x17ffe003,0x017ffa00,
    0x1bffff10,0x3f600000,0xffffb57f,0x3f209dff,0x05ff54ff,0x3fffffee,
    0x206ffbff,0x530001a9,0x004c4003,0x0004cc40,0x00004cc4,0x20000a98,
    0x260000a9,0x0331000a,0x00000000,0x0001a980,0x33300000,0x05dcc000,
    0x9fffff70,0x000dff31,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00035300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98395000,0x5555402c,0x53000082,0x55501555,0x002aa801,
    0x00000555,0x40000000,0x201aaaa8,0x55554000,0x00000002,0x2c980000,
    0x00005dc4,0x002aaa80,0x10fffa80,0x7cc07fff,0xffdbcfff,0x7ffcc001,
    0x7fff543f,0x00ffee01,0x4017fff2,0xdefffec8,0x3fb2a001,0x001bdfff,
    0x897fffa2,0xdeffffdb,0x7fff4c02,0x3b2a0004,0x4c002cef,0xbdfffedb,
    0x23fff880,0xca805ffe,0xd00cdffe,0x90000bff,0x3fea5fff,0x3ff6605f,
    0x01ffffff,0x07bffe60,0x03fffff3,0x32017fe6,0x405fffff,0xfffffffa,
    0x7f4c05ff,0xffffffff,0xfffd1004,0xfffffa87,0x4406ffff,0x4004fffd,
    0xffffffd8,0xffc800ef,0x1fffffff,0x3e4fffa8,0x7fec07ff,0x81efffff,
    0x80005ffe,0xff10fffa,0x3fffa05f,0x0cefffff,0x1bfff300,0x07ff7360,
    0x2e007ff4,0x09ffb5ff,0x3bffffe6,0x703fffff,0xffffffff,0xd1009fff,
    0xff503dff,0xffffffff,0x9fff700b,0x37ffa200,0x1effdbab,0xfffffd10,
    0x103fffff,0x7fec5fff,0xffffd105,0x83ffffff,0x00005ffe,0x01b88173,
    0x3ffffffa,0xccc8006f,0x03ff9003,0xc8807ff7,0x40e65c3c,0x7cc2fffd,
    0xfff986ff,0xdba9acef,0x4ccb804f,0xc986b260,0x9800ffff,0xfe801ccc,
    0x0dff502f,0x2f7ffff6,0x101fdba9,0x5c055037,0xfb30dfff,0x5ffe8bff,
    0x80000000,0xfffd0acc,0x90000007,0x6ff883ff,0x7fc00000,0x0fff905f,
    0x401bfffd,0x00000018,0x0007fffa,0x20bfea00,0x985ff508,0x2202ffff,
    0xff800000,0x3fffd06f,0x0002fff4,0x35997510,0x3f6e6200,0x55501fff,
    0x40aaa605,0x7fec1ffc,0x55554401,0x7fc02aaa,0x8fff905f,0x0006fffa,
    0x55555551,0x7fdc0005,0xaaaa881f,0x7f402aaa,0xe9fff646,0x1ffff46f,
    0x55554400,0x7dc02aaa,0xfff302ff,0xa8afff49,0x2e001bcc,0xdfffffff,
    0x3fffea00,0xff05ffff,0x1fff60bf,0xff70ffe4,0xffff3007,0xfe80dfff,
    0x7ffc42ff,0x017ffec4,0xfffff980,0x320006ff,0xfff306ff,0x4c0dffff,
    0xfffd12ff,0x4c7fea7f,0x30007fff,0xdfffffff,0x107ffd80,0x7f4dfffd,
    0xfffff9df,0xfffd802f,0x0fffffff,0xffffffc8,0xff81ffff,0x0fffb05f,
    0x7fc47ff2,0xffff3006,0xfa80dfff,0xff98cfff,0x3fff40ff,0xffff3000,
    0x2000dfff,0xf304fffa,0x0dffffff,0xffc87fd4,0x5ff11bbe,0x0013ffea,
    0x7fffffcc,0x2fff406f,0x3fffffd4,0xffffdffd,0x5c01ffff,0xfccdffff,
    0x7fd45fff,0xffcaacff,0x05fff85f,0x2620fffb,0x4007ff61,0xfffaaaa8,
    0xffffc806,0xf81fffff,0x555446ff,0x55441aaa,0x806fffaa,0xfffedcc9,
    0x2aaaa203,0x3ee06fff,0x7c07ffe7,0x07fff74f,0x2aaaa200,0x7fc06fff,
    0x7fffe44f,0x3fffa7ff,0xffffceff,0x3ffff104,0x21fffe88,0x7c41fffe,
    0x5fff87ff,0x200fffb0,0x40004ffa,0xf7006fff,0x03ffffff,0xfa8bfff1,
    0x804fffff,0xfb806fff,0x00dfffff,0x9037ffc0,0x81ffe2df,0x5fff95fe,
    0x7ffc0000,0x53ffe206,0xfcefffe9,0xffffd0ff,0x837ffc45,0xf503fffb,
    0x3ffea7ff,0x83fffb04,0xffb05fff,0x0dff100f,0x0dfff000,0x3ffffee0,
    0x7fcc1fff,0x7fffd45f,0xfff804ff,0xffffb806,0x2004ffff,0x3f606fff,
    0x740fff16,0x05fffb5f,0x37ffc000,0xf77fff10,0x3fee7fff,0x07fffd0f,
    0x3f20fffd,0xfff100ff,0x407ffeeb,0x7fc2fffb,0x0fffb05f,0x0003ffb0,
    0xb00dfff0,0xfff9dfff,0x7ffc43ff,0x7fe664c5,0x6fff804f,0xca999880,
    0xf004ffff,0x3fe40dff,0x3fe03fff,0x007fff94,0x037ffc00,0x3ffffffe,
    0xe9fff21e,0xfffb06ff,0xf01fff60,0x3fff2dff,0x87fff500,0xffb05fff,
    0x24ffa80f,0x7c004ccb,0x7fe406ff,0x3fffa64f,0x2037ffc6,0xff804fff,
    0x3e60006f,0xff800fff,0x43fee06f,0x219aeffe,0x9fff73ff,0x7ffc0000,
    0x7ffffc06,0x3ffec0df,0x3f60bffd,0x0fffd07f,0xffd6ffe8,0x1fffd40f,
    0x7ec17ffe,0x9bfe207f,0x000ffffb,0xf881bffe,0xfffd05ff,0x007fff43,
    0xff009fff,0xfc8000df,0xfff802ff,0x54bfea06,0xf33fffff,0x1bffea5f,
    0x6fff8000,0x1fffff40,0x3fa6ffe8,0x0fffb05f,0xff01fff6,0x03fff6bf,
    0x3e1fffdc,0xfffb05ff,0xf88ffec0,0x2000ffef,0x3ea06fff,0xfff502ff,
    0x027ffec5,0xff009fff,0xfc8000df,0xfff802ff,0xa97fe206,0xffb3ffff,
    0x07fffe61,0x37ffc000,0x40bfff60,0x3fa4fff9,0x0fffb05f,0x4c07fff2,
    0xfff94fff,0x0bfff203,0x3fa0bfff,0x49ff507f,0x00ffbdfd,0xa81bffe0,
    0xff503fff,0x7fffcc5f,0x009fff01,0x8000dfff,0xf800fffe,0x7fe406ff,
    0x7c4554c1,0x77ffec3f,0xfff80000,0x2fffcc06,0x3a0fffc8,0xfffb05ff,
    0x417ffee0,0xff72fffc,0xffff109f,0xd87ffe81,0xff887fff,0xf71ff50e,
    0x7ffc001f,0x3fffe606,0x40fffd80,0x09bffffc,0xf009fff1,0x30040dff,
    0x200dfffb,0x7c406fff,0xffd101ff,0xfffff981,0x1fca989b,0x806fff80,
    0x7dc3fffe,0x2fff45ff,0xf107ffd8,0x7dc49fff,0x3ffe26ff,0x3fff622f,
    0x12fffd85,0x90fffffb,0x677fc5ff,0xf001cffd,0xffe80dff,0xfffcceff,
    0xffff885f,0xffffffff,0x06fff804,0x3fbbbbfa,0x000fffff,0xf700dfff,
    0x3ee637ff,0xfff902ff,0xffffffff,0x0dfff003,0xbfffff50,0xe83fffff,
    0xfffb05ff,0x7ffffdc0,0x41fffffe,0xfefffffc,0xfb81ffff,0xffffffff,
    0x2ffcc7ff,0x3ffffffe,0xeeeec82f,0xeeeeffff,0x3ffffe21,0x206fffff,
    0xffffffd8,0x7644ffff,0xeffffeee,0xfffd1eee,0x3dffffff,0x3fbbbb20,
    0x1eeeefff,0xffffffa8,0x7dc01fff,0xffffffff,0x7777641f,0xeeeeffff,
    0xfffffa81,0xfe81efff,0x0fffb05f,0xffffffd8,0xfd882fff,0xffffffff,
    0x3ffffa02,0x47ffaeff,0x55540ffe,0xe80bffda,0xffffffff,0x6441ffff,
    0x2effffff,0xffffd700,0xfe817dff,0xffffffff,0xfffd1fff,0x805bffff,
    0xfffffffe,0x301fffff,0x19dffffb,0x3ffb2200,0xfe83dfff,0xffffffff,
    0xfb301fff,0x2019dfff,0xffb05ffe,0xfffd500f,0xfb801bff,0x01cfffff,
    0xa7fffec4,0x3ff27ff9,0x00ffb802,0xfffffffd,0x403fffff,0x00009a98,
    0xfd0066a2,0xffffffff,0x4ccc3fff,0x7ff40019,0xffffffff,0x098801ff,
    0x00998000,0x7ffffff4,0x01ffffff,0xfe800998,0x0fffb05f,0x8000a980,
    0x88001a98,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1b980000,0x205e5c40,
    0x09bcca80,0xaa815540,0x0155400a,0x00800010,0xccca9800,0x5555511b,
    0x554c0555,0x6eeb8002,0x002776c0,0x20000000,0x0eedcba8,0x3bbbbba6,
    0x0004eeee,0xbffdb700,0xfff70019,0x3fffe609,0x7c3fa8bf,0x2e06ffff,
    0x7ff543ff,0x0ffee01f,0x800dfb70,0xeffffedb,0x3ff66004,0xff36ffff,
    0x40dfffff,0xc8007ffd,0x7ffc07ff,0x3ffb6205,0x3b2202de,0x3003efff,
    0xfffffffb,0x7ffffcc3,0x985fffff,0x02dfffdb,0x7ffffec4,0x3e202fff,
    0xfe80ffff,0xffffffff,0x7ff55646,0x4c5ff981,0x301fffff,0xfff00bff,
    0x3ffea00d,0x07ffffff,0xffffff10,0x3ffe6dff,0x3606ffff,0xfc8007ff,
    0x2fffc07f,0xffffffb8,0x7fdc0dff,0x0dffffff,0x3ffffea0,0x3e61ffff,
    0xffffffff,0x7fffe45f,0x880effff,0xffffffff,0xff103fff,0x3f501fff,
    0x07ffffee,0x203ff666,0xdcd80ffe,0x1ffd01ff,0x00dfff00,0xfffffff3,
    0x3600ffff,0xba9aefff,0xff555514,0x3ffec0df,0x03ffe400,0x3e617ffe,
    0xfffeffff,0x3fffee1f,0x05ffffff,0x79dffff5,0x99981555,0x5fff9999,
    0x3ffffffa,0xfd85ffff,0xfeb9beff,0x3ffa07ff,0x9510206f,0xffff1015,
    0x807ff705,0xffb81ffc,0x0dfff003,0x33bfffd0,0x7c016e66,0xff8006ff,
    0x1fff606f,0x01fff200,0xffd0bfff,0x8bee217f,0x88bffff8,0x442ffffa,
    0x0002ffff,0x2a5fff88,0xfd99beff,0x3fe61fff,0xfffd80ef,0x01bdb103,
    0xfff88000,0x1bfe23ff,0xf107ff20,0x555540df,0xaaaaefff,0x0dfff12a,
    0x7fff1000,0x0dfff000,0x4003ffec,0x7fc07ffc,0x2fffc45f,0x1fffdc08,
    0x2e37ffcc,0x00003fff,0x3c8bfff1,0x6c7fffb0,0xff301fff,0x554000df,
    0x06f32e0a,0x7ecdff10,0x1ffc801f,0xf880ffec,0xffffffff,0xff35ffff,
    0xf30000df,0xff0005ff,0x3ffec0df,0x322aaaa8,0x7ffc07ff,0x017ffd45,
    0xd00fffd8,0x7ffe8fff,0x3fe20000,0x3fea005f,0x01fffe4f,0x0001fffd,
    0x3fe6bffa,0x3262ffff,0xf73ffdbb,0x3ff2007f,0x880ffee1,0xffffffff,
    0xf15fffff,0x80005fff,0x8002fffa,0x3f606fff,0xffffa87f,0xf01fff21,
    0xfffb8bff,0x0fffd000,0xf887ffe4,0x035315ff,0x17ffe200,0x13fffa80,
    0xfc80bfff,0xfd0001ff,0xffffff9f,0x3ffea1ff,0x0dff16ff,0xf88ffe40,
    0xaaaa806f,0xaaaaefff,0x3ffffe2a,0x3331002d,0x3337fff7,0x7ffc0133,
    0x31fff606,0xfc83ffff,0x2fffc07f,0x4003ffee,0xf702fffd,0x3ffe63ff,
    0xdfffffee,0x3ffe2000,0x3fff2005,0x809fff32,0x0001fffc,0x9dfffffd,
    0x2e29ffff,0x3ff61acc,0xd8662001,0xff8001ff,0xfffa806f,0x200befff,
    0xfffffffd,0x03ffffff,0xfd81bffe,0x3fffe27f,0x407ffc82,0xf9315fff,
    0x333335ff,0x01bfff90,0x3ea5fff9,0xffffffff,0xf1002fff,0x7fc00bff,
    0x7fff50ff,0x02fffb80,0x3ffa0595,0x3ffe22ff,0x04ffa806,0x027fd400,
    0x006fff80,0xfffffff7,0x3fff609f,0xffffffff,0x3ffe03ff,0xe9fff606,
    0xff903fff,0xd5fff80f,0xffffffff,0xff983fff,0xffdcdfff,0xfff72fff,
    0xfffddfff,0xff1001ff,0x3ff200bf,0x0fffea4f,0x905fff70,0xffd09fff,
    0x0fffd07f,0x0006ff88,0x00037fc4,0x4c00dfff,0xfffffffd,0x7777640e,
    0xeeeeefff,0x1bffe02e,0xffb7ffd8,0x3ffe409f,0x7f57ffe0,0xffffffff,
    0xfffc81ff,0xffffffff,0x3bfff72f,0x03fffe88,0x805fff88,0x260efffb,
    0x7dc04fff,0xffff81ff,0x837ff40f,0x7ec07ffd,0x7ec0001f,0x3fe0001f,
    0xfc98006f,0x405fffff,0x8002fffa,0x3f606fff,0x05fffbff,0x3e03ffe4,
    0xffb975ff,0x1999999f,0x3ffffee0,0x51fffeff,0x3e607fff,0xff8804ff,
    0x7ffd405f,0x2fffc41f,0x203fff20,0x743fffff,0xfffb05ff,0x9727fd40,
    0x3fea0099,0x017bfb74,0x000dfff0,0x0fffffa8,0x00bffea0,0xd81bffe0,
    0x06ffffff,0x200fffc8,0x7fdc4fff,0xa988000f,0x1fffb2ac,0xf813ffe6,
    0xff8806ff,0x3ffe605f,0x0dfff01f,0xf507ffe8,0xffe87fff,0x20fffb05,
    0x3fee6ff8,0x7fc400ff,0x9fffff76,0x00dfff00,0x5ffff100,0x017ffd40,
    0xb037ffc0,0x5fffdfff,0x00fffb80,0xfb87fff1,0x400000ff,0x3fe26fff,
    0x17ffe05f,0x413ffe60,0x201ffff9,0xf100ffff,0x7fe40dff,0x82fff42f,
    0xffb07ffd,0x3ffbfe23,0xb0ffec00,0x801ffd35,0x00006fff,0x5405fffb,
    0xf8002fff,0x3ff606ff,0x01ffff9f,0x5c0fffea,0x7fdc1fff,0x2a00000f,
    0x7ffc3fff,0x3fffa80f,0x1fffdc01,0x00ffffcc,0x6413ffee,0x3ea02fff,
    0x2fff41ff,0xfa87ffd8,0x3ef7f64f,0x13fea00f,0xfe807fe8,0xfd00007f,
    0x7fd401ff,0xfff8002f,0x5dfff606,0xf100efff,0xff983fff,0x0fffb86f,
    0xfff30000,0xdfffb81f,0x47fffa60,0x7ffd41da,0x7fffcc1f,0xffff8801,
    0xdfff931c,0xe86ffc80,0xfffb05ff,0xf50eff88,0x201ff71f,0xf900eff8,
    0xfffb009f,0x04df5c07,0x01bfff66,0x0005fff5,0x7ec0dfff,0x17fff67f,
    0xeeffffc8,0x222ffffe,0x99afffc9,0x22099999,0xffdaa999,0xfff883ff,
    0xffffeeff,0x3fbffea4,0x7cc5ffff,0xaaaacfff,0x3ff20aaa,0xffffffff,
    0xffda982f,0x05ffe80f,0xffc8fffb,0x3f73bfe2,0x2ffc81cf,0x005ffd88,
    0xb9dffff7,0x3fffeebd,0xffffffff,0x17ffd401,0x037ffc00,0x7f44fffb,
    0xffd104ff,0x7fffffff,0xffffffe8,0x2fffffff,0x3ffffff6,0x3e604fff,
    0xffffffff,0x7ffffd45,0x7fc0efff,0xffffffff,0x7fdc2fff,0x2fffffff,
    0x1effffc8,0x360bffd0,0x17fe67ff,0xffffffff,0x885ff985,0x0099dffe,
    0xffffffe8,0xfffff75f,0x05ffffff,0x805fff50,0xfffeeeec,0xfb1eeeef,
    0xffff98ff,0x3fffee02,0xffe81dff,0xffffffff,0x3ff62fff,0x02efffff,
    0xfffffd88,0xfffc882e,0xfff03fff,0xffffffff,0xffd505ff,0x3201bfff,
    0x7f403eff,0x4fffb05f,0x55540ffe,0x740bffda,0xfffc80ff,0xc8803fff,
    0x55ffffff,0xfffffffb,0x3ea0019f,0x7ff402ff,0xffffffff,0x0fffb1ff,
    0x003ffff7,0xffe80353,0xffffffff,0x3ff62fff,0x0002ceef,0x4c400351,
    0xfffff801,0xffffffff,0x4004c402,0x3ffa0018,0x32fffb05,0xffb802ff,
    0xc817fe40,0x03ffffff,0x804d54c0,0x0009a999,0x402fffa8,0xfffffffe,
    0xfb1fffff,0x3fff60ff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7777774c,0x400eeeee,0x01accba8,0xdddddd10,0x3ba23ddd,
    0x7776405e,0xb0500281,0xd50009dd,0x359bdddd,0xeeeeec80,0xeeeeeeee,
    0x3bbbbba5,0x3aa00bcd,0xeeeeeeee,0x2201eeee,0x400eeeee,0xceeeeeee,
    0xdddd902c,0x880359bd,0xeeeeeeee,0xddd14eee,0xdddddddd,0xf9872e05,
    0xffffffff,0xffd300ff,0x007fffff,0xfffffff7,0x7ffe43ff,0x8bfff303,
    0x7d403fea,0x017ffe2f,0x3ffffea0,0xd02fffff,0xffffffff,0x7cdfffff,
    0xffffffff,0xfffa80df,0xffffffff,0x3fee02ff,0x7fc03fff,0xffffffff,
    0x7fffec2f,0x02ffffff,0xfffffff3,0x3e6bffff,0xffffffff,0xfffd83ff,
    0xffffff32,0x701fffff,0xffffffff,0xfffd007f,0x43ffffff,0xfb07fff8,
    0x7ffc43ff,0xffff101f,0x0017ffe1,0x3fffffea,0xe85fffff,0x999999bf,
    0x3e6fb999,0xffffffff,0xfffa86ff,0xffffffff,0x3ff602ff,0x7fc05fff,
    0xffffffff,0x3fff62ff,0xffffffff,0xfffff985,0x35ffffff,0xffffffff,
    0xff887fff,0x9fff37ff,0x19999999,0xdeffffa8,0x4c03fedc,0x9afffeff,
    0x3fffb819,0x5427ffcc,0xbca9efff,0x3e2fffd9,0xdeffffff,0x33ffea03,
    0xffffecba,0xeef97f43,0xff37d41c,0xffd955df,0xeeea87ff,0xffeeeeee,
    0x3ffe01ff,0x3e00ffff,0xeb999dff,0x3ff65fff,0xffecbaaf,0x7ffcc3ff,
    0xaaaaaaad,0x55bfff31,0x88355555,0xf99fffff,0x3e2000ff,0x03104fff,
    0xfffbffd8,0x0fffe801,0x6403fff6,0xffffffff,0x7ffc4fff,0xffffffff,
    0x82fffa83,0x3a0ffffc,0xdfffff2f,0xfff9bea1,0x04fffd84,0x06fff980,
    0x3ff3ffea,0x13ffe02f,0xfd9fffe2,0xffff907f,0x027ffcc1,0x004fff98,
    0x9affffc8,0x2e000fff,0x20005fff,0xfff9fff8,0x4fffa801,0xe807fff3,
    0xffffffff,0xfffff86f,0x2fffffff,0xd817ffd4,0x4bfa4fff,0x56ffebaa,
    0x427ffcdf,0x8006fff9,0x3202fffd,0x4fff8eff,0x7413ffe0,0x1fff67ff,
    0x264fffd8,0xf3004fff,0x3a0009ff,0xfff99fff,0x3fff2000,0x3fee0001,
    0x001fff8d,0xffd1fffb,0x9fff900d,0xf0dfffd7,0x7ecc4bff,0x3fea0fff,
    0xbfff502f,0xffc817f4,0x3ffe6fa9,0x05fff884,0x037ffcc0,0x7ff53ffe,
    0x413ffe07,0x3ff66fff,0x97ffea07,0x3004fff9,0x20009fff,0xfff37ffb,
    0xfe801335,0x3a0000ff,0x1fff8aff,0xfdfff300,0xffd003ff,0x41fffb87,
    0xffd05fff,0x17ffd45f,0x7f4ffff0,0xf55ff302,0x5c27ffcd,0x6c004fff,
    0x3e602fff,0x3fff92ff,0x3213ffe0,0x3ff63fff,0x33fffc07,0x26009fff,
    0xd0004fff,0x3ffe69ff,0x81cfffff,0x20007fff,0xfff17ff9,0xfc80999b,
    0x8805ffff,0x7fc40fff,0x82fffc2f,0xfdd4fffb,0xe89dddff,0x40bfa7ff,
    0x26fa9ffc,0xf9314fff,0x44001fff,0x7dc06fff,0x9fff50ff,0x333bffe0,
    0x6c4fffec,0x7ff407ff,0x3bfffe67,0x31eeeeee,0x33339fff,0x754c4333,
    0x3ffe66ff,0x2fffffff,0x0007fff4,0xff14ffc8,0x880fffff,0x800fffff,
    0xfff06ffa,0x305fff87,0x3ffebfff,0x746fffff,0x25fd0fff,0x55fffee8,
    0x7ffffcdf,0x01efffff,0x01fffe40,0xfff17ff6,0x3ffffe0d,0x40dfffff,
    0x7f407ffd,0xffff30ff,0x5fffffff,0x3fffffe6,0x3fa7ffff,0x3a61efff,
    0xffffeeee,0x3fff62ff,0x3fff0003,0x3fffffe2,0x4fffb807,0x20fff700,
    0x7ffc2ffe,0x27fff505,0xffffffff,0xe87ffec6,0x9ffff12f,0xfff9bea1,
    0x02ffffff,0x07fff880,0x361fffc4,0xfff80fff,0xffffffff,0x01fff62f,
    0x3e61fffb,0xffffffff,0xffff32ff,0x4fffffff,0x4002effe,0x2e5fffe9,
    0x4000ffff,0x3fe26ffa,0xec8199af,0xeefffeee,0xfff504ee,0xf81fff03,
    0xfffb05ff,0x33fff2a5,0x3fff42aa,0x07fe25fd,0xffff9bea,0x006ffffe,
    0x403fffc8,0x7dc1fffa,0xdfff82ff,0xfffeca99,0x80fffb0f,0x3fe67ffe,
    0xaaaaaadf,0xfffff30a,0x4cffffff,0x7fd40000,0x3fffe27f,0x20ae60af,
    0x3fe23ffd,0x7ffec01f,0xffffffff,0x89fff305,0xfff86ffb,0x0efffc85,
    0xf80bffea,0xf8bfa6ff,0x3e6fa80f,0xfffb14ff,0x7ffc4009,0x87ffc807,
    0xff85fff9,0x9fffd04f,0xff01fff6,0x27ffccdf,0x04fff980,0x7f400000,
    0x3ffee0ff,0x3fffffff,0x7777ffc4,0x5c01fffe,0xdfffdccc,0x3fa03ccc,
    0xfffcbeff,0xeeffff84,0x41fffffe,0xf302fffa,0x317f4bff,0xff9bea03,
    0x3fffa24f,0x7fff9001,0xffffff00,0x0fffffff,0x3ea09fff,0x0fffb5ff,
    0xf32fffcc,0x3e6009ff,0x54c004ff,0xfff88001,0xfffffb87,0x7dc3ffff,
    0xffffffff,0x7fcc001f,0x3ff6002f,0x6fffffff,0xfffffff8,0xfa83ffff,
    0xfffb02ff,0xdd897f45,0x3fe6fa80,0x27ffdc4f,0x07fffc40,0x3ffffe60,
    0xffffffff,0x9827ffc1,0xfffb5fff,0x317ffec0,0x26009fff,0x2e004fff,
    0x5c004fff,0xf9305fff,0x83bfffff,0xfffffffe,0x54c01fff,0xacfffcaa,
    0xfff701aa,0xffffffff,0xffffff89,0xf500cfff,0xfff705ff,0xff72fe8d,
    0x7fcdf509,0x7fffc44f,0x27ffe400,0x7ffffe40,0xffffffff,0xc827ffc4,
    0xfffb4fff,0x31bffee0,0x26009fff,0xf1004fff,0x0443ffff,0x1ffffdcc,
    0x4037ff60,0x7c40fff9,0x7fec01ff,0xffffffff,0xefff985f,0xffe9aca9,
    0x2bbffe2f,0xffa8009a,0xffea99bf,0x997f41ff,0x26fa82ff,0xffc84fff,
    0x3ffe204f,0x5ffe800f,0xf1bffe20,0x7e4c49ff,0xfffb2fff,0xfffd5333,
    0xcfff983f,0x09999999,0x2009fff3,0x23fffffa,0xfffeeffc,0xff804fff,
    0x17ff201f,0x3fffffe2,0x7fffec2f,0x5fffffff,0x807fffc4,0xff0ffff8,
    0xff5000bf,0xffffffff,0x445fd07f,0x7fcdf500,0xffff884f,0x09fff700,
    0x807fff10,0x3fe0fffe,0xffffffff,0x3fff64ff,0xffffffff,0xfffff983,
    0x35ffffff,0x22009fff,0x321fffff,0xffffffff,0x6ff8804f,0x4417ffc0,
    0x2fffffff,0x017ffcc0,0x2e01ffd4,0x17ffe2ff,0x3fffea00,0x00efffff,
    0xfffffffd,0x4dffffff,0xffb04fff,0x3fffe09f,0x0fffb800,0xf1fffdc0,
    0xffffffff,0xfffd89ff,0x0effffff,0xffffff30,0x26bfffff,0x2e004fff,
    0x7fe44fff,0x00cfffff,0x5407ff50,0xfff107ff,0x9805ffff,0x0a002fff,
    0x2fffc140,0x7fffd400,0x7402bcef,0xffffffff,0x3e6fffff,0xfff304ff,
    0x4fffb81f,0x00dffb00,0x7fcbfff3,0xbdefffff,0xfffffd80,0x7cc02bce,
    0xffffffff,0x9fff35ff,0x101a9800,0x20003333,0x00000aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd3000000,0x40eec87d,0xeeeeeee8,0x71eeeeee,0x3a201ddd,
    0xdddd93ee,0x9ddddddd,0x3bbbb600,0x0eeeeb82,0x3ae9dd70,0x774c02ee,
    0x1bddd33e,0x437bba60,0xd7004eea,0x07bbb65d,0x1017bb60,0x7401fff9,
    0xddd704ee,0x7777764b,0xeeeeeeee,0x8013bba5,0xcdeeeeed,0xff50001a,
    0xf887fe89,0xffffffff,0xff92ffff,0x3ffe201f,0xffffffb4,0x00bfffff,
    0x05fffff7,0x209ffff9,0xfff35ffc,0x1fffd80d,0x6c0ffff6,0x3fea4fff,
    0x27ff9006,0x4c04fffc,0xf9104fff,0x7c01ffff,0xfff985ff,0x3ffffa1f,
    0xffffffff,0x017ffe6f,0xfffffff8,0x4001dfff,0x3ffc3ffb,0x7fffffc4,
    0x2fffffff,0x2201fff9,0xfffb4fff,0xffffffff,0xffff880b,0xfffc82ff,
    0x5ffc80ff,0x4c0bfff6,0x7fcc5fff,0x7ffcc0ff,0x01bfea0f,0xff99ffec,
    0x7ffe406f,0xfffffb82,0x3ffe00ff,0x43fffe85,0xfffffffe,0x26ffffff,
    0x3e005fff,0xffffffff,0x32001fff,0x1bfe22ff,0x33333322,0x0ffffecc,
    0x2201fff9,0x33314fff,0x3337fff7,0xffffd801,0xfffc82ff,0x5ffc83ff,
    0x6c1bffe6,0xffd81fff,0x1fffec4f,0x6c01bfea,0x3fffe2ff,0x11fffa00,
    0xffffffff,0x2fffc01f,0x2a1bffee,0xfffcaaaa,0x3e2aaaac,0x3fe005ff,
    0xffcaaaef,0xf9000eff,0x02ffcc3f,0x1ffff440,0x2201fff9,0xff504fff,
    0x7fcc005f,0xc82fffbf,0xc86fffff,0x7ffec5ff,0x82fffcc1,0xf30ffff8,
    0xfff30dff,0xd8bff600,0xff102fff,0x7fffd0bf,0x7c01fffb,0x3ffe25ff,
    0xfff5000f,0x05fff805,0x2217ffe0,0x3202fffe,0xffffffff,0x02ffffff,
    0xc8bfff90,0xff100fff,0x3ffea09f,0x37ffa002,0xfc82fff8,0x642fffff,
    0x7ffcc5ff,0x007ffec5,0x3f69fff9,0x7ff982ff,0x543ffb00,0xff505fff,
    0x219f507f,0x3e00fffc,0x3fff65ff,0x3ffea002,0x02fffc02,0x2a0bfff0,
    0x3f204fff,0xffffffff,0x802fffff,0x640ffff9,0xff100fff,0x3ffea09f,
    0x1fff7002,0xf905fff1,0xc8dffddf,0xfffd85ff,0x809fff31,0xffaffff8,
    0x8fff106f,0x0fff45eb,0x360ffff1,0xc8100fff,0x3fe00fff,0x0bfff75f,
    0x02fffa80,0xf002fffc,0x3fe20bff,0x3fbae05f,0xffeeeeff,0x74402eee,
    0xffc83fff,0x9fff100f,0x00bffea0,0x7c4fffe2,0xeffc82ff,0x3f21fffa,
    0x5fff985f,0x7001fffb,0x5fffffff,0xff1ffe20,0x207ff41f,0xff81fffd,
    0x3ff2006f,0x37ffe00f,0x000efff8,0x2017ffd4,0x3e005fff,0xfff305ff,
    0x8dff1009,0x32002ffc,0xff905fff,0xdddddddf,0x3ea09fff,0xffd802ff,
    0x20bffe26,0xbfff6ffc,0xfd82ffe4,0x04fff9ff,0x3fffffa0,0xf33ffc05,
    0x07ff47ff,0xf30fffee,0x7e4007ff,0x3ffe00ff,0x001fffdd,0x402fffa8,
    0x3e005fff,0xfff705ff,0x8bff1005,0xf3001ffd,0x3f201fff,0xffffffff,
    0xf504ffff,0xffa805ff,0x0bffe21f,0x7fddbff2,0x20bff91f,0xfffffff9,
    0x3ffea000,0x7ffc01ff,0x7cbfff90,0x6fff887f,0x000fffdc,0x7c01fff9,
    0x04ffffff,0x05fff500,0x2005fff8,0xff985fff,0xff9800ff,0x8007ff45,
    0x3202fffe,0xffffffff,0x504fffff,0xfe805fff,0x17ffc44f,0xff8b7fe4,
    0x40bff94f,0x04fffffd,0x7ffffdc0,0xe87ffc02,0xfff0ffff,0xe83fffa0,
    0x7e4007ff,0x3ffe00ff,0x000ffffe,0x402fffa8,0x3e005fff,0xfdcaaeff,
    0xf5003fff,0x007fe89f,0xc80bfff9,0xaaaabfff,0x504fffba,0x7e405fff,
    0x7ffc40ef,0x326ffc82,0x5ffc8fff,0x3ffffe60,0x3ffe2000,0x7f406fff,
    0xffeff88f,0x3f20fff2,0x9fff12ff,0x0fffc800,0x3f37ffe0,0xfa8005ff,
    0x7ffc02ff,0x3fffe005,0x5fffffff,0x7ffffd40,0xffffffff,0xffff304f,
    0x0fffc801,0x209fff10,0xf302fffa,0x533337ff,0x21337fff,0x3fe26ffc,
    0x405ffccf,0x4004fffd,0xfffffffc,0x2e7ffa03,0xff5ffaff,0x53ffe60d,
    0x4002fffa,0x3e00fffc,0xfffe8dff,0x7ffd4002,0x02fffc02,0xfffffff0,
    0xf5005dff,0xffffffff,0x209fffff,0xc802fffe,0xff100fff,0x3ffea09f,
    0xfffff502,0xffffffff,0x1bff25ff,0xbffbfffb,0x02fffa80,0x27fffe60,
    0xfb00ffff,0x3fedfb3f,0x3e06ff8f,0x0fff97ff,0x01fff900,0xffaafffc,
    0x3ea000ff,0x7ffc02ff,0x3fffe005,0x2001abcc,0xeefffee9,0x3eefffee,
    0x005fffc8,0x2201fff9,0xff504fff,0x3ffea05f,0xffffffff,0xff92ffff,
    0xfffff98d,0x7ffd405f,0x3fff6002,0x20bfffb3,0xb3ffaffd,0x40bff5ff,
    0xfff9fffc,0xfffc8005,0xd97ffe00,0x2a005fff,0x7fc02fff,0x3ffe005f,
    0x3f600005,0x813fea0f,0x000ffff9,0x2201fff9,0xff504fff,0x3ffea05f,
    0xffffffff,0xff92ffff,0xfffffd0d,0x2fffa80b,0x4dfff500,0xd81ffff8,
    0xf51ffdff,0x540bffbf,0x2fffdfff,0x0fffc800,0xf897ffe0,0xf5002fff,
    0xfff805ff,0x17ffe005,0x47fe8000,0x3fa03ffa,0xaaaaadff,0xfff90aaa,
    0x13ffe201,0x0017ffd4,0x905fff30,0xfff50dff,0xffa80bff,0xfffd002f,
    0x86fffc85,0x226ffffc,0x205fffff,0xfffffff8,0x4cccc400,0x9999fffd,
    0xf717ffe0,0xf5001fff,0xfff805ff,0x9999999e,0x0017ffe1,0x7dc7ff80,
    0xffff503f,0xffffffff,0x03fff27f,0xfda7ffc4,0xffffffff,0x3e6005ff,
    0x6ffc82ff,0x0bfffff0,0x802fffa8,0xf886fffb,0x7fe43fff,0x7ffec4ff,
    0x7ffec04f,0xffd806ff,0xffffffff,0x17ffe3ff,0x2017fffa,0x7c02fffa,
    0xffffffff,0xbfff0fff,0x3fe20000,0xa817fe46,0xffffffff,0xf93fffff,
    0x3fe201ff,0xfffffb4f,0x0bffffff,0x417ffcc0,0xff706ffc,0xffa80bff,
    0x7ffc402f,0xffff902f,0x0ffffdc1,0x013fffea,0x07fffff7,0xffffffb0,
    0x47ffffff,0xff985fff,0x7fd403ff,0x7fffc02f,0xffffffff,0x000bfff0,
    0xfb17fe20,0x3ffea03f,0xffffffff,0x1fff93ff,0x6d3ffe20,0xffffffff,
    0x26005fff,0xffc82fff,0xbffff106,0x02fffa80,0x1037ffe4,0x7dc9ffff,
    0xfff887ff,0x7ffc403f,0xffd801ff,0xffffffff,0x17ffe3ff,0x007fffe4,
    0xf805fff5,0xffffffff,0xbfff0fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7774c000,
    0x05dddb05,0x800ccc88,0x90000048,0x66654401,0x2a2001bc,0xcba88000,
    0x0aaaa1ac,0x5441554c,0x80accccb,0x2a1bccb9,0xb9800acc,0x51000acc,
    0x22035997,0x332e22aa,0x32a35502,0x30732a0b,0xa8803555,0x415551aa,
    0x2a01bccb,0x7cc1ffff,0x7c403fff,0x7f4401ff,0xb100000d,0xffe881df,
    0x1effffff,0x00fffd40,0xfffffe98,0x0bfff3ff,0xff91fff6,0x89ffffff,
    0xbffffffd,0x00effffd,0xffffffd1,0xffffb809,0x7cc0dfff,0xffffb8ff,
    0x33fe21ef,0xff77fffb,0x7ffcc3ff,0x97ffdc05,0xfff9affe,0xff702fff,
    0xfffc89ff,0x7ffc403f,0x77ffec01,0x7f440000,0x7ffc46ff,0xefffffff,
    0x17fff600,0x3ffffee0,0xfff3ffff,0xd9fff60b,0xffffffff,0x7fffec4f,
    0xffffffff,0xffffa85f,0xb06fffff,0xffffffff,0x7ffcc1ff,0xfffffffc,
    0x3ffbfe26,0xffffcfff,0x07fff44f,0x7f4fffd0,0xffffffcf,0xfffb80ff,
    0x7ffffc6f,0x0fffc403,0x3ffffa20,0xfff30001,0xadf881df,0xfffe9889,
    0x17fff604,0xbdffff50,0x3fe7fdb9,0x2fffb05f,0x30affff9,0x11cd8773,
    0xf53dfffb,0xffff81ff,0x3fffd98b,0x66ffffdc,0x265ffffc,0xbcffffff,
    0xff11ffff,0xffff79ff,0xfb8dff79,0xfff303ff,0x7fffff49,0x84ffffce,
    0x30fffffc,0x809fffff,0xb001fff8,0x8007ffff,0x005ffffa,0x40bfff10,
    0x2200efe9,0x3104ffff,0x7ec17ffe,0x07fff77f,0x2fff8800,0xffb8bff2,
    0x0fffd81f,0x883ffff1,0xff31fffe,0x7fd41dff,0x2dfff13f,0xff16fff8,
    0x06fff88f,0x7f43fff9,0x3fe22fff,0xfcffc86f,0xff9ff93f,0x54cccc49,
    0x9999afff,0x9ffff700,0x3ffff200,0x7ff40003,0xfb800806,0xfff005ff,
    0x5dfff60b,0x0000dfff,0xff707ffc,0xa837ffc7,0xfff71fff,0x4fffea07,
    0xf81ffff9,0x5fff14ff,0xfff17ffc,0x81fffd81,0x7ff46fff,0x87ffe83f,
    0xd5ffaffc,0x54bff5df,0xffffffff,0x203fffff,0x00dffffa,0x00bffff6,
    0xfd555310,0x320000df,0xff001fff,0x5fff60bf,0x2cfffffa,0x7ffcc400,
    0x14ffb999,0x5555bfff,0x325fff95,0xff100fff,0x0fffe6bf,0xff896664,
    0xf83ffe0f,0x7ffd40ff,0x21fffd44,0xffb06ffe,0xfd3ffb0f,0xff59ff1f,
    0x7ffffd4b,0xffffffff,0x7fff4c03,0x7fff440e,0x3fae001e,0x6fffffff,
    0xddddddd9,0x2bdddddd,0xf000fffe,0x3ff60bff,0x3fffff67,0xfd501cff,
    0xffffffff,0x3fe69fff,0xffffffff,0xfffb3fff,0xf36fff80,0x7c4007ff,
    0x83ffe0ff,0xffe80fff,0x207ffec7,0xffb05ffe,0xf93ffb0f,0xff33ffbf,
    0x666664cb,0xccccdfff,0xfffe8801,0xdfffd10f,0x3ffa2001,0xffffffff,
    0xffffffd6,0xdfffffff,0xf801fffe,0xfffb05ff,0xffffffb8,0x7ffe43ff,
    0xffffffff,0xfff54fff,0xffffffff,0x1fffa7ff,0x3e6dffd0,0x3e2003ff,
    0x83ffe0ff,0xffb80fff,0x09fff12f,0x3f60bffd,0x98ffd87f,0xff37ffff,
    0x1fff880d,0xffff7000,0x3ffffc89,0x5dfffb00,0x2dffd333,0xfffffffe,
    0xd6ffffff,0x3e001fff,0xfffb05ff,0x3ffff6a0,0x7fff31ff,0x333fff33,
    0x3fea1333,0x999999bf,0xfffb0999,0xf35fff80,0x7c4007ff,0x83ffe0ff,
    0xff880fff,0x03fff75f,0x3f60bffd,0xf0ffe87f,0x3fe69fff,0x0fffc406,
    0x7fffe400,0xbffff502,0x06fff880,0x2662dffb,0x99999999,0xfff90999,
    0x17ffe007,0x5403fff4,0xff74ffff,0x8807ff89,0x64003fff,0xff301fff,
    0x0fffe69f,0x20fff880,0x3ffe0fff,0xd1fffb00,0x3ffa0dff,0xd0fffb05,
    0x3fff21ff,0x880fff31,0x22001fff,0x401ffffd,0x00effff9,0xf109fff3,
    0x20000dff,0x800ffffb,0xffd87ffe,0xfff5007f,0xff0fff2b,0xdfff003f,
    0x5fffb800,0x265fff90,0x22003fff,0x3ffe0fff,0x5403ffe0,0x3fffbfff,
    0x360bffd0,0x27ff87ff,0x3fe27ffa,0x0fffc407,0xefffe880,0xfffd1000,
    0xdfff303d,0x06ffff98,0x3e201654,0x260affff,0x25fffb2b,0x57ffffd8,
    0x9fffe403,0x3ff24ffc,0xfffc805f,0x7c41100d,0x3ee24fff,0x3ffe66ff,
    0x3ffe2003,0xff83ffe0,0x3fffe00f,0xffd00fff,0x21fff60b,0x93fe27ff,
    0x7c407ff8,0xffa801ff,0x44000dff,0xf82ffffd,0xffecffff,0x3ee06fff,
    0x7fd403ff,0xffffffff,0xffffff73,0x32ffffff,0xfecbcdff,0xfff71fff,
    0xbfffffb7,0x7c41f977,0xecceffff,0x7ffdc4fe,0xfffffeff,0x00fffe61,
    0x3e0fff88,0x03ffe0ff,0x5fffffc8,0x6c17ffa0,0x47ff87ff,0x3ffe2098,
    0x3ee00000,0x40004fff,0x5c3ffffc,0xffffffff,0x3fa06ffb,0xffb805ff,
    0x3fffffff,0x3ffffffa,0xff97ffae,0xffffffff,0x7ffffc45,0xfffffbbf,
    0x7ff4c0ff,0x4fffffff,0xffffffd8,0x7fcc2fff,0x3fe2003f,0xf83ffe0f,
    0x3fe200ff,0x3fa02fff,0x8fffb05f,0xf8807ff8,0x200000ff,0x0003fffb,
    0x709fff70,0x319fffff,0x7fe40dff,0xffb1004f,0x443bffff,0xf34ffffd,
    0x3fffeeff,0x981dffff,0x3f23fffd,0x3205ffff,0xefffffff,0xffffd503,
    0xfff301bf,0x7ffc4007,0xff83ffe0,0x7ffec00f,0x82fff406,0x7fc47ffd,
    0x41fff007,0xffffffff,0xfb87ffff,0x7cc00002,0x000d4c04,0x0004ec88,
    0x33100266,0x2a662001,0x01880099,0x20013531,0x40019a98,0x000000a9,
    0x00000000,0x3e200000,0x3fff006f,0x7ffffffc,0x107fffff,0x00200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xfff006ff,0x7fffffc3,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xfff006ff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40155550,0x5530aaaa,0x55555555,0x00000035,0x55edd440,
    0x66644000,0x40000000,0x044002aa,0x332a2008,0x9997502c,0x31018017,
    0x00b32a00,0x202b372a,0xeeeeeeed,0x4406eeee,0xaa800dee,0x5553001a,
    0xa837ffe4,0x3fee5fff,0xffffffff,0x3fffae4f,0xffb301df,0xffa805df,
    0x003fffff,0x2007ffe2,0x4025c04a,0x7ec007ff,0x8877e20c,0xeffffffc,
    0x3ffffe20,0x1fd984ff,0xb803bf22,0x2605fffe,0x2ffffffe,0x7ffffffc,
    0x407fffff,0xd804fffd,0xff7005ff,0x44fffe8b,0x2e0efff8,0xffffffff,
    0x3ffa4fff,0x5c1fffff,0x5fffffff,0x737bffb0,0x2200bff9,0x7d401fff,
    0x89ff504f,0x8023ff40,0x3fa1fffb,0x3fffe25f,0x3e25ffff,0x2ffffeff,
    0xf8877fec,0xfff984ff,0xff105fff,0x3fffffff,0x7ffffffc,0x207fffff,
    0x01fffffa,0xc8037fe4,0x7ffc44ff,0x07fff61f,0xddddddd5,0x5e47ffff,
    0x25ffc989,0xfecdfff8,0x5ffdc2ff,0xfe99bccc,0x1fff8803,0x227fff40,
    0x3a0efffa,0x362dfb0d,0x3fff880f,0xd703ffee,0x8ffff537,0x21fffd41,
    0x3ee4ffe8,0x7ffc41ff,0xff905fff,0x97ffa61d,0x99999999,0x3a019999,
    0x406ffaff,0xfb007ffb,0xdfff507f,0x0013ffee,0x100bfffb,0x27fe4dff,
    0xff897ff2,0x9fffff99,0x7c401ff9,0x7f4401ff,0xdfff54ff,0x6d7ffdc1,
    0x84fff9df,0x3fe66ffd,0xfffd002f,0x81fffa80,0x3f62fff9,0xffd3c86f,
    0x507ffa0b,0x00000fff,0x3ff67ff7,0x83ffea03,0x17ff4198,0xffdfffd8,
    0x7fdc006f,0xdd97306f,0x0fff4dff,0x4fb9bfe6,0x64ff29f3,0x7ffc404f,
    0xfffe8801,0x540efffd,0xfffffffe,0x7fd42eff,0x017ffa0f,0x6c27ffdc,
    0x203fffee,0xff10effc,0x2fff407f,0x2207ffc4,0x00000fff,0xff89bfe2,
    0x3fff100f,0xff87ffe2,0xffff101f,0x54003fff,0xfc80ffff,0x26ffffff,
    0x7fc40ffe,0x67ccbf67,0x4bf53fd8,0xffeeeeec,0x85eeeeef,0xefffffe8,
    0x3fff6a00,0xff882eff,0x03ffee3f,0x03bffee0,0x2fbffffa,0xb93ffa00,
    0xffd00fff,0x307ffe0b,0x7776cfff,0xeeeeeeee,0x642ffd86,0x3ffe04ff,
    0x7c7fff52,0x3fe600ff,0x22003fff,0xfa82ffff,0x4dff11ef,0x7fd43ffd,
    0x7fcc7fa5,0xe9fe23ff,0xffffffff,0x106fffff,0x801fffff,0xbfffffb8,
    0x4cbffb00,0x7dc01fff,0x99700eff,0x260dfffd,0x3ff61fff,0x417ffa05,
    0xfb10dffe,0x7ffffcbf,0x7fffffff,0x7c42ffcc,0x7ffd01ff,0x7c5bfff6,
    0xfffe807f,0x3ffa001f,0x47ff904f,0x3ff26ffa,0x47ffd31e,0xfbbf31fe,
    0xffd37cc7,0xffffffff,0x3ee0dfff,0x9104ffff,0xffffffff,0xfff8819f,
    0x403bff23,0x000dfffc,0xd107fff2,0x7ffdc9ff,0x417ffa00,0xffeffffa,
    0x3fffe1ff,0xffffffff,0xb80fff47,0x9ffb06ff,0x267ffffe,0x7fe406ff,
    0xf9006fff,0x7fdc0dff,0x26fffdcf,0xfffffff8,0xf99fe46f,0x93ea1ff4,
    0xffa99998,0x809999af,0xfffffffa,0xdcfffd84,0x85fffcdf,0x3fa0fffb,
    0xefffd84f,0x1010aaaa,0xfd81fffb,0x0fffe26f,0x3bffeaaa,0x7ffdc0aa,
    0x4cc3ffff,0x99999999,0x13baa199,0xf905ddb0,0xffdff5bf,0x5409ff59,
    0x4fffffff,0x07fffd40,0xbfffff10,0xfffa8dfd,0x7d40efff,0x53f29f36,
    0x7fc403fe,0xfffa801f,0x44fffe9e,0x2dfb2ff8,0xffd01ffa,0x517ffccb,
    0xffffffff,0x3fbfea5f,0x7d46ffff,0x1bff61ff,0x3fffffe2,0xec982fff,
    0x00000cde,0x3ee00000,0xffaffcef,0xf103ffbf,0xffff3fff,0x3fffe605,
    0x2bcb8801,0xb9710553,0x467f4057,0xdf79912c,0x03fff100,0x10efffa8,
    0x0a89fffd,0x20289bfa,0x3f22fff9,0x3fffea5f,0xf52fffff,0x1bffffff,
    0x3e63ffc8,0xfff881ff,0x02ffffff,0x00000000,0xffff5000,0x3fbffadf,
    0x5fffd02f,0x103fffea,0x3339fffd,0x00001333,0x0dff8800,0x400ffec4,
    0x7401fff8,0x7f440eff,0x03ffc06f,0x0b607320,0x55555551,0x33326155,
    0x12600acc,0xaaa80f22,0x00aaaaaa,0x00000000,0xffff3000,0x3fffee9f,
    0x4fffc81f,0x322fffec,0xffffffff,0x99955fff,0x27999999,0xccccccca,
    0xffe983cc,0x02effeee,0x803fff10,0xdd100ee8,0x004cc801,0x00000000,
    0x00000000,0x00000000,0xfff80000,0xffff31ff,0xefffa81f,0x1ffffc40,
    0xfffffffb,0x3f6bffff,0xffffffff,0xffffffb5,0x7640bfff,0x000cefff,
    0x2007ffe2,0x00044008,0x00000000,0x00000000,0x00000000,0x20000000,
    0x7f46fffe,0x7ffc47ff,0xffff502f,0x3fffff63,0x95ffffff,0xdddddddd,
    0x3bbbb29d,0x804eeeee,0x26000098,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3227ffec,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xddd50000,
    0xdddddddd,0x19b950bd,0x55300000,0x072a0155,0x05750593,0x00355551,
    0x3bbbbbb2,0xddddd14e,0x3761dddd,0xdddddddd,0x05dddddd,0x00000000,
    0x00000000,0x00000000,0x31aaa980,0x2aa21555,0xfffff71a,0xffffffff,
    0x3fffffd8,0x2001eec8,0x503ffff9,0x3fe21fff,0x13fff63f,0x007fffea,
    0x3ffffff2,0xfffff15f,0x3fe1ffff,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x73fffb80,0x3fe65fff,0xfffff73f,0xffffffff,
    0x7fffffdc,0x00fffc4f,0x01efff98,0x7d4bfff2,0xffff35ff,0xfffd303f,
    0xeeeeb803,0xfff14eee,0x21ffffff,0xffffffff,0xffffffff,0x00000007,
    0x00000000,0x00000000,0xfffa8000,0x263fff73,0x33313fff,0xf5333333,
    0x5efff4ff,0xfb8dfffe,0xff9800ff,0x7fd400df,0x25fff10f,0x02fffffa,
    0x003fffb1,0x55555100,0x26615555,0x99999999,0x01999999,0x00000000,
    0x00000000,0x00000000,0x52fffa80,0x3fe23fff,0x7fcc002f,0x221fff17,
    0xfffffffe,0x07999005,0x2e205cc0,0x3ffffe61,0x02665c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff980000,0x21fff52f,0x4002fff8,
    0xdff37ff9,0xfffffd88,0x0000001f,0x17ffdc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf31fff98,0x0fffc1ff,0x01ffe600,
    0x00dfffb8,0x00000000,0x00000131,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0xf8fff31f,0x544001ff,0x0008002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x21fff100,
    0x7ff47ff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06660000,0x01988333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_31_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,2,2,4,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,2,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
6,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,6,3,3,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_31_latin1_y[224]={ 23,1,1,3,0,1,1,1,0,0,1,7,17,13,
17,1,2,3,2,2,3,3,3,3,2,2,7,7,6,10,6,1,1,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,26,1,7,1,7,1,7,1,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-2,0,11,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,7,0,2,3,3,
-2,1,1,2,2,8,13,13,1,2,1,4,1,1,1,7,1,11,23,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,3,2,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_31_latin1_w[224]={ 0,5,11,17,15,18,18,5,10,10,14,15,9,11,
7,15,17,15,15,14,17,14,15,15,15,15,7,9,14,14,14,11,17,17,15,15,16,13,13,16,15,13,12,16,
14,17,15,17,14,18,16,15,15,15,18,17,17,17,15,9,15,9,15,18,11,14,14,13,14,15,16,16,13,14,
13,15,14,17,13,15,14,14,14,13,15,13,17,17,17,17,13,12,5,12,17,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,15,17,17,
5,15,14,17,11,15,14,11,16,13,13,15,11,11,16,15,15,7,5,11,12,15,18,18,18,11,17,17,17,17,
17,17,18,15,15,16,15,15,15,16,15,15,17,16,17,17,17,17,17,15,17,16,16,16,16,17,14,15,15,16,
15,15,15,15,17,13,16,16,16,16,16,16,16,16,15,15,16,16,16,16,16,15,15,15,16,15,15,17,14,17,
 };
static unsigned short stb__consolas_bold_31_latin1_h[224]={ 0,23,9,20,27,23,23,9,30,30,14,16,12,4,
7,26,22,20,21,22,20,21,21,20,22,21,17,22,18,10,18,23,29,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,27,20,22,20,21,20,20,20,20,20,30,26,30,10,4,7,17,23,17,23,17,22,23,22,23,
30,22,22,16,16,17,23,23,16,17,22,17,16,16,16,23,16,30,32,30,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,21,20,20,
32,26,7,22,16,14,8,4,16,6,11,19,13,13,7,23,26,7,5,13,16,13,22,22,22,23,26,26,26,26,
26,27,20,26,26,26,26,26,26,26,26,26,20,26,27,27,27,27,27,15,28,27,27,27,27,26,20,23,23,23,
23,23,23,25,17,21,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,23,23,23,23,23,29,29,29,
 };
static unsigned short stb__consolas_bold_31_latin1_s[224]={ 251,249,7,1,123,51,77,1,73,84,125,
93,246,118,84,73,220,172,240,137,65,1,211,151,87,195,248,19,50,222,35,
49,128,167,185,187,201,218,232,103,35,51,227,188,221,1,83,1,236,200,134,
99,205,163,153,135,117,99,19,50,202,40,237,130,92,65,227,96,168,156,115,
183,238,121,26,147,132,203,239,172,179,212,188,124,83,110,221,1,19,194,37,
13,1,60,34,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,251,242,219,
179,67,49,7,218,69,169,51,140,19,118,76,104,208,19,156,168,52,163,191,
246,248,196,63,180,51,64,45,242,173,224,1,19,55,182,30,157,89,105,122,
138,154,234,170,186,100,207,233,1,19,139,54,109,164,72,89,106,37,37,85,
200,216,232,1,17,33,1,138,16,104,87,34,17,152,120,70,203,18,29,70,
96,113,130,1,80,147,152,34,61,136,146,95,110, };
static unsigned short stb__consolas_bold_31_latin1_t[224]={ 1,89,267,208,34,89,113,267,1,1,249,
249,186,266,266,62,139,208,163,139,208,186,163,186,139,163,113,163,229,249,229,
113,1,186,186,139,186,186,186,139,208,208,163,208,208,229,208,163,208,1,186,
163,208,163,208,208,208,208,208,1,62,1,249,266,266,229,113,229,89,229,163,
89,139,89,1,163,163,229,229,229,113,113,229,229,163,229,229,250,249,113,249,
1,1,1,266,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,1,113,1,
163,186,186,1,62,266,139,249,249,266,266,249,266,249,229,249,249,266,113,34,
199,131,249,249,249,139,163,163,34,34,34,62,62,62,1,186,34,62,62,62,
62,62,62,62,62,186,34,1,34,34,34,34,249,1,34,34,34,34,62,186,
89,89,89,115,113,113,89,229,186,89,89,89,89,139,139,139,139,139,163,89,
113,113,113,139,229,113,89,139,113,89,1,1,1, };
static unsigned short stb__consolas_bold_31_latin1_a[224]={ 273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_31_latin1(stb_fontchar font[STB_FONT_consolas_bold_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_31_latin1_s[i] + stb__consolas_bold_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_31_latin1_t[i] + stb__consolas_bold_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_31_latin1_x[i];
            font[i].y0 = stb__consolas_bold_31_latin1_y[i];
            font[i].x1 = stb__consolas_bold_31_latin1_x[i] + stb__consolas_bold_31_latin1_w[i];
            font[i].y1 = stb__consolas_bold_31_latin1_y[i] + stb__consolas_bold_31_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_31_latin1_s[i] + stb__consolas_bold_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_31_latin1_t[i] + stb__consolas_bold_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_31_latin1_x[i] + stb__consolas_bold_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_31_latin1_y[i] + stb__consolas_bold_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_31_latin1_LINE_SPACING
#endif

