// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT        367
#define STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_36_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_36_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_36_latin1_LINE_SPACING          24

static unsigned int stb__consolas_bold_36_latin1_pixels[]={
    0xeee97bba,0x00000005,0x00004010,0x80005dc4,0x2a200001,0x999954cb,
    0x32259999,0x26000abc,0xcccccccc,0xeed88003,0x260003ee,0x27775c09,
    0x99700000,0x01300003,0x01eeeeb8,0xfff37ffc,0x307aa00d,0x3ea0003d,
    0x0f7f445f,0xffff8800,0xffec8801,0x88000bdf,0xf97ffffd,0x9fffffff,
    0x33ffffe2,0xffffa800,0x4006ffff,0x02ffffe8,0x917fea00,0x0000bfff,
    0x000fff40,0x7ffff6d4,0x7ffdc3ef,0x37ffc02f,0xf500dfff,0x3ffe63ff,
    0xffff8001,0x017fff22,0x2ffffe40,0x3ffffea0,0x2000efff,0x7ffffff8,
    0xfffffff9,0x3fffe29f,0xffa806ff,0x06ffffff,0x3bfffa20,0x7fdc0000,
    0x02fffe44,0x1fff0000,0x7fff4c00,0x45ffffff,0x401ffffb,0x3ffe6fff,
    0x7fffd406,0x03ffffb4,0x27fffc40,0x000dfffb,0x81bffff6,0xfffffffc,
    0xb000efff,0x29bdffff,0xeeeefffc,0xffdb913e,0xee9809ff,0x06fffeee,
    0x09fffd10,0x0fff2000,0x000bfff9,0x01ffe200,0xffffff88,0x5c5fffff,
    0x7c01ffff,0x1bffe6ff,0x24ffff98,0x01ffffe8,0xb87fff60,0x50004fff,
    0x2a07ffff,0x930affff,0xf300bfff,0xff905fff,0x7fdc005f,0x7c4000ff,
    0xdd9006ff,0x6c00005d,0x7ffe42ff,0x2ea00005,0xacdfffed,0x3ffff600,
    0x4cb9989b,0x00ffffd4,0xfff9bffe,0x17fffa06,0x01bfffa2,0xca81cb88,
    0x7fdc0003,0x1dfff104,0x003fff60,0x3209fff7,0x6c002fff,0x44001fff,
    0x00006fff,0x1ffe8000,0x002fffe4,0x7ffff540,0x02ffffff,0x0013fffa,
    0x803ffff5,0x3ffe6fff,0x0dfff906,0x027fffc4,0x00000000,0x007ffec0,
    0xf900fffa,0x3ff205ff,0x7fdc002f,0x7fc4002f,0x0000006f,0x5fff7310,
    0x42fffe41,0xfff90008,0xffffffff,0x7fffc05f,0x7ffd4005,0x37ffc00f,
    0xff50dfff,0xffa803ff,0x000001ff,0x3e600000,0xffc803ff,0x07ffec06,
    0x002fffc8,0x001fffd4,0x755bffe2,0xe9801eee,0x3ea01eee,0xffffffff,
    0x269fff90,0x00ceffec,0xfdfffff5,0x05ffddff,0x027ffff4,0x01ffff50,
    0x3fe6fff8,0x4ffff86f,0x0dfffb00,0x003dddd5,0x263dddd3,0xeeeeeeee,
    0x7ec2eeee,0xfff5006f,0x07ffec01,0x002fffc8,0x001fffd4,0x7c5bffe2,
    0xfc805fff,0xffb106ff,0xffffffff,0x2b3fff21,0xefffffff,0x1effff80,
    0x06a21ffd,0xefffffb8,0xffff9801,0xf37ffc00,0xfffa8dff,0x3ffe6006,
    0x7fffc42f,0x6fffc805,0x3fffffea,0x23ffffff,0x2e63fff8,0xff8db9bc,
    0x3fff601f,0x05fff900,0x03fffa80,0x937ffc40,0xf801ffff,0xffd03fff,
    0xffffffff,0x3bfff21f,0xffffffff,0x7fffc46f,0x8801ffe3,0xfffffffe,
    0x3ffe600c,0x37ffc00f,0xffd8dfff,0x7fe4003f,0xffffc85f,0x1ffffc00,
    0xfffffff5,0x5c7fffff,0xfff70fff,0x3ffeffff,0x03fff602,0x0017ffe4,
    0x0013ffea,0x7ccdfff1,0x3ea02fff,0xffc80fff,0xcffcaeff,0xffff90eb,
    0xfff99fff,0x7ffd45ff,0x00dff12f,0x3fffffa2,0x302fffff,0xff00ffff,
    0x137ffcdf,0x8001ffff,0x4c0ffffa,0x2a02ffff,0x2a20ffff,0xeaaaaaaa,
    0x3ff63fff,0xffffff55,0x80bffedf,0xf900fffe,0xf98005ff,0x7c4005ff,
    0x7fff46ff,0x17fff605,0xc97fffe6,0xfffc82ff,0x3fe20cff,0x3ffe26ff,
    0x05ffa8ef,0xf9ffff90,0x09ffffff,0xf00ffff3,0x37ffcdff,0x000dfff7,
    0x3a0bfffe,0x3f605fff,0xfe8005ff,0x4fffe3ff,0xfffcfffe,0x2207ffd6,
    0x3f207fff,0x7c4002ff,0x22000fff,0x7fdc6fff,0xfff880ff,0xffffb82f,
    0x3207ffa1,0xf705ffff,0x7ffc1fff,0x04ffefff,0x13ffff88,0xbffffff9,
    0x807fff88,0x3ffe6fff,0x00ffff66,0x427ffe40,0x880ffffb,0x8002ffff,
    0xff13fffe,0x25fff35f,0x9ffd5ffe,0x0bfff910,0x0017ffe4,0x00e7fff4,
    0x446fff88,0xfb83ffff,0xfff907ff,0xc80fff8f,0xf300efff,0x7fdc3fff,
    0x0dffffff,0x0ffffd40,0x3fffffa6,0x01fffe23,0xeee9bffe,0x00bfffa5,
    0x42fffdc0,0xb83ffff8,0xd0007fff,0x3fea7fff,0x3e7ffc8f,0x29ffd4ff,
    0xfffffee9,0x0bfff201,0x3fffea00,0x3e200eef,0xfffd86ff,0x04fffe86,
    0x7c4bfffd,0xbfff907f,0x17fffc40,0x3ffffff2,0xf501dfff,0x3f605fff,
    0x3fe27fff,0x6fff806f,0x01ffff80,0x0dfff500,0x3a1bfff6,0xd0004fff,
    0x3fee7fff,0x7fcdffb6,0x2a7ffd3f,0x00ceffff,0x0017ffe4,0xfffffd98,
    0x1bffe200,0x887fffe6,0xff00ffff,0x37fcc7ff,0x405fffc8,0xea83ffff,
    0xffffffff,0xffff885f,0xffffb00e,0x4037ffc3,0xff806fff,0xf30000ff,
    0x3fe60fff,0x3ffe21ff,0xffd0000f,0x75bff27f,0x7fff15ff,0x7fd4bffa,
    0x6401dfff,0x50002fff,0x01fffffd,0xe837ffc4,0x3fee4fff,0x3fffa05f,
    0x6417fea5,0x7fc05fff,0x3f6a02ff,0x5fffffff,0x0effffe8,0x22ffffa8,
    0xff806fff,0x7ffc406f,0x3fe20007,0x3fffa07f,0x017ffee4,0x93fffe80,
    0x53ffebff,0xfff2fff9,0x3ffb7265,0x3ff201ff,0xffb8002f,0x200cceff,
    0xf706fff8,0x7fff4fff,0x9ffff602,0xff904ffb,0x7ffc40bf,0x7ffcc01f,
    0x43ffffff,0x3ffffffa,0xb0ffffcc,0xfff009dd,0xffff880d,0xfff10000,
    0x3fffdc0f,0x0005fffd,0xfd9ffff4,0x2a7fff5f,0xfff89fff,0x0bfff901,
    0x0017ffe4,0x0017fffc,0x220dfff1,0xff99ffff,0x7ffe407f,0x207ff92f,
    0x2a05fffc,0xfa807fff,0xffffd9df,0xfffffb86,0xffff92ef,0x7ffc0001,
    0x1ffff806,0xdfff3000,0x4ffffc40,0x0007fff9,0xfd9ffff4,0x2a7fff4f,
    0xfff98fff,0x0ffff300,0x0017ffe4,0x0017ffe2,0x6c0dfff1,0xfffccfff,
    0x7fffcc04,0x261ffdbf,0x40bfff90,0xb806fffe,0x3fffa3ff,0xfffff707,
    0x9ffffdff,0x6fff8000,0x02fffe80,0x0bfff500,0xfccfffd8,0x740004ff,
    0x9ffb3fff,0x7fe53ffe,0x405ffb8f,0xf900ffff,0xf98005ff,0x7c4004ff,
    0x3fe606ff,0x01ffffff,0xffffffd8,0x91ffddff,0x3ee0bfff,0xfc803fff,
    0x1ffff22f,0xfffffe88,0x640effff,0xfff803ff,0xfd97bba6,0xf70003ff,
    0xff9809ff,0x01ffffff,0x9ffff400,0xbffd5ffc,0xfd5ffff5,0xfffd807f,
    0x05fff900,0x03fffa80,0x037ffc40,0x3ffffffa,0xfffd1006,0xffffffff,
    0x27bfff23,0xdffff931,0xd87ffa00,0xfa805fff,0x0effffff,0x017fffdc,
    0xfff9bffe,0x01bfff26,0x017fff40,0x7ffffff4,0xffe80006,0x32dff93f,
    0xffffffff,0x6c00ffff,0xff900fff,0xffa8005f,0x7fc4003f,0x7ffdc06f,
    0x22003fff,0xfffffffd,0xfff91fff,0xffffffff,0x0ada83ff,0x7fe43ffe,
    0x3f2004ff,0xfd84ffff,0x7fc04fff,0x99bffe6f,0x4000ffff,0x800ffff8,
    0x3ffffffb,0xfffe8000,0x3e6fff73,0xfffbffff,0xffd802ff,0x5fff900f,
    0x3fffa800,0x37ffc400,0x3ffffe20,0xff930007,0x645bffff,0xffffffff,
    0xfa81efff,0xefffefff,0x00efffff,0x3ffffd40,0x01ffffe4,0xfff9bffe,
    0x01ffff46,0x013ffee0,0x3fffffc4,0xfffe8000,0x2e1fff53,0xbff91eff,
    0x3fff6005,0x05fff900,0x03fffa80,0x037ffc40,0x01ffffec,0x817fea00,
    0xfffffffc,0x3ea02eff,0xffffffff,0x000fffff,0x10ffff90,0xff00dffd,
    0x237ffcdf,0x000ffffb,0x8007fffa,0x003ffffd,0x27fffd00,0x8042fff9,
    0x7ffec000,0x05fff900,0x03fffa80,0x037ffc40,0x007fffec,0x80ffee00,
    0x998dfffc,0xffff5000,0xffffffff,0x3a002019,0x35106fff,0xf9bffe00,
    0x7ffc46ff,0xfff9004f,0xfffd800d,0xff00000f,0x2fffc5ff,0xffc80000,
    0x5fff901f,0x2fffb800,0x37ffc400,0x0ffffe60,0x0bff2000,0x005fffc8,
    0xffd97310,0x80179dff,0xb999acef,0x004ffffd,0x7cdfff00,0xfffb86ff,
    0x7ffcc01f,0x3fe6002f,0x100003ff,0x7e41ffff,0x800000ff,0xf903fffb,
    0xfc8005ff,0x7c4001ff,0x3fe206ff,0x80000eff,0x3f201ffd,0x200005ff,
    0x7c002ffd,0xffffffff,0x0000efff,0x7fcdfff0,0xdfffd06f,0x04fffd80,
    0x3bfffe20,0xfc803000,0x7ffcc7ff,0x0004400e,0x901dfff5,0x4c005fff,
    0x4000ffff,0x26a6fff8,0x1fffffb9,0x1fff0000,0x02fffe40,0x03ffd000,
    0xffffff80,0x00efffff,0x9bffe000,0xff306fff,0x3ff20bff,0x266a00ef,
    0x01fffffb,0x2226fba0,0x84ffffd9,0x981efffe,0x7f4001fc,0xf92abfff,
    0x355559ff,0x3fff2aa2,0x5554405f,0x3e6fffba,0x2fffffff,0x1ffe0000,
    0x00bfff90,0x007ffc00,0x3fffb6e0,0x0002dfff,0x3e6fff80,0x3fee06ff,
    0x7ffe44ff,0x7fffc01f,0x4002ffff,0xfffffffe,0xfd106fff,0xffddffff,
    0xfa8003ff,0xf97fffff,0x9fffffff,0x3fffffe2,0x7ffd401f,0x3e6fffff,
    0x02ffffff,0x1bfe6000,0x00bfff90,0x01ffe200,0x00004400,0xf37ffc00,
    0xffb80dff,0xffff74ff,0xfffff005,0xfd0005ff,0xffffffff,0x7ff4403d,
    0xffffffff,0xfffb8001,0xffff97ff,0x3e29ffff,0x802effff,0xfffffffa,
    0x3ffffe6f,0x4400000c,0x7fe402aa,0x5100005f,0x00000055,0xfff80000,
    0x201bffe6,0xff51fffb,0x3ffe005f,0x90000cff,0xfffffffd,0x3fb22005,
    0x01cfffff,0x3fb72200,0xffffff97,0x3bfe29ff,0x3fea003c,0x26ffffff,
    0x000009a9,0x00000000,0x00000000,0x3fe00000,0x01bffe6f,0x0bea0fe4,
    0x0009a980,0x06aa6200,0x026a6000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff37ffc0,0x080400df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff37ffc,
    0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33000000,0x004ccc13,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0cc88000,0x0000bc98,0x00000133,0x01555553,0x002aaa80,0x20b3ae60,
    0x03322001,0x00002f26,0x100f7744,0x00155555,0x5554c000,0x32a000aa,
    0x5500001b,0x55440055,0x20000aaa,0xffff1008,0x02fffcc1,0xffffec88,
    0x980001de,0x002fffff,0x027fffec,0x7ffffdc0,0x805fa89e,0x260ffff8,
    0x00005fff,0xb801fff5,0x000effff,0xffff9800,0xffd1002f,0xd8000bff,
    0x2004ffff,0x00effffb,0x427ff440,0x322ffffa,0x4c00ffff,0xfffffffe,
    0x260003ff,0x000dffff,0x7fffffec,0x3ffea005,0xffffffff,0x7ffd401f,
    0x3ffff22f,0xffd80000,0xfffd3005,0x4c00001d,0x000dffff,0x3ff73ff6,
    0xfffb0003,0x4c00bfff,0x000efffe,0x30bffff2,0x7d43ffff,0x7fdc07ff,
    0xffffffff,0xf98004ff,0x44003fff,0xffa9effe,0x7ff3005f,0xffffff93,
    0xffff3007,0x03fffd43,0xff9a9880,0x7fe4002f,0x980000ef,0x8003ffff,
    0x017f64ff,0x53dffd10,0xc800bfff,0xb000efff,0xf709ffff,0x05ffb07f,
    0x77ffffc4,0xfffffedc,0x6665c001,0xcccb8001,0x00b33260,0x3fb2614c,
    0x3fee002d,0x002ffd83,0x3ffffb22,0xa8000fff,0x80003ccc,0x0001cccb,
    0x02ff49ff,0x983332e0,0x54002ccc,0xf9003ccc,0x00005fff,0x17fffe40,
    0x02ffffdc,0x00000000,0x00000000,0x3e600000,0xffffffff,0x0000003f,
    0x64000000,0x02ffedff,0x00000000,0x4ffd8800,0x3e200000,0x3f203fff,
    0x22001fff,0x10000099,0x20000133,0x00000998,0x70001331,0xffffffff,
    0x0009ffff,0x00000000,0x7fffec40,0x00000004,0x00099880,0x3ffee044,
    0x1ffff806,0x301ffff2,0x8809ffff,0xdeffffec,0x7f644001,0x001defff,
    0x7ffff644,0x644001de,0x1deffffe,0xfffff880,0xfffffcbd,0x6fffb81f,
    0x21ffff80,0xf806fffb,0x53001fff,0x7fdc0015,0xffff806f,0x3ffb2201,
    0x0001deff,0xf00dfff7,0x7fec3fff,0xfffe805f,0x3fffea05,0x02ffffff,
    0xffffff50,0x2005ffff,0xfffffffa,0xf5002fff,0xffffffff,0xfffc805f,
    0x3ffff21f,0xfffb86ff,0x1ffff806,0x201bffee,0x4c01ffff,0x007fffff,
    0xf00dfff7,0x3ea03fff,0xffffffff,0x93bb602f,0xf806fffb,0x3ffa1fff,
    0xfffc803f,0xfffff706,0x9fffffff,0xfffffb80,0x4fffffff,0x7ffffdc0,
    0x4fffffff,0x7ffffdc0,0x4fffffff,0x85ffff10,0xffffefff,0x037ffdc1,
    0xf70ffffc,0xfff00dff,0xfffc803f,0xfb802fff,0xfff806ff,0xffffb81f,
    0xffffffff,0x5cbfff04,0xff806fff,0x3fffe1ff,0x7fffc802,0xefffff88,
    0xfffffedc,0xfffff101,0xffffdb9d,0x3ffe203f,0xffedceff,0xff101fff,
    0xfdb9dfff,0xf903ffff,0xfff98dff,0x5c3ffff9,0xff806fff,0x3ffee1ff,
    0x1ffff806,0x7fffff40,0xfffb804f,0x1ffff806,0x77ffffc4,0xfffffedc,
    0x2e6fff81,0xff806fff,0xffff11ff,0xffff7003,0x05ffffb0,0x20bffff7,
    0xb82ffffd,0xfb05ffff,0xff705fff,0x3ff60bff,0xfffb82ff,0x3fffd85f,
    0xffdb7fe4,0x37ffdc5f,0x70ffffc0,0xff00dfff,0x7fc403ff,0x807fffff,
    0xf806fffb,0x7fec1fff,0xfffb82ff,0x26fff85f,0xf806fffb,0xfff31fff,
    0xfff7003f,0x7fffcc1f,0x3ffff203,0x1ffffcc0,0x81ffff90,0x203ffff9,
    0x4c0ffffc,0x3203ffff,0x7f40ffff,0xa7ff42ff,0x7dc7fffb,0xfff806ff,
    0x1bffee1f,0x807fffe0,0xfffefffb,0x7ffdc01f,0x1ffff806,0x80ffffe6,
    0x220ffffc,0x3fee6fff,0xffff806f,0x03ffff31,0xc8ffff70,0x7cc07fff,
    0x7fe44fff,0x7ffcc07f,0x3fffe44f,0x13fffe60,0x980ffff9,0x7fc4ffff,
    0x3ffe61ff,0xb8ffff71,0xff806fff,0x3ffee1ff,0x1ffff806,0x3ebfff60,
    0x7dc03fff,0xfff806ff,0x1ffff21f,0x49ffff30,0x3ee6fff8,0xfff806ff,
    0x5ffff11f,0x8dfff900,0xe804fffd,0x7fec5fff,0xfffe804f,0x027ffec5,
    0x362ffff4,0xfe804fff,0x3ffe25ff,0xa9ffee0f,0x3ee0ffff,0xfff806ff,
    0x1bffee1f,0x807fffe0,0xffc8ffff,0x7ffdc06f,0x1ffff806,0x2013fff6,
    0x3e25fffe,0x3ffee7ff,0x1ffff806,0x007ffff1,0xff8bfff9,0xffc803ff,
    0x1ffffc6f,0x237ffe40,0xc803ffff,0x7ffc6fff,0xfffc803f,0x83fffe66,
    0x3fea4ffe,0x3ffee0ff,0x1ffff806,0x201bffee,0xf501ffff,0x3ffeadff,
    0x3ffee00f,0x1ffff806,0x200ffffe,0x3e26fffc,0x3ffee7ff,0x1ffff806,
    0x2013fffe,0x7fc4fffe,0xffc802ff,0x17fffc7f,0x23fffe40,0xc802ffff,
    0x7ffc7fff,0xfffc802f,0x43fffe67,0x3ea2fff8,0x7ffdc7ff,0x1ffff806,
    0x201bffee,0xf901ffff,0x3ffe27ff,0x3ffee02f,0x1ffff806,0x200bfffe,
    0x3e67fffc,0x3ffee7ff,0x1ffff806,0x101ffffa,0x7cc5ffff,0xfb801fff,
    0x3ffe67ff,0xfffb801f,0x07fffe67,0x99fffee0,0xb801ffff,0x3fe67fff,
    0x8fff71ff,0x7dc6fffa,0xfff806ff,0x1bffee1f,0x407fffe0,0x3fa1fffe,
    0x3fee05ff,0xffff806f,0x03ffff31,0x4cffff70,0x3fee7fff,0xffff806f,
    0x0bfffea1,0x4c7fffc8,0xb801ffff,0xff30ffff,0xff7003ff,0x3ffe61ff,
    0xfffb801f,0x3ffff30f,0x1ffff700,0x6c7fffe2,0x7ffdc5ff,0x037ffdc5,
    0xf70ffffc,0xfff00dff,0xffff303f,0x207fffb8,0xf806fffb,0xfff31fff,
    0xfff7003f,0x3fffe61f,0x00dfff70,0x7c43ffff,0xfb81ffff,0x7fcc3fff,
    0xffb801ff,0x3fffe67f,0x7fffb801,0x007fffe6,0xf99fffee,0xfb801fff,
    0x7fffc7ff,0x6c2fff8b,0x7fdc4fff,0xffff806f,0x01bffee1,0x2e07fffe,
    0x7fcc5fff,0xfff701ff,0x3ffff00d,0x007fffe6,0xfa9fffee,0xfff70fff,
    0x3ffff00d,0xefffffc8,0xfffffecc,0x17fffc40,0x137ffe40,0x9005ffff,
    0x7fc4dfff,0xffc802ff,0x3fffe26f,0x6fffc802,0x7d77ffec,0x3ffe20ff,
    0x37ffdc2f,0x70ffffc0,0xff00dfff,0xfffb03ff,0x09ffff05,0x201bffee,
    0xff11ffff,0xff9005ff,0x7fffd4df,0x00dfff70,0xfb03ffff,0xffffffff,
    0x3fe03fff,0xffc803ff,0x1ffffc5f,0x22fffe40,0xc803ffff,0x7ffc5fff,
    0xfffc803f,0x77fffdc5,0x7ffdc5ff,0x06fffb87,0x2e1ffff8,0xff806fff,
    0x7ffc41ff,0x6fffd80f,0x00dfff70,0x7fc3ffff,0xffc803ff,0x3fffea5f,
    0x80dfff71,0xd00ffff8,0xffffffff,0x7ff403ff,0xfffe804f,0x027fff44,
    0x3a27fff4,0xfe804fff,0x7fff44ff,0x4fffe804,0x7fffffc4,0x3fffea3f,
    0x06fffb83,0x707fffc4,0xf880dfff,0x7fd40fff,0xffff506f,0x0dfff701,
    0x20ffff88,0xe804fffe,0x3fea4fff,0xffff51ff,0x07fff980,0x7ffffed4,
    0x7fec00be,0x7ffc407f,0x3fffec3f,0x0ffffe20,0x880ffffb,0x7ec3ffff,
    0x7fc407ff,0xfffb83ff,0xffdbbfff,0xfff506ff,0x7fff980f,0x203fffd4,
    0xfc87fff9,0xffffffff,0xa83fffff,0x7cc07fff,0x7ffec7ff,0x7fffc407,
    0x47fffee3,0x201ffff8,0x3006fffb,0x5400ffff,0x3202ffff,0x7d40ffff,
    0x3f202fff,0x7fd40fff,0x3ff202ff,0x7ffd40ff,0x3fff202f,0xffffd00f,
    0xffffffff,0x3fffe205,0x1bffee01,0x403ffff1,0xff86fffb,0xffffffff,
    0x885fffff,0x2e01ffff,0x7fd46fff,0x3ff202ff,0x3ffee0ff,0x17fffe1f,
    0x027fff44,0x01ffff88,0x07ffffa0,0x40ffffee,0xb81ffffe,0xfd03ffff,
    0xff703fff,0x3ffa07ff,0xfffb81ff,0x3ff6203f,0xefffffff,0x2ffffc01,
    0x84fffe88,0xd105ffff,0xff989fff,0xffffffff,0xf07fffff,0x3a20bfff,
    0xffe84fff,0xfffb81ff,0x7fffdc3f,0x3bffff22,0xfffeb99a,0x3ffa000f,
    0x05d512ff,0x9dfffff7,0x0dffffd9,0x77ffffdc,0x6ffffecc,0x3ffffee0,
    0xffffecce,0x3fffee06,0xfffeccef,0xfff9806f,0x004effff,0x35dffff9,
    0x1ffffd73,0x5dffff90,0xffffd733,0xadfffb81,0xfcaaaaaa,0xffc82fff,
    0xeb99aeff,0xfb80ffff,0xecceffff,0x8006ffff,0xfffffff8,0x02ffffff,
    0x7ffffdc0,0x440fffff,0xfffffffe,0x202fffff,0xffffffe8,0x02ffffff,
    0x3fffffa2,0x2fffffff,0x3ffffa20,0xffffffff,0x9effc802,0x7c40009a,
    0xffffffff,0xf102ffff,0xffffffff,0xfd05ffff,0xfff005ff,0xffff109f,
    0xffffffff,0x3ffa205f,0xffffffff,0xd30002ff,0xffffffff,0x360007ff,
    0xffffffff,0xffff904f,0x03dfffff,0x3fffff20,0x001effff,0xfffffff9,
    0x32003dff,0xffffffff,0xfff001ef,0xfd300007,0xffffffff,0xffe9807f,
    0xffffffff,0x0ffff883,0x06fffd80,0xffffffd3,0x9007ffff,0xffffffff,
    0x700003df,0xbfffffff,0x7dc40001,0x04ffffff,0x7fffff54,0xfea8004e,
    0x004effff,0xfffffea8,0xfea8004e,0x004effff,0x0007ffe6,0xfffffb80,
    0x2e000dff,0xdfffffff,0x0bfff500,0x07fffee0,0xffffffb8,0x3aa000df,
    0x04efffff,0x13530000,0xba880000,0x44000abc,0x1000009a,0x20000135,
    0x000009a8,0x50001351,0x00000bdd,0x00004d4c,0x6c004d4c,0xf3003fff,
    0x26007fff,0x8800009a,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x17930199,
    0xedcaa800,0x01eeeeee,0x79301991,0x2aaaa201,0x4000000a,0x00aaaaa9,
    0x00155540,0x55554c00,0xceb9800a,0xaa880182,0x00000aaa,0x30019998,
    0x003059d7,0x55555300,0x10022001,0x7cc1ffff,0xff7005ff,0xffffffff,
    0xfff105ff,0x2fffcc1f,0x1dffff70,0x3e600000,0x4002ffff,0x004ffffd,
    0x3fffe600,0xfffb802f,0x5fa89eff,0xeffffb80,0x76540000,0x2dffffff,
    0xdfffff70,0x000bf513,0x17ffffcc,0x00effc80,0x645ffff5,0x2600ffff,
    0xffffffff,0x82ffffff,0x322ffffa,0x2600ffff,0x000efffe,0x7fffcc00,
    0x7fec000d,0x0005ffff,0x0dffff98,0xfffffa80,0x1fffffff,0xefffe980,
    0xfffb0000,0x9fffffff,0xffffff50,0x03ffffff,0xbffff300,0x3ffea001,
    0xffff306f,0x03fffd43,0xffffffd1,0xffff99ff,0x3ffff305,0x803fffd4,
    0x000efffc,0x7ffff300,0xeffe8800,0x005fffa9,0x0ffffe60,0xc9bff980,
    0x03ffffff,0x077ffe40,0xffffd300,0x9fffffff,0xf937ff30,0x007fffff,
    0x07ffff30,0x7ffffc80,0x360ffee0,0x3ff602ff,0x26ffffff,0xf702fffe,
    0x05ffb07f,0x01e66540,0x1cccb800,0x0cccb800,0x000b3326,0x000e665c,
    0x3fb2614c,0x9950002d,0x3fe20079,0xccdfffff,0x85304ffe,0x002dfec9,
    0x00399970,0x0dffff70,0xff880000,0x6fffffff,0x000bfffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeffffc80,0x00075101,0x00000000,
    0x001fffd8,0x7ffd4000,0x26ffffff,0x0002fffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1dffff10,0x00000000,0x26000000,0xfff30009,
    0xff900fff,0xdfffffff,0x2a17fff4,0xffffffff,0x00ffffff,0x3fffffcc,
    0xffff3000,0x7cc000ff,0xc807ffff,0x9801ffff,0x4c02ffff,0x007fffff,
    0x7fffffec,0x47ffffff,0x002ffffd,0x0fffffa8,0x207fff20,0xfffffffd,
    0x007fffff,0x3fff2000,0x7e402fff,0xffffffff,0x50bfffa6,0xffffffff,
    0x01ffffff,0xffffffc8,0xfff90002,0x20005fff,0x2ffffffc,0x27fffc40,
    0x037ffec0,0x7fffffe4,0x3fff6002,0xffffffff,0x37fffc7f,0xffffa800,
    0x3fff204f,0xfffffd81,0x7fffffff,0x00ddd700,0x3ffffffa,0x7fffdc04,
    0x3a6fffff,0x7fd42fff,0xffffffff,0x7400ffff,0x04ffffff,0xfffffd00,
    0x3fa0009f,0x804fffff,0x200ffffc,0x802ffff9,0x4ffffffe,0x3ffff600,
    0xffffffff,0x0ffffe27,0x7fffd400,0xfff900ff,0xfffffb03,0xffffffff,
    0x03fff200,0xffffff10,0xfff980ff,0x26ffffff,0x64c2fffe,0xffffdccc,
    0x200ccccc,0xfffffff8,0xfff88007,0x8007ffff,0xfffffff8,0xffff8807,
    0x1bfff604,0x3ffffe20,0x3f6007ff,0xccccceff,0x3fe64ccc,0xf50002ff,
    0x207fffff,0xfd81fffc,0xccccceff,0xfb004ccc,0xffb801ff,0x01ffffef,
    0x7ffffffc,0x3fffa6ff,0xffff9802,0x7ffdc000,0x001ffffe,0x7ff7ffdc,
    0x7dc001ff,0x1ffffeff,0x0ffffc80,0x01ffff98,0xffefffb8,0xffb001ff,
    0xffa8009f,0xf50001ff,0x20ffffff,0xfd81fffc,0x300004ff,0xd803fffd,
    0xffffafff,0x7fffcc03,0x3fa6ffff,0xff9802ff,0x7ec000ff,0x3ffffaff,
    0x57ffec00,0x4003ffff,0xfffafffd,0xfff8803f,0x6fffd84f,0xf5fffb00,
    0x36007fff,0x5c004fff,0x0001ffff,0xfffffff5,0x03fff907,0x0009fffb,
    0xffffffc8,0x47fffc01,0xb806fffc,0x6fffffff,0x200bfffa,0x000ffff9,
    0x7e47fffc,0x7fc006ff,0x6fffc8ff,0x47fffc00,0x9006fffc,0x7cc1ffff,
    0xff001fff,0xdfff91ff,0x13fff600,0x3ffff700,0x3ffea000,0xfc86fffe,
    0xfffd81ff,0xffd30004,0x405fffff,0xff56fffa,0xfb3001ff,0x7f4dffff,
    0xff9802ff,0x3ea000ff,0xffff56ff,0x3ffea001,0x01ffff56,0x55bffea0,
    0x8800ffff,0x3f63ffff,0xff5005ff,0x3fffeadf,0x4fffd800,0x7fffd400,
    0xfff50002,0xc85fffd9,0xffd81fff,0xffd0004f,0x05ffffff,0xf89fffe4,
    0x26002fff,0x3fa6fedc,0xff9802ff,0x3f2000ff,0xffff13ff,0x3fff2005,
    0x05ffff13,0x44ffff20,0x9002ffff,0x3fe6ffff,0xff9001ff,0x3fffe27f,
    0x4fffd802,0x7fffcc00,0xfff50003,0xc8dfff79,0xffd81fff,0xffc8004f,
    0x3a000dff,0x3ffa1fff,0x3a00005f,0xf9802fff,0x3a000fff,0x3ffa1fff,
    0xfffd005f,0x02ffff43,0x3a1fffe8,0xf1005fff,0xfff95fff,0x7fff400b,
    0x017fffa1,0x333bfff6,0x22cccccc,0x006ffff8,0xf19fff50,0x7fe43fff,
    0xefffd81f,0xcccccccc,0x037fff42,0x71fffe60,0x0000ffff,0x4017fff4,
    0x000ffff9,0xfb8ffff3,0xff9807ff,0x3fffdc7f,0x23fffcc0,0x2007fffb,
    0xfffefffc,0xfff3001f,0x07fffb8f,0xffffffd8,0x44ffffff,0x001fffff,
    0xf94fffa8,0x7ffe4bff,0xfffffd81,0x4fffffff,0x0027fffc,0xf317ffee,
    0x00003fff,0x200bfffa,0x000ffff9,0xf98bfff7,0x7dc01fff,0x7ffcc5ff,
    0x7ffdc01f,0x0ffffcc5,0xfffff880,0x3ee005ff,0x7ffcc5ff,0x7ffec01f,
    0xffffffff,0x7fffdc4f,0x7fd4000e,0x1ffff14f,0x3607fff2,0xffffffff,
    0x3e24ffff,0x6c004fff,0xfff82fff,0xfd00004f,0xff3005ff,0x3f6001ff,
    0xffff82ff,0x17ffec04,0x2027fffc,0xff82fffd,0x3f2004ff,0x001fffff,
    0x3e0bfff6,0x7ec04fff,0xffffffff,0xfff84fff,0x77101eff,0xfb27ffd4,
    0x3fff29ff,0xfffffd81,0x4fffffff,0x0037fff4,0xb01ffff1,0x0000dfff,
    0x200bfffa,0x800ffff9,0xd80ffff8,0x3e206fff,0xffd80fff,0x3ffe206f,
    0x6fffd80f,0x3fffe200,0x3fe2005f,0xfffd80ff,0x27ffec06,0xffffb800,
    0xfeccdfff,0x93ffea4f,0xfc8ffff9,0xfffd81ff,0xfffc8004,0xfff5005f,
    0x3fffea0d,0xffe80000,0xfff9801f,0xfffa800f,0x1ffff506,0x41bffea0,
    0x500ffffa,0x3ea0dfff,0x32000fff,0x2001ffff,0xf506fffa,0x7ec01fff,
    0x320004ff,0xffffffff,0x3ea4ffff,0x7fff44ff,0xd81fffcb,0x98004fff,
    0x9bffffff,0xfffff901,0xffffffff,0xff00007f,0xff3001ff,0xff9001ff,
    0xffffffff,0x3207ffff,0xffffffff,0x03ffffff,0xfffffff9,0x7fffffff,
    0x3fffd400,0x3ffff200,0xffffffff,0x3ff603ff,0x7dc0004f,0xffffffff,
    0x3ffea4ff,0x677ffd44,0xffd81fff,0xff50004f,0xdfffffff,0xfffffff8,
    0xffffffff,0x7fcc0005,0xfff3007f,0xffff001f,0xffffffff,0x3fe0bfff,
    0xffffffff,0xf05fffff,0xffffffff,0x0bffffff,0x03fffd40,0x3fffffe0,
    0xffffffff,0x3fff605f,0xeb880004,0xbdffffff,0x213ffea0,0xfffffffe,
    0x04fffd81,0x3fffee00,0x3e66ffff,0xffffffff,0x07ffffff,0xfffd0254,
    0x3ffe600d,0x7ffcc00f,0xffffffff,0xf987ffff,0xffffffff,0x87ffffff,
    0xfffffff9,0xffffffff,0x3ffea007,0x3ffe6007,0xffffffff,0x3607ffff,
    0x00004fff,0x8073ffea,0xfb84fffa,0x81ffffff,0x0004fffd,0x7ffffe44,
    0x37ffee6f,0xcaaaaaaa,0xf102ffff,0xfd7579ff,0x26003fff,0x5c00ffff,
    0xaaaadfff,0xffffcaaa,0x56fffdc2,0xfcaaaaaa,0x7fdc2fff,0xaaaaaadf,
    0x02ffffca,0x00ffff50,0x556fffdc,0xffcaaaaa,0xfffb02ff,0x7dc00009,
    0x7fd401ff,0xffff884f,0xffd81fff,0x5100004f,0x7f4dfdb9,0xfff802ff,
    0xffffb04f,0x9fffffff,0x37333260,0xccccffff,0x0bfffa0c,0xd13fffe0,
    0xff005fff,0xfffe89ff,0x4ffff802,0x0ffff500,0x017fff40,0xd827fffc,
    0xccccefff,0xb004cccc,0xff500dff,0x3fff209f,0xffd81fff,0xccccccef,
    0x880004cc,0xd800ffff,0xfd306fff,0xffffffff,0x7fffd409,0xffffffff,
    0xffff10ff,0xdfffb001,0x007fffc4,0xf137ffec,0xfb001fff,0x3ea00dff,
    0xff1007ff,0xffb001ff,0x3fff60df,0xffffffff,0x7fff007f,0x09fff500,
    0x3fffffe2,0xfffffd81,0x7fffffff,0xfffa8000,0xffff7005,0x7ff6d403,
    0x7d400cef,0xffffffff,0xf50fffff,0x3ee00bff,0xfff51fff,0x3ffee00b,
    0x0bfff51f,0x07fffee0,0x01fffea0,0x802fffd4,0xd81ffffb,0xffffffff,
    0x8807ffff,0xfa800fff,0x3ff604ff,0xffd81fff,0xffffffff,0xd80007ff,
    0xf3003fff,0x04007fff,0x3fffea00,0xffffffff,0x7fffb0ff,0x3fffe600,
    0x007fffb3,0x6cffffe6,0xf3003fff,0xf5007fff,0x3f600fff,0xff3003ff,
    0xfffb07ff,0xffffffff,0x026600ff,0x027ffd40,0x03fffff3,0xfffffffb,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15554000,0x20332200,0x54000bc9,
    0x551002aa,0x00001555,0x2aaaaa60,0x20026000,0x0002eeec,0x5ddd7000,
    0x00000040,0x00400001,0x00401000,0xd5008020,0xfd803ddd,0xf1004fff,
    0x7fcc1fff,0x3ff6005f,0xff7004ff,0x00001dff,0x2fffff98,0x5ffff700,
    0x037ffd40,0x7fc40000,0x7fec40ff,0x776c00df,0xbfff9102,0x64400b81,
    0x05c0dfff,0x222ffd40,0x7d401efe,0x0f7f445f,0x807fffea,0x5ffffffd,
    0x2ffffa80,0x003ffff2,0x3ffffff6,0xfffd3005,0x2600001d,0x000dffff,
    0x5ffffff7,0x00ffff40,0x3fee0000,0x7fffcc5f,0xff900fff,0x7ffff40d,
    0x0efcacff,0x3fffffa0,0x00efcacf,0xf917fffc,0xfff80bff,0x17fff22f,
    0x101ffff5,0xff53dffd,0xfff980bf,0x1fffea1f,0x53dffd10,0x6400bfff,
    0x0000efff,0x01ffffcc,0xf53dff10,0x7ffdc0df,0x74000004,0x7fec1fff,
    0x984fffcf,0xff701fff,0xffffffff,0x3fee03ff,0xffffffff,0x3fe201ff,
    0x3fff64ff,0x3fffe206,0x31bfff64,0x9701ffff,0x6664c199,0x41ffdc02,
    0x65c02ffd,0x333260cc,0x3332a002,0x665c0003,0x7fcc001c,0xf881ff22,
    0x00000fff,0x88dfff30,0xfff50fff,0xd809ffd0,0xffffd51e,0x51ed805f,
    0x05fffffd,0x5c3fffb0,0x7ec04fff,0x3ffee1ff,0x03fffcc4,0x00000000,
    0x00000000,0x80000000,0x1ff64ff8,0x007fff90,0x3fff6000,0xf137fcc3,
    0x06ffb8ff,0x37bb7010,0x376e0200,0x3971001b,0x71007950,0x10795039,
    0x0000ffff,0x00000000,0x00000000,0x7f400000,0x404ffedf,0x0007fff9,
    0x87fff880,0x7ffc5ffa,0x003fff30,0x00000000,0x00000000,0x1bffe200,
    0x3ffffff6,0x07ffffff,0xfffffffb,0x50ffffff,0xffffffff,0x81ffffff,
    0xfffffffa,0x0fffffff,0x7fffffd4,0xffffffff,0x7fff4400,0xfffb005f,
    0xfc800005,0x7ff984ff,0xffe9ffe6,0x03310004,0x00062000,0x80001880,
    0xfff00198,0xfffffb0d,0xffffffff,0x3fffff60,0x7fffffff,0xffffffa8,
    0xffffffff,0x7ffffd40,0xffffffff,0x7fffd40f,0xffffffff,0x997000ff,
    0x7ffd4005,0x7fc00006,0xfff880ff,0xf75ffd9c,0xb51001df,0xbfffffff,
    0x7fedc003,0x4000ceff,0xcefffeda,0x7fed4400,0x01dfffff,0xffb0bfff,
    0xffffffff,0x3ff60fff,0xffffffff,0xfffa87ff,0xffffffff,0x7fd40fff,
    0xffffffff,0x7d40ffff,0xffffffff,0x000fffff,0xfd000331,0x200003ff,
    0x3205fffa,0x8fffffff,0xb002fff8,0xffffffff,0xe9809fff,0xffffffff,
    0xfff9002f,0x05ffffff,0x7fffffec,0x004fffff,0xccefffd8,0x04cccccc,
    0x999dfffb,0x30999999,0xfffb9999,0x8199999f,0xffdcccc9,0x0cccccff,
    0x7ee6664c,0xcccccfff,0xfffda880,0x801dffff,0x0004fffb,0x405fffd0,
    0x1fffffd8,0x6c00bffb,0xffffffff,0xf702ffff,0xffffffff,0xfe807fff,
    0xffffffff,0xfffb01ff,0xffffffff,0x1fffc85f,0x0027ffec,0x009fffb0,
    0x7fffcc00,0xfff30000,0x3e60001f,0xfb000fff,0xffffffff,0xff8809ff,
    0x4c0000ff,0x53006fff,0x3ffee157,0x2b3f6000,0xffff5109,0xfffff10d,
    0xffffd99b,0x3ffee01f,0xfffd31cf,0x26b3f60d,0xdffff510,0xfd86ffe8,
    0x360004ff,0x00004fff,0x003fffe6,0x07fffcc0,0xffff9800,0xffffb000,
    0xffffffff,0x3fffc805,0x7ffec000,0x3fe20003,0x4004002f,0x640ffffa,
    0xfb82ffff,0xff884fff,0xfff881ff,0xfa80083f,0x3ffe0fff,0x04fffd83,
    0x13fff600,0xfff98000,0xff30000f,0x260001ff,0xb000ffff,0x2a21359f,
    0x4c06ffff,0x20006fff,0x000ffff8,0x0017ff60,0x1ffff800,0x80ffffe2,
    0xfc87fffd,0x3ff206ff,0x3fe0004f,0x1fff31ff,0x009fffb0,0x027ffec0,
    0xffff3000,0x3fe60001,0xf30000ff,0x02001fff,0x03fffea0,0x005fffd0,
    0x013fff20,0x00fffa80,0x3ffe0000,0x3fffea2f,0x3fffe600,0x01fffec0,
    0x000dfff7,0xfb97fffc,0x9fffb05f,0x7ffec000,0x3e600004,0x30000fff,
    0x0001ffff,0x003fffe6,0x3ffff000,0x05fffa80,0x03ffff00,0x8bffe200,
    0x2a0009a9,0xfffffedc,0x3ffee2ff,0x7fffc406,0x7fffff42,0xffffffff,
    0x76e5407f,0x2fffffff,0x3f601331,0xccccceff,0xffb02ccc,0x999999df,
    0x3e600599,0x30000fff,0x0001ffff,0x003fffe6,0x5ffff000,0x03ffff00,
    0x05fffa80,0x4d7ff600,0x402fffff,0xffffffeb,0x322fffff,0xff805fff,
    0x7fffc3ff,0xffffffff,0xfd707fff,0xffffffff,0x7ec005ff,0xffffffff,
    0xffb04fff,0xffffffff,0x3e6009ff,0x30000fff,0x0001ffff,0x003fffe6,
    0x3ffb72a0,0x802fffff,0x4004fffb,0x0002fffe,0xff31fff5,0x203fffff,
    0xfffffffc,0x22ffffff,0xf805fffd,0x3fe23fff,0xffffffff,0xc87fffff,
    0xffffffff,0x002fffff,0x3ffffff6,0x04ffffff,0xfffffffb,0x009fffff,
    0x003fffe6,0x07fffcc0,0xffff9800,0x3ffae000,0xffffffff,0xfff8802f,
    0xfff3000f,0x3fe2000d,0xd5bffd3f,0xfff70dff,0xf33335df,0x7fdc5fff,
    0x7ffc406f,0x57fffc1f,0x99999999,0x7ffdc099,0xf9999aef,0x36002fff,
    0xffffffff,0xfb04ffff,0xffffffff,0x26009fff,0x0000ffff,0x001ffff3,
    0x03fffe60,0x7ffffe40,0xffffffff,0x7fffb002,0x0ffff600,0x8affec00,
    0xfff30fff,0x40dfffb0,0x3ea2ffff,0x7fcc07ff,0x7fff40ff,0x3ff60002,
    0x3fffe06f,0x3fff6002,0x3ff60004,0x2600004f,0x0000ffff,0x001ffff3,
    0x03fffe60,0x3bfffee0,0xfff9999a,0xfff3002f,0xffff100d,0xfff50001,
    0xff1bfe61,0x3ffff81f,0x45ffff10,0x203ffff9,0xfd87fffd,0x3e0005ff,
    0xff103fff,0x7ec005ff,0x360004ff,0x00004fff,0x003fffe6,0x07fffcc0,
    0xffff9800,0x6fffd800,0x00bfffe0,0x402fffe8,0x8004fffb,0x3e63fff8,
    0x207ffc6f,0xe985ffff,0x7fc2ffff,0xffa81fff,0xfffb83ff,0xfff0002f,
    0xfffd30bf,0x7fec005f,0x3f60004f,0x200004ff,0x000ffff9,0x01ffff30,
    0x3fffe600,0x3ffff800,0x05ffff10,0x02fffd40,0x0007fffe,0xff11bff2,
    0x21ffe61f,0x88bffffe,0x2ffffffb,0x67ffffd4,0x6ffffcba,0x37ffffa0,
    0x0b953109,0x117ffffd,0x5ffffff7,0x27ffec00,0x9fffb000,0x7fcc0000,
    0xf30000ff,0x20001fff,0x800ffff9,0xe985ffff,0x4002ffff,0xf500ffff,
    0xf3000dff,0xdffd03ff,0xf709ffd7,0xffffffff,0xd05fffff,0xffffffff,
    0x4c05ffff,0xffffffff,0xfb87ffff,0xffffffff,0x002fffff,0x0013fff6,
    0x004fffd8,0x3fffe600,0xfff30000,0x3e60001f,0xfe800fff,0xfb88bfff,
    0x002fffff,0xe827ffe4,0xe8002fff,0xfff503ff,0x3a01ffff,0xffffffff,
    0x882fffbc,0xfffffffd,0xfa801eff,0xffffffff,0xfffd07ff,0xf79fffff,
    0x7ec005ff,0x360004ff,0x00004fff,0x003fffe6,0x07fffcc0,0xffff9800,
    0xffffb800,0xffffffff,0x7c4002ff,0xfff987ff,0x6ffc8007,0x77fffd40,
    0x7fffe400,0x5fff52ef,0x7ffff540,0x64000cef,0xffffffff,0x3fff204e,
    0xfff52eff,0x7ffec005,0xccccccce,0xdfffb04c,0x99999999,0xb9999309,
    0x9999ffff,0xcccc9819,0xcccffffd,0x6664c0cc,0xccffffdc,0xffe80ccc,
    0xbcffffff,0xd8002fff,0x7fe43fff,0x0000003f,0x4c400133,0x3000009a,
    0x10000135,0x40035553,0x00009a98,0x3fffff60,0x7fffffff,0xffffffb0,
    0x0fffffff,0xfffffff5,0x1fffffff,0xffffffa8,0xffffffff,0x7ffffd40,
    0xffffffff,0xffff900f,0x3ffea5df,0xfff98002,0x03fffe26,0x00000000,
    0x00000000,0x00000000,0xffb00000,0xffffffff,0x3ff60fff,0xffffffff,
    0xfffa87ff,0xffffffff,0x7fd40fff,0xffffffff,0x7d40ffff,0xffffffff,
    0x200fffff,0x00009a98,0x23dddb00,0x0004eeea,0x00000000,0x00000000,
    0x00000000,0xffffd800,0xffffffff,0xfffffb07,0xffffffff,0xffffff50,
    0xffffffff,0xfffffa81,0xffffffff,0x7fffd40f,0xffffffff,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36200000,0x0803eeee,0x6c400000,0x5003eeee,0x3bb20017,
    0xd90004ee,0x00009ddd,0x201e6540,0x00000008,0x20001004,0x00400019,
    0x00220001,0x17bb6200,0x7ff44000,0x7f4402ff,0x01ffe41e,0xffffe880,
    0xfffe8802,0xffff9001,0x3ff2000b,0x000005ff,0x3f609ffd,0xd802dfff,
    0x3ea002ee,0x0f7f445f,0x3fffb220,0x3eeeeeef,0xe88bff50,0xfea801ef,
    0x000befff,0x2fffff44,0x3ffa2000,0xffc800ef,0x3fffe65f,0x7ff44000,
    0xff7000ef,0x7d400dff,0x50005fff,0x000bffff,0x01fff880,0x1fffffff,
    0x0037fe40,0xfc8bfffe,0x3fee05ff,0xffffffff,0xfff04fff,0x2fffe45f,
    0xfffffd30,0x4005ffff,0x5fffeffe,0xfffd1000,0x7ffec009,0x07fffea6,
    0x4fffe880,0x7fffe400,0x7ff44006,0xfd10005f,0x10000bff,0x5c0fff93,
    0x03fffa9a,0x4003fff3,0x364ffff8,0xff506fff,0xffffdfff,0xf109ffff,
    0x7fec9fff,0xffff106f,0xffffffff,0x1dffb003,0x0009fff3,0x8005ddd9,
    0x3e24fffb,0x764006ff,0xfa8002ee,0x90004fff,0x40007ddd,0x4003eeec,
    0xfffffdc8,0xffd3004f,0x013ffa05,0xb87fff60,0xfff04fff,0x7ffdc49f,
    0xffb0099f,0x27ffdc3f,0x9cffffd8,0x05ffffb9,0xd306f75c,0x000005dd,
    0x93079500,0x00000019,0x0013fee0,0x00000000,0x3ffffe60,0x201fffff,
    0x703ffffe,0x22000dff,0x03ca81cb,0x360dfff3,0x5c403fff,0x103ca81c,
    0xf705ffff,0x00000fff,0x000cc400,0x88000000,0x00000001,0x40000c40,
    0x3ee00198,0xffffffff,0xffd01fff,0xff985dff,0x0000001f,0x207fff50,
    0x0004fffa,0x7fffcc00,0x07fffa80,0x44001880,0xffffffda,0x000001df,
    0x3ffb6a00,0x00000cef,0xffeda800,0x54400cef,0xfffffffd,0xffff101d,
    0xfffff59f,0xb55503ff,0x4ffe8fff,0x20000000,0xf504fffb,0x310009ff,
    0x1bffee00,0x8037ffe4,0xcefffeda,0x7fffec00,0x4fffffff,0x77777640,
    0x64003eee,0xffffffff,0xdddd902f,0x8007dddd,0xfffffffc,0x3ff602ff,
    0xffffffff,0xefffc84f,0xffffff30,0xfffa80bf,0x001dff70,0x409ddd70,
    0x3e61eeed,0xfff907ff,0x3ff6e005,0xf900ceff,0xfff50bff,0xfff9005f,
    0x05ffffff,0x7fffffec,0x02ffffff,0x3ffffffa,0x3fa004ff,0xffffffff,
    0xfffe81ff,0x004fffff,0x3ffffffa,0xb01fffff,0xffffffff,0x7c45ffff,
    0x3ff22fff,0x30ffffae,0xdfffdddf,0x000bffe2,0xf02fffe4,0xfff85fff,
    0x3ffee1cf,0x7ff4c00f,0x2fffffff,0x545fffc8,0xe804ffff,0xffffffff,
    0x9fb01fff,0x3fea2135,0x3ffa06ff,0x04ffffff,0x39ffff70,0x21bfffa6,
    0xfffffffe,0xfff7004f,0x3ffa639f,0x359fb06f,0x3fffea21,0xf1bffea6,
    0x3fffe7ff,0xffffff31,0x017ff61d,0x05fffc80,0xf50bfffe,0xffffffff,
    0xffb807ff,0xffffffff,0x7ffe43ff,0x13fffe65,0x33fffee0,0x0dfffd31,
    0x3ffea002,0x5555500f,0x1009fffd,0xf103ffff,0xaaa87fff,0x04fffeaa,
    0x81ffff88,0x083ffff8,0x0ffffa80,0x7cc9fff7,0x5fffd0ff,0x86af32e2,
    0x0000fffb,0xf817fff2,0x7fdc2fff,0xffffffff,0x7fffc404,0xfffeccdf,
    0x3fff20ff,0x017fffa5,0x207fffe2,0x003ffff8,0x007fffe0,0x804fffd8,
    0x3206fffc,0xfd804fff,0xffc804ff,0x3fff206f,0x3ffe0004,0x49fff91f,
    0x3ff66ffc,0xfff1003f,0xffc80005,0x3fffe05f,0x377ffe22,0x800cefff,
    0xb82ffffc,0x3f24ffff,0x3fffe5ff,0x6fffc802,0x013fff20,0x02ffff80,
    0x013fff60,0xb80ffff6,0xfd806fff,0xffd804ff,0x3ffee03f,0x3ffe0006,
    0x47fffb2f,0x3ff63fff,0xbffb003f,0xfff90000,0x17fffc0b,0x0001fff9,
    0x01ffffc4,0x7e4ffffb,0x3fffe5ff,0x3fffd803,0x01bffee0,0xffffdb95,
    0x6c005fff,0xfe804fff,0xffffffff,0x807fffff,0xe804fffd,0xffffffff,
    0x07ffffff,0x7fff6e54,0xff92ffff,0x83ffea9f,0xa802fffe,0x80000fff,
    0x3e05fffc,0x3ffa2fff,0x3ea0000f,0x3e600fff,0xfff90fff,0x0fffff4b,
    0x3fffffa0,0xffffffff,0xfffd707f,0xffffffff,0x7ffec005,0xfffff804,
    0xffffffff,0xffd807ff,0xffff804f,0xffffffff,0xfd707fff,0xffffffff,
    0x3ffee5ff,0x7c4bff95,0x7c400fff,0x900002ff,0x7fc0bfff,0x3fff62ff,
    0x1aaaaacf,0x037ffdc0,0x64bfffe2,0x3fee5fff,0x3fe03fff,0xffffffff,
    0xc87fffff,0xffffffff,0x002fffff,0x1013fff6,0xffffffff,0xffffffff,
    0x09fffb00,0xffffff88,0xffffffff,0xffffc87f,0xffffffff,0x3ffff52f,
    0x7fdc7fff,0x5ffd807f,0x00ffffe6,0x205fffc8,0x3ea2ffff,0xffffffff,
    0xfc81cfff,0xfff805ff,0x8bfff93f,0x85fffffe,0xfffffff8,0xffffffff,
    0x77fffdc7,0xfff9999a,0x3ff6002f,0xffff804f,0x9999999a,0xfd800999,
    0xfff804ff,0x999999af,0x7dc09999,0x999aefff,0x3e2ffff9,0x0fffefff,
    0x807ffff1,0x3fa0fffa,0x32003fff,0x3fe05fff,0x7ffdc2ff,0xffffffff,
    0x7ffec2ff,0x3ffff805,0xfb0bfff9,0xff09ffff,0x333335ff,0xd8133333,
    0x3fe06fff,0x3f6002ff,0xffe804ff,0x6c00002f,0xfe804fff,0x360002ff,
    0x3fe06fff,0x3ffee2ff,0xffb9dfff,0x3e200fff,0x37fee3ff,0x3f2003ff,
    0x3ffe05ff,0x3fffa22f,0xfffeeeee,0x3fee0fff,0x7ffc406f,0x0bfff91f,
    0x07fffff2,0x0005fffd,0x881ffffc,0x2002ffff,0xd804fffd,0x00005fff,
    0x4027ffec,0x0005fffd,0x440ffffe,0x7e42ffff,0xffffffff,0x7ec02fff,
    0x2b7fe25f,0x3f2003ff,0xfff105ff,0x1ffff45f,0x2ffffc88,0x301fffea,
    0x3f21ffff,0x3fee05ff,0x7ffec4ff,0x3ffe0005,0xfffe985f,0x3ff6002f,
    0xfffb804f,0x3600002f,0xfb804fff,0xf0002fff,0xfd30bfff,0xff905fff,
    0xffffffff,0x0fffa803,0x3fea3ff6,0x3ffee003,0x5ffffd06,0x201bffea,
    0x3e63ffff,0x3f603fff,0x3fff27ff,0x2ffff405,0x00bfffee,0x5fffff40,
    0xfffffb88,0x3ff6002f,0xfffd004f,0x2a6213bf,0xfffb005c,0x3fffa009,
    0x953109df,0x7ffffd0b,0xfffff711,0x3fffa05f,0x400cefff,0x3ee3fff8,
    0x1cffb9cf,0x1ffff500,0x2fffffd8,0x880dfff9,0x7fc1ffff,0xffa81fff,
    0x3fff23ff,0x2fffec05,0x4efffff4,0x70b95310,0xffffffff,0x05ffffff,
    0xfd555551,0x35555bff,0xffffff30,0x8fffffff,0xfeaaaaa8,0x1aaaadff,
    0xffffff98,0x87ffffff,0xfffffffb,0x2fffffff,0x9acfff88,0x1bff2000,
    0xfffffffb,0x3fe600ff,0xfffbbeff,0xff72ffff,0x3f6207ff,0xfffa87ff,
    0xffcbacff,0x7ffe46ff,0x3ea226a5,0xff983fff,0xffffffff,0xfffd07ff,
    0xf79fffff,0xfff705ff,0xffffffff,0x3ea0bfff,0xffffffff,0x7ffdc7ff,
    0xffffffff,0xff505fff,0xffffffff,0x3fffa0ff,0xfbcfffff,0x7ffa82ff,
    0x3fff3000,0xffffffd8,0x3fa007ff,0xffffffff,0xff12fffe,0xdb9dffff,
    0x203fffff,0xfffffffe,0x642fffff,0xfff15fff,0x01ffffff,0x3fffffea,
    0x207fffff,0x2efffffc,0xf705fff5,0xffffffff,0x80bfffff,0xfffffffc,
    0x7ffdc4ef,0xffffffff,0x7e405fff,0xefffffff,0x3ffff204,0x5fff52ef,
    0x000bffb0,0x2620fffa,0x1cffb999,0x3fffe600,0xffabffff,0x3fffea2f,
    0xffffffff,0x3ff6202f,0xefffffff,0x15fffc81,0xffffffff,0xffff9003,
    0x809dffff,0x80009a98,0xfffffffb,0x5fffffff,0x35553100,0x7ffffdc0,
    0xffffffff,0x5531005f,0x54c40035,0x77440009,0xffc8001e,0x0ffea006,
    0x3fffa600,0x5fff51ef,0xfffffb88,0x2003efff,0xefffffea,0xbfff900c,
    0x3fffffe2,0x54c4000c,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a200000,0x2620000a,0x800009a9,0x400009a9,0x00009998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09800000,0x2f32e600,0x3bb60001,0x0ae623ee,0xee800080,
    0xd9001abc,0x00009ddd,0x005eed88,0x8f776c00,0x0004eeeb,0x003dddd5,
    0x003dddd3,0x4400004c,0xeeec8100,0x0000004e,0x3ffffaa0,0xffb102ef,
    0x003bffff,0xbfffff10,0x8809fffd,0x5c0dfffc,0xffffff80,0xfffc802e,
    0xd100005f,0x000bffff,0xc97fff40,0x10005fff,0x900bffff,0x775cdfff,
    0xdfffb30e,0x3b2a0019,0xfdcdffff,0x5ffffc82,0x1ffe4400,0x3fffa600,
    0x983fffff,0xffffffff,0x2a2000ff,0xfffffffd,0x7ff404ff,0xfcacffff,
    0x7ffffc0e,0x5401efff,0x0005ffff,0xfffeffe8,0xffd00005,0x17fff25f,
    0xffffc800,0x1ffffc00,0xff73fff9,0x01dfffff,0x7ffffec4,0x02ffffff,
    0x00bffff5,0x01ffffec,0xfffffe88,0xfe83ffff,0xfffddfff,0xfff5006f,
    0xffffffff,0x7ffdc05b,0xffffffff,0x7ffffc1f,0x400fffff,0x005fffe8,
    0x263bff60,0x80004fff,0xff92fffe,0x7cc000bf,0x3ea02fff,0x3ff20fff,
    0xffffffdf,0xff306fff,0xffffffff,0x74405fff,0xf8805fff,0x9007ffff,
    0x535bffff,0xfffa8595,0x3fffea0e,0xffffa800,0x005fffff,0x7ff547b6,
    0xa9982fff,0x6fffffda,0x07ddd900,0x41bdd700,0x0002eee9,0xfc97fff4,
    0x740005ff,0x3f605fff,0x7ffe45ff,0xffccffff,0xffe82fff,0xfb99adff,
    0xec802fff,0x7fc403ee,0xff007fff,0x7e4009ff,0xfffe82ff,0xbcefa801,
    0x02ffffe9,0x2f76e020,0x3ffe6001,0x000002ff,0x80000000,0xff92fffe,
    0xfb8000bf,0xff880fff,0x7ffe42ff,0x3fe20cff,0x7ffdc6ff,0x5fffd03f,
    0x3fa00000,0xf8805fff,0x36000fff,0xffd82fff,0x9808801f,0x000fffff,
    0x3e600000,0x22004fff,0x33100001,0x74260000,0xfff92fff,0x2200110b,
    0xfb83ffff,0xfffc87ff,0xffff705f,0x02ffffc1,0x0005fffd,0x3bffa600,
    0x7fffa800,0x27ffe400,0x001fffe2,0x3fffff6e,0x4c0004ff,0x3ffe0000,
    0x7fedc06f,0x8800ceff,0xffffffda,0xdb5001df,0xffffffff,0x4d3fff25,
    0x00ceffec,0x7437ffec,0xffc84fff,0xfff300ef,0x3fffe63f,0x0bfffa01,
    0x6c09ddd7,0x00981eee,0x01bffea0,0x21ffff50,0x004fffe8,0x3fffffa6,
    0x700fffff,0x3f661ddd,0xe8004fff,0xfd306fff,0xffffffff,0xffffd805,
    0x4fffffff,0x3ffff620,0x2fffffff,0xff59fff9,0x01dfffff,0x10ffffcc,
    0xf901ffff,0x7fc40bff,0xffff52ff,0x42fffe80,0x3e05fffc,0x80002fff,
    0x4006fffa,0xe9dffff8,0x3000efff,0xffffffff,0x3209ffff,0xfffb9fff,
    0x000effff,0x709ffff1,0xffffffff,0x6c07ffff,0xffffffff,0xf982ffff,
    0xffffffff,0xff92ffff,0xffffffdf,0xfe80dfff,0x3ffee4ff,0x0bfff905,
    0xf73ffff8,0xffe80fff,0x2fffe42f,0x005ffff0,0xfb999988,0x99999fff,
    0xffff5019,0x001dffff,0x56fffff4,0x0ffffea9,0xffdfffc8,0x3fffffff,
    0xffffd880,0x7ffffc42,0xffffeccd,0x359fb00f,0x3fffea21,0xdffffe86,
    0xffffb99a,0xffffff92,0xfffff99f,0x3fffdc05,0x3205fffd,0x7fc05fff,
    0xdfff92ff,0x42fffe80,0x3e05fffc,0x64002fff,0xffffffff,0x7fffffff,
    0x3fffff60,0x7fdc004f,0xfffa83ff,0xffffc82f,0xfffdcfff,0xfeeeb87f,
    0xfc86ffff,0xffb82fff,0x500104ff,0x7dc1ffff,0xffd03fff,0x3ffff25f,
    0x3ffe20cf,0x3ffe206f,0x07fff99f,0x8817fff2,0xff71ffff,0xfffe80ff,
    0x02fffe42,0x8005ffff,0xfffffffc,0xffffffff,0xffffd107,0xfff0005f,
    0x3ffe20bf,0xffffc84f,0x3ffea0cf,0x7fffdc0f,0x7c41efff,0x3f603fff,
    0x7c0007ff,0x3ffe1fff,0x3fffa05f,0x0bffff92,0x803fffee,0xffccfffd,
    0x3fff204f,0x9fffea05,0x2207fffa,0x7e42ffff,0x3ffe05ff,0x7fe4002f,
    0xffffffff,0x987fffff,0x6fffffff,0x220fffe4,0x3601ffff,0xffc86fff,
    0xfff885ff,0x7fffdc1f,0xfff504ff,0x7ffcc01f,0x3fe0000f,0xffff32ff,
    0x97fff403,0x300efffc,0x4c03ffff,0xffffffff,0x17fff201,0x266fffe8,
    0xfb01ffff,0xffc85fff,0x3fffe05f,0x80177642,0x2006fffa,0xffefffe8,
    0x3fff65ff,0x03fffd40,0x321ffff2,0xff00efff,0xfffb85ff,0x7ffdc01d,
    0x7fffc406,0x7f6e5402,0x52ffffff,0xfe80ffff,0xbfff92ff,0x17fffc40,
    0x3fffffa0,0x7ffe406f,0x7ffff705,0x42ffffc4,0x42fffffc,0x3e05fffc,
    0x3ff62fff,0xffa803ff,0x3ff2006f,0xffffb8ef,0xb81fffb3,0x7dc07fff,
    0xfffc87ff,0x0bfffa05,0x9007fff5,0xff00bfff,0x3fae07ff,0xffffffff,
    0xffff72ff,0x92fffe80,0xff80bfff,0x7fdc03ff,0x6403ffff,0x9319efff,
    0xf90dffff,0xff75bfff,0xc85fffff,0x3fe05fff,0xffff12ff,0xfff500df,
    0x3ffe200d,0x3ffff61f,0xfc87fffa,0x7fdc06ff,0x5fffc87f,0x50bfffa0,
    0xfb007fff,0xfff00bff,0xffff907f,0xffffffff,0x1bfff25f,0x325fffd0,
    0x7fc05fff,0x7fc402ff,0xfc807fff,0xffffffff,0xf881ffff,0xffffffff,
    0x642fffff,0x3fe05fff,0xffff32ff,0xfff500ff,0x3ffe600d,0xfffffe87,
    0xfffb85ff,0x3fffe407,0xd02fffe4,0xee985fff,0xfffb802e,0x7fffc406,
    0x77fffdc1,0xfff9999a,0x0ffff72f,0xf92fffe8,0x7fc40bff,0xffd801ff,
    0xffc803ff,0xffffffff,0x3fea01ef,0xdbffffff,0x7fe42fff,0x3fffe05f,
    0x17ffffe2,0x01bffea0,0x4437ffd4,0x2fffffff,0x407fffa8,0xfc86fffd,
    0x3ffa05ff,0xfa80002f,0x7fcc07ff,0x7ffec0ff,0x4bfffe06,0x2207fffa,
    0xff92ffff,0x7ffd40bf,0xffffb007,0xffff9001,0x05dfffff,0x3ffffa60,
    0x85fffd1e,0xf105fffc,0x7fcc5fff,0xffa800ef,0xfff5006f,0x3fffe60f,
    0xffff307f,0x3fffe205,0x05fffc84,0x0c0bfffa,0x7ffff300,0x43fffec0,
    0xf103ffff,0x3fe65fff,0xfffb01ff,0x17fff25f,0x806fffe8,0x003ffff9,
    0x331bfff9,0x55440001,0x217fff40,0xfd06fffb,0x1a885fff,0x1bffea00,
    0x1ffffc40,0x05ffffb8,0x01dffff1,0x903ffffb,0x7f40bfff,0x7ffcc2ff,
    0xfffff003,0x7ffff503,0x30bffff0,0x225ffffd,0xfc85ffff,0xff92ffff,
    0x3ffee0bf,0x7ffc403f,0xff9000ef,0x000000bf,0xf50bfffa,0xffd81fff,
    0x80002fff,0x2006fffa,0x89cffffe,0xffffffb9,0xdffff702,0xffffd757,
    0x17fff20d,0x7c2fffe8,0xa801ffff,0xbacfffff,0xd06ffffc,0x7117ffff,
    0x45ffffff,0xbadffffc,0x2fffffff,0x233dfff9,0x86ffffc9,0xffffb99a,
    0x3ff2001f,0x0000005f,0xf985fffd,0xffbbefff,0x442fffff,0xff5000aa,
    0x7fcc00df,0xffffffff,0x81ffffff,0xfffffff8,0x01ffffff,0x740bfff9,
    0x3fe62fff,0xfd002fff,0xffffffff,0x3ee05fff,0xffffffff,0x222fffff,
    0xffffffff,0x92fffeff,0xffffffff,0xf03fffff,0x5fffffff,0x5fffc800,
    0xfd000000,0xfffd05ff,0xfdffffff,0x7ffdc5ff,0xfffa801e,0x7ffdc006,
    0xdfffffff,0x980ffffe,0xfffffffe,0x3f201fff,0x3ffa05ff,0x3fffe22f,
    0xffb1001f,0xdfffffff,0xffffe803,0xffbcffff,0x7fffd42f,0xffabffff,
    0xfffff92f,0x3dffffff,0x3fffffe0,0xffc8002f,0x0000005f,0xf305fffd,
    0x7fffffff,0x3e65fff5,0xa806ffff,0x88006fff,0xeffffffd,0x0dffff31,
    0x7fffffe4,0x7fe400cf,0x3fffa05f,0x027ffd42,0x7ffff540,0xf9000cef,
    0x2a5dffff,0xfe982fff,0xff51efff,0x3ff6e25f,0x02efffff,0x067ffffc,
    0x5fffc800,0xfd000000,0x3fa605ff,0xff51efff,0x3fffee5f,0x7fd400ff,
    0x54c0006f,0x2200001a,0x320009a9,0x3fa05fff,0x01a882ff,0x009a9800,
    0x01353100,0x00554400,0x00999880,0x00026a60,0x017fff20,0x7ff40000,
    0x0554402f,0xfffffb80,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x06fffff9,0x00bddb10,
    0x76c40000,0x4400005e,0x003eeeed,0x7ddddb10,0x007ffee0,0x54c0bbb6,
    0x4400019a,0x40000199,0x00ceeeec,0x005eed88,0x01bdddd5,0x00998000,
    0x26a62000,0x3bffea00,0xfffe8800,0x3f22005f,0xffd1003f,0x20000bff,
    0x02ffffe8,0xffffd100,0xfffff705,0x46ffc803,0xffffffeb,0xfd3002ef,
    0x05dfffff,0xffffc800,0xfffd1004,0x3fea00bf,0x20000fff,0xfffffec8,
    0x6e44000d,0xdfffffff,0x2001a883,0x5fffeffe,0x7ffffb00,0xffdffd00,
    0xe88000bf,0x0000efff,0x01dfffd1,0x07fffffe,0x7c1fff98,0xffffffff,
    0x3f600eff,0xffffffff,0xff90006f,0x7f4005ff,0x005fffef,0x01ffffd1,
    0xffffd100,0x003fffff,0x3fffffea,0x00ffffff,0x477fec00,0x4404fff9,
    0x407fffff,0xff98effd,0xfd10004f,0x440009ff,0x6404fffe,0x201fffad,
    0xfff84ffe,0xffffffff,0xffff905f,0xffffffff,0xfffc800b,0x3ff6001e,
    0x04fff98e,0x03ffff20,0xfffff980,0x2fffffff,0x7ffffe40,0xffffffff,
    0xeb801980,0x3bba60de,0x3fffe202,0x37bae07f,0x00bbba60,0x00bbbb20,
    0x05ddd900,0x80fffc40,0x9df06ffb,0xfffb7355,0xfff983ff,0xffb511cf,
    0x3aa001ff,0x75c004ee,0x3bba60de,0x3bbaa002,0xffff000d,0xfffb537f,
    0x7ffe40df,0xedccefff,0x3fa60fff,0x000000ef,0x0bffffd0,0x00000000,
    0x20000000,0xf981fff8,0xa80101ff,0x7dc3ffff,0xfff106ff,0x0000005f,
    0x00000000,0x07fffee0,0x20ffffea,0x04fffff8,0xfff886d4,0x000006ff,
    0x01dffd30,0x00001880,0x06200000,0x07ffe200,0x00013ffa,0xfd89ffff,
    0x3ff603ff,0x0000003f,0x00000000,0x407fffd0,0xfd86fffd,0xa8002fff,
    0x41ffffff,0x3604eeeb,0x04c01eee,0xffffb700,0xeeb8019d,0x3bbb604e,
    0xfffdb801,0xf8800cef,0x77fdc1ff,0x7fec0000,0x2fffe42f,0x903fffd0,
    0xdddddddd,0x77764007,0x003eeeee,0xddddddd9,0xfffa807d,0x3ffea00f,
    0x3fffe61f,0xfff50005,0xffc83fff,0x3fffe05f,0xfd300002,0xffffffff,
    0x2fffe405,0x405ffff0,0xffffffe9,0x7c402fff,0x3ffe21ff,0x7fc40002,
    0x7ffd40ff,0x6fffb83f,0xffffffd0,0x7f4009ff,0x4fffffff,0xfffffd00,
    0xfc809fff,0x3fee05ff,0x3fee2fff,0xf10001ff,0xc81fffff,0x3fe05fff,
    0xb80002ff,0xffffffff,0xf903ffff,0x7ffc0bff,0xffff702f,0xffffffff,
    0x0fffc407,0x8000bffb,0xd05fffd8,0x323bffff,0xfd02ffff,0x9fffffff,
    0x7ffff400,0xd004ffff,0xffffffff,0x3fffd809,0xfffffd88,0x1bfff63f,
    0xffff7000,0x0bfff905,0x0017fffc,0x3ffffe20,0xffffeccd,0x5fffc80f,
    0x20bfffe0,0xcdfffff8,0x0fffffec,0xffb86660,0x332e000f,0x0dffffdc,
    0xffffff30,0x407fffff,0xffeaaaaa,0x2aaa004f,0x04fffeaa,0xfd555550,
    0xffd809ff,0x7fff4c3f,0x3fa4ffff,0x999985ff,0xbb981999,0x0bfff900,
    0x0017fffc,0x0bffff20,0x213fffee,0x3e05fffc,0xffc82fff,0xfffb82ff,
    0x3fe2004f,0x7fec002f,0x803fffff,0xffffffe9,0xfd8001ff,0x6c0004ff,
    0x20004fff,0x7404fffd,0x3fee2fff,0x5fffdfff,0x3e13fffe,0x0fffffff,
    0x5fffc800,0x80bfffe0,0xff880ab9,0x3ff603ff,0x5fffc87f,0x10bfffe0,
    0x6c07ffff,0x36007fff,0xfd8005ff,0xdfffffff,0x7fffcc01,0x000cffff,
    0x0027ffec,0x013fff60,0x04fffd80,0x744ffffc,0xfb8dffff,0xffff16ff,
    0xffffff07,0xf90001ff,0x7ffc0bff,0xdfff502f,0x0ffffa81,0x03fffe60,
    0x7c0bfff9,0x7fd42fff,0x3fe600ff,0xffa800ff,0xeec8000f,0xfffffffe,
    0xfffff703,0x01dfffff,0x027ffec0,0x13fff600,0x4fffd800,0x7e7fffc0,
    0x3ee3ffff,0xffff15ff,0xffffff07,0xf90001ff,0x7ffc0bff,0xfffff02f,
    0x06fffb8b,0x217fffc4,0x3e05fffc,0x7fdc2fff,0x7ffc406f,0x7ffc402f,
    0x2e200002,0x641fffff,0xfc9cffff,0x2006ffff,0x0004fffd,0x0027ffec,
    0x809fffb0,0xfffffffe,0x27ffe41e,0x3309ffff,0x01ffff33,0x0bfff900,
    0xf817fffc,0x320fffff,0xff805fff,0x7ffe43ff,0x0bfffe05,0xf00bfff9,
    0xfd807fff,0x3fffe65f,0xfff30003,0x7fffcc9f,0x7ffff4c2,0x9fffb002,
    0xfffd8000,0x3ff60004,0x7ffec04f,0xfd80dfff,0x3fffa3ff,0x7fffc405,
    0xfffc8000,0x0bfffe05,0x17fffff4,0xf00bfffb,0xffc87fff,0x3fffe05f,
    0x02fffec2,0x501ffffc,0x7ff41fff,0x360003ff,0x3ffa6fff,0xfffd104f,
    0x3fff600b,0x7fec0004,0x3f60004f,0x7fe404ff,0x3fa02fff,0x3fff22ff,
    0x7fffc407,0xfffc8000,0x0bfffe05,0x17ffffcc,0x880dfff7,0x7e41ffff,
    0x3ffe05ff,0x37ffdc2f,0x07fffe20,0xf71fffc4,0x0007ffbf,0xff37ffec,
    0x7fdc03ff,0xfffb006f,0xffd80009,0x3f60004f,0x7fdc04ff,0x3fe601ff,
    0x3ffee1ff,0x3ffe202f,0xffc8000f,0xffff105f,0x7fffd405,0x01fffea1,
    0xc81ffff3,0xff105fff,0xfffa85ff,0x7fffcc07,0x44bffb00,0x03ffadff,
    0x53fffa00,0x201ffff8,0xb006fffa,0x80009fff,0x0004fffd,0x1013fff6,
    0x6407ffff,0x7fc45fff,0xff100eff,0xf70001ff,0x3ffa0dff,0x3fe202ff,
    0x7fffcc7f,0x1ffff603,0x741bffee,0x7cc2ffff,0x3f603fff,0xfff507ff,
    0x7d47fec1,0xff90003f,0x7fffc5ff,0x13fff605,0x027ffec0,0x13fff600,
    0x4fffd800,0x0ffffc80,0x81ffffa8,0x81fffffb,0x000ffff8,0x40ffffa8,
    0x02fffffd,0x3e17ffea,0xfa81ffff,0xffa83fff,0x7ffec0ff,0xffff82ff,
    0xffffa81f,0x23fff883,0xffb9cffb,0x2aab2a1c,0xffffcaa9,0x3fffa0ef,
    0xff930acf,0x3f6005ff,0x6c0004ff,0x20004fff,0x8804fffd,0x99cfffff,
    0x205ffffc,0xdefffffe,0x0ffffdbb,0xffff9800,0xfffffbbe,0xfff502ff,
    0xffff501f,0xfff9759f,0x3ffe60df,0xffffbbef,0xffa82fff,0xfcbacfff,
    0xff906fff,0xfffffd8d,0x3ff27fff,0xffffffff,0x7fcc0fff,0xffffffff,
    0xaa885fff,0xdfffeaaa,0xa881aaaa,0xfffeaaaa,0x441aaaad,0xffeaaaaa,
    0x81aaaadf,0xfffffffc,0x201effff,0xfffffffa,0x0fffffff,0xffffd000,
    0xffdfffff,0x7ff6e45f,0x3ffa02ff,0xffffffff,0x3ffa02ff,0xefffffff,
    0xffd02fff,0xffffffff,0xfff305ff,0xfffffd83,0x3ff27fff,0xffffffff,
    0xfff501df,0xffffffff,0x3fffee0b,0xffffffff,0xfffb85ff,0xffffffff,
    0x7fdc5fff,0xffffffff,0xf705ffff,0xffffffff,0xffb1001d,0xffffffff,
    0x260001ff,0xffffffff,0xf12fffab,0x803bffff,0xffffffd8,0x4c01efff,
    0xffffffff,0x102fffab,0xfffffffb,0x3fa03dff,0x9999883f,0x3f21cffb,
    0xefffffff,0xffc8801c,0x01dfffff,0x3fffffee,0xffffffff,0xfffffb85,
    0xffffffff,0x7fffdc5f,0xffffffff,0x3f6605ff,0x003effff,0xfffffea8,
    0x0000beff,0x77ffff4c,0x225fff51,0x4002ceff,0xefffffea,0xffd3000c,
    0x3fea3dff,0x7ff5402f,0x900cefff,0x7d400dff,0xaa99883f,0x4c400009,
    0xff7001aa,0xffffffff,0xf70bffff,0xffffffff,0xb8bfffff,0xffffffff,
    0x05ffffff,0x00003530,0x004cd4c4,0x05544000,0x40000100,0x200009a9,
    0x00000aa8,0x000026a6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00033330,0x3fee0022,0x2eed801f,
    0x00006600,0x70009988,0x3a207ddd,0x774c0eee,0x7640005e,0x3eeeeeee,
    0x26aa6000,0x00a88000,0x004eeeb8,0x806fffb8,0x2001ffff,0xba8001a9,
    0xffd95002,0x405bffff,0xfffffdc9,0x3fffee3d,0x37fe401f,0x3fff6e20,
    0x44000bdf,0xdeffffec,0x13fff201,0x207fffc4,0x0006fffa,0x7ffffff4,
    0x362004ff,0xffffffff,0x3fb2200d,0xfffc801f,0xfffb8005,0x1ffff806,
    0x7fffecc0,0xffc804ef,0x7ffec05f,0x4fffffff,0xffffff90,0x7ffcdfff,
    0x3e601fff,0x3fe601ff,0xefffffff,0xffff5000,0x05ffffff,0x4413fff2,
    0x7d40ffff,0x740006ff,0xffffffff,0xffff9004,0x3fffffff,0x0ffffc40,
    0x02fffe40,0x037ffdc0,0x900ffffc,0xffffffff,0x3fe203df,0xfe983fff,
    0xffffffff,0x7ff444ff,0xffffffff,0x3ffeb726,0x813ffa01,0xbbdffffa,
    0x401ffffd,0xfffffffb,0xc84fffff,0xff104fff,0xfffa81ff,0x665c0006,
    0x04ffffcc,0xffffffc8,0x01ffffff,0x007fffe2,0x0017fff2,0x201bffee,
    0xf701ffff,0xffffffff,0x3fe60bff,0x7fc47fff,0xccdfffff,0x7fec4ffe,
    0xedccefff,0x1fff886f,0x540dff70,0xfb104fff,0x3fe201ff,0xfedcefff,
    0x7e41ffff,0xfff104ff,0x6fffa81f,0xffd80000,0x7ffd404f,0xcbaabdff,
    0x3fe201fe,0xffc801ff,0xffb8005f,0xffff806f,0xfffff881,0x0efea89c,
    0xffffff10,0x77fffe41,0x7d475101,0x5301efff,0x303fff10,0x7f403fff,
    0x4ffd804f,0x05ffffb0,0xc8bffff7,0xff104fff,0xfffa81ff,0xfd800006,
    0x7fec04ff,0x200401ff,0x801ffff8,0x8005fffc,0xf806fffb,0xffb81fff,
    0x801700ff,0x11fffffa,0x001dffff,0x00fffff8,0x81fff880,0x3ea04ffe,
    0x0bcb985f,0xff981fff,0x3ff203ff,0x3fff20ff,0x1ffff104,0x006fffa8,
    0x4fffd800,0x02ffff40,0x7f7776c0,0xeeeeefff,0xbfff90ee,0x3ee00988,
    0xfff806ff,0x6fffc81f,0xfffc8000,0x0bffff67,0x7ffff100,0x3ffe2000,
    0x0077fdc1,0x7f445ffd,0x9ff92fff,0x407fffc8,0x324ffff9,0xff104fff,
    0xfffa81ff,0xbdddd106,0x9fffb001,0x06ffff80,0xffffff80,0xffffffff,
    0x9fff90ff,0x13ffff66,0x201bffee,0xfd81ffff,0xa80003ff,0x3ffe6fff,
    0xffa8006f,0xf10000ff,0x7ffc43ff,0x89bfe202,0x12ffffff,0xfffd8fff,
    0x5fffe804,0x4413fff2,0x7d40ffff,0xffe886ff,0xffb002ff,0xfffe809f,
    0x7ffc004f,0xffffffff,0xf90fffff,0xffff79ff,0x7dc1dfff,0xfff806ff,
    0x2fffe81f,0xfffb8000,0x07ffff13,0x0ffff700,0x0fffc400,0xf980bffb,
    0x33fff64f,0x83ffa1ba,0xc803ffff,0x3ff26fff,0xffff104f,0x86fffa81,
    0x002ffffd,0x9013fff6,0x17dfffff,0xf7555500,0x55557fff,0x3fff2155,
    0xfffffffe,0x3ffee3ff,0x1ffff806,0x002fffe8,0x337ffdc0,0x0005ffff,
    0x000ffff9,0x3fee1998,0x9ffd400f,0x3604fff8,0x3fffe1ff,0x7fffc802,
    0x4413fff2,0x7d40ffff,0x7ffe46ff,0x7fec003f,0x7ffc404f,0x01cfffff,
    0x07fffe20,0x3fffff20,0xffffdcff,0x01bffee7,0x3a07fffe,0x44002fff,
    0x0fffffdc,0x007fffea,0x03fffee0,0xfff88000,0x32ffb802,0x7e405fff,
    0x3ffff32f,0x4ffff700,0xf504fffc,0xffa81fff,0x3fffee6f,0xfffd8004,
    0xffffa804,0x02efffff,0x01ffff88,0xcfffffc8,0x43fffea0,0xf806fffb,
    0xfff91fff,0xffffffff,0xfff307ff,0xffb819ff,0xfa8001ff,0x00002fff,
    0x64017ff6,0x3fff51ff,0xf99ffdc0,0xfb801fff,0xfff90fff,0xfffff30d,
    0x36fffa81,0x000bffff,0x4013fff6,0xffffffe9,0x7c404fff,0xfc801fff,
    0xff885fff,0xdfff71ff,0x23ffff00,0xfffffffc,0x83ffffff,0x701ceff9,
    0x0003ffff,0x01fffff3,0x1fff5000,0x4cbff200,0x3f202fff,0x3ffff32f,
    0x4ffff700,0x220ffffc,0x41fffffe,0xff8efffa,0x360006ff,0x54004fff,
    0xfffffffd,0x3ffe204f,0xfffc801f,0x5ffff00e,0x201bffee,0xff91ffff,
    0xffffffff,0x80007fff,0x002ffffa,0x1bffffd0,0x3fe200c0,0x5c06a62f,
    0x9fff13ff,0xf88ffec0,0xfc802fff,0x3fff26ff,0xffffcbef,0x3ea2dfff,
    0xefffefff,0x3ff60000,0xf710004f,0x03ffffff,0x007fffe2,0xe817fff2,
    0xfff72fff,0x3ffff00d,0x3fffe662,0x0999999b,0x7ffcc000,0xff50003f,
    0x757bffff,0xffd80dfb,0x9fffff75,0x3fa4ffa8,0x3a1bbdff,0x3fffe0ff,
    0x5fffc803,0x3ffffff2,0xfffeffff,0x3fffea7f,0x0003ffff,0x0027ffec,
    0x7ffffdc0,0x3ffff104,0x0bfff900,0xfb97fff4,0x7fc406ff,0xfffe80ff,
    0x22000002,0x0006ffff,0x3ffffff2,0x206fffff,0xffd0fffa,0x7cc3ffff,
    0x3fffea6f,0x8fff12ff,0xe804fffe,0x3ff24fff,0x9fffffff,0x2a7ffffa,
    0xfffdffff,0x3f60001f,0x500004ff,0x220dffff,0xc801ffff,0x3fa05fff,
    0xffff52ff,0x07fff980,0x0005fffd,0xfffff800,0x3fee0001,0xffffffff,
    0x47fff106,0x5ffd89d9,0xff70fffc,0x3fee5fff,0x03fffec4,0xc8ffffe2,
    0xefffefff,0xa9ffff61,0xfff8efff,0xfb0000ff,0x400009ff,0xf106ffff,
    0xf9003fff,0x7ff40bff,0x3ffff12f,0x837ffdc0,0x0002fffe,0x7fffdc00,
    0x3220000e,0xdfffffff,0x80bffb02,0x7fdc4ffc,0x85e65445,0x7fd40fff,
    0x3ff202ff,0x3fff20ff,0x35100a8b,0x9b7ffd41,0x0006ffff,0x0009fffb,
    0x827fffc0,0x802ffff8,0x3a05fffc,0x3ffe2fff,0xfffd105f,0x0bfffa09,
    0x3fa00000,0x7101efff,0xbfffb807,0x07ffd400,0xf05fff50,0xffb007ff,
    0x3ffffa09,0x3ffffb81,0x001fffe4,0x64dfff50,0x8004ffff,0x2604fffd,
    0xfffc801b,0x3fffe02f,0x5fffc805,0xc8bfffa0,0x99aeffff,0x00ffffeb,
    0x0005fffd,0xffff5000,0xfd99bfff,0x7ffd809f,0x03fff880,0x5c13ffee,
    0x3f603fff,0xfff700ff,0xffd99dff,0xfff90dff,0x7fd40009,0x7ffff46f,
    0x7ffec003,0x37ffe604,0xfffcbabc,0x3fa00fff,0x7311cfff,0x817fff21,
    0x3e22fffe,0xffffffff,0x6542ffff,0xccdffffc,0x03cccccc,0xffffd800,
    0xffffffff,0x027ffc04,0xf9037fe4,0xffc807ff,0xffdbbdff,0x3fa201ff,
    0xffffffff,0xffc82fff,0x3ea0004f,0x7ffc46ff,0xaaa881ff,0xadfffeaa,
    0xfff31aaa,0xffffffff,0xfb803fff,0xffffffff,0x0bfff90f,0x2617fff4,
    0xfffffffe,0xffc83fff,0xffffffff,0x005fffff,0xfffff500,0x09ffffff,
    0x200fffc4,0xe881fff9,0x0cccefff,0xffffff70,0x2001dfff,0xfffffffc,
    0xff901eff,0x7d40009f,0xfffa86ff,0x7ffdc0ff,0xffffffff,0xfff35fff,
    0xffffffff,0x3fa005ff,0xffffffff,0x40bfff90,0xf702fffe,0x1bffffff,
    0x3fffff20,0xffffffff,0x200005ff,0xfffffec8,0x3ea00bdf,0x3ffe806f,
    0xffffff10,0x76cc01ff,0x00cdffff,0x7ffff540,0x7fe404ef,0x3ea0004f,
    0xfff906ff,0xffffb8df,0xffffffff,0xffd915ff,0x7dffffff,0xffff7000,
    0x3f21ffff,0x3ffa05ff,0x09a9802f,0xfffffc80,0xffffffff,0x000005ff,
    0x88002662,0x7fe40099,0x3fffe206,0x1000ffff,0x44000035,0xff90009a,
    0x7d40009f,0x3ffa06ff,0x3ffee5ff,0xffffffff,0x99885fff,0x000019aa,
    0xc8135531,0x3fa05fff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff6e5c4,0x7fffec3f,0x6fffffff,0x0004d440,0x00013310,0x3a0026a2,
    0xffffffff,0x2002ffff,0xfffffff8,0x3fe26fff,0xffd805ff,0x7fffc46f,
    0x02bcefff,0x002fffe4,0x37001cc0,0xffffff90,0xffffffff,0x3ffea7ff,
    0xffffffff,0xfffb0fff,0xffffffff,0x3ff660df,0x43ffffff,0xfffffffd,
    0xdb86ffff,0x03ffffff,0x1bfff620,0xffffea80,0x3ffa03ff,0xffffffff,
    0x3ee002ff,0xffffffff,0x7fffdc6f,0x3fffe601,0x7ffffc42,0x2effffff,
    0x00bfff90,0x00ffecc0,0xf906ffd4,0xffffffff,0x7fffffff,0x3fffffea,
    0xffffffff,0xffffffb0,0x0dffffff,0xfffffff7,0xffd87fff,0xffffffff,
    0x3fffa66f,0x0effffff,0x3ffff220,0xffd8806f,0xefffffff,0xfffffe80,
    0x2fffffff,0x3ffffa00,0x86ffffff,0x3a06fffe,0xff885fff,0xffffffff,
    0x7e40dfff,0xf10005ff,0xf880dfff,0x3ff25fff,0xaaaaaaaa,0x53ffbaaa,
    0xffffffff,0x21ffffff,0xfffffffd,0x646fffff,0xeeffffff,0x665c2ccc,
    0xffdccccc,0xfffff76f,0xbfffffff,0xfffff910,0xffd00dff,0xffffffff,
    0xffffd0df,0xffffffff,0x3ffe6005,0xcccdffff,0x2ffff983,0x80ffffa8,
    0xdcdffff8,0x4ffffffe,0x777fffe4,0x5400abce,0x3314ffff,0x83ffff61,
    0x579d16fc,0x267ff101,0xfffdcccc,0xb0cccccf,0x9999dfff,0x7cc79999,
    0x0003ffff,0x4dbffee0,0xdbceffff,0x2e3fffff,0xffffffff,0x7ffe406f,
    0xffeb9aef,0x7fff43ff,0x3f200000,0x00fffdff,0xd0dfffb0,0x3e209fff,
    0x7e440fff,0x3f21ffff,0xffffffff,0x3f200cff,0xffffefff,0x642ffffe,
    0xfffff16f,0x01ffc43b,0x401ffff3,0x4004fffd,0x000efffe,0x37ffdc00,
    0xff701df7,0x7ffe49ff,0x06fffdff,0x213fffe2,0x747fffe8,0x00000fff,
    0x3ff33ffe,0xfff1000f,0x7fffd47f,0x1ffff100,0x97fffea0,0xfffffffc,
    0x01ffffff,0x3ffffffa,0x84ffffff,0xffff16fc,0x3fe23fff,0x3fffe603,
    0x13fff600,0x1ffff980,0xffb80000,0x3fa0146f,0x3ffe66ff,0x40dfff73,
    0x300ffffa,0x7f45ffff,0x500000ff,0xfff93fff,0x7ffe4001,0x80bfffa7,
    0x200ffff8,0xf91ffffd,0xffdddfff,0x201dffff,0xfffffff8,0xf906ffff,
    0xfffd510d,0xf980ffe2,0x3f600fff,0x3f2004ff,0x000006ff,0x800dfff7,
    0x6747fffc,0x81bffee0,0x7c06fffc,0x3ffa3fff,0xfb00000f,0x03fff2df,
    0xbffff880,0x4406fffa,0x2a00ffff,0xff92ffff,0xfffd30bf,0x3ffe609f,
    0xfffeb9cf,0x206fc80f,0xff89fff8,0x3fffe603,0x13fff600,0x24fffd80,
    0x40000999,0x4006fffb,0xb806fffd,0x3f606fff,0x7fec06ff,0x2bfffa4f,
    0xf1000099,0x3fff27ff,0x7ffd4000,0x401fffef,0x400ffff8,0xff93ffff,
    0x3ffe20bf,0x7fff906f,0x909fffb0,0xaffd80df,0x3e603ff8,0x3f600fff,
    0x3fe004ff,0xffffddff,0xb8000cff,0x74006fff,0xfb805fff,0x3fee06ff,
    0x3ff601ff,0x3ffffa5f,0x002effff,0x7e43ffee,0x02cccdff,0xffffffe8,
    0x7ffe6405,0x7c0cccdf,0xfff94fff,0x7fffec0b,0x80fffe80,0xfc85fffb,
    0x44fffc06,0x3fe603ff,0x3ff600ff,0xfff1004f,0xffffffff,0xb8005fff,
    0x26006fff,0xb802ffff,0x3ea06fff,0x3f604fff,0x3fffa6ff,0xffffffff,
    0x26ffe802,0xfffffffc,0xffff9804,0x7ffc00ff,0x1fffffff,0xfcaffff4,
    0x3fea05ff,0x6fff81ff,0x90dfff30,0x765544df,0x07ff16ff,0x007fffcc,
    0xfffffffb,0xf13fffff,0xffffffff,0x01ffffff,0x037ffdc0,0x00dfffd0,
    0x881bffee,0x9befffff,0x7ffffeb9,0x3ffffffa,0x01ffffff,0xfc8fffe6,
    0x04ffffff,0x07ffffb0,0xfffffff0,0xffe83fff,0x0bfff96f,0x207fffd4,
    0x3e06fff8,0x26fc86ff,0x0efffff8,0x7cc07ff1,0x3f600fff,0xffffffff,
    0xfff99fff,0xeb9abeff,0x2005ffff,0x9006fffb,0x2005ffff,0x5c06fffb,
    0xffffffff,0x26ffffff,0xcaa99998,0x207fffff,0x3f20fffd,0x83eeeeff,
    0xffa99998,0x819999ff,0xffffffff,0x7fff41ff,0x40bfff95,0xff07fffc,
    0xfff101ff,0x7c4df90b,0x7fc42cef,0x3fffe603,0x3ffff600,0xffffffff,
    0x02ffff99,0x003ffff6,0x4037ffdc,0x004ffffb,0x201bffee,0xfffffffd,
    0x05ffffff,0x3ffffa20,0x45fff881,0xa800fffc,0xffffffff,0x80ffffff,
    0x400ffff8,0xff93ffff,0x3ffe20bf,0x5fffd05f,0x909fff50,0x81ffc4df,
    0x3e603ff8,0x3f600fff,0xccccceff,0xfff88ccc,0x3ffe602f,0xfff7001f,
    0xffffb80d,0x7ffdc005,0xfffd5006,0xfffd9fff,0xfff98009,0x2fffb82f,
    0x4007ffe4,0xfffffffa,0x0fffffff,0x00ffff88,0x64bfffe2,0xfea85fff,
    0xffb01fff,0x7ff441bf,0x7c6fc82f,0x07ff102f,0x007fffcc,0x4009fffb,
    0x2203ffff,0x7002ffff,0x7d40dfff,0xb8005fff,0x98006fff,0x3fffa09a,
    0xffff8003,0xeefffe84,0x00ffffee,0xfdcccc98,0xcccccfff,0x0ffff880,
    0x47fffea0,0xeeeffffc,0x04ffffff,0x33ffffe6,0x906fffec,0x100998df,
    0x7fcc07ff,0x3ff600ff,0x3ffa004f,0x3ffe204f,0xfff9001f,0x3fffea0d,
    0xffb8000e,0xf100006f,0xf0003fff,0xff987fff,0xffffffff,0xf30000ff,
    0x7c400fff,0x3fa00fff,0x3fff26ff,0xffffffff,0x7ffc405f,0xffffffff,
    0x226fc80e,0x7ff101dd,0x07fffcc0,0x009fffb0,0x503fffec,0x2001ffff,
    0xfa84fffe,0x20005fff,0x0006fffb,0x00dfff70,0x83ffff50,0xfffffffc,
    0x000fffff,0x00ffff30,0x807fffc4,0x322ffffb,0xffffffff,0xfe801eff,
    0xffffffff,0x6fc85fff,0x7c41fff2,0x3ffe603f,0x3fff600f,0x3ffea004,
    0xfffe883f,0x7fd40326,0x7ffd43ff,0x7dc0005f,0x980006ff,0x4003ffff,
    0xf87ffff9,0xaaaaaeff,0xa800fffd,0xffffffff,0x80ffffff,0x440ffff8,
    0x646ffffd,0xcdeeffff,0xfff9001a,0xf9bffdbf,0x6fc87fff,0x7c41fff2,
    0x3ffe603f,0x3fff600f,0x7fff4004,0xffeb9acf,0x2f7fe2ff,0xfffffcaa,
    0x17fffea0,0x3ffee000,0x3f220006,0x3660efff,0xfdba9aab,0x7d42ffff,
    0xfff903ff,0xf5055557,0xffffffff,0x101fffff,0xfb9bffff,0x83ffffff,
    0x0005fffc,0x80bfffea,0x321ffffc,0x4077226f,0x99933ff8,0x99ffffb9,
    0x3ff61999,0x7fd4004f,0xffffffff,0x7fffc4ff,0x3fffffff,0x3fffffea,
    0xffffffff,0xdddddd36,0xddddffff,0x776664cb,0x1fffffff,0x7fffffcc,
    0x83ffffff,0xf900fffd,0x0fffffff,0xffb99993,0x199999ff,0xffffff10,
    0x3dffffff,0x00bfff90,0x17fffe20,0x4bfffd10,0xaaaaaffc,0xfbaaaaaa,
    0xfffff53f,0xffffffff,0x13fff61f,0x3fffea00,0x84ffffff,0xffffffff,
    0x7ffec4ff,0xffffffff,0xfff56fff,0xffffffff,0x7fd4ffff,0xffffffff,
    0xffff982f,0x3fffffff,0x206fff88,0xfffffffc,0xffff3007,0x7fffc400,
    0x4fffffff,0x017fff20,0x00ffc880,0x7e42ff98,0xffffffff,0x3fffffff,
    0xfffffff5,0x1fffffff,0x0013fff6,0x7ffffec4,0xffb501df,0xb03bffff,
    0xffffffff,0x2dffffff,0xfffffffa,0x7fffffff,0x3fffffea,0xf300cfff,
    0xbfffffff,0x1fffdc05,0xffffff90,0x3fe600ff,0x3fe2007f,0xabceffff,
    0x2fffe400,0x000c4000,0x3ffff205,0xffffffff,0xff53ffff,0xffffffff,
    0x3f61ffff,0x880004ff,0x4cc000aa,0x7ffec009,0xffffffff,0xfff56fff,
    0xffffffff,0x7fd4ffff,0x00aceeff,0x01355330,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x7cc07fff,
    0xfffd0fff,0x7fffc00f,0xffffffb4,0x4fffffff,0xfffffffb,0x7ec02bce,
    0x3ff604ff,0x7fdc02ff,0x002fff86,0x9fffff90,0x1bfffe20,0x49ffff50,
    0x4006fffb,0xfffffff8,0xffffffff,0x3fffffa6,0xffffffff,0x3ffff96f,
    0x5ffff300,0x03ffffea,0x201fffc8,0x4c07fffa,0xff90ffff,0xff3005ff,
    0x3fff65ff,0xffffffff,0x3fffee7f,0xefffffff,0x09fffb02,0x017fffea,
    0xff11bff2,0xff30005f,0x6409ffff,0x3a02ffff,0x3ee0ffff,0x7c4006ff,
    0xffffffff,0x26ffffff,0xfffffffe,0x6fffffff,0x009ffff1,0x7d4dfffb,
    0x3204ffff,0x3ea01fff,0x7fcc07ff,0xffff30ff,0xffff7009,0x7fffffec,
    0x27ffffff,0xfffffffb,0x0dffffff,0x4427ffec,0x800effff,0x7fcc5ffd,
    0xffe8001f,0x2204ffff,0xf506ffff,0xffb89fff,0x7fc4006f,0xffffffff,
    0x3a6fffff,0xffffffff,0x26ffffff,0x200ffffc,0x2a2ffff9,0x00ffffff,
    0x5403fff9,0x7cc07fff,0x3ffe0fff,0xfffd806f,0x33bfff65,0x4ccccccc,
    0x333fffee,0xffffffed,0x427ffec4,0x001ffffd,0xffa89ffd,0x7fdc000f,
    0x404fffff,0xe83ffffb,0x7dc0ffff,0x7c4006ff,0xffffffff,0x26ffffff,
    0xfffffffe,0x5fffffff,0x813fffe2,0x7d46fffd,0x903fffff,0x7d403fff,
    0x7fcc07ff,0x3fff20ff,0x3ffe200f,0x13fff63f,0x0dfff700,0x3fffff91,
    0x2a27ffec,0x2004ffff,0x7fd43ffe,0x7ffc4007,0x804fffdf,0x7d47fffe,
    0xffb83fff,0x9998006f,0xb9999999,0x4003ffff,0x40fffff8,0x980ffffc,
    0x7d41ffff,0x907fffff,0x7d403fff,0x7fcc07ff,0x3ffea0ff,0x3ffea02f,
    0x13fff60f,0x0dfff700,0xb2ffffd4,0x7fc49fff,0x554406ff,0xaaacfffa,
    0x02aafffd,0xfccfffd8,0xffa804ff,0x3fffa3ff,0x0dfff706,0x7fec0000,
    0xffd8007f,0xfff883ff,0x6fffd84f,0xffffffa8,0x1fffc83f,0x01fffea0,
    0xf81ffff3,0x3f205fff,0x7ffec6ff,0x7ffdc004,0x7fffec06,0x6c9fffb1,
    0x5401ffff,0xffffffff,0xffffffff,0xb7ffcc07,0xd004fffc,0xff51ffff,
    0x3fee05ff,0x3000006f,0x8007ffff,0x205ffffa,0x260ffffc,0xfa81ffff,
    0x86fffeff,0x2a01fffc,0x7cc07fff,0x7fec0fff,0x3fffe07f,0x027ffec3,
    0x01bffee0,0x365ffff5,0xfff54fff,0xfff5007f,0xffffffff,0x80ffffff,
    0xff92fffe,0x3fe6009f,0x6fffebff,0x01bffee0,0x7ffec000,0x3fe2000f,
    0x3e200fff,0x3ff63fff,0x9fff505f,0xfc85fffd,0x3fea01ff,0x7ffcc07f,
    0x7fffdc0f,0x1ffff981,0x0027ffec,0x201bffee,0xffb3ffff,0xbffff19f,
    0x3fbba600,0xffeeeeff,0x2e06eeff,0x3ff25fff,0x3ff6004f,0x01ffffff,
    0x001bffee,0x3fffe600,0x7ffec004,0xfffc803f,0x03ffff37,0x3ef3ffea,
    0x7ffe46ff,0x3fffea01,0xeeeeeeee,0x7c40ffff,0xffb83fff,0xefffd86f,
    0xcccccccc,0x01bffee2,0x7ed3fffe,0xffffccff,0x7ffb8000,0x8803fff8,
    0x3f20ffff,0x3e6004ff,0x05ffffff,0x0037ffdc,0x7fffec00,0x3ffea000,
    0xfff1005f,0x0bfff95f,0x7c67ffd4,0x3ff21fff,0x3ffea01f,0xffffffff,
    0xe80fffff,0xffd86fff,0xffffd84f,0xffffffff,0x01bffee4,0x7ed7fffa,
    0x2ffffeff,0x0dff7000,0xfb005fff,0xfffc87ff,0x7ffe4004,0x7dc01fff,
    0x400006ff,0x004ffff8,0x03ffffe2,0xfefffc80,0x3ea01fff,0xbfff94ff,
    0x500fffe4,0xffffffff,0xffffffff,0x1ffff701,0x417fffc4,0xfffffffd,
    0x2e4fffff,0xfe806fff,0xffffb6ff,0x0003ffff,0xff11bff2,0xfffa805f,
    0x04fffc85,0x7ffffd40,0x6fffb807,0x7fe40000,0x3f6000ff,0x44002fff,
    0x5fffffff,0x8a7ffd40,0xff90ffff,0x7ffd403f,0xffffffff,0x980fffff,
    0x3ea2ffff,0xfffb07ff,0xffffffff,0x37ffdc9f,0xdaffff40,0xfffedfff,
    0xffd8000e,0x00fffcc5,0x3207fffa,0x74004fff,0x03ffffff,0x0037ffdc,
    0x9ffff100,0x7fffd400,0xfff90005,0xfa803fff,0x3fff64ff,0x403fff94,
    0x4c07fffa,0xfd00ffff,0x7ffe49ff,0x09fffb05,0x06fffb80,0xfb3ffff8,
    0xffff59ff,0x3a666009,0xfb999dff,0xfc8199ff,0xfff903ff,0x7ffdc009,
    0x200fffff,0x0006fffb,0x03ffff20,0x7ffffc40,0xfff10000,0xff500bff,
    0x7fffcc9f,0x201fffc8,0x4c07fffa,0xf900ffff,0x7fff4fff,0x09fffb02,
    0x06fffb80,0xd97fffc4,0xfffb4fff,0xfff9805f,0xffffffff,0x20ffffff,
    0xaabffff8,0xdfffdaaa,0x3fe202aa,0x5ffffeff,0x01bffee0,0x7fffc400,
    0x3fff2005,0x7e40002f,0xfa801fff,0x7fff44ff,0x201fffcb,0x4c07fffa,
    0xf500ffff,0xfff13fff,0x3fff601f,0x7ffdc004,0x7fffd406,0x229fffb1,
    0x200fffff,0xfffffff9,0xffffffff,0x3ffea0ff,0xffffffff,0x07ffffff,
    0x367ffff2,0xf701ffff,0x20000dff,0x001ffffc,0x00bffff5,0x0ffff500,
    0x513ffea0,0xfff9dfff,0x3fffd403,0x03fffe60,0xfbbffff8,0x3ff606ff,
    0x7fdc004f,0x7fff406f,0xb93fff66,0x2605ffff,0xffffffff,0xffffffff,
    0x3fffea0f,0xffffffff,0x307fffff,0x3e6bffff,0xff706fff,0xf10000df,
    0x2200bfff,0x000fffff,0x07fffa80,0xd09fff50,0x3fffffff,0x03fffd40,
    0x803fffe6,0xffddfffd,0x3fff603f,0x7ffdc004,0x3fffee06,0xd13fff62,
    0x3005ffff,0xffd81fff,0x3fffea05,0xffffffff,0xb07fffff,0x7ec3ffff,
    0xffb82fff,0xfc80006f,0xf9001fff,0x00005fff,0x401fffea,0xfb84fffa,
    0x01ffffff,0x301fffea,0x5401ffff,0xffffffff,0x13fff601,0x0dfff700,
    0x8dffffb1,0x7cc4fffd,0x5400ffff,0x7ff40fff,0x2aaaa204,0xfdaaaaaa,
    0xa82aadff,0x7cc5ffff,0x7dc0ffff,0x440006ff,0x5005ffff,0x0009ffff,
    0x03fffd40,0x884fffa8,0x1fffffff,0x01fffea0,0x401ffff3,0xfffffff8,
    0x77ffec06,0xcccccccc,0x33fffee4,0xffffffdc,0x27ffec1f,0x02ffffe4,
    0x3fe1ffee,0xf900003f,0xffe809ff,0xfffd80ff,0x7fffdc4f,0xeeeeeeee,
    0xffff703e,0x3fffa003,0xffffffff,0xfa807fff,0xff5007ff,0x3fff209f,
    0x3ea01fff,0x7fcc07ff,0x7fec00ff,0x6c04ffff,0xffffffff,0x3ee7ffff,
    0xffffffff,0xfd81efff,0xfff884ff,0x3fee02ff,0x002fff86,0x09fff900,
    0x827fffdc,0x20fffff8,0xfffffffb,0x04ffffff,0x200dffff,0xfffffff8,
    0xffffffff,0x7fffa807,0x09fff500,0x3fffffe2,0x1fffea01,0x01ffff30,
    0xffffffb8,0x7fffec01,0xffffffff,0x3ffffee7,0x04ffffff,0x5413fff6,
    0x900fffff,0xfff88dff,0xff900001,0x3ffe209f,0x3ff200ff,0x3ffee5ff,
    0xffffffff,0xfffb84ff,0xfff1002f,0xffffffff,0x500fffff,0x2a00ffff,
    0x3f604fff,0x2a01ffff,0x7cc07fff,0x7cc00fff,0xd807ffff,0xffffffff,
    0x3ee7ffff,0xbcefffff,0x7ffec00a,0x3ffff604,0x98bffb05,0x00001fff,
    0x3209fff9,0x4404ffff,0xf72fffff,0xffffffff,0xff09ffff,0x7c400dff,
    0xffffffff,0x07ffffff,0x007fffa8,0x4c09fff5,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x2e002fff,0x3fe21fff,0xfff307ff,0xffffd8df,0x0bdeefff,
    0xffffff90,0xffffffff,0x3fff25ff,0x1cceffff,0x3fffff60,0x001cdeff,
    0x7fffff98,0x1e664000,0x00001880,0x11000180,0x03331000,0x44000000,
    0x3fea0099,0x3fee003f,0x3fffe20f,0xffffc81f,0x7ffffec7,0x3fffffff,
    0xffffffc8,0xffffffff,0xffff92ff,0xbfffffff,0xfffffb03,0x1bffffff,
    0x7fffe400,0x3e0002ff,0xfe8806ff,0x32000002,0xfdc9804f,0x883dffff,
    0xffffffeb,0x3bf2004e,0x7ffd4002,0xff983fff,0x3fee003f,0x3fffe60f,
    0xffffe84f,0x7ffffec7,0xffffffff,0x7ffffe43,0xffffffff,0xfff92fff,
    0xffffffff,0xfffd85ff,0xffffffff,0xffd000ef,0x0009ffff,0x6c037ffc,
    0x00004fff,0x204fffd8,0xfffffffc,0x7ffd46ff,0x6fffffff,0x3ffff900,
    0x3ffff600,0x7cc5ffff,0x3f2003ff,0x7fffcc7f,0x7fffcc6f,0x6fffec7f,
    0xfffecbaa,0x3332a0ff,0xcffffdcc,0xf91ccccc,0xfd999dff,0x6c1fffff,
    0xfeccefff,0x805fffff,0xfffffff8,0x3ffe0007,0x7fffcc06,0xd100005f,
    0x881dffff,0xfffffffe,0x3fea6fff,0xffffffff,0xfffd006f,0xfff5007f,
    0x5ffffdbf,0x001fffc4,0xff98fff9,0x3ee0ffff,0x360fffff,0xff904fff,
    0xff5003ff,0xffc801ff,0xfffd885f,0x13fff65f,0x0fffff51,0xffdfff70,
    0x3e0003ff,0xfe8806ff,0x0000efff,0x37ffffe6,0xfffffd80,0x26fedcce,
    0x20affffe,0xf9004b98,0xff005fff,0x7ffcc1df,0x013ffe26,0x7d47ffc8,
    0x3a3ffeff,0x20fffdff,0xf104fffd,0xf5007fff,0xfc801fff,0x3ffa05ff,
    0x13fff67f,0x007fffdc,0x3febfff6,0xff0003ff,0x3f6200df,0x8001efff,
    0x04fffffa,0x03dffff5,0x7fffc4a6,0xfd100003,0xfff3009f,0x44fffb05,
    0x32004fff,0x7ffd46ff,0xfff15ffc,0x7ec1fff5,0x3ffe04ff,0xfffa802f,
    0x7ffe400f,0x3fffea05,0x209fffb0,0x401ffff9,0xffc8ffff,0x2aaa206f,
    0xaefffaaa,0xf902aaaa,0x4005ffff,0x02fffffb,0x003ffffe,0x02ffffc4,
    0x40022000,0xfa80fffa,0x13ffe1ff,0xffd87ff7,0x7cfffdc6,0xadffb8ff,
    0x3ff61fff,0xffff304f,0xffff5003,0x5fffc801,0x47fffe60,0xf504fffd,
    0x7d401fff,0xffff56ff,0x3fffe201,0xffffffff,0x3ee07fff,0xd803ffff,
    0x201fffff,0x003ffff8,0x16fffffc,0x54000000,0xffb81fff,0xd17ffe0f,
    0x5ffd8dff,0xfffb7fdc,0xff9bffda,0x13fff61f,0x017fffa2,0x007fffd4,
    0xa817fff2,0xffb0ffff,0x3fff609f,0x9fffe407,0x102ffff8,0xffffffff,
    0xffffffff,0xfffff980,0xffffd104,0xfffa801d,0x7fe4000f,0x02dfffff,
    0x2aaaaaa6,0xaaaaaaaa,0x9fff30aa,0xfe8fffb0,0x3fffe25f,0xf717ff60,
    0x3f3ff6df,0x2fff98ff,0x2ab7fff6,0x0effffcb,0x1ffff500,0x05fffc80,
    0xfd9ffff2,0x7fecc4ff,0x7ff402ff,0x17fffa1f,0x7fffffc4,0xffffffff,
    0xffe8807f,0x3fa60dff,0xf7005fff,0xd1000fff,0xffffffff,0xffff907f,
    0xffffffff,0x3e27ffff,0x3fee2eff,0x52fff45f,0x7f47ffff,0xab7fe44f,
    0xf36fffff,0x7ffec5ff,0xffffffff,0x3fea000d,0x7fe400ff,0xffff305f,
    0x77fffecb,0x4ffffffe,0x23fffcc0,0x8007fffb,0x40006fff,0x25fffff9,
    0x00fffffe,0x00ffff90,0x7ffff5c0,0x320effff,0xffffffff,0xffffffff,
    0x3bffff23,0x740fffff,0x3fff65ff,0x913ffa5f,0x3ffe2dff,0x5fff33ff,
    0x7fffffec,0x0dffffff,0x1ffff500,0x45fffc80,0x0fffffb9,0x3ffffff6,
    0x802dffff,0x7cc5fffb,0x7c001fff,0x260006ff,0x445ffffe,0x00effffe,
    0x00ffffb8,0x7ffe4c00,0x3f24ffff,0xffffffff,0x3fffffff,0x7ffffff4,
    0x6ffd82ff,0x43fffffe,0x7fec4ffe,0x43ffffa5,0x3f63fff8,0xffeeeeff,
    0x801fffff,0x400ffffa,0xfffffffc,0x43ffffff,0xfffffffd,0xfb000dff,
    0xffff05ff,0x6fff8009,0xffff5000,0x7ffec07f,0x7fd401ff,0x200002ff,
    0x27ffffd9,0x99999998,0x99999999,0xffffb809,0xdffb00df,0x3fff7fea,
    0xfd87ffd2,0x9bffee5f,0x3f63fff8,0xffc884ff,0xffa806ff,0x7fe400ff,
    0xffffffff,0xfffd83ff,0xfffffebd,0x7fffc400,0x06fffd80,0x0037ffc0,
    0x17ffffdc,0x7ffffdc0,0x3fffe202,0x6c00000f,0x0000ffff,0x20026000,
    0x5ff96ffc,0x3ffe9ffd,0xf32ffec3,0x7ffc47ff,0x813fff64,0x400ffffe,
    0x400ffffa,0xfffffffc,0xfb00dfff,0x7ffcc9ff,0x7ffd405f,0x1ffff506,
    0x037ffc00,0x3fffff60,0x3ffea001,0x3ffa04ff,0x00600dff,0x00ffffb0,
    0x00000662,0xffbffe40,0xff7ffb8f,0x45ffe85f,0x3fe21fff,0x13fff64f,
    0x02ffffb8,0x007fffd4,0x333bfff2,0x7ec009ab,0x7ffdc4ff,0x3fff202f,
    0xffffffff,0x3e003fff,0xfd1006ff,0x0001dfff,0x1bfffff3,0xffffff30,
    0x2dfb757b,0x5c40acf9,0x9805ffff,0xe8805fff,0xeeeeeeee,0x7ffdc5ee,
    0xfff36ff9,0xfe85fff3,0x7c0cc44f,0x3fff64ff,0x3fffea04,0x7fffd402,
    0x2fffe400,0x4fffd800,0x206ffff8,0xffffffff,0x5fffffff,0x00266600,
    0x17ffffe6,0xfffd1000,0xfff901df,0xffffffff,0x3ffffe6d,0xffffffff,
    0xffffd802,0x7fffc402,0x7fffffff,0x7fe7ffdc,0x3ff3ffa3,0x027ffc1f,
    0x7ecbfff0,0x3ff204ff,0x7fd400ff,0x7fe400ff,0xffb0005f,0xffff909f,
    0xfffff303,0xffffffff,0x00000fff,0x13ffffe6,0x7fec4000,0xffb80fff,
    0xffffffff,0xffffff36,0x05ffffff,0x0fffffa0,0xffffff10,0xa8ffffff,
    0x20ffefff,0x1fffeffc,0xf0027ffc,0x7ffecbff,0xfffff704,0x1ffff500,
    0x05fffc80,0x09fffb00,0x70bffff1,0x5555bfff,0xffff9555,0xaaaaa985,
    0xaaaaaaaa,0x0bfff60a,0x3ff20000,0x3fb2203f,0x32dfffff,0xfffffffd,
    0x5c0039ff,0x0001ffff,0x7fffd400,0x7fffcc6f,0x27ffc0ff,0x6cdfff00,
    0xccccefff,0x03fffffe,0x00ffffa8,0x002fffe4,0xb04fffd8,0xfe83ffff,
    0xfff802ff,0x7fffe44f,0xffffffff,0x00fec3ff,0x07f70000,0x40199980,
    0x019aaa99,0x0077ae00,0x3fea0000,0xfff83fff,0x3fe20fff,0x3ffe003f,
    0x3fffff66,0xffffffff,0xffff5005,0x5fffc801,0x9fffb000,0x97fffe60,
    0x800ffff8,0x7e46fffd,0xffffffff,0x083fffff,0x00800000,0x00000000,
    0x00000000,0x1fffff98,0x0fffffc8,0x800fffe2,0x3ff66ffe,0xffffffff,
    0x3ea003ff,0x7e400fff,0xfb0005ff,0x7ff409ff,0xbfff51ff,0x3fffee00,
    0x3fffff21,0xffffffff,0x0000003f,0x00000000,0x00000000,0x3ffe6000,
    0xffff506f,0x03fff88f,0xfd9fffa0,0xdeffffff,0xffa8002c,0x7fe400ff,
    0xffb0005f,0x7ffd409f,0x07fffb4f,0x0ffffe60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x18800019,0x88026000,
    0x00620000,0x00002200,0x20004401,0x80000999,0x26600098,0xddd7009a,
    0x0f776c09,0x74401300,0xeeeeeeee,0x3aa6eeee,0xe9801eee,0x00041eee,
    0x7fed4401,0x01dfffff,0xdffffb70,0x7fdc4019,0xfd70dfff,0x36a009ff,
    0x00cefffe,0xbffffb70,0x4c776c05,0xfd30dffe,0x3fe001df,0x6eec806f,
    0x0fbfffaa,0x7ffffec4,0x7ffe41ef,0x4bfffe05,0xfb30eeeb,0xff109fff,
    0xffffffff,0x7fc4ffff,0xffc805ff,0x402fcc6f,0xfffb01fd,0xffffffff,
    0x7fff4c09,0x02ffffff,0xfffffff9,0xffffffbf,0xffffc80b,0x202fffff,
    0xffffffe9,0xfff80dff,0x8cffffea,0x007fffff,0xfd00dfff,0xffffb1ff,
    0xff30bfff,0x3fffffff,0xf02fffe4,0x3ff25fff,0xfffffb9f,0x3fe20eff,
    0xffffffff,0x7fe47fff,0x7ffc00ff,0x17ffe63f,0xd81fffd8,0xffffffff,
    0xfb82ffff,0xffffffff,0xffc83fff,0xffffffef,0x02ffffff,0xfffffffd,
    0xf503ffff,0xb51159ff,0xfff83fff,0xdffffffe,0x02ffffff,0xe806fff8,
    0xffffdfff,0x4c1fffff,0xffb99ace,0x17fff25f,0xf92ffff8,0xfffffbff,
    0x7447ffff,0xfeeeeeee,0x7cc5ffff,0x3ea02fff,0x3ff20fff,0xfffd85ff,
    0x9acfd82f,0xdffff510,0xdfffff88,0xfffffecc,0x3f20ee40,0xff98dfff,
    0xffffb85f,0xdfffd31c,0xccaeff88,0x6ffa8acc,0x55fffffc,0xfbbfffff,
    0xfff804ff,0xffffe806,0xfffbbeff,0x3ff2005f,0x817fff26,0xff92ffff,
    0xfb9fffff,0x4c00ffff,0xe80effff,0x3f605fff,0xfffd85ff,0x3ffff65f,
    0xff500102,0x7ffe41ff,0xffffb82f,0xfff88044,0x11ffee0f,0xf103ffff,
    0x7fec7fff,0xefffffa8,0x3fe3ff98,0x3fffe5ff,0x2013ffe4,0xfe806fff,
    0x7dc3ffff,0x54cc07ff,0x3ff26ffd,0x3fffe05f,0x9fffff92,0x07fffd41,
    0x7ffff440,0x1ffff701,0x05ffff10,0x377ffff6,0x0002ffff,0xf11ffff8,
    0x7ec07fff,0x3fa007ff,0x07ffd46f,0x640dfff9,0x5ff34fff,0x3fee7bea,
    0x7ffcff92,0x83fffe1f,0xff805fff,0xfffe806f,0xffff884f,0x7fffecc0,
    0x3ff26fff,0x3fffe05f,0x0bffff92,0x003ffff1,0x407ffffb,0xb83ffff8,
    0x7ec07fff,0x2fffffff,0xffff0000,0x03fffea5,0x00ffff98,0xf98bffd0,
    0x3fff61ff,0x5bffee03,0xf9bea7fa,0x3e3ff33f,0x2fffc5ff,0x554d7ffe,
    0xffffbaaa,0xd0aaaaaa,0x3e20bfff,0x3fea0fff,0x6ffeeeff,0xf817fff2,
    0xfff92fff,0x3fffe01d,0x7fffdc02,0x6fffd805,0x804fffe8,0x2ffffffd,
    0x7f6e5400,0x72ffffff,0xf880dfff,0xba882fff,0xccefffcc,0x3a2fffcc,
    0xffffffff,0x97ffffff,0x6dffd4df,0x7cbfe0ff,0x2fffc5ff,0x7fe57ffe,
    0xffffffff,0xd3ffffff,0x20009fff,0x3ee0effe,0x17fff26f,0xf92ffff8,
    0x7ff40bff,0x3ffe602f,0xfff3006f,0x7fffc43f,0xfffff000,0x7ff5c00b,
    0xffffffff,0x0bfff92f,0xb87ffff0,0xffffffff,0xffffffff,0x3fffffe2,
    0xffffffff,0x7d4bfb7f,0x7f40dfff,0xff8bfff4,0xcafffc5f,0xffffffff,
    0xffffffff,0x009fffd3,0xd89fff10,0x3fff26ff,0x4bfffe05,0x3a05fffc,
    0xff102fff,0x74001fff,0x3fee4fff,0xfffb005f,0xf900bfff,0xffffffff,
    0x3f65ffff,0xfff805ff,0x3fffee3f,0xffffffff,0xf12fffff,0xffffffff,
    0x2fffffff,0x2bbea6fc,0xf97fc1ff,0x2fffc5ff,0x7fe57ffe,0xffffffff,
    0xd3ffffff,0x20009fff,0xffbbffff,0x3fff26ff,0x4bfffe05,0x3a05fffc,
    0xffb02fff,0xfb8005ff,0x3fffa7ff,0xffffd802,0x2e05ffff,0x99aeffff,
    0x72ffff99,0xf880dfff,0xfff11fff,0x01fff43d,0x335ffff0,0x33333333,
    0x6fa9fea1,0x8ffccdf9,0x7ffc5fff,0x98afffc5,0xfff99999,0x0999999e,
    0x0009fffd,0x3ffffff2,0x3ff26ffe,0xffff105f,0x817fff25,0xfc82fffe,
    0x88004fff,0xff99ffff,0xfffd807f,0x5ffffdaf,0x40dfffb0,0xff52ffff,
    0xfff980ff,0x83fff70f,0x3a004ffe,0x98002fff,0x22df53ff,0x7cff92ff,
    0x2fffc5ff,0x3e017ffe,0xffe806ff,0x3f20004f,0x4dff3eff,0xfd06fffb,
    0x3ff25fff,0x3fffa05f,0x37fffd42,0x9fffb000,0xd809fff9,0x3f62ffff,
    0xfff85fff,0xffff103f,0x0ffffe65,0x327fffd8,0x6ffe87ff,0x17fff600,
    0x547fec00,0x3e7bf66f,0xf17ffe3f,0x5fff8bff,0x806fff80,0x0004fffe,
    0xfff50008,0xffffd81f,0x0bfff92f,0xf117fff4,0x0001ffff,0x7fffffcc,
    0x3ff201ff,0xfffd82ff,0x2ffffc3f,0x17ffff4c,0x503fffff,0x7e47ffff,
    0x3ffe60ff,0xfff7001f,0xff10005f,0x37fd403d,0xfff17ffe,0x805fff8b,
    0xfe806fff,0x000004ff,0x3bfffe60,0xffffffbb,0x0bfff92f,0xfd17fff4,
    0xddddffff,0xe801dddd,0x06ffffff,0xb017ffcc,0xfffd0bff,0xfff7117f,
    0x7fd45fff,0xfcbacfff,0x7fdc6fff,0xfffff33f,0xfe82981d,0x3109dfff,
    0xfff50b95,0xffb73359,0x45fff81f,0x7ffc5fff,0x06fff805,0x004fffe8,
    0xeeeeee88,0x3a5eeeee,0xffffffff,0xf92fffef,0x7ff40bff,0xfffff52f,
    0xffffffff,0xfffb801f,0xf9803fff,0xf705d802,0xffffffff,0xe85fffff,
    0xffffffff,0x7cc2ffff,0xefffefff,0xffeeffff,0xfffff984,0x7fffffff,
    0xfffffd10,0xff01bfff,0x45fff8bf,0xff805fff,0xfffe806f,0xfff88004,
    0xffffffff,0x3ffffe67,0xfffabfff,0x40bfff92,0xff52fffe,0xffffffff,
    0x8801ffff,0x00ffffff,0x7f400000,0xcfffffff,0x6c42fffb,0xffffffff,
    0xfffd01ef,0xfff17fff,0x209fffff,0xfffffffa,0x5c07ffff,0x02ceffed,
    0xfff17ffe,0x805fff8b,0xfe806fff,0xf88004ff,0xffffffff,0x7ff4c7ff,
    0xfff51eff,0x817fff25,0xff52fffe,0xffffffff,0xb001ffff,0x0009ffff,
    0x3ff20000,0xff52efff,0x3ffaa05f,0x200cefff,0x23ffffd8,0xefffffe8,
    0x7fffe403,0x004effff,0x7ffc0022,0x3e2fffc5,0x800005ff,0x0004fffe,
    0x2aa20000,0xbfff9000,0x017fff40,0x00000000,0x98800000,0x9800009a,
    0x5440009a,0x026aa201,0x35553100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76400000,0x3a202eee,
    0x3bb23eee,0x3ba6001e,0x0019983e,0x2009ddb0,0x00591029,0x800a80aa,
    0x3ff66000,0x0022002f,0x02fffc40,0x7777775c,0xeeeeeeee,0x55555512,
    0x55555555,0x79951015,0x80200001,0x23eeed80,0xf884eeec,0xfb00ffff,
    0x7fe41dff,0x3fea002f,0xffffd32f,0x7f4007df,0x7fecc04f,0x007ffe41,
    0xf50bbfe2,0x7f64417f,0xea80cfff,0x402fffff,0x2effffea,0x3ffff600,
    0x7fffe402,0xffffffff,0xffff33ff,0xffffffff,0xfe885fff,0x5303ffff,
    0x17fea055,0x7fc3dfd1,0x3fff63ff,0xbffff505,0x83ffff70,0x2003fffb,
    0xff71fffb,0x0bffffff,0x287ffb06,0x3237ffd4,0x7ec04fff,0x3ffe23ff,
    0xfffff70f,0x7ec3ffff,0x02ffffff,0x3ffffff6,0xff9805ff,0x7e406fff,
    0xffffffff,0xf33fffff,0xffffffff,0x45ffffff,0xfffffff8,0x06ffe84f,
    0x7e45ffff,0x3fffa5ff,0x813fff23,0x222ffffc,0xfa84ffff,0x3f2004ff,
    0xddff70ff,0xb85fffff,0x44bff24f,0x7ffe41fd,0x07fffa24,0x3637ffd4,
    0x3fee3fff,0x6fffffff,0x3fffffee,0xffff702f,0x07fffffd,0xfffcffe8,
    0x33332a03,0xcccccccc,0xffff31cc,0xffffffff,0x7fdc5fff,0x4fffffff,
    0x7c42fffc,0x3ff64fff,0x8bfff66f,0x2204fffc,0xfb0ffffe,0x3fe60dff,
    0x3ff6005f,0x3ffa0227,0x3bffe23f,0xff9affb8,0x1fffe86f,0x221bffea,
    0x3ea0ffff,0x9bed85ff,0x227fffd9,0x2fffd8cf,0x10efff88,0x5c0ffff7,
    0x1fff76ff,0x99800000,0x99999999,0x3a2fffb9,0xffc8afff,0xfffdbeff,
    0x43fffb03,0x3f64fffb,0x3ffee2ff,0x7fffcc03,0x01ffffbd,0xfe8dfff1,
    0x037ff45f,0xf50ffff4,0xbffdffff,0x981dffff,0x3f20efff,0x7ffe44ff,
    0x03fffe23,0x1fffea02,0xa82fffd8,0xffc81fff,0x2fff881f,0x00017ffa,
    0xffa80000,0x717ffe2f,0xffffffff,0x072e201f,0xfff90f2a,0x01fffdc3,
    0x7fffffdc,0x7ffc03ff,0x83fffe27,0xcaa85ffe,0xd705fffe,0xffffffff,
    0x7ffdc05d,0x47fffa24,0x7ec5fffa,0x3fa002ff,0x3ff606ff,0x0fffb82f,
    0xc82fffa8,0x7ffd46ff,0x00000002,0x225fff50,0xffb83fff,0x003fffff,
    0x1fffc800,0x400bffea,0x6ffffffe,0x70fffe80,0x7fc5ffff,0xfffff84f,
    0xfffa805f,0xf8801eff,0x3fee0fff,0x45fffd4f,0x2006fff9,0x201ffffd,
    0xfc82fffd,0xfffa80ff,0x40fffcc2,0x75c0fffe,0xeeeeeeee,0x002eeeee,
    0x005fff50,0x3ffffe98,0xff700000,0x17ffd41f,0xfffff880,0xfffc800f,
    0x2bffffd1,0xff83fff8,0x02efffff,0xffffffd5,0xfffc805b,0x43fffe23,
    0x7ec6fffa,0xffd802ff,0x7fec03ff,0x3fffa82f,0x740fffd8,0xfff305ff,
    0xfffffc89,0xffffffff,0xff50003f,0x2a20005f,0x5c000000,0x7ffcc7ff,
    0xffff1001,0xff7001ff,0xfffff15f,0x05fff31f,0xfffb7333,0x3ffee21f,
    0xffffffff,0x5fffa82e,0x3617ffec,0x3fe23fff,0xffb100ff,0xffb007ff,
    0xdfff305f,0xdfff9117,0x200fffb8,0x3f21fffd,0xffffffff,0x003fffff,
    0x00000000,0x00000000,0x3fffffa0,0xfffa806f,0xfffeffbb,0x001fffab,
    0x3ea5ffff,0xaffbdfff,0x220ffffe,0x3ee0ffff,0xfff885ff,0x17ffea1f,
    0x07bfffa2,0x7fecccc4,0x3f2099bf,0xffffffff,0x13ffe21f,0x54dfff10,
    0xcccccccc,0x01cccccc,0x00000000,0x00000000,0xfffff900,0xf9809fff,
    0xebffdcff,0x07ffbeff,0x45ffff30,0x5ff92ffd,0xffb13fee,0x7fffc45f,
    0x8dfff500,0x3a63fffd,0xaaabffff,0xfffff71a,0xd89fffff,0xffffffff,
    0x800ccc43,0x00001998,0x00000000,0x00000000,0x3ffea000,0x2ffffdbf,
    0x3fbffe20,0xdfffb9ff,0x777f47ff,0x0fffffee,0x3ffc83a6,0xfffb83a6,
    0x01fffec5,0xf88ffff6,0xfffb1fff,0x9fffffff,0x3fffffee,0xea84ffff,
    0x000defff,0x00000000,0x00000000,0x00000000,0x3fffe200,0x1fffff16,
    0x7fffffc0,0xffffff16,0xfffffe8b,0xd801ffff,0xffb804ff,0x402ff540,
    0x7d42eff8,0x3ffff63f,0x74ffffff,0xffffffff,0x000809ff,0x00000000,
    0x00000000,0x00000000,0x3fff6000,0x3fffee0f,0x3ffffa05,0x3ffffa4f,
    0x7ffff44f,0xd000adff,0x062009ff,0x055000a8,0x7fffec14,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffffee0,0x40fffff6,
    0x21fffffd,0x83fffffb,0x20000998,0x00001aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe6000,0xffff105f,0xffff703f,
    0xfffff88f,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x200fffff,0xa86ffffa,0xfe84ffff,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeed88000,0x4ccc03ee,0x40999999,0x204eeeec,
    0xbbbbbbb9,0x33330bbb,0x33333333,0x13333333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a200000,0xf802ffff,0xffffffff,
    0x5ffffc85,0xffffff70,0x3fe5ffff,0xffffffff,0xffffffff,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x000efffe,
    0xffffffff,0x3ffea0bf,0xffffb85f,0xf2ffffff,0xffffffff,0xffffffff,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x004fffe8,0x77777774,0x3fa204ee,0x7ffdc5ff,0x2fffffff,0xffffffff,
    0xffffffff,0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002eeec8,0x3b200000,0x2aaa23ee,0x0aaaaaaa,0x33333333,
    0x33333333,0x00001333,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_36_latin1_x[224]={ 0,7,3,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,1,1,0,0,
7,1,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_36_latin1_y[224]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,19,14,
19,1,2,2,2,2,3,3,3,3,2,2,7,7,6,11,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,29,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,26,7,-1,2,3,3,
-3,0,0,2,2,9,14,14,0,1,0,4,0,0,1,8,1,12,26,1,2,9,1,1,0,7,-4,-4,-4,-4,
-4,-5,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,8,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,0,0,-2,7,7,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,6,4,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_36_latin1_w[224]={ 0,6,13,20,18,20,21,6,12,12,16,18,11,12,
8,17,19,16,16,16,20,16,18,17,17,17,8,11,16,16,15,13,20,20,17,17,18,15,14,19,18,16,13,18,
15,20,18,20,17,20,17,17,18,18,20,20,20,20,17,10,17,10,18,20,13,17,17,15,17,17,19,18,16,16,
14,18,16,18,16,18,17,17,16,16,17,16,20,20,20,20,16,14,5,15,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,16,18,20,20,
5,18,16,20,13,16,17,12,18,15,14,17,12,12,19,18,18,8,6,12,14,16,20,20,20,13,20,20,20,20,
20,20,21,17,18,18,18,18,18,18,18,18,19,19,20,20,20,20,20,16,20,19,19,19,19,20,17,17,18,19,
18,18,18,18,20,15,18,19,18,18,18,19,18,18,18,18,19,19,19,19,19,18,18,18,19,18,18,20,17,20,
 };
static unsigned short stb__consolas_bold_36_latin1_h[224]={ 0,26,9,23,32,27,26,9,35,35,16,19,14,5,
8,29,25,24,24,25,23,24,24,23,25,24,20,26,21,11,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,33,29,33,12,5,8,20,26,20,26,20,26,27,25,26,
34,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,37,33,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,32,24,23,23,
37,31,9,25,19,15,10,5,19,8,14,22,15,16,8,25,30,8,6,14,19,15,25,25,26,26,30,30,30,30,
30,31,23,30,30,30,30,30,30,30,30,30,23,30,31,31,31,31,31,17,31,31,31,31,31,30,23,27,26,26,
26,27,27,29,20,25,26,26,26,27,25,25,25,26,26,26,26,26,26,27,27,20,26,26,26,26,27,33,32,34,
 };
static unsigned short stb__consolas_bold_36_latin1_s[224]={ 250,243,239,95,205,151,21,249,13,26,56,
115,244,51,246,133,206,51,34,113,116,86,1,174,130,68,246,20,171,167,155,
81,75,116,43,1,57,41,241,226,1,224,20,76,158,22,231,77,80,21,98,
153,61,206,20,1,137,210,192,111,115,138,148,64,37,1,152,188,134,59,1,
20,189,155,60,117,136,96,182,19,191,209,134,204,171,165,216,22,1,170,199,
96,1,122,202,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,250,249,170,
225,184,125,7,224,222,56,151,90,184,51,77,21,133,137,107,43,1,98,22,
246,249,120,240,73,92,35,229,241,60,81,102,144,1,187,103,184,165,222,1,
20,58,77,39,41,146,202,228,42,63,84,105,237,126,147,167,208,1,123,166,
59,191,96,115,172,230,96,38,19,172,135,77,211,187,148,168,116,43,62,95,
72,32,191,39,221,210,227,52,1,1,149,187,39, };
static unsigned short stb__consolas_bold_36_latin1_t[224]={ 1,1,335,266,1,102,161,102,1,1,335,
314,215,354,182,102,188,241,241,188,266,241,241,266,188,241,161,188,290,335,290,
161,1,290,290,215,266,266,241,188,266,241,241,266,266,290,266,215,290,39,290,
215,290,215,266,290,266,266,266,1,102,1,335,354,354,314,161,290,161,314,161,
133,215,132,1,215,215,314,314,314,161,161,314,290,215,314,314,335,335,161,314,
1,1,1,335,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,1,39,1,
215,241,241,1,1,335,215,314,335,335,354,314,354,335,290,335,335,354,215,71,
191,112,335,290,335,188,215,132,71,71,71,71,71,71,39,241,71,71,71,102,
102,102,102,102,71,241,71,39,39,39,39,39,314,39,39,39,39,39,71,241,
133,132,132,161,102,102,102,314,215,132,132,133,102,188,188,188,132,161,161,161,
188,188,102,133,290,132,161,188,188,133,1,1,1, };
static unsigned short stb__consolas_bold_36_latin1_a[224]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_36_latin1(stb_fontchar font[STB_FONT_consolas_bold_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_36_latin1_s[i] + stb__consolas_bold_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_36_latin1_t[i] + stb__consolas_bold_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_36_latin1_x[i];
            font[i].y0 = stb__consolas_bold_36_latin1_y[i];
            font[i].x1 = stb__consolas_bold_36_latin1_x[i] + stb__consolas_bold_36_latin1_w[i];
            font[i].y1 = stb__consolas_bold_36_latin1_y[i] + stb__consolas_bold_36_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_36_latin1_s[i] + stb__consolas_bold_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_36_latin1_t[i] + stb__consolas_bold_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_36_latin1_x[i] + stb__consolas_bold_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_36_latin1_y[i] + stb__consolas_bold_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_36_latin1_LINE_SPACING
#endif

