// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_33_latin1_BITMAP_HEIGHT        216
#define STB_FONT_courier_33_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_33_latin1_FIRST_CHAR            32
#define STB_FONT_courier_33_latin1_NUM_CHARS            224

#define STB_FONT_courier_33_latin1_LINE_SPACING          16

static unsigned int stb__courier_33_latin1_pixels[]={
    0x20005440,0x50150059,0x03ddd301,0x006e0000,0xb80000c0,0x000aa000,
    0x300000c8,0x00130000,0x91000000,0xa8000019,0x01900002,0xf300e472,
    0x01fd4007,0x17ea27dc,0x0000fd54,0x400076c0,0x10000efb,0x7cc001dd,
    0x03d90004,0x00efb800,0x003df500,0x37fb2a20,0x33d100e3,0x2e00001d,
    0x7a80002f,0x80ba1f50,0x5f7003f9,0xb1076600,0x0001f805,0x0003b620,
    0x05f93db1,0x0005e880,0x32000bd1,0xed88001f,0x64002fc9,0x4003fb9f,
    0xfda9bdf9,0x8ae00fae,0xfc80003a,0x07b00001,0x2202e97a,0x01fb801c,
    0x07e00000,0x02f44000,0xf506f440,0x013e6007,0x001dd100,0x44005f70,
    0x00fea0de,0x5f983ba2,0x5405d100,0xc92600ff,0x076c0001,0x80f98000,
    0x000ba1fb,0x000004c0,0x00007e00,0x398001c4,0x0a600710,0x000b8000,
    0x1cc00530,0x03880388,0x07d10071,0xdc801f90,0x0c80004d,0x41360000,
    0x0001746e,0x2aaa2000,0x01555301,0x2f6ea23f,0x00000001,0x00000000,
    0x00000000,0x80000000,0x01f1006a,0x00000110,0x01f10000,0x552e85f3,
    0x23555555,0x5301aaa8,0x3bff2155,0x07dfdd05,0x979df33f,0xccca81fd,
    0x6666544c,0x9fd9300c,0x7f64c005,0x3b26002c,0x332a02cf,0x666544cc,
    0x999950cc,0xccccca89,0xcccccc80,0x800b6003,0x99999900,0x99990007,
    0x90000799,0x2ba1f20b,0xeeeeeee9,0x0bdff95e,0x6a8fbfba,0x9f01f880,
    0xa83ae07f,0x64c3cdfc,0xfc80beec,0x01fdb9ac,0x6dcd67e4,0x567e401f,
    0xca81fdb9,0x664c3cdf,0xbf950bee,0xeecc9879,0xfcccb80b,0x01f000fd,
    0xf9997000,0xcb8001fb,0x000fdfcc,0x37c07e20,0x52dc00f4,0xd03f100d,
    0x3e05b805,0x7c35c02f,0xdb03c800,0x6c03ee01,0x201f700e,0x01f700ed,
    0x40f2003e,0x003c800f,0x1007b1f1,0xf100000f,0x440007b1,0x20003d8f,
    0x90bf105c,0x2e8b7001,0x06a82dc0,0x00bf00fc,0x9001f07a,0xa801d707,
    0x20075c0e,0x0075c0ea,0x003e03aa,0x4007c0f2,0x2ab7003c,0x00078806,
    0x00d55b80,0x006aadc0,0x3e603f10,0x516e0004,0x3a01f80d,0x3f80b702,
    0x00f87900,0x017c43c8,0x00be24e8,0x005f1274,0x2003e13a,0x9001f03c,
    0x1f8ba007,0x00003c40,0x0003f174,0x8001f8ba,0x00fea06b,0x02e85b80,
    0xf06b80b7,0x7001f803,0x3c800f8b,0x4d30035c,0xb9a6006b,0x3e1a6006,
    0x1f03c800,0xf3007900,0x07c404c8,0xc8f30000,0x64798004,0x202f8004,
    0x2e0003fa,0x03f06b85,0x806b85d0,0xf899003f,0x1e43c800,0x01e43e00,
    0x001e43e0,0x9001f03e,0x32003e07,0x3cc4c803,0x000017c0,0x80079899,
    0x2003cc4c,0x027cc06a,0x0ba0b700,0xf1ae00d7,0x200bf005,0x64007c2e,
    0x3a001743,0x1e8005d1,0x41e8005d,0xf03c800f,0xf0079001,0x5c805d03,
    0x207e0000,0x40fc002e,0x00fa002e,0x003b0bf1,0x5f1ae0b7,0x06b97400,
    0x6b805ff0,0x43c800f8,0xf9ec001f,0x1f9ec001,0x03e1ec00,0x007c0f20,
    0x41a601e4,0x017c405b,0x20d302a8,0x41a6005b,0x00f5005b,0x200ba1be,
    0x35cba05b,0x0175ae00,0xf903fcf8,0x79001f03,0x96c001e8,0xe96c001e,
    0x3e16c001,0x1f03c800,0x4c807900,0xfa801f10,0xc80fdc01,0x2001f104,
    0x001f104c,0x03f2007d,0x40b7005d,0xd0005d6b,0x4cfc00db,0x1eedcdee,
    0x879001f0,0xd874003d,0x3d874003,0x03e07400,0x007c0f20,0x3bbe01e4,
    0x03feeeee,0x6cc0cfa8,0x3bbbe01e,0x003feeee,0xdddddddf,0x00f9807f,
    0x02e87f10,0x36f405b8,0x002fb800,0x2bcb987e,0x1ec00fc0,0x27880132,
    0xc9e2004c,0x3e1e2004,0x3f03d801,0x75407b00,0xbaaaaaaa,0xdffd3006,
    0x75401bff,0xbaaaaaaa,0xaaaea806,0x406baaaa,0x236c004d,0x405b802e,
    0xd50002fb,0x0001f800,0x30be00b6,0x9972001f,0x4cb9000f,0xb0b9000f,
    0x3605f005,0x3602f802,0x2001e802,0x5b001cc8,0x2d803d00,0x1f301e80,
    0x3a2fa800,0x5405b802,0x00ba0006,0x5c0003f0,0x6c07cc04,0x6c1f8804,
    0x6c1f8804,0xb81f8804,0xb807cc04,0x8807cc04,0x004c800f,0x0f8801e4,
    0x3e204c80,0x9904c800,0x2e97a000,0x17403d80,0x8006a800,0x3e20001f,
    0x7c413601,0x220fa203,0x20fa203f,0x0fa203f8,0x09b00fc4,0x09b00fc4,
    0x0f8802dc,0x2016e600,0x01f1005b,0x07c4016e,0x4c0007e2,0xf8803d0f,
    0x8001aa02,0x01f8002e,0x2217d400,0x37e600ee,0xf30274c0,0x204e981b,
    0x274c0df9,0xdd10bea0,0x442fa801,0x37d300ee,0x2fa66201,0x2d4dd400,
    0x4026fa60,0x4c0be998,0x331009be,0x002e417d,0x3005c6e0,0x002e80db,
    0xbdfdddd7,0xefed8805,0xd50003ee,0x001bffdf,0x7bfddfb1,0xfddfb100,
    0xdfb1007b,0x2a007bfd,0x00dffefe,0xbffdfd50,0x3ffff201,0xffffc80f,
    0x05e5c00f,0x1fffff90,0x1fffff90,0x03fffff2,0x43fffff2,0xb3000001,
    0x41bfdddd,0xdefeeeeb,0x55554c02,0x54401aaa,0x002aaaaa,0x00055440,
    0x400054c4,0x88000a98,0x510000a9,0x2a200015,0x0000000a,0x00000000,
    0x00000000,0x2aaa2000,0xaaa981aa,0x0001aaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x1220002a,0x2a800180,0x00003800,0x00800644,0x00030001,
    0x018000aa,0x04003800,0xb8000008,0x0deb8802,0xaf776c0c,0xb884eeee,
    0x819017b5,0x0027cc00,0xfb802f4c,0x0fea000e,0x00007b00,0x7e4017a2,
    0x7001fdc2,0xf98001df,0x003d0004,0x9801ba20,0x8037c45f,0x3ea1a678,
    0x7e577400,0xaa985eac,0x03557f6c,0x21b663bf,0x3017e62e,0x27cc00bd,
    0x7e4f6c40,0x013e6002,0x980007a8,0x07ea004f,0xdb1005f5,0x98005f93,
    0x02e8005e,0x4005e880,0x027443f8,0x7c1aa798,0x3b220c04,0x01f6a804,
    0x741e8354,0x2201bea2,0x03fa805e,0x3ea0de88,0x017a2003,0x260003e8,
    0x0000003f,0x7f506f44,0x005e8800,0x335dffb3,0x0004f980,0xa9a60000,
    0x0001f906,0x00fb5400,0x3a264132,0x4401bea2,0x800d400b,0x80073039,
    0x01aa0048,0x00002a80,0x71039800,0x80171000,0xfec99bee,0x0001dc04,
    0xb9aa0000,0x9807f105,0x5002cfec,0x04c803ed,0x3e62e899,0x00000005,
    0x00000000,0x00000174,0x167f64c0,0x00000000,0x27c41ae0,0x332a0000,
    0x666544cc,0x5cb500cc,0xfc81b604,0x01fdb9ac,0x3200fb54,0x22e89904,
    0x666545f9,0x0ccccccc,0x99999995,0x332a1999,0xcccccccc,0xcccccc80,
    0x4035c003,0xccccccca,0x902ccccc,0x3fb7359f,0x99999950,0x45999999,
    0xccccccca,0x742ccccc,0xcc986a02,0xccca80cc,0x0f37f2a3,0x017dd993,
    0x2a04c96e,0x700ed82f,0x0fb5401f,0x22641320,0x9313e22e,0x999bf999,
    0x7e6664c7,0x3263cccd,0xcccdfccc,0xbf999703,0x02f8001f,0x6667ee4c,
    0x84eccccc,0x81f700ed,0xccccfdc9,0x264ecccc,0xcccccfdc,0x0fc4eccc,
    0x17bf9300,0xf07bf950,0xc8079001,0x4f980f24,0x3aa0075c,0x803ed500,
    0x2e89904c,0x0ba013e2,0xe8005d00,0xd8f88002,0x802dc003,0x5c4c806a,
    0x4075400e,0xa84c806a,0x2e44c806,0x2e035c00,0x32003e06,0xeffeea83,
    0xf83eeefe,0x7400be25,0x803ed504,0x2e89703d,0x017401fc,0x5d000ba0,
    0x1aab7000,0x5003f100,0x7c49900d,0xd509d002,0x0d509900,0xbee88990,
    0x44136001,0x2003e01f,0xdeaa983c,0x81aaceaa,0x9801ae6f,0x403ed506,
    0x41f502f8,0x7401fc2e,0x00174002,0x8ba000ba,0x02e4001f,0x725c0354,
    0x5434c00d,0x6a84b806,0xfb504b80,0x1f8807bf,0x007c04d8,0xe8b601e4,
    0x0793ec01,0xf6a80f80,0xd809f901,0x03f85d4f,0x174002e8,0x3000ba00,
    0x44004c8f,0x0c35400f,0x4003c822,0x20c3540f,0x4186a808,0xeeb98008,
    0x1d51ae00,0x3c800f80,0x803f1740,0xd000ba7d,0x203ed503,0x9f6c05fb,
    0x7401742e,0x00174002,0x899000ba,0x04d80079,0xd0174354,0x541e8005,
    0x6a802e86,0x640002e8,0x2f8a7405,0x3c800f80,0x801f0f40,0xb0007e6f,
    0x803ed507,0x2e8f502f,0x01740064,0x5d000ba0,0x2e81f800,0x5007cc00,
    0x05d3333d,0x0f6000fc,0x5d3333d5,0x3333d500,0xf880005d,0x1367e200,
    0x1e4007c0,0x3bbfbb62,0x440deefe,0xb0007a5f,0x803ed505,0x2e89903c,
    0x8005d000,0x0174002e,0x016e0d30,0xffa81360,0x3a02ffff,0x2a16c001,
    0x02ffffff,0xffffffa8,0xf3006e02,0x00ffb801,0x079001f0,0xf757f755,
    0x49f30555,0x4074003d,0x26401f6a,0x001744c8,0x174002e8,0xc800ba00,
    0x8001f104,0xd0d500f9,0x2001ec05,0x1743540e,0x01743540,0x004d80db,
    0x007c007d,0x4cf101e4,0x990fd407,0x6a83c400,0xc826401f,0xe8001744,
    0x00174002,0xeef800ba,0x03feeeee,0x0d503e80,0x0026403d,0x3d0d50f1,
    0x03d0d500,0x95056fec,0x00ba001f,0x03d801f8,0x6c0699e6,0xc8007cc6,
    0x803ed505,0x2e89904c,0x0ba00ae2,0xe8005d00,0x555d5002,0x00d75555,
    0x01aa0f50,0x2001f314,0x5006a85c,0xd8a00d50,0xeffefdaa,0x800ba001,
    0x202f802d,0xf981aa79,0xf8804d83,0x803ed501,0x2e89904c,0x5d007ffa,
    0x4002e800,0x005b002e,0x05d0003d,0xd87e00d5,0xa81f8804,0x6a83f006,
    0x3e203f00,0x02e8000b,0x1f3012e0,0x40b53540,0x03f880fc,0xf6a80fa2,
    0x4c826401,0x03ffb174,0x174002e8,0x2200ba00,0x004c800f,0x006a86b8,
    0x101fc43f,0x401aa07d,0xf803541f,0x4000ba01,0x07e2002e,0x72d404d8,
    0x9813e20b,0x0274c0df,0xd3007daa,0x445d07a0,0x002e801a,0x0ba00174,
    0x7c4016e0,0x542f8000,0xf983f006,0x50274c0d,0xd507e00d,0x2e807e00,
    0x8005d000,0x077442fa,0x704c96e0,0xefd8801f,0x99503dfe,0x0b337edb,
    0x43754bba,0x3333002e,0x9813337d,0x999be999,0x5f4cccc0,0x5f4c0999,
    0x7d331009,0x266b8001,0x999999eb,0xd881f999,0x203dfeef,0x99999eb9,
    0x261f9999,0x999999eb,0x3a01f999,0x3a666002,0xd500099b,0x001bffdf,
    0x1a815473,0x002a6200,0x33279997,0x2e7503cc,0xf9001702,0xffffffff,
    0x3ffff21f,0x90ffffff,0xffffffff,0x3fff21ff,0xfffc80ff,0xc94000ff,
    0xffffffff,0x201fffff,0x7e400a98,0xffffffff,0xff91ffff,0xffffffff,
    0x05c03fff,0xfffffc80,0x22000fff,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x01000100,0x20000002,0x04c00100,0x21775400,
    0x0deb8801,0x06a2000c,0x70002a00,0x00a80007,0x00000980,0xdd9300c8,
    0x1001dddd,0x003b8001,0x7dc2fc80,0x117e6003,0xfb7100df,0x5f98059d,
    0x3a202fcc,0x3f2003dc,0x0fdadfba,0x67e57740,0xfb1005ea,0x36005ffd,
    0x3a2001ff,0x3ffb0005,0x3bfff200,0xefdb8801,0x7541b22d,0x32601902,
    0x1003fffe,0xfa8000bd,0x10017d41,0x404e887f,0xfca9bde9,0xd10fe604,
    0x0361c809,0x06f5c0c0,0x13b220c0,0xb8867440,0x237a602f,0x3a2003fb,
    0x1bd3000e,0x1ee807f7,0x74c05f71,0xbdfba9bd,0x6401d01f,0x710afc80,
    0x3ba200bd,0x00000000,0x1fd40000,0x00006e88,0x0006c190,0x00000000,
    0x9835c172,0x002f4c4f,0x13e601b6,0x03aa0bd3,0x0fea03ee,0x58817f44,
    0x036605c0,0xdb001fc4,0x00000000,0x403e8000,0x800003e8,0x2205b9d9,
    0x99303ccc,0x99901999,0x22007999,0x101f100f,0x2000a203,0x51018802,
    0x83f80fa0,0x0ffa203e,0x90000068,0x0002800b,0x07999999,0x333332a0,
    0x2ccccccc,0x0fa8035c,0x3333332a,0x2200cccc,0x7e64402b,0xeecc981f,
    0xfcccb80c,0x05b800fd,0x0000016c,0x2a000000,0xd71ae01f,0x40fadd80,
    0x0000dfda,0x00003540,0xdfcccb80,0xfdc9800f,0xcccccccc,0xd000fc4e,
    0x7e6664c7,0x0003cccd,0x6406df80,0x7b1f1004,0x74c07900,0x59b95102,
    0x9b951001,0x372a2007,0x501ee03c,0x3ee01f8f,0xa8e5c7d0,0x3a00002e,
    0x3372a204,0x7c40000a,0x1aa003d8,0x00789320,0x00ba02dc,0x01e6e544,
    0x3203e9f8,0x1aab7004,0xff910ba0,0x9dff505f,0x3a605ffd,0x0ffdbdef,
    0xb7bdfd30,0x80b901ff,0x4c0f10f8,0x88696e1f,0x5c0000dd,0x9dff501f,
    0x40005ffd,0x5400d55b,0x1aa4c806,0x2e80d500,0x5ef7f4c0,0x4fc00ffd,
    0x009900fa,0x7c01f8ba,0x362f7a21,0x2205fdc2,0x009883fb,0x40262099,
    0xf803d84c,0x0fe20d51,0xea81dcd5,0x3f2a6004,0x817f701e,0xd0003fb8,
    0x6a800fc5,0x016e4b80,0x02e80f30,0x04c804c4,0x9904d8fc,0x04c8f300,
    0x2d8d90fc,0x3f500fe6,0x000f8800,0x01ec0f88,0x9d05b8fc,0x203d8f30,
    0xfea801eb,0x807f303f,0x3cc001fa,0x43540132,0x00b50441,0x01740798,
    0xf803e200,0x09903f11,0x40798990,0x45b0fa1f,0x00bd006d,0x3a0005d0,
    0x8fc01ec2,0xf306c85a,0x3a203d90,0x09d51002,0x017a00db,0x00798990,
    0x4c05d0d5,0x202dc007,0x2e80002e,0xc85c87e0,0x2e81f804,0x6c3d87e0,
    0x3cc007e2,0x9accba98,0x32ea602e,0x1ec2e9ac,0x54698fc0,0x260b700f,
    0x800d00ce,0x800fc5d8,0x40fc0079,0x99ea802e,0x3e202e99,0xd0132000,
    0x32ea6005,0x3e02e9ac,0x01321741,0xf816e0d3,0x12d83aa1,0xffffffff,
    0x441fffff,0xfdccdefd,0xdefd882f,0x642ffdcc,0xf887cc04,0x26403f30,
    0x0ae0baa0,0x3e21f100,0xffffffff,0x3000ffff,0x2a016e0d,0x02ffffff,
    0x2f88026c,0x36201740,0xffdccdef,0x1f507e02,0x41320264,0xd83d00f8,
    0x2be4ecdf,0x99999999,0x037e2199,0x06fc42e8,0x405b85d0,0x1f466c7b,
    0x91005f10,0x000d511b,0x999af8b6,0x19999999,0x7c413200,0x17435400,
    0x32003e60,0x2202e805,0x80ba00df,0x1324d81f,0xddddddf0,0x20b607fd,
    0x0fa4dcb8,0x74036400,0x17403642,0x98db01ea,0x02e405df,0x002fbea0,
    0x007d1ec0,0x3bbbe000,0x403feeee,0xc801e86a,0x003ee00e,0x806c80ba,
    0x2607e02e,0x7540990f,0xbaaaaaaa,0xb8009906,0x005d0006,0xe802e85d,
    0x0fe02f82,0x0fb803fa,0x0003b800,0x000d70fc,0x5555d500,0xa80d7555,
    0x3f605006,0x800fe442,0x200ba02e,0x6407e02e,0x016c0995,0x003540f4,
    0x322802ec,0x90bfa204,0x417f4409,0xf50f506c,0x1fc885fb,0x424c0170,
    0x42ec00b8,0x2005005d,0x201e802d,0x203f006a,0x0dfeeffb,0x4c80ba00,
    0xf80bfa20,0x0995f101,0x132003e2,0x3a200174,0x26fb881e,0x6fd442f8,
    0x85f109be,0x09bedfa8,0x2fa833e2,0xeffb97c4,0x03600dfe,0x17fb03b8,
    0xe880ed88,0x06fb881e,0x4c800f88,0x0fc01aa0,0x0015bf30,0x17c405d0,
    0x26fb7ea2,0x3aa01f80,0x200b704c,0x02fa80f8,0x777fdc07,0xffb82eff,
    0xffd1effe,0x7ff7fdc9,0x889ffd1e,0xd82ffefd,0x8009a984,0x405c980d,
    0xcffeffda,0x777fdc00,0xb7002eff,0x5403e200,0x2a03f006,0x2a0abbef,
    0x2e017404,0xd1effeff,0x9af989ff,0xd309fd00,0x26620137,0xbdfb80be,
    0xa9805fca,0x9aa8801a,0x26aa2000,0x01a88000,0x76400002,0x00bdeeee,
    0x00026a60,0x98003553,0x331009be,0x9eb9817d,0x99999999,0xdeffb81f,
    0x43ffffec,0x99be9999,0x09aa8809,0xfffff900,0xfc89f301,0xfc80ffff,
    0xc980ffff,0x00000bde,0x00000000,0x00000000,0x00000000,0xfffc8000,
    0xfffc80ff,0xffff90ff,0xffffffff,0x2203103f,0xffffc819,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8000000,0x0d980003,0x00005400,0x26000366,0x0000000d,
    0x00088018,0x77000150,0x03660000,0x00000980,0xdddd9730,0x00000ddd,
    0xbd800f2e,0x2a20ae21,0x002f4401,0xd8009f50,0xf30001ff,0x09f30009,
    0x017dd710,0xfffec880,0x2dfffb84,0x007ff600,0x8000bd10,0xfd8804f9,
    0x3b002fff,0x5d77e440,0x7e440b12,0xf5005c3f,0x326005ff,0xe81dfefe,
    0x774401ff,0x017dc000,0x7f71bd30,0x002fa800,0x5d002fa8,0xbf5002d4,
    0x9f906215,0x8805f911,0x003fa8de,0x40007744,0xef8802fa,0xd009f932,
    0x570ff405,0xa9dc8162,0x200efcfe,0x8802fffa,0x205edfdb,0xdb001ffe,
    0x000fdc00,0x05e989f3,0x70003f70,0x20e6003f,0x03fb800d,0x0f881f98,
    0x5e989f30,0x4006d800,0x0bd001fb,0x05d00be6,0x225713e6,0x0f260205,
    0x4c005440,0x07d10adf,0x050006a2,0x220004c0,0x26005101,0x00130000,
    0x201d40e4,0x0db001f9,0x201882dc,0x80050002,0x03f10009,0x40ba0274,
    0x5895c1fb,0x00000000,0x0003d100,0x00000000,0x00000000,0x0d83a800,
    0x7f002740,0x00007c40,0x00000000,0x035c06a8,0x1f703bf5,0x500b12b8,
    0x000159b7,0x50d4c400,0x2ea0001d,0x75000acd,0x2a00159b,0x1000acdb,
    0x00159b95,0x0079b951,0x2a02cc3d,0x200fc006,0x2055511d,0x55442aa9,
    0x88555302,0x555302aa,0x13600f88,0x3fb337aa,0x2b85f53e,0x6f6c40b1,
    0x1003fecb,0x3bff6200,0x002e8cff,0x765ef6c4,0x37b6203f,0x2203fecb,
    0x3fecbded,0x7677fd40,0xdfd302ff,0x401ffb7b,0x080cedc9,0x07d0012e,
    0x0ddd72e8,0xeb8fddd1,0x7eee886e,0x7443775c,0x104e87ee,0x981eb83f,
    0x5c3fd14f,0x13e60b12,0x1e20274c,0xb3037e60,0x303b099d,0x213a609f,
    0x09d304f9,0x13a609f3,0x2e205fdc,0x9009883f,0xd9301009,0x799316c7,
    0x4fb81b20,0x41e2034c,0x983c4069,0x74c3c406,0x989d712d,0xd893200f,
    0x0b12b9bf,0x05f100fa,0x7f1007c4,0x2e85fb80,0x17c403e8,0x85f100fa,
    0x217c403e,0x0fd403f9,0x4003e200,0x8f82cec9,0x0efccfe8,0x5f540fcc,
    0x1e2034c5,0x41e2034c,0x883c4069,0xb84fffff,0x64c04404,0xd70b12fd,
    0x2e21ea00,0x802e406f,0x35c3f87e,0x01ae7a80,0x200d73d4,0xe8036c7a,
    0x202e8005,0x7c01ceca,0x1b620ce9,0x3ee273ee,0x2034c6a9,0x880d3078,
    0x7880d307,0xdf97df90,0x80003d83,0x0790b12b,0x3bf507c0,0x2a003d00,
    0x0f21fc0f,0x00790f80,0x2003c87c,0x4c007e0f,0x59975307,0xced885d3,
    0x417ba001,0xffda83f8,0x0698971c,0x406983c4,0x880d3078,0xfa80dd87,
    0x20001721,0x05d0b12b,0x03f99740,0x26001f10,0x0ba27c0f,0x005d2e80,
    0x2002e974,0xfffff12e,0xffffffff,0x66f7ec41,0x8182ffdc,0xfd81cec8,
    0x80817600,0x22034c3c,0x7880d307,0x47880d30,0xb97601f9,0x95c0000f,
    0x2002e858,0xf800991e,0xf88f3000,0x3d001744,0xd1e800ba,0x5f0f4005,
    0x33333333,0x06fc4333,0x3d1005d0,0x80970b66,0x20f4006a,0x983c4069,
    0x6983c406,0x01ae3c40,0x2203e8f5,0x85895c00,0x21f1004c,0x0174001f,
    0x22fc46b8,0x21f1004c,0x21f1004c,0x41f1004c,0x0d90003e,0x839005d0,
    0x2e02d458,0x303ee005,0xd307880d,0x0d307880,0x20264788,0x833e60f8,
    0x95c03fb8,0x800fa858,0x83013a6c,0x987b005c,0x4007d45f,0x2003ea6c,
    0x2003ea6c,0x80035c6c,0x802e802e,0x07c41b06,0x3e2005d0,0x3cc07982,
    0x83cc0798,0x2e3cc079,0x221ee00f,0x01cefffd,0x360b12b8,0xf907cc05,
    0x02742e80,0x21be61b2,0x207cc05d,0x207cc05d,0x407cc05d,0x2645005d,
    0xb005fd10,0x20b70d01,0x0bd30079,0x07fa80f4,0x03fd407a,0x11fea03d,
    0x1027c07f,0x12b8005d,0x207ba20b,0x16f442fc,0x37e617d4,0x540fe441,
    0x81ee886f,0x1ee882fc,0xee882fc8,0xd102fc81,0x4df7103d,0x6fd442f8,
    0x126009be,0x44b76077,0x326044fb,0x306dc03f,0x7013f9f9,0x7e7e4c1b,
    0x260db809,0x2a09fcfc,0x0dd711cf,0x2b8005d0,0xeffb80b1,0xfd101efe,
    0x017ffd9f,0xbffbffb1,0xb81bea01,0x01efeeff,0x77f77fdc,0x777fdc01,
    0xffb801ef,0xb82effee,0xd1effeff,0xceb809ff,0xdf9100be,0xfdfd09ff,
    0xfb1003bf,0xff11bffd,0xffdfb109,0x109ff11b,0x11bffdfb,0xefe989ff,
    0x05d004ff,0x00b12b80,0x4c002aa6,0x31001acb,0x03500135,0x80015530,
    0x4c000aa9,0xa98000aa,0x9aa8801a,0x00180000,0x153004d4,0x026a2000,
    0x0026a200,0x00026a20,0x6c001353,0x5eeee801,0x0000ddd7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000060,0x00400a80,0x40aaa200,0x00202aa9,
    0x8002b800,0x50028828,0x0cc01501,0x000000cc,0x01c00000,0x000cda80,
    0x000005a8,0xfc881500,0x20000ddc,0x437cc5fa,0x40007eb9,0xee886eeb,
    0x03f5cc7e,0x007f3000,0x17ec1fe8,0xdf317e60,0x3fa07fc0,0x0fff2200,
    0xfb950017,0x2200179d,0xf3000efe,0x400bf97d,0x654002fb,0x000bcefd,
    0x214c5ffd,0x3620004b,0x4d41ec42,0xd5000078,0x44d47880,0x7cc00007,
    0x2a16e004,0x416c400d,0x2e13203d,0x6d4f6405,0x2200eecf,0xd7311add,
    0xc8cf9805,0x443d802f,0x01fc802e,0x446b7620,0x7d402eb9,0x034c06ff,
    0x78800000,0x80d50000,0x000f1078,0x000bd100,0x00000000,0x3c980800,
    0x22017540,0xa85f505d,0x203e203f,0x0076405a,0xd8805d50,0x13ffe205,
    0x0000f554,0x00788000,0x7880d500,0x00000f10,0x000000e2,0x00000000,
    0x00744000,0x20130790,0x441aa018,0x8002a00f,0x085440e8,0x02b880f2,
    0x5001bd91,0x566dd40b,0x2003c400,0x4406a84b,0x9800f107,0x5440000d,
    0x0555302a,0x0acdca88,0x3cdca880,0x79b95100,0x9d932d80,0x01e887b9,
    0x541aa000,0x16c00006,0x4732eb76,0xa80001e8,0x20bf6206,0xfecbded8,
    0x4c01e203,0x406a81ee,0x400f1078,0xaaa983fc,0x1bbae00a,0xa81fbba2,
    0x2ffeceff,0xb7bdfd30,0x3fa601ff,0x80ffdbde,0x0e62445a,0x555530b3,
    0xb98d5001,0x2aaa602f,0x3716a00a,0x002cc3d0,0xdfb81e80,0xd304f980,
    0x3201e209,0x101aa03f,0x2a01e20f,0xdddb00ee,0x80d3005f,0x817f7078,
    0x09883fb8,0x02620990,0x22164264,0xed878584,0x6a802fee,0xd8037ff2,
    0x3202feee,0x3c0982c2,0x11a60200,0x01f405db,0x81e20be2,0x35401ee9,
    0x03c41e20,0xe8007fb1,0x44069802,0x5403f987,0x07c4001f,0x3607c400,
    0x21662440,0x4017400e,0x17ed4c6a,0x83602e80,0x103a0039,0xaceb8333,
    0x433ee1dc,0xa8035c18,0x333f32e7,0x2a67f912,0x7980d500,0x1667e65c,
    0x00621bf5,0x034c0174,0x401b61e2,0x02e8005e,0x88785d00,0x5904dbad,
    0x6a802e80,0x3a007ea0,0x00351e02,0x13ffa164,0xee982a62,0x3c83fa21,
    0x4cc43e00,0x8dfa8999,0xa84dabe9,0x88ff501f,0xd8899999,0x007fa22f,
    0x01a600ba,0x2003f0f1,0x99753079,0x54c05d35,0x42e9accb,0x6cce440e,
    0x2e803b01,0x35c06a80,0x41d01740,0x88760039,0xf9000fff,0x741d5b09,
    0x880ba002,0x3b07a2fd,0x3260dfa8,0x5c009fcf,0x0edec0df,0x34c01740,
    0xfff11e20,0xffffffff,0x77ec41ff,0x82ffdccd,0xdccdefd8,0x220e42ff,
    0x40340e44,0x806a802e,0x9017401f,0x8d003443,0xe9803ffb,0x41d5b81e,
    0x407a002e,0x5c040dfb,0x7f7efd44,0x04ff88df,0x2b505fb1,0x802e801d,
    0x7c3c4069,0x9999999a,0x37e21999,0xbf10ba00,0x0ee17401,0x0688b091,
    0x06a802e8,0x017403d8,0x1a82b877,0x00dfb1a2,0x43a207f9,0x4401320e,
    0x017ec40f,0x8b540e98,0x3ee0009a,0x3b0e880c,0xd3005d00,0x03e87880,
    0x5d00d900,0x42e806c8,0x839310e8,0xd007b0b9,0x900d5005,0x2202e809,
    0x64d7640e,0x07fe1ec3,0x16c01b30,0x4007d41d,0x000cb86c,0x00d503d3,
    0x7b00ec40,0x017400ec,0x21e603cc,0x05d0006b,0x802e85d0,0x5515a82e,
    0x05a9a815,0x4d5005d0,0x7403e838,0x5442d402,0x27d45a82,0x557d4000,
    0x202ec3fa,0x540000f9,0x000d500e,0x5557d400,0x002e803e,0x41fea03d,
    0x2645005d,0x4c85fd10,0x640bfa20,0x001d5004,0x89aa00ba,0x3a00fc47,
    0x5004c802,0x000ea81d,0xfaaaa980,0x207ba20b,0x640002fc,0x00035405,
    0xd5555300,0x002e8019,0x67e4c1b7,0x0f74409f,0x5f137dc4,0x9bedfa88,
    0xfa885f10,0xeb809bed,0x001bb102,0x3ae60174,0x02f4cfa0,0x2eb80174,
    0x0001bb10,0x201d0000,0x1efeeffb,0x10f62000,0x00006983,0x2620ec00,
    0x999be999,0xfefd8809,0x04ff88df,0xdffddff7,0xffdff705,0xb93ffa3d,
    0xd1effeff,0x3f6209ff,0x403efdce,0x9be99998,0xfff90999,0x077f754f,
    0x2fa66662,0xb1009999,0x07dfb9df,0xd5000000,0x554c01df,0xefb80000,
    0x0c44eeee,0xea800000,0xffff30ef,0xbfffffff,0x0004d440,0x8801aa98,
    0x220009aa,0x400009aa,0xff3001a8,0xffffffff,0x40d400bf,0xfffffff9,
    0x8805ffff,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x99999999,0x00019999,
    0x04c00000,0x3bbbbb20,0x00001eee,0x3bbbbbb6,0x00005eee,0x00000000,
    0x986f72a2,0x3ddd31aa,0x42aaa000,0x001bdba8,0xaa8802a2,0x1555301a,
    0x03eed800,0x4d41dd70,0x99999999,0x881a9999,0x072defec,0x5400bae6,
    0xb01efffd,0x55555559,0x2cfec980,0x2aaaafe0,0x3667baaa,0x8803effe,
    0x0e3dfeca,0xcefeca88,0x677dc071,0xbdf95fdb,0x4000fd54,0xef99fee9,
    0x800fecbc,0x3ff202fb,0x7dfdd05e,0x04da9800,0x2a0fbf88,0x54198000,
    0xdfda9cef,0xfbfd911f,0x239f5005,0x03d83fda,0x7359f900,0x801f03fb,
    0x5359fd6a,0x3e601dfb,0xaefda9bd,0xacee880f,0x81fdfdb9,0xded881ec,
    0x00007e04,0x3ae07f9f,0x2017dc00,0x01f8806a,0x32013200,0x000541f5,
    0x207f10cc,0x15b71ff8,0x03f500ba,0x007b07e6,0x3ee01db0,0xf9ec0040,
    0xd109d101,0x207fd405,0x3f6205e8,0x36007d41,0x0007e04f,0x6b805ff0,
    0x7400e4c0,0x0002dc02,0x21f30132,0x20002a0f,0xf501ee19,0x36017403,
    0x0f62f404,0xa801d700,0xf8fc000e,0xe883ee00,0x220fc803,0x41f8805e,
    0x04f8803d,0xbf00007e,0x00007a00,0x007e0354,0x3e809900,0x8000a83e,
    0x3a00f619,0x0700ba00,0x003d8d50,0x27400be2,0x4400d500,0x4401aa1f,
    0x4003aa0f,0x9d001f83,0x7b730fc0,0x2007f005,0x3a00003c,0x2600b702,
    0x81320acc,0x01507c6a,0x02643300,0x00017400,0x2a2f6354,0x06b80bcc,
    0x4c801a60,0x2d83e200,0x00990200,0x99003c40,0x67744fc0,0x3e00eedb,
    0xa98b7001,0xd7000aaa,0xdf5007e0,0x1329fb79,0x1507c2e8,0x7cc33000,
    0x01740002,0x3f626c00,0x43ffddff,0x007c003c,0x16e001f8,0x0f40001f,
    0x4007e000,0x0fafe04e,0x03f807e4,0xeeed8990,0x70ba002f,0x882fa80d,
    0x0b704cdd,0x4000541f,0x0defd419,0x00017400,0x106ea1ae,0x001745f7,
    0x01e6007a,0x0f10fec4,0x0003c400,0x27c401ec,0x6c807ff0,0x0ba00bf0,
    0x35c005d0,0x01f980be,0x0fc427f4,0x0001507c,0x3fb6a033,0x02e801ce,
    0x0007ee00,0x000fc3ea,0x013200f6,0x7881bf93,0x001e2000,0xfb003e60,
    0x44037c09,0x402ff82e,0x002e806b,0x6406b974,0xd84f9804,0x00541f04,
    0x54400cc0,0x017402fc,0x0001fa80,0x2000f4ba,0x402e802d,0x00f101dd,
    0x55303c40,0xfc815555,0x04ded882,0x426400fe,0x3f903fcf,0xb8005d00,
    0x01e805d6,0x00f989d0,0x4000541f,0x0fd40019,0xf70005d0,0xb3d80003,
    0x400e8007,0x203d8079,0x3e0000f8,0xfdddd900,0x99df703d,0xf8132bfb,
    0x3f0b7002,0xddb9bdd3,0x000ba003,0x0f101b7a,0x273a26c0,0x0af99999,
    0x03300015,0x17409900,0x0007ee00,0x00264f60,0x00b700f1,0x002f8035,
    0x1f8007a0,0x82b32a20,0x400be04c,0x2e61f84b,0x174002bc,0x4017dc00,
    0xf89b000f,0xffffffff,0x3000156f,0x2dc01263,0x7e4005d0,0x25d00001,
    0x0b9000f9,0x200005d0,0x0f60005c,0x20001f80,0x400fe04c,0x0001f83d,
    0x2a000ba0,0x2003b006,0x507c004e,0x2a330001,0x204e801f,0x03f9002e,
    0xd83e6000,0x401f8804,0x100000f8,0x98aa005f,0x003f000f,0x1ff02640,
    0x1f81f880,0x00ba0000,0x2dc00ba0,0x20027d40,0x20002a0f,0xa80bf519,
    0x200ba02f,0x2e8800ec,0x0fe226c0,0x5a803e88,0x400bc980,0x0fdc01fa,
    0x07e003b2,0x3e04c800,0xf826c05f,0x0ba00001,0x4400d500,0x13fe202e,
    0x00541f00,0xcefa8cc0,0x7404ea80,0x20076c02,0xd3077ee2,0x81bf301d,
    0x07b004e9,0x805fff88,0x76cc0cfa,0x1017f901,0x640003f9,0xdd9f9884,
    0x3f0374c0,0x01740000,0xf1000ba0,0x3b95f509,0x57ccc401,0x33000150,
    0x7777e566,0x999982ff,0x2e0999be,0x9999999e,0x7fec47a9,0x6c404ffe,
    0x003dfeef,0x3ffe003e,0xdffd3005,0xe9801bff,0x1cffeeff,0x7f76c400,
    0x3fff34ef,0x0fffbbf2,0x3bbbfb62,0x26662003,0x09999be9,0xbdfdddd7,
    0x77ec4005,0xdff92efe,0xb7ffff40,0xaaaaaaba,0x1baaaaaa,0x01355310,
    0xfffffff9,0x3ff21fff,0xffffffff,0x0026a207,0x0000a988,0x000aa200,
    0x20006a62,0x0009aa98,0x55555510,0x806a6005,0x2aaaaaa8,0xfffff100,
    0x2bffffff,0xaaaaaaa9,0x01530001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6dcc0000,
    0x055510ac,0x00000150,0x950005c0,0xcca89999,0x02a20ccc,0x32e6002a,
    0xc88022bd,0xcccccccc,0x0013bae3,0x03ddddb0,0x000f7744,0xccdec980,
    0x99500001,0xccb87999,0x33332a4c,0xcccccccc,0x9999950c,0x59999999,
    0xecbdfc80,0x01eef99f,0x64400174,0x1f800bef,0x337f2a00,0x5f7664c3,
    0x9f70fee0,0xeccdfc80,0x2e206bef,0xccdfcccc,0x001b2a23,0x05d55530,
    0x0002faa8,0x65d677c4,0x3ffc883c,0x3f72605c,0x77e5c2cc,0x333f7263,
    0xfccccccc,0x999fb931,0x09d99999,0x67d40f6c,0x000ba007,0x0db339f5,
    0x1f0003f0,0x3b307900,0x37a02d98,0x007fc880,0x035402d8,0x400ba000,
    0x2640002e,0x36a7b200,0xd500eecf,0xd502f440,0x0d507e00,0x03ea0990,
    0x3a007f98,0x6416c002,0x4000fc02,0x003c800f,0x3a017200,0x402d8007,
    0x7400006a,0x0005d002,0x020007c4,0x0d500f26,0x0d5013a2,0x00d507e0,
    0x200ba099,0x00ba007c,0x54c00798,0xaaaaacfa,0x9001f00a,0x3e200007,
    0x80069801,0x0035402d,0x7400ba00,0x01e60002,0x0d500000,0x0d5007f3,
    0x00d503e0,0x2003e097,0x00ba007a,0x764005a8,0xeeeeeefe,0x9001f02e,
    0x2aaaa607,0x0001a600,0x6a805b00,0x0006f72a,0x217400ba,0x5442aaa9,
    0xaaaaafca,0x2ea2a982,0x235401bd,0x0d5002fa,0x30d50103,0x00788088,
    0x017400f3,0x7c000f30,0x800f8001,0xfdddb03c,0x0002dc05,0xd500b600,
    0x7fd7bfd1,0xd002e800,0x1eeffd85,0x3bbfbbae,0x76c1eeee,0xfebded8e,
    0x2fa9aa04,0x0ba1aa00,0x00ba1aa0,0x43d4007c,0xefeeeeec,0xf01eeeee,
    0x007e0003,0x0f2003e0,0x0b701740,0x02d80000,0x7cc1ffd4,0x400ba002,
    0x401fd42e,0x77d40079,0xd502f984,0xd50013ee,0x005d3333,0x5d3333d5,
    0x3600fa00,0xaaaaa987,0x42aaaacf,0x199ce999,0x20007e00,0x003c800f,
    0x0034c05d,0x500b6000,0x002e407f,0xb8ba005d,0x00f3002f,0x17204fa8,
    0x77df6754,0xffff5001,0xff5005ff,0x2005ffff,0x1fea00fa,0x7c402e80,
    0x0fffffff,0xf0003f00,0x20079001,0x007e202e,0x0b600220,0x07980d50,
    0x97400ba0,0x1e6001ec,0x7980d500,0x3621df50,0xe86a800f,0x2e86a802,
    0x2a07b600,0x0ba007bf,0x2000d300,0x00f8001f,0x05d003c8,0x74c00eb8,
    0x05b00973,0x03cc06a8,0x2ba005d0,0x3cc000ed,0xf301aa00,0x1ae03ea0,
    0x00761aa0,0x0007a1aa,0x3fd99bf7,0x017400f3,0x7c001e60,0x801f8001,
    0x005d003d,0xbf9105fb,0x016c0264,0x00f301aa,0xdfe80174,0x03cc001f,
    0x0f301aa0,0x403e81aa,0x1aa0006a,0x65c40140,0x400f309b,0x0354002e,
    0xd8001f80,0xd002f802,0x3bfee005,0x2641dffe,0x1aa01740,0x17400f30,
    0x03f54e80,0x2a003cc0,0x6a83cc06,0x6a803e60,0x401aa000,0x1e60001f,
    0x5c002e80,0x003f0005,0x0f980970,0x98005d00,0x099009bd,0x35400f98,
    0x2e801e60,0x0fd45d00,0x54007980,0x6a83cc06,0x0d501f40,0xf8035400,
    0x016a0001,0x1f4001e8,0x0026c060,0x09b00fc4,0x64001740,0xb0075c03,
    0x980d500b,0x400ba007,0x400fd42e,0x03540079,0x203541e6,0x001aa06a,
    0x03f006a8,0x0001f400,0xf880f500,0xc982fb80,0x442fa81f,0x0ba000ee,
    0x9012e600,0x07e4417f,0x1e603540,0x5d002e80,0x79803f70,0x26035400,
    0x099eb987,0xeb9835f0,0x73001999,0x3333333d,0x10003f33,0x333101db,
    0x33333333,0x3339d503,0x40b93333,0xdffeefeb,0x3fbfaa01,0x266200df,
    0x9999be99,0x09537700,0xbfddfd50,0x13d73001,0x8813f510,0x99be9999,
    0x0ba62099,0x98867f22,0x99999fa9,0x809eb980,0xff909fa8,0x3f20bfff,
    0xfffff94f,0xffc809ff,0xffffffff,0x76401fff,0xd00dfeee,0xffffffff,
    0x7d43ffff,0xffffffff,0xaa8800cf,0x05544001,0x3ffffe60,0x05ffffff,
    0x40017971,0xf5000aa8,0xff98dfff,0x3ffe67ff,0xffffffff,0x905fff15,
    0x3f67ffff,0xffffffff,0x37fffcc6,0x0027fff4,0x00000000,0x55554000,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xc81ccccc,0x2203cccc,
    0x33332a01,0xcccca80c,0x1999930c,0x54799950,0xcccccccc,0x999930cc,
    0x65407999,0x0acccccc,0x03333260,0x2a0f332a,0xaccccccc,0x99993000,
    0x99999999,0x666664c5,0x3263cccc,0xcca80ccc,0x0733223c,0x970f32e0,
    0x664c1999,0x3332a1cc,0x01bccccc,0x33f22054,0xeccb81cc,0xfffd982e,
    0x66fe541f,0xdfcca80c,0x07bf930c,0xc98fbf2a,0xcccdfccc,0x333f3223,
    0x3f2603cc,0xdfdccccd,0x03dfc980,0x9307bf95,0xfb9999bf,0xfcc9801b,
    0xcccccfdd,0x3333aa4e,0x266dcccc,0xca80bdfc,0x3bf223df,0x1ef7cc06,
    0x982f3f6a,0x3260cfdc,0xecccccfd,0x2ffe80df,0x790007c4,0x015433a0,
    0x03e2009b,0x03ea0364,0x07c00ba0,0xf900fc00,0xd701ae01,0x7e403f00,
    0x0f378800,0x7405a932,0x35c06b84,0x6403f5d0,0x80d503dc,0x981aa079,
    0x37ffd45d,0x07b0007c,0x069800f3,0x04e80d70,0x0ba003f3,0x0cccd7c0,
    0x17200fc0,0x03f104e8,0x05c803f0,0x320f35b8,0x06c816a4,0x00fc4136,
    0x3e20b95d,0x80d503d9,0x101aa079,0x27ffc45f,0x217ea0f4,0x8005b82e,
    0x402e802e,0x01f442f8,0x3fe005d0,0x01dfffff,0x02f8803f,0x009b03f1,
    0x05f1007e,0x320f33d8,0x07cc16a4,0x09b03f10,0xb80f8ae8,0x01aa07b5,
    0x403540f3,0xd815c43d,0x0fc3f642,0x2dc003cc,0x2a003e60,0xd001760f,
    0x5103e005,0x003f07fb,0x2a35c0d5,0x2007e006,0x798fc06a,0x441cc330,
    0x546b803e,0x4d97400e,0x2a07b2e8,0xd503cc06,0xd8005d00,0x3e0f5743,
    0x88007b00,0x8013200f,0x000eb8eb,0x00f80174,0x003f07ea,0xf13e80f1,
    0x400fc003,0x799a6078,0x0bb0006e,0x02f8a740,0x6a8f32e8,0x203540f6,
    0x901aa079,0x4499000f,0x81e24c8f,0x1ec000fa,0xdd8003f0,0x02e8001f,
    0x44e801f0,0x401f001f,0x8804d9f9,0x1999af99,0x992e01f0,0x2003e99f,
    0x3e2000fa,0x45d004d9,0x03d8f62e,0x333333d5,0x4f540f53,0x0edba999,
    0x56e5b800,0x7dc1a66a,0xa8054c5e,0x3000d506,0x0ba0009f,0x16e007c0,
    0x207e003f,0x99ffd998,0x3ffffa01,0x1f80ffff,0x7ffcc5d0,0x05f1003f,
    0x001ff700,0x1f36a8ba,0xfffa81ec,0x07ffffff,0x3fffffea,0xd50005ff,
    0x16a1f1ec,0xd8be2372,0x3607e02e,0x1fdd8003,0xf002e800,0x0fc4c801,
    0x76c41f80,0x3eeeefee,0x3f001f80,0xb3cc1f10,0x0013a005,0x0ba003e8,
    0x03d8993d,0x207980d5,0x5d93106a,0x4f301a88,0x42dcf61f,0x3e23aa1f,
    0x3e226401,0xfbb64000,0x80174000,0xf0be200f,0x200f1003,0x01f8002e,
    0xddf50788,0x4004cfdd,0x1740006b,0xfeb85d00,0x06a81ec1,0x00d503cc,
    0x1fffc1f5,0xadc79bc4,0x66c34c4c,0x5c79806b,0xb07d4005,0x002e800b,
    0x217e601f,0x005a801f,0x03f0005d,0x2b720b50,0x4c007caa,0xd007901f,
    0x22174005,0xd503d85f,0x1aa07980,0xfffa9ec0,0x98b91f06,0x40f987b7,
    0x5d002ef8,0x5f100174,0x174009d0,0xdccccf80,0x003f03ff,0xdddd109b,
    0x007ddddf,0x207b003f,0x1903cc1e,0x00f203e8,0x02e800ba,0x03540f60,
    0x006a81e6,0x0fffe2b7,0x4fc174f4,0x641fc42e,0x3cd6e007,0x7c413a00,
    0x2005d002,0x0abccccf,0x1d7007e0,0x2000ba00,0x4075c01f,0x3e079879,
    0x07901721,0x174005d0,0x1aa07b00,0x03540f30,0xb00d43c8,0x3d9901f7,
    0x77d45d70,0xc8f8801c,0x501b2004,0x005d001f,0x07e0003e,0x3a001fa8,
    0x201f8002,0x30b700fa,0x0fa8fc0f,0x17401e40,0x6c005d00,0x7980d503,
    0x3ea01aa0,0x83764001,0xdf700fea,0x05ff33fd,0x1003f990,0x262035f7,
    0x4cccc1ed,0x4c0999be,0x00999af9,0x4cccd7cc,0x98801feb,0x88019be9,
    0xb9999af9,0x19b301fe,0x4cccfd4c,0x337f1f99,0x7b333333,0x26fa6660,
    0x26fa6009,0x03366600,0x53013d73,0x9eb9813f,0xfca99999,0x04fc8002,
    0xaa880ff1,0x0df30000,0x0bffff60,0x647ffffa,0xffffffff,0xffff30ff,
    0x7e40dfff,0xadffffff,0xffff8800,0x7e403fff,0xadffffff,0x2bfff900,
    0xfffffffb,0xffff1fff,0x7fffffff,0xffffff90,0xfff701ff,0xfff903ff,
    0x3ffea1ff,0x3ffee0ff,0x3ffff27f,0x1cefffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999900,0x66640199,0xcccccccc,0x999951cc,0x80159999,0x9303ccc8,
    0x99019999,0x20079999,0xccccccc8,0x001b81bc,0x20140000,0x4c00000b,
    0xb9800003,0x88022bdc,0x800acdca,0x403cdca8,0x2600aaa9,0xb7300aaa,
    0xccb82179,0x200bccee,0xdfccccdf,0x932ecccc,0xfb9999fb,0x7e64407f,
    0xeecc981f,0xfcccb80c,0xcc8800fd,0xffcccccf,0x0037ee0d,0x2f36ea00,
    0x05d01760,0x0ff62000,0x32004f88,0xbefeccdf,0xd9dff506,0x3fa605ff,
    0x80ffdbde,0x103eefe8,0xfa87dfdd,0x6dffdbdf,0x0fc00970,0x2a16c174,
    0x2013aa06,0x026406df,0x003d8f88,0x45ea807c,0x8000cfd8,0xffdbdee9,
    0x02e806dc,0x067e4400,0x74017e60,0x87fc880d,0x7dc40bfb,0x99009883,
    0x1f001ec0,0xdf303f88,0x1f8012e0,0x542d82e8,0x200fd406,0x13203e9f,
    0x006aadc0,0x07f1007c,0x4c007fb3,0x01ff504f,0x5c0005d0,0x002001df,
    0x23f402e4,0x0fd403f9,0x5c03e200,0x43cc0985,0xb835406a,0x3a07e004,
    0x03542d82,0x2a7e01f4,0x2009900f,0xf8007e2e,0xd502ec00,0x03e8805d,
    0x3a013bb6,0x2eea8002,0x3f100000,0x06d8d300,0x5d000bd0,0x8bf31e60,
    0x402f885b,0x7c009700,0x42d82e81,0x402e806a,0x13209b1f,0x00991e60,
    0x016e007c,0x2e4077ee,0x01f31db0,0x3a6002e8,0x4000003f,0x07e00069,
    0xba983cc0,0x202e9acc,0x791fae0f,0x06af7ee0,0x050025c0,0xd50260ba,
    0x1f807a80,0x009903f1,0x20079899,0x801ec00f,0x1740cfc8,0x00ba0ed8,
    0x9fb1005d,0x70000001,0x3fe2000b,0xffffffff,0x3f620fff,0x2ffdccde,
    0x2eae8ba0,0xecb9807a,0x12e01dff,0x400ba000,0x05f9106a,0x642e43f0,
    0x2e81f804,0x7dc01f00,0x1ff44000,0xc81db01f,0xffffffb4,0x23ffffff,
    0x6c000efb,0xffffffff,0x0b71ffff,0x4ccd7c00,0x19999999,0x2e8037e2,
    0x5bbcd320,0x544001f1,0x009703fc,0x2a005d00,0xcfedcccf,0x2e83f000,
    0x41a60264,0x881f005b,0x44002fda,0x320fc3fd,0x3313d80e,0x3337d333,
    0x00dfb833,0x26666620,0x21999999,0x0fa00069,0x74036400,0x8addaa02,
    0x2000698f,0x004b80fa,0xf5002e80,0x00bf9999,0x907d41f8,0xf104c809,
    0xfffff001,0x440019ff,0x22d80cfc,0x805d00ec,0x9f91002e,0x88000001,
    0x0d70001f,0x3a00ba00,0xd175e202,0x003e0975,0x1012e0fa,0x5002e807,
    0x400bd30d,0x1324d81f,0xddddddf0,0x35f007fd,0xf7000133,0xecb5c03b,
    0xe801f500,0x1fecc002,0x3ae00000,0x361f4c00,0x02645005,0xbf805fd1,
    0xf81eedc7,0x5c0fcc03,0x3a035404,0x220d5002,0x303f005d,0xea81321f,
    0xbaaaaaaa,0x0000f806,0x7400bbaa,0x05f100fe,0x2a0005d0,0x000002ee,
    0x3f220bf6,0x881ee885,0x10be26fb,0x0137dbf5,0x3ff113f6,0x26033fe0,
    0xa809705e,0xa8017406,0x200fa206,0x132b901f,0x01e802d8,0x74c0007c,
    0x77e4003f,0x8027dc0b,0x7dc0002e,0x02d8801e,0x3fbbfee0,0x7fdc01df,
    0xb82effee,0xd1effeff,0x0bee09ff,0xfd9e81f6,0x204ffeef,0x2035404b,
    0x80d5002e,0x80fc00f9,0xf104caf8,0xf8099001,0x33f62000,0x64fdc000,
    0x01efeeff,0x20000ba0,0x2600dfc8,0xaa98005f,0x554c0009,0x09aa8801,
    0x20000000,0x4009aa98,0x2035404b,0x00d5002e,0x201f80b9,0x0b704cea,
    0x0f803e20,0x00033a00,0xaa9887e6,0x001d8000,0x501b6200,0x00000001,
    0x00000000,0x22000000,0x9999dc99,0x4c46b999,0x0099be99,0x20133d73,
    0xaf980bf8,0x309fd009,0x2620137d,0x7ccc0be9,0x0000999a,0x00000200,
    0x00000000,0x00000000,0x00000000,0x3e200000,0xffffffff,0x7e46ffff,
    0x0fffffff,0x2fffffe4,0x7e41ff50,0xf980ffff,0x7ffffe44,0xfffffc80,
    0xffffff30,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2b36ea00,0x0bcb8800,0x2a205e54,0x0555302a,
    0x50355553,0x54415555,0x055cc0aa,0xbdba8aa6,0x04c00a01,0x060c0220,
    0x55440044,0x2e22cb88,0x2aaa601c,0x442aaa81,0xaaaaaaaa,0x0000042a,
    0x00580020,0x81998803,0xfecbded8,0x3af7f603,0x1df9fb1f,0x7443775c,
    0xefee87ee,0x7ff74c4e,0x47fbb23e,0x21fddfd8,0xbded8eed,0x44bd04fe,
    0x980be61b,0xf10fb82f,0xb803f509,0xcfcdfcfe,0x904fcee8,0xee98bdff,
    0x3bbea1ef,0x47feeeee,0x227d102f,0x36e01fdb,0x03c404dc,0x01bb9f91,
    0x4f98dffd,0x02a09d30,0x2ec1d9d7,0x81e2034c,0x402e802e,0x2a0cfa9e,
    0x4c277d44,0xfdde882f,0x203fcffd,0x42fc84f9,0x02fc84fa,0x3fe63fe8,
    0x7d403e24,0x1aa17602,0x17cc2f98,0xd8a997a2,0x03b89701,0x542881e2,
    0x20fffc44,0x017c403e,0x7cc2ff88,0x1e2034c1,0x035406b8,0xa8017ef4,
    0x4c17204f,0x817aa0cf,0x03fc85fa,0x05fb0bf5,0xd85e84e8,0xd10be602,
    0x7cc1aa0b,0x3a25f302,0x40c07605,0x47882268,0xf51a6008,0x5006b8bf,
    0xe83f400f,0x1e2034c4,0x01ec03f0,0xd5000ff4,0x0d707980,0x077dc1ea,
    0xbf7013f6,0x3a03fd81,0x03d82d81,0x05e897cc,0x201f4404,0x6c05ebfa,
    0xfe932001,0xfda8f9ad,0x6c2ea985,0x001e41ff,0x5995101f,0xd316e07d,
    0x2dc07880,0x2e800f98,0x26035400,0x17405d07,0xfd883bee,0x41df9005,
    0x03d04fe8,0x3007b05b,0x10009d7f,0x1bea009d,0x2e400760,0x77fff5cc,
    0x0eec881b,0x01742ffc,0x7ff4c5d0,0xfffffecd,0x034c6fff,0x01f101e2,
    0x007a0099,0x07980d50,0xf91ec01f,0x02ff441f,0xf883bf60,0x2d81e84f,
    0xdf5003d8,0x40176000,0x6c02fee8,0xd804d801,0x99aa005f,0x002e80ff,
    0x40dfd47a,0x999999ce,0x1e2034c1,0x03f11320,0xd50007a0,0x07b07980,
    0x2ff987e2,0x88007fe4,0x17fd44fe,0x6c16c0f4,0x3ece8803,0x88036400,
    0x6c05f35e,0x200ba201,0x2002f9fb,0x3209f71e,0x361f1004,0x98013a04,
    0x4c03c406,0xe8016e0f,0x20354001,0x2e0d5079,0x5c2ff986,0x7f4400ef,
    0xe80ffcc4,0x03d82d81,0x04e8a744,0xd1001d90,0x3b02fa8b,0x30107a60,
    0x0103ea3f,0xa80764d1,0x326c800f,0x9801ba04,0xd803cc07,0x1e800ba3,
    0x26035400,0x317df507,0x3fa20bfb,0x36037d41,0x00ffcc3f,0x7b05b03d,
    0x3a21fcc0,0xb807dc04,0x97d417a0,0x24cdfcca,0x7ccccdf8,0x2e3644e8,
    0x221dcace,0x2602ec00,0x7e41aa0f,0x1e82882f,0x2a00ff50,0x1e800d56,
    0x26035400,0xfebbf987,0xd105eacf,0xb05fa81f,0x00ee885f,0x6c16c0f4,
    0x2207f303,0x403f504e,0x23300e1e,0x41999998,0x81999999,0x15310703,
    0x07ba2000,0x91760bf2,0x7dc5fbff,0x3260db84,0xe8009fcf,0x999803db,
    0x019999be,0x51013d73,0x021fc13f,0x3ba205d1,0x3f227cc0,0x20077442,
    0x05ec0be9,0x39f50336,0x41bf3301,0x99999bf9,0x00001e99,0x00000000,
    0xeffb8000,0x3f601efe,0xfb9d8efe,0xfb102efe,0xff11bffd,0x01ff7009,
    0xffffffa8,0x7cc1ffff,0xffe86fff,0x8000024f,0xd10e983d,0xb801b503,
    0x7fec7fff,0x7d43ff60,0x7fcc5fff,0x3fff26ff,0x1fffffff,0x00000000,
    0x00000000,0x44002aa6,0x0035101a,0x000026a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,
    0x4b3322cc,0xfffffffb,0x3fffffff,0x400b2ea2,0x07ddd100,0x80000571,
    0x88888888,0x03008888,0x00a982cc,0x20d403b8,0x22221dfb,0x08888888,
    0x98854054,0x99999999,0x41999999,0x99999999,0x99999999,0x00000009,
    0x3e000000,0x4fffe2ff,0x99999998,0x3e999999,0x03f6f3be,0x205f7ecc,
    0x3ba63fff,0x1d804fdb,0x3ffffea0,0xffffffff,0x3f980c86,0x881eefd8,
    0x3fe0bd11,0x2bfff33f,0xfffffffa,0xbf56ffff,0xfffb6f98,0xffffffff,
    0x265fffff,0xfffffffe,0xffffffff,0x0000004f,0x3e000000,0x0bffa1ff,
    0xb807b000,0xfcbef984,0x5d17ff45,0x3f202e88,0x2222200f,0x88888888,
    0x2fa85900,0x88bee5d8,0xa837a23e,0xfff36fff,0x3333326b,0x13cccccc,
    0x0005b05b,0x00000000,0x00000000,0x83ff6000,0x40001ffd,0x65e5443d,
    0x07d46d85,0x416a1ffb,0xd91f505a,0x73000000,0x16207ee9,0x417af3e6,
    0x71fffc6d,0x0000019d,0x00000000,0x00000000,0x20000000,0x07fdc7fc,
    0x744f6000,0x445eccdf,0x3f23f83f,0x40f80f67,0x0013a1f9,0xa54dd400,
    0xdc880009,0x00d41401,0x00000000,0x00000000,0x00000000,0x37dc0000,
    0x20001fea,0x0b50993d,0x2e2f889d,0x2d416a6f,0x87f10fa2,0xeeeeeeea,
    0x25eeeeee,0x0000bcb8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98bf5000,0x3d80006f,0xb85e985d,0xfa8fb12f,0x0ba21745,0x887e60bb,
    0xaaaaaaaa,0x001aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x00027c43,0xdbcfa96c,0x3620dfde,0x7c42ffff,0x7edf7544,
    0xf70075c4,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40600000,0x88000009,0x205511bb,0x406e02b8,0x001302b9,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_33_latin1_x[224]={ 0,6,3,2,3,2,3,6,8,4,0,2,4,2,
6,3,3,3,2,2,3,2,3,3,3,3,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,2,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
8,2,4,0,0,0,0,2,0,-1,4,2,4,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_33_latin1_y[224]={ 24,5,6,4,4,5,8,6,6,6,6,8,19,14,
20,4,5,5,5,5,6,6,5,6,5,5,11,11,8,12,8,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,4,6,5,30,5,11,6,11,6,11,6,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,6,6,6,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,9,7,
6,6,6,6,5,11,15,14,6,3,2,6,5,5,5,11,6,13,23,5,5,11,5,5,5,11,1,1,1,3,
2,1,7,6,1,1,1,2,1,1,1,2,7,3,1,1,1,3,2,10,6,1,1,1,2,1,7,6,5,5,
5,6,6,4,11,11,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_33_latin1_w[224]={ 0,5,11,13,12,13,12,5,6,6,11,14,7,13,
5,12,12,12,12,13,11,13,12,11,12,12,5,7,14,16,14,11,11,18,15,15,15,15,15,16,16,12,16,16,
15,18,17,15,14,16,17,13,14,16,18,17,16,16,12,5,11,5,12,18,6,14,16,14,16,15,13,16,16,13,
10,15,13,18,15,14,16,16,14,13,14,15,17,17,16,15,12,6,2,6,13,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,11,15,13,16,
2,14,9,18,10,15,16,13,18,19,9,14,9,8,6,15,14,5,5,8,10,16,18,18,18,11,18,18,18,18,
18,18,18,15,15,15,15,15,12,12,12,12,17,17,15,15,15,15,15,11,16,16,16,16,16,16,14,14,14,14,
14,14,14,14,17,14,15,15,15,15,13,13,13,13,15,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
 };
static unsigned short stb__courier_33_latin1_h[224]={ 0,20,9,22,23,20,17,9,22,22,11,16,10,3,
5,23,20,19,19,20,18,19,20,19,20,20,14,17,16,7,16,19,21,17,17,19,17,17,17,19,17,17,18,17,
17,17,17,19,17,22,17,19,17,18,17,17,17,17,17,22,23,22,9,2,5,14,19,14,19,14,18,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,13,14,13,19,13,22,22,22,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,19,20,18,13,17,
22,20,3,19,9,13,9,3,19,2,9,18,11,11,5,19,20,4,6,11,9,13,19,19,19,19,23,23,23,21,
22,23,17,23,23,23,23,22,23,23,23,22,17,21,24,24,24,22,23,11,20,24,24,24,23,23,17,19,20,20,
20,19,19,21,14,18,20,20,20,19,19,19,19,18,19,18,20,20,20,19,19,15,16,20,20,20,19,25,24,24,
 };
static unsigned short stb__courier_33_latin1_s[224]={ 246,248,50,182,135,77,19,100,246,196,226,
133,247,193,181,233,176,32,45,221,243,58,91,88,165,104,248,246,148,130,102,
100,118,68,232,112,96,237,221,128,215,68,110,204,1,196,50,72,87,36,32,
18,17,64,32,1,51,179,166,225,59,219,117,217,174,209,162,178,226,193,174,
1,127,196,1,158,144,146,83,1,179,145,68,242,49,34,50,224,165,210,182,
231,245,238,160,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,246,248,178,
33,99,112,253,206,207,227,79,113,62,193,165,236,90,18,216,238,153,54,190,
187,147,207,106,129,70,35,1,220,40,214,160,99,1,195,147,179,119,71,103,
20,1,14,27,53,129,81,110,94,78,203,87,195,189,126,61,143,165,148,81,
198,146,62,161,150,135,66,16,95,235,46,130,119,89,213,184,81,232,188,1,
16,31,205,20,163,117,133,149,117,103,12,44,28, };
static unsigned short stb__courier_33_latin1_t[224]={ 24,27,205,27,27,74,155,205,1,27,191,
173,191,205,205,1,51,115,115,51,115,115,74,115,74,74,155,95,173,205,173,
115,51,173,155,115,155,135,135,115,155,155,135,135,173,155,173,115,173,51,173,
115,173,135,155,155,155,155,155,27,27,27,205,205,205,173,115,173,115,173,135,
135,135,115,1,135,135,191,191,191,115,115,191,173,135,191,191,173,191,115,191,
27,27,27,205,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,
115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,24,74,74,
135,191,155,1,51,205,95,205,191,205,205,95,205,205,135,191,191,205,95,74,
205,205,191,205,191,95,95,95,74,27,1,1,51,51,1,155,1,27,27,27,
51,27,27,27,51,155,51,1,1,1,27,27,191,51,1,1,1,27,27,155,
95,51,74,51,95,95,51,191,135,51,74,51,95,95,95,95,135,74,135,74,
74,74,74,95,173,173,74,74,74,95,1,1,1, };
static unsigned short stb__courier_33_latin1_a[224]={ 280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_33_latin1_BITMAP_HEIGHT or STB_FONT_courier_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_33_latin1(stb_fontchar font[STB_FONT_courier_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_33_latin1_BITMAP_HEIGHT][STB_FONT_courier_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_33_latin1_s[i] + stb__courier_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_33_latin1_t[i] + stb__courier_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_33_latin1_x[i];
            font[i].y0 = stb__courier_33_latin1_y[i];
            font[i].x1 = stb__courier_33_latin1_x[i] + stb__courier_33_latin1_w[i];
            font[i].y1 = stb__courier_33_latin1_y[i] + stb__courier_33_latin1_h[i];
            font[i].advance_int = (stb__courier_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_33_latin1_s[i] + stb__courier_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_33_latin1_t[i] + stb__courier_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_33_latin1_x[i] + stb__courier_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_33_latin1_y[i] + stb__courier_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_33_latin1_LINE_SPACING
#endif

