// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_35_latin1_BITMAP_HEIGHT        244
#define STB_FONT_courier_35_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_35_latin1_FIRST_CHAR            32
#define STB_FONT_courier_35_latin1_NUM_CHARS            224

#define STB_FONT_courier_35_latin1_LINE_SPACING          16

static unsigned int stb__courier_35_latin1_pixels[]={
    0x00000000,0x00000000,0x0012e000,0x0fffe200,0x440d4000,0x01cc000b,
    0x00000400,0x00000000,0x00000000,0x7000001b,0x07d4000d,0x00017200,
    0x6c001b20,0x00fc400f,0x0007d550,0xfd81ff10,0x37fee003,0xded98000,
    0x36e60001,0x100e2def,0x6400005f,0x00f4c005,0x00002ec0,0x5c0007f2,
    0xee88003f,0x3fb00000,0x003f6000,0x7b000bee,0x21360000,0xfd8801ea,
    0x4001fd8a,0x2000b10d,0xfca9bdfd,0x7dc00f9d,0x1fd80003,0x002fc800,
    0x400007cc,0x90001ed8,0x6c40005f,0x3a20001e,0x3b20000e,0x009f5000,
    0x000001ec,0x40ee8800,0x8b1002fb,0x06ec000d,0x800ffc88,0xd10004fa,
    0x7dc0001d,0x0026c003,0x0003ba20,0x80000f6c,0xe88001fc,0x0000000d,
    0x7b004f98,0x00000000,0x001980e2,0x2002c43a,0x01fd006c,0x10013e60,
    0x500001bd,0x07d4007f,0x0000e000,0xa8000015,0x00070000,0x02880000,
    0x0aa887b0,0x00000000,0x37b66000,0x007e6001,0x510007d4,0x00038800,
    0x3a0014c0,0x00000003,0x00000000,0x00000000,0x5cf60000,0x83efeeff,
    0x981ffffc,0x9104ffff,0x00037dfb,0x02dc0004,0x000000e0,0x00000000,
    0x000007a8,0x39999950,0x0cccccb8,0x83999995,0x00cccccb,0x037dfb91,
    0x7fffffc4,0xb9102fff,0x360037df,0x4fa82fcb,0x300cfdc4,0xbf5017f3,
    0x00df9537,0x39999997,0x0001ec00,0x99999995,0x43999999,0xccccccca,
    0x01cccccc,0x39999997,0xc807d000,0xf981ffff,0xbf954fff,0xfccb8399,
    0x9bf950cd,0xdfccb839,0x9bdfa80c,0x26206fca,0x2e999999,0xca9bdfa8,
    0x0efd806f,0x0fa13e20,0x17dc1ae0,0x65405e88,0x005dfdcc,0xc980007e,
    0xccccccfc,0x3263eccc,0xccccccfc,0x9503eccc,0x00bbfb99,0xfb880d70,
    0x2fe66019,0x2e801f40,0x0ba007d0,0x5e8817dc,0xfb85d000,0xd80bd102,
    0x40f9801f,0x982f807a,0x003d801f,0x2003e732,0x880000f8,0x883d800f,
    0x003d800f,0x0001f399,0x007d005f,0x400fa0d7,0x2007d02e,0x801f982e,
    0x22e8003d,0x03d801f9,0x82e801b6,0x741ae03e,0x005f3004,0x4401f47e,
    0xf880000f,0xf883d800,0xf003d800,0x2e000fa3,0xf807a806,0x3a007d02,
    0x3a007d02,0xf3004e82,0x3a2e8005,0x205f3004,0x2132004d,0x2a0ba07a,
    0x0136000f,0xf006b9aa,0x1f100003,0x1f107b00,0xd5007b00,0x7c40035c,
    0x2e03e802,0x7400fa06,0x3a007d02,0xb0007d42,0xf52e8009,0xd826c001,
    0x74132004,0x0b906b83,0x4d806980,0x0ba007e2,0x003e2000,0x003e2026,
    0x89360026,0x05c8001f,0x80ba07a8,0x205d003e,0xc85d003e,0x0034c005,
    0x2002e4ba,0x400bb069,0x7d0d503d,0xf1000f60,0x26c1f880,0x400026c0,
    0x8034c0f8,0x0034c0f8,0x01360fc4,0x3a007e20,0x1f406b83,0x07d02e80,
    0x007b0ba0,0x97400788,0x83c4003d,0x1f9800fd,0x206a8fa0,0x01f8002e,
    0x201ea1ae,0x440000f9,0x8803d40f,0x4003d40f,0x0007a86b,0xd0d500bb,
    0xd003e807,0x7400fa05,0x7c001742,0x174ba001,0x7ec0fc00,0x5404e806,
    0x02f80fa6,0x0fa02e80,0x02ec017c,0xeef88590,0xf1007eee,0x00fddddd,
    0x00be07d0,0x3a003e60,0x0fa01aa3,0x03e81740,0x002f85d0,0x4ba002e8,
    0x82e8002f,0xe981edcd,0x7abe800e,0x7c001f40,0x3201f300,0x405e8805,
    0x5fc40fd8,0x1007caaa,0x0f95557f,0xb900f980,0x20136000,0x3a00fa6a,
    0x3a05d003,0x3e85d003,0x2000f800,0xf0007d2e,0x3bf27b01,0x2004fedd,
    0x26403eea,0xec81e200,0xfa999999,0x0aee8800,0x22037aa2,0x8803d40f,
    0x2003d40f,0x999999ec,0xf98000fa,0x07abe800,0x0ba007d0,0x42e801f4,
    0x03c4004c,0x00264ba0,0x511ec1e2,0xd0001599,0x800d700f,0x3fffe05b,
    0x03ffffff,0xfddff910,0x207c407f,0x81f10048,0x7ffc0048,0x3fffffff,
    0x5009d000,0x0f6007dd,0x03d817c0,0x006b85f0,0x4ba002dc,0x82dc006b,
    0xe800003d,0x002f8803,0x4cfcc0fe,0x6b999999,0x00ae9800,0x0b000f88,
    0x416001f1,0x999999f9,0x50006b99,0x00fd001f,0x07cc025c,0x0f9804b8,
    0x7f0017c4,0x5f12e800,0x3d81fc00,0x03d40000,0x3ae00d70,0x3e009900,
    0x000e8001,0x1f1001f1,0xf8800f88,0x3f004c80,0x200fa000,0x03e6003e,
    0x07cc0f70,0x035c1ee0,0x22000eb8,0x5c01ae1f,0x0007b00e,0x74003e80,
    0x403ea00d,0x099001f8,0x1003d700,0x81f1001f,0x0f8800f8,0x4c800fc4,
    0xa80f7000,0x205e8007,0x02f402f9,0x06f405f3,0xb8001f50,0x2a00de87,
    0x000f600f,0x4000fa80,0x3220aed8,0x801aa01f,0x21710079,0x00f8803b,
    0x07c40f88,0x1aa07c40,0x20007980,0x000fa02f,0xfa8837a2,0x20de8805,
    0x6c405fa8,0x07f220ae,0xb10bd300,0x0fe4415d,0xaaadeaa8,0x55551000,
    0x900055bd,0x039ffdff,0x02673662,0x00dfccc4,0x1006ff5c,0x33335f33,
    0x21f33333,0x999af998,0x0f999999,0x01339b31,0x006fe662,0x07d40660,
    0xeffd8800,0x362003ff,0x003ffeff,0x33ffbff2,0x2eaaaa01,0x7fe405fe,
    0xb101cffe,0x03dddddd,0x3bbbbae0,0x30000dee,0xfff90035,0x3ffa07ff,
    0x00001fff,0x3fffffee,0xffffffff,0xffffff70,0xffffffff,0x3fffff21,
    0xfffffd03,0x2aa20003,0x002adeaa,0x0004d4c0,0x00013530,0x362006a6,
    0x002ceeee,0x000006a6,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddd70000,0x001bdddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x28800126,0x5c415400,0x53017000,0x00004400,0xc9800126,
    0x09300000,0x0012e000,0xffff3440,0x401d101d,0x2b300008,0x0017c459,
    0x0005d300,0x3ee0026c,0x6a8000ef,0x903fe200,0x0bf5009f,0xfc8803ff,
    0x200aa0cf,0x4000effb,0x0001eefa,0x00077fdc,0x00003f90,0x1aacf972,
    0x3f220db0,0x500aa0cf,0x0fee1aad,0x013e6000,0x00077440,0x05fb15f9,
    0x64006a80,0x8801d985,0x400db82d,0xdcfd99ed,0x457ec02f,0x5f9002fd,
    0x64000bf2,0x002fd8af,0x0000f6c4,0x007e2f88,0x27b607f3,0x02fdcfd9,
    0xf506ab54,0x1fd40009,0x00de8800,0x7f703ba0,0xbfff9100,0x00000153,
    0x30100000,0x0ee803b9,0x3ba01fdc,0x20027d40,0x01fdc0ee,0x0000ee88,
    0x803f1ae0,0x930100fd,0x2ad5003b,0x0013e606,0x44000bee,0x2038005f,
    0x56fdc029,0x002ffdb9,0x00000000,0x26038000,0x05101c02,0x00a60380,
    0x400001c4,0xf100fc2f,0xa8000009,0x02880d56,0x20001980,0x00000028,
    0x5f501f88,0x0e666654,0x0333332e,0x0df7ee44,0x7dfb9100,0x00000003,
    0x00000000,0x6b800000,0x07ee01f8,0xccccccb8,0x1aad5001,0x00000000,
    0x3332a000,0x6665c1cc,0x9016e0cc,0x666fe543,0x66fe65c1,0xa9bdfa80,
    0xdfa806fc,0x306fca9b,0x99999999,0x332e0999,0x5001cccc,0x99999999,
    0x4c399999,0x9901cccc,0x1f400799,0x80dd00fc,0x5dfdccca,0x27aad500,
    0xcccccccc,0x999704cc,0x26003999,0xcccccccc,0x37f2a4cc,0x7e65c1cc,
    0x000fa0cd,0x02e801f4,0x17a205f7,0xbd102fb8,0xfb999930,0x2a079999,
    0x05dfdccc,0x999f9930,0x7d999999,0x80e7764c,0x5003dfcc,0x7cc07e0f,
    0x7ce64004,0x3d56a800,0x99fb9999,0x332a0799,0x3005dfdc,0x99fb9999,
    0x007d0799,0x001b60ba,0x82e801f4,0x83d801f9,0x03d801f9,0x320006a8,
    0x22000f9c,0xa83d800f,0x0036400f,0xb80fc0fa,0xe8fc003f,0x0d56a803,
    0xcc8001aa,0xd50000f9,0x7400fa00,0x001df982,0x82e801f4,0x85f3004e,
    0x05f3004e,0x3e0006a8,0x7c4007d1,0xb903d800,0x5000fcc0,0x6407e01f,
    0xb9aa002f,0x41aa1006,0x47e0006a,0x0d50003e,0x17400fa0,0x1bdffc88,
    0x2e801f40,0x9b0007d4,0x9b0007d4,0x50006a80,0xf10035cd,0x2207b001,
    0x8007d03f,0x6c07e04d,0x8936000f,0x41aa001f,0x4d50006a,0x0d50006b,
    0x17400fa0,0x0ffedcc0,0x85d003e8,0x934c005c,0x4069800b,0x49b0006a,
    0x1f1001f8,0x7d401300,0x26003640,0x7407e00f,0x83f1000f,0x41aa004d,
    0x49b0006a,0x6a8001f8,0x3a007d00,0x82fb8002,0xd85d003e,0x7b3c4003,
    0x54078800,0x41f88006,0x81f1004d,0x25d80069,0x2ec001f9,0x07ec07e0,
    0x07a86b80,0x03541aa0,0x1360fc40,0x7401aa00,0x0005d003,0x400fa16e,
    0x4001742e,0xf0005d1f,0x40035403,0x1007a86b,0x8007a81f,0x8009d3f8,
    0x80fc01f8,0x07d002fc,0x1aa100be,0x35c00354,0x354003d4,0x5d003e80,
    0xd0f30010,0x5f0ba007,0x0be5d000,0x6a80ba00,0x5f03e800,0xddddf100,
    0x3ea000fd,0x05c8006c,0x07f701f8,0x17201f30,0x2a0d56a8,0xf03e8006,
    0x006a8005,0x70ba007d,0x7d0f900b,0x07d0ba00,0x00fa1f00,0x06a803e0,
    0x5c807cc0,0xaaabf880,0x3f60007c,0x00fc4001,0x04fa80fc,0x99999ec8,
    0x2d500fa9,0x800d506a,0x00b900f9,0x07d006a8,0x05f90ba0,0x01f427c4,
    0x002642e8,0x4004c9e2,0x00354078,0x266667b2,0x7c400fa9,0x50003d40,
    0x00d9000f,0x805e807e,0xffffffff,0x2ad503ff,0xc800d506,0xa999999e,
    0x01aa000f,0x42e801f4,0x950acffc,0x400f60df,0x20035c2f,0x7001ae5b,
    0x4006a80b,0xffffffff,0x07c403ff,0x7a800122,0x8017c400,0x807ee01f,
    0x999999f9,0x2d506b99,0x800d506a,0xffffffff,0x1aa003ff,0x2f801ec0,
    0x7fff4e54,0x012e03ff,0x05f103e6,0x05f11fc0,0x1aa01fc0,0x9999f980,
    0x406b9999,0x00b000f8,0x0d7001ea,0x9f100fc0,0x1f802640,0x2a0d56a8,
    0x267e6006,0x6b999999,0x5c01aa00,0x800f9804,0x0f9800eb,0x06b83dc0,
    0x06b81d70,0x6a801d70,0x7c013200,0x2003e201,0x07a800f8,0x3f001fc0,
    0xf880fd80,0xd5099001,0x003541aa,0x007e0099,0x0f980354,0x6a803dc0,
    0xf9817a00,0xa8037a02,0x401bd00f,0x06a800fa,0x32003f10,0x2003e204,
    0x07a800f8,0x3f001ea0,0x6a83f980,0x5aa1e600,0x200d506a,0x099001f8,
    0x5e801aa0,0x5400be60,0x837a2006,0x6c405fa8,0x07f220ae,0x220aed88,
    0x0d5001fc,0x79801aa0,0x22003e20,0x007a800f,0x59f000fa,0x989b6055,
    0x310099cd,0xab5437f3,0x2a00d506,0x401e6006,0x37a2006a,0x8017ea20,
    0x7ec4006a,0x2003ffef,0x1cffeffc,0xffdff900,0x4cccc039,0x209999fb,
    0x0099cd98,0x4437f331,0x9999af99,0x00f99999,0x333f7333,0x0003ea01,
    0x101dffff,0x3ffff21b,0xffffd03f,0x9a4d263f,0x999fb999,0x27366209,
    0x7f331009,0xfb999983,0x22009999,0x03ffeffd,0x300024c0,0x26000135,
    0x2a60001a,0xffffa801,0x26ffffff,0x03fffffc,0x23fffffd,0xfffffffb,
    0x0fffffff,0xffffff98,0x003106ff,0x00000000,0xffffa800,0x26ffffff,
    0x03fffffc,0x23fffffd,0xfffffffa,0x53006fff,0x00000013,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x9802980b,0x363d7005,0x39b0ffff,0x0b882a80,0x05c41540,
    0x00044080,0x00000006,0x0000b980,0x9ba88000,0x00000000,0x22000000,
    0x7f654001,0xbf5000cd,0xf8803ff0,0x53176c03,0x1f661f75,0x7e40ff88,
    0x903fe204,0xc8f6009f,0x3dfd7004,0x3f1001c4,0x75e6c000,0x02e40001,
    0x1ffeffc8,0x1002e400,0x7c40003d,0x00bfa001,0x6dcd67ec,0x82d8802f,
    0x0fd800db,0x7c401f10,0x0b901ec0,0x85c803b3,0x47d001d9,0x8bfa804d,
    0x005fcdfc,0x4c0017e4,0xd8001625,0x21ed801f,0xfb001fc8,0x02fc8003,
    0x400bf200,0x774403fe,0x0007f500,0x40fe6000,0x207c406b,0x0000005b,
    0x362e8000,0x7b710003,0x00fee000,0x00344930,0x4c007744,0x8809b00f,
    0xf70000ee,0x1fdc0007,0x32017f40,0x001f9805,0x20dd0000,0x207c405b,
    0x0000006b,0x3a2f8000,0x00000003,0x3a0027d4,0x44002d9a,0x09d000de,
    0x1bd103d4,0x04fa8000,0xd013ea00,0x00fcc05f,0x332e06c8,0x4001cccc,
    0x405b81fb,0x4c35c0f8,0xcccccccc,0x3332a4cc,0xcccccccc,0xd0fc01cc,
    0x09999105,0x0666665c,0x88005300,0x388001db,0x8803e600,0x0007100f,
    0x200014c0,0x017ec029,0x17c4009b,0xdfdccca8,0xb85f8005,0x2e07c405,
    0xdcccc986,0x263ccccf,0xcccccfcc,0x203ecccc,0x220be0f8,0x9703fecc,
    0x00019bf9,0x00000000,0x1f806a80,0x00000000,0x0fec0000,0x4d8003f0,
    0x01f39900,0x2dc0fe80,0x0d703e20,0x7c401aa0,0x2203d800,0xdb007e0f,
    0x003d801f,0x57530000,0xc8000001,0x1ffec885,0x002aea60,0x00157530,
    0x80135530,0x01f101fc,0x3f005b80,0x3fb000fa,0x07c405b8,0x035401ae,
    0x3d800f88,0x55fdd544,0xd80aabfb,0x21ec05db,0xfb80fffb,0xffd706ff,
    0x2e07ffdd,0xffb80fff,0x3e626c6f,0x75c1fadf,0x03ffeeff,0x7f77ff5c,
    0xdff7003f,0x7e409ffd,0x5000f500,0x35cd500d,0x9b0bf200,0x7cc0f880,
    0x1006a800,0xa87b001f,0xfeeefeee,0x8bd83eee,0x260f601f,0xd73300f9,
    0xa8837b10,0x01f3301f,0x47b1ae66,0xb10fc5e8,0x01fa8837,0xfa8837b1,
    0x20bba201,0x0fb80eea,0xf5000d50,0x0fc49b00,0x2e27f500,0x407c401f,
    0x035401de,0x09800f88,0x80799aa0,0x1ec0d73d,0x06a801f0,0x0f80b700,
    0xa8f63540,0x2000fc0f,0x16e0005b,0x85d806d8,0x001e607b,0x83f101ae,
    0x53e6004d,0x0f8804fe,0x2a01ff98,0x981f1006,0xf335c006,0x81f47b00,
    0x5003e03d,0x03e2000d,0x235400f8,0x07e1ae3d,0x0001f100,0x03ea03e2,
    0x0f70ba20,0x320007c4,0x3d435c04,0x2e27f500,0x207c402f,0x35401de8,
    0x3d40f880,0x06a96e00,0x203ea3d8,0x5003e03d,0x03e2000d,0x235400f8,
    0x3f03e23d,0x000f8800,0x09b01f10,0x01aa2dc0,0x03e8005f,0x002f81f4,
    0x404d85f9,0x007d40f8,0xef880354,0x8807eeee,0xeb99dc99,0xd87b0099,
    0x03e03d84,0x3ae20d50,0x0fdeffff,0x8d5003e0,0x3f16ec3d,0xffffeb88,
    0xd7100fde,0x1fbdffff,0x99999bf0,0x0db99999,0x2006b803,0x03e600fa,
    0x1fd802e4,0x03e202dc,0x01aa00d7,0x65555fc4,0x7fffc407,0x7fffffff,
    0x41f987b0,0x5003e03d,0x357ff30d,0x401f9533,0x3235400f,0x7fffe444,
    0x26affe64,0x980fca99,0xa999abff,0xeeef80fc,0xeeeeeeee,0x07f0006e,
    0x3d900fa0,0x1f533333,0x5b81fd00,0x1ae07c40,0xf8803540,0x36003d40,
    0x0f601323,0x7c07b1b2,0x3e235400,0xf007c404,0x2dc6a801,0x3e235550,
    0x2207c404,0x407c404f,0x0000003e,0x36c407f5,0x7fffffc0,0xf803ffff,
    0x7c405b84,0x6a8035c0,0x4881f100,0x0991ec00,0x47f107b0,0x5003e03d,
    0x4400fc8d,0x5003e00f,0x64006a8d,0x207c400f,0x07c400fc,0x000002e4,
    0xe9839f50,0x4cfcc00d,0x6b999999,0x2dc0fdc0,0x0d703e20,0x7c401aa0,
    0x1740b000,0x207b007b,0x7c07b0fa,0x13636401,0x1f803e60,0x07e23640,
    0xf9804d80,0x7cc026c0,0x0001f980,0x6cc0072e,0x004ffeff,0x807e0099,
    0x880b706e,0xa8035c0f,0x001f1006,0xd8be01f1,0x3a03d803,0x826407b4,
    0x03546fd8,0x4c803fee,0xb90dfb10,0x2e035400,0x203540ff,0x1f700ffb,
    0x7fd49300,0x0dfec007,0x2003f100,0x207f304c,0x207c406b,0x00d5005b,
    0x3e2003e2,0x01743f00,0xb3f301ec,0x5117cc07,0x7413d9dd,0x2ff6a21c,
    0x2f9809af,0x27b3baa2,0x1c413e20,0xfda8873a,0x33a09afb,0x3eff6a21,
    0x0bfc809a,0xf527ecc4,0x3fa200df,0x41cc1aac,0x41e6006a,0x01f100fd,
    0x00f607c4,0x0f880354,0x3f00f880,0x01ec017c,0xf900fbb2,0x3ea7ffdf,
    0x3bbfa64f,0xfff88cff,0xffdff904,0xf313fea7,0x89f9557d,0xcffeefe9,
    0x264fff88,0x8cffeefe,0xd304fff8,0x3bfffdff,0xf3001530,0xbfffdfff,
    0x66cc49fd,0xf3310099,0x201fc437,0x2eaa62ed,0x201fb30f,0x99fb9999,
    0x3e662099,0x9999999a,0x0f880f99,0xce98807e,0x3ff88099,0x80035500,
    0x40001aa9,0x644001aa,0x2600bdee,0xa98001aa,0x5440001a,0x200000aa,
    0x5d4409b8,0x7fffe40b,0xffffd03f,0x2201663f,0xffffb1eb,0x7d403361,
    0xffffffff,0x3fffee6f,0xffffffff,0x746880ff,0x3fffee00,0x007f703f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffeb880,0x200007ff,0x001cc00d,0x88000e60,0x0004001a,
    0x07300000,0x00039800,0x2e200153,0xffffffec,0x00054c06,0xc8000051,
    0x01720005,0x88001e88,0x500d00ce,0x6c19dfd9,0x077fd406,0x077fd400,
    0xfffeb980,0x3bae202f,0x5b10002d,0x0effa800,0x0effa800,0xdffff500,
    0x467fdc01,0xff700ea6,0x7cc03dff,0x0001dfff,0x44000fec,0x7e4001fd,
    0x201e4002,0x4d67ec06,0x00fbbfdb,0x07f62bf2,0xfd8afc80,0x30e7d401,
    0x88f209fb,0x6f44001d,0x22bf2000,0x3f2001fd,0x5c01fd8a,0x01fb30bf,
    0x0ea689f9,0xfb51cfd8,0x2a19f505,0xe88000fd,0xee88000e,0x07f70000,
    0x41600740,0xff500ee8,0x2e0f7405,0x41ee803f,0x807a03fb,0x4c3441fa,
    0x017e6005,0x3fb83dd0,0x7dc1ee80,0x3607f103,0x5343fc45,0x6403ee07,
    0x6b81f40f,0x006f4400,0x0006f440,0x6c013ea0,0x80b90001,0x80e01ff8,
    0x300b8029,0x44f80005,0x5001d03a,0x4070007f,0x26038029,0x7cc0b902,
    0xa9a0fea1,0x7c409f03,0x09b01aa3,0x10001c40,0x14c00007,0x00076d40,
    0x9bd007e6,0x0000000d,0x45c80000,0x30068859,0x00000005,0x02f88000,
    0xd05f5274,0x00fc41d4,0x5404c936,0x00000006,0x22000000,0x002ea9be,
    0x11d90136,0x9ba9805f,0x00000000,0x70360fe0,0x40000007,0x8000aba9,
    0x26009aa9,0x3ea6c807,0x7c0ea684,0x07b1f402,0xaa9800f0,0x5d4c0009,
    0x5d4c0009,0xb1072009,0x403f001b,0x4c1321fa,0x0cffeefe,0xb80fffb8,
    0x70006fff,0xd79d301f,0x7000000b,0x7ffddffd,0x3bbfee00,0x00d504ff,
    0x207fc4f7,0x03640ea6,0x401e43f3,0xeffb801f,0xe9804ffe,0x00cffeef,
    0x7ff77f4c,0xd503b80c,0x9807c407,0x7e42dc2f,0x40f74c0b,0x73300f99,
    0x7ed4400d,0x5405cc02,0x7fffec3c,0x41bd8807,0x3a201fa8,0x40eea82e,
    0x4c79805b,0x03a9a1ef,0x5e9817f3,0x0bf202dc,0xea82ee88,0x817f900e,
    0x7f901ee9,0x441ee981,0x20bae01e,0x509d1079,0x6401fa8d,0xd5003e06,
    0x3ffff100,0x59db5000,0x0f733310,0xd816e000,0x2dc5d806,0x32207c40,
    0x80ea6cef,0x4fecdfe9,0xbf301f98,0x6c036c09,0x6401fa85,0x6401fa86,
    0x2203e886,0x6d83544d,0x017c4f50,0x801f04e8,0xd951006a,0xeda8801b,
    0x03cc001c,0xa80f8800,0x22e8800f,0x00f8805b,0x403a9aa2,0x01ffeffd,
    0xbaf985d7,0x1001f505,0x8017c45d,0x400be24e,0x403d904e,0x3ee1e64c,
    0x0354d700,0x003e0f50,0xdb1000d5,0x1ceda883,0x001e6000,0x26c07c40,
    0x02dcb700,0x534007c4,0x42fb6207,0xdf902fc9,0x412e7fd9,0xa96e004d,
    0x6a9ea006,0xe981ea00,0x3e21d00d,0x4c807e60,0x0f880132,0x035400f8,
    0x6744b900,0x4c002881,0xffd71007,0xf01fbdff,0x9999999b,0x35cdb999,
    0x26803d40,0x4c0db03a,0x15b7302f,0xccdf81ec,0xcccccccc,0x8801326d,
    0x4400990f,0x41f5400f,0x1fc4fa1d,0x003d8fa0,0x2007c0fc,0x3e60006a,
    0x766ecc00,0x300f3003,0x533357ff,0xdddf01f9,0xdddddddd,0x5c03d4dd,
    0x41d4d006,0x027402f8,0xeef80f40,0xeeeeeeee,0x000f66ee,0xf000f63f,
    0x73b91003,0x5e8eb8b9,0x09907d40,0x07c07c40,0xd0001aa0,0x0e40e805,
    0x3e203cc0,0x7407c404,0x03e60003,0xa9a00bb0,0x7a807a83,0xe807cc00,
    0x01320003,0x00990f88,0xf70007c4,0x01bba037,0x400d50fa,0xa801f07a,
    0x00fc0006,0x300b3093,0x400fc80f,0x005c80f8,0x9f00be20,0xa83a9a00,
    0x4007b807,0x0017205e,0x9ea006a8,0x01ea006a,0x3fc80760,0x3e21b620,
    0x3e09d002,0x00036401,0x815c01f5,0x6c079806,0x980f9804,0x1760001f,
    0x4d001f98,0x402f983a,0x03ee005e,0x10001f98,0x893a005f,0xa89d002f,
    0xf9815c01,0x3aa20cfc,0x803f500d,0x4413206c,0x402c86fd,0x42cc03f8,
    0x40798049,0x07fdc06a,0x49800fb8,0x05d80fcc,0xdb03a9a0,0xc800fd40,
    0x00fb802f,0x00fd4498,0x007ea1b2,0xe80570d9,0xfd33f881,0x9009ffdf,
    0x1ee9817f,0xea88be60,0x3ee09ece,0x02fdc09d,0x007621d8,0x873a01e6,
    0x9afbfda8,0x440bfc80,0x2fc84fd9,0x68003f62,0x0efc40ea,0x441113ee,
    0x32001eea,0x7ecc40bf,0x4c0bfc84,0x17f901ee,0x2b81ee98,0x17209b50,
    0x30006aa2,0x09ffdffd,0x3ffbff20,0xc889ff53,0x02ffeeff,0x0bb7b220,
    0x3ee66662,0x26099999,0x8cffeefe,0xd304fff8,0x3bfffdff,0x77f7fdc0,
    0x07534000,0x7ff7fec4,0xeffefc82,0xfe98000c,0x01dfffef,0x3ffbffa6,
    0xeffe9804,0x3fee04ff,0x203dffff,0x22000000,0xa80009aa,0x5510001a,
    0x00c40003,0xffffffff,0x5309ffff,0xa8800035,0x262000aa,0xfff9000a,
    0x81bffa5f,0x54401aa8,0x2a200001,0x544000aa,0x5440009a,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02a60000,0x80000662,0x22000008,0x00800000,
    0x03502880,0x9800aa20,0x26002dec,0x4c00a882,0x0a88000d,0x0aa001a8,
    0x305edc00,0x00000059,0x01aa0011,0x9ffffb50,0x0bb33f62,0x07f64c00,
    0x3fb26000,0x3aa00000,0xd80e21ef,0x4037cc3f,0xe805fff8,0x004febcf,
    0x05fb83ff,0x20007744,0x07fc44fc,0x0027fe40,0x7f77edc4,0xedb9800d,
    0x7cc02cef,0x006a805f,0x84437fb1,0x80034428,0x80001f1a,0x00001f1a,
    0x37f26fea,0x07ae05fb,0xff3007b1,0xa86a80df,0x985c802f,0x03fb002e,
    0x2ec0f4c0,0x3a67ba20,0x3b26000e,0xd9002fdf,0x3b6a6157,0x00fff701,
    0x3dd100d5,0x0007a000,0x400001f0,0x1100000f,0x0003ec88,0x03bb7000,
    0x00bd02e8,0x2fc80000,0xf9800000,0x007f620d,0x0fb873fa,0x2a013a20,
    0x02ed883f,0x05d806a8,0x005c9880,0x00000f80,0x0000003e,0x00000000,
    0x6b807c40,0xa8000000,0x98000002,0x06006a02,0x00ba06c8,0x40002e88,
    0x03ee02fc,0x003ff600,0x000f824c,0x007c0644,0x75300ea0,0xba980015,
    0x8800000a,0x400b900f,0x00009aa9,0x00000000,0x4d808000,0xdddb14b8,
    0x00e9817b,0x76f7dc40,0x00fe1ddf,0xc803f500,0x4001f04f,0x001f05fb,
    0x3ae0bf62,0x03ffeeff,0x7f77ff5c,0x4400003f,0x801fb80f,0x4ffeeffb,
    0xffb80000,0x6fffb80f,0x36600000,0xf98cefff,0x98b03a60,0x10025c0d,
    0x3fd8819f,0x320000f3,0x403dd304,0x2fe8800f,0x3ee003e0,0x41bd880d,
    0x7b101fa8,0x001fa883,0x10f88015,0xe8807ffb,0x00eea82e,0x00fffffb,
    0x26601f33,0xffffb06b,0x567e400f,0x2ebfda99,0x122160ee,0x9b0188f1,
    0x45a97c40,0x1e4001a8,0x3e013f22,0x006fdc00,0x2fe8803e,0x002dc000,
    0x0fa00b70,0x76dc1f10,0x201b602f,0x7333105d,0x2007c00f,0x7333106a,
    0x807f200f,0x20b24dfa,0x20e84985,0x400f986a,0x3f66990a,0x8dec1fff,
    0x0f7d46b8,0x135f3310,0x2202fe98,0x5c09af99,0x880000df,0x1f10000f,
    0x4403e880,0x509f500f,0x05d1001f,0x07c00f30,0x3cc01aa0,0x5400fcc0,
    0x89603a5f,0x2a1d80db,0x74006a87,0xfb32ef8a,0x22dedb85,0x076c3fd8,
    0x1bddddd9,0x1ed833f2,0x37bbbbb2,0xeb8afe98,0xf88001ce,0x01f10000,
    0x1007bf22,0x217c401f,0x016e004d,0x00f801e6,0x07980354,0x9f6004c8,
    0x4eeed80f,0xb87b8b20,0x2766c005,0xfa800fb8,0x007e640d,0x6dc1ee98,
    0x19f9001e,0x440e98ba,0xdeffffeb,0xffd7100f,0x501fbdff,0x3e2003bf,
    0x37e3d400,0xcccccccc,0x79806dcc,0xd5003e00,0x3a01e600,0x6c3ee002,
    0xe8164581,0x0f503ee1,0x2206fb80,0x0ff6203f,0x22007da6,0xe8e984fc,
    0x30f74c01,0x7fcc9707,0xfca999ab,0x9abff980,0x4c0fca99,0x07c4003f,
    0xdddf0fc0,0xdddddddd,0x00f300dd,0x01aa007c,0x00fc03cc,0x2c1e4f30,
    0x3f23c0ec,0x50017c40,0x705d803f,0x7c7a01bf,0x407bea00,0x32203d2e,
    0x44f6004f,0x207c404f,0x07c404f8,0x3e200172,0x0fa3e800,0x01e60000,
    0x035400f8,0x02e80798,0x585a9ae0,0x322cc588,0x101fb81f,0x2e01a637,
    0x3202fe85,0x1fe403e4,0x4c0f4b70,0x96e001ef,0x07c400fc,0x1f1003f2,
    0xf88002f8,0x1723e800,0x01e60000,0x035400f8,0x05d80798,0x225b1760,
    0x4edc2cec,0x80fec1e8,0xfba9acfc,0x99007e0e,0x3a600b88,0x005c03e0,
    0x4c0f41d3,0x362e4003,0x6c0f9804,0x740f9804,0x07c40804,0x262f8839,
    0x4c00001f,0x9007e007,0x201e600d,0x1f8800fa,0x099987c4,0x5fb09918,
    0x5f7fed40,0x1f404d81,0x66677400,0xed8000cf,0x000cfccc,0x1aa13620,
    0x6a81ff70,0x3207fdc0,0xf11e600f,0x03ea2641,0x093001f7,0x26400f30,
    0x3006fd88,0x807f200f,0x03d505e8,0x3fa0d910,0x4406a802,0x000f501e,
    0x0be66662,0x4cccc400,0x3a20002e,0xa8873a03,0x209afbfd,0x3f6a21ce,
    0x9f109afb,0xf998bdc0,0x27443e62,0x4c40bfc8,0x079804fd,0xea88be60,
    0x4c009ece,0x15fb1007,0x30077544,0x0faa019d,0x6a803fe8,0x2e1cf980,
    0x3e00002f,0x07a00000,0x220f5400,0x3fbbfa61,0x4fff88cf,0x3ffbbfa6,
    0x24fff88c,0xfcaacef9,0x5ffff74f,0x202ff7e4,0xfffeffe9,0x9999881d,
    0x099999fb,0x7ffdff90,0x99893fea,0x9999fb99,0xddff7009,0x764007ff,
    0x01dfeddf,0x35401ff4,0xffefea80,0xfd900002,0xeb80001d,0xee8001ef,
    0x985eeeee,0xa98001aa,0x6dc4001a,0x4000acee,0x2a2001a8,0x7ffc00aa,
    0xffffffff,0x00d5404f,0xfffffff8,0x404fffff,0x20001aa9,0x2e000a98,
    0x0059800d,0x00000d44,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,0x30000000,
    0x00015105,0x2ea20000,0x5555401a,0xaaaaaaaa,0x00000aaa,0x00000f20,
    0x00000000,0x30000000,0xf9800013,0x3fee03ff,0x0effffff,0x1efea800,
    0x3ffee0e2,0x06fffb80,0x4fc81ff1,0xdfdb7300,0x7ec40059,0x5aafffef,
    0x266666e2,0x99999999,0xdffd701a,0x1be00e19,0x03ffff90,0x409ffff3,
    0x22defdb9,0x7fedcc03,0x5c4090ce,0x3f62006d,0x0000dfff,0xeb80faaa,
    0x1aaaaaaa,0xfa84fe98,0x5fbdfc9b,0x2601f330,0x217206b9,0xbec802e9,
    0x03db530a,0x5cc0cfa8,0x000a26ff,0x37fa20c4,0x07dfec9b,0x7dc406f8,
    0x2fe66019,0x537bfb00,0x201f3bf9,0xeca9bdfd,0x3ae20fcf,0xf3006def,
    0x3fd7115b,0x203e8000,0xffe8005b,0x3220442f,0x007c403e,0x400001aa,
    0x3fa804e8,0xfa807f10,0x44000a26,0xfa8076c1,0xd005d807,0x6c0d7007,
    0x1ff9100d,0x74c03f90,0x546faa0f,0x204f8806,0x3a0000fc,0x20016e03,
    0x0002fffe,0x2a007c40,0x5d000006,0x05d10110,0x89b200bb,0x4c310002,
    0x003ec02f,0x3e01ea00,0x3a00d902,0x400fe40f,0x035400fa,0x0fe2035c,
    0x2e03e800,0x4fe98005,0x004dd4c0,0x1aa007c4,0x0026ea60,0xccde8897,
    0x3f03a649,0x02886200,0x035c3100,0x400003cc,0x4c1ae03e,0x41f5001f,
    0x016002f8,0x006e01aa,0x03530176,0x002dc07d,0xeefe9800,0x3e200cff,
    0xd3035400,0x019ffddf,0x206c41d3,0x0f325c7b,0x80014400,0x0401aa18,
    0x03d40000,0x0016e05d,0x00006a87,0x200006a8,0xfdff905c,0xb80fa1bf,
    0x00026a65,0x74c0bfc8,0x801f101e,0x817f906a,0x21dc1ee9,0x2788b02b,
    0x0a20006a,0x5f10c400,0x3fff6000,0x41f4007f,0x000f606b,0x00000990,
    0x740000d5,0x6c41ed83,0x3ae03e8e,0x04fffffd,0x6401fa80,0xa801f106,
    0x6401fa86,0x00161646,0x8001e61d,0x83100028,0x44000bfb,0x4007b999,
    0x3e03e86a,0x01740001,0x00354000,0x2ec0eb80,0xb80ffee0,0x3ba61bdf,
    0x005f1000,0x003e213a,0x002f88d5,0x0910749d,0x03f11d80,0x4000a200,
    0xdefd9818,0x03d4001b,0x40d51f40,0x7c0000f8,0x6a800001,0x41fa8000,
    0x3fd800fa,0x80274000,0x21ea006a,0x236401f8,0xf9ea006a,0x59001220,
    0x211002ec,0x03100028,0x03ffdb98,0xd5000f50,0x01f101f4,0x0001f800,
    0x40006a80,0x003c82fa,0x980007f1,0x990e540f,0x2207c400,0x8dfb104f,
    0x43e2004c,0x3a00341d,0x2e00be21,0x2000512f,0x27d40018,0xe8003d40,
    0x01f807ab,0xd880fc00,0x01eeeeee,0xfa8001aa,0x7c005d02,0x21f80003,
    0x07b1fffc,0x7fc41f80,0x3b3baa22,0xf8007b09,0x102c8791,0x81bf50f0,
    0x0a23fe98,0x4000c400,0x03d401f8,0x803eea80,0x1740002e,0x7f755550,
    0x80035401,0x007e02fa,0xe80003e8,0x64ffffe2,0x103e2004,0x7ffdffbf,
    0x02653fea,0x216a1f10,0x1662cc1c,0x7ff7ff44,0x001440cf,0xd8002188,
    0x0003d403,0x013600fd,0x44007b00,0x0035400f,0x0ba017dc,0x80003f80,
    0x43fff22f,0x21ea006a,0x003550f8,0x23d400d5,0x65f6c42d,0x1007a20c,
    0x220135d5,0x22310002,0x80b9000f,0x0fa0007a,0x00007cc0,0x07c400d7,
    0xf7001aa0,0x20079005,0x440003f8,0xf1054c0f,0x2213a005,0x2f88000f,
    0x0f889d00,0x40132030,0x014400e8,0x09f31880,0x0f500fa0,0xb001ea00,
    0xd116400b,0x003e2007,0x0fe400d5,0xd800fa80,0x2e00103f,0x007ea006,
    0x003e20d9,0x3200fd40,0x1003d506,0x75c400d9,0x4000a200,0x803ff318,
    0x03d400fb,0x44003e80,0x07ec405e,0x3e200be6,0xc8035400,0x02ec001f,
    0x6f40ffee,0x000be600,0xee9817f9,0x0001f101,0x3a605fe4,0x033a601e,
    0xb8801f54,0x01440590,0xdbf31880,0x005f9105,0x1f5000f5,0x15dd1000,
    0xa806f544,0x1fb501df,0xed806a80,0x76c14400,0x67476c42,0x057f4c09,
    0x20009f71,0x4ffeffe9,0x00007c40,0x3ffbffa6,0x37fb2004,0x4001dfed,
    0x14404fec,0x2d118800,0xeffeeffa,0xb9999881,0x1099999f,0x55bd5555,
    0xdff91000,0xb1007ffd,0x9ffddfff,0xb9999881,0x2a09999e,0x999999af,
    0xff906c99,0x3fa1bffd,0xdffd706f,0x100005ff,0x16001355,0x9aa88000,
    0x15310000,0x22000000,0xaaaaaaac,0x1baaaaaa,0x806aaa60,0xffffffff,
    0xdd74ffff,0x01bddddd,0x00554c00,0x01aaa980,0x3fffffea,0x3ea6ffff,
    0xffffffff,0x0d4c06ff,0x06aa2000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffd00,
    0x00dfffff,0x00dd4400,0x00aa8800,0x000fffe2,0x00ab9880,0xd0000000,
    0x000cc0df,0x0733332a,0x81999997,0xf702981a,0x800001ff,0xeda80000,
    0x0001cdee,0xaace8000,0x6daaaaaa,0x37fffb26,0x3bff6201,0x3fff73ff,
    0x7dcfffe6,0x503efeef,0x100007d5,0x3dffdff9,0xc881bffa,0x8001befd,
    0x13206ceb,0x99bf9500,0xcdfccb83,0x3fa1bea0,0x00fba882,0x3dfd5000,
    0xdfc801c4,0x203ccbab,0x002dffd8,0x02d89fd3,0x35bfd5c8,0xf307fb53,
    0xebcea81b,0x65f4c419,0x204fa82f,0x7cc0003d,0x757e441e,0x7bf5009c,
    0x400df953,0x3206a9f8,0x007d0004,0x20f620ba,0x03e200eb,0x26fea000,
    0x805fbdfc,0xf88001f8,0x803fb9be,0x0022fffe,0x2e02f97c,0x3a02741f,
    0x077ec05f,0x0f609f10,0xa80bd000,0x0bee03ff,0x5d802f44,0x002640d5,
    0x05d003e8,0x01f10000,0xc8811000,0x00b9003e,0x03a61b60,0x005fffd0,
    0x403f0f98,0x201b24f8,0x0fec05f9,0x1ec07cc0,0x001d7000,0x07e607f9,
    0x1f300f60,0x004c81aa,0x0ba007d0,0x03e20000,0x80000000,0x07f0003e,
    0x027f4c00,0x90032e40,0x5d801f4d,0x5d0036c0,0x1aa887b0,0xf8801ec0,
    0x26009d03,0x6a93a02f,0x7fffffe4,0xd01fffff,0x000ba007,0xb983e200,
    0x2a60000a,0x00fa000a,0x00003e20,0x003e8000,0x2003f354,0x0026c05c,
    0x3aa7b099,0xf02ffeef,0x541fc003,0x4136000f,0x311aa0fa,0x33333bb3,
    0x801f4033,0xffffb02e,0x263e200f,0x00effeff,0x3fa63ffa,0xfa80effe,
    0xffffffff,0x007e00ff,0x7c400000,0x3f1ec000,0x9b016e00,0x5ec26400,
    0x3ee20bfa,0x3a001f84,0x4c005c83,0x3542f886,0x3a000990,0x2205d003,
    0x1007b999,0x6d417f7f,0xf7f3100e,0x4076cc17,0x999be999,0x01f40099,
    0x6b800000,0x5d07e400,0xbb017600,0x76c1ec00,0xb0fe601f,0x20fe2007,
    0x43c4003d,0x3206a86c,0x007d0004,0x03cc00ba,0xf101ff88,0x817fc405,
    0x01f403f8,0x00005b80,0x1007b000,0x05c83dd7,0x7ec05f88,0xd81f9800,
    0x20fb803f,0x07f7006c,0x43f0005d,0x206a81f8,0x07d0004c,0x3cc00ba0,
    0x6402f880,0x900fe205,0x2003e80b,0xeeefeeed,0x59991004,0x2007c400,
    0x7f102efa,0x6c05fd80,0xb04e806f,0xd117400d,0x83ff9809,0x22e8002f,
    0x640d505d,0x007d0004,0x03cc00ba,0x35c00f88,0x6a801f10,0x55001f40,
    0x03559f55,0x003ffee0,0x06b806a8,0xdd884fa8,0x76e6c05b,0xb00ee981,
    0x2626c00b,0xebfb80df,0xf8003e83,0x1aa01f50,0x7d0004c8,0x4c00ba00,
    0x801f1007,0x003e206b,0x003e80d5,0x3a000ba0,0x26c003ff,0xe9802dc0,
    0xb75fecdf,0xbdf93d80,0x3d809fdb,0x3a216e00,0xd2ffdcef,0x88009907,
    0x33333b67,0xc82cfdcc,0x007b0004,0x03cc00be,0x35c00f88,0x6a801f10,
    0xd0001f40,0x6ff88005,0x8801f800,0x565d4001,0x47b016e0,0x800acca8,
    0x8136005d,0x1f41bcb9,0x96e0035c,0xeeeeeeec,0x04c83efe,0xf3009700,
    0x401e6001,0x035c00f8,0x06a801f1,0x3f0001f4,0x02ffb800,0x00003d40,
    0x6c05b800,0x06d80003,0xe8000ba0,0x2002f883,0x81aa003f,0x1f30005c,
    0x26007b80,0x801f1007,0x003e206b,0x003e80d5,0xfb000f30,0x0099000b,
    0x13200000,0xb00007b0,0x01f7007f,0x6b81f400,0x4001d700,0x003ee06a,
    0xf9817a01,0x401e6002,0x035c00f8,0x06a801f1,0x5c8001f4,0x007fc380,
    0x64c00fc0,0xe880002c,0x0001ec02,0xf300ff6c,0x03e80005,0x0fa8037a,
    0xf1035400,0x1fda883b,0x2a20de88,0x03cc005f,0x35c00f88,0x6a801f10,
    0x44001f40,0xf33cc01f,0x00f30007,0x0007fffa,0x3d801dd0,0x2fa66000,
    0x3ee20bfa,0x03e80004,0xc882bb62,0x7331001f,0x3f66013f,0x00cfffef,
    0x3ffbff62,0x4cccc403,0x099999fb,0x22067ea6,0x4cc09ec9,0x3d7301af,
    0x2fa66621,0x50099999,0x333333dd,0x00089d33,0x3fa00970,0xaa9800ff,
    0x200efdaa,0x0aaadeaa,0x27fff100,0x2ffeefea,0xd5553000,0x7fe4055b,
    0x2001cffe,0x04fffffa,0x80009a98,0xff8009a9,0xffffffff,0xffff34ff,
    0xffffc83f,0x3ffffe66,0xa7fffcc1,0xfffffffc,0xff985fff,0xffffffff,
    0x000000cf,0x000aa880,0x07bdddd7,0xeeeeed88,0x5100001e,0xeb800035,
    0x805eeeee,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x806ffffc,0x00005ffe,0x65c000a2,0xcccccccc,
    0x07333263,0x951e6664,0x79999999,0xccc88005,0xcccccccc,0x3332e2cc,
    0xcccccccc,0x999951cc,0x01599999,0xcccccca8,0x32a009bc,0xcccccccc,
    0x3261cccc,0xcccccccc,0x930ccccc,0x57999999,0x66664c01,0x04cccccc,
    0xaa880088,0xda9806ca,0x1aa00005,0x66665400,0x263ccdfc,0x9701cefc,
    0x7e64c7bf,0xefeccccc,0xdd991002,0x99999dd9,0x6666f49d,0xcccccfdc,
    0x99f9932f,0x09ffb999,0x66677e4c,0x9303ffdc,0x999999f9,0x64c7d999,
    0xcccccdfc,0x931fcccc,0xfb9999dd,0x3332609f,0x3ccccfdc,0x1b7ffaa0,
    0x32006a80,0x1aa00005,0x803f0000,0x036400fa,0x3f2601f1,0x3d9f4001,
    0x54174990,0x0f885d06,0xd809f710,0x8817ea03,0xf03d800f,0xd83f1003,
    0x401ba604,0x2fea006a,0x2a002d98,0x00172006,0x00006a80,0x02ec00fc,
    0x07c403f3,0xf8801f60,0xe93207b0,0x85d06a82,0x07dc00f8,0x3e8807b0,
    0x7b001f10,0x3e2007e0,0x3a2026c1,0x2006a804,0x3540003e,0x0000b900,
    0x20000354,0x03f8801f,0x00f8807d,0x6a800fcc,0x5d2640f6,0x10ba0d50,
    0x405f001f,0x80fa803d,0x03d800f8,0x83f1003f,0x00f9804d,0x0f880354,
    0x00354000,0x540000b9,0x0fc00006,0x3640fa80,0x7c007c40,0x1ec99002,
    0x2a0ba3b8,0x0f885d06,0x0f601f80,0x07c426c0,0x01f804c0,0x2009b050,
    0x0035405d,0x6a80003f,0xff317200,0xd5003fff,0x01f80000,0x01f99760,
    0x3d400f88,0x51ec5d00,0x83540e40,0x2007c40c,0x801ec07b,0x4c0f886a,
    0xf107e006,0x54013600,0x90035407,0x06a8000b,0x33ee1720,0x55554c19,
    0xaaaaafca,0x01f8000a,0x01f4be20,0x3ea00f88,0x6c1f1003,0xd50007e3,
    0x9807c400,0x01ec02fc,0x40f88798,0x307e007a,0x4013600f,0x01aa00f8,
    0x20001f88,0x7172006a,0x7775c07f,0xeeeefeee,0x1f8000de,0x0367d400,
    0x53335f10,0x5c009fb7,0x0ff776c6,0x8801aa00,0xffeeeeef,0xdfddb01f,
    0xf107dddd,0xeeeef881,0x3bbe007e,0x9b007eee,0xd500fc00,0x0037dc00,
    0x2e400d50,0x2a0005f9,0x0fc00006,0x7fe66640,0x2202cccd,0xcfffffff,
    0x3626c000,0x4001faad,0x2fe2006a,0xeedcbaaa,0xadeaaa82,0x0f881aaa,
    0x65555fc4,0x2aafe007,0x09b007ba,0x0d500fc0,0x87d5db10,0x035401dc,
    0x03db1b90,0x4c035400,0x3003f004,0x333f7333,0x4d7c4013,0x000dfa99,
    0x1ecccdfc,0x06a8003f,0xf5003e20,0x8801ec09,0x3d40f887,0x07983f00,
    0x3e2009b0,0x2e01aa00,0x5fc43e66,0x90035400,0x80005fdd,0x006a806a,
    0x0d50003f,0xe880f880,0xfff3000e,0x80007fff,0x03e2006a,0x1ec07e20,
    0x0f886a80,0x83f00244,0x009b0048,0x00d501aa,0x0d75c87d,0xfc801aa0,
    0x20001fbd,0x006a806a,0x5553003f,0x015555f9,0x0db007c4,0x00f616e0,
    0x4400d500,0x207b000f,0x1099003d,0x7c16001f,0x01360001,0x01aa0264,
    0xeaf881f1,0x400d5003,0x0007ee5c,0x03540354,0x664007cc,0xccccfdcc,
    0x8803e201,0xd83e803f,0xd5007a03,0x8007c400,0x1007b05c,0x001f105f,
    0x003f01f1,0x744026c0,0x7c035403,0x000ffa83,0x22e400d5,0x6a8001fc,
    0x6c806a80,0x800d5000,0x07d400f8,0x07b01f10,0x01aa00fc,0x7d000f88,
    0x13a00f60,0x7c4007c4,0x20001f80,0x805e804d,0x886d806a,0x01aa005f,
    0x01fc85c8,0x7d402cc0,0x000be603,0x3e200354,0x2a05d800,0x0fc07b06,
    0xf8801aa0,0xb00fc800,0x102ec407,0x01f1001f,0x26c0003f,0x2a00db10,
    0x10cf8806,0x50035fdd,0xc82e400d,0x5000000f,0x2fd443bf,0x3ee66200,
    0x26620199,0x3e2019af,0x8776621b,0x9999cd99,0x99981f99,0x880999eb,
    0x99999fa9,0x881feb99,0xa9999ce9,0xf33106fd,0x33333335,0x26621f33,
    0x801999af,0x9999cd98,0x3300efda,0x3333f733,0xbfdfd301,0x4cc3ff71,
    0x999fb999,0x17262099,0x884cfec4,0x99999999,0xd8819999,0x003ffeff,
    0xffffffd8,0xffff701f,0x7fdc03ff,0x11ffff90,0xffffffff,0xffa83fff,
    0x86ffffff,0xfffffffb,0x700bdfff,0xdfffffff,0x7ffdc037,0xffffffff,
    0xfff50fff,0x803fffff,0xfffffffb,0x3fea01ce,0xffffffff,0x80355106,
    0xfffffff8,0x3e4fffff,0xffff05ff,0x3ffff67f,0xffffffff,0x1353101f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x666665c0,0x9991001c,0x40599999,0x0cccccc9,
    0x89333322,0xcccccccc,0x333262cc,0x7999901c,0x80e6664c,0x3223cccc,
    0x332e04cc,0x99950ccc,0x33320599,0x332e0ccc,0x803ccccc,0x5c2cccca,
    0x3221cccc,0xc883cccc,0x9913cccc,0x33320079,0x33333223,0x000acccc,
    0x65400400,0x005dfdcc,0x999dd991,0x7e64c059,0x37220ccc,0x333e63ef,
    0x5ecccccc,0x4073bb26,0x3263dfcc,0xf9901cef,0x7f66447d,0x9bf99703,
    0x3337f2a1,0x9bf99901,0x67ee65c1,0xfca803cc,0x7ee5c2cc,0x333f220c,
    0xeccc883c,0x1fdd913e,0x23dffa80,0xccceecc8,0x3003ffdc,0x05d81575,
    0x00f9cc80,0x88001ec0,0x217a200f,0x41fc4079,0x036400fa,0x0ec801f7,
    0xb003fb60,0x88017207,0x003cc00f,0x35c00f88,0x3d8003f0,0x7403ebd8,
    0x40f602eb,0x3ea04fb8,0xd9dffeff,0xd1f8000e,0x003d8007,0x3e601f10,
    0x5d80f304,0x1f981720,0x3f502ec0,0x405dbd80,0x001f303d,0x01e60172,
    0x2e007c40,0xd000ba06,0x40f57b05,0x3602e8f9,0x640fd403,0x3f6e20bf,
    0x26a8000f,0x7fec006b,0x203dffff,0x03fa80f8,0x00fb81e6,0x01f40fe2,
    0x1fc42744,0x00fc5ec0,0x801f407b,0x0079802e,0x6b801f10,0x07b20fa0,
    0x174f607e,0x6c05d4c8,0x7dc4e803,0x003ff600,0x01f89360,0x26667360,
    0xf880efeb,0x22017dc0,0x5005f307,0x2006c81f,0x802f42f9,0x1ec0d73d,
    0x0f500d70,0x44001e60,0xb035c00f,0xf83ef889,0x10d73d80,0x3d80ba3f,
    0x0be65b80,0x005c9fc8,0x01360fc4,0x1b6203d8,0x01fb83e2,0x8013a010,
    0x0007e65d,0x003b21f7,0x3607d1ec,0xb007e203,0x001e6009,0x1ae007c4,
    0x35fd44c8,0xf89ec1e2,0x405d2dc1,0x324d803d,0x7c47f205,0x2a1ae001,
    0x300f6007,0xf90f887f,0x06c80003,0x04e9fc40,0x03f7d900,0x01f51ec0,
    0x204c807b,0x0f3001f8,0x7003e200,0x3722dc0d,0x6c1e60f8,0x745f1723,
    0xf300f602,0x1fc81ec3,0x07d00174,0x01ec00be,0x367e226c,0x30000dff,
    0x9f50003f,0x2fe8000d,0x1361ec00,0x40f300f6,0x01e6006b,0x77777c40,
    0x206eeeee,0x22e97c6a,0x7c47b06a,0x202e8d50,0xf13ea03d,0x7b03f905,
    0x6403e600,0x9007b005,0xa8eef88b,0x7c4002fe,0x07f60003,0x03fe8800,
    0x07e61ec0,0x205d007b,0x01e6003e,0x5555fc40,0x206caaaa,0x2e43e679,
    0x9b0f60b7,0x6c05d0fa,0xffdcccce,0x0fdc3d83,0x3d9002e8,0x1f533333,
    0x7d007b00,0x0fc85f88,0x00017600,0xed8000f5,0x0f6001fa,0x7007b1b2,
    0x4001f30d,0x1f100079,0x3e206b80,0x993d4d70,0xf3f30f60,0x3b602e81,
    0x00bcdeee,0x880fdcb9,0xffff001f,0x07ffffff,0x0fc807b0,0x06c807c4,
    0x02a01f50,0xb8001ea0,0x2001d90f,0x363f883d,0x640f8803,0x403cc005,
    0x2007c45b,0x4d8fc06b,0x7b03d8fc,0x05d09fd0,0x7cc001ec,0x1b602fb9,
    0x4cccfcc0,0x806b9999,0x2fda883d,0x7f100f88,0x3a02f880,0x0007a802,
    0x005d85f3,0x6c3ea07b,0x2f89b003,0x5c03cc00,0x2e007c45,0x41f97406,
    0x0f605d3d,0x80ba07aa,0xff70003d,0x8007dc05,0x803f004c,0xffeeeeed,
    0x401f100c,0x202f407a,0x007a802e,0x3f884e88,0x53a03d80,0x54f5003d,
    0x80798007,0x2007c45b,0x3d56c06b,0x7b02eb5c,0x3602e800,0xbff70003,
    0x002fd985,0x132003f1,0x35555bb0,0x400f8801,0x801d702f,0x007a802e,
    0x07e605d8,0x4fcc07b0,0x6cbe003d,0x80798004,0x2007c45b,0x2e5ec06b,
    0xd80fc7c4,0xb0174003,0x55f50007,0x1bffdffd,0x30035400,0x0003d80f,
    0x85c801f1,0x02e801f9,0x7dc007a8,0xb007dc00,0x03eec807,0x007e3720,
    0x16e01e60,0x06b801f1,0xbe81f664,0x8007b00f,0x000f602e,0x9aa985f1,
    0x33662000,0xf3310099,0x9ce99837,0x26200999,0xf1019af9,0x26776135,
    0xe9999999,0x3f733302,0x3ea20133,0xdd33009b,0x99ce9883,0x003ff880,
    0x8801b3e2,0x9999fa99,0x265c9999,0x4c409af9,0xfd7009eb,0x221fb201,
    0x10099cd9,0x99837d33,0x009999ce,0x32000004,0xd03fffff,0x223fffff,
    0xffffffff,0x3fffee03,0x9ffb01ff,0x3ffffff6,0x982fffff,0xffffffff,
    0xbffff906,0x3fffff30,0x1fffffdc,0x74003fb8,0x3ffa003f,0xffffffff,
    0xfff35fff,0xfffe87ff,0x40df507f,0xfffb86fa,0xfffd04ff,0x3ffe23ff,
    0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x00003729,0x00000510,
    0x02aea200,0x4c055440,0x03ae000a,0x30000000,0x30001575,0x88001355,
    0x4c001aba,0x440009ba,0x0002a81a,0xaa980000,0xfb300000,0x00033f25,
    0xfb806a80,0xfffb80ff,0xfdffd706,0xfd5099bf,0x3fa25ffd,0x5fd003fe,
    0x0dffff00,0x227fffd4,0xffeeffeb,0xddff7003,0xfb1009ff,0xb55fffdf,
    0x3fbbfa60,0xbffc80cf,0xff36fefc,0x3ffe05fd,0x7fec1fff,0x3ffa3fff,
    0xeffefe98,0xbf910000,0x00cfd981,0x3006a800,0x2e6601f3,0x221bfd86,
    0x0bc85fda,0x547767ea,0x0028803f,0x98013bb1,0x0dec41f9,0xe8807ea2,
    0x00eea82e,0xfb9819f5,0x40bfc86f,0xfe981ee9,0x49fbd11f,0x39d3106b,
    0x37f33101,0x0bfbf988,0x70003b66,0xfea803df,0x03540003,0x8d5003e0,
    0x02f402f8,0x7b81ffb0,0x06a80000,0x5c001ea0,0x3601b605,0x5403f885,
    0x200fd46f,0xb83fb06c,0x2a01f85f,0x2207a807,0x07f102ff,0x000bbea0,
    0x20005df7,0x007c006a,0x805f11aa,0x17ea003a,0x00000fe2,0xb81d70f1,
    0x01f10005,0x5d1001f5,0x4d9005d8,0x09d002f8,0x3a0f307b,0x3a017c02,
    0x900fe203,0x03fe980b,0x077f2200,0xf800d500,0x7ec35400,0xf500000a,
    0x00017605,0x87fd07e0,0x1f10003d,0x2dc009b0,0x50c4007e,0x6c3d400d,
    0x05d07983,0x03e606b8,0x35400f88,0x000cfd88,0x019fb100,0x1f001aa0,
    0xff906a80,0x440159bd,0xafeeffdb,0x36caaaaa,0x55555555,0xb0155555,
    0x3e2e7cc7,0xfffd7101,0xbf01fbdf,0x99999999,0x03ccdb99,0x44009900,
    0x3cc1ec0f,0x0fc402e8,0x07c404d8,0xbf911aa0,0x26000001,0x2aaa63fe,
    0xaaaafcaa,0x400f80aa,0x7654c06a,0xdffb83ff,0xeeefda9a,0xdd95eeee,
    0xdddddddd,0x4b703ddd,0x1f10f8dc,0x3357ff30,0xdf01f953,0xdddddddd,
    0x0354dddd,0xf8007b00,0x83cc1ec1,0x885c802e,0x007c401f,0x03df71aa,
    0xefa80000,0xdddddd72,0x1bdddddf,0x06a801f0,0xf72fd440,0x0003ea03,
    0x74f30000,0x221aa7d2,0x407c404f,0x1e60003e,0x2004c800,0x4c1ec0f8,
    0xf3005d07,0xf8805b81,0x64435400,0x400000df,0xd5003fe9,0x5400f800,
    0x0fa80046,0x00fd409b,0x3e200000,0x32d70f98,0x4400fc84,0x0005c80f,
    0x540007e2,0x361ea006,0x05d07983,0x005f1360,0x06a801f1,0x00033f62,
    0x0019fb10,0x07e00354,0x002e8d90,0xfb816e5f,0x80000004,0x23e25cae,
    0x9804d83d,0x001f980f,0x08801760,0x13a005f1,0x741e60f6,0x2a1f5002,
    0x801f1006,0x3fe9806a,0x0dfc8800,0x4006a800,0x8dfb104c,0x30fb805e,
    0x1fff501f,0x00000930,0xf7b0bb32,0xfb80d503,0x001f700f,0x802f8893,
    0x007ea2fb,0x260f60d9,0x74005d07,0x3e2007d3,0x50035400,0x3ee005dd,
    0x1aa0001e,0x5445f300,0xfd09ecee,0x87f7103d,0x3fbea0ec,0x07f911ed,
    0x54001fc8,0x03fdc0ff,0x7ed4439d,0xfc809afb,0x27ecc40b,0x26206fd4,
    0x0bfc83fe,0x2620f74c,0x04fcc1ce,0x75c006fa,0xf99800fa,0x13d7301a,
    0x80f7dc00,0x80002fea,0xffc8006a,0x9ff53ffe,0x3bbff2b6,0xdf902efe,
    0x3f6b37ff,0xfd801efe,0x42fcc002,0x3fa605f8,0xf88cffee,0xffd304ff,
    0x403bfffd,0xfffeffe8,0x3ffa600c,0xff704ffe,0x2ffcc3ff,0x7c007ffa,
    0xfff9804f,0x7ffcc1ff,0x7e44004f,0x007fd30d,0x00035400,0x98800355,
    0xa8801aaa,0x0015300a,0x00000018,0x0006aa60,0x00155510,0x009aaa88,
    0x0026aa20,0x00000000,0x00000000,0x019d4d88,0x00598000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000004c,0x00000000,
    0x00010004,0x06001c80,0x02980310,0x511e6644,0xffb037b9,0x39b9703f,
    0x00002880,0x55555544,0xaaaaaaaa,0x4c99990a,0x00181ccc,0xfffffff1,
    0xffc8dfff,0x3fff625f,0x3ffff60d,0x0ffffe41,0x47a835c0,0xb007d03f,
    0x8fd4188b,0x807a203d,0x37edc03e,0x43eccda8,0x704ecdfb,0x67743fff,
    0x7fdc3eca,0x2f3fa20f,0xffd983fe,0x035400cf,0x3bbbbbaa,0xeeeeeeee,
    0x54dffd2f,0x02c42fff,0x266be372,0x82fb9999,0x5bf55c99,0xbfb89362,
    0x01ee9881,0x3fb82fc8,0x27d41fdc,0x3f6b7a20,0x2a3fbcff,0x405e883f,
    0x266e203e,0x0f40e886,0xfe82d817,0x20f8805f,0x06f47ffa,0x37df0be6,
    0x7fcc07f9,0x5d000005,0xff997ff6,0xd807441f,0xf100f89e,0x3fbdb807,
    0x205f5010,0x3fc800ed,0x9f904fc8,0xf880bf70,0x09fd51cf,0x06f447f5,
    0x30087d01,0x0970310d,0x7ffc44b8,0xfaaba981,0xfa9bfe61,0x0fd4bb00,
    0x467441f6,0xe800003f,0x7c49ff72,0x441d707f,0x744120ee,0x01ffb804,
    0x76c2fa80,0xc84fd800,0x42fe405f,0x0be205fc,0x8bfa826c,0x8e7f40ee,
    0x83fda8be,0x20ba0069,0x7d41eb98,0xcdffd85f,0x97fe21fe,0x6e9ea05b,
    0x26d82f98,0x400001fa,0xf87ff52e,0x9642e26f,0x17a005e8,0x0000fdc0,
    0x003b65f5,0xbfb0bfb1,0x3617f600,0x206b80ef,0x3bfea07a,0xfffda880,
    0xd301cffe,0x2e07b100,0x0ffc83fe,0x20fc075c,0x403ea3ff,0xf703f26c,
    0x7dc0fb81,0x4ba00000,0x2fec1ff9,0x03893bb2,0x5b801b60,0x5efa8000,
    0x445fe880,0x3a000efd,0x077ec0ef,0x205f00f6,0xc8803fe8,0x069801ff,
    0x74c01f44,0x17427fc3,0x8bfa0fd4,0x23f883f8,0x8bd30cf8,0x00db01fa,
    0xff897400,0x00027e40,0x70007640,0xfd10000b,0x83ffb007,0x4c001ffc,
    0x2ffc45ff,0x81f88136,0x403fade8,0x9804ece8,0x800ba606,0x203fe679,
    0xffda9aeb,0xf507f61b,0x90bf935b,0x443ffdff,0x013a203f,0x0ff17400,
    0x800007f7,0x2dc000fb,0x277a2000,0x77ec403f,0x80077ec0,0xefe85fe8,
    0x6b807d40,0x7f50de88,0x01f9b6c0,0x00eb834c,0x07f52d40,0xee967edc,
    0x76c41ee3,0x372203ef,0x59804a82,0x5c3b0000,0x0000c883,0x20007ea0,
    0x3a20005b,0x36013e65,0x00efc85f,0x5fd85fe8,0x0fa613e0,0x3fa81dd1,
    0x03f20fa8,0x4267ae62,0x3a9999ec,0x87aa15b5,0x00000028,0x00000000,
    0x00000000,0x02fa8000,0x0005b816,0x09f30bd1,0xbf90bf90,0xfc84fd80,
    0x33ffe605,0x76c5ffda,0x2f83f500,0x776c43d8,0xdddb3eee,0x76549ddd,
    0x000000be,0x00000000,0x00000000,0xf9800000,0x5c03e202,0x04e88005,
    0x3f2013a2,0xf905fb84,0x4c09f907,0x9cfda8bf,0x260065e8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x9999999d,0x326660f9,
    0x0199999e,0x31033bf3,0xfb8019f5,0x7dc4fa83,0x6c03fb83,0x001e8803,
    0x3b660000,0xeeeeeeee,0x0004eeee,0x2072e000,0x333221ca,0xcccccccc,
    0x2e20a63c,0xdddddd70,0xdddddddd,0x2ee25ddd,0xbbbbbbbb,0xbbbbbbbb,
    0xfffa8002,0xffffffff,0xffffff30,0xa81fffff,0x641fffff,0xa806ffff,
    0x02e8d506,0x0000007d,0xb8800000,0xbbbbbbbb,0x222bbbbb,0x3bf6201e,
    0x3fff9001,0xf88fffe4,0xffffffff,0x03fe5fff,0x2eee69f9,0xbbbbbbbb,
    0x11bbbbbb,0xdddddddb,0xdddddddd,0x000009dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e60bf20,0x4c82fc9c,0xfe8ffffa,0x266663ff,
    0x99999999,0x07a61720,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x544f87f7,0xfb83f23f,0x3fff20ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666000,
    0x99999999,0x47f50099,0x1bfdd302,0x15301530,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffd400,0xffffffff,
    0x00a606ff,0x000001a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88888880,0x00888888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_35_latin1_x[224]={ 0,7,4,2,3,2,3,7,9,4,0,2,4,2,
6,3,3,3,2,2,3,2,4,3,3,4,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,5,2,5,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_35_latin1_y[224]={ 25,5,6,4,4,5,8,6,6,6,6,8,20,15,
21,4,5,5,5,5,6,6,5,6,5,5,11,11,8,13,8,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,4,6,5,32,4,11,6,11,6,11,6,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,6,6,6,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,25,11,4,6,9,7,
6,6,6,6,5,11,15,15,6,3,2,6,5,5,4,11,6,13,24,5,5,11,5,5,5,11,0,0,1,2,
2,0,7,6,0,0,1,2,0,0,1,2,7,2,0,0,1,2,2,10,6,0,0,1,2,1,7,6,4,4,
5,6,6,4,11,11,4,4,5,6,5,4,5,6,6,6,4,4,5,6,6,9,10,4,4,5,6,4,6,6,
 };
static unsigned short stb__courier_35_latin1_w[224]={ 0,5,11,14,13,14,13,5,6,6,12,15,7,14,
6,13,13,13,13,14,12,14,12,12,13,12,6,8,15,17,15,11,12,19,16,16,16,16,16,17,17,13,17,17,
16,19,18,16,15,17,18,14,15,17,19,18,17,17,13,6,12,6,13,19,6,15,17,15,18,16,14,17,17,14,
11,16,14,19,16,15,17,18,15,13,15,16,18,18,17,16,13,7,2,7,14,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,12,16,13,17,
2,15,10,19,10,16,17,14,19,20,9,15,8,9,6,16,15,6,6,8,11,17,19,19,19,11,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,18,18,16,16,16,16,16,11,17,17,17,17,17,17,15,15,15,15,
15,15,15,15,18,15,16,16,16,16,14,14,14,14,16,16,15,15,15,15,15,15,16,16,16,16,16,16,17,16,
 };
static unsigned short stb__courier_35_latin1_h[224]={ 0,21,9,23,24,21,18,10,23,23,12,16,10,3,
5,24,21,20,20,21,19,20,21,20,21,21,15,18,17,7,17,20,22,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,23,18,20,18,19,18,18,18,18,18,23,24,23,9,2,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,14,15,19,15,14,15,14,20,14,23,23,23,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,20,21,19,13,18,
23,21,3,20,10,14,9,3,20,2,9,19,11,11,6,20,21,5,7,11,10,14,20,20,20,20,25,25,24,23,
23,25,18,25,25,25,24,23,25,25,24,23,18,23,26,26,25,24,24,12,21,26,26,25,24,24,18,20,22,22,
21,20,20,22,15,20,22,22,21,20,20,21,20,19,20,19,22,22,21,20,20,15,17,22,22,21,20,27,25,25,
 };
static unsigned short stb__courier_35_latin1_s[224]={ 243,246,230,100,67,132,241,170,223,39,110,
33,151,177,170,202,195,186,200,117,116,233,14,1,225,239,248,245,1,123,17,
14,184,1,140,151,210,176,193,168,161,227,49,37,144,198,105,99,218,1,85,
104,124,145,124,179,87,69,55,216,243,54,198,203,141,134,62,167,214,150,213,
26,178,119,71,16,1,199,238,183,44,80,15,66,129,49,219,115,31,134,1,
46,253,61,148,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,243,248,1,
228,84,67,250,50,192,50,159,49,212,177,228,223,188,33,132,141,249,17,209,
163,242,123,176,66,47,67,27,119,223,15,147,230,19,152,104,172,189,206,167,
83,1,35,133,69,157,115,83,54,135,116,99,98,66,36,18,49,81,184,21,
131,213,197,162,87,103,151,80,70,229,1,178,147,164,147,196,163,211,196,34,
18,84,1,34,99,234,134,167,100,179,1,100,118, };
static unsigned short stb__courier_35_latin1_t[224]={ 26,55,223,55,29,79,166,223,29,55,223,
205,223,235,235,29,79,124,124,79,145,124,102,145,79,79,124,145,205,235,205,
145,55,186,166,124,166,166,166,124,186,166,166,186,186,186,186,145,186,55,166,
124,166,145,186,186,186,186,186,29,1,55,223,235,235,205,145,205,124,205,145,
145,145,124,1,166,166,205,205,205,145,145,223,205,145,205,205,205,223,124,223,
55,29,55,235,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,26,102,102,
145,223,166,29,79,235,124,223,223,223,235,102,235,223,166,223,223,223,124,79,
235,223,223,223,223,102,102,102,102,1,29,29,29,55,1,166,1,1,1,29,
55,29,29,29,55,166,55,1,1,1,29,29,223,79,1,1,29,29,29,186,
102,55,55,79,102,102,55,205,124,55,79,79,102,102,79,102,145,102,145,79,
79,79,124,124,205,186,55,55,79,102,1,1,1, };
static unsigned short stb__courier_35_latin1_a[224]={ 297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_35_latin1_BITMAP_HEIGHT or STB_FONT_courier_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_35_latin1(stb_fontchar font[STB_FONT_courier_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_35_latin1_BITMAP_HEIGHT][STB_FONT_courier_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_35_latin1_s[i] + stb__courier_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_35_latin1_t[i] + stb__courier_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_35_latin1_x[i];
            font[i].y0 = stb__courier_35_latin1_y[i];
            font[i].x1 = stb__courier_35_latin1_x[i] + stb__courier_35_latin1_w[i];
            font[i].y1 = stb__courier_35_latin1_y[i] + stb__courier_35_latin1_h[i];
            font[i].advance_int = (stb__courier_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_35_latin1_s[i] + stb__courier_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_35_latin1_t[i] + stb__courier_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_35_latin1_x[i] + stb__courier_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_35_latin1_y[i] + stb__courier_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_35_latin1_LINE_SPACING
#endif

