// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_36_latin1_BITMAP_HEIGHT        258
#define STB_FONT_courier_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_36_latin1_FIRST_CHAR            32
#define STB_FONT_courier_36_latin1_NUM_CHARS            224

#define STB_FONT_courier_36_latin1_LINE_SPACING          17

static unsigned int stb__courier_36_latin1_pixels[]={
    0x00009880,0x00000017,0x00003555,0x100000c0,0x00600019,0x00001cc0,
    0x1c8001c8,0x20a80000,0x00505402,0x15555500,0x2aaa0006,0x00006a2a,
    0xb1000bee,0x03b6001f,0x3b620bf1,0xb000004f,0x980001bf,0xfd88006e,
    0x05f98004,0x07f62000,0x0007f600,0x1f12f880,0x3e23fd50,0xd803e200,
    0x07d2feee,0x0eeeef80,0xb8000bfb,0x3ba2002f,0x507fe000,0x009900df,
    0xeaee8800,0xbf30001e,0xd5dd3000,0xee88001d,0x77440000,0x0bf20000,
    0xf13dc000,0x0f889d01,0xf8003e20,0x1f800f72,0x8000ba20,0xbf3002fb,
    0x50298001,0x00099001,0xf906fd40,0x04fa8007,0x3624fb80,0x7744002f,
    0x1bf30001,0x07f70000,0x7c47d000,0x3e207cc0,0x00b3ee00,0x4007f17c,
    0x002dc01f,0x3a001310,0x00000004,0xe8000132,0x4001f503,0x05f0003e,
    0x26c001ae,0x0004c800,0x00007540,0x207c41f5,0x440f886a,0xdefedffb,
    0x06b8be05,0x0f5007e0,0x00000000,0x26400000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x2a07c44e,0x76c0f886,0xf037e4c2,0xf8017c45,
    0x0003d401,0xa9800000,0x55500aaa,0xb9932055,0x2600aced,0x33301999,
    0x15730033,0x02ae6000,0x40666660,0x4cc19999,0x33330199,0x01573003,
    0x440fa800,0x7c43540f,0x6d807e20,0x00d90be0,0x00f5007e,0x55555555,
    0x2aaaa655,0x45555500,0xb02eefeb,0x9901dfdd,0x3b2f37f2,0xffffc82f,
    0x7fffe45f,0xddff705f,0x3ee007bf,0x903dfeef,0xc8bfffff,0xf95fffff,
    0xfc8bffff,0xf705ffff,0x007bfddf,0x03e213a0,0x641f10d5,0x5f00c405,
    0x1f801f88,0x76c03d40,0x5eeeeeee,0x205ddfd7,0x220efeed,0x409b001f,
    0xf701eddc,0x0339b305,0x2207b266,0x3ea20afd,0x82bf6204,0x9b304fa8,
    0x3b266033,0x80ce6cc1,0xd881ec99,0x13ea20af,0xf101f300,0x0f886a81,
    0x5f000176,0x03f00b90,0xb80007a8,0x6c007e25,0xf300b904,0x4037e401,
    0x004d81fa,0x803ba0d7,0x01dd03f9,0x04d81fcc,0x01360d70,0x00ee835c,
    0x5d800fe6,0x06b81f10,0x000fdc1d,0x03f305f0,0x03d401f8,0x1722dc00,
    0x7c403e60,0x3202ec01,0xb09b001f,0x2e1ae009,0x41f8800f,0x1f8800fb,
    0x0d7004d8,0x435c0136,0x1f8800fb,0xf101f980,0x36005d81,0x7c000acf,
    0x1f80bb02,0x0000fc40,0x803f116e,0x302e405d,0x006c803f,0x401361aa,
    0x001fc46b,0x001fc4d9,0x2009b0d9,0x2009b06b,0x001fc46b,0x40b900d9,
    0x03fb30f8,0xdeffd980,0xf302f802,0x6c00fc01,0xb70000bf,0x0fcc0b90,
    0x2ec07e20,0xf1002e40,0xd7004d81,0x7c4006b8,0xf8800d70,0x6b8026c0,
    0x1ae009b0,0x0f8800d7,0xf880be20,0x8000bfd0,0x200efca9,0xf813a02f,
    0x02ff9801,0x3f10b700,0x2e401760,0x2e400fc4,0x4d81f300,0x05c8d700,
    0x00b92e80,0x004d85d0,0x401360d7,0x4002e46b,0x101b202e,0x001fd41f,
    0x3e06d880,0x7c03ea02,0x000df801,0x42e416e0,0x3f1001f8,0x0f9005c8,
    0x026c3d40,0x001ec6b8,0x8003da64,0xb8026c4c,0x2e009b06,0x64001ec6,
    0x8805f104,0x0282e40f,0x5f01f880,0x03f04e80,0x40000f98,0xc83f105b,
    0xf12e4005,0x00bf2003,0x8026c274,0x40017c6b,0x70005f5b,0xd7004d8b,
    0x35c01360,0x16e000be,0x07c4035c,0x183e21aa,0x0be07d00,0x03f01f50,
    0xb80007a8,0x1f897205,0x5c8fc400,0x003ff200,0x009b01f9,0x0005d1ae,
    0x2000bab7,0xb8026c5b,0x2e009b06,0x5c001746,0xf1007f05,0x0f886a81,
    0x05f300d5,0x20fe00be,0x003d401f,0x3f102dc0,0x6e400172,0x332001f8,
    0x2fd883fc,0x1ae009b0,0x2990007b,0x44c8003d,0x20d7004d,0xd8d7004d,
    0xb84c8003,0xa81f1007,0x9f70f886,0x0be06e80,0x007e1ae0,0xb70000f5,
    0x01f8dc80,0x00bbf100,0xbdff54c8,0x26c01dfd,0x02e46b80,0x005c9740,
    0x8026c2e8,0x2009b06b,0x4002e46b,0x1003e82e,0xf886a81f,0x137dff70,
    0x7c03ff95,0x7c2f8802,0x0003d401,0x37e202dc,0x0fe40005,0x97313200,
    0x00990037,0x800d7172,0x800d70f8,0x802640f8,0x2009905c,0x20035c5c,
    0x007d40f8,0x43540f88,0xf91930f8,0x8019ffff,0xf8d9002f,0x0003d401,
    0x0fe402dc,0x001b2000,0x2a000132,0xf889d006,0xf89b2003,0x2a1b2003,
    0x2a09d006,0xf889d006,0x3a1b2003,0x503e2004,0x4c01f10f,0x00be001f,
    0x803f17c4,0x5b80006a,0x40006c80,0x4c8002f8,0x01f88000,0x07d417c4,
    0x3ea0fcc0,0x881f9800,0x817c401f,0x17c401f8,0x7cc007d4,0x10007cc1,
    0x441f881f,0x003e200f,0x9b2002f8,0x0026c01f,0x3e2026c0,0x03640002,
    0x00004c80,0x17a201db,0x3e601ee8,0x4c03dd02,0x403b602f,0x076c05e8,
    0x3ba05e88,0x360be601,0x407c4005,0x01f10aec,0x331007c4,0x7c4005f3,
    0x4c3337f1,0x440001fc,0x0036402f,0x4000be20,0x3600004c,0x007f4c2e,
    0xfb882ff6,0x105fec04,0x5db009f7,0xd800fe98,0x007f4c2e,0xfb882ff6,
    0x8001f984,0x22fb880e,0x803e200f,0x002ffffe,0xfffffaec,0x00003bd1,
    0x17c401f9,0xb5555100,0x2600155f,0x00aaadea,0x7f7fe400,0xff7000df,
    0x2005bffd,0x2dffeffb,0x3fbff200,0x3f2000df,0x000dffef,0x5bffdff7,
    0x00000a20,0x00068000,0x00038800,0xcaaaa980,0x2aaa21ff,0x800aafda,
    0xfffffffb,0xfff8803f,0x0003ffff,0x00015530,0x88000aa2,0x54c0002a,
    0x2a60000a,0x5510000a,0x00000000,0x00000000,0x44000000,0x0cefffff,
    0x7fffffdc,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,0x54000000,
    0x00140003,0x0019b500,0x8001c400,0x2200001c,0x0030000c,0x88000390,
    0x2000c004,0x01440200,0x98002010,0x40010080,0x000001ee,0x6c0005f9,
    0x5c0000df,0x00006a9c,0x32000dd1,0xe980002f,0x1bfb0005,0x0017e400,
    0x36005f98,0x6f9800df,0x2f983fb8,0x7c41fd80,0x6c3f8806,0x0037c41f,
    0x800003fb,0xd30002fd,0x0003fb3d,0x0000b234,0x40001bf3,0x2a0003fc,
    0xee88005f,0x32001eea,0x27d4003f,0xeeaee880,0x6437cc01,0xd00db04f,
    0x807f983f,0x20ff40fc,0x7e4007f9,0xed880002,0x8bf50001,0x1d0003fc,
    0xf50000e4,0x3ea00009,0x04fb8004,0x320dfa80,0x13ea003f,0xa801fdc0,
    0x201fe45f,0x7d403008,0x01100803,0x20104f88,0x06b80008,0x000ea800,
    0x07540fa0,0x36575400,0x000fe000,0x8001d300,0x07d0002e,0xe98003ea,
    0x00174400,0x003ea07d,0x00374000,0x007f2000,0x00000000,0x00000000,
    0x00571000,0x00000000,0x00000000,0x00000000,0xb9800000,0x83f7000a,
    0x33019999,0x10df0333,0x33333333,0x4cccc013,0x33000099,0x00013333,
    0x02666666,0x4ccccc00,0x26620009,0x204ccc01,0x99999999,0x4c199999,
    0x99999999,0x4cc19999,0x99999999,0x4cc41999,0x09999999,0x4cccccc4,
    0x4cc40999,0x09999999,0x3fbbfee0,0x92fc403d,0xc8bfffff,0x2a5fffff,
    0x7fffd42f,0x2fffffff,0xffffffd8,0xfffd8006,0xd8006fff,0x06ffffff,
    0xfffffd80,0xfff5006f,0x3fff60bf,0xfffff72f,0xffffffff,0x7ffffdcf,
    0xffffffff,0x3ffffee7,0xffffffff,0x3ffffea7,0x52ffffff,0xffffffff,
    0x3fea5fff,0xffffffff,0x057ec42f,0xfd809f51,0x40673660,0x3ec1ec99,
    0xaf999988,0x26600999,0x001fafa9,0xfafa9998,0xa9998001,0x98001faf,
    0x01fafa99,0x9803f910,0x57ccc0cf,0x99999999,0x4d7ccc7b,0xb9999999,
    0x4cd7ccc7,0x7b999999,0x57ccccc4,0x4cc40999,0x0999af99,0x57ccccc4,
    0x0ee80999,0xfc80fe60,0x6b8026c2,0xf88037c4,0x36b90000,0xdae40004,
    0xdae40004,0xdae40004,0x20274004,0x007e00eb,0x400fc1ea,0x5003f07a,
    0x000f880f,0x220007c4,0x007dc00f,0x4fb80fc4,0x46b8026c,0x1f1005f9,
    0x3d4be000,0x3d4be000,0x3d4be000,0x3d4be000,0x4c07e600,0x400fc02f,
    0x5003f07a,0x2a007e0f,0x0007c407,0xf10003e2,0x001fc401,0xb17ea0d9,
    0xf51ae009,0x003e2009,0x005f1ea0,0x005f1ea0,0x005f1ea0,0x005f1ea0,
    0x00bd06c8,0x20d3003f,0xf069801f,0x880d3003,0x07c4000f,0xb803e200,
    0x407c4006,0x8026c6f8,0x801fdc6b,0x4d8000f8,0x4d8002e4,0x4d8002e4,
    0x4d8002e4,0x274002e4,0x07e003ee,0x40fc0206,0x303f0081,0x00f88010,
    0x20007c40,0x017200f8,0x1be20ba0,0x91ae009b,0x03e2005f,0xf983f100,
    0x20fc4000,0x7c4000f9,0x20007cc1,0x007cc1f8,0x17c47e60,0x01f81f80,
    0x003f03f0,0x0007e07e,0xf88001f1,0x007c4000,0x0990007b,0x004d8bf3,
    0x003fb8d7,0x6a8001f1,0x6a8007d0,0x6a8007d0,0x6a8007d0,0xd90007d0,
    0x81f80176,0xf03f001f,0x3e07e003,0x007c4001,0x10003e20,0x0017c01f,
    0x227d42dc,0xa8d7004d,0x01f1004f,0x0d703d80,0x0d703d80,0x0d703d80,
    0x0d703d80,0x01fdd100,0x7fffffc0,0xffff001f,0x3e003fff,0x01ffffff,
    0x20007c40,0x7c4000f8,0x2000ba00,0x6c3fb85b,0xf98d7004,0x001f1006,
    0x1f8807c4,0x2201f100,0x01f1001f,0x7c4007e2,0x0003f100,0xaf8007f5,
    0x001f9999,0x3f33335f,0x2666be00,0x7c4001f9,0x007c4000,0x3d803e20,
    0xfc84c800,0x6b8026c1,0x1f1007f8,0x5557dc00,0x004eaaaa,0x555555f7,
    0x3ee009d5,0xeaaaaaaa,0x555f7004,0x009d5555,0xf8003f10,0x3f001f81,
    0x07e003f0,0x1f10007e,0x000f8800,0x0b9007c4,0x0dd05d00,0x21ae009b,
    0x0f8800fc,0x3ffffa00,0x007fffff,0xfffffffd,0x3fa00fff,0xffffffff,
    0xffffd007,0x00ffffff,0xf8003f10,0x07e00381,0x381f800e,0x000f8800,
    0x220007c4,0x001ae00f,0x83f981f1,0x30b9004c,0x01f1009f,0x3e003e60,
    0x4007cc02,0x007cc02f,0x03e6017c,0xf1000be0,0x001f8003,0x2003f077,
    0x7001f83b,0x0007c407,0xf10003e2,0x001fc401,0x501fb0d9,0x7413a00d,
    0x000f8807,0x017200b9,0x017200b9,0x017200b9,0x017200b9,0xf8003f10,
    0x3f099001,0x07e13200,0x1f102640,0x000f8800,0x3ea007c4,0x441f9800,
    0x803f105f,0x05f502f8,0x5f000f88,0xf803e600,0x401f3002,0x01f3002f,
    0x0f98017c,0x0007e200,0x2132003f,0xf099001f,0x88132003,0x07c4000f,
    0x2003e200,0x0be601ee,0x0ed807f2,0x6e80bd10,0x54007c40,0xa81f4007,
    0xa81f4007,0xa81f4007,0x001f4007,0x1f8003f1,0x03f09900,0x007e1320,
    0x01f10264,0x4000f880,0x7fb000f8,0xf827dc41,0x4c2ed805,0x0fd400fe,
    0x57f75555,0x36a21555,0x55100aad,0x36a215db,0x55100aad,0x36a215db,
    0x55100aad,0x36a215db,0x55100aad,0x2a6015db,0x02aabfba,0x5559f551,
    0x9d555555,0x2ab3eaa2,0xeaaaaaaa,0x559f5514,0xd5555555,0x7dd55549,
    0x2a0aaaab,0xaabfbaaa,0x2aaaa0aa,0x0aaaabfb,0xbffdff70,0x4003a605,
    0x0dffeffc,0x3fe67b00,0xffffffff,0xfffff92f,0x3ffff20b,0xfffff95f,
    0x3ffff20b,0xfffff95f,0x3ffff20b,0xfffff95f,0x3ffff20b,0xffff985f,
    0xb81fffff,0xffffffff,0x74ffffff,0xffffffff,0x29ffffff,0xfffffffb,
    0x4fffffff,0xfffffff3,0x3e65ffff,0xffffffff,0xffff32ff,0x5fffffff,
    0x0002a880,0x002aa600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x008001ab,
    0x0bb26001,0x00802002,0x02c47500,0x54c40000,0x00aaaaaa,0x00055d44,
    0x020675c4,0x55555500,0x00020015,0x00416e4c,0x8000e200,0x30b2a000,
    0x7fecc05d,0x0793ffee,0x1be20fec,0x5df9bf50,0x6f980fb3,0xc8003fb8,
    0x32201ea5,0x5c00defe,0xfbabedff,0xffd100aa,0x2001dffd,0x8bfebee8,
    0xdfa802fc,0x03daaaaa,0x000ef6cc,0x35df9bf5,0x744000fd,0x09f70006,
    0x6c3fff10,0x03bf105f,0x7409ddd5,0x203fcc1f,0x3bff621a,0x6437cc00,
    0x24c8004f,0x5f74c06a,0xf880efb9,0x0343b0cf,0xf93077e6,0xfb873005,
    0x0e9802ff,0x23d00ee0,0x886e0068,0x0000effd,0x88001bf3,0x200efbfd,
    0x3f21fff8,0xe803e885,0x0880404f,0x40031000,0x20003008,0xbd01ae4d,
    0x0ffa1b60,0x9f30343b,0x0002fb80,0x01e40026,0x6c5880ee,0x00c40001,
    0x0009f500,0x3f621dd3,0xf90b2601,0x2600bd0b,0x0000004f,0x00001573,
    0x5c7b0000,0x4c03ea05,0x361be20f,0x004e81a1,0x033310d9,0xb0199998,
    0x74008803,0x333001a0,0x40001333,0x09f0003f,0xf70003f2,0x2000f989,
    0x4ccccc3d,0x99999999,0x3bbfee01,0x333003df,0x40001333,0x3f81723e,
    0x07f51f40,0x0fa8343b,0x7c47f100,0xff902fff,0x0950bfff,0x5d9d5000,
    0x7fffec00,0x020006ff,0x00400800,0x16e27dc0,0xfffb8100,0xffffffff,
    0xafd887ff,0xb013ea20,0x0dffffff,0x09917400,0x499003e6,0x1a1d84fa,
    0x1ee00274,0x4c0dfb31,0x7ed41fb9,0x0300004e,0x3ea66600,0x000001fa,
    0x70000000,0x0003d87f,0x999af998,0x87b99999,0x0fe600ee,0xf5f53330,
    0xd8be0003,0x4c40f504,0x361be24e,0x000fc1a1,0x3b3203e2,0x36635404,
    0x00007b21,0x6d720000,0x6e544004,0x51000bde,0x0017bdb9,0x2f87f507,
    0x007e0000,0x001f71ea,0x572003f1,0xddb3004d,0xdddfdddf,0x7f4c2dcb,
    0x21fec4ff,0x03e21a1d,0x33207e00,0x91aa00fa,0x0019d503,0x2f7b72a2,
    0x2a5f0000,0x9dfd1007,0x405ffb77,0xdbbcefe8,0x07e202ff,0x001f85f5,
    0x2a007e00,0xc800fe27,0x1ea5f006,0x67e65c40,0x23ccdfcc,0x45efcc4c,
    0xb1cfc84c,0x003cc343,0xbb4c82e8,0x81663540,0x3fa203eb,0x2ffdbbce,
    0x0be3d400,0x1f900540,0x1f900540,0x5f307e20,0x200001f8,0x2e69801f,
    0x007c4006,0x8005f1ea,0x640be0f9,0x41323744,0x1a1ffec9,0x174001e6,
    0x502f8a64,0x64409b0d,0x6401501e,0x9136000f,0x3e20000b,0x0fe20003,
    0x0be617cc,0x7c00005f,0x17208181,0x9b00ba00,0x3cc005c8,0xf126407e,
    0xd8804c85,0x003e21a1,0xc93207e0,0x3b20d506,0x000ba601,0x7c400fe2,
    0x00007cc1,0x6c0004d8,0xf885f304,0x00002741,0x6c03f03f,0x204c8003,
    0x007cc1f8,0x80fc4f50,0x9903e64c,0xf0687600,0x80f98003,0x3541f44c,
    0x22019d30,0x04d8001e,0x00fa0d50,0x36133310,0x13331004,0x21fd4136,
    0x002e40f8,0x03f03f00,0x2dc0017c,0x00fa0d50,0x755f9553,0x2641557f,
    0x200990fa,0x02741a1d,0x22641ee0,0x403540fa,0x409502eb,0x09b09998,
    0x035c0f60,0x7ffffe44,0x32204fff,0xffffffff,0x0107f504,0x200005f1,
    0x1fffffff,0x2e000ba0,0x35c0f605,0x3fffffa0,0x22ffffff,0xd8e7d44c,
    0x8343b004,0x7f1000fa,0x51761320,0x0376200d,0xfffc8895,0x804fffff,
    0x03f100f8,0x304d77d4,0x3bea09d5,0x13aa609a,0xf90027dc,0x7c1aa001,
    0x01f9999a,0x132000f6,0x1f8807c4,0x03ccb700,0xfffb50b9,0x343b001f,
    0x1b200bd0,0x21f984c8,0x5f54006a,0x3bea0edb,0x13aa609a,0x2aaabee0,
    0xf304eaaa,0xf309b009,0x2e09b009,0x076c004f,0x0fc0ff20,0x00b900fc,
    0x2bee05d0,0x4eaaaaaa,0x03d4b900,0x0d4c40d7,0x981a1d80,0x00fe404f,
    0x6a9b2099,0x41de8800,0x04d804f9,0xffffffe8,0x1f707fff,0x1f709b00,
    0x3f209b00,0x0bfe8004,0xf80bf6a2,0x035c0381,0x7f403e20,0xffffffff,
    0x35c9b007,0x00001f30,0xf980d0ec,0x00fecc1e,0xa9fc4132,0x70950006,
    0x809b001f,0x82f800f9,0x84e8804d,0x04e8804d,0x03db8bf9,0x7ff7ffdc,
    0x800fc00d,0x4007f13b,0x001f306c,0x5c7b005f,0x0001f405,0x440343b0,
    0x0effeffc,0x3ea04c80,0x403a86a8,0x8804d868,0x802e404e,0x200fb85c,
    0x0fb84ffa,0x6c13fea0,0x07ffe65f,0x8006fa20,0x5499001f,0x01f9800f,
    0x017200b9,0x5c05c8fa,0x87600006,0x2b7ee006,0xd0132000,0x80750d59,
    0x200fb84b,0x17c04ffa,0x7c40f980,0x33f2621d,0x37e21add,0x373f2621,
    0x11fd41ad,0x3a001fff,0x800fc001,0x300f744c,0x8017c05f,0x917400f9,
    0x201dd009,0x343b000b,0x1aacfc80,0x026405c4,0x0ea1b3e6,0x7c407644,
    0x33f2621d,0x07a81add,0x7f4c1f40,0xfb1effef,0x7ff4c1ff,0xffb1effe,
    0x0351001f,0xf001edc0,0x36132003,0x13ee20bf,0x1f4007a8,0x804d8be0,
    0xebaacee9,0xffff700e,0x20bfff2b,0xffffffe8,0x221efddf,0x900aadda,
    0xffff50df,0x4c019dff,0x1effeffe,0x2a21fffb,0x5100aadd,0x53015db5,
    0x53000137,0x00000137,0x80d10a80,0xaaacfaa8,0x4eaaaaaa,0xbffdff70,
    0x2b76a205,0xdb55100a,0x2c83a015,0x7bfd9100,0x40000015,0x65441bc8,
    0xffffb82c,0x00df105f,0x4dd4c000,0xffff9000,0x3fff20bf,0x000005ff,
    0x00000000,0xb805ddf7,0xffffffff,0x04ffffff,0x7e401544,0xf905ffff,
    0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000b8000,0x5c000100,
    0x00200000,0x2001c400,0x8000000b,0x00e20018,0x80007100,0x002e0000,
    0x00016d40,0x00050000,0xe80014c0,0x7dc0000e,0x01db0004,0x009f7000,
    0x4006e880,0x220000ee,0x04e81aba,0x4000dd10,0x2e0006e8,0x1db0004f,
    0x64e74c00,0x0fe4002e,0xbf1017a2,0x09f50000,0x000fec00,0x077dfec4,
    0x000fec00,0x0eebfd88,0x00df9800,0x4001fd80,0xeffeffe8,0xf3001d91,
    0x3e60001b,0xfd88000d,0xd8000efb,0x883b001f,0x217f4005,0x74c00ff9,
    0x7f70000e,0x05f90000,0xd88774c0,0x2fc8001f,0x88774c00,0x3ea002fd,
    0x17e40004,0x441df980,0xa801fdfd,0x3ea0004f,0x1dd30004,0x20007f62,
    0x82c402fc,0x40a2001d,0x1dd10019,0x002fc800,0x4003ee00,0x001f904f,
    0x7c001f70,0x2001f704,0xf700003f,0x404f9801,0x07f004fc,0x0003f800,
    0x007e413e,0x93007dc0,0x00000ae0,0x0036c400,0x000003f5,0x02004001,
    0x00800000,0x00000004,0x1013a000,0x00000ddd,0x00400000,0xd0000002,
    0x000001a0,0x01000200,0x00000000,0x00000000,0x00000000,0x007d4000,
    0x000fe3b6,0x00000000,0x40000000,0x009910cb,0x37bdb950,0x00000000,
    0x3b72a200,0x2e6000bd,0x5101bded,0x2aaa0155,0x0555440a,0x400aaaa8,
    0x01bdedb9,0x37bdb730,0x3f202740,0xdca80f70,0x55101bde,0x2aaaa015,
    0xdedca800,0x372a001b,0xea801bde,0x220103ed,0xfecbcdfd,0x2aaaa603,
    0x5553000a,0x3a200155,0xffdbbcef,0xacefb802,0xeea84fec,0xfeee882f,
    0x417f7541,0x201feee8,0xfecacefb,0x5677dc04,0x03f04fec,0x01f10fd4,
    0xd979bfb1,0x5fdd507f,0x03fddd10,0x65e6fec4,0x7ec403fe,0x03fecbcd,
    0x1dd73010,0xd500df98,0x3bbbae0b,0xddd7001f,0x054003fd,0x7ec01f90,
    0x7c0dd302,0x3e01f802,0xfb01f802,0x6c1ba605,0x88dd302f,0xf07f100f,
    0x500df983,0x4017c0bd,0x01bf301f,0x6fcc17aa,0x400bd500,0xd00beeb9,
    0x005f300b,0x1f80007e,0x0fe20000,0x3e2007dc,0x3f005f04,0x0fc017c0,
    0x3e2007dc,0x22007dc4,0x7441e64f,0x05e85d05,0x05f02f98,0x017a03f0,
    0x017a0be6,0xec980be6,0x03dc00bd,0x07e00f50,0x0001f800,0x17c426c0,
    0x2f81fa80,0x0be01f80,0x05f107e0,0x17c47ea0,0x0f31fa80,0x717403b6,
    0xf83d400f,0x7b81f802,0x0f71ea00,0x3b263d40,0x136000bd,0x3f003f00,
    0x000fc000,0x9b099988,0x3e800d50,0x01f802f8,0x507e00be,0xd53e800d,
    0x1f13e800,0x87e00fb8,0x40fc004d,0xd81f802f,0x9b0fc004,0x2b21f800,
    0x3a01c980,0xeeeeeeee,0x802feeee,0x07e0001f,0xffffc880,0x5c84ffff,
    0x17c26400,0x05f00fc0,0x005c83f0,0x4005ca64,0x2f987e4c,0xeee83e60,
    0xeeeeeeee,0x02f82fee,0xeeee81f8,0xeeeeeeee,0x3bbba2fe,0xeeeeeeee,
    0x6f4c02fe,0xcde81eca,0xcccccccc,0x1f802ccc,0x4007e000,0x2609aefa,
    0x004d84ea,0x4017c2dc,0x200be01f,0x20026c1f,0xb8009b5b,0x027c5365,
    0x999bd1ee,0x99999999,0xf005f059,0x9999bd03,0x99999999,0x66666f45,
    0xcccccccc,0x1660e402,0x40000136,0x07e0001f,0x36013e60,0x6c005b84,
    0x1f802f84,0x07e00be0,0x74d800b7,0x264d800b,0x7c405e8f,0x800026c3,
    0xd81f802f,0x026c0004,0x6c1a2000,0x000035c0,0x3e0001f8,0x800fb801,
    0x4007a84d,0xf802f82f,0x3e00be01,0x3e003d41,0x2f800f52,0x320077f4,
    0x00006b86,0x703f005f,0x06b8000d,0xb8254000,0x0001fc42,0xf0000fc0,
    0x1009b003,0x4013a09d,0x403e80ec,0x00fa01fa,0x009d03f5,0x004e83b2,
    0x04fb81d9,0x1fc40fe4,0x201f4000,0x03f881fa,0x000fe200,0x203a0d00,
    0x2c8802fa,0x20001f80,0x00fb801f,0x7cc13fea,0xb80fd402,0x807fee05,
    0x07fee05b,0x3f500be6,0x7d402f98,0x0f7e7cc1,0xfa807f66,0xb82c8802,
    0x407fee05,0x2c8802fa,0x644017d4,0x12e1e402,0xc981dfb8,0x01f801ef,
    0x22007e00,0x3f2621df,0xfb81addc,0x01fec41d,0x36a217f1,0xf101cfaf,
    0x2bf6a217,0x1dfb81cf,0xfb81fec4,0x21fec41d,0xdffb14f8,0xf7001bff,
    0x3df9303b,0x2a217f10,0x701cfafd,0xdf9303bf,0x303bf703,0xb8803df9,
    0x4400cece,0xeffeeffe,0xbaaaa982,0x41aaaabf,0xbfbaaaa9,0xe981aaaa,
    0xb1effeff,0xfd101fff,0x003dffdf,0x1bffdfd7,0x75c03ffe,0xff0dffef,
    0xdffd101f,0xe8803dff,0x81effeff,0x09a9886c,0x77ff4400,0x5c02effe,
    0xf0dffefe,0x3fa201ff,0x02effeef,0x7f77ff44,0x018002ef,0x01ab9880,
    0x7ffffff4,0x20ffffff,0xfffffffe,0x300fffff,0x40001375,0x8000aaa8,
    0x4c0001a9,0x2a20001a,0x544000aa,0x002200aa,0xab988000,0x01a98001,
    0x0d5cc400,0x0d5cc400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004d4400,0x36e00000,0xec9803de,0x55100cee,0x15555555,0x7bdb7300,
    0x5555554c,0x700aaaaa,0x00019bdb,0x2deda800,0x00b76a00,0x40aaaa00,
    0x00001aaa,0x02400008,0x44000c40,0xffd9800a,0x17d402ff,0x3620076c,
    0x00efcadf,0xffb59bfb,0xddddf507,0x4405dddd,0x0dcacefd,0xddddddfb,
    0xe983fddd,0x01ffdbdf,0x0bd103f2,0x7fede7e4,0x7fffc401,0x776c0000,
    0x04fed886,0x0bf62000,0x0007c400,0xfa8003f6,0x33e202ff,0x6405f931,
    0x401ff84f,0x436c40fd,0x2fb881ec,0xf50003d4,0x804d801d,0x037e21f8,
    0x3fa01f91,0xfb83fcc2,0x7c036441,0x200007ff,0x0026406a,0x4fbee980,
    0x000f8800,0xfb0007ec,0x835c0dff,0x202a206d,0x80fcc029,0x2005c2f8,
    0x8003d46e,0x057004f9,0x00fc8f50,0xa814417e,0x3602f881,0x00554404,
    0xc80d5000,0x4fb80004,0x88003be6,0x07ec000f,0x09fff700,0x00fa8174,
    0x80bb0000,0x0fa8005d,0x2f4001ea,0x226c0000,0x003e404e,0xf880d500,
    0x80000001,0x0026406a,0x3620be60,0x003e2005,0xb7000310,0x880fc017,
    0xf000001f,0x000fa805,0x00f507d4,0x00001f90,0x402f85f0,0x900000f9,
    0x0005d00b,0x80d50000,0x0080004c,0xefea8004,0x0000189c,0xb80fc000,
    0x76e54407,0x03e200bd,0xd8003f10,0x7c003d45,0x7a800002,0x036405d8,
    0x037bdb73,0x012e0132,0x376e6000,0x9901aa1b,0x05ef6dc4,0x3aa00000,
    0x6feca9bd,0x40000000,0x817e4c1f,0xdbbcefe8,0x00f302ff,0x2fa800be,
    0xbdcc9bd4,0x00007881,0x01f50b90,0x77dc0fe2,0xb84fecac,0x5405d805,
    0x7bfd1002,0x01aa9fb7,0x2f3bee99,0x2a602fec,0x9800aaaa,0x98df102f,
    0x000aaaaa,0x7f43f000,0x9005405f,0x200d501f,0x3f2a603e,0xffffa82f,
    0x3543fecd,0x8000b326,0x217db02f,0xfd80deb8,0xf98dd302,0x901bea00,
    0x01bd1009,0xc80d7bd1,0x5f902fcc,0x3fbbbae0,0x5c04e801,0x7f7775c5,
    0x3f000001,0x01775d44,0x6b83f880,0x7ec07b00,0x37b303ff,0x9a649f50,
    0x00efedff,0xf9007cc0,0x2e09ffdf,0x227c400f,0x0f7f304e,0x2f402744,
    0x32037f40,0x07dc00ff,0x7c401f80,0x1f800800,0x07999100,0x07f201f8,
    0x35c26c00,0xb9803d80,0x3f50003f,0xa873e736,0x172000ed,0xedcdfd88,
    0x8017c40e,0x513e21fa,0xc883f17f,0x07d401ef,0x32037c40,0x00bd002f,
    0x00f5007e,0xa800fc00,0x0fc02fff,0x98803ee0,0xd709b099,0x9800f600,
    0x29b0005e,0x13a04fdb,0x9d103e80,0x3543d901,0xff30fa00,0x83e29ffd,
    0x99001dfa,0x32036c00,0x401aa007,0x003d401f,0x32003f00,0x01f805ff,
    0x7fe443e8,0x84ffffff,0x005d007a,0xc8001f88,0x7a80df55,0x3601f100,
    0x0b936405,0x37304c80,0x00fe66a8,0x35c005d0,0xf9801720,0x4c01f800,
    0x3f00000f,0x003ffe00,0xa972007e,0x2a609aef,0x800f984e,0x04d8001f,
    0x03f36b80,0x6b800f88,0x1f1003e0,0x0b700136,0x01725b80,0x6b8007e0,
    0xf1002e40,0xd003f001,0x07e00009,0x400ffe60,0xf37a801f,0xf109b009,
    0x000f8803,0x5c8006b8,0x007e003e,0x803cc0f6,0xd800b72e,0x5f1f4004,
    0x4007b000,0x0036406c,0x007e00f3,0x2dc40fe6,0x7e400fc0,0x2007e006,
    0xb001f76b,0xf700fa09,0x00172000,0x4c02e936,0x80fc400f,0x2a5f0079,
    0x0017c007,0x402f41f9,0xdd002dc0,0x7000fc80,0x4007e00d,0xfcbabef9,
    0x801f801e,0x87e002fe,0x09b5d83b,0x1ee09d10,0xd10009d0,0x0fcc0027,
    0x806b80d7,0x007e206a,0x802741f3,0x5f3000ec,0x0fc00fc8,0xdf5003f3,
    0x8804fc80,0x003f002f,0x05f7f5c4,0xf8803f00,0xd50fc005,0x803ee7f0,
    0x7f104ffa,0x03d83ee0,0x803b66d8,0x103d85e8,0x809b005f,0x313a00ec,
    0x01fa805f,0x9f109f70,0x3ae0fc40,0x01bbe600,0x6c405fd9,0x0007e005,
    0x3e0003e2,0x51001801,0xb1fc17f5,0x310efc4f,0x035bb9f9,0x3ee217f7,
    0x20577d43,0x3f620fea,0x4077541b,0x17aa2df8,0x77400fc0,0x5c077542,
    0x1fec41df,0x2fda8822,0x266fbea0,0xfc80efda,0x2abee20a,0x3aa60aaf,
    0x7540df9c,0x007e000e,0x20003e20,0x2e00001f,0x3ee3ffff,0x7f4c1efe,
    0xfb1effef,0xdff501ff,0x3b2205ff,0x00cffeff,0x9ffdffb5,0xffffd980,
    0x400d3004,0x04ffeffb,0x7ff7ff44,0xffffb81e,0xed8800ce,0x5c01ceff,
    0x52efeefe,0x3fe25fff,0xfdffd34f,0x5554c09f,0xaaaabfba,0x3007c401,
    0x57f75555,0x00003555,0x2600aa80,0x200009ba,0x2a2001a9,0x2a60009a,
    0x2aa20009,0x44000000,0x220009a9,0x54400aaa,0x0000000a,0x0000aa88,
    0x80135510,0xfffffffe,0x400fffff,0x3fffa00e,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00202880,0x000aba98,0x00000000,0x00003b51,
    0x79dd9710,0x00ed440c,0x00f26000,0x1001e4c0,0x2aa01555,0x2a6000aa,
    0xd93000ab,0x6400017b,0xaaaaaaaa,0x03aaaaaa,0x03f907f3,0x26f7fea0,
    0xefc806fc,0x004fedcd,0xbd1001f0,0x37607f50,0x400001eb,0xfecbcefa,
    0x2f761faf,0x3a00001e,0x5f52efdf,0x977efec0,0xfeea82fa,0x1feee882,
    0xdcdefc80,0x2fa604fe,0x20006b88,0x5c0e0003,0x003fe85f,0x00efff5c,
    0xec8813a6,0x003e2001,0xbf903fe6,0x00003d00,0xfb881fdc,0x0003d01f,
    0x7e443260,0x432604ff,0x804fffc8,0x201f802f,0x3b2204e9,0x000b6001,
    0x4070001c,0x3002880a,0x1f939ffb,0xa800f540,0x01f1002e,0x02a20660,
    0x400007a0,0x1fd802f8,0x000003d0,0x10001a88,0x00be0035,0x00f5407e,
    0x3d002ea8,0x8000e000,0x6c000003,0xf105c81c,0x40666661,0x0f8800f9,
    0x3a000000,0x5d808001,0x3a03f100,0x00010001,0x3e000000,0xf881f802,
    0x088e5c40,0x3b7201f3,0x000e0003,0x00000038,0x91ec26c0,0x819b999d,
    0x00f8805b,0x07a00000,0x1f83f700,0x01e80200,0xb982f4c0,0x8801bded,
    0x00bdedca,0x03f005f0,0xb9bea87b,0x4c16e1dc,0x7d5004ec,0x4470001c,
    0x55500aaa,0xba988015,0x3543f109,0x3a126064,0x8007c401,0x00aaaaa9,
    0x74c007a0,0x0007c42f,0x2e001e80,0xcefb80df,0xd104feca,0xffb779df,
    0xf005f005,0xd0586a83,0x26c01e83,0x0389fb10,0xfeea8e00,0x1feee882,
    0x3fbbfee0,0x0ee5d8cf,0x0ee16032,0x2e001f10,0x001feeee,0x37f2007a,
    0x00007980,0x3fa6007a,0x2605fb02,0x6401506e,0x4017c00f,0x0aa1dc1f,
    0x500ee04c,0x207bea0d,0x7c0e0003,0xe881f802,0x5fecc0bf,0x81905b0f,
    0xdd75a858,0xdddfdddd,0x3f007ddd,0xd300f400,0x007c405f,0x6401e800,
    0x01f700cf,0x88004f88,0x4017c03f,0x01616c1f,0x1e402b50,0x0380ff62,
    0x017c0e00,0x007640fc,0x4074bfae,0x80dca9ac,0x99999368,0x99999bf9,
    0xa803f003,0x20aaceaa,0x20130cfc,0x2aa0002f,0x2a0aacea,0xf88261ee,
    0x003f5002,0x02f809b0,0x160741f8,0x33b2d100,0x77dc6da9,0x00070260,
    0xf802f81c,0xd800fd41,0x57901d3f,0x01a201d7,0x7c0001f1,0x55555401,
    0x89eea8aa,0x640decdc,0x55514006,0xfb115555,0x1aa5fc89,0x4c407d00,
    0xf809b099,0x3a0fd402,0x9a2002c0,0x3a20bca8,0x0e27ec3f,0x05f03800,
    0x004c83f0,0x6416cfe6,0x02541660,0xf80003e2,0x9fb10001,0xf116e1ec,
    0x00dd3009,0x7d307bea,0x32002e4b,0x7fffe444,0x7c04ffff,0xb07fee05,
    0x2a001d85,0x40dfb804,0x001c4bea,0x200be070,0x2001f41f,0x8190774f,
    0x4403c849,0x07e0000f,0x707bea00,0x3df303e0,0x00efc988,0xae81fec4,
    0x7001365a,0x04d77d4b,0xff809d53,0xf5fb510b,0x12a1dc39,0xd301e418,
    0x973f105f,0x40e00038,0x7c1f802f,0x69974002,0x741c80c8,0x0007c401,
    0x6c4003f0,0x41e6003f,0xffeeffd8,0x0efb802d,0x5b96a990,0x4f9a6c00,
    0x6fc04d80,0xf0dffefe,0x2e1a61ff,0x3d03620b,0x6c037f20,0x00038974,
    0x7c017c0e,0xf10026c1,0x99d92643,0x00993e88,0x7c0001f1,0x01df3001,
    0x2200f4c0,0xb0009af9,0xa874c07f,0x5f001ea5,0x136003ee,0x006a65f0,
    0xcdeb84c8,0xee82641c,0x44b9aa02,0x7c0e0003,0x3641f802,0x7441f500,
    0x0074c001,0xf00007c4,0x000a2003,0x074003d5,0x3d002a00,0x4013a2d4,
    0x1009b0ec,0x002f809d,0x80407a20,0x880500e9,0x00712e1f,0x403e81c0,
    0x017cc1fa,0x03f985d8,0x6c003f70,0x007e0000,0x0075c000,0x0000bae0,
    0xedcccfb8,0xf500be63,0xf5007dc3,0x002f809f,0xb801fcc0,0x3b20001f,
    0x0e3eeccc,0x0b703800,0x7dc0ffdc,0x8807e402,0x1bb301de,0xf8000000,
    0x5d800001,0x05985400,0x26662000,0x6fdc0db9,0x221fec41,0x3f2621df,
    0x5f01addc,0x3bd10000,0x00037660,0xb9333310,0x070001c1,0x6d442fe2,
    0xfd81cfaf,0x017ecc1b,0x7f677f5c,0x2aa6203e,0xaaaaaaaa,0x2aaa609a,
    0xaaaabfba,0x07d10001,0x777e4015,0x54000001,0xfdffd105,0x3fa603df,
    0xfb1effef,0x005f01ff,0x677f5c00,0x00003efe,0x000712e0,0xfdfd701c,
    0x03ffe1bf,0x3ffbffea,0x1a98000d,0xfffff900,0xffffffff,0x7fffff4b,
    0x0fffffff,0xeeefb800,0x00801fee,0x774c0000,0x2aaa204f,0x13753000,
    0x0003d000,0x0006a600,0x7fdd3000,0x5555556c,0xaaaaaaaa,0x001a9804,
    0x0026aa20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x30000ab9,0x33333333,
    0x000b9803,0x40f7b6e6,0x500aaaa9,0x26005555,0x975100aa,0x57300037,
    0x5dc40003,0x2000001a,0x0000aaa9,0x006b2a60,0x457bd970,0x2aa0aaa8,
    0x33b6e61a,0x2666600a,0x03333301,0x3fbbfee0,0x3ff2003d,0xffffffff,
    0x07ff64c3,0xcacffb80,0x77f5c1ee,0xdfddb02e,0x1fef8801,0x76f7fecc,
    0x7ecc01ef,0x793ffeef,0x777f6440,0x503c9eff,0xfeea800b,0xfe980001,
    0x2d9effee,0xb77bfd30,0x5ddf51df,0x7e53fba2,0x82fecbcd,0x45fffffc,
    0x05fffffc,0xa882bf62,0x2666004f,0x2199dd99,0x0f9beff9,0xf902fc80,
    0xb001f881,0x0fdb2009,0x3f620b7e,0x503bf100,0x3a209ddd,0x3f2620ad,
    0x000d704f,0x260000fc,0x7fed40cf,0x880cf983,0x6e406ced,0x05f701ed,
    0x260339b3,0x77401ec9,0x000fe600,0x415104d8,0x1fc400f8,0x017217a0,
    0x3e2003e6,0x201f83f2,0x03e885f8,0x4e884fe8,0xd704f980,0x000fc000,
    0x7fb017e0,0xfd804e88,0x4037e406,0x004d81fa,0x00fb80d7,0xb0001f88,
    0x007c4009,0x21ea0172,0x02ec01f8,0x1d07e5d8,0x05e87c80,0x0dd09f30,
    0x06b826c0,0x80007e00,0x1fc401f9,0x37c401ae,0x6c007f20,0xd7004d84,
    0x9001fc40,0x0136000d,0x04c00f88,0x2e407c40,0xf3003f30,0x44000fc1,
    0x8003e61f,0x0007c43d,0x76d54c33,0x1aaaaaaa,0xa80007e0,0x4d859007,
    0xd901b600,0x26c35400,0x1ae06b80,0x0001f100,0x07c4009b,0x80f98000,
    0x00bb01f8,0x0003f13a,0x002dc1f3,0x0001aa02,0xdddfddd7,0x7c09dddd,
    0x059db731,0xf0000f98,0x2035c005,0x03e2005c,0x81ae009b,0x02e8005c,
    0x22004d80,0xbb00000f,0x0fc42e40,0x07e07dc0,0x07b17600,0x0009b000,
    0xf00035c0,0xfd79df73,0x0005e809,0x035c005d,0x0f980172,0x06b8026c,
    0x132000f6,0x88013600,0xfa80000f,0xb907e201,0x3f07f100,0x20fec400,
    0x2f80002f,0x01ae0000,0x981fef80,0x2fba204f,0x80136001,0x003e406d,
    0x2009b0f5,0x000be06b,0x1360016e,0x0000f880,0x2e4017d4,0x0d9003f1,
    0x3f26007e,0x0001f80d,0x200001f8,0x3fe0006b,0x2a01b201,0x00aceffd,
    0xdf3001f7,0xd002fc80,0x2e009b09,0x2000ba06,0x04d8005b,0x80003e20,
    0x3f1003fa,0x07e60172,0x37ea00fc,0x00007e01,0xb800007e,0x00be0006,
    0x5cc001f1,0x0bd01ffc,0x6406fe88,0x07e400ff,0x06b8026c,0x532000f6,
    0x009b0069,0xa80007c4,0x46e4003f,0x205d801f,0x403d401f,0x2f80002f,
    0x3fffffe0,0x0006b86f,0x007e007e,0xf882fc80,0x6bde981e,0x41fe6640,
    0x09b02fd8,0x05c81ae0,0x00f52e80,0x0f880136,0x003fa800,0xa805df88,
    0x3007e00f,0x0009d00d,0x4cc407b0,0x6b80dd99,0x2007e000,0x2e40001f,
    0xfddefd88,0x4c80d54f,0xdfdbdff5,0xb8026c01,0x1001ae06,0x6c01ea1f,
    0x003e2004,0x40005f70,0xefc801fc,0xefeeeeee,0x3200200d,0x05c80005,
    0x06b826c0,0x3e007e00,0x1e600181,0x41579530,0x2626406a,0x4c801bcb,
    0x7c40b900,0x7a9b2003,0x44007f00,0x0bee000f,0x200d9000,0xccccccca,
    0x80003dfc,0x540002f8,0x4136000f,0x07e0006b,0x03f107e0,0x80003e60,
    0x0026406a,0x4e803540,0x4c007d40,0x2601ea1f,0x03e2001f,0x00017e40,
    0x80000be2,0x3200001f,0xd0d5000f,0xb826c00b,0x007e0006,0x00bf107e,
    0xd50001ae,0x80004c80,0x17c401f8,0xf300f740,0x2204f985,0x07c4005e,
    0x0000fe40,0x20000364,0x0fb6601f,0x320076c0,0x004f883f,0x007e609b,
    0x3e007e02,0x2017fc41,0x540003f8,0x00026406,0xbd100ed8,0x105fec00,
    0x3ba609f7,0x003f6609,0xfd801f10,0x7c403801,0x0fc00002,0x005fffd0,
    0xda882ffa,0x2bba602f,0x204fc980,0x7e4c0aee,0x1f801f84,0x405fefc4,
    0xa80005fb,0x00026406,0xfe985db0,0x77fdc000,0xfc802dff,0x800dffef,
    0xabfbaaaa,0x59f50aaa,0x75555555,0x2aaaa23f,0x0000aafd,0x4073eaa6,
    0x2001fffd,0xdffefffb,0xdfff9000,0x8805bffd,0xefffeffd,0x055fdd42,
    0xd055fdd4,0xffdffd31,0x5540007f,0x260aafca,0x00aaadea,0x7f7fe400,
    0x220000df,0x5530002a,0x3ffe6001,0xffffffff,0xffffff52,0x23ffffff,
    0xfffffffb,0xff30003f,0x2a01ffff,0x5510001a,0x5d440003,0x5440009a,
    0xfff301ab,0xfff985ff,0x2ea202ff,0x2600009a,0x2fffffff,0xfffffff1,
    0x2a600007,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54400000,0x5c4019aa,0x2aa0bded,
    0x00aaaa1a,0x55555300,0x32e20001,0x01998801,0x26204ccc,0x4cccc019,
    0x4ccccc41,0x33330009,0x00013333,0x02666666,0x99999980,0x4cc19999,
    0x00999999,0x98033310,0x4cccc099,0x99999999,0x00054419,0xfffdffb1,
    0x79df501f,0xddf15fd9,0x003776c9,0x3fbbbae0,0xdffa8000,0xfff502fe,
    0x3fff60bf,0x5ffff12f,0x3fffff20,0xffffff75,0x2e059dff,0xffffffff,
    0xfb000cff,0x00dfffff,0x3fffffe2,0xf70fffff,0xffffffff,0x3fea03bf,
    0xfffb05ff,0x3fffee5f,0xffffffff,0x0bffea7f,0x26057740,0xf503fa81,
    0x035403f7,0x003e2000,0x7d419f30,0x803f9101,0x6cc40cf9,0x3ee6606f,
    0x4ccee441,0x304fca99,0x333335f3,0x26003ffb,0x01fafa99,0x9999af88,
    0x260fb999,0x99999af9,0xf9103feb,0x40cf9803,0x9999af99,0x367b9999,
    0xfa806fff,0x00fe2001,0x35403ff5,0x03e20000,0x0a60db00,0x0eb809d0,
    0x5013b320,0xd301720d,0xb100fc09,0xb5c8001f,0x403f1009,0x803f04e8,
    0x013a01fb,0x00fc01d7,0x9fff73d4,0xc800b900,0x403f9006,0x4400006a,
    0x01fc000f,0x2603f300,0x7d66402f,0x2e41aa00,0x1f80fcc0,0x20027c40,
    0xf100f52f,0x3f036c03,0x7cc09d00,0xf805f301,0x6dc7a801,0x004c800b,
    0x1fa801f4,0x00001aa0,0x1f8001f1,0xe8364000,0x0bb4c804,0x005c8354,
    0x2007e0d9,0xf1ea005c,0x501f8805,0x400fc01f,0xe836406b,0x9801f805,
    0xdaaa8006,0x0aaaaaae,0x3f1002f8,0x55543540,0x1f1001aa,0x0003e800,
    0x03ee1f44,0x817c5320,0x200b906a,0x801f81f8,0x9136004c,0xf101b00b,
    0xd801f807,0x7dc4e804,0x8181f800,0x77744000,0xeeeeeeff,0xf3002f82,
    0x7ec35403,0xf1004eef,0x005c8001,0x5f11fa80,0x06c93200,0x801720d5,
    0x4401f83e,0x83f1001f,0xbd0000f9,0xfa803f00,0xf11f9801,0x3e07e005,
    0x26400001,0x5400f600,0x2a1aa01f,0x0f88004f,0x33f73300,0x5b200013,
    0xd132005d,0x1720d507,0x01f84c80,0x6a8017ee,0xf70007d0,0x5303f001,
    0xb64005fb,0x207e005d,0x6400001f,0x0075c004,0x8d500fec,0xf10003fb,
    0xfffff001,0x0001ffff,0x4001fdf1,0x2a07d44c,0x6400b906,0xbaaacf85,
    0x6c004ffd,0x9800d703,0xffff002f,0x00bfffff,0x000fee88,0x3ffffffe,
    0x26400001,0x2e027400,0xc9aa01ff,0x3e20002f,0xe9998800,0x3600099c,
    0xeefffeee,0x6c26405e,0x05c83545,0x3bbe1720,0x000dfeee,0x1f8807c4,
    0xf8013a00,0xcba9999a,0x3ea001ee,0x4cd7c003,0x6d401f99,0x004c800b,
    0xfc80df98,0x23aa01f9,0x440001ed,0x03d8000f,0x001f1000,0x21f984c8,
    0x400b906a,0x6c41f84d,0x57dc003f,0x4eaaaaaa,0xf800d900,0x002fc801,
    0x1f8003f1,0x3fee01f8,0x004c804f,0xfdbdfd10,0x5403f11d,0x80005fef,
    0x3d8000f8,0x01f10000,0x4d904c80,0x400b906a,0xf701f82f,0x7fff4007,
    0x07ffffff,0x07301fa8,0x0172003f,0x3e000fc4,0x7fec0381,0x004c806f,
    0x10de5cc0,0x4efd403f,0x7c40004e,0x002e8000,0x7f755550,0x4c805555,
    0x41aa7f10,0x01f1005c,0x017cc03f,0x17c007cc,0x35c07f10,0x0f9800fc,
    0x4001f880,0x2a77001f,0x4c803fff,0x3e200000,0x4f89aa01,0x003e2000,
    0x20003f10,0xabfbaaaa,0x026402aa,0x320d51f5,0x3e0d9005,0x2007e401,
    0x40b9005c,0x7c35c05d,0x001f1001,0x1f8003f1,0x0d449900,0x00004c80,
    0x6a803e60,0x880027cc,0x035c000f,0x07c400d4,0x9d013200,0x201720d5,
    0x003f00fb,0x002f809d,0x01f701f3,0x001f86b8,0x07e200d7,0x32003f00,
    0x01320004,0x406c8000,0x004f986a,0x22000f88,0x802e802f,0x264000f8,
    0x641b3e60,0xf00fdc05,0x203f3003,0x21f4007a,0x86b802f9,0x03fa801f,
    0xf8003f10,0x00099001,0x80000264,0x835402fa,0x7c4004f9,0x55fd5000,
    0xf9555555,0x3eeaa201,0x2a200aab,0xf900aadd,0xaaeda88d,0x82ffdaaa,
    0x0aacfaa8,0x5442bb20,0x5100aadd,0x3b615db5,0xaaaaaaaa,0x9f5516ca,
    0xb7555555,0xbaa9807f,0x5102aabf,0x555559f5,0x009d5555,0x576d5544,
    0x8801aaaa,0x3fdbaaaa,0x441b2a60,0x54c1acfc,0xaabfbaaa,0x7ffcc1aa,
    0xffffffff,0x3fff201d,0x2e04ffff,0x105fffff,0xffffa8df,0x00adffff,
    0x5ffffff7,0xfca7fc40,0xf905ffff,0x3f6bffff,0xffffffff,0xffff76ff,
    0x9dffffff,0xffff9803,0xb81fffff,0xffffffff,0x04ffffff,0x3ffffee0,
    0x00ffffff,0x6f7fffdc,0x837ff401,0x747ffffc,0xffffffff,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26662000,0x99999999,0x0f260099,0x40666600,0x99881999,
    0x204ccc01,0x99999998,0x99998800,0x44099999,0x33100099,0x4ccccc41,
    0x99999999,0x02666660,0x98026662,0x00999999,0x01333310,0x30266662,
    0x4c013333,0x26209999,0x00999999,0x33333310,0x7fd40013,0xffffffff,
    0xfb05ffff,0x0bea5dfb,0x237fffe4,0x2a6ffffc,0xfb05ffff,0x3fe25fff,
    0x07ffffff,0x7fffffd4,0xf32fffff,0x3f600fff,0xffffb3ff,0xffffffff,
    0x3fffeedf,0x7fff43ff,0xffffc83f,0x01ceffff,0x1ffffff5,0x5ffffff0,
    0x17fffff2,0x2fffffec,0xfffffffd,0xfff8801f,0xdfffffff,0x9bf98801,
    0x99999999,0x910c985d,0xf9809fff,0x05f3301b,0xe9803dd1,0x4eecc40e,
    0x98800999,0x999af999,0x01feec40,0xcd83b3e6,0x9afa9999,0x2666c999,
    0xfa8809bf,0x2776600d,0x3fdb9999,0x01337f10,0x303ea662,0x4c0133bb,
    0x26209ec9,0x0099af99,0x333bb310,0x009f9533,0x02e400ba,0x3e003510,
    0xf101f801,0x200fb807,0xf100005c,0x0d799001,0x1ec6adc8,0x435c07c4,
    0x013e601f,0x0fea026c,0x1ea0017c,0x0fa003d4,0xc80007e0,0x4017d405,
    0x00b9002e,0x400fc000,0x407ea01f,0x576402f9,0x4001aaaa,0x8cc800f8,
    0xd53f101f,0x80f883d8,0xf501f86b,0x4026c007,0x883e80fa,0x3e06b809,
    0x001f3002,0x2e40003f,0x17403ec0,0x2aa64c80,0x059db710,0x07e007e0,
    0x3f881f70,0xfffffc80,0xf1003fff,0x17299001,0x1ec6ab5c,0x435c07c4,
    0x003fb81f,0x85d8026c,0xc84fd84d,0x6c017205,0x0003f005,0x07cc02e4,
    0x20060ba0,0xcefaafed,0x1f805feb,0x6d801f80,0x05c802f4,0xf100bf51,
    0x3e299001,0xd8d53e80,0x6b80f883,0x017e41f8,0xf88026c0,0x3efc2e40,
    0x01f30264,0x3f001f88,0x402e4000,0x417401f8,0x5fdf002e,0x1f809f30,
    0xe8801f80,0x32001f94,0x2027c405,0x24c800f8,0x8d53d44d,0x880f8809,
    0x07f21f82,0xd0026c00,0x4fcc6b85,0x3a01ec1f,0xf0035c03,0x02e40003,
    0x417403d4,0x03ff002f,0x007e03e4,0x67cc007e,0x0172001f,0x01f101f2,
    0xb07d4990,0xf8803549,0x7ec7e000,0x01360002,0x2e3d43d8,0x402e87d6,
    0x001f406a,0x2e40003f,0x3a013e60,0x02ffffff,0x1f8807f0,0x3fffffe0,
    0x001fffff,0xb9000fee,0x4403f300,0x744c800f,0x03541f33,0x3e000f88,
    0x003feeea,0x3ffffffe,0x989b07ff,0x7c6ba747,0xf301f801,0x000fc001,
    0x3ee20b90,0x3337d005,0x0be005f3,0x9bf807e0,0xf9999999,0x03bfa001,
    0xf8805c80,0x2003e200,0x45cb5c4c,0x01f1006a,0xfb86ffc0,0xbb331006,
    0x36013333,0x1f887c44,0x003e21f3,0x002e4172,0xfc80007e,0x3ffeeeee,
    0x0be0ba00,0x0fc017c0,0x03f003f0,0x017a3b20,0x06b805c8,0x264007c4,
    0x1aa0fd7c,0xf0007c40,0x8009d30b,0x20f6004d,0x32f8f51f,0x203e600f,
    0x00fc002f,0xcccec80c,0x74000abc,0x5f000a82,0x0fc03f00,0x7d400fc0,
    0x32007f11,0x201fdc05,0x84c800f8,0x006a86fb,0x0fc001f1,0x36002f88,
    0x3a07e004,0xf54c8b92,0x1ea1f400,0x3e007e00,0x00005c81,0x5f0000ba,
    0x0fc03f00,0x3e600fc0,0x6400fd42,0x04fda885,0x4c800f88,0x06a82c88,
    0x7c001f10,0xd801b201,0x360f3004,0xd57a87d3,0x13635c00,0x3e007e00,
    0x00005c81,0x5f0000ba,0x0fc03f00,0x9d100fc0,0xf9003f20,0x3bffffff,
    0x2003e200,0x0354004c,0x3e000f88,0xd8017c01,0x360bb004,0x4fc40f9c,
    0x47e2005b,0x1f8001f8,0x05c81f80,0x000ba000,0x03f005f0,0x00fc00fc,
    0x405d80db,0x01aaaaec,0xc800f880,0x80354004,0x07e000f8,0x13600d90,
    0x66403b20,0x0997d06b,0x00d74d80,0x07e007e0,0xe8000172,0x017c0002,
    0x003f00fc,0x003ee03f,0x02e409f1,0x800f8800,0x0354004c,0x3e000f88,
    0x400fc401,0x03ee204d,0xb704ddb8,0xd7a8007b,0x007e0007,0x0017207e,
    0x559f5510,0xf5300155,0x9f530159,0x0acfa983,0x8567d544,0x301adfa8,
    0x54c17f95,0x01aaaaed,0xbfbaaaa8,0xb510aaaa,0x2a20155b,0xaa80afca,
    0x82aabfba,0x0aacfaa8,0x51035bb0,0xb55555bd,0xffa803ff,0x005df302,
    0x2001fbf0,0xaacfaaa9,0x1fbaaaaa,0x2aabb6a6,0x3fea001a,0x04ffffff,
    0x1fffffcc,0x987ffff4,0x5c5fffff,0xf93fffff,0x3fa0ffff,0xfff15fff,
    0x80dfffff,0xfffffff9,0xff72ffff,0x3ee0bfff,0x7cc5ffff,0xffffffff,
    0x7ffffdc1,0x1fff502f,0xffffffb8,0x9800acef,0x07fe00ff,0x8017f200,
    0xfffffffe,0x1fffffff,0xfffffff1,0x000000df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33100000,
    0x33333333,0xcc880333,0x0000009a,0x0002e000,0x80000000,0x36a2000a,
    0x4c051cde,0x801bdedb,0x220bedb8,0xaa881ddb,0x1555500a,0x6f6e5440,
    0x5555400b,0x15555402,0x2f7b72a0,0x2aaaaa01,0x80aaaaaa,0xfffffff8,
    0x0fffffff,0x3ffbbfb0,0x40007c00,0x21cdedb9,0x001bd0fd,0x7e440000,
    0x4027e400,0xfdbdffe8,0xefb80fef,0x204fecac,0x8efbcefc,0x42fecfe8,
    0xe882feea,0xfe881fee,0x2ffdbbce,0x03bbff60,0x80effed8,0xecbcdfd8,
    0xddddf03f,0x03ffdddd,0x3b27b262,0x0fa99999,0x00220fa8,0x64000f88,
    0xdffdbcef,0x33f661fd,0x5c000000,0x3fa802ef,0xd301fd80,0x302fd81f,
    0x3a0660dd,0x03ee0edd,0x80fc017c,0x803f200a,0x81ec005b,0xbd500df9,
    0x1fcc03f0,0x106b9ec0,0x0007b01f,0x3a000f88,0x05ff501e,0x0000ffaa,
    0x000ffaa0,0x2a017c00,0x1003ee0f,0x7fd4009f,0x05f04f82,0x220003f0,
    0x001e603f,0x2017a05f,0x880fc2f9,0x2e3f004e,0x5f01f106,0x00f88000,
    0x7e401d90,0x177dc05d,0x67ecc000,0x3a000000,0x0be23805,0x8800fd40,
    0xf01f907f,0x0003f005,0x507e026c,0xb80f887f,0x051ea007,0x3cc017a2,
    0x203e20d7,0x7c40004d,0x201f9800,0x402f89fc,0x8001efc8,0x0000dfc8,
    0x0acfa800,0x74006a80,0x3e226203,0x5f03f103,0x31003f00,0xd0136133,
    0x3546fd87,0x0fc004d8,0xb90036c0,0x2607035c,0x3e20000f,0x3205c800,
    0x4401721f,0xf7000dfd,0x0000003d,0xcefffd98,0x64005c82,0x7fff6544,
    0xcccccdff,0x802f82fc,0xfff9101f,0x809fffff,0x83ebe24c,0xddddd05c,
    0xdddddddd,0x00ed805f,0x2a6b8fa0,0x000bb003,0x26c007c4,0x03541fb8,
    0x4033f660,0x5c002efa,0xeeeeeeee,0x203eeeee,0x21efeca8,0x8adc004d,
    0xf511befd,0x9999999b,0x3f005f03,0x4135df50,0x35404ea9,0x03e8fad5,
    0x999999bd,0x05999999,0xf10007e4,0x009935c3,0xea805ff9,0xeefeeeee,
    0x0fa3eeee,0x01e60bee,0xd51ff540,0x32a0007f,0xcccccccc,0x2002cccc,
    0x00b71fc8,0x201f74d8,0x2f8002f8,0x27cc1f80,0x3e2026c0,0x1f9ae9b0,
    0x400009b0,0x3d4001fb,0x813fffee,0x5c6b9ee8,0x9999935f,0x99999bf9,
    0x0bee26c5,0xfa80035c,0x033f662e,0x26000000,0x1ea9d000,0x81365f00,
    0x2f8004f8,0x07dc1f80,0x57c026c0,0xf33f11f8,0x800035c0,0x4c8002fa,
    0x026ccf5c,0x33a4e8d5,0x4007c400,0xd80bee6b,0x1ff54004,0x0007fd50,
    0x004d8000,0xc80274b9,0x7cc0d70e,0x403e8006,0x4026c1fa,0xabd804e8,
    0x10355ec6,0xf980007f,0x67c0ee03,0x0ee6daaa,0x44fcc4d8,0x00f8801f,
    0x02fabf88,0x6cc007ea,0xdf7000cf,0x20000005,0x1fcc00ed,0x1fa805f3,
    0x3fe607e6,0xb81c883f,0x707fee05,0x27fd401f,0x2e26edc0,0x17d404ce,
    0x7f116440,0xef984d80,0x2006eeee,0x05bec82f,0x2a001f10,0x0fe603ff,
    0x0037f220,0x007bf220,0xffd80080,0xb86ea80a,0x1fec41df,0xfdf30fdc,
    0x077d47f9,0xda885fc4,0x3e21cfaf,0x33f2621d,0x3e601add,0x017fc41f,
    0x64c0efdc,0x55dd11ef,0x9d555555,0x80d70d70,0x3fe213a0,0x001f1002,
    0x882f7fea,0xefb804fc,0xfd880001,0x27dc000d,0x3ffeef20,0x100cffee,
    0x3dffdffd,0xa7fffe40,0x3ffffb8e,0x7ff7f5c0,0x4c1fff0d,0x1effeffe,
    0x2201fffb,0x001fb06f,0x3fbbffa2,0x7ffd42ef,0xffffffff,0x06b83d84,
    0xfb07c96e,0x003e2001,0x3ff66fea,0x5401effe,0x800002ef,0x7000cfe9,
    0xba98009f,0x5510009a,0x2aa20015,0x80055100,0xa98001a9,0x0000009b,
    0x55cc4000,0x7c000001,0x9ae06b81,0xdf912df8,0x0f88015b,0x2a21fc40,
    0x7f4c00ab,0xa8000003,0x001002fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6b83cc00,0xdfd11ae0,0x0bff13ff,0x003001d0,0x00019d00,
    0x00eb8000,0x00000000,0x00000000,0x00000000,0x00000000,0xb5100000,
    0x576d4c3d,0x06daaaaa,0x00000353,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0xfffffd1f,0x00dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33bb2e20,0x2aaa2063,0x441cc982,
    0x45bb71aa,0x5300bec8,0x33b6e215,0x4c050002,0x2aaaaaa0,0x55555440,
    0x055554c2,0x506aaaa2,0x15c004c0,0x02603980,0x20c40098,0x32600db8,
    0x9db701be,0x4c199885,0x00988099,0x9106aaa6,0x77d40999,0xfaffecbc,
    0x33f77541,0x5c9f9bfd,0xfdceedfe,0x07ebef9a,0x9df55fdb,0xc800bfd7,
    0x362fa80f,0x4c2eeefe,0x5c5efeee,0x74c2eeff,0x07744ffe,0x3ea00fe4,
    0x2a17b512,0xc813203f,0x74bd100e,0x1b900fbd,0x25bb07aa,0x3fff62d9,
    0x64dfff10,0xa82efeff,0x7fd43fff,0x207f703f,0x2a01ffb8,0x6c41bf57,
    0xf7077ec0,0x3e02e89f,0x04f982fe,0x9f705fb0,0x2ec01720,0xec80bd10,
    0xd80ef880,0x7efdc02f,0x03fdffcf,0x03b6026c,0x03e01dd1,0x201a61a2,
    0xf1fff269,0x504d4bff,0x2fff981f,0x4407ffe4,0x01fd802f,0x800bf3ea,
    0x42fc40fd,0x807fe06b,0x1fec407c,0x3f102fe4,0x4401f880,0x401db05e,
    0x7f441ff9,0x2a177402,0x804d806e,0x01dd10ed,0x0f30007c,0x37fdcd50,
    0x3a00fffa,0x20fffc42,0x0bb03fff,0xfa807e20,0x826c001f,0x3e06a81f,
    0x880fc403,0x05fc83fe,0x036404d8,0x3b60de88,0x41ffa800,0x5f103fe8,
    0x0ab83e60,0xd83a8936,0x7c00ee9e,0x205d1000,0x3ea0edc9,0x317fec5f,
    0x07fdffdb,0x6ff98fff,0x008007e0,0x6c0007d4,0x0d503f04,0x40fc017c,
    0xefd84fe8,0x200f9800,0x3ba2002f,0x2a000ed8,0x27fcc2ff,0xc8fa03dc,
    0xdaddadff,0x1dfb04ff,0xd1001f00,0x0f6d4407,0xffb89ff3,0x5337bf11,
    0xb8ffd07d,0x01f102ff,0x003d4000,0x503f04d8,0x7c017c0d,0x222ffcc1,
    0x3a000efd,0x2000f503,0xb8000efd,0x27fcc2ff,0x50b70136,0x059ffffb,
    0x40077f44,0x0174c00f,0x3fe21f30,0x4d87fd43,0x8dfb07d0,0x01e606fd,
    0x000f5000,0x540fc136,0x3e00be06,0x2a17fe41,0x3d4004ff,0xe88003e8,
    0xf88000ef,0x21ffe86f,0x501f406b,0xee8805ff,0x07c00ed8,0xd0003d50,
    0x3e60ffc5,0x0ff20f67,0x05ff13f2,0x000007c4,0x136000f5,0xf03540fc,
    0xf903f005,0x03ffa83f,0x03e617c0,0xdb1bd100,0x77f44001,0x220ffe40,
    0x203f301f,0x100fcbf8,0x0076c1dd,0x8037201f,0x7ec68808,0xbf32fc40,
    0x8bddbdb9,0x017e63fb,0xa80000be,0x209b0007,0x3e06a81f,0xf901f802,
    0x02ffa81f,0x009b1ae0,0x076c5e88,0xfb85fd80,0x983dd01e,0x5e97a06d,
    0xed80ee88,0x2afeaaa0,0x2aaabb22,0x26f7a67a,0x980c42ec,0xa8565440,
    0x7106c42a,0x5001b200,0xd8003d40,0x0d503f04,0x00fc017c,0xff981df7,
    0x223f1001,0x17a2001f,0x3f600764,0x500efb85,0xdfd7dfdf,0x441f705f,
    0xb007643f,0x5555554b,0x2aaaaa62,0x01cba82a,0x00000000,0x3009f100,
    0x003d40dd,0x503f04d8,0x7c017c0d,0x4c37d401,0x2b9001fe,0x17a2005c,
    0x3f203f90,0x500efa84,0x473ae67f,0x540ec2fb,0x00080045,0x00000000,
    0x00000000,0xc9883df3,0x5cccc0ef,0x0aaaaaaf,0x40adea88,0x057d41cf,
    0x30159f53,0xfa8039f5,0x800ee885,0x3002fbf9,0x550155fd,0x1fdc15fd,
    0x0f202fcc,0x000025c0,0x00000000,0x00000000,0x3f620000,0x82dffeef,
    0xfffffff9,0xfb83ffff,0x7ffc2fff,0x7cd7fea0,0xfe83ffff,0x74c00fff,
    0xb002d880,0x3fe600df,0x7fcc2fff,0x40ba2fff,0x0000004c,0x00000000,
    0x00000000,0x00000000,0x0026ae62,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004c4000,0x3bbb6a00,0xeeeeeeee,0x01c04eee,0x44444444,0x08888888,
    0x20388030,0x805c001a,0x36a0dfc8,0x44440003,0x88888888,0x08888888,
    0x7ffffffc,0x50ffffff,0x99999999,0x99999999,0x00000079,0x00000000,
    0xdfffd500,0x0b7f6605,0x99999993,0xb9999999,0x3027dc0d,0xffffffff,
    0x5fffffff,0x437440d0,0x300dfff9,0xffc80ed8,0x47fff74f,0x32f440ec,
    0xffffffff,0xffffffff,0x7ffc5fff,0xffffffff,0xbbbb50ff,0xbbbbbbbb,
    0x019bbbbb,0x00000000,0x54000000,0x85f931cf,0x05ffcffc,0x2a0d7000,
    0x26202fbf,0x99999999,0x1d019999,0xfa81bd30,0x7b81dd13,0x7fe41fd8,
    0x4bfffb5f,0x23fcc2fe,0x99999998,0x99999999,0x00000199,0x00000000,
    0x00000000,0x827c4000,0xc89f10fc,0x6b80000f,0x03f73f88,0x36e00000,
    0x1fc13ea2,0x3ee27b62,0x74c5f902,0x5fff51ff,0x00198144,0x00000000,
    0x00000000,0x00000000,0x01f30000,0x20fdc7e2,0xb80004f8,0x07645e86,
    0x21500000,0x0080fe59,0x70077fee,0x0b88181f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x92f80f50,0x000bf01f,0x80ed8d70,0x5555445e,
    0xaaaaaaaa,0x3bf20aaa,0x2200001e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x21f502f8,0x00fd43f9,0x1f735c00,0xee993e20,
    0xeeeeeeee,0x081eeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0f640000,0x59fd13a6,0x20000df9,0x9805f36b,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77ec0000,
    0xfc885fec,0x00001cff,0x5400a295,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbcc98000,0x00054401,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_36_latin1_x[224]={ 0,7,4,2,3,2,3,7,9,4,0,2,4,2,
7,3,3,3,2,3,3,3,4,3,3,4,7,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,5,2,5,5,6,1,2,7,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_36_latin1_y[224]={ 26,6,6,5,4,6,9,6,6,6,6,8,21,16,
22,4,6,6,6,6,6,6,6,6,6,6,12,12,8,13,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,4,6,6,33,5,12,6,12,6,12,6,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,26,12,5,7,10,7,
6,6,6,7,5,12,16,16,7,3,2,6,6,6,5,12,6,14,25,6,5,12,6,6,6,12,1,1,1,3,
2,1,7,7,1,1,1,2,1,1,1,2,7,3,1,1,1,3,2,11,6,1,1,1,2,1,7,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_36_latin1_w[224]={ 0,5,11,15,13,15,13,5,6,6,12,15,8,15,
5,13,13,13,14,13,13,13,13,13,13,13,5,8,16,17,16,12,13,19,17,17,16,16,16,17,17,13,17,18,
17,19,18,16,16,17,18,15,15,17,19,19,17,17,13,6,12,6,13,20,7,16,18,16,18,16,15,17,17,15,
11,17,15,19,17,15,18,18,16,13,15,17,19,19,17,17,13,7,3,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,12,16,13,17,
3,15,11,19,11,16,17,15,19,21,9,15,9,9,7,17,15,5,6,9,11,17,19,20,19,12,19,19,19,19,
19,19,19,17,16,16,16,16,13,13,13,13,18,18,16,16,16,16,16,11,17,17,17,17,17,17,16,15,16,16,
16,16,16,16,19,16,16,16,16,16,15,15,15,15,15,17,15,15,15,15,15,15,17,17,17,17,17,17,18,17,
 };
static unsigned short stb__courier_36_latin1_h[224]={ 0,21,10,24,25,21,18,10,25,25,12,17,10,2,
5,25,21,20,20,21,20,21,21,21,21,21,15,18,17,7,17,20,24,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,23,19,20,19,20,19,19,19,19,19,25,25,25,9,2,6,15,21,15,21,15,20,20,20,21,
27,20,20,14,14,15,20,20,14,15,20,15,14,15,14,20,14,25,25,25,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,21,19,13,19,
25,23,4,20,10,14,9,2,20,3,10,20,11,11,6,20,23,5,7,11,10,14,20,20,20,21,25,25,25,23,
24,25,19,25,25,25,25,24,25,25,25,24,19,23,26,26,26,24,25,12,22,26,26,26,25,25,19,21,22,22,
22,20,21,23,15,20,22,22,22,21,21,21,21,20,21,19,22,22,22,20,21,16,17,22,22,22,21,27,26,26,
 };
static unsigned short stb__courier_36_latin1_s[224]={ 252,249,215,73,203,189,21,239,234,209,160,
35,245,158,118,173,34,36,50,48,83,62,76,90,104,134,246,244,86,55,69,
97,89,159,193,110,123,229,1,128,36,89,18,139,217,103,104,1,235,119,140,
180,123,234,197,177,54,211,179,237,224,217,41,174,104,187,180,1,161,224,1,
17,162,228,1,35,53,35,55,133,215,196,18,119,146,169,90,204,110,65,241,
191,187,244,88,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,252,243,215,
69,146,86,199,156,124,196,227,73,23,158,35,136,13,55,195,205,80,178,103,
112,73,185,1,128,125,87,216,148,1,21,41,189,53,61,1,1,99,116,133,
19,150,164,178,241,158,137,156,86,103,36,192,173,102,120,138,68,216,81,72,
1,1,209,226,161,17,172,149,108,172,120,155,205,222,238,199,71,19,18,86,
70,18,145,118,103,51,34,137,52,1,13,49,31, };
static unsigned short stb__courier_36_latin1_t[224]={ 1,55,230,55,1,81,210,230,29,29,230,
210,230,246,246,1,104,148,148,104,148,104,104,104,104,104,169,104,210,246,210,
148,55,169,169,148,169,169,190,148,190,190,148,190,190,190,169,148,190,55,169,
148,190,148,190,190,190,169,169,1,1,1,246,246,246,210,104,230,104,210,169,
169,148,104,1,169,169,230,230,210,148,148,230,210,148,210,230,210,230,148,210,
1,1,1,246,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,1,55,104,
169,230,169,1,55,246,126,230,230,246,246,126,246,246,126,230,230,246,126,55,
246,246,230,246,230,126,126,126,104,29,29,29,55,55,29,210,55,29,29,29,
55,29,29,29,29,190,55,1,1,1,55,29,230,81,1,1,1,29,29,190,
104,81,55,55,126,104,55,210,126,81,81,81,81,81,81,104,126,126,190,81,
81,81,126,104,210,210,81,81,81,126,1,1,1, };
static unsigned short stb__courier_36_latin1_a[224]={ 305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_36_latin1_BITMAP_HEIGHT or STB_FONT_courier_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_36_latin1(stb_fontchar font[STB_FONT_courier_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_36_latin1_BITMAP_HEIGHT][STB_FONT_courier_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_36_latin1_s[i] + stb__courier_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_36_latin1_t[i] + stb__courier_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_36_latin1_x[i];
            font[i].y0 = stb__courier_36_latin1_y[i];
            font[i].x1 = stb__courier_36_latin1_x[i] + stb__courier_36_latin1_w[i];
            font[i].y1 = stb__courier_36_latin1_y[i] + stb__courier_36_latin1_h[i];
            font[i].advance_int = (stb__courier_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_36_latin1_s[i] + stb__courier_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_36_latin1_t[i] + stb__courier_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_36_latin1_x[i] + stb__courier_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_36_latin1_y[i] + stb__courier_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_36_latin1_LINE_SPACING
#endif

