// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_44_latin1_BITMAP_HEIGHT        366
#define STB_FONT_courier_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_44_latin1_FIRST_CHAR            32
#define STB_FONT_courier_44_latin1_NUM_CHARS            224

#define STB_FONT_courier_44_latin1_LINE_SPACING          21

static unsigned int stb__courier_44_latin1_pixels[]={
    0x00004000,0x00401326,0x00400022,0x00200000,0x00001100,0xdb001100,
    0x200007dd,0x00000000,0x00000001,0x00000800,0x007f5000,0x5c03fd40,
    0x01ff506f,0x0001bf00,0x003f9000,0x0000fe40,0xb009f300,0x00009fdd,
    0x0000013a,0x00007f50,0x8000bb10,0x000000ee,0x0003bee0,0xfd807fa8,
    0x01ffb80f,0x000efa80,0x09fb1000,0x02fe8800,0x0efa8000,0x00027c00,
    0x00000fc8,0x001df700,0x02fe8800,0x00ffcc00,0x2fe40000,0x03fd4000,
    0x3c881e44,0x07fea000,0x7fd10000,0x3fa20000,0x3ee00003,0x04f8000e,
    0x009f1000,0x0bf90000,0x3ff30000,0x3fe60000,0xb1000002,0x2600009f,
    0x0000004c,0x00bfe600,0x017fcc00,0x027ec000,0x002fe400,0x400009f0,
    0x000000fd,0x00009fb1,0x0003df50,0x003fe880,0x003fd800,0x00000000,
    0x1fe88000,0x0ffc4000,0x7f900000,0x027e4000,0x00013e00,0x00003f98,
    0x00007fb0,0x0001df50,0x00bf6200,0x00035000,0x00000000,0x000b8000,
    0x00000b80,0x20001a80,0x4f800029,0x03ec0000,0x001a8000,0x00093000,
    0x0002a000,0x00000000,0x05555550,0x02aaaa98,0x00000000,0x00000000,
    0x4f800000,0x2f7f6e62,0x007f5001,0x00000000,0x00000000,0x00000000,
    0x2aaaaaaa,0xff11aaaa,0x2203ffff,0x21ffffff,0x00999998,0x83333331,
    0x00999998,0x03333331,0x06b32e60,0x59973000,0x229f0003,0xffeceffe,
    0x006e801f,0x4ccccc40,0x31000199,0x98801333,0x26200999,0x01999999,
    0x2aaaaa80,0x155554c0,0xfffffff5,0x5c49ffff,0x4c4009bf,0x3fe60cfa,
    0x443fffff,0x4fffffff,0xfffffff3,0xfffff887,0x3fee04ff,0x01dfffff,
    0x7ffffdc0,0x3e001dff,0xd302ff9c,0x02fa803f,0x3ffffe00,0x8001ffff,
    0x01ffffff,0x07fffffe,0x7ffffffc,0x3e2001ff,0x101fffff,0x43ffffff,
    0x99999998,0x05f84f99,0x55407e40,0xa80aaadf,0x20acfbaa,0x0aaadfaa,
    0xacfbaaa8,0x215bf900,0x002ffba8,0x2a215bf9,0xdf002ffb,0x3fb001bf,
    0x20006e80,0xbfcaaaa9,0xfa98004f,0x754c02af,0x2aa602bf,0x04fbfcaa,
    0x04dfdc40,0x033ea620,0x7dc27c00,0x809f1001,0x17cc004f,0xf98009f0,
    0x807fd102,0x3a202fe9,0x17f4c03f,0x0007ffc0,0x01fb80fd,0x3edb6000,
    0x007f5000,0x6c0013e6,0x3e000fb6,0x007e4005,0x17e09f00,0x3e007e40,
    0x017cc004,0x2f98009f,0x22005f90,0x05f900fe,0xf003fa20,0x2f98005f,
    0x80002fc0,0x005f53f8,0x74007ec0,0x3f88000f,0xf70005f5,0x013e2003,
    0x3ee09f00,0x4027c401,0x17cc004f,0xf98009f0,0x4004f982,0x04f985f8,
    0x3e02fc40,0x809d0007,0xb80001fb,0x80017e0f,0x17dc05f8,0x3e0fb800,
    0x00bf0005,0xf00003f2,0x3202fc09,0x004f800f,0x09f017cc,0xfd82f980,
    0x41fc8000,0xfc8000fd,0x4001be01,0x02fc406d,0x3f237400,0x0fea0000,
    0xd0002fc4,0x8000fc8d,0x27c401fb,0x7027c000,0x013e203f,0x3e60027c,
    0x30013e02,0x003f985f,0x1fcc5f10,0x202f8800,0x0f90005f,0x40001f90,
    0x01fc42f9,0x3603f600,0x5f30000f,0xf0003f88,0x000fc80b,0x2fc04f80,
    0x9f000fb8,0x202f9800,0x17cc004f,0xd80003ee,0x80003ee4,0x001be04d,
    0x27c4036c,0xd01f9000,0x5f88000d,0x900017d4,0x000dd01f,0x27c407ee,
    0x404f8000,0x02fc41fb,0xf98009f0,0x30013e02,0x0007c85f,0x000f9364,
    0x03fe06c8,0x6c013e00,0x0bf0000f,0x500007ee,0x0017e25f,0x07ee0bf0,
    0xfb82fc00,0x09f00000,0x01fb8bf0,0xf30013e0,0x20027c05,0x0036c2f9,
    0x036c3ea0,0x7c03ea00,0x17dc004f,0x8003f980,0x09f102f9,0xfb1fb000,
    0x17cc0001,0x70004f88,0x005f883f,0x2e013e00,0xf0017e0f,0x02f98009,
    0x5f30013e,0x4c0004f8,0x80009f1f,0x3fff01f9,0x0017e600,0x0fb000fb,
    0x880007d8,0x40003fef,0x003ec07d,0x01fb8bf0,0x4013e000,0x8003f75f,
    0x17cc004f,0xf98009f0,0x20002742,0x0009d1f9,0xdbf01f98,0x0ffa805f,
    0x001fcc00,0x2f9809f1,0x06fb8000,0x2027c400,0xf70002f9,0x00002fc1,
    0x4fdc013e,0x04f8005f,0x9f017cc0,0x6c2f9800,0x87d40006,0x7d40006d,
    0x37f69f00,0x3dfb531a,0x801ba000,0x05e801fa,0x003f8800,0x7400fd40,
    0x5d7e0005,0x7c00001f,0x07ffe004,0x30013e00,0x0027c05f,0x00f90be6,
    0x01f26c80,0x27c0d900,0xffffffd7,0x2fa80009,0xfffffb00,0x1fffffff,
    0x03f88000,0x7fffec00,0xffffffff,0xf3f70000,0x9f00000b,0x002fdc00,
    0x7cc004f8,0x30013e02,0x000fb85f,0x00fb9360,0x4f813600,0x001aca88,
    0x2201ba00,0xccccccdf,0x003fcccc,0x0001fc40,0x99999bf1,0x07f99999,
    0x00fffc00,0x0027c000,0x3a0003f7,0x00fdc005,0x1fb800bd,0x88001fcc,
    0x000fe63f,0x09f01fc4,0xfa800000,0x0007dc02,0xf88000db,0x03ee0003,
    0x20006d80,0x000005fb,0x02fc009f,0xd800d700,0x20035c07,0x001fb07d,
    0x0fd83fb0,0x201fd800,0x0000004f,0x02f405f8,0x80007ea0,0x3a0003f8,
    0x00fd4005,0x0001fb80,0x7003f880,0x7cc0003f,0x301be001,0x837c003f,
    0x7cc004f9,0x4004f985,0x027c05f9,0x7dc00000,0x0005f301,0x7c40009f,
    0x05f30003,0x20009f00,0x7000005f,0x01ba003f,0x6401be00,0x006f802f,
    0x1fe405f9,0x900fe880,0x3fa2007f,0x00027c00,0x82fc4000,0x0f90007c,
    0x001fc400,0xf90007c8,0x003f7000,0x401fa000,0x980002fb,0x17f200df,
    0x9006fcc0,0x4fd880bf,0x1017fcc0,0xff9809fb,0x0004f802,0x01f90000,
    0x3e60009f,0x07f10002,0x40013e00,0x374002f9,0x5fb80000,0x74ccccc4,
    0x4000099e,0xb711bff9,0x7cc001bf,0xbfb711bf,0x2fbf2001,0x03ff9511,
    0x446fbf20,0x2201ffca,0x1999df99,0xd1000000,0x337f7267,0x332a00bc,
    0x5c02cefc,0xccefcccc,0xfb9301cc,0x5401799b,0x02cefccc,0x30002fb8,
    0xfb733333,0xffffff09,0x001fffff,0xffffe980,0xd30003ff,0x07ffffff,
    0xffffd500,0xa80019ff,0xcffffffe,0x7ffffc00,0x0003ffff,0x3ee11000,
    0x01ffffff,0x3ffffffa,0x3fffe206,0x3fffffff,0xffffff70,0x7fff403f,
    0x26626fff,0x099ee999,0x3fffee00,0x5303efff,0x55555555,0x54400003,
    0x800009bc,0x0009bca8,0x055e5440,0x2f2a2000,0x5553000a,0x00055555,
    0x00000000,0x00000000,0x3e000000,0xffffffff,0x551000ff,0x00015555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a600000,0xaaaaaaaa,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
    0x00130000,0x00ec4000,0x00366000,0x00188000,0x44000040,0x00010000,
    0x03599500,0x22009801,0x001b0000,0x0003b300,0x01b26440,0x40000fea,
    0x000cfeeb,0x1fff4c00,0xeffb8000,0xdb000001,0x01ba2000,0x000bf300,
    0x700007f5,0xfffffffb,0x7d403e65,0x01ff980f,0x00017c40,0x000fffee,
    0x7c53ff20,0x0013f603,0x0f623f10,0x9efb8000,0x10000dfd,0x07fd3bfb,
    0x04f88000,0x001ff980,0x0007bea0,0x880027ec,0x2a21bdfe,0x701fbdfe,
    0x5ff503ff,0x002f8800,0x3f677f60,0x33e20005,0xf900fe20,0x225c000b,
    0xd8800069,0x07bee0df,0x447fd300,0x00000dfd,0xfa8001f9,0x3ee0001e,
    0x7e40000e,0x17fc4005,0x80fffd40,0x00ee03b8,0x1bdfda88,0x87fd1002,
    0xb8000efb,0x401fc40f,0xb8000efb,0x400034c4,0x3fd303fd,0x407be200,
    0x880006fb,0x77dc004f,0x37f20000,0xdf700000,0x00bf6001,0x0001ff98,
    0xdfff5000,0x80f9dfff,0x0ff501ff,0x7f10bd00,0x001bea00,0x01ec47e2,
    0x2200d400,0x002e2003,0xf9000053,0x02fd4003,0x0013ee00,0x201bea00,
    0xfc8005fa,0xb8000001,0x7fe4c1ef,0x1002a00f,0x10bd0005,0x014c007f,
    0x0cfeea80,0x00000000,0x80000000,0x144005f8,0x0014c000,0x90053000,
    0x1f30001f,0x35997300,0x1017e600,0x000001ff,0x3e217a00,0x40000003,
    0x4cc40001,0x33100999,0x26003333,0x0001accb,0x00007ee0,0x00000000,
    0x009d0000,0x3fee00c0,0x01dfffff,0x3dc007e4,0x33333310,0x5e800033,
    0x26623f88,0x99999999,0x26662019,0x80019999,0xfffffff9,0x7ffffc43,
    0x3fee04ff,0x01dfffff,0x2206f800,0x99999999,0x99999999,0x4ccccc40,
    0x41999999,0x99999998,0x99999999,0x000be209,0x856fe400,0x202ffba8,
    0xf802006d,0xffffffff,0x217a0001,0xffff73f8,0xffffffff,0x3fffe0df,
    0x001fffff,0xaaadfaa8,0xcfbaaa80,0x15bf900a,0x00bfeea2,0xf302fa80,
    0xffffffff,0xffffffff,0x7ffffdc7,0xffffffff,0xffffff36,0xffffffff,
    0x07d47fff,0x3fa20000,0x817f4c03,0x5300006d,0x9f7f9555,0x442f4000,
    0x5555513f,0x55555bf7,0x2aaaa603,0x0004fbfc,0x5f30013e,0x300ffa20,
    0x3a0005fd,0x6fdd5406,0xaaaaaaaa,0x2a23fbaa,0xadfbaaaa,0x2aa1aaaa,
    0xaaaaadfb,0x3fbaaaaa,0x200001f2,0xfd1002fc,0x0003f701,0x03edb600,
    0x7f10bd00,0x0003f880,0x000fb6d8,0x3e60027c,0x2005f902,0x54000fe8,
    0x07f1002f,0x4401fc40,0x0fe2003f,0x1f23f880,0x09f30000,0xe885f880,
    0x200000bf,0x005f53f8,0x0fe217e0,0x80007f10,0x005f53f8,0xf30013e0,
    0x8009f305,0x3f4005f8,0x4007f100,0x3f8803f8,0x800fe200,0x001f23f8,
    0x0001fb00,0xff9103f9,0x4000159d,0x0017e0fb,0x0fe20fe6,0x80007f10,
    0x0017e0fb,0x3e60027c,0x8000fd82,0x7f3001fc,0x001fc400,0x7f1007f1,
    0x001fc400,0x003e47f1,0x0007f300,0xdb880be2,0x000cffff,0x003f2374,
    0x44077e44,0x01fc403f,0x1f91ba00,0x8009f000,0x01fcc2f9,0xb002f880,
    0x1fc4001f,0x2200be00,0x0fe2003f,0x0fd45f00,0x00fb8000,0x98013600,
    0x3001efdb,0x003f885f,0x3e203ffd,0x001fc403,0x3f885f30,0x4004f800,
    0x007dc2f9,0xf3009b00,0x03f88009,0x3f8800c0,0x000fe200,0x0003f983,
    0xc8000f90,0x3fd30006,0xdd01f900,0x03bf6600,0x7f100fe2,0x407e4000,
    0x04f8006e,0x1f217cc0,0x900d9000,0x3f88001f,0x440009b0,0x0fe2003f,
    0x2fc4026c,0x006d8000,0x80007d40,0x05f803f8,0x7d4003f7,0x4403f883,
    0x17e0003f,0x3e000fdc,0x217cc004,0x7d40006d,0x0013e200,0x02f40fe2,
    0x4007f100,0x00bd03f8,0x200007ee,0x7cc0004f,0x01760001,0x13e205f3,
    0x7f10bf00,0x0003f880,0x13e205f3,0x98009f00,0x00027c2f,0x0fc807e6,
    0xaadf8800,0x0005eaaa,0xf8800fe2,0x5eaaaaad,0x4001ba00,0x80009d4c,
    0x800751f9,0x203ec06d,0x42f4007d,0x1fc403f8,0x6c07d800,0x0027c007,
    0x009d0be6,0xf101f980,0x3fe2000b,0x05ffffff,0x800fe200,0xfffffff8,
    0x17e6005f,0xdb2fd880,0x90fa8000,0x027c001f,0x2f9809f1,0x3e217a00,
    0x001fc403,0x3e6027c4,0x0013e002,0x006d85f3,0xfb807d40,0x39f10001,
    0x00bd3333,0x1001fc40,0xd333339f,0x1efa800b,0xf91ff440,0x326c8000,
    0x1fd800ef,0x3a007ea0,0x2217a005,0x01fc403f,0x7400fd40,0x0013e005,
    0x007c85f3,0x0bf03640,0xe81fc400,0x0fe20005,0xbd03f880,0x59ff5000,
    0x07ff6e23,0x6c0001f7,0x40bbff24,0x7ec04fe9,0xffffffff,0xbd000fff,
    0xf8807f10,0xfffd8003,0xffffffff,0x009f000f,0x07dc2f98,0x2e09b000,
    0x3e20002f,0x40009b03,0x3e2003f8,0x20009b03,0xffffffc8,0x03f980df,
    0x7647f100,0xfeeeffea,0x6fc402ff,0xcccccccc,0xbd003fcc,0xf8807f10,
    0x66fc4003,0xcccccccc,0x0bd003fc,0x7cc1fb80,0x07f10003,0xf10001ba,
    0x10030007,0x1fc4007f,0xd3000c00,0x1fb0037b,0x443fb000,0x33bfb2a1,
    0x00fb800a,0x2f401b60,0x3e201fc4,0x007dc003,0x1ae00db0,0x3f60fb00,
    0x81fd8000,0x440002fa,0x0fcc003f,0x8800fe20,0x0fcc003f,0x4c005b00,
    0x2fcc004f,0x4002f880,0x0fd4005e,0x1fc42f40,0xd000fe20,0x01fa800b,
    0x3e001f98,0x8009f306,0x00dd05f9,0x8007f100,0x1fc401f9,0x8007f100,
    0x3b6001f9,0x00ff2003,0x88007f44,0x0be6002f,0x36013e00,0x4403f887,
    0x0be6003f,0x7c013e00,0x405f9006,0xfd1003fc,0x0007f301,0x98007f10,
    0x01fc401f,0x98007f10,0x174c001f,0x404fd880,0x22002ff9,0x01f2002f,
    0x7dc03e40,0x2201fc43,0x01f2003f,0xf9803e40,0x017f200d,0xf9809fb1,
    0x000fb02f,0x3000fe20,0x03f8803f,0x3000fe20,0x21b9803f,0x77e4002d,
    0x3ff9511b,0x002f8800,0x7cc0013e,0x13efd802,0x03f8807f,0x4c0013e0,
    0x7ff3002f,0x037f6e23,0x88df7e40,0xf301ffca,0x3e200007,0x00fcc003,
    0xf8800fe2,0x00fcc003,0x017fff62,0x7ffff540,0x88000cff,0x7ee4c02f,
    0x2a00bccd,0x02cefccc,0x263b2ed4,0xdfcccccc,0x932ccccc,0x01799bfb,
    0x677e6654,0xfffe9802,0xa8003fff,0xcffffffe,0x0003ae00,0x99bf9970,
    0x99999999,0x33263fb9,0xccdfcccc,0x332e2ccc,0xccccccdf,0x1fdccccc,
    0x00013100,0x01579510,0x5c00b800,0x1fffffff,0x3fffffa0,0x7dc0006f,
    0xffffffff,0xff75ffff,0x403fffff,0x6ffffffe,0x26f2a200,0x65440000,
    0x000000ab,0xffffff10,0xffffffff,0x3ee3ffff,0xffffffff,0xff15ffff,
    0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001d8800,0x002600c0,0x40007620,0x0c004c01,0x02600260,
    0x36200088,0xcc9d4000,0x3bbbb201,0x37b2202e,0x09800101,0xeeee80c4,
    0x400761de,0x0009bcb9,0x00157510,0x74c00013,0xf90003ff,0x001fee0d,
    0x8007fff3,0x0ff706fc,0xff706fc8,0x980ffa80,0xbf1001ff,0xfcafcc00,
    0xdddd904f,0x37fea07f,0x0dd10cff,0x83645e80,0x11deeeff,0xfffb805f,
    0x000dffff,0x3bfffff2,0x000df900,0x37f67bee,0x83fec000,0xf7000ffc,
    0x001bfb3d,0x7fe41ff6,0x641ffa00,0x3fee00ff,0x002ffa81,0x7f400bf6,
    0x200bf221,0x21bf03f8,0x2ffdffc8,0x1b627c00,0x07f1027c,0xa8856fec,
    0x6c401efc,0xeea88acf,0x000ffe80,0xfb837f62,0x0b22001e,0x6c401644,
    0x07bee0df,0x6440b220,0x880e4c02,0x01dc402c,0x6f980077,0xf886fa80,
    0x003f8804,0x000676cc,0x7c17a27c,0x220fe204,0x7fcc03fe,0x440bf602,
    0x00ffe86e,0x74c0ff60,0x0000001f,0xfd303fd8,0x00000001,0x00000000,
    0x3a01ff40,0x100bd02f,0x0000007f,0x82f43f88,0x20fe204f,0xfd1002fc,
    0x9807f301,0x007fec1f,0x03880350,0x35000000,0x00003880,0x00000000,
    0x37d40000,0x2ec0ff30,0x4c01fc40,0x0001accb,0xf04f87f1,0x261fc409,
    0x27cc004f,0x43f803ec,0x000007fd,0x99999880,0x33333100,0x98800003,
    0x99999999,0x09999999,0x4cccccc4,0x20199999,0x99999998,0x0ffc0001,
    0x17604fc8,0xfb80fe20,0x1dffffff,0x3e17cc00,0x7c409f04,0x40007f43,
    0x00fe61fd,0x01ff22ec,0x33333331,0x33333333,0x7fffcc13,0x7fc43fff,
    0x224fffff,0x99999999,0x3fe61999,0xffffffff,0x3fffffff,0x3fffffee,
    0x6fffffff,0xfffffff0,0x640003ff,0x401ff04f,0x03f8805d,0x2a215bf9,
    0x26002ffb,0x7c0fe21f,0xfa8fe204,0x49f10003,0x8db001fb,0x3fe607fc,
    0xffffffff,0x3fffffff,0x5556fd54,0xcfbaaa80,0xfffff70a,0xffffffff,
    0x56fdd54d,0xaaaaaaaa,0x2aa23fba,0xaadfbaaa,0x55301aaa,0x09f7f955,
    0x543fc400,0x402ec05f,0x1ff443f8,0x400bfa60,0x40fe21fa,0xb8fe204f,
    0x9b60000f,0x6e98807c,0x2aa037dc,0xaaaaadfb,0x3fbaaaaa,0xf98009f0,
    0x55555442,0xaaaaadfb,0x2003f881,0x3f8803f8,0xfb6d8000,0x42ff8000,
    0x02ec04fd,0x0bf21fc4,0x4007f440,0x40be60fa,0xc8fe204f,0xb3e40007,
    0x7fffdc0d,0x88037dc6,0x0fe2003f,0x3e60027c,0x007f1002,0xf1001fc4,
    0x007f1007,0x5f53f880,0x227f4000,0x02ec03ff,0x09f31fc4,0xc985f880,
    0xdcccfdcc,0x9f1cccdf,0x0bb17c40,0xbd0fb800,0xb35dfd10,0x1005fb8d,
    0x1fc4007f,0x7cc004f8,0x007f1002,0xf1001fc4,0x007f1007,0x17e0fb80,
    0x225fd800,0x036c02ff,0x01fb1fc4,0xfb83f900,0xffffffff,0x9f3fffff,
    0x013e0c80,0x13e5f300,0xa8db0bf6,0x07f1005f,0x4f81fc40,0x8017cc00,
    0x3e2003f8,0x4017c003,0x740003f8,0x80007e46,0x03fe66fc,0xf8803f70,
    0x20007f33,0x23e402f8,0x009f00fb,0x4c0004f8,0x3f989f1f,0x027d46d8,
    0x7c003f88,0x98009f02,0x07f1002f,0x2001fc40,0x007f1001,0x3e217cc0,
    0x4ff70003,0xfe8807fa,0x2e7f100b,0x1360000f,0x00fb8db0,0x05e8009f,
    0x4f87dc00,0x236c07dc,0x7f1004f9,0x13e01800,0x2005f300,0x3e2003f8,
    0x40009b03,0x320003f8,0x0006e80f,0x1fee1ff5,0x8837fcc0,0x8000f93f,
    0x3236c06c,0xb0013e07,0x27c8000f,0x6c07e44f,0x8801fcc6,0x8009b03f,
    0x17cc004f,0x2003f880,0x00bd03f8,0x0001fc40,0x007ee0bf,0x7fa9fea0,
    0x01cfe880,0x001b67f1,0x2f401f50,0x004f81f2,0xb00007dc,0x0fea27cd,
    0x007f11b6,0x02f40fe2,0xf30013e0,0x00fe2005,0xaaaadf88,0x220005ea,
    0x5f30003f,0x20013e20,0x03fe66fc,0xf8805f70,0x980009f3,0xdb17a01f,
    0x260027c0,0x9f30003f,0x03be227c,0x200190db,0xaaaaadf8,0x027c005e,
    0x4400be60,0x3fe2003f,0x05ffffff,0x000fe200,0x01f603ec,0xff897f60,
    0x4403ec01,0x80009d3f,0xffff31f9,0xffffffff,0x2027cbff,0x0007ec0b,
    0x50bd07ec,0x1fd57dff,0x7ffc4000,0x005fffff,0x3e60027c,0x007f1002,
    0x4ccce7c4,0x220005e9,0x4f88003f,0x20017cc0,0x01ffc4fe,0x4fe20176,
    0x7d40006d,0xdf999710,0x999df999,0x5f1027c5,0x4c004f98,0xd9836c4f,
    0x004fffff,0x26673e20,0x7c005e99,0x017cc004,0x22003f88,0x000bd03f,
    0x54001fc4,0x005e801f,0x13fa17fc,0x7f100bb0,0xd90001f2,0x13e1fc40,
    0x0fe204f8,0x74400bf6,0x4c03e40f,0x44000189,0x800bd03f,0x17cc004f,
    0x2003f880,0x009b03f8,0x4001fc40,0xfffffffd,0x000fffff,0x5fb81ff1,
    0x7c402ec0,0x40001f73,0xf0be604d,0xf1027c09,0x3013f607,0x01f703ff,
    0x7c400000,0xf8009b03,0x017cc004,0x22003f88,0x8018003f,0x7c4003f8,
    0xcccccccd,0x7003fccc,0x01ff109f,0x9fc402ec,0xf10003f9,0xf117cc07,
    0xf1027c07,0x8df7ec07,0x300efca8,0x5440007f,0x007f1000,0x0017a030,
    0x3e2003f7,0x00fe2003,0xf8803f30,0x007dc003,0x3fa00db0,0x6c07fb01,
    0x363f8805,0x1fd8000f,0x3f887ea0,0x3f8813e0,0x7ffff540,0x07e804ff,
    0x07fff300,0x98007f10,0x4006b81f,0x0fe2007d,0x4003f880,0x1fc401f9,
    0x50017a00,0x06fa803f,0x05d81be6,0x13e63f88,0xa80bf300,0xf80be60f,
    0x400fe204,0x2001befd,0xfc8003fa,0x3f8806ff,0x4c0fcc00,0x01be001f,
    0x22003f88,0x0fcc003f,0x9800fe20,0x04f8002f,0x3fa01fec,0xf100bd02,
    0x1003fc87,0x0fb801fd,0x04f807e6,0xfb100fe2,0x3f602009,0xfa872204,
    0x3f8804ff,0xf80fcc00,0x005f9006,0xf1001fc4,0x01f98007,0xf9001fc4,
    0x981f2000,0x2fd400ff,0x7c401fc4,0x2027ec43,0x7b802ff9,0x09f00fd4,
    0xff301fc4,0x37bdffdf,0xe883fd71,0xfba99bdf,0x80164c1f,0x7cc003f8,
    0x401bf301,0x7c4005fc,0x00fe2003,0xf8803f30,0x0013e003,0x3fc817cc,
    0xfc83fd00,0x903f8800,0x32a237df,0x8f9001ff,0x813e00fa,0xfff103f8,
    0xffdb99bd,0x7e405fff,0x01dfffff,0x003f8800,0xff300fcc,0x37f6e237,
    0x01fc4000,0x666fe65c,0xcccccccc,0x99931fdc,0x999bf999,0x3f726599,
    0x2a00bccd,0x22cefccc,0x3e6006f8,0x2e0bfd74,0x203fcccc,0xffffffea,
    0x71b2000c,0xcccef80f,0x5405f10c,0x06ea2009,0x009aa980,0xdfccb800,
    0xcccccccc,0x401fdccc,0xffffffe9,0x66664c03,0xccccdfcc,0xfffff12c,
    0xffffffff,0x2e3fffff,0xffffffff,0xf75fffff,0x03ffffff,0x7ffffff4,
    0x70007a26,0xfd807769,0x8803ffff,0x8000abca,0x7fc02818,0x0762efff,
    0x00000000,0x7ffc4000,0xffffffff,0x1fffffff,0x13795100,0xfffff700,
    0xffffffff,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33b66000,0x64400080,0x000100de,
    0x00000010,0x00400000,0x00004000,0x26200040,0xeeeeedca,0x36a005ee,
    0x0080000b,0x00008000,0x77765440,0xb005eeee,0x547ffbff,0xbff5004f,
    0x1ba219ff,0x005f7000,0x02f44000,0x00dd1000,0x00374400,0x400bd100,
    0xadebdffb,0x002aafba,0x003f95bd,0x00017dc0,0x00005f70,0x2aab3fa2,
    0x9806baaa,0x3bffa63f,0x1bf000ef,0x3ff7ff22,0x7f440001,0xf9800003,
    0xf300002f,0x2600005f,0x300002ff,0xff3003ff,0x0f11e41b,0x025c5a80,
    0x007fd100,0x00ffa200,0x30033a00,0xeda8000d,0xdb300003,0x22000019,
    0x200004fd,0x00001ffa,0x00003ff5,0x00007fea,0x4400f7d4,0x223c84fe,
    0x221ec007,0x7ec40007,0xfb100004,0x07cc0009,0x000034c0,0x00000000,
    0x002fe400,0x00077dc0,0x000efb80,0x001df700,0x003bee00,0x23c837d4,
    0x22d40078,0xf900004b,0x7e40000b,0x00970005,0x266621a2,0x99998801,
    0x26662019,0x00019999,0x0017ee00,0x0000dfa8,0x0001bf50,0x00037ea0,
    0x2002fdc0,0x447904fc,0xcadf8007,0x2e00001f,0x2e00005f,0x05b8005f,
    0x7ffffc00,0x7ffffc03,0xffff05ff,0x003fffff,0x00154000,0x80000730,
    0x4c000039,0x1cc00003,0xc81fec00,0x54001e23,0x800000bd,0x4c000029,
    0x01f88002,0x3feaa600,0x2eaa600f,0x55300adf,0x09f7f955,0x00000000,
    0x00000000,0x00000000,0x04fd8000,0x0003c479,0x00000000,0xb5000000,
    0x00005fff,0x2200bfdf,0xb6d8003f,0x0000000f,0x00000000,0x00000000,
    0xfc800000,0x03c47906,0x00000000,0x80000000,0x19f50aec,0x7de7c000,
    0x003f8801,0x02fa9fc4,0x3b6ea200,0x88002def,0x2defedba,0xfd971000,
    0x5550059d,0x5554c035,0x372a001a,0x2600bcef,0x223c82ff,0xdb751007,
    0x20005bdf,0x2cefecb8,0x01aaaa80,0x206aaaa6,0x2fd880f8,0x1ba9f000,
    0x7000fe20,0x4002fc1f,0xcdefffd8,0x8801efed,0xdcdefffd,0x2e001efe,
    0xffecdfff,0xffff101e,0x7fffec07,0xeffe8805,0x202fffdc,0x11e42ffb,
    0xfffd880f,0x1efedcde,0x37ffee00,0x101effec,0x6c07ffff,0x1f05ffff,
    0x000efd40,0x201fd53e,0x374003f8,0xd10003f2,0x3bea0159,0x05674400,
    0x4400efa8,0xfd500dfe,0x0fe66209,0x80bd3330,0xfd302ffb,0x56ffd40b,
    0x101e23c8,0x3ea0159d,0x6ff4400e,0x209fd500,0x4c03f998,0x0b905e99,
    0x20019f90,0x8803f64f,0x0be6003f,0x000007f1,0x00001fdc,0x2fd807f7,
    0xf805f900,0x9817a003,0x4fb800df,0x1fffedc0,0x5c0000f1,0x017ec03f,
    0x1fc02fc8,0x3a20bd00,0x02fd8805,0x813e24f8,0x3f2003f8,0x00006e80,
    0x00002fc0,0x03fa817e,0x7f007ec0,0xdd02f400,0x001fc800,0x003c47b1,
    0xfa817e00,0x007ec003,0x02f4007f,0xf5003db1,0x7e44f809,0x4007f101,
    0x003f705f,0x0036c000,0x6f81b600,0x204f8800,0x417a003f,0x744001fc,
    0x788f2006,0x036c0000,0x9f1000df,0xbd001fc0,0x801bf500,0x113e04e8,
    0x00fe20df,0x4f8817cc,0xd8088000,0xb0110006,0x000fe20d,0x007f036c,
    0x005d82f4,0x32001f70,0x44001e23,0x7f106d80,0xf81b6000,0x4017a003,
    0x7c403fd8,0x5f509f00,0x36007f10,0x4003ec07,0xfffffed9,0xb3006ece,
    0x9dfffffd,0x2afea0dd,0xaaaaaaaa,0x207caaaa,0x417a003f,0x3f30004f,
    0x0788f200,0xffffdb30,0x2a0dd9df,0xaaaaaabf,0xcaaaaaaa,0xe800fe07,
    0x0f74c005,0x413e07b0,0x01fc40fd,0x3e6027c4,0xdffb1002,0xffb99599,
    0xeffd880d,0xffdccacc,0xfffff706,0xffffffff,0x3e01ffff,0x2217a003,
    0x7f10002f,0x0788f200,0x6677fec4,0x06ffdcca,0xfffffff7,0xffffffff,
    0x00fe01ff,0xf70005e8,0xf00e8819,0xf113e609,0x003f5007,0x9fd100bd,
    0x440db001,0x6d800cfe,0x33335f50,0x33333333,0x01fc0333,0x07f10bd0,
    0x400be200,0xe881e23c,0x06d800cf,0x333335f5,0x33333333,0x001fc033,
    0x6c4000bd,0x204edbae,0x887f204f,0xfffd803f,0xffffffff,0x017ec00f,
    0x17ec0db0,0x3e20db00,0x7f000003,0x4f82f400,0x003f5000,0x360788f2,
    0x41b6002f,0x000003f8,0x02f4007f,0x05f7e400,0x5f8813e0,0xbf100fe2,
    0x99999999,0x4f807f99,0x9f036c00,0x3e06d800,0x7f000005,0x6d82f400,
    0x400f9000,0x4f81e23c,0xbf036c00,0x0fe00000,0x00005e80,0x013e007b,
    0x00fe25f7,0x36c001f7,0xe8005f30,0x8005f306,0x00bee06e,0x4013e000,
    0x07f505f8,0x2005f980,0x7cc1e23c,0x70374002,0xf000005f,0x817e2009,
    0x00d50008,0x45ba013e,0x002f403f,0x2fc407ea,0x106fe980,0x3fa600bf,
    0x0007f406,0x300dd00c,0x0fec0bff,0x4001fd00,0x7c41e23c,0x0dfd3005,
    0x18000fe8,0x3e601ba0,0x400f205f,0x009f006a,0x407f19f3,0x4f8002f9,
    0xf7003fa0,0x07f40dff,0x01bffee0,0x2a005df1,0x03f900fe,0x102fffdc,
    0xfe9805ff,0xf11e4002,0x2e007f40,0x7c406fff,0x1fd5002e,0xfb807f20,
    0x013205ff,0x04f801f4,0x407f3f90,0x0f90007c,0xa88577cc,0xcfd8dfec,
    0x8577cc2c,0xd8dfeca8,0xfd102ccf,0x75d4c35b,0x3fe202ff,0xdfeca88c,
    0xd103cee8,0x32a235bf,0x3c8002ff,0xaef981e2,0x1bfd9510,0x220599fb,
    0x2a61adfe,0x2202ffeb,0xeca88cff,0x83cee8df,0x00eb804c,0x3e2009f0,
    0x013e03fe,0xd3017cc0,0x5fffffff,0x4c37ffec,0xfffffffe,0x01bfff62,
    0xfffffff7,0xf30017df,0x45ffffff,0x7dc06ffe,0x0dffffff,0xecccc980,
    0x1999f90d,0xfffffe98,0x3fff62ff,0x7fffdc06,0x00beffff,0xffffff98,
    0x21bffa2f,0xccccccec,0xcb800efd,0x201cccef,0x6e4c3ffb,0x200bccdf,
    0x2cefccca,0x026f2a60,0x37953000,0x54c00001,0x10001abb,0x00015795,
    0x026f2a60,0xaaaaa880,0x0555550a,0x004de54c,0x57753000,0x32a20003,
    0xa98000ab,0x0aaaaaaa,0xfffff100,0x3fe807ff,0x7fffffdc,0x3fffa01f,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000010,0x6440001a,0x00080001,
    0x00009880,0x000002a2,0x91002b80,0x00400003,0x000e4400,0x00039100,
    0xa9800000,0x0bca8009,0x000bee00,0xbfffff70,0xffe98001,0xffe98002,
    0xfe98003f,0x5000beff,0x009ffffd,0x02af2e60,0x3a6013ea,0xc80002ff,
    0x3a60000f,0x980002ff,0xd0003ffe,0xfb300009,0x203dffff,0x2004fffa,
    0x88003fe8,0xfca9bdfe,0x5df7002f,0x7d4009fb,0x005eb89c,0x32ab3fea,
    0x77e402ff,0x00efdbac,0xffffff70,0x01be21bf,0x13f6bbee,0x004fd800,
    0x3f6bbee0,0x3bea0004,0xb8005fda,0xd88000df,0xeba9bcef,0x6fffc84f,
    0x027ec400,0x7440bfa0,0x06fec01f,0xf8801df7,0xf3007f02,0x03fb101d,
    0x37d417ee,0x8856fec0,0x0feaffc9,0xf706fec0,0x7f44001d,0x37f60003,
    0x0003bee0,0x77dc1bf9,0x077dc001,0x9013fa00,0x3fff985f,0x00bf9000,
    0xdf100bee,0xfa81fec0,0xc81ea00f,0x200fd806,0x80df06f8,0x7fd102fb,
    0x01ffe980,0xffa81fec,0x02fe8800,0x540ff600,0x9fb000ff,0x0003fe60,
    0x6c003ff5,0x301fb002,0x5fb80001,0xf7005e80,0x71006e03,0xf1026401,
    0xa802f980,0x200fdc2f,0x05f906f8,0x7003fee0,0x400b8803,0x40001ff8,
    0x005c401b,0x05c401b8,0x00ffcc00,0x017cc000,0x80550000,0x5f3003f8,
    0x6b800000,0x1f701ea0,0x0df17e00,0x9f307f20,0x13f7e600,0x17000000,
    0x00000000,0x40000000,0x800001d8,0x000003f8,0x801fc400,0x000002f8,
    0x05d80fcc,0x4f9003e4,0x9f3003f8,0xf8800fe8,0x0000fc8e,0x00000000,
    0x00000000,0x00000000,0x00005f10,0x009b0000,0x5d4403ea,0x002defed,
    0x0fb88776,0xf30036c0,0xf8007e63,0x7400fe64,0x5009f11f,0x0179dfb9,
    0x22000000,0x02cefecb,0x201aaaa8,0x001aaaa9,0x5c000000,0x32a00007,
    0x400bcefd,0x85e801fb,0xcdefffd8,0x8801efed,0x01ffcdfd,0x3ee007b8,
    0x74001f73,0x32003ee5,0xd1036c2f,0xfffb9dff,0xaaaa8805,0xfb8001aa,
    0xeffecdff,0x7ffff101,0x2ffffec0,0x55555510,0xf3000003,0x44007e0b,
    0xffdceffe,0x03be202f,0xce882fd8,0x01df500a,0x202b2ea0,0x01f34da8,
    0x1f29ff10,0x03e4db00,0x83e427d4,0xfd302ffb,0x7fffec0b,0x3a2003ff,
    0x9fd500df,0x00fe6620,0x6c0bd333,0x03ffffff,0x17f22000,0x7dc01fc4,
    0x0bfd302f,0x4cd67f44,0x80002feb,0x440003fb,0x3e0befdb,0x95ffc804,
    0x367c800f,0xa82fcc05,0x006fcc0f,0x333027dc,0x6c007f33,0x05f9002f,
    0x17a003f8,0x7f333330,0x7ff44000,0x0fe604ff,0x7001bf30,0xfffe809f,
    0x00001fff,0x2e20017e,0xf900bdfd,0xaed7e403,0xf3e4007c,0x80774409,
    0x003742f9,0x3f8007f2,0x8007f500,0x00fe00fd,0x3f8005e8,0x7ff64000,
    0x013e603f,0x1fc800dd,0xb979df90,0x200001df,0xfd71006d,0x3f60017b,
    0x6d97ec43,0x27c800f9,0x807f604f,0x007f21f9,0x7c00dd10,0x000df003,
    0x01fc09f1,0x7f000bd0,0x7e4c0000,0x6409f505,0x3744001f,0xee9817ec,
    0x36022000,0x37fae206,0xffd0000a,0xaf47ffdb,0xd3e4007c,0x700ff20b,
    0x8002ec1f,0x07f000fb,0x20007f10,0x800fe06d,0x03f8005e,0x0efb8000,
    0x0bb02fd4,0xfc83ee00,0x2607e801,0xefffffed,0x5bf506ec,0x00153101,
    0xf02b7ae6,0xdb001f2b,0x027d4364,0x0013e3e4,0x3f800fcc,0xaaabfa80,
    0xaaaaaaaa,0x0fe07caa,0xf8005e80,0xf3000003,0x3e05fb87,0x43f30004,
    0x83f3003f,0xacceffd8,0x006ffdcc,0x19ffff70,0x74f98000,0x72f4001f,
    0x8037c41f,0x000be26d,0x3f801fc4,0xfffffb80,0xffffffff,0x7f00ffff,
    0x4002f400,0x2000003f,0x8837dc6d,0x7f10002f,0x4e8007e6,0x20033fa2,
    0xbec8006d,0x8000db50,0x005f51fa,0x749f3274,0x24f8800f,0xf10003f8,
    0x200fe005,0x99999afa,0x99999999,0x800fe019,0x03f8005e,0x83ee0000,
    0x07f106fb,0x3dcbe200,0x2fd9b600,0x3001b600,0x000fe03f,0x00fe67e8,
    0x23f61fc4,0x1fb001fc,0xf50004f8,0x200fe003,0x000003f8,0x02f4007f,
    0x00001fc0,0x3fe45f30,0x2a0009f0,0x4001f71f,0xb0013e5e,0x206b800d,
    0x7f90005c,0x5f7005f8,0x003fef98,0x00db09f3,0x3f801f20,0x0000bf00,
    0x5e800fe0,0x0003f800,0xfc83ea00,0x4001b607,0x400be67c,0x005f34f8,
    0x1ec006e8,0xf3000f30,0xd003f90b,0x4017f60d,0x07f506e9,0x2005f980,
    0x05f7003f,0x009f0000,0x3e0017e2,0x36000003,0xa807fec7,0x2fcc003f,
    0x3f2003ba,0x2600bf11,0x2e4006fe,0xfa800d90,0x405f980f,0xfff882fa,
    0x00ffd404,0x7f4003fb,0x800fe000,0x018000fe,0x3fe601ba,0x003f8005,
    0x1fdc0015,0xfd803ff6,0x303fa001,0x1fdc01bf,0xff7003fa,0x0f9800df,
    0x7e4007f0,0x40bf201e,0xb3fd06f9,0x32a237df,0x7fc400ef,0x017f4c02,
    0xf8800fe0,0x1fd5002e,0xfb807f20,0x3f8005ff,0x803ff880,0x0ffe85fb,
    0x300bfe20,0x3fea05fd,0x0bfd511b,0x2a215df3,0xcfd8dfec,0x45d9002c,
    0x98dcc6d9,0x8804ffca,0xfb98acfe,0x2a2fc81f,0x4fffffff,0x2b7fa200,
    0x05ff9511,0x88007f00,0x2a61adfe,0x2202ffeb,0xeca88cff,0x03cee8df,
    0x74c00fe0,0xd530abef,0x0ff901bf,0x235bfd10,0x402ffca8,0xffffffe8,
    0x3fffa602,0x3f62ffff,0x3f2006ff,0x7dc0dfef,0x02ceffff,0x7ffffe40,
    0x304fa80e,0x40003795,0xfffffffb,0x9997100d,0x999df999,0x7dc03999,
    0xefffffff,0xfff9800b,0x3fa2ffff,0x3332e26f,0xcccefccc,0xfda81ccc,
    0x02ffffff,0xff70004c,0x01bfffff,0x00d5d440,0x01379530,0x35510000,
    0x0055d440,0x02aea200,0x00000388,0x04de54c0,0x3ffffe60,0xffffffff,
    0xba9804ff,0x510001ab,0x4c001579,0xffffffff,0x4fffffff,0x00d5d4c0,
    0x32a60000,0x0000009b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c001510,
    0x00000400,0x00006620,0x073b6a00,0x0b3b2e00,0x00100200,0x00000010,
    0x640001d4,0x00a981bc,0x2a004008,0x2a601aaa,0x51001aaa,0x7f654003,
    0x7c403fff,0x1feb9802,0xfe980000,0x00003eed,0x0dffff10,0x7f7ff4c0,
    0xdf7000ef,0x3003fea0,0x00003fd7,0x01bff900,0x77ffec00,0x401ffeba,
    0x0df705fc,0x80ffffe2,0x804ffffd,0x4405fffb,0xca9bdffe,0x2017c403,
    0x001facee,0x261fc400,0x9800003e,0x1007ffff,0x3f2617ff,0x0ffd800e,
    0x3a01ffc8,0x0001face,0x2effa200,0x540001ef,0x00acfffe,0xffb07fe8,
    0x0fe66201,0x009f3330,0x203fffff,0x20003ffa,0x3e2002f8,0x20000001,
    0x800000fa,0xb002fffc,0x013ea03f,0x1e440f62,0x0003f100,0x98bfea00,
    0x64c003fe,0x05fbcffe,0x6c40b660,0x003f8803,0xfff1013a,0x3df705ff,
    0x02f88000,0x00007e20,0x0007a800,0xf0006200,0x0007f80d,0x03f10000,
    0x1df50000,0x2007fb10,0x7d42dffd,0x80000003,0x13a003f8,0x21ffff60,
    0x100005f9,0x0fc4005f,0x54c00000,0x0000003f,0x700fe200,0x0000001f,
    0x00003f10,0x03700730,0x3f500a60,0x88000000,0x013a003f,0x7f405ed4,
    0xfb880000,0x1f8801ad,0x9805c000,0x50003fff,0xf1000003,0x000fb807,
    0x1f880000,0x0014c000,0xd9000000,0x40000001,0x13a003f8,0x00fee000,
    0xffffb100,0x220b5bff,0xfd30001f,0x1fed4403,0x009fb100,0x407f1000,
    0x751006e8,0x005bdfdb,0x20001f88,0x000006fc,0x026ee620,0x372a00bf,
    0x1000bcef,0x0274007f,0x0002f400,0x5446ffea,0xf880fffc,0x77e44001,
    0x007ea002,0x0800ffee,0x4c0fe200,0x7ec401fe,0xfedcdeff,0x03f1001e,
    0x01bfd300,0x35555551,0xfffb1000,0x3f25dfff,0x3bffa201,0x802fffdc,
    0x13a003f8,0x000fe000,0x2600df98,0x01f880ff,0x0013fea0,0xdfb10274,
    0x003d4001,0x7fec47f1,0xace8802f,0x001df500,0x644003f1,0x3ff602ff,
    0x4003ffff,0x989acffb,0x03fadfdb,0x3a605ff7,0x01fc405f,0x980009d0,
    0x4009881f,0x0fc800ee,0xd8801f88,0xf10001ef,0x00ffee09,0x44003ee0,
    0x3fff623f,0x2e00001e,0x01f8803f,0x0019ff50,0x07f33333,0x20077dc0,
    0xf986edfb,0x04fb800d,0x4e800fe2,0x707dc000,0x303dfffb,0x40e2005f,
    0x7fd401f8,0x440ac803,0x6ff4c0fc,0x0fd88000,0x2207f100,0x00004ffa,
    0x07e2017e,0x003dfb10,0xf1003f80,0x3ffcc00b,0x3f200374,0x4007f101,
    0x7775c04e,0xdfd9b21e,0x5c3febab,0xdd90000f,0x44bdddfd,0x17711efd,
    0xfb7dfd50,0x42ffc83d,0x3f2201aa,0x0fe2005f,0x0007f910,0x77641b60,
    0x545eeefe,0x00d544ff,0x7f400fe0,0x07fe4000,0xe88003f9,0x2009f106,
    0x7ff404f8,0x2fdb6c5f,0x03e45f90,0x55555300,0x4ffee355,0x1eebbee9,
    0x4c2bca98,0x7fd40dfe,0x039ff704,0x9003f880,0x4044003f,0x5555306d,
    0x3f623555,0x027fcc1e,0x3e200fe0,0x43ff0003,0x1f70005d,0xf300df10,
    0x7ffc409f,0x0fe76c1f,0x03dc3fa0,0xbfd30000,0x03642741,0x220bbf20,
    0xdfd84ebf,0x07f10000,0xdb303740,0xd9dfffff,0x7fdc000d,0x009b9d03,
    0x1f9803f8,0x7c3fb000,0x03f30004,0x7dc03ff1,0x3fee04ff,0x03ffc84f,
    0x03f53f98,0x7ff70000,0x05f105a8,0x2019fd50,0x4f989d6d,0x01fc4000,
    0xfd881f70,0xdccaccef,0xe88006ff,0x36d900df,0x401fc004,0xf90000fb,
    0x4000be21,0xfff883f8,0xdfeca88c,0xfd83cee8,0x06fb80ef,0x02fc53e0,
    0x1bfd3000,0x202f8800,0x2a01efd8,0x0fc89d1f,0x01fc4000,0x7f443f50,
    0x006d800c,0xf301ffdc,0x7f001363,0x0001f500,0x003f89f2,0xbf105f10,
    0x5ffffffd,0x7fc37ff4,0x005f502f,0x005f736c,0x02ffc80a,0x2a01d900,
    0x1fc404ff,0x0005e89d,0x22003f88,0x800bf63f,0xbfd3006d,0x1364e801,
    0xf3007f00,0xf1ba0005,0x07ea0009,0x55e54fe2,0x2ffd4000,0x6d800fe0,
    0xff7027f4,0x0019fb01,0x7d403b20,0x746d801e,0x40002f44,0x3e6003f8,
    0xdb0013e3,0x005ff100,0x4004d8d9,0x00bf003f,0x06d8bf10,0x3e20f900,
    0xff900003,0x2006d801,0xcdffc84e,0x301dffdc,0x3b620003,0x5400a200,
    0x1f22741f,0x3f883b80,0x31fb81dc,0x06e8005f,0x3f300150,0x1fc004d8,
    0x4000fd80,0x01fd41fa,0x7c417e60,0x9ff00003,0x1003f700,0x3fb2607f,
    0x000002df,0x000017a2,0xbd5555df,0xd8027d45,0x3e43f886,0x0bf10fd8,
    0x001bfa60,0x5555dd00,0x1fc005dd,0x000ef880,0x07f60bf3,0xf100fe80,
    0x1ba00007,0xfd806e80,0x0017c400,0x013ea000,0x33332000,0x7ec3efcc,
    0x44374c03,0x2617cc3f,0x2007f44f,0x0006fffb,0x66666640,0x0fe004ee,
    0x401ffa80,0xff100ffa,0x02fe9805,0x00000fe2,0x7027d400,0x05f1007f,
    0x17dc0000,0x3a000000,0x9aefe884,0x24ffeba9,0x743dfccb,0x981fd32e,
    0xd9510aef,0x599fb1bf,0x26c00000,0x5000fe00,0x2e615bff,0x74401efd,
    0xf9511adf,0x03f8805f,0x2e000000,0xfd988aef,0x005f1005,0x407b6000,
    0xd000002c,0x7fffdc09,0x3e20beff,0x7d46ffff,0xd301efff,0x5fffffff,
    0x0037ffec,0xb889b000,0xefcccccc,0x01cccccc,0xffffffb1,0xffb8009f,
    0x00dfffff,0x000005f0,0xfffda800,0x3e2003ff,0xff000002,0x9fffffff,
    0x7fc40000,0x554c06ff,0xb8800009,0xca9800ac,0x0000009b,0x4dffff00,
    0xfffffff9,0xffffffff,0x565cc404,0x654c0001,0x0040009b,0x20000000,
    0xe80009ba,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22008800,0x04008000,
    0x26666660,0x99999999,0x00019999,0x00151000,0xeeed8800,0x3bbba602,
    0x3eeeeeee,0xbdfeca80,0xd8555541,0xeeeeeeee,0x363eeeee,0x00003eee,
    0x00aaaaaa,0x00555553,0x0880072e,0x7cc00220,0x01ff880f,0x7d41bee0,
    0xaaad880f,0xaaaaaaaa,0x1caaaaaa,0x000fae60,0x9ffffd93,0x3b620000,
    0x3bea03fe,0xeeeeeeee,0x3ff6203e,0x3e5ffece,0xddff5fff,0xdddddddd,
    0x7f76c9fd,0xff100004,0x2203ffff,0x01ffffff,0xf3003fe8,0x05ff103f,
    0xf505ff70,0x7fec007f,0x881ffc80,0x83500003,0x03fffec9,0x26fbfea0,
    0x0001efdb,0xfa80fe20,0x7fcc0001,0xbf1df703,0x20027c33,0x0009f04f,
    0x04dfdc40,0x033ea620,0xa801ff40,0x4ff982ff,0x3204c880,0x0b66000c,
    0x03881ec4,0x3ea35000,0x03fabeff,0x2601bf70,0x100000fe,0x00fd407f,
    0x1003ba00,0x07d09fdd,0x4f817cc0,0x05f80000,0xd0007e40,0x0664007f,
    0x00000cb8,0x20000000,0x35000038,0x3f882f6a,0x8806f980,0xf100005f,
    0x000fd407,0x26003f90,0x400084ff,0x009f00fc,0x003f7000,0x970013e2,
    0x00000003,0x00000000,0x00003880,0x03f88035,0xf7001fc8,0x7f100003,
    0x8000fd40,0x7e4004f8,0x05e80004,0x4000013e,0x01f9005f,0x00000000,
    0x00000000,0x000e2000,0x3e200d40,0x2004e803,0x880002f8,0x007ea03f,
    0x20017cc0,0x4c0004fa,0x0013e03f,0x200fdc00,0x000004f8,0x55500000,
    0x5554c035,0xd971001a,0x388059df,0x80350000,0x000803f8,0x32a204f8,
    0x3e20acee,0x0007ea03,0x220007dc,0x7dc0004f,0xb7313e00,0xf00059df,
    0x000fc80b,0x55510000,0xf8803555,0x3f603fff,0xfb805fff,0xeffecdff,
    0x00007101,0x07f1006a,0x05f30000,0x3f77bff2,0x407f11ff,0x597511fa,
    0x8003e401,0x3740004f,0xeffd93e0,0x001effec,0x27c407ee,0x55555440,
    0x3ff6001a,0x8803ffff,0x4cc03f99,0x3fa205e9,0x09fd500d,0x2a000071,
    0x001fc401,0x6407e400,0xafd880df,0x33ea03f8,0xdffffffe,0x4001fa80,
    0x220004f9,0x7467c03f,0x07ff503f,0x0fb82fc0,0xfffffd80,0x4ccc003f,
    0x7c003f99,0xd817a003,0x85f9002f,0x35000038,0x0003f880,0x7e427cc0,
    0x3fcfb802,0x2f7ffea0,0x42ffb989,0x7d4002f9,0x07ee0004,0x803ddbf0,
    0xf7001fe8,0x2005f883,0x03f99999,0x4003f800,0x417a003f,0x7ec003fa,
    0x40000e20,0x01fc401a,0x81df1000,0x3f6003fa,0x006e203f,0x06f81fd1,
    0x00027f40,0x3fff00db,0x801be200,0x000fdc5f,0x00007f10,0x03f8007f,
    0x037c17a0,0x07127c40,0x1006a000,0x2200007f,0x006d80fe,0x0001ffc4,
    0x1fd44f98,0x004ffb80,0xff009f10,0x03fa8007,0x02fc1f70,0x000fe200,
    0x7f000fe0,0x7c42f400,0x44db0003,0x03500003,0x80003f88,0x05f01fe8,
    0x0007f900,0x1fec3e40,0x013f3ee0,0x7c00fd40,0x04f8000f,0x00fdd7e0,
    0x000fe200,0x7f000fe0,0x7d42f400,0xaaaaaaab,0x7caaaaaa,0x540000e2,
    0x001fc401,0x4c07fa20,0x3fa8001f,0x03ea0000,0x2635dfb1,0x009f3fea,
    0x37c01f20,0x2006d800,0x0005f9fb,0x80003f88,0x01fc003f,0xfff70bd0,
    0xffffffff,0x21ffffff,0x35000038,0x0003f880,0x7b807fe6,0x007f3000,
    0xa817cc00,0x2effffff,0x27c0013e,0x90005f80,0x1fff800f,0x03f88000,
    0x4003f800,0x217a003f,0x99999afa,0x99999999,0x0000e219,0x0fe200d4,
    0x0077cc00,0x260003ea,0x2600003f,0x5654c02f,0x98004f80,0x00bf002f,
    0xf7001f20,0x3e20000b,0x03f80003,0xbd001fc0,0x00007f10,0x540000e2,
    0x001fc401,0x440077cc,0x3fb8001f,0x07ea0000,0x0013e000,0x07f801f2,
    0xb800bd00,0xf100001f,0x07f00007,0x3a003f80,0x0000bf05,0x540000e2,
    0x001fc401,0xe8003bea,0x03fc8003,0x001f2000,0x2000fe20,0x07fe005e,
    0xf0013e00,0x7c40000b,0x03f80003,0xf88027c0,0x0005f705,0x20000710,
    0x01fc401a,0x8001df50,0x3e6000fc,0xf100003f,0x3f50000d,0x002f9800,
    0xf90017fe,0x00fdc003,0x007f1000,0xe8007f00,0x05ff9806,0x860003fa,
    0x35000038,0x7003f880,0xf30001bf,0x1fff400b,0xf9001fc4,0x7e880003,
    0x000fb800,0x4c00fffe,0x0374004f,0x00fe2000,0x9000fe00,0x7ffdc03f,
    0x00bbe205,0x03887f54,0x88035000,0x05fb803f,0x037e6020,0x03faee88,
    0xfc801bfb,0x3fd80004,0x4005e800,0x5403fccf,0x17dc006f,0x0fe20000,
    0x000fe000,0x95119ff1,0x79dd1bfd,0x86b7fa20,0x22ffeba9,0x35000038,
    0x5c03f880,0x41f4004f,0x7311bff9,0x99bf11df,0x1acffb83,0x200bfd53,
    0xfca99999,0x3f88003f,0x74fccb80,0x36a215df,0x333100df,0x0133dd33,
    0x00fe2000,0x333332e2,0xcccccefc,0xffff301c,0x7ff45fff,0x7fffdc06,
    0x40beffff,0x35000038,0x33333326,0x2cccccdf,0x999999fb,0x9f999999,
    0x3ffff660,0xfff10dff,0xffd9107f,0x2005ffff,0xfffffffa,0x1f30001e,
    0x49fffd00,0xffffffea,0x7ffffc03,0x00ffffff,0x99999710,0x99999df9,
    0x3fffe639,0xffffffff,0x2a204fff,0x00000abc,0x80357753,0xccccccd8,
    0xcccccccc,0xff71dccc,0xffffffff,0x3ff6bfff,0xffffffff,0x9804ffff,
    0x100001bb,0x30003575,0x00135555,0x88000000,0x53001bca,0x55555555,
    0x7ffcc003,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ddb9300,
    0x55554415,0x886aaa60,0x01bdfdb9,0x5e5cc400,0x2200000a,0x000abcb9,
    0x22000c00,0x10099999,0x80333333,0x80003ec8,0x2cefedb9,0x7d910062,
    0xdd300000,0x6e5cc01d,0x002001bc,0x0eeeec80,0x6ef7fe44,0xfff13ffe,
    0xa7fffc7f,0xfeceffe8,0x754001ff,0xfffdceff,0x3faa0003,0x3fffdcef,
    0x02f88000,0xffffff30,0xffff887f,0xff904fff,0x274c5dfd,0x66f7fe40,
    0x06c9effe,0x8bbfbff2,0xfd0004e9,0xfeb883fd,0x0dfffeff,0x8000fc40,
    0x7447fffd,0xcfd880cf,0x4c409bf9,0x02ff9cf9,0xb1003fd3,0x3ea2037f,
    0x3f62000e,0x1df5101b,0x01fc4000,0x555bf550,0x9f755501,0x219f3015,
    0x0efdefea,0x402ffa60,0xf306ffea,0x37bfaa19,0xfa8001ef,0x77fc1faa,
    0x07fe440b,0x20005f30,0x7f46fffc,0x3fefa801,0x00dfef80,0x3ea01fd8,
    0x7fb1000d,0x001bf500,0x4000ff62,0x4f8003f8,0x2017cc00,0x019fd700,
    0xfb001ee8,0xfeb8040d,0x6f88000c,0x804f83f5,0x0be605f9,0x2fffdc00,
    0x7dc005f7,0x0fff803f,0x7c41fa00,0x05f50003,0xa8001fc4,0x3f88002f,
    0x4004f800,0x000002f9,0x22001fb8,0x0000006f,0x07ea3f90,0x0bee009f,
    0x980017cc,0x017e4fff,0x3e00ffa0,0x17cc002f,0xdedb82ec,0x807dc133,
    0x2aaaaa5d,0x003ee01a,0xf0007f10,0x02f98009,0x2fc40000,0x00036400,
    0x527c4000,0x1002c83f,0x00be607f,0x99fffc40,0x3fb8002f,0xd0007f80,
    0x6c40fb89,0x1eeda89c,0x707dc2f4,0x7db999d9,0xf10017a0,0x009f0007,
    0x95002f98,0x40179dfb,0x088001fa,0x3fb6ea20,0xfb0002de,0x0000fd41,
    0xfbaaa97a,0xaaaaaaac,0x25fff01a,0xfa8000fa,0x0006f803,0x6c17c4db,
    0xf883f302,0x1620be21,0x07e20762,0x8003f880,0x17cc004f,0x33bffa20,
    0xf702fffd,0x6c400001,0xedcdefff,0x3e6001ef,0x0000fd43,0x7fffc53e,
    0xffffffff,0x3ffd07ff,0x260003ee,0x005f803f,0x4c3d4f90,0x1ec0ec05,
    0x441620f5,0x44007b05,0x04f8003f,0xf7017cc0,0x17fa605f,0x100001b2,
    0x3ea0159d,0x50dd000e,0x7d40003f,0x2fea6621,0x99999999,0x2a1ffb00,
    0x3fa8001f,0xb0006f80,0x01642dcd,0x416e5c80,0x320d1058,0x55555545,
    0xaaaadfba,0x04f80aaa,0xf9817cc0,0x44fb800d,0x0000007c,0x2e00fee0,
    0x001fa82f,0x7cc0dd30,0x9ff20002,0xfc8003f8,0x000ff803,0x360f64f8,
    0x6cd50000,0x0f60b103,0xffff1354,0xffffffff,0xf07fffff,0x02f98009,
    0x1fc800dd,0x000003ee,0x4405f800,0x003f505f,0x201efc88,0x2a0002f9,
    0x0007745f,0xff007ff1,0x22fb8009,0x2000682e,0x2205d0f8,0x03edaaae,
    0x999883e2,0x99cfa999,0x9f009999,0xc82f9800,0x3744001f,0x000003f3,
    0x32036c00,0x003f501f,0x0037ff22,0xb80005f3,0xb0027cc0,0xfff007ff,
    0xd17e6003,0x20001d05,0x2205d0f9,0x401fccce,0x7f1000f9,0x8009f000,
    0x005d82f9,0x1be21f70,0x11000800,0x27c40db0,0xf3003f50,0x3e60019f,
    0xf9000002,0x67ec4019,0xfedf803f,0x207fd402,0x0001c84d,0x58826cd5,
    0x0d500f4c,0x4001fc40,0x17cc004f,0xf980027c,0x3000fea1,0x3fb660bd,
    0x6eceffff,0xfa803f60,0x002f9801,0x000017cc,0x1137ff90,0x7f13ff73,
    0x37f69f00,0x3dfb531a,0x00950b70,0x105b9720,0x3201d10b,0x00fe2005,
    0xf30013e0,0x0002f885,0x04fd87f1,0x441ffc88,0xcacceffd,0xf506ffdc,
    0x801fa807,0x7cc001f9,0x4c000002,0xdffffffe,0x9f007f10,0x7fffff5c,
    0x6c1ea04f,0x8f60aa01,0x2a0b107a,0x44007b05,0x04f8003f,0x3e217cc0,
    0x85f10003,0x309befd8,0x881dff95,0x6d800cfe,0x33333fd0,0x035f7333,
    0x4c000e88,0x0000002f,0xf1037751,0x5109f007,0x7f100359,0x03ae0b60,
    0x41fc43f3,0xf30b6058,0x01fc4003,0x2e002f40,0x0004f81f,0x3fea03f5,
    0x1dffffff,0x6c005fb0,0xffffff06,0xffffffff,0xf3000007,0x00000005,
    0x7c01fc40,0x3ea00004,0xddcdc880,0xfa84e80b,0x213bfb20,0x0013a5e8,
    0xd70007f1,0xdb07d800,0x201f2000,0x009adfa9,0x1b60027c,0x55555554,
    0x0abfcaaa,0x2f980000,0x00000000,0x13e00fe2,0x80bb0000,0xd81b2009,
    0x40266625,0x1000d918,0x3f30007f,0xfa837c00,0x02fcc003,0x3e6003d0,
    0x00374002,0x00007ea0,0x0002f980,0x3e200000,0x0004f803,0x80027c40,
    0x13e201fb,0x000fdc00,0xdf0002f8,0xd80bf200,0x03fa001f,0x8802ee80,
    0xdfd3005f,0x01fa8000,0x44001a98,0x0000005f,0x200fe200,0x9800004f,
    0xfd1001ee,0x03dd3005,0x000bfa20,0x3e600008,0x017f200d,0xe9805ff1,
    0x1e98002f,0x5c00fe80,0x40006fff,0x7ff401fa,0x07f4005f,0x0000ecc0,
    0xf007f100,0x5c000009,0x65440acf,0x7dc000df,0x7e5440ac,0x0000000d,
    0x88dffcc0,0x8800dfdb,0x9511adfe,0x2ea005ff,0x3e6007a1,0xfd9510ae,
    0x0599fb1b,0x4403f500,0x000fffff,0xa98b3be6,0x0001ffeb,0x3ea66620,
    0x7ccc419b,0x0001999d,0x77ffecc0,0x0002dfff,0x3fbfff66,0x99002dff,
    0x99999999,0x19999999,0xffffe980,0xfb8003ff,0x0dffffff,0x3fbfa600,
    0x3ffa6005,0x362fffff,0xb8806fff,0x01cdfdcc,0x000dfffd,0xffffffd5,
    0x000017df,0xfffffff8,0x3fffe3ff,0x003fffff,0x15531000,0x53100000,
    0xff880015,0xffffffff,0x2fffffff,0x13795100,0xbca98000,0x26200009,
    0x79530000,0x26000013,0x2fffffff,0x00179710,0x0d5e5540,0x2a600000,
    0x0aaaaaaa,0x2aaaaaa6,0x0000002a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02eeed88,
    0x65cc0000,0x300040ab,0x33333333,0x2e600333,0x10001acc,0x08159975,
    0x33b72a00,0x3b620abc,0x200002ee,0x2eeeeeea,0xacca8000,0x4ccc4081,
    0x19998000,0x99999988,0x99999999,0x99998099,0x00019999,0x02feed88,
    0xffda8000,0x99dfffff,0xffff801f,0xffffffff,0x3ffee04f,0x001dffff,
    0xffffff91,0x300d71bf,0xfffdfffd,0x7f76c4ff,0x3aa00002,0x003feeee,
    0xfffffb70,0x443e65ff,0x000fffff,0x993ffff2,0xffffffff,0xffffffff,
    0x7ffff43f,0xbdffffff,0x17c40001,0xdfb10000,0x3b2a2159,0xa9801fef,
    0xafeaaaaa,0xbf900aaa,0x3feea215,0x0eff4402,0x01fbfee2,0x31039fd1,
    0x000be203,0x007f1000,0x21bdfe88,0x1fbdfea8,0x00ff7ee6,0x40adfdf8,
    0xaaadfbaa,0xbaaaaaaa,0x57ed4c3f,0xfecaaaaa,0x3e20003f,0x3fa00002,
    0x03ff9003,0x8806d800,0x7f4c03fe,0x100bf602,0x2fc80ffd,0x00be2000,
    0x07f10000,0x4017fc40,0x7c41fffa,0x3f5006db,0x03f8809f,0x3e40fe20,
    0x002fec40,0x00002f88,0xfc8007f9,0x036c0001,0xe88017e4,0x003f980f,
    0x06e80ff3,0x0017c400,0x00fe2000,0x26002fd8,0x55fc41ff,0x9f6e802f,
    0x2003f880,0x00f903f8,0x440017dc,0xf980002f,0x01f98005,0x26036c00,
    0x2fc4004f,0xfd0007dc,0x40004f80,0x000002f8,0xfa801fc4,0x41fc8005,
    0x980dd3f8,0xf8809f2f,0x40fe2003,0x07f4007c,0x000be200,0x40003ee0,
    0x06d80003,0x640007ec,0x2003e41f,0x0027c05b,0x0000be20,0x2007f100,
    0xf98000fc,0x1fb9fc40,0x404f9f60,0x17c003f8,0x7cc007c8,0x417c4004,
    0x0aaaaaa8,0x000005e8,0xf3036c00,0x0be20007,0x440001f7,0xaadfaaaa,
    0x401aaaaa,0x3f72a2f8,0x220001cd,0x009d003f,0xf1fc40c0,0x4f8fe209,
    0x2001fc40,0x2001f201,0x3e2000fc,0xfffffc82,0x0003f83f,0x036c0000,
    0x6c0001f7,0x00027cc4,0xfffffff5,0x0fffffff,0xdff92f88,0x0007ffd9,
    0x3e200fe2,0x7c400002,0x3f203f23,0x7f1013e0,0xf9001360,0x003f3000,
    0xffb817c4,0x01f9809a,0x6c000000,0x0001f206,0x019f90d9,0x3e666200,
    0x9999999d,0x7f5fc400,0x01fe440b,0x5401fc40,0x4400000f,0x3e0fe23f,
    0x3e2027c4,0xc800bd03,0x03f88007,0x3ea0be20,0x003dc00e,0x36c00000,
    0xa8000db0,0xbdffb80f,0x09f00009,0x1fff8800,0x44003f40,0x007c803f,
    0x6c3f8800,0x13e0fd47,0x5555bf10,0x7c800bd5,0x4009f000,0x06fdc2f8,
    0x00003e40,0xf036c000,0x1f980009,0xdfffb710,0x13e0015b,0x03ff1000,
    0x88005f70,0x007c803f,0x4c3f8800,0x13e1ba2f,0xffffff10,0x7c800bff,
    0x4009f000,0x013f62f8,0x000007c8,0x3a06d800,0x0fcc0004,0xffecb980,
    0x0004f801,0xf8801fc4,0x01fc4004,0x400003e4,0xf36d83f8,0xf8809f05,
    0x5e99999c,0x8003e400,0x2be2004f,0x5c003fe8,0xeeeeb807,0x0754eeee,
    0x1b606d80,0x001f5000,0xf00bfa60,0x2f880009,0x10013e00,0x00f9007f,
    0x507f1000,0x13e0fb3f,0x17a07f10,0x2000f900,0x33e2003f,0xfa8005fe,
    0x77775c01,0x0db4efee,0x1f206d80,0x000d9000,0x3e00fd88,0x17c40004,
    0x88009f00,0x01fa803f,0x81fc4000,0x09f03fee,0x09b03f88,0x98007c80,
    0x3fe2002f,0x4c003fde,0x3f30002f,0x1b60036c,0x20000fb8,0xf980004d,
    0x00013e02,0x27c005f1,0x200fe200,0x400003f9,0x1ff703f8,0x7f1013e0,
    0x1f203000,0x8003ee00,0x07f90ef8,0x30003f80,0x20036c3f,0x00fe606d,
    0x0511fc40,0x4f813e00,0x017c4000,0xf88009f0,0x005f8803,0x881fc400,
    0x1013e02a,0x1f98007f,0x6d8007c8,0x3617c400,0x03ba003f,0x6d87e600,
    0x36027c00,0x1fd8000f,0x3a0003ee,0x00013e05,0x27c005f1,0x400fe200,
    0x200001fb,0x3e0003f8,0x001fc404,0x01f207e6,0x88009f30,0x003fd82f,
    0xf30009f3,0xf50036c3,0x004f9807,0x0bee2fcc,0x7c07f100,0x17c40004,
    0x88009f00,0x01ba003f,0x0fe22640,0x4404f800,0x0fcc003f,0xff1003e4,
    0x02f88001,0x3f2005fb,0xb0fcc002,0x03f6003f,0x4400ff20,0x077dc0fe,
    0x7c03fb00,0x17c40004,0x88009f00,0x17e6003f,0x442fd880,0x13e0003f,
    0x98007f10,0x1007c81f,0xf10005fd,0x8017ec05,0xf7000cfe,0x201ff4c3,
    0xfb1002fd,0x82ff9809,0xc800effb,0x0027c03f,0xf800be20,0x01fc4004,
    0x1007bea0,0x07f107fd,0x22027c00,0x0fcc003f,0x3ae603e4,0x5f10003f,
    0x7002fd80,0x4c4357ff,0x6c41ffeb,0xfb731bdf,0x7df90009,0x07ff2a23,
    0x4e7f57dc,0x017fae60,0xf100013e,0x0027c005,0x2a000fe2,0xb711acff,
    0xfcc883ff,0x2a00bccd,0x42cefccc,0xcccdfccb,0xcccccccc,0x3fb2a1fd,
    0xfecccccc,0x5c4001ef,0x32e02fcc,0x4c03ccff,0xfffffffd,0x7fdc02df,
    0x002fffff,0x3ffffaa0,0x9a600cff,0xfffffffc,0xcccca82e,0xccccccef,
    0xbfb9501c,0x3f326079,0x99710cce,0x99bf9999,0x44039999,0xfffffffc,
    0xffffa80d,0x3f601fff,0x226fffff,0xffffffff,0xffffffff,0x3fff61ff,
    0xbdffffff,0xfff30000,0x7fff405f,0x53000eff,0x80013597,0x0009bca8,
    0x15795100,0x5e54c000,0x3fff601a,0xffffffff,0xfffd03ff,0xff901fff,
    0x3e63ffff,0xffffffff,0x04ffffff,0x00379530,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f72a000,0x33331000,0x80033333,0x09999998,
    0x01333310,0x33333331,0x33100033,0x01333333,0x09999880,0x04cccc40,
    0x26666666,0x99999999,0x26666099,0x99999999,0x22099999,0x99999999,
    0x4ccc0019,0x01999999,0x26666660,0x4cccc400,0x4ccc4099,0x99999999,
    0xdffb1001,0x7dc03bff,0xffffffff,0xfff3004f,0x985fffff,0x22ffffff,
    0xfffffffb,0x01deffff,0x7fffffcc,0x03deffff,0x1ffffff8,0x3fffffe0,
    0xffffff31,0xffffffff,0x3ffa9fff,0xffffffff,0x4fffffff,0xfffffff3,
    0x1bdfffff,0x7ffffdc0,0x804fffff,0xfffffffc,0x3ffffe01,0x3ffee7ff,
    0xffffffff,0xdfd806ff,0x4407fea1,0xaafeaaaa,0x2aa000aa,0x502aadfb,
    0xa8859fd5,0xaaaabfca,0x404ffdba,0xaaaadfaa,0x01efedba,0x00abfea6,
    0x4c57fb53,0xbaaaaacf,0xaaaaaacf,0x5dd5534f,0x55555555,0x5549f555,
    0xaaaaacfb,0x103ffcba,0x5557f955,0x95100155,0x9805559f,0x21adfbaa,
    0xfbaaaaa8,0x01aaaaad,0x4e9827d4,0x0001b600,0xfd801fc4,0x400fa803,
    0x4f804fc8,0x402ff980,0xbf3003fa,0x3e203f30,0x1b613e03,0x3e213e00,
    0x01fd8803,0x800007d4,0x3f50004f,0x001fc400,0x00001fd8,0x440001b6,
    0x1fec403f,0x9000fa80,0x004f805f,0xfd801fd1,0x980fe800,0x407f101f,
    0x8006d84f,0x003f884f,0x01f501fa,0x003f2000,0xf1001b60,0x01ba0007,
    0x000db000,0xe880fe20,0x03ea002f,0x27c05e80,0x8809f100,0x817dc05f,
    0x07f101f9,0x0036c27c,0x01fc427c,0x7d403f50,0xabcccccd,0x007f3000,
    0x44003f88,0x0bd0003f,0x006d8000,0x2607f100,0x7d4001fe,0xf01f2000,
    0x01fc8009,0x5f8817dc,0x7c407e60,0x1b613e03,0x3e20fa00,0x80be6003,
    0xfffffffa,0xe800cfff,0x007dc006,0x4000fe20,0x6c00006d,0x7f100006,
    0x0001df30,0x7dc001f5,0x20013e00,0x80fd805e,0x07e600fd,0x09f01fc4,
    0x098040db,0x2e003f88,0x403ea00f,0x401ffc98,0x17a001fb,0x000fe200,
    0x000007dc,0x220000db,0x0077d43f,0x2000fa80,0x0027c06e,0x2fc403e4,
    0x1d100bee,0x2e80fe20,0x00f506d8,0xd1003f88,0x800fa80d,0x27c406f9,
    0x8002f980,0xf30003f8,0x36c00005,0x23f88000,0x20000dfb,0x9f3000fa,
    0xb8004f80,0x12fb800f,0xf10000bf,0x20db0007,0x3e2000fb,0x02fe8803,
    0xf98007d4,0xc803e404,0x07f10007,0x3eaaaa20,0x000aaaad,0x20000db0,
    0x07ff93f8,0x800fa800,0x54c40ff9,0x9aaaadfa,0x4007ea01,0x000fd8fe,
    0x8003f880,0xdaaaaaed,0x33e2000f,0xecaaaaaa,0x0fa801ff,0xf301b600,
    0x0009f005,0x7dc00fe2,0xffffffff,0x0db0004f,0x32fe2000,0x001efecf,
    0x5cc01f50,0xffff81ff,0xffffffff,0x2003f301,0x0002fef9,0xb0007f10,
    0xffffffff,0x7ffc4001,0xffffffff,0x00fa800d,0x17a01ee0,0x20003f50,
    0x266003f8,0x1999fc99,0x001b6000,0x31fffc40,0xf50007fd,0xffb9999b,
    0x2a6201bf,0x9aaaadfa,0x6c07e601,0xefffeeee,0x8001eeee,0xed8003f8,
    0x0fc99999,0x266fe200,0xfdcba999,0x007d404f,0x1f700f90,0x100036c0,
    0x7d40007f,0x0db00001,0x0bfe2000,0x50007f62,0xbddddddf,0x04f80039,
    0x5301fa80,0x55bf7555,0x22000555,0x06d8003f,0x7c4001f7,0x0bfb1003,
    0xbf0007d4,0x2207f100,0x3e20003f,0x07e60003,0x0036c000,0x00fe20d5,
    0x0fa800dd,0x027c0000,0x22003e40,0x2200003f,0x06d8003f,0x3f8800f5,
    0xa80fe400,0x07f7000f,0x07dc1b60,0x007f1000,0x00007d40,0x3ee006d8,
    0x4c03f880,0x03ea004f,0x009f0000,0xf8800bd0,0x3e200003,0x006d8003,
    0x000fe200,0x007d413e,0xf5002fec,0x8000bd03,0x320003f8,0x1b600007,
    0xf880fb80,0x000fc803,0x800001f5,0x03f8004f,0x3f333332,0x00cccccd,
    0x8003f880,0x2200006d,0x07c8003f,0x333335f5,0x000bfd95,0x002f98bf,
    0x0001fc40,0x6c0000db,0x203ee006,0x4f8803f8,0x0001f500,0x64004f80,
    0x2aaaa01f,0xaaaadfba,0x3f88000a,0x0006d800,0x2000fe20,0xffff507c,
    0x03dfffff,0x7d83f200,0x03f88000,0x4007f100,0x70036c03,0x007f101f,
    0x3ea003f2,0x27c00000,0x000bf700,0x400007f1,0x6d8003f8,0x0fe20000,
    0x7d417e00,0x19aaaaab,0x89fc4000,0xf880004f,0x01fb0003,0x6d807ea0,
    0x2203ee00,0x07f3003f,0x00001f50,0xff3004f8,0x07f10001,0x01fc4000,
    0x000036c0,0xfc8007f1,0x0001f502,0x3f76e800,0x07f10000,0x4007f500,
    0x0036c06d,0x07f101f7,0x7d403740,0x27c00000,0x003bf2a0,0x0001fc40,
    0xb0007f10,0x7c40000d,0x09f91003,0x000007d4,0x01ba7ea0,0x001fc400,
    0x9999ffb3,0xfd999999,0x76666447,0xcccccccf,0x2e0feccc,0x0cccdfcc,
    0x88f33ee0,0xcccdfdcc,0x2e2001cc,0xcccccefc,0x000dfffc,0x37f33322,
    0x71002ccc,0x99bf9999,0xd9950199,0x1799999f,0xbf997100,0x99999999,
    0x99109ffd,0x99999bfb,0x77c00003,0x664c003f,0xccdfcccc,0xffb82ccc,
    0xffffffff,0x7d42dfff,0xffffffff,0xffffffff,0xfffff10f,0x7c405fff,
    0xfff50fff,0x7fffffff,0x7fffcc00,0xacffffff,0xfffa8000,0x05ffffff,
    0xffffff30,0xb05fffff,0xffffffff,0xff3001ff,0xffffffff,0x2037bfff,
    0xfffffffa,0x00003fff,0x70003ff2,0xffffffff,0x00bfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x30003ec8,0x33333333,0x98813333,0x4c400999,0x4cc40999,
    0x4cc40099,0x4ccc4099,0x00999999,0x03333100,0x33333310,0x99999880,
    0x99999999,0x4ccc4199,0x33331019,0x99998803,0x10001999,0x80333333,
    0x00999998,0x1000aa88,0x3f200035,0x3a62efef,0xfffff304,0xffffffff,
    0xffffff87,0x3ffffe01,0x3ffffe1f,0x3fffe01f,0xffff31ff,0xffffffff,
    0x7ffc007d,0x7ffc03ff,0xf505ffff,0xffffffff,0xffffffff,0x3ffffe21,
    0xfffff84f,0x3fffe04f,0x001fffff,0x7fffffc4,0xffff504f,0x7e405fff,
    0x701fefff,0x9800bfff,0xbdfd50cf,0x33e603df,0xaaaaaaaa,0x7d4c3fba,
    0x754c02af,0x77e4c2bf,0x7ed4c02a,0x6fdd542d,0xecaaaaaa,0xaa9800ef,
    0x2a600fff,0x200adfba,0xfcadfaaa,0xcaaaaaab,0x2b7ee60f,0xdfaa980a,
    0x2aaa600a,0x004fbfca,0xaaaafda8,0x3aaaaa00,0x5dfb00ae,0x3e01bf93,
    0x4002ffff,0x019fd700,0xfd8017cc,0x2007f501,0x17e404f9,0x4406f880,
    0x0efa803f,0x017fbe00,0xf3001fc4,0xfa807ea5,0xf001fc40,0x6db60009,
    0x01f70007,0xf502f400,0x7fc40109,0x00002fff,0x802f9800,0x07ec03fa,
    0x74007f40,0x00fe800f,0xf9801fc4,0x3ef3e005,0x003f8801,0x00fd43ee,
    0x03f881f5,0x220013e0,0x0005f53f,0x740001f5,0x0007f204,0x001ffff6,
    0x17cc0000,0x22017e20,0x017dc05f,0x7e406f88,0x003f8802,0xa7c003f2,
    0x03f8806e,0x01fa9b60,0x07f103ea,0x5c0027c0,0x20017e0f,0x013101f9,
    0x00db01fc,0x8005ed40,0x37261aaa,0x7cc01bdf,0x8007f402,0x0bf103fa,
    0xf504fa80,0x00fe2009,0x9f001f98,0x7f100fea,0x3f527c00,0x3e207d40,
    0x0013e003,0x001f91ba,0xffd02f88,0xfb80be20,0x50000000,0x3ff27fff,
    0x204ffdce,0x0bee01f8,0xfb01fb00,0x85f90001,0x3e2005f9,0x007ea003,
    0x401fb27c,0x3f3003f8,0x0b100fd4,0x27c007f1,0xf10be600,0x83f88007,
    0xf982fef8,0x0013e202,0xcf988000,0x4fc80bfd,0x04f98020,0x7d45f880,
    0x47f60002,0x22000fe8,0x01b6003f,0x813e24f8,0x8f9003f8,0x200621fa,
    0x13e003f8,0xdd01f900,0xf509f000,0x03f509f3,0x00000fb8,0x0bffe200,
    0x88001fd0,0xf50000ee,0x00017e25,0x03fb1dd1,0x9003f880,0x227c005f,
    0x07f101fc,0x43f517a0,0x03f8806c,0xbf0013e0,0xd0007ee0,0x21b6f90b,
    0x05f800fb,0x3e200000,0x02fa802f,0x0000fe40,0x003f63f6,0x0ffbe600,
    0x300fe200,0x4f800bfd,0x3f8837c4,0x7d43f880,0x8807eaab,0xaaaaaadf,
    0x004faaaa,0x27c40be6,0x57e1b600,0x203e40fb,0x0002ffe8,0x009f1000,
    0x7f50027c,0xfdf10000,0x7e400007,0x5bf10006,0xfffd9755,0x509f0007,
    0x007f105f,0xfffa83f5,0xff8807ff,0xffffffff,0x36004fff,0x2003ec07,
    0xf89fcc7c,0xdf703643,0x1bd30dd5,0x0fe20000,0xf1004f80,0x7dc0000d,
    0x3e200006,0xf88001ff,0xffffffff,0x413e0003,0x01fc40fd,0x4d7d43e4,
    0xcf8807d9,0x99999999,0xf1004f99,0x002f9809,0x741f71ee,0x4f982ec5,
    0x1bfb13e6,0x44002c98,0x013e003f,0x000007ec,0x400007f1,0x000fe9fd,
    0x7f441fc4,0x09f0000d,0x07f113e6,0x43f50bf0,0x03f8806c,0x7d4013e0,
    0x2005e801,0xf91b60fa,0x81f704e8,0x90bf11fc,0x4400dfff,0x013e003f,
    0x00100bee,0x00003f88,0x017e67f7,0x7e407f10,0x04f8000e,0x03f887f2,
    0x7fffffcc,0x200621ff,0x13e003f8,0x7ffffec0,0x0fffffff,0x3e23f300,
    0x09f0fd44,0x55ba217a,0x7fffc42f,0x07f1002f,0x3e6027c0,0x000fc405,
    0x300007f1,0x004fa89f,0xdf500fe2,0x204f8001,0x00fe25f8,0xb99999f7,
    0x7f10003f,0x44027c00,0xccccccdf,0x003fcccc,0x20bea5f1,0xf107f14f,
    0x3f6fea07,0x7ffffc40,0x007f1002,0x03ba027c,0x44005f30,0x7c40003f,
    0x2005f906,0x4fa803f8,0x2e027c00,0xd807f12f,0x8803f506,0xf001fc41,
    0x001f7009,0x27f0036c,0x3e6db07c,0x7ec0df02,0xdfff904f,0x001fc400,
    0x00fe409f,0xf10017cc,0x0fe80007,0x22003fa0,0x05f9003f,0xb74027c0,
    0x81fc03f8,0x23e401fa,0x13e003f8,0xf50017a0,0x2f53e003,0x01fa8fb8,
    0x3fe203fd,0x000b2600,0x27c007f1,0xf3004fa8,0x01fc4005,0x8805f900,
    0x03f8806f,0x7c003fa0,0xf8cf9804,0x5407e603,0x223e401f,0x013e003f,
    0x9f0005f3,0x0fe37a00,0x807d5fc4,0x5ffb04fa,0x7f100000,0x7c427c00,
    0x00be6006,0x50003f88,0x13e6009f,0x4c007f10,0x009f004f,0xc80fe7f2,
    0x9007ea07,0x2003f88f,0x003e404f,0x7bb007c8,0x3def403f,0x6ccfbf20,
    0x00bcfdcf,0x007f1000,0x007ec27c,0x44005f30,0x6f88003f,0x101fdc00,
    0x1fc8007f,0xf1004f80,0x02f407fd,0x47c803f5,0x13e003f8,0x260009f0,
    0x7dec802f,0x40367e40,0x13fffffb,0x80003fff,0x0bcefcca,0x2cefcb88,
    0x333333be,0xfdcccccc,0x33332e02,0x01ccccef,0x399bfd91,0x3ff32e20,
    0x37f32e1c,0x7c400ccc,0xefcb82ce,0x3ee01ccc,0x77e64c3f,0xbfb9710c,
    0xd9999999,0x337f32af,0xefccb81c,0xbfb930cc,0x65401799,0x202cefcc,
    0x7d404ffb,0x5951006f,0x6c000001,0x81ffffff,0x26fffff8,0xffffffff,
    0x2fffffff,0xffffff10,0x207fffff,0x3ffffff9,0xffffff30,0x3ffffe29,
    0xfb801fff,0x7fffc45f,0x7f403fff,0x7ffffdc3,0xffffff32,0xffffffff,
    0x3ffffff6,0xfffffe83,0xfffff72f,0x7ff403ff,0x2a06ffff,0x5ff802ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000ec00,0x002d9800,0x6643aa00,
    0x00000000,0xbfb73000,0x07bd7105,0x77f65c40,0x5554c02c,0xaaa800aa,
    0x2ea202aa,0x002defed,0x33bf72a0,0x6dcc000b,0x0622cefe,0x4c035555,
    0x0001aaaa,0x00003f88,0x00ffec40,0x2f7bf72a,0xffb9be60,0xa8000003,
    0x7ec4004f,0x265ffcef,0x805ffdff,0xfecdfffb,0xfffd01ef,0xff8807ff,
    0x6c40ffff,0xedcdefff,0x3a2001ef,0xfffdceff,0xbdff9002,0xd93dffd9,
    0x01ffffc4,0x00bffffb,0x0007f100,0x33ff2200,0x3bffa600,0xfacffedc,
    0x177ecc0e,0xffb00000,0x05f44001,0x47be2fee,0xfd105fc8,0x13faa01b,
    0x8004e7cc,0x880bfa98,0xdf500ace,0x05ff7001,0xe9817fa6,0xffd500bf,
    0x03f9988d,0x002f4ccc,0x0001fc40,0x006ffdc0,0x6cc0bfee,0x3aa00eff,
    0x800001ef,0x400004ea,0xfb80fefd,0x9002fd81,0x0017a05f,0x400007dc,
    0x6fcc03fb,0xd04fb800,0x1bf6003d,0x17a003f8,0x00fe2000,0x1efea800,
    0x400dfa80,0xf7006ff9,0x000001bf,0xff500000,0x3ea2f405,0x407ec003,
    0x2013107c,0x3e00006d,0x20037405,0x00fdc1fc,0x1fc0df10,0x0000bd00,
    0x300007f1,0x22005dfb,0xbef9805f,0xff91003f,0x00000019,0x03fc4000,
    0x006f83ee,0x1fa84f88,0x09d06fc8,0x9036c000,0x6e88003f,0x320017e2,
    0xe800fe06,0x3f880005,0x3ff22000,0x007ec003,0x07ec3be6,0x07ff9100,
    0x40000000,0xf3017e20,0x4000fe23,0xe82f886d,0x01fc41ff,0x036c0440,
    0x3ee000bb,0x10003f50,0xd001fc01,0x7f10000b,0x9ff91000,0x809f0001,
    0x0be60ff9,0x0bbf6600,0x22000000,0xfdfffeca,0xaaaaaaad,0x557f52fb,
    0x55555555,0x3e0f9555,0x21fdfcc4,0xed9801fa,0xecefffff,0x40013e06,
    0x001f71f9,0x4007f000,0xf880005e,0x6ffdc003,0x05f10000,0x27c0ffc4,
    0x3dfd5000,0x32000000,0xfdcbcdff,0xffffffff,0xfff73fff,0xffffffff,
    0x01ffffff,0x6d8fc8db,0x3f6203dc,0xdccaccef,0x05f106ff,0x364fe200,
    0x03f80000,0x362017a0,0xfeeeeeee,0xeeeeeeee,0x003dfd52,0xf101fa80,
    0x0017a03f,0x4437fee0,0xeeeeeeed,0xeeeeeeee,0x019fd12e,0x266673e2,
    0xf5099999,0x33333335,0x33333333,0x55e83ee0,0xd1036c3f,0x0db0019f,
    0x44000fe2,0x0000f92f,0x5e800fe0,0xddddd900,0xdddddfdd,0x3f663bdd,
    0x7d40002e,0x201fe881,0x6440005e,0xd9910cff,0xdddddddd,0x239bdddd,
    0x2fc403fb,0x000fe200,0x7cc7e600,0x027c9f12,0x36c005fb,0x2a0009f0,
    0x0001f71f,0x74007f00,0x3f880005,0x0f7f5400,0x443f8800,0x0fe201fe,
    0x0dffb800,0x3e400000,0x4003fc40,0xf000005f,0x16d83ee7,0x0027c05f,
    0x006d81b6,0x00fccf90,0x001fc000,0xf10000bd,0x3fee0007,0x25f8000d,
    0x7d401fe8,0xefea8002,0x50000001,0x1ff8801f,0x0017dc00,0x45eaf400,
    0x300fa9fa,0x06e8005f,0xf3000fea,0x00037c4b,0x44013e01,0xf880005f,
    0x3f220003,0x3ee000cf,0xe801fe8a,0x3f66000e,0x0000002e,0xfd1017c4,
    0x740980bf,0x2018000f,0xcf82f9fc,0x017e207c,0x36037f4c,0x03fa001f,
    0xe98007f5,0xf300dd05,0xf10000bf,0xfb100007,0x7774007f,0x01fc802f,
    0x007ff910,0x7ec00000,0xffffe881,0x443fd882,0xfd5002ef,0x03f7ea01,
    0xfd017bf6,0x6fffb801,0x2017fc40,0x9fb02fe9,0x03ff9100,0xffb807f2,
    0xf880005f,0x3a600003,0xffa802ef,0x027ec403,0x000cffb8,0x22000400,
    0xfea88bfe,0x88afdbfb,0xfd103ffb,0x75d4c35b,0x3fe202ff,0x807ff505,
    0x9510aef9,0x99fb1bfd,0x2b7fa205,0x05ff9511,0x84df7ec4,0x00effca9,
    0x2a233fe2,0xcee8dfec,0x0fe20003,0x3faa0000,0xfffd101d,0x3ee6213b,
    0xdffa803f,0xfb800000,0x7ff44005,0x363d1fff,0x801effff,0xfffffffb,
    0xff800bef,0x2007fe02,0xffffffe9,0x1bfff62f,0xffffff70,0x3ea001bf,
    0xdfffffff,0xffff3001,0x7ff45fff,0x0fe20006,0xffb80000,0x5cbfa20d,
    0xefffffff,0x0f7f5400,0xffb00000,0x57710001,0x005dcc01,0x0d5dd4c0,
    0x00000000,0x00137953,0x4de54c00,0x97530000,0x51000135,0x00001579,
    0x0001fc40,0x47ff2200,0x654c42fd,0xefc8009b,0x98000002,0x0000003d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00640000,0x1c880000,
    0xc8000035,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbdfdb710,0xaa882617,0x85bfb50a,
    0xa801ceda,0x5302aaaa,0x0c415555,0x51000620,0x32a03555,0x0288002d,
    0x2aaaa0c4,0xaaaaaaaa,0x0800041a,0xb930d554,0xa98037bf,0x302aaaaa,
    0x05555555,0x06000930,0x2800a880,0x66f7fdc0,0x23fcffed,0xffdbfffb,
    0xbff91ffd,0x7fc407ff,0xfd80ffff,0x3ee3ffff,0x800ff204,0x545ffffd,
    0x01ffefff,0x7cc0fd10,0x3ffffe26,0xffffffff,0x2e002fc4,0x27fff51f,
    0xffdceffc,0x3ffff604,0xffe80fff,0x400fffff,0xfb5000fb,0x3ea039fb,
    0x3a02dfde,0x203bf901,0x5443ffc8,0x3fa23fff,0x01b624fc,0x4013bf91,
    0xfe81efb9,0x009fd104,0xfb2f4ccc,0x01fa615d,0x7cc0bfe6,0x2673e21f,
    0xf9999999,0xd8afdc1f,0xbf72dffe,0xbfdcf988,0x2604fc80,0x20099df9,
    0x009bfb99,0xf9800fb8,0xd703ee22,0x3d01fa83,0x36003be0,0x84ff883f,
    0x1f985ffa,0x5404fb80,0xbfd100ef,0x0013fa20,0x413fa37a,0x1ffcc018,
    0x7c42ffa8,0x701fd803,0xdb9bffdf,0x3e20bfdf,0x07f402ff,0xd8003f20,
    0x007dc006,0x004d81f4,0x21774172,0x7f1003f8,0x3e20bf10,0x5c013e06,
    0x00bf504f,0xf301bfd1,0xeee800bf,0x3ea0002f,0x07ff504f,0x2fc805f1,
    0x5c06fec0,0x0bfe207f,0xf100bea0,0x00fe6007,0x01001f70,0x0b90035c,
    0x03fa0f4c,0x17c40540,0x027c09f0,0x5fa8bf70,0x03bfe600,0x40037fe6,
    0x20001ffe,0xff704ffa,0x3f200c09,0x2037c403,0x09f102fb,0x3ec027c0,
    0xdd00fc80,0xa887dc39,0x4e8803fd,0x50fdcc40,0x3ee0f437,0x3e20001d,
    0x4f813e02,0xfaafd400,0xeff98005,0x00effa80,0x20000ee8,0xff905ffb,
    0x27dc000b,0x74007dc0,0x4007f106,0x02f9804f,0xfb5027c4,0xfb7fb9ff,
    0xe88019ff,0x0fffdc05,0x417fbfa6,0xacdefffa,0x202f8801,0x0013e04f,
    0x0013fbea,0xb81fffa8,0x2f400eff,0x0dff9000,0x80017ff2,0x0db005fa,
    0x1fc41f20,0x3a009f00,0x400fdc06,0xfffffdb8,0x0bd1002c,0x207f6e20,
    0x65440098,0x03ffffed,0x04f80be2,0x7ec0013e,0x7dc0000f,0xeffc81ff,
    0x40017a00,0xfd80fffc,0xf30000ef,0x802f400d,0x03f880fb,0x7d4013e0,
    0x20017a01,0x4c006ff9,0x0f90004f,0xfb510000,0x405f101b,0x0013e04f,
    0x003bf7ee,0x885ffe80,0x2f404ffe,0x2fff9800,0x002fffa8,0x2000ef88,
    0x20f9007d,0x13e003f8,0x5f505f80,0x7f9fd000,0x000bee00,0x00002f88,
    0x3e217e60,0x4f813e02,0xf9a7e400,0xffd8000e,0x007ffd04,0x74c000bd,
    0xfff982ff,0x03fa2001,0xd003f700,0x800fe20d,0x03ee004f,0x3f2001b6,
    0xfc803fb2,0x0fcc0001,0xb8001300,0xf017c40f,0x90027c09,0x00ef989f,
    0x6c0fff20,0x0bd003ff,0x1ffe8800,0x000fff98,0xf10003fd,0x102fc80d,
    0x027c007f,0x3f989f10,0xf127d400,0x01dd101d,0x440e4471,0x01fc006e,
    0x5f107e60,0x09f027c0,0x7cc0ff20,0x3ffc800e,0x4005ff90,0xe880005e,
    0xefe880ff,0x200fec00,0x01df9059,0x1fc40ff9,0xc8009f00,0x8003f20f,
    0x84fa86f8,0xeeeeeefb,0x5effdc7e,0x7c000dfe,0x207e4006,0x813e02f8,
    0x03fd804f,0xf70077cc,0x0bff205f,0x0000bd00,0x2203bf62,0x0bf206fe,
    0x3bee1ee0,0xeffdceff,0x007f105f,0x3e60027c,0xa8009f13,0x530f700f,
    0x55555555,0x006f2a60,0x4006ffc0,0x02f885fa,0x404f813e,0xdf1003fd,
    0x203ff501,0xe8001ffb,0x7ec00005,0x70bfb106,0x71ee007f,0x3bfb22bf,
    0xf10bf71d,0x0027c007,0x000fbb6c,0x00000000,0x3ffe0000,0x36a60abe,
    0x6fee446f,0x82cef81c,0x7edc2cef,0x99303cce,0x3e619ffb,0x03df301f,
    0xdf999930,0x59999999,0x40bf9000,0x33fea4fd,0xcccccccc,0x002fc7ec,
    0x7e6547ee,0xcb880bce,0x2a002cef,0x00005fdf,0x00000000,0x7ecd7400,
    0xbfffffff,0x7ffffd40,0xf85fff84,0x7fff46ff,0xffc80eff,0x1d51ffff,
    0xb8006dc0,0xffffffff,0x004fffff,0x26c80d70,0xfffffffb,0x47ffffff,
    0x7ec10000,0x881fffff,0x006fffff,0x0000fff4,0x00000000,0x2ea20000,
    0x00001acc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x4071001a,0xbd970008,
    0x40000017,0x00adecb9,0x55540260,0x5555542a,0x2eeeeb80,0xddddddd3,
    0xdddddddd,0x7647dddd,0xeeeeeeee,0xeeeeeeee,0x4002000d,0x8000ceda,
    0x859302c9,0x88888888,0x88888888,0x00010060,0x00bf6000,0xfeb98fd1,
    0x6fff5402,0xd1003fff,0x9dff9003,0x6c405ffb,0x7f42ffff,0x7ffec7ff,
    0xffffe80f,0xdddddb30,0xdddddddd,0x649fdddd,0xeeeeeeee,0xeeeeeeee,
    0x2bd100de,0x77e402fb,0x8aa01efd,0x7e46fffc,0x3ffee6ff,0xffffffff,
    0xbf95ffff,0x0001bee0,0x40bfa200,0x33b61fe8,0x3be602fa,0x4017ed42,
    0x0c400ffd,0xfff306d8,0x7ec7fffd,0x7ffdc6ff,0x3ffff887,0x09f00000,
    0x7cc00000,0x207fd11f,0x0bfa64fc,0x7ffc53ea,0xffff12ff,0x3fffee5f,
    0xffffffff,0x0ffd5fff,0x00003ff2,0x10bfa200,0x02f803fd,0x0fe803fa,
    0x01bf3ee0,0xfe81f980,0x23ff911d,0x7d45fffb,0xfffa86ff,0x3e000006,
    0x50000004,0x4fd883df,0x7ec41fcc,0xfff17ee3,0x3ffe25ff,0x111112ff,
    0x11111111,0x0b261111,0x00001e44,0x225fd100,0x02f801fe,0x2fa809f1,
    0x13ea9f50,0x99bb9710,0x80ffa85f,0x7fff54fd,0xd84fff98,0x00002fff,
    0x000013e0,0xc803bee0,0xf900a25f,0xfb81bfff,0x7ffe46ff,0x00000006,
    0x20000000,0x01febfe8,0x07ea05f0,0x1be213e0,0x3ff205f9,0x42ffeedf,
    0x2df504fb,0x7c42fff9,0x6fff83ff,0x27c00000,0x3ea00000,0x00bf7005,
    0x2202dca8,0x0059301b,0x00000000,0xfd100000,0x817c003f,0x1fcc03f9,
    0x0fec07f4,0x3e6073ee,0xfa827dc2,0xf03fff16,0xfff985ff,0x7c000002,
    0x3fffffa4,0xffffffff,0x731fffff,0x00029800,0x00000000,0x00000000,
    0xffe88000,0xf80be002,0x360fec06,0x41dd101f,0x50be605e,0x49fb01ff,
    0xffe80fff,0x002ffdc1,0x9527c000,0x99999999,0x99999999,0x00000017,
    0x00000000,0x00000000,0xfe880000,0x5f002fea,0x5405fdc0,0x201fdc4f,
    0x541b65f9,0x1dfe82ff,0x7f43ff91,0xd81ffb07,0x000001ff,0x000004f8,
    0x00000000,0x00000000,0x00000000,0x11fe8800,0x05f005fd,0xfcacffc8,
    0x802fcc5f,0x57bf34fb,0x19bfffb7,0x7fffffcc,0xb837ec3f,0x02ffc47f,
    0x04f80000,0x75400000,0xffffffff,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x7441fe88,0x4017c02f,0x83efffea,0x9b2000db,0x8adfffda,
    0x7ec41dee,0x3fa81eff,0xff989f30,0x70000000,0x3ffffea3,0xffffffff,
    0xffffffff,0x999914ff,0x99999999,0x99999999,0x00000399,0x00000000,
    0xe8800000,0x05fd101f,0x0060017c,0x00100000,0x000004c0,0x000001b8,
    0x99997100,0x99999999,0x99999999,0x00000399,0x00000000,0x00000000,
    0x03fb0000,0xdd90fe88,0x00bdddfd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xa88a0019,0x01aaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_44_latin1_x[224]={ 0,9,5,3,4,3,4,9,11,5,0,2,5,3,
8,4,4,4,3,3,4,3,5,4,4,5,8,5,0,1,0,0,4,0,1,2,2,1,3,2,2,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
10,2,6,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
 };
static signed short stb__courier_44_latin1_y[224]={ 32,7,8,6,6,7,11,8,8,8,8,11,26,19,
27,5,7,7,7,7,8,8,7,8,7,7,15,15,11,17,11,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,7,41,6,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,8,8,8,18,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,32,15,6,9,12,9,
8,8,8,9,7,15,20,19,9,4,3,8,7,7,6,15,8,17,31,7,7,15,7,7,7,15,1,1,2,4,
3,1,9,9,1,1,2,3,1,1,2,3,9,4,1,1,2,4,3,14,8,1,1,2,3,1,9,8,6,6,
7,9,8,6,15,15,6,6,7,8,6,6,7,8,8,9,6,6,7,9,8,11,14,6,6,7,8,6,8,8,
 };
static unsigned short stb__courier_44_latin1_w[224]={ 0,5,14,17,15,17,16,6,7,8,15,19,9,17,
7,16,15,15,16,17,15,17,15,15,15,15,7,10,19,21,19,14,15,24,21,19,20,20,19,20,20,15,20,22,
20,24,22,20,19,21,23,17,19,21,24,23,21,21,16,7,15,7,15,24,7,20,22,18,21,19,18,20,21,17,
13,20,17,24,20,19,22,21,19,17,19,21,22,22,21,21,16,8,3,8,17,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,15,19,17,21,
3,19,12,24,13,20,21,17,24,25,11,19,11,11,7,21,18,7,7,10,13,20,24,24,24,14,24,24,24,24,
24,24,23,19,20,20,20,20,15,15,15,15,22,22,20,20,20,20,20,14,21,21,21,21,21,21,19,19,20,20,
20,20,20,20,23,18,19,19,19,19,17,17,17,17,19,20,19,19,19,19,19,19,20,21,21,21,21,21,22,21,
 };
static unsigned short stb__courier_44_latin1_h[224]={ 0,26,12,29,30,26,22,12,29,29,15,20,12,4,
6,31,26,25,25,26,24,25,26,25,26,26,18,22,20,8,20,24,28,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,28,23,24,23,24,23,23,23,23,23,29,31,29,12,2,7,18,25,18,25,18,24,25,24,25,
33,24,24,17,17,18,25,25,17,18,24,18,17,18,17,25,17,29,29,29,6,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,25,26,23,17,23,
29,27,4,24,12,17,11,4,24,3,12,24,14,14,7,25,27,6,8,14,12,17,25,25,25,25,31,31,30,28,
29,31,23,30,31,31,30,29,31,31,30,29,23,28,32,32,31,29,30,14,26,32,32,31,30,31,23,25,27,27,
26,24,25,27,18,24,27,27,26,25,26,26,25,24,25,23,27,27,26,24,25,19,20,27,27,26,25,34,32,32,
 };
static unsigned short stb__courier_44_latin1_s[224]={ 168,245,83,177,201,58,224,249,131,122,207,
1,98,202,194,85,92,65,81,228,198,120,1,159,21,76,241,244,21,130,62,
214,229,175,170,162,228,207,150,22,154,237,43,42,21,182,107,64,65,207,83,
85,130,116,212,200,61,39,22,195,168,148,41,156,160,169,175,210,98,126,103,
138,122,220,23,1,144,19,163,190,23,1,87,1,229,229,184,146,44,198,128,
242,251,139,168,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,168,246,17,
1,145,108,203,235,220,46,57,107,108,202,71,130,71,96,223,235,152,222,153,
186,247,16,27,66,139,33,58,83,231,184,217,24,97,17,130,160,139,102,1,
60,1,123,44,81,85,1,103,124,64,156,180,1,108,59,81,42,22,209,192,
98,49,70,37,177,118,172,102,158,193,91,168,23,210,150,164,238,182,1,1,
133,130,138,202,82,41,213,111,188,1,1,145,37, };
static unsigned short stb__courier_44_latin1_t[224]={ 33,68,348,68,36,128,284,209,68,68,329,
308,348,348,348,36,128,183,183,128,209,183,156,183,128,128,284,156,308,348,308,
209,68,284,260,235,235,235,260,235,284,260,235,260,260,235,284,235,260,68,284,
235,260,209,260,284,284,284,284,68,1,68,348,357,348,308,183,308,183,308,235,
183,235,183,1,235,235,329,329,308,209,209,329,329,209,308,329,308,329,183,329,
36,36,68,348,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,33,128,156,
260,329,260,68,99,348,209,348,329,348,348,209,357,348,209,329,329,348,156,99,
348,329,348,348,329,156,156,156,156,1,1,36,99,68,36,284,36,36,36,68,
68,36,36,68,68,260,99,1,1,36,68,36,348,128,1,1,36,68,1,260,
156,99,99,128,209,156,99,308,209,99,99,128,183,128,128,156,183,156,284,128,
99,128,209,156,308,308,99,99,128,183,1,1,1, };
static unsigned short stb__courier_44_latin1_a[224]={ 373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_44_latin1_BITMAP_HEIGHT or STB_FONT_courier_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_44_latin1(stb_fontchar font[STB_FONT_courier_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_44_latin1_BITMAP_HEIGHT][STB_FONT_courier_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_44_latin1_s[i] + stb__courier_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_44_latin1_t[i] + stb__courier_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_44_latin1_x[i];
            font[i].y0 = stb__courier_44_latin1_y[i];
            font[i].x1 = stb__courier_44_latin1_x[i] + stb__courier_44_latin1_w[i];
            font[i].y1 = stb__courier_44_latin1_y[i] + stb__courier_44_latin1_h[i];
            font[i].advance_int = (stb__courier_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_44_latin1_s[i] + stb__courier_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_44_latin1_t[i] + stb__courier_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_44_latin1_x[i] + stb__courier_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_44_latin1_y[i] + stb__courier_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_44_latin1_LINE_SPACING
#endif

