// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_46_latin1_BITMAP_HEIGHT        396
#define STB_FONT_courier_46_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_46_latin1_FIRST_CHAR            32
#define STB_FONT_courier_46_latin1_NUM_CHARS            224

#define STB_FONT_courier_46_latin1_LINE_SPACING          22

static unsigned int stb__courier_46_latin1_pixels[]={
    0x00018000,0x31003ed8,0x40000180,0x220000b8,0x2000000b,0x98000000,
    0x00400002,0x02f776c0,0x02980000,0x00000600,0x80000020,0x740001fd,
    0x2ff8804f,0x0000df90,0x80007fa6,0x00000ef9,0x0000df98,0x000df700,
    0x0007f620,0x000dfdd9,0x013f2000,0x00002f40,0x0001ed88,0x0027f440,
    0x54027f40,0x1ffd04ff,0x2ff98000,0x1ffa8000,0x3fee0000,0x400001ef,
    0x80000efc,0x003fffe9,0x00000db0,0x0006fec0,0x000007f2,0x007fffd3,
    0x00ffa600,0x8027f400,0x07b300dc,0x01ffa800,0x0bfe6000,0x1bfb1000,
    0x00007ff5,0x400017f6,0xdfd8affb,0x0036c000,0x3bf20000,0x017e2000,
    0x8affb800,0x20000dfd,0x00002ff9,0x00000b2e,0x0efb8000,0xfe980000,
    0x7fd30003,0x0005fe88,0x00013fa2,0x3f2077ec,0x01b6001e,0x3ea00000,
    0x07f2001f,0x03bf6000,0x30003df9,0x000003ff,0x00000000,0x0000df98,
    0x007fa200,0xfc80bfe0,0x07fb0004,0x813ee000,0x1b6007fa,0x4c000000,
    0x13e2006f,0x409f9000,0xc88007fa,0x00000000,0x50000000,0x14000000,
    0x9800a800,0x00330000,0x4400c400,0x001b6002,0x01880000,0x00007ec0,
    0x00510031,0x00000000,0x004cccc4,0x004cccc4,0x00000000,0x00000000,
    0x00000000,0x10db0000,0x00015b95,0x3e600000,0x00000004,0x31000000,
    0x33333333,0x7fffc133,0x3fea04ff,0x8801ffff,0x0002bdca,0x02bdca88,
    0xbdca8800,0x26662002,0x26620199,0x4cc41999,0x26201999,0x36019999,
    0x3ffffea6,0x4c404eff,0x22019999,0xb0199999,0x3310001f,0x33333333,
    0x99988333,0x99988009,0x3fffe609,0xffffffff,0x2f3bf6a2,0x3f72e201,
    0x7ff4c02e,0x003fffff,0xfffffe98,0xe98003ff,0x3fffffff,0x7ffffcc0,
    0xfffb86ff,0xff34ffff,0x70dfffff,0x9fffffff,0x5ffddb60,0x417faa21,
    0xfffffff9,0xfffffb86,0x03fa84ff,0x7ffffd40,0xffffffff,0x3ffffe5f,
    0x3ffea04f,0x332e1fff,0xdccccccc,0x8006e82f,0x77dc01fc,0xdfb730ac,
    0x33bee001,0x1dfb730a,0x2b3bee00,0x01dfb730,0x55577554,0xfcaaa881,
    0x3baaa0ab,0xaa881aaa,0xb00abfca,0xb8019f9f,0x5dd5505f,0x55510355,
    0x3a0157f9,0xaaaa8007,0xaaaafdaa,0x3bf6a1aa,0x32e201bc,0x50002efd,
    0x005f705f,0x3f202fc4,0x077e400e,0x9003bf20,0xefc801df,0x0077e400,
    0x3ea001ba,0x2001ba01,0x7fec01fa,0x817ea004,0x1fa8006e,0x0001fd40,
    0x374007c8,0x000fe400,0x1ba05f50,0x2a01fc80,0x17ee005f,0x2e005fa8,
    0x017ea05f,0x37405fb8,0xd00fd400,0x03f5000d,0xd8006fd8,0x000dd00f,
    0x0dd003f5,0x001f2000,0x7c4005f7,0x17d40005,0xf8802fb8,0x001be205,
    0x1be20ff2,0x220ff200,0x3fc8006f,0x2a001ba0,0x001ba01f,0x5fb007ea,
    0x205f1000,0x1fa8006e,0x0002fb80,0x6e8007c8,0x0007f200,0x37405f50,
    0xf900fdc0,0x0ff10005,0xf10005f9,0x0005f90f,0x03740ff1,0xdd00fd40,
    0x803f5000,0x9f0000fd,0x2a001ba0,0x00df001f,0x7000f900,0x0bf1005f,
    0x405f5000,0x17e202fb,0x20005f88,0x017e22fb,0x3e22fb80,0x0bee0005,
    0x7d400374,0x2001ba01,0x03ec01fa,0x1ba0db00,0x4007ea00,0x640001fb,
    0x00dd0007,0x500003f7,0x206e805f,0x07ea01fb,0x2a5f8800,0x3e20001f,
    0x80007ea5,0x00dd05f8,0x37403f50,0x200fd400,0x1b60007d,0x7d400374,
    0x00bf1001,0x70007c80,0x02fc405f,0x402fa800,0x80bf02fb,0x740000fb,
    0x00003ee7,0x0007dcfd,0x03741fa0,0xdd00fd40,0x803f5000,0xbf0001fd,
    0x2a001ba0,0x07f2001f,0x0007c800,0x01fb81ba,0x005f5000,0x803f70df,
    0xfd80007d,0xb0000fb0,0x0001f61f,0x01ba03f6,0x6e807ea0,0x401fa800,
    0xf98003fd,0x5000dd03,0x2fc4003f,0x000f9000,0x05f817dc,0x00bea000,
    0x00df07ee,0xf70000dd,0x20001ba1,0x000dd0fb,0x0dd01f70,0x7403f500,
    0x01fa8006,0x20007fec,0x00dd01fd,0xd8003f50,0x0f90000f,0xfb86f800,
    0x3ea00001,0x7dcbf002,0x0005f802,0x00bf1fa8,0x17e3f500,0x207ea000,
    0x1fa8006e,0x2a001ba0,0x2ffec01f,0x7407f700,0x01fa8006,0x80027cc0,
    0x7dc0007c,0x000037c1,0x7dc00bea,0x1ba00df1,0x747ee000,0x1fb80006,
    0xf70000dd,0x5000dd03,0x0037403f,0x3b600fd4,0x32200efb,0x0037406f,
    0x6c000fd4,0x07c8000f,0x3ee5f800,0x7d400002,0x3ef7e002,0x000fb002,
    0x01f61fb0,0x3ec3f600,0x407ec000,0x1fa8006e,0x2a001ba0,0xfab6c01f,
    0xfba99acf,0x037400df,0x4000fd40,0x7c8003f9,0xf1fb8000,0xf500000d,
    0x37fdc005,0x0001f700,0x003ee7e8,0x07dcfd00,0x741fa000,0x01fa8006,
    0x3ea001ba,0xfb336c01,0x05ffffff,0x2a001ba0,0x0fd0001f,0x0000f900,
    0x000bef7e,0x000bea00,0x7d4005ff,0x97e20001,0x220001fa,0x0007ea5f,
    0x0db05f88,0x6c03f700,0x01fb8006,0xabb9836c,0x0036c000,0xa8000fdc,
    0x03e4003f,0x06ffb800,0x05f50000,0x44006e80,0x3f20005f,0x80017e22,
    0x017e22fc,0xf702fc80,0xb80fb000,0x807d8007,0x7000006d,0x00fb000f,
    0x64006e80,0x3fe00007,0xf5000002,0x017dc005,0x40017e40,0x02fc87f8,
    0xfc87f880,0x07f88002,0xdf0007e6,0x4001f980,0x006d806f,0x003f3000,
    0x5c0006f8,0x01f2002f,0x0006e800,0x8007ea00,0x1ba0006e,0x740bf200,
    0x02fc8006,0x5f9000dd,0x2a004f80,0x004f804f,0x1b6013ea,0x04f80000,
    0x00013ea0,0x07c801be,0x005f7000,0x003dc000,0x540005f5,0xbf7000df,
    0x8006fd40,0x37ea05fb,0x00bf7000,0xfd1005fb,0x005fb001,0xdb001fd1,
    0x7ec00000,0x00fe8802,0x002fb800,0x3a0000f9,0x74000006,0x001ba005,
    0x9007bf20,0xefc801df,0x0077e401,0xf9007bf2,0x5fd1001d,0x8017f440,
    0x3a202fe8,0x00db002f,0x17f44000,0x0005fd10,0x6401be20,0x2fa80007,
    0x3f200000,0x007f5003,0x2b3fea00,0x0dfeca88,0x159ff500,0x01bfd951,
    0x22b3fea0,0x00dfeca8,0x22b7fa20,0x003ffca8,0x4456ff44,0x2003ffca,
    0x4000006d,0xa88adfe8,0x00003ffc,0xccc88fdc,0xcccfeccc,0xdd002ccc,
    0xb3100000,0xffffb09f,0x09ffffff,0xfffe8800,0x8002efff,0xffffffe8,
    0xfe88002e,0x02efffff,0xffffb100,0x20003dff,0xffffffd8,0xfffe801e,
    0x006fffff,0x7ffec400,0x0001efff,0x7ffcc500,0xffffffff,0xfa804fff,
    0xfff30003,0x07ffffff,0x3333332a,0x0002cccc,0x006f2e60,0x0de5cc00,
    0xbcb98000,0x2e600001,0x200001ac,0x2001acb9,0xcccccccb,0x2000003c,
    0x0001acb9,0x80000000,0xfffffffd,0x22004fff,0xabcccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3333332a,0x0002cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001000,
    0x000e2000,0x00001cc0,0x00397100,0x00dc0000,0x0000b800,0x04000cc0,
    0x00370000,0x002a0000,0x36000dc0,0xee980002,0x20000000,0x80001fe9,
    0x00000dfb,0x2fdefd40,0x36200000,0x7440003f,0x7c00002f,0x07f62005,
    0x017f4000,0x0ff20000,0x0017f400,0x5c0003fd,0x0002ffff,0x02ffa800,
    0x03bf2000,0x41e80000,0x1000001f,0x980009fd,0x400003ff,0xfd3002fb,
    0x300007ff,0x000007fd,0x4000bfb1,0xf5003fe9,0x3bf6000b,0x0004fe88,
    0x007bee00,0x07bee000,0x21a60000,0x9800004c,0x540002ff,0x800002ff,
    0x5ff7006e,0x0001bfb1,0x0004fe88,0x0013fa20,0x4013fa20,0x3a2001fe,
    0x00efd84f,0x077e4000,0xff500000,0xf8800005,0x000016c0,0x00007fea,
    0x00003df7,0xfb007f50,0x01efc81d,0x005fd800,0x002ff980,0x402fec00,
    0x3f6006fa,0x0017ee02,0x000dfa80,0x07f98000,0x89dd8000,0x4400007b,
    0x4c0001ef,0x000000ef,0x09f700fd,0x80003fd4,0x220003fc,0x000001ff,
    0x3fd007f9,0x22002600,0x01400001,0x0a200000,0x3f220000,0x800001df,
    0x0500000a,0x1fd40000,0x14400c40,0x00130000,0x00000b80,0x7dc004c0,
    0x00000004,0x00000000,0x00000000,0x00000001,0x00000000,0x00001fb0,
    0x00000000,0x00000000,0x803fc400,0x99999999,0x33300000,0x00133333,
    0x26666600,0x00000999,0x33333333,0x26620001,0x99999999,0x09999999,
    0x4cccccc4,0x01999999,0x3104f980,0x33333333,0x33333333,0x99999881,
    0x99999999,0x99809999,0x99880199,0x4ccc4099,0x99999999,0x00bfa019,
    0xfffffffd,0xfd0000df,0xdfffffff,0xfffd0000,0x00dfffff,0xfffffd00,
    0x1000dfff,0xffffffff,0xffffffff,0x7ffd45ff,0xffffffff,0x6c005fff,
    0xffff880f,0xffffffff,0x22ffffff,0xfffffff8,0xffffffff,0x7ffc2fff,
    0x3ea04fff,0xf51fffff,0xffffffff,0x20bfffff,0x554c05fc,0x1fdefaaa,
    0x5554c000,0x01fdefaa,0x55554c00,0x001fdefa,0x555554c0,0x8001fdef,
    0xaaaefaaa,0xaaaaaaaa,0x555542fc,0xaaaafdaa,0x3e2001aa,0x3beaaa05,
    0xaaaaaaaa,0x542fcaaa,0xaaaaefaa,0xcaaaaaaa,0x5ff54c2f,0x7f55400a,
    0x5555542b,0xaaaaafda,0x01ff701a,0x4f8bf980,0xbf980000,0x800004f8,
    0x004f8bf9,0xf8bf9800,0x02f40004,0x6400be60,0x3f900007,0x30017a00,
    0x002f405f,0x2fcc0be6,0x8009f500,0xffa8007c,0xe87e4001,0xfc800007,
    0x00000fd0,0x001fa1f9,0x3f43f200,0x0017a000,0x1f2005f3,0x017e2000,
    0x7cc005e8,0x30017a02,0x017e405f,0x64003744,0x2ff98007,0x5f52fc00,
    0x25f80000,0x400002fa,0x000bea5f,0x17d4bf00,0x800bd000,0x0f9002f9,
    0x003f9000,0x3e6002f4,0x30017a02,0x00fe805f,0x64000fe4,0x3ff88007,
    0xf88bea00,0x3ea00005,0x00017e22,0x17e22fa8,0x22fa8000,0x3a0005f8,
    0x017cc005,0x440007c8,0x02f4006f,0x5e80be60,0x2017cc00,0x13e604f9,
    0x8003e400,0x1f6004ff,0x400003f2,0x000fc87d,0x1f90fb00,0x21f60000,
    0xbd0000fc,0x20017000,0x7dc0007c,0x002f4002,0x00bd005c,0x5f900170,
    0x40003fa0,0x9fd0007c,0x2613e200,0xf880003f,0x0003f984,0x3f984f88,
    0x84f88000,0xbd0003f9,0x00003620,0x6f8000f9,0xb105e800,0x20bd0001,
    0x740000d8,0x0017e40e,0x3e000f90,0x03f7003f,0x2e0001ba,0x000dd01f,
    0x1ba03f70,0x407ee000,0x0bd0006e,0x90000be6,0x17d4000f,0xf982f400,
    0x305e8002,0xf980005f,0x00017e64,0xff1000f9,0xb81ba005,0x3740001f,
    0x80003f70,0x007ee06e,0x7dc0dd00,0x305e8001,0x7c80005f,0x001fa000,
    0x02f982f4,0x5f305e80,0x23f90000,0x640000fe,0x1ffa8007,0x2203f980,
    0x3e60004f,0x0013e203,0x3e203f98,0x0fe60004,0xe8004f88,0xfeeeeeef,
    0x03e40002,0x0003fa80,0xddddddfd,0xdfd0005f,0x05fddddd,0xf9dd1000,
    0x0f900005,0x001ff700,0x07d801f9,0xb003f200,0x07e4000f,0xc8001f60,
    0x003ec00f,0x777777f4,0x640002fe,0x01fd0007,0x3bbbfa00,0x8002feee,
    0xeeeeeefe,0xf500002f,0x320000bf,0x06fc8007,0x5f500bf0,0x2017e000,
    0xbf0002fa,0x0005f500,0x0bea017e,0x3e60bd00,0x03e40002,0x00027cc0,
    0x00be60bd,0x17cc17a0,0x01fb0000,0x001f2000,0x3ea00ff6,0xaaaaaaad,
    0xa8005fba,0xaaaaaadf,0x8005fbaa,0xaaaaadfa,0x005fbaaa,0xaaaadfa8,
    0x05fbaaaa,0x2f982f40,0x003e4000,0xd00007ec,0x000be60b,0x017cc17a,
    0x000f9000,0x22003e40,0xffd800ff,0xffffffff,0x6c000fff,0xffffffff,
    0x000fffff,0x7fffffec,0x0fffffff,0x7fffec00,0xffffffff,0x817a000f,
    0x3e40000d,0x0013e600,0x006c0bd0,0x01b02f40,0x003e4000,0xb800f900,
    0x9cf8805f,0x99999999,0x22003fa9,0x999999cf,0x03fa9999,0x26673e20,
    0xa9999999,0x33e2003f,0x99999999,0x2003fa99,0x0488005e,0xfc800f90,
    0x02f40000,0x0bd02440,0x90009100,0x3e40000f,0x200bfa00,0x374001fa,
    0x8003f500,0x07ea006e,0x5400dd00,0x0374001f,0xf5000bd0,0x400f9003,
    0xe80005f8,0x01fa8005,0x3f5000bd,0x0007c800,0xf9801f20,0x000db007,
    0x1b6003f7,0x4007ee00,0x1fb8006d,0x7000db00,0x017a003f,0x32007ea0,
    0x007f2007,0x20017a00,0x00bd01fa,0xc8003f50,0x1f200007,0x8803fd80,
    0x4f88003f,0x8003f880,0x3f8804f8,0x804f8800,0xf88003f8,0x000bd004,
    0x0f9003f5,0x00017e20,0x7d4002f4,0x5000bd01,0x07c8003f,0x401f2000,
    0x1f7006f9,0x201f6000,0xfb0000fb,0x0001f700,0x03ee01f6,0xe803ec00,
    0x01fa8005,0x5f7007c8,0x017a0000,0x2f407ea0,0x000fd400,0xc80001f2,
    0x005fb007,0xfa80017a,0x0002f402,0x05e805f5,0xd00bea00,0x17d4000b,
    0x54002f40,0x007c801f,0x740000df,0x01fa8005,0x3f5000bd,0x0007c800,
    0x27c01f20,0x33bf3260,0x332201cc,0x263cefcc,0x1cccefcc,0x3f333220,
    0x3f3263ce,0x2201ccce,0x3cefcccc,0x333bf326,0x3332201c,0x65c3cefc,
    0xcccccefc,0xdccccccc,0x9999911f,0x99999fd9,0x000bea59,0x99df9970,
    0x99999999,0x65c3fb99,0xcccccefc,0xdccccccc,0x3332e01f,0xcccccfec,
    0x99999100,0x99999fd9,0xffb80059,0x203fffff,0xfffffff9,0x3ffffee6,
    0x3fe603ff,0x2e6fffff,0x3fffffff,0x3ffffe60,0x3ffee6ff,0x2603ffff,
    0x6fffffff,0x3fffffa2,0xffffffff,0xf31fffff,0xffffffff,0x049fffff,
    0x3ffa2000,0xffffffff,0xffffffff,0xfffffd11,0xffffffff,0x403fffff,
    0xfffffffe,0xf301ffff,0xffffffff,0x009fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x57b97300,0x80254101,0x2a000008,0x4037100b,0x06dc405a,0x77764b20,
    0x05b804ee,0x77401dc8,0x5c03eeee,0x00072603,0x20000010,0x40000008,
    0x4001b838,0x0072603b,0xffffd500,0x3ea3dfff,0xfd980f90,0x000980df,
    0x3f609ff3,0x5c0f900f,0x3ee00dff,0xdfdddd93,0xf900f900,0x777fc0df,
    0x3fee02ee,0x000dff02,0x140fffaa,0x33ff6600,0x40000980,0x0027c0fb,
    0x3fe05ff7,0x3ff20006,0xff7310ac,0x81f21f79,0xcffdcffa,0x26009f90,
    0x1ffb03ff,0x1ee81f20,0x3a03fc40,0x1007c806,0x013e07f9,0x3a05ff50,
    0xffc8006f,0xfb13efeb,0x33fea005,0x9f90cffd,0x20fb8000,0x3ea004f8,
    0x00dfd02f,0x10037f60,0x1f21fff9,0x3fa60dd8,0x4c005fff,0xc806e203,
    0x9005f307,0x206e807f,0x20bcfeb9,0x13e0df00,0xb880aa00,0x20ce8000,
    0x03ffffea,0xfe983760,0x80005fff,0x001fc47c,0x00b880aa,0x4005fa80,
    0x00f90ffb,0x000b76a0,0x83e40000,0x0ff8807c,0x7f443740,0xdcfffeff,
    0x13e0fb06,0x00000000,0x001cdb80,0x00b76a00,0x3e63e400,0x00000002,
    0x0001ff10,0x001f21fd,0x00000000,0x00fb07c8,0x8dd009f9,0x2e60cff8,
    0x0f907ffd,0x0000013e,0x00000000,0x40000000,0x0017cc7d,0xfa800000,
    0x21f70003,0xb951007c,0x51000057,0x320057b9,0xff00fb07,0xfe8dd003,
    0xc83fdc01,0x98809f07,0x22019999,0x44199999,0x88009999,0x40199999,
    0x99999999,0x1ba00000,0x4cc403f5,0x99999999,0x09999999,0x20006c80,
    0xd301f238,0x7fffffff,0xfffd3000,0xc807ffff,0xfa80fb07,0x7ccdd006,
    0x320dd003,0x7cc09f07,0x86ffffff,0xfffffffb,0x17ffffe4,0xffffff50,
    0x3fffa0bf,0x006fffff,0x3f717a00,0x3ffffe20,0xffffffff,0x802fffff,
    0x3200004e,0x2b3bee07,0x01dfb730,0x42b3bee0,0x900efdb9,0xfb01f60f,
    0xfb9ba007,0x32033001,0xaa809f07,0x881aaaee,0x0abfcaaa,0x0bffaaa6,
    0xcfcaaa88,0x5555301a,0x003fbdf5,0x1f717e00,0x577d5540,0xaaaaaaaa,
    0x4402fcaa,0x3200002f,0x801df907,0x7e400efc,0x077e400e,0x207d83e4,
    0xdd002ff8,0x400007dc,0x2009f07c,0x1fa8006e,0x00377ec0,0xf30005f5,
    0x00009f17,0x001f913e,0x5f30017a,0x0001fa80,0x17ea1f20,0x2a05fb80,
    0x17ee005f,0x503ec1f2,0x9ba001ff,0xc80003fa,0x3a009f07,0x01fa8006,
    0x8027d7ec,0xfc8002fa,0x26000fd0,0xaaadfbaa,0x00aaaafd,0x2f9800bd,
    0x00007dc0,0x06f88f90,0xf883fc80,0x43fc8006,0x5c0fb06c,0x89ba007f,
    0x640002fe,0x3a009f07,0x01fa8006,0x800fdbec,0x5f8002fa,0xf5000bea,
    0xffffffff,0x07ffffff,0x5f30017a,0x0000fb80,0x05f91f20,0xf90ff100,
    0x0ff10005,0xfd81be01,0xd31ba006,0x800159df,0x004f82fb,0x3f5000dd,
    0x0bf17d80,0xa8005f50,0x0017e22f,0x2b3f2aa6,0xaaaaeeaa,0x9800bd00,
    0x007dc02f,0x7c4f9000,0x8bee0005,0x2e0005f8,0x04fc802f,0x6e8017fa,
    0xbdfffb50,0x0df98015,0x06e8027c,0x6c01fa80,0xf500bf27,0xc87d8005,
    0x3e60000f,0xbd002f42,0xa8017000,0x3200002f,0x80007ea7,0x007ea5f8,
    0x2e05f880,0x27fc05ff,0xa880dd00,0x402fffdc,0x09f0dffb,0x2a001ba0,
    0x3a3ec01f,0x0017d406,0x07f309f1,0x3e0fd400,0x4417a005,0x7f30000d,
    0x73e40000,0x7e80001f,0xd00003ee,0x027fec0f,0x6e8013fe,0x04fe9800,
    0x27c7ffe6,0xa8006e80,0x2a3ec01f,0x00bea03f,0x0dd01fb8,0x3e0fdc00,
    0x4c17a004,0xbf10002f,0xb3e40000,0x1fb0000f,0x360001f6,0x0bfa600f,
    0x3a005fe8,0x07f60006,0x09f0ffe2,0x2a001ba0,0x6c3ec01f,0x005f500f,
    0x03f70374,0x9f03ee00,0xf982f400,0x03f60002,0xdd3e4000,0x21f70000,
    0xfb80006e,0xb02fc400,0x037400df,0xf507f300,0x3a009f07,0x01fa8006,
    0x82fcc3ec,0x7f3002fa,0xa8027c40,0xaabfdaaa,0x00aaadfb,0x3bbbbbfa,
    0x260002fe,0xf900005f,0x540002fc,0x0000bf1f,0x6c16a3f5,0x801ff207,
    0x3e00026e,0x4f80fc85,0x5000dd00,0x907d803f,0x005f503f,0x0fb003f2,
    0xffffff10,0xffffffff,0x777f40bf,0x002feeee,0x40017e40,0x374f95e8,
    0xe8fdc000,0x1fb80006,0xb81f60f9,0x2dd000ff,0x27c000fa,0x004f83e4,
    0x3f5000dd,0xdf107d80,0x3e005f50,0x802fa805,0x99fd9998,0x0199bfb9,
    0x02f982f4,0x00ff4400,0x9f23ff30,0xfd80007d,0xb0000fb0,0x3ec1f21f,
    0x2003ff30,0x4007f76e,0xf07c83fa,0x001ba009,0x0fb007ea,0x0bea1fd4,
    0x2aab7ea0,0x5fbaaaaa,0x7d46e800,0x4c17a001,0xe880002f,0x2ffa804f,
    0x000fb9f2,0x01f73f40,0x1f27e800,0x0bfa03ec,0x1ffbb740,0xf906f980,
    0x374013e0,0x200fd400,0x507f407d,0xfffb005f,0xffffffff,0x5e8001ff,
    0xbd000fd4,0x800006c0,0x88acefe8,0x640efeca,0x80007ea7,0x007ea5f8,
    0x1f25f880,0x17ee03ec,0xfffbb740,0x1ffc981d,0x013e0f90,0x7dc0036c,
    0x2603ec01,0x100bea4f,0x3333339f,0x07f53333,0x07dc5f80,0x1000bd00,
    0x3faa0009,0x04ffffff,0x002fc4f9,0x2fc45f90,0x645f9000,0xf880fb07,
    0xf56e800f,0xffffff91,0x3e401bff,0x0f7004f8,0xfb00fb00,0x3ea3f900,
    0x000fd402,0x89f001ba,0x17a000fc,0x0007ea00,0x00acfb88,0x00bf23e4,
    0x3f21fe20,0x47f88002,0x900fb07c,0x0cdd007f,0x159ff951,0x13e0f900,
    0x2000fcc0,0x807d806f,0x805f56f8,0x1fb8006d,0x7c89f100,0x4002f400,
    0x4c0001fa,0x3a1f2007,0x02fc8006,0x5f9000dd,0x00fb07c8,0x0dd00df3,
    0x7c800f90,0x27c009f0,0xb009f500,0x2abee00f,0x00fe202f,0x44013e20,
    0x2003ec3f,0x1fa8005e,0x067cc000,0x6fd43e40,0x40bf7000,0xf7000dfa,
    0x3f20f90b,0x402fd801,0x007c806e,0x004f82f4,0x3a200bf6,0x007d800f,
    0xb80bebfa,0x0fb0000f,0x0db0fe60,0xa8005e80,0xc980001f,0xf907c806,
    0x0efc803d,0x200f7e40,0x07c80efc,0xdf3009f5,0x7c806e80,0x7c0bea00,
    0x0bfa2004,0xb002fe88,0x7f7cc00f,0x80017a02,0x2f9802fa,0x17a00374,
    0x0007ea00,0x801f1054,0x33fea07c,0xdfeca88a,0x59ff5000,0x1bfd9511,
    0xefd81f20,0xca97ec03,0xc806fccc,0x07fda807,0x073333be,0x88adfe88,
    0xb803ffca,0x03cccfec,0x32617fec,0x01cccefc,0x3bf33322,0xd07ea03c,
    0xdf99700b,0x99999999,0x03fb9999,0x3b3bf600,0x4406b805,0xeffffffe,
    0xffe88002,0x402effff,0x3fae206c,0x7f53a201,0xc806ffff,0x00bfe807,
    0x17fffffe,0xfffffb10,0xfd1003df,0x80dfffff,0x7fdc2ff8,0x203fffff,
    0xfffffff9,0x00d41c06,0x3fffffa2,0xffffffff,0x001fffff,0x0006ee60,
    0x0de5cc00,0xbcb98000,0x00000001,0x01333330,0x40000950,0x00099999,
    0x000d65cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1b8805d4,0x4c057000,0x32a2000c,0x000001bc,0xcba88000,0x0c00000b,
    0x0000c000,0x00000300,0x4c000040,0xeeeeeeec,0x00c0004e,0x00155100,
    0x3609ff30,0x7dc000ff,0x00dff02f,0xffffffd3,0xda80007f,0xf50000be,
    0x00bfffff,0x000fee00,0x0000ef88,0x00077c40,0x00fee000,0xaabefc80,
    0x005caaaa,0x3000ff20,0x07fffffd,0xd81ffcc0,0x7dc000ff,0x80dff02f,
    0x730acffa,0x32000bfb,0x8006d9ae,0xf730befc,0xdfc8000b,0x77dc0000,
    0x7dc00000,0x9000001e,0x2e0001bf,0x005a801e,0x4001bfb0,0xec9adffa,
    0x80e6005f,0x550001b8,0xf9005c40,0x0efb801d,0x0ba07c00,0x2604fa80,
    0xfd88005f,0x3ea00005,0x5400001f,0x200001ff,0x40005fd8,0x00b5003f,
    0x4004fd88,0x9f901ff8,0x00000000,0x37ea0000,0x00bf5000,0x0025c34c,
    0x00f900dd,0x0003fe88,0x002ff980,0x017fcc00,0x027f4400,0xa801e600,
    0x0ffa2005,0xd007f600,0x0000003f,0xdd000000,0x005f7000,0x400ba0fc,
    0x1f9802fb,0x005ff100,0x17f44000,0x3fa20000,0x3fe20002,0x0f980002,
    0x7c400200,0x4f98002f,0x9804fa80,0x09999999,0x33331000,0x33333333,
    0x0002fb83,0x5f6400df,0x1be006d9,0x32004f80,0x88000001,0x8800001c,
    0x0e40001c,0x007d0000,0x00072000,0x7e800fec,0x7fffff40,0xa8006fff,
    0xffffffff,0x15ffffff,0x7dc000df,0x2fb6a003,0x007f3000,0x000002fc,
    0x00000000,0x00000000,0x7ffd9300,0x00000000,0x3ee006f8,0x2aaaa602,
    0x001fdefa,0xdaaaaaa8,0x1aaaaaaf,0xf80005f5,0xa8000005,0x0bf1002f,
    0x00000000,0x00000000,0x26000000,0x0cfa9bdf,0x00000000,0x1fd4009f,
    0x3e2fe600,0x1f200004,0x00003ee0,0x000000db,0x7f5403f7,0x4ccc45ff,
    0x4cccc400,0x372e6000,0x262002cd,0x4cc40099,0x2e600099,0x2002cddc,
    0x02fe983d,0xdcb98800,0x1fcc00ab,0x8009f100,0x000fd0fc,0x3e403e40,
    0x403e4000,0x02cddcb9,0x3fa20f90,0x3e25fcdf,0x3e206fff,0x5404ffff,
    0xfffffffd,0x7fc402ff,0x3fe206ff,0x6d404fff,0xffffffff,0x200f802f,
    0x50001dfb,0xffffffff,0x0017d409,0x4bf0017e,0x900002fa,0x000db00f,
    0xfb503f70,0xffffffff,0xe887d805,0x32a2fc3f,0x665c06fc,0x6ffc04fc,
    0x3faa209b,0x37e65403,0x13f332e0,0x4137bff0,0x6403fea8,0x067e4405,
    0x1befc880,0x207bf6a2,0x374001fb,0x7c45f500,0x0f900005,0x50000bd0,
    0x37bff05f,0x01ff5441,0xf05f90fb,0x1003740b,0x2000809f,0x0dd000ff,
    0x02027c40,0x2200ff80,0x2fd9803f,0xa804fd80,0x00fdc0ff,0x7d801ba0,
    0x80000fc8,0x006d807c,0x0081fb80,0x3ec03fe0,0x205f82fc,0x13e2006e,
    0x03fb8000,0x7c400dd0,0x3ee00004,0x0067cc03,0xfb806fd4,0x71be6003,
    0x06e8003f,0x7f309f10,0x00f90000,0xf90000f9,0x07f70000,0x207f11f6,
    0x801ba05f,0x400004f8,0x00dd004f,0x000027c4,0x3f62013e,0x40ed8802,
    0xfb8006f8,0xd0007ee3,0x407ee00d,0x7c80006e,0x0000fb80,0xf800036c,
    0x5f88fb04,0x03740bf0,0x00009f10,0x0dd004f8,0x00027c40,0xfb8013e0,
    0x645d800d,0x4dd0000f,0x374001fb,0x3ee06e80,0x03e40001,0x200017d4,
    0x9f00005f,0x07fa1f60,0x006e817e,0xa98013e2,0xf89abccb,0x400dd004,
    0x2a6004f8,0xf89abccb,0x27e44004,0x06d83e20,0x7d43f200,0x402fc002,
    0x13e203f9,0x200f9000,0x3ee0006f,0xccba9803,0xb04f89ab,0x415df50f,
    0x801ba05f,0x7dc404f8,0xffffffff,0x0dd004ff,0x22027c40,0xfffffffb,
    0x0004ffff,0x17405fd3,0x7d4000bf,0xf8007f31,0x400fc804,0x3e40007d,
    0x8002fb80,0x3ee206f8,0xffffffff,0x20f904ff,0xefeefffb,0x4400dd00,
    0x3bfe604f,0xa99889ab,0x0dd004fc,0xf3027c40,0x311357df,0x0009f953,
    0x3540dfb8,0x4c0009f1,0x4009f13f,0x05f803f8,0x20002fa8,0x03fe007c,
    0x2605f700,0x889abeff,0x704fca99,0x3fb2201f,0x0dd02ffe,0xe8827c40,
    0x013e002f,0x9f100374,0x800bfa20,0xd880004f,0x7c2ffdbe,0x87ea0005,
    0x0bee006f,0x5555bf50,0x0bf75555,0x5003e400,0x3ee001bf,0x005fd105,
    0x01fa827c,0x801ba000,0x03f904f8,0xdd004f80,0xc827c400,0x027c001f,
    0x159fb000,0x64000fb0,0x4003f60f,0x7fec00fe,0xffffffff,0x90000fff,
    0x1efb800f,0xc8077e40,0x827c001f,0x200003f9,0x13e2006e,0x27c002f4,
    0x22006e80,0x000bd04f,0xf800009f,0x0007ee02,0x013ea374,0x9f1013e6,
    0x33333333,0x0007f533,0x3ee001f2,0xeba88acf,0x002f404f,0x00dd027c,
    0x70036c00,0x009f109f,0xdb004f98,0x4427dc00,0x27cc004f,0x4c800a20,
    0x2001be20,0x00fe83fb,0x3ea007ec,0x00374001,0x930007c8,0x7dffffff,
    0x4004f880,0x0bee04f9,0x00fe4000,0x7f827fe4,0x013fee00,0x7e400fe4,
    0x400ff04f,0x35404ffb,0xfa807b00,0x417e6004,0x9f900df9,0x7000db00,
    0x0f90003f,0xadffa800,0x801fe000,0x3e204ffb,0xfa80000e,0x3fbfa204,
    0x8807f904,0x5004fefe,0x77f4409f,0x807f904f,0x404fefe8,0x03f1006a,
    0xb801bfb0,0x3bee00ff,0x0dfdb89b,0x4001fc40,0x7c8004f8,0x0bfea000,
    0x00ff2040,0x809fdfd1,0x36600efa,0x4577ec00,0xf8bffdb9,0x67f443ce,
    0xffdb9889,0x80799df3,0xdb98aefd,0x3cef8bff,0x444e7f44,0xdf3ffdb9,
    0x00d50799,0x7e400bb1,0xeb988abf,0xffa800df,0x7004ffff,0x1f60001f,
    0x2001f200,0xefeeffd8,0xfda88abd,0x2273fa21,0xf3ffdb98,0x3f20799d,
    0xfca98ace,0x7fec400e,0xf10dffff,0xffb10dff,0x41bfffff,0x4405ffff,
    0xdffffffd,0x10dfff10,0xfffffffb,0x2ffffc1b,0x666667d4,0x8005fecc,
    0xffffffe9,0xbb98003f,0x017a000a,0x4002fa80,0xffe8007c,0xfffddeff,
    0xd883ffff,0xdfffffff,0x817fffe0,0xfffffffa,0x32ea000c,0x54c0001b,
    0x00001acc,0x000de5d4,0x06b32a60,0xcccc9800,0x000acccc,0x0d65d440,
    0x93000000,0x03999df9,0x77e66644,0x3333223c,0xccccfecc,0x157702cc,
    0x02b32a20,0x03599530,0x565cc000,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffffdc,0x3ffe603f,0x3e66ffff,0xffffffff,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00030000,0x776e54c0,0x05eeeeee,
    0x00000030,0x6dc00006,0x9a980000,0x00130000,0x3c800000,0x000d5440,
    0x20006dc0,0x00880029,0x001b7000,0x01df1000,0x677f5400,0xaedaaafb,
    0x0ef8801a,0x3ee00000,0x7fec0003,0xfd88001e,0x800cffff,0x01efffd8,
    0x79951000,0x207f7013,0x4ffffffa,0x3dffb000,0x00ffe200,0x80005f98,
    0x0001effd,0x000efb80,0xf117ff44,0xfb8005b8,0xc800001e,0xd30000df,
    0x007ff59f,0x54deff44,0x3e200ffd,0x005fb32e,0x7ffff4c0,0x1be63fff,
    0x5cd5f7ec,0xd3001efd,0x007ff59f,0x2a00bff5,0x260001ff,0x03ffacfe,
    0x1ffa8000,0x103ff600,0x50005b8f,0x200003ff,0x20005fd8,0x3fa22ffa,
    0x205fd005,0x0bb00ef9,0x2a0003ee,0xd530acff,0x701ff3df,0x037d409f,
    0xfd117fd4,0x05ffa80b,0x0000efb8,0xfe88bfea,0xf9800005,0x1ff8802f,
    0x002dc788,0x0005ff30,0x0003fe88,0x7e403bee,0x2017dc06,0x01f884fa,
    0xfc8007f1,0x7ffdc00e,0xa805f981,0x03bee04f,0xff3037e4,0x00dfc80b,
    0x403bee00,0x800006fc,0x7dc02fe8,0x05b8f107,0x017f4400,0x002ff880,
    0x25402540,0x7ec01be0,0x13203540,0x000dfa80,0x03f20dfb,0x09503ec0,
    0x7fcc0950,0x0017f604,0x12a012a0,0x0e440000,0x3c417f20,0x2200016e,
    0x0720001c,0x80000000,0x9f3003f9,0x026c07a8,0x7dc00dd0,0x006e82fe,
    0x000007ee,0x5c09ff30,0x00000003,0x80000000,0xb8f106fc,0x00000005,
    0x00000000,0x4003f500,0x8817c46e,0x05f7002f,0x1ba3be60,0x1fa8017a,
    0x7c400000,0x0000003f,0x00000000,0x107fb800,0x00005b8f,0x00000000,
    0x59bb9730,0x8003ee00,0x407640fb,0x0df1006c,0x7dc3fa20,0xf7003642,
    0x7b973100,0x7ff10015,0x88000000,0x009bcdba,0x32e62000,0x7cc00abd,
    0x2dc7882f,0x336ea200,0x5100009b,0x001379b7,0x7ffffed4,0x5402ffff,
    0x0bee001f,0x3bf273fa,0x005f5001,0xa8bf0bf6,0x80bd001f,0xfffffffa,
    0x02ff804f,0x03333331,0x3fff2200,0x003fffff,0xfffffa80,0x7e404fff,
    0x16e3c41f,0x7fffe440,0x2003ffff,0xffffffc8,0xbff003ff,0x7f544137,
    0x400be203,0xfd703ff8,0x8ae2019d,0x4fc800fb,0x00ff87d8,0xfc8817e4,
    0x3f6a21be,0x20bfe01e,0xfffffffb,0x6ffd4000,0x3bfaa609,0xefc88000,
    0x3bf6a21b,0x42fff201,0x5402dc78,0x2a609dff,0x7d400efe,0x3aa609df,
    0x000400ef,0x02f401ff,0x0003ffc8,0x645dfd71,0x905fa807,0x82fe981f,
    0x3f603fe9,0x00ffa804,0x997103ff,0x4001fd99,0xfb801ef9,0x27ec000e,
    0x3007fd40,0xb8f9dffd,0x00f7cc05,0xf98077dc,0x0efb801e,0x07f70000,
    0x3ea017e4,0x2e2004fb,0x6d80befe,0xb8077c40,0xeffe881f,0x2e02fffe,
    0x1be6003f,0xf9000ff4,0x03fa2001,0x2004fa80,0x3e6003fb,0x7dba8806,
    0x1fd102dc,0x4427d400,0x3ea000fe,0x13e00004,0x3ee05fb0,0xeb980bf4,
    0x2f400bdf,0xfa807fa0,0xfffff902,0x1be201df,0x3a0fee00,0x03f2001f,
    0x4000fe40,0x6f8801fb,0x003fb800,0x640b71e2,0x1fb8001f,0x5c000fe4,
    0x9f00001f,0x9acfe880,0x217e5fdb,0x00bdfeb9,0x2fc81b60,0x3620fdc0,
    0x3faa21bf,0x0000fc81,0x001fb0dd,0x6f8007e4,0x009f1000,0x3a0001f9,
    0xb71e2006,0x880037c0,0x80037c4f,0xba9804f8,0x4f89abcc,0xffffd880,
    0xec93e23e,0x90000adf,0x2013ee0f,0x00f7447c,0x00db0bf2,0x3f607e40,
    0x003f2000,0xd8000fe2,0x0006d806,0x3c4003f2,0x01fc416e,0x1fc4db00,
    0x220db000,0xfffffffb,0x4004ffff,0x13f980a9,0x37260159,0x303ee03c,
    0x91b600df,0xf1fa003f,0x0fd4000b,0x1f9001f2,0xddddf500,0xdddddddd,
    0xf00fdddd,0x0fd4000b,0x82dc7880,0xeeeeeefa,0xeeeeeeee,0x3bbea7ee,
    0xeeeeeeee,0x87eeeeee,0x89abeff9,0x04fca998,0x00bee000,0x77edf7dc,
    0x3e23fa80,0xe8bf000f,0x447e6004,0x3e60004f,0x32000c43,0xeefa800f,
    0xeeeeeeee,0x0eeeeeee,0x80013e20,0x8f1003f9,0xdddf505b,0xdddddddd,
    0x21dddddd,0xeeeeeefa,0xeeeeeeee,0x3fa20eee,0x0013e002,0xa800fd80,
    0xe836c42f,0x5c007f66,0x000be23f,0x0002fc9f,0x900003f5,0x05f1001f,
    0x0bf00000,0x800fd400,0xf882dc78,0x3e200002,0x7e400002,0x0027c001,
    0xf005fa80,0x2e0fe209,0x1003fcaf,0x001fa8df,0x000fb2f4,0x400007e4,
    0x0bf000fc,0x0fb00000,0x8007e400,0xbf02dc78,0x05f80000,0x002f4000,
    0x4400027c,0x1f8801ff,0x7ff41760,0x10bf2005,0x27c4007f,0x3a0003f7,
    0x1f900006,0x0003f600,0x003f7000,0x78801ba0,0x01fb02dc,0x007ec000,
    0x004f8800,0x400027cc,0x0f3003fc,0x1ff705b8,0x7c17ee00,0x88bea005,
    0x3fb8006f,0x01f90000,0x00017e60,0x000df100,0x3c4007f7,0x05f9816e,
    0x017e6000,0x2007f800,0x20004ffb,0x22005fd8,0x2213a02f,0x6401effe,
    0x05f900ef,0x9f50df10,0xa82fcc00,0x03f2000b,0x8003fb80,0x09f50038,
    0x2002fcc0,0x2e02dc78,0x8388003f,0x388003fb,0x3a201fe4,0x50004fef,
    0xbd0009ff,0x3f60be60,0x88acffba,0xe804feba,0x07fa202f,0x2e006fec,
    0xfffe80ff,0x001f9001,0x8800cfe8,0xfb000ffc,0x0ffb801b,0x16e3c400,
    0x20033fa0,0xfe80ffc8,0xffc8800c,0x2273fa20,0xf3ffdb98,0x5644799d,
    0x2ffeca98,0x239f1000,0x3fc84eb8,0x3fffff62,0xfd1002ef,0xff75135b,
    0xabffc807,0x0dfeb988,0x03ffff88,0x90001f90,0x2a2357ff,0x001effdb,
    0x4455ffe4,0x000dfeb9,0x802dc788,0x511abffc,0x403dffb7,0x511abffc,
    0x103dffb7,0xfffffffb,0x2ffffc1b,0xbffffff3,0xe9800017,0xf984ffef,
    0x15975105,0x3ffee000,0x3000efff,0xfffffffd,0x1fffe807,0x3333332e,
    0xccccccfe,0x3ffa601c,0x2dffffff,0x3ffa6000,0x003fffff,0x4ff33332,
    0x404cced8,0xffffffe9,0xd3002dff,0xffffffff,0x9953005b,0x5cc00035,
    0x3000001b,0x03220155,0x4c400000,0x10000abb,0x20035975,0x3fa21cb8,
    0xffffffff,0x03ffffff,0x0abcb988,0x5d440000,0xcb8001ac,0x9912cccc,
    0x26200799,0x0000abcb,0x02af2e62,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdb800000,0x00000000,
    0x04d54c40,0x03530000,0x44000c40,0x44000001,0x000000aa,0x000bcb88,
    0x039bd950,0x01801100,0x00001880,0x00076600,0x1effd800,0x003f9000,
    0xffff9100,0x30001bff,0x5fffffd9,0x2a00f900,0x00003fec,0xbfbbdd30,
    0x74000003,0x2000ffff,0xffffffd8,0x07fe6004,0x65402fec,0x000003fe,
    0x007fff70,0xacfe8800,0xf98003ff,0x3ee0002f,0xfca9abdf,0x3fee002f,
    0x02cb9ace,0xcee807c8,0x800003fa,0x036443f8,0xfff88000,0x3f6003ff,
    0x09fd712d,0x7c0ffee0,0x5677407f,0x8000003f,0x05fe9efd,0x45ff5000,
    0x88005fe8,0xfc8003fe,0x07fa601e,0x001dfb10,0xf8007c80,0x40000003,
    0x000002f8,0x001ffffd,0x2fd813ee,0x500dc880,0x03f8005b,0x3fa20000,
    0x000f7e44,0x3203df50,0xfe88006f,0x8026c004,0x3fe206f8,0x0f900004,
    0x00007f00,0x0007f000,0x005e5400,0x7d403fb0,0x00000004,0x800001fc,
    0xff502ff8,0x012a0003,0xfd80012a,0x32000005,0x005fb00f,0x4003e400,
    0x0000003f,0x00003b62,0x1ba00000,0x00001ba0,0x0007f000,0x10072200,
    0x00000019,0x00b70000,0x417d4000,0x200004fb,0x2001afe8,0x0180003f,
    0x003bffa2,0x00000440,0x0dd00bd0,0xf8000000,0x01880003,0x00000000,
    0x00000000,0x441fa800,0xa80000ef,0xaffffffe,0x000fe02a,0x2202fd88,
    0xc8003feb,0x2000005f,0x027c405e,0x33772e60,0x007f0002,0x0007fa80,
    0x13331000,0x09999880,0x00000000,0x05f70f90,0xbefd8800,0x7ffeca9a,
    0x5c000fe0,0x3e6003ff,0x1bfd3004,0x2f400000,0x5003fd10,0xfffffffb,
    0x3f8005ff,0x3dfb1000,0x26666620,0xfff88001,0x3ffe206f,0x4cc404ff,
    0x00001999,0x1b613e60,0x00ff6000,0x01fc0ffb,0x007bfa60,0xf9101f20,
    0x00b8005f,0x36e22f40,0xbff002ff,0x7f544137,0x000fe003,0xfb813fee,
    0x00ffffff,0x06fcca80,0x027e665c,0xfffffff7,0xf7000001,0x0009d01d,
    0xf8803fa8,0xc800fe07,0x2e0003ff,0x1bff500f,0x003f8800,0x3fff62f4,
    0x4001001e,0x07f000ff,0x00f7f4c0,0x3b3332e2,0x3740000f,0x4409f100,
    0x0feccccb,0x6e64c000,0x87f105fe,0x202ceeb9,0x816e006f,0xdfe9803f,
    0xbf100c00,0x005ffb10,0xd000fe60,0xffcb988b,0x2e00000c,0x007f003f,
    0x0000ffee,0xe80001f9,0x013e2006,0x00003f20,0x40dffffb,0xbffd11fa,
    0xf881bffb,0x2aa60003,0x20aaadfa,0x0223ffc8,0x5cc5efec,0x67fd40ee,
    0x7fb30000,0x4405e800,0x00000efc,0x5554c13e,0x4c0aaadf,0x80000efe,
    0x740000fc,0x013e2006,0x00003f20,0x037fb2a2,0x0ffa23ee,0x05f51bf2,
    0x77776400,0xfd51eeee,0xbffb711b,0xdffd9305,0x41efd887,0x36604ff9,
    0x74000dff,0x00bf5005,0xec827c00,0x1eeeeeee,0xff10fff2,0x00fc8009,
    0x10037400,0x1f90009f,0xdf500000,0x1fe9fb83,0x1fa8fea0,0x6c400000,
    0x4477a2ff,0xfb8004ea,0x09fbd04f,0x00033fee,0x7f7002f4,0x79975300,
    0x0009f135,0xd80dfe98,0x7e4004ee,0x03740000,0x90009f10,0x2000001f,
    0x3bea0fe9,0x30fd801f,0x4000005f,0x3ae0cffa,0x3000fa80,0x3ee03dfd,
    0x0dfd84e8,0x002f4000,0x7fdc41ba,0xffffffff,0xf910004f,0x3a7ea05f,
    0x007e4004,0x8801ba00,0x0fc8004f,0x3e600000,0x4013fea3,0x009f13f9,
    0x3dfb1000,0x01fc0130,0xf301ffdc,0x09f113a5,0x0017a000,0x7dff30f9,
    0x95331135,0xff50009f,0x74fe201b,0x007e4004,0x8801ba00,0x0fc8004f,
    0x37400000,0x7c001ff3,0x00007f24,0x0004ffb8,0x7f4c05f3,0x9d2f400d,
    0x00000fb8,0x1fb800bd,0xf800bfa2,0x3bf62004,0x09d36c02,0x0000fc80,
    0x9f100374,0x001f9000,0x20fb8000,0x12f4005f,0x0b7001df,0x0007bfa2,
    0xff902744,0x741f7007,0x00002f44,0x2f9800bd,0x9f0007f2,0x033fea00,
    0x02743f70,0x00003f20,0x27c400dd,0x0007e400,0xd87ee000,0x262fc007,
    0x7d440bff,0x007f904f,0xf502f4c0,0x85f3001b,0x0003744e,0xfb800bd0,
    0x3e0017a1,0x003df004,0x004e87f1,0x200007e4,0x13e2006e,0x0003f200,
    0xfa8f9000,0x107f1001,0xfffdfffd,0x0004405b,0x01009f50,0x22742f40,
    0x806c007d,0xd80fc45e,0x8009f10f,0x001004f9,0x0027436c,0xb00003f2,
    0x027dc00d,0x00007e40,0xf88bf100,0x405f5005,0x001cffb9,0x03fb8000,
    0x66fd4000,0x2e3efccc,0x05f3004f,0x209f317a,0x7003fc7f,0x800009ff,
    0xfccccdf9,0x03f2004e,0x003f9000,0x90009ff9,0x006e001f,0x5f703fb0,
    0x9006f880,0x2000000f,0x800001fc,0xfaaaaaa8,0x4017f42d,0xf0bd03fa,
    0xfc87f70d,0x7f7f4403,0x54400004,0x2deaaaaa,0x0003f200,0x74409f50,
    0xc8004fef,0x3bfd000f,0x103fd880,0x3f6203fd,0x000f9001,0x00ee8800,
    0x4e800000,0x441dff98,0x32e2ffea,0x3ee0cefc,0x886fb89d,0xb9889cfe,
    0x99df3ffd,0xe8000007,0x007e4004,0x4577ec00,0xf8bffdb9,0x3f2003ce,
    0xbff91000,0xff953137,0xacfe8807,0x003feb98,0x800001f2,0x99999ef8,
    0x800003d9,0xfb104f98,0x9fffffff,0x7ffff441,0x7fffec2f,0xfffb100d,
    0x7c1bffff,0x00005fff,0x970bd310,0x9fd99999,0x03999999,0x3ffff620,
    0xfff10dff,0xcccccb8d,0xcccccfec,0xfed881cc,0x01efffff,0xffffd710,
    0x07c8005f,0x3fea0000,0x4fffffff,0x7fcc0000,0x32e606ff,0x00002bcd,
    0x26003795,0x0001acca,0x3fe20000,0x3ffa27ff,0xffffffff,0x003fffff,
    0x000de5d4,0x3fffffa2,0xffffffff,0x5d4403ff,0x260000ab,0xb70001bb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bcda800,0x08801d44,0x266200c0,0x4ccc4009,0x80310009,
    0x00880009,0x5555500c,0x55555555,0x15555555,0x10000200,0x00000155,
    0x803dddd5,0xeeeeeeee,0x8802eeee,0x980acdb9,0x3bbb2199,0xeeeeeeee,
    0x014c2eee,0xacfffea8,0xfa806ffd,0x20bfd01f,0x205ffff8,0x03fffff9,
    0xf903ff88,0x1ff9800f,0x2760dfb0,0x99999999,0x99999999,0x36e202a9,
    0xfec88007,0x0003ffff,0x0bfbb6a0,0xdddddff0,0x803bdddd,0xffffffe9,
    0xbffff31e,0x3bbbbbfa,0xfeeeeeee,0x003fff63,0x67fffe44,0x05ff7002,
    0x6540fff1,0x665c05fc,0xff9803fc,0x003ffb05,0xff81ffdc,0x40000907,
    0x7ff5c429,0x7f44007f,0xdfebaacf,0x7d400000,0x00027c02,0x261bffc8,
    0xcdf99ffb,0x9800dd1b,0x7ffff13f,0x7ffed440,0x22003fec,0x05b500cd,
    0xf88017a0,0x203b9003,0x644004d9,0x205b500d,0x4a600004,0xdadfffe9,
    0x07be6007,0x00006fb8,0x13e017d4,0x037ee000,0x83fcfd88,0x0fdc005d,
    0x2a03fffd,0x3a21cfff,0x0000002f,0xf88017a0,0x00000003,0x00480000,
    0x674ca600,0xff003e41,0x007f7003,0x2017d400,0x7cc0004f,0x0fffa005,
    0x8fd00022,0x32602dc8,0x000ff401,0x05e80000,0x0000fe20,0x00000000,
    0x29800012,0xf5007c80,0x003ec009,0xf805f500,0x07f40004,0x007ff300,
    0x0009f100,0x006f8800,0x0bd00000,0x0001fc40,0x00000000,0x53000024,
    0x3600f900,0x00fdc006,0x402fa800,0x3e20004f,0x03fc8004,0x001fa800,
    0xf5013100,0x32e62007,0x74000abd,0x40fe2005,0x44009998,0x20009999,
    0x09bcdba8,0x30000240,0x200f9005,0x17cc0008,0x40dedcc0,0x027c02fa,
    0x0005f300,0xb00007f7,0xfd98000f,0x3a2dffff,0xffffa807,0x2004ffff,
    0x0fe2005e,0x81bfffe2,0x04fffff8,0xfffffc88,0x01203fff,0xc8029800,
    0x2a000007,0xfffb101f,0x7d49ffff,0x26227c02,0x001fb800,0x80003f98,
    0x3f20005f,0xfecbacef,0x9101fa9e,0x6d4437df,0x05e801ef,0x6540fe20,
    0x665c06fc,0x7fd404fc,0x3faa609d,0x0000480e,0x01f200a6,0x80fd8000,
    0x5109cfe8,0x00beabfb,0xffffb59f,0x07ea03bf,0x000fea00,0x06205f50,
    0x5006ff44,0x3609f5ff,0x0ffa804f,0xf1002f40,0x400dd007,0x3be604f8,
    0x40efb801,0x0a600004,0x00001f20,0x774427d4,0x7d6fd401,0x7ffffc02,
    0x84ffdbbd,0xfb8003f9,0x07e40003,0x07f907c8,0x21bbf620,0x3e6003fb,
    0x1002f406,0x00dd007f,0xfe8827c4,0x913ea000,0x014c0000,0x400003e4,
    0x7f440ef8,0x5fff3000,0x101bee80,0x009f09fb,0x80007fb0,0x503f605f,
    0xff88009f,0x40037c47,0x017a03fb,0x6e803f88,0x6413e200,0x1fb8001f,
    0x29800012,0x00007c80,0x7dc0ff44,0x17fe4002,0x83fb0000,0x3ea001fd,
    0x3e60003f,0xdd03f602,0x8ff50001,0xdd0000fc,0xf7003740,0x400dd007,
    0x00df04f8,0x00493e20,0x3200a600,0x3a200007,0x000bb01f,0x80000bfa,
    0x037c45f8,0x003ffe88,0xfe803f20,0xf00027c1,0x00036c1f,0x07fa01f9,
    0x200fff20,0x13e2006e,0xd8000fe2,0x98000126,0x0007c802,0x7c05fd10,
    0x05fb0003,0xa87d8000,0x3fa601ef,0x3a0003fa,0xf30ff406,0x07f40005,
    0x7d4000bf,0x4409fd01,0xe803fefe,0x213e2006,0xeeeeeefa,0xeeeeeeee,
    0x000127ee,0x07c80298,0x02fe8800,0x5c000be6,0x5c00002f,0xacffa80f,
    0x98efca99,0x7f30003f,0x3ea1fe80,0x89f20001,0x3e60004f,0x15bffd03,
    0xf17ffb73,0x0374079d,0xdf509f10,0xdddddddd,0xdddddddd,0x98000121,
    0x0007c802,0x2e00ff4c,0x5f50001f,0x1fa80000,0xfffffd10,0x00fe61bf,
    0x3e007dc0,0x000fe62f,0x002fc6e8,0x3ba03f50,0xdffffffd,0x40dfff10,
    0x13e2006e,0x80000be2,0x0a600004,0x98001f20,0x2f9801ff,0x005f7000,
    0x401fb800,0xf981bba8,0x00dd0003,0x02fc45ff,0x3ec5f880,0x201f9000,
    0x0379735e,0x2006e800,0x00bf04f8,0x00002400,0x00f90053,0x8007fe60,
    0x5fb0003f,0x07c80000,0x007f3000,0xf8807f10,0x8003f43f,0x00fdc4fa,
    0x17a06e80,0x03740000,0x3f609f10,0x00900000,0x64014c00,0x1ffa8007,
    0x80036c00,0x400002ff,0xf500006e,0x03f50005,0x7dc3ff88,0x40fd8003,
    0xfb8006f8,0x00017a03,0xf70036c0,0x0017e609,0x30000240,0x800f9005,
    0xb8001efa,0x7fe4003f,0xf5000102,0x3ee00009,0x807d8000,0x3fd84ff8,
    0x540ff200,0x17e6004f,0x00000bd0,0x3f2007f2,0x00fee04f,0x00048e20,
    0x1f200a60,0x000efa80,0x4c003fa0,0x1bf02fff,0x003be200,0x001be200,
    0x7fcc027c,0x803ff884,0x6fec06fd,0x007fdc00,0x4000017a,0x3fa204fa,
    0x67f404fe,0x0ffc8800,0x14c00009,0xfb803e40,0x220a000e,0x6fdc02fe,
    0x7ff702fa,0x002fe980,0x002fe880,0xf9801fa8,0x9dfd105f,0xbfd95115,
    0x57ff9001,0x1bfd7311,0x0000bd00,0x4c577ec0,0xef8bffdb,0x2fff203c,
    0xffb7511a,0x0000243d,0x00f90053,0xf8800bf5,0x1adfe882,0x3ea9fb53,
    0x7f4c1ccd,0xfca98ace,0x5cc0003f,0xfb0003fe,0x017fea00,0xfffffff7,
    0xfe98005f,0x03ffffff,0x000017a0,0xfffffd88,0xdfff10df,0xffffe980,
    0x482dffff,0x44a60000,0xfecccccc,0x92cccccc,0x9999999f,0x7fb99999,
    0x3fffb220,0x3fea3eff,0xffb703ff,0x001dffff,0x7ffffff4,0x360002ff,
    0x09ff3004,0x02af2a60,0x59751000,0x00550003,0x79750000,0x4c400003,
    0x7400abcb,0xcccccccc,0xcccccccc,0xfff32dcc,0xffffffff,0x3ff29fff,
    0xffffffff,0x803fffff,0x0000acb8,0x002aee60,0x333332e0,0x000000ab,
    0x000065c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeed80000,0x4400005e,0x88009999,0x50009999,
    0xa98000dd,0x4c409bdc,0x09998099,0x00adca88,0x79953000,0x98000013,
    0x0009bcca,0x2000c400,0x01999998,0x06666662,0x003bd710,0x01300620,
    0x0dfdd900,0xffff8000,0x3fea04ff,0xb801ffff,0xfd10007f,0x1bffffff,
    0xf8ffffea,0x3fea6fff,0x04efffff,0xdfffd880,0x002effed,0x37fff620,
    0x002effed,0x4c00f900,0x6fffffff,0xffffffb8,0xfdff504f,0x017dc19f,
    0x3fee07ff,0x01b60000,0x9dfb5000,0x6e5c4037,0xff7002ef,0x39ff7000,
    0x23bf2621,0x2a0bcdfa,0x7ff76ecc,0x02ff5443,0x1015bf70,0x80019f93,
    0x9880adfb,0x40000cfc,0x7554007c,0xa881aaae,0x00abfcaa,0x3ff625df,
    0xf300efdd,0x07ff60bf,0x0006d800,0x9000dd00,0x3fdc003f,0x007bea00,
    0x005f9fd3,0x8019f9fb,0x7ec405fb,0x07ba6002,0x800bf620,0x20001ee9,
    0x0dd0007c,0x1803f500,0x009ffd30,0x136603b7,0x000db000,0x800bee00,
    0x64c005f8,0x01be2004,0x802fff88,0x2a004ffd,0x0037a05f,0x3a007e40,
    0x1f90000d,0x001f2000,0x7d400374,0x00040001,0x6c000000,0x3a000006,
    0x007f2006,0x07f60000,0x005ff500,0xfb000dfb,0x5101f901,0xdb061599,
    0x99887e40,0x36c00999,0x0007c800,0x3f5000dd,0x00000000,0x0db00000,
    0x17dc0000,0x0002fc40,0x0005f800,0x5fb005fd,0x985f1000,0xaace982f,
    0x1fc47bfd,0xdfd717cc,0x1017dddd,0x0f90007f,0x2001ba00,0x731001fa,
    0x000157b9,0x6d800000,0x0abdca88,0xb806e800,0x8000001f,0xf90003f8,
    0x001fb005,0x309d13e0,0x50fb101d,0x1d04e81f,0x1f506b88,0x0007c800,
    0x3f5000dd,0xfffff500,0x22009fff,0x00199999,0xfe89b600,0x03ffffff,
    0xf1017dc0,0x2666200b,0x3f500199,0x00bee000,0x6d8001f6,0x807a03e6,
    0x7cc7d079,0x0b201d00,0x1f2001f4,0x40037400,0x3f2201fa,0x3f6a21be,
    0x3ffee01e,0x0000ffff,0x2ffe6db0,0x037faa61,0x3ee06e80,0xffffb801,
    0x5f5007ff,0x00bee000,0x6d8001f6,0x201661ae,0x035cb902,0x6416601d,
    0x003e4005,0xfa8006e8,0x2013f601,0x97100ffa,0x001fd999,0x3bebb600,
    0x0037e400,0x017e05f7,0x766665c4,0x007f1007,0x3600bf20,0x4bf0001f,
    0x0004a85c,0x3a05c9ae,0x1ae05b00,0xffffffff,0xffffffff,0x00dd05ff,
    0x3ee03f50,0x01be6003,0x00001f90,0xb801bff6,0x21be003f,0x640001fb,
    0x0017e007,0x7ec017f4,0x23f98003,0x0002b83e,0x3a03e9e6,0xf302e540,
    0xccccccb8,0xcccccfec,0x06e80ccc,0xf881fa80,0x03fb8006,0x00003f20,
    0x2000ffec,0x3f7000fe,0xc80006f8,0x00bf2007,0xb005ff70,0xfd8001ff,
    0x00b20be1,0x05f0f880,0x177f7774,0xc8003e20,0x00dd0007,0x1f903f50,
    0x801ba000,0xb00000fc,0x7f30007f,0x5f72fc00,0x00f90000,0xf3000fe8,
    0xffb005ff,0x21fdc00b,0x0003b83d,0x3a03d9e6,0x401fa99a,0x03e40079,
    0xa8006e80,0x0006d81f,0x7e4003f2,0x3fb00000,0x8017e000,0x000df1fb,
    0xf3001f20,0xbefb805f,0xfbed802f,0x1bf2200e,0x00166172,0xe81726b8,
    0xd700f440,0x0007c800,0x3f5000dd,0x54000bf0,0x01f9001f,0x003f6000,
    0x3e003740,0x00002fbd,0xfd5000f9,0xfd73337b,0xb005f51b,0x26b3fead,
    0x80dffba9,0x0001d06a,0x3a06a936,0x9b00e880,0x0007c800,0x3f5000dd,
    0x20004f88,0x1f9003f9,0x01f60000,0x5c007d80,0x200006ff,0xf910007c,
    0x49dfffff,0x26d802fa,0xffffffd9,0x203e602f,0x207a2059,0x7403e63e,
    0x0fa09500,0x2000f900,0x1fb8006d,0x2a0005f8,0x01f9001f,0x003f6000,
    0x7c003740,0x3200002f,0xca980007,0x802fa80a,0x1577306d,0x74c17a00,
    0x2e0bea22,0x0e82f40f,0x01f707a0,0x70007c80,0x20fb000f,0x3f20007d,
    0x001f9000,0x0007f600,0x3740027c,0x01f20000,0x17d40000,0x000036c0,
    0x764c0fe2,0x2f980bde,0x3ff23f88,0x36f982ff,0x0f90005f,0x0007e600,
    0x007ee0df,0xf9003740,0x3f600001,0x03f98004,0x00017dc0,0x00001f20,
    0x6c017d40,0xfb800006,0x02f40000,0xe80001f7,0x00f90005,0xf50027c0,
    0x001be209,0xfc800fee,0xffb00000,0x00fe8003,0x00003740,0x000003e4,
    0x6d802fa8,0x3db00000,0x01fb1000,0x88001ed8,0xd70000fd,0x017ec000,
    0xf5007f44,0x02fcc009,0x00003f20,0x90037fec,0x2fa8005f,0x07c80000,
    0x5f500000,0x0000db00,0x70027e40,0x3f2001bf,0x037ee004,0x88000000,
    0x3fa202fe,0x00dfd802,0x20007fdc,0xb00000fc,0x4403df3d,0x6e8005fd,
    0x0f900000,0x3ea00000,0x0006d802,0x55f75400,0x0ff6e620,0x2afbaa00,
    0x0ff6e620,0x40000000,0xa88adfe8,0x32003ffc,0xb988abff,0xc8000dfe,
    0x32e0000f,0x59ff36ec,0x09ff7311,0x0007f500,0x0001f200,0x4017d400,
    0x8000006d,0xfefffec8,0x20000def,0xfefffec8,0x97000def,0x99999999,
    0x99999999,0xfffd8801,0x8001efff,0xffffffe9,0x6665c03f,0xcccfeccc,
    0x7401cccc,0x3f626fff,0x01ffffff,0x7fffffec,0x4004ffff,0xeccccccb,
    0xcccccccf,0xfff98001,0x23ffffff,0xfffffffe,0x4000006f,0x00009ba9,
    0x01375300,0xffffff00,0xffffffff,0x4005ffff,0x0001acb9,0x01acba88,
    0xfffffe88,0xffffffff,0x300003ff,0x2a003597,0xcccccccc,0x3a2002cc,
    0xffffffff,0x3fffffff,0xcccc8800,0x2e1ccccc,0xcccccccc,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2af372a6,0x6f5c4000,0xd9000001,0xdcb980bd,0x02000acd,0x3bbb6000,
    0x44000004,0x40abcdca,0x26662000,0x99999999,0x7b951001,0xcba80005,
    0x20000abc,0xccdeedc8,0x3bbb620a,0x04400004,0x7fffec40,0x0bb3ffff,
    0x67ff7fd4,0x4000bea0,0xb887fef9,0xfffffffe,0x009d002f,0x05feed80,
    0xffb30000,0x19ffffff,0xff7001f5,0xffffffff,0x74c09fff,0x3fffffff,
    0x7fff5400,0x0bb3ffff,0x3bbfff20,0x3627ffff,0x00005fee,0x54077ff2,
    0x2a209bff,0x3e06fefe,0xbbff912e,0x3a0001df,0xfff87d8f,0x27fd441c,
    0x00002fc0,0x700000bd,0x2a237bff,0x01feffdb,0xaaaaaa88,0x0aaaaefa,
    0x2159df70,0x800efdb9,0x2621affc,0xb806fefd,0x033300df,0xa80002fc,
    0xfa86ffff,0x6ffa800e,0x7fecc060,0x4fee0004,0x8805f87d,0x02fc01fe,
    0x000bd000,0x800efc80,0x0001ffe8,0xdf9005f8,0x00efc801,0x3ea017ea,
    0x037c406f,0x0002fc00,0x0fffffd8,0xf7001be2,0x0004000d,0x87d9be20,
    0x0df1004f,0x200005f8,0x2a00005e,0x7f4000ef,0x05f80001,0x2e005fa8,
    0x801be05f,0x1fd406fb,0x002fc000,0x6ffffb80,0x7c000fec,0x00000006,
    0xe87d87f2,0x803f2003,0x3a00005f,0xff100005,0x03f70001,0x880bf000,
    0x3fc8006f,0x22003f98,0x007e406f,0x0002fc00,0x41effc88,0x0770005f,
    0x59bb9730,0x22fc4000,0xfa80007d,0x4f7cccc1,0x19999999,0x0000bd00,
    0x44000fea,0x0bf00005,0x88002fc8,0x001fa87f,0x03f202ec,0x0017e000,
    0x5f301100,0xfb500000,0xffffffff,0x81fb0005,0xfa80007d,0x3fffffe1,
    0xffffffff,0x205e805f,0x90099999,0x0000001f,0x7c40bf00,0x0bee0005,
    0x088005f3,0x4fecccc4,0x01999999,0xccb98bf0,0xfa80001b,0xff800001,
    0x3aa209bd,0x13ea003f,0x360001f6,0x77e66547,0xcccccccc,0xf05e801c,
    0x05ffffff,0x000000dd,0xfa817e00,0x17e20001,0x98000bf1,0xffffffff,
    0x06ffffff,0xfffd15f8,0x0001dfff,0x000007e4,0x01ff0004,0x03ec1fa0,
    0xf013e600,0x2f40000b,0xbccffda8,0x00027c40,0x05f80000,0xd00003ee,
    0x0009f90f,0xcfecccb8,0x1ccccccc,0xcff9df80,0x003bee21,0x0000fdc0,
    0x0fee0000,0x3ec0bee0,0x03ff7000,0x200005f8,0x03ff505e,0x00002fa8,
    0x40bf0000,0xfd80007d,0x00aefd80,0x000fc800,0x00efff80,0x4c0017e6,
    0x0000002f,0x7c404f80,0x2001f606,0xf800efea,0x17a00005,0x2e003bee,
    0x0000001f,0x3740bf00,0x807dc000,0xabdfffea,0x007e4000,0x0077fc00,
    0xf88003e4,0x00000004,0x0fe404f8,0x7dc00fb0,0x17e002ef,0x645e8000,
    0x3f7000df,0x00000000,0x005f817e,0x4401fa80,0x2efffeca,0x0001f900,
    0x2a001df0,0x3fb0002f,0x30022000,0x13579975,0x027cc09f,0x2ef801f6,
    0x0005f800,0x27ec57a0,0x2007ee00,0x99999998,0x3e000209,0x0001ba05,
    0x310007ee,0xf9007fd7,0x0bf00001,0xc981fc40,0x006f882d,0xfb884fb8,
    0xffffffff,0x03f604ff,0x27c00fb0,0x0005f800,0x0ffa37a0,0x1007ea00,
    0xffffffff,0x2001eedf,0x001f605f,0x80003f60,0x7e404fd8,0x05f80000,
    0x3e60fe20,0xefa84fff,0x0efe9801,0x4d5f7fcc,0x4fca9988,0xfb007f50,
    0x80027c00,0x3a00005f,0x8003ffff,0xaaa803f9,0x91bfcaaa,0x40bf000f,
    0x740000fb,0x1fb00007,0x00007e40,0x7f1002fc,0x1fffffb0,0x2359ff70,
    0x0cffdba8,0xf0017f44,0x3333f609,0xfecccccc,0x005c00cc,0x00005f80,
    0x0ff67bfa,0x80013e00,0x001f21fb,0x01fa817e,0x0017e200,0xf9017d40,
    0x0bf00001,0x7e41fc40,0x36207fff,0xffffffff,0x003f900c,0xfffb04f8,
    0xffffffff,0x00003fff,0x00002fc0,0x017ec1dd,0xb8001ba0,0x1001f21f,
    0x02fc409f,0x6c45f900,0x409f0000,0xf80000fc,0x20fe2005,0x803ffff9,
    0x09abfc98,0x7c002f40,0x07d80004,0x0bf00000,0x6c2f4000,0x0bf2002f,
    0xf90fdc00,0x403fa800,0xf88002fc,0x4001fd47,0x03f203f8,0x8017e000,
    0x397103f8,0x2006a800,0x7cc004f8,0x07d80004,0x0bd00000,0x442f4000,
    0xfd1002fe,0x43f70001,0x0fe4007c,0x64003740,0x002fd42f,0x1f9017d4,
    0x00bf0000,0x00001fc4,0xf80067d4,0x13fee007,0x401f6000,0xd8000bca,
    0xbd00000f,0x400bfa20,0x5c000df9,0x400ff21f,0xbf5005f9,0x217ee001,
    0x22002ffa,0x03f200ff,0x8017e000,0x800003f8,0xf9006c98,0xfefe8807,
    0x07d80004,0x01ffffd8,0x44027dc0,0x40bd01db,0xf7002fe8,0x3f22005f,
    0x8037f621,0x32000ff9,0x77e401ef,0x02fffa80,0x6401fe98,0x5f80000f,
    0x000fe200,0x01e60a80,0x444e7f44,0xdf3ffdb9,0x36000799,0xfffff807,
    0x9dfe8004,0xdffb5530,0xd1017a01,0x3fa6005f,0xb5311abd,0xff701dff,
    0xff951159,0x9ff50005,0xbfd95115,0x3f6bea01,0xf95309be,0x01f9007f,
    0x400bf000,0x100003f8,0x009f9dfd,0x7ffffec4,0x3ffe0dff,0x9995005f,
    0x360199fd,0x8001ffff,0xffffffc8,0xccb82dff,0x3f72205f,0xfc803ccf,
    0xffffffff,0x7ff4c01c,0x000dffff,0x3ffffa20,0x74402eff,0xffffff50,
    0x99301bff,0x9999fd99,0x2a019999,0x01ccefcc,0x199dfb97,0x37730000,
    0x332a6000,0x6c00001a,0x1fffffff,0x000732a0,0x15797510,0x2ffff440,
    0xffffff30,0x2e62001d,0x40009acc,0x001acb98,0x0de5cc00,0x32ea2000,
    0x3fee00ab,0xffffffff,0xfb02ffff,0x107fffff,0x3ffffffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbba600,0x980006ee,0x080abdcb,0x000cccc4,0x440cccc4,
    0x99999999,0x99999999,0x4ccccc09,0x00009999,0x039bb710,0x26666620,
    0x26662019,0x99998009,0x00009999,0x33333331,0x20001333,0x99999998,
    0x33300019,0x33310033,0xddb30013,0x4000ffdd,0xffffffea,0x7c1f51ef,
    0x4002ffff,0x224ffffd,0xffffffff,0xffffffff,0x3fff62ff,0xefffffff,
    0xfa8000bd,0x405fffff,0xfffffff8,0xffffb86f,0x3ffa02ff,0x06ffffff,
    0xfffff880,0xffffffff,0xfff1003e,0xffffffff,0xfff0059d,0x7cc09fff,
    0x001fffff,0x32000f90,0x7310acff,0x541f79ff,0x2005fdfa,0x40adfdf8,
    0xaaaefaaa,0xaaaaaaaa,0x3f2a62fc,0xdbaaaaac,0x2a001eff,0xdf910cff,
    0xaefaaa80,0xfba881aa,0x554c02cf,0x1fdefaaa,0xefaaa800,0xcbaaaaaa,
    0xaa801efe,0xaaaaaafe,0x4c04ffec,0x400abfea,0x002bfeaa,0x36001f20,
    0x7e4400df,0xfccf80ff,0x9f3f9001,0x9800bd00,0x802fa82f,0xf8803ffa,
    0x005f900f,0x7ec4017a,0x2fe60003,0x7c0004f8,0x01ff5005,0x32201b60,
    0x2fcc00ef,0x0009f500,0xfa800f90,0x07fdc005,0x4027c67c,0xd009f5f8,
    0x82f9800b,0xfd1002fa,0x404fa803,0x2017a001,0x40002fe8,0x000fd0fc,
    0x3e6005f8,0x400db005,0x2fc805fa,0x0006e880,0x7c400f90,0x0fe8000f,
    0x801fb4f8,0xd009f1fb,0x82f9800b,0x3e2002fa,0x000fe405,0xe980bd00,
    0x5f80002f,0xf8000bea,0x803e4005,0x17dc006d,0x9003ba20,0x3200003f,
    0x00fea007,0xa7c07dc0,0xf37403f9,0x800bd009,0x02fa82f9,0xf9017dc0,
    0x05e80000,0x00007fe6,0x05f88bea,0x50017e00,0x00db003f,0x9f500dd0,
    0x00027cc0,0x36400f90,0x3e071000,0x2fa81ba4,0x017a013e,0x0bea02e0,
    0xfb81ba00,0x17a00000,0x000077d4,0x00fc87d8,0xc800bf00,0x006d800f,
    0xfc803fa8,0x0000dd01,0x13a007c8,0x527c0000,0x9f1f605f,0x3620bd00,
    0x00bea000,0x7cc07ee0,0x17a00002,0x00003bee,0x1fcc27c4,0x4005f800,
    0x00db006f,0x3e2017a0,0x0001fc86,0xf8803e40,0x9f000002,0x43f986e8,
    0x305e804f,0x17d4005f,0xf017cc00,0x2f40000b,0x000017f2,0x01ba03f7,
    0xd8802fc0,0x00db003f,0x7d401f60,0x00013e64,0x7d401f20,0x9f000001,
    0x07e41fb8,0x417a013e,0x3ea002f9,0x03f88002,0xe80001f6,0x0001bf25,
    0x1fb81ba0,0x2205f800,0x2003feb9,0x1f70006d,0x7747f600,0x7c800000,
    0x0001f700,0x9f113e00,0x027c2fc4,0x777777f4,0x3ea002fe,0x269f0002,
    0xfffffffe,0xe8000eff,0x01bfffb5,0x80fe6000,0xff8004f8,0xffeeeeee,
    0x776c02ff,0xeeeeeffe,0x007ee03e,0x017e77c4,0x007c8000,0x000001f7,
    0x5c3f213e,0xe804f81f,0xfeeeeeef,0x00bea002,0xeed9a7c0,0xdeeeefee,
    0xfeee8000,0x003ffc8b,0x6c00fc80,0xeeff8007,0xfffeeeee,0xdddb00cf,
    0xddddddff,0x880fdc07,0xeffdaaaa,0x0001aaaa,0x3ee00f90,0x9f000000,
    0x41ba7f10,0x305e804f,0x17d4005f,0x7c04f800,0xffd00004,0x003fe885,
    0x7d402fc0,0x402fc002,0x800efda9,0x3f70006d,0x3bbbbb20,0xeeeeeeff,
    0x07c80000,0x00005f50,0x57ec13e0,0xd009f02f,0x800be60b,0xf88002fa,
    0x00027c02,0x3f601fe8,0x5bf50001,0x75555555,0x05f800bf,0x6c037dc0,
    0x00f90006,0x00000f90,0x7f3007c8,0x13e00000,0x9f03ffcc,0x06c0bd00,
    0x0005f500,0x04f803f5,0x880bd000,0xffb0006f,0xffffffff,0x7c001fff,
    0x01fa8005,0x5e80036c,0x0007c800,0x8803e400,0xf000005f,0xf01ff409,
    0x000bd009,0x005f5091,0x3f880f90,0x00bd0000,0xf88009f5,0x9999999c,
    0x003fa999,0x3e20017e,0x40036c04,0x7c8004f8,0x3e400000,0x0001fb00,
    0x80009f00,0x005e804f,0x17d41fa8,0x2602f400,0xbd00002f,0x8003f600,
    0x374001fa,0x2000bf00,0x0036c07d,0xff9017d4,0xffffffff,0x00001fff,
    0x2fcc00f9,0x027c0000,0x3a013e00,0x41fa8005,0x7e4002fa,0x0007dc03,
    0xf3005e80,0x0036c007,0x5f800fdc,0xd80dd000,0x07f44006,0xb3333310,
    0x0133333f,0x001f2000,0xd10005f9,0x80009f0b,0x005e804f,0x17d41fa8,
    0xf00df700,0xd024400d,0x803f400b,0xf88003f8,0x000bf004,0x06d809f1,
    0x80017f40,0x4000007c,0x7f44007c,0x07fe6001,0x9f00013e,0x5000bd00,
    0x002fa83f,0xfb803ff5,0x403f2002,0x0bee005e,0x40003ee0,0x00bf007d,
    0x6c01fe88,0x017f6006,0x00007c80,0x44003e40,0xffa804fe,0x80009f02,
    0x005e804f,0x17d41fa8,0x03ffb510,0x22006f98,0x8017a05f,0x05e805f8,
    0x200bea00,0x3fa6005f,0x4c06d802,0x40005feb,0x4000007c,0xfd10007c,
    0xd951159d,0xfcc881df,0x6402ccce,0x43cefccc,0xcccefccb,0xcccccccc,
    0xfb951fdc,0xfb99999b,0x6cc01dff,0xcccccdff,0x2ffccccc,0x6677e65c,
    0x667e402c,0x9df9930c,0x66440399,0x643cefcc,0xccccefcc,0xfffdcccc,
    0x67f66402,0xffeccccc,0xccc8003f,0x1ccccfec,0x66666400,0xccccfecc,
    0x75401ccc,0x4fffffff,0xffffff50,0x7ff4409f,0x3a26ffff,0xffffffff,
    0xffffffff,0xffff91ff,0xbdffffff,0xffff5003,0xffffffff,0xfe8839ff,
    0x05ffffff,0xb87fffcc,0x3fffffff,0x3ffffe60,0x3ffa26ff,0xffffffff,
    0x400adfff,0xffffffe8,0x00beefff,0xffffe880,0x003fffff,0x3fffffa2,
    0xffffffff,0x751003ff,0x00000159,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333300,
    0x33333333,0x99813333,0x33100999,0x33310133,0x33333333,0x99998833,
    0x00099999,0x004cccc4,0x0cccccc4,0x26666662,0x00009999,0x33333310,
    0x33333333,0x33330333,0x33333333,0x33330133,0x33331003,0x03333301,
    0x81333310,0x09999998,0x4cccccc0,0x93bbbaa0,0xfffffffd,0xffffffff,
    0x3ffe4fff,0xffa87fff,0x3ea3ffff,0xffffffff,0xf55fffff,0xffffffff,
    0x7fc003ff,0x7d405fff,0x15ffffff,0xffffffff,0x03bfffff,0x3fffe200,
    0xffffffff,0x41ffffff,0xffffffff,0x42ffffff,0x04ffffff,0x3fffffea,
    0x3fffffe1,0x3fffea04,0xffff11ff,0x7ec0ffff,0x33ffffff,0x54c9ffff,
    0xaaaabfda,0xbaaaaaaa,0x2bbea64f,0xfbaa882a,0x555540ad,0xaaaafdaa,
    0x2aaaa1aa,0x02aaacfc,0x7ff554c0,0x32aaa202,0x2aaa1acf,0xaaaaaaef,
    0x0004ffdc,0xd57fb555,0x5555555d,0xaadf83fb,0xaaaaaaaa,0x7f54c2fc,
    0x755400ab,0x7fdcc2bf,0x6d5400aa,0x5fed42cf,0x2a602aaa,0x10aeeaaa,
    0x2e07ffff,0x27c4000f,0x7f1002f4,0x0007c800,0x400003f5,0x2a006efd,
    0x402f402f,0x40005fd8,0xf701ba6e,0x3a004f83,0x00bf300f,0x3ee027d4,
    0x817e6003,0x7c0001fa,0x02ffff85,0xf88001f7,0x22005e84,0x03e4003f,
    0x0001fa80,0x013ebf60,0x17a017d4,0x0003fc80,0x203749f1,0x8027c1fb,
    0x17e402fc,0xd8037440,0x0ff8801f,0x0000be60,0x3fffd09f,0x10003ee0,
    0x400bd09f,0x3e4003f8,0x001fa800,0x07edf600,0x3a017d40,0x00374005,
    0x01ba1fa8,0x804f83f7,0x1fd005f9,0x1001fc80,0x1fd801fd,0x0001fcc0,
    0xfffb07f1,0x0003ee01,0x8017a13e,0x3e4003f8,0x001fa800,0x2fc5f600,
    0x3a017d40,0x007dc005,0x01ba3e40,0x404f83f7,0xf3000ef8,0x0027cc09,
    0x3fb81be6,0xf304f880,0x20be609f,0x3ee07ffc,0xe80b8000,0x00fe2005,
    0x2a000f90,0x3600001f,0xf500bf27,0x4005e805,0x5e8000fb,0x03ea0374,
    0x01fd809f,0xfe817e40,0x84fb8000,0x17e005fa,0xfa837fe4,0x206ffb81,
    0x007700fb,0x3e2005e8,0x003e4003,0x00001fa8,0xa80dd1f6,0x002f402f,
    0x3e2001ba,0x40403743,0x013ea009,0x3f207740,0x8bf20002,0x3a000ef8,
    0x01f9dd05,0xbff501f7,0x6e807dc0,0x1002f400,0x07c8007f,0x0003f500,
    0x0fea3ec0,0x2f402fa8,0x0005f700,0x746e83f7,0x37c40004,0x4c9f3000,
    0xfe80005f,0xd8003fd0,0x2f9cf886,0x9ff307c8,0x6e807dc0,0x1002f400,
    0x07c8007f,0x0003f500,0x07ec3ec0,0x2f402fa8,0x0037ec40,0x7c6e87d8,
    0x07f40005,0x747f2000,0xf880000f,0xc8003fce,0x0bf2fa87,0x0bfe20f9,
    0xeeeeefb8,0x7f4006fe,0xeeeeeeee,0x4003feee,0x3f50007c,0x43ec0000,
    0x05f505f9,0xf97305e8,0x3e0001bf,0xfeeefe85,0x0fee0005,0x33ba2000,
    0x2a00002f,0xf70004ff,0x21f67d81,0x803b206d,0xeeeeeefb,0x77f4006f,
    0xeeeeeeee,0x64003fee,0x03f50007,0xc83ec000,0x402fa81f,0xfffffffe,
    0x20002eff,0xeefe82f9,0xf30005fe,0x7d40000b,0x4c00005f,0xf50003ff,
    0x07ee5f83,0xfb8000bd,0xe800dd00,0x00fe2005,0x2a000f90,0x3600001f,
    0xf50df107,0xcccee805,0x000efecc,0x37407dc0,0x3a20017e,0x6c00000f,
    0x7400000f,0x98001fef,0xf88fe62f,0x200027c3,0x00dd00fb,0x3e2005e8,
    0x003e4003,0x22001fa8,0xfa81f601,0x3a017d43,0x01dfb105,0x5557f400,
    0x01ec6eaa,0x00017e40,0x00003e40,0x03fe2bf6,0x7dc7f100,0x07f13741,
    0x03ee0288,0x17a0015c,0x4003f880,0x3f50007c,0xfb03e400,0x3ea0fe80,
    0x2e02f402,0xf88000ef,0x6fffffff,0x04fa8000,0x3e4001c4,0x49f70000,
    0x7c4005f9,0x43f21fa3,0x035402f9,0x400001f7,0x0fe2005e,0x2000f900,
    0x1f2001fa,0x27cc07d8,0x05e805f5,0x4000ef98,0x99999afa,0x7c40006e,
    0x001fa806,0x980003e4,0x004fb86f,0x984f8a7c,0xa803f52f,0x0003ee06,
    0x22005e80,0x03e4003f,0x2001fa80,0x201f607c,0x805f51fc,0x09f5005e,
    0x1ba07c80,0x0fec0e60,0x2000fd40,0xe880007c,0x005fb00f,0xf02faaf4,
    0xf5007ea9,0x001f7019,0x1002f400,0x07c8007f,0x4003f500,0x201f607c,
    0x805f56f8,0x0bf2005e,0x1ba05e80,0x0fee1f20,0x2000fd40,0xfd80007c,
    0x003fa202,0xb00fcb6c,0x31003eef,0x001f70d9,0x1002f400,0x07c8007f,
    0x4003f500,0x401f607c,0x402faafb,0x0374005e,0x1ba03f88,0x0bf31f20,
    0x2000fd40,0x7dc0007c,0x006f9803,0xfb81bef9,0x982a07c9,0x0000fb87,
    0xf88017a0,0x003e4003,0x32001fa8,0xe801f607,0x2f402faf,0x2013ea00,
    0x01ba00fb,0x001fd1f2,0x32000fd4,0x17e60007,0xb804fa80,0x3e203f9f,
    0xdfd106db,0x01f709f9,0x002f4000,0x7c8007f1,0x003f5000,0x00fb03e4,
    0x2017f7cc,0x1fd8005e,0x1ba036c0,0x02fc9f20,0x2000fd40,0xdf10007c,
    0x02fc8001,0x200fe7d4,0x5cc05eee,0x3fb32a1b,0x02cccccc,0x99df9950,
    0xdf999107,0x33322199,0xcccfeccc,0x99912ccc,0x9999bfb9,0xfd999999,
    0x999fd970,0x82ffd807,0xcccefccb,0x3cef8802,0x8b3bf326,0xcccffccb,
    0x27eccccc,0xccccccfd,0xfdcccccc,0x33332e01,0x0cccccfe,0x99bfd910,
    0x7e664c07,0xfff302cf,0x009ff900,0x3fffff20,0x005fffff,0xdffffff9,
    0xffffff50,0x3fffe63f,0xffffffff,0xffff34ff,0xffffffff,0x8fffffff,
    0xffffffe8,0x217fc406,0xffffffe8,0xdff9005f,0x27ffffd4,0xfffffffd,
    0x4fffffff,0xfffffffd,0xffffffff,0x3ffffa01,0x1fffffff,0xffffff30,
    0x7fffdc0d,0xbff104ff,0x007ff500,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333330,
    0x33333100,0x99998813,0x00199999,0x26666666,0x99999999,0x26660999,
    0x09999999,0x37ae2000,0x2a200001,0x00110001,0x0024c000,0x0000012a,
    0x03323b50,0x33330000,0x4ccc4003,0xfffc8009,0x2604ffff,0x7fffffff,
    0x3fffffea,0xceffffff,0xfffff100,0xffffffff,0x2a7fffff,0xffffffff,
    0xa8001fff,0x20cffeff,0xfd3002fa,0x001dbfff,0x1003bff9,0x8159b973,
    0x32000ff9,0x30000007,0x3ff21ffb,0xffb00003,0xf700bfff,0x801fffff,
    0xaaadfba8,0x7dd55401,0x7dd542ad,0xcbaaaaad,0xdf883ffe,0xfeaaaaaa,
    0xfbaaaaaa,0x2b7eeaa3,0x0002aaaa,0x3ff225df,0x9800efdd,0x5febbeff,
    0x6ffffa80,0x7ffffd40,0xff98cfff,0x003e4001,0x3ff22000,0x177f540c,
    0x3bf26000,0xcb8801cc,0x74002dfd,0x07ee0006,0xd3009f10,0x203f885f,
    0x20fe207c,0x400004f8,0x09ffb301,0x00c0ff40,0x0fffffd8,0x21befd88,
    0x1ffffd98,0x0007c800,0x037fee00,0x003dff70,0x20006d80,0xfb8000fc,
    0x00dd0001,0x7f4009f1,0x7c80fe21,0x3e20fe20,0x40000004,0x02fcc000,
    0x3fffee00,0x5009fd06,0x320009ff,0xfa800007,0x7e4001ef,0xf70000df,
    0x01b60001,0x40027c40,0x4f8803f9,0xf893e200,0xf881f203,0xaaadf883,
    0x00001aaa,0x02fa8000,0x77fe4400,0x8802fc81,0x8000feff,0x2600007c,
    0x20002efe,0x000cffc8,0x1ed817cc,0x6c0009f0,0x00fc8007,0x74004f88,
    0x7c80fe26,0x3e20fe20,0xffffffff,0x266201ef,0x0dee54c0,0x0007f300,
    0x2fd40220,0x7c4ffc40,0x007c8005,0x03ffd880,0x3ff66000,0x20fe2003,
    0x3f884ff9,0x00bea000,0x3e200bf0,0xf13e4004,0xf103e407,0x3339f107,
    0x9ff95333,0x22bfff30,0xeffffffd,0x000dd000,0x801fb000,0x07f21fe8,
    0x4000f900,0x000cffc8,0x5dfd5000,0x3f217a00,0x001fa87e,0xf5002fc0,
    0x013e2005,0x017c4dd0,0x417c40f9,0xfd8804f8,0xe9dfcb84,0xdf7109cf,
    0x005f5001,0x405f8000,0x1fcc2fe8,0x4001f200,0x0000dffb,0x3bff7000,
    0xade87c80,0x0003e41f,0x7d8007e4,0x8013e200,0x3200c4f8,0x4f880c07,
    0x7407f600,0x3e601eff,0x000db005,0x101fc400,0x313e05fd,0xb5555555,
    0x5555555f,0x01efea85,0xc8800000,0x3f500cff,0x227c5fcc,0xf880006e,
    0x004f8803,0x744013e2,0x03e4001f,0x2004f880,0x1ffd05f8,0x8801f700,
    0x000003fd,0x3fa205f3,0xfff17e02,0xffffffff,0x5fffffff,0x0001bfee,
    0x3fea0000,0x322f980e,0x04f8fb0f,0x700db000,0x27c4003f,0x001ff440,
    0xf88003e4,0xe836c004,0x05f3001f,0x407f7fd4,0xf1000098,0x405fd107,
    0x4ccc44f8,0x99fd9999,0x4c199999,0x00002efe,0x4ffc8800,0x54bd27c0,
    0x0005f32f,0xdd007ea0,0x99cf8800,0xffeca999,0x00f90004,0x90013e20,
    0x88017a0f,0x11bf903f,0x81ffb0bf,0xf86ffff9,0x201ff445,0x3e4002f9,
    0x1efea800,0xc8800000,0x6d800cff,0xf74f87f3,0x2fc00001,0x88007f30,
    0xffffffff,0x20000cff,0x9f10007c,0xbd06e800,0x441fc400,0xf117dc4f,
    0xffff705d,0x3a21fb03,0x01fc803f,0x20003e40,0x0000dffb,0x03bff700,
    0x07e47dc0,0x0003e5f6,0x7e403f20,0x56fc4000,0x009aaaaa,0x0007c800,
    0x7cc009f1,0x4400bd04,0xe81fa83f,0x3a05f70f,0xbf304fff,0x3e600ff6,
    0x007c8005,0x0cffc880,0xdfd50000,0xd5f50005,0x0bd5f50b,0x03f98000,
    0x9f1000bf,0xf9000000,0x013e2000,0x5e80ffcc,0x360fe200,0x3fa9f307,
    0x0ffff880,0x00ffbf20,0x20003fa2,0x2600007c,0x20003ffd,0x0003ffd9,
    0x7c0ff7e2,0x800003fd,0x002fa86e,0x00004f88,0x10007c80,0x5ff5009f,
    0xf1002f40,0x7e40bd07,0xfff705fa,0x0eff8807,0x0017fd40,0x800007c8,
    0x2002efe9,0x000cffc8,0x900ffe80,0x000003ff,0x007d83f7,0x00009f10,
    0x2000f900,0xaaaaadf8,0x402effdb,0x0fe2005e,0xffe881f6,0x00dffb01,
    0x137ffdfb,0x007bf6a6,0x00007c80,0x007bfea0,0x0001bff7,0xf502fe40,
    0x1000001f,0x0027c49f,0x00004f88,0x10007c80,0xffffffff,0x17a005df,
    0xfb83f880,0xf817ee02,0xa7ec01ff,0xffffffe9,0x7c80004f,0xfb800000,
    0x77fd40df,0x00000001,0x36000000,0x40003f27,0x000004f8,0xf10007c8,
    0x03333339,0x4400bd00,0x80ee883f,0xfa81fff9,0x427e404f,0x001acba9,
    0x0001f200,0x8ffe4400,0x00002efd,0x00000000,0x0df2fa80,0x0027c400,
    0x003e4000,0x00004f88,0x3f88017a,0x7115ff50,0x499df5ff,0x1d400ffc,
    0x98000000,0x40000003,0x000770c9,0x00000000,0xfadf8000,0x13e20002,
    0x1f200000,0x0027c400,0x4400bd00,0x3ffa603f,0xdff50fff,0x0000bf21,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x644000fe,0xccccefcc,
    0xcb8000cc,0xcccfeccc,0xccc880cc,0xccccccef,0xffcca800,0xf99302cc,
    0x2ea2079d,0x0002001b,0x00000000,0x00000000,0x00000000,0x88000000,
    0xf98004ff,0xffffffff,0xfe8001ff,0xffffffff,0xfff981ff,0xffffffff,
    0xffffc801,0xfff703ff,0x00000bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54039951,0x360000bd,0x54c0001e,
    0x000abcdc,0x9bcdba88,0x09998800,0x04cccc40,0x9bb97300,0xb9880005,
    0x4000abdc,0x1acddcb8,0x44266202,0xcb981cda,0x40000001,0x22019998,
    0x333300ab,0x33333333,0x3faa0133,0x2a0effff,0x002fffff,0x0005ffa8,
    0xffffffb1,0x881767ff,0xfffffffc,0x3ffe203f,0x3ffe206f,0x7ed404ff,
    0xffffffff,0xfffa8002,0x804fffff,0xffffffd8,0x2e1fadff,0xffe9cfff,
    0x3fff24ff,0x01bb01ef,0x3ee0fb80,0x7540ffff,0xff84ffff,0xffffffff,
    0xf883ffff,0x2bf911cf,0xffb8bff9,0x17fc4002,0x4dffd400,0x3fbfaa20,
    0x13bff506,0x8077f54c,0x5c06fcca,0x7c04fccc,0x2a209bdf,0xf91003fe,
    0x7ed4437d,0x3bfd101e,0x2fffc981,0x3ffbf2e2,0xfdafd98a,0x2a0df71c,
    0x9db930ef,0x2e22fdc7,0xfb10fdcc,0x8bf9139f,0xccccccef,0x01ffcccc,
    0x77e7dc01,0x8003f440,0x0efa8000,0x986ffa80,0xefb801ef,0x10037400,
    0x2000809f,0x4fd800ff,0xc80ffa80,0x2ff9803f,0xf883fff0,0x02fc84ff,
    0xdfffbdf7,0x00bf9dff,0x0bfd11f7,0x200bf12a,0xf10002fd,0x0fe603ff,
    0x3e200000,0x237dc006,0x2a000fe8,0x0037404f,0x400009f1,0x1fdc03fb,
    0xdf0df300,0xf817e400,0x20bfb02f,0x3fee03f9,0x037fd40c,0x02ffafb8,
    0x7e402fc0,0x2fe40003,0x00001f60,0x20007f60,0x000fe46f,0x0dd00fdc,
    0x00027c40,0x6f8813e0,0x743fb800,0x403a2006,0x403f204f,0x0ff204f8,
    0xf7006f88,0x790003ff,0x0004fb80,0x7dc03fc8,0x7c000001,0xf8770005,
    0x09f10006,0x9f100374,0x04f80000,0x740003f2,0x0001fdc6,0x03f204f8,
    0x5f8827c4,0xb803fa80,0x000000ef,0x73000bf5,0x803f9359,0x000002f9,
    0x40000be6,0x360003f8,0x8801ba06,0x2ea6004f,0x4f89abcc,0xc8001b60,
    0x33bf620f,0x4f80009a,0x7c403f20,0x2005f504,0x01fb805f,0x0df50000,
    0x7fffedc0,0xeeeeffff,0x23feeeee,0xaaaaaaaa,0xaaaaaaaa,0x003f50aa,
    0x3bbbea00,0xeeeeeeee,0x207eeeee,0x13e2006e,0xfffff710,0x09ffffff,
    0xf50002fc,0xffffd503,0x9f0039df,0xf8807e40,0x2001f904,0x00fb806d,
    0x0ef98000,0x9befe980,0xeefeb988,0xeeeeeeee,0x3fffffe3,0xffffffff,
    0x1f92ffff,0x3bea0000,0xeeeeeeee,0xeeeeeeee,0x4400dd00,0x3bfe604f,
    0xa99889ab,0x09f104fc,0x101fcc00,0x9ffdb753,0xf9027c01,0x5c13e201,
    0x00db000f,0x800001f7,0xf8800ff8,0x007e401f,0x4ccccc40,0x99999999,
    0x07ee1999,0x017c4000,0x00dd0000,0xfe8827c4,0xf813e002,0x07ea0005,
    0x07bf2200,0x01f9027c,0x17d413e2,0xfb805f80,0x3a200000,0x05f7001f,
    0x00005f90,0x05f30000,0x002fc000,0x400dd000,0x03f904f8,0x1f604f80,
    0x000fc800,0x27c13e60,0x3e201f90,0x700bf104,0x01f7007f,0x017ec000,
    0xf9001f90,0x00000009,0x00009f10,0x000007ec,0x3e2006e8,0xf000bd04,
    0x000fdc09,0x0006a6e8,0x9027c1f2,0x813e201f,0x1be604fb,0x00007dc0,
    0x54002fd8,0x06fd801f,0xb0000000,0x8220003f,0x000005f9,0x27dc00db,
    0x260027c4,0x01be204f,0x06e8fee0,0x4f80fb80,0x7c403f20,0x877fee04,
    0x800effb8,0xc80000fb,0x225c803f,0x7ffdc04f,0x0000dc03,0x001be200,
    0x07f713ee,0x7e407100,0x04ffc801,0x7fdc00ff,0x0027d404,0x00fe8bf3,
    0x04f83f40,0x27c403f2,0xfffcdfb8,0x0efcefff,0x00007dc0,0x3ec013ee,
    0x7fdc0ff2,0xfe980fef,0x00062003,0x26007bea,0xcfe80efe,0x0ffc8800,
    0x74409f50,0x7f904fef,0x4fefe880,0x400dfd80,0x7ff40ffb,0x207fb001,
    0x403f204f,0x25fb84f8,0x2e1cdcb8,0x007dc06f,0x400bf500,0x89cfd87d,
    0xe8fcdfda,0x3ffc98af,0x00ffe200,0x46b3fee0,0x0cffdba8,0x46afff20,
    0x1effdba8,0x4c577ec0,0xef8bffdb,0x4e7f443c,0x3ffdb988,0x640799df,
    0xb988abff,0xffe80dfe,0x73309bdf,0xfcc889ff,0xccfc83ce,0xb1e77c41,
    0x21f7000b,0xdfdcccc8,0x1ccccccc,0x9999ff10,0xd9999999,0x3ffff60f,
    0x3fe6d54f,0x4000dfff,0x10004ff9,0xfffffffb,0x3a60019f,0xffffffff,
    0xffb1002d,0x221bffff,0xfd886fff,0x0dffffff,0x3017fffe,0xfffffffd,
    0x7e466407,0xefffffff,0xfffffa82,0x42fffc86,0x0006fff8,0xfffffa80,
    0xffffffff,0xffff303f,0xffffffff,0x65440fff,0x0564c00a,0x00197000,
    0xabcb9880,0x73100009,0x40001579,0x0001bcba,0x00d6654c,0x32ea2000,
    0xa988001a,0x0001abcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999800,0x26662009,0x99980999,0x26662009,0x00080009,0x2604cc41,
    0x1001bdca,0x44000100,0x003100aa,0x01d800c4,0x0c003300,0xbdfedb80,
    0x3fb72600,0x555500be,0x55555555,0x55555555,0x80002003,0xfffffffd,
    0xfffff883,0x3ffe0fff,0xff884fff,0x2002ffff,0x57a203fa,0xfb15fff9,
    0x01dfffff,0xbf101fd4,0xddee9800,0x01fdc1df,0x7cc037c4,0x37f26003,
    0x6dcc0cfe,0x77f4406f,0xc81efdcc,0x6fecceff,0xffffffb8,0xffffffff,
    0x03ffffff,0x260006b8,0x0bccffcc,0x9bfd9970,0xbcffda85,0x7ffb9500,
    0x03fee001,0xf9717fcc,0x2139fd3b,0xd100efb8,0x06fe407f,0x3221fc40,
    0x101ff446,0x7f3003ff,0xb106f400,0x365efd4d,0x3a60bfa0,0xf980c41f,
    0x99999982,0x99999999,0x03fa9999,0x00027fcc,0x3a000fe4,0x804fc807,
    0x2e000ef9,0x7ff301ff,0x807bffa0,0x3fe205f9,0x003bf604,0xfe887f00,
    0x001ff883,0x1b2007f3,0x06c817c4,0x6e8807f2,0x0002f400,0x4407f100,
    0x0003fcef,0xf30027c4,0x813f2007,0x32000ef9,0x9ff502ff,0x4007ff40,
    0x3fe600fb,0x01dfd105,0x7441fc00,0x00bfa23f,0x11003f98,0x06c82740,
    0x03ee017a,0xd7999951,0x4400000b,0x747fa03f,0x7ec0001f,0x001fb000,
    0x77cc27e4,0x0bff6000,0x3a02ffd4,0x05f3001f,0xd105ffa8,0xd88003ff,
    0x17fd100e,0x2f7605fd,0xda88fe60,0x05f3000e,0x01fc41b2,0xfff717cc,
    0x00bffddf,0x81fc4000,0x03fe22fc,0x803f9800,0xfc8004f8,0x8003bea5,
    0xff703ffd,0x400bd00b,0xffa803f8,0x1fff880e,0x077ff440,0x0bfffa20,
    0xabefffb8,0x5fffdabf,0x6409f300,0x2a013e06,0x037bf51f,0x400000bd,
    0x84fb83f8,0x740006f9,0x001fb807,0x1df5bf70,0x13ffa200,0x40077fe4,
    0x0fe2005e,0x4077fdc0,0x4402fff9,0xf9804fdb,0xff93004f,0x15bfffff,
    0x9013e600,0x6403740d,0x7401fd0f,0x22000005,0x7037cc3f,0x7d40009f,
    0x0002fc02,0x4003bfee,0xf905ffe8,0x17a001df,0x2003f880,0xfa81effc,
    0x9f1002ff,0x1ff7fc40,0x2fffe600,0x01fdc000,0x09f50364,0x40bd27d4,
    0x000005fb,0x0ff88fe2,0x00017ec0,0x017d40dd,0x017fee00,0xa80fffd8,
    0x3a003fff,0x00fe2005,0xb06fff88,0x32001fff,0xd13ff107,0x77d4007f,
    0x17e4004f,0x7e406c80,0x51bf261d,0x3faa217f,0x00000aef,0x07fa3f88,
    0x8000ff40,0x00dd01fb,0xdfbdfb80,0x1dffb000,0x003fff70,0x3f88017a,
    0x03bff600,0x8007ffee,0x17f440fb,0xf1007fd1,0x2200bf2d,0x1b2000ed,
    0x3ffffea0,0xffffb04f,0x0dffd5df,0x27f10000,0x3e2003fa,0x0bf10005,
    0x5c0007f3,0x003bea5f,0xfa82ffec,0x05e800ff,0x6c00fe20,0xdff505ff,
    0x1be00983,0xfd105fd1,0xd11fe807,0x06f4c01f,0x006c8044,0x80157731,
    0x2621acb9,0x2e000001,0x02200060,0x6c0fc800,0xbf90000f,0x2001df50,
    0xff505ffc,0x005e801d,0x3f200fe2,0x1dff505f,0x7317bf90,0x17f441dd,
    0x3207fd10,0x8837cc3f,0xaaaaaaef,0xfb55515d,0x00003555,0x00000000,
    0x00000000,0x13e24f88,0x502fe400,0x3ee001df,0x1dff304f,0xf1002f40,
    0x04ffb807,0x4c01dff3,0xb84effec,0x86e8802f,0x07f705f9,0xddddddd3,
    0x3bbaa9dd,0x004eeeee,0x00000000,0x00000000,0xf70fd800,0x09f90001,
    0x2001df30,0xff303ffb,0x1002f40b,0x1ffd407f,0x000dff88,0x02000400,
    0x01b80322,0x00000000,0x00000000,0x00000000,0x2fcfe600,0x0027e400,
    0x2a001df3,0xbfd102ff,0xf88017a0,0x205ff303,0x00005fe8,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfdee8000,0x3ff6e002,0x99701ccc,
    0x30019ffd,0x3fa203ff,0x99ff9953,0x3bf32605,0x80bfe23c,0x730004fe,
    0xff980157,0x55530fff,0x55554435,0x2aaaaa62,0xaaaaaaaa,0x202aaaaa,
    0x200002b9,0x00301881,0x01105b93,0x00000018,0xb001bfea,0x05ffffff,
    0xffffffd1,0x80ba6003,0xffff94d8,0x3fee07ff,0x07a65fff,0x88003e88,
    0x02fffffd,0xc8ffffee,0x3e22ffff,0x3ffa6fff,0xffffffff,0xffffffff,
    0x7fff441f,0x2e00401e,0x5dffb13f,0xff300ef8,0x0ffd49ff,0x00005fe8,
    0x00000000,0x00000000,0x00000000,0xfff88000,0xd02fffde,0xffb8dfff,
    0x7fffc1ff,0x26666625,0x99999999,0x44099999,0x2ffa8bfe,0x3f207f10,
    0x1bfffee5,0xff901df7,0x3fee1fff,0x000dff02,0x00000000,0x00000000,
    0x00000000,0xdfb00000,0x207fec43,0x4c2ffff8,0x7ec0ffff,0x000004ff,
    0xfe885fd0,0x2207fc43,0x7ffec4fd,0x0ffd40ff,0x89fffff2,0x00b6a04d,
    0x00000000,0x00000000,0x00000000,0x3e000000,0x42ff882f,0xf886fffa,
    0xfffc87ff,0x88000003,0x5bfb102f,0xfe883ff7,0x5ffffa83,0x7c45ff30,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x30000000,0x227e40ff,
    0xff02fffc,0x5fff70df,0x00000000,0x2077ffdc,0x3ae02ff8,0x3fa200cf,
    0x00072e22,0x00000000,0x00000000,0x00000000,0x00000000,0xfb00ff98,
    0x206ffe89,0xffa85ffe,0x2aaaa61f,0xaaaaaaaa,0x02aaaaaa,0x64035100,
    0x64400001,0x00000001,0x00000000,0x00000000,0x00000000,0xff000000,
    0x4c5ff107,0x3f601fff,0x47ff984f,0xfffffffe,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0x83bf662e,0x7e405ffb,0x87ff882f,0x99999999,0x99999999,0x4cccc099,
    0x99999999,0x99999999,0x2ee21999,0xbbbbbbbb,0xbbbbbbbb,0x931bbbbb,
    0x99999999,0x79999999,0x00000000,0x00000000,0x00000000,0xe8000000,
    0x1fffefff,0x2e00ffec,0x0bff01ff,0x3ea00000,0xffffffff,0xffffffff,
    0x5fffffff,0xfffffff5,0xffffffff,0xffffffff,0x3ffffe6b,0xffffffff,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x7ffe4400,0x04ff81ef,
    0x3f607f98,0x10000003,0x55555555,0x55555555,0x55555555,0x44444441,
    0x88888888,0x88888888,0x37777660,0xdddddddd,0x00003ddd,0x00000000,
    0x00000000,0x00000000,0x03551000,0x03500264,0x000005c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_46_latin1_x[224]={ 0,9,5,3,4,3,5,9,11,5,0,2,5,3,
9,4,4,4,3,3,4,3,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,2,2,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,4,2,4,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,7,8,1,3,9,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
 };
static signed short stb__courier_46_latin1_y[224]={ 33,7,8,6,6,7,11,8,8,8,8,11,27,20,
28,5,7,7,7,7,8,8,7,8,7,7,15,15,11,17,11,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,7,42,6,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,8,8,8,18,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,33,15,6,9,12,9,
8,8,8,9,7,15,20,20,9,4,3,8,7,7,6,15,8,17,32,7,7,15,7,7,7,15,1,1,1,3,
3,1,9,9,1,1,1,3,1,1,1,3,9,3,1,1,1,3,3,14,8,1,1,1,3,1,9,8,6,6,
7,9,8,5,15,15,6,6,7,8,6,6,7,8,8,9,6,6,7,9,8,12,14,6,6,7,8,6,8,8,
 };
static unsigned short stb__courier_46_latin1_w[224]={ 0,6,15,18,16,18,16,6,8,8,16,20,10,18,
7,16,16,16,17,18,16,18,16,16,16,16,7,10,20,21,20,15,16,25,22,20,20,21,20,21,21,16,21,23,
21,25,23,21,20,21,24,18,20,22,25,24,22,22,17,7,16,7,16,25,8,21,23,19,22,20,19,21,22,18,
14,21,18,25,21,20,23,22,20,17,20,22,23,23,21,22,16,9,3,9,18,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,20,17,22,
3,20,13,25,13,20,22,18,25,26,12,20,11,11,8,22,19,7,8,10,14,21,25,25,25,15,25,25,25,25,
25,25,25,20,21,21,21,21,16,16,16,16,23,23,21,21,21,21,21,15,22,22,22,22,22,22,20,20,21,21,
21,21,21,21,24,19,20,20,20,20,18,18,18,18,20,21,20,20,20,20,20,20,21,22,22,22,22,22,23,22,
 };
static unsigned short stb__courier_46_latin1_h[224]={ 0,27,12,30,31,27,23,13,31,31,15,21,12,3,
6,32,27,26,26,27,25,26,27,26,27,27,19,23,21,9,21,25,29,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,29,24,25,24,25,24,24,24,24,24,31,32,31,12,3,7,19,26,19,26,19,25,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,19,18,19,18,26,18,31,31,31,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,26,27,24,18,24,
31,28,4,25,12,18,12,3,25,3,12,25,14,15,7,26,28,7,8,14,12,18,26,26,26,26,32,32,32,30,
30,32,24,31,32,32,32,30,32,32,32,30,24,30,33,33,33,31,31,15,27,33,33,33,31,32,24,26,28,28,
27,25,26,29,19,25,28,28,27,26,27,27,26,25,26,24,28,28,27,25,26,19,21,28,28,27,26,35,33,33,
 };
static unsigned short stb__courier_46_latin1_s[224]={ 255,203,136,209,101,123,112,247,84,245,140,
162,125,227,219,144,237,132,149,43,43,190,62,231,165,106,247,129,183,152,204,
60,88,155,181,20,89,67,1,119,22,44,141,131,61,41,83,163,27,44,107,
185,48,187,1,222,199,176,158,128,221,93,232,201,210,111,1,47,167,67,204,
209,224,48,24,97,1,172,68,133,90,67,216,154,76,88,1,225,25,25,237,
74,22,118,174,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,255,248,79,
110,198,228,70,195,227,114,195,47,209,227,140,174,112,166,157,112,193,43,22,
202,247,169,180,90,207,96,122,148,53,27,1,183,1,79,132,1,183,105,161,
228,228,127,238,27,204,159,84,62,106,26,48,124,142,198,128,151,136,205,69,
164,128,173,84,21,185,66,1,1,42,63,229,89,24,210,233,231,1,90,1,
216,182,210,22,26,140,150,105,1,66,1,174,39, };
static unsigned short stb__courier_46_latin1_t[224]={ 1,133,382,70,70,133,321,296,70,37,366,
321,382,390,382,37,102,190,190,162,244,190,162,190,133,133,244,321,321,382,321,
244,102,270,270,270,270,270,296,244,296,296,244,270,296,270,296,244,321,102,296,
244,321,217,321,296,296,296,296,70,1,70,366,390,382,346,217,346,190,346,244,
190,244,217,1,244,270,346,366,346,217,217,346,346,244,346,366,321,366,217,346,
70,70,70,382,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,
190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,1,190,162,
270,346,270,70,102,382,217,366,366,366,390,217,390,382,217,366,366,382,190,133,
382,310,366,366,366,162,162,162,162,37,37,37,70,102,37,296,70,37,37,37,
70,37,37,1,102,270,70,1,1,1,70,70,366,133,1,1,1,70,37,321,
162,102,102,133,244,162,102,346,244,133,133,133,190,162,133,162,217,190,321,133,
102,133,217,190,346,321,102,102,162,190,1,1,1, };
static unsigned short stb__courier_46_latin1_a[224]={ 390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_46_latin1_BITMAP_HEIGHT or STB_FONT_courier_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_46_latin1(stb_fontchar font[STB_FONT_courier_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_46_latin1_BITMAP_HEIGHT][STB_FONT_courier_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_46_latin1_s[i] + stb__courier_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_46_latin1_t[i] + stb__courier_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_46_latin1_x[i];
            font[i].y0 = stb__courier_46_latin1_y[i];
            font[i].x1 = stb__courier_46_latin1_x[i] + stb__courier_46_latin1_w[i];
            font[i].y1 = stb__courier_46_latin1_y[i] + stb__courier_46_latin1_h[i];
            font[i].advance_int = (stb__courier_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_46_latin1_s[i] + stb__courier_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_46_latin1_t[i] + stb__courier_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_46_latin1_x[i] + stb__courier_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_46_latin1_y[i] + stb__courier_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_46_latin1_LINE_SPACING
#endif

