// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_48_latin1_BITMAP_HEIGHT        426
#define STB_FONT_courier_48_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_48_latin1_FIRST_CHAR            32
#define STB_FONT_courier_48_latin1_NUM_CHARS            224

#define STB_FONT_courier_48_latin1_LINE_SPACING          23

static unsigned int stb__courier_48_latin1_pixels[]={
    0x00144000,0x00000000,0xdd300000,0x00000001,0x20000000,0x6c014402,
    0x0000ffff,0x00000000,0x00000000,0x98000000,0x2740007f,0xbb000000,
    0x3fea0000,0x00ba6001,0x7d300000,0x81bfa000,0x776405ff,0x000000ff,
    0x0006c800,0x00007d10,0x0006c800,0x002ffa80,0x0002fec0,0x013fa200,
    0x00ffd400,0x0007ff10,0x0bfe6000,0x407ffc00,0x32007ff8,0x0000000f,
    0x0017fa20,0x0004fe80,0x00bfb000,0x01ffb800,0x01dfb000,0x9fd30000,
    0x7fd40000,0x27f44001,0x3ea00000,0x3aa0001f,0x800bae03,0x000000fc,
    0x009fd100,0x05fe8800,0x3fa20000,0x7e400005,0x6400000e,0x200001ef,
    0x00002ff9,0x4000664c,0x0000dfd8,0x001efc80,0x90000000,0x0000001f,
    0x0007ff30,0x0077ec00,0x13fa6000,0x1bfb0000,0x3ea00000,0xfa80001f,
    0x0000001f,0x03bf2000,0x0efd8000,0x00000000,0x00003f20,0x05ff5000,
    0xdf900000,0x3e600001,0xc800002f,0x98000004,0xef80006f,0x00000001,
    0x004fb800,0x000bf300,0x90000000,0x0000001f,0x00001ff8,0x0013ee00,
    0x0000ff40,0x00000000,0x0c000044,0x00000000,0x00002600,0x00000018,
    0x01f90000,0x00002ae6,0x00000098,0x00000880,0x00000011,0x00000000,
    0x00000000,0x00000000,0x64000000,0x405fffff,0x0efffffb,0x7f5c1f90,
    0x01ceffff,0x00000000,0x00000000,0x00000000,0x79b73100,0x73100003,
    0x6c00379b,0xffffffff,0x4cc47fff,0x26009999,0x44199999,0x00999999,
    0x86666666,0x05eeffeb,0x6fff7754,0x3f61f900,0xfdca9bcf,0x3333001f,
    0x00033333,0x4cccccc0,0x22000199,0x99999999,0xc8199999,0x405fffff,
    0x0efffffb,0x3ffff620,0x8001dfff,0xffffffd8,0xeed801df,0xeeeeeeee,
    0x3fffe27f,0xfe82ffff,0x14ffffff,0xffffffff,0xfffffd05,0x007e89ff,
    0xfc803f90,0x7d404fe9,0x7ffe401f,0x02ffffff,0xffffc800,0x002fffff,
    0xffffff88,0xffffffff,0x77ff5c4f,0x7775405e,0xfd300dff,0x3f2e237b,
    0x3fa6004f,0xff9711bd,0x3ec00009,0x3333fb2e,0xeccc980b,0x3b2e1bcf,
    0x980bcccf,0x1bcfeccc,0x22001fd4,0xfffc806f,0x03fd1002,0x766665cc,
    0x80005fdf,0xfeccccb9,0x970005fd,0x9df99999,0x20379999,0x3f90007e,
    0x2017fdc0,0xfb804fe9,0x27f4c02f,0x907d8000,0x1f90001f,0x40007e40,
    0x01fa00fc,0xf9005f70,0x6f98009f,0x1f97e800,0x5fa00000,0x200000fc,
    0xfa8004f8,0x037c4003,0x22003ff3,0x3fe603fe,0x07fd1001,0x320fb000,
    0x0fc8000f,0x20003f20,0x0fea00fc,0xc8037c40,0x1f70006f,0xf9a7cc00,
    0xf9800003,0x00007f34,0xe80027c4,0x017dc007,0xe88001fd,0x001fd00f,
    0x0000fe88,0x00fc83ec,0x3200fc80,0x0fc8000f,0xfb803740,0x009f9002,
    0xb800fe20,0x0001ba1f,0x06e87ee0,0x013e2000,0x8801fd40,0x013ea06f,
    0x7d42fdc0,0x0bf70004,0xf907d800,0x01f90001,0x640007e4,0x01fd400f,
    0x5f90037c,0x002fc000,0x001fb8dd,0x3ee37400,0x9f100001,0x80374000,
    0x03fe02fb,0x7c0fe800,0x3fa0000f,0x41f60000,0xfc8000fc,0x0003f200,
    0x1ba003f2,0x64005f70,0x1fa0001f,0x3e21fcc0,0x3e600004,0x00027c43,
    0x20004f88,0x06f803fa,0x50000fe6,0x001fcc7f,0x8000fea0,0x001f907d,
    0x7e401f90,0x00fc8000,0x1be03fa8,0x0005f900,0x0fc802fc,0x00000fd8,
    0x01fb01f9,0x009f1000,0x7dc06e80,0x0007ee02,0x0fdcbf10,0x017e2000,
    0x1f907d80,0x401f9000,0xfc8000fc,0x2e0dd000,0x27e4002f,0x004f8800,
    0x00bea0bf,0xfa82fc00,0x4f880002,0x01fd4000,0x00fc80df,0x3f27f800,
    0x07f80000,0x7e41f600,0x00fc8000,0x320003f2,0x05f5000f,0xdf9000df,
    0x00bee000,0x06f80bea,0x202fa800,0xf880006f,0x06e80004,0x07d805f7,
    0x3ecfb000,0x007d8000,0x07e41f60,0x9007e400,0x1f90001f,0x3ee37400,
    0x3ffc8002,0x8037c400,0x03f200fd,0x401fb000,0x440000fc,0xfa80004f,
    0x6f806f82,0x21f90000,0xf900006f,0x41f60001,0xfc8000fc,0x0003f200,
    0xfb8003f2,0x64001ba2,0x3a001fff,0x05f8801f,0x10001fcc,0x03f980bf,
    0x0027c400,0x17dc6e80,0x80003740,0x000dd0fc,0x40003f20,0x001f907d,
    0x7e401f90,0x00fc8000,0x03fab740,0x9fd3f900,0x004fe980,0x0dd003f7,
    0x400fdc00,0x7c40006e,0x5f700004,0x07d80374,0x3ecfd000,0x007e8000,
    0x07e41f60,0x9007e400,0x1f90001f,0x7eafb800,0x223f2000,0xba9acefd,
    0x3a003ffd,0x003f7007,0x7dc01fa0,0x13e20001,0xf56e8000,0x003f2007,
    0x0fc9fe00,0x007f8000,0x07e41f60,0x9007e400,0x1f90001f,0x07ffd000,
    0xd707e400,0x1bffffff,0x777fcc00,0xeeeeeeee,0xff98005f,0xeeeeeeee,
    0x20005fee,0x200004f8,0x2007eafb,0x440001fb,0x0007ee5f,0x4000bf10,
    0x001f907d,0x7e401f90,0x00fc8000,0x0007fb80,0x5cc407e4,0xff90001a,
    0xffffffff,0x8001ffff,0xfffffffc,0x0fffffff,0x009f1000,0x03ffe800,
    0x0000fe60,0x01fcc5f7,0x000bee00,0x01f707d8,0xfb80fb00,0x007d8000,
    0x80007f50,0x000000fc,0x5f50017e,0x4005f800,0xf10002fa,0xfb800009,
    0x00fe8007,0xfd03fa00,0x07f40001,0x260fb000,0x06f8002f,0x7c0017cc,
    0x00fd0006,0x0001f900,0x000bea00,0x2fa801be,0x0006f800,0x800009f1,
    0xfa8003fa,0x0bf70004,0x2e0009f5,0x3ec0005f,0xfa8007f0,0x4003f805,
    0xfa8005fa,0x0fc80003,0x1fb00000,0x001f9000,0x320003f6,0x4f88000f,
    0x03f40000,0x8003fb00,0x3fb00ff8,0x00ff8800,0xfb02f400,0x017e4001,
    0xf90007ec,0x01fd0005,0x001f9000,0x00bf1000,0x22013e60,0x9f30005f,
    0x009f1000,0x001fd400,0x2003ff30,0x3e603fe8,0x7fd1001f,0x03f98000,
    0x7dc017ea,0x00bf5005,0x2a0017ee,0xf900003f,0xf5000001,0x03740005,
    0xd00017d4,0x09f1000d,0x007f4000,0x00ffea00,0xf5009ff3,0x4ff9807f,
    0x01fe8000,0xf7006fdc,0x6fdc001f,0x003fee00,0x00003fa0,0x000007e4,
    0x2e0003ec,0x003ec01f,0x10007ee0,0x2a00009f,0xd100003f,0xb73157df,
    0x744007ff,0xdb98abef,0x4c0003ff,0xff7003fe,0xffb73137,0x7ff70003,
    0x3ffb7313,0x77776d40,0x01deeffe,0x77ff75c0,0x8001deee,0xeeeffed9,
    0x7776cc04,0x3b664eef,0x404eeeff,0xeefeeed9,0x77777644,0xeeeeeffe,
    0x03fa001d,0xfff90000,0x003bffff,0x3fffff20,0xed801dff,0xfffeeeee,
    0x7ff5c002,0x000dffff,0x3ffffae0,0x7e400dff,0xffffffff,0x7ec001ff,
    0xffffffff,0xfffa8002,0x5c06ffff,0x6fffffff,0x3fffffea,0x7ffdc06f,
    0x3a26ffff,0xffffffff,0x43ffffff,0xfeeeeeda,0x0001deef,0x02b32e60,
    0x665cc000,0xffd1000a,0x037bffff,0x55e54400,0x2a200000,0x00000abc,
    0x00000000,0x00000000,0x00000000,0x3ff20000,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000002,0x0a200000,0x00000000,
    0x50000000,0x00000001,0x0016a000,0x000ae000,0x00a8002a,0x00540000,
    0x177ecc00,0x0eb80000,0xff300000,0xb800000b,0x0eb8000e,0xffd80000,
    0x0be00001,0x1ff70000,0x7cc00000,0x0ffec004,0x00006e80,0x003ffb10,
    0x754dfcc0,0xfa800003,0x5c00001f,0x000efdff,0x00efc800,0x001ffa80,
    0xffbfd300,0x9f100007,0x77e40000,0x6c000000,0xbfd3000f,0x5f7007ff,
    0xfe980000,0x90003ffd,0x00007989,0x0005ff50,0x2e1dfb10,0x200002ff,
    0x20000dfd,0x40002ffa,0xbfd13ffa,0x27c40001,0x0dfd8000,0x7cc00000,
    0x27ff5005,0x2200dfe8,0x2a00006f,0x1bfd13ff,0x1f81f800,0xff300000,
    0x7f4c0007,0x004fe984,0x002ff440,0x003ff980,0xf903df90,0xdb88003d,
    0x80022cef,0x00005fe8,0x9003fb00,0x3df903df,0x00017e40,0x7e40f7e4,
    0x3136001e,0x8800000f,0xfb0004fe,0x017ec405,0x004fe980,0x027f4400,
    0xa8037e60,0x3fee006f,0xebffffff,0x007fb004,0x17e20000,0xa8037e60,
    0x01be206f,0x401bf500,0x3e6006fb,0x0004ea8b,0x01fd8800,0x03000880,
    0x0017ec00,0x01fd8800,0x008800c0,0x5445dfb0,0x3005fffc,0x40000003,
    0x003002fc,0x03f90022,0x11001800,0x3efda800,0x0c000000,0x00000000,
    0x00000220,0x00000060,0x2017ee00,0x000005fe,0x06f88000,0xf1000000,
    0x0000000b,0x00001000,0x20000000,0x01bcdb98,0x00000000,0x4ccc4000,
    0x26600999,0x6f819999,0x998bf100,0x99800999,0x70000999,0x2666205f,
    0x99999999,0x01999999,0x220007f6,0x99999999,0x20199999,0x99999999,
    0x26620001,0x99999999,0x19999999,0xffffd880,0x8801dfff,0x99999999,
    0x99999999,0x99998819,0x99999999,0x3fffe219,0xfe82ffff,0x24ffffff,
    0x86e004f9,0x07fffffe,0x7fffffe4,0x106f8001,0xffffffff,0xffffffff,
    0x3e603fff,0x7ffc4004,0xffffffff,0xfc84ffff,0xffffffff,0xfff88002,
    0xffffffff,0xffffffff,0x2f7fa601,0x09ff9711,0x7fffffc4,0xffffffff,
    0x221fffff,0xffffffff,0x4fffffff,0x3333fb2e,0xeccc980b,0x0bea1bcf,
    0xdfec9800,0x7e5cc02c,0xfb8003cf,0x3fb32a03,0xcccccccc,0x01fecccc,
    0x970003f6,0x9df99999,0x30379999,0xbfd99997,0x32a000bf,0xcccccfec,
    0xeccccccc,0x05ff701f,0x2a04fe98,0xccccfecc,0xcccccccc,0x6665c1fe,
    0xcccefccc,0x0fc81bcc,0x880fc800,0xf880004f,0x01fdc006,0x6400fd00,
    0x01fb8007,0x400013ea,0xd00004f8,0x00003f2f,0x3f7000f9,0x2003ff30,
    0x7c803fe8,0x001fb800,0xfc8009f1,0x00fc8000,0x700005fd,0x1be2009f,
    0x003fa800,0x3ee001f2,0x0007f401,0x00027c40,0x03f9a7cc,0x4003e400,
    0x00fe81fb,0x2007f440,0x1fb8007c,0x8009f100,0xfc8000fc,0x15bff300,
    0x00fec000,0xd0000fec,0x03e4001f,0x2a00fdc0,0xf880003f,0x1fb80004,
    0xf90001ba,0xa83f7000,0xbf70004f,0xb8007c80,0x09f1001f,0x8000fc80,
    0x3f2200fc,0x000aceff,0x9f701be2,0x027d4000,0x2e001f20,0x007e801f,
    0x0004f880,0x00fdc6e8,0x7000f900,0x000ff83f,0x7c803fa0,0x001fb800,
    0xfc8009f1,0x00fc8000,0xfffeca88,0x07f7003e,0xb0001be2,0x07c8001f,
    0xf7006980,0x4f880007,0x21fcc000,0x320004f8,0x4c698007,0x7d40003f,
    0x2001f203,0x13e20069,0x0001f900,0x510001f9,0x3a00bfd9,0x001fd81f,
    0x20017e60,0x000a607c,0x10001be0,0xfc80009f,0x0000fd80,0x8014c0f9,
    0x440001fb,0x981f205f,0x4f880002,0x0007e400,0x400007e4,0x6f8806fc,
    0x200027d4,0x7c8001fd,0x20001f20,0x220002fb,0x2fc0004f,0x90002fa8,
    0xc803e40f,0x7f80000f,0x07c81f20,0x004f8800,0x640007e4,0xf900000f,
    0x227f7001,0x220000ef,0x0f90005f,0x440003ec,0x3e20006f,0x0bea0004,
    0xf90006f8,0x7d803ec0,0x40fb0000,0x001f607c,0x90013e20,0x1f90001f,
    0x0fe60000,0x17e4ff40,0x007f2000,0x55557e40,0x00007eaa,0x220003f9,
    0x3f60004f,0x0003f200,0x2aaaabf2,0x0df007ea,0x403f2000,0xaaaaaafc,
    0xf880007e,0x007e4004,0x05407e40,0x4013e200,0x0004fef9,0x900037c4,
    0xffffffff,0x3e20000f,0x09f10005,0x3017e200,0xff90007f,0x0fffffff,
    0x40001ba0,0xfff900fc,0x00ffffff,0x8009f100,0xfc8000fc,0x2001fcc0,
    0x3ee003fa,0x7e40000f,0x2bf20002,0x07eaaaaa,0x007f6000,0x40013e20,
    0x06e801fb,0xaaaafc80,0xfb007eaa,0x81fa0000,0xaaaaaafc,0xf880007e,
    0x007e4004,0x3e607e40,0x00fec006,0x80009f10,0x640006f8,0x0001f607,
    0x88005f98,0x0fd0004f,0x90007ee0,0xc803ec0f,0x7f80000f,0x07d81f20,
    0x004f8800,0x640007e4,0x06ffcc0f,0x0013f620,0xb80009f1,0x3e40003f,
    0x80000f90,0x7c4000fd,0xeff98004,0xeeeeeeee,0x3e4005fe,0x3ee00f90,
    0x2fc40001,0x03e40f90,0x0027c400,0x320003f2,0x7ff7cc0f,0xff73119c,
    0x09f1000b,0x0007f800,0x006207c8,0x009f3000,0xc8004f88,0xffffffff,
    0x00ffffff,0x01881f20,0x80007f30,0x81f202fb,0xf8800018,0x007dc004,
    0x57c43ec0,0xffffffe9,0xf10002ff,0x1fd40009,0x003e4000,0xfd0006a8,
    0x027c4001,0x2a002fc0,0x01f2002f,0x03fa3540,0x200fe800,0x0d50007c,
    0x30013e20,0x0df0005f,0x7df95102,0x4f880003,0x003fa000,0x4001f200,
    0xfa8000fc,0x013e2003,0xf0005f50,0x003e400d,0x13ea0fc8,0x202fdc00,
    0x1f90007c,0x0009f100,0x5fa8007f,0x0027c400,0x0004f880,0x200009f5,
    0x1f90007c,0x003fa000,0x360027c4,0x0fc8000f,0x2000f900,0x00fec0fc,
    0x9003fe20,0x03f2000f,0x20013e20,0x3f2000fd,0x027c4002,0x004f8800,
    0x00001fd0,0x7e4001f2,0x07f70000,0x88013e20,0x9f30005f,0x4001f200,
    0x0ffcc0fc,0x803fe880,0x1f90007c,0x0009f100,0x3ee00bf5,0x04f88005,
    0x009f1000,0x00009f30,0xfc8003e4,0x01be0000,0xf50027c4,0x03740005,
    0xf90007c8,0x807ff501,0xf9004ff9,0x003f2000,0x5c0013e2,0x3fee00df,
    0x04f88000,0x009f1000,0x00003fb0,0xfc8003e4,0x0bee0000,0xd8013e20,
    0x0fdc0007,0xc8003e40,0x7dfd100f,0x7ffb7315,0x8003e400,0x4f8800fc,
    0x2ffee000,0x1ffdb989,0x007f1000,0xfddddb50,0x409ddddf,0xc80005f8,
    0xeeeeffee,0xeeeeeeee,0x20000ffe,0x3bbb26f8,0xeeeffeee,0xfed99dee,
    0x4c04eeef,0x4eefeeed,0x777ff764,0xeeeeeeee,0x400ffeee,0xfffffffc,
    0xfeec801d,0xeeeeeeef,0xffeeeeee,0x3bbbbb20,0xeeeeeffe,0xffeb801d,
    0x000dffff,0x5c000f40,0xffffffff,0x0a00efff,0x7fff4000,0xffffffff,
    0xffffffff,0x89440000,0xfffffffe,0xbfffffff,0xfffffffa,0x7fffdc06,
    0x7ff46fff,0xffffffff,0xffffffff,0x9973000f,0x7ff40015,0xffffffff,
    0xffffffff,0xffffd10f,0xffffffff,0x544007ff,0x00000abc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07100000,0x4fae0000,
    0x1e88005b,0x0bffffff,0x76405d90,0xb9510001,0x6c101379,0x2a60002d,
    0x80ba0000,0x0bb202eb,0xffffffd8,0x07b20ba0,0x32001ed8,0x70006c42,
    0x0176405d,0x30006e20,0x00001dfd,0x7dcbbfea,0xf8ff4003,0x404eeeef,
    0xff506ff9,0xffc8800b,0x0dffffff,0x07ffdcf7,0x9fffd500,0xf100c881,
    0x41ffe209,0x3ae06ff9,0xf10ffeee,0x506ff989,0x2fc00bff,0x7c400bea,
    0x0dff307f,0x000ffd80,0x05ff9ff7,0x42ff8800,0xf5000ff8,0x44002fcb,
    0x9ff305ff,0x677fcc00,0x5ffb530a,0x05fb81f9,0xfd59ff30,0x03ff517f,
    0x5fe813e2,0x8009ff10,0x889f10fc,0x7ff304ff,0xf713e200,0x82ff4003,
    0x7c004ff8,0xefd802ff,0x0009ff31,0x4fc827d4,0x2fc3fd00,0x44028800,
    0x0bfea001,0x03fffa60,0x065c01fa,0x0bffffea,0x0a204f88,0xf9000510,
    0x0a213e21,0x7cc00310,0x1000fdc3,0x80028805,0x3a202ffe,0x77ec40df,
    0x01fb8000,0xfb803ff1,0x00002fc6,0x1ff88000,0x407ff400,0x440001fc,
    0x7c400bcb,0x00000004,0x013e21f9,0x1fcc0000,0x000003f2,0x0fff4000,
    0xfc807f90,0x01fb8003,0x5fd013f2,0x000005f8,0x007fb000,0xf701ff10,
    0x80000003,0x000004f8,0x3e21f900,0x50000004,0x000fc85f,0xfb000000,
    0x8004403f,0x03f70000,0xff503fcc,0x33100bf0,0x4c013333,0x44199999,
    0x3f60006f,0x4001fb80,0x01bcdb98,0x31009f10,0x000379b7,0x24f887e4,
    0x99999998,0x01999999,0x03ec2fa8,0x26666660,0x36000199,0x000000ff,
    0x200fdc00,0x09fd02fe,0xfff880bf,0xe82fffff,0x4fffffff,0xa80007ee,
    0x2003f705,0xffffffd8,0x27c401df,0xfffffb10,0x90003bff,0x7c53e21f,
    0xffffffff,0x04ffffff,0x01fa0fdc,0xffffffc8,0xb0002fff,0x4ccc01ff,
    0x00199999,0x5c01fb80,0x81ff885f,0xfecb805f,0xc980bccc,0x21bcfecc,
    0x2000006d,0xfe9801fb,0xff9711bd,0x9827c409,0x9711bdfe,0xfc8009ff,
    0x665c9f10,0xccefcccc,0x5c01bccc,0x3003741f,0xbfd99997,0x3f2000bf,
    0xffff900f,0x005fffff,0x4c01fb80,0x83fdc0ff,0x03f2005f,0x3e03f200,
    0x2e000005,0x17fdc01f,0x4413fa60,0x02ffb84f,0x90027f4c,0x2013e21f,
    0x320004f8,0x00037c0f,0x000fcbf4,0x2e607fc8,0xfdfecccc,0x0fdc0005,
    0xfd0ffe20,0xc8017e0d,0x0fc8000f,0x00001fcc,0x7cc03f70,0x7fd1001f,
    0xff989f10,0x07fd1001,0x27c43f20,0x00027c40,0x000bf0fb,0x07f34f98,
    0x000ff700,0x0003f2fd,0xff801fb8,0x5f82ffc5,0x0003f200,0x05f503f2,
    0x0fdc0000,0x88001fd0,0x227c40fe,0x744000fe,0x10fc800f,0x09f1007f,
    0x3ffffe20,0xffffffff,0x2e002fff,0x2001ba1f,0x7cc006fb,0x40007f34,
    0x6fe800fd,0x2fc13fe2,0x0001f900,0x02fa81f9,0x0bea0000,0xb80027d4,
    0xf527c45f,0x17ee0009,0x00b83f20,0x32004f88,0xcccffccc,0x0ccccefd,
    0x3f71ba00,0x006fa800,0x00dd0fdc,0x6c01fe20,0x40ffe67f,0x03f2005f,
    0xf503f200,0x44000005,0x001ff05f,0x9f107f40,0xd00007fc,0x00fc801f,
    0x0004f880,0x007f31ba,0x3e21fcc0,0x037d4004,0x03f71ba0,0x003feb80,
    0x17fd4ff9,0x3f2005f8,0x40fc8000,0x000002fa,0x7f316fec,0x23fa8000,
    0x007f34f8,0x6403fa80,0x4f88000f,0xf317e000,0x07e40005,0xf30007ec,
    0x21fcc00b,0x3fa004f8,0x3fee004f,0x3e01ff70,0x003f2005,0x9f303f20,
    0xfd000000,0x0007ee9f,0xa7c4bf10,0x440001fb,0x007e405f,0x00027c40,
    0x002fa8bf,0x17d417e0,0x400bf300,0x00fd80fc,0x001ffd50,0x7fd43fee,
    0x6400bf01,0x0fc8000f,0x00002fc4,0x6477fea0,0x7f80000f,0x007e53e2,
    0x3203fc00,0x4f88000f,0xa89f1000,0x5f50001f,0xf10037c0,0xa82fc009,
    0x2fd4002f,0x3e67fc80,0x400bf02f,0xfc8000fc,0x00007e80,0xfb07be20,
    0x89f60000,0x0000fb4f,0x01f901f6,0x0009f100,0x03f713e2,0xc803f600,
    0x00ba000f,0x0df017d4,0x3a00fd00,0x40ffe26f,0x03f2005f,0x2e03f200,
    0x5000002f,0x000df09f,0xa7c43f20,0xf900006f,0x0107e401,0x6c013e20,
    0xeeefeeee,0x2eeeefee,0x4c05f880,0xb000003f,0x007e401f,0x3e003f20,
    0xf82ffc5f,0x003f2005,0x7f403f20,0x20220000,0x006e81fb,0x3e21f900,
    0x20000dd4,0x43f200fc,0x4f8803f8,0xfddddb00,0xddffdddd,0x3f7005dd,
    0x0000dd00,0xf980bf10,0x00fdc003,0xdfd13fe2,0xfc8017e0,0x00fc8000,
    0x2a000bf5,0xd81fb84f,0x4fd00007,0x000fb4f8,0x1f901fa0,0x3e2013e2,
    0x85f50004,0x0fd0007d,0x00007ee0,0xdd003f70,0x401fb800,0x3fe42ff9,
    0x3f2005f8,0x00fc8000,0xc80037f2,0x81fb80ff,0xf80000fc,0x07e53e27,
    0x203fc000,0x009f10fc,0x2e0009f1,0x4003ec1f,0xeeeeeff9,0x05feeeee,
    0x803f4000,0x3ee001fb,0x207fd401,0x05f80ff9,0x20003f20,0x77e400fc,
    0x00efd801,0x03f703f7,0x225f8800,0x0003f74f,0x7e405f88,0xf1009f10,
    0x07ee0009,0xff9000dd,0xffffffff,0x0001ffff,0x3bbbfe60,0xfeeeeeee,
    0x007ee005,0x0ffa0bfb,0x0fb8017e,0x9007d800,0x73137bff,0xfb809ffb,
    0x0003f981,0x29f117dc,0x5c0003f9,0x887e402f,0x04f8804f,0x6f81f900,
    0x4005f800,0x5e5402fa,0x3ffff200,0xffffffff,0x3f7000ff,0xb80ffc40,
    0x2005f86f,0x6f8002f9,0x3fff6600,0x802effff,0x01fd01fb,0xf107f400,
    0x00007f49,0x0fc801fd,0x9f1009f1,0x3e1f2000,0x017d4005,0xff5037c0,
    0x002fc0df,0x7dc00bea,0x881bee01,0x002fc1ff,0xbf5000fe,0x7bd31000,
    0x0fdc0013,0x70004fa8,0x2a4f88bf,0xbf70004f,0x3e21f900,0x004f8804,
    0x009f0fb0,0xc8000fd8,0xffffb00f,0x0005f501,0x07ee00df,0x7e402fe8,
    0x36002fc4,0x0bf2000f,0x0003d800,0x0fec03f7,0x103fe200,0x001fd89f,
    0x64007fc4,0x1009f10f,0x1fa0009f,0x7c4009f1,0x09f30005,0x6c1bffea,
    0x0fc8000f,0xf503fa80,0x41ff100d,0x2fd4005f,0x0005fb80,0x6c00176c,
    0x00ffcc07,0xf883fe88,0x800ffcc4,0xf9003fe8,0x22013e21,0x8dd0004f,
    0x3ea003f9,0x81ba0002,0x5f880bc9,0x009f3000,0x0bfa0df3,0x0bf27e40,
    0x401bf700,0x40000ffb,0x22003eb9,0x3ffa804f,0x8827fcc0,0x03ffa84f,
    0x90027fcc,0x2013e21f,0xbf0004f8,0x36003f98,0x0fdc0007,0x002fa800,
    0x7e401ba0,0x00df50be,0xaef87fc4,0xfb801aaa,0xfdb989bf,0x8110001f,
    0xffc8806b,0x7dfd1001,0x7ffb7315,0xe8827c40,0xdb98abef,0x2aa203ff,
    0x9f10fdaa,0x77777764,0xdeeeeeff,0x5f517e01,0xeffed980,0x76cc04ee,
    0x004eefee,0x2e0003ec,0xfeb8801f,0xa8001fb4,0xffffff2f,0x3ffae00f,
    0x000dffff,0x3aef7f20,0x02dfe803,0xfffffc80,0x7c401dff,0x7fffe403,
    0x7401dfff,0x10ffffff,0x3fffa27f,0xffffffff,0x06a03fff,0xfff50032,
    0xb80dffff,0x6fffffff,0xeffed980,0x76cc04ee,0x004eefee,0x40006213,
    0x2aaaaaa1,0x5e544001,0x9500000a,0x026005bd,0x332e6000,0x8006000a,
    0x000accb9,0x85555551,0x00000001,0x00000000,0xffff5000,0xfb80dfff,
    0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000aa80,0x0000a980,
    0x90176400,0x5d44003d,0x20001bcd,0x000acdb9,0x00000400,0x88000000,
    0xb9530002,0xffffffff,0x006600df,0x00066000,0xfeb80010,0x004983ff,
    0x427fff54,0x260000c8,0xbff506ff,0x3fffa200,0x64003fff,0xefffffff,
    0x7ecc0001,0x300000be,0x2000007d,0x26000fe9,0x9ddbdffd,0x0099ce99,
    0x00007f90,0x88003fd8,0xfb803ffe,0x8beffbbf,0xf5000ffb,0x17ffd59f,
    0x40003ff5,0xff305ff8,0x37ff5009,0x44027ecc,0x9511bdfe,0x260007ff,
    0x004ea8bf,0x0dfffa80,0x3fe60000,0x33ff2003,0x007b1320,0x0009fd10,
    0x0027f440,0x003ffff2,0xfffb8199,0x32e001ef,0x7ffffd40,0x02880001,
    0x77c400c4,0xa80ff201,0x7f4403ff,0x4c4c8005,0x3f20000f,0x001efc9e,
    0x002ffa80,0x1320bfee,0x3620007b,0x100000df,0x32001bfb,0x0000ffff,
    0x0002f2e2,0x00bcb880,0x80000000,0x05e801fc,0x22005ff1,0x0fc003fd,
    0x74400174,0x0ffea0df,0x01efb800,0x4c827fc0,0x360001ec,0x200000ef,
    0xe8800efd,0x000003ff,0x00000000,0x22000000,0x20f7005f,0xfe8002fc,
    0xf3132000,0x07ff1000,0x20013fa6,0x4c000efc,0xd89901ff,0xefc80003,
    0x3f200000,0x4c01000e,0x33000999,0x98033333,0x19999999,0x26662000,
    0x99999999,0x81999999,0x5f5001fd,0x30005f98,0x67c400bf,0x98004ea9,
    0x0264401d,0x400065c0,0xb13207fb,0x36a00007,0x2d400000,0x7fffc000,
    0x7fec00ff,0x905fffff,0xffffffff,0xff10005f,0xffffffff,0xffffffff,
    0x2006f83f,0x00ff43f9,0x4005fb00,0x0002efc9,0x00000000,0x640ff700,
    0x00001ec4,0x00000000,0xffecca80,0x76664c04,0x97301cdf,0xbfbfd999,
    0x3b32a000,0xcccccccf,0x1feccccc,0xf98013e2,0x00017e23,0x000009f3,
    0x00000000,0x3ff50000,0x007b1320,0x00000000,0xdf900000,0x0fdc003f,
    0x1f97e800,0x007c8000,0x0fe61fb8,0x47fdb950,0xf80002f9,0x00000005,
    0x001aba88,0x01575300,0x640ffe20,0x44001ec4,0x0009abaa,0x01aba880,
    0xfafc8000,0x007ee006,0x1fcd3e60,0x001f2000,0x02fa87ee,0x7fdfffb3,
    0x40000fdc,0x7551007d,0x5c000135,0xdfffffff,0x7fec4000,0x00cfffff,
    0x2640ffec,0x765400f6,0x3fffffff,0xffff7000,0xb001bfff,0xfb8fc803,
    0x003f7003,0x03743f70,0x2001f200,0x207ee1fb,0x7f31cff9,0x400007e4,
    0xfd9500fc,0x07ffffff,0xbcefe880,0x03ffdca9,0x357bff70,0x805ffd95,
    0x22641ffe,0xeffd803d,0xfeba9aac,0xdfd1000e,0xffb95379,0x2027c407,
    0x001fd0fc,0xdd0003f7,0x20001fb8,0x1fb8007c,0x07fa03f2,0x003ec7f3,
    0xfd81fb80,0xba9aacef,0xf9800efe,0x2ff4c04f,0x5007bf60,0xffb807fd,
    0x1ec4c9bd,0x5c005d40,0x4ff9805f,0x982ff4c0,0xa87e404f,0x01fb804f,
    0x3e21fcc0,0x01f20004,0x81f91a60,0x23f983fa,0xf700007d,0x70017503,
    0x1fe880bf,0x5c0bf600,0x3fa2005f,0x7fedc401,0x0001ec4f,0xd1007f40,
    0x17ec003f,0x3f202fcc,0xf7007f60,0x80fc8003,0xf90000fd,0xfc8014c0,
    0x7cc07e40,0x00003f23,0x200003f2,0x0bf200fe,0x981fd100,0x6f88006f,
    0x3626c400,0xfb800003,0x000bf202,0x5fa81fd1,0xdf107e40,0x4001fb80,
    0x005f505f,0x07c81f20,0x0fd81f90,0x07ee3f98,0x001fa000,0xf9817dc0,
    0x8bf30005,0xf50001fd,0x6c4c8005,0xf9800003,0x000bf303,0x0df517e6,
    0x17e40fc8,0x54003f70,0x001be02f,0x00fb03e4,0x07f903f2,0x017d47f3,
    0x0002fc00,0x3f703f98,0x3a3f4000,0x13e20006,0x03d89900,0x03f98000,
    0x740003f7,0x32037dc7,0x807fc40f,0x3f6001fb,0x0003f200,0x2aaaabf2,
    0x1f9007ea,0x3f986f98,0x300013e2,0x2600009f,0x000fb03f,0x5bf10fc8,
    0x55555555,0xbd555555,0x1ec4c800,0xffdd9300,0x07f99dff,0xf90001f6,
    0x3203fdc1,0x704fa80f,0x17e2003f,0x90007f30,0xffffffff,0x207ee00f,
    0x7f51cffc,0x20001fd8,0x764c01fe,0xcceffffe,0x000dd03f,0xfff31fb8,
    0xffffffff,0xffffffff,0x1ec4c800,0x77ffecc0,0xfffeeece,0x8000dd03,
    0x01fee1fb,0x03fa01f9,0x7dc007ee,0x8006e801,0xaaaaaafc,0x03f5007e,
    0x3fffffee,0x0017e60f,0xfb302fd4,0xddd9ddff,0x1ba07fff,0x225f5000,
    0xaaaaaadf,0xaaaaaaaa,0x264002aa,0xbff300f6,0x03fb8803,0xfa8000dd,
    0xc803ff22,0x70bf300f,0x01fa003f,0x32000fdc,0x4c01f607,0x332a202f,
    0x17ec0dec,0x9807f400,0x5c401dff,0x000fb03f,0x017e0fc8,0x13200000,
    0x0ffc407b,0x3607f300,0x07e40007,0x7e401ff9,0xf70bf200,0xddff3003,
    0xdddddddd,0x07c800bf,0x1fcc01f2,0x2fe88000,0x207fd100,0x26001ff8,
    0x003f703f,0x01fa3ec0,0x13200000,0x00fe407b,0x7dc0fe60,0xb1f60001,
    0x07e401ff,0x1fb8df10,0xfffffc80,0xffffffff,0x81f2000f,0x01be0018,
    0x04ff8800,0xf9027f44,0x03f98003,0x260009f5,0x0017e45f,0xb1320000,
    0x40037407,0x09f503f9,0xfb17e600,0x007e403f,0x01fb8fee,0x7d4005f8,
    0x001f2002,0x007f2354,0xceff8800,0x2ffdb98a,0x4c003740,0x007f603f,
    0x3fa07fa0,0x20000000,0xdf01ec4c,0x407fb000,0xfe8001fd,0x900fff41,
    0x21fd001f,0x17d401fb,0x90037c00,0x83f2000f,0x400005f9,0xffffffb8,
    0x06f801ef,0x2203fd80,0x3f2000ef,0x000df303,0x899000ea,0x007f603d,
    0x101fff4c,0x7e4001df,0x202ffe83,0x5f9800fc,0x0fd803f7,0x000fc800,
    0x3f2000f9,0x00017ec0,0x09bffe80,0x4007f600,0x5403ffe9,0x7ec402ff,
    0x0177dc06,0x4007fea8,0xf701ec4c,0xfbff700b,0x02ffa807,0xfe837ec4,
    0x003f202f,0x00fdcfe4,0x26000bf1,0x00f9004f,0xff103f20,0x1005a805,
    0x20001bfb,0xffb805fb,0xfea803fd,0xfca989bd,0xbfd5004f,0xd9531157,
    0xc8001bff,0x3f601ec4,0xedb989ae,0xdeef99ef,0x37bfd503,0x09ff9531,
    0x3f202fd4,0xf7df1000,0x0017d403,0x1f200dd0,0x5407e400,0xa988bdff,
    0xffa805fe,0x0acdeedf,0xdfb07f6a,0xfdb73135,0x7bddf33d,0x7fffe440,
    0x4001efff,0xffffffc8,0xa801dfff,0x31eecccc,0x2e0799dd,0xffffffff,
    0x17fffe63,0xfffffc88,0x00001eff,0x7dc001f9,0x01f601ff,0x9003f700,
    0x03f2000f,0x7fffff4c,0x7dc00cff,0xffefffff,0x04fffeff,0xfffffff7,
    0x7fffcc7f,0xbcb98805,0xa980000a,0x40009bcc,0x1ccccccb,0x40999995,
    0x00abcba8,0x32e62000,0x900000ab,0x3bdddfdd,0x4c1ffe80,0x4eeeffed,
    0x7f776cc0,0x7f7644ee,0xeeeeeeef,0xffeeeeee,0x5e65cc00,0x59d7000a,
    0x9dd95301,0xbcba8803,0x0000000a,0x00000000,0x00000000,0x00000000,
    0xfffffd00,0xff9805ff,0x7ffffd41,0x7fdc06ff,0x746fffff,0xffffffff,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000a2000,0x4c000000,0x00000001,
    0x3fae2000,0x4fffffff,0x0000cc00,0x00051000,0x00000000,0x730000a2,
    0x22000157,0x20009bba,0x0002dfc8,0x0000fe88,0x00003e98,0x000007f9,
    0x20000fa6,0x9999cff9,0x4004d999,0x000003fc,0x0000fe98,0x00007d30,
    0x000fe980,0xffffffb8,0x3ffa2003,0xd003ffff,0x0003ffff,0x0001ffcc,
    0x006fffd4,0x013fa200,0xbfff5000,0x0fe60001,0x22002640,0x000004fe,
    0x0000bfe6,0x006fffd4,0x1ffcc000,0x4df7e400,0xb805feb9,0xeba9acff,
    0x3fe600df,0x50005fff,0x900005ff,0x03df93df,0x0dfd8800,0x9efc8000,
    0xc8001efc,0x00132006,0x00037f62,0x003ff500,0x327bf200,0x200001ef,
    0xc8002ffa,0x0bf700df,0xf900f7cc,0x7fffcc0b,0xffb8004f,0x7f440001,
    0x00ffea0d,0x003bf200,0x506ff440,0x2e8007ff,0x80013200,0x00000efc,
    0x00003df9,0x7d41bfd1,0xfb80003f,0x6f88001e,0xe882fc80,0x02fd800f,
    0x007ffffa,0x0001df90,0xd303ff88,0xf700009f,0xff88001d,0x009fd303,
    0x0110017c,0x00efb800,0x0077e400,0x81ffc400,0x20004fe9,0x90000efc,
    0x0dd1003f,0x3e2007f5,0x005ed406,0x000065c0,0x32200ecc,0x1b500004,
    0x401d9800,0x172004c8,0x2a000000,0x25c0000d,0x03b30000,0x20004c88,
    0x3e0000cb,0x90bee006,0x03ec001f,0x00000000,0x00000000,0x00000000,
    0x013fb2a0,0x00000000,0x00000000,0x00000000,0x88013e20,0x2003ec4f,
    0x000000fc,0x00000000,0x00000000,0xdfd00000,0x0001bf79,0x00000000,
    0x00000000,0x40000000,0x374003f9,0x6d8003ee,0x54400000,0x00009aba,
    0x04d5d544,0x55d4c000,0x75300000,0x075c0015,0x0000bfa2,0x10000000,
    0x00003575,0x00000000,0x000fe200,0x01fc41f9,0x00004f88,0xffffeca8,
    0x54003fff,0xffffffec,0xfd88003f,0x0cffffff,0x7ffec400,0x400cffff,
    0x037ee02e,0x0ffffd80,0x3ffffea0,0x3ffee002,0x400dffff,0x200ffffd,
    0x02fffffa,0x401ffffb,0x02fffffa,0x7fc400bd,0x6c007f42,0x6c00001f,
    0xa9aaceff,0xd800efeb,0xa9aaceff,0x7000efeb,0x95357bff,0x2e005ffd,
    0xca9abdff,0x13202ffe,0x0019fb10,0x401ffdd9,0x02feeeea,0x9bcefe88,
    0x203ffdca,0x200ffeec,0x02feeeea,0x401ffdd9,0x02feeeea,0x7fe400db,
    0x880f7cc2,0x266205fd,0x0ba80099,0xa805fb80,0x05fb800b,0x5401efd8,
    0x77ec03fe,0x81ff5401,0xfe9801f8,0x003f2003,0x7cc02fa8,0x2ff4c04f,
    0x50007e40,0x01f9005f,0xfb817d40,0x3fdfa803,0xbabdfe98,0x7f403ffc,
    0x00002fff,0x00000fe8,0xbf7007f4,0x80ff4400,0x3a2005fb,0x005f701f,
    0x32003bee,0x0bea000f,0x2001fe88,0x07e402fd,0x9005f500,0x17d4001f,
    0x2a01fe88,0xf104f8df,0x09ffffff,0x05ffff98,0x05f70000,0x02fb8000,
    0xf1000df3,0x000df30d,0x67d40df1,0x02fd8800,0xf50007e4,0x0017e405,
    0xfc803fa2,0x00bea000,0xfa8003f2,0x10bfa202,0x213e2df7,0xdbacefe8,
    0x3fee02ff,0x000000ff,0x800007f3,0x03fb03f9,0xfb0bea00,0x0bea0003,
    0x7003fe88,0x007e405f,0x3e605f50,0x0bf30005,0xf50007e4,0x001f9005,
    0x3e6017d4,0x0effedff,0x2ee989f3,0x3a09f910,0x00003fff,0x0000fe60,
    0x1ba07f30,0x744f8800,0x13e20006,0x2007bee0,0x003f206b,0x3f702fa8,
    0x903f4000,0x17d4001f,0x50007e40,0xfb51005f,0x23fa839d,0xfb800ef8,
    0x037ffc43,0xffeec980,0x03fcceff,0xfffdd930,0x107f99df,0x555555bf,
    0x55555555,0x56fc4bd5,0xaaaaaaaa,0x5eaaaaaa,0x019f9100,0x0fc80fc4,
    0x6c0bea00,0x07e40007,0x2a000fc8,0x00fc802f,0x0000bea0,0x07ee2fc8,
    0x7fd46e80,0x7ecc001f,0xeeeceeff,0x6cc03fff,0xeeceefff,0xf983fffe,
    0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,0x07ffffff,0x8817f4c0,
    0x001f901f,0x06e817d4,0xc80fdc00,0x0bea000f,0xa8003f20,0x3600002f,
    0x5001b60f,0x02ffec3f,0x0077fe60,0x7cc07f71,0x7dc401df,0xaaadf883,
    0xaaaaaaaa,0x222aaaaa,0xaaaaaadf,0xaaaaaaaa,0xf70002aa,0x8176621b,
    0x3ea000fc,0x8000dd02,0x01f902fa,0x64017d40,0x0bea000f,0x237c4000,
    0x1fc4004f,0x44001fff,0x3e6001ff,0x003ff103,0x05f81fcc,0x005f8000,
    0x74400000,0x200effee,0x3ea000fc,0x8000fb02,0x01f900fc,0x64017d40,
    0x0bea000f,0x11fec000,0x4f88009f,0xc8007ff5,0x1fcc001f,0x4c001fc8,
    0x000fd03f,0x0000fd00,0x5fb10000,0x001f9003,0x1fb817d4,0xc81f6000,
    0x0bea000f,0xa8003f20,0xfa80002f,0x54006f86,0x000bf72f,0x7f3000dd,
    0x26001ba0,0x005f903f,0x002fc800,0xf9800000,0x001f9000,0x4fa817d4,
    0x40bf3000,0x3ea000fc,0x000fc802,0x10000bea,0x01fb01ff,0x01507ec0,
    0xb000df00,0x001be07f,0x0fe80ff6,0x07f40000,0x001c0000,0x0fdc00ba,
    0x202fd880,0xfe8001fd,0x4007ee01,0xfb802fd8,0x05fb1001,0x817fd400,
    0x9f5006f9,0x07f60000,0x81fff4c0,0xfd3001fd,0x037cc07f,0x6f983a80,
    0xf3075000,0x5001f800,0xffd3009f,0x0077c405,0xfa807f90,0x2ffe9804,
    0x9804fa80,0x88002ffe,0x7dc01ffd,0x03bee00d,0x5c188031,0xdffb805f,
    0x00bf703f,0x807fbff7,0xd5002efb,0x0bbee0ff,0x4c3ff540,0x801ee007,
    0x3ee00ff8,0x7d402fdf,0x37ec402f,0x7007fc40,0x1005fbff,0x7fdc01ff,
    0x337902fd,0x01bffb95,0x26afff20,0x441efdb9,0x7ff304ff,0x989aefd8,
    0xf99efedb,0x77ec3dee,0xfedb989a,0x3deef99e,0x157bfd50,0xbffd9531,
    0x5eff5401,0xfeca988a,0x007980df,0xfa8007f3,0xffdb99cf,0x03eefa9e,
    0x226f7faa,0x004ffca9,0x2e673fea,0xefa9effd,0x67fd403e,0x9effdb99,
    0x3a23eefa,0x2cefffff,0xfffe9800,0xff304fff,0x217fea0d,0xfffffffb,
    0x3fffe63f,0xfffffb85,0x3fe63fff,0x3f2205ff,0xffffffff,0xff91001d,
    0xbfffffff,0x6667cc03,0x3feccccc,0xffff7000,0x7fd47fff,0x7fe4405f,
    0x01efffff,0xfffffb80,0x3ffea3ff,0xffffb805,0x3fea3fff,0x0acb985f,
    0x79530000,0x01ec8013,0x5d440772,0x40000abc,0x00abcba8,0x6654c000,
    0x4c00009b,0x0009bcca,0x99999991,0x80001599,0x000accb9,0x2f2e6200,
    0x5cc0000a,0x00000acc,0x002b32e6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00000002,0x155100f6,0x79531000,0x2a200013,0x000001ab,
    0x00001800,0x00004cc4,0x00377300,0x144000b8,0x4c000000,0x000cdfec,
    0x0005bf91,0x00017ec4,0x01acdb98,0x7fd407f9,0xf71002ff,0x19ffffff,
    0x7fffec00,0x6c4001ff,0x2fcc0005,0xfffc8000,0x700000df,0x5ffffffb,
    0x8807f100,0x0005feca,0x7ffe4000,0xe802fffe,0x8002ffff,0x80004fe8,
    0xfffffffc,0xd017ea1e,0x500dffff,0x53359dff,0xe8803ffb,0xffda9bef,
    0xdffd3003,0x77ec0003,0x2ffa0000,0x000eeb88,0x2f7ffa20,0x8802db99,
    0x5677404f,0x0000005e,0xfa82fbee,0x3ffe601f,0x7cc005ff,0x7440003f,
    0xf9511bdf,0x801ff39f,0x405ffffd,0x7d403ffa,0x413fa00e,0x7dc02fe8,
    0x002ffbaf,0x0003bf20,0x004e81f2,0x0009ff70,0xd8009f10,0x30000005,
    0x3be201ff,0xfffff300,0x17fd4009,0x0ffea000,0x03fffd30,0x01bffb10,
    0xf7000ec8,0x1017ea09,0x0f7ec0df,0x40009fd3,0x7c001ffb,0x0003ee04,
    0x00005ff9,0xbb0013e2,0x2e000000,0x017dc03f,0x003ffffb,0x00007fea,
    0x74005ff1,0x0000005f,0x7e83f400,0xfd05fb00,0x0dfb101b,0x017fd400,
    0x3e201f88,0x03be6001,0x04f88000,0x00002ec0,0x4400fc80,0x05ed403f,
    0x0001b500,0x64005f90,0x00000fff,0x03f20000,0x3e6009f5,0x5b803d85,
    0x01f4c000,0x3e201f88,0x01ff1001,0x1dfa8000,0x00017600,0x201f2004,
    0x000004f8,0x2fcc0000,0xbf3df500,0x00000000,0x07f607e4,0x0000fe80,
    0x40000000,0x003ee04f,0x80001fec,0xfffffeb8,0x0bb0198c,0x02fc8800,
    0x0bea01f2,0x00000000,0x22003fd0,0x003fb0ff,0x36000000,0x64006e86,
    0x0000002f,0x03dc0000,0x1be2009d,0x6ffcc000,0xffffcaac,0x4000bb05,
    0x3e405ffa,0x0003fa60,0x88000000,0x87fa005f,0x000004f9,0xf83fa800,
    0x017dc005,0x00000000,0x5c467f40,0x3f5000ef,0x5df30000,0xd82ffcc0,
    0xffd88005,0xa887c802,0x00001ffc,0xfffffe88,0x0be6004f,0x3741fe40,
    0x00004c80,0x7c40efa8,0x21fcc004,0xffffffe8,0x7ff44004,0x0004ffff,
    0x01bffff9,0x000f9044,0x7001fd10,0x001760bf,0x2001bff5,0x7fffcc7c,
    0xb1000003,0x09fddddd,0x5c00fdc0,0x200fb05f,0x4c40006e,0x980efda9,
    0x27c4004f,0x3bbbbb62,0x76c4004f,0x004feeee,0xb9804cc0,0x4c1b63fe,
    0x17e401bc,0x1760bd00,0x017fec40,0xfb911f20,0x00001bff,0x8013e200,
    0x77cc00fc,0xd001f900,0x7fcc000d,0x3e605fff,0x005f8003,0x200009f1,
    0x800004f8,0x40befeb9,0x3fff664f,0x0dd00eff,0x0bb00880,0x0019ff70,
    0xfd980f90,0x8000002f,0x1f6004f8,0x5c03ff10,0x1bfa601f,0xffdb8800,
    0x07f300ef,0x2200bf00,0xf100004f,0x32600009,0xf100bdfe,0x26b3fe27,
    0x7c42ffc9,0x3ff60004,0x24ffffff,0xd951efe9,0x07c8017b,0x9301fd50,
    0x440005df,0x01f6004f,0x1fb805fb,0x01cffea8,0x3fee2000,0x8003f982,
    0x09f1005f,0x013e2000,0xbdfec980,0xe8bf9800,0x41fd301e,0x220003f9,
    0x99999999,0x3629ff70,0x02ffcbdf,0x6f9801f2,0x02ffffe8,0x4009f100,
    0x09f900fc,0xffc81f90,0x2000000b,0x1fcc3fe9,0x8802fc00,0xf100004f,
    0xffc98009,0x7cc000ad,0x7cc00fec,0x00013e25,0x43dfd300,0x00fd80fd,
    0x3fb800f9,0x17ffffea,0x0027c400,0x0bf503f7,0x1dfb1fa0,0x22000000,
    0x013e60fd,0x22009f10,0xf100004f,0x56ffc009,0xf8803100,0x3f9002ff,
    0x0000037c,0x2f887ff9,0x1f207f10,0xff897e00,0x10004fff,0x17d4009f,
    0x7c003be2,0x00017e25,0x88fe6000,0x1fcc005f,0x0004f880,0x4c009f10,
    0x3fffa600,0x00bff00d,0x03fb17d4,0xefea8000,0x209f0000,0x47d8007c,
    0x001ffffd,0x44009f10,0x007fa25f,0x03f727cc,0x3e000000,0x2a0037c6,
    0x09f1002f,0x013e2000,0x4577d400,0x0fe81feb,0xf893e200,0xd8804006,
    0x2e0003ff,0x000f901f,0x0bc983f9,0x013e2000,0x0ff63f90,0x1ba1fd80,
    0xc8000000,0x7001fa0f,0x13e2003f,0x027c4000,0xd81fc400,0x4000fc86,
    0x006fdc5f,0x3fe21bee,0x3ea0000d,0x2001f202,0x000001fb,0xf88009f1,
    0x2a004fbd,0x0003744f,0xd8fb0000,0x03f6000f,0x00027c40,0x80004f88,
    0x50be607c,0x1fc4005f,0x4cd67fdc,0xb81ffeba,0x7dc0002e,0x0443e402,
    0x00661fb0,0x004f8800,0x4006ffc8,0x007ec0fe,0x20000730,0x8027d46f,
    0x3e2006f8,0x9f100004,0x809b0000,0x002fc44e,0x3faa05f5,0x0bffffff,
    0x3f200000,0x6d87c801,0x03fc9fe0,0x009f1000,0x2005ff30,0x4fb83fe8,
    0x0001f200,0x03fe13ea,0x8800bee0,0xf100004f,0x07d00009,0x01fc84d8,
    0xb8801fb0,0x00001aef,0x800f7440,0xa80fd87c,0x013fa25f,0x0013e200,
    0x809fffd1,0x3fa04fe9,0x5e4f9001,0x03be6000,0xdf300fee,0x004f8800,
    0x0009f100,0x1fc40d90,0x7d4037c4,0x009f1004,0x1bd30000,0x7dc3e400,
    0x6c41fd83,0x7c40005f,0x45fec004,0xb98abefe,0x7cc02ffd,0x9ff6a04f,
    0xfb803ffd,0x40bfa01f,0x44002ff8,0xf100004f,0x3f300009,0x7dc03ee0,
    0x01ff300d,0x00013e20,0x2009f500,0x22dffeec,0xfd98cff8,0x003bf204,
    0x70027c40,0xffffb8bf,0x3001efff,0xfdbbdffd,0xffc83bff,0xeba99ace,
    0x7f4c02ef,0x3ffca9bd,0x004f8800,0x0009f100,0x64c2ff20,0x5ffe403f,
    0x01ffca99,0x00013e20,0x999cfb80,0x3fa4d999,0x7cc4ffff,0xb804ffff,
    0xddd700ef,0xddffdddd,0x223bdddd,0x797300ef,0x36e00013,0x00bdefff,
    0x3ffffb22,0x22004fff,0x1ffffffd,0x3bbbbae0,0xeeeeffee,0x3bae1dee,
    0xeffeeeee,0x01deeeee,0x3ffbfee0,0xfffd5002,0x88001dff,0x2000003f,
    0xfffffffd,0x710005ff,0x6d400379,0xfffffd00,0xffffffff,0x03225fff,
    0x00000000,0x26b2e600,0x79510000,0xffffd003,0xffffffff,0x7f45ffff,
    0xffffffff,0x2fffffff,0x04d54400,0x0565d400,0x0005d000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x3000c401,0x00000375,0x00000510,
    0x06200c40,0x18803100,0x0c401800,0x59bb1000,0x55307710,0x55555555,
    0x55555555,0x00400355,0x06b2a200,0x03ffff60,0x3e200000,0x07ff104f,
    0xefcdee98,0x2a200004,0x00005fec,0x209ff100,0x3e003ff9,0x09ff105f,
    0xff037f40,0x3f62000b,0xffebbfff,0x99999c85,0x99999999,0x3a999999,
    0x0027ed40,0xfffffeb8,0x3fbb201e,0x8000000f,0xff506ff9,0x541fc40b,
    0xdd00001f,0x0000bd59,0x41bfe600,0xf3005ffa,0x1bfea0ff,0x880fff80,
    0xa80007ff,0x01befffe,0x38800009,0x7fffed44,0xbefd8004,0x04ffca9a,
    0x00000fc8,0x6c05d900,0x1b60001e,0x02ec0000,0x5d900000,0x8007b620,
    0x07b202ec,0x3203eb80,0xd730002e,0x03ff9dff,0x22000024,0x2fbfff63,
    0x3a2004fa,0x13f6203f,0x00001f90,0x00000000,0x000006c8,0x000000bb,
    0x00000000,0x00000000,0x2fbffa20,0x2403fea1,0x44e20000,0x13e20bdf,
    0xb004fd80,0x007e403f,0x00000000,0x007f5000,0x00176000,0x00000000,
    0x00000000,0x5ec40000,0x203bea01,0x1c400004,0x88027c40,0xdf1000ef,
    0x00007e40,0x00000000,0x000bffb6,0x002ec008,0x00000100,0x00000000,
    0x00000000,0x001213ee,0xf1007100,0x007ee009,0x07e40fb0,0x44000000,
    0x0009abaa,0x004fec98,0x2ec0bf70,0x03f4c000,0x00357510,0x02aea600,
    0x00000000,0x20fec000,0x1c400004,0x88027c40,0x01fb8002,0x2ae601f9,
    0xeca80001,0x3fffffff,0x01ba6000,0x201ffd88,0x7e40005d,0xfffb803f,
    0x000dffff,0x7ffffec4,0x7ec00cff,0x3ea00fff,0x2002ffff,0x2ceffdca,
    0x000917e2,0xf8803880,0x64000004,0x541f900f,0xcffffffd,0xeffd8000,
    0xfeba9aac,0x3f50000e,0x019ff700,0xd50005d8,0xfe8803df,0xfdca9bce,
    0xbff7003f,0xffd95357,0x7ff76405,0x3bbbaa00,0xffd8802f,0x2effedef,
    0x000241fb,0x3e200e20,0x74000004,0x7dc3f207,0xfeca9bdf,0x05d4001e,
    0x0002fdc0,0x77f4c09f,0x800bb001,0x9803ffd8,0x7f4c04ff,0x00f7ec05,
    0x3200ffaa,0x0bea000f,0x103bff50,0x45f5bfd5,0x1c400004,0x00027c40,
    0x6409f500,0x200dfc8f,0x00002ffb,0x20003fa0,0x9ff702fb,0x2005d800,
    0x8800dffa,0x3f6001fe,0x400bf702,0x7e401fe8,0x80bea000,0xf9002ff9,
    0x00024bf9,0x3e200e20,0xf1000004,0x7f7e401f,0x01ff3003,0x0bee0000,
    0xbf502b36,0x003dfd30,0xfb100bb0,0x17e4005f,0x303fa200,0xdf1000df,
    0x2000fc80,0x07fa02fa,0x24dff900,0x00e20000,0x000013e2,0xf9007fa2,
    0x5fa800bf,0x7f300000,0xfbbff910,0x87ff909f,0x7fec2cc8,0x44ffffff,
    0x6640dffb,0x0005f982,0x01fd8bf3,0x6405f500,0x0bea000f,0xe8001fdc,
    0x0000127f,0x09f10071,0x2fe88000,0x000ffc80,0x00002fd8,0x26203f98,
    0x7f540abb,0x43fed80e,0x99999998,0x05ffb109,0x3f709ff9,0x3a3f4000,
    0x13e20006,0x2a000fc8,0x000dd02f,0x00093fd4,0xf8803880,0x3a200004,
    0x09f9003f,0x800fe600,0xffffeec9,0x0003fcce,0x2a07ffb1,0x70003faf,
    0x5f3019ff,0x000fb09d,0x5bf10fc8,0x55555555,0xbd555555,0x50007e40,
    0x0017e05f,0x0090ff88,0x88038800,0xd100004f,0x1fe4007f,0x300bf000,
    0xd9ddfffb,0x007fffdd,0x201bff50,0x8007f4f8,0x3a01efe9,0x00dd09d5,
    0xff31fb80,0xffffffff,0xffffffff,0x0007e40f,0x07f305f5,0x0127f800,
    0x10071000,0xd100009f,0x1fc8007f,0x301ba000,0xb8803bff,0x3f62003f,
    0xf876c02f,0x13ff2003,0x213a1f90,0x7d40006e,0x5555bf12,0x55555555,
    0x64055555,0x0bea000f,0xd0000fe6,0x2000024d,0x04f88038,0x017f4400,
    0x0000fe40,0x0ffc40dd,0x2007f300,0x5400dffb,0x2600fe2f,0x7cc01efe,
    0x01f613a2,0x2fc1f900,0x3f200000,0x20bea000,0x7c0005f8,0x10000125,
    0x009f1007,0x0017fcc0,0x20003fc8,0x007f205f,0xfb007f30,0x89f1005d,
    0x1ffdc03f,0x42745e80,0x360001fb,0x00003f47,0xa8003f20,0x000fd02f,
    0x000927cc,0xf8803880,0x5ff30004,0x027e4000,0x3a03f880,0x03f98006,
    0xfb0027c4,0x6f403f81,0xe81f9000,0x0004fa84,0x02fc8bf3,0x03f20000,
    0xfb02fa80,0x8bf20003,0x1c400004,0x40027c40,0x40002ff9,0xc8000ffc,
    0x001be02f,0x00000ff6,0x007f05f5,0x7417cc00,0x0003fb04,0x01fd03fd,
    0x07ee0000,0x8817ec40,0x744000ef,0x20000246,0x04f88038,0x000ffd40,
    0x0027fe40,0x3fb017e6,0x0fffa600,0xddfb0000,0x00bdfddd,0x3bbbf600,
    0x440dffee,0x3f2000ef,0x000df303,0x04fa80ea,0x202ffe98,0xd1000efb,
    0x0000483f,0x27c401c4,0x003ff500,0x0bfbf200,0x2007f440,0xffb805fb,
    0x400003fd,0xf9999998,0x3100000c,0x3bd33333,0x100bfea0,0xefb80dfb,
    0x0ffd5002,0xf7007fc4,0xfd805fbf,0x27fcc00e,0x22000024,0x004f8803,
    0x44001df5,0x3f67f203,0x01ff4c04,0x989aefd8,0xf99efedb,0x00003dee,
    0x00001fc0,0x75404e80,0xca989bdf,0xfd5004ff,0x9531157b,0xa801bffd,
    0xfdb99cff,0x3eefa9ef,0x46f7ff20,0x903ffdb9,0x03880000,0xfa804f88,
    0x0fd4000e,0x361ffdd7,0xda989bef,0x7dc002ff,0x3fffffff,0x017fffe6,
    0x67cc4000,0x22000000,0x64400de9,0xefffffff,0x7fe44001,0xdfffffff,
    0x3ffee001,0x3ea3ffff,0x7f4c05ff,0x0effffff,0x10000120,0x77777647,
    0xeeeeeffe,0xddddf71d,0xdddddddd,0x7ff45fdd,0x3ffae0ff,0x000dffff,
    0x15797510,0x40000000,0x006ffffa,0xffff5000,0x32e6200f,0x980000ab,
    0x0009bcca,0x02b32e60,0xcb988000,0xccd8009b,0xcccccccc,0xcccccccc,
    0xfffd13dc,0xffffffff,0x3fee7fff,0xffffffff,0x02ffffff,0x0abca880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffff400,0xefffffff,0xffb00001,0x300003ff,
    0xff900157,0xffffffff,0x005fffff,0x00015731,0x0007db00,0x00037510,
    0x336ea200,0x5000001a,0xa8800001,0x8001acdb,0x09999998,0x26666660,
    0x3bbbfa01,0xdeeeeeee,0xdd700000,0x3ff603fd,0x3ffae0ff,0x901cefff,
    0xdddddddf,0x5fdddddd,0x7ffff540,0x3ff21dff,0x9ff002ff,0x7ffdc000,
    0x3ee2dfff,0xfc803fff,0xfffedeff,0xf100000d,0x3f200007,0xfffedeff,
    0xfff8800d,0xe82fffff,0x4fffffff,0x00000fd0,0x203f7000,0xfb0ffeec,
    0xfb95379f,0x001f903f,0xfc882fb8,0xfdba9bcf,0x5dddf92f,0x0013fe00,
    0x26b3bfa2,0xdf74ffca,0x7f4c05dd,0xfea9809b,0x4f880003,0x5ff4c000,
    0x3fea9809,0xccfecb80,0xccc980bc,0xfd01bcfe,0x00000000,0x3f9003f7,
    0xffa809fd,0x6c003e41,0x00dfe80f,0x07f33fa6,0x0013fe00,0x6c409ff1,
    0xc801fbcf,0x3ee000df,0x3e20000d,0x37f20004,0x037ee000,0x20003f20,
    0x03f400fc,0x5c000000,0xfffc801f,0x43fd1002,0x85f80028,0x3f6003fc,
    0xcc8001ff,0x017ec002,0x401fffb8,0xd30002fc,0x3e20001d,0x05f90004,
    0x003ba600,0xf90001f9,0x0007e801,0x1fb80000,0x004ffc80,0x200037cc,
    0x02fd43fa,0x007ffa20,0x27d40000,0x807ff600,0x440001fa,0x9f10004f,
    0x203f5000,0x8820aa98,0x007e404f,0x3a007e40,0x00000007,0xfc801fb8,
    0x01f70006,0x3607e400,0xff98000f,0xd0000001,0xff88001f,0x7cc9f101,
    0x0befffff,0x10005f50,0x4f88009f,0x9fb9bf70,0x202fa8b3,0xfc8000fc,
    0x0003f400,0x402ae200,0x4fc801fb,0x007f1000,0x02fc37c0,0x0003ff00,
    0x0017e000,0x06d80ff4,0x02eb8877,0xf88001f9,0xc836c004,0x42fdc40d,
    0x01f900fc,0xe801f900,0xca800007,0x0ceffffe,0x3f2007ee,0x017e0002,
    0x3e21fcc0,0x07f60004,0x3e600000,0x03f90003,0x40ee05f1,0x007f1068,
    0x22004f88,0x6c06982f,0xf903f885,0x01f90001,0xfdb737e8,0x7dc0059d,
    0xfdba9bdf,0x9003f71e,0x3f40003f,0x4c1fc800,0x3f20002f,0x3fffa201,
    0xf5004fff,0x07ee0005,0x203b81ea,0x8009b02c,0x1ea004f8,0x412200f4,
    0x001f904d,0xfe801f90,0xffeefffe,0x77d400df,0x2e7fa600,0x02fc801f,
    0x40017e00,0x004f886e,0xd8807f60,0x04feeeee,0x20007f30,0x206b81fc,
    0x6407a03b,0x77776dc6,0xeeeffeee,0xd70deeee,0xc8000f10,0x0001f906,
    0xffd801f9,0x0ffd880c,0x22009f50,0xc801fefd,0x9f10004f,0x209f1000,
    0x3fe0005f,0x04f88001,0x740017e0,0x2e04d81f,0x3d40d703,0x3ffffff6,
    0xffffffff,0x09b1ffff,0x7a8000b3,0x90001f90,0x0029801f,0x0df10bf5,
    0x01fff880,0x70006fc8,0x3f70005f,0x20003f60,0x88001ff9,0x03fa004f,
    0xd03ff100,0x5d56dc07,0x3e600cfd,0x013e2001,0x005983e8,0x7e40fcc0,
    0x00fc8000,0x217ec000,0xfb8001fb,0x3ffc801f,0x0037c400,0x17ea07e8,
    0x007ffa00,0xa8013e20,0x7fec004f,0x3ae03e81,0x9803fccc,0x13e2000f,
    0x05983e80,0x6407cc00,0x0fc8000f,0x2fc40000,0xff8001b6,0x1fffc801,
    0x0007fa00,0x7f9013e2,0x0fffe400,0x0027c400,0x7dc00bf6,0x205d81ff,
    0x20174c3b,0x27c4007a,0x0d10bb00,0xf907a800,0x01f90001,0xf8dd0000,
    0x07fa0004,0x13fa7f20,0x0009fd30,0xfd100bea,0x67f4c01b,0xf88001fc,
    0x27fc4004,0x07ef7f20,0x883b81ae,0x001b201e,0x35c009f1,0x320000e8,
    0x0001f906,0x000001f9,0x001fccf9,0xf9003f90,0x359dfb11,0x007ffb75,
    0xd8803ec0,0xcb99bcff,0x003f93ff,0x10009f10,0x95359dfd,0x207ee9fd,
    0x207700fa,0x009b00e9,0x2a004f88,0x2805a80f,0x03f209b0,0x0003f200,
    0x7cc3f200,0x07f20002,0xfeb83f20,0x00dfffff,0x2002fc00,0xfffffffa,
    0x0007f21d,0xb80013e2,0x2effffff,0x0be207ee,0x109701dc,0x4f88005f,
    0x5c0be200,0x3e217204,0x0001f702,0x200000fb,0x00027c7d,0x1f9003fb,
    0x00357310,0x000bea00,0xc80ddd44,0x4f88001f,0x1ba98000,0x3f203f70,
    0x804e64c0,0x001b60ae,0xf90013e2,0x222bb201,0x40db05eb,0x6f8002f9,
    0x8dd00000,0x3fe0005d,0x000fc801,0x03f20000,0x3f900000,0x009f1000,
    0x07ee0000,0x3bba65e8,0x2e7d505e,0x4f88001f,0x2605e800,0xf700addb,
    0x4003f803,0x800005fa,0x007dc5f8,0x400ffd40,0x000000fc,0x000017e0,
    0x20007f20,0x000004f8,0x7cc03f90,0x1fc40002,0x004f8800,0x40002f98,
    0x0fd803f8,0x980bf200,0x42fd8000,0x744005f9,0x0fc801ff,0xf3000000,
    0x90000007,0x9f10003f,0x36000000,0x004fb807,0x8000df50,0x9f70001d,
    0x01bea000,0xfb802fd4,0x001ff405,0x0fee0bf5,0x01fefc80,0x00000fc8,
    0x0001f900,0x003f9000,0x00009f10,0x200bf300,0xb1001efa,0x0000009f,
    0x003df500,0x70013f62,0x7fdc01bf,0x06ffcc00,0xc803fee0,0x3fa200df,
    0xfc801fba,0xd0000000,0x2000000d,0xf88001fc,0x44000004,0x362002ff,
    0x2a609bcf,0x00001efc,0x3f620000,0x32a609bc,0xf70001ef,0xfb73137f,
    0x3f62003f,0xeba9abdf,0xefc801ef,0xffca88ab,0x05bddf72,0x000003f2,
    0x0000fe60,0x000fe400,0x000027c4,0x003fea88,0xfdfffb50,0x64009dff,
    0xeeeeeeee,0xeeeeeeee,0xfda800de,0x4efffeff,0xffeb8000,0x000dffff,
    0xfffffda8,0x6dc004ff,0x1dffffff,0xb8ffffee,0xeeeeffee,0x4c00001d,
    0xb800000f,0xeefeeeed,0x3bbbae2d,0xeeeffeee,0x2a01deee,0xffeeeeed,
    0x5100003f,0x3a000357,0xffffffff,0xffffffff,0x544001ff,0x000001ab,
    0x00157951,0x06f2a200,0x37951000,0x3fff6000,0x02ffffff,0x00000000,
    0x3fffff20,0x3fa3ffff,0xffffffff,0x2fffffff,0x3fffff20,0x00000cef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000fb6a,
    0x00018803,0x400d5d4c,0x05fffffc,0x77ffffdc,0x0276d400,0xfff98000,
    0x76e5cc05,0x510001bc,0x101379b9,0x00ffffd8,0xcca80000,0x00409acd,
    0x33333310,0x03333333,0x379b9530,0x7ff44008,0x07e42eff,0x7fc0dfd0,
    0x7ff4c005,0xb0cfffff,0x777ff5c5,0x7f775405,0xffd100df,0x1fc85dff,
    0xbfdfb000,0x3ffffaa0,0x000dffff,0xffffff91,0x91ee1bff,0x0001fddd,
    0x3fff2200,0x73ffffff,0x3ffe200f,0xffffffff,0xfb105fff,0x5dffffff,
    0x0cfd80fe,0xbfd9dff7,0x880fff80,0x3f2007ff,0xeba9abdf,0x7e85fbff,
    0x803f9000,0xdff70cfd,0x2000bfd9,0xff0bf4fa,0x74c413bf,0x7fcc00ff,
    0xfb530ace,0x3201f95f,0x9800000f,0x731bdffe,0x01fddffb,0x333332e0,
    0xccccefdc,0x09dffa81,0x9fbff731,0x7e4404c0,0x3ea803ff,0x7400bae0,
    0x7f4c00df,0x003fa85f,0x04c037c4,0x01fffe44,0x17e1fd00,0x3ee003be,
    0x00bfea05,0x403fffa6,0x400000fc,0xf5003ff9,0x300001ff,0x3ff1007f,
    0x04ffd880,0x00000c00,0x007f7000,0x7e82ff44,0x0017dc00,0x5c000180,
    0x17e17e3f,0xf883fd80,0x7ff4001f,0x0001f900,0x0017fc40,0x00003fe6,
    0x3f600fe6,0x013fa002,0x00000000,0x4002fcc0,0x07f505fa,0x0001be20,
    0x37c40000,0x8013a17e,0x03fd85f8,0x900ff880,0x6c00001f,0x1fb0004f,
    0x07f30000,0xfa800bf0,0x2aea2004,0x00000001,0x7c0007f6,0x5c01ba04,
    0xaa88002f,0x200009ab,0x442fc2fc,0x22374000,0x3f60006f,0x0001f900,
    0x8001be60,0xf300006a,0x003f8807,0x7dc027c4,0x0dffffff,0x7c000000,
    0x80260005,0x06f803fa,0x3fffb2a0,0x8003ffff,0x005f85f9,0x1fb8fb00,
    0xc816a000,0xf900000f,0x00000005,0xf100fe60,0x40150009,0xa9bcefe8,
    0x4403ffdc,0x4ffffffe,0x0009f100,0x5c06e800,0xdffb002f,0xfd753559,
    0x07ec001d,0x440002fc,0x00036c5f,0x2603f200,0x1efffffe,0x00000ff8,
    0x07f30000,0x80000df0,0x74c04ff9,0x3bb6205f,0x5004feee,0x8000005f,
    0x01be03fa,0xfb800ba8,0x209f5005,0xfb80005f,0x00002fc2,0x36603f20,
    0x40deeffe,0x000006f8,0x00fe6000,0x40000ff2,0x36001fe8,0x27c4002f,
    0x0002fa80,0xf706e800,0x74000005,0x00fe800f,0xfb8000bf,0x0001fcc7,
    0x4c03f200,0x27cc03ff,0x00000000,0x3fa007f3,0x7e40000c,0x07f44002,
    0x2009f100,0x000003f9,0x06f82fa8,0x17dc0000,0x5f80fee0,0x3dfb3000,
    0x00002fa8,0x7d407e40,0x02fa801f,0x20000000,0xf91003f9,0x400359df,
    0xf30005f9,0x027c400b,0x00000bf0,0x05f71ba0,0x3f980000,0xbf01be20,
    0x4ffea800,0x00005f50,0x7e40fc80,0x05f5000e,0x40000000,0x5c4003f9,
    0x1beffffd,0x80007ee0,0x13e2007e,0x0000fe80,0x3a2fb800,0x98000006,
    0x007f203f,0x7fec00bf,0x00bea00c,0x41f90000,0x2a000dfd,0x0000002f,
    0x000fe600,0x9ffdb730,0x90001f60,0x13e2001f,0x0004fb80,0xab74006a,
    0x3260003f,0xceffffee,0x0bf303fc,0x7ec00bf0,0x002fa800,0x447e4000,
    0xfa8004fe,0xeeeda802,0x912deeee,0x007f3000,0x0dfd8800,0x2e000374,
    0x09f1001f,0x4002fd80,0xf7004fd8,0x26000fd5,0xeceefffd,0xd03fffee,
    0x00bf001f,0x4f9803ec,0x7e400000,0x10005ffa,0xfff7007f,0x2bffffff,
    0x7cc001fb,0xf7000003,0x40006e8b,0x9f1002fa,0x04ff8800,0x001bff70,
    0x4001fff4,0x4401dff9,0x04fa83fb,0x36c00bf0,0x0005f880,0x77ffe400,
    0x0bf0002f,0x2e0fc800,0x1fcc001f,0x8fb00000,0x7e40007d,0x009f1000,
    0x357dfd30,0x7ffd9731,0x00ff7000,0x4003ff10,0xfffc83f9,0xffffffff,
    0x4400efff,0x001fa000,0x13df9000,0xdd0005fd,0x20fc8000,0x7cc001fb,
    0x2a000003,0x0007ee2f,0x3e2007d8,0x3fee0004,0x3fffffff,0x00fea000,
    0x30007f20,0xdddd707f,0xfddddddd,0x000019df,0x00002fb8,0xfe887f20,
    0x007e4002,0x7dc1f900,0x017dc001,0x7cc000be,0x40013ea3,0x3e2005f9,
    0xfa980004,0x80001abd,0x0dd0007e,0x0007f300,0x00000bf0,0x20000fe8,
    0x881f9008,0x3ea002fe,0x83f20005,0x7ec001fb,0x0017e200,0x07f617d4,
    0x8007fa00,0x200004f8,0x2a00002e,0x0df0003f,0x0007fb00,0x00000bf0,
    0x50005fa8,0x203f209f,0x32002fe8,0x1f90002f,0x3e000fdc,0x007fc407,
    0x3e207e40,0x0ff2000e,0x0009f100,0x0000ef40,0xb0000fe8,0x3fa6003f,
    0x5f80003f,0x00799500,0x2000dfc8,0x1f900ffc,0x400bfa20,0xc8002fe8,
    0x003bee0f,0x3e201fe4,0x37d4005f,0x4402ffa8,0xf88006fd,0x2ea00004,
    0x7d40002f,0x17ee0003,0x0ff7fee0,0x2017e000,0x005ffffb,0x6c00f7e4,
    0x03f200ef,0x3001ff88,0x26001bff,0x17fdc0fd,0x22017f20,0xb800dfff,
    0x3faa00ff,0xfca989bd,0x9f10004f,0x64088000,0x07f40005,0x2bbf6000,
    0xefedb989,0x03deef99,0xfd00bf00,0x9000ffff,0x73137bff,0xf9009ffb,
    0x01ff8801,0x579ff910,0x3ffae663,0xbefe980d,0x0dfec989,0xffbcf880,
    0xeb9889ac,0xfc8801ff,0x1effffff,0x777775c0,0xeeeeffee,0x7ec01dee,
    0xa802fbbd,0xffeeeeed,0x70001dee,0xffffffff,0x2ffffcc7,0x7f776c40,
    0xff700cef,0x260009ff,0xfffffffd,0x3bbae02e,0x3fb6a00f,0xea804eef,
    0xffffffff,0x7e4400cf,0x03ffffff,0xffe89740,0x0cffffff,0x5e5cc400,
    0xfffd000a,0xffffffff,0x005fffff,0x2005bd95,0xfffffffc,0x0001ffff,
    0x02af2ea2,0xfff98000,0x200effff,0x80002cca,0x009bcb98,0x00ffffd8,
    0x3fffffee,0x32a6000e,0x30001abc,0x00015797,0x2b32e620,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5cc40000,0x00001bcd,0x37bbfb6e,0x3ffa21bc,0x6c00007f,
    0x2e00ffff,0x202fffff,0xffffffe8,0x00020004,0x004cccc0,0x19999998,
    0x4cccccc4,0x99999999,0x99981999,0x01999999,0x6f654000,0x3331000c,
    0x4c013333,0x80009999,0xffffffd8,0x260001df,0xffeeeffe,0x7f76c7ff,
    0x76c00007,0x3aa00ffe,0x2202feee,0x4feeeeed,0x000f7000,0x1ffffff0,
    0xfffffd80,0xffff15ff,0xffffffff,0x3fffffff,0x7fffffe4,0x2cefffff,
    0xfffd1000,0xff007fff,0x5fffffff,0xffffffd0,0x6ff4c005,0x9ff9711b,
    0x07ff1000,0x0fb00ccc,0x07e40000,0x0005f500,0x320009f1,0x6540000f,
    0x4c04ffec,0x1cdfeccc,0x333fb32a,0xcccccccc,0x2e61fecc,0xcccccefc,
    0x00dffedc,0x44bbfa20,0x65403fea,0x0bcccfec,0xbdffdca8,0x05ff7000,
    0x4004fe98,0xd80003fd,0x32000007,0x0bea000f,0x0013e200,0x000007e4,
    0x4003fdf9,0x03e401fb,0x7c40fdc0,0x1efc8804,0x2207f900,0x0f9000fe,
    0x001ff440,0x44007fe6,0x3fe003fe,0x07d80000,0x03f20000,0x8002fa80,
    0xf90004f8,0x7e400001,0x3ee006fa,0x4003e401,0x04f881fb,0x2201bea0,
    0x001400ff,0x3fe600f9,0x00fe8002,0x4007f440,0xb00004f8,0x6400000f,
    0x0bea000f,0x0013e200,0x000007e4,0x007f71f9,0x0f9007ee,0xf103f700,
    0x04fa8009,0x000027cc,0x3fe601f2,0x04fa8001,0x100bf700,0x3600009f,
    0x32000007,0x0bea000f,0x0013e200,0x000007e4,0x003fa1f9,0x0f9007ee,
    0xf103f700,0x01fd0009,0x000017d4,0x3ff501f2,0x003fe000,0x4400fe80,
    0xfb00004f,0x00157310,0xa8003f20,0x4f88002f,0xfffff900,0xffffffff,
    0x1f9007ff,0x3ee013ea,0x4003e401,0x009f1069,0x7cc0bf30,0x3e400003,
    0x0001df70,0x50000fe6,0xffffd87f,0xffffffff,0x27d803ff,0xffffffe9,
    0x007e4002,0x10005f50,0x3bb2009f,0xeeeeeffe,0x802eeeee,0x007f60fc,
    0x07c803f7,0x9f1000a6,0x403f2000,0x400005f8,0x01df907c,0x000fdc00,
    0xdd917e20,0xdddddfdd,0xb007dddd,0x26f7feef,0x2002ffba,0x3ea000fc,
    0x04f88002,0x0001f900,0xdf107e40,0x6401fb80,0x1001f207,0x3ee0009f,
    0x0001fa01,0x0bfb0f90,0x001f9000,0xf880ff00,0x9fb00004,0x17ec40bf,
    0x2000fc80,0xf88002fa,0x01f90004,0x207e4000,0x07ee02fc,0x03ec0f90,
    0x40013e20,0x07ee02f9,0x227c8000,0xb00004fd,0x1f60000f,0x00009f10,
    0x22013ff6,0x01f9005f,0x40017d40,0xf90004f8,0x7e400001,0xb807fc40,
    0x557e401f,0x007eaaaa,0x880027c4,0x32aaaa4f,0x01aaaadf,0x3fa2f900,
    0xf80000cf,0x1f900006,0x00027c40,0x32005fd8,0x001f9007,0x440017d4,
    0x1f90004f,0x07e40000,0x1fb827d4,0x7ffffe40,0x44007fff,0x9f10004f,
    0x3fffffea,0x006fffff,0xd9fd3f90,0xe80005ff,0x1f900006,0x00027c40,
    0x7dc007d8,0x001fc801,0x10005fd1,0x3f20009f,0x3f200000,0xf701fd00,
    0xaaafc803,0x4007eaaa,0xf10004f8,0x74ccccc9,0x0009999f,0x4c5fff90,
    0x360005fe,0x0fd00007,0x00004f88,0x2fa800fb,0x9804fc80,0x88002fff,
    0x1f90004f,0x07e40000,0x1fb85f98,0x0fb03e40,0x0004f880,0x07c807f1,
    0x07ff2000,0xc8001fec,0x7f80000f,0x00027c40,0x7d4007d8,0x00ffc802,
    0x00bf7fee,0x40013e20,0x200000fc,0x0bf200fc,0x07c803f7,0x9f1001f2,
    0x007ea000,0x200001f9,0x0fec01fc,0x000fdc00,0xf1017e20,0x1f600009,
    0x9005f500,0xb7339fff,0xddf53dff,0x027c4007,0x0000fc80,0xf8803f20,
    0x3200fdc6,0x10006207,0x3f20009f,0x0003ec00,0xdf100f90,0x007f3000,
    0x4402fb80,0xfb00004f,0x802fa800,0xfffffcfc,0x3ffea3ff,0x013e2005,
    0x00007e40,0xfb801f90,0xf9007ee3,0x221aa000,0x0dd0004f,0x40000dd0,
    0x07f7007c,0x0001fd00,0x3e2007f4,0x0fb00004,0xc802fa80,0x0accb88f,
    0x27c40000,0x000fc800,0x2003f200,0x803f70fe,0x1f90007c,0x98004f88,
    0x005f804f,0xe801f200,0x04fa8007,0x100bf700,0x3600009f,0x017d4007,
    0x000007e4,0x0004f880,0x400001f9,0x5f9800fc,0x07c803f7,0xf881f900,
    0x0ff44004,0x00013e60,0x3ee007c8,0x01fd8003,0x4007fc40,0xb00004f8,
    0x02fa800f,0x00000fc8,0x0009f100,0x800007f2,0x3f9000fc,0x07c803f7,
    0xf881f900,0x027ec004,0xd50007ec,0x3e003e40,0x1ff98006,0x007fd100,
    0x400013e2,0x17d4007d,0x00007e40,0x004f8800,0x00009f50,0xf88007e4,
    0x3e401fbe,0x440fc800,0x1bf2004f,0xb0013ea0,0x2003e40f,0xfa8001fc,
    0x27fcc03f,0x0009f100,0xf5001f60,0x001f9005,0x13e20000,0x007fc400,
    0xfc80fe4c,0x3ffee000,0x8003e401,0x027c40fc,0x2006ff54,0x26000fe9,
    0x001f204f,0x220009f3,0xb98abefe,0x44003ffd,0xfb00004f,0x802fa800,
    0x000000fc,0x40009f10,0x9889bffa,0x40effeca,0xdeeefeec,0x40fff401,
    0xeeeffeec,0xeeeeeeee,0xdb50ffee,0xddddddff,0x8809fffd,0xeeeefffd,
    0xfeeeeeee,0x7ff7641f,0x7400deee,0x4000ceef,0xfffffffc,0x776cc01d,
    0xeeeeefee,0xb500ceee,0x209ddffd,0xdeefeed9,0x0001f900,0x77777640,
    0xeeeeffee,0x75401dee,0xffffffff,0xffffd01d,0xf9805fff,0xffffe81f,
    0xffffffff,0x0fffffff,0xfffffff7,0x017ddfff,0xffffff30,0xffffffff,
    0xfffd019f,0x803fffff,0x000efffa,0x01599730,0x3ffffea0,0xffffffff,
    0xfff900ef,0x3ea0dfff,0x01ffffff,0xe80000d5,0xffffffff,0xffffffff,
    0x79975002,0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccccc0,0x99999999,0x26099999,0x99999999,0x99999999,
    0x4cccc099,0x26666009,0x99999809,0x99999800,0x4ccccc40,0x99999999,
    0x4ccccc01,0x20001999,0x99999998,0x98800199,0x99999999,0x4ccc4001,
    0x99880009,0x9db50019,0x26662000,0x19999999,0xfffff000,0xffffffff,
    0x25ffffff,0xfffffffc,0xffffffff,0x3f64ffff,0xd83fffff,0x23ffffff,
    0x07fffffe,0x7fffffe4,0xffffff11,0xffffffff,0x3fff209f,0x02ffffff,
    0xfffff980,0x06ffffff,0x3ffffe60,0x07ffffff,0x13ffffe0,0x3ffffe00,
    0x3fffa204,0x40fe42ef,0xfffffff8,0xceffffff,0x999df000,0x99dfb999,
    0x25fb9999,0xccefdcb9,0xcccccccc,0x3264fccc,0x980bccfe,0x20bdfdcc,
    0x02cdfec9,0x1e7fe5cc,0x3333332e,0xbcccccef,0x99997301,0x000bfbfd,
    0x3bf3332e,0x4002cccc,0xcccffccb,0x2a002ccc,0x000feffc,0x06fbfbea,
    0xff70cfd8,0x540bfd9d,0xccccfecc,0x2ffedccc,0x3e205f80,0x260be604,
    0x4f88003f,0x7d4007c8,0x001be202,0xf88007f7,0x5fa00004,0xf00000fc,
    0x7d80000b,0x57740000,0x27fa003f,0x8809803f,0x2003fffc,0x7ff5007c,
    0x3e205f80,0x260be604,0x4f88003f,0x7d4007c8,0x8027dc02,0xf88006f8,
    0x9f300004,0x40000fe6,0x6c00005f,0xb7400007,0x39f3006e,0x0600007f,
    0x8801f200,0x817e01fe,0x0be604f8,0x22000fe6,0x4007c84f,0x1fe802fa,
    0x8001fd80,0x700004f8,0x0003743f,0x400005f8,0x999999fd,0xf76e8000,
    0xf31f9005,0x00000007,0x3e6003e4,0xf8817e05,0x260be604,0x4f88003f,
    0x7d4007c8,0x406f9802,0xf10003fb,0x1ba00009,0xf00003f7,0xfd80000b,
    0xffffffff,0x22dd003e,0x9afc405f,0x7310003f,0x0f900015,0x2fc0fb00,
    0x7cc09f10,0x0003f982,0x800f905b,0x7f7002fa,0x8001be20,0x980004f8,
    0x0027c43f,0x00002fc0,0x333333f6,0x01effdcc,0x403f9374,0x107f31fb,
    0x3a21fffd,0x03efffff,0x32001f20,0x4409f00f,0x20be604f,0x002e03f9,
    0xfa800f90,0x207fa002,0x220001fd,0xfc80004f,0x0000fd80,0x200002fc,
    0x3ff7007d,0x09f13740,0x107f337c,0xff51ffdb,0x7ff7537b,0x2001f200,
    0x8806e07f,0x4c06404f,0x007f303f,0x7d4007c8,0x51be6002,0xf880009f,
    0x05f80004,0xf80005f5,0x3ec00005,0x201df300,0x5407ec6e,0x900fe62f,
    0x2201df9f,0x07c802fd,0x0002fd40,0x260009f1,0x007f303f,0x7d4007c8,
    0x89fe4002,0xf880006f,0x17d40004,0xf8000df0,0x3ec00005,0x740fea00,
    0x3f41fcc6,0xff900fe6,0x00bf100b,0x7fdc00f9,0x13e20000,0x556fcc00,
    0x003fbaaa,0x55555fe4,0xfcaaaaaa,0xd8fe8002,0xf880001f,0x07ec0004,
    0x40001f90,0x6c00005f,0xd05f8007,0x4f98dd0d,0x3f201fcc,0x01f9000e,
    0x6cc407c8,0x440001ff,0xff30004f,0x7fffffff,0xffffc800,0xffffffff,
    0xf98002ff,0x100004ff,0x7c40009f,0x001fcc05,0x80000bf0,0x07d8007d,
    0x6c5f50dd,0x201fcc0f,0x3ea000fc,0x6667e402,0xdfffedcc,0x4f880000,
    0x55bf3000,0x007f7555,0x99999fc8,0xfb999999,0x77775402,0xeeeefffe,
    0x4f88005e,0x007ee000,0x5f8001ba,0x03ec0000,0x06e83740,0x2617e2df,
    0x007e403f,0xfc805f50,0xffffffff,0x2200000d,0x7f30004f,0x9000fe60,
    0x02fa800f,0x5d555544,0x2aaaaadf,0x004f8800,0x7dc01fa0,0x00bf0001,
    0x4007d800,0x20dd04f8,0x981fb9fb,0x007e403f,0xfc805f50,0xfe999999,
    0x2200000e,0x7f30004f,0x9000be20,0x02fa800f,0x0009f100,0x80027c40,
    0xeeeeeff9,0x05feeeee,0xa800bf00,0x9001f604,0x441ba05f,0x7f306fdf,
    0x2000fc80,0x03e402fa,0x00007ff2,0x980027c4,0x2000a03f,0x17d4007c,
    0x004f8800,0x0013e200,0x7fffffe4,0xffffffff,0x005f8000,0x00fb03ec,
    0x0dd02fec,0xf9817fe4,0x0007e403,0x07c805f5,0x0001ffa8,0x30004f88,
    0xc800007f,0x017d4007,0x2eaaaaa2,0x1aaaaadf,0x004f8800,0xfa800bf0,
    0x005f8002,0x80fb03ec,0x200efea8,0x817a606e,0x07e403f9,0xc805f500,
    0x01df3007,0x004f8800,0x00007f30,0x7d4007c8,0x7fffd402,0xffffffff,
    0x4f88006f,0x002fa800,0x5f8006f8,0xfb03ec00,0xffb99999,0x0dd007ff,
    0x403f9800,0x3ea000fc,0x7003e402,0xf88000bf,0x07f30004,0x007c8000,
    0x880017d4,0x2200004f,0x0fd8004f,0x000fc800,0x1f6002fc,0xffffffd8,
    0xd000beff,0x3f98000d,0x50007e40,0x007c805f,0x100017ec,0x3e60009f,
    0x3e400003,0x000bea00,0x000027c4,0xf88009f1,0x09f30005,0x6c005f80,
    0x0001f607,0x98000dd0,0x007e403f,0x7c805f50,0x0037c400,0x20009f10,
    0x400003f9,0x17d4007c,0x004f8800,0x0013e200,0x740005f5,0x002fc006,
    0x007d81f6,0x00037400,0x1f900fe6,0x2017d400,0x4fb8007c,0x009f1000,
    0x0000fe60,0xfa800f90,0x09f10002,0x027c4000,0x70001f60,0x02fc003f,
    0x07d81f60,0x00374000,0xf900fe60,0x017d4001,0x7f4001f2,0x7776d400,
    0x4eeeeffe,0xddfddb30,0x003bdddd,0x3bbffb6a,0xfeeda81d,0x3ae00dee,
    0xeeeffeee,0x7776400d,0xeeeffeee,0xfdb31dee,0x9809dddf,0x4eefeeed,
    0x3fbbbb22,0xeeeeeeef,0x647feeee,0xeeeeffee,0xdb1003ee,0x809dddff,
    0xeefeeed9,0x3bffb6a4,0x3fbae04e,0x3fbb23ee,0x800deeef,0xf904eef9,
    0xffffffff,0xff701dff,0xffffffff,0x3fee005f,0xc82fffff,0x1fffffff,
    0x3fffff60,0x201fffff,0xffffffe8,0xffffffff,0xffffff53,0xfffb80df,
    0x3a26ffff,0xffffffff,0xffffffff,0x3ffa27ff,0xffffffff,0xffff3005,
    0x5401dfff,0x6fffffff,0x3fffffee,0xffffb00e,0x7ffff4bf,0x9001ffff,
    0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33331000,0x33333333,0x33333033,0x33333001,
    0x13333301,0x13333300,0x99999988,0x4cccc400,0x4cccc099,0x99800999,
    0x80099999,0x99999999,0x99999999,0x99998819,0x09999999,0x4cccc400,
    0x00999999,0x99999880,0x00009999,0x40002620,0x009aba98,0xffffffe8,
    0xffffffff,0x3fffffa0,0x7fffe407,0x3fffa1ff,0x7fe407ff,0xff11ffff,
    0x07ffffff,0x3fffffe2,0xffff93ff,0xfc80ffff,0x07ffffff,0x7ffffffc,
    0xffffffff,0x3e21ffff,0xffffffff,0x02dfffff,0x7fffffc4,0xefffffff,
    0xffff8803,0xffffffff,0xfb8000bd,0x804ccfff,0xffffffd9,0xfe8599df,
    0xcccccccc,0x260feccc,0x402cdfec,0x43cffcb9,0x02cdffc9,0x1effe5cc,
    0x33337f6e,0x3332a00b,0x9910befc,0x805999df,0xcefdccc9,0x7ee65402,
    0xcccdfdcd,0x41fecccc,0xcccfecca,0xffeccccc,0x3f32e00d,0xcccccccf,
    0x5401effd,0xcccccfec,0x02fffdcc,0x36f7ff60,0x7fd404ff,0xfcaa9abd,
    0x03f41fff,0xf101ff10,0x03fb800d,0x2a002fd4,0x00bea05f,0x7d813e00,
    0x00fe4000,0x3f98fd40,0xfb00fe40,0x017f2200,0xffb803ec,0x800fc801,
    0xfa804fea,0x2600d40d,0x7ec401ff,0xb003f41f,0x027dc03f,0xf9006f88,
    0x03be6007,0x40003f98,0x0bea03f8,0x0006f800,0x201fccfb,0x01f601fc,
    0xfb007f90,0x0077cc00,0x6c4003f2,0x00ff403f,0x1003fc80,0x007e83ff,
    0x3fb009f7,0x4003fb00,0x7f4401fe,0x0027c401,0xbf00fe60,0x00fea000,
    0x07f32fc0,0x1f601fc8,0x3601ba00,0x01fd4007,0xfd0003f2,0x00037c01,
    0x0fb800fb,0x37cc03f4,0x5c06f880,0x7fc4004f,0x400ff600,0x03bb205f,
    0x3f2017d4,0x00fd8000,0x3e63f980,0xb00fe403,0x01f9000f,0x5f8007d8,
    0x20007e40,0x01be04f9,0x4002fa80,0xfe807d81,0x40fee001,0xf50006f8,
    0x8017ee0b,0x0bffe06e,0x3e600fdc,0x02fc4004,0x3e61fb80,0xb007dc03,
    0x01fb000f,0x7d8007d8,0x40007e40,0x01fb01fc,0x02ffe200,0x6403a800,
    0x1fe8003f,0x20001fd8,0x037cc4fc,0x67d41f60,0x001f904f,0x2fb800dd,
    0xf98fb000,0x36014403,0x805f8007,0x06e8007d,0x440007e4,0x009f304f,
    0x6fffec40,0x80000abc,0xf10005fa,0x0004fa8d,0x1fd12fd8,0xf907c800,
    0x01f60fd3,0xfd0017dc,0x317e2000,0x4001d87f,0x1fe4007d,0x22003ec0,
    0x007e404f,0x3f205e80,0x76540000,0x03ffffff,0x001ff100,0xef89fdc0,
    0xff880000,0xb8002fd8,0x3f97e80f,0x3e200db0,0x009f3005,0x7f30bea0,
    0x36001fc4,0x0bfb1007,0xf9001f60,0x000fc805,0x2fcc0fb0,0x2a620000,
    0x4001effc,0xe80002fd,0x0002fc9f,0x013ffe60,0x3e20fd40,0x0bd07f34,
    0x64007ec0,0x1f90001f,0xfbaacf98,0x557ec004,0xffdbaaaa,0x01f6004f,
    0xaa985fd8,0xaaaabfda,0x207e402a,0x002fffc8,0x0ffd4000,0x0004fb80,
    0x009fdf30,0x00ff9000,0x3ee17d40,0x017e17e2,0x6f803fa8,0x261ba000,
    0x04ffffff,0x7ffffec0,0x3fffffff,0x5101f600,0xfff01dfd,0xffffffff,
    0x07e405ff,0x0df5ffd1,0x20000f2e,0x6f8804f8,0x7fdc0000,0x7c400000,
    0xf30003ff,0x3f60fd87,0xd0013e20,0x003fa80d,0x7f309f10,0x8009f533,
    0xaaaaaafd,0x2fffecba,0xccccfd80,0x0bfffedc,0x7fb55530,0x80555555,
    0xa93f20fc,0x53ffc44f,0x01f60009,0x000007fa,0x000009f1,0x003fd5fd,
    0x46f89f10,0x00fe62fa,0x7ec03f70,0x05f70000,0x01fc47f3,0xf7001f60,
    0xfffd805f,0x0cefffff,0x0007e400,0x21be0fc8,0xb0fee1fd,0x0fb0001f,
    0x00003fc8,0x00004f88,0x0ef9a7e4,0x3e65f800,0x5f527c43,0x104f8800,
    0x7ec0009f,0x3feeeeee,0x1f60005c,0xb01fa600,0x3200000f,0x4dd0000f,
    0x26f883f9,0x01fec0fe,0xf9817e20,0x4006a805,0x200004f8,0x02fd45fa,
    0x03f93740,0x000fdcdd,0x01fb83ec,0x3bbbfe00,0x0003feee,0xf50007d8,
    0x0003ec05,0x8000fc80,0x403f24f8,0xd85f9bfb,0xfd3004ff,0x003fa203,
    0xf88003f2,0xff100004,0x8007f901,0x7e41fa7d,0x50001f71,0x000dd05f,
    0x3f981fcc,0x007d8000,0x3ec0bf10,0x0fc80000,0x322fa800,0x3f7fa00f,
    0xcefefd82,0xfda9889a,0x00bf602f,0xf10007e4,0x3fa00009,0x8007fa01,
    0x260bf17c,0x4000f93f,0x001fcc5f,0x3e601f70,0x3605a803,0x81fa0007,
    0x9000007d,0x1f90001f,0xff300fdc,0x7f55ae0d,0xdfffffff,0x8017ea01,
    0x3e2000fc,0x3fc80004,0x8007fc40,0x202fa8fb,0x4000fb5f,0x003f20fc,
    0x3e606e80,0x3607c803,0x817e0007,0x9000007d,0x5fb8001f,0x3fa02fcc,
    0x32ea6003,0x7c400abc,0x03f2000e,0x0004f880,0xf9802fd4,0xf93f5006,
    0x06ebec01,0x7c53e600,0x13e20005,0x7c803f98,0x54001f60,0x001f603f,
    0x0007e400,0x7f901ff3,0x003fff60,0x07f60000,0x4001f900,0x260004f8,
    0x3ee000ef,0x6faf9804,0x02fd7dc0,0x17d5fa00,0x405f5000,0x07c803f9,
    0x3e6001f6,0x001f600f,0x8007e400,0xfd102ff9,0x5bfb5139,0x00009ddf,
    0x20013ee0,0x3e2000fc,0x07fa0004,0x100bf600,0xf8809fbf,0x5c0004fd,
    0x40007eaf,0x0fe600fc,0x07d81f20,0x007fee20,0x200000fb,0x7e4400fc,
    0x7fec402f,0x3ff64fff,0xf9000006,0xdddddddd,0x1ffddddd,0x3bbbb6a0,
    0x04eeeeff,0x3bbffb22,0x3bbae01d,0xff102dff,0x7ffd005f,0xfff88000,
    0xfed98004,0x3bb664ef,0xeeeeeeef,0x77647fee,0xeeeeeeff,0x1fffeeee,
    0xddffdd90,0x0007dddd,0xddddffd9,0x3dffdddd,0x05e5cc00,0x64000000,
    0xffffffff,0xffffffff,0xfffff700,0x1dffffff,0x3ffffa20,0x3ffa02ff,
    0x3e04ffff,0x5ff9007f,0x3ffb0000,0xffff5000,0x7fffdcdf,0xffffffff,
    0x3ffa27ff,0xffffffff,0x201cefff,0xffffffe8,0x4005ffff,0xffffffe8,
    0x02deffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xda800003,
    0x00001770,0x00072000,0x00aba980,0x01366000,0x1aba8800,0x57530000,
    0x5d440003,0x0005cc01,0x09abaa88,0x05d44000,0x0001ba88,0x026ae620,
    0x00003fe2,0xfc87ff4c,0x0000003f,0x200027c4,0xffffffd8,0x740000cf,
    0x5c0001ff,0xdfffffff,0x7ff4c000,0xb0cfffff,0x3ffae205,0x7f541eff,
    0xca800dff,0xfffffffe,0xafff4c03,0x645ffffb,0x0005ffff,0x7fffffdc,
    0x05fd11df,0x9ffb1000,0x02effa81,0x9f100000,0x6ffdc000,0xffeca9ab,
    0x3ff20002,0xdfd10000,0xffb95379,0x37ff2007,0xffeba9ab,0x9fff05fb,
    0x2a1ffb35,0x0efeacff,0x2b3bff60,0x0efeba9a,0xfbdfdb30,0x369fd57d,
    0x04feabef,0xbcefe980,0xedffdba9,0x6440002f,0x7dc01dff,0x000001df,
    0xd80027c4,0x7f5401ef,0x002a0003,0x2027fcc0,0x7f405fe9,0x7ff4c00d,
    0x3e605705,0x7dc0ef9d,0x2002ea05,0xfff805fb,0x83fefd85,0x3ea000fe,
    0x7fec403f,0x7fdc0003,0x3f22001e,0x000000cf,0xf70009f1,0x0ff4400b,
    0x22000000,0x3f6001fe,0x4007f702,0xb0005fe8,0x3f201fff,0x1fd00001,
    0xa80eff80,0x05f704ff,0x2003be20,0x0005ffe8,0x0005ffd5,0x001ffecc,
    0x0027c400,0x22001be6,0x0000006f,0x220017e4,0x02fcc0fe,0x8002fd40,
    0x3e204ff9,0x5f700005,0xf100ff80,0x801fcc0d,0xfe8801fe,0x26002fcb,
    0x00003ffd,0x000bffaa,0x4004f880,0xf50001fd,0x20000005,0xf30005f9,
    0x0001fd8b,0x3e20009f,0x007e400f,0x201fcc00,0x302fc05f,0x07f7007f,
    0x3e27fd10,0xcffc8807,0xf7000000,0x100005df,0x06e8009f,0x0013e200,
    0x00fdc000,0x05f8fd00,0x40002600,0x1fa807f8,0x03f98000,0x817e02fc,
    0x07d803f9,0x7dc3fe88,0x3bff9101,0x91000000,0x40003bff,0x3e2004f8,
    0xaaaaaaad,0xaaaaaaaa,0x0000005e,0xfc8000fb,0x00009f10,0x7ff65440,
    0x9999dfce,0x02fa9999,0x3fffbb26,0x403fccef,0x302fc05f,0x80dd007f,
    0x3f983fe8,0x002effb8,0xfc880000,0xf88000cf,0x3ffe6004,0xffffffff,
    0x7fffffff,0x7ffffff4,0xffffffff,0x1ba1ffff,0x2a3f7000,0x9800002f,
    0xfedefffe,0xffffffff,0x983fffff,0xeceefffd,0x403fffee,0x302fc05f,
    0x04f8807f,0x7c413fa2,0x00bffaa4,0x26000000,0x7fec3ffd,0xffffffff,
    0xefffffff,0x5555bf11,0x55555555,0xec855555,0xeeeeeeee,0xeeeeeeee,
    0x0001ba0d,0x00bea5f5,0x19ff9000,0x2aab7e60,0x1aaaaaaa,0x200effcc,
    0x2fc03fb8,0x3f9817e0,0xfb027c40,0xb327c409,0x000007ff,0x5ffd5000,
    0xeeeeeeb8,0xeeeeffee,0x17e0deee,0x00000000,0x40007d80,0x007f30fc,
    0x0077cc00,0x44001be2,0x3e6001ff,0x3e02fc03,0x200fe605,0x809fb05f,
    0xffea83f9,0x80000002,0x0003ffd9,0x7e8009f1,0x00000000,0x0007ee00,
    0x002fc7d8,0x1005f900,0x3f2000ff,0x01fcc001,0x40bf017e,0x87d803f9,
    0x1fb804fd,0x007bfee0,0x3f220000,0x220000cf,0x17e4004f,0x00000000,
    0x0004fa80,0x00fe8bf3,0x003f7000,0xd0003ff1,0x07f3000d,0x02fc05f8,
    0x7f7007f3,0xfe8027ec,0x6ffe4400,0xc8800001,0x80001dff,0xfe8004f8,
    0x00000000,0x003fb000,0x4fb83fd0,0x7cc6a000,0x04ffa803,0xd8006f80,
    0x202fc03f,0x00fe605f,0x02fec7f4,0x22003fc8,0x0000cffd,0x005dff70,
    0x0027c400,0xa80037cc,0x20000003,0x32000ef8,0x005fb03f,0x17e4fd88,
    0x03ffff30,0x03fb0e44,0x00fffa60,0x205f80bf,0xff3003f9,0x17ea00bf,
    0x1fff4c00,0x5ffd5000,0x9f100000,0x0bbee000,0x003ff540,0x540006e2,
    0x7ec402ff,0x013fe206,0xf706ffdc,0x3bffe609,0x47ff505f,0xffb805fb,
    0x02fc03fd,0x03f9817e,0x100bffa0,0x80001ff9,0x2002ffea,0x0003ffd9,
    0x0013e200,0x8abdfea8,0xdffeca98,0x07fec000,0xbdfea800,0x4ffca989,
    0xabefe980,0xffecb989,0x315bf903,0xf59f5ff9,0x5ffb513d,0x3135dfb0,
    0xf33dfdb7,0x3b667bdd,0xff80deff,0x4eef984e,0x6fff7e40,0xfeca989a,
    0x2e00000d,0x32201eff,0x00000cff,0x00027c40,0x3fffff22,0x001dffff,
    0x0003ffb0,0x7ffffe44,0x5c001eff,0xffffffff,0xfffc803f,0x2e5d0eff,
    0x00dfffff,0x3fffffee,0x3ffe63ff,0xfffff55f,0x1dfff03f,0x206fff98,
    0xfff915fc,0x005fffff,0x3ff22000,0x37fee20d,0x10000001,0x4c00009f,
    0x0009bcca,0x0002c880,0x15797310,0xcca98000,0xca8001ab,0x5654401b,
    0x79751000,0x00000015,0x17ee0000,0x06b32ea2,0x6c400000,0x05dfb0ff,
    0xf8800000,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02540000,0x00000000,0x0002b926,0x002e0000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xab988000,
    0xffffb000,0x7fffd401,0x4c00002f,0xfffff700,0xfff7001d,0x0ba61dff,
    0x5c001b50,0x5fffffff,0xfffffd50,0xffffd8bf,0xffffffff,0x3fff22ff,
    0xffd505ff,0xc8003dff,0xeb9ec405,0x006b8000,0x06600079,0x21fffd10,
    0xefffffe8,0x7ff76403,0x3bbbaa00,0xfffd302f,0xfffb309f,0xeffeb85b,
    0xeeb800de,0x3fe25efe,0x007fea03,0x777ff754,0xfddd304e,0xefd8bddf,
    0xeeeeeeee,0x3b21ffee,0xd304eeff,0x003dffdd,0xfd102fec,0xba83bea7,
    0x1bf20acc,0xb88037c0,0x6c403ffd,0xdffa8ffe,0x03ffba9b,0x54001f90,
    0xdddb302f,0x77fe449f,0x7d83ffbb,0x407e4000,0x3f203ff9,0x0fdc001f,
    0xfb03f400,0xd81fec00,0x5fd1003f,0x077ec400,0x7dc4ff98,0xfffffeae,
    0x000efcbf,0x7bf100df,0x7e4007f5,0xfb100efc,0x001f9005,0xf88017d4,
    0x883bfd14,0x001fb86e,0xffa81ba0,0x00bff204,0x4c005f88,0x401f604f,
    0x27ec04fc,0x8007fe20,0xf300efe8,0x3ffee0bf,0xffea989c,0x01be000e,
    0xf9001fc0,0x0bf100bf,0x54001f90,0x39f1002f,0x980807ff,0x4055103f,
    0x2ffdc04f,0x4005ffb0,0x3f6000fc,0x2e01f200,0x09fb005f,0x88007fe6,
    0xff501ffe,0x00f7c40d,0x6f8009f9,0x4007f000,0xf9000efc,0x000fc801,
    0x7c400bea,0x20001ffe,0x01ff905f,0xff9007f3,0x01fff40b,0xf1004f98,
    0x5401880b,0x27ec006f,0x98007fe6,0xff701fff,0x017ec01d,0x0b7207f4,
    0x07b511be,0x1f9001fc,0x2017d400,0x3ea000fc,0x3dff1002,0xf06e8000,
    0x03f705ff,0x203bff60,0xb004ffe8,0x03f9001f,0x00ef9800,0xff34fc80,
    0x7ffcc003,0x01fff702,0xfa802fc4,0x96fffec3,0xfffda8ef,0xc800fe04,
    0x0bea000f,0x54001f90,0x1df1002f,0x81f90000,0x7d85fcf9,0x077fec00,
    0x4027ffc4,0x37c403fa,0x03fe6000,0xefdfc800,0x3ffea000,0x03fff903,
    0xf1003f98,0xfffd7109,0x17dfffff,0x32003f80,0x0bea000f,0x54001f90,
    0x09f1002f,0x90bea000,0x6e81fb1f,0x77ff4400,0x05fff980,0x17dc06e8,
    0x03fd1000,0x01ffb000,0x827ffd40,0xa801fffc,0x017e002f,0x17dffd71,
    0x9001fc00,0x17d4001f,0xa8003f20,0x09f1002f,0xf13e2000,0x4f88bead,
    0x1fffe800,0x00dfff98,0x0fd017dc,0x017f4400,0x2fffd400,0x07fff700,
    0x2007fff6,0x9f1003f9,0x0dffd100,0x64007f00,0x0bea000f,0x54001f90,
    0x09f1002f,0xf32fc000,0x05f52fc7,0x80effd80,0x1005ffe8,0x00fea0df,
    0x0003fd80,0x5fb8efa8,0x0bffea00,0x400fffe4,0x07f5006f,0x09f97fb0,
    0x32003f80,0x0bea000f,0x54001f90,0x09f1002f,0xf93ec000,0x0fb87ec1,
    0x03bff200,0x0013ffa2,0x01fb03f9,0x000ff200,0xfb83bee0,0xfff5000e,
    0x03bff205,0xf8807f90,0xd2fd400f,0x01fc005f,0x54001f90,0x007e402f,
    0x22005f50,0x2e00004f,0x3fa8df1f,0x7fdc00fb,0x09ffd00d,0xf88bf100,
    0x09f90004,0x77dc0110,0x000efb80,0x2e03fff3,0x3e200eff,0x07fd102f,
    0x3e20ff88,0x007f000f,0xf50007e4,0x001fb805,0x22005fb1,0x2600004f,
    0x5f83f9bf,0x3fee00bf,0x00fff605,0x3f20fd80,0x05fb8001,0x3bee0bd0,
    0x003bea00,0xa807ffcc,0x3ff205ff,0xffca9bdf,0x07fa00ef,0x3fa217ea,
    0x3fffffff,0xa8003f20,0x027d402f,0x8017ff4c,0x400004f8,0xfc80fccf,
    0xffa803f9,0x00bff204,0x3e29f300,0x06fa8005,0x17f21be0,0x80077d40,
    0xf500efe8,0x93df90bf,0x75dfffff,0x07f301df,0x4ccc07e4,0x00999999,
    0xfa8003f2,0x007fc402,0x005fbff7,0x000013e2,0x3ea0dfdd,0x7fcc01fe,
    0x00bfee04,0x7dc7f400,0x077cc002,0x5fc8df00,0x0077d400,0x2606fe88,
    0x83bee4ff,0x7dc1aba8,0x00100106,0x003f2000,0xfa802fa8,0xffdb99cf,
    0x03eefa9e,0x000027c4,0xff80fff2,0x0ffe200f,0x0001ffa8,0x01bfbea0,
    0x3bbbbfe0,0xeeeeeeee,0xddffd75f,0x3bb6607d,0x8800cfff,0x3fe605fd,
    0x50001b72,0x0000000b,0x3bffb6a0,0x3fbae04e,0x7fdc03ee,0x2a3fffff,
    0x33225fff,0xeeeffccc,0x000deeee,0xfc803fea,0x20174c06,0x800001eb,
    0x44003fff,0xffffffff,0x5fffffff,0xbffffff9,0x3ffffea0,0x1b2001ef,
    0x00007b10,0x00000000,0xffffffb8,0xffffb00e,0x997300bf,0xff980015,
    0xffffffff,0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00200000,0x0d654c00,0x200aea20,
    0x3e099998,0x0402ffff,0x3e600000,0xffffffff,0xffffffff,0x1003ffff,
    0x37b2a000,0xcccc980b,0x1e666544,0x33333331,0x33333333,0x08801333,
    0x800a8000,0x177e4c28,0x000b7f22,0x400fe600,0x3bf625e9,0x6c40cfec,
    0x00dfecdf,0x747fffff,0x6541ffff,0x802dfffe,0x03efffd9,0xddddddb3,
    0xdddddddd,0x07fddddd,0x44007f10,0x2ffffffd,0x237fffd4,0xfb5ffffb,
    0xffffffff,0xffffffff,0xfb303fff,0x740001bf,0xd07f4402,0x7f45ffff,
    0x00002fff,0x7cc03fe8,0xf307fa2f,0x7440dd8b,0x7ffff984,0x907fffec,
    0xffb79dff,0x5e7fe403,0x0000efec,0x401fcc00,0xfb001ffe,0x3fffb7df,
    0x22ffffcc,0x954ffffa,0x99999999,0x99999999,0xff981799,0x2202ffdd,
    0x2602e81d,0x3ffe62ff,0xffff35ff,0x100000bf,0x3fe207fd,0x7dc07ea2,
    0xb81f5001,0x7e43ffff,0xd00c47ff,0x5413f20d,0x4000006f,0x67e403f9,
    0x7fdc00ff,0x3e37f442,0x7fc44fff,0x000003ff,0x7cc3ff30,0xd05fb03f,
    0x83ff503b,0x14fffff8,0x009fffff,0x0ffa2000,0x40305ff1,0x3f3002f8,
    0xb86fffd8,0x5c006fff,0x2027cc1f,0x000004fa,0x5fa80fe6,0x5fd80df5,
    0x7fc1ff50,0xffff83ff,0xd0000001,0x49fd103f,0xf7504fd8,0xd80f7dc5,
    0x3f60ffff,0x00001fff,0x7c4ffa20,0x0fc8002f,0xff86e880,0xfffa82ff,
    0x79997505,0x00fc83f9,0x000007d8,0x77cc0fe6,0xff813ee0,0xfd8bfe02,
    0xfffe81ff,0x70000000,0xfeffc801,0x5720444f,0x64c00efc,0x00bc980b,
    0xfe880000,0xa8002ffc,0x3ffae02f,0x06fffa85,0xea89fff3,0xffffffff,
    0xfb803741,0xf3000000,0xb03fd107,0x40ffa07f,0x3ff22ff8,0x07ffd80f,
    0x80000000,0xfd82dfeb,0x0972fbbd,0x00000000,0x17ff4400,0x201fdc00,
    0x640efeb8,0x3fe01fff,0x02fbe63f,0x06d83f71,0x00001f90,0x3f60fe60,
    0xb03fd102,0x83fee0df,0xff907ffb,0x7777764d,0xeeeeeeee,0x0deeeeee,
    0x32a00000,0x000002de,0x20000000,0x4004fff9,0x6c4002fc,0x017ffa1f,
    0x0fec5fff,0x0fc83f50,0x00006e80,0x9f90fe60,0x540ff980,0x3faa0cff,
    0xb837fd45,0x3bbae5ff,0xeeeeeeee,0xeeeeeeee,0x0000000d,0x00000000,
    0xff980000,0xd8804feb,0x9f10001f,0xd007ffe2,0x103743ff,0x05f983fb,
    0x00001fdc,0x2fd47f30,0xfc86fa80,0x0ffffdff,0xfa82ffcc,0x0000004f,
    0x00000000,0x00000000,0x897fc400,0x3ba604fe,0xbb6c0000,0xffc805ff,
    0x3ea07ee0,0x0dfb81ff,0x00005fb8,0xef897cc0,0x20ff2000,0x0efffffb,
    0x3e207ff0,0x0000002f,0x00000000,0x00000000,0x10bfe200,0x0bf507fd,
    0x36bf1000,0x5fa800ff,0xffedeff8,0x5c2fffde,0xdffdceff,0xb8000000,
    0x70001910,0x06f2a205,0x76401d70,0x00000000,0x00000000,0x00000000,
    0x2205ff10,0x80ff23fe,0x9817b71d,0x005f90fd,0x7f644054,0x179932ce,
    0x59dfb910,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02ff8800,0xfff9ff44,0x3fffffff,0x3fb3bfee,0x0000041e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe88017cc,
    0x33333334,0x95301333,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x99999999,0x99999999,0x77775109,0x77777777,0x77777777,
    0x44437777,0x88888888,0x88888888,0x00088888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff1000,0xffffffff,0x2a7fffff,
    0xffffffff,0xffffffff,0xffffffff,0xfffff36f,0xffffffff,0xffffffff,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffff10,0xffffffff,0x4ccc7fff,0x99999999,0x99999999,0x10999999,
    0x99999997,0x99999999,0x99999999,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x99999999,0x99999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_48_latin1_x[224]={ 0,10,5,3,4,3,5,9,12,6,0,2,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,2,4,0,0,0,4,1,9,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,3,1,1,1,2,3,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
11,2,6,0,0,0,0,3,0,-1,6,2,7,7,9,1,3,9,9,7,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,3,0,3,
 };
static signed short stb__courier_48_latin1_y[224]={ 35,8,9,7,6,8,12,9,9,9,9,12,28,21,
30,6,8,8,8,8,9,9,8,9,8,8,17,17,12,18,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,6,9,8,44,7,16,9,16,9,16,9,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,9,9,9,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,35,16,7,10,14,10,
9,9,9,10,7,17,22,21,10,5,4,9,8,8,7,17,9,19,34,8,7,17,8,8,8,16,1,1,2,4,
4,1,10,10,1,1,2,4,1,1,2,4,10,4,1,1,2,4,4,15,9,1,1,2,4,2,10,9,7,7,
7,10,9,6,16,16,7,7,7,9,7,7,7,9,9,10,7,7,7,10,9,13,15,7,7,7,9,7,9,9,
 };
static unsigned short stb__courier_48_latin1_w[224]={ 0,6,15,19,17,19,17,7,8,8,16,21,9,19,
7,17,17,17,18,18,17,18,17,17,17,17,7,10,21,22,21,16,17,26,23,21,21,22,21,22,22,17,22,24,
22,26,24,22,21,22,25,19,21,23,26,25,23,22,18,8,16,8,17,27,8,21,23,20,23,21,20,22,23,19,
15,22,19,26,21,21,23,23,21,18,20,23,24,24,22,22,17,9,3,9,19,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,16,21,18,22,
3,21,13,26,14,21,23,19,26,27,13,21,11,11,8,23,20,7,7,11,14,22,26,26,26,16,26,26,26,26,
26,26,26,21,22,22,22,22,17,17,17,17,24,24,22,22,22,22,22,15,23,23,23,23,23,22,21,21,21,21,
21,21,21,21,25,20,21,21,21,21,19,19,19,19,21,21,21,21,21,21,21,21,22,23,23,23,23,22,23,22,
 };
static unsigned short stb__courier_48_latin1_h[224]={ 0,28,12,31,33,28,24,13,32,32,16,22,14,4,
6,33,28,27,27,28,26,27,28,27,28,28,19,23,22,9,22,26,30,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,30,25,26,25,26,25,25,25,25,25,32,33,32,12,3,7,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,19,18,19,18,26,18,32,32,32,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,28,28,25,17,25,
32,29,4,26,13,18,12,4,26,3,12,26,15,15,7,26,29,6,8,15,13,18,27,27,27,28,34,34,33,31,
31,34,25,32,34,34,33,31,34,34,33,31,25,31,35,35,34,32,32,16,28,35,35,34,32,33,25,27,29,29,
29,26,27,30,20,26,29,29,29,27,28,28,28,26,27,25,29,29,29,26,27,20,22,29,29,29,27,36,34,34,
 };
static unsigned short stb__courier_48_latin1_s[224]={ 253,249,145,202,139,139,218,51,47,38,224,
68,41,1,221,180,81,190,208,62,109,1,159,68,223,205,243,241,24,161,46,
127,76,109,147,144,182,159,23,189,45,91,212,226,136,181,134,1,171,94,230,
235,1,229,93,67,43,20,1,56,221,171,113,49,243,203,227,156,20,90,24,
130,45,110,70,166,93,225,1,134,44,86,47,236,113,23,117,69,160,64,142,
28,144,111,184,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,253,248,177,
204,205,68,180,89,241,202,59,183,89,1,153,21,131,180,17,29,212,69,183,
229,204,241,74,94,50,194,23,45,208,181,1,26,222,1,120,89,28,74,198,
53,97,235,238,184,193,1,24,47,51,121,148,1,21,86,110,115,65,157,159,
221,204,1,23,87,1,117,177,43,45,161,67,99,119,1,99,23,145,208,226,
135,139,1,77,112,1,111,181,157,121,1,157,134, };
static unsigned short stb__courier_48_latin1_t[224]={ 1,73,403,73,38,169,334,403,73,73,383,
360,403,420,403,38,169,198,198,169,254,226,169,226,139,139,169,139,360,403,360,
254,107,308,334,254,281,281,308,254,308,308,254,281,308,308,281,281,334,107,308,
254,308,226,334,334,334,334,334,73,38,73,403,420,189,360,198,360,226,360,281,
226,281,226,1,254,281,360,383,360,226,226,383,334,281,383,383,383,383,254,383,
73,73,73,403,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,1,107,169,
281,383,308,73,139,163,226,403,383,403,420,226,420,403,226,403,403,403,281,107,
403,403,383,403,383,198,169,198,169,1,1,73,107,73,38,334,73,38,38,38,
107,38,1,38,73,334,107,1,1,38,73,73,403,169,1,1,38,73,38,308,
169,107,139,139,254,198,107,360,254,139,107,139,198,169,169,169,254,198,308,107,
139,107,254,198,360,360,139,139,139,198,1,1,1, };
static unsigned short stb__courier_48_latin1_a[224]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_48_latin1_BITMAP_HEIGHT or STB_FONT_courier_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_48_latin1(stb_fontchar font[STB_FONT_courier_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_48_latin1_BITMAP_HEIGHT][STB_FONT_courier_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_48_latin1_s[i] + stb__courier_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_48_latin1_t[i] + stb__courier_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_48_latin1_x[i];
            font[i].y0 = stb__courier_48_latin1_y[i];
            font[i].x1 = stb__courier_48_latin1_x[i] + stb__courier_48_latin1_w[i];
            font[i].y1 = stb__courier_48_latin1_y[i] + stb__courier_48_latin1_h[i];
            font[i].advance_int = (stb__courier_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_48_latin1_s[i] + stb__courier_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_48_latin1_t[i] + stb__courier_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_48_latin1_x[i] + stb__courier_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_48_latin1_y[i] + stb__courier_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_48_latin1_LINE_SPACING
#endif

