// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_49_latin1_BITMAP_HEIGHT        440
#define STB_FONT_courier_49_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_49_latin1_FIRST_CHAR            32
#define STB_FONT_courier_49_latin1_NUM_CHARS            224

#define STB_FONT_courier_49_latin1_LINE_SPACING          23

static unsigned int stb__courier_49_latin1_pixels[]={
    0x00000000,0x332606aa,0x000000cc,0x9d302754,0x000e4000,0x024c0000,
    0x00015c00,0x00000400,0x00003a80,0x2e000000,0x00033002,0x80005f50,
    0xfff83ff8,0x000001ff,0xfe80fff4,0xff88002f,0x20000002,0x40000ffa,
    0x000004fd,0x00000fee,0x0000df90,0x0000ee98,0x6e803740,0x0ffdc000,
    0x0ffe2000,0x007f2662,0x1ffb0000,0x0007ff20,0x0001ffcc,0x017fdc00,
    0x02ff4400,0x3ff62000,0x800000df,0x00000efd,0x00bfffea,0xd006f800,
    0x77e4000d,0xff880001,0x000fdc03,0x20054000,0x7440001a,0x2000004f,
    0x00001efc,0x000077ec,0x7e467fcc,0xb100001e,0x400001bf,0x4ff99ffc,
    0x0ef88000,0xb0006e80,0x200001df,0x7dc03ff8,0x00000001,0x74400000,
    0x400000df,0x00000efd,0x0003df90,0x3ea17fdc,0x7440003f,0x2200004f,
    0x3f620dfe,0xfec8000e,0x498cffff,0x3a200374,0x9800005f,0x00fdc009,
    0x00000000,0x06fd8000,0x017f6000,0x3fee0000,0x1efb8000,0x0009fd30,
    0x0000ffe2,0x3204ff88,0xfd3000ff,0xfffd779d,0x003741fd,0x000013f2,
    0x003f7000,0x00000000,0x001dc000,0x00007700,0x8002d400,0x164400cb,
    0x0005b000,0xa802d880,0x3fe8800d,0x41ffd510,0x00c4006e,0x5c000000,
    0x2200001f,0x80099999,0x00999998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fe4000,0x0dd07fcc,0x00000000,0x5107ee00,0xb0037bd9,
    0x03ffffff,0x7fffffcc,0x00000005,0x00001980,0x00000330,0x00000066,
    0x00000000,0x5c00df00,0x0001ba0f,0x99998800,0x99999999,0x3623f700,
    0xffffffff,0x9ff7301d,0xf9970059,0x7776437f,0xd981deee,0x04eeeeee,
    0xffffdb88,0x2e20002e,0x02effffd,0x3ff6e200,0xd9002eff,0x03bddddd,
    0xddddddb3,0xeeeeec89,0xeed981de,0x7c44eeee,0x9ba04004,0x00999998,
    0x09999988,0x3ffffffe,0x02ffffff,0x5bfd13f7,0x17fed441,0x30003f90,
    0xffff889f,0xfb83ffff,0x0fffffff,0x33bffea0,0x002effec,0x6677ffd4,
    0x4002effe,0xeccefffa,0x3e202eff,0x3fffffff,0xffffffb8,0xffff10ff,
    0xf707ffff,0x1fffffff,0x200027c4,0x3ffff66e,0x3fe601ff,0x3265ffff,
    0xcccccccc,0x7f702fdc,0xff7005ff,0x0017e205,0x1fc803f6,0x804f9800,
    0xf7102efc,0x3bf2005f,0x05ff7102,0x440bbf20,0xfc802ffb,0x04f98001,
    0x4c000fe4,0x001be04f,0x7fdccdd0,0xccb802cc,0x50001bff,0x3ffee05f,
    0x03fe6001,0xf3000fe4,0x001fc809,0x7ec04f98,0x3ffa800e,0x40077ec0,
    0x7ec03ffa,0x3ffa800e,0x4000fe40,0x0fe404f9,0x7027cc00,0x3a0001bf,
    0x8001fc85,0x540004f9,0x07ff702f,0x2207f900,0x03f6005f,0x30003f90,
    0x02fd409f,0x5403fe60,0x7fcc005f,0x800bf500,0x3f200ff9,0x04f98001,
    0x4c000fe4,0x6ffe404f,0x2022001b,0xfd8005f8,0x17d40000,0x20006fb8,
    0x007f205e,0x3f2013e6,0x04f98001,0x50001ff1,0x01ff10bf,0xf10bf500,
    0xbf50001f,0x4000fe40,0x0fe404f9,0x4027cc00,0xcdffffd9,0x03f90001,
    0x00027cc0,0x4fb817d4,0x881f6000,0x00fd805f,0x98001fc8,0x007f904f,
    0x3f20ff40,0x07fa0003,0x740007f9,0x003f901f,0xfc809f30,0x04f98001,
    0x7fff5cc0,0x2fc4001f,0x0001fb00,0x3ee05f50,0x07ee0003,0x3e601fc8,
    0x003f9005,0xdf109f30,0x24fa8000,0x540006f8,0x001be24f,0x3f209f50,
    0x04f98001,0x4c000fe4,0x5cc0004f,0x7e4003ff,0x004f9801,0x2e05f500,
    0x3ea0002f,0xd817e202,0x03f9001f,0xf509f300,0x4fd00007,0xe80003fa,
    0x0000fea7,0x00fe41fa,0x32027cc0,0x4f98001f,0x5fd10000,0x402fc400,
    0x500000fd,0x00fee05f,0x6401fc80,0x005f981f,0x260007f2,0x001fb84f,
    0x3f71fc80,0x23f90000,0xc80001fb,0x001fc81f,0x7e404f98,0x04f98001,
    0x013e2000,0x7cc03f90,0x3ea00005,0x000bf702,0x2fc403ec,0xf9000fec,
    0x09f30003,0x700001f9,0x0003f25f,0x07e4bee0,0x417dc000,0xf98001fc,
    0x000fe404,0x000027cc,0x440099ba,0x007f605f,0x702fa800,0xf10001ff,
    0x887f200d,0x0fe4005f,0x7427cc00,0x7f500007,0x540001fa,0x0000fd3f,
    0x07f20fea,0x9013e600,0x9f30003f,0x360006e0,0x3f201ba7,0x0005f981,
    0xfb817d40,0x2fd8005f,0x7e4bf100,0x00fe4001,0x37c27cc0,0xf4f98000,
    0x3e60000d,0x20000df4,0x01fc84f9,0x6404f980,0x4f98001f,0xf8004f88,
    0x3e201ba6,0x0001fd85,0xfb817d40,0x3f2003ff,0x44fe4004,0x1fc8005f,
    0xe84f9800,0x7f300006,0x4c0001ba,0x0000dd3f,0x07f20fe6,0x9013e600,
    0x9f30003f,0x4001ff10,0x401ba4fb,0x017e21fc,0x40bea000,0x00dfdafb,
    0x0003bf62,0x003f9bf1,0x30003f90,0x000fb09f,0x03ecfee0,0xfb3fb800,
    0x0fee0000,0x260007f2,0x00fe404f,0x7c427cc0,0x6fb801ff,0x5f880374,
    0x000007f2,0x8fdc0bea,0xbaabdffc,0x0000cffd,0x2000bff9,0xf98001fc,
    0x0001fc84,0x03f92fc8,0x325f9000,0xfc80001f,0x8001fc82,0x0fe404f9,
    0x4427cc00,0x99bdffef,0x41efeba9,0x27f2006e,0x000005f8,0x87ee05f5,
    0xffffffda,0x7c40002e,0x3f90001f,0x509f3000,0xfb00005f,0x0000bea1,
    0x017d43f6,0x6407ec00,0x4f98001f,0x4000fe40,0x917f04f9,0xffffffff,
    0x8801ba07,0x0001fcdf,0x2e05f500,0x1377301f,0x1be20000,0x002fa800,
    0x4f983fa8,0x337c4000,0xf880009f,0x00013e66,0x0bea0df1,0x500fea00,
    0x7f50005f,0x3fee6200,0x0037401b,0x00017ff2,0xf702fa80,0x80000003,
    0x220002fc,0x1fc8003f,0x40003fd0,0x00ff43fc,0xfe87f900,0x0ff20001,
    0x64001fc4,0x01fc401f,0x4000fe40,0x00dd006f,0x0001ff88,0x5c0bea00,
    0x0000001f,0x20001be2,0x0ff8005e,0x2000bf30,0x2fcc0ff8,0x40ff8800,
    0xf10005f9,0x002f401f,0x2f4007fc,0x0007fc00,0x06e8037c,0x00037c40,
    0x5c0bea00,0x0000001f,0x20000bf2,0x3e6001fc,0x0017e406,0x2fc817ec,
    0x902fd800,0x5fb0005f,0x2001fc80,0x3f9006f9,0x0037cc00,0x0dd006f8,
    0x0002fc80,0xb807e400,0x0000001f,0x20000df1,0xf9800ef9,0x1ffc400f,
    0x440bfb00,0x3f6003ff,0x00ffe205,0xf9805fd8,0x0ff9800e,0x001df300,
    0x20001ff3,0x00dd006f,0x000037c4,0x3f703740,0x32000000,0x2a00002f,
    0x3fe601ef,0x09ff3003,0x400efe88,0x74404ff9,0x7fcc00ef,0x077f4404,
    0x201efa80,0x54003ff9,0x3fe601ef,0x01be0003,0x5f900374,0xfb800000,
    0x0007ee04,0xccccc980,0x01cccffc,0xacffa800,0x03ffdb98,0x5677ec40,
    0x05ffdb98,0x2b3bf620,0x05ffdb98,0x2b3bf620,0x05ffdb98,0x8acffa80,
    0x003ffdb9,0x3159ff50,0x0007ffb7,0x033004d8,0x0001be20,0xa81df900,
    0xcccdfdcc,0xff90001c,0xffffffff,0x2a0000bf,0xeffffffe,0x3ff20001,
    0x02efffff,0xfffff900,0x20005dff,0xfffffffc,0x3aa0002e,0x1effffff,
    0x7ff54000,0x001effff,0x20000000,0x2e0002fc,0xfecccccc,0xffffd05f,
    0x009fffff,0x4ccccc40,0x00009999,0x1acca880,0x32a20000,0x100001ac,
    0x00035995,0x06b32a20,0xcca88000,0x4400001a,0x0001acca,0x99300000,
    0x99ff9999,0x7fc40039,0x3dffffff,0x4cccccc0,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfc800000,0xffffffff,
    0x998005ff,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99988000,0x00999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36600000,0x4000001c,0x5c000019,0x80000001,0x80000000,
    0x0000000a,0x000c9800,0x00191000,0x00020000,0x32200000,0x20033000,
    0x004fccfe,0x3ffae200,0x0642deff,0x0007fd00,0x06fdc000,0x6c400000,
    0x2600003f,0x2a0000ee,0x400000ef,0x30002fe9,0x0bd001dd,0x4c000000,
    0x0dd001ff,0x00f88d50,0xefffb800,0x8dffedcd,0x3e6003f9,0x8000004f,
    0x001efffd,0x17fa2000,0xfffa8000,0x3ee0002f,0xf500001f,0x3ea0007f,
    0x7ec02fff,0x80000001,0x3a002ffa,0x3d83d806,0x57fe4000,0xf9ff9100,
    0x5fe88009,0xfd300000,0x007ff71b,0x09fd3000,0x4ffe4000,0x20004ff9,
    0x40002ffa,0x90002ffb,0x09ff33df,0x00002fcc,0x007fee00,0x09b00dd0,
    0x7e40007d,0xffd3000e,0xdfb10009,0x7d400001,0x02ff4c3f,0x07ff5000,
    0x37fa2000,0x003bf620,0x001ffcc0,0x8001ffc8,0x3a20dfe8,0x03fb00ef,
    0x3f200000,0x06e8000e,0x03ea0f98,0x0037cc00,0x00027fc4,0x20000df9,
    0xfb101ffa,0xff50000d,0x3e200005,0x03ff204f,0x01ff4400,0x0003bee0,
    0xfc813fe2,0x004f980f,0x0efc8000,0x200dd000,0x003fedfc,0x4000bfa0,
    0x5c0004fb,0x19300004,0x00007700,0x400003d5,0x0da802d8,0x00722000,
    0x20001950,0x0da802d8,0x00001fd0,0x40004a80,0x0ae2006e,0x00bf3000,
    0x0001fcc0,0x00000000,0x00000000,0x00000000,0x00000000,0x4fa80000,
    0x00000000,0x00006e80,0x000fb800,0x000005c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01fd0000,0x00000000,0xeed986e8,0x03eeeeee,
    0x0000db00,0xddddb300,0x0007dddd,0xdddddb30,0x50007ddd,0x019ddddb,
    0x6f777644,0x3bbbbae2,0xeeeeeeee,0x5c4eeeee,0xeeeeeeee,0x43eeeeee,
    0xeeeeeeeb,0x3eeeeeee,0x7777775c,0xeeeeeeee,0x0007f703,0xdddddb30,
    0xd0007ddd,0xfffff70d,0x000dffff,0x0000017e,0x3fffffee,0x80006fff,
    0xfffffffb,0xfd8006ff,0x200fffff,0x4ffffff9,0x3ffffffa,0xffffffff,
    0x7f45ffff,0xffffffff,0x746fffff,0xffffffff,0x46ffffff,0xfffffffe,
    0x6fffffff,0x20001fe0,0xfffffffb,0x6e8006ff,0x3f2bea00,0x01fcc001,
    0xf5000000,0x00003f95,0x07f2bea0,0x002fd400,0x3f200fec,0x02fc4001,
    0x20000dd0,0xdd00006e,0x00fee000,0x657d4000,0x0374001f,0x09f31fb0,
    0x0003fa80,0x23f60000,0x000004f9,0x009f31fb,0x50017ec0,0x03f9009f,
    0x2005f880,0xdd00006e,0x01ba0000,0x00037c40,0x4f98fd80,0x88037400,
    0x5001fa5f,0x0000007f,0x07e97e20,0x25f88000,0x3e20007e,0x0ff8800f,
    0x4001fc80,0x1ba005f8,0x00374000,0x20006e80,0x400002fc,0x001fa5f8,
    0x8bee00dd,0x3ea002fb,0x00000003,0x017dc5f7,0xb8bee000,0x3ea0002f,
    0x002fd804,0xf88003f9,0x001ba005,0x80003740,0x3e20006e,0x7dc00006,
    0xe800bee2,0xf88fd006,0x00fe6005,0x3f400000,0x000017e2,0x005f88fd,
    0xf5017ec0,0x00fe400b,0xdd0027c0,0x01ba0000,0x00037400,0x800007f2,
    0x002fc47e,0x09f300dd,0x3e2001fb,0x80000005,0x00fd84f9,0xb09f3000,
    0x7c40001f,0x00fe880e,0x20007f20,0x01ba001a,0x00037400,0x4c0006e8,
    0xf300005f,0x2001fb09,0x81fc806e,0x1be003fa,0x32000000,0x003fa81f,
    0xf503f900,0x4fa80007,0x64002fc8,0x001b101f,0x0000dd00,0x740001ba,
    0x1fd80006,0x81fc8000,0x0dd003fa,0x037c0df0,0x00001fd0,0x3e06f800,
    0x0df00006,0x6c00037c,0x0017e61f,0x17d407f2,0x00374000,0x00006e80,
    0xf30000dd,0x0df0000b,0x06e8037c,0x3f901fd4,0x0013ea00,0x03fa8000,
    0x500007f2,0x00fe407f,0xfe9be200,0x01fc8000,0xd00005f7,0x1ba0000d,
    0x00374000,0x0000fe80,0x1fc80fea,0x7ec06e80,0x8013e600,0x220001fd,
    0x401fb002,0x6c0004f9,0x013e600f,0x3f33ee00,0xddf90003,0x05fddddd,
    0x000dd000,0x40001ba0,0xf500006e,0x07ec0009,0xdd009f30,0x7402fc40,
    0x03be2007,0x003fa200,0x0fd00bf1,0x402fc400,0xfb00007e,0x7e4000bf,
    0xffffffff,0x06e80002,0x000dd000,0x80001ba0,0xf88000fe,0xe807e805,
    0x200bee06,0x3ea002fb,0x3fe6000e,0x802fb803,0xf70002fb,0x005f7005,
    0x001ff100,0xfb80fe40,0x06e80002,0x000dd000,0x80001ba0,0xfb8003fa,
    0x402fb802,0x401fa06e,0x7dc005f8,0x2ffa803f,0x2200fd00,0x0fd0005f,
    0x00017e20,0x32000374,0x005f701f,0x0000dd00,0x740001ba,0x3fc00006,
    0x8803f400,0x8837405f,0xffffffff,0x00ffffff,0x5677fdc0,0x1effdb98,
    0xfffff100,0xffffffff,0xff88001f,0xffffffff,0x0000ffff,0x640006e8,
    0x003f501f,0x0000dd00,0x740001ba,0x7dc00006,0x3ffe2003,0xffffffff,
    0x1ba00fff,0x777777dc,0xfeeeeeee,0xffc88003,0x04ffffff,0x77777dc0,
    0xeeeeeeee,0x77dc003f,0xeeeeeeee,0x0003feee,0x640006e8,0x0080201f,
    0x40001ba0,0xdd00006e,0x6f880000,0x3bbbee00,0xeeeeeeee,0x41ba03fe,
    0x06e8006e,0x5676cc00,0x00dd0000,0x6e800dd0,0x0006e800,0x640006e8,
    0x07f0001f,0x40001ba0,0xdd00006e,0x5f900000,0x2001ba00,0x261ba06e,
    0x1fb8003f,0x002dc000,0x2000fe60,0x7f3001fb,0x003f7000,0x40006e80,
    0xf88001fc,0x000dd004,0x40001ba0,0x8800006e,0x03f9806f,0xdd01fb80,
    0x10001f90,0xfb80009f,0x03f20002,0x4013e200,0xf88000fc,0x03740004,
    0x0007f200,0x374013e2,0x006e8000,0x0000dd00,0xf900bf20,0x09f10001,
    0x0017e1ba,0x20000fd8,0xf0005eb9,0x07ec000b,0xb0002fc0,0x3740001f,
    0x007f2000,0x74013e20,0x0dd00006,0x001ba000,0x202fc400,0x3f60005f,
    0x17d46e80,0x005f5000,0x000f8810,0x500017d4,0x02fa805f,0x000bea00,
    0x640006e8,0x4f88001f,0x0000dd00,0x740001ba,0x36000006,0x005f501f,
    0x37417d40,0x880003f6,0x6fd4005f,0xd8006dab,0x3e20000f,0x0007ec05,
    0x4000bf10,0x7e40006e,0x04f88001,0x20000dd0,0xdd00006e,0x7cc00000,
    0x0001fb05,0x4ef42fc4,0xdeeeffed,0x3bbb6200,0x5001deff,0x20039fdb,
    0xeeeffed9,0x3bb6200d,0xb31deffe,0x1bdddffd,0x7f776c40,0xdb301def,
    0xdddffddd,0x776405bd,0xeeeeeeff,0xeeeeeeee,0x3bbbb24f,0xeeeeffee,
    0x777644ee,0xeeeffeee,0x77644eee,0xeeffeeee,0x0004eeee,0xfdb30fd8,
    0x401bdddf,0xeffeeed8,0xfff5331d,0x401dffff,0xffffffe8,0x8000002f,
    0xfffffffa,0x3ffa200e,0xf52fffff,0x1dffffff,0x7ffff440,0xff502fff,
    0xffffffff,0x7ff407ff,0xffffffff,0xffffffff,0x3ffffa4f,0xffffffff,
    0x7fff46ff,0xffffffff,0x7ff46fff,0xffffffff,0x0006ffff,0x3ffea388,
    0x200effff,0xffffffe8,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01930000,0x03000000,
    0x401b8800,0x23300028,0x22cccccc,0x2a600029,0x8806e201,0x3332601b,
    0x5cc00ccc,0x0006e200,0x00000010,0x26000011,0x006e200b,0x0005dc40,
    0x000077d4,0x001fb000,0x700ffa20,0x6f88005f,0x1fffffff,0xb000fffa,
    0x3ff40bff,0x3a01ffd0,0x01ffffff,0xffd037fc,0x3bfaa000,0x88001102,
    0xbdffffdb,0x0dff0000,0xff303ff4,0x07fffc43,0x00ffdc00,0x37c40000,
    0x04fe9800,0x2000ff88,0x333df3fd,0x1ffdc413,0x00aefc80,0x7fc03ffe,
    0x3333100f,0x7fc403f9,0x01fff00f,0xffdffe80,0x8017ea1d,0xecceffe9,
    0x44001eff,0xfff00fff,0xb93ff201,0x0003ffff,0x00005ff5,0x8002fc80,
    0x32003ffa,0x4df5004f,0x01fe005f,0x6d401be2,0x000f6a02,0x2da803f7,
    0x7000b6a0,0x3ff6619f,0x7001efed,0xf51015ff,0x2da8007f,0xfd80b6a0,
    0x3fffe64f,0x3fe60001,0xf1000003,0x5ff7000d,0x00ff8800,0x017e3fe8,
    0x7d401fc8,0x00000003,0x00001fb8,0x4c022000,0x9000dffe,0xfd1003ff,
    0x00000009,0xdda89ff9,0xfe880002,0xfb800003,0x0ffd4002,0x404fd800,
    0x002fc7fa,0x2fb805f5,0x80000000,0x000001fb,0x00040000,0x88003be6,
    0x000001fe,0x0027fe40,0x00e44000,0x01fe2000,0x80003260,0x27f407f9,
    0x2fa8017e,0x00017dc0,0xf7000033,0x00000003,0x20003300,0xf98001fe,
    0x40000006,0x00003ffb,0x20000000,0x000003fb,0x4c0bfa00,0x002fc1ff,
    0x2fb805f5,0x3ff6e200,0x70002eff,0x7777643f,0xed981dee,0x804eeeee,
    0xeffffdb8,0x009f5002,0x3ae17ec0,0xeeeeeeee,0xeeeeeeee,0x01ffdc4e,
    0x00000000,0x0001fd00,0x2fe40000,0x05f86fd8,0xf700bea0,0x3ffea005,
    0x2effecce,0xf88fdc00,0x3fffffff,0xffffffb8,0x3fea00ff,0xeffeccef,
    0x0007fc02,0xffe8ff10,0xffffffff,0xffffffff,0x0017fd45,0x7777775c,
    0xeeeeeeee,0x0004eeee,0x775c09f5,0xeeeeeeee,0xeeeeeeee,0xf01ff304,
    0x400bf07f,0x17dc02fa,0x88177e40,0x2e002ffb,0x001fc81f,0xfc804f98,
    0x5ff7102e,0x00013e20,0x0fe403f6,0xf517e200,0xffd0005f,0xffffffff,
    0xffffffff,0x03fa000b,0xffffffe8,0xffffffff,0x3e05ffff,0x417fd44f,
    0x0bea005f,0xfd805f70,0x3ffa800e,0xf903f700,0x09f30003,0xa800efd8,
    0x03f983ff,0x902fb800,0x5f88003f,0x26c0ffcc,0x4001fc80,0xfa8005f8,
    0x007f2004,0x7f40bf10,0x7c07fe46,0x00bea005,0x2fd405f7,0x003fe600,
    0x07f207ee,0xa813e600,0x7fcc005f,0x0000fdc0,0x1fc81fcc,0x262fc400,
    0x006f81ff,0xf88003f9,0x00fe8005,0x10007f20,0x23fec0bf,0x00bf07fd,
    0x3ee017d4,0x001ff102,0xf700bf50,0x0003f903,0x3fe209f3,0x45fa8000,
    0x880000fc,0x003f904f,0x7fcc5f88,0xf9007f80,0x05f88003,0x2002fcc0,
    0x7c4001fc,0xe83ff205,0x400bf06f,0x07ec04f9,0x20003fc8,0x0fdc01fe,
    0x4c000fe4,0x007f904f,0x0fb0ff40,0xc82fc000,0x44f8001f,0x07f80ff8,
    0x88003f90,0x0fec005f,0x0007f200,0x7fdc0bf1,0x2fc17fe1,0x4403fe00,
    0x00df107f,0x5c04fa80,0x001fc81f,0x6f884f98,0xb27d4000,0xf100001f,
    0x0007f20b,0x81ff106a,0xfc800ff8,0x004f8001,0x320017e6,0x04f8001f,
    0x7fc4bfea,0xb800bf04,0xff930cff,0x000fea05,0x3f701fa0,0x30003f90,
    0x007f509f,0x0fe4fd00,0x81fcc000,0x01b101fc,0x7fc43fc0,0x001fc800,
    0x3f2001a8,0x01fc8002,0x3e601a80,0x207ff13f,0xffd8005f,0x5c09ffd5,
    0xfc80001f,0x3207ee01,0x4f98001f,0x80001fb8,0x005f51fc,0x3205f500,
    0x005f501f,0x07fcc3fc,0xd880fe40,0x37c40000,0x101fc800,0xff50001b,
    0x7c13fe25,0x67fdc005,0x205ff930,0xb80000fc,0x207ee02f,0xf98001fc,
    0x0000fc84,0x07f32fb8,0x203f7000,0x05f701fc,0x7fcc3740,0x501fc801,
    0xfc80005f,0x03f90002,0x2e000bea,0x417fe1ff,0x3fe2005f,0x3a0ff300,
    0x7f500007,0x7e40fdc0,0x84f98001,0xf500007e,0x0001be27,0x77e403fa,
    0x2feeeeee,0x3e60ee00,0x01fc801f,0x440005f7,0x3f20006f,0x0005f701,
    0x37f41ff9,0x3e6005f8,0x7c07ec04,0x9f300006,0x7e40fdc0,0x84f98001,
    0xf300006f,0x00017e49,0x7fe409f7,0x2fffffff,0x2ffa8000,0xeeeefc80,
    0x0002feee,0xc8000fee,0xeeeeeeef,0x7fd8002f,0x05f83fec,0xf700bea0,
    0x0000dd05,0x1fb80fe6,0x98001fc8,0x0006e84f,0x7fc47f30,0x01ff0000,
    0x2fb80fe4,0x2ffa8000,0xfffffc80,0x0002ffff,0xf90001fe,0xffffffff,
    0x8dfd0005,0x05f80ffc,0xf700bea0,0x0000fb05,0x1fb80fee,0x98001fc8,
    0x0007d84f,0x4fc87f70,0x403fc800,0x05f701fc,0x07ff7000,0x3ee03f90,
    0x07f70002,0x701fc800,0x9ff0005f,0x5f81ff98,0x700bea00,0x003f905f,
    0x5c05f900,0x001fc81f,0x1fc84f98,0x42fc8000,0x32004fe8,0x01fc806f,
    0x700003f5,0x3f9007ff,0x4000bee0,0x640000fe,0x005f701f,0xfe81ff98,
    0x2a005f83,0x417dc02f,0xd80002fa,0x207ee00f,0xf98001fc,0x0002fa84,
    0xfe880fd8,0x077ec00d,0x0100fe40,0x9ff90004,0x2a03f900,0x4fa8001f,
    0x01fc8000,0xfc8003f5,0xbf0df707,0x2017d400,0x04f982fb,0x2037c400,
    0x02fa81fb,0xf983fa80,0x37c40004,0x37bffd10,0x00bfd973,0xf8000fe4,
    0xf90776a3,0x03f9009f,0x7f401004,0x1fc80000,0xfd008020,0xf07fe207,
    0x017d400b,0x0ff40bee,0x807f9000,0x03f881fb,0xfd01fc80,0x1fe40003,
    0x7ffff540,0x64003eff,0x4f88001f,0x6c1ffff3,0x1fc804ff,0xf307f000,
    0x3f20000b,0x987f0001,0x13f600ff,0x17d400bf,0x7cc0bee0,0x1ff10005,
    0xbd01fb80,0x201ff000,0xf10005f9,0x7fe4001f,0xf90000ac,0x29f10003,
    0x2a3ffffb,0x1fc801ff,0xd84f8800,0xf900001f,0x89f10003,0x3fd404fd,
    0x2fa8017e,0xf9017dc0,0x05fb0005,0x3f203f70,0x01be6001,0xfb0005f9,
    0x0f7e4005,0x00fe4000,0xff9a7c40,0x900040ff,0x9f10003f,0x00005f98,
    0x220007f2,0x003fe24f,0x005f8ffa,0x7f5007f2,0x001ffc40,0x3ee00bfb,
    0x001df301,0xf8801ff3,0x17f6003f,0x6efff4c0,0x2e20acde,0x003f904e,
    0x5e4c9f10,0x0fe40000,0x3627c400,0x3200001f,0x4f88001f,0x7cc013f2,
    0x7c4017e6,0x406f8807,0x74404ff9,0x3f7000ef,0x300f7d40,0x3e6007ff,
    0x77f4404f,0xffff9800,0xffffffff,0xf902fffe,0x09f10003,0x07f20000,
    0xf893e200,0x7e400006,0x14f88001,0x7ec001ff,0x15555df3,0x801ffdc4,
    0xb100aefc,0xb73159df,0x55440bff,0x5401fdaa,0xdb98acff,0x6c4003ff,
    0xdb98acef,0x3ea005ff,0x654c0abd,0xeec83dfe,0xeeeeeeff,0xeeeeeeee,
    0x9000004f,0x9f10003f,0x000017e4,0x220007f2,0x8005f74f,0xfffff6f8,
    0x0bbfa1ff,0x80bff900,0xfffffffc,0x7fff402e,0xea801fff,0x1effffff,
    0x3fff2000,0x002effff,0x7f400000,0xffffffff,0xffffffff,0x200004ff,
    0xeeeffeec,0xeeeeeeee,0x1be4feee,0x7f764000,0xeeeeeeef,0xfeeeeeee,
    0x26000514,0x55555551,0x2a0000cc,0x59951001,0x2aaa6003,0x22000aaa,
    0x0001acca,0x06b32a20,0x00000000,0x00000000,0x3fffffa0,0xffffffff,
    0x24ffffff,0xfd00000a,0xffffffff,0xffffffff,0x000009ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x00dc4000,0x40000371,0xb9800019,0x4ccccccc,0x00000000,
    0x64c00000,0x0000000c,0x73002200,0x000dc401,0x40000010,0x40009818,
    0x1102efea,0x03ff4000,0x40001ffd,0x2effffea,0x777fe400,0x07eeeeee,
    0x0017cc00,0x00003f50,0x04fdcfd8,0x02fa8000,0x01effe98,0x3ffc0dff,
    0x0f7f5c00,0x1b600008,0x7f44013e,0x2e1dffdf,0x3fe0004f,0x01fff00f,
    0x33bfee00,0x9003ffcb,0x0798019f,0x007fee00,0x002ff980,0x7c41f300,
    0x3ee00000,0xfffe801f,0x07ff885f,0x2001fff1,0xcffdfff8,0x40013ee0,
    0x8027c46e,0xffb30cfb,0x0003dfdb,0x7b5016d4,0x037f2000,0xf500ff62,
    0x001e6003,0x0000ffe4,0x00027fcc,0x00264264,0x801efc80,0x0ffffff8,
    0x36a02da8,0x433f2002,0xefedffd9,0x88df0000,0x2011004f,0x000dffea,
    0x40000000,0x07e805f9,0x0f300364,0x001dfb00,0x02ff4400,0x13613200,
    0x03bf6000,0x6ffffe80,0x44000000,0x09ffd500,0x7cc5f800,0x00200003,
    0x00000000,0xf9801fd8,0x8800fa01,0x37f62005,0xd8800000,0xf30000df,
    0x00007cc1,0x8001bfd1,0x002ffffa,0x08000000,0x45f88000,0x000003f9,
    0x00000000,0x2004f980,0x0017204f,0x004fb800,0x03fd8000,0x3f77f200,
    0x27e40004,0x000aa000,0x00000000,0xa89f1000,0xddb3002f,0x07dddddd,
    0xdddb3000,0x007ddddd,0xe8003f60,0x0007ea06,0x0000c400,0x00013000,
    0x0000bb88,0x00000188,0x7777775c,0xeeeeeeee,0x2f776dc3,0x77776cc0,
    0x7cc00cee,0xb8017dc3,0xffffffff,0xfb80006f,0xffffffff,0x00dd0006,
    0x7fec46e8,0x000001ff,0x00000000,0x00000000,0x3a000000,0xffffffff,
    0x46ffffff,0x03fffffe,0x7fffffd4,0x1fcc01ff,0x500007ee,0x0003f95f,
    0x3f2bea00,0x005f8001,0xbdf89ba6,0x0003fc89,0x00000000,0x00000000,
    0x00000000,0x70006e80,0x44001fff,0x0bea004f,0xd80003f9,0x0004f98f,
    0x9f31fb00,0x404f9800,0x326fffeb,0x003df506,0xbdb75100,0x22000159,
    0x0acdedba,0xeecb9800,0x20000cde,0x1bceecb9,0x6e800000,0xbf9f7000,
    0x0027c400,0x00fc85f7,0x7e97e200,0x5f880000,0x7f5001fa,0x337bfea0,
    0xd880fa6e,0xf50000df,0xffffffff,0xfffa8009,0x04ffffff,0xfffffc98,
    0x003ffffe,0x7ffffec4,0x0000dfff,0x4001ba00,0x001fdafb,0x554c09f1,
    0xeaaacfda,0x000aaabf,0x02fb8bee,0x717dc000,0x17dc005f,0x9ba1ffcc,
    0x3fe9806a,0x2fff6200,0x0f7f5441,0x06fff620,0x403dfd51,0x440acefd,
    0xf5004fea,0x6d4415bf,0x000002ff,0x3ee000dd,0xf1006f8a,0x7ffffc09,
    0xffffffff,0x3a006fff,0x0002fc47,0x0bf11fa0,0x7f417dc0,0x027c6e81,
    0xe802efa8,0xffa800cf,0x0033fa01,0x04407fea,0xa805fb00,0xffa802ff,
    0x6e800002,0x325f7000,0x04f8803f,0x2ffaaaa6,0xaaaffaaa,0x09f3000a,
    0x200001fb,0x00fd84f9,0x4f985f70,0x0df98dd0,0x201bf900,0x7d4004fc,
    0x8009f906,0x100006fa,0x07fc409f,0x881ff100,0x2000cffc,0x5f70006e,
    0x3e2007f4,0x3e1f6004,0x07f20006,0x40000fea,0x03fa81fc,0x2fb85f70,
    0x5fd10dd0,0x303ba600,0x3ee000bf,0x8002fcc3,0xf00003fb,0x0017ec0d,
    0x3ff62fd4,0x1ba005ff,0xf517dc00,0x004f8809,0x0017e1fa,0x01be06f8,
    0xdf037c00,0xf70bee00,0xfb81ba05,0x46d8800d,0x3e0001fd,0x0000fec7,
    0x3a0000ff,0x0009f306,0xfff88fec,0xdd000fff,0xb0bee000,0x027c403f,
    0x05f88dd0,0x6407f500,0x7d40001f,0x2007f203,0x837cc2fb,0x67ec406e,
    0x1ba2f800,0x741f9000,0x07e40006,0x20cccc40,0x003f706e,0xfff17d40,
    0x37400dff,0x4c2fb800,0x013e206f,0x027c46f8,0x2600fd80,0x7ec0004f,
    0x2013e600,0x81fe82fb,0x5fd5006e,0x9df15b80,0x99999999,0xfb999999,
    0x3333be23,0xcccccccc,0x01fdcccc,0xffffffb5,0x320dfbdf,0x3e20000f,
    0x0ffffee4,0x70006e80,0x205f905f,0x17e004f8,0xf10009f3,0x000fd00b,
    0x3f402fc4,0x7cc17d40,0x07e99acf,0xc806fdc0,0xffffff34,0xffffffff,
    0x267fffff,0xffffffff,0xffffffff,0x7f543fff,0xcccbcdef,0x0dd06ffe,
    0xb88df000,0x0374000b,0xf882fb80,0xd04f880f,0xffffffff,0xdfffffff,
    0x7005f700,0x3ee0005f,0x402fb802,0xffd303fa,0x8009ffff,0xf9512fd8,
    0x26673e21,0x99999999,0x10999999,0x3333339f,0x33333333,0x7fd41333,
    0x20df000c,0x5f80007e,0x01ba0000,0xfa817dc0,0xb704f884,0xdddffddd,
    0x07ddddfd,0x3e200fd0,0x00fd0005,0x9f3017e2,0xccbca980,0xfdf70001,
    0x006e85df,0x0006e800,0x000ffcc0,0x007e41ba,0x3309f300,0x000dd000,
    0x1fe80bee,0xf98027c4,0x20017dc3,0xfffffff8,0x0fffffff,0x7fffc400,
    0xffffffff,0x17e200ff,0x2a000000,0x01fb01bf,0x00fd8000,0x00bf2000,
    0x17dc1ba0,0x905f5000,0x00dd0009,0xf980bee0,0x98027c45,0x000fdc3f,
    0x3bbbbbee,0xfeeeeeee,0x777dc003,0xeeeeeeee,0x3f403fee,0xe8000000,
    0x0013ee03,0x0009f700,0xe8003f40,0x000bf306,0x026407f4,0xb8003740,
    0x117e402f,0x0bea009f,0x6e8003f9,0x4006e800,0x06e8006e,0x400017dc,
    0x2035c004,0x400002fd,0xd00002fd,0x0df7000f,0x5c001fe4,0x005d904f,
    0xf70006e8,0x226f8805,0x85f5004f,0x3e6000fc,0x01fb8003,0x70007f30,
    0x037c403f,0x8003e200,0x07fc404d,0x220e4c00,0xc98000ff,0x22007f91,
    0x7f406ffd,0x81be6001,0x3a004eb9,0x05f70006,0x13e29f70,0x1f60fdc0,
    0x0001f900,0x3f2009f1,0x04f88000,0x10001fe4,0x0be2001f,0x400ffea0,
    0xfa82ffd9,0xffb3003f,0x2a01bea5,0x4c06fdff,0xffc804ff,0x20079801,
    0x5f70006e,0x3e23fa00,0xd83f9004,0x002fc007,0xbf001fb0,0x007ec000,
    0x5b3013fa,0xd8800f88,0x3bfa6006,0xdca989ab,0x3a602fff,0xa989abef,
    0x642fffdc,0xcb989bef,0xddfd2ffe,0x7dfd301b,0xdfd95115,0xd55bf901,
    0x0037400b,0xf3002fb8,0x32009f1b,0x5003f40f,0x7d40005f,0x0017d402,
    0xf9805f50,0xf9531bdf,0xccdf883f,0xefdccccc,0xfffb8000,0x2dffffff,
    0x3fffee00,0x02dfffff,0x3fffffee,0x3ffa0cff,0x3fee01ff,0x03ffffff,
    0x00677ed4,0x2e000dd0,0x2bf6002f,0xd0fb004f,0x007ec00d,0xd80bf100,
    0x3e20000f,0xfffd8805,0x881effff,0xeeeeeeee,0x980001bd,0x000abcba,
    0x55e5d4c0,0x32ea2000,0x400001ac,0x001acca9,0x00dd0000,0x8800bee0,
    0xfb004fff,0xed980bf0,0x00deeeff,0x3ffbbb62,0xffdb31de,0x4401bddd,
    0xdeffeeed,0x66e5cc01,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x77777764,0xeeeeeeff,0xeefeec84,0x7fdc02de,0xbf0dd004,0xfffffa80,
    0x3a200eff,0x2fffffff,0xfffffff5,0x7ff4401d,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffffd,0xdfffffff,0xffffffd0,
    0x09fd007f,0x006e0ea0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54c40000,
    0xcccccccc,0x0000000b,0x00000000,0x00000000,0x02000000,0x00330000,
    0x00000000,0x3ea00004,0x20000001,0xd88002f9,0xeeefeffe,0x401deefe,
    0x400001ea,0x000001eb,0x880017cc,0x00ceffec,0x00274400,0x3bfffb70,
    0x3ffb8000,0x3fb66000,0x40001cef,0x2dffedb9,0x02ff9800,0xffb80000,
    0x3ff22001,0x06a8d51c,0x0017fcc0,0x005ff300,0x07fee000,0x37ffe600,
    0x0002fffe,0x10005ff3,0xffdbdffd,0xdfb10009,0xc8001bfd,0xfffddfff,
    0xffe98003,0x007fedef,0x0009ff30,0x00ffe400,0xa83dfd10,0x4c003546,
    0x200003ff,0x00003ff9,0x4000ffe4,0x2a20affa,0x7d4002ff,0xfe88002f,
    0x005fe884,0xefd93fa6,0x03dfb001,0x5c00bfd3,0x0440acff,0x0bfd1000,
    0x1dfb0000,0x81ffd800,0x8003546a,0x00004fe8,0x00013fa2,0x800077ec,
    0x3fe602ff,0x03ff7000,0xb00bf600,0x5ff7007f,0xb807ff70,0x03fd805f,
    0x000ffec4,0x37f62000,0xfd880000,0x3ff8000d,0x006a8d50,0x0037fa20,
    0x06ff4400,0x0dfd8800,0x007f7000,0xdf9009f9,0x17e60001,0x8803fa20,
    0x3fa601ef,0x001df100,0x7ec01ff1,0x0000000d,0x20000ff6,0xf30004fb,
    0xd51aa03f,0x07fb0000,0x03fd8000,0x0009f900,0xff1007f8,0x000dfa80,
    0x54003f60,0x4005404f,0x00fea028,0xbf701fb8,0x20000000,0x18800009,
    0x03fea000,0x001aa354,0x00000540,0x18800054,0x027dc000,0x02805f90,
    0x4006e800,0x0000006f,0x7cc003f7,0x000ff883,0x00000000,0x7d400000,
    0x6a8d501f,0x00000000,0x00000000,0x5000fe40,0x0000009f,0x0fc800bf,
    0xfc800000,0x20fe6001,0x000002fd,0x00000000,0x02ff9800,0x0006a8d5,
    0x00000000,0x6c000000,0x02fc4007,0x13e20000,0x3007f300,0x0379dd97,
    0x5c005f30,0x002fcc1f,0x03333100,0x01333310,0x20066662,0xf0099998,
    0xd51aa0bf,0x7765cc00,0x20000cde,0x1bceecb9,0xeecb9800,0xdd000cde,
    0x220df000,0x01999999,0x2a002fc0,0x3ff6205f,0x0dffffff,0xdd002f40,
    0x00005f70,0x00fffffc,0x0dfffff3,0x807ffffe,0x06fffff9,0x8d509ff5,
    0x7fe4c06a,0xffffefff,0x7fec4003,0x0dffffff,0x7fffe4c0,0x03ffffef,
    0x7e8005f8,0xffffff88,0x036c007f,0x7d41bfa0,0x36a20adf,0x13f202ff,
    0x3fa13f20,0x32600000,0x65c01fec,0x99306fcc,0xccb803fd,0x3fee06fc,
    0x0d51aa0d,0x40acefd8,0x5004fea8,0x54415bff,0x3f602ffd,0x75440ace,
    0x013e204f,0x32a03f60,0x007fcccc,0xfb800fdc,0x02ffa86f,0x3602ffa8,
    0x5fd880df,0xdd730ff0,0x3f700059,0xb806f800,0x037c001f,0x32fbff66,
    0x02203546,0x5402fd80,0xffa802ff,0x6c001102,0x009f102f,0x74001f90,
    0x037cc007,0x223eefcc,0x3e2000ff,0x3bfee00f,0x103ffedd,0x77ffccbf,
    0x2000dfff,0x37c001fb,0x2000fdc0,0xd973006f,0x0006a8df,0xf1027c40,
    0x7fc4001f,0x4f880000,0x90009f10,0x03f4001f,0xf5027dc0,0x2fd8fb1d,
    0x205fa800,0xffffffe8,0x269f100e,0x3f620bff,0x03f7000e,0xfb806f80,
    0x0037c001,0x003546a8,0xfb037c00,0x0bf50005,0x441be000,0x0fc8004f,
    0x4001fa00,0x3f261efc,0x3e61fb0e,0x07f60004,0x266b3fa6,0xf880efca,
    0x2e01ef8c,0x03f7004f,0xfb806f80,0x0037c001,0x003546a8,0xf9837400,
    0x07f60004,0x441ba000,0x0fc8004f,0x8001fa00,0xeffffffd,0x01fb9fa0,
    0xf30bea00,0x0ff4c03d,0x400ff6fc,0x1fb801fd,0x5c037c00,0x037c001f,
    0x03546a80,0x20cccc40,0x003f706e,0x44017d40,0x83741999,0x7d8005f8,
    0x0003f400,0x202f76a2,0x0003f27f,0x3be24f88,0x40ff8800,0xf1002fff,
    0x003f700b,0x1fb806f8,0x80037c00,0xa803546a,0xfffffffd,0x1f906fde,
    0x827c4000,0xffffffda,0x3e06fdef,0x006e8006,0x000003f4,0x00dd37c4,
    0x0fd4df00,0xfe85f300,0x40374006,0x37c001fb,0x2000fdc0,0x8d50006f,
    0x7ff5406a,0xecccbcde,0x00dd06ff,0xfea8df00,0xcccbcdef,0x1fa06ffe,
    0xd0017e00,0x5000000f,0x0003f47f,0x000fb2fc,0x001fd89f,0x0fdc03ec,
    0x2e01be00,0x037c001f,0x03546a80,0x20019ff5,0x000fd06f,0x67fd4bf0,
    0x6c0df000,0x13e2000f,0x0000fd00,0x7e43fd00,0x93e60000,0x47d8005f,
    0x7e4002fb,0x000fdc00,0x07ee01be,0x2000df00,0xf983546a,0x8374001f,
    0x260000fc,0x003ff34f,0x0bf206e8,0x4003fb80,0x4000007e,0x017dc6fb,
    0x2fc5f500,0x3e23ec00,0x403ec004,0x37c001fb,0x2000fdc0,0x8d50006f,
    0x005f906a,0x0bee0dd0,0xf92fa800,0x40dd0005,0x3fa006f9,0x003f4001,
    0x81ff1000,0x3a0005f9,0x2001f60f,0x4007e85f,0x01fb806f,0x7dc037c0,
    0x0037c001,0xe83546a8,0x20dd0007,0x3a0005f9,0x2000fd0f,0x00ff406e,
    0x74002fcc,0x36000007,0x007f903f,0x2fc89f70,0x2e13ea00,0x07f5003f,
    0x64007f50,0x03fa806f,0x4001bf20,0x7e83546a,0x206fb800,0xfb8003fc,
    0x2e001fa4,0x02fd406f,0x20007fa2,0x9800007e,0x0ff405fe,0xf10df300,
    0x1ff1001f,0x3a003fa0,0x00df3007,0x300dffb1,0xffb100df,0x51aa000d,
    0x400ff20d,0x7406ffd8,0x1be6001f,0x362007f9,0x4fd806ff,0x40013f60,
    0x6400007e,0xff9803ff,0x01ffc804,0x74c03df5,0x07bea02f,0xd001fec4,
    0x6ffcc03f,0x03fd006f,0x037effcc,0x83546a80,0xffa806fa,0x7fcc06fd,
    0x41ffc804,0xffa806fa,0xfe8806fd,0xdfec99be,0x00fd0000,0xdca9abc8,
    0x26001eff,0xa88abefe,0x5c00efec,0xda99acff,0xffa803ff,0x4ffba9ac,
    0x56ffcc00,0xf2ffeca8,0x7cc03bdf,0xfeca8adf,0x03bdff2f,0x81aa3540,
    0xb989befc,0xdfd2ffec,0xdfd301bd,0xfd951157,0x2fbf201d,0xffecb989,
    0x01bddfd2,0x7fffffe4,0x77775c04,0xeeeffeee,0x7f44eeee,0x0bdfffff,
    0xffff7000,0x4007ffff,0xffffffe8,0x3fa6000e,0x002fffff,0xffffff50,
    0x7fffc1bf,0x7fffd401,0x3fe0dfff,0x999301ff,0x3f625fb9,0x7fdc0ccc,
    0x0cffffff,0x807ffffa,0xfffffffb,0xfffb803f,0x20cfffff,0x401ffffe,
    0x8009bba8,0xfffffffd,0xffffffff,0x0aca886f,0x654c0000,0x220001ac,
    0x0000abba,0x0006f2e6,0x06f32a20,0xcca88000,0x75c0001b,0xb13eeeee,
    0x5103bddd,0x00035997,0x1acca980,0x665d4400,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03300000,0x10000000,
    0x00330005,0x20000000,0x06600000,0x00002000,0x00000000,0x000016c0,
    0x000676d4,0x00000000,0x001ffdc0,0xd8018800,0x3fee000f,0x3fae0003,
    0x0002deff,0x2e00017a,0xda8003ff,0x0001dfff,0x006db880,0x13fa0000,
    0xfffb8000,0x6db8806f,0x00000000,0x37fbbf62,0x6dc40000,0x40ceffff,
    0xfb1005fc,0x4001bfdd,0xeddffffb,0xf8000dff,0x3f620006,0xb000dfee,
    0x3fb5137f,0x3fae0000,0x000006ee,0x0017fa20,0x7fffff40,0xdddfd700,
    0x00000000,0xefd97fa6,0xffd30001,0x5fffd99d,0x74c01bea,0x007bf64f,
    0x2202bff6,0x7c000efd,0x9fd30006,0x5c00f7ec,0x0000bb00,0x0036c2aa,
    0x3f620000,0x7dc0000d,0x2aa06fff,0x00000db0,0x07ff7000,0xb8007ff7,
    0xff700aff,0xf7001ffb,0x07ff705f,0x5c006fdc,0x037c005f,0x5c17fdc0,
    0x2a0003ff,0xd800000f,0x00000006,0x80001df9,0x2000bcca,0x0000006d,
    0x300f7c40,0x3f2003fd,0xffe9801f,0x01ef8802,0x1c403fa6,0x8007f600,
    0x77c4006f,0x003fa601,0x00003e40,0x000006d8,0x001bee00,0x06d80000,
    0xa8000000,0x30028800,0x7ec001df,0x0015002f,0xa8000051,0x01be003f,
    0x0a2002a0,0x2fda9880,0x0db00000,0x98000000,0x00000002,0x000001b6,
    0x40000000,0x3ee001fe,0x000006fd,0x4f880000,0xbdffc980,0x00000001,
    0x0017fff4,0x1b601710,0x00dc4000,0x00000000,0x40001b60,0x0000003a,
    0x400bf500,0x02fc8ef9,0x00000000,0xfd301fcc,0x7bffffff,0x0000000d,
    0x000bf6e2,0x36c07fee,0x1ffd4000,0x00000000,0x0001b600,0x3100dfb1,
    0x33100333,0x07fc0133,0xf11ff880,0x36ea200d,0x0000acde,0x3201f900,
    0x36e21bff,0x2e601fff,0x00cdeeec,0x001fc800,0x6c03dfd3,0x3f620006,
    0x3333103f,0x40000333,0x006d8000,0x0037fee0,0x807ffffe,0x06fffff9,
    0x7f4009f1,0x2a00fe42,0xffffffff,0x4c00004f,0x01bf506f,0x64c1ffc8,
    0xffefffff,0x440003ff,0x4ffc804f,0x50006d80,0x3e201bff,0x07ffffff,
    0x000d9000,0xfd3000db,0x664c005f,0x665c01fe,0x07f306fc,0x3ea13f20,
    0x37ffb102,0x01efea88,0x81efb800,0x3fa006f8,0x05677ec1,0x0013faa2,
    0x7f4c0bd0,0x00db001e,0x802ffd88,0x7fccccca,0x00fb0000,0xfb800db0,
    0x2e0000cf,0x837c001f,0x6fa802fb,0x3fa07f30,0x1ffa800c,0x3b732a00,
    0x03f900ef,0x00443540,0x00205fb0,0xff9107f7,0x006d8007,0x00037fee,
    0x20000fd0,0x06d8007e,0x003dfd30,0x8003f700,0x801f906f,0x9f100ff9,
    0xa8009f90,0xfff1006f,0x3f401dff,0x88000000,0x15bfd04f,0x3ea17f26,
    0x998800ef,0x80999ed9,0x0002ffe9,0xa8000fd0,0x998807fe,0x80999ed9,
    0x00004ffc,0xdf0007ee,0xfd101f60,0x7cc5f803,0x07f70005,0x3ffb2a20,
    0x000bf01e,0x037c0000,0x5fffffb5,0xc83ffd88,0x7ffff46e,0x7dc6ffff,
    0x077640cf,0x4001fa00,0x801cffea,0xfffffffe,0x47bfa66f,0x00ceffea,
    0x2000fdc0,0x401fb06f,0x2fc403fd,0xf80007f6,0x3ff20007,0x00027c42,
    0x00dd0000,0x3fea0262,0x07dfb80d,0x07bfa600,0x0003f7ea,0xff9000fd,
    0x10000017,0x5fec7ff9,0x000feb99,0xdf0007ee,0x7dc07ee0,0x743f9804,
    0x07e40006,0x83ff7000,0x2000006f,0x37419998,0x5ffb1000,0x01ef3e20,
    0x8827fe40,0x4000fadf,0x77ec007e,0xf5000000,0x417e41df,0x3ee006f8,
    0xa837c001,0x006fa82f,0x677c45f5,0xcccccccc,0xfdcccccc,0x27cc0001,
    0x500001fa,0xfffffffb,0x2000dfbd,0x3600dffb,0xea800f76,0x23f601ef,
    0x3f4000fa,0x000bf100,0x0fff6200,0x00fb80f2,0xf8003f70,0xf887f306,
    0x43f7000f,0xfffffff9,0xffffffff,0x0003ffff,0x01fdc7e8,0x77ff5400,
    0xfecccbcd,0x7f4c006f,0xb8fdc02e,0x7ff91007,0x1f52fa80,0x2007e800,
    0x800001fb,0x0000dffa,0x0fdc00f9,0x7f81be00,0xfd0017f4,0x4cce7c41,
    0x99999999,0x00999999,0x741fb800,0xf50a001f,0x1be0019f,0x804ffb80,
    0x201ee4f8,0x4400effa,0x0003ea5f,0x037400fd,0x3ff62000,0x13e20002,
    0x4001fb80,0x64bee06f,0x13ee003f,0x000001ba,0x4c4f9800,0x7fd402ff,
    0x8003ff31,0x3dfd006e,0x0f71b600,0xb003ffb8,0x0007d41f,0x06e801fa,
    0x37fe6000,0x17a60000,0x8003f700,0x2fbe206f,0x07fc005f,0x000007ec,
    0x83fa8000,0xb9acdff9,0x3f23ffec,0x006e8002,0x0fdc007b,0x019901ee,
    0x1f50bea0,0x2007e800,0x2e2000fd,0x0002da80,0x5c002fcc,0x037c001f,
    0x8003bfee,0x09f703fc,0x20000000,0xff9101fb,0x819fffff,0x0dd0007e,
    0x09f10000,0x440000f7,0x000fa85f,0x9f7003f4,0x0017d400,0x004fb800,
    0x64007f50,0x27fcc06f,0xd80df900,0x0000002f,0x9803fc40,0x1fa00aef,
    0x001bee00,0x3fffee00,0x002fffff,0xfffffa80,0x2003ffff,0x3fa2007e,
    0x005f5001,0x005f9000,0x44037cc0,0x7f406ffd,0x36200dff,0x7fc400ef,
    0x91c98000,0x1fe80019,0x3201be00,0xffb1003f,0x3100000d,0x3f933333,
    0x26620000,0x0afb9999,0x3001fa00,0x7e4407ff,0x2200002f,0xe80001fd,
    0x37fe601f,0x233f206f,0xb98acffd,0x2a004fed,0xfb3003ff,0x033ff25f,
    0x8009fd30,0x06fa806f,0x06fdffa8,0x3dc00000,0xfa800000,0x003f4000,
    0x666fffd4,0x00bfffec,0x01dd3000,0x37fe6000,0x2ffeca8a,0x7dc3bdff,
    0x7ffffd45,0x98002eff,0x989abefe,0x42fffdca,0x9abcfffb,0x003ffdb9,
    0xdf9006f8,0xfd973137,0x37bbfa5f,0x31000000,0x000003f9,0x2e17dcc4,
    0xfeeeeeee,0xeeeeeeef,0xfffd9104,0x00005bff,0x9999ef98,0x4000fa99,
    0xfffffffa,0x47fffe0d,0x95300ff8,0x70000159,0xffffffff,0x6dc405bf,
    0xefffffff,0x00df0000,0x7fffffdc,0x3ffa0cff,0x800001ff,0x02fffff8,
    0xfffd0000,0x7fffec7f,0xffffffff,0x3006ffff,0xa8000003,0xffffffff,
    0xa88001ff,0x44001bcc,0x0000001d,0x2af2ea60,0x79530000,0x4d800015,
    0x665d4400,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05100000,0x06666200,0x02666660,0x08035300,0x0aa98800,
    0x00000000,0x00333326,0x32a60000,0x9980acee,0x37220099,0x988002de,
    0xeca88199,0x000001bd,0x40b332e2,0xccccccca,0xcccccccc,0x0bff5003,
    0x3fffff00,0x7ffffd40,0x3ffe2005,0x5ff930cf,0x3fff2200,0x66400dff,
    0xcccccccc,0xcccccccc,0x7ffc6ccc,0x000001ff,0x7fffffe4,0xfff10eff,
    0x9ff501ff,0x4001bfd7,0xb11fffff,0xffffffff,0xc800003b,0xf704ffff,
    0xffffffff,0x0bffffff,0x1dfbff90,0x7f665400,0x7e665c01,0x76dcc005,
    0x03effeff,0x75bffd10,0x06403ffb,0x31120000,0x00003f93,0x86bbfa60,
    0xf89ffc98,0xcf882cce,0x300274c0,0xfd13fb99,0x7ed4415b,0x4c00002f,
    0x5f704f99,0x33333333,0x40bf3333,0xff70efe8,0x03f70005,0x98005f80,
    0x01ffffeb,0x54067ec0,0x001900ef,0x3ee04800,0xf8800001,0xbffa803f,
    0x703ec04f,0x7f70003f,0xff7005ff,0xf1000005,0x0007ee09,0x3fe609f1,
    0x004ff984,0x3e000fdc,0xfff93005,0x01df917d,0xf701fe60,0x00003209,
    0x00fdc090,0x017ec000,0x809fff10,0x001fc04f,0x000fffdc,0x00001ff3,
    0x0f504f88,0x3e05f700,0x0bfa202f,0x4001fb80,0xeff8805f,0x006fb80b,
    0x0df007f5,0x90000032,0x0000fdc0,0x20017ea0,0x3e204ffa,0x40026c01,
    0xc8003ffb,0x4400003f,0x6c00004f,0x2001300f,0x00fdc002,0x04c017e0,
    0x64027e40,0x907d801f,0x04800001,0x000007ee,0x360001fb,0x201fc04f,
    0x6fb8003f,0x0017a000,0x0009f100,0x0002fc40,0x01fb8000,0x00002fc0,
    0x3f200fec,0x1906e801,0x20480000,0x400001fb,0x3ee0006f,0xf5036c04,
    0x09f70003,0x0003ec00,0x00013e20,0x00002fa8,0x003f7000,0x988005f8,
    0x406f881a,0x27cc01fc,0x400000c8,0x2607ee04,0x401bcedb,0x260004f8,
    0x41fcc04f,0xf70005e9,0x0fdc0007,0x5676dcc0,0x00027c40,0x98801fb0,
    0x00199999,0xf0007ee0,0x3fb2200b,0x323effff,0x807f201f,0x01901ff9,
    0x2e048000,0x3ffff21f,0x2604ffff,0x3e60003f,0xacffa804,0x70000efd,
    0x7d40005f,0x3ffff202,0x3e25ffff,0x1be00004,0xffffff10,0x7dc000ff,
    0x402fc001,0xbacdeffa,0x4f8aefed,0xd9507f20,0x006403ff,0xfb812000,
    0x4415dfb1,0xf881efea,0x13ea0005,0x1f7f6c40,0x7dc07510,0x07f20003,
    0x886bbfa2,0x4f88dfda,0x07f50000,0xf9999950,0x0fdc000f,0xf9017e00,
    0xaffa807f,0xf07f207e,0x6403dfff,0x02400000,0x009fb5f7,0x0dd01ff9,
    0x0027e400,0x9ffb5100,0x0002fdc0,0x09fd10fb,0x09f3df70,0x003f2000,
    0x20007e80,0x2fc001fb,0x2001df30,0x901fdfd8,0xfeca983f,0x000c80cf,
    0xff702400,0x2fdc007f,0xe8000fec,0x5440004f,0xb802cffd,0xf88000ff,
    0x2003fd86,0x0004fff9,0xe8000df0,0x07ee0007,0x3a20bf00,0x7fc4000f,
    0x803f902f,0x0640efe9,0xb8120000,0xfd8005ff,0x00077cc2,0x20013ff2,
    0x01cffdb8,0x002ffdc0,0x1be617ec,0x013fee00,0x0013e600,0x5c000fd0,
    0x17f2003f,0xa8001fe4,0x03f902ff,0x01917ee0,0x2e048000,0xf88000ff,
    0x2005fb86,0x1004fffa,0x0039dfb7,0x01fffdc0,0x3f709f90,0x013fa000,
    0x0007f200,0x5c000fd0,0xffe8806f,0x8000fb05,0x03f903fe,0x0191fe40,
    0x2e048000,0x1f60005f,0xb100f7ec,0x4409f3df,0x001cefeb,0xbfb5f700,
    0x077ec401,0xf900036c,0x0fd00009,0x000fd000,0xf300ffdc,0x17e0bfbf,
    0x209f9000,0x3f4001fc,0x48000019,0x80013ee0,0xbff901fc,0xbff97359,
    0xbef813e2,0x0026a601,0xbff91fb8,0x9ffb7557,0x80017e01,0x440004fa,
    0x7e80004f,0x3ffee000,0xffeca8ad,0x221bdff2,0x7dc0004f,0x8003f903,
    0x000191fc,0x0bee0480,0x202fa800,0xffffffe9,0x0013e23e,0x4ffffe98,
    0x6d43f700,0x2effffff,0x8000fe60,0x5c0004f9,0x7e80001f,0x3f3ee000,
    0x0dffffff,0x7c47fffe,0x17dc0004,0x54001fc8,0x0000193f,0x00bee048,
    0x8802fa80,0x9f101bb9,0x4b7ea000,0xfb805fc8,0x01377301,0x40007f10,
    0x6c0004f9,0x0fd00007,0x544fdc00,0xf8001acc,0x07ec0006,0x44001fc8,
    0x0000194f,0x013ee048,0x0000fc80,0x20013e20,0x07f104f8,0x00001fb8,
    0xf50002f4,0x2fc40009,0x007e8000,0x00007ee0,0x20000fd8,0x007f207f,
    0x0032bf10,0x7dc09000,0x01f60005,0x009f1000,0x36c03f50,0x00007ee0,
    0x64000d90,0x3ea0004f,0x0fd00002,0x000fdc00,0x0005f900,0x1fc817e2,
    0x29f500c4,0x2400000c,0x0003ff70,0x80000bf3,0x5c8004f8,0x3ee03d40,
    0x7d400001,0x4ff88002,0x003f6000,0x0003f400,0x400003f7,0xd8001ff8,
    0x707f201f,0x64ff601f,0x02400000,0xd000dff7,0x8800003f,0x05c8004f,
    0x07ee03d4,0x1df10000,0x04ffc800,0x00017e00,0x2e0007e8,0x5400001f,
    0x3f6001ff,0x2e0fe404,0x321ff03f,0x02400000,0x4009fdf7,0x800003fc,
    0xfa8004f8,0xf701b600,0xf7000003,0x7f7d4009,0x05f50004,0x003f4000,
    0x00003f70,0xb003ff90,0x1fc801ff,0x27dc37cc,0x48000019,0x37f27ee0,
    0x01bf6200,0x027c4000,0xf8827c40,0x000fdc03,0x00efe800,0x027c6fe4,
    0x0000fc80,0xb8001fa0,0x7000001f,0x73159dff,0x3201bffb,0x6c4efeee,
    0x0ffb99df,0x90000032,0x71feeeb8,0x951159ff,0x200009ff,0xefccccc8,
    0x3ea003cc,0x20df711d,0xccdfdcca,0xb00001cc,0x751359ff,0x3bfe29fd,
    0x01be004e,0xdddddd70,0xdddddffd,0x07d409dd,0xfb100000,0x5fffffff,
    0xfffffe80,0x7ffff446,0x0000640e,0xffffb120,0x7ffff543,0x00002fff,
    0x3fffffee,0x2000ffff,0x04ffeffa,0x3ffffffa,0x00004fff,0x3fffff6a,
    0x3ffe23ef,0x2f8800ef,0x7fffec00,0xffffffff,0x0006ffff,0x73100000,
    0x00001579,0x640b32a0,0xcccccccc,0xcccccccc,0x0006cccc,0x00359951,
    0x26662000,0x00019999,0x30015531,0x13333333,0x5cc00000,0x000000ac,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0aa60000,0x20010000,0x00999998,0x09999988,
    0x5ef6dd40,0x80999981,0xccccccca,0x001bcccc,0x000004c0,0x000002a6,
    0x00000971,0x5c000026,0x00fae02e,0x9bdb9510,0x11000837,0x006fd800,
    0x7ff65440,0xfffb00ce,0x7cc03fff,0x105fffff,0xfffffffb,0x7ffffc3f,
    0x7ffffe40,0x5fffffff,0x3fb2a200,0x002cdfff,0x19fffb30,0xd7100370,
    0x10000dff,0xbffffd95,0xff100059,0x03ffe20f,0x7ffffdc0,0xfb8cffff,
    0x3bffa600,0x00dfb001,0x6f7ff440,0xb982fffe,0xb802ccff,0xa81bffcc,
    0x2e609dff,0x599df2ff,0x33333f90,0x01333333,0x2f3bfea0,0x1efecb99,
    0x2f3fe600,0xfe98bffe,0xfffd7303,0xa8000dfb,0xb99bceff,0x4001efec,
    0x1ffa06ff,0x06bbfa20,0x1fdffd51,0x2fffff40,0x0006fd80,0x3ea07ff3,
    0x003f904f,0x3e609f30,0x5ff4402f,0x007e405f,0x037f2000,0x400ffa20,
    0x7ffd41db,0xfff104ff,0x001ba15b,0x8800dfc8,0x2a2003fe,0x1002a200,
    0x3ea009fd,0xfff100ff,0xfb001fff,0x1df3000d,0x882fe880,0x0fd8005f,
    0x74003fd0,0x07e405ff,0x2fe98000,0x00efb800,0x0736e200,0x01ba0550,
    0x000bfa60,0x00003bee,0x005f9000,0x3a00ffa8,0x1006ffff,0x1fb00013,
    0x203fe200,0x3e6001fc,0x8009f704,0x7e405ff9,0x1dd00000,0x02f4c000,
    0xe8000000,0x00ee8006,0x0017a600,0x05f98000,0x5401fd00,0x0002ffff,
    0x0027c400,0x17e20bee,0xfd00fd80,0x017f2000,0x900001f9,0x3bb2a01f,
    0x02f9851c,0xe8000000,0x507e4006,0x80555555,0x000002f9,0x20003fb0,
    0x0055007b,0x03ea0000,0x3207f300,0x04f9801f,0x7d40017e,0x0007e405,
    0x3620fe60,0xecfc99ad,0x4c007e40,0x01bceecb,0x30037400,0x676e447f,
    0x900cedcc,0xd973001f,0xdf00379d,0x00000000,0x00000000,0x5f882fc4,
    0xf300fd80,0x17e60009,0x80001f90,0x6c07b05e,0x102f440f,0xfffffffb,
    0x3a0001bf,0x4c17a006,0xd106b885,0x7ffec40b,0x00dfffff,0x000009f1,
    0x26662000,0x00000999,0x6407f300,0x817e601f,0xf10003f9,0x4c0fc80b,
    0x81f98019,0x407c406a,0x5bff507a,0x17fed441,0x98037400,0x640b301f,
    0x3ea0f502,0x36a20adf,0x03f982ff,0x88000000,0x6fffffff,0xf9000000,
    0xb02fc405,0x027c403f,0x6405f980,0xffffeb9f,0x20f502ef,0xf302801d,
    0x802ffa83,0x74002ffa,0x4c0f5006,0x7cc1a605,0x4017fd41,0x1fcc2ffa,
    0x80000000,0x6fccccca,0xf9800000,0x981fc806,0x006f805f,0xfc80bf70,
    0xdcbcdfff,0xf06c84ff,0x22f80001,0x22000ff8,0x1ba000ff,0x0b303640,
    0x445f01ec,0x3e2000ff,0x0013e20f,0xd0000000,0x8800000d,0x5f8801fe,
    0xfd801fd8,0x05fd8000,0xd1016fe4,0x6884d8bf,0x364e8000,0x5fa8002f,
    0x6c01ba00,0x2e216604,0xfd93a00e,0x45fa8002,0x2000006f,0x002aaaa9,
    0x00000374,0x64005fd1,0x4017e21f,0x7dc006f9,0x2000805f,0x220fe2fd,
    0x35c80006,0x7ec0009f,0x200dd001,0x333a603f,0x5c803fec,0x6c0009f3,
    0x0007f61f,0x7fffec00,0x00374003,0x03fe8800,0x3f92fc40,0x801fe400,
    0x0005fff9,0x09d37c40,0x9b0000f1,0xa80007ee,0x00dd002f,0xaae9813a,
    0x29b006ea,0x2a0001fb,0x001be62f,0xfff88498,0x06e8006f,0x3fe88000,
    0xf13f9000,0x1bfd000b,0x2fc77dc0,0x8fe40000,0x0001d05c,0x001f93f8,
    0xe8027c40,0x4c0b9006,0x7c00ec85,0x40001f93,0x027e44f8,0x2a07fe40,
    0x8002ffff,0x4400006e,0x220003fe,0x8001fcdf,0xa9bcffd8,0x0bf0efec,
    0x25f50000,0x0005907b,0x006e8fc4,0xdd006f80,0x5981ee00,0x8fc40b70,
    0x6f80006e,0xa800dfe8,0xffc81ffe,0x0dd0005f,0x1ff44000,0x2ffe4000,
    0x3ffea000,0x2fc4efff,0x9fcc0000,0x00e880f9,0xe87d40d4,0x05f80007,
    0x3e600dd0,0x1ec0b300,0x00fd0fa8,0xfb10bf00,0x9731359f,0x3e01bffd,
    0xd0000fff,0x3a20000d,0xf100003f,0x2200003f,0x0bf00aba,0x29f30000,
    0x01b303f8,0xc9b603ae,0x3e60000f,0x200dd004,0x40b303f8,0x326d80e8,
    0x3e60000f,0x3fffea04,0x00cfffff,0x000fffe6,0x980006e8,0x200003ff,
    0x000006f8,0x00005f80,0x07ee2fa8,0x6dcd67d4,0x2e1fa80d,0x3ea0002f,
    0x400dd002,0x576541fb,0x7d45b702,0x8000bee1,0xda9802fa,0xc8009ace,
    0x740006ff,0x7fcc0006,0x7e400002,0x40000002,0x800004f8,0x2036c1fb,
    0xf100adca,0x0005f989,0x374003fa,0xcc89b600,0x19900ccc,0x05f989f1,
    0x8003fa00,0xffe8004c,0x03740001,0x005ff300,0x006f8800,0x2fa80000,
    0x0fe80000,0x400027c4,0x007f906d,0x74009f70,0x027c4006,0xfc836c00,
    0x04fb8003,0x10017640,0xd0000bff,0x3fea000d,0xfc800002,0x80000002,
    0x003300fd,0x3ea0bf50,0xfe98000d,0x8007fa01,0x374006f9,0x006fd400,
    0xd00ff4c0,0x37cc003f,0x0275cc00,0x0000ffa8,0xfa8006e8,0x8800001f,
    0x0000006f,0x3f606fc8,0x03fe2004,0x2002fe98,0x7cc00efb,0x1ffc804f,
    0x80037400,0x2e002fe9,0x7fcc00ef,0x01ffc804,0xa801e600,0x0dd00001,
    0x001efa80,0x17e400d4,0x91000000,0x7f4401df,0x1ffd401e,0x0abdfc80,
    0x00ffb2a2,0x8abefe98,0x00efeca8,0x40006e80,0x220abdfc,0x2003feca,
    0x88abefe9,0x000efeca,0x17aab7f2,0x74000000,0x03be6006,0x664d7e00,
    0xccffcccc,0x64c0001c,0xffeccccc,0xdff9000e,0xffb73359,0xffda8007,
    0x1defffff,0xffff7000,0xc807ffff,0xffeeeeee,0x04eeeeee,0xfffffb50,
    0x0003bdff,0x3fffffee,0xb50003ff,0x000019df,0x3bbbbae0,0xeeeeffee,
    0x3bea4eee,0xeeeeeeee,0x95feeeee,0xffffffff,0x8000bfff,0xfffffffc,
    0xec98003e,0x0effffff,0x5dcc4000,0x26000009,0xd001acca,0xffffffff,
    0x0dffffff,0x13773100,0x654c0000,0x000001ac,0x3f600000,0xffffffff,
    0x6fffffff,0x3fffffea,0xffffffff,0x266625ff,0x00999999,0x33331000,
    0x54400001,0x00000abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80faa000,0x332a03ea,0x000000cc,0x80006a62,
    0x200000a9,0x13a604ea,0x000cc000,0x00098800,0x00000000,0x40000066,
    0x30004ccb,0x00000003,0xff807ffc,0xffff880f,0x4c00000f,0xeffffffd,
    0xfffb3002,0x40037019,0xffd01ffe,0xfd710005,0xc85bdfff,0xfffd5000,
    0x0e41bdff,0x00026c00,0x7fffedc4,0xf300002e,0xb1001fff,0x19dfffff,
    0x7f6440e6,0x3a000cff,0x03ffa07f,0x007eccc4,0xeffeb800,0xdffecbcc,
    0x2f7fe600,0xfe98bffe,0x03ff6004,0x20007fe4,0xdcdefffb,0x3f98dffe,
    0x6ffffd40,0x9cfffedc,0x06e8004f,0x77ffd400,0x02effecc,0x7ed7ec00,
    0x6f7fdc00,0xcaffedcc,0x44efd40f,0x22005eb9,0x002a200a,0x800007e4,
    0x3a601cff,0x5076e05f,0x009fffff,0x01a80150,0x8057fe40,0x04fcffc8,
    0x4406ffee,0x004fffda,0x320006e8,0xff7102ef,0x53ea0005,0x3bee00fd,
    0x3fffaa02,0x1f9814c0,0x20000000,0xf00000fc,0x017f400b,0x016edc40,
    0x90000000,0x3a6001df,0x3df704ff,0x027fd400,0xd8003740,0xffa800ef,
    0xb0fe8003,0x03be601f,0x003ffa20,0x00000bd0,0x0007e400,0x22005f80,
    0x0000006f,0x26000000,0xff88006f,0x000ff984,0xe8004fc8,0x05fa8006,
    0x0007fcc0,0x807ec7f7,0x3e6000fd,0x0fe2000f,0xc8000000,0x7900000f,
    0x000fd800,0x00000000,0x0005fd00,0x0bfa13ee,0x0027c400,0x3e200374,
    0x5fa8000f,0xfd8df100,0xd000df00,0xfba9801f,0x6dd44005,0x4000acde,
    0x000000fc,0x9807ee00,0x0cdeeecb,0x03333100,0x01333310,0x980017e6,
    0x002fcc3f,0x3a0006e0,0x01fe4006,0x9003fd00,0x880fd85f,0x07b8004f,
    0x0037ffd4,0x3fffffea,0x32004fff,0x37b2a20f,0x800000ac,0x7fe4c1fb,
    0xffffefff,0xfffff803,0x3fffe601,0x001f706f,0x17e40b80,0xe8000000,
    0x01be2006,0x9809f500,0xf00fd85f,0x4002000d,0x4400dfca,0x5441bffd,
    0xfc801efe,0xffdfff70,0x800003df,0xacefd86e,0x027f5440,0x007fb326,
    0x20df9997,0xf000006d,0x0000001f,0xfa801ba0,0x07e80003,0x07ec0ff4,
    0x00000fd8,0x7405f880,0xffa800cf,0x7e47e401,0x3fee21be,0x7f500001,
    0x7ec00110,0x003f7002,0x00bf06f8,0x00df1000,0x37400000,0x0003f700,
    0x3ea03f90,0x2601fb04,0x000000ef,0x9f900fb8,0x406fa800,0x4c04fefc,
    0xfc80006f,0xf880000f,0x003f7004,0x03f986f8,0x04f98000,0xfffb0000,
    0xffffffff,0xbfffffff,0x200003f2,0x01fd02fb,0xffb803f6,0x2000000c,
    0x05f981fa,0x6407f700,0x3f7004ff,0x3bfaa000,0x1be00000,0x2000fdc0,
    0x003fa86f,0x003f9800,0xdddb7000,0xddffdddd,0x25bddddd,0xf500007e,
    0x6c07f707,0x7fecc00f,0x1000abdf,0x3fb06e80,0x903fc000,0x1fcc009f,
    0x7fff9100,0x0dd00000,0xf0007ee0,0x0007f50d,0x0007f300,0x03740000,
    0x20000df0,0x037c44f9,0x5cc003f6,0x1cfffffd,0x2237df50,0x0dd01feb,
    0x900fc800,0x05f8001f,0x000fff20,0x74199988,0x003f7006,0x03fa86f8,
    0x03f98000,0x3a000000,0x001ba006,0x3f61fcc0,0x0007ec02,0x2ffeca98,
    0xffffd910,0x33be201b,0xcccccccc,0xfdcccccc,0x8001f901,0x03f2005f,
    0x3fff6a00,0x6fdeffff,0x8003f700,0x003f986f,0x803f9800,0xffffffe9,
    0x3a001eff,0x001f6006,0xbf31fdc0,0x0001fb00,0x1013fa60,0xfff30033,
    0xffffffff,0xffffffff,0x0003f207,0x07e400bf,0xbdffd500,0xffd99979,
    0x007ee00d,0x0bf10df0,0x09f10000,0xdddddb30,0x4001dffd,0x07f2006e,
    0xe8bf2000,0x00fd800f,0x07f62000,0x4e7c4000,0x99999999,0x99999999,
    0x8001f900,0x01ee005f,0x000cffa8,0x07ee00df,0x1be0df00,0x037c0000,
    0x0013e200,0x2fa801ba,0x50fd8000,0x333333bf,0x013fb333,0x01fcc000,
    0x000dd000,0x000fc800,0x800002fc,0x74001ff9,0x003f7006,0x01fd06f8,
    0x00fb0000,0x8004f880,0x13e6006e,0x5cdf1000,0xffffffff,0x4fffffff,
    0x0df00002,0xfd802fa8,0x32000000,0x02fc000f,0x02fc8000,0xf7006e80,
    0x506f8003,0x9000009f,0x7c40005f,0x006e8004,0x90000ff4,0x66664c7f,
    0xeccccccc,0x013e1ccf,0x3ee07d80,0x04fb801f,0x03f20000,0x0000bf00,
    0x74001fa0,0x003f7006,0x07f606f8,0x7cc28800,0x9f10000e,0x800dd000,
    0xf10005f9,0x7ec0001f,0x00037c40,0x07bf20df,0x0002fd80,0x8001f900,
    0xd000005f,0x0df7000f,0xc800fea0,0x03be206f,0x703fa200,0x3e20009f,
    0x006e8004,0xd8002fc8,0x7ec0002f,0x000ffc40,0x77ec27cc,0x07fc4000,
    0xc80e4c00,0x02fc000f,0x400ceda8,0xfb1003fc,0x1be600df,0x01bff620,
    0x4c001df5,0x07fb03ff,0x0009f100,0xff100077,0x02fec007,0x2207ec00,
    0x22000eff,0x37fa21ff,0x7ff50000,0x0bff6600,0x3e0007e4,0xffffb805,
    0x4037d406,0x006fdffa,0xff9807fa,0xffb806fd,0x02ffa803,0x4007bfa2,
    0x00004fb8,0x027fcc00,0x0003bfa2,0xff103f60,0xfd3003df,0x0004fc87,
    0x9abefe98,0xfffdca98,0x0003f202,0xfffb00bf,0xefc803ff,0xfecb989b,
    0x1bddfd2f,0x456ffcc0,0xff2ffeca,0x7fdc03bd,0xfdb98ace,0xff7001ef,
    0x7331359b,0x0005dffb,0xdfb10000,0xffb73159,0x7ec0000b,0x7fd67c40,
    0xda9889ad,0x001884ff,0x7fffdc00,0x02dfffff,0xbddffdb5,0x3ffbb201,
    0xfff703ee,0x3fee00df,0x0cffffff,0x007ffffa,0xfffffff5,0x0ffffc1b,
    0x3ffff220,0x8004ffff,0xffffffd9,0xd702dfff,0xdddddddd,0xdddddddd,
    0xfffc807d,0x002effff,0x7ff77640,0x6c4ba2de,0xffffffff,0x0000001d,
    0x0abcba98,0xfffffc80,0xffe880ef,0x2604ffff,0x22000bcc,0x001accba,
    0x5e654400,0xa9800001,0x00000acc,0x13599753,0xfffffd80,0xffffffff,
    0x005fffff,0x00359951,0xffffd100,0x98807fff,0x000abcca,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0175c000,0x200007d7,0x099aaaa9,0x333332a0,0x3326003c,
    0x000001cc,0x777776dc,0x4eeeeeee,0x00015300,0x77777764,0xeeed981d,
    0x12204eee,0x26200000,0x27540009,0xda809d30,0x4404eeee,0x72deeeec,
    0x22079999,0xff880fff,0x3a60000f,0xffffffff,0x7fffc41e,0x3a006fff,
    0x0002ffff,0x7ffff400,0xffffffff,0x3f6600ff,0x01b80cff,0xfffffff1,
    0xffff707f,0x2a01ffff,0x3000001f,0x03bffffd,0x7407ffa0,0x3ff602ff,
    0x2600ffff,0xb4ffffff,0x7c09ffff,0x01ffa06f,0xaadffb80,0x81edccaa,
    0x6e999998,0x3ee66200,0x00000002,0x3e600374,0x8bffebdf,0xfc804fe9,
    0x04f98001,0x00002fb8,0xebbdffa8,0xffd802ff,0x001ffb00,0xfb000bf5,
    0x3ffffc85,0xa8802a20,0x1ff30000,0x0dd00000,0x000bea00,0x0dd00000,
    0x7d41db80,0x9004ffff,0x9f30003f,0x0005f700,0xa81ff880,0x00a801ff,
    0x5fb000d4,0x5c27d400,0x0002ffff,0x1fe40000,0x06e80000,0x0005f500,
    0x06e80000,0x376e2000,0x007f2002,0x2e013e60,0x6c00002f,0x00fa601f,
    0x7c400000,0x0ff8800f,0x01ffff98,0x74000000,0xd000000f,0x0bea000d,
    0xd0000000,0x0000000d,0x20007f20,0x2fb804f9,0x02fc0000,0x00000000,
    0x7ec027dc,0x1ffff102,0x80000000,0x2000006f,0x5f50006e,0x80000000,
    0x0000006e,0x0003f900,0x333109f3,0x333337f9,0x30013333,0x0000009f,
    0x07f60000,0x7fc05fa8,0xd973007f,0x00019bdd,0x0000037c,0x3ea000dd,
    0x00000002,0x4cc40374,0x67765441,0x07f2000a,0x3a13e600,0xffffffff,
    0x7fffffff,0x0004f980,0x26666620,0x7c400019,0x801ff106,0x32606ffe,
    0xffefffff,0x998803ff,0x9999ef99,0x00009999,0x3ea000dd,0x33333102,
    0x74000013,0x7fffc406,0xffffff51,0x3f2003ff,0x84f98001,0xcdfdccc9,
    0xcccccccc,0x000bf002,0x3ffffe20,0xb80007ff,0x802fc84f,0x3f605ffd,
    0x75440ace,0x7fff404f,0xffffffff,0x8000ffff,0x5f50006e,0xffffff10,
    0x740000bf,0x9feca806,0x2e21befc,0x1fc801ff,0x804f9800,0x400002fb,
    0x2a00007e,0x07fccccc,0x543fd000,0x9ff9005f,0xfb000440,0x66664c05,
    0xccccccff,0xdd0002cc,0x40bea000,0x1bcdffda,0x01ba0000,0x405fefb8,
    0x1fc807f8,0x804f9800,0x400002fb,0x000001fc,0x980003f4,0x001fd16f,
    0x0000ffee,0x7c004f88,0x3a000006,0x05f50006,0x0000ffe6,0x2e006e80,
    0x3f7005ff,0x8001fc80,0x2fb804f9,0x1fcc0000,0x1fa00000,0xccfb8000,
    0x3fea002f,0x37c00001,0x0001be00,0x50006e80,0x03ff705f,0x06e80000,
    0x88017ee0,0x00fe404f,0x5c027cc0,0x3620002f,0xeeffeeee,0x200004ee,
    0x7400007e,0x6f8005ff,0x06e80000,0x000037c0,0x2a000dd0,0x0077e42f,
    0x03740000,0xf8003f70,0x000fe405,0x7dc027cc,0x3fe60002,0xffffffff,
    0xd00000ef,0x3fea000f,0xffffffff,0x0002ffff,0x41999880,0x037c006e,
    0x00dd0000,0x7ec4bea0,0x03a2000d,0xb801ba00,0x02fc001f,0x260007f2,
    0x02fb804f,0x00fc8000,0x01fa0000,0x99999980,0x199999ef,0x3f6a0000,
    0xdeffffff,0x037c006f,0x00dd0000,0x3fa2bea0,0x02fa8004,0x2e006e80,
    0x02fc001f,0x260007f2,0x02fb804f,0x01fb8000,0x01fa0000,0x001ba000,
    0xeffea800,0xfecccbcd,0x037c006f,0x00dd0000,0x3bff3ea0,0x02fa8000,
    0x2e006e80,0x02fc001f,0x260007f2,0x02fb804f,0x02fa8000,0x01fa0000,
    0x001ba000,0xffa803f5,0x00df000c,0x000006f8,0x7d4001ba,0x000efcff,
    0x740017d4,0x007ee006,0x2fa80bf0,0x803fa800,0x800002fb,0x000001fb,
    0x544001fa,0xaffaaaaa,0x980aaaaa,0x3ff302ff,0x4006e800,0x2000006f,
    0xdf50006e,0x8003bee3,0x7c4002fa,0x007ee005,0x3f880bf0,0x801fc800,
    0x800002fb,0x4000007d,0xdd30007e,0xddffdddd,0x2603dddd,0x02fc84ff,
    0x7c006e80,0x3a000006,0x85f50006,0x3ea005fb,0x027d4002,0xf8003f70,
    0x8005e805,0x2fb800ff,0x06e80000,0x03f40000,0x00374000,0x3f45fe88,
    0x4006e800,0x2000006f,0x5f50006e,0x2a00bf90,0x17ec002f,0x8003f700,
    0x01fc805f,0x5401be60,0x4400003f,0x4000005f,0xe800007e,0x3f620006,
    0x7000fd0d,0x06f800df,0x01ba0000,0xfc817d40,0x01efa805,0xb800bf50,
    0x02fc001f,0x4c0077cc,0xdf3000ff,0x1fd80000,0xd0017400,0xdd00000f,
    0x27fb0000,0xfb1003fc,0x06f800df,0x01ba0000,0xf9017d40,0x09ff500b,
    0x4000ffa8,0x2fc001fb,0x201efa80,0x74003ff9,0x5eb8802f,0xa800bf30,
    0x01fa002f,0x001ba000,0x06fa84c0,0x06fdffa8,0x000037c0,0x2a000dd0,
    0x02fe402f,0x45677f44,0x001ffdb9,0x7c001fb8,0x33fea005,0x3ffdb98a,
    0x9cff9800,0xffdba989,0x01fe982f,0xd001fa20,0xeea8000f,0xdeeeffee,
    0xefc80002,0xfecb989b,0x1bddfd2f,0x00006f80,0x54001ba0,0x05fc802f,
    0xffffff70,0x6d4001bf,0x00deefee,0x1bdffdb3,0xffffd500,0x40003dff,
    0xffffffe9,0x6c40beff,0xeeeeefff,0xffeeeeee,0x777775c4,0xeeeeffee,
    0x7e404eee,0xffffffff,0xf700004f,0x9fffffff,0x8fffff41,0xffeeeed8,
    0xdeeeeeee,0xddddd702,0xddddffdd,0x775c7ddd,0x3b6202fe,0x402deeff,
    0x000acca8,0xffffffb8,0xffff701f,0x544003ff,0x00001acc,0x06af32e6,
    0xfffffd30,0xffffffff,0xfffb03bf,0xffffffff,0x00dfffff,0x20000000,
    0x01accba8,0xfffff980,0xffffffff,0xfffb03ff,0xffffffff,0x6cbfffff,
    0x2602ffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeeda80,0x77764404,0x776e42de,
    0xceeeeeee,0xdddd9000,0xdddddddd,0x76cc07dd,0x3eeeeeee,0xdddd7000,
    0x9ddddddd,0xed980157,0xeeeeeeee,0x3ae000ac,0xeeeeeeee,0xeeeeeeee,
    0x3bbb6a4e,0x3b2200ce,0xdb32deee,0xdddddddd,0xdddddddd,0xeeeec8dd,
    0x36a01dee,0x43deeeee,0xeeeeeeeb,0x3eeeeeee,0x3ffffff6,0x3fffe600,
    0x3ffe24ff,0xffffffff,0xfffb001f,0xffffffff,0x7dc09fff,0xffffffff,
    0xfffd0006,0xffffffff,0x5c05ffff,0xffffffff,0x03ffffff,0xffffffe8,
    0xffffffff,0x3f65ffff,0x200fffff,0x4ffffff9,0xfffffff7,0xffffffff,
    0x7c4fffff,0x3fffffff,0x3fffff20,0x7fff46ff,0xffffffff,0x3fd86fff,
    0x804fc800,0xd80000fc,0x13ea000f,0x3f2bea00,0x07e40001,0x0bff7310,
    0x65440bf0,0xf9000dfe,0x85f88003,0xfd8005fa,0x8002fc01,0x003fa87d,
    0x4000fb80,0x7f44006e,0x01bea001,0x400007e4,0xff1000fd,0x31fb0001,
    0xfc80009f,0x07fb1000,0x3f2005f8,0x01fc800f,0xfd82fc40,0x013ea002,
    0x3ec0017e,0x400027cc,0x374000fc,0x0077cc00,0xc8007fc4,0xfd80000f,
    0x005fb000,0x03f4bf10,0x0003f200,0x02fc01fd,0x32013ee0,0x2fc4001f,
    0x8800ff88,0x05f800ff,0x9f10fb00,0x00fb0000,0x2e000dd0,0x01fe805f,
    0x33333f20,0x4009accc,0x5fa800fd,0x5c5f7000,0x3f20002f,0x017d4000,
    0x3fb000bf,0x4001fc80,0x13ea05f8,0x7c00bf60,0x20fb0005,0x0266205f,
    0x6e8006e8,0x80ff2000,0x7e4003fc,0xffffffff,0x03f603ff,0x0001df10,
    0x00bf11fa,0x20007e40,0x017e04f9,0xf901be20,0x809f0003,0x17ea02fd,
    0x90005f80,0xfc81ba0f,0x0017e03f,0xfd0001ba,0x000bf503,0x333333f9,
    0x03dfd753,0x03fd00f9,0x3613e600,0x1f90000f,0x202fb800,0x5f90005f,
    0x4000fe40,0x077c401a,0xf0007f44,0x40a6000b,0x17ffe07d,0x740027c4,
    0x7fc40006,0x0003be60,0x7dc003f2,0x7dc01886,0x07f20004,0x64000fea,
    0x07ec000f,0x22000bf0,0x407f204f,0x2a0000d8,0x002fc84f,0x007902fc,
    0x9f301f90,0x00fe20fb,0x20001ba0,0x03fd16fa,0x8003f200,0x7cc004fb,
    0x037c0006,0x3f2000df,0x017f2000,0x37c000bf,0x3ea03f90,0x0fec0002,
    0xbf000bf3,0x5c0037c0,0xfbafb81f,0x8003f982,0xf900006e,0x40007fb9,
    0x7ec000fc,0x01fd1000,0x901fd400,0x1f90003f,0x05fda880,0x360005f8,
    0x5c07f207,0x7c40002f,0x20003fa6,0x001be05f,0x23f60bea,0x02fa84f8,
    0x00006e80,0x00017ff6,0xfb8001f9,0x007f9001,0x2600fd80,0xefc8004f,
    0xffeeeeee,0x0bf004ff,0xc807e400,0xeeeeeeef,0xfb80002f,0xf0003fcc,
    0xfddddddf,0x05f5000d,0x7dc374df,0x006e8001,0x007fea00,0x8001f900,
    0x5fa803f9,0x02fc4000,0x7e4003f4,0xffffffff,0xf802efff,0x03f20005,
    0x7fffffe4,0x00002fff,0x4000bffb,0xffffffff,0x3f98006f,0x81f91fd4,
    0x6e8000fc,0xfff10000,0x7e40001d,0x017dc000,0x00003fe2,0x5f7005f7,
    0x200fc800,0x0efeba98,0xc80017e0,0x203f900f,0x100002fb,0x7c0001ff,
    0x2001be05,0x50fe44f8,0x0007d87f,0x360000dd,0x0005fbaf,0xfd0003f2,
    0x002fd801,0xf1007e80,0x00fc800b,0x403bf620,0x1f60005f,0x5f701fc8,
    0x03740000,0x6f817e00,0x7e8bf000,0x003745f8,0xb80006e8,0x000ff64f,
    0xf50007e4,0x004fb80d,0xfffff880,0xffffffff,0x03f2000f,0x7c0fee00,
    0x817e0005,0x03f501fc,0x00374000,0x05e817e0,0x2fc4dd00,0x0017e3ec,
    0x2a000374,0x00ff446f,0xc8007e40,0x1be600ff,0xdf7017c0,0xdddddddd,
    0x4007fddd,0xdd0000fc,0x4c0017e0,0x807f203f,0x3a000200,0x02fc0006,
    0x9f600011,0x22fb82fb,0x0dd0004f,0x407fc400,0x64000ff9,0x3f6e600f,
    0x00ff401f,0x0dd027c4,0x6400dd00,0x3f90000f,0x2e000bf0,0x007f201f,
    0x3a001fc0,0x02fc0006,0x367c8000,0xf14f980f,0x01ba0009,0x2a02fe80,
    0x77e4005f,0xfffeeeee,0x1fe400cf,0xf304f880,0x03f70007,0x40003f20,
    0x005f82fa,0x7e401fd0,0x04f88001,0x20003740,0x7000005f,0x6f81be1f,
    0x3a0007f3,0x09f90006,0x64009f90,0xefffffff,0x5fa800cd,0x6413e200,
    0x4f88000f,0x0001f900,0x017e03f2,0xf9017f20,0x09f10003,0x40006e80,
    0x5000005f,0x6409f33f,0x0002fa8f,0xbf5000dd,0x8017f400,0x880000fc,
    0x3e2000ff,0x4000bf04,0x0fc800fd,0xf06e8800,0x0ffb800b,0x4000fe40,
    0x374004f8,0x0017e000,0x7dd7cc00,0x3eefea01,0x00dd0001,0x2000ff88,
    0xfc800ff8,0x2fd80000,0x5427c400,0x3ea0002f,0x000fc802,0x5f81ff44,
    0x00bfea00,0x220007f2,0x0374004f,0x00017e00,0x03f5fcc0,0x003f37e2,
    0x3a003740,0x6f98001f,0x0000fc80,0x440027d4,0x000fd84f,0x32017e20,
    0xfd51000f,0x4c02fc09,0xf9001ffd,0x09f10003,0x40006e80,0x1000005f,
    0xfb00bfbf,0x374000fb,0x77ff6c40,0x3b6a02de,0x320deffe,0xeeeeffee,
    0xfb800dee,0xeeeeeeee,0x4feeeeee,0xdddffdb3,0x776c401b,0x321deffe,
    0xeeeeffee,0xffeeeeee,0xffed983f,0xfeeeeeee,0x76400dff,0xeeeeeffe,
    0xeeeeeeee,0xddb304fe,0xddddffdd,0x3bb6605b,0xeeeeeeff,0x7ffc0003,
    0x07ffb803,0x77777764,0xeeeeeeff,0xfffffd14,0x7ffdc07f,0xfd10efff,
    0xffffffff,0xff7003df,0xffffffff,0x29ffffff,0xfffffffa,0x3ffa200e,
    0x3a2fffff,0xffffffff,0xadffffff,0xfffff500,0x9dffffff,0x3fffa003,
    0xffffffff,0xffffffff,0xfffff504,0x7fffffff,0x3ffffea0,0x05ffffff,
    0x00fff400,0x3a037fcc,0xffffffff,0x06ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xeeeeeeda,0xeeeeeeee,0xdd704eee,0xbddddddd,0x3b660037,0x00ceeeee,
    0x3bbbbb22,0x3bb6e1de,0xeed9805e,0xdb0ceeee,0xdddddddd,0xdddddddd,
    0x7776d4bd,0xeed982de,0x775c3dee,0x81deeeee,0x2deeeed9,0x7777775c,
    0x1acdeeee,0x77775c00,0xeee98003,0x7777644e,0xbceeeeee,0xfd80000a,
    0xffffffff,0xffffffff,0xfffff05f,0xffffffff,0x7fdc01bf,0x00ffffff,
    0x3fffffe6,0x3fffa3ff,0x7fd403ff,0xf1ffffff,0xffffffff,0xffffffff,
    0x7ffe4dff,0xffa84fff,0x7f46ffff,0x3fffffff,0xffffffb8,0x7fffff45,
    0xffffffff,0xffd000df,0xfb000dff,0x3e21ffff,0xffffffff,0x0cffffff,
    0x49f10000,0x02fc405f,0xdb9807ee,0x06e802ff,0xb806f800,0x22000fff,
    0x7c05f84f,0x7e437406,0x402fc001,0x3a2001fc,0x01fc803f,0x00bff6a6,
    0x002fbfe8,0x201f73e6,0xd53100fc,0x500003ff,0x2202fc5f,0x00fdc05f,
    0x6403ff98,0x3ea0001f,0x5fcfb803,0x3e13e200,0x3a037c05,0x4001fc86,
    0x01fc805f,0x2005ff30,0xff5001fc,0x3e3fa003,0x367f2006,0x000fc807,
    0x80001df7,0x1017e0fc,0x01fb80bf,0x8803fa20,0x3f60004f,0xfdafb800,
    0xf09f1001,0x7406f80b,0x4001fc86,0x01fc805f,0x2002ff98,0x3e6001fc,
    0x3f2fd006,0xfb5f8801,0x4001f900,0x740005fb,0x3e202fc6,0x000fdc05,
    0x1fb017e6,0x00bf1000,0x01be2bee,0x02fc27c4,0x90dd01be,0x05f8003f,
    0x7d401fc8,0x0fe4001f,0x2007f200,0x700bf17e,0x3201f65f,0x07ec000f,
    0x7c4f9800,0x202fc405,0xfc8001fb,0x000fea02,0x7dc00bee,0xf1007f92,
    0x6f80bf09,0x0fe43740,0x32017e00,0x03bee01f,0x0007f200,0x4fd007f3,
    0xb37400fd,0x001f900f,0x70002fb8,0xe805f83f,0x000fdc03,0x1be037c4,
    0xb801fa00,0x1003fa2f,0xf80bf09f,0x7e437406,0x402fc001,0x1df901fc,
    0x007f2000,0xfd007f50,0x7f501fcc,0x07e403ec,0x000fe600,0x002fc3ec,
    0x0001fb80,0x0fe401f9,0x4009f300,0x013ea2fb,0x80bd09f1,0x6437406f,
    0x02fc001f,0x6fec0fe4,0x07f20000,0xd005fb00,0x3f607e8f,0x3f201f60,
    0x00fdc000,0x45f85f80,0x1fb8006c,0x403f7000,0x3f2004f9,0xb0bee001,
    0x427c403f,0x2037c009,0x001fc808,0x0fe402fc,0x0000bfb1,0x7cc003f9,
    0xfa8fd006,0x3ec4f982,0x20007e40,0x7f30007e,0x007e8bf0,0x30001fb8,
    0x007e807f,0x5f7001be,0x3e206f98,0x00df0004,0xf0007f20,0x223f900b,
    0x900004fe,0x3fee003f,0xdf0fd002,0x07d83f90,0x2e000fc8,0x3f90005f,
    0xffdddff0,0xfdddb700,0x39dddddd,0x2e027c40,0x03fa802f,0x7e417dc0,
    0x0009f102,0x7e4001be,0xeeeeeeee,0x805feeee,0xfffe89fc,0x1fc80003,
    0x3ffd7310,0x7dc3f400,0x1f617e21,0x64003f20,0xfd0000ef,0x3fffffe0,
    0xffffe807,0xffffffff,0x1013e203,0x01fb00bf,0xf882fb80,0x004f880f,
    0x32000df0,0xffffffff,0x05ffffff,0xbaffbfc8,0x20001efe,0xeeeeeefc,
    0x000cffff,0x72fc43f4,0x900fb05f,0x3aea201f,0xf10001ff,0x0fd17e0b,
    0x0003f700,0x3f6013e2,0x0017e200,0x27d40bee,0xf80027c4,0x03f90006,
    0xfc805f80,0x0ffdc1ff,0xffffc800,0x00efffff,0x3f20fd00,0x01f60dd0,
    0x3ffffff2,0x003fffff,0x5f817d40,0x7dc0036c,0x07f30001,0x7dc07f30,
    0x02fb8002,0x09f107fa,0x4001be00,0x2fc001fc,0x980ffe40,0xfc8000ef,
    0x009ff701,0x67cc1fa0,0x00fb03fa,0xddddddf9,0x0000179b,0xfffffff9,
    0x800188bf,0xf70001fb,0xe81ba003,0x05f70007,0x13e22fcc,0x80037c00,
    0x2fc001fc,0x2600fe40,0x1fc8005f,0x0017fa60,0xfefd81fa,0xf900fb00,
    0x20000001,0xccccccef,0xf700005f,0x01f60003,0x4f981fb8,0x805f7000,
    0x013e22fc,0xc80037c0,0x02fc001f,0x7e400fe4,0x00fe4002,0xd0017f62,
    0x027fd40f,0x01f900fb,0x7f300000,0x80002fc0,0xbf0001fb,0x642fc400,
    0x5f70001f,0x3e26f880,0x00df0004,0xf0007f20,0x003f900b,0xfc800ff1,
    0x007fb001,0x033203f4,0x0fc807d8,0xfb800000,0x22017e01,0x007ee02f,
    0xb0013ea0,0x0006f81f,0x3ee00bee,0x20009f14,0x3f90006f,0xc805f800,
    0x07f7001f,0x8800fe40,0x0fd001fe,0x900fb000,0x0000001f,0x805f80fb,
    0x07ee04f8,0x001ff300,0x0fea3fa8,0x002fb800,0x009f11fd,0x64001be0,
    0x02fc001f,0xdf000fe4,0x000fe400,0x1fa00df3,0x201f6000,0x000000fc,
    0x02fc05f8,0x3f7027c4,0x01ff4400,0x03f66f80,0x002fb800,0x009f1bf3,
    0x64001be0,0x02fc001f,0xf9000fe4,0x007f2003,0xfd007f90,0x00fb0000,
    0x000001f9,0x2fc03f98,0xf7027c40,0x17fa2003,0xf89fc800,0x17dc0004,
    0x09f5fb00,0x4001be00,0x2fc001fc,0x3000fe40,0x07f200bf,0x801ff100,
    0x7d80007e,0x0000fc80,0x2007e400,0x04f8805f,0xf71007ee,0xf980009f,
    0x40001fcc,0x3e2002fb,0xdf0004ff,0x007f2000,0x3f900bf0,0x800fe800,
    0xfa8001fc,0x0003f404,0x07e403ec,0x76cc0000,0xdb30deff,0xdddddffd,
    0x909fdddd,0xdddddfdd,0x07fffddd,0x1bffa000,0xefeec800,0x7dc02dee,
    0x776d404f,0xeeeeffee,0xfeeda81d,0xed982dee,0x323eeffe,0xdeeefeee,
    0x6f77d402,0x3bffbb22,0xfd001dee,0x3fb623bd,0x400deeef,0xdeffeeec,
    0x3bffbb21,0x00deeeee,0xfffff500,0x3fffe61d,0xffffffff,0xffe84fff,
    0xffffffff,0x00000bde,0x8000ffee,0xfffffffe,0x404fe803,0xfffffffb,
    0xb82fffff,0x3fffffff,0xffffffa8,0x3ffffa5f,0xf803ffff,0x3ffa4fff,
    0x03ffffff,0x265fff30,0xffffffff,0x3fffa201,0xfd13ffff,0xffffffff,
    0x000003df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9000000,0xdddddddd,0x9500009d,0x0000639b,
    0x04400000,0x08000000,0x00000022,0x20000440,0x1cdeeeca,0x765cc002,
    0x98001bce,0x7101cecb,0x4cc405bd,0x26001999,0x00019999,0x3fffffe2,
    0x00ffffff,0xffffb100,0x00003fff,0x2003e880,0x0000005d,0x3fea7e44,
    0x54000000,0xfb8002ff,0xffffffff,0x36203fae,0xffffffff,0xffea800d,
    0x7dc6ffff,0xfb04ffff,0x003fffff,0x9ffffff5,0x800bb710,0x7400006e,
    0x3fd98bef,0xeecb9800,0x17f441bd,0x0000dd00,0x877fdc00,0x0002eff9,
    0x09ff9000,0x81bffc80,0x504fffc9,0x54415bff,0x7fc02ffd,0x553f661d,
    0x0bf910ef,0x0799fd73,0x3bf32e20,0x3fbfb20b,0x00374005,0x000bf700,
    0x3ffffa20,0xe89effff,0x0374003f,0x7f540000,0x3dff702f,0xe9800000,
    0x3fe6000e,0x84ff9800,0xfa802ffa,0xd802202f,0x5f906fbf,0x80007ee0,
    0xd0aa83f9,0x006e800b,0x0007f600,0x82b3fee0,0x3ffffc98,0x0006e800,
    0x0fffa600,0x037ff220,0x00000000,0x7e4007f9,0x0007fc44,0x20001ff1,
    0xf101fffa,0x000bea0d,0x5e801fb8,0x00037400,0x90000fd0,0xff3003df,
    0x01ba000d,0x3ff62000,0x7ecc000c,0x000000cf,0x003f9000,0x017ec3f8,
    0x0002fd40,0x2fb80bff,0x99104f88,0x7401f601,0x00374005,0x0001fb00,
    0x440077cc,0x8002fefe,0x2200006e,0x0001dffc,0x001fff54,0x7cc00000,
    0x27cc0005,0x003fb000,0xf100bfa0,0x7dc1ba0b,0x200dd02f,0x0374005e,
    0x007f7000,0x2007fa20,0x0ff8cfe8,0x00037400,0x002effb8,0x177fdc00,
    0x20000000,0x8001befd,0x2a0001fb,0x0998802f,0x0dd001fd,0x3ffa03f2,
    0xd004f885,0x006e800b,0x80037400,0xfe8803fb,0xd0013ee4,0xfea8000d,
    0x4000002f,0x0001effc,0x3fee0000,0x01bcdeff,0x880003f2,0xfeca884f,
    0xaaffefff,0xeaaaaaaa,0xf883f707,0x17d40fdd,0x74005e80,0x7cc00006,
    0x00fd8003,0x2fc27f44,0x4001ba00,0x0003ffe9,0x3ff22000,0x9999880d,
    0x99999999,0x00999999,0xfffdb951,0x00dd05df,0xffa8df00,0xffdcccef,
    0xffffffff,0x7f307fff,0x43faafb8,0x0bd001fb,0x00006e80,0x20007fcc,
    0x04fd806e,0x999998fd,0x999ef999,0x6c419999,0x00000cff,0x9ffb3000,
    0x7fffff41,0xffffffff,0x006fffff,0x227fe54c,0x5f80007e,0xfd00bbf6,
    0x33333333,0x22fc0333,0x0fb17e7e,0x3a002f40,0xfb100006,0x7c400bff,
    0x9027ec05,0x3ffffa1f,0xffffffff,0x76ffffff,0x00003fff,0x3fea0000,
    0x9999952f,0x99999999,0x00399999,0xf92fe440,0xa7cc0001,0x1fd006f9,
    0x44fb0000,0x5f83f65f,0xd0017a00,0xfd10000d,0xf705f93d,0xfb02fc5d,
    0x930fc80b,0xf9999999,0x9999999f,0x0f7fdc39,0x20000000,0x0002efea,
    0x32000000,0x0005f70f,0x02fc97d4,0x00005fd0,0xa8bee1f9,0x4007f13f,
    0x0374005e,0xf11fe400,0x22efe81f,0x00bfb07e,0x06e800dd,0x0dffc880,
    0x4c000000,0x00003ffe,0x2000d500,0x00bf32f9,0x1fb87f40,0x0007fd00,
    0x21fa5f50,0x4405f56f,0x999ee999,0x00037400,0x327d4374,0xd81fb0df,
    0x05f8805f,0x30003740,0x00019ffb,0xcffd8800,0x20000000,0xfa8002fc,
    0x2000ff22,0x00fe64fb,0x0003ffe6,0x09f19f10,0x401f91f9,0xfffffffe,
    0x0037406f,0x827cc7a2,0x507f71fd,0x802fec9f,0x374003fc,0x7ff54000,
    0xc8800003,0x00000dff,0x005fc800,0x0ff40fd8,0xdf0df300,0x7fff4401,
    0x3a02d403,0xbfa82fbe,0x8000006d,0x9fcc006e,0x2df101fb,0x93fb00fe,
    0x1be600bf,0x0001ba00,0x002effa8,0x03dff700,0x64000000,0xd8800dff,
    0x04ff984f,0xfb81ffc8,0xdfffd105,0x0dfb103f,0x3e07efd8,0x000005fe,
    0x7cc006e8,0x7dc03f73,0x3fe205fd,0x3fd1005f,0x000dd000,0x03dff700,
    0x0bffaa00,0x17910000,0x3ffbf200,0xca988abc,0x3fa605ff,0xeca88abe,
    0x3bee00ef,0xeaffb98b,0xc98bfe8e,0xffb804ff,0x00fff204,0x01ba0000,
    0x0fea7f30,0xd801ffd0,0xffb803ff,0x00dd0003,0x3ff22000,0xffd3000d,
    0x2e000007,0x2d5003ff,0xffffffe9,0xf7002eff,0x7fffffff,0x3fffee00,
    0x3e6991ff,0x002effff,0x7cc05ff3,0x8000001f,0x9fcc006e,0x37e406f8,
    0x3bffbf20,0xfeba88ab,0x1ba0001e,0xfb300000,0x3f62019f,0x000000cf,
    0x8000ffee,0x1abccba8,0x59953000,0x2f260003,0x0de4c00a,0x00000000,
    0x006e8000,0x09f71fcc,0x640bffee,0xffff70ef,0x0009ffff,0x00000dd0,
    0x88fffaa0,0x0001dffc,0x00077000,0x00000000,0x00000000,0x00000000,
    0x800dd000,0x577ec3f9,0xfe9efca8,0x81df51de,0x01accb98,0x001ba000,
    0x7ff70000,0x0000bbf6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26003740,0xffffc83f,0x5fff50ef,0x00000326,0x0000d400,0xa8dc4000,
    0x00000002,0x00000000,0x00000000,0x00000000,0xdb100000,0xdddffddd,
    0xdddddddd,0x32e207fd,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffa20,0xffffffff,0x3fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xedca8800,0x40041bcd,0xcdeeecb9,
    0x33331000,0x13333100,0x76dd4400,0x01800acd,0x26200030,0x2e600999,
    0x9999881c,0x99999999,0x04ccc099,0x95039db5,0x999805bd,0x22009999,
    0x41999999,0x65441998,0x8800acee,0x20099999,0x00999998,0x3ffffee0,
    0xfb8cffff,0xffffc980,0x03ffffef,0x01fffff8,0x1bffffe6,0x7ffffd40,
    0x2604ffff,0x02fcc05f,0x3ffffe60,0xfffffb86,0x3ffff22e,0xffffffff,
    0x3ffee5ff,0xfffffd8e,0x3fffff62,0xfffff904,0xff301fff,0x29ffffff,
    0xf51ffff8,0x3fffffff,0xfffffe80,0xffff980f,0xfe8806ff,0x7f5441ae,
    0xefd80fef,0x7f5440ac,0x7f664c04,0x7e665c01,0x5ffec406,0x0f7f5441,
    0x3a00efd8,0x32a000df,0x3f626fcc,0x1ffa8acf,0x99999bf9,0x7ff99999,
    0x7f7fe5c4,0xfb3fd51c,0x207faa39,0xccdfecb8,0x3f732a02,0x3b2a0bce,
    0x21befc9f,0x2601ffb8,0x202cdffb,0x01bffdca,0xa8027f44,0x00880fff,
    0x5c00bf60,0x037c001f,0x2a0033fa,0xefe881ff,0x01dfd100,0x7fcdba00,
    0xf91d980d,0x813f2003,0xffa84ffe,0x405fa83f,0xfc8004fa,0x2ff7dc01,
    0x2a01fe20,0xfe8800ef,0x005f9002,0x0000ffa8,0xf7004f88,0x206f8003,
    0x7d4004fc,0x03dfd106,0x0003bfe2,0x00bfebba,0xfb801fc8,0x882ff405,
    0x01be05ff,0xf88003fa,0x05ffb806,0xf5003f70,0x17f4401d,0x0005f980,
    0x200001fd,0x03f7006f,0xbf306f80,0x40fee000,0xf301fff8,0xfe8003df,
    0x3d4001ff,0x74037d40,0xb007f407,0x007f700f,0x7dc017dc,0x013e2005,
    0x7cc0ffd4,0x07f6002f,0x0003dc00,0x3ee00dd0,0xd837c001,0x1fe0001f,
    0x502fff98,0x74003fff,0x000000ef,0xdd001df5,0x3ec07e80,0x3a006f80,
    0x003f7007,0x3e6005f8,0x007fe61f,0x00000df0,0x20cccc40,0x03f7006e,
    0x0dd06f80,0x200fc800,0xf502fffa,0x3ba005ff,0xf3000000,0x01ba001f,
    0x007d80fd,0x9f5005f9,0x0007ee00,0xff9800bf,0x4001ff99,0x000004f8,
    0x7ffffed4,0x006fdeff,0x6f8003f7,0xccccef88,0xcccccccc,0x401fdccc,
    0xf703fffb,0x0dd005ff,0x3fe20000,0xd01ba001,0x1007d80f,0x01fb00bf,
    0xf0007ee0,0xfff3000b,0x7f30003f,0x3aa00000,0xccbcdeff,0x7006ffec,
    0x86f8003f,0xfffffff9,0xffffffff,0xc803ffff,0xff903fff,0x006e807f,
    0x02fe8800,0x1fa03740,0x7ec00fb0,0x8017e601,0x2fc001fb,0x03ffb800,
    0x0007f300,0x019ff500,0x7dc01be0,0x4437c001,0x999999cf,0x99999999,
    0xfd800999,0xffe881ff,0x0037401f,0x001fec00,0x01fa0374,0x27cc00fb,
    0x5c003f90,0x02fc001f,0x17fffd40,0x0027c400,0x007fe600,0x3ee00dd0,
    0xe837c001,0xb0000006,0x3f603fff,0x06e800ef,0x027ec000,0x3f406e80,
    0xfb001f60,0x800df101,0x2fc001fb,0x223bea00,0x6f8002fe,0x17e40000,
    0xb8037400,0x837c001f,0x000000fd,0xd8077fe4,0xdd000eff,0x27e40000,
    0xe80dd000,0x2003ec07,0x02fb83fa,0x2000fdc0,0x3bea005f,0x000bfa20,
    0x400003fb,0x0dd0007e,0xf0007ee0,0x0013ee0d,0x0effb800,0x001bff90,
    0xb8000374,0xd018805f,0x6c07e80d,0xe87e8007,0x01fb8007,0xfb802fc0,
    0x02fe880e,0x8001be60,0x2001fa49,0x7f5006fb,0xb037e400,0x5000005f,
    0x3ee01bff,0x06e8005f,0x006fa800,0x80dd01f7,0x003ec07e,0x07f517dc,
    0x8003f700,0x0efb805f,0x800ffa20,0xfc8004fc,0x2007f90f,0x3006ffd8,
    0xffb100df,0x007fc40d,0x3ea0e4c0,0x13fea05f,0x00037400,0x5c003be6,
    0x7406e81f,0x4003ec07,0x003f66f8,0xf0007ee0,0x00efb80b,0x2003fe88,
    0xea800dfe,0x01bea1ff,0x01bf7fea,0x3e601fe8,0x7d406fdf,0xffb3003f,
    0x3027fcc5,0x740009ff,0x3fe60006,0x207ee000,0x203f406e,0x3f90007d,
    0x2e0009f3,0x02fc001f,0x44001df9,0xfb1003fe,0x9731359f,0xf901bffd,
    0xd973137d,0x3bbfa5ff,0x37fe600d,0x2ffeca8a,0x2603bdff,0x989abefe,
    0x22fffdca,0x3e204ff8,0xdd91003f,0xddddffdd,0x3a07dddd,0xeeeeeeff,
    0x1feeeeee,0x3bdffdb3,0xb03bdfd0,0x44003bdf,0x2001feef,0xdeefeeda,
    0xdffdb300,0x3bffae1b,0x3bb204ee,0x5003effe,0xffffffff,0xffb8019f,
    0x0cffffff,0x007ffffa,0xfffffff5,0x0ffffc1b,0x3ffffee0,0x882dffff,
    0x0174c02e,0xffffff30,0xffffffff,0x3fffe09f,0xffffffff,0xff51ffff,
    0xfd05ffff,0xfffb05ff,0x5ffd8005,0x7fffdc00,0xff701fff,0x3f23ffff,
    0x80efffff,0xffffffe8,0x65d4c004,0x220009ac,0x001accba,0x5e654400,
    0x54c00001,0x0000abcb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x221800c0,0x00260001,0x00800062,
    0x0710005c,0x80aaaaa6,0x000accb9,0x53003553,0x98805997,0x99999999,
    0x99999999,0x00000999,0x55300000,0x55555555,0x55555555,0x26000155,
    0x22000001,0x9fa200fd,0xfc8003fb,0x4007d803,0x42efffc8,0xf9800ff8,
    0xffffd80f,0xffffd885,0x3fa604ff,0xea81efff,0x1fffffff,0xffffffa8,
    0xffffffff,0x6fffffff,0x26005700,0x260fffff,0xfb1fffff,0xffffffff,
    0xffffffff,0x7e44bfff,0x7ff4c0cf,0x4400001e,0x3fa205fe,0x644ffa24,
    0xf90ceffe,0x00fb001d,0x64c56fcc,0x0077d45f,0xff105ff3,0xff883fff,
    0x03bf261c,0xfffffff5,0x0abd985f,0x9710bd71,0x99999999,0x99999999,
    0xf300df99,0xfff1003f,0xffff88ff,0x5555510f,0x55555555,0x15555555,
    0x22ffffec,0x005ffffe,0x81bfa200,0xfe885ff9,0xffddfffd,0xb000efdf,
    0xb837c00f,0x4077d42f,0xff502ff9,0x03fd0bff,0xdff12fd4,0x0077f5c5,
    0x00003f50,0xe880dd00,0xff800eff,0xffff86ff,0x10000007,0x21ffffff,
    0x0ffffff8,0xeff98000,0x40dff300,0xfa82fff8,0x1f6000ef,0xbd007440,
    0x7cc1df50,0x3fff202f,0x401fd40f,0x01ff71fc,0x20807ff3,0x000003f9,
    0x57ec06e8,0xffe805fb,0x5fffe85f,0x3e000000,0x7f46ffff,0x80006fff,
    0xf500eff9,0x77cc01df,0x103fa200,0x0081f601,0xefb827c0,0x7402ff98,
    0x0fc84fff,0xbfb3f980,0x36a27f40,0x3fefffff,0x6e800000,0x4fc93f20,
    0x427ffec0,0x0004fffc,0x3ffee000,0x7fffd43f,0x7fd40002,0x1fff701f,
    0xa801fd80,0x05eff44f,0x7fed44fb,0x403f7000,0x402ffefb,0xd80ffff8,
    0x3a9f1007,0xd97f203f,0xeccccdff,0x8000003f,0xd0df506e,0x7ffe405f,
    0x03fffb83,0x64400000,0x000aa00c,0x407ffea0,0xf801fffb,0xb51fa006,
    0x5fd7dfff,0x007dfffb,0x3f200bee,0xfffb803f,0x3001f903,0xe81bf25f,
    0x201bf74f,0x000003f9,0x0ff986e8,0xf700ff88,0xfff503ff,0x7ffffec5,
    0xffffffff,0x4fffffff,0x20000000,0xf902fffb,0x9f1005ff,0x4407e400,
    0xffffffdb,0x3f2000be,0xffff9802,0x03ffec00,0x3f9007f5,0x3ea07fee,
    0x4c01fd2f,0x8000003f,0x00ff446e,0xff301df5,0x3fff301f,0x66666654,
    0xcccccccc,0x02cccccc,0x000002aa,0x640ffff2,0xf3002fff,0x007e4009,
    0x003bff22,0x3003fb10,0x01ff55ff,0x3601fffc,0xd13ea01f,0xffb33bff,
    0xfd503ecb,0xd0000007,0xb803fd8d,0x07ff885f,0x0001fff1,0xfff50000,
    0x9800009f,0xff505fff,0x17e200bf,0xf8807d80,0x22002fef,0xff9800ee,
    0x2603fea2,0xff8806ff,0x0dfb311c,0xffffffd3,0x88e7cc1d,0x0adfffda,
    0x9ba00000,0x3f6004fc,0x3e06ff83,0x0000007f,0xfdabefa8,0x801b600e,
    0xf504fff9,0x3fa009ff,0x806f8800,0x00ff9afd,0xf3005fa8,0x81ff505f,
    0xb1002ffc,0x09ffffff,0x04ffffc8,0x9ffffffb,0x000bfff5,0x6f8b7400,
    0x6c3f4400,0x017f604f,0xdf500000,0xc80efc81,0x7f4c004f,0x7fff304f,
    0xb00bf500,0x24fb805f,0x1fe405fb,0x202ff980,0x13ee0ffb,0x2b32a200,
    0x20022000,0x260abcb9,0x40000019,0x18000a29,0x32200c98,0x40000000,
    0x5ff500ee,0x40017f66,0xd303ffe8,0xbfd005ff,0x80dfb101,0x03fd86f9,
    0x333337f9,0x0bfa2bb3,0x0031bee0,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffa8013,0x440004ff,0xfd102ffe,0x7ffe403f,0xfffcbbcf,
    0x207fa03f,0xffd80fe8,0x6fffffff,0x754005d1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x71000000,0x400005bb,0xfd101ffd,0x51df903f,
    0x15dfffff,0x05d107fd,0x00000f4c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x3ff601ff,0x5303bee0,0x02fe8835,
    0x02eb8000,0x77770fae,0x77777777,0x10777777,0x11111111,0x11111111,
    0x81111111,0xffffffe8,0xffffffff,0xffffffff,0x000001ef,0x00000000,
    0x00000000,0x32000000,0x337ec06f,0x3910001b,0xff880000,0x41fff107,
    0xffffffff,0xffffffff,0x3fffea7f,0xffffffff,0xffffffff,0x12ffffff,
    0xdddddddb,0xdddddddd,0xdddddddd,0x0000003d,0x00000000,0x00000000,
    0xeb800000,0x00035c00,0x7c000000,0xf1bfa06f,0xffffffff,0xffffffff,
    0x6666644f,0xcccccccc,0xcccccccc,0x000ccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54400000,0x1102a200,0x11111111,
    0x11111111,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_49_latin1_x[224]={ 0,10,5,3,4,3,5,10,12,6,0,3,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,3,
3,4,3,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
12,3,6,0,0,0,0,3,0,-1,7,3,7,7,9,1,3,9,9,7,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,3,3,
3,3,3,3,0,3,2,2,2,2,3,3,3,3,2,2,3,3,3,3,3,3,2,1,1,1,1,3,0,3,
 };
static signed short stb__courier_49_latin1_y[224]={ 36,8,9,7,7,9,13,9,9,9,9,12,29,22,
30,6,8,9,8,8,9,9,8,9,8,8,17,17,12,19,12,10,8,11,11,10,11,11,11,10,11,11,11,11,
11,11,11,10,11,10,11,10,11,11,11,11,11,11,11,9,6,9,8,46,7,17,9,17,9,17,9,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,17,17,17,17,17,17,9,9,9,20,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,7,10,14,11,
9,9,10,10,8,17,22,22,10,5,4,9,8,8,7,17,9,19,35,8,8,17,8,8,8,17,2,2,2,4,
4,2,11,10,2,2,2,4,2,2,2,4,11,4,2,2,2,4,4,16,9,2,2,2,4,2,11,9,7,7,
8,10,10,7,17,17,7,7,8,10,8,7,8,10,9,10,7,7,8,10,10,13,15,7,7,8,10,7,9,10,
 };
static unsigned short stb__courier_49_latin1_w[224]={ 0,6,16,19,18,20,17,6,8,8,17,20,10,20,
8,18,18,18,18,18,17,18,18,17,18,18,8,11,21,22,21,16,17,26,23,22,22,22,22,23,22,18,23,24,
22,26,25,22,21,22,25,20,20,24,26,26,24,22,18,8,17,8,18,27,8,21,24,21,24,21,20,23,23,20,
15,21,20,26,22,20,24,24,21,18,20,23,24,24,22,22,17,9,2,9,20,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,21,18,22,
2,20,14,26,14,22,23,20,26,28,12,20,11,12,8,23,20,8,8,12,14,22,26,27,26,16,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,24,25,22,22,22,22,22,16,24,24,24,24,24,22,21,21,21,21,
21,21,21,21,26,21,21,21,21,21,20,20,20,20,21,22,20,20,20,20,20,20,22,23,23,23,23,22,24,22,
 };
static unsigned short stb__courier_49_latin1_h[224]={ 0,29,13,32,34,28,24,14,33,33,17,23,14,4,
7,34,29,27,28,29,27,28,29,28,29,29,20,24,23,9,23,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,32,25,27,25,26,25,25,25,25,25,33,34,33,13,2,8,20,28,20,28,20,27,28,27,28,
37,27,27,19,19,20,28,28,19,20,26,20,19,20,19,28,19,33,33,33,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,29,26,18,25,
33,30,4,27,13,19,13,4,27,3,13,27,15,16,8,28,30,7,9,15,13,19,28,28,28,28,34,34,34,32,
32,34,25,34,34,34,34,32,34,34,34,32,25,32,35,35,35,33,33,15,29,35,35,35,33,34,25,28,30,30,
29,27,27,30,20,27,30,30,29,27,28,29,28,26,28,26,30,30,29,27,27,21,23,30,30,29,27,38,36,35,
 };
static unsigned short stb__courier_49_latin1_s[224]={ 254,239,187,46,232,164,24,246,75,66,43,
65,90,76,227,24,135,155,22,72,201,88,234,235,215,175,246,244,86,204,108,
47,120,67,94,110,118,141,187,133,127,237,87,150,1,201,80,178,228,193,175,
219,106,134,53,210,1,164,48,84,208,136,168,126,246,23,114,1,210,69,23,
64,23,1,24,65,44,154,206,170,185,139,114,151,159,45,181,218,229,41,136,
103,253,93,227,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,254,246,91,
180,24,223,251,138,61,107,129,1,144,76,174,97,116,157,61,240,240,22,49,
236,246,243,101,91,158,223,131,206,51,226,78,66,93,1,1,28,1,43,128,
216,151,170,189,1,28,20,136,113,159,170,113,73,25,88,182,207,145,105,26,
68,70,113,109,64,1,203,191,222,181,159,50,1,185,154,1,202,46,111,92,
225,194,134,201,130,42,1,25,1,86,1,40,65, };
static unsigned short stb__courier_49_latin1_t[224]={ 1,75,417,110,1,204,370,290,75,75,417,
370,417,433,417,75,143,233,233,174,262,233,143,204,143,143,109,233,370,417,370,
262,109,318,318,262,318,318,318,262,344,318,290,344,370,344,344,262,344,75,344,
262,344,290,344,318,318,318,318,75,40,75,417,433,305,396,204,396,204,396,290,
233,262,233,1,290,290,396,396,370,204,204,396,370,290,396,396,370,396,233,396,
75,40,75,425,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,1,75,174,
290,417,290,1,109,433,233,417,417,417,433,233,433,417,262,417,262,279,204,143,
417,130,370,417,396,174,174,174,174,40,40,40,109,109,40,344,40,75,75,40,
75,40,40,40,110,344,110,1,1,1,75,75,417,174,1,1,1,75,40,318,
204,143,143,174,262,290,109,370,233,109,109,174,262,174,143,204,290,204,290,143,
109,143,233,233,370,370,143,143,174,262,1,1,1, };
static unsigned short stb__courier_49_latin1_a[224]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_49_latin1_BITMAP_HEIGHT or STB_FONT_courier_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_49_latin1(stb_fontchar font[STB_FONT_courier_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_49_latin1_BITMAP_HEIGHT][STB_FONT_courier_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_49_latin1_s[i] + stb__courier_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_49_latin1_t[i] + stb__courier_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_49_latin1_x[i];
            font[i].y0 = stb__courier_49_latin1_y[i];
            font[i].x1 = stb__courier_49_latin1_x[i] + stb__courier_49_latin1_w[i];
            font[i].y1 = stb__courier_49_latin1_y[i] + stb__courier_49_latin1_h[i];
            font[i].advance_int = (stb__courier_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_49_latin1_s[i] + stb__courier_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_49_latin1_t[i] + stb__courier_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_49_latin1_x[i] + stb__courier_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_49_latin1_y[i] + stb__courier_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_49_latin1_LINE_SPACING
#endif

