// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT        204
#define STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_29_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_29_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_29_latin1_LINE_SPACING          14

static unsigned int stb__courier_bold_29_latin1_pixels[]={
    0x00000000,0x00004cc4,0x00000cc4,0x00000000,0x00100000,0x00033331,
    0x00000080,0x002d8802,0x000000a2,0x00400000,0x2a007ee0,0xe81ba23f,
    0x80003fff,0x76401ffd,0x1fa80000,0x003ee000,0x3ee004e8,0xffff702f,
    0x4000beef,0x4c005fc8,0x417ea03e,0xff1006fb,0x401b2005,0xd90000ec,
    0x64017ea0,0x4bfb006f,0xff880ffa,0xd80003ff,0x7fd401ff,0x1bf20001,
    0x005fc800,0x640077e4,0xffc82fff,0x00ffb7ff,0x801bffa0,0x3ee01ffa,
    0x003ffb07,0xe8803ffb,0x5ff3004f,0x827f4400,0x7f4407fb,0x706e2004,
    0x1ffd4405,0x05554000,0x0017fcc0,0x88002fec,0xf70004fe,0xbff5001d,
    0x55ff6a60,0x7cc002ff,0xdf7000cf,0x547fc801,0x2ffffffe,0x4c06ff98,
    0x74c003ff,0x3ff9803f,0xf501ff20,0x80000007,0x000003ff,0x800fd100,
    0x2a0003fa,0x7cc0003f,0x80dfb004,0x01bfa7fc,0x4400ff90,0x7fc800df,
    0x3fffffee,0x2ffc84ff,0x8000fe40,0x1fc807d8,0x0403fe40,0x01555100,
    0x3fe03553,0x40159953,0xaaaaaaa9,0x20002002,0x00080000,0x6fc80000,
    0xff73fe40,0x03fe4005,0x7fc80020,0x3266fbfa,0x37fc44ff,0x01000000,
    0x23fe4000,0xa980aaa8,0x3fffe61a,0x3ffff60f,0xfffdff85,0x7dc0efff,
    0x5fffffff,0x002aea20,0x26602666,0xaba88009,0x80999800,0xdf900999,
    0x7fc7fc80,0x01ff2006,0x00666662,0x17fcdff2,0x3fee17dc,0x33333302,
    0x88133333,0x09999999,0x99999988,0xf33fe409,0x7ec1ffff,0xfff35fff,
    0x7ffe41ff,0xfffff84f,0x20efffff,0xfffffffb,0xffff905f,0xfff501df,
    0x3ffeabff,0x3ff205ff,0xfa80efff,0xff55ffff,0xdf90bfff,0x7dc7fc80,
    0x0ff9001f,0xffffffe8,0xf8bfe402,0xffb000cf,0xfffffa81,0x4fffffff,
    0x3ffffff2,0x3ff26fff,0x6fffffff,0xfff99ff2,0x3fff20ff,0x41bfe24f,
    0xfff03ffb,0x3ff6617d,0x4ccccc46,0x7ff445fe,0x42ffffff,0x76fffffc,
    0x10ffffff,0xfffffffd,0xffffc85f,0xfffff76f,0xc80df90f,0x02ffc47f,
    0x7fc07fc8,0x405fffff,0x3fff66fb,0x1ffa01bd,0x3fffffee,0x24ffffff,
    0xfffffffd,0xfffb0fff,0x1fffffff,0xdff11ff2,0x2e0ffee0,0x06ff82ff,
    0x7ec07ffe,0x45fd801f,0xb989dffd,0x7fd41fff,0x3fea60ac,0x9dffd80d,
    0x41fffb98,0x260acffa,0xfb80dffa,0x0ff901cf,0x5c403ff9,0x554406ff,
    0x200fffff,0x3ff621c8,0xff82dfff,0x55ffb306,0x49ff5555,0xaffdaaa8,
    0x2aaa20aa,0x20aaaffd,0x2ffb87fc,0xff106ff8,0x202ffb8d,0x3fe605ff,
    0x2e5fd803,0xdff304ff,0x3e02ff88,0x04ffb83f,0xff88dff3,0x440ffe02,
    0xff906fff,0x6409ff10,0xf3002fff,0x0007ffbf,0x3ffffb22,0xb817fe23,
    0x813fe07f,0x3f2007fc,0x221ff207,0x17fdc6ff,0x7fc5ff70,0x202ffc06,
    0x5fd804ff,0xff701bfe,0xf017fc45,0x80dff07f,0x3fe22ffb,0x540ffe02,
    0xff904fff,0x5403ff60,0xf9004fff,0x000ffb1f,0x44ffd710,0x9fee05ff,
    0x405fb1c8,0x3f2007fc,0x5c1ff207,0x01bfe2ff,0x17fddbfe,0x5407ffe0,
    0x5fd802ff,0xff005ff1,0xf017fc47,0x02ff887f,0x3fe23ff8,0x640ffe02,
    0x1ff201ff,0xb1027fcc,0x57fe00df,0x7b102ffa,0x7fd407aa,0xfb81bfe1,
    0x01457f27,0xfc801ff2,0xf81ff207,0x005ff76f,0x0dff5ff7,0x217dfff0,
    0x800fffb8,0x03ff35fd,0x7fc4bfd0,0xf30ffe02,0x4bfd003f,0x3fe02ff8,
    0xc80df903,0x03ff607f,0xfa807fc8,0x5c17fe2f,0x320bfd7f,0x703ff47f,
    0x0dffddff,0x9003fe40,0x03fe40ff,0x0dff5ff7,0x17ffffc0,0x7fffffc0,
    0x001ffffe,0x03feebfb,0xff89bf60,0xf70ffe02,0x4dfb001f,0x3fe02ff8,
    0xc80df903,0x0ffe607f,0xfe807fc8,0x6407fe47,0x35dfff7f,0xfc89ffb7,
    0xffff701f,0x7e400dff,0x81ff2007,0x7ffc07fc,0x3ee002ff,0xdff006ff,
    0x3dffffff,0xf9afec00,0x25fe801f,0x3fe02ff8,0x400ffcc3,0x0bfe25fe,
    0xdf903ff8,0x7407fc80,0x01ff207f,0xb999dff3,0x2ff907ff,0xfffffffe,
    0x27fd41ff,0xfeccffb8,0x01ff2006,0x3f207fc8,0x37ffdc07,0x017ffc00,
    0xccb8bff8,0x5fd8002b,0xf8807ff1,0x80bfe23f,0x1ffc43ff,0xf88ffe20,
    0x40ffe02f,0x3fe406fc,0x640ffea0,0x7ffe407f,0x87ffffff,0xffbf77fc,
    0x3a017fff,0x27fb80ff,0xc80ae5fc,0x1ff2007f,0xff807fc8,0x7fc4002f,
    0x00ffe006,0x3a5fe800,0x3ff200ff,0xf882ffc1,0x00ffe82f,0xbff07ff2,
    0x6c0bfe20,0x03fe406f,0x7fc837f4,0x7777ffc0,0x642ffeee,0x01ffb07f,
    0xfb84ffb8,0x07f985c7,0xfc801ff2,0x101ff207,0xf7000dff,0x1ffc005f,
    0x3ff88000,0x7d417fea,0x80ffd85f,0xffa80ffd,0xb0bff505,0x1ffb01ff,
    0x883ffc88,0xa807fecb,0xdffa82ff,0x202ffa81,0x83fe45ff,0xff8807fc,
    0x503fdc0f,0x1ff201ff,0x3207fc80,0x17fdc07f,0xfff99980,0x39ff3000,
    0x4ccc4001,0x7e41ffeb,0xffda9bef,0xcfffa80f,0x204ffda9,0xda9beffc,
    0xffa80fff,0x4ffda9cf,0xd80fffd8,0xf007ffff,0x1fffa0df,0x8839ffd5,
    0xf70bffeb,0x401ff20f,0x3faa2ffa,0xdccccccf,0xd99710ff,0x443999ff,
    0xccffeccb,0x261fee1c,0x400fff99,0xfffffff9,0x7fff401f,0xfb803fff,
    0x04ffffff,0xfffffffb,0x7ffdc03d,0x400effff,0xfffffffd,0x3ffee01e,
    0xa80effff,0xffd500ce,0x3fee00ff,0x2e4fc880,0x20ffffff,0x35fffffd,
    0x013e609f,0xfff70ec8,0xffffffff,0x3fff61ff,0x0fffffff,0xfffffffb,
    0x93e61fff,0xfffffff9,0x3ffe601f,0x202fffff,0xfffffff8,0xffffc804,
    0x7fd403ef,0x9800cfff,0x004ffffe,0x33ffffea,0xfffe9800,0x0000004f,
    0x26002ec0,0x5c5ffffe,0x003fffff,0xfd300002,0xffffffff,0x3fae1fff,
    0x5fffffff,0x3fffffae,0x7cc05fff,0x2fffffff,0x55555440,0xaaa8800a,
    0x2a6001aa,0x544000aa,0x03510001,0x000d4400,0x00001a88,0x00000000,
    0x00000000,0x00000000,0x51000000,0x00155555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x00000133,0x0001c880,0x40014400,0x00000008,
    0x64400000,0x00000001,0x0005c455,0x2065c400,0x00322000,0x91000000,
    0x37440003,0x80dffff9,0x540001fa,0x3a003ffe,0x7f417dc6,0x13ff2004,
    0x00076400,0x2a003640,0x74003fff,0x44017dc6,0x20bf90ff,0x3017dc6e,
    0xdd59ffff,0x0fffea00,0xfc8bd100,0x7fff5001,0x43ff2000,0x407ffffc,
    0x90003fe8,0x01dfd7ff,0x3fa1ff98,0x801ffd84,0x001e88e9,0x0002ff98,
    0x64009fd1,0x00efebff,0x3fa1ff98,0xd1ff9804,0x43ff30bf,0x27ae04fe,
    0x801fffd8,0x0efebefd,0x7c1ff500,0xbffc803f,0x22000efe,0x2bff25ff,
    0x4fe8800a,0x706fcc00,0x9877009f,0x05ff980c,0x0007a698,0x2001ff4c,
    0x26003ff9,0x013ee0df,0x003261dc,0x27f47fea,0x0064c3b8,0x7d400a60,
    0x800fee0d,0x2005cc2b,0x13ee0df9,0x322ffb80,0x1f90007f,0x00100800,
    0x0fff4000,0x00377740,0x9001f620,0x2010003f,0x20000000,0x09ff0ffa,
    0x2ea20000,0x0402000a,0x02000000,0x1bfa0004,0x04000ff9,0x0aba8800,
    0x055d4400,0x4013fea0,0x02000019,0x26600000,0x00999809,0x33301333,
    0xf87fdc01,0x9999883f,0x7e400999,0x800effff,0x00199998,0x01999988,
    0x33333310,0x3fea0013,0x8803fe42,0x80019999,0x0efffffc,0xfffffc80,
    0x03ffa00e,0x00ccccc4,0x33333330,0x33013333,0xa8266201,0xf55fffff,
    0x7d4bffff,0xff55ffff,0xeb88bfff,0xaeffccff,0xffffff90,0xfd10dfff,
    0x5fffffff,0x7fffff40,0x3ffa002f,0x6402ffff,0xffffffff,0x86fe806f,
    0xffe807fc,0x1002ffff,0xfffffffd,0x3ffa205f,0x02ffffff,0xffd03ff9,
    0xa805ffff,0xffffffff,0x3e64ffff,0x7fe46fff,0xffff93ff,0x3fffeedf,
    0x3ffff27f,0xfffff76f,0xfffffe8f,0xfb4fffff,0xffffffff,0x9dffd81f,
    0x01fffb98,0xbfffffff,0x7ffffc00,0x7fec05ff,0xffffffff,0x20ffea00,
    0xfff807fc,0xb005ffff,0xf7313bff,0xbffb03ff,0x3fff7313,0xff05ff70,
    0x80bfffff,0xfffffffb,0x264fffff,0x3a0effff,0x3ea5ffff,0x3ea60acf,
    0x67fd40df,0x37fea60a,0x7ffffdc0,0x512effff,0x555ffb55,0x304ffb81,
    0x2aa20dff,0x000fffff,0xfffff551,0x6d554401,0x400aaaff,0x0ff907fe,
    0xffff5510,0x4ffb801f,0xfb8dff30,0x0dff304f,0x55109ff3,0x801fffff,
    0xaaaaffd9,0x6cc4ffaa,0x7ffc43ff,0x80bfe20a,0x2ff883ff,0xfd80ffe0,
    0xc803ff55,0x037fc07f,0xf980bfee,0x4003ffdf,0x03ffdff9,0x9801ff20,
    0x0ff903ff,0x7feffcc0,0x2037fc03,0x1bfe2ffb,0xf885ff70,0x37fe605f,
    0x7fb803ff,0x3e213fe0,0x0fff20ff,0xff80bfe2,0x202ff883,0x57fa03ff,
    0x7e400ffa,0x00bfe207,0xffc80ffe,0x64007fd8,0x007fd8ff,0xfd801ff2,
    0x00ff900f,0x3fec7fe4,0xf005ff10,0x00bfe27f,0x9ff30ffe,0x7ec7fe40,
    0x227fb807,0x2a05fb1c,0x0bff35ff,0xff80bfe2,0x202ff883,0xbff303ff,
    0xc803ff73,0x07fe607f,0xff817fa0,0x4005ff55,0x05ff55ff,0x4c01ff20,
    0x1ff204ff,0xff55ff80,0x007fe605,0x0ffcd7fa,0x3ea2ff40,0x557fe03f,
    0x3fdc02ff,0xb00a2bf9,0x01ffd5ff,0xff80bfe2,0x202ff883,0x7ffcc3ff,
    0x6fffffff,0xfb81ff20,0x06fd800f,0x2ffc5ff5,0x3e2ffa80,0x0ff9005f,
    0xc803ff20,0x5ff5007f,0xffb82ffc,0xf76fd800,0x8dfb001f,0xff502ffb,
    0x2e02ffc5,0x06ffeeff,0x3ffffe20,0x80bfe202,0x2ff883ff,0xff30ffe0,
    0xffffffff,0x81ff201f,0xfe801ff9,0xfc8ffd05,0x47fe800f,0xfc800ffc,
    0x05ff8807,0xfe803fe4,0x4c07fe47,0x5fe801ff,0xfd003ff3,0xd00ffd8b,
    0x00ffc8ff,0x3fffffee,0x7ffd4006,0x017fc405,0x5ff107ff,0x5cc1ffc0,
    0xaffeacff,0x881ff200,0x7fc403ff,0xcceff983,0x4c03ffdc,0xfdccceff,
    0x07fc803f,0x6401ffc8,0xeff9807f,0x83ffdccc,0x7c403ff8,0x807ff13f,
    0x3fe23ff8,0x99dff306,0x5c07ffb9,0x06feccff,0x400ffd80,0x3fe02ff8,
    0x202ff883,0x5ff303ff,0x3f201bf6,0x007ff407,0xff903ff9,0xffffffff,
    0xfffffc80,0xc807ffff,0x2ffc407f,0x6403fe40,0xffffffff,0x01ffd07f,
    0xffd0ffe4,0x70ffe401,0x3ff207ff,0x7fffffff,0x5fc9fee0,0x1ff200ae,
    0xf882ffc0,0x20bff02f,0xff302ff8,0x32017f63,0x2ffd407f,0xff05ffa8,
    0xfddddddf,0x77ffc05f,0x2ffeeeee,0x2e03fe40,0x7fc801ff,0xeeefff80,
    0xa82ffeee,0xbff505ff,0xf505ffa8,0x07ffc4bf,0xeeeefff8,0xf702ffee,
    0x0ff30b8f,0x3600ff90,0x0ffd80ff,0xfb01ffb0,0x47fea01f,0x7fc805fe,
    0x9beffc80,0xa80fffda,0x17fe02ff,0xff017fd4,0x407fc80b,0xff9006ff,
    0x5ff50379,0xfc82ffc0,0xffda9bef,0xbeffc80f,0x20fffda9,0xff504ffb,
    0xb82ffc05,0x03fea07f,0x2a00ff90,0xfda9cfff,0x3ffea04f,0x04ffda9c,
    0x27fc3fea,0x7ff665c4,0xffb01ccc,0x03dfffff,0x8839ffd5,0x2a0bffeb,
    0x5c41cffe,0x9710bffe,0x3999ffd9,0xc8017fdc,0x2a0fffff,0x5c41cffe,
    0xfd80bffe,0x1effffff,0x3fffff60,0x77f41eff,0x1cffea80,0x05fff5c4,
    0x9999ffd5,0x301ffb99,0x599ffd97,0xfffffb80,0x7dc00eff,0x0effffff,
    0x2fe9fe60,0xffffffd8,0xf500ffff,0x7019ffff,0x41ffffff,0x75fffffd,
    0x41ffffff,0xb5fffffd,0xffffffff,0x01bf61ff,0x25ffffc8,0x0ffffffb,
    0x17fffff6,0x67ffffd4,0xffffa800,0x81eb80cf,0x0ffffffb,0x57fffff6,
    0xfffffffb,0x80ffffff,0xfffffffe,0x7ff4c01f,0x3a6004ff,0x3004ffff,
    0xfeb81441,0x5fffffff,0x4c01a880,0x5c5ffffe,0xd33fffff,0xfb8bffff,
    0xfd73ffff,0xbfffffff,0x00000f54,0x8bffffd3,0x03fffffb,0x88000d44,
    0x3a60001a,0x7dc5ffff,0xfd33ffff,0xffffffff,0xff701fff,0x01bfffff,
    0x80006a20,0x000001a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xab880000,0x01c88002,0x98800000,0x10019999,0x88013333,0x880040cb,
    0x000220cc,0x20035751,0x0000ab98,0x00000150,0x00000000,0x00000288,
    0xd9000000,0xbf9fffff,0x03ffea80,0x05f71ba0,0xffffffb0,0x7ff6dc0f,
    0xf305ffff,0x0dd59fff,0x59ffff30,0x7fe400dd,0x2600efff,0x803fffff,
    0x3fdc1ba8,0x2000f900,0x3ea006d8,0xfdf70002,0x00f5c001,0x20009f00,
    0xfffffffd,0x3ff207ff,0x4c00efeb,0x013fa1ff,0xf9999ffb,0xffffd10f,
    0x205bffdf,0xfffd89eb,0xd89db801,0xe8801fff,0xffffffff,0xcbdff982,
    0x3ff202ff,0x6ffbcfff,0x004fe880,0x2003fe98,0xe8004fe8,0x7c400971,
    0xdf90002f,0x6ffec001,0xfffea88a,0x2e0df980,0x4c3b804f,0x41be200c,
    0x8bffe87e,0x8005f8ef,0x15400029,0x13bffb00,0xd81fff73,0x442fcc4f,
    0xfffffffe,0x74401fff,0xff98003f,0x5fd88002,0x03c97400,0x0027f440,
    0xa800efb8,0x3ff605ff,0x00020100,0x209f5000,0xf27fcc6c,0x2620bf1d,
    0x01333009,0x01999988,0x2609ff70,0x41be66ff,0x9dffd87e,0x03fffc98,
    0xb0001fc8,0xfc80003d,0x3bbea001,0x01fb0000,0x2013e600,0x37cc07fc,
    0x4ccccccc,0x99809999,0x99999999,0x17fecc09,0x3e1ffb80,0xffe85f8e,
    0x7fffd46f,0xffffd06f,0xdff005ff,0xf71ffb80,0xfb83f609,0x6fffc84f,
    0x00000000,0x18800000,0x00000000,0x2017fa00,0x3fffea0a,0xffffffff,
    0x3ffffea4,0x4fffffff,0x37ffffe6,0xf1ffd400,0xff88bf1d,0x3fee3fff,
    0xfff07fff,0x880bffff,0x3ff802ff,0x7fecc5f9,0x2a1bfe0f,0x442fffff,
    0x2aaa82aa,0x09bcba80,0x26f2ea00,0xcccb9800,0x41554402,0x54402aaa,
    0xff8801bc,0xfffb8003,0xffffffff,0x3fffee4f,0xffffffff,0x3aa2bf24,
    0x3fe203ff,0x0bf1df0e,0x41ffff71,0x100dffa9,0x1fffff55,0x400ffd40,
    0x263fb4fe,0xf10fffff,0x9fff985f,0x3ffee4ff,0x3ffffa0f,0xfffff500,
    0xffa805ff,0x502fffff,0xffffffff,0x1ffff705,0x407ffff4,0xffffffe8,
    0x00bfe602,0x557fecc0,0x44ffaaaa,0xaaaaffd9,0x3ea4ffaa,0x03bff224,
    0x77efffcc,0xfff105f8,0x009ff0bf,0x07ffbff3,0x6c007fdc,0x3f21fb6f,
    0xff30fd8b,0xe8fff443,0x3fffea5f,0x03ffffa0,0x3ffffff2,0xff903fff,
    0x7fffffff,0xffffff70,0xffa81fff,0x3fffa0ff,0x7fff440f,0x102fffff,
    0x5c0005ff,0x213fe07f,0x13fe07fb,0x7ecc1bfd,0xfffb302f,0x3e20bf1d,
    0x7fc2ffff,0xd8ffc804,0x07fea07f,0x47ed7fa0,0x5c3f66f8,0x8fff60ff,
    0x7fe446fd,0x207fdc40,0x510afffa,0xffa81fff,0xfff510af,0xfb835501,
    0x0ffc882f,0xd107fdc4,0x7f545bff,0x009fd02f,0x3913fdc0,0x9fee0bf6,
    0x885fb1c8,0x7fdc3ffd,0x23bea203,0xf7ff105f,0x027fc1ff,0x2ffaaffc,
    0x8807ff30,0xf11fb3ff,0xffa87ecd,0xfe8bff92,0xb80ffb84,0x0ffec0ff,
    0x7ec5ff98,0x0bff301f,0x3e6aaa62,0x01ff703f,0x7fd41ff7,0x20bff104,
    0x2e0006fc,0x1457f27f,0x57f27fb8,0x3ffee028,0x3e01be62,0xff105f8e,
    0x7fcbff57,0xf17fd404,0x07ff40bf,0x3f63ff90,0x1fb39f90,0x3feb3fe2,
    0x20ffe20e,0xffb80ffb,0x7fffffc0,0x47ffffff,0xffffffff,0xfb87ffff,
    0x4fffffff,0xf701ff70,0x007fe41f,0x3fea0ff9,0x707f6205,0x0dffddff,
    0xffddff70,0x7fec400d,0xf807e99d,0xff105f8e,0x7fcbff67,0x323ff404,
    0xbff700ff,0xfc97fea0,0x9ffffd11,0x0ffffff4,0x3ee07ff2,0x20ffb80f,
    0xfffffff8,0x10ffffff,0xffffffff,0x6c1fffff,0xffffffff,0x01ff704f,
    0x2ff41ff7,0x6c07fea0,0xba9abeff,0x7fdc2fff,0xb806ffff,0x06ffffff,
    0xffffea80,0x5f8ef804,0x3e27ff10,0x4c09ff6f,0xfdccceff,0x3bff203f,
    0x0fffda9b,0x99930bea,0x17fffd43,0x7dc17fea,0x40ffb80f,0xccccceff,
    0x7fc4cccc,0xccccccce,0x3bfee4cc,0x4ffa999c,0xf701ff70,0x007fe41f,
    0x7e401ffb,0xffffffff,0xeccffb84,0xcffb806f,0x80806fec,0xf002efe8,
    0x3e20bf1d,0x3f3fee3f,0x3fff204f,0x07ffffff,0x7fffffdc,0x027cc1ef,
    0x26ffffa0,0x700fffda,0xffd881ff,0x0017fec0,0x20017fec,0xff980ffd,
    0x881ff704,0x3fea0ffd,0x00bff304,0xdfffffb7,0xfc9fee05,0x9fee0ae5,
    0xf70ae5fc,0x400bf301,0xf105f8ef,0xffffe87f,0x3bbffe04,0x02ffeeee,
    0x67ffffd4,0x2001ff00,0xfffffffb,0x3e601fff,0xfffb99cf,0x3ffe60bf,
    0xfdca99bc,0x5e7ffcc5,0x25fdca99,0xda99bffc,0x4c0aefff,0xffb99cff,
    0x3ffa0bff,0xfffdb9cf,0x006fc002,0x4c2e3fdc,0x5c7fb87f,0x1fc8ff30,
    0x3e004fc8,0xff105f8e,0x4ffff987,0x7c05ff50,0x7ffe405f,0xfa86e21d,
    0xf993222e,0xffffdbff,0xfffe800d,0x4fffffff,0x7fffffd4,0xfa87ffff,
    0xffffffff,0x3fffe27f,0xffffffff,0xfffffe84,0x224fffff,0xfffffffe,
    0x2ff8002f,0x2a07fb80,0x03fdc0ff,0x77e41ff5,0x01ffeeee,0x7d77e65c,
    0x3fee22ce,0x3fff21bd,0x1cffea84,0x05fff5c4,0x7fffffdc,0x7e45ffef,
    0x325ffeef,0x000d41ff,0x37ffffa2,0xd981effd,0xdfffffff,0xffffb301,
    0xd983bfff,0xffcfffff,0xffe881ef,0x1effddff,0xdffffec8,0x764cc001,
    0x67ff5407,0xffdccccc,0x333ffaa0,0x0ffdcccc,0x3ffffff2,0x7ffc401f,
    0x25fffdff,0x47fffffb,0x7fdc4ffe,0x3f60ffff,0xff85ffff,0xffffffff,
    0xdffdb82f,0x00016cc3,0x00026a20,0x0026aa62,0x009aa988,0x20003550,
    0x880009a8,0x3f20001a,0x3fee06ff,0xffffffff,0xfff70fff,0xffffffff,
    0x4ccc41ff,0x26200099,0x98333099,0x4c4ffffe,0x7ff4c4ff,0x7ffdc5ff,
    0xabca83ff,0x00adca89,0x00000000,0x00000000,0x00000000,0x80000000,
    0x2600cda8,0xfffffffe,0xd30fffff,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000540,0x00000000,0x00080000,0x2e620000,0x0000000a,
    0x39100039,0x10000000,0x00000001,0x2f2a6000,0x4ccccc02,0x03710199,
    0x20017ea0,0x0f90007c,0x8000f640,0x3e6003f9,0x02a88cef,0x30017dd5,
    0x009fffff,0xe9801762,0x3ea004ff,0x1dd004ff,0x6d4017e4,0xec802fff,
    0x20ee8000,0x3fa602fc,0xf01effff,0xffffffff,0x00fffc43,0xd1003fe4,
    0xfe88009f,0x0bfe6004,0x801bee00,0xffffffe8,0x5fddfd85,0x7ffffcc0,
    0x7f4c02ff,0xb7ff9002,0xffc803df,0x2600efea,0x013fa1ff,0x7ffffff9,
    0x002ff980,0x4fe87fe6,0xffffff10,0xfff01fff,0x45ffffff,0xc804fffa,
    0x7ff3007f,0x03ff9800,0x003fe980,0x2e003fe4,0x885ffffe,0xe807ea3f,
    0xffea8cff,0x005ff301,0x5fa837e2,0xfb837e60,0x2e61dc04,0x2fbfe200,
    0x4c00fffb,0x0ee003fe,0x3fea0173,0x0bff732d,0x55555bff,0x04fffa83,
    0x009bffd8,0x320007f2,0x3620001f,0x03fe4007,0xfd5bff70,0x7c0fb81f,
    0x989ff303,0x03db03ff,0x80110080,0x00000100,0xff507fdc,0x00fb1005,
    0x20370000,0x03ff87fd,0x407fff30,0xffffffe9,0x00000002,0x7e400000,
    0x982a2007,0x517cc4ff,0x07ff203f,0x000017fe,0x00599973,0x800de544,
    0x802cccb9,0x17fd47fb,0x97500000,0x6c000137,0x003ff87f,0x2e05fff3,
    0xffffffff,0x2cccb985,0x06f2a200,0x16665cc0,0x801ff200,0xfbacdcb9,
    0x7e67ec0f,0x20ffb0c6,0xaaa887fc,0x7ffd402a,0x202fffff,0xffffffe8,
    0xfffff502,0x7dc05fff,0x01fff937,0x00aaaaa2,0x7fffffd4,0xffb8002f,
    0xfedeff85,0x1fff883d,0x2617dff0,0x3ffea5ff,0x202fffff,0xffffffe8,
    0xfffff502,0xff905fff,0xffffffff,0xffff90df,0x885fffff,0xec98cffb,
    0x2a0bfd2f,0x3ffe61ff,0x7fdc07ff,0x0fffffff,0xfffffe88,0xffb82fff,
    0x0fffffff,0xfff3ff70,0x3ffe60bf,0xffc807ff,0x3fffffff,0xfffffd80,
    0xffffff80,0x7ffc0dff,0xc82ffa81,0x3fffee3f,0x880fffff,0xfffffffe,
    0xffffb82f,0x740fffff,0xffffffff,0x3f21ffff,0xffffceff,0x3ff2a03f,
    0x413fa2df,0x3fe21ff9,0xaa807fff,0x2217fdc1,0x3aa2dffe,0x41aa82ff,
    0xff702ffb,0x07ffffd1,0x0ffffff1,0x10afffa8,0x4c01fff5,0xf04fffff,
    0xfffbbfff,0xd80ffe89,0x2aa0606f,0x2217fdc1,0x3aa2dffe,0x41aa82ff,
    0x55442ffb,0xaaaffdaa,0x07bfea1a,0xca8bfff5,0xe80adfff,0x03ff304f,
    0x200ffb33,0xff9aaa98,0x8827fd43,0x553105ff,0x2e07ff35,0x3fff267f,
    0x0ffb3303,0xf301ffd8,0xfedb80bf,0x41c982ff,0x3fa0ffe8,0x000df907,
    0xff355531,0x104ffa87,0x2a620bff,0x803ff9aa,0x7fe407fc,0x74bff903,
    0x2db9adff,0xff505fe8,0x403fe403,0xfffffffb,0x007fe44f,0xfff70ff9,
    0x209fffff,0x7fe887fb,0x3e03fe40,0xffffffff,0x2a007fff,0x2a000fff,
    0x41ff62ff,0x70302ffa,0xffffffff,0x200ffc89,0xfffb87fc,0x804fffff,
    0x7ff407fc,0x549ff300,0x1bfbfea2,0x3ff20ff9,0xb01ff200,0xffffffff,
    0x405fe89f,0x3ff61ffa,0x4fffffff,0x3e60ff70,0x81ff201f,0xfffffff8,
    0x00ffffff,0x800bfea0,0x17ee3ff8,0xc99cfff8,0x3fff64ff,0x44ffffff,
    0x7fd405fe,0x3fffff61,0xc804ffff,0x0ffec07f,0x3a03ffa8,0x7d45f30d,
    0x407ff82f,0x3fee07fc,0xffa999ce,0xb007fe44,0x3bfee1ff,0x4ffa999c,
    0x7fc0ff70,0xf01ff203,0x999999df,0x88009999,0x3e6003ff,0x3ee00c3f,
    0x3fffffff,0x3339dff7,0xffc89ff5,0x5c3ff600,0xa999ceff,0x7fc804ff,
    0xd827fdc0,0x85f302ff,0x317fe25e,0x7fc809ff,0x2603ff60,0x27fd44ff,
    0x3f65ff98,0x04ff980f,0x447f2ff7,0x1ff203ff,0x0005ffb0,0x4c3ff700,
    0x007ff200,0x3ffff620,0x203ff62e,0x7fd44ff9,0x6cbff304,0x4ff980ff,
    0x4405fa80,0xda8adffe,0x0fe205ff,0xadffd89f,0x6400fffc,0x2fff207f,
    0xefffda99,0x33fffa0a,0x22fffdb9,0xda99bffc,0x510aefff,0x3bff5ffd,
    0x7e405ffb,0x67ffcc07,0x5fdca99b,0x5d4cdff4,0x3fe27ffc,0xffca99ac,
    0x3f200086,0x9bffc81f,0xaefffda9,0x273fffa0,0x322fffdb,0xfda99bff,
    0x5400aeff,0xffff9800,0x400fffff,0x80fdabfc,0x2ffffffe,0xffeccca8,
    0xff10bccc,0xffffffff,0x7ff449ff,0x42ffffff,0xfffffff8,0xf94fffff,
    0xfff9ffff,0xccca8dff,0x0bcccffe,0x7fffffd4,0x3e27ffff,0xffffffff,
    0x7ffff42f,0x641fffff,0x0ff9006f,0x3fffffe2,0x24ffffff,0xffffffe8,
    0x7ffc42ff,0xffffffff,0x9999934f,0x07999999,0x9fffffb1,0xdff91001,
    0x3fffa207,0xffff982f,0x4fffffff,0x3fffff66,0xc81efffc,0x01dffffe,
    0x9fffffb3,0x3a63dfff,0xffe8cfff,0x3ffe60ef,0xffffffff,0xffffd984,
    0x7541dfff,0x0dffffff,0xfffffc88,0x07fd80df,0x6cc0df70,0xffcfffff,
    0xffec81ef,0xfb301dff,0xfff9ffff,0x3ffffa3d,0xffffffff,0x01353101,
    0x22003100,0x3ff6200a,0xefffffff,0x00035502,0x550006a2,0x35100003,
    0xfffffb10,0x405dffff,0x8009aa98,0x10009a98,0x13003553,0x400b6200,
    0x510001aa,0x01aa8003,0xffffffc8,0x00efffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x000002b9,0x32e60000,0x0aaa98bc,0x00003a80,0x80aaa880,0x99981aa9,
    0x31000000,0x55440013,0x0379951a,0x46f32a20,0x98001aaa,0x4cccc0bb,
    0x01999999,0x80037951,0xaa9801c8,0x102aaa82,0x01bffffd,0x0dd11fd4,
    0x9003bf20,0xfdffffff,0x7ec40fff,0x1dd001ef,0x7fcc17e4,0x3ff60fff,
    0x3fffe5ff,0xfe800003,0x25fb84ff,0xffdffff8,0x200dffff,0xdffffffa,
    0x8804ffff,0x13fffffc,0xffffffff,0xfff90fff,0xf5001dff,0x7fdc09ff,
    0x7ffff47f,0x7ffffc40,0x97f605ff,0xff800ffa,0x3fff602f,0xffffffff,
    0xf79ff306,0x1ff9807f,0x3fe613fa,0x3ff20fff,0xffff14ff,0xff000007,
    0x8ffb09ff,0xfffffffe,0xb80fffff,0xffffffff,0x4403ffff,0x4ffffffe,
    0xfffffff1,0xffc8ffff,0x00ffffff,0x3bfabff2,0x47fffa80,0x5c0ffffe,
    0xffd98cff,0x2b837102,0x54059300,0xfd713eff,0x17f403ff,0x3b801fd3,
    0xff8805cc,0x887ff706,0x00003ffa,0x884ffa88,0xffff981b,0x31bff262,
    0x7e4c5fff,0x74400dff,0xf830adff,0xeaaaaacf,0x4bbfe67f,0xf304ffc9,
    0x8827dc1b,0xffb887fc,0x7f42ff40,0x0000000f,0x2603ffa0,0x100407ff,
    0x7dc00000,0x106ff82f,0x000007ff,0x7c0027fc,0x3ff901ff,0xfc807fec,
    0x7ff4404f,0x880db804,0x07fee4ff,0x10081bfa,0xf707fb80,0x41ffc41f,
    0x2aa21ffb,0x002aaa82,0x3a05ff80,0x0555107f,0xa8805555,0xff8801bc,
    0x8817fdc6,0x379953ff,0x2f32a200,0x80209ff1,0x3fe205ff,0xf8817fe3,
    0x1ffdc04f,0x17fd4000,0x1ff60ff9,0x01379750,0xff707fb8,0x4c17fcc1,
    0xffff73ff,0x07ffff41,0x3e209f30,0x21ff203f,0x3a0ffffb,0xe880ffff,
    0x02ffffff,0xdff17fdc,0x7feffc40,0x200dffff,0xdffffffb,0x04fa84ff,
    0x7fc409ff,0xf8813fe4,0x13ff404f,0x1ff60001,0xff887ff5,0xfffff505,
    0x3fdc05ff,0x7fc0ffb8,0xf54ffe85,0x7ff41fff,0x1bee00ff,0x3fe06ff8,
    0x0ffffa87,0x103ffffa,0xfffffffd,0x76ff805f,0x7fc405ff,0xffffffff,
    0xffffc80f,0x84ffffff,0x3fff06fd,0xfd8bff20,0x09ff900f,0x7fde7fc4,
    0x3e2001ef,0xbeffe84f,0xfc82fffd,0xffffffff,0x2e0ff703,0x97fec0ff,
    0x225fffc8,0x7dc40ffc,0x7ffc880f,0x2e0bff60,0xff9107ff,0x20ffb881,
    0x2a2dffe8,0x3ee02ffe,0x4406ffaf,0xb51cffff,0xfff98bff,0x9fffd50b,
    0x3fe0ffd0,0xff930bef,0x5f7fdc1f,0x09fff930,0x7fffffcc,0xf5002fff,
    0xffff105f,0xff509fff,0x3fea215f,0x40ffb80f,0x7cc0ffd8,0xfffffeff,
    0x5c07fdc6,0x7ffd40ff,0x3ffe606f,0x7fffeaad,0x2e03fee0,0x13fea0ff,
    0x3e02ffc4,0x4402ffff,0xffb02fff,0xe80fff43,0x0fff84ff,0xeffffff8,
    0xfc81ffff,0xffffefff,0x3ffe604f,0x0fffdbef,0xf707fd80,0x0dffffff,
    0x3e603ffb,0x9cffb85f,0x0bffffb9,0x77ffffd4,0x07fdc4ff,0xff107fdc,
    0xff7003bf,0xffffffff,0x5c07fdc0,0x03ff20ff,0x7dc07fc8,0xff8806ff,
    0xf8ffea06,0x13fee06f,0x3fe07ffe,0xeffffffe,0x3ffff201,0x204ffeff,
    0x7d45fff8,0x27fc403f,0x5ce7ffcc,0x7ffc5ffe,0xffffffff,0xffffb87f,
    0x4fffffff,0xfbacdb88,0x407fdc2f,0x3fee0ffb,0x7ff4c002,0x207fddff,
    0xffb80ffb,0xf5017fa0,0x2fff803f,0x404ff880,0x07ff14ff,0x3e227fc4,
    0x8bff82ff,0x1002cdcb,0x3fe39b97,0x407ffc04,0x7fd405ff,0xe81ffc82,
    0x3fffe27f,0xffffffff,0x7fffdc0f,0x1effdeff,0x40fff880,0xffb80ffb,
    0x5c41bfa0,0x5c2a6200,0x03fee07f,0xffc83fee,0x803ff600,0xf1006ff8,
    0x1ffcc0df,0x7fd40bff,0x417ffcc4,0x000003ff,0xdfb013fe,0xfb01bfa0,
    0x5c1bfa0f,0x33bfe1ff,0xcccccccc,0xaaaffb84,0xffb30000,0x881ff707,
    0x3ff60ffd,0x4004fd80,0x3fee06fe,0x507fec40,0x3fe609ff,0x017fdc05,
    0xb01fff88,0x07ff43ff,0x7d44ffe8,0x03ff83ff,0x13fe0000,0xf885ff90,
    0x13fe204f,0x7e407fe4,0x00bff60f,0x4003fdc0,0xfffeb9ba,0x339ff305,
    0x217ffff7,0xdb9beffa,0x266605ff,0x2604ffda,0xffb99cff,0x3ffa0bff,
    0xfffdb9cf,0xfff99982,0xfffc9800,0xffeb9adf,0x56fffd45,0xbefffec9,
    0x989fff50,0x00009cff,0x037fe620,0xb9befe88,0x3ea02ffe,0x7dff502f,
    0x98dff953,0xa99bcfff,0x7fb85fdc,0x7fffc400,0x7f405fff,0xffffffff,
    0x3ffff64f,0xf985ffff,0x0effffff,0x7fffff40,0x224fffff,0xfffffffe,
    0x7fffcc2f,0x2201ffff,0xffffffff,0xc80fffff,0xffffffff,0xff34ffff,
    0x7ffff45f,0xe80003ff,0x03ffffff,0x3fffffea,0x03fec05f,0x3ffffff6,
    0xfffa81ef,0x7fffffff,0xd8007fb8,0x801effff,0xddffffe8,0x7fe41eff,
    0xf502dfff,0x019fffff,0xbffffd10,0xd903dffb,0x303bffff,0xffffffff,
    0xdfffd805,0x0cfffffe,0x3ffffaa0,0x21efffcf,0xfff10efd,0x0009ffff,
    0xfffffff0,0xfffda809,0x02fa804f,0xdfffffc8,0x3fff6600,0x981dffff,
    0x3510006f,0x026a2000,0x00135300,0x00035551,0x200026a2,0xaa8801a8,
    0x0000aaaa,0x10006aa2,0x40400353,0x01aaaaa8,0x55551000,0x4d440035,
    0x22000000,0x54c4001a,0x0098009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c980004,
    0x66654c00,0x00080031,0x0041cb88,0x801076e2,0x880000b9,0x0000001a,
    0x00002b98,0x00398000,0x0006b2a2,0xa8802666,0x5c4001bb,0x4011002a,
    0x0acffeb9,0x02fffb80,0xfffffd88,0x5cc04fff,0x400acffe,0xeacffff9,
    0x3fffe206,0xffb06eac,0x7d40001f,0xd10002ff,0xf981fc8d,0x2002ffff,
    0xaaaaaaac,0x5c44aaaa,0xd8807ffd,0x00dfffff,0x507fff50,0x5dfffffb,
    0xffffec80,0xffc85fcf,0xcacefd82,0xfd101ffe,0x440bff5d,0xffffffff,
    0x3bf606ff,0x01ffecac,0x3ff627ae,0x227aa01f,0x7902fffd,0x4c0001fb,
    0x30002fcc,0x41ffc1ff,0x00df11c9,0xfb8a0014,0x4407ffff,0xfffffffe,
    0x7fffd006,0xffffffa8,0xffb01fff,0xffffffff,0xfd8bfff0,0x903fd102,
    0x80fec47f,0x930adffd,0x0bf60dff,0x3000ff44,0x00a60005,0x400007e4,
    0x2e0002fb,0x26005cc2,0x00a006fa,0x7fffec50,0x6ffe407f,0x809ffb52,
    0x543ffffb,0xfb98acff,0xadffd86f,0x0fffea88,0x1fb0f7dc,0x744cddc4,
    0x2010081f,0x3f606ff8,0xaaa9fd85,0x407fa21a,0x002cccb9,0x4006f2a2,
    0xb80000fc,0x0000002f,0x002fffb8,0x5445000a,0xff80ff91,0x440dff05,
    0x4c3fffff,0x0ffc80ff,0xfd817fea,0x12f9800f,0x22fffdfb,0xaaaa884e,
    0x80ffea02,0x4d7cc1c8,0x10effffe,0xffffa89d,0x2202ffff,0x2ffffffe,
    0x2e007e40,0x80bee03f,0xaa881fc8,0xf95002aa,0x141fd30d,0x7fc80a00,
    0xfc807640,0x3efff607,0xf503c83f,0x203fe41f,0x4d7006f9,0x6c9f21eb,
    0x3fffffcc,0x0001ff70,0xe887ccd7,0xfff71b23,0x01ffffff,0xffffffd1,
    0x07e405ff,0x202ffe98,0xfff502fb,0xfffff983,0x90fe4007,0x00141dff,
    0x007fc80a,0x4c17fe20,0x03ff8dff,0xfd1bfa20,0x2001500b,0x4710fa4d,
    0x3ffe20fa,0x3fea07ff,0x264d8002,0x7d49d10f,0x3ee0d540,0x6fff442f,
    0x50bffaa2,0x64157fb5,0x95301eff,0x3f62159f,0xfff880df,0x2aee07ff,
    0xffd36eba,0x02800509,0xd8001ff2,0x1ffd03ff,0x91007ff1,0x7fc47fff,
    0x9fc00003,0x17c401f8,0x103feccc,0x43980dff,0x3fbbe63f,0x220be20e,
    0x3ff9aaa9,0xf8827fd4,0x3fffe25f,0xcffeabff,0x7fec0aca,0xfffbafff,
    0xb3300aaa,0x7ff640ff,0x9effcaef,0x5000a0aa,0x4003fe40,0xf705ffd8,
    0x00ffe29f,0x989ffff7,0xd30002ff,0x1f8a74bd,0xf900fcc0,0xadffd80f,
    0x2ffda999,0xfdcf993a,0x3ee0fcc4,0x4fffffff,0xf9007fe4,0xdffb100f,
    0x07ffffb3,0xb8dffe98,0x3fe402ff,0x7fd44c40,0x143ff93f,0x7fc80a00,
    0x2fff4400,0x3e26ff88,0x77fe403f,0x002ff881,0x3645ff70,0x03dc50bb,
    0xfd101ff2,0xffffffff,0x43e66c8d,0xfb1ee2fa,0xffffffff,0x5405fe89,
    0x3fea01ff,0x3a25f73f,0x4bffee07,0x6402fff8,0xffb1007f,0x87ffe63d,
    0xf9014002,0x7ff4c00f,0x26fff205,0x5403ff99,0x027f406f,0x7d45fe80,
    0xfb77df31,0xff9017a1,0xffff9100,0xfa819fff,0xf91cfd89,0xeffb97a7,
    0x4ffa999c,0xfb007fe4,0x37fee01f,0x01fd0a20,0x7ec19ffb,0x3fe402fc,
    0x21fffc40,0x00a1fdfe,0x03fe4050,0x204fffa8,0xfffffff8,0x05405fff,
    0x2001bf20,0x26e80ff8,0xf91beeb8,0x007fc805,0x026bbe62,0x1ded9ee8,
    0xfd8bf336,0x44ff980f,0xff304ffa,0x2017dc0b,0x3db04fd8,0x02facfb8,
    0x74403fe4,0x7e5fe40d,0x405000a1,0xffb807fc,0x7ffc403f,0x6fffffff,
    0x5ffa8000,0x7dc7f620,0x401dd103,0x7fc802fc,0x803ff800,0x3f200ee8,
    0x4cdffe42,0x0aefffda,0x2e73fffa,0x0002fffd,0x2001ff4c,0x03fcbff8,
    0x30003fe4,0x145fb5ff,0x7fc80a00,0x017ffe40,0xbaaaaaa8,0x04c00cff,
    0x55f7fec0,0xb2fffba9,0xacfe880d,0x502feca9,0x99ffd999,0x32ea0179,
    0x9fd1007e,0x05fd9535,0xfffffff1,0x449fffff,0xfffffffe,0x7dc0002f,
    0xffb8001f,0x32a1ffff,0xcccffecc,0xfff9000b,0x000a1fff,0x7f665c45,
    0x3f21cccf,0xccccceff,0x7e5c403d,0x3ffa01df,0xffffc801,0x2e4fffff,
    0xffdb8800,0xff301cef,0xffffffff,0x3fff209f,0x3f6e2005,0x2601ceff,
    0xfcfffffd,0xfec81eff,0x0001dfff,0x2555ffec,0xfb733100,0x7ffffccb,
    0x04ffffff,0x9fd73310,0xfd8a0014,0xffffffff,0xfffff90f,0x80ffffff,
    0x06fffffd,0x5c00bffa,0x2efffffd,0x00130000,0xffffffb1,0x4405dfff,
    0x04c0002b,0x000d5400,0x00001a88,0x3ffffffa,0xfffd8001,0xfffffb10,
    0x005dffff,0x321dffd0,0xaaaaaaaa,0x3fae4aaa,0x5fffffff,0x3ffffff2,
    0x5407ffff,0x404ffffe,0x15100009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x57530000,
    0x0004c001,0x26666620,0x04cc4019,0x02aea200,0x00026620,0x401aba88,
    0x99980999,0x804c4000,0x20001998,0x80019999,0x133001ba,0x22026620,
    0x80cc4019,0x00099999,0x00666666,0x7ffffdc0,0x3e605fef,0x3ff20006,
    0x2fffffff,0x4009ff70,0x0efffffc,0x009fffd0,0xfffff910,0x7ffd4ddd,
    0xffff55ff,0xffd980bf,0xff50dfff,0xff1000ff,0x4c00ffff,0x104efffe,
    0x5c1dfffd,0x3fa3ffff,0xfff104ff,0x3fffea5f,0x501dffff,0xffffffff,
    0xffb0019f,0xffffffff,0x001fee01,0xffffffd8,0xff703fff,0xfffd1009,
    0xf05fffff,0xd0009fff,0xffffffff,0x3ffff23f,0xfffff76f,0xffffe80f,
    0xfff73fff,0xfff1000f,0x3e200fff,0x82ffffff,0x21fffffa,0xf15ffffd,
    0x3ee0ffff,0xfff74fff,0xbfffffff,0xffffff70,0x403fffff,0x988bdffd,
    0xf700fffb,0x5544000f,0x01adffba,0x36006aa2,0xfb989dff,0x7fd441ff,
    0x6ffdc004,0x1fffb98a,0x982b3fea,0x2a00dffa,0xdccabcff,0x001ff660,
    0x03fed544,0xe98bffb8,0x9ffb304f,0x20afff88,0xf83ffff8,0x7fd44fff,
    0xfffdbaad,0xaaffd984,0x80fffeba,0x3ee05ffa,0xaffda887,0x0000aaaa,
    0x800007ff,0xff304ffb,0x0013fe0d,0x3fee0dfb,0xf80bfe21,0x02fec03f,
    0x0000ff70,0x3f600ff9,0xf1005446,0x1ffe41ff,0x546fffe8,0xff82ffff,
    0x81fff883,0x5ff707fb,0x9b00ffb0,0xfffffff0,0x0003ffff,0x554407ff,
    0x37fc02aa,0x3e0bfee0,0x02aaa64f,0x3fc41bf6,0xff80bfe2,0x5bff5303,
    0x3ee01555,0x00379957,0xfc803fe4,0xbff50006,0xfe817fe6,0x3ffa2fff,
    0x03ff82ff,0xff709ff3,0x3e0ffe20,0x3fa0005f,0xffffffff,0x3ff8001f,
    0xffffff30,0x4017fc40,0x74ff83ff,0xb85fffff,0xf1001dff,0x41ffc05f,
    0xfffffffc,0xffb80fff,0x03ffffff,0x2e00ff90,0xfb0000ff,0x401ffd7f,
    0xf36ffdfe,0xff05ffbf,0x5c3fec07,0x83ff907f,0x40003ff8,0x9999ffc8,
    0x0ffe0001,0x3fffffc4,0xd003ff30,0x329ff0bf,0x442fffff,0x1bdffffe,
    0x7c05ff10,0xffffc83f,0x80ffffff,0xfffffffb,0x7fc803ff,0x77ff7640,
    0x3e2001de,0x7403ffff,0xfd9ffccf,0xff82ff9f,0x2e1fee03,0xfecaaaff,
    0x82ff886f,0x20199998,0x004007fb,0xb3300ffe,0x07fdc0ff,0x7fc37ec0,
    0x01dfffac,0x3fffff62,0x17fc40ef,0x26207ff0,0x01999dfe,0xe98fffee,
    0x07fc805f,0x3fffffe2,0x731005ff,0x4033dfff,0xfeff8cfe,0xf82ff8cf,
    0x03fea03f,0xfffffff7,0x5ff101bf,0xffffffb8,0x400ff707,0x0ffe04fa,
    0xf303fe40,0x0bfd003f,0x09fffdff,0x7ffed440,0x0bfe20ef,0x7f403ff8,
    0x07fee004,0x3f201ff2,0x7f665407,0xd7000bcf,0x1bddfffd,0x7fe53fa0,
    0x82ff88ff,0x3fee03ff,0x7ffffdc0,0x3fe00fff,0x7ffffdc3,0x07fb80ff,
    0xff81bf20,0x40ff9003,0x7c403ff8,0xfffff83f,0x7e440002,0x80bfe22f,
    0x27f403ff,0x2e0ff700,0x07fc807f,0x0001bf60,0x3fa00ff9,0x22bfff34,
    0x03ff82ff,0x3fee1bf6,0x05ffe999,0x2aa217f6,0xff701ffc,0x883fe400,
    0xff9002ff,0x200ffe80,0xfff81ffc,0x3e200eff,0x3e2ff406,0x05ff105f,
    0x2e004fe8,0x00ff707f,0x7fc00ff9,0xecca8006,0xd00cccff,0x88ffec9f,
    0x03ff82ff,0xff70bff1,0x705ffd88,0x7fd405ff,0x201ff700,0x5c1ff208,
    0xff9001ff,0x505ffa80,0x3bfe0bff,0xf500effd,0x17fe207f,0xffb01ffb,
    0x004fe801,0x3fdc1fee,0x9803fe40,0x205904ff,0xaaffdaa9,0xa893fa02,
    0x3e0bfe22,0x2ffe883f,0xffd07fb8,0x2b7ffa05,0x0ffeca99,0x7359ff30,
    0x7fe4dfdb,0x6ffcaace,0x201ff200,0xda9beffc,0x9ff00fff,0x2a07fff2,
    0xda9bdfff,0x7fd43fff,0x4ffda9cf,0x2004fe80,0x0ff707fb,0xb880ff90,
    0xccccdfff,0x3b2a07fd,0xf500bcff,0xdb8839df,0x3fee0cff,0xfffeccce,
    0xacffea84,0x02fffe20,0xfffffff3,0x6c01ffff,0xffffffff,0x3ffffee6,
    0x2a00efff,0xccffeccc,0xfffd80bc,0x981effff,0x3ff24ffb,0xfff50bcf,
    0xbfffffff,0x3ffffee0,0x97300eff,0x37999dff,0x417ffd50,0x2a0bffda,
    0xccffeccc,0x3ffee0bc,0xffffffff,0xfffff506,0xfff50dff,0x7fec1fff,
    0xfff76fff,0xbfffffff,0xffffff70,0x85fffa87,0xfffffec8,0x7f4c00be,
    0x882effff,0x0dfffffb,0x3ffffe60,0x04ffffff,0x19fffff5,0xb93fffe0,
    0xd14fffff,0xffffff9b,0xfffe9805,0x7fffc04f,0x46ffffff,0x35fffff9,
    0x26bfffff,0xffffffff,0x3fa64fff,0xffffffff,0xfffd101d,0xfd107fff,
    0xfea8bfff,0xffd33fff,0x039bffff,0x3bffffa6,0x803ffc81,0x980009a9,
    0x2a2001aa,0xfffb1001,0x5dffffff,0xc801a880,0x3fa64fff,0x2a601eff,
    0x0d440009,0xfffffc80,0x6c44ffff,0xfb13ffff,0x3f627fff,0xffffffff,
    0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00199998,
    0x33333331,0x33330333,0x26600133,0x30133100,0x33333333,0x1ed40133,
    0x33333002,0x03333333,0x33300130,0x26600333,0x40133100,0x00099999,
    0x4cc02662,0x01331009,0x33310133,0x26013333,0x80099999,0x33101998,
    0x3ffffa03,0xffc802ff,0x7fffffff,0x3fffffea,0xf981dfff,0x7fe46fff,
    0xffff53ff,0xffffffff,0x3bfff609,0xffa82fca,0xffffffff,0xfd7107ff,
    0xfff30bff,0x203fffff,0x20effff9,0x543ffffc,0xffffffff,0x3fffa02d,
    0x7ffffd46,0xaffffe46,0x90fffffa,0xffffffff,0x7fffccdf,0x80dfffff,
    0x21fffffe,0x42fffffe,0x5fffffff,0xfffffc80,0x3ee7ffff,0xffffffff,
    0x7ffcc3ff,0x3fffa0ef,0xfffff75f,0x9fffffff,0x7ffd4fa0,0xfffff905,
    0xffffffff,0x3fffff20,0xfffffa87,0xff502fff,0x7ff41fff,0x7ffdc5ff,
    0x5fffffff,0x3fffff88,0x1fffffee,0x2efffffb,0xfb1fffff,0xffffffff,
    0x3fffea1f,0x2fffffff,0x3fffffe2,0x3fffffe2,0x7ffd5443,0x7fe400ff,
    0x6ffdaaaa,0x5557fecc,0x4c0fffdb,0x7fc43ffd,0x3ff660af,0xffaaaaaa,
    0x80351004,0xaaaaffd9,0xf887fdaa,0x301edadf,0x03557ff9,0x4c4ffe98,
    0xff302fff,0xfffb755b,0xffff7109,0x06ffd4c1,0x982bff62,0x2aa21ffd,
    0x0aaaffda,0x555ffe4c,0x260fffeb,0x5441adff,0x3e604ffb,0x6403ffdf,
    0x07ffc47f,0xff983fe4,0x20fff882,0xff703ffc,0x55427fc0,0x80379732,
    0x1fee07fc,0xa8003fee,0xcdeeeeff,0x43fff102,0x7fc03ffe,0x81fff883,
    0xf85ffff8,0x20ff904f,0x3fe407fb,0x540ffd40,0x327fc3ff,0x017fcc55,
    0x0ffb1ff9,0x7ff46fb8,0x260ff902,0xbff503ff,0xfb817fe6,0x17ec7227,
    0x3ff7fffa,0x3f204fff,0x37d43267,0x5001ffd4,0xffffffff,0x3ffe60bf,
    0xf804ffc8,0x0bff303f,0x85fffff1,0x0ff904ff,0xff901fee,0x203ff500,
    0xd2ff45fe,0x07fea5ff,0x5ff55ff8,0xffb1f440,0x223fe409,0x3601ffea,
    0x00ffeaff,0x15fc9fee,0xfffffb05,0x205fffff,0xa93f67fc,0x001fff00,
    0x2a66bfea,0xf501ffec,0x200bffff,0x1ff603ff,0x3ffeffe2,0x7e413fe0,
    0xc80ff707,0x1ffa807f,0x7ec4ff98,0x2e9fff36,0x5ff500ff,0xf7002ffc,
    0xeffc80bf,0x05ffffee,0x17ffffc4,0x3fbbfee0,0xfffb806f,0x20bfd30b,
    0x5ffeeffc,0x25ffe880,0x03ff5019,0x7e409ff1,0x36200eff,0x45ffffff,
    0x7fc40ffb,0x3fe5ffab,0xdddff904,0xc80ffddd,0x1ffa807f,0x3217ff4c,
    0x2ffff97f,0x1ffa07fc,0xf3001ff9,0xffc801df,0x4fffffff,0x05fffa80,
    0xffffffb8,0x82ffb806,0xfff907fb,0xe880bfff,0xff9affff,0xd01ffa85,
    0x7ffcc0bf,0x7fffcc04,0x3ea1ffff,0xd9ffc40f,0x209ff2ff,0xfffffffc,
    0x3fe407ff,0x7777fd40,0xfb85ffff,0xafffff8f,0xdff306fd,0x07ffb999,
    0x041fff88,0x6e667fe4,0xd805ffff,0xffb800ff,0xb806fecc,0x0ffb80ff,
    0xffccffc8,0x7dffec05,0xa86ffcff,0x3ff981ff,0x5ffffd10,0xceffcb80,
    0x207fdc3c,0xdff13ff8,0x7fe413fe,0x7feeeeee,0x5403fe40,0xffffffff,
    0xff7ff504,0x0bfd9ff7,0x3ffffff2,0x7ec07fff,0x320fec3f,0x3ffd307f,
    0x7007fc80,0x572fe4ff,0xf701ff70,0x6cff901f,0xaa7fc04f,0xf506ffff,
    0xff95557f,0x33ff603f,0xff801fff,0x221ff603,0x33fee3ff,0x0ff904ff,
    0xff901fee,0xdddff500,0x7fcc0379,0xfffd8ffe,0xddfff04f,0x05ffdddd,
    0x3fe17ff2,0xf303fe43,0x07fc807f,0x30b8ff70,0x01ff70ff,0xff901ff7,
    0xff1005c4,0x81fffe47,0xfffffffa,0xbff901ef,0xf003bfe6,0x17fa207f,
    0xffd0ffe2,0x1ff209ff,0x3f203fdc,0x01ffa807,0xaffffc40,0xa83ffffa,
    0x17fe02ff,0x7fc1bfea,0xf103fe43,0x07fc809f,0x7d40ff70,0x407fdc0f,
    0x7fc80ffb,0x9befd800,0xa81cfffb,0xaacdeeff,0xb8dff500,0x1ffc06ff,
    0x4417ff44,0x7ffcc3ff,0x20ff904f,0x3fe407fb,0x000ffd40,0xff1ffffc,
    0xffea85ff,0x7ff5c41c,0x337ffe0b,0x23ffcccc,0xccccffea,0x982fffdc,
    0x2ccffecb,0x999ffd50,0x41ffb999,0x260bffda,0xd710bffd,0x003999ff,
    0xfffffff3,0xffda8dff,0x2e202ccd,0x7fcc4fff,0xeffb81df,0x5fffeccc,
    0x1bdffb88,0x2a13fff2,0x3aa1bffe,0x99710bff,0x83999ffd,0x2ccdffda,
    0x41fffd00,0x3ee2fffd,0x360fffff,0xf15fffff,0xffffffff,0x3ffee7ff,
    0xffffffff,0xffffd04f,0xfb83ffff,0xffffffff,0xff30ffff,0x7ff4dfff,
    0xffff94ff,0x7001ffff,0xffdfffff,0x7ffffd49,0xff902fff,0x7ffc7fff,
    0x7ffdc7ff,0xdfffffff,0xfffffb80,0x2627ff47,0xf77fffff,0x3f6bffff,
    0xffffffff,0xfffff50f,0xfb005fff,0x1fffa8df,0x17ffffa6,0x27fffff7,
    0xfffffff8,0xfd33ffff,0xdfffffff,0x7ffdc05b,0x4c0dffff,0xfffffffe,
    0xb10fffff,0x7e47ffff,0xffd51eff,0x400bffff,0x22009a98,0xeffffffe,
    0xdfffd500,0x27fffe43,0x3fffffa6,0x3a602cdf,0x7cc4ffff,0x7ffec44f,
    0xffffd34f,0x3ffffae7,0x3a25ffff,0x0effffff,0xf83ffc80,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02666000,0x2004ccc4,0x99999999,0x33330999,0x33333333,
    0x33333103,0x40cccc00,0x15000998,0x0002a000,0x2e219300,0x20000000,
    0x332ea02a,0x014c098b,0xbca880a2,0x41554401,0x2a202aaa,0x072e62cc,
    0x0ab98098,0x1bffffe6,0x09fffff9,0xfffffff5,0x3e5fffff,0xffffffff,
    0x3fa1ffff,0x03ffffff,0x3fffffea,0x09ffffd2,0xa8005fa8,0xcb88006f,
    0x3a9ff31b,0x000003ff,0x260fff54,0xfffffffe,0x2e33fe25,0x42ff99cc,
    0xffffffe8,0x0ffffb82,0x203ffffa,0xbdfffffc,0xfe83ffff,0xfffff31f,
    0x3ffffea3,0x3ffff60f,0xffffc85f,0xffffffff,0xfffffff2,0x43ffffff,
    0xffffffff,0x3fffee04,0xfffff3ff,0x007fc80b,0x26004f98,0xfffffffe,
    0xffff91ff,0xd9800005,0x7f40efff,0x7fffffff,0x7ffffff4,0x3a21ffff,
    0xffffffff,0x07fffd42,0xd01ffffd,0xffffffff,0x7c47ffff,0x223933ff,
    0x2fffa66f,0x57ff5440,0xff7fd300,0x25ff755b,0xffdaadff,0x221ffcaa,
    0x02adffaa,0x21affd98,0x400afffd,0x000007fc,0xfeffff98,0x7542ffff,
    0x0001efff,0x1ffffe44,0xb3057fd4,0xffff88df,0x223fffff,0x3aa2dffe,
    0x7fe442ff,0x407fdc40,0xfffd11b9,0xfc8dfd11,0x46fa980d,0xff103ffa,
    0xff3ff00b,0xff97fc47,0xff99ff24,0x8009ff01,0x3ff627fc,0x0ff9000e,
    0xff980000,0xffff31cf,0x3fffee07,0xffb8001d,0xff500cff,0x40e4435b,
    0xffb32ffe,0x8827fd43,0x0ffb85ff,0x2200ffb8,0x2e3ffdaa,0xff7002ff,
    0x20dfd03f,0x7cc01ffb,0x7fc67ff6,0x3fe49ff1,0x3fe03ff3,0x8bfe4004,
    0x2000effe,0x000007fc,0xff317fe4,0x6401ffff,0x800cffff,0x01dffffa,
    0xefffffe8,0x44ff880c,0x3ff23ff9,0x2e1ff200,0x0ffb80ff,0xffffffb8,
    0x3fffffff,0x21bf2a00,0x6fe81ffb,0x7ff4fc80,0x7f4975fb,0xff89ff22,
    0x8009ff00,0x5fff9ffc,0x76665c40,0x22ccccff,0xccccccc9,0x7f43cccc,
    0x2efffe26,0x7e4401ff,0xfd503fff,0x44005dff,0xfffffffc,0x7c17fcc2,
    0x5017fa4f,0x0ffb83ff,0x7f40ffb8,0xffffffff,0x004fffff,0x7fc41fc8,
    0x401ffcc5,0xffdff1fe,0x7fc85309,0x09ff0154,0xfffffc80,0xffffe806,
    0xffffffff,0xffffffd1,0x23ffffff,0xffd13ff8,0x400bfe67,0x11ffffe9,
    0x007ffffb,0x7edd4410,0x227fc0ff,0x3ff22ffa,0x703ff600,0x1ff701ff,
    0x4cd77fd4,0xccccdffd,0x555dc02c,0x1ffb06eb,0x22007fec,0x3ffffe7f,
    0x00ff9004,0x64004ff8,0x05ffffff,0x7fffffdc,0x325fffff,0xffffffff,
    0x3fe0efff,0x323ffe8e,0xfe9800ff,0x7ec42eff,0x3a003fff,0x85ff301f,
    0xfeb9cffd,0x413fea0f,0xffb85ff9,0x507fec40,0x3ffc83ff,0xfffd9000,
    0x4ffe603d,0xfb804ff8,0xffeffeef,0x00ff9003,0x19304ff8,0xfebfffc8,
    0x3fe4006f,0x3f600000,0x3e64ffff,0x7fec406f,0x7f4c03ff,0x7c402eff,
    0xdb99acff,0x3ffe60ff,0x44ffffff,0xdb9cfffe,0xff982fff,0xffffb99c,
    0x35dff10b,0x735ffffb,0x06f5c5fb,0x3fa00262,0xb003ff76,0x97ffffff,
    0x1ff2003f,0x3609ff00,0x90ffe43f,0x7e4007ff,0x44000007,0xeb9dffff,
    0xf9102fff,0x40019fff,0x01efffea,0x3ffffffe,0x3fe24fff,0xffffffef,
    0x3fffa22f,0x202fffff,0xfffffffe,0x3ff24fff,0xffffffff,0xff14ffff,
    0x7dc0007f,0xf006ffaf,0x87ff557f,0x1ff202d9,0x3a09ff00,0x743fe45f,
    0xff9000ff,0xe8800000,0xffffffff,0xffff702f,0x7dc0001b,0xfc80dfff,
    0x3ffffffe,0x15552ff8,0xfd905fd1,0x8803bfff,0xfddffffe,0x7ffdc1ef,
    0xfffededf,0x0bffa0be,0xfffff000,0xf8df5005,0x9037dc3f,0x4ff800ff,
    0x7fc8bfd0,0x9004ff98,0x571000ff,0xffdffd00,0xd303bfff,0x0003dfff,
    0x3ffff220,0x06aa6203,0x00440088,0x220006a2,0x54c0009a,0x2a00a980,
    0xffc80000,0xefea807f,0xcceffc99,0x65cc7fec,0x302ccffe,0x999dff97,
    0x754bff99,0x7fec2cff,0x037dc02c,0x2a037d40,0x002a25ff,0x0005dffd,
    0x3fff6200,0x00000001,0x00000000,0x00000000,0x013ffe60,0xfffffff5,
    0xffffffff,0xffffff8f,0xfff81fff,0xffffffff,0xffff75ff,0x7ffcc7ff,
    0x00fa602f,0x3600f620,0x07d70004,0x36600000,0x00000005,0x00000000,
    0x00000000,0x400ffd80,0xfccfffe8,0xffffffff,0x7ffffe47,0xffc80dff,
    0xffffffff,0xfffd35ff,0xeffd83df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccb98000,0x65d4002c,
    0x9530009b,0x2a206399,0x950cc99a,0x32aa8017,0xa9803797,0x4072e62a,
    0x55101aa9,0x1aaa9815,0x40555544,0x55441aa9,0x2aaaa60a,0x402aaaaa,
    0x25c25c00,0x005004c0,0x88488191,0x06ea202a,0xb880aaa8,0x7fffd401,
    0x5402ffff,0x2fffffff,0x3ffff620,0x3e64ffff,0xefffffff,0xfd03ffff,
    0xfffffbff,0x3ffffa09,0x0effffc9,0x313ffffa,0x3a3fffff,0xf34fffff,
    0x6c3fffff,0xff34ffff,0x3fee1fff,0x7fffffff,0xfa813e60,0x4037ea0e,
    0x7f441ff9,0x983fe604,0x13ffee6f,0x0fffff4c,0xfb11ffe2,0x3ee05dff,
    0xffffffff,0xfffff900,0xf107ffff,0xffffffff,0x7fffc4df,0xffffffff,
    0xffffb06f,0x05ffffff,0xfffffffb,0x7ec7ffff,0x7fc43fff,0xfffb0fff,
    0x3ffe27ff,0x3ff61fff,0xffff13ff,0x3fffee1f,0x207fffff,0x77dc06fc,
    0x2203bee1,0xffd11fff,0xb87fea09,0x3ef2a0ff,0x3e63fb04,0x2e1ffdc5,
    0x206fdbef,0x17fdc1aa,0x8857ffd4,0x7ec0fffa,0xff930adf,0x327ffd0d,
    0x05ff35ff,0x4c2fffee,0xff7105fe,0x036a3bff,0x57ae1ff9,0x6c40ffd8,
    0x7fec41ff,0x29fff502,0x7dc4fff9,0xfffb999f,0x201ff202,0x3ff22ffb,
    0xeafffa81,0x3ff705ff,0xf980ffe4,0x37c43304,0x83fe1bf6,0x2a6201fd,
    0xd83ff9aa,0xbff301ff,0xfb037fc4,0x7dcbfd0b,0x207ff10f,0x7fb82ffb,
    0x00fffea0,0xfff8ffd4,0x3e60bfd2,0x02ffc43f,0x3ffbffa6,0x2a5f983f,
    0x6fdc2fff,0x6fcaffda,0x7e47ff70,0xffffa82f,0x43ffb05f,0x3e601ffd,
    0x42fe9804,0x237cc2ff,0xfff703fb,0xf09fffff,0xffffffff,0x7fd4ffff,
    0x3a072203,0x443fee5f,0x1ff703ff,0x2a01ff70,0x3e2002ff,0x8dfffabf,
    0x3ffa03ff,0x2007ff20,0x02ffffe8,0xd05fff50,0xffffffff,0x3ffa01ff,
    0x503fff12,0x3f60bfff,0x00bffa3f,0xffa809f3,0xfe837cc2,0xfb01fd12,
    0xffffffff,0xfffff889,0xffffffff,0x0001ff70,0x0ffb97fa,0x3ee07ff1,
    0x00ffb80f,0xe8001ff5,0xbffffddf,0x3fea01ff,0x400bff13,0x800efffd,
    0x9101fffa,0xbfffffff,0xd8fff603,0xffe882ff,0xffe881ff,0x403ffd31,
    0x3bf604f9,0xf502fc80,0xf70bffdf,0xf53339df,0x99dff09f,0x99999999,
    0x80017fd4,0x43fee5fe,0xff703ff8,0x201ff701,0x64000ffa,0xfffdffff,
    0x97fe807f,0xfb1003ff,0x403fffff,0xb001fffa,0x6c01ffff,0x1dfd11ef,
    0xffdffd10,0x47ff603f,0x5441ffd8,0x3a21adfb,0x362babff,0x67ff5c05,
    0x980ffd80,0x2ffd84ff,0x037fc400,0xb97fa0e6,0x07ff10ff,0x3ee03fee,
    0x01ff500f,0x9ffffa80,0xa806fffe,0x805ffcff,0xfb8dffe8,0xfffa82ff,
    0x7fcc36c1,0xbfb04fff,0xe817fa21,0x3fff55ff,0xfb87fee0,0x3ffff21f,
    0x3fffe26f,0x030007ff,0xa99bffc8,0x20aefffd,0x99bcfff9,0x7ec5fdca,
    0xda999adf,0x3bfea2ff,0xf117ff71,0xffda83bf,0x2fff660b,0x33ff72a0,
    0x7c402ccc,0x9fff56ff,0x3ffffa00,0x7fffd401,0x433fff60,0xcccefffa,
    0x7ff41ffc,0x7dc1ffe9,0xf501fe43,0x05ffa8bf,0x6f983fa6,0x00000000,
    0xfffff880,0x4fffffff,0x7fffffd4,0x7447ffff,0xffffffff,0x3fffe66f,
    0x8bfffb8f,0x3fe66fff,0x3ffa6fff,0xffff74ff,0x05ffffff,0x3fe3ffe8,
    0xfff5002f,0xffffa80b,0xfffff55f,0x3fffff6b,0x222fffff,0x87ff12ff,
    0x44008818,0x803b304d,0x00028828,0x30000000,0xf9fffffb,0xfb303dff,
    0x3bffffff,0xfffff910,0x7ec419ff,0x3dff75ff,0x6c47fff1,0x3f23ffff,
    0xffd31eff,0x1dffffff,0x320ffc80,0x3fa000ff,0x7ff4402f,0xfffd12ef,
    0x3ffff67d,0x42ffffff,0x0001cc2a,0x00000000,0x00000000,0x001aa800,
    0x01355310,0x26aaa620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a006400,0xcccccccc,
    0x4c1ccccc,0xfd880aca,0xffffffff,0x35532eff,0x7310aaa2,0x00333203,
    0x00ceb800,0x059305b0,0x2eeee200,0xbbbbbbbb,0x6f5c2bbb,0x3bbbbaa0,
    0xeeeeeeee,0x77730cee,0x07777777,0x00000000,0x80000000,0x3fea06fb,
    0xffffffff,0x3f22ffff,0x7d41ffff,0xffffffff,0xff95ffff,0xf99bfe67,
    0x7f43ffff,0xc803d90f,0x77fffcc6,0x07f0fee1,0x23745fff,0x3fffa1fb,
    0xffffffff,0xf12fffff,0x7fff47ff,0xffffffff,0xf92fffff,0xffffffff,
    0x0000000f,0x00000000,0x827ffd40,0xffffffe8,0x2fffffff,0x42fc4262,
    0xccccccca,0xf50bcccc,0x453fe25f,0x43fb32ef,0x0bfe67fd,0xffd13fa2,
    0xff75fffb,0x7fc3ff89,0x743ff32f,0x3fffee4f,0xffffffff,0x3fa0efff,
    0x3333261f,0xcccccccc,0x3bb23ccc,0x6eeeeeee,0x00000000,0x00000000,
    0x07fffff3,0x45ff3000,0x06fffdb8,0x0ffcc000,0x20bea7ff,0xd11ff25f,
    0x21ff447f,0xfff52ff9,0x32ea1fff,0x2a164c6e,0x00005cc3,0x00002a00,
    0x00000000,0x00000000,0x7f440000,0x002ffebf,0xfd17fcc0,0x260df99b,
    0x99999999,0x83fe2099,0xd03f52fe,0x6c437dcd,0x0d407f27,0xc83bffa6,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x74000000,0x3fff33ff,
    0x97fcc000,0x31bea2fb,0xffffffff,0x7c7fffff,0x3dd0fe47,0x5f98bf22,
    0x19800000,0x00005730,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x37fd44ff,0x25ff3000,0xfffffff8,0xfffff50f,0xffffffff,0x83ee2f4b,
    0x44fffffa,0x000004f8,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb000000,0x003fee0d,0x510ffc40,0x98555399,0xaaaaaaaa,0x20cc2aaa,
    0x01593028,0x00000076,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c400000,0x00006a00,0x000000db,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_29_latin1_x[224]={ 0,5,3,1,2,1,2,6,6,3,2,1,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,1,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,3,4,5,0,1,5,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_29_latin1_y[224]={ 21,4,5,3,3,4,6,5,4,4,4,6,17,12,
18,2,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,4,26,3,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,21,9,3,5,7,5,
4,4,4,5,4,10,12,12,5,1,2,2,4,4,3,9,4,11,20,4,4,10,4,4,4,9,-1,-1,0,1,
0,-1,5,5,-1,-1,0,0,-1,-1,0,0,5,1,-1,-1,0,1,0,8,4,-1,-1,0,0,-1,5,4,3,3,
4,5,4,3,9,9,3,3,4,4,3,3,4,4,4,5,3,3,4,5,4,6,8,3,3,4,4,3,4,4,
 };
static unsigned short stb__courier_bold_29_latin1_w[224]={ 0,5,9,13,12,13,13,4,7,6,12,14,6,12,
5,12,12,12,13,13,13,13,12,13,12,12,5,6,16,15,15,12,11,17,15,15,15,15,15,16,15,12,15,16,
15,17,17,15,14,15,16,13,14,16,17,17,16,15,13,7,12,6,12,19,6,14,16,14,16,15,14,16,15,13,
10,15,13,18,15,14,16,16,14,13,15,15,16,17,15,15,12,8,3,8,13,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,15,13,15,
3,14,9,17,10,15,16,12,17,19,9,14,9,8,6,15,13,5,6,8,10,14,16,19,16,11,17,17,17,17,
17,17,17,15,15,15,15,15,12,12,12,12,16,17,15,15,15,15,15,11,16,16,16,16,16,15,14,14,14,14,
14,14,14,14,17,14,15,15,15,15,13,13,13,13,13,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
 };
static unsigned short stb__courier_bold_29_latin1_h[224]={ 0,18,8,21,22,18,16,8,22,22,12,15,9,3,
4,22,18,17,17,18,17,18,18,18,18,18,13,15,15,8,15,17,20,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,22,22,22,9,3,6,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,17,13,12,12,12,18,12,22,22,22,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,19,16,13,16,
22,20,4,17,8,11,9,3,17,4,9,19,10,10,6,18,20,4,6,10,8,11,17,17,17,18,22,22,21,20,
21,22,16,21,22,22,21,21,22,22,21,21,16,20,23,23,22,21,22,11,19,23,23,22,22,22,16,18,19,19,
18,17,18,19,13,17,19,19,18,18,18,18,17,17,18,16,19,19,18,17,18,15,15,19,19,18,18,24,23,23,
 };
static unsigned short stb__courier_bold_29_latin1_s[224]={ 254,246,104,163,187,87,113,125,200,72,161,
85,236,227,201,1,101,179,192,218,206,232,1,14,28,73,241,249,147,88,131,
220,130,1,33,233,222,65,97,1,194,210,34,68,52,204,176,64,223,114,238,
96,37,110,1,238,142,49,19,14,143,136,47,207,130,1,178,32,195,16,127,
114,142,50,50,80,158,47,66,192,218,235,82,164,18,207,115,97,132,162,148,
156,250,127,144,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,254,212,1,
172,178,188,183,49,171,1,77,201,60,227,48,181,243,58,226,247,137,57,64,
165,158,217,114,174,116,96,147,102,22,165,206,96,224,79,19,1,97,208,17,
33,224,237,242,177,159,78,61,94,40,190,56,189,142,110,77,129,146,113,127,
173,43,13,128,66,158,207,223,33,191,175,41,202,188,114,19,133,73,81,238,
28,143,81,147,100,115,222,159,131,86,1,33,17, };
static unsigned short stb__courier_bold_29_latin1_t[224]={ 1,71,193,26,1,71,146,193,1,26,180,
163,180,193,193,26,71,110,110,71,110,71,91,91,91,90,163,110,163,193,163,
110,49,146,146,110,128,146,146,128,146,146,128,163,163,128,146,128,146,49,128,
128,163,128,163,146,146,146,146,26,1,1,193,193,193,180,90,180,90,180,128,
90,128,128,1,128,128,180,180,163,90,90,180,163,128,163,180,180,180,90,180,
1,1,1,193,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,1,90,71,
128,163,128,1,49,193,110,193,180,193,193,110,193,180,71,180,163,193,91,49,
193,193,180,193,180,110,110,110,90,26,1,26,49,26,26,163,49,26,1,49,
49,1,1,26,26,146,49,1,1,26,26,26,180,49,1,1,26,26,26,146,
71,71,71,71,110,71,49,163,110,49,49,91,71,71,71,110,110,71,146,49,
71,71,110,90,163,163,49,49,90,90,1,1,1, };
static unsigned short stb__courier_bold_29_latin1_a[224]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_29_latin1(stb_fontchar font[STB_FONT_courier_bold_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_29_latin1_s[i] + stb__courier_bold_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_29_latin1_t[i] + stb__courier_bold_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_29_latin1_x[i];
            font[i].y0 = stb__courier_bold_29_latin1_y[i];
            font[i].x1 = stb__courier_bold_29_latin1_x[i] + stb__courier_bold_29_latin1_w[i];
            font[i].y1 = stb__courier_bold_29_latin1_y[i] + stb__courier_bold_29_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_29_latin1_s[i] + stb__courier_bold_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_29_latin1_t[i] + stb__courier_bold_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_29_latin1_x[i] + stb__courier_bold_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_29_latin1_y[i] + stb__courier_bold_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_29_latin1_LINE_SPACING
#endif

