// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT        230
#define STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_31_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_31_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_31_latin1_LINE_SPACING          15

static unsigned int stb__courier_bold_31_latin1_pixels[]={
    0x40000400,0x02aa9800,0x00008000,0x51000033,0x40000055,0x44000028,
    0x00009802,0x80001880,0x80020009,0x00009999,0x2204400a,0x20009999,
    0xdf3007e8,0x3fe04fb8,0x200006ff,0xc8002fd8,0x7cc0004f,0x00ec807f,
    0x00077cc0,0x2e03fd40,0x5400006f,0x7d40006f,0x02ed8807,0x5fffff88,
    0x00ff4400,0xfffa97f4,0xff5004ff,0x87fee007,0xfff106fd,0x2a0000df,
    0x000dffff,0x00037fa2,0x2203ffcc,0xfc8003ff,0x3ee0001f,0x17fe401f,
    0x1ffc8000,0x03ff4000,0x033fffea,0x6fffff88,0x00ffe600,0x7fdd3fe2,
    0xfb804fff,0x0f22002f,0x7d440393,0xfc80006f,0x00ffe9bf,0x00077e40,
    0x2a026644,0x40010dff,0xc8002ffa,0xff8800ef,0xefd80006,0x7fd40000,
    0x26fff204,0xff100ffe,0x2a00155b,0xff1002ff,0x27fdd4c9,0x0000f7c0,
    0x037fc000,0x2e06fc00,0x1fb8002f,0xfb300000,0x03ffffff,0x4001f4c0,
    0x3f6000de,0x2740001f,0x0ffe8000,0x5f7037e0,0x0013fe20,0xf88007b2,
    0x04ff884f,0x19880008,0xff806620,0x00155316,0x00000000,0x99999988,
    0x3fffe609,0x003fffff,0x20000000,0x00005ff9,0xbff30000,0x3e200000,
    0x0000004f,0xff109ff1,0x44033109,0x7fff4419,0x7ffff42f,0xffbeff83,
    0x1003efff,0x30015773,0x33310333,0xfffff981,0x3f24ffff,0xffeb9bdf,
    0x55dcc404,0x81999800,0xfb009998,0x2620003f,0xb0000abb,0x266603ff,
    0x40999881,0x31004ff8,0x20013333,0xff884ff8,0x3ffffa24,0x9fffff42,
    0x24fffff9,0x86fffff8,0xffffffff,0x7d404fff,0x80dfffff,0x1ffffffa,
    0x4dfffffb,0xfffffffa,0x41bfe4ff,0x3fea02fe,0xa80dffff,0xb1ffffff,
    0x50dfffff,0xf5000bff,0x01bfffff,0x542ffcc0,0xb1ffffff,0x44dfffff,
    0xffd804ff,0x1007ffff,0x9ff109ff,0x27ffffcc,0x4dfffff1,0x540bfffa,
    0xff80dffe,0xfebadfff,0xfffb04ff,0x83dfffff,0x2ffffffb,0x8fffffff,
    0xfcccccca,0x441bfe4f,0x3ffff601,0x5c1effff,0xf2ffffff,0x20ffffff,
    0x36000ffe,0xffffffff,0x5ffb001e,0xffffff70,0x3fffffe5,0x2013fe27,
    0xfffffffe,0x83ff8802,0x7fd44ff8,0x7ff540bf,0x41ffe40d,0xff00fff8,
    0xfff301df,0x339fff70,0x441fffd7,0x222ceffa,0x001dffdb,0x7fe49ff1,
    0xfb8009cf,0xfeb99cff,0x3fea20ff,0x3f6e22ce,0x9ff501df,0x33ffee00,
    0x0fffeb99,0x8837fc40,0x222ceffa,0x221dffdb,0xcb8804ff,0x005ffffe,
    0x9ff105fd,0xf107ff90,0xdff101ff,0x7c07ff70,0x3ff202ff,0x407ffe62,
    0x5ff84ffd,0x800ffe60,0x3fe24ff8,0x301dffff,0x3f603fff,0x205ff84f,
    0x7f403ff9,0x7ffcc00f,0x809ffb01,0x7fc02ffc,0x10ffe605,0xfd8009ff,
    0x1000ffef,0x2213fe20,0x3ffb86ff,0xf88fff20,0x1ffe00ff,0x7ec9ff30,
    0x0fff402f,0xff9817fe,0x13fe2003,0x3fffffae,0x017fec0e,0xbff07ffa,
    0x201ffcc0,0x7ec03ffb,0x0fff402f,0xf806ff88,0x0ffe605f,0x4c009ff1,
    0x04ffadff,0x827fc400,0x3fe23ffc,0x9ffe200f,0x7fc03ffb,0x8ffea01f,
    0xffa805ff,0xf302ffc3,0x7fc4007f,0x3ff6e604,0x402ffc5f,0x2ffc3ffa,
    0xf007ff30,0x05ff80ff,0xf703ffa8,0x0bff007f,0x3e21ffcc,0x3ff2004f,
    0x0200ffd2,0xf8827fc4,0x00ffee7f,0x3fe2fff2,0x2fffc00f,0xf11ffe88,
    0x9ff1007f,0x3e605ff8,0x3fe2003f,0x7f440264,0x200ffe27,0x2ffc4ff8,
    0x7007ff30,0x3fe207ff,0x04ff8803,0x3fe00fff,0x10ffe605,0x7fc009ff,
    0xd00bfee7,0x09ff105f,0x7fc5ffe4,0xfff8800f,0xff803ffc,0xea88beff,
    0x0bfea6ff,0x3fe37f40,0x00ffe605,0xbf74ff88,0xfa87fe40,0x8dfd002f,
    0x3fe605ff,0x06ff8803,0x3a005ff5,0x03ffb86f,0x7cc0bff0,0x027fc43f,
    0x3e24ffa8,0x0ffe205f,0xf8813fe2,0x003ffcff,0x03fffff2,0x3fffffe0,
    0x20ffffff,0xff002ffa,0x2605ff8b,0x3e2003ff,0x105ffb4f,0x17fd4bff,
    0x7fc5ff80,0x00ffe605,0x7d417fe4,0x0bff002f,0x3e001ffd,0x0ffe605f,
    0x36009ff1,0xfe999aff,0x09ff101f,0xfc809ff1,0x2000ffff,0x003ffff8,
    0xffffdfff,0xff881bff,0x44ff8803,0x3fe605ff,0x53fe2003,0xebbdfffd,
    0x3fe22fff,0x44ff8803,0x3fe605ff,0x0dff1003,0xf1007ff1,0x04ffa89f,
    0xf9817fe0,0x027fc43f,0x7fffffcc,0xf104ffff,0x09ff109f,0x03ffff88,
    0x00fffb80,0x32e6dff0,0x1bfe01ac,0xff0ffea0,0x017fcc0b,0x3f69ff10,
    0xffffffff,0xa806ff85,0x02ffc3ff,0x6c005ff3,0x06ff82ff,0x7f43ffa8,
    0x17fe000f,0x7c42ff98,0xfffc804f,0x7fffffff,0xf109ff10,0xfff7009f,
    0x7ff90001,0x0037fc00,0x2203ffd8,0x7fec0fff,0x003ff700,0xdfaa7fc4,
    0x01effffe,0x7c407ffb,0x07fec0ff,0x2001ffb8,0xffd85ff9,0x83ffe203,
    0x6c005ffa,0x3ff700ff,0xf804ff88,0xccccccff,0xff882ffd,0x804ff884,
    0x88003ffc,0x3e000fff,0xff10006f,0x7ffd107f,0xf309ff90,0xffb800ff,
    0x809ff302,0xe883fff8,0x4ffc83ff,0x8007ff98,0x7fc41ffd,0x3ffe883f,
    0x2000ffec,0xff984ffc,0xaadff887,0x203ffa80,0xff885ff8,0x13feea64,
    0x001fff10,0x8007ff90,0x2a0006ff,0xfcabdfff,0xffd106ff,0x5fff979f,
    0x3ffee200,0x009ff100,0x957bfff5,0x3a20dfff,0xffcbcfff,0xff98002f,
    0xbdfffa85,0x4c6fffca,0xe88005ff,0xffcbcfff,0xffff882f,0x3ffae26f,
    0x7fedc0ce,0x53fe22df,0x04fffffa,0x4401ffe4,0xfffffffd,0xffffc804,
    0xfb8005ff,0xdfffffff,0x3fffe600,0xd304ffff,0x9fffffff,0x8027fc40,
    0xfffffffb,0x3fe600df,0x04ffffff,0x203ffa00,0xfffffffb,0x0ffe40df,
    0xffff9800,0xf104ffff,0x7dcbffff,0x224fffff,0x46ffffff,0xffff52fe,
    0x7ffec49f,0x5404ffff,0xffffffff,0x3ffe200f,0x000fffff,0xfffffe88,
    0xfffb1003,0x7fdc05ff,0x804fffff,0x3a2002fe,0x003fffff,0x5fffffb1,
    0x05f98000,0x3fffffa2,0x000bf503,0xfffffd88,0x04cccc02,0x3bffffa6,
    0x7ffffec1,0x4ccc4083,0x3fffea09,0x400fffff,0xdeeeeedb,0xeeeda802,
    0x440002de,0x310000a9,0xdb710015,0x2200159d,0x15310001,0x02a62000,
    0x22000000,0x000000a9,0x00054c40,0x00000000,0x7776dc00,0x00002dee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000a80,0x0400002a,0x40001400,
    0x40040019,0xbca88008,0x220c0022,0x00000000,0x41440000,0x00371019,
    0x00005b50,0x0a200198,0x3e200066,0xf980001f,0x3620000e,0x3be6002f,
    0x09f90000,0xd00bb620,0x3ffaa05f,0x05fdffff,0x7fcd3fae,0x3ba6000e,
    0x3f660001,0x3a006a1e,0x207fe24f,0x32000efc,0x00004ebe,0x7f4009f9,
    0x0007fe24,0x0000bfea,0x2000bfee,0x00dffffa,0x4005ff70,0xa800efd8,
    0x880cffff,0xfffb84ff,0x7fffffff,0x2abfff50,0xf7006fff,0x10009fff,
    0xfb9ffdff,0x449fd009,0x4ffb82ff,0x03cc7e00,0x03bf6200,0x3e24fe80,
    0xff30002f,0xff500007,0x5ffe4005,0x5000ffe9,0xfd1005ff,0x2fff2009,
    0x7c40ffe9,0x67ffd44f,0x7fffca9a,0x5417ffd0,0x7ec01ffe,0x006fe9af,
    0xffe98ec4,0x33051005,0x007ffe20,0x0005b9f4,0x20013fa2,0x00019828,
    0x80002ec4,0x37e004e8,0x30017dc0,0x07f3009d,0x3ee06fc0,0xf327fc42,
    0x3fe205ff,0x304ff887,0x67c407ff,0x0000fe40,0x0000004c,0xa8027fe4,
    0x20001fff,0x000003f9,0x00000000,0x00000000,0x00000000,0x2e4ff880,
    0x37e402ff,0xf9827fc4,0x0000003f,0x00abb988,0x055dcc40,0x003ffe20,
    0x00000018,0x22066660,0x98800999,0x40009999,0x99999999,0x99809999,
    0x99999999,0x4ccc4099,0x88099999,0x99999999,0x99999880,0x7fc40999,
    0x1003ff64,0x09ff105b,0x3100ffe6,0x00013333,0x3fffffea,0xfffa800d,
    0x3200dfff,0x266203ff,0x4c000999,0x99999999,0x3fea0999,0xffb1ffff,
    0x7ec0dfff,0x007fffff,0xfffffff3,0x47ffffff,0xfffffff9,0x23ffffff,
    0xfffffffa,0x3fea6fff,0xffffffff,0x3ffffea6,0x226fffff,0x01bfe4ff,
    0x209ff100,0x3f603ff9,0x007fffff,0xffffffd8,0x3f601eff,0xefffffff,
    0x20bff301,0x7ffffffd,0xfffff300,0xffffffff,0x7ffffdc7,0xffffff2f,
    0x7ffff40f,0xfb802fff,0xffffffff,0x3ee3ffff,0xffffffff,0x3f23ffff,
    0xffffffff,0x3ffff27f,0x27ffffff,0xfffffffc,0x3fe27fff,0x0009ff14,
    0xf304ff88,0x7fff407f,0x2002ffff,0xb99cfffb,0xfb80fffe,0xfeb99cff,
    0x6ff880ff,0xffffffd0,0xfff7005f,0xffffffff,0x7fd447ff,0x3f6e22ce,
    0x32e201df,0x005ffffe,0x999bffb5,0xa87ffb99,0xccccdffd,0x2a23ffdc,
    0xcceffccc,0x3332a21b,0x21bcceff,0xeffccca8,0x3fe21bcc,0x0009ff14,
    0xf103ffa8,0x765c40bf,0x3005ffff,0x3f603fff,0x0fffcc4f,0xff04ffd8,
    0xfd97101f,0x2a00bfff,0xccccdffd,0xff83ffdc,0x00ffe605,0x0ffeffd8,
    0x205ff500,0xffa83ff9,0x407ff302,0x22004ff8,0x3e2004ff,0x93fe204f,
    0xd10004ff,0x7f403fff,0x7fec02ff,0xfd800ffe,0x0fff402f,0xfe805ffb,
    0x01ffe81f,0x07ff7fec,0x302ffa80,0x0bff07ff,0x9801ffcc,0x04ffadff,
    0x9445ff50,0xffa82ff8,0x17fc4a22,0x4009ff10,0x22004ff8,0x3fe204ff,
    0x4001bf64,0x6406fffa,0x3e604fff,0x804ffadf,0xffa805ff,0x2a017fe3,
    0x2ffd83ff,0x3eb7fe60,0x5ff5004f,0x82ff8944,0x3fe605ff,0x25ff9003,
    0xff5007fe,0x0cb97fc5,0x3fe2ffa8,0x7c401972,0x3fe2004f,0x13fe2004,
    0x3ee4ff88,0x6418802f,0x3fe02fff,0x3ff200df,0xf880ffd2,0x4ff8803f,
    0xf1007ff1,0x03ffd09f,0x7fe97fe4,0x7c5ff500,0xff01972f,0x01ffcc0b,
    0x3fee7ff8,0xcdffa802,0xfa803ffc,0x03ffccdf,0x8013fe20,0x22004ff8,
    0x3fe204ff,0x80bffe24,0x7fcc1ffa,0x009ff103,0x17fdcfff,0x2005ff50,
    0x05ff56fe,0x3fe1bfa0,0xf73ffc07,0xbff5005f,0xf007ff99,0x1ffcc0bf,
    0xf127fd40,0xfff500bf,0x5007ffff,0x7fffffff,0x027fc400,0x4009ff10,
    0x3e204ff8,0x77ffd44f,0xfffdcaac,0x9827fc41,0x7fd403ff,0xa817fe24,
    0xbff002ff,0x7c00bfea,0x037fc45f,0x7fc49ff5,0xffffa805,0xff803fff,
    0x00ffe605,0x2666bff6,0x7d401ffe,0x03ffffff,0xffffffa8,0x3fe2003f,
    0x13fe2004,0x204ff880,0xffa84ff8,0xffffffff,0x304ff883,0xffd807ff,
    0x1ffe999a,0x1007ff10,0x0ffe29ff,0xf513fe20,0x57fec0bf,0x01ffe999,
    0x7fffffd4,0x05ff803f,0xf300ffe6,0xffffffff,0xbffa809f,0xa803ffa9,
    0x3ffa9bff,0x013fe200,0x2004ff88,0x3e204ff8,0xffd9304f,0x2203bfff,
    0x7ff304ff,0x7ffffcc0,0x204fffff,0xffa806ff,0x2a01bfe3,0x17fec3ff,
    0xffffff98,0x5404ffff,0x3ffa9bff,0x2605ff80,0x7fe402ff,0xffffffff,
    0xd17fd407,0x2a13e63f,0x4c7fa2ff,0x13fe204f,0x004ff880,0xf8813fe2,
    0x0bfb804f,0x304ff880,0x7fe407ff,0xffffffff,0x80fff607,0x3f60fff8,
    0x3ffe203f,0xc81ffe60,0xffffffff,0x7fd407ff,0x27cc7fa2,0xfb807fec,
    0x67ffc01f,0xffdccccc,0x10bfea02,0x7fd43fdc,0x40ff7042,0x22004ff8,
    0x3e2004ff,0x13fe204f,0x20037ee0,0xff304ff8,0x667ffc07,0x2ffdcccc,
    0x107fff10,0xff887ffd,0x3ffe883f,0xff01ffec,0xb999999f,0x7fd405ff,
    0x90ff7042,0xfff309ff,0x203ffa80,0x3ea05ff8,0x03ff202f,0x7e405ff5,
    0x09ff100f,0x0027fc40,0x7c409ff1,0x7f54404f,0x17fff004,0xa807ff54,
    0x3fe203ff,0x37ffea05,0x06fffcab,0x957bfff5,0xff98dfff,0x07ff500f,
    0xf502ffc4,0x07fe405f,0x2f3fffa2,0x7102fffc,0xb819dffd,0x222dfffd,
    0xeeeeffeb,0x10fffeee,0xddddffd7,0x21fffddd,0xfffeeec8,0x3b222dee,
    0xdeefffee,0x3fbbb222,0x222deeff,0x3bea04ff,0xff7004fd,0x17ffeabf,
    0x33bffae2,0x6fffedc0,0xfffff702,0x5c01bfff,0xffffffff,0x41ffe40d,
    0x0ceffeb8,0x16fffedc,0xdddffd71,0x1fffdddd,0xffffff30,0x7fdc09ff,
    0x3e24ffff,0x2e6fffff,0xffffffff,0x70ffffff,0xffffffff,0x21ffffff,
    0xfffffffc,0xff90ffff,0xffffffff,0x3ffff21f,0x0fffffff,0xfd900bfa,
    0x7fe4001b,0x7019ff34,0x49ffffff,0x6ffffff8,0x3ffffa20,0xffd1003f,
    0x3ee07fff,0xfffff706,0x7fffc49f,0x3ffee6ff,0xffffffff,0xfb100fff,
    0x9805ffff,0x41effffe,0x23fffffd,0xffffffe9,0x0fffffff,0xffffffd3,
    0x1fffffff,0x3fffffa6,0x3a64ffff,0xffffffff,0x3fffa64f,0x84ffffff,
    0x10000000,0x3fa60088,0x7ec1efff,0x8803ffff,0x310000a9,0x4c010015,
    0x41effffe,0x23fffffd,0xffffffe9,0x0fffffff,0x00054c40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x033000aa,0x1950ed40,0x00660a20,0x00000000,0x2b2e6200,
    0x26062000,0x98288000,0x17995001,0x4cccc400,0x554c4019,0xb8802aaa,
    0x01950002,0x04000400,0x03ff5000,0xe8013f20,0x740ffe5f,0x007fe24f,
    0x0dc1bfb3,0x0f7ecc00,0x3fea0035,0x400cffff,0x3fea2ff8,0x127f4000,
    0x7f4403ff,0x2a01ffff,0xffffffed,0xffff705f,0xf880ffff,0xff8006ed,
    0x0bf50002,0x00077c40,0x1003ffe2,0x7c001dfb,0x207ff35f,0x0bfe24fe,
    0xcffeff98,0x7c4003fe,0x4fdcffef,0xfffffd80,0x2201ffff,0x03fea3ff,
    0x7c49fd00,0x33bfa02f,0xfd81ffda,0xffeeffff,0xceffb81d,0x6407fccc,
    0xf88007a4,0xffb8004f,0x0ffe4001,0x80bff900,0xf8004fe8,0x207ff35f,
    0x4c019828,0x09ffd31d,0x3a63b100,0xffb805ff,0xffeb99cf,0x0cc14406,
    0x0cc14400,0xfc81df70,0x64effec3,0x3a04faaf,0xb80ff02f,0x44003f15,
    0x7ec004ff,0xff50000e,0x3fff1005,0x8003f980,0x5ff54ff8,0x4c000000,
    0x04c00000,0x80fffcc0,0x00004ffd,0xfe800000,0x3e26f981,0x3eabf27f,
    0x740ff104,0x2ff7c406,0x0bbfe600,0x0006fcc0,0x2e01be60,0x000005ff,
    0xffaa7fc4,0x99999882,0x4c400999,0x40009999,0x33100998,0x05ffb013,
    0x3101ffe8,0x80013333,0x99999999,0x3e609999,0xff99fe07,0x13eabf24,
    0x08827fd4,0xb8003500,0x1fffffff,0x200000c0,0x01ffe800,0x4cc40333,
    0xadffb880,0x3ea0cffc,0xffffffff,0xffffb06f,0x7f400fff,0x7fec1fff,
    0x2ffc6fff,0x6c17fd40,0x07ffffff,0xffffff30,0x7fffffff,0x3b262fd4,
    0xc93fe67f,0x7444faaf,0x000dffff,0x00aaaa88,0x7fffff4c,0x4cc43fff,
    0x80199880,0x4401aa98,0xfff886ff,0x3ffe22ff,0x3fff23ff,0xffffffff,
    0xffffff93,0x3a0fffff,0x2fffffff,0xfffff880,0x7fffff46,0x007ff10f,
    0xffd09ff1,0x005fffff,0xfffffff7,0x47ffffff,0x3ffee4fb,0x43ffe27f,
    0x5c4faafc,0x3fffbbef,0xffffd880,0x3f604fff,0xffd99bef,0x47ffff34,
    0x407fffe9,0x4ffffffc,0xf30bff30,0x7cc7ffff,0x3f25ffff,0xffffffff,
    0x999513ff,0x03799dff,0x3fffb2e2,0xff73005f,0x7edc47ff,0x0bfea1df,
    0x5c42ffc0,0x05ffffec,0x99bffb50,0x47ffb999,0x5bff12fc,0xbfffb8ff,
    0x5c4faafc,0x3bff624f,0x3fffea02,0x885fffff,0x3ff886ff,0x547ffff7,
    0xd107ffff,0xffffffff,0x04ffb81f,0xf70dffb3,0xfd9817ff,0x1affeacf,
    0x0013fe20,0x03ffbff6,0x0fffff80,0x3ea1ffcc,0x0bff002f,0x0ffeffd8,
    0x205ff500,0x4bf23ff9,0x2a1fe4fb,0xfaafffff,0x2a1ffc44,0xd880dffe,
    0xfebaabce,0x817fd40f,0x3ff6a0ca,0x83ff6543,0xcaaceffe,0x7fe45ffe,
    0x07ffe203,0x7dc07ffd,0x100ffb1f,0xf98009ff,0x004ffadf,0x317ffffe,
    0x3ff987ff,0x204ff880,0x4ffadff9,0x445ff500,0x7e45ff12,0x83fc3fd2,
    0xfaaffdb9,0x41effa84,0x4000effb,0x7fe42ffa,0x1ffcc000,0xffc87fd8,
    0x3ffe880e,0xf500bff6,0x02ffdcdf,0x37f43ff2,0x0027fc40,0x3ff4bff2,
    0xffddff00,0x221ffcc5,0xffa806ff,0x74bff203,0x5ff5007f,0x20cb97fc,
    0x7c9f72fc,0xfaafc807,0x19ffd104,0xca827f4c,0x2ffeeffe,0x2001ffd4,
    0xffb03ff9,0x5557ffd0,0x4bff7555,0xfc803ffc,0x00fff9cf,0xf99ffd95,
    0x7c4037ff,0x3ffc004f,0x3e005ff7,0x30fff9df,0x7ff907ff,0x007ffc40,
    0x17fdcfff,0x666ffd40,0x4ff203ff,0x0ffceff8,0x27d57e40,0x88ffff20,
    0x7ffec47f,0x82ffffff,0x65c40eff,0xd81ffcc0,0xfffff87f,0xffffffff,
    0x2013fea7,0x2ffeffe8,0xffffff30,0x40ffffff,0x2a004ff8,0x17fe24ff,
    0xffcaffc0,0xf307ff34,0xffd105ff,0x127fd407,0xff500bff,0x407fffff,
    0x3ffaa4fa,0x57e403ff,0xfd8804fa,0x226fcbdf,0xfeeffffe,0xffd82fff,
    0x4fffdbdf,0xfd81ffcc,0xffffff87,0xffffffff,0x200bff30,0x205ffff9,
    0xffffffe8,0x2205ffff,0x3f6004ff,0xffe999af,0xd15ff801,0x07ff33ff,
    0x2af7ffee,0x6c06fffc,0xfe999aff,0x7ffd401f,0x2603ffff,0x0aaa985f,
    0x27d57e40,0xfffff500,0x0577fdc5,0x3220bfea,0xffffffff,0xd81ffcc1,
    0xabffe87f,0xaaaaaaaa,0x801ffe22,0x8800fffc,0xdff99eff,0x027fc400,
    0xffffff98,0xf804ffff,0x27bfea5f,0x3fee03ff,0x0dffffff,0x3ffffe60,
    0x404fffff,0xffa9bffa,0x0007fc03,0x13eabf20,0x0dff880c,0x6c40ffec,
    0x3fa602ff,0xf980beff,0x87ffa84f,0x80806ffc,0xf1002ffd,0xaffc009f,
    0xf8804ff8,0xfff9004f,0xffffffff,0xfd8bff00,0x4c03ffdf,0x03effffe,
    0xffffffc8,0x5407ffff,0x4c7fa2ff,0x001fec4f,0x13eabf20,0x27dc0bea,
    0x5d5effd4,0x0ceffffd,0x8809ff10,0xfebabfff,0x7f40cfff,0xecbabdff,
    0x37fd46ff,0x004ff880,0x1ffcd7fe,0x8027fc40,0xcccccfff,0x7c02ffdc,
    0x7fffc45f,0x7ffcc03f,0x202e20bf,0xcccccfff,0x2a02ffdc,0xff7042ff,
    0x260cff88,0xaafc803e,0x883fb84f,0xfffd02fe,0xffffffff,0x13fe209f,
    0x3fffff20,0x44ffffff,0xfffffff9,0xfe86ffff,0x4ff8802f,0x269ff100,
    0xff8803ff,0x03ffa804,0xff017fe2,0x7ffff70b,0x7ffffcc0,0x45ffeeff,
    0x3e203ffa,0x0bfea05f,0x7d40ffc8,0x03ffeeff,0xf99fd995,0x677dc39d,
    0x00effdcc,0xbfffffd3,0x403dfff9,0xff9003ff,0xdffd9fff,0x3ffff203,
    0xb80cefff,0xff8806ff,0x29ff1004,0xec882ffa,0xdeefffee,0x3bffae22,
    0x7ffedc0c,0x7ffe442d,0x3fff60bd,0x3ffff603,0x3fffffff,0x19dffd71,
    0x2dfffdb8,0x3bbffae2,0xfffeeeee,0xdfffdb80,0x3ffffa03,0x2e5fffff,
    0xefffffff,0x09aa9801,0x001b7000,0x0000d544,0x20033553,0xec881ffe,
    0x02defffe,0x7fccffe2,0xfffffc80,0x70ffffff,0x49ffffff,0x6ffffff8,
    0x7fffffdc,0x80fffe23,0xdbabcefa,0x3fee1cfe,0x3e24ffff,0x2e6fffff,
    0xffffffff,0x00ffffff,0x55440062,0x0aaa88aa,0x2aaaaaa6,0x00000001,
    0x00000000,0x01ff3000,0xfffffffb,0x21cc01ff,0xfffd302a,0x49ffffff,
    0x1effffe9,0x1fffffec,0x3bffffa6,0x001ffdc1,0x7fff4c00,0x7ffec1ef,
    0x3ffa63ff,0xffffffff,0x00000fff,0x00000000,0x00000000,0x80000000,
    0xfffd5008,0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800010,
    0x80370000,0x00040000,0x10000100,0x80002000,0x04c40000,0x0036e000,
    0x95100010,0xdb800159,0x00004000,0x0059b973,0x20007f70,0x4c4005fa,
    0x03fec1bb,0x26000bf3,0xfe80005f,0x17ea0001,0x0005f900,0x07f445fb,
    0x99f7ffc0,0x7ff4401b,0xdfda802f,0xfffd1002,0xfd1005ff,0x3ea005ff,
    0x7fec4004,0x001effff,0x70001df9,0x7d4003ff,0xfcbeffff,0x077ec06f,
    0x0077ec00,0x003ff880,0x8003ff70,0x7c004ff9,0x00bfe65f,0x3ffffff2,
    0x37fea04f,0x3ee05ffb,0x4402ffce,0xfffffffe,0x2f7fea01,0xfe8805ff,
    0xfffb000d,0x01dfffff,0x8000dfe8,0x36000efd,0xffffffff,0xfc801fff,
    0xffb8001f,0x4ff88001,0x00efd800,0x00bfd100,0x012e0654,0x7ffffe4c,
    0xb117fc03,0xdd17a07f,0x8aeffc80,0xff00effc,0x801fec45,0x7cc00efd,
    0xfea889ef,0x013ea04f,0x0006fcc0,0x7339fff7,0x4007fffd,0xf50005fa,
    0x9ff1000b,0x00df9800,0x002fd800,0xfff10000,0x980dff9b,0x0be60300,
    0x3fe201f7,0x302ffc87,0xf7000601,0x22077009,0x000405ff,0xff300060,
    0xbfffd03f,0x00008800,0x3e200022,0x0018004f,0x22000400,0x5c001aa9,
    0x00bff60a,0x88035531,0xf503ec4f,0x09ff30bf,0x0000a988,0x7f400002,
    0x06aa6206,0x15555100,0xc82ffd80,0x201fffff,0x800aaaa8,0x99880998,
    0x04ff8801,0x000a9880,0x4000a988,0x4ffffffc,0x13555100,0x7fe40fff,
    0x3604ffff,0x204fc9bf,0xdff02ffb,0x3ffffaa0,0x4cc400ce,0x5c000099,
    0xfff904ff,0x6c409fff,0x4fffffff,0x3ea17fe0,0x443ffbff,0xfffffffd,
    0x7ffff304,0x23ffff4c,0xffeeeeda,0x504eeeef,0x19dffffd,0xffffea80,
    0x3fa200ce,0xffffffff,0xffffb100,0x883ffbdf,0xfffffffe,0xffd980ff,
    0x23db50df,0xff900ffd,0xfffffb81,0xfb00efff,0x8009ffff,0x1fffecc9,
    0x7fffff44,0xfa80ffff,0xffffffff,0x4c3ff885,0x5ff8afff,0x7fffffd4,
    0xffb85fff,0x3ffea3ff,0x7ffff47f,0xffffffff,0x7fffdc1f,0x700effff,
    0xffffffff,0x3bffa01d,0x5ffecaac,0xffffff98,0x742fffff,0xecaaceff,
    0x26e205ff,0xb0dfffda,0x07fe40ff,0x757dfff7,0xf881dffd,0x004fffff,
    0x17fffff4,0x55677ff4,0xd885ffec,0xfebaabce,0x117fd40f,0x37fc9ffd,
    0x2aaf3b62,0xda80ffeb,0x7f6543ff,0x77776d47,0x4eeeefff,0x55f7ffdc,
    0x5c0effeb,0xebabefff,0x7fe40eff,0x3ffe880e,0x445f7ff4,0x323ffffc,
    0xfe880eff,0xffda883f,0x3fec0bdf,0x3e21ff90,0x9ff902ff,0x9ff99930,
    0xffffc800,0x077fe45f,0x001fff44,0xff50bfea,0x3e2ffec7,0x7fd4005f,
    0x207ff302,0xff8807fd,0x17ffc404,0x3e24ffc8,0x9ff902ff,0xaaabffe8,
    0x25ffbaaa,0xf880fffa,0x2fffa5ff,0xfbaaaaaa,0x3fff665f,0xffb009ad,
    0xfa87fe40,0x1bfe204f,0x0009ff10,0x49fff731,0xaaaabffe,0x505ffbaa,
    0xffddffd9,0xf75ff985,0x27fc41df,0xeeffeca8,0x7ff302ff,0x2201ff60,
    0x7fd404ff,0xa9bfe204,0x3fe204ff,0x7fffffc6,0x7fffffff,0xfd813ff2,
    0x3ffffe5f,0xffffffff,0x262b7f67,0x7e41dffd,0x21ffb01f,0x7e401ffc,
    0x13fe200f,0x1ffd3000,0x3ffffffe,0x47ffffff,0xffffffd8,0xfff82fff,
    0x7d41fffa,0x7ffec42f,0x02ffffff,0x3f607ff3,0x04ff8807,0x3200ffe4,
    0x03ff90ff,0x3fe0ffc8,0xffffffff,0xffb0ffff,0xf1ffd405,0xffffffff,
    0x201fffff,0x46fcbff8,0xff883ffa,0x9003ff67,0x7fc403ff,0xffb80004,
    0xfffffff2,0x1fffffff,0x3bffffa2,0xc82ffffe,0x442fffff,0x3fa20fff,
    0xfffeefff,0x07ff302f,0x3e201ff6,0x07fec04f,0x7ec7ff20,0x0ffe400f,
    0x55557ffd,0x64555555,0x3ff604ff,0x2aafffa2,0x2aaaaaaa,0x2fa83ee0,
    0x3ea1bfe2,0x813fee5f,0x7c407ff8,0xfa80004f,0x557ffd2f,0x55555555,
    0x20577fdc,0xff882ffa,0x7ff444ff,0x0577fdc3,0x7cc0bfea,0x00ffb03f,
    0xfb807ff1,0x9ffe204f,0x3e204ffb,0x037fe47f,0x03ffea04,0xfc83ffe2,
    0x7400806f,0x7ff44f86,0xf117fec1,0xffb103ff,0x04ff8809,0x3ffa00c4,
    0x100dff90,0xd881ffd8,0xfffb02ff,0xdfff957d,0xb103ffb0,0x3fe605ff,
    0x007ffa84,0xff8803fd,0x4ffd881f,0x2207ffe2,0xffe84ffd,0xfecbabdf,
    0x6fffec6f,0x83fffdaa,0xbabdfffe,0x3206ffec,0xf50be60f,0xdfff79ff,
    0x79dfff90,0x803ffffb,0x7fc04ff8,0xfebaaabe,0x6ffff46f,0x6ffecbab,
    0x2eaf7fea,0x0ceffffd,0x3fffffee,0xa80effff,0xfdbabdff,0x440cefff,
    0xfebabfff,0x0800cfff,0x9dfff900,0x83ffffb7,0xdbcefffc,0xf981ffff,
    0xffffffff,0x7ff446ff,0x06ffffff,0xfffffff3,0x440dffff,0x707fbbef,
    0x1dffffff,0x3fffff20,0xdb80efff,0xeeeffeee,0x3fffa0be,0x0effffff,
    0x7fffffcc,0x746fffff,0xffffffff,0xff14ffff,0xffffd97f,0xffffe807,
    0xffffffff,0xfffffc84,0x34ffffff,0xddddddd9,0xf907bddd,0xdfffffff,
    0x3ffff201,0x400effff,0xfffffffc,0xfff700ce,0xf9007fff,0x9dffffff,
    0xdffea801,0x3ffff201,0x7fed400e,0xf880ceff,0xffffffff,0x3f664fff,
    0x04ffffff,0x7fffffe4,0x7f4c0cef,0xffcdffff,0x87ff91ef,0xfd3000a8,
    0xff9bffff,0x3ff203df,0xeffecfff,0xffffffd1,0x3fffffff,0xdffffb50,
    0xffda8019,0x2000ceff,0x40019aa9,0x98001aa9,0x300019aa,0x0054c001,
    0x6c0054c0,0xffffffff,0xa9881eff,0x54c0009a,0x5530019a,0x09d30013,
    0x4d54c000,0x35510000,0xfffff700,0xdfffffff,0x00015300,0x000002a6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,
    0x000036a0,0x4ccc4004,0x40019999,0x2661bcb8,0x99999999,0xbdcb8819,
    0x10008001,0x33310133,0x002cb980,0x98000998,0x13310aba,0x800b6600,
    0x06620198,0x31000010,0x00ccc355,0x0fe88bf6,0x3fffd880,0xfb8df300,
    0x7ffff404,0x400fffff,0x3fffffeb,0xffffffff,0xffb8ffff,0x000dffff,
    0x7fcc07f7,0x3ffa62ff,0x3fff607f,0xffb804ff,0xe8801eff,0xfedfffff,
    0x7fdc06ff,0x3fa200df,0x7ff42fff,0x22fd83ff,0xfc800fe8,0xffbeffff,
    0x4bff03ff,0x7d402ff9,0x00effadf,0xdfb0ffdc,0xfffffe80,0x3201ffff,
    0x4fffffff,0xffffffff,0x7fd4ffff,0x06ffffff,0x2e00efd8,0x3ea2ffff,
    0xffd07fff,0x407fffff,0xfffffffa,0x3fffea01,0xffffffff,0xaefe880f,
    0xff301ffe,0x7fc49fff,0x5ff86fff,0xe880bfe6,0xffffffff,0x9505ffff,
    0xfe804b81,0x100ff623,0x401c9879,0xaaaaaffe,0x3fff201a,0x77f4512c,
    0xffbaaaaa,0x139fff16,0x2207ffd7,0xda800dfe,0x7f6542ff,0x8aeff987,
    0xfd01ffeb,0x0dffd7bf,0x2b3fffe2,0x1cfffffc,0x7dc19f90,0x2fffea06,
    0x06fff540,0x012e0654,0xb737dffd,0x017dffff,0x40260000,0x40000009,
    0xfc8006fe,0x0f5c01ff,0xff34ffa8,0x20bff30b,0x7d4004fb,0x90ffb02f,
    0x6ff983ff,0x7f43ff98,0x85ffc80f,0x4407ffe8,0xfc803101,0x0fff883f,
    0x7fdc0000,0x4fffa80d,0x0aaaa880,0x2aaaa200,0x80998800,0xdfd01998,
    0x1fff8800,0x1ffc8000,0x3fe05ff5,0x2a000206,0x0ffb02ff,0x3ffa0dfd,
    0x3217fd41,0x1ffe80ff,0x440fff50,0x19988099,0xf70dff10,0x1531007f,
    0x403ffb00,0xfb104ffc,0x09ffffff,0x7ffffec4,0xfff304ff,0x7fff4c7f,
    0xb95ffd07,0x3ff20159,0xdff00003,0x7d42ffcc,0x3333105f,0x05ff5001,
    0xbff11ff6,0xf50bfee0,0x1ffee25f,0x3fe037fc,0x3ffff987,0x81ffffa6,
    0x3fe23ffc,0x3ffaa00f,0xff00ceff,0x04ff980d,0xfffffff5,0x3fea0bff,
    0x5fffffff,0x23ffffb8,0xd07ffffa,0xdfffffff,0xb71ffd03,0xfa8007bd,
    0x567ff44f,0xd82ffeb9,0x804fffff,0xffb02ffa,0xfd10fff0,0xcaffa87f,
    0xff03ffff,0x43ffc40d,0x2a3ffffb,0x2207ffff,0x0ffee7ff,0xffffffb8,
    0xffe80eff,0x413fee00,0xbaabced8,0xed880ffe,0xffebaabc,0x43ffda80,
    0xfd07feca,0xffffffff,0xffeeff83,0x9000dfff,0xfff983ff,0x884fffff,
    0x04ffffff,0xfb02ffa8,0xc85ffb0f,0x7fd44fff,0x0effffda,0xf701ffe8,
    0x3ff6a0ff,0x03ff6543,0x3fe2fff2,0xdfff700f,0x1dffd757,0xf104ffc8,
    0x2a0009ff,0xfa8002ff,0x07ff302f,0x77dc1ff6,0x4dffb51c,0xeffffff8,
    0xff004fff,0x3ffffa0d,0x99302fff,0xf5009ff9,0x0fff509f,0xfd7bfff3,
    0xffa8bfff,0xefffeb8a,0x206ffe40,0x2607ffe9,0x0ffb03ff,0xffcfff88,
    0x05fff103,0xff313ff2,0xff9317df,0xeca809ff,0x02ffeeff,0x3bbffb2a,
    0x7ff302ff,0x0081ff60,0xfff87ffa,0x3ffd51df,0xd84ffa80,0xfffeffff,
    0x27fc401f,0x55fffd40,0x0cffffec,0x7fffffdc,0x7fd44fff,0x42ffecc2,
    0xfdbdfffe,0x3e607fff,0x00ffb03f,0x01fffff9,0xf8813fea,0xffffa86f,
    0x4fffffff,0xfffffb10,0xb105ffff,0xffffffff,0x0ffe605f,0xb8003fec,
    0x3bffa2ff,0x201ffdc0,0x7fcc1ffc,0x17ff222f,0x5009ff10,0xffffffff,
    0xf509ffff,0x7ff5dfff,0xfd02ffa8,0xfffff30f,0x40ffffff,0xffb03ff9,
    0x7ffff100,0x200ffe40,0xfea80ffc,0xffdfffff,0xffffe884,0x42ffffee,
    0xeeffffe8,0xf302ffff,0x01ff607f,0xfb1ffcc0,0x0bff103f,0xffb86ff8,
    0x407ff883,0xfa804ff8,0xedffffff,0x2a601eff,0xfa83ff91,0x03ff502f,
    0x9fffffb1,0x7fcc0ffd,0x200ffb03,0x3600fffb,0x7fe400ff,0x2f32ea01,
    0xfb84ff88,0x7fd40aef,0x0577fdc2,0x7cc0bfea,0x00ffb03f,0xfb8bff20,
    0x05ff882f,0x3f213fea,0x01ff900f,0x54027fc4,0x00aaabff,0x437fd400,
    0x4c112ffa,0x4d4c03ff,0x7cc0ffd0,0x00ffb03f,0xf700fff2,0x3ffc409f,
    0x84ff8800,0xfd881ffd,0x40ffec2f,0xf302ffd8,0x0fff509f,0x7ffc0175,
    0x2e1bfe60,0x3ff604ff,0x883ffb81,0x7fc406ff,0x02ffa804,0x3ffee000,
    0xfaaffa81,0x000bfee6,0x7cc0bff1,0x07ffa84f,0x400fff88,0xd881fff8,
    0xf10004ff,0x7bff509f,0xdffffb75,0x2f7fea19,0xeffffdba,0x5fffc40c,
    0xcffffeba,0x559fff10,0x90bfff95,0xffb77dff,0x837fc03f,0xdbbdfff8,
    0x7c404fff,0x2ffa804f,0xcabda800,0x5c42fffe,0xcffcdffe,0x2000fffb,
    0x2203ffda,0xfebabfff,0x3200cfff,0xff9003ff,0xfffb79df,0x3e20003f,
    0xffffd04f,0xffffffff,0x7fffff49,0x4fffffff,0xffffffc8,0x364fffff,
    0xffffffff,0xfffd00ff,0x4c09ffff,0x3fea03ff,0x0dffffff,0x7ff776dc,
    0x540beeee,0xff8002ff,0x83ffffff,0xfcfffffb,0x204fffff,0xfffffffd,
    0x7ffe400e,0xffffffff,0xfffffb14,0x3f2009ff,0xefffffff,0x7ff4c000,
    0x74c2efff,0xfcdfffff,0x3fa61eff,0xffcdffff,0xfff901ef,0x3dffd9ff,
    0x7ffffdc4,0x32200cff,0x803ffffe,0x7f4c00ee,0xf884ffff,0xffffffff,
    0x7fc44fff,0xfffb8001,0xfd300cff,0xfff71dff,0x3fe2019f,0x00efffff,
    0x9fffff90,0x3ea3dffd,0xffffffff,0xfffb5000,0x700019df,0xbfffffff,
    0x0026aa60,0x00135530,0x0006aa20,0x00066a66,0x000006a6,0xfd801530,
    0xffffffff,0x003b81ef,0x000054c0,0xda800a98,0x8001bdee,0xb7001aa8,
    0x05bddddd,0x0002a600,0xddddb710,0x00000039,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x884cc400,
    0x5c401aa9,0x01aaa80c,0x2aa20000,0x0008001a,0x00889b50,0x10003d88,
    0x44003555,0x020002dc,0x221edc00,0x883b9100,0x20001cca,0x00001ca8,
    0x1dcc0002,0xdfffd000,0x5ffffff7,0xf89bff20,0x00005fff,0x07ffff30,
    0x9dffb730,0x3fffa003,0x5405fbae,0x3000dfff,0xbffffffd,0x3ffe405f,
    0xdffb7300,0x3ffa0039,0x505fbaef,0x7ffccbff,0x744006ff,0x00002fff,
    0x077cc3fd,0x0027ffd4,0xffffff88,0x4fffffff,0xf11ffff8,0x0000bfff,
    0x0ffffea0,0xb79bff70,0x7cc01dff,0x0ffffb8b,0x3f6fff60,0x7ffdc02f,
    0x5fffffff,0x4013fa60,0xfdbcdffb,0x2fe600ef,0x00ffffb8,0x164c3db1,
    0xbc8003f9,0x880002fd,0x07fea3ff,0x0013f326,0xfffffc98,0x3fffdaab,
    0x510ffffc,0x00000bff,0x701ffdcc,0xdf5101bf,0x015c4001,0x7fa837ee,
    0x33fffe60,0x06fffdba,0x037ee000,0x8003bea2,0x880002b8,0x90002fe9,
    0x2a00005f,0x2601e40c,0xff80004f,0xfffa80ef,0x203fffa0,0x000005ff,
    0xfb81ffcc,0x4c09998b,0x54c400ef,0x31018800,0x981fff40,0x700006ff,
    0x889a887f,0x2a200ef9,0x40000aaa,0x0005fffa,0x00000bf2,0x013e6000,
    0x80bffe00,0x3ffa2ffb,0x262bff07,0x4c4001aa,0x07ff30aa,0x3fffebf1,
    0x413e63ef,0xceffffea,0x4cccc400,0x01ffe200,0x039807fb,0xffb32fc4,
    0x113e6bff,0xfffffffb,0x2e03a809,0x5d881ffd,0x2e00bf20,0x4ccc401e,
    0x04f98009,0xfff00ec8,0x364ff880,0x7dff07ff,0x05ffffff,0xfffffc88,
    0xfa83ffbd,0xf9339f10,0x7fdc36c1,0x0effffff,0x9fffffb0,0x4027fd40,
    0x202ff801,0x15bf10fa,0x2a36cbf7,0xffffffff,0x05ff105f,0x7fdc5fb8,
    0x405f900f,0x3603ffe9,0x804fffff,0x3fa604f9,0x01fff02f,0xff91ffdc,
    0x3ffffe0d,0x04ffffff,0xffffffd3,0xd907ffff,0xb8fe24e8,0x3bffee0f,
    0x0effebab,0x7fffffc4,0x00bfea04,0x80ffe600,0x9321ea6c,0x33b620fb,
    0x0ffebaab,0x8664ffa8,0xffd33fb8,0x817e403d,0x2203fffb,0x04ffffff,
    0xfc884f98,0x3ffe02ff,0xb87ffe05,0xffff05ff,0xfffd75bf,0x5bfffd05,
    0x07fffff9,0xebade89d,0x7c4be60f,0x9ff902ff,0x9ff99930,0x0037fcc0,
    0x09fffb10,0x3009d274,0x7fd4005f,0x3a4ffa82,0xb8ffffff,0xff103fff,
    0x3a6dffff,0x4c008eff,0x204ffccc,0x56fffffd,0xf801bfff,0xc98befff,
    0x7fdc6fff,0x03dfff05,0x7dc1fff5,0xfffb80df,0x7ff44f83,0xa97cc1ff,
    0x3fe204ff,0x027fc406,0xb7007ffe,0x7ffffd41,0x03f93e02,0xeca82f98,
    0x82ffeeff,0x2e625ffb,0xdffeabcc,0x5541ffb8,0xffcaaaaa,0x1cfffcbf,
    0x3027fc40,0xfb555555,0x05ff55df,0x3ffffffe,0x540effff,0x7fff04ff,
    0xfd17fec0,0x1fffc03f,0x2e73a36c,0xfc87dc3f,0x07fe401f,0xb809ff10,
    0xbaaadfff,0x3fe2fffc,0x26d802ef,0x20fb806c,0xffffffd8,0xffc82fff,
    0x9fffe406,0xa801fff8,0xdfc8dffe,0x7c406fca,0x7fdc004f,0x2fff88cf,
    0xfffdfff0,0xf301bfff,0x03ffe07f,0x3fe3ffa8,0x41ffe406,0x5f72747b,
    0x01ffb36c,0x2201ffc8,0xffc804ff,0xffffffff,0x8013fea6,0x950fe67b,
    0xfffd136c,0x5ffffddf,0x260fffb0,0x3fa0dffe,0x7fec01ff,0x3fb1762f,
    0x8027fc40,0x321effd8,0xdff02fff,0x006f32e6,0x1bfe01db,0x3e29ff10,
    0x1ffd405f,0x6ffea7c4,0xb93e33f6,0x3fe204ff,0x027fc407,0xfffffea8,
    0x3ff20cff,0x4f887100,0x53fbbff6,0x3bfee4f8,0x417fd40a,0xff80fffe,
    0x7eefdc2f,0x033fee01,0x4401ff30,0xffb004ff,0x2fcefa89,0x0000dff0,
    0x900fffc0,0x07ffc7ff,0x3607ffb0,0x222cca9f,0x3e20febc,0xffd881ff,
    0x027fc404,0x066ff260,0xff817fe4,0xb950fec2,0xd83fa237,0xffd881ff,
    0x80ffff82,0x47fcc0cb,0x072201fd,0x100bfea0,0x326009ff,0x7dcffc41,
    0x000dff02,0x06fffc00,0xfb0fffc4,0x3ffe609f,0x880ff603,0xfffc81fe,
    0xffffdbce,0x027fc401,0x500f7dc0,0x95117dff,0x07fb09ff,0x3ea0ff44,
    0xffdbabdf,0x3fe0ceff,0x3fa001ff,0x0004fece,0x8801ffc8,0x6c0004ff,
    0x80cfecef,0x220006ff,0xffffdb81,0xfffebbdf,0x6ffffc44,0xeffffeca,
    0x59dfb00c,0x403ffd95,0xfffffffc,0xeedb80ef,0xbeeeeffe,0x17f2ea00,
    0xffffffb0,0x3f609fff,0xffecaace,0xfffffd01,0x9fffffff,0x0007fff4,
    0x1fffffff,0x37fa2000,0xfdddb700,0x017ddddf,0x7fffff40,0x3ffff21f,
    0x3e6005ff,0x3fffe24f,0xffffffff,0xffff506f,0xffffffff,0x7fed40bf,
    0xa800bdff,0x0ceffffd,0xffffff88,0x04ffffff,0x807ffff5,0xffffffd8,
    0x3f6a00cf,0x200bdfff,0xdfffffe9,0x321efffc,0x710005ff,0x260009fd,
    0x0dcccfff,0xfffffff1,0x009fffff,0x4437fae0,0xffffffff,0x89ff3000,
    0xffcefffd,0x4403ffff,0xcefffffd,0x3002efff,0x0a980005,0xfffffd80,
    0x01efffff,0x4002fb2a,0x002cccb9,0xa9800298,0x0ea0009a,0xefff9800,
    0xfff98000,0x3f62ffff,0xffffffff,0xe88001ef,0x3b6a1fff,0x4002deee,
    0x2a620018,0x54c4001a,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc4000,0x99999999,
    0x015c4019,0x03799510,0x100ccc40,0x80037975,0x0022bca8,0x0855e544,
    0x00001880,0x33333333,0x00aaa801,0x055dcc40,0x001554c0,0x46b2ea20,
    0x10333300,0x98001333,0xaa88099a,0x2aae000a,0xaaaaaaaa,0x36a20caa,
    0xf9004fff,0x019fffff,0x983fffd0,0xeffffffc,0x7fff5401,0x205fdfff,
    0xfffffffa,0x0ffc05fe,0xffff3000,0x07ffffff,0x50007ffc,0x1bffffff,
    0x01ffffa0,0xfffffb80,0x3fea6fef,0xffb1ffff,0xf700dfff,0x23bfffff,
    0x002ffffa,0x542a000a,0x04ffffff,0xffffffd8,0x7fdc05ff,0x3ffe21ff,
    0x0fffffff,0xffffff70,0x2e0fffff,0xffffffff,0x3fe207ff,0x3fea0003,
    0xffffffff,0x003ffe04,0x7fffffec,0xffe81eff,0xff90007f,0xffffffff,
    0x3ffffee1,0xffffff2f,0xffffd80f,0xff73ffff,0x014005ff,0xfffc8540,
    0x7dc04fff,0xffb88bef,0xffff102f,0x677fc43f,0x85ffeb9a,0xa9acfffa,
    0xfb87fffc,0xea99bcff,0xff300fff,0xcca80007,0x0acdffdc,0x20033320,
    0xb99cfffb,0x5440fffe,0xf98007fe,0xfea9acff,0xdff510ff,0x7fedc459,
    0x3ffe601d,0x20ddcbbc,0x2002ffc9,0x910a8002,0x809ff137,0xffa80ffe,
    0xfffff905,0x441ffc43,0x7ffcc7ff,0x88fff102,0x3f601fff,0x273fea07,
    0x20000999,0x00002ffa,0xb01fff98,0x1ff609ff,0x40bff200,0x2ffc0ffe,
    0xb807ff30,0x3ea002ff,0x000a002f,0x27fc402a,0xff80ff60,0xfcfff986,
    0xc8076c1f,0x0bfee0ff,0xffc8df90,0x642fcc02,0xffffffff,0xa8000eff,
    0x4cc402ff,0x7fec0099,0x40fff402,0x04cc47fd,0xf500ffc8,0x4c0bff0f,
    0x3f2603ff,0x200999af,0x35532ffa,0x02a000a0,0x04027fc4,0xfb0bff30,
    0x003ff75f,0x3f637fc4,0x216c400f,0x00800ffe,0xfffffffd,0x0003ffff,
    0x7ec05ff5,0x7c04ffff,0x3ffa805f,0x3ffa7fd8,0x7fd41eff,0x3fe06a04,
    0x20ffe605,0xfffffffa,0xff506fff,0x1dfffffb,0x00a80028,0x80009ff1,
    0x7fd43ffe,0x2003ff76,0x7fc3ffea,0x17fe0006,0xffb73000,0x0599999d,
    0x40bfea00,0x4ffffff8,0x200ffe20,0x7fd84ff8,0x5ffffff1,0xbdffff88,
    0x205ff801,0xffc83ff9,0xffffffff,0xffffa80f,0x20ffffff,0x100a8002,
    0x220009ff,0xffe86ffd,0xb803ff71,0x220efffe,0xf10004ff,0x2600009f,
    0x400003ff,0x32602ffa,0x2a04ffcc,0xdfd002ff,0x3feaffb0,0xff302cef,
    0x03bfffff,0xff9817fe,0xffecb883,0x501ccccd,0xb759ffff,0x400147ff,
    0x09ff100a,0x1dffd100,0x3ee4ffb8,0x3ffe201f,0x27fc40df,0x84ff8800,
    0x3deeeedb,0x4007ff30,0x3fea02c8,0x09ff1002,0xf8017fd4,0xfbffd85f,
    0xb8800dff,0x2ffffffe,0x3e605ff8,0x07fdc03f,0x03fff500,0x40014bff,
    0x09ff100a,0x0effe880,0xf707ffc4,0x77fc403f,0x0013fe01,0x7fc44ff8,
    0x80ffffff,0x2a003ff9,0x0bfea07f,0x1027fc40,0xff1007ff,0xfffffb09,
    0x32a20009,0x7fc0fffe,0x00ffe605,0x54001ff7,0x4ffb02ff,0x100a8002,
    0x7cc009ff,0xffd80eff,0xcffeccce,0xb007f600,0x7f4000df,0xfffffd86,
    0x07ff305f,0xa80ffdc0,0xff1002ff,0x806ff809,0xffd83ffa,0x29800eff,
    0x3e1ffdc0,0x0bfe605f,0x4001ff70,0xffb02ffa,0x80540014,0xf5004ff8,
    0x3fe01bff,0xffffffff,0x5c00405f,0x418802ff,0x7e401ffc,0x07ff300f,
    0xb80ffdc0,0xff1001ff,0x03ffd809,0x3603ffe2,0x00efffff,0xf880bfe2,
    0x807fec5f,0x7dc01ffb,0x3fea000f,0x014ffb02,0xff880540,0x4fffc804,
    0x7fffffc0,0x003fffff,0x02fff880,0xffa87fea,0x03ff200e,0xa8827fc4,
    0x2207fee1,0x3e2007fe,0x7ffc404f,0x03ffe883,0xdffd3ffb,0x03bfe603,
    0x3f227fe4,0x07ff984f,0x2000ffb8,0xffb02ffa,0x80540014,0x36204ff8,
    0x99803fff,0xffc99999,0x40054c01,0xaacefffa,0x6c1fffdc,0xcbabdfff,
    0x3a00fffe,0xfedbacff,0x3bffee7f,0x04fffcac,0x2013fe20,0xcabdfffa,
    0x3f606fff,0x03fffb17,0x57bffff3,0x883ffffb,0xfcbcfffe,0xffb802ff,
    0x0bfea000,0x00053fec,0x3bbb2215,0x22deefff,0xeeeffffb,0x2e04feee,
    0x701dffed,0x3ea00fff,0xffffffff,0xfffe883f,0xefffffff,0x3fffea00,
    0x2a6fffff,0xffffffff,0x776dc04f,0xbeeeeffe,0xfffffb80,0xd980dfff,
    0x7fff47ff,0xffff30ce,0x7fffffff,0x3ffffe60,0x32604fff,0xeeeeffee,
    0xeffeb81c,0x33fff223,0x90a80029,0xffffffff,0x3fee1fff,0xffffffff,
    0xffff306f,0x3fee0dff,0x3fb26006,0x401dffff,0xffffffda,0xfff9002e,
    0x2a05bfff,0x03effffe,0x7fffffc4,0x04ffffff,0x7fffffd1,0x23ffffc0,
    0x24ffffff,0xffffebed,0x7ec401ef,0x7402ffff,0xffffffff,0x7ffcc6ff,
    0xfff91fff,0x55557dff,0x55555555,0x3fffa619,0x24ffffff,0xfffffffb,
    0xb107ffff,0x405dffff,0x260000a9,0x5310000a,0x53100013,0x54c40035,
    0x3fff6000,0xefffffff,0x0054c401,0x323fffe4,0x201effff,0x40009a98,
    0xd7000a98,0xffffffff,0xffffb05d,0x3fffaa1b,0x0000003e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x35555300,0x01773000,0x98806660,0x00998809,0x99804ccc,0x20009999,
    0x01999999,0x33333100,0x26662001,0x09999999,0x99999998,0x40333000,
    0x99980998,0x99999999,0x07726009,0x99999803,0x19999999,0x26200c40,
    0x00099999,0x27fffffc,0xffffb100,0x3ffa205d,0x7fff42ff,0x1bfffa3f,
    0x23ffffa8,0xfffffff9,0xff300def,0xdfffffff,0x3fff6007,0xf5007fff,
    0xffffffff,0x7fffd4df,0x0dffffff,0x2fffff88,0x4fffffe2,0xfffffff9,
    0x03ffffff,0xd39ffff7,0xffff501f,0xffffffff,0x3ff260ff,0x7ffc43ff,
    0x006fffff,0x13fffffe,0xfffffd80,0xfff980ff,0x3ffe25ff,0xffff15ff,
    0x3fff605f,0x3fffee5f,0x3fffffff,0xffffffb8,0x00ffffff,0x7ffffff4,
    0xfffa802f,0x6fffffff,0x3fffffee,0x41ffffff,0x23fffff9,0x75fffff9,
    0xffffffff,0x207fffff,0xfffe99dd,0xfffff704,0xffffffff,0xfffff30f,
    0xffff98df,0x000fffff,0x09ff7551,0x26bbfe60,0xfb503ffc,0xfffb81df,
    0x3fffa60b,0xcffff985,0x667ffd40,0x82ffffdc,0xcccdffda,0x4406fffe,
    0x5ffffecb,0xccdffa80,0x546fffcc,0xdcccdffd,0x6cc0efff,0xfffb86ff,
    0x37ff6a0b,0xffdccccc,0x002ea003,0x999bffb5,0x90ffd999,0x05ff99ff,
    0x799dff93,0x3fe20003,0x85ff7004,0x3fa200ba,0x81ffec2f,0x641ffffe,
    0xfd02ffff,0x41fff20d,0xfe882ffa,0xdffb001f,0xffa801ff,0x407ffd42,
    0xffb02ffa,0x83fff103,0xff503ffe,0x40ffe605,0x03553099,0x6405ff50,
    0x327fc47f,0x677fc401,0x000abccc,0x5c013fe2,0xf50001ff,0x17fee1df,
    0x25ffffe8,0x02fffff8,0x7fec0dfd,0x502ffa83,0xff3007ff,0xa809ff5b,
    0x3ffe21ff,0x205ff502,0xff503ffa,0x502ffdcd,0xf89445ff,0x67ffe42f,
    0x01effffe,0x2288bfea,0x2ffc46fb,0xfffff100,0x005fffff,0x4c013fe2,
    0x320003ff,0x0fff8cff,0x3ffbffa0,0x5ffdff70,0xf881bfa0,0x02ffa86f,
    0xf9003ff9,0x101ffa5f,0x27ff44ff,0xd105ff50,0x7fe403ff,0x200fff9c,
    0x4bfe2ffa,0x7fff40cb,0xffffffff,0x225ff500,0xd05b11ff,0x3e2003ff,
    0xffdcccef,0xff8800ff,0x7fe5c404,0x44001bce,0x03ffeffe,0xa7fdfff4,
    0x02ffafff,0x7fe80dfd,0x2622ffa8,0xff007ffe,0x2017fdcf,0x017ff608,
    0xd7559ff5,0xe880dfff,0x402ffeff,0xffccdffa,0x7ffe4c03,0x2ffdaacf,
    0xf759ff50,0xdff7007f,0x09ff1001,0x2200fff2,0x7ffc04ff,0x01ffffff,
    0x2ffffcc0,0xfffbff40,0x2ffacffb,0xfc80dfd0,0x7fffd40f,0x01ffffff,
    0x3e24ffa8,0x3fee005f,0x7ffd400e,0x2fffffff,0x5ffff980,0xfffffa80,
    0xff9803ff,0x505ff81f,0x7fffffff,0x4ffff980,0xff883bd3,0x00bff104,
    0xfe809ff1,0x1fffffff,0xfffdd500,0x7f40bddf,0x1fffff77,0x3fa05ff5,
    0x207fe406,0xfffffffa,0xffb000ef,0x3ffd3335,0x03fff300,0xffffff50,
    0x003fffff,0x5001fff9,0x7fffffff,0x207ff300,0xfff507fd,0x4c07ffff,
    0xcaffffff,0x27fc46ff,0x8804ff98,0xb98804ff,0x44001bff,0xaadffbaa,
    0x7c5ffa01,0x5ff54fff,0xfb01bfa0,0xdddff50f,0x3001dfff,0xffffffff,
    0xff8809ff,0x7d41543f,0xfda999bf,0x7c400fff,0x7ff5004f,0x3007ff53,
    0x1ff607ff,0x7d4dffd4,0x2fff203f,0x3ffefff9,0x6c427fc4,0xff8802ff,
    0x0bfee004,0x09ff1000,0xffc9ffa0,0x205ff51f,0x2ffc06fe,0xfd317fd4,
    0xffc801df,0xffffffff,0x227fec07,0x7fd41ff8,0x00bff602,0x2a009ff1,
    0x4c7fa2ff,0x03ff984f,0x3fea0ffb,0x7401fd12,0x3ffff26f,0xeefff884,
    0x00efffee,0x2004ff88,0xa8001ffd,0xeefffeee,0xf99ffa05,0x40bfea5f,
    0x3fee06fe,0x442ffa84,0x7fc05ffd,0xdccccccf,0xdff902ff,0xfa87ff30,
    0x13fe602f,0x2009ff10,0xf7042ffa,0x207ff30f,0x5ff507fd,0x23ff4008,
    0xf881fffe,0xffffffff,0x13fe2004,0x983ffc40,0xf333104f,0x740133bf,
    0xf504cc7f,0x21bfa05f,0xa80fffb8,0xffe882ff,0x407ff503,0xffa85ff8,
    0x43ff980f,0x3ee02ffa,0x27fc403f,0x202ffa80,0x7fcc0ffc,0x2a0ffb03,
    0x7ec002ff,0xfffebbdf,0x56ffc41c,0x88001aaa,0x7e4404ff,0xeeeeefff,
    0x3b6e07fe,0x700cefff,0xa819dfff,0x222dffed,0xeeeefffc,0x5c42ffff,
    0x4c2deffe,0xd711cfff,0xdb819dff,0x3fe2dfff,0xeeeeeeff,0xffd713ff,
    0xffdddddd,0xdd9103ff,0x105bdfff,0xddddffd7,0x41fffddd,0x5c3effdb,
    0xd710cffe,0x039dddff,0xffffff88,0x36e6ffff,0x02deefff,0xffdddb70,
    0x5c17dddf,0xffffffff,0xf106ffff,0x9fffffff,0xffffff50,0x7ffffc49,
    0x3fffee7f,0x3fffffff,0xffffffb8,0xb7ffdc0f,0x4ffffffb,0x3fffffe2,
    0x3fffffe6,0x73ffffff,0xffffffff,0x207fffff,0xfffffffd,0x7ffdc0ff,
    0xffffffff,0xfff10fff,0x3fe63fff,0xfff74fff,0x00dfffff,0xddffffd3,
    0x3ffe67df,0x00ffffff,0x7fffffc4,0x24ffffff,0xffffffd8,0x200dffff,
    0xeffffffd,0xffffd881,0x7fffe41e,0x3fffa63f,0x00bdefff,0x9fffffd3,
    0x74cfbf60,0x6c1effff,0x3e3fffff,0xffffffff,0xffd33fff,0xdfffffff,
    0x7ff54039,0x985fffff,0xfffffffe,0x20ffffff,0x10dffffd,0x263dfffb,
    0xeffffffe,0x06aa6003,0xffffffb0,0x3ff6009f,0xffffffff,0x0000001e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99800000,0x80266201,0x00999999,0x44026620,
    0x33100999,0x10333103,0x33333333,0x26666601,0x99880099,0x03333009,
    0x98806666,0x99980099,0x99999999,0x26666209,0x99999999,0x99999881,
    0x26666001,0x00099980,0x14400053,0xfff10000,0xfffe85ff,0x7fffcc3f,
    0x00deffff,0xb07ffffa,0xb8dfffff,0xfb1fffff,0x3ea1ffff,0xffffffff,
    0x3fffe26f,0x0cffffff,0x4fffffe8,0x3fffffe6,0xffffff32,0xfffffe85,
    0xfffff305,0xffffffff,0x7fffff47,0xffffffff,0x3fffff61,0x3ea01fff,
    0xf36fffff,0xf009ffff,0x3fa0005f,0x0bfb1003,0x49fffff3,0x45fffff8,
    0xfffffffb,0xf883ffff,0x7f46ffff,0x360fffff,0xfd3fffff,0x3f23ffff,
    0xffffffff,0x3fffe67f,0xffffffff,0x3ffffe21,0x3fffea6f,0xffff54ff,
    0x7ffc49ff,0xff506fff,0xffffffff,0x7ff47fff,0xffffffff,0x3ffe1fff,
    0x02ffffff,0x3fffffee,0xbfffff57,0x004ff880,0x2a005fd0,0xfea82fff,
    0x7ffdc0ef,0xcfffa80b,0x2ffffdcc,0x3ffffb98,0x077ff6e2,0x445bff91,
    0x2a22fffb,0xcceffccc,0x77fe4c1b,0xffffdccc,0x2f3bfea0,0x67fee540,
    0x2b7ffaa0,0x5fffdcc0,0x33ff6a01,0xffdcccff,0x3733ffa3,0xffdcceff,
    0x3ffb2e21,0xfda802cc,0xfff11bdf,0xff88017f,0x80020004,0xf101fff9,
    0x7ffc47ff,0xb837f403,0xfff00fff,0x3ff981ff,0x3605ff50,0x27fc407f,
    0x4427fc40,0x37f43ffd,0x2ffa8266,0x2604ffa8,0x9f9005ff,0x7fcc1ff9,
    0xff99bfa3,0x6407fee3,0xffa8007f,0x07bffa22,0x0027fc40,0x03730000,
    0xfd2fff98,0x0dfd009f,0xff81ffec,0x7fcc5fff,0x205ff503,0x7fc407fd,
    0x04ff8804,0x7fd8bff1,0xffb9bfea,0x201ffd01,0xfd002ffc,0x7cc1ff95,
    0xf99bfa2f,0x407fee3f,0xfa8007fc,0x1dfff32f,0x027fc400,0x80000000,
    0x6ffdfffa,0xf80dfd00,0xfddff06f,0x81ffcc5f,0xffb02ffa,0x804ff880,
    0xff304ff8,0xfb0ffc8b,0x03ff23ff,0x7c41ffdc,0x1ff3006f,0xd1db1ff9,
    0xf32ff41f,0x807fd47f,0xfa8007fc,0x05fffaaf,0xbff53330,0x33101333,
    0x33333333,0x7e400003,0x5400ffff,0x0cccfffc,0xdff83ff4,0xff30fff9,
    0x2b3fea07,0x07feaaaa,0x44027fc4,0x7ffb04ff,0xff89ffc8,0x40ffb3ff,
    0xffb86ff8,0x32bf7003,0x812ffcff,0x8ffe62ea,0x1ff205e8,0x3f7fea00,
    0xffb804ff,0xffffffff,0x3fff26ff,0xffffffff,0xb00000ef,0xfa803fff,
    0x5fffffff,0x7fc07fe4,0x3e69ff95,0xffff503f,0x0fffffff,0x8804ff88,
    0xfda99dff,0x7fdc0fff,0xd6ffffaa,0x2ffc80df,0xe8007ff4,0xfffff93f,
    0x1ffcc007,0x001ff200,0x3fffffea,0x7ffec00e,0xffffffff,0xffffb0ff,
    0xffffffff,0xf300003f,0xf8809fff,0x4fffffff,0x7fc07fe4,0xf33ffd15,
    0x3ffea07f,0x7fffffff,0x4027fc40,0xfffffff8,0xffa81fff,0x9ffdffdb,
    0x7fcc05ff,0x4017fe65,0xffc9aff8,0x26003fff,0x7e4003ff,0xfffa8007,
    0x200effff,0xffccccb8,0x221cccce,0xcccccccc,0xfe82cccc,0xffe8803f,
    0xe9803fff,0xfd8199ef,0x7d4bff07,0x503ff9ef,0x333337ff,0xff880ffd,
    0xffff8804,0x300dffff,0xf5dff9ff,0xd009ff9f,0x07ff61ff,0x7ffffd40,
    0x002ffbff,0x9000ffe6,0x217e40ff,0xfd89fffa,0x7fc4006f,0x88000004,
    0xffb006ff,0x003fff3b,0x6ff80dfd,0xffd8bff0,0xff503ffd,0x101ff605,
    0xff1009ff,0x8013555b,0xf3fffff8,0x5007ffff,0x0dff19ff,0x7ffffec0,
    0x0024b8ff,0x9000ffe6,0x227fc0ff,0x7fec2ffa,0x13fe2003,0x3ee00000,
    0xeffc801f,0x801fff50,0x3fee06fe,0xf88bff04,0xf503ffff,0x01ff605f,
    0xf1009ff1,0x3fe0009f,0xfffb0fff,0x3ffe007f,0x3e002ffc,0x0ffc99bf,
    0x3e602fd4,0x3fe4003f,0xffa8bff0,0x007ffc42,0x0004ff88,0x804fd800,
    0x7e40fffa,0x1bfa00ef,0x403ffee2,0xfffb85ff,0x05ff503f,0xff101ff6,
    0x09ff1009,0x9bfffa00,0x002ffffa,0x00fffff9,0x3ff23fcc,0x2603fe40,
    0x7e4003ff,0xf517fe07,0x09ff505f,0x0013fe20,0x3e2006dc,0x3ff2200f,
    0x3ff221ef,0x7fdc42ef,0xfffeeeef,0xfffc883f,0x3fff60bd,0xbeffeb83,
    0x39fffb30,0x3ffbbb22,0x6dc2deef,0x02deefff,0xf87fffb0,0xf1001fff,
    0x32009fff,0xffd9cffe,0x7ffeeeef,0xeffeec98,0xfdb502de,0xddddddff,
    0x3fae2bff,0x7ff42def,0x3fe200bd,0x07ff0003,0x7e402fa8,0x3ea6ffff,
    0x2e0fffff,0xffffffff,0xff703fff,0x7c47ffff,0x7ffcc3ff,0xffff3fff,
    0x3fff2dff,0xffffffff,0xffffff30,0xf9001fff,0xfffc83ff,0x3fff6000,
    0xffffa800,0xffffffff,0xfd87ffff,0xffffffff,0xffffff80,0xffffffff,
    0xffffff75,0x7fffdc1f,0x00076403,0x25400db8,0x7ffff4c0,0x3ffff623,
    0x7ffff444,0x200bdeff,0x1effffe9,0x3621ffdc,0xf71effff,0x3a67dfff,
    0xffffffff,0x7fffec4f,0xf7004fff,0x0fff50df,0x005ffa80,0xd7dfffd1,
    0xffffffff,0xfffd50ff,0x3209ffff,0xffffffff,0xd35fffff,0xf09fffff,
    0x00001dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01711cc0,0x35000000,
    0x02aaa620,0x00880288,0x880054c4,0x19988099,0x220d5440,0x220000aa,
    0x4000aaaa,0x8001aa98,0x8801aaa8,0x54c35519,0x26133001,0x333001aa,
    0x4c415441,0x99999999,0x05d44019,0x3ff67ff3,0x8000000c,0x7dc0ffea,
    0x3fefffff,0x2bb9aff4,0xfd503ff5,0x3019dfff,0x74c7ffff,0xfd507fff,
    0xff71dfff,0x4fe983df,0x7ffffec4,0xff9004ff,0x3009ffff,0xbffffffd,
    0x7fff445f,0xffdcfffd,0xfff901ef,0x3dffffd9,0x53fffee0,0x2a4ffffc,
    0xffffffff,0xffd707ff,0x7fffbfff,0x00fffff2,0x7ff4c000,0x3ffee0ff,
    0x46ffffff,0xfffffffe,0x7dc1ffff,0xefffffff,0x1ffffdc0,0x20fffff5,
    0xfffffffe,0x21ffffff,0x3ea0fffd,0xffffffff,0x3fffa205,0x00ffffff,
    0xfffffff7,0x7fd4bfff,0xffffffff,0xe80fffff,0xffffffff,0xffd80fff,
    0xffffeeff,0xffff53ff,0x0fffffff,0xfffffff9,0xffa89fff,0x00002fff,
    0x1bffffb1,0x4d67ffc4,0x7cc6ffdb,0xffffffff,0x77ffdc4f,0x0effebab,
    0x2a1ffed4,0xbd707fec,0x7ffffb57,0x7fdcbff9,0x55e76c46,0xd00ffeba,
    0xd9559dff,0xfff30bff,0xfffb759f,0xbfffea8d,0xfdaefffb,0xfffc981f,
    0x2ffdaacf,0xffffcb88,0x52feabff,0xfd999bff,0xfffd89ff,0xffffc9be,
    0xdffff701,0x3f220003,0xf981dfff,0x907f904f,0xffb37dff,0x02fff88f,
    0xff309ff9,0x801ff607,0x3fa2fff9,0x0002a61f,0xff905ff5,0x7ffd101d,
    0xf303ffe8,0x43ffb0df,0x7ff50eff,0x207ffe60,0x3fe205ff,0xf3040dff,
    0x27ffd43f,0xf987bfea,0x2205ffff,0x01dffffc,0x3bfffee0,0x6ffff402,
    0x3fa011bc,0x50ffec0f,0x7fc409ff,0xb03ff986,0x776540ff,0xcaaafffe,
    0x32a003ff,0x2ffeeffe,0xaaabffe8,0x25ffbaaa,0x7ec07ff8,0x7fc7fd83,
    0x4c0ffe65,0x0ffb03ff,0x801fffc4,0x13ffea3b,0xff88bff2,0x400ffedf,
    0x0cffffd9,0x3ffffaa0,0xffff5003,0xf105ffff,0x47ff30bf,0x7e401ffc,
    0x81ffcc0f,0xffe987fd,0xffffffff,0x8805ffff,0xfffffffd,0xffff82ff,
    0xffffffff,0x013fea7f,0x3e3fec06,0x40ffe65f,0xffb03ff9,0x0027fc40,
    0xd03fffa8,0xafff44df,0xd5002ffb,0xe987ffff,0x000cffff,0x7fffedc4,
    0x86ff84ff,0x3ff62ffa,0x20ffe400,0xffb03ff9,0xefffff88,0xffffffff,
    0x7f4405ff,0xfffeefff,0xfffff82f,0xffffffff,0x005ff50f,0x3fe3fec0,
    0x4c0ffe65,0x0ffb03ff,0x40027fc4,0x3e03fffa,0x4bffd15f,0x2e002ffb,
    0x911effff,0x001bffff,0x2e6205c4,0x7fec0fff,0xf707ff41,0x3ffc409f,
    0xfd81ffcc,0x106ffdc7,0x55555fff,0xeffb8035,0x417fd40a,0xaaaabffe,
    0x262aaaaa,0x360006ff,0xf32ffc7f,0x0ffe607f,0xff103fec,0xfffa8009,
    0x27ffa043,0x3ffc5ffe,0xffffea80,0xffffb303,0x0bfb0019,0x3f217fdc,
    0x7fffcdff,0x440fffc4,0xff984ffd,0x547ffa84,0x7ffd42ff,0xffd80082,
    0x82ffd881,0x80806ffc,0x6dc01fff,0x3fe3fec0,0x4c0ffe65,0x0ffb03ff,
    0x50027fc4,0x7f887fff,0x3bffffee,0x80bff910,0x0cffffe9,0xffffea80,
    0x67fffc03,0x47ffdbaa,0xfffffffa,0x7fe45fff,0xfffdbcef,0xbfff881f,
    0xcffffeba,0xb59fff10,0xb77dffff,0x93fa67ff,0xdbabdffa,0x40ceffff,
    0xbabdfffe,0x7dc6ffec,0xcbaaadff,0x3fee2fff,0x27fff0cf,0x6dc2eff9,
    0x7f5c3eff,0xfdb710cf,0x07bdddff,0xdddffff5,0x7f43ffdd,0xffdbbfff,
    0xffb101ff,0x70001bff,0x205dffff,0xfffffffe,0x7ffc3fff,0xffdffffd,
    0x7fffe42f,0x200effff,0xfffffffc,0x3ea4ffff,0xffffffff,0xb4ffffff,
    0x7ff41fff,0xffffffff,0x7ffcc4ff,0xffffffff,0xfffffc86,0x2a6fffff,
    0xff4fffff,0xffff33ff,0x7fffffc4,0x9fffff31,0x3fffffee,0x641fffff,
    0xffffffff,0xffd11fff,0xdfffffff,0xffff9101,0xc880003d,0x5c1effff,
    0xffffffdf,0x263fd82e,0x501ff309,0x19dffffb,0xfffff900,0xa83dffd9,
    0xcedeffff,0x70beffff,0xffe98fff,0xfffcdfff,0xffff901e,0x2019dfff,
    0xffffffea,0x3ff620cf,0x1bfff1ef,0xfd89fff3,0xfb10dfff,0x3f623dff,
    0xffffffff,0xfffffc85,0xb1ffffff,0xffffddff,0xfff3019d,0x800005df,
    0x04ffffd8,0x10066aa6,0x054c0000,0x00d54400,0x9a80d4c0,0x26015300,
    0x200009aa,0x40019aa9,0x0019aa99,0x00000000,0x40000000,0x2a60eff9,
    0x1fffec00,0x36600000,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x9d50000d,0x40000001,0x000005da,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x804cc009,0x33300999,0x9804cc01,0x20010009,
    0x18800400,0x5c0e2288,0x01951000,0xacb98000,0x33333100,0x33333333,
    0xea839950,0x3bbb6e5e,0xeeeeeeee,0x5665d41c,0x016e4c00,0x2ea09995,
    0x24cc981c,0x90623ccb,0xf50bffff,0x3f21dfff,0x3ee6ffff,0x2e1effff,
    0x3ee6ffff,0x7f406fff,0x4417f401,0x2fd403fe,0x0dfa9fa2,0xf9807fe2,
    0x5a800fff,0xfffffe80,0x3ffffe60,0xffffffff,0xfffb11ff,0xab7fd4df,
    0xffffffff,0x25ffffff,0x07fffffa,0x07fffff6,0xfb113ff6,0x7d45dfff,
    0x553ff26f,0x3fffe6ff,0xffffc87f,0xfffffd2f,0x3ffff61f,0x3fff62ff,
    0xffffb0ff,0x0ffe203f,0x223fff88,0x3ee04ffe,0x90bfe60e,0x17fd41df,
    0x00febc88,0x3201ffc4,0x7d49f50a,0xffffffff,0x71ffffff,0xf99fdc9f,
    0xffffb15f,0xffffffff,0x3ea0985d,0xebcff983,0x40fff85f,0x4fd50cfe,
    0x3fee5ff8,0x261fffb3,0x3991cffd,0x4c5fff71,0x222dffeb,0x442cfffb,
    0x3ea5fffc,0x3e202eff,0x7ffd404f,0x206ffe8b,0x3fea0ffd,0x543ffb03,
    0x07ec03ff,0x05fffd10,0x9513f260,0x99999999,0x223ffb99,0xff8a7d42,
    0xca800004,0xfd84fefe,0xfa83fe23,0x542fc43f,0xfa93fe3f,0xa8bff52f,
    0x4dff53ff,0xbff506ff,0xa80dff30,0xfffadfff,0x4d6f4c0d,0x84ec9cff,
    0xeffffffb,0x21ffe880,0x7ec03ffc,0x813fee2f,0x3ff600fd,0x3e201fff,
    0x40000eff,0xff501ffb,0x0001ffc3,0x3b77ff20,0x741ff84f,0x303ff22f,
    0x74bf107f,0x107fe63f,0x3f6bff10,0x04ff99ff,0xffb03ffa,0xffff3005,
    0x3ff609ff,0xffffffff,0xdffff707,0x43ffd301,0xfb003ffd,0x06ffdc7f,
    0xffc807ec,0x200effce,0x0003ffca,0x7e40ffdc,0x9517f41f,0x99999999,
    0x3e217999,0x7e427d45,0x7fd1fe65,0xfc887f60,0x1ff0bf61,0x3e3ffa00,
    0x2ffbcfff,0xf993fea0,0x3fe6006f,0x3fa604ff,0xffffffff,0x7ffff103,
    0x543bff60,0xfb001fff,0x3bfee1bf,0xfb80fd81,0x0bffb0ff,0x8000ff10,
    0x3fa21ffb,0xf31fd80d,0xffffffff,0x7cbfffff,0x5fffeddf,0x7fef7fc4,
    0xf981be24,0x645ffdef,0x9003f41f,0xfffffbff,0xfe801ffb,0x005ffb0f,
    0x0fffffec,0x3fffee20,0x3ffa201d,0xff703fff,0x07ffe61d,0x7dc7ffb0,
    0x81fb00df,0x3a21fff9,0x982624ff,0x7dc0006f,0x047ff51f,0xffff89f2,
    0xffffffff,0x3fb263ff,0xeb84eece,0x3ea0cfff,0x67edc402,0x04b86981,
    0x3ffffea0,0x806ffffc,0x6ff8cffa,0xbfffd100,0xfc805fff,0xd100ffff,
    0x7fff7dff,0x443bfe60,0xffb01ffd,0x4c1ffdc3,0x95ffffff,0xfff107ff,
    0x3fffff21,0x7d40001f,0xffffff1f,0x4c4044bf,0x99999999,0x54000019,
    0x0000300b,0xff100000,0xffff19ff,0x37ffa009,0xfe8802ff,0x7fff90ef,
    0x3f3bfea0,0x1dffd05f,0x440bffee,0x3ff20efd,0xf7077ec1,0x5555403f,
    0x407d31aa,0x665cc4e9,0xe880000b,0x2aaaaaa5,0x0000001a,0x00000000,
    0xd0000000,0x3ff63fff,0xfff7002f,0xfff700df,0x7fffcc9f,0xe8fff41d,
    0x77fc41ff,0x201ffdc0,0x53fd44fc,0x00ef889f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0x003ffea6,0x402ffff8,0x1ffffffa,
    0x8dfffffb,0x03fe23fd,0x00ba812e,0x0c288198,0x0bb80018,0x06a80100,
    0x5dc40404,0xbbbbbbbb,0x82bbbbbb,0x2e000000,0xeeeeeeee,0xeeeeeeee,
    0x0000000d,0x87ff5000,0x7dc007ff,0xffd8806f,0x3ffaa5ff,0x000082ef,
    0x00000000,0x3ffee000,0xf9864c1f,0x5403f205,0xe8bfd34f,0xffffffff,
    0xffffffff,0xe88bf62f,0xfffff70f,0x7cffffff,0xffffffff,0xffffffff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0xc8000000,0x33ffffff,
    0x077ec9ff,0x3ee077e4,0x41fff91f,0xfffffffd,0xffffffff,0x993fe1ff,
    0xffff72ff,0x4fffffff,0xeeeeeeda,0xeeeeeeee,0x000000ce,0x00000000,
    0x00000000,0x00000000,0x40000000,0xffc9fff8,0x5c2fffdf,0xfb7511ff,
    0xf5077ec9,0x333310df,0x33333333,0x81930333,0x2eeee63b,0x03bbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ea1fe88,
    0xf503ffff,0x4bfffea9,0x02880df9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30100000,0x08805bfb,0x0030fb2a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_31_latin1_x[224]={ 0,5,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,2,2,2,2,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,2,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_31_latin1_y[224]={ 22,4,5,3,2,4,6,5,4,4,4,6,18,12,
18,2,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,3,27,3,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,10,3,5,7,5,
4,4,4,5,4,10,12,12,5,1,2,2,4,4,3,9,4,11,21,4,4,10,4,4,4,10,-1,-1,-1,0,
0,-1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,3,3,
4,5,4,3,9,9,3,3,4,4,3,3,4,4,4,5,3,3,4,5,4,6,8,3,3,4,4,3,4,4,
 };
static unsigned short stb__courier_bold_31_latin1_w[224]={ 0,6,10,14,13,13,12,4,7,7,13,15,7,12,
5,13,13,13,13,14,12,14,13,12,13,13,5,7,17,16,16,13,12,19,16,16,16,16,16,17,16,13,16,17,
16,19,18,16,15,16,17,14,15,17,19,18,17,16,13,8,13,7,13,20,6,15,17,15,17,16,15,17,16,14,
11,16,14,19,16,15,17,17,15,13,16,16,17,18,16,16,13,8,4,8,14,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,12,16,14,16,
4,15,10,18,11,16,17,12,18,20,10,15,8,9,6,16,14,5,6,8,10,15,17,20,17,12,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,17,18,16,16,16,16,16,12,17,17,17,17,17,16,15,15,15,15,
15,15,15,15,18,15,16,16,16,16,14,14,14,14,14,16,15,15,15,15,15,15,16,16,16,16,16,16,17,16,
 };
static unsigned short stb__courier_bold_31_latin1_h[224]={ 0,19,8,22,24,19,17,9,23,23,13,16,9,4,
5,24,19,18,18,19,18,19,19,19,19,19,14,16,16,9,16,18,21,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,23,24,23,10,4,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,23,23,23,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,18,20,17,14,17,
23,21,4,18,9,12,10,4,18,3,9,20,10,10,6,19,21,5,6,10,9,12,18,18,18,18,23,23,23,22,
22,23,17,23,23,23,23,22,23,23,23,22,17,22,24,24,24,23,23,12,20,24,24,24,23,23,17,19,20,20,
19,18,19,20,14,18,20,20,19,19,19,19,18,18,19,17,20,20,19,18,19,16,16,20,20,19,19,25,24,24,
 };
static unsigned short stb__courier_bold_31_latin1_s[224]={ 254,19,239,26,100,182,224,175,1,191,55,
213,220,189,151,180,196,17,31,241,45,50,65,79,92,138,134,245,35,180,18,
58,148,105,139,72,70,173,207,89,56,73,124,195,178,50,37,156,87,94,87,
190,162,205,122,103,1,156,125,212,149,246,124,157,130,140,26,173,44,156,223,
168,239,141,88,173,1,189,209,82,1,236,226,53,107,98,20,1,38,203,242,
119,97,128,115,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,176,208,
16,67,33,241,176,178,141,197,82,148,189,62,202,209,85,166,138,144,121,161,
250,137,115,228,99,237,201,183,128,1,221,137,55,111,199,142,102,21,219,38,
131,55,69,83,41,19,75,114,163,53,157,174,69,34,70,131,194,236,9,237,
152,52,18,17,160,1,192,115,112,238,1,165,133,226,106,97,222,150,190,117,
101,210,81,220,229,1,68,221,186,33,1,35,18, };
static unsigned short stb__courier_bold_31_latin1_t[224]={ 1,116,209,51,1,75,155,209,51,27,209,
174,209,220,220,1,75,136,136,75,136,96,96,96,96,96,192,174,192,209,192,
136,51,155,155,136,155,155,155,136,174,174,136,174,174,155,174,136,174,51,155,
136,174,136,174,174,174,155,155,1,1,1,209,220,220,192,116,192,116,192,136,
96,136,136,1,136,155,192,192,192,116,96,192,192,136,192,209,209,209,96,192,
27,27,27,220,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,1,116,51,
155,192,155,1,51,220,116,209,209,209,220,116,220,209,75,209,209,220,96,51,
209,220,209,209,209,116,116,116,116,27,1,27,51,51,27,174,27,27,27,27,
51,27,27,27,51,174,51,1,1,1,27,27,209,75,1,1,1,27,51,155,
96,75,75,96,116,96,51,192,116,51,75,75,75,75,96,116,116,75,155,75,
75,75,116,96,174,192,75,51,96,96,1,1,1, };
static unsigned short stb__courier_bold_31_latin1_a[224]={ 263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_31_latin1(stb_fontchar font[STB_FONT_courier_bold_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_31_latin1_s[i] + stb__courier_bold_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_31_latin1_t[i] + stb__courier_bold_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_31_latin1_x[i];
            font[i].y0 = stb__courier_bold_31_latin1_y[i];
            font[i].x1 = stb__courier_bold_31_latin1_x[i] + stb__courier_bold_31_latin1_w[i];
            font[i].y1 = stb__courier_bold_31_latin1_y[i] + stb__courier_bold_31_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_31_latin1_s[i] + stb__courier_bold_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_31_latin1_t[i] + stb__courier_bold_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_31_latin1_x[i] + stb__courier_bold_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_31_latin1_y[i] + stb__courier_bold_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_31_latin1_LINE_SPACING
#endif

