// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT        284
#define STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_35_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_35_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_35_latin1_LINE_SPACING          16

static unsigned int stb__courier_bold_35_latin1_pixels[]={
    0x0005c400,0x26004c06,0x0001cccb,0x00e66440,0x30000000,0x00000000,
    0x80000013,0x00620001,0x00031000,0x1b900031,0x20d40000,0x3fe60029,
    0x51bfa002,0x3fe203ff,0x00002fff,0x0017ffcc,0x800007b2,0x20002fe8,
    0x3e0001ec,0x8800002f,0xf90003fe,0x3ea0000b,0x6fdc000f,0x0bff5000,
    0x1fff9000,0x2e013fe2,0x7fc005ff,0x881ffdc7,0x002fffff,0x17ffcc00,
    0x4fffe980,0x6ff98000,0xfffd3000,0x3fee0009,0x3a600004,0xf10000ef,
    0x5c0001df,0xe88004ff,0xff8800ef,0x3ea0000f,0xbff31fff,0x003ffc80,
    0x66c42da8,0x3ffae200,0x74c00002,0xffc801ee,0x001effce,0x0009ff70,
    0x3ff3bfee,0xffa8001e,0xffa80005,0xfe880005,0xffd8001f,0x3f620003,
    0x4ffd801f,0x37ffa000,0x981bfe62,0x000002ff,0x017fe400,0x2e000000,
    0x1ffa64ff,0x00ffe600,0xd327fdc0,0x3a6000ff,0x3e20004f,0x6c00003f,
    0x7fdc007f,0xff900001,0x0fff9801,0x86ff9800,0x05406ff9,0x40000000,
    0x00002ffc,0x80ecc000,0x1c88004b,0x40766000,0x3220004b,0x01640001,
    0x003a8000,0x0000064c,0x7ff4012a,0x6ff98004,0x0006ff98,0x3cccca80,
    0x1bcccb98,0xec8affc8,0x2601bdff,0xcccccccc,0x000000cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x007ffd40,0x261bfe60,0x999956ff,
    0x79997307,0x3ffffe63,0x7ffff43f,0xfeffc86f,0x4fffffff,0xffffff88,
    0x4c1fffff,0x99881999,0x95100099,0x1000137b,0x00137b95,0x31033333,
    0x26601333,0x99988199,0xb9510009,0x33300137,0x13333333,0x26666660,
    0x99999999,0x007ffd00,0xf986ff98,0xfffff9ef,0x7ffff43f,0xfffff16f,
    0xffffd85f,0xffffc85f,0xffffffff,0xffffff85,0xf51fffff,0x23ffffff,
    0x6ffffffc,0x3ffff220,0x91002fff,0x5fffffff,0x3ffffea0,0xffff91ff,
    0x7ffd4dff,0xff91ffff,0x440dffff,0xfffffffc,0xfffff102,0x9fffffff,
    0x7fffffcc,0xffffffff,0x0fff702f,0x986ff980,0xffff8eff,0x7ffec2ff,
    0x3ff625ff,0x7fff700e,0x3bffff20,0xfffeb88b,0xaaaaaa84,0xff71fffa,
    0x3a5fffff,0x0fffffff,0xffffff98,0x4c04ffff,0xffffffff,0xfffb84ff,
    0xffd2ffff,0x2e1fffff,0x2fffffff,0xfffffffd,0xfffff301,0x509fffff,
    0xffffffff,0x7d4dffff,0xffffffff,0x02ffffff,0x9800bffe,0x6ff986ff,
    0x201dffb1,0xf983fffb,0xdff901ff,0x01fffe40,0xe800fff9,0xfff911ff,
    0x7f64c7bd,0xfe882eff,0xfecabdff,0xffd104ff,0xffd957bf,0xfffc889f,
    0x3fb263de,0x3f222eff,0x3263deff,0x882efffe,0xcabdfffe,0xdb84fffe,
    0xeefffeee,0x3f6e21ce,0xeeeeeeff,0x2e02fffe,0x3f2006ff,0x26ff985f,
    0xf901fff9,0x2ffec0df,0x900fffc4,0x7c401fff,0x3fa001ff,0x017fec1f,
    0x7ec0bff6,0xfffb02ff,0x05fffb03,0x3607fff6,0x7fec02ff,0x805ffb02,
    0xffb02ffd,0x3fff605f,0x037fcc01,0x6c01fff0,0x3fe202ff,0x7ffd402f,
    0x46ff983f,0xff885ffd,0x3ffe601f,0x2037fe41,0xfc804ffc,0x3ffa004f,
    0x2017fec1,0xffa82ffd,0x37fe401f,0x9007ffea,0x5ffb0dff,0xb02ffd80,
    0xffd805ff,0x01fffa82,0x26037fe4,0x3fe006ff,0x0bff200f,0xd80dff90,
    0xff307fff,0x41fff98d,0xfd806ffc,0x07ffe25f,0x900dff90,0x7f4009ff,
    0x017fec1f,0x3f60bff6,0xfff8804f,0x2013ff62,0x7ec2fff8,0x17fec02f,
    0x6c02ffd8,0x4ffd82ff,0x02fff880,0xf801bfe6,0x54bae0ff,0x7fc400ff,
    0x3ffea01f,0x86ff983f,0x3fe25ffd,0xfff9801f,0x900bffb1,0xfe803fff,
    0x3ffa002f,0x2017fec1,0xfff82ffd,0x47ff7000,0xf7000fff,0x02ffd87f,
    0xfd817fec,0x17fec02f,0xb8007ffc,0x3fe603ff,0x43ffe006,0x006a5ff8,
    0x6402ffe4,0x6ff985ff,0xfb1fff98,0x7fec00bf,0x801fff9d,0x881efffc,
    0x2000fffe,0x7fec1ffe,0x217fec02,0x2a007ff8,0x0fff15ff,0x362ffd40,
    0x7fec02ff,0x805ffb02,0x7fc42ffd,0x17fea007,0x2006ff98,0xffeeefff,
    0xfff30006,0x86ff9803,0xffb06ff9,0x003fff3b,0x7ff7ffcc,0xffff9005,
    0xfffb79ff,0xffe8005f,0x2017fec1,0x7fcc2ffd,0x5bfe6005,0x26005ff9,
    0x17fec6ff,0x6c0bff60,0x7fec02ff,0x002ffcc2,0x7cc0dff3,0x3ffe006f,
    0x006fffff,0x3013ff60,0xdff30dff,0x3fbffe60,0xffd8005f,0xf9001fff,
    0xffffffff,0xd0009fff,0x2ffd83ff,0x2617fec0,0x3e6006ff,0x00dff36f,
    0x3f637fcc,0x17fec02f,0x6c02ffd8,0x37fcc2ff,0x40dff300,0x3e006ff9,
    0x6fffffff,0x3ffe6000,0x21bfe600,0x3f606ff9,0x8001ffff,0x005ffff8,
    0x3ff73ff2,0x001effff,0xfd83ffd0,0x17fec02f,0xa801ffe2,0x0fff14ff,
    0x3627fd40,0x7fec02ff,0x805ffb02,0x7fc42ffd,0x13fea007,0x2006ff98,
    0xffbabfff,0x7ff40006,0x21bfe604,0x3e206ff9,0x20005fff,0x2001fffc,
    0x99532ffc,0xfe800035,0x017fec1f,0x3fa0bff6,0x7ff9001f,0xc800fff4,
    0x17fec3ff,0x6c0bff60,0x7fec02ff,0x001ffe82,0x7cc07ff9,0x3ffe006f,
    0x2d997fe0,0x03ffea00,0x7cc37fcc,0x7ffe406f,0x3ff60001,0x17fe4005,
    0xffd00000,0x404ffc83,0xffd80ffe,0x1fff9805,0x26017ff6,0x7fe41fff,
    0x807ff404,0x7f404ffc,0x05ffd80f,0x201fff98,0x3e006ff9,0xe82e60ff,
    0x7ff4006f,0x30dff303,0xffd80dff,0x3fe60005,0x7fe4001f,0xf3000002,
    0x1fff50ff,0x4c1ffea0,0x3a203fff,0x7ffcc5ff,0x17ffa203,0x5403ffea,
    0x3fea07ff,0x0fff500f,0x880fffe6,0x7cc05ffe,0x3ffe006f,0x003ffc00,
    0x7c41ffea,0x3fe60bff,0x07ffe606,0x05ffd800,0x002ffc80,0x5ffd8800,
    0x42dfff88,0x2e04fffa,0xfe984fff,0xfffb80ff,0x0fffe984,0x42dfff88,
    0x2204fffa,0x7d42dfff,0x3fee04ff,0xfffe984f,0x037fcc00,0xf801fff0,
    0xffe8007f,0x1ffffb03,0xfd81bfe6,0x3326005f,0x02dfffcc,0x9bffd730,
    0xcc980039,0x2ffffdcc,0xbfffff50,0xb00dffff,0xfdbdffff,0x7ec07fff,
    0xffedefff,0x3fea03ff,0xffffdfff,0xffffa806,0x06ffffdf,0xdeffffd8,
    0x443ffffe,0xfffffffd,0x3a23ffff,0xffffffff,0x07ffffff,0x106ffb80,
    0x3e23fffd,0xf999935f,0xf1005bff,0xffffffff,0xfff8803f,0x00ffffff,
    0xffffff10,0xfb807fff,0xefffffff,0xfffd8801,0x02ffffff,0x7ffffec4,
    0xb802ffff,0xffffffff,0xfff7001e,0x03dfffff,0xfffffb10,0xf505ffff,
    0xffffffff,0x7fdcdfff,0xffffffff,0x007fffff,0x5c40dfd0,0x7c4edc3d,
    0xffffffff,0x7ffc401f,0x1fffffff,0xffffff80,0xf1000fff,0x5dffffff,
    0x3fffa600,0xea8004ff,0x00dfffff,0x3ffffaa0,0x3a6000df,0x004fffff,
    0xfffffe98,0xffea8004,0xb100dfff,0xffffffff,0x7ec45dff,0xffffffff,
    0x007fffff,0x00001510,0xfffffff1,0x51003fff,0x15555555,0x2aaaa200,
    0x44000aaa,0x000aaaaa,0x00035310,0x00035310,0x0001a988,0x0000d4c4,
    0x0000d4c4,0x0000d4c4,0x00000000,0x10000000,0x55555555,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x20000001,0x00000009,0x0072a000,
    0x01da8000,0x00000288,0x0000c400,0x01000000,0x00004000,0x10000188,
    0x20053003,0x00000dfb,0x0002fe40,0x00003762,0x005fdfe8,0x06ff8800,
    0x40003ff8,0xfb8001ec,0x3b20000d,0x0ffcc001,0x7cc013f6,0x0027ec1f,
    0x0003fea0,0x4401ff50,0xfe8804ff,0x8800000e,0x20001ffd,0x002ffffb,
    0x1f30f980,0xffc80000,0x02ffcc05,0x4fffe980,0x077f4400,0x3fffa600,
    0x13fee004,0x3ee00fff,0x003ffc4f,0x0009ff70,0x4c04ffb8,0xfb1005ff,
    0x4400005f,0x10001efe,0xbffbbffb,0x87d40001,0x200001f8,0x5c02fff8,
    0x0008afff,0xdff9dff7,0x7ff44003,0x9dff9001,0xd1003dff,0x003fc83d,
    0x3fc83dd1,0x07ffb000,0x03ffd800,0x4006ff98,0x00000ffc,0x40001bfd,
    0x3fee2ffd,0x56fc0004,0x5c00006e,0x3faa06ff,0x06ffffff,0xfd327fdc,
    0x1ff9000f,0x264ffb80,0x000007fe,0x70000000,0xb80003ff,0xff3001ff,
    0x0095000d,0x0001d400,0x1644065c,0x33f66000,0x7fc00001,0xffff902f,
    0x03ffffff,0x04b80ecc,0xb3009500,0x00012e03,0x00000000,0x4000064c,
    0x3e6000c9,0x0000006f,0x00000000,0x00000000,0x41bfee00,0xdbdffff8,
    0x0002ffff,0x00000000,0x6e544000,0x9998009b,0x99998819,0x00000000,
    0x0dff3000,0x4cccccc4,0x26620001,0x00019999,0x26666662,0x26620001,
    0x00019999,0x5c0fffa0,0xffd885ff,0x99999980,0x99999999,0x99999980,
    0x33009999,0x33333333,0xfffc8801,0xf502ffff,0x23ffffff,0x6ffffffc,
    0x22019998,0x99980999,0x99999999,0x3fe60999,0xfffff706,0x70003fff,
    0xffffffff,0xfff70003,0x003fffff,0xffffff70,0x500003ff,0x7fec0fff,
    0xf989b102,0xffffffff,0x22ffffff,0xfffffff8,0x224fffff,0xffffffff,
    0xf304ffff,0xffffffff,0xffff709f,0x3ffa5fff,0xf10fffff,0xd83fffff,
    0xf34fffff,0xffffffff,0x45ffffff,0xff906ff9,0x09ffffff,0xfffff900,
    0x90009fff,0xffffffff,0xfff90009,0x009fffff,0x407ffd00,0x2001effa,
    0xfffffffa,0xffffffff,0x3ffffea2,0x6fffffff,0x3fffffea,0x86ffffff,
    0xabdfffe8,0x444fffec,0x23defffc,0x2efffec9,0x3fffffe6,0x7fffffc2,
    0xffffff56,0xffffffff,0x82ffcc5f,0xffffeec8,0x644000ff,0xffffffee,
    0x77644000,0x00ffffff,0x7ff76440,0x0000ffff,0xf003ffe6,0x0179dfff,
    0x77ffedc4,0xffeeeeee,0x7776dc2f,0x1ceeefff,0x7ff776dc,0xd81ceeef,
    0xffb02fff,0x05ffb03f,0xeb82ffd8,0xffa84fff,0xfb711cff,0xddddddff,
    0xfe85fffd,0xfffff003,0xff80007f,0x0003ffff,0x1ffffffc,0x3fffe000,
    0x360003ff,0xffb804ff,0x03efffff,0xfb007ffc,0x6ff9805f,0x06ff9800,
    0x401fffa8,0xffd86ffc,0x017fec02,0xff30dffd,0x07ffc07f,0x0105ffb0,
    0x3efffea0,0x3ea0006f,0x006ffbff,0x3efffea0,0x3ea0006f,0x006ffbff,
    0x001fff30,0x3fffff66,0x3ffe05ff,0x00bff200,0x3000dff3,0xffb00dff,
    0x5fff1009,0x6c02ffd8,0x3fe602ff,0x02fff43f,0xfc803ffe,0x3f60002f,
    0x01fff8cf,0xf19ffb00,0x360003ff,0x1fff8cff,0x19ffb000,0xb0003fff,
    0x31000bff,0x07ffffb7,0x2eb83ffe,0xf9801ff5,0xff98006f,0x00fff806,
    0xfd87ff70,0x17fec02f,0x647ffee0,0x7fc00fff,0x7d4bae0f,0xff10000f,
    0x017ff21f,0x643ffe20,0xf88005ff,0x0bff90ff,0x21fff100,0x44005ffc,
    0x80001fff,0xff05ffd8,0xa97fe21f,0x06ff9801,0x406ff980,0x2a007ff8,
    0x17fec5ff,0x200bff60,0xfffaeffe,0x10fff802,0x5c0d4bff,0x2ffe401d,
    0x8001fff3,0x3fe65ffc,0x7fe4000f,0x003ffe65,0x7ccbff90,0x3f2000ff,
    0x1fe8805f,0x7c1ffe60,0x6ffeeeff,0x06ff9800,0x406ff980,0x26005ff9,
    0x17fec6ff,0x200bff60,0x5ffffff9,0xdddfff00,0xff880dff,0x217ffc05,
    0x7c003ffe,0x1fff42ff,0xd0bffe00,0xff8007ff,0x01fff42f,0x801fff88,
    0x3ee05ffa,0xfffff06f,0x3000dfff,0xf3000dff,0x6ff980df,0xb1bfe600,
    0xffd805ff,0xffff7002,0x3ffe001f,0x406fffff,0x3ea06ff9,0x06ffa87f,
    0x2a1ffea0,0x3ea006ff,0x06ffa87f,0x2a1ffea0,0xff7006ff,0x3ffee00d,
    0x3ffee60d,0xffffff04,0xf3000dff,0xff3000df,0x07ff880d,0xfb13fea0,
    0x2ffd805f,0x0bfffa00,0xffffff80,0x7fcc06ff,0x3ffff606,0x1fffffff,
    0xfffffb00,0x03ffffff,0x3fffff60,0x01ffffff,0xffffffb0,0x003fffff,
    0x2e005fff,0xfeffffff,0xff00ffff,0x0dff757f,0x00dff300,0xd00dff30,
    0x3f2003ff,0x017fec3f,0x9800bff6,0x7fc006ff,0x06ffbabf,0xf8837fcc,
    0xffffffff,0xf8805fff,0xffffffff,0xf8805fff,0xffffffff,0xf8805fff,
    0xffffffff,0x7dc05fff,0x3fea006f,0xffffffff,0x83ffe01f,0x00b665ff,
    0x3000dff3,0xffb00dff,0x3fff300b,0x7404ffc8,0x3e6000ff,0x7ffc006f,
    0x2d997fe0,0x7e41bfe6,0xffffffff,0x6400ffff,0xffffffff,0x400fffff,
    0xfffffffc,0x00ffffff,0x7fffffe4,0x0fffffff,0x000fffa0,0xffffb7bb,
    0xfff8019f,0x6fe82e60,0x0037fcc0,0x4c037fcc,0x3a203fff,0xfffa85ff,
    0x00fff500,0x4006ff98,0x82e60fff,0x1bfe66fe,0x36017ffc,0x7ffc03ff,
    0x01ffec02,0xfb00bffe,0x2fff807f,0xa81ffec0,0xa80007ff,0x3fe006ff,
    0x03ffc00f,0x2001bfe6,0xf7006ff9,0xffd309ff,0xbfff101f,0x04fffa85,
    0x0037fcc0,0xff003ffe,0x5437fccf,0xffa807ff,0x01ffea06,0xfa81bfea,
    0x6ffa807f,0x201ffea0,0xffd06ffa,0xff300007,0x07ffc00d,0xf301ffe0,
    0xff3000df,0x7ffec00d,0xffffedef,0x3fffea03,0x06ffffdf,0x006ff980,
    0x3e007ffc,0x99bfe67f,0x0efffffe,0x7fffffdc,0x3ffffa65,0x7ffdc0ef,
    0x3fa65fff,0x5c0effff,0x25ffffff,0xefffffe9,0x7ffffdc0,0x03ffe65f,
    0x1bfe6000,0xfffffd10,0xffffffff,0x7ffec4ff,0xffffffff,0x3ffff623,
    0x3fffffff,0xfffffb10,0x7005ffff,0xffffffff,0x3ff6003d,0x3fffffff,
    0xfffffe88,0xffffffff,0xc97fe27f,0x3fffffff,0x7ffffffc,0xfffff90f,
    0xffff87ff,0xff90ffff,0xf87fffff,0x0fffffff,0xfffffff9,0xffffff87,
    0x07ff30ff,0x13fe2000,0xffffff70,0xffffffff,0x7fffd4ff,0xffffffff,
    0x3ffffea6,0x6fffffff,0x7ffff540,0x3a6000df,0x004fffff,0x3fffffe6,
    0xfb86ffff,0xffffffff,0x47ffffff,0x3ff661db,0x7540dfff,0x264fffff,
    0x0dfffffd,0x7fffff54,0x3ffff664,0x7ff540df,0x3f664fff,0x540dffff,
    0x44fffffe,0x5c00003a,0x7fec401d,0xffffffff,0x3627ffff,0xffffffff,
    0x3f622eff,0xffffffff,0x531002ef,0xa9880003,0xfffb0001,0x05dfffff,
    0xffffffb1,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36e60000,0x220021bc,
    0x200083eb,0x00000200,0x00551004,0x36a001b7,0x2f333222,0x66665441,
    0x00040403,0xd7100020,0x00000107,0x040ee4c0,0x7b951000,0x75100015,
    0x01799999,0xfffffd88,0x204fedff,0x8aeffff9,0x6fb802fd,0x40017f44,
    0x27ec1ff9,0x300fffd8,0xff300dff,0x7ffffccf,0x3ffffe3f,0xa8bfa06f,
    0x07fe606f,0x3e6009fb,0xfd8aefff,0xbfd93002,0x3ffee007,0x00fe98df,
    0x7fffe440,0xc9802fff,0xfffffffe,0x3fa204ff,0xffffffff,0x33fa07ff,
    0x0effffea,0x2a1ffe80,0xfb8005ff,0xd83ffc4f,0xf880efff,0x7ff403ff,
    0x3ffffe66,0x3ffffe3f,0x4bff306f,0xff701ffe,0xd007ff89,0xffffd59f,
    0xfff5001d,0xf880bfff,0xfffffabf,0x7ffcc004,0x5fffffff,0x3ffffea0,
    0x1deffeff,0x33bfff60,0x7ffffdba,0x9ff70660,0x217ea001,0xe88001fd,
    0x881fe41e,0xf903fffc,0x3fe601ff,0x33ffe62f,0x7ee5c42c,0x4bff506f,
    0xdd100fff,0x3003fc83,0x00cffb83,0xdabeffa8,0x105405ff,0x88007df9,
    0xcabdfffe,0xfa83fffe,0xf4fcaeff,0xfffd801f,0x0fffd302,0x00000000,
    0x70000000,0x3fe20bff,0x8dffb03f,0xf3005ff9,0x97fea0df,0x00000fff,
    0x3e000000,0x00ffa86f,0x3f600000,0xffd882ff,0x92ffec1f,0x8803fe9f,
    0x7cc02fff,0xdca8807f,0x0000009b,0x50000000,0x7fec0bff,0x42fff987,
    0xf3005ff9,0x93fee0df,0x000007ff,0x44026662,0xfb819999,0x405ff00f,
    0x19999998,0x0fffd400,0xff1bff60,0xffa7e43f,0x017fea00,0xf9102fec,
    0x05ffffff,0x26666620,0x99980019,0x99999999,0xffa80999,0x0bffe605,
    0xff30fff9,0x1bfe600b,0xff8a7fdc,0x26666607,0xe8099999,0xfb86ffff,
    0x746fffff,0x413f205f,0xfffffffb,0x3ff6001f,0x1fff8804,0x7e41fff1,
    0x7e401ff4,0x0151003f,0x3fffffe6,0x5c04ffff,0xffffffff,0xffff3001,
    0xffffffff,0xff505fff,0x45ffd80b,0xff983fff,0x0dff3005,0x7fccfff2,
    0xfffff886,0x4fffffff,0x3fffffe2,0x7ffffec3,0x20ffe0ff,0xf905fd98,
    0x9fffffff,0x007ffc00,0x3fe3ffc8,0x7fd3f22f,0x007ffa00,0x3fffa200,
    0xfffecabd,0x3ffff204,0x5004ffff,0xffffffff,0x5fffffff,0xb80bff50,
    0x3ffe27ff,0x005ff981,0x7644dff3,0xffffffff,0xfff50dff,0xffffffff,
    0xfffda8df,0x3fb260ff,0x3fe23eff,0x2ffffe41,0xfffeec88,0xf8800fff,
    0x3fea007f,0x643bff64,0x7c01ff4f,0xfb00007f,0x3ff605ff,0xfdd9101f,
    0x001fffff,0xddfffb71,0xfffddddd,0x80bff505,0xff50fffa,0x0bff301f,
    0xfa9bfe60,0xffffffff,0x36e3ffff,0xeefffeee,0xfffb01ce,0x0bff60bf,
    0x7ff41ff3,0xff005fff,0x5007ffff,0x7cc00bff,0x3fffa26f,0x01ff4fdc,
    0x40003ffc,0x6401fffa,0xfff006ff,0xf8007fff,0x3ff600ff,0x00eff982,
    0x7dc7ffe2,0x0bff307f,0xe89bfe60,0xffffffff,0x2601ffff,0x3f6006ff,
    0xfd83ffff,0xf93fcc2f,0x00bf939f,0xdff7fff5,0x00dff500,0x36237fcc,
    0xff4fffff,0x007ffc01,0x013ff600,0x500bffe2,0x0dff7fff,0x200fff80,
    0xff882ffc,0x3ffe05ff,0x260bff92,0xff3005ff,0x35fff10d,0x30019ff9,
    0x7ec00dff,0x6c0fffff,0xd3fcc2ff,0x402fe49f,0xfff8cffd,0x03ffc401,
    0x2a09ff50,0x1ff4ffec,0x0017fe40,0x4003ffe0,0x7ec03ffb,0x01fff8cf,
    0xeb83ffe0,0x3201ff52,0xfd00ffff,0x413ff67f,0xf3005ff9,0x43ffe0df,
    0xf3003ffc,0x7fec00df,0x7ec5fffb,0xff3fcc2f,0x2202fe43,0xbff90fff,
    0x003fff00,0x3200fff2,0x5401ff4f,0x220005ff,0x3ea007ff,0x3ffe205f,
    0x400bff90,0xbff10fff,0xfff880d4,0x4bffe05f,0xff305ffd,0x1bfe600b,
    0xffc87ffc,0x0dff3003,0x7d57fec0,0x0bff62ff,0x927fcff3,0x5ffc80bf,
    0xb003ffe6,0xff300bff,0x29f9003f,0x3fe200ff,0x25e8802f,0x26005ff9,
    0x3ff206ff,0x003ffe65,0x7f777ffc,0xfff3006f,0x8fffc401,0xff306ffb,
    0x9bfe600b,0xaafffba8,0x9801cffe,0x3f6006ff,0x21dffb2f,0x3fcc2ffd,
    0xbfb7bff9,0x742fff80,0x7fcc03ff,0x3ffa203f,0x3e9f9005,0x7ffe400f,
    0x5fff500c,0x9801bfe6,0x3ffe06ff,0x801fff42,0xffffffff,0x0bff5006,
    0xf50fffa8,0xbff301ff,0xe9bfe600,0xffffffff,0x4c05ffff,0x3f6006ff,
    0x29fff12f,0x7fc42ffd,0x3fffffa0,0x0fff500f,0xfb00dff5,0xffd309ff,
    0x53f2001f,0xffc800ff,0xffeddeff,0xfff10fff,0x827fd400,0xffa87ffa,
    0xfffff006,0x2a00dfff,0x7fdc05ff,0x207ffe67,0xf3005ff9,0x7ffffcdf,
    0xffffffff,0x037fcc06,0x7dc5ffb0,0x82ffd9ff,0x7ff5c1ff,0xfffb00ef,
    0xffffffff,0xffffd003,0x7fffffbd,0xffa7e400,0xffff9000,0x3dffffff,
    0x9001ffe8,0x3ff607ff,0xffffffff,0xbfff801f,0x5006ffba,0xffd80bff,
    0x4c1fffc5,0xff3005ff,0x77fedccd,0x0bcfffcc,0x0037fcc0,0xffe85ffb,
    0xfd82ffde,0x3fe20002,0xffffffff,0xfd8805ff,0xffffffff,0xfa7e4002,
    0x3b2a000f,0x04efffff,0xf300bffb,0xfff103ff,0xffffffff,0x1fff00bf,
    0x05b32ffc,0x7cc0bff5,0x37fe42ff,0x9802ffcc,0x5ffa86ff,0x4c003ffe,
    0x3f6006ff,0x7fffcc2f,0x06fc82ff,0x3ffff200,0xffffffff,0xfff5000f,
    0x0001bfff,0x003fe9f9,0x400e7dc0,0x2203fff9,0xff905ffe,0xffffffff,
    0xff801fff,0xfe82e60f,0x205ffa86,0xff987ffd,0x02ffcc2f,0xfb86ff98,
    0x801ffe4f,0x36006ff9,0xfffb82ff,0x2ff982ff,0x05fff000,0x9003ffd8,
    0x8819ffff,0xf4fc800b,0x3f20001f,0xfff7000d,0x1fffd309,0xb00bffe0,
    0xfff807ff,0x543ffc00,0xfff105ff,0x31bff607,0x3e600bff,0x14ffb86f,
    0x7cc00fff,0x3ff6006f,0x5ffffd02,0x9107ff60,0x0fff503f,0x900dff50,
    0xdfffffff,0x2e0bffb9,0xff9dfecc,0x7e4000bd,0x3ff6006f,0xfffedeff,
    0x0fff503f,0xf80dff50,0x3ffc00ff,0x640bff66,0xff500fff,0x4f7fcc5f,
    0xdff53101,0x3e27ff90,0x3fe6006f,0xfffe8806,0x3fe60eff,0xfff102ff,
    0x43fffddd,0xefffffe9,0x7ffffdc0,0xffff305f,0xffffffff,0xffff509f,
    0xbffffdff,0x3ef36a00,0xffb1000f,0x5fffffff,0xfffffd30,0xffffb81d,
    0x3ffa25ff,0xffffffff,0x3f27ffff,0xfff107ff,0x26ffd809,0x2ffffff9,
    0x1bfffff6,0x7fccbff2,0xffffb106,0x7fffffff,0xffffffb8,0x17ffe43f,
    0xfffffb30,0xffffc85f,0x7ffc3fff,0x980fffff,0xfedeffff,0x880cffff,
    0xc9bccccb,0xf7001ccc,0x5000bfff,0x1bfffffd,0x3fffff20,0x7fffc3ff,
    0xff70ffff,0xffffffff,0x6cffffff,0xff303fff,0x4fff100d,0x4ffffff9,
    0x1bfffffe,0x7fccbff2,0xfffff504,0xdfffffff,0xfffffd88,0x17ffc40d,
    0x81565440,0xdfffffd9,0x7ffff540,0x206a604f,0x00002ba8,0x2f6e6000,
    0x2a620000,0xfffd9801,0x7f540dff,0x3624ffff,0xffffffff,0x27ffffff,
    0x6dc00bd9,0x4c5b5000,0x20ceeeee,0x85eeeeda,0x80ee44d8,0xffffffd8,
    0x002effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xccccccba,0x00000003,0x00007b30,0x00001000,0x26000008,0x05500003,
    0x00b88000,0x000b8800,0x40000200,0x1cc00000,0xd1001880,0xffffffff,
    0x00bf600b,0x8b372a20,0x5c00fff8,0x5c0002ee,0x440000cf,0xb80002fd,
    0x640000ff,0x3ed9806f,0x000ffd40,0x0003bee0,0x0005fb10,0x0001fec4,
    0x5400ffb8,0xffe805ff,0x5fecccce,0x005ff880,0x3fffff22,0x06ffebff,
    0x00fe5fdc,0x77fff4c0,0xfff50002,0x360001bf,0x220002ff,0xfe801ffe,
    0x7fec01ff,0x3f620002,0xff50002f,0xa8001bff,0x001effff,0x200bff20,
    0x7cc06ffb,0x00bf701f,0x2600dff3,0xffffffff,0x401fffff,0x7001363f,
    0x9ffd5dff,0xadffd800,0x22002fff,0x20001ffe,0x9800efe8,0xb804ffff,
    0x640004ff,0x7ec003ff,0x02fffadf,0xfd5bff90,0xfe88007f,0x3b71001f,
    0x2a05fc80,0x6ff9804f,0xdfffe880,0xfffffdbb,0x0fa4e803,0x5c4ff880,
    0xff7002ff,0x007fec45,0x0000efb8,0x98006fec,0x5004ffff,0xa80001ff,
    0xff7000ff,0x007fec45,0xff90ffea,0x077dc001,0xffc80000,0x50039100,
    0xfd805fff,0xfff982ff,0xeefa802f,0x80dc000f,0x171000b8,0x28800ea0,
    0x00530000,0x03ffff88,0x40000a20,0x02e20028,0x05c401d4,0x14400398,
    0xfd980000,0x30000eff,0xdffffffb,0x81fffa89,0x06ffffe8,0x00017930,
    0x00000000,0x00000000,0x05ffff00,0x00000000,0x00000000,0x98000000,
    0x3ffffe02,0x7cc003ff,0xffffffff,0x413ff60f,0x2ffffffd,0x99500000,
    0xccca8199,0xfed9803c,0x95002cef,0x05bffffd,0xeffed980,0x7fffc02c,
    0x3ffb6601,0xd95002ce,0x005bffff,0x5eff6544,0xffd95001,0xca805bff,
    0x66540ccc,0x3ff883cc,0xfd31ffa8,0xff3005df,0xfffbbfff,0x407ffc5f,
    0xffdafffc,0xfffd9504,0x7fd405bf,0x3fe60fff,0x36206fff,0xffffffff,
    0x3fffa00d,0x05ffffff,0xfffffd88,0xfd00dfff,0xffb103ff,0x1bffffff,
    0x7fffff40,0xa805ffff,0xffffffff,0x3fffa00e,0x05ffffff,0x41fffff5,
    0x86fffff9,0xff985ffa,0x0f7ffe41,0x415dffb0,0xff12fff8,0x29fff50f,
    0xffe85ffb,0x5fffffff,0x1fffff30,0x37ffffc4,0xffffff88,0x00ffffff,
    0xffffffff,0x7c409fff,0xffffffff,0xffd80fff,0x7fffc40f,0xffffffff,
    0xffffff00,0x409fffff,0xfffffffa,0xff00efff,0xffffffff,0xffff309f,
    0x7fffc41f,0x06ffb86f,0xfd885ffb,0xfff884ff,0x261ff703,0x7ffc45ff,
    0x3e1bfe66,0xffffffff,0xff5104ff,0xffba881f,0x59fffb06,0xbfff9511,
    0x426b32a0,0x3607ffc9,0xa88acfff,0xfd85fffc,0xcfffd87f,0xfffca88a,
    0x13599505,0x541fff26,0x730aefff,0x9501dfff,0x3f261359,0xfff5107f,
    0x6ffba881,0xd107ffc8,0xfea81bff,0x03ffd45f,0x46ff986a,0x3e60fffe,
    0x9acca86f,0x80fff930,0xff300fff,0x07fff50d,0x0017ffdc,0xfa80fff8,
    0x3fee03ff,0x23ffe42f,0x2e03fffa,0xf0002fff,0xbffd01ff,0x01fffcc0,
    0x200fff80,0xff300fff,0x80fffb0d,0x6443fffd,0x17fea2ff,0x21fff100,
    0x7d41fffd,0xfff0004f,0x807ffc01,0xffc86ff9,0xaaaaaaae,0x2e05ffea,
    0xffeeffed,0xaeffc80f,0xeaaaaaaa,0x37fdc5ff,0x2aabbff2,0xffeaaaaa,
    0x3ffb6e05,0x440fffee,0x7dc00eff,0x3fb6e05f,0x00fffeef,0x7cc03ffe,
    0x0fffe86f,0x0f7ffdc0,0xfff99bf2,0x57ffc000,0xfc83fffb,0x3fb6e03f,
    0x00fffeef,0x7cc03ffe,0xffffe86f,0xffffffff,0xfffa86ff,0xffffffff,
    0xfffffe80,0xffffffff,0x22ffd46f,0xfffffffe,0x6fffffff,0xffffffa8,
    0x5c0fffff,0xff8804ff,0xfffffa87,0x00ffffff,0x7cc03ffe,0x1ffff86f,
    0x4fffc880,0x7fc4ff71,0xd857104f,0x85fffeff,0xfa81fff9,0xffffffff,
    0x3ffe00ff,0xf0dff300,0xffffffff,0x8fffffff,0xfffffffa,0xf80fffff,
    0xffffffff,0x47ffffff,0x7ffc2ff8,0xffffffff,0x7d47ffff,0xffffffff,
    0x7fe40fff,0x43ffd003,0xfffffffa,0x200fffff,0xff300fff,0x05ffff0d,
    0x7ffff4c0,0x7ffdc4ff,0xfffeb9be,0x3ffffe21,0x2fff440e,0x7fffffd4,
    0x00ffffff,0x7cc03ffe,0xeeffd86f,0xeeeeeeee,0x3ffe26ee,0xfa999bdf,
    0xeffd80ff,0xeeeeeeee,0x81886eee,0xeeeeeffd,0x6eeeeeee,0x2f7fffe2,
    0x0fffa999,0x44027fd4,0x3ffe27ff,0xfa999bdf,0x3ffe00ff,0x88dff300,
    0x8003ffff,0x80cffffc,0xfffffffe,0x7fe40fff,0x7ff4c1ff,0x7fffc40f,
    0xffa999bd,0x03ffe00f,0x7e437fd4,0xf70000ef,0x7ffc01ff,0x00effc80,
    0xdff90000,0x3fee0001,0x03ffe00f,0xd803fff1,0x3ffee5ff,0x803ffe00,
    0xff500fff,0x4ffff98d,0x7fdc0570,0x3fff6200,0xc82effff,0xedefffff,
    0xfb82ffff,0x3ffe00ff,0x10fffa00,0xf10dfff9,0x26203dff,0x17ff21cb,
    0x407fffdc,0x101efff8,0x44003973,0x3101efff,0x2ffe4397,0x80ffffb8,
    0xd883fffd,0x3ff22fff,0x1ffff705,0x221fff40,0x7cc6fffc,0x7f884fff,
    0x2003fe60,0x01cfffd9,0xfffffff5,0x205fffff,0xff705ffc,0x7fe401ff,
    0xffffecdf,0x7fd41eff,0xffecdfff,0x3fea6fff,0xfffecdff,0x541effff,
    0xecdfffff,0xb86fffff,0xffffa81c,0xffffecdf,0x3fffea6f,0xfffffecd,
    0x3fa21eff,0xffecdeff,0x7ffd44ff,0xffffecdf,0xfc81efff,0xfffecdff,
    0x3fa1efff,0x0ff881ff,0x4c00ff90,0x3fe206ff,0xffffcadf,0x3fea00df,
    0xfffecdff,0x881effff,0xfffffffe,0xc84fffff,0xffffffff,0x7ec5ffff,
    0xffffffff,0xc84fffff,0xffffffff,0x7dc5ffff,0xffff906f,0xffffffff,
    0xfffffd8b,0xffffffff,0x7fff444f,0x03ffffff,0xfffffffb,0x9fffffff,
    0xfffffd10,0x9fffffff,0xf882ffdc,0xffcccccf,0x3fe6004f,0x03ffee06,
    0x7ec00353,0xffffffff,0x104fffff,0x9bfffffd,0x2603bfff,0xfffffffd,
    0xfff703df,0xfff7dfff,0x3f6603bf,0xdfffffff,0x205ffa83,0xffffffd9,
    0xff703dff,0xff7dffff,0x3b203bff,0x02dfffff,0x7fffffdc,0x1dffffbe,
    0xfffffd10,0x83bfff9b,0x3ffe2018,0x05ffffff,0x3027fc40,0x400003ff,
    0xeffffffb,0x01dffffb,0x0004d544,0x13555310,0x2aae6200,0x54c40000,
    0x298009aa,0x35553100,0x2ae62001,0x5440000a,0x5cc4001a,0x440000aa,
    0x000009aa,0x33333322,0xd90002bc,0x00008803,0x0aab9880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x500001cc,0x00000005,0x04000000,0x01cc0000,0x00000000,
    0x000ca800,0x00000000,0x00000000,0x40009aa8,0xdf9002b9,0xbfd00001,
    0xfdd91000,0x36a003bd,0xca8ceffe,0x75c01bcc,0xcc9adfff,0x3ee002cc,
    0x6664c00f,0xeffec89c,0xfec9801c,0x7c4000ce,0xec98004f,0xb7000bdf,
    0x00039dfd,0x805bdd93,0x54005da8,0xb89cffff,0x4fff981d,0x01ffe880,
    0x077f4c00,0xfffffc80,0x36205fff,0xffffffff,0x306ffffe,0xfffffffd,
    0x03ffffff,0x8805ffb0,0xffefffff,0x04ffffff,0x3fffffea,0x3fe6003f,
    0x7ffdc006,0x2201ffff,0xfffffffe,0xffff9004,0xeca87fff,0x44006fff,
    0xfffffffe,0x7fffb83f,0x00bff600,0x03ffd100,0xffffffa8,0xe884ffff,
    0xffffffff,0x85ffffff,0xfffffff9,0xffffffff,0x07ffa200,0x7fffffc0,
    0xffffffff,0xffffa85f,0x003fffff,0x5c00dff3,0xffffffff,0xffffd00f,
    0x807fffff,0xfffffffd,0xfffff13f,0x93000dff,0x03ffffff,0x0013ffe2,
    0x20000ff7,0x7ff405fc,0xffdb88ae,0x67ffec1f,0xffffd711,0x3fffa039,
    0xffffd51d,0xefb8015d,0x7fed4000,0xda889dff,0x7fec3fff,0xfffeb8bf,
    0x06ff9800,0x37ffff10,0xf909fff9,0xfd715bff,0x3ff603ff,0x23a89bef,
    0xfffffffa,0x7ffd4006,0x202fffdf,0x330001a8,0x00cc0000,0xffe813ee,
    0x40bffea3,0x703fffe8,0x3ee03fff,0x051005ff,0x27ffe400,0x221fffb0,
    0x7fc40fff,0x6ff9804f,0x30dff700,0x7ffd0fff,0xb07fff10,0x36009fff,
    0x06ffaace,0xc856f540,0x000006ff,0x00000000,0x324ffb80,0x7fc405ff,
    0x0bffb03f,0x002fffc4,0xfffc8000,0xa97ff400,0xfff905ff,0x00dff300,
    0x7ec07ffe,0x03ffe21f,0x3ee2ffe4,0x260003ff,0x200006ff,0x50003ffe,
    0xca819999,0x54403ccc,0x001bdfec,0x3a3ffd80,0xffe802ff,0x805ffd03,
    0xa8805ffc,0x001bdfec,0xf7009ff9,0x40fff29f,0x32a0fff8,0xcfffdccc,
    0x3e21bccc,0x0ffea06f,0x3f603fff,0x027ff44f,0x01bfe600,0x7bdfd950,
    0x5000fff5,0x4c1fffff,0x206fffff,0xfffffffa,0xc88000ef,0x3ff61fff,
    0x03ffe803,0xfb803fff,0x7ffd405f,0x00efffff,0x6402ffe4,0x09ff94ff,
    0x7dc7ffe2,0xffffffff,0x50ffffff,0x7fcc0bff,0x4c2ffec5,0x3fea2fff,
    0x8001510f,0xb1006ff9,0xffffffff,0x98001fff,0x220fffff,0x506fffff,
    0xffffffff,0xf7001dff,0xb89fffff,0x7fdc07ff,0x09ffb03f,0x2a05ffe8,
    0xffffffff,0x3f200eff,0x3fe601ff,0x20dff72f,0xff72fffd,0xffffffff,
    0x2e1fffff,0x3fe204ff,0x67fffcc7,0x5c6fffeb,0xfffe9dff,0xdff3003f,
    0xfffff100,0xffffffff,0x104ccb83,0xa881fff5,0xffa86ffb,0xff730aef,
    0xfff801df,0xff986fff,0xfffa81df,0x1fff903f,0x417ffea0,0x30aefffa,
    0x201dfff7,0x981efffc,0xff30fffe,0xffffb85f,0x373332a4,0xbccccfff,
    0x8813fee1,0xfffb87ff,0x40ffffff,0xffffeffc,0xf9805fff,0xfffd806f,
    0x3fff6a2d,0x13ffe23f,0x2601fff0,0x5ffe86ff,0x00fffe60,0x7ffffff9,
    0x7dffff90,0x7ffffffb,0x8bbffe20,0x05ffffb8,0x7cc0bffd,0xfff903ff,
    0xfff99fff,0xfffc85ff,0xfffffebe,0x037fcc05,0xf1027fdc,0xffff50ff,
    0xd81dffff,0xfeffffff,0x7cc03fff,0x7ffcc06f,0x93fff605,0xff806ffa,
    0x8dff300f,0x5c00eff8,0xb98805ff,0xfd82ffff,0xffffffff,0x3ee03fff,
    0xfffdffff,0xff885fff,0x2ffdc00e,0xffffffc8,0x83ffffff,0xffffffe8,
    0x4c04ffff,0xffb806ff,0x31ffe204,0xffdfffff,0xfffc8bff,0xfffb31df,
    0x037fcc01,0xa80bffea,0x3ff64fff,0x00fff802,0xffb8dff3,0x07ff8804,
    0x837fec40,0xfffffffa,0x6403ffdc,0xffffffff,0xffb85fff,0x07ff8804,
    0xfffb9ff9,0x4405dfff,0xccfffffd,0x7fcc02ff,0x05ffa806,0xffd1ffe2,
    0x3ff2615d,0x3bffee3f,0x017ffc40,0xfc80dff3,0x3fff806f,0x7fc017fe,
    0x8dff300f,0xfd003ffc,0xff88003f,0x332ea00f,0x007ff90a,0xbfffffd3,
    0xff90bff7,0x07ffa007,0x65ccbff2,0x2e6001bc,0x01fff1bc,0x8806ff98,
    0x3fe606ff,0x40bffe25,0x3fe65ffd,0x09ffb02f,0x2e037fcc,0x3e200fff,
    0x01ff52ff,0x4c03ffe0,0x27fd46ff,0x003ffc40,0x0002ffe8,0x44007ff9,
    0xbff509a9,0x1009ff50,0x3ff20fff,0x32000002,0xff9807ff,0x01ffd006,
    0xffa93fee,0x89ffe606,0x3fee07ff,0x01bfe605,0x5c07fff3,0x07f90fff,
    0xa807ffc0,0x7ffc46ff,0x02ffec01,0x007ffcc0,0x003ffc80,0x884ffc80,
    0x7ec01fff,0x05ff905f,0x3ff20000,0x4ff8802f,0x109ff900,0x7fcc3fff,
    0xf1bfea06,0x3ff607ff,0x01bfe603,0x2a0bbffa,0x017a5ffe,0xc887ffd0,
    0xffd86fff,0xfffd883f,0xd880b262,0x320006ff,0x4c0003ff,0xffb02fff,
    0xfffb107f,0x00bff205,0xffe98080,0x032a003f,0x31fffcc0,0xfff0dffb,
    0x4ffe9819,0x2a0fffe4,0x3e602fff,0xfff9806f,0xffffcdff,0x3200020f,
    0xffecdfff,0x221effff,0xecdefffe,0x7f44ffff,0xfeecdeff,0x54003fff,
    0x0bdffecc,0x33332e20,0x100efffe,0xd9bdfffd,0x7309ffff,0x0399bffd,
    0x7eeffd40,0x0005ffff,0xffffc800,0xc82ffffd,0xffdeffff,0x7fc41fff,
    0xffffdeff,0x3ffff626,0x3fffffff,0xffffffa8,0x0002ffff,0xfffffe88,
    0x4fffffff,0x7fffff44,0xfb83ffff,0xffffffff,0x7d4003ff,0x6fffffff,
    0x3fffff20,0x4400efff,0xfffffffe,0xfff883ff,0x00ffffff,0xffffff90,
    0x3fea09ff,0xffffffff,0xfb06ffff,0x07ffffff,0x7fffffe4,0xff502fff,
    0x3fffffff,0x7fffffd4,0x07ffffff,0xffffffb1,0x4400001b,0xcdfffffe,
    0xd901dfff,0x05bfffff,0x7fffff5c,0xa8001eff,0xffffffff,0x3fffee05,
    0x2000dfff,0xdfffffec,0x3ffffe02,0x1000ffff,0x1bfffffd,0x7ffffec0,
    0xffffffff,0xffd881ff,0xeb802fff,0x01dfffff,0x7fffff54,0xffffd80d,
    0x2effffff,0x04ddcc40,0x55100000,0x54400013,0x54c4001a,0x8800009a,
    0x0aaaaaaa,0x0d5554c0,0x06aa2000,0x55555440,0xa88000aa,0xfff3001a,
    0xffffffff,0x5300bfff,0x35310001,0x13553000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c000000,0x6540cccc,0x00003ccc,0x66666654,
    0x02cccccc,0x0c400000,0x00000800,0x002a8000,0x00301880,0x99999993,
    0xb8001599,0xcccca801,0xbcccb983,0x01eca881,0x2edd4400,0xfffa8000,
    0x3ffe60ff,0x65c406ff,0xfd80cefe,0xffffffff,0x36e65fff,0x00000adf,
    0x4001fff9,0x98000dfb,0x80140cfc,0x30000dfd,0x06fe85ff,0x7fffffd4,
    0x1006ffff,0xff9809fb,0x7f43ffff,0x7d46ffff,0x20001fff,0x006ffff9,
    0xfffff300,0x7ffffc41,0x3fffe606,0x7ec3ffff,0xffffffff,0xfff35fff,
    0x0000bffd,0x2007fffa,0x02ffffe8,0x3ffffea0,0x9802fe9b,0xb8000efe,
    0x03ffc3ff,0x3fffffea,0x9806ffff,0x7c400efe,0x6c2fffff,0x445fffff,
    0x0001ffbc,0x01bf2f22,0xfffa8800,0x37fe5440,0xffffffa8,0x3f22ffff,
    0xccccccdf,0x15915ffe,0x40000ff4,0xfa803dd9,0x05ffdaef,0xff917fb0,
    0x74400bff,0x644001ff,0x2016d40d,0xcccceffa,0x7d400bcc,0xfb1000df,
    0x3fee01df,0x00ff403f,0x006fa800,0x00fff800,0xff10dff3,0xfd9339ff,
    0x03fea1ff,0x2202ffe8,0x000002ff,0x7067fc40,0x811007ff,0x90002dd9,
    0x000000df,0x0009ff50,0x98004ff8,0xff901fff,0x003fd00d,0x001bea00,
    0x403ffe00,0xffb86ff9,0x45fff106,0x3ffe2008,0x05fffd80,0x37000000,
    0x00002e20,0x00330000,0xff500000,0x01a80009,0x217ff600,0xe801fff8,
    0x4073001f,0x0e6006fa,0x4c03ffe0,0x2ffc86ff,0x8013ff20,0xffb05ffb,
    0x002b80bf,0x00000031,0x7bfd9510,0x00000003,0x59dffdb3,0x4c9ff500,
    0x40000000,0x7e41fff9,0x03fd006f,0x502ffd88,0xffb100df,0x00fff807,
    0x7910dff3,0x004ffc80,0xf300bffa,0x1ffd307f,0x1007ff00,0x07999997,
    0x7ffffd40,0x2200efff,0x03cccccb,0x3ffff620,0x200dffff,0xfffefffa,
    0x32e200df,0x4003cccc,0x3fe25ffd,0x03fd001f,0x8077ffdc,0x7fd406fa,
    0x7ffc00ef,0x00dff300,0x00bffe20,0x4007ffcc,0x3ff225fb,0x5ff8805f,
    0xfffffd80,0xfff5005f,0xdfffffff,0x3ffff601,0xff1005ff,0xffffffff,
    0x3fea01ff,0xffffffff,0xfffffb01,0xff9800bf,0x80bffb1f,0x0acffaa8,
    0x413fff62,0x0aaefca9,0x033fff62,0x5403ffe0,0xe88006ff,0xf7000fff,
    0x99acb8bf,0xfff52feb,0xffd5005f,0xffff900b,0xff500bff,0x3ee615df,
    0xffc80eff,0xb005ffff,0x51159fff,0x2a0bfff9,0xffefffff,0xffc80fff,
    0x8005ffff,0xfff9dffd,0x7ffff401,0xdfff76ff,0x7fcc1335,0xf75fffff,
    0x01533dff,0x6c43fff8,0x44006fff,0x2002fffe,0x7fec2ffe,0xfd8dffff,
    0x10199dff,0x00bffffb,0x17ff2aa6,0x9817ffa0,0x55303fff,0xf500bff9,
    0x7fdc07ff,0xbdfe882f,0x0bfff710,0x17ff2aa6,0x3bffe600,0xaa8805ff,
    0xffeaaaaa,0x985ffb3f,0xe9aaaaaa,0xfffacfff,0xffff02df,0xfffffdbb,
    0xfd1003df,0x7cc007ff,0xcba880ff,0x2efffa9a,0xff983ffd,0x8001dfff,
    0x7c405ff9,0x7fdc00ef,0x05ff9805,0xaaaeffc8,0xffeaaaaa,0xfff70005,
    0x00bff300,0x3fffff60,0x3ff20001,0x5fff50ef,0x3bffee00,0xfdacff99,
    0xffffff07,0xffffffff,0xffff9809,0x2ffdc003,0x4fffd880,0xfb07fff2,
    0x400019ff,0x7dc05ff9,0x7ff8804f,0x805ff980,0xfffffffe,0x6fffffff,
    0x3fff1000,0x005ff980,0x0bffff10,0x3fffa600,0x0bfffe23,0x47fffd30,
    0x41fec3fb,0xffffffff,0x01dfffce,0x00ffffea,0x200bffa0,0x261efffb,
    0x3e21ffff,0x980002ff,0x7fe405ff,0x03ffd003,0xf805ff98,0xffffffff,
    0x07ffffff,0x00bff600,0x4000bff3,0x8001fffc,0x6c0dfff9,0x2202fddf,
    0x4080dfff,0xfff82fe8,0x8000abaa,0x002ffffb,0x400fff98,0x7443fffb,
    0x3ea1ffbf,0x400d406f,0x7d405ff9,0x7ff8804f,0x805ff980,0xeeeeeffd,
    0x6eeeeeee,0x07ffe000,0x000bff30,0x8002ffec,0xffb82ff8,0x3e202fd8,
    0xdfd1003f,0x0003ffe0,0x03ffff90,0x017ff200,0x3f207bea,0x7fcc3ff6,
    0x003fee06,0xf880bff3,0x7fec01ff,0x05ff9805,0x000effc8,0xfffa8000,
    0x02ffcc00,0x01fff980,0x7fc40200,0x00005fb2,0xf806ffd4,0xb10000ff,
    0x0001dfff,0x08017ff4,0x3fe1ff50,0x033ffe21,0x9805ffb3,0xffd805ff,
    0xfffd883f,0x05ff9802,0x01efff88,0xfb839731,0xdffb101d,0x00bff300,
    0x0017ff60,0x7fffec00,0x80001fff,0x7fc04ffc,0xfe88000f,0x05300dff,
    0x000fff98,0x7fffff40,0x3fff20ef,0xfffffddf,0x02ffcc02,0x6f7fff44,
    0x04ffffec,0x200bff30,0xcdfffffa,0x46fffffe,0xdcdefffe,0x801ffffe,
    0xc9805ff9,0x2dfffccc,0xeec80000,0x001effee,0x00bffa20,0x20003ffa,
    0xfffffffa,0x03ffffff,0x00017fea,0x3ffbbbb6,0x7ffff40d,0x21ffffff,
    0xfffffffb,0x40efffff,0xffffffe8,0xff703fff,0xffffffff,0xff901dff,
    0xffffffff,0xfff98bff,0xffffffff,0xfffffb83,0xefffffff,0xffffff10,
    0x0003ffff,0x77fed400,0x3ffe0001,0xc82feeee,0xff50006f,0xffffffff,
    0x7440bfff,0x5400000e,0xfc80dffd,0x82efffff,0xffffffff,0x03ffffff,
    0xbfffffd9,0x7ffffc05,0xffffffff,0xfffb303f,0x07bfffff,0x3fffff66,
    0xfff01dff,0xffffffff,0x3fe27fff,0xffffffff,0x2e000001,0x0001efff,
    0x3ffffffe,0x0001504f,0x3fffffea,0x5fffffff,0x90000000,0x2201dfff,
    0x2e009aa9,0xfffffffe,0x400dffff,0xd7001aa8,0xffffffff,0x8801bfff,
    0x0009aaa9,0x026aaa62,0xfffffd70,0x1bffffff,0x55555544,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x18800000,0x00000030,0x007332e6,0x32e60000,0x00c401cc,
    0x055d4c00,0x00c06200,0x0004c060,0x18800000,0x00c40000,0x01880980,
    0x2a200000,0x5ff3001c,0x2e006fe8,0xaadfffed,0x3fffe20b,0x4000002f,
    0x02fffff8,0x017dff93,0xffffe980,0x5ff3003f,0xfd006fe8,0x001ffa8d,
    0x02819fb3,0x7fff5cc0,0xb98000ad,0x00adfffe,0x3e20ffc8,0xdf71003f,
    0x3f200983,0xffb801ff,0x4c03ffc3,0xfffffffe,0x3fe23fff,0x00002fff,
    0x7ffffc40,0xfceff882,0x3fe2004f,0x04ffffff,0x7fc3ffb8,0xb8fff007,
    0xffa803ff,0x2feabfff,0xdeffe880,0x004fffec,0xd9bdffd1,0xfd809fff,
    0x017fe61f,0x37ffffa2,0x3fe05fc9,0xdc8803ff,0x2a016d40,0xffffffff,
    0x5cc5ffff,0x00002ffe,0x2ffeb980,0x1fa23fb8,0xcdfffd80,0x4401ffff,
    0x016d40dc,0x66c42da8,0xc8bfe800,0x8805ffff,0xeb880dfe,0x3fa200ef,
    0xefeb880d,0xb909b300,0x51bf7003,0x403fffff,0x0000fffb,0xffff8800,
    0xfffb711a,0x00bff60b,0xffd80000,0x2fb87e82,0xd85fff00,0x000004ff,
    0x08800000,0x44016ecc,0xfe8802fe,0x005fd105,0x0000bfd1,0xbec88100,
    0x00028800,0x3bff2000,0x417ff600,0x00002ffd,0x20bff600,0x01fdc0fe,
    0x7d40fff8,0x0000005f,0x00000000,0x7ec47fd0,0xfe88dbef,0xee9bfe82,
    0x3a20bdee,0x0000002f,0x10000000,0x037bfd95,0x4401ffe8,0x5ffb03ff,
    0x39dffd91,0x7ff6dc00,0x705ffb3e,0x003f447f,0x9ffb0fff,0xfffeca80,
    0x665402df,0x666540cc,0x3fb2a03c,0x4402dfff,0x37ffe65f,0x8bf11fff,
    0xddfd35f8,0x2fc43ffd,0x666665c4,0xcccb8803,0x0deffeb8,0x7fd40000,
    0x0effffff,0x1007ff88,0x7f7fec03,0x3fffffff,0x7fffec40,0x2ffeffff,
    0xffdeff88,0x7ff80c44,0x05ffff93,0x7ffffff4,0xff505fff,0x7fcc1fff,
    0xffd06fff,0xbfffffff,0x5fd0fd40,0x51fa1fd8,0xf11fcc3f,0xffd87e8b,
    0xd805ffff,0xfffeffff,0x0002ffff,0xffffff50,0x981dffff,0xb00006ff,
    0xffffffff,0x220bffff,0xffffffff,0x302fffff,0x7317dff9,0xfff01ffd,
    0x0dfffff1,0xfffffff8,0xf984ffff,0x3e20ffff,0xff06ffff,0xffffffff,
    0xf99f209f,0x3f20d885,0x87f31f21,0x320fe46e,0x05ffffff,0xffffffc8,
    0x0fffffff,0x7ffd4000,0xfff730ae,0x03ffc41d,0xffffd800,0xffd9889d,
    0xcfffd82f,0xfffff511,0xeb998805,0xff03efff,0xfffffd1f,0x4d665409,
    0x20fff930,0x440fffa8,0x9506ffba,0x3f261359,0x7d4df07f,0x7c7f5002,
    0x76567cc6,0x4c1fd43f,0x005ffcaa,0x15dffff3,0x007ffd51,0x205ffe80,
    0x7f43fff9,0x2011002f,0x3204fffd,0x3fea0fff,0xfffd101f,0x7ff64c05,
    0x7fc00bef,0xffffb717,0x7ffc0009,0x403ffe00,0x20006ff9,0x26f80fff,
    0x7f3001fa,0x3ffe637c,0x03f983ff,0xf002ffcc,0xff701dff,0x8802e60b,
    0x7dc00eff,0x17ffe45f,0xb03ff910,0xffd00dff,0x2027fec5,0x6442fff9,
    0x08befffe,0x710fff00,0x6dc07fff,0xfffeeffe,0x403ffe00,0x6dc06ff9,
    0xfffeeffe,0x0fe67d80,0x8fb0fdc0,0x85fc9bf9,0x7fcc01fb,0x03ffe005,
    0x7e437fcc,0x9ff701ff,0xd0fff100,0xb99dffff,0xb05ffffd,0xff9009ff,
    0x400fff47,0x7fdc2fff,0xdffc88bd,0x703ffc02,0xfff50dff,0xffffffff,
    0x807ffc01,0xff506ff9,0xffffffff,0x223f701f,0x3f41506f,0x23f987ee,
    0x403f44fb,0x3e005ff9,0xdff300ff,0x207fffd0,0xfd003ffc,0xfffe883f,
    0xffffffff,0x007ffb05,0x7ffc9ff7,0x42ffd800,0x3bfe20a8,0x3fe03ffd,
    0x507ffc07,0xffffffff,0x7c01ffff,0xdff300ff,0xffffff50,0x01ffffff,
    0x6ffdc9f3,0xbf12feba,0xbf914f98,0x7c467ec7,0x05ff9805,0x4c03ffe0,
    0xfffc86ff,0x009ff501,0x2e20fff1,0xffffffff,0x17ff602e,0xfe8fff60,
    0x7ffc403f,0x223fb802,0x01ffe06f,0x3fe25ffb,0xa999bdff,0x3fe00fff,
    0x8dff300f,0x9bdffff8,0x00fffa99,0x7ffd45fd,0x20ff63ef,0x7fffbafe,
    0x0ff6bfa2,0x8017fe60,0xff300fff,0x8802e60d,0x7ec01fff,0xcfd9805f,
    0xffd8009a,0x3ffe601f,0x901bff22,0xfd005fff,0x3fe03f90,0xffe89b37,
    0x401fff72,0x3fe00fff,0x8dff500f,0x3e00fffb,0x3ff100ff,0x27ec0a98,
    0xb001ff88,0x3fe6009f,0x03ffe005,0x00037fcc,0x220ffff6,0x9002fffd,
    0x7ec003df,0xfe880dff,0x3ffea0ef,0x5ffff504,0x5f70df00,0x7fe5ffe0,
    0x321fff11,0xfff705ff,0x1fff401f,0x91bfff22,0x3fee0bff,0x3fe200ff,
    0x013f6603,0x6cc07ff1,0x3fe6004f,0x03ffe005,0x0c437fcc,0x7fff4418,
    0xffffecde,0xfff91004,0xfffffb00,0xffd99dff,0xfff903ff,0xfffdb9bf,
    0x6407ffff,0x3a23f42f,0xffdeffff,0x2a6fffdf,0xfecdffff,0x1effffff,
    0xecdfffc8,0x1effffff,0xd9bffff5,0xdfffffff,0x37ffe203,0x04fffdbc,
    0x79bfff10,0x5c09fffb,0xffffffff,0x320effff,0x646fffff,0xf31effff,
    0x445fe85f,0xfffffffe,0xbf9003ff,0x7cc01ff7,0xffffffff,0x03ffffff,
    0x3ffffff6,0xffffffff,0x337fe206,0x7ffdc4ff,0xffffbfff,0x7fec1fff,
    0xffffffff,0xe884ffff,0xffffffff,0x3f64ffff,0xffffffff,0x204fffff,
    0xeffffdb8,0x6dc4001c,0x01ceffff,0x7ffffffc,0x3fffffff,0xfffffff1,
    0x3ffffe23,0xf87ff74f,0xfffd907f,0x54005bff,0xc804ffff,0xffdcffff,
    0x800dffff,0xfffffffa,0x02efffec,0x05f7fed4,0x57ffff62,0x02ffffeb,
    0xdffffff7,0x03bffff7,0x3fffffa2,0x41dfffcd,0xeffffffb,0x01dffffb,
    0x00002a60,0x2e000a98,0xfffffffe,0x320dffff,0x5c5ffffe,0x911dfffe,
    0x402da81b,0x40001aa8,0x880001b9,0x80009aa9,0x0001aaa8,0x30000510,
    0xb9880135,0x440000aa,0x440009aa,0x0000aab9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55500000,0x55555555,0x30015555,0x5cc07999,
    0x8000bcdc,0x021bcdb9,0x40000550,0x22ccdb98,0x26662000,0x00999999,
    0x000e6644,0x1166e5cc,0x20666660,0x00099998,0x02ab2ea2,0x00133326,
    0x33332a20,0x6654403c,0xb880003c,0x99999999,0x01a99999,0x445fffe8,
    0xffffffeb,0xffd8803f,0xfedfffff,0x003ff304,0xfffff900,0x00bfdfff,
    0xfffffff7,0x4c09ffff,0x22002fff,0xfffffffd,0x3ffea4fe,0xff91ffff,
    0x880dffff,0xfffffffc,0xfffff51e,0xffc80001,0x6c06ffff,0x0005ffff,
    0x31000288,0x5ffffb80,0x7ffffff4,0x2204ffff,0xfffffffe,0xf707ffff,
    0x6c40007f,0xffffffff,0xfd807fff,0xffffffff,0x3fe606ff,0xfff1002f,
    0xffffffff,0x7ffffdcf,0xffffd2ff,0x7f401fff,0xffffffff,0x1fffff54,
    0xfffc8000,0x7ec06fff,0x80005fff,0x03100028,0x2fffffc4,0x2b3bfffa,
    0xb02ffffc,0xb759dfff,0x320fffff,0xd10003ff,0x9579dfff,0x100ffffd,
    0xfffdddd9,0x74c039dd,0xffd001ee,0xffd957df,0x7ffe44ff,0x3fb263de,
    0x3ee02eff,0xfedcceff,0x3ffee61e,0x65440000,0x4406ffdc,0x0005ffda,
    0x31000288,0x7ffffe40,0xe80fff45,0xfffd85ff,0x0fffd302,0x4000fff2,
    0x2e01fffc,0x3e0007ff,0x000000ff,0x6c0bffe2,0x2ffd87ff,0x2017fec0,
    0xf8004ffd,0x400000ff,0xf5006ff9,0x510000bf,0x4c062000,0x45ffcfff,
    0x3fea07fc,0x017ffc46,0xcb89ffe6,0xcccceffe,0xfff302cc,0x00dfd005,
    0x0007ffc0,0x0bff5000,0x7ec37fc4,0x17fec02f,0x0007ffa0,0x00003ffe,
    0x200dff30,0x80005ffa,0x03100028,0x3fe7bffa,0xf300dc45,0x05ffa8df,
    0x7fe4bfb0,0xffffffff,0xffc80fff,0x005b5005,0x1007ffc0,0x07999997,
    0xc80dff30,0x02ffd84f,0x65417fec,0xcccdfffc,0x3ffe01bc,0x0ceffec9,
    0x06ff9800,0x64cbff50,0x4402cccc,0x50310002,0xbff33fff,0x4ffe8800,
    0x8801ffe4,0x3fffee0a,0xffffffff,0x007ffb07,0x7ffc0000,0x3ffff600,
    0xfff005ff,0xfd80403b,0x17fec02f,0x3fffffe6,0x06ffffff,0x3ffffffe,
    0x4001ffff,0xf5006ff9,0x3fffe2bf,0x0a201fff,0x3e20c400,0x0bff34ff,
    0x0ffffd40,0x00007ffa,0x55bffb51,0x3a015555,0x000001ff,0xc803ffe0,
    0x05ffffff,0xbfffff70,0x5ffb0037,0x442ffd80,0xffffffff,0x3e06ffff,
    0xffffffff,0x7cc007ff,0xbff5006f,0x7ffffffc,0x4000a200,0x87ffe418,
    0x64405ff9,0xf84fffff,0x3200007f,0xff8003ff,0x40000007,0x54c00fff,
    0x2005ffca,0xfffffffb,0x5ffb00cf,0x882ffd80,0xaabffeaa,0x7ffc01aa,
    0xffb88aef,0x3fe6002f,0x2bff5006,0x0abffffc,0x88001440,0x98fffe21,
    0x7fcc05ff,0xfff02fff,0x7fe40000,0x07ff8003,0xbdddddb5,0x7c00cb85,
    0x3e6000ff,0x764c005f,0x0effffff,0x6c02ffd8,0x7ff402ff,0xdfff8001,
    0x004ffc80,0x5401bfe6,0xefffdeff,0x000a2001,0x8dffb0c4,0x7cc05ff9,
    0x3fe00bff,0xf900000f,0xfff0007f,0xfffff881,0xff11ffff,0x00fff807,
    0x0017fe60,0xffffdb98,0x402ffd87,0x7f402ffd,0xfff8001f,0x00bff500,
    0xa8037fcc,0x0dffffff,0x80014400,0x59fff518,0x03dff955,0xfc804ff8,
    0xf900002f,0xffb0007f,0xffffff03,0x3fea1fff,0x007ffc05,0x200bff30,
    0x1fffa800,0x36017fec,0x7ff402ff,0x0fff8001,0x400bff50,0xf5006ff9,
    0x001fffff,0x22000510,0xffffffb1,0x07ffffff,0x7d40054c,0xf900005f,
    0xff90007f,0x3eaaa607,0x17fea0ff,0x9800fff0,0x4fc805ff,0x643ffc80,
    0x7ff404ff,0x00fff400,0xa807ffc0,0x3e6005ff,0xfff5006f,0x8001dfff,
    0x23100028,0xfffffffd,0x003fffff,0x05fff100,0x3f20bd10,0xffa8003f,
    0x47ff800f,0x3e605ffa,0x7fcc006f,0x00fff805,0x3ea27fec,0xfff500ff,
    0x003ffd00,0x2a01fff0,0x3e6005ff,0xfff5006f,0x001dfff9,0x18800144,
    0x99999995,0x0007fffb,0x0cfffc80,0x705fff50,0xd9510bff,0x05dffd09,
    0xf51ffea2,0xffa817df,0x7fcc004f,0x7fffc405,0x2fffc982,0x216fffc4,
    0xe804fffa,0xff8001ff,0x0bff500f,0x8037fcc0,0xfff75ffa,0x00a2003f,
    0xf9800c40,0x1edc405f,0xdffff900,0xfffffdbb,0xbffff301,0x1fffffdb,
    0xefffff88,0x7fffffdd,0x77ffffd4,0x00efffed,0x202ffcc0,0xeffffff8,
    0x0efffffd,0xdfffffa8,0xd006ffff,0xff0003ff,0x17fea01f,0x006ff980,
    0x7fd4bff5,0x028802ff,0x74403100,0x01efffff,0x4005fffb,0xfffffffc,
    0x3601efff,0xffffffff,0xfff505ff,0xffffffff,0xfffd88bf,0x0effffff,
    0x7ffffdc0,0xefffffff,0x3fffffe0,0x1fffffff,0x3ffffee0,0xd301efff,
    0xffffffff,0xffb03dff,0x7fc4bfff,0x7dc3ffff,0xffffffff,0xff70efff,
    0xfffc8bff,0x05101eff,0xfb806200,0x04ffffff,0x8003fff9,0xfffffeca,
    0xffc8804e,0x02dfffff,0xfffffeb8,0x32200cff,0x0cefffff,0xffffff80,
    0xffffffff,0x3faefae3,0x003fffff,0x9fffffd3,0xfffffc80,0x4fffffff,
    0x7fffffc4,0xfffff71f,0xfffff8df,0xffffffff,0xbffffd3f,0xffffffe8,
    0x55559104,0x55555555,0x7ec40375,0x201dffff,0x440000a9,0x310001a9,
    0x40001355,0x80019aa8,0x5c000aa8,0xfffffffe,0x400dffff,0x0001aaa9,
    0x26003531,0xfffffffd,0xfc81dfff,0x3624ffff,0x5c3effff,0xfffffffe,
    0xd50dffff,0xfea8bfff,0x0001dfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x80137b95,
    0x99999998,0x26666000,0x80001999,0x98802cca,0x99999999,0x40199999,
    0x99999998,0x00999999,0x98811000,0x26201999,0x33100999,0x04ccc403,
    0x4ccccccc,0x19999999,0x26666620,0x99980019,0x99999999,0x99980999,
    0x00019999,0xffffff91,0x3fff205f,0x03ffffff,0x7fffffcc,0x002effff,
    0x7fffffd4,0xffffb00c,0xffffffff,0x3fa03fff,0xffffffff,0x004fffff,
    0xf52ff980,0x83ffffff,0x6ffffffd,0x0ffffff4,0x4ffffff2,0xfffffff8,
    0xffffffff,0xffffb80f,0x3001ffff,0xffffffff,0x5fffffff,0xffffffe8,
    0x26002fff,0xffffffff,0xfffe84ff,0x05ffffff,0x7fffffdc,0x0dffffff,
    0xfffff880,0xffb04fff,0xffffffff,0x103fffff,0xffffffff,0x9fffffff,
    0xeffdb980,0x74fffaac,0x7fffffff,0xffffffe8,0xfffff30f,0xfffff89f,
    0xfffff56f,0xffffffff,0xff901fff,0x09ffffff,0x3ffffea0,0xffffffff,
    0x7fffc2ff,0x03ffffff,0x7bfffd10,0x89fffd95,0xefffeec9,0x7dc400ce,
    0xffeeeeff,0xfd806fff,0xfffdacff,0xeeeffd80,0xfeeefffe,0xffb501ff,
    0xddddffbf,0x7e409ffd,0xffffffff,0xfd910fff,0xd9817bff,0x5c2dfffe,
    0x540efffe,0x2e1dffff,0xeeeefffd,0x0fffeeee,0xfffeec88,0xb8800fff,
    0xeeeefffd,0x42fffeee,0xeeefffda,0xffb000ce,0x3fff605f,0x00fff101,
    0x260fff20,0x7c04fffc,0x827d42ff,0x3fea2ffd,0x200fff45,0x43ffccff,
    0xff904ffb,0xffffffff,0xfff303ff,0x06ffb801,0x7cc37ff4,0x3ffe03ff,
    0x007ffc00,0x1ffffffc,0x803ffe00,0xff902ffd,0x0033555b,0xc803fff5,
    0xfff106ff,0x0fff2000,0x200fffd8,0xfd8007ff,0xd17fea2f,0x7fcc03ff,
    0x7dc3ffca,0xdfffd84f,0xfffff509,0x00fffa03,0xf9805fff,0x2fff43ff,
    0xd003ffe0,0xffa801ff,0x4006ffbf,0x3f200fff,0xffff902f,0x07ffffff,
    0x22013ff6,0xff882fff,0x7ff90007,0x204ffe80,0x6c000ffe,0x17fea2ff,
    0x7dc03ffd,0x22a7ff97,0x7fc42ffa,0x7fffc43f,0xdff505ff,0x803ffd40,
    0xff91fffb,0x0fff801f,0x06fd8bae,0xff8cffd8,0x3ffe001f,0x7fd4bae0,
    0xfffff900,0x0bffffff,0x2e001fff,0x7ff883ff,0x07ff9000,0x3606ffb8,
    0x7e4002ff,0x917fea0f,0x95fe80ff,0x36df97ff,0x227fdc0d,0xffbfffe8,
    0x05fff00f,0xe8013ff6,0x3fff9eff,0x3e0fff80,0x1002a26f,0x3ff21fff,
    0x43ffe005,0x806a5ff8,0xa999cffc,0x221fffec,0x3ea007ff,0x07ff885f,
    0x807ff900,0x764c7ff9,0x0bdeefff,0x3ea1ec40,0x1016c45f,0x3bff27ff,
    0x3f600fff,0x3fffa21f,0x3203fff2,0xfff985ff,0x3ffe2000,0xff005fff,
    0x0fffdddf,0x4cbff900,0xff000fff,0x0dffdddf,0xd01ffe40,0x2ffcc7ff,
    0x10dff300,0x32000fff,0x7ff803ff,0x7ffffff4,0x50004fff,0xf5000bff,
    0x3ffff21f,0x3ffe01ff,0x45fffd11,0xff102ffd,0x05ffc81f,0xfffffb80,
    0xfffff000,0xf000ffff,0x3ffe85ff,0xffffff00,0x7e400dff,0x97fea03f,
    0x26006ff9,0x7ff886ff,0x07ff9000,0xffd8fff0,0x3fffffff,0x0bff5000,
    0xb33ffb00,0x03ffffff,0x7f467fec,0x07ff42ff,0x7c49ffb0,0x3b6002ff,
    0xeefffffe,0x7ffffc03,0x54007fff,0x6ffa87ff,0xffffff00,0x7e400dff,
    0x93ff203f,0x2a007ff8,0x7ff884ff,0x3f20fec0,0x3ffc403f,0x67ff554c,
    0x3ea0000a,0xfff8005f,0xfedfffff,0x3fff200f,0x7e42fffe,0x3ffd406f,
    0xa800dff7,0xaaeffbaa,0x5fffc01a,0x4007ffba,0xfffffffd,0xf801ffff,
    0x6ffbabff,0x40fff200,0x7f42fff8,0x7ff9001f,0x4c0fff10,0x1ffe44ff,
    0xd017fea0,0x500005ff,0xfa800bff,0xbfffffff,0x7fc405fa,0x3223ffff,
    0xfe803fff,0x007ffd2f,0x0037fcc0,0x5ff83ffe,0x3fffe200,0xffffffff,
    0x20fff805,0x40b665ff,0xccccdffc,0x6c0ffffd,0xff9805ff,0x07ff881f,
    0xff917fea,0x04ffd807,0x0007ffe2,0x0017fea0,0xfb555ff9,0x507b307f,
    0xd9bfffff,0x2009ffff,0xfff9effb,0x6e65c000,0x01cccfff,0x19107ffc,
    0x7fffe400,0xffffffff,0x07ffc00f,0x837f4173,0xfffffffc,0xf980efff,
    0x3fa203ff,0x0fff105f,0x3f22ffd4,0x3fff203f,0x81ffea01,0xffa800b8,
    0x22ff4005,0x7fc83ffc,0xffffffd8,0x003fffff,0x3ffbffe2,0xeeed8004,
    0x03eeefff,0x00007ffc,0xfb00bffe,0x0fff807f,0xfc83ffc0,0xcdefffff,
    0x27ffdc02,0x807fff4c,0x3ea07ff8,0x21ffe45f,0x04fffda9,0xe817ffa6,
    0x5ffa806f,0x90ffe600,0x3ffd07ff,0x7f6fffec,0x002dffff,0x1fffffd8,
    0x37fcc000,0x003ffe00,0x807ffa80,0x7fc06ffa,0x83ffc00f,0x40003ffc,
    0xedeffffd,0x7dc3ffff,0xffffffff,0x15ffffff,0xfffffffd,0x20dfffff,
    0xffffffd8,0x7fffffff,0xfffffd88,0xf882efff,0xffcdffff,0xffffffff,
    0x9fff31ff,0x00005544,0x01bfffe6,0x7ffff540,0xfd105fff,0xbfffffff,
    0xffffd300,0xfffb81df,0x3fa25fff,0xffffffff,0x647fffff,0xffffffff,
    0x3f62001e,0xffffffff,0xfffffe82,0xffffffff,0xffff75ff,0xffffffff,
    0x3ffe601b,0xffffffff,0xffa85fff,0xffffffff,0xfffffb86,0xffffffff,
    0x21ffffff,0x000004fe,0x0017fff4,0xffffffd8,0xffa81fff,0xffffffff,
    0x7fffe401,0x7ffc3fff,0xf70fffff,0xffffffff,0x8fffffff,0xffffffff,
    0xea8004ff,0x00dfffff,0xffffffd5,0xffffffff,0x3ffff62b,0x01bdefff,
    0xffffffc8,0x04efffff,0x3ffffff6,0xfd882eff,0xfffbcfff,0xffffffff,
    0x0000041f,0x003ffdc0,0xfffffb30,0x3f620bff,0x5fffffff,0xffffd980,
    0x7ff540df,0x3f624fff,0xffffffff,0x5c7fffff,0xfffffffe,0x2620000d,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x26660018,0x40019999,
    0x98819998,0x33330199,0x33333333,0x40333301,0x99809998,0x26662019,
    0x13333300,0x02666660,0x22006666,0x33300999,0x33330133,0x26666601,
    0x10099999,0x26201333,0x33301999,0x01333333,0x26666660,0x20000099,
    0x0defffe9,0xffffff98,0x402effff,0x1ffffffa,0x1ffffff7,0x7fffffc4,
    0x25ffffff,0x1ffffff8,0xa7ffffec,0x1ffffff8,0x27ffffec,0x3ffffffe,
    0x7fffffc4,0x3ffffe3f,0x7ffff403,0x3ffffe64,0x3fffe6ff,0x3ffe24ff,
    0xffffffff,0x7ffff44f,0xfffffb86,0x3fffe66f,0xffffffff,0xfffff303,
    0x3bffffff,0x7ffd4000,0xfa84ffff,0xffffffff,0xf900dfff,0x367fffff,
    0x21ffffff,0xfffffff8,0x265fffff,0x42ffffff,0x36ffffff,0x87ffffff,
    0x25ffffff,0xfffffff9,0x3ffffe65,0xffff15ff,0x7ffcc0ff,0x3ffee6ff,
    0xf98fffff,0x2a6fffff,0xffffffff,0x3e26ffff,0x6c3fffff,0x0fffffff,
    0xfffffff7,0x0dffffff,0xfffffff7,0x09ffffff,0xfffff100,0x3ee03fff,
    0xffeeeeff,0xf9106fff,0x32617dff,0x7c43fffe,0xeeeeeeff,0x7f5c4fff,
    0xfffa84ff,0x3ffae1cf,0x7ffd40df,0x7ffdc1df,0x76dc1cee,0x3ee1efff,
    0xfb02ffff,0x5c43bfff,0x22defffe,0x41dffffd,0xfffeeedb,0x6d41ceee,
    0x260fffff,0x23efffec,0xeefffeb8,0x4ffffeee,0x77ffedc4,0xfffffeee,
    0x77fdc003,0xfc801b70,0xfffc983f,0xa81ffe04,0x7ff885ff,0x201fffd0,
    0xff986ffe,0xdffd103f,0x04fffa81,0x6c00bffa,0xfffc82ff,0xffff886f,
    0x21ffe02f,0x001ffffa,0x6c00dff3,0xfb05ffff,0x83ffc05f,0xf00fffc8,
    0xfda881ff,0x7fe4007f,0x3ffc8004,0x403fff20,0x3fea07ff,0xc87ff885,
    0x3e602fff,0x2fff43ff,0x997ffe60,0x7ec05fff,0xd17baa3f,0xfff903ff,
    0xfffc83ff,0x1ffe02ff,0x003dfff9,0xb0037fcc,0xb07fffff,0x3ffc05ff,
    0x7c07ffa0,0xfff100ff,0x3ffdc003,0x01ffe400,0x7fc13ffa,0x417fea07,
    0x7ffd46ff,0x1fffb804,0x5001fff9,0xfff19fff,0x3ffc801d,0xff8bfff6,
    0xffffc80f,0x3fffe25f,0x9ffe02ff,0x000efffd,0xb0037fcc,0x81ffffff,
    0x3fe02ffd,0x07ffe207,0xfd007ffc,0x7fc4003f,0x7fe4003f,0x837fd403,
    0x3fea07ff,0x7cc7f705,0x3fa005ff,0x02fffaef,0x3ffffee0,0xffb800ff,
    0x29ffff14,0xff907ff8,0x3ee3fff9,0x202ffdef,0xfffe8fff,0xdff30005,
    0x7dffec00,0x17fec5ff,0x36a0fff0,0x3ffe07ff,0x00fff700,0x003fffb0,
    0xdddfffb9,0x07ff985d,0x99999fff,0x200bffb9,0x000effe8,0x3fffffe6,
    0xfffc8005,0xff5001ff,0x5ffffeab,0xff906ff9,0x3fa9ffb7,0x202ffdbf,
    0x5fffefff,0x1bfe6000,0xfaaffd80,0x0bff62ff,0xdcccfff8,0x203fffff,
    0xd5310fff,0xc800bfff,0x3b66ffff,0xfffff50c,0xff0fffff,0xfffff01f,
    0xbfffffff,0x07fff600,0x3fffee00,0xffd0000f,0x7fcc007f,0x5fffffb6,
    0x3f20bff5,0xfbfff9bf,0x405ffb7f,0xffffffff,0xdff30002,0xd97fec00,
    0x5ffb0eff,0x7fffffc0,0x00ffffff,0x3ffffffe,0x000dffff,0x3ffffff2,
    0xf15fff8c,0xffffffff,0xf01fff0b,0xffffffff,0xf700bfff,0x740007ff,
    0x50002fff,0x001dffff,0x3fe3ffe2,0xffbcffdf,0x3a7ff905,0xfb4fffff,
    0x7fffc05f,0x002fffff,0x2006ff98,0xfff12ffd,0xf80bff69,0xffffffff,
    0xff00efff,0xffffffff,0xfff88009,0xffcfffbc,0x3ff6624f,0xff8819ad,
    0x555fff07,0x0bff9555,0xa84fff98,0x0dff3000,0x3fffe600,0x3fe005ff,
    0xff9effbf,0xf904ffcf,0x3fffea7f,0x405ffb0f,0xfe99ffff,0x7cc002ff,
    0x3ff6006f,0x367ffee2,0x3ffe02ff,0xffdbaaaa,0xffff06ff,0x07ffffff,
    0x365ffa80,0x904fffff,0xffa807ff,0x540fff05,0x3fe205ff,0x007fb86f,
    0x1000dff3,0xfff5dffd,0x3fffa009,0xfffff3ff,0x8fff207f,0x3f64ffff,
    0x03ffe02f,0x9800fffb,0x3f6006ff,0x6f7ff42f,0x1ffe02ff,0xf03fff70,
    0x7ffd41ff,0x3fee002f,0x3ffffe24,0x807ff900,0xfff04ffc,0xb02ffd40,
    0xffb01fff,0x0dff3003,0x23fffd00,0xd803fffb,0xf91fffff,0x3205ffff,
    0x3ffee3ff,0xf80bff61,0x3fff887f,0x01bfe600,0x7cc2ffd8,0x202fffff,
    0xffd807ff,0x4c0fff83,0x5001fffe,0xfffb8dff,0x80fff205,0xff02fffb,
    0x82ffd40f,0xfb02fffc,0xdff3005f,0x2fffc800,0x200fffec,0x266ffffc,
    0x901fffff,0x1e6447ff,0xff80bff6,0x01fff507,0x801bfe60,0xffb82ffd,
    0x3fe02fff,0x84ffb807,0xfe880fff,0xff8800ef,0xffffddff,0x3ffc82ff,
    0x27ffed4c,0x7d40fff0,0x4fffa85f,0x200bff60,0x2e006ff9,0xffd03fff,
    0x7ffdc01f,0x7ffffc4f,0x007ff900,0xff80bff6,0x013ffa07,0xb0037fcc,
    0x3ffa05ff,0x1ffe02ff,0x17ffdd44,0xf9807ffc,0xff7004ff,0xffffffff,
    0x7fff44df,0xffffffff,0xfffd80ef,0xffd50eff,0x7fec7fff,0xffffffff,
    0xffb02fff,0x7fffffff,0xfffffd30,0xfffffd87,0x3ffff505,0x887fffc8,
    0x0efffffe,0x7fffffd4,0x3ffffa25,0x7ffd44ff,0xfffb11ef,0xffffffff,
    0xffffe887,0x3ffe60ef,0x7fff442f,0xffffffff,0xfd10ffff,0x70bfffff,
    0x5009ffff,0xfbffffff,0x7ffd45df,0xffffffff,0xfff980df,0xffb3ffff,
    0x7ecdffff,0xffffffff,0xf982ffff,0xffffffff,0xffffc86f,0x3ffe66ff,
    0xf981ffff,0xfff986ff,0xfffffb86,0x7fff43ff,0xff70ffff,0x81ffffff,
    0xf54ffffe,0xffffffff,0xffb8dfff,0x643fffff,0x7fdc2fff,0xffffffff,
    0x2e1fffff,0xffffffff,0x0ffffd80,0x01355300,0xfffffd88,0x401bdeff,
    0x0dfffffc,0x5dffffd5,0x7fffffec,0x2fffffff,0xffffffb0,0xfb305dff,
    0xfc85dfff,0xf104ffff,0x3ffe09ff,0xffffd885,0x7ff540df,0x3f624fff,
    0xa84effff,0xfb11dfff,0xffffffff,0xffd885df,0x7c40dfff,0x7fec42ff,
    0xffffffff,0xffd883de,0xd104ffff,0x000009df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40000,
    0x00199999,0x00002e60,0x1a837100,0x14400000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02001100,0x33333332,0xe83ccccc,0xffffffff,
    0x7c003eff,0x2000003f,0xff70fffb,0x2000003d,0xb70004ff,0x755bfffd,
    0x3ffb2601,0x0bbfae2d,0xffffd950,0x3b66005b,0x0bbbefff,0x37fb2a20,
    0x76cc001b,0xb802ceff,0x3ae2cccc,0x3bea0bef,0x6fc82661,0x7ffffffc,
    0xf85fffff,0xffffffff,0x800effff,0x00005ff9,0x0fffffa8,0x03bffff9,
    0x05ff8000,0x7ffff4c0,0x83ffffff,0xfffffffb,0x3fffffdc,0xffffffd0,
    0xfd80bfff,0xffffffff,0xffff503f,0x801dffff,0xffffffd8,0xff700dff,
    0xffd39fff,0x3f61ffff,0xeffffcff,0x3fe1fffd,0xffffffff,0xffda85ff,
    0xfffeeeef,0xff9805ff,0x3aa00006,0x641effff,0x00cfffff,0x00173000,
    0x7fffffd4,0x85ffffff,0xfffffffd,0xffffffff,0xffffff82,0x904fffff,
    0xffffffff,0xff509fff,0xffffffff,0x3ffe201d,0xffffffff,0xffffa80f,
    0xffffffff,0xffff34ff,0xffffffff,0xaabfff8b,0x00ffffda,0x3260fff2,
    0x7cc02fff,0xd980006f,0x203fffff,0x3fffffd9,0x88000000,0x711affff,
    0xb10bfffb,0xfffb1159,0x0dffb17f,0x26135995,0xfff07ffc,0x3fae2159,
    0x77ffd44f,0xdfff730a,0x59fffb01,0xbfff9511,0x3fff6a20,0xfea8bfff,
    0x3ffffea1,0xe86ffffe,0x7fffd46f,0x01ffe400,0xf9809ffb,0x3220006f,
    0x00cfffff,0xdffffd30,0x40000005,0x3600effc,0x3ea005ff,0x3ffe24ff,
    0x0fff8002,0xf102fff8,0x05ffe83f,0xf50fffe6,0x7fdc07ff,0x3ffee02f,
    0xff9800ef,0xbffd30cf,0x7fd43930,0xffc800ef,0x017fea03,0x2000dff3,
    0x0dfffffb,0xfffd5000,0x000003df,0x8803ffd0,0xdb7303ff,0x557fffdd,
    0x2e0bffb5,0xffeeffed,0xffffb80f,0x3e201acd,0x7fdc00ef,0x5577fe45,
    0xfeaaaaaa,0x3ffee05f,0x1bfee004,0x2a01ffe6,0x9000efff,0x7fec07ff,
    0x32aaaa24,0x1aaaaeff,0x3ffffea0,0xf700001e,0x101bffff,0x55555555,
    0x44135555,0x031007ff,0x3ffffff2,0xffffffff,0x7ffd46ff,0xffffffff,
    0xfffff880,0xfb84ffff,0x7ff8804f,0x7ffffff4,0xffffffff,0x013fee06,
    0x3a07ffb0,0x3fea01ff,0x3f2000ef,0x5fff503f,0x3fffffee,0xffffffff,
    0x7ffff4c7,0x8800002e,0x0cfffffc,0xfffffff7,0xffffffff,0x001bfe61,
    0xfffffe88,0xffffffff,0x3ea6ffff,0xffffffff,0xd9100fff,0xdfffffff,
    0x801ffe43,0x3ffe1ffe,0xffffffff,0x2e07ffff,0x7e4004ff,0x0fff884f,
    0x01dfff50,0xaadffc80,0x26ffffdb,0xfffffffc,0xffffffff,0xfffffb10,
    0x20000019,0x2fffffe9,0xfffffff9,0xffffffff,0x001ffe21,0x9adfffa8,
    0xeeefffb9,0xff15eeee,0x53337bff,0x88101fff,0x5fffdca9,0x22013fea,
    0x77fec7ff,0xeeeeeeee,0x3ee06eee,0x7fd4004f,0x506ffb87,0xd981dfff,
    0x3ffff202,0x0effffff,0x3bbbb6e2,0xdeeeefff,0xffffe982,0x2200003f,
    0x0cfffffd,0x3bbbbb22,0xdeeeeeee,0x8017ff43,0x217fee08,0xb802fff9,
    0x3fe00fff,0x2037cc0f,0xff10fff9,0x5ffd803f,0x00077fe4,0x004ffb80,
    0x4df7ffc4,0xfa84fffc,0x6fe80eff,0x3fffff20,0x000cffff,0x5000dff3,
    0x05dffffd,0x7ffe4400,0x00000cff,0x017ffe40,0x3e63ff91,0x3ffa60ff,
    0xc865c46f,0xfff705ff,0x1dffc81f,0x6c3fff30,0xfd883fff,0x7ffc42ff,
    0x3973101e,0x0027fdc0,0x3ffffff2,0x261fffff,0xffffffff,0x900fffff,
    0x59bdddff,0x6ff98003,0x3ffee000,0x5c001dff,0x01dfffff,0x3fa00000,
    0xedccefff,0x3fe2ffff,0xffffddff,0xfffecfff,0x9bffff55,0xfffffffd,
    0x3ffff63d,0xffffecde,0x77fff447,0x4ffffecd,0xbfffff50,0xdfffffd9,
    0xffffffd8,0xb83fffff,0xffffffff,0xf50fffff,0xffffffff,0x3201ffff,
    0x300003ff,0x88000dff,0x0cfffffc,0x7ffff540,0x0000002e,0xfffffe88,
    0x45ffffff,0xfffffff9,0xffffffff,0x3fff65ff,0xffffffff,0xfff94fff,
    0xffffffff,0xfffd103f,0x07ffffff,0xffffffc8,0x25ffffff,0xfffffff9,
    0xd87fffff,0xdeec9dff,0xf51fffab,0xffffffff,0x3201ffff,0x300003ff,
    0x20000dff,0x4fffffd8,0xfffffe98,0x00200003,0x3fffee20,0x302effff,
    0xd9bffffd,0x7dffffd9,0xffffff70,0x3bffff7d,0x3fff77a6,0x400cffff,
    0xdfffffec,0xfffb3002,0x07bfffff,0xfffffffb,0xd307dfff,0x009d3009,
    0x1ffe4000,0x6ff98000,0x7f4c0000,0x3fea6fff,0x0000cfff,0x8000ffa0,
    0x009abaa9,0x26035510,0xab98801a,0x5510000a,0x88001355,0x220001aa,
    0x0009aaa9,0x00000000,0x3ff20000,0x1effffff,0x04ff8800,0xffd50000,
    0x37fff23f,0x7c400000,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe0000,0x4fffffff,0x003d9000,0x24eb8000,0x00001dd9,
    0x000076e0,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0xfffffffe,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x95000000,0xcca81999,
    0x000003cc,0xb9800000,0x221ccccc,0x43cccccb,0x21ccccb8,0x02ccccb8,
    0x99730000,0x332a0179,0x029803cc,0x2dc17200,0x2f4c09b3,0x00000000,
    0x54400080,0x1ddd701a,0x1fffff50,0x37ffffcc,0x5c6665c4,0x200deffe,
    0xffcaccca,0x2dffd88d,0xffffffd0,0x3fffee1f,0x3ff23fff,0xff70ffff,
    0x3e61ffff,0xd004f883,0x30bfffff,0x07ffffff,0x44003ff8,0x26fd85fe,
    0xff985ffd,0x6ff5cc2f,0x39ddb302,0x005d9710,0xfb80075c,0x7e41efff,
    0xfff980ff,0x3ffe20ff,0xfffd86ff,0xffffffef,0xffffa82f,0xffffffff,
    0xfd83ffff,0x2a6fffff,0x2fffffff,0x9bffffee,0x0ffffffa,0xbfd0bff1,
    0xffffe801,0xffff884f,0x3fe602ff,0x3bfa6005,0xb83bfa20,0x3fe65fff,
    0x3ffea0ff,0x7fd43ffe,0x3f62ffee,0xf5002fff,0xfff700df,0x7d41ffff,
    0x3fea207f,0x7fdd440f,0xfffffc86,0xffffffff,0x7ffffcc0,0xffffffff,
    0xc980ffff,0x6cc0afff,0xe980afff,0x3fe65fff,0x7fcc0cff,0x03bfa20d,
    0x223fff70,0xfff714ee,0x05ff9801,0x4c1dff50,0xffc80fff,0x1ffff9df,
    0x1ff1164c,0x4df51ff4,0x802febca,0x204ffff9,0xfb8aeff8,0x01bfe64f,
    0x7cc03ffe,0xffff306f,0xffd5115d,0x9fffb107,0x13ffff51,0x7fc05ffd,
    0x07ffd03f,0xadfffd88,0x2602ffff,0x3fa20eff,0x3ffe201f,0x2e1fff90,
    0x32cb85ff,0x072e6bff,0x7d41dff7,0x3ff200ff,0x001fffff,0x21d41ff3,
    0x2fe80ff8,0x7ffff440,0x83ff503f,0x17fe26fd,0x4c03ffe0,0x3ffe06ff,
    0x05ffb80e,0x7fc4bff9,0x80bff61f,0xffa86ffb,0xfff9000f,0x3003ffff,
    0x7fc43fff,0x4bffa02f,0xffb3ffff,0xeffffa87,0x6fffefff,0xfb83bff2,
    0xffc801ff,0x74401fff,0x74404fff,0x805fd05f,0xfffdfffe,0x5c0ffb82,
    0x4027fc7f,0xff300fff,0x807ffc0d,0xff906ff9,0x323ffc47,0x7ffc02ff,
    0x0027ff43,0x03bfffee,0x22fff980,0xf904fff9,0xdffff57f,0xff307ffe,
    0xffffffff,0x3fff2bff,0x00fffee2,0x02ffffcc,0x027ffec4,0x3a01dff3,
    0x3fff202f,0xa83fffd2,0x237f43ff,0xfff803fe,0x40dff300,0xff300fff,
    0x88fff20d,0x17fe47ff,0xfa9bfee0,0x7ec000ff,0x4002ffff,0x3f61fffe,
    0xdffa81ff,0xfbfffffd,0xffd9107f,0x85bfffff,0x3f21fffc,0x7fcc02ff,
    0x2005ffff,0xffb82ffa,0xb817f405,0x3fe23fff,0x3ffa20ef,0x6c3ffebd,
    0x0fff802f,0x7c0dff30,0xdff300ff,0xf88fff20,0x017fe47f,0x7f4bffe2,
    0x3fa2004f,0x03ffffff,0x643dffb0,0xff101eff,0xfffdffff,0xff700bff,
    0x7d401fff,0x3ffea1ff,0xbffff302,0x6400bfff,0x0fff624f,0x3e20bfa0,
    0xfff985ff,0x7ffffcc5,0x800fb85f,0xff500fff,0x807ffc0d,0xff906ff9,
    0x323ffc47,0xffb802ff,0x000fffae,0xd19fffd1,0xfd809fff,0x06ffec5f,
    0x3bffffa0,0x03fffff9,0x7fffffc4,0x0fff4c04,0xf985ffd1,0xfff91fff,
    0xba9abc8b,0x9fff30ff,0x55447755,0x3ea1acfe,0x1bfea06f,0x80fbff62,
    0x87ffd000,0x206fffc8,0xff300fff,0x88fff20d,0x17fe47ff,0x7ffffc40,
    0xfff3004f,0x7ffec45f,0xd87ffb05,0xff9004ff,0x3fffa7ff,0x77ff401f,
    0x4402fffb,0x7fe41ffd,0x907fffa2,0x7ff45fff,0x3ea4ffff,0x1fffffff,
    0xfffffffb,0x2a0065c3,0x0000401d,0xd9bfff90,0x3dffffff,0x2601fff0,
    0x7ff906ff,0x3f23ffc4,0xfff9002f,0xffb001ff,0x7fccbfff,0x3f63ffff,
    0x017fec1e,0x21ffff50,0x5407fffb,0xdffb1fff,0x2a17ee00,0x407ff26f,
    0x65440ffc,0x555440ac,0x510aaaaa,0x00355555,0x00000000,0x7fffff44,
    0x4fffffff,0x1bfffff2,0x23dffff9,0x15ffffe8,0x3f25ffff,0xff8805ff,
    0xff9804ff,0xf90fffff,0x26dfffff,0x077c40df,0x97ffe200,0x4c06fff8,
    0x17fa23ff,0x83101980,0x0004c00a,0x00000000,0x00000000,0x3fffffa2,
    0x11dfffcd,0x3fffffff,0x3fffffe2,0xffffff54,0x2bffff13,0x801ffffc,
    0x9001fffc,0x4c9fffff,0x22effffd,0xe8000200,0x27fe42ff,0x014414c0,
    0x00000000,0x00000000,0x00000000,0x026aa200,0x7ffff640,0x6ffff5c5,
    0xbffffb11,0x64bbffe2,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55510000,0x55555555,
    0x00155555,0x99999880,0x99999999,0x00999880,0xa8f33200,0x98001ccc,
    0x71002dfd,0x510e6001,0xa8375039,0xeeeeeeed,0xeeeeeeee,0x26661cee,
    0x99999999,0x00000009,0x00000000,0x3e600000,0xffffffff,0xffffffff,
    0x277f64c1,0x7fffffc4,0xffffffff,0x7ffe44ff,0x33ff7222,0x54dffd02,
    0x07d41fff,0x3fffffb8,0xefb876c4,0x907fdc00,0x7fe43fff,0xfffff11f,
    0xffffffff,0xbfffffff,0x3fffffe2,0x05ffffff,0x00000000,0x00000000,
    0x3fffee00,0xffffffff,0x2a1fffff,0x0effffff,0x3fffffe6,0xffffffff,
    0x2fffc6ff,0x3ffbfff6,0x265ffd83,0x17e40fff,0x7fffffd4,0xd8fffa5f,
    0x5ff902ff,0x3a3fffe8,0x3ffa3fff,0xffffffff,0xffffffff,0xfffff13f,
    0xbfffffff,0x00000000,0x00000000,0x76dc4000,0xeeeeeeee,0x31fffeee,
    0x3f6617ff,0x77776dc6,0xeeeeeeee,0x3ffe61de,0x1fe20c41,0xff88fff2,
    0x7c1efc87,0xfffd9eff,0x641fffee,0x3ffa23ff,0x20fffb81,0x4c40fffb,
    0x99999999,0x99999999,0x33333220,0x3ccccccc,0x00000000,0x00000000,
    0xd0000000,0x413f23ff,0x000001ff,0x3ae0bff7,0x540ffefe,0x237fc2ff,
    0x7f46ffc8,0x3ffff20d,0x1ff503ff,0x18803bee,0x00001530,0x00000000,
    0x00000000,0x00000000,0xffd00000,0x7e407fa3,0xfb000002,0xffffd03f,
    0xff981fff,0xbf92ff41,0x50288ff9,0x8805ffff,0x00000a22,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9fb1ffe8,0x5443ff10,0xaaaaaaaa,
    0x7c1aaaaa,0x41dfb85f,0x07fc40ff,0xfffa93f6,0x0198003f,0x32e60000,
    0xcccccccc,0xcccccccc,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x7fcc7ffa,0x25feb9ad,0xfffffff8,0xffffffff,0xb01ff55f,0xffd5339f,
    0xfb87f815,0x0000b983,0xff000000,0xffffffff,0xffffffff,0x000009ff,
    0x00000000,0x00000000,0x00000000,0xf50fff40,0x41bfffff,0xfffffff9,
    0xffffffff,0x2609f95f,0xffffffff,0x6441dc4f,0x00000000,0xffff8000,
    0xffffffff,0xffffffff,0x00000004,0x00000000,0x00000000,0x20000000,
    0x65c40ffc,0x999501cd,0x99999999,0x36e17999,0x4de6d400,0x00000aaa,
    0x00000000,0xbbbba880,0xbbbbbbbb,0x002bbbbb,0x00000000,0x00000000,
    0x00000000,0x274c0000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_35_latin1_x[224]={ 0,6,3,1,2,2,3,7,8,3,2,1,6,2,
6,2,2,2,1,2,2,1,3,2,2,3,6,6,-1,0,1,3,2,-1,0,0,0,0,1,0,0,2,1,0,
1,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,0,2,0,0,1,
2,1,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,5,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,6,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_35_latin1_y[224]={ 25,4,6,3,3,5,7,6,5,5,5,7,20,14,
21,3,4,4,4,4,5,5,4,5,4,4,11,11,7,11,7,6,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,31,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,25,11,3,6,8,6,
5,5,5,6,4,12,14,14,6,1,2,3,4,4,4,11,5,13,23,4,4,11,4,4,4,11,-1,-1,-1,1,
0,-1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,1,-1,-1,-1,1,0,10,5,-1,-1,-1,0,-1,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_bold_35_latin1_w[224]={ 0,6,12,16,15,15,14,5,8,8,14,17,7,14,
6,15,15,15,15,15,14,16,14,14,15,14,6,8,19,18,18,14,14,21,18,18,18,18,18,19,19,15,18,19,
17,21,20,18,17,18,20,16,17,19,21,20,19,18,15,8,15,8,15,22,7,17,19,17,19,18,16,19,19,16,
13,17,16,21,18,17,19,19,17,15,17,18,19,20,18,18,15,9,4,9,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,18,15,18,
4,17,11,20,11,17,19,14,20,22,11,17,10,10,7,18,16,6,7,9,11,17,19,22,19,14,21,21,21,21,
21,21,21,18,18,18,18,18,15,15,15,15,19,20,18,18,18,18,18,13,19,19,19,19,19,18,17,17,17,17,
17,17,17,17,20,17,18,18,18,18,16,16,16,16,16,18,17,17,17,17,17,17,18,18,18,18,18,18,19,18,
 };
static unsigned short stb__courier_bold_35_latin1_h[224]={ 0,22,9,25,26,21,19,10,25,25,14,18,10,4,
5,26,22,21,21,22,20,21,22,21,22,22,15,18,18,10,18,20,24,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,24,19,20,19,20,19,19,19,19,19,25,26,25,11,4,6,16,21,16,21,16,20,22,20,20,
27,20,20,15,15,16,22,22,15,16,20,15,14,14,14,21,14,25,25,25,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,23,19,15,19,
25,23,4,20,10,13,11,4,20,4,11,22,12,12,6,21,23,5,8,12,10,14,21,21,21,21,26,26,26,24,
25,26,19,25,26,26,26,25,26,26,26,25,19,24,27,27,27,25,26,13,23,27,27,27,26,26,19,21,22,22,
22,21,21,23,16,21,22,22,22,21,21,21,21,20,21,20,22,22,22,21,21,18,19,22,22,22,21,28,27,27,
 };
static unsigned short stb__courier_bold_35_latin1_s[224]={ 241,147,132,126,105,77,1,246,99,90,139,
19,112,223,193,89,165,212,63,38,19,200,197,79,181,132,244,245,37,93,57,
34,180,195,211,49,38,217,176,86,36,174,106,154,20,132,190,1,1,217,230,
142,76,159,135,111,91,72,56,108,225,117,218,200,170,133,37,94,57,185,179,
74,196,125,59,233,216,39,20,167,112,54,204,151,68,1,61,118,81,234,238,
241,251,80,153,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,241,246,19,
57,222,157,249,1,244,166,120,154,61,223,187,186,234,147,197,186,178,44,236,
186,145,208,81,100,1,21,94,114,1,23,45,195,39,67,94,1,206,230,121,
61,140,190,156,143,16,159,171,93,112,20,172,172,34,131,151,73,191,211,236,
93,173,110,209,148,111,54,112,19,154,128,91,181,164,217,129,208,228,225,20,
94,191,146,1,76,116,1,227,72,129,1,39,20, };
static unsigned short stb__courier_bold_35_latin1_t[224]={ 27,83,271,57,30,152,216,256,57,57,256,
236,271,271,271,30,107,107,130,107,174,130,107,130,107,107,152,107,236,271,236,
174,57,195,216,174,195,195,195,174,216,216,174,216,195,216,216,195,236,57,216,
174,195,174,195,216,216,216,216,57,1,57,256,271,271,236,152,236,152,236,174,
107,174,174,1,174,174,256,256,236,107,107,236,236,174,256,256,256,256,130,236,
1,1,57,271,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,27,83,83,
195,236,195,30,83,168,152,271,256,271,271,152,277,256,107,256,256,271,130,57,
271,271,256,271,256,130,130,130,130,30,30,30,57,57,30,195,57,1,30,30,
57,30,1,30,57,216,57,1,1,1,57,30,256,83,1,1,1,30,30,195,
152,83,83,83,152,152,83,236,152,83,83,83,130,130,130,130,152,107,152,107,
107,83,130,152,236,195,107,83,83,152,1,1,1, };
static unsigned short stb__courier_bold_35_latin1_a[224]={ 297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_35_latin1(stb_fontchar font[STB_FONT_courier_bold_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_35_latin1_s[i] + stb__courier_bold_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_35_latin1_t[i] + stb__courier_bold_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_35_latin1_x[i];
            font[i].y0 = stb__courier_bold_35_latin1_y[i];
            font[i].x1 = stb__courier_bold_35_latin1_x[i] + stb__courier_bold_35_latin1_w[i];
            font[i].y1 = stb__courier_bold_35_latin1_y[i] + stb__courier_bold_35_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_35_latin1_s[i] + stb__courier_bold_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_35_latin1_t[i] + stb__courier_bold_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_35_latin1_x[i] + stb__courier_bold_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_35_latin1_y[i] + stb__courier_bold_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_35_latin1_LINE_SPACING
#endif

