// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT        330
#define STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_38_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_38_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_38_latin1_LINE_SPACING          18

static unsigned int stb__courier_bold_38_latin1_pixels[]={
    0x80003000,0x31009998,0x00000133,0x1a800000,0x00440000,0x20000000,
    0x000000b8,0x000005c4,0x2e200000,0x80000000,0x04099999,0x00ffa200,
    0x83fffc80,0x006ffffd,0x20f74c00,0x88001ee9,0x300004ff,0x980003ff,
    0x5c0001ee,0x000001ff,0x80005ff5,0x00001ee9,0x4001ffcc,0x17a60de9,
    0x7fffffd4,0x2005ff35,0x0000fff9,0xf10ffff2,0x000dffff,0x644ffd80,
    0xf70004ff,0xb80001bf,0x2e0004ff,0x0004ffff,0x000fffa2,0x00dff700,
    0x4ffffb80,0xdff50000,0x7ffb0001,0x7ec17fec,0xf75fffff,0xdff700bf,
    0xffc80001,0xffffc83f,0x7dc00006,0x01ffdc2f,0x01dff500,0x02ffe400,
    0x6f7ff440,0x20001eff,0x00004ffd,0x40009ffb,0xffddffe9,0x3f20001e,
    0xfd0000df,0x417ffc7f,0x5ffffffa,0xfa80bff9,0x5300005f,0x7fe40155,
    0x1a800006,0x30000350,0xd7000dfd,0x9b9fffff,0x1fff4401,0x0001fff7,
    0x0001ffdc,0x8000fff2,0x3ee3fff8,0xfb8000ff,0x7f40004f,0x80bffe3f,
    0xf95ffc98,0x03fc80bf,0xf7000000,0x000000df,0x6c400000,0x3ff62006,
    0xffffffff,0x2037e202,0x40000fd8,0x5c0003ea,0x7c40001e,0x00fd880d,
    0x0002ea80,0xff12fff8,0xbff9003f,0x02017ff2,0xb8000000,0x004c46ff,
    0x00000000,0xfffc8000,0xffffffff,0x00000004,0x00000000,0x00000000,
    0xfff80000,0x003fff12,0x3ff2bff9,0x26000005,0xeeeeeeed,0xffb82eee,
    0xfffffb8e,0x3b6e00bd,0xeda82dee,0x4c003dee,0x7ffcc001,0xffdb9abe,
    0x00cc004f,0x00000000,0x000000cc,0x00000000,0xf98fffc4,0xffc800ff,
    0x36ebff95,0xda82deee,0x7f43deee,0xffffffff,0xfffb82ff,0xffffffff,
    0xfff880ef,0x7fc0ffff,0x402fffff,0x4effffeb,0x01fffa80,0xd7005ff7,
    0x809dffff,0xdeeeeeb8,0x3bbbb662,0x7f5c00ce,0x4404efff,0x2deeeeeb,
    0x3bbbbb66,0xdddd710c,0x776cc5bd,0xf500ceee,0xfff535ff,0x2bff9003,
    0xfff8dffc,0x7fc0ffff,0x362fffff,0xffffffff,0xffb82fff,0xffffffff,
    0xff80efff,0xfe87ffff,0x301fffff,0xfffffffd,0x7fd403df,0x80332207,
    0xffffffe9,0xff701eff,0x21ffffff,0xfffffffe,0xffffd304,0x203dffff,
    0xfffffffb,0xfffffd0f,0x3ffee9ff,0xfd0fffff,0x89ffffff,0xfffffffc,
    0x03ffffff,0x7fe57ff2,0xfffffff5,0xffffffd0,0xaaaaa983,0xb82fffaa,
    0x89cfffff,0x0efffda8,0x05fffec4,0x0efffd44,0xffffff98,0x03ffffff,
    0x0039fff1,0x3ffffe60,0x3fffffff,0xffffffa8,0x3ffff67f,0xff983fff,
    0xffffffff,0xfffa83ff,0x3f67ffff,0x53ffffff,0xffffffff,0x7fffffec,
    0x3fffe23f,0xffffffff,0x3ff207ff,0x362bff95,0xa880bfff,0x8001dfff,
    0xffb82fff,0x3fee01ff,0x4fff882f,0x407ffee0,0x8adfffe8,0x1ffffca8,
    0x9dffffb0,0xffd10015,0xf95115bf,0xfb303fff,0x544159ff,0x881effec,
    0x88adfffe,0x81ffffca,0x0acfffd9,0x3bffb2a2,0x67ffecc1,0x3fb2a20a,
    0xfffe81ef,0xffffffff,0x3ff204ff,0x7c4bff95,0x3fee04ff,0xfff0001f,
    0x05fff705,0x320bffb0,0xff880fff,0x3fff605f,0x1bffea03,0x7fffffcc,
    0x3f602eff,0x3fea03ff,0x0bff906f,0x360bff90,0x3ea03fff,0xbff906ff,
    0x20bff900,0xfc805ffc,0x3ff2205f,0x9effd99f,0xcaffe400,0x7ffe45ff,
    0x05fff880,0x20bffe00,0xf5007ffb,0x3ffe20ff,0x01fffb84,0x5009fff5,
    0x36207fff,0xffffffff,0x04fffa85,0xc83fffa8,0xffc805ff,0x04fffa85,
    0xc83fffa8,0xffc805ff,0x00bff905,0xfb80bff9,0x017ff26f,0xffcaffe4,
    0x427ffc45,0x0001fffb,0x3ee0bffe,0xfff3007f,0x83fff201,0x3205fff8,
    0x3fa006ff,0x7654406f,0x644fffff,0x3fa006ff,0x05ffc86f,0xfc85ffc8,
    0x3ffa006f,0x805ffc86,0xff905ffc,0x0bff900b,0x3f65ffc8,0xbff9004f,
    0x3f217ff2,0x3ffe20ff,0x7ffc0005,0x01fffb82,0x2207ffc8,0x3fee5fff,
    0x0fffa01f,0x007ff980,0x07fff5c4,0x4c007ffd,0x5ffc87ff,0xe85ffc80,
    0x3e6003ff,0x05ffc87f,0xf905ffc8,0xbff900bf,0x365ffc80,0xff9004ff,
    0x2217ff2b,0x3fee5fff,0x7fc0001f,0x6fffb82f,0x02fffcc0,0x3e27fff2,
    0x7ffc05ff,0x3ffe2001,0xf30072a1,0x0fffc3ff,0x83fff100,0xfc805ffc,
    0x01fff85f,0x907ffe20,0xff900bff,0x017ff20b,0x3aa17ff2,0xffffffff,
    0x6405ffff,0x0bff95ff,0x3e27fff2,0xf80005ff,0xfffb82ff,0x7fd441ef,
    0x7fc402ff,0x01fffcdf,0x0003ffe6,0x37fc5fff,0x4cbffe20,0x7c000fff,
    0x2ffe42ff,0x262ffe40,0x7c000fff,0x2ffe42ff,0xc82ffe40,0xffc805ff,
    0xfffffe85,0xffffffff,0x57ff201f,0xff105ffc,0x03fff9bf,0x05fff000,
    0xfffffff7,0x9fffffdd,0x3fffee00,0x7fcc05ff,0x7ffc000f,0x409fff32,
    0xff30fffc,0xfff8001f,0x402ffe42,0x7fcc5ffc,0x7ffc000f,0x402ffe42,
    0xff905ffc,0x0bff900b,0xfffffff9,0x0dffffff,0xff95ffc8,0x7fffdc0b,
    0xf00005ff,0xfff705ff,0xffffffff,0x7c400bff,0x401fffff,0x2001fff8,
    0xff31fff8,0xf9335dff,0x7fc4dfff,0x3fe2001f,0x02ffe41f,0x3e22ffe4,
    0x3e2001ff,0x2ffe41ff,0xc82ffe40,0xffc805ff,0x7fff3105,0x015fff33,
    0x3f2bff90,0x3ffe205f,0x00001fff,0xff705fff,0xfffffd5d,0xf70003df,
    0x3a00bfff,0x3e6002ff,0xffff30ff,0xffffffff,0x02ffe83f,0x903ffe60,
    0xff900bff,0x005ffd0b,0x3207ffcc,0xffc805ff,0x00bff905,0xff80bff9,
    0x03fff12f,0x7e57ff20,0x7ffdc05f,0x3e00005f,0x6ffb82ff,0x006af2a6,
    0x1ffff880,0x00dffb00,0x3fe37fec,0xffffffff,0x6ffd81ff,0x21bff600,
    0xfc806ffb,0x06ffd84f,0x2e1bff60,0xffc806ff,0x00dff704,0x7c409ff9,
    0x1fff31ff,0x657ff200,0x7fc405ff,0x200001ff,0xffb82fff,0x22000006,
    0x2a005fff,0xfa803fff,0x5d6d44ff,0x0beffffe,0x007fff50,0xf309fff5,
    0xffe805ff,0x03fffa83,0x984fffa8,0x7f402fff,0x5fff303f,0x203ffe80,
    0xff31fff8,0x3ff2001f,0x880bff95,0x00005fff,0x2e07ffe6,0x000006ff,
    0x0007fff2,0x4c05fffb,0xf9006fff,0x3ff600bf,0x3ffe602f,0x0dfff106,
    0xd80fffe4,0x3e602fff,0xfff106ff,0x0fffe40d,0x206fff88,0x2601fffc,
    0xfff50fff,0xbff93100,0xf9017ff2,0x400003ff,0xff707ffd,0x2200000d,
    0x88005fff,0x221cffff,0x001ffffb,0x2200bff9,0x221cffff,0x201ffffb,
    0x30befffc,0x440bfff9,0x221cffff,0x201ffffb,0x30befffc,0xc80bfff9,
    0x930befff,0xf980bfff,0x0fff50ff,0x7fffff4c,0x440bff95,0x88005fff,
    0xfffcaaaa,0xfffd985f,0x260000aa,0xbfffdaaa,0xfffa8000,0xffffffff,
    0x3ff2004f,0x3ffea005,0xffffffff,0xfffe804f,0xffffffff,0x7fffd400,
    0xffffffff,0xffffe804,0x0fffffff,0xfffffe80,0x00ffffff,0xff53ffcc,
    0x7fffec0b,0x4bff75ff,0xfffdaaa9,0x3ff6000b,0xefffffff,0x7fffff40,
    0xe8005fff,0xffffffff,0xea8000ff,0xffffffff,0x7fdc002f,0x7ff54004,
    0x2fffffff,0xffffd100,0x003dffff,0x3fffffaa,0x1002ffff,0xfffffffd,
    0x3a2003df,0xffffffff,0x47fb001e,0x3ea02fe8,0xf35fffff,0x3ffffa5f,
    0x00ffffff,0xfffffff0,0xff881dff,0x7fffffff,0x7fffc400,0x2fffffff,
    0xfff91000,0x0001bfff,0x10003ff1,0xbffffff9,0xfff70001,0x10009fff,
    0xbffffff9,0xfff70001,0x20009fff,0x4ffffffb,0x98000000,0x42209999,
    0xfffffff8,0x7002ffff,0x39dffffd,0x7ffff640,0xc8003eff,0xfffffffe,
    0x5300005f,0x00000035,0x00d54c00,0x01aa9800,0x03553000,0x06aa6000,
    0x0d54c000,0x00000000,0xffffd900,0x000bffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000d4400,0x300006a0,0x10000039,
    0x26620020,0x26000199,0xdc980003,0x44000002,0x8000002c,0x2000d440,
    0x4c00002a,0x80000003,0x05e441a8,0xfffd9510,0x009b35bf,0x20009ff1,
    0x0000fff8,0x221df930,0x3f203efe,0x003fffff,0x00007fe4,0x009fbdf5,
    0x0fff4000,0x801ee980,0x3ff62ff9,0x013fe001,0x007fe400,0x0007ba60,
    0x7fc43ffa,0xffe980ff,0xffffffff,0xffb801ff,0xfff8000d,0xffb80003,
    0xffff52ff,0x3ffff207,0xfb1006ff,0x5d80007f,0x000003ea,0x2007ffea,
    0x404ffffb,0x3ffa5ffb,0x3bfee006,0xffb10000,0xfffb8007,0x3ff2004f,
    0x7ffff71f,0xffffffa8,0xffffffff,0x3dff5003,0x07ffc800,0xefffe800,
    0x3ffffd10,0xffffff90,0x5ffd1007,0x4c9d0000,0xe800001f,0x7f4406ff,
    0x01effdef,0x7fdcbff9,0x3fea003f,0x7f44001e,0x3fa6002f,0x01effddf,
    0xfb37ffc4,0x7fc49fff,0xd531bdff,0x4007ffff,0x4c006fe9,0x20003fff,
    0xf502fff9,0xbff907ff,0x7ff40033,0x5f700001,0x00000dd3,0x4405fff3,
    0x3fee3ffe,0x25ffc80f,0x4007fff8,0x2000efe9,0x22001ffe,0x3fee3fff,
    0x3fff200f,0x8fffff22,0x6405fffd,0x44003fff,0xffd8006d,0x3ff20006,
    0x427fec05,0xd8005ffc,0x2200000d,0x0001effd,0x406ffd80,0xfd880df8,
    0x645ffc80,0x44003fff,0x06ec006c,0x2037e200,0xff100fd8,0xffffb8df,
    0x4013ffe3,0x00002fff,0x0bffe600,0x02ffe400,0x3f213ff6,0x0000005f,
    0x0000c400,0x03fff980,0x7fe40000,0x03fffc45,0x00000000,0x7fdc0000,
    0x7fffdc3f,0x001fff32,0x00003fee,0x0dffd000,0x017ff200,0xff909ffb,
    0x0000000b,0x40000000,0x00007ffd,0xc85ffc80,0x00002fff,0x00000000,
    0x543fff40,0xff71ffff,0x100a800d,0xddddddd7,0xff50001d,0xff90005f,
    0x84ffd80b,0x36a05ffc,0xda82deee,0x7103deee,0xdddddddd,0x3e200001,
    0xddb703ff,0xdddddddd,0x7e49dddd,0x4fff985f,0x777776d4,0x43deeeee,
    0xeeeeeeda,0x543deeee,0xeeeeeeed,0x7cc3deee,0xfff983ff,0x009ffb0f,
    0x7fffdc00,0x003fffff,0x000dffd0,0xfd80bff9,0x05ffc84f,0xfffffff1,
    0xffffff81,0xffffb82f,0x003fffff,0x01fff900,0xfffffff5,0xffffffff,
    0x82ffe4bf,0x3fe26fff,0xffffffff,0xff11ffff,0xffffffff,0x3e23ffff,
    0xffffffff,0x2a1fffff,0xff881fff,0x05fff0ff,0x7ffcc000,0x06ffffff,
    0x03fff500,0x405ffc80,0xffc84ffd,0x3ffffe05,0xffffe87f,0xfff981ff,
    0x06ffffff,0x4fff8800,0xffffff30,0xffffffff,0x2ffe4bff,0x7fc7ffd8,
    0xffffffff,0x3fe0ffff,0xffffffff,0x3fe0ffff,0xffffffff,0x3f20ffff,
    0xffff00ff,0x00017ffc,0x3ff72e60,0x0001ffff,0xe800bfff,0x7fe404ff,
    0x205ffc86,0x80ffffa8,0x00bffff8,0x3fff72e6,0x40001fff,0x2200fffb,
    0xccceffeb,0x5ffecccc,0x7e40ffe6,0x332a20ff,0xccceffec,0x6665440a,
    0xaccceffe,0x76665440,0x0accceff,0xff03ffec,0x01fffcdf,0xfff70000,
    0x20009fff,0xb801fffb,0x5c03ffff,0x3f24ffff,0xfffb805f,0x04fffb84,
    0x7ffffdc0,0x7fc0004f,0x9ffb004f,0x4c5ffc80,0x07ffee01,0x000bff90,
    0x40017ff2,0xfe805ffc,0x9bffa06f,0x00004ffe,0x3f37ffe0,0xf88000ff,
    0x7fcc04ff,0xffd006ff,0x17ff23ff,0x10fffec0,0xf000dfff,0x1fff9bff,
    0x3ffee000,0x09ffb001,0x4005ffb8,0x6402fffa,0xf90005ff,0x3f2000bf,
    0x5fff805f,0xfd97ff60,0x5000006f,0xfff13fff,0x3ff20007,0x3ffe200f,
    0x7fc400ff,0xbff90fff,0x9bffe200,0x4001fffd,0xff89fffa,0xffd0003f,
    0x27fec00b,0x3fe65fb1,0x7ffd4003,0x02ffe402,0x005ffc80,0xf00bff90,
    0x7fe40bff,0x00bffea3,0xffd80188,0x001bff66,0x2027ffc4,0x404fffd9,
    0x321dfffb,0x3ee005ff,0x4fffbcff,0x26ffd800,0xa8006ffd,0x36001fff,
    0x97fe64ff,0x2e018829,0x7e401fff,0xff90005f,0x3ff2000b,0x06ffe805,
    0xffd03762,0x9ff3003f,0x51fffc40,0x20003fff,0xd800fffc,0x7fe404ff,
    0x005ffc85,0x7fffffec,0xfff88006,0x007ffea3,0x800dffd0,0xfdcceffd,
    0x1ffcc07f,0xc807ffc8,0xf90005ff,0x3f2000bf,0x7ffd805f,0xffff3000,
    0x7e4c413b,0x3ff206ff,0x027ff40f,0x03fff880,0x6c05ffc8,0x5ffc84ff,
    0x7fffc400,0xfc8001ff,0x27ff40ff,0x05fff500,0xfffffd80,0x7dc07fff,
    0x0dffd05f,0x000bff90,0x40017ff2,0xfc805ffc,0xf30000ff,0xffffffff,
    0x407fffff,0xffb84fff,0xffb0000f,0x0bff900f,0xfc84ffd8,0xffa8005f,
    0xff0003ff,0x1fff709f,0x01bff600,0x3fffff60,0x7e407fff,0x0bfff05f,
    0x000bff90,0x40017ff2,0xfa805ffc,0x260002ff,0xffffffff,0x2a02ffff,
    0xeeeeefff,0x0003fffe,0xc807fff3,0x7fec05ff,0x005ffc84,0x000dffb0,
    0x3bbbffea,0x03fffeee,0x002fff98,0xeeefffd8,0x7fe407ff,0x04fff985,
    0x0005ffc8,0x2000bff9,0xf9805ffc,0x3bb304ff,0x7ff6dc40,0x400cefff,
    0xfffffffd,0x006fffff,0x901bff60,0xffd80bff,0x005ffc84,0x000bff90,
    0x3ffffff6,0x06ffffff,0x0007ffd8,0x7fd49ffb,0xbff904c6,0x001fffb0,
    0x2000bff9,0x90005ffc,0x3fa00bff,0x6ffe80ff,0x0073fa00,0xffffff88,
    0xffffffff,0xfff50001,0x02ffe405,0x3f213ff6,0xff90005f,0xfff1000b,
    0xffffffff,0x7c403fff,0xfb0003ff,0x71ff449f,0x17ff21ff,0x200bfff3,
    0x90005ffc,0x32000bff,0xff7005ff,0x0bffb09f,0x20027f40,0xccccfffc,
    0x4ffecccc,0x1bffa000,0x6c05ffc8,0x5ffc84ff,0x0bff9000,0x99fff900,
    0xfd999999,0x7ffe409f,0x9ffb0000,0x93ffd810,0xfffd8bff,0x0bff9001,
    0x017ff200,0x002ffe40,0x5501ffff,0x05ffe800,0x2013ffe0,0x0000fffb,
    0x2a03fff5,0xff302fff,0x3bff905f,0x5ffc8001,0x04fff800,0x880fffb8,
    0x20004fff,0xfe804ffd,0x44bff93f,0x32006fff,0xf90005ff,0x3f2000bf,
    0x3fee005f,0x5dc0003f,0x4400ffbb,0x201cfffb,0x01cfffb8,0x20bffd00,
    0x10effff8,0x320dfffd,0x02efffff,0x3bff6aa2,0x7dc401aa,0x2e201cff,
    0x7e41cfff,0xd30000ff,0x55555bff,0x27ffd555,0x3ff25ffc,0x2aaa602f,
    0x1aaaeffd,0xffb55530,0x2603555d,0xaeffdaaa,0x7ff401aa,0x3fe20007,
    0x7d406fff,0x86ffffff,0xfffffffd,0xfffb8003,0x5ffff701,0x40ffffea,
    0x6ffffffc,0xffffffb0,0x2a0dffff,0x6fffffff,0xffffffd8,0x013ffe3f,
    0x3ffffe20,0xffffffff,0xff73ffff,0xd02fffcb,0xffffffff,0xfe8fffff,
    0xffffffff,0x7ff47fff,0xffffffff,0x3fea07ff,0x36a0001f,0x7e402eff,
    0x0fffffff,0x7ffffffc,0xffd0005f,0x87ff5c03,0x3201dff8,0x03ffffff,
    0xffffffff,0xf901ffff,0x1fffffff,0xfffffff8,0x01fff15f,0xfffff500,
    0xffffffff,0x3e67ffff,0x403bf22f,0xfffffff8,0x1fffffff,0xfffffff1,
    0x3fffffff,0x3fffffe2,0xffffffff,0x001bf201,0xfb300080,0x507dffff,
    0x3bfffffd,0x00f66000,0x98800804,0x75401999,0xffffffff,0xfffb303e,
    0xfd507dff,0x543bffff,0x3f60002d,0xffffffff,0x3fffffff,0x2e002022,
    0xfffffffe,0x75c4efff,0xffffffff,0x7f5c4eff,0xffffffff,0x000804ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00035000,0x10000020,0x00800040,0x02a80002,
    0x00e60000,0x00010040,0x08000401,0xbb300020,0xb7000105,0x00001019,
    0x00000266,0x00037ec4,0x800027dc,0x06fd86fd,0x7ec37ec0,0x09ff0006,
    0x1ff90000,0xd86fd800,0x5ff3006f,0x4003ff98,0x06fd86fd,0x3bffffb0,
    0x7cc013f2,0xfd33ffff,0x3fae0001,0x0004efff,0x00bffa20,0xefffd880,
    0x3fe20001,0x07ffe21f,0x10fffc40,0x70003fff,0x00001dff,0x8007ffb1,
    0x3e21fff8,0xffb801ff,0x0037fdc6,0x7c43fff1,0x7fdc01ff,0xffffffcc,
    0xb7dfd001,0x00dfffff,0xfffffd30,0x0003dfff,0x001fffa8,0x3f3ffee0,
    0x360004ff,0x006fd86f,0x37ec37ec,0x3dff5000,0x7ff44000,0x0dfb0002,
    0x3e600dfb,0x01ffcc3f,0x3f61bf60,0x220c8806,0x2002effd,0x6fffd43a,
    0x7ffcc000,0xffffffff,0xff10002f,0x7d40001d,0xbffb11ef,0x01004000,
    0x00080200,0x00ffe880,0x003ffd00,0x00020080,0x10000802,0x4c000040,
    0x26200001,0xffe88000,0xfca88adf,0x88000fff,0xfb80004e,0x000bd503,
    0x00000000,0x0d910000,0x0006ec00,0x00000000,0x00000000,0x00000660,
    0xfffb0000,0x37ffd407,0x00000000,0x26000000,0x00000001,0x00000000,
    0x00000000,0x00000000,0xfffd7000,0x5c4009df,0xeeeeeeee,0x3ffea000,
    0x3fffb804,0x00000000,0x75c00000,0x404effff,0xdeeeeeb8,0x3bbbb662,
    0x000000ce,0x36e00000,0xeeeeeeee,0x04eeeeee,0xdddddd71,0x6d4001dd,
    0xeeeeeeee,0x3a603dee,0xffffffff,0xfffb801e,0x03ffffff,0x801bff20,
    0x2e205ffe,0xeeeeeeee,0xeeb88000,0x00eeeeee,0xffffd300,0x203dffff,
    0xfffffffb,0xfffffd0f,0x776dc9ff,0xeeeeeeee,0x6dc4eeee,0xeeeeeeee,
    0x24eeeeee,0xfffffffa,0xffffffff,0xffff705f,0x007fffff,0x3fffffe2,
    0xffffffff,0xfffff981,0x3fffffff,0x7ffffcc0,0x2006ffff,0x2a003ffe,
    0x3fee07ff,0x3fffffff,0xffffb800,0x003fffff,0xffffff98,0x83ffffff,
    0xfffffffa,0x3fffff67,0xffff53ff,0xffffffff,0x7d4bffff,0xffffffff,
    0x5fffffff,0x3fffffe6,0xffffffff,0xfff305ff,0x0dffffff,0x7fffffc0,
    0xffffffff,0x6ffff440,0xfffca88a,0x6e5cc01f,0x01ffffff,0x4003fff0,
    0xf300fff8,0xffffffff,0xfff3000d,0x0dffffff,0xdfffe880,0xfffca88a,
    0xfffd981f,0x3b2a20ac,0x3fe61eff,0xffffffff,0x25ffffff,0xfffffff9,
    0xffffffff,0x7ff5c45f,0xccccccce,0x2e605ffe,0xffffffdc,0x99951001,
    0x5999dffd,0x07fffb01,0x0037ffd4,0x9ffffff7,0x01fff300,0x202fff80,
    0xffffdcb9,0xb98001ff,0xffffffdc,0x3fff6001,0x1bffea03,0x6402ffe4,
    0xfeb885ff,0xccccccef,0x5c45ffec,0xcccceffe,0x05ffeccc,0xfc809ffb,
    0xfff7005f,0x40009fff,0xfa805ffc,0xffa804ff,0xbfff003f,0x9801fff9,
    0x7c000fff,0xff7002ff,0x0009ffff,0xffffffb8,0x9fff5004,0x07fff500,
    0xf900bff9,0x27fec0bf,0x6c17ff20,0x7fe404ff,0x809ffb05,0xff005ffb,
    0x01fff9bf,0x017ff200,0xe801bff2,0xffa806ff,0x03fff89f,0x000fffc4,
    0x2003fff1,0xfffcdfff,0x3ffe0000,0x800fffcd,0x3a006ffc,0x5ffc86ff,
    0x205ffc80,0x7dc04ffd,0x09ffb05f,0xfb05ffb8,0x997ec49f,0xffa803ff,
    0x03fff89f,0x00bff900,0x4c007ffd,0xffd807ff,0x201bff66,0x26002fff,
    0xfa800fff,0x3fff89ff,0x3fff5000,0xd007fff1,0x7cc007ff,0x05ffc87f,
    0x3605ffc8,0x4bf624ff,0xffb03ff9,0xf997ec49,0x49ffb03f,0x00a65ff9,
    0xffb37fec,0x3ff2000d,0x01fff805,0x807ffe20,0x3ea3fff8,0x7ff401ff,
    0x1fff6006,0xfb37fec0,0x3f6000df,0x01bff66f,0x88007ffe,0x7fe41fff,
    0x05ffc805,0xff993ff6,0xffd80a65,0x2997fe64,0x333bff60,0x88007ffd,
    0x3fea3fff,0xffc8001f,0x07ffcc05,0x80bffe00,0x7f40fffc,0x7ffd404f,
    0x3fffa803,0x23fff880,0x4001fffa,0x3ea3fff8,0x3fe601ff,0x7ffc000f,
    0x402ffe42,0x3f605ffc,0x7ffdccef,0x33bff600,0x2007ffdc,0xfffffffd,
    0xffc8007f,0x027ff40f,0x202ffe40,0x4000fff9,0x3fe02fff,0x0fffb84f,
    0x017fff40,0x200dfff3,0x7f40fffc,0x7fe4004f,0x027ff40f,0x8001fff3,
    0x7fe42fff,0x05ffc805,0x3ffffff6,0x3f6007ff,0x7fffffff,0x3ffff600,
    0x8007ffff,0xffb84fff,0x7fe4000f,0x0fffc405,0x03fff100,0x3bbbffea,
    0x03fffeee,0x0e7fffcc,0x05ffff91,0x2e13ffe0,0x3e000fff,0xfffb84ff,
    0x03fff100,0x20fffc40,0xfc805ffc,0x3fff605f,0x007fffff,0x3ffffff6,
    0x3f6007ff,0x7ffeeeff,0x77ffd400,0xfffeeeee,0x2ffe4003,0x0017ff40,
    0x3601fff3,0xffffffff,0xa806ffff,0xffffffff,0x5003ffff,0xdddddfff,
    0x2007fffd,0xeeeefffa,0x203fffee,0x26002ffe,0x7fe40fff,0x05ffc805,
    0x3bbbfff6,0x3f6007ff,0x7ffeeeff,0xa93ff600,0xb004c6ff,0xffffffff,
    0x800dffff,0xfd805ffc,0x3ff6006f,0xfffff106,0xffffffff,0xfff5003f,
    0x5fffffff,0x7fffec00,0xffffffff,0xffffb006,0xffffffff,0x037fec0d,
    0xf70dffb0,0x9ff900df,0xf527fec0,0xfb0098df,0x237fd49f,0x49ffb009,
    0x3fee3fe8,0xfffff880,0xffffffff,0x3ff2001f,0x3fffa805,0x04fffa80,
    0x9999fff9,0x9ffd9999,0x3fff6200,0x2001dfff,0xfffffff8,0x1fffffff,
    0x7ffffc40,0xffffffff,0x7fff501f,0x09fff500,0xe805fff3,0x3ff603ff,
    0xfb8ffa24,0x24ffd80f,0x3fee3fe8,0x084ffd80,0x7e41ffec,0xccccccff,
    0x004ffecc,0x6c017ff2,0x3e602fff,0x3ffe06ff,0x0fffb804,0xffffe880,
    0x7e403503,0xccccccff,0x404ffecc,0xccccfffc,0x4ffecccc,0x80bfff60,
    0xf106fff9,0x7fe40dff,0x13ff601f,0xb07ffb02,0xfd8109ff,0x04ffd83f,
    0xff83ffe8,0xfffb804f,0x0bff9000,0x33fffe20,0x3fffee21,0xcfffb881,
    0x3ffee201,0x3ffe201c,0xcbefffff,0xfff01fff,0x1fff7009,0x4027ffc0,
    0xf100fffb,0x5c439fff,0x3201ffff,0x930befff,0xfd80bfff,0x3ffe804f,
    0xe804ffd8,0x7ff4c3ff,0xaaaaaaad,0x2e23ffea,0x2201cfff,0x981cfffb,
    0xaeffdaaa,0x3fea01aa,0xffffffff,0xfffa84ff,0xfd86ffff,0x03ffffff,
    0xfffffffd,0x3fffffff,0x1cfffb88,0x33ffee20,0x67ffdc41,0x3ffee201,
    0xffff501c,0xffffffff,0xffffd009,0x1fffffff,0x56fff4c0,0xeaaaaaaa,
    0x7ff4c3ff,0xaaaaaaad,0xff13ffea,0xffffffff,0x7fffffff,0x3fffffea,
    0xffffd86f,0x3ffa3fff,0xffffffff,0x3faa07ff,0xffffffff,0xfffff902,
    0xfff81fff,0xf05fffff,0xffffffff,0xa89fffff,0x6fffffff,0xffffffd8,
    0xfffff53f,0xfffb0dff,0x2a07ffff,0xfffffffe,0xfd1002ff,0xdfffffff,
    0x3fffe203,0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0x3ffffea7,
    0xffffffff,0xff93ffff,0x81ffffff,0xffffffff,0xffffff15,0xffffffff,
    0x7ffe4403,0x2600dfff,0x3efffffd,0xfffffea8,0x37bd501d,0x2f7b2e61,
    0xfffffc80,0x7ffc0fff,0xf95fffff,0x1fffffff,0xfffffff8,0x3ff2205f,
    0x000dffff,0xffffffb8,0x7fffd404,0xffffffff,0xf53fffff,0xffffffff,
    0xffffffff,0x7ffffec7,0xffffffff,0xffb33fff,0xd507dfff,0x43bfffff,
    0xffffffeb,0x004effff,0x00006aa6,0x00000000,0xffffd980,0xffea83ef,
    0xfb31dfff,0x507dffff,0x3bfffffd,0x006aa600,0x00d54c00,0xffffffb0,
    0xffffffff,0x7ffec7ff,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x000082dd,0x02666666,
    0x00aa0000,0xaaaaaa98,0x01db1002,0x1bcca880,0x00044000,0x40003100,
    0xa8000009,0x4c0000bd,0x01300000,0x00c40000,0x7fffec00,0x1009f91d,
    0xfffffd95,0x9800dfff,0x03ffb809,0x3fffff62,0xa800ffff,0x3ee003ff,
    0x003fffff,0x0000ff70,0x20003fe6,0x00001ff9,0x003ff7fa,0x0003ff80,
    0x00003ff8,0x0000ffa8,0x3ff33fee,0x5401ffff,0xffffffff,0xb807ffff,
    0x8bfffffe,0xd104fff9,0xffffffff,0xff9001ff,0x3ffee00b,0x003fffef,
    0x0001ffe4,0x0002ffdc,0x00007ffb,0x001fc3f3,0x0009ff90,0x0004ffc8,
    0x0017fee0,0x7ec41910,0x7fe402ef,0xf9cffdff,0x7f4c01bf,0xffffffff,
    0xfb01ffff,0x7333339f,0xff9001ff,0x5dff500b,0x400ffecc,0x0003ffe8,
    0x0005ffd8,0x0004ffd8,0x0017a3dc,0x001bff70,0x0077fdc0,0x013ff600,
    0x00330000,0x3a3bfff3,0x9805ff3f,0xffffffff,0x03ffffff,0xffa813fe,
    0x05ffc800,0xf880ffe8,0x2ffe803f,0x3ffd8000,0x3fee0000,0x33e20005,
    0x80001fb9,0x40006ffa,0x20006ffa,0x00003ffd,0x3ff20000,0x7fcffa0f,
    0x3fffa202,0xffdb88ad,0x3fe605ff,0x201be202,0x9adfffe9,0xd01ffcc0,
    0x0ef880bf,0x05ff0000,0x0df30000,0x4fffb800,0x3fa60000,0x7f440000,
    0x03ff0000,0x7776d400,0xeeed980d,0xbfff0cee,0x05ff3fe8,0xa81fffe4,
    0x2a06ffff,0x004c05ff,0xffffffd1,0x7fe43fff,0x201fee00,0x00000000,
    0x00000000,0x4000002a,0x00200000,0xf8800000,0xe85fffff,0x5fffffff,
    0x3fe89fff,0x3fea05ff,0xffff304f,0xffd987ff,0x98000dff,0xffffffff,
    0x1ff63fff,0x803ff5cc,0x00000098,0x00000000,0x00133310,0x00999880,
    0x00098800,0x004ccc40,0x7fffffc0,0x7fffec2f,0xdffb4fff,0x05ff3fe8,
    0x2203bff2,0x6ffefffe,0x7ffffff4,0x7ff4003f,0xffecbeff,0xb117fa4f,
    0x440fffff,0x3dfffffd,0x1f776dc0,0x3bbbbae2,0x3eeedb80,0x777775c4,
    0x3ffb6a00,0x000cffff,0xfffffdb5,0x6c40019f,0x03dfffff,0xffffdb50,
    0x220019ff,0x0fffffea,0x0f7ff654,0x7f47fff7,0x3fa05ff3,0x9fffb03f,
    0x3e61fff7,0xdfff70bf,0x9fff7005,0x7c9ffd03,0x3fffe63f,0xfff907ff,
    0x5dffffff,0x9fffff50,0xffffffb8,0x7ffffd41,0x7ffffdc4,0xffff901f,
    0x1fffffff,0xfffffc80,0x00ffffff,0xffffffc8,0x3202efff,0xffffffff,
    0x2e000fff,0x904fffff,0xfffb0dff,0x3fe7ff5d,0x703fff02,0x3fe6bfff,
    0x987ff11f,0x201efffe,0x3ee07ffe,0xfe8bfe2f,0xd87fb9cf,0xffffffff,
    0x7cc2ffff,0x7d44ffff,0x4c1fffff,0x544fffff,0x01ffffff,0xfffffffb,
    0xd80dffff,0xffffffff,0x7ec06fff,0xffffffff,0xffb02fff,0xffffffff,
    0x7fdc00df,0xfc81ffff,0xffffb06f,0x20bfe7ff,0x7cc0fff9,0x3ffe0eff,
    0x2a0fff22,0xff03ffff,0x7c2b809f,0x5c9ff32f,0x7fffdc7f,0xffdb98ac,
    0x7f5440ff,0xffba884f,0xffea881f,0xfffba884,0x359bb301,0x1fffb511,
    0x4d66ecc0,0x0fffda88,0x59ffff70,0xffffb731,0x359bb301,0x1fffb511,
    0x3fffee00,0x6ffc86ff,0x3ffff6a0,0xff305ff3,0x7fffc41f,0xd117ffc1,
    0xfc881dff,0x7ffc45ff,0x72ff8001,0x33fdc1ff,0x5c03ffff,0xffb04fff,
    0x0fffc409,0x4409ffb0,0x20001fff,0x0002fff8,0x4c17ffc4,0x2e01ffff,
    0x10004fff,0x2e005fff,0x3fffbeff,0xa8037fe4,0x105ff3ff,0x7ff45fff,
    0x0fffc43f,0x033fff62,0xff89ffd3,0x2ff8004f,0x3fdc3ff5,0x9003fff7,
    0xffb01fff,0x0fffc409,0x4409ffb0,0xba801fff,0xfffbcdec,0xbd975003,
    0x707fff79,0xf9003fff,0x65d401ff,0x3fffbcde,0x3adff700,0x3ff20fff,
    0x7cffa006,0x2bfff02f,0xf984fffc,0x3ffee07f,0x20ffd82f,0x04407ffe,
    0x6ffc4bfe,0x7fe4ff71,0xffffffff,0x81ffffff,0x3e204ffd,0x3ff601ff,
    0x07ffe204,0xffffffa8,0x403fffff,0xfffffffa,0xfc83ffff,0xffffffff,
    0x1fffffff,0xffffffa8,0x003fffff,0x3fe6dff7,0x01bff25f,0x05ff3fe8,
    0x3feffff6,0x0dffb06f,0x0dfffd98,0xffb8ffe2,0x3f6a22df,0xfc8ffe2f,
    0xd0ffffff,0xffffffff,0xffffffff,0x409ffb05,0x3601fff8,0x3fe204ff,
    0xffffb01f,0xffffffff,0x7fffec07,0xffffffff,0xfffffe83,0xffffffff,
    0x7fec2fff,0xffffffff,0xff7003ff,0xc9fffe4d,0x3fa006ff,0x3ea05ff3,
    0x80ffffff,0x5004fffa,0xfb97fffd,0xffffe83f,0x4fffffdf,0xfff913f6,
    0x3ff69fff,0xffffffff,0x83ffffff,0x3e204ffd,0x3ff601ff,0x07ffe204,
    0x3bfffff2,0x3ffffedc,0xdfffff90,0x7ffffdb9,0xffffffb0,0xffffffff,
    0x7ffe47ff,0xffedceff,0xff7003ff,0xc8fffe8d,0x3fa006ff,0x7ec05ff3,
    0xf982ffff,0xfc8006ff,0x886fffff,0xfffffffe,0x17f21fff,0x42f332e6,
    0x9999fffc,0x99999999,0x04ffd809,0xd807ffe2,0x3fe204ff,0x77ffc41f,
    0x07ffd00a,0x015dfff1,0x3f20fffa,0x999999ff,0x09999999,0x015dfff1,
    0x5c00fffa,0x7ffd46ff,0x2006ffcd,0x405ff3fe,0x21effff9,0x01ffffb8,
    0x7ffff500,0x7fffec40,0x7dc1efff,0xfffa8007,0xffb00005,0x0fffdc0b,
    0x5c0bffb0,0x7fd41fff,0x3ffe601f,0x01fffa83,0x2a0fffe6,0x20005fff,
    0x2601fffa,0xf7003fff,0xdfffb0df,0x7f400dff,0x7e405ff3,0xffffffff,
    0x2a04ffff,0x0bfea00d,0x5f7fec40,0x007ff300,0x15bfffb0,0x20bdb730,
    0x2e21fffb,0x202fffff,0x2e21fffb,0x542fffff,0x2a20afff,0x41cffffe,
    0x220afffa,0x1cffffea,0x0adfffd8,0x2a5edb98,0x2a20afff,0x01cffffe,
    0xf886ffb8,0x006fffff,0x817fcffa,0xfffffffa,0x03ffffff,0xff301ff4,
    0x2ffe4005,0x02037f40,0x3fffffe2,0xffffffef,0xffff982f,0xfffffffe,
    0xfff306ff,0xffffffdf,0x7fc4dfff,0xffffefff,0x26ffffff,0xfefffff8,
    0xffffffff,0x7fffc46f,0xffffefff,0xfff12fff,0xfffffdff,0x80dfffff,
    0xff506ffb,0x7400dfff,0xf105ff3f,0xffb75fff,0xf001bfff,0x0ffec07f,
    0x00bff900,0xc881bff5,0xfffe983f,0xffffffff,0xfff900ff,0xffffffff,
    0x3f201fff,0xffffffff,0x2a0fffff,0xffffffff,0xffffffff,0x3ffffea0,
    0xffffffff,0x7f4c0fff,0xffffffff,0x3ea0ffff,0xffffffff,0x0fffffff,
    0x35fff910,0x0dffffb0,0x67fe65cc,0x2e1bdff8,0x1aa82fff,0x6677fc00,
    0x05fffccc,0x8027fd40,0xfedefffd,0x3fee02ff,0xefffffff,0x7ffe400b,
    0xfffbdfff,0x7ffe403e,0xfffbdfff,0xfffea83e,0xfffbdfff,0xffea83ef,
    0xffbdffff,0x3ee03eff,0xffffffff,0xffea80be,0xffbdffff,0xff303eff,
    0x88dfffff,0x3e06ffff,0xfeffffff,0xff30ffff,0xff800009,0xffffffff,
    0x7744000e,0x3fff2001,0x1004ffff,0x00135775,0x0026ae60,0x026ae600,
    0x55654c00,0x32a60000,0x880000aa,0x0009abba,0x002ab2a6,0x7ffffdc0,
    0x7fdc1fff,0x3ffb206f,0xfffeadff,0x00000c44,0x7777776c,0x000003de,
    0xbcdca880,0x00000000,0x00000000,0x00000000,0x00000000,0x6c400000,
    0x04efffff,0x0000dffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000188,
    0xa9880000,0x0ea00000,0x03310000,0x00131000,0x40000000,0x980000db,
    0x0000000a,0x30000440,0x80057997,0x800acca8,0x3ea0002a,0xff98000f,
    0xffd70001,0xddd37fff,0xff50039d,0x3bb6a007,0xffffb8de,0x366003ef,
    0xa9dfffff,0x700ceeee,0x009f709f,0x03fffe98,0x03fffe00,0x037ff660,
    0x7ffecc00,0xfb1000df,0x03dfffff,0xffffff90,0x02ffec0b,0x002ffdc0,
    0x4007ffd0,0xffffffe8,0xffffffff,0x05ffc805,0xffffff88,0xffffffff,
    0x7fdc00ef,0xffffffff,0x883fffff,0x3fe21fff,0xfff7001f,0x8001bffd,
    0x401ffff9,0x2ffffffb,0x7fffd400,0x4c02ffff,0xffffffff,0x3ff202ff,
    0x06ffffff,0xd800dffd,0xd80004ff,0xfe8804ff,0xffffffff,0x04ffffff,
    0xf005ffc8,0xffffffff,0xffffffff,0x3ffff601,0xffffffff,0xfd02ffff,
    0x200ffd0f,0xff90dffd,0xeec8001f,0x4e7fcc04,0x1000ffd9,0xffffffff,
    0x7ff401ff,0xffffdeff,0xffffb80f,0x83ffffee,0x36001dd9,0x200003ff,
    0x7e404ffb,0xd988aeff,0x01bfffff,0x200bff90,0xfffffda8,0xffeb98ac,
    0xffffb86f,0xfffca89b,0x2201aeff,0x000a880a,0x5fd307ff,0x7e400000,
    0x7002fe85,0xf9339fff,0x3fee09ff,0x3fee20cf,0x2effe84f,0x003fffa6,
    0x000ffc00,0x3037d400,0x7e40bfff,0x32000fff,0x7dc005ff,0x3f602fff,
    0x3ffe23ff,0xffff100e,0x8000000d,0x0000c008,0x2e0bf600,0xbffb004f,
    0x360dffb0,0x3ffa06ff,0x40fffd46,0x0002fff8,0x00000000,0x801fff70,
    0x2000fffe,0x5c005ffc,0xfe804fff,0x07ffea6f,0x00dfff30,0x88000310,
    0x00000999,0x3613f600,0x9ffb003f,0x3a0fff70,0x3fee04ff,0x902ffec7,
    0x800009ff,0x31000018,0x013ff600,0x8003ffee,0x5c005ffc,0xfa801fff,
    0x01bff27f,0x44037fec,0xbdfffeca,0xffeda800,0x000cffff,0x5c01ee88,
    0x07fea1ff,0x2227fec0,0xffb06fff,0x237fec0d,0x3e602fff,0x00774c6f,
    0x7fff6544,0x951000bd,0x017bfffd,0x2a00fffa,0x6dc40fff,0xffffeeee,
    0x80bdeeee,0xf3007ffb,0x13ff61ff,0x2037fe40,0xffffffe8,0x3f201fff,
    0xffffffff,0x7d4000ff,0xeffe803f,0x81444ffe,0xffb54ffd,0x3fee07ff,
    0x4fff982f,0x8807ffe2,0x3ff20fff,0x7fff4404,0x01ffffff,0x7fffff44,
    0xfd81ffff,0xfffb804f,0x7ffffdc0,0xffffffff,0xffb84fff,0x7ffb801f,
    0x7401bfee,0x3fa206ff,0xffffffff,0xfffb01ff,0xffffffff,0x5ffd800d,
    0xffffd880,0x07ffd714,0xfff59ffb,0x7f440fff,0xffebbeff,0x3ffe61ff,
    0xd17ffc00,0x7f440bff,0xffffffff,0xffd101ff,0xffffffff,0x06ffc83f,
    0x540fffd8,0xffffffff,0xffffffff,0x06fffb83,0xf52fffc4,0xffb807ff,
    0xfffd106f,0xff95115b,0x9bb305ff,0xffb51135,0xffd5001f,0x554400bf,
    0xdffffeba,0xfacffd80,0x205fffff,0xfffffff9,0x7fcc2fff,0x17ffc00f,
    0x3a20dffd,0xa88adfff,0x442ffffc,0x88adfffe,0x22ffffca,0x2e04fffa,
    0xb980ffff,0xeffecccc,0x701bcccc,0x503dffff,0xfe85ffff,0x7e440cff,
    0xff906fff,0x7ffcc05f,0xfff10006,0x7fff4405,0x2e6005ff,0x0adffffe,
    0x6d53ff60,0x205fffff,0xfffffffe,0x7ffcc0ff,0xf17ffc00,0x3ff20fff,
    0x3ffe602f,0x017ffe46,0xfd8dfff3,0x3f221dff,0x2000ffff,0x5c005ffc,
    0xefffffff,0x83fffffe,0xeefffff9,0x6ffffffe,0x7009fff0,0x5d401fff,
    0xfffbcdec,0xffffd103,0xec98017d,0x002dffff,0xb5113ff6,0xffb0bfff,
    0xffffffff,0x00fff98d,0xff897ffc,0x09fff07f,0x7c1fff70,0xffb804ff,
    0x3fffe20f,0xffffffff,0x3f2000ff,0x7fdc005f,0xffffffff,0x3e604fff,
    0xffffffff,0xf986ffff,0xfff1007f,0xfffff505,0x07ffffff,0x00bbffee,
    0x567fffcc,0x401dfec8,0x3f604ffd,0x3ffee0ff,0xfffc89cf,0x03ffe24f,
    0x3e65fff0,0x7fcc0fff,0x5fff1007,0x4401ffe6,0x7f4c2fff,0xffffffff,
    0x32000fff,0x7dc005ff,0xffffeaef,0xc8801eff,0xcfffffff,0xffb86ffc,
    0x17ff6006,0xfffffffb,0x207fffff,0x44006ffe,0x3ffe61cd,0x3f603fff,
    0x3ffe204f,0x403fffa2,0x7ffc7ffe,0x47ffe201,0x5c1ffffa,0x3f6006ff,
    0x00dff75f,0xfc82ffec,0xfacfffff,0x3f2000ff,0x7fdc005f,0x06b32a66,
    0x2f2ea200,0x50dff70a,0x7ec00dff,0x3ffff24f,0xfffedcef,0x2fff883f,
    0x7f400cc0,0x01ffc9ad,0xfd809ffb,0x813ffe4f,0x3f61fffa,0x9ffe603f,
    0x542ffffa,0x3f6006ff,0x00dff54f,0x26027fec,0xfff309aa,0x2ffe4001,
    0x01bfee00,0x3ee00000,0x1fff886f,0x11fff880,0x2015dfff,0xff883ffe,
    0x0bfea02f,0x4fd87fa8,0x4049ffb0,0xfff15ffc,0x17ffc403,0x7ec0dff7,
    0x3fffee6f,0x00fffc43,0xf88fffc4,0xff8801ff,0xff90001f,0x4ffb800f,
    0x037fdc00,0x7dc00000,0x1fffd06f,0x2a7ffe80,0x3e601fff,0xdffd03ff,
    0x7027fe40,0x20df309f,0x8bfb4ffd,0x3ffa4ffe,0x83ffee04,0xf982fff9,
    0x3fff22ff,0x0fffe83f,0x3a3fff40,0x7f400fff,0xff10007f,0xff9800bf,
    0x37fdc002,0x5c000000,0xfff706ff,0xffea817f,0x2bffea4f,0x3fffaa20,
    0xfffb81cf,0xfffdbbdf,0x217ee05f,0xffea85fb,0xf52fff8d,0x7ffe47ff,
    0x3ffee61b,0x8cfffe86,0x6c7fffc8,0xfb84ffff,0x7540bfff,0x7fdc4fff,
    0x7f540bff,0x554c04ff,0x2ffffdaa,0x40018800,0x0aafffd9,0x2a200000,
    0x80aeffda,0xeffffffb,0x444fffff,0xffefffff,0xffffffff,0xfffffe86,
    0x05ffffff,0xfe88bfe6,0x3ffffe63,0xfefffedf,0x3fe60fff,0xffffffff,
    0xfff982ff,0x2fffffff,0x817fffdc,0xeffffffb,0x704fffff,0xfdffffff,
    0x4409ffff,0xffffffff,0x2aa204ff,0xaaaaaaaa,0x7f40aaaa,0x5fffffff,
    0xffa80000,0x1fffffff,0xffffffa8,0xf504ffff,0xffffffff,0x1fffffff,
    0xfffffd88,0x400cffff,0x6ffdeffc,0x7fffffdc,0xffffffbf,0xffff983f,
    0x02ffffff,0x3fffffee,0xfff883ff,0x7fffd407,0x04ffffff,0x7fffffd4,
    0x5404ffff,0xffffffff,0x3ffea04f,0xffffffff,0xf13fffff,0xffffffff,
    0xf900000f,0xffffffff,0x3fff6607,0x5402dfff,0xdffffffe,0x03effffb,
    0x37bffb6a,0x7ffe4002,0x7fec40df,0xfffb2eff,0x7ec407ff,0x01dfffff,
    0xeffffea8,0x00736603,0x3fffff66,0xfb3002df,0x05bfffff,0x3fffff20,
    0x7fe401bd,0xffffffff,0x25ffffff,0xffffffec,0x9800003e,0xfffffffd,
    0x1ba8800d,0xaaca9800,0x00000000,0x0006aa20,0x00157530,0x8000d544,
    0x00000aa8,0x000dd440,0x0006ea20,0x3fa20000,0xffffffff,0x01efffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1eb80000,0x09998800,0x5d440000,0x0000abdc,0x3bb6e000,
    0xeeda82de,0x776dc3de,0x7776443e,0x333300ee,0x01333333,0x15b97300,
    0x99999988,0x19999999,0x00000080,0x80099988,0x002bdca8,0x10000000,
    0x4007fffb,0x006ffffe,0xffff9100,0x7005ffff,0x409f709f,0xfffffff8,
    0x7fffffc0,0xfffff52f,0xfffffb89,0xffff880f,0x6fffffff,0xffffd500,
    0x7ffdc9ff,0xffffffff,0x7fe407ff,0x002a21ce,0x5ffffe80,0x7ffffd40,
    0xdd3001ef,0x001ee983,0x3fbffee0,0x7fcc01ef,0x80006fff,0xffffffe8,
    0x2203ffff,0x3fe21fff,0x3fffe01f,0xfffe87ff,0xfff31fff,0xfffa89ff,
    0xff880fff,0xffffffff,0x7fe401ff,0x27ffffff,0xfffffffb,0x07ffffff,
    0x6ffffff4,0x30006ffd,0x40bfffff,0xfffffffb,0xffd801ff,0x0027fe44,
    0xf71effc8,0xffd803ff,0xc80006ff,0xfddeffff,0x3a01ffff,0x407fe87f,
    0x80bfffd8,0x41dfffa8,0x984ffea8,0x880fffba,0xffffffff,0x7e406fff,
    0xfeceffff,0x3ffffee4,0xffffffff,0x7ff5c407,0x003fffff,0x17ffff60,
    0x6fffffcc,0x400fffff,0x7fdc2ffb,0x09fd0003,0x32007fb1,0xc80006ff,
    0xffa81eff,0x202a205f,0xff8800a8,0x3ffee04f,0x813ff601,0xf880fff8,
    0x99999aff,0x7ffe4009,0x3ea040af,0x999999df,0x5407ffd9,0xfffffffd,
    0xff900000,0x8ffff60b,0x804fffc8,0x0003501a,0x80060044,0x80006ffb,
    0x7fe403c8,0x90000006,0xff101fff,0x4ffd80bf,0x203ffe20,0x0001fff8,
    0x001dfff9,0x3fa00f6c,0x7fffc04f,0x005fffad,0x10bff900,0x3f209fff,
    0x000000ff,0x20000000,0x0cc46ffb,0x7fd40000,0x09998807,0x4fff8800,
    0x401fffb8,0x3e204ffd,0xfff880ff,0xfff98001,0x9800000e,0x66401fff,
    0x0bffe60a,0x7e409880,0x1fff985f,0x005fff10,0xedb80000,0x775c43ee,
    0x3ee00eee,0xffffb8ef,0xb00003ef,0x3b6a0dff,0x0cffffff,0x83fff200,
    0xd805fff8,0x3fe204ff,0x1fff880f,0xfc801353,0x000000ff,0x8000fff9,
    0x6cc06ffb,0xc8cfffff,0x7ffa85ff,0x2e1fff40,0x5c43eeed,0x200eeeee,
    0x44fffffa,0x1ffffffb,0x3ffffee0,0xdfffffff,0xffb30000,0xffff909f,
    0x1fffffff,0x97ffe200,0xd801fffb,0x3fe204ff,0xffff880f,0x01efffff,
    0x0d4cbfff,0x4fff8000,0x7fff6440,0x02fff8ce,0xfffffff9,0x50bfffff,
    0x3e201fff,0x3ffea4ff,0x7ffdc4ff,0x3e601fff,0x7d44ffff,0x201fffff,
    0xfffffffb,0x0fffffff,0xffffd880,0xfffb06ff,0xffffffff,0x7ffe400d,
    0x005fff89,0x7c409ffb,0xfff880ff,0xffffffff,0x5d7ffc43,0x003fffff,
    0x807ffe60,0xfffffffb,0xe83fffff,0xffffffff,0x885fffff,0xffb03fff,
    0x7fffccdf,0x7fffd44f,0x754401ff,0xfba884ff,0x3fee01ff,0xa889dfff,
    0xb805fffe,0x0fffffff,0x1359bb30,0x01fffb51,0x337ffe20,0xfb001fff,
    0x7ffe40bf,0xfffff880,0x1fffffff,0x3ffbffe6,0x00dfffff,0x207ffc80,
    0xfffffffd,0x45ffffff,0x89bffffb,0x5fffffb9,0xb81dfff0,0x5447ffff,
    0xba884ffe,0xfb001fff,0x7ffc409f,0x3fffee01,0x0bfff202,0xffffff30,
    0x7c40007f,0x3ee002ff,0x005fffff,0xb887fff6,0xb02fffff,0x36637dff,
    0x3fea6fff,0xffffffff,0xff8005ff,0xffff504f,0x7fff4c17,0x3bffe66f,
    0xbffff300,0x2ffffea0,0xffffffda,0x204ffd80,0xb001fff8,0x7fc409ff,
    0x3ffee01f,0x05ffe804,0xfffdca88,0x765d403f,0x03fffbcd,0x3ffffe20,
    0x3ff6001f,0xfffffeff,0x1306ffff,0xa97ffdc0,0x8aefffff,0x002fffeb,
    0x7c07ffe6,0x3f601fff,0x3ffee7ff,0x2fffd400,0xffffffb0,0x20ffffff,
    0x3e204ffd,0xffb001ff,0x0fffc409,0x001fff70,0x5000fff5,0xf501ffff,
    0xffffffff,0xfb8007ff,0x6c005fff,0xffffffff,0x0fffffff,0x3fff8800,
    0x10dffff3,0x6400bfff,0xfff307ff,0x7fff8809,0x74013ff6,0x3f6205ff,
    0xfdffffff,0x09ffb06f,0x800fffc4,0x3e204ffd,0x3fee01ff,0x1fff3007,
    0x5fff3000,0xffffffd8,0x03ffffff,0x0ffffc40,0x3ffff600,0xffbeffff,
    0x360003ef,0x3fffe5ff,0x00dffb01,0xfa827ffc,0xffe802ff,0x400fffa7,
    0xda805ffd,0xffd8cfff,0x409ffb04,0xb001fff8,0x7fc409ff,0x1ffee01f,
    0x007ffcc0,0x324ffe80,0xdcefffff,0x003ffffe,0x002fffc4,0x5e56ffec,
    0x9000000a,0x27ff4bff,0x001fff50,0x2a03fff3,0xfd801fff,0x00fffa6f,
    0x2002ffec,0x40bffe60,0x3e204ffd,0xffb001ff,0x0fffc409,0x001fff70,
    0x4000fff7,0xfff15ffc,0x3ffa015d,0x7ffe4003,0x4ffd8001,0x36000000,
    0x1bff64ff,0x9007ffa8,0x7fcc0fff,0x7ffc404f,0x4017ff24,0x10005ffe,
    0x3601fffd,0x3fe204ff,0xbffb001f,0x00fffdc0,0x880bfff7,0x10005fff,
    0x3fea5ffd,0x3ffe601f,0x3ffe2003,0x9ffb0005,0x801a8000,0x3ee2fff9,
    0xdffb02ff,0x013ffe00,0x6401ffff,0x3fee3fff,0x7ffdc02f,0xffe98005,
    0x17ff602f,0x001fffb8,0x5c43fff7,0x302fffff,0x03dffffb,0x4c3ffff5,
    0xfd5102ee,0x3ffea1ff,0x3ffaa20a,0x55301cff,0x017fffb5,0x009ffb00,
    0x40effdc0,0x20fffeb8,0x30aefff8,0x300bfff9,0xfb803fff,0xffa81dff,
    0x7fff446f,0x7ffe440b,0x20a882ef,0x03ffffc9,0x710fffdc,0x005fffff,
    0x3fbfffe6,0xffffffff,0x7fffffc6,0xffeeffff,0x7fe43fff,0xffffefff,
    0x3fe24fff,0xffffefff,0x46ffffff,0xfffffffe,0x6c000fff,0x320004ff,
    0xfeffffff,0xc83fffff,0xffffffff,0xfc800fff,0xfffb007f,0xffffdddf,
    0xffff303f,0xfffffdff,0x223fffff,0xffffffff,0xff9805ff,0xfffffeff,
    0x9006ffff,0xffffffff,0x21ffffff,0xfffffff9,0xffffffff,0xffff984f,
    0xffffffff,0xfffffa83,0xffffffff,0xfff10fff,0xffffffff,0x3ffb8005,
    0x7fff4000,0xffffffff,0x3ffff604,0x002fffff,0x22007ffb,0xfffffffe,
    0x3ea03fff,0xffffffff,0x3fffffff,0xfffffff3,0x7e4007ff,0xffffffff,
    0x000fffff,0xbffffff9,0xc87dfff7,0xfebefffe,0x01efffff,0x3fffff66,
    0x2a02efff,0xdffffffe,0x43effffb,0xffffffec,0xe88005ff,0x5c40000d,
    0xfffffffe,0xfffb801e,0x2001efff,0xfa8006e9,0x0dffffff,0xffffd880,
    0xfffdcfff,0x3fff20df,0x8000cfff,0xdffffffc,0x003efffb,0x0009ab98,
    0x26aea600,0x2aa62000,0x54c0009a,0x00000aac,0x00000000,0x9aaa9980,
    0x9aa98000,0x00000000,0x00137753,0x03575310,0x002aa600,0x04d5cc00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01b90000,0x001b9000,0x06000300,0x4cc40000,
    0x00000000,0x00cccc40,0x000cd440,0x0000bb88,0x0000cb88,0x00001953,
    0x00333100,0x2006a620,0x74c02dc9,0x30002fff,0x0005fffd,0x50013f62,
    0x500001df,0x7dfffffd,0x4fb805b5,0xd0004fb8,0x2e00ffff,0xcffffffd,
    0x7fdc04ca,0x00bea3ff,0x51ffffdc,0xfffb107f,0x4000001f,0xcffffffc,
    0xff9303da,0x101bffff,0x3203ffff,0x0dffefff,0x3bfff200,0x22000dff,
    0x44001ffe,0x10002ffe,0xfffffffb,0x440fffff,0x3fe21fff,0x7fdc001f,
    0x7ec407ff,0xffffffff,0xff501fff,0xffbfffdd,0xbdff5005,0x07ffbfff,
    0x01ffdff5,0xfff30000,0xffffffff,0x7fff4c1f,0x2fffffff,0x41ffffd4,
    0xfc88dffe,0xbffd006f,0x00dff911,0x0007ffe6,0x001fff44,0x3fffffe2,
    0xffffffff,0x3a1ffa00,0x7fc4007f,0x3a207fff,0xffffffff,0x303fffff,
    0x7fffd45d,0x545d3004,0x4204ffff,0x00000ff9,0x7fffffc4,0x2fffffff,
    0x3ffffff2,0x41ffffff,0x7c40ffff,0x01fea82f,0x75417fc4,0x77fcc01f,
    0xffc80000,0x3fff6003,0xfdb989ae,0x2a201fff,0x4000a880,0x07fffffc,
    0x37bffff1,0x3fffee62,0x05dc4003,0x05dc4000,0x000ff980,0x6fffec00,
    0xfffc988b,0x37fff22f,0xfffda89b,0x0805d446,0x00100080,0x009f7001,
    0x005fb800,0xc809fff5,0x00000fff,0x3fffe600,0xfff907ff,0x3fff8809,
    0x00999880,0x00031000,0x00001ff3,0x2e05fff8,0x3fee2fff,0x03fff205,
    0x00031000,0x20001310,0x01000000,0x4037fec0,0x22007ff8,0x3f600009,
    0x887ffbff,0xf9005fff,0x3fb6a03f,0x00cfffff,0x3ffb2a20,0xf9800bdf,
    0x0b6a000f,0x200fffc4,0x3fe61fff,0x07ffe203,0xffd95100,0x220017bf,
    0x3dfffffd,0x00000000,0x01fff400,0x6c402da8,0x03dfffff,0x2b3ffea0,
    0xfffb87ff,0x207b1000,0xfffffffc,0x8800ffff,0xfffffffe,0x7fcc01ff,
    0x6ffd8800,0x700bffe0,0x980550df,0x22001fff,0xfffffffe,0x7fe401ff,
    0xefffffff,0x3bbbae02,0x3ae004ee,0x004eeeee,0x00003fff,0x7fffffe4,
    0xe802efff,0x0fff57ff,0x0000dff9,0x7fffffec,0x406fffff,0xffffffe8,
    0x201fffff,0x7dc00ff9,0x3f602fff,0x00000bff,0x400dffb0,0xffffffe8,
    0xb01fffff,0xffffffff,0xf505ffff,0x0bffffff,0x3ffffea0,0xfff005ff,
    0x3f600005,0xffffffff,0x3ee02fff,0x0fff52ff,0x00009ffd,0x44d66ecc,
    0x00fffda8,0x15bfffd1,0x5ffff951,0xabffba98,0x77fff4c1,0x7fffd401,
    0x0000acef,0x01ffff54,0xadfffe88,0xffffca88,0x67fffdc2,0xfffdb98a,
    0x7fffcc0f,0xf3005fff,0x0bffffff,0x000fffa0,0x33fffee0,0xfffdb98a,
    0x6fff880f,0x3fe1ffea,0x0000002f,0xc817ffc4,0x3e602fff,0x3ffea6ff,
    0xf72fffff,0x00267fff,0xfffffff5,0x220017df,0x0efffffb,0x05fff900,
    0xf337ffcc,0x7dc03fff,0xaaa884ff,0x22005ffd,0x05ffdaaa,0x003fff90,
    0xfff9872a,0x3ffee01f,0x21fffd84,0xfff87ffa,0x99997102,0xcba80379,
    0x3fffbcde,0x7009fff0,0x32e21fff,0xeabccccc,0xffd9dfff,0x3f6603df,
    0xefffffff,0xffffc800,0x2dc980ef,0x2e013ffe,0xfff70fff,0x1fff9003,
    0x005ffc80,0x4017ff20,0x80bffff9,0x2e6ffd98,0xfc801fff,0x3ffe60ff,
    0x743ffd44,0xfff982ff,0x84ffffff,0xfffffffa,0xf983ffff,0xfff1007f,
    0x3fff2005,0xedfff8af,0xeca803ff,0x00ffffff,0x8177ffe4,0xf99ffff8,
    0xfff1007f,0x3fffff25,0xffffffff,0x7e401fff,0x3f20005f,0x3fea005f,
    0xffeeffff,0x3f26ffff,0xffffffff,0x1fffffff,0xf503fffa,0x09ffb0ff,
    0xfffffff5,0xfffd8dff,0xffffffff,0x06ffb83f,0x5017ff60,0x321bfffd,
    0x01fea0ef,0x7fffd510,0x405ffa80,0xfbbffff9,0x3ff6006f,0xffffffd5,
    0xffffffff,0xffc805ff,0x3ff20005,0x7ffe4005,0xffffffff,0x3fffa1ff,
    0xffffffff,0xf52fffff,0xffffffff,0x7dc7dfff,0xdddb705f,0x7e43dfff,
    0xedceffff,0xfa83ffff,0x3ff6006f,0x3bfff204,0x3e606442,0x2007910f,
    0x74406ffc,0xfffe801e,0x2006ffa8,0xfffb4ffd,0xffffffff,0x807fffff,
    0x20005ffc,0x98005ffc,0xfffffffd,0x7fec0bef,0xffffffff,0x73ffffff,
    0xffffffff,0x54ffffff,0xfd000fff,0x77ffc47f,0x07ffd00a,0x1003fff1,
    0x7fc03fff,0x3fa2004f,0x200bff26,0x00007ffa,0xfff10ba8,0x3fff1003,
    0x2667fff2,0x99999999,0x7fe40099,0x3ff20005,0x3a620005,0x3201aacf,
    0x99999fff,0x99999999,0xffffff70,0x9fffffff,0x802fffc4,0x3fea3ffe,
    0x3ffe601f,0x01fffd03,0x5407ffe8,0x3fe6001d,0x03bffa0e,0x000fffb0,
    0x3fffa000,0x53fff400,0x0000bfff,0x000bff90,0x0002ffe4,0x54006ff4,
    0x20005fff,0x99999998,0xb80fffb9,0x441bffff,0x2a3fffca,0x2a20afff,
    0x81cffffe,0x40bffffb,0x004fffea,0x077fdc00,0x86fffffa,0x05fffeb9,
    0x0ddc4000,0x817ffff7,0x6c4fffea,0x980adfff,0xfc805edb,0x3f20005f,
    0xfe80005f,0xfffb006f,0xdb73015b,0x3f2a200b,0xfffb01ff,0xffffffff,
    0x7fc47fff,0xffffefff,0x86ffffff,0xeffffffb,0x004fffff,0x13ff6200,
    0x7ffffff4,0xffffffff,0x02775c00,0xf707fffc,0xffdfffff,0xff109fff,
    0xffdfffff,0x445fffff,0xeffdaaaa,0xa880aaaa,0xaeffdaaa,0xbb000aaa,
    0x1001ff79,0xdfffffff,0x5fffffff,0xfffffc80,0xffc885ff,0xffffffff,
    0x7fd41eff,0xffffffff,0x80ffffff,0xfffffffa,0x00004fff,0x410bffea,
    0xfffffffd,0x02ffffff,0x017fffc4,0xa87ffff5,0xffffffff,0x3fa604ff,
    0xffffffff,0xff70ffff,0xffffffff,0x7dc9ffff,0xffffffff,0x804fffff,
    0x005fffff,0x3fffffa6,0xffffffff,0x7ffff400,0x36607fff,0xfffffffe,
    0x3ffaa01c,0xffbdffff,0x36603eff,0x2dffffff,0x3fe20000,0x0fffffff,
    0xfffb3bd3,0x0019ffff,0x8803fffa,0xd980ffff,0x2dffffff,0xfffff700,
    0x417dffff,0xfffffffd,0x6fffffff,0x3ffffff6,0xffffffff,0xcfdb8806,
    0xfffb8000,0xbeffffff,0xfffda800,0x26002eff,0x4c001aaa,0x0000aaca,
    0x00037510,0x3fffe200,0x202fffff,0x001aaa98,0x9800aa88,0xba8801cc,
    0x2ea20001,0x366009ab,0xffffffff,0x262effff,0xfffffffd,0x02efffff,
    0xa8800000,0x00009abb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00066000,0x00003d70,0x65cc0000,0x510001bc,
    0x4ccc4007,0x5cc00099,0x2a200003,0x000001cc,0x00000998,0x03510000,
    0x000cccc0,0x004ccc40,0x3fae0000,0x2004efff,0x003fffd8,0xdb107b62,
    0x7ffd4005,0x400dffff,0x05ffeca8,0xffffff88,0xffd8805f,0xfb00005f,
    0x003fffff,0xfffea800,0x2e01cfff,0xa880004f,0xadffffec,0x3ffea4d9,
    0xf10001ff,0x0009ffff,0x3fffa600,0x01efffff,0x7ff7ffdc,0x6ffb801e,
    0xb8037fdc,0xffffffff,0xffea81ff,0xb805ffff,0x5fffffff,0x5ffffa80,
    0xcff98000,0x0005fea9,0x3fffffa0,0x3e07ffff,0x260000ff,0xfffffffe,
    0xfb1fffff,0x0003ffff,0x13ffffee,0x3fe60000,0xffffffff,0xdff903ff,
    0x007ffee3,0xff989ff3,0xffffb804,0xeffffedf,0x3ffffe20,0xe8805fff,
    0x05ffffff,0x0017f210,0x07fd4040,0x7ffe4000,0x7fffffff,0x003fff10,
    0x3ffffea0,0xffffffff,0xffffd53f,0x3fa20003,0x00004fff,0x56ffff44,
    0xffffca88,0xe884fe81,0x3029803f,0x3bffe005,0x3fff260a,0x777fffc4,
    0x262005ff,0x4005ffd9,0x800005fc,0x0006feaa,0x337dfff0,0x22039753,
    0x88001fff,0x31bdffff,0x87ffffd5,0x0001fff8,0x0027ff44,0x0ffff600,
    0x886fffa8,0x00000c00,0x03fff500,0x3262fff4,0x00bff90a,0x0017ff20,
    0x80000bf9,0x001ffffd,0x01fff980,0x03fff100,0x0bfffb00,0xf83fffc8,
    0xd80001ff,0x200004ff,0xa804fffa,0x00003fff,0x7cc00000,0x3ffdc04f,
    0x002ffe40,0x4005ffc8,0x36a005fc,0x3fff6602,0x5006dc05,0xd7000fff,
    0xddddfffd,0xff019ddd,0x3ffe009f,0x001fff82,0x224ffd80,0xff900019,
    0x37ff400d,0x7777775c,0x3bbae004,0x2a004eee,0x37fe400b,0x002ffe40,
    0x4005ffc8,0xfd8805fc,0x5ff7006f,0xa87ffd50,0xeefffeed,0xfa83deee,
    0xffffffff,0x4c3fffff,0xf7000fff,0x43fff01f,0x0ceeeedb,0x3af3ff60,
    0x001effff,0x9800fffa,0x7ffd47ff,0x5005ffff,0xbfffffff,0xff880000,
    0x5ffc805f,0x0bff9000,0x5c05fc80,0x2002ffff,0x3ff623fe,0x7fffc0ef,
    0xffffffff,0x7ffcc1ff,0xffffffff,0x7fdc2fff,0xf8054006,0xffff51ff,
    0x7ec09fff,0xffffffff,0xfff003ff,0x7ffc4003,0x3ffffe61,0xff3005ff,
    0x00bfffff,0x7fff4400,0x05ffc802,0x00bff900,0x35dfb531,0x1efffe88,
    0xca99aca8,0xffff50ff,0x3ffffa09,0xffffffff,0xffba880f,0xaaaaaabf,
    0x004ffd81,0x4c7ffe00,0x3fffffff,0x3fffff60,0x2fffffff,0x007ffcc0,
    0x510bffe0,0x00bffb55,0x7fed5544,0xfd100005,0x3f200bff,0xff90005f,
    0xffffd00b,0x3fee7fff,0x3ff603ff,0xd8bfffff,0x2201efff,0xaafffcaa,
    0x4400aaaa,0x7c001fff,0x200002ff,0xfffb1fff,0xfd80359f,0xb98adfff,
    0x7cc04fff,0x7fc000ff,0x2ffe402f,0x0bff9000,0xfffd1000,0x2ffe400d,
    0x05ffc800,0xcccccb98,0x8dfffeab,0x65446ffa,0xffb9cdee,0x0bff93ff,
    0x0003ffd4,0x8003fff1,0x00002fff,0x3ffafffe,0x3f6002ff,0xdff904ff,
    0x01fff880,0x007ffe20,0x4000bff9,0x40005ffc,0x00effff9,0x0017ff20,
    0x0002ffe4,0x44bffff2,0xd1006fff,0x3e63dfff,0x3fea05ff,0x3fe20007,
    0x7ffc001f,0x3fe00003,0x01ffffff,0x3027fec0,0xfe801fff,0x3fe6002f,
    0x2ffe400f,0x0bff9000,0x7fffd400,0x5ffc8005,0x0bff9000,0x3fffaa00,
    0x1bfff60d,0x0ffffee0,0x540bfffd,0x220007ff,0x74001fff,0x200004ff,
    0x0effffff,0x04ffd800,0xb003ffe6,0x7ec00dff,0x5ffc806f,0x17ff2000,
    0x7fffdc00,0xbff90005,0x17ff2000,0x3ffff200,0x37effdc2,0x1bfffd10,
    0x05feffc8,0x8001ffea,0x4001fff8,0x00006ffd,0x3ffffffe,0x4ffd8002,
    0x003ffe60,0x5007fff5,0xf9009fff,0x7e4000bf,0xffc8005f,0x320004ff,
    0xf90005ff,0xfff000bf,0xbcff8819,0x3ffe606f,0xfdaff982,0x01ffea05,
    0x01fff880,0x017ffd40,0x3ffe0310,0x003fffff,0xf3027fec,0xffb001ff,
    0x7ffcc05f,0x0bff9006,0x02ffe400,0x5ffffb10,0x5ffc8000,0x0bff9000,
    0x3603b500,0xc80df76f,0xb5fe880c,0x3ffd40bf,0x5fff1000,0x7ff41880,
    0x4ff9801f,0xffaafff8,0x3f6004ff,0x3ffe604f,0xffff8800,0x3ffee21c,
    0xbff9001f,0x2ffe4000,0xffffe880,0xffc80001,0xbff90005,0xffb80000,
    0x000ffdac,0xfd57ff90,0x1ffea01b,0x1bfff000,0x1fff6544,0x13bffff3,
    0x37ffe4c4,0xffa8fffc,0xffb005ff,0x07ffcc09,0xfffffa80,0x4fffffff,
    0xfb555510,0x015555df,0xffb55551,0x8815555d,0xaacfffff,0x82dbaaaa,
    0xeffdaaa9,0xaa881aaa,0xaaeffdaa,0x3a0000aa,0x7fffffff,0xfffff000,
    0xca98dfff,0xaaaaafff,0xffffb000,0xffffffdf,0xfffff98b,0xffffffff,
    0x3ffea23f,0x37fffe61,0xffe9881a,0xfffb881d,0xffd5000a,0x5fffffff,
    0x3ffffee0,0xffffffff,0x3fffee4f,0xffffffff,0x3ffe64ff,0xffffffff,
    0x7ff46fff,0xffffffff,0xfff70fff,0xffffffff,0x20009fff,0xffeccccb,
    0x99990002,0x3e63dfd9,0xffffffff,0x8805ffff,0xffffffff,0xf981efff,
    0xffffffff,0x3fee2fff,0x7fec1fff,0x7ec6ffff,0x264fffff,0x0fffffff,
    0xffff9100,0x7ec01bff,0xffffffff,0x366fffff,0xffffffff,0x26ffffff,
    0xfffffff9,0xffffffff,0xffffff10,0xffffffff,0x3fffff63,0xffffffff,
    0xe980006f,0x80005fff,0xf73fffea,0xffffffff,0x200fffff,0xffffffd9,
    0x6dc402df,0xcefffffe,0x7ffffec0,0x7fffffc1,0xffff10ff,0x7fe4ffff,
    0x003fffff,0x3001aa98,0xfffffffb,0x45dfffff,0xffffffd9,0x2effffff,
    0x3fffffe6,0xffffffff,0x3fffae0f,0xefffffff,0x3ffff664,0xffffffff,
    0xea80002e,0x80005fff,0xb14ffffb,0xffffffff,0x8005dfff,0x000abba8,
    0x3006aa20,0xa83ffffb,0x43effffe,0x2effffeb,0x3fffff62,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ccc4000,0x0072a000,0x376e2000,0x7100001b,0x000037bb,
    0x9b001331,0x99999999,0x2b999999,0xdeeeeeb8,0x3bbbb662,0x76d400ce,
    0xeeeeeeee,0x7776dc3d,0xeeeeeeee,0x76dc4eee,0xbdeeeeee,0x77775c02,
    0xeeeeeeee,0x3664eeee,0xeeeeeeee,0x5ed4000c,0x1fffd800,0xfffe9800,
    0x800bd10d,0xfffffec8,0x44001cff,0xffffffec,0x6c4001cf,0x202effff,
    0xfb9c0003,0x0fffffff,0xfffffffd,0x7fffc409,0xffffffff,0xfffff53f,
    0xffffffff,0x7fd4bfff,0xffffffff,0xff901eff,0xffffffff,0x4bffffff,
    0xfffffffe,0x2e004fff,0xfd805fff,0x7c4001ff,0xfdfffdff,0x3fea005f,
    0xfeb99bcf,0xff5003ff,0xfd73379f,0x3ea007ff,0x3fffffff,0x53800070,
    0xffffffff,0x7fffffec,0x7fffc03f,0xffffffff,0xfffff31f,0xffffffff,
    0x7fccbfff,0xffffffff,0xfc84ffff,0xffffffff,0x5fffffff,0x3ffffff6,
    0x2003ffff,0xd807fffd,0xe8001fff,0xbfffb10c,0x37fea001,0x13ff2200,
    0x401bff50,0x4404ffc8,0xffffffff,0x000380ff,0x9fffb31c,0x7f654415,
    0xca8801ef,0xcdfffccc,0x7ff5c41b,0xccccccce,0x7e445ffe,0xfdccccff,
    0x7e42ffff,0xffecccef,0x5ffeccce,0x667ffe54,0x7d4001bc,0xaa9805ff,
    0x2a00000a,0x3fe6001b,0xffc81883,0x007ff302,0xf7017fe4,0xff5139ff,
    0x8000705f,0x402ffe43,0x40005ffc,0xfd802fff,0x2ffe404f,0xf5037fdc,
    0x7fe41fff,0x322ffe45,0xfff985ff,0x1abccccc,0x00059300,0x13300000,
    0x2e27f400,0x91edffff,0x233fa0ff,0x1ceffffe,0xff903fe4,0x0e09b30d,
    0xffc87000,0x05ffc805,0x017ffc00,0x2e027fec,0x6ffb85ff,0x927ffdc0,
    0x5ffc8bff,0x7cc2ffe4,0xffffffff,0x00000eff,0xdd910000,0xffffd37d,
    0x46f8805d,0xfffddffd,0xdf107f62,0x7f777fe4,0xd80fec2f,0x038004ff,
    0x3ff21c00,0x05ffc805,0x017ffc00,0xfb127fec,0x2e0ffe65,0xffd806ff,
    0xc8bff90f,0x2ffe45ff,0x7fffffcc,0x2fffffff,0x7775c000,0xf9004eee,
    0xffffffff,0x5409ffff,0xb07bea3f,0x2a1fdc5f,0x3e63ec3f,0xfc81fdc5,
    0x0038005f,0x17ff21c0,0x0017ff20,0xb005fff0,0x2ffcc9ff,0x1bfee053,
    0x5c7ffe60,0x2ffe43ff,0x3e60ffea,0xa99999ff,0x0005fffd,0x3fffffea,
    0xfff7005f,0xffffffff,0x3f205fff,0x3a60bf61,0x3f917e61,0x4c7e87d8,
    0x0fff505f,0x38000700,0x6402ffe4,0x7c0005ff,0xffd802ff,0x07ffdcce,
    0x100dff70,0x37625fff,0x222ffe40,0xfff980dd,0x01fff200,0xfffff980,
    0x3a6005ff,0x98adffff,0xfd06ffeb,0x3e003fc1,0x3f607f47,0xf85feb99,
    0x3ff72e27,0x400accdf,0x321c0003,0xffc805ff,0x7ffc0005,0xffffd802,
    0x7007ffff,0x3fa00dff,0x5ffc803f,0x07ffcc00,0x003fff30,0x7ed55440,
    0x7fec005f,0x0fff705f,0x800bf1fe,0x361fe0fe,0xd05fffff,0x3ffff61f,
    0x04ffffff,0x90e0001c,0xff900bff,0xf001510b,0xffb005ff,0x0fffffff,
    0x401bfee0,0xfc803ffe,0x7fcc005f,0x3ffe600f,0x02f77440,0x800bff90,
    0x3e605ffd,0x20fd80ff,0x237c006f,0x667ec0fd,0x6cdf03ff,0xffffffff,
    0x001c04ff,0x0bff90e0,0xfd0bff90,0x05fff00d,0xdddfffb0,0x3ee00fff,
    0x7ffd006f,0x00bff900,0x200fff98,0xffb87ffc,0x3ff2002f,0x27fec005,
    0x701fff10,0x8017ec5f,0x217dc4f9,0x30bfa67d,0x776dc49f,0x00bdefff,
    0x90e0001c,0xff900bff,0x00fff88b,0x6c017ffc,0x1bfea4ff,0x0dff7013,
    0x003fff10,0x9800bff9,0x64cc0fff,0xffd85fff,0x2ffe4005,0x813ff600,
    0xf980fff8,0xa82bbea4,0xf30bf23e,0x7fc47d89,0xfa80bf20,0x001c007f,
    0x0dff70e0,0xf989ff90,0x7ffc00ff,0x24ffd802,0x3fee3fe8,0x4037fdc0,
    0xc800fffa,0x7cc005ff,0xffffffff,0x7c40efff,0x7e4000ff,0x7fec005f,
    0x03ffe204,0xfff90ffc,0x3a23fffd,0xf89ff80f,0x3fea5fff,0x3200fe8c,
    0x01c007ff,0xfff30e00,0x43ffe805,0x2200fff9,0xfd801fff,0x7fec084f,
    0x2037fdc3,0x9006ffe8,0xf9800bff,0xffffffff,0x7ff504ff,0x0bff9000,
    0x204ffd80,0xf900fff8,0xbdffd98d,0x320bfd10,0x3deec8ef,0x02ff5ee4,
    0x7001bffa,0x7c438000,0x3ff206ff,0x07ffcc1f,0x200fff70,0xfe804ffd,
    0x037fdc3f,0x007fffd1,0x30017ff2,0x99999fff,0x37ec0159,0x05ffc800,
    0x1027fec0,0x7f401fff,0xffe8800d,0x0037fa00,0x8803ffa2,0x3a604fff,
    0x070000e4,0x217dfff9,0x985fffc9,0x222cefff,0x9805fffc,0xaaaadffe,
    0x3ffeaaaa,0x2abfff22,0xffffdcaa,0x7ed54c05,0x4401aaef,0xaaabfffb,
    0x003ff000,0x4017ff20,0x09dffe98,0x202fffa8,0x7102ffe8,0xe8803ffd,
    0xfd7102ff,0x7ffd403f,0xaaaaaacf,0x00072ffe,0xffffd038,0x1fffffff,
    0xffffff30,0x1dffffff,0x7ffffc40,0xffffffff,0xff13ffff,0xffffffff,
    0x401dffff,0xfffffffd,0xff906fff,0xffffffff,0x004f9805,0xffb55551,
    0xb015555d,0x89ffffff,0x06fffffe,0x33bfff62,0x00efffec,0x9dfffb10,
    0x01dfffd9,0x7ffffff4,0xffffffff,0x3800072f,0xfffffd10,0x5c03dfff,
    0xffffffff,0x7d400eff,0xffffffff,0xffffffff,0xffffff53,0xbfffffff,
    0xfffff801,0x0fffffff,0xffffffe8,0x4404ffff,0xffff7002,0xffffffff,
    0xffff89ff,0x3fe27fff,0x400fffff,0xeffffdb9,0xb730001b,0x037dffff,
    0xffffff88,0xffffffff,0x800070ff,0x7fffdc03,0x36a004ff,0x0cefffff,
    0xfffffb00,0xffffffff,0x3f627fff,0xefffffff,0xfd7001bc,0xdfffffff,
    0x3fffaa07,0x01dfffff,0x3fff6000,0xffffffff,0x7f5c6fff,0x75c3efff,
    0x4003efff,0x00000aa8,0x20005544,0xffffffeb,0x0defffff,0x33333336,
    0xcccccccc,0x3553005c,0x0aa98000,0x00000000,0x00000000,0x00000000,
    0xfffffb30,0xdfffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeeec88,0xeeed982d,0xdb300cee,0xdddddddd,0x01dddddd,0x019bcca8,
    0x03710000,0x47bdddb7,0x0ceeeed9,0xeeeeedb8,0x2002bdee,0xeeeeeeb8,
    0x000000ee,0x7776dc00,0xbceeeeee,0x77776400,0xeeeeeeee,0x6f776d46,
    0xdeeeda82,0x00666643,0x32007ba2,0xffffffff,0x7fffffc0,0xfffd05ff,
    0xffffffff,0x201fffff,0xffffffe9,0x30330004,0xfffa8fff,0xffd0ffff,
    0xfa8bffff,0xffffffff,0xb802efff,0xffffffff,0x0000003f,0x3fea3dd5,
    0xffffffff,0x3a03ffff,0xffffffff,0x3e27ffff,0x40ffffff,0x2fffffff,
    0x5003fffe,0xff5009ff,0xd0ffffff,0x7fffffff,0x3fffff60,0xffffffff,
    0xff880fff,0x06ffffff,0xffffb710,0x1ffff57b,0x7fffffd4,0xfffffb0f,
    0xffff989f,0xffffffff,0x7fcc04ff,0x6fffffff,0x75400000,0xfff34fff,
    0xffffffff,0x3a07ffff,0xffffffff,0x7fc7ffff,0xfe87ffff,0x3a1fffff,
    0xffc807ff,0xfff95005,0xf951015b,0xda805bff,0xcdffebff,0x80fffccc,
    0xffdefffd,0xfff9802f,0xffffffff,0xffe983ff,0x3f2a20ae,0xff9102ff,
    0xffb9999f,0xb9805fff,0xffffffdc,0xd9800001,0x263fffff,0xcccefffb,
    0x1ffffecc,0xccceffe8,0x46fffecc,0x80ffffa8,0x40bffff8,0xfc806ffd,
    0x7ffc005f,0x0fffb804,0xfd3ff900,0x0fff887f,0x3264fff8,0xffffa800,
    0xffffffff,0x13ff604f,0x200fff98,0x3ea07ffa,0xf7000fff,0x009fffff,
    0x7ffe4400,0xffb02eff,0x1fffcc09,0x7c41fff4,0xff701fff,0x9fff709f,
    0x2017ff20,0x64005ffc,0x7f400fff,0x5ffa005f,0x7fc43ffe,0x0fffc40f,
    0x7fffd400,0xfffa889c,0x3ff603ff,0x03ffe604,0x5c07ffa8,0xff004fff,
    0x01fff9bf,0xffff7000,0xffd807ff,0x42ffec04,0xffe83ffe,0x7ffec03f,
    0x81bffe21,0xfc804ffb,0x7fc4005f,0x3ffea03f,0x29ff1002,0x3e353ffe,
    0x0bfff07f,0x83ffff00,0xffffffe8,0x409ffb00,0x2a00fff9,0xffc807ff,
    0x7ffd400f,0x003fff89,0x3ffffea0,0xffd800cf,0x427ffc04,0x7fe42ffd,
    0xfff8804f,0x807fff66,0xfc803ffa,0xffd8005f,0x01bff606,0xffd2ffb8,
    0x7d71ff77,0x007fff20,0x441fff98,0xfffdfffe,0x409ffb03,0x2a00fff9,
    0xff9807ff,0x37fec01f,0x3000dffb,0x1bfffffd,0x827fec00,0xa83fffd9,
    0x3ffea0ef,0x3ffee006,0x404fffbc,0x4cc42ff9,0x99effd99,0x7fd40199,
    0x3fff881f,0x743ff600,0x03ffedff,0x006fff88,0xfd117fee,0x17ffabff,
    0x66677fec,0x0fffdccc,0xefffecb8,0xfff80cee,0x8fffe202,0x3001fffa,
    0x3dfffffb,0x9dffb000,0xfffffb99,0x7ffcc00d,0x7fec000f,0xf006ffff,
    0x3fffe63f,0xffffffff,0x3a02ffff,0xfffc85ff,0x4bff1000,0x3ffffffe,
    0x7ffff440,0xfd06f2a4,0x7fff447f,0x6c1bfee5,0xffffffff,0x540fffff,
    0xffffffff,0x3ffe85ff,0xd03fff20,0xfc8809ff,0x002effff,0x3fffff60,
    0x1fffffff,0x5fffd100,0xffff1000,0x9fa003ff,0xfffffffb,0xffffffff,
    0x3ffee05f,0x0027ffc0,0x7ff47ff5,0x2203ffff,0x1ffffffe,0xffd8dffd,
    0x8bfffd15,0xffb05ffc,0xffffffff,0xff981fff,0xffffffff,0x204ffd85,
    0xffb84fff,0xfffd100f,0x80001dff,0xfffffffd,0x00efffff,0x004fffd8,
    0x0ffffea0,0x3fa61880,0xffffffff,0x01efffff,0xfa8fffe2,0x3f2001ff,
    0xefffeeef,0x3f203fff,0x9efffdff,0x3f21ffff,0x5fffe9ff,0xd81fff44,
    0xeeeeeeff,0xa80fffee,0xcccfffdc,0x03ffe80c,0xddddfff5,0x807fffdd,
    0x3ffffffb,0x3bff6000,0xfffeeeee,0x3ee00eff,0xd80005ff,0x100006ff,
    0xbffb3333,0x20013333,0x3ffa7ffd,0x7fffc006,0xfcbfffff,0x53ffa01f,
    0xfffffffa,0x7ffffcc3,0xfffd85ff,0x409ffb00,0x2a00fff9,0xff8807ff,
    0xffffb02f,0xffffffff,0xfff9100d,0xb0005dff,0x7ecc09ff,0xfff304ff,
    0x01ee881d,0x400bff90,0xfc802dd9,0x3e60005f,0x2fff9aff,0x3fffe600,
    0xb8bfffff,0xfff88622,0x3fffff61,0xfffffb04,0x3ffaa21d,0x13ff605f,
    0x200fff98,0xfa807ffa,0xfff880ff,0xffffffff,0xb1001fff,0x03dfffff,
    0x4027fec0,0xff886ffe,0x4ffb81ff,0x00bff900,0x007fffe2,0x8000bff9,
    0x7ffcdffe,0x20ffe400,0xff883ffe,0x443fff33,0x101fffff,0xffffffff,
    0x80bfffff,0x3e604ffd,0x3fea00ff,0x07ffd807,0x9999fff9,0x9ffd9999,
    0xfffe9800,0xfd800dff,0xfff9804f,0x81ffff40,0xf9005ffc,0x3fe600bf,
    0x7fe403ff,0x7fdc0005,0x4004ffff,0x3ffe87fe,0x3fe5ffa8,0x3fff21df,
    0xfffd809f,0xffffffff,0x4ffd804f,0x803ffe60,0x3a207ffa,0xfff03fff,
    0x1fff7009,0xfffd5000,0x7ec019ff,0xfffb804f,0x813fff20,0xf9005ffc,
    0x7ff400bf,0x2ffe400f,0x3ffe2000,0x51000fff,0x3ea23dff,0xdaaaadff,
    0x3fff66ff,0xffffffff,0x77ffe46f,0xdffffffd,0x7ff4c402,0xfffc881d,
    0x5fff900a,0xfffb7555,0xfff710bf,0x7fdc4039,0xf70001cf,0x307fffff,
    0x5555bffd,0xdfffd955,0x55ffffd4,0xffdaaaaa,0x3f6aa205,0xa801aaef,
    0x5ffc800a,0xfffc8000,0xfff3005f,0xffffbfff,0xffffffff,0x7fffc4df,
    0xffffffff,0x1dfff11f,0xd0005544,0x4fffffff,0xfffffffc,0x3ffffe20,
    0xffffffff,0x7ffd40ff,0xfd86ffff,0x03ffffff,0xffff9100,0x3fffe67f,
    0xffffffff,0x2e2fffff,0xffffffff,0x05ffffff,0xfffffffb,0x0000dfff,
    0x0001ffd4,0x017fffcc,0xffffffb8,0xffffffff,0x46ffffff,0xffffffc8,
    0x7f44effc,0xf880000e,0x1fffffff,0xfffffffd,0x7ffffd47,0xffffffff,
    0xffffc80d,0x7fc0ffff,0x05ffffff,0x7ffecc00,0xffffff74,0xffffffff,
    0xfffb87ff,0xffffffff,0xfff05fff,0xffffffff,0x2200001f,0xb00001ed,
    0x6c400dff,0xfd9effff,0xffffffff,0x53106fff,0x02a00135,0xffeb8000,
    0x3faa4eff,0x6c0dffff,0xffffffff,0x36601bce,0x83efffff,0xdfffffea,
    0xbb300001,0x3ffff621,0xefffffff,0xfffb80bd,0xffffffff,0xfd505fff,
    0xdfffffff,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x776dc000,0xeeda82de,0x776dc3de,
    0xedb83dee,0x6d43deee,0xeeeeeeee,0x76dc3dee,0xdeeeeeee,0xddb5002c,
    0xdd9305bd,0xeeda87bd,0xeed980de,0xd910ceee,0x9ddddddd,0x00000001,
    0x777776dc,0xeeeeeeee,0x3bb664ee,0xceeeeeee,0x3bb6e00b,0x36e1ceee,
    0xdb83deee,0xeb804eee,0x7c40bdee,0x40ffffff,0x1fffffff,0xfffffff3,
    0x7fffcc7f,0xff12ffff,0xffffffff,0x3ea3ffff,0xffffffff,0x201effff,
    0xfffffff8,0x7fffff40,0xfffff11f,0xffffd0bf,0x3ff6bfff,0xffffffff,
    0x03ee8805,0xffff3000,0xffffffff,0x74bfffff,0xffffffff,0xa83fffff,
    0xffffffff,0xffffff36,0x7fffc45f,0x7ff401ff,0x7fc43fff,0xfe87ffff,
    0xf10fffff,0x3fffffff,0x7fffffc4,0x3fffe1ff,0xffffffff,0xffff30ff,
    0xffffffff,0x3e203fff,0x40ffffff,0x1ffffffe,0x3ffffffe,0x7ffffec2,
    0xffff94ff,0x09ffffff,0x05dfff70,0xffff8800,0xffffffff,0x365fffff,
    0xffffffff,0x45ffffff,0xfffffff9,0xfffff35f,0x7ffc43ff,0x3ea04fff,
    0x882fffff,0x881ffffb,0x4c0cffff,0x81bceffe,0x1fffdcb8,0x7f666544,
    0x40acccef,0xcceffeb8,0xfffffecc,0xffff7300,0x9ffff105,0xfffea883,
    0x7f6540ff,0x765cc1ef,0x001bceff,0x3dfffff3,0x7f544000,0xccccccef,
    0x545ffecc,0xccccfffc,0x43fffffd,0x2cefffb9,0x05ffffec,0x7ffffec4,
    0xdffffd00,0x5fffb803,0x205fffc8,0x2e005ffd,0xff9006ff,0x27fec00b,
    0x02fffb88,0x5427ffdc,0x7dc04fff,0xf904ffff,0x4ffd80df,0xfffd3000,
    0x40001bff,0xfc805ffc,0x0fff985f,0x20ffff30,0xffd84ffd,0x7fdc01ff,
    0xff983fff,0xfb006fff,0x7ffdc9ff,0x237fe406,0x7fe47ffd,0x0bff9005,
    0x2027fec0,0xfd804ffe,0x3ffe21ff,0x7ffdc00e,0xffc81fff,0x027fec06,
    0x3fffaa00,0xc8000cff,0xffc805ff,0x00fff984,0x3603ffee,0x3ffa24ff,
    0xffb801ef,0xffd87fff,0x3a006fff,0xfff9bfff,0x3ffdc00f,0x6c3ffff1,
    0xff9004ff,0x27fec00b,0x2017ff60,0xfb0efff8,0xff7003ff,0xf90dffff,
    0x4ffd80df,0xfff70000,0xc8007fff,0x51fe45ff,0xfff305ff,0x0fffc401,
    0xfe9a7fec,0xf7000eff,0x447fffff,0x06ffffff,0x3ffffe20,0xfa801fff,
    0x3fffee7f,0x400fffa4,0x36005ffc,0x3fea04ff,0xfff5002f,0x009fff59,
    0x3fefbfee,0x037fe43f,0x00013ff6,0xfffffc88,0xbff9002e,0x06637fc4,
    0x9007ffcc,0xffb01fff,0x1bffff59,0x6f7fdc00,0x3fff26ff,0x4c006ffc,
    0x02ffffff,0x361fff30,0x3fe7ffff,0xbff9002f,0x227fec00,0x0ffffda8,
    0x3ffff600,0x3ee006ff,0x41fffd6f,0x7ec06ffc,0x8800004f,0x1efffffd,
    0x6677fe40,0x26007ffd,0xff100fff,0x3bff60df,0x8005ffff,0xfffaeffb,
    0xff79fff2,0xfff5000d,0x7fc4009f,0xfffff89f,0x01fff89f,0x400bff90,
    0xfffffffd,0x002fffff,0x7fffffc4,0x5bfee001,0x3f25fff9,0x27fec06f,
    0xfd300000,0x201bffff,0xfffffffc,0x3fe6007f,0xfeb9999f,0xffb03fff,
    0x03ffffff,0xfd6ffb80,0x73fff7df,0xf9000dff,0xf800bfff,0xffffbaff,
    0x0fff9cff,0x00bff900,0x7fffffec,0x001effff,0x3fffb326,0xb802ccef,
    0x3fff26ff,0xd80dff93,0x000004ff,0xffffffe8,0xfffffc80,0x26007fff,
    0xffffffff,0x3604ffff,0xffffffff,0x3fee001f,0xffffff76,0x001bfeeb,
    0x9ffffff5,0x75fff400,0xafffcdff,0x3f2007ff,0x3ff6005f,0xffffffff,
    0x7775c002,0x5eeeffff,0x746ffb80,0x6ffc8fff,0x2027fec0,0xea8002d9,
    0x00cfffff,0xfdddfff9,0x7fcc00ff,0xffffffff,0x7ffec04f,0x1ffffdaf,
    0x7cdff700,0xf72fffff,0x7fcc00df,0x02fffeff,0xfffdffb0,0xffbfff35,
    0x2ffe400f,0x55bffb00,0x03ffffd5,0x02ffe400,0x2a37fdc0,0x6ffcdfff,
    0x2027fec0,0x3a6007fe,0x00dfffff,0xff12ffe4,0x7ffcc00f,0x0defffff,
    0x20effd80,0x7006fffa,0x7ffdcdff,0x01bfee6f,0x457fffc4,0xc801ffff,
    0xd0ffffff,0x00dfffff,0xb002ffe4,0xfffb09ff,0x3f20003f,0xffb8005f,
    0xfefffd86,0x27fec06f,0x1007ffe0,0x3dfffffb,0xb17ff200,0x7fcc009f,
    0x8000999f,0xffb84ffd,0x6ffb803f,0xb8bfffe2,0xffd006ff,0x7fffcc7f,
    0x7fffdc00,0x3ffff25f,0x3ff2005f,0x13ff6005,0x8037ffe4,0xfffffffc,
    0xfb806fff,0xffff886f,0x7fec06ff,0x07ffe204,0x7ffffe44,0x7fe4002e,
    0x7cc00085,0x6c0000ff,0xfffb04ff,0x46ffb801,0x7fdc7ffc,0x4fffd806,
    0x406fffa8,0x23fffffa,0x04fffff9,0x8017ff20,0x3f204ffd,0xaa8804ff,
    0xaaaeffda,0x06ffb801,0x0dfffff5,0x2204ffd8,0xffb81fff,0x0003ffff,
    0x0000bff9,0x0001fff3,0xf104ffd8,0xffb807ff,0x2e04cc46,0x3f2206ff,
    0xffb00fff,0x3fe601bf,0x7ff40fff,0x2aa603ff,0xaaaeffda,0x5bffd301,
    0x2ffffa01,0xffda9801,0xc8800aae,0xfd81afff,0xaa886fff,0xaaaadffe,
    0x21fffbaa,0xcfffffea,0xffb30000,0x8003555d,0xaabfffb8,0x3fa6000a,
    0xffc80adf,0xffc881af,0x36a201ae,0xff980eff,0x221fffff,0x3fffffff,
    0x86ffff88,0xd02ffffc,0xffffffff,0x7c4fffff,0x5fffffff,0x2fffff88,
    0xffffff10,0x4c03ffff,0x6fffffff,0x237fffc4,0xfffffffb,0xffffffff,
    0xffff51ff,0x7c0001bf,0xffffffff,0xffc800ff,0xffffffff,0x7fffcc02,
    0x7c44ffff,0x3e66ffff,0x86ffffff,0xfffffffc,0x7ffffdc3,0x3ffe63ff,
    0xff05ffff,0xfff307ff,0xffff103f,0xffffffff,0x3ffea3ff,0x507fffff,
    0x2a0bffff,0xffffffff,0x3fee03ff,0x41ffffff,0x7ec6fffb,0xffffffff,
    0xffffffff,0x03dfff71,0xffff9800,0x2fffffff,0xfffffe80,0x404fffff,
    0xfffffffb,0xffffd86f,0xfffff70f,0xffe81fff,0x445fffff,0x0dfffffd,
    0x6fffff64,0x01ffff01,0x5c03fffa,0xfffffffe,0x3624efff,0x2effffff,
    0x8077ff60,0xffffffec,0x3f6200df,0xd04effff,0xffd98dff,0xffffffff,
    0x11ffffff,0x400005bb,0xffffffec,0xfd5004ff,0xbfffffff,0xfffd8803,
    0xf982efff,0x3f624eff,0xa83effff,0x1dfffffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0003db00,0x0004ccc4,0x01802620,0x004cc400,0x0000c400,0x200004c4,
    0x3a801998,0x0000ae00,0x02600013,0x3b6e0062,0x775c43ee,0x30000eee,
    0x40040013,0xbff50008,0xffeda800,0x000cffff,0x3dffff93,0x037fff62,
    0x7ffff540,0x402dabef,0xdfffeca8,0xffb1000b,0x2007bfff,0xffffffc8,
    0x3fea1dbd,0x0acca88e,0xedb87ffb,0xff911eee,0xddb705bf,0x51dfff5b,
    0x5019fffd,0xb89fffff,0x81ffffff,0xe9beeec8,0x202effff,0x3ea03ff8,
    0x3ff9802f,0x3ffff200,0x0fffffff,0x7ffffdc0,0xfffecfff,0x36200eff,
    0xffffffff,0x3a207fff,0xffffffff,0x7ffe401f,0x2effffff,0x3ffffee0,
    0x26ffffff,0xfffefffb,0x4fffefff,0x3fffffe6,0xffffffba,0x3fffea3f,
    0xffffffff,0x40efffff,0x44fffff9,0x1ffffffa,0xffffffc8,0x4fffffff,
    0x507fff70,0x2200bfff,0x7ffec001,0xffffffff,0x7fffe406,0xffffffff,
    0xf106ffff,0xffffffff,0x101fffff,0xfffffffd,0x3603ffff,0xffffffff,
    0xf982ffff,0xffffffff,0x7ff47fff,0xffffffff,0x3fe20eff,0xffffffff,
    0x30ffffff,0xffffffff,0xffffffff,0xfd5109ff,0xff75109f,0xffff703f,
    0xffffffff,0xfff105ff,0x7fffd47f,0x26000002,0xa889acdd,0x2200fffd,
    0xffa8abdd,0xffc9cfff,0xefffd82f,0xffdb989a,0x7ff441ff,0xfca88adf,
    0x7fdc2fff,0xdb98acff,0x7ec0ffff,0xb988acff,0x7f447fff,0xfffeffff,
    0xfaa880ff,0x9cffffff,0x7ec45fea,0xffd8afff,0x5ffd8aff,0x8813ff60,
    0xfd301fff,0x7315bfff,0x3e60dffd,0xfffabfff,0x0000002f,0x02fff880,
    0x8bfffb00,0x7fd46ffe,0x7ffe404f,0x017ffe40,0x7ccdfff3,0x3ee01fff,
    0x2fff44ff,0xfd0bff10,0x7ff545df,0xfffff807,0xff70081e,0x0fffdc3f,
    0x7ec0dff7,0x3ffe204f,0x17fff601,0xf303ffdc,0x7fffffff,0xa8000000,
    0xffbcdecb,0xdca8803f,0x541fffec,0x3ff61fff,0x87ff8806,0xfb804fff,
    0x3fff70ff,0x41fff900,0xabdefffc,0x3fe20a20,0x1fffa83f,0x06ffffc0,
    0x71bfee00,0x6ffb8fff,0x8813ff60,0x3f601fff,0x3ffe605f,0x3fffe600,
    0x333103ff,0x33333333,0x3ea01333,0xffffffff,0x3f6203ff,0xffffffff,
    0xffffffff,0x400fffa2,0x3ffcc2da,0x92fff880,0xffffffff,0xffffffff,
    0x7ffffc43,0x502dffff,0x3fa01fff,0x27ffc03f,0x46ffb800,0x7fdc7ffb,
    0x813ff606,0x3601fff8,0x3fe204ff,0x7ffdc00f,0xffff305f,0xffffffff,
    0xfd85ffff,0xffffffff,0xff703fff,0xffffffff,0xffffffff,0x00fffc7f,
    0x01bfee00,0xffd5ffd8,0xffffffff,0x85ffffff,0xffffffd9,0xffa84fff,
    0x07ffd00f,0x0002fff8,0xffb8dff7,0xb037fdc7,0x7fc409ff,0x13ff601f,
    0x200fff88,0x3ffffffa,0xffffffc8,0xffffffff,0x3fff25ff,0xffedceff,
    0xfff983ff,0xfffeceff,0xffffffff,0x00bffe3f,0x00dff500,0xffda7fec,
    0xffffffff,0x03ffffff,0xffffd973,0xfff88dff,0x01fffa83,0x80017ffc,
    0x7fdc6ffb,0xb037fdc7,0x7fc409ff,0x13ff601f,0x500fff88,0xffffffff,
    0xfffff987,0xffffffff,0xfff12fff,0x3ffa015d,0x82fffc83,0x9999fffc,
    0x3fa09999,0x7c40003f,0xff8801ff,0x33fff91f,0x33333333,0x05d41333,
    0x1fffda88,0xd3177ff4,0xfff00fff,0x3fee0005,0x2e3ffdc6,0x3ff606ff,
    0x07ffee05,0x2204ffd8,0xffa80fff,0xffff9aff,0x99999883,0x09999999,
    0x300fffd4,0xff707fff,0x0ffff60d,0x01fffc80,0xffe83950,0x3fff400f,
    0x000bfff5,0x74027fcc,0x7fff44ff,0xfffffeef,0x017ffc00,0x5c6ffb80,
    0x37fdc7ff,0x443fff70,0x02fffffb,0xf8813ff6,0x7ffcc0ff,0x3fffe62f,
    0xfa800002,0x3aa20aff,0x4c1cffff,0xfb10cfff,0x2a23ffff,0x3fe60dec,
    0xd9880bff,0x7ffdc6ff,0x7ff540bf,0x6fffec4f,0x5edb980a,0x1077ffee,
    0x6c9fff73,0xffffffff,0x4c0effff,0xaacfffaa,0x7e4401aa,0x3ffee0ff,
    0x403ffee0,0xffeffff9,0x6fffffff,0x4efff4c4,0x42fffa80,0xf982fffc,
    0x800004ff,0xfefffff8,0xffffffff,0x7ffff46f,0xfffffffe,0x2fffffef,
    0x7fffffd4,0xffffffee,0xfffffb86,0x4fffffef,0xffffff88,0xffffffef,
    0xfffff72f,0xfffffddf,0x3fffee3f,0xffffffff,0x3fffa4ff,0xffffffff,
    0xfff980ff,0xfff74fff,0x3fffee9f,0xfffff904,0xffffffff,0x7fffec1f,
    0x7fff44ff,0x0bfe66ff,0x0001ef98,0xfffff500,0xffffffff,0x7f441fff,
    0xffffffff,0xffffffff,0xffffc81f,0xffffffff,0xffff501f,0x09ffffff,
    0x7fffff4c,0xffffffff,0xffffff50,0x5fffffff,0x5c477fd4,0xffe88bcc,
    0xffffff14,0xffffffff,0xfffff703,0x3fffeedf,0x0dffff76,0x7fffffe4,
    0x43efffbd,0x7fffffff,0x3fffffe2,0x0000040f,0x3aa0014c,0xbdffffff,
    0x883effff,0xdcfffffd,0xfffffebe,0x3ff6601c,0xbeffffff,0x7ffecc00,
    0x7002dfff,0xffffffff,0xcfd817df,0xffffffff,0x800cb80c,0x3fae0cc8,
    0xffffffff,0xffb104ef,0x3fee5bff,0xdfff72ef,0x13573005,0x7fff5c00,
    0x7ff5c3ef,0x000003ef,0x8003ff98,0x000aaca9,0x402aea20,0x44000ab9,
    0x01aabba9,0x00375100,0x4d5dd440,0x5dd4c000,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x09ff5000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdc800000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdb300000,0x443bdddd,0x2deeeeec,0x1ef776cc,
    0x5bdddb70,0xeeeeeec8,0x0eeeeeee,0x37bbbb22,0x3bbbb221,0x0020040c,
    0x00000000,0x26666200,0x99999999,0xb8809999,0xaa8801bc,0x10000000,
    0xcb980395,0x16665c02,0x2aaaaaa6,0xaaaaaaaa,0x3ffffa0a,0x3ff66fff,
    0x20ffffff,0x2ffffffe,0xffffff98,0x3ffff60f,0xffffffff,0x3fffee0f,
    0x3fff26ff,0x3be24fff,0x0004fa80,0x0000ffcc,0x4bea09d3,0xfffffff9,
    0xffffffff,0x7fd45fff,0xd881efff,0x000dffff,0x3f22012e,0xff701fff,
    0x3e05ffff,0x3ffe1fff,0xffffffff,0x0fffffff,0xfffffffb,0x7ffffd49,
    0x7ffec7ff,0xff881fff,0x7ec6ffff,0xffffffff,0x3ea0ffff,0x2a4fffff,
    0x43ffffff,0x7fc41efe,0xff70000d,0x3fea0009,0xf72ffb84,0xffffffff,
    0xffffffff,0x4e7fccbf,0xffe85fda,0x800fffff,0x7cc02ffa,0xff01ffef,
    0x30df935b,0x7fccbfff,0xffffffff,0xffffffff,0x37ffee62,0xcfffca82,
    0xcfffb80a,0x2e659951,0x7ec0cfff,0xfdaaaadf,0xfd983fff,0x3fe62fff,
    0xfe881eff,0x077fcc2f,0x02ffe400,0x6c2ffdc0,0x3ffa23ff,0xffffffff,
    0x5fffffff,0x3ff117ee,0x75dfffe4,0x7fcc05ff,0x444401ff,0x881101ff,
    0x7ffe42ff,0x7ffff640,0xffffffff,0xffb04eff,0x03ffec0d,0xffd1fffc,
    0x407ffccf,0x7fcc2ffc,0x7fe403ff,0xffffabff,0x3ffa200d,0x00fffd43,
    0x0017ff20,0xfe88bff9,0x3333103f,0x33333333,0x808bffb3,0x3ffa0ffb,
    0xd103ffc0,0x001fffff,0x53003ff1,0xffe81ffb,0x40000004,0xf982fff9,
    0xffd803ff,0x25ffff35,0xdd307ffb,0x1ffffd41,0xfffffb80,0xf1004fff,
    0xfffa89ff,0x917dfb02,0xbfb71bff,0x98bffb10,0x00004ffe,0x5c05ffc8,
    0x17fe24ff,0x7f407ff2,0x00efffff,0x2e00ffc4,0x7c42ffff,0x000000ff,
    0xd86ffe80,0xff7007ff,0x57ffff2f,0x2a005ffd,0x4003ffff,0x3ffffffa,
    0x6fffcc00,0x113ffea0,0xffffffff,0x43ffffff,0x260effe8,0x00004fff,
    0x6c0bff90,0x86ff84ff,0xffc80ffd,0x05fffcdf,0x2200ffc4,0x2a0effec,
    0x000004ff,0x45fff500,0x3003fff9,0xffff3fff,0x07fff1ff,0x0ffffea0,
    0x7fffec00,0xff98000e,0x3ffee0ef,0x7fffff45,0x6fffffff,0xb83bffe6,
    0x00004fff,0x2617ff20,0xffd03ffe,0x5c3ffd45,0x3ff66fff,0x07fe204f,
    0x364ff980,0xfff900ff,0xffffffff,0x01bfffff,0xffb37ff4,0x7ffc001f,
    0xdffffffd,0xfa801fff,0x88003fff,0xeffffffe,0x7ffec000,0x07fffe23,
    0x3fffff6a,0x7cc2dfff,0x3fee1fff,0x000000ef,0xffb8bff9,0x3ffea01e,
    0x542fffee,0x3a20ffff,0xff102fff,0x25fd8003,0xfff303ff,0xffffffff,
    0x5fffffff,0x4d7ffd40,0x6c004fff,0xfcefffff,0xa807ffff,0x0083ffff,
    0x777fff44,0x8801ffff,0x3e21fffd,0x74400eff,0x200fffff,0x261fffd8,
    0x0000effe,0x365ffc80,0x3aaabfff,0xffffffb8,0x81fffe84,0x260ffff8,
    0x21abffba,0xfba99bc9,0xe80df11f,0xffffffff,0xffffffff,0x77ff400f,
    0x4000fffd,0x9bfffffb,0x405fffff,0xa82ffffa,0xfff980ff,0xffffb0df,
    0x77ff4405,0x013ffe60,0x7fffffe4,0x1fffc804,0x003bff62,0x49ff5000,
    0xffffffff,0xdffd982f,0x02fff882,0x7d47ffe6,0x3fffffff,0xfffffff7,
    0x3310018b,0x33333333,0x20033333,0x4ffffffa,0xffff9800,0x7ffffd0f,
    0x6ffffd40,0xffeaaaaa,0x37fffd42,0x05ffffec,0xf313ffa2,0x3e6005ff,
    0x2fffdeff,0x41fffa80,0x0000effb,0xcc87b620,0x1ccccccc,0x0175c000,
    0x332e2754,0x2a0bcccc,0x002cdedc,0x80000000,0x00fffffe,0x4bffff00,
    0x101ffffb,0xffffffff,0x47ffffff,0x4ffffffe,0x3fffffee,0x10bff60f,
    0x74003dff,0xfff88fff,0x3ffd1006,0x000effa8,0x00000000,0x00000000,
    0x00000000,0x7fdc0000,0x360004ff,0x3fe22fff,0x3ffe207f,0xffffffff,
    0xfff13fff,0x7ecdffff,0x22ffffff,0x05f980ef,0x2a2fff80,0x32000fff,
    0x22fe884f,0xccccccb9,0xcccccccc,0x001ccccc,0x00000000,0x00000000,
    0xe8000000,0x20000fff,0xffc87ffb,0x3fffe206,0xffffffff,0x3ffb23ff,
    0x3f662dff,0x0045ffff,0x1ed40002,0x4c0016d4,0xfff88600,0xffffffff,
    0xffffffff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e200000,0xffffffff,0xffffffff,0x002fffff,
    0x00000000,0x00000000,0x2a200000,0x2a201bcc,0x3101cccb,0x4ccc4133,
    0x00000100,0x0c400098,0x22222222,0x88088888,0x99999999,0x99999999,
    0x50000199,0xbbbbbbb9,0xbbbbbbbb,0x0007bbbb,0x00000000,0x00000000,
    0x7fd40000,0xf984ffff,0x82ffffff,0x3f23fffc,0x00fd83ff,0x00033bb2,
    0x3e6007ff,0xfffffd0f,0xffffffff,0xffffffe8,0xffffffff,0x0fffffff,
    0x13ee13ee,0x00000000,0x00000000,0x00000000,0xffb80000,0x45ffdbbe,
    0xfcaabcd8,0x22fffa86,0xff82fffa,0xffffe981,0x642eb81f,0x7fdc04ff,
    0x3fffffa5,0x7fffffff,0x3fffffe6,0xffffffff,0xffffffff,0x441fff13,
    0x00001fff,0x00000000,0x00000000,0x00000000,0xf983ff88,0x9aa9882f,
    0x7ffcc1ff,0x207ffe61,0x3fa20dff,0x23ffffff,0xffb87ffc,0x44ffc80d,
    0xfffffffe,0x647fffff,0xffffffff,0xffffffff,0x3a0dffff,0x007fe87f,
    0x00000000,0x00000000,0x00000000,0x40df5000,0x3ff224fd,0x441fffff,
    0x3fe20fff,0x26fff80f,0xffcdfffd,0x5fffccff,0xfd8dff50,0x4000003f,
    0x88888888,0x88888888,0x10151008,0x00000015,0x00000000,0x00000000,
    0x20000000,0x93f206fb,0xfedceffc,0xf87ff81f,0x2ef7627f,0xa93ffa7f,
    0xffffffff,0xe83fa201,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x32ff982f,0x1ff883ff,0x6fe86fe8,0x97ffffe2,
    0xffe884d9,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6ffec000,0x266ffdab,0xffca9bff,0x42fec1cf,0x7edcc5fd,
    0x775c000c,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff900,0xfffd81bf,0x47ffffff,0x04fc84fc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,
    0x2e201cdd,0x1aaa8bcd,0x0f440f44,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_38_latin1_x[224]={ 0,7,4,1,2,2,3,7,8,3,2,1,6,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,6,1,-1,1,1,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,4,-1,4,1,-1,3,-1,-2,4,1,4,5,6,0,2,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_38_latin1_y[224]={ 27,5,6,3,3,5,8,6,5,5,5,7,22,15,
23,3,5,5,5,5,5,5,5,5,5,5,12,12,7,12,7,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,5,3,5,4,33,4,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,4,6,9,7,
5,5,5,7,5,12,15,15,7,1,2,3,5,5,4,12,5,14,25,5,5,12,5,5,5,12,-1,-1,-1,1,
0,-1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,1,-1,-1,-1,1,0,10,5,-1,-1,-1,0,-1,7,5,4,4,
5,6,5,4,11,11,4,4,5,5,4,4,5,5,5,6,4,4,5,6,5,8,10,4,4,5,5,4,5,5,
 };
static unsigned short stb__courier_bold_38_latin1_w[224]={ 0,6,12,18,16,16,16,6,9,9,16,18,8,15,
6,16,16,16,17,16,16,16,16,16,16,16,6,9,20,20,20,15,15,22,20,18,19,19,19,19,20,16,20,21,
19,22,21,20,19,20,21,17,18,20,22,22,20,20,16,8,16,8,16,24,8,19,21,19,20,18,18,19,20,17,
14,19,17,22,20,18,21,20,19,16,18,20,21,22,20,20,16,10,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,18,16,20,
4,18,12,22,13,18,20,15,22,24,12,18,11,10,8,20,17,6,8,10,12,19,21,24,20,15,22,22,22,22,
22,22,22,18,19,19,19,19,16,16,16,16,20,21,20,20,20,20,20,14,20,20,20,20,20,20,19,18,19,19,
19,19,19,19,22,19,18,18,18,18,17,17,17,17,18,20,18,18,18,18,18,18,20,20,20,20,20,20,21,20,
 };
static unsigned short stb__courier_bold_38_latin1_h[224]={ 0,23,10,28,29,23,20,11,28,28,15,20,11,5,
5,28,23,22,22,23,22,23,23,23,23,23,16,19,20,11,20,22,25,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,26,20,22,20,21,20,20,20,20,20,28,28,28,12,5,7,17,23,17,23,17,22,24,22,22,
30,22,22,16,16,17,24,24,16,17,22,16,15,15,15,23,15,28,28,28,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,25,21,16,20,
28,25,5,21,10,15,12,5,21,4,12,24,12,12,7,23,25,5,9,12,10,15,22,22,22,23,28,28,28,26,
27,28,20,28,28,28,28,27,28,28,28,27,20,26,29,29,29,27,28,15,25,29,29,29,28,28,20,23,24,24,
23,22,23,24,17,23,24,24,23,23,23,23,22,22,23,21,24,24,23,22,23,19,20,24,24,23,23,31,30,30,
 };
static unsigned short stb__courier_bold_38_latin1_s[224]={ 223,248,28,223,101,176,66,249,238,177,104,
1,225,86,249,135,229,76,58,44,114,123,140,157,212,214,249,244,169,234,147,
233,97,146,190,192,185,165,168,131,104,45,144,208,127,230,105,1,188,233,62,
215,205,123,20,22,1,228,211,82,43,242,186,102,68,20,22,63,193,102,154,
39,231,1,22,211,93,175,219,83,78,100,155,121,173,198,1,23,63,81,46,
60,251,71,50,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,223,246,81,
86,138,84,172,62,127,40,14,121,140,86,63,140,173,59,161,214,77,102,23,
249,41,203,1,84,111,190,133,160,20,1,24,210,149,112,43,1,89,109,152,
129,187,204,221,172,125,1,80,160,118,189,47,240,41,139,202,181,68,91,224,
193,194,233,140,151,61,174,40,75,214,113,20,95,57,39,22,40,174,19,20,
1,1,171,121,1,83,153,132,1,231,1,37,59, };
static unsigned short stb__courier_bold_38_latin1_t[224]={ 30,33,315,1,1,118,237,237,33,33,299,
237,299,315,249,33,118,191,191,143,167,143,143,143,118,143,167,214,237,299,258,
167,91,237,237,191,214,214,258,167,237,258,214,258,258,258,258,191,258,62,258,
167,214,214,237,258,258,237,237,33,33,1,299,315,315,279,143,279,143,279,191,
118,191,214,1,191,191,279,279,279,118,118,279,279,191,279,299,299,299,143,299,
33,1,33,315,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,30,118,91,
214,279,258,33,91,315,214,315,299,299,315,214,312,299,118,299,299,315,143,91,
184,315,299,315,299,191,167,191,118,33,62,62,62,62,33,237,33,62,62,33,
62,33,33,33,62,237,91,1,1,1,62,62,279,91,1,1,1,62,33,214,
118,91,91,118,167,143,91,279,167,91,91,167,167,167,167,191,191,143,214,118,
118,167,167,118,279,237,91,91,143,143,1,1,1, };
static unsigned short stb__courier_bold_38_latin1_a[224]={ 322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_38_latin1(stb_fontchar font[STB_FONT_courier_bold_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_38_latin1_s[i] + stb__courier_bold_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_38_latin1_t[i] + stb__courier_bold_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_38_latin1_x[i];
            font[i].y0 = stb__courier_bold_38_latin1_y[i];
            font[i].x1 = stb__courier_bold_38_latin1_x[i] + stb__courier_bold_38_latin1_w[i];
            font[i].y1 = stb__courier_bold_38_latin1_y[i] + stb__courier_bold_38_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_38_latin1_s[i] + stb__courier_bold_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_38_latin1_t[i] + stb__courier_bold_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_38_latin1_x[i] + stb__courier_bold_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_38_latin1_y[i] + stb__courier_bold_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_38_latin1_LINE_SPACING
#endif

