// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT        338
#define STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_39_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_39_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_39_latin1_LINE_SPACING          18

static unsigned int stb__courier_bold_39_latin1_pixels[]={
    0x003d9800,0x50008800,0x000ddddb,0x73017500,0x774c0001,0x0022004e,
    0x00040000,0x00000040,0x0300000c,0x00008800,0x00000006,0x002ffd40,
    0x201bee00,0x07fffff8,0x27fd4000,0x8001bfe6,0x2005fffa,0x000003fe,
    0x30002fe4,0x000003df,0x80007fd1,0x20003fe8,0xfd8004fd,0x1df50006,
    0x77fe4000,0x3f600000,0xfff8803f,0x400007ff,0x7fd46ffc,0x3fea0007,
    0x3ff2005f,0xd8800005,0x220003ff,0x00002fff,0x0003ffa6,0x000ffe98,
    0x0037fee0,0x8003fff8,0xb0006ffe,0x400009ff,0x2003ffe8,0x007ffdb9,
    0x40f6c400,0x260003fd,0x64004eee,0x00000eff,0x0007ffd3,0x007ffd10,
    0x03dff500,0x0f7fd400,0x77fdc000,0x0fffb000,0x05fff900,0x003ffb80,
    0x0bffe200,0x03ffd400,0x00000000,0xfa800000,0x440000ef,0x00001fff,
    0x00027fec,0x0001dff7,0x00077fdc,0x01fff500,0x007fff50,0x007fff88,
    0x00000e4c,0x80007bea,0x00007ffa,0x00000000,0x0bfa6000,0x01df7000,
    0x1fee0000,0x004fe800,0x0004fe80,0x007fd100,0x2001bffa,0x0003fffd,
    0x00300000,0x4cfff500,0x1000accb,0x99801333,0x26660099,0x09999999,
    0x00003000,0x20000006,0x06200018,0x000c4000,0x5000c000,0x98005fff,
    0x33106fff,0x99998013,0x80000000,0xffeafffa,0x204effff,0x0efffffd,
    0x7fffffd4,0x7ffffdc3,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0xd0000000,0xfb000dff,0xfffd85ff,0x7fd40eff,0x5443ffff,0xa881aaaa,
    0x2a01aaaa,0xffffffff,0x885fffff,0x2fffffff,0x7fffffec,0x7fffff47,
    0x06ffffff,0x1bcedba8,0x76dd4000,0x551001bc,0x55103555,0x2a603555,
    0xaaaaaaaa,0xaaa980aa,0xaaaaaaaa,0xa980aaaa,0xaaaaaaaa,0x00aaaaaa,
    0x8003fff7,0x3e25fff9,0x42ffffff,0x7ffffffd,0x3fffffe6,0xffff50ff,
    0x3ea0ffff,0xeeffffff,0xd85fffff,0x40efffff,0x3ffffffa,0x7fffffdc,
    0x206fffff,0xffffffe9,0x74c000df,0xdfffffff,0x3fffe600,0xff50ffff,
    0xe8ffffff,0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0x7ffffc43,
    0xffffffff,0x3e01ffff,0xfe8005ff,0x7fffec7f,0x7ffd40ef,0x3fee3fff,
    0x92ffffff,0xffffffff,0xfffff503,0xbfffd305,0x807fff50,0x2600fffe,
    0xfd999999,0xffff906f,0x3dffffff,0x3ffff200,0x1effffff,0xffffff70,
    0x3fff25ff,0xf11fffff,0xffffffff,0x2abfffff,0xffffffff,0xffffffff,
    0x3fffea1f,0xffffffff,0x201fffff,0x4001fffb,0x7d40fffd,0x7ff403ff,
    0x7ffec40f,0x3fa65fff,0x504fffff,0xe801ffff,0xdffd07ff,0x027ffcc0,
    0x70dff900,0xd9bfffff,0x803fffff,0xcdfffffb,0x81fffffe,0xffffffd8,
    0x3ffffa65,0x7ff5c4ff,0xffffffff,0x3fff61ef,0xffffffff,0x6c1fffff,
    0xffffffff,0xffffffff,0x17ffe201,0x03fff700,0x7cc0dffd,0x3fee04ff,
    0x1fff9807,0x00bffea0,0x2a07ffe2,0xffd03fff,0x7e40001f,0x7fffcc6f,
    0x6fffd883,0x0ffffe60,0x81bfff62,0xf9807ffb,0xff5001ff,0x2ffe400f,
    0x407ffe20,0x7c405ffc,0x7fe401ff,0x3fea000f,0x3fffa83f,0x401fffd0,
    0xf9807ffb,0x3fea01ff,0x7ffd000f,0x261fffa0,0x40004fff,0x7ff46ffc,
    0x7ffdc01f,0x03fffd04,0x704fffb8,0xff300fff,0x3fea003f,0x17ff2007,
    0x203fff10,0x7c405ffc,0x7fc401ff,0x3fe6004f,0x0fffd04f,0xb809fff3,
    0xff9807ff,0x3ffea01f,0x09ffd001,0xfd0fffea,0xc80001ff,0x3ffee6ff,
    0x1fffb003,0x003fffb8,0xf701fffb,0xfff300ff,0x1ffea003,0xa85ffc80,
    0x6403ffe0,0x3e0a85ff,0xffd800ff,0xfff1000f,0x0fffea0b,0xb801fffd,
    0xff9807ff,0x3ffea01f,0x3fff9803,0xfa9fffa0,0xc80004ff,0x1bff66ff,
    0x42fff980,0x26006ffd,0xffb82fff,0x1fff9807,0x00fff500,0x3fa2ffe4,
    0xfc817f26,0xf937f45f,0x3ffe600b,0x9fff1003,0xf53fff40,0xff7009ff,
    0x3fff300f,0x0ffffd40,0x03fffd10,0xfe9fffd4,0xc80000ff,0x0fffa6ff,
    0xe89ffd00,0x7f4003ff,0x07ffb84f,0x001fff98,0x6400fff5,0x3ffe25ff,
    0x97ff2000,0x0000fff8,0x5401fff6,0x3ea03fff,0x1fffd3ff,0x00fff700,
    0x5403fff3,0x443fffff,0x805fffea,0xfffafffe,0xff900004,0x0017ffcd,
    0xfff17ff2,0x5ffc8005,0x9807ffb8,0xf5001fff,0x7fe400ff,0x1fffffff,
    0x3ffff200,0x001fffff,0x00fffe60,0xd00bffee,0x9fff5fff,0x01ffee00,
    0xa807ffe6,0xefffffff,0x0efffffe,0xfffffa80,0x900000ff,0x3ffe6dff,
    0x3ffdc001,0x8003fff3,0xffb87ffb,0x1fff9807,0x00fff500,0x7fffffe4,
    0x32001fff,0xffffffff,0x7f40001f,0xfffc806f,0x7fffd400,0xf7000fff,
    0xfff300ff,0x7fffd403,0xffffffff,0x3fa001ef,0x0003ffff,0x7c5bff20,
    0x7dc001ff,0x07ffe26f,0x70dff700,0xff300fff,0x3fea003f,0x3fff2007,
    0x01ffffff,0x3fffff20,0x0001ffff,0x2017ffd4,0xfd007ffe,0x4007ffff,
    0xf9807ffb,0x3fea01ff,0xfffffdaf,0xfa8003ff,0x0000ffff,0xff9bff20,
    0x7fec002f,0x0017ffc5,0x3ee17ff6,0xfff9807f,0x0fff5001,0x5577fe40,
    0x2001fffb,0xfbaaeffc,0xe80001ff,0x3fe206ff,0xfff5006f,0x7dc001ff,
    0xfff9807f,0x89ffea01,0x0001abba,0x001ffff4,0xe9bff200,0x7f4004ff,
    0x027ff43f,0x2e0fffa0,0xff9807ff,0xfff5001f,0x22ffe400,0x02e60fff,
    0x3fe2ffe4,0x0002e60f,0x3205fff7,0x3a002fff,0x54003fff,0x7d400fff,
    0x3fea00ff,0x74000007,0x00000fff,0xff937fe4,0x3fea001f,0x07ffe42f,
    0x82fffa80,0x5400fffa,0xf5000fff,0x7fe400ff,0xff11fdc5,0x717ff20b,
    0x02ffc47f,0x4437ffc0,0x74007fff,0x44000fff,0x7e404fff,0x3ffd406f,
    0xff500000,0xd000007f,0x7ffd49ff,0x6fff8805,0x805fffa8,0xf106fff8,
    0xffc809ff,0x1ffea006,0x805ffc80,0xff907ffa,0x0fff500b,0x83fff700,
    0x2003fffc,0x0003fffa,0x2a01ffff,0x7d405fff,0x2000007f,0x0000fffe,
    0x217ffd40,0x2204fffc,0xf902fffe,0x7f4409ff,0x3ffe02ff,0xbfff500f,
    0x03ffd400,0x500bff90,0x3ff20fff,0x07ffa805,0x25fff880,0x000ffff8,
    0x0003fffa,0x8e7fffdc,0x00ffffb9,0x267ffee2,0x26620000,0x00cfffb9,
    0xb5333300,0xfd01ffff,0x2e615dff,0x7405ffff,0x730aefff,0xb80bffff,
    0x731cffff,0x4c01ffff,0xafffcaaa,0x6d440aaa,0xaaaaaeff,0x47ffcaaa,
    0xaaeffda8,0xfcaaaaaa,0xff90007f,0x13ffee3f,0xffb99988,0x360000cf,
    0xffffffff,0x3f603fff,0x6fffffff,0xffffd800,0x01ffffff,0x3ffffee0,
    0x303fffff,0xffffffff,0x801dffff,0xfffffff9,0x00efffff,0xffffffd8,
    0x203fffff,0xfffffffe,0x13ffffff,0xffffffff,0xffffffff,0x7fffc4ff,
    0xffffffff,0x007fffff,0x3a9fff10,0xffb00fff,0xffffffff,0x3f620003,
    0xffffffff,0x3fffe203,0x02ffffff,0x3ffffe20,0x05ffffff,0x3fffffe0,
    0x4c03ffff,0xfffffffe,0x3a6004ff,0xffffffff,0x3f62004f,0xffffffff,
    0x3fffe203,0xffffffff,0xffff55ff,0xffffffff,0x54ffffff,0xffffffff,
    0xffffffff,0x3f20007f,0x205ff95f,0xfffffff8,0x0005ffff,0x7fffffd4,
    0xfffd801e,0x006fffff,0xffffffd8,0x2002ffff,0xeffffffb,0x3fee001b,
    0x002effff,0xffffff70,0x3ea0005d,0x01efffff,0xfffffeb8,0x1dffffff,
    0x3ffffff2,0xffffffff,0x7ffe47ff,0xffffffff,0x007fffff,0x0130ee40,
    0xffffffd8,0x0002ffff,0x00135510,0x99999988,0x26620000,0x00099999,
    0x00266660,0x00355100,0x00d54400,0x13551000,0x00000000,0x00000000,
    0x00000000,0x33333331,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x00000001,0xc9800002,0x10000001,0x00008801,0x20000600,0xa80001dc,
    0x0000000d,0x80000da8,0x2a000cca,0x872a000d,0xeeeeedb8,0xd00072a0,
    0x0000007f,0x0000ff4c,0x002ffff4,0x0bfe6000,0x00003fe8,0x0001ff44,
    0x4000dff1,0x003fffd8,0x1003fd30,0x0007fffb,0x017fff62,0x00ffff62,
    0xffb9bfe6,0xf30fffff,0xffc800df,0xa8000004,0xb80006ff,0x0003f51f,
    0x02fff400,0x0000bff7,0x0003ffa6,0x0007ffa8,0xdffffff5,0x5ffe8001,
    0x7ffffd40,0x7e4000df,0x7d405fff,0x00efffff,0xffb9ffea,0xf50fffff,
    0xff9000ff,0x2000001d,0x0000effc,0x0027c5d8,0x3fff9800,0x0077fdc0,
    0x03dff500,0x7ffed400,0xfc80189c,0x3fff92ff,0x0fffee00,0xf92fffc8,
    0x3e2003ff,0x3200cfff,0xfff92fff,0x51ffea03,0x21fffb99,0x50007ffa,
    0x00001dff,0x0004ffc8,0x0fd43ee0,0xffd80000,0xfffa800f,0xeffb8000,
    0xffd30000,0x9fffffff,0x4c0dff80,0xff8805fe,0xbff100ff,0x004fe981,
    0xf003fff5,0x5fe981bf,0x540fff50,0xfff50fff,0x17f4c000,0x7ff10000,
    0xff880000,0x000006fe,0x4009fff3,0xe8003fe8,0x3e60004f,0xffffffff,
    0x00cc07ff,0x3fee002a,0x200cc04f,0xfff5000a,0x15006600,0xa81ffea0,
    0xfff50fff,0x00030000,0x00001300,0x000b6e20,0x0fffc800,0x10001800,
    0xffe80003,0xffffdfff,0x000000ff,0x001fffd0,0xffa80000,0x50000007,
    0x7fd40fff,0x00fff50f,0x00000000,0x00000000,0x3ffe2000,0x00000004,
    0x7ffcc000,0x3ffe4c0d,0xbcedba80,0x9fff5001,0x35555510,0x35555510,
    0x303ffd40,0x55555555,0x15555555,0xf503ffd4,0x1ffea1ff,0x55555540,
    0x540000aa,0x0aaaaaaa,0x55554000,0x0000aaaa,0x807ffe40,0xaaaaaaa9,
    0xa980aaaa,0x2aa201aa,0xfffa80aa,0x3017fe00,0xfffffffd,0xfffe801b,
    0x7ffffcc0,0xfff50fff,0x2a0fffff,0xfff887ff,0xffffffff,0x21ffffff,
    0x3ea07ffa,0x0fff50ff,0xffffff88,0x10004fff,0xffffffff,0x3e20009f,
    0xffffffff,0x3e200004,0xfffd05ff,0xffffffff,0x7fff47ff,0x7fdc0fff,
    0x7c44ffff,0x006201ff,0xfffffff9,0x7c03dfff,0xfffb85ff,0xf92fffff,
    0x3fffffff,0xf50fff50,0xffffffff,0xffffffff,0x503ffd43,0x3fea1fff,
    0x7fffd407,0x007fffff,0xffffff50,0x2000ffff,0xfffffffa,0x200007ff,
    0xf881fffb,0xffffffff,0xf15fffff,0x85ffffff,0x6ffffffd,0x01cfffe8,
    0xfffffb80,0xfffffecd,0x84fff981,0xffffffd8,0x3ffffa65,0xfff504ff,
    0x3fffff60,0xffffffff,0x3fea1fff,0x43ffea07,0x6c407ffa,0xffffffff,
    0xfd88002f,0xffffffff,0xffd88002,0x2fffffff,0xbfff0000,0x7ffff5c0,
    0xefffffff,0x3fffff21,0x7fffcc0d,0xfffb82ef,0x401bdfff,0x883ffff9,
    0xfa86fffd,0x3fee03ff,0x1fff9807,0x80fffb10,0x7c405ffc,0x027f41ff,
    0x3ea1fff5,0x7fc4007f,0x0005ffff,0xffffff88,0xff880005,0x0005ffff,
    0x002fffb8,0xb003ffd4,0x3f605fff,0x7fec02ff,0x2effffff,0x803fffd0,
    0x7dc4fffb,0x3fee01ff,0x1fff9807,0x05ffffc8,0x2202ffe4,0x40081fff,
    0xff50fffa,0xfffb800f,0x0000fffd,0x7fefffdc,0x7dc0000f,0x00fffdff,
    0x037ff400,0x003ffd40,0xa81ffff1,0xb5005fff,0xffffffff,0x03fffb87,
    0x6c1fffb0,0x3ee00fff,0xfff9807f,0x7ffffc41,0x42ffe401,0x003ffe0a,
    0x543ffea0,0x7fc007ff,0x04fff8ef,0x477ffc00,0x40004fff,0xfff8efff,
    0x3fea0004,0xffa8002f,0x7ffd4007,0x03fffe25,0xffb75100,0x7fec3fff,
    0x3ffe6006,0x701fffa2,0xff300fff,0xffffd03f,0x45ffc807,0x017f26fe,
    0xa87ffd40,0x3ea007ff,0x0fffb2ff,0x97ffd400,0x20007ffd,0xffb2fffa,
    0x7ff4000f,0xfff50006,0x5fffb000,0x000bfff6,0x93ffee20,0x74003ffe,
    0x3fff64ff,0x01ffee00,0x5407ffe6,0x7e406ffe,0x03ffe25f,0xfa802e60,
    0x0fff50ff,0xf53ffec0,0x360005ff,0x3ffea7ff,0xfffb0002,0x0017ffd4,
    0x001fffcc,0x8007ffa8,0xffbffff8,0x03eb805f,0x3fe5ffe8,0x7fe4002f,
    0x807fff25,0xf9807ffb,0x3fee01ff,0x7fffe407,0x401fffff,0x3ea06ff8,
    0x0fff50ff,0xd13ffe20,0xf1000bff,0x5ffe89ff,0x4fff8800,0x4002fff4,
    0x20007ffd,0x50007ffa,0x1fffffff,0x803fff00,0xfff35ffe,0x7ffb8003,
    0xb80bffee,0xff9807ff,0x1ffea01f,0xffffff90,0xfa803fff,0x3ffea07f,
    0x200fff50,0x7dc0fffb,0x7dc000ff,0x7ffdc0ff,0x7ffdc000,0x007ffdc0,
    0x007fff30,0x003ffd40,0x5fffffb0,0x1bfff300,0x453ffea0,0x5c001fff,
    0x3ffe66ff,0x01ffee03,0xa807ffe6,0x7fe407ff,0x1fffffff,0x503ffd40,
    0x3fea1fff,0x0bfff007,0x8009fff1,0xff885fff,0x7ffc004f,0x04fff885,
    0x003fff60,0x007ffa80,0x17fffe20,0x7ffffcc0,0xffffcaac,0x00bffe1f,
    0x7c4bffb0,0x3fee05ff,0x1fff9807,0x901ffea0,0xff755dff,0x7ffa803f,
    0x543ffea0,0xffa807ff,0xffffffff,0x3ea007ff,0xffffffff,0x2a007fff,
    0xffffffff,0x1007ffff,0x80009fff,0x40007ffa,0x1000fffb,0xffffffff,
    0xe89fffff,0x7f4004ff,0x07fffc3f,0x9807ffb8,0x3ea01fff,0x2ffe407f,
    0x0b983ffe,0xfa81ffea,0x0fff50ff,0xffffffb0,0x5fffffff,0x3ffff600,
    0xffffffff,0xfffb002f,0xffffffff,0xff9005ff,0xfa80001f,0x7d40007f,
    0x7ffc007f,0xffffffff,0x0fffc83f,0x85fff500,0xf503fffc,0xffa801ff,
    0x1ffea00f,0xfb8bff90,0xfa97fe23,0x3ffea07f,0x880fff50,0xffffffff,
    0x05ffffff,0xffffff88,0xffffffff,0xffff8805,0xffffffff,0x7fc405ff,
    0xfa80005f,0x7d40007f,0x56d4007f,0xcfffffda,0x0bfff501,0x10dfff10,
    0x3e20ffff,0x7fe404ff,0x07ffd406,0x500bff90,0x3ffd4fff,0x2a1fff50,
    0x7fdc07ff,0xaaaaaabf,0x400fffca,0xaaabfffb,0xfffcaaaa,0x5fffdc00,
    0xcaaaaaaa,0x3ee00fff,0xa80001ff,0x540007ff,0xa80007ff,0xff9007ff,
    0x7ff4409f,0x7fffb02f,0x403fffe0,0x4c05fffa,0x3f203fff,0x7ffa805f,
    0xfa81ffea,0x0fff50ff,0x8805fff8,0x7fc04fff,0xfff8805f,0x02fffc04,
    0x8827ffc4,0x00005fff,0x8000fff5,0x80007ffa,0x3a007ffa,0x730aefff,
    0x4c0bffff,0xff706fff,0x3ee639ff,0xff800fff,0x36a22fff,0xaaaaaeff,
    0x27ffcaaa,0x3f667ffa,0xf50fffff,0x3fee20ff,0xd5100acf,0xb8815fff,
    0x100acfff,0x815fffd5,0x0acfffb8,0x5fffd510,0x01fffb81,0xf9555300,
    0x015555ff,0xfffcaa98,0xa8000aab,0x3e6007ff,0xffffffff,0x6c00efff,
    0xffb02fff,0xffffffff,0x3fe6007f,0xffff16ff,0xffffffff,0x54ffffff,
    0x3fff27ff,0xff50ffff,0xfffff70f,0xffb81fff,0x70ffffff,0xffffffff,
    0xfffffb81,0xfff70fff,0xb81fffff,0xffffffff,0x001bffa0,0x7ffffff4,
    0x3fffffff,0xffffff90,0x005fffff,0x4006ff98,0xffffffe9,0xf1004fff,
    0x3f620bff,0xffffffff,0x7ffd4003,0xffffff53,0xffffffff,0x7fc4ffff,
    0x3ffffea5,0x0bff10ff,0xfffffff9,0xffffc85f,0xff92ffff,0x85ffffff,
    0xfffffffc,0xfffff92f,0xffc85fff,0x22ffffff,0x88002fff,0xffffffff,
    0x05ffffff,0xfffffffd,0x0009ffff,0x2e0009fd,0x2effffff,0x01ffd400,
    0x3fffffea,0x0660001e,0xfffffff9,0xffffffff,0xa88188ff,0x0c42aaaa,
    0xfffffd98,0xfffd984e,0x3f664eff,0x984effff,0x4efffffd,0x3fffff66,
    0xfffd984e,0x275c4eff,0xfffd7000,0xffffffff,0x3ff6a03b,0xdfffffff,
    0x00010000,0x00035510,0x2a200188,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00bda800,0x33bbbbaa,0x4c275402,0xa88000dd,0x310bceec,
    0xba817700,0x006d4000,0x00017300,0x36613aa0,0x3620000d,0x5c400003,
    0x2a000002,0x001bcedb,0x6ecc2754,0xb82ec800,0x3fe2003e,0xfff501ff,
    0x7401ffff,0x27fec2ff,0xffffd500,0x7ff9ffff,0xf327fd40,0x3f62009f,
    0x754003ff,0x13223fff,0xd85ffd00,0xf50004ff,0x00001dff,0x4c3dfff9,
    0xfd30002e,0x1bffffff,0xb0bffa00,0xffa809ff,0x007ffcc6,0x1fffff88,
    0xffffffa8,0x07ffa00f,0x32007ff9,0xffffffff,0x206fffff,0x3ff26ffc,
    0xffffa806,0xf8800dff,0xfcfffeff,0x7ff4006f,0x001ffe41,0x3fffff62,
    0x3f20003f,0xfcdfffef,0xffc8003f,0xffffffff,0x1ffe802f,0x2601ffe4,
    0x3ffc46ff,0x3fff6a00,0xccfffa84,0x415c401c,0xff9003b8,0xfdb9dfff,
    0x6c0fffff,0x17ff65ff,0x325fff90,0x7cc01fff,0xfffff50c,0x82b88003,
    0x7c4003b8,0xffe98dff,0x25fb0005,0x05ffffd8,0xfffffb80,0xfffffecd,
    0x4415c400,0x0175003b,0x32000393,0x7ffa86ff,0x50000000,0x3017ffff,
    0x6c0ffffd,0x17ff65ff,0x4c0dff88,0x910004fe,0x0000005b,0x417fdc00,
    0x00001ffc,0x2000736a,0x883ffff9,0x0006fffd,0x00000000,0xf50fff70,
    0x000000ff,0x00ffffa0,0xfe81fffa,0x013ffa4f,0x000a8033,0x00000000,
    0x30054400,0x00000005,0x01fffe80,0x0027ffe4,0x00000000,0x543ffdc0,
    0x750007ff,0x200379db,0xf5003fff,0x27ff40bf,0x00009ffd,0x9db75000,
    0x2aa20037,0xaa881aaa,0x00001aaa,0xaaaa8000,0x4000aaaa,0xd003fffb,
    0x55301fff,0x55555555,0xaaaa8015,0x0000aaaa,0x3ea1ffee,0x7f4c007f,
    0x0dffffff,0x007ffe60,0x3fe02fe8,0x80fffe3f,0xaaaaaaa9,0x4c00aaaa,
    0xfffffffe,0x3ffe600d,0xf50fffff,0x0fffffff,0xaaaaaaa8,0xff10000a,
    0x9fffffff,0x06ffd800,0xd0bffe60,0xffffffff,0x107fffff,0xffffffff,
    0x7dc0009f,0x07ffa87f,0x3fffff20,0x01efffff,0x0000fff7,0x37fff2a2,
    0x0bdfffcc,0x7ffffff4,0x3fffffff,0xffffff90,0x203dffff,0xfffffffb,
    0xfffff92f,0xff103fff,0x9fffffff,0x3ffea000,0x07ffffff,0x001fff40,
    0xff88fffa,0xffffffff,0xfa85ffff,0xffffffff,0x3fee0007,0x007ffa87,
    0x9bfffff7,0x03fffffd,0x00009ffb,0x3ffffffa,0xffffffff,0xffffff11,
    0xffffffff,0xfffff70b,0xfffffd9b,0xffffb103,0x7ff4cbff,0xf504ffff,
    0xffffffff,0x3f62000f,0xffffffff,0x5fff1002,0x45ffd800,0xffffffeb,
    0x81efffff,0xffffffd8,0x70002fff,0xfff50fff,0x7ffff300,0x0dfffb10,
    0x00007fff,0xfffffff1,0xffffffff,0x7ffff5c5,0xefffffff,0x1ffffcc1,
    0x037ffec4,0xf300fff7,0x7ec403ff,0xffffffff,0xff880002,0x3005ffff,
    0xb8001fff,0xffa806ff,0x3fe20007,0x0005ffff,0xfa85fff5,0xfffe807f,
    0x27ffdc01,0x0000fffe,0x7ffffedc,0x4effffff,0x007ffa80,0xb803fffd,
    0xff704fff,0x3fff300f,0x7fffc400,0xb80005ff,0x0fffdfff,0x01fff980,
    0x4037fe40,0x20007ffa,0xfffdfffb,0xfff88000,0x0fff51ff,0x003fffb8,
    0x7f41fffb,0x5400004f,0xfff50fff,0x3ffd4001,0x01fffdc0,0xb80fffd8,
    0xff9807ff,0x3fee001f,0x000fffdf,0x7c77ffc0,0xff8804ff,0x7fec002f,
    0x07ffa805,0x23bffe00,0x90004fff,0x3eabffff,0x37fec07f,0x45fff300,
    0x00005ffd,0xff53ffd4,0x7ffa800f,0x006ffd80,0x2e0bffe6,0xff9807ff,
    0x3ffe001f,0x004fff8e,0x6cbffea0,0xfff007ff,0x3ffe8009,0x007ffa80,
    0x365fff50,0xe88007ff,0xff53ffff,0x03ffe80f,0xf927ff40,0x400001ff,
    0x3fee7ffb,0x3ffd4007,0x001fff40,0x3ee13ffa,0xfff9807f,0x5fff5001,
    0x8001fff6,0x3fea7ffd,0xfffd802f,0x5fff5000,0x00fff500,0xfa9fff60,
    0x7d4002ff,0x3fea1cff,0x017ffc07,0xf997ff20,0x0d4004ff,0x2bfff6a2,
    0x002fffda,0x3e01ffea,0x7e4002ff,0x07ffb85f,0x001fff98,0x7fd4fffb,
    0xff88002f,0x02fff44f,0x402fffcc,0x5006fff8,0xf1000fff,0x5ffe89ff,
    0x43ffdc00,0x3e607ffa,0x7dc001ff,0x1fffec7f,0xb87ff440,0xffffffff,
    0x02ffffff,0x4c07ffa8,0x5c001fff,0x7ffb87ff,0x01fff980,0x744fff88,
    0xfb8005ff,0x7ffdc0ff,0x4fffe800,0x0bfffa20,0x003ffd40,0x2e07ffdc,
    0x2e000fff,0x7ffa87ff,0x007ffe20,0xe88dff70,0x221aefff,0xd2ffffb9,
    0xffffffff,0x0bffffff,0x880fff50,0x5c001fff,0x7ffb86ff,0x01fff980,
    0x5c0fffb8,0x7c000fff,0xfff885ff,0xffff8804,0xfff730ae,0x7fd400bf,
    0x5fff8007,0x004fff88,0x3ea1ffee,0x17ffc07f,0x217ff600,0xffffffe8,
    0x6fffffff,0x3fffffaa,0xefffffff,0x07ffa802,0x4002fff8,0xffb85ffd,
    0x1fff9807,0x885fff80,0x2a004fff,0xffffffff,0x3007ffff,0xffffffff,
    0x001dffff,0x2003ffd4,0xfffffffa,0x007fffff,0x3ea1ffee,0x27ff407f,
    0x40fffa00,0xffffffe8,0x104fffff,0xfd33bffd,0x7d4001bf,0x4ffe807f,
    0x41fff400,0xf9807ffb,0x7fd401ff,0xffffffff,0x3f6007ff,0xffffffff,
    0x3002ffff,0xfffffffd,0xf50009ff,0xffd800ff,0xffffffff,0xf7002fff,
    0x0fff50ff,0x000fffc8,0x4405fff5,0xfffffeca,0x7ff402de,0x0013ffa4,
    0xf900fff5,0x3ea001ff,0xfffa82ff,0x07ffd400,0x3fffff60,0xffffffff,
    0xffff8802,0xffffffff,0x7e4005ff,0x02dfffff,0x00fff500,0x7fffffc4,
    0xffffffff,0x0fff7005,0xfa80fff5,0xff8805ff,0x6fe4006f,0x3ffe0009,
    0x000fffe3,0xf500fff5,0xff100bff,0x3ffe20df,0x037fe404,0x3fffffe2,
    0xffffffff,0xbfffb805,0xcaaaaaaa,0xd1000fff,0x1019ffff,0x1ffea005,
    0xabfffb80,0xfcaaaaaa,0xffb800ff,0x807ffa87,0x2204fffc,0x4002fffe,
    0x7c000efc,0x0fffe2ff,0x00fff500,0x8813fff2,0x3e02fffe,0xff500fff,
    0xfffb80bf,0xaaaaaaab,0x7c00fffc,0xff8805ff,0xffe8804f,0xbcefffff,
    0xfa805ffd,0x3ffe007f,0x4fff8805,0x437ff440,0xfd007ffa,0x2e615dff,
    0x8005ffff,0x1000fffc,0x7ffc5fff,0x3ffd4002,0x5dfffd00,0x3fffee61,
    0x7fffdc05,0xffff731c,0x05fff801,0x104fff88,0x0159fff7,0x2bfffaa2,
    0x3ffff200,0xffffffff,0xaaa986ff,0xaaaafffc,0x67ffdc40,0xffd5100a,
    0xfffb015f,0xffff509f,0x3fe60bff,0xffffffff,0x26000eff,0x003fecba,
    0x3e23fff1,0x554c02ff,0xaaafffca,0xffff300a,0xffffffff,0xfffb001d,
    0xffffffff,0x7ffdc407,0xfd5100ac,0x7fdc15ff,0x40ffffff,0xfffffffb,
    0xffffd00f,0xffffffff,0xfffe83ff,0xffffffff,0xffff73ff,0xfb81ffff,
    0x0fffffff,0x03bfffe6,0x3fffffea,0xfffd301f,0x09ffffff,0xffdffd00,
    0x3ffe2003,0x401fff11,0xfffffffe,0x03ffffff,0xffffffd3,0x44009fff,
    0xfffffffd,0x3fee03ff,0x40ffffff,0xfffffffb,0xfffff90f,0xffc85fff,
    0x02ffffff,0x3337bdf5,0x105bffb7,0xffffffff,0x2bffffff,0xfffffffc,
    0x7fffe42f,0x7fc2ffff,0xfff500df,0xb801ffff,0x2effffff,0xfffd5000,
    0x45fd800b,0x3fe205fd,0xffffffff,0x5c05ffff,0x2effffff,0xffff5000,
    0xfc803dff,0x2fffffff,0x7fffffe4,0xfffb32ff,0xfb309dff,0x009dffff,
    0x3fae0000,0xffffffff,0xffb31dff,0xb309dfff,0x09dfffff,0x5551002a,
    0xa8800355,0x2200001a,0x2010000a,0xfffeb800,0xffffffff,0x3551001d,
    0x55440000,0xffb30009,0xb309dfff,0x09dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x2a000017,0x00dd984e,0x10000000,
    0x0b980003,0x000d4000,0x10000200,0xdddddb75,0xdc98019d,0x4fffffff,
    0x001d9000,0x0007aa00,0x044000a0,0x50016e44,0x6447fffd,0x17ff4004,
    0x00013ff6,0x3205fc80,0x002efffe,0x50005ff8,0x0001dffd,0x90009fd0,
    0xfffffffd,0x5407ffff,0xffffffff,0x6c4004ff,0xc80001ff,0x260002ff,
    0x32001efe,0x3ff20eff,0xfff8800f,0x6ffcfffe,0x20fff400,0xa8003ffc,
    0x2e1cdedb,0x7ec41fff,0x02ffffff,0x001ffe60,0x02754ef4,0x01bfe600,
    0xfffffd88,0xcefffeff,0xddfff500,0x09ffdddd,0x017ff4c0,0x13ffa200,
    0xffffb800,0xfff8804f,0x03ffee4f,0x7d433e60,0x4001ffff,0x03b882b8,
    0x7ffff4c0,0xfffbdfff,0xabeffe86,0x5002fffd,0xf3000fff,0x20003dc3,
    0x3e007ffa,0x6fdaefff,0xffb00dfb,0x8027fc03,0x0001fffa,0x0017ff44,
    0xdaeffe88,0x3ee01eff,0x0dd46fff,0x0b722000,0x40000000,0xfffffffc,
    0x2fffffff,0x7c42ffdc,0xfff5005f,0x6c7f1000,0x7fd40006,0x7fff5007,
    0x06fdb7e4,0x7f404ff8,0x01dff003,0x03ffb000,0x227fec00,0x3ee06ffb,
    0x00006fff,0x00000000,0xfffff700,0xfffffd9b,0x01dfd09f,0x7d401ff2,
    0xfd8002ff,0x40002fed,0xfb007ffa,0xdb7e41ff,0x2ffc406f,0x5c007ee0,
    0x32a00003,0x0edc0000,0x3ea04d88,0x98006fff,0x2a202aaa,0x5301aaaa,
    0x55555555,0x01555555,0x307ffff3,0xa81ffffd,0x3fe603ff,0x3fff2201,
    0x801ccfff,0x0002deb8,0xd007ffa8,0xb6fc8bff,0x7fe440df,0x0000002f,
    0x00000000,0xfff30000,0x3a0088bf,0xa84fffff,0xffffffff,0xffffff10,
    0xffffffff,0xffd03fff,0x3ffea03f,0x0ffe44ff,0x2a05ff10,0xffffffff,
    0x000006ff,0x00fff500,0xdf91bffa,0x7fdc1bf6,0x000cffff,0x5665cc40,
    0x13331001,0x02666620,0x8804ccc4,0x7cc09999,0x3fe24fff,0xfffff883,
    0x7ffe41ff,0xf51fffff,0xffffffff,0xffffffff,0x03fffb83,0xfffffff3,
    0xdb83fec1,0xffa82fff,0xffffffff,0x665cc07f,0x31000acc,0x3fff7333,
    0xfc813333,0x6dbf21ff,0x9dfff06f,0x0005ffff,0x3fffffee,0xffd104ff,
    0xfffd0dff,0xffe889ff,0xfffe86ff,0x7ffc44ff,0x41ffee3f,0x6ffffffc,
    0x7ffffecc,0x7fffec5f,0xffffffff,0x7e41ffff,0xfffd106f,0x7f47fff9,
    0x7ffff546,0x7fffc42f,0xfffa889d,0x7ffec40f,0x0cffffff,0xfffffd30,
    0xffffffff,0x7ffccbff,0x3f6df91e,0x222ff986,0x001efffd,0xffffffd1,
    0xa83dffff,0x4c6fffff,0x44ffffff,0x46fffffa,0x4ffffff9,0x323ffff8,
    0x7fd407ff,0xff103fff,0x2ffe403f,0xd07ffe20,0x3ff607ff,0x7c9fff5f,
    0x3fffe64f,0x7fe42ffd,0x0fff503f,0xfffffffb,0x2e0bffff,0xffffffff,
    0xffffffff,0x3fffea0f,0x0dfb6fee,0x3fea1bfa,0x3a200dff,0xfeefffff,
    0x220fffff,0xd86ffffe,0x444fffff,0xd86ffffe,0xf84fffff,0x3ff62fff,
    0x3ffea00f,0xff880fff,0x17ff201f,0xf83fff10,0xfffb82ff,0xff97ff66,
    0x222fffa4,0x7fff42ff,0x2e17fe00,0xfeefffff,0xe983ffff,0xffffffff,
    0x5fffffff,0xffffffa8,0x3ee0dfb6,0xfffc81ef,0xdfffb02f,0x7ff54415,
    0x6ffd884f,0x09ffd310,0x441bff62,0xfe84ffe9,0x3fffa1ff,0x3fffea01,
    0xfff885ff,0x217ff201,0x983ffe0a,0x7fcc1fff,0x9ffee0ff,0x4bff14ff,
    0x7ffc2ff8,0x2ea01804,0x4fff9809,0x2e666620,0x99999fff,0x3ff6e200,
    0x640dfb6f,0xfd883fff,0x7ffcc3ff,0x3ffa200e,0x06ffc81f,0xf9027fec,
    0x4ffd80df,0x3a1fffd8,0x3ea02fff,0x42fffdff,0x3201fff8,0x937f45ff,
    0x2fff98bf,0x70bfffe2,0x9a7fcdff,0x8bfe21ff,0x0003fff8,0x06ffc800,
    0x003ffd40,0x6fdb7ec0,0x177ffdc0,0xf70fffdc,0x555559ff,0x9fff7555,
    0xd80dff90,0x3ff204ff,0x427fec06,0x3fe0fffc,0x3fea03ff,0x20ffff8f,
    0x3201fff8,0x3ffe25ff,0x24fff800,0xfd84fffe,0x7c53fe5f,0xf0bfe24f,
    0x10000dff,0xdddffdb9,0xfa800dff,0xfc80007f,0xd300dfb6,0xf981bfff,
    0x3ffff64f,0xffffffff,0xfc85ffff,0x27fec06f,0xd80dff90,0x7ffc84ff,
    0x813fffe2,0xfff77ffa,0x00fffc49,0xfffffff9,0xffd003ff,0x417fff2d,
    0x93fe3ffe,0xff89cffe,0x00fffec2,0xff910151,0xffffffff,0xffa800df,
    0x6fc80007,0x7dc00dfb,0x3fe43fff,0xfffffffd,0xffffffff,0x0dff90ff,
    0x3204ffd8,0x7fec06ff,0x265ff984,0x2a04ffff,0x3fffa7ff,0x403fff11,
    0xfffffffc,0xffd801ff,0x80efffbf,0x3fa2fffa,0x3ffffe64,0x7ffcc4ff,
    0xffd711cf,0xfffffd0d,0xdfffffff,0x07ffa800,0xfb6fc800,0xffc8800d,
    0x25ffecdf,0xfffffffd,0xffffffff,0x06ffc87f,0xf9027fec,0x4ffd80df,
    0x7fd41970,0x3fea05ff,0x45bffe67,0x3f201fff,0xffffffff,0xffff9801,
    0xff881fff,0x317f60ff,0x0ffffffd,0xfffffffb,0x6c1fffff,0xbbdfffff,
    0x006fffdc,0x0003ffd4,0x06fdb7e4,0xffffd500,0x7ffdc3ff,0x9999999a,
    0xc8199999,0x7fec06ff,0x01bff204,0x54009ffb,0x2a06ffff,0x7ffe47ff,
    0x201fff8b,0xfbaaeffc,0xff9001ff,0xfd107fff,0x86fb85ff,0x01bcbba8,
    0xfffffffb,0x7fc47fff,0x3ff202ef,0x37fcc006,0xdb7e4000,0x3a20006f,
    0x7cc0cfff,0x80000eff,0x3ee07ffc,0x3ff204ff,0x13ffee07,0x7ffffb80,
    0x3a1ffea0,0x1fffafff,0xff17ff20,0x4405cc1f,0x30bfffff,0x509ffff7,
    0x700001ff,0xdfffffff,0x01fffa85,0x001bffa6,0x200013fa,0x40dfb6fc,
    0x3fe201ea,0x3bfff205,0x76dcc0ab,0xbfffa82f,0xffffd510,0x3ffea01b,
    0xfffd510b,0x3e6001bf,0x3ea05fff,0xffff987f,0x3f201fff,0xf11fdc5f,
    0xffff90bf,0xffffffff,0x13fe20df,0xfffc8000,0x9fff500b,0x7ffed441,
    0x04000aff,0xb6fc8000,0x027ec0df,0xffd01bfa,0xffffffff,0xf10dffff,
    0xffffffff,0x07ffffff,0xfffffff1,0xffffffff,0x3e27ecc7,0x3ea02fff,
    0xffff907f,0x7fe403ff,0x47ffa805,0xfffffffa,0x0cffffff,0x0803ff60,
    0x01ffea00,0xfffffff1,0xffffffff,0x5554c5ff,0xaaaaaaaa,0x9000aaaa,
    0xe81bf6df,0x13fea04f,0xfffffb10,0xffffffff,0x3fffee09,0xffffffff,
    0xfff704ff,0xffffffff,0x7fec9fff,0x00ff661f,0x3e20fff5,0x201fffff,
    0xfa805ffc,0x3fffe27f,0xffffffba,0xeff9802e,0x5006fb81,0xff300fff,
    0xffffffff,0x29ffffff,0xfffffffa,0xffffffff,0xd997107f,0x2b3ffadf,
    0x66677f40,0x01fffecc,0xffffff50,0x8039ffff,0xeffffffb,0x01dfffeb,
    0x3fffffee,0x1dfffebe,0x4001ffee,0x0aafffc8,0x0fffffd4,0x577fed44,
    0xcaaaaaaa,0x3ffee7ff,0x004d54c3,0x37bfff20,0x1006fffe,0x3a600dff,
    0xbeffffff,0x71dffffd,0xffffffff,0xffffffff,0xffffd01f,0xfffffdff,
    0xfffffe89,0x002fffff,0x19abb988,0x15773000,0x57730000,0x00a98001,
    0xfffff980,0x7fec1fff,0x7ffc41ff,0xffffffff,0x27ffffff,0x00005ff9,
    0xffffff90,0x7ec001df,0x5e54c003,0x3fa2001a,0xffffffff,0x04ffffff,
    0x3ffffff7,0xe83dfffd,0xefffffff,0x0000001c,0x00000000,0x70000000,
    0xffffffff,0x1ffff887,0x7fffffd4,0xffffffff,0x014c7fff,0x32a20000,
    0x00002cde,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffff62,0xfffb80df,0xfffffc81,0xffffffff,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1000a200,0x65cc3333,0x988009bc,0x4ccc0099,0x03d90009,
    0x00376000,0x665d4400,0x0266661b,0x800f5400,0x31009998,0x20001333,
    0x360001ea,0x7640000d,0xca980001,0x33310acd,0xf5000401,0xffb001bf,
    0xfffd5fff,0x6c07ffff,0x40efffff,0x3ffffffa,0x002ffd80,0x001ffe80,
    0x7ffffdc0,0xffffadff,0x7fe4005f,0x7fff4402,0xffffe86f,0xffc8004f,
    0x3ffa0002,0x3ff60001,0xffb10002,0xfd9fffff,0x7dc1dfff,0x3f6201ef,
    0x2203ffff,0xffffffff,0xffffffff,0x7fffc40d,0x7fec2fff,0x8807ffff,
    0x40004ffe,0x8002ffe9,0xffffffe8,0xffffffff,0xfe8800ff,0xfffa804f,
    0x7ffcc6ff,0x22004fff,0x40004ffe,0x0002ffe9,0x8009ffd1,0xfffffffa,
    0xffffffff,0x17fffe2f,0x756fffcc,0xffb00dff,0xdfffffff,0x0dfffffd,
    0x1dfffffb,0xffffffa8,0x17ff2003,0x9ffb1000,0xffffe800,0xffffffef,
    0x9804ffff,0xd1002ffe,0xfb0dffff,0x2009ffff,0x0002ffe9,0x009ffb10,
    0x802ffe40,0xdefffff8,0xfffffffe,0x3fffe26f,0xc85fff05,0x7fdc04ff,
    0x2a20bfff,0xfa83fffe,0x7ff403ff,0xffb8000f,0xffc80003,0xdfff9001,
    0xffffc983,0x3bf6003f,0xffd88001,0x9ffd3106,0x007bf600,0x07ff2000,
    0x02ffb800,0x40dfffd8,0x0cffffe9,0x901fffb8,0x00b66019,0x405ffff5,
    0xe80ffff8,0x3fe606ff,0x3260004f,0x09500000,0x03bffe60,0x02ffffb8,
    0x800032a0,0x7f406ffc,0x0195004f,0x06540000,0x00326000,0x4409fff5,
    0x2204ffff,0x50000001,0xf300bfff,0xfff505ff,0x03fffa07,0x00000000,
    0x17ffd400,0x017ffec0,0x3f200000,0x27ff406f,0x00000000,0x70000000,
    0xfa801fff,0x880004ff,0x001accb9,0x400bffea,0xffd04fff,0x09fff30f,
    0x66665cc0,0x3331000a,0x26666201,0x803ffe40,0x4002fffa,0x4000acb9,
    0x7f406ffc,0xccb9804f,0x20000acc,0x0000acb9,0x03599731,0x8805ffd8,
    0x40004fff,0xfffffffb,0xfffa804f,0x09ffd000,0xfd0fffea,0xfd8801ff,
    0xffffffff,0xfffd100c,0xffffd0df,0x05ffd89f,0x005fff30,0xffffffb3,
    0xff90019d,0x04ffe80d,0xffffffb1,0x20019fff,0xffffffd9,0xff7000ce,
    0x09ffffff,0x7c013ffa,0xd10004ff,0xffffffff,0x7d403dff,0xff8803ff,
    0x9fffa02f,0xd804fffa,0xffffffff,0xff505fff,0xff98dfff,0x7dc4ffff,
    0xffb800ff,0x7ffcc02f,0xefffffff,0x037fe400,0x7ec13ffa,0xffffffff,
    0xff9805ff,0xffffffff,0x3ffa200e,0xffffffff,0x02ffec1e,0x0027ffc4,
    0x7fffff44,0xffffffee,0x3ffff500,0x00fffe80,0x7f4fffea,0xffb800ff,
    0xfffeefff,0xffe883ff,0xfffd86ff,0x7ffcc4ff,0x7fffcc05,0x3fffea02,
    0xfffffeef,0x1bff200e,0x2e09ffd0,0xfeefffff,0x2a03ffff,0xfeefffff,
    0x880effff,0xeefffffe,0x20ffffff,0x5c00fffb,0xd8004fff,0x220aefff,
    0x504fffea,0x507fffff,0xd00bfffd,0x9fff5fff,0x404dd400,0x2204fff9,
    0xd3106ffd,0xfffd09ff,0xfffc883d,0xfff302ff,0xfffb109f,0x1fff201d,
    0x204fffb8,0xff9809ba,0xffff304f,0xdfffb109,0xaefffd81,0x3fffaa20,
    0x81bffe64,0x004ffff9,0x0077ffcc,0x503fffd1,0xdfffffff,0x1dfffffd,
    0xfffff500,0x800001ff,0x7e406ffc,0x27fec06f,0x7fffff44,0xfffffffe,
    0x3fff902f,0x02fffc80,0x5c47fff9,0x00dffffe,0x41bff200,0x6401fffc,
    0x3fe62fff,0x3fa200ef,0x3fff21ff,0xfff710ae,0x3b6609ff,0x59fff70c,
    0x75555555,0xff509fff,0xffffffff,0x4001dfff,0x03fffffe,0xffedc880,
    0x406ffeee,0x7ec06ffc,0xffff104f,0xffffffff,0x3ffe05ff,0x0bfff003,
    0x3ffffff2,0xffffffff,0xfdb9103f,0x0dffdddf,0x7c00fffe,0x3ffee5ff,
    0xaaaaaaac,0x224fffba,0xfffffffe,0x04ffffff,0x3f69fffd,0xffffffff,
    0x5fffffff,0xfdafffa8,0x03ffffff,0xfffffa80,0x3ff22000,0xffffffff,
    0x37fe406f,0x7013ff60,0xbfffffff,0xf305fff5,0x3f2001ff,0xffff907f,
    0xffffffff,0xfc889fff,0xffffffff,0xfff986ff,0x4fff9000,0xfffffffd,
    0xffffffff,0x7fff4c5f,0xffffffff,0xffff884f,0xffffffd6,0xffffffff,
    0xfff50fff,0x04de6544,0x7fffd000,0xffffe800,0xffffffff,0x037fe406,
    0x22013ff6,0xf10abcb9,0xfff705ff,0x0fffcc00,0x7fffffe4,0xfffebfff,
    0x7ffff41d,0xffffffff,0x007ffb86,0x7f47ffe6,0xffffffff,0x7fffffff,
    0xffffff70,0x209ffd5d,0xffb3fffd,0xffffffff,0x0fffffff,0x0000fff5,
    0x00fffe80,0x3fffff60,0xfffdcbbd,0x037fe406,0x00013ff6,0x260bffe2,
    0xf5000fff,0x3bff20ff,0x2001acca,0xbdfffffd,0x86fffdcb,0x5000fff9,
    0x7ffecfff,0xffffffff,0x407fffff,0x3fa0aba9,0xb86e603f,0x9999afff,
    0x99999999,0x007ffa81,0x3ffea000,0x3ffe2003,0x1bff202e,0xd80dff90,
    0x880004ff,0xfff02fff,0x17ff6007,0x00037fe4,0x405dfff1,0xfff06ffc,
    0x97ff6007,0x999afffb,0x99999999,0xff100019,0xff98005f,0xa80000ef,
    0x000007ff,0x8003fffa,0x2601fffa,0x7e406ffe,0x3ffee07f,0xff880004,
    0x5fffb02f,0x03fffc80,0x4000dff9,0x2601fffa,0xffb06ffe,0xfffc805f,
    0x03bffe63,0x7e400000,0x1ea800ff,0x157dfff9,0x42fedb98,0x099fffb8,
    0x26662000,0x000cfffb,0x8833ffea,0xafffffda,0x17fff500,0x3ffffaa2,
    0x3310000d,0xf5017fff,0x4c43bfff,0x900ffffe,0x54000dff,0x2a20cfff,
    0x0afffffd,0x0effffd4,0x1ffffd31,0xabefffc8,0x17f6dcc0,0xd7333310,
    0xf900dfff,0x7ffff45f,0xffffffff,0x3fff66ff,0x006fffff,0xffffffd8,
    0x1001ffff,0xffffffff,0xffffffff,0xffff105f,0xffffffff,0x44007fff,
    0xfffffffe,0xffffa85f,0xffffffff,0x1bff200e,0xffff8800,0xffffffff,
    0x542fffff,0xffffffff,0xd00effff,0xffffffff,0x0dffffff,0x3ffffff6,
    0x2201ffff,0x7ec44ffd,0xffffffff,0xff14ffff,0xffffffff,0x7ffc4005,
    0xffffffff,0x3ffe6005,0xffffffff,0x704fffff,0xffffffff,0x09ffffff,
    0x7ffffd40,0x980fffff,0xffffffff,0x7dc00eff,0x7cc0004f,0xffffffff,
    0x4fffffff,0xffffff98,0x200effff,0xffffffd8,0x4fffffff,0xffffff98,
    0x2201ffff,0x3ea02ffe,0xffffffff,0x7ffec1cf,0x006fffff,0xffffffd8,
    0x4002ffff,0xffffffe9,0xdffffdbe,0x3fffee01,0xfffebeff,0x3fa2001d,
    0x4fffffff,0x3fffb260,0x8800beff,0x980002ff,0xeffffffe,0x1dffffdb,
    0xffffd930,0x2a0017df,0xffffffff,0x3f601cff,0x0bdfffff,0x800ffec0,
    0x019abb98,0x99999988,0x26620000,0x00099999,0x0d5e54c0,0xabb98000,
    0x98800000,0x40019999,0x20001ba8,0x54c00000,0x00001abc,0x80003751,
    0x019abb98,0x00cccc40,0x000032a0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x28800009,
    0x00310000,0x00004c40,0x88001330,0x02800009,0x40004000,0x22000001,
    0x00acccba,0x50026200,0xdddddddd,0x05dddddd,0x93000028,0xf710017b,
    0x01bfffff,0x01bff500,0xfffd9100,0x3fae007b,0x8000cfff,0x3effffd9,
    0x3ffff660,0x74c000cf,0x510001ef,0xb9801fd9,0x800006fd,0xffffffc8,
    0x401ffdff,0x3effffdb,0xffffff70,0xffffffff,0x07bfa607,0x7fffd000,
    0xfffffa80,0x003fffff,0x7fffffb1,0x7fff4400,0x6c05ffff,0xffffffff,
    0xfffb1001,0x905fffff,0xffffffff,0x3ff2005f,0x93003fff,0x01fffffd,
    0x037fffdc,0x3ffea000,0xffffffff,0x3ff603ff,0x1effffff,0x7fffffdc,
    0xffffffff,0xfffffb83,0x3ffa0004,0x3ffe603f,0xffffffff,0x7ffcc02f,
    0x00dffead,0x7fffff44,0xfb04ffff,0xffffffff,0xffe8801f,0x2fffffff,
    0x7fffffdc,0x201fffff,0xfeadffe9,0x3ff600ef,0x00ffffff,0x01bf6f22,
    0xffff8800,0xffffeeff,0xffe884ff,0xffffffff,0x33ffea0f,0xfccccccc,
    0x3ffa23ff,0x01effeae,0x402cb980,0x99aefffc,0x407fffdb,0x7fe42fff,
    0x7fffe404,0x1ffffd9c,0x4e7fffd4,0x206fffeb,0xbdffffe8,0x7fcc3c98,
    0xfeb9adff,0x3ffa06ff,0x882ffdc3,0xffffffff,0x0df9000f,0x7fff4000,
    0x7ff5440d,0xffffd84f,0xffffc9ad,0x5017fe25,0x7fec3fff,0x0037fdc3,
    0x0ffe6000,0x201fffc8,0x05b300cc,0x206fffc4,0x7f44fff8,0xfffd80ff,
    0xefffe881,0x5fff7000,0x407fff60,0x07b300db,0x7ddeffe4,0xdf9000ff,
    0x3fee0000,0x7ffc404f,0x02fffc44,0x5cc1fffd,0x237fec00,0x07b101db,
    0x01100000,0x003fff88,0x7ffdc000,0x44dff901,0xff104fff,0xbfffb0bf,
    0x37fec001,0x005fff50,0x7d408000,0xdf9000ff,0xfc808800,0x5ff7006f,
    0x201fffa8,0x4002fffa,0x0004fff8,0x00008000,0x00bffe20,0x800565cc,
    0x3e205ffd,0x5fff30ff,0x2637fe40,0xd8005fff,0x3fe205ff,0x332e603f,
    0x50000acc,0x32001fff,0x3fee006f,0x0027ff41,0x07fd1055,0x8007fff0,
    0x3101fffa,0x00033333,0x00003fe8,0x4c01fffb,0xeffffffd,0x0fffe00c,
    0x3ea5ffd0,0x3fea00ff,0x007ffec7,0x807ffdc0,0x6c41fffc,0xffffffff,
    0x7d4000cf,0xdf9000ff,0x5fffd300,0x0002fff8,0x3fee0020,0x7fec001f,
    0xffffe886,0x260007ff,0x550006ff,0x40dfffd7,0xfffffff9,0xf880efff,
    0x7fec02ff,0x407fff14,0x3fe0fffe,0x159b735f,0x0efffcc0,0xb0ffff51,
    0xffffffff,0xa800bfff,0xf9000fff,0xffffc80d,0x003fff83,0x3fa20000,
    0x7fc4007f,0xffffa84f,0x20007fff,0xf8007ffc,0x0fffffff,0xdfffff50,
    0x1dfffffd,0x401fff88,0x3ffe6ffc,0x5ffff906,0x3f2fffe2,0x202fffff,
    0xfefffffc,0xfb82ffff,0xffeeffff,0x2a003fff,0x32600fff,0x21ccffec,
    0x00dfffe9,0x0000bffb,0x3fffa200,0x7ffd4004,0xffffe881,0xea8007ff,
    0x4c007fff,0x3fffffff,0x09ffff30,0x41dfffb1,0x6401fff8,0x3fff66ff,
    0x7ffffd43,0xffffff33,0x09ffffff,0x7ffffff4,0x2ea04fff,0x4fff9809,
    0x03ffea00,0xffffffe8,0xffffc8df,0x7dc0aa9b,0x9b3002ff,0xfffe8800,
    0x6ffd8006,0x7fdccc40,0x3ff62007,0xd8007fff,0x1fffffff,0x401fffc8,
    0x3e22fffc,0x7fe401ff,0x3bfffe26,0xffffffec,0xffffff54,0x3fffffdf,
    0xfffffd10,0x0009ffff,0x2006ffc8,0x4c00fffa,0xfa999999,0xff98dfff,
    0x7fffc42f,0xffc9881d,0xffd1002f,0xf88001df,0x3ea004ff,0x3ffa007f,
    0x0000bfff,0xffffd531,0x003fff83,0x7fc4bfff,0x37fe401f,0x3fffffee,
    0x33ffffff,0x23bfffff,0xd86fffb8,0xffefffff,0x32203fff,0xfeeeffed,
    0x3fea006f,0xfd88000f,0x3ffa2fff,0xffff982f,0xffffefff,0xf9802fff,
    0x8000efff,0x2001fffa,0xf5007ffa,0x00005fff,0x4cbfff90,0xf9000fff,
    0x02fff8ff,0x7d42ffec,0xfbffffff,0x3fffe1ff,0x1fffc80f,0x42fbffee,
    0x41ffffc9,0xffffffc8,0x006fffff,0x0003ffea,0x419ffff7,0x502ffffb,
    0xffffffff,0x009fffff,0x01dffff5,0x01bff600,0x200fff50,0x0000fffd,
    0xb9fff600,0x3e6007ff,0x0fffa1ff,0x2209ffd0,0xfa8cefdc,0x17fff47f,
    0x362fff98,0xff700fff,0xffffe87f,0xffffffff,0x3ffea006,0x3fff2000,
    0x7e7fcc1e,0x3ff2202f,0xcfffffff,0xffffb801,0x3fe20005,0x7fd4004f,
    0x3fff8807,0x2a000280,0xfff30fff,0x1ffea001,0xff809ff9,0x7f44003f,
    0x02ffec6f,0xfff93ffa,0xb2fffc05,0x77bfffff,0x00dfffb9,0x0007ffd4,
    0x3fa09ffd,0x8802ff8e,0x09aaefd9,0x9ffffb00,0xfffa8000,0x3ffd4001,
    0x404fff80,0xf30005ff,0x1fffc1ff,0x545ffd80,0xff700fff,0xffd8003f,
    0x07ffe43f,0xf13fff88,0xffd805ff,0x05dfff15,0x50037fe4,0x4c001fff,
    0x23ff901b,0x3f2002ff,0x3fa2001e,0x80003fff,0xa8006ffd,0xffd007ff,
    0x1ffe601f,0x237fec00,0x6402fffd,0x7fc43fff,0x6ffe884f,0x3fff6200,
    0x04fffa85,0x7f45fff7,0x3ffe206f,0x403fff53,0x2006ffe9,0x0000fffa,
    0xf55dff30,0x3f20019f,0xfe9801ff,0x80002fff,0x8004fff8,0xf7007ffa,
    0xd955bfff,0xff31ffff,0xffb51039,0xffffa87f,0x3ffa621d,0xfffd80ff,
    0xffffb8ae,0xc988dc42,0x3a06ffff,0xf931bfff,0x7fdc1fff,0xfd730bdf,
    0x3ffea3ff,0x3ff6a20c,0xa980afff,0xabfffcaa,0xf90000aa,0x7fffffff,
    0xfebbdb80,0x7fffc403,0xaaaaaacf,0xffa804eb,0x5554401f,0xaaafffca,
    0xfffd80aa,0xffffffff,0xfffffc8f,0xffffffff,0xffffa80e,0xffffffff,
    0xffff100e,0x8bffffff,0xfffffff8,0x2a00ffff,0xffffffff,0x7fc43fff,
    0xffffffff,0x3ffe25ff,0xffffffff,0x22ffffff,0xfffffffe,0x03ffffff,
    0xccccca80,0x7f400cff,0x4400ffff,0xffffffff,0x2fffffff,0x2037fdc0,
    0xfffffffb,0xffffffff,0x7fffec40,0x13efffff,0xffffffff,0x401bffff,
    0xfffffff9,0x5400efff,0xffffffff,0xfffff885,0x800cffff,0xfffffffb,
    0xffd105ff,0xbfffffff,0xffffff30,0xffffffff,0x7fffc9ff,0xffffffff,
    0xd80005ff,0x4c02ffff,0x8803efeb,0xffffffff,0x3fffffff,0x200f6c40,
    0xfffffffd,0xffffffff,0xffffd702,0xffb305bf,0x9fffffff,0x3ffb2600,
    0x000befff,0xbfffffb3,0x7ffffdc0,0x754001df,0x03ffffff,0x7ffff6c4,
    0x3fa603ef,0xdbefffff,0x2a1dffff,0xfffffffe,0x001dffff,0x2efffd80,
    0xf8800200,0xffffffff,0x04ffffff,0x3ff66000,0xffffffff,0x31004eff,
    0x5554c400,0x220001aa,0x980001ba,0x2aa6001a,0xaa980001,0xaa88001a,
    0x5e54c001,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00400000,0x015dcc00,0x66edcc00,0x26c40002,0x80002000,
    0xeeeeeeee,0x4400bdee,0x2005501b,0x880004e8,0x4005501b,0x2002bcc9,
    0x005eeeda,0x3b260000,0x75001eee,0x20017301,0x4c1dfeb8,0x7ffec402,
    0xf90001ef,0x03dfffff,0x00dff300,0x83bff710,0x7fffc02a,0xffffffff,
    0x20ffec04,0xf8803ffc,0x360000ef,0x1ffe41ff,0xeffffd80,0x220edb8b,
    0x007fffff,0x3ffa0000,0xfa801fff,0x037fcc4f,0xcfffffe8,0x7ec07fc9,
    0x00fffddf,0x7ffffe40,0x2000ffff,0x8000effb,0x9cfffffe,0x7ffc07fc,
    0xffffffff,0x17ffc04f,0x54013ff6,0xf0001fff,0x4ffd85ff,0xfffff500,
    0x443fffff,0x007fffff,0x3ffa0000,0xfc801fff,0x03ffd46f,0x7ecdffd4,
    0x2a03ffff,0x13fa21ff,0xeffff980,0x005ffffd,0x0001bff9,0xffb37ff5,
    0xff807fff,0xccccccdf,0x2fd400bc,0x3000774c,0x50005ffd,0x01dd30bf,
    0x7fffec40,0xdb981dff,0x000007ff,0x3fff6e20,0x81ed8801,0x815003fd,
    0x6402dffa,0x006fb85f,0xd887ffee,0x7d400fff,0x0540004f,0x200b7fee,
    0x00002fff,0x36200000,0x0000007f,0xfffffc80,0x7dc06fff,0x0000007f,
    0x001fff98,0x04000000,0xf983fd80,0x1bff6006,0x1007ffe6,0x80000059,
    0x0bffe000,0x00000000,0x00000ee0,0x37ffa000,0x405fff52,0x00007ffb,
    0x1fff9800,0x40000000,0x7000acb9,0x00bf90df,0x7d42ffec,0x000002ff,
    0x66665cc0,0x5fff000a,0x32e60000,0x0000accc,0x2e620000,0x88001acc,
    0x0fffb809,0x5ccfff70,0x40009bcc,0x30accba8,0x4c403fff,0x33310099,
    0x7fecc013,0x00ceffff,0x32277fe2,0x3f6002ff,0x3ffaa25f,0x4ccc400f,
    0x36200199,0xffffffff,0x7ffc00cf,0x02bddcab,0xfffffd88,0x800cffff,
    0x01999998,0xfffffb80,0x44004fff,0xffd09aa9,0x2bffee09,0xfffffffe,
    0xffff9002,0xfff5bfff,0xffffd103,0xfffffd0d,0x3fffe609,0x0effffff,
    0x3ffffee0,0xd81e544f,0xffff95ff,0x7ff4409f,0x2007ffff,0xfffffffd,
    0x7c05ffff,0xffffffff,0x3ff600df,0xffffffff,0x3ffa205f,0x2007ffff,
    0xffffffe8,0x401effff,0xfffffffa,0xf706ffcc,0xffffffff,0x201bffff,
    0xffffffe9,0x1fffffff,0x6fffffa8,0x7fffffcc,0xfffffa84,0xefffffee,
    0x3bffa600,0x7fffda8b,0xff3bffb0,0x5407ffff,0x7fffffff,0x3fffee00,
    0xfffffeef,0x3ffffe03,0x1fffffff,0xdfffff70,0x07fffffd,0x3fffffea,
    0xffd1007f,0xfffddfff,0xfb101fff,0xffffffff,0x3ee0ffff,0xeeffffff,
    0x885fffff,0xeefffffe,0x1fffffff,0x6ffffe88,0x4fffffd8,0x427fffcc,
    0x00efffd8,0xffffda88,0xbffb00ce,0x3ffffffe,0xffffd102,0xba800fff,
    0x4fff9809,0x3fffffa0,0x06ffffed,0x3e6026ea,0xffd104ff,0x200fffff,
    0x20aefffd,0x84fffea8,0xddeffffd,0x0ffffffe,0x3fffffb8,0x43ffffa8,
    0x441efffc,0x01fffffd,0x441bff62,0x7e44ffe9,0x7fe401ff,0xffb5102f,
    0xb0037dff,0x7fed4bff,0x26203fff,0x0007ffb9,0x206ffc80,0x6cc2cefb,
    0x20003fff,0x4c406ffc,0x9807ffb9,0x2200efff,0x3ee1fffe,0xffa82fff,
    0xffb82fff,0x3fe201ff,0xbfff30ff,0x1ffffb80,0x2037fe40,0x7ffc4ffd,
    0x8bfff003,0xbeffffda,0x3ff60019,0xffffa885,0x07ffa801,0xffedc880,
    0x006ffeee,0x206ffe80,0xeeffedc8,0x2a006ffe,0xffb807ff,0xaaaaaacf,
    0x24fffbaa,0x2601ffff,0xfb83ffff,0xffa804ff,0x01fff71f,0x803fffd0,
    0x7ec06ffc,0x03ffe64f,0xf33ffe40,0xfb117dff,0xfd801bff,0x3ffe605f,
    0x07ffa804,0x3ffff220,0x6fffffff,0x7ffa8000,0xfffffc88,0x06ffffff,
    0x201ffea0,0xfffffffd,0xffffffff,0x09fff15f,0x707fff90,0x3e003fff,
    0x0bffb3ff,0x007ffee0,0xfd80dff9,0x01ffee4f,0x2e1fff98,0x3fffe60b,
    0x3f600fff,0x37fe405f,0x003ffd40,0xfffffffd,0x00dfffff,0x83fff300,
    0xfffffffe,0x006fffff,0x3a01ffea,0xffffffff,0xffffffff,0x007fff57,
    0xf705fff5,0x7fec00ff,0x2007ffd5,0x6401fff9,0x7fec06ff,0x003ffe64,
    0x7403ffd4,0x0bfd52ef,0x2a02ffec,0x7d400fff,0xfffb007f,0xfb977bff,
    0x30000dff,0x7fec3fff,0xdcbbdfff,0x2a006fff,0xffd807ff,0xffffffff,
    0x57ffffff,0xf7005fff,0xfff703ff,0x53ffa001,0xf5004ffe,0xffc803ff,
    0x227fec06,0xfb003fff,0x1ff880bf,0xfd807fcc,0xff30265f,0x7ffa803f,
    0x2efff880,0x001bff20,0xf89ffea0,0x3f202eff,0x3fea006f,0xafffb807,
    0x99999999,0xff119999,0xfffd009f,0x05fff701,0x325fff10,0xff9006ff,
    0x6ffc803f,0x3627fec0,0x7e402fff,0x37d403ff,0xffb01fe8,0xfb83ff2b,
    0x7fd400ff,0x1fffa807,0x41bffa60,0xdffd002a,0x300fffd4,0x5400dffd,
    0xff9807ff,0x3e0000ef,0x3e600fff,0xfff706ff,0xfffd801f,0x807fff51,
    0x401ffff9,0x3ee07ffc,0x7ffd44ff,0x3fa621df,0x7cc00fff,0x207fc40f,
    0xe8effea8,0xfffd35ff,0x00fff500,0x4419fff5,0xafffffda,0x06bbfee0,
    0x47fffd51,0x220cfffa,0xafffffda,0x07ffa800,0x57dfff90,0x2fedb981,
    0x20bbffea,0xa81fffea,0x0bfffffd,0x13fffaa2,0x883bfffd,0x1bfffffc,
    0x42fffea0,0xdffffea8,0x7ffffd40,0xefffffff,0x219ff000,0x7fcc7fc8,
    0xffcfffff,0x43ffffff,0xffcaaaa8,0x20aaaaaf,0xfffffff8,0xffffffff,
    0xffff72ff,0xffffffff,0xffff88df,0xffffffff,0x222fffff,0xfffcaaaa,
    0xe80aaaaa,0xffffffff,0x46ffffff,0xeefffffd,0xf84fffff,0xffffffff,
    0xffffffff,0xfffff886,0xffffffff,0xf105ffff,0xffffffff,0x87ffffff,
    0xfffffff9,0x2000efff,0xfffdfffa,0x7ffffdc2,0xfffffaff,0x7ffdc6ff,
    0xffffffff,0x3e60ffff,0xffffffff,0x4fffffff,0x3ffffffa,0x80efffff,
    0xfffffff9,0xffffffff,0xfffff74f,0xffffffff,0xffd881ff,0xffffffff,
    0x7ec44fff,0xffffffff,0x7ffcc0df,0xffffffff,0x01efffff,0xfffffff5,
    0xffffffff,0x7ffdc0ff,0xffffffff,0xec984fff,0x0befffff,0xffffa800,
    0xfffd882f,0xffff93ef,0xfffd81bf,0xffffffff,0x74c2ffff,0xbeffffff,
    0x21dffffd,0xfffffeb8,0x74c02fff,0xbeffffff,0xb1dffffd,0xffffffff,
    0x5fffffff,0x3ffffea0,0x01cfffff,0x3fffffaa,0x3fb202ef,0xfffeafff,
    0x9003ffff,0xbfffffff,0x05dffff7,0xffffffb8,0x1dfffebe,0x000dd440,
    0x00aaa880,0x0d5d4400,0xfffffd98,0xefffffff,0x2af2a604,0x2a620001,
    0x4c0009aa,0x2001abca,0xffffffd9,0x4effffff,0x9abb9880,0xbba88001,
    0xa880000a,0x30001abb,0x00015575,0x002aee60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000088,0x40000011,0x005501b8,0x009a9880,0x26a62000,0x405cc000,
    0x010000b9,0x33332a00,0xcccccccc,0x3002cccc,0x4403dddd,0x02cdedcb,
    0x67765440,0xb880310b,0x98000002,0x00beffec,0x3ff6e600,0x36000001,
    0x1ffe41ff,0x3ffee200,0x0002efff,0xffffff71,0xdff3005d,0xa800fff0,
    0x01c42efe,0x00700007,0x20bffffa,0xffffffd9,0x75401eff,0xffffffff,
    0x3f203ffc,0xfd80000f,0x3bffe24f,0x70005ffe,0x003fffff,0x17ffc000,
    0xb8013ff6,0xffdeffff,0x2e001eff,0xffdeffff,0x3ea01eff,0x07ffc47f,
    0xfffffb80,0x702ffb9e,0x70070000,0xb85fffff,0xffffffff,0xf901ffff,
    0xffffffff,0x740dffff,0x540002ff,0x7911ffff,0x0007fcc1,0x0ffdde44,
    0xbf500000,0x2001dd30,0xb981dffd,0xfd803ffe,0xfeb981df,0x20ff603f,
    0x3fe004fc,0xfffffc8c,0x20000e05,0x7fffc403,0x7ffdc2ff,0xfffeceff,
    0xffffc86f,0xfffedcef,0x3ffe07ff,0x7fdc0003,0x7fd402ff,0x7fc40002,
    0x00000001,0x05ffb000,0xd80bff60,0xffb002ff,0x20000005,0x5f7f4c19,
    0x20000e00,0x7fffe403,0x7ffdc2ff,0x7ffec409,0x2ffffea2,0x7fffe980,
    0x000fffe0,0x20dffd10,0x006ffeda,0x001ff880,0x80000000,0x65d40ffa,
    0x1ffb098b,0x5531ff50,0xffb01555,0x00000001,0x00070008,0x7ffcc070,
    0x7d42fffe,0x3ffe206f,0x00ffffa4,0x2621fffa,0x9999cfff,0x06600099,
    0x02ffffd8,0x0ffc4008,0x20002200,0x2000acb9,0x3ff623ff,0x3f65ffff,
    0xfff3ff84,0xd83bffff,0x3333104f,0x99980033,0x15799510,0x1c0001c0,
    0xff3fffd0,0x807fd05f,0x3ffe5ffd,0x4bff5003,0xffffffe8,0x4fffffff,
    0x3ae60000,0xdfb101ff,0x000ffc40,0xb3001ff7,0x9dffffff,0x3a2fd401,
    0x6ffc9cff,0x4bf51be2,0xfdbacfd9,0x3a237c46,0x07ffffff,0x7dffff30,
    0x5dffffff,0x0e0000e0,0xffa7ffd4,0xf880102f,0x3fff34ff,0xf517f400,
    0xffffffff,0x00ffffff,0x0bff1000,0x440ffff7,0xfe9801ff,0x7fcc02ff,
    0xffffffff,0x547fb00e,0x7c5f986f,0xf90ff60f,0x7fc1fc83,0x3ffffea0,
    0xff9007ff,0xffffffff,0x0705ffff,0xff107000,0x0bffe1ff,0x3fff6200,
    0x000fff71,0xfffffd10,0xffffffff,0x36000009,0x3fffa24f,0x07fe201e,
    0x07ffff90,0xefffffa8,0x0efffffe,0x0bf61fe8,0xe8bf20dc,0x360fe41f,
    0xd117e42f,0x0fffffff,0x3ffffa60,0xfffeefff,0x0001c0ff,0x1fffe41c,
    0x44005fff,0x366ffffb,0x200004ff,0x99cfff98,0x80001999,0xfecbcdfd,
    0x9ffff70f,0x3ff73220,0x3faa0ccd,0x7cc00dff,0xfd884fff,0x07fc0eff,
    0x7d4001fd,0x9f903fe4,0xf50dffb5,0xff733109,0xfffc800f,0x3fee20df,
    0x40001c2f,0x237ffcc3,0xd8802fff,0x21ffffff,0x00003fff,0x0003fff8,
    0x3fffee00,0xffe9bfff,0x20aaa9ef,0xfffffffb,0xffffd8bf,0xf901bb9b,
    0xffc803ff,0x1fa3fc2f,0x3fc9f500,0x6fffffe4,0x5404fa80,0x7e4007ff,
    0x3ffe04ff,0x1c0001c3,0xff07fff6,0xfff5005f,0xfff81dff,0xff800003,
    0x7fc0003f,0x655441ff,0xffffc8aa,0x883fff53,0xa8999999,0xfd9dffff,
    0x7fc3efff,0xbfff003f,0x07f61fe8,0x3fa2fc80,0x7ed67e41,0x402fc80e,
    0x64007ffa,0x7ff406ff,0x1c0001c4,0xff0bfff5,0xfff5005f,0x13ffa05d,
    0x3ffe0000,0x3fe60003,0xffd5004f,0x3ffe21bf,0xffb1001f,0x33ffa5ff,
    0xff30ffdb,0x3ff2001f,0x9f917ec7,0xd83fa040,0xf90fe42f,0xa801fd0d,
    0x7e4007ff,0x27ff406f,0xe8e0000e,0x9999afff,0xf8803fff,0x2ffec06f,
    0x7ffc0000,0x3ff20003,0x7fe4400f,0x7ffec3ff,0xfffb801f,0x83ff30cf,
    0x0fff74fd,0x70fffcc0,0x0e7fc4bf,0x237c4fd5,0x2bf625fb,0x7c433f60,
    0x07ffa806,0x2037fe40,0x001c4ffe,0xffffa9c0,0xffffffff,0x175c00ff,
    0x003fff20,0x07fff000,0x017ff400,0x037fffa2,0x03ff9ff5,0x81efffc8,
    0xf35fe81a,0x3ea001ff,0x517fc47f,0x7fffffff,0x3fe227e4,0x21fffff2,
    0x4fc8ffe8,0x007ffa80,0x3a037fe4,0x0001c4ff,0xfffffa9c,0xffffffff,
    0xf300002f,0x1a8009ff,0x000fffe0,0x4402ffcc,0xff882fff,0x7401ff9d,
    0x7ec004ff,0x00fffe2f,0x7dc2ffec,0x37fb220f,0x207ff20b,0xcccb8ffb,
    0x7fe5e4c3,0x07ffa801,0x2037fe40,0x001c4ffe,0xffffa9c0,0xffffffff,
    0x200000ef,0x8803fffd,0xfff00ffe,0x5c0a8809,0x175001ff,0x3e63ff60,
    0x005cc01f,0xd85ffd10,0x7e402fff,0x3dfb03ff,0x80fff200,0xf9001efd,
    0x3fea007f,0x37fe4007,0x0713ffa0,0x26627000,0xf9999999,0x800002ff,
    0x1aefffe8,0x3fffee62,0x15dffd02,0x1fffb2a2,0x200009fd,0xffcadffb,
    0x7d400003,0xfffa82ff,0x3fa621df,0xfd100fff,0xfb51019f,0xffe8809f,
    0xffda880c,0x95555104,0x55555fff,0xeffda881,0xdffe980a,0x0e0000e0,
    0x3ffeea20,0x6ff5400c,0xfffe8801,0xffffffff,0x3fee06ff,0xffffffff,
    0x0df11fff,0x7ffec000,0x002fffff,0x01dff900,0x7fffffd4,0x0effffff,
    0xdffffc80,0x02ffffec,0x37ffff20,0x02ffffec,0xfffffff7,0xffffffff,
    0x7ffffec1,0x7fffe46f,0x000073ff,0xffffa807,0x3e00ffff,0xd1004fff,
    0xffffffff,0xfd009fff,0xffffffff,0x000b89ff,0x33332e00,0x80003ffd,
    0x8044ffe9,0xfffffff9,0x2000efff,0xffffffc9,0xc98000bf,0xbfffffff,
    0x3ffff600,0xffffffff,0x3ffe2fff,0x3a1fffff,0x74ffffff,0xc8070000,
    0xffffffff,0x0ffff602,0xffeca880,0x002defff,0xffffff91,0x000039df,
    0xfffe8800,0x7ec0001e,0x5fffffff,0xffffd930,0x200017df,0x001aaa98,
    0x35553100,0x3fff6600,0xffffffff,0x7ff544ef,0x7ed44eff,0x9991dfff,
    0x99999999,0x07999999,0xfffffd88,0x01a9804f,0x04d54400,0x59551000,
    0x00000003,0x1efffe88,0x7ffec000,0x806fffff,0x00001ba8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8800000,0x061cdeec,0x55555300,0x00355555,0x0007ddd5,0x4737bb2e,
    0xaaaa8818,0xaaaa881a,0x6654001a,0xdb81ccde,0x00004eee,0xddddddb7,
    0xdddb7100,0x75000005,0x200379db,0xaaaaaaa8,0x5554001a,0x009aaaaa,
    0x22002200,0xfffffffe,0xb004ffef,0xffffffff,0xb80bffff,0x54004fff,
    0xffffffff,0x3fe62ffe,0x50ffffff,0xffffffff,0xffffd300,0x2a3fffff,
    0x005fffff,0xfffff980,0xffc807ff,0x00003fff,0x3fffffa6,0x3ee00dff,
    0xffffffff,0xfff8806f,0xffffffff,0x6dc400ce,0x7fcc03fe,0xffffffff,
    0xff006fff,0xffffffff,0xfb80ffff,0x3ee004ff,0xffffffff,0x3fee5fff,
    0x92ffffff,0xffffffff,0x7fffc403,0x4fffffff,0x0bfffff5,0xffff3000,
    0xf900ffff,0x0007ffff,0x3fffff20,0x01efffff,0xfffffffb,0xa801ffff,
    0xffffffff,0x02ffffff,0x07fffff1,0x77ffffdc,0xfffffecd,0xfffd7007,
    0xdfffffff,0x3eeea807,0xfffff300,0xfffffb9b,0x7fffec4d,0x3ffa65ff,
    0x6c04ffff,0xeeceffff,0x3b2a1fff,0x300005ff,0x0fffb997,0x7fff9510,
    0xfff70000,0xfffd9bff,0xffd303ff,0x7dffffff,0xffffb100,0xffffffff,
    0x2b3205ff,0xfff303fe,0x3fea017f,0x7e40007f,0x0000006f,0x8817fffb,
    0xfb86fffd,0xfff9807f,0x05fff801,0x05ffc802,0xfff50000,0x03fff800,
    0x7fffcc00,0x6fffd883,0x006ffc80,0x261ffea0,0x00ffffdb,0xffd81ff4,
    0x6ffb802f,0x37fe4000,0xff800000,0x37ff405f,0x4c03ffdc,0x7c401fff,
    0xf90002ff,0x200000bf,0x7c007ffa,0x740003ff,0x7dc01fff,0x7fe404ff,
    0x3fea0006,0x2fffe407,0x3e60ffa0,0xff1004ff,0xffc80009,0x33331006,
    0xfff10033,0x84ffa805,0xf9807ffb,0xf53101ff,0x333337ff,0x26bff900,
    0x0009bccb,0x800fff50,0x4cc43fff,0xfff70099,0x3fff6007,0x01bff200,
    0x807ffa80,0x3a01fffe,0x1fffb83f,0x0000a200,0xd101bff2,0x0fffffff,
    0x2017ffa0,0x7ffb80cc,0x81fff980,0xfffffffc,0x03ffffff,0x3ff7bff2,
    0x001effff,0x4007ffa8,0x3ff63fff,0xfd85ffff,0x3fe6006f,0x1bff202f,
    0x07ffa800,0x204fff88,0x6ffc83fe,0x90000000,0xffa80dff,0x007fffff,
    0x037dfff7,0x00fff700,0xff03fff3,0xffffffff,0x640dffff,0xffffffff,
    0x4001ffff,0x7c007ffa,0xffff13ff,0xfe81ffff,0x7ff4003f,0x01bff204,
    0x007ffa80,0x7f40bffd,0x004ffe83,0xff900000,0xfffe880d,0xd1007fff,
    0x7bffffff,0x0fff7003,0x903fff30,0xffffffff,0x405fffff,0xeffffffc,
    0x006ffffe,0x2003ffd4,0x3ffe3fff,0xff85ffff,0x7fe4002f,0x01bff205,
    0x007ffa80,0x7f40dff9,0x003ffe83,0xff900000,0x2e66200d,0x3a2007ff,
    0xffffffff,0x1ffee03f,0x807ffe60,0x99bfffa9,0xffc80199,0x3f220dff,
    0x3ea000ff,0x7ffc007f,0xcffffd8b,0x03fff301,0x207ffb80,0x20006ffc,
    0xf7007ffa,0xffccb8ff,0x7ffd2cce,0x3bbbb260,0x164c2dee,0x0037fe40,
    0x4003ffd4,0xffffffdb,0xfff705ff,0x03fff300,0x001fff88,0x207fff90,
    0x2002fff8,0x7c007ffa,0xffffedff,0x0fffc402,0x81bfee00,0x20006ffc,
    0xf7007ffa,0x7fffc4ff,0xffd6ffff,0xfffff109,0x743fffff,0x6ffc807f,
    0x07ffa800,0x7ff65400,0xffb85fff,0x1fff9807,0x00fffc40,0x405ffc80,
    0x2a004ffe,0x7fc007ff,0x01ffffff,0x8005fff0,0x3f205ffd,0x076c406f,
    0x6401ffea,0x4ccc46ff,0x3ff21999,0xffffff05,0x3e23ffff,0x7fe401ff,
    0x7ffa8006,0x7fd40000,0x07ffb87f,0x401fff98,0x0001fff8,0xfe80bff9,
    0x3fea004f,0x7fffc007,0x3a000fff,0x7f4004ff,0x1bff203f,0xfa87ff70,
    0xbffb007f,0x1bfee000,0x7ee665cc,0x3ffe22ff,0x02ffe401,0x403ffd40,
    0xff1005d9,0x0fffa85f,0x007ffd40,0x0007ffe2,0x3a02ffe4,0x3ea004ff,
    0x7ffc007f,0x000effff,0x2001fff9,0x3202fffa,0x7fe406ff,0x803ffd45,
    0x30003fff,0x2e005fff,0x7ffc47ff,0x027fec01,0x403ffd40,0xff003ffc,
    0x4fff887f,0x4037fe40,0x0001fff8,0xfe80bff9,0x3fea004f,0x7fffc007,
    0x800effff,0x8805fffa,0x7e406fff,0x2ffe406f,0x3201ffea,0x7ecc2fff,
    0x3fffe00c,0x47ffb801,0x2601fff8,0xa8002fff,0xffe807ff,0x7ffdc01f,
    0x00ffff82,0x100bfff5,0x20003fff,0x7f405ffc,0x3fea004f,0x5fffc007,
    0x01ffffe8,0x204fffc8,0x402fffe8,0x7e406ffc,0x03ffd45f,0x3a1bfff2,
    0x3ea04fff,0x2609cfff,0x447ffeca,0x30bdffff,0x001ffff9,0xd00fff50,
    0x2159ffff,0x0ffffeb9,0x1cffffb8,0x01ffff73,0x003fff10,0xd017ff20,
    0x7d4009ff,0x7ffc007f,0x3ffffd13,0x5dfffd00,0x3fffee61,0xffb55105,
    0x5555555f,0x7e44bffd,0xdcaaabff,0x440fffff,0x6405ffff,0xffffffff,
    0x47ffffff,0xfffffff8,0x01ffffff,0xfcaaaa88,0x0aaaaaff,0x3ffffffa,
    0xffffffff,0x3ffff603,0x3fffffff,0x3feeaa20,0x0aaaaacf,0x5dffd510,
    0xdfffa881,0x5555440a,0xaaaafffc,0x7ffd440a,0x5ffffec3,0xffff300a,
    0xffffffff,0xffff701d,0xffffffff,0x22bfffff,0xffffffff,0x2fffffff,
    0x005fffb0,0xfffffff9,0x07ffffff,0xffffffd7,0x7003ffff,0xffffffff,
    0x1fffffff,0x3ffffff2,0x4fffffff,0x7fffec40,0x203fffff,0xfffffff8,
    0x0fffffff,0xffffffd8,0x7fffffc6,0x3fffee4f,0xffffffff,0xfff70fff,
    0xfffb87ff,0xd303ffff,0xffffffff,0x7ffec09f,0xffffffff,0x55ffffff,
    0xffffffff,0x03dfffff,0x22000b98,0xffffffec,0xfda802ef,0x01ceffff,
    0xffffffb0,0xffffffff,0x3277a65f,0xdfffffff,0x3ffea001,0x5401efff,
    0xffffffff,0x42ffffff,0xfffffff8,0xfffff30f,0x7ffecfff,0xffffffff,
    0xffb2ffff,0xffc87fff,0x404fffff,0xeffffffb,0x7ffecc02,0xffffffff,
    0x325fffff,0xffffffff,0x00002bde,0x26aaa600,0x15530000,0xfffb3000,
    0xffffffff,0x553009df,0x44000135,0x320009aa,0xffffffff,0xd704ffff,
    0xc87dffff,0x22effffe,0xffffffd9,0x4effffff,0x0fffff66,0xbfffffb3,
    0x06aa2003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00bdedc9,
    0x55555550,0x00001355,0x2aa60000,0xaaaaaaaa,0x260aaaaa,0xaaaaaaaa,
    0xaaaaaaaa,0x0d554c0a,0x01555510,0x03555551,0x0d555544,0x10555550,
    0x4c035555,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaa60,0x80001aaa,0x5554c001,
    0x0009aaaa,0xfffffc80,0x3fe202ff,0xffffffff,0x00003fff,0xf11ee980,
    0xffffffff,0xffffffff,0x7ffffe43,0xffffffff,0x3fa1ffff,0x540fffff,
    0x23ffffff,0xfffffffb,0x7fffd40f,0x3e20ffff,0x51ffffff,0x0fffffff,
    0xffffffff,0xffffffff,0x3fff23ff,0x5fffffff,0xfffe9800,0xfff103ed,
    0xffffffff,0xf700019d,0xffffffff,0x3fffea01,0xffffffff,0x10001fff,
    0x7cc37b73,0xffff54ff,0xffffffff,0x643fffff,0xffffffff,0xffffffff,
    0xfffff11f,0xfffd87ff,0x3ff26fff,0x42ffffff,0xfffffffc,0x3fffea1f,
    0xfff93fff,0x7cc3ffff,0xffffffff,0xffffffff,0xfffffd1f,0x00ffffff,
    0xffffffb8,0xfffa80ff,0xffffffff,0x22002fff,0xfeceffff,0xffb105ff,
    0xffffffff,0x001fffff,0x7fffff54,0x3ffffdff,0x3ffffff6,0xffffffff,
    0x3fff21ff,0xffffffff,0x21ffffff,0x0efffffd,0x7fffffd4,0x3ffffa23,
    0xffe985ff,0x6c45ffff,0x30dfffff,0x0bfffffb,0xfffffff9,0xffffffff,
    0x3ffaa3ff,0x3effffff,0x3fffe600,0xb00fffff,0xffffffff,0x05ffffff,
    0x70bffea0,0xff9009ff,0xfffd730b,0x3ffee00b,0xffffffff,0xbff904ff,
    0x21fff880,0x7fdc6ffc,0x40fffcc7,0xf903fffd,0x7fcc07ff,0xdffd003f,
    0x405ffd80,0x7dc04ffe,0xfff9807f,0x017ffc41,0x33fff600,0x5401efda,
    0x6dcc0fff,0xc801ffff,0x005306ff,0xfd017ff2,0xfff900ff,0xfffdbdff,
    0x7fe40dff,0x0fffc405,0xffb8dff9,0x40fffcc7,0x4c0ffff8,0xfd806fff,
    0xfff9807f,0x02ffec03,0xf7013ffa,0xfff300ff,0xfffff883,0x03deffff,
    0x00627ffc,0x9007ffd4,0xf900bfff,0xf90000df,0xfffa80bf,0x3ffff200,
    0x7ffff442,0x0bff900f,0x907ffc15,0x7ffb8dff,0xa80fffcc,0x3fa25fff,
    0xffa800ff,0x7ffec02f,0x02ffec00,0xf7013ffa,0x7c4150ff,0xffff887f,
    0xffffffff,0x09fff00e,0x03ffea00,0x803fffb0,0x80007ffa,0x7dc05ffc,
    0x77ffc07f,0x7ffff440,0xbff905ff,0x17f26fe8,0xffb8bff9,0x007ffc47,
    0x3f27fffb,0x3fe003ff,0x3ffe205f,0x05ffd804,0x2e027ff4,0x07fec7ff,
    0xfff109fb,0xfffddddd,0x3ff60fff,0xffa8000f,0x7ffc400f,0x17ffc404,
    0x17ff2000,0x205fffb8,0x7441fff9,0x7ffddfff,0x7c4bff90,0x7fd400ff,
    0x743ffdc3,0x7ffc406f,0x005fffbf,0xb80fffdc,0xfd801fff,0x27ff405f,
    0xfd1ffee0,0xff10085f,0x3ff6205f,0x5fff981f,0x0fffa800,0x986ffd80,
    0xfffffffd,0x7e4002df,0xeca999ef,0x2e02ffff,0x7ff446ff,0x03fff55f,
    0xfffffff9,0x175003ff,0xb987ffb8,0xffffa801,0x44000fff,0xffd04fff,
    0x3fff600d,0xfeeeeeee,0x7fdc04ff,0x3fffffff,0x05fff100,0x4427ffc4,
    0x8802ffff,0xfffffffd,0x7ffc84ff,0xffffffe8,0x000fffff,0x3ffffff2,
    0x03ffffff,0xfd127fec,0x3fe21dff,0xffffc82f,0x001fffff,0x001ffee0,
    0x3fffff60,0xfffb0002,0x02fffa81,0xffffffb0,0x9fffffff,0xfffffb80,
    0x1003ffff,0xfd805fff,0x7fff446f,0x19bd30ff,0x3fffffee,0x540fffff,
    0xfffc87ff,0x6fffffff,0x7fffe400,0x1fffffff,0xd16ffd80,0x7cc1dfff,
    0xfffc80ff,0x01ffffff,0x01ffee00,0x7ff77540,0x01deefff,0xb0fffe60,
    0x7ec00fff,0xffffffff,0x5c04ffff,0xffffffff,0xfff1003f,0x24ffe805,
    0xffffffe8,0x227fff95,0xffffffff,0x7ffa86ff,0xfff75530,0xc8001559,
    0xffffffff,0xff7006ff,0x1dfffd5f,0xf906ffc8,0xfff755df,0x7fdc0003,
    0x99930007,0x9999fffb,0x6ffe8001,0x8013ffe2,0xcccceffd,0x04fffccc,
    0x6667ffdc,0xf1002fff,0x7fd405ff,0x37ffee2f,0xffebfffd,0x3ff2a24f,
    0xb80aaabf,0xff9807ff,0x3f20001f,0xffb999ef,0xff9805ff,0x40efffff,
    0xf904fffb,0x20fff8bf,0xff7000b9,0x3ea0000f,0x5c0000ff,0xfff91fff,
    0x2ffec001,0x7013ffa0,0x1ffe8fff,0x37fff100,0xfff95533,0x8afff41f,
    0xcfffffff,0x00fffa80,0xb805ffd8,0x20000fff,0xffa85ffc,0xffc805ff,
    0xd310ffff,0x3203ffff,0x11fdc5ff,0x3ee00bff,0x2660007f,0x999fffb9,
    0xfff88000,0x800bfff5,0x7f405ffd,0x3ffdc04f,0xf88017ea,0xffffffff,
    0x3e21ffff,0x3ffea2ff,0xff500fff,0x9fff001f,0x01fffb00,0x82ffe400,
    0x403fffe9,0xfffffff8,0x1fffffff,0x2017ff20,0xf7007ffa,0x3f2000ff,
    0xffffffff,0xfc8002ff,0x02fffbff,0x202ffec0,0x7dc04ffe,0xf880007f,
    0xffffffff,0x7fc40eff,0x7fffe43f,0x03ffea05,0x805fff90,0x6c05fff8,
    0x0bff902f,0x007fffcc,0xfffffffb,0x01dfffff,0xa805ffc8,0xff7007ff,
    0x2662000f,0x999fffb9,0xfff30001,0xb000dfff,0xffe80bff,0x03ffdc04,
    0x6fffc400,0x00aacccc,0x542bbffe,0x501cffff,0x7e401fff,0x7fdc06ff,
    0xaaaaadff,0x5446ffca,0x702aeffe,0xc815dfff,0xfffdffff,0x200bdfff,
    0xaaeffda8,0xfcaaaaaa,0x32aa607f,0x00aaafff,0x7ffe5540,0x740001ab,
    0x003fffff,0x2bbffaa2,0x6fffd440,0xfffda80a,0x2000aaaa,0xaacfffb9,
    0xfff9001a,0xffffffff,0xffc885ff,0xfdcaaabf,0x3a01ffff,0xffffffff,
    0x6fffffff,0x3fffffe2,0xfffb07ff,0x7fffc4ff,0x4006ea21,0xfffffff8,
    0xffffffff,0xfffb07ff,0xffffffff,0x3fffe003,0x05ffffff,0x3fffea00,
    0x3ffa000f,0xf51fffff,0x89ffffff,0xffffffff,0xfc803fff,0xffffffff,
    0xfffd005f,0xffffffff,0x7fffc4bf,0xffffffff,0x3e202fff,0xffffffff,
    0x3fffffff,0x3fffffea,0xfe881fff,0x3ffa1fff,0xffa80001,0xffffffff,
    0x7fffffff,0xffffffd0,0x007fffff,0xfffffff1,0x8000ffff,0x2004ffff,
    0xfffffff8,0xfffff93f,0x7ffccfff,0xffffffff,0xffffe804,0x07ffffff,
    0x3fffff20,0x21dffedf,0xfffffffa,0x1effffff,0xffffeb80,0xffffffff,
    0xffffc83e,0x3e604eff,0x005444ef,0xffff9000,0xffffffff,0x2a0fffff,
    0xfffffffe,0xd9000dff,0xdfffffff,0xffc80005,0x7f5c001f,0xb30dffff,
    0x85dfffff,0xffffffec,0xda801dff,0xffffffff,0x54c4002e,0xfd9000aa,
    0xbdffffff,0x00000057,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa0000,0x1aaaaaaa,0x55555300,
    0x55555555,0x03555303,0x80555544,0x2201aaa9,0x5300aaaa,0x26015555,
    0x300aaaaa,0x55555555,0xaa801555,0x00aaaaaa,0xaaaaaa80,0x0aaaa981,
    0xaaaaa880,0xaaaaaaaa,0xaaa981aa,0x35555002,0x80aaaa60,0x01aaaaa8,
    0x3fe600c4,0xffffffff,0x3600dfff,0xffffffff,0x743fffff,0x40ffffff,
    0x4ffffffb,0x7ffffffc,0x7ffffdc0,0x7ffffc4f,0x7fec3fff,0x745fffff,
    0xffffffff,0x883fffff,0xffffffff,0x3fe6004f,0x26ffffff,0x4ffffffd,
    0x3fffff20,0xffffffff,0x7ffc5fff,0x7d400fff,0x7f45ffff,0xfa84ffff,
    0x0fffffff,0x37fffae2,0xfffffa81,0xffffffff,0xfffb03ff,0xffffffff,
    0x7ffc47ff,0x7ec2ffff,0x266fffff,0x2fffffff,0x7fffffec,0x3ffffe66,
    0x7ffc5fff,0x227fffff,0xffffffff,0x85ffffff,0xfffffffa,0x3ea007ff,
    0xffffffff,0xfffffff0,0x7ffff40d,0xffffffff,0x3e65ffff,0x404fffff,
    0x27fffffd,0xfffffff8,0x7ffffe41,0x3ff61fff,0x440fffdf,0xfffffffd,
    0xffffffff,0xfffffd81,0xffffffff,0x7ffffe43,0x7fffcc0d,0x7ffe42ef,
    0x7fcc0eff,0x7ec2efff,0x41efffff,0xffffffeb,0x7ffff5c3,0xefffffff,
    0xffffd881,0x002fffff,0xffffffb1,0x7fffe49f,0x3faa02ef,0xffffdeff,
    0x45ffffff,0x0ffffffc,0xffffff30,0xfffffc87,0x7ffecc6f,0x0e5c5fff,
    0xffd813fa,0xfffca885,0x305ffd86,0x3601ffff,0xffb02fff,0x7ff4405f,
    0x9fffd03f,0x002ffec0,0x5400bffe,0x220007ff,0x05ffffff,0x885ffd80,
    0x002ffffd,0x3ff33fe6,0xb85ffd85,0x903fffff,0x405fffff,0x03fffffa,
    0x2003fff1,0x3f604fe8,0x3ffe405f,0x7c42ffec,0x3e202fff,0x7fd40fff,
    0xfff8805f,0x2fffe42f,0x531bff20,0x7ffc4155,0x0fff5001,0x6fffdc00,
    0x6c000fff,0x7ff445ff,0x7e4001ff,0xd85ffcaf,0xfffb85ff,0xfff886ff,
    0x3ea02fff,0x880fffff,0x32201fff,0x3601fffe,0x7fd405ff,0x427fec1f,
    0xa803fffe,0x3fe25fff,0xff3000ff,0x3ffee3ff,0x3ffdc00e,0xf98bfff6,
    0xff5000ff,0x7ffc000f,0x004fff8e,0xff32ffec,0xd0001dff,0x217ff2ff,
    0xffb84ffc,0x7dc2ffff,0x202fffff,0x5ffffffa,0x201fff88,0x405ffff9,
    0x7f405ffd,0x43ffb87f,0x2005fffc,0xffb2fffd,0xffb8005f,0x1ffffaef,
    0x20fffa80,0x3ea5ffff,0x3fea007f,0xfff50007,0x001fff65,0x3feabffb,
    0x88000eff,0x2bff95ff,0x82ffa9dc,0x6ffffffb,0x7fff7ffc,0x37ffea02,
    0x7fc42fff,0x7e54401f,0x17ff604f,0x17fffae6,0xffa83322,0x3e2000ef,
    0x5fffbfff,0xffff9000,0x26005fff,0xfff51fff,0x1ffee1ff,0x007ffa80,
    0x7d4fffb0,0x3f6002ff,0x5ffffbdf,0x4ffee000,0x5ff9dffc,0x3ffee077,
    0xff51fffb,0x405fff7f,0xfff8fffa,0x07ffe20f,0xb00ffc80,0xffffffff,
    0x001fffff,0x007fffe6,0x3ffffea0,0x360000ff,0x003fffff,0x7ecbffe2,
    0xff92ffff,0x3ffd400d,0x27ffc400,0xd8017ffa,0x6fffffff,0x87fec000,
    0x7ffffffc,0xf8fffb80,0x1dffd5ff,0x7d405fff,0x49fff77f,0x2001fff8,
    0xffb00ffa,0xffffffff,0x3a200bff,0x20003fff,0x02fffffd,0x7fffc400,
    0xbfff8006,0x5ffffff8,0x5400bffb,0xfb8007ff,0x7ffdc0ff,0xffffb000,
    0x000bffff,0xfff937fc,0xf700ffff,0x2ffff2ff,0xfff8bfff,0xe9ffea02,
    0xfff11fff,0xcbcefa83,0x3f603ffd,0xffffffff,0xd804ffff,0x40004fff,
    0x005ffff8,0xfffffc80,0x67ff4002,0xfffdfffa,0x2004ffe8,0xf8007ffa,
    0xfff885ff,0xffffb004,0x00bfffff,0x7e49ff50,0x807fffff,0xfff17ffb,
    0x3fe2ffff,0x9ffea02f,0xff16fff9,0xffff983f,0x7ec05fff,0xccccccef,
    0x205ffffe,0x0306fffb,0x00fffb80,0x7fffd400,0x36001fff,0x9effddff,
    0x3fffafff,0x01ffea00,0xffffff50,0x0fffffff,0x27ffff60,0x006fffea,
    0x7fffffe4,0x06ffdfff,0x3f67ffb8,0xff14ffff,0x3ffd405f,0x3e2ffff2,
    0x775501ff,0xbffb0015,0x0ffff980,0x80ffff98,0x3ea005fd,0x7cc0007f,
    0xefffcfff,0xfdff9000,0x3bffa9ff,0x2a002fff,0x7ec007ff,0xffffffff,
    0xd802ffff,0x7fec0eff,0x3ffe003f,0x8dffffff,0xffb804ff,0x3ffffe67,
    0x405fff10,0xffe87ffa,0x001fffaf,0x02ffec00,0x221fffd4,0xf882ffff,
    0xff5000ff,0x7fc4000f,0xbfff92ff,0x3fffee00,0xffff71ff,0x7d4003ff,
    0x3fe2007f,0xffffffff,0xd805ffff,0xfff885ff,0xddff3007,0x22bfffdd,
    0x3ee06e22,0x2ffff47f,0x5405fff1,0xfff987ff,0x0001ffff,0x802ffec0,
    0x7ff44ffe,0x3fff304f,0x01ffea00,0x44fffe80,0xa804fffd,0x267fffff,
    0x00ffffff,0x801ffea0,0xaaabfffb,0xfffcaaaa,0x82ffec00,0xb803fffa,
    0x2ffe42ff,0x7dc0ffd8,0x0fffd47f,0x5405fff1,0xfff907ff,0xfb303fff,
    0x7fec0019,0x3fff8805,0x9817fff2,0xf5001fff,0x3f6000ff,0xffe885ff,
    0x7ffd403f,0x7fff44ff,0x7fd4007f,0x17ffe007,0x013ffe20,0x7ec0bffb,
    0x7ff400ff,0xf82ffe40,0x3ffdc2ff,0x3fe20ccc,0x1ffea02f,0x7fffffc4,
    0x04fffe81,0xaeffea88,0xfecaaaaa,0xfff51fff,0x5555557f,0x4c03fff7,
    0xabfffcaa,0x7fe4400a,0xfff702ff,0x3fe6017f,0x7fdc1fff,0x554c07ff,
    0xaaafffca,0x7ffdc40a,0xfd5100ac,0xea8815ff,0xf981aeff,0x5cc0adff,
    0xfb512fff,0xf55555df,0x7fec47ff,0x75100aaf,0x91019fff,0xa8155fff,
    0x441fffff,0x4c06ffff,0xffffffff,0xffffffff,0x3fffee5f,0xffffffff,
    0xff901fff,0xffffffff,0x3ffe605f,0x7ec3ffff,0x80ffffff,0x987ffff8,
    0x3a06ffff,0xffffffff,0xf73fffff,0x1fffffff,0xffffffb8,0xffff30ff,
    0xfb0dffff,0x3e67ffff,0xffefffff,0xffffffff,0xff33ffff,0x81ffffff,
    0xfffffffa,0x3fffe60f,0x7ec1ffff,0xffc81fff,0x7ffd402f,0xffffffff,
    0x20dfffff,0xfffffffb,0xffffffff,0xfffffd01,0x09ffffff,0x3fffffee,
    0x7ffffc5f,0xfff01fff,0x3fffa09f,0xfffff105,0xffffffff,0x3ffff2bf,
    0x7e42ffff,0x2fffffff,0xfffffff5,0xfff981ff,0xffff75ff,0xffffffff,
    0xffffffff,0x3fffee7f,0x7dc2ffff,0x2fffffff,0x3fffffee,0x7ffc43ff,
    0x0017301f,0xffffffb1,0x9dffffff,0xfffff703,0xffffffff,0x3f6a03ff,
    0xffffffff,0xfffb100d,0xfea83bff,0x3a04efff,0xff702fff,0x7ff5c09f,
    0xffffffff,0xfffb31df,0xfb309dff,0x449dffff,0xeffffffd,0x3bfffd03,
    0x3bffff62,0xffffffc9,0x3fffffff,0xdfffffb1,0xffffb109,0xffd889df,
    0xb80dffff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xaaaaaaa8,0x4c0001aa,
    0x02a6000b,0x00000000,0x14400171,0x332ea000,0x001bca82,0x566665cc,
    0xcb988000,0xba8001ac,0x0011bccc,0x56665d44,0x00000000,0x000565cc,
    0xfff90044,0xffffffff,0xf88003df,0xfff3005f,0x00000007,0x00fffb10,
    0x220037fc,0xeffffffc,0x5ffffe88,0x7fffec40,0x00cfffff,0xffffff70,
    0xfd5009ff,0xfdffffff,0x7fe4401f,0xfdffffff,0x00ffa21f,0xfb301fec,
    0x19dfffff,0xcefffc80,0x7fffff40,0xffffffff,0x3fea004f,0xffff7007,
    0x0000005d,0xfffff910,0x0fff1001,0xfffffb80,0xffffffff,0xfb00dfff,
    0xffffffff,0xfe880bff,0xffffffff,0xfffb01ef,0xffffffff,0x3ffea05f,
    0xffffffff,0x3ffee3ff,0x9ceffdab,0xf980fffd,0xffffffff,0xdffd00ef,
    0xfea8dffb,0xffffffff,0x003fffff,0x2200fff5,0x1efffffd,0xf7000000,
    0x007fffff,0x2e001764,0xfffeffff,0xfffeffff,0xffff704f,0xfffffddf,
    0x3fffa207,0xffffeeff,0x7ffd40ff,0xfffeeeff,0xfff883ff,0xfffeefff,
    0x3fe64fff,0xffffffff,0xfa86ffff,0xffeeffff,0x7d40efff,0x20bfe22f,
    0x5c42fff8,0x801ffffd,0x54007ffa,0x0dfffffe,0xfd500000,0x003bffff,
    0x0dd40000,0x453ffff6,0x7500fffe,0x9fff3013,0x2bbfff60,0x3fffaa20,
    0x057ffe44,0x20bffee2,0x440dfffe,0x5c4fffea,0xffffffff,0x4c0fffff,
    0xd884ffff,0x3220efff,0xf884fe82,0x3fea02ff,0x7ffa803f,0xffff7000,
    0x000019ff,0x3fffff66,0x0000002e,0x1bffea00,0x0007fff5,0x7cc37fe4,
    0x3a200eff,0x3ff61fff,0x037ee01f,0x8809fff7,0xffd84fff,0xfffebdff,
    0x1fffc82f,0x017ffe40,0x7c417fdc,0x7ff402ff,0x07ffa805,0x3fff2200,
    0x20003fff,0xffffffc8,0x00000002,0x3bbf72a2,0xaaaadfff,0x32206fff,
    0xfeeeffed,0xcfffb86f,0xaaaaaaaa,0x3ee4fffb,0x1acdffff,0x037fe402,
    0xfe82ffb8,0x7ffd40ff,0x003fff83,0xfd80bfff,0x5fff104f,0x805ffd80,
    0x80007ffa,0xefffffd8,0x3ff22002,0x0003ffff,0x7fd40000,0xffffffff,
    0xffffffff,0xffffc887,0x6fffffff,0xffffffd8,0xffffffff,0x7fff45ff,
    0x0dffffff,0x4009ffd0,0x3fff882a,0xf98bffd0,0xff9000ff,0x0fffa20f,
    0x202fff88,0x2e63fffa,0xfffdcccc,0x00accccc,0x7ffff4c0,0x7fdc01ef,
    0x000cffff,0x666665cc,0xcccccccc,0x7fffec0a,0xffffffff,0x7fffffff,
    0xffffffe8,0x86ffffff,0xfffffffe,0xffffffff,0x7ffdc47f,0x3fffffff,
    0x0002fff8,0x700fffa8,0x7ffb8fff,0x07ffe600,0x8805fff5,0xfd302fff,
    0x3ffea5ff,0xffffffff,0x007fffff,0xfffffd50,0xfffea81b,0xa8001dff,
    0xffffffff,0xffffffff,0xdffff50f,0xffffd97b,0xffffffff,0xdfffffd8,
    0x6fffdcbb,0xffffffd8,0xffffffff,0x973107ff,0x5ffffffd,0x0003fff8,
    0x902fff98,0xfff98dff,0x4fff5000,0x800dffd8,0xbaacfff8,0x25fffffd,
    0xfffffffb,0xffffffff,0xc88000ff,0x23ffffff,0xffffffd8,0xfff70002,
    0xffffffff,0x21ffffff,0xfa82fffc,0x99999cff,0x3ffe2199,0x1bff202e,
    0x266bffee,0x99999999,0x8076e199,0x6c5fffa8,0xf00005ff,0xfff10bff,
    0x007fff09,0xffe97ff6,0x82eccccf,0xfffffff8,0x20efffff,0xfffffec8,
    0xffffffff,0xffb8003d,0x300cffff,0x3dfffffd,0xfffd8800,0xffffffff,
    0x3ee3efff,0xfffc80ff,0x3ffea006,0x1bffa601,0x003bffe6,0x4037fc40,
    0x3ee0fffb,0x9b3002ff,0x239fffb0,0xd82fffea,0x7e402fff,0x3fffa3ff,
    0x885fffff,0xffffffff,0x2000cfff,0x00007ffa,0xbfffffd5,0x3ffaa003,
    0x0000dfff,0xfff30000,0x3fff663b,0xfd930cff,0x067ffd47,0xfffffb51,
    0xefffc815,0x76dcc0ab,0x5ffff52f,0x7ff5d441,0x6ffffc47,0xfffc9881,
    0x7fffff42,0x83ffffff,0x21dffffa,0x0ffffe98,0x26666662,0xfff88099,
    0x1cdeffff,0x07ffa800,0x7ffecc00,0x70002eff,0x19ffffff,0xd0000000,
    0xffffffff,0xffffffff,0x7fc4ffff,0xffffffff,0x2fffffff,0x7ffffff4,
    0xffffffff,0xffffff76,0xffffffff,0xfffff309,0xfffffdff,0x7ffec5ff,
    0xffffffff,0xfffa83ff,0xffffffff,0x100000ef,0x00005fff,0x0007ffa8,
    0xffffff91,0xf9100005,0x007fffff,0xfe880000,0xffffffff,0xffffffff,
    0x7fffcc5f,0xffffffff,0x6c44ffff,0xffffffff,0xf34fffff,0xffffffff,
    0x540bffff,0xffffffff,0x2e4fffff,0xfffeffff,0x0ffffeff,0xffffff98,
    0x000effff,0x0bffe200,0xfff50000,0xfffc8800,0x00003fff,0xfffffd88,
    0x0000002e,0x6fffffec,0xffffdbec,0xffd302df,0xfb7dffff,0x2a03bfff,
    0xffffffff,0x67e41cff,0xfffffffe,0xffc8801e,0xcfffffff,0xa877fd41,
    0xfff70acb,0x7fff64c0,0x0000beff,0x017ffc40,0x1ffea000,0xfffffa80,
    0x000000cf,0x7fffff4c,0x02e6001e,0x00ab9800,0x4c003571,0x0001abca,
    0x19abb988,0x56554c00,0xa9880009,0x2009aacb,0x395000ca,0x006ea200,
    0xffb98000,0x001aaacf,0x803ffd40,0x1dfffffa,0x54000000,0x00fffffe,
    0x0006ff88,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0xffffffff,0x3fe20005,0xdfff7006,0x00000005,0x00ffffb8,0x0007ff88,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffe80000,0xffffffff,
    0x17640007,0x0005b900,0x5c400000,0x0b6a003e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xffffffda,0x00002eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44026662,0x22009999,0x5cc09999,0x4ccc401c,
    0x01333100,0x26666662,0x09999999,0x804ccccc,0x20199998,0x99510999,
    0x33100157,0xb88b32a3,0x998800bc,0x99988019,0x4c00ca81,0x0195001c,
    0x22018800,0x03700dc1,0xffd10000,0xfffd0dff,0x3ffa09ff,0xffd34fff,
    0xff987dff,0x3a25ffff,0xc85fffff,0xffffffff,0xf74fffff,0x4bffffff,
    0xffffffe8,0x3fffe62f,0xffffffbe,0xffff102e,0x79ffff9f,0x01dfffff,
    0x3ffffff2,0xfffff901,0x03bfe63f,0x4403ffd4,0x2a0005ff,0x44ff507f,
    0x2ff883ff,0x03fffe80,0x1bffffea,0x9ffffff3,0xffffff30,0xffffff9b,
    0x7ffdc3ff,0xff50ffff,0xc81fffff,0xffffffff,0xfd4fffff,0x1fffffff,
    0x3fffffea,0x3fff25ff,0xffffffff,0xffb82fff,0xffffffff,0xffffffff,
    0xffffff05,0x3fffe09f,0xfff54fff,0xffffa81d,0x03ffd400,0xb84ffb80,
    0x27fe44ff,0x36027fe4,0x3a202fff,0xfd86ffff,0xfb04ffff,0xffffffff,
    0x49fffdff,0x4fffffe8,0x2ffffff4,0x7fffffe4,0x3fffffff,0xfffffff7,
    0xfffffe89,0x3ffa62ef,0xfeefffff,0x7440ffff,0xfeffffff,0xffefffff,
    0xfffb80ff,0xff701fff,0x7ec3ffff,0xfff50eff,0xfff5007f,0x0bff9000,
    0x3f209ffb,0x2ffe40df,0x003fff90,0x220dffb1,0x2204ffe9,0xffffffe9,
    0x701bb30b,0x261bffff,0x901effff,0x73333bff,0xf309ffff,0x7fcc0dff,
    0x3ff200df,0x3ee20dff,0xfff702ff,0x3fffea1d,0x205fff32,0x3ea3fff8,
    0x1bff60ff,0x7df7ffec,0x1b883fff,0x2a89ffea,0x88bffb10,0x7e405ffd,
    0x77fec0ef,0x00fffb80,0xd80dff90,0xffe804ff,0x98001eff,0xffbeffff,
    0x3ea00eff,0x7fffcc3f,0x07fff204,0x200fffe4,0x3e04fffc,0xfff703ff,
    0x217ffcc1,0x3fa02fff,0x8bfff65f,0x3f604fff,0x03ffffff,0xff9bfffd,
    0x87fffd7f,0x7445ffe8,0xffb005ff,0x1effd83f,0x9003ffd4,0xffd80dff,
    0x5fffe804,0x7ff4c000,0x805fffff,0x3fea0cc8,0x7fc404ff,0x5fff885f,
    0x406ffc80,0xff704ffe,0x41fff98f,0x3f202fff,0xdffff16f,0xb00bffe6,
    0x207fffff,0xfffffff8,0x5fffffff,0xf31bffe6,0xfd800bff,0x7ffec2ff,
    0x801bfe22,0x7ec06ffc,0x5ffe804f,0xffd10000,0x40009fff,0x004ffffa,
    0xfb83fff9,0xffc802ff,0x827ff406,0x7fcc7ffb,0x017ffc1f,0xff71fff5,
    0xfff71fff,0xffffa801,0x3ffea00f,0xffffffff,0xdfff50df,0x037ffd41,
    0x17fffc40,0x7c3ffff1,0x3ff2005f,0x027fec06,0x00027ff4,0x5fffffb0,
    0x3ffea000,0x3fe2004f,0x037ffc5f,0x7406ffc8,0xfff704ff,0x7c1fff98,
    0x3fe202ff,0xfffffeaf,0x5406ffdc,0x0effffff,0x7fffe4c0,0x7440beff,
    0x3fa23fff,0x7ec003ff,0x3ffa24ff,0x0027f43f,0xfd80dff9,0x4ffe804f,
    0xffe88000,0x004fffff,0x027fffd4,0xb8fffe40,0xf9002fff,0x4ffe80df,
    0xf98fff70,0x17ffc1ff,0x3ffbffa0,0xffffffff,0x3fffea04,0x800efffe,
    0x03fffffe,0x321fffe4,0xe8803fff,0x3fa22fff,0x03fd81ff,0xb01bff20,
    0xffd009ff,0xfe880009,0xffffcfff,0xffff5005,0xf8803109,0x0dfff5ff,
    0x2037fe40,0xff704ffe,0x41fff98f,0x7e402fff,0xffafffff,0xf502ffff,
    0x3ff67fff,0x3ff200ef,0x401fffff,0x7d44fffa,0x3fa203ff,0x3ffa20ef,
    0x001f700d,0xf703ffe4,0xffd009ff,0x7fcc0009,0xfff50eff,0x7fd401df,
    0x3ff884ff,0x7e7ffe40,0x3f2002ff,0x27ff406f,0x7cc7ffb8,0x17ffc1ff,
    0x3ffffea0,0x1fffffd4,0x87ffff30,0xf306fffd,0xdfff5dff,0x89ffd100,
    0xe883ffe9,0x7ff444ff,0xfa800004,0xfd510bff,0x5301bfff,0x555bffd5,
    0xffb80155,0x7fd40fff,0xffa82eff,0xaaaaaeff,0x7c406ffc,0x006fffff,
    0x15dffb51,0x81bffd30,0x261fffc8,0x3fe0bfff,0x3fe200cf,0xfff71fff,
    0x3ffee0ff,0x01fffb03,0x3f23fffd,0xffb002ff,0x43ffd887,0xffe82ffd,
    0xf1000002,0xffffffff,0x47ffffff,0xfffffffe,0x03ffffff,0xdfffffff,
    0x7fffffcc,0x7ffffc5f,0xffffffff,0xfffd807f,0xffb002ff,0xfc8dffff,
    0xf33fffff,0x26dfffff,0x3fe7ffff,0x3fa01fff,0x3ffe26ff,0x07fd105f,
    0xffb03fc8,0x002ffe87,0x37dc1bee,0x077c07be,0x3ee00000,0xffffffff,
    0xf14fffff,0xffffffff,0x10bfffff,0xffffffff,0x3ffffea1,0x7fffc6ff,
    0xffffffff,0xff9807ff,0x3fe006ff,0x21ffffff,0x4ffffffe,0xfffffff7,
    0x47ffffe6,0x202fffff,0x7ec3fffc,0x000003ff,0x3c883c88,0x26008800,
    0x00000000,0x3fffee00,0xfffebeff,0x3fffae1d,0xffffffff,0xfffd701d,
    0xfffc87df,0x7ffc2dff,0xffffffff,0xfb007fff,0x754007ff,0x544effff,
    0x11dffffd,0x25dffffb,0x3e4efff9,0x7d405fff,0x7ffd40ff,0x00000001,
    0x00000000,0x00000000,0x000abb98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01440000,
    0xcccccb98,0xcccccccc,0x2200cccc,0x0ccc0009,0x3bbbb2a0,0xeeeeeeee,
    0xca81beee,0x3bbaa4cc,0x817bba64,0x80018800,0x06e201eb,0x88888154,
    0x88888888,0x00888888,0x26666662,0x99999999,0x00099999,0x44000000,
    0x4003efed,0x7fd402fd,0xffffffff,0xffffffff,0xfffec81f,0x3ffb202f,
    0xff882eff,0xffffffff,0xffffffff,0x23fffe86,0x3e65fffa,0x05f706ff,
    0x813fffa6,0xd817fec0,0x17fe41ff,0xfffffffb,0xffffffff,0x87ffffff,
    0xfffffffe,0xffffffff,0x04ffffff,0x50000000,0x1dffffff,0x03fff900,
    0x7fffffdc,0xffffffff,0x221fffff,0xfffefffd,0xeefff885,0xfff887ff,
    0xffffffff,0x5fffffff,0x263fffc4,0x7ffc4fff,0xf507fb05,0x81bfffff,
    0xffb10ffb,0xd85fff09,0xffff34ff,0xffffffff,0xffffffff,0x7ffccfff,
    0xffffffff,0xffffffff,0x00007fff,0xfff88000,0x405fffef,0x00effffa,
    0xfffffd91,0xffffffff,0x7ec3ffff,0x7ff710be,0x07fd0110,0x99999973,
    0x99999999,0xfffa8179,0x21fffc43,0xdfb04ffe,0x7ffffcc3,0xff71efff,
    0x45ffc87f,0x0ee985ea,0x3ffffffa,0xffffffff,0x5fffffff,0x7fffffec,
    0xffffffff,0x4fffffff,0x80000000,0xfd30cffd,0x3ffe605f,0x00006fff,
    0x223fff30,0x0dfb02ff,0xfddddb71,0x40000009,0xfff06ffc,0xb03ffd83,
    0x3ff61fff,0xffffe9cf,0xb80ffffd,0x980002ff,0xaaaaaaaa,0xaaaaaaaa,
    0x22200aaa,0x88888888,0x88888888,0x00000000,0xf703ffa0,0xffff107f,
    0x0009fffd,0x23fff300,0x3fe607fa,0x3ffffe60,0x00004fff,0x40bffa00,
    0x7fe40ffe,0x7fdde642,0x6c49ff92,0x2fffffff,0x00003260,0x00000000,
    0x00000000,0x1bfe0000,0x3fa13fe6,0xfffe8cff,0x7cc00003,0x03ff31ff,
    0xeff89fee,0x04fda99b,0x33333331,0x33333333,0x206ff981,0x1ffb87fc,
    0x87fffffc,0xfff703b8,0xa98005ff,0xaaaaaaaa,0x0000aaaa,0x00000000,
    0x00000000,0x7e41ffe8,0x2fffec3f,0x005ffff3,0x0fffcc00,0xffa83dff,
    0xd303fea4,0xffffd09f,0xffffffff,0x5c7fffff,0x1bee02ff,0xd9303fea,
    0xb98005df,0xfe8000bd,0xffffffff,0x0003ffff,0x00000000,0x00000000,
    0xc9beffb8,0x3fee0fff,0x7ffd40ef,0xf300000f,0x7ffcc3ff,0x40efffde,
    0xffedcefe,0xfff30eff,0xffffffff,0xdfffffff,0x3ea037ec,0x0406f885,
    0xd0000000,0xffffffff,0x007fffff,0x00000000,0x00000000,0x3ffffa00,
    0x7ffc3fff,0xbfff700f,0x3fe60000,0x7fff4c1f,0xfd980cff,0xfffeffff,
    0x3fffff61,0xffffffff,0x3fe3ffff,0x3500b801,0x00000000,0x77777640,
    0xeeeeeeee,0x00000002,0x00000000,0xfb100000,0xfd07ffff,0x4ffc803f,
    0x1ffe0000,0x8009aa98,0x03311aa8,0x4ccccccc,0x19999999,0x00000198,
    0x00000000,0x00000000,0x00000000,0x00000000,0x402f2ea0,0x177001b8,
    0x1f5c0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_39_latin1_x[224]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,4,-1,4,1,-1,3,-1,-2,4,1,5,5,7,0,2,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_39_latin1_y[224]={ 28,5,7,4,4,6,8,6,5,5,6,8,23,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,13,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,34,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,28,13,4,7,9,7,
6,6,6,7,5,13,16,16,7,1,2,3,5,5,5,12,6,14,26,5,5,13,5,5,5,13,-1,-1,0,1,
1,-1,7,7,-1,-1,0,1,-1,-1,0,1,7,1,-1,-1,0,1,1,11,5,-1,-1,0,1,-1,7,6,5,5,
5,6,6,4,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_bold_39_latin1_w[224]={ 0,6,13,17,16,17,16,5,8,8,16,19,8,15,
6,16,16,16,17,17,16,17,16,16,16,16,6,9,21,21,21,15,15,23,20,19,20,20,20,20,21,16,21,21,
19,23,22,21,18,21,22,17,19,21,23,23,21,21,17,9,16,9,16,25,7,19,21,19,21,18,18,20,21,17,
14,19,17,23,20,19,21,21,19,17,19,20,21,22,21,21,16,10,5,10,17,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,16,19,17,21,
5,19,12,22,13,19,21,15,22,25,12,19,10,11,7,20,17,6,8,10,13,19,21,24,21,16,23,23,23,23,
23,23,23,19,20,20,20,20,16,16,16,16,21,22,21,21,21,21,21,15,21,21,21,21,21,21,18,19,19,19,
19,19,19,19,23,19,18,18,18,18,17,17,17,17,18,20,19,19,19,19,19,19,20,20,20,20,20,21,21,21,
 };
static unsigned short stb__courier_bold_39_latin1_h[224]={ 0,24,10,28,29,23,21,12,29,29,15,20,11,4,
6,29,24,23,23,24,22,23,24,23,24,24,17,20,20,11,20,22,26,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,28,29,28,12,5,6,17,23,17,23,17,22,24,22,22,
30,22,22,16,16,17,24,24,16,17,22,17,16,16,16,24,16,28,28,28,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,23,26,21,17,21,
28,25,5,22,11,15,12,4,22,5,12,25,13,13,6,24,25,6,9,13,11,15,23,23,23,23,29,29,28,27,
27,29,21,28,29,29,28,27,29,29,28,27,21,27,30,30,29,28,28,15,26,30,30,29,28,29,21,23,24,24,
24,23,23,25,17,23,24,24,24,23,23,23,23,22,23,22,24,24,24,23,23,20,21,24,24,24,23,31,30,30,
 };
static unsigned short stb__courier_bold_39_latin1_s[224]={ 255,239,133,64,129,21,214,244,168,246,187,
20,124,182,242,73,39,127,186,1,172,97,73,204,90,56,248,245,62,102,40,
189,67,125,1,205,223,65,174,1,152,108,22,149,203,195,219,181,1,191,21,
62,86,80,128,84,62,40,22,12,229,237,35,195,174,128,191,185,213,148,102,
227,121,44,89,161,143,124,103,223,20,105,22,167,225,1,81,148,42,42,64,
199,247,1,156,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,255,246,83,
1,205,106,231,158,182,68,88,204,52,182,91,221,22,120,243,242,248,147,140,
244,147,244,74,224,144,23,1,239,1,25,143,167,230,49,171,44,208,187,210,
24,90,170,82,213,231,1,104,126,146,99,22,171,45,148,23,177,121,107,195,
39,64,168,107,77,115,100,104,166,208,178,1,153,135,59,221,114,172,132,188,
127,19,1,48,84,44,84,197,218,235,1,45,67, };
static unsigned short stb__courier_bold_39_latin1_t[224]={ 1,92,324,63,33,170,241,307,33,1,307,
285,324,330,277,33,145,145,145,145,194,170,145,145,145,145,120,194,285,324,285,
194,92,263,263,194,218,241,241,218,241,263,218,263,218,263,263,218,285,63,241,
218,241,218,241,263,263,263,263,63,1,33,324,324,324,285,170,285,170,285,218,
120,218,218,1,218,218,307,307,285,120,120,307,285,194,307,307,307,307,120,307,
33,33,63,324,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,1,92,92,
241,285,241,33,92,324,194,324,307,324,330,194,324,324,92,285,263,138,120,92,
232,324,218,324,307,145,194,194,145,33,33,63,63,63,33,263,63,1,1,33,
92,33,1,63,63,241,92,1,1,33,63,63,307,92,1,1,33,63,33,241,
170,120,120,145,170,170,92,285,145,120,92,120,170,170,170,145,194,170,194,120,
120,145,170,194,285,241,120,92,92,170,1,1,1, };
static unsigned short stb__courier_bold_39_latin1_a[224]={ 331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_39_latin1(stb_fontchar font[STB_FONT_courier_bold_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_39_latin1_s[i] + stb__courier_bold_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_39_latin1_t[i] + stb__courier_bold_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_39_latin1_x[i];
            font[i].y0 = stb__courier_bold_39_latin1_y[i];
            font[i].x1 = stb__courier_bold_39_latin1_x[i] + stb__courier_bold_39_latin1_w[i];
            font[i].y1 = stb__courier_bold_39_latin1_y[i] + stb__courier_bold_39_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_39_latin1_s[i] + stb__courier_bold_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_39_latin1_t[i] + stb__courier_bold_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_39_latin1_x[i] + stb__courier_bold_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_39_latin1_y[i] + stb__courier_bold_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_39_latin1_LINE_SPACING
#endif

