// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT        374
#define STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_41_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_41_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_41_latin1_LINE_SPACING          19

static unsigned int stb__courier_bold_41_latin1_pixels[]={
    0x30000000,0x01771039,0x5ffffb50,0x7f400000,0x002a83ff,0x00000000,
    0xc9800000,0x30000001,0x04000019,0x032e0000,0x55000000,0x017e4000,
    0x207ffc40,0x7c404ffc,0x002fffff,0x3fffa000,0x0017fec3,0xbefc8800,
    0x3ea00000,0x3ee0000e,0x4000003f,0x00003ffb,0x00003df7,0x00003bfe,
    0x01ffe400,0x00bffa20,0xb07ffea0,0xff880bff,0x0002ffff,0x0ffffa00,
    0x0000dffd,0x13f73fa0,0x3ffd8000,0x3ffa2000,0xfb000004,0xb10000df,
    0x0009ffff,0x005fff50,0xfff88000,0x3ffe6004,0x13f60003,0x26007ba6,
    0x002fffeb,0x3fffa000,0x017ffe43,0xc8be6000,0xff00000f,0xfb00009f,
    0x200001df,0x0004ffe8,0xfedfffb8,0x4c0001ef,0x00003fff,0x00bfff20,
    0x0017ffd4,0x4c000000,0x00002fff,0x3ffe2000,0x7d400006,0x00007ea1,
    0x37dfff93,0x3ee00033,0xfd00006f,0xf700007f,0x7ffe45ff,0x7f440001,
    0x8800002f,0xf1006fff,0x000003df,0x3fe60000,0x0000002f,0x017ffe40,
    0x31bf1000,0x6c4000dd,0xffffffff,0xf50003ff,0xf880001f,0xfb00001f,
    0x07fd301b,0x013f2000,0x3ffee000,0x00336002,0x80000000,0x2a62fff9,
    0x000000ab,0x005fff98,0x7fffdc00,0x3ffa0002,0xffffffff,0x0040006f,
    0x00000800,0x00018018,0x80000040,0x00007fff,0x7fff5c00,0xffeb81df,
    0xff302eff,0xffffd55f,0x366039df,0xffffffff,0x7fec4fff,0x4400001f,
    0x7e40003b,0xffefffff,0x00007fff,0x00000000,0x00000000,0xfb800000,
    0x000003ff,0x3ffffe20,0xffff85ff,0xff306fff,0xffffffff,0xf905ffff,
    0xffffffff,0xff989fff,0x0000005f,0x7ffff000,0x37ff5c41,0xceedb980,
    0x5cc0000a,0x000aceed,0x6776dcc0,0x5551000a,0x55301555,0x20003555,
    0xeb80fffe,0xb81dffff,0x42effffe,0x4fffffff,0xffffffe8,0xfffff305,
    0xffffffff,0xfffb85ff,0xffffffff,0x0fffe84f,0x2aaa6000,0x8002aaaa,
    0x2a04fff8,0x7ec404ff,0x3fffffff,0xfffd8800,0x003fffff,0xfffffd88,
    0x7cc03fff,0x4fffffff,0x3ffffffa,0x7fd4007f,0xffff884f,0xfff85fff,
    0x6446ffff,0x5102efff,0x2017ffff,0xbffffff9,0xfffea999,0x6665cc2f,
    0x4fffcccc,0x004fffa8,0xffffff88,0x4001ffff,0x5403fff8,0x3ffea00b,
    0xffffffff,0xfff5000d,0xffffffff,0x3fea001b,0xffffffff,0xfff700df,
    0x22dfffff,0xffffffff,0x3ffa001f,0xfffff00f,0xfffd09ff,0x3fe0bfff,
    0x3fea00ff,0x7ffcc05f,0x3fee00df,0xfff8006f,0x01fffd04,0xfffff980,
    0x004fffff,0x00bffff8,0xfffff300,0xfffffdbf,0xfff9801f,0xfffedfff,
    0x7cc00fff,0xfedfffff,0x880fffff,0xfffffffe,0x3fffff23,0x3ea005ff,
    0x3f2204ff,0xf5102eff,0x2e017fff,0x3fa04fff,0x7fcc01ff,0xffc800ef,
    0x7ffc000f,0x09fff504,0xfffffb00,0x000fffff,0x9dfffff9,0x3ffa0015,
    0xfffa81ef,0x7fff405f,0xffffa81e,0x77fff405,0x5ffffa81,0x06bffea0,
    0x01fffc98,0x007ffec0,0x5007fffc,0xfd00bfff,0xfff501ff,0x9fff300b,
    0x0bffe200,0x409fff00,0x8000fffe,0xffffe998,0x744002ff,0xffffffff,
    0x3fff202d,0x3ffa200d,0xbfff902f,0x7fff4401,0x1bfff902,0x17fff440,
    0x801fffa8,0x2000fffb,0x7005fff9,0x7f409fff,0xffb801ff,0x1fffe84f,
    0x02fff980,0x0013ffe0,0x7dc09fff,0x220003ff,0x6fffefff,0xffff9000,
    0x81dfffff,0x3006fff9,0xf981ffff,0xff3006ff,0xfff981ff,0xffff3006,
    0x03fff501,0x001fff70,0x000fffec,0xf501fffd,0x7f400bff,0x3ffea0ff,
    0x9fff3005,0x13ffe200,0x409fff00,0x0007fff8,0x3f2bffee,0x710001ff,
    0xfffffffb,0x02fffc8b,0x90bfff20,0x64005fff,0x7fe42fff,0x3ff2002f,
    0x1fffa82f,0x00fffb80,0x00bfff10,0xe84fffb8,0x2a001fff,0x3ffa4fff,
    0xfff3001f,0xfff7001f,0x4fff8005,0x017ffdc0,0xf37ffe80,0x200009ff,
    0x2ffffda8,0x1001bff6,0xffd87fff,0x7ffc4006,0x0037fec3,0x2a0fffe2,
    0xfb801fff,0xff9000ff,0xffd0005f,0x2fffd41f,0x47fff400,0x2005fffa,
    0x00dffff9,0x003fffee,0x8809fff0,0xa8006fff,0x3ffa4fff,0x20026007,
    0x3fe3fffa,0xffe8004f,0x0027ffc5,0x3fe2fff4,0xffe8004f,0x01fffa85,
    0x800fffb8,0x0006fff8,0x7f49fff5,0xfa8001ff,0x0fffedff,0x3fffe600,
    0xfb511bff,0xf0007fff,0xff9009ff,0xffd8005f,0x0bffee1f,0x2003ff20,
    0xfff15fff,0xdffb0007,0x001fffc4,0xff137fec,0xffb0007f,0x03fff50d,
    0x001fff70,0x0005fff9,0x7d47fff4,0x3a0005ff,0x05ffffff,0x7ffffcc0,
    0xffffffff,0xff0005ff,0xfff1009f,0x7ffc400d,0x037ffc45,0x2602fff4,
    0xfff34fff,0xfff90005,0x0017ffcc,0xff33ffe4,0xff90005f,0x03fff50f,
    0x801fff70,0x0006fff8,0x7f6fffd4,0x2a0000ff,0x00ffffff,0x7ffffcc0,
    0xffffffff,0xff0000df,0x3ff6009f,0xfff7001f,0x03fff905,0x504ffff8,
    0x7fc5fffd,0xffd8003f,0x001fffc6,0x3fe37fec,0xffd8003f,0x01fffa86,
    0x400fffb8,0x0003fffb,0xffffffe8,0xffe80005,0xf98004ff,0xffffbbff,
    0x0001efff,0x98027ffc,0xfd005fff,0x955557ff,0xff809fff,0xfdcdffff,
    0x7f46ffff,0xfff8005f,0x002fff44,0x3fa27ffc,0xfff8005f,0x01fffa84,
    0x400fffb8,0x00007fff,0x1ffffff5,0xfff50000,0xff30001f,0x4d654c5f,
    0xfff00000,0x7ffec009,0x7fffd401,0xffffffff,0x7fffc07f,0xffffffff,
    0x3ffe41ff,0x0fffe600,0x9800fff9,0x7fe43fff,0x7ffcc007,0x01fffa83,
    0x200fffb8,0x0003fffa,0x13ffffa0,0x7ffdc000,0xfff30004,0x20000005,
    0x26004fff,0x7ec04fff,0xffffffff,0x202fffff,0xfffffffd,0xb81effff,
    0x3a004fff,0x7fdc1fff,0x3ffa004f,0x27ffdc1f,0x03fffd00,0x9009fff1,
    0xffe80fff,0x2a00000f,0x0000ffff,0x001ffff0,0x00bffe60,0x3fe60000,
    0x7ff4003f,0xffff100f,0xffffffff,0x6440dfff,0xffffeb9a,0xfff100ad,
    0xfff7003f,0x3ffff10b,0x0bfff700,0x003ffff1,0x7c0bfff7,0x3a200fff,
    0x3fea05ff,0x5c00004f,0x00004fff,0x0009fff7,0x0017ffcc,0x7ffe4000,
    0x7ffd4001,0x37fff704,0x93333333,0xf8003fff,0xff5004ff,0x7fdc05ff,
    0xfff500ff,0x7ffdc05f,0xffff500f,0x7fffdc05,0x13fff600,0x01ffff44,
    0x0001fffd,0x00ffff80,0x1ffff000,0x7ffcc000,0x51000002,0x000ffffb,
    0x3a03fffa,0xff1007ff,0xfff8009f,0x3fff2004,0xfeb98adf,0x7e403fff,
    0xb98adfff,0x403ffffe,0x8adffffc,0x3ffffeb9,0x7ffffcc0,0xfffeb99c,
    0x17ffe606,0xfff70000,0xffd70009,0xbfffffff,0xfffeb800,0x001dffff,
    0x7ffffecc,0x002fffff,0x547fff70,0x0acefffc,0xffffca88,0x9fff002c,
    0xffffe800,0xffffffff,0xffffd004,0xffffffff,0x3fffa009,0xffffffff,
    0xfff5004f,0xffffffff,0x7ffec03f,0x7fc00001,0x7c4000ff,0xffffffff,
    0xf1002fff,0xffffffff,0xffd800df,0xffffffff,0x7ff40002,0xffffff74,
    0xfffd09ff,0x001fffff,0x90009ffd,0xffffffff,0xfc8005ff,0xffffffff,
    0x7fe4002f,0xffffffff,0x7ffdc002,0x2effffff,0x002fff40,0xfffffd70,
    0x800bffff,0xfffffffe,0x2000ffff,0xffffffff,0x7e4004ff,0xdfffffff,
    0xee980002,0xffffff91,0xffff0bff,0x005fffff,0x20003ff9,0xffffffe9,
    0xfd30000d,0x01bfffff,0x3fffa600,0x0000dfff,0xffffffb1,0x1ff70019,
    0x3ffe2000,0xffffffff,0x32a2002f,0xbccccccc,0x66544000,0x001ccccc,
    0x59999730,0x98000001,0xdffffffd,0xffffea81,0x06a004ef,0x2ae62000,
    0x26200000,0x200000ab,0x0000ab98,0x006ae620,0x3a000020,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999951,0x00001799,0x40000010,0x2e00004b,
    0x00440004,0x00100003,0x00000800,0x00000726,0x02000722,0x002c8800,
    0x07910000,0x00033660,0x3ee00000,0x2200001e,0x40000ffd,0x0000ffd8,
    0xffb07ff5,0x3bee0001,0xefb80001,0xffc80001,0x7dc00003,0x7ff3003f,
    0x13fee000,0xfd100000,0x0fffa00f,0x00072600,0x9ffffd10,0xffd30000,
    0xfe980007,0x3f60003f,0x1fffc46f,0x3fffa200,0xfb10004f,0x80009fff,
    0x0004ffe8,0x402fff40,0x0001fffc,0x0001bffd,0x05fff500,0x0013ffa0,
    0x40009ff7,0xffedfffb,0xff50001e,0xfa80005f,0x5c0002ff,0x0ffe84ff,
    0x37ffee00,0x2001effe,0xffedfffb,0x3620001e,0x00000dff,0xa803bff2,
    0x20006fff,0x0000effc,0x007ffee0,0x2005fff8,0x0000effc,0x7e45fff7,
    0x7cc001ff,0x4c0001ff,0x00001fff,0x00054053,0x7e45fff7,0xffb801ff,
    0x07fff22f,0x0bff9000,0x6ffb8000,0x017fffc0,0x00dff700,0x03bfea00,
    0x00bfff00,0x001bffb1,0x5406fec0,0x7d4003fe,0xfa80000d,0x0000000d,
    0x037f6000,0x3600ffaa,0x3fe980df,0x07fa8000,0x0ff98000,0x01bffee0,
    0x001fd300,0x0009f900,0x36017ffe,0x880004ff,0x10001801,0x00080000,
    0x80000000,0x20018018,0x00001801,0x80000022,0x7fffc400,0x00080002,
    0xf8000200,0x2ff805ff,0x00000000,0x00000000,0x55551000,0x55530155,
    0x00000355,0x00000000,0x00000000,0x00dfff70,0x00000000,0x02fffc00,
    0x51000044,0x30155555,0x20355555,0xaaaaaaa9,0x980aaaaa,0x2600aaaa,
    0x7cc0aaaa,0x4fffffff,0x3ffffffa,0xaaaa987f,0xaaaaaaaa,0xaaaaaa80,
    0xaaaaaaaa,0x54c00aaa,0x02aaaaaa,0x55555300,0x15555555,0x03ffff10,
    0x55555555,0x55555555,0xaaa98015,0x4002aaaa,0x00005fff,0x7ffffcc0,
    0x3ffa4fff,0x647fffff,0xffffffff,0x22ffffff,0x3ffffffe,0xffffffe8,
    0x3ffffee4,0xfff16fff,0x43ffffff,0xfffffffc,0x2fffffff,0xfffffff1,
    0xffffffff,0x3e203fff,0xffffffff,0x7fe4001f,0xffffffff,0xfc82ffff,
    0x3ffe23ff,0xffffffff,0x1fffffff,0xffffff10,0x4003ffff,0x55515fff,
    0x55301555,0xffb83555,0x16ffffff,0xffffffff,0x7ffff43f,0xffffffff,
    0xffff14ff,0xff88bfff,0x226fffff,0xfffffffe,0x3fffff23,0x7fff45ff,
    0xffffffff,0xfff54fff,0xffffffff,0x3fffffff,0x3ffffe60,0x004fffff,
    0x7ffffff4,0xffffffff,0x24fffa84,0xfffffffa,0xffffffff,0xff301fff,
    0xffffffff,0x67ff4009,0xfffffff9,0x3ffffa4f,0x3fa27fff,0x23ffffff,
    0xfffffffc,0x7ffffdc5,0xffffffff,0x3ffff21e,0xfffd82ff,0xffa83fff,
    0x3f2601af,0xfffb81ff,0xffffffff,0x3ffa1eff,0xffffffff,0x1fffffff,
    0x3fffff60,0x4007ffff,0xfffffffb,0x1effffff,0x746fff98,0xffffffff,
    0xffffffff,0x3fff601f,0x07ffffff,0x3eefff60,0x6fffffff,0xfffffff1,
    0xfffa83ff,0x3ff2601a,0x2666601f,0x0999dfff,0x817fff60,0x2a03ffff,
    0xfb801fff,0x266600ff,0x999dfff9,0x5fff9100,0x73333333,0x98803fff,
    0xffffffe9,0x99998002,0x0999dfff,0x21fffe20,0x99afffc8,0xffb99999,
    0x74cc401f,0x02ffffff,0x3fa27710,0x23ffffff,0xfffffffc,0x01fffa85,
    0x000fffb8,0x88013ffe,0xfc82ffff,0x7fd405ff,0xfffb801f,0x13ffe000,
    0x00fffb80,0x800fffd4,0xfffefff8,0xfff80006,0x7fffc004,0x00fffb80,
    0x800fffd4,0xfffefff8,0x7fd40006,0x3f2601af,0xfff501ff,0x1fff7003,
    0x027ffc00,0x83fffea0,0x400ffff9,0xb801fffa,0x3e000fff,0x3ee004ff,
    0x3e6080ff,0xff7000ff,0x03fff95f,0x04fff800,0x40fffec0,0x2080fffb,
    0x7000fff9,0xfff95fff,0x7fd40003,0xfffb801f,0x03fff500,0x001fff70,
    0x40027ffc,0x3fa4fffd,0xffa802ff,0xfffb801f,0x13ffe000,0x20fffb80,
    0x1bfe2fe9,0xf37ffe80,0xf80009ff,0x7ec004ff,0xfffb82ff,0xff8bfa60,
    0x5fffa006,0x0004fff9,0x2007ffea,0xf500fffb,0xff7003ff,0x7ffc001f,
    0xfff88004,0x05fffcaf,0x003fff50,0x4001fff7,0x2e004fff,0x3fee0fff,
    0x54002a25,0x3ffa4fff,0x7ffc0007,0x7fff4004,0x20fffb81,0x02a25ffb,
    0xd27ffd40,0xbb300fff,0x00fffd41,0xa807ffdc,0xfb801fff,0x3fe000ff,
    0xff50004f,0x01ffffff,0x007ffea0,0x8003ffee,0x2e004fff,0xfecccfff,
    0x3f60007f,0x3ffee1ff,0x3ffe0002,0x3fffc004,0xcccfffb8,0x20007ffe,
    0x3ee1fffd,0x7ff402ff,0x007ffea3,0x5403ffee,0xfb801fff,0x3fe000ff,
    0x3f20004f,0x002fffff,0x2007ffea,0x2000fffb,0x2e004fff,0xffffffff,
    0xff10007f,0x6fff88bf,0x13ffe000,0x06fff880,0xfffffff7,0x22000fff,
    0x7fc45fff,0x27ff406f,0x7003fff5,0x3ea01fff,0xffb801ff,0x3ffe000f,
    0x3fa20004,0x54005fff,0xfb801fff,0x3fe000ff,0x3fee004f,0x7fffffff,
    0x5fff7000,0x003fff90,0x8013ffe0,0xf705fff9,0xffffffff,0x3fee000f,
    0x1fffc82f,0xfa97ffe0,0xffb801ff,0x3fff500f,0x01fff700,0x0027ffc0,
    0x03fffe60,0x03fff500,0x001fff70,0x70027ffc,0xffffffff,0x3fa000ff,
    0xcaaaabff,0xf0004fff,0x7dc009ff,0xfff703ff,0x0fffffff,0x2ffffa00,
    0xfffcaaaa,0xa97ffe04,0xfb801fff,0xfff500ff,0x1fff7003,0x027ffc00,
    0x02fffc00,0x00fffd40,0x0007ffdc,0x5c009fff,0x3ff20fff,0xfffa8006,
    0xffffffff,0xff0007ff,0x7ff4009f,0x1fff702f,0x40037fe4,0xfffffffa,
    0x07ffffff,0xffa97ffe,0xfffb801f,0x03fff500,0x001fff70,0x00027ffc,
    0x4002fffc,0xc804fff8,0x7fc007ff,0x3fee004f,0x897fee0f,0x3ff601ed,
    0xffffffff,0x8002ffff,0xf5004fff,0x7fdc0dff,0x897fee0f,0x3ff601ed,
    0xffffffff,0xff02ffff,0x0fffd4bf,0x807ffdc0,0xc804fff8,0x7fc007ff,
    0xff80004f,0xfff0005f,0x7ff4401f,0x27ffc005,0x81fff700,0x17fea0ca,
    0x7fffffc4,0xffffffff,0xfff8006f,0x7fffd004,0x207ffdc0,0x17fea0ca,
    0x7fffffc4,0xffffffff,0x4bfff06f,0xb801fffa,0x3fe00fff,0x3fa200ff,
    0x7ffc005f,0xfff80004,0xfffb0005,0x3fffa209,0x27ffc003,0x01fff700,
    0x2e0fff90,0x9999bfff,0xfffc9999,0x27ffc001,0x07fffcc0,0x001fff70,
    0x3ee0fff9,0x99999bff,0x1fffc999,0x3e25fff8,0xffc804ff,0x27ffec07,
    0x03fffe88,0x0027ffc0,0x002fffc0,0xcfffff98,0x6fffeb99,0x04fff800,
    0x003ffee0,0x7f41fff2,0xfff1007f,0x4fff8009,0x04fffd80,0x4007ffdc,
    0xffd07ffc,0x3ffe200f,0x7c5fff84,0x3a200fff,0x7fcc05ff,0xeb99cfff,
    0x2a206fff,0xefffcccc,0x5401cccc,0xcefffccc,0x3ea001bc,0xffffffff,
    0x2a201fff,0xefffcccc,0x5cc1cccc,0xccccfffd,0xffeccccc,0x77ffe547,
    0xfca880ac,0x5442cfff,0xefffcccc,0x3e61cccc,0xb7300fff,0x99999fff,
    0xfffd9999,0xcefffca8,0xffca880a,0x3ffa2cff,0x827ffec4,0x803fffe8,
    0xfffffffa,0x201fffff,0xfffffffd,0x3fffffff,0xffffff70,0x03ffffff,
    0x7ffffdc0,0x402effff,0xfffffffd,0x3fffffff,0xfffffff1,0xffffffff,
    0x7fdcffff,0x84ffffff,0xfffffffe,0x3ffff60f,0xffffffff,0x7fff93ff,
    0x3ffffe20,0xffffffff,0x2e7fffff,0xffffffff,0xfffffe84,0x7ffb0fff,
    0xcfffff98,0x6fffeb99,0x3fffee00,0x02efffff,0x7ffffff4,0xffffffff,
    0xfffff904,0x5fffffff,0xfffd8800,0xe800cfff,0xffffffff,0x54ffffff,
    0xffffffff,0xffffffff,0x7ffe4fff,0xf85fffff,0xffffffff,0x3fffffa2,
    0xffffffff,0x40dff74f,0xfffffffa,0xffffffff,0x3ff27fff,0x85ffffff,
    0xffffffff,0x2a07712f,0xffffffff,0x4001ffff,0xffffffd8,0xffda800c,
    0xffffffff,0xfb300dff,0xffffffff,0x4c40009d,0x6d4001ab,0xffffffff,
    0x320dffff,0xfffffffe,0xffffffff,0x3fff667f,0xea81dfff,0x44efffff,
    0xffffffda,0x0dffffff,0xfd9002ea,0xffffffff,0xffffffff,0x7ffffecc,
    0xffea81df,0x4004efff,0xfffffffb,0x20002eff,0x0001ab98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd880000,
    0x00cfffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e620000,0x2000001a,0x0200004b,0x26020000,
    0xedb803dd,0xddb4eeee,0x9805bddd,0x00c00cec,0xda800011,0x4c066cc2,
    0x004400cd,0x75cc0003,0x00662cef,0x0406f5c4,0x00aa8800,0x00000000,
    0x0007fec4,0x0013fa20,0x3a1ffb80,0x3ea06fff,0xf5ffffff,0x1fffffff,
    0x0ffffea0,0xffa86fe8,0xfff10003,0x741ffec1,0x3fea03ff,0x000ffd83,
    0xffffffb3,0x07ff9fff,0xcfffffa8,0x5c00bf70,0x01effffe,0x00180220,
    0x07ffd300,0xffffb800,0x7cc0001e,0x3fffa4ff,0xffff305f,0x3ffebfff,
    0xf107ffff,0x2607ffff,0x7fec2fff,0xfff50006,0x7427ffc3,0x3ff604ff,
    0x01fffc46,0x7fffffd4,0xffffffff,0x33ffe205,0x4ffefffe,0xfffff900,
    0xf5003fff,0x01ffb07f,0x17ffd400,0xfffd1000,0x0009fffb,0xb317fff4,
    0x2a03ffff,0xf5fffeec,0x039ddfff,0x00fffff2,0xffb81fff,0xfff50004,
    0x7c27ffc3,0x3fee05ff,0x400ffe84,0xeffffffa,0xffffffed,0xf7067407,
    0x32009fff,0xfebadfff,0x7fec01ff,0x01fffc46,0x01fff980,0x37ffe200,
    0x009ffd50,0x20dfff50,0xd003fff9,0x13ffebff,0x8037ff40,0x005300a8,
    0x887ffdc0,0xfff83fff,0x15014c05,0xeffff880,0xffffc881,0x17710007,
    0x07ffe200,0xf700ffee,0x01ffd09f,0x0037ea00,0x105ff300,0xfd000df9,
    0x7ffc07ff,0x2bffd004,0xff004fff,0x000000bf,0x43ffee00,0xff82fff8,
    0x8000005f,0x400efffc,0x0007fff9,0x0bff2000,0x29805ff8,0x100002a0,
    0x004c0000,0xff300026,0x4fff80ff,0x3ebffd00,0xfff004ff,0x0000000b,
    0xf99fff20,0x5fff82ff,0xfe800000,0xffb000ef,0x3b6e600d,0xf8800ace,
    0x07fe406f,0x00000000,0x00000000,0x03fffd80,0xe8027ffc,0x09fff5ff,
    0x4017ffe0,0xaaaaaaa9,0x7fe40002,0x207ffe67,0x55545fff,0xaaaaaaaa,
    0x20aaaaaa,0x2004fff8,0x6c403ff9,0xffffffff,0x027fd403,0x00007fee,
    0xaaaaa800,0xaaaaaaaa,0x4c00aaaa,0x2aaaaaaa,0xffff9800,0x027ffc00,
    0xfff5ffe8,0x17ffe009,0xffffff10,0x0003ffff,0x55fffd51,0xf819fff9,
    0xffff15ff,0xffffffff,0x43ffffff,0x4001fffa,0x7ffd4029,0xffffffff,
    0x05ff700d,0x03ffd951,0x59ddb730,0xffff1001,0xffffffff,0x03ffffff,
    0x3fffffe2,0x4001ffff,0xf804fffb,0xffd004ff,0x4013ffeb,0x7cc05fff,
    0xffffffff,0x7fe4004f,0xffffffff,0xff0effff,0x3fffeabf,0xffffffff,
    0x21ffffff,0x00007ffc,0xffffff98,0xffffffed,0x540ffc80,0x01ffffff,
    0x3fffff62,0x7d403fff,0xffffffff,0xffffffff,0xffff301f,0x09ffffff,
    0x02fffc80,0xd004fff8,0x13ffebff,0x402fffc0,0xfffffffd,0x7fc007ff,
    0xffffffff,0xf2ffffff,0x7fff4bff,0xffffffff,0x21ffffff,0x00005ffe,
    0x81efffe8,0xd85ffffa,0x7fffdc7f,0xff501fff,0xffffffff,0x7ff401bf,
    0xffffffff,0x1fffffff,0x3fffff60,0x4007ffff,0xf800fffe,0xffd005ff,
    0x2013ffeb,0x1004fff8,0xfffffd33,0x7fe4005f,0xffffffff,0xff0fffff,
    0xfffc88bf,0x9999999a,0x3fa1fffb,0x6400005f,0x2200dfff,0x7f42fffe,
    0x2b7ffe66,0xff981ffb,0xffedffff,0x2200ffff,0x999afffc,0xfffb9999,
    0x7f4cc401,0x002fffff,0x7401fffe,0x7402dfff,0x09fff5ff,0x1ffff5c4,
    0x3bffe200,0x44006fff,0xeaadfffa,0x7fc1afff,0x0fffb85f,0xd0fffd40,
    0x40000bff,0x3006fff9,0x7f41ffff,0xfb8fff26,0xefffe81f,0x5ffffa81,
    0x007ffdc0,0x4007ffea,0xfffefff8,0xdfff1006,0x3fffea00,0x57ffa01f,
    0x3f604fff,0x4000ffff,0xffcafffb,0x7fc4001f,0x41bff63f,0xffb85fff,
    0x3fe6080f,0x01bff60f,0x2fffc800,0x8bfff200,0x71ffa6fe,0xfffc83ff,
    0x3ffa200d,0x3ffee02f,0x3ffe6080,0x5fff7000,0x3003fff9,0x2200bfff,
    0x202fffff,0x9fff5ffe,0x2fffff40,0x9bfff400,0x44004fff,0x3ffa3fff,
    0x70bfff06,0x7f4c1fff,0xff91bfe2,0x3600001f,0x7c4006ff,0xe9bfa3ff,
    0x30ffdc6f,0x2600dfff,0xf700ffff,0x17f4c1ff,0x7f400dff,0x09fff37f,
    0x009fff50,0x037ffff6,0xfff5ffe8,0x7fffd409,0x3fea002f,0x01fffa4f,
    0x745fff30,0xbfff05ff,0x5c1fff70,0x702a25ff,0x00007fff,0x20013ffe,
    0x9bfa5ffe,0x3fee2ffc,0x00bfff21,0x702fffc8,0x7fdc1fff,0x54002a25,
    0x3ffa4fff,0x6fff9807,0x01dfff00,0x3febffd0,0xfffa804f,0x3fff6003,
    0x00bffee1,0xdfffdb71,0x5bffffdd,0xfb85fff8,0xffecccff,0xffff8807,
    0x88f66001,0xd8003fff,0x99bf66ff,0xffcbefff,0x001bff61,0x2e07fff1,
    0xfecccfff,0x3f60007f,0x3ffee1ff,0x3fffc402,0x004fff80,0x3ffebffd,
    0x09fff004,0x117ffe20,0xfc80dfff,0xffffffff,0x23ffffff,0xffb85fff,
    0x7fffffff,0x5dfff900,0x23fff700,0x8002fff9,0x1ff27ffc,0xfffffff7,
    0x0027ffcb,0xfb82fff4,0xffffffff,0xfff10007,0x06fff88b,0x800ffff8,
    0xfd004fff,0x013ffebf,0xb802fffc,0xffc82fff,0x3fff201f,0xffffffff,
    0x3fe4ffff,0xffffb85f,0x007fffff,0x2b7ffff6,0xffdba989,0x0fffe1ff,
    0xb9bff600,0x7ffd40ff,0xfff15fff,0xdffb0007,0x3ffffee0,0x0007ffff,
    0xf905fff7,0xffd803ff,0x4fff801f,0x3ebffd00,0xfff004ff,0x3fffa00b,
    0xffcaaaab,0x3bb2204f,0xffeeefff,0x3fe0ceef,0xffffb85f,0x007fffff,
    0x7fffffe4,0xffffffff,0x002fff45,0xff327ffc,0x86a66203,0x8002fff9,
    0xff707ffc,0xffffffff,0x3fffa000,0xffcaaaab,0x7ffe404f,0x04fff802,
    0x3febffd0,0xbfff004f,0xfffff500,0xffffffff,0x9fff200f,0xff02fff9,
    0x1fff70bf,0x40037fe4,0xfffffffc,0xc83fffff,0x7cc007ff,0x13fe23ff,
    0x01fffc00,0xb837fec0,0x3ff20fff,0xfffa8006,0xffffffff,0x7fd407ff,
    0x4fff806f,0x3ebffd00,0xfff004ff,0xffffb00b,0xffffffff,0xff9005ff,
    0x80fffccf,0xffb85fff,0x897fee0f,0x7ed401ed,0xceffffff,0x09fff701,
    0x20ffff40,0xe8000ffe,0xff8005ff,0x1fff704f,0xdb12ffdc,0x7fffec03,
    0xffffffff,0x7ffc02ff,0x27ffc01f,0xff5ffe80,0x3ffe009f,0x7fffc405,
    0xffffffff,0xfd806fff,0x07ffea7f,0x7dc2fffc,0x506540ff,0x2a200bff,
    0xf1001bff,0xf7003fff,0x9ff70bff,0x7ffc8080,0x1fffcc00,0x540fffb8,
    0x417fea0c,0xfffffff8,0xffffffff,0x2fffe406,0x009fff10,0x7ffd7ffa,
    0x0bfff004,0x99bfffb8,0xfc999999,0x7fec01ff,0x403ffee6,0xffb85fff,
    0x7ffc800f,0x00bfe200,0x05ffff50,0x407fffdc,0xd883fff8,0x27ffdc5f,
    0x03fffd00,0x2003ffee,0xff707ffc,0x3333337f,0x03fff933,0x80ffffc4,
    0xd003fffb,0x13ffebff,0x007ffec0,0x2200fffd,0x7f404fff,0x03ffee5f,
    0x7dc2fffc,0xffc800ff,0x3ffe2007,0x7ffe4004,0xfeb98adf,0x3ea03fff,
    0xffeddfff,0x7fffc45f,0x5fffb801,0x003ffee0,0x7f41fff2,0xfff1007f,
    0x5fffc809,0x0fffff54,0xfffffec8,0xbffffff5,0x3fffee07,0x3fff2a0d,
    0xca880ace,0xd02cffff,0x3ffe4bff,0x5ccbfff0,0xccccfffd,0xffeccccc,
    0xfdd13007,0xffe8001f,0xffffffff,0xffa804ff,0x0effffff,0x02ffffa8,
    0x203fffee,0xccfffdb9,0xeccccccc,0x7fe547ff,0xa880acef,0x02cffffc,
    0x741ffff1,0xf504ffff,0x2bffffff,0xffffffff,0xffffe880,0xffffff73,
    0xfffd09ff,0xf01fffff,0x37fe49ff,0x3e29ffd0,0xffffffff,0xffffffff,
    0xdffb807f,0xc8000ffc,0xffffffff,0x2a2002ff,0x402defec,0x8adffffc,
    0x3ffffeb9,0xffffff88,0xffffffff,0x3ee7ffff,0x4fffffff,0xffffffe8,
    0xfff900ff,0x02fffec9,0xfffffff3,0x3fffffeb,0x3ffa207f,0xfffff92f,
    0xfff0bfff,0x05ffffff,0x7fcc3ff9,0x54fff603,0xffffffff,0xffffffff,
    0xff9807ff,0x20004fff,0xffffffe9,0x0000000d,0x7ffffff4,0x04ffffff,
    0xfffffff5,0xffffffff,0x7fe4ffff,0x85ffffff,0xffffffff,0x8bffa02f,
    0xb9802bb8,0x992ccccc,0x00179999,0x7fecc595,0xa81dffff,0x4efffffe,
    0x00620260,0xffec8771,0xffffffff,0x07ffffff,0x00077260,0x0055cc40,
    0x32000000,0xffffffff,0x7f6402ff,0xffffffff,0x7fffffff,0x3fffff66,
    0xffea81df,0x4404efff,0x0000002b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xffffffe9,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0000ab98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00300440,0x101bd710,0x00000000,
    0x0081f6cc,0xeedb9800,0x220000bc,0x0000003c,0x6dd44004,0xdeeeeeee,
    0x00000000,0x00000000,0xa8000000,0x0ffd83ff,0xfffff500,0x0017ee19,
    0x3ffff722,0xd803ffff,0xd32effff,0x3620003f,0xffffffff,0x5ff90003,
    0x36000000,0xfffd706f,0xffffffff,0x09f7007f,0x037ea000,0x013ea000,
    0x06e98000,0x446ffd80,0xf8803fff,0xefffecff,0x744004ff,0xffffffff,
    0x7fdc03ff,0xffefffcd,0xffa8000f,0xffffffff,0x7f4001ef,0x2e60004f,
    0x360bdeed,0x7fe41fff,0xfeefffff,0xb800ceff,0x40000dff,0x0000eff9,
    0x00077fd4,0x017fee00,0x3a13fee0,0x19d000ff,0x027fffdc,0x3bfffe20,
    0x3ffeeeee,0xfd317540,0x30003dff,0xdbffffff,0x01dfffff,0x002fffc0,
    0x7ffffec4,0xfffbcfff,0x67fffec7,0x09ff3ffa,0x03dff900,0x2fffb800,
    0x7ffdc000,0xffb00001,0x0a60001d,0x880000a8,0xfb8000bb,0x7ff100cf,
    0x01654000,0xefffe880,0x4ffffa81,0x017ffe00,0xffffff50,0xffffffff,
    0x77ffc45f,0x3fe7ff10,0xfff50004,0xff980005,0x7d40003f,0x220002ff,
    0x00005ffe,0x00000000,0x880ffb00,0x000002ff,0x17fff200,0x05fffd10,
    0x0037ffe0,0x7fffffcc,0xffffffed,0x17ffdc4f,0x13fe7ff1,0x07fe9800,
    0x0ffe8800,0x7ff44000,0x7ff90000,0x00000000,0x40155553,0x01aaaaa9,
    0x7f403ff4,0xaaaa9800,0xa8002aaa,0xf3006fff,0x6d401fff,0xbbdfffff,
    0x3dfffd00,0xfffffb88,0x107ffec0,0x013fe7ff,0x00099100,0x80002e40,
    0x2a0004c8,0x54c0001d,0xaaaaaaaa,0x7ff40aaa,0xffb06fff,0x01ffffff,
    0x1009ffd5,0xfffff880,0x001fffff,0x000fffe4,0xd103fff9,0xffffffff,
    0xfff909ff,0x3fff201b,0x7ffec3ff,0x7fcffe20,0x00000004,0x00000000,
    0x90000000,0xffffffff,0x25ffffff,0xfffffff8,0xffffff83,0x3fa62fff,
    0x000dffff,0x3ffffe60,0x004fffff,0x20037fec,0x7443fff8,0xffffffff,
    0x7fcc6fff,0x3ffea06f,0x7fe47fff,0x7cffe22f,0xab88004f,0x55440000,
    0x400009ab,0x0000aba9,0x00055d4c,0x3ffffffa,0xffffffff,0x3fffff64,
    0x7ffe41ff,0x7ec6ffff,0x3fffffff,0x3fff6000,0x07ffffff,0x0027ffc0,
    0x3f627ff4,0xdbaadfff,0x7fdc7fff,0xffff102f,0x7d45fffd,0x7ff10eff,
    0x654013fe,0x1ceffffe,0xffffb500,0x003bffff,0x7ffffe44,0x91000dff,
    0xbfffffff,0xffff7001,0xffffffff,0xfff703df,0x3ee60dff,0x6ffc41ff,
    0x5dfffb10,0x3a662000,0x02ffffff,0x007fff10,0x7ccdffb0,0xffd01fff,
    0x106ffd8f,0xff3bfffd,0xffffc89f,0x9ff3ffac,0xfffff900,0x01bfffff,
    0x7fffffdc,0x02ffffff,0xffffffa8,0x403fffff,0xfffffffa,0x3003ffff,
    0x3bfff333,0x7fcc0133,0xf503ffff,0x0dff03ff,0x01bffff7,0x3bffe200,
    0xf3006fff,0xf90005ff,0x0fffe4ff,0xff89ff50,0xdfffb04f,0x3217ffe1,
    0x3fffffff,0xffd809ff,0xffffffff,0x3fee06ff,0xffffffff,0x3ee00fff,
    0xffffffff,0xf704ffff,0xffffffff,0x0009ffff,0x4c009fff,0x0fffffff,
    0xb81fffa8,0xffd884ff,0xfb8003ff,0x1fffcaff,0x03fff880,0x3a6ffe80,
    0x0cb806ff,0x2e0fffe2,0x3f61ffff,0xfffd506f,0x813fe7ff,0x9acffffd,
    0x5ffffda9,0x359bdb10,0x7fffd733,0x3bfffe60,0xffeca9ac,0x7ffcc1ff,
    0xeca9acef,0x4001ffff,0x26004fff,0x5fffefff,0x881fffa8,0xe981effe,
    0x2000dfff,0xfff37ffe,0x17ffe009,0xf93ffe00,0xf30005ff,0xfff987ff,
    0x03ffe42f,0x7cfff6e2,0xdfff504f,0x7fffd403,0x3fe20001,0xffff884f,
    0x37ffe405,0x80bffff1,0x4006fffc,0x26004fff,0xfffeafff,0x80fffd42,
    0x80cfffd8,0x5006fffb,0x7ff49fff,0x0dffd007,0x23fff980,0x10007ffe,
    0x7fc4bfff,0x6ffd84ff,0x3e7ff100,0x3fffb04f,0x07fff700,0x35595530,
    0xff30bffd,0x3ff600df,0x0dfff33f,0x00ffff60,0x2004fff8,0xffaafff9,
    0x3ffea0ef,0x7fffe401,0x02ffe983,0x2e1fffd8,0xfb802fff,0x3fa004ff,
    0x3fff61ff,0xffff0002,0xf82ffff4,0xff1004ff,0x7fc13fe7,0xfff1004f,
    0x7fffdc0b,0x5fffffff,0xeeefffb8,0xeeeeeeee,0xfff74fff,0xdddddddd,
    0x09fffddd,0x0027ffc0,0x3f65fff3,0x3ffea4ff,0xfffea801,0x02ffc41e,
    0xf117ffe2,0xff100dff,0xff7003ff,0xefffa8bf,0xd85db500,0xfffc9fff,
    0x3fff980f,0x3e7ff100,0x2fff984f,0x21fff200,0xffffffe9,0x85ffffff,
    0xfffffffd,0xffffffff,0xffffb6ff,0xffffffff,0x00dfffff,0x30027ffc,
    0x3fe25fff,0x3fff51ff,0x7fffdc00,0x701bfa23,0xff905fff,0xfff9003f,
    0x7ffe405f,0xffffe80f,0xffffc99b,0x7f7ffdc7,0xffd01fff,0x3fe2003f,
    0xff509ff3,0x7fd4003f,0x3fffa20f,0xffffffff,0xfffd85ff,0xffffffff,
    0xb7ffffff,0xffffffff,0xffffffff,0x7ffc00ff,0x3ffe6004,0x55bffee2,
    0x44001fff,0xfffefffd,0x7fff404f,0xffcaaaab,0xfffb004f,0xfd7315bf,
    0x3e609fff,0xffffffff,0xfff85fff,0xf703ffff,0x7c400bff,0xf109ff3f,
    0x7e4007ff,0x7ffff46f,0xfaa989be,0xfffc85ff,0xeeeeeeee,0x95eeeeee,
    0xdddddfff,0xdddddddd,0x7ffc00bd,0x3ffe6004,0x55ffff42,0x50001fff,
    0x1dffffff,0x7ffffd40,0xffffffff,0xfffd1007,0xffffffff,0xfff9809f,
    0xffffffff,0xfffffb81,0x1ffff705,0xf9ffc400,0x1dffd04f,0x49fff300,
    0x400ffff8,0xffa85ffe,0x7d40005f,0x000005ff,0x2004fff8,0x7cc2fff9,
    0x1fffcfff,0x3ffe6000,0xfffd802e,0xffffffff,0xb1002fff,0xffffffff,
    0x322005ff,0x3effffff,0x6fffffc0,0xfffeb99b,0x7fc4002f,0x3ee09ff3,
    0x3a600dff,0x3fea2fff,0x3ff2203f,0xffff885f,0xf8822004,0x22004fff,
    0x27ffc000,0x05fff300,0xfffffff7,0x3013ea03,0xff1009ff,0xffffffff,
    0x00dfffff,0xffffffa8,0xff0001df,0xff7001df,0xffffffff,0x000bffff,
    0x13fe7ff1,0x5fffff44,0xfffc9889,0x77ffcc6f,0xffda989b,0x541cefff,
    0x8aceffff,0xfffdb998,0x3bfffea3,0xdb9988ac,0x3e003fff,0x3e6004ff,
    0xfffd02ff,0x3f203fff,0x027fcc06,0x4cdfffdc,0xfc999999,0x3f2001ff,
    0x5102efff,0x017ffe00,0x3fffffe6,0xffffffff,0x7ff10003,0xfe8813fe,
    0xffffffff,0xffd05fff,0xffffffff,0x7fffffff,0xffffffd8,0xffffffff,
    0x7fffec6f,0xffffffff,0x3e006fff,0x3e6004ff,0xfff302ff,0x3f603fff,
    0x017fec07,0x8803fff4,0xf9004fff,0xbfffffff,0x00bffb57,0xff00bfff,
    0xfffb59ff,0x4001bfff,0xcffdcca8,0x102ceff8,0xfffffffd,0x7c409fff,
    0xffffffff,0xffffffff,0xfffffc84,0xffffffff,0xffffc83f,0xffffffff,
    0x3fe003ff,0xff93004f,0xfc8159bf,0xfb01ffff,0xf999999f,0x65401dff,
    0x80acefff,0xcffffca8,0x3fffea02,0xffffffff,0xfd806fff,0x7ffdc03f,
    0x00d5d445,0xfffffc80,0xfffffeff,0x3fff6e03,0x8803dfff,0xfffffffc,
    0xdffffead,0xffffb300,0x39dfffff,0x7fffecc0,0x1cefffff,0xf9999510,
    0x39999dff,0xffffff98,0x7ffc45ff,0xfffb01ff,0xffffffff,0x7fffdc03,
    0xfe84ffff,0x0fffffff,0xffffffb0,0xffffffff,0x1df5005f,0x00eff980,
    0xfff50000,0xfff7dfff,0x2e6005ff,0x7510001b,0x00001559,0x33579531,
    0x79531000,0x3f600335,0xffffffff,0x2a3fffff,0xffffffff,0x1ffffa86,
    0xffffffb0,0xc801bdff,0xffffffff,0xffffff85,0xff502fff,0xfb7559bf,
    0x00017dff,0x0002e600,0x26666000,0x00066621,0x00000000,0x00000000,
    0x3fffa000,0xffffffff,0x7f644fff,0xb02dffff,0x00003fff,0xffffb300,
    0xfd503bff,0x809dffff,0x00198018,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff6a000,0xffffffff,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000e54,0x00000000,0x00000000,0x0000006a,0x00000000,
    0x000d5440,0x00155300,0x000006e0,0xba880000,0x200000ab,0x005fffe8,
    0x007f4400,0x00fe8800,0x0007f900,0x007ff200,0x03fa2000,0x3ffffae0,
    0xfffeb81d,0x3faa02ef,0x0003ffff,0xdfffff91,0x3ffa2009,0x3fff2004,
    0x7fecc0ff,0x75403fff,0x9cffffff,0x004fffff,0x017dcbf2,0x0fffa800,
    0xfffa8000,0xbff90000,0xffd00000,0xfa800009,0x7fc400ff,0xf85fffff,
    0x06ffffff,0xfffffff7,0x7dc001df,0xffffffff,0x7fffdc02,0x7fd401ef,
    0x7e40ffff,0x103fffff,0xfffffff9,0xffffffff,0xd13e005f,0xff70000b,
    0xf700003f,0xd80003ff,0x00000eff,0x00017ffe,0x001fffb8,0x9fffffff,
    0xffffffd0,0xfffff70b,0x01dfffff,0xffffff70,0x2205ffff,0xffcafffe,
    0x3ffe204f,0x7fdc0fff,0xfb03ffff,0xffffffff,0xffffffff,0xf89b6003,
    0x7fec0003,0xfd80000e,0x700000ef,0x00003fff,0x00017ffe,0x00077fec,
    0x05dfff91,0x2ffffea2,0x77fffc40,0x4ffffdab,0x7ffffdc0,0x203da9ad,
    0x3a60dffd,0x36e602ff,0xcb980fff,0xffa83fff,0xea889dff,0x1bdfffff,
    0x3f3bea00,0x3ea0000f,0xf500005f,0x300000bf,0x20000dff,0x80005fff,
    0x20005ffa,0x2a00ffff,0xff905fff,0xffff307f,0x3ffff201,0x05d70004,
    0x7dc00f64,0x3fe200ff,0x7fffc43f,0x3ffff602,0xbfb50003,0x3d980003,
    0x0f660000,0x3d880000,0xbfff0000,0x07b30000,0x4fffb800,0x407fffa0,
    0xf500fffe,0xfff707ff,0x0000007f,0x07ffdc00,0xa87fff10,0x74404fff,
    0x00003fff,0x00000000,0x00000000,0x7ffc0000,0x00000005,0x407fff40,
    0x3e05fffa,0x7ffc05ff,0x03fffe85,0x055c4000,0x07ffdc00,0xc87fff10,
    0xfb800fff,0xa88003ff,0x00009aba,0x0000ab88,0x04d5d544,0x00000000,
    0x000bfff0,0xfb800000,0xfffe84ff,0x07fff101,0x7d47ffc8,0x500004ff,
    0x9dffffd9,0x3ffee003,0x0fffe200,0x2600dffb,0xb5003fff,0xffffffff,
    0xeca8003b,0x01ceffff,0xfffffb50,0xc803bfff,0x4c0fffff,0x84fffffd,
    0xfffffffd,0xffffffff,0x7fffe43e,0x7ffecc0f,0xffe804ff,0x17ffea0f,
    0x440bfff0,0x3f60ffff,0x035311ff,0xfffffc80,0x00dfffff,0x1007ffdc,
    0xffd87fff,0x7fff3006,0xfffff700,0x5fffffff,0x3ffff200,0x0dffffff,
    0x3ffffee0,0x2fffffff,0xffffff50,0xfffffc81,0x7fffd44f,0xffffffff,
    0x50ffffff,0x81ffffff,0x4ffffffc,0x24fffa80,0x7401fffe,0xffb00fff,
    0x77ff43ff,0x4fffffd8,0xfffffd80,0x6fffffff,0x007ffdc0,0xfc87fff1,
    0xffb800ff,0xfffb803f,0xffffffff,0x7fec00ff,0xffffffff,0x3fee06ff,
    0xffffffff,0xff880fff,0x7dc0ffff,0x4c4fffff,0xffffffff,0xffffffff,
    0x3fffe27f,0x7ffdc0ff,0xfd004fff,0xbfff51ff,0x07fff900,0x45fffff5,
    0xffffefff,0xb01effff,0x3359ffff,0x0bffffb5,0x1007ffdc,0xffa87fff,
    0x7ff4404f,0xded8803f,0xfeb999ac,0x3ff603ff,0xda99acff,0xb105ffff,
    0x733359bd,0x2607fffd,0x980fffdb,0x984fffcb,0xffcccccb,0xacccccef,
    0x7ffedcc0,0xfffcb980,0xbfff5004,0x1001fffd,0x933bffff,0x27ffffff,
    0xfffffff8,0x86ffffff,0x201efffa,0x701ffffa,0x3aa05fff,0x7fc43fff,
    0x3ff602ff,0x200003ff,0xf504fff8,0x7d403dff,0x20001fff,0x5404fff8,
    0x7fc00fff,0x7ffc004f,0xfffa8004,0x027ffc00,0xffffffd0,0x7ffdc00b,
    0xffffffff,0xffff13ff,0xffb39fff,0xfffd87ff,0x3fffb801,0x15dfff70,
    0xfffffd73,0xffffa85d,0xffeb98ad,0x98003fff,0xfe9aacaa,0x3fffb05f,
    0x07fff700,0x35595530,0xfa80bffd,0x7ffc00ff,0x27ffc004,0x07ffd400,
    0x8013ffe0,0x0ffffffa,0x7fffec00,0xfffeffff,0x3bffffe1,0x07fffcc0,
    0x22009fff,0xff705fff,0xffffffff,0x87ffffff,0xfffffffd,0x3fffffff,
    0x3fffee00,0x5fffffff,0x2009fff0,0x2e05fff8,0xffffffff,0x7d405fff,
    0x7ffc00ff,0x27ffc004,0x07ffd400,0x0013ffe0,0x009ffffd,0x3ffffea0,
    0x20fffbbf,0xb00ffffd,0x3fe63fff,0x3ff2002f,0xfffff707,0xffffffff,
    0xfc889fff,0xffffffff,0x9803ffff,0xfffffffe,0x985fffff,0x32002fff,
    0xffe987ff,0xffffffff,0x7fd405ff,0x27ffc00f,0x013ffe00,0x003ffea0,
    0xa8009fff,0x0000ffff,0x742aee62,0x7ffe46ff,0x4bffea03,0x2001fffa,
    0xfb80fffa,0xffffffff,0x0dffffae,0xfffffd30,0x07fff39f,0xfffffe88,
    0xffffffff,0x01fffa85,0x883ffea0,0xfffffffe,0x05ffffff,0x2007ffd4,
    0x7c004fff,0xfa8004ff,0x7ffc00ff,0x7ffdc004,0xf7000004,0xfffb89ff,
    0x53ffe200,0x2003fff8,0xff706ffc,0x0157975f,0x9bb98800,0x807fff10,
    0x9beffffe,0x5fffaa98,0x003fff88,0xffd1bff2,0x53137dff,0xa80bfff5,
    0x7fc00fff,0x7ffc004f,0xfffa8004,0x027ffc00,0x003fffe0,0x3ffea000,
    0x27ffd41f,0x745fff50,0xf9800eff,0xfff704ff,0x80000001,0x2201fffb,
    0x7400ffff,0xdffd05ff,0x9fff3001,0x007fffc4,0xf5017ffa,0xfff803ff,
    0x1ffec004,0x0fffd400,0x8013ffe0,0x0004fffb,0x7fffe440,0x0ffff882,
    0x5c3fffd0,0x2600dfff,0xf702fffe,0x000001ff,0x407ffe80,0x2203fffa,
    0xf705fffc,0x74c01bff,0x3fea2fff,0x3ff2203f,0x7ffd405f,0x9fffd503,
    0x00de9800,0x03fffa80,0x009fffd5,0x0007fffc,0x5d44de4c,0x203fffff,
    0x99cefffc,0x446fffeb,0x89bffffe,0x6ffffc98,0x003ffee0,0x3ae20000,
    0x7cc06fff,0xa989beff,0xcefffffd,0x7ffff441,0xffc9889b,0x7ffcc6ff,
    0xfda989be,0x01ceffff,0x315dfff1,0xdfffffd5,0x40000005,0x98aefff8,
    0xefffffea,0x7ffff5c2,0x005fffff,0x7ffffff4,0x4405ffff,0xffffffff,
    0xe882ffff,0xffffffff,0x5c05ffff,0x00000fff,0x3fffffaa,0x801fffff,
    0xfffffffe,0xffffffff,0x7ff443ff,0xffffffff,0xfffd05ff,0xffffffff,
    0x07ffffff,0x3ffffffa,0xffffffff,0x33332a3f,0xcccccccc,0x3a01cccc,
    0xffffffff,0x3fffffff,0xfffffff1,0x005fffff,0x7ffffff4,0xf3002fff,
    0xffffffff,0x7ff4409f,0xffffffff,0x0fffa804,0x3ffe0000,0xffffffff,
    0xffff1001,0xffffffff,0x109fffff,0xfffffffd,0x7c409fff,0xffffffff,
    0xffffffff,0xfffff304,0xffffffff,0x3ffea9ff,0xffffffff,0x07ffffff,
    0x3fffffe6,0xffffffff,0x3ffffa4f,0x0fffffff,0x3fffaa00,0x88003fff,
    0xeffffffc,0xfffb7001,0x2007bfff,0x00006ff8,0x7fffffec,0x44001dff,
    0xfffffffc,0xdffffead,0x3fff6e00,0x8803dfff,0xfffffffc,0xdffffead,
    0x3fffa600,0xfffadfff,0xffff51df,0xffffffff,0x01ffffff,0x7fffff4c,
    0xdffffadf,0x33332a21,0x000bcccc,0x00137510,0x15755100,0x0ddcc000,
    0x000b9800,0x66654400,0x880001bc,0x000aacba,0x006ee600,0x5565d440,
    0x95100000,0x36200135,0xffffffff,0xffffffff,0x35951003,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x800006e0,0x0000002a,0x001a8800,0x06aea600,0x03553000,0x00075000,
    0x006aa620,0x54c00150,0x400001ab,0xd90009a9,0xdddddddd,0x200017bd,
    0x400002fe,0x0004ffe8,0x006ffec4,0x0017e400,0xdffffec8,0x3fffae02,
    0xffffeaaf,0xb1000dff,0x09ffffff,0x1bffb100,0x3ffae000,0x200dffff,
    0x2205fff9,0xeffffffd,0x3effffaa,0x7fffed40,0x7ff403ff,0xffffffff,
    0x775c43ff,0x007ffb03,0x3fffee00,0xfa8001ef,0x002fffff,0x005ffd10,
    0xffffff90,0xfff109ff,0xffffffff,0x05ffffff,0xffffffa8,0x5001efff,
    0x07ffffff,0x7ffffcc0,0x02ffffff,0x503ffffb,0xffffffff,0xffffffff,
    0x3fff201f,0x0effffff,0xffffffd0,0x87ffffff,0x881ffffb,0x20005ffe,
    0xfcafffe8,0x3f6004ff,0x5fffbbff,0x1fffcc00,0x7fffe400,0x82ffffff,
    0xffffffff,0xffffffff,0xfff303ff,0xffffffff,0xfffc801d,0x00dfffbb,
    0x7fffffc4,0x0fffffff,0x27ffffc4,0x3fffffee,0xffffffff,0xffb07fff,
    0xffffffff,0x3fffa0df,0xdeeeeeee,0x3ffffd83,0x003bff20,0x9837ff60,
    0xfc802ffe,0x3ffa20ef,0x5fff5004,0xffff5000,0xffff9337,0xfffda881,
    0xca9acfff,0xe81ffffe,0xda9cffff,0x2e05ffff,0x3f621eff,0x7ffdc04f,
    0xffca9acf,0x7ffc46ff,0x3ffe64ff,0xfdb99bef,0x0adfffff,0xbeffffb8,
    0x4ffffeb9,0x0006ffe8,0x801ffff5,0xb8004ffb,0x007b202e,0x2eb80faa,
    0x01eff880,0x03fffb00,0x2609fff7,0x201fffff,0x7cc6fffd,0xfff106ff,
    0x80faa01f,0x7fc403eb,0x3fffa00e,0x1fffffc0,0x4c0bfffd,0x201fffff,
    0xf301fffe,0xdffd0fff,0x0e64c000,0x0002d980,0x00000000,0x00019b00,
    0xe813ffe6,0xfff307ff,0xfffb003f,0x017ffdc3,0x0003fffb,0x200a2000,
    0x7f41fffb,0xfff32fff,0xffff500d,0x13ffe603,0xe81fffb0,0x000006ff,
    0x53000000,0x44000157,0x0009abaa,0xffc80000,0x3ffee00f,0x06fff982,
    0x647fff30,0x7fd407ff,0x0000002f,0x17ffd400,0x5c7ffffa,0xfb002fff,
    0x77fc03ff,0x17ffd400,0x654dbffa,0x0000001a,0xfffc8800,0x800dffff,
    0xffffffda,0x00001dff,0x01bff600,0xf307fff1,0x7fc007ff,0x0fffea4f,
    0x320fffd8,0x4c0fffff,0x04fffffd,0x07ffec00,0x647ffff6,0x3ee007ff,
    0x02a201ff,0xd07fff20,0xffffffff,0x2e0005ff,0x4ffffffe,0x7fffd400,
    0x3fffffff,0x3ffffee0,0x2fffffff,0x7ffff5c0,0xffd004ff,0x09fff00b,
    0x2007fff3,0x3e23fff8,0xff980eff,0x3fffea7f,0x7ffe40ff,0x30004fff,
    0xf90dfffb,0x3fee1fff,0xfff7000f,0xff100003,0xffffd0ff,0x9fffffff,
    0xffff8800,0x2004ffff,0xfffffffb,0x04ffffff,0xfffffff7,0x01ffffff,
    0x3fffffe2,0xfff004ff,0x0bffd009,0x001dfff3,0xfd85fff7,0xfebbdfff,
    0x3fe23fff,0x7dc0ffff,0x004fffff,0xffffffd5,0xffff703f,0x401fffd4,
    0x001fffe8,0x2ffff440,0x7fffffec,0x03ffffff,0x7fffffc0,0xff3004ff,
    0x95359dff,0x103ffffd,0x33359bdb,0x407fffd7,0xffffffff,0x09fff004,
    0xf30bffd0,0x5401bfff,0x7440ffff,0xffffffff,0xfdb985ff,0xfcb980ff,
    0xffd004ff,0x205fffff,0x3e27fffb,0x36202fff,0x0001ffff,0x03ffffa2,
    0x2b3bffee,0x0ffffeb8,0x3332a200,0xf8804fff,0x7e405fff,0x220006ff,
    0x2a204fff,0x04fffccc,0xd009fff0,0xfff30bff,0x26237fff,0x704ffffd,
    0xffffffff,0x7fd403ff,0x27ffc00f,0xfffffd80,0xfff504ff,0xdffffb8d,
    0xffff7309,0x220003ff,0x201ffffe,0x3fee00ba,0x7fc0004f,0xfff9804f,
    0x7fffb006,0xaacaa980,0x4005ffe9,0xff004fff,0xbffd009f,0xffffff30,
    0xffffffff,0x3ffe209f,0xffffffff,0x03ffea06,0x4009fff0,0xfffffeca,
    0x85fff983,0xfffffffc,0xffffffff,0xfff98001,0xd00001ff,0x7fec4dff,
    0x04fff804,0xeeefffb8,0xeeeeeeee,0xff704fff,0xffffffff,0xfff800bf,
    0x09fff004,0xf30bffd0,0xffffffff,0x20bfffff,0xbeffffe8,0x05fffffb,
    0xf801fff5,0xb10004ff,0xf885ffff,0xfffb05ff,0xffffffff,0xa8003fff,
    0x001fffff,0xb9fff200,0x7c01ffff,0xffd804ff,0xffffffff,0x6fffffff,
    0x7fffff4c,0x5fffffff,0x027ffc00,0xf805ffd8,0xfff984ff,0xffffffbb,
    0x3fee01ef,0xfffa81ef,0x0fffa81f,0x0027ffc0,0x217ffee0,0x3a603fff,
    0xbfffffff,0x2001fffb,0x01effffb,0x7ffdc000,0x07ffffb0,0xd804fff8,
    0xffffffff,0xffffffff,0x3fffa27f,0xffffffff,0x7fc005ff,0xdff7004f,
    0x83fff880,0x2a62fff9,0xfd801abc,0x3ff202ff,0x0fffa83f,0x0027ffc0,
    0x643fff40,0xba9800ff,0x3ffea1ac,0xffff9001,0x7000001d,0x3fe61fff,
    0x7ffc00ff,0xefffc804,0xeeeeeeee,0x3a5eeeee,0x89beffff,0x05fffaa9,
    0x8027ffc0,0x2a00fff9,0xff982fff,0xfe80002f,0x7ffc406f,0x00fffa85,
    0x00027ffc,0x4c07ffdc,0xff500000,0xffd8803f,0x00000dff,0xb88dffb0,
    0x4fff800b,0x05fffa80,0x7fffc400,0x02fff400,0x4013ffe0,0x3a04fff8,
    0xfff307ff,0xffd00005,0x4fff880d,0x401fffa8,0x80004fff,0x00007ffc,
    0x01fffa80,0x13ffffa2,0x801dc880,0x0005fffa,0x44027ffc,0x2004ffff,
    0x0fffea08,0x05fffc88,0x0027ffc0,0xf703fffd,0x3fe607ff,0xfc80002f,
    0x3ff202ff,0x3fffa82f,0x09fffd50,0x3fe60031,0x8000005f,0xf301fffa,
    0x8007ffff,0x89adfffb,0xffffda99,0x7ffc0001,0xffff5004,0x7331159d,
    0x3e67fffb,0xa989beff,0xcefffffd,0x09fff001,0x57fffd40,0x0ffffc99,
    0x005fff30,0xbffff500,0xfff93337,0xdfff101f,0xfffd5315,0x7fcc5dff,
    0xa99899be,0x102ffffd,0x7fd40000,0xfffff01f,0x9999999d,0x7ffdcbfb,
    0xffffffff,0x26004fff,0xfffccccc,0x81bcccce,0xfffffffd,0xffffffff,
    0x3fffffa6,0xffffffff,0x3263ffff,0xefffcccc,0xb01bcccc,0xffffffff,
    0xffd707ff,0x03bfffff,0x3ffff600,0xffffffff,0x3ffffa04,0xffffffff,
    0xfff73fff,0xffffffff,0x3f60bfff,0xfd98002f,0x3effffff,0x7ffffffc,
    0xffffffff,0x3ffff61f,0xffffffff,0x3ffee005,0xffffffff,0xc80fffff,
    0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,0xffff74ff,0xffffffff,
    0xd101ffff,0xffffffff,0xfffff107,0x00dfffff,0x7ffffe40,0x403fffff,
    0xfffffff9,0xffffffff,0x3fffffa4,0x4fffffff,0x00dfff30,0xffffffd0,
    0x7fc1ffff,0xffffffff,0x42ffffff,0xffffffda,0x64001eff,0xffffffff,
    0xffffffff,0xffffb301,0x39dfffff,0xfffff910,0xfffd5bff,0x3fff21bf,
    0xffffffff,0x101fffff,0x7dffffd9,0x7fffffc0,0x0004ffff,0x7fffff5c,
    0xfd3001df,0xf5bfffff,0x6443bfff,0xffffffff,0x3fe202ef,0xffc8004f,
    0x7fffffff,0x7ffffffc,0xffffffff,0x7753103f,0x22000135,0xfffffffd,
    0x4effffff,0xabca9880,0x2ea20019,0x22000aac,0xfffffffd,0x4effffff,
    0x00157100,0x99999951,0x98000039,0x220000ab,0x00009aca,0x15577553,
    0x0006a200,0xcccccc98,0x000000ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01770000,0x11000593,
    0x32200000,0x0001ceed,0xa8800310,0x77000000,0x40059301,0x00000198,
    0x59301770,0x2aea6000,0x4d4c000a,0x26000000,0x5cc000ab,0xf70001bc,
    0x03fff0bf,0x213ffaa0,0xff70001b,0x01bfffff,0x5feca880,0x0ffec980,
    0xffb80000,0x201fff85,0x003ffeca,0x5ffb8000,0x3001fff8,0xfffffffd,
    0xda81bd7b,0x003fffff,0xffffa800,0xffff9000,0xffb0009f,0x02fff88d,
    0xffffffc8,0x8006fe9a,0xfffffffa,0xec9805ff,0x405fffff,0x00fffffb,
    0x6ffd8000,0xc817ffc4,0x003fffff,0x6ffd8000,0x4017ffc4,0xfffffffc,
    0x22ffffff,0xffdefff8,0x6400000f,0xc801ffff,0x4fffcfff,0x417f4c00,
    0xff8805fc,0xfffffb9d,0x7fc4002f,0xffffefff,0x3fff203f,0x405fffff,
    0x00ffccc8,0x2fe98000,0x32605fc8,0x0003ffac,0x82fe9800,0xffd805fc,
    0xffffffff,0x6644ffff,0x00027f40,0x013ffa20,0xff713fe2,0x00000003,
    0x3ff620d4,0xffa8002d,0x3ffea0cf,0x3ffffe06,0x2005ffff,0x00000ffa,
    0xf8800000,0x0000003f,0x3fea0000,0xca99adff,0x004ffffe,0x00000dfd,
    0x07fa8002,0x000007ff,0x00220000,0x80fffb80,0x3f207ffd,0x5fffbdff,
    0x003fea00,0x00000000,0x0000ffe2,0x44000000,0x6402ffff,0xb9104fff,
    0x00005fff,0x0bf70000,0x4c0013f6,0x80000aba,0x40000ab8,0xfc80fffb,
    0xd02600ff,0x7d400bff,0x8000000f,0x88000ab8,0x000003ff,0x26aeaa20,
    0x4fffb800,0x02fff880,0x00dffff7,0x2a000000,0x1ffc40ff,0xffff9100,
    0x4001bfff,0xeffffeca,0xffb8001c,0x3fffd40f,0x02fff400,0x4001ff50,
    0x65400eea,0x1ceffffe,0x007ff100,0xb5006fb8,0xffffffff,0x3ffe403b,
    0x401df700,0x204ffeca,0x22004fc8,0xbff1002b,0x003ff221,0x7fffffd4,
    0x803fffff,0xfffffffc,0x2000dfff,0xfc88fffb,0x8004ffff,0x2a005ffe,
    0xfd8800ff,0x3ff202ff,0xffffffff,0x1ffc400d,0x1fffe980,0x7ffffdc0,
    0x2fffffff,0x000dffd0,0x80ffe800,0x2007fffa,0xf7001ffc,0x87fffdff,
    0x7ffdc1a8,0xffffffff,0x3ff604ff,0xffffffff,0x3ee006ff,0xffffd8ff,
    0xfe8000ff,0x3fea005f,0x7fffdc00,0xffffb00d,0xffffffff,0x03ff880d,
    0x04ffffb8,0xffffffb8,0x0fffffff,0x0005fff8,0x10ffd400,0x007ffffb,
    0x70027ff4,0x227fffff,0x3e66ffdb,0xa9acefff,0x81ffffec,0x9acffffd,
    0x5ffffda9,0xb1fff700,0x0bffffff,0x00bffd00,0x157ff953,0x2ffffe98,
    0x33ffff60,0xfffda99a,0xffba985f,0x7f4c0aad,0xb1002fff,0x733359bd,
    0xfb07fffd,0x950000df,0xffd73135,0x3bfffee1,0x3ffee001,0x55d44004,
    0xfffffeb9,0x0bffff13,0x546fffc8,0x2a01efff,0xb801ffff,0xffc88fff,
    0x4005ffff,0x7f405ffe,0x1fffffff,0x01bffff7,0x00f7ffd4,0x5c3ffff5,
    0xffffffff,0x33ffff26,0x44000010,0xffb84fff,0x7f40000f,0xafffffff,
    0x03ffffd8,0x3ffffee0,0xfeb88004,0x4c1cefff,0xfb006fff,0x7ffec7ff,
    0x3fffb801,0x40fffb80,0x05ffffda,0x5017ffa0,0x7bdddddb,0x15ffffd3,
    0xffd85ddb,0xfffb801f,0x3bbbb223,0xffeaadee,0xfffebaef,0x9553000d,
    0x0bffd355,0x001dfff5,0x75c437ee,0xfb9cefff,0xee98dfff,0xfffd880e,
    0x73003fff,0x39dffffd,0x777ffdc0,0xeeeeeeee,0x3fe4fffe,0xfff1004f,
    0x1fff700b,0x0bfffa20,0x002fff40,0x33ffff20,0xf85fffb0,0xff1004ff,
    0x7ec400bf,0xffd8cfff,0x5c07ffff,0xffffffff,0xffb05fff,0x262339ff,
    0x02fffeba,0x2ffffe98,0x3a03fffa,0x00cfffff,0x7dffffd0,0xb0179953,
    0xffffffff,0xffffffff,0x0bffe6df,0x807ffc80,0x2600fffb,0xfd004fff,
    0x3aa000bf,0x3ea1efff,0x3fe62fff,0x3ff2002f,0xffff5007,0xa8ffee3d,
    0xffe983ff,0xffffffff,0xffd105ff,0xffffffff,0x803fffff,0x20dffffc,
    0x4c0ffffc,0x000cffff,0x4c2fbfe2,0x42fffffe,0xfffffffd,0xffffffff,
    0x3fff57ff,0x07ffd400,0x003ffee0,0x3a00dffb,0xfd8005ff,0x7fc44fff,
    0x3fea2fff,0x3fea001f,0x3ff6200f,0x427dc3ff,0x7ff446fd,0xffffffff,
    0x3e205fff,0xffffffff,0x203fffff,0x42efffe9,0x40fffff9,0x0002fffc,
    0xeffe8811,0x3f21fffd,0xeeeeeeff,0xeeeeeeee,0x007fff15,0x5c037fe4,
    0x7dc00fff,0xffe800ff,0x7ffe4005,0xfaffd81e,0x0fffe22f,0x406ffc80,
    0x000dfffd,0xffd13fe2,0x53137dff,0x700bfff5,0xfffffffd,0xff8019ff,
    0x7f440cff,0x7f40ffbe,0x0028806f,0x7f443ff9,0x017ffea6,0x03bffa00,
    0x013ffe60,0x6543ffee,0x007ffdc0,0x2002fff4,0xff703ffb,0xfe85ff17,
    0xff9800ef,0x1ffe404f,0x87ffe600,0x400ffff8,0x26005ffe,0x01aacffb,
    0x6407bfa0,0x40ffa9ff,0x7cc06ffe,0x84fe804f,0x3ffe27fa,0x7022004f,
    0x4c01bfff,0xb802fffe,0x6ff98fff,0xe803fff4,0x098005ff,0x3e2bff10,
    0x6fffdc2f,0x3fffa600,0xb8001802,0x7fd41fff,0x3ff2203f,0x7fc4005f,
    0xa8060004,0x81ff54ff,0x2e02fffd,0x2ff806ff,0x3ea0ff88,0x88acefff,
    0x3fffdb99,0x2fffffa2,0xfffc9889,0x7f5cc06f,0xbfffbbff,0x006fffb8,
    0x0000bffd,0xfdcdffd8,0x3ffa20df,0xc9889bff,0x0006ffff,0x0effd880,
    0x9befff98,0xffffda98,0xf1001cef,0x80000dff,0xfdccfff8,0x3ffea0cf,
    0xfdb98adf,0x5fe807ff,0xffd87fb8,0xffffffff,0x446fffff,0xfffffffe,
    0x405fffff,0xfffffff9,0xfffffffe,0x665442ff,0xccefffcc,0x3e0002cc,
    0xffffffff,0x7ffff444,0xffffffff,0xe9800005,0x7ff404ff,0xffffffff,
    0x3fffffff,0x3f2eb220,0x2200000f,0xffffffff,0x7fffec2f,0xffffffff,
    0x22ffb807,0xff905fe9,0xffffffff,0xd107ffff,0xffffffff,0xff5009ff,
    0xfd9fffff,0x0bffffff,0xfffffffb,0x7fffffff,0x2aaaa000,0x880cffba,
    0xfffffffe,0x00004fff,0x4c2fffb8,0x7ffffc40,0xffffffff,0x2e04ffff,
    0x007fffff,0x55554400,0xe882ffca,0xffffffff,0xfd004fff,0x01fffdff,
    0x7ffffecc,0x01ceffff,0x7ffffedc,0x3b2003df,0xe98dffff,0xd04fffff,
    0xffffffff,0x09ffffff,0xfffd3000,0x7fedc05f,0x003dffff,0xffff8800,
    0x886fffff,0xfffffffc,0xdffffead,0x3fff6200,0x4000002f,0x01fffffa,
    0xfffffff7,0x6c40017d,0x001effff,0x33579531,0x0ddcc000,0x2ea00000,
    0x3f6a00ab,0xffffffff,0x0000dfff,0x2efffe88,0x00377300,0xfff88000,
    0x07ffffff,0x02ab2ea2,0x00298000,0xffd50000,0x54c403df,0x40001abc,
    0x00001ba9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01ffffdb,0x75c00000,
    0xe980ffff,0xeeeeeeee,0x02eeeeee,0x10000088,0x800379d9,0x64c00ab9,
    0x000bb881,0x800002a8,0x8001aa98,0x017702c9,0x1aa98800,0x00110000,
    0x839d9100,0x1ffffff9,0x2a000000,0x80ffffff,0xfffffffa,0xffffffff,
    0x0fffaa02,0xffa8006e,0xec9adfff,0x04fff886,0xf903ffe2,0x7ec4009f,
    0xa80000df,0xdffffffe,0x1fff8801,0x8002ffdc,0xffffffea,0xfd98001d,
    0x801540df,0x7c46fffd,0x001fffff,0x3fe60000,0xfa80ffff,0xffffffff,
    0x02ffffff,0x5dfffff9,0x4400dfd3,0xfffffffe,0x7fcc0fff,0x3ffea06f,
    0x802ffec1,0x2ffffffa,0xffff3000,0xdffffddf,0x17ffcc01,0x3001bff2,
    0xfddfffff,0x2001dfff,0xcffffffa,0xf800ffc9,0x5cc0ffff,0x0001fffe,
    0x7f654000,0xfff980ff,0xeeeeeeee,0xf882fffe,0xffffb9df,0xeb8001ff,
    0x1cffffff,0xd803df90,0x01ee984f,0xfbbfffd8,0x7dc005ff,0x6dc41bff,
    0x3f201fff,0x002fe985,0x106fffee,0x003fffb7,0xffd53dfd,0x36009fff,
    0x3ea06fff,0x000001ff,0x01fff700,0xf9003ffe,0x306e01ff,0x8003bffd,
    0xfffffff9,0x000004ff,0x77fe4000,0x00fffa60,0x4006ffdc,0x0001fff9,
    0x1bff7000,0x03fff300,0x7fe44398,0x36e2003e,0x3ffea00b,0x00000001,
    0x2601fff7,0x6fff802c,0x00011000,0x22b7fff2,0x0000fffe,0x3aa00000,
    0x200bae03,0xaa983ff9,0x01bfe610,0x3fe60000,0x20333333,0x20006ff9,
    0x40000008,0x2a21fffa,0x4c0001ab,0x3fee09ba,0x7d40000f,0xaa8803ff,
    0x100009ab,0xffe88157,0x00000005,0x3a000000,0x7fff4c6f,0x7ff32fef,
    0xfe800000,0xffffffb6,0x03ff985b,0x04d5cc40,0xffa80000,0xffffea9f,
    0xb1000cff,0x3bffffff,0x0001fff7,0x500fffc8,0xfffffffb,0x440003bf,
    0x417ffd41,0xfffc83c9,0x7fecc0ff,0x00004fff,0xf307fcc0,0x9fffbbff,
    0x7f5c3fd4,0x004fffff,0x3f6a1ff3,0x42ffeeef,0x7fec47fa,0xffffc9ff,
    0x800004ff,0xfffffffa,0x2fffffff,0x7ffffdc0,0xffffffff,0x7fc0000f,
    0xffff706f,0xffffffff,0x7ff5c005,0xffe8ceff,0x2a1ffe85,0x40ffffff,
    0x4ffffffc,0xfffffd70,0x13f2009f,0x3fe819fd,0xff88bfe2,0x04ffffff,
    0x5f989f90,0x3fe237cc,0x3ffffee2,0xffffffff,0x200000ef,0xfffffffa,
    0xffffffff,0xfffff902,0xffffffff,0x540001ff,0xff703fff,0xffffffff,
    0xe9801fff,0xffffffff,0x7c46ffff,0x3ffe24ff,0x7fdc0fff,0xf884ffff,
    0x4fffffff,0x7d47fd00,0xfe85f307,0x7fffffc4,0x7fd004ff,0x0fe85f98,
    0xfff527f4,0xffffffff,0x0009ffff,0x7ffffd40,0xfeb99acf,0x7fcc0fff,
    0xca99aeff,0x00ffffff,0x03fff200,0x4d66f6c4,0x3fffeb99,0x3ffffea0,
    0xffffffff,0x2fffcc7f,0x03fff6e6,0x13fff2e6,0x7ffffffc,0x43ff004f,
    0x7e4004fb,0x7e665445,0x3ff004ff,0xfb515f98,0xd98bf90d,0x9adfffff,
    0x00ffffc9,0xa8033331,0x201effff,0x7f45fffc,0x3fea03ff,0x20000fff,
    0x80006fff,0xf104fff8,0x2637ffff,0x1ffffffb,0x5417ffe6,0x7fc00fff,
    0x9995104f,0xf1009fff,0x0017e41f,0x3fe017ea,0x0ff8804f,0x7fffffcc,
    0xa85fa81e,0xf703ffff,0x3ff205ff,0x7ffd405f,0xfffe801f,0x00bfff51,
    0x001ffff7,0x00fffea0,0x9aacaa98,0xffb05ffe,0x3fa201df,0x3fea2fff,
    0x1fff506f,0x004fff80,0x7c013ffe,0x000bf21f,0xfff00bf7,0x307fe009,
    0x05ffffff,0x3fea17ee,0x3ffe202f,0x03fffd03,0x005fffa8,0x3ee5fff3,
    0xffd000ff,0x3f60001f,0xffb800ff,0xffffffff,0x3ffff05f,0x3ffff980,
    0x541fffee,0x7fc00fff,0x3ffe004f,0x5c5fd004,0x27f4005f,0x8027ffc0,
    0x92fcc2fe,0x09fd01ff,0x4401fff5,0xff983fff,0xfffa804f,0x53ffe003,
    0x32006ffd,0xf0000fff,0xfe980dff,0xffffffff,0xff885fff,0xfffb006f,
    0x07fffe45,0x2007ffd4,0x3e004fff,0x9f9004ff,0x2b80ffcc,0x7fc017fc,
    0x89f9004f,0x437e45f9,0xfffa82ff,0x0fffe200,0x5401bfee,0x3e002fff,
    0x0bffd5ff,0x007ffdc0,0x01fffd40,0xffffffd1,0xbfffffff,0x009fff50,
    0xfd87fff2,0xffa81fff,0x27ffc00f,0x009fff00,0xffc83fe6,0x25fea9bd,
    0xfff007fa,0x43fe6009,0x360befc9,0x20ff51df,0x2200fffa,0xffe83fff,
    0x7fff5002,0x4fffe200,0x32007ffd,0xd8000fff,0x3fa00fff,0x989befff,
    0x885fffaa,0xfb005fff,0x7fff41ff,0x0fffa81f,0x0027ffc0,0x74009fff,
    0x7fffe45f,0x9fd10eff,0x013ffe00,0xfffb5fe8,0x47ffc49f,0xfff504fe,
    0x1fffc401,0xa8017fe2,0xf7006fff,0x3ffee5ff,0xffff8801,0x6fff8000,
    0x03fffe20,0x3e0bffd0,0xffd007ff,0x2fffff8f,0x401fffa8,0x3e004fff,
    0x3e6004ff,0x56e5cc3f,0x003ffa20,0x30027ffc,0x555517ff,0xffe9a981,
    0x01fff500,0x2e1fffc4,0x3ea000ff,0x7cc04fff,0xfff30fff,0xfffd801d,
    0x7fd4000f,0x3ffea03f,0x3fff2203,0x09fffb05,0x7c4fffb8,0xfa83ffff,
    0xffd503ff,0x7ffc009f,0x27fdc004,0x01ffe880,0x0013ffe0,0x22009ff7,
    0x3ea01ffe,0x3fe200ff,0x801fec3f,0xfffffdb9,0xff9311ae,0xfffc87ff,
    0xfb9889cf,0x0bcfffff,0x01fffb00,0x4df7ffcc,0xffffda98,0x7fc41cef,
    0x36609dff,0x3e20ffff,0xf884ffff,0xea98aeff,0x02efffff,0x0009fff0,
    0x8815dff9,0x302fffca,0xfff99999,0x0379999d,0x20577fe4,0x02fffca8,
    0x5bfffb71,0x5dfff730,0xff88025c,0xffffffff,0xffffffff,0xfffffd05,
    0xffffffff,0x200dffff,0xfe806fff,0xffffffff,0xffffffff,0x7ffffd43,
    0xffffffff,0x3fffff82,0xffffffd0,0xffffffff,0x66664c7f,0xcccefffc,
    0x7fd401bc,0xfffedeff,0xfff701ef,0xffffffff,0x401fffff,0xedeffffa,
    0x201effff,0xfffffffd,0x3ffffe23,0xf98003ff,0xffffffff,0xffffffff,
    0xfffb100d,0xffffffff,0x01ffffff,0x802fff88,0xfffffff8,0xffffffff,
    0xfffb84ff,0xffffffff,0x1ffff903,0x3ffffe60,0xffffffff,0xffff74ff,
    0xffffffff,0x8801ffff,0xffffffeb,0x7ffe402e,0xffffffff,0x401fffff,
    0xfffffeb8,0xfff802ef,0x225fffff,0x4fffffff,0xfffd9000,0xfffff97f,
    0x2a003dff,0xffffffff,0x3effffcc,0x400bf700,0xffffffc8,0xffffeadf,
    0xfffb100d,0x401bffff,0x4c04ffe9,0xdffffffe,0x91dffffa,0xffffffff,
    0xffffffff,0x55d4c003,0xffb10009,0xffffffff,0x8009dfff,0x0009aba9,
    0x3fffff6a,0x7fff5c1d,0x000000df,0x01379531,0x2b2ea200,0x00000001,
    0x15597510,0x97310000,0x05400137,0x13595100,0x3fff6200,0xffffffff,
    0x00004eff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcc980000,
    0xcccccccc,0x2ccccccc,0x3bbbb600,0x7f6e5400,0xb98002cd,0x0662cefe,
    0x000032e0,0xbdfb9510,0x10006237,0x55555555,0xf1003555,0x20001fff,
    0x0beefdca,0x55551011,0x55530155,0xc8800355,0x1bcdeeed,0x07ffff5c,
    0x26662000,0x400005c1,0xffff5004,0xfff9101f,0x1bffffff,0xffffd980,
    0xffcfffff,0x013fea03,0xffffd800,0xffefffff,0xffff5004,0xffffffff,
    0xfff880df,0x7f4c000f,0xefffffff,0x3ffe62ff,0x3a4fffff,0x7fffffff,
    0xfffff900,0x2a3fffff,0x00ffffff,0x7fffd400,0x200002e0,0xffff8804,
    0x7ffcc0ff,0xffffffff,0xfff500ff,0xffffffff,0x7e40bfff,0xe880006f,
    0xffffffff,0x006fffff,0xfffffff9,0x1fffffff,0x07fffc40,0xfffff300,
    0xffffffff,0x7ffffdc9,0xfff16fff,0x03ffffff,0xffffffc8,0xf34fffff,
    0x001fffff,0x47fff980,0x0480000b,0xffffffc8,0x7ffffcc0,0xfffffdef,
    0xfffffa85,0xffffedef,0x3ff207ff,0x7fcc0007,0xfedeffff,0x007fffff,
    0xffffffd3,0x09ffffff,0x00ffff88,0xffffff10,0xffffffbb,0x7ffff44b,
    0x3ff23fff,0x405fffff,0xeefffffa,0x2a1ffffe,0x000fffec,0x237ffc40,
    0x0480000b,0x7fffffcc,0x67ffcc0f,0x3ffea209,0x3fffe21f,0xfffc881e,
    0x1fff207f,0xdffff000,0xfffb3015,0x9998800f,0x019dfff9,0xffc80000,
    0xfffa82ef,0xafffa85f,0x3fff2601,0x3fffc801,0x3ee01310,0xf80000ff,
    0x0005c5ff,0x3ff60240,0x440fffef,0x3ee01fff,0x3fff23ff,0x7ffcc00e,
    0x01fff207,0x0efffb80,0x007ffe80,0x004fff80,0x3ff60000,0x3ffe600f,
    0x01fffa85,0x800fffb8,0x20006ffd,0x0000fffb,0x05c4ffe8,0xf5024000,
    0x1fff7dff,0xff00ffd0,0x077ff49f,0x646ffd80,0xfffffffe,0x82efffff,
    0x000efff8,0x00009ff5,0x00009fff,0x02fffc00,0x7d41ffec,0xffb801ff,
    0x6ffd800f,0x3ffee000,0x00357510,0x02e1ffec,0xfe812000,0x0fffbaff,
    0x7c400a88,0x9fff15ff,0x31ffcc00,0xffffffff,0xffffffff,0x007fff50,
    0x80000cb8,0xeb804fff,0x04ffffff,0x300fffb0,0xfff503df,0x1fff7003,
    0xfffffb30,0xbfffffff,0x5fffdc03,0x3ffffffe,0x5c2ffc80,0x70480000,
    0x3feebfff,0x3f60000f,0x3fff53ff,0x7c429800,0xffffffff,0x85ffffff,
    0x0001fffb,0x3ffe0000,0x7fffc404,0x7004ffff,0x0003dfff,0x400fffd4,
    0xfe80fffb,0xffffffff,0x205fffff,0xfffffffb,0x405fffff,0x005c1ffb,
    0x7fc42400,0x1fff70ff,0xfffd5000,0x01fff21f,0xfecb8800,0xccccccff,
    0x7ffd80ac,0x40000000,0xff804fff,0x04ffffff,0xffffff10,0x7d40037b,
    0xffb801ff,0xffffc80f,0xffffffff,0x3fee03ff,0xffffffff,0x3ea04fff,
    0x00005c0f,0x27ffec24,0x2001fff7,0xfffffeb8,0x0017ffa3,0x03ffe400,
    0x005ffe80,0x7fc00000,0xcca8804f,0x2004fffc,0xfffffff9,0x7d402dff,
    0xffb801ff,0xfcca880f,0xcccccfff,0x7ffdc01b,0xfca9adff,0x1be206ff,
    0x1200002e,0xfb8dfff3,0xffd000ff,0xfe85ffff,0x9000005f,0x3a000fff,
    0x4ccc05ff,0x01009999,0x0027ffc0,0x4004fff8,0xffffffe8,0xf500efff,
    0xff7003ff,0xdffb001f,0x7ffdc000,0x1fff903f,0x005c0d40,0x3ffa2400,
    0x07ffdc2f,0xdffffe80,0x005ffe81,0x0fff9000,0x417ffa00,0xfffffff9,
    0x3bee0eff,0x04fff800,0x009fff00,0x3fffb260,0xa81fffff,0xfb801fff,
    0xffd800ff,0x3fee0006,0x3ffe602f,0x000b8002,0x3ffee480,0x00fffb85,
    0x403dffd0,0x00006ffd,0x000fff90,0x7e41bff6,0xffffffff,0x00bffa2f,
    0x40013ffe,0x00004fff,0xbffffb73,0x003fff50,0xb001fff7,0x5c000dff,
    0x3e200fff,0x204403ff,0x1480000b,0x999bffff,0x039fffb9,0xc805ff90,
    0x00000fff,0x0007ffc8,0x3ea0fff7,0xffffffff,0x00fffe0f,0x40013ffe,
    0x11004fff,0x3fffa600,0x00fffd40,0x4007ffdc,0x20006ffd,0x2200fffb,
    0x3fc03fff,0x5200002e,0xfffffff9,0xffffffff,0x4015c400,0x0003fffb,
    0x007ffc80,0x203fff50,0xffdaaaa8,0x027ffc0f,0x80027ffc,0xf9804fff,
    0xfff3002f,0x04fff885,0xb007ffc8,0x5c000dff,0x3e200fff,0x3fe603ff,
    0x200002e0,0xffffff34,0xffffffff,0x4400003f,0x2001ffff,0x3ff203d9,
    0xfff10007,0x3ffe400d,0x26027ffc,0xf0002fff,0xff9009ff,0x3ffe600f,
    0x00ffff83,0x4017ffa2,0x20006ffd,0x2200fffb,0x3e603fff,0x00002e4f,
    0x7ffffcd2,0xffffffff,0xc800003e,0xb802efff,0xff901fff,0x0e54401f,
    0x0033fff6,0x3fe1fff2,0x3ff6204f,0xfff0000f,0x9fffb009,0x1fffe801,
    0x104fffd8,0x2007fffd,0x20006ffd,0x2200fffb,0x3e603fff,0x000175ff,
    0xffb80090,0x0022000f,0xadffffd8,0xffdba989,0xfff701ff,0xfd95115b,
    0x7fc41fff,0x989acfff,0x87fffecb,0x9bdfffff,0x06ffffb9,0x013ffe00,
    0x33fffff6,0xfffb999a,0xfff980ff,0xfeb99cff,0x3f6006ff,0x3ee0006f,
    0x3fe200ff,0xcbac983f,0x0000b8ff,0xdcb88048,0x4401cfff,0x32005ffe,
    0xffffffff,0x05ffffff,0x3fffffe2,0xffffffff,0x7ffffd41,0xffffffff,
    0xffff87ff,0xffffffff,0xcc9800ef,0xcefffccc,0x3f61bccc,0xffffffff,
    0x02ffffff,0x3fffffea,0x01ffffff,0x3fff32e6,0x1bcccccf,0x9fffd710,
    0xbfff9505,0x7fffe417,0x0000176f,0xfffff009,0x5c01ffff,0x2002ffff,
    0xfffffffc,0x803fffff,0xfffffffb,0x503fffff,0xfffffffd,0x07dfffff,
    0xffffffb5,0x001dffff,0xfffffff7,0xffffffff,0x3fffee1f,0xffffffff,
    0xffb803ff,0xefffffff,0x3fffe202,0xffffffff,0xffd80fff,0x2a2fffff,
    0x5fffffff,0x4bffff62,0x0480000b,0x7fffffc4,0x3e601fff,0x54000fff,
    0xfffffffd,0x3aa001ce,0xefffffff,0xffeb800b,0x2dffffff,0xffffc880,
    0x32003eff,0xffffffff,0xffffffff,0xfd73db11,0x19ffffff,0x7ffec400,
    0x4c00cfff,0xffffffff,0x1fffffff,0xfffffff8,0x3ffff24f,0x85507fff,
    0xcccccccb,0xcccccccc,0xfeb804cc,0x804effff,0x20000aa8,0x001aba98,
    0x1abba980,0x5d4c4000,0x5100009a,0xb1000157,0xffffffff,0x09dfffff,
    0x03575510,0x1ab98800,0x7fff6400,0xffffffff,0xfffd504e,0x7ecc3bff,
    0x002dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffff6a,0xfec8804f,0x000006ff,
    0x159ddb73,0x2aaaa200,0x000aaaaa,0x55555554,0x440001aa,0x002deedb,
    0x55555555,0x30001355,0x55555555,0x55555555,0x55555015,0x35555303,
    0x555554c0,0x0aaaaaaa,0x00aaaa98,0x202aaaa2,0xaaaaaaaa,0xff8800aa,
    0x04ffffff,0x6fffffc8,0x7ec40000,0x3fffffff,0x7ffffd40,0x03ffffff,
    0xffffff88,0x3effffff,0x7fffd400,0xf101efff,0xffffffff,0x005fffff,
    0x3ffffffa,0xffffffff,0x3e21ffff,0x25ffffff,0x7ffffffd,0xffffffc8,
    0xffffffff,0x3fffff62,0xffffd83f,0x3ffee4ff,0xffffffff,0x7fffc403,
    0xb804ffff,0x006fffff,0x3fffea00,0xdfffffff,0xfffffb00,0x0bffffff,
    0xffffff50,0xffffffff,0xfff3003d,0x1fffffff,0xffffff50,0xffffffff,
    0x7fc401df,0xffffffff,0xffffffff,0x3fffea1f,0x3ffe7fff,0x741fffff,
    0xffffffff,0x14ffffff,0xdfffffff,0xfffffff0,0x7ffffecd,0x05ffffff,
    0xffeedb98,0xffb5004f,0x260000df,0xedffffff,0x80ffffff,0xffffffe9,
    0xd002ffff,0xffffffff,0x1fffffff,0xdffffe80,0xd04ffffe,0xffffffff,
    0xdfffffff,0xfffffc80,0xffffffff,0x741fffff,0x23ffffff,0x5ffffffc,
    0xffffffb8,0xefffffff,0x3fffff61,0xffffd84f,0x3ffea3ff,0xefffffff,
    0x9fff0002,0x06ffd800,0xdfffd000,0xbffff503,0x7ffd4c40,0xfa80009b,
    0xb9999bff,0x206ffffd,0x220efff8,0x32202ffe,0x99999fff,0x03ffffeb,
    0x99bfffa8,0xfb999999,0xfffc81ff,0x0fffea01,0xfff33330,0x2201333b,
    0x3a05fffd,0xd100bfff,0x01333dff,0x04fff800,0x0037fec0,0x06fffe40,
    0x05fffd10,0x002fff98,0x80bffe60,0x503ffff9,0x59105fff,0x01fff700,
    0x4037ffcc,0xa802fff9,0xffb81fff,0x3ffe200f,0x27ffc003,0x5ffff100,
    0x00dfff70,0xddddfffd,0x400379bd,0x6c004fff,0x4c0006ff,0xf3006fff,
    0x7cc01fff,0x260002ff,0x7d402fff,0xfff507ff,0xffb80003,0x7ffec00f,
    0x17ffcc00,0x03ffe604,0x8803ffee,0x7c003fff,0x7d4004ff,0x3fe60fff,
    0xffe800ff,0xffffffff,0xfff003ff,0x6ffd8009,0x3fffff62,0x2fffc83e,
    0x0bfff200,0x002fff98,0x00bffe60,0x220fffee,0x40002fff,0x6400fffb,
    0x7cc00fff,0x13f622ff,0x3fee0dff,0x3ffe200f,0x27ffc003,0x2fffe400,
    0x2007fffd,0xfffffffe,0x05ffffff,0x4004fff8,0x3ff26ffd,0x40ffffff,
    0x44006ffd,0x3e603fff,0x260002ff,0xf8802fff,0x9fff05ff,0xfffb8000,
    0x17ffea00,0x98bffe60,0x805447ff,0x2200fffb,0x7c003fff,0xe88004ff,
    0xfffcafff,0x3bffa005,0xfca99999,0x7fc00fff,0x7fec004f,0x3ffffee6,
    0x4fff86ff,0x05ffe800,0x000bffe6,0x002fff98,0x65ccdffd,0x1bccffff,
    0x07ffdc00,0x3ffff662,0xdfff9802,0x00fffdcc,0x2afffee0,0xffbaaaaa,
    0x7ffc003f,0xfff30004,0x001fffff,0x2e02fff4,0x7fc03fff,0x7fec004f,
    0xdffffb16,0xfff88159,0x6ffd8003,0x00bffe60,0x02fff980,0x3f2fffb0,
    0xffffffff,0x3ee003ff,0xffeeeeff,0x3005ffff,0xffffffff,0x7dc001ff,
    0xffffffff,0x003fffff,0x00027ffc,0x5ffffff9,0x05ffe800,0x202fffc4,
    0x6c004fff,0xfffe9eff,0x7ffcc04f,0x7ffc8002,0x00bffe60,0x02fff980,
    0x3f6fff90,0xffffffff,0x3ee005ff,0xffffffff,0x26004fff,0xffffffff,
    0x3ee000ff,0xffffffff,0x003fffff,0x40027ffc,0xfffffbaa,0xfd001aaf,
    0xbffd00bf,0x004fff80,0x7fffffec,0xfff003ff,0xdffb0007,0x017ffcc0,
    0x7ffcc0cc,0x2fff9002,0xffffffd9,0x2001dfff,0xfffffffb,0x4003ffff,
    0xfffffff9,0x2e000fff,0xffffffff,0x03ffffff,0x0027ffc0,0x3fffffea,
    0x01ffffff,0x5405ffe8,0x7fc03fff,0x7fec004f,0x001fffff,0x20017ffa,
    0x3e604fff,0x7fdc02ff,0x017ffcc2,0x3a06ffe8,0x2e0005ff,0xfeeeefff,
    0x2000efff,0x3ea2fff9,0x3ee000ff,0x999999ff,0x003fffa9,0x40027ffc,
    0xdfff9998,0xfd000999,0x7ff440bf,0x27ffc01f,0x3ffff600,0x7e4005ff,
    0x7fcc007f,0x3ffe603f,0x227fec02,0x8802fff9,0xff104fff,0x7dc000bf,
    0x7ffd40ff,0xff3000ef,0x037fcc5f,0x803ffee0,0x4003fff8,0x80004fff,
    0xd0005ffe,0xb9999dff,0x00dffffd,0xd8009fff,0xefffffff,0x9fff7000,
    0x0ffff400,0x805fff30,0x7fcc5ffe,0xfffa802f,0x09fff302,0x07ffdc00,
    0x037fff44,0x4c2fff98,0x7fdc001c,0x3ffe200f,0x27ffc003,0x2aaaa200,
    0x2aaaefff,0xfffffd00,0xbfffffff,0x013ffe00,0xff9fffb0,0xf1001dff,
    0xf7003fff,0xff980bff,0x2fff402f,0x300bffe6,0x2e03ffff,0x04403fff,
    0x100fffb8,0x3007ffff,0x00005fff,0x8803ffee,0x7c003fff,0x7d4004ff,
    0xffffffff,0xfe800fff,0xffffffff,0x3fe003ef,0x7fec004f,0x3fffff36,
    0x5ffff500,0x07fffdc0,0x00bffe60,0xff98bffd,0x3ffea02f,0xfffd104f,
    0x41ffcc01,0x2600fffb,0x4c01ffff,0x00002fff,0x4401fff7,0x7c003fff,
    0xe80004ff,0xfd0005ff,0x335555df,0x9fff0001,0x26ffd800,0x02ffffe9,
    0xadffffc8,0xffffeb98,0xffb99503,0x999999bf,0x64cbfff9,0xdcccdfff,
    0x86fffffe,0xcfffffb8,0xfecccccc,0x3ffae66f,0xff702ccf,0xdb8837df,
    0xbcccdfff,0x3fae2001,0x2a20acff,0x40bdfffc,0xffcccca8,0x01ccccef,
    0x7ffe6544,0x5400acce,0xcccefffc,0xccc9802c,0xccefffcc,0x764c1bcc,
    0x7ff446ff,0x3a02ccff,0xffffffff,0xf704ffff,0xffffffff,0xffffffff,
    0x3fffe6bf,0xffffffff,0xfe81efff,0xffffffff,0x5fffffff,0xfffffff1,
    0x3ff607ff,0x3ffa0fff,0xffffffff,0xfffd001f,0x7f4bffff,0x45ffffff,
    0xfffffffd,0x3fffffff,0x3fffff60,0x204fffff,0xfffffffb,0x2a03ffff,
    0xffffffff,0xffffffff,0xdfffff70,0xffffffd0,0x7ffe407f,0x2fffffff,
    0x3fffff20,0xffffffff,0xf55fffff,0xffffffff,0x01bfffff,0x3ffffffe,
    0xffffffff,0xffff52ff,0x20bfffff,0x12fffff8,0xffffffff,0x1005ffff,
    0xffffffff,0x7fffffcd,0x7fff47ff,0xffffffff,0x3fa04fff,0xffffffff,
    0x3fff605f,0xffffffff,0x3ffff205,0xffffffff,0xff91ffff,0xff88dfff,
    0x04ffffff,0x7fffff4c,0x7ecc00df,0xffffffff,0xffffffff,0x3ffffb25,
    0x1acdffff,0x7fffed40,0xffffffff,0x7ff642ef,0x201dffff,0x75c4effa,
    0xffffffff,0x3fae004e,0x2a2dffff,0x2dfffffe,0x7ffffed4,0xdfffffff,
    0x3fff6a00,0x01dfffff,0x3fffff66,0x201dffff,0xffffffd8,0xefffffff,
    0x3ffff664,0xffffeb86,0x731001df,0x00000015,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55510000,
    0x55555555,0x5554c003,0x2aaa600a,0xaaaa880a,0xaaa80aaa,0x044000aa,
    0x2aaaaa00,0x4001aaaa,0x0aaaaaa8,0x2aaaaa60,0x55554c0a,0xaaaaaaaa,
    0xaaa980aa,0x55551002,0x2aaaa603,0x2aaaa600,0x55555300,0x2aaaa203,
    0x5554c1aa,0xaaaaaaaa,0x0aaaaaaa,0xff882f26,0xffffffff,0x200cffff,
    0x3ffffffe,0xffffffe8,0x3ffffe24,0xff12ffff,0x00bfffff,0x5b9dffd9,
    0x3ffffe20,0xefffffff,0x7fffdc03,0xfd83ffff,0x0fffffff,0x3ffffff2,
    0xffffffff,0x7fffffc2,0xffffc803,0x7ffff46f,0xfffd83ff,0x7ffc4fff,
    0x446fffff,0xffffffff,0x3fffff25,0xffffffff,0xf51fffff,0x3fea1fff,
    0xffffffff,0x81ffffff,0xfffffff8,0x7ffffc45,0x3ffea6ff,0x55ffffff,
    0xffffffff,0x7ffff440,0xff507fff,0xffffffff,0x203dffff,0xfffffffd,
    0xfffff85f,0x3f22ffff,0xffffffff,0x262fffff,0x06ffffff,0x7fffffc4,
    0xfffff10f,0xfff88dff,0x3e66ffff,0xffffffff,0x3ffffea0,0x3ff27fff,
    0xffffffff,0xffffffff,0x25ffffb1,0xffffffe8,0xffffffff,0xfffc80ff,
    0xffd82fff,0x3a23ffff,0xefffffff,0xfffffd11,0x7ffec07f,0x207fffff,
    0xfffffffe,0xffffffff,0xfffff981,0xffc82fff,0x646fffff,0xffffffff,
    0x42ffffff,0x2ffffffd,0x3ffffee0,0x7fffec4f,0xfffc82ff,0x7ff43fff,
    0x444fffff,0xfffffffe,0x3fffff24,0xffffffff,0xf71fffff,0xfc883fff,
    0xa99999ff,0x205fffec,0x3e05fffd,0x32203fff,0x74409fff,0x5403ffff,
    0xffccffff,0x7ffcc01e,0xfdb9999b,0xf300efff,0xf3001dff,0xff901dff,
    0xb333333f,0xf701ffff,0x740dffff,0x102fffff,0x220dfffd,0x3604ffff,
    0x44019fff,0x643fffa9,0xf9999fff,0xfb999dff,0x7df911ff,0x803ffee0,
    0x2207fff8,0xfc82ffff,0xffb805ff,0x7fffcc0f,0xfffc802f,0x7cc00e61,
    0x3fe202ff,0x3ff604ff,0xfffb800f,0x20fff903,0x502ffff9,0x03ffffff,
    0x5ffffff5,0x27fffc40,0x202ffff4,0x2000fffc,0x7e41fffa,0x44fff87f,
    0x4001fffa,0x6400fffb,0x3ea00fff,0x3fe60fff,0xffb800ff,0x3fffea0f,
    0xfffb001f,0x7ffcc000,0x7fffcc02,0x09fff500,0x201fffd0,0xff887ffc,
    0x3fea03ff,0xfd85ffff,0x402fffff,0x323ffff9,0x5c00efff,0x3fe21fff,
    0x07ffdc7f,0x3fe1fff2,0x0fffd44f,0x03ffee00,0xb00fffd0,0x7ff49fff,
    0xfff7002f,0x3bfffee1,0x3ffee000,0xfff30003,0x7fff7005,0x203fff40,
    0x2a04fff9,0xfffe86ff,0x7fffd405,0x3fe60fff,0x802fffff,0xfb9ffffa,
    0xfa801fff,0x3ffee2ff,0x21fff21f,0xfff87ffb,0x20fffd44,0x07ffdc00,
    0x06fffc98,0xcaffff88,0x2e005fff,0xfffc8fff,0x7c4000df,0x98000fff,
    0xf8802fff,0x3fee05ff,0x3fff602f,0x90ffa201,0xa801dfff,0x4fffcfff,
    0x3ff3fff2,0xfff9002f,0x005fffff,0xfe8fffe6,0x3ff64fff,0xf86ffa87,
    0x3ffc44ff,0x2e09ffb1,0xdccccfff,0x01ffffff,0xffffff50,0x7dc001ff,
    0x5ffffeff,0x3fff2000,0x3f6ea004,0x03cccdff,0x7c40dffd,0xfff106ff,
    0xff50200d,0xff5003ff,0x11fffd3f,0xfff3dfff,0x7ffec005,0x22003fff,
    0xfff34fff,0x37ff4fff,0xfff82fd8,0x3ee3fc84,0xffb81fff,0xffffffff,
    0x64004fff,0x02ffffff,0x7ffffdc0,0x8000efff,0x22fffff9,0x3fea0998,
    0xffffffff,0x07ffc84f,0x5c0fffec,0x98002fff,0x5003ffff,0xfff71fff,
    0xf35fff77,0x744005ff,0x8005ffff,0xfff75fff,0x3ffe3fff,0x4fff8005,
    0x7ffff900,0xffffff70,0xdfffffff,0x7ff44001,0xfb8005ff,0xffffffff,
    0x3fe6000e,0xfb0fffff,0x3ffee3ff,0xffffffff,0x407ffc84,0xfe84fff9,
    0xfe88007f,0x3ea004ff,0xffff88ff,0xfff37fff,0xfffd8005,0xffe8004f,
    0xffffffd6,0x0013ffe9,0x4c013ffe,0xfb80ffff,0xffffffff,0x01ffffff,
    0x03fffe60,0x3fffee00,0x0effffcf,0xfffff880,0xffff5fff,0x7ffff6c9,
    0xc80effff,0xffe807ff,0x13ffea0f,0x1bfff600,0x21fff500,0x3ffffffc,
    0x4005fff3,0x2ffffffc,0x4fffec00,0xfffecfff,0x8003fff8,0x22004fff,
    0x3ffee02b,0xfffb9980,0x7ffc007f,0xfff70005,0x3fffa63d,0xdfffa806,
    0xffcfffe8,0xfff982ff,0x0dffd002,0x6c7fff70,0x5c000fff,0xca80ffff,
    0x10fffa81,0x21ffffff,0x7002fff9,0xffffffff,0x7ffe4003,0xffb9fffc,
    0x002fffcf,0x0004fff8,0x007ffdc0,0x007fffe2,0x0005fff8,0xe881fff7,
    0x7ec02fff,0x3fffe67f,0xff301fff,0x3ffe005f,0x6fff8804,0x800bfff1,
    0x882ffff9,0xfffa86ff,0x93ffff60,0x9802fff9,0xffcbffff,0xff7000ff,
    0x3e2fffff,0x01ffffff,0x004fff80,0x07ffdc00,0x01fffd40,0x000bfff0,
    0x2603ffee,0x7fc06fff,0x7fffe45f,0x3ffe606f,0x3fff9802,0x95fff900,
    0x44005fff,0xf504ffff,0xfffa81ff,0x83fffe60,0x4402fff9,0x3f64ffff,
    0xff5006ff,0x7f49ffff,0x000fffff,0x0004fff8,0x007ffdc0,0x2005fff8,
    0x70005fff,0x3ee01fff,0x3ffa03ff,0x3ffffe86,0x00bffe60,0x003ffff3,
    0x3ff7ffe6,0x7ff4006f,0x3ffee05f,0x207ffd40,0x7fcc5ffd,0x7fff402f,
    0x2ffff445,0x7ffffcc0,0x3fffee2f,0xfff0007f,0xfb800009,0xffb800ff,
    0x3ffe003f,0xfff70005,0x07fff401,0x9adfffd8,0x2cffffd9,0x405fff30,
    0x004ffffa,0x7fffffec,0x3fff2003,0x3ffee00e,0x007ffd40,0x405fff30,
    0x880efffd,0x4403ffff,0x447fffff,0x007fffff,0x0009fff0,0x3fffae60,
    0xdccccccc,0x201ffffe,0xefffccca,0x5cc01bcc,0x82ccfffe,0x0acdfffb,
    0x3fffffe6,0xffffffff,0x6fffe4c3,0xfffecccc,0xfa8006ff,0x000fffff,
    0x99bffff3,0xffb99999,0x7ffecc1f,0xca880acd,0x4c1dfffd,0x80dffffd,
    0x1cffffd9,0x17ffffe0,0x01bffffa,0x7ffe6654,0x8001bcce,0xfffffff9,
    0xffffffff,0x3ee04fff,0xffffffff,0xff301fff,0x7fffffff,0x9ffffff0,
    0xffffffc8,0x4fffffff,0x3fffffe2,0xffffffff,0xff0001ff,0x5400bfff,
    0xffffffff,0xffffffff,0xffffff50,0xfffb09ff,0x2a3fffff,0x7fffffff,
    0x7fffffc4,0xfffd00ff,0xffff705f,0xffff700b,0xffffffff,0xfffa8001,
    0xffffffff,0x04ffffff,0x7fffffe4,0x02ffffff,0xfffffff5,0xfff709ff,
    0xffd50bff,0xfff9ffff,0x7fffcc3b,0xffffffff,0x20000dff,0x001ffffb,
    0x3fffffea,0xffffffff,0xffff70ff,0xfd0bffff,0x5fffffff,0x3fffffee,
    0x3ffea0ff,0xd01fffff,0x3e20ffff,0xfd804fff,0xffffffff,0xc8002fff,
    0xfffffffe,0x0cdeffff,0xffffd980,0x04efffff,0x7fffff64,0xfff881df,
    0x2ea601df,0xfd9000aa,0xbfffffff,0x10000359,0xa800dfff,0xffffffff,
    0xffffffff,0xfffffb10,0xffb503bf,0x6449dfff,0x83efffff,0x4effffec,
    0x817fff60,0x9803fffe,0xfffffffd,0x00004eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x2600aaaa,0x501aaaaa,0x55555555,0x55555555,0xaaaa9801,0x80002aaa,
    0xaaaaaaa8,0xaaaaaaaa,0x5555442a,0x01aaaaaa,0x0001a800,0x00000cc0,
    0x2605cc00,0x0000000b,0x00de9800,0xa980d54c,0x7fff4001,0xfffb06ff,
    0x221fffff,0xffffffff,0xffffffff,0xfff101ff,0x3fffffff,0x7ffd4000,
    0xffffffff,0x25ffffff,0xfffffffb,0x0dffffff,0x02ffc800,0x05ff7000,
    0x36600000,0x3ffe26ff,0x0000000c,0xff302ae6,0xfffb509f,0x3fa63dff,
    0xf8802fff,0x83ffffff,0xffffffff,0xfffff52f,0xffffffff,0x203fffff,
    0xfffffff9,0x20004fff,0xfffffffc,0xffffffff,0x3fff65ff,0xffffffff,
    0x4003ffff,0x00004ffe,0x00009ffb,0xffffc880,0xfffff50f,0x22000007,
    0xefffffdb,0x44ffffbc,0xfffffffa,0xfffffcff,0xffd803ff,0x641fffff,
    0x6fffffff,0x7ffffff4,0xffffffff,0x3f601fff,0xffffffff,0x3fa60007,
    0xffffdfff,0x5fffffff,0x3fffffea,0xffffffff,0x3fe002ff,0xf500005f,
    0x4000003f,0x4ffffffb,0x3fffffa2,0x2a00002e,0xffffffff,0x86ffffff,
    0xfffffffb,0xffffffff,0xf7002fff,0x260dffff,0x9101fffb,0x33335fff,
    0x3fff7333,0xffe99880,0x0002ffff,0x7fcfffc4,0xfe9999bf,0xeffe885f,
    0xffda9999,0xff000fff,0x000000bf,0x3fea0000,0x702effff,0x3dffffff,
    0xfffa8000,0xffffffff,0xd880efff,0xffd99bdf,0xffc9dfff,0xfff3006f,
    0x3ea07fff,0x3fee01ff,0x7ffd400f,0xdfff1001,0x8000dfff,0xfff8eff9,
    0xd05ffe83,0xffd80bff,0xbfff003f,0x00000000,0xffffe980,0xfc8803ff,
    0x00dfffff,0xfffff980,0xfffb989b,0xf88006ff,0x7fec6fff,0xfff9802f,
    0xfa80ffff,0x3fee01ff,0x3fe6080f,0xfff7000f,0x003fff95,0x7c5ffdc0,
    0x5ffe83ff,0x880bffd0,0xff005fff,0x000000bf,0x3ff66000,0x000cffff,
    0x7ffffec4,0x3f6000cf,0x7f440dff,0x802fffff,0xffffaaa9,0x02fffcc2,
    0x7ff7ffcc,0x1fffa85f,0x983ffee0,0x01bfe2fe,0xff37ffe8,0x7f40009f,
    0x53fff89f,0x740fff25,0xffe805ff,0x0bfff006,0x80000000,0xffffffc8,
    0x74c0000c,0x03ffffff,0xd10dfff0,0xdfffdfff,0x3ffffaa0,0xeeefffff,
    0x807fffee,0xffeafff9,0x0fffd42f,0x5c1fff70,0x002a25ff,0xfd27ffd4,
    0x3e2000ff,0x77fff17f,0x01dd37ff,0x3e017ffa,0x999984ff,0x999dfff9,
    0x4ccc4009,0x99999999,0xffff7001,0x00003bff,0xfffffea8,0x3ffea02e,
    0x7ffff441,0x220fffd8,0xfffffffd,0xffffffff,0x400fffff,0xffaafff9,
    0x3ffea0ef,0x33ffee01,0x007ffecc,0xb87fff60,0xa8002fff,0xbfff14ff,
    0x3a00bffd,0x7fec05ff,0xffffb12f,0xffffffff,0x7449ffff,0xffffffff,
    0xffffffff,0xfffffa84,0x000002ef,0x7fffffdc,0x47ffc81e,0x51ffffe8,
    0x3fe23fff,0xffffffff,0xffffffff,0x4c00ffff,0xfffb2fff,0x00fffd49,
    0xfffffff7,0x22000fff,0x7fc45fff,0xffd8006f,0xffffff12,0x3ffa00df,
    0xfffea885,0xfffff50f,0xffffffff,0x2e1fffff,0xffffffff,0xffffffff,
    0xfffd10ff,0x00007fff,0x7ffec400,0x7fec4fff,0x3ffffa26,0x5cbffe61,
    0x99acffff,0xeeeffffa,0x00eeeeee,0xf897ffcc,0xfff51fff,0x7fffdc03,
    0x007fffff,0x905fff70,0xf8003fff,0xffff10ff,0x3a00dfff,0xffffffff,
    0x261fffff,0xffffffff,0xffffffff,0x3fffe66f,0xffffffff,0x4c7fffff,
    0x3ffffffd,0xc8800000,0x0cffffff,0xfd97ffe4,0x7fdc1fff,0x03fff90f,
    0x0007fffe,0xb8bffe60,0xfff56fff,0x7fffdc03,0x007fffff,0x557fffd0,
    0x09fff955,0x5577fcc0,0xfffffffb,0xffffd006,0xffffffff,0x99997105,
    0x999dfff9,0xcb981599,0xcccccccc,0x00accccc,0xffffffd5,0x91000005,
    0x3bffffff,0x377ffea0,0x7c41ffff,0x3ffea5ff,0x5ffffa81,0x3e600110,
    0x7fff42ff,0x201fffab,0x3f20fffb,0xffa8006f,0xffffffff,0x32007fff,
    0xffffffff,0x004ffcbf,0xfffffffd,0x00019fff,0x00009fff,0xffb80000,
    0x001effff,0xfffff700,0xffd003df,0x983fffff,0x3e23fffe,0xfc98beff,
    0x98bfffff,0x9805ffeb,0x7fcc2fff,0x01fffcff,0xfb83ffee,0x807b625f,
    0xfffffffd,0x2fffffff,0xfffffd00,0xdd37ffff,0x3bffa003,0x00abcccc,
    0x013ffe00,0x40000000,0xdffffffc,0xffd50001,0x4005ffff,0xbffffffa,
    0xffffca98,0x7fffec0e,0xffffffff,0xffffffff,0x2fff9807,0xffffffb8,
    0x3ffee01f,0xff506540,0x3fffe20b,0xffffffff,0xf9806fff,0xffccccef,
    0x209b303f,0x00005ffe,0x0009fff0,0x44000000,0xcffffffc,0xfffb3000,
    0x20007fff,0xfffffffe,0x0dffffff,0xffffffb0,0xffffffff,0x00bfffff,
    0x3a05fff3,0x01ffffff,0x2003ffee,0xff707ffc,0x3333337f,0x03fff933,
    0x7c44ffb8,0x3ffd03ff,0x000bffd0,0x013ffe00,0x00000000,0x3fffff66,
    0x3ff2203f,0x000cffff,0xffffff90,0xbfffffff,0xfffff900,0xffd7bd7d,
    0x2005bfff,0xf302fff9,0x403fffff,0xc800fffb,0xfffd07ff,0x13ffe200,
    0xf883ffb0,0x7fff03ff,0x000bffd0,0x013ffe00,0x00664400,0xffea8000,
    0x7dc1ffff,0x01dfffff,0x3ffff200,0xffffffec,0x5dcc002d,0x006ae602,
    0x9bfff930,0xffffc815,0xffdb981f,0xcccccccf,0x547ffecc,0x0acefffc,
    0xffffca88,0x7ffe542c,0xfffcb89c,0xffcccccd,0x3fff2a3f,0x002cccce,
    0x004fff80,0x007ff900,0xfffb8000,0xfff50fff,0x80005dff,0x4c2ffff8,
    0x000000ab,0x3fe60000,0x45ffffff,0x41fffff8,0xfffffff8,0xffffffff,
    0x3fee7fff,0x84ffffff,0xfffffffe,0xfffff50f,0xfffffdff,0xffffffff,
    0x3fffee7f,0x3fffffff,0x17fec000,0x4ffc8000,0xc8800000,0xff50ffff,
    0x400005ff,0x00003ffe,0x20000000,0xfffffffa,0xffffa86f,0x7ffffd41,
    0xffffffff,0x327fffff,0xffffffff,0xffffff85,0xfff92fff,0xffffffff,
    0xffffffff,0x3ff67fff,0xffffffff,0x74c0005f,0x9100000d,0x00000019,
    0x3b217644,0xb8800003,0x00000001,0xfec80000,0xb02dffff,0xfd903fff,
    0xffffffff,0xffffffff,0x7ffffecc,0xffea81df,0x3624efff,0xeabeffff,
    0xffffffff,0xb33fffff,0xffffffff,0x000003bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x026aeaa2,0x55753000,
    0x00000001,0x01557530,0x055d4c00,0x055c4000,0x00000000,0x00154400,
    0x00000000,0x00000000,0x009ab988,0xfffda800,0x01dfffff,0x3ffffa60,
    0x0debdfff,0xd88027e4,0x3ffee02e,0x4fceffff,0x7fffe440,0x2000dfff,
    0xeffffeca,0x7ffe401c,0x7fecc0ff,0xfd704fff,0x3aa1ffff,0xd81cffff,
    0x20dfffff,0x3effffd9,0x7fffffdc,0xffffffff,0xfffffb53,0x7fecc1bf,
    0x221dffff,0xfc9ffffd,0x004fffff,0x3ffffee0,0x2fffffff,0xfffffc80,
    0xffffffff,0x237ffe62,0xe8adeedb,0xfff987ff,0xffffffff,0xfff500ff,
    0xffffffff,0xffff9007,0x1bffffff,0xffffff50,0xfffffc81,0xffff884f,
    0xfffd9fff,0x2a0fffff,0x3fffffff,0x3ffffff6,0x3fffee0f,0xffffffff,
    0xffffd3ff,0x7f47ffff,0x5fffffff,0x3fffffee,0xffffffff,0xffb8000e,
    0xffffffff,0x3f600fff,0xffffffff,0x264fffff,0xffffffff,0x7fffffff,
    0x7fffff44,0xffffffff,0xfffffb82,0xffffffff,0x3ffff604,0xffffffff,
    0xfffff886,0x7fffdc0f,0xfffd04ff,0xffffffff,0x4c9fffff,0x1fffffff,
    0x3fffffee,0x7ffffdc7,0xffffffff,0xfffffb3f,0x7fdc3fff,0x23ffffff,
    0xfffffffa,0xffffffff,0xded88004,0xfeb999ac,0xfff503ff,0xd95335bf,
    0xfb89ffff,0xffffffff,0x541fffff,0x99acefff,0x42ffffca,0xaceffff9,
    0xffffeca9,0xcffffd81,0xfffda99a,0xffdb985f,0xffcb980f,0xfd95104f,
    0x5bffffff,0xd985ffb3,0x7cc6ffff,0x5c0bffff,0xcccccfff,0x10effffe,
    0x57ffff95,0x7dfffb50,0xffffb303,0xff9335bf,0x000001ff,0x2213ffe2,
    0x6402ffff,0xffc84fff,0xffffefff,0xfffc81ff,0x83ffe201,0x405ffff8,
    0x7d46fffc,0x3ea01eff,0xff501fff,0x4fff801f,0xfffffb80,0x2e01982f,
    0xf98effff,0xf501ffff,0xffff30ff,0x3fff201d,0x0bfff202,0x07ffff50,
    0x000bffee,0x35595530,0xff70bffd,0xfff1009f,0x3bfff705,0x40ffff54,
    0x1acffffa,0x7fcc1c98,0xfffb006f,0x00fffec7,0xa81fffdc,0x7fc00fff,
    0xfffb804f,0x2a0000ef,0xffffffff,0x3fe201ef,0x77fffcc4,0x1bffe200,
    0x4037ffc4,0x2202fffa,0x70003fff,0xffffffff,0xff90bfff,0x077dc00f,
    0x5407fff4,0xff883fff,0xdeffffff,0xdfff700b,0xdddddddd,0x7c9fffdd,
    0xff1004ff,0x3ffea0bf,0x027ffc00,0x0027ffdc,0xfffff980,0x83000eff,
    0x00effff9,0xc82fffc8,0xfa802fff,0x3fe200ff,0x7f4c003f,0xffffffff,
    0xffe85fff,0x3fe00006,0x17ffe05f,0x7fffffcc,0xd82fffff,0xffffffff,
    0xffffffff,0x05fff36f,0xa83ffe40,0x7fc00fff,0xfffb804f,0x3e600000,
    0x0006ffff,0x037fffea,0x237ffc40,0x5006fff8,0x7c401fff,0x3a2003ff,
    0xffffffff,0xf85fffff,0x100005ff,0x7f407fff,0x7ff5c06f,0xdfffffff,
    0x3fffff60,0xffffffff,0xff57ffff,0x7fd4003f,0x0fffa80f,0x4027ffc0,
    0x0000fffb,0xfffffb10,0xff50007f,0xfb000bff,0x7ffe45ff,0x1fff5003,
    0x01fffc40,0x7dffffd0,0xfff55313,0x00dffb0b,0x837ff400,0x2004fff8,
    0xfffedca9,0x3bfff22f,0xeeeeeeee,0xf15eeeee,0x7e4007ff,0x1fff506f,
    0x804fff80,0x0000fffb,0xfffffe88,0x2a005fff,0x0005ffff,0x3e2dfff3,
    0x3ea007ff,0x3fe200ff,0xfff1003f,0x5ffe801f,0x000fffb8,0x05fff900,
    0xf905fff9,0xdfff3009,0x002fffd4,0x0077ff40,0xa827ffcc,0x7fc01fff,
    0xfffb804f,0x7f4c0000,0xfffcafff,0x7fd400df,0x007505ff,0xff95fffb,
    0x7fd4007f,0x3ffe200f,0x7fff5003,0x2fffe440,0x0077ffd4,0x7d40dfb8,
    0xfebadfff,0x7fc40fff,0xfffd802f,0x09ffff10,0x3fee0440,0x3fa600df,
    0xfff502ff,0x3fffaa07,0x0fffb804,0x3ffe6000,0x3ffee1ff,0xfff500ef,
    0x0ffea0bf,0xffdfff30,0xffa800ff,0x3ffe200f,0xdfff3003,0xffb53137,
    0xd839dfff,0x119cffff,0x5fffd753,0x7fffff44,0x5fffffff,0x577fffcc,
    0xffdca889,0x7fffd46f,0xb9988ace,0x3a23fffd,0x889bffff,0x06ffffc9,
    0x22bbffe2,0xfffffea9,0x7665442e,0xcccccfff,0x3fee201b,0xffd83fff,
    0x3ea0bfff,0xccccffff,0x806ffecc,0x3ffffffd,0xfffb7100,0xfff7305b,
    0x3ffa005d,0xffffffff,0x3fffffff,0x3fffffa2,0xffffffff,0x3fffa1ff,
    0xffffffff,0x3fe64fff,0xffffffff,0xd83fffff,0xffffffff,0x6fffffff,
    0x7fffff44,0x5fffffff,0xfffffe80,0xffffffff,0x3fffa3ff,0xffffffff,
    0xfff02fff,0x6c7fffff,0x5fffffff,0x3ffffffa,0xffffffff,0xffff9806,
    0xffb000ff,0x447fffff,0x3fffffff,0xfffff880,0xffffffff,0x7c44ffff,
    0xffffffff,0x2a3fffff,0xfffcffff,0xffffceff,0xffffff10,0xffffffff,
    0x7fffe409,0xffffffff,0xffe883ff,0xffffffff,0xffff3004,0xffffffff,
    0x7ffc9fff,0xffffffff,0xf883ffff,0x3fffffff,0x3ffffff6,0x3ffffa6f,
    0xffffffff,0xffb006ff,0x7fc009ff,0x25ffffff,0xfffffff8,0xfff91004,
    0xfd5bffff,0x2e01bfff,0xfffffffe,0x7fc40cff,0xb82aa61f,0x6efdc6ff,
    0xffffffff,0xffd9800c,0xefffffff,0x7fedc01c,0x003dffff,0x7fffff4c,
    0xdffffadf,0x3ffff6a1,0xffffffff,0xfffd700d,0x7ecc1bff,0x3a2dffff,
    0xffffffff,0x06ffffff,0x01ffff30,0x7fffed40,0x7ff5c1df,0x44000dff,
    0x000aacba,0xaccaa980,0x005cc01a,0xa8801750,0x0009abca,0x9abca988,
    0x2ee60001,0xca880001,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x220dd400,0x000001ba,0x00000000,0x40066cc0,
    0x00062008,0x17300151,0x000d5440,0xa98001b8,0x0051000a,0x33333333,
    0x33333333,0x00cc4033,0x643dddd3,0x32a24eee,0xcccccccc,0x1ccccccc,
    0x5ffffec4,0xfb8efffe,0x2a03efff,0x02effffe,0x37fffff2,0x207f7001,
    0xffb006e9,0x205ff005,0x3fe004fd,0x1bfee01f,0x3bffffae,0x03bea001,
    0x7ffffd40,0x7f6dc40d,0xfffd880f,0xffffffff,0xffffffff,0x7ffff441,
    0x0ffff884,0xff97fff2,0xffffffff,0xffffffff,0x3fffee5f,0xffffffff,
    0x3fffffff,0xfffffff0,0x3fffea0f,0xfc804fff,0x05ffa82f,0xb009fff0,
    0xbff507ff,0xffff9801,0x47fffb81,0xffddfffb,0xdfff3005,0xdbdff700,
    0xfffe89ff,0xfffc80ff,0xffffffff,0xffffffff,0x3fffe61f,0xfff86fff,
    0x8a7ffdc7,0xffffffff,0xffffffff,0x3fe66fff,0xffffffff,0xffffffff,
    0xffffb07f,0x3fe20dff,0x203fffff,0xfb84ffd8,0xfff000ef,0x13ffa009,
    0xb003bfee,0x7dc3ffff,0x56cc4fff,0x1007fe60,0x809ffffd,0x07fdc5ff,
    0x01ff9795,0xfffffff5,0xffffffff,0x743fffff,0xfffedfff,0x2637ff44,
    0x3ff22fff,0xffffffff,0xefffffff,0x7fffe4c2,0xfffff99d,0x81fffc9b,
    0x0aefffb8,0x3ee65997,0x3a202fff,0xeffc84ff,0xfff83500,0x3a206a24,
    0x7fdc0dff,0x3ffa201f,0xffffb9ff,0x0bfe6004,0xffffffd0,0x2206e407,
    0x1ff502ff,0x33332e60,0xcccccccc,0x71fffdcc,0x7fd41dff,0x117ff60f,
    0x00003fff,0x2fffd400,0xf98bfffa,0x3ffa02ff,0x89bffe26,0x3e604fff,
    0x7fec45ff,0x9fffb00e,0xfb7bfff5,0xffd105ff,0x2fffc81d,0x3ffffa20,
    0xa804ffff,0x200effdc,0xfffffffd,0x3f62002f,0x01ff500f,0x3fea0000,
    0xb07ff91f,0x27fe45ff,0x00007ffc,0x3fff5000,0x7cc6ffd8,0x3ff202ff,
    0x3ffff70f,0x540bffea,0x7f445fff,0x3ffe00ff,0xffffffff,0xd104ffff,
    0xffc83fff,0x3ffa204f,0xd004ffff,0x5c05ffff,0xffc9ffff,0xfe8801ff,
    0x03fea03f,0x7fd40000,0x903ffb1f,0x1ffdc5ff,0x00003ff4,0x07ffea00,
    0xff98dffb,0x3ffea02f,0x29ffffd2,0xfc80fffc,0x7ffcc5ff,0x7ffdc01f,
    0xffffffff,0x3a201eff,0x7fe42fff,0x3ffa205f,0x2e2005ff,0xfa81fffd,
    0x3ff62fff,0x3fea00ef,0x07fd403f,0xffa80000,0xf09ff91f,0x17fcc3ff,
    0x36e637ec,0xeeeeeeee,0xbdeeeeee,0x41fffa80,0x7fcc6ffd,0x3ffe202f,
    0x7fffff9c,0xff50fffd,0x7ffc43ff,0xfd71004f,0xbfffffff,0xfffb1005,
    0x7fffdc1d,0xfffff701,0xff30003f,0x3ffff88b,0x906fffe8,0xf5003dff,
    0x2000001f,0xff31fffa,0xfffb319f,0xfc81ff88,0x7fffffc5,0xffffffff,
    0xa85fffff,0x7fec1fff,0x017ffcc6,0x3ff3bffa,0xfffbffff,0x3ffff505,
    0x027fff44,0x3ffffea0,0xffd1000f,0xefffb89f,0xfffff700,0xb0003fff,
    0x5fffd8ff,0x47ffff10,0x000dffe8,0x00001ff5,0xc87ffea0,0xffffffff,
    0x5f306d82,0x7fffffc4,0xffffffff,0xa86fffff,0x7fec1fff,0x017ffcc6,
    0x3ffffff2,0xfffffffe,0x3fffa603,0x027ffec1,0xfffffe88,0xffe8804f,
    0x2fffdc2f,0xd9ffff70,0x7903ffff,0xbff75135,0x4c06ffe8,0xfff54fff,
    0x4175555d,0xabffcaa8,0x7d400001,0x3ff621ff,0x0003ffff,0x3ffff6a0,
    0xffffffff,0xa81dffff,0x7fec1fff,0x017ffcc6,0x3fffffea,0xffffffcb,
    0x7ffec401,0x027ffdc1,0x7ff7ffec,0x3fa202ff,0x7ffdc1ef,0x3fffee03,
    0x3ffffd14,0x7fffffc4,0x77540fff,0x90ef9800,0xffffffff,0x7ffff47f,
    0x0004ffff,0x541ffe20,0x0001ceec,0x40000000,0x7ec1fffa,0x17ffcc6f,
    0x3ffffe20,0xfffff98f,0x3ffee007,0x027ff4c1,0xf51ffff3,0x3fa20dff,
    0x77fe40df,0x3fffe601,0x37fff444,0x3bbffb26,0x7000000b,0xdddddddd,
    0x7776d47d,0x0001ceee,0x0001f640,0x00000000,0xcfffd980,0x42ffff61,
    0x401dfff9,0x3a5ffffe,0x4005ffff,0x6c40fff9,0xfff903ff,0x40fffe43,
    0xffa83ffd,0x7ffcc00d,0x0dffd104,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffff9,0x2bffffb1,0x02fffff9,0xb8bffff2,0x8003ffff,
    0xdf703fd8,0x3a0ffe60,0x203dd06f,0x3f2003fb,0x001dc803,0x00000000,
    0x00000000,0x00000000,0x2e000000,0x2fffffff,0x26fffffb,0x203fffff,
    0x7c47fffa,0x20001fff,0x31004401,0x000000c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32200000,0x364efffe,0xff32dfff,0x7c401bff,
    0xfffc84ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01aa8800,0x00355310,0x007dddd1,
    0x80000000,0x42c980bb,0xddddddca,0xdddddddd,0x1cdddddd,0x3ffffff2,
    0xffffffff,0x33332e62,0xcccccccc,0xcccccccc,0x0000000b,0x00000000,
    0x00000000,0xfffeb800,0xfff501ef,0x5403dfff,0xda80ffff,0x7d4003ef,
    0x1fd1000d,0x3fe13fee,0xfffff11f,0xffffffff,0xffffffff,0x3ff21fff,
    0xffffffff,0xff12ffff,0xffffffff,0xffffffff,0x00ffffff,0x00000000,
    0x00000000,0xc8000000,0xffffefff,0xeeeffe83,0x3ff205ff,0xffffc84f,
    0x24e980ef,0x5400eff9,0xdff90fff,0xf32fff88,0xffffffff,0xffffffff,
    0x1fffffff,0x3ffffff2,0xffffffff,0xffffff32,0xffffffff,0xffffffff,
    0x000001ff,0x00000000,0x00000000,0x33fee000,0x207ff661,0xf00ff981,
    0xffc81fff,0x21ffffff,0x3ea2fff9,0xfff701ff,0x6417f4c3,0x7776dc5f,
    0xeeeeeeee,0xeeeeeeee,0x2aaa62de,0xaaaaaaaa,0x3fb20aaa,0xffffffff,
    0xffffffff,0x0003efff,0x00000000,0x00000000,0x3fa00000,0x309ff105,
    0x5ffbddb9,0xa87fff30,0xfffdffff,0xffffaaff,0x21fffcc1,0x0000effc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80bfe200,
    0x7ffec6fc,0xb82fffff,0x7fec0fff,0xffffd13f,0x220bffff,0xbff50ffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e000000,
    0xd9bf603f,0xfbaabeff,0x83ffd82f,0x7ec42ffa,0x805fffff,0x000f665b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ffe8000,
    0xff14ffa8,0xf05ff307,0x700440df,0x0009ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xecbefff8,0x5f7f46ff,
    0x3efffeca,0x0000bfea,0x00000551,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xdffffffe,0x7ffffcc0,0x91ffffff,
    0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66ee5400,0x5e764c01,0x3261aaa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_41_latin1_x[224]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
8,2,2,2,1,2,2,2,3,2,2,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,2,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,3,1,2,0,
9,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_41_latin1_y[224]={ 30,6,8,5,4,7,9,7,6,6,7,9,25,18,
25,4,6,6,6,6,7,7,6,7,6,6,13,14,9,14,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,37,5,13,7,13,7,13,7,13,7,7,
7,7,7,13,13,13,13,13,13,13,8,13,13,13,13,13,13,7,7,7,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,30,14,5,8,10,8,
7,6,7,8,6,14,17,18,8,2,3,4,6,6,5,13,7,16,28,6,6,14,6,6,6,14,0,0,0,2,
1,-1,8,8,0,0,0,1,0,0,0,1,8,2,0,0,0,2,1,12,6,0,0,0,1,0,8,7,5,5,
6,7,7,5,13,13,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,9,12,5,5,6,7,5,7,7,
 };
static unsigned short stb__courier_bold_41_latin1_w[224]={ 0,7,13,18,17,17,17,6,9,9,17,20,8,16,
6,17,17,17,18,18,17,18,17,17,17,17,6,9,22,22,22,16,16,24,21,20,20,21,21,21,22,17,22,22,
20,24,23,22,19,22,23,18,20,22,24,24,22,22,18,9,16,9,17,26,8,20,22,19,22,19,19,21,22,18,
14,20,18,24,21,20,22,22,20,18,20,21,22,23,22,22,16,10,4,11,18,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,18,22,
4,20,12,23,14,20,22,16,23,26,12,20,11,12,8,21,18,6,8,11,13,20,22,26,22,17,24,24,24,24,
24,24,24,20,21,21,21,21,17,17,17,17,22,23,22,22,22,22,22,16,22,22,22,22,22,22,19,20,20,20,
20,20,20,20,24,19,19,19,19,19,18,18,18,18,19,21,20,20,20,20,20,20,21,21,21,21,21,22,22,22,
 };
static unsigned short stb__courier_bold_41_latin1_h[224]={ 0,25,11,29,31,24,22,12,30,30,16,21,11,4,
6,31,25,24,24,25,23,24,25,24,25,25,18,20,21,11,21,23,28,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,29,31,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,18,17,17,17,25,17,29,29,29,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,24,27,22,18,22,
29,28,5,23,11,16,13,4,23,4,12,26,13,14,7,25,27,6,9,13,11,16,24,24,24,24,30,30,30,28,
29,31,22,29,30,30,30,29,30,30,30,29,22,28,31,31,31,29,30,15,27,31,31,31,30,30,22,24,26,26,
25,24,24,26,18,24,26,26,25,24,25,25,24,23,24,23,26,26,25,24,24,21,21,26,26,25,24,33,31,31,
 };
static unsigned short stb__courier_bold_41_latin1_s[224]={ 255,180,218,149,127,193,69,247,71,194,71,
117,79,165,248,237,80,22,211,161,21,230,170,47,121,152,249,244,159,232,182,
39,239,47,1,56,85,25,150,98,172,195,120,46,64,154,1,41,97,89,126,
162,227,181,110,202,179,23,135,103,85,93,140,138,107,1,1,22,24,80,204,
231,224,143,70,20,1,1,227,100,98,188,143,61,77,121,204,26,164,129,187,
113,168,81,88,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,255,106,112,
106,42,213,251,43,125,155,64,50,182,165,198,182,205,86,158,127,116,209,152,
248,247,170,50,89,40,84,152,175,151,226,46,64,124,102,72,195,204,24,129,
173,176,47,111,1,87,19,145,168,191,216,1,110,129,214,1,24,88,65,236,
1,192,43,40,65,111,1,227,132,213,233,20,211,1,61,136,179,86,222,171,
22,188,231,63,138,205,64,107,139,114,1,47,24, };
static unsigned short stb__courier_bold_41_latin1_t[224]={ 1,155,344,65,1,181,279,231,65,33,344,
302,361,361,286,1,155,181,155,155,231,155,128,206,155,128,155,206,302,344,302,
231,65,302,279,231,255,302,255,231,255,255,231,279,255,279,302,255,302,98,255,
231,279,231,279,279,279,279,279,65,1,65,344,361,361,325,206,325,206,325,231,
128,231,231,1,255,255,344,325,325,155,155,325,325,231,325,325,344,325,128,325,
65,65,65,361,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,1,206,98,
255,325,255,33,98,361,206,361,344,344,361,206,361,344,128,344,344,361,128,98,
279,244,344,361,344,181,181,181,181,33,33,65,98,65,1,302,65,33,65,33,
65,33,33,33,98,279,98,1,1,1,65,67,344,98,1,35,33,33,33,255,
181,98,128,155,206,181,128,302,181,98,98,155,180,155,155,206,206,206,206,98,
128,128,180,181,302,302,128,128,155,206,1,1,1, };
static unsigned short stb__courier_bold_41_latin1_a[224]={ 348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_41_latin1(stb_fontchar font[STB_FONT_courier_bold_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_41_latin1_s[i] + stb__courier_bold_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_41_latin1_t[i] + stb__courier_bold_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_41_latin1_x[i];
            font[i].y0 = stb__courier_bold_41_latin1_y[i];
            font[i].x1 = stb__courier_bold_41_latin1_x[i] + stb__courier_bold_41_latin1_w[i];
            font[i].y1 = stb__courier_bold_41_latin1_y[i] + stb__courier_bold_41_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_41_latin1_s[i] + stb__courier_bold_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_41_latin1_t[i] + stb__courier_bold_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_41_latin1_x[i] + stb__courier_bold_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_41_latin1_y[i] + stb__courier_bold_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_41_latin1_LINE_SPACING
#endif

