// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_26_latin1_BITMAP_HEIGHT        178
#define STB_FONT_times_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_26_latin1_FIRST_CHAR            32
#define STB_FONT_times_26_latin1_NUM_CHARS            224

#define STB_FONT_times_26_latin1_LINE_SPACING          17

static unsigned int stb__times_26_latin1_pixels[]={
    0x00006000,0x0004c400,0x20c0004a,0xdf300402,0x00e5c001,0xccccb980,
    0x0018302c,0x20002ca8,0xa80002cb,0x3220003c,0x9910000c,0x3ffffc00,
    0x37bdb730,0x260c8800,0x038804fc,0xaabcc980,0x56200bcc,0x5f9000ba,
    0x005cc162,0xf98003f9,0x7ffd4005,0x3fa0190f,0xf8005fb2,0xff30000e,
    0xfe80001f,0x3ff20000,0x0bf20004,0x7e4027c0,0x007f930b,0x9f93036a,
    0x20076200,0x32200bd8,0x01e8b100,0x70b11fb8,0x0005d007,0xffa801ea,
    0x20190fff,0x003f91fd,0xd0000fcc,0x40009d15,0x260001f9,0x0001fa8e,
    0x027c0136,0x3ee01fd1,0xf3034c05,0x2034c009,0x032001e9,0x00097162,
    0x9801f0b1,0x015c0003,0x0fffffe8,0x40000019,0x0aa0002b,0x0ae00039,
    0x24c19000,0x200b1000,0x00ff204f,0x0fa207fb,0x64004f98,0x0001d304,
    0x7dc58819,0x2a2c4000,0x0000000f,0xffff1003,0x000321ff,0x40001800,
    0x06000100,0x00040000,0x827c0020,0x7cc00ff9,0x200fb80f,0x7cc004f9,
    0x30002e81,0x0fe45885,0x3f916200,0x5c4cccb8,0x36e602cc,0x7fc01bde,
    0x4190ffff,0x65c4cccb,0x3b6e602c,0x5cc001bd,0x2a01bded,0xa82ccccc,
    0x9951cccc,0x99505999,0x3332a399,0xccca82cc,0x7ec13e1c,0x84ff8805,
    0x9a7cc05f,0x237c00cc,0x3997105b,0x22c448d9,0x8e4c00fd,0x2217dc58,
    0x409d06fd,0x7f710afc,0x7ffffec0,0x37ec4190,0x2bf204e8,0x2007f710,
    0x7f710afc,0x00f7fc40,0xff883dd1,0x07ba201e,0x4403dff1,0xe827c1ee,
    0x8bff004f,0x67cc03fa,0x203ffffa,0x740be0fd,0x88917f22,0xf9103f45,
    0x7f51625f,0x03e0ff10,0x5f9807f4,0x1ffffd10,0x20ff1032,0x201fd00f,
    0x07f405f9,0x3f605f98,0xfb04d805,0x3609b00b,0xf84d805f,0x2007ff04,
    0x01fe47fd,0x7e453be6,0x2a3f901f,0x7dc5d80f,0xb8b10642,0xb12fc806,
    0x5f900f98,0x07f904a8,0xd9103fc8,0x320321ff,0xfc82542f,0xc81fe403,
    0x81fe403f,0x03c804fc,0x079009f9,0x0f2013f2,0x0ffe213e,0x3f63fe40,
    0x6c2fcc02,0x327f704f,0x7ec0fc86,0x3e2042c0,0x5897e400,0x8df102dc,
    0x00ffa81d,0x6400ffcc,0x8df10190,0x00ffa81d,0x3ea0ffcc,0x0ffcc00f,
    0x1e4027e4,0x3c804fc8,0x79009f90,0x13fa09f0,0x3fa37ec0,0x5427cc01,
    0x36bf706f,0x37c1fcc4,0x01b88024,0x552c4bee,0x1a25f900,0xfe802fe4,
    0x0190c804,0xc8344bf2,0x89fd005f,0x9fd005fc,0x79009f90,0x32013f20,
    0x9009f903,0x3f609f07,0xf8bfb005,0x427cc01f,0x2df506f9,0x7cc3e42e,
    0x3a001cc3,0x5625f701,0x2df1004c,0x009fd02c,0x432017f6,0x32df100c,
    0x2009fd02,0x027f45fd,0x4fc85fd8,0x9f903c80,0x3f207900,0x4f83c804,
    0x3e00df70,0x200ff42f,0x05f884f9,0xbd076bf7,0x01c83fd0,0x7dc01730,
    0x0064cb12,0xff0357ec,0x01ff6007,0xfb006432,0x01ffc0d5,0x1ffc7fd8,
    0xfc87fd80,0xf903c804,0x32079009,0xf83c804f,0x805ff104,0x02fc86fa,
    0x27d427cc,0x44774fb8,0x263f5c4f,0x00f98504,0x545897dc,0x04ff9806,
    0x32007ff1,0x190c807f,0x8827fcc0,0xff9003ff,0xc801ffc4,0x804fc87f,
    0x009f903c,0x013f2079,0x9813e0f2,0x40ff406f,0x2fcc03fb,0x3fc807e4,
    0x372fc4b3,0x5882c4bd,0x97dc0364,0x400fcc58,0x13fe01fd,0x64037ec0,
    0x1fd80190,0x6c013fe0,0x8027fc6f,0x04fc86fd,0x09f903c8,0x13f20790,
    0x013e0f20,0x07f609f5,0x3e6027cc,0xd813e20f,0xddfd1e0f,0x83727f63,
    0x00fd1624,0xf51625f7,0xe80d5007,0x09fd005f,0x50032190,0x005fe80d,
    0x05fe89fd,0x9f909fd0,0x3f205900,0xf902c804,0x9f059009,0x979db100,
    0x06e8019d,0x7e6777cc,0x87627c03,0x2ee20ab8,0xd8b10dc0,0x897dc00f,
    0x64017dc5,0x8037e402,0x90c802ff,0x6402c801,0x85ff006f,0x5ff006fc,
    0x3900bf70,0x32017ee0,0x900bf701,0x4c009f03,0xf3004fff,0x19a7cc01,
    0x2d41fa80,0x588b1000,0x3ee00fe4,0x01fc8b11,0x7f440344,0x802fd402,
    0x3440190c,0x2017f440,0x2fe885fa,0xfa82fd40,0xf500e806,0x2a01d00d,
    0xf80e806f,0x7ff44004,0x4c079003,0x826c004f,0x0d88003c,0x201ee2c4,
    0xfa8b10fb,0x00590880,0x1fd01bea,0x20643200,0x2a005908,0x807f406f,
    0x07f406fa,0x2e01fe88,0x807fa205,0x07fa205b,0x009f05b8,0x400bfee0,
    0x009f300e,0x00f202cc,0x45880d98,0x226c804c,0x7fc41e85,0x2fd4005f,
    0x9000f6c4,0xfff88321,0x42fd4005,0x7d401ed8,0x401ed885,0x75c40ef9,
    0x2077cc00,0x7cc00eb8,0x8075c40e,0x800199df,0x64401ceb,0x5005fa80,
    0x37b5001b,0x4402f660,0x3f203625,0x542c45b2,0x000bfe84,0xedbced88,
    0x190c8004,0x8000bfe8,0x4edbced8,0x2f3b6200,0x3a6004ed,0x00ceecef,
    0xdd9dfd30,0x3fa60019,0x200ceece,0x0004cccc,0x82a00aa2,0x200cffeb,
    0xca880029,0x400bdccd,0x75405558,0x502c41df,0x22000003,0x0000000a,
    0x01510000,0x000a8800,0x0002a620,0x0000a988,0x00002a62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc4000,0x00cc886f,0x40003322,
    0x171bdeb9,0x4400264c,0x002cb800,0x00079500,0x2600165c,0x32e002bb,
    0x442e2002,0x0cc8800b,0x0c399100,0x01991000,0x01545500,0x02873220,
    0x3a0550d4,0xa803fa86,0x67dc003f,0x1ffdb88a,0x2e000fec,0x005f9801,
    0x0001fd00,0x4003ffe6,0x2200f64a,0x9fec006f,0xffd803fd,0xbffbb004,
    0x7dc00093,0x8ff88003,0x36000ff8,0x2049cffd,0x20ff37f9,0x2005d86e,
    0x0fee006c,0x04e81fb8,0x1f500340,0x01f98000,0x13a2b600,0x00fb0ec0,
    0xda8001d5,0xe9803b51,0x31800fb8,0x40005ffb,0x9360004d,0xd98c005d,
    0xb26c01ff,0x0161ba09,0x3ee00360,0x5882d805,0x70012600,0x02b80005,
    0x0390aa00,0x401cc5f0,0x0000000d,0x10009312,0x02c40001,0x40000000,
    0x74000008,0x08000446,0x4007fc40,0x64001029,0x00018001,0x4020000c,
    0x001fe800,0xdb98000c,0x08001bde,0x80333322,0x801cccca,0x99950008,
    0x99950599,0x76dcc039,0x332201bd,0x6e80bccc,0x17999991,0x33333326,
    0x541ccccc,0x6442007f,0x880bcccc,0x2c001feb,0x00058000,0xff9800b0,
    0xccccc981,0x01cccccc,0x7dc42bf2,0x99999103,0x05ffa817,0x99706f44,
    0x99707999,0x77fc4399,0x807ba201,0x7f710afc,0x203ffc80,0x81ffe46e,
    0xaaaaaffc,0x02fe43fb,0x207ff900,0x02ffa9dd,0x80001f50,0x540000fa,
    0x3f62000f,0x55ff902f,0x207f7555,0x0bf300fe,0xf501ffe4,0xa83d809f,
    0x3ee02fff,0x805fd80e,0x403fa04d,0x3fe605f9,0xff31ba00,0x981bea01,
    0x00027f44,0x4f701ff3,0xfd006fad,0x4fe80009,0x027f4000,0x07ff5488,
    0x424c0df5,0x1fe403fc,0x2600ff98,0x0b202fff,0xd7017fd4,0x2013f201,
    0x807f903c,0x0ff103fc,0x03fc46e8,0x22380df3,0x220003ff,0xb15f887f,
    0x3fe600ee,0x3fe60007,0x3fe60007,0x7cc1b007,0x2037cc1f,0x2007fd43,
    0x7f881ff9,0x0ffe6cc0,0x1bf602c8,0x13f201e8,0x3fea0f20,0x40ffcc00,
    0x237407f8,0x1be607f8,0x0009ff00,0x9fcc3fc4,0x7564002a,0xd590002f,
    0x2b20005f,0x987802fe,0x0037cc4f,0x7f4017f2,0x4c07f884,0x5901dfb5,
    0x5c1ffc40,0x4027e404,0x005fc83c,0x0ff109fd,0x03fc46e8,0x20260df3,
    0x220006fe,0x0b2fb87f,0x0df77880,0x1beef100,0x37dde200,0x1ae0be20,
    0x20260df3,0xbfb004fe,0x5980ff10,0x0590bfd1,0x3a20ffa8,0x4027e400,
    0x004fe83c,0x0ff10bfb,0x03fc46e8,0x20360df3,0x220007fc,0x48bfa87f,
    0xff8a5c00,0xf8a5c001,0x8a5c001f,0x0ff401ff,0x20df3126,0x003ff80d,
    0x0ff10ffb,0x13fe6598,0x4bfb0059,0x04fc802d,0x03ff83c8,0xff10ffb0,
    0x3fc46e80,0x9999ff30,0x7ff101fd,0x7f885100,0x541bff88,0x5fc83a00,
    0xbf907400,0x3f20e800,0x70ffd405,0xcccff983,0x7fc40fec,0x10ff9003,
    0x545980ff,0x200b22ff,0x005abff8,0x879009f9,0xf9003ff8,0xe80ff10f,
    0xf303fc46,0x1f75333f,0x8807fee0,0xff07f884,0x16a0288f,0x2a001ff3,
    0x8007fcc5,0x007fcc5a,0x20aabfee,0xba999ff9,0x004ff80f,0x0ff10dfb,
    0x1ffb8598,0x3fee0059,0x09f9000e,0x09ff0790,0x3e21bf60,0x3e237407,
    0x5c1be607,0x02bfea00,0x0ff10191,0x1b33bfea,0x07fb03b0,0x0ff60760,
    0x1fec0ec0,0x9827fd40,0xfd01706f,0x213fa00b,0x82cc07f8,0x002c8ffd,
    0xfc800ffa,0xfe82c804,0x109fd005,0x446e80ff,0x41be607f,0x7fecc008,
    0xf100bdde,0x6fffec0f,0x3bbbe601,0x9806feee,0xfeeeeeef,0xeeef9806,
    0x3006feee,0x0df303ff,0x01bf2022,0x3fc417fc,0xefe81660,0x0ff6002c,
    0xc805fb80,0xf006fc81,0x80ff105f,0x303fc46e,0x2e0000df,0x07f8800b,
    0x16400456,0x2c805ff0,0x5900bfe0,0x98017fc0,0x006f984f,0x2a017f44,
    0x80ff105f,0x3ffe2059,0x00ff6002,0x0e806fa8,0x5402fe88,0x80ff105f,
    0x303fc46e,0xd00700df,0x0ff1003f,0x068800ea,0x0d102fdc,0x1a205fb8,
    0x3a20bf70,0x1be616e1,0x80df50e0,0x0ff100fe,0x7fcc0598,0x00ff6002,
    0x2e01fe88,0xd01bea05,0x01fe601f,0x207f98dd,0x016406fa,0x7cc017c4,
    0x64001b07,0x80ffc404,0x0ffc404c,0x7fc404c8,0x0ae2f881,0x05901bea,
    0x3db10bf5,0x2a03fcc0,0x002fb807,0xf3000ff6,0x00eb881d,0x76c42fd4,
    0x303fea01,0xffa8dd33,0x5c0ff500,0x00fc8807,0x2c40ffa8,0xf005f300,
    0x005f30df,0x05f30dff,0x4f20dff0,0x40ff5059,0x33b6207b,0xfa804edb,
    0xdffc880f,0xd0016402,0xfd3000bf,0x0019dd9d,0x3b6f3b62,0x3fff2204,
    0xcccc88be,0x7dfff913,0x3fffee61,0x04fffeee,0xfc8802a8,0x0310beff,
    0x413bfae0,0x72efffd9,0x36609dfd,0xfd72efff,0x3ff6609d,0x81b882ef,
    0xeeffffb9,0x1004fffe,0xff910015,0x000017df,0xfffb5001,0x5310003b,
    0x0a880001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1cc80000,0x0398e600,0x0000a880,
    0x002e2171,0x00c39910,0x00620090,0x00000010,0x01880040,0x20009800,
    0x05060018,0x4060dc40,0x77000ff9,0x09f902c8,0x0037fdc0,0x00bfa5ff,
    0x000ead98,0x09fb3fd8,0x9dffdc80,0xcdfb8804,0x004fc981,0x805b8b22,
    0x20cdedb9,0x803fd00d,0xdf105cda,0x0b773ee0,0xd7100720,0xf9801d8f,
    0x20299cff,0x839003fa,0x401f600d,0x003e99e8,0x0036e1b7,0x000750d8,
    0x007aa3b5,0x0bff2630,0xf93b5b70,0x004fc98b,0xc802ddc8,0x333ee22f,
    0xb007fa03,0x43fc40dc,0x007ea1fa,0x8ff3300d,0xfb32804a,0x05b801df,
    0x440781d0,0x221b801e,0x0000000d,0x00007257,0x00880000,0x1aa58fc4,
    0xb30013ea,0x0fe880dd,0x1880ff50,0x20190c80,0x7c47d809,0xe8012604,
    0x44080687,0x2009000a,0x1c402cc6,0xc9808040,0xcccccccc,0x5f9001cc,
    0x000b0000,0x87e40160,0x13e61625,0x4f88cb80,0xf980ff20,0x4400403f,
    0x6f8003ed,0x007207f8,0x001d87e8,0x59800000,0x930001d4,0x99999999,
    0x5ff90399,0x07f75555,0x00003ea0,0xa80001f5,0xb3fc800f,0x004f9828,
    0x3e60fea0,0xff5d100f,0x0000a203,0x446f8098,0xd001a05f,0x7100950f,
    0x5c4017bb,0x66540bdd,0xcdeccced,0x0dee5441,0xaaaaffc8,0x6fa83fba,
    0x7f401260,0x27f40004,0x013fa000,0x2016bfe6,0x05bb54f9,0x0ff665c4,
    0xd1e817f6,0x1006609f,0x2e037b95,0x3ee37c41,0x5c409301,0x0d07e9cd,
    0x3df71e98,0x3bee3d30,0x26b66621,0x22099e99,0x501fd33f,0x4c24c0df,
    0x4c01c06f,0x260007ff,0x260007ff,0xffb007ff,0xf99f300f,0x7d509fff,
    0xfe8dff31,0x2fec7904,0x4fe200d8,0x42b80fe9,0x03fd36f8,0x13e980e4,
    0x40720ffd,0x237c42e8,0x837c42e8,0x0fc8340e,0x1be60ff2,0x00df3070,
    0x05fd5900,0x0bfab200,0x17f56400,0x00effc80,0x7e44bbe6,0xf30be21f,
    0x5c1ffc1f,0x25c3fe44,0x3fc83f20,0x8b7c43c8,0x20d01eea,0x83fc43f8,
    0xb01f904a,0x6c07e43f,0x1663441f,0x20fea2dc,0xf98006f9,0xf1001306,
    0x22001bee,0x1000df77,0xa801beef,0x9f302fff,0x83ec9fb0,0x87ff12ff,
    0x447fc869,0x2a2dc01f,0x7c44d83f,0x260ff446,0xfd01f904,0x707e8340,
    0xfb83f47f,0x00ea24c3,0x2613fae2,0x2601306f,0x7001b06f,0x0007fe29,
    0x007fe297,0x07fe2970,0x82ffdd80,0x26fb84f9,0x749fb07f,0x3603a25f,
    0x2003745f,0x5e84feb8,0x1fe437c4,0xe83fc072,0xff107207,0x3fc5bea0,
    0xddd76fa8,0x3ddddddd,0x4fa9dc88,0x01b06f98,0x33333fe6,0x20e800fe,
    0x074005fc,0x0e800bf9,0x758017f2,0x309f30ff,0x5c1fe2df,0x1e9bf66f,
    0x27dc9fd0,0xfa9dc880,0x37c45f84,0x441a37d4,0x540fd06f,0xf981ff84,
    0x3e607fe5,0x3335b315,0x7441333d,0x3e613ea3,0x0feccccf,0x5333ff30,
    0x45a801f7,0xb5000ff9,0x5000ff98,0x000ff98b,0x3e617ecb,0xff15f984,
    0x7dc9f501,0x3fe02d8f,0x1d707f62,0x89f51f44,0x437c46f8,0x441266f8,
    0x680fd07f,0x3f983fc8,0x0fe60ff2,0x1ba0681d,0x3ff309f5,0x201f7533,
    0x801706f9,0x003fd81d,0x007fb03b,0x40ff6076,0x985f52c3,0x3e3fb84f,
    0x743fb81f,0x17ea04df,0x22fb83fd,0x2227d46e,0xf837c47f,0x1ff80724,
    0x20e407e8,0x20fb85fa,0x20fb85fa,0xf882cc68,0x7cc27d47,0x3e601706,
    0x7cc01106,0x6feeeeee,0xeeeef980,0xf9806fee,0x6feeeeee,0x0f72c3b0,
    0x41fb09f3,0x40fd85fc,0x077407f9,0x21f10fee,0x227d47f8,0x5be20ff9,
    0x0343f32b,0x03fa17f6,0x22fe84a8,0x22fe82e8,0x2a24c2e8,0x3273fa03,
    0x3e61aefd,0x3e601106,0x40590006,0x016402ff,0x02c805ff,0x43760bfe,
    0xdf307d15,0x7f40fd41,0x3a60be22,0x81ed885f,0xd12a0ef8,0x5dfb939f,
    0xf983fea3,0x4a9aebf6,0x44f7fc40,0x1a01bffc,0x01766fec,0x705d9bfb,
    0x3a602c87,0x42ff8aff,0xf98006f9,0x03443806,0x068817ee,0x0d102fdc,
    0xfea85fb8,0x2a01cced,0x101edcfe,0x105d9bfb,0xb7bf911d,0xdeb8809d,
    0xaffe982b,0x32f42ff8,0x373aadfd,0x3a600720,0x0cfeafff,0x00980720,
    0x40980260,0x80408009,0x543806f9,0x3216406f,0x80ffc404,0x0ffc404c,
    0x7fc404c8,0x001b3101,0x988004c4,0x054c0c00,0x04080000,0x01404000,
    0x10018660,0x00000003,0xfa800000,0x3ea16406,0x5f31ee07,0xf30dff00,
    0x30dff005,0x0dff005f,0x00000048,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03fd4000,0x7ffdccf7,0x4fffeeef,0x4c13bfae,0xd72efffd,
    0x3f6609df,0xdfd72eff,0x3fff6609,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dcc0000,0xffeeefff,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x7f4001ff,0x36020c03,0x00441104,0xdb100ff5,
    0x01ee4c07,0x01d980dc,0x03b300c8,0x5cc00550,0xf50001cd,0x09fb001d,
    0xa803dd98,0x02dda804,0x9701ee98,0x5401ca81,0x75d400ee,0x00fe602d,
    0x7d404f88,0x7fccbf55,0x6f9b7cc0,0x3200fdc0,0x9d880fee,0x416602fa,
    0x25401fa8,0x4401fa88,0x4cfea006,0x0fd8000f,0xf980bf00,0x074407d1,
    0x13a23720,0x360dfbd0,0x2017dc0f,0x1d105fde,0x6a80ff22,0x2a016e00,
    0x7d49f34f,0xf8b7c40f,0x2204c806,0x1d00990d,0x3f100740,0xf1007440,
    0x2001d803,0x40026c6f,0x01d3001f,0xd81b25d8,0xf307d402,0x17452a05,
    0x0bee07ec,0x705d14b8,0x6407f889,0x04009000,0x020ff302,0x20e04800,
    0x4079101b,0x00fc403b,0x01f88059,0x5f98012a,0x0aa001f4,0x5f800b80,
    0x012a03ee,0x20dd0df1,0x40fd8383,0x907102fb,0x05fb0fd0,0x00000000,
    0x00000ff1,0xfeb80000,0xf8805983,0xf100b501,0x8003a203,0x003e67f9,
    0x22000000,0xd10bea5f,0xfb07f700,0x07ec0005,0x20000bee,0x64fec0fc,
    0x1332a2cc,0x00dee544,0x3e02f726,0x17bb7106,0x805ee4c0,0x801bdca8,
    0x8801e86d,0x800e881f,0x005b01f8,0x2ea9ff88,0x5eedc400,0x95166640,
    0x7e4bf099,0x7e400ec0,0xb884fc82,0x0fd80bdd,0x333217dc,0x021332a2,
    0x22fdc3fa,0x33f887fa,0x276e01fd,0x42f43fc8,0x03df71e9,0x87f913b7,
    0x01fd33f8,0x801dc4a8,0x002c81f8,0x009503f1,0xd837ff60,0x1e982eff,
    0x5fb83df7,0xb3643fd4,0xfd004b8b,0xe98bf703,0xfd83df71,0x7dc17dc0,
    0x5403fd45,0x3e17e62f,0x3f20fc87,0x3f40f983,0x885d1136,0x3a07cc6f,
    0x7f907e47,0x20d99c98,0x0be20068,0x17c400b3,0x220003a2,0x05f81ffd,
    0x46f885d1,0x887f85f9,0x1a21eabe,0xfa80ff80,0xdf10ba26,0x17dc1fd8,
    0x03fc2fcc,0x217e6274,0x7d45b87f,0x9999dd83,0xf90f62fd,0x6ec3fb01,
    0x22fd9999,0x221fd45b,0x981d80ba,0xd0555445,0x220e6d41,0x20b20aaa,
    0x36fea059,0xc807c46f,0x261fd80f,0x2a07f85f,0x165c1d82,0x3ea03fe2,
    0x3f603f26,0x5fb07f61,0x7f85f986,0x2fcc34c0,0x3ae203fc,0xaaadf84f,
    0xd0b21aaa,0xdf8fee0f,0x01aaaaaa,0x4009fd71,0x007e884a,0x7ed65c79,
    0xe8859800,0x3e65f707,0x7e80ee4f,0x2fcc7f70,0x0ee003fc,0xff89b19b,
    0x1fa4fa80,0x3bfb1fdc,0x4337f993,0x407f85f9,0xf85f980c,0xf53b9107,
    0x2e009f09,0x7d41fe21,0xc88013e6,0x1004fa9d,0x201ef60d,0x05f11459,
    0x0f7b01d0,0x9ffc8bf3,0x41fe2058,0x217e66fa,0x51a2007f,0xfe87e61f,
    0xff13fb81,0xfdd9bea0,0x45ff88ef,0x407f85f9,0xff0bf304,0x27d47d10,
    0x4098037c,0x25f981ff,0x47d1006f,0x03b004fa,0x1d00f539,0x32007c40,
    0xc87a9c82,0x6f7fc42f,0x4c0ffc01,0x3e17e65f,0xf903a007,0x03fb1fc4,
    0x40ffc5f9,0x0263a5f9,0x3e17e602,0x7c40a207,0x46e87f85,0x01fe84fa,
    0x983fc807,0x1c07fa3f,0x804fa8dd,0x0f52b84a,0x01dc03b8,0x3d4ae166,
    0x7fcc1ffc,0x983fc805,0x3e17e23f,0xfb077007,0x07f52fc4,0x41fe41fb,
    0x0007e3f9,0x40ff0bf1,0xf11fe008,0x7d47f88f,0x643ffc84,0x217ea020,
    0x0fff20fb,0xf51fe219,0x4c0e8809,0x80cfdccf,0x40254068,0x6e67cc0e,
    0x41bfa0cf,0x514c5ffe,0xf81f70bf,0x4c03fc47,0x3e61f905,0x0fe22f42,
    0x21f70bf5,0x7f8003f9,0x80203fc4,0xffbb9bfe,0x3273fa1a,0x3e21aefd,
    0x224ecfff,0x222fe86f,0x7fffc42e,0x4e7f44ec,0x901aefdc,0xf9555105,
    0x5403b015,0x441dc023,0x20afcaaa,0xea8adffa,0x5cbeffbb,0x0ba22fe8,
    0x3eee6ffa,0x403a01af,0x981f72fa,0x7f41721f,0x4fa8ba22,0xb9bfe800,
    0xff81affb,0x27fff300,0x3fa60bff,0x882ff8af,0x7c45fffd,0x5d9bfb07,
    0x17fff620,0x3e2bffa6,0x200b502f,0x5c09707a,0x6985dcce,0x3ae0f500,
    0x3ea0dfff,0xbfb01eff,0x3fe605d9,0x2017ff3f,0x6c6ec02c,0x19b9d304,
    0x1766fec0,0x26000be6,0x17ff3fff,0x4c00ff88,0x00810060,0x01100988,
    0x13100098,0x2e004080,0x0e051000,0x1aaaaa88,0x051000a8,0x004c0198,
    0x41300098,0xa801c401,0x4000800c,0x20000009,0x01100609,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c030aa,0x181101ce,0x266664c0,0x200e6540,0x001bddb9,
    0x99999997,0x80599505,0x2003ddc9,0x001bddb9,0x82202f5c,0x09fb0008,
    0x22b37b22,0x05e64c04,0x81100030,0x02cccccb,0xb8859999,0x26019933,
    0xd03ccccc,0x20715dff,0x81fffdfb,0x405fd1fe,0x205ffffe,0x6d400be9,
    0x8076e60b,0xfffffff8,0xfb87aa3f,0xbd52e980,0x260bda80,0xdf8801db,
    0x26df303f,0x20bf006f,0xfea89cf9,0x36436a05,0xa801bf22,0xfff982fd,
    0x70ff6200,0xffff59fd,0x80ffec07,0x05fff718,0x42fec491,0x203fb1fd,
    0x00aaaada,0x075003f7,0x2fae0390,0x20fbaaaa,0x3f84e83e,0x03a81fd4,
    0xa96c01c8,0xf16f880e,0x6c0d500d,0xf105e885,0xf730fd45,0x3fa6200d,
    0x900ff902,0x453bea0b,0xdf701ffc,0x180d4040,0x80007f98,0x07f5000e,
    0xb9db3770,0x0d82c839,0x417ccd70,0x740fd47c,0x7931dc0f,0x40b2d9b9,
    0x0081c419,0x3e601700,0x3ee0b302,0x037c40c1,0x7c40bf20,0x9807401f,
    0x504fd85f,0x000000bf,0xea80009f,0x805f8801,0x7d43f249,0x7d0042c4,
    0x22f42fcc,0x4c5f907c,0x4f503724,0x00000005,0x5817ee00,0xf1001f90,
    0x02fc800d,0x059817f2,0x1bea13e6,0x2a202fd4,0x22001bdc,0xbdca880e,
    0x09fffd01,0x0dc00ff4,0x507ec1f7,0xf03e2005,0x3e0f549f,0x2e4fb80f,
    0x43601f51,0x17b9302a,0x32a2ccc8,0x2f72604c,0x406ffcc0,0x2001fb01,
    0x17e4006f,0x3601ff30,0x2613e602,0x40bf506f,0x01fd33f8,0x4fe20760,
    0x76440fe9,0x7cc0efff,0x8b017b56,0x911f60fb,0x3e61ae00,0xff80dadf,
    0xf964fb81,0xb8488205,0x5c3fc89d,0xb83fd45f,0x643fc89d,0xfb002fff,
    0xc89be003,0x17e40ccc,0x1e213fa0,0xbf109f30,0xfc817ea0,0xa880ff20,
    0x07e40dfe,0xffb807f9,0x54df7dc6,0x3ee2c3fe,0x0582eb98,0x3fe607d0,
    0x909fb00f,0x04f8ac7f,0xe81f3160,0x3fc2fcc7,0x21fa07cc,0x701efffc,
    0x0199bfd9,0x40bee37c,0x3fd402fc,0x13e6025c,0x2fd413ea,0x03fa8b70,
    0x83bff2a2,0x401fd45b,0x0bf63fe9,0x2e244ff1,0x01606ecf,0x76c403e2,
    0x2ff981ff,0x9a447fa6,0xbb16004f,0x45fb3333,0xd87f85f9,0x2fd9999d,
    0x84fffe98,0x0aacfdaa,0x00e99be0,0x3fa00bf2,0x3e600742,0xf500fc85,
    0x3fae200b,0x05fd1004,0x4013fae2,0x207fa5f9,0x1f7162fd,0x201607f3,
    0xd15d106b,0xdfb303ff,0xf158ff79,0x37e2c00b,0x21aaaaaa,0xf87f85f9,
    0x1aaaaaad,0x417ffee0,0x2df002fc,0x17e400da,0x0b337dc0,0x7c41ff30,
    0x1017ea04,0x009f53b9,0x372227d4,0x3e004fa9,0x3ee07fa6,0x70fb8325,
    0xe803983f,0x5fd89d03,0x22fdc220,0x3001fb0c,0xf3004f87,0x09f0ff0b,
    0x17fec400,0xef800fdc,0x05f9006b,0x0b63ff10,0x333bbe60,0x02fd403f,
    0x027d47d1,0x1f447f10,0x2e4009f5,0x49f505fb,0x6e83ee2a,0x03e200dc,
    0x1fd10be6,0x2a85fd00,0x21701bf1,0x98037c1b,0x6f87f85f,0x3f600a80,
    0xf000fb84,0xf9007fdd,0x237f2005,0x269f3006,0x40bf5001,0x0027d46e,
    0x7d46e83e,0xfb8fa004,0x46c1fa83,0xbf10cfe9,0x0d700b31,0x07ee07ee,
    0x43605f50,0x24cacfd8,0x701fe859,0x43fc2fc4,0x0ea701fe,0x06a85fa8,
    0x3ff1df03,0x3002fc80,0x260079ff,0x3fa8004f,0x4fa8ff10,0x7f89aa00,
    0x6a8027d4,0x436437c4,0x209999d8,0x7b005a98,0x1aa0fe20,0x6c407f30,
    0x0b306620,0x8190fff2,0x643fc47f,0x6a8643ff,0xfdb8fee0,0x3e1220ae,
    0x6401df56,0x3ff6002f,0x009f3000,0x80bea171,0xefdc9cfe,0xe987321a,
    0x6e4e7f41,0x17fb1aef,0x7f301d71,0x1d8817c4,0x7c4016a0,0x0b61b600,
    0xd8803f98,0xf8816a01,0xe84ecfff,0xaffbb9bf,0x33fffe21,0x103bea4e,
    0xfdd9c4df,0x7c42feef,0xfc81bee6,0x017ea002,0xfa805fa8,0xfe980b95,
    0x6c2ff8af,0x980deeff,0x2ff8affe,0x013bffea,0x805d79b5,0xddbbddb8,
    0x201ae002,0x882cbcfc,0x22001bba,0x2ddbbddb,0x5fffd880,0x3e7fff30,
    0x7fec40bf,0x77ee545f,0x3620cfec,0x09fff52c,0x05fe8ff1,0x2e8007f9,
    0x19ffd700,0x066ffc40,0x26004080,0x20081000,0x00440009,0x30001980,
    0x3004c003,0x06600001,0x4004c400,0x26200609,0x04d44080,0xb5018088,
    0xffb139ff,0x1f7fdc5d,0x00000300,0x00000130,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb9800000,
    0x2001bded,0x0059bddb,0x2e37bd73,0xb8999970,0x999912cc,0x66665401,
    0x00800181,0x17bdb730,0xcccca871,0xcccca82c,0x20599501,0x913cccca,
    0xca859999,0x880804cc,0x30bccccc,0x99999999,0x664c3999,0xcccccccc,
    0x33333264,0x33332e23,0x9999931c,0xafc80039,0x9807f710,0x07fd88ce,
    0x5c4567dc,0xdfb11ffd,0x3fea13a0,0x106f4405,0xfc800df9,0x4273ea02,
    0xf883ffa8,0x3ba201ef,0xff31fa81,0x2ffcc3ff,0x4407ff62,0x3f32204f,
    0x03ffc82e,0x55555ff9,0x5dfb07f7,0xb0fd7555,0x3fea03ff,0x02ffd884,
    0xf300fe80,0x3e0be20b,0xb80fee07,0x7c1fe21f,0x809ff500,0x037dcc3d,
    0x7cc07ea0,0x6c13e204,0xb04d805f,0xfb02fd8d,0x203ff30b,0x21d100f8,
    0x7fcc0ff8,0x4c0df500,0x1a05fb84,0x3ff01bee,0x2001fea0,0x1fe403fc,
    0x707e83e4,0xc85b00bf,0xf302542f,0x416405ff,0x200006f8,0x04b804f9,
    0x079009f9,0x04fa89f3,0x0ffa0ff5,0x98d90254,0x2607f883,0x7d41c06f,
    0x1bea0a05,0x3e603ff0,0x07fd4007,0xdf07fe60,0x3fe21fa0,0x7c429800,
    0x9b300ec6,0x20b203ff,0x100006f8,0x412003ff,0x83c804fc,0x027cc6fa,
    0x0df705ff,0x006d80b6,0x37cc0ff1,0x002fd400,0x3ff01bea,0x9001be60,
    0x93fa00bf,0x50fd05f8,0x640400ff,0x5980d12f,0x05901dfb,0x20000df1,
    0xc80006fa,0xf03c804f,0x900fdc1f,0x01ff70bf,0x1006f80d,0x837cc0ff,
    0x50bf5009,0xf01bea01,0x01be603f,0x36009fd0,0x741fe25f,0x0005fc87,
    0x402cb7c4,0x90bfd159,0x322df105,0xb072602d,0xf900009f,0x26079009,
    0x404e98cf,0x3fee87f9,0xffcc8254,0x1fe202cc,0x01b06f98,0x403617ea,
    0x0ffc06fa,0x7c006f98,0x8ffb003f,0xe87e82ff,0xfd80004f,0x2659806a,
    0x441644ff,0x2ffcd9ef,0x3e17fe44,0x2aaa203f,0x027e41aa,0x595901e4,
    0xd117f400,0x501d8df5,0x40355df5,0x3fe607f8,0x00fecccc,0xfd999ff5,
    0x2abbea01,0x1ffaaaaa,0x4400df30,0xff9003ff,0x3fc45fe8,0x0000ffe2,
    0x26013fe6,0x5917fd45,0x7cc7ff10,0x7c45f906,0x7fec404f,0xc804fc82,
    0x20005b03,0x3e2ee5fb,0xdf00d11f,0x981fe200,0xfba999ff,0x555df500,
    0x3fea01f7,0xfccccccc,0x00df301f,0xfb004ff8,0xbbfff98d,0x04ff87ec,
    0x003fb000,0x23ff70b3,0xf86f882c,0xff85f906,0x907fb805,0x3079009f,
    0x159999df,0x1d0ff880,0x402553f6,0x0ff1006f,0x00b837cc,0x20170bf5,
    0x0ffc06fa,0x74006f98,0x09fd005f,0x1fa9fff5,0x40001bfa,0x20b3006a,
    0x882c8ffd,0xf707e86f,0xa807fe85,0x009f906f,0x3fff6059,0x7403ffff,
    0x5bea59af,0x006f801d,0x37cc0ff1,0x0bf50088,0x2037d403,0x0df301ff,
    0xf006fc80,0xfd04c05f,0x0000ff90,0x02cc00b2,0xf1059dfd,0x3ee0fd0d,
    0x200ffdc2,0x0bf706fa,0x4c320390,0x5c07ca99,0x57fc2cdf,0x200df006,
    0x1be607f8,0x0017ea00,0x1ff80df5,0x4100df30,0x7d402fe8,0x443f4005,
    0x028803ff,0x02cc00d1,0xf105fff1,0x3ee0fd0d,0x5405fe82,0x00df506f,
    0x5807901d,0x207ffc40,0xdf004ffc,0x981fe200,0x7d43806f,0x037d4005,
    0x37cc07fe,0x01bea1c0,0x7e8001fd,0x4403ff70,0x002c8444,0x5ff30166,
    0x0fd0df10,0x3fea0bee,0x441bea03,0x216e01fe,0x00aa04f8,0x3fe617f6,
    0x200df001,0x1bea07f9,0x06fb8590,0x3e037d40,0x80ff501f,0x885fa81c,
    0xff8001ed,0x815ff500,0x3ffe20c8,0x403d4005,0x86f882fb,0x205f707e,
    0xdf702fe9,0x22077cc0,0xbdfd00eb,0x200bd957,0x00df02fa,0x7d401be2,
    0x40ff500f,0x007fc87b,0xff103fe4,0x107fee05,0x76c40f93,0x8004edbc,
    0x301dffc9,0x17bbdffb,0x20017fd0,0x402dffc8,0xe86f882c,0x403fc80f,
    0xfecbdfec,0x77f4c00b,0x2200ceec,0x01defeca,0x03c81e20,0xc880ff30,
    0x730befff,0xfdddffff,0x7fe4c9ff,0x7e4c03df,0x3ae23dff,0xf931beff,
    0xffffffff,0x02a2009f,0x22000000,0x00000009,0xffb50200,0x3bff9339,
    0x801f7fdc,0x880009a9,0x000000a9,0x00220180,0x02b7ffae,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002c000,0x33326264,0x333263cc,
    0xcccc984c,0x400aabcc,0xbcccccc9,0x2e0000aa,0xcccccccc,0x66543ccc,
    0x3322003c,0xcdb880cc,0x3f616a01,0x666664c4,0x9300aabc,0x13579999,
    0x9932ff80,0x01357999,0x10213b60,0x20306e20,0xcccccccc,0xfa801ccc,
    0x1bea0000,0x7cc0ffec,0x3ff6202f,0x2efdcaac,0x2b3ff620,0x002efdca,
    0x55dfdf30,0x3a0db555,0xff7001ff,0x2e5d5019,0x837f544f,0xaefd886e,
    0x103feb99,0xffb77ffb,0xb10fe603,0x9ff957ff,0x0fef5c01,0x30bf65fb,
    0x0533bfff,0x55557bf1,0x3a00bff5,0xfd10004f,0x641bee0d,0x06fb800e,
    0x7dc05ff5,0x005ff506,0x40bf7d30,0x00bff705,0x3e607ffa,0xf310ffc2,
    0x2e03e20d,0x20dfb06f,0x17fd46fb,0x46fb8264,0x1d106fe8,0xf91fd972,
    0xdffb3283,0x7dc0b101,0x7ff9800f,0x0df5b000,0x03ae1bea,0xf1037d40,
    0x81bea07f,0x64003ff8,0x40a05faa,0x5400ffda,0x0fd80ffd,0x037c064c,
    0x20df5073,0x6fa81ff9,0x20485fd8,0x0ffb86fa,0x810d40a8,0x80544080,
    0x05ff3029,0x00bfab20,0x541be970,0x00075c6f,0xffb80df5,0x5c06fa80,
    0x2d1000ff,0xca8005fa,0x7cf404fc,0x4005f80f,0x6fa8006f,0x3ea13fa0,
    0x000ffb86,0x3fe21bea,0x00000003,0x27f40220,0x0df77880,0x20df3440,
    0x003ae6fa,0xff00df50,0xf00df505,0x54b2005f,0x6540705f,0x2d300ff9,
    0x037c40ff,0x0e4c1be0,0x5ff037d4,0xff90df50,0xfa81c981,0x200ffb86,
    0x039301c9,0x0f6e2971,0x001df900,0x00ffc52e,0x541be1e8,0x0001d96f,
    0x9fd00df5,0xfd00df50,0x7d4d1009,0x52a04985,0x3e5b04fd,0x007fc40f,
    0xffc88df0,0xf906fa82,0x3a1bea0f,0x0bff226f,0x17fa1bea,0x2217fe44,
    0x7f542ffc,0x02ffde9d,0x4003ff30,0x2017f20e,0xfa837c3c,0x54001fce,
    0xccccffdc,0x7d437e41,0x806fc806,0x333bea2c,0x52a04fdc,0xf34c0ff9,
    0x105ff01f,0x3f20df05,0xbabffa82,0xf500cfec,0x40ffe44d,0x16fa82fc,
    0xf9007fb3,0x260bf205,0x01be63ff,0xa8013fa2,0x3007fcc5,0x3ea0df0b,
    0x2001ffee,0x999efb98,0x543fe409,0x07fc806f,0x27bea34c,0x2a04da99,
    0x4790ffa4,0x0efc80ff,0xf906f824,0x755df505,0x2a019fdb,0x0defecff,
    0xff505f90,0x2001ffdd,0x05f902fc,0x00ff0bf1,0x1d800dfb,0x1d103fd8,
    0x3bea0df0,0x4001ffe8,0x6fd806fa,0xfd806fa8,0x77776c06,0x204885fe,
    0x789bea4a,0x7fc407fc,0xdf02fccf,0x3ea0bee0,0x505ff906,0x2fb800df,
    0x7fd16fa8,0x5c0bee00,0xe85f882f,0x00ffd407,0xdddddf30,0x3bf20dfd,
    0x5effeeee,0xffe8b7d4,0x01bea001,0x1bea13fa,0x59817fa0,0x40305fa8,
    0x3c97f44a,0xfe8807fc,0x41be02ef,0x06fa82fb,0x1bea1bf6,0xf505f700,
    0x400ffccd,0x05f702fb,0x40fd0bf1,0x64003ff8,0x2e0bfe02,0xffeeeeee,
    0xd137d45e,0x3ea003ff,0x40ffcc06,0x7fcc06fa,0x3ea07a02,0x5c4a8005,
    0x7fc0f8ef,0x7c02cc00,0xf505f706,0x20ffd40d,0x7dc006fa,0x7dc6fa82,
    0x702fb806,0xd0bf105f,0x202fec0f,0x3ee03440,0xa837c005,0x0fff446f,
    0x3a037d40,0x80df505f,0x416a05fe,0x205c05fa,0x84dff84a,0x1fe400ff,
    0x17dc1be0,0xff7037d4,0x4006fa81,0x86fa82fb,0x17dc04fe,0x5f882fb8,
    0x1ff707e8,0x01321c40,0x7c003ff1,0xd10df506,0x6fa805ff,0x5403ff20,
    0x03bf206f,0x0bf701e8,0x5c25c2c4,0x01ff80ff,0x83fc06d8,0x06fa82fb,
    0x1bea1bfe,0xf505f700,0x407ff10d,0x05f702fb,0x30fd0bf1,0x22c805ff,
    0x6ff802f9,0x7e41be00,0x07fff107,0x7f4c37dc,0x21bee00c,0x3e404fe9,
    0x3a60df90,0x5f886c83,0x4c02ff88,0x41fe202f,0x46fb83fc,0xb80efda8,
    0x1fe4007f,0xffa83fdc,0x3207f902,0xe86f983f,0x102ff40f,0x3bfae3f7,
    0xdfffb304,0xc98df005,0x3223dfff,0x264effff,0xeefffffc,0x3f2601bd,
    0xbceeefff,0x37ff6201,0x3ffff261,0x20fffeee,0x642dffc9,0x3bffae21,
    0x200a980b,0x2e2dffdb,0xff933eff,0x7bffdfff,0x7bfff930,0x27dff700,
    0x83dfffc9,0x3ee3effc,0x77fdc3ef,0x273ffaa3,0xf71dffc9,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99997000,0x99997079,0x33333263,0x3333222c,
    0x0bdb880c,0x224cccc8,0x99933ccc,0xcc880799,0xcccccccc,0x998482cc,
    0x99999999,0x00036e29,0x68003400,0x37b95100,0x00bdc980,0x880736e2,
    0x7100bddb,0x372a17b9,0x2acdb881,0xcca8b332,0x066665c4,0x3fea5997,
    0x03bee02f,0x203fff91,0xfff904fc,0x6fd887ff,0xffd83f88,0xabdf8801,
    0xfcbacffa,0x00142cc4,0xa8817fc5,0x801b0bdd,0x100d0006,0x403fa67f,
    0x83fc89db,0x309f72ea,0x307bee3d,0x2f7be27f,0x1d10efa8,0x8bf70fe6,
    0x0ffc87fa,0x17fd43e8,0x7e401d70,0x2207d02f,0x81ff931d,0x706987f8,
    0x216600df,0xd124c1fe,0x5140050b,0x267d1017,0x06801dfe,0x1f900d00,
    0x07cc1fe4,0xf85f31fa,0xf10ba21f,0x3f60fc8d,0x44ca7e46,0x7c2fcc3b,
    0x0d01ff07,0x01e81bf6,0x04c86fd8,0x20ffa02e,0xa81642fd,0xd053006f,
    0x3fa6703f,0x40050cce,0x4c2e8802,0x000d006f,0xf516e01a,0x3333bb07,
    0x207ec5fb,0x203f20c9,0xf716a1fd,0x2df73339,0x3e6141fd,0x7f707f85,
    0x7ff103a8,0x3a200970,0x0301aa4f,0x9be617ee,0x3bfea068,0x3a002dff,
    0xdf75081f,0x2800a155,0x7640fc80,0x0006801f,0xfeb8800d,0xaaaadf84,
    0x4017e1aa,0x407f707e,0xaaaacfea,0x019ff72a,0x41fe17e6,0x5006c6f8,
    0x007441ff,0x1d13ff30,0x40fe6000,0x540771fe,0x03bf666f,0xf1007fa0,
    0x0140050b,0x3eeee3f4,0x26666624,0x1099999e,0x33d33333,0xdc881333,
    0x04f84fa9,0xf8806f88,0xd70df507,0xf7005f75,0x0bf307ff,0x997ec0ff,
    0x365fd804,0xeefc8002,0x07ea0001,0x200ea7d4,0x27fc46fa,0x2200ff40,
    0x0a00285f,0x9a54ff10,0x33332e6f,0x2cccccfc,0x9f999995,0x74479999,
    0x1be13ea3,0x2003fe20,0x25f981ff,0x00fee4e8,0x2627fec4,0x2607f85f,
    0xf100395f,0x4000b57f,0x6c0005fe,0x0257fc04,0x1ff21bea,0xf1007fa0,
    0x0140050b,0xf12ccffc,0x2000d00b,0x7d46e806,0x4701fe84,0x322882ff,
    0x3a3f983f,0x9c17ea0f,0xf107fd42,0xfe80ff0b,0x3fee0059,0x3ee0000e,
    0x0d30002f,0xdfffdddb,0x6fa89ddd,0x7400ffc8,0x42fc401f,0x8088a002,
    0x1fcc5cfe,0x06800340,0x13ea3fc4,0x4190fff2,0x2a240efc,0xf10fb85f,
    0x541ff88d,0x40fc81b1,0x203fc47f,0x74002efa,0x3a60003f,0xd8000efc,
    0x806f8801,0x06fe86fa,0x7c401fe8,0x44a00285,0x07fd42ff,0x01a003ea,
    0x67f40340,0x21aefdc9,0x4ecffff8,0x7e67ffc4,0x3a22fe82,0xdd89ff42,
    0x3a5ebdff,0x5ff42644,0x01affbb9,0x3f6001fe,0x21d10003,0x1e4004fe,
    0xa806f880,0x017fdc6f,0x3e200ff4,0x4ca00285,0x17fc46ff,0x01a005d1,
    0x7f4c0340,0x882ff8af,0xd105fffd,0x7ec05dff,0xffa82ecd,0xbfff90df,
    0x6e5f7ec1,0xf3fff980,0x0264017f,0x8001fec0,0x00bfe62d,0xdddb025c,
    0x9ddddffd,0xfdbaefa8,0x03fd002f,0x00286f88,0x4ec6888a,0xb82ecdfc,
    0xccfccccc,0x03402ccc,0x98800810,0x20018800,0x30098009,0x00262101,
    0x11001826,0x007fb000,0x1ff90990,0x44004a80,0xcffa806f,0x7f4001ab,
    0x0aaff801,0x8e614005,0x98026219,0xaaaaaaaa,0x01401aaa,0x00000000,
    0x00000000,0x00000000,0x8007fb00,0x0bfd106b,0x10388254,0x0df700df,
    0x802ff800,0x800a2ffb,0x00003222,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e005fe8,0x0ffee01f,0x3bbbbbea,0x0ff301fe,0x0001ff90,
    0x0400ffe2,0x5555555c,0x0534aaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fed4000,0x3fae01df,0xffeb82df,0xffff52ef,0x2e0dffff,
    0xd982dffe,0x4003dfff,0x01cfffeb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x664b332e,0x4f32a4cc,
    0x00004838,0x88000046,0x0036a483,0x66665410,0x441ccc88,0xb87b914b,
    0x297100cd,0x3332e2da,0x5c44cccc,0x1007b714,0x00600c01,0x0f726006,
    0x41d98090,0x7b503dc9,0x40f26e01,0xfd880bba,0x7642fec5,0x00770b21,
    0x7d54eb80,0x20ec0001,0xad4ffa2c,0xe88bddc8,0xfb8ffea0,0x6cf7f541,
    0xfdbb4ffc,0xd5dfd50d,0x55566cdf,0x3faa4fea,0x02ffde9d,0x209b02f4,
    0x0bee00ea,0x02fa9d88,0x3ea207f7,0x227d4ec1,0x5c1ea9be,0x51e85f34,
    0x88bf301f,0x7c41d85f,0x22001741,0x75c40cec,0x22e4001c,0xd706546b,
    0x3dd7339f,0x80f4df70,0x3fe23ff8,0x260bf20c,0x424353ef,0x3ff986fb,
    0x4e861be6,0xea89b011,0x00064400,0x1d1d101d,0x20987e20,0x8b30ea6c,
    0x3cc7f509,0x03fa09f1,0xc82c41fd,0x2007ee0f,0xd5002ed9,0x41f7005b,
    0x0e9802fa,0x2ff60698,0x21be202c,0x41fd41fd,0xf30606f8,0xf0bf101f,
    0xbc8ef98f,0x2a9b07f9,0xb800000e,0x416a5904,0xd93201f8,0x4dd40e81,
    0x6e83ee3f,0x7fc47f50,0x37c40ae4,0x6f5403ba,0x7db30001,0x7cc9f301,
    0x5c059006,0x009ff102,0xa83f90df,0x006f884f,0x3e205fd1,0xeeb87e85,
    0x3602dfbc,0x999880ed,0x99999999,0x261fedc0,0x0fc40ec6,0x10ee0e88,
    0x47f15c8d,0x441322fa,0x59fe726f,0xbf727e40,0x000675c4,0x10cfc880,
    0x017f41ff,0x502c4068,0x90df00df,0x884fa83f,0x09fb006f,0x03f42fc4,
    0xf5003df7,0x33332e09,0x2ccccccc,0x4c1e8d90,0xd881f886,0x2d88f440,
    0x20bfaafc,0xfc803a5e,0x935f9589,0x3f61fe80,0x00077aa2,0x647f9100,
    0x2013ee3f,0xb0344068,0x86f807fb,0x427d41fc,0x6fb806f8,0x3f42fc40,
    0x77ddf7e4,0x09b1d502,0x72540000,0x3f10f209,0xd9860c88,0x8deb82ee,
    0x2b6e20de,0x95e7cc00,0x2a01cdf9,0x540fe62f,0x4c0002ee,0x46d80bec,
    0x01d800fc,0x745640ee,0x321be01f,0x4427d41f,0x07fcc06f,0xfd0bf102,
    0xd17b5f98,0x1ec1d50f,0x4e4c0080,0x201d10d9,0x98be20e8,0x001eeeee,
    0xfd000000,0x7406fe8d,0x6cc02ec4,0x36a000be,0x21f4402e,0x0254084e,
    0x7cc9501d,0xf90df00e,0xf884fa83,0x20bfa206,0x3f42fc43,0x2a049f04,
    0x5403d80e,0x02ea201f,0x51198033,0x2aaaa155,0x0000002a,0xf50fee00,
    0x1a62d407,0x019d9100,0x80073ae2,0xfb074469,0xb50e7cc5,0xfd81d30d,
    0xfd87f885,0x7c427d41,0x2213f607,0x7f437cc5,0x0c813a00,0x0d980320,
    0x00000000,0x00000000,0x00f83c40,0x80003616,0x7d911dea,0x30ea0001,
    0xae897ec9,0x5badedfc,0xfe98ffea,0x9ffb31df,0x27dff913,0xb50bffeb,
    0xffa83bff,0x25feeeee,0xc99cffea,0x00001dff,0x00000000,0x00000000,
    0x01800000,0x00000003,0x0002a9cc,0x41986000,0x00005409,0x00000000,
    0x00000000,0x8a00bdb8,0x08888880,0xddddddd1,0x362ddddd,0xdddddddd,
    0x000005dd,0x00000000,0x00000000,0x00000000,0xb12e4040,0x22221ec5,
    0x08888888,0x22222208,0x08888888,0x374c3be6,0xb0220880,0xa85bfb57,
    0xfff8df11,0x222226ff,0x08888888,0x26666666,0x00019999,0x00000000,
    0x00000000,0x00000000,0x83bee000,0x26bf50ff,0x3bbbae7f,0x5eeeeeee,
    0xeeeea8e6,0x4eeeeeee,0x83f507ee,0x7c5be25e,0x3f6a0a27,0x91fe25dd,
    0x00079999,0x00000000,0x00000000,0x00000000,0x00000000,0xd1ffe400,
    0x6f8a7d4f,0x1fd96000,0x702d8000,0xf887fc49,0x2004df16,0x000881a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,0x23f89b63,
    0xf160005f,0x03880007,0x00006a24,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb9064000,0x0013a1f8,0x261f7158,0xaaaaaaaa,
    0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0xc83a1d43,0x154e0002,0x2eeeeee6,0x002bbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0e14c054,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_26_latin1_x[224]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,1,0,1,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_26_latin1_y[224]={ 20,4,4,4,3,4,4,4,3,3,3,6,17,13,
17,3,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,24,4,9,3,9,3,9,3,9,3,3,
3,3,3,9,9,9,9,9,9,9,6,9,9,9,9,9,9,3,3,3,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,8,4,4,6,4,
3,4,4,4,4,9,9,13,4,2,4,6,4,4,4,9,4,10,19,4,4,9,4,4,4,8,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,3,4,4,4,4,4,4,7,8,4,4,4,4,4,3,4,
 };
static unsigned short stb__times_26_latin1_w[224]={ 0,4,8,12,10,19,18,4,8,7,10,13,4,7,
4,7,11,7,11,10,11,10,10,11,10,11,3,5,13,13,13,9,21,17,15,15,17,14,13,17,17,8,9,18,
14,21,18,17,13,17,16,11,14,17,17,22,17,17,14,6,7,6,11,13,5,11,12,10,12,10,11,12,12,6,
7,12,7,19,12,11,12,12,8,8,7,12,12,17,12,12,11,7,2,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,12,12,
2,9,8,18,8,12,13,7,18,13,8,13,7,6,5,12,12,4,4,5,8,12,17,17,18,9,17,17,17,17,
17,17,22,15,14,14,14,14,8,8,8,8,17,18,17,17,17,17,17,11,17,17,17,17,17,17,13,11,11,11,
11,11,11,11,15,10,10,10,10,10,6,6,7,7,11,12,11,11,11,11,11,13,12,12,12,12,12,12,12,12,
 };
static unsigned short stb__times_26_latin1_h[224]={ 0,17,7,17,19,17,17,7,23,23,11,13,7,3,
4,18,17,16,16,17,16,17,17,17,17,17,12,15,12,6,12,17,23,16,16,17,16,16,16,17,16,16,17,16,
16,16,17,17,16,21,16,17,16,17,17,17,16,16,16,21,18,21,9,2,5,12,18,12,18,12,17,17,17,17,
23,17,17,11,11,12,17,17,11,12,15,12,12,12,11,17,11,23,23,23,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,21,17,12,16,
23,21,4,17,8,12,6,3,17,2,8,13,9,9,5,17,22,4,6,9,7,12,17,17,17,18,21,21,21,20,
20,20,16,21,21,21,21,20,21,21,21,20,16,21,22,22,22,21,21,10,18,22,22,22,21,21,16,18,17,17,
17,17,17,18,12,16,17,17,17,17,16,16,16,16,18,16,17,17,17,17,17,10,13,17,17,17,17,22,23,22,
 };
static unsigned short stb__times_26_latin1_s[224]={ 255,37,100,231,85,176,132,95,1,23,157,
145,90,187,182,178,196,142,37,13,19,36,47,77,89,100,73,112,32,128,46,
246,31,1,157,32,68,193,208,100,222,184,243,31,240,109,61,1,173,237,194,
166,76,118,212,149,19,1,240,230,199,1,201,195,148,159,96,182,186,171,172,
136,80,93,64,191,204,103,144,193,230,19,123,221,91,230,243,1,90,48,132,
75,72,56,168,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,255,161,57,
178,77,49,53,122,159,112,236,60,109,187,58,209,227,131,219,194,142,220,114,
154,123,213,245,19,114,96,77,139,68,86,104,67,49,31,86,32,17,132,1,
16,48,8,165,247,50,174,96,140,158,229,147,168,121,212,176,194,211,193,62,
166,244,14,65,1,24,149,205,131,54,155,131,26,150,187,211,219,109,227,219,
151,208,207,42,180,118,1,163,233,142,83,10,127, };
static unsigned short stb__times_26_latin1_t[224]={ 1,69,169,47,47,69,69,169,1,1,157,
140,169,168,168,47,69,123,140,87,123,87,87,87,87,87,157,140,157,169,157,
69,1,123,123,105,123,105,105,105,105,105,87,123,105,123,105,105,123,1,123,
87,140,105,87,105,140,140,123,1,47,25,157,168,169,140,47,140,47,140,105,
105,105,105,1,87,87,157,157,140,87,105,157,140,140,140,140,157,157,105,157,
1,1,1,168,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,1,47,25,
87,157,140,1,25,169,87,157,157,169,168,87,168,157,140,157,157,169,69,1,
169,169,157,157,157,69,69,69,47,25,25,25,47,47,47,123,25,25,25,47,
47,25,25,25,25,123,25,1,1,1,25,25,157,47,1,1,1,25,25,140,
47,47,69,69,87,87,47,140,123,69,87,87,69,123,123,123,123,47,123,47,
69,69,47,69,157,140,69,69,69,87,1,1,1, };
static unsigned short stb__times_26_latin1_a[224]={ 94,125,153,188,188,313,292,68,
125,125,188,212,94,125,94,104,188,188,188,188,188,188,188,188,
188,188,104,104,212,212,212,167,346,271,251,251,271,229,209,271,
271,125,146,271,229,334,271,271,209,271,251,209,229,271,271,355,
271,271,229,125,104,125,176,188,125,167,188,167,188,167,125,188,
188,104,104,188,104,292,188,188,188,188,125,146,104,188,188,271,
188,188,167,180,75,180,203,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,94,125,188,188,188,188,75,188,
125,285,104,188,212,125,285,188,150,206,113,113,125,216,170,94,
125,113,116,188,282,282,282,167,271,271,271,271,271,271,334,251,
229,229,229,229,125,125,125,125,271,271,271,271,271,271,271,212,
271,271,271,271,271,271,209,188,167,167,167,167,167,167,251,167,
167,167,167,167,104,104,104,104,188,188,188,188,188,188,188,206,
188,188,188,188,188,188,188,188, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_26_latin1_BITMAP_HEIGHT or STB_FONT_times_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_26_latin1(stb_fontchar font[STB_FONT_times_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_26_latin1_BITMAP_HEIGHT][STB_FONT_times_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_26_latin1_s[i] + stb__times_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_26_latin1_t[i] + stb__times_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_26_latin1_x[i];
            font[i].y0 = stb__times_26_latin1_y[i];
            font[i].x1 = stb__times_26_latin1_x[i] + stb__times_26_latin1_w[i];
            font[i].y1 = stb__times_26_latin1_y[i] + stb__times_26_latin1_h[i];
            font[i].advance_int = (stb__times_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_26_latin1_s[i] + stb__times_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_26_latin1_t[i] + stb__times_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_26_latin1_x[i] + stb__times_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_26_latin1_y[i] + stb__times_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_26_latin1_LINE_SPACING
#endif

