// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_28_latin1_BITMAP_HEIGHT        200
#define STB_FONT_times_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_28_latin1_FIRST_CHAR            32
#define STB_FONT_times_28_latin1_NUM_CHARS            224

#define STB_FONT_times_28_latin1_LINE_SPACING          18

static unsigned int stb__times_28_latin1_pixels[]={
    0x001c40c0,0x00406620,0x00033100,0x00009980,0x4c0000cc,0x26000009,
    0x4cccc009,0x26666609,0x98009120,0x00000aba,0x44000131,0x02e00030,
    0x22000000,0x01ff6a1c,0x2207ff00,0xff88001c,0xff100001,0x7fdc0003,
    0x37dc0003,0x1ff88000,0x17777fc0,0x3c5fdddd,0x2b72201e,0x02ccb989,
    0x003ffa00,0x15c45710,0x440df700,0x02ceffec,0x07a20fec,0x4000ff71,
    0x03d804f9,0x0004f980,0x40005f70,0x000fecf8,0x0000fe40,0x3fc017d4,
    0xf1e2fb80,0xb801dc80,0xfbfa8003,0x403e2005,0x07d3005b,0xfc9833ee,
    0xe87ff104,0x000ff101,0x03d002dc,0x0000d500,0x790000f6,0x6c0002e4,
    0x03d80003,0x3ee00ff0,0x3620f1e2,0x001d4004,0x800f4c7a,0x003e205b,
    0x6407fb00,0x1ffc40ef,0x03fc40db,0x54001b00,0x00190006,0x40004880,
    0x0001b828,0x24000244,0x2e00ff00,0x3a0f1e2f,0x00750003,0x2009102a,
    0x00fe205f,0xd806fa80,0xf33ff84f,0x003fc407,0x00fe0000,0x00000000,
    0x00000000,0xf8000000,0x3c5f7007,0x0001721e,0x3000000b,0x02fcc0df,
    0x802ff880,0x97f41ffa,0x9fe200fd,0x55540bc9,0x2aaa20aa,0x8801fb01,
    0x02ceeeec,0x77776440,0x7644002c,0x2e02ceee,0x81ceeeed,0xb74eeedc,
    0x9039dddd,0x1fe9dddb,0x78f17dc0,0x995007cc,0x70643b53,0x039ddddb,
    0x889dddb9,0x013ea07f,0x01ff7154,0xfd8bff10,0x7c406f89,0x43dfffb7,
    0x540bffe9,0x07f500cf,0xf71067dc,0x833ee009,0xf7004fb8,0x027dc419,
    0x3a00bffa,0x02ffe81e,0x01fe1ee8,0x478f17dc,0x647d104c,0x7f41547e,
    0x01ee802f,0x0fee01ff,0x7ecbff70,0xb1bfe007,0x880bf71f,0xffc9bcff,
    0x4c0ffc46,0xd82fd407,0x03be603f,0x3e603fd8,0x80ff600e,0xff900ef9,
    0x7e417200,0x7f8b9007,0x23c5f700,0x26c07e27,0x909117ee,0x817200ff,
    0x00be606d,0x37f4bf91,0x641ffb00,0xf8809f97,0x217fd41f,0x404b83fc,
    0x06fa86f9,0xdf504fd8,0x2a09fb00,0x04fd806f,0x12e00ff7,0x4b803fdc,
    0x2fb803fc,0xc835491e,0x2617e40f,0x7007fb83,0x3a01f409,0x3e5fa803,
    0x3ff2005f,0x01fedae1,0x27f41fe2,0x01f03fe2,0x3e20ff88,0x1ff9802f,
    0x4c017fc4,0x17fc41ff,0x5c0ffcc0,0x2097007f,0x897007fb,0x45f7007f,
    0x3ee12e07,0x1540fe82,0x4b803fdc,0x1b300950,0x3fe5fa80,0x83ff2006,
    0x8807fd6a,0x90bf907f,0x4402d47f,0x03fee1ff,0x3ee2ffc0,0x8bff000f,
    0xff000ffb,0x200ff70b,0x00ff704b,0x200ff12e,0x3c81e2fb,0x86f886f8,
    0x007fb80c,0x001c9897,0x4bf5025c,0x3f6007fd,0x03feacc7,0x5fb83fc4,
    0x00b67f98,0x0ffb0ffc,0x3f63ff40,0xb1ffa007,0x3ff400ff,0x4b803fdc,
    0x2e00ff70,0xfb803fc4,0x4c2d81e2,0x583fc83f,0x2e00ff70,0x10016444,
    0x72fd4079,0x37f400ff,0x2027e522,0x07f707f8,0x401a2ff6,0x1bfa0ff8,
    0x3a0ffd80,0x3ff6006f,0xd801bfa0,0x03fdc0ff,0x0ff704b8,0x00ff12e0,
    0x36078bee,0x3e20fdc3,0xfb81d41f,0x26097007,0x402cc00d,0x07fea5fa,
    0xb8c17fc0,0x83fc404f,0x9df302fc,0xf1fe6007,0x7fe400bf,0xc8017fe1,
    0x017fe1ff,0x7dc1ffc8,0x2e097007,0xf897007f,0x3c5f7007,0x07ec5c9a,
    0x0588fd91,0x25c01fee,0x02f807d0,0x2fe45fa8,0x26037dc0,0x83fc405f,
    0x07fec06e,0x7fc6fa80,0x83ff2006,0x3f2006ff,0x801bfe0f,0x3fdc0ffc,
    0xff704b80,0x0ff12e00,0x3c78bee0,0xb33fc8f5,0x106c4df1,0x97007fb8,
    0x5f5036c0,0xfd0bf500,0x40ffc403,0x880df118,0x00fdc3ff,0xfb8017e6,
    0xb003ff43,0x007fe8ff,0x0ffd1ff6,0x7d43fec0,0x2a077007,0xf877007f,
    0x3c5f7007,0x3e61f89e,0x95fb0dff,0x3ea1543b,0x7c077007,0x007f700f,
    0x5fd10bf5,0x3e01fd10,0x4401f92f,0x1eebddff,0x6c005d00,0x003fe40f,
    0x07fc8bfd,0xff917fa0,0x542ff400,0x2059007f,0x859007fa,0x45f7007f,
    0x730f23c7,0x440bb883,0x9007fa85,0xa81fe205,0x05fa804f,0x3b6f37ee,
    0x44bfe00b,0x45fe202f,0x01a20009,0xff984f88,0x42ff8802,0xf8802ff9,
    0x017fcc2f,0x7cc17fc4,0x301d800f,0x83b001ff,0x45f7007f,0x003a23c7,
    0xff305900,0x2603b001,0x017e606f,0x3f6013ea,0x418803ff,0x01fe206a,
    0x2e003c80,0x00df900e,0x1bf20bf7,0x7e417ee0,0x105fb806,0x01f005ff,
    0x3e00bfe2,0xfb803fc0,0x0b50f1e2,0xf881dc00,0x200f802f,0x00fe205e,
    0x7dc00fea,0x5b0001ff,0x4001fe20,0x07a000e8,0x2202ff88,0x5ff100ff,
    0x8807fc40,0x3fe202ff,0xb017f200,0x405fc80b,0x7007f85d,0x5c1e3c5f,
    0x403c8005,0x02ec05fc,0x00f8816e,0x26001fa8,0x12a00ffe,0x1fe20762,
    0x0feff440,0x8802d880,0x0ee982fe,0x4c17f440,0x7f4400ee,0x800ee982,
    0x06d984fd,0xdb309fb0,0x7dc01fe0,0x7540f1e2,0x016d400a,0x6d984fd8,
    0x9700f880,0x02dc36e0,0x40aeda80,0x45702ff8,0x400affb8,0x1003fff8,
    0xeeb80019,0x4003eecc,0x3eecceeb,0x66775c00,0x322003ee,0x0cffdeff,
    0xbdff9100,0x3fe019ff,0x3ffe3fff,0x80f1e2ff,0xbabdeeb8,0x644002ec,
    0x0cffdeff,0x5c457100,0x373ff601,0x65cc0000,0x0803b60b,0x00aaaaaa,
    0x001000a2,0x00099880,0x0004cc40,0x00026620,0x009aa988,0x13553100,
    0x42800000,0x2aa62002,0x4c400009,0x100009aa,0x0d4c0061,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0xeeeeedca,0x20000002,0x00000198,0x00098800,
    0x26000988,0x04c40009,0x0000cc40,0x4000cc00,0x82a20099,0x204c001a,
    0x10260000,0x00998000,0xffff5000,0x2fc40349,0xf10003fb,0x5440003f,
    0xc8aceeec,0x001fea01,0x7dc00bfe,0x7fec000e,0x017f4401,0x800aeee6,
    0x26004ffa,0x57f205ff,0xe8800ff9,0x2000e3ff,0x00e3ffe8,0x801ff880,
    0x2a5f90ee,0x1a4fffff,0x7fc3fea0,0x09f30002,0x42b7ea00,0x402ffda8,
    0x3e6001fc,0x003f6003,0x00df7f30,0x13440bf1,0xd9f1003f,0x377a001f,
    0x229f501f,0xf755006f,0x50009bff,0x09bfff75,0x4017dc00,0x29fd1ff8,
    0x24fffffe,0x1cc57006,0x001aa000,0xfb803be6,0x2004d802,0x00fc004c,
    0x02e88f40,0x892e0798,0x323b804f,0x1ae4a805,0x88a00008,0x450004eb,
    0x40005eb8,0x98aa003d,0xfffff88b,0x00001a4f,0x40037000,0x3d800ff9,
    0x02c00b00,0x2a000aa0,0x05500481,0x8803917a,0x41c01a83,0x0000002a,
    0x00000000,0xf0000120,0x349fffff,0x77776440,0x0000002c,0x39801ffc,
    0x00000000,0x00000000,0x00005f90,0x55540000,0x2aaa20aa,0x3bbb2201,
    0x3b2602ce,0x76e402ee,0x800003de,0x3deeeec9,0x49fffffb,0x1067dc06,
    0x2a0009f7,0x07fe6003,0xddd93180,0xdddddddd,0x777764c5,0xdddd933d,
    0x5ddddddd,0x7777764c,0x22eeeeee,0x3deeeec9,0x8001ffc4,0xdd93003a,
    0x3fa67bdd,0x067d40bf,0x2e20cfb8,0x7ff4404f,0x000ee801,0xff3000ea,
    0xfffffa8b,0x03fd81a4,0xd0003be6,0x07fdc00d,0x35ff5000,0x07f53333,
    0x3ea0bff3,0xa99999af,0x9affa83f,0x83fa9999,0x3f205ff9,0x06e8004f,
    0x442ffcc0,0x207981ff,0x3be603fd,0x03bfe200,0x6e8009b0,0xa83ff800,
    0x41a4ffff,0x4fd806fa,0x00bfe600,0x20003fec,0x0ea01ff9,0xff981ffc,
    0x3e60ea01,0x7c0ea01f,0xff57503f,0x17fcc00b,0x640ffe00,0xf504b83f,
    0x809fb00d,0x1e406fff,0x005ff300,0x2a602ff8,0x3fe21a4c,0x01ff9802,
    0x200bffb0,0x440005ff,0xf81c01ff,0x03ff102f,0x01ff8838,0x982ff81c,
    0x4017fe64,0x7c005ffd,0x81ff102f,0x02ff880f,0x3e01ff98,0x0f204ffa,
    0x005ffd80,0x24c017fc,0x001ff70d,0x3e2017fe,0xff800ffa,0x7fc40006,
    0x05ff0001,0x20007fe2,0xf0001ff8,0xf983b05f,0x7d7c401f,0x0bfe000f,
    0x416a3fc8,0xff000ffb,0x3ffcbc0b,0x3e200790,0x3e000ffa,0x1a49802f,
    0xfe801ff6,0x9fd4b807,0x000ffd00,0x0501ff88,0xff102ff8,0xff880a03,
    0x2ff80501,0x03f882f8,0x004fea5c,0x7f980bfe,0x03fec0b6,0xb3c0ffd0,
    0x007903ff,0x0027f52e,0x493005ff,0x2006fe86,0x87c00ffd,0xffd807fb,
    0x3fe20001,0x2ff80d01,0x1a03ff10,0x0d01ff88,0x06e82ff8,0xf70f809b,
    0x017fc00f,0xe81a2ff6,0x3ff6006f,0x7ff44f00,0x0f801e40,0x7fc00ff7,
    0x21a49802,0x3f2005ff,0xf896a01f,0x17fcc02f,0x35ff1000,0xf80f9533,
    0x35ff102f,0x440f9533,0xca999aff,0x6417fc07,0x500e40ef,0x8017fc4b,
    0x77cc02ff,0x017fe03c,0x8f01ffc8,0x01e46ff8,0x05ff12d4,0x2600bfe0,
    0x01bfe1a4,0x3a00ffc8,0x6c037e42,0x438800ef,0xecccdff8,0x817fc07f,
    0xecccdff8,0x37fe207f,0x407feccc,0xefe882ff,0xc85d0160,0x05ff006f,
    0x7c01ffb0,0x3ff2006f,0xbff30f00,0x217401e4,0x5ff006fc,0x74349300,
    0x1ff6007f,0x1ff98698,0x2037fcc0,0x81ff8848,0x817fc068,0x06881ff8,
    0x1a207fe2,0x3a205ff0,0x34c049ef,0x7c00ffcc,0x05f9802f,0xfb003ff4,
    0xffb83c0f,0x86980793,0xff801ff9,0x21a49802,0x3fa007fc,0x3333b205,
    0x8805ffcc,0x2a20adfe,0x203ff104,0x8817fc04,0x440901ff,0xf80901ff,
    0x3ff6202f,0x66676401,0xf805ffcc,0x805d002f,0x3fa007fc,0xffc81e05,
    0x676403ca,0x05ffcccc,0x49802ff8,0x00bfe61a,0x7c40bfe2,0xfcaaaaaa,
    0xffd9000f,0x22017bdd,0xf80101ff,0x03ff102f,0x01ff8802,0x802ff801,
    0x2be206fd,0xffcaaaaa,0x4017fc00,0x2ff98068,0x202ff880,0x1efff407,
    0x55555f10,0xf801ff95,0x1a49802f,0x7dc037e4,0xff012e05,0x01e88007,
    0x1003ff10,0x3e205ff0,0x7c40801f,0xff80801f,0x203fb002,0x01ffc04b,
    0x0f200bfe,0x5c037e40,0x2203c05f,0x12e03fff,0xff807ff0,0x41a49802,
    0x3e202ff8,0x7003e00f,0x5fa800df,0x803ff100,0x102ff848,0x448803ff,
    0x24401ff8,0x43d817fc,0xb801f02f,0x017fc06f,0x7c4003a2,0x03fe202f,
    0x7cc00f88,0x7003e03f,0x03ff80df,0xe881a498,0x00ee982f,0x3fe601ae,
    0x007e4003,0x3600ffc4,0xf103ff81,0x441d803f,0x40ec01ff,0xe8bd03ff,
    0xf9806b80,0x10ffe03f,0x8003fbfd,0xee982fe8,0x400fcc00,0x00d703fa,
    0x3e607ff3,0x1a49804f,0x3b33bae0,0x027c403e,0x2000fff8,0x7ff3006d,
    0x3e61f620,0x07ff304f,0x3fe61f62,0xf30fb103,0x4a92e09f,0xff004f88,
    0x89ff301f,0x0003fff8,0x3bb33bae,0x7ffe4403,0x441e400c,0x1fff004f,
    0x67fffe44,0x00286202,0x2e002662,0xb501dffe,0xa809ffff,0x75cc00bd,
    0xffffffff,0x3ff224ff,0xfd732cff,0xffffffff,0x7ff5cc9f,0xffffffff,
    0x3ffff224,0x82bba82c,0x501dffeb,0x229ffffb,0x22cffffc,0x22000028,
    0x00000099,0x6fff5c08,0xffffb501,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33100000,
    0x00000000,0x4098004c,0x00000000,0x00000000,0x04cc0010,0x00000000,
    0x4c002060,0x08000009,0x26200000,0x3f200000,0x27f70005,0x1a0005f8,
    0x38fffa20,0x744fea00,0xd9ba2006,0xbb50001f,0x00730005,0x22002fe4,
    0xff1006ff,0x7434400d,0x007fd400,0xbdddd910,0xffd00f43,0x02ff8001,
    0x37c003d9,0x2abfb000,0x498000ff,0xfffbaa80,0x57f2004d,0xf5000ff9,
    0x000ffe1f,0x8006c474,0x02defeb8,0x764007d8,0xded803fc,0x8895002f,
    0x001fc807,0x9f7113ee,0x7e7d407b,0x80fea005,0x1d3003ff,0x705c4000,
    0x00720003,0x00deb88a,0x02a82e20,0x007315c0,0x801c9260,0xfc9baaeb,
    0x80174404,0x401f50e8,0x200d70d9,0x7c02d43b,0x80ff6002,0x47a00ffa,
    0x099001e9,0x37000ba8,0x00000000,0x00000068,0x00000000,0x00d55d00,
    0x09b1ccfe,0x02e00910,0x1cc1c073,0x00ee0ec0,0x37d40073,0x5413fe60,
    0x05802440,0x5c000000,0x81ceeeed,0x104eeedc,0x75000bb7,0x3bbb2600,
    0xeeeeeeee,0x000ea002,0x20037620,0x254732fa,0x00000000,0x3b03e000,
    0x7fc40000,0x3feba202,0x00000001,0xeeeedb82,0xdeedc81c,0x4017ff43,
    0x9cd981ee,0x3a000dfe,0x57fd4006,0x3fa99999,0x0001ba00,0x5fb80374,
    0x2aaa3873,0x200d5542,0xaa80aca8,0x20d5542a,0xcccfccca,0x5550ccfc,
    0xc81aaa85,0x7c7a00ff,0x3795105f,0x02b2a200,0x3ffa61c4,0x4077d404,
    0x0b9007fc,0x3fb627f1,0x05ff3003,0x500ffcc0,0x0bfe6007,0x05ff3000,
    0x0737ff30,0x3aa3fe4c,0x2e77605f,0x3fe4c3ff,0x55317faa,0x5d7555b9,
    0x51ff2615,0x0ffb0bfd,0x90ffb1ec,0x807fb35d,0x83ffb9dd,0x05ff9849,
    0x7fb807dc,0x1fb09700,0x4013eaae,0x22005ffd,0x801c01ff,0x40005ffd,
    0xfb005ffd,0x7f8807df,0x0d905fa8,0x87f887fb,0x50f205fa,0x2a1fe20b,
    0x706ff85f,0x260ffc89,0xc81fe23f,0x2d43fd86,0x3a01ffb8,0x401fee01,
    0x1d37c44b,0xffaf8800,0x03ff1000,0xff5f1000,0x2be20001,0xffb000ff,
    0xa87f803d,0x983fa85f,0x543fc0ff,0x7707605f,0x2fd43fc0,0x43542ffc,
    0x07ee1ffc,0x07f501ff,0x03541ff3,0x012e0dfd,0x12e00ff7,0x001629f3,
    0x8027f52e,0x00501ff8,0x004fea5c,0x013fa970,0x202fffb8,0xc85fa87f,
    0xf87fd01f,0x3e05fa87,0x0ff00ec0,0x8ffd0bf5,0x0ffc80e9,0x03fd3062,
    0x8ffa03f9,0x13fe607b,0x7fb801d3,0x5fa89700,0x21f00057,0xff1007fb,
    0x0f801a03,0x3e000ff7,0xa800ff70,0x0ff04fff,0x03fd0bf5,0x50ff13f6,
    0x9ea988bf,0x8199f999,0xd85fa87f,0x203d10ff,0x336a06fd,0x01fe81fe,
    0x203e49fb,0x00ba1ffb,0x25c01fee,0x00435fe2,0x02ff896a,0x999aff88,
    0x4b5007ca,0x54002ff8,0x800bfe25,0xf83ffcb9,0x7c45fa87,0xf89f902f,
    0x7545fa87,0xefeeeefe,0x543fc0ee,0xb1ffc85f,0x4c2ff407,0xf107f63e,
    0xd93f205f,0xbb7f400f,0x00ff7005,0x133fe12e,0xfc85d00e,0xcdff8806,
    0xd007fecc,0x4006fc85,0x0037e42e,0x3e1bee73,0xfe85fa87,0x7f87f904,
    0x87905fa8,0x543fc04a,0xcbff985f,0x50bfe204,0xe81fd87f,0x747f904f,
    0x67fcc01f,0x0ff7000f,0x3ff612e0,0x0d3005c2,0xf8803ff3,0x9806881f,
    0x001ff986,0x03ff30d3,0x0ff47302,0x217ea1fe,0x83f906fb,0xb05fa87f,
    0x3fc03b83,0xefc82fd4,0x742fe406,0x5c0fec0f,0x7c3f906f,0x3ffc802f,
    0x401fea00,0xdfff883b,0x676403ec,0x05ffcccc,0x0480ffc4,0xcccccec8,
    0x9d9005ff,0x0bff9999,0x3f239832,0x3f60ff40,0xe80ff885,0x7ec1fe85,
    0x803b0f05,0x02fec1fe,0x37c405fd,0x3fa21ff8,0xe80ff881,0x200ffe25,
    0x2a001ff8,0x2059007f,0x403efffb,0xaaaaaaf8,0x3e200ffc,0xf880101f,
    0xfcaaaaaa,0x557c400f,0x0ffcaaaa,0x4e8e63c8,0xbda9dfc8,0x2fe41aff,
    0x37f203ae,0x1affbda9,0x9003e1a2,0xff7b53bf,0x2fee8835,0xf900ee98,
    0x99fdd95d,0x75c5fc81,0x2013fe20,0x26001ff8,0x01d800ff,0x2e00111b,
    0x101ffc04,0x701003ff,0x403ff809,0x41ffc04b,0x3ee732fc,0x8effe881,
    0xdf702efa,0x3a201bd9,0x2efa8eff,0x201a2254,0xfa8effe8,0xfd52e82e,
    0x9807fb99,0x1df74ffd,0x37b3bee0,0x8802fe80,0x3e2001ff,0x880f802f,
    0x400f8005,0x3fe206fb,0x07c24401,0x1f01bee0,0xda86fb80,0x01edddef,
    0x2003104c,0x88260019,0x01883301,0x20188260,0x000a9882,0x19800404,
    0xf8800c40,0x2fe4001f,0x015c1760,0x3e601ae0,0x03ff103f,0x4035c1d8,
    0x0d703ff9,0x2207ff30,0x00000cb9,0x00000000,0x00000000,0x00000000,
    0x7fcc0000,0x84fd8001,0x003606d9,0xff004f88,0x07ff301f,0x09f11f62,
    0xf103ffe0,0x03ffe009,0x00000398,0x00000000,0x00000000,0x00000000,
    0x3ffa8000,0xeffc8800,0x0e00cffd,0x1dffeb80,0x9ffffb50,0x3ffffae6,
    0x24ffffff,0x501dffeb,0x2e9ffffb,0xb501dffe,0x0009ffff,0x00000000,
    0x00000000,0x00000000,0x20000000,0x1cffffc9,0x9aa98800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00157510,0x26200371,0x00662001,0x00002660,
    0x00026620,0x4cc00600,0x00205000,0x00000024,0x00000000,0x00000000,
    0x0dc40000,0x0bf6b7ee,0x803cae88,0xd1000ff9,0x77d4007f,0x027fd400,
    0x74c06fb8,0x05a801ed,0x2a009fb0,0x3005d30d,0x980fea0b,0x2c801dfd,
    0x3a009d50,0x2009d501,0x3ae2004b,0x510001de,0x9159ddd9,0x4f89bf63,
    0x343903ec,0x2003fa80,0x3f6005f8,0x0fede801,0x2600ee80,0x4401f72f,
    0x01fa000e,0x000cef98,0x41bf2059,0x405e89d8,0x09f3105a,0x3e620970,
    0x20069804,0x01f50df8,0x10adfa80,0x3ea5ffb5,0x5f707f23,0x002c4ea0,
    0x0f9800b7,0x97005f00,0x07e202e4,0x017c4fb0,0x1e88005b,0x02fdc880,
    0x0e4403a0,0x3a202d80,0x22027400,0x4027400e,0x0bf2001e,0x77cc007d,
    0xd80bee00,0x902fd40f,0x0c8003bd,0x4c015400,0x1b838803,0x1ba006e0,
    0x0016a0bf,0x476a01cc,0x059801fc,0xc80d3000,0x6c04e803,0x5c04e802,
    0x20ff4004,0x1ff3002f,0x7f407b00,0x0001fdc0,0x00000000,0x00000000,
    0xe887f8df,0x02000000,0x2c801dd1,0x7f5c0140,0x3a00b305,0x74012a04,
    0x0003a204,0x003d45fd,0x0e6007ff,0x07f40ff8,0x801bca88,0x5001bca8,
    0x97500597,0x05975005,0x201bca88,0x16c37c7e,0x05654400,0x2fdddcc0,
    0x009003a0,0x00740fdc,0x01d104e8,0x02d813a0,0x5d55fd80,0x007fe600,
    0x543fe018,0x35d900ee,0x576407fb,0x36203fd9,0x880efcac,0x80efcacd,
    0x0efcacd8,0x3fd9aec8,0x227c4fb0,0x9dd8004b,0x3b203ffb,0x303ffdaa,
    0x2004880b,0x001e40f8,0x800b609d,0x0009504e,0xd8377fea,0x7fdc5eee,
    0x1ff00000,0x3e60bfae,0x7cc1fe23,0x2e81fe23,0x217437dc,0x5c2e86fb,
    0xf11fcc6f,0x7e4be20f,0x90003a20,0xdb07fb0d,0x0b20bfd0,0x50c40590,
    0x74006989,0x74005a84,0x0000e884,0xff10dff1,0x000ffb03,0x3f607fc0,
    0x3fe0fdc5,0x7fc1fb80,0xff987b80,0x3fe61ee1,0x3fe61ee1,0x1ff07ee1,
    0x360f3260,0x0fea0181,0x2fa83fe6,0x80d07fa8,0x5f74c06a,0x81501e82,
    0x03a22ddb,0x0b76e013,0xa802a05b,0x7c42ffdf,0x000bff03,0x3e03fe0c,
    0xfd30621f,0xfe983103,0xeeeefd81,0x3bf62ffe,0x22ffeeee,0xfeeeeefd,
    0xfd30622f,0xa8970003,0x1fc83ebe,0x0fec7fd0,0x02cc1ff8,0xb80007f1,
    0x2003f904,0x3bfba62c,0x320b5000,0x3e3fb01f,0xf81aa0ef,0xbf90006f,
    0x1fe407fc,0x01fecda8,0x40ff66d4,0x017a005e,0xb50005e8,0x88003fd9,
    0x2f89fc46,0x4fd80ff4,0x1fec03fe,0x00fd80b2,0x7541a600,0x245a801f,
    0x1d1009f3,0xfb03fd50,0x3b27fdc3,0x8003ff40,0x203fe5fc,0xb1f4c5fb,
    0xd8fa603f,0x2006f81f,0x01be006f,0x0fec7d30,0x1f907a00,0x05ff1374,
    0x0ffc53f2,0x50344fc8,0x1e8000df,0x401f9d98,0x13a040e8,0x27660b20,
    0x7437cc1f,0x6c04b9ff,0x830001ff,0x24fa80ff,0x40fec3fa,0x40fec3fa,
    0xfe8200fe,0x00fe8200,0x7ec3fa82,0x3612e001,0x9fd1fa0f,0x2ff8ff20,
    0x02cc5f90,0x007d09fb,0xf31b1097,0x4403c803,0x442d401f,0x7e41f98d,
    0x06eff884,0x0002ff98,0x5f501ff0,0x07f607f4,0x03fb03fa,0xd86e0bfb,
    0x7ec3705f,0x07f43705,0x34c007f6,0x83f60fe8,0x43f906fb,0x41fb04fe,
    0x20bfa02c,0x4074407f,0x4c03f31d,0x4403c806,0x3f31d80e,0xff706ff8,
    0x1dfb020b,0x7fc07100,0xf8f90da8,0x207fa21f,0x07fa21ff,0x8b313fea,
    0x22cc4ffa,0x22cc4ffa,0x07fa21ff,0x0fc80f40,0x01ff11fa,0x80ffa8bd,
    0x3ee0345e,0x16c06c85,0x77f777d4,0x4b803d02,0xefa83c80,0x3f62efee,
    0xefffa81f,0xdff31220,0x87f64880,0x9d1fb8ff,0xeecaefc8,0x3bf20ccf,
    0x0ccfeeca,0x7f6fffec,0xedfffd81,0xdfffd81f,0x577e41fe,0x00ccfeec,
    0x12fa80f2,0xb8bf90bf,0x5c5fd80e,0xf101260e,0x2a02c81f,0xf5333105,
    0xb8079015,0x41a60223,0x0afa9998,0x2673ffe6,0xdfffc8ed,0xdfe880ec,
    0xff12a20a,0xb11ffb35,0xffb309db,0xb303bee9,0x03bee9ff,0x017fffe4,
    0x405ffff9,0x982ffffc,0x1df74ffd,0x6e402cc0,0xdf700ec8,0x7dc01bd9,
    0x1640decf,0x5d67fd40,0x4003a203,0x406981f9,0x80feeefc,0x03f3001e,
    0x87ffffb5,0x402efffa,0xbdeeffec,0x0200ff40,0x01002020,0x80066001,
    0x00660019,0x02e00202,0x9800e540,0x500cc001,0x00d4c400,0x15100154,
    0x55440370,0x02982aaa,0xa8802a20,0x4000cc00,0x007ec019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5ee00000,0x0000000b,0x00000000,0x01000000,0x08040000,0x00000000,
    0x40000000,0x00000039,0x775c0e60,0x82eeeeee,0x24eeeee8,0xa82a80a9,
    0x36200595,0xdb802efe,0xd91002de,0x00059ddd,0x159bbb93,0x9dffb100,
    0xff930935,0xd951001b,0x09359fdd,0x017b9930,0x003376a0,0x159bbb93,
    0xdfdba880,0x006fea81,0x016ef6cc,0x7c1bfaa0,0xffffffff,0xfffffc81,
    0x3fa0ff22,0x8059a440,0x80fee3f9,0x805f30eb,0x3ee20cfb,0x817b3004,
    0x3e602da8,0x89ff511d,0x07ffedfa,0x2a04f7d4,0x07c404fe,0x0ed880bf,
    0x440bd980,0x983a02da,0x37dc42fe,0x6c45f300,0x1bee2006,0x2666afaa,
    0xaae886c9,0x41fe42aa,0x007400fe,0x207f61ba,0x807e43f9,0x3be603fd,
    0x64016600,0x3e60fd02,0x5ff31224,0x8803bee0,0x3637405f,0x4013ea07,
    0x50590059,0xf10bf90d,0x4c2e400d,0x1be6001f,0xc84e8036,0xe83fc802,
    0x3016400f,0x88df307f,0x427cc0fe,0x4fd806fa,0xdccb8b30,0xf98596bd,
    0xb0192e04,0x01ff309f,0x27c40d50,0x037c4062,0xceed8d98,0x361640bd,
    0x207fcc0f,0x9f1006f8,0xf98017e0,0x07e20086,0x7f9003f1,0x59801fd0,
    0x7fc07ee0,0x3e217ea0,0x00bfe20f,0x89607fe6,0x8727c83e,0x012607fa,
    0x13fa0bea,0x0fea0580,0xb000fe80,0x3fc8afc4,0x885f70e4,0x006f887f,
    0x3f881df1,0x001be600,0x9fff90d7,0x3a0ff201,0xd00e800f,0xb8bfa03f,
    0x5c5ff04f,0xbff000ff,0xe817a398,0x6ffc4730,0x0b900500,0x04001ff3,
    0x2e009f70,0x4473004f,0x731be25f,0x885fa818,0x740b2a6f,0x3007e45f,
    0x00df3377,0xfffe84e8,0x83fc82ff,0x02c800fe,0x8ffa05fd,0x47fd03fd,
    0x3fa007fd,0x01fb8e47,0xfffc8b02,0x80d88002,0x200007fb,0xff8804fb,
    0x87205731,0x2c3f45f8,0x7c40fec0,0x0efffe8e,0x75c6ffcc,0x326ff200,
    0x3e2006fe,0xfff73101,0xfe83fc85,0xfb059800,0xfe8ffa0b,0x7f49fb03,
    0x83ff6006,0x58003fa5,0x01efffd8,0xfb01dd30,0x9999880d,0x3bf2aa09,
    0x7ff302aa,0x581dfd99,0x07f52fc4,0x103f980b,0xff935bff,0x0bfff50d,
    0x06fd87c8,0x74c01ee0,0x20ff20ff,0x01d000fe,0x5ff03ff5,0x5fd817fc,
    0xfc8017fe,0x007f961f,0x7ffdc0dc,0x3ff200df,0x02ffc2ff,0x8bbffee6,
    0x5eeffeec,0xfe81df70,0x37be22c6,0x403701ee,0x03fe205c,0xff505ff3,
    0x20fe605f,0x13a006fa,0x322fe880,0x187fcc4f,0xffd81640,0x20ffdb9c,
    0x49fb02ff,0x3f2006ff,0x00fe960f,0x7ec40320,0x75400fff,0x803ffc7f,
    0xbf501ffb,0xf309fb00,0x37e22c5f,0x01900ee8,0x6f8803a2,0x9e989fb0,
    0x1fd82ffe,0xf1006f98,0x24fb8003,0xdbc9affc,0x2cc00baf,0xf917bb50,
    0xfb02fe8d,0xb003ff45,0x3fb0c8ff,0x74c02c00,0x7c400eff,0x003ffa1f,
    0x5f981fea,0xff03fe80,0x2bf10647,0x5c0b04f9,0xb837c401,0x6c47e65f,
    0x407fc1ff,0x0f7006f9,0x6e49f100,0x9ff53fff,0x44003a00,0x81fec2ff,
    0x01ff21fe,0x99545fe8,0x2442605f,0x17fe4011,0xff91fe40,0x40ff5005,
    0x3fd804f9,0x11549fd0,0x2217dcbf,0x3e201204,0x2f49f506,0x1ff127f4,
    0x3600df30,0x6c5f0004,0x0008818a,0x2fdc00b2,0x0ff827dc,0x2200bfe6,
    0xf72c42ff,0x315c7307,0x804fe807,0x13fe62fa,0xf881fea0,0x904fb802,
    0xbf12c43f,0x80ae0fd8,0x706f8803,0x2213e67f,0x4c0ffc7f,0x01f8806f,
    0x0fa0fa80,0x80598000,0x0df105f8,0x0df90bf1,0x92e0bf70,0x22ccced9,
    0x3202cc4a,0x40fb803f,0x7d401ffc,0x201f5107,0x3ec1bea3,0x27fece5c,
    0x00953df1,0x320df100,0x3607f51f,0x2613fa0f,0x407b806f,0x05f85d00,
    0x10074000,0x40fc80bd,0x2ff880fc,0xb803fe20,0x984a8083,0x007fa01f,
    0x3ff6213a,0x321fea00,0x2a0adfec,0x27c0fec3,0x095003b8,0x6f880288,
    0xb06e89f0,0x4c1ffb8d,0x204d806f,0x3ea89dfc,0x000037cc,0x077440ae,
    0x05f12f40,0x74c17f44,0x01cb800e,0x3fe60971,0x3b24fb82,0xf9017222,
    0x11fee03d,0x3ffff327,0x237c40ff,0x072e00eb,0x7ec025c4,0x117fc404,
    0x985f70db,0x8cffe81f,0x101affeb,0x7ffcc03f,0x05f981df,0x512cc000,
    0x6c400379,0xd7003dcd,0x007dd99d,0xdcaddc98,0x3b36602c,0x643ffddf,
    0x002eefff,0xd979fdb5,0x299b017d,0x102effd8,0x001bd7b9,0x9b95bb93,
    0x013f6005,0x13f3bf66,0x1edbefb8,0x3bfffb10,0x0a2017df,0x05400c40,
    0x33140000,0x00088000,0x00013310,0x22001510,0x3006aa20,0xa9880003,
    0x18808009,0x88000600,0x0030000a,0x22001988,0x21310009,0x00000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x15100000,0x000000d4,0x45300000,0x10d400a8,
    0x98000005,0x00cc4009,0x141cb880,0x882aaaaa,0xddd71aaa,0x3b620bdd,
    0xdddb54ee,0x3bbb6a5b,0x6f764c3d,0x9ddddb72,0x9dddb903,0x4000dd40,
    0x007102a8,0x4fd80c98,0xf9800ff5,0x37ff2603,0x881f5401,0x409fb1ff,
    0x07fd0ff9,0xf7001d40,0xe84fe80d,0xffdb00ff,0xfe98553b,0x067d40bf,
    0x9005ffd1,0x87fe887f,0x3200ffe8,0x02ffe80f,0xdc881ee8,0x0eeefd98,
    0x4bfeef60,0x2000ffd9,0x33fb85fd,0x3fe800df,0xffffff90,0x07ffd505,
    0x03fb8ff4,0x01fd9be2,0xf9001ba0,0x2a17e203,0x2a504fcf,0xf880effd,
    0xf507981f,0x20d9005f,0xffb80ffb,0x7e413201,0x2e0b9007,0x067fe61f,
    0x45bea3d8,0x2e000ff9,0x0008102f,0x74c1ff64,0x103ffaa2,0x08100ffa,
    0x4c001000,0x1ec002ff,0x263d06a8,0x2a60441f,0x2e0ff200,0x2017fa04,
    0x05ff101e,0x0f407ff1,0x97007fb8,0x07fe1fa0,0x20d41fa8,0x000000ff,
    0x7f7b5000,0x5ff30390,0x0000ff20,0x3f600000,0x8244005f,0x2440b80c,
    0x0ff88000,0x1ff7007c,0x3f6034c0,0x260bfb05,0x401fee06,0xc87f984b,
    0x007ee03f,0x800003fe,0x1001bca8,0x0507f71d,0x3fc81ff4,0x2aa15554,
    0x165d401a,0x1ff5f100,0x00000000,0x801bca88,0x1016a3fc,0x01e407ff,
    0x3f203fea,0x2e03c80f,0x2097007f,0x007ec1ff,0x1ff003fb,0x2bb20000,
    0x2d803fd9,0xfc8007f7,0xc987f901,0x82ff547f,0x0efcacd8,0x09fd4b80,
    0x05501540,0x35d90154,0x7f9807fb,0x1ff200b6,0x3e2007c4,0x83fff82f,
    0x01fee00e,0x43fc825c,0x7fd5505f,0x987fc055,0x7cc000bb,0xb701fe23,
    0x36001fdc,0x220ff207,0xd05fa87f,0xf806fb85,0xc880ff70,0x7fe444ff,
    0x827fe444,0x01fe23f9,0x401a2ff6,0x04b82ff8,0xcda8bfb0,0x2e034c6f,
    0x4097007f,0x00bdacfc,0x199bff99,0x3fee3fe0,0x0fdc006f,0x074403fe,
    0x3f8007f7,0x3fc0ff20,0x43dc2fd4,0x96a01ff9,0xfc802ff8,0x3209f904,
    0xf83f704f,0x677cc00f,0x21bf6003,0x1ff5001e,0x907fcd64,0x007fb807,
    0x0ccec097,0xf003fd00,0x01fec59f,0x1fe98310,0x03fb83d0,0x7f901ae0,
    0x17ea1fe0,0x3bbbbbf6,0x90ba02ff,0x09f700df,0x27dc13ee,0x0ff4c188,
    0x0007fec0,0x034c3ff3,0xf0f8ffe0,0x2e007c7f,0x2097007f,0x3fd0004d,
    0xfa83ff00,0x6d402884,0x84b81fec,0x1d1003fb,0xff03fc80,0x0bd0bf50,
    0x3e61a600,0x827d401f,0x09f504fa,0x03fd9b50,0xd000bf30,0x2001ec9f,
    0x7e4b55fc,0xff500b36,0x3e20ee00,0x0bccceef,0x3e007fa0,0x222fd40f,
    0x23e986ff,0x4cf4c1fd,0x09cfc999,0x7e4016c0,0xbf50ff03,0x32000df0,
    0xffccccce,0xa827d405,0x409f504f,0x007f63e9,0x7dc00174,0x4000f88f,
    0x262d8ff9,0xa803c9ff,0x2059007f,0xfffffffb,0x003fd02f,0x45f981ff,
    0x3ea1fff8,0x3f20fec3,0xffffffff,0x4012e05f,0x50ff03fc,0x401fd0bf,
    0xaaaaf880,0x200ffcaa,0x09f504fa,0x1fd413ea,0x1a2007f6,0x4bbff800,
    0x0f7fd000,0x3001f9fd,0x03b001ff,0x5d4cc4b2,0x003fd06d,0x85f981ff,
    0x03fa1c98,0xccca83fb,0x3cefeccc,0x7e400b50,0xbf50ff03,0x06e0bfb0,
    0x07ff012e,0x4fa827d4,0x3fa09f50,0x6400fec0,0x3ff20003,0xff90001e,
    0x00bff709,0x3e00bfe2,0x05805a80,0x1ff003fd,0xf1a05f98,0x00ff443f,
    0x2d407f70,0x207f9010,0x42fec1fe,0x82cc4ffa,0x037dc00f,0x13ea09f5,
    0x1ff827d4,0xd1007fa2,0x7fc40001,0x3fe60006,0x002ff882,0x0bb017f2,
    0x01b80bf1,0x1ff003fd,0x85705f98,0xfeecaefc,0x3fb800cc,0x415c0b50,
    0x3bf903fc,0x835ff7b5,0x1fedfffd,0xff9806b8,0x2a0bf503,0x20bf505f,
    0xfeecaefc,0xfbfd10cc,0x5fb00003,0x207e8000,0x7ec000fe,0xd106d984,
    0x931137bf,0x400ff40b,0x237cc0ff,0xffd980c8,0x2001df74,0xeefa83fb,
    0xb07ffeee,0x3ffa207f,0x902efa8e,0xf105ffff,0x03ffe009,0x37dc1bee,
    0xfb306fb8,0x883bee9f,0x00003fff,0x970000f3,0x44002dc0,0xcffdeffc,
    0x3ffb2200,0x7fc02fff,0x541ff803,0x0808007f,0x261fdc00,0xffffffff,
    0x7ffe544f,0x0c41301c,0xfd701980,0x3f6a03bf,0x3fee4fff,0x3ffee0cf,
    0x33ffee0c,0x22010100,0x01800002,0x22008800,0x2a620001,0x5440009a,
    0x7fed401a,0xffda82cf,0x3bffd73e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c199100,
    0x22f2a200,0xc98e6038,0xa88a600b,0x177764c0,0x0f7bb720,0x5bdddd93,
    0x814c0170,0xd95000b8,0x6dc59ddd,0x1440ceee,0xeeeca82a,0x3bb262ce,
    0xdd933dee,0x64007bdd,0x36a1deee,0xdddb52ee,0xdeed8003,0x50377304,
    0x059dddd9,0x20aaee60,0x48cffef8,0x3f2b3ee0,0xb7fea85f,0xf103dfff,
    0x4413f63f,0xee801ffe,0x413fea00,0x4feb85fb,0x0007fecc,0x7dc0ffee,
    0x2e7fd01e,0x03ffb86f,0x7cc13fea,0xfc80e05f,0xc81fa80f,0x3ea005ff,
    0xaed880ef,0xffb80efa,0x2a2f6003,0xfb8540fe,0x81d904ff,0xffa885fc,
    0x06ffc9bc,0x80fee3fd,0x6c00eff8,0x817fc404,0x4fc883e9,0x0007fcc4,
    0x6f407fe6,0x7d4bf200,0x201ff985,0x3fe02ff8,0xff80f103,0xff304c82,
    0x3ffa001f,0x5fb8bd05,0x3001ff98,0x4040f88d,0x505f302a,0x07fe20bf,
    0x10205ff5,0x80dfff00,0x0ffc403c,0xf04fa800,0xff88001f,0x81005d80,
    0x803ff100,0x0bfe02ff,0x17ee03ec,0x7f74c03e,0x4fee9804,0x37c42fb8,
    0xc8007fcc,0x0000640f,0x17e603f6,0x4fe83fc4,0x3ebe0000,0x200f204f,
    0xf50001ff,0x0003fe09,0x05d81ff1,0x1ff88000,0xff017fc0,0xabffd885,
    0x2a0ff881,0x3feba604,0x27edec00,0xf30007f4,0x039ddfff,0x10043df7,
    0x1fe01595,0x7f882fcc,0x2a20bf90,0xf97800ac,0x200f207f,0xf50001ff,
    0x0003fa09,0x02ec1ff1,0x3e202a80,0x017fc01f,0xffcb85ff,0x47f902cc,
    0x7f5a601e,0x3f63e204,0x4c007f84,0x7ff930ff,0x01dffe88,0x0ffee776,
    0x17e60ff1,0x5fb83fc4,0x3ffb9dd8,0x03ffb3c0,0x03ff0079,0x04fa8154,
    0x5554c1fd,0xd87fc40a,0x7fe44005,0x007fe204,0x17fc05ff,0x7f9807f8,
    0xf76980b3,0x7ed3201f,0x000ffc44,0xffb81ff3,0x83fffc82,0x7c3fd86c,
    0x105f980f,0x90fee0ff,0x3c07fb0d,0x3c81ffd1,0x6441ff80,0x09f505ff,
    0xbff883fa,0x6e9ff881,0x813f2000,0x7fc01ff8,0x7c0bfe02,0x595fd007,
    0x0ffe6980,0x427ec3e2,0xf30203ff,0x20bff01f,0x3ea3ffe9,0x3e0ff983,
    0x105f983f,0xa8bf20ff,0x00ff983f,0x646ff88f,0x901ff803,0x413ea0bf,
    0x803aa0fe,0x02ffeff8,0x4409f700,0xffffffff,0x3e02ffff,0x2a0ff02f,
    0xafefdaaa,0x934c1aaa,0x7ec970df,0x0705fe84,0xffd01ff3,0xf937e41c,
    0xfc8ffa03,0x882fdc1f,0xfc8dd07f,0x1e07fd01,0x03c97fe6,0xbf701ff8,
    0x7f413ea0,0xf8801b70,0x002ffe9f,0x3e204fa8,0x017fc01f,0x41fe05ff,
    0xdffccccc,0x34c2cccc,0x21f85ff1,0x3ffa84fd,0x07fcc1d4,0x885b37fc,
    0x6c07fa4f,0x3bffe24f,0xf105fbcb,0x741fb87f,0x209fb01f,0x327ff707,
    0x501ff803,0x413ea0bf,0x1005b8fe,0x5ffd11ff,0x204fa800,0x7fc01ff8,
    0x7c0bfe02,0x00bf6007,0x5cdf91a6,0xfe827ec5,0xf306fcef,0x24ff981f,
    0x447e20ed,0x89f902ff,0xf99fffe9,0x7bbff105,0x2ff883dd,0x81e09f90,
    0x803caffc,0x0bf501ff,0x6ff413ea,0x1ff1003f,0x800bffa2,0x3fe204fa,
    0xf017fc01,0x4c1fe05f,0x9bfd9999,0x234c0999,0xd83d2ff8,0x3fff204f,
    0x41ff300c,0x7fec6ffa,0x27f43dbc,0x43303fc8,0x2ff105f9,0x13fa0098,
    0x40781fe4,0xf803dffe,0x20bf500f,0xf5fd04fa,0x1ff1003f,0x8017ff44,
    0x3fe204fa,0xf017fc01,0x641fe05f,0xcdfecccc,0x434c2ccc,0xfd86adfd,
    0x2006c404,0xefeddff9,0x20331084,0x03f906fb,0x7c417e60,0x41bee007,
    0x880f01fc,0x7f803fff,0x7d417ea0,0xff71fd04,0x40ff8801,0xa802ffe8,
    0x07fe204f,0x7fc05ff0,0x0023fd02,0x0d3005fb,0xfb05dff3,0x00ef9809,
    0x0266bfe6,0x03fe2000,0x5f98017a,0x4400ff10,0x105e80ff,0x3ff9801f,
    0x05f896c4,0x27d417ea,0x0df90fe8,0xe881ff98,0x2fd403ff,0x4403ff30,
    0x0ffe02ff,0x201d67ec,0x079802fd,0x13fa0dfd,0xf980bee0,0x9999001f,
    0x8bf90399,0x3e6000eb,0x800ff106,0x8075c5fc,0x3fa801f9,0x07cc7fd4,
    0x3ea0bf50,0x7f41ff05,0x40bfea05,0x2e05fff9,0x0bfea06f,0xf303ff98,
    0x17fe609f,0x2a00ffa0,0xf03fa80f,0x01f900df,0xf801ffd4,0x702fffff,
    0x001bd9df,0x220ffe44,0x2000affb,0x80decefb,0x00cfffc8,0x677f41e4,
    0xb837dc02,0x4c3ff06f,0x7fe4c3ff,0x3f661cff,0x2e1dffff,0x3260cfff,
    0x221cffff,0x11cffffc,0x059ffff9,0xfffb7002,0xdff93039,0x2e20e817,
    0x982dfffe,0xffb301cd,0x998039ff,0x4c009999,0x55550001,0x55555435,
    0x00198002,0x0cc02000,0x067ffdc0,0x2a39fff7,0xff53effd,0x000005bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6d400000,
    0xabcdeeee,0x10664400,0xeeeeda81,0x500bccee,0x9bdddddb,0x4c000379,
    0xeeeeeeed,0xd81eeeee,0xeeeeeeee,0xddb71eee,0xdb9039dd,0x3bb667bd,
    0x3260deee,0xdb32deee,0x5009bddd,0x9bdddddb,0xec980379,0xeeeeeeee,
    0x777742ee,0xeeeeeeee,0xddddb53e,0x500379bd,0xddddddd9,0x4930bddd,
    0xabffc83a,0x3e01efdb,0x2048cffe,0xb989bffb,0x3fee04fe,0xffdba9ac,
    0x3bee0002,0xa99999df,0x99aef82f,0x44ffa999,0x5404ffe9,0xfffa80ef,
    0x5c0ff205,0xfb8005ff,0xfdba9acf,0x57fd402f,0x3fa99999,0x32aab7e2,
    0x5fcaaaff,0x6d4dffdc,0xfb800cff,0xea9999af,0x3a3ffaa6,0x07fcc3ff,
    0x42a0bff2,0x2604ffeb,0x0dfd01ff,0x7d407fe6,0xb970003f,0x3415409f,
    0x2603bf60,0x07dc05ff,0x740dff30,0x00bfe603,0x5c07fe60,0x3fe603ff,
    0x8588ea01,0x4c5987fb,0x2ffc41ff,0x8807fcc0,0x273fe626,0x07fc41db,
    0x54042ffc,0x80ffc402,0xff881ffa,0x00ffe601,0x813f63a0,0xf701c428,
    0x0ffdc03f,0xff5003d0,0xf8809907,0xff88001f,0x413fe601,0x31c01ff8,
    0x120ff707,0xffb03ff1,0x00ff9801,0x100bfe12,0x0ffb01ff,0x0ffc4000,
    0xff109ff0,0x01ffc803,0x027ed2e0,0x4ff98040,0x9706fe80,0x707fe400,
    0x03ff100d,0x803ff100,0xff881ffc,0x7fb80001,0x81ff8810,0x7cc02ffa,
    0x07fc000f,0x3603fe20,0x2e64987f,0x07fe200b,0x7c41ffc4,0x1ffc401f,
    0x9fb0e880,0x3fa000a0,0x89ff3006,0x3a2000e9,0x1001d35f,0xf10003ff,
    0x3ff8803f,0x0501ff88,0x8803fdc0,0x0ffc81ff,0x1407fcc0,0xf8801ff0,
    0x537fc40f,0xfff91ffd,0x80ffc40d,0xff880ffc,0x005fe801,0x6827ec77,
    0x00ffe400,0x1743ff70,0x75ffcc00,0x03ff1001,0x003ff100,0x3ff10bfd,
    0x7fb801a0,0x883ff100,0xff9805ff,0x03fe0580,0xfc81ff10,0x33fe622f,
    0x2207fd12,0x3f2a62ff,0x7fd4c41e,0xfd81999a,0x360f8807,0x7da999df,
    0x00ffe600,0x02ddbfa0,0x007ff900,0x4000ffc4,0xfd801ff8,0x99aff887,
    0x2e007ca9,0x3ff1007f,0x4006fec4,0xca99aff9,0x1003fe06,0xffd759ff,
    0xf707fe05,0x3bbfe209,0xa81ffffe,0xcccdffcc,0x401ffc84,0x6677ec3c,
    0xd1007fec,0x3e6000bf,0x40000fcf,0x3e2006ff,0xff88001f,0x41ffc801,
    0xecccdff8,0x1fee007f,0x766ffc40,0x3e6001ef,0x06feeeef,0xff1003fe,
    0x40135555,0x82fcc0ff,0x7dcc1ff8,0x1ff880df,0x200ffc80,0xfeaaabf8,
    0xfb006884,0x7e40001f,0x7540003f,0xff1003ff,0x3ff10003,0x881ff900,
    0x006881ff,0x7c401fee,0x006fd9af,0x1a207fcc,0x7c400ff8,0x07fc000f,
    0x7fc417e6,0x109ff301,0xffb003ff,0xccccdd80,0x500904fe,0x880005ff,
    0x220001ff,0x801ffc8e,0x88001ff8,0x7fd801ff,0x0901ff88,0x8803fdc0,
    0x07ff11ff,0x2407fcc0,0xf8803ff0,0x07fc000f,0x7fc417e6,0x103ff601,
    0xbff003ff,0x4fd834c0,0x5ff88010,0x1ff88000,0x744ba000,0x1ff8806f,
    0x01ff8800,0xff886ff8,0x7dc00101,0x43ff1007,0xf3001ffa,0xfb50101f,
    0x7fc409df,0x207fc000,0x3ff105f9,0x2217fdc0,0x7fdc01ff,0x7ec0b601,
    0xefd80804,0x7c400c00,0x89b0001f,0x7c403ffa,0x7c41801f,0x0ffdc01f,
    0x0400ffc4,0x4401fee0,0x077e41ff,0x0007fcc0,0x00ff8800,0x3e607fc0,
    0x403ff105,0x7fc40ffd,0x813fe201,0x013f6069,0x01ffb871,0x7fc401c4,
    0x905b8001,0x7fc403ff,0x3e224401,0x17fe201f,0x2200ffc4,0x803fdc04,
    0x5fe81ff8,0x000ff980,0x7fcc0062,0x207fc001,0x3ff306f9,0x2617fe60,
    0xdfd101ff,0xfb017401,0x3e61e80b,0x802c804f,0x54001ff9,0x0dff100f,
    0x36017fc4,0x880ffcc1,0xff100efd,0x5c01d803,0x3ff3007f,0x9809ff30,
    0x3fe001ff,0x03ffa802,0xf503fe20,0x20bfea0f,0xfa80dfea,0x1ffdcc2f,
    0xfe803f20,0xfe8fd306,0x00fe5406,0x7001ffd4,0x5ffc809f,0x4439ff50,
    0xffa87ea9,0x01ffdcc2,0x6c40ffe6,0x00ffc807,0xf703ffa8,0x17fd407f,
    0x4c03ff00,0x01cffffc,0xb9f7ff54,0xf931dffe,0xdfffffff,0xfff9307b,
    0x179bffff,0x1f7fec40,0x3fffffae,0x2e4fffff,0xffffffff,0x4c07ffff,
    0x01cffffc,0x213fffae,0x4fffffc8,0xffffff93,0x4c9fffff,0xeefffffc,
    0x2e600bcd,0xfffffffe,0x36a04fff,0x980befff,0x81cffffc,0x3264fffd,
    0x801cffff,0x00000018,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555000,0x75555555,0x00000001,
    0x95100000,0x2ee60037,0x02cba801,0x22050150,0x00080aca,0x550aaaa0,
    0xaaaaa835,0x542aaa21,0x55532aaa,0x81554c55,0x2ea1bcb9,0x0130500b,
    0x4000c000,0x20014000,0x00164009,0x544004a8,0xd90b10bc,0x4407fb35,
    0x80efaaed,0x0efcacd8,0x20b61660,0x43ffb9dd,0x4c000cfa,0x2ff547fc,
    0x302fff66,0x3ffa619f,0x43bff711,0x9ed84fc8,0xdacdbfd9,0x3442d84f,
    0x53ae2000,0x59db70ea,0x04da83a6,0x40098005,0x0950002c,0x7ed57640,
    0x11fcc1dc,0x2e2f40ff,0x7dc2e85f,0x6c83f106,0x43fd86c8,0x2001dfc8,
    0x05fa87f8,0x30d105ff,0x707fb0ff,0x7d45f709,0x221fec4f,0x4002e41f,
    0x75c0cfc9,0xeddb9ace,0x1413e221,0x59002600,0x4012a000,0xb84fd86b,
    0x5c07fc1f,0x2e37c42f,0x441ff987,0x2a0fd45e,0x00ff983f,0x3e005dd5,
    0xf705fa87,0x3f605909,0x0742fd41,0x3ff10fdc,0x0ec86fb8,0x6d400fe2,
    0x407e00be,0x0a09d04d,0x2c801300,0x30095000,0x81ff907f,0x40ff4c18,
    0xdfb000fe,0x85ffdddd,0x217e60fd,0x07fd01fc,0x200bfd98,0x105fa87f,
    0x2a0681ff,0x307fcc4f,0x3fe60c0b,0x87feeeee,0x017e46f8,0x75005bd7,
    0x209d0580,0x2004c002,0x0950002c,0xebb83f90,0x3b36a03f,0x2007f81f,
    0x93f2005e,0x1fe81ff8,0x22009fb0,0x87f81cfc,0x8ff605fa,0x363fc04a,
    0x200b24fc,0x8007fdd9,0x87fe25fc,0x2001cfc8,0x7415c00d,0x09800504,
    0xa8001640,0x2e1fe804,0x7d30bfb4,0x3fe20fec,0x400df001,0x21fee2fe,
    0x9f902ff8,0x44fc8800,0x205fa87f,0x900366f9,0x9fe3665f,0xf86f4406,
    0x7fd4000f,0x77d53f60,0x98068000,0x00504e85,0xffffb098,0xffffffff,
    0x3ffffee9,0x5fffffff,0xf92d4bfe,0x7ec3fa8b,0x8203ff81,0xf98200fe,
    0x7f41fec6,0x4007f904,0x3fc0bed9,0x3fa02fd4,0x5f98058a,0x12abf63b,
    0x0ffc4f98,0xf98bfa00,0x005f6d46,0xd07500d0,0x13000a09,0x50002c80,
    0xb37fd009,0x07f43fb8,0x17fa07f6,0x5c17f61c,0x1fa17d41,0x0fe41bee,
    0xf016f540,0xa80bf50f,0xfd002cdf,0x06efd4b3,0x3fe81fb0,0xd87f5090,
    0x19f9300f,0x0d805700,0x800504e8,0x00164009,0xefd804a8,0x3e0fe40e,
    0x207fa21f,0x21d43ffa,0x82cc4ffa,0x221fc46c,0x205e80ff,0xe801cfc8,
    0x402fec1f,0x3ee006ff,0x202ffc2f,0x0ffe41ff,0xf317a06e,0x3bf71003,
    0x5a807440,0x0282dda8,0x0b2004c0,0x4c025400,0xc86e81ff,0xcfeecaef,
    0x677ff40c,0xbfffb06f,0x216c03fd,0x22fe40f9,0xbfd980eb,0x277f2000,
    0x01affbda,0xf8800ff2,0x6c02fc86,0xfedc88df,0x6a85fcef,0xea8002d8,
    0x0affa82e,0x8001df91,0x2004c002,0x0950002c,0xeb8dff10,0x74ffd980,
    0x3ff201df,0x3ff200cf,0x42c402ff,0xecefb83a,0x01774c0d,0x8effe880,
    0x7c402efa,0x4416c000,0xfffe9807,0x19fffd12,0x004981b0,0xe99fecc0,
    0x71dfed98,0x0014001d,0x00590026,0x276012a0,0x01decefb,0x0c400404,
    0x00006600,0x0cc03300,0x22098000,0x20006001,0x19800601,0x00000310,
    0x01128800,0x005000a0,0xdddd9098,0xdddddddd,0x4c04a807,0x00000cc2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05000000,
    0x33310980,0x33333333,0x00088013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaab8000,0xaaaaaaaa,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaaa980,0x55532aaa,0x40aaa635,0x802ee649,0x817730b9,
    0x22000bb9,0x00c00c00,0x00000051,0x00000000,0x20330000,0x11100880,
    0x3bbbbbae,0x74eeeeee,0xffffffff,0x130bffff,0x00000100,0x6666676c,
    0xdff713ff,0xd50bfe21,0xdfff91ff,0xf71ffb50,0x3ff23fff,0x0df000ef,
    0x81ae05c8,0x079001fc,0x982dfd98,0x4e441dfd,0x775c41ec,0x5eddc40b,
    0x2fb97e20,0x88b05ff5,0x12ff82fe,0x11111111,0x222b3111,0x88888888,
    0x3baa0888,0x02880bef,0x20360000,0x0ffc85fd,0xff3103f3,0x10ffa259,
    0x32259ff1,0x9fb11cdf,0x36013200,0x84c0eb85,0x220130fb,0x267600fe,
    0x227620fd,0x8bf2dc6e,0x746b88be,0x27fa97e2,0x8dff74fe,0x227c44fc,
    0x220003f9,0x21b00005,0x98adfda8,0x2000000d,0xb00ffb83,0xff007abf,
    0xff04fb83,0x540ff983,0xd800005f,0xff103ae5,0x417f2f35,0x41104bad,
    0x10f202f9,0x8599be61,0x7ec1f11d,0x1fecff30,0x30fb0d13,0x40005c8f,
    0x29800058,0x03bfd710,0xf9800000,0x37fe201f,0x4c0ff803,0xf01ff05f,
    0x000df30f,0x03af7600,0x7e6dff5c,0x07a5a81d,0x06981ea0,0x164db393,
    0x2a1fbad4,0x2fb97e3f,0xa82741d4,0x22000121,0xdddddd75,0x09dddddd,
    0x00000000,0x2a00ffa0,0x0ff800ff,0x0fe82fcc,0x46f987f8,0xfffffffd,
    0xd04fffff,0x9fd1001f,0x0d307401,0x3f6a05b0,0x5cdb35c5,0x47f53c84,
    0xfa93a0f9,0xbda83221,0x40000000,0x11111110,0x01111111,0x00000000,
    0x2200bfb0,0x0ff804ff,0x0fe82fcc,0x06f987f8,0xbbd70000,0x6edfed40,
    0x6c2640be,0x2a012e03,0x26e97e2f,0xe83e60e8,0x445b16e6,0x00000ea7,
    0x00000000,0x00000000,0x000ffa80,0xf805ff5b,0xe82fcc0f,0xf987f80f,
    0xeb800006,0x5ff10bb0,0x6997f6d3,0x07701d10,0x7dfb07c0,0x6ef549fb,
    0x5deecc2e,0x401a0dc0,0xcc88a219,0xcccccccc,0x222223cc,0x08888888,
    0x00000000,0x1ff98000,0xff53b808,0x2607fc01,0xf01fd05f,0x200df30f,
    0x40eb802a,0x1f71a85d,0x2e02d86e,0x2dd56e44,0x10884a86,0x01006603,
    0x3ff10000,0x5ddc4ff6,0xbbbbbbbb,0xfffff12b,0xbfffffff,0x00000000,
    0x03fe8000,0x2fe45987,0x6f981ff0,0x0ff01fd0,0x1fe00df3,0x17601d70,
    0x05981fc8,0xdddd70d8,0x15f74c5d,0x00000000,0x321fd000,0x0000002f,
    0x00000000,0x5fc80000,0x20fcc770,0xff884ff8,0xff83fd40,0x2607fc41,
    0x8035007f,0x9301400a,0x00000000,0x00000000,0x00080000,0x00000000,
    0x00000000,0xeeeeffa8,0xbff53ffe,0x50dfffc8,0x3ae7dffd,0xffb31dff,
    0x37ff6e7d,0x03bffd73,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_28_latin1_x[224]={ 0,2,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,2,0,1,0,1,1,0,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,1,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_28_latin1_y[224]={ 22,4,4,4,3,4,4,4,4,4,4,6,19,15,
19,4,4,4,4,4,4,5,4,5,4,4,10,10,7,11,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,4,4,4,26,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,6,10,10,10,10,10,10,4,4,4,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,5,4,7,5,
4,4,5,4,4,10,11,15,4,2,4,6,4,4,4,10,5,12,21,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
 };
static unsigned short stb__times_28_latin1_w[224]={ 0,4,8,13,11,21,19,3,7,8,10,14,5,7,
4,8,12,8,12,10,12,10,11,12,11,11,3,5,14,14,14,10,22,18,16,16,18,15,14,18,18,8,10,19,
15,22,19,18,14,18,18,12,15,18,18,24,18,18,15,6,8,7,12,14,5,12,13,11,13,11,11,13,13,7,
7,13,7,20,13,12,13,13,9,8,8,13,13,19,13,13,11,8,3,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,13,13,
3,10,8,19,8,12,14,7,19,14,8,14,8,7,5,13,13,4,5,5,8,12,18,18,19,10,18,18,18,18,
18,18,23,16,15,15,15,15,8,8,8,8,18,19,18,18,18,18,18,11,18,18,18,18,18,18,14,12,12,12,
12,12,12,12,17,11,11,11,11,11,7,7,8,8,12,13,12,12,12,12,12,14,13,13,13,13,13,13,13,13,
 };
static unsigned short stb__times_28_latin1_h[224]={ 0,19,9,19,21,19,19,9,24,24,11,15,8,3,
4,19,19,18,18,19,18,18,19,18,19,19,13,17,13,6,13,19,24,18,17,19,17,17,17,19,17,17,18,17,
17,17,18,19,17,23,17,19,17,18,18,18,17,17,17,24,19,24,10,2,6,13,19,13,19,13,18,18,18,18,
24,18,18,12,12,13,18,18,12,13,17,13,13,13,12,18,12,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,22,19,13,17,
24,23,4,19,9,13,6,3,19,2,9,15,10,10,6,18,23,3,6,10,9,13,19,19,19,19,23,23,23,22,
22,22,17,23,23,23,23,22,23,23,23,22,17,23,24,24,24,23,23,11,19,24,24,24,23,23,17,19,19,19,
19,18,18,19,13,17,19,19,19,18,18,18,18,17,19,17,19,19,19,18,18,11,14,19,19,19,18,24,24,23,
 };
static unsigned short stb__times_28_latin1_s[224]={ 232,251,172,177,124,89,215,252,1,37,104,
31,181,246,245,137,22,40,27,87,14,227,131,214,188,10,252,249,217,220,123,
163,164,75,30,235,160,179,230,98,145,164,75,116,144,196,55,35,1,232,211,
74,195,190,146,165,125,106,90,141,1,148,115,196,193,60,174,73,200,85,223,
209,235,86,224,102,94,56,42,110,28,14,245,246,173,138,152,166,28,132,16,
206,156,215,235,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,232,250,39,
117,232,182,160,136,187,54,145,97,205,246,143,211,154,16,128,137,199,238,1,
251,187,246,163,204,196,177,157,146,34,228,147,51,86,105,66,53,70,95,111,
70,127,86,166,247,47,208,46,65,84,189,15,92,205,103,122,187,20,1,231,
1,27,76,224,119,1,14,186,219,40,52,64,63,94,102,110,136,124,16,111,
237,150,1,42,77,46,136,191,163,49,23,9,175, };
static unsigned short stb__times_28_latin1_t[224]={ 25,1,186,50,50,74,74,88,1,1,186,
170,186,147,165,74,94,114,114,94,114,94,94,94,94,94,74,114,170,186,170,
94,1,114,152,74,152,152,152,94,133,133,133,133,152,133,133,94,152,1,152,
94,152,114,114,114,152,152,152,1,94,1,186,193,186,170,94,170,94,170,114,
114,114,133,1,133,133,186,186,170,133,133,152,133,133,170,170,170,186,114,186,
1,1,1,186,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,25,50,50,
94,170,133,1,26,193,94,186,170,186,147,94,193,186,170,186,186,186,94,26,
21,186,170,186,170,74,74,74,74,26,26,26,50,50,50,152,26,26,26,26,
50,26,26,26,26,152,26,1,1,1,26,26,186,50,1,1,1,50,50,133,
74,74,74,50,114,114,74,170,133,74,74,74,114,114,114,114,133,74,152,74,
50,50,133,133,186,170,50,50,50,114,1,1,26, };
static unsigned short stb__times_28_latin1_a[224]={ 101,135,165,202,202,337,315,73,
135,135,202,228,101,135,101,112,202,202,202,202,202,202,202,202,
202,202,112,112,228,228,228,180,373,292,270,270,292,247,225,292,
292,135,157,292,247,360,292,292,225,292,270,225,247,292,292,382,
292,292,247,135,112,135,190,202,135,180,202,180,202,180,135,202,
202,112,112,202,112,315,202,202,202,202,135,157,112,202,202,292,
202,202,180,194,81,194,219,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,101,135,202,202,202,202,81,202,
135,307,112,202,228,135,307,202,162,222,121,121,135,233,183,101,
135,121,125,202,303,303,303,180,292,292,292,292,292,292,360,270,
247,247,247,247,135,135,135,135,292,292,292,292,292,292,292,228,
292,292,292,292,292,292,225,202,180,180,180,180,180,180,270,180,
180,180,180,180,112,112,112,112,202,202,202,202,202,202,202,222,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_28_latin1_BITMAP_HEIGHT or STB_FONT_times_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_28_latin1(stb_fontchar font[STB_FONT_times_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_28_latin1_BITMAP_HEIGHT][STB_FONT_times_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_28_latin1_s[i] + stb__times_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_28_latin1_t[i] + stb__times_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_28_latin1_x[i];
            font[i].y0 = stb__times_28_latin1_y[i];
            font[i].x1 = stb__times_28_latin1_x[i] + stb__times_28_latin1_w[i];
            font[i].y1 = stb__times_28_latin1_y[i] + stb__times_28_latin1_h[i];
            font[i].advance_int = (stb__times_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_28_latin1_s[i] + stb__times_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_28_latin1_t[i] + stb__times_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_28_latin1_x[i] + stb__times_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_28_latin1_y[i] + stb__times_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_28_latin1_LINE_SPACING
#endif

