// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_34_latin1_BITMAP_HEIGHT        286
#define STB_FONT_times_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_34_latin1_FIRST_CHAR            32
#define STB_FONT_times_34_latin1_NUM_CHARS            224

#define STB_FONT_times_34_latin1_LINE_SPACING          22

static unsigned int stb__times_34_latin1_pixels[]={
    0x00620100,0x42000010,0x26600019,0x00440009,0x36330c00,0xd54eeeee,
    0x801ddddd,0x0abdcb98,0x3ffa2000,0xaa880000,0x002aaaaa,0x0001776c,
    0x001dff10,0x001f7540,0x20003971,0x2fe4c1c8,0x00032200,0x02647722,
    0x979bb930,0x910039fd,0x3f60003b,0x2aaaa995,0x55df75fd,0xcefb8055,
    0x004ffdbb,0x000ffe20,0x5ffffed4,0x2002afba,0x0006fffa,0x0003fee0,
    0x6c00bfb0,0xa800bb0c,0x2ffee41e,0x00174400,0x804c85d3,0x2a201dea,
    0x2e9800dc,0x996ff800,0x2fdd7ee0,0x104fd880,0x20003df9,0xfa8005f9,
    0xf10fffff,0xd8df8800,0xfb00003f,0xef880003,0xfa8d5000,0x403f3002,
    0xd10005fe,0x909d1007,0x001ec809,0x7d40174c,0xc8e4c001,0x3eebf704,
    0x03ff8805,0x0001ffe8,0xffa800f5,0xf10fffff,0x7dc4b800,0x02f80000,
    0x000fa800,0x00bf70f6,0x5fd805f1,0x007e6000,0x209903f9,0x10000dd8,
    0x00df001d,0xbf704c80,0x3f6017ee,0x0dfd1007,0xb0016400,0x1fffffff,
    0x048801e2,0x3a800093,0x003b0000,0x0b622fc4,0x3f601fa0,0x03640005,
    0x41320bfa,0x6880005e,0x0007fc40,0x57ee0990,0x7fdc05fb,0x0ffea003,
    0x3e000800,0x0fffffff,0x000000f1,0x00000400,0x03ff0003,0xb009f900,
    0xf98000bf,0x320ffe03,0x0000ec84,0x7fcc0390,0x41320001,0x40bf75fb,
    0x44007ff8,0x98800fff,0x400abdcb,0xfffffff8,0xaaa8f10f,0x102aaaaa,
    0x05555555,0xabdcb988,0x20000000,0x7c002ffc,0x05fd800f,0xd00fe800,
    0xfa89909f,0x0c435001,0x0ffa80ea,0x20990800,0x40bf75fb,0xe8006ffa,
    0x77dc02ff,0x04fecaac,0x7ffffff4,0xea88f10f,0x101bffff,0x017fff93,
    0x655677dc,0x3bb204fe,0x76c42eee,0x7ff440de,0x00df5002,0x7fe457f6,
    0x0bf9002e,0xd13217f6,0xbbec8809,0x02c46fac,0x5c400ff7,0x3ee0995e,
    0x7dc0bf75,0xffc8005f,0x409fd304,0xff901efc,0x221fffff,0x03fff307,
    0xd300fe40,0x0f7e409f,0x200fffb8,0xfff900ef,0x009fd009,0x7fff57f6,
    0x7fa803ff,0x4990df90,0x13a201f9,0x40d09fd9,0xff9006fc,0x7dc132bf,
    0x7ec0bf75,0xffc8004f,0x803ff885,0xff981ffb,0xf10fffff,0x0007ffc0,
    0x1ffc40f7,0xd80ffdc0,0x05f100ff,0x17ffa2ae,0xb003ff98,0xfd517bbf,
    0xffa801ff,0x4c83fb80,0x50dd01b2,0x203903ff,0x7fc005f9,0x57ee0995,
    0x3ffa05fb,0x7ffb8004,0x3a007fd8,0xfffd306f,0xe81e21ff,0x03d4007f,
    0x7f400ffb,0x207ff106,0x6c45906b,0x7ff504ff,0x20bff600,0x7cc05ffc,
    0xc80fb82f,0x1fd80fe4,0x03b07fb8,0x3fa002f4,0x57ee0775,0x3ff605fb,
    0x6ffb8004,0x7001ffdc,0x36e207ff,0x40f10ffe,0x354007fe,0x2003ffb8,
    0xdfb03ffb,0x03e20fa0,0x3ee07ff2,0x0bfb002f,0xf101ffe2,0x3207d09f,
    0x3f203f34,0x1a09fb05,0x6c001f50,0x75fb805f,0x2ffe40bf,0x12ffe400,
    0xff000fff,0x443e001f,0x001ffa07,0x0fff10d5,0x301fff00,0x80f985ff,
    0x213f607a,0xfb001ffc,0x007fec0b,0x01c997fe,0x4c07d532,0x05ff00ff,
    0x059100b1,0x2e017f60,0x540bf75f,0xfd8006ff,0x01bfe64f,0x400bffa0,
    0x7f40f10f,0x4c354007,0xfe8006ff,0xc8dfb02f,0x2203f905,0x00ffd86f,
    0x7e40bfb0,0xcbffc01f,0x0f54c806,0x7fcc13f6,0x32003a80,0x805fd806,
    0x40bf75fb,0xe8007ff9,0x17fee2ff,0x013ff600,0x3a07887c,0x4354007f,
    0xd8005ffb,0x5ff304ff,0x2fd407e2,0x3ff90db0,0xb817f600,0xb7fc00ff,
    0x53200cb8,0x02ff886b,0x00b20dfb,0x7ec00e5c,0xf75fb805,0x01fff80b,
    0x3f237fc0,0xffc8004f,0x1e21f005,0x54007fe8,0x004ffc86,0x3a05ffc8,
    0x7c40d76f,0xf507904f,0x17f6005f,0x7c407fa8,0xc80f445f,0x1ff50f54,
    0xd107ff50,0x002d8801,0x3ee017f6,0xfa80bf75,0x3fee005f,0x001fff42,
    0xf803ffdc,0x3ff40f10,0x3fa1aa00,0xffb8003f,0x3a7fea07,0x06ffdc03,
    0x0bfe603a,0xf702fec0,0x84ff880d,0x1e69907c,0x3f621bee,0xd803c81f,
    0x9afec006,0x3eebf701,0x01ffc805,0xffd0bff0,0xdff70009,0x03c43e00,
    0x6a800ffd,0x8004ffe8,0x7f406ffb,0xffc800fe,0x7fc0390e,0x40dfb003,
    0x7fcc03fd,0x4c82fa83,0x0ffb81f1,0x503fe362,0x009f100d,0x20995fd8,
    0x00bf75fb,0x3f2017f6,0x00bff905,0x200bff90,0x7f40f10f,0x64354007,
    0xfc8005ff,0x27fd405f,0x3bfff700,0xb004fe80,0x0df101ff,0xf703ff50,
    0x2174990b,0x8ecadff8,0x837227f8,0x006fb819,0x704cafec,0x4017eebf,
    0xd880efd8,0x1bfee05f,0x00fff600,0x3a07887c,0x435c007f,0xd8006ffb,
    0x1fe803ff,0x07ffd400,0x6c017f20,0x0fecc5ff,0xfd82fdc0,0x21ae4c86,
    0x3a0dfffc,0x0683dddf,0xfd800ff9,0x57ee0995,0x6cc005fb,0x1dfeccef,
    0x003ffd40,0xf8017ff4,0x7ff40f10,0x2a1ae000,0xfe8007ff,0x006c802f,
    0x880dff30,0xbdfb007f,0x001dfb9f,0x27f40bfa,0x301f1264,0x01551015,
    0x07fd40f2,0x132bfb00,0x05fbafdc,0xbffff500,0x00fff400,0xf801bfe0,
    0x7fec0f10,0x74172000,0x7fc001ff,0x0007d006,0x2e00ffcc,0x15fd802f,
    0x7cc00155,0x320ffe06,0x00002e44,0x1ff981a2,0x2653f600,0x0bf75fb8,
    0x7fff4400,0x0bff5002,0x000ffdc0,0xfb81e21f,0x40fa002f,0x2e005ffa,
    0x0f9801ff,0xfa837100,0xd804e803,0x7e40005f,0x320bfa02,0x00003e84,
    0x7fc403d1,0x64ff6000,0x3eebf704,0xffd80005,0x3ffb000f,0x0013fe00,
    0xf981e21f,0x01f5005f,0xf800ffec,0x009d004f,0x07e22fd4,0xfb007e20,
    0x03f8000b,0x42640fec,0x440002f8,0x007f801e,0x704c97ec,0x0017eebf,
    0x00fff540,0x2006ff44,0x7c000dfd,0xffa80f10,0x2017d402,0x6c00dfe8,
    0x70a880df,0x45f8800d,0x01ae0069,0x64000bfb,0xc84f9805,0x0009d104,
    0x3e6007aa,0x99374003,0x2fdd7ee0,0x3f660000,0x0efc801c,0x0003fe98,
    0x3201e21f,0x32a20bff,0x3bf2004f,0x203fe980,0x001ffffe,0x00b625c8,
    0x3fa01b50,0x01b90006,0x09903ae0,0xa800aec8,0x0bb000ce,0x3f897fc4,
    0x7ffff532,0xfffff75f,0x5100001f,0xfd9807b9,0x01dffdde,0x03c43e00,
    0xfefffeb8,0xd98003ef,0x1dffddef,0x01ffff40,0x01799500,0xf5032200,
    0x640015ff,0x23ea8002,0xdec8804c,0xcedcaaac,0x807d5000,0x43edfff8,
    0x3333314c,0x00000001,0x01551000,0x00912000,0x01aaaa98,0x01551000,
    0x00015c40,0x90c00000,0x00999999,0x53000022,0x753000aa,0x98003579,
    0x5971000a,0x00005501,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000dff3,0x003bfe20,0x00fbae00,
    0x03eeb800,0x1ffd1000,0xdc880000,0x10000383,0x80001dff,0x441bdcca,
    0x04ffb802,0x17fec000,0x207ffc00,0x327dc03a,0x2a0001bd,0x800001ff,
    0x80001ffa,0x000ffff8,0x1ffff880,0x7ff10000,0xfff80000,0x000912ef,
    0x0007fea0,0xaacefeb8,0x004ebdec,0x80000dfb,0xfa8004ff,0x027fcc1f,
    0x3ff21fff,0x0fee0002,0x0bf60000,0x5c76c000,0xed80005f,0x00005fb8,
    0x800017e6,0xffffc8aa,0xfb00001f,0x3f620003,0x13fee00d,0x0000fe80,
    0x2000bf30,0x4ffa82fc,0xffa97f20,0x03640000,0x001fc000,0x3ea0e980,
    0x83a60001,0x200002f9,0x700000fa,0x003feb88,0x4000fe00,0xf7005fe8,
    0x01f4400b,0x0006c800,0x00bb80fe,0x00000404,0x4c00001b,0x03200004,
    0x0c800162,0x40000588,0x0000002b,0x02540000,0x001ffb00,0x162002e4,
    0x00074000,0x00000498,0x00000000,0x00000100,0x00000000,0x80020000,
    0x00aaaaa8,0xaaaaaa88,0x80002001,0x4c003ffb,0x00008006,0x00400010,
    0x55000000,0x05555555,0x2aaaaaa2,0x55555552,0x2aaa2055,0x4c402aaa,
    0x000abdcb,0x00005500,0x51000aa0,0x100bfff9,0x017dff93,0xe8002a80,
    0x248001ff,0xaaaaaaa8,0xaaaaaaaa,0x55555440,0xaaaaaaaa,0x555440aa,
    0x221aaaaa,0x77777642,0x86f76c42,0xbffffea8,0xfff93101,0x3ffaa217,
    0x93101bff,0x5c017fff,0xfecaacef,0x05e80004,0x00bd0000,0x027ffcc0,
    0x20001f90,0x7fcc005e,0x4c410007,0xeeeefffc,0x42fffeee,0xeefffc98,
    0xfffeeeee,0xffffb982,0x2e0e60ad,0x3be00fff,0x01fff980,0x7cc07f20,
    0x3f2001ff,0x813fa601,0x30001efc,0x800003ff,0x20001ff9,0x7002fffb,
    0x3fe6000f,0x17ff2001,0x5ff90000,0x3202fa80,0x17d402ff,0x2a0bff70,
    0x201ffb04,0x3ffe02f8,0xf01ee000,0x3dc001ff,0x7007ff10,0xf90003ff,
    0xc800009f,0x2a0004ff,0xb801ffff,0x9ff90006,0x027fec00,0x0bfee000,
    0xffb80f20,0x2a03c802,0x20b704ff,0x0d703ff8,0x54007fe8,0x003ff407,
    0x07fd81ea,0x1001bfa0,0x0001ffff,0x03fffe20,0x7fe75400,0x0035c00e,
    0x007fffc4,0x0004ffe8,0x4017fdc0,0x0bfee039,0xffa80e60,0x7ec0d904,
    0xfe807d06,0x20354007,0x354007fe,0x2003ffb8,0x2e003ffb,0x0003ffce,
    0x07ff9d70,0x7fedaa00,0x40035c06,0x003ffceb,0x00009ffd,0x1002ffb8,
    0x8017fdc0,0x413fea00,0x0bfe607d,0x7fe801f3,0x3a035400,0x4354007f,
    0xf8007ff8,0x17d000ff,0x20000dff,0x006ff8be,0x3ffa2d50,0x2001ae04,
    0x006ff8be,0x0000bffb,0x0402ffb8,0x2017fdc0,0x04ffa800,0x46fd80fd,
    0x07fe805c,0x3fa03540,0x4c354007,0xfe8006ff,0xb0fa802f,0xa80003ff,
    0x003ffb0f,0x7ffccd50,0xa800d703,0x003ffb0f,0x0000fff7,0x2202ffb8,
    0x02ffb804,0x3fea0122,0x4c01ff04,0x003f12ff,0x6a800ffd,0x2003ff40,
    0x05ffb86a,0x804ffd80,0x017fea4d,0x7fd49b00,0x546a8005,0x06b81fff,
    0xbff526c0,0x01fff500,0x17fdc000,0xff700970,0x54025c05,0x03ff04ff,
    0x00d76fe8,0xd5001ffa,0x4007fe80,0x04ffc86a,0x405ffc80,0x07ff40f9,
    0x740f9800,0x354000ff,0x2e07ffe4,0xd03e6006,0xffd001ff,0x7dc00003,
    0xba9999bf,0xbffb804e,0x4eba9999,0x884ffa80,0x7fd402ff,0xffd003e9,
    0x7406a800,0x4354007f,0xb8003ffe,0x42e407ff,0x90003ffb,0x007ff70b,
    0xdffb06a8,0x172006b8,0x2e00ffee,0x0b8006ff,0xffffffb8,0xb804ffff,
    0xffffffff,0xffa804ff,0x803ff984,0xd000fefe,0x06a800ff,0x2a003ff4,
    0x004ffe86,0x2206ffb8,0x06ff882f,0xf882f880,0x8354006f,0x1ae5ffe8,
    0x7c417c40,0xbffd006f,0xfb81d400,0x009d302f,0x3a605ff7,0x84ffa804,
    0xfa804ffa,0x1ffa004f,0xfe80d500,0x64354007,0xfc8005ff,0xc81ae05f,
    0x35c002ff,0x4005ff90,0x3ffe206a,0x1ae00d73,0x8802ffc8,0x5a804ffd,
    0x980bfee0,0x02ffb804,0x3fea0126,0x005ffb84,0x7f4003fd,0x2035c007,
    0x35c007fe,0x40037fdc,0x3fa03ffd,0xffffffff,0x7ff4005f,0xffffffff,
    0x301aa005,0x00d75fff,0x3ffffffa,0x2005ffff,0x221beffc,0x7fdc04db,
    0x7dc02402,0x5402402f,0x5ffb84ff,0xe800d900,0x1ae000ff,0x4001ffd0,
    0x07ffa86b,0x502ffe80,0x3333333f,0x2001ffd3,0x999999fa,0x000ffe99,
    0xfff700d5,0x33f500d9,0xfd333333,0x7edc001f,0x02dfffff,0x0002ffb8,
    0x0002ffb8,0xf984ffa8,0x007d003f,0x2000ffd8,0x07fec05c,0x3fa0b900,
    0x37fc001f,0xff5009b0,0x20136009,0xd5004ffa,0x1bfff200,0x3ea01360,
    0x5d30004f,0x7fdc0013,0xffb80002,0xffa80002,0x26007504,0x7fdc000f,
    0x700fa002,0x1f4005ff,0x2005ffa8,0x1f101ffb,0x201ffe00,0xfff000f8,
    0xe801ea00,0x07c406ff,0x0007ff80,0xf70007f9,0xb82c005f,0x416002ff,
    0x80004ffa,0xff98004e,0x801f5005,0xf5005ff9,0x00ffec01,0x17604ff8,
    0x403ffc80,0x3ff2005d,0x2007b803,0x2ec06ff8,0x007ff900,0x8003ff70,
    0x79002ffb,0x400bfee0,0x09ff503c,0x21510791,0x3ea0006b,0x017d402f,
    0x5402ffa8,0x6ff4402f,0x806fec00,0x3ea003f8,0x00fe207f,0xd807ffa8,
    0x1be6001f,0x2a003f88,0xfb0007ff,0x3ffc8003,0xf900fa80,0x01f5007f,
    0x3f213fee,0x7ffff42f,0x7fe40001,0x13f2a20b,0x417ff900,0x2004fca8,
    0xfe980efc,0x001ff403,0x3a0bfff3,0x3fe6003f,0xfffc885f,0x0d5003df,
    0xf3001ff4,0xf9800bff,0xdffd8006,0xc9999999,0x37ff606f,0xc9999999,
    0x1bff606f,0xffd07fee,0x2e00007f,0xeffefffe,0xffd70003,0x007dffdf,
    0xfbbdfb30,0x7fdc03bf,0x36202eff,0x74ffffff,0x405dffff,0xffffffd8,
    0x81800004,0x02effffb,0x3fffff62,0x56e4404f,0xffd93000,0xffffffff,
    0xec987fff,0xffffffff,0x443fffff,0xcefffffc,0x0ae206a1,0x554c0000,
    0x300001aa,0x00035555,0x0002aa20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x37ba2000,0x07ffa000,
    0x707b9100,0x013baa00,0x007ff900,0x0b987500,0x44173000,0x1b88001b,
    0x98000154,0x2e600001,0x4c006e20,0x0006e20b,0x401c8000,0x00cb8009,
    0x004fffd8,0x88013fa2,0x912effff,0x3ffff100,0x02ff4000,0xf1ffcc00,
    0xff1000bf,0x4003fecb,0x7ff50ffc,0x6ef44000,0x7c40000e,0x003ff65f,
    0x0ffc9bfe,0x44000340,0x17bba207,0x4c03ffa8,0x000fe9bf,0xaa801be6,
    0x1fffffc8,0x6fb9fc80,0x00df1000,0x44ffea00,0xf88006ff,0x003ffa5f,
    0x3ea3ff90,0x8ee0003f,0x7c40003c,0x003ff66f,0x0ffd9bfe,0x1acfc988,
    0x64097000,0x7fdc0b63,0xbb117405,0x000f9800,0x02eeb887,0x0ba60e98,
    0x0003ae00,0x05cc3a80,0x220b9800,0x2b88001b,0x360001d4,0x200016a1,
    0x006e20b9,0x05710dcc,0xff9f9fd5,0x01e8005d,0xf704a83a,0xb81540bf,
    0x001dc001,0x10190000,0x00d8001b,0x00000000,0x00000000,0xd8a5c000,
    0x00000002,0x25fa8000,0x400df716,0x5b1e4069,0x0013fea0,0x40010000,
    0x0abdcb98,0x08000000,0xaaaaa800,0x55102aaa,0x88055555,0x00abdcb9,
    0x55555544,0xaaaaaaaa,0xffc8000a,0x2a800004,0x55554400,0x3fe1aaaa,
    0x200d71a1,0x774403c9,0x4ffe605f,0xaaaaaaa8,0xaaaaaaaa,0x55555440,
    0x3ee01aaa,0x4fecaace,0x2aaaaa20,0x55531aaa,0x22055555,0x11aaaaaa,
    0x37ffffd5,0x3fff2620,0x33bee00b,0x204fecaa,0xeefffc98,0xfffeeeee,
    0x00bd0002,0x0017a000,0x37fffee6,0x341ff30a,0xffea81a2,0x009800df,
    0xc9897fc4,0xeeeeefff,0x982fffee,0x0adffffb,0x3204fe98,0xff7301ef,
    0x32615bff,0x01bfffff,0x17fffd51,0x001fff98,0xfe9807f2,0x007bf204,
    0xfa805ff9,0x1ff98002,0x7fcc0000,0xbff70001,0x4345ff30,0xf317fb05,
    0x000803ff,0x5ff903ff,0x2e02fa80,0x3fe205ff,0x01ffb803,0xf9817fee,
    0xdf5005ff,0x007ffc01,0x7fc40f70,0x01ffb803,0x3200bfee,0x4ffc8003,
    0x7fe40000,0x9ff50004,0x4343bfe0,0x2f21fb80,0xefea86ff,0x07fe03df,
    0x3200bfee,0x813fea03,0x3fa007fd,0x013fea06,0x9001fff7,0x07fe801f,
    0xffb03d40,0x7037f400,0x073005ff,0x0ffff880,0xfff10000,0xff50001f,
    0x27bff609,0x7c5f9806,0x27d47fd8,0x3fa07ff5,0x802ffb80,0x13fea039,
    0x7001ffdc,0x3fea07ff,0x04ffe804,0x7f401fc4,0xb8354007,0x3ee003ff,
    0x05ff703f,0x9d700020,0x200007ff,0x003ffceb,0xf104ffa8,0xf900dfff,
    0xe8152d47,0xd83fdc0f,0x005ff707,0x84ffa802,0xf8007ff8,0x4ffa80ff,
    0x01fff880,0x3ff40172,0x3e21aa00,0xfff8007f,0x402ffb80,0xf17d0000,
    0x3a0000df,0x8006ff8b,0x3a204ffa,0x7ec04fff,0xff980b62,0x6407fd40,
    0x805ff706,0x84ffa800,0xe8006ff9,0x4ffa82ff,0x20dff700,0xffd000f9,
    0xf986a800,0xffe8006f,0x202ffb82,0x0fa80048,0x80003ffb,0x03ffb0fa,
    0x404ffa80,0x00efffd8,0x201e25ff,0x80ff983c,0x05ff705b,0x7fd40244,
    0x005ffb84,0xfa84ffd8,0x3ffa004f,0x3a003e83,0x4354007f,0xd8005ffb,
    0x2ffb84ff,0x360012e0,0x0017fea4,0x2ffd49b0,0x013fea00,0x40ffffd4,
    0x000973ff,0x503ffd93,0x80bfee09,0x4ffa804b,0x8004ffc8,0xffa85ffc,
    0x3ffe6004,0xfd001b20,0xc86a800f,0xfc8004ff,0x9bffb85f,0x04eba999,
    0x3fa07cc0,0x1f30000f,0x2000ffe8,0x3e004ffa,0x7f42fffd,0x2a0203d5,
    0x81ff9ade,0x37ff7049,0x09d75333,0xfd09ff50,0xff70007f,0x009ff50f,
    0x3f35ffb8,0x007fe800,0x1fff4354,0x43ffdc00,0xfffffffb,0x64004fff,
    0x003ffb85,0x7ff70b90,0x027fd400,0x91fff2d0,0x06e0d5ff,0x0ffcc5fb,
    0xfffb80c4,0x4fffffff,0xe84ffa80,0xfb8004ff,0x04ffa86f,0x4ebffe80,
    0x007fe800,0x27ff4354,0x437fdc00,0x9d302ffb,0x4417c400,0xf88006ff,
    0x006ff882,0x68013fea,0xffa87fee,0x3a25883f,0x00ffcc1f,0x4c0bfee0,
    0x4ffa804e,0x8005ffc8,0xffa85ffc,0xfff98004,0x7fe8000e,0x7e435400,
    0xffc8005f,0x202ffb85,0x81ae0049,0x5c002ffc,0x00bff206,0xd0027fd4,
    0x7ff44ff8,0x645f511d,0x01ff985f,0x3017fdc0,0x09ff5009,0xb000dff7,
    0x9ff507ff,0x0fff2000,0x003ff400,0x1bfee1ae,0x20fff600,0x02402ffb,
    0xffffffd0,0x800bffff,0xfffffffe,0xf5005fff,0x8d07509f,0x7ffc45fc,
    0x7f44ffff,0x441ff985,0x2ffb80dc,0x7fd40240,0x007ffa84,0xfa82ffe8,
    0xff70004f,0x3ffa0005,0x2a1ae000,0xfe8007ff,0x02ffb82f,0x333f5000,
    0xffd33333,0x267ea001,0xfe999999,0x4ffa800f,0x7ec686a8,0xdffffc83,
    0x220ffc82,0x3ee51ffd,0x02ffb84f,0x04ffa800,0xf8003ffd,0x09ff506f,
    0x00bfee00,0x0007fec0,0x07ffa0b9,0x2e0dff00,0xb00002ff,0x09ff5009,
    0x3ea01360,0x4ffa804f,0xf1341fa8,0x1311f01f,0x6e7ffcc0,0x30deffae,
    0x5ff707ff,0x9ff50000,0x8017fea0,0xff501ffb,0x3fee0009,0x5ff70002,
    0xfa81f400,0x3fee005f,0x005ff701,0x000f882c,0x1f100fff,0x201ffe00,
    0xefa84ffa,0x40ff45a1,0x7fdc005a,0x83dfd0cf,0x05ff7018,0x4ffa82c0,
    0x4007ff60,0x3fea04ff,0x5ff70004,0x17fe6000,0xfb007d40,0x13fe003f,
    0x9002ffb8,0xc8017607,0x02ec03ff,0xa807ff90,0xfeb884ff,0x00dfdfde,
    0x4060005b,0x2ffb8000,0x3ea07900,0x37fa204f,0x006fec00,0x20009ff5,
    0x20002ffb,0x7d402ffa,0x06ff4402,0xc8037f60,0x0fa803ff,0x2a003f88,
    0x0fe207ff,0x407ffa80,0x4c404ffb,0x03c401fb,0xc8000000,0x0fa803ff,
    0x9009ff70,0x7fd301df,0x009ff700,0x000fff20,0x4417ff90,0x32004fca,
    0x3fe980ef,0x99dffd80,0x6fc99999,0x4c007fd0,0x7fd05fff,0x2fffcc00,
    0x400dffb0,0x4004a806,0xccccccc8,0xcccccccc,0x33bffb02,0xdf933333,
    0x8037fec0,0xffddefd9,0xdffb001d,0xbffd1000,0xffd70000,0x007dffdf,
    0xfbbdfb30,0x764c03bf,0xffffffff,0x5c3fffff,0x202effff,0xffffffd8,
    0x5dffff74,0x7fffec40,0xfff914ff,0x28039dff,0x44001b80,0xcccccccc,
    0x2ccccccc,0x3ffffb26,0xffffffff,0x7ffe443f,0x1001ceff,0x32200155,
    0x1cefffff,0x7fffe4c0,0x40000cff,0x001aaaa9,0x00155100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01c1ee44,
    0x4c400000,0x00660001,0x006200a0,0x5c400150,0x1e4000bd,0x000f7640,
    0xacddb988,0x3b2024c0,0x2031002e,0x26000001,0xee9804ee,0x0dee8004,
    0x3fffe000,0x2200912e,0x4026442e,0x0dffefe9,0x88017400,0xfb300feb,
    0x003d800b,0x03fb39f3,0x22003aa0,0xfb8004fe,0x3fecaabe,0x7fcc05f1,
    0xeffc806f,0x0f6c0e21,0x3ee007f7,0x0ff9000f,0xb01ffa80,0x6454c07f,
    0x001fffff,0x0fee37a2,0xfb87be60,0x00f3000f,0x203fff6a,0x4005ffdc,
    0x26e8806a,0x1f8805f8,0x801fe200,0x3f203fd8,0x4f6c04ee,0x336a03fd,
    0x82caefff,0x1ffe5ff9,0x2000ff40,0x3f2002fd,0x40dff302,0x01ff5c43,
    0x000dfe80,0x09ff05fb,0xf70012e0,0x02ffc01f,0x3ee007c0,0x26c03f44,
    0x400fcc00,0xfc804ff8,0xb83aa01f,0x7e4c700f,0x8bfa05ff,0x2f8805fd,
    0x4009d000,0x01ff404f,0xbd300000,0xff1003fd,0x200ff901,0x7fd4002e,
    0x0017f600,0x87f900f2,0x01aa02fd,0xfd804a80,0x6ffb800f,0x412a0320,
    0x0802b881,0x00770008,0x59803440,0x2a800100,0x2a5db000,0x3fcc01ff,
    0x4c00ffa8,0x0ffa8007,0x20017f60,0x21ff406a,0x03f104fd,0x7dc01800,
    0xfbf9803f,0x0008004f,0x18000000,0x30008000,0x2f400000,0xffc81800,
    0x5c1fea00,0x004b806f,0x3600ffa8,0x03f0005f,0x13f61fec,0x0100026c,
    0x100fff10,0x03fff15f,0x00100008,0x00400020,0x01000100,0x1ff98000,
    0xbff10000,0xfd83fdc0,0x1001e804,0xfb007fd4,0x80f2000b,0x41fec4fc,
    0xfea8006b,0xff503dfe,0x7f47d00f,0xfefea83f,0x77f5403d,0x7f5403df,
    0x75403dfe,0x9803dfef,0x200dfffd,0x00dfffd9,0x04ffc800,0xbbfd9100,
    0x1fee05ff,0xf3003bea,0xbeeec880,0x3f600ffa,0x03dffb15,0x8bf30354,
    0x00fc40ff,0xffa93ea0,0x405ffb83,0x227fe45d,0x0ffea4fa,0x7ff527d4,
    0xffa93ea0,0x7d49f503,0x44bb203f,0x2ec82ffd,0x0005ffb1,0x007fffc4,
    0x74c77ea0,0x4ff706ff,0x99004fea,0xd88efcc0,0x3f600fff,0xffffff9d,
    0xfc807e03,0x07b09f50,0xfb81fd00,0x204ffd87,0x2ffe40eb,0x0ff703fa,
    0x0ff703fa,0x0ff703fa,0x0ff703fa,0x3bfa03ee,0x3fa03ee0,0x9d70000e,
    0x7cc007ff,0x81fff884,0x3ff667fb,0xf301e803,0x803ffa0d,0xc88aeefd,
    0x07900fff,0xb83fdec8,0x0ff98006,0x3fa07fd4,0x701f504f,0x07fccfff,
    0xff303fea,0x4c0ffa81,0x07fd40ff,0xff503fe6,0xf905f881,0x6417e25f,
    0x7d0002ff,0x7400dff1,0x09ff700f,0xbff30ff7,0xfd81e601,0x401ff901,
    0xffb80efd,0x0200d305,0x776407cc,0xf983c81d,0x42ffec0f,0xdff702f9,
    0x0ff983c8,0x0ff983c8,0x0ff983c8,0x0ff983c8,0x555567dc,0x9f74ffca,
    0xff955555,0x21f50009,0xfa801ffd,0x21bfe207,0x7ff307fb,0x3fcc1320,
    0x6c01ff50,0x81ffa05f,0x0fa0001f,0x007e43f6,0x907ffb26,0x03e88dff,
    0x93013ff2,0x93003ffd,0x93003ffd,0x93003ffd,0xcfc83ffd,0xaaaaaaaa,
    0x55559f91,0x6e435555,0xff526c01,0x80df900b,0x07fb87fe,0x80f417fa,
    0x3fea06fc,0xc817f600,0x009900ff,0x93ee1720,0x5bd506f9,0xffa83ff3,
    0x3f602ec7,0x35bd503f,0x6f5403ff,0x2a01ff9a,0x01ff9ade,0x3fe6b7aa,
    0xb0017ec1,0x7fcc005f,0xfd03e606,0x06fe801f,0x3ee07fec,0x261fee07,
    0xa817f607,0x17f600ff,0xd301ffa8,0xb01f3000,0x6c0ff85f,0x307fe62f,
    0x01b23fff,0x3f607ffa,0x6c07fe62,0x407fe62f,0x07fe62fd,0x3ff317ec,
    0x3a003fe8,0x3fe2003f,0x3ee17204,0x03ffc03f,0xff703ff2,0x320ffd40,
    0xa81bfe04,0x17f600ff,0x3e00ffa8,0xf8174001,0xe897fc2f,0x40ffcc1f,
    0x00faaffe,0x3a237fc4,0x20ffcc1f,0x7fcc1fe8,0x260ff441,0x0ff441ff,
    0xdfb07fe6,0x01bf6100,0x3e202882,0x406ff882,0x3f200ffd,0x2607fb86,
    0xd00f41ff,0x07fd40ff,0x7d40bfb0,0x90026407,0x3a0ffc0b,0xf30bf93f,
    0xfbff303f,0x83ff7003,0x1ff985fc,0x7fcc2fe4,0x7cc2fe41,0x4c2fe41f,
    0x17fdc1ff,0x0bfee730,0x1ae00398,0x3202ffc8,0x13f201ff,0xff981fee,
    0xffb01e60,0x803fea03,0x17ee05fd,0x3e600d30,0xff0bfa00,0x3e617fa5,
    0x07ff901f,0xfd07ff10,0xe83ff30b,0x41ff985f,0x1ff985fe,0x7fcc2ff4,
    0x80f7fcc1,0x03dff30e,0xd026cc3a,0xffffffff,0x7fcc0bff,0x2e0bf605,
    0x6fb82e7f,0x3fee0264,0x401ff505,0x07fa05fd,0x5d1007e0,0x7fc2fd80,
    0x6c41ff91,0xff8851ff,0x82fec00e,0x3f620ffc,0x83ff251f,0x3251ffd8,
    0x3ff620ff,0x883ff251,0x7ec51ffd,0x3da89bff,0x44dfffec,0x0bff23da,
    0x266667ea,0x00ffe999,0x3e20bff2,0x3eaff904,0x03f0bf65,0xf907ffd0,
    0x82fec03f,0x099004fa,0x5f9804c8,0xfff997ea,0xdeffaedc,0x0f7e6e40,
    0xf301ff44,0xff5db9ff,0x3ffe61bd,0xdeffaedc,0xdb9fff30,0x261bdff5,
    0xfaedcfff,0x3fa20def,0x40ffffff,0xffffffe8,0x203fee0f,0x4ffa804d,
    0x987ffa20,0x4dff605e,0x698bf15f,0x5bfff300,0x39dffdf7,0xf989ff90,
    0xa81a6005,0x37f7000e,0xfffb81dd,0xb83dfd0c,0xbbffb10e,0xf7001bfd,
    0x3bfa19ff,0x867ffdc1,0x7fdc1efe,0x83dfd0cf,0xfd0cfffb,0xfffb103d,
    0x3f6201bf,0x0980dfff,0xff000f88,0xbdff900f,0x3ffa609d,0x213b7ae7,
    0x3fa6004c,0xbffaafff,0x37ffaa00,0x1f8002fe,0xc98003b0,0x040600cd,
    0x35530198,0x00406000,0x40600406,0x80080c00,0x31000a98,0x0bb00015,
    0x801ffe40,0x080000a9,0x220002a0,0x1000a21a,0x4c000153,0x00000001,
    0x00000000,0x00000000,0x00000000,0x22000000,0x3fea003f,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07fd0000,0x02fffcc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5dffff70,0x7fffec40,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a200000,0x0000005e,0x8837b995,0x2006e202,
    0x4c002cb9,0x000ee205,0x01dc4097,0x20003620,0x4c002db9,0x1aaaaaaa,
    0x2aaaaa20,0x55555552,0x2aaa2055,0x00002aaa,0x000de540,0x2000f76c,
    0x3fffc801,0xee897a60,0x677f5c00,0x4ebdecaa,0xa807ff20,0x2005fecf,
    0x09fd702e,0xeb80fc40,0x026c004f,0x3af7fa60,0xff73002f,0x44017dff,
    0x512dfffb,0x037ffffd,0x2ffff262,0x320ee880,0xaefa802f,0x3ea004fb,
    0x3f6006ff,0x3eb3e604,0x23ffb00f,0xfb104ffb,0x27fdc01b,0x6403ffb0,
    0x32003fa0,0x0027cc05,0x04f9807b,0xf1001aa0,0x4005e83f,0x2002fff9,
    0xfff305fb,0x00fe4003,0x3fe67ff7,0x2a2fd406,0xd3bd005f,0x1bfe005f,
    0x413a23e8,0x07fe66fa,0x5c017fa2,0x00b2205f,0x1f300bd0,0x5004f980,
    0x009f300d,0xf70007e2,0x8003f70d,0x32004ffd,0x03ffe00f,0x7cc07b80,
    0x880ffa1f,0x02fd80ff,0x401b22dc,0x205501c9,0x4020101c,0x32000ffd,
    0x75400005,0x9802e800,0x01f8804f,0x9b004f98,0x90bfb000,0xff98001f,
    0xd013a006,0x07a800ff,0xfc801010,0x440df506,0x00007704,0x80000801,
    0x4c003ffb,0x4c004406,0x2dc04ffe,0xd804f980,0x009f3004,0x3fa000d5,
    0xd0005f86,0x3f1003ff,0x4007fe80,0x2000006a,0x5ff304ff,0x00010020,
    0x01000100,0x8001ffe8,0x88006404,0x1f303fea,0x5013e600,0x027cc00d,
    0x6c0007e2,0x007f21ff,0x402ffd40,0x07fe806c,0x00003540,0xf102ff98,
    0x000000bf,0xdfffd980,0x3fff6600,0x03ffcc0d,0x002c0080,0x03e82fcc,
    0xf8813e60,0x013e6001,0x7dc00099,0x002fe8cf,0x2007ffc0,0x07fe802f,
    0x77643540,0x2f775c4e,0xff017fdc,0x2277764d,0x1005eeeb,0x7ec4bb20,
    0xb12ec82f,0x2ffe45ff,0x02c40000,0x06b82f80,0x9b027cc0,0x204f9800,
    0x220000fa,0x260cffff,0x404efffe,0x1ea03ffb,0x2003ff40,0x0dff106a,
    0xffb0ffd1,0x223ff403,0x7fe886ff,0x2e17ae20,0x20efe80f,0x0efe80fb,
    0x00009ffb,0x41300790,0x001f886a,0x0fa827cc,0x8827cc00,0xfe80002e,
    0x09ff104f,0xe81ffe20,0x00ffd004,0x1bf606a8,0x7fec3fe4,0xb03ff600,
    0x41ff20df,0x7c45fffd,0x225ff905,0x25ff905f,0x00004ffe,0x3e6007d4,
    0x3d80dedf,0xdfb30220,0x0102e887,0x320fbf66,0xd3002205,0x3e03fffd,
    0x17fec006,0xfe8007cc,0x90354007,0x21fee0df,0x3f600ffe,0xb837e41f,
    0x17fe207f,0x555559f7,0x33ee9ff9,0xffcaaaaa,0x0009ffd4,0x30027c40,
    0xd1035c03,0x4c5c800d,0x4001dffd,0x0dd100f9,0x7fec6fe4,0x4002f986,
    0x05c86ff9,0x5001ffa0,0xb837e40d,0x407fe87f,0x37e41ffd,0x7f407fb8,
    0x55567e45,0xf91aaaaa,0x55555559,0x017ff635,0x001fd800,0x6c03f100,
    0x03e6006f,0x01ff737d,0xdfb01740,0xff893f20,0x8002e43f,0x017c1ffe,
    0xa800ffd0,0x5c1bf206,0x00ffd87f,0xdf903ff6,0xfd01fee0,0x2002fd8b,
    0x3ee002fd,0xf700007f,0x26c0000d,0x400dd990,0x3f21542e,0x640b9003,
    0x87fc86ec,0x1f30fffc,0x97fea000,0x3ff4007a,0xfc81ae00,0xf90ff706,
    0x43ff401f,0x0ff706fc,0x1ff45fd8,0x4007fd00,0x0000fffa,0x0001ffc4,
    0x75aa06a8,0x200b9006,0x0f9802fa,0x3e1bab50,0x5ffe884f,0xff80005d,
    0xe8009d0f,0x1ae000ff,0xff706fc8,0x7403ff70,0x706fc86f,0x45fd80ff,
    0xfb0806fd,0x7ff4100d,0x7fd40001,0x1003e981,0x743a605f,0x000f9806,
    0x40fa00f9,0xfa8dd0e9,0xdfff302f,0xff70000b,0xd8001f39,0x172000ff,
    0xff706fc8,0x2205ff10,0x06fc84ff,0x5fd80ff7,0x73017fdc,0x3980bfee,
    0x2001bfee,0x501ff90b,0x09b001ff,0x806e87a2,0x03f1003e,0x87a20d70,
    0x01ffec6e,0x0005fff9,0x0bbfff10,0x005ff700,0x0df901f4,0x27f41fee,
    0xfc81ff98,0xd80ff706,0x0f7fcc5f,0x3dff30e8,0xbffd03a0,0xff71d400,
    0x803ff105,0x55bb00fa,0x2e035fd5,0x005d1005,0x2b7601f1,0xfb1affaa,
    0xffff80df,0x7ec00902,0xf98002ff,0x01f5005f,0x7fc83fdc,0x3ee0df50,
    0x320ff705,0x42fec07f,0xa89bfffd,0x5fffec3d,0xd883da89,0x45a804ff,
    0x1fb04ff9,0xdd017c40,0x05dffddd,0x0b6001f3,0xddd01f40,0x2e5dffdd,
    0xee882fff,0x910bfffe,0x37fcc003,0x05ff5000,0x7d402fa8,0x07ff641f,
    0x7fc41fd8,0xc83ff501,0x3f600ffe,0xffffe885,0x7f440fff,0x00ffffff,
    0x886fbff2,0x1ffb04db,0x2e403f88,0x7d037400,0x0a83b100,0x6e8006b8,
    0xbbdfffe8,0x3fff64fc,0xe8005fff,0x7e40003f,0x3f2a20bf,0xcfff8804,
    0xceffbbeb,0x3f237440,0x33ffe202,0xceffbbeb,0xb105fe80,0x201bffff,
    0x0dffffd8,0xffffdb80,0x7e402dff,0x403ebadf,0x6e8000f9,0xdf300d70,
    0xf10dfddd,0x10dd0003,0x3dfffffb,0x1bffff70,0x001f5000,0xdfffd700,
    0x54007dff,0xdf72ffff,0x37f62017,0xffa801ce,0x17df72ff,0x3101bfe0,
    0x2a620015,0x35510000,0x6654c001,0x002d800a,0x03b10770,0x99999970,
    0x20007905,0x26aa203b,0x000a9800,0x20000140,0x001aaaa9,0x00330660,
    0x83300018,0x3ffae019,0x000003ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55554c00,0x2aaaa2aa,
    0xaa882aaa,0xed801aaa,0xb988000d,0x4000abdc,0x5000bcc9,0x01555555,
    0x00f6e620,0x002cdb98,0xaaaaaaa8,0xb9502aaa,0xb7300179,0x5cc00057,
    0x2a2002cd,0x8800aaaa,0x81aaaaaa,0x20005ed8,0x2e202eeb,0x261cffff,
    0x81bffffc,0x01cffda8,0x40017fcc,0xecaacefb,0xffe9804f,0x7d402fff,
    0x006fffff,0x50015bf7,0xd9537bdb,0xff98017b,0xffffffff,0x54df74c6,
    0x33f603fd,0x5000dfda,0xd9537bdb,0x6544017b,0x98805fff,0x500beffc,
    0x3a0003ff,0xfff5005f,0x4037fe40,0x7f9004f8,0x04fe9800,0x74407bf2,
    0x0fffebbd,0x3fffffa0,0x17f4403f,0x401dd880,0x3f201eb8,0xffffffff,
    0x6c1fa24f,0x2077442f,0x6ec406fb,0x00f5c401,0x0027ffcc,0x9f7001f9,
    0x00df3000,0xf100ffe8,0x01f500ff,0xf10013a0,0x3ff7007f,0x7ff903b0,
    0x26667aa0,0x077d4019,0x4002e880,0xadf882e8,0xfc999999,0x7d40ff21,
    0xff817e46,0x8005d103,0xffb802e8,0x00f7002f,0x75c00364,0x1ffdc000,
    0xc803ffb0,0x000b1005,0x7f400ffb,0xff881446,0x30005d05,0x56c003ff,
    0xcdeeeed8,0x25c0e882,0x0bf63740,0x0ff13fc4,0x16c07fdc,0x33b776e2,
    0xa801d16a,0xb801ffff,0x0006c006,0x3e600036,0x13fea06f,0x022005d0,
    0x007ff700,0xd001ffdc,0x000d507f,0x4b800ffa,0x6fd99ffc,0x44014698,
    0x9827f44f,0x881fee6f,0x2a25c3ff,0x33fd443f,0xffcea80d,0x0035c00e,
    0x00300022,0x8807ff40,0x03e607ff,0x7fc40000,0x0fff8007,0xfd01fd00,
    0x3f20037d,0x3a074006,0x6c1ff42f,0x20fdc001,0x3fb81ffb,0xbff01ff2,
    0x80fee0e8,0xa80760fb,0xb80dffb6,0x00000006,0x81ffdc00,0xb901fffa,
    0x713bbb20,0xff30bddd,0x5ffd000d,0xf505f100,0x401dffff,0x2a003ffa,
    0x7dc2fe86,0x74005b86,0x21fff986,0x03fec5f8,0x226a9bfa,0x2e0e806f,
    0x7f45aa05,0x301ae04f,0x007bfdd7,0x07bfdd73,0xd837fc40,0x05d04ffe,
    0x74437fc4,0x05ffb87f,0x804ffd80,0xfffd702d,0x3f607fff,0x0bddc98f,
    0x42fe84c8,0x007985fc,0x7fdc13e2,0xfc84e8bf,0xc9ffa00f,0x02013f64,
    0xf33540f3,0x81ae07ff,0xbfd10bf9,0xe885fcc0,0x3ff6005f,0x3ffd7c41,
    0x3f6007cc,0xf90ff906,0xff90009f,0x02fecc0b,0x17fffd44,0x6e6ef7fc,
    0x416c1eff,0x07fe62fe,0x1fb8007c,0x0bfffee0,0xff01ffdc,0x05fd16cf,
    0x35403e00,0x2e07ffea,0xf109f106,0x109f10df,0x3ea00dff,0xffcbd43f,
    0x7e402e42,0xfd0ff706,0xff70007f,0xffffd30f,0xffb1003d,0x06ffc41f,
    0x0e83ffe6,0xcfdccfe8,0x74007600,0xdfffb806,0x207ff880,0x7c43a5ff,
    0x03b0002f,0x3fff21aa,0x1fe835c0,0xfe85ff70,0x005ff701,0x34d8dff1,
    0x802f8bff,0x0ff706fc,0x70009ffd,0x7dcc0dff,0x3f2007ff,0x40bfea4f,
    0x203a4ffb,0x00ffabfe,0x27c400f4,0x3fff3a20,0x2effb80e,0x0e93ffa6,
    0x20005ff1,0x360d501e,0x4c35c6ff,0x9bfe207f,0x3fe207f9,0x23ffb006,
    0x43ffa1f8,0x0df90079,0x3ff21fee,0x5ffc8005,0x01ffd880,0xffc97fa0,
    0x6cdff301,0xbf92fe82,0x5c007c40,0x453a201f,0xfb80effe,0xffdcfeff,
    0x03fe8b62,0xd500f880,0xb97ffa20,0x7406fb86,0xd01bee7f,0x3fea00ff,
    0x2ffc8d54,0x1bf200b9,0x7fdc3fdc,0x3ffd8006,0x009ff100,0x3ff93fe4,
    0x0993ffc0,0x81ff45fd,0x40db007a,0x7ff446e8,0x21595104,0xf92647ff,
    0x40f5000b,0x3ffe206a,0x0dfb0d73,0xdfb1ffd8,0x001ffd80,0xf30f6fff,
    0x6400bebf,0x50ff706f,0xfd000fff,0x2fec005f,0x7d4df300,0x43ffa01f,
    0x222fe879,0x804c80ff,0x0fee04f8,0xa801ffa2,0xf13cc4ff,0x320a803f,
    0xf301aa04,0xfd0d75ff,0xd0ffc80f,0x0ffc80ff,0x1f5ff900,0x00f5ffd0,
    0x7fb837e4,0x8003ffd0,0x7dc006ff,0xf327c004,0x23fe405f,0x2a17f41e,
    0xb800e86f,0x40bfa01f,0xfd002ff8,0x7d43d01d,0x0e87701e,0x3ee01aa0,
    0xffd86cff,0xfd9bee00,0x01bee00f,0x706fff98,0x64009fff,0x20ff706f,
    0x2e005ffa,0x7e4001ff,0xf0be2002,0x22fe409f,0x5bff7169,0x0971dfd8,
    0x3ff01b60,0x5401ff40,0x88d301ff,0x2dcabcfd,0x01aa025c,0x6437ffe4,
    0x93f202ff,0x3f202ffc,0x1fff4004,0x002fff88,0x3fe41fee,0x2003ffb0,
    0x6f8004ff,0x7e42e400,0x2e07f606,0x8199998c,0x10069899,0x04fd809f,
    0xff3007f2,0xa984b807,0x806980ab,0x3ffa007a,0x205ff886,0x17fe22fd,
    0x64002fd8,0x1ffa00ff,0xc83ff500,0xfd100ffe,0x0dfd801b,0x45f50098,
    0x01f703c8,0x17e20ffa,0x2e000dc8,0x03f5000e,0x1be06f98,0x2005ff30,
    0x3ae000dc,0x2007b800,0xff906ff8,0xf909f103,0x009f103f,0xfb80bf30,
    0x7ffc4004,0xeffbbebc,0x01df900c,0x3f207fd3,0x83db30cf,0xfc9ceffa,
    0x83fe200e,0x75400dd9,0x09b7301b,0xfb006d80,0x201fb817,0x54001ef9,
    0x9b7301be,0x000fec00,0x7fec0df3,0xfd817aa1,0x0017aa1f,0x0fc402e8,
    0x7fffd400,0x8017df72,0xffddefd9,0x3ffe601d,0xfb00ceff,0x2007bfff,
    0x04fddfe9,0x2f7fee20,0x4001cffd,0x3ee004f8,0x440dfccf,0x0002eeca,
    0x36f7fee2,0xc8801cff,0x003dffff,0xeffc80d5,0x7e400cee,0x000ceeef,
    0x00a00260,0x01983300,0x00155100,0x2000d4c4,0x2a200019,0x554c0000,
    0x5100009a,0x03510001,0x00004d44,0x026aaa60,0x06000000,0x400054c0,
    0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01000000,0x1bcdca80,0x05e54400,0x002eec80,
    0x0260000a,0x40000004,0x2003b80e,0x00005001,0xacdecb98,0x372a00e0,
    0x0800e0ac,0x376c4004,0x2a018800,0x2aaaaaaa,0x6f6cc004,0x209999ce,
    0xffc99be8,0x717f7004,0xfff9809f,0x03fe4406,0x1bffb100,0x0ee8814c,
    0x3cc00bf2,0x76cc02e8,0x7e441cff,0xfd500007,0xdf97559d,0x7fec40f9,
    0x07dffecc,0x2bfffb22,0xff9800fb,0x13f66002,0xefffea98,0x405fd10b,
    0x3ffa63fb,0x309d15ff,0x0fa807ff,0x3dd007f4,0x3f6e07fb,0x36e0007f,
    0x0dadfffd,0x3e67ff70,0x20d5006f,0x4c3e601f,0x3ff6a6ff,0xffc80007,
    0x81ffa601,0x7fe882fe,0x3221bd30,0xf5000fff,0x3ff72009,0x0fff9804,
    0xf982ffd4,0x4d7fd40f,0x3fe07f50,0x361be206,0x641d502f,0x01ff600f,
    0x3ff66380,0x87fe604f,0x099003fe,0x21fcc0f3,0x3fe41ff9,0x07bf6000,
    0x7e407f40,0x261fa205,0x01ffb05f,0x3e003e40,0x7ff8804f,0x3f605fd0,
    0xfb85ff06,0x203ff906,0x202885fa,0x7dc09504,0x22060007,0x0101002b,
    0x02dc1ec0,0x703305f9,0x7e4000ff,0x03ea000f,0x0f300bfa,0x3fee01fb,
    0x000ec000,0x3fe009fd,0x09fd0006,0x1ff517fa,0x2e03ff50,0x0400004f,
    0x0000ff70,0x80000000,0x3604d81f,0x1fee002f,0x02ffcc00,0x27fc0ec0,
    0x817ea3c0,0x18000ffa,0x4013fa00,0xfb0006ff,0x3217fa0b,0x6c0ff904,
    0x0000005f,0x00001fee,0x88000000,0x7fc05d07,0x01fee002,0x000ffec0,
    0x17ff40cc,0x409f9160,0x00000ffa,0xf8027f40,0xff70006f,0x8007ff10,
    0x17f604fe,0x3fbae600,0x03fdc03d,0x3fbae600,0xeeb9803d,0xfff703df,
    0xffffffff,0x2ff88bff,0x001fee00,0x000037fc,0x080ffff2,0xff5027ec,
    0x44eeec81,0x7405eeeb,0x0dff004f,0x50ffa200,0xff9800df,0x001bf600,
    0x3fa217f3,0xeb9fee05,0x5fcc02ef,0x4c0bfd10,0x0bfd10bf,0x33bb3331,
    0x2133f733,0xeeeffeec,0x223fdc05,0x263eeeed,0x400005ff,0x01efffe8,
    0x3ea04ff8,0x86ff880f,0x7f407fe8,0x00dff004,0x64eff440,0x7ec000df,
    0xffdaa982,0x3e202aaa,0x706ff884,0x3ff7b6ff,0x109f101f,0x09f10dff,
    0x2e80dff1,0xfbaa85b8,0x5c02aacf,0x82ef887f,0x00004ffb,0xdfffff88,
    0xa817fa00,0x0dfb00ff,0x9fd01ff2,0x001bfe00,0x1acaad88,0x703f8800,
    0xffffffff,0xb80ff40d,0xdffb82ff,0x7417fe22,0x85ff701f,0x5ff701fe,
    0x13607e20,0x2002ff88,0x00dd87fb,0x32009ffb,0x82effffd,0x4fffffd8,
    0x2a01ffb0,0x0df900ff,0x9fd01fee,0x001bfe00,0x800016c4,0x3266205c,
    0x300999ff,0x37fc40ff,0x7dc0ffdc,0x2207f987,0x81fe66ff,0x0f306ff8,
    0x2ff880ba,0xd89fee00,0x02fff405,0x2017ff60,0x1effffea,0xfa827fdc,
    0x20df900f,0x27f407fb,0x0006ff80,0x000139f7,0xfb800744,0x80df7007,
    0x07fb87fe,0x0df70ff5,0x1bee7fe8,0x1ae0ffd0,0xff8803e2,0x45fee002,
    0x7ffd804e,0x027fe400,0x1dffff70,0x261fffc4,0xdf900ffe,0xfd01fee0,
    0x21bfe009,0xff901dd9,0x5bffffff,0x5c005500,0x0dfb006f,0x7dc1ffd8,
    0xd81ff507,0x8ffec06f,0x7fec06fd,0x99dd9931,0x7999fb99,0x2002ff88,
    0x005e8ffb,0x4001fff7,0x44003ffb,0x7d45fffc,0xfacedfff,0x20df900f,
    0x27f407fb,0xfd86ff80,0xfffb107f,0x0dffffff,0x3ea000b8,0x80ffd005,
    0x3fdc0ffc,0x7f40ffa8,0xe87fe407,0x87fe407f,0xcccdfcc9,0x43ccceec,
    0x2e002ff8,0x801ffdff,0x2002fffa,0x80283ffb,0x7d40fffb,0x1ff54fff,
    0x7dc1bf20,0x8027f407,0xfffc86ff,0x9988d882,0x01fdbaa9,0x09f50012,
    0xb803ff60,0x507fb86f,0x0ffd81ff,0xffd9bee0,0x221bee00,0x4403d81f,
    0x3ee002ff,0x800eff8f,0x2e004ffe,0xb00683ff,0x50a605ff,0x1bf201ff,
    0x3fa03fdc,0x20bff004,0x03e83d9a,0x000407b0,0x92880bea,0x27e405ff,
    0xffa83fdc,0x9017fe40,0x017fe49f,0x20f309f9,0x17fc402e,0x3e6ff700,
    0xfff9805f,0x07ff7000,0x3ff5003d,0x807fd400,0x0ff706fc,0xff004fe8,
    0x7dc0f807,0x0005d000,0x02feec88,0x02ffc4b2,0x0ff705fb,0xff103fea,
    0xf117ec0b,0x417ec0bf,0x400f885b,0x2e002ff8,0x00ffee7f,0x5c017ff6,
    0x804e83ff,0x2a000ffb,0x0ff700ff,0x9fd01ff2,0x02ff8310,0x013fe16a,
    0x03ea816e,0xdfffd8ec,0x320fdbab,0x04f881ff,0x3fea0ff7,0x881ffc80,
    0x81ffc84f,0x309904f8,0x05ff100f,0x3f63fdc0,0x4ffb802f,0xe83ffb80,
    0x027f403f,0x5403fea0,0x7ff641ff,0xf113fa00,0xb81be25f,0xbeffc80c,
    0x0deb999a,0x6803ffe0,0xffffb3d1,0x3ffb07ff,0xff902f54,0x6c03fea0,
    0x817aa1ff,0x17aa1ffd,0x805b82e8,0x2e002ff9,0x3ffa20ff,0xadff9801,
    0x82ffd980,0x6cc1cffe,0xffb8006f,0x79fff101,0x19dff77d,0xff98bfd0,
    0x3901f98e,0xfffffb80,0xfd802eff,0x51766c07,0x6405dfff,0x00ceeeff,
    0x3f203ff6,0x3bff202f,0x7e400cee,0x100ceeef,0x7007901f,0x7ec009ff,
    0x0f7fd41f,0x77fee440,0x00befedc,0xfdffd75d,0xb10007ff,0x3ea019ff,
    0x7df72fff,0x321bfe01,0x0002deff,0x03579550,0x01800980,0x0a980066,
    0x7fffed40,0xffffda8c,0x002a600c,0x22002a60,0x6dc01502,0x01ceffff,
    0x19ffffb7,0x59ffffb1,0x4d554400,0x55441800,0x9950001a,0x4c039999,
    0xfd700cc1,0x0a887dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x05db02ee,
    0x03799710,0x80055000,0xaaaaaaa8,0x0fa6001a,0x2aaaaaa6,0x2aaa60aa,
    0xaa981aaa,0x40aaaaaa,0xaaaaaaaa,0x55555531,0x40033355,0xaaaaaaa9,
    0x1aaaaaaa,0x83555555,0x530aaaaa,0x35555555,0x55440013,0xaaaaaaaa,
    0x400aaaaa,0x8af54059,0xff02effc,0x700ffe05,0x09ffffff,0x8005e800,
    0xadffffb9,0x09fd1000,0x7ffff931,0xefffb883,0xffc9881b,0xfb981bff,
    0x310acfff,0xdffffffb,0x4059dfff,0xeefffc98,0x4fffeeee,0x837fffd5,
    0x310bffc9,0xfdfffffb,0x31005dff,0xddddfff9,0x05fffddd,0x7e41ff66,
    0xffffd5ff,0x205ff07f,0x3fea03ff,0x04ffffdd,0x003ff300,0x0017fee0,
    0xfb013ff2,0x04ff807f,0x200fff60,0x7ec06ffb,0xffea883f,0x0ffec00d,
    0x7fc4bf50,0xd80fe607,0x7ff441ff,0x0bff2004,0xdd885f50,0x6ff407ff,
    0xfffea8bd,0xff817fc0,0x4419f103,0x8001fffb,0x50004ffc,0xfa8009ff,
    0x7fe404ff,0x000bf202,0xf5005ff9,0x2ffc80bf,0x007ffe40,0x5a803ff9,
    0x5c80ffdc,0xf80ffe40,0xff7003ff,0x64079005,0x17fec07f,0x3fe2ffe4,
    0x2a07ff02,0x013ff205,0x01ffff10,0x009ff500,0x027f57c4,0x7dc07ff2,
    0x1ffc8002,0x404ff980,0xfc802ffc,0x3ff900ef,0x5ff88b00,0xffc805f0,
    0x00dff901,0x2600bfee,0xb01fee03,0x1ffe20bf,0x0ffe05ff,0xbff30064,
    0xffceb800,0x4ffa8003,0x27f53600,0x2a07ff20,0xff90002f,0x09ff3003,
    0xd002ffc8,0x3ff209ff,0xffc80801,0x7e403540,0x3fff301f,0x005ff700,
    0x407fb802,0x3ff605fd,0x7fc0bfe0,0x13fa0003,0xdff17d00,0x09ff5000,
    0x04fe9ae0,0x3ee0ffe4,0x3ff20002,0x04ff9801,0xa8017fe4,0xffc80fff,
    0x7ff30001,0xffc803e8,0x01fff101,0x0805ff70,0x6c07fb80,0x87ff205f,
    0x07ff02ff,0x0017f400,0x07ff61f5,0x009ff500,0x027f43f1,0x2fb87ff2,
    0x0ffe4000,0x2027fcc0,0x3e002ffc,0x1ffc83ff,0x6fd80170,0x7fe401e6,
    0x00bff301,0x4880bfee,0x6c07fb80,0x83fee05f,0x07ff02ff,0x0007fc00,
    0x02ffd49b,0x2013fea0,0x2027f43e,0x05f91ffc,0x03ff9000,0xc809ff30,
    0x3f6002ff,0x01ffc85f,0x2ffa801d,0x3ff2009b,0x005ffd01,0x4b80bfee,
    0x6c07fb80,0xf1fea05f,0x00ffe07f,0x30027cc0,0x00ffe81f,0x7013fea0,
    0xc809fd0b,0x003fcaff,0x003ff900,0x33109ff3,0x33337ff9,0x21bff203,
    0xa999affc,0xdfe800fd,0xff9000f8,0x04ffd883,0x266ffee0,0x804eba99,
    0x2fec07fb,0x3ff8df70,0x0004ff88,0x2e4001fb,0x5001ffdc,0x07cc09ff,
    0x3f2027f4,0x000effef,0xeeeffc80,0xfeeeeeee,0xfeeea84f,0x0eeeeeef,
    0xfc87ffb8,0xffffffff,0x64ccccc0,0x9999dcff,0xbcffc809,0x002dffdc,
    0x7fffffdc,0xb804ffff,0x037ec07f,0x46ff87fb,0x0354ffd8,0x8800be60,
    0x06ff882f,0xe813fea0,0xc809fd02,0x0effebff,0x5ffe4000,0x99999999,
    0x7e404ffa,0x3fee002f,0x441ffc86,0x7fffc0fa,0xffffffff,0xffc82fff,
    0x004ffdcd,0x2605ff70,0x07fb804e,0x7c407fec,0xdbefff86,0x059efc8e,
    0xd70013a0,0x8017fe40,0x0b904ffa,0x3f2027f4,0x0effe89f,0x07ff2000,
    0x9013fe60,0x7e4005ff,0x01ffc85f,0x1ff20019,0x743ff900,0xfb8002ff,
    0x2012602f,0x7fec07fb,0x220fecc5,0x30dfffcf,0x36005fff,0xfffe8005,
    0x5fffffff,0x509ff500,0x5555557f,0x90155bff,0x3ffa23ff,0xff90000e,
    0x09ff3003,0x2002ffc8,0xffc83ffe,0x32001501,0x7fe4007f,0x003ffe21,
    0x4805ff70,0x6c07fb80,0xefdcfdef,0x0a98f880,0x035c0050,0x4cccfd40,
    0x0ffe9999,0xb84ffa80,0xffffffff,0xc81fffff,0x3ffa21ff,0xffc8000e,
    0x04ff9801,0xf0017fe4,0x3ff903ff,0x55555400,0xaaaaffda,0x1ffc80aa,
    0x2002ffd4,0x80002ffb,0xafec07fb,0x3ea00aa8,0x3aa00001,0x804d8000,
    0xfa804ffa,0xcccca84f,0xceffcccc,0x41ffc80c,0x000effe8,0x4c00ffe4,
    0x7fe404ff,0x0bff7002,0xd8007ff2,0xfffeeeee,0x81eeeeee,0xffc81ffc,
    0x0bfee003,0x01fee000,0xfb800bfb,0x1d300002,0x001f1000,0x3ea01ffe,
    0x9fd0004f,0x881ffc80,0x2000effe,0xf9801ffc,0x17fe404f,0x807ffc40,
    0x80001ffc,0x7e4007fc,0x03ffd01f,0x800bfee0,0xd80ff705,0x1fec005f,
    0x00754000,0x9002ec16,0xffa807ff,0x09fd0004,0xd102ffc8,0x32003dff,
    0xff9802ff,0x017fe404,0xc80fff62,0xc80001ff,0x7fe4007f,0x01dff302,
    0x2005ff70,0x80ff703c,0x7f4005fd,0x57d40004,0xeba99999,0x2003f884,
    0x7dc07ffa,0x9fd0004f,0x202ffd80,0x802ffff8,0xf9802ffd,0x17fec05f,
    0x807ffd30,0x80002ffd,0x7ec007fc,0x17fee02f,0x200fff20,0x1ff700fa,
    0x20037f40,0x2a0003fe,0xffffffff,0x3fe81fff,0x17ffe600,0x0006ffd8,
    0x7f4409fd,0x7ffec04f,0xffd100bf,0x1dff9009,0x2b3ffa20,0xdffcb989,
    0x27ffc400,0x0fff4000,0x04ffe880,0xb00f7fec,0x33333bff,0x640df933,
    0xfff301ff,0x02e60015,0x7fffcc00,0x6fffffff,0x177fffdc,0xfffffb10,
    0x3fff229f,0x2001ceff,0xffd984fe,0x220cefff,0xfffffffd,0xffffb31e,
    0x7e4419df,0x32ceffff,0xfffffffb,0x80359bdf,0xefffffd9,0x3f62000c,
    0x302dffff,0x9dfffffb,0xfffff101,0x3fffb267,0xffffffff,0xffec83ff,
    0x33322dff,0x00004ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaaa88,
    0x400002aa,0xaaaaaaaa,0xaaaaaaaa,0x555554c1,0x2aaa0000,0x400001aa,
    0x55301009,0x01355555,0x5ee88000,0xaaaaaa88,0x76c000aa,0x5555440d,
    0xaaaaaaaa,0x555531aa,0x2a205555,0x511aaaaa,0x55555555,0x55555550,
    0x2aaaaa61,0x4009aaaa,0xcffffc98,0x5400001a,0xeefffffc,0x4ffeeeee,
    0x27ffed44,0xefffb800,0xeffd980a,0x3ff6201b,0x2a20a61d,0xfffffffd,
    0x24fa84ef,0x7fec0de9,0x7fe5443f,0x4c001bff,0xfffb82ff,0xfeeeeeef,
    0xff930fff,0x22037fff,0x10bfffea,0xbfffffb7,0xbfff7305,0x3ff6a215,
    0xffeddeff,0x2ffe401e,0x7dc00000,0x36202ffc,0x03fffa05,0x81fffa00,
    0x3ff70cfb,0x3fff76e0,0x7ec00dad,0x3bff262f,0x7e43ffa0,0x3eafe63f,
    0x07ffb00f,0x5c0ff200,0x3fa200af,0x5fff982f,0x401df500,0x400ffff9,
    0x7fec03fd,0x0dffb882,0x0007ff70,0xff79b000,0x36059805,0x54004fff,
    0x5f506fff,0x98e0dfd0,0xc804fffd,0x7ffb81ff,0x0ff99bee,0x904e88fa,
    0x3a0005ff,0x3600b204,0x3fee05ff,0x00fc800f,0x203fff98,0xffc803f9,
    0x41bfe602,0x00003ffb,0x7fdc7cc0,0x37204802,0x3a000fff,0x6f885ffd,
    0x0301ff90,0x3f200571,0x45ffd01f,0xd8154080,0x001ffc81,0x00640598,
    0xd003bfea,0x3f8809ff,0x03ffee00,0x7e4013a2,0x0ffe402f,0x00017fdc,
    0x7fdd3600,0x37200802,0xf3003ffc,0x9f70bff3,0x00000cc0,0x3203ff90,
    0x004005ff,0x37bff202,0x00401ccc,0x3ffe201c,0x1fff8801,0x36001720,
    0x006d84ff,0xf500bff2,0x05ff709f,0x87cc0000,0x00202ffb,0x01bfe372,
    0x42ffc6ec,0x020003fc,0x03ff9000,0x0081ffee,0xcffc8010,0x02effdcb,
    0xffb00008,0x37fdc009,0x88000f98,0x03ee2fff,0x402ffc80,0xffb85ffa,
    0x36000002,0x580bfee3,0x5ff95c80,0xff89f980,0x8004fe85,0x3bf6e7ea,
    0x01ffc802,0xeb88bffb,0x013ae204,0xff983ff9,0x04eb883f,0x006ffb80,
    0x3e83ffe8,0x3bfea000,0x64001f98,0x7fec02ff,0x002ffb82,0x5c1f3000,
    0x00f102ff,0x01bfe2b9,0x217fe2d9,0x3ae007fe,0xffdf97ff,0x1ffc803f,
    0x363fff88,0xffb04fff,0x1ffc809f,0x361fff98,0x4c004fff,0x98001fff,
    0x01b20fff,0x3f7ff600,0x2ffc8003,0x203ffea0,0x00002ffb,0xbffb87d0,
    0x07eb9999,0x0bff65c8,0x5ff897c4,0x0401ffd8,0xf98b3ff6,0x0ffe405f,
    0x7c437fdc,0x13fe204f,0x3a03ff90,0x27fc43ff,0x00fffa00,0xf35ffb80,
    0xff100003,0x3f2000bf,0x7fdd4c3f,0x05ff700d,0x70f50000,0xffffffff,
    0x4cb900ff,0x44d905ff,0x3ffc85ff,0x3ff90aa0,0xfc80ffb0,0xffea89bf,
    0x809fd01e,0x7fe404fe,0xd0bff901,0x7fe4009f,0xffe80005,0x200004eb,
    0x8000fffa,0xfffffffc,0x7dc04fff,0xe800002f,0x702ffb83,0xfe8b900f,
    0x3e23f81f,0x0effa85f,0x3fdc0e88,0x7e407fb8,0x2ceeeddf,0x3a027f40,
    0x0ffe404f,0xfe85ffd8,0x1fff3004,0xfff30000,0x5400001d,0xc8005fff,
    0x36ea23ff,0xff702dff,0xfa800005,0xffffffff,0x17201a02,0x47b8bff5,
    0xffb05ff8,0x20fae23d,0x1ff507fb,0x000ffe40,0x7ec04fd8,0x80ffe404,
    0x4fd84fff,0x02ffe880,0x0fff2000,0xfbf98000,0x7e4002ff,0x3ffee02f,
    0x002ffb84,0x4ccdf400,0x202ffc99,0xfe85c804,0xff10fa0f,0x3fffa20b,
    0xff705fff,0xc803fea0,0xfb0001ff,0x404fd809,0xffb81ffc,0x804fd80f,
    0x00005ffc,0x00017fdc,0xfff54e88,0x17fe4001,0x70bffea0,0x400005ff,
    0x0bfee06b,0xf50b9000,0xf103ea9f,0x7fec40bf,0x1fee04ff,0xf9007fd4,
    0x3f60003f,0x2027ec04,0x7fe41ffc,0x809fb02f,0x0000fffa,0x0017fdc0,
    0x7fec5d80,0x0bff2005,0xf713ffe0,0x1014005f,0x17fdc05f,0x20b90100,
    0x884e8fff,0xbc8805ff,0xa83fdc00,0x3ff200ff,0x09fb0001,0x7e404fd8,
    0xdfffeddf,0x8813f600,0x03001fff,0x0017fdc0,0x3e207dc0,0xff9002ff,
    0x8bffb005,0xb1002ffb,0x3ee02e40,0x9037002f,0x3f7fee0b,0x805ff880,
    0x7dc01ef8,0x401ff507,0xb0001ffc,0x04fd809f,0x55567fe4,0x409fb001,
    0x16004ffd,0x002ffb80,0xfa80fd40,0xffc800ff,0x43ffe802,0x79003ffb,
    0xf7007e20,0x20d3005f,0xbfff105c,0x2017fe20,0x7dc06fd9,0x401ff507,
    0xb0001ffc,0x04fd809f,0x80017fe4,0xdff704fd,0x70025400,0x4c0005ff,
    0x2ffec03f,0x2017fe40,0x7e40fff8,0x00fb804f,0x7ff900db,0xbb04e880,
    0x980ffe40,0xdf1006ff,0xf507fc80,0x17fec01f,0x405fe800,0x7fec05fe,
    0x0bfd0002,0x2003fff1,0x3f2002f8,0xbf30003f,0x07fff100,0x2202ffd8,
    0x7f444ffe,0xaa99aaef,0xdf706fdb,0x33bffd00,0x5ff73333,0x2201ff10,
    0x3ffee06f,0x402fc800,0xffc80ffe,0x09ffd102,0xf01bfe00,0x7ff440df,
    0x0dff0004,0x33339ffd,0xffb73333,0x3ffa2003,0x4ffb8005,0x07ffff00,
    0x26b3ffa2,0x2fffc998,0x3fffff26,0xffffffff,0x7ffecc3f,0x7ffe4c5e,
    0xffffffff,0x7fecc7ff,0x82c82dff,0xdfffffec,0x201cda82,0x8cefffea,
    0x0cffffda,0xdfffffb3,0xffd70019,0xffeb87df,0x3ff663ef,0x800cefff,
    0x73efffeb,0xffffffff,0xffffffff,0xffff9300,0xeb8019ff,0x701dffff,
    0x9ffffffd,0x3fffff66,0xbdefffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555530,
    0x00133355,0x17777764,0xa837bb62,0xaaaaaaaa,0x2aaaaaaa,0x0200fbaa,
    0x4cccccc4,0x99999999,0x00003000,0x0c006201,0x00001000,0x00000800,
    0x01300000,0x88100000,0x7fecc43b,0xfffeffff,0xffb802ce,0xd03be00f,
    0xffffffff,0xbfffffff,0x05806fd8,0x33333337,0x73333333,0x2000f100,
    0x13effdb8,0x007e005d,0x3dfefea8,0xbeffd980,0x3fff6601,0x2059000d,
    0xfeeb980e,0x03bf503d,0xdfdb5000,0x027f5cb9,0xb9817ffb,0x6c00dffe,
    0x05f100ff,0x8dff03dd,0x1fe86fa8,0x001c1ea0,0x00f10070,0x3a63bf30,
    0x3e002eef,0x549f5001,0x33ee03ff,0xd903ff70,0x00bff625,0x261360d7,
    0x0bfd10bf,0x000bbf26,0x6fa8875c,0xff9027cc,0x7ffec405,0x40ffe201,
    0x3e01f06b,0xd10d306f,0x1c1fa207,0xf1007000,0x884e8800,0x0fc006ff,
    0x7dc0fe80,0xfd05f507,0xfe80fb8d,0x905f300e,0x884f881f,0x3ee206ff,
    0x0be000bf,0x409f31ae,0xfc802ffc,0x1bf600ef,0x3e0581f4,0x2cc1606f,
    0x00707fe8,0x03c401c0,0x7ec07fa0,0x007e002f,0xff503fe6,0xf906f881,
    0x6417e21f,0x86f882ff,0x01fe84fa,0xd5005ff7,0x4fa8039f,0x204f88d0,
    0xfd002ffc,0x17fcc0bf,0xf00c03e6,0x8300c0df,0xeeefffe9,0x01c00070,
    0xff3003c4,0x01bff720,0x079001f8,0x4fb81ff3,0xacfb8660,0x4ffcaaaa,
    0x3e60ff44,0x103fcc0f,0x6cc00dff,0x7ff302df,0x204f8850,0xf5002ffc,
    0x37ec01ff,0x7fc00172,0xa9810006,0x0e2aaffd,0x78803800,0x2e1fee00,
    0x2001ffd5,0xd930001f,0x03fc83ff,0x2aab3f20,0x6c1aaaaa,0x427fc45f,
    0x3ff406fb,0x5f7e4400,0x00f7ffc0,0x7fe409f1,0x0fffe002,0x3f12ff98,
    0x01bfe000,0xf704eb88,0x38000e0f,0x36007880,0xfd87547f,0x003f001f,
    0xff9adea8,0xb0027f41,0xffc8005f,0x6c07ff41,0x0ffec06f,0x3feb8800,
    0x03bfffe6,0xffc813e2,0x17ff6002,0x01aedfd0,0xb006ff80,0x3ee09fff,
    0x9c000707,0xeeeeeeeb,0xeeeeeeef,0x74c3ffa2,0x7547fee0,0xefeeeeee,
    0x44eeeeee,0x07fe62fd,0x7f400ffd,0x0ffe4003,0x3fa0ffd1,0x007fe407,
    0x41dfd980,0x42ffffc8,0x3ff204f8,0x1bff2002,0x07d3ff50,0x0037fc00,
    0x3ee09ff1,0x9c000707,0xbaaaaaa9,0xaaaaaaaf,0x3a67ff21,0x5513fdc0,
    0x57f55555,0x22355555,0x0ffcc1fe,0x21007ff6,0x740806fd,0x41ffcc5f,
    0x3ee00ffd,0xcfea8006,0x7ffecc00,0xfc813e61,0x3fee002f,0x0fefe807,
    0x01bfe000,0x3ee09fd0,0x1c000707,0xf7003c40,0xbf903d9f,0x6400fc00,
    0x41ff985f,0x4aa03ffc,0x0e602ffb,0x7fa83ff1,0x3202ffc8,0xdf71004f,
    0x2a026017,0x7dfb34ff,0x800bff20,0xfa806ffb,0x7fc0004f,0x827f4006,
    0x000707fb,0x003c401c,0x3605fff1,0x007e003f,0x3fe617fa,0x4077fd41,
    0x3dff30e8,0x17e603a0,0xbff10fee,0x26017ec0,0x4b802dfc,0xc800bfb0,
    0x3f2002ff,0x03fd005f,0x006ff800,0x7fb827ec,0x01c00070,0x3ee003c4,
    0x005f882f,0x7fe400fc,0x147ff620,0x2e23dffb,0x5fffec3e,0x2a03da89,
    0x640fd81f,0x04f881ff,0x80073faa,0x04fb80fb,0x0017fe40,0x32007ffd,
    0x6ff80006,0xb827ec00,0x4000707f,0x40078803,0x3a61ffed,0x801f8006,
    0xaedcfff9,0x3a20deff,0x85ffffff,0xffffffe8,0xe82e400f,0x2a1ffd83,
    0xbffb885e,0x1dfb8000,0x320007f4,0x3fe002ff,0x007d002f,0x800dff00,
    0x0ff704fd,0x8038000e,0x5d320078,0x00ceeeff,0xf7001f80,0x3bfa19ff,
    0xffffd881,0x3fff6204,0x03b000df,0xdff901d1,0x5d7019dd,0xffeb8000,
    0x8001cecd,0xf7002ffc,0x03e600df,0x01bfe000,0x3ee09fb0,0x9c000707,
    0xbaaaaaa9,0xaaaaaaaf,0x01530b11,0x4001f800,0x35100101,0x02a62001,
    0x00440200,0x00000153,0x00298820,0x4017fe40,0xd001fff8,0x3fe00009,
    0x827ec006,0x0e331ffa,0xddd73800,0xdddddddd,0x0005dddd,0x00036000,
    0x00000000,0x00000000,0x00000000,0x02ffc800,0x5104ffd8,0x80001ae1,
    0x7ec006ff,0xb9dff304,0x0070001c,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8000000,0x3fa602ff,0x3fffa02f,0xf100001f,0x5fe800df,
    0x3837fee0,0x0000e000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe880000,0xca989acf,0x7f400dff,0x200003ff,0x2000fffb,0x404406ff,
    0xaaaaaaac,0x3aaaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xffffffd9,0x01acdeff,0x00005710,0x7fffff5c,0x3ffae02d,
    0x000003ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80100200,0x00044000,0x80000c40,0xb15eeeec,
    0x4c3ddddd,0x00105eee,0x00010000,0xeb89ddd9,0xeeeb85ee,0x776cc3ee,
    0x02000205,0x3bbbba60,0x50eeeeee,0x229ddddd,0x0002eeed,0x00b2e200,
    0x25bfddb5,0x41dffed8,0x3372a1fa,0x0009d10b,0x03b27e44,0xbff7003a,
    0x220bff90,0x2a7da85f,0x7ecc4efe,0x9faa00df,0x2202efdb,0x7fe886ff,
    0x403fff30,0x22fd505f,0x13e605fd,0x55557f50,0xe889ffb5,0x077c46ff,
    0x2005f700,0x80ffedfa,0x33fe64fc,0x1ffc88ce,0x5e775fdc,0x005ebfec,
    0x983bfb30,0xe805b80f,0x209fd06f,0x3ffaa0f9,0x7fffbd97,0x17fff7ea,
    0x7e5fffae,0x3601fffe,0x40ff906f,0x1f101ffb,0xfd7ffeb8,0x1bee03ff,
    0x3fe20750,0x43ffd106,0x7ec000fb,0x7e41b004,0x3a07fc43,0x86ff84ff,
    0x0ff303fc,0x019fd700,0x404f836c,0x7fb80ffa,0x3ff60970,0x2fff622c,
    0xd817fdc4,0x3fe62cff,0x5c1bf205,0x13fe207f,0x9ffb02dc,0x8e4cb933,
    0xb87714f9,0x401ffd01,0x03f35ff9,0x10015100,0x7cc5f881,0xc82ffc87,
    0x201f41ff,0xfc8801f9,0x0bf3003e,0x3ff807f7,0x1e82ffa8,0xf503ff70,
    0x40ffe07f,0x7fd81ffc,0x7dc1bf20,0xe83fe407,0x80ffee01,0xd15f2ffd,
    0xff9001ff,0xd7ff7005,0x00000007,0x20ee0be6,0xaaaabffc,0x01ae2ffc,
    0xbfb3035c,0x09fb0003,0x37e403fd,0x1a637fec,0xff307fb8,0x5c13fa05,
    0x40ff707f,0x0ff706fc,0x34c2ff98,0xd101fee0,0xffd5b7ff,0x09ff5007,
    0x002ffec0,0x0d900000,0x2bffee20,0x1aaaaaaa,0x07cc00f6,0x00033faa,
    0x7dc2ff98,0x43ff300f,0x321ffae8,0x441fee03,0x09fd02ff,0x7fd41fee,
    0x2e0df900,0x46fe807f,0x03fdc03c,0x1bdfda88,0x00dff100,0x5c05ff88,
    0xeeeeeeee,0x2eeeeeee,0xc9801d30,0x4007fcbf,0x4c7e002e,0x00000bff,
    0x6fe83ffb,0xf3c93fa0,0xb803e29f,0x05ff107f,0x3fdc13fa,0xf900ffa8,
    0x201fee0d,0x01f11ffa,0xa8807fb8,0x002deeec,0x88001ffd,0x2a603fff,
    0xaaaaaaaa,0x81aaaaaa,0x5fdc00e9,0x4001ff70,0x443e002e,0x0000bffc,
    0x7f42ffc8,0x22ff700f,0x16aff90f,0x3e20ff70,0x209fd02f,0x1ff507fb,
    0x7dc1bf20,0x2e9ff007,0x407fb804,0xd9d9fffa,0x3ff203ff,0xfdbe8002,
    0x0000000f,0x362081b3,0x007fdc3f,0x1e6009b0,0x000e7f54,0x7d43ff88,
    0x2bfe201f,0x36bfe24c,0x883fdc01,0x09fd02ff,0x7fd41fee,0x2e0df900,
    0x1ff7007f,0x0ff7003d,0x25f0efd8,0x9ff507fd,0xf15c8020,0x000000df,
    0x5d7557f5,0x7fd437dc,0x0fa8aa02,0x6cc04d80,0x7e4002df,0xd802fe85,
    0x77ec0fdf,0x107fb806,0x13fa05ff,0xffa83fdc,0x320ff700,0xbff1007f,
    0x01fee00d,0xa93e6171,0x206ff881,0x7d41d504,0x0ed4003f,0x7ffffdc0,
    0x442fec6f,0x81d106ff,0x007dc05d,0x803efc88,0x04fa86f8,0xf509ff50,
    0x0ff7007f,0x7f40bfe2,0x2a0ff704,0x3ff500ff,0x000ffec8,0x2e005ffb,
    0x37dc007f,0xb007ff40,0xffb03f10,0x027ec003,0x03ff6000,0x221bfff5,
    0x77f444ea,0x00ffec41,0x033fae20,0x02f40764,0x7fc07fe0,0x80ffb800,
    0xbfd02ff8,0x7d41ff20,0x9fff100f,0x9dff77d7,0x007f9801,0x98003fee,
    0x17fe404f,0x2f445d98,0x000eff98,0x800003b3,0xec9aeffa,0xffefffe9,
    0x7dc6f446,0xfb8dffef,0xbfd50001,0x7540fc43,0x902e4000,0x07ff200b,
    0x7fc13fea,0x901ffd06,0x7fd405ff,0x17df72ff,0xd8013a00,0x400002ff,
    0xfffffff9,0x3ea5ffff,0x7ff4c5ff,0x000004ff,0x7fffe400,0x3bfff623,
    0x54c2cc0b,0x00025c0a,0xd02d9726,0x40110001,0x7fed4018,0xffd98cff,
    0xffd92dff,0x3ffaa7df,0xffda8cef,0x06600cff,0x01300033,0xbffffb50,
    0x00000003,0x00000000,0x1a880000,0x00000cc0,0x00800000,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10010008,0x0b2e2007,0x20165544,0x7100bdcb,0x85b1059b,
    0x0ed40bec,0x11111132,0x11111111,0x26662111,0x99999999,0x80819999,
    0xeee80eed,0x00800100,0x26660000,0x99999999,0x00009999,0x00000000,
    0x74401f98,0x200fec03,0x445fecfa,0xd10bf31f,0x983df9bf,0xfc8bf72f,
    0x87fff30f,0x4bfea6fe,0xfffffffa,0xffffffff,0xffffff55,0xffffffff,
    0xf88588bf,0x417fcc3f,0x401cffea,0xe98fee29,0x3fffff65,0xfffff37f,
    0xffffffff,0x000009ff,0x20000000,0x0bd101fb,0x6405dfa8,0x27b83fa0,
    0x20de87f8,0xb1ba0ec8,0x887fec3f,0x3ffc6fff,0x44445ff7,0x88888888,
    0x0005b888,0xf307f900,0xea83fc8b,0x0befebab,0xd9ffe0d8,0xffffb1ff,
    0x44444fff,0x88888888,0x00000088,0x40000000,0x02f441fb,0x0017c5f4,
    0x7fdc10db,0x3e207e60,0x5fb89f52,0xf3511ff2,0x3fea5fe8,0x05a80002,
    0x3ff70000,0x82741f50,0xdffc980d,0x27ec5ebb,0x4ccccdf5,0x00001999,
    0x00000000,0x3f700000,0x9ae017a2,0x01d3006a,0xb83fa76e,0x2fdd3606,
    0x37dc3fe6,0x127e44b8,0x500003ff,0x6c00000b,0x1625701f,0x36e201c4,
    0x010102ef,0x00000000,0x00000000,0x3abee000,0x741f8805,0x13ffa604,
    0x507f47d1,0x7faa740f,0x413e67f8,0x3e17dc1e,0x2b500007,0xaaaaaaa8,
    0xaaaaaaaa,0x4202fcc1,0x00000000,0x00000000,0x00000000,0x3f200000,
    0xf309b005,0x23fe9801,0x883fa0fe,0x3a2f982f,0xf897e21f,0x7cc16443,
    0x80003741,0xddddd54a,0xdddddddd,0x2b7629dd,0x00000000,0x00000000,
    0x00000000,0x40000000,0x5401fee8,0x100b900f,0x545ffcbf,0x2ff21aff,
    0x4fb8bd50,0x4c3d03ee,0x9903e203,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0fdd7a20,0x17c407d0,0xbff717c0,0xfb81bf93,
    0xda80cfff,0x00d80dde,0x001dc340,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x5c0fdc5e,0x04c6b806,0x403010d5,0x00800aa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x443f705e,0x227d001f,0x000dddff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17a20000,0x00003f70,0x000000cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x57004880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_34_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,0,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_34_latin1_y[224]={ 27,6,6,6,4,6,6,6,5,5,5,8,24,18,
24,5,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,32,6,12,5,12,5,12,5,12,5,5,
5,5,5,12,12,12,12,12,12,12,8,13,13,13,13,13,13,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,12,7,6,9,6,
5,6,6,6,6,12,13,18,6,3,6,8,6,6,6,13,6,15,26,6,6,12,6,6,6,12,0,0,0,1,
1,1,6,6,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,10,6,0,0,0,1,0,6,5,6,6,
6,6,6,5,12,12,6,6,6,6,6,6,6,6,5,6,6,6,6,6,6,10,12,6,6,6,6,6,5,6,
 };
static unsigned short stb__times_34_latin1_w[224]={ 0,4,10,15,13,24,22,4,9,9,12,17,6,8,
4,9,14,9,15,12,15,13,14,13,13,14,4,5,17,17,17,12,27,22,19,19,22,19,16,21,22,10,12,23,
19,27,23,20,16,21,21,15,18,22,22,29,22,22,18,8,9,7,14,17,6,13,16,12,15,12,13,15,16,8,
9,16,8,24,16,14,16,15,11,10,9,16,16,22,15,16,14,9,2,10,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,13,15,15,16,
2,12,10,22,10,15,17,8,22,17,10,17,9,8,6,15,15,4,6,6,10,15,21,21,23,12,22,22,22,22,
22,22,28,19,19,19,19,19,10,10,10,10,21,23,20,20,20,20,20,13,21,22,22,22,22,22,16,15,13,13,
13,13,13,13,19,12,12,12,12,12,8,8,9,9,14,16,14,14,14,14,14,17,15,16,16,16,16,16,16,16,
 };
static unsigned short stb__times_34_latin1_h[224]={ 0,22,9,22,26,22,22,9,29,29,14,17,9,4,
4,23,22,21,21,22,21,22,22,22,22,22,16,21,16,7,16,22,29,21,21,22,21,21,21,22,21,21,22,21,
21,21,22,22,21,28,21,22,21,22,22,22,21,21,21,28,23,28,12,2,6,16,23,16,23,16,22,22,22,22,
29,22,22,15,15,16,22,22,15,16,20,15,15,15,14,21,14,29,29,29,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,22,16,21,
29,27,5,22,10,16,7,4,22,3,10,17,12,12,6,21,28,4,7,12,10,16,22,22,22,22,27,27,27,26,
26,26,21,27,27,27,27,26,27,27,27,26,21,27,28,28,28,27,27,13,22,28,28,28,27,27,21,23,22,22,
22,22,22,23,16,21,22,22,22,22,21,21,21,21,23,21,22,22,22,22,22,13,17,22,22,22,22,28,29,28,
 };
static unsigned short stb__times_34_latin1_s[224]={ 253,250,84,108,208,108,128,72,1,28,182,
130,77,181,251,55,214,245,34,69,84,82,96,134,148,162,251,248,37,113,219,
17,51,50,236,27,1,225,169,155,124,73,235,100,1,50,200,48,108,120,203,
177,41,174,151,1,213,190,171,111,98,103,15,236,138,148,81,162,65,175,124,
1,61,246,90,138,226,94,119,204,1,193,170,237,69,136,153,71,210,24,195,
38,48,79,152,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,
79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,253,249,222,
30,21,186,100,240,170,177,39,188,95,181,111,190,50,96,244,30,145,18,163,
249,131,248,61,55,106,84,60,47,108,155,85,1,174,151,21,178,198,218,1,
131,21,238,53,197,147,131,142,202,64,32,110,1,147,18,41,179,87,64,145,
39,133,211,169,183,197,236,1,78,225,238,1,14,60,162,135,125,24,91,224,
239,46,78,93,226,114,209,31,229,197,223,11,1, };
static unsigned short stb__times_34_latin1_t[224]={ 1,60,268,161,60,88,115,268,1,1,251,
229,268,268,105,88,115,184,184,138,184,138,138,138,138,138,88,161,251,268,229,
161,1,184,207,115,229,184,184,161,184,184,161,184,207,207,138,138,207,1,184,
161,229,115,115,138,207,207,207,1,88,1,268,84,268,229,88,229,88,229,161,
161,161,115,1,161,161,251,251,229,184,161,251,229,229,251,251,251,251,229,251,
1,1,1,268,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,1,31,60,
161,251,184,1,1,268,138,268,229,268,268,138,268,268,229,251,268,268,184,1,
54,268,229,268,251,115,115,115,115,31,31,31,88,60,60,207,31,31,31,60,
60,60,31,60,60,184,31,1,1,31,60,60,268,88,31,31,1,60,60,207,
88,88,88,88,88,88,60,251,207,88,88,115,115,229,207,207,207,88,207,138,
138,161,161,161,251,229,161,138,115,115,1,1,31, };
static unsigned short stb__times_34_latin1_a[224]={ 123,164,201,246,246,409,382,89,
164,164,246,277,123,164,123,136,246,246,246,246,246,246,246,246,
246,246,136,136,277,277,277,218,452,355,328,328,355,300,273,355,
355,164,191,355,300,437,355,355,273,355,328,273,300,355,355,464,
355,355,300,164,136,164,231,246,164,218,246,218,246,218,164,246,
246,136,136,246,136,382,246,246,246,246,164,191,136,246,246,355,
246,246,218,236,98,236,266,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,123,164,246,246,246,246,98,246,
164,373,136,246,277,164,373,246,196,270,147,147,164,283,223,123,
164,147,152,246,368,368,368,218,355,355,355,355,355,355,437,328,
300,300,300,300,164,164,164,164,355,355,355,355,355,355,355,277,
355,355,355,355,355,355,273,246,218,218,218,218,218,218,328,218,
218,218,218,218,136,136,136,136,246,246,246,246,246,246,246,270,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_34_latin1_BITMAP_HEIGHT or STB_FONT_times_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_34_latin1(stb_fontchar font[STB_FONT_times_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_34_latin1_BITMAP_HEIGHT][STB_FONT_times_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_34_latin1_s[i] + stb__times_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_34_latin1_t[i] + stb__times_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_34_latin1_x[i];
            font[i].y0 = stb__times_34_latin1_y[i];
            font[i].x1 = stb__times_34_latin1_x[i] + stb__times_34_latin1_w[i];
            font[i].y1 = stb__times_34_latin1_y[i] + stb__times_34_latin1_h[i];
            font[i].advance_int = (stb__times_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_34_latin1_s[i] + stb__times_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_34_latin1_t[i] + stb__times_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_34_latin1_x[i] + stb__times_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_34_latin1_y[i] + stb__times_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_34_latin1_LINE_SPACING
#endif

