// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_35_latin1_BITMAP_HEIGHT        292
#define STB_FONT_times_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_35_latin1_FIRST_CHAR            32
#define STB_FONT_times_35_latin1_NUM_CHARS            224

#define STB_FONT_times_35_latin1_LINE_SPACING          23

static unsigned int stb__times_35_latin1_pixels[]={
    0x6c983880,0x2aa20000,0x0000a602,0x0180d4c4,0x0005dd90,0x00bbb200,
    0x01332600,0x0eed8800,0x55554400,0x555550aa,0xdd900055,0xb8800005,
    0x0bceeedc,0xb8066000,0x0da80b75,0x001bffaa,0x403ffb80,0xd50000da,
    0x37bdddff,0xff1001d1,0xf100000b,0x360000bf,0x00002fff,0x5000ffe6,
    0x23ddddff,0x07feeeec,0x0005ff80,0x826fb660,0x000deca8,0x20f6b3a6,
    0x6ec0b75b,0x037fccc0,0x009fb000,0xe98007aa,0x7ec40bdf,0xff3000ff,
    0xdf500000,0x33ea0000,0x400006fc,0x7d4005fa,0x01fea006,0x0000df50,
    0x9800bb62,0x21f8803e,0x5badc3f8,0x6fd80d90,0x017e0000,0xf7001f50,
    0x3ff5007f,0x000fd400,0x0003b200,0x07f51f40,0x00fc8000,0xa801bea0,
    0x07e4007f,0x0274c000,0x6b807900,0x5d6e37c4,0x6402fa85,0xd500006f,
    0x80bd0001,0x2e004ff9,0x025c001f,0x0007a000,0x07441dc0,0x00b60000,
    0x2a006fa8,0x00f4007f,0x001fd400,0x8bd00f40,0x5badc7f8,0x7e403fc4,
    0x01700006,0x440be600,0x74000fff,0x00028002,0x80000620,0x00000c01,
    0x0df50014,0x1003fd40,0x7f100003,0x81a20000,0x2e0cc0ff,0x04fd8b75,
    0x00006fc8,0x01df0000,0x70007ff9,0x00d4c005,0x006a6000,0x00353000,
    0x54000000,0x1fea006f,0x36000000,0x07400006,0x5c00efd8,0x07fc4b75,
    0x2e637e40,0x9999880a,0x09999809,0x3fe13f20,0x0288001f,0x7ff77f64,
    0xfd90003e,0x007dffdd,0x3fbbfb20,0x7f5c03ef,0x00cfffff,0x3bffffd9,
    0xfa801bea,0xfffffd77,0x3fb2019f,0x7dc1dfff,0x53dc9801,0xf302c879,
    0xbadc01df,0x6401bee5,0xffffd36f,0xdffffb83,0x02efeb82,0xffa83fea,
    0xe9800007,0x6fec40bf,0x17fd3000,0x000dfd88,0xd8817fd3,0x7fcc00df,
    0xdf5000df,0x2006fa83,0x7ffcc7fa,0x3df5000d,0xbd1013e0,0x30bfeae3,
    0x0f7fdc09,0x7fcb75b8,0xd1df9005,0x83ffffdd,0x3200fff8,0x0ffcc00f,
    0x0000dff9,0x5c01ffc8,0x7fe402ff,0x017fdc01,0xf7007ff2,0x2ffe805f,
    0x7d42fc00,0x21fea006,0x7c002ffe,0x4403f505,0xd07fe85e,0x17ffee40,
    0xff35badc,0x37ff2009,0x217ffaa1,0x13a02ffb,0xfd8ffe20,0x2a00005f,
    0xffb002ff,0x00bfea01,0xfa807fec,0x1ffb002f,0x000fff40,0x01bea0fe,
    0xffe87fa8,0xd81fc001,0x7407ec06,0x4720d05f,0xadc2fffb,0x007ff55b,
    0x3e207ff2,0x05ff81ff,0x3fe001f3,0x0017ffa4,0x0037fc40,0xff10bff3,
    0x2ffcc00d,0x30037fc4,0x7fec0bff,0x541f4000,0x1fea006f,0xd0003ff6,
    0xfd80fe07,0xd03ff883,0xfff985b0,0xfbadcea1,0x0df9003f,0x7dc1ffe4,
    0x2005c81f,0x17ff66ff,0x17fec000,0xb0bff600,0xfd8005ff,0x017fec2f,
    0x6c0bff60,0x1f4000ff,0xf50037d4,0x001ffb0f,0x01f883e8,0x3fe60df7,
    0x07c45980,0x5b82ff4c,0x32005ff9,0x13fea06f,0x0be22ffc,0x3f27fe80,
    0xf880007f,0x7d4000ff,0x03ffe26f,0x44dff500,0x54000fff,0x1ffb06ff,
    0xfa83e800,0x21fea006,0x74000ffd,0xf880f983,0x20df701f,0x9807d43b,
    0xf95b80ff,0x1bf2005f,0xf705ff98,0x20035c1f,0xfff70ffd,0xffa80001,
    0xfff98007,0x000fff50,0x3ea1fff3,0xff98007f,0x00ffd80f,0x37d41f40,
    0xfb0ff500,0x83e8001f,0x06fc80fa,0x20ec13fa,0x0bf203fb,0x017fdd6e,
    0x3e206fc8,0x49ff103f,0x7ff4003e,0x003fff30,0x006ffb80,0xf71fff98,
    0xff3000df,0x01bfee3f,0x207ffe60,0x74000ffd,0x2006fa83,0x0ffd87fa,
    0x3dc1f400,0xff504ff8,0x3fe61a05,0xb701f500,0x6400ffe6,0x0bfe206f,
    0x0f98ffc8,0x3a3ff400,0x6c0003ff,0xf88005ff,0x0bffb3ff,0x27fff100,
    0x88005ffd,0xffd83fff,0x541f4000,0x1fea006f,0xd0003ff6,0xff10f507,
    0x541ffa05,0x501dfd05,0x7fc56e0d,0x40ff9004,0x3e201ff9,0xf8005ccf,
    0x0fffcc6f,0x7ff52200,0x9fff0005,0x40017ffa,0xbffd4fff,0x13ffe000,
    0xd0003ff6,0x400df507,0x0ffd87fa,0x7cc1f400,0x6c07fcc0,0x00e885fd,
    0x2c83fff3,0x9ff2dcea,0xa81ff200,0xfffc805f,0x2ffc4002,0x00077fec,
    0x017ff61b,0xfd97ffc0,0xfff0005f,0x0017ff65,0x7ec17ffc,0x41f4000f,
    0x3ea006fa,0x000ffd87,0x20fc41f4,0x64ec2ff8,0x201f444f,0x8572fffa,
    0x2fecb75b,0xd01ffc80,0xdff1003f,0x05ff3000,0x2201bff2,0x01bff21d,
    0x647ffe20,0xf88006ff,0x0dff91ff,0x03fff100,0xf8001ffb,0x2006fa83,
    0x0ffd87fa,0x3e81fc00,0x2ecbffe8,0x21f549fb,0xefffa80b,0x5cb75b82,
    0xdff9006f,0x001fe441,0xf50007fb,0xdfffb80f,0x83d9510a,0x98007ffa,
    0xfff50fff,0x1fff3000,0x2001ffea,0xfd80fff9,0x417c001f,0x3ea006fa,
    0x001ffd87,0xa86a817c,0x3ea1efff,0x2cc1cedf,0x707ffd30,0x1ff896eb,
    0xdfcffc80,0x54002ffc,0x4fc8000f,0xfffeda80,0xf980bfff,0x7d4000ff,
    0x03ffe66f,0x4cdff500,0x54000fff,0x3ffb06ff,0xfa82f800,0x21fea006,
    0x7c001ffd,0x2e207e02,0x74037100,0x0fff4401,0x3ea2dd6e,0x516fc803,
    0x17200015,0x003fe200,0x00357b10,0xc8007ffb,0x1ffec2ff,0xb0bff200,
    0xfc8007ff,0x05ff902f,0x7d40fc40,0x21fea006,0x22002ffc,0x001ae01f,
    0x44016a00,0x5badc4fe,0x6fc806d8,0x03f10000,0x0009f700,0x22001bf3,
    0x3e2006ff,0x06ff885f,0x2217fe20,0x3e2006ff,0x13fea05f,0xdf507a80,
    0x543fd400,0x1ea004ff,0x80001360,0x883700e9,0x85badc6f,0x37e402f8,
    0x006c8000,0x2a000bd0,0x3ee004fe,0x1ff9003f,0x400ffee0,0xff700ffc,
    0x03ff2007,0x1007fe88,0x01bea09d,0xfe887fa8,0x009d1007,0x500005f1,
    0x21be601d,0x05badc5e,0x3fe401f5,0x3f309800,0x001d5000,0x2002fd40,
    0x7d401ffd,0x0ffec02f,0xb00bfea0,0xffa803ff,0x04ff9802,0xdf503744,
    0x983fd400,0x374404ff,0x0009d100,0x1be0075c,0x16eb70fa,0xffb00da8,
    0xfdffd000,0x03d70007,0x001fd800,0xc882ffa8,0xff5000ef,0x01df9105,
    0x220bfea0,0x2a000efc,0x2e609dff,0x1bea00ee,0x2a07fa80,0x2e609dff,
    0xec8000ee,0x033aa002,0x70d71b20,0x1b1016eb,0x001fff88,0x002ffff4,
    0x3600025c,0x220002de,0xefecdffd,0xffd88003,0x003efecd,0xecdffd88,
    0xd50003ef,0x9fffdfff,0xffffa801,0xffffd2ff,0xffea80ff,0x00cfffef,
    0x2b3f2600,0xcecba999,0x65e54000,0x016eb702,0xdddddb14,0x3326001b,
    0x00188001,0x10000000,0x40000355,0x00001aa8,0x00006aa2,0x09aaaa88,
    0x33333100,0x26666213,0x55510019,0x40000135,0xacdecba8,0x00400009,
    0x0002552a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0xea80001a,0x914b8803,0x65400005,
    0x2e60002c,0xffffffed,0x82c9802f,0x10300009,0x32200001,0x6400004c,
    0x200002ee,0x00004eea,0x0002f754,0x4400732e,0x3ffb2001,0x0003effe,
    0x2ea80ffd,0x0000f644,0x003fffe2,0xfffffb10,0xfc8016c5,0x00121eff,
    0x5ff337ec,0xfffb0000,0x74400005,0x6c00005f,0x200000ff,0x20000ffc,
    0x8805fffa,0x7f4c04ff,0x37f6a20b,0x02fe4000,0x07dc01f7,0xfb5f9000,
    0x7ff4400b,0x0b62ffff,0x3ff6b620,0xf0006cef,0x13fee1ff,0xf79f3000,
    0x4c00001f,0xe800007f,0x3e00002f,0x7740001f,0x7d402ffa,0x07fee06f,
    0x8005ffb0,0x1017e200,0x3e2000df,0x64007ee2,0x2fffffff,0x982a00b6,
    0x0001fffd,0x076c49d5,0xfa93a000,0x7d400004,0x74400002,0x5f300005,
    0x10eb8000,0x7ffa80db,0x1007ff50,0x00001ffd,0x3fa00fee,0x981c8001,
    0xffffd006,0x016c5fff,0x000a880c,0x70000000,0x0001d107,0x00004b80,
    0x90000688,0x05880007,0x37fd4079,0x30037fc4,0x20000bff,0x2ff804fd,
    0x02201800,0xffffff10,0x0016c5ff,0x00000d4c,0x400006a6,0x00000c01,
    0x98000014,0x00280000,0x300c0180,0x5ff90bff,0x02ffd800,0x406fd800,
    0x00003ff8,0xfffff000,0x016c5fff,0xffeefec8,0xfd90003e,0x007dffdd,
    0x00000c00,0x00000060,0x00000000,0x3fe20000,0x007ffc44,0x401bfee0,
    0x80ff9039,0xfeb82ff9,0x00cfffff,0x3bffffd9,0x7ffffff4,0xd300b62f,
    0xdfd8817f,0x17fd3000,0x000dfd88,0x00003d40,0xb3000f50,0xffffffff,
    0x8bffffff,0xffffffd9,0xffffffff,0x7fffecc5,0xffffffff,0x44ff85ff,
    0x98007ffa,0xd7100fff,0x03fee0df,0x2600ffa8,0x5000dfff,0xfff903df,
    0x16c5ffff,0xb803ff90,0x7fe402ff,0x017fdc01,0x0005fb00,0x000bf600,
    0x999dffd8,0x06fba999,0x26677ff6,0x06fba999,0x26677ff6,0x86fba999,
    0x37fdc3fe,0x0fffc400,0x506ffcc8,0x07fa80ff,0x4002ffe8,0x3fff605f,
    0x40b62fff,0xfb002ffa,0x0bfea01f,0x0007fec0,0x0002ffc4,0x002ffc40,
    0x5009ff70,0x027fdc0d,0x9ff70354,0x5fb0d500,0x0005ffd8,0xfe805fff,
    0xf009f106,0x03ffd00d,0x7ec03f80,0x0b62ffff,0x9801bfe2,0x6ff885ff,
    0x017fe600,0x007fff20,0x3fff9000,0x13fea000,0x9ff50340,0xffa81a00,
    0x3fb0d004,0x0004ffe8,0xfd809fff,0x9003f506,0x0ffd801f,0x4401f400,
    0x0b62fcca,0xb000bff6,0x2ffd85ff,0x017fec00,0x09ffdf10,0x7f7c4000,
    0xff50004f,0xfa80a009,0x5405004f,0x905004ff,0x05ffd81f,0x807fff00,
    0x007d06fc,0xffb00f62,0x003e8001,0xf10b62e8,0xfa8001ff,0x03ffe26f,
    0x00dff500,0x07ffc7dc,0xf8fb8000,0xfa8000ff,0xfa80004f,0xfa80004f,
    0x1ee0004f,0x2001bfee,0x6402fff8,0x0006546f,0xffd80ed4,0x001f4000,
    0xfa85b174,0xff98007f,0x00fff50f,0x001fff30,0x01ffe53a,0xff94e800,
    0x9ff50007,0xffa80280,0x7d401404,0xd501404f,0x000fff30,0xc801fff3,
    0x0003b26f,0xffd81f98,0x001f4000,0xfb85b174,0xff98006f,0x00dff71f,
    0x003fff30,0x1bfe61f3,0x4c3e6000,0xfa8006ff,0x5403404f,0x403404ff,
    0x03404ffa,0x1fff10d3,0x06ffa800,0x164c6fc8,0xd8065c00,0x1f4000ff,
    0x85b17400,0x88005ffd,0xbffb3fff,0x7fff1000,0xffe8bb00,0x22ec0001,
    0x54001ffe,0x01e604ff,0x79813fea,0x204ffa80,0x74162079,0x7e4003ff,
    0x06fc802f,0x0fa2009d,0x8001ffb0,0x22e8003e,0x02fff42d,0xfd4fff80,
    0x3fe000bf,0x20fc404f,0x20005ffa,0x2ffd41f8,0x33bfea00,0x07fecccc,
    0xccceffa8,0xa807fecc,0xccccceff,0x980c07fe,0x3e2006ff,0x0df9006f,
    0x3f200bea,0x007fec00,0x3a000fa0,0xbffb0b62,0x4bffe000,0xf0005ffd,
    0x06c805ff,0x20001fff,0x01fff06c,0x6677fd40,0x807feccc,0xcccceffa,
    0xfa807fec,0xecccccef,0x3ea0007f,0x3ff9003f,0x441bf200,0x806f805f,
    0x74000ffd,0x362e8003,0x0037fe42,0xfc8fffc4,0xff88006f,0xc817c01f,
    0x5f0003ff,0x800fff20,0x1e604ffa,0x9813fea0,0x04ffa807,0xf90001e6,
    0x1ff9803d,0x541bf200,0x1fea00ff,0x0003ff60,0x45d0007f,0x03ffd42d,
    0xa87ffcc0,0xf98007ff,0x27ea00ff,0xffa99999,0x99fa8006,0x6ffa9999,
    0x013fea00,0x09ff500b,0x4ffa8058,0x03d902c0,0xf702ffc8,0x6fc8003f,
    0x5401ff70,0x7fec01ff,0x0017c001,0xf985b174,0x7d4000ff,0x03ffe66f,
    0x80dff500,0xfffffffe,0x4002ffff,0xfffffffe,0x5002ffff,0x803809ff,
    0x01c04ffa,0x0e027fd4,0x44037fd4,0xffecdffc,0x0df90003,0xff301ff2,
    0x01ffd805,0x740017c0,0x3ff60b62,0x17fe4003,0x9000fff6,0x07cc05ff,
    0x8017fea0,0x7fd400f9,0x09ff5005,0x09ff5000,0x09ff5000,0x013fe200,
    0x0ffffe98,0x417f2000,0x7fc406fd,0x017fe403,0xd0003f10,0x7fc416c5,
    0x17fe2006,0x8801bfe2,0x02ec05ff,0xb000ffe8,0x03ffa00b,0x0013fea0,
    0x009ff501,0x04ffa808,0x00051040,0x00bfffb1,0xfd827e40,0x402ff804,
    0x2a004ffa,0x6c5d0007,0x007ff702,0x7dc03ff2,0x1ff9003f,0xb800fc40,
    0x1f8804ff,0x009ff700,0x5c009ff5,0x004ffa82,0x13fea0ae,0x00002b80,
    0x000fffee,0x3fb81fe4,0x4401fe80,0x9d1007fe,0x2d8ba000,0x5007ff60,
    0xffd805ff,0x017fd401,0xff8801b2,0x0036400f,0xa801fff1,0x0f3004ff,
    0x4c013fea,0x009ff507,0x00de89e6,0x0fff6600,0x4403f600,0x02fc405f,
    0x4404ff98,0x8ba0006e,0x17fd402d,0x80077e44,0xfc882ffa,0x027c400e,
    0x8813ffa0,0x7ff4004f,0x027fdc04,0xffb82744,0x704e8804,0x9d1009ff,
    0x0001ffe4,0x4416fe4c,0x5013a1ee,0x007dc03f,0x413bff50,0x0000eeb9,
    0x8802d8ba,0xefecdffd,0xffd88003,0x003efecd,0xfe8009fb,0x09fb02ff,
    0x02fffe80,0x2667bff6,0x1ffb9999,0x333dffb0,0x3ff73333,0x267bff60,
    0xffb99999,0x000bfea1,0x1cdcb880,0x1b99fff3,0xc887d300,0xfea8000d,
    0x0cfffeff,0x390e4000,0x01aa8800,0x06aa2000,0xeffffb80,0x7fff5c04,
    0xfff71eff,0xfeb809df,0x931effff,0xfffffffd,0x8fffffff,0xfffffec9,
    0xffffffff,0x7fff64c7,0xffffffff,0x001987ff,0x32a08000,0x544002cd,
    0x00003914,0x01355551,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b600000,0x3260001e,0x26000882,
    0x2b8803cc,0x200005d4,0x00002eec,0x000dee88,0x00130300,0x000bbb20,
    0x02206062,0x00000400,0x0000440c,0x40006022,0x09ff1003,0x3bfff200,
    0xfe800321,0x7fec02ff,0x0009ff31,0x00005ff8,0x0005ff70,0xffb97fe0,
    0x27fc4000,0x7ec3c800,0x8007fea6,0x0001dffb,0x7fccdfb0,0x3ff50002,
    0x22002ff4,0x7f98009e,0xffb5b000,0x5400d9df,0x6c06fcbf,0x09ff31ff,
    0x0037d400,0x007fb000,0xd9ffe200,0x7d4002ff,0xf03e0005,0x0fff21ff,
    0x05b87440,0x21fff000,0x90004ffb,0x1ffe27ff,0x7f7ff5c0,0x07ea00be,
    0x7ecc1500,0x8fa001ff,0x0b2203fa,0x64000197,0x1000000e,0xc800009f,
    0x0017a62e,0x540003b6,0x3a23eb85,0xf877000d,0x4ea80000,0x40007b62,
    0x0fb20de8,0x23a2ffa0,0x3201ffc8,0xa880c004,0x260ae000,0x0000000e,
    0x000001e8,0x0000016a,0x003a0000,0x00002d80,0x006896a0,0x00000000,
    0xd27e4000,0x0a00fdc1,0x18000000,0x00000220,0x00003100,0x00000280,
    0x01880000,0x0003e200,0x7f7bd000,0x00600000,0x22000000,0x3d03a1ff,
    0xfffb3000,0x3fae009f,0x8001dfff,0x80999998,0x80009999,0x00000001,
    0xffffeb80,0xfd900cff,0x0003bfff,0x21772a20,0xfffffec8,0x0fe4003e,
    0x07a80000,0xffffd980,0xffffffff,0x17fcc5ff,0xd911c81d,0x87dfffff,
    0x002fffc8,0xd9103bea,0x27dfffff,0x82dffffb,0x4002efeb,0xffb8007a,
    0x00dfffff,0x3bfffffb,0x00dfff98,0xc883df50,0x3efffffe,0xffbefc88,
    0x3fff900d,0x00bf6000,0x017ec000,0x33bffb00,0xdf753333,0x03a4ff88,
    0x3fff9015,0x01fffc80,0xff9013e0,0x1fff103f,0x40007e40,0xc88002fd,
    0x8800ffff,0x3fa01eff,0x02fc002f,0xe807fff2,0x0dfff11e,0x4001bfea,
    0x00005ff8,0x0005ff88,0x2a013fee,0x1d3ffe86,0x01bfea00,0x003fffe6,
    0x3fea01fc,0x80bfee06,0xff88004e,0x3ff60005,0x01ff000f,0x4001ffe8,
    0x37fd403f,0x665c3f90,0x5ff982ff,0x3fff9000,0xffc80000,0xff50001f,
    0x3ee1a009,0x3000ecff,0xdf300bff,0x0be00dff,0xf80bff30,0x001f305f,
    0x003fff90,0x00fffe20,0x3f600bea,0x01f4000f,0x7cc17fe6,0x0ffccf45,
    0x4002ffcc,0x004ffef8,0x3ffbe200,0x9ff50004,0x7fe40a00,0xff3001ff,
    0xff3f300b,0x805f009f,0x7dc05ff9,0x8005c81f,0x004ffef8,0x003ffea0,
    0x3ff6009d,0x201f4000,0x9f905ff9,0xff98034c,0xf8fb8005,0x700000ff,
    0x001fff1f,0x0009ff50,0x05ffff90,0x300bff30,0x00fffe6f,0x5ff9805f,
    0x7c45ff80,0xf8fb8002,0x360000ff,0x03ae05ff,0x0007fec0,0xbff300fa,
    0x03c8ff60,0x000bff30,0x00fff29d,0xffca7400,0x4ffa8003,0xfe980140,
    0x7fcc04ff,0x3ee79805,0x00be01ff,0xf700bff3,0x80035c1f,0x007ff94e,
    0x417ffc40,0x3f6002f8,0x01f4000f,0x7f417fe6,0x7cc003e3,0x87cc005f,
    0x80006ff9,0x0dff30f9,0x809ff500,0x3ffe2006,0xbff300ef,0xffc8f300,
    0x9805f00f,0xff8805ff,0x26000fa4,0x00dff30f,0x40fffa80,0x7fec005d,
    0x201f4000,0x9fd05ff9,0xff98016a,0x3a2ec005,0x6c0001ff,0x000fff45,
    0x79813fea,0x7ffdf400,0x05ff980e,0x6ffe8798,0xff9805f0,0x31ff9005,
    0x8bb0001f,0x40001ffe,0x03ea4ffd,0x001ffb00,0x7fcc03e8,0x0b6ffb05,
    0x02ffcc0c,0xffa83f10,0x07e20005,0xa800bff5,0xccccceff,0x474007fe,
    0xf982ffe8,0x8879805f,0x02f85fff,0x8802ffcc,0x8005ccff,0x2ffd41f8,
    0x3ffe2000,0xd8003f8a,0x1f4000ff,0x5c17fe60,0x3980fbff,0x2005ff98,
    0x01fff06c,0x7fc1b200,0x3fea000f,0xfeccccce,0xf8874007,0x05ff985f,
    0xfff30798,0x7cc02f87,0x3ff2005f,0x06c8002f,0x80001fff,0x005deffb,
    0x8001ffb0,0x2ffcc03e,0xb05fff98,0x00bff301,0x3ffc817c,0x3205f000,
    0x3ea003ff,0x441e604f,0x3ff20e80,0x402ffcc0,0x3ffea079,0xff300be2,
    0x37fc400b,0xf902f800,0xfb00007f,0x360003ff,0x1fc000ff,0xd817fe60,
    0xea88aeff,0x00bff304,0x266667ea,0x8006ffa9,0x999999fa,0x2a006ffa,
    0xa82c04ff,0x3fea0e84,0x402ffcc0,0x7ffe4079,0xff9805f0,0x01fec005,
    0x4cccfd40,0x006ffa99,0x005ff980,0x0007ff60,0x5ff9805f,0x3ffffa20,
    0x3fe606ff,0xffffd005,0x5fffffff,0xffffe800,0x2fffffff,0x809ff500,
    0x41d0f503,0x5ff986fb,0xfd807980,0x4c02f8ef,0x7d4005ff,0xfffe8000,
    0xffffffff,0x7fc40002,0x3ff60005,0x2017c001,0x7dc05ff9,0x200cffff,
    0xf9805ff9,0x02ffd400,0xfa801f30,0x9ff5005f,0xd0bea000,0x7cc17f41,
    0x8079805f,0x02fdffe8,0x2002ffcc,0x0f98005c,0x002ffd40,0x0017fe20,
    0x2002ffc8,0x7fcc01f8,0x0998f405,0x805ff980,0x1ffd005d,0x74017600,
    0xffa800ff,0xffa84004,0x827ec3a2,0x79805ff9,0x5ffff100,0x005ff980,
    0x360007e2,0x01ffd005,0x02ffc400,0x009ff500,0x7fcc03d4,0x4001a605,
    0x7c405ff9,0x09ff7001,0x2e003f10,0xffa804ff,0x5c4ae004,0xefdfdffe,
    0x017fe601,0x7d4003ea,0x7fcc02ff,0x001b2005,0x7dc007e2,0x3e20004f,
    0x3a20005f,0x09d1007f,0x640bff30,0xbff30003,0x22006c80,0x36400fff,
    0x01fff100,0x3004ffa8,0x2bea620f,0x05ff9800,0x2e000fb8,0x7fcc02ff,
    0x0fcc2605,0x10036400,0x20001fff,0x40005ff9,0x74404ff9,0x0bff3006,
    0xf980007c,0x013e206f,0x4409ffd0,0x7ff4004f,0x027fdc04,0x07402744,
    0x806ff980,0x7ec002fd,0x837fcc02,0x003feffe,0x74004f88,0xf50004ff,
    0xf50000df,0x75cc13bf,0xdff3000e,0xc8001660,0x9fb00fff,0x2fffe800,
    0xe8009fb0,0x3f602fff,0x999999ef,0x2801ffb9,0x03fff200,0x3bffff22,
    0x900ba004,0xffd01fff,0x3f6000bf,0x7fff4004,0xfffc8002,0xfea80000,
    0x0cfffeff,0x03fff200,0xf91000ae,0x27bfffff,0x04effffb,0x7fffff5c,
    0xdffff71e,0xfffeb809,0xfd931eff,0xffffffff,0x000fffff,0x3ffff220,
    0x00003dff,0xffc88088,0x263dffff,0xfb8001cc,0x5c04efff,0x1efffffe,
    0x7fffe440,0x80003dff,0x009aaaa8,0xfffff910,0x000007bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x000882c9,0x2aaa0000,
    0x554c0000,0x2aa88001,0x37bb2a00,0x06a60003,0x2aa20098,0x00351001,
    0x554002a0,0x20322002,0x202a0038,0x15530028,0x02aaa000,0x3200b700,
    0x0321efff,0x005db500,0x0003ffb8,0x400077fc,0xfb002ffc,0x01dfb33b,
    0x3f7bfb20,0x807e62ef,0xfc807ffe,0x2e000efc,0x0bfee006,0x3ee2ea80,
    0x2a0be004,0x0dffd006,0x00bff300,0x2b6005d0,0x06cefffd,0x16ccf4c0,
    0x0017f200,0x0000ff98,0x3ea007fd,0x4c05fc85,0xefc983fe,0x37ea03e9,
    0x47f204ff,0x3f3006f8,0x004fd800,0x006f6fcc,0x09901f10,0x07ffbf70,
    0x8006fb80,0x4c130079,0x4001fffd,0x2001a62d,0xf90000fd,0x13e20003,
    0xf982fe80,0x03ff701f,0x7c05ffc8,0xf301fd14,0xe800fd8d,0x00fd0003,
    0x000ffe98,0x403e83d4,0x01fd13f8,0x40007740,0x2203005b,0x22c8000a,
    0x05d00069,0x8000ba00,0x3fe2005b,0xa82ff881,0xffd003ff,0x1720ee01,
    0x07f913ee,0x220005c8,0xaed8801e,0x2e000efa,0x2c803f05,0x3f1004d8,
    0x000ba000,0x74c00018,0x10002eaa,0x00710007,0x26000b80,0x2ff880ff,
    0xa8037fc4,0x02885fff,0xb89fb02a,0x003e605f,0x7b007300,0xb000efd8,
    0x4401f307,0x2a002e02,0x00f30001,0x40003d40,0x00002dc9,0x00000000,
    0x301ff500,0x2ffd81ff,0xffd9f980,0x4fe80003,0x07d03fdc,0x88000000,
    0x05f005ff,0x000000d7,0x00b70000,0x00017ec0,0x19999800,0x204cccc4,
    0x4c419999,0xb8800999,0x0ffa801b,0x7fc45fc8,0xb9fc400f,0x575107ff,
    0x2e2fe403,0x000b906f,0x4001bb88,0x42ffb9a9,0xabfbaaa8,0x0aaedaaa,
    0x98833333,0x2a200999,0x174001ab,0x05ff8800,0x06aea200,0x4c7ffdb8,
    0x6dc2fffd,0x7fecc7ff,0x2f7ae02f,0x3ea02ffd,0x037f220f,0x9d00fff5,
    0x3607ffcc,0x82ffebdf,0x42fe45fb,0xd70000f9,0x805ffb7b,0xffeecffa,
    0x7f777546,0xeefeeeee,0x8fffb70e,0xb02fffd9,0x05ffd7bf,0x64000f30,
    0xd8001fff,0x02ffebdf,0x7fdc1ff6,0x2e0ffb02,0x85f702ff,0xff504ff9,
    0x203bfea1,0x36406ffb,0xfb87ffe2,0x2207fe43,0x220ff47f,0x5f70002e,
    0xf904ff98,0x02fffa87,0xb00fc172,0x0bfee0ff,0x1ff90fee,0x10004c80,
    0x8009ffdf,0x07fe43fb,0xff307fc8,0x4c1ff205,0x04fa82ff,0xff505ff7,
    0x217fe541,0x3ee05ffd,0xf13fff80,0x83ff883f,0x907f73f9,0x13ea000b,
    0x3ea17fdc,0x40bff904,0x6407983e,0x85ff307f,0x7fc41ff8,0x80017403,
    0x00fff8fb,0xf883ff10,0x20ff903f,0xff902ff8,0x3e0bfe20,0x0dff101f,
    0xff901ff5,0x982fff49,0x29fff01f,0x3ff80ff8,0x505bb930,0xf802601f,
    0x4dff101f,0xff100ff8,0x2e07e01f,0x883fe406,0x07fc42ff,0x0f301ffc,
    0xffca7400,0x01ff1003,0x1ff207ff,0xfc817fc4,0x985ff107,0x3ff200ff,
    0xe807fd42,0x0bff90ff,0x7ffc05f1,0x3fe20662,0x05f10003,0x981dd9f7,
    0x3ff200ff,0xfd80ff72,0xc80f982f,0x883fe404,0x881982ff,0x013203ff,
    0xff987cc0,0x22066006,0x0ff903ff,0x7e40bfe2,0xb85ff107,0x1ffdc07f,
    0x7dc03fea,0xd0dff73f,0x0fffc409,0x07ffbb50,0x3ea13600,0x7fb83ba3,
    0xfc9ffdc0,0x41ffdc07,0xc807d06a,0x05ff107f,0x07ffbb50,0x5d800174,
    0x8000fff4,0x903ffdda,0x0bfe20ff,0xff883fe4,0x2a03fec2,0x07fd44ff,
    0xff54ff88,0x7cc05d8f,0x239f707f,0xea8003ff,0xf707fc40,0x2a03fec9,
    0x80ffd4ff,0xddd54ffa,0xdfdddddf,0x7fc81ddd,0x5c05ff10,0x207ff1cf,
    0x3f100079,0x4005ffa8,0x07ff1cfb,0x7fc41ff2,0x220ff902,0x07ff42ff,
    0xfa87ff30,0x457fe00f,0x01d71fff,0x7446ffb8,0x001ffc1f,0x1fe607e2,
    0x07ff4df5,0x3fa7ff30,0x4ffe600f,0xaaadeaa8,0x0aaaafca,0xff883fe4,
    0x7c1fe882,0x0009903f,0x07ffc1b2,0x3e0ff440,0x20ff903f,0xff902ff8,
    0xfb0bfe20,0x0ffcc03f,0xfe803fea,0x3eafff24,0x22ffc801,0x3ff81fe8,
    0xfb826c00,0xfd87fcc6,0x47fe601f,0x3e601ffd,0x6b81f81f,0xf107fc80,
    0x81fe885f,0x005d03ff,0x7fe40be0,0x40ff4403,0x0ff703ff,0x7dc0bfe2,
    0xb85ff107,0x1fea03ff,0xfe803fea,0x0bfbfe23,0xf917fe20,0x800ffe0d,
    0x31bf206b,0x0ffee1ff,0x3ff27fa8,0x261fea03,0xb804c80f,0x85ff107f,
    0x07ff06fc,0x3ea000f3,0xfa999999,0x837e406f,0x1ff503ff,0x2a05ff30,
    0x2ff980ff,0xf7037fc4,0x2e1ff50b,0x3ea0ffc2,0x1df9004f,0x9ff06fd8,
    0xa807e200,0xf13fcc6f,0x32fdc0df,0x2fdc0dff,0x802e8354,0xff980ffa,
    0xff837ec2,0xd0004c84,0xffffffff,0x7ec05fff,0x2609ff06,0x7ff543ff,
    0xa87ff304,0xffb84ffe,0xf701dd03,0x261ff31f,0x03fff05f,0xfc81ffa8,
    0x53ff622f,0x22026c03,0x2e37d47f,0x81dd03ff,0x1dd04ffc,0x007e0990,
    0xfd50ffe6,0x22ffc89f,0x7474ffd8,0x00f98001,0xf902ffd4,0xa7fec45f,
    0xecdffe83,0x83cfff9d,0x9decdffe,0x7e43cfff,0x403f662f,0x22ff0ffd,
    0xfbec80ed,0x1efc80af,0xdbbfff30,0x407bffd5,0x43fb006b,0x2ffc83fd,
    0x7ec03f66,0x403f662f,0x2007983e,0x9decdffe,0xff33cfff,0xffd5dbbf,
    0x4001e67b,0x1ffd005d,0x377ffe60,0x83dffeae,0xf14ffff9,0x3fe6039f,
    0x39ff14ff,0x3f7ffee0,0xfffe981d,0x01bfdd50,0x3ff221f5,0x802efede,
    0xf70dffeb,0x00fcc07f,0x5fb9ee88,0x3f7ffee0,0x7ffdc01d,0x07e01cfd,
    0xff9801ae,0x39ff14ff,0x70dffeb8,0x002647ff,0xfb800fc4,0x3ffae04f,
    0x807ff70d,0x002a20a9,0x0151054c,0x00006a20,0x22033002,0x980009aa,
    0x03c80080,0x01eedc40,0x98001a88,0x2605001a,0x20a98001,0x404c00a8,
    0xc8000a80,0x3ffe2006,0x00404c00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x4ffe8009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004fd800,0x2617fff4,0xeeeeeeee,0x6eeeeeee,0x2eeeeee2,0xbbbbbbbb,
    0x0000003b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffee00,0x7ff5c04e,0x7711efff,0x77777777,0x4c777777,0xeeeeeeee,
    0x6eeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20035510,0x22001aaa,0x550002aa,
    0x0aaa0035,0x01880000,0x18803300,0x4400a800,0x00298001,0x00000540,
    0x2180d4c4,0x9880002e,0x400009aa,0x74000019,0xf9800fff,0x7fec005f,
    0x0eff8000,0x04fff980,0x4401dd30,0x2004fffd,0xbf9300f9,0x300fa800,
    0xf8800bf9,0xefda8002,0xa80002df,0xbdeeeffe,0x00b70e89,0x6effed40,
    0x5c002dff,0x3603feee,0x7efd402f,0x0ff5004f,0x002fe880,0xe8007fd4,
    0xc800ffdf,0x4cb604ff,0x07d001fe,0x1002fd4c,0x2fd4c05f,0x20017200,
    0x0fb11efb,0x5eff4c00,0x87ffec40,0x744000f8,0xedb981bd,0x2a2fd801,
    0x06ff984f,0x00fe8a7c,0x88005f70,0x0fe4005f,0xbf51fa80,0x405ff500,
    0x5c00fe40,0x005f8806,0x17e20172,0x4000f980,0x1fcc1ff9,0x01ffdc00,
    0x07b0ffd4,0x3000f540,0x427e405d,0x27fc43fd,0x00b90770,0x3cc00264,
    0xe800be00,0x4c00f4c0,0x40274000,0x5f8801f8,0x1001f300,0x017400bf,
    0x7c43fdc0,0x27fcc005,0x2dc3f700,0xa880e980,0x3d1311ab,0xf301ff30,
    0x1440310f,0x02400150,0x71001a80,0x38805400,0x7e4c0000,0x1004d801,
    0x00ba00bf,0x5c802fc4,0x81ff9000,0x3e2002fa,0x174000ff,0x0e8801f1,
    0x75cd6754,0xd81d13ff,0x00ffe06f,0x00000000,0x00000000,0x400c4000,
    0x202fffd8,0x17e2006a,0xf8801720,0x000f9805,0x7d85ff90,0x01ffe400,
    0x00f615c0,0x502fc879,0xff12549f,0x003fec09,0x20037710,0x2001aba8,
    0x1001aba8,0x22003575,0x2a001aba,0x837dc001,0x3e2001f8,0x0007cc05,
    0x07d00bf1,0x8affdc00,0x7fc002fd,0x4288001f,0xb83e205b,0xf126c02f,
    0xb80ffea1,0x701220ff,0x05ffb7bd,0x7ff5efec,0x7eefe402,0x37f200df,
    0x3200dffd,0x00dffddf,0x7e8000c8,0xf88009b0,0x2001f405,0x035c05f8,
    0x2bffe200,0x2aaaa1ee,0x1ffea1aa,0x00f88000,0x403fccd7,0xffc9f438,
    0x987fee02,0xf30bee05,0xc87f709f,0x0de880ff,0x3a21bfe6,0x21bfe60d,
    0x3fe60de8,0xd0006806,0x8001f50b,0x01b205f8,0xf9817e20,0xffd80001,
    0xefff983f,0x01bff20b,0x3207b000,0x40017f24,0x405ffb5b,0x41a62ffa,
    0x5ff704fa,0x3e20ffc4,0xb80fc83f,0x407e43ff,0x07e43ffb,0x9701ffdc,
    0xb88ac880,0x0017c40e,0x0f9837c4,0x206f8800,0xd880003e,0xdf900fff,
    0x00bffb01,0x5b05b800,0x980027f4,0x5403ffb6,0x7c1ea4ff,0x4dff101f,
    0x3ff80ff8,0xff982fc4,0x7cc17e26,0x4c17e26f,0x03f506ff,0x03eeed88,
    0x541c80b9,0x1f41ceed,0xeda80544,0x2035c1ce,0x76fd401c,0x03f905ff,
    0x00017ffa,0x41d01f10,0xf10003ff,0xfa807ffa,0x3e61ee4f,0x8bff200f,
    0x43ff8819,0xeeeeeefb,0x3bee7ffe,0xffeeeeee,0x3bbbbee7,0x887ffeee,
    0x2a00005f,0x00ff200f,0xffe88d70,0x7c4001ef,0xd80ff201,0x05fff34f,
    0x2ffec0bd,0x41ec0000,0x0013fa1e,0x01ffdb4c,0x0fc93fea,0x3ee03fdc,
    0x3f76a03f,0x4cdfe43f,0x21999999,0x99999bfc,0x2ff21999,0x99999999,
    0x0002fd81,0x7d405d10,0x07e2003f,0x0bf91179,0x3ea04d80,0xd87fb03f,
    0x03e60fff,0x0007ffc8,0x23d86a80,0xb70005fd,0xfb807ff2,0xfb07f63f,
    0x84ffa80f,0x87ff1cfb,0x7ec003fd,0x01fec003,0x00037dc0,0x574c0b90,
    0x2136003f,0x5000fe84,0x1fd74c0d,0x7fcc3fe4,0xf700ba5f,0x800001ff,
    0xf535c0f8,0x27b0001f,0x3ee02ffc,0xfd0bfa2f,0x1ffcc01f,0x3ff83fd1,
    0x360027ec,0x27ec004f,0x013fe200,0x8807cc00,0x7003f99e,0x8037400d,
    0x33d101f8,0x209ff07f,0x05cafffb,0x001fff98,0x7c43d800,0x71013f60,
    0x05ff50f8,0x7ff07fe4,0x2601ffd8,0x03fd11ff,0x0ffc87ff,0x01ff90c0,
    0x003ff218,0xd817fd43,0x407d000d,0x1007f32e,0x0fe2003f,0x25d026c0,
    0x1ffd43f9,0x01ffffd0,0x000fffa0,0x8b61aa00,0x89304fe8,0x813fe25a,
    0x227fc6fd,0x3ea03ffb,0x7fc1bf27,0x101ffdc3,0x101ffdcb,0x101ffdcb,
    0x440ffdcb,0x06c803ff,0x803f9932,0x0172004d,0x23c80754,0x2ffec3f9,
    0x01dfff10,0x007ffe60,0x07c40910,0x9df703a2,0x0e889d97,0x9ff037ec,
    0x3e22ffc4,0xd97ee06f,0x889ff06f,0x45902fff,0x5902fff8,0xc817ffc4,
    0x6c0ffee2,0x80fcc04f,0xdfcaaafa,0x001d500a,0x17c401ae,0xfcaaafa8,
    0x1fffb0ad,0x077ffe40,0x3bff6154,0xb0036000,0x2a60d507,0xf305d00a,
    0x41ff301f,0xffb85ff9,0x7e41dd03,0x53ff622f,0x2b3fff23,0xffc86da8,
    0x86da8acf,0xa8acfffc,0x82ffcc6d,0x01f403fa,0xdfddddd7,0x005f101d,
    0x05d8016a,0x3fbbbbae,0x9fff70ee,0xfff9fb10,0x6416615d,0x1d8806ff,
    0x3d706a80,0x901f4c00,0xa87fb07f,0x5ff906ff,0x3e607ecc,0xfeaeddff,
    0x3ffa23df,0x882fffff,0xfffffffe,0xffffe882,0xffd82fff,0x2e00ec80,
    0x03f98006,0x225c0136,0x001f5048,0xffd83f98,0x0dfcbbef,0xfffffff5,
    0x6fffdc05,0x03d9510a,0x74c03e20,0xeda880ad,0x2a0fd801,0x07ffb84f,
    0x37f7ffee,0x1bffd701,0x7e40ffee,0x6401efff,0x401effff,0x01effffc,
    0x9339ffb1,0x00fc403d,0xfa81fcc0,0xeeefd800,0x02e884ff,0xc883f980,
    0x83ffffff,0x03efffe9,0xffffeda8,0x6c000bff,0x677f5403,0x2002efec,
    0x02dedfc8,0x5100bff1,0x0404c003,0x4001a980,0x54c001a9,0x9bb93001,
    0x00079005,0x016c0722,0x6666664c,0x0004b80c,0x54c40391,0x01a8800a,
    0x03553100,0x8800cc00,0x00009aa9,0x06dc004c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00035300,0x20001b66,0x98800198,0x054c4000,0x0aa98062,0x00a98000,
    0x01355310,0x03ea8000,0x04d54c40,0x4cc40022,0x02660000,0xfffffff0,
    0x8005ffff,0xffff002a,0x004c7fff,0x3ffbbfb2,0xffeb803e,0x3fa60006,
    0xda803ffd,0x4c01efff,0xaceffffe,0xfcdea83c,0x75c002ff,0xfda802ce,
    0x02dffddf,0x3fff2200,0xdffb5003,0x7737dfdb,0xfddfea80,0x33b2001e,
    0xfff504fd,0xffffffff,0x037d4001,0x7fffffdc,0x301ff70f,0xfd8817fd,
    0x3fe6600d,0x19f50006,0x64037f22,0x1ffffeef,0x2617df70,0x35c3fffb,
    0x4c027fdc,0xbd1001ee,0x3db73037,0xff711000,0xaefe8807,0x03fffa80,
    0xfd882fee,0x360dd802,0xcdefd81f,0x05fccccc,0x201bfe20,0x2ccccccf,
    0xff907ff6,0x02ffb803,0x4c0037ec,0x309fd05f,0x27fecc3b,0xf9807fcc,
    0x740fe63f,0x06fe407f,0x2001ea80,0xf10002e9,0x6ffcc07f,0x827ec400,
    0x1ff306f9,0x3ee07e40,0x2a00fc45,0x3ff6003f,0xc8035c06,0x0bfea1ff,
    0xb007fec0,0x3fd000df,0x5883fea0,0xfb0fff10,0x2e3f980b,0x05ff705f,
    0xe9801bf6,0x09999998,0x20003d10,0xbff103ff,0xc82fc400,0x40bfa03f,
    0x43e887f8,0x00fd801c,0x80dfbd70,0x4ff7002f,0x26006ff8,0x1bf605ff,
    0x401ff300,0x3f6005ff,0xd804fe87,0x2603fee3,0x0ffa85ff,0x3ee1d100,
    0x0cffdcef,0x7c000744,0x01ffb03f,0x9fb05c80,0xf9817ec0,0x7c002006,
    0xf93f3005,0x8017dc0d,0x0bff66f9,0x205ffb00,0x7dc006fc,0x003ff407,
    0x0fff09f7,0x0ffc4770,0x3e21ffcc,0x90f2002f,0x427f449f,0x3ff8004a,
    0x8004ffb8,0x01ff9058,0x37dc03fe,0x0fea0000,0x06fc9f40,0x80b7fffa,
    0x1fff15f8,0x06ffa800,0x01b98df9,0x7e401ff9,0x03fb000f,0x4401dffb,
    0xffa80c42,0x10037f41,0x544fc81f,0x007c40ff,0x41ffc573,0x10001ffd,
    0x2a17fea0,0x01ff604f,0x001f9000,0xb837e4b9,0x0dffffff,0x1ffea7f0,
    0x03ffe600,0x7ffd5bf2,0x0ffec0ef,0x1005ff70,0x3ffea03f,0xfb00002f,
    0x223ffb8b,0x3f21ae00,0x7417fc44,0xecbffa83,0x7ff83ffc,0xffd00000,
    0x9017e61d,0xf80000ff,0x320f9805,0xfd95306f,0x5b03ffff,0x2001bfee,
    0xfc81fff9,0xfffddfae,0x80bfee1f,0x74402ffc,0x7fffe403,0x3e60001e,
    0x5cffec0f,0x4c84fffe,0x3fcc4fc8,0x21fdc5b8,0x7cc3fff9,0x1000006f,
    0x07f5dffd,0x0001ff90,0xd100fea0,0x2006fc85,0x540efffb,0x000bffb0,
    0xf907fff1,0x7fec41bf,0xc81bfea5,0xfd7101ff,0xfffc807f,0xc8000cff,
    0xbefff82f,0x20effda9,0x264fc82d,0x54d302ff,0x87ff706f,0x53005ffb,
    0x01555555,0x407fffd1,0xccffecc9,0xf90000cc,0xfc85d801,0x7ffcc006,
    0x017ffa04,0x6427ffc0,0x87ffe06f,0xffb02ffe,0xfffd9101,0xffe980bf,
    0x22003fff,0x05ff884f,0x40749ffb,0x03ffeffc,0x203fd3c4,0x7fec3ff8,
    0xffd51005,0x3e6015df,0xdd503fff,0x1ddddffd,0x5017e000,0x00df901f,
    0x6c0ffd10,0xff0005ff,0x40df905f,0x3fe63ffb,0xffea88bf,0xfffc8807,
    0xffffb802,0x20b7005f,0xff103ffa,0x3f207a1f,0x69809fb4,0x7fc01ff5,
    0x003ffec3,0x8807ffe6,0x04fffcbe,0x00007fdc,0x3f101fcc,0x4001bf20,
    0x3df30ffb,0x1000dff9,0xdf903fff,0x2627fc40,0xfacffffe,0x3fea004f,
    0xfff91005,0x201d009f,0x3fa02ffc,0x9f907b2f,0x5b80bfe2,0x3ff80ff9,
    0x0007ffe4,0x74c03ffe,0x813ffee4,0x80000ffa,0x813600fc,0xf10006fc,
    0x2afff25f,0xf98007ff,0x06fc80ff,0x1a8827fc,0xb0007ff6,0xfe9800ff,
    0x80e602ff,0x3f202ffb,0x9f90d73f,0x3d807fd4,0x3ff80dfb,0x0017ffdc,
    0x37c41ffe,0x9807ffd4,0xdf00007f,0x77777d40,0xeefffeee,0xa87f4004,
    0x0fff99ff,0x837fd400,0x1ffc06fc,0x006ff980,0x00a0ffa8,0xa813ffa2,
    0x80bfea02,0x81f13ffa,0x82fe44fc,0xf80ffd0f,0x27ffcc3f,0x5c1ffe00,
    0x07ff704f,0x20001fe6,0x3fee03f9,0xffffffff,0x6c005fff,0x0fff6047,
    0x205ff900,0x3fe206fc,0x03ffb002,0x0e8ff300,0x206ff980,0x13fe200b,
    0x0b62ff98,0x87fd09fb,0x803ff65a,0x6ffd83ff,0xe83ffc00,0x417f602f,
    0xc80005f8,0x2aaa600f,0xffdaaaaa,0x274001aa,0x801bfe20,0x3f205ff8,
    0x003fe606,0x4000ffe2,0x801f45fa,0x7c0005ff,0x83fe605f,0xfffb88e8,
    0x233fe60b,0x0fff20e8,0xff883ff8,0x1ffe002f,0xdf7017fc,0x0900fe20,
    0x90000df0,0x3ea000df,0x03ffb800,0x6401ff90,0x013f206f,0x80013fa2,
    0x402f41fd,0x40003ff8,0x9f500ffa,0x33331d50,0xe8998813,0xf037fd42,
    0x3bfee07f,0x20fff000,0x93ea05fc,0x01cfffc8,0x03f980b3,0x886fc800,
    0x02f980cd,0x5007ff60,0x6fc805ff,0xd100df10,0x100a807f,0x80bfd09f,
    0xbd500efc,0x3a0bfb00,0x003d700f,0xffe81f4c,0x205ff985,0xf800effa,
    0x01ff107f,0xf91d87f6,0xfb759dff,0x000fc807,0xfa86fc80,0x1ecaadff,
    0x82ffa800,0xc800efc8,0x3ba20dff,0x017fcc00,0x64c77ff2,0x5bffd03f,
    0x00ffe4c1,0xf8805ffd,0x007f222f,0x51015bd3,0x7fcc03db,0xffdcabef,
    0xdfd103cf,0xdff71037,0x2a067e40,0xf73d343f,0x00dfffff,0x320000dd,
    0xffff906f,0x4400019d,0xefecdffd,0x7fecc003,0x95104fee,0xf30017fd,
    0x01bfffff,0x77fedd74,0x6400dffe,0xfd8800ff,0x2000dfce,0xfeccefea,
    0xffd1002e,0x077fe7ff,0x33ffb6e0,0x801cffec,0x1efcdffa,0x3a62edc8,
    0xa800bfff,0xdf900001,0x00001980,0x00035510,0x88035310,0x5300009a,
    0x2a060013,0x260009aa,0x00cc4000,0x26aa6200,0x13510000,0x98800054,
    0x100019aa,0x00980133,0x00000031,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x03310099,0x54c00260,0x15cc4000,0x2e20ba80,0x5cc2b801,0x00060000,
    0xa800d54c,0x055501aa,0x21c2764c,0x80999998,0x5cc09999,0x3aa0ae20,
    0x50dfffff,0x3bfffffd,0x5dfffd70,0x3fffffae,0xffd900cf,0xb9803bff,
    0x04ff82dd,0xfd980ff9,0x3fff2201,0xefb802ff,0xf300dfec,0x007ff49f,
    0x3fe25ff7,0x00f50005,0x201bfa20,0xff506ff8,0xffff107f,0xff71617f,
    0xfd705bff,0x92ffc45d,0x3ff203ff,0x7fff901f,0x260bf700,0x5000dfff,
    0x39b003df,0x7fc1fff7,0x260ff904,0xd101fffd,0x9fffffff,0x3fa176c0,
    0x749ff505,0x3ff200ff,0x000dff12,0x4c000bf6,0x77d401ff,0x1ffbfd00,
    0xffff91a8,0x1fff107f,0x3e207e40,0x807ff66f,0x3fe01fff,0x00fb802f,
    0xf000bffa,0xfa8d900b,0x6413fe4f,0xfd9b887f,0x139f901f,0x705fffd7,
    0x05ff705f,0x02c9832e,0x072a1e44,0x017fe200,0x6403f980,0x2e1d701f,
    0x3ae21c4f,0x0bfee04f,0x439504e8,0x7fe402c8,0x013fee03,0x3ffd0176,
    0x5403f800,0x3e1eb84f,0x80ff904f,0x1f881ffa,0xf88dff90,0x003fd106,
    0x00000000,0x0007fff2,0x817c06b8,0x0074c0e8,0x20bff000,0x800000f9,
    0x3e606ff9,0x402f806f,0x74000ffd,0x8027e403,0x0ff904ff,0x4a81ff98,
    0xf707ff40,0x0000000b,0x3e200000,0x40004ffe,0x5405100b,0x00007100,
    0x2e40ffdc,0xffd00000,0x00fff401,0x1ffb00f5,0x6c03e800,0x09ff003f,
    0xff301ff2,0xff900503,0x30027ec1,0x99883333,0x5d440099,0x1f70001a,
    0x00001fff,0x44000000,0x3e001aba,0x2017c45f,0x2001aba8,0x3f603ffc,
    0x2013604f,0x74000ffd,0x801ffc03,0x0ff904ff,0x0001ff98,0x06fe8df7,
    0x31fff6e0,0x6405fffb,0x00dffddf,0x3ffca740,0x30073000,0x6c073007,
    0x02ffebdf,0x1ae0ffb8,0xffd7bfb0,0x0dff3005,0xf81fffe2,0x00ffd802,
    0x4cc41f40,0x20199cff,0x0ff904ff,0x0001ff98,0x0ffe89f9,0xb83fec00,
    0x0de882ff,0x9801bfe6,0x00dff30f,0x8837f5c4,0xd7106feb,0x90fee0df,
    0xff8801ff,0x3fb80fa4,0x74007fe4,0xfdfa81ff,0xb007a81f,0x3e8001ff,
    0xffffffd8,0x09ff00ff,0xff301ff2,0x0bfa0003,0x41805ffb,0x5ff307fc,
    0xff701f90,0xfd176007,0x3f32003f,0xdff9906f,0x21bff320,0x7fc41ff8,
    0x98ffc803,0x83ff100f,0xfb803ff8,0xffacd84f,0xfb004d84,0x03e8001f,
    0xff801ffc,0x980ff904,0xf88001ff,0x204ffc85,0x883fe458,0x82fc42ff,
    0xf8806ff9,0x002ffd41,0xdfd01bfa,0xf886fe80,0x803ff80f,0x205ccff8,
    0x3ff80ff8,0x446ff880,0x447ff89f,0x1ffb001f,0x7c03e800,0x0bff003f,
    0xf9809ff6,0x1fc8001f,0xb01fff98,0xf107fc85,0xeeefb85f,0x07ffeeee,
    0x1fff06c8,0x2037ec00,0x37ec06fd,0x3ff88198,0x05fff900,0x3ff88198,
    0x5c3ffb00,0x7a8bff66,0x003ff600,0x3ff807d0,0x441fff00,0x26127fed,
    0x7cc001ff,0x2bfff203,0xfc86eb88,0xc85ff107,0x999999bf,0x02f80199,
    0x6c007ff9,0x037ec06f,0x6d401bf6,0xf1003ffd,0xbb5000df,0x3ea007ff,
    0xffa8fa4f,0xfd801365,0x01fc000f,0x7fc00ffe,0xfa9edcef,0xff981cbf,
    0x2026c001,0xffffffe8,0x107fc80f,0x03fd85ff,0x999fa800,0x06ffa999,
    0xfb01bf60,0x406fd80d,0x07ff1cfb,0x7001fec0,0x00ffe39f,0x1f8bffc4,
    0x0fc47ffc,0x003ffb00,0x1ffc02f8,0xefffcf80,0x4c17ffa1,0x1b2001ff,
    0xdffffd80,0x220ff900,0x027ec2ff,0x7ffff400,0x2fffffff,0xd80dfb00,
    0x837ec06f,0x1ffc1fe8,0x1001f500,0x03ff83fd,0x1ae7ff60,0x01aabff2,
    0x8003ffb0,0x01ffc02f,0x80544fc4,0x07fe6009,0x200075c0,0x7e400db8,
    0xc85ff107,0x300c00ff,0x5ffa801f,0xd80dfb00,0x437ec06f,0x3ff81fe8,
    0x22017200,0x03ff81fe,0x0fb3fea0,0x01377fe6,0x4005ff90,0x1ffc01f8,
    0x00017cc0,0x5400ffcc,0x5fd0000e,0xf107fb80,0x03ffb85f,0x005d8162,
    0xfb001ffd,0x406fd80d,0x06fc86fd,0x3e2007ff,0xf06fc801,0xfff8007f,
    0x3ffff00f,0x04ffa800,0x3fe01ea0,0x003fb803,0x401ff980,0xb10000e9,
    0x7fd401ff,0x442ff980,0x05902fff,0x7dc007e2,0x06fd804f,0x3f6037ec,
    0xff06fd86,0x401b2009,0x09ff06fd,0x205ffc80,0x88006ffc,0x9d1007fe,
    0x9007ff00,0xf300009f,0x00f5405f,0x01ff006e,0x3aa1ffcc,0xfffc84ff,
    0x206da8ac,0x3fe2006c,0x037ec00f,0xdfb01bf6,0x6c45ff90,0x309874ff,
    0x3ff2003f,0x1d3ff622,0x203ff980,0x30004ff9,0x6e8809ff,0xd007ff00,
    0xf30000bf,0x2b3ea05f,0x7daaaaaa,0x7402fcc0,0xf9decdff,0x3fa23cff,
    0x02ffffff,0xfe8009f1,0x03fec04f,0xffb01ff6,0xdbbfff30,0x747bffd5,
    0x2003feff,0xaeddfff9,0x2003dffe,0x0ff400fe,0x3bff5000,0x00775cc1,
    0x74027fc4,0xfb80005f,0xffffa83f,0x4fffffff,0x0017dd50,0x229ffff3,
    0xff901cff,0x7ec03dff,0x7fff4004,0x803ffe02,0x3fe00fff,0xdffeb80f,
    0xfe87ff70,0xeb8005ff,0x7ff70dff,0xb805c800,0xfea80006,0x0cfffeff,
    0x00dff500,0x640003b3,0x34effffd,0xffffffff,0x0003ffff,0x54415300,
    0x40353000,0x04effffb,0x7fffff5c,0x3fffae1e,0x7fff5c4e,0x7fff5c4e,
    0x0101304e,0x00007326,0x20001013,0x00188018,0x2aaaa200,0xffb50009,
    0x00079fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb800000,0x04ffffff,0x17ffffec,0x00157510,
    0x037105d4,0x198aea20,0x2ae61440,0x201f5400,0xffffffeb,0x000fc884,
    0xb881b660,0x3660000f,0x7ecc483e,0xd7004fff,0x223bffff,0xefffffec,
    0xfffffb33,0x7fecc3bf,0xb881efff,0x17305d41,0x7fe40b88,0x3fe6005f,
    0x2b3f200d,0x0ccccdfd,0xffd27fcc,0x6e774c01,0xb503fdff,0x3fffa6df,
    0x01ffa01f,0x4c27ffcc,0x8000fffd,0xd986ffeb,0x30000fff,0x225dffff,
    0x5fff9104,0x0077d400,0x7403fff9,0x7fe406ff,0x43ff600d,0xdff14ff9,
    0xffe86ff8,0x007f4004,0xeffa85fb,0x27fd40ee,0x3ee01ffd,0x41fff443,
    0xee8effcc,0x701ffffe,0x7ffc00bf,0x0ffe8881,0x6ff99800,0x00ffd888,
    0xffb11700,0xfc803fff,0x13e001ff,0xc80dff50,0x1ff404ff,0xfa8ffec0,
    0x44dff34f,0x7ffa87ff,0xa80be200,0x04fe80ff,0x0593065c,0x7fcc13e6,
    0x877ff603,0x0205ffea,0x401ffd00,0x20000ffb,0x3fee06fd,0xc8870000,
    0xff9802ff,0x07f000ff,0x5c05ff98,0x0bf203ff,0x32e16440,0x5b5076e0,
    0x4007ffa0,0x837ec07b,0x800006fc,0x7ff100fe,0x440ffec0,0x00001fff,
    0x7dc01ffd,0x3f60000f,0x003fea06,0xf9800000,0x5f006ffe,0x405ff980,
    0x5f703ffb,0x00000000,0xd004ffb8,0x706fe809,0x400001ff,0x1ffc06fa,
    0x7e40df90,0xfd00003f,0x07fd401f,0x40dfb000,0x00000ffa,0x3e7e6000,
    0x02f804ff,0x2e02ffcc,0x02fb83ff,0x80000000,0x4c00fff8,0x83fe400f,
    0xb8800ffc,0x017f201b,0x37e407ff,0x0009ff50,0xa803ffa0,0x360000ff,
    0x03fea06f,0x06ee2000,0xfff37980,0x4c02f807,0x7fdc05ff,0x00017e43,
    0x400001cc,0x2ec03ffc,0x740ffd40,0x5ef5c05f,0x4fd82ffd,0xf901ffc0,
    0x82ffcc0d,0x3ffa0039,0x883fea00,0x0dfb002b,0x26207fd4,0xbd701999,
    0x3005ffb7,0x00fffdcf,0x5ff9805f,0xf91ffdc0,0x75c40005,0x9800006f,
    0x0be207ff,0x3e22fec0,0x30bee00f,0x05fe89ff,0xdf901ffc,0x711ffc40,
    0x7f400dfd,0x23fea00f,0x00ffffd8,0xff5037ec,0xbdfffb81,0x3e617dc0,
    0x323cc04f,0x05f00fff,0x5c05ff98,0x005f93ff,0x06ffcc80,0x5ffd0000,
    0xf9001ae0,0x403bf97f,0x5ff704fa,0x3fe037f4,0x881bf203,0x3ff322ff,
    0x03ffa006,0xace9ffa8,0x7ec05ffb,0x103fea06,0x13ea03dd,0xf3017fdc,
    0x3e0dffd0,0x02ffcc02,0x17f6ffee,0x06fe8000,0xdff50000,0xd8800fa0,
    0xf801aa9a,0x4dff101f,0x3fe01ffc,0x981ff203,0x06fe81ff,0xa803ffa0,
    0x7fdc1eff,0xa81bf601,0x017a20ff,0x3fe203ff,0x3e21e606,0x402f85ff,
    0x7dc05ff9,0x003fffef,0x000dfb00,0x20fff400,0x7d1000f9,0x01ff3000,
    0xffb97fe4,0x407ff105,0x17ea07fc,0xfd0037ec,0x0ffd401f,0xfb017fc4,
    0x887fd40d,0x07fcc04e,0x2605ff90,0x87fff307,0x2ffcc02f,0x3f2ffee0,
    0xd80004ff,0x2000006f,0x02ec4ffb,0x0333bf70,0xf701fee0,0x06fff47f,
    0x6407ffb1,0x03fd01ff,0xfe801bf6,0x03fea00f,0xfd80ffe2,0x223fea06,
    0x07fb804e,0x7981ffdc,0xf8bffea0,0x02ffcc02,0x7fdcffee,0x7ec0004f,
    0x642ee986,0xfff8803e,0x64005f10,0xffffffff,0x03fec0cf,0xffa93fea,
    0xff8eeeff,0x83bff203,0x3f603fc8,0x03ffa006,0xf880ffa8,0x81bf603f,
    0x006faffa,0xffa80ffb,0xfc80f304,0x9805f0ff,0x7fdc05ff,0x013ffee3,
    0xfc86fd80,0x0fff11ff,0x35cfff20,0x7fffec00,0x21ffffff,0x3e600ffe,
    0x7fffcc3f,0x6407ff0d,0xffcdfcff,0x0037ec02,0xffa80ffd,0x6c07ff00,
    0x37fea06f,0xffe804ff,0x40ffe600,0xeffd8079,0x7fcc02f8,0x21ffdc05,
    0x0004fffb,0xfff70dfb,0x98037fc9,0x0007d7ff,0x5533313b,0x7fecbf95,
    0x407fe601,0x01ffc0a9,0x02aa2df9,0xd0037ec0,0x0ffa80df,0x7ec07ff0,
    0x363fea06,0x7fec02ff,0x407fe601,0xffe88079,0x7fcc02fd,0x41ffdc05,
    0x8004fffb,0x993306fd,0x3f600144,0x6c000fdf,0x7dcf5003,0x01fea03f,
    0xfc80ffe0,0x1bf60006,0x5405fe80,0x07ff00ff,0xff5037ec,0x403ffd11,
    0x3ea03ffb,0x4401e607,0x4c02ffff,0x7fdc05ff,0x09fff703,0x7406fd80,
    0x7fd40001,0x0fdc005f,0x3fe25b80,0x0017ee06,0x6fc80ffe,0x41bf6000,
    0x2027f429,0x7ff00ffa,0xf5037ec0,0x03bfe61f,0xf7037fc4,0x8007d40b,
    0x4c02fffa,0x7fdc05ff,0x13ffee03,0x2206fd80,0xffd00006,0x05ff8003,
    0x7fdc1f88,0x0001dd03,0x3fe407ff,0x10dfb000,0x007fc7ff,0x7fc03fea,
    0xa81bf603,0x17fea0ff,0xdd03ffb8,0x0007dc01,0xf9805ff7,0x27fdc06f,
    0x03bfff20,0x74c1ff60,0xdf700001,0x7dff9000,0x0bae6213,0xfb317fe4,
    0x9ff10001,0x0003fec0,0xfff10ffb,0xf7007f11,0x09ff103f,0xff7037ec,
    0x204ffc83,0x3f662ffc,0x0017ec00,0xff900bf6,0x3ffa201f,0x7fffcc06,
    0x07ffc02f,0x8000032e,0xf90003f8,0xbfffffff,0xdfffb801,0xf50001df,
    0x3ffe20df,0x1fff0001,0x07bfff90,0x260bff20,0x3ffe05ff,0x885ff900,
    0x3ee04fff,0x101dfdff,0x09dffff9,0x7e441740,0x33dfffff,0x9dfffffb,
    0xffffec83,0x7f5c5fff,0x00024eff,0x00005400,0x359bb971,0x001a8800,
    0x3bbbb660,0x3bbbb23e,0xfd7000de,0x35109dff,0x3fff6a00,0xfffc99df,
    0x3ffae2df,0xffb70cef,0x3ff239ff,0x2a204eff,0x20000001,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6600,0xbdeeffff,0x7ffd4000,0xffffffff,0x02e06fff,
    0x3ffff660,0x7edc1dff,0xb0ceffff,0xa89fffff,0xfd54fffe,0x40009fff,
    0x01dffffd,0x3fffff20,0xffffffff,0x7ecc2fff,0x01dfffff,0xfffffd98,
    0x002bcdef,0x30907db3,0xfffffffb,0x40179ddf,0xffffffd9,0x01cdeeef,
    0x2b7ffa20,0x03fffba9,0x2ab3bea0,0xffcaaaaa,0x0003e01f,0x9801dffd,
    0xff504fff,0x407fc01f,0x000ffff8,0x00efff88,0x3ffbea00,0xa999999e,
    0xffd102fd,0xfd10001d,0xffd957bf,0x7ffcc01b,0x440912ef,0x999adffe,
    0x4403ffea,0xa9abeffe,0x004fffdc,0xfd107ff7,0x016e00bf,0xb80fffa2,
    0x7fe4000f,0x03ffd004,0xf880ffec,0x13fff603,0x13fff200,0xff5f3000,
    0x6407b00d,0x320004ff,0xeffc83ff,0xff913701,0xfb803fff,0x3bfea03f,
    0x80ffee00,0x401effe8,0xff103ffb,0x0059001f,0x7d40bffb,0x7fdc000f,
    0x03ffd003,0x6b827fc4,0x07fffdc0,0x7ffdf100,0xf8dc8000,0x203a806f,
    0x20003ffb,0xffb03ffb,0xff910e09,0x07ff7007,0x2e04ffb8,0xffc803ff,
    0x0ffee00f,0xc803ffe8,0x07ffd400,0x999fffa8,0x03ffb800,0xd801ffb0,
    0x403e80ff,0x003ffceb,0x00ffefee,0xff89f880,0x7dc05006,0xb80019cf,
    0xfff503ff,0x7dc00000,0x3ffc403f,0x2007ff70,0x3ee06ffd,0x17ff203f,
    0xfff10060,0x3fffee05,0xfb802fff,0x1ffb003f,0x4c3ffa80,0x7c75c00f,
    0x2efa006f,0x320003ff,0x000dff14,0xffffff70,0xfb8017df,0x5fff303f,
    0x3ee00000,0x1ffe803f,0x2007ff70,0xf702fff9,0x1ffec07f,0x2ffec000,
    0x0007fdc0,0x6c00ffee,0x6fe800ff,0xdb5c026c,0x8fa802ff,0x30003ffb,
    0x01bfe21f,0x27ff7005,0x02fffc98,0x7c40ffee,0x443882ff,0xffb800ab,
    0x07ffc403,0x2003ffb8,0xff706ffc,0x03ffe207,0x1dff7000,0x001ff700,
    0xb003ffb8,0xff7001ff,0x2e003e23,0xd00dff36,0x000ffee9,0x0dff126c,
    0x7fdc02cc,0x01fffb83,0x3ee07ff7,0x3ff6a0ff,0x01ffffb0,0x5403ffb8,
    0x3fee05ff,0x3ffea003,0xb03ffb81,0x98000bff,0xf7001fff,0xffb8001f,
    0x01ffb003,0x172bff10,0x5ffd35c0,0xffb8fd40,0x20f98003,0x17206ff8,
    0x6c0ffee0,0x7ff706ff,0xcb9bffa0,0xdbdd8fff,0x7fdc06ff,0x07ffea03,
    0x2003ffb8,0xfb82fff9,0x27ff543f,0x27ff4000,0x001ff700,0x999cffb8,
    0xfe999999,0x1ff9000f,0xa9ae003f,0xb97605ff,0x4e8003ff,0x6667ffc4,
    0xb805ffdc,0xfff503ff,0x887ff701,0xfc80fffb,0x0ffdc1ef,0x555bff70,
    0x01bffb95,0x9dffb993,0x3e059999,0xeffb83ff,0x01bfffee,0x06ffc800,
    0x0007fdc0,0x3fffffee,0xffffffff,0xaaaaa80f,0xaaafeffc,0x746b82aa,
    0x21f981ff,0x54003ffb,0x67ffc40f,0x05fecccc,0xf303ffb8,0xbff703ff,
    0x3bfff957,0x2a03fee0,0x3fee02ff,0xffffeeef,0xfb99301e,0x599999df,
    0x2e13ffe0,0xfff99cff,0xff980001,0x7fdc001f,0x1ffdc000,0xc80ffd80,
    0xffeccccc,0x83cccccd,0x42ffd46b,0x01ffdc6c,0x266677a0,0x17206ff9,
    0x5c0ffee0,0xffb80fff,0x01acccac,0x7c407fdc,0x0ffee03f,0x0bbffaa2,
    0x4003ffb8,0xffb82fff,0x001bfea3,0x007ffd10,0x8001ff70,0xfb003ffb,
    0x7fd4001f,0x3e1ae001,0x70be20ff,0x7d4007ff,0xffeeeeee,0x2e016206,
    0xfffb03ff,0x000ffee0,0xff807fdc,0x00ffee03,0x2e05fffb,0x3e2003ff,
    0x3ffb81ff,0x00027fe4,0x2000bff9,0x5c000ffb,0xffb003ff,0x0ffd4001,
    0xff70d700,0x7fdc3649,0x440fa003,0x401c06ff,0xffa83ffb,0x07ff702f,
    0x403fee00,0x3fee03ff,0x07ffe803,0x54007ff7,0xffb80fff,0x002ffe83,
    0x000fffa8,0x8001ff70,0xfb003ffb,0x9999901f,0x999bffb9,0x10d70799,
    0x07f11fff,0x2e007ff7,0x01bfe206,0x88ffee00,0x2e03fffb,0xf70003ff,
    0x80ffe01f,0xfb803ffb,0x3ffb81ff,0x41bff200,0xff983ffb,0x3fe2000f,
    0xa831002f,0x7dc000ff,0x1ffb003f,0xb9999990,0x99999bff,0x3f20d707,
    0xff707bbf,0x880be007,0x402006ff,0xfffeeffb,0x7fdc01df,0x1ff70003,
    0xfb80ffe0,0xfff9803f,0x003ffb81,0x2e03fff1,0xbff703ff,0x02ffec00,
    0x2ff98370,0x7ff70051,0x003ff600,0x2001ffa8,0xffff106b,0x00ffee09,
    0xdff101ae,0xffb82c00,0x200199ad,0x70003ffb,0x0ffe01ff,0xb803ffb8,
    0x7ff707ff,0x813ff600,0x3f603ffb,0xfffb804f,0x3e21a000,0xf7005cff,
    0x3ff6007f,0x07fea001,0x3f606b80,0x7ff700ff,0x4402f880,0x097006ff,
    0x8000ffee,0x70003ffb,0x0ffe01ff,0xd803ffb8,0x7ff704ff,0x01fff700,
    0xf1027fe4,0x7fc405ff,0x41b6001f,0x7001dffa,0x3fa009ff,0x3fee001f,
    0x981b6001,0x3ff204ff,0x4403ec03,0x2fa806ff,0x0009ff90,0x80027fe4,
    0xff880ffc,0x00fff204,0x3201dff9,0x3f6203ff,0x3fa200df,0x3fea00ef,
    0xdffe80cf,0x99999999,0x0405ffda,0x0dffd100,0x007fff30,0x8801ffec,
    0x07f601fe,0x7037ff44,0xfff700ff,0xb5333335,0x3ffa20ff,0xffd10006,
    0x3ff6000d,0x105ff982,0x1335bffd,0x40bffd73,0x99adffe8,0x02fffcb9,
    0x3fffff66,0xfff901cf,0x3ffee3df,0xffffffff,0x003fffff,0xffffd980,
    0x7edc1cef,0x00ceffff,0x7dffffd9,0x3ffff660,0xd985983d,0x1cffffff,
    0x1bffffd3,0x7ffff644,0xffffffff,0x7ffecc5f,0x9801dfff,0xcffffffd,
    0xfffea801,0xfffd99cf,0xfffb32df,0xdfffffff,0x3f66059d,0xefffffff,
    0x0000abcd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,0x00dfffff,
    0x3bfffffb,0x3fffffa6,0x7ecc1eff,0x3665ffff,0x5effffff,0x3fff6600,
    0xdeeeffff,0xffd9802c,0xffffffff,0xfe85ffff,0xffffffff,0x1fffffff,
    0xffffffb3,0xffffffff,0x333332e1,0xcccccccc,0x000000cc,0x59000000,
    0x00760000,0x806aea20,0x00ffffc8,0x301eff88,0x805ffff9,0x36204ffa,
    0x20001fff,0x9aceffe8,0x0cfffdca,0x99dffd80,0x6fba9999,0xaaabdfe8,
    0xdbaabffe,0xcffe82ff,0xfca99999,0x4c00070f,0x04dd4400,0x2a0000d1,
    0x007b001d,0xb0007e00,0x05ffd7bf,0x8007ffec,0xffb800ff,0x01fdc03f,
    0x0002ffdc,0xd301ffdc,0xfb803fff,0xe86a804f,0x301ffd03,0x07ff905f,
    0x00070fa8,0xcfea804c,0x02e8affd,0x13fae200,0x00003d80,0x1fdc003f,
    0x7c403ff2,0x2fa803ff,0x81bff600,0xff5004f8,0xff700009,0x3fff9007,
    0x8027fd40,0x3ffa0786,0xff707700,0x00e3b007,0x3fa80980,0x001fffcc,
    0x003efc88,0xf00003d8,0x07fe2003,0x7d407ff1,0x027400ff,0x413ffa20,
    0x3fea005e,0xffb80004,0x1dffd003,0x4013fea0,0x3ffa0582,0xff707100,
    0x00e13007,0x27cc0980,0x4003ffb8,0x0001dfda,0x7c0000f6,0x01ff1001,
    0xffd807ff,0x0003ae05,0xd907ffe6,0x27fd4001,0x1ffdc000,0x03fff980,
    0x00009ff5,0x0003ffa0,0x38007ff7,0xff026000,0x01fff203,0x00067f5c,
    0x80001ec0,0x2066001f,0x7c403ff8,0x02f882ff,0xb9bff200,0x7fd4001f,
    0xffb80004,0x1bff2003,0x0a027fd4,0x007ff400,0x180ffee0,0x82600038,
    0xcdc80ff9,0xdf9102ff,0x6c000017,0x03f00003,0x7feed400,0x0fffa803,
    0x740002ec,0x002f9cff,0x0004ffa8,0x2003ffb8,0xfa81fffa,0x8003404f,
    0x5c000ffe,0x709503ff,0xf704c000,0x3feed70f,0x016fecc3,0x99999880,
    0x9999cd99,0x26662199,0x99af9999,0xf7019999,0x400ffe39,0x03ea4ffd,
    0x3ffe6000,0xff50004f,0xff700009,0x7ffcc007,0x204ffa82,0xffd00079,
    0x3ffb8001,0x000709b0,0x41ffb04c,0x4bff30ea,0x40003ffa,0xfffffffa,
    0xffffffff,0xfffff91f,0xffffffff,0x1fe88fff,0xf8801ffc,0x003f8aff,
    0x03ffee00,0x027fd400,0x01ffdc00,0x2a0fffe0,0xccccceff,0xfd0007fe,
    0xffb8001f,0x4ffccccd,0x82600038,0x41d31ffd,0x7ecc4ff8,0x3310002e,
    0x39b33333,0x44333333,0xf9999999,0x1999999a,0x3fe07fa2,0x3bfee003,
    0xe800005d,0xf50004ff,0xf700009f,0xfff8007f,0xcceffa84,0x007feccc,
    0x8001ffd0,0xeeeeeffb,0x000384ff,0x9affc826,0x817fc41f,0x000bffc8,
    0x0000f600,0x6fc800fc,0xd8007ff0,0x00001fff,0x00ffffcc,0x0027fd40,
    0x001ffdc0,0x3ea0fffe,0x001e604f,0x20007ff4,0x09903ffb,0x504c0007,
    0xf305dbff,0x9fd7001f,0x07b00003,0x4007e000,0x09ff06fd,0x005ff980,
    0x7ddfc400,0x7d4000ef,0xfb80004f,0x3fe2003f,0x04ffa81f,0xffe8002c,
    0x1ffdc000,0x00038498,0x05ffd026,0xb50017ea,0x6c0005bf,0x03f00003,
    0xd88bff20,0x220074ff,0x400005ff,0x013ffa5e,0x0009ff50,0x4007ff70,
    0xfa80fffa,0x8001c04f,0x5c000ffe,0x0e0a03ff,0x7dc09800,0x001dd04f,
    0x02fbf260,0x00007b00,0x7fcc007e,0xffeaeddf,0xbff1003d,0x23640000,
    0x2001fff9,0x80004ffa,0x32003ffb,0x9ff506ff,0x3fa00000,0x7fdc000f,
    0x0001c003,0x2ffed813,0x00007f66,0x0033fee2,0xf80001ec,0x3ffae001,
    0x007ff70d,0x0002ffc4,0xffc80fb8,0x9ff5000e,0x7dc14400,0xfff1003f,
    0x013fea05,0x3ffa0010,0x1ffdc000,0x98000e00,0x7ffd5320,0x00001dfd,
    0x7b001ea8,0x2aaaa600,0xaaacfaaa,0x01302aaa,0xbff10001,0x05f30000,
    0xa8027ff4,0x072004ff,0x6c00ffee,0x3fea05ff,0x400ae004,0x5c000ffe,
    0x01c003ff,0x21621300,0x000001a9,0x80164000,0xeeeeeeeb,0xeeeeeeee,
    0x98000006,0x4c0005ff,0x7ffcc04f,0x04ffa802,0x3fee0d10,0x0fffb803,
    0x4013fea0,0x3ffa0079,0x1ffdc000,0x98000e00,0x00000000,0x00000000,
    0x00000000,0x000dff50,0xfc8037c4,0x7fdc00ff,0x904e9805,0x7ec407ff,
    0x7fdc00df,0x004e8804,0x90007ffe,0x038009ff,0x00002600,0x00000000,
    0x00000000,0x7fe40000,0xffb8000f,0xdfff9005,0x3fff6203,0xcbaaaaab,
    0xffe882ff,0xfca989ad,0xffb002ff,0x3333333d,0x26003ff7,0x22003fff,
    0x5c006ffe,0xaaaaaaaa,0x0caaaaaa,0x00000000,0x00000000,0x20000000,
    0xffffffc8,0xffeb803d,0xfb502eff,0x23dfffff,0xffffffc9,0xffffffff,
    0x7fffecc7,0xbcdeffff,0x7f64c009,0xffffffff,0xb807ffff,0x4efffffe,
    0x3ffff660,0x00001cef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26200000,0x2ee2002b,0x2aea2001,0x51aa8801,0x20ccccc1,
    0x44099998,0x98099999,0x33310999,0x4cccc433,0x04cccc09,0x40c40620,
    0xb981bba8,0x0280a02b,0x99999988,0x93099999,0x03220660,0x0ab882e2,
    0x22003730,0x1da86a0b,0x77dc0000,0xd700dfec,0x805ffb7b,0x0dffddfc,
    0xffcbdd88,0x1fff6e0f,0xa85fffb3,0xb82efffe,0xfff71dfe,0x7fff5c9f,
    0x0f7f5c3e,0x21740b60,0x9ffdbcfc,0x1effcee8,0x809904b8,0xfffffffa,
    0xbd12ffff,0x37ffff66,0x7ed45e88,0x7ffff90f,0x037fffcc,0xff31ffb5,
    0x0bbf625f,0xd0bb6000,0x985f70bf,0x0de884ff,0x1721bfe6,0x1ff603f6,
    0xfe817fdc,0x221b202f,0x7ff886ff,0xd9003ee0,0x87fd1b60,0x3622fffe,
    0x41fc40ff,0x07aa02f8,0x3a22ffd4,0xfb511cfe,0xffeca8bf,0xfffcacd9,
    0xffebbe98,0x9fffcb84,0x6444ffdd,0xb8000bef,0x22ffb82f,0x5ff704fa,
    0xffb80fc8,0x07c41fc3,0xff983fe4,0x407ff302,0x01ff902e,0x0f601ff7,
    0x5f705f50,0x3ee0ffcc,0x84ffa86f,0x01fb81fb,0x3bfe2075,0x2e01fc80,
    0x3bff702f,0xd84eff98,0x3bff207f,0x2e201730,0xf1000cfe,0xf87fa20d,
    0x4dff101f,0xdff305f8,0x80c837d4,0x5ff107fc,0x69837f40,0x220bfe60,
    0x00f883ff,0x1bea1be6,0xffa81ff1,0xf06ff884,0x80ff881f,0x03ffd01a,
    0x0d7005f1,0x7fc07fea,0x201ff705,0x50002ffb,0xfb803bfd,0x03fe6005,
    0xdf72ffc8,0xffdddddd,0x20f7fc4f,0x220ff900,0x3fea02ff,0x7f403c81,
    0xb86ff885,0x307fe205,0x503303ff,0xddddddff,0x3bee0fff,0x90037dc0,
    0x017207ff,0x7fd417c4,0x260bfd00,0x1ff701ff,0xefc98000,0x4009fb02,
    0x7fdc07fb,0x33337f93,0xfe833333,0x7e400cff,0x805ff107,0x007c45ff,
    0xfd703fee,0x3a01e85f,0x02ff445f,0x9bfffd98,0x01999999,0x13fe17fe,
    0xd817fea0,0x2a0f6003,0x0bfb00ff,0x7d40bfe6,0x9100000f,0x37f419ff,
    0xa80ffb00,0x007fb4ff,0x7ffffb10,0xf883fe40,0x07fe402f,0x7ff100b7,
    0x265fe8f8,0xd07ff606,0xeea803ff,0x0002ffaa,0xff713fee,0x077fc407,
    0x2e4005d0,0xfd807fd4,0x205ff305,0x00000ffa,0xffd0ffc8,0x03ffa001,
    0x9fb3ff98,0x7ff54000,0x07fc80df,0xf8805ff1,0x64007a3f,0x7fdd6e6f,
    0x7fdc0790,0x9017fe42,0x017fcc7f,0xc87ff900,0x3ffa01ff,0xb001ec01,
    0x201ff507,0x5ff305fd,0x0003fea0,0x21cfea80,0xd8c02ffd,0x3fe601ff,
    0x1801ff91,0x427ffdc0,0x5ff107fc,0x1a6ffb00,0x3d1ff980,0x007cffe2,
    0x1bf61bf2,0xff30ffa2,0xff100807,0x203ff889,0x5c803ffc,0x3ea0ba00,
    0x20bfb00f,0xff502ff9,0xfb880001,0x4ffc80bf,0x1ffdd620,0x7fdcff50,
    0x81a96203,0x7fb87fe8,0x5005ff10,0x800795ff,0x7ec6acfe,0x7fd005ae,
    0x7dc2fe88,0x406ff887,0xf90bf905,0x82ffd409,0x2007e208,0x01ff506b,
    0x7fcc17f6,0x001ff502,0x00bbf260,0x3603fff3,0x5c0dff12,0x0bffe25f,
    0x2e0b5164,0x07fd40ff,0xe8017fcc,0x5c000fef,0x7fd42eff,0x0dd1002f,
    0x06fd8df1,0x13203ffb,0xdf103be2,0x8077fc40,0x5007641a,0x03fea05f,
    0xff982fec,0x001ff502,0x001dfda8,0x222bfff2,0x1ffdc6eb,0x7fe40ee8,
    0x46da8acf,0x86f981fa,0x7f543ff9,0x9ff7004f,0x0dff1000,0xf3001ffe,
    0x7e47f307,0x7fff4c1f,0x3203f2a2,0x200ec80f,0x87201ffe,0x260bfee8,
    0xff705ffc,0x4c1bfa03,0x3ff702ff,0x19fd7100,0xfffd1000,0xf901ffff,
    0x407ecc5f,0xffffffe8,0x20f7d42f,0xbffd02fc,0x9fff3bd9,0x01ff8807,
    0x3207fb00,0x07a8004f,0x5fffccf7,0xfffc9ec9,0xf882ffff,0x3201f981,
    0x1f7303ff,0x7ff557a2,0x85e88dff,0xff882ffc,0x209ff707,0x32203ffc,
    0xb00002ef,0x401bffff,0x1dfdfffb,0x77fffe40,0xceffea81,0x3fe601de,
    0x39ff14ff,0x8001b200,0x007e207a,0x23c81e40,0x20cffffc,0x01dffffc,
    0x980b6059,0xffffffff,0x0930ffff,0x4c362066,0x91dffffd,0x2a9dfffd,
    0x51dffffd,0x05bffffd,0x000003b5,0x44001531,0x1a98001a,0x00a98820,
    0x0a882a60,0x0000c400,0x80005006,0x026a0200,0x00400a98,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26662000,
    0x26662199,0x5710e200,0x03710001,0x12200910,0x060009b0,0x06201880,
    0x54c00620,0x0c033000,0x4c4000c4,0x93044009,0x99999999,0x19999999,
    0x2eeeeee6,0xbbbbbbbb,0x02eee0bb,0x2a206eea,0x36606001,0x3ee4ffff,
    0xffda83ef,0x01ffffb0,0x8806fb80,0x02f4405e,0x98001ff3,0x2fe4401f,
    0x427ffec4,0x80cfffd8,0x00dffffa,0xc87f719b,0xf91ffc6f,0xfd7d901b,
    0x99306c07,0x99999999,0x21999999,0xddddddd9,0xdddddddd,0x20ffea0f,
    0x7fe446ff,0x02c00cff,0xee81fff7,0x8fffcb80,0x06ffdbdd,0x88027d40,
    0x10bd105e,0x20023fc4,0x7d4c05fe,0x3fd32d85,0x3fd98bc8,0x6ea8e7dc,
    0x87fe0fa8,0xbff30ffe,0xf917ffe2,0x7dc1fec1,0x00000004,0x6fb81f00,
    0x36e07fcc,0xadffc989,0x3f201d40,0x9003ee4f,0xffb83dff,0x44000001,
    0x642f445e,0x3e2bd0ef,0x3e3ae02f,0x042fc402,0x443887ee,0x2213e27f,
    0x3fa24c4f,0xff99ffa2,0x443fffe4,0x207fcc6f,0x00002ffb,0x80f80000,
    0x207f20fc,0x37ff6a05,0xfe800eec,0xb801f89f,0x2ffa80ff,0xe8800000,
    0x3ea0bd15,0xff9cc8ef,0x2e5f101f,0x402fc406,0x54bf004e,0x5c0d900f,
    0x1bf62fec,0x7c5449ff,0x3fd09f50,0x00007f90,0x01f00000,0x3882e8b6,
    0x02ddb880,0x0fbbfe60,0x4407fdc0,0x4ccc43ff,0x99999999,0xd1019999,
    0xeca80bdb,0x01cefcdf,0x4409d176,0x07f2605f,0x06b8be60,0x6cbaa1ea,
    0xfd13ee2f,0x2fdcb305,0x87f417ec,0xccccccc9,0xcccccccc,0x1f00000c,
    0x001c4e20,0x3ee00000,0x3fee006f,0xfc87ff00,0xffffffff,0x07ffffff,
    0xf7001fe6,0x81f3005f,0x0bf100f9,0x00bff6e2,0xb01f989b,0x3f62fb8b,
    0x3fb0fea2,0x43fd4590,0x39db10fd,0x6666664c,0xcccccccc,0xb00000cc,
    0x00000001,0x07ff4000,0xf00ffb80,0x9999887f,0x99999999,0xbd101999,
    0xefda80bd,0xd01cefcc,0x7c417607,0x206fa805,0xf30bd05b,0x3f60ff85,
    0x0f707e22,0x42ff88b9,0x0000005f,0x00000000,0x40000000,0x7006fff8,
    0x0ffe01ff,0x3a200000,0x3ee0bd15,0xfe8bc8df,0xf1035c1f,0x200bf105,
    0x4c0b507e,0x85fdabff,0xdfecbefe,0x44d503e3,0x15dd303d,0x266001d9,
    0x20999999,0x001541b8,0x00000000,0x2af60000,0xffb803ff,0x0007ff00,
    0x445e8800,0x3e5fb85e,0x7c45fd15,0x7c435c02,0x970bd005,0x7fec4388,
    0x27bb303e,0x1441c3e9,0x01eed400,0x3fffff60,0xb9ffa1ff,0x000002ff,
    0x00000000,0x0ffecb90,0x7c03fee0,0x0fe6003f,0xe882f440,0x11fe2085,
    0x87d005d8,0x456446f8,0x77ec0eb8,0x0003feee,0x00000000,0x7ffec000,
    0x3fa1ffff,0x000ffee7,0x00000000,0x883ea000,0x7fdc06ff,0x4007ff00,
    0x5e8806fc,0xf302f440,0x003a601f,0xeeda86cc,0x7dfdb11c,0xdddddd70,
    0x0000000b,0x00000000,0x02222222,0x003b8393,0x00000000,0x81f88000,
    0x3f204ffa,0x04ff880f,0x22007220,0xc8091004,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd1000000,0x81fffc0d,0xff982ffd,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x106fffcc,0x23dffffb,0x9cffffea,0x2dffffd9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_35_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,0,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_35_latin1_y[224]={ 28,6,6,6,5,6,6,6,6,6,6,9,24,19,
25,6,6,6,6,6,6,7,6,7,6,6,13,13,9,14,9,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,33,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,9,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,12,7,6,10,7,
6,6,7,6,6,13,14,19,6,4,6,9,6,6,6,13,7,15,27,6,6,13,6,6,6,12,0,0,0,1,
1,1,7,6,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,11,6,0,0,0,1,0,7,6,6,6,
6,7,7,5,13,13,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,12,6,6,6,7,6,6,7,
 };
static unsigned short stb__times_35_latin1_w[224]={ 0,5,9,16,14,25,23,4,9,10,12,18,6,9,
4,9,14,9,15,13,15,13,14,14,13,14,5,5,18,18,18,12,28,23,20,19,22,19,17,22,23,10,13,24,
19,28,24,21,17,21,22,15,19,23,23,30,23,23,19,8,9,7,15,18,6,13,16,12,15,13,13,16,16,9,
10,16,9,25,16,14,16,15,11,11,9,16,16,23,16,16,14,9,2,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,16,16,
2,12,10,22,10,15,18,9,22,18,11,18,9,9,6,15,16,4,6,6,10,15,22,22,24,12,23,23,23,23,
23,23,29,19,19,19,19,19,10,10,10,10,22,24,21,21,21,21,21,14,21,23,23,23,23,23,17,15,13,13,
13,13,13,13,20,12,13,13,13,13,9,9,9,9,14,16,14,14,14,14,14,17,16,16,16,16,16,16,16,16,
 };
static unsigned short stb__times_35_latin1_h[224]={ 0,23,10,23,26,23,23,10,29,29,13,17,10,4,
4,23,23,22,22,23,22,22,23,22,23,23,16,21,17,7,17,23,29,22,21,23,21,21,21,23,21,21,22,21,
21,21,22,23,21,29,21,23,21,22,22,22,21,21,21,29,23,29,12,2,6,16,23,16,23,16,22,22,22,22,
29,22,22,15,15,16,22,22,15,16,20,16,16,16,15,22,15,29,29,29,5,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,23,15,21,
29,29,4,23,10,16,7,4,23,2,11,17,12,12,6,22,28,5,8,12,10,16,23,23,23,23,28,28,28,27,
27,27,21,29,28,28,28,27,28,28,28,27,21,28,29,29,29,28,28,13,23,29,29,29,28,28,21,23,23,23,
23,22,22,24,16,22,23,23,23,22,22,22,22,21,23,21,23,23,23,22,22,13,18,23,23,23,22,29,29,28,
 };
static unsigned short stb__times_35_latin1_s[224]={ 255,248,147,196,241,140,156,251,1,45,68,
204,157,182,248,244,233,17,27,55,221,237,98,206,175,40,250,244,185,182,1,
85,207,87,154,180,69,92,132,152,1,198,100,209,49,42,173,1,119,1,198,
69,112,217,1,186,25,1,221,166,200,175,81,44,220,242,23,20,136,48,241,
25,114,90,23,141,131,217,18,33,73,57,243,62,241,74,91,108,1,155,185,
34,252,44,234,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,255,248,148,
189,200,25,249,236,192,210,136,132,201,182,113,25,124,223,114,104,227,1,79,
251,175,97,164,169,133,110,85,72,164,65,140,1,197,173,71,56,188,208,228,
221,1,137,37,162,175,12,76,98,120,96,118,53,104,142,183,55,113,89,101,
88,16,230,126,141,172,25,148,43,30,44,58,73,111,121,131,234,181,137,166,
73,1,158,42,35,168,39,56,213,56,28,11,48, };
static unsigned short stb__times_35_latin1_t[224]={ 1,31,274,90,61,90,118,142,1,1,274,
234,274,282,55,90,118,166,166,142,142,142,142,142,142,142,189,189,234,274,256,
142,1,166,212,118,234,234,234,142,212,189,189,189,234,212,189,142,212,31,211,
142,234,166,189,166,234,234,211,1,118,1,274,115,274,234,142,256,142,256,166,
189,189,189,31,189,189,256,274,256,189,189,256,256,211,256,256,256,274,166,256,
31,1,31,274,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,1,118,61,
142,256,212,1,1,282,118,274,256,274,282,142,115,274,234,274,274,274,166,31,
153,274,274,274,256,118,118,118,118,31,61,31,90,61,61,212,1,31,31,31,
61,61,61,61,61,212,61,1,1,1,31,31,274,90,1,1,31,61,61,212,
90,118,90,90,166,166,90,256,166,118,118,118,166,166,166,166,189,90,212,90,
90,118,189,189,274,234,90,90,90,166,1,1,61, };
static unsigned short stb__times_35_latin1_a[224]={ 126,168,206,253,253,421,393,91,
168,168,253,285,126,168,126,140,253,253,253,253,253,253,253,253,
253,253,140,140,285,285,285,224,466,365,337,337,365,309,281,365,
365,168,197,365,309,450,365,365,281,365,337,281,309,365,365,477,
365,365,309,168,140,168,237,253,168,224,253,224,253,224,168,253,
253,140,140,253,140,393,253,253,253,253,168,197,140,253,253,365,
253,253,224,243,101,243,274,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,126,168,253,253,253,253,101,253,
168,384,140,253,285,168,384,253,202,278,152,152,168,291,229,126,
168,152,157,253,379,379,379,224,365,365,365,365,365,365,450,337,
309,309,309,309,168,168,168,168,365,365,365,365,365,365,365,285,
365,365,365,365,365,365,281,253,224,224,224,224,224,224,337,224,
224,224,224,224,140,140,140,140,253,253,253,253,253,253,253,278,
253,253,253,253,253,253,253,253, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_35_latin1_BITMAP_HEIGHT or STB_FONT_times_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_35_latin1(stb_fontchar font[STB_FONT_times_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_35_latin1_BITMAP_HEIGHT][STB_FONT_times_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_35_latin1_s[i] + stb__times_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_35_latin1_t[i] + stb__times_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_35_latin1_x[i];
            font[i].y0 = stb__times_35_latin1_y[i];
            font[i].x1 = stb__times_35_latin1_x[i] + stb__times_35_latin1_w[i];
            font[i].y1 = stb__times_35_latin1_y[i] + stb__times_35_latin1_h[i];
            font[i].advance_int = (stb__times_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_35_latin1_s[i] + stb__times_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_35_latin1_t[i] + stb__times_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_35_latin1_x[i] + stb__times_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_35_latin1_y[i] + stb__times_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_35_latin1_LINE_SPACING
#endif

