// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_38_latin1_BITMAP_HEIGHT        346
#define STB_FONT_times_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_38_latin1_FIRST_CHAR            32
#define STB_FONT_times_38_latin1_NUM_CHARS            224

#define STB_FONT_times_38_latin1_LINE_SPACING          25

static unsigned int stb__times_38_latin1_pixels[]={
    0x36a05100,0x4c400001,0x00564019,0x00666200,0x26620000,0x00000001,
    0x06662000,0x4c400000,0x20000019,0xbcdedca9,0x95100001,0x00000000,
    0xfb883aa0,0x400002ff,0x64404ffd,0x3a20002f,0x000003ff,0x0001fff4,
    0x001fff90,0x2fff8800,0xfe800000,0x4400004f,0x311abdeb,0x40007db5,
    0xb0000cf9,0x40000dff,0x7ddc0ed8,0x400002ff,0x3e2005ff,0x3fe20003,
    0x26000005,0x200004ff,0x005ffff8,0x04ff9800,0x7fc40000,0x7e400005,
    0x1d91000c,0x001fb800,0x0ffffe60,0x202ec000,0x00002ffc,0x36001bea,
    0x3e60001f,0x7000000f,0xd80000bf,0x001ffaaf,0x007fa800,0x037dc000,
    0x01bd1000,0x4007a600,0x740005f8,0x000ffb9f,0x2e007e40,0x200002ff,
    0xfa8000ec,0x17d40005,0x0ee80000,0x87e60000,0x000006e9,0x000003f7,
    0x8000076c,0x980005fa,0x02fd800e,0xf983aa00,0x13ea0005,0x000bfee0,
    0x50001e80,0xb70000ff,0x1f100000,0x81d80000,0x000002d8,0x20000079,
    0x300001f8,0x5400009f,0x002ff805,0x3d101b10,0x03ff1000,0x0005ff70,
    0xf70000c0,0x0700003f,0x00330000,0x14008800,0x00700000,0x00062000,
    0x0002f440,0xff100ec0,0x00260009,0x0df70005,0x000bfee0,0x7e400000,
    0x00c0000f,0x00060000,0x00003000,0x00000000,0x0fd80000,0x25400200,
    0x000bff10,0xff800000,0x45ff7003,0xaa81bdc9,0xa80aaaaa,0xffd02aaa,
    0xffdb7000,0x800059df,0xcefffedb,0x76dc0002,0x802cefff,0xeeeeeeec,
    0x3bbae06e,0xdd92eeee,0x0ddddddd,0x7777775c,0x401fd42e,0xd8addfc8,
    0x7fc0682e,0xddddd906,0x75c0dddd,0x82eeeeee,0xf7001ffa,0x3ffff65f,
    0x7fff543f,0xefea80ae,0x400dff02,0x730acfe9,0x98001bfd,0xd730acfe,
    0xe98001bf,0xfd730acf,0xffa8801b,0xd5000cff,0xff5107ff,0x2a0019ff,
    0x0fb03ffe,0x5ec3bf30,0x200e80ff,0x3ea207fe,0x5000cfff,0x7f407ffd,
    0x5ff7000f,0xffffdbf7,0x809ffd05,0x17fa01fc,0x2017fe40,0xf9002ffc,
    0x2ffc805f,0x805ff900,0xfd802ffc,0x2fb8007f,0x003ffec0,0x4f8817dc,
    0x7d42fd40,0x6403b06f,0x7ffd806f,0x402fb800,0x3ee007ff,0x7ffdc5df,
    0x406ff986,0x027dc05e,0xc800ffe4,0x7fe403ff,0x07ff9001,0x9001ffc8,
    0xffc807ff,0x01fa8006,0x40037fe4,0x03f701fa,0x7cc077d4,0x5c05904f,
    0x6ffc803f,0x201fa800,0x2e007ff8,0xfff304ff,0x201ffb07,0x2fc402f8,
    0x8017fea0,0xf500fff8,0x7fc400bf,0x0bff500f,0x007ffc40,0x5000bff7,
    0x5ffb801f,0xd00fa800,0x80ffc40d,0x03d01ffb,0x7dc007ec,0x0fa8005f,
    0x801bfe60,0x3f602ffb,0x04ff984f,0x07ee00d9,0x000fffc4,0x3e217ff2,
    0x7e4001ff,0x1fff885f,0x02ffe400,0x5000bff7,0x5ffb801f,0xf00fa800,
    0xb02fec09,0xf103c0ff,0x17fee007,0xa803ea00,0x3ee005ff,0x17fea02f,
    0x1fc07fec,0xfb05b100,0xff1000bf,0x05ffd85f,0x42fff880,0x88005ffd,
    0xff702fff,0x01f5000b,0x8005ffb8,0x03f880fa,0x7fc03ff3,0x3aa0b304,
    0x17fee003,0xb803ea00,0x3ee004ff,0x1ffe602f,0x3ea27fd4,0x21ec8000,
    0xd0003fff,0x3fff8bff,0x8bffd000,0xd0003fff,0x3fee0bff,0x00fa8005,
    0x4002ffdc,0x02f980fa,0x7fcc0dfb,0xce889702,0x2ffdc000,0x7007d400,
    0x7dc00bff,0x1bfe202f,0x1760ffe8,0x4c2fae00,0xb0002fff,0x7ffccfff,
    0xfffb0002,0x0017ffcc,0xf707ffd8,0x1f5000bf,0x005ffb80,0x1fa80fa8,
    0x3604ff88,0x705900ff,0xffb8005d,0x00fa8005,0xb801bfe6,0x2ffc02ff,
    0x3e29ff50,0x213a2001,0x0001fffa,0x3ea1fff9,0xf90001ff,0x3ffea1ff,
    0xfff90001,0x00bff701,0xfb801f50,0x0fa8005f,0xffa81f98,0x20dff302,
    0x012e00f8,0x8005ffb8,0x3fe200fa,0x0bfee006,0x7404ff88,0x4006c8ff,
    0x1fff907e,0x3ffee000,0x001fff91,0x647ffee0,0x70000fff,0xff703fff,
    0x01f5000b,0x8005ffb8,0x82f880fa,0xfe880ffb,0xf009903f,0x17fee00d,
    0xd003ea00,0x7fdc00ff,0x00bfe602,0x007f9ff5,0xffd827cc,0xff70000f,
    0x03fff65f,0x97ffdc00,0x0000fffd,0xf705fff7,0x1f5000bf,0x005ffb80,
    0x07f00fa8,0xad881ff9,0x00f981ff,0xfb801fb8,0x0fa8005f,0x7003fec0,
    0x2fdc07ff,0x00fffe80,0x7e413f20,0xf70000ff,0x3fff23ff,0xfff70000,
    0x003fff23,0x40fffdc0,0xa8005ffb,0x2ffdc00f,0xe807d400,0x223ffa84,
    0x4c0ff9ad,0x09f9002f,0x000bff70,0xffb801f5,0x0bff7000,0x5c007fe2,
    0x7fc004ff,0x03fff705,0x43ffee00,0x0001fffb,0x3ee1fff7,0xf70001ff,
    0xbff701ff,0x801f5000,0xa8005ffb,0xf10d700f,0x265fbbff,0x83f931ff,
    0x00ffb02a,0x5000bff7,0x2ff9801f,0x07fff700,0xff8007fb,0x83ff4001,
    0x0002fffa,0x7fd4fff9,0xff90002f,0x017ffd4f,0x707ffc80,0xf5000bff,
    0x05ffb801,0xf100fa80,0x3bfff705,0x0bdeffe8,0x7fe80744,0x005ffb80,
    0xfe800fa8,0xd7ff7004,0x003dd9bf,0xfb000db0,0x0fffe20f,0x12ffec00,
    0x20007fff,0x3fe25ffd,0xffb0003f,0x017fea0b,0x3ea01ee0,0x07b8005f,
    0x00a882ec,0x03c802a6,0x3ea017fe,0x07b8005f,0x2e00ff50,0x015532ff,
    0x4001fc00,0xffd01ffc,0x3ffa000b,0x002fff43,0x7f43ffe8,0xffd0005f,
    0x01bfea07,0x3ea01ee0,0x07b8006f,0x00000fcc,0xff100f98,0x0dff5009,
    0x6c00f700,0x2ffb801f,0x03ea0000,0x403fee00,0x4000fff9,0xff986ffa,
    0x7fd4000f,0x00fff986,0x3037fd40,0xbb000fff,0x00fff300,0x1d700bb0,
    0x2e880000,0x200ffe20,0xd8007ff9,0x01be2005,0x0000bfee,0xf50004e8,
    0x04ffc80f,0xc80fff40,0x7f4004ff,0x09ff901f,0x401ffe80,0x22002fff,
    0x5fff004f,0x8027c400,0x2200005d,0x02fe802e,0x4005fff0,0x7cc004f8,
    0x017fdc02,0x000fb800,0xf8809f70,0xff5000ff,0x07ffc409,0x204ffa80,
    0x5000fff8,0xff9009ff,0x007ec00b,0x2005ffc8,0xdb1000fd,0x2f980001,
    0x2007f700,0x36005ffc,0x1ea8000f,0x000bfee0,0x0bf33bee,0x3006e800,
    0xfa801dfd,0xefe9804f,0x027fd400,0x20077f4c,0xf1004ffa,0x9fb007ff,
    0x1fffc400,0x40027ec0,0xc88002fb,0x0374002e,0x803fff88,0x220004fd,
    0x07ff902d,0x9ffffd00,0x03b22000,0x82ffc880,0x2001ffb8,0xb882ffc8,
    0x322001ff,0xffb882ff,0x7ff44001,0xfd9510ad,0xffd10009,0x3b2a215b,
    0x3660004f,0x7e4c00be,0x19d10003,0x5bffd100,0x13fb2a21,0x9515c000,
    0x0057ffff,0x001f7fdc,0x20004eb8,0xffdeffea,0xd50000ce,0x9dffbdff,
    0x3faa0001,0x0ceffdef,0xfff71000,0x03bfffff,0x7ffdc400,0x01dfffff,
    0xdff93000,0x07dffd9b,0x00fb2000,0x3ffffee2,0x0001dfff,0x55555040,
    0x18800555,0x0000c000,0x0026ea20,0x13751000,0xba880000,0x4c000009,
    0x000aabaa,0x55d54c00,0x4000000a,0x00001aa9,0x2a6000c0,0x0000aaba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x03a60028,0x3a619910,0x26666660,0x00030001,
    0x13333331,0x06662000,0x99988000,0x98000000,0x4cc00200,0x10000009,
    0x00000333,0x01333000,0x09998000,0x3004b800,0x3ffc801f,0x3ffe21f3,
    0xb800ffff,0x2cefffec,0xfffffd80,0xffd0004f,0xfe800007,0xa800003f,
    0xaceffffd,0x3f600b30,0x9000005f,0x30000bff,0xb8005fff,0x200006ff,
    0x0001fff9,0x0f9803d5,0xf997fdc0,0x8005ff10,0xa89adfe9,0x4000dffd,
    0xf88004fe,0x8800005f,0x200006fe,0x30adffe9,0x00bfbfd5,0x00003ff4,
    0x0000eff8,0x006fffe8,0x0001ffc8,0x0005ff90,0x3e601fa8,0x3e62a800,
    0x4005ff10,0x7ec02ffb,0x13fa002f,0x001bee00,0x00ff9800,0x04ffb800,
    0x2006ffa8,0x00002fe8,0x00007fcc,0x1ff4e7dc,0x001fec00,0x0003fe80,
    0x07cc0db0,0xf887cc00,0x3ffb002f,0x05ffd100,0x20013fa0,0x000000ed,
    0x200017d4,0x2e003ffc,0x27c4006f,0x07f20000,0x88fe2000,0x744000fd,
    0x4f880006,0x0fe20000,0x4c0007cc,0x005ff10f,0x4c00bff5,0xfe800fff,
    0x007c4004,0x05b80000,0x01bfea00,0x26001f20,0x17400006,0x702c8000,
    0x01f10009,0x0005b800,0xf980fd80,0x10f98000,0xff8805ff,0x7fdc001f,
    0x004fe805,0x000000cc,0x7c4000e0,0x788001ff,0x00015000,0x50000140,
    0x98000a80,0x00140001,0x985fa800,0x0f98000f,0xfd805ff1,0xff98005f,
    0x027f402f,0x00000080,0x7dc00010,0x0360006f,0x00000000,0x00000000,
    0x00000000,0x0ffe2000,0x5b5001f3,0x17fc43e6,0x007fff10,0xd017ffe0,
    0x0d50009f,0x0d500000,0x027ff400,0x7774c300,0xeeeeeeee,0x40eeeeee,
    0xeeeeeee9,0xeeeeeeee,0x7774c0ee,0xeeeeeeee,0x40eeeeee,0xeeeeeee8,
    0xdddd73ee,0x5c0ddddd,0x1eeeeeee,0xf98dfd00,0x5ffd7100,0x17fc43e6,
    0x005fff30,0xd01bff20,0x3fb0009f,0xfd800000,0xfff98001,0x6cc00002,
    0xcccccfff,0x01ffeccc,0x999fffb3,0xffd99999,0x3fff6603,0xcccccccc,
    0xf9101ffe,0xfd305dff,0x1001dfff,0x8005fffb,0x807cc7fd,0xf32fffbb,
    0xa80bfe21,0x90001fff,0x7f401fff,0x2ffc4004,0xff100000,0xfff7000b,
    0xf1000003,0x5f5001ff,0x007ffc40,0xff1017d4,0x05f5001f,0x6c03fff8,
    0x2e003fff,0xfc8000ef,0x7003e61f,0x443e65ff,0x3ff202ff,0xff70000f,
    0x027f403f,0x003fff20,0x7ffe4000,0x7ffe4000,0xf8800000,0x05b000ff,
    0x8007ffc4,0x3ffe202d,0xf805b000,0x7fc402ff,0x07f6006f,0x117fdc00,
    0x25ff5009,0x05ff10f9,0x0007ffec,0x202fffa8,0x7fc004fe,0x000003ff,
    0x8007ffff,0x0000fffd,0x001fff00,0x1fff00aa,0xff00aa00,0x00aa001f,
    0xf5005ffd,0x7f3005ff,0x27fdc000,0x997fd400,0x405ff10f,0x0000fffd,
    0x7405fff5,0x2fee004f,0x800007ff,0x007ffbfb,0x0007ffec,0x00fff800,
    0x1fff0020,0x3fe00400,0xd002000f,0x3f6005ff,0x036c00ff,0x017fea00,
    0x7ccbfea0,0x6405ff10,0x70001fff,0x7f403fff,0x7fd7a004,0x7400002f,
    0x4005fff5,0x0002fffb,0x001fff00,0x007ffc00,0x01fff000,0x17ff4000,
    0x05fff880,0x300007ea,0xf5000fff,0x7c43e65f,0x3ffee02f,0xfff90002,
    0x3004fe80,0x017ff23f,0xf91f9800,0x7fd400bf,0xf000003f,0x019801ff,
    0x9801fff0,0x01fff001,0xffd00198,0x7ffd4005,0x0004f882,0x8007ff98,
    0x21f32ffa,0x3e602ff8,0xfb0003ff,0x04fe80df,0x7ffc4db0,0x4db00001,
    0x3001fff8,0x0000bfff,0x7003ffe0,0x03ffe005,0x3fe00570,0x8015c00f,
    0x6c002ffe,0x03640eff,0x05ffa800,0xf32ffa80,0xd00bfe21,0x3a000bff,
    0x27f402ff,0x3f617c40,0xf880004f,0x0027fec2,0x0000dffd,0x8803ffe0,
    0x1fff002e,0xf8017440,0x0ba200ff,0x0017ff40,0xf993ffe2,0xff700002,
    0x5ff50009,0x17fc43e6,0x003ffea0,0xd00dff50,0x50f9009f,0x80001fff,
    0x0fffa87c,0x01fff500,0x7fc0a200,0xccaaaabf,0xfff002ff,0xf9955557,
    0x3ffe005f,0xfccaaaab,0x5ffd002f,0x3fff5000,0xb800017a,0x003e63ff,
    0x43e65ff5,0xfc802ff8,0x7ff4004f,0x804fe802,0x07ffd04f,0xfd04f800,
    0x7ff4007f,0x201b0005,0xeeeeefff,0xf002fffe,0xddddddff,0x3e005fff,
    0xeeeeeeff,0xfd002fff,0x3f60005f,0x0000fcef,0xf98bff20,0x997fd400,
    0x005ff10f,0x54003ffa,0x9fd004ff,0xf700fa80,0x7d4000df,0x00dff700,
    0x001fffcc,0x0fff80b2,0x7c00be60,0x0be600ff,0x3007ffc0,0x3ffa005f,
    0xfff10002,0xd800005f,0x003e60ff,0x43e65ff5,0xf1002ff8,0xfe9801df,
    0x013fa004,0x7ffc40bd,0x40bd0001,0x2001fff8,0xb004ffe8,0x00fff809,
    0xfff80164,0xf8016400,0x016400ff,0x0002ffe8,0x0001bfee,0x1f313fa0,
    0xf32ffa80,0x800bfe21,0xb882ffd8,0x7f4003ff,0x3bbbe604,0xfffeeeee,
    0xeef98005,0xffeeeeee,0x7ec4005f,0x9711bdff,0x1fff007d,0xff002a80,
    0x002a801f,0x2a801fff,0x005ffd00,0x0037fd40,0x307fe600,0x2ffa801f,
    0x0bfe21f3,0x37ffa600,0x000cffec,0x3b604fe8,0xaaaaaaaa,0x4000fffb,
    0xaaaaaaed,0x00fffbaa,0xffffdb80,0xf001cfff,0x001001ff,0x02003ffe,
    0x4007ffc0,0x05ffd000,0x037fd400,0x217f2000,0x7fd400f9,0x3fe21f31,
    0x3fea0002,0x20002fff,0x05f104fe,0x800fffa0,0xffd002f8,0xbe880007,
    0x7fc0009a,0x3e00000f,0x200000ff,0x00000fff,0x8000bffa,0x00006ffa,
    0x07cc0ffc,0x7cc3fea0,0x0005ff10,0x0efffe98,0x209fd000,0x3fea007b,
    0x801ee006,0x40006ffa,0xf0000cfa,0x038001ff,0x70003ffe,0x0007ffc0,
    0x02ffe80e,0x01bfea00,0x302fa800,0x27fa801f,0x05ff10f9,0xfffb1000,
    0x13fa000b,0x3fe0027c,0x009f002f,0x0002fff8,0x40013ff6,0x26000fff,
    0x003ffe05,0x3ffe0598,0xe8166000,0x2a0002ff,0x200006ff,0x003e604e,
    0x887ccbf5,0x200002ff,0x8004fffb,0x01fb84fe,0x4037fec0,0x7ec001fb,
    0x7e40006f,0xfff88006,0x205d1001,0x1001fff8,0x3ffe205d,0x405d1001,
    0x20002fff,0x00006ffa,0x10f980db,0x261fb879,0x005ff10f,0x1bfd7000,
    0x2227f400,0xffa8007f,0x01fe202f,0x00bffea0,0x8003fc80,0x8801fff8,
    0xfff100fd,0x01fb1003,0x2007ffe2,0x3fe00fd8,0x3ee0003f,0x7440007f,
    0xf70f9803,0x989d13df,0x99bff10f,0x20000199,0x2e0befda,0x24ffcccc,
    0x4000ffd8,0x882ffffb,0x5c000ffd,0x4002ffff,0x70005fc9,0x3335bfff,
    0x0bff7533,0x4d6fffdc,0xffba9999,0x37ffee05,0xba99999a,0x3fee05ff,
    0xfb10005f,0x220005ff,0x21f3001d,0x82fffff8,0xdddd10f9,0x00001ddd,
    0x3b219530,0xf73eeeee,0x803dffff,0xffffffea,0xfffff71f,0xffea803d,
    0x801fffff,0x44000ba8,0xffffffec,0xffffffff,0x7ff6442f,0xffffffff,
    0x442fffff,0xffffffec,0xffffffff,0x7ffe442f,0x802dffff,0xffffffda,
    0x4000004e,0x201a9828,0x00000028,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10001000,
    0xdddddb95,0x400007dd,0x00018818,0x33000000,0x00200013,0x2033b220,
    0x05cc0003,0x400002ea,0x001d40ba,0x40676440,0x05cc0003,0xb88002e6,
    0xd500dc41,0xfa80399b,0x999fffff,0xff8809be,0x4ff9804f,0x80013fe6,
    0x0000fffb,0x000effb8,0x7cc005b8,0x750bffff,0x37fcc000,0x0000bff3,
    0x7fdcbff5,0x3fe60004,0x00aa3fff,0x266ff880,0x3f6005ff,0x203ffa1f,
    0x407ea0ec,0x7ffffffa,0xfffb0174,0x7ffb801f,0x4001bff2,0x005ffff8,
    0x000ffd80,0xbd8005d0,0xfdffffd9,0x3fea0001,0x001bfee7,0xfc9bfee0,
    0x2f60005f,0xfdffffd9,0x3fea0001,0x801ffea7,0x3ffe2ffe,0x3e61fcc2,
    0xfffffa85,0x981747ff,0x405fe8df,0x3fe63ff8,0x55f90003,0x440003ff,
    0xf30001ff,0xfea89000,0xd80003ff,0x00bb623f,0x88bb6200,0x120001ed,
    0x007fffd5,0xed87f900,0x837aa002,0x40fc85fb,0x7fec0ffa,0x747fffff,
    0x1fc89d02,0x00010080,0x06e887e6,0x000bea00,0x018004c8,0x00000373,
    0x00000000,0xb980c000,0x00000000,0x5fb00000,0xfff85e88,0x747fffff,
    0x0d504a82,0x3b000000,0x64000f60,0x00fc0003,0x00000000,0x00000030,
    0x06000000,0x00200000,0xbf700000,0x3fffe200,0x1747ffff,0x00026014,
    0x40188000,0x00070002,0xddd506a8,0x75c00bdd,0x01eeeeee,0xefffedb8,
    0xeeec802c,0x206eeeee,0xeeeeeeeb,0xffedb802,0x00002cef,0xe8800354,
    0xeeeeeeee,0x802ffcc3,0xffffffff,0x20001747,0x0aaaaaaa,0x002aaaa8,
    0x00000010,0x17bb6e20,0x0bfffb30,0x02effa80,0x30acfe98,0x8801bfd7,
    0x00cffffa,0x007ffd50,0x26159fd3,0x0000dfeb,0x40003fb0,0x02efffc8,
    0xb003bff2,0xffffffff,0x777442e8,0x53eeeeee,0x015dfffd,0x0005dfd5,
    0x3a2000d5,0xeeeeeeee,0xfbacfb83,0x7fec01ef,0x0fdc003f,0x2017fe40,
    0xfd802ffc,0x2fb8007f,0x402ffc80,0x40002ffc,0x80005ff8,0x74403fff,
    0x3ee00eff,0x47ffffff,0xfff9102e,0x13ffa05d,0x20003f90,0x220001fd,
    0x902efffc,0x7fff545f,0x17fffc00,0xc801f700,0xff9001ff,0x06ffc807,
    0x6401fa80,0xff9001ff,0x7fe40007,0x7fc0000f,0x7f6d402f,0x3ff602ff,
    0x1747ffff,0x980fffe0,0x02f406ff,0x005ff880,0x503fff80,0xffdad8bf,
    0x7ffffc03,0x401f5000,0x22005ffa,0x3ee00fff,0x0fa8005f,0x8017fea0,
    0x0000fff8,0x0007ffff,0x2a02ffe8,0x05fffb14,0x3fffffe4,0x5fff00ba,
    0x100ffd80,0x3f20005f,0x7c0000ff,0x1ff882ff,0x0bfea3e2,0x1dfffbf0,
    0x7c40f500,0x7e4001ff,0x17fee05f,0x4403ea00,0x64001fff,0xfb8005ff,
    0x40007ffb,0x0d502ffe,0x4c03fff9,0x1747eedb,0x300bffa0,0x01b209ff,
    0x03ffff80,0x417ff400,0x112dc7fa,0xfff57f00,0x6c0f500b,0xf88005ff,
    0xbff702ff,0x201f5000,0x88005ffd,0x74002fff,0x0005fff5,0x3d817ff4,
    0x400dff70,0x3a017478,0xffd802ff,0x70003f80,0x000fff7f,0xfb82ffe8,
    0x7c001747,0x809fff73,0x0fffe07a,0x82fff400,0xa8005ffb,0x07fff00f,
    0x017ffa00,0xbff91f98,0x17ff4000,0xff701fc4,0x5d1e2001,0x802ffe80,
    0x07d44ffa,0xfff5e800,0x7ff40005,0x1e66fc82,0xffb1fc00,0x983d405f,
    0xb0002fff,0x3fee0fff,0x80fa8005,0x0002fff9,0x6c00fffb,0x007ffe26,
    0x4c17ff40,0x017f405f,0x20174788,0xfd002ffe,0x8002ec1f,0x0bff91f9,
    0x417ff400,0x001327fd,0x3fffa1fc,0x3ea0f501,0xf90001ff,0xbff701ff,
    0x501f5000,0x20003fff,0x8800fffc,0x027fec2f,0x882ffe80,0x0bee00ff,
    0x00ba3c40,0x2a005ffd,0x003f14ff,0xfff89b60,0x5ffd0001,0x07e3ff90,
    0x3e21fc00,0x07a80eff,0x0001fff9,0x2e07ffee,0xfa8005ff,0x00fffc80,
    0x03fff700,0xfff50f90,0x5ffd0001,0x4c03bfa0,0xe8f1000f,0x017ff402,
    0x0d91ffd0,0xfb0be200,0x3fa0009f,0xacffa82f,0x07f01206,0xf50bfff3,
    0x003fff60,0x417ffdc0,0xa8005ffb,0x0fffd80f,0x5fff7000,0x3fa09f00,
    0xffe8003f,0x03dff502,0x23c400b7,0x17ff402e,0x7f9ff500,0x2a1f2000,
    0xe8000fff,0xfff982ff,0xf809303d,0x89fff703,0x1fff907a,0x3ffee000,
    0x005ffb81,0xffc80fa8,0xff70000f,0x00fa803f,0xd000dff7,0x7fe405ff,
    0x8003622f,0x3a017478,0x7f4002ff,0x9f0000ff,0x000fffa0,0x7fc0bffa,
    0x00e881ff,0xfff901fc,0xffb83d45,0xff70001f,0x0bff701f,0xf701f500,
    0x2e0003ff,0x2f400fff,0x003fff10,0x6c02ffe8,0x00d8bfff,0x00ba3c40,
    0xb8005ffd,0xf50004ff,0x01bfee01,0x540bffa0,0xca9bffff,0x403f804f,
    0x0f51fffd,0x000bffea,0xfb83ffe4,0x0fa8005f,0x002fffa8,0x980fff90,
    0xeeeeeeef,0x4005fffe,0xfb802ffe,0x88000fff,0x3fa01747,0x1ff8002f,
    0x440bd000,0x74001fff,0x3ff202ff,0x005fffff,0xffe8807f,0xff107a8f,
    0x3f60007f,0x0bff505f,0x3e20f700,0xfb0003ff,0xaaed80bf,0xfbaaaaaa,
    0x3fa000ff,0xfff5002f,0xe8f10007,0x017ff402,0x980036c0,0xeeeeeeef,
    0x4005fffe,0x3e202ffe,0x004fffff,0x3fe600fe,0x3fa07bef,0xffd0005f,
    0x01bfea07,0xffe81ee0,0x7ffd0005,0xe8017c40,0x3fa003ff,0x3fea002f,
    0x23c4001f,0x17ff402e,0x8001fc00,0xaaaaaaed,0x00fffbaa,0xb80bffa0,
    0x80013515,0xfff5003f,0x7ffcc0ff,0x37fd4000,0x000fff30,0x7ffcc0bb,
    0x37fd4000,0xfa801ee0,0x3ffa006f,0x27fcc002,0x05d1e200,0x4002ffe8,
    0xf88000fa,0x07ffd002,0xd017ff40,0x07f00005,0x03fffdc0,0xd0013ff2,
    0xfff803ff,0x013e2002,0xe8009ff9,0x027c01ff,0x400bffe0,0x0a602ffe,
    0xf1001bea,0x7ff402e8,0x00274002,0x3ea007b8,0x3ffa006f,0x0000f302,
    0xffb000fe,0x0fff880f,0x009ff500,0x6c00bff9,0x7ffc400f,0x09ff5000,
    0x6c001fb8,0xfff006ff,0x7c17f405,0x3a3c4005,0x017ff402,0x20001f70,
    0x7ffc004f,0x05ffd002,0x22000132,0x7f44004f,0x0efe9807,0x8027fd40,
    0xd803fff8,0xdfd3004f,0x04ffa801,0x54003fc4,0xff802fff,0x20bfa03f,
    0x23c4004e,0x17ffc02e,0x2fccefb8,0x003f7000,0xf006ffd8,0x007e05ff,
    0x003bee00,0x2200ff10,0xfb882ffc,0x7f44001f,0xd9510adf,0xfc88009f,
    0x1ffb882f,0x007fec40,0x0bfffee0,0x205fffb8,0x007d41fa,0x805d1e20,
    0xffd03fff,0x220009ff,0xffa8007f,0x3fff802f,0x22000698,0x2dfffffc,
    0x5001e600,0xdffbdffd,0x2e200019,0xffffffff,0x3aa0001d,0xceffdeff,
    0x7fffdc00,0x7f5401ef,0x11ffffff,0xfffffff9,0x711bb05b,0x8f10003d,
    0x3ffee02e,0x07dff705,0x03ff6200,0x5ffff700,0x42fffdc0,0x00000019,
    0x88000600,0x000009ba,0x0555d54c,0x2ea20000,0x00000009,0x88000000,
    0x10000bcb,0x7e440a85,0x2dffffff,0xf70000c4,0x803dffff,0xffffffea,
    0xffff911f,0x0005bfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32200000,0x000380ce,0x000014c0,0x037306e2,
    0x4000e200,0x00001998,0x80002666,0x44000199,0x00080099,0x20060060,
    0x20000cda,0x65400601,0x00801cdd,0xfffff300,0x0000e617,0x017efec4,
    0x10fff800,0x26000fff,0xfff30006,0xff300001,0x3e60001d,0xf10004ff,
    0xefb80bff,0xffecb800,0x07d42def,0x01f95bb0,0x3e60f500,0x2bbfa600,
    0x3f204ffc,0x4dec000f,0x1fdffffd,0x4cb70000,0xff880007,0x01fff31f,
    0x3fff6e20,0x3ea001ce,0xfc80002f,0x3fa0001f,0xd8000fff,0x3e01ffff,
    0x3fa602ff,0xbfb7309c,0x3cc05f31,0x172000f2,0x0ffa03dc,0x3fe09fd1,
    0x2a24003f,0x0003fffe,0x005d0ba0,0xfc89f700,0x59fd3004,0x03ffd73d,
    0x00017ee0,0xb8000bfa,0x005fd8bf,0x06fca7cc,0x3209fff1,0x7fec01ff,
    0x2a2d404f,0xb04d8005,0xb83fdc0b,0x0ffd81ff,0x1b980c00,0x11e40000,
    0x0000001f,0x4c3fe200,0x90017ec6,0x3f88000f,0x70be2000,0x21f4003f,
    0x7fff02fa,0x2005ffb0,0x7c402ffc,0x3e000b60,0x7f407d02,0x207ff305,
    0x01000009,0x67cc0000,0x000005ea,0x997f6000,0x20017c46,0x12e0002d,
    0x26057000,0x26077005,0x42fff80e,0x32005ffa,0x7dc00fff,0xf88005fd,
    0x3e01f881,0x09ff104f,0x06a80000,0x7ecc0000,0xeee98002,0xeeeeeeee,
    0x80eeeeee,0x361a63ff,0x000c4002,0x03000030,0x40180088,0x22ffe808,
    0x5001fff8,0x100bff9f,0x1ea00015,0x9ff007d4,0x000bfe60,0x003fb000,
    0x01fd8000,0x3fff6600,0xcccccccc,0x7fc41ffe,0x00ae1a66,0x00000000,
    0x00000000,0xfd87ff60,0x15f3005f,0x00005fff,0x0d706c80,0xfa827fc4,
    0x0000700f,0x0000bff1,0x002ffc40,0x003ffe20,0x3ffa0bea,0x54110d31,
    0x54c0aaaa,0xaaa81aaa,0x5554c0aa,0xaaaaa81a,0x0d5554c0,0x0acdb980,
    0x7c43ff20,0x4f8803ff,0x64c17ffa,0x2600acdd,0xcceecccc,0x2cceeccc,
    0xfd827fcc,0x00003605,0x0001fff9,0x03fff200,0x0fff8800,0xff905b00,
    0x7500d33f,0xfc985fff,0xffba83ff,0x7ffe4c2f,0x2fffba83,0x01fffe4c,
    0x3f2af7ea,0x4cff703f,0x5e802fff,0x7e43ffec,0x02ffebad,0xddfdddd3,
    0xdddfdddd,0x544ff985,0x00f403fd,0x0ffffe00,0x7ffc0000,0x7fc0003f,
    0x3055000f,0x00d9ffff,0xfb817fdc,0x0bfee03f,0xf701ffdc,0x0ffee05f,
    0xffa85f98,0x3ea6fa85,0x076401ff,0xfc83fff2,0x800ffd86,0x01f880f9,
    0xffd93fe6,0x0017c01e,0x0fff7f70,0xf7f70000,0xff8000ff,0x4c02000f,
    0x2006ffff,0xff302ffa,0x817fd407,0x3ea03ff9,0x07ff302f,0x7e403be2,
    0xf92fd43f,0x0fdc01ff,0xff0fffdc,0x005ff509,0x803ea0f7,0x36a24ff9,
    0x00fe05ff,0x5fff5e80,0xf5e80000,0x7c0005ff,0x300000ff,0x003dffff,
    0x3e605ff5,0x0bfea03f,0xf501ffcc,0x0ffe605f,0xff102ff4,0xfb27cc1f,
    0x0be601ff,0xff17ffdc,0x007ff307,0x301ae0b9,0x3ff609ff,0x0004f885,
    0x17ff23f3,0x91f98000,0x7c000bff,0x00cc00ff,0x3ffffd88,0x9817fd40,
    0x3fea03ff,0x407ff302,0xff302ffa,0x807ff107,0x93e23ffd,0xf880fffc,
    0x87ffee03,0x3ff980ba,0x09b04e80,0x3a04ff98,0x02fcc1ff,0x3fe26d80,
    0xdb00001f,0x000fffc4,0x5c00fff8,0x7ffdc002,0x0bfea04f,0xf501ffcc,
    0x0ffe605f,0xf302ffa8,0x05ff507f,0x1fc5ffb8,0xbd03fff5,0x00fffc80,
    0x01fffe4c,0x403f817c,0x3f204ff9,0x0037d45f,0x3ff617c4,0x2f880004,
    0x80027fec,0x3a200fff,0x7f74c002,0x5ff505ff,0xa80ffe60,0x7ff302ff,
    0x9817fd40,0x2ffc83ff,0x3a37fd40,0xb0bffe62,0x6ffd801d,0x3e6bbaa0,
    0xfdcc983f,0xdfcccccd,0x7fcc2ccc,0x71bfe204,0x0f9000ff,0x0001fff5,
    0xfffa87c8,0xbfff8000,0xffccaaaa,0xfcb4c002,0x2ffa82ff,0x5407ff30,
    0x7ff302ff,0x9817fd40,0x2ffd83ff,0x3637fcc0,0xb8fffe21,0x5ffe800f,
    0x3e62fe98,0xfeee983f,0xefeeeeee,0x7fcc2eee,0x323ffc04,0x04f8007f,
    0x80007ffd,0x07ffd04f,0xdddfff00,0x05fffddd,0x3fee6980,0x302ffa85,
    0x7fd407ff,0x407ff302,0xff302ffa,0x807ffb07,0x20644ff8,0x05f55ffd,
    0xf30fffe0,0x03ff981d,0x806b82e4,0x7fc04ff9,0x0007fec7,0x3fee01f5,
    0x03ea0006,0x40037fdc,0x3e600fff,0x3634c002,0x17fd40ff,0x2a03ff98,
    0x7ff302ff,0x9817fd40,0x5ffb83ff,0x4017fcc0,0x03f9fff8,0xf98dff50,
    0x03ff982f,0x804d8274,0x7f404ff9,0x000fff46,0x7ffc40bd,0x40bd0001,
    0x4001fff8,0x16400fff,0x5c698288,0x1ffcc2ff,0x2603ff98,0x7ff303ff,
    0x981ffcc0,0xfff983ff,0x003fea00,0x002fffdc,0xffb81ffd,0x403ff980,
    0x3007f02f,0x5fe809ff,0x98017ffc,0xeeeeeeef,0x8005fffe,0xeeeeeef9,
    0x005fffee,0x2a007ffc,0x8d30b102,0x7fc41ffa,0x409ff904,0xff904ff8,
    0x827fc409,0xffb04ffc,0x042fe407,0x2003ffd0,0xffd82ffb,0x204ff982,
    0x01f880f9,0x7d54ff98,0x7ffc1ff8,0x555db003,0xff755555,0xaed8001f,
    0xbaaaaaaa,0x3e000fff,0x100800ff,0x7e46981f,0x441fff07,0x7c05ffdd,
    0x3f7620ff,0x07ffc05f,0x20bffbb1,0xdf01fff9,0xf901df90,0xff9801df,
    0x41bff504,0x8195fffb,0x200f507b,0x4dfb4ffa,0x7ffc45f9,0x002f8804,
    0x44007ffd,0x7ffd002f,0x007ffc00,0x698bf100,0x7dc0bfe2,0xf9bfddff,
    0xff705eff,0xff37fbbf,0x3fee0bdf,0xff9bfddf,0xeff985ef,0x3e03b621,
    0x657d43ff,0x7dc40bef,0x7fffc02e,0xefff8dfd,0x0d705c83,0x7d53ff20,
    0xff01dd16,0x00f7007f,0x70037fd4,0x37fd400f,0x001fff00,0x437fe238,
    0x807fd169,0xf32ffffd,0xffd8039f,0x39ff32ff,0x2ffffd80,0x44039ff3,
    0x0ceeeffe,0x7cc1ffd0,0x37bff662,0xb3004fff,0x7fec7fff,0x13607d03,
    0x49fffd30,0x900dfeeb,0x09f001ff,0x002fff80,0xfff8009f,0x01fff002,
    0x3f6a2cc0,0x1efefdef,0xa8835100,0x106a2000,0x0d440015,0x530002a2,
    0x7102a001,0x0055d4c0,0x80100880,0x0003500a,0x004c0020,0x36000fdc,
    0x1fb806ff,0x037fec00,0x800fffc4,0x32a602e8,0x000000ae,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8800000,0xfffa8007,0x001fe202,
    0x100bffea,0xb1003fff,0x00d3001f,0xfffffff3,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x40000000,0x4000ffd8,0x882ffffb,
    0x5c000ffd,0x2e02ffff,0x999adfff,0x05ffba99,0x77100710,0x77777777,
    0x37777777,0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,
    0x5401efff,0xfffffffe,0xdfffff71,0xfffea803,0xd911ffff,0xffffffff,
    0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x99800099,0x26600009,0x02660009,
    0x00500640,0x10000666,0x98800333,0x00220019,0x26200300,0x04c00019,
    0x80030008,0x004c0000,0x00300004,0x000fff30,0x2000bff7,0x9000effa,
    0xd3003fff,0x400ee987,0x0004fff9,0x9000fffa,0xfb300bff,0xb90005df,
    0x0bffa200,0xdfffd500,0xd00b3159,0xffd700df,0x06b80019,0x4000fecc,
    0xff50005d,0x0ffb0005,0x003ff200,0x037fffcc,0x2edaee88,0x3ffffd00,
    0x09ff1000,0x100dfd00,0x05fb11bf,0x10007d40,0x362009ff,0xfeb99cff,
    0x7fc405ff,0x2ab6a02f,0x3e2004fe,0x07feea01,0x0001f500,0xe80027e4,
    0x1ff8002f,0x3a67f600,0xbff3002f,0xfd9fd400,0x05fb8005,0x800ef880,
    0x01be61fe,0x4c001fc4,0x0bfb007f,0x7402ffdc,0x3e61c07f,0x40136007,
    0x3e2001fe,0x07d80003,0x8009d100,0x3aa002f9,0x2e01b620,0xd002ffcf,
    0x4002fb87,0x3f70006d,0xff0ff300,0x000bb001,0x3ea00fd4,0x02fdc02f,
    0x3f980018,0x2001f700,0x1b2001fd,0x001e8000,0x3c800d30,0x3c806c00,
    0x3ee1bf50,0x9815c02f,0x003a2006,0xfb8016c0,0x5402fe87,0x1e40000f,
    0x7401bf20,0x36000005,0x005f1004,0xf9800fec,0x02200001,0x20009800,
    0x20044001,0xffb03301,0x02200c03,0x30000440,0x7437ec00,0x00be205f,
    0x3f600c00,0x005b800f,0x77f5c003,0x4005d801,0x07d001fd,0x00000000,
    0x00000000,0x0dff1000,0x00000000,0x0ff90000,0x02ec0bfd,0xff900000,
    0x200b3009,0x3f6e6005,0x003ea01f,0xd9003fb0,0x36e60000,0x971000ac,
    0x2e20059d,0x71002cec,0x220059d9,0x3ffcbcba,0x2b377260,0x66dcc000,
    0xddc9800a,0x1fee00ac,0x07dc13fa,0xcddc9800,0x3ffea00a,0x0b002805,
    0x4413fa00,0x1fd8003f,0x0000fcc0,0x3f2af7ea,0x5efdc03f,0x2e00effd,
    0x0effdbdf,0x3f6f7ee0,0x37e600ef,0x0ffffdbb,0xfebadfc8,0xbdfa802f,
    0x3203ffca,0x2ffebadf,0xff81ff30,0x0002f883,0xffd75bf9,0x3fffe205,
    0x24c0002e,0xb04fa800,0x07f6000b,0x980009d0,0x05ffa85f,0xeffa83db,
    0x7d41ed80,0x41ed80ef,0xfb80effa,0x44fffb84,0x0ffd86fc,0x3ea17e60,
    0xd86fc85f,0x43fd00ff,0x009d07fa,0x3f61bf20,0xffff300f,0x360001bf,
    0x03f50002,0x360001f5,0x001ae01f,0x3201df10,0x81fd43ff,0x1fd44ffc,
    0x7d44ffc8,0x889ff903,0x1fff607f,0x5ff509ff,0x6403be20,0x427fc3ff,
    0xdf102ffa,0x3ae0bfa2,0x09ff0000,0x7cc05ff5,0x00cfffff,0x5e401ee0,
    0x7d109d30,0x817f4000,0x740001f9,0x3ffe205f,0x7d403fa0,0xa807f47f,
    0x807f47ff,0x27ec7ffa,0x7c5fff30,0x03ff983f,0x7fc40bfd,0x260ffe0f,
    0x3b2603ff,0x01f981de,0x307ff006,0xfd8807ff,0x802fffff,0xfd8804f9,
    0x0d902dff,0x764c0a88,0x104e83de,0x07ff1003,0xdf33ffd8,0xfb999999,
    0x33be61ff,0xffdccccc,0x999df30f,0x1fffb999,0xfd00bfe6,0x4c05d49f,
    0x3ff883ff,0x751ffec0,0x007ff301,0x3f209d00,0x0ba80cfd,0x5003ff98,
    0x0bfffffd,0x04000fe8,0xfb007e60,0x81f70005,0x204fffea,0x7dc02ffa,
    0x555df75f,0x15555555,0x2aaabbee,0x70aaaaaa,0x555555df,0x3ee15555,
    0x2ffdc02f,0x0ffff260,0xf700bfea,0xffc980bf,0x3640003f,0x0bf32fc8,
    0x0ffff260,0xfffff700,0x0017f20b,0xf9013a00,0x2f88005f,0x7f5cdf44,
    0x805ff903,0x0bf96ffa,0x000bf900,0xf9000bf9,0x6ffa803f,0xff35dd50,
    0x805ff907,0xdd506ffa,0x0007ff35,0x37dc0fcc,0xeea813f6,0x8003ff9a,
    0x43ffffc8,0x00001ff9,0x33aa0364,0x42ec002f,0xd83fd41c,0x7fcc02ff,
    0xb000ffb6,0xffb000ff,0x05ffd000,0x74c6ffa8,0x20ffe62f,0x7cc02ffd,
    0x317f4c6f,0x740007ff,0xfb89fb04,0x262fe986,0x500083ff,0x7fe8dfff,
    0x0fcc0000,0x05f91f30,0xf0007d40,0x00fff60d,0x3ff29ff1,0x07fe4000,
    0x003ff200,0x9809ffb0,0x03be64ff,0xffb07ff3,0x24ff8807,0x7fcc0ef9,
    0x40d90003,0x07fd43ff,0xff981df3,0xf7001c83,0x17fe61ff,0xd0006f44,
    0xfc8f4409,0x005f1002,0xffb827cc,0xb97fcc05,0x70b804ff,0x217009ff,
    0x0b804ffb,0xf980bff7,0x305ff32f,0xbff707ff,0xf32ff980,0x07ff305f,
    0x2203f300,0x97fcc3ff,0xff982ff9,0x3e003c83,0x09ff50ff,0x5c00ffe6,
    0xfc8fa00f,0x800bb002,0xfff300ec,0x987fd401,0x96600fff,0x2600fff9,
    0x803ffe65,0x01bfea59,0x3fee1ff5,0x983ff980,0x3ea00fff,0x301ff70f,
    0xe88007ff,0x30ffe203,0x03fee3ff,0x1b20ffe6,0x3ea7fe80,0x017fe04f,
    0x44c80be6,0x0fa802fc,0xb007e600,0x2fe407ff,0x7407fffa,0x80ffff41,
    0x0ffff41e,0x1fff41e8,0x7fecbf90,0xb04ff982,0x2fe407ff,0xff305ffb,
    0x806c8009,0x87fd43fe,0xff982ffd,0x9802fc84,0x17fe65ff,0x5e804fc8,
    0x3bbbbe60,0xf100eeff,0x00fcc007,0xf80fffcc,0xcffff986,0xf985fcab,
    0xfcabcfff,0xcffff985,0xf985fcab,0x0ef881ff,0xfb837fea,0x7cc195ff,
    0xa8df01ff,0x3fee0dff,0xfa80195f,0x5c4fd800,0x837fea7f,0x2195fffb,
    0x7e402ffc,0x80ffec0f,0x07dc01fb,0xd9999930,0x176019bf,0x2001e980,
    0x3621eff9,0xffff700e,0x2e03ffff,0xffffffff,0xfffff701,0x3ea03fff,
    0x03b622ef,0x37f7fffe,0x983efff8,0x3b621eff,0xfdffff80,0x03efff8d,
    0xf9801fc4,0x3fe1ff47,0xff8dfdff,0x3fff23ef,0x3ff220ac,0x43eff882,
    0x17c403f9,0x202fc800,0x1d5000fa,0x7f440498,0x400ceeef,0x0effffe9,
    0x7ffff4c0,0x7ff4c00e,0x74400eff,0x00ceefff,0x6c7fffb3,0x3fa203ff,
    0x300ceeef,0x7ec7fffb,0x005d803f,0x2fe46fd4,0xb1fffecc,0xcabc87ff,
    0xdffeeffe,0x3fff2200,0x5d802eed,0x40bf2000,0xff7003e8,0x007fffff,
    0x4400054c,0x544000aa,0x5544000a,0x054c4000,0x00201100,0x44001530,
    0x3ea00100,0xdec98000,0x00804403,0x13775105,0x009a9800,0x40001f50,
    0x00d901ca,0x33333322,0x000000cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x04000044,
    0x09800000,0x0002c820,0x001005b0,0x31000080,0x06600001,0x79300000,
    0x00004400,0x00201330,0x0c009800,0x000fecc0,0x98000fcc,0x001cffeb,
    0x3fff6a00,0x4b30acef,0xf880006b,0xbffb7100,0x3ff6e003,0xefb801df,
    0x2000dfff,0xffeefec9,0xd500001c,0xfc8809ff,0x98004eff,0xdffffffc,
    0x20001b0a,0xb80ceeca,0xa84efefe,0xe8001ffb,0x7ff70003,0x0001fd51,
    0x0adffe98,0x4bfbfd53,0x5c0000f8,0x267fd106,0x6fe401fd,0x103ffb89,
    0x7ff5c19d,0x05f74c01,0x000f75c4,0x09ffb750,0x7fffffc4,0xfe8800ef,
    0xf7310acf,0xa8003fdf,0xfd100bfe,0x07fee217,0xd90007fa,0x07fea000,
    0x5c0009f3,0xffa804ff,0x20001f46,0x41fe883e,0x5fb01ff8,0xdd07ff30,
    0xb81bfe20,0x0fa6002f,0x09ff3000,0x7f5cd6ec,0x7fcc02ff,0x7fec400e,
    0x07bf2001,0x3ea07fb0,0x000fec0e,0x360003f3,0x000fd06f,0xb800fff2,
    0x00035c6f,0x0bfb01f1,0x1bea1bf2,0x3e60ffd8,0x207ff206,0xd88000ec,
    0x3fe20004,0x3f209704,0x3bfea06f,0x00bf6000,0x260077ec,0x5ff100ff,
    0x3a001fd8,0x17fe0004,0x7d40037c,0x47c8006f,0xd70000f8,0x2205ff30,
    0x01ff42ff,0x7fd49ff3,0xa89ff501,0xfedcb80e,0x00ba6abd,0x4827fc40,
    0x203ffe20,0x88006ff8,0x0ffc802f,0x6c06fb80,0x800fec4f,0x3e20006b,
    0x003fa87f,0x000fffc4,0x001f43c4,0x0ffd83e8,0xff99bfa0,0x887ffc02,
    0xbff304ff,0x37a60fc4,0x89ff6a21,0xff88000f,0x0dfb0004,0x4000fffa,
    0x17fcc03c,0x200ffc80,0x00fec2fe,0x20000fcc,0x07f41fff,0x01bfee00,
    0x035c0d80,0x7fc07c40,0xa8ffec07,0x7fec02ff,0x7d40bf61,0x9f50f23f,
    0x12e0fe80,0x013fe200,0x7dc1fec0,0x1220007f,0x2005ff88,0xff105ffa,
    0xe801fd81,0xffe80004,0x0005fd34,0x40009ffd,0x4001f881,0x06ff986b,
    0xffc97fdc,0x217fe403,0xf87ff200,0x3003fe20,0x8807c41f,0xff8acdca,
    0x01df0004,0x00009ffd,0x000ffec0,0x3f20fffe,0x5c01fd83,0xfb80000f,
    0x261efbff,0x22cccccc,0x0002fff9,0x74003e80,0x405ffb83,0x9ff93ffb,
    0x004ffb80,0x22d49ff1,0x815004fe,0xacff983c,0x004ffefc,0xff980ea8,
    0x5000002f,0x00cc4dff,0xfb93ffee,0x4403fb04,0xf100002f,0x3f205fff,
    0x7fdc2dff,0xb800001f,0x203e6006,0x7d405ffc,0x80bff55f,0xf7004ffc,
    0xff31e41d,0x22540005,0x7fcc0efa,0x17d4004f,0x001fffb8,0x57ff9000,
    0x409ffffd,0x2fbdfffc,0x5d80bfa0,0x3fe60000,0xbff100ff,0x003fff20,
    0x007e2000,0x4ffc82dc,0xf9b7fd40,0x3ff601ff,0xd83fd003,0x0007fea2,
    0x07fe2598,0x98027fe4,0xfc82fffc,0x553000ff,0x41555555,0xa9adfffd,
    0xf900effe,0x32605fff,0x0fa83dee,0x91002a20,0x20bfffbf,0xffb00ff8,
    0x2000001f,0x207d003d,0x7d404ffd,0x817ff66f,0xfa802ffe,0x3ff21e83,
    0xc9a20000,0x13fe605f,0x3ffffb20,0x07ffec4f,0xfffda880,0x0fffc2ef,
    0xb02fff44,0x0005ffff,0x5fb00be2,0xfc9ffcc0,0x02fa82ff,0x0003fff6,
    0x4c035c00,0x07ffb00f,0x3e26ffa8,0x7ff4c4ff,0xb04e801f,0x000ffdc3,
    0x0ffe2d30,0x2004ff88,0x22ffffa8,0x8002fffd,0xff887ffe,0x07ffe606,
    0x3fffeff2,0x405d8003,0xff302ffc,0x077ffc45,0xfff70172,0x22000005,
    0x902dc01f,0xffb809ff,0x77fff4c5,0x807ffbdf,0xf98b2069,0x56a0002f,
    0x3e202ffb,0xfd88004f,0x0fffee5f,0x21bff200,0x7fc06ffa,0xe997ec3f,
    0x2a003fff,0x3f7aa00f,0xc83ff982,0x03e64fff,0x007fff50,0x201ec000,
    0x13fee03e,0x2a0bff70,0x7ffb1bcc,0x25c03900,0x40009ff1,0x403ff93b,
    0x10004ff8,0x7ffd4fff,0x5ffb8005,0x6c05ffb8,0x10ff25ff,0x1001fffd,
    0x647cc07f,0x01ffe82f,0x7d13fffd,0x0bfff300,0x035c0000,0x7fd401f3,
    0x01ffe405,0x001fff30,0x7dc7880b,0x7409800f,0x4403ffb1,0x320004ff,
    0xffff31ff,0x0bff7000,0xfb80bff3,0x101ff15f,0xbb005ffd,0x2fc8f440,
    0xf3037fd4,0x400b9dff,0x00006ffe,0x2e407e20,0xb01bfe20,0x7e4003ff,
    0xb00b004f,0x4c05fd85,0x5ffb2d44,0x0027fc40,0x7f41ff50,0x7dc000ff,
    0x06ff885f,0x6fba7fcc,0x5017fe20,0xf91f401f,0x406ffb85,0x000ffffc,
    0x0003ffea,0x41360144,0x0ffd803e,0x8801ffa0,0x00a006ff,0xefc883a6,
    0x17425cc1,0x7c409ff9,0x3e60005f,0x01fffcc7,0x7417fee0,0x9ffcc07f,
    0x7fe405fe,0x6407d100,0x3f617e44,0x7ff401ff,0xfd06204f,0x036000bf,
    0x01f30d70,0x2205ff50,0x3f2004ff,0xc800000f,0xeefed985,0x7dc4c82c,
    0x17fe207f,0xd84fc800,0x2e000fff,0x3ff905ff,0xfd8ffd40,0x903fd405,
    0x7777cc0d,0xf70eeffe,0xffc809ff,0x985905ff,0x64003fff,0x641f8802,
    0x413fa005,0xf7000ffb,0x0008005f,0x20088136,0x3fff886b,0x000bff10,
    0x7f4407fc,0x3fee005f,0x40bfd105,0x01bf24fb,0x07e60bf5,0xeccccc98,
    0xfff30cdf,0xd7dd305f,0x9317dfff,0x13ffa20f,0x9b0026c0,0x3e2002e8,
    0x01ffc40f,0x2001efa8,0xb1005fe8,0x6ec4001b,0x07fff700,0x7710dff9,
    0x900bee01,0xf7001bff,0x0ffcc0bf,0x3fe20ff8,0x7407fa02,0x05f90004,
    0x99dffff7,0x3fa21bfd,0x02ffffff,0x2f7fff62,0x007d9711,0x003e66a8,
    0x3221bf30,0xdfc8803f,0x7ffd4000,0x033ee000,0xd803fc88,0xcebbdfff,
    0xf70defff,0xdd7139ff,0x3bfea003,0xffeb881c,0x2077e403,0x1ff980ed,
    0x6c81fdc4,0x40bf2000,0xeffffffa,0xdffff902,0x3ff6e005,0x01cfffff,
    0x0b91f880,0x3f7f6a00,0x3fb2a01c,0xff10001d,0xdd71000d,0x17fdb99b,
    0x7fffdc00,0x41dff8af,0xefffffe8,0xfdc88004,0xeffeddff,0x37fea002,
    0x36200dec,0x01efdcdf,0x540003f3,0x4dd4c01c,0x00153000,0x04d5d440,
    0x0d46a000,0x200a2000,0x00001aa8,0x53000051,0x80003575,0x200541a9,
    0x00001aa9,0x04d55cc4,0x00353000,0x00013530,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x800000cc,0x03000008,0x003b5000,0x3bbbbae0,0x03eeeeee,0x04c00088,
    0xdd50004c,0x109ddddd,0x80003103,0x01998809,0x02000020,0x202a9800,
    0x998802a9,0x7f64c001,0x001cffee,0x3ffb6e20,0x7f6dc002,0x3002ceff,
    0x0003fff9,0xfffffff1,0x207fffff,0x0cefffd8,0xfd07fec0,0x3ffa001f,
    0x442fffff,0x13fe25ff,0x4437d400,0x64c01ffe,0x1aa0000f,0x207fd800,
    0x7e400ffc,0x7dd3004f,0x03dd7101,0xf11de880,0x9fd3003f,0x37fae615,
    0x7ffddc00,0xfffb8001,0xffffffff,0xffffa80f,0x3e02ffff,0x5fff12ff,
    0xfffff500,0xfff50dff,0x4003ffdc,0xff306ff8,0x3fff6609,0x07f60000,
    0x903fec00,0x5ff801ff,0x4005f700,0x1f6003e9,0xff9017f2,0x02ffc805,
    0x8001ffc8,0x3e601aee,0xbbeff885,0x900ffffd,0x037ec1df,0x99999ce8,
    0x24fe8809,0xd8003ff8,0x1bea06ff,0x03fff772,0x02ffc400,0x3207fd80,
    0x3be600ff,0x000ec800,0xfb804d88,0x3207fa84,0xff9001ff,0x01ffb807,
    0x5c0074c0,0x981ee83f,0x40205fff,0x001f5000,0x40004020,0x5c06fffb,
    0x03ffa00f,0x07ffe400,0x903fec00,0x07e401ff,0x66547540,0x00bccccc,
    0x03fd805d,0x17fea035,0x00fff880,0x70007fee,0x103fa001,0x7ffd403f,
    0x9d000000,0x00000000,0x00dfd5f3,0x07fec079,0x3ffff800,0x207fd800,
    0x07a00ffc,0xff987e20,0x83ffda8c,0x0ffe00f8,0x03fff100,0x205ffc80,
    0x00001ffb,0x0750bf10,0x0003ffd0,0x017df500,0x74000000,0x0600dfd4,
    0x8000ffd8,0x007ffbfb,0x3f207fd8,0x6400600f,0x7dc3ff83,0xf304b80f,
    0xffd8007f,0xfff88005,0x003ff702,0x20fee000,0x01ff9000,0x02b37726,
    0x3bffffa0,0x3b2e2003,0xd364002c,0xf90000df,0x2bd0001f,0x6c002fff,
    0x03ff207f,0x3e03e000,0x427fc43f,0x3ff980f8,0x01fffc00,0x705ffe80,
    0x5ee4c3ff,0x03fa0000,0x907fc800,0x5ffd75bf,0x7ffffcc0,0x7dc00dff,
    0x00effdbd,0x1bfa1f98,0x7e403b50,0x8fcc000f,0x6c005ffc,0x03ff207f,
    0x16a03b50,0x2ff41ffc,0x4ff983c8,0x0bffe600,0x83ffec00,0xffe89ffb,
    0x88002fff,0x7ec0005f,0xfd86fc85,0xb753100f,0x203fffff,0x77fd41ed,
    0xfd0fa200,0x5fff710d,0x0007fe40,0x1fff89b6,0xc81ff600,0xffb880ff,
    0x3e07902f,0x817fc43f,0x05ff884a,0x007ffea0,0x407ffe40,0xdceeaffb,
    0x4002ffff,0x7c0003fb,0xa84ff82f,0x3a2002ff,0x7d40efff,0x409ff903,
    0xb86fe86d,0x3202fffb,0x3e2000ff,0x0027fec2,0x7fe40ffb,0x2fffbb80,
    0x8ffe05b0,0x56604fe9,0xceffccc9,0x3ff204cc,0xff70000f,0x5fff703f,
    0x006ffe88,0x300007f4,0x20ffe0bf,0xc8003ff9,0x07f44fff,0xf507ffa8,
    0x640dfd01,0x3ff202ff,0x2a1f2000,0xfb000fff,0x03ff201f,0x3d02ffc8,
    0x3ffbbfe0,0xfab4400d,0xffffffff,0x1fffb00f,0x3ffee000,0x102ffb82,
    0x22005fff,0x7ec0005f,0xf3017501,0x3ea0007f,0x99df30ff,0xfffb9999,
    0xfd02f881,0x017fdc0d,0x7c001ff9,0x007ffd04,0x3a207ff6,0xfb8110ff,
    0x3e03b02f,0x804fe8bf,0x00bff069,0x0007ffe4,0xb81fffb8,0x3ff201ff,
    0x007f7004,0x2001fd40,0x003fffc9,0x7dc7ff60,0xaaaaaaae,0x02ec0aaa,
    0x7fdc0dfd,0x003ff202,0xffb807d4,0x8bffb006,0x091ffde9,0x0b205ff7,
    0x2ff99ffc,0x5ff82d40,0x07ffee00,0x07ffdc00,0xf300ffdc,0x03f600bf,
    0x2005e800,0x3ff9aeea,0x4ffea000,0xf70005fc,0x5037f401,0x7fe405ff,
    0x440bd000,0xfd801fff,0x98eeceff,0xfa84bdff,0x3e09702f,0x803fee3f,
    0x00bfd03b,0x0017ffd4,0xf707ffc8,0x37fc403f,0x0002fc40,0x3fa600db,
    0x000ffe62,0x1ff65ff0,0x2ab3e600,0xffeaaaaa,0x17fd42aa,0x3001ff90,
    0xdddddddf,0xb00bfffd,0x41bfffd9,0xfa81effd,0x3e0f102f,0xd02fec3f,
    0x8013fa03,0x0003fff8,0x3ee0bffb,0x037fc01f,0xc8001fdc,0x0ef9800e,
    0x0001ffcc,0x07fe43f6,0x3fffee00,0xffffffff,0x17fd47ff,0xb001ff90,
    0x5555555d,0x801fff75,0x300aa8be,0x017fd403,0x887ff05b,0x205a83ff,
    0x7f4003fd,0xffd0005f,0x007fee07,0x1fb009ff,0x001f5000,0xff305ff3,
    0x27e80007,0x0b804ffb,0xfffffff7,0xffffffff,0x3202ffa8,0x17c400ff,
    0x403ffe80,0xf500004f,0x3074c05f,0x5ff509ff,0x03f602e8,0x01fff300,
    0x206ffa80,0x3e201ffb,0x02fc403f,0xb800fcc0,0x3ff980ff,0x98fe2000,
    0x16600fff,0xa81bfa00,0x3ff202ff,0x5003dc00,0x37cc0dff,0x2ffa8000,
    0xeedbae40,0x9f7641de,0x0fd5304c,0x4ffc83b0,0x00fff400,0x7cc03ff7,
    0x01fd401f,0x46007e60,0xff982ffd,0x21b20004,0x3d01fffe,0x40dfd000,
    0x3f202ffa,0x0027c00f,0x7d40bffe,0xff500007,0x0009b005,0x76f4c35c,
    0x0f502dff,0x2001fff1,0x7dc04ffa,0x00ff601f,0xfa8003f6,0xff52c801,
    0xafffdc1b,0x205fd10c,0xfff980fc,0x05fcabcf,0x540dfd00,0x3ff202ff,
    0x0007ee00,0x3ee0dffb,0xfa80000f,0x0dd8802f,0x20376200,0xfffff31c,
    0x209fd99b,0x5400efe9,0xffb804ff,0x100df302,0x77d400bf,0xcccccccc,
    0x3fffe0ff,0xefff8dfd,0x33fffe23,0x2e00deba,0xffffffff,0x0dfd0001,
    0xfb01ffdc,0x01fe201f,0x20bffea0,0x80001ffd,0x2e003ffb,0x3f2200cf,
    0x45e43a03,0xeffffffd,0x0bff2200,0x4007fee2,0x2a0bfffa,0x3fa800ef,
    0xfffff500,0xbfffffff,0x23fffd98,0xffb83ffd,0x3003dfff,0x01dffffd,
    0xb037f400,0x3fa209ff,0x0ffd882f,0x7fffdc00,0x0003fdc2,0x4004ffd8,
    0xdccdeeb8,0x75c00bfe,0x7fffd45d,0xffd5000e,0x019dffbd,0xefffc880,
    0x2a6003ff,0xffff9800,0xffffffff,0x0201102f,0x80002a20,0x80000aa8,
    0xffeb86fe,0xfdb52eff,0x3ee9dfff,0x401effff,0xffffffea,0x0000261f,
    0x5dffffd7,0x57553000,0x20198003,0x220001a9,0x000009ba,0x00003553,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26004cc4,0xec8380bc,0x3eeeeeee,0x777775c0,0x00c0601e,
    0x2aaaaaaa,0x52aaaa80,0xbddddddd,0x77777764,0xeeeb80ee,0x66440eee,
    0x000f6600,0x3bbbbbb2,0x3bae06ee,0xa82eeeee,0x00f6601d,0xcddb9800,
    0x39300770,0x440dee4c,0xeeeeeeee,0x6fff883e,0x0fffff60,0x3fff620b,
    0xfd3000cf,0x7ff403bf,0xea81bfa0,0xa80aefff,0x3f622efe,0xfd880fff,
    0xfc801fff,0x87ff903f,0x004ffeb8,0x9ffff510,0x3ffaa001,0x17ffe443,
    0x013ffae2,0x2b3f6200,0x104feffc,0x3f65ffd7,0x9103ffff,0x6405dfff,
    0xe983ffff,0xdcffffda,0x07fff404,0x803fea00,0xff32fff8,0x4ffe803f,
    0xfe80fe40,0x3ffe205f,0x409f3005,0x75542ffb,0x6c0004ff,0xfb8007ff,
    0x2fffbb82,0x027ff554,0x1037ea00,0x33209ffd,0xedfbafff,0x3e02ffff,
    0x57e203ff,0x305c0ffb,0x801dfffd,0x4002fffa,0x6fd802fa,0x7cc037ec,
    0x702f406f,0xffc80dff,0x801f5006,0x13fea02a,0x0dff9000,0x6403f500,
    0x9ff502ff,0x07fc4000,0x6404ffa8,0x7fdc5dff,0x0bffe06f,0x227cc4d8,
    0x00179502,0xb0013ffa,0x0080400d,0x4403ff60,0x3ffe202f,0x03ffe601,
    0x20001b20,0x40004ff9,0xa8005ffb,0x0bfee00f,0x00027fcc,0x7fcc07fb,
    0x827fdc04,0xfd03fff9,0x4412605f,0x5000000e,0x22001fff,0x0000002f,
    0x6c827fcc,0x403ffe80,0x3f803ffe,0x4ff98000,0x2ffdc000,0x7007d400,
    0x3fe205ff,0x3ff30004,0x2027fc40,0x3f602ffb,0x05ffd04f,0x00006006,
    0x003fff80,0x000000f7,0x3e03ff60,0x06ffb803,0x2a037fdc,0xf980000f,
    0x7dc0004f,0x0fa8005f,0x440bfee0,0xf70004ff,0x27fc401f,0xa80bfee0,
    0x5ffd05ff,0xdc980000,0x64000acd,0x09f006ff,0x20555554,0x801aaaa9,
    0x07d44ffa,0x00fffc40,0x6401fff9,0xff300005,0xffb80009,0x00fa8005,
    0x7c40bfee,0xff90004f,0x404ff880,0x3e602ffb,0x05ffd07f,0xfc8076a0,
    0x02ffebad,0x00bffe20,0x7dd403f5,0x7fe4c2ff,0x1ffd003f,0xffb002ec,
    0x1ffffc09,0x36a007f0,0x449ff301,0xfb801bdb,0x0fa8005f,0x440bfee0,
    0xaaaa84ff,0x01ff61aa,0xfb809ff1,0x1bfe202f,0x71017ff4,0x3f205fff,
    0x000ffd86,0xdb017ff6,0x40bfee00,0xf5003ffb,0x8007e29f,0x9f307ffa,
    0x03ea0dff,0x02fffb88,0x3fee9ff3,0x7dc01fff,0x0fa8005f,0x440bfee0,
    0xfffa84ff,0x03ff60ac,0x5c04ff88,0x2ffc02ff,0x2e02ffe8,0xff02fffb,
    0x005ff509,0x8807ffcc,0x5ff5002f,0x800ffe60,0x006c8ffe,0xec81fff8,
    0x5d81fff8,0x17ffddc0,0xbebcff98,0x5c06ffc9,0xfa8005ff,0x40bfee00,
    0xef884ff8,0x405ff900,0x7dc04ff8,0x13fe202f,0x64017ff4,0x07ff02ff,
    0xe8007ff3,0x00f904ff,0xf9817fd4,0x3fea003f,0xfc8003fc,0xffb3f84f,
    0x9002f889,0x3fe605ff,0x02ffc84f,0x20017fee,0x3fee00fa,0x889ff102,
    0x2ffdc05f,0xb809ff10,0x3fe602ff,0x005ffd02,0x2ea05ff7,0x003ff980,
    0x7c07ffd4,0x0bfea004,0x2001ffcc,0x8000fffe,0x87d47ffa,0x07d47ffa,
    0x302ffb80,0x3fe60bff,0x017fee03,0xfb803ea0,0x49ff102f,0xff9804f9,
    0x09ff502f,0x2e03ffb8,0x0bffa05f,0x800bfee0,0x003fffc9,0x7d43fff8,
    0x0bfea000,0x2001ffcc,0x20004ffb,0xf1b62fff,0x002ec3ff,0x3e605ff7,
    0x09ff104f,0x4002ffdc,0x3fee00fa,0x269ff102,0x3ff2004f,0xffb710bf,
    0x05ffb809,0x7f403ff1,0x2ffa802f,0xf9aeea80,0xffb8003f,0x2a002ec6,
    0x7ff302ff,0x003ff000,0x7f27fe40,0x5f14ffc8,0x817fd400,0xff104ff9,
    0x02ffdc09,0xf7007d40,0x33fe205f,0x744004fa,0x8cffffff,0x7fdc04ff,
    0x403fd83f,0xfa802ffe,0x8bfa602f,0x88003ff9,0x05f12fff,0x302ffa80,
    0xdb0007ff,0x7ff98000,0x7ffa81f5,0x7d4001f5,0x09ff302f,0xfa813fe2,
    0x07b8005f,0xf8817fdc,0x000fffdf,0x9ffffec4,0x7dc04ff8,0xeecdfebf,
    0x02ffe801,0xf302ffa8,0x03ff981d,0x32bffb00,0x2ffa8007,0x0007ff30,
    0xfd00007f,0x3fe0bb5f,0x54005daf,0x9ff302ff,0xa813fe20,0x7b8006ff,
    0x8817fdc0,0x06ffccff,0xf8835100,0x97fdc04f,0x3a000aa9,0xffa802ff,
    0x982ff982,0xf30003ff,0x0009f3ff,0x3e605ff5,0x07d4003f,0x6ffdc000,
    0xfbff902f,0x2ffa8005,0x2209ff30,0x3fe604ff,0x405d8007,0xff102ffb,
    0x0013ff69,0x404ff880,0x40002ffb,0xfa802ffe,0x80ffb82f,0x20003ff9,
    0x000feffe,0xf303ff98,0x04e8007f,0xffff1000,0x1fffe601,0x40bfea00,
    0xff104ff9,0x02fff809,0xf7013e20,0x53fe205f,0x0002ffe8,0xb809ff10,
    0x740002ff,0xffa802ff,0x982ffd82,0x2a0004ff,0x10005fff,0x3ff209ff,
    0x003ee004,0x05ffe800,0x4002fff4,0xff302ffa,0x013fe209,0x6c00bff9,
    0x17fdc00f,0x3e64ff88,0x880001ff,0x7fdc04ff,0x7ffc0002,0x82ffa802,
    0x3ee0dffa,0x000195ff,0x40005fff,0x37620fff,0x9df705ff,0x800005f9,
    0x7e402ffb,0xffa8002f,0x209ff302,0x7c404ff8,0x4fd803ff,0x102ffb80,
    0xeffb89ff,0x7fc40000,0x017fdc05,0x00fffe00,0x7fc0ffee,0xff8dfdff,
    0xf70003ef,0xffb8000d,0xff9bfddf,0x7fff45ef,0x8800004f,0x07f9807f,
    0x207ff700,0xff104ff9,0xbffd100b,0x3fb2a215,0x07ff7004,0x3f617fe6,
    0x7cc0006f,0x1ffe406f,0xbfff7000,0x209ffb00,0x363fffd9,0x220003ff,
    0xfd80003f,0x9ff32fff,0x07dff703,0x026c0000,0xfb0004e8,0x1bfee09f,
    0x8803ffd4,0xfffffffb,0x3f6001df,0x0dff705f,0x001bfff1,0xcfffea88,
    0x7fffe542,0xff91002b,0x85bfffff,0x2effffeb,0x00020110,0x800005c0,
    0x005441a8,0x00000062,0x00d40066,0x3ffffae0,0xffffd52e,0x3fff6abd,
    0x2a6004ef,0x2000aaba,0x3effffea,0x9dffffd7,0x6fffffec,0x55553001,
    0xaaaa8555,0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x777775c0,0x9500eeee,
    0x44007017,0x5c400bdb,0x75401bdc,0x2005eeee,0xeeeeeeeb,0x4c060301,
    0xeeeeeeee,0x7754005e,0x1eeeeeee,0x3bbbbba6,0xeeea80ee,0x41eeeeee,
    0xeeeeeeeb,0x3bbbaa6e,0x640000ee,0xd54eeeee,0xdddddddd,0x0015599b,
    0xd9813013,0xfffd3003,0x7fff403b,0x74402c2f,0x80effdbd,0xefd99dfb,
    0x6cc1deee,0x54005fff,0x3fa02eff,0x981bfa0f,0x009ffffd,0x3fffa600,
    0x3ffee00d,0xffe8801d,0x7fcc00df,0xff300cff,0x4c0009ff,0x980bffff,
    0xbbcdfffe,0x00dfffdc,0x7fe43ff9,0x400bffa0,0x2a00fffb,0xbffffdad,
    0x6c4e803d,0x437dc4ff,0x02eeeffb,0x8007fffb,0x3fe201fb,0x03fff32f,
    0x0017ffcc,0x01fffa80,0x20017fdc,0x9001fffa,0xff700fff,0x320001ff,
    0x7d405fff,0x3ff2207f,0x24ffe81f,0x3ffa3fff,0x0fff5002,0x3ffaa0c8,
    0x81fd806f,0x13fe65fe,0x7c013fe2,0x2e002fff,0x237ec00f,0x7fc406fd,
    0xf300001f,0x7f4401ff,0xfff98001,0x0dff7000,0x07ffff50,0x9ffff100,
    0x807ff980,0x7dc0fffc,0x983ff21f,0x3fea004d,0xbca81406,0x407fc400,
    0x817fdc28,0xfff007fd,0x3ea001ff,0x00100800,0x00003ffe,0xd103ffc4,
    0x3e20003f,0x3fea007f,0xffdf9806,0xfdfc8006,0x3ffc404f,0x084fff80,
    0x2a000010,0x000006ff,0x9000ff98,0x3ff203ff,0xfffdf801,0x007a800e,
    0x1fff0000,0x3fe20000,0x003fb107,0x003ffc40,0xf300dff5,0x8005fff5,
    0x404ffccf,0xfb007ff8,0x000000df,0x000dff50,0x01ff7000,0x640bfee0,
    0xabf801ff,0x7a805fff,0xff000000,0x2200001f,0x1fe887ff,0x3ffc4000,
    0x00dff500,0x0dff73f3,0x7fe47dc0,0x03ffc404,0x0006ffc8,0x6ffa8000,
    0x2b36e600,0x00ffc800,0x3a07ff30,0x2e7f007f,0x3d404fff,0x159b7300,
    0x003ffe00,0x23ffc400,0x80001fe8,0x2a007ff8,0x9f9806ff,0xd002fff8,
    0x1013ff2b,0x3fa00fff,0x00ed404f,0x0dff5000,0xf957bf50,0xfd55307f,
    0xe805557f,0x03ff887f,0x7ffec7f0,0x2a01ea02,0x3ffcabdf,0x000fff80,
    0x44fff100,0x100001fe,0x7d400fff,0x91f9806f,0x3f500bff,0xf1013ff2,
    0xfff300ff,0x5fff7103,0x7fd40000,0x542fcc06,0x7f75c5ff,0x406eeeff,
    0xfb31dfd8,0x3a1fc009,0x0f501fff,0xffa85f98,0x007ffc05,0x17ff8800,
    0x400003fd,0x2a007ff8,0x1f9806ff,0xe803fff1,0x1013ff26,0xff980fff,
    0xfff7704f,0x7d400005,0x03be206f,0xfd81ffe4,0xfef88007,0x7c001dee,
    0x077ffc43,0x1df103d4,0xf80fff20,0x100000ff,0x07ff3fff,0xfff88000,
    0x99999999,0x806ffb99,0x17ff61f9,0x3ff22f98,0x5fffc404,0xffdca99a,
    0x2ffc802e,0x3fea0000,0x8817fa06,0x7fd80fff,0x00174400,0xff983f80,
    0x3a07a85f,0x3ffe205f,0x001fff00,0x3bffe200,0x00002fff,0x3fffffe2,
    0xffffffff,0x1f9806ff,0x6c03ffe6,0x2027fe46,0xfffffff8,0x002fffff,
    0x00005ff7,0xf8837fd4,0x1ffec03f,0x3a003fec,0x0fe00006,0x2a27ffdc,
    0x807ff107,0xfff03ffd,0x3e200001,0x2ffff9ff,0xfff10000,0x037fd400,
    0x3ff60fcc,0x7e43f984,0x3ffc404f,0x77ff5d44,0x017fdc02,0x6ffa8003,
    0xb805ff50,0x07fd85ff,0x2ab3fea0,0x20009999,0x3fff203f,0x7fd41ea2,
    0x82ffdc02,0x00000fff,0x3fe2fff1,0x880002ff,0x3ea007ff,0x41f9806f,
    0x3e40fffa,0x22027fe4,0x7ec407ff,0x3fea05ff,0x01eff882,0x320dff50,
    0x7fd402ff,0x2007fd86,0xfffffffa,0xf802dfff,0x8fffec03,0x05ff907a,
    0xff06ffa8,0x2200001f,0x3ffa27ff,0x7c40002f,0x3fea007f,0xe81f9806,
    0x20fe23ff,0x7c404ffc,0xfffb007f,0x20bfea05,0x5005fffb,0x3ff60dff,
    0x437fcc02,0x7d4007fd,0xffffffff,0x01fc04ff,0x2a3fffa2,0x805ffb07,
    0xfff06ff9,0x3e200001,0x7fff447f,0x3fe20002,0x1bfea007,0x3ea07e60,
    0x3203ee7f,0x7fc404ff,0xbfff5007,0x260bfea0,0xa800ffff,0x7ffb05ff,
    0xd84ff880,0x9a5c007f,0xfcbaaa99,0x4c01fc07,0xb07befff,0xff8807ff,
    0x001fff04,0x0fff1008,0x005fffd1,0x801ffe20,0xf9806ffa,0x3e7ffd01,
    0x809ff904,0x3e007ff8,0x5ff507ff,0x007e2a60,0x7dc13fea,0x17fcc05f,
    0xd7003fec,0xf00fcc00,0x3ffea007,0x0bff707f,0xff02ff98,0x1058001f,
    0x3fa20fff,0xf88002ff,0x3fea007f,0x701f9806,0x201f7dff,0x7c404ffc,
    0x3ffe007f,0x805ff505,0x7ff50069,0x803ffe60,0x7fd80ffa,0x8009f300,
    0x800fe00f,0xf307fffb,0x7fd401ff,0x001fff00,0x7ff882d4,0x0bfffa20,
    0x00fff100,0x4c037fd4,0xffff101f,0x027fe40b,0x4401ffe2,0xff503fff,
    0xda83d805,0xd807fea1,0x17f203ff,0xfd803fec,0xf016e005,0x7ffd8007,
    0xc80fff60,0x3fff105f,0xf9817400,0x3fa200ff,0x3e6003ff,0xff5000ff,
    0x403f300d,0x3201fffc,0x7fcc04ff,0x1fffb007,0xa80bfea0,0x737fc40e,
    0xfff980bf,0x7ec0df01,0xcffd800f,0x101b2201,0xfe88009f,0x07ffe607,
    0xfff1037c,0x01fd3005,0x3003ffe6,0x2009ffff,0x7000fff9,0x5f300fff,
    0x2037fc40,0x7d404ffd,0x7fe4407f,0x0ffee02f,0x3e203762,0x001db4ff,
    0x6c43dff3,0x03ffa00e,0x3bfffe20,0x0cfedcce,0x00077dc0,0xff301fe2,
    0x8076c43d,0xacffffc8,0xffdcbaaa,0x7fffb105,0xfffff880,0xff9100ae,
    0xffd1007f,0x6fec403f,0x980bf200,0xb100ffff,0x33579fff,0x01dfff75,
    0x1a84ffd8,0x6f7ffdc0,0x3ffa2001,0x2600ceee,0x71004fff,0xbffffffd,
    0x7ffe4403,0x26002dff,0xeffe8807,0xfc880cee,0xffffffff,0x3fffffff,
    0x7ffffecc,0x7f5c0cef,0x5fffffff,0x3fffff66,0x7ed41cef,0x24efffff,
    0xdfffffd9,0xfd706981,0x27dfffff,0xffffffd9,0xceefffff,0x7fff5c02,
    0x550002ef,0x01530000,0xfffffda8,0x531002ce,0x00000013,0x15300060,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x42eeeeee,0x00eeeeeb,0x2079d951,0xeeeeeeea,0x000accce,
    0x40e02f2a,0xeeeeeeea,0x00abccce,0x77744000,0xeeeeeeee,0x2eeeeeee,
    0x77777754,0xea801eee,0xeeeeeeee,0x2eeeeeee,0x77777744,0xeeeeeeee,
    0x3bbae2ee,0x206eeeee,0xeeeeeeeb,0xdddddd31,0xe881dddd,0x05eeeeee,
    0x3fee200c,0x9ff100df,0x2eb7ea01,0xfd301ffe,0xfffbbdff,0xfffd007f,
    0x74c0587f,0xedcdefff,0x00002eff,0xfffffd98,0xcccccccd,0xffd303ff,
    0xd30001df,0x99999fff,0x887ffdb9,0xccccefff,0x6fffcccc,0xeffffe98,
    0xfffd8800,0xfffdb882,0x3e200aff,0x1d401dff,0x404ffd80,0x10bf206f,
    0x3ea01fff,0xdffe987f,0xffb5b500,0x5007b7ff,0x3fee0fff,0x9800004f,
    0x401fffbf,0x3fe604e8,0x3ea0001f,0x43fb807f,0xff9004f9,0x7ffec03f,
    0x03bee003,0x01ffff20,0x3e801ff4,0x40dff100,0x0bf501f9,0x7cc0fff6,
    0xdfff307f,0xffea8320,0xfff3006f,0x017ffd40,0x7fdb2000,0x204a801f,
    0x0000fff9,0x6c01ffe6,0xf9802d44,0x7fc403ff,0x07f6006f,0x03fffc80,
    0xfb801fd4,0x0bff6003,0x03fd036c,0x7c40bfea,0x3ffee07f,0x17950280,
    0x01ffe200,0x0000bffd,0x1fff9fc4,0x3e605880,0x7cc0007f,0xa893007f,
    0x5ffe8803,0x05fff500,0xd0007f30,0x3e201fff,0x07ff5004,0x442ffcc0,
    0x01ff502f,0xfff10044,0x01fffcc0,0x3fe20000,0x07ffe407,0x3e6b8000,
    0x401001ff,0xabccfff9,0xfff3000a,0x006e0400,0x8003fff6,0x6c00fffd,
    0xfff10006,0x5c01ba0b,0x02aadfff,0x35c0ffe8,0x8000ff70,0x7fc07ff8,
    0x4000005f,0x7dc07ff8,0x880001ff,0x007ffe2f,0x3bffe600,0x03efffee,
    0x0003ffcc,0x0bffea00,0x0bfff100,0x50000fd4,0x0fc85fff,0xeffeeb80,
    0x7dc00eee,0xfb01f44f,0xff88000f,0x42fffc07,0x2f6a22c9,0x0fff1001,
    0x000fffd8,0x7ffc6c80,0x7cc02401,0x7ffdc47f,0x01ffe605,0x7fc40005,
    0xff50005f,0x009f105f,0x21fffb00,0x7cc001fb,0x7ff8003f,0xffd803ea,
    0x3fe20000,0x4fffe607,0xf53ffeb8,0x1003ffff,0x7fc40fff,0xf880005f,
    0x500fffc2,0x0fff300b,0x4c17ffea,0x016607ff,0x00effd80,0x03bff600,
    0x220000d9,0x03f9cfff,0x003ff980,0x09b2ffc8,0x0001ffc8,0xfc81ffe2,
    0xffd750ff,0xffb57d57,0x7ff8801f,0x003fff60,0x3fe1b200,0x2017601f,
    0x3f207ff9,0x7ff980ff,0x5c001760,0x40001fff,0x3e64fff8,0x3ea00002,
    0x30005fff,0xf10007ff,0xb801f3df,0x105804ff,0x3fea0fff,0x4effa83f,
    0x4402ffc8,0xffea87ff,0xf880000e,0xaabfff82,0x805ffdba,0x3ea07ff9,
    0xfff983ff,0x5ffccccc,0x4fff9800,0xfff50000,0x000017a3,0x0007fff6,
    0x2a01ffcc,0xffeaaaaa,0x2aaaaaee,0xa803ffea,0x57fff104,0x05fffb53,
    0x7d413fe6,0x7ffc403f,0x2dfffedc,0x41b60000,0xeeeeefff,0xf9805ffe,
    0x3ffe207f,0xeefff985,0x005ffeee,0x0006ffe8,0x7e77fec0,0xf8800000,
    0xf30005ff,0xeeed807f,0xeefffeee,0x3a0eeeee,0x1f880eff,0xd97fff10,
    0x4c0159bd,0x9ff303ff,0xaafff880,0x0000fffc,0x7fc07e60,0x00bb101f,
    0x7cc0fff3,0x7ff984ff,0xc800bb10,0x00001fff,0x017fffc4,0xfffa8000,
    0xff98002f,0x1ffa0003,0xbefffa80,0x2205fda9,0x260007ff,0x9ff103ff,
    0x6c7ff880,0x200006ff,0xfffffffd,0x16601fff,0xc81ffe60,0xff982fff,
    0x98016207,0x00003fff,0x000dff70,0x3f73e200,0x7cc000ff,0x3fa0003f,
    0x7ffe4007,0x200effff,0x20007ff8,0xff103ff9,0x47ff8809,0x0003fff8,
    0x9999af98,0x401fff99,0x07ff9805,0x260dffd1,0x802c07ff,0x0005ffe8,
    0x01bfea00,0xf8af4000,0x7cc005ff,0x4cccc03f,0x99ffe999,0xf5019999,
    0x1009ffff,0x4c000fff,0x9ff103ff,0x987ff880,0x40001fff,0x0fffc04e,
    0x3ffcc000,0x80ffff4c,0x00007ff9,0x0001fff9,0x037fd400,0x5076c000,
    0x4c005fff,0x7ffc03ff,0xffffffff,0x00ffffff,0x44002fa6,0x260007ff,
    0x9ff103ff,0x907ff880,0x20001dff,0x7ffc00fa,0xff980001,0xfffdca9f,
    0x1ffe601e,0x3ffea000,0x54000002,0x400006ff,0xfffd81fb,0x07ff3000,
    0x99999998,0x99999ffe,0x06fcc019,0x007ff880,0x440ffe60,0x7fc404ff,
    0x017ffa07,0x7fc02740,0x20a6001f,0xeefffff9,0xff9801bd,0x7fc40007,
    0x002c005f,0x00037fd4,0x3e207f30,0xff1005ff,0x3ff40009,0x0bff9000,
    0x001ffe20,0xf103ff98,0x7ff8809f,0x00fffe20,0xff001f70,0x4074003f,
    0x40007ff9,0x40007ff9,0x2000fffd,0xffa80059,0xbf100006,0x03fffb80,
    0x00dcdff0,0x8000ffd0,0xff3007fa,0x7fcc000f,0x809ff103,0x2a00fff8,
    0xf1001fff,0x07ffe009,0xff983640,0x3e60000f,0x3ee0007f,0x26c002ff,
    0x037fd400,0x80374400,0xe801fffd,0x4003efff,0x20000ffe,0xff3004fb,
    0x3ea0001f,0x0bff104f,0x400fff98,0xd801fffd,0xfff8801f,0x303fb801,
    0x40001fff,0x8000fff9,0x2004fff8,0xb8002fb8,0x440007ff,0xff3001fe,
    0xfe8801df,0x7fcc004f,0xfb98002f,0xffd8800e,0xff90004f,0x81ffea0d,
    0x404fffd8,0x00bfffe8,0xf7005ff7,0x33335bff,0x103ffd75,0x0009fffb,
    0x00ffff62,0x2affffa0,0xbaaaaaaa,0x4001fffd,0x002fffd8,0x005fff50,
    0x07bfffe6,0xfd700020,0x007dffff,0x6cc00dd4,0xcfffffff,0xfffea800,
    0xfffb54ef,0x7feccbdf,0x01cfffff,0x1dfffff3,0x3bffffa6,0x7fffe443,
    0xffffffff,0x7ecc6fff,0x0cffffff,0xffffd980,0xb800ceff,0xffffffff,
    0xffffffff,0x3f6a007f,0x04efffff,0xffffff70,0x3ff6601d,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeeeea80,0xbccceeee,0xddd3000a,0xdddddddd,
    0x81dddddd,0xeeeeeeea,0x0abcccee,0xddddd900,0xdddddddd,0x544bdddd,
    0xaaaaaaaa,0x2aaaaaaa,0x20008000,0x54000028,0xddc98000,0x2e2000ac,
    0x51002cec,0x4c0079d9,0x9800acdb,0x220acecb,0x2602ceca,0xcceffffe,
    0x03efffed,0x99fffb30,0xfd999999,0x3ffa603f,0xffdcdeff,0x7ec03eff,
    0xffeeeeef,0xfffeeeef,0x70000666,0x1bcdb880,0x3cc007e2,0x007e0000,
    0xfd75bf90,0x7bf7005f,0x5401dffb,0x1ffebadf,0x32af7ea0,0x33f203ff,
    0xf99ffea9,0x00dffebe,0x2201fff5,0x801efffb,0xa800fff8,0x1ffea02f,
    0x2efffb88,0xff103fb0,0x4cff301f,0x981c0001,0xcffdbbde,0x1e6003e8,
    0x003f0000,0x7fec37e4,0xf507b600,0x85f901df,0xf980fff8,0xd85ffa85,
    0x7fffc46f,0x982ffcc2,0x74400fff,0x7c402fff,0x05b000ff,0x4403ffcc,
    0x2e82fffe,0x201fff10,0x00006679,0xf509f107,0x798009ff,0x00fc0000,
    0xff509ff0,0x640fea05,0x82fd44ff,0x77c43ffd,0x447ff900,0x6ffe84ff,
    0xf103ffb0,0x3f6001ff,0x7ffc00ff,0x44055000,0x3f6007ff,0xf10341ff,
    0x333401ff,0x74438000,0x09ff900f,0x00007980,0x7ff000fc,0x3a07ff30,
    0x8fff500f,0x5ff501fe,0x3e205fe8,0x07ff10ff,0x3ee09ff9,0x0fff884f,
    0x0dfff100,0x2000fff8,0x01ffe200,0x146fff98,0x401fff10,0x70000662,
    0x3f604fd8,0x1e6000ff,0x003f0000,0x7fcc05d4,0xcccef983,0x0fffdccc,
    0x04401ff5,0xfb00ffe2,0xfc81cc7f,0xdcccccdf,0xfff885ff,0x3fff2000,
    0x003ffe02,0x03ffc400,0x00bfff20,0x8007ffc4,0x21c00019,0xfbd903ff,
    0x03cc009f,0x0007e000,0x07fff930,0x55555df7,0x2e155555,0xffa8007f,
    0x02ffdc02,0x2b3fff22,0x2aaaaaaa,0x000fff88,0xff02fffc,0x8019801f,
    0x44007ff8,0xf1005fff,0x066001ff,0x7fcc7000,0xffb8eb82,0x001e6005,
    0x20003f00,0x3ff9aeea,0xd8005fc8,0xffc8007f,0x837fd402,0x1ffccfd9,
    0x1fff1000,0x0fffe800,0xb801fff0,0x07ff8802,0x00fffe80,0x000fff88,
    0x23800033,0x87d42ffb,0x26006ffa,0x0fc00007,0x98bfa600,0x07fd83ff,
    0x000ffd80,0x26017fec,0x67ec46ff,0x0005ff70,0x0003ffe2,0x3e03fff9,
    0x0ba200ff,0x001ffe20,0x2007fff6,0x3000fff8,0x36380003,0x987e64ff,
    0x3fff27ff,0xffffffff,0x53ffffff,0xffffffff,0xffffffff,0x2077cc9f,
    0xffc83ff9,0x0ffe4000,0x00fff600,0x7f4c9ff1,0x001ffdc1,0x9fff9993,
    0x20599999,0xff02fffb,0x9955557f,0xff1005ff,0xfff7000f,0x1fff1005,
    0x00006600,0xf9affe47,0x312ffc41,0xf5333333,0x33333333,0x26666621,
    0x999bf999,0xff309999,0x707ff305,0x217009ff,0x25804ffb,0x7cc05ffb,
    0x509ff12f,0x265009ff,0xccfffccc,0xf502cccc,0x3ffe05ff,0xffeeeeee,
    0x7ff8802f,0x2fffa800,0x00fff880,0x38000330,0x0be3bfea,0x9800ffe6,
    0x0fc00007,0x980ffb80,0xfff983ff,0xffa96600,0xf992a00f,0x3fea00ff,
    0xf101ff70,0x883b80ff,0x5c000fff,0xfff01fff,0x4017cc01,0xb8007ff8,
    0xf8802fff,0x033000ff,0x3fe23800,0x3ff303ef,0x0003cc00,0x7ec007e0,
    0x04ff982f,0x3a03fffd,0x4077ff41,0x1ffec1f8,0x7fecbf90,0x209ffd02,
    0xfff880f9,0x7ffe4000,0x801fff00,0x7ff8802c,0x0fffc800,0x00fff880,
    0x38000330,0xf702ffe4,0x0079800b,0xa800fc00,0x3fee0dff,0x7fcc195f,
    0x5fcabcff,0x9befffa8,0xff985fda,0xfb8df01f,0xffffc85f,0x04fda89d,
    0x8001fff1,0x3fe07ffd,0x4015400f,0xd8007ff8,0xff1007ff,0x0066001f,
    0xfff88700,0x8001dd01,0x7c000079,0x3fffe001,0xefff8dfd,0xfffffb83,
    0xff901fff,0x01dfffff,0xd887bfe6,0x77ffc40e,0xfff95ebb,0x440bffff,
    0x7c000fff,0x3ffe05ff,0xf8800800,0xfff8007f,0x1fff1006,0x00006600,
    0x1effec87,0x20003f62,0x7c000079,0x3ff66001,0x80fff63f,0x0effffe9,
    0x7ffffd40,0xeffe8804,0xfd500cee,0xffc85dff,0x2200cfff,0x2a000fff,
    0x3fe02fff,0xf100000f,0xffa800ff,0xfff1002f,0x00066001,0xfd8b5c70,
    0x001ceeef,0x80000f30,0x0088001f,0x05544001,0x002aa600,0x98002a60,
    0x0554401a,0x007ffc40,0xf80bffd0,0x81c000ff,0x74007ff8,0x3e2005ff,
    0x033000ff,0x81d13800,0xeb800a98,0xfeeeeeee,0xeeeeeeee,0x0007e002,
    0x00000000,0x00000000,0x3e200000,0xff9000ff,0x0fff801f,0x7c416600,
    0x3fee007f,0x3fe2000f,0x0033000f,0x40000380,0xccccccca,0xcccccccc,
    0x032001cc,0x00000000,0x00000000,0x20000000,0xb800fff8,0x7c402fff,
    0x5d1001ff,0x401ffe20,0x4003fffb,0x3000fff8,0x00380003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ffe600,0x01effd88,0x801fff88,
    0xff300fd8,0xeffd880f,0xfff98000,0x00033001,0x00000038,0x00000000,
    0x00000000,0x00000000,0xb1000000,0x53579fff,0x007fffb9,0x4d6fffdc,
    0xffba9999,0x9fffb105,0xffb75357,0x3220007f,0xb3004fff,0x99999999,
    0xb9999999,0x00000000,0x00000000,0x00000000,0x00000000,0xffd98000,
    0xefffffff,0x88009acd,0xffffffec,0xffffffff,0x7ffecc2f,0xdeffffff,
    0x980009ac,0xfffffffc,0x0000000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00000665,
    0x21c406e0,0x8000c3c9,0x2aaaaa61,0x0aaaaa1a,0x36e23c98,0xadca881c,
    0x2a3c9800,0x5555443d,0xaaaaaaaa,0x6e5c0221,0x555449ac,0x5554c0aa,
    0xaaaa981a,0x555441aa,0x5555552a,0x2aaaaa23,0x5555442a,0x00e20370,
    0x9fb30000,0x0000bbea,0x87d03540,0x85f33ffd,0x260bcdca,0xffff732f,
    0x1f7fdc3b,0xfaa7ff54,0x3a65ffff,0x7106ffff,0x3ff69ffd,0x3bffe62f,
    0xfffeeeee,0x7443ff33,0x47ffc9be,0x4c2fffba,0xc983fffc,0xa80bffff,
    0xffd52efd,0x7ff543bf,0x7fdc43df,0x3601d50d,0xea800003,0x7fecc2df,
    0xf300000b,0x3fa1f605,0x3eebee3f,0xabffecdf,0x4fff884f,0x5d4077c4,
    0x9beacffe,0xcf99fffc,0xb84fffba,0xecccffeb,0x807e63ff,0x3fee5ffc,
    0x1fa03f64,0xfb817fdc,0x17ff203f,0xffd01f70,0x01fff103,0x982f42f4,
    0xb880002f,0x64401cff,0x20001cff,0x07f706e8,0xffb819b3,0x04ffa883,
    0xec83ffe6,0x277fd400,0x20777fd4,0x3ea07ff8,0xb30ea4ef,0x7077fd40,
    0x417e29ff,0x05ff5079,0xf880ffe6,0xa81f407f,0x3ff903ff,0x3e607e20,
    0x0003fb04,0x002fff26,0x05bfd710,0xf505fd00,0x03f7000d,0x7e404fa8,
    0x1003f35f,0x3fe20bff,0x981ffa07,0x039806ff,0xfa83fff1,0x201ff33f,
    0x205ff506,0x7e403ff9,0x401f302f,0x9ff306ff,0x3fe81ae0,0x2000ef98,
    0x0002efda,0x007dfb50,0x3fe61bf2,0x01fc4003,0x7f401fa8,0xf1003fbf,
    0x03ff409f,0x3e601ff9,0x7f40004f,0x11ff983f,0x20303dff,0xff302ffa,
    0x05ff9807,0x1ffc8099,0xe80fff88,0x20bfe603,0x75c405fd,0x000001df,
    0x2019ff93,0x7f442ffb,0x007b8006,0x3fe6027c,0x3fe2005f,0xc81ffa04,
    0x9ff301ff,0x2ffe4000,0x3f60ff88,0xfa800cff,0x07ff302f,0x3f01ffb0,
    0xb84ff980,0x07cc3fff,0xf307ff60,0x9ff9109f,0x20000001,0x2a1dffb8,
    0x2ffe86ff,0x4005c800,0x5ffb805c,0x813fe200,0x3ff207fe,0x009ff301,
    0x803bfea0,0x7fff447e,0x3fea00cf,0x007ff302,0x06a89ff5,0xf5f0ffd0,
    0x9804c8df,0x7fec0eff,0x0017fe62,0xff700000,0xf313ff29,0x9b0001ff,
    0x9807a800,0xf1002fff,0x03ff409f,0x3e603ff9,0xff88004f,0x442ec01f,
    0x01effffc,0x3e605ff5,0x8ffd003f,0x5ff7003e,0x21ffcb54,0x5fff001f,
    0x7546ffa8,0x000002ef,0x067fe440,0xffa81ffd,0x004d8004,0x33a2035c,
    0xf8800fff,0x81ffa04f,0xff301ffc,0x7ffd0009,0x6c409700,0xfa81ffff,
    0x07ff302f,0x7ccbfee0,0x4bff1000,0x2a9ff32e,0x09ff7006,0x32601ffd,
    0x00000bff,0x40bbf660,0xffc84ff8,0x0035c000,0x2ebb0136,0xff8805ff,
    0xc81ffa04,0x9ff301ff,0x05ffc800,0xe9808330,0x2ffa85ff,0x2007ff30,
    0x00996ff8,0x46a8ffd8,0x2007b7fe,0x1ffa85ff,0x1cffc880,0x3faa0000,
    0x0ff9801d,0x4c005fd8,0x03f3002f,0x7ffb075c,0x204ff880,0x3ff207fe,
    0x009ff301,0x88077fd4,0x7c40e602,0x03ff987f,0x6c007ff3,0x4001faff,
    0x5c3ebffa,0xb800fbff,0x02fe80ef,0x02dfea80,0x19ff9100,0x884fb800,
    0x320101fe,0x205e800f,0x7ffc41f9,0x813fe201,0x3ff207fe,0x009ff301,
    0xa807ffe2,0x640d3042,0x04ff887f,0x4c009ff9,0xf0006fff,0xfff10fff,
    0x01ff100b,0x980009f7,0x9800befd,0x0000befd,0x17e203f2,0xdf507fee,
    0x40ffa603,0xdff703f8,0xd02ffcc0,0x17fe40ff,0xd005ff98,0x12c807ff,
    0x40fe69fd,0x1fff05fb,0x02ffeec4,0x000bffa0,0xfc827fe4,0x01fb802f,
    0x440000bf,0xea80cffc,0x200002df,0xf83f304d,0x373ea4ff,0xdfdbabdf,
    0x0ff442fc,0x705fff88,0x3fe20dff,0x07ffd01f,0x9003ffee,0x33333dff,
    0x3ee3f953,0x417ff37f,0xff700fe8,0xff37fbbf,0x3ea00bdf,0x3fe20007,
    0x100ff300,0x003ae07f,0x3fae2000,0x0039ff33,0x201d1000,0x997fec5b,
    0x3bfb264f,0x7ccbee2d,0x7f542fff,0xfb33ffff,0xb31bdfff,0x23bfffff,
    0x2effffec,0xbfffffd5,0xfffff301,0xffffffff,0x7cd7fe63,0x0ceddffe,
    0x97fffec0,0x4001cff9,0x2740004f,0x132013a0,0x00000744,0x00b99d40,
    0x00440000,0x00283503,0x00000150,0x00000000,0x22000000,0x01a98842,
    0x2a20d440,0x00130000,0x04c00980,0x00110040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7b51164c,
    0x04000803,0x22000000,0x0002001d,0x10020004,0x20008800,0x02004000,
    0x75408808,0xeeeeeeee,0xeeeeeeee,0x7774c184,0xeeeeeeee,0x44eeeeee,
    0x26609998,0x000cc019,0x7ff5c40c,0x3fffff53,0xf9801f40,0x005d7001,
    0x54037e40,0x9000cffd,0x07f2600b,0x8073ff6a,0x502efffc,0x201bd759,
    0x40cfedd9,0x3fe60ffa,0xc993ff21,0xcccccccc,0xeccccccc,0x33262545,
    0xcccccccc,0x2ccccccc,0x3ea2ffdc,0xfffd507f,0x50770039,0x7d57ffd7,
    0x201fffb5,0x27cc03fa,0x000bff00,0x36a037e4,0x8805feaa,0x7dd402ff,
    0x75df541f,0x9dfe887f,0x1fc43feb,0x47f30bf9,0x3ff20efb,0xff93fee3,
    0x200001ff,0x0077e25c,0x1bf60000,0x3ea0ffdc,0xbeffca9c,0x7d403d00,
    0x2ffc84ef,0x7cc0fea0,0x00edc004,0x9f50cd88,0xf8870ee4,0x06cdd807,
    0x40e83fb0,0x407ec3fe,0xb83ee1fb,0x740fe86f,0xc8fff64f,0x3fffa4ff,
    0x97200004,0x00007ffa,0x9007fc40,0xb502e87f,0xbd737bff,0x504ff980,
    0x3fa807ff,0x000027cc,0x4477fd40,0x409ffb2f,0x47d404f8,0x1fd803f8,
    0x893ee062,0x089f104f,0xdf31ff66,0x7fdcff50,0xa88ffee2,0x200005c9,
    0x00ffcc5c,0x03f50000,0x40344db0,0x0befffc9,0x981ffcc0,0x3fa804ff,
    0x000009f3,0x7cf7fec0,0x200effd9,0x2e4e805c,0x00fec00f,0x03f30fe4,
    0x55ed4364,0x4c3fd47f,0x41ff50ff,0x05d02ff9,0x262e4000,0x2aaaa26f,
    0xaaaaaaaa,0x321aaaaa,0x041d1002,0x98006200,0x9ff103ff,0x13f3ea00,
    0x22000000,0x0bdeffda,0x80bffae0,0x6c05e86c,0x4c5f801f,0xd91b601f,
    0xff51fe61,0x3e61ff10,0x4c0ffc47,0xae400007,0x3ea1eeb8,0xffffffff,
    0xffffffff,0x01100065,0x7cc00000,0x09ff103f,0x32037e40,0xffffffff,
    0xffffffff,0xefdb883f,0x7ed4c00b,0x982f981f,0x007f601f,0x20bf01d7,
    0x98bf24f8,0x217fcc7f,0x742fc6f9,0x0003e887,0x0006ea00,0x00000000,
    0x7cc00000,0x09ff103f,0x80ff7e60,0x99999998,0x99999999,0x3ffae099,
    0x04effaea,0x05d84fc8,0x01fd81b2,0x0fe403ea,0x3ff83f22,0x17f61fea,
    0xd84e83f7,0x000175c6,0x00000000,0x00000000,0x0ffe6000,0x4c027fc4,
    0x0007f54f,0x3ffea000,0xffe89f89,0x2a27cc03,0x40fe201f,0x01d501fd,
    0xffcbefd8,0x5eeffec2,0x3fa22eff,0x3c83ea9d,0x000a24c8,0x00000000,
    0x00000000,0x7fcc0000,0x809ff103,0x01fd44f9,0x7fcc0000,0x3fa27f51,
    0xd117d402,0xb01f7009,0xa81b703f,0x1dffeb81,0x3723dc88,0x019bb701,
    0x000a602a,0x00000000,0x00000000,0x7cc00000,0x09ff103f,0x3fa827cc,
    0x0005cc00,0x2045fc81,0xc89d30bc,0xb09d000f,0xeeefc85f,0x00000fee,
    0x00000000,0x00000000,0x00000000,0x40000000,0xff103ff9,0x5017e609,
    0x2ff4007f,0x40dfb000,0x42dfffd8,0x3a6002d8,0x27bdd910,0xeeeeeeeb,
    0x00000004,0x00000000,0x00000000,0x00000000,0xffa80000,0x20bff104,
    0x03f5005f,0x80013f60,0x001003fa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6ffc8000,0x060fff50,0x01800300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffd5000,
    0x3ff6a9df,0x00005eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20260000,0x7fe40809,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x43ff60ff,0x3ff23fe8,0x267fffff,0xffffffff,0xffffffff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x5cbffe3f,0x2eeea7ff,0x2a23bbbb,0xaaaaaaaa,0xaaaaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77dc0000,0x7cc3bf20,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00800000,0x00005101,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_38_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,1,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_38_latin1_y[224]={ 30,6,6,6,5,6,6,6,6,6,6,9,26,21,
26,6,6,6,6,6,6,7,6,7,6,6,14,14,10,15,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,35,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,9,14,14,14,14,14,14,6,6,6,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,13,7,6,10,7,
6,6,7,6,6,14,15,21,6,4,6,9,6,6,6,14,7,16,29,6,6,14,6,6,6,13,-1,-1,-1,1,
1,1,7,6,-1,-1,-1,1,-1,-1,-1,1,7,1,-1,-1,-1,1,1,11,6,-1,-1,-1,1,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,13,6,6,6,7,6,6,7,
 };
static unsigned short stb__times_38_latin1_w[224]={ 0,5,10,17,15,27,25,4,10,11,13,19,6,10,
5,10,15,9,16,14,16,14,15,15,14,15,5,6,19,19,19,13,30,25,22,21,24,21,18,24,25,11,14,26,
21,30,26,23,18,23,24,16,20,25,25,33,25,25,21,9,10,8,16,19,7,15,17,14,17,14,14,16,17,8,
10,18,8,27,18,15,17,17,12,12,10,18,17,25,17,17,15,11,3,11,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,14,16,17,18,
3,13,11,24,11,16,19,10,24,19,11,19,10,9,7,17,17,5,6,6,11,16,24,24,26,13,25,25,25,25,
25,25,31,21,21,21,21,21,11,11,11,11,24,26,23,23,23,23,23,15,23,25,25,25,25,25,18,17,15,15,
15,15,15,15,21,14,14,14,14,14,8,8,10,10,15,18,15,15,15,15,15,19,17,18,18,18,18,17,17,17,
 };
static unsigned short stb__times_38_latin1_h[224]={ 0,25,11,25,28,25,25,11,32,32,15,19,10,3,
5,25,25,24,24,25,24,24,25,24,25,25,17,22,17,8,17,25,32,24,23,25,23,23,23,25,23,23,24,23,
23,23,24,25,23,31,23,25,23,24,24,24,23,23,23,31,25,31,13,3,7,17,25,17,25,17,24,24,24,24,
32,24,24,16,16,17,24,24,16,17,22,17,17,17,16,24,16,32,32,32,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,25,17,23,
32,31,5,25,11,17,8,3,25,2,12,19,13,14,7,24,31,5,8,13,11,17,25,25,25,25,31,31,31,29,
29,29,23,31,31,31,31,29,31,31,31,29,23,30,32,32,32,30,30,15,25,32,32,32,30,31,23,25,25,25,
25,24,24,25,17,23,25,25,25,24,24,24,24,23,25,23,25,25,25,24,24,15,19,25,25,25,24,32,32,31,
 };
static unsigned short stb__times_38_latin1_s[224]={ 253,164,151,210,75,126,26,250,1,1,56,
151,162,38,250,85,96,190,101,185,164,134,225,85,241,112,151,247,94,196,114,
128,184,200,213,52,48,26,149,200,156,242,1,129,107,182,64,43,35,42,73,
170,73,152,28,91,216,190,168,32,74,66,80,49,224,171,67,202,167,187,32,
47,134,125,17,187,178,193,1,217,224,206,221,1,242,14,33,51,175,73,234,
215,28,48,232,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,253,246,101,
26,157,1,13,1,20,142,127,134,169,38,1,91,115,131,104,70,216,226,15,
32,189,97,139,77,1,228,201,187,101,75,63,1,217,27,98,127,149,171,193,
53,215,89,33,243,1,116,60,84,108,193,143,20,170,132,158,227,167,227,130,
228,154,110,78,12,118,194,233,20,17,32,47,149,181,244,1,236,62,54,1,
94,148,16,91,36,113,91,110,129,54,30,12,45, };
static unsigned short stb__times_38_latin1_t[224]={ 1,99,323,99,99,129,155,304,1,34,323,
281,323,339,316,155,155,181,181,155,181,181,155,181,155,155,304,232,304,323,304,
155,1,181,232,155,281,281,257,155,232,207,232,232,232,232,232,181,257,34,257,
129,281,207,207,207,257,257,257,34,155,34,323,339,323,281,181,281,155,281,232,
232,207,207,34,207,207,304,323,281,207,207,304,305,257,305,305,305,304,207,304,
1,34,1,323,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,1,99,67,
181,304,257,34,67,339,155,323,304,323,339,181,125,323,281,323,323,323,181,67,
339,323,323,323,305,155,129,129,129,34,34,67,99,67,99,257,34,34,34,34,
99,34,67,67,67,281,67,1,1,1,67,67,323,99,1,1,1,67,34,257,
99,129,129,129,207,181,99,281,257,129,129,129,181,181,181,207,232,129,257,129,
129,99,232,232,323,281,99,99,99,207,1,1,67, };
static unsigned short stb__times_38_latin1_a[224]={ 137,183,224,275,275,457,427,99,
183,183,275,310,137,183,137,153,275,275,275,275,275,275,275,275,
275,275,153,153,310,310,310,244,506,396,366,366,396,335,305,396,
396,183,214,396,335,488,396,396,305,396,366,305,335,396,396,518,
396,396,335,183,153,183,258,275,183,244,275,244,275,244,183,275,
275,153,153,275,153,427,275,275,275,275,183,214,153,275,275,396,
275,275,244,264,110,264,297,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,137,183,275,275,275,275,110,275,
183,417,151,275,310,183,417,275,220,301,165,165,183,316,249,137,
183,165,170,275,412,412,412,244,396,396,396,396,396,396,488,366,
335,335,335,335,183,183,183,183,396,396,396,396,396,396,396,310,
396,396,396,396,396,396,305,275,244,244,244,244,244,244,366,244,
244,244,244,244,153,153,153,153,275,275,275,275,275,275,275,301,
275,275,275,275,275,275,275,275, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_38_latin1_BITMAP_HEIGHT or STB_FONT_times_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_38_latin1(stb_fontchar font[STB_FONT_times_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_38_latin1_BITMAP_HEIGHT][STB_FONT_times_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_38_latin1_s[i] + stb__times_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_38_latin1_t[i] + stb__times_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_38_latin1_x[i];
            font[i].y0 = stb__times_38_latin1_y[i];
            font[i].x1 = stb__times_38_latin1_x[i] + stb__times_38_latin1_w[i];
            font[i].y1 = stb__times_38_latin1_y[i] + stb__times_38_latin1_h[i];
            font[i].advance_int = (stb__times_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_38_latin1_s[i] + stb__times_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_38_latin1_t[i] + stb__times_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_38_latin1_x[i] + stb__times_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_38_latin1_y[i] + stb__times_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_38_latin1_LINE_SPACING
#endif

