// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_39_latin1_BITMAP_HEIGHT        354
#define STB_FONT_times_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_39_latin1_FIRST_CHAR            32
#define STB_FONT_times_39_latin1_NUM_CHARS            224

#define STB_FONT_times_39_latin1_LINE_SPACING          25

static unsigned int stb__times_39_latin1_pixels[]={
    0x01500001,0x40015100,0x20020008,0x98800019,0x180019aa,0x4002a200,
    0x0001fffa,0x003ddd30,0x55554400,0x2002aaaa,0x00005ffe,0x00fffb80,
    0xdddddd90,0x3bbbba2b,0x1d8822ee,0x1ff5c400,0x4007cc00,0x97000cea,
    0x003ffa80,0xbbcefea8,0x5001cedc,0x0f9801bd,0x005ffb00,0x37fff400,
    0x3ff6e000,0xceeccdff,0x1ffa2004,0x3fa00000,0x332a001f,0xff16fecc,
    0x2a39999b,0x007b12ff,0x00ffffb2,0xb9003e60,0x013a6003,0x44017fee,
    0xd9801dfb,0x03d7000e,0xff8007cc,0x3ee00003,0x8002ffbd,0xffffffd8,
    0x4c0016e1,0x000002ff,0x0000bfe2,0x1ffc5bf6,0xed8bffd0,0x07ff9000,
    0x6401f300,0x07f3001f,0x2007ba20,0x98000df9,0x01fb002e,0x3e6003e6,
    0x3e200004,0x1001be64,0xfffffffd,0x50002dc3,0x4000009f,0xb00003fa,
    0x80ffe2df,0x06e83ffc,0x0007ff70,0x1be601f3,0x0001fc40,0x0003fb80,
    0x7d401744,0x9001f305,0x4c80000b,0x32003e88,0xffffffff,0x700016e1,
    0x6c00000f,0x3f600005,0xa807ff16,0x5009f502,0xf30007ff,0x4013f201,
    0x800000fe,0x100002fc,0x0ff8801d,0x0d800f98,0x00e20000,0x7fff4009,
    0x2e1fffff,0x01c80005,0x000b0000,0xff16fd80,0x2fd80007,0x001ffd40,
    0x5fe807cc,0x0004fc80,0x0002fb80,0x3e602d40,0x000f982f,0x00000000,
    0x7ffffc40,0x16e1ffff,0x00000000,0xfb000000,0x000ffe2d,0xfa80df50,
    0x0f98003f,0xf980dff0,0x4c00001f,0xd000004f,0x41ffd401,0x800000f9,
    0xaaaaaaaa,0x555100aa,0x7c455555,0xffffffff,0x260016e1,0x00abdeca,
    0xbd953000,0x6c000157,0x007ff16f,0x202ff880,0x40083ffa,0x0ffd00f9,
    0x20006fc8,0x000fe808,0x0a621573,0x2ffc80ee,0xddd90f98,0xdd705ddd,
    0x3faea3dd,0x00adffff,0xbffff951,0xfffffe85,0x016e1fff,0xcaceffa8,
    0x0000dffd,0xb959dff5,0xb0001bff,0x00ffe2df,0xa81bfa00,0xffd913ff,
    0x201f301b,0xff100ffd,0x9fb30007,0xd8802fb8,0x7fc8eacf,0x3ff60688,
    0x3ee0f980,0x3e600eff,0x3fffd01f,0x01ff8800,0xfffffff9,0x4402dc3f,
    0xfb101efd,0x7ec4003d,0x3dfb101e,0xf16fd800,0xf900007f,0x4ffea01f,
    0x1ffffffd,0xffb807cc,0x005ff701,0x227fff54,0x0df9806e,0x3c13ff62,
    0x3e60ffd0,0x202ffe40,0x3fee02f9,0x40bf0007,0xfffffffa,0xf3016e1f,
    0xff7001bf,0x1bff3007,0x007ff700,0x3ff8b7ec,0x2ffb8000,0x7b97ff50,
    0x98dfff95,0x40ff500f,0x22001ffe,0x3e64ffd8,0xd837d404,0x201d02ff,
    0x81f306fb,0x3200fff8,0x037fdc07,0x7d405e80,0x21ffffff,0x07ff405b,
    0x805ffd00,0x3a000ffe,0xdfb002ff,0x0000ffe2,0x7d40ffea,0xfffa83ef,
    0x7cc03e63,0x003ffe04,0xfc93fea0,0x403fe601,0x403a07fe,0x01f305f8,
    0x27c07ff7,0x001bfea0,0x7fcc02f4,0x16e1ffff,0x4004ffc8,0x3f206ffa,
    0x7fd4004f,0x22dfb006,0xa80003ff,0x9ff505ff,0x513ffec0,0x4407f201,
    0xf30007ff,0x3a03749f,0x417fe03f,0x03f600f8,0x3fe203e6,0xa801f507,
    0xbd0006ff,0x7e5d4c00,0x7fcc16e1,0xffe8000f,0x00fff984,0x804ffe80,
    0x07ff16fd,0x7fcc0088,0x407ff506,0x8800fff9,0x1ffe603f,0xf27fcc00,
    0x303fe409,0x01ea07ff,0x01f309b1,0x1760fff2,0x001bfea0,0x3f0002f4,
    0x5ffe82dc,0x3fff7000,0x0005ffe8,0xd803fff7,0x407ff16f,0x3e202ffb,
    0x3ffa80ff,0x100fffc0,0xffa805d7,0x9ff30006,0x7fc413e2,0x403fee03,
    0x43b7006b,0xdff100f9,0xfa802f88,0x0bd0006f,0x0b70fc00,0x40013ffe,
    0x7fc2fffa,0xff50004f,0x16fd805f,0x7ff407ff,0x07ffe205,0xfd00ffea,
    0x017e205f,0x8002ffdc,0x07f34ff9,0xfe803fee,0x9800f606,0x6401f34f,
    0x401f22ff,0xd0006ffa,0x70fc000b,0x07fff30b,0x93ffe600,0x0003fff9,
    0xd809fff3,0x407ff16f,0x3e203ffc,0x3ffa80ff,0x300ffec0,0xffa803d9,
    0x9ff30006,0x37f40be6,0x7c09ff50,0x4c7d9000,0x9bfe200f,0xdff5003f,
    0x0017a000,0x2a16e1f8,0x10002fff,0x7fd4bfff,0xff10002f,0x16fd80bf,
    0x019807ff,0xfa83ffc4,0x07fec03f,0xf1017cc0,0x3e6000ff,0xf105f34f,
    0x17ff409f,0x4e8806a8,0x7e400f98,0x5000faaf,0x3a000dff,0xb87e0005,
    0x01fffc85,0xc9fffe00,0x20001fff,0x7ec07fff,0x0007ff16,0x2a0dff30,
    0x3ff403ff,0x200fd806,0xf30007ff,0x2a0fe29f,0xfff902ff,0x7ec00fc0,
    0x4c00f980,0x2005deff,0xd0006ffa,0x70fc000b,0x03fffb0b,0xb3fff400,
    0x40003fff,0x7ec07ffe,0x4407ff16,0x3fea00dc,0x807ff505,0x403e65ff,
    0x3ffa04f9,0x4ff98000,0x0bfea13e,0x641bf732,0x306f8804,0xfffb001f,
    0x37fd4005,0x0005e800,0xfc85b87e,0x3e0002ff,0x3fff26ff,0x3ffe0002,
    0xf8b7ec06,0x13fea03f,0xf504ffb8,0x07fcc09f,0x1fea01f3,0x8001ffc8,
    0x217a4ff9,0x53225ff8,0x00ec84fe,0x1f306fb8,0x00dff300,0x0006ffa8,
    0x0fc000bd,0x7fff50b7,0x2fffc000,0x0007fff5,0x3602fffc,0x407ff16f,
    0x3f205ffc,0x1dff501f,0x1f30ff60,0x5407fee0,0xf98001ff,0x3a03ee4f,
    0x364fdeff,0x81bd716f,0x307fd82d,0x0ff6001f,0x00dff500,0xf80013a0,
    0x3fe616e1,0xff10004f,0x27ffcc7f,0x3fff8800,0xff8b7ec0,0x813fee03,
    0x3fea06fd,0x42fdc0df,0x3ff900f9,0x000ffe60,0x3f893fe6,0x42effea8,
    0x82effffa,0x01ffb069,0x3ee001f3,0x3ffd4000,0x0004f800,0xf885b87e,
    0xf30005ff,0x7ffc45ff,0xfff30005,0xf16fd805,0x1ffd407f,0x2a02ff88,
    0xecdfdcff,0x201f303f,0x3f600ffe,0x3ff98006,0x40150364,0x0ba01aa8,
    0x7cc0ffe4,0x000bb000,0x2000fff3,0x87e0003f,0x0dffb05b,0x21bfee00,
    0x70006ffd,0xdfb00dff,0xf880ffe2,0x80ff702f,0x35533ffa,0xff00f980,
    0x00ff980f,0x221ffcc0,0x2000002f,0x0ffee06b,0x3e2003e6,0xfff88001,
    0x00fcc001,0x82dc3f00,0x8002fff8,0xff882ffe,0xffe8002f,0xf16fd802,
    0x00ff807f,0xffa807fd,0x00f98003,0x5fb00bfd,0x82ff9800,0x800000fa,
    0x3fe601e9,0xc800f982,0x3ffa0006,0x007e4004,0x02dc3f00,0xa800dff7,
    0x3fee05ff,0x2ffd4006,0xff16fd80,0xf307d807,0x07ff5009,0x3601f300,
    0x06e8804f,0xc80ffcc0,0x7d400006,0x40ffc401,0x0fcc00f9,0x0dff5000,
    0x00027dc0,0x7405b87e,0x3fa002ff,0x17ff400f,0x001ffd00,0x1ffc5bf6,
    0x03641720,0x8003ffa8,0x0bf500f9,0xa8013e60,0x0076c06f,0x400fd400,
    0x41f306f9,0x04fbbdea,0x0dffe800,0x0007fd40,0x405b87e0,0x4402ffd8,
    0xd8801efe,0x7f4402ff,0x5bf6001e,0x25403ff8,0xfb8007e4,0x0f98003f,
    0x54003f60,0x2a15c41f,0x02fb803f,0x003db300,0x07cc07f2,0x00dffffd,
    0x3bff6200,0xdfd7511b,0x43f00001,0x7ff7005b,0x04ffa881,0x40bffb80,
    0x4c04ffa8,0x16feaaaa,0x15555bff,0x0006e408,0x30009ff7,0x06ec401f,
    0x3ee2d880,0x400dd0df,0x9800bee9,0x3ea002ed,0xfc83e602,0x00000dff,
    0x7fffff5c,0x0000bfff,0x002dc3f0,0xfdbdffb3,0x4c0005bf,0xffedeffd,
    0xfffd802d,0xfff16fff,0x6c07ffff,0x3fea6002,0x26001bff,0x03fb800f,
    0x7ffccee0,0x930004ef,0xdb979bdf,0x6cc005df,0x207cc01e,0x000000b9,
    0x0d5e554c,0x50640000,0x2ea20005,0x8800000a,0x00000aba,0x00220000,
    0xcccccc88,0x191000cc,0x3000d400,0x00056544,0x5e5d4c40,0x0170001a,
    0x00003220,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002eee88,0x7ffdc000,0x74400001,0x000004ff,0x137bb953,
    0x0b260000,0x93000014,0x64000605,0x001f643e,0x40005b97,0x00005ffe,
    0x00030180,0x4002776c,0x0006fffd,0x017fec00,0x6ff98000,0x7fd40000,
    0xdfffdcde,0x3ff60000,0x0002c2ef,0x42efffd8,0xfff98005,0x801fff30,
    0x05f71ce8,0x01ffd100,0x37fc0000,0x2e001bfa,0x2001ffff,0x03ffbef9,
    0x7ff10000,0xf9800000,0xd880001f,0xdfb301ef,0xd7d70003,0x0b77dfff,
    0xfd7d5000,0x00b77dff,0x7c4fff30,0x437400ff,0xff10006f,0x2a000005,
    0xfff31fff,0x57fc4003,0x97a005fe,0x00000fe9,0x00004fa8,0x0007f700,
    0x400dfe98,0x4003ffe8,0x7ffffdc5,0x20c80001,0x01fffffb,0xca839500,
    0x7c17d401,0xbf30002f,0x7fc00000,0x20037f46,0x05fb10ec,0x09b10b50,
    0x00b90000,0x06c80000,0x007ff400,0x001fff88,0x0777220e,0x5c41c000,
    0x000001dd,0x3e0bee00,0x1ee0002f,0x20300000,0x40744001,0x5c03806b,
    0x02c00000,0x0d800000,0x09ff9000,0x006ffa80,0x00000000,0x00000000,
    0x05309f70,0x00039000,0x70000000,0x00015401,0x00000000,0x00000000,
    0x0007ffcc,0x20027ff4,0x0abdeca9,0x55555100,0x55544005,0x0002aaaa,
    0x00ffea00,0x50000000,0x55555555,0x2aaa2015,0x0002aaaa,0x7bd95300,
    0x2aaa0015,0x0aaaaaaa,0x55555510,0x55555455,0x100aaaaa,0x55555555,
    0x0005ffe8,0x5001fff9,0xfb959dff,0xda8801bf,0x1003ffff,0x59ffff95,
    0x3bbbbbb2,0x1eeeeb82,0x0003ffe8,0xa80006c0,0xdfffffeb,0xff95100a,
    0xaaa85bff,0x02aaaaaa,0x32b3bfea,0x5400dffd,0xdfffffeb,0xff95100a,
    0x75d45bff,0x0adfffff,0xffff9510,0x27ffc45b,0x2fff9800,0x407bf620,
    0x3001efd8,0x8005ffff,0xfff706f8,0x0ffcc01d,0x004fff98,0x0007f300,
    0x003fffd0,0x7501ff88,0x57fffffd,0x203dfb10,0xd001efd8,0x88003fff,
    0x7ff401ff,0x7fc4001f,0x03fff981,0x09fff100,0x20037fe6,0xf3003ffb,
    0xf8001fff,0x017ff205,0xffd805f3,0x6c0000df,0xfb80006f,0x0bf0007f,
    0x40dfff10,0xb800dff9,0xffb803ff,0x00bf0007,0x2000fff7,0x5fff705f,
    0x2fffc000,0x2000ffe8,0xfd002ffe,0x74001dff,0x03ffe204,0x55e407c8,
    0x0000efff,0x0003fff1,0x0006ffb8,0x3ffa00bd,0x003ffa04,0x5c02ffe8,
    0xbd0006ff,0x00dff700,0x7fe417a0,0x3fe0001f,0x04ffc87f,0x8037fd40,
    0x005ffffe,0x7ff7013a,0x459027c0,0x000efff9,0x005fffb8,0x0037fd40,
    0xffd005e8,0x013ff207,0xa80dff50,0xbd0006ff,0x00dff500,0x7fec17a0,
    0x3fa0001f,0x07ffcc7f,0x027ff400,0x27ffe674,0x7c404e80,0x201f507f,
    0x5ffe886b,0xfffef800,0x3fea0000,0x00bd0006,0x3e60fff6,0xfe8000ff,
    0x1bfea04f,0x5402f400,0xbd0006ff,0x00bfff20,0x747fff80,0xf70005ff,
    0xb4e803ff,0x9d005fff,0xb07ff900,0xe8826c0b,0x3ea001ff,0x0003ffe9,
    0x4001bfea,0x7ffb005e,0x000bffd0,0x5407ffee,0xbd0006ff,0x00dff500,
    0x7fe417a0,0x3fe0002f,0x027ffc5f,0x02fffa80,0xfffe8a74,0x44027401,
    0x817c46ff,0x3fa204f8,0x7ddba004,0x3ea0007f,0x0bd0006f,0x3e0fff60,
    0xf50004ff,0x3fea05ff,0x00bd0006,0x2000dff5,0x7fff505e,0x3ffe2000,
    0x00fffe64,0x027ffcc0,0xefff993a,0x64013a00,0x981f22ff,0x037d406f,
    0xfff12f98,0x3fea0005,0x00bd0006,0xff30fff6,0x3e60007f,0xdff504ff,
    0x2017a000,0xd0006ffa,0x13ffe20b,0x17ffcc00,0x0005fff5,0xd017ffe2,
    0x05fffa89,0x7fc4013a,0x5ff00fe6,0xc802fc40,0x002ffe47,0x0006ffa8,
    0x3ff600bd,0x017ffd43,0x05fff880,0x2000dff5,0x6ffa805e,0x6c0bd000,
    0xf70006ff,0x1fffc8df,0x1fffe000,0xfff709d0,0xc8013a09,0x400faaff,
    0x0ba02ffc,0xff30fe20,0xff50003f,0x017a000d,0x3f21ffec,0x3e0001ff,
    0xdff507ff,0x2017a000,0xd0006ffa,0x17ffcc0b,0x217ff400,0x0001fffd,
    0x9d01fffa,0x20ffff60,0x3fe6004e,0xff9805de,0x800f983f,0x4ffe80fb,
    0x06ffa800,0x3600bd00,0x7ffec3ff,0x3ffa0001,0x00dff507,0x3ea017a0,
    0x0bd0006f,0x4006ffb8,0xffc86ffa,0x3fe0002f,0x8827406f,0x2741fffe,
    0x0bfff600,0x227ffd40,0x209d002c,0x4000fffa,0xd0006ffa,0x0fff600b,
    0x0005fff9,0xfa837ffc,0x0bd0006f,0x000dff50,0x3ff2017a,0x03bfa002,
    0x000fffea,0x7405fff8,0x3fffe204,0xf30013a0,0xffb800df,0x5001d8df,
    0x1fffc03f,0x01bfea00,0xfd802f40,0x1fffd43f,0x0bfff000,0x4001bfea,
    0x6ffa805e,0x200bd000,0x6c401ffe,0xfff300ef,0x3fe20009,0x2027403f,
    0x13a6fff9,0x000ff600,0x00bfffea,0x7fe406d8,0x37fd4006,0xb004e800,
    0xfff987ff,0xfff10004,0x01bfea07,0x7d402740,0x09d0006f,0x02fff220,
    0x8803bfa6,0x30005fff,0x4e805fff,0xd5fffb80,0x01f70009,0x17ffa600,
    0x7ffffcc0,0xffffffff,0x1ffea001,0xd8027c00,0x7ffc43ff,0xfff30005,
    0x01ffea05,0x7d4027c0,0x09f0007f,0xdeffd880,0xb001dffe,0x2e000dff,
    0x04e806ff,0x9d7fff90,0x000bb000,0x803ffe88,0x999999fc,0x05ffd999,
    0x001ffe60,0xffd801fc,0x006ffd83,0x4c0dff70,0x7f0007ff,0x00fff300,
    0x4c000fe0,0x005ffffe,0x0017ffc4,0x74017ff4,0x3fffa004,0x0fc4004f,
    0x37f44000,0x5400fe20,0xf1000fff,0xf98003ff,0x07ffb001,0x0005fff1,
    0x7c405ffd,0x7cc001ff,0x1fff8801,0x000fcc00,0x5ffffb10,0x06ffb800,
    0x802ffd40,0x3fa2004e,0x364004ff,0x7c414400,0x003ee00f,0x2003ffe8,
    0x64004ffe,0x7ffb000f,0x001bfee0,0xfd00bff5,0x0fc8009f,0x009ffd00,
    0x80000fc8,0x000ffffc,0xd0017ff4,0x13a001ff,0x09fff300,0x4000fcc0,
    0x00fd83fd,0xff70013a,0x37fd400d,0x4009f700,0x3fa03ffd,0x3ffa002f,
    0x06ffa800,0xa8013ee0,0x3ee006ff,0x3aa00004,0x22000eff,0x74402ffd,
    0x17e001ef,0x413fea00,0x04fbbdea,0xf909fb00,0x20017dc0,0x2003fff9,
    0x5400dffe,0x3fa000ff,0x3ff6204f,0x0f7f4402,0x01bffd00,0x4000ffa8,
    0x5400dffe,0x800000ff,0x4001efea,0x5440bffb,0x7dc004ff,0x4fc8001f,
    0x0dffffd0,0x221fcc00,0x00fd103f,0x003fffe0,0x8df7fec4,0x00efeba8,
    0x4027ff40,0x5440bffb,0xd88004ff,0x7511beff,0x10001dfd,0x2237dffb,
    0x000efeba,0x77ed4000,0xffb3000b,0x05bffdbd,0x3ffff220,0x26c004ef,
    0x00dfffc8,0xd986ec00,0x03ffb105,0xdffff880,0x3ffae000,0x0bffffff,
    0x77ffd400,0xeffd9800,0x002dffed,0x7ffff5c0,0x000bffff,0x7ffff5c0,
    0x000bffff,0x2e620000,0x5d44004c,0x0000000a,0x2e601880,0x2e200000,
    0xfff702cd,0xe8807dff,0x6fffffff,0x5e554c00,0x7e44001a,0x3dffffff,
    0x01575100,0x95530000,0x00000357,0x03579553,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0003fff7,0x05ddd100,0xd9730000,0x0017037b,0x005ffe80,0x00bffe60,
    0x8003ffe4,0x20007ffc,0x00000301,0x0005fff3,0x0007ddb0,0x10000200,
    0x36000099,0x000001ff,0x000ffffb,0x67fff540,0xfabdfdca,0x3fe20001,
    0x3f20000e,0x7fec003f,0x3ffb0001,0xd8ffd000,0x200000ff,0x80003ffc,
    0x000ffffb,0x0fbfaa00,0x01ffec00,0x00ffe200,0x5f7cc000,0x440003ff,
    0x9101bffd,0x40005fff,0x40000ffb,0xe88004fe,0xfd10003f,0xfff88009,
    0x005fff12,0x0027f400,0x7f577c40,0x5f100005,0x3e0007ea,0x540005ff,
    0x2000004f,0x01fd30de,0x07ffa200,0x0017fd40,0x80003fb0,0x220005f8,
    0x3e20006f,0x47fe8006,0x00000ffe,0x20000bf3,0x03fb10ec,0x4c8b7000,
    0x05fff800,0x0002ec00,0xbb10b500,0x07ffa000,0x0007f700,0x20000be2,
    0x4c0000eb,0x3e60000f,0x03018001,0x006b8000,0xd901d300,0xb8970000,
    0x4ffe8005,0x0002c000,0x01700e00,0x005ffc80,0x2a0007d0,0x01b00003,
    0x000ea000,0x00000750,0x006c0000,0x2a00b800,0x97c40001,0xfe8001e9,
    0x0000004f,0x00000000,0x000fffcc,0x000004b8,0x00000000,0x20000000,
    0x0abdeca9,0x00000000,0x40000000,0x0003ffea,0x00007ffb,0x0000001b,
    0xfc800036,0x9220007f,0xaaaaaaa9,0x555100aa,0x55455555,0x2aaaaaaa,
    0x55555551,0x55555555,0x55550355,0x80555555,0xdcaceffa,0x54400dff,
    0xaaaaaaaa,0xaaaaaaaa,0x55555441,0xaaaaaaaa,0x0001aaaa,0xc8000fe6,
    0x4c0002ff,0x8000003f,0x3e0003f9,0x200004ff,0xffffffc9,0xfd5100ad,
    0x5d459fff,0x2bfffffe,0xfffff951,0xffffffff,0xfd750bff,0x2057ffff,
    0xb101efd8,0x654403df,0xffffffff,0x5fffffff,0x7fffe544,0xffffffff,
    0x20005fff,0x2e0006fd,0x6c0001ff,0x8000006f,0xf50006fd,0x000007ff,
    0x00dffff3,0x2201eff8,0x7cc06fff,0x7dc402ff,0x1bffe205,0x001bff30,
    0xf3007ff7,0xfb8805ff,0x0bffe605,0x000bf710,0x0007ffe2,0x00007fd4,
    0x0003fff1,0x0fffc400,0x17ffdc00,0xff980000,0x3fe2006f,0x04ffe800,
    0x7002fff8,0x04ffe80d,0xd0007ff4,0xfff005ff,0xf01ae005,0x1ae005ff,
    0x2fffdc00,0x007f9800,0x02fffdc0,0xfff70000,0xfff9000b,0x64000003,
    0xf7002fff,0x0fffa005,0x400bffe0,0x1fff4068,0x8009ff90,0xff806ffa,
    0x80d1002f,0xd1002fff,0x3ffbe000,0x6f88000f,0x7ff7c000,0xf000000f,
    0x8001fffd,0x0001fffd,0x037ff400,0x3f6005e8,0x2fff803f,0xffb01200,
    0x03ffe607,0x013ffa00,0x24005fff,0x800bffe0,0xe9fa8004,0xdf0003ff,
    0x74fd4000,0x800003ff,0x03ffe9fa,0x017ffe40,0x3fe60000,0x007e404f,
    0xf007ffb0,0x400005ff,0xffd03ffd,0x3fee000b,0x0bffe01f,0x2fff8000,
    0xb7400000,0xf0007ffb,0xbb74000b,0x800007ff,0x00fff76e,0x003fffb8,
    0xfffc8000,0x8007f301,0xff803ffd,0xb000802f,0x3ffe07ff,0xfff50004,
    0x017ffc05,0x2fff8004,0xf3000080,0x00bffe25,0x4c0013a0,0x05fff12f,
    0x897cc000,0x2a002fff,0x00005fff,0x20dffd00,0xffd8005e,0x02fff803,
    0x7ffb0058,0x007fff30,0x813ffe60,0x05802fff,0xb005fff0,0xf91f2000,
    0x07b000bf,0xff91f200,0x3e40000b,0x88017ff2,0x00006fff,0x87fff300,
    0xfd8000fb,0x2fff803f,0xfd802cc0,0x2fffa83f,0xbfff1000,0x2017ffc0,
    0x5fff0059,0x88005980,0x0fffcc3f,0x2000b200,0x7ffcc3f8,0x3f880001,
    0x000fffcc,0x0000fffb,0x87ffe400,0xfb0003f8,0x5fff007f,0xd802f440,
    0xfffc83ff,0x3ffe0001,0x80bffe07,0xfff005e8,0x002f4405,0x7ff407dc,
    0x000d4004,0x7ff407dc,0x0fb80004,0x2004ffe8,0x0002fff9,0x7f44002e,
    0x4000db6f,0xff803ffd,0xfeeeeeef,0xffb005ff,0x03fffb07,0x03fff400,
    0xdddddfff,0x200bfffd,0xeeeeefff,0x8005fffe,0x1fff504e,0x9d000000,
    0x003ffea0,0x3ea09d00,0x3f6000ff,0x4a8000ff,0x6fffd400,0x3f60001f,
    0xcfff803f,0xfecaaaaa,0x07ffb005,0x0005fff9,0xff037ffc,0x9555559f,
    0x3fe00bfd,0xcaaaaacf,0x7d4005fe,0x00fffe01,0x03f50000,0x0001fffc,
    0x7ffc03f5,0x3ffa2003,0x0034c005,0x004fffd8,0x401ffec0,0x2e402fff,
    0xa83ffd80,0x20003fff,0x3fe05fff,0x802e402f,0x2e402fff,0xf901b600,
    0x004400df,0xff901b60,0x036c000d,0x1001bff2,0x5001dffb,0x3e20001d,
    0x6c0001ff,0xfff803ff,0xd802c402,0xfff983ff,0xfff10004,0x017ffc07,
    0x7ffc0162,0x3002c402,0xffffffff,0x003fffff,0x26003ff7,0xffffffff,
    0x001fffff,0xffffff98,0x1fffffff,0xefffc800,0xdeca88ac,0x7ffc0000,
    0x7fec0001,0x02fff803,0x7ffb0058,0x00bfff10,0x80bffe60,0x05802fff,
    0xb005fff0,0x4ccfe400,0xfd999999,0x4fff805f,0x3333f900,0xffb33333,
    0x33f9000b,0xb3333333,0x2a000bff,0xffffffed,0xff00002e,0xfd80003f,
    0x2fff803f,0x3ff60000,0x00dffb03,0xf01bfee0,0x400005ff,0x00002fff,
    0x7d400fe2,0x7fec00ff,0x003f8802,0x4001fff5,0xff5003f8,0xc880001f,
    0x00000aad,0x0000fffc,0x3e00fff6,0x200002ff,0xff103ffd,0xffd0005f,
    0x02fff805,0x0bffe000,0x00fb8000,0x200fffa0,0x01f7001a,0x001fff40,
    0x7f4001f7,0x7c40003f,0xf000000d,0xd80003ff,0xfff803ff,0xd81cc002,
    0x3fee03ff,0x2ffd4006,0x0017ffc0,0x17ffc0e6,0x2740e600,0x01bfee00,
    0x8009d000,0x3a006ffb,0x37fdc004,0x1ffee000,0x7ffc0000,0x7fec0001,
    0x02fff803,0xffd80f40,0x017ff403,0xf001ffd0,0x1e8005ff,0x8005fff0,
    0x002fb81e,0x001fffcc,0x4002fb80,0xb803fff9,0x7fcc002f,0x7d40003f,
    0x4400001f,0x40001fff,0xff804ffe,0x81b2002f,0x6c404ffe,0x7f4402ff,
    0x5fff001e,0xff036400,0x4364005f,0xff0007e8,0x880001ff,0xfff0007e,
    0x03f4401f,0x00ffff80,0x001be600,0x0bffe200,0x09ffd000,0x003fff88,
    0x7ff409f7,0x17ff7004,0x004ffa88,0x400fffe2,0xfff104fb,0x113ee007,
    0x88003ffb,0x000dffff,0x003ffb10,0x0dffff88,0x001ffd88,0x06ffffc4,
    0x0bfaa200,0xff910000,0x2a0001bf,0x2e00efff,0x999aefff,0x1ffdba99,
    0x01dfff50,0x37bff660,0x4002dffe,0x99aefffb,0xffdba999,0x5dfff701,
    0xb7533333,0x7ffdc3ff,0x74403eff,0x6fffffff,0x7fffdc00,0x7f4403ef,
    0x26ffffff,0x3efffffb,0x7ffff440,0x32006fff,0x200000ac,0xffffffd9,
    0xfc8802df,0x3dffffff,0xfffffd91,0xffffffff,0xffc88dff,0x03dfffff,
    0x002aea20,0xffffd910,0xffffffff,0xec88dfff,0xffffffff,0x6fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00c06000,0x81e4c000,0x74400001,
    0x00980980,0x00130130,0x000000c0,0x28800000,0x00006a00,0x2aa600a6,
    0x000a8001,0x1a8000c0,0x1ffd0000,0x00007fec,0x42ffffd8,0x35400005,
    0xff70ffe4,0x21ffc803,0xf0001ffc,0xd9530000,0x0970159b,0x01ff6a00,
    0x007bbbea,0x3ea03e80,0x403fffef,0x0002ffc8,0x174c0f64,0x440002e4,
    0xfff12fff,0x7d500005,0xb77dfffd,0x83d80000,0x3ffa4fff,0xf1fffc04,
    0x544009ff,0x4002bcfc,0xecacdffa,0x05f30cff,0x7fffe980,0x01322e80,
    0xfc80fc40,0x413faa2e,0x002fffed,0xfb14fa80,0x0003e605,0xfd83ffa0,
    0x0c80000f,0x07ffffee,0x80f88000,0x3fee1ffc,0x90ffe401,0x3ee003ff,
    0xcffecfdf,0x07bf6201,0x1fdffec4,0x0fff1000,0x003c4698,0x5ff106b8,
    0x6c05ff50,0x300002ff,0x5f009fff,0x0c060000,0x71070000,0x800003bb,
    0x2602605b,0x13013000,0x3c33f600,0x3a60bfd3,0xdffb005f,0x0ffd0000,
    0x01aa0f88,0x7fc81f40,0xfb817fe0,0xf700002f,0x0b9003ff,0x00000000,
    0x00000000,0x000002e8,0x3fdc0000,0x3a0bf11e,0x3fa001ff,0x7f40001f,
    0xea9dd807,0x01f88003,0x3ff40dfd,0x0005ff70,0xffb9dfa8,0x0007cc01,
    0x00003600,0x00006c00,0x403ea620,0xaaaaaaaa,0x5555512a,0x55555555,
    0xfd035555,0xc85b878b,0x3ee005ff,0x20000eff,0xeb8807fd,0x0d70002e,
    0xffd02ff4,0x0017fd40,0xffe83d70,0x00017c00,0x00007f30,0x0007f300,
    0x3ffffae0,0xfffd7503,0x32a257ff,0xffffffff,0x5fffffff,0x4c3c5ff8,
    0x007ffcc5,0x4ffe9fa8,0x01ff6000,0x03e80000,0x4ff817fe,0x000bfea0,
    0x01bfe600,0x6c0000b9,0x8000006f,0x440006fd,0x3bffe2fe,0x0dfff100,
    0x402fff98,0xfff85fb8,0x3fa2c1e0,0x27f3005f,0x1001fffc,0x3003fec1,
    0x807c4000,0xff305ff8,0x417fd405,0xffc80000,0x0003e603,0x007ffe20,
    0xfff88000,0x87f60001,0x203ffcf9,0xff804ffe,0x90d7002f,0x4403cbff,
    0xe8804fff,0x80fffe65,0xdaffffda,0x3ff2207f,0x2000ceff,0x17fe206b,
    0xf5017f62,0x3fff225f,0xfeda800d,0x200fffcf,0xfb80003f,0x000005ff,
    0x0017ffee,0x2b322fdc,0x3ffa06ff,0x02fff803,0xfff50d10,0xff300f1b,
    0x88db007f,0xdf704fff,0x1ffff225,0xea85ff44,0x07d000ef,0xfb32ffc4,
    0x5ff5005f,0xdffffff3,0x445fe403,0x205fffea,0xef80005c,0x00000fff,
    0x01fffdf0,0x7c1ff880,0x7ec07f91,0x2fff803f,0x7fec1200,0xffb807ef,
    0x407e402f,0x5fb85fff,0x360fff90,0x04ffa86f,0x3e200f98,0x37ffea5f,
    0x767fd401,0x6fffcaac,0xfd107f90,0x03e601ff,0xfe9fa800,0xa800003f,
    0x003ffe9f,0x0d507fcc,0x803ffd80,0x00002fff,0x807ffffb,0x2a01fffc,
    0x8ffff01f,0xff100ff9,0x2217fe0f,0x06b805ff,0x7d42ffc4,0x3fea03ff,
    0x3fffa81e,0xff103fcc,0x001f407f,0x1ffeedd0,0x5dba0000,0x7dc007ff,
    0x36001ec7,0xfff803ff,0xf9000802,0x3201bfff,0x7f301fff,0x363fff40,
    0x83ff405f,0x0dff03fe,0xff8807d0,0x05fff305,0xfc80bfea,0x2027f47f,
    0x17206ffd,0xf897cc00,0x200002ff,0x5fff12f9,0xf13fe400,0x3ffd8001,
    0x802fff80,0x3ffea005,0xfffb81ef,0x7c04f882,0x13fe66ff,0x0620ffb0,
    0x26037fcc,0x2ffc400f,0x2a0dff70,0x3fe202ff,0x807ff50f,0x3e607ffa,
    0x647c8000,0x200005ff,0x02ffe47c,0x16e1ffb0,0x00fff600,0xb300bffe,
    0xffff8800,0x17ffd42f,0x3fe20374,0x00ffee4f,0x2e200ffb,0x5c06ffee,
    0x05ff8806,0x2a07ffe2,0x7ff402ff,0x8805ff71,0x0fa00fff,0xf987f100,
    0x880001ff,0x0fffcc3f,0x5d2ffb80,0x07ffb000,0x4405fff0,0xfbf8005e,
    0x3fe22fff,0x2007e43f,0x3f23fff9,0x03fec02f,0x7fc73f22,0x4401f406,
    0x7fec05ff,0x402ffa82,0x5ff92ffd,0x403fff00,0x07dc006c,0x00027ff4,
    0x7ff407dc,0x3dff5004,0x6c06e01f,0xfff803ff,0xffeeeeee,0xd178005f,
    0x7ffc1fff,0x2a007ee5,0x3ff61fff,0x303fec03,0x06ff83df,0x3e2003e6,
    0x1ffe405f,0x32017fd4,0x09ffb1ff,0x4c01fff0,0x413a000f,0x0000fffa,
    0xfffa8274,0xdfff8800,0x7ec0d105,0xcfff803f,0xfecaaaaa,0x3a278005,
    0x5fff23ff,0xff7003f9,0x404ffd8f,0x1df507fd,0x35c0dff0,0x405ff880,
    0xffa82ffc,0xf93fec02,0x0ffd00bf,0x3ea007d0,0x00fffe01,0x3e01fa80,
    0xffd003ff,0x407b105f,0xff803ffd,0x002e402f,0x897fea3c,0x004fafff,
    0xff907ffa,0x987fd80b,0x0dff03ff,0xff8801f4,0x40ffdc05,0x7f402ffa,
    0x201bfee6,0x06c805ff,0xffc80db0,0x01b60006,0x2600dff9,0xbaacffff,
    0x1ffec06e,0x2017ffc0,0x1e071058,0xffa8bff1,0x3fee006f,0x01fffa84,
    0xff703ff6,0x4c1bfe03,0xbff1000f,0xa80ffb80,0x1ffc02ff,0xf801fff3,
    0x00f9803f,0x7fffffcc,0x1fffffff,0xffff9800,0xffffffff,0xfff5001f,
    0x801fffff,0xff803ffd,0xd105802f,0x213fe1e0,0xf1003ffd,0x2fff40bf,
    0xfc81ffb0,0x06ff883f,0x7fc400d9,0x4fc8bf35,0x5c05ff50,0x05ffd86f,
    0x74003fe6,0x4ccfe403,0xfd999999,0x9fc8005f,0x99999999,0x3e005ffd,
    0x00dffffe,0xf803ffd8,0x220002ff,0x7fcc781f,0x02fffc81,0x50077ec4,
    0xff509fff,0x0eff985f,0x1cdfffaa,0x7fcc007d,0x7fc1ff75,0x209ff500,
    0xff880fe8,0x003fb02f,0x07f1035c,0x003ffea0,0xf5003f88,0x2d5001ff,
    0x36000aa8,0xfff803ff,0x1be20002,0xf509fb1e,0x5039ff75,0x3f2009fd,
    0xeddbceff,0x3fe2efff,0xfd8efdff,0x003e65ff,0xff15ffb8,0x4c05f911,
    0x3a60dfff,0x3ffe602f,0x000bf20b,0x03ee01f3,0x003ffe80,0xfe8003ee,
    0x003d803f,0x401ffec0,0x4c002fff,0xbc3dff13,0x7c40dfd8,0x3bfff223,
    0x4001dffe,0xb4fffffa,0xfd9817df,0x17fee4ff,0x3fa600b9,0x3fbaa5ff,
    0xfff7001e,0x10019fdf,0x3bddfffb,0x740fa000,0x37fdc004,0xb8009d00,
    0x07c406ff,0x0fff6000,0x000bffe0,0x7ffe543d,0x102efdfd,0x0d5d4407,
    0x04d4c000,0x20310035,0x0001a808,0x51000040,0x26200035,0x1980001a,
    0x4c002fb8,0xfb803fff,0x7ffcc002,0x00016e03,0x3e013ffa,0x1b2002ff,
    0x00afaa98,0x00000000,0x00000000,0x00000000,0x00000000,0x003f4400,
    0x200ffff8,0xff0007e8,0x00ba01ff,0x013ffa00,0x2007fff1,0x00f004fb,
    0x99999991,0x99999999,0x3bba6799,0xeeeeeeee,0x05eeeeee,0x00000000,
    0x00000000,0x10000000,0x88003ffb,0x880dffff,0x44001ffd,0x440dffff,
    0xffa80007,0x3fee00ef,0x99999aef,0x001ffdba,0xdddd3009,0xdddddddd,
    0x22bddddd,0xcccccccc,0xcccccccc,0x0000003c,0x00000000,0x00000000,
    0xfffffb80,0x7ff4403e,0x2e6fffff,0x03efffff,0x7fffff44,0x000e66ff,
    0x7ffffe44,0xfd913dff,0xffffffff,0x0dffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0x2e0004ee,
    0xf7000fff,0x260001ff,0x64c01100,0x7b0001cd,0x0fbb6000,0x05fff300,
    0x17ffcc00,0x009ddb00,0x1e407a20,0x007ffea0,0x1003c980,0x200039b5,
    0x20f2204c,0x7fffd401,0x3ffd0002,0x03ffc800,0x06fff540,0x567ec02e,
    0x7dc001fe,0xfffb8000,0x7fd4001f,0x3fee0005,0x3ffee003,0x0fa8001f,
    0xff7005f0,0x7ff40007,0x7eefc402,0x07d4004f,0x3e27ffb0,0x3affa05f,
    0xff88006f,0x0bfb0002,0x7fff7c40,0xf70689cf,0x8007fcc7,0xf88002f9,
    0x8005feaf,0x3a0007fb,0x3fe2004f,0xb8005fea,0x2003f306,0x3e0006fd,
    0x30ec03ff,0x3e2001ff,0xaa7ff403,0x1fb80fff,0xf7000ff6,0x3f440007,
    0x3f625700,0xf884ffff,0x801ff41f,0x1d90004e,0x2000bf62,0xf88002fc,
    0x88f64005,0x2ec002fd,0x7f4007b8,0x1bf50000,0x400ff000,0x0eea806c,
    0x3d10dff1,0x6c001f70,0x2f880004,0xffd30900,0xb03fea09,0x01d900df,
    0xd901d100,0x00136000,0xe88003ae,0x74006c80,0x8800b903,0x0000003e,
    0xf3002f98,0x81440003,0x400a600a,0x26000058,0x04401004,0xff90ff70,
    0x0001f980,0x00154017,0x06c002c4,0x2a802e00,0x3a03f100,0x00588004,
    0x2f540000,0x00007d00,0x00000000,0x00000000,0xfc87fd80,0x0013a00f,
    0x00000000,0x00000000,0xf880f980,0x80000002,0x3ff6000a,0x036400ef,
    0x4005c400,0x04400008,0x00022000,0xff900110,0x3640ff90,0x00000000,
    0x0060000c,0x5c000300,0x0001f306,0x00190000,0x204fea88,0x0dc001f9,
    0x3260fff1,0x001ceffe,0x39dffd93,0x3ffb2600,0xd93001ce,0x2a039dff,
    0x837ec0ff,0x76c001f9,0x77543eee,0x3f2205ee,0x400cefff,0xceffffc8,
    0x7ffe4400,0xff500cef,0xffffffff,0x36ffffff,0x7543eeee,0x1a005eee,
    0x206fb800,0x22c8004e,0x7dc0fffa,0x05ffb30b,0xfb30bfb8,0x0bfb805f,
    0xb805ffb3,0x5ffb30bf,0xfe83ff10,0x0003e884,0x9109ffb1,0x3fa20dff,
    0x01dfd50b,0x7542ffa2,0x7fd100ef,0x203bfaa1,0xacfaaaa8,0xaaeeaaaa,
    0x213ff622,0x1006ffc8,0x2fc4000d,0x7b0006c8,0x27d45fe8,0xf503ffd8,
    0x40fff609,0x7ffb04fa,0x7ec13ea0,0x264fb83f,0x006c80ff,0x8827fd40,
    0x0dfb06ff,0x3f609ff5,0xb04ffa86,0x09ff50df,0x13a03f10,0xf104ffa8,
    0x00f600df,0xf982fa80,0x109d0002,0x3e207fa8,0x03fd40ff,0xfa81fff1,
    0x03ffe207,0x7fc40ff5,0xeaafd80f,0x001fa81f,0xf027fcc0,0x217fe0df,
    0xbff05ff8,0x3e0bff10,0x05ff885f,0x2f880fa8,0xf813fe60,0x00fa806f,
    0xeb9bdf88,0x40009d03,0x05fe805f,0x3fa27fec,0x227fec05,0x7fec05fe,
    0x3602ff44,0x7b7304ff,0x2207f101,0x7fcc00ba,0x741bfe04,0x20dff03f,
    0x0dff03fe,0x37fc0ffa,0x0f983640,0xf813fe60,0x02fcc06f,0x0179db70,
    0x0b9003ee,0x9ff1017e,0x227ff980,0x7fcc04ff,0x3013fe27,0x27fc4fff,
    0x001ffe60,0x9bf705d8,0x27fcc0bf,0x0620dff0,0x18837fcc,0x220dff30,
    0x00dff301,0x301ee09b,0x37fc09ff,0x00007fa0,0xf700be20,0xa80df10f,
    0x7fc403ff,0x807ff50f,0xff50fff8,0x0fff8807,0xf8807ff5,0xfa8000ff,
    0x3ea5fa80,0x409ff304,0xd71006ff,0x2200dffd,0x006ffeeb,0x0dffdd71,
    0x017607f0,0x7fc09ff3,0x001bf206,0x2602ec00,0x07f987ff,0x7c01ffe4,
    0x07ff92ff,0x3f25fff0,0x2fff803f,0xff007ff9,0x3f88005f,0x7fc2ff88,
    0x204ff982,0x7e4406ff,0x880dff1c,0x0dff1cfc,0xff1cfc88,0xdfddd30d,
    0xdffddddd,0x4ff98bdd,0x7cc1bfe0,0xb800003f,0x3ebe200f,0x200ffa87,
    0xfe804ffd,0x009ffb1f,0x3ff63ffd,0xb1ffe804,0xffd009ff,0x505d8003,
    0x84fd81ff,0x3fe04ff9,0xf07be606,0x0f7cc0df,0xef981bfe,0x64c37fc1,
    0xcccccfdc,0x44cccdfc,0x3fe04ff9,0x001ffd06,0x403f8800,0xff70ff3e,
    0x027fe403,0x9ff93ff4,0x7e4ffd00,0x27fe804f,0xfe804ffc,0x807dc007,
    0x86fd87fb,0x3fe04ff9,0xf01df506,0x03bea0df,0x77d41bfe,0x6406ff80,
    0x9801f306,0x1bfe04ff,0xec81bfe2,0x202ec001,0x3f21fe4d,0x1bfee02f,
    0xffb97fe0,0x2e5ff806,0x5ff806ff,0x3e01bfee,0x0be2005f,0x7fc87fd8,
    0x3e04ff98,0x03ff986f,0x7ff30dff,0x3e61bfe0,0x80dff03f,0x300f704d,
    0x37fc09ff,0xff02ffd4,0x007d400d,0xfd87f8d7,0x3ffe203f,0xf11ffc01,
    0x3ff803ff,0xf007ffe2,0x0fffc47f,0xd800ffe0,0x643fe405,0x04ff887f,
    0x3fee1ffe,0xf70dff01,0x21bfe03f,0xdff01ffb,0x0bb03f80,0x7c09ff10,
    0x05ffa87f,0x22003ff6,0xf03a603f,0x807ffd0f,0x3e604ffc,0x027fe40e,
    0xffc81df3,0x903be604,0x77cc09ff,0x801f7000,0x37ec0ffa,0xff505ff8,
    0x107ff90f,0x7ff90dff,0xf90dff10,0x0dff107f,0x03e80fc4,0x3ea0bff0,
    0x06ff887f,0x36c01fea,0x3bbbbba0,0x3ffe4eff,0x17ffc404,0xff881fd8,
    0x103fb02f,0x3f605fff,0x02fff881,0x3e6003fb,0x41ff9802,0x5fff04fe,
    0x41fffdc8,0x3aa0eff9,0x3e6737ff,0x3ffaa0ef,0x3bfe6737,0x4dfffaa0,
    0x2f883d43,0xc85fff00,0xfe81fffd,0x009f302f,0xccc803f5,0x23cffccc,
    0xe8805fff,0x017e42ff,0xfc85ffd1,0x0bffa202,0x7f4405f9,0x0017e42f,
    0x1fe4009d,0x3ea01ff3,0xff5fdeff,0x7ffc3dff,0xffd8efdf,0x6ffffc5f,
    0x5fffd8ef,0x77effffc,0xc85fffd8,0x2001f306,0x5fdefffa,0x443dffff,
    0x0ed82eff,0x00027c40,0x0bfff0ff,0x3bfff620,0xfd8802df,0x802dfeff,
    0xdfefffd8,0xfffd8802,0x32002dfe,0x57f4000e,0x7e403fe9,0x3bfe3fff,
    0x4fffd982,0x36617fee,0x3fee4fff,0x4fffd985,0x26c17fee,0x7e4007b8,
    0x3bfe3fff,0x7fffb102,0xd90019fb,0xc87f8000,0xa98002ff,0x06a60001,
    0x001a9800,0x20006a60,0xb88001f9,0x51001ded,0x31003503,0x03100220,
    0x20310022,0x4c06a008,0x81a88002,0x7953001a,0x07e60015,0x2a099000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00164c00,0x164c03d8,0xb005b800,0x7c000dff,
    0xdd3004ff,0x4026003d,0x59b50008,0x7ffc0001,0xda880004,0x800000cd,
    0xbceedcb8,0x2aa60e20,0x02aaaaaa,0x55555544,0x2f772602,0x98019801,
    0xc8002ffd,0x0bff6606,0x800be200,0xa8000ffe,0x3fa005ff,0x7ecc06ff,
    0x200dc1df,0x1eebbffb,0x05ff9800,0x67fec400,0x00002ffc,0x77bdffb3,
    0x0b97dfd9,0xffffff93,0xfeb8805b,0xff903fff,0x5409ffff,0x5fb003ff,
    0x801f9800,0x5d8002fd,0x01ffc400,0x50037e40,0x205ff7bf,0xdffffef8,
    0x3ee00e89,0x007fe20d,0x0001df90,0x3e20dfd8,0x7dc0000f,0x3fa600cf,
    0x3ffe205f,0x6fe8003f,0x3fb3fea0,0xff704fff,0x00bf600b,0x3f6009d0,
    0x007dc002,0x4002fcc0,0x97a000ef,0x13a80ff9,0x0bfffffb,0x7dc07fd4,
    0x007f4007,0x20bfee00,0x360003fc,0x3f2004ff,0x1fffdc06,0x880ff400,
    0x3ffecc1e,0x9001ed88,0x07dc005f,0x2002fc80,0x2a0002f8,0x07e6000f,
    0x4e884b80,0x7fecc0b8,0xf027f405,0x07e2007f,0x41ff6000,0xf90003fb,
    0x0fd0007f,0x800bfff0,0x407604f8,0x0002fff8,0x22005f90,0x0bf2002f,
    0x80005d80,0x00ae002b,0x040c8070,0xffa80110,0x401ff202,0xfd00002b,
    0x001fd01f,0x000dff50,0x3fee01e6,0x007d4007,0x02ffd801,0x005f9000,
    0x5f90017a,0x0003ea00,0x00000000,0xd8000000,0x3fee00ff,0x40000003,
    0x2fc41ffe,0x17ffc400,0x8801d000,0x3a003fff,0x3fd40005,0x05f90000,
    0xc8001f70,0x03f8802f,0x20001800,0x00060001,0x0fff000c,0x0005ff98,
    0x27fec000,0x70005fd1,0x98000fff,0x06ffc800,0x80005f30,0x200004fc,
    0x17c402fc,0x4017e400,0x3ae0006d,0xb803efff,0x803efffe,0x03efffeb,
    0x3bffff22,0x0fff500c,0x3b66ff88,0x77543eee,0x3ee005ee,0x01ffa8ff,
    0x009ffd00,0x3fe60000,0x007c801f,0x08806e80,0xd805f900,0x05f90005,
    0x88001fa8,0xffd98bed,0x317db105,0x3620bffb,0x5ffd98be,0xd50bfe88,
    0xdff701df,0x447ff880,0xfc884ffd,0x3fe2006f,0x7f40cfef,0x260effff,
    0x00003fff,0x017ffa00,0xb80009f1,0x0ff6600e,0xf501fec0,0x0ff60001,
    0xd0003f88,0x20fff60d,0x07ffb06e,0x0fff60dd,0x9ff50dfb,0x880dff90,
    0x7fd40fff,0x00dff104,0x201fffd8,0xfb80dffe,0x000002ff,0x803ffea0,
    0x2e0000fb,0xfffd705f,0x413fa007,0x3a0003f8,0x001b204f,0xff981fdc,
    0x4c0fee0f,0x0fee0fff,0xff07ffcc,0x90bff10b,0xfff00bff,0x204ff983,
    0x3ee006ff,0x3ee04fff,0x3fff900f,0x3bbba200,0xf805eeee,0x017a04ff,
    0x3fffae20,0x7fec4c1e,0x66664c03,0xc9836c0c,0xcccc980b,0x200fcc0c,
    0x807fc45c,0xff12fff8,0x4bffe201,0xff100ff8,0xf81ff45f,0x05ffd86f,
    0x7cc2fff8,0x01bfe04f,0x3ff6ffa6,0x405fb01f,0x4001fffd,0x02efffd9,
    0x301fff70,0xb930005f,0x705fffff,0x500007ff,0xffff981f,0x09d0004f,
    0x7fcc7fb8,0xfeeeeeee,0xddff33ff,0xfffddddd,0x3bbbfe67,0x3fffeeee,
    0x37fcc062,0x2202ffe4,0x7fcc1fff,0x501bfe04,0x3ffe65ff,0xfc80bf06,
    0xf98002ff,0x3e2004ff,0x006c83ff,0x0dfff900,0x80007ff5,0x50bd83f8,
    0x6c8003ff,0x2a3ffcc0,0x999999ef,0xdf509999,0x33333333,0x27bea133,
    0x99999999,0x3bae2009,0x5ffb86ff,0x207ffc40,0x3fe04ff9,0xb07fea06,
    0x0f987fff,0x01fffdc0,0x017ffc40,0xf11bff20,0x7cc00007,0x1ffd40ff,
    0x221b2000,0x2005fd83,0x2be201f9,0x003fe47f,0x64003fe4,0x6440007f,
    0x50dff1cf,0xff880dff,0x027fcc0f,0x3fea0dff,0x0ffff884,0xff3007d1,
    0x3fe0009f,0x7fcc002f,0x0003ee2f,0xa87ff900,0x260003ff,0x0fee001f,
    0x9f404e80,0x003fe47f,0x64003fe4,0x3e60007f,0x4c37fc1e,0x7fcc06ff,
    0x204ff986,0x3ffd06ff,0x657ffee0,0xffff1005,0x0bffe000,0xe97ffa00,
    0xf9800005,0x01ffd44f,0xd8009d00,0x01d7000f,0xfb8ff26c,0x7fdc001f,
    0x0ffdc001,0x4077d400,0x0fff06ff,0xf984ffb8,0x21bfe04f,0x7f407ffa,
    0x2000fdff,0x8001fffc,0xa8002fff,0x02f98fff,0x87ff0000,0x90003ffa,
    0x03f8800d,0x35c05f30,0x0dff51fe,0x1bfea730,0x37fd4e60,0x3ff99cc0,
    0x3f20dff0,0x0bff201f,0xff813fe6,0x00fffb86,0x013fffe2,0x00bfff10,
    0x0005fff0,0x01b73ffa,0x42ff8000,0x98003ffa,0x026c001f,0x074c0bd0,
    0x5fff31fe,0xfff31e80,0xff31e805,0xf71e805f,0x41bfe03f,0x3f603ff9,
    0x409ff106,0xfffc87ff,0x7fffd403,0xff702601,0xfff8005f,0xfff70002,
    0x2000007f,0x3ffa86fa,0x4004e800,0x03ee005d,0xfeeeeee8,0x3fff64ef,
    0xffd8d903,0xfd8d903f,0x64d903ff,0x6ff883ff,0x7cc17f60,0x417fe02f,
    0xffb87ffa,0x7ffdc06f,0x80e882ff,0x2000fffd,0x10002fff,0x0001ffff,
    0x2a0bf600,0x764003ff,0x80132000,0x666402f8,0x23cffccc,0xabeffff8,
    0x7fc41ffc,0xffcabeff,0x77fffc41,0x261ffcab,0x3faa0eff,0xfe88737f,
    0x7c05fd81,0x7fee42ff,0x7fffc41f,0xfcbfd884,0xeb9adfff,0x07ffea04,
    0x0017ffc0,0x000bff90,0x3e601971,0x007ff505,0xd88017cc,0x5d81e443,
    0x541fe000,0xffffffff,0xfffff503,0x3ea07fff,0x3fffffff,0xefdffff8,
    0x105fffd8,0x02fdc1df,0x7ef7ffd4,0x43dffff5,0xcdeffffa,0x3fee1efe,
    0x00efffff,0x056fff4c,0x0077fed4,0x003ff300,0x13bfff70,0x7dc05f73,
    0x013a004f,0x7fffff44,0x00fb80ff,0xe881fe00,0x402fffff,0x2fffffe8,
    0x7ffff440,0xfffb302f,0x202ffdc9,0x02dfefd9,0x8fffff20,0xfd502eff,
    0x207fffff,0x0cffffe9,0x3ffb6e00,0x1cfffede,0x00dd0000,0x7fffff40,
    0x7fec00de,0x001f7006,0x3333332e,0x003f883c,0x54402640,0x5544001a,
    0x0d544001,0x01101880,0x10000a80,0x20035035,0x1000aba9,0x26000055,
    0x00009aba,0x40002980,0xd7001aa9,0x009dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1bdecb98,0xaaa800b8,0x000aaaaa,0x0026e544,0x59bdb971,0x55553000,
    0x55555555,0x0e6ee540,0x159b7300,0x6e5c4000,0x10002cde,0x0059bd97,
    0x2f7b2a60,0x5553000a,0x54455555,0x1aaaaaaa,0x55555550,0x00800300,
    0x59fffd50,0x3f57bfb9,0xfffffb80,0x3aa006ff,0xb3000acf,0xb753559f,
    0x3f60019f,0xffffffff,0xdfea87ff,0x200dfeba,0xffebbee8,0x67ecc001,
    0xcfdba9aa,0x539d7000,0x2001dffb,0xdcaceffa,0x5cc00dff,0x22dfffff,
    0xeffffeb8,0xfff9501b,0x37faa05b,0x41999adf,0xfb101ffb,0x3f22037f,
    0x7ffc02ff,0x803fffff,0x4001efd8,0xfb8802ec,0x7fffc403,0xffffffff,
    0xfa837d44,0x40df980e,0xd9002ffa,0x07f71005,0xff981fa8,0x3bf6200f,
    0x03dfb101,0x40ffff10,0x001ffff8,0x1fec0bf7,0xffffffb3,0x74427ffc,
    0xff5001ff,0x6667dc05,0xe9804ccc,0x2f44004f,0x902f4400,0x55559bdf,
    0x7c45fd55,0x113fe02f,0x3ff603ff,0x0017a200,0x06f817a2,0x7cc0ffee,
    0xffb800df,0x07ffc803,0x800fffdc,0x0ff900fb,0x4555fff1,0xffe82ffd,
    0x01fdc001,0x7c40007d,0x8be8005f,0x00999999,0x004f826c,0x407fa8ff,
    0x02fe46fc,0x1f40bff3,0x30aba988,0x3fe61363,0x20dff101,0x3a000ffe,
    0x7fcc02ff,0x1fffc01f,0xff305d80,0x403ff209,0x05ffc81a,0x1ee07d00,
    0x01dfb000,0xffb15c80,0x05dffbbf,0x200950ba,0x07fdc4fa,0x7fc4ff70,
    0x40ffec04,0xacee985c,0x3a3fefdb,0xf01ffcc2,0x4ffc81ff,0x037fd400,
    0x32027ff4,0x2f8805ff,0x2e05ff70,0x3e6002ff,0x970001ff,0xb80013a0,
    0x74c001ff,0xf912ff40,0x0c1f305f,0xfa85f900,0x993f603f,0x7fdc03ff,
    0x3ee074c4,0x4c7fb104,0xf02ffc0f,0x0fff98ff,0x04ffe800,0x2a037fdc,
    0x7dc00fff,0x205ff900,0x32005ffa,0x220007ff,0xacfffb84,0x0bff3000,
    0xbfb07b00,0x0f20dff0,0x7c43fc00,0x43ff01ff,0x7d403ffb,0x3f21ec5f,
    0x3227c404,0xf880ecc3,0x02fff45f,0x01fffb80,0xf007ffe2,0x05d807ff,
    0x7d40ffea,0x3ffe004f,0xfe800004,0x802fffff,0x44002ffe,0xb85fd80f,
    0x006981ff,0xffd04fa8,0x643fd83d,0x7fcc04ff,0xff983e26,0x34c5b800,
    0xf0bfee00,0x2a0009ff,0x7f402fff,0x3ffea04f,0x880be206,0x5ff905ff,
    0x0fffea00,0xffd30000,0x409fffff,0x99517ffa,0x6c12a037,0x00ffc85f,
    0x2fc8003d,0x25ffff10,0x5ffb83fc,0x953ffcc0,0x06005fe8,0x5fe8007a,
    0x001fffcc,0x404fff98,0x3f607ffb,0x0f700fff,0xff03ff90,0x7ffdc00b,
    0x22000002,0x06ffffda,0xfdf99ff9,0x07907fff,0xbfd117f6,0x3e0016c0,
    0x7fffcc07,0xfff301ee,0x93ffcc01,0x001ffc47,0x7d400b60,0x17ffd40f,
    0x5fff8800,0x80fffc40,0xd03ffebf,0x2ffee00b,0x000dfd98,0x0007fff2,
    0x7ffd4000,0x3fffd83f,0x3627ffd4,0x531bfb02,0x03c807fd,0x22013e60,
    0x2205fffe,0x3ea03fff,0xff98b66f,0x01e40002,0xffc82fe8,0x3fe0001f,
    0x4ffd807f,0x6ffb8fa8,0xd1002f88,0x0039ddd9,0x003fffb0,0x7f440000,
    0x07ffc1ff,0x361fffa8,0xffdffb01,0x0077001d,0xfc8017e4,0xf700efff,
    0x3ff201ff,0x2ffb8765,0x401dc000,0xfffb03fa,0x7ff40003,0x87ffa807,
    0x83fff16d,0x05d1007b,0x7ffe4000,0x80000002,0x3fe63ffd,0x92ffec07,
    0x7dd7f605,0x003c801f,0x4fec01fe,0xd00efffd,0xd7315fff,0x31649fff,
    0xc80007ff,0x3205e803,0x20002fff,0xf8806fff,0xe8fe22ff,0x802744ff,
    0x0540007e,0x0007fff7,0xbff50000,0x2a037fd4,0x6c0ee7ff,0x201bf65f,
    0x09f3001d,0x7fe43fb0,0xfff900ef,0x3fff39ff,0x09ff11dc,0x4c01d800,
    0x3ffea00e,0x3ffe0003,0x4bffb005,0x9ffee0fa,0xff9802f8,0x199aaabd,
    0x2a7fff10,0x00005fff,0x54dff000,0x7fc406ff,0x3f60b50f,0xf013fa25,
    0x00bf2001,0xfff707fb,0x84d54407,0x22d46ffb,0x7c0006fe,0x2601dc00,
    0x10004fff,0x2a007fff,0xf11767ff,0x401ee3ff,0xfffffff9,0x2e0bffff,
    0xfff17fff,0x0000000d,0x6ff897f2,0x3e0fff80,0x7cc5fd80,0x400b502f,
    0x0ffc407f,0x8006ffb8,0x20f83fff,0x38803ff9,0x00e402d4,0x0017ffe2,
    0x0017ffcc,0x05f15fff,0x013a9ffb,0xffffffa8,0x267fffff,0xffb2ffff,
    0x0000000f,0x0fff0fea,0x84c8ffd0,0x0ffb85fe,0x9f3002d8,0x6c07fb80,
    0x3ee001ff,0xfb89906f,0xb036201f,0x3600b005,0xf70006ff,0xffc800df,
    0xffa80fbd,0x2a001f9f,0x75553315,0x454c5fd9,0x05fff32f,0x40005c00,
    0x0fff41fb,0x3f11bfa0,0x74077fc4,0x801aa0ef,0x37ec02fc,0x800ffe60,
    0x3f100ffe,0x261cffa8,0x803540db,0x5fff1001,0x05ffd000,0x5efff980,
    0x0fdfff10,0xd0007d40,0x7ec1f10b,0x4a8000ff,0xf70db000,0x83ff805f,
    0xddddd56a,0x98eee887,0x01fa000f,0x3fe01bf6,0x05ff7002,0xedb886a8,
    0x7cc0acef,0xfb800000,0x7fd4006f,0xfffd0005,0x27ffec05,0x4004f880,
    0x7445b83c,0x34c005ff,0xd00fa800,0x03fcc0df,0x260001b9,0x17e6002e,
    0x8803fee0,0xff9800ff,0x001b9003,0x1800ba60,0x017ff400,0x0001ffd0,
    0xf501ffee,0x3f6003ff,0x303a2006,0xdffb103d,0x881d5001,0x2fa80cfe,
    0x6c0ffe20,0x00f6402f,0x9000bee0,0x13fa005f,0xf9804fb8,0x0f64002f,
    0x800bee00,0xb1000ffe,0xfe8805ff,0x3e20001e,0x06ff804f,0x0033ff60,
    0x01ec85d5,0x5677ffe4,0x80deca88,0xbbdffff8,0xffa801ed,0xa8017dc1,
    0x775402df,0x007e8000,0x3ea0ffa6,0x077dc405,0x02dfa800,0x30007754,
    0xb8005fff,0x7d440bff,0xfd00004f,0x009f9003,0x677fffc4,0x42eeccbc,
    0x3b6a002a,0x2effffff,0x7ffff5c0,0x7f4c003d,0x8001eece,0xeccceeea,
    0xf30002df,0x9df9000b,0x32a05ffb,0x00001dfe,0xd999ddd5,0x3e0005bf,
    0xd98000ff,0xdffedeff,0x1ee00002,0x2000fcc0,0xffffffc8,0x800004ff,
    0x000aab98,0x40000d44,0x100001a8,0x00135753,0x0000a980,0x550026a6,
    0x20000013,0x009aba98,0x00054400,0x0055d440,0x00288000,0xa9880012,
    0x00001abc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x50000019,0x200039b9,0x00330019,
    0x2f772a00,0x035005c1,0x22004040,0x002aaaaa,0x2aaaaaa2,0x0103002a,
    0xaaaaaa98,0x55551aaa,0x01555555,0x2aaaaaa2,0x3db0002a,0x75c3eb80,
    0x300eeb83,0xfd7105dd,0xfa80000b,0x002fea9d,0x17dffdb5,0x000bfd70,
    0xecdffe98,0x440fcdff,0x64c03ffb,0xbffd913f,0xfffb5101,0x32a2007f,
    0x102cffff,0x93bfffd9,0xffca980f,0x751bdfff,0x5bfffffd,0x3ff2a201,
    0xb8002dff,0x3fe601ff,0x83fff10f,0xff300ffc,0x5fffeb87,0x0be60000,
    0x3f500df5,0xea97ffa2,0x20005fff,0x6c40bff9,0x3fb20fff,0xffd503ff,
    0x3ffff67f,0x3fe601ff,0x7c4002ff,0x98efd406,0x2007fffb,0x7403fffb,
    0x44001fff,0xf30001ff,0x7fc403ff,0x81fff10f,0xff300ffc,0x017fee07,
    0x4437c400,0x13e602ff,0xfa81ffd1,0xfd10005f,0x80ffc80b,0xd3303ffc,
    0x957b97ff,0xf980dfff,0x7c000fff,0x5413ee05,0x3e6007ff,0x7fdc01ff,
    0x00bf0007,0x00ffff40,0x05930b2a,0x3e601ff9,0x0bff303f,0x417ee000,
    0x0bfa00fd,0x3fe21362,0x3ff50005,0xf501fb00,0xeffb807f,0x03fffa83,
    0x0077fff4,0x1fe609d0,0x4400fff0,0x7dc00fff,0x0bd0006f,0x3ff3b200,
    0xfc800001,0x07ff300f,0x00017fe2,0xf00027ec,0xff88003f,0x1ff90005,
    0xf501f500,0x4ffa807f,0xd01fff60,0x400bffff,0x807fb04e,0x3e2007fe,
    0x7fd400ff,0x00bd0006,0x3ff93f50,0xff900000,0x40ffe601,0x00005ff8,
    0x260009ff,0x7c4001ff,0xffb0005f,0x2a03e007,0x7fd403ff,0x03ffe603,
    0x4fffcce8,0xff309d00,0x007fd803,0x5003ffe2,0x3a000dff,0xc9fc4005,
    0x00c001ff,0xf9807fe4,0x0bff103f,0x0bff1000,0x007fea00,0x000bff10,
    0x2007ffee,0x03ffa80d,0x3e01ffd4,0x6d3a01ff,0x4e802fff,0x6c00ffb8,
    0x3fe2007f,0x37fd400f,0x4005e800,0x007ff26d,0x0fbfffae,0xf9807fe4,
    0x0bff103f,0x7fc40011,0x3ff90005,0x05ff8800,0x7ffff300,0x7ff50080,
    0x403ffa80,0x53a02ffe,0x401fffe8,0x00ffc84e,0xf1003fec,0xffa801ff,
    0x00bd0006,0x3ff907d4,0x4c5f6c40,0xffc85ffd,0x207ff300,0x3faa5ff8,
    0xff8801df,0x3fbae006,0x01eeeeff,0x7642ffc4,0x7e45eeee,0x4001efff,
    0x7d403ffa,0x0ffec03f,0x7ffcc9d0,0x3613a00e,0x3fec00ff,0x01fff100,
    0x0006ffa8,0x0be200bd,0x37403ff9,0x7e43ffd8,0x07ff301f,0x7fe57fe2,
    0xff006fff,0x6d54c00f,0x00aaacff,0xfd82ffc4,0xfffb00af,0x2a0019ff,
    0x7fd403ff,0x007fec03,0x5fffa89d,0x3ff613a0,0x003fec01,0xa801fff1,
    0xbd0006ff,0x3f217a00,0x207f701f,0x3f20fff9,0x07ff301f,0x43377fe2,
    0xfa83ffd8,0xffffffff,0x1ffc803f,0x42ffc400,0xfc800df9,0x803fffff,
    0x7d403ffa,0x03ff403f,0x3ffee13a,0xff909d04,0x007fd807,0x5003ffe2,
    0x3a000dff,0xc80fb805,0x0ff881ff,0x645fff10,0x7ff301ff,0x20fffe20,
    0xcc986ff8,0xccccfffc,0x01ffc801,0x262ffc40,0x7f54004f,0x201effff,
    0x7d403ffa,0x02ffc03f,0x7ffec13a,0xffb84e83,0x003fec07,0xa801fff1,
    0xbd0006ff,0xf902f980,0xddff303f,0xfffddddd,0x441ffe47,0xf88a4ffd,
    0x01ffe05f,0x64001ffa,0x7c4001ff,0x0013e65f,0xffffffb8,0x807ff503,
    0x3e604ffa,0x8827400f,0x2741fffe,0x9827ffc4,0x3e2007ff,0x7fd400ff,
    0x80bd0006,0x07ff204e,0x26667bea,0x20999999,0x3a60effc,0x44734ffc,
    0x1ffa05ff,0x4001ffa0,0x44001ffc,0x007f55ff,0xffff9100,0x07ff503f,
    0xb00effa8,0x409d007f,0x3a0ffff8,0x3bfff704,0x01ffb6a2,0x400fff88,
    0xd0006ffa,0x3203640b,0x07fc81ff,0xbffff900,0x2fffe3fd,0x817fe20e,
    0x6fd807fe,0x03ff9000,0xfbdff880,0x74c00006,0x7d40ffff,0x7ffd403f,
    0x802fdc0d,0x7ffcc04e,0x7f4413a6,0xd8efffff,0x3fe2007f,0x37fd400f,
    0xf304e800,0x9999999b,0x2399bffd,0xbb0007fc,0x5c3dfffd,0x7fc44fff,
    0x201ffa05,0xf90006fd,0xff88003f,0x3003fffe,0x0ffff400,0xf500ffea,
    0xfd9bfb9f,0x40274007,0x09d5fffb,0x25ffffc8,0x3e2007fd,0x7fd400ff,
    0x209f0007,0xfffffffb,0xffffffff,0x0003ff72,0x2015319b,0x5ff880a8,
    0x3201ffa0,0xff90004f,0xdff88003,0xc801fff9,0x7ffd1002,0x5403ffa8,
    0x035533ff,0x32009d00,0x804ebfff,0x3fec0aa8,0x00fff100,0x2000fff3,
    0xdddd503f,0xfffddddd,0x3fea3ddd,0x17a39806,0x17fe2000,0xfc807fe8,
    0xffc81802,0xaffc4001,0x6400fffb,0x13ff2005,0xfa807ff5,0x9d00003f,
    0x7ffff400,0x3fec0004,0x00dff100,0x8003fff1,0x640001f9,0xfff981ff,
    0x7f88f402,0x5ff88000,0xaa81ffa0,0x425400fd,0x44001ffc,0x1bff65ff,
    0x7dc00f90,0x01ffd42f,0x0000ffea,0xfd100274,0xd80009ff,0x3fe2007f,
    0x09ffd005,0x0000fc80,0xfd80ffe4,0x4cd903ff,0x440000ff,0x1ffa05ff,
    0x3bff73a6,0xc82e881b,0x7c4001ff,0x027ff45f,0x3fa007f9,0x01ffd40f,
    0x0000ffea,0x3e600274,0x6c0004ff,0x445d707f,0xff5003ff,0x027dc00d,
    0x80ffe400,0xabeffff8,0x3fee1ffc,0x7fc40001,0x321ffa05,0xdfffdf11,
    0x901dfd9b,0xf88003ff,0x17ffc45f,0x5404ffc8,0x3ffa83ff,0x001ffdc0,
    0xa8005f80,0x740004ff,0x7ffc40ff,0xe800df30,0x7d400dff,0xfc80000f,
    0x3ffea01f,0x643fffff,0x4c0002ff,0x3ffa06ff,0xf74c8740,0x05ffffff,
    0x3000bff6,0xfff50dff,0x5bfff903,0x704ffb81,0xffb809ff,0xffb80004,
    0x04fc8001,0x40fffc00,0x03f75fff,0xbeffd880,0x1dfd7511,0x3ff20000,
    0x7fff4401,0x0ffb82ff,0x7ffdc000,0x42fff880,0x7f4c6deb,0xff102fff,
    0x7dc001bf,0xfffe80ff,0x7f656642,0x02effeff,0x54c1bff6,0x001affff,
    0x7ffffe44,0x026c004e,0x7ffe4c40,0x3ffea09d,0x2e0001de,0xfffffffe,
    0x200000bf,0x51001ffc,0x001b8035,0x3ffffaa0,0xfffd98de,0x80661dff,
    0xfda809a8,0x03cfffff,0x3bffffae,0xfffff90d,0x55102a7d,0x7f540357,
    0x3225efff,0x0ccccccc,0x20000000,0xcc980018,0xa82ccccc,0x2600000a,
    0x001abcaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55440000,0xaaaaaaaa,
    0x2aa20019,0x1aaaaaaa,0x80088000,0x37a60de9,0xaaaaa880,0x5541aaaa,
    0x81aaaaaa,0xaaaaaaa8,0x22000aaa,0x00aaaaaa,0xaaaaa800,0x01b0001a,
    0x2aaaaa00,0x555441aa,0x3fff51aa,0x55555510,0x01333555,0x376e6000,
    0x7ed4402c,0xfeffffff,0x2202dfff,0xdfffffca,0xfb50001a,0x7f407fff,
    0x213ffa3f,0xfffffca8,0x7fe541ac,0xa881beff,0xcefffffc,0x36e2000a,
    0x0004ffff,0x5f7fffd4,0x03f98001,0xffffd700,0xffeb8839,0x213fee1c,
    0xfffffda8,0xefffffff,0x7e44001b,0x00efffff,0x882fffa8,0x401effea,
    0x0004fffa,0x2a22bf62,0xffd80eff,0x500fff63,0xfd007fff,0x7fcc007f,
    0xf900005f,0x40001fff,0x0004fffe,0x100037ec,0xfb809ffd,0xa80df904,
    0x3109cfff,0x01dfffb7,0x3fbfff60,0x4400ffff,0x7e401fff,0x3fe201ff,
    0x3fa0002f,0x885ffd81,0x401e443c,0x4c02fff9,0xff8001ff,0xf300003f,
    0x20007fff,0x002ffff9,0x007ffe20,0x406ffa80,0x007ec06d,0xa803fff1,
    0x5c02ffff,0xff910adf,0x3fff00df,0x40dffd00,0x0001fff8,0x3fea0bf7,
    0xf1000007,0x77c403ff,0x5fff0000,0x3be20000,0xdb0006ff,0x40003fff,
    0x0005fffb,0xf880fff4,0x101f4402,0xb1003fff,0x27c03fff,0x805fff70,
    0xfa801fff,0xfff101ff,0x3ff10003,0x0001fe40,0x01fff880,0x40001dd1,
    0x00002fff,0x05fff7f1,0xfffbf980,0x3fbe0001,0x2a0000ff,0x00f905ff,
    0x3fff0162,0x3fffe200,0xfd806980,0x0fffc03f,0x817ffc40,0xfffffff8,
    0x3fea02de,0x00300000,0x103fff10,0xf80001fd,0x100002ff,0x00dff95f,
    0x1fff8fc8,0xfd3f5000,0xff80007f,0x0003f80f,0x8007ffe0,0x1a84fffa,
    0x404ffb80,0xfa801fff,0xfff101ff,0xffff7557,0x000ff709,0x77fffe44,
    0xfff8800c,0x0007f441,0x0017ffc0,0xff8af880,0x27f1002f,0xd0001fff,
    0x001ffeed,0xfa87ff90,0xf8011000,0x7f4001ff,0xf30000ff,0x1fff807f,
    0x207ffc80,0xfb81fff8,0x07fec4ff,0x85ff4400,0x4400efea,0x3fa21fff,
    0xfff00000,0x3e200005,0x200bffb2,0x03fff0fc,0x3e25f300,0x220002ff,
    0x402747ff,0x7fc03fd9,0x7fd4001f,0xff50003f,0x01fff803,0x1027ffcc,
    0x3f203fff,0x07ff62ff,0x2a1bf600,0x7fc404ff,0x001ff31f,0x017ffc00,
    0xf32f8800,0x4f8803ff,0x20007ffe,0x02ffe47c,0x4cbff600,0x3ffae01f,
    0x0fffc03f,0x17ffe600,0x403fdc00,0x3ea01fff,0x3e200cff,0xfff101ff,
    0x0017fe4b,0x7fc42ffc,0x4fffc405,0x00000ff9,0x00017ffc,0x3ff62f88,
    0xff07dc05,0x3f88003f,0x000fffcc,0x172bff30,0x07ffb130,0x4001fff8,
    0x0006fff8,0xfff007fb,0xffdb999d,0xff1003df,0x3fff403f,0x5700dff7,
    0x6ff81ff4,0x7dfffc40,0x400000ef,0x00002fff,0x7ffd45f1,0xfff17a00,
    0x80fb8003,0x40004ffe,0x002f9ffe,0xffa87ff7,0xffffffff,0x3ffe07ff,
    0x06f88007,0x999dfff0,0x05dffffd,0x403fff10,0xff30fffd,0x2234405f,
    0x80dff301,0xfffdfff8,0x3e00000e,0x100002ff,0x04ffe85f,0x1fff83f5,
    0xfa827400,0xccc800ff,0xffffeccc,0x42cccccc,0x55443ffa,0xaaacfffa,
    0x3ffa02aa,0x02fd8007,0x2203fff0,0x202efffb,0x3e01fff8,0x7ffec7ff,
    0x4404d881,0x406ffeeb,0xffc9fff8,0xf00000ef,0x200005ff,0x7ffd42f8,
    0xfff86e80,0x807ea001,0xcc803fff,0xfffccccc,0x2ccccccd,0x3e01ffd4,
    0xff8001ff,0x27cc006f,0x803fff00,0x102fffe9,0x3e603fff,0x7ffcc5ff,
    0x0efdaacf,0x3e39f910,0x7ffc406f,0x01dfff91,0x05fff000,0x20be2000,
    0x17cc3fff,0xb000fffc,0x06ffc80d,0x00ffec00,0xf807ff50,0x7c4001ff,
    0x2f4005ff,0x007ffe00,0x203fffe2,0xd881fff8,0xffb81fff,0x01ffffff,
    0x6ff83df3,0x90fffc40,0x0001dfff,0x0002fff8,0xff705f10,0xfff06d8f,
    0x3ffe6003,0xffffffff,0x320001ff,0x3ea001ff,0x0fffc03f,0x0fffe600,
    0x4000ed80,0xfd001fff,0xfff105ff,0x3fffe883,0x3ffffa60,0x01df500d,
    0xff880dff,0x77ffe41f,0x3ffe0000,0x5f100002,0x267fff10,0x03fff03f,
    0x26667f20,0xffd99999,0x55555405,0xaacffeaa,0x7d41aaaa,0x0fffc03f,
    0x0bffee00,0x40007dc0,0xf7001fff,0xfff107ff,0xdfffd977,0x03362003,
    0xff03ff98,0x1fff880d,0x00efffc8,0x005fff00,0x205f1030,0x40f96ffc,
    0xf8801fff,0x1fff5003,0x7fffffc0,0xffffffff,0x7fd44fff,0x00fffc03,
    0x00dfff10,0x7c0007ea,0xff7001ff,0xdfff103f,0x0037bddd,0x2e01df88,
    0x0dff01ff,0x901fff88,0x0001dfff,0xa8005fff,0xf102f883,0x7c09f7ff,
    0x0fb801ff,0x00fffa00,0x000ffe40,0xff807ff5,0x3ff2001f,0x01f9801f,
    0x007ffe00,0xf883ffec,0x700001ff,0x7fe40fff,0x406ff883,0x3201fff8,
    0x4000efff,0x74002fff,0x3202f880,0x3e00ffff,0x04e801ff,0x0037fdc0,
    0x2001ffc8,0x7fc03ffa,0xfff3001f,0x005f3009,0x07ffe203,0x413ffea0,
    0x0001fff8,0x4c07fe60,0x3faa0eff,0xff10737f,0xfffc803f,0x3ffe000e,
    0x441ae003,0x3ffe602f,0x00fffc04,0xf3000bee,0xfb0007ff,0x7fd4003f,
    0x07ffe203,0x01bffe60,0x16a00bea,0x200fffc4,0x2605fffa,0x00002fff,
    0xfff01fe6,0xffb1dfbf,0x3ffe60bf,0xffffd802,0x09fff002,0x7cc13f20,
    0x00ffec03,0x4405fff1,0xfff0007e,0xffd8001f,0x13fee002,0x401fff88,
    0xa803fffc,0xccccccef,0xc882fedc,0x99acdfff,0x03fffeba,0x037fff62,
    0x7fd31000,0x4fffd980,0x64417fee,0xfc805fff,0x101cffff,0x599ffff9,
    0xffdb9955,0x01dfb103,0xf9102fcc,0xfb101bff,0xff88003f,0xf1000dff,
    0x7ec00bff,0xfff9106f,0xfb75359b,0xf5001bff,0xffffffff,0x6cc1ffff,
    0xffffffff,0x1bdeefff,0xfffffb30,0x20005bff,0x22000bcb,0xfb301101,
    0x5bffffff,0xfffffe98,0xf913ffff,0xffffffff,0xffffffff,0xfffffd98,
    0xb303d02d,0xbfffffff,0x3ffffee5,0x7ff4403e,0x206fffff,0xffffffeb,
    0xfffd700e,0x3ff669df,0xffffffff,0x1001abce,0xffffffff,0x00bfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xaaaaaaaa,0xaaaaaaaa,0xaaaa8002,0xaaaaaaaa,
    0x0aaaaaaa,0x5555554c,0xaaaaaaaa,0xfa80aaaa,0xdddd91ff,0xddd705dd,
    0x0bdd903d,0x55555551,0x51003335,0x55555555,0x10001333,0x55555555,
    0x10001333,0x55555555,0x55555555,0x40260035,0x06754008,0x91001bd3,
    0x3ff2a203,0xffffffff,0x8007ffff,0xfffffeca,0xffffffff,0x7fec1fff,
    0xffffffff,0xffffffff,0x5c2ffd82,0x2600efff,0xfff981ff,0x7fed442f,
    0xffffffff,0xffb5102d,0xffffffff,0x10037dff,0xffffffb5,0x01bfffff,
    0x3fff2a20,0xffffffff,0x5405ffff,0x05c0dffe,0xfe8fffe0,0x3ff2603f,
    0x1fffa802,0x00ff9310,0x7feffc40,0x20fec404,0x9999adfd,0xa999bffe,
    0x3ff83ffb,0x980bff90,0xfd7fd02f,0x5fffd40d,0x4fffca89,0x567ffd40,
    0xfffb7511,0x3fea003d,0xffb311af,0xff98007f,0x2fdc402f,0xffffdf10,
    0xfd00d139,0x417ff45f,0x02ffffd9,0x801fff98,0x3e20007b,0xd004ffcb,
    0x3fa05d85,0xa87f103f,0x3ffe204f,0x7d41f200,0x7c40ff22,0xfff981ff,
    0x3fff100e,0x3ffffa80,0x01fff880,0x8009fff5,0xd7002fff,0xffd89dc0,
    0xc9804fff,0x8981e443,0x8802ffe8,0x78801fff,0x323ee000,0x857004ff,
    0x0fffa01e,0x402e43a8,0x13e03ffb,0x407d40f4,0xf501fff8,0x3fe207ff,
    0xffd8801f,0x7ffc402f,0x01fff601,0x2005fff0,0x3a612068,0x000004ff,
    0x200bff20,0x7001fff8,0x64fe0001,0x853004ff,0x01fff406,0x8800d891,
    0x01f507ff,0x441cc035,0x3fe01fff,0x07ffe05f,0x07fffc40,0xa807ffe0,
    0x3e002fff,0x812002ff,0x00002200,0x05ff7000,0x003fff10,0x327b8000,
    0x020004ff,0x0807ffd0,0x0fff2000,0x10000176,0x7ec03fff,0x3fff00ff,
    0x2fffd400,0x8807ffe0,0x3e005fff,0x000002ff,0x00880000,0x4017fdc0,
    0x0001fff8,0xfc8fe200,0x0000804f,0x20007ffd,0x37fc4008,0x08800be2,
    0x00fffc40,0x3e03fff9,0x7f4001ff,0x3ffe00ff,0x13ffe601,0x802fff80,
    0x11011000,0xffec9800,0xffb801ce,0x1fff8802,0xb8000360,0x2027fe47,
    0xffd0002b,0x3fd98007,0x322ffc80,0x07fb3007,0x201fff88,0xff00fffd,
    0xffa8003f,0x07ffe03f,0x003fffa8,0x1600bffe,0x6d4bf930,0xfb801dff,
    0x05ffb30b,0x8802ffb8,0x1f101fff,0x90fe2000,0x02e809ff,0x007ffd00,
    0x00ffffae,0x03f9bfe2,0x01ffff5c,0xf807ffe2,0x3ffe06ff,0x7ffcc001,
    0x407ffe05,0x4006ffe8,0x2cc02fff,0x95fffea8,0x80dfffff,0x7ffb04fa,
    0x4017fdc0,0xc981fff8,0x0d90000f,0x2e609ff9,0xffd0002f,0x3f626007,
    0x5ff9003f,0xd89801f5,0x7fc403ff,0x5fff701f,0x000fffc0,0xf81bffe2,
    0xffd881ff,0x7ffc001f,0x4417a202,0x1ccdffc8,0x2a09ffd3,0x3ffe207f,
    0x005ff700,0xddddfff1,0x0001fffd,0xfff905f1,0xffffdddd,0x3ffa0005,
    0x1ffdc003,0x5deff980,0x00ffee00,0xf703fff1,0xfff809ff,0x7fff8001,
    0x4c47ffe0,0x000dfffb,0xeeeefff8,0x405fffee,0xf983fff9,0x80bfd05f,
    0xff704ffd,0xbfff1005,0x1ffb9999,0x320db000,0xbaaaadff,0xd0002fec,
    0xfa8007ff,0x3ff6003f,0x3fea002f,0x77ffc403,0x2effeccd,0x001fff80,
    0x3e07ffe8,0xffffffff,0x3fe0000c,0xcaaaaacf,0x7fc405fe,0x10dff105,
    0xff9809ff,0x005ff707,0x2603fff1,0x5fcc000f,0xffd99999,0x000ba204,
    0x2001fff4,0x26003ffa,0x7d4006ff,0x7ffc403f,0x01abca9a,0x0007ffe0,
    0xff81bffe,0x4fff99af,0x17ffc000,0xff101720,0x543ff40b,0x7fc403ff,
    0x02ffb80f,0x201fff88,0x7fec000d,0xffffffff,0x80015c04,0x54003ffe,
    0x7ec003ff,0x1ffd4003,0x007ffe20,0x007ffe00,0x40bfff10,0x3fe61fff,
    0x3fe0002f,0x202c402f,0x3f605ff8,0x803ffc87,0xffb82fff,0x1fff8802,
    0xf98002e0,0x013ff201,0x3fa00053,0x7fd4003f,0x007dc003,0x100ffea0,
    0x00003fff,0x98003fff,0x3fe04fff,0x07ffe41f,0x02fff800,0x2ffc4058,
    0xffb0ffb0,0x03ffd009,0xf1005ff7,0x400003ff,0x27fe405e,0xffd00000,
    0x3ffa8007,0x4002ec00,0x7c403ffa,0xf80001ff,0x7dc001ff,0x3ffe02ff,
    0x005ffe81,0x0005fff0,0x6c0bff10,0x04ffc87f,0xff707fe8,0x3fff1005,
    0x07ea0000,0x0009ff90,0x01fff400,0x800ffea0,0xfa8001f8,0x7ffc403f,
    0xfff80001,0x37ff4001,0x2207ffe0,0xf8003fff,0x880002ff,0x1ff605ff,
    0x3e01bfee,0x05ff705f,0x003fff10,0x32017a00,0x05c004ff,0x003ffe80,
    0x9001ffd4,0x3fea000d,0x0fffc403,0x0fffc000,0x03fff900,0xf501fff8,
    0xff8003ff,0x21cc002f,0x3f605ff8,0x01fff887,0xffb81ffc,0x1fff8802,
    0x00fb8000,0x2004ffc8,0x3ffa0069,0x1ffd4003,0x0001f980,0xf8807ff5,
    0xf80001ff,0xff1001ff,0x3fff009f,0x0077fec0,0x8005fff0,0x02ffc41e,
    0x3ff20ffb,0x403be604,0xf8802ffb,0x440001ff,0xbff9005f,0xd0027400,
    0xfa8007ff,0xbbdea83f,0x3ea0004f,0x7ffc403f,0x7fc40001,0xffe9801f,
    0x7ffc400d,0x17ffa201,0x002fff80,0x17fe21b2,0xff107fd8,0x807f605f,
    0xf9802ffb,0x640002ff,0xbffb002f,0x003fb100,0x2001fffc,0xffe84ffb,
    0x5c0006ff,0x7fcc04ff,0x7c40002f,0x7fe401ff,0xfff1002f,0x4fff9805,
    0x03fff880,0xff509f70,0x807ff40b,0x7e42ffe8,0x017fdc02,0x017fff22,
    0x804ffb80,0x99bffff9,0x7ffcaa99,0x3bffee00,0x1bff6000,0x0037fff2,
    0x40dffb00,0x00dfffd8,0xbfff9100,0xfdb75357,0x322001bf,0x5c00dfff,
    0x2e02dfff,0x999aefff,0x1ffdba99,0x880fffc8,0x36202fff,0x02dfefff,
    0xb305ffd8,0xbfffffff,0x3ffa6005,0xfec84fff,0xffffffff,0x04ffffff,
    0x7ffffe44,0x3ae02dff,0x4c4effff,0x75c0000b,0x264effff,0xfffffffd,
    0xffb3002d,0xffffffff,0x2001579d,0xffffffd9,0x3ff602df,0xfd914fff,
    0xffffffff,0x8dffffff,0xdeffffea,0xfffffd98,0x00d4c01d,0x7ffff74c,
    0x000000de,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cea8000,0x2a0037a6,0xaaaaaaaa,0xaaaaaaaa,
    0x55555530,0x2a201555,0x12aaaaaa,0x55555555,0x55550355,0x54435555,
    0xaaaaaaaa,0x55555441,0x2aa1aaaa,0x2aaaaaaa,0x6ecc1bd3,0x10000000,
    0x40220009,0x01360039,0x0005f000,0x3e000018,0x0fffa3ff,0x3fffffe0,
    0xffffffff,0x3ff265ff,0x00adffff,0x9ffffd51,0x3fffae25,0xa81befff,
    0x1befffeb,0x3ffff2a2,0x65441acf,0x1bdfffff,0x3ffffaea,0x49ffd2bf,
    0x99b14ffd,0x99999999,0x07999999,0xeb98012e,0x5d10dfff,0x00026c00,
    0x91000be0,0x019dffff,0xd17ff400,0xff8805ff,0x7ff4009b,0xffff980e,
    0x0f7fc006,0x3ffffd10,0x007ff500,0x2009fff5,0x4405fff9,0xffd86fff,
    0x1c53ff23,0x7c41c000,0x217f7004,0x03ecffd9,0x000026c0,0xfe8800be,
    0x01dfd50b,0x910f2600,0x003f3007,0x9807fff2,0x22006fff,0xfe8800ff,
    0x3fc803ff,0x05fff100,0x401fffc0,0x3c884ffe,0x03885e44,0x4fd83800,
    0xfb03fa80,0x09b000bf,0x002f8000,0x3fea1bf6,0x00000004,0x7fcc0166,
    0xfffc804f,0x005f7002,0x2037ffc4,0x3e2004f9,0x3fe001ff,0x3ffe802f,
    0x001c4000,0x13ff21c0,0x2201ff30,0x6c000fff,0x17c00004,0xf10bff00,
    0x000000bf,0x74401d40,0x3fa006ff,0x00bd006f,0x209fff50,0xff8005f8,
    0x3ffe001f,0x03ffd802,0x0001c400,0xffffe99c,0x2ff41eee,0x00bfff90,
    0x400004d8,0x0ffa002f,0x000037fc,0xb0013000,0x4c003fff,0x7e404fff,
    0xfff90000,0x0001dd03,0x7c003fff,0xffd802ff,0x71011003,0x2a670000,
    0x0aaaeffb,0xaec827fc,0x26c007ff,0x00be0000,0xdff30188,0x3bbbb600,
    0x2f777543,0x3ffea000,0xfffc8003,0x0007f301,0x7e46ffe8,0x3fff0001,
    0x017ffc00,0x2601ffec,0x003883fd,0x27fc4380,0xd707ff30,0x003fff11,
    0x2000026c,0x2e20002f,0x2006ffee,0xc884ffd8,0x220006ff,0x20005fff,
    0x0bd06ffe,0x9fff3000,0xf8000bea,0x3fe001ff,0x3ffd802f,0x07fffd70,
    0x87000071,0x3ee04ff8,0xff07d44f,0x2aaaa25f,0xaadeaaaa,0x30aaaaaa,
    0x55555555,0x5555559f,0x39f91055,0xf5001bfe,0x1bfe209f,0x0fffd800,
    0x3ffe6000,0x00007dc3,0x4fbfffc8,0x0fffc000,0x005fff00,0x22607ffb,
    0x03883ffd,0x7fc43800,0x997ff204,0xa8fff41f,0xffffffff,0xffffffff,
    0xffff90ff,0xffffffff,0x98ffffff,0x037fc1ef,0xf813fe60,0xff70006f,
    0xf900005f,0x00fe21ff,0xdfffd000,0x3fff0000,0x017ffc00,0x2e01ffec,
    0x003883ff,0x27fc4380,0x3e6dff70,0x4007fd82,0x7c00004d,0x03bea002,
    0xf3001bfe,0x037fc09f,0x02fffcc0,0x6ffe8800,0x300000db,0x00009fff,
    0x9999bfff,0xff999999,0x7ffb005f,0x883ffa80,0x44380003,0x3fea04ff,
    0xdfd03e8f,0x0004d800,0xf98017c0,0x00dff03f,0x3e04ff98,0xffe8006f,
    0x2a00000f,0x001fdfff,0x5fffb000,0xefff8000,0xeeeeeeee,0x802fffee,
    0x7d403ffd,0x0003883f,0x027fc438,0x409dfff1,0x26c004ff,0x00be0000,
    0xff80ffdc,0x27fcc006,0xc800dff0,0x00001fff,0x004fffd8,0xffff3000,
    0x7fc0001d,0x3ffe001f,0x03ffd802,0x1c41ffd4,0x3e21c000,0x37fdc04f,
    0x8001ff30,0x7c00004d,0x07ff9002,0x9800dff1,0x1bfe04ff,0x04fff980,
    0xfff10000,0xf1000003,0x009fff39,0x000fffc0,0xfb005fff,0x3ffa807f,
    0x38000388,0x22027fc4,0x3f903fff,0x0009b000,0xf3002f80,0x7ff541df,
    0xff300737,0x8037fc09,0x0006ffe8,0x00fffc00,0xf9374000,0x3e0005ff,
    0x3fe001ff,0x3ffd802f,0x441ffd40,0x44380003,0x776404ff,0x017dc2ff,
    0x00004d80,0xfff0017c,0xffb1dfbf,0x3fe600bf,0x401bfe04,0x0001fffc,
    0x00fffc00,0xd03f2000,0xf0001fff,0x7fc003ff,0x3ffd802f,0x441ffd40,
    0x44380003,0x43ae05ff,0x2dfefffc,0x00136000,0x4c005f00,0x3ee4fffd,
    0x3fe6005f,0x201bfe04,0x4003fffa,0x1fff8000,0x0bea0000,0x0013ffe6,
    0xf8007ffe,0xffd802ff,0x41ffd403,0x43800038,0xe8846ff8,0x000d4c40,
    0x2e004d80,0xeeeeeeee,0xeeeeeeef,0x1101885e,0x04ff8800,0xff101ffe,
    0x02a800bf,0x001fff80,0x6409f300,0x7c002fff,0x3fe001ff,0x3ffd802f,
    0x441ffd40,0xf8380003,0x000550ff,0x00570000,0x66666654,0xcccccccc,
    0x00004ccc,0x2a0bff00,0x7fec07ff,0x00ec000f,0x000fffc0,0x7402f440,
    0x3e000fff,0x3fe001ff,0x3ffd802f,0x441ffd40,0xd8380003,0x0005efff,
    0x00000000,0x00000000,0xc85fff00,0xf701fffd,0x798005ff,0x1fff8800,
    0x07f44000,0x02fffcc0,0x001fff88,0x3a00bffe,0x7fdc04ff,0x80003884,
    0x0cffe883,0x00000000,0x00000000,0xff500000,0x3febfbdf,0x3fe21eff,
    0x37cc005f,0x17ffc400,0x07fd1000,0x027fff40,0x0017ffc4,0xfd007fff,
    0x6ffd809f,0x38000388,0x00000020,0x00000000,0x00000000,0xf1ffffe4,
    0xfffd05df,0x55555557,0x0bffb955,0xdfffc880,0xfffa8000,0x3fffa003,
    0xff9100cf,0x3fee00bf,0x7ffd406f,0xfffeb80e,0x333624ef,0xcccccccc,
    0x03cccccc,0x00000000,0x00000000,0x10000000,0x2e035035,0xffffffff,
    0xffffffff,0xfb3003ff,0x5bffffff,0xfffff700,0x7f6c05df,0x26ffffff,
    0xffffffd9,0x7fe442df,0x12dfffff,0xfffffff9,0x0000007b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20001100,0x00c00008,
    0x0c0020c0,0x00000440,0x00000000,0x00000000,0x7dddddd9,0x03dddd90,
    0x04004404,0x77777640,0x3bbbbb64,0x77776c2e,0x02601b10,0x3f6a0254,
    0xc9803fff,0x001ceffe,0x07dfffd7,0x677f7f4c,0xfdfd901e,0x3ff6619d,
    0x02da83ff,0x03d80000,0xe81323d1,0xa8000002,0x3fffa60e,0x203be600,
    0x3fa65fc9,0x7f6442df,0x3fee00df,0xdfffa84f,0x441df700,0xfffd50ee,
    0x413ea1bf,0xfa88afd8,0x17f700ef,0x880bff66,0xffd98bed,0x710cf985,
    0x2fe883ff,0x33eb7fea,0x445ffd99,0x0000befd,0x97606b80,0x01f502f8,
    0xff910000,0x07ffa819,0x3f660fcc,0xffdf75ff,0x3ffe63ff,0x7ec05fff,
    0x07ff903f,0x774407d4,0xeb99acfe,0x3fa04fdf,0xa85ffd81,0x07ffb04f,
    0x1ffec1ba,0x20fd41ba,0xfffd86fd,0x983ffb83,0x0000cffc,0x3f205f50,
    0xee80fe41,0xfb300000,0x7ff4017f,0x22217201,0x10ccdffc,0x15d3dff9,
    0x880bffaa,0xbff105ff,0xdf302640,0x7037e403,0x1ffea0bf,0x7fc40ff5,
    0x981fdc0f,0x0ff10fff,0x09ff10f4,0xf101fff7,0x7fdc40ff,0x3e60001d,
    0xf10bf706,0x00bf301f,0x02efea80,0x7c09ff50,0x0fffe202,0x54077ffc,
    0x7ff404ff,0x201ffb00,0x003f201f,0x3fe207f2,0xfd0ff201,0x24ffd80b,
    0xff100ff8,0x40ffe65f,0x541ff41b,0x3ffe06ff,0x2efea800,0x417f4400,
    0xdf900ff9,0x10013f60,0x0003bff7,0x0d501fff,0x3605ff88,0xbff302ff,
    0xd03ffa80,0x40d509ff,0x176002f9,0x10003fea,0xff9809ff,0x3bbbfe67,
    0x3fffeeee,0x40037ffa,0xddfff501,0x3fffdddd,0x5ffecc00,0x886fd800,
    0x3fe204ff,0x802ff985,0x000cffc9,0x360fff20,0x02ffc403,0x7fc05ff7,
    0x437fc406,0x3d87fffa,0xf7001ee0,0x8007fb81,0x7c403ffa,0x33df50ff,
    0x33333333,0x5ffffe41,0x7fecc000,0x999999df,0x88000999,0xf901cffc,
    0x0ffe885f,0x6c1ffdc0,0xdfb501ff,0x3e200005,0x4007cc6f,0x3fee05ff,
    0x201bfe02,0x65ec1ffc,0x803e22ff,0x0fcc005c,0x90003ff6,0xfff007ff,
    0x8001ff25,0x02fffffd,0xffabfea8,0x88000004,0x3ee2dfeb,0x04ffd86f,
    0x4c2fff88,0xfd710eff,0xb000003b,0x802e43ff,0x3fee05ff,0x201bfe02,
    0x23e64ff9,0x016e5ff8,0x85f0009b,0x6c001ffd,0xffe804ff,0x8000ff91,
    0x04ffffea,0x7fcc7fd3,0x20000005,0xff70ffe8,0x009ffd0b,0xff10fffa,
    0x077fe61f,0x7fcc0000,0x7fc007e5,0x80bfee05,0xffd006ff,0x21ffb26c,
    0x002e402e,0x5ff907e6,0x04ffc800,0x3fee7fe8,0xffb80001,0x0ffdc5ff,
    0x0001bfe6,0x2fbf6600,0x220ffec0,0x7dc00ffe,0x42ffd84f,0x002dffb8,
    0xa8ffe800,0x817fe006,0x3fe02ffb,0x15ff7006,0x4dffd41f,0x4007b807,
    0x06ffb87a,0x0dff72b8,0x7fd4bff0,0x01139806,0x221fffb1,0x7ff885ff,
    0xa8001a80,0x7f402dfe,0x404ff986,0x3ff985ff,0x01f7f540,0xd9ff7000,
    0x02ffc007,0x7fc05ff7,0x9bff1006,0x099dff0b,0x22009f10,0x2fff984e,
    0xfff89a20,0xf31ffc01,0x31e805ff,0xb97fec09,0x5ffd01ff,0x88007440,
    0x1001cffb,0x1ff505ff,0x3603bee0,0x3f66005f,0x440000cf,0x2000ffff,
    0x3fee05ff,0x801bfe02,0xfc81fffd,0x3f7001ff,0x3601fb00,0x4d881fff,
    0xf3027fe4,0x3fffd81d,0x503ccd90,0x0fff23ff,0xd8077fe4,0xbffc9804,
    0x06f98000,0x07fe09f7,0x44001be6,0x0001dffc,0x88013ff2,0x3fee05ff,
    0x801bfe02,0xff305ffa,0x1ffd400d,0x300efe88,0xb559ffff,0xfff881df,
    0xf103fb02,0xf957dfff,0x9827cc3f,0x0dff50ff,0x37fffff7,0x5401ff93,
    0x80002efe,0x81fb02fa,0x01fb02fb,0x5dfd7000,0x03ff3000,0x7037fc40,
    0x3ffc05ff,0xe80bfe00,0x79f5003f,0xdfd97bdf,0x3ee01dd5,0x1fffffff,
    0xc85ffd10,0x3ffea02f,0x4c3fffff,0x17ec1cff,0x3aeffffe,0xfffff98e,
    0xfb881fff,0x400001df,0xf893a06c,0x0003f303,0x0bffda80,0x5001b600,
    0x3fa01fff,0x3fff304f,0x2e036400,0x23f9800f,0x22ceecb8,0x3fa606e8,
    0x4400dfff,0x2dfefffd,0xffffe880,0xffef982f,0xea81cece,0x74c3ffff,
    0x981effff,0x00000cff,0x87440b60,0x000b604b,0x0ffc9800,0x26003300,
    0x1deffffd,0x9dffffdb,0x3fffffaa,0x4018800d,0x000a0028,0x554400c4,
    0x01a98000,0x80355100,0x4c00aa60,0x0d54401a,0x00000530,0x02110040,
    0x00000010,0x000002e2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88088000,0x77776c00,0x2f777543,0x3aa04080,0x325eeeee,0xe882eeee,
    0xeeeeeeee,0x00546eee,0x05400350,0x00026000,0x2a200488,0x059301cd,
    0x2200e6d4,0x2200bddc,0x5402ccaa,0xcc882cec,0x0cc0edc0,0x3ffe6020,
    0xda97f262,0x36201dff,0xffc884ff,0x457f2606,0x3f222ffc,0x1efd85ff,
    0x5579df10,0x89fff755,0x4fa800fe,0x000df900,0xb0003fcc,0xbdf1005f,
    0x7fecc9ff,0xffeff883,0xfddff706,0xfc93a05f,0xd99ed884,0x8ffee0df,
    0x7fe46ff9,0xfb85980d,0xbfffd53f,0x1bfffff2,0x2209ff50,0xffea86ff,
    0x0dfffd5f,0x0dd0dffb,0x3f200f88,0x00fe886f,0xfc8013ea,0x3fee0007,
    0x6efa8000,0x3fe61d80,0x1e41fec0,0xcf987fd3,0xf507f661,0x7e43fd45,
    0xff927f42,0x3e3ffd49,0x1ee83fff,0xf91127f4,0x3a6399bf,0x3fe604ff,
    0x221bfe04,0xaacdffc8,0xffe884fe,0xb3003f23,0x807ffd40,0x4fa80fe8,
    0x00054400,0x513fcc35,0x7f19d001,0xf90fd000,0x6fb84887,0x88df0374,
    0xf107fcc4,0x70ffa81f,0x37fd47ff,0xf517fff6,0x417e21ff,0xf983fff9,
    0x13fe605f,0x3e606ff8,0xf30044ff,0x003f31ff,0x3ffe2051,0x307f4402,
    0x0000009f,0x8afc9ff5,0x87dc07fe,0x3e6000fb,0x3003fc82,0x901fc49f,
    0x3f36601f,0x221fea1f,0x45ff52ff,0xb9a85ff8,0xd52ff886,0x417fe201,
    0x3e606ff8,0x81bfe04f,0xc8006ff8,0x0003edff,0x1004ffe8,0x009f31fd,
    0x3fe20000,0xffd17d5f,0x3a1fc40d,0x20bd5005,0x3f9003fc,0x3f300fcc,
    0xff88cd88,0x3e03fee1,0xf83ff33f,0x220f604f,0x440190ff,0x1ffa05ff,
    0x3e04ff98,0x17fe206f,0x037ff400,0x037fe400,0x813ffa20,0xaaaaaaa9,
    0xaaaaaaaa,0x3fb262aa,0x0beffbdd,0x07ea1b60,0x81dffd90,0x89f003fc,
    0x83f204f8,0x87fe25f9,0x1ff81ffa,0x07fb0ff1,0xfd9883e2,0x17fe2004,
    0x3e607fd8,0x81bfe04f,0x30005ff8,0x40001fff,0x8000fffa,0x3f200ffa,
    0xffffffff,0xffffffff,0x15ff9107,0x3603f500,0x89fd1006,0x05d803fc,
    0xd1be20fd,0x10ffc45f,0x46f889ff,0x901fc86e,0x000bcb89,0xfb02ffc4,
    0x027fcc0f,0x7fc40dff,0xfff30005,0x3fe2000b,0xcfa8002f,0x000000fe,
    0x6eff5cc0,0x13a00adf,0xf3003f88,0x6403fc8d,0x45bf300d,0x6ffc1fea,
    0x21affc88,0x07ee1ffb,0x981f509b,0x4400003e,0x1ff605ff,0x3e04ff98,
    0x17fe206f,0x3f6fa200,0xffe8003f,0x14fa8004,0x000001fd,0xb1dffb10,
    0x707fff75,0x00fb801f,0x03fc8bf0,0x3fea0172,0xfb82fffe,0x2ffe8dff,
    0x0f6e7fdc,0x2234c1dc,0x8800000c,0x1ff605ff,0x3e04ff98,0x17fe206f,
    0x7fc57600,0x3ff2001f,0x44fa8006,0x00000ee8,0xf877fd40,0xf88fff54,
    0x5009d003,0xb03fc85f,0x4425cc49,0x2600bccb,0x4402e60a,0x402201aa,
    0x20000000,0x3f605ff8,0x813fe207,0x3fe207ff,0x707dc005,0x3ea00dff,
    0x260e00ff,0x01dd104f,0x88016cc0,0x54df30cd,0x50036c3d,0x26fbe23f,
    0x44fd83eb,0xffffffe8,0x0000001f,0x00000000,0xbff10000,0x3e03fec0,
    0x0fff505f,0x3002ffc4,0x09ffb03f,0x402fff88,0x22027cc5,0xffb000ee,
    0x3fee0001,0x00072200,0x66f6dc57,0x666664c0,0x99999950,0x00000099,
    0x00000000,0x7fc40000,0xf01ff605,0xffdc85ff,0x0bff101f,0x7c413a20,
    0x3ffa02ff,0x13a2d404,0xb802f440,0x3ee0005f,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x3a05ffa8,0x3fea00ff,0xfff5fdef,0x6ff883df,
    0x202fe880,0xfc81fffe,0x999999ef,0x00044fb9,0x00010002,0x00003c88,
    0x99998800,0x99999999,0x2e199999,0x2ee206ff,0x3311c002,0x98333333,
    0x037a60de,0xfc800000,0xfff880ff,0x7fffe402,0x5c0bbfe3,0x3e601fff,
    0x7f443fff,0xf30effff,0xffffffff,0x0009ffff,0x00000000,0x3fffea00,
    0xffffffff,0x50ffffff,0xffffffff,0xffffffff,0x0ffec1ff,0x67ffffe4,
    0xff734401,0x43ffffff,0x3ff63ffe,0xa8000004,0x8deffffe,0xdfffffd9,
    0x2a06a201,0xffffd501,0x000003df,0x00000000,0x00000000,0x99999880,
    0x99999999,0x310fa999,0x33333333,0x33333333,0xeb87fd03,0xeffda88a,
    0x3ee4c80b,0x1fffffff,0xffd8fff6,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c400000,0x88000000,0xb880fc6f,0xfebbdffe,
    0x2aaaaa60,0x0f220aaa,0x00000791,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000001f1,0x03443e60,0x0beffc98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000f8800,
    0x08aa0000,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x999930f8,0x99999999,0x01999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeee98744,0xeeeeeeee,0x0eeeeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_39_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,3,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,1,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_39_latin1_y[224]={ 31,7,7,7,5,7,7,7,6,6,6,10,27,21,
27,6,7,7,7,7,7,7,7,7,7,7,14,14,10,15,10,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,37,7,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,10,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,31,14,8,7,11,7,
6,7,8,7,7,14,15,21,7,4,7,10,7,7,7,15,7,17,30,7,7,14,7,7,7,14,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,12,6,0,0,0,1,0,7,6,7,7,
7,7,8,6,14,14,7,7,7,8,7,7,7,8,6,7,7,7,7,7,8,12,14,7,7,7,8,7,6,8,
 };
static unsigned short stb__times_39_latin1_w[224]={ 0,5,11,17,15,28,26,4,10,11,14,20,7,10,
5,10,16,10,17,14,17,15,16,16,14,16,4,6,20,20,20,14,31,26,22,22,25,21,19,24,25,11,14,26,
21,31,26,24,19,24,24,16,20,26,26,33,26,25,21,9,10,8,16,19,6,15,18,14,17,14,15,16,18,8,
10,18,9,28,18,16,18,17,12,12,10,18,18,26,18,18,16,11,3,10,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,16,18,18,
3,13,11,25,11,16,20,10,25,19,12,19,10,9,6,17,18,5,6,7,11,16,24,24,26,14,26,26,26,26,
26,26,32,22,21,21,21,21,11,11,11,11,25,26,24,24,24,24,24,15,24,26,26,26,26,25,19,17,15,15,
15,15,15,15,22,14,14,14,14,14,8,8,10,10,16,18,16,16,16,16,16,19,17,18,18,18,18,18,18,18,
 };
static unsigned short stb__times_39_latin1_h[224]={ 0,25,11,25,29,25,25,11,33,33,15,19,10,4,
5,26,25,24,24,25,24,25,25,25,25,25,18,23,18,8,18,25,33,24,24,25,24,24,24,25,24,24,25,24,
24,24,25,25,24,31,24,25,24,25,25,25,24,24,24,31,26,31,13,2,7,18,26,18,26,18,25,25,25,25,
33,25,25,17,17,18,25,25,17,18,22,17,17,17,16,24,16,33,33,33,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,30,25,17,24,
33,31,4,25,11,18,8,4,25,2,11,19,13,13,7,24,32,5,8,13,11,18,25,25,25,25,31,31,31,30,
30,30,24,31,31,31,31,30,31,31,31,30,24,31,32,32,32,31,31,15,26,32,32,32,31,31,24,26,25,25,
25,25,24,26,18,24,25,25,25,24,24,24,24,23,26,24,25,25,25,25,24,15,19,25,25,25,24,32,33,31,
 };
static unsigned short stb__times_39_latin1_s[224]={ 251,246,222,165,104,69,148,251,48,1,124,
193,234,209,250,179,112,243,237,227,205,24,40,83,100,115,251,249,139,160,84,
158,70,156,1,1,134,185,1,175,95,121,163,75,102,124,118,173,114,80,160,
72,54,178,200,198,68,42,20,241,244,232,139,140,181,234,208,1,145,33,37,
232,1,242,59,53,89,179,1,16,99,145,39,48,164,20,160,208,52,84,71,
36,113,102,188,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,251,244,55,
20,235,183,32,176,220,132,198,105,139,209,57,120,185,214,174,156,249,238,163,
250,242,166,210,122,26,1,217,202,190,1,28,28,1,219,21,55,116,175,197,
82,138,104,244,70,211,130,182,207,1,105,150,88,120,53,26,136,217,78,24,
190,117,133,149,96,59,163,61,44,51,66,81,223,202,75,103,133,227,207,35,
18,1,52,226,104,175,183,129,98,1,117,13,157, };
static unsigned short stb__times_39_latin1_t[224]={ 32,68,329,131,100,131,157,20,1,1,329,
285,329,343,131,100,157,260,235,157,209,183,183,183,183,183,1,183,310,343,310,
183,1,235,235,183,260,260,260,157,285,285,209,235,235,235,209,183,260,35,260,
209,260,209,157,183,285,285,285,1,100,1,329,127,343,285,100,310,100,310,209,
183,209,157,1,209,209,310,329,310,209,209,329,310,285,329,310,310,329,260,329,
1,1,1,343,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,
285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,32,131,100,
209,310,235,1,35,343,183,329,310,343,343,183,127,329,285,329,329,329,209,1,
137,329,329,329,310,157,157,131,131,35,68,68,100,100,68,260,68,68,68,68,
100,68,68,35,100,235,35,1,1,35,35,68,329,100,35,35,1,35,68,235,
100,131,131,131,157,235,100,310,235,157,157,157,209,235,260,260,285,100,260,131,
131,131,131,260,329,285,131,157,131,285,1,1,35, };
static unsigned short stb__times_39_latin1_a[224]={ 141,188,230,282,282,469,438,102,
188,188,282,318,141,188,141,157,282,282,282,282,282,282,282,282,
282,282,157,157,318,318,318,250,519,407,376,376,407,344,313,407,
407,188,219,407,344,501,407,407,313,407,376,313,344,407,407,532,
407,407,344,188,157,188,264,282,188,250,282,250,282,250,188,282,
282,157,157,282,157,438,282,282,282,282,188,219,157,282,282,407,
282,282,250,270,113,270,305,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,141,188,282,282,282,282,113,282,
188,428,155,282,318,188,428,282,225,309,169,169,188,325,255,141,
188,169,175,282,423,423,423,250,407,407,407,407,407,407,501,376,
344,344,344,344,188,188,188,188,407,407,407,407,407,407,407,318,
407,407,407,407,407,407,313,282,250,250,250,250,250,250,376,250,
250,250,250,250,157,157,157,157,282,282,282,282,282,282,282,309,
282,282,282,282,282,282,282,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_39_latin1_BITMAP_HEIGHT or STB_FONT_times_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_39_latin1(stb_fontchar font[STB_FONT_times_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_39_latin1_BITMAP_HEIGHT][STB_FONT_times_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_39_latin1_s[i] + stb__times_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_39_latin1_t[i] + stb__times_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_39_latin1_x[i];
            font[i].y0 = stb__times_39_latin1_y[i];
            font[i].x1 = stb__times_39_latin1_x[i] + stb__times_39_latin1_w[i];
            font[i].y1 = stb__times_39_latin1_y[i] + stb__times_39_latin1_h[i];
            font[i].advance_int = (stb__times_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_39_latin1_s[i] + stb__times_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_39_latin1_t[i] + stb__times_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_39_latin1_x[i] + stb__times_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_39_latin1_y[i] + stb__times_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_39_latin1_LINE_SPACING
#endif

