// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_41_latin1_BITMAP_HEIGHT        396
#define STB_FONT_times_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_41_latin1_FIRST_CHAR            32
#define STB_FONT_times_41_latin1_NUM_CHARS            224

#define STB_FONT_times_41_latin1_LINE_SPACING          27

static unsigned int stb__times_41_latin1_pixels[]={
    0x5c406200,0x22000004,0x00c40199,0x00000000,0x00155530,0x2aaa0000,
    0xa9800002,0x2000002a,0x0000aaa9,0x00000000,0x88005555,0x0005d12e,
    0x3f260754,0x2000005f,0x3c805fff,0xdd930000,0x2c8159df,0x13ffa200,
    0x7fc00000,0xe800003f,0x00003fff,0x007ffd10,0x3fffffe0,0xfffff97f,
    0x7c0003ff,0x7c4003ff,0x3b625f12,0x2076c402,0x005fffdc,0x0dff3000,
    0x80007640,0x9adfffda,0x2fbcefca,0x037fc400,0x7fd40000,0xfb800004,
    0x0000ffff,0x00bff300,0x2aabbfe0,0x9555532a,0x260003ff,0xf88004ff,
    0x3ff25f12,0x8037a206,0x00005ffb,0x8001df90,0x7e4002fb,0x3f2201cf,
    0xf98003ff,0x4000000f,0x800005fc,0x4fe98ef8,0x3e600000,0x5ff8000f,
    0x00ffd400,0x0005fc80,0x74be25f1,0x0db00fff,0x000bff50,0x0003fa00,
    0x6c400fec,0x3ea004ff,0x7f50003f,0x6f800000,0x1d900000,0x00007ec4,
    0x0005f700,0xfa800bff,0x1dd0001f,0x44be2000,0x01fffd2f,0xff3005f9,
    0xf300000b,0x77c40003,0x02ffe400,0x00027dc0,0x400000b7,0x800000e9,
    0x00b900d9,0x005c8000,0x54005ff8,0xf98001ff,0x4be20000,0x0fffb2f8,
    0x3e600ff5,0xb800005f,0x5fb80002,0x003ffea0,0x20002740,0x2a000004,
    0x05000001,0x00000150,0x5ff80048,0x00ffd400,0x20000d40,0x325f12f8,
    0x04ff87ff,0x000bff30,0x20000100,0xff881ff8,0x16e0004f,0x00000000,
    0x00000000,0x00000000,0x0017fe00,0x00003ff5,0x44be2000,0xa8dff72f,
    0xff3001ff,0x0000000b,0xb85fe800,0x20001fff,0x36ea0058,0x001bdefe,
    0xdfdb7500,0x2000037b,0xbdefedba,0x99997001,0x40799999,0xccccccc9,
    0x800bff1c,0x99971ffa,0x07999999,0x6666664c,0x225f11cc,0xe8bff52f,
    0x3fe6006f,0x0b7fae65,0x6666665c,0x19999904,0x741ffc80,0x080007ff,
    0xacefe980,0x00dffdb9,0x59dfd300,0x01bffb73,0x33bfa600,0x0dffdb9a,
    0x7ffe4c40,0x2200adff,0x9cfffeb9,0xa800bff0,0xff9311ff,0x4015bfff,
    0xcfffeb98,0x3e25f109,0x7cc9ff32,0x3fe6004f,0xffffff35,0xffff9309,
    0x3ff66037,0x24ffa802,0x0005fff8,0x1ffe4400,0x005ffb10,0x101ffe44,
    0x44005ffb,0x36203ffc,0xff9002ff,0xff10009f,0x800bff03,0xffc81ffa,
    0xff88004f,0x5f12f881,0xffc8ffe2,0x37fe6003,0xfffdcef8,0x0fffb03f,
    0x26005f70,0x3ffea6ff,0x22000004,0xf9001ffe,0xffd1009f,0x13ff2003,
    0x007ffa20,0x54027fe4,0xd0002fff,0x0017fe0d,0xff503ff5,0x1ba0005f,
    0x22f897c4,0x0fffa2ff,0x1eeff980,0x407fffcc,0x6c01fff8,0x3ffe2006,
    0x009fff71,0x1ffec000,0x00bffa00,0xe8007ffb,0x7fec02ff,0x17ff4003,
    0x007ffe60,0x5ff83740,0x40ffd400,0x0001fff9,0x44be20dd,0xff8bfe2f,
    0x3fe6002f,0x9fff501f,0x8813fee0,0x7ffc003f,0x007fff93,0x3ffea000,
    0x7ffdc000,0x01fff500,0x00fffb80,0x8001fff5,0x2600fffb,0xd0001fff,
    0x0017fe0d,0xff303ff5,0x1ba0003f,0x22f89744,0x3fff11fe,0x02ffcc00,
    0x7c41bffa,0x01f700ff,0xf94fff80,0x000007ff,0x0007fff1,0x3e217ffe,
    0xff0003ff,0x7fff10bf,0x17ffe000,0x001fff98,0x17fe0dd0,0x303ff500,
    0x20003fff,0x45f1006e,0x1fff30fd,0x02ffcc00,0xfc81ffea,0x0009d04f,
    0x3fee9ffd,0xd800005f,0x70000fff,0xffd83fff,0xff70000f,0x0fffd83f,
    0x3fff7000,0x007ffe60,0x5ff83740,0x40ffd400,0x0001fff9,0x8be200dd,
    0x01ffea7c,0x980bff30,0xff100fff,0x001fa81f,0xff55ffd8,0xd00000df,
    0x54000fff,0x7ff44fff,0x3fea0007,0x03fff44f,0x09fff500,0x0007ffe6,
    0x05ff8374,0x4c0ffd40,0xd0001fff,0xb8be200d,0x003ffee6,0x4405ff98,
    0x3f200fff,0x80036c3f,0xfff15ffd,0xf880000f,0x260006ff,0x3fe25fff,
    0x3e60006f,0x3ffe25ff,0x3fe60006,0x3fff305f,0x7c1ba000,0x7fd4005f,
    0x01fff981,0x2200dd00,0xffa96a2f,0x3fe6000f,0x407ff805,0x0fe27ff8,
    0xf27fec00,0x00003fff,0x002fffcc,0x4cffff10,0x20005fff,0x3e67fff8,
    0x220005ff,0xff307fff,0x1ba0003f,0x2a002ffc,0xfff981ff,0x00dd0001,
    0x26498be2,0x26001fff,0x6ff805ff,0xf73ffd80,0x3ffa0001,0x00bffee3,
    0x4fffb800,0x7fffc000,0x009fff70,0x70ffff80,0x80009fff,0xf980ffff,
    0xdd0001ff,0x50017fe0,0xfff303ff,0x01ba0003,0x445117c4,0x26002fff,
    0x7fc405ff,0x8fff9805,0x3fe0004e,0x037ff42f,0x7fe43200,0x7f40003f,
    0x7fff91ff,0xfffe8000,0x007fff91,0x81fffe80,0x0001fff9,0x017fe0dd,
    0xf303ff50,0x3a0003ff,0x17c42a06,0x800bffe0,0x7cc06ff9,0xbffb002f,
    0x7fc0003f,0x1fffdc1f,0x3f23b800,0x740003ff,0xfff90fff,0xffe80007,
    0x07fff90f,0x0fffe800,0x001fff98,0x17fe0dd0,0x303ff500,0x20003fff,
    0x225f106e,0x1ffe402f,0x80dff300,0x3e6005fd,0x220006ff,0xffc80fff,
    0x2354002f,0x0004fffa,0xff53fffc,0xff80009f,0x13ffea7f,0x0ffff000,
    0x0007ffe6,0x05ff8374,0x4c0ffd40,0xd0001fff,0x7c4be20d,0x9ff50a62,
    0x17ffcc00,0x4001ff88,0x20003ffd,0x3ee04ff9,0x1d9003ff,0x005fff98,
    0x99bffe20,0x20005fff,0x3e66fff8,0x220005ff,0xff306fff,0x17a0003f,
    0x2a002ffc,0xfff981ff,0x20bd0001,0x2e5f12f8,0x1bfe25ff,0x1ffff980,
    0x40017f44,0x540007fa,0x7fcc01ff,0xb7319cff,0x3ffe20bf,0x3fe60006,
    0x1bffe24f,0x4fff9800,0x001bffe2,0x104fff98,0x20003fff,0x00bff05e,
    0xf881ffa8,0xbd0001ff,0x97c4be20,0x7fe47ffd,0x7bff3000,0x03dfb9ff,
    0x00027c00,0x64401bf6,0xfffffffd,0x3fff401d,0x7fff5000,0x0007ffe8,
    0xfd0fffea,0x7d4000ff,0xfff103ff,0x413e0005,0x7d4005ff,0x2fff881f,
    0x2209f000,0x3ee5f12f,0x017fc45f,0x5515ff98,0xfa800015,0x3fe20001,
    0x59f30002,0x3fea0013,0xff90002f,0x05fff50d,0x21bff200,0x0002fffa,
    0xff80dff9,0x3f88003f,0xa800bff0,0x7fff01ff,0x207f1000,0x4c5f12f8,
    0x200bf702,0x00005ff9,0xc8000db0,0x3ee0006f,0xdffb0003,0x3fff1000,
    0x001bff60,0x6c07ffe2,0xf88006ff,0x7ff401ff,0x02fa8005,0xfa800bff,
    0x0bffd01f,0x2205f500,0x4005f12f,0xff9801fe,0xf9800005,0x07fc0002,
    0x4fff8800,0x2fff9800,0x027fe400,0x8005fff3,0x3e604ffc,0x7e4002ff,
    0xfffc804f,0x807ec000,0x7d4005ff,0x1fff901f,0x100fd800,0x010be25f,
    0x7cc037c4,0xe800005f,0x0fd40006,0x1ffa2000,0x037fe400,0x801fff10,
    0x22006ffc,0x7e400fff,0x3fe2006f,0xfff8800f,0x813f2002,0x7d4005ff,
    0x5fff101f,0x1027e400,0xfd8be25f,0x807f300e,0x20005ff9,0x0fc8acc8,
    0x00fe6000,0x002fe400,0x801bff70,0x7000dff9,0xf9801bff,0xff7000df,
    0xdff9801b,0x3ffee000,0x00efc802,0xf50017fe,0x7ffdc03f,0x00efc802,
    0x997c4be2,0x36203fff,0x01bfea03,0xfffffd80,0x0fe60003,0x0ffcc000,
    0x3bfa6000,0x1ffdcc0a,0x577f4c00,0x01ffdcc0,0x0577f4c0,0x000ffee6,
    0x8d6fffdc,0x00effdb9,0x2a002ffc,0x7fdc01ff,0xfb731adf,0x2f8801df,
    0x3ffe25f1,0xfb04b801,0x320003ff,0x0005ffff,0x2000036a,0x0001cfea,
    0x3bbffb20,0x0001dfff,0x7f77ff64,0x40001dff,0xffeeffec,0x4c0001df,
    0xfffffffd,0xfff003ef,0x3f2fffff,0x01ffffff,0xfffffd98,0x1003efff,
    0xc98be25f,0x644a6002,0x2deeeeee,0x06764400,0x00071000,0x00000000,
    0x00015753,0x02aea600,0x5d4c0000,0x8800000a,0x01aacba9,0x55555540,
    0x5555532a,0x4c400155,0x001aacba,0x02f897c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x97531000,0x00003579,0x00000000,0x00395000,0x002b85cc,0x0aaa6000,
    0x99730000,0x07999999,0x00004000,0x000aaa98,0x15551000,0x2aaa6000,
    0x0005d400,0x9acdfda8,0x00bedba9,0x37bbae00,0xedb98000,0x0001bcef,
    0x4c03ffcc,0x0ff221ee,0xfff10000,0xec80005f,0xaaaeffff,0xb8802acf,
    0x00581dff,0x013ffa00,0x4ffd8000,0x7ffd1000,0x0037fdc0,0x4400bbae,
    0xde8003eb,0x4c003f61,0xfdabcefe,0x50000dff,0x7d401fff,0x0017a202,
    0x6ffefc80,0xfffb1000,0x02e8bfff,0x3fffff60,0x0000b11c,0x00037f44,
    0x00ffd100,0xb02ffcc0,0xb1001fff,0x3620005d,0x81f9000d,0xffc804fa,
    0x0bff6603,0x30176400,0x09f500bf,0x31df1000,0xe88007ff,0x5fffffff,
    0x8e980174,0xfeffffe9,0x7cc00003,0x2000001f,0x20001ff8,0xff500ffa,
    0x01dd300b,0x100b7000,0x01ff70bf,0x4007ffa2,0x00004ffd,0x3e005fd0,
    0x6ec0001f,0x8003fa20,0xfffffffc,0xa801745f,0x2ffff542,0x3fa80000,
    0x7cc00000,0x17dc0004,0xbf500310,0x03d80000,0x7fd42fcc,0x007ffb00,
    0x0002ffe8,0x8007fcc0,0x260004fd,0xe8013205,0xffffffff,0x09801745,
    0x00003750,0x00006b80,0x80006a80,0x7c40005c,0xe8800005,0x5c1fea01,
    0x01fff501,0x00fffa80,0x07fee000,0x00037f40,0x7c005005,0xffffffff,
    0x00001745,0x32000000,0xb8000000,0x00480000,0x00007f40,0x3e204b80,
    0x3fe2005f,0xfff0003f,0x7dc00009,0x0fff003f,0x20000000,0xfffffff8,
    0x001745ff,0x37bfb6ea,0x0000001b,0x00000000,0x80a20000,0x2a2002fc,
    0x03c40981,0x64017ff6,0x90000fff,0x00003fff,0x26013fea,0x999706ff,
    0x07999999,0x6666664c,0x3fffe1cc,0x745fffff,0x9dfd3002,0x1bffb735,
    0x06980000,0x33332200,0xcccccccc,0x82cccccc,0xcccccccc,0x441261cc,
    0x9fb1005f,0x03ff71d9,0x7ffc405b,0x3fffc00d,0x9fff5000,0x4c1baa00,
    0xffa805ff,0xfff93105,0x44015bff,0x9cfffeb9,0x3fffff60,0x01745fff,
    0x880fff22,0x00002ffd,0x980007f6,0xeeffffdb,0xfffeeeee,0xffda985f,
    0x2a09cfff,0x5003f905,0x7f6441bf,0xfa807906,0xff100eff,0x7c4000df,
    0x3f2205ff,0xdff106ff,0x007ff700,0x0009fff9,0x3ee03ff1,0x5fffffff,
    0xffd10174,0x13ff2003,0x13fe2000,0x2fffc000,0x7405fb80,0x0d700fff,
    0x1bea01be,0x4b827ff4,0x3ffef620,0x5fff982f,0x3fffc000,0x0dffd570,
    0x7cc02ffc,0xfffa802f,0x80dd0002,0xfffffffc,0xffb01745,0x2ffe8007,
    0x7ffe4000,0xffe80000,0xb016e005,0x43e40fff,0x7fd403fa,0x205ffb00,
    0x261b105a,0x7dc1ffff,0x7c0004ff,0x7cc00fff,0x00bfa06f,0x7cc00ff4,
    0xdd0001ff,0xfffff700,0xf502e8bf,0xfb8001ff,0x3e0000ff,0x80003fff,
    0x26005ffd,0x03ffe406,0x401fb0fb,0x3fa02ff8,0x3a213207,0x0ffff441,
    0x0007fff9,0x401fffe8,0x1fe06ff8,0x9802fb80,0xd0001fff,0x3fb2600d,
    0x441745ff,0xf0003fff,0x2a000bff,0x0006ffef,0x4005ffd8,0x037fe404,
    0x406e81fd,0x2ffc06fd,0x20f709b0,0x3f26ffd8,0x740003ff,0x7c401fff,
    0x007f706f,0x7cc037c4,0xdd0001ff,0x3a2e4000,0x00fffd82,0x03fff700,
    0xfff5dd00,0xffd80003,0x7e400005,0xf07fe06f,0x017fd40d,0x1fc07ff3,
    0x3ff602ec,0x009fff70,0x00ffff80,0x75437fc4,0x0be88002,0x007ffe60,
    0x90003740,0xffe82e8b,0x3fea0007,0x97cc004f,0x40005ffe,0x00005ffd,
    0xff037fe4,0x3fa05f85,0x807fe406,0x03fc41f9,0x7fdcffe2,0x3e20005f,
    0xdff007ff,0x00006754,0xf3019d71,0x3a0003ff,0xd1720006,0x06fff885,
    0x17ffe600,0x7fdcfb00,0x3f60000f,0x0048805f,0x3e20dff9,0x4c13e23f,
    0x3fe203ff,0x7fc1aa06,0xf9a7e402,0x260006ff,0xff005fff,0x0001fe4d,
    0x7cc076cc,0xdd0001ff,0x3a2e4000,0x02fffcc2,0x0ffff100,0xff127c40,
    0x7ec0007f,0x0049805f,0x3e60dff9,0x640fe24f,0x3ff201ff,0x7ec0f204,
    0xe8be600e,0x2a0007ff,0xff002fff,0x001ec88d,0x7cc05b90,0xdd0001ff,
    0x3a2e4000,0x027ffdc2,0x03fffe00,0x3f207dc0,0x3f60007f,0x004e805f,
    0x3ea0dff9,0xfd827c5f,0x0bffe607,0xffa807cc,0xfb8f300e,0xf90002ff,
    0x37fc00df,0x6c001fc8,0x1fff9807,0x000dd000,0xf90ba2e4,0xe80007ff,
    0xbf001fff,0x005fff30,0x2abbff60,0x4fecbaaa,0x20dff900,0x82fc6ffb,
    0xfdd106ff,0x3a01ec0f,0x85c81fff,0x88006ffe,0x3e002fff,0x00df106f,
    0x7cc01fdc,0xdd0001ff,0x3a2e4000,0x01fffe42,0x03fffa00,0x7f407ea0,
    0xffb0005f,0xfddddddf,0x3f2009ff,0x8dff906f,0x81fff05e,0x706fe9e8,
    0xfffd100d,0xff882cc5,0x7fe4002f,0x037fc006,0x3fa003fd,0x1fff9801,
    0x000dd000,0xf50ba2e4,0xf80009ff,0x0dd007ff,0x000fffd4,0x2a02ffec,
    0xdff9004f,0xf91fff60,0xea8fff20,0x3d70bff2,0xfffd1008,0xff980957,
    0x3bfe2006,0x037fc000,0xff3009ff,0x3fff3005,0x001ba000,0x261745c8,
    0x20005fff,0x9806fff8,0x27ffc02f,0x02ffec00,0xffc8025c,0x41fffd06,
    0xfffa82f9,0x3ff62ffe,0x6981db30,0x037ffec0,0x400dffb8,0x8000efe9,
    0xdff106ff,0x007ff700,0x0003fff3,0x5c80017a,0x3ffe2174,0x3fe60006,
    0xccfc804f,0xfecccccc,0x7ec000ff,0x0049805f,0x3f60dff9,0xc82f40ff,
    0x7d40dfff,0x5b03efff,0x05fff900,0x207bfaa0,0x000dffa8,0x3e60dff0,
    0x4ffa805f,0x01fff880,0x4000bd00,0x7f41745c,0x3ea0007f,0x77c403ff,
    0xeeeeeeee,0x4003fffe,0x03005ffd,0x5c1bff20,0x00fb86ff,0x03550051,
    0xff500354,0x7fd4001f,0x1dfffdef,0x837fc000,0xf9804ffa,0xfff8805f,
    0x009f0002,0x20ba2e40,0x0002fffa,0xf700dff9,0x1bff6001,0x00bffb00,
    0x06ffc800,0x9d103d91,0x5d000000,0x04ffa800,0xfffffc80,0xbff00003,
    0x200ffee0,0xff006ff8,0x7f10007f,0x3a2e4000,0x00dffb02,0x003fff10,
    0x7fd400bd,0x3ff6001f,0x32010005,0x260006ff,0x2000002f,0x6405405d,
    0xff50005f,0x80001fff,0xff704ff8,0x01bfe005,0x4002fff4,0x320002fa,
    0xff981745,0x7fe4002f,0x001fa804,0xb002fff4,0x75000bff,0x881bff20,
    0x003ee00a,0x70176000,0x00df30bf,0x37fff4c0,0x0ffe2000,0xe800ffcc,
    0xfff9005f,0x00fd8001,0x05d17200,0x10037fe4,0xdd001fff,0x1fff7000,
    0x017ff600,0x3f203f10,0x07ffa06f,0x00001ec8,0xff900bd1,0x100013e0,
    0x000bfffb,0xf8817fc4,0x05fd001f,0x00bffe20,0x40004fc8,0x2e01745c,
    0x7cc00dff,0x3fa800df,0x4fff9800,0x00bffd00,0x3ff206d8,0x07fff307,
    0x40003fb8,0xdf1005ea,0x00003f50,0x2017ff66,0x2037cc09,0x5f9804fa,
    0x17ffdc00,0x00077e40,0x005d1720,0x9815dfd3,0x3a003ffb,0xfff0001f,
    0xdffd003f,0xb01fe400,0x7ffc0fff,0x0bee9801,0x00bbaa00,0x04e88db0,
    0xefc88000,0x5c7ff902,0x00fd802f,0x5c00076c,0x731adfff,0x0001dffb,
    0x002e8b90,0x3fbbffb2,0x91001dff,0xf30009ff,0x5403dfff,0xaaacffff,
    0xfffcbaaa,0x7ffff500,0x50002a20,0x33357bfb,0x005dd975,0x17ee6540,
    0x2a200000,0xff90bccc,0x4005f9df,0x6f540cfb,0x3f660000,0xefffffff,
    0x17200003,0x2a60005d,0x7e4000ab,0x805fffff,0xffffffe9,0xffd911ff,
    0xffffffff,0x0dffffff,0xfffffff9,0x400003bf,0xdefedcb8,0x200001ac,
    0x00000008,0xdfdb8820,0xdb88000c,0x00003990,0x5565d4c4,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05554c00,
    0x15544000,0x55400000,0x2a60001a,0x0004002a,0x00400000,0x1554c000,
    0x55000000,0x2a000055,0xd88002aa,0x0016dc0c,0x2db819b1,0xfff00000,
    0x3fa00009,0x000003ff,0x0007ffea,0x017fffc4,0x3a60efb8,0x2e20002f,
    0x00481eff,0x3fffe800,0xff000000,0xf100007f,0xfb0005ff,0x07ffd4bf,
    0x2a5ffd80,0x3ba60fff,0xbff30002,0x3fea0000,0x00000fff,0x0005ff90,
    0x037fffe4,0xfb1fffc4,0x7ec000df,0xb11dffff,0xffb80000,0x00000fff,
    0x0027fd40,0x003ffb80,0x7dcbffd0,0xffd000ff,0xb07ffdcb,0x2e000dff,
    0x3a00006f,0x005fe89f,0x007ff000,0x7cc77c40,0x2ffe803f,0x40017ff2,
    0xfffd99e8,0x00003fef,0x3fa63be2,0x64000004,0x3600005f,0x3a60004f,
    0x001fec1e,0x7ec43dd3,0x0037fe43,0x00000ee8,0x01fd81d7,0x027cc000,
    0xe8837600,0x21e4c00f,0x50000cb8,0x5fffea85,0x07640000,0x00003fb1,
    0x00007740,0x00000bf0,0x10000000,0xf10003b9,0x3a200003,0x0000d700,
    0x4c0005c8,0x00013205,0x50098000,0x88000057,0x000b700e,0x0003e600,
    0x0000ea80,0x00000000,0x01a80000,0x30026000,0x02400001,0x01401400,
    0x00000000,0x00a00000,0x2000002a,0x5c00001a,0x66665c00,0x203ccccc,
    0xccccccc9,0x3333321c,0x001ccccc,0x00000000,0x00000000,0x00000000,
    0xcccc9800,0x326001cc,0x0ccccccc,0x00000000,0x00000000,0x3fff2620,
    0x2200adff,0x9cfffeb9,0x3fff6a60,0x10009cff,0x99999999,0x99999999,
    0xccc88599,0xcccccccc,0x2ccccccc,0x66666654,0x32603ccc,0x0ccccccc,
    0x33333332,0x99971ccc,0x33209999,0xf7310ccc,0x2001dfff,0xbfffeb98,
    0x01a60001,0x06980000,0x66666400,0xc81ccccc,0x88004fff,0xffe801ff,
    0xb730000f,0xddddffff,0xbffffddd,0xffffb730,0xfddddddd,0xfb88bfff,
    0x0aefffff,0x3fff6620,0x7ed4c1bf,0x309cffff,0x037ffff9,0xd80bff66,
    0x88005fff,0xfb00007f,0x20000003,0x260001fd,0xcfffffda,0x2fffa809,
    0x200dd000,0x00007ffd,0x2e00bfff,0x2fffc05f,0xb105fb80,0x8001ffff,
    0xfe801eff,0x3ff600ff,0x402fb807,0x004fffe8,0x880006f8,0x000004ff,
    0x0004ff88,0x801fffd0,0x0001fff9,0x3ff200dd,0xffd00007,0x202dc00b,
    0x2e005ffe,0x3fffe205,0x07fe2001,0x203ffec0,0x6c01fff8,0xffff9006,
    0x005e8005,0x00fffc80,0x7fe40000,0xfd80000f,0xfff9807f,0x00dd0001,
    0x0001bff2,0x3002ffec,0x05ffd80d,0xff501a60,0x1fe400bf,0x00fff900,
    0x7c409ff7,0xffff9003,0x02f4003f,0x1ffffc00,0x3fe00000,0xc80003ff,
    0xff9807ff,0x0dd0001f,0x001bff20,0x002ffec0,0x0bffb012,0xffd80480,
    0x05f8802f,0x4037fe40,0xf700fff8,0x3ebf2001,0xbd000fff,0xfefa8000,
    0x2000006f,0x006ffefa,0x806ffc80,0x0001fff9,0x3ff200dd,0xffb00006,
    0xfd80000b,0x8800005f,0x6400ffff,0x7fe4000f,0x09ff9006,0x97c8013a,
    0x3a00dfff,0x57740005,0x00001fff,0x3fff5dd0,0x6ffc8000,0x01fff980,
    0x3200dd00,0x0ae206ff,0x0017ff60,0x00bffb00,0x3ffea000,0x000fe604,
    0x4401bff2,0x0fd40fff,0x7fecf900,0x005e804f,0x7ff4be60,0xf9800005,
    0x000bffd2,0x9806ffc8,0xd0001fff,0x1bff200d,0x6c06fff8,0x048805ff,
    0x100bffb0,0xfffb0009,0x4001ba03,0x32006ffc,0x0036c3ff,0xfffe89f2,
    0x0002f403,0x07ffdcfb,0xb9f60000,0x20000fff,0xf9806ffc,0xdd0001ff,
    0x41bff200,0x202ffffa,0x49805ffd,0x00bffb00,0xff100093,0x003f70df,
    0x801bff20,0x0fe27ff8,0xff88f900,0x017a01ff,0xff127c40,0x4400007f,
    0x0fffe24f,0x06ffc800,0x001fff98,0x3f200dd0,0xffff106f,0x02ffec0b,
    0xffd80274,0x0004e805,0x7cc9fff5,0x3ff20004,0x9ffec006,0x3e4000fb,
    0x807fffcc,0x1f70005e,0x0007ffc8,0xff903ee0,0x7fe4000f,0x1fff9806,
    0x200dd000,0x2a206ffc,0x3ff606c9,0xcbaaaaae,0xffb004fe,0x9755555d,
    0x6c0009fd,0x00db1fff,0x006ffc80,0x2747ffcc,0xfb83e400,0x00bd06ff,
    0x3fe617e0,0xbf00002f,0x005fff30,0x201bff20,0x0001fff9,0x3ff200dd,
    0x6c07d006,0xeeeeefff,0xb004fffe,0xdddddfff,0x0009fffd,0x7df7ffc4,
    0x7fe40001,0xdffd8006,0x07c8001f,0x3a17fff2,0x01fa8005,0x0000bffd,
    0x3ffa03f5,0xdff90005,0x03fff300,0x6401ba00,0x0f8806ff,0x5017ff60,
    0x3ff6009f,0x0027d405,0x13fffee0,0x1bff2000,0x1bffe600,0x3a03e400,
    0x02f43fff,0xff503740,0x6e80003f,0x007ffea0,0x201bff20,0x0001fff9,
    0x3ff200bd,0x6c04d806,0x04b805ff,0x700bffb0,0xffb00009,0xf900001f,
    0x3f6000df,0x0f90003f,0x22ffff88,0x17cc005e,0x0013ffe0,0x7fc02f98,
    0xffc8004f,0x1fff8806,0x200bd000,0x3a606ffc,0x05ffd804,0xffb00498,
    0x0009300b,0x000fff70,0x001bff20,0x90003fd4,0xffff300f,0xf90017a1,
    0x99999999,0x0001fffd,0x333333f2,0x0fffeccc,0x037fe400,0x0017ffc4,
    0xff9004f8,0x40076a0d,0x03005ffd,0x4017ff60,0xffb80001,0xff900007,
    0x027c000d,0x2a00f900,0x05e8efff,0x3bbbbe20,0xffeeeeee,0xef88003f,
    0xeeeeeeee,0x4003fffe,0xff006ffc,0x7f10007f,0x01bff200,0x02ffec00,
    0x17ff6000,0xfb800000,0xf900007f,0x3ea000df,0x01f20001,0x5edfffc8,
    0x4003ee00,0xb8006ffd,0xdffb000f,0x06ffc800,0x000bffd0,0x3f2005f5,
    0xfb00006f,0x402000bf,0x10005ffd,0x0fff7000,0x1bff2000,0x00036c00,
    0xffb001f2,0x2f400bff,0x03fff500,0x2a005e80,0x32001fff,0xff9006ff,
    0x0fd8001f,0x00dff900,0x017ff600,0x7fec0ea0,0x003a8005,0x0007ffb8,
    0x000dff90,0xc80005f3,0x7ff44007,0x03f5005f,0x005ffe80,0xfd0007ea,
    0x7fe400bf,0x5fff1006,0x0027e400,0x0000fff9,0x10017ff6,0x17ff603f,
    0x0003f100,0x0000fff7,0x2001bff2,0x7d80006e,0x5fff9800,0x7000dd00,
    0x3a001fff,0xfffb8006,0x0dff9000,0x017ffdc0,0xb00077e4,0x20000fff,
    0x6c005ffe,0x017ffa06,0x2e000db0,0x900007ff,0x66440fff,0x0000fc8a,
    0xf50007e8,0x07f500bf,0x09fff300,0x30007f50,0x32009fff,0x7dc007ff,
    0xb731adff,0x54001dff,0x0003ffff,0x2006ffe8,0x3ffa03fc,0x00ff2006,
    0x007ffe40,0x03ffec00,0x07fffffb,0x17ff5000,0x00bf7000,0x3e0003fd,
    0x7f401fff,0xffff0001,0x0fffb003,0xffffb300,0x007dffff,0x7fffffe4,
    0xa8001dff,0xaaacffff,0xfffcbaaa,0x9ffff500,0x97555555,0x50001fff,
    0x0019ffff,0x1ffffd40,0x05ffffc8,0x3fff2200,0x4001dfff,0x3ff2205d,
    0xfff98004,0xffc881ef,0xfff98004,0x3fea01ef,0x310003ff,0x00355975,
    0x91000000,0xfffffffd,0xffffffff,0xffec88df,0xffffffff,0x06ffffff,
    0x7ffff640,0x2001dfff,0xfffffffc,0x33b221df,0x00000000,0x3ff20300,
    0x9805ffff,0xfffffffe,0xfffff91f,0xffd300bf,0x43ffffff,0xfffffffc,
    0x000001df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36e0ee44,0x00800002,
    0x22000002,0x400001cb,0x1ed41dc8,0x07722000,0x000005b7,0x01a801aa,
    0x00000000,0x00800000,0xd1000000,0x2ffe4003,0x0001fff3,0x03dff710,
    0xf9800009,0x00005fce,0xff89bfee,0x3f20001f,0x03ffe66f,0x00f60000,
    0x6dc003c8,0x3a0004ef,0xb7510005,0x7037bdfd,0x3ffee00d,0x03dc0002,
    0xfa9bff60,0xd80001ff,0x11dfffff,0x3d80000b,0x400003e2,0x3fe67ffc,
    0x3f60002f,0x07ffea6f,0x01f10000,0xceffdb88,0x233f200a,0x5c000efc,
    0xfe98000f,0xffdb9abd,0x1005f50d,0x001fffff,0x26002740,0x027e41ee,
    0x6ccf4400,0x04feffff,0xb03e2000,0x36200009,0x0027e42e,0xf90bba60,
    0xd7000009,0xdddffb80,0x5c1dffeb,0x0027f45f,0xf90005f3,0xcffd807f,
    0x79f9003f,0x220009ff,0x0000001f,0xea855000,0x00005fff,0x001742e8,
    0x00000000,0x40000000,0x437f203e,0xf0ffea3c,0x00ffb85f,0xe8800bd0,
    0xffb001ff,0x98fe600d,0x7b8000fe,0x00000000,0x15d40260,0xaeb80000,
    0x000007c9,0x00000000,0x0f980000,0x1e43ff50,0x1ff98fea,0x64017fcc,
    0x7fec000f,0x17ffc004,0x2ec41ec0,0x80027400,0xbdefedba,0x00000001,
    0xfeb80000,0xcc88001c,0xcccccccc,0xcccccccc,0x034c0002,0x0b910000,
    0x20f237ec,0x307fee3e,0x2f9809ff,0x07ffd400,0x1ffff900,0x07201540,
    0x4001f880,0xb9acefe9,0x0000dffd,0x000034c0,0x0003fb00,0x7fffedcc,
    0xfeeeeeee,0x40005fff,0x100001fd,0x01bfffd9,0x70791ffe,0x220ffe47,
    0x027404ff,0x00fffe20,0x5ffeafa8,0x5c000000,0x3ff22007,0x0bff6203,
    0x01fd8000,0xff880000,0xfff00004,0x017ee00b,0x004ff880,0xc9aefa80,
    0xffe82fff,0xb8ea0f22,0x27fcc1ff,0xd8001d90,0xf3000fff,0x00bfff27,
    0x04e80000,0x003ffd10,0x00013ff2,0x00013fe2,0x03fff200,0x17ffa000,
    0x20005b80,0x0000fffc,0xffbb17ea,0x0dffc81f,0x5ff50079,0xf303ff98,
    0xffff0003,0xfa97e200,0x75cc04ff,0x44002cdf,0x7ffb001f,0x02ffe800,
    0x07ffe400,0x3fe00000,0xd80003ff,0x1a6005ff,0x3ffff800,0x41ff1000,
    0x44ffe9f8,0x3c8efffa,0x543ff880,0x04e881ff,0x06fff880,0xfff88dd0,
    0x537df105,0x5c009ff9,0x1fff5007,0x0fffb800,0x3fffe000,0x2a000003,
    0x0006ffef,0x4005ffd8,0xfdf50004,0x3f6000df,0x4ffbb545,0x3eefffe8,
    0xfd89f900,0x2000d905,0xc805fffa,0x87fff80f,0xffb80fe8,0x804e800e,
    0x0003fff8,0x2000bfff,0x006ffefa,0x3ebba000,0x6c0001ff,0x000005ff,
    0x3fff5dd0,0x43ff8800,0x7440a63d,0x2004ffff,0x01df51fd,0x2e0003f5,
    0x7dc04fff,0x81ffff01,0x3ff602fe,0x400fc404,0x0000fffd,0x0003fff7,
    0x03fff5dd,0x25f30000,0x40005ffe,0x00005ffd,0xffd2f980,0x2ff9800b,
    0xd88003e2,0x800dffff,0x80dfeec8,0x900404f8,0x7cc07fff,0x87fffa03,
    0x3e600ffc,0x01ae01ff,0x0003fff4,0x8009fff5,0x0bffd2f9,0x5cfb0000,
    0x20000fff,0x48805ffd,0xfb9f6000,0x3ea000ff,0x4001ae1f,0x01fffffb,
    0x20db0020,0xb83dfec8,0xbf103fff,0x20fffe80,0xffd806fe,0x22013a05,
    0x20006fff,0x4005fff9,0x03ffee7d,0x24f88000,0x0003fff8,0x26017ff6,
    0x49f10004,0x2003fff8,0x00fa2ffc,0xffffe980,0x1fa80003,0x9f72fe88,
    0xd04fffa8,0x4ffff00d,0xfb805ff8,0x003f106f,0x000bfff3,0x003fffc4,
    0x7ffc49f1,0x3ee00003,0x003ffe40,0xd00bffb0,0x03ee0009,0x5c00fff9,
    0x001f33ff,0xffffec80,0x0fe20004,0x8bfa27ec,0xfd85fff8,0x2fffc400,
    0xf5009ff5,0x00d701ff,0x0013ffee,0x001ffff0,0xfff903ee,0x42fc0000,
    0x0002fff9,0x5555dffb,0x009fd975,0x3fe617e0,0xdff5002f,0x80098172,
    0x3ffff9bc,0x260db000,0x23fe41ff,0x0fdc6fff,0x927ffcc0,0xff300bff,
    0x2009d01f,0x0003fffc,0x800ffff4,0x2fff985f,0x01fa8000,0x2000bffd,
    0xeeeefffd,0x004fffee,0xffd01fa8,0x3ffe200b,0x401602f9,0x1fffd13c,
    0x700fb800,0x0ffb81ff,0x7d43fffa,0x5fff7003,0x44037fe4,0x01f987ff,
    0x007fff90,0x00fffe80,0xffd01fa8,0x0dd0000b,0x000fffd4,0x2a02ffec,
    0x06e8004f,0x4007ffea,0x2a07efff,0x7c479004,0x3e2002ff,0x503ff203,
    0x7ffcc5ff,0x32004f8a,0x3fee0eff,0x85ff9807,0x3fea006b,0x7fc0004f,
    0x40dd007f,0x0001fffa,0xfff00be6,0xbffb0009,0x98009700,0x27ffc02f,
    0x06fffc80,0x0f2003f5,0x74009ff9,0x543fec05,0x6ffe43ff,0x3fe2006e,
    0x0fffd41f,0x3a0ffe60,0x3ffe6004,0x3fe20005,0x02f9806f,0x00027ffc,
    0x999999f9,0x01fffd99,0x805ffd80,0x67e40049,0xeccccccc,0xfd000fff,
    0xfb757fff,0x50f20d07,0x3ee007ff,0x207fe400,0x7fc42ffa,0x3f2000ff,
    0x09ffd03f,0x7cc1ffa8,0x3ffe2001,0x3fe60006,0xccfc804f,0xfecccccc,
    0xf88000ff,0xeeeeeeee,0x003fffee,0x1802ffec,0x3bbbe200,0xfeeeeeee,
    0xff1003ff,0x0bffffff,0xf50f203e,0x05f3005f,0xfb81ff50,0x0effa81f,
    0x40bff300,0x3600fffa,0x8006b84f,0x20007ffe,0x4403fffa,0xeeeeeeef,
    0x03fffeee,0xb000fb80,0xfd800dff,0xb800005f,0xdffb000f,0x7fff6c00,
    0x20fe03ff,0x007fe43c,0xff9802f4,0x5407fe42,0x4c00efff,0x7f400efe,
    0x20bf105f,0xffa8004e,0xff90002f,0x001f700d,0x2001bff6,0x3fea005e,
    0x3ff6001f,0x74010005,0x3ffea005,0x530f8801,0x40ff8013,0x00bfe63c,
    0xfc8003f2,0x7cc1ffc4,0x41befe9b,0x2003ffb8,0x3a61dffd,0x001f980e,
    0x000dffb0,0xd003fff1,0x7ffd400b,0x007ea001,0x400bffd0,0xa8005ffd,
    0x8003f503,0x5b805ffe,0x17fff000,0x01ffd4f2,0x6c0017cc,0x885fd8bf,
    0x7fff545e,0x000dfffe,0xefefffc8,0x000d900b,0x0017ffcc,0x2a013ff2,
    0x7ff4001f,0x001ba005,0x4003ffee,0x44005ffd,0x000dd01f,0xe801fff7,
    0xfd930002,0x1bffdddf,0x80013a00,0x9103dfda,0x055d4c01,0x0aa88000,
    0x40002b80,0x22006ffc,0x6e800fff,0x0fffb800,0x8003fa80,0xd004fff9,
    0x6d800bff,0x30007f50,0x7cc09fff,0xa9880000,0x000001de,0x00000000,
    0x00000000,0x6ffdc000,0x06ffcc00,0x4001fd40,0xe804fff9,0xfff0001f,
    0xdffd003f,0xe81fe400,0xfff0001f,0x0017203f,0x0000f200,0x00000000,
    0x00000000,0x74c00000,0x7dcc0aef,0x07fa003f,0x0ffffc00,0x004ffc88,
    0x1effff98,0x33fffea0,0xcbaaaaaa,0x7e440fff,0xff98004f,0x02e81eff,
    0x002b8000,0x00000000,0x00000000,0x40000000,0xffeeffec,0xf91001df,
    0xff30009f,0xffc83dff,0x9805ffff,0xfffffffe,0xfffd911f,0xffffffff,
    0xc8dfffff,0x05ffffff,0xfffffe98,0x00b31fff,0x00000000,0x00000000,
    0x00000000,0x26000000,0x64000aba,0x05ffffff,0xfffffe98,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x00159975,0x00099988,0x00266620,0x00300660,
    0x00266620,0x00072e20,0x00002666,0x00006662,0x19988000,0x19998000,
    0x00000000,0x33310000,0xeffa8001,0x2002fffc,0x0005ffe8,0x0013ffa2,
    0xfb1033a6,0xfff90001,0xcdf98001,0x7fec005f,0xffe80006,0xfff90005,
    0xfff50003,0x7fc40005,0x09d0003f,0xffb00be2,0x7e40003f,0x3ee000ef,
    0x01ffdc2f,0x001fff10,0x003ffcc0,0xfc8afd88,0xffd0000c,0xf89b0003,
    0x3ffa2001,0x3fe60001,0xff98000e,0xf70006ff,0x7dc0009f,0x0fe0004f,
    0xff3007d4,0x7c000dff,0x7fc001ff,0x001ffb04,0x00017fcc,0x80007fea,
    0x0001dffd,0x2000bfe6,0x002640f8,0x8000ffe2,0xb0000ffb,0x005ff97f,
    0x8001ff20,0x260005fd,0xe80f901f,0x002ffcbf,0x4002ff98,0xff501ffb,
    0x04fa8007,0x004fb800,0x00bfff50,0x0003fb80,0x0005d0ba,0x74000df3,
    0x5f50001f,0x80007fd4,0xf88001fd,0x3ea0000e,0x7d40bb00,0x2001bea2,
    0xfc8003fc,0x0bff300f,0x0000f700,0xdd3001b2,0x000bff15,0x2a0002f4,
    0x0007c9be,0x220003ea,0x0ba0002f,0x440013a2,0x0fa8004e,0xf0364000,
    0x74417407,0x00274003,0xf300ffd8,0x072000bf,0x8006c000,0x27fdc3fa,
    0x0002c400,0x001cfea8,0x54001dc0,0x006e0003,0x1a200019,0x00007200,
    0x817c417a,0x8006401b,0x3fa00058,0x00ffea07,0x20000080,0x7f402000,
    0x0008003f,0x20000000,0x00008000,0x08000000,0x00000800,0x003ea07f,
    0x00040000,0xfb81ffe0,0x0000000f,0x26000000,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x3e200000,0x0000f901,0x7c000000,0x09ff107f,
    0x90799999,0x20059999,0x02cdfeb9,0x66776540,0xcccc85ff,0xccccc83c,
    0x7ff6cc02,0xdb3001bd,0x20037bff,0x1bdffed9,0x0f333320,0x00b33332,
    0x0fbff722,0xcdfeb980,0x3bbba602,0xeeeeeefe,0xd984eeff,0x001bdffe,
    0x0fbff722,0x5447ff80,0xfd3302fe,0xfff730df,0x9bef8809,0x8804ffca,
    0xffdb9bee,0x7f4cc2ff,0xfffb986f,0x22bbf204,0x6402ffeb,0xffeb8aef,
    0x4577e402,0x3302ffeb,0xf730dffd,0xefa809ff,0x01effdab,0x32a6fbe2,
    0x999304ff,0x99999fd9,0xc8799bf9,0xffeb8aef,0xabefa802,0xf801effd,
    0x3bffe27f,0x037fd402,0x74409ff9,0x0effb80f,0xf901df30,0x3fea0bff,
    0x413ff206,0xfff81ffb,0xf03ff700,0x3fee01ff,0x200fff81,0x3f206ffa,
    0x20bee04f,0xe880fffb,0x0effb80f,0x5f104e80,0x3e07fee0,0x0bee00ff,
    0xf003ffee,0xffeb88ff,0x0dff300d,0xfd027fd4,0x827fec05,0x3ff602fe,
    0x06ff980f,0x7f413fea,0x205ff907,0x5ff907fe,0x7e41ffa0,0x1bfe602f,
    0xf104ffa8,0x427ff40d,0x3ff602fe,0xa81fc404,0x20ffd00f,0xdf102ffc,
    0x2027ff40,0xffd107ff,0x81bfe20d,0xff904ff9,0x0fffcc01,0xff301fee,
    0x0dff107f,0xfe827fcc,0x207ff706,0x7ff706fe,0x7dc1bfa0,0x1bfe203f,
    0xfb04ff98,0x23ffe405,0x3e600ffc,0x07e601ff,0x0dfd0364,0x7ec0ffee,
    0x01fff202,0x7fc40fff,0x06ff883f,0x7f413fe6,0x25ffd806,0xfe805ff8,
    0x06ff885f,0x6d413fe6,0x207ff702,0x7ff702da,0x7dc0b6a0,0x1bfe203f,
    0xf884ff98,0xaaaaaabf,0x3fa1fffc,0x05ffd806,0x205e81ee,0x7ff702da,
    0x5557ff10,0x3fff9555,0x3203ffc0,0x6ff886ff,0x2213fe60,0xffb805ff,
    0x2013fea6,0xff886ffc,0x013fe606,0x07fff910,0x3fffc880,0x7ffe4400,
    0x81bfe203,0xff984ff9,0xcccccccc,0xbff11ccc,0x40dff700,0x000fe06d,
    0x20ffff22,0xcccccff9,0x01cccccc,0xff301ffe,0x06ff881f,0x3ea13fe6,
    0xfffa804f,0x7009ff70,0xdff10fff,0x8027fcc0,0x3ffccfda,0xf99fb500,
    0x3f6a007f,0x2203ffcc,0x3fe606ff,0x0007fa84,0xf5009ff5,0x266621ff,
    0xa99999de,0x200999bf,0x3ffccfda,0x00007fa8,0x3fe01ffe,0x037fc41f,
    0xff909ff3,0x1fff300b,0x2a017ff2,0x7fc40fff,0x013fe606,0x7fdc5fd5,
    0x717f5403,0xfea807ff,0x880ffee2,0x3fe606ff,0x000ffb84,0x9805ffc8,
    0xfff50fff,0xffffffff,0x50dfffff,0x1ffdc5fd,0x00007fdc,0xff807ff8,
    0x037fc41f,0xff909ff3,0x4fff100d,0xf9806ffd,0x06ff886f,0xfb813fe6,
    0x01ffdc0e,0xffb81df7,0x703bee03,0x7fc407ff,0x213fe606,0xc8001ffb,
    0xff8806ff,0x2bee6627,0x9ed99999,0x77dc0999,0x5c1ffdc0,0xf00001ff,
    0x1ffd00ff,0x2606ff88,0x7ffb84ff,0x2e5ff980,0xff9807ff,0x206ff885,
    0xdf904ff9,0x640ffee0,0x07ff706f,0x7fdc1bf2,0x81bfe203,0xffa84ff9,
    0x7fdc1004,0x05ff9807,0x202740f7,0x7ff706fc,0x2009ff50,0x403ffc00,
    0x6ff887fd,0x2a17fe60,0x7cc01fff,0x03ffea3f,0xf107ff50,0x2ffcc0df,
    0xfb827fcc,0x04ff983f,0xff307ff7,0x80ffee09,0x3e606ff8,0x1fff985f,
    0xfff51d80,0x03ff9803,0x301fc0d9,0x3fee09ff,0x01fff983,0x1ffe01d8,
    0x3e0dfd01,0x17fe607f,0x2a027ff4,0x3ffe21ff,0x80ffd403,0x3fe607ff,
    0x703ffb85,0x7ff707ff,0x2e0ffee0,0x7ff703ff,0x2607ff80,0xfff885ff,
    0x3fa35405,0x0ffd404f,0x03f304e8,0xfb81ffdc,0x5fff883f,0x3fe03540,
    0x5ff0bfa7,0x2203ffa0,0xff505ffe,0x427ec01f,0x3600fffb,0x03ffa05f,
    0x2e17ffa2,0x9ff906ff,0x906ffb84,0xffb849ff,0x049ff906,0x74407ff4,
    0xfff705ff,0xa87f301d,0x3f600fff,0x2a05f104,0x1bfee00f,0x5c127fe4,
    0xf980efff,0x45ffe203,0x81bea4ff,0x3aa0dffd,0xfd00fffb,0x817e20bf,
    0xbf305ffe,0x20dffd80,0x40fffbea,0x3a63fff8,0x22395ffe,0x3ba63fff,
    0x3e2395ff,0x3fba63ff,0xffb0395f,0x7fdf541b,0xffffd00f,0x20dfd97b,
    0xbf105ffe,0x6c80fcc0,0x31fffc40,0x072bffdd,0x97bffffd,0xffb80dfd,
    0x774d3f27,0x3fffe600,0xfff99ffe,0xdffd81ef,0x8803ba61,0x3e61dffd,
    0x7ffcc00e,0xff99ffef,0x3ffa1eff,0xff9afeff,0x7fff43ff,0xfff9afef,
    0x7ffff43f,0xffff9afe,0xdffff303,0xffff33ff,0xfffe983d,0x200effff,
    0x3a61dffd,0xd81ee00e,0xffffe804,0xffff9afe,0xffffe983,0xd300efff,
    0x7e44ffff,0xfb800dfe,0xff30efff,0xfffc803b,0x7000befe,0x17dddfff,
    0x3fffee00,0x03bff30e,0x41bfff91,0xfc883ffe,0x3ffa0dff,0xdfffc883,
    0x700fffa0,0x261dffff,0x7ec01dff,0x800dffff,0xbefefffc,0x7f036c00,
    0xbfff9100,0x201fff41,0x0dfffffd,0x00010000,0x017102aa,0x000aa880,
    0x0002aa60,0x05c40aa8,0x01804c40,0x00300988,0x00060131,0x00b88155,
    0x002aa620,0x8002aa20,0x0039102b,0x001804c4,0x0002aa62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01e40000,
    0x00000000,0x00000000,0x00009710,0x3ffe2000,0x3b260006,0x640acefe,
    0x1ceeb882,0x500bb000,0x3e2000bb,0x005da804,0x80003f20,0x01dffda8,
    0x00006b80,0x37bfb6ea,0xdb30001b,0xa80039df,0xb5003dfd,0x20000bff,
    0xff9006c8,0xda8007ff,0xca9adfff,0x442fbcef,0x00ffecde,0xb3007dc0,
    0x32000bff,0x2ffecc06,0x002f9800,0x32b7ff20,0x7cc002ff,0x7f4c0001,
    0xffdb9ace,0x3fee000d,0x803fffff,0xefc9cffa,0x3fff7600,0x7e440005,
    0xaff8806f,0xf9000ffe,0x7e44039f,0x3a0ec3ff,0x0fe2004f,0x4002fdc0,
    0xbf7001fa,0x0017a000,0x7cc1ffb8,0x0274000f,0x03ffc880,0x200bff62,
    0xfffccff9,0x3fea01ff,0x20077dc0,0x10005ffc,0x00dffff9,0x027e41db,
    0x8013ff62,0xfc803ffa,0x801b6002,0x744005fb,0x017ee004,0x40003ee0,
    0x5fd06ff8,0x8006b800,0x9001ffe8,0x174409ff,0x9827ffd4,0x0bfd02ff,
    0x0005ffa8,0x01bff213,0x03f501d3,0x4002ffe4,0x05f804fb,0xb8003ea0,
    0x0764005f,0x800bf700,0x2a0002f9,0x07f903ff,0x4001f880,0x74003ffd,
    0x405902ff,0xffb07ffc,0x500ffd40,0x30000bff,0x00c80dff,0x7ffd4126,
    0x409d0000,0xf1000fc8,0x05fb8007,0x7000be60,0x05e800bf,0x827fdc00,
    0x4e8002ff,0x03ffea00,0x01fff700,0x0fff9803,0x3e02ffcc,0x17fe605f,
    0x1bfe2000,0x7fc40000,0x16e0004f,0x017fffdc,0x7dc0036c,0x0017a005,
    0xfb8017ee,0x7fdc0000,0x000efa86,0xff1006b8,0x3fe0007f,0xbfd0005f,
    0xe807ff90,0xbff301ff,0xdff10000,0x3ee00000,0x220001ff,0x03ff4c05,
    0x2e0007ea,0x01f9005f,0x200bf700,0xa80003f8,0x3fa20fff,0x03f10002,
    0x001fffb0,0x007ffee0,0x3fa0bfe0,0x1ffe401f,0x0005ff98,0x8806ff88,
    0x203effdc,0x80007ffe,0x01ff9800,0x2e0009f1,0x02f9805f,0x200bf700,
    0xf300006d,0x0bfea7ff,0xd009d000,0x54000fff,0x4c004fff,0x1fff984f,
    0x9827fdc0,0x3bf265ff,0x6ff8802d,0x6d5f7d40,0x7fc41eff,0x0000005f,
    0x036407f6,0xd00bf700,0x2fdc000b,0x0000fd40,0xbfbdffd0,0x77777441,
    0x80f702ee,0x0006fff8,0x0017ffe6,0x3ffea0bb,0x837fdc00,0xfff75ff9,
    0xf8807fff,0x20bee06f,0x3ea0fffb,0x000004ff,0x0fcc1ba0,0x80bf7000,
    0x2e0000fb,0x01fc405f,0x3ffee000,0xffff302e,0x00fc4017,0x000bfff3,
    0x003fffc4,0x3fee01fb,0x3ffd400f,0xdfbdff98,0x03ffffdc,0x7c41bfe2,
    0xb93ffa06,0x00004fff,0x3f711bb8,0x700013a0,0x01fc40df,0xb01bee00,
    0xf700000d,0x7e401fff,0x409d002f,0x0004fffb,0x2007fffc,0xb81fffea,
    0xffa807ff,0x1bfff307,0x00ffff98,0x3f60dff1,0xc9fff202,0x00003fff,
    0x67ffff44,0x8801f900,0x7ff6440a,0x2605e82d,0x3ffb2200,0x401fa82d,
    0xfe9800a8,0x3204fffe,0x81ee005f,0x0003fffc,0x980ffff4,0x4ffffffe,
    0x5403ffe4,0xff980fff,0x13ffe605,0x7c437fc4,0xaaaaaabf,0xff91fffc,
    0x2000007f,0x17cc0098,0x0003fa20,0x3ae207dc,0x20002dff,0x7f4404f8,
    0x457fe400,0xfd01ffff,0x80fc4001,0x0003fffc,0x2007fff4,0x2ffffda8,
    0x2a01bff2,0xff980fff,0x837fec05,0xff986ff8,0xcccccccc,0xfff71ccc,
    0x0000000b,0xffd805e8,0x83f88000,0x1ffebbec,0xb00db000,0x77ec01ff,
    0x21bffee1,0x4e8003f8,0x009fff50,0x007fff80,0xf72fffd4,0xfff700ff,
    0x3017fe60,0x3fe20fff,0x0007fa86,0x000dfff5,0x07dc0000,0x003ffb20,
    0x21a21b60,0xfa8005fd,0x07ff6401,0xfe80ffd8,0x003644ff,0xfff307b8,
    0x7fc4000b,0xffa8006f,0x201ffea7,0xff307ffb,0x0fff880b,0xfb86ff88,
    0xff88000f,0x0000007f,0xfa807f30,0x54000fe8,0xfa80981f,0x02744006,
    0x203fe3aa,0xff505ffb,0x007ea3ff,0x7c40fc40,0x260006ff,0xd0004fff,
    0x3ffe65ff,0x837fdc00,0xff805ff9,0x86ff880f,0xf0001ffb,0x00003fff,
    0x980bd000,0x4001fd1f,0x7d4003f8,0x00764004,0x203fe3f3,0x3f603fff,
    0x003f8eff,0xffe82740,0x3fea0007,0xff90003f,0x003ffe25,0x3e609ffb,
    0x07ff805f,0xff50dff1,0xff702009,0x0000005f,0x3a200fb8,0xd8003fa2,
    0x01fd8006,0xe880be60,0xff503fe2,0x7ff4401f,0xb80006ef,0x05fff507,
    0x01bff200,0x360ffa80,0x7ff402ff,0x00bff302,0x3fe20bff,0x01fff986,
    0x37ff41d8,0x40032000,0x226c03f8,0x3f5000fe,0x003f8800,0xf13602f4,
    0x3fffb81f,0x1ffffcc0,0x80fc4000,0x88006ffd,0x20001fff,0x27fd47fa,
    0xf981ffe0,0x27fc405f,0xf886ff88,0x435405ff,0x0003fffb,0x036c0077,
    0x003fa172,0xd10013e2,0x00fc8009,0x903fe172,0xf900dfff,0x14c07fff,
    0xff982740,0x7fe4002f,0x1fdc0004,0xff3037fc,0x02ffcc09,0x7c407fea,
    0xdfff706f,0x3207f301,0x54002fff,0x807ee006,0xfffffff8,0x1b200fff,
    0x30013600,0x7ffc405f,0x0fffffff,0x403ffff5,0x3fffffe8,0x0f7005d0,
    0x10037fe4,0x40001fff,0x1ff706e8,0x9803ff60,0x1ff405ff,0x740dff10,
    0xecbdffff,0x7ffdc06f,0x001d9003,0x2aa013e2,0x2bffaaaa,0x88007e60,
    0x05e8003d,0xfaaaaaa8,0x3ffa22bf,0x9efb81ef,0x9beffffc,0x5f1006eb,
    0x006ffdc0,0x44037fe6,0x07f602dc,0xff985fc8,0x077fcc02,0x7c405fb8,
    0x3ffa607f,0x00efffff,0x9cffff98,0x00bfb731,0x740006d8,0x0027400f,
    0x05b985d1,0xf80003ee,0xffff980f,0x43ffdcef,0xfffffffb,0x0136001f,
    0x9815dfd3,0x7d403ffb,0xea99beff,0x23fd800d,0xe8802fe9,0xf710afff,
    0xfffb801b,0x7fffec02,0x322000df,0xfffffffd,0x0fd4001d,0x803fa000,
    0xff3000fc,0x05ffffff,0xf0000be6,0x3ff6601f,0x501effff,0x03bffffd,
    0xd9007b80,0xbfffddff,0x3fff6003,0x2003efff,0x1cfefec8,0x7fff5400,
    0x3a202ffe,0x5efffffe,0x002aa620,0x26b2a600,0x04f88000,0x300ed800,
    0x776c005f,0x205eeeee,0xed80005e,0x0ddd4c00,0x00155100,0x30003220,
    0x20001575,0x0000aaa8,0x88000198,0x00000aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00971000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0x4ccccccc,0xcccccc98,0x03cccccc,0x000a0155,0x00dff930,
    0xdffdb710,0x2e00017b,0x801defed,0x2deffec8,0x77ed4400,0xeb88001d,
    0x21cefffe,0x3b2a0058,0x980003df,0x2003fecb,0xdeffedb8,0xdb70000b,
    0x034159df,0x7fffffcc,0xfffc84ff,0xffffffff,0x7fff4c5f,0x90002c0c,
    0x400dfffb,0x889acfd9,0x001dfca9,0xd713bfd5,0x2fee01bf,0x01bff911,
    0xf515df10,0x3f66003f,0xdba9bdef,0x8806ddff,0xeffb9bfe,0xdfd98000,
    0x3f66000a,0xca9889ac,0xfd3001df,0xdffd97bf,0xfffb00fd,0x881fffff,
    0xffffffff,0x742fffff,0x8cffffee,0xfa80005a,0x17f7006f,0x3013ea00,
    0x17f201ff,0x7fdc0fea,0x6c2f4405,0xeffa805f,0x3fff4c01,0x3603ba60,
    0x3f2001ff,0xbfb8003f,0x809f5000,0xe880cff8,0x67cc07ff,0x83cccccc,
    0xaaacdefb,0x20ffbaaa,0x3fffee49,0x980002ff,0x0ed806ff,0x00ed8800,
    0x7fcc09fd,0xfd007fc2,0x417f401f,0x3f200ffb,0x3f2000ef,0x881ff407,
    0xfd8806ff,0x0ed8001e,0x00ed8800,0xfe880ffd,0x40036c07,0x8bf5005e,
    0x7ffe441a,0xff100003,0x3335c80d,0xb9003333,0xf803ff30,0x80bfe64f,
    0xff303ffc,0x5c0dd101,0xe8000eff,0x80ff700f,0x7ec03ffc,0x05c8001f,
    0x198aae62,0x07ff30b9,0x7c40fd10,0x002cc002,0x0c0085fb,0x3fe20000,
    0x7e43aa06,0xdfffdeff,0xffa87d01,0xf32ff402,0x37fdc0bf,0x10007fb8,
    0x20003fff,0x0dfd00f9,0x700fff88,0xd50005ff,0x957bf701,0x1f47fbfd,
    0x6400bfee,0x2001b207,0x03fe0009,0x10000000,0x07e20dff,0x7f543ff7,
    0x261f881f,0x17fc04ff,0xffb81ffe,0x000ffb05,0x00017ffa,0x0bff103b,
    0xf305fff0,0x3f1000bf,0xd301fe88,0xf90fc47f,0x41e600bf,0x002ceff8,
    0x005fa800,0xf8800000,0xf50b706f,0x07ff983f,0x02fff897,0x3e981ff3,
    0x740fff20,0x7d4000ff,0x4c0002ff,0x805ffa80,0xffe83ffd,0x445b8000,
    0x27cc01ff,0x2fffa92e,0x3ff20f00,0x0003ffff,0xd980bf20,0x001bdffe,
    0x8befecb8,0x503d06ff,0x3ffd03ff,0x7fec1f10,0x003fe81f,0x3e03ffd0,
    0x7ec000ff,0x2000007f,0xfc806ffb,0x02ffe44f,0x27ec1e80,0x87c45c80,
    0x803ffff8,0xfffff881,0x0000efff,0xdf900ff8,0x05ffd715,0x262ffa20,
    0x986ffffb,0xb03ff506,0x88b601ff,0x3f63ffff,0x9ff50003,0x000fff40,
    0x000dfff1,0x03ffd400,0xff137fdc,0x00554c5f,0x01ffb8d3,0x6c5b0710,
    0x001effff,0xffeb9988,0x20001fff,0x3ff705fa,0x8801fff0,0xfffa81fe,
    0xff504b86,0x5c0bff03,0x67fffcc4,0x360001ed,0x17fec06f,0x0bfff500,
    0x7fcc0000,0x37fe400f,0xff91fff5,0x9701bfff,0x80007fd8,0x7ffff44b,
    0x4c0000df,0x000ffffe,0x3fa07f90,0x805ff907,0x3ff204fe,0xff503c86,
    0x00eff443,0xffff30b5,0x7cc0001f,0x7666441f,0x04cccdff,0x8013ffee,
    0xaaaaaaa8,0x9fff10aa,0x325ffd80,0xb99bffff,0x1e40effe,0x20001bfe,
    0x7fff445a,0x80003fff,0x0004fffb,0x1bfa01ff,0xf501ffdc,0x37fd401f,
    0xdffa816c,0x9802efee,0xdffff306,0x0bf60003,0x3fffffe6,0x3207ffff,
    0x22003fff,0xefffffca,0x03fff20b,0x3f64ffd8,0xfff880cf,0xdff116c5,
    0x20d30000,0xfffffffb,0x7fdc0002,0x2fcc000f,0x3ee05b50,0x01bfa03f,
    0x0790dff1,0x3fe6bfea,0xd10d5005,0x03ffffbd,0xb003f980,0x7e4005ff,
    0xf70004ff,0x3fe20dff,0x7fec40ef,0x807ffe3f,0x8f22fffa,0x80007ff8,
    0x3ff6206a,0x0005ffff,0x20017fec,0xc88003fc,0xff303fff,0x86ff880b,
    0x23ff504b,0x4b802ffa,0xffc877cc,0x172001ff,0x002ffc80,0x0013ffee,
    0x3027ffcc,0xdd9bfffd,0x3e63fff9,0x7ffc01ff,0x0ffd12e5,0x30097000,
    0x0bfffffd,0x01ffcc00,0xa8003fe0,0x03ffccfd,0xf8809ff7,0xf505a86f,
    0x007fec3f,0x41fe88f2,0x000ffffb,0x7fdc001f,0x3ffea002,0xfff10005,
    0xffec8807,0x54dffb3d,0x7e400fff,0xffb16a6f,0x03c80003,0x3ffffee0,
    0x13fe0003,0x5005f980,0x1ffdc5fd,0x4404ffc8,0x80f886ff,0x3fa21ffa,
    0x9fb0f405,0x00bffee0,0xff700162,0x7ffc4003,0xfff0000f,0x7fc40007,
    0x01ffe62f,0x0f89ffea,0x00013fe6,0xfd88003d,0x360007ff,0x0ff2002f,
    0xf703bee0,0x17ff607f,0x360dff10,0x4c1ffa83,0x44d503ff,0x3ff202ff,
    0x40049805,0x74000ffa,0xf0002fff,0x640007ff,0x0fff87ff,0x363ffcc0,
    0x4007fe43,0x0353544a,0x00ffff40,0x2000fd80,0x37e400ff,0xf903ffb8,
    0x6ff880df,0x3ff70d50,0x7b03ff70,0x3a00ffdc,0x015400ff,0x2001bea0,
    0x0005fffa,0x20007fff,0xfe82fff8,0x37fc402f,0x07bf61aa,0x2e3d84a8,
    0x3ffe2004,0x00ff0003,0x3e602fcc,0x07ff704f,0x8803ffee,0x993606ff,
    0x6c09dffe,0xfb1ae2ff,0x03ff700f,0x4fa80008,0x7fec2880,0xfff8001f,
    0x9ff70003,0x300fff20,0x509b09ff,0xd95379ff,0x07b8d709,0x001ffec0,
    0xf90017cc,0x03ffb807,0x3e607ff7,0x3fe204ff,0x2a2be206,0x440aaaaa,
    0x41f98aaa,0x7cc00ffc,0x7100000f,0x5b007fbb,0x006fff98,0x8003fff8,
    0x3e606ff9,0x0ffd405f,0x654417c4,0xf980acdd,0xb000fdc1,0xe80183ff,
    0x007f4004,0x7e41bfee,0xfffb024f,0x01bfe201,0x4c0005f3,0x02ff982f,
    0x154037dc,0x3feefa60,0x7dc41bef,0x04fffa80,0x001fffc0,0x70037fa2,
    0x27e405ff,0x40005f30,0x0efb82f9,0x746ff980,0x0ee981ef,0x2017e600,
    0x3a63fff8,0x98395ffe,0x7441ffff,0x26011fff,0x2fb8004e,0xff01bf60,
    0x04ffc803,0xfffee8b2,0x05ffeeff,0x8017ffea,0x22003fff,0x3fa004fe,
    0x801df106,0xfb8004e9,0x01dff702,0x7f41ffd8,0x4fdbcfff,0x003fc800,
    0x5fdffffd,0x207ffff3,0xdcdffffa,0x2effffbe,0x8033f620,0x4400efb8,
    0x7e4c0dfd,0x06fff802,0xfe9b5476,0x00ffffff,0x56fffecc,0x1dffea80,
    0x005ff500,0x220cff88,0xfb1000ee,0x77dc4019,0x3fffee00,0x3ff660ac,
    0xfffffa82,0xfd0001ce,0x3ff22001,0x0fffa0df,0xdffffd30,0x005bff13,
    0x666f7e4c,0x4001cfed,0xdfecdffb,0x07ff9000,0x32076fd4,0x000effff,
    0x37ffff6a,0x00cfffed,0x01f7edcc,0xbbffb100,0x3260009d,0xfedccdef,
    0xb9db801c,0xfffefffd,0x0554c00d,0x00f22000,0x00c02620,0xb882aa20,
    0x5d4c0000,0x400009ab,0x80009a98,0x40288019,0x4c0001a9,0x009abcaa,
    0x00026b20,0x000a9880,0x2aeea600,0x20260009,0x0009bca9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00002000,0x00000000,0x00000000,
    0x31000000,0x26600133,0x32e00019,0xcccccccc,0x33332603,0x9951cccc,
    0x39999999,0xccccc880,0x00b500cc,0x80072a00,0x27ec2fe9,0x3617fcc0,
    0x3b26005f,0x00002cef,0x2e200ff5,0x400cefed,0x3fa60efb,0x034c0002,
    0x09fff100,0x207fff30,0x9881fffc,0xadfffffc,0x3fae6200,0xd7109cff,
    0x159fffff,0xdfffb500,0x07ffc987,0x06ff9800,0xfa9bff60,0x7fec01ff,
    0x007ffea6,0xffffff91,0x440001bf,0xee9807ff,0x02ffeb9a,0x7ec9fff1,
    0x7ec0007f,0x3fe60001,0x04ffb806,0x80dffff3,0x8004fffc,0x7ec01ff8,
    0xfd0005ff,0xffedb81f,0xff980007,0xbff9000f,0x2007ffcc,0x3fe65ffc,
    0x7ffec00f,0x06fffffe,0x01fff600,0xfff50bf5,0xb8bffa03,0x220005ff,
    0x540004ff,0x2ff401ff,0x5ff77fb0,0x017ffd40,0xf9806e80,0xfb0006ff,
    0x03ffcc05,0x002ec800,0x3b5032e2,0xa8197100,0x56fd401c,0x13fffa60,
    0x1fffee00,0xfd00ff88,0x10f2609f,0x64000197,0x40000fff,0x1be203fb,
    0x3fea2fa8,0x03fff300,0x6c01ba00,0x44000fff,0x07ff805f,0x00000000,
    0xd0000000,0x0fffe80b,0x3fefe600,0xc813f607,0x000003ff,0x07ffff00,
    0x5c0d9000,0x220ba00f,0x3fff304e,0x401ba000,0x4002fffa,0x7ff801fa,
    0x00000000,0x80000000,0x7fcc00f8,0x7d7a001f,0x05ff307f,0x00000298,
    0xdffdf500,0x40360000,0x9006e01d,0x03fff301,0xe801ba00,0x374006ff,
    0x0007ff80,0x00000000,0x03a80000,0x2005ffd0,0x20fff0fc,0x00001ffa,
    0x3ba00000,0x0001fffa,0x00002008,0x01fff980,0x5c00dd00,0xf3001fff,
    0x01ffe007,0xccc80000,0xcccc83cc,0x7f6cc02c,0x00001bdf,0x26007ff6,
    0x5c1ffe2f,0x880001ff,0x003effdc,0x7ff4be60,0x00000005,0x3fe60000,
    0x0dd0001f,0x02fffc40,0xff000fc8,0x4000000f,0x986ffe99,0x3204fffb,
    0xffeb8aef,0xffb00002,0xff89d100,0x005ffb07,0xdabefa80,0xd8001eff,
    0x003ffee7,0x2a037540,0x06ea806e,0x001fff98,0xfc800dd0,0x04f800ff,
    0xfb71ffe0,0x1baa005b,0xc81bfea0,0x3ff704ff,0x0001fff0,0xdb00bfd0,
    0x3f20fff0,0x3ee0003f,0x00fffb82,0xff893e20,0x3f26003f,0xffc986ff,
    0xfff9306f,0x3fff300d,0x001ba000,0xa809fff1,0x5ffe001f,0x3fffffe8,
    0x0dfff930,0x540dff30,0x0ffd04ff,0x0000bff2,0xfa805ff1,0xf707ff81,
    0x882600bf,0x13ffa06f,0x7e40fb80,0x3aae007f,0xfeab86ff,0xffd5706f,
    0x3fff300d,0x001ba000,0xdd01fff6,0xe8fff800,0x0fffc9ac,0x06ffeab8,
    0x2606ff88,0x0dfd04ff,0x0000ffee,0x3f880df5,0x3ea0fff0,0x234401ff,
    0x3ff202fd,0x2617e007,0x54002fff,0x3fea06ff,0x037fd406,0x000fffcc,
    0xfa8006e8,0x07f302ff,0x81efff80,0x3ea03ffd,0x6ff8806f,0x5413fe60,
    0x07ff702d,0x401fe800,0x41ffe06d,0x6405fff8,0x2aaffe24,0xfffcaaaa,
    0xd01fa801,0xf8800bff,0x1bfe206f,0x300dff10,0x20003fff,0xffd0006e,
    0x0003f20d,0x3ea01fff,0x1bfe205f,0x981bfe20,0x644004ff,0x20003fff,
    0x07dc04fb,0x7e40fff0,0x1fb885ff,0x33333fe6,0x1ccccccc,0x3ea06e80,
    0x3e2001ff,0x1bfe206f,0x300dff10,0x20003fff,0xff70006e,0x004f883f,
    0x3e607ff8,0x1bfe205f,0x981bfe20,0xfb5004ff,0x0007ff99,0x5f3017e2,
    0x2207ff80,0xcaceffff,0x03fd43ff,0x00be6000,0x44009fff,0x3fe206ff,
    0x037fc406,0x000fffcc,0xf10005e8,0x01fb8bff,0x2607ff80,0x3fe205ff,
    0x06ff8806,0xd5013fe6,0x01ffdc5f,0x7400ed80,0x407ff805,0xffffffe9,
    0x00ffb85f,0x333f2000,0xfecccccc,0xff1000ff,0x037fc40d,0x2201bfe2,
    0xd0001fff,0x7fe4000b,0x4001ba0f,0x3fe207ff,0x01bfe206,0xf981bfe2,
    0x03bee04f,0x90007ff7,0xfffa801f,0xffffffff,0x881fffff,0x03fffffd,
    0x00003ff7,0x3bbbbbe2,0xfffeeeee,0x0dff1003,0x22037fc4,0xff8806ff,
    0x09f0002f,0xa7ffc400,0xff0002f9,0x037fc40f,0xf100dff1,0x27fcc0df,
    0xff706fc8,0x01fb8007,0xffffffa8,0xffffffff,0x3ea201ff,0x13fea009,
    0x03ee0040,0x8037fec0,0x3e206ff8,0x37fc406f,0x003fff80,0x40003f88,
    0x00f97ffd,0xf103ffc0,0x37fc40df,0x3037fc40,0x9ff30bff,0x800ffee0,
    0x993001fa,0x99999999,0x01999fff,0x7cc02fc8,0x01d801ff,0xffa8017a,
    0x6ff8801f,0x101bfe20,0x3fa00dff,0x2fa8005f,0x7ffcc000,0x3e0004fb,
    0x1bfe207f,0xf006ff88,0x2ffcc0ff,0xfb81ffdc,0x05f3003f,0x1ffe0000,
    0x03fff980,0x5017ffe2,0x000fd40d,0x22017ffa,0x3fe206ff,0x037fc406,
    0x000fffc8,0x400007ec,0x001ffffe,0xf881ffe0,0x1bfe206f,0x4407ff40,
    0xffb85ffe,0x049ff906,0x09002f98,0x800fff00,0x7dc06fe8,0x3f980eff,
    0x2e001ba0,0x7c400fff,0x1bfe206f,0x200dff10,0x2002fff8,0x700004fc,
    0x8000dfff,0x3fe207ff,0x01bfe206,0xd506ffec,0xf881fff7,0x3fba63ff,
    0x5f50395f,0x0007b100,0xfb000fff,0xffffd009,0x40dfd97b,0xf98003fa,
    0x7fc404ff,0x01bfe206,0x5c00dff1,0xfc802fff,0x3e00000e,0x7c0002ff,
    0x1bfe607f,0x3006ff88,0x3ffdffff,0x43dffff3,0xafeffffe,0xa83ffff9,
    0xeeeeeeff,0x000ffeee,0x54007ff8,0xfe9800ff,0x0effffff,0x40007fa0,
    0x2601ffff,0x3fe607ff,0x03ffcc07,0x2b7ffee0,0x1dffb731,0x7fc80000,
    0x7ffc4000,0x40fff300,0x2e007ff9,0xf30effff,0xff9103bf,0x1fff41bf,
    0x7fffffd4,0x6fffffff,0x00fff000,0x0006fbae,0x1bfffffb,0x013ff220,
    0x3bfffe60,0x03fff701,0xb807ffee,0x4c001fff,0xfffffffd,0x000003ef,
    0xa80009f1,0xff902fff,0x3ffee03f,0x20554001,0x098800b8,0x3ffe2030,
    0xffffffff,0xf0003fff,0x000000ff,0x900554c4,0x0bffffff,0xfffffd30,
    0x3fae3fff,0xd71effff,0x43dfffff,0xefffffeb,0x5d4c4001,0x00001aac,
    0x50000b80,0x7dfffffd,0x3fffffb2,0xffffd70e,0x000003df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ba80000,0x80000000,0x00002ca8,0x0016e200,0x00000000,0x99999995,
    0x66665c59,0x9502cccc,0x10599999,0x99999999,0x33326199,0x26001ccc,
    0xcccccccc,0x1402aa00,0x20002d40,0xcccccccc,0x7dc001cc,0x3b22006f,
    0x8000acee,0xcfffded9,0xd85fd300,0x3ff2604f,0xffd95006,0x500d913b,
    0x6ff5ccbb,0xfffb5102,0x7d4415df,0x00adffff,0x15fffb51,0x3fffaa60,
    0x2e621bef,0x000effff,0x7fffd731,0x3fffa603,0xff910584,0xda98000f,
    0x09cfffff,0x7ec05fb1,0xefa800ff,0xdddffb32,0x31fc409d,0x3f609fff,
    0x07ffea6f,0x01bfff72,0x3f26b3f6,0xf7106fff,0x3ffe6bff,0x7f404fff,
    0x3fe601ff,0x3fe001ff,0xffff1001,0x17fff600,0x201fe200,0xbffffeee,
    0xfeda85a8,0x3a00007f,0xffc80fff,0x09ff500f,0xf901ff30,0x2207dddf,
    0x07ff986e,0x7fccbff9,0x1bfea00f,0xf881fe88,0xfd7706ff,0xfb9df1bf,
    0x7dc07fff,0x7fe402ff,0x09f1000f,0x005ffe80,0x009fffd1,0x24980df0,
    0x1ffffffb,0x001ffe60,0x907ffd80,0x01880fff,0x3e20bfd0,0x05fc805f,
    0x32e205d5,0x2600ed40,0x0bfa06ff,0x5406ffb8,0x7cc1eeff,0xff100fff,
    0xfff9809f,0x003f5002,0x2005ffe8,0x002ffffc,0x106e02f4,0xf005fff9,
    0x640000ff,0x5d9107ff,0x3fe60000,0x201ffa04,0x000005fe,0x41bfe200,
    0x7fcc06fb,0x0fffcc06,0x204fffa8,0xfe807ffd,0x00f9005f,0x4009ffb0,
    0x01fffffc,0x801017a0,0x01ffe001,0x06ffc800,0xf7003000,0x17fec09f,
    0x00013fe0,0x6ff88000,0x4404ff88,0x7fcc06ff,0x037ff405,0xb803fff5,
    0x4f800fff,0x04ffd800,0x3ffebf20,0x00bd000f,0x3ffc0000,0xdff90000,
    0x00910000,0x7ec0bff5,0x13fe202f,0x88000000,0x3ff986ff,0x2037fc40,
    0x7d405ff9,0x27ffc07f,0x00bffe60,0xfb0003f5,0xcbe4009f,0xbd006fff,
    0x7c000000,0x3200007f,0xa80006ff,0x06ff8803,0xfa807ff6,0x5cc0004f,
    0x8802cdfe,0x2ffb86ff,0x2037fc40,0x7cc05ff9,0x3ff200ff,0x2fffdc07,
    0x6c001b20,0x9f2004ff,0xe804fffd,0x3fae6005,0xfff002cd,0x7fe40000,
    0x02c80006,0x3e03ffd0,0xfdcca86f,0x003cccef,0xf9537df1,0x6ff8809f,
    0x4402ffc8,0x7fcc06ff,0x07ffc405,0x405fff30,0x200ffffe,0xffb0003f,
    0xd13e4009,0x5e807fff,0xa9bef880,0xff804ffc,0xccccc987,0x1bff203c,
    0x4003a000,0x7dc0efe8,0xfeeeb80f,0x805eeeff,0xffb80fe8,0x0dff100e,
    0xf8805ffb,0x2ffcc06f,0x7403ffc0,0xf9f104ff,0x07ea07ff,0x027fec00,
    0xfff88f90,0x1017a01f,0xdff701fd,0xa83ffc01,0x2009bfff,0x40006ffc,
    0x7f44005c,0x00dfeacf,0x8004ffa8,0x3ff602fe,0x90dff104,0xff8807ff,
    0x02ffcc06,0x7e4037fc,0xfb1f707f,0x001b60df,0x2004ffd8,0xffff987c,
    0xfe80bd00,0x813ff602,0x1bf507ff,0x01bff200,0x4002fa80,0x1accbbe8,
    0x013fea00,0x4c01ff90,0xff881fff,0x406ffb86,0x7cc06ff8,0x2ffc405f,
    0x417ffcc0,0x81fff55e,0x360003f8,0x1f2004ff,0xe837ffdc,0x803ff205,
    0xff01fff9,0x8009f30f,0x10006ffc,0x3e8800df,0x4ffa8000,0x4037f400,
    0xff885ffd,0x02fffa86,0xf301bfe2,0x2ff980df,0x88bffd00,0x87fff12f,
    0x360000fa,0x1f2004ff,0xe85fffc8,0x201bfa05,0xfff05ffd,0xc8004fa8,
    0xfd0006ff,0x01fe8007,0x04ffa800,0x2017fe20,0xff886ffb,0x03dffd06,
    0xf301bff6,0x05fd80df,0xb83ffee0,0xb1bff60f,0xffd8000d,0xd01f2004,
    0x05e87fff,0xf700bff1,0xb9ffe0df,0xff90003f,0x7dc14c0d,0x3fe2000f,
    0xaaaabccf,0x04ffa801,0x2013fea0,0x7c40fffa,0xffff506f,0xff9b5137,
    0x2fff980d,0x4003ff10,0x17a2fff8,0x3e23fff5,0x7fec0003,0x101f2004,
    0x2f45ffff,0xa804ffa8,0x7ff80fff,0x640005f7,0xbff506ff,0x20027fcc,
    0xfffffff8,0x00bfffff,0x64009ff5,0xff9805ff,0x037fc40f,0xfffffff9,
    0x980dff15,0x7441ffff,0xffd8002f,0xfff05f35,0x00003ea9,0x64009ffb,
    0xffff9807,0x3ff20bd0,0x0fff9805,0x3ffcfff8,0x1bff2000,0xfe87ffec,
    0xfe98002f,0xffffffff,0x9ff506ff,0x037fe400,0x7c43ffc4,0x7ffdc06f,
    0x0dff12ff,0xffbdff98,0x0001efdc,0x0f91fff5,0x036dfff2,0x027fec00,
    0x3ea00f90,0x905e8eff,0xff100dff,0x3ebffe0f,0xf90001ff,0x97fea0df,
    0x9d100fff,0x9988e981,0xffdcaaaa,0x004ffa81,0x2601ffee,0x6ff885ff,
    0xf8835300,0xaffcc06f,0x0000aaa8,0x275fffc4,0x3fafff98,0x3ffd8000,
    0xc801f200,0x705edfff,0xff300fff,0x7e5ffe0b,0xfc8000ff,0xf98a606f,
    0x8ffee07f,0x3e6001f9,0x004ffa83,0x3007ffea,0xdff107ff,0x6ff88000,
    0x002ffcc0,0xffffb000,0x7ffffc03,0xffd80000,0x001f2002,0x20bffffb,
    0x4c01fffa,0x4fff03ff,0xc8006ffd,0x3ea006ff,0x97fe607f,0x82d8006e,
    0x74004ffa,0x7fd404ff,0x006ff881,0x2037fc40,0x00005ff9,0x01fffea0,
    0x000bfff9,0x8003ff60,0x7f44007c,0x3ffa05ff,0x80ffd404,0x3ffe27ff,
    0x37fe4004,0x01fff100,0x06fcaff4,0x7d407c40,0x7fd4004f,0x413f600f,
    0x40006ff8,0x7cc06ff8,0x4000005f,0x7cc04fff,0x7e4003ff,0x20037f45,
    0xff98007d,0x3ffea05f,0xf813f600,0x1fffcc7f,0x00fff900,0x3203ffe8,
    0x009ffb3f,0x7fdc0ba6,0x5ffe8005,0x7c40bf10,0x7cc0006f,0x2ffcc06f,
    0x3f200000,0x0ffe801f,0x8bffe200,0x3f4001ff,0x05ffa800,0xf882fff4,
    0x207ffc05,0xb001fffb,0xf9800fff,0x4cdf00ff,0x9aacffff,0x203fdaa9,
    0xb0005ffb,0x774c3bff,0x01ffe600,0x80fff300,0x00006ffa,0xb8037cc0,
    0xffe8005f,0x4003f98e,0x8000bffa,0xffd805fb,0x803ba61d,0xfd80fff8,
    0x7fd400ff,0x754003ff,0xdeb99bff,0x7ffff540,0x00dfffff,0x007fffa2,
    0x7f7ffe40,0x7fe400be,0x3f20001f,0x3ff601ff,0x4000001f,0x05f1003e,
    0xfffff500,0x3ff22009,0x001dffff,0xffc802ec,0x400befef,0xf982fffa,
    0xffc81fff,0x1dffffff,0x3bfb6e00,0x7765402c,0x2601bcef,0xeffffffd,
    0xaa88001c,0xfffea800,0x32002eff,0x2effffff,0xffffffd1,0x2000007d,
    0x002e000a,0x000ab980,0x01800000,0x40055440,0xefffffeb,0xfffffd33,
    0x0000007d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xcccccccc,0x6666444c,0x9303cccc,
    0x99999999,0xcccc9819,0x004ccccc,0x6666664c,0xcccccccc,0x4c2ccccc,
    0xcccccccc,0xcccccccc,0x00e64c3c,0x99303995,0x00059999,0x333332e0,
    0x9999930c,0x00099999,0x66664c00,0xaacccccc,0x64c0009a,0xcccccccc,
    0x80000aaa,0xffffeb98,0xffb981ad,0x3100aeff,0x5bffffd5,0xfff73103,
    0x800359ff,0xffffeb98,0xeeeeeeef,0x4c45fffe,0xeeffffeb,0xffffeeee,
    0x901ffdc6,0xf73105ff,0x0001ffff,0xbeffff98,0x3ffae621,0x2001adff,
    0x3f621ffa,0x3ffae624,0xffefffff,0x8802cfff,0xfffffeb9,0x02efffff,
    0x3e202ed4,0xff8806ff,0x7fc4002f,0x3fe6006f,0xf500005f,0x5009ffdb,
    0x7ffc40bf,0x237ec404,0x3f203ffb,0x7ffd402f,0x7ec0003f,0xff8807ff,
    0xffd0006f,0x407ffdcd,0x409dfff8,0x1efffda9,0x3bfff100,0x13fff2a2,
    0x2017ff66,0xfb805fff,0xfff0001e,0x7ffc400b,0x3f700004,0x2a009ffd,
    0x027ffc06,0x1ffdc7c8,0x8805ff90,0x0006ffff,0x017fffe2,0x8002fffc,
    0x3fea4ffd,0x09fff00f,0x07ffff50,0x5c13ffe0,0xfb80efff,0x04ffe805,
    0x000077d4,0xf8009ffd,0xd00003ff,0x4013ffab,0x27ffc068,0x7fdc7880,
    0x00bff203,0x00bfffbe,0x2fff7e40,0x004ffe80,0xca819910,0x013ffa01,
    0x017fff44,0xfb027ff4,0x0bf709ff,0x4c09ffd0,0x740000ef,0x7fc004ff,
    0xfa80003f,0x4009ffd1,0x027ff404,0x03ffb890,0x3a00bff2,0x8006ffec,
    0x04ffddf8,0x0009ffd0,0x3ffa0000,0x3ffe2004,0x27ff401f,0x50ffff30,
    0x9ffd00bf,0x0003be60,0x0013ffa0,0x00007fff,0x027ff49d,0x09ffd000,
    0x01ffdc00,0x9d005ff9,0x8005fff5,0x04ffd9fb,0xdfffffd0,0x000017dd,
    0x0027ff40,0xd017ffee,0x7fc409ff,0x02fd40ff,0x7cc27ff4,0xfd00000e,
    0xfff8009f,0x07d40003,0x00009ffd,0x00027ff4,0x7e407ff7,0xfd4e802f,
    0xb5f800bf,0x3fa009ff,0xffeccadf,0x800001ef,0xe8004ffe,0x3fa01fff,
    0x7fff404f,0x7402fd41,0x077d44ff,0x9ffd0000,0x03fff800,0x3fa27400,
    0xd005804f,0x205809ff,0x3f203ffb,0xf54e802f,0x3ee003ff,0x2009ffb2,
    0xfe984ffe,0x375401ff,0x004ffe80,0x204fffb8,0x7fc04ffe,0x02fd40ff,
    0xdf527ff4,0xfe800001,0x7ffc004f,0x03ee0003,0x58809ffd,0x809ffd00,
    0x80ffee06,0x4e802ffc,0x74017ffe,0x4013ff66,0xff304ffe,0xffc983ff,
    0x9ffd006f,0xffff3000,0x1027ff40,0xbf50dfff,0x2e9ffd00,0x800000ef,
    0x7c004ffe,0xf10003ff,0x809ffd09,0x9ffd005d,0xff703640,0x017fe407,
    0x1fff7274,0x3f62fa80,0x9ffd004f,0x227ffdc0,0x006ffeab,0x10009ffd,
    0x7f40ffff,0x3fff204f,0xe805fa83,0x02ffbcff,0xbffd0000,0x33333333,
    0x07fff333,0x3a03ee00,0xbaaaadff,0xfd005fec,0xfb9999df,0x27fdc0df,
    0xd005ff90,0x027ffc49,0x09ffb1fa,0x9813ffa0,0xff506fff,0x3f33260d,
    0xccccceff,0x3fffe03c,0x209ffd00,0xf505fffa,0xfdffd00b,0x00003fff,
    0xffffffd0,0xffffffff,0x10007fff,0x3bffa09f,0xfffeeeee,0xffffd005,
    0x0dffffff,0xf9027fdc,0xc89d005f,0x7f300fff,0xd004ffd8,0xfff809ff,
    0x06ff880f,0xffffddd3,0x09dddddd,0xe80ffff4,0xca99adff,0xf700cfff,
    0x99ffd00d,0x0003ffff,0x99dffe80,0x99999999,0x8003fff9,0x9ffd00fc,
    0xe802f4c0,0x0dd304ff,0xfa837fdc,0x3a0512ff,0x81fffc44,0x27fec0fd,
    0x204ffe80,0xf107fff8,0x3ffa00df,0xfffd0004,0x37bffa01,0x01cdfffe,
    0x05bffd91,0xffca7ff4,0x200001ff,0x7c004ffe,0x7c4003ff,0xfeeeeeef,
    0x02d404ff,0x2204ffe8,0x8fffee06,0x53ffcdc8,0x3f213a07,0xd84f887f,
    0xffd004ff,0x2fffdc09,0xd006ff88,0x3e0009ff,0x3ffa07ff,0x20000004,
    0x3ff24ffe,0xd00001ff,0xff8009ff,0x676c003f,0xffcccccc,0x802c404f,
    0x03404ffe,0xfddffff7,0x3afffe6b,0xff309d01,0xd80fc87f,0xffd004ff,
    0x1fffec09,0xd006ff88,0xf30009ff,0x7ff40dff,0x00880004,0x7e44ffe8,
    0x80001fff,0x7c004ffe,0x3e6003ff,0x027ff402,0x4ffe800c,0xf9d700c0,
    0xffd89fff,0x6c13a03f,0x417e26ff,0xfd004ffd,0x3fff209f,0x01bfe205,
    0x40027ff4,0x3a04fffa,0xe80004ff,0x84ffe800,0x001ffffc,0x0027ff40,
    0xd800fffe,0x04ffe806,0x13ffa000,0x3536c800,0x27401440,0xf72fff98,
    0x013ff603,0xd3127ff4,0x4401bfff,0xffd006ff,0xfff90009,0x027ff405,
    0x200bf200,0xff904ffe,0x740003ff,0x7fc004ff,0x05f3003f,0x0009ffd0,
    0x013ffa01,0x00007d80,0x3ffa04e8,0x7fec0bf6,0xdfffd004,0x07dfffff,
    0x200dff10,0x4c004ffe,0x7f405fff,0x3e60004f,0x7ff403ff,0x3ffff204,
    0x9ffd0001,0x03fff800,0x3fa00dd0,0x824c004f,0x20004ffe,0x400000ff,
    0x3ffea04e,0x3ff602fd,0x9dffd004,0x40015557,0xfd006ff8,0xffe8009f,
    0x27ff400f,0x1bfa2000,0xc809ffd0,0x8001ffff,0x7c004ffe,0x2fa803ff,
    0x009ffd00,0x9ffd02e8,0x0bfe2000,0x809d0000,0x6c06fffe,0xffd004ff,
    0xff100009,0x13ffa00d,0x03fffa80,0x0004ffe8,0x7fc04fd8,0xfffc804f,
    0x7ff4002f,0x1fffc005,0xf801be20,0x3f2004ff,0x009fff00,0x000ffea0,
    0xfb80bf00,0x7ff402ff,0x09fff005,0x0dff1000,0x4013ffa0,0xd005fffc,
    0x980009ff,0x7ffc00ff,0xffffd005,0x2fffc007,0x09fff100,0x3e003fc8,
    0xfc8804ff,0x017ffe05,0x0027fdc0,0x3e01be00,0x6fff807f,0x00bfff00,
    0x00fff300,0xd1013ffe,0x7c005dff,0xd70005ff,0x7e44037d,0xfe801fff,
    0x00aeffff,0x03ffff91,0x1dfff910,0x0037ff20,0x57ffff91,0xff975555,
    0xfff9105f,0xff50003f,0x32200007,0x1fdc02ff,0x5ffff710,0x7fffe440,
    0x7fdc0002,0x3ff2201f,0xdbaacdff,0x2004fffe,0x02ffffc8,0xffb30000,
    0x09dfffff,0xfffffff7,0x7eccdfff,0xceffffff,0x7fffecc0,0xfd54efff,
    0x981dffff,0xfffffffd,0xffffffff,0x3ff660ff,0x04efffff,0x00037620,
    0xfffffb30,0x01f1019f,0xffffff91,0x3f6619ff,0x4fffffff,0x7fff5c00,
    0x3f661eff,0xffffffff,0x009acdef,0xfffffb30,0x00009fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0500aa80,0x33333332,0xcccccb84,0x99999931,0x13555999,
    0x99993000,0x57999999,0xcb800135,0xcccccccc,0xcccccccc,0x99999950,
    0x64c07999,0x0ccccccc,0x99999991,0x33209999,0x23cccccc,0xccccccc8,
    0xcccccccc,0x66442ccc,0xcccccccc,0x6665c003,0x99904ccc,0x00000199,
    0x0cfffe98,0xfffd982c,0xffb881cf,0xfd7310be,0xffdfffff,0x44001dff,
    0xfffffeb9,0xefffeeee,0xfffe800b,0xffffffff,0x224fffff,0xeffffffb,
    0x3f66200a,0x6d41bfff,0xbfffffff,0xfffd5301,0xfdb9815d,0xeeeeefff,
    0x85ffffee,0xeffffeb9,0x64c000ab,0x301bffff,0x05805ffb,0xee80bf62,
    0xa8cffffe,0x03ffec05,0xff1017f4,0xffe981bf,0xff88003f,0x3ffea04f,
    0x4dffc01f,0x37ffcc00,0x0ffffd88,0x00f7fc00,0x02ffffe4,0xf003ffa8,
    0x3ee00bff,0x07fffc05,0x3ffec000,0x26017dc0,0x41ffea07,0x3fffee49,
    0x7fc401ff,0x017e201f,0xfc813ffe,0xff8004ff,0xfffd804f,0x4005f101,
    0x2201fffe,0x2001ffff,0x32001ff8,0xfb007fff,0x2fff4007,0xfe80b700,
    0xf100006f,0x06d803ff,0x3fee07d8,0xfc883507,0xffb002ff,0x4007dc09,
    0x3a204ffe,0x74001fff,0xfe8804ff,0x400d106f,0xa803fffc,0x32005fff,
    0xffd8003f,0x027d403f,0x8017ff60,0x2ffec069,0x9ff70000,0x3201fc40,
    0x1bfea07f,0x30006004,0x17a01fff,0x2027ff40,0x4003fffc,0xf7004ffe,
    0x009303ff,0x8017ffe6,0x8802fffd,0xff10005f,0x17e201ff,0x017ff600,
    0x5ffd8090,0x3fe20000,0x401f700f,0x3e607ffa,0x0000005f,0x3ea0fffa,
    0x09ffd001,0x005fffa8,0xa8027ff4,0x01883fff,0x00fffe88,0x03fffe20,
    0x40001f90,0xe885fff9,0xffd8000e,0x7ec00005,0x6400005f,0x209d04ff,
    0xccffffc8,0x0027fc3c,0xdff50000,0x7f400db0,0x7ffd404f,0x27ff4004,
    0x02fffa80,0x0bfff200,0x13ffea00,0x80003f98,0x7ec3fffc,0xbffb0001,
    0xffd80000,0x7c400005,0x80fd40ff,0xeefffeeb,0xa817f44e,0x1efed47d,
    0x887ffe00,0x3ffa002f,0x1fffe404,0x013ffa00,0x0003ffec,0x000bfff5,
    0xe80fffec,0x3fa00006,0x005f70ff,0x402ffec0,0xbffb0048,0xff900000,
    0xff006d87,0x221fd80f,0xfd17fffb,0x4007ffff,0x01b25ffc,0x4409ffd0,
    0x4000ffff,0xf8804ffe,0xf10005ff,0x40001dff,0xfb86fff8,0x3e600001,
    0x004f9dff,0x402ffec0,0xbffb0049,0xff100000,0xf801fc4f,0x2a3dc07f,
    0xde8fffda,0x00fffeaa,0x3e1fff10,0x27ff4003,0x005fffb0,0x9809ffd0,
    0x0001efff,0x0003fffb,0x4c9fff50,0xc800004f,0x0006ffff,0xe805ffd8,
    0x0bffb004,0x3ff60000,0x3e001f73,0x8835407f,0xfd81efff,0x3ff6003f,
    0x74000fab,0xffea84ff,0xffd0001f,0xb753335b,0x40009fff,0x0004fffb,
    0x6c7fff60,0x3a000006,0x80001fff,0xaaaaeffd,0x004fecba,0x0000bffb,
    0x3a3ffe60,0x01ffe004,0x07ffc031,0x9984ffb8,0xeffb9999,0x999999de,
    0xb9dffd00,0x017dfffd,0x7ffff400,0xffffffff,0xff10000c,0x880000df,
    0x01fbefff,0x3fe60000,0xfd80006f,0xeeeeeeff,0xfb004fff,0x400000bf,
    0x001fdffd,0xf0001ffe,0x2ffd40ff,0x7ffffffc,0xffffffff,0xffd03fff,
    0x1fffd99d,0xbffd0000,0x7fe5d441,0x74000cff,0x00001fff,0x04ffffb8,
    0x7fd40000,0x6c0003ff,0x27d405ff,0x005ffd80,0x3ffe6000,0x03ffc006,
    0x881ffe00,0x7d4006ff,0xffd0006f,0x02fffc49,0x027ff400,0x03ffffa2,
    0x01fffe40,0xfffb0000,0x44000001,0x00fffedf,0x017ff600,0x7fec012e,
    0x6c000005,0x7fc003ff,0x3ffc0007,0x800dff10,0xd0005ff9,0xfffa89ff,
    0x7ff40003,0xbfffb004,0x0bfff300,0xffb80000,0x22000007,0x0dfff36e,
    0x02ffec00,0xffd8024c,0x54000005,0x7ff8007f,0x03ffc000,0x9800dff1,
    0xfd0005ff,0x3fffb09f,0x27ff4000,0x1ffff880,0x03fffa20,0xff700000,
    0x6c00000f,0x0ffff20f,0x02ffec00,0xbffb0018,0x9f000000,0x00fff000,
    0x2207ff80,0xcccc86ff,0xcfffdccc,0x01cccccc,0xfd109ffd,0x7f4000df,
    0x3ffa004f,0x3fff203f,0xb8000002,0x000007ff,0xfffd05f7,0xbffb0003,
    0xffd80000,0x54000005,0x7ff8001f,0x03ffc000,0x9990dff1,0xfffb9999,
    0x39999999,0x4c13ffa0,0xd0004fff,0x7e4009ff,0xfff504ff,0x0028800b,
    0x0007ffb8,0xf304f980,0xfb000dff,0x402000bf,0x70005ffd,0x4001b600,
    0x7c0007ff,0x1bfe207f,0x00bff300,0xb813ffa0,0xe8002fff,0x3f6004ff,
    0xfff881ff,0x015c000f,0x003ffdc0,0x9017e200,0xd8007fff,0x3a8005ff,
    0x000bffb0,0x05f30077,0x083ffe00,0x103ffc00,0xf9800dff,0xffd0005f,
    0x0fffd809,0x027ff400,0x360ffff0,0xe8002fff,0x7ffb8001,0x3ba20000,
    0x7fff4400,0x17ff6001,0x3603f100,0x7c4005ff,0x0006e800,0x02c4fff6,
    0xf881ffe0,0x7fcc006f,0x9ffd0006,0x06fff880,0x8027ff40,0xfb84fffc,
    0x7b8004ff,0x0fff7000,0x07fa2000,0x077ffd40,0x005ffe80,0xdffb036c,
    0x6446c800,0x000fc8ac,0x3ffffee0,0x3ffe6000,0x00fff300,0x0006ffa8,
    0xf500bfff,0x3e001bff,0x7e4404ff,0xfff884ff,0x06fa8006,0x01fff900,
    0x05fd8800,0x02ffff40,0x2006ffe8,0x3ffa03fc,0x87fd1007,0x03fffffd,
    0x2dffd800,0x17ffdc00,0x001fffc8,0x005fffb1,0x17fffe44,0x5f7ffe40,
    0xffff9100,0xf9755599,0x3fa05fff,0xaaaaacff,0xfecbaaaa,0xffa8005f,
    0x50000cff,0x4400dfff,0x01dfffff,0x2b3fffea,0xfcbaaaaa,0xffb880ff,
    0xccccceff,0x41fffecc,0x005ffffc,0x50002200,0x7dfffffd,0x3fffffae,
    0xfffd501e,0x4c0bdfff,0xfffffffd,0x3ffa00cf,0x3f666fff,0xffffffff,
    0x0bceefff,0xffffff70,0xffffffff,0x007fffff,0x7fffff64,0xf9001dff,
    0x0bffffff,0x7fffff44,0xd911ffff,0xffffffff,0xffffffff,0xffffc88d,
    0xffffffff,0x886fffff,0x00000cec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332a000,
    0xcccccccc,0xcccccccc,0x99999931,0x35559999,0x99988001,0x99999999,
    0x00999999,0x00000000,0x19800000,0x00000000,0x00000000,0x00000000,
    0x4cfb5000,0x3ff204fd,0xffffffff,0xffffffff,0xffd7313f,0xffdfffff,
    0xb0059fff,0x55555555,0x55555555,0x07d40095,0x01b20000,0x3bf6e600,
    0x260fe22d,0x01bdffed,0x3bfb6e20,0xfdc8800c,0xdc9803ef,0x3261cdff,
    0x3002dffe,0x0059bfd7,0x2b37ffae,0xbfffdc46,0xb02ffffa,0xffa813df,
    0x83feb987,0x209dfff8,0xefffdb98,0x40001201,0x003ea004,0x000d9000,
    0x6d4dff44,0xc84e9dff,0xffeb8aef,0x9aee9802,0x2a02ffeb,0xeffdabef,
    0x513bf701,0x5df53ffd,0x4409fff7,0xffca9bef,0x4c5f7404,0x6d546ffc,
    0xffbe8fff,0x540bb02f,0x0fe207ff,0x5c027ffc,0x0904ffff,0xa8012000,
    0x6400000f,0x03ba0006,0x2e17ffee,0x0fff81ff,0x3ea17ea0,0x82fb81ff,
    0x7dc0fffb,0x7fffd40f,0x882ffd82,0xeffb80fe,0xf881fc80,0x1dfff106,
    0x405b015c,0x25407ffa,0x1004ffe8,0x0907fffd,0xa8012000,0x6400000f,
    0x07fb0006,0x7f42ffec,0x205ff907,0xffd00ff8,0x3a06f889,0x43ff44ff,
    0xf307fff8,0x405fd0df,0x0ff84ffd,0x7ffc0d70,0x2a034003,0x824407ff,
    0x22004ffe,0x0241ffff,0x2a004800,0x6400000f,0x07fb8006,0x3a0fffec,
    0x07ff706f,0xffc813f6,0xf9017ec3,0xd06fe8ff,0x7ffc09ff,0x9803ff21,
    0x3fe21fff,0x7fc0d102,0x54008007,0xd00807ff,0xfb8009ff,0x000246ff,
    0x03ea0048,0x00d90000,0x7640dfd0,0x16d45ffd,0xf983ffb8,0x2214c02f,
    0xaaaaabff,0x261fffca,0x59ffd01d,0xfff55555,0x6c037f45,0x17ffc5ff,
    0x01ffe028,0x1ffea000,0x04ffe800,0x21fffe80,0x00900004,0x000007d4,
    0xff1001b2,0x3f23ae0b,0xff91007f,0x03ff507f,0x999ff300,0x99999999,
    0xfff71003,0xdddddddd,0x17fe25dd,0xf91bfee0,0x7c001bff,0xa800007f,
    0x3a0007ff,0xfb8004ff,0x000124ff,0x01f50024,0x006c8000,0x7d42ffd4,
    0x401fff51,0x3ffccfda,0x8001ffb8,0x200007fa,0x1ffedfc8,0x027fd400,
    0xf307ffd4,0x001bffff,0x00000fff,0x4000fff5,0x98004ffe,0x00127fff,
    0x1f500240,0x06c80000,0x2a37fe40,0x07ffe61f,0xffb8bfaa,0x002ffd83,
    0x0000ffb8,0xfe8efec4,0x7fe4001f,0x0fff9805,0x7fffff44,0x003ffc03,
    0x03ffd400,0x009ffd00,0x24ffff10,0xff548000,0xffffffff,0xffffffff,
    0x3ffff21f,0xffffffff,0x26ffffff,0x0be67ffb,0xdf70fff1,0xc83ffb81,
    0xfb8003ff,0x3f20001f,0x017fec1e,0x201bff20,0x3aa07ff8,0x3e05ffff,
    0xa800007f,0x3a0007ff,0xff0004ff,0x000121ff,0xaaaaa8a4,0xaabfcaaa,
    0x262aaaaa,0xaaaaaaaa,0xaaaaaafd,0x3ffea2aa,0xff883f88,0xfb837e46,
    0x05ffb83f,0x13fea130,0x03bf2040,0x7000fff6,0xff300fff,0xffff700b,
    0x001ffe05,0x01ffea00,0x004ffe80,0x123fffd0,0x50024000,0xc800001f,
    0x7ffcc006,0x9ff304ea,0xfb827fcc,0x1fffa83f,0xfff33440,0x3e23b003,
    0x0bff903f,0x3ffea550,0x11ffcc01,0x17ffa205,0x00003ffc,0x0003ffd4,
    0x20009ffd,0x0090fffe,0xfa801200,0x36400000,0x2ffff400,0x7dc5ff50,
    0x07ff703f,0xc80bfff1,0x017ffe24,0x81ffd4d5,0x7401fffa,0x5013ffa0,
    0x103443ff,0x1ffe0fff,0x3fea0000,0x3ffa0007,0xffff0004,0x04800024,
    0x00003ea0,0xf3000d90,0x2fe401ff,0x7e41bfee,0xfffc824f,0x5c1fb885,
    0xf980efff,0x4417ff23,0xd880dfff,0x007ffd45,0x01f889fb,0x7ffc1bf6,
    0x7d400001,0x3fa0007f,0xff98004f,0x4000126f,0x003ea004,0x000d9000,
    0x7c41bffa,0x23fff886,0x395ffee9,0x677fffc4,0xfd03ffca,0xfd97bfff,
    0x41fff98d,0xbefffee9,0xe80ffda9,0x0bf105ff,0x27f40df1,0x0027ffd4,
    0x01ffea00,0x004ffe80,0x125fffa8,0x50024000,0xc800001f,0xfdec8006,
    0x03fa60df,0x7f7ffff4,0x83ffff9a,0xffffffe9,0x3ffa605f,0x80efffff,
    0xfdbdfffe,0xffffff92,0x7fec03ff,0x203ba61d,0x7d42eff8,0x7ffff546,
    0x500004ff,0x74000fff,0xfc8004ff,0x000122ff,0x01f50024,0x006c8000,
    0xfffa87dc,0x2200ceee,0x3a0dfffc,0x3f6203ff,0xb003ffff,0x01bfffff,
    0x37ffff66,0x7ffff640,0xfffc801e,0xf100befe,0x9fd9fffd,0x00000001,
    0x8001ffea,0x4c004ffe,0x00246fff,0x3ea00480,0x36400000,0x5303f100,
    0x09880015,0x55440030,0x54c40009,0x1551000a,0x001aa880,0x1000aa88,
    0x0005554c,0x3ea00000,0x3fa0007f,0x7fec004f,0x8000241f,0x003ea004,
    0xffffffc8,0xffffffff,0x0006ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07ffd400,0x04ffe800,0x213ffea0,0x00900004,0x2a600144,
    0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0000fffb,0x2e009ffd,0x00904fff,0x00001200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,0x9fff0001,
    0x1effe880,0xa4000120,0xfffffff9,0xffffffff,0x77715fff,0x77777777,
    0x77777777,0x00000000,0x00000000,0x00000000,0x00000000,0xea800000,
    0x2000cfff,0xbcffffc8,0xfffecbaa,0xccccd804,0xcccccccc,0x914ccccc,
    0x99999999,0x99999999,0x3fffe679,0xffffffff,0x06ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd70000,0x05bfffff,0x7ffffecc,
    0xcdefffff,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccccc800,
    0x2ccccc83,0xccccccb8,0x99999950,0xccccb839,0x00000001,0x66666654,
    0xccccc884,0x06201b10,0x000002b8,0x1b102cc0,0x004a80ee,0x33333332,
    0x53cccccc,0x19999999,0x03333322,0x3ae20000,0x00005d50,0x86ffe998,
    0x984fffb9,0x221efffd,0x0adfffea,0x405ffe44,0x77ed47da,0xbefdb80b,
    0xffff7100,0x3bf26039,0x6c43ba21,0x323effff,0x547da83f,0x44003dfd,
    0xf893a03e,0x7c00fa02,0xeeeeeeef,0xd513fffe,0xfa85ffff,0x400002ef,
    0x3a24ffc8,0x00000bff,0xfc81bfea,0x17ff604f,0x300fffcc,0xffeb887f,
    0xfffffb17,0x7ffff44d,0x7ffd405f,0x440fdc01,0x9abefcee,0x23fcefdb,
    0xd17fffb8,0x007fffff,0x81fb036c,0x03f701fc,0x7f403f88,0x1fffb05f,
    0x00005f98,0x805ffecc,0x001cffd9,0x206ff980,0x3e604ffa,0x0bff606f,
    0xfdba87b8,0xd99ce8ff,0xace8bfff,0x403fffa9,0x26c02ffe,0x4407ff10,
    0x7ed544fe,0xeaade8ff,0xfc800fff,0xf109f702,0x803fa01d,0x7ffe4078,
    0x89fff100,0x500000ed,0x44005dfd,0x0002dffc,0xf981bfe2,0x0ffec04f,
    0x3a05ff98,0x3bffe204,0x2efffb81,0x5406ffa8,0x07e205ff,0xe8802fa8,
    0x3dfff106,0xb807ffb0,0x01ff506f,0x77d41bf2,0x7d40b100,0x7fcc01ff,
    0x0003f71f,0x01dffc88,0x1f7f5c00,0x037fc400,0xfa809ff3,0x1fff104f,
    0xff803f10,0x3fff300f,0x201ffe20,0x0d701fff,0xf1002fc4,0x403ffe07,
    0x3e604ffb,0x04ff982f,0x7f413fe2,0xfff88005,0x3dff9003,0x6cc0005f,
    0x00000cff,0x0067fed4,0x2606ff88,0x7ff804ff,0x709fff70,0x80fff00d,
    0x3fe00fff,0x04ffb807,0x007d405f,0x3ffc1ba0,0x220bff50,0xffe886ff,
    0x41ffe400,0x74004ffa,0x7f4005ff,0xd50005ff,0x000007df,0x03bff930,
    0x2606ff88,0xffc804ff,0x87ffbe82,0x07ff803e,0xfd007ff4,0xfff8801f,
    0x1ee03d40,0x7fc1ee00,0x41bfe207,0xffe82ffe,0x2fff8804,0x9002ffe8,
    0x98001fff,0x22001fff,0x0002dffb,0xffb88000,0x0dff102e,0x4c027fcc,
    0xfdb545ff,0x2003e62f,0x7ff407fe,0x003ffa00,0x09b0fff6,0xf98005d8,
    0x2207ff81,0x6ffc86ff,0x000fffc8,0xfa81fff9,0x7fd400ff,0xff90001f,
    0x3bfe600d,0x00000001,0x881fff50,0x3fe606ff,0x41ffd004,0x6cbff53e,
    0x80ffd004,0x3fa00ffe,0x6ff9800f,0x0d9003e2,0xff01f500,0x437fc40f,
    0x7c41fff8,0xffd002ff,0x809ffb09,0x0003fff8,0x009ffff1,0x000bbfae,
    0xfd500000,0x0dff107d,0xb8027fcc,0x741f53ff,0x001f88ff,0xffe80ffd,
    0x003ffa00,0x05c8fff4,0x7b8007b8,0x7c40fff0,0x0bff306f,0xf500dff3,
    0x0dff30bf,0x000bffd0,0x0fffc674,0x19ffb500,0x22000000,0x2202dffb,
    0x3fe606ff,0x2dff1005,0x55ffdc4d,0x01ffa006,0x7f401ffd,0xbff7000f,
    0x0be600be,0x3fe09d00,0x81bfe207,0xffa81ffb,0x4077f403,0x7e400efd,
    0xd90000ff,0x0007ffdc,0x0077ff26,0x7fe4c000,0x0fff001c,0xb002ffcc,
    0xf881f7ff,0x3a003eef,0x07ff407f,0x2001ffd0,0x007bfff8,0x7e4003f6,
    0x440fff00,0x2fe406ff,0x3ea06fc8,0x01ff980f,0x100fffd4,0xfb07ea07,
    0x2e2000bf,0x00002eff,0x0017ffb5,0xe880ffe8,0x3ea005ff,0xfffb05ff,
    0x03ff4001,0xfe803ffa,0x3ff2000f,0x37e2003f,0xf027dc00,0x37fc40ff,
    0xfd80ff40,0x3603fd03,0x7ffc402f,0x7c41d403,0x02fff882,0x5f7f5400,
    0x7f5c4000,0x3f60002e,0x3efaa0df,0x3fe000ff,0x0bff501f,0x200fff80,
    0x3fa00ffe,0x3fe6000f,0x3ff2000f,0x7fecc0af,0x40fff00e,0xf8806ff8,
    0xf70fd105,0x200fe607,0x3d805ffe,0xff702f44,0xb300001f,0xc88019ff,
    0x80001cff,0xffeffff9,0x1effff99,0x7c05fc80,0x7ffc002f,0x807ffa01,
    0x6c001ffe,0x2ff2005f,0xffeeffc8,0x4c0ee8ae,0xff300fff,0x407e600f,
    0xd02743f8,0x3fff900b,0xb5333333,0x204fd85f,0x000efff9,0x3bff9100,
    0x00bffd98,0x7ffdc000,0x3bff30ef,0x2017cc00,0x7fd4007c,0x7fff303f,
    0x00fffe60,0x26003f50,0x5e5d443f,0x3ee2f442,0xfff902ff,0x981aa003,
    0x06a816e7,0xffffff98,0xffffffff,0x0dffff32,0xdffffff9,0x75c40000,
    0x005df50f,0x81550000,0x070000b8,0x3a600510,0x53efffff,0x9dfffffd,
    0x3fffffaa,0x0012003e,0xa8440001,0x3efffffe,0xdfffffd7,0x20803003,
    0x00004400,0x00000000,0x98540000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00326000,0x00a80033,0x00000620,0x00000000,0x00000000,0x2e600000,
    0x4c0ccc40,0xeeeeeeee,0xeeeeeeee,0xfff50eee,0xffffffff,0xffffffff,
    0x40199881,0x40010000,0x3ff80000,0xb800fec0,0x7ff1003f,0xceeb8800,
    0x000f4001,0x8039dd71,0x204efed9,0x01ceccc8,0x40ef76dc,0x77d42fe8,
    0xa8bffee0,0x664c2fff,0xcccccccc,0xdccccccc,0x9999930f,0x99999999,
    0x81999999,0xfc884fff,0x9a002dff,0x3fa21ffa,0x3fe20004,0x401fd804,
    0x3e6004fb,0x37a2004f,0x7000ffec,0x3fe200df,0xf703fffd,0x03dff9df,
    0x80ffc4bd,0x87ff51ed,0x7ff46ffa,0x717fffa3,0x000009ff,0x000003e6,
    0x2217fea0,0xfffdccff,0xfe96e00c,0x03ffee5f,0x7fd05540,0x0fec05cc,
    0xb8004fb8,0xd076000b,0xfbf1009f,0xfc879007,0x541df987,0x3e17d46e,
    0x5c3fc83f,0x1fff21ff,0x7fe49fff,0x03fe40ff,0x00f98000,0xefc80000,
    0xeb885d80,0xd710adff,0xf327fe45,0x3fe600ff,0x3ea3f90e,0xa83fb05f,
    0x0000004f,0x64017e40,0x2400fc8f,0x3fa17fc4,0x5c47f700,0xf113fa20,
    0x5cbff03f,0x1fff46ff,0x3607e6aa,0x9800001f,0x8000000f,0x803f00ff,
    0xffffffc9,0x2a05dc44,0x3ffa001c,0xfff77a8e,0xfa8fec09,0x00000004,
    0x2f9805f8,0x3a0009f1,0xf102fc0f,0x3fb3220b,0x6c07fcc4,0xb13fe66f,
    0x41aa05ff,0x800004e8,0x000000f9,0x04880fcc,0x0166e540,0x76440000,
    0xdffcebff,0x4fcfd803,0x40000000,0x6e800fc8,0x26000fd4,0x2017c45f,
    0xe8ee446d,0x40ffd44f,0x0ffe27fc,0x0f603ff7,0x80000688,0xffff50f9,
    0xffffffff,0x1fffffff,0x000000ae,0x10000000,0x0005bfd7,0xffc80bfd,
    0xffffffff,0xffffffff,0x2ffffb86,0x1ba07ee0,0xbf01f900,0xdd12fc40,
    0x7fcc4fe8,0x7fc6fb82,0xf983fd41,0x00000400,0xaaa88544,0xaaaaaaaa,
    0xaaaaaaaa,0x00000010,0x98000000,0x0bdfeeec,0x03fff700,0x5555554c,
    0xaaaaaaaa,0x2602aaaa,0x09f107fe,0x7d400fe6,0x2e01fd01,0xfd0ffa3f,
    0xd85ff889,0x2207ec3f,0x001ec86f,0x00000000,0x00000000,0x00000000,
    0x3d39fff7,0x5c01dfff,0x0003fb4f,0x3fe00000,0x3200fc82,0x017cc00f,
    0x6ea83bf3,0xbff32ffc,0x7c1ffb81,0x89f07c86,0xccca80be,0x004ccccc,
    0x00000000,0x00000000,0x7fcc0000,0x3fa2f73f,0xd89f704f,0x0000001f,
    0x7cc1fd80,0x3027c403,0xdff7003d,0xfc83dff9,0xeffdbeff,0x6d5ffe40,
    0x7b05a80d,0x7fffdc00,0x0006ffff,0x00000000,0x00000000,0x1ff44000,
    0x0ffa23fb,0x0fec13ea,0x00000800,0x200dd0fd,0x81ea81fb,0xefed981c,
    0x217b7104,0x372604d9,0x4c06202c,0x3ffee000,0x006fffff,0x00000000,
    0x00000000,0xf8100000,0x27d4044f,0x88007f60,0x2ee002ff,0xfb83f711,
    0xf71ba001,0x0dfddddd,0x00000000,0x44000000,0x00888888,0x00000000,
    0x00000000,0x10000000,0x4fa809ff,0x2003fb00,0x3a004ffa,0x440dffff,
    0x97cc004f,0xfffffffb,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02fe8000,0x0b600264,0x4001ed80,0x00000098,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00400000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_41_latin1_x[224]={ 0,4,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_41_latin1_y[224]={ 32,6,6,6,5,6,6,6,6,6,6,9,28,22,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,16,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,38,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,9,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,32,14,8,6,11,7,
6,6,7,6,6,15,16,22,6,4,6,9,6,6,6,15,7,17,31,6,6,15,6,6,6,14,-1,-1,-1,0,
1,1,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,12,6,-1,-1,-1,1,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,12,14,6,6,6,7,6,6,7,
 };
static unsigned short stb__times_41_latin1_w[224]={ 0,5,11,18,16,29,27,5,11,11,14,21,7,10,
5,11,17,10,17,15,18,16,17,16,15,16,5,6,21,21,21,14,33,27,23,23,26,22,20,26,26,12,15,28,
22,33,28,25,20,25,26,17,21,27,27,35,27,27,22,8,11,9,17,20,7,16,19,15,18,15,16,17,19,9,
11,19,9,29,19,17,19,18,13,13,11,19,19,27,19,19,16,11,3,11,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,15,17,18,19,
3,14,11,26,12,17,21,10,26,20,12,20,11,10,7,18,18,5,6,7,12,17,26,26,28,14,27,27,27,27,
27,27,33,23,22,22,22,22,12,12,12,12,26,28,25,25,25,25,25,16,25,27,27,27,27,27,20,18,16,16,
16,16,16,16,23,15,15,15,15,15,9,9,11,11,17,19,17,17,17,17,17,20,18,19,19,19,19,19,19,19,
 };
static unsigned short stb__times_41_latin1_h[224]={ 0,27,12,27,30,28,27,12,34,34,16,21,11,4,
5,27,27,26,26,27,26,26,27,26,27,27,19,25,19,8,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,34,25,27,25,26,26,26,25,25,25,34,27,34,14,2,8,19,27,19,27,19,26,26,26,26,
34,26,26,18,18,19,26,26,18,19,24,18,18,18,17,25,17,34,34,34,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,26,31,27,18,25,
34,34,5,27,12,18,8,4,27,2,13,21,14,15,8,25,33,5,9,14,12,18,27,27,27,26,33,33,33,32,
31,31,25,34,33,33,33,31,33,33,33,31,25,33,34,34,34,33,32,16,27,34,34,34,32,33,25,27,27,27,
27,26,26,27,19,26,27,27,27,26,26,26,26,25,27,25,27,27,27,26,26,15,20,27,27,27,26,34,34,33,
 };
static unsigned short stb__times_41_latin1_s[224]={ 250,250,134,201,150,167,124,249,1,53,1,
70,146,154,249,241,206,244,38,190,56,203,140,220,47,123,250,247,1,184,23,
63,1,107,68,17,23,171,91,96,30,237,154,1,194,131,170,164,225,50,41,
185,1,167,195,118,143,115,92,195,152,204,65,91,154,132,224,149,1,165,34,
16,223,243,76,217,69,93,162,205,98,79,237,223,237,45,123,65,235,217,218,
88,246,100,214,50,50,50,50,50,50,50,50,50,50,50,50,50,50,50,50,
50,50,50,50,50,50,50,50,50,50,50,50,50,50,50,50,50,250,249,134,
78,143,21,242,35,236,158,108,182,162,154,20,70,95,92,83,54,206,112,140,
250,246,246,121,200,97,70,41,1,185,165,137,27,106,55,57,65,213,1,24,
83,236,193,75,234,198,108,89,115,141,159,1,16,197,167,214,112,206,47,165,
1,113,130,220,237,21,96,181,75,167,237,1,91,135,145,155,186,58,1,40,
183,223,199,51,33,113,20,76,147,1,33,13,88, };
static unsigned short stb__times_41_latin1_t[224]={ 35,1,374,138,105,105,166,302,1,1,374,
328,374,383,63,105,166,166,222,166,222,194,194,194,194,194,249,71,354,374,354,
194,36,222,302,166,328,302,276,194,276,249,249,276,302,276,249,166,276,36,302,
194,328,222,222,249,302,302,302,1,166,1,374,350,374,328,166,328,194,328,249,
249,222,222,36,249,249,354,354,328,249,249,327,328,302,354,354,354,354,302,354,
36,1,36,374,328,328,328,328,328,328,328,328,328,328,328,328,328,328,328,328,
328,328,328,328,328,328,328,328,328,328,328,328,328,328,328,328,328,35,36,105,
194,354,302,1,36,374,194,374,354,374,383,194,350,374,328,374,374,374,276,36,
29,291,276,374,354,166,166,166,249,36,71,71,105,105,105,276,1,36,71,71,
105,36,71,71,71,276,71,1,1,1,36,105,374,105,1,1,36,71,71,276,
138,138,138,138,194,222,138,328,222,138,138,166,222,222,222,222,276,138,302,138,
138,105,249,249,374,328,138,138,138,222,1,1,71, };
static unsigned short stb__times_41_latin1_a[224]={ 148,197,242,296,296,493,461,107,
197,197,296,334,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,165,165,334,334,334,263,546,428,395,395,428,362,329,428,
428,197,231,428,362,527,428,428,329,428,395,329,362,428,428,559,
428,428,362,197,165,197,278,296,197,263,296,263,296,263,197,296,
296,165,165,296,165,461,296,296,296,296,197,231,165,296,296,428,
296,296,263,284,119,284,320,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,148,197,296,296,296,296,119,296,
197,450,163,296,334,197,450,296,237,325,178,178,197,341,268,148,
197,178,184,296,444,444,444,263,428,428,428,428,428,428,527,395,
362,362,362,362,197,197,197,197,428,428,428,428,428,428,428,334,
428,428,428,428,428,428,329,296,263,263,263,263,263,263,395,263,
263,263,263,263,165,165,165,165,296,296,296,296,296,296,296,325,
296,296,296,296,296,296,296,296, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_41_latin1_BITMAP_HEIGHT or STB_FONT_times_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_41_latin1(stb_fontchar font[STB_FONT_times_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_41_latin1_BITMAP_HEIGHT][STB_FONT_times_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_41_latin1_s[i] + stb__times_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_41_latin1_t[i] + stb__times_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_41_latin1_x[i];
            font[i].y0 = stb__times_41_latin1_y[i];
            font[i].x1 = stb__times_41_latin1_x[i] + stb__times_41_latin1_w[i];
            font[i].y1 = stb__times_41_latin1_y[i] + stb__times_41_latin1_h[i];
            font[i].advance_int = (stb__times_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_41_latin1_s[i] + stb__times_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_41_latin1_t[i] + stb__times_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_41_latin1_x[i] + stb__times_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_41_latin1_y[i] + stb__times_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_41_latin1_LINE_SPACING
#endif

