// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_43_latin1_BITMAP_HEIGHT        428
#define STB_FONT_times_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_43_latin1_FIRST_CHAR            32
#define STB_FONT_times_43_latin1_NUM_CHARS            224

#define STB_FONT_times_43_latin1_LINE_SPACING          28

static unsigned int stb__times_43_latin1_pixels[]={
    0xf9302400,0xa8800000,0x01c401aa,0x3ae013e0,0x00000004,0x0000009f,
    0x00000000,0x00000000,0x0002dcc0,0xddfd9751,0x98800179,0x00999999,
    0xfea82e98,0x4000007f,0xa801fffc,0x809f000d,0x2002fff8,0x0000fffd,
    0x3e60009f,0x000004ff,0x0001fffd,0x7ffcc000,0x3f600005,0xbf930003,
    0x75ccc357,0xfff9003e,0xc80bffff,0xfffcc81f,0x7c000007,0x3e6001ff,
    0x4404f802,0x22002fff,0xf0002ffe,0x3ff20009,0x22000005,0x00002ffe,
    0x01bfee00,0x006f4400,0x0067f4c0,0x8801db30,0x5ff99999,0xf5007f60,
    0x400000ff,0x98003ff9,0x4027c05f,0xf88003da,0x09f0005f,0x003bfa00,
    0x9ff30000,0x74000000,0xb00000ef,0x9f70003f,0x02fa8000,0xb82ffc40,
    0x7ff9801f,0x3ee00000,0x0fee0004,0x000004f8,0xf0007f98,0x1ff10009,
    0x2a000000,0x0000007f,0x00003ff1,0xb1001bee,0x2200005f,0x3fe2001f,
    0x1004fa85,0x00000fff,0x740002f4,0x0009f02f,0x007ea000,0x2e0013e0,
    0x0000001f,0x00000fdc,0x0000fd40,0x4400bfd0,0x400001fe,0xff1000ea,
    0x000ff88b,0x0000fff1,0x40001a20,0x04f80ff9,0x13200000,0x20013e00,
    0x0000002d,0x00000990,0x800007b0,0x3f6006ff,0x99000001,0xb17fe200,
    0x7fc400bf,0x11000007,0x27f40000,0x0000027c,0x13e00060,0x00000600,
    0x00003000,0x80000500,0xf7007ff8,0x44000007,0x5ff8800f,0x8800ffe2,
    0x000007ff,0xff900000,0x00004f81,0x20003100,0x0310004f,0x00000000,
    0x00000000,0x400fff80,0x098006f9,0x10079010,0x07fe4bff,0x98fff100,
    0x5500bdeb,0x01555555,0x01555551,0x27c4ffa8,0x800f5c40,0xeffffeca,
    0x009f002c,0x3ffffb2a,0xdd9002ce,0xdddddddd,0x77775403,0xdd93eeee,
    0xdddddddd,0x77775403,0xfd03eeee,0x00fe803f,0x1bdbf910,0x0d307fd5,
    0x7fcbff10,0x3ffc4007,0x3dfffff9,0xdffffd50,0xfff71017,0x8fff0017,
    0x3ff6604f,0x77f4c01f,0xffca98ac,0x2027c01e,0x98acefe9,0x801effca,
    0xeffffeb8,0x3ff6a002,0xffeb881f,0x2a002eff,0x6c01fffd,0x13e602ff,
    0x95077d40,0x0f103ff9,0x3eabff10,0x7fc4006f,0xffffff77,0x3ff601ff,
    0x02fd802f,0x4f8bffa0,0x3fffdb70,0x202ffdc0,0x3e03ffd8,0x017fee04,
    0x2007ffb1,0x0006fffa,0xfa803ff1,0xf10006ff,0x7ff9003f,0x5400fec0,
    0x0dffd06f,0x3fe2007c,0x800bffb5,0x21eafff8,0x105fffe9,0xdf007fff,
    0x24ffe800,0x7ffc404f,0x007ffb01,0x4f82ffe4,0x4007ffb0,0xf8805ffc,
    0x3a0004ff,0x4fff8807,0x401fa000,0xdf101ffb,0x201ff700,0x07a04ffc,
    0x3fabff10,0x7fc4004f,0xffe880df,0x0bff701f,0x6c002f98,0x2013e6ff,
    0xffb81fff,0x3fff8006,0x6ffb84f8,0x03fff800,0x0027ffc4,0xff100fd0,
    0x3f40009f,0x2e06fa80,0x17fcc03f,0x7405ffb0,0xfaffc401,0x7c4003ff,
    0x3fee00ff,0x3fff104f,0x64003ec0,0x2013e7ff,0x7fcc1fff,0xffb8002f,
    0x3e604c0f,0xfb8002ff,0x7ffc00ff,0x01f60004,0x00027ffc,0x0bfa00fb,
    0x7f400fc8,0x203ff405,0x6ffc400f,0x4002fff8,0xfe807ff8,0x17ff205f,
    0x640027c4,0x009f0fff,0xffe83ffd,0xfff10006,0x0dffd00b,0x17ffe200,
    0x0009fff0,0xfff803ec,0x01f60004,0x0fb00be6,0x2201ffc8,0x01e205ff,
    0x3fe77fe2,0x7fc4002f,0x06ffc807,0x2e07ffe2,0xffb8000f,0xfd009f1f,
    0x17ffdc3f,0x5fff9000,0x017ffdc0,0x05fff900,0x00027ffc,0x3ffe00fb,
    0x81f60004,0x7e802ec9,0x5017fe20,0x035407ff,0x7fd6ffc4,0x7fc4001f,
    0x07ffb807,0x2f427fe4,0x1fffa800,0x3ffd009f,0x000fffec,0x40bfff50,
    0x0001fffd,0xf817ffea,0x360004ff,0x09fff007,0xfb83ec00,0xb81be003,
    0x7fec02ff,0x22013200,0x2fffadff,0x03ffc400,0x2203ffd4,0x0be60fff,
    0x8fffd400,0x1ffe804f,0x0003fffe,0x207fff98,0x0000ffff,0xf81fffe6,
    0x360004ff,0x09fff007,0xc883ec00,0x2fc400cf,0xfa80ffd0,0x400fc06f,
    0xfff9dff8,0x3ffc4003,0x4037fd40,0x01f64ffd,0xf0fffb80,0x23ffd009,
    0x0007fff8,0x407fffc4,0x0007fff8,0x807fffc4,0x20004fff,0x9fff007d,
    0x203ec000,0x27c00ec8,0x7405ff98,0x01aa04ff,0x7fc6ffc4,0x7fc4003f,
    0x04ffa807,0xf88fff98,0x3ff20004,0x3fa013e7,0x0dfff51f,0x3ffff000,
    0x00dfff50,0x03ffff00,0x80013ffe,0x9fff007d,0x403ec000,0x17e00ef8,
    0xf701ffd4,0x017405ff,0xfff5ff88,0x7ff88009,0x003ffb80,0x01f79ffb,
    0xf37fe400,0x23ffd009,0x0005fffb,0x593fffe8,0x0017ffee,0x40ffffa0,
    0x20004fff,0x9fff007d,0x803ec000,0x41ba04fc,0xdb503ffb,0x0035c0ff,
    0x3ff6bff1,0x7ffc4005,0x007fec00,0x05ffff98,0xf2ffec00,0x23ffd009,
    0x0005fffc,0x9f3fffe8,0x0017fff2,0x40ffffa0,0x20004fff,0x9fff007d,
    0x803ec000,0x0fb00ffa,0x3aa17fee,0x3f506fe8,0xbaffc400,0x7c4005ff,
    0x3fe201ff,0x7fff4003,0x7ff40002,0x3fa013e3,0x0dfff51f,0x3fffd000,
    0x37ffd53e,0x7fff4000,0x009fff01,0xff803ec0,0x1f60004f,0xb817fdc0,
    0x2fff881f,0x17fe1d93,0x40110bea,0xdff35ff8,0x5fff8800,0x2001bf20,
    0x80007ffa,0x013e0fff,0x7fcc7ffa,0xff80007f,0x3e69f0ff,0xf80007ff,
    0xfff00fff,0x036c0009,0x0004fff8,0x7fe401b6,0x3a09f103,0x20efffff,
    0x3fb31ffd,0x7fc405b0,0x8003ffa5,0x40cffff8,0xd0000efb,0xf880007f,
    0x74027c4f,0xffff11ff,0x7fc40001,0x7fc53e7f,0x220000ff,0x3fe07fff,
    0x1ba0004f,0x0027ffc0,0x3fa00dd0,0x4c1f602f,0xfa83effd,0xa80bffff,
    0x52ffc406,0x7c4005ff,0xedefeaff,0x7e40004f,0x7fd40000,0x7f4027c1,
    0x07fffa1f,0x5fff9800,0x1fffe93e,0x3ffe6000,0x017ffe05,0xff006e80,
    0x374000bf,0x201fff80,0x006602f9,0x05d002a6,0x7f45ff88,0x5ffe2005,
    0x0001ba98,0x90000bd0,0xd009f0df,0x7ffec1ff,0x3fea0002,0xffd93e3f,
    0x3ea0002f,0x3ffe03ff,0x017e0005,0x0002fffc,0xfff100bf,0x0000db00,
    0x2201ae00,0x03fd45ff,0x000fff10,0x0017d400,0x27c17fc0,0x3e23ff40,
    0x360006ff,0xf127c6ff,0x6c000dff,0x7fec06ff,0x09f10006,0x001bff60,
    0x7c4027c4,0x04f8806f,0x17cc0000,0x6c2ffc40,0xfff1003f,0x36c00000,
    0x81fdc000,0x86fe804f,0x8002fffb,0x27c1fff9,0x000bffee,0x9007ffe6,
    0x50001fff,0x3ff2005f,0x2fa8000f,0x200bfd00,0x000002fa,0x3e2005f5,
    0x001fd05f,0x0000fff1,0x0000bea0,0x804f817e,0xdffd05fe,0x09ffb000,
    0x0dffd09f,0x009ffb00,0x0007fff3,0x3e6001fb,0xfd8003ff,0x00bf9000,
    0x000017dc,0xf8800bea,0x00bf105f,0x0000fff1,0x017a2155,0xf803b600,
    0x301ff804,0x54005fff,0x84f80eff,0x2002fff9,0xb000effa,0x5c001dff,
    0x7fec003f,0x0fee000e,0x000ff880,0x400013ea,0x7c4001fb,0x0176205f,
    0x0001fff1,0x77f7ffe4,0x3b620000,0xefba7c00,0xd3017e61,0xff7007ff,
    0x4c13e01b,0xfb803ffe,0x3e2000df,0x64400eff,0xff88006f,0x7e4400ef,
    0x03fa8006,0x00177440,0x000efdc4,0x5c02ffc4,0x0bffea05,0xffffd800,
    0x3a20001f,0x3fa9f004,0x00ed9cff,0x8839ff90,0x7c02ffda,0x0e7fe404,
    0x00bff6a2,0x67fff440,0xffeca88a,0x3fa20005,0xca88acff,0x20005ffe,
    0x5c000cfa,0x53009cfe,0x2e003bf9,0x5ffeeeee,0xfdb8b300,0x003cffff,
    0x01cfff98,0xf000ec00,0x3ffffa69,0xffd98004,0x0ceffeef,0xd9804f80,
    0xeffeefff,0x5c40000c,0xfffffffe,0x880002df,0xffffffeb,0x80002dff,
    0x98003ec8,0xffeeffec,0x5c001cdf,0x4eeeeeee,0x26666000,0x00019999,
    0x00000026,0x02a20d40,0x5dd44000,0x00d40009,0x026eea20,0x554c0000,
    0x0000aacc,0x59955300,0x20000015,0xa9980001,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x1000002c,0x08800003,0x00000130,0x00000000,0x00000000,
    0x00000000,0x006fff88,0x40198000,0x00000008,0x4ccccc40,0x03baa099,
    0xffb95000,0x00059dff,0x3f61ffdc,0x7fec001f,0x4fff981f,0xfffd8000,
    0x36000000,0x00000fff,0x017ffe60,0xffffd800,0x64c00003,0x1befffff,
    0x26000164,0x74005fff,0x3fffffff,0x88002fb8,0xca9bcffe,0x8000effe,
    0x3fe67ffe,0x7ffc004f,0x01ffea02,0x0bffa200,0xfe880000,0x2000002f,
    0x00005ffb,0x3ffeffe6,0xfd980000,0xba98bdff,0x003fddff,0x0037fdc0,
    0x4cccfff4,0x001ff009,0x3006ffdc,0xc8007ffb,0x1fffc5ff,0x007ff300,
    0x00003ff9,0x0000bff1,0x005ff880,0x03bfa000,0x11fe8000,0xb80009fb,
    0xfb801eff,0x740003ff,0xfe8000ef,0x02fe4007,0x2004ffd8,0x22005ffd,
    0x01e4c0cb,0xd8013f20,0xf300004f,0x3000000f,0x200000ff,0x00000ff8,
    0x07f203aa,0x077fe400,0x009ff500,0x0007fc40,0x54007fe8,0x7fdc00ff,
    0x7ffc4006,0x00000003,0x1ba0017a,0x02fa8000,0x1fa80000,0x1fb80000,
    0x006c0000,0xff7000b5,0xbf70001f,0x00fdc000,0x800ffd00,0x3e601ffc,
    0xfa8002ff,0x000000ff,0x8000e980,0x200000e8,0x0000004b,0xb0000099,
    0x01000005,0xff980010,0x17a0003f,0x0002d800,0x36003ff4,0x3ffa03ff,
    0x3ffe0006,0x80000005,0x02200008,0x00050000,0x00014000,0x00000140,
    0x74000188,0x5c0006ff,0x000a0006,0xd001ffa0,0x3fee05ff,0x3f60002f,
    0x2aaaa2ff,0xa880aaaa,0x0000aaaa,0x88000000,0x00000000,0x00000000,
    0x3ffb2a00,0x2002ceff,0x0004fff9,0x22000344,0x1ffa0000,0x201fff00,
    0x0001fffe,0xea97ffea,0x80beffff,0x20bfffb8,0xeeeeeeee,0x3bbba5ee,
    0x05eeeeee,0x80013600,0xeeeeeee8,0xeeeeeeee,0x7443eeee,0xeeeeeeee,
    0xeeeeeeee,0xfd3003ee,0xf953159d,0xff9003df,0x0300005f,0x0004d800,
    0xf8801ffa,0x3fffe07f,0x3fe20000,0x2fffd86f,0x7102fd80,0x039fffff,
    0x9fffff71,0x3fc40003,0x7fe4c000,0xccccccff,0x04fffedc,0x99ffff93,
    0xfdb99999,0xff7009ff,0x3ffd880b,0x007fffc0,0x22000000,0x3fa0007f,
    0x1bfe2007,0x003fffc4,0x207fffc0,0xf803fff8,0x4fffc806,0x04fffc80,
    0x02ffc800,0x1fffb000,0xb017ee00,0x2e001fff,0x1ffec05f,0x20bff900,
    0x0007fff9,0xffc80000,0x0ffd0002,0xf505ff80,0xf0000dff,0xff703fff,
    0x802f980b,0xb802fffb,0x40002fff,0x0006fff8,0x001fff90,0x3ff202e4,
    0x8172000f,0xf8006ffb,0xfffa83ff,0x00000006,0x0037ffc4,0x64007fe8,
    0xbfff705f,0xfffd0000,0x03fff105,0xffa803ec,0xfffa801f,0x7fdc0001,
    0xb80001ff,0x26000fff,0x07ffdc06,0x3e60d300,0xfb8002ff,0x7ffdc0ff,
    0x00000006,0x00ffffdc,0x2003ff40,0xffc80ff8,0xfe80005f,0xbff903ff,
    0x54013e20,0xfa801fff,0x740001ff,0x0004ffff,0x000fffb8,0x3ffee034,
    0xfe834000,0xff10006f,0x5fffc8bf,0x40000000,0x004ffffe,0x98007fe8,
    0x6fffb84f,0xfffe8000,0x03fff102,0x3ea001f7,0xffa801ff,0x3e60001f,
    0x000fffdb,0x007ffdc0,0x3ffee000,0xffb80000,0x3f20002f,0x3ffee2ff,
    0x00000006,0x3fff6fe6,0x03ff4000,0x2a2de880,0x80007fff,0x3201ffff,
    0x005e84ff,0x2007ffea,0x0001fffa,0x3ffea3f6,0x7fdc0003,0x5c00000f,
    0x80000fff,0x0001fffd,0xf997ffea,0x000006ff,0x3ea3f600,0x7f4003ff,
    0xb7cc0007,0x000ffff9,0x03fffe20,0x260fff88,0x3fea002f,0xfffa801f,
    0x49f10001,0x40006ffe,0x9800fffb,0x1fff7002,0x7fc05300,0x260000ff,
    0x3fe27fff,0x0000007f,0x7ff49f10,0x03ff4006,0x7c3bd500,0x20001fff,
    0xd806fff9,0x001f64ff,0x5003fff5,0x20003fff,0x3ffee1fc,0x3fee0001,
    0x003b800f,0x7001fff7,0x1fffe207,0xffff1000,0x00ffffc1,0x7e400000,
    0x007ffee1,0x90007fe8,0x5fff903d,0x7ffd4000,0x8fff9803,0x7d4004f8,
    0xffa801ff,0x8bf0001f,0x0005fff8,0x2003ffee,0xfff7003e,0x2a07d001,
    0x80006fff,0x3f61ffff,0x000003ff,0x7fc45f80,0x1ffa005f,0x4c0bf600,
    0x20006fff,0x36006ffd,0x000fbcff,0x400fffd4,0x8001fffa,0xfffd82fa,
    0xfff70000,0x33333333,0x3ee007fb,0x999999ff,0xf703fd99,0xd0000bff,
    0x7fc47fff,0x0880006f,0xfb05f500,0x3fa001ff,0x037d4007,0x0007ffee,
    0x800bffe6,0x005ffff9,0x801fffa8,0x8001fffa,0x7fff306e,0x3ffee000,
    0xffffffff,0xff7003ff,0xffffffff,0x3f207fff,0xe80005ff,0x7fe43fff,
    0x0ec0002f,0xff306e80,0x1ffa007f,0xb009fd00,0xfb000dff,0xffd000df,
    0xff50005f,0xfff5003f,0x03f98003,0x4001fffa,0x9999fffb,0x03feba99,
    0x333fff70,0x7fd75333,0x01bffea0,0x07fffa00,0x001ffff1,0x7cc00f20,
    0x01fffa03,0xf1003ff4,0xffd100df,0x77fcc005,0x7ffa8000,0x3fff5000,
    0x03fff500,0x2a00fd80,0xb8002fff,0x74400fff,0x1fff7003,0xf303e880,
    0xf0000fff,0xff301fff,0x5b8001df,0xa803f600,0xfe802fff,0x1ffe2007,
    0x017ffc40,0x00077fd4,0x20007fd0,0xa801fffa,0x22001fff,0x5fff804f,
    0x0fffb800,0xf7003b80,0x077001ff,0x003fffe2,0x07fff880,0x00bbffa2,
    0xf8801762,0x05fff804,0x7c007fe8,0xf91000ff,0xff93039f,0xfc800019,
    0xfff50000,0x3fff5003,0x7fffe400,0xffffffff,0x7dc001ff,0x03a800ff,
    0x001fff70,0x7fff4075,0x3fe60001,0x7fec405f,0xca89abef,0x7e4004fe,
    0xffffffff,0x401fffff,0x7fc007fe,0x7ec4001f,0xcfffeeff,0x0bd00000,
    0x0fffd400,0x00fffd40,0x55555df0,0xfff75555,0xfffb8009,0x7dc00000,
    0xd80000ff,0x20002fff,0x7003fffa,0xffffffd9,0xdf00039f,0x55555555,
    0x809fff75,0x7ec007fe,0xfd30002f,0x0005ffff,0x00017d40,0x5003fff5,
    0x2a003fff,0x3ff6002f,0x3fee000f,0x5c00000f,0x80000fff,0x0006fff8,
    0x4001bff6,0x009abeb8,0x4005f500,0x3a00fffd,0x7fe4007f,0x3f620002,
    0x00006fff,0xf50001b6,0xff5003ff,0x01ba003f,0x007fff50,0x0007ffdc,
    0x1fff7018,0xff706000,0xff30005f,0x7740003f,0x06e80001,0x01fffd40,
    0xfb800ffd,0xfc80001f,0x80004fff,0x540002fa,0xfa801fff,0x3f9801ff,
    0x06ffe800,0x003ffee0,0x7fdc0f20,0x83c8000f,0xd8006ffe,0x2e0004ff,
    0x20001fff,0xfe8003f9,0x01ffa06f,0x0000ff70,0x01ffffd4,0x17a21550,
    0x3ffea000,0x1fffa801,0x8000fd80,0x7002fffc,0x98001fff,0x1fff700f,
    0x980f9800,0x2a002fff,0x40000eff,0x20004ffb,0xfc8000fd,0x0ffd02ff,
    0x0002fe80,0x1fffe440,0x7f7ffe40,0xfa80000e,0xffa802ff,0x02fcc02f,
    0x06fff980,0x001fff90,0x3ff206e8,0x0374000f,0x7007ffd3,0x00001bff,
    0x4c000ffe,0xff30005f,0x01ffa0df,0x00005f98,0x037fee20,0x1fffffd8,
    0xfff70000,0x7fff7007,0x0003fe80,0x200bfffe,0x1001fffd,0x7fec07fb,
    0x7fb1001f,0x839ff900,0x002ffda8,0x003fea00,0x0001ff40,0xfd05ffff,
    0x00fea00f,0xeda80000,0x7ffcc1ad,0xd500001c,0x5401dfff,0x880efffe,
    0x8000effc,0x0bfffffa,0x7dffff30,0x99755555,0x3e601fff,0xaaabefff,
    0xfffccbaa,0xfffb3000,0x019dffdd,0x37f6e000,0xffc88002,0xffa8000e,
    0x3fa0bfff,0x32eeeeef,0x000003bd,0x981b9800,0xffd00000,0xbdffffff,
    0x7ffffff4,0xfff95eff,0x5005dfff,0xffffffff,0x3ffba27f,0xffffffff,
    0x5fffffff,0x7ffff744,0xffffffff,0x005fffff,0x01377510,0x01550000,
    0x3ffff200,0xfa802eff,0xffffffff,0x99999973,0x00000259,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0x4400006f,0xcca88001,
    0xeeeeeeed,0x0110003e,0x01880c00,0x0ffff200,0x01793000,0x2200000a,
    0x00006fff,0x01bffe20,0x404c0620,0xffb80000,0x2000002f,0x003ffffd,
    0xcfdefb80,0xffffd800,0xbfbaabff,0x07d0001a,0x41fff100,0x88005ffa,
    0x000fffff,0x3ffffd88,0xc8000058,0x0003ffff,0x7ffff900,0x227fd400,
    0xdfd12ffd,0x3ffe8000,0x3e600000,0x000fffbf,0xef887b60,0xffffb100,
    0x07cc3fff,0x001f1000,0x6c7fff50,0x6c000fff,0x004ffcdf,0xffffdfb8,
    0x0004c8bf,0x7f5ffcc0,0x4c00000f,0x00ffebff,0x221fffd0,0xfff55fff,
    0x3fe20003,0x74000005,0x009fd10e,0x3fa0fee0,0xffffe884,0x3e61ffff,
    0x01ae0000,0x70fffcc0,0xf9800dff,0x0007fea4,0x3fff221d,0x00001fff,
    0x4fd88fec,0x8fec0000,0xf9004fd8,0x93ffe8df,0x20007fff,0x000006fb,
    0x07e4075c,0x7407f400,0xffffc86f,0x261fffff,0x0fa0000f,0xb82c9800,
    0x4274000c,0x42c005e9,0x002fffe9,0x64075400,0xd500001f,0x1003f901,
    0x23c98197,0x0003fffc,0x000001db,0x0b5006c4,0xfd07f880,0xfffffd0b,
    0x7cc3ffff,0x01f30000,0x40000000,0x00b6203a,0x00062008,0xb5006c00,
    0x80360000,0xb800005a,0xf0003fff,0x08000001,0xf8800100,0xf80b981f,
    0xffffffff,0x0003e61f,0x000002e4,0x04002000,0x00000000,0x00040040,
    0x00080080,0x2fffa800,0x00018800,0x00000000,0x980077f4,0xffffffff,
    0x003e61ff,0xeec817c0,0xeeeeeeee,0x3bbbaa01,0x0003eeee,0x3bbbbbaa,
    0x77754004,0x002eeeee,0x00000220,0xddd00000,0xbddddddd,0x0007ffe6,
    0x77640000,0xeeeeeeee,0x3bbbaa01,0xfc83eeee,0xfff000ef,0x3fffffff,
    0x64c007cc,0x2201fffd,0x2effffeb,0x3fff6a00,0xeeeeee81,0x2a25eeee,
    0x003ffffd,0x0beffda8,0x0026c000,0xdddddd10,0xdddddddd,0x207ddddd,
    0xcfffffb8,0x2e3ffe21,0xeeeeeeee,0x3baa01ee,0x22eeeeee,0xeffffeb8,
    0x3ff6a002,0x77ff401f,0xffffd800,0x261fffff,0x37f2200f,0x404fffbb,
    0x0006fffa,0x5c403ff1,0x01cfffff,0x007ffff2,0x0003fe20,0x0001fe20,
    0x33ffff26,0xedcccccc,0x7e404fff,0x4fff04ff,0xffffffe9,0xffc8800a,
    0xff500bff,0x3e2000df,0xfff9801f,0x7ffdc02f,0x21ffffff,0x8bfa00f9,
    0x205ffef8,0x0004fff8,0x7fe401fa,0xfff9004f,0x0fd0001f,0x0bff2000,
    0x7ffec000,0x80bf7000,0xff02fffb,0x7ffff90f,0x03dff000,0x004fff88,
    0x75401fa0,0x2203ffff,0xfffffffe,0x6403e61f,0x7fd75c4f,0x9fff101f,
    0x803f4000,0x7002fffb,0x000dffff,0xf10000dd,0x20000dff,0x2000fffc,
    0x7ffd405c,0x360dfd01,0x44004fff,0xff8801ff,0x1fa0004f,0x7ffcd6a0,
    0x3ff6204f,0x261fffff,0x40ffa80f,0x03fff8ce,0x80013ffe,0xfff5007d,
    0x3ffee003,0x374005ff,0x7ffdc000,0xfb80001f,0x1a6000ff,0x203fff50,
    0xfff105fd,0x1fdc003f,0x009fff00,0x16e03ec0,0x807fffd1,0x1ffffffc,
    0x1bfa03e6,0x0376a3f1,0x0004fff8,0x7fd401f6,0xf5f7001f,0x74007fff,
    0xffe80006,0xb80004ff,0x34000fff,0x407ffea0,0x3fee04fc,0x0bf1005f,
    0x004fff80,0x1f881f60,0x005fffb0,0x4c3f9753,0x5c4ff80f,0x4fff8006,
    0x401f6000,0x7001fffa,0x3ffff53f,0x0001ba00,0x1fffb7f3,0xfffb8000,
    0x7d400000,0x07f701ff,0x803fffd8,0x7fc000fd,0x1f60004f,0x7fe407b8,
    0x30fc4005,0x43ff981f,0xfff8003e,0x01f60004,0x800fffd4,0xffff71fb,
    0x000dd001,0xfffa8fd8,0x7fdc0003,0x5400000f,0x5f501fff,0x0ffff880,
    0x2000fea0,0x20004fff,0x003f607d,0xf8800ffb,0xff503e61,0x40007cc7,
    0x20004fff,0xfff5007d,0xd87ee003,0x7400efff,0x93e20006,0x40006ffe,
    0x9800fffb,0x3fff5002,0x2e007e60,0x1ba05fff,0x027ffc00,0x7fc0fb00,
    0x017fc402,0x07cc3f10,0x05c97fee,0x009fff00,0xfa803ec0,0x3f7001ff,
    0x405fffe8,0x3f20006e,0x007ffee1,0x00fffb80,0xff5003b8,0x003e603f,
    0x6417fff4,0xfff0001f,0x03ec0009,0x3fd00bfb,0xf30fc400,0x3e6ffa81,
    0x9fff0002,0x803ec000,0x7001fffa,0xffff883f,0x8001ba03,0x2fffc45f,
    0x1fff7000,0x2a007d00,0x0f101fff,0x07fffcc0,0x7c0009f3,0x360004ff,
    0x013fee07,0x1f8800f7,0xfff103e6,0x01c01f53,0x40009fff,0xfff5007d,
    0x207ee003,0xd02ffff9,0x0bea000d,0x0003fff6,0x4ccfffdc,0x3fd99999,
    0x03fff500,0x3fee003c,0x0003ba4f,0x0004fff8,0xfff881f6,0x10017604,
    0x7c07cc3f,0x2605ddff,0x013ffe04,0xf5007d80,0x3ee003ff,0x3ffff501,
    0x3a000dd0,0x07fff306,0x3fffee00,0xffffffff,0xfff5003f,0x74000403,
    0x02fb9fff,0x027ffc00,0xfa80fb00,0x0fc40dff,0xf987e200,0x2ffffd80,
    0xfff80760,0x01f60004,0x800fffd4,0x3ff201fb,0x003740ef,0xffd01fcc,
    0x3fee000f,0xa999999f,0xf5003feb,0x800003ff,0x05fefff9,0x04fff800,
    0x2e01f600,0x3b11efff,0x4c3f1000,0xffffa80f,0x7c06d882,0x360004ff,
    0x3fff5006,0xb007ee00,0x06e8bfff,0x2a00fd80,0xb8002fff,0x74400fff,
    0x3fff5003,0xff900000,0xf00001ff,0x6c0009ff,0xffff7006,0x220003d5,
    0x6403e61f,0xdbceffff,0x7ffc00ff,0x01ba0004,0x800fffd4,0x7f4401fb,
    0x001ba4ff,0xfff009f1,0xfff7000b,0x20077001,0x9301fffa,0x3ffe0003,
    0xfff00005,0x03740009,0x07ffff50,0xf30fc400,0x7ffff401,0xf801ffff,
    0x3a0005ff,0x3fff5006,0x2007ee00,0xdd2ffff9,0xffffc800,0xffffffff,
    0x7dc001ff,0x03a800ff,0x303fff50,0xf0001fff,0x20000bff,0x20005fff,
    0x7f4c006e,0xf10000ff,0xf7007cc3,0x03dfffff,0x0017ffe0,0xff5005f8,
    0x07ee003f,0x4ffffd40,0x577c006e,0xaaaaaaaa,0x4004fffb,0x0000fffb,
    0x40fffd40,0x8003fffb,0x00005fff,0x4000bfff,0xfe88005f,0x3f10005f,
    0x27d007cc,0x6c000aa8,0xf10006ff,0x3ffea009,0x003f7001,0x377fffdc,
    0x4005f500,0x2000fffd,0x0000fffb,0x40fffd40,0x8000fff9,0x00005fff,
    0x2000dffb,0x3a0004f8,0xf88001ff,0x7cc03e61,0xffc80000,0x2fa8000f,
    0x03fff500,0xb0007ee0,0x400dffff,0x7fd4006e,0x3fee003f,0x2030000f,
    0x7101fffa,0x3ffe0001,0xff900005,0x5f50001f,0xff101100,0x43f10007,
    0x00b900f9,0x0fffe600,0x4003f600,0x7001fffa,0xffd0003f,0x0fe600df,
    0x01bffa00,0x000fffb8,0xfff503c8,0x3e000003,0x300005ff,0xb0007fff,
    0x0ff9801f,0x88003fc8,0x7c03e61f,0x3f600002,0x3ee000ef,0x3ffea003,
    0x003f7001,0x00dfff10,0x320003f6,0xf7002fff,0xf98001ff,0x05fff500,
    0x3ffe0000,0x3f600005,0x3ee000ef,0x81ffa803,0xf88002fa,0x1ea03e61,
    0xfff10000,0x6fc8801d,0x17ffd400,0x0002fc80,0xf300dff3,0x3fe6000b,
    0xfff9006f,0x206e8001,0x0003fffb,0x00bfff00,0x77ffc400,0x037e4400,
    0x1fb01ff0,0x4c3f1000,0x0004d80f,0xcfffe880,0xffeca88a,0xfffb8005,
    0x1dffa803,0x00df7000,0x7c0007fd,0xfd802fff,0xfb1001ff,0x3fffaa07,
    0x4400000e,0x00006fff,0x567fff44,0x5ffeca88,0x2607e400,0x3f10002f,
    0x07e207cc,0x75c40000,0xffffffff,0xfea8002d,0xfe880eff,0x05efffff,
    0x32206c80,0xa8000eff,0x00bfffff,0x57dffff3,0xf9975555,0xfffe81ff,
    0x05efffff,0xfffd9800,0x200000bf,0xfffffeb8,0x8002dfff,0x2fc9aed8,
    0x987e2000,0x0000180f,0x59955300,0xffd00015,0xbdffffff,0x0a000000,
    0x7fffffe4,0xfffa802e,0x13ffffff,0xffffffdd,0xffffffff,0x0000bfff,
    0x3ffae000,0x1effffff,0x554c0000,0x0000aacc,0x000abb98,0x05105440,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00310180,0x00bc9800,0x02000005,0x80c00000,0x30000018,
    0x000a0179,0x001880c0,0x00001660,0x00022000,0x44000620,0x54402aaa,
    0x41ffd000,0x80005ff9,0x83ffffd8,0x6cc00005,0x00000cff,0x7cc1ffd0,
    0x2200005f,0x583ffffd,0x0ffe8000,0x40017fe6,0x2e200079,0x75c001df,
    0x20003fff,0xff90006e,0x7ffc403f,0x1fffd400,0x0001fffb,0xffffdfc8,
    0x0004c8bf,0x2f54e7c0,0x7fd40000,0x07fff63f,0x7efdc000,0x4b8bffff,
    0x7ffd4000,0x007fff63,0x7ffff644,0xdf8800bd,0xf9003fca,0x007fd319,
    0x20001f70,0x7dc02ffe,0x7fc403ff,0x01bfee1f,0x7ec43a00,0x001fffff,
    0x1f31aa00,0xff880000,0x01ffee1f,0xf910e800,0x003fffff,0x21fff880,
    0xf7007ffb,0xfd73f7bf,0x235c01bf,0x47fa806b,0x26000ffa,0xff10003f,
    0x3fff3007,0x97059300,0x30900003,0x0005fffd,0x02f84c80,0x82c98000,
    0x200001ca,0x2fffd985,0x05930000,0xdf900395,0x3ff71e61,0x07e21f40,
    0x9ff09ff0,0x0002f400,0x654009f7,0x00000001,0x00310040,0xf31e6000,
    0x00000001,0x40100000,0x00000018,0x23ff9800,0x201fc879,0x2203d45c,
    0x07fe83ff,0x40001f90,0x0000005d,0x000000c4,0x00000188,0x04fcbee8,
    0x01100000,0x08800000,0x00000000,0x7983ff20,0x3e201f88,0x5403eb9c,
    0x0ffe83ff,0x00017cc0,0x000001d1,0xffffeca8,0x500002ce,0x9dffffd9,
    0x71000005,0x000005df,0x000026c0,0x80013600,0xeeeeeee8,0xeeeeeeee,
    0x7f43eeee,0x0f41e61f,0x00fbf660,0x3f60bff2,0x002f401f,0x00800040,
    0x8acefe98,0x01effca9,0x59dfd300,0x3dff9531,0x7f880000,0x22000000,
    0x0000007f,0x20001fe2,0xccffffc9,0xfedccccc,0x1fff44ff,0x400720f3,
    0x0ffee000,0xfc803ff6,0x00000000,0x0bff701a,0x003ffd88,0x2202ffdc,
    0x00003ffd,0x0000bff2,0x017fe400,0xffc80000,0xffb00002,0x17ee001f,
    0x1e61dff7,0x98000004,0x07fe84ff,0x50000be6,0x00379dd9,0x03ffd81e,
    0x4017ff20,0x32003ffd,0x880005ff,0x00006fff,0x06fff880,0xff880000,
    0xf900006f,0x2e4001ff,0x263bffe6,0xdd950007,0xff880379,0xd106ff84,
    0x7f4c000b,0x05fffbad,0x7fdc07c4,0x3fff8006,0x0037fdc0,0x0001fffc,
    0x007fffee,0xfff70000,0x8000003f,0x001ffffb,0x00fffb80,0x3ffa1a60,
    0x4c007bff,0xfffbadfe,0x262fec05,0x01f902ff,0x213fe600,0x3e604ffd,
    0x017ffcc1,0x807ffdc0,0x8002fff9,0x0000fffb,0x013ffffa,0xfffd0000,
    0x8000009f,0x004ffffe,0x00fffb80,0x7ff44340,0x3e6007ff,0x04ffd84f,
    0x6fc87fa2,0x40005f50,0xff981ffd,0xfd0bea07,0x3e2000df,0xdffd05ff,
    0x3ffe2000,0xb7f30005,0x00001fff,0x3ff6fe60,0x3000000f,0x01fffb7f,
    0x0fffb800,0xffd10000,0xfb001dff,0x0fff303f,0xdfdbee88,0x0004f880,
    0xff80fff4,0x5c5f700f,0x20002fff,0x7dc2fffc,0x320002ff,0xd8002fff,
    0x03fffa8f,0x51fb0000,0x00007fff,0x3fea3f60,0x7dc0003f,0x400000ff,
    0x02fffffc,0xff80fff4,0x1bb9800f,0xdb881b60,0x40df900b,0x7f900fff,
    0x000fffec,0xd8bfff50,0x20001fff,0x4005fffa,0x1bffa4f8,0x93e20000,
    0x00006ffe,0x3ffa4f88,0x7fdc0006,0x0029800f,0x13ffffea,0x3fe06fc8,
    0xf500000f,0x3abbee03,0x7cc0303f,0x49fb00ff,0x0000ffff,0xff1fffe6,
    0x4c0001ff,0x64007fff,0x07ffee1f,0x43f90000,0x0001fffb,0xff70fe40,
    0x7dc0003f,0x03b800ff,0x7ffffcc0,0xff980605,0xf880000f,0xfe8df504,
    0xfeeb8802,0x2bfd00ff,0x0007fff8,0x887fffc4,0x40007fff,0x000ffff8,
    0xbfff117e,0x45f80000,0x0005fff8,0x3fe22fc0,0x3ee0005f,0x03e800ff,
    0x7ffdfcc0,0xdd71005f,0x00001fff,0x0ffe20db,0x32201ff7,0x01fff1df,
    0x7ffd5bfe,0xfff80006,0x0dfff51f,0x3ffff000,0x360bea00,0x00000fff,
    0xfffb05f5,0x3ea00001,0x00fffd82,0x33fff700,0xfb333333,0xd3798007,
    0x64409fff,0x01fff1df,0x501fb800,0x3ff983ff,0x7fc1efc8,0x2efff00f,
    0x80005fff,0xff73fffe,0xfd0000bf,0x1ba007ff,0x001fffcc,0xff306e80,
    0x3a00007f,0x07fff306,0x3fffee00,0xffffffff,0x13cc003f,0xf901fffd,
    0x00fff83d,0xc80fe200,0x27fc41ff,0x3fe037f6,0x97ff880f,0x0000bfff,
    0x3f27fffd,0xe80005ff,0xf9803fff,0x01fffa03,0xe80fe600,0x980007ff,
    0x1fffa03f,0x4fffdc00,0xeba99999,0x23cc003f,0x7ec1fff9,0x00fff80d,
    0xfb01ba00,0x6cdff01f,0x1fff00ff,0xf51fff30,0xd0000dff,0x3fea3fff,
    0xfe80006f,0x0fd801ff,0x00bffea0,0x5401fb00,0x40002fff,0x3fea00fd,
    0xffb8002f,0x81f4400f,0xffd0f302,0xf807fec5,0xf70000ff,0x80ffe801,
    0x0bff37ff,0x7d407ffc,0x7fff99ff,0xffff8000,0x00ffff30,0x01ffff00,
    0xff804f88,0x3e20005f,0x05fff804,0x2013e200,0xb8005fff,0x3b800fff,
    0x90f301f0,0x17fe63ff,0x8000fff8,0xffc803f9,0xfbb7fc41,0x07ffe05f,
    0x3e2bffee,0x20000fff,0x3e27fff8,0x20000fff,0xc807fff8,0xffffffff,
    0x01ffffff,0xfffff900,0xffffffff,0x3f20003f,0xffffffff,0x001fffff,
    0x4007ffdc,0xf303f03a,0x3ee1ffd0,0x07ffe05f,0x5c017a00,0xaffc41ff,
    0xfa80fffa,0x3f2111ff,0x3fffd3ff,0x7ffcc000,0x00ffff45,0x0bfff300,
    0x55555df0,0xfff75555,0x2bbe0009,0xaaaaaaaa,0x0004fffb,0x555555df,
    0x9fff7555,0x0fffb800,0x4c2fc000,0xf527fc47,0xfff501ff,0x3f200223,
    0x87ff3000,0xfff12ffa,0x3ffb623b,0xff90e9bf,0x0bfff69f,0x3fffa800,
    0x0017ffec,0x807fff50,0x3f6002fa,0x7d4000ff,0x3fff6002,0x017d4000,
    0x001fffb0,0x0007ffdc,0x8f30ffe0,0x3fe20efd,0xffdb11df,0x9801d37f,
    0x2fe4003f,0xfffb1bf6,0x3ff69fff,0x3ffea1ff,0x00dfff12,0x4437fec0,
    0x20006fff,0x6e806ffd,0x1fffd400,0x5001ba00,0xe8007fff,0x7ffd4006,
    0x3ffee003,0x3fe30000,0x366f31df,0xfffd81ef,0xfffb4fff,0x00bd003f,
    0x3f233f60,0x7ffdc41e,0x07bfea2f,0xffb8dfd1,0xff98002f,0x5fff701f,
    0x3fff3000,0x8003f980,0x26006ffe,0xffe8003f,0x00fe6006,0x801bffa0,
    0x8000fffb,0xfffd713c,0x407ffdfd,0x22ffffb8,0xc801effa,0x36a0000f,
    0x04c00cef,0xe80c0188,0xfd8006ff,0x37ff404f,0x027fec00,0x640007ec,
    0xfb002fff,0xfff90001,0x003f6005,0x00bfff20,0x0007ffdc,0x2a6203e6,
    0x4c000afc,0x00003100,0x00000000,0x7ffcc000,0x3bfea002,0x17ffcc00,
    0x01dff500,0x30005f98,0xf300dfff,0x3fe6000b,0x05f9806f,0x0dfff300,
    0x003fff20,0x0f300dd0,0x00000000,0x00000000,0x3fa60000,0xdffb803f,
    0x7ffd3000,0x01bff700,0x40007fd0,0x7402ffff,0x3fe0003f,0x1ff402ff,
    0x5ffff000,0x03fffb00,0x200ff620,0x00000079,0x00000000,0x40000000,
    0x5441cffc,0x90002ffd,0xda8839ff,0xfc8802ff,0xfa8000ef,0x440bffff,
    0x8000effc,0x0bfffffa,0x0077fe44,0x7ffffd40,0xffff300b,0x7555557d,
    0x001fff99,0x00000000,0x00000000,0x4c000000,0xffeefffd,0x4c0000ce,
    0xffeefffd,0xffc800ce,0x802effff,0xfffffffa,0xffff93ff,0xf5005dff,
    0xffffffff,0x3fffff27,0xffa802ef,0x3fffffff,0xfffffdd1,0xffffffff,
    0x000bffff,0x00000000,0x00000000,0x44000000,0x00009bba,0x13775100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00200000,0x04003100,0x0004c000,0x03100001,
    0x00333100,0x01aaa980,0x00133100,0x0a200c98,0x0c403100,0x002aaa80,
    0x01555400,0x001aaa98,0x00026660,0x40003faa,0xfea804f8,0x03f20000,
    0x19dff930,0x0017a000,0x0013fff6,0x000effd8,0x00ffff98,0x32217e40,
    0x03dc004f,0xff7001f7,0x2a00003f,0x3a003fff,0xf70006ff,0x6cc00dff,
    0xb0000ffd,0xffdd980d,0x05f50000,0xffdacf88,0x00fb8004,0x7ffffd40,
    0xfff88000,0xfffd0000,0xbf50009f,0x0003df73,0x003640db,0x00009ff9,
    0x10013ff2,0x88001ffd,0x002fffff,0x40007fcc,0xff3001fa,0x0bd10001,
    0x07fc83b0,0x4001fcc0,0x05ffaafe,0x001ffa80,0xffb1df50,0xfff50003,
    0x02740005,0x6fd800bd,0x0bff0000,0x00ffe600,0xffd3bf90,0x07fcc001,
    0x8013e200,0xc8000ff9,0xbf30000f,0x8005e800,0x07fa62fb,0x0005fb00,
    0x0df706f4,0x2fffe980,0x207f1000,0xfe8003f8,0x37cc0001,0x017ea000,
    0x3f624f98,0x03fe6004,0x9800db00,0x7cc000ff,0x03b60002,0x4000fb80,
    0x06d881f8,0x700027c0,0x200bea0b,0xffd8cfd8,0x01f98001,0xf10003f3,
    0x0eb80007,0x00fb8000,0x03ee09b0,0x0007fcc0,0xf98003f5,0x02f4000f,
    0x002fa880,0x32000fe2,0x98015c01,0x01220005,0x0df880b1,0x0007ffe2,
    0x03ee01f7,0x0002cc00,0xc800007a,0x4c03a802,0x01ff3004,0x20013e20,
    0x32000ff9,0xffb8000f,0x0db003ff,0x20000000,0x00000000,0x7ffd4060,
    0xd81b6000,0x00040006,0x20000020,0x80000000,0xf9000ff9,0x1ff30001,
    0x000fe600,0x805ffb30,0x000001fb,0x00000000,0x7ec00000,0x817a005f,
    0x0000005e,0x00000000,0xf3000000,0x05f5001f,0x003fe600,0xf0000374,
    0x027c40bf,0x6f6dcc00,0x6dcc000b,0x730001bd,0x100037bb,0xfff59995,
    0xccccc885,0xccccccef,0x5552ccef,0x55530555,0x2e600155,0x2000bded,
    0x00bdedb9,0x379dd950,0x00ff9800,0x30002f44,0x1f7001ff,0x2fdc0000,
    0x88000db0,0xfffdbefd,0xbbefc803,0x9000effd,0xdffb77df,0x33bee001,
    0x47ffffeb,0xefeeeee9,0xefeeeeee,0xfff754ee,0xffec981f,0x77ec403f,
    0x403fffdb,0xffdbefd8,0x37fa603f,0x005fffba,0xf9003fe6,0x7fcc0001,
    0x001fc400,0x540fee00,0x3a20001f,0x1fffcc1d,0xf984fe88,0x3fa202ff,
    0x02fff984,0x7fd427ec,0x03e402ff,0x7fcc01f7,0x7fff100f,0x260ef440,
    0xbd103fff,0x83fff983,0xffd84ff9,0x01ff3004,0x200017cc,0x37400ff9,
    0xdd013000,0x00013e20,0x3fee01fb,0x206fc80f,0xf901fff9,0x0fffcc0d,
    0x3ee05fc8,0x036c06ff,0xfff880db,0x80fffa00,0xfff700fd,0x2e01fb01,
    0x7fec0fff,0x807ff981,0xd01bffc9,0xfc98000b,0x03f701bf,0x33bfe200,
    0x1fb00dfc,0x01fd4000,0xfa8bfff1,0x2fff402f,0x3a017fd4,0x2ff985ff,
    0x007fff40,0x4027409f,0x3f600fff,0x407f503f,0x7d45fff8,0x17ffe203,
    0x3fe03ffd,0x5555400f,0x880fc82a,0x2aa02ddb,0x4f882aaa,0xb982fb80,
    0x3ea01acc,0xe82fb802,0x37ffc01f,0xf5007ff6,0x1ffd85ff,0x217ffd40,
    0xffb807fd,0x207f103f,0xfff803f8,0x40fff600,0x7ffc01fe,0x3e00ff46,
    0x037e46ff,0x00001fff,0xfff707f3,0x40003fff,0x2ffa806d,0x02f44000,
    0x3e217fd4,0xffffffff,0x7fc7ffff,0x89fff007,0xfff007ff,0x403ffc49,
    0xf504fff8,0x2007ea03,0x3f600fff,0xffff883f,0xffffffff,0x3fffe27f,
    0xffffffff,0x3e60187f,0xe80000ff,0x7f545f06,0x03f50005,0x002fff88,
    0x22007e40,0x7fcc2fff,0x9999999a,0x3fe21999,0x4dffd006,0xfd006ff8,
    0x037fd4df,0xf905ffe8,0x7c007dc0,0x3ff600ff,0x99aff983,0x99999999,
    0x266bfe61,0x99999999,0xfeeb8801,0x5c0000ff,0xfb83b80f,0x27c4001f,
    0x0bfb3a20,0x402f9800,0x542fdce8,0xf70001ff,0x3ff600df,0x401bfee7,
    0x3fee7ffd,0x2dffb006,0xccfeccc8,0xccfecccc,0x0fff82cc,0x2a0fff60,
    0xf50001ff,0x2200003f,0x1fff1dfc,0x01fc4000,0x0003fe20,0xd5d801db,
    0x2f40005f,0x42fdaec0,0x90003ffb,0x3f200fff,0x01fff27f,0xff93ffe4,
    0x5bff200f,0xfffffff9,0xffffffff,0x0fff85ff,0x2e0fff60,0xf70003ff,
    0xf900007f,0x00fff83d,0x2001ba00,0x7d4005fa,0xfe875c02,0x01f90002,
    0x85fb0eb8,0x70004ffa,0xf7001fff,0x07ffdcbf,0xf92ffdc0,0xff9001ff,
    0x2205f109,0x1fff003f,0x541ffec0,0xf50004ff,0xfd80009f,0x00fff80d,
    0x0003f700,0x7c4003fb,0xfd07d404,0x07f30005,0x0bf60fa8,0x2001fff3,
    0x007ffea2,0xffa8fff2,0x3ffc801f,0x200bffea,0x1fa82ffc,0x3e003f50,
    0x3ff600ff,0x00fff983,0x07ffcc50,0x07fec280,0x8000fff8,0xf98004f8,
    0x007e4003,0x02fe83f3,0x7cc06e80,0x3e217ec2,0x269804ff,0xc804fff8,
    0x3ffe21ff,0x21ffc804,0xd803fff9,0x207c81ff,0x3ffe007b,0x20fff600,
    0x9804fff8,0x013ffe26,0x05ff99a6,0x20003ffe,0x4f88006d,0x1017cc00,
    0xfd33339d,0x3ee00137,0x2673a201,0x209bfe99,0x7402fffe,0x403ffec4,
    0x7ffd87fd,0xfe87fd80,0x07fe806f,0x0036c0db,0x7ec03ffd,0x5fffd03f,
    0x7ff44e80,0xf727402f,0x0fffc0bf,0x0007ea00,0xbd0009d1,0xfffff980,
    0x803fffff,0x7fcc03f9,0xffffffff,0x13fffe63,0xff303f26,0x1ffc405f,
    0x1017ffcc,0xfff307ff,0x817fc409,0x8013a04f,0xff903ffd,0x3ffe607f,
    0x40fc984f,0x984ffff9,0x3ffea0fc,0x11fffa80,0x004f8801,0x20041f44,
    0x999800fc,0x09bfe999,0x33006e80,0x37fd3333,0xfffffd81,0x903ffecd,
    0x3f203fff,0x07fff205,0xff902fe4,0x40ff203f,0x07f102f8,0x317ffdc0,
    0x11dffb9d,0xbfffffb0,0x3607ffd9,0xecdfffff,0x7ffc43ff,0xfffdb11d,
    0xed801d37,0x88ba6000,0x5f300fa9,0x02fe8000,0x80003f70,0xffb102fd,
    0x09ffffff,0x10afffb8,0xfb801bf9,0xbf910aff,0xbfffc801,0x5409f910,
    0x003f301f,0xffffffe8,0x1bffffb4,0xfffffd88,0x36204fff,0xffffffff,
    0xfffffb04,0x3ffff69f,0x0017d401,0xfffffff5,0x002f409f,0x44017f40,
    0xfd80004f,0x7fffdc02,0xfd5002ff,0x005bfdff,0x7f7fff54,0x3fea002d,
    0x402dfeff,0x001ee07c,0x8fffffa6,0x5c00cffd,0x02ffffff,0xffffff70,
    0x7ffdc405,0x07bfea2f,0x44009f10,0xeeeeeeee,0x001f901e,0xb005d900,
    0xd900001d,0x06ea6005,0x00dd4400,0x006ea200,0x00375100,0x007501dc,
    0x1540dcc0,0x00dd4c00,0x001ba980,0x0018804c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01800cc0,0x0002aaa8,0x00155540,0x0004ccc0,
    0x40002a20,0x0bdeedc8,0x02aaaa00,0x08026000,0x004cc000,0x00017600,
    0x00001880,0x55545760,0x76540001,0x82deffff,0x7fe400fc,0xf300000f,
    0xa80007ff,0x20006fff,0x4001fff8,0xffcbeffa,0xfff5002f,0x3fae0005,
    0xb31bdfff,0xfff91000,0x2e0003df,0x9500000f,0x59dffffd,0x8be20000,
    0x10007ffd,0x71135dfd,0x3ea3bfdb,0x07ffb002,0x13ff2000,0x3fffe000,
    0xff50003f,0x7fd4009f,0x00ffe443,0x4005ffb8,0xcaadffe9,0x005feffe,
    0x64ceffcc,0xf88002ff,0x7f4c0002,0xfca98ace,0x5c0001ef,0x07ffa20f,
    0x809ff700,0x04fcffe8,0x0002ff40,0x80005fe8,0x0ffe9dfb,0x1fff8800,
    0x441bfa00,0x3f2006ff,0x37fe2007,0x0bfff300,0x542ffc40,0x5d8000ff,
    0x17fee000,0x007ffb10,0x7fc42ec0,0x0fff6003,0x03ffec40,0x0007f440,
    0x0003be20,0x4fc8bf10,0x00593000,0xfb027fcc,0x17ec003f,0x401ffd80,
    0x36005ff9,0x03ff02ff,0x0001f700,0x64007ffb,0xf88005ff,0x200df302,
    0x44007ffb,0x98003fff,0x7dc0002f,0x04c80000,0x000003f7,0xc80ffee0,
    0x3a2003ff,0x05ff8804,0x7c00bf30,0x00bfa07f,0x7000be20,0xff000dff,
    0x0fb8007f,0xf3003ea0,0xfc8007ff,0xa8000fff,0x00ec0005,0x26024c00,
    0x90000005,0x7fe405ff,0x40344003,0x3a004ffa,0x1fff1005,0x0003ff30,
    0xff980176,0xffb8002f,0x017a000f,0xdffd00f2,0xffafb800,0x0010006f,
    0x00000080,0x00900000,0x3602ffd8,0x008001ff,0x2007ffb8,0xfff3005b,
    0x000df903,0xfe8007d4,0xff10006f,0x0be200bf,0xfff70040,0xc9fcc007,
    0x00003fff,0x00000000,0x01a00000,0x7403ffd0,0x2000006f,0x3003fffa,
    0x27ffc00b,0x80007fe6,0xffb802f8,0x3f20002f,0x07b802ff,0x3fffd000,
    0xfa97e200,0xdb9805ff,0x555401bd,0xaaa982aa,0xaaaa80aa,0xaaaa982a,
    0x01a2000a,0x2a03ffd0,0xeca803ff,0x7c401bce,0x07004fff,0xf73fff40,
    0xbb00005f,0x03fffb00,0x2fffd400,0x2e202f40,0x3fffe00e,0x441dd000,
    0x3f207fff,0x0effdbbe,0x1ffff750,0x3fffec98,0x0ffffba8,0x1ffff64c,
    0xe800b300,0x2ffa81ff,0x5d6ff4c0,0x7ec05fff,0x0001efff,0x36fffee0,
    0x333221ef,0x2a03cccc,0x7fffc00f,0x3fe60000,0x817c407f,0x100fffda,
    0x3600ffff,0x0ffff80f,0x7cc27f44,0x3fe602ff,0x7fff100f,0x807ffcc0,
    0x2003fff8,0x7ff4002e,0x00fffee1,0xffb09ff3,0xffffe809,0x880000df,
    0x702fffff,0x037dffff,0xff101fc4,0xf88000ff,0x1ee00fff,0x07fff6e4,
    0x806fffa8,0xffff02fb,0x2606fc83,0xff101fff,0x1fff401f,0x401fff10,
    0xf7003ffe,0x1ffe8001,0x07bfff66,0x7cc0ffec,0x7ff4407f,0x0003ffff,
    0x403fffe8,0x36005ffd,0x1bffea05,0x3fffe000,0xf3017a01,0x3fee01ff,
    0x01fd405f,0x7d47fffd,0x2fff402f,0x6c01fff0,0x7ffc03ff,0x00fff600,
    0x3a0013e6,0xfffb01ff,0x203ffd03,0x6c400fff,0x2fffffff,0xfffe9800,
    0x3fee00ff,0x403ea000,0x0005fffb,0x103fffe8,0x1fff005f,0x817ffee0,
    0x7ff405f9,0x007ff63f,0x3e05fff5,0x3ff600ff,0x007ffc03,0xf8807ffb,
    0xffe8000f,0x03fff601,0x7ffc0df9,0xfffd5000,0x1001bfff,0xfffb3ff9,
    0x001fec0b,0x7fe40fe2,0xfe80005f,0x00f703ff,0x7d403ffe,0x0dd106ff,
    0x7c3ffff0,0x9fff007f,0xd803ffe0,0x7ffc03ff,0x00fff600,0x3a000bfb,
    0x3fe601ff,0x3e60183f,0x7dc000ff,0x00ffffff,0x7cc3bfa2,0x0df02fff,
    0x7d417600,0xe80006ff,0x09d01fff,0x4403ffe0,0x1fb07fff,0x0ffff880,
    0x3a00dff1,0x1fff06ff,0x201ffec0,0x3f600fff,0x0bfea03f,0x00fff400,
    0x2201bffa,0x00fffeeb,0xffffc880,0xdfe880ef,0x077ffe40,0x540007ea,
    0x7fff980f,0xffff8000,0xf002f880,0x7ffc01ff,0x9801fc87,0x3fee6fff,
    0x0fffb006,0xfd803ffe,0x07ffc03f,0x2207ffb0,0x3a0006ff,0x7fdc01ff,
    0x477f2207,0x20000fff,0x45ffffe9,0xf881ffe8,0x0fe24fff,0x883f8800,
    0x0000ffff,0x5c1fffe2,0x03ffe007,0x2a1fffe8,0xfff5003f,0x803ffe49,
    0xfff07ffc,0x01ffec01,0xfd803ffe,0x09ffb03f,0x00fff400,0x3203ffea,
    0x07ffc1ef,0xffb00044,0x06ffb8ff,0x6c7fffee,0x05d80006,0x0003fffd,
    0xe82fffcc,0x03ffe004,0xf33fffc8,0x7ffdc00b,0x003ffee3,0x7fc17fee,
    0x0fff600f,0x6c01fff0,0x5fff03ff,0xfe81f5c0,0x7ffcc01f,0x7c06fec0,
    0x003a80ff,0xf88fffec,0x7ff404ff,0x0001faef,0xffd80fa8,0x3ea0002f,
    0x02f883ff,0x8803ffe0,0x06e8effe,0x2a37fec0,0xfc801fff,0x01fff03f,
    0x3e01ffec,0x3ff600ff,0x01fff883,0x3fa03ffa,0x3ffc401f,0x7fc03ff6,
    0x4005a80f,0xff53fff9,0xfff8807f,0x100003ff,0xdfff107f,0x37fec000,
    0x7fc007b8,0x7ffd400f,0x3e6000fe,0x7ffc41ff,0x01ffc804,0x7ec01fff,
    0x07ffc03f,0xf307ffb0,0x7fe403ff,0x401ffe83,0x3fe66ff8,0x203ffe05,
    0x7fc000fa,0x0dfff71f,0x07ffff50,0xb836c000,0x98002fff,0x09d01fff,
    0x800fff80,0x4001fffd,0xffb02ffe,0x40ffb00f,0x3f601ffe,0x0fff403f,
    0xf107ffb0,0x7fcc05ff,0x2a1ffe83,0xf71ffcc0,0x0fffc0bf,0x3e001fd4,
    0xffff70ff,0xffffb001,0xa8034409,0x0dffd00f,0x209ffb00,0x7fc002f9,
    0xfff8800f,0x17fea003,0x202fff98,0x3f603ff8,0x7fff903f,0x903ffd80,
    0x3fa07fff,0x40ffc04f,0x8ff91ffe,0x3fea0ffa,0x1fffa80f,0x00bfea11,
    0xff32ffcc,0xffb809ff,0x9905ffff,0xf981fc00,0x3ea002ff,0x00f700ef,
    0x3003fff0,0x7007ffff,0xfc801bff,0x0bf901ff,0x262fffb8,0x08effdce,
    0x4c5fff70,0x08effdce,0x9807ffcc,0x23fff05f,0x13f60ffc,0x223bfff1,
    0xe9bfffed,0x807fff50,0x7ec0efe8,0xfe984fff,0xfffffd8c,0x000febbd,
    0xffe981b6,0x0dffb803,0xf10013a0,0xdf8805ff,0x20bdffb8,0x002ffd98,
    0x442bffee,0xfe800dfc,0xfb4fffff,0x3a01bfff,0xb4ffffff,0xb81bffff,
    0x77542fff,0x31fffa80,0x09f911ff,0x3ffffff6,0x43ffffb4,0x1bdffffa,
    0x207bfea2,0xeffffff8,0x7dc1effe,0x3fffffff,0x2007d400,0x5441cffc,
    0x7cc02ffd,0x7ffdc001,0x91077404,0xfffddfff,0xfd500019,0x005bfdff,
    0x1fffff4c,0x98019ffb,0x363ffffe,0x36200cff,0x83ffefff,0x21ffffe9,
    0x203effeb,0x22ffffb8,0x7541effa,0xffffeca9,0x64403fff,0x4fffffff,
    0x3ffffaa0,0x07f0002d,0xddfffb30,0x70019dff,0x7ff5c00f,0x1904efff,
    0x055dd440,0x1ba88000,0x40dcc000,0x1b98002a,0xa98002a8,0x11000009,
    0x31009800,0x2ea60660,0x220009ac,0x2000abba,0x40000ba8,0x5d44003b,
    0x15c0009b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04000000,0x00098000,0x00002620,
    0x00003310,0x00ccc400,0x00130001,0x00000300,0x10000988,0x00000033,
    0x0fb30006,0x5c400000,0xdb88004e,0x64003dff,0x01dffffe,0xfffefd88,
    0xeb88002e,0x1dfffeff,0x3ae20000,0xbdffffff,0x36600d10,0x000dffff,
    0x0fbfff6e,0x3b6e6000,0xd71001df,0x3bfffdff,0x36e20000,0x7101effe,
    0x0000fffd,0x9fff9300,0x8cff9800,0xf9804fc9,0x9fd711cf,0xd305fdc0,
    0x362009ff,0x5cc40adf,0x220002ef,0x31bdeffd,0x0fddff95,0xffffff70,
    0xfe8805ff,0x0dffc88b,0xbffd8800,0x37f62000,0x77dcc40a,0x1f740002,
    0xf9b01ff7,0x00000fff,0x4fffdd98,0x207fe600,0x3fe205fe,0x260ffa02,
    0x13ffa04f,0x40019f50,0x4c000dea,0xd8803ffe,0x7fc407ff,0x7ffffdac,
    0x2207fa20,0x2a000eff,0x54000dff,0x3aa000cf,0x0fd8000d,0xf5027fc4,
    0x000000ff,0x88027fec,0x7ff305ff,0xf501bf60,0x202fe81f,0xf901fffa,
    0x3b620005,0x5fff5001,0x00ffc800,0x3ff220fa,0x40bfd02f,0xf9004ffb,
    0x5f90007f,0x07b62000,0xfb05fc80,0x03ffcc0f,0xff900000,0x07ff2009,
    0xff886fd8,0x117fc403,0xfff809ff,0x2600fb83,0x5c261aba,0x7ffcc00e,
    0x03fd0002,0xbffd00ee,0xf803ff50,0x7fdc01ff,0x88fb8004,0x00999999,
    0xff000eb8,0x8813ea09,0x000007ff,0x2013fee0,0x7dc07ff8,0x027fcc3f,
    0xff88ffe2,0x227ff407,0xdfd881f9,0x3fdffdbb,0x9ffd0176,0x80fc4000,
    0x85ffb801,0x7dc00ffe,0x1bfe605f,0x7547e600,0xeffeefff,0x100bb00c,
    0x440007ff,0x000007ff,0x2013fee0,0x7cc05ffb,0x037fcc6f,0xffd03fea,
    0x21fff403,0x00efb83e,0x17447ff5,0x000fffc8,0x300016c0,0x7ff887ff,
    0x00fff980,0xd0001ffd,0x226ff887,0xe880fffb,0x017fd402,0x00fff100,
    0x7fdc0000,0x04ffd804,0x7f42fff8,0x21bf204f,0x7ffc06ea,0x17f21aa1,
    0x0d513e60,0x000bfff1,0x54000530,0x3ffcc0ff,0x40fffc40,0xa8003ffc,
    0xf70dff06,0x901aa0df,0x440007ff,0x000007ff,0x2013fee0,0xfe803fff,
    0x17ffe43f,0x80017fcc,0x21ec7ff9,0xb7001ff9,0xfffc83f0,0x00000001,
    0xffa83fc8,0x3fff800f,0x0007ffd4,0x86ff81ec,0x3f00fff8,0x001ffec0,
    0xc98fff10,0x544002ce,0xffb8cdec,0x1fffcc04,0x2227ff40,0x3a24ffff,
    0x3f60002f,0xe883e22f,0x2122005f,0x07fffc4c,0x20000000,0xfff503f8,
    0x89ffd003,0x00c45fff,0x37fc03e2,0x9900ffe8,0x0027fe40,0x3a2fff10,
    0x00efffff,0xfcabefa8,0x5404ffef,0xfd802fff,0xffff985f,0x0001ee9d,
    0x8d517fe2,0x80003ffa,0x1fffe669,0x10000000,0x7ffcc0bd,0x25fff802,
    0xec8afffa,0x6a81dfff,0x3e21bfe0,0xc81a605f,0x220005ff,0xfffe8fff,
    0x200fffff,0x7fc40dfb,0x7fdc04ff,0x6ffd801f,0xbfffff30,0x1ff90000,
    0x17fe45b8,0xf53c4000,0x00000dff,0x67ff4c00,0x05fff880,0x3f24fff8,
    0xfdbcfcff,0x02dc3fff,0xffd88dff,0x3331e201,0x3333dff9,0x3ffe2001,
    0x3ffa60ce,0x01ff704f,0x7013ffe6,0xfb003fff,0x7ffcc0ff,0x220001ff,
    0x6c4c81ff,0xf00001ff,0x017ffee1,0xfffffd50,0x75c03dff,0x80efffff,
    0x2201fffd,0x3ffe3fff,0xfffe80cf,0xeff81322,0x00cfecaa,0xffff10f8,
    0xbfffffff,0x0bffe200,0x20ffff44,0x7f404ff8,0x7ffe404f,0x07ffd800,
    0x3fffffa6,0x07f90002,0x03ffd0f2,0x7e43e000,0x360005ff,0x9802ffff,
    0x6ffffedb,0x00efff88,0x3e25fff7,0x3fa204ff,0xff80f26f,0x002ffecf,
    0x6e66443e,0x2ccccfff,0x80fff100,0x7e44fff9,0x27fe400f,0x003ffee0,
    0x7d41bff6,0x3ffffd8d,0x2e04f800,0x0017fec4,0xfff73c40,0x7fd4000d,
    0xff70005f,0xfff703ff,0xffd7315d,0x3ffe21ff,0x9fffdc03,0x45bfe04b,
    0x0f1006ff,0x00037fd4,0xfb00fff1,0x03ffc4bf,0x2a027fdc,0xfe801fff,
    0x20efa86f,0x002ffffc,0xb8b501aa,0x980003ff,0x01fffea6,0x04fff980,
    0x13ffe600,0x7fffffcc,0x266ffe9d,0x7c402fff,0x7c0b54ff,0x013fea6f,
    0x5ffa81a6,0x1ffe2000,0xf99bfee0,0x4ffb806f,0x00fffcc0,0x3e62fff4,
    0xffffb81f,0x98059000,0x0037fcc7,0xfff12dc0,0x3e20001f,0x5c0004ff,
    0x2e6206ff,0x5fff30ac,0x4017ffcc,0x40f35ffd,0x0ffe46ff,0xff9816e0,
    0x3fe20005,0x27ffa807,0xfb805ffb,0x7ffc404f,0x44fff802,0x3ff206fd,
    0x001d004f,0x02ffc85d,0xff0ba0a0,0x220007ff,0x40004fff,0x8000fff8,
    0xfff87ffd,0x26ffc802,0xd0dff02e,0x017401df,0x40009ff1,0xf9807ff8,
    0x01bff26f,0x3a013fee,0x7fc403ff,0x013fe21f,0x1a00fff9,0x37f42dc0,
    0x43cc2d80,0x0006fffc,0x0009fff1,0x3000ffd0,0xffd07fff,0x4bff9007,
    0x30dff05b,0x01e609ff,0x40007ff1,0xf9807ff8,0x01fff25f,0x2e013fee,
    0x7fcc04ff,0x2017fd47,0x4400fff8,0x883f1005,0x5b101efe,0xfff109b0,
    0xff10003f,0xfb00009f,0xbff9000d,0x2013ff60,0x07e24ffb,0x7fdc1bfe,
    0x7c404d83,0x3e20001f,0x3ffa807f,0x7003ffee,0xff1009ff,0x45ffa80f,
    0xfd802ffc,0xfa800007,0xbceffb80,0x06b81efd,0x0017ffee,0x0013ffe2,
    0x10013f60,0x3ee01fff,0x2ffc806f,0xffda87d4,0xcffd82df,0xff100d70,
    0x3e20aa00,0x2ffb807f,0x700fffea,0x3f6009ff,0x07ff600f,0xf9007ff5,
    0x3200000d,0x37973105,0xd007e601,0x88005fff,0x80004fff,0x7f4000ff,
    0x07ff402f,0xae41bf60,0x81999998,0x1f989998,0x1dfdf930,0xf881f880,
    0x46fe807f,0x5c06fff8,0xff3004ff,0x213fe607,0xfe805ff8,0x001ca803,
    0x500006f4,0xffd1005f,0x7fc4003f,0x7dc0004f,0x0ffec003,0x102ffcc0,
    0x06f405ff,0x205f5000,0xfffd9ae9,0x1f6a21be,0x2a03ffc4,0xfffc80ff,
    0x017ff204,0xfd80ffa8,0x03ff700e,0x7d4037d4,0x7e4000ff,0x0fec4002,
    0x5fffd100,0x13ffe200,0xfa80676c,0x077ec004,0x205ff900,0x2fc804fc,
    0x00fec400,0x7ff76c59,0x3fffffff,0x205fff10,0x3fe02fe8,0xfffb84ff,
    0xfb80088f,0x01df910d,0xe982ffb8,0xfffc800e,0xbefa8002,0x037f2600,
    0x77ffdc00,0xbfff7102,0x9ffff303,0x005fb535,0x00067f4c,0x3ee0f7f4,
    0x2fbea003,0x037f2600,0x643e6790,0x5fffffff,0x0e7ffe40,0xe9807fd3,
    0xdecdffff,0x01effffc,0x9ffdfb70,0x3bfa6001,0x2003fecc,0x40007ffa,
    0xeccdefea,0x80001cff,0xeefffeb8,0x00cffffe,0x7fffffe4,0x6dcc00ce,
    0x40000cff,0x2eedeffb,0xbdfd5000,0x039ffd99,0x30bf7e60,0x009ffffd,
    0x3fffff66,0xfb1000df,0x3ee9ffff,0x510001cf,0x26200013,0x510001aa,
    0x26200001,0x0001abca,0x32eaa200,0x440009ab,0x64001aaa,0x800001ab,
    0x200001a9,0x01abca98,0xa8805100,0x7530000a,0x5d440003,0x0002ea09,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04401980,0x77777744,0x4eeeeeee,0x20001100,
    0x50001101,0xdddddddd,0x00c02209,0x00098800,0x88000044,0x55440000,
    0x80155402,0x3300aaaa,0x07950013,0xedc9801c,0xc980002c,0x1befffff,
    0x7ffe4164,0xffffffff,0x3f6a03ff,0x9801dfff,0x1ffdc6ff,0x3ffffa00,
    0xfb81ffff,0x00ffec3f,0x009fd100,0x0000ff22,0x2600026c,0x7ffc06ff,
    0x2fffc400,0x205fffc8,0x42ffffe9,0x77e44039,0xccdffd9a,0x7ecc02cc,
    0xba98bdff,0xf83fddff,0xffffffff,0xb01fffff,0xffffffff,0x1fffc809,
    0xb801fffa,0xffffffff,0x4cfffd06,0x20004fff,0x64404ffd,0x80003fff,
    0x4c0007f8,0x7ffc06ff,0x837fd400,0x02fffff8,0xdffffbdd,0xfe805b37,
    0xfffff984,0x3bfee04f,0x3fffb801,0x5566f7d4,0x6fcaaaaa,0xfbdfff90,
    0x5409ffff,0x3ff60fff,0x333ba005,0xb01ccccc,0x3fff8bff,0x9fff5000,
    0x3fffb220,0xfc80003f,0x3e60002f,0x07ffc06f,0x6c03bf20,0x886fe9cf,
    0x3ffffa65,0x3ff200ef,0x005ffb00,0x4001dff9,0x076c4ffa,0xf983fd80,
    0x7ffdc0be,0x1072a02f,0x3ee00199,0x19910000,0x10003d98,0x2209ffff,
    0x007fff11,0x06fff880,0x01bfe600,0xff801fff,0x6c47f301,0x7541cc3f,
    0x7fc00eff,0x013fea07,0x0001fff7,0x00744bf7,0x1fb03ff0,0x037ffd40,
    0x04e80000,0x00000000,0x009ff9db,0x0000fffa,0x003ffff7,0xf01bfe60,
    0x0fcc01ff,0x83f207d0,0x4c004400,0x3fe606ff,0x0fffe607,0x0265e800,
    0x5f06fa80,0x00fffb00,0x01f50000,0x00000000,0x09ff73f7,0x000fff60,
    0x09ffffd0,0x01bfe600,0x1e401fff,0x04a80550,0x7ffa8000,0x407ffe20,
    0x40006ffe,0x3f20006b,0xf3004983,0x000001ff,0x001cefe8,0xf3000000,
    0x4013fee9,0x20003ffd,0x0fffdbf9,0x06ff9800,0x01007ffc,0x00000000,
    0x8807ffc4,0xff980fff,0x3440004f,0x003ff000,0x407ff880,0x01bceeca,
    0xffffff50,0xdb980019,0xe8000bde,0x4013fee6,0x20003ffd,0x3fffa8fd,
    0x06ff9800,0x00007ffc,0xdd950000,0x3fa00379,0x0dff301f,0x000bfff2,
    0x7d400060,0xff880006,0x75bfd305,0xfd00bfff,0x3dffffff,0xb7dfb100,
    0x64007fff,0x013fee0f,0x8001ffec,0x1bffa4f8,0x01bfe600,0xb8801fff,
    0x075c400e,0xf75bfd30,0xff700bff,0x407fee0b,0x0000ffff,0x0ff20000,
    0x0ffe6000,0x3f613fe6,0x6e55404f,0x04ffffff,0xff3077a2,0x87f3007f,
    0xfb004ffb,0x3f20007f,0x007ffee1,0xf80dff30,0xffb500ff,0x3ff6a01f,
    0x09ff300f,0xf7009ffb,0x1ffd419f,0x007fff98,0x7fc00000,0xffb80001,
    0x981ffd81,0xea8007ff,0xfb03ffff,0x03ffee01,0xffb85e88,0x07ffb004,
    0xff117e00,0xff9800bf,0x407ffc06,0x80fffedc,0x00fffedc,0xff303ffb,
    0x3ffee00f,0x2a01efec,0x00006fff,0x01be6000,0xe82fec00,0x1fff01ff,
    0x3ffee000,0x101fd40f,0x7e40bfff,0x004ffb80,0x50007ffb,0x1fffb05f,
    0x037fcc00,0xf9803ffe,0x3fe600ff,0x03ffd00f,0xd1003ffe,0x00135315,
    0x000dfff7,0x1fe40000,0x07fc4000,0x3fe06fc8,0x3ea0000f,0x00ff45ff,
    0x7d41bffe,0x009ff702,0x2000fff6,0x7fff306e,0x03ffcc00,0xf801fff1,
    0x7ffc00ff,0x7c0df900,0x13e200ff,0x5fffc800,0x20000000,0xd80001ff,
    0xf300c03f,0xb80001ff,0x3ffe27ff,0xffffffff,0x04f887ff,0x6c013fee,
    0x7cc003ff,0x01fffa03,0x881fff98,0x0711fffe,0xff801fff,0xf980600f,
    0x0ff600ff,0x6fffb800,0x30000000,0xf30000df,0xdd71000b,0x00001fff,
    0x3fe61ffd,0x9999999a,0x06d81999,0xd8027fdc,0x7ec003ff,0x0bffea00,
    0x877ffcc0,0x2ffeaea8,0x01fff077,0x2000fff8,0x0fffeeb8,0x99dfff10,
    0x20557999,0x0006fff9,0x07f90000,0x001dd000,0xff8efe44,0xfb80000f,
    0x003ff52f,0x2e00fdc0,0xffb004ff,0x027c4007,0x9802fffc,0xffefffff,
    0x1f9dff91,0xf801fff0,0xfc8800ff,0x401fff1d,0xfffffffe,0x443effff,
    0x00007fff,0x003ff000,0x2000fd80,0x7ffc1efc,0xff980000,0x0007ff71,
    0x2aaabbe2,0xdffdaaaa,0x3ff602aa,0x3fff2003,0xffffffff,0xfa801fff,
    0x21effffa,0xf02effe8,0xfff801ff,0x20f7e400,0x36200fff,0xffffffff,
    0x7fc4ffff,0x000001ff,0x00037cc0,0xfd8007f2,0x00fff80d,0x2a7f8800,
    0xf50004ff,0xffffffff,0xffffffff,0x001ffec0,0x555555df,0x9fff7555,
    0x5511f500,0x3e014c01,0x7ffc00ff,0x2037f600,0x3a200fff,0x95555331,
    0x7ec1ffb9,0x000003ff,0x0001fe40,0x7ec005f5,0x01fff00f,0x4cdf1000,
    0x45000fff,0xfffffffa,0xffffffff,0x0fff607f,0xb0017d40,0xfc801fff,
    0x7fc00001,0x07ffc00f,0xff00ffd8,0x00fa201f,0x7fc45f70,0x0880006f,
    0x0003fd00,0xf9800be6,0x03ffe05f,0x893ea000,0x69804fff,0x26666662,
    0xdffc9999,0x3ff60199,0x800dd003,0x6c03fffa,0x7c00002f,0x7ffc00ff,
    0x205ff980,0x1fb00fff,0xfc83f000,0x6c0002ff,0x006f9801,0xb8007f30,
    0x3ffe05ff,0x86d80001,0x7402fffe,0x9ff70004,0x00fff600,0x3a000fe6,
    0x27fc06ff,0x3ffe0000,0x407ffc00,0x3fe05ffb,0x00ffa81f,0x7fc43cc0,
    0x790000ff,0x000ff200,0xa4c00fe6,0xfa80fffa,0x544111ff,0x4c0fdc00,
    0xc984ffff,0xff70000f,0x0fff6009,0x20003f60,0xf302fffc,0xf80000bf,
    0x7ffc00ff,0x80fffa80,0x2111fffa,0x26004ffd,0xdfff302f,0x005b8001,
    0xf30007fa,0x23f71007,0xb11dfff8,0x1d37fffd,0x6405fff4,0x3fff602f,
    0x3ffecdff,0x13fee000,0x201ffec0,0xf30005f9,0x3fea0dff,0x7fc00006,
    0x0fffc01f,0x88efffc4,0xe9bfffed,0x37dfff90,0x807f9310,0x802effe8,
    0x3e6005d8,0x77fd4006,0xffeeeeee,0x7ffec6ff,0xfffb4fff,0xffffd83f,
    0x401efdce,0xffffffd8,0x5c0004ff,0xffb004ff,0x003fe807,0x20bfffe0,
    0x00006ffa,0x880bffe2,0xffb02fff,0x3f69ffff,0x7fe41fff,0xffffffff,
    0xfb1001ef,0x51357dff,0xc8009fd9,0x3fea004f,0xffffffff,0x5c44ffff,
    0x3ea2ffff,0xfff981ef,0x4003dfff,0x2ffffffb,0x4ffb8000,0x0efff980,
    0x00effc88,0xfffffa80,0x00ffe20b,0x4fffb800,0x413ffee0,0x22ffffb8,
    0x9101effa,0xdfffffff,0x3b2e0005,0xcfffffff,0x00cb8001,0xffffff10,
    0xffffffff,0x8804c03f,0x00aa9801,0x01ba9800,0x13fee000,0xfffffed8,
    0xffff93ef,0xf5005dff,0xffffffff,0x80000c47,0xefffffeb,0x3ffffae4,
    0x402604ef,0x2a620018,0x44000009,0x0009abb9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7777775c,0xe9805eee,0x53eeeeee,0x15555555,0x15555510,
    0x3bbbbbaa,0x3bba66ee,0x04eeeeee,0xddddddd3,0x003f9103,0x6edc4000,
    0x7777640b,0x01eeeeee,0x3bbbbbaa,0x04ea83ee,0x00044060,0x96f6dd44,
    0x5b8803c8,0x005ef5cc,0x77777744,0xc985eeee,0xfff9300f,0x20015bff,
    0x23efffc9,0xbeffffea,0xbfffb880,0x3ffff260,0xffff702f,0xfa88019f,
    0x7ed40cff,0x800001ff,0xfffdbee8,0x7fff5c45,0x36a002ef,0xff101fff,
    0x6ff9805f,0x3001ffdc,0xdffb7bfd,0x7e4c09ff,0x3ffff27f,0xf71001ef,
    0xa819ffff,0x6400fffe,0x0000ffff,0x3f601ffd,0x2fd802ff,0x013fff60,
    0x001ffff7,0x765c2fe4,0x00001fff,0x7ffd45e8,0x06fffa82,0x403ff100,
    0x6402fff8,0x3ffa1fff,0x01df7007,0x3609fffb,0xff77fffe,0x01ffffff,
    0x41fffec0,0x00fffecb,0x00ffffc4,0x2203fd80,0x6f803fff,0x02fffcc0,
    0x0007fff4,0x7fc401f9,0x6c00001f,0x85ffb81f,0x0004fff8,0x0f6a01fa,
    0xd83ffea0,0x6fb805ff,0x2027ffc0,0x21eafffa,0x005fffe9,0x9807fff2,
    0xfc800fff,0xdf0003ff,0x80bff700,0xffe802f9,0x2fffb807,0x3a017a00,
    0x200001ff,0x3b700ffa,0x009fff10,0x00003f40,0x33220edc,0x017fc400,
    0xf3013ff6,0xfd101bff,0x3ee003ff,0x7ffc01ff,0x6fff8800,0x802fa800,
    0x3601fff8,0x3fff7007,0x05fff880,0xfd007f30,0x6400003f,0x3fe0007f,
    0x1f60004f,0x00000000,0x7e4037ec,0x7ffc404f,0x13ffee00,0x00fffdc0,
    0x6c003ffe,0x6c001fff,0x17ff2007,0xf88027c4,0xffd804ff,0x001f7007,
    0x00003ffd,0xf0003fec,0x6c0009ff,0x00000007,0x805ff880,0x7c404ffb,
    0x5ffe807f,0x03fff700,0x3000fff8,0x44009fff,0x3fe2004f,0x000fb81f,
    0x2e01fff6,0x5e802fff,0x003ffd00,0x003ffc00,0x0009fff0,0x000003ec,
    0x27fcc000,0x2027fdc0,0xfc807ff8,0xfff7006f,0x00fff803,0x003fffa0,
    0x320007e4,0x005e84ff,0x2017ffdc,0x4c05fffc,0x3ffd002f,0x3fe20000,
    0x3ffe0007,0x01f60004,0x55555500,0x15555530,0x7007ff70,0xff8809ff,
    0x07ffb807,0x803fff70,0x2a000fff,0xbf003fff,0x1fff1000,0x220017cc,
    0x7fc05fff,0x3f200fff,0x43ffd000,0x200bddb8,0xafffbaa9,0xff001aaa,
    0x3ec0009f,0x2a075c40,0x4c0ffffb,0xc83fffec,0xffb804ff,0x03ffc404,
    0xb803ffd4,0x7fc01fff,0x7ffc000f,0x002fa806,0x3ec9ffb0,0x0fffd800,
    0x5fffbf30,0xfd002f40,0x3fffea3f,0xfff700ff,0x7fffffff,0x013ffe00,
    0x36a07d80,0xff301fff,0x3ffe201f,0x805ffc83,0x7c404ffb,0x6ffa807f,
    0x03fff700,0x4000fff8,0x7402fffb,0x3fe60007,0x0004f88f,0x3205fff5,
    0x305fff8f,0x7ff4005f,0xffdbdfb9,0x7ff8804f,0x13ffe000,0xb907d800,
    0x2203fffd,0x3fa00fff,0x06ffb83f,0x4404ffb8,0xffa807ff,0x3fff7004,
    0x000fff80,0x3037ffc4,0xfd80009f,0x0000fbcf,0xafc17ffe,0xfc80fffc,
    0x37ffa000,0x07ffd40e,0x001ffe20,0x0004fff8,0xfff301f6,0x007ffc03,
    0xff507ffb,0x4ffb803f,0x403ffc40,0xf7003ffb,0xfff803ff,0xfffd8000,
    0x0001f901,0x05ffff98,0x07ffe400,0x7ffccbea,0x74005f83,0xffd00dff,
    0x07ff8805,0x013ffe00,0xff807d80,0x03ffe01f,0xf883ffd8,0x7fe405ff,
    0x07ffc404,0x4003ff60,0x7c01fffb,0xf98000ff,0x00bf04ff,0x0bfffa00,
    0x5fff3000,0x37ff47c8,0xfd000be6,0x1ffe403f,0x001ffe20,0x0004fff8,
    0x3ffe01f6,0x803ffe01,0xffb03ffd,0x3ffea09f,0x0fffc404,0x4007ff10,
    0x7c01fffb,0xfd0000ff,0x02fa81ff,0x0fff5000,0x17ffe000,0x0fffc89f,
    0x3fa001f2,0x0fff201f,0x000fff10,0x00027ffc,0x3fff00db,0xb007ffc0,
    0x3fe207ff,0xeca9bdff,0x7c404ffc,0x1bf205ff,0x03fff700,0x0000fff8,
    0x6e87fff5,0x1ff40000,0xfffc8000,0xff983f50,0x20017e3f,0x3f201ffe,
    0x3ffc404f,0x09fff000,0x7c037400,0x3ffe01ff,0x80fff600,0xfffffffa,
    0x8809ff75,0x5c0cffff,0x7dc000ef,0x7ffc01ff,0x3ffe0000,0x0000fe67,
    0x00001f90,0x3ecfffe6,0x5f36ffe8,0x03ffd000,0x22027fe4,0x3e0007ff,
    0x3a0005ff,0x01fff806,0xfd803ffe,0x7ffcc03f,0x13fee4ff,0xfd5fff10,
    0x0009fdbd,0xf003ffee,0x5c0001ff,0x01f92fff,0x005e8000,0x477ff400,
    0x3fff704f,0x3fa000f9,0x13ff201f,0x000fff10,0x0002fffc,0x3fff00bf,
    0xb007ffc0,0x2e6007ff,0x027fdc0a,0x54c5ffe2,0x7dc0001b,0x0fff807f,
    0x3ffe2000,0x00005f8e,0x000017d4,0x07efffee,0x27e7ffc4,0x01ffe800,
    0xf1013ff2,0x7ec000ff,0x9f10006f,0x403fff00,0x3f600fff,0xfb80003f,
    0x3ffc404f,0xffb80000,0x00fff806,0x67ffe400,0x6c00002f,0xf8800006,
    0x7f406fff,0xd0002fff,0x7fe403ff,0x03ffc404,0x01fff900,0xf005f500,
    0x7ffc03ff,0x00fff600,0x013fee00,0x0000fff1,0x2017fee0,0x40000fff,
    0x006ffff9,0x0017d400,0x3fffe800,0x03fffdc0,0x403ffd00,0x7c404ffc,
    0x3e60007f,0xfd8003ff,0x01fff800,0xfd807ffa,0xfb80003f,0x3ffc404f,
    0x7dc04000,0x0fff804f,0xfffe8000,0x42aa0003,0x000005e8,0x1007ffee,
    0x40009fff,0x3f201ffe,0x3ffc404f,0x3bff6000,0x00fee000,0xfb00fffc,
    0x3fff207f,0xffb80003,0x03ffc404,0xb83ff600,0xfff801ff,0xffa80000,
    0xff90000f,0x0001dfdf,0x037fc400,0x0001ffd8,0xfc80bffa,0x3ffcc04f,
    0x3ffe2000,0x37e4400e,0x403fff00,0x3a62fffb,0x008effdc,0x017ff200,
    0x0001fff1,0xfc93ffe2,0x03fff004,0x017fe000,0xfffffd80,0xd8000001,
    0x0ff5003f,0x02fff800,0xf5017ff2,0x880003ff,0x88acfffe,0x005ffeca,
    0xd00bffe2,0x29ffffff,0x00dffffd,0x80dffd00,0x0002fffa,0x3a2bfff6,
    0x5fff1006,0x07ee0000,0xcfff9800,0x50000001,0x13e2001f,0x5fff9800,
    0x01ffff10,0x006ffff4,0x3ffae200,0x2dffffff,0x27ffdc00,0x3ffffa60,
    0x0033ff63,0x3fff6e20,0x3f2e0bdf,0x003cffff,0xdfffff98,0x9fff7000,
    0x01220000,0x00004c00,0x2001c000,0xfea8001b,0x98efffff,0xeffffffd,
    0xfffffb30,0x00009bff,0x15599553,0xfffeb800,0x5cc04eff,0x40002a81,
    0xaaaaaaa8,0x2aaaaa0a,0x20002aaa,0xd5001bb9,0x0bdfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8380f2a,0x04eeeeee,0x77777540,0x40602eee,0x5f910008,
    0x7774c000,0x3eeeeeee,0x77777754,0xddd105ee,0xdddddddd,0xdddd0005,
    0x2bdddddd,0xeeeeeee9,0xaaccdeee,0xeeee9801,0x00000dee,0x9dddddd9,
    0x3bbbbbb6,0x7777442e,0x32e602ee,0xe9801cde,0x1cc2ffff,0xffffda88,
    0xffda8003,0xdff300be,0x2a03ffb8,0x0002fffd,0xeffffd98,0x3ffee201,
    0xfc9801df,0x009bffff,0x3ffee200,0xfda81cff,0xdcceffff,0x00cffffe,
    0x3ffffa62,0xff880003,0x2e20cfff,0x101cffff,0x6403bff7,0x5ffebbdf,
    0x7ffef740,0x802d9bef,0x001ffffc,0x6400ff88,0x3ffa1fff,0xfffb9507,
    0x7f400005,0xff9801ff,0xffe8001f,0x6400003f,0xfe804fff,0x7ffdc07f,
    0x7ffc401f,0xfc80006f,0x3f202fff,0x7fc401ff,0xd05fd100,0x99620bff,
    0x0efffffd,0x1ffff900,0x500fd000,0x7fec1fff,0x17ffc405,0xfffd0000,
    0x01dfb001,0x07fff200,0xfff70000,0x0fffb005,0x03fffd10,0x02ffffe8,
    0x3fffe200,0x3ffe200f,0xb017d403,0x3ffee09f,0xfea83981,0x3ee000ef,
    0xe8006fff,0x883b7006,0xffe800cc,0x3f600002,0x05fb807f,0x07ffdc00,
    0x3fea0000,0x7ffc801f,0x0dfff300,0x06ffffd8,0x3ffbee00,0x3ffdc00f,
    0xffa81ba0,0x05fff100,0x80008801,0x05fffffb,0x00003740,0x00bffa00,
    0x07ffc800,0x40002fdc,0x0000fffb,0x00fffd40,0xb003ffe4,0x7ec03fff,
    0x0002fffb,0x00fff9dd,0x2605fff1,0x017fa03f,0x000009b5,0xfffafb80,
    0x01ba003f,0xffd00000,0x7e400005,0x017ea07f,0x07ffdc00,0x3fea0000,
    0x7ffc801f,0x0fffee00,0x5fff8fd8,0xfcbfa800,0xbffb007f,0xff981f20,
    0x00000004,0xff53f700,0x1ba003ff,0xfd000000,0x6400005f,0x0bf707ff,
    0x7ffdc000,0x7d400000,0xffc801ff,0x3ffee007,0x7fe5f603,0xcbf4001f,
    0xff3007ff,0x203f881f,0x00003ffa,0x00deedcc,0xffb8fdc0,0x06e800ff,
    0x0deedcc0,0x005ffb00,0x43ffe400,0x00000efb,0x0003ffee,0x03fff500,
    0x400fff90,0x3600fffd,0x00bfff17,0x7ffc9fcc,0x713ffa00,0x1ffdc01f,
    0xbefc8000,0x000effdb,0xfffd87ee,0x8037400e,0xffdbbefc,0x2ffd800e,
    0xaaaaaaa8,0x91fff201,0x800001bf,0x0000fffb,0x00fffd40,0x8803ffe4,
    0x3ec05fff,0x2001fffb,0x0fff90fd,0x3a3ffd40,0x027fe404,0x213fa200,
    0x7002fff9,0x5fffe83f,0x3a203740,0x2fff984f,0x4c17fec0,0x01bcfffe,
    0xdfc9fff2,0xfb800000,0x400000ff,0xc801fffa,0xfe8807ff,0x33ec02ff,
    0xf3009fff,0x003ffe49,0x0fd4bffe,0x0017fee0,0x7cc0df90,0x1fb801ff,
    0x01ffffc4,0x06fc80dd,0xd807ffe6,0x1df902ff,0x6dfff200,0x000000ef,
    0x0001fff7,0x01fffa80,0x100fffc8,0x003dfff5,0x0fffd8fb,0xff907e40,
    0x6ffc800f,0xfff500bb,0xff50e001,0x05ffe805,0xff981fb8,0x40dd02ff,
    0x7f402ffa,0x0bff605f,0xf90013ea,0x05fffbff,0x3fee0000,0x5400000f,
    0xfc801fff,0xffefffff,0x2003ffff,0x1fffd47d,0xffc8bf10,0x7ffc4007,
    0xff9802fa,0x6c49804f,0x7fd401ff,0x80fdc02f,0xe81ffffa,0x007ff606,
    0x3605fff5,0x027dc2ff,0x7e7ffe40,0x00002fff,0x000fffb8,0x0fffd400,
    0x567ffe40,0xffffecba,0x87d801cf,0x3f207ffe,0xd83ffe41,0xffeeeeee,
    0xeeeeefff,0x3fffa2ee,0xff07a201,0x13ffe00f,0x7e403f70,0x03740eff,
    0x3fe00fff,0x45ffb04f,0xf90003fb,0x3ffff2ff,0x7dc00002,0x400000ff,
    0xc801fffa,0x7ec407ff,0x3ec04fff,0x441fffd4,0x07ffc86f,0x99999999,
    0x9999bfff,0x7fd43999,0x46ea81ff,0xfd006ff8,0x01fb80df,0x3a2fffec,
    0x00dff106,0x7ec1bffa,0x0005f92f,0xff93ffe4,0x400005ff,0x0000fffb,
    0x00fffd40,0xb803ffe4,0x3603ffff,0x70dffd07,0x0fff905f,0x00bffe00,
    0x9dffffb0,0xfb81fff9,0xfffb006f,0x4401fb80,0x1ba4fffe,0xd8037fdc,
    0x5ffb07ff,0xc80009fb,0x7ffe47ff,0xf700002f,0x800001ff,0xc801fffa,
    0x3ee007ff,0x0fb01fff,0xdd0bffee,0x001fff20,0x20017ffc,0xffffffd8,
    0x7ffc82ff,0x80fff900,0xff9801fb,0x320dd2ff,0xff9007ff,0x3f7ff60f,
    0x320002ff,0xfffc87ff,0xfb80002f,0x400000ff,0xc801fffa,0x3e2007ff,
    0x0fb03fff,0x7f537ffc,0x001fff20,0x80017ffc,0x0dfffffc,0x001fff70,
    0xfb80bff7,0xffff5001,0x3fee0dd3,0x5ffb800f,0xffb5ffb0,0x3f20001f,
    0xffff907f,0xffb80005,0x5400000f,0xfc801fff,0x7ff4007f,0x640fb04f,
    0x40fd1fff,0xfff07ffc,0xffffffff,0xffffffff,0x00ce9805,0x400fffd4,
    0x7dc03ffc,0x3ffee001,0xfff506ef,0x07ff9003,0x3fa2bff6,0xff90006f,
    0x7fffe40f,0x3fee0002,0x0588000f,0x9003fff5,0xfd800fff,0x40fb04ff,
    0x4f9dfff8,0x541fff20,0xfaaaaaaa,0xaaaaacff,0x67cc00aa,0x27ffc400,
    0x200ffe40,0x7ec001fb,0xff106fff,0x3ff9009f,0x7ccbff60,0xfc8005ff,
    0x7ffe407f,0xff70002f,0x0590001f,0x2007ffea,0x74007ffc,0x0fb01fff,
    0x0fefffc8,0x001fff20,0x00017ffc,0x3601bffa,0x7fd807ff,0x8001fb80,
    0x3606fffe,0x7fd807ff,0xfa8bff60,0x7ec003ff,0xfffc807f,0xffb8003f,
    0x07cc000f,0x801fffa8,0x26007ffc,0x1f607fff,0x09ffff10,0x000fffc8,
    0x0002fff8,0x2017fec4,0x2202fff9,0x1fb803ff,0x6fff8800,0x80bffe60,
    0x3f603ff8,0x0fffe42f,0x00fffb00,0x00fffff2,0x003fff90,0xff502f44,
    0xfffb005f,0x3fffa200,0x3601f603,0x7e401fff,0xff8000ff,0xf980002f,
    0xfffc801f,0x200bf901,0xf30002fc,0xfffc80df,0xe80bf901,0xfffe82ff,
    0x1fffd000,0x3ffffe00,0xfffb000d,0x0ffea007,0x803fffb8,0xea807ffe,
    0x7f403fff,0x02ffcc00,0x000fffec,0x00017ffc,0xf7002fe4,0x3f2215ff,
    0xdffa800d,0x0df70001,0x215fff70,0x7c00dfc8,0xfff883ff,0x3fee200e,
    0xff8804ff,0x01bfffff,0x3bffffe6,0xfedccccc,0xfd500fff,0x2e201dff,
    0xacceffff,0xefffecba,0x33ff2201,0x100ff400,0x01bffff7,0x077ffdc0,
    0x67f5cc00,0x7ff54000,0x4402dfef,0xeffffffe,0x006c8005,0xbfdfffd5,
    0xbfff3005,0x07bfff60,0xffffffd3,0xffb07dff,0xffffffff,0x3ffba23f,
    0xffffffff,0x6fffffff,0xffffffe8,0xffd35eff,0xffffffff,0x159ddfff,
    0x3ffffa60,0x0d503eff,0x3fffffa2,0xd104efff,0xdfffffff,0x01544007,
    0x00dd4400,0x28000000,0x00dd4400,0xfffffeb8,0xffff90ee,0x00007dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x74c0e03c,0xeeeeeeee,0x3ba6003e,0xceeeeeee,0x74c01bcc,
    0xeeeeeeee,0xeeeec83e,0x31eeeeee,0xdddddddd,0x0359999d,0xddddd100,
    0xdddddddd,0x87dddddd,0xeeeeeee9,0xabccceee,0x10088002,0x3bbbb201,
    0xeeeeeeee,0x70deeeee,0xdddddddd,0x775403dd,0x02eeeeee,0xffe98000,
    0x2024c2ff,0xaeffffd9,0xffb50000,0xfffdffff,0xfc9803df,0x200aefff,
    0xcffffea8,0xffffb501,0xffffddff,0xf930001d,0x99999fff,0x9fffdb99,
    0x3ffff6a0,0xfffedeff,0x5400bdff,0x0ffec4ff,0x777fffec,0xfeeeeeee,
    0x7f4c3fff,0x00afffff,0xbffffc88,0x4000e400,0xeffffded,0xfd002d9b,
    0x200003ff,0x2a20ffff,0xe804fffd,0x2a001fff,0xfd006fff,0x3ffaa0ff,
    0xffb0003f,0x17ee001f,0x203fffd0,0x2efffda8,0xf89fffa0,0x1bfe85ff,
    0x0bfff700,0x01ffffe4,0x400f7fc0,0x2c4001f8,0xdfffffb1,0x3fff6001,
    0xffb00000,0x37fff40f,0x003fff60,0x004fff98,0xfe80fffb,0xfc8004ff,
    0x172000ff,0x200fffb0,0x904ffffb,0x3fff8dff,0x3e6003f8,0x7ec00fff,
    0x7c4004ff,0x03f7001f,0xfea83980,0x3f6000ef,0x3600007f,0x3fa207ff,
    0x3ff603ff,0x7ffc4007,0x0fff9004,0x00ffff98,0x007ffdc0,0xffc80d30,
    0x3ffa6007,0x40cb883f,0x800f03c9,0x8802fffe,0x2001ffff,0xff5003fb,
    0x44008003,0x7ffd8000,0x3ff20000,0x37ffe407,0x000fff90,0x32009fff,
    0xffe807ff,0x7fdc003f,0x2034000f,0x4c007ffc,0x0001ffff,0x7e400b10,
    0x3ee005ff,0xbf1005ff,0x07ffe200,0x40000000,0xeeeefffd,0x7e4002ce,
    0x7ffd407f,0x0fff900f,0x009fff00,0x3201fff2,0x5c004fff,0x00000fff,
    0x4003ffe4,0x0006fffc,0x3e600710,0x6c000eff,0xfd803fff,0xffffa800,
    0x0000aaac,0xfffb0000,0xffffdb99,0xfff90019,0x0ffff880,0x000fff90,
    0x32009fff,0xffc807ff,0x7fdc004f,0x6400000f,0xf88007ff,0x00002fff,
    0x3fffa200,0xfff88001,0x00fea00f,0x3fffffee,0x5c401fff,0x05eed41e,
    0x30fffb00,0x801dfffb,0x7cc07ffc,0x3ff207ff,0x4fff8007,0x00fff900,
    0x8007fffd,0x9800fffb,0x0fff9002,0x17ffee00,0x0000eb88,0x004fffc8,
    0x817ffee0,0xffe8006e,0xfffb3001,0x3ffffe63,0xfffb000e,0x02fffec0,
    0xf501fff2,0x7fe40dff,0x4fff8007,0x80fff900,0x000ffff8,0x4007ffdc,
    0xfff9003b,0x3ffea000,0x7ffed40f,0x7fd40000,0xfe80006f,0x01fc82ff,
    0x801ffe80,0xa9fffedb,0x5fffebef,0x80fffb00,0x3202fffe,0x7fec07ff,
    0x1fff203f,0x013ffe00,0x3a03ffe4,0xb8003fff,0x3e800fff,0x00fff900,
    0x87fffe20,0x00fffedc,0x3fffe200,0xff980001,0x013e60ff,0x000fff40,
    0x81d9fff1,0xd801fffa,0x7fe407ff,0x1fff204f,0x406fffa8,0xf8007ffc,
    0xff9004ff,0x3fff660f,0xfff70003,0x33333333,0x266207fb,0x999fffd9,
    0x3e009999,0xff982fff,0x3f60000f,0x200003ff,0x3ba4fffb,0x3ffd0000,
    0x05fff800,0x3600bffa,0x7fd407ff,0x1fff207f,0x0077ffdc,0x3bbbfff2,
    0xeeeeeeee,0x9004fffe,0xb7533fff,0x0003bfff,0x7fffffdc,0x3fffffff,
    0xffffff50,0xffffffff,0x1ffff407,0x0000fff8,0x000bfff7,0x73fffd00,
    0x7f40005f,0x7ff4001f,0x00fff201,0xf501fff6,0x7fe40fff,0xfffeeeff,
    0xfff9003f,0x99999999,0x9fff9999,0x3ffff200,0x00dfffff,0x9fffb800,
    0xeba99999,0xb333103f,0x33333fff,0x7ff40133,0x01fff03f,0x1ffff100,
    0xff300000,0x8000bfdf,0x74001ffe,0x3ff201ff,0x07ffd804,0x9037ffe4,
    0x2aaa6fff,0x7fe4001a,0x4fff8007,0x44fff900,0x0000fffe,0x400fffb8,
    0xff9003e8,0x7ffc000f,0x01fff01f,0x05fffd00,0x7fe40000,0x740000ff,
    0x7f4001ff,0x13fee01f,0xd01fff60,0x7e409fff,0x3200007f,0xff8007ff,
    0xfff9004f,0x006fff98,0x00fffb80,0xff9003b8,0x3fe2000f,0x1fff00ff,
    0x5fffc800,0xff800000,0xfe80005f,0x7ff4001f,0x013fee01,0xfa81fff6,
    0x3f200fff,0x3200007f,0xff8007ff,0xfff9004f,0x007fff70,0x00fffb80,
    0xff9003a8,0x3fe6000f,0x03ffe07f,0x0ffff980,0xff800000,0xfe80005f,
    0x7ff4001f,0x013fee01,0x7dc1fff6,0x7e402fff,0x3200007f,0xff8007ff,
    0xfff9004f,0x007fff60,0x00fffb80,0x3ffe4000,0x5fffa800,0x4003ffe0,
    0x002fffe8,0xbfff0000,0x3ffd0000,0x01ffe800,0x36013fee,0xdba99fff,
    0xc802ffff,0x200007ff,0xf8007ffc,0xff9004ff,0x3bffe20f,0xfff70000,
    0xfc800001,0xffd0007f,0x07ffc05f,0x04fffc80,0x3fe00000,0xfe80005f,
    0x7ff4001f,0x013fee01,0x3ffffff6,0x000bdfff,0x0000fff9,0x4003ffe4,
    0xf9004fff,0x7ffd40ff,0xfff70005,0x64060001,0xfb8007ff,0x7ffc05ff,
    0x6fffa800,0x00038800,0x0000bfff,0xe8005ffd,0x3fee01ff,0x9fffd804,
    0x90001999,0x40000fff,0xf8007ffc,0xff9004ff,0x2fffc80f,0x0fffb800,
    0xf903c800,0xff8800ff,0x7ffc00ff,0x7fffc400,0x002c8001,0x000bfff0,
    0x0187ffb0,0xf700fff4,0xfffb009f,0x7fec0000,0x3f200007,0x7fc4007f,
    0xfff9004f,0x03fffd00,0x00fffb80,0xfc807cc0,0x7fec007f,0x0fff803f,
    0x01fffec0,0xf0001f80,0x90000bff,0x03911dff,0x2e02fff8,0xffd804ff,
    0x3f600007,0x3600007f,0x22000fff,0xfb004fff,0xfff300ff,0x7fe4001d,
    0x0374000f,0x2200fffb,0xf004fffe,0x7fdc03ff,0x0f90006f,0x02fffc00,
    0x7fffd400,0x7ffc403f,0x017ff202,0x0003fffa,0x007fff40,0x0fffe800,
    0x17ffe600,0x007fff40,0x0077ffdc,0x001fffd8,0x7f407fb1,0xfffb807f,
    0xfff1001e,0x3fffe205,0x37e44000,0x6fff8800,0xdff70000,0xbfff7007,
    0x03fffe20,0x0dffffa8,0x7ffd4000,0x220000cf,0x005ffffb,0x05ffffb3,
    0x0dffffa8,0xbffffd80,0x3fffe601,0xbaaaaabe,0x500fffcc,0x59bdffff,
    0x7ffffd97,0x4fffb800,0x99dfffd0,0x99999999,0x00bfffb9,0x7ffffb30,
    0x00600001,0x3fffffa6,0xffffb36e,0x3ba61dff,0xefffffff,0x3fba6003,
    0x3effffff,0x3fffa600,0x83efffff,0xffffffec,0xfdd31eff,0x7dffffff,
    0x7ffff440,0xffdd11ff,0xffffffff,0xbfffffff,0xffffee98,0xceffffff,
    0x75c001ab,0x24efffff,0xfffffffb,0xffffffff,0x003fffff,0x3fffffae,
    0x0001efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bbba200,0x3eeeeeee,0xeeeeee88,
    0xdb0005ee,0xdddddddd,0xdddddddd,0xee981ddd,0xeeeeeeee,0x001abccc,
    0x7777774c,0xeeeeeeee,0x3aa4eeee,0xeeeeeeee,0xeeeeeeee,0x33312eee,
    0x33333333,0x13333333,0x80016e44,0x30000008,0x80000001,0x80000009,
    0xfffffeb9,0x7f4c01df,0x00009dff,0x3ffffee6,0xccccccdf,0x500fffee,
    0xfffffffb,0xbfffffdd,0x3f660017,0xcccccfff,0x26ffffec,0xfffffffc,
    0xffffffff,0x593fffff,0x55555555,0x55555555,0x07ffdc95,0x00027400,
    0x00017c40,0x42cddb98,0x401b12f9,0x50076009,0x001fffff,0x0000ffee,
    0x7fff9fb0,0x803fb100,0x5301fffe,0x005ffffd,0x4403fffc,0x07bf26fd,
    0x5442fffc,0x000094fe,0x03fff924,0x00009d00,0x80005f10,0xffdbbeeb,
    0x3a24e89e,0x3fffae1f,0x00bf61df,0x00ffffe6,0x000017ec,0x1fffc774,
    0xfd803f00,0xfff7007f,0x3ffa009f,0xed9b6007,0x817ffe00,0x000094e8,
    0x00bff324,0x000013a0,0xa8000be2,0xffff984f,0xffbfe885,0xcffdbabd,
    0x3ee002fd,0x4fb807ff,0xafa80000,0x2003fff8,0x3ffe402d,0x7fffd300,
    0x00fffb00,0xf807b34c,0x4a5405ff,0x02120000,0x0004e800,0x0002f880,
    0x7fd40df3,0x1dff102f,0x0017fe40,0x3027ffec,0x200000bf,0x07fff16d,
    0x3f201540,0x7fcc007f,0x7fec02ff,0x01b34007,0x4405fff8,0x24000095,
    0x013a0000,0x00be2000,0xd00bfe60,0x17e60dff,0x40027e40,0x881ffff8,
    0x800000ee,0x7fff12f9,0xffc80000,0xfffc8007,0x03ffec07,0xfff00300,
    0x0012300b,0x40000480,0x8800004e,0xffc8002f,0x3fffb200,0x2000fd82,
    0xfa8000fc,0x01fd86ff,0x44dd0000,0x00003fff,0x4003ffe4,0x202ffff8,
    0x00007ffd,0x002fffc0,0x02400009,0x0013a000,0x000be200,0x7e403ffa,
    0x7cc5fff8,0x027c4002,0x24fffc80,0x000002fc,0x7ffc43f5,0x9000b803,
    0x2e000fff,0x3f605fff,0x001c407f,0x400bfff0,0x01200004,0x0009d000,
    0x8005f100,0x3f707ff8,0x1f51bffa,0x000dd000,0x2a7fffa2,0x2000004f,
    0x1fffc45e,0xfc8006c0,0xff50007f,0x3ff601ff,0x00024c07,0x2400bfff,
    0x00090000,0x00004e80,0x54002f88,0x21fa87ff,0x03e47ffd,0x20007c80,
    0x06fefff9,0x07ea0000,0x9807fff1,0xfff9000f,0x3ffe2000,0x0fffb01f,
    0x3e0004c8,0x012005ff,0x91004800,0x99999999,0x999999df,0x332a1999,
    0xfccccccc,0xcccccccd,0x83ffee3c,0x3ffdc2f9,0x3dc001b2,0x3fff2000,
    0x2000000f,0xcfff885e,0xfb999999,0xfff9000f,0x7fffc000,0x33fffb02,
    0x09fb7333,0x02fffc00,0x24000090,0xeeeee980,0xeeffeeee,0x0eeeeeee,
    0xddddddd7,0xdddddfdd,0x7d4bdddd,0x507f31ff,0x00fb8bff,0x80006d80,
    0x0002fffe,0xf103f700,0xffffffff,0x2001ffff,0x20007ffc,0xfb03fffe,
    0xffffffff,0x7c0009ff,0x012005ff,0x00004800,0x40000274,0x7cc002f8,
    0x704e8bff,0x01f987ff,0x80004e80,0x000ffffb,0x882fc400,0x9999cfff,
    0x000ffba9,0x4000fff9,0xfb03fffe,0x755555ff,0x7c0009fb,0x012005ff,
    0x00004800,0x40000274,0xff8002f8,0x3f205edf,0x4006e82f,0x4c0001fb,
    0x005fffff,0x5567dc00,0x3fffbaaa,0xc8007cc0,0x3e0007ff,0xffb02fff,
    0x0004d80f,0x48017ffe,0xb8920000,0x09d0000c,0x05f10000,0x0bfff900,
    0xfa80ffd8,0x00bf1003,0xfe8ee880,0x100002ff,0xffffffff,0xf007ffff,
    0x1fff2001,0x7fffc400,0x80fffb00,0x3fe00049,0x0012005f,0x3fffa480,
    0x004e8002,0x002f8800,0x203fff88,0x3fe03ff8,0x017fd404,0x7cc3f600,
    0x80000fff,0x3fe200fc,0x000d803f,0x2000fff9,0x3607fff9,0x024407ff,
    0x00bfff00,0x29000024,0x005ffff9,0x800004e8,0xfb0002f8,0x1bee03ff,
    0x9befdfd8,0xfeefda98,0x85f90001,0x0005fffc,0x3e201fc4,0x400003ff,
    0x50007ffc,0x7ec0dfff,0x4000007f,0x12005fff,0x3fa48000,0x74000fff,
    0xf8800004,0xfcfb8002,0xdf710aff,0x74cbf601,0x12ffffff,0xfa8003fd,
    0x2fffe884,0x003f6000,0x0007fff1,0x007ffc80,0x405fffd0,0x00007ffd,
    0x002fffc0,0x12400009,0x8003f555,0x8800004e,0x8fd4002f,0xdfefffe9,
    0x4c0be603,0x03e881aa,0xfa817e60,0x98000fff,0xfff8803f,0x90088003,
    0xf5000fff,0xffd80dff,0x7c000007,0x012005ff,0x0d704800,0x88009d00,
    0x99999999,0x99999bf9,0x20be0999,0x00001ba9,0xdd100000,0x5fffc801,
    0x1006d800,0xd0007fff,0x01fff201,0x03ffff10,0x0007ffd8,0x02fffc00,
    0x24000090,0x4e8003e8,0x7fffe400,0xffffffff,0x6fffffff,0x00000002,
    0x1fd80000,0x3ffff880,0x400fea00,0x4003fff8,0x1fff206c,0x09fff900,
    0x000fffb0,0x05fff800,0x48000120,0xa8000f98,0x5554c001,0xaaaaaaaa,
    0xaaaaaaaa,0x00000002,0x3fd80000,0x3fffea00,0x007e8800,0x800fffe6,
    0x3ff603f9,0xfffd1007,0x1fff6007,0xfff00000,0x0002400b,0x001fc890,
    0x00000000,0x00000000,0xfb100000,0xffff000f,0x05fc801d,0x013ffea0,
    0xfd00ffdc,0xfff500ff,0x7ff4001d,0x1000000f,0x2400dfff,0x3a290000,
    0x0000000c,0x00000000,0x00000000,0x05ffff50,0x7ffffcc0,0xfffc80be,
    0xfffe9801,0xcaaaaacf,0x2a06ffec,0xabceffff,0x3ffffeca,0x3ffee200,
    0x9800004f,0x00bffffd,0xccccccc8,0xcccccccc,0x0115cccc,0x00000000,
    0x00000000,0x32000000,0xefffffff,0x3fffaa02,0x53ffffff,0x7fffffff,
    0xfffffdb0,0xffffffff,0xe989ffff,0xfffffffe,0x1abcefff,0x3fffa600,
    0x03efffff,0x7fff5c00,0x01efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66f65cc0,0xceeca801,
    0xdb98001b,0x55500bde,0x55530555,0x55530155,0x53035555,0x554c5555,
    0x2aa1aaaa,0x40aaaaaa,0x881aaaaa,0x2b9bcedc,0x1bddb980,0x6f6dd400,
    0x6f6dcc1b,0x007b700b,0x005880b2,0x87dc4000,0x000003e9,0xfebbdfc8,
    0x5bfd305f,0x200bfff7,0xffdbefd8,0xfffba83f,0x7ff64c0f,0xfffd983f,
    0xfb981bef,0x3ffaa3ef,0x3f6e1cff,0x540befff,0x7dc2effd,0x3fffdabd,
    0x36efbf20,0x74c00eff,0x4ffebacf,0xfffd9ff7,0x01fffa85,0x013a03dc,
    0x7fe4c000,0x033ffa25,0x5fd10000,0xf98bffd0,0x04ffd84f,0x3e60ef44,
    0xfff303ff,0x0fffe201,0x803fffb8,0xfffd01fd,0x403fff40,0x884f986f,
    0x4fe883fe,0x302fff98,0xdffd09ff,0x2fff985f,0x980fffee,0x003f603f,
    0x9ffb5000,0x37ff6601,0x9fb00001,0xd87ffee0,0x7ff981ff,0xfb807ec0,
    0xfff880ff,0x00fffa00,0x9f009ffd,0x807ffcc0,0x7cc07ff9,0xf101fd82,
    0x4c0df907,0xffd81fff,0x03fffb81,0x7f44dff7,0x40ff100e,0x100003fc,
    0x4007dfd7,0x002effc8,0x4403fea0,0x3ffa2fff,0x201fff01,0x3fe203fa,
    0x01fff05f,0x2a01ffec,0x07cc07ff,0xe80bff60,0x41b202ff,0x50f603ff,
    0xffe805ff,0xa80ffe85,0xff100fff,0x7f40185f,0x001ff503,0x2dffc880,
    0x3fae2000,0x7f4000bf,0x3226d405,0x03ffe06f,0x3fe00ff4,0x01fff06f,
    0x7c01ffec,0x017602ff,0xfb81bfea,0x7c0fe05f,0xd87500ef,0x7fd401ff,
    0xa837dc2f,0x7ffc07ff,0x41bf6003,0x20003ff9,0x001cffd9,0x67ff5400,
    0x04ff9800,0xff980600,0xffff880f,0xffffffff,0x01fff07f,0x5c01ffec,
    0x05f105ff,0x6403ffe0,0x0fa80fff,0x007fffb0,0x7fc01ffe,0x3ea0084f,
    0xffffffff,0x7004ffff,0xfff105ff,0xdfd70001,0x80000017,0x201dffd9,
    0x00003ffa,0x3fffbae2,0x99aff980,0x99999999,0x401fff01,0xf8803ffd,
    0x006b81ff,0x3e20fff2,0x05d84ffe,0x0bbfffea,0xd006ff88,0x3aa00dff,
    0x9999ffff,0x00999999,0xe886ffa8,0x322003ff,0x00002eff,0xeffc8800,
    0x003ffb82,0xf1dfc880,0x3ff501ff,0x1fff0000,0x801ffec0,0x03e84ffd,
    0x321bfe60,0x7c47ff9e,0x7fffdc02,0x6ffb81ef,0x40fffb00,0xffabfeb8,
    0x3e600006,0x7ffd82ff,0x39ffb100,0x00000000,0xfc93ffaa,0x7e40004f,
    0x407ffc1e,0x80003ffb,0x3f600fff,0xfff3003f,0x20007d41,0x4be21ffe,
    0x01ee2ffe,0x7fffff4c,0x803ffe43,0xff707ffc,0x01ffea19,0x0fffb800,
    0x802fffc4,0x000bffe8,0x71000000,0x2ffdcdff,0x01bfb000,0xff501fff,
    0xfff00009,0x01ffec01,0x26c7ffd0,0x727fdc00,0x9d2ffdcd,0xffffa800,
    0x03ffee4f,0xb117fee0,0xfff981df,0x3f600000,0x1fff984f,0x33ff6a00,
    0x00000001,0xa85bff91,0x47000fff,0xfff00ffd,0x01fff301,0x07ffc0a0,
    0x4007ffb0,0x03f16ffb,0x74fff100,0x263ffe23,0xff70001f,0x3ffea1ff,
    0x43ffc801,0xff880ffd,0x2003000f,0xffb80ffe,0xffc98005,0x0000002e,
    0x2019ffb3,0x9804fff9,0x7c0bff34,0xfff880ff,0xff069804,0x1ffec01f,
    0x32bffe00,0x3ff60006,0x7fec0faa,0x205806cb,0xff13fff9,0x3ff9009f,
    0xff02ffc4,0x0075007f,0x7e417fe2,0xf710001f,0x000017df,0x017dfd50,
    0x403fffd0,0x0bff71e8,0xfe80fffc,0x827402ff,0x3f601ffe,0x7fe4003f,
    0x2a0003fd,0xf984edff,0x0f802fef,0xfd97ff20,0x47fd807f,0x3f605ffa,
    0x007c407f,0x3603ff30,0xea80005f,0x40000cff,0x002dffc8,0x40ffffd4,
    0x3ffea6ea,0x11fffa80,0x27fffcc1,0xfd807e4c,0x7fff903f,0xffff8800,
    0x7ffc0000,0x0fffd00f,0xff980fe0,0x80bffe63,0x7fdc3ff8,0xbfff900f,
    0xc98bd301,0x4417ee01,0x300001fe,0x8003bffb,0x001cffd9,0x3bffff60,
    0x220fffcc,0xdb11dfff,0x81d37fff,0xcdfffffd,0x3ee03ffe,0x373a62ff,
    0x20008eff,0x80004ffd,0x3ee04ffc,0x03ff004f,0xff907fea,0x217f203f,
    0x6c44fff8,0xacefffee,0x3e60ffec,0x07f200ff,0x000037c4,0x00bbff22,
    0x0017ffd5,0xffffb100,0xfb05ffff,0x369fffff,0xd881ffff,0xffffffff,
    0xffffe804,0xffffb4ff,0x3fea001b,0xff980001,0x007fe201,0xd1067ffc,
    0x3ffee05f,0x01bf910a,0x373ffff6,0xfffe88df,0x641fffff,0x2f403fff,
    0x00005f50,0x70fffae0,0x00005dff,0x3fffff20,0xfff7100d,0x0f7fd45f,
    0x3ffffee0,0xffd3002f,0x67fec7ff,0x006e8000,0x36017a00,0x3ffbe006,
    0x402efddf,0xdfefffea,0x7ffe4402,0x7fec42ef,0xf981efff,0x0f4400ff,
    0x00000d70,0xbf30fda8,0x20000003,0x26000ab9,0x98003100,0x730001ba,
    0x80005503,0x2a00001a,0x20029801,0x006aea20,0x00037510,0x73003571,
    0x00b88035,0x00180110,0x04430000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001b00ee,0x55555554,0x1aaaaaaa,0x55555553,0x15555543,0x6d43b710,
    0x83d7100c,0x1000bdda,0xbddb83b7,0x15bb7300,0x00130000,0x01400144,
    0x0200274c,0x01000040,0x4c000400,0x3e200800,0xf801b202,0xffffffff,
    0x933fffff,0x43dffffd,0x983effea,0xffb1fffc,0xfffd98df,0xdfffff31,
    0x7ffe4c01,0xfffffd32,0x7fffec47,0x7ec0005f,0x00bf2007,0x7e402fc8,
    0x0fea800f,0x19dff930,0x20036400,0x00beffc9,0x0fffffa6,0x1f902ffc,
    0x7c013e20,0x3ffe201e,0x2fffe885,0xdb705fb8,0xffd73fff,0x7ff6dcff,
    0xfebefa9f,0xfdb505ff,0xb7bf55ff,0xdd11ffff,0x07fff959,0x007ff400,
    0xf9005fb0,0x01ffb009,0x407feec4,0x4ffdace8,0x007ff100,0x3ff73be2,
    0x97dff707,0xfffa8bff,0x201df101,0x00f803fc,0x88077ff4,0x37c46fff,
    0xae7ffc40,0xff883ec8,0x7fd40ecf,0x3ffe201f,0x7ff4c0ec,0x7ffa84ec,
    0x00faa000,0xfc80bf60,0x3ee1ba84,0x7fcc1dc7,0x3fdc1c80,0x00fded80,
    0x1ffcc3c8,0xf91077e2,0x00fffd47,0x3fe20bf9,0x3f203c01,0x7fd401ff,
    0x4003f23f,0x2000fffe,0x3fa05fff,0x2fff402f,0x205fff90,0x0000fff8,
    0x05fb0000,0xfff109f9,0xffd97e65,0x8007fcc3,0xafa806f9,0xb04804f8,
    0x201fd8df,0x1fff30fe,0xb827fc40,0xa80600ff,0xf9003fff,0x005f51ff,
    0x20017ff4,0x3f201ffe,0x17fec03f,0xf80dff70,0x000001ff,0xfc8bf600,
    0x4bfff604,0x2fffe8bf,0xc8007fc4,0x2e5e800f,0x7f90001f,0x8fdc06f8,
    0xfc807ff8,0x0eff883f,0x2fffc400,0xfbffd100,0x1ffe8009,0x00fff400,
    0xfd809ff9,0x1bfe602f,0x0005ffb0,0xafd80000,0x764404fc,0xffebdcff,
    0x00ff882d,0xfc803fa8,0xe8003741,0x3013e20f,0x402ffc7f,0xfb81fff8,
    0x7ff4005f,0x7fcc000e,0xffe8006f,0x0fff4001,0xd809ff70,0x3fe602ff,
    0x417fec06,0xccccccca,0xcccccccc,0x6c03cccc,0x5c4004ff,0x4401cefd,
    0x3fee00ff,0x13e204ff,0xf3000bea,0xfb80df09,0x64013f62,0xfff80fff,
    0x3fff9004,0x3fff2000,0x0fff4000,0x807ffa00,0x7ec04ffb,0x1bfe602f,
    0xd705ffb0,0xdddddddd,0xdddddddd,0xffc80bdd,0x3f2a2002,0x2200bdee,
    0xfd9800ff,0x201fb02f,0xbd1000fd,0xfe807f60,0x5400ff20,0xffd83fff,
    0x3fffa806,0x3ffea000,0x0fff4005,0x807ffa00,0x7ec04ffb,0x1bfe602f,
    0x0005ffb0,0xcfc80000,0x7ecc02fd,0xffdad9ff,0x00ff883f,0x3ea17f60,
    0x4013e202,0x037e606d,0x03f513ee,0x2617ffa0,0x7c401fff,0x220005ff,
    0x003fffdf,0xd0007ffa,0x7fdc03ff,0x017fec04,0xfd80dff3,0x0000002f,
    0x2fd93f20,0x7c7fffe0,0x883fffb3,0x3ea000ff,0xfc805e85,0x5c02e401,
    0x6ffcadff,0xfa800f98,0x05ffb06f,0x001dffb0,0xfffbaec0,0x03ffd000,
    0x201ffe80,0x7ec04ffb,0x1bfe602f,0x0005ffb0,0x13f20000,0x3fe20bf6,
    0x7e4bf30e,0x007fc43f,0x1fc87f50,0x3620bd00,0xfea82884,0x01604fff,
    0x7cc07ff4,0xfffc803f,0xfc802201,0x401bffa0,0x74001ffe,0x3fee01ff,
    0x017fec04,0xfd80dff3,0x3710002f,0x409f9000,0x20a882fd,0x4c14c7fb,
    0xe80980ff,0x50027cc6,0xaaee885f,0x2203ecba,0xf500001a,0x017f603f,
    0x700fffea,0xf107ea03,0xffd007ff,0x1ffe8003,0xb013fee0,0x7fcc05ff,
    0x017fec06,0x000ffd80,0x3f6013f2,0x00ffd802,0x20e7fe4c,0x0dfcceff,
    0x360007ec,0x3ffffe66,0x0000ffff,0x40bfa000,0xff8806f9,0x881d805f,
    0x3fff704f,0x002ffe80,0xf7017ffc,0x2ffe809f,0xb01ffe60,0x3a0007ff,
    0x9f7000ff,0x2017ec00,0x55400ffc,0x65cc2aaa,0x01a881ac,0x5530a880,
    0x05555555,0x7d400000,0x2003fa03,0x4400effd,0x7406e81f,0x3fa00eff,
    0x3fe2003f,0x17ff202f,0x4c07ffd0,0x7fec07ff,0x05910004,0x64001cc0,
    0x00164400,0x00000000,0x00000000,0x7d40bd00,0xafffc801,0xca999999,
    0x037ec0ff,0x203bfff6,0x000efffa,0x220bfff7,0xf300ffff,0x7fec0bff,
    0xdfff302f,0x00000000,0x00000000,0x00000000,0x00000000,0x05d01aa0,
    0xffffff10,0xffffffff,0x3fffe61f,0x7fff441f,0xffd55fff,0x203dffff,
    0xefffffe9,0xfffffb36,0x3ffa61df,0xfb0eefff,0x29dfffff,0xffffffea,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00600440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88001310,0x20200800,0x6664c2da,0xcccccccc,0xcccccccc,
    0x5302880c,0x2aaa6355,0x777774c1,0xeeeeeeee,0x0eeeeeee,0x00aceda8,
    0x10ae22c0,0xbd502601,0x44444441,0x4cccc088,0x99999999,0x09999999,
    0x55555551,0x55555555,0x00035555,0x4c000000,0x404edace,0x80cffdfb,
    0x2ffc45ff,0x74cbfff7,0xeeeeeeee,0xeeeeeeee,0x03c80fee,0x3a21dffb,
    0x7774c5ff,0xeeeeeeee,0xeeeeeeee,0x7fffe40e,0x6a801dff,0xffaa7ff4,
    0xff0ffe44,0x3fffea9f,0xf32fffff,0xffffffff,0xffffffff,0x3ffe6bff,
    0xffffffff,0xffffffff,0x00000005,0x9fd1ba00,0x7ec43ba0,0x87ffea0e,
    0xffd0fffa,0x000001ff,0x84f981f5,0x7cc0fff8,0x0000007f,0xeb98e7d4,
    0x9b00beff,0xfdb7ffc4,0xbfff10ff,0x7d57ffe2,0xffffffff,0x55555512,
    0x55555555,0x22355555,0x99999999,0x99999999,0x00001999,0x7f500000,
    0x4fc86fc8,0xff72ffc4,0x87ffdc3f,0x003ffffb,0x740fa800,0x0ffd46ff,
    0x0002ffa8,0x98136000,0xcabdfffc,0x9fff40ff,0x7ff46ffc,0x6ccbff23,
    0xdddddddd,0x00000001,0x00000000,0x17100000,0x7fc47fd8,0xf51ffc82,
    0x7ffd41ff,0x013a2e60,0x103ea000,0x17ec3ffb,0x00013ee0,0x5000f800,
    0x03dffffb,0x40cb886a,0x00040bc9,0x00000000,0x00000000,0x71000000,
    0xff98ffbb,0xf12ff981,0x07ff98ff,0x000003f1,0x1ff501f5,0x07c8027c,
    0x00600000,0x0006aa20,0x00000000,0x00000000,0x00000000,0x23d90000,
    0x17fd47fc,0xbff1ffc4,0x1ae0dff0,0x07d40000,0x00b32fec,0x999911d8,
    0x99999999,0x99999999,0x00000001,0x00000000,0x00000000,0x00000000,
    0x83f60000,0x1ffcc7fc,0x9fd17fc4,0x0fa09fd0,0x87d40000,0x020cfeb9,
    0xfff98400,0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x5fd80000,0x3fe23fe4,0x320ff986,0x4c3fd82f,0x0000004e,
    0x00000aa2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc8bff0,0x2e0ffe40,0x5c0fdc3f,0x000bb21f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x677fec00,0x6c4dffdd,
    0x309d52ff,0x0183ea0f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ec40000,0x207ff13e,0x102dffeb,0x0001620b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_43_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_43_latin1_y[224]={ 34,7,7,7,6,7,7,7,7,7,7,10,30,23,
30,7,7,7,7,7,7,8,7,8,7,7,16,16,11,17,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,7,7,7,40,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,10,16,16,16,16,16,16,7,7,7,21,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,15,8,7,11,8,
7,7,8,7,7,16,17,23,7,4,7,10,7,7,7,16,8,19,33,7,7,16,7,7,7,15,-1,-1,0,1,
1,1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,13,7,-1,-1,0,1,-1,8,7,7,7,
7,8,8,6,16,16,7,7,7,8,7,7,7,8,7,8,7,7,7,8,8,13,15,7,7,7,8,7,7,8,
 };
static unsigned short stb__times_43_latin1_w[224]={ 0,5,12,19,16,30,29,5,12,12,15,22,6,11,
5,11,18,11,18,16,19,16,17,17,16,17,5,7,22,22,22,15,34,28,24,24,27,23,21,27,28,12,15,29,
23,34,29,26,21,26,27,18,22,28,28,37,28,28,23,9,11,9,18,21,7,17,20,15,19,16,16,18,20,9,
11,20,9,31,20,18,20,19,14,13,11,20,20,28,19,20,17,11,2,11,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,16,18,19,20,
2,15,11,28,12,18,22,11,28,21,13,21,11,10,7,19,19,5,7,8,12,18,27,27,29,15,28,28,28,28,
28,28,35,24,23,23,23,23,12,12,12,12,27,29,26,26,26,26,26,16,26,28,28,28,28,28,21,19,17,17,
17,17,17,17,24,15,16,16,16,16,9,9,11,11,17,20,18,18,18,18,18,21,19,20,20,20,20,20,20,20,
 };
static unsigned short stb__times_43_latin1_h[224]={ 0,28,12,28,31,29,28,12,36,36,16,22,11,4,
5,28,28,27,27,28,27,27,28,27,28,28,19,25,20,8,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,35,28,35,15,3,8,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,25,19,19,19,18,27,18,36,36,36,6,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,26,
36,35,5,28,13,19,9,4,28,3,13,22,15,15,8,27,35,5,9,15,13,19,29,29,29,28,35,35,34,33,
33,33,26,35,35,35,34,33,35,35,34,33,26,34,36,36,35,34,34,16,28,36,36,35,34,35,26,28,28,28,
28,27,27,29,19,26,28,28,28,27,27,27,27,26,28,26,28,28,28,27,27,16,21,28,28,28,27,36,36,35,
 };
static unsigned short stb__times_43_latin1_s[224]={ 246,250,46,160,166,201,162,246,1,56,165,
168,59,183,159,231,1,135,44,110,115,81,145,26,20,127,227,160,1,113,24,
37,211,147,157,1,66,123,94,82,66,144,228,90,120,182,20,204,44,13,95,
143,116,127,1,51,1,211,187,245,192,246,201,195,105,63,211,47,232,81,110,
236,89,156,72,69,244,94,73,183,207,187,58,169,240,98,119,140,38,30,20,
199,69,1,136,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,246,250,95,
192,233,217,111,59,165,53,20,233,66,183,163,217,232,191,220,190,97,176,75,
177,89,181,33,1,29,1,57,89,87,216,184,113,84,55,30,191,116,140,213,
142,74,61,141,237,147,154,84,114,164,28,1,148,1,141,170,30,112,1,22,
105,125,232,235,218,63,183,202,238,218,201,87,98,243,196,206,175,142,1,28,
104,123,1,50,126,213,180,47,68,166,35,14,40, };
static unsigned short stb__times_43_latin1_t[224]={ 37,75,413,146,111,111,176,394,1,1,394,
346,413,413,413,176,205,234,234,205,234,234,205,234,205,205,373,346,373,413,373,
205,1,234,291,234,346,319,346,205,319,291,263,291,291,291,291,176,319,38,319,
176,346,263,263,263,346,319,319,38,176,1,394,413,413,373,205,373,205,373,263,
234,263,263,1,291,263,394,394,373,263,263,394,373,319,373,373,373,394,263,394,
1,1,38,413,346,346,346,346,346,346,346,346,346,346,346,346,346,346,346,346,
346,346,346,346,346,346,346,346,346,346,346,346,346,346,346,346,346,37,111,75,
205,346,291,1,75,413,205,413,373,413,413,205,413,394,346,394,394,413,234,75,
413,413,394,413,394,146,146,146,176,38,38,75,111,111,111,346,38,38,38,75,
111,38,38,75,75,319,75,1,1,38,111,111,394,176,1,1,75,75,75,319,
176,176,111,146,234,234,111,373,291,146,146,146,234,176,234,234,319,146,319,176,
146,146,291,291,394,346,146,176,176,263,1,1,38, };
static unsigned short stb__times_43_latin1_a[224]={ 155,207,254,311,311,518,483,112,
207,207,311,350,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,173,173,350,350,350,276,572,449,414,414,449,379,346,449,
449,207,242,449,379,552,449,449,346,449,414,346,379,449,449,586,
449,449,379,207,173,207,292,311,207,276,311,276,311,276,207,311,
311,173,173,311,173,483,311,311,311,311,207,242,173,311,311,449,
311,311,276,298,124,298,336,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,155,207,311,311,311,311,124,311,
207,472,171,311,350,207,472,311,248,341,186,186,207,358,282,155,
207,186,193,311,466,466,466,276,449,449,449,449,449,449,552,414,
379,379,379,379,207,207,207,207,449,449,449,449,449,449,449,350,
449,449,449,449,449,449,346,311,276,276,276,276,276,276,414,276,
276,276,276,276,173,173,173,173,311,311,311,311,311,311,311,341,
311,311,311,311,311,311,311,311, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_43_latin1_BITMAP_HEIGHT or STB_FONT_times_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_43_latin1(stb_fontchar font[STB_FONT_times_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_43_latin1_BITMAP_HEIGHT][STB_FONT_times_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_43_latin1_s[i] + stb__times_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_43_latin1_t[i] + stb__times_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_43_latin1_x[i];
            font[i].y0 = stb__times_43_latin1_y[i];
            font[i].x1 = stb__times_43_latin1_x[i] + stb__times_43_latin1_w[i];
            font[i].y1 = stb__times_43_latin1_y[i] + stb__times_43_latin1_h[i];
            font[i].advance_int = (stb__times_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_43_latin1_s[i] + stb__times_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_43_latin1_t[i] + stb__times_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_43_latin1_x[i] + stb__times_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_43_latin1_y[i] + stb__times_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_43_latin1_LINE_SPACING
#endif

