// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_22_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_22_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_22_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT        146
#define STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_22_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_22_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_22_latin1_LINE_SPACING          14

static unsigned int stb__times_bold_22_latin1_pixels[]={
    0x55302208,0x99500015,0x2980a201,0x00005451,0x05100153,0x000000a6,
    0x1e5c0000,0x07326000,0x00099300,0x80000000,0x20001cc8,0xb8002cc8,
    0x5fe4003c,0x7fec0ff8,0x03fd8000,0x477617fa,0x4013a65b,0xba9addb9,
    0xea8b701c,0x7dc03faa,0x6c400dd1,0x1000c9cf,0x640001ff,0xffe8004f,
    0x5f754003,0x557a0049,0x17ee003f,0x005fb800,0x001fff98,0x03fe2ff2,
    0x88001ff7,0x22ff403f,0xf516e1fc,0x401ea807,0x1fc5b81b,0x5ff401fd,
    0xd9000ff8,0x9800dfff,0x13e0002f,0x3f2bee00,0x3fffa000,0x1ff3003f,
    0xfb800bf9,0x00bb0000,0x017a7ba0,0x7dc04410,0x01d4000f,0x83fe0544,
    0x5037d45b,0x702e001d,0x1f927d4b,0x00551c40,0x000bb894,0x93000498,
    0x5c1d1000,0x32a31003,0xb88d4002,0x001b8000,0x96a000b0,0x400001d8,
    0x00130ffb,0x45fd0000,0xa82fdc5b,0x3880980e,0x09ff32dc,0x0cccccc4,
    0x4c433331,0x99988199,0x004cc400,0x0004cc40,0x40004cc4,0x88000998,
    0x26620099,0x26621999,0x26666219,0x86666219,0x21999998,0xfb819998,
    0x45f913ff,0x4ffeaffb,0xc89fffdc,0x237fdc2f,0xf916e3fd,0x9d103e09,
    0x2e1c9fb9,0x406ffe45,0x21dfffa8,0x3661dfb8,0x7dc43fff,0x75bf901d,
    0xbf9005dd,0x9005dd75,0x05dd75bf,0xdd75bf90,0x75bf9005,0xff5105dd,
    0x6fdc43bf,0x37ffea21,0x8877ee21,0x221dfffa,0xffb01dfb,0x3fee2545,
    0xfd85ff35,0x7f412a2f,0x8b71fdc6,0x446983fc,0x5c5ff56f,0xffd516e0,
    0x0bffa03d,0xfffe80ec,0xfe981d81,0x9827fc44,0x27fc44fe,0x7c44fe98,
    0x89fd304f,0xfd304ff8,0xd04ff889,0x407605ff,0x03b02ffe,0x0ec0bffa,
    0x064bff10,0x6fe87fee,0x0192ffc4,0x41fb1bfa,0x5c1fcc5b,0xffb8ff44,
    0x263982a0,0x81fffa8e,0x01902ffe,0x903fffb6,0x2a0ffd01,0x07fe83ff,
    0xffd07ff5,0x3a0ffea0,0x07ff507f,0x3fea0ffd,0x902ffe83,0x40bffa01,
    0x05ffd00c,0x1ffb0032,0xd83fee12,0x90ffd87f,0x3d737f40,0x42e985b8,
    0xfd9fee2d,0x893a01c5,0x2ffe84fe,0x3e360190,0x320646ff,0x3ffe04ff,
    0xf813ff20,0x13ff20ff,0x3f20fff8,0x83ffe04f,0x3fe04ffc,0x817ff40f,
    0x05ffd00c,0x17ff4032,0x7fcc00c8,0x0ffb829b,0xff303ff6,0xb7f40537,
    0x505b81d9,0xbfd07c1d,0x8070ffe2,0x21fe20ff,0x01902ffe,0x927ffd56,
    0x202ffe81,0x3ffa2ffe,0xe8bffa02,0x3ffa02ff,0xe80bffa2,0x0bffa2ff,
    0x7f42ffe8,0x3a01902f,0x201902ff,0x01902ffe,0x2e0bffd0,0x41ff60ff,
    0x7f405ffe,0x0b713a26,0x7fc4f0bb,0x1443ff93,0x5c87bf20,0x1902ffe8,
    0x2fffb960,0x02fff819,0xfff93ffa,0xf93ffa02,0x3ffa02ff,0xe80bffe4,
    0x0bffe4ff,0x7f44ffe8,0x3a01902f,0x201902ff,0x01902ffe,0x2e09ff50,
    0x41bfa0ff,0x7f404ffa,0x8b70fe46,0xf30e83fa,0x44ffb33f,0x3fe24a84,
    0xffd03d3f,0x22c03205,0x20c9fffd,0x3601fff8,0x3fff15ff,0xf8affec0,
    0x3ff601ff,0x403fff15,0xfff15ffd,0x22ffec03,0x01902ffe,0x0640bffa,
    0x1902ffe8,0x5c07fe00,0x2ff88dff,0xfd007fe0,0x16e3fc8d,0x225907f9,
    0x15fbcfff,0xe88b7147,0xffd01fff,0x42c03205,0x7c0ceffe,0x3ffa02ff,
    0xe80bffe4,0x0bffe4ff,0x3fe4ffe8,0x93ffa02f,0x3fa02fff,0x817ff44f,
    0x05ffd00c,0x17ff4032,0x0d7000c8,0x7ff5ffdc,0x74035c03,0xb717ec6f,
    0x24984fb8,0x57fb13fc,0xb05b8a21,0x3ffa09ff,0x442c0b02,0x7f40ffff,
    0x8bffe03f,0x3fe03ffe,0x80fffa2f,0x3ffa2fff,0xe8bffe03,0x3ffe03ff,
    0x5817ff42,0x2c0bffa0,0x1605ffd0,0x3ee03980,0x0e60030f,0x3ff17fa0,
    0x417ea2dc,0x5c48001c,0x03ff7045,0x81a05ff9,0x81fff305,0xff104ffb,
    0x104ffb8d,0x4ffb8dff,0xfb8dff10,0x8dff104f,0xff104ffb,0x205ff90d,
    0x40bff206,0x40bff206,0x4048dc06,0x1b800ffb,0x8bfd2809,0xf316e0fe,
    0x90006c0b,0x97e25b81,0x3ffb82fc,0xb8160588,0x0ffe80ff,0xfe82ffb8,
    0x82ffb80f,0xffb80ffe,0xb80ffe82,0x0ffe82ff,0xfb82ffb8,0x2e05883f,
    0x205883ff,0x05883ffb,0x901237ea,0xdfa803ff,0x367ee048,0xb717d43f,
    0x32201fb8,0x5c064c03,0x0fb97e25,0x220efe88,0xc803e00d,0x0cfd880f,
    0x6c40bfe2,0x0bfe20cf,0xf1067ec4,0x33f6205f,0x440bfe20,0x3fe20cfd,
    0x41dfd102,0x3fa200d8,0x8803620e,0x03620efe,0x200cff88,0x200bffe8,
    0x2200cff8,0x9b505ecf,0x001dd96e,0x99535795,0x3aa2dc05,0x36201ecb,
    0x501ddeff,0x07405dfb,0xbd99fd90,0x99fd9003,0xfd9003bd,0x9003bd99,
    0x03bd99fd,0xbd99fd90,0xeffd8803,0xfd8801dd,0x8801ddef,0x01ddeffd,
    0x33310010,0x40010013,0x00220008,0x8004c400,0x80011008,0x04000019,
    0x40001300,0x02600009,0x00009800,0x0cc00026,0x00033000,0x000000cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x00400999,0x98000000,0x55440199,0x16640220,
    0x00cc9800,0x00009950,0x2200f2e0,0x332601cc,0x09998800,0x000cca80,
    0x00aa9800,0x22000400,0x993001cc,0x7e445101,0x01bfcdff,0xe8fdc095,
    0x33f62006,0x39ff00c9,0x36f7fae0,0xff301ddf,0x00ff6000,0x4017ffc4,
    0x205f55e8,0x7dc00fe8,0x803fd804,0xd803fea8,0xf9b7402f,0x75bf9103,
    0x8dc005fd,0xff9000d9,0x13ffa00d,0x3ffa33fe,0x35c0f1ff,0x3fe2ffa0,
    0xfffd9000,0xc80ffc0d,0x0fec40ff,0x88003f30,0x27b2003f,0xb7fa806d,
    0x01fc409f,0x06d8017a,0xf100ff20,0xb9ff8807,0x44fe986f,0x8b004fe8,
    0x67c400f9,0x57dc02fa,0x37fe20fc,0xf1fffffc,0x7100bea0,0x26500154,
    0x07fe00bb,0x7c407ff2,0x2001d401,0x83660039,0x711a802c,0x22049801,
    0x000d8004,0x03a807f9,0x7405c530,0x07ff507f,0x00ed8398,0x220698f6,
    0x19512e1e,0x23fffffd,0x0800dd07,0x7c004000,0x02ffd41f,0x4cccc46e,
    0x20999999,0x99999998,0x26620999,0x99999999,0x26666620,0x22099999,
    0x22199999,0x00199999,0x89fe4001,0x44099999,0x26662199,0x27fe4199,
    0x880fff88,0x03fa80c9,0x33310010,0x7ff40333,0xf50f1fff,0x002cc00b,
    0x3ff00b30,0x2004ffc8,0xccdfffa8,0x3ea22ffe,0xffeccdff,0x37ffea22,
    0x222ffecc,0xeccdfffa,0x3fea22ff,0x3fea21ef,0x059801ef,0x7f4cff20,
    0x7ecc0bff,0x3bffea23,0xd017ff41,0x66ec45ff,0x807f884f,0xffa88059,
    0xffb381ef,0x3a1e3fff,0x03f6003f,0x2007ec00,0x17ff41ff,0x217fec00,
    0x2ffd82e9,0x7fec174c,0x7ec174c2,0x74174c2f,0x7ffd03ff,0x4003f600,
    0x3ffe23fc,0x3fa05b03,0x02fff83f,0x8fd93ffa,0x2ff82ffa,0xe8007ec0,
    0xf55883ff,0x21e3ffff,0xff1003ff,0x9ff10009,0x3e21ff80,0xfd8002ff,
    0x6c15c22f,0x415c22ff,0x15c22ffd,0x2e117fec,0xb02ffd82,0xff1005ff,
    0x70ff2009,0x40b10fff,0x7fc42ffd,0x57ff601f,0x05fbb7f8,0x7fc409ff,
    0x05ffb004,0x7fffdcd3,0x03ff88f1,0x001fff90,0x200fffc8,0x1fffc1ff,
    0x717fec00,0x8bff60a2,0x5ffb0513,0xffd8289c,0x7ec144e2,0x05ffb02f,
    0x001fff90,0x7ffd07f9,0x3ff601d8,0x202fff82,0x1df54ffe,0x02ff4027,
    0xb001fff9,0x41f705ff,0x88f1fdb9,0xed8802ff,0x362003ff,0x3fe03ffe,
    0x0027fec1,0x04997fec,0x04997fec,0x04997fec,0x04997fec,0xfd817fec,
    0x7f6c402f,0x83fc803f,0x0930fffa,0xfe82ffd8,0x4bffe03f,0x6c00cffc,
    0xffdb105f,0x05ffb007,0x3c7605fb,0x4dc01ffc,0x2e006ffa,0x3e06ffa9,
    0x037fdc1f,0x755ffec0,0x55ffec04,0x5ffec04e,0x7fec04ea,0x7ec04eab,
    0x05ffb02f,0x06ffa9b8,0xffd03fc8,0xffb00369,0x209ff705,0x3ff26ff8,
    0x704fe805,0xb00dff53,0x09ff05ff,0x27f43c76,0x05fff2c0,0x02fff960,
    0x5ffb03ff,0x77fec240,0x7fec04fe,0x7ec04fee,0x6c04feef,0x404feeff,
    0xffb02ffd,0x3ffe5805,0xa81fe402,0xd802cfff,0x1ffd02ff,0x7d45ff70,
    0x1ff4045f,0x00bffe58,0xff885ffb,0x321e3b05,0xf715405f,0x5c5500df,
    0x03ff06ff,0x7b107ff6,0x1325ffb0,0x1325ffb0,0x1325ffb0,0x1325ffb0,
    0x3605ffb0,0xb8aa02ff,0x1fe406ff,0x200dffb0,0xfd102ffd,0x41ffcc19,
    0x81dadffd,0x2e2a81ff,0x7fec06ff,0xd837fcc2,0x80df10f1,0xfffbaabe,
    0x5d55f401,0x1ff81fff,0x3b3ff6e0,0x25ffb01d,0x3ff60448,0x7ec08912,
    0x6c08912f,0x408912ff,0xffb02ffd,0x5d55f405,0x3f201fff,0x017fea03,
    0x2e017fec,0x02dfdcfe,0x105dfff3,0x2aafa0df,0x3601fffb,0x04fe82ff,
    0x07ec1e3b,0xc9999c98,0x272605ff,0x85ffc999,0x05b001ff,0x5145ffb0,
    0x8a2ffd83,0x517fec1a,0x8bff60d4,0x5ffb06a2,0x4c0bff60,0xffc9999c,
    0xa80ff205,0xffb005ff,0x17ff2005,0x5c011370,0x999c982f,0x3605ffc9,
    0x6c0102ff,0x413a20f1,0x0fff980d,0xfff301b0,0x8801ff81,0x2ffd807e,
    0x7fec0f88,0x7ec0f882,0x6c0f882f,0x40f882ff,0xffb02ffd,0x3e603605,
    0x07f900ff,0xd802ffd4,0x3f6002ff,0x7401603f,0xff301b04,0x0bff601f,
    0x103c7600,0x3a06a83d,0x206a85ff,0x17fc5ffe,0xfe807c80,0x743ed43f,
    0x43ed43ff,0x3ed43ffe,0x36a1fff4,0xd03ffe87,0x40d507ff,0x7fb05ffe,
    0x8037fdc0,0x22003ffe,0x262bdffd,0xd504c803,0xe82fff40,0x1d8003ff,
    0x3ee3700f,0x3fee21cf,0x33fee4ff,0x3fffee21,0x880af324,0x3ee601cb,
    0xfffeefff,0x3fffee66,0x266fffee,0xfeeffffb,0x3fee66ff,0x6fffeeff,
    0x2fbffee6,0x7dfff730,0x8873fee1,0x224ffffb,0xeb982cca,0x7302bfff,
    0x0017dfff,0x130d6544,0xff701a80,0x7ffdc439,0x3ffee64f,0x182000be,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x1ca8003c,0xa800cc00,
    0x04ca80cc,0x980b3220,0x2a2001ee,0x10441c1a,0x88010260,0x3ba602cc,
    0x40104401,0x3bb30020,0xb8035300,0x0265403c,0x014400a8,0x00000980,
    0x4000ef98,0x710058ba,0x74017bdb,0x03fd102f,0xfd01bea0,0x7fd900bf,
    0x88775dd7,0xb109f97f,0xfa803b57,0x037ff406,0x20b7dff7,0x206f99fe,
    0x6fcc0b15,0xfd103fe9,0x00ff4401,0x6c09d3f7,0x37971004,0xc89fffdc,
    0x01d7002f,0x006e1900,0xdd1753f5,0xd100be60,0x803b6009,0x102f99fb,
    0x6ff889fd,0x09f97f98,0x76c01be6,0x3e67ea00,0x7fff9b02,0x1be67fa0,
    0x7fc41658,0x2201ff51,0x0274403f,0x2a0bf2df,0x01dd1006,0x04a8bff6,
    0x4c000320,0x57e805bd,0x01541a27,0x01b00588,0x221260d8,0x5ff707fe,
    0xbc80c110,0x00d805f8,0x8609306c,0x80104019,0xff301dda,0x980bfe63,
    0xf5058804,0x3f117f2d,0x401fd100,0x00325ff8,0x34c00010,0x1d67fc40,
    0x4c004c05,0x20013000,0x13fee009,0x403fff62,0x4fb82009,0x19800cc0,
    0x26003300,0x5c033001,0x01ff31ff,0x80cc004c,0xd8bf76fb,0x03fe8804,
    0x0090ffd8,0x36000598,0xfffe800f,0x66dfd403,0x2eccfa80,0x05d99f50,
    0x20bb33ea,0x46c43ffd,0x5fd42ffe,0xcdea80cd,0xebdc82ff,0xfd7b903f,
    0x3faf7207,0x7fd7b903,0x0ffaf720,0x37627fee,0x19b7f502,0x87fd7b90,
    0x545f96f8,0x9ffa800e,0x2ffe600a,0x07ec0029,0x027fc400,0x817fffd4,
    0x989f35f9,0xf307fa6f,0x3e60ff4d,0xfff07fa6,0x9ffd1d85,0x44f9afcc,
    0x913fe6fa,0x907fea5f,0x907fea5f,0x907fea5f,0x907fea5f,0x707fea5f,
    0x07f913ff,0x913e6bf3,0x907fea5f,0x0fc4dd1f,0xffdffc80,0x0bffd00c,
    0x004ff880,0x800fffc8,0xe85fffe9,0x641ff13f,0xf917f64f,0x3f22fec9,
    0xff897f64,0xffd8722f,0x7fc4ffa4,0x6fd93f60,0x2ffaafec,0x2ffaafec,
    0x2ffaafec,0x2ffaafec,0x2ffaafec,0x5fd0ffdc,0x1ff13fe8,0x2ffaafec,
    0x22641b88,0x22bfd029,0x9ff504ff,0x0fffc800,0x3ffb6200,0xfffb1003,
    0xfccdff89,0xfc93fe1f,0xff927fc7,0x1ff24ff8,0xd0ae5fff,0x66ffc7ff,
    0x93fe1ffc,0x22e20ffd,0x5c42ffd8,0x442ffd88,0x42ffd88b,0x2ffd88b8,
    0x7fec45c4,0xfd0ffdc2,0xfccdff8d,0x3622e21f,0x1d5002ff,0x88be7762,
    0x81bf65ff,0x362001ff,0x2e003ffe,0x2006ffa9,0x3e27ffea,0x309999cf,
    0x87fe49ff,0x3ff24ff9,0x7e49ff30,0x2afffa0f,0xf11fff84,0x2133339f,
    0x3ff24ff9,0x7fdf6440,0xffbec882,0xffbec882,0xffbec882,0xffbec882,
    0xfb0ffdc2,0x4ce7fc4f,0x5f644099,0x1f8802ff,0xf137cfee,0x80ffe4bf,
    0x54dc006b,0xf96006ff,0xba8602ff,0x1bfe1ffa,0x37e49ff0,0x46fc93fe,
    0x71bf24ff,0xff109dff,0x2206ff8f,0x31ff64ff,0x85ff51df,0x2ffa8ef9,
    0x7fd477cc,0x7d477cc2,0x5477cc2f,0x0ffdc2ff,0x06ff8ffb,0x7fd477cc,
    0x7f44c802,0x37fc3ff2,0x0e601ff7,0x17ffcb00,0xdff71540,0x1be752c0,
    0x904c1ffb,0x3227ec9f,0xf913f64f,0x7ec27ec9,0x41ffc80f,0xe8260ffd,
    0xfb17f64f,0xfb0bfea9,0xfb0bfea9,0xfb0bfea9,0xfb0bfea9,0xf70bfea9,
    0x8bf9133f,0xd8260ffd,0x805ff54f,0xf9ff40ea,0xfb9ff61f,0x40048dc6,
    0x01bfee2a,0x3feeaafa,0x2ea5f01f,0x77fd43f8,0xd37cc3aa,0x3a6f983f,
    0xfd37cc1f,0x88bff303,0xeffa81ff,0xd2fcc3aa,0xecfff81f,0x3ffe0bff,
    0x3e0bffec,0x0bffecff,0x3ffb3ffe,0x3b3ffe0b,0x3fee0bff,0x542f9ee9,
    0x7c3aaeff,0x0bffecff,0x7f705d10,0x25fd11be,0x237ea2fd,0x555f4004,
    0x2601fffb,0xffc9999c,0xbbbbfb05,0x17ffee05,0x817e67d4,0x502fccfa,
    0x3605f99f,0xcedbdeb9,0x17ffee01,0x40f66754,0x1bfd3efb,0xdfe9f7dc,
    0x7f4fbee0,0x74fbee0d,0x4fbee0df,0xffd30dfe,0x2e079d73,0xefb85fff,
    0x3201bfd3,0x5f3bd104,0x85d7db30,0x2000cff8,0xfc9999c9,0x2603605f,
    0x2e600fff,0x22003003,0x20011000,0x31066008,0x10018001,0x00000001,
    0x00000000,0x00030000,0x4c00c880,0x04008802,0x7cc06c00,0x206a80ff,
    0x0c405ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6a800000,0xf717ffa0,0x7fdc439f,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1cffb800,
    0x13fffee2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05ec8000,0x43333331,
    0x51019998,0x0a600cc0,0x500cc028,0x22002980,0x5991000a,0x84cccc40,
    0x20999998,0x03300998,0x08220066,0x0d4c0000,0x01331001,0x4cc40cc0,
    0x09998819,0x01999998,0x20a209db,0xa882fffa,0x2e21dfff,0x89ff01df,
    0x3a05fed8,0x103fdc42,0x07fb881f,0x5ed40174,0xbf7003fe,0x8f7ffd40,
    0x20bfffd9,0x83f01ed9,0x701ecbe9,0xf70b7dff,0x207fea1f,0x2dedabda,
    0x3aeb7f20,0x3ffaa02e,0x3fff661e,0x20efdc43,0x86fffff9,0x7c41fffa,
    0x36c6f44f,0x3605ffd0,0x98bff101,0x81720bf0,0xf80fa07f,0x7c017207,
    0x5c00ff34,0x1bfee00f,0x5703fff1,0xf9ba1e60,0x7fff9b06,0x3ea1ff70,
    0x2617c41f,0x44fe982f,0xcd984ff8,0xffe85ffe,0xfb81d81f,0xce83ffff,
    0x37fcc6d8,0xfd01b875,0xa803205f,0x305f700c,0xb83f401f,0xf983f406,
    0x3e5fa800,0x1015c006,0xffd83fff,0x71320584,0x041ff4bf,0x43fee033,
    0x0fe41ffa,0x83ff416c,0x3a1c3ffa,0x7ff6c0ff,0x5740640f,0x1d40aaaa,
    0x05ff8872,0x40bffa00,0xf910000c,0x7402e81f,0x7400f887,0x32005d07,
    0x0005f17f,0x989ff900,0xd02447ff,0x3f65fe85,0xfb802605,0xe83ff50f,
    0x3214c0ef,0x3ffe04ff,0x361bf200,0x0646fff8,0x13000766,0x3fa2ffe0,
    0x82ffd89f,0x01902ffe,0x907dc028,0x7d0fd00b,0x0b90fd00,0x0eeffdc0,
    0x227ffa20,0xff982ffd,0x717ffd47,0x3fe1e603,0x3ea1bf64,0xffb82ecc,
    0xfc83ff50,0x3fa00cff,0x0bffa02f,0xf5580ed8,0x320649ff,0x2a02efff,
    0x7ec0cdbf,0x3ea3ff71,0x02ffe82f,0x5c1c4019,0x007cc953,0x401ae3fc,
    0x0007cc7f,0x6d41fff5,0x47fee0ce,0xffd02ffa,0xb2ffdec5,0x3fe22dc0,
    0xdf31ff64,0x3fee0ff4,0xf883ff50,0xff03ffff,0x27ff405f,0x2c0f7e44,
    0x0325fff7,0x0bffffff,0x713e6bf3,0x4c7fea1f,0x2ffe82ff,0x03a60190,
    0x85d06f26,0x4f32a238,0x883510f8,0x10ba3cca,0xff999107,0xffa86c8d,
    0x2e05ff31,0xff1736ff,0x1740731f,0xffd93fe6,0x5fd93f20,0xffb87fdc,
    0x7fff4c19,0x3ffe20ef,0x217ff601,0x2c1ffffd,0x8327fff6,0xfffffdb8,
    0xff89ff44,0x1ffa9a60,0xffd05ff3,0x3e603205,0x222e4005,0xd13e805e,
    0x8b9009ff,0xd2fc45e8,0x540749ff,0x05ff31ff,0x4327ffe2,0x100cbffd,
    0x24ff881f,0x927fc7fd,0xabffc8ff,0xf702cffe,0xfff89fff,0x413ffa02,
    0x42c3ffe9,0x200ceffe,0x7fc7ffb9,0x221ffccd,0x7cc7fea5,0x02ffe82f,
    0x003ff30b,0x17f607cc,0x6f84cd70,0x3f607cc0,0xff32fe45,0x3ea0755f,
    0x405ff31f,0x3ea5dffc,0x416e05ff,0x99bf64ff,0x83ff24ff,0xfe8dfffc,
    0xff910a1e,0x203ffe8f,0x3e202fff,0x7fc42c5f,0xff9800ff,0x3339ff10,
    0x3fea2813,0xf905ff31,0x3f21a05f,0x7403d50f,0x102fc642,0xd00fe03f,
    0x7c5f8c85,0x2fffdc7f,0x3e63ff50,0x3ffe602f,0xb017ffc1,0xfd97fa07,
    0xdf927fc5,0x40c09bd8,0x5c1ff706,0xdff104ff,0x0589fb00,0x2001fff3,
    0x0037fc6d,0x7fccbfea,0x883ffb82,0xf90ffd85,0x37717209,0x40f601df,
    0x2e2e405a,0x3fa0ef9b,0x97ffec4f,0x4cbfea18,0x37f402ff,0x1f103fe4,
    0x3fe97ee0,0x89fb27e4,0x40fe004f,0x80ffe85f,0x5c0c2ffb,0xff702c1f,
    0x44c80981,0xb8260ffd,0xd19ff31d,0xdfd107ff,0x7cc06c41,0xf301f32f,
    0x3ffffe81,0x22b306b8,0x7f40f981,0x3fee3fff,0xffedaadf,0x3fe60eef,
    0x403ffe8c,0x04f983fb,0x16e881aa,0x74df30df,0x801be21f,0x40fd41ff,
    0x3e20cfd8,0xd06fdc2f,0x7e401f07,0x4433fe20,0xaaeffa85,0xfc97fe23,
    0x80effaef,0x1ddeffd8,0x0eeffae0,0x217e0174,0xfff881f8,0x7c02e80f,
    0x7fff5c45,0x03fff90d,0xdff5dff9,0xe807c401,0xd100f601,0x3ea01db9,
    0x2fc42fcc,0x97dd9d00,0xcfec8039,0xfe981dec,0x7ed42ddf,0xf903a02e,
    0x7dc09bff,0x43fe85ff,0x03300008,0x0e600880,0x40aa0aa0,0x3982aaa9,
    0x06202a80,0x002200c4,0xa80300c0,0x20011000,0x10002008,0x098000c4,
    0x00013100,0x00044010,0x00000803,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15300000,0x33333100,
    0x00620133,0x530006a2,0x2aa20001,0x00820220,0x4c451144,0x4cc09999,
    0x10033019,0x99998035,0x40408099,0x332a000a,0x30013000,0x4ccc4001,
    0x00066620,0xc8808262,0x3333311c,0xb79db103,0x3fee019d,0x5c1fffff,
    0xd704eabe,0x6c403dd5,0x00cedbce,0xfdbdfeb8,0x4cff41dd,0x6a97206f,
    0x02bfffaa,0xabc89fd5,0xf3d704fe,0x7ffecc0d,0xfdafd40b,0xfd001ec2,
    0xd5ffd305,0x7d9109ff,0x4407fffb,0x3f623ffc,0x5dd3000f,0xbf707d7d,
    0x0f7ffd44,0x075407a2,0x7fffffec,0x7f927d46,0x1ff34fb8,0x3aa03d10,
    0x103ff200,0x99fe83fb,0x4c8f606f,0xb807ffd4,0xffb8fd44,0x3fea7cc1,
    0x541ffe60,0x6a85fb5f,0x6405f100,0x85ff35ff,0x15ff15fc,0x5c3ff980,
    0xfe8800ff,0xbd07ff70,0xd10fffa0,0x21577993,0x566fc0e9,0x2ff44faa,
    0x23ff8df5,0x50f445ff,0x01d37579,0x3e203ff9,0xf8010441,0x3ffa0fa2,
    0x3fc81b03,0x5fb8bff3,0x7fcc07f9,0xf1010207,0xb8075001,0x89bfa1ff,
    0x013fe4ff,0xff70ffe6,0x54bfb001,0xb02c43ff,0xf71c85ff,0x8ea1fb19,
    0x7c1f9829,0x44bf51ff,0x91bfa3ff,0x55b8fea3,0x405ffa87,0x2201301b,
    0xaf99afa9,0x4c37fd40,0xff31d983,0x0026fe89,0x0000fff3,0x2e00007b,
    0x89ff60ff,0x813fe3ff,0x5c3ff989,0x3e0130ff,0x00ffe64f,0x2685ffb0,
    0x349f74fa,0x7fe43e40,0x3e61fcaf,0x683ff63f,0x6468e1ba,0xfa8004ff,
    0x7fe42ecc,0x83ffffff,0x00641fff,0x3fa077dc,0x1ffe6007,0xfb13ffd1,
    0xe885a85f,0x2ffd89ff,0xffb07fdc,0xff8afec1,0xfcdefb81,0x6dffdc3f,
    0x27fc44ff,0x7f4c7ff3,0x22ffd81f,0x7ed3ea58,0x09d00362,0x203ffff6,
    0x43ff65ff,0xd809f558,0x000bffa0,0x40ff4df3,0xfc81aa5c,0x7401225f,
    0x3fff2a0e,0x7fcc00cc,0xf51ffb87,0xb80f885f,0x85ff51ff,0x1ff60ffb,
    0x207b6fee,0x7ff90ffa,0xff34ffb8,0xf32ffc47,0x81ffc87f,0xa8ea2ffd,
    0x0e41feef,0x7f403f30,0x1ffc85ff,0xfc9d4dfd,0xff88e403,0x27e4002f,
    0x647b0bfb,0x43ffe204,0x40da800c,0x1eeffeeb,0x543ffcc0,0x05ff31ff,
    0x23ff505d,0x7fdc2ff9,0x2ae1bfa0,0x997fa009,0x07fdc3ff,0x27fe8dfd,
    0x7fdc3ff9,0x222ffd81,0x0fef3ea5,0xb107c80d,0x889fff7b,0x24ffeffc,
    0x680bf558,0x2001fffc,0x89ff24ff,0x9ce99bf9,0xb19ffb00,0xff301200,
    0x1ffe6003,0x7fcc7fea,0xffa85b82,0xfb85ff31,0x42ff88df,0x4ff800fc,
    0xff70ffe6,0xf707fec1,0x70fff23f,0x5ffb03ff,0x3e33ea68,0x4e80b10f,
    0x3fea5fd0,0x0bfe6607,0x58843fcd,0x30027fec,0x87fe49ff,0xfffffffc,
    0x7fff303f,0x3e00a003,0xfff3000f,0x3e63ff50,0xfa87882f,0xb85ff31f,
    0x83ffebff,0x2deffffd,0xff993fe2,0xfb07fdc3,0xbeffc81f,0x0ffdc3ff,
    0x4b217fec,0x75fb8dfc,0x440fcc07,0x03ff61ff,0x52c85fc8,0x2e1b55bb,
    0x0037fdc3,0x26fc93fe,0x9fa99fb8,0x1bffa009,0x10fb0000,0x37fcd3ea,
    0xff98ffd4,0xffa85d02,0xfb85ff31,0x7fc4030f,0x3e0fffff,0x70ffe65f,
    0x837ec1ff,0xb87ff318,0x2ffd81ff,0x84ccd6c4,0x3dc05b99,0x3ee1ff88,
    0x4417e605,0x5a86a22d,0x2405ffb0,0x44fd93f2,0x5401ae5c,0x5b3002ff,
    0x55fffb10,0x4dff63b5,0x2ffa85ff,0x13205ff3,0x3fe65ff5,0x4007fdc2,
    0xfdaaaaeb,0xff99bf63,0xfd0ffdc3,0x87ff3009,0xffd81ffb,0x440ad882,
    0x204e805b,0x40bf23fc,0x56c405f9,0x3602dc40,0x21ec41ff,0xb07fa6f9,
    0xdf002647,0x207ff400,0xfffff89b,0x7fd53e66,0xe8cff982,0x98f303ff,
    0x3ffe8cff,0x2200ffe4,0x2e0f983f,0x4ffe99ff,0xef897fdc,0x43ff9800,
    0xffe81ffc,0xd9db7103,0x05f3007b,0x1665f5c4,0x8800ddd4,0x03decedb,
    0xbd9ffb70,0x3f33ea03,0x00fa1f82,0x3f2003c8,0xfbddd986,0x766dc2ef,
    0x3bff203e,0x3f00effa,0xffaeffc8,0x17ffd10e,0xcbbdfb80,0xaeffc81d,
    0x2fae1dff,0x8801ddbe,0xfd30dffb,0x3fee61bf,0x00c00bef,0x00800620,
    0x00c00002,0x88006600,0x00130600,0x80200044,0x11006208,0x30002200,
    0x98801103,0x33000999,0x80431003,0x310004c0,0x00001333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0c155510,0x99826666,0x33103500,0x33333333,0x4ccccc41,
    0x33333311,0x26200200,0x10019999,0x98333333,0x26621999,0x004ccc41,
    0x06a05100,0x80013331,0x441a8008,0x00999999,0x26666662,0x33109999,
    0x99980133,0x1100c099,0x9ff70060,0xc8b9bf95,0x0fea1fff,0x441dfff7,
    0xeccdfffa,0x3fea22ff,0xfff711ef,0x00b3003b,0xf9bfff71,0x3ea207df,
    0x7f4c1eff,0x87ffa22d,0x0002ffd8,0x1ff50fd1,0x8017fec4,0xbb103fc9,
    0x7fd44df5,0x2a2009df,0xfdccdfff,0xffff513f,0x3bffe601,0x6413fe0a,
    0xe884fe81,0xd0bf706f,0x7cc588ff,0xfd86ffff,0x6c174c2f,0x1fff83ff,
    0x2001fb00,0x3fee1ffe,0x20fff605,0x3ff703f8,0x0002ffa8,0x1ff70ffb,
    0x4c02ffa8,0xf703fffc,0xffd0bf19,0x1ffec007,0xffdb0f62,0x13ff7207,
    0x3f50bff1,0xfd86ff88,0x2e17601f,0x190aa2ff,0xfb07ffea,0xd82b845f,
    0x1fff83ff,0x004ff880,0xfff83ffd,0x887ffb00,0x07fee01e,0x50005ff5,
    0x206a0fff,0xf7002ffa,0x013fa07f,0x6c005ffb,0x6c3983ff,0xcd886ffa,
    0x41db83ff,0x1db81ffb,0x2202ffd4,0x165ff885,0xd81ffb02,0x4144e2ff,
    0xfff83ffd,0x0fffc801,0x6c1ffe80,0x7ffb02ff,0x3ee006cc,0x017fd41f,
    0x01ff7620,0x0265ff50,0xff03ffa8,0x02ffd809,0x228fff60,0x42fffac1,
    0x003ffcab,0x05ddffd5,0x1009ffb0,0x1223ff60,0x3f61bee0,0xfd80932f,
    0x01fff83f,0x01fff6c4,0x3fe0fff4,0x27ffb00f,0x3ff7005b,0xfd32ffa8,
    0x3f636019,0x20fff4c7,0x5ffdbffa,0xe987ff50,0x3f605fff,0x3ff6002f,
    0xff958163,0x07ff958b,0x000ffdc0,0x40007fff,0x802bbffa,0xbffd83fd,
    0x7fec04ea,0xfff9999b,0x7fd4dc01,0x21ffe806,0x3f604ffb,0x7005fcbf,
    0x2ffa83ff,0xfb2c80b6,0xa83ff90f,0x1ffa8eff,0xff03ffa8,0x02ffd809,
    0x2e2fff60,0x7ffc5607,0x0fff2730,0x001ffb80,0x0005fff1,0xf005eff8,
    0x3bbff60d,0x6ffec04f,0x1fffcccc,0x05fff2c0,0xfeedffe8,0x7ffec02e,
    0xfb804fff,0xc97fd41f,0x7fd92a01,0x7d41ffb8,0x505ff32f,0x13fe07ff,
    0x4005ffb0,0x07ffeffd,0x194ffd96,0xdb10fff2,0xc81ffb83,0x41fffc2e,
    0xd0cccccb,0xdddffddd,0x6c03ee0b,0xd80992ff,0x1fff83ff,0x6ffb8aa0,
    0x7dcfff40,0x7fec00ff,0x402fffbb,0x7fd41ffb,0x8b100fca,0x1ffb87fd,
    0xff997fd4,0xf03ffa83,0x2ffd809f,0x54fff600,0xfff99607,0x50fff248,
    0x1ffb8dff,0x3f637fcc,0x0dff904f,0x22017fd4,0x4bff601f,0x3ff60448,
    0x201fff83,0xfffbaabe,0x6c7ffa01,0x7fec05ff,0x401fff93,0x7fd41ffb,
    0xff705ffe,0x41ffffff,0x7fd41ffb,0xf507ff32,0x013fe07f,0x20c05ffb,
    0x58123ffd,0xf90f7ff4,0x47ff887f,0x3fe81ffb,0xfb82ffdc,0x7ee6645f,
    0x1e83ccdf,0x28bff614,0x07ffb06a,0x32603fff,0x5ffc9999,0x7c47ffa0,
    0x3ff603ff,0x403bffa3,0x7fd41ffb,0xfb82ffcb,0x0fffffff,0xff507fee,
    0x2a0ffe65,0x09ff03ff,0x5502ffd8,0x8063ffd8,0x3237fd45,0xa8b103ff,
    0x360101ff,0x5ffb81ff,0x5ffdcccc,0x66764099,0x17fec5cc,0x3ff607c4,
    0xb01fff83,0x01fff301,0xffa87ffa,0x47ffb01f,0xf705fff8,0xd2ffa83f,
    0xffb001ff,0xfa83ff70,0x507ff32f,0x13fe07ff,0x3605ffb0,0x801ffec2,
    0x7e42ff85,0xf987703f,0xd1000aaf,0x0bff70df,0xfb81ffdc,0x743fffff,
    0x43ed43ff,0xfff83ffd,0x3fa06a81,0x85ffd05f,0xfd80effd,0x2fffdc3f,
    0x3ea0ffe4,0x00bff32f,0x3ff90ffb,0xff32ffa8,0x107ff709,0xffe80bff,
    0x7ec1fc83,0xb81d003f,0xa84ffd87,0x007ff902,0xd77bfd50,0xff73039d,
    0x7fcc17df,0x732fffff,0xffddffff,0x7ffdccdf,0xfffca8be,0x873fee2e,
    0x24ffffb8,0x22efffc9,0x731effe8,0x3227dfff,0xd31dffff,0x3fa21bff,
    0xdfff88ef,0xd31ff600,0x3fa21bff,0x1effd8ef,0x17fffd73,0x20ffff22,
    0xeeffffb9,0xf730fffe,0x26017dff,0x98e22dfc,0x10bffffb,0x20000001,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33107754,0xcb801333,
    0x99999883,0x26666201,0x01980009,0x26666666,0x26662199,0x0ccc4099,
    0x43333331,0x04409999,0x31020c01,0x30033333,0x33333333,0x26662133,
    0x44000099,0x99999999,0x26662199,0x01999999,0x4c026133,0x0cc00cc1,
    0x3e2084c0,0x3fea24ff,0x40bffedf,0x7d440ff8,0x2e201dff,0xcdeddfff,
    0x3bafea00,0x666ffd41,0x3a65fffc,0x6cc0bfff,0x3fff623f,0x873fa61e,
    0x45fb8ff8,0x42ccffe8,0xfddfffa8,0x6ffcc1ef,0xfecdfffc,0xbbfff513,
    0x880019bd,0xdcdffffb,0x0c0067fe,0x133ef3ea,0x3affaf2e,0xbdc81dcc,
    0xdbea83fe,0x3ee3b23e,0xfa97fec0,0xd03f984f,0x3fe003ff,0x203bf61f,
    0xa8df75f9,0x07ffdc0e,0x6c0fffe2,0xb0dffd02,0xf71ff109,0xfffdca8b,
    0x223ffd00,0x83e62ffe,0xd0f60fff,0x0ffec5ff,0x3ffb2a00,0x20033dc2,
    0x2fe9fe21,0x6ff98fd4,0x52fc83fe,0x326e83ff,0x21d41913,0x3ffe2ffc,
    0xffb04980,0xffe80135,0x320fff41,0x1b8df13f,0xb81fffc4,0x205887ff,
    0x16a3fff9,0x88602088,0x70ffec02,0x3e1ccbff,0xfb0e20ff,0x01ffd85f,
    0x8bffa360,0x21800cd0,0xb1ffa6fb,0xd93fe29f,0x7d57f63f,0x437fe22f,
    0x17fe4002,0xd8005ffb,0x03ffcdff,0xffc83ffd,0x0601ff45,0xfd01bff6,
    0x6401d87f,0x00589fff,0x36018800,0x9bfea1ff,0x207ffc08,0x2e17fec0,
    0x257006ff,0x8a512ffe,0xaff43001,0x2e20ffdc,0xb55bff70,0x6c45c49f,
    0x77ff42ff,0x40fff4c1,0x3ffe2ffc,0x207ffa60,0xbff51ffd,0xfa83ffd0,
    0x013fe27f,0x803fff50,0x0930fffa,0x037bffa0,0x443ffd30,0x5ffdbffd,
    0x7ec3ffb0,0x07ffc02f,0xf50bff60,0x258801ff,0x30572ffe,0x6ffc4600,
    0xb81ffb9b,0x999dff9e,0x7df64409,0x7fffcc2f,0x640ffe41,0x09ff72ff,
    0xffb03ff9,0x3a07ffc3,0x7ffcc1ff,0x8801bfe1,0xfd004fff,0x4c00369f,
    0xf9004fff,0x9fffa83f,0xffd81ffb,0x801dfdab,0xd3100fff,0x3e2337ff,
    0xd06c02ff,0x305d55ff,0x2fff8600,0x0fe88ff9,0xef980fff,0xe882ffa8,
    0x0ffdc5ff,0x6f7f7fe4,0xb03ff701,0x17ff43ff,0x3fe07ffa,0x10bff23f,
    0x003fff20,0x0167ffd4,0x007ffee0,0xff507fee,0x360bfe65,0x1dfecdff,
    0x300fff80,0x1559ffd5,0xda80fffe,0xedffeaaa,0x4300182f,0x91bf26fd,
    0x20ffec9f,0x7fd53f61,0xb8ff9242,0x2ffc81ff,0xb03ff700,0x07ffc3ff,
    0xff107ffa,0x5fffcc5f,0x5fff304a,0x06ffd800,0x06fffa80,0x7d41ffb8,
    0xb07ff32f,0x27fe43ff,0xb003ffe0,0x5fff05ff,0x2aaab620,0x305b2ffe,
    0x27fa8600,0x57ffc1fe,0xc9bfffda,0x3fb3ffe0,0x7c47e0bf,0x640ffdc5,
    0xff7002ff,0x2a3ffb03,0x1ffe84ff,0x2e07ffc4,0xfd00dfff,0xfa80a0bf,
    0x46cc005f,0x7dc04fff,0x997fd41f,0x1ffd83ff,0xf803ffe2,0x7fec00ff,
    0x80fffc42,0x32ffe81c,0x23001845,0x2ecdeac8,0xf53fffc8,0xefb83dff,
    0x77c1bfd3,0x7fdc0edc,0x002ffc81,0xffb03ff7,0x3a05bddd,0x2ffd41ff,
    0x7fdc01d0,0x2a05880f,0x962005ff,0x2e01fffb,0x97fd41ff,0xffd83ff9,
    0xf017ffc1,0xffd801ff,0x9837fcc2,0x0c5ffd04,0x880c0069,0x08804400,
    0x01108000,0x3f607fee,0x3ff7002f,0x2003ffb0,0x7ff41ffe,0x220df301,
    0x09703fff,0x8802ffd4,0x037fec0d,0xffa83ff7,0xfb07ff32,0x03ffc43f,
    0xfb003ffe,0x01ffd85f,0x417ff40b,0x00600358,0x00000000,0x207ff200,
    0xf9003ffd,0x05ffd03f,0x6ccbffe0,0x836c01ef,0xfd886ffd,0x01bfee03,
    0x7ffc426c,0xa83ff904,0x07ff33ff,0x7fec5ffd,0x00fffc03,0x7e4cbffa,
    0x7407902f,0x9a7cc2ff,0xaaaaaaab,0x0000003a,0x74c00000,0xff730dff,
    0x74c015df,0xff730dff,0x7e4c05df,0x0adfefff,0x2a032e20,0xeeeeefff,
    0xeb983fff,0xd702bfff,0x3f2217df,0x3a60cfff,0xffd10dff,0x23dffb1d,
    0xfeffffb9,0x3f2a01de,0xfb982dff,0x0bdfefff,0x223efc88,0xeeffffca,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98019800,0x00000000,
    0xd1000980,0x00080001,0x00000008,0x800000ec,0x00188018,0x00131062,
    0x0b234400,0x24a806cc,0x303880e8,0x13003303,0x1eebfa80,0x20cdbfa8,
    0xfd89ffe8,0x27ffee2f,0xe98cffe8,0x2eccfa84,0x80007c40,0x9fff57c9,
    0x1764bf22,0xcda8eb80,0x0be03e8a,0x7fe66fc4,0x37ffb11f,0x3ff625ff,
    0x6c45ffdb,0x8effdbff,0x74c2fffb,0x0bfb8eff,0x40d71744,0xb8fa01fa,
    0x7cc4f886,0x7c406f83,0x7dd7e605,0x4f9afcc6,0xffa8ffdc,0xf987fec2,
    0xdf30364f,0x1f100ff4,0x1dfea800,0x24a8bff6,0x201cffb8,0xffccffe8,
    0x48817c05,0xff317fea,0x7d45fdb9,0x41ffb9ff,0xff88effa,0xf10dfd2e,
    0x3740aedf,0xa80003f5,0x3e617e2f,0xd8447f34,0x3fdb0115,0x37c4ff20,
    0x07fc4ffa,0x3fe63ff5,0xfa9ffcc2,0x9f90917f,0x1f102fec,0x17ff9100,
    0x0649ff10,0xb02dfda8,0x2027441b,0x3e21102f,0x37fcc0ff,0xf32ffa81,
    0x23ff985f,0x41ff65ff,0xfb04cffb,0x33117ea5,0x13333333,0x09f71fe8,
    0xfd87fbf3,0x4c5fbaab,0x7fd06d9f,0xfccdff80,0x4c7fea1f,0x96fe82ff,
    0xf0353ff7,0x313fe49f,0x3333f533,0x016fed41,0x80487fec,0xf10cffc8,
    0x4cc4d503,0x1999bf99,0xf983ffc8,0x4bfea04f,0x7fcc3ff9,0x7fc97fe3,
    0x2a03ffa0,0xfd0bfe7f,0xffffffff,0xff16fb8b,0x930df705,0xe8399999,
    0xff885f14,0x273fe204,0x3fea0999,0xf705ff31,0x99ff175f,0x7e49ff30,
    0xfffffd0f,0x3f2bffff,0x3fea002f,0x3a2001bb,0x3e20f37f,0xffffff90,
    0xff98ffff,0x407ff306,0x7ff32ffa,0x3fe3ff98,0xfa81ff25,0x267fb04f,
    0xfd00006f,0x3e613ee3,0x399504fc,0x43641f50,0x37fc06ff,0x7cc7fea0,
    0x0fff882f,0x3fe07ffb,0xf881bf24,0x0bbf6a00,0x8027ff40,0x3e0befd9,
    0x17c06b82,0x4c07ff60,0x3fea03ff,0xf987ff32,0xfc97fe3f,0x03ffe207,
    0x805f53ec,0xbf17d401,0x13e67f30,0xe87f55f7,0x3f21fc43,0x1ffb042f,
    0x25ff504c,0xbfb02ff9,0xfc80ffd4,0xf8813f64,0xcffc8800,0x00bfee00,
    0x3203bfd7,0xf013a20e,0x32ffd405,0x501ffcc5,0x0ffe65ff,0x2ffc7ff3,
    0x7d6c0ff9,0x6b8fa04f,0x2e80bea0,0x30fe616e,0x3f8b5c9f,0x26254126,
    0x544abfff,0x4c3aaeff,0x3ffe8cff,0x06f85f50,0x01fe9be6,0xb50003e2,
    0x0ff105bf,0x802fff22,0xffddffe8,0x440be00e,0x43d10fff,0x3ea03ffa,
    0xa87ff33f,0xd9bfe3ff,0xfd1c80ff,0x591a203f,0x1d402e20,0x098140b1,
    0x7dc00000,0xffb80dff,0x5dff905f,0x1f101dff,0x67d403c8,0x6665c2fc,
    0x03ccccfd,0x0f20f930,0xdb8016e4,0x2e8accb8,0x7fe40be0,0xb10ffede,
    0xfd103dff,0x3dffb1df,0x2e3bff62,0xfffaafff,0x362ff664,0x00001eff,
    0x00000000,0x01300000,0x00110030,0x22000808,0x99999700,0x00079999,
    0x00000020,0x0001c800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64c00000,0x931e5c1c,0x3e219999,
    0xffffffff,0x2eeeee27,0x0003bbbb,0x00000000,0x00000000,0x20150620,
    0x4c06601a,0x054c0a01,0x80c41764,0x37776e0a,0x2e5ddddd,0xeeeeeeee,
    0x4c08046e,0x02380bed,0x7e43eb81,0xff70ffc4,0x4ccc1fff,0x21999999,
    0xeeeeeee8,0x000006ee,0x00000000,0x10000000,0x83fea5ff,0x740efff9,
    0x2ff6c4ff,0x8e88ff71,0x1ffe60fc,0x7d43d199,0x2eeeee67,0x2e67cbbb,
    0xbbbbbbbb,0x8b113f23,0x8adffdce,0x3fa7f73b,0x9f21ffe0,0x5ddcc1fa,
    0x0000003b,0x00000000,0x00000000,0x7fcc0000,0xa7c1ff73,0x3e2666d8,
    0x742f4267,0x0fdc74c7,0x9fc47ffa,0x003fee4e,0x7c000798,0x1a9fd47f,
    0x437ffaa2,0x6c3fd4fc,0x06e1904f,0x00000000,0x00000000,0x00000000,
    0x1ff80000,0x223ccff5,0xfa85e80f,0xcc987e82,0x97d4d01f,0x001fea7d,
    0x666654f3,0x2e4ccccc,0x009fc43f,0x80886022,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32fc4fb0,0x2607cc1f,0x07fe440e,0xf53f31fa,
    0x9fc49303,0x0013e24e,0x66665491,0x404ccccc,0x000003c9,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd87d16e0,0x6c44d98d,0x40fb8188,
    0x7e6fd47e,0x465c1cc3,0x0001741e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc8730000,0x067fecc1,0x2e3fddd1,0x87f8598b,
    0x03002020,0x00000032,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80880000,0x3264ccca,0x5e65441b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_22_latin1_x[224]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_22_latin1_y[224]={ 17,3,3,3,3,3,3,3,3,3,3,5,14,11,
14,3,3,3,3,3,3,3,3,3,3,3,7,7,5,8,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,7,3,3,5,3,
3,3,3,3,3,8,8,11,3,1,3,5,3,3,3,7,3,8,16,3,3,8,3,3,3,7,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,6,3,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__times_bold_22_latin1_w[224]={ 0,4,9,10,10,18,16,4,7,6,8,11,5,7,
5,6,10,8,9,9,10,10,10,10,10,10,4,5,11,11,11,8,19,15,13,14,14,13,12,16,16,8,10,16,
13,19,14,15,12,15,15,10,13,15,15,20,15,15,13,4,6,5,10,12,5,10,11,9,11,9,9,10,11,6,
6,12,6,17,11,10,11,11,9,8,7,11,10,15,10,10,9,6,2,7,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,8,10,10,10,
2,10,7,15,7,10,12,7,15,12,8,11,6,6,5,12,11,5,4,6,7,10,15,15,15,8,15,15,15,15,
15,15,20,14,13,13,13,13,8,8,8,8,14,14,15,15,15,15,15,9,15,15,15,15,15,15,12,11,10,10,
10,10,10,10,14,9,9,9,9,9,7,6,7,7,10,11,10,10,10,10,10,11,10,11,11,11,11,10,11,10,
 };
static unsigned short stb__times_bold_22_latin1_h[224]={ 0,15,8,15,16,15,15,7,18,18,9,11,7,3,
4,15,15,14,14,15,14,15,15,15,15,15,11,14,11,5,11,15,19,14,14,15,14,14,14,15,14,14,15,14,
14,14,15,15,14,18,14,15,14,15,15,15,14,14,14,18,15,18,8,2,4,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,11,11,10,15,10,19,19,19,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,15,11,14,
19,19,4,15,7,9,5,3,15,2,8,11,8,8,4,15,19,5,5,8,7,9,15,15,15,15,18,18,18,18,
18,17,14,18,18,18,18,18,18,18,18,18,14,19,19,19,19,19,19,9,15,19,19,19,19,18,14,15,15,15,
15,15,15,15,11,14,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,9,11,15,15,15,15,19,19,19,
 };
static unsigned short stb__times_bold_22_latin1_s[224]={ 253,251,1,92,33,212,86,63,13,219,235,
118,49,142,124,136,143,169,29,205,139,230,231,17,28,39,249,235,72,81,95,
119,60,70,134,66,43,39,202,1,53,247,139,102,188,215,215,189,9,194,86,
178,148,13,103,115,98,82,68,53,162,163,244,150,130,236,216,1,204,11,178,
193,157,150,35,126,119,162,150,49,181,228,140,247,241,21,84,33,180,242,130,
42,49,52,104,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,253,251,210,
128,107,18,80,83,116,50,41,191,68,142,1,163,11,60,20,27,136,165,1,
93,99,34,55,214,70,54,38,29,147,1,226,37,21,17,177,58,73,87,101,
115,129,138,242,185,162,110,125,141,157,173,189,225,87,205,221,237,94,169,30,
179,201,124,135,146,157,168,221,58,191,44,241,103,22,240,1,114,113,122,54,
65,76,154,81,202,210,103,169,1,150,24,12,1, };
static unsigned short stb__times_bold_22_latin1_t[224]={ 1,60,135,76,41,41,60,135,21,21,123,
123,135,134,135,60,60,92,92,60,92,60,41,76,76,76,92,92,123,135,123,
76,1,92,108,76,108,92,92,92,92,76,76,92,92,92,60,60,108,21,92,
60,108,60,76,60,108,108,108,21,76,21,123,134,134,108,76,123,76,123,92,
76,92,92,1,92,92,123,123,123,76,76,123,108,92,123,123,123,123,41,123,
1,1,1,135,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,1,21,21,
76,123,92,1,1,135,76,135,123,135,134,76,134,135,123,135,135,134,60,21,
135,135,135,135,123,60,60,60,60,21,41,21,21,21,41,108,21,21,21,21,
21,21,21,21,21,108,1,1,1,1,1,1,123,41,1,1,1,1,21,108,
41,41,41,41,41,41,41,108,108,41,41,60,41,108,76,108,108,41,108,41,
41,41,60,76,123,108,60,76,60,76,1,1,1, };
static unsigned short stb__times_bold_22_latin1_a[224]={ 79,106,176,159,159,318,265,88,
106,106,159,181,79,106,79,88,159,159,159,159,159,159,159,159,
159,159,106,106,181,181,181,159,296,230,212,230,230,212,194,247,
247,124,159,247,212,300,230,247,194,247,230,177,212,230,230,318,
230,230,212,106,88,106,185,159,106,159,177,141,177,141,106,159,
177,88,106,177,88,265,177,159,177,177,141,124,106,177,159,230,
159,159,141,125,70,125,165,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,79,106,159,159,159,159,70,159,
106,237,95,159,181,106,237,159,127,174,95,95,106,183,172,79,
106,95,105,159,238,238,238,159,230,230,230,230,230,230,318,230,
212,212,212,212,124,124,124,124,230,230,247,247,247,247,247,181,
247,230,230,230,230,230,194,177,159,159,159,159,159,159,230,141,
141,141,141,141,88,88,88,88,159,177,159,159,159,159,159,174,
159,177,177,177,177,159,177,159, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_22_latin1(stb_fontchar font[STB_FONT_times_bold_22_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_22_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_22_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_22_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_22_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_22_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_22_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_22_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_22_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_22_latin1_s[i] + stb__times_bold_22_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_22_latin1_t[i] + stb__times_bold_22_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_22_latin1_x[i];
            font[i].y0 = stb__times_bold_22_latin1_y[i];
            font[i].x1 = stb__times_bold_22_latin1_x[i] + stb__times_bold_22_latin1_w[i];
            font[i].y1 = stb__times_bold_22_latin1_y[i] + stb__times_bold_22_latin1_h[i];
            font[i].advance_int = (stb__times_bold_22_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_22_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_22_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_22_latin1_s[i] + stb__times_bold_22_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_22_latin1_t[i] + stb__times_bold_22_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_22_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_22_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_22_latin1_x[i] + stb__times_bold_22_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_22_latin1_y[i] + stb__times_bold_22_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_22_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_22_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_22_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_22_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_22_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_22_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_22_latin1_LINE_SPACING
#endif

