// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT        164
#define STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_24_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_24_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_24_latin1_LINE_SPACING          16

static unsigned int stb__times_bold_24_latin1_pixels[]={
    0x00133100,0x00026620,0x10000333,0x26200013,0x99800009,0x0a82a000,
    0xc989dd00,0x4a0002cc,0x515c4049,0x02b2a001,0xaaaa9988,0x1433101a,
    0x0000cc40,0x40015973,0x801262b8,0xb0000efd,0xfa8001df,0x3e20001f,
    0xe88000ff,0x7dc0004f,0x2ff7005f,0xefa806fb,0x004ffc80,0x40f51d98,
    0x06dffff8,0x1fb8afa8,0x577ffec4,0xff8809fc,0xfa80b624,0xbb71002f,
    0x00f2a237,0x03d47ff2,0x0000ef88,0x5c0003fe,0x3f60004f,0xf10004fe,
    0x7fc4000f,0x6fb801fe,0x1db00df7,0x0013fea0,0x503d43f3,0x007fff99,
    0xd137ccbd,0x1a6bffff,0x2f885fa8,0x2a017ea0,0x403a802e,0x00f50ffc,
    0xa80003ae,0x3dc0001f,0xf72f9800,0x0be60001,0x6d8f6400,0xb0018300,
    0x027fd401,0x07a8bf10,0xf3001306,0xff937c4d,0x8166bfff,0x807f205d,
    0x07aa00fa,0x2a203980,0x04c01ea1,0x00026000,0x64000540,0x30001d41,
    0x81b10003,0x0000001c,0x0093fea0,0x99ea17ec,0xa981aaaa,0x6ffc42aa,
    0xffffe810,0x0140b35f,0x01301be2,0x900407e2,0x203d4001,0x009aba98,
    0x2aaaaaa6,0x42aaaa62,0x2aaaaaa9,0x802aaaa6,0x009aba98,0x4d5d4c40,
    0x2aaaa600,0x2aaa62aa,0x19ddd70a,0x775c7766,0x43bb30ce,0xdffbcffa,
    0x540ff881,0x3fffee27,0x40efd440,0xff81effc,0x8b35ffff,0x2aaaaaa9,
    0x2aa62fe8,0x1ec2aaaa,0x2f5e6f44,0x3ddb5051,0xaefb81ea,0x2603feb9,
    0x4c41fffe,0x7ff4c0df,0x06fcc41f,0xd735df70,0x3bee007f,0x203feb9a,
    0x441fffe9,0x7fec0df9,0x3ff61e44,0x3fea1e44,0x40efe9be,0xc87a86fc,
    0x05b06fff,0x3617fffc,0xb35fffff,0x05fffd10,0xffd11bf6,0xf981f05f,
    0x0389ff76,0x21ea3ffb,0x7c40efe8,0xdffb00ef,0xffd816c0,0x7440b606,
    0x77fc40ef,0x81dfd100,0xfb00eff8,0x4c16c0df,0x2606c7ff,0x2a06c7ff,
    0x13fea5ff,0x90f50dfd,0x3709fffd,0x3ffeef60,0x3ffffee3,0x3ff20b35,
    0x321ff207,0x446987ff,0x85ff71ff,0x2a3ffb04,0x502ffd87,0x3ff209ff,
    0x7e407206,0x6c07206f,0x9ff502ff,0x540bff60,0xdff904ff,0xffd80e40,
    0x3ff60912,0x9ff50912,0x3fe37fc4,0x3fa72005,0x5c0dc3ff,0x447ffa67,
    0xb35ffffe,0xb81bfee0,0x37fdc0ff,0xc97f625c,0xfd81c0ff,0xffa8f51f,
    0x3fff100f,0x640dff90,0x40dff901,0x0fffa81c,0xa83fff10,0xff100fff,
    0x0dff903f,0x5ff980e4,0x57fe6037,0x44ffa81b,0x17fe27ff,0xfff88c80,
    0x1fa06e1f,0xffd89fd1,0x3ee0b35f,0x07fee06f,0x45b0dff7,0x17fa2ff8,
    0x47ff6053,0x037fec7a,0x3f213ffa,0x6407206f,0x207206ff,0x7f406ffd,
    0x037fec4f,0x3f213ffa,0xe807206f,0x7f4059ff,0x9ff5059f,0x2ffc7ff8,
    0x3fe61900,0xfd0370ff,0x9305f88b,0x7fdc166b,0x707fee06,0x5c1f0dff,
    0x87ff50ff,0x23ffb00a,0x02fff47a,0x3f21bffa,0x6407206f,0x207206ff,
    0x7f405ffe,0x02fff46f,0x3f21bffa,0xb807206f,0x7dc03eff,0x9ff503ef,
    0x3fa37fc4,0xfb832005,0xf50375ff,0x301fc1bf,0x7fdc166b,0x703fee06,
    0x6c3d0dff,0x887ffa7f,0x547ff604,0x017ffe27,0xff90fffb,0xfc80e40d,
    0xf107206f,0xffd80bff,0x017ffe27,0xff90fffb,0x3e00e40d,0xfff800ff,
    0x4c9ff500,0x437ec4ff,0x7e40c87a,0xfb01bcff,0x980973ff,0x3fee0b35,
    0x2e1ff206,0x3a2c86ff,0x47fcc8ff,0x47ff600c,0x02fffc7a,0x3f21fffa,
    0x6407206f,0x207206ff,0x7f405fff,0x02fffc7f,0x3f21fffa,0x9007206f,
    0x17f200bf,0xf93fffa8,0xa87fb81f,0xffe80c87,0x3fee01ef,0xb359806f,
    0xd81bfee0,0x86ffb85f,0x2bfff23b,0x221916fb,0xf51ffd82,0x7c06ffe8,
    0x6ffc86ff,0x7fe40720,0x3fa07206,0x37ffc06f,0xff01bffa,0x0dff90df,
    0x0be200e4,0xf5017c40,0x03dffb9f,0x90f503fe,0x3ffff101,0x02fffa80,
    0xf7059acc,0x40ff40df,0x26886ffb,0x9fb11ee9,0xffd82417,0x7ffc8f51,
    0x6427ffc0,0x407606ff,0x07606ffc,0xff01fff2,0x07ffc89f,0x7e427ffc,
    0x2007606f,0x2a02c005,0xb80114ff,0x0643d43f,0x801fff98,0xacc07fe8,
    0x0dff7059,0x7fdc17e6,0x20009506,0x23ffb029,0x07ffc47a,0xa80fff98,
    0xa81a07ff,0x441a07ff,0xff300fff,0x0fff881f,0x501fff30,0x98340fff,
    0x11980711,0x04ffa807,0x21ea3ec0,0x07fea01c,0x0ff887f4,0xb82cd660,
    0x01db06ff,0x1d81bfee,0xc841cc00,0xf90f50ff,0x0fff609f,0x4c07ffc4,
    0x03ffe205,0x4ffc8166,0x3207ffb0,0x7ffb04ff,0x203ffe20,0x197f9859,
    0x00cbfcc0,0x40027fd4,0x0fa1ea3e,0x3fe03f90,0x2b301ba0,0x0dff7059,
    0x7fdc01f3,0xb801e406,0x7fb9fb83,0x0ffdc1ea,0xf900bfea,0x400e98bf,
    0x074c5ffc,0xf507fee0,0x1ffb805f,0x32017fd4,0x4074c5ff,0x4403cff8,
    0xfb803cff,0x2770004f,0x33ff6a7a,0x7dc07600,0x4c01fb8a,0x3ff20b35,
    0x32006547,0xad9807ff,0x03973109,0xa8bf2be6,0x2f7f6607,0xf7001dfd,
    0x0019ddff,0x33bbffee,0x7bfb3000,0x26003bfb,0x1dfdbdfd,0xddfff700,
    0x00e4c019,0xc9801c98,0x10002ccc,0x08800126,0x002f2e20,0x2e61c4e2,
    0x012dffff,0xdffffb98,0xbcba9802,0x1bb9800a,0x0988024c,0x00262000,
    0x00009880,0x200004c4,0x22000098,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01439300,0x20002660,
    0x4cc00099,0x01988000,0x2e217100,0x00998000,0x0abca880,0x000cc406,
    0x4c40164c,0x4002b201,0x80006e1b,0x8e600998,0x65d44039,0x2aa200ab,
    0x1cc7302a,0xdefffa80,0x03fec004,0x801bfea0,0xd8001ffb,0xfd8002ff,
    0xa800bfd5,0x3aa006ff,0xeefcacef,0x007ff303,0xff8017e4,0x007f6205,
    0x1ff71ff5,0x017fe000,0x07ff17ff,0x3aa6bbee,0x1ff2203f,0x03ff9ffc,
    0x1fffdbc8,0x002fd800,0x400bfbfa,0xfa8002fd,0xfc8006fe,0xe8007f94,
    0xfa802fef,0x407f904f,0xbf5005fa,0x2017ea00,0xb7cc07f8,0xf30006f9,
    0x3a5fd00b,0x07ff441f,0x5403bfa2,0x3a5fd07f,0x0621802f,0x2009b000,
    0x100db1eb,0x57a0005f,0x408003f9,0xc8fdc000,0x02ffd406,0x0fa807f1,
    0x9004fc80,0x07fe200b,0x20000810,0x0102006c,0x3ea05ffb,0x40ff504f,
    0xa9880040,0x200009ab,0x640d8802,0x8000c401,0x2002c43a,0x009aba98,
    0x20370360,0x5401fff8,0xc8009803,0x4005005f,0x2aa61ff9,0x2a62aaaa,
    0x0a800aaa,0xaaaaa980,0x03ffea2a,0x540fffc4,0x5555537f,0x01555555,
    0x3ae6bbee,0x0098003f,0xaaaaaa98,0x00009802,0x7dc0004c,0x03feb9ae,
    0x55555553,0xfa815555,0x530800ff,0x55555555,0x8ff70155,0xaaaaaaa9,
    0xfa80aaaa,0x1fffe987,0x5506fcc4,0x55055555,0x7ff44155,0x037fec2f,
    0x3ea13ffa,0x2bfffa67,0x443ffdcb,0x7fc40efe,0x00f6000e,0x017fff44,
    0x6c0003d8,0x3bfa2003,0x4077fc40,0xcbafffe9,0x7fec3ffd,0xffe98006,
    0x3ffdcbaf,0xfe987f98,0xffdcbaff,0xfb06fb83,0x2216c0df,0x880dfffc,
    0x7ffc82fc,0x7405ffe8,0x47fa86ff,0x3e986ffc,0xfa817fec,0x0df1004f,
    0x803ffe40,0x220006f8,0x3ff6006f,0x209ff502,0x3e986ffc,0x8002fffc,
    0x3e986ffc,0xff905f98,0xf107d30d,0x81bff20d,0x0fffd01c,0x6ffb81e4,
    0x202fffc4,0x7fa87ffd,0x3b837fdc,0x4403ffea,0xfc801fff,0xdff7002f,
    0x00bff200,0x4017fe40,0xf100fffa,0xdff703ff,0xbfff0ee0,0x1bfee000,
    0x807641dc,0x07706ffb,0x3ff207ee,0x7cc07206,0x206883ff,0xfff86ffb,
    0x43ffec05,0x37fdc7fa,0xffd8a253,0x027ff406,0x401bffe2,0xf8806ffb,
    0xf88006ff,0xffd806ff,0x427ff406,0x44a66ffb,0x003ffec2,0x4a66ffb8,
    0x802f6228,0x44a66ffb,0xf9132602,0xb00e40df,0x01c81fff,0x3fa1bfee,
    0x37ff406f,0x3fee3fd4,0x7ff40ae6,0x037ff405,0x007fff6e,0x2e01bfee,
    0x4001fffd,0x401fffdb,0x7f405ffe,0x26ffb86f,0x1ffee02b,0x737fdc00,
    0x700edc05,0x8015cdff,0x37fe42db,0x7fcc0390,0xf701264f,0x0fff90df,
    0xfa84fff8,0xe9b7fdc7,0x05fff882,0x5a03ffec,0xfb805ffe,0xffd6806f,
    0xffd6800b,0x2fffc40b,0x2e1fff60,0x405d36ff,0x8002fff9,0x05d36ffb,
    0xff702fb8,0x3600ba6d,0x06ffc80f,0xfff90072,0xff7003a1,0x01fff10d,
    0x2a03ffe6,0x77ffdc7f,0xbfff02ff,0x207ffe80,0x01fff73a,0x5406ffb8,
    0x001fff73,0x07ffdcea,0xe80bfff0,0xfffb87ff,0x7d402ffe,0x707600ff,
    0x05ffdfff,0xff706f98,0x9805ffdf,0x0dff906f,0x3fe200e4,0xfb803bcf,
    0x09ff906f,0x7d40fff2,0x5cfffdc7,0x0dffd02f,0x3606fff8,0x809fff10,
    0x86c06ffb,0xb004fff8,0x813ffe21,0x7fc06ffe,0x9fffb86f,0xffa802fb,
    0x5c1ecc1d,0x02fb9fff,0xffb83fd4,0x5c02fb9f,0x0dff906f,0x7fe400e4,
    0xdff7006f,0x260ffdc0,0x1fea03ff,0x8164dff7,0x7fc07ffc,0xfc89304f,
    0x37fdc07f,0x7ffc8930,0x7fe44980,0x01fff207,0xff709fff,0xc980164d,
    0x01dfdffe,0x0164dff7,0x7fdc1bee,0xff500b26,0xd81bff20,0x3fff8801,
    0x80dff700,0xdfdbdfd9,0x2e3fd401,0x230a66ff,0xf300fff8,0x3bb601ff,
    0x03fffeee,0xed81bfee,0x3fffeeee,0x777776c0,0xff103fff,0x3ffe601f,
    0x266ffb80,0x0f4400c2,0x5337fdc0,0xb82fe418,0x830a66ff,0xffa81ff8,
    0xfe801a07,0xdff7003f,0x13ffe200,0x3ee3fd40,0x6459046f,0x7ffb04ff,
    0x7fec1620,0x41bfee06,0x0dffb058,0x6ffd82c4,0x6c13ff20,0xdff703ff,
    0x2e00b208,0x6ffb805f,0x4fc85904,0x208dff70,0x880ff82c,0x05980fff,
    0x400fffa0,0x26006ffb,0xfa802fff,0x983ffdc7,0x20ffdc1f,0x07602ffa,
    0xb817ffcc,0x203b06ff,0x3b02fff9,0x80bffe60,0x7fd41ffb,0x41ffee02,
    0x0df001f9,0x260fff70,0xb837cc1f,0x83f307ff,0x3ff205f9,0xf00074c5,
    0x3f2007ff,0x7fd4007f,0xff7011cf,0x260fffc8,0xbfb307eb,0x4c03bfb7,
    0x1bffe00f,0x7cc3ffe4,0x21bffe00,0x3ffe00f9,0x5efecc06,0x7e401dfd,
    0x1fae60ff,0x2007b6a0,0x2e60fffc,0x819f307e,0x2e60fffc,0x006f547e,
    0x33bbffee,0x27ffc000,0x3fffee60,0x32a2002d,0x3ae21cee,0xffff737f,
    0x0ffffddf,0xf7001310,0xffb987bf,0xff730dff,0x3fee5bff,0x7ffdcc3d,
    0x7bff70df,0xdffffb98,0x80098800,0xefffffb9,0x0007fffe,0x3fffee60,
    0x07fffeef,0xfffb98cc,0x7fffeeff,0x26200054,0x7ed44000,0x0002bfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0262b800,0x400d554c,0x0370dc00,
    0x00000200,0xb0002000,0x40066001,0x13100098,0x2000cc00,0x5dc04ee8,
    0xc801c800,0x01c9806e,0x5103a832,0x3a603799,0x8033002e,0x06dffff8,
    0x2c007bf6,0xff71ff50,0x2ddb8001,0x57971000,0xdd880e41,0x6fe64405,
    0x5ff900bd,0x806ff880,0xf7006ff8,0x77d4007f,0x7f57f500,0xe8803640,
    0x07ff402f,0x309b07cc,0x05ff53fd,0x3ee01bee,0x3f32a04f,0x13f603ff,
    0xdf301cc0,0xb1001be6,0x3bf2002c,0x4bbfeb9a,0x98154720,0x213e6d3f,
    0x6406fff9,0x7e403fff,0x7fc403ff,0x1db000ff,0x3fc4ff40,0x22001f98,
    0x3ffe205e,0x417c7b82,0x81bf65fe,0x3fe200fc,0x098300ff,0xc8027ec0,
    0x00020400,0x32005962,0x3ffc40ef,0xd8154720,0x6c25cd1f,0xf303f98e,
    0x7cc03f27,0x76401f93,0x1b004e99,0x7c47fcc0,0x8003e82f,0x07ff4058,
    0x883f12e4,0x07ff24ff,0x27f202c8,0x009804e8,0x4c404fd8,0x00026005,
    0x9002ddb8,0x3fee07ff,0x81776204,0x4c38d5ff,0x42c834c4,0x3b85903b,
    0x07441b10,0x87fd4000,0x0035c3ff,0x20ffb000,0x3e61ea3e,0x101ff24f,
    0x1d106c40,0xfd803d80,0x3dfbd304,0x0000f600,0x3fe6007b,0xfffe880f,
    0x3f600c01,0x004007ef,0x00080010,0xa7764400,0x3e21eeda,0x260ff89f,
    0xeec8801f,0xc83ddb54,0x3ffff25f,0x2a2fffff,0x05dd14ff,0x01bfdbb3,
    0x01be2000,0x53ea13f6,0x7c400ffd,0x1be20006,0x4437fdc0,0x984fff8e,
    0xa80dfedd,0x4403ffff,0xb100ccec,0x6cc09d9f,0x6440dfed,0x3ddb54ee,
    0x3f65ffa8,0x7cd7ec1f,0xf5001f45,0x20ffecbf,0x3f2a63fa,0x20adeaab,
    0x19f94ffa,0x17fe4f98,0x200fbb66,0x7ec02ffc,0xfe8aff84,0x17fe401f,
    0x02ffc800,0x1d86ffe8,0x4f98dffd,0x7fdc17fe,0x1fd00dff,0x4bfa03fa,
    0x24f985fa,0x5ffa85ff,0xff307ff6,0x540ffecb,0x0035c2cc,0xffd97fe6,
    0x3dc0fc41,0x93fea0be,0x9ff60ffa,0x9ff707fe,0x06fff880,0x3fea27ec,
    0x4403b9b9,0x88006fff,0xff806fff,0xffb1645f,0x3fa7fd8f,0x3fffa607,
    0xf937dc0e,0x3e27fa8b,0xfd3fec3f,0x6cbff30f,0x2ffcc1ff,0x4c003ff9,
    0x0773261f,0xffc97fe6,0x25c80e81,0x4ffa81f8,0x5fa93fe6,0x3ea03ffa,
    0x7fedc04f,0x713f601f,0x5c00b5ff,0x4001fffd,0x401fffdb,0xd0ee5fff,
    0x25fa8dff,0x7fc00ffe,0x72ff43ff,0x227fc8df,0xd2fd45ff,0x5ff981ff,
    0xff307ff2,0x000ffe4b,0xfcb7c47d,0xf92ffcc2,0xfca8b03f,0x1ccfdcce,
    0xff893fea,0x1ffdb505,0x6809ff50,0x7ec0bffd,0x01effe44,0x017ffad0,
    0x017ffad0,0x212adffd,0x36a04fff,0x57400ffe,0x677fc6ff,0x3ffc4ccc,
    0xeda81ffe,0x2ffcc0ff,0xff983ff9,0x4007ff25,0xfcafdc6b,0xf92ffcc5,
    0xfeb8303f,0x2eeffeee,0xff893fea,0x7f4774c7,0x04ffa80f,0x07ffdcea,
    0x7fd44fd8,0x2e75000f,0x75000fff,0xc803ffee,0xff059fff,0xd1dd305f,
    0xcb4481ff,0x01ffe27f,0x7fc4dff1,0xfe8ee987,0x92ffcc0f,0x5ff983ff,
    0x26007ff2,0xfbaff41f,0xc97fe60f,0x1f3001ff,0x4ffa826c,0xff997fe2,
    0xf501ffd0,0xf886c09f,0x89fb04ff,0x0622fff8,0x4fff886c,0x3fe21b00,
    0x3ffe204f,0x0fff980e,0xffe87fcc,0x27d5a340,0xfb007ffa,0x2627fc4f,
    0x81ffd0ff,0x3ff25ff9,0xfb2ffc41,0x907d003f,0xf11beebf,0x20ffecbf,
    0x3e35c5fb,0x719ff502,0x3fec9fd1,0xff501ffd,0xff912609,0x2e13f60f,
    0x80eccfff,0x03ffe449,0x1fff224c,0x3609ff50,0x27fd81ff,0xd2f40ffe,
    0x9ff707f2,0xf13fd438,0x3a7fd85f,0x2ffc40ff,0xdff03ffb,0x805fff93,
    0x32df306b,0xc9eff83f,0x7ffc2fff,0x01f89721,0x97f79ff7,0x777ff41f,
    0x7d40bffe,0xddddb04f,0xfb07fffd,0x37fffa09,0xdddddb00,0xed807fff,
    0x3fffeeee,0x2a0fffc0,0xdffd01ff,0x6417ffdd,0x80cdfcef,0x1caefff9,
    0x6fa8ffc4,0xfeeeffe8,0x4f7fc0bf,0xfa82fffc,0x0effcaff,0x7ec03f30,
    0xffa80de8,0x20effcaf,0xf51f46fc,0x233ffa20,0x7fd41ded,0xb84ffa8c,
    0xb05885ff,0x09fb0dff,0x0b100693,0x5881bff6,0x6c0dffb0,0xeebdfd99,
    0x33fea00c,0x3304ffa8,0xdfff300f,0x3afba205,0x8cffa80d,0xffa84ffa,
    0x00effcaf,0x00570003,0x00300371,0x01104c04,0x4c000000,0x0ec2fffe,
    0x6c2fff98,0xb000c84f,0x0bffe603,0xfff980ec,0x09982882,0x05000000,
    0x98800440,0x03000000,0x00000000,0x00000000,0x00000000,0xff007cc0,
    0x584fd8df,0x7c01f300,0x00f986ff,0x0001bffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdffb8000,0x7fffdcc3,0x237ffb0d,
    0xdffb802a,0x7fffdcc3,0x87bff70d,0x0dffffb9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x2e200dec,0x88544060,0x5400800a,0xdd3002ee,0x0298a607,0x71019866,
    0x10498037,0x102b8037,0x00498037,0x98006ee2,0x126004c2,0x75401c98,
    0x3993002e,0x1bd90022,0x80305c40,0x5ff001ca,0x677ffd40,0x3fabfb04,
    0x0fb7b604,0xf9005fc8,0x22bfe20b,0x9ff982ff,0x6f441ff9,0x05f101ff,
    0x7cc05ff7,0x202ffb80,0xdd8802f8,0x2e003fea,0x5c803dae,0x06e9ce88,
    0x3aa037dc,0x01eeeb9b,0xff5017fc,0x3ea099df,0x2a00efff,0x7f5e402f,
    0x29fb01ff,0x11fd04fd,0x03ec05ff,0x57fc05e8,0xff881ff8,0x8440ff89,
    0x40bb00fc,0x80fa02fd,0x017602fd,0x0ffa8fdc,0x007fd100,0x5c7f60be,
    0x807e404f,0x01fb84f8,0xd7900bea,0x9d103fff,0x5c07fffb,0x02a21803,
    0xff501830,0x07202fec,0x08801b10,0x22088022,0x5417e600,0x40bf600f,
    0x817ec06c,0x3fd000fa,0x6dc01be2,0x7cc01fc9,0xf987fd40,0xb816401f,
    0x5c03f03f,0x02a21803,0x01bfee24,0x40008001,0x712fe400,0x02000801,
    0x80000080,0x17c43ffc,0x3e60bf60,0x4417ec00,0x9ff3002f,0x10400fe6,
    0x42dc03ff,0x0ffe67fd,0x0ffec010,0x000200dc,0x4ff88001,0x0dfedd98,
    0x1bfdbb30,0x37fb7660,0x1006ff80,0x220199d9,0x9100ccec,0xec88199d,
    0x03ddb54e,0x00b917e6,0x007d05fb,0x00b905fb,0x0edfffc4,0xfdbb7100,
    0x7f41f40d,0x2213fe67,0xfc84ecfd,0xd8800cff,0x36204ecf,0xf3004ecf,
    0x7fc9f30b,0x3fe4f985,0x3fe4f985,0x803ffc45,0xd01fd0fe,0x3a03fa1f,
    0xfa81fd0f,0x987ff65f,0x00fa87a1,0x03642fd8,0x07d42fd8,0x517ffa00,
    0xfe885999,0xf105ff92,0x7ccfff01,0xf52fe86f,0xfffff98b,0x54bfa00c,
    0x2a5fd05f,0x1ff4405f,0x0ffd3fec,0x43ff4ffb,0x21ffa7fd,0x7dc01ffd,
    0xdf717f26,0x9bee2fe4,0x2ffcc5fc,0x6fe43ffb,0x060be22a,0x3e63bfd5,
    0x1dfea801,0x220305f1,0x6c2fffdc,0x267fb83f,0x886b84ff,0x1ffe67ff,
    0x1ffc4ff5,0x3fffffea,0x3e27fa81,0xf13fd43f,0x3ffee07f,0xfd2fd44f,
    0x3a5fa81f,0xd2fd40ff,0x6ffa81ff,0xfb97fa0c,0xdf72ff46,0x1bee5fe8,
    0x7fe4bff3,0xf70b9001,0xefc8fa00,0xf70b9003,0x3ff65f50,0x7ec1720f,
    0x3a1bfe27,0x267ff883,0x13fe47ff,0xffb10bff,0x7fc83fff,0xff917fe2,
    0xf702ffc4,0x36a01fff,0x36a00ffe,0x36a00ffe,0x7fc40ffe,0x7fc2cbef,
    0x7c4cccce,0x44ccccef,0x4cccceff,0xff92ffcc,0xa81f5003,0x2e6c807f,
    0x5400ffbc,0x263fd40f,0x5bffe27f,0x4dff00e8,0x0fc47ff8,0x3fe67ff8,
    0x3fe3ffc5,0x3fffaa07,0x3fe3ffc5,0x3fe3ffc7,0x1fff4407,0x3ffa3ba6,
    0xfe8ee980,0xe8ee980f,0xffe980ff,0x03ffc43e,0xf101ffe2,0xbff300ff,
    0x2200ffe4,0x03f64c3f,0x07f407e6,0xec987f10,0xf307fe47,0x2203b9ff,
    0x1bfe26ff,0x33ff40d5,0x37fc49ff,0xb82cfff1,0x9bfe27ff,0x3fe27ff8,
    0x201ffe26,0x3fe63ffb,0xf981ffd0,0x981ffd0f,0x01ffd0ff,0x3ffd025c,
    0x401ffe80,0x7cc01ffe,0x007ff25f,0x0fd588b9,0x013e03e8,0x8fd588b9,
    0x7fe43fff,0x13ffc06f,0x204d8bff,0x0ffe67fd,0x27fc4ffb,0x83ff205d,
    0x13fe27fd,0x27fc4ffb,0xfb0ffc40,0x3607ff4f,0xb03ffa7f,0x007ff4ff,
    0x3fee05fd,0x13fee1c4,0x1c4ffb87,0xffd97fe2,0x7d03ea01,0x1b205ff5,
    0x07d405b8,0xd8bfeafa,0x7ff41fff,0x7ec488df,0xf88ffe67,0x4c3fe601,
    0x13fd40ff,0xa83745ff,0xf13fd46f,0x227fa85f,0x202e22ff,0x777ff46f,
    0x3fa0bffe,0x0bffeeef,0x3fbbbffa,0x07f500bf,0x32bbffe6,0x577ffcc1,
    0x77ffcc1c,0x9eff81ca,0xd102fffc,0x9ffddd07,0x52a03f30,0xe83e8838,
    0x3e64ffee,0xeebacfff,0x441fffff,0xa8bf50fe,0xf92fd807,0x2a3ff107,
    0x2067f46f,0x8ffc41fd,0x1ff886fa,0x3ffb8df5,0x9ff503ea,0xfa89ff51,
    0x44ffa8cf,0xffa8cffa,0x401bd704,0x302efff9,0x2605dfff,0xf502efff,
    0x1dff95ff,0x0fd00b90,0x7ffcc0fa,0xe805c83f,0xffffda87,0x40ffff23,
    0x40debed8,0xf9d9004d,0x75f74407,0x6fee740d,0xdd101eeb,0x3a201bd7,
    0x7440debe,0x000cdfff,0x00000000,0x40022000,0x00110008,0x00c88006,
    0x204982a8,0x440aaaaa,0x202a800c,0x00310098,0x8001500c,0x40262001,
    0x40026621,0x13100098,0x00001300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x55555530,
    0x4c014c00,0x54400acb,0x0aaaaaaa,0x8801ca98,0x5cc001bb,0x0a8800ac,
    0x55540151,0x5531aaaa,0x54c55555,0x55550aaa,0xaaa88555,0x0165440a,
    0x2000e5cc,0x2aaa0400,0xaaa88aaa,0x2aa21aaa,0x8800371a,0x0009aba9,
    0xff007fdc,0xa80bffff,0x6f6402dd,0x500decab,0xffffffff,0x9f919f90,
    0x3beabee0,0x55ef6400,0x3f600dec,0xf9809fd5,0x7f4c1fff,0x6fcc41ff,
    0x2ffff620,0x20cfd880,0x03ffc8cc,0x98df73f5,0xdffbbeed,0x3a26fd81,
    0x3fa62fff,0x24f983ff,0x3bee005c,0x003feb9a,0x7d40bffa,0x201fffff,
    0x03d803fc,0x3ff203a6,0x4c5fffff,0x2a0ffc7f,0xd817f67f,0x6c03a603,
    0xd009fb4f,0x3ff60bff,0x3e20b606,0x312e03ff,0x407ffc7f,0xb85ff37f,
    0xefe9beff,0xf50fffc0,0xfff985ff,0x03cc1d03,0x22077f44,0xfa800eff,
    0x5557b00e,0x01fe4055,0x5e665dec,0xee81d309,0x42fcaabd,0x17f60ffd,
    0x1ffdcdfd,0x377951ec,0x30601d35,0x417ff600,0x07206ffc,0x1b037fec,
    0x3ff26fc8,0x7c47fcc3,0x52ffd41f,0x85fb89ff,0xffe85ffe,0x02f84985,
    0xfa817fec,0xe880004f,0x01ff2000,0x4c7fc52e,0x0489666f,0x3ffe81f9,
    0x5ff893f6,0x29713fea,0x29b12ee8,0x20004059,0xff905ffd,0xf980e40d,
    0x984982ff,0x90bff23e,0x2a0623ff,0x1bfe24ff,0x40fffb80,0x0e40fffb,
    0xfff50264,0x07ffe201,0xeffa8020,0x53fe202d,0x0ff87600,0xe80347fb,
    0xf4fffc85,0x337fcc1f,0xfb1d8dff,0x221a4887,0xb004ecfd,0x3ff20bff,
    0xfe807206,0xd001c85f,0x3ffd81df,0x3e27fd40,0xff10187f,0x3fffb87f,
    0x3607a834,0x7ff406ff,0xfb00b804,0x703dffff,0x039ffdff,0x7fd0ff8d,
    0x0be600e4,0x37bfffa2,0x3e27ff80,0x1ff8b47f,0x4bfa0e40,0xffd805fa,
    0x40dff905,0x3ffea01c,0x7cc01621,0x3ff6620e,0x9ff5019d,0x20587ff8,
    0x7ef46ffd,0x1f80ea6f,0xe80bffd0,0x02c406ff,0xfffffffd,0xe89ffd81,
    0xff1261ff,0x03a89fb7,0xfe8807e4,0xffc80eff,0xa4cbff31,0x23a807fa,
    0x0ffe27fa,0x320bffb0,0x007206ff,0x00dc9fff,0x7fe40dd8,0xf507ffff,
    0x437fc49f,0x3fff300e,0x47ffe726,0x2213600d,0x7ec05fff,0x00fa207f,
    0x13fff662,0x27fccfff,0xffaff8b3,0x17a01dc0,0xefffed88,0x65fffcc0,
    0x7d5663ff,0x3f23b807,0xb017fe27,0x3ff20bff,0xf7007206,0x440161ff,
    0xdff75305,0x93fea055,0x02f84ff9,0xe86d7ffa,0x54058cff,0x80bfff06,
    0xff307ffe,0x6ff98001,0xdff1ffe2,0x7e47fc68,0x5f300ec4,0x7fddbea0,
    0xfbbb504f,0x1ff1683f,0x1ffe1d80,0xffd80fff,0x40dff905,0x7ffc401c,
    0x053002ab,0xfa80bfd0,0x81ff93ff,0x3fee03f9,0x3ffee59f,0x40fc402b,
    0x7fc06ffe,0x05ff986f,0xff8df500,0xc83ffe0f,0x3fe27fe1,0x01f901a1,
    0x6ffb93fa,0x1c87fe80,0x9a1889f9,0x3fe26ff8,0x9ffb04c7,0xd81bff20,
    0x5effc801,0x32002200,0x67fd404f,0xfb81effd,0x3bffe205,0x01fffe22,
    0x3ffe41ec,0x2e13ffe0,0x003b63ff,0x87ff627c,0x5c6d46fe,0x8efb8dff,
    0x882f404c,0x1ffe23ff,0xb501ff30,0x91e5f7dc,0x3e27fd89,0x6c3fee4f,
    0xfff503ff,0xff980340,0x5400003f,0xf504c2fb,0xfd80229f,0x437fec07,
    0xd7004ffd,0x201fff10,0xfc80fff9,0x3a8bfe3f,0x2ffb83f0,0x016e13fe,
    0x07f30172,0x17fa27f4,0x2e01fe88,0x21720445,0x8bfe27fa,0x5ffd1ffc,
    0x203ffe20,0x3ffa0059,0x03fd3000,0x99bffdd1,0x04ffa8db,0x4c01fff0,
    0x1ffa83ff,0xf901f100,0x0fff609f,0x1fb2ffcc,0x2b8bbfe2,0x3be2bfb0,
    0x9305b700,0x401f700b,0x07fe26fa,0x5c00ff44,0x105c982d,0x11bea3ff,
    0x0077fcbf,0x0e98bff9,0x8013ea00,0xb2b84ffc,0xa8bfffff,0xff8804ff,
    0x807f401f,0x81f4006f,0x7fd41ffb,0x45ffec02,0x77ff5c3d,0x6e7e401d,
    0x6f64c00d,0xbd003ded,0xdd7bf900,0x00377503,0xdeddec98,0x75f74403,
    0xfdcda80d,0xfffb800d,0xe8000cee,0x0bfe6000,0x3f67b766,0x2ffe40df,
    0x400ffe80,0x000f204b,0x6fecc0b7,0x1001dfdb,0x01880595,0x88000980,
    0x00098001,0x00440266,0x80018800,0x01880098,0x00013100,0x00880018,
    0x3260220c,0xc9802ccc,0x22008802,0x80144000,0x00000098,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa980000,0xaaa981aa,0x0aaaa802,0x0006aaa6,0x2e620004,0x400a1ccc,
    0x060abca8,0x3bae0808,0x23bb30ce,0xaaaaaaa9,0x0600aaaa,0x2aaaaaa6,
    0xaaaa9801,0x555552aa,0x2aaa6155,0xaaaaaaaa,0x55555531,0x0e200335,
    0x2aaaaaa6,0x554c019a,0x06aaa21a,0x7fdc4100,0x6fd440ff,0x2ffe9801,
    0x30027fe4,0x5dddd9d9,0x26f7faa0,0x5407dfeb,0xefcacefe,0xcddeb83e,
    0x27fec2e9,0xfffd30f2,0x07ffb975,0x7ffcc12a,0x00defdce,0xb85fffd1,
    0x7440dfff,0xfccbafff,0x3bffa64f,0x102fffdc,0x3fa60ff9,0x4fffcaef,
    0xc89ffb10,0x3f2005ff,0x837ffe45,0x3ff2002d,0x8027fd42,0x5dfb0ff9,
    0x205ff901,0x3fea07fb,0xfc87f904,0xf30bffa4,0xfc80d8ff,0x883e986f,
    0x97ff604f,0xf901ffe8,0x0fffe0ff,0x6c43ffdc,0xf32ffe44,0x7fe445ff,
    0x17ff207f,0x3ea0dff9,0x02ffcc4f,0x7643fff0,0x01b84fff,0xf50bff20,
    0x9ff6009f,0xffb81ffb,0xfa83ec05,0xa8fe205f,0x0bff61ff,0x8244bff6,
    0x87706ffb,0x3f604fe9,0x0fffc45f,0xff83ffdc,0x0fff703f,0x8bff9126,
    0xff885ffd,0x317ff207,0xff503fff,0x005ff989,0xfd391bf6,0x401b87ff,
    0xa85ff908,0x7c4024ff,0x30bfea6f,0x68803fff,0x401fff88,0xf91ff63a,
    0x2bff305f,0x4dff701b,0x7fcc5129,0xffd86eff,0xb86ffc85,0x7fff07ff,
    0x451ffee0,0x322ffe43,0x0fff06ff,0x7fc2ffe4,0x44ffa83f,0x0c005ff9,
    0x7fffc464,0x7ec406e1,0x542ffccf,0x1efeacff,0x3fee7fe8,0x803ffe40,
    0x00fffa81,0xf91ffe08,0x27ffa05f,0xb9bfee05,0x3bff7102,0x50bffb03,
    0xffb81fff,0x207fff07,0x902c7ffb,0x3ffe8bff,0x7e40fff0,0x0fffc45f,
    0x3e627fd4,0x033bae5f,0xfff98640,0xfd10370f,0x50bffea9,0xffb17fff,
    0xfb0ff981,0x00dffd09,0x0037fec0,0xff91ffe2,0x0fbfee05,0x5d36ffb8,
    0xb027fcc0,0xfff30bff,0xf07ffb85,0x3fee07ff,0xffc81ae7,0x407ff915,
    0x3ff207ff,0xa82ffd45,0x2ffcc4ff,0x419000be,0x0375fffb,0x7fe41ff9,
    0xf327fd42,0xbbfd10bf,0x017ffe05,0x005fff80,0x7fe47fe8,0x803ffe02,
    0x2ffefffb,0xd813fe60,0xfff885ff,0x777ffdc4,0x03fffeee,0xdfd9fff7,
    0x7ffffe40,0x3ffc02ff,0x955dff90,0x3ea01bff,0x92ffcc4f,0x40c80805,
    0x81bcfffc,0x17fe47fe,0xff893fea,0xff002c86,0x7fc000bf,0xffc8005f,
    0xc80bff20,0x7ffdc05f,0x3e602fb9,0x17ff604f,0xf713ffe2,0xf33333ff,
    0x3fee07ff,0x3206eb9f,0xdff715ff,0xc81ffe05,0x5fffbeff,0x2627fd40,
    0xe80795ff,0x7f40645f,0x7ff81eff,0x3ea17fe4,0x2e3ffc4f,0x360099bf,
    0xffb886ff,0x3ff61dff,0x4ff98007,0x4405fff3,0x37fdc02f,0x27fcc059,
    0xf30bffb0,0x7ffb87ff,0x2e07fff0,0xc81a27ff,0x3ffdc5ff,0x3f207ff8,
    0x05fff95f,0x3e627fd4,0x300ffcdf,0x40645fff,0x441ffff8,0x17fe47ff,
    0xfff13fea,0xffffffd8,0x03ffe42e,0xff70fff9,0x3fea000f,0x402ffccf,
    0x26ffb805,0x9ff30c29,0x542ffec0,0x7fdc1fff,0x207fff07,0x90247ffb,
    0xfff98bff,0x3207ff82,0x3fffa5ff,0x989ff500,0x05ffdfff,0x00c8fffa,
    0xfd03fff3,0x217fe41f,0x2ffc4ffa,0x3fffffea,0x3ffe61ff,0x30fff701,
    0x40005fff,0x985ff909,0xff700711,0xf98b208d,0x17ff604f,0x3ee17ff2,
    0x07fff07f,0x4011ffee,0x7fc45ffc,0x207ff84f,0x3fe25ffc,0x89ff505f,
    0x5ffd5ff9,0x80721d80,0xffc81ffa,0xf50bff61,0x21ffc49f,0xfcbabce9,
    0x837fd42f,0xff507ffb,0x400ec01f,0x5fe62ffc,0x7ffb800c,0x7fc43f30,
    0x5ffd849e,0x5c07ffc4,0x7fff07ff,0x801ffee0,0x7fd45ffc,0x00fff81f,
    0xffb8bff9,0x44ffa83f,0xfff35ff9,0x07d1a201,0xff981fc8,0xa87fff55,
    0x117ee5ff,0x203ea0bf,0xffb84ffb,0x077fea07,0x3f2007b3,0x0f3fe22f,
    0x307ffe40,0xbfd50fd7,0x44dffb01,0xff900efe,0x07fff10f,0xc801fff2,
    0x3ffe66ff,0x00fff883,0xffb0dffb,0x45ffb83f,0x3ff26ff9,0xfb51c885,
    0x80ec019f,0xefcbfffa,0x376baa1d,0x37fb04eb,0x4405d531,0xeecbdffd,
    0x7f64c01c,0x2001dfdf,0x0e4c3ffd,0x7fffdcc0,0x07fffeef,0x7fffe4c0,
    0x7302ceee,0x2a5bffff,0x30bffffd,0x05bffff7,0x7ffffe4c,0x5c40ceff,
    0x30befffe,0x439ffff9,0xd33ffff8,0x3f625fff,0xbfff73ff,0x22000141,
    0x00884c00,0xb9801881,0x2000abcc,0x00009998,0x97000131,0x00003999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x201dd900,0x2aaa20bb,0xaaaa9802,0xa88001aa,0x2aaaa62c,0x554c02aa,
    0x2601aaaa,0x400aaaaa,0x002aaaaa,0x55555551,0x00355555,0x2aa60026,
    0x5512aaaa,0x00335555,0x262989dd,0x42aaaaa1,0x45502aa8,0x55555008,
    0xa8555555,0xa82aaaaa,0x59500aaa,0x2a0ffa20,0x2ffdc4ff,0xceffe980,
    0x6c01deec,0x3a64fd9f,0xd1002fff,0xd3003fff,0x7c409fff,0x2000bfff,
    0xbdffffc8,0xb004ffdc,0x3ffa2007,0x77ff4c2f,0xa80cffeb,0x2bfe20ef,
    0xfff51ff8,0xfe81fb85,0xf880edff,0xffcaabdf,0x7ffe445f,0x82fc880d,
    0x105ffffb,0x87ff30dd,0x32005ff9,0x3ffa26ff,0x3eeff301,0x003ffe43,
    0xc8017ff2,0xb700fffd,0xb0001fff,0xe887fff5,0x006f8804,0x7dc1fff2,
    0x21bff26f,0x4ffc40ed,0x3ff61ff8,0x66c425c2,0x3f305fff,0x201fffd0,
    0x0f207ffe,0x3fffffe2,0x5501b104,0x400bff10,0x7f446ffc,0x407fd82f,
    0x64006ffc,0x59001dff,0x2ba07fff,0x598007ff,0x09307fff,0x2005ff90,
    0xff706ffb,0x217ffccd,0x0441100d,0x01b17fea,0x5500cc11,0x407fff70,
    0x6883fff9,0x3ff66390,0x3e200007,0xff90025f,0xd0fff70d,0x6ffc80ff,
    0x6f7fe400,0xb3901efe,0xf5750dff,0x21d000ff,0x04923fff,0x8037ffc4,
    0xff706ffb,0x003fff8d,0x10fff800,0x0500400b,0xb00dfff1,0x01c81fff,
    0x4c7ff981,0x3b663eed,0x4effc43e,0xff902efe,0x23fff30d,0x02efffe9,
    0xc800dff9,0x13ff65ff,0x0bffe672,0x00fff51b,0x4fffe3b8,0x3f6e0058,
    0xffb801ff,0x4cdff706,0xddb31fff,0x07ddb307,0x21d4fff2,0xfe9ceec8,
    0xfffb002f,0x9fff3003,0x3fe0024c,0x5c4ffb84,0x7ffc44ff,0xc80ffead,
    0xfff886ff,0x027ffa63,0x20037fe4,0x3fe65ffc,0xffe8e40f,0x3ffd5225,
    0xfff8b100,0xeb400b93,0xffb805ff,0x5cdff706,0x27fdc6ff,0xf304ffb8,
    0x3e6036df,0x0ffeaeff,0x027ffd40,0x3a1fff90,0x0bfe6000,0xff513fea,
    0x326ff889,0x3ffae1ff,0x3fe6eeff,0x203ff45f,0x64006ffc,0x3ffe25ff,
    0xfffa8e42,0x1ffea391,0x7ffc1d80,0x75005ffe,0x7003ffee,0x3fee0dff,
    0x40cffdae,0xff504ffa,0x2cfff409,0xf90eff88,0xeffe803f,0x3ffe2000,
    0x7dc003bc,0xa89ff505,0x2ffc44ff,0xff903ff9,0xd17ffe0d,0x6ffc80ff,
    0x12ffe400,0x21c83fff,0x7d4b4fff,0xddd5007f,0xd37fffdd,0x7c43600b,
    0x7fdc04ff,0x55fff706,0x13fea015,0x33227fd4,0xcceeffec,0xfc97fe23,
    0x3fff201f,0xfffc8002,0x00fd8006,0xffa89ff5,0xf92ffc44,0x0dff905f,
    0xfe87fff1,0x037fe407,0xfa97ff20,0x3ee1c87f,0x3fea2bff,0x3fe0d007,
    0x9300b13f,0x5c07ffc8,0xdff706ff,0x413fea00,0x4ccc4ffa,0x0999fffa,
    0xffc97fe2,0x0bfff302,0x7fff1002,0x201fa800,0x7fd44ffa,0xf92ffc44,
    0x0dff905f,0xfe85fff3,0x037fe407,0x53bff912,0x43903dfd,0x7d47fff8,
    0xf02c807f,0x206247ff,0xffeeeeed,0x1bfee03f,0xa8037fdc,0x9ff504ff,
    0x103ffc40,0x17fe4bff,0x900fffe8,0x007ffd00,0xf50217c4,0x44ffa89f,
    0x3ff25ff8,0xc86ffc82,0x07fe86ff,0x75037fe4,0xcdefffc8,0xfc83900b,
    0x03ffd44f,0x3fff8166,0x82c43882,0x3ee06ffd,0x0dff706f,0x5413fea0,
    0x777744ff,0x24eeefff,0x3ff25ff8,0x03fffb82,0x7ffd00d1,0x12217400,
    0xffa89ff5,0xf92ffc44,0x8dff905f,0xfe81fff8,0x037fe407,0x05ffc85d,
    0x1ff30720,0x7407ffa8,0x40fffe00,0xf980ec2d,0xdff702ff,0x401bfee0,
    0xff504ffa,0x03ffc409,0x7fe4bff1,0x037ffc42,0x7fff00b9,0x3bbbf200,
    0x2ffdc3fe,0xff317fee,0x641ffecd,0x3bf627ff,0x401ffd01,0xfd887ffc,
    0x0037fe42,0xf70bd05b,0x017201ff,0xfd889fff,0xff803e61,0x0fff906f,
    0x5c01fff2,0xbff705ff,0x807ffcc0,0x3ff66ff9,0x40fffec3,0xff804fe9,
    0xfffb804f,0x3a61ffff,0xffd32fff,0x3fff625f,0x31efff9b,0xdddffff7,
    0x3fee205b,0x7fdcc1df,0xfffeeeff,0xffff731f,0x7fe4c039,0xfb886a0c,
    0x3622dfff,0x36e60cff,0xffeeffff,0x7bff70ff,0xdffffb98,0xbffff730,
    0x3fffee25,0x3ffa602d,0x7fff4c2f,0x7fff5c42,0x7ffec43d,0x31efffaa,
    0xddddffff,0x2209ffff,0x2bffffda,0xffffff30,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa9800,0x555511aa,0xa88ae005,0xaaaaaaaa,0x55531aaa,0x55443555,
    0x774c0aaa,0x5703bb23,0x55555555,0x10060405,0x00080010,0x40010004,
    0x02100000,0x0035c000,0x20200136,0x00402000,0x7ffdc477,0x067f442f,
    0xff327dc0,0x95fffb7b,0x7ff449fb,0x6ff440af,0x3a4ffa81,0x280140ff,
    0x4adfcfc8,0x8cfecc98,0xb300cddd,0x6c01bfdb,0xd9103ede,0x3f620199,
    0xb30004ec,0x0002fb2f,0x26c006b8,0x1b777220,0x77644bf9,0xd34ffe8c,
    0x3ffa87ff,0x6c1fffec,0x49ff3004,0x1ffee0f9,0x07ffb899,0x7fd409f1,
    0x0503ffa4,0x2a5fd0a0,0xb1fc40ff,0x207fcdff,0x417fe4f9,0x82ff88fe,
    0xd01fd0fe,0x4017ea5f,0x912dfeb8,0x700039ff,0x404d800d,0xff8f50fc,
    0x37ffe61f,0xe9ccffd9,0x0ffea0ff,0x541ffff1,0x9ffd1005,0x1ffee2cc,
    0x87ffb891,0x7fd402e8,0x0503ffa4,0x11ff98a0,0x27fc89ff,0x13f63ffc,
    0x43ff4ffb,0x717f67fa,0x2a2fe4df,0x80ffe27f,0x101cffc9,0x4005dfd7,
    0x026c006b,0x360d93fe,0x537fc46f,0x0ffe4bff,0xff503ff3,0xd80162bf,
    0x70224ffc,0xfb830fff,0x400f4c7f,0x3ffa4ffa,0x32280140,0x8dffb0ff,
    0x8bff25fa,0xd2fd46fc,0x25fc81ff,0x72ff40b8,0x227fc8df,0xefea85ff,
    0x3f26000b,0x035c01cf,0xffd01360,0x3e20601d,0xb93fea6f,0x903fc2ff,
    0x001b7fff,0x013fe72e,0xf700fff7,0x8006dcff,0x3ffa4ffa,0x3a280140,
    0x0fff397f,0x777ff6cc,0x36a05eee,0x37fc0ffe,0x66677fc0,0x3e3ffc4c,
    0x077fea7f,0xbff71000,0x3fbbbbae,0xdd95eeee,0xddddffdd,0x0ffffdc9,
    0x2a6ff880,0x0bfee4ff,0x7ff440db,0x26b3002f,0x7fdc04ff,0x97ffb807,
    0x7fd4005f,0x0503ffa4,0x2bfff8a0,0x3db10fff,0x26009ff7,0x20ffe8ee,
    0x7c407ff8,0x37fc407f,0x7eccfff1,0x2a0000be,0x99953efd,0x99999fb9,
    0x3bb3332e,0x7dc3cccc,0xf8800fff,0xb93fea6f,0x201dc2ff,0xd005fff9,
    0x7013fe61,0xff700fff,0x001fffdf,0xffe93fea,0xd1400a28,0x237fc7ff,
    0xdff51ff8,0x3a1ff300,0x0ffec0ff,0xb007ffa0,0x427fc4ff,0x001dffc8,
    0x003bff71,0x04d800d7,0x43fff984,0x2a6ff880,0x0bfee4ff,0xfffb0011,
    0x3e62c807,0x3ffdc04f,0x7dfffdc0,0xff5006ff,0x79ffdd3d,0x3f228014,
    0xc89ff10f,0x07ffe27f,0x3fa7fd87,0x237fd40f,0x0e27fdc1,0x17fc4ff5,
    0x02fbfaa0,0x002fff66,0x26c006b8,0x23ff8960,0x37fc46fc,0x7fdc9ff5,
    0xfed98002,0x55d500ff,0x405bff95,0xfb807ffb,0x0bfff77f,0x33ffff70,
    0x80143dff,0x7ccbfe62,0x567ffc0e,0xcacfffec,0x7777ff40,0x3fe20bff,
    0x7cc2cbef,0x441caeff,0x00df51ff,0xe9a7fe4c,0xd70002df,0x7c04d800,
    0xfff87f63,0xfa9ffe61,0x00fff25f,0x3ffe6b10,0xfffff705,0x7dc0ffff,
    0x7ffb807f,0x900ffff2,0x05010319,0x7ecec4a0,0xffb80dec,0xdfff90df,
    0x519ff503,0xffd309ff,0x3ffe607d,0xd7dd102e,0xd710001b,0x7000072e,
    0x7777640d,0x24eeeeff,0x6c2fceee,0x3fff626f,0xaafffe8b,0x2001efff,
    0x0ffff20d,0x3fbbbbaa,0x3fee05ff,0x47ffb807,0x3a01fffe,0x28014006,
    0x18801882,0x00000260,0x00880044,0x00001310,0x07300000,0x6666665c,
    0x4423cccc,0x00000201,0xfe82d800,0xff9800ff,0x03ffdc04,0x3e23ffdc,
    0x1ff01fff,0x02801400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fea0db0,0x7fcc00ef,0x03ffe404,0x7dc3ffe4,0x7fc41fff,
    0x2aab2000,0x13aaaaaa,0xdddddddd,0x00000ddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0e7ff5c0,0x3dffffb3,0x9827fcc0,0x82dffffb,
    0x1dffffb9,0x7fffffb1,0x000003b8,0x5dddddc4,0x0003bbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xceeeb800,
    0xb33eeeb8,0x2a01001b,0xbb30deee,0x10020003,0xdaa77644,0x666f41ee,
    0xdb30eeed,0x07bb15dd,0x0b832154,0x370ea150,0x2201e400,0x019101ca,
    0x81c98726,0x24402cb8,0x0202ee20,0x2e620dc4,0xb9837302,0xbbbbbbbb,
    0x7ffb003b,0x45917ff4,0xfe9ceec8,0x44ffd82f,0x53bb223c,0x11d70ffb,
    0x45f117b7,0x3ff65ffa,0x9ffb0741,0x5b1fff98,0x896e3d40,0xd1fdc0ef,
    0xf800fc45,0x3ff7a207,0xff03fc81,0x3e63ff4d,0x3f605fef,0x83ffba02,
    0x3fee0efd,0x13e67e22,0xeea972d9,0xeeeeeeee,0x7fcc0d87,0x8597ff65,
    0xfeaefff9,0x237fcc0f,0x5f7fc40e,0xffd10fff,0x98bfff9d,0x07ff65ff,
    0x407ffd47,0x203adffb,0x107ee3f9,0x70fee1df,0x4007e45f,0x7e422008,
    0x418fd460,0xf1ffe6ff,0x2a0fe61b,0x363307ef,0x85fff33f,0x267a22fd,
    0x1fba7c5f,0x3e63d400,0xd88ffe86,0x88398fff,0x3ff90eff,0x1225ffb0,
    0x1dd3ffe2,0x83f70bee,0x3ff25ff9,0x05fff101,0xf302fff4,0xf882fd4d,
    0x3fd03fbe,0x00003be2,0x1bf92f4c,0x7f47fb1b,0x1f997f65,0x7cef4364,
    0xfb07e403,0x442fd89f,0x53e65fbc,0x3d4003fa,0x5ffdc3ec,0x0baffc9a,
    0x3f25ff88,0x95ffa81f,0x01fff101,0x4c4e827c,0x07ff25ff,0x2a02ffe4,
    0x5ff106ff,0xf8807fe6,0x43fea03f,0xddd90efc,0x9ddddddd,0xdb54ffc8,
    0x643bdbb9,0xf88fee3f,0x43ee2e41,0x40fa00fc,0xf117ec2d,0x74f8bf17,
    0x27a8003f,0xff882ec9,0x0bbff35e,0xffc97fe2,0x0b3ffd02,0xf981ffe2,
    0xff98f701,0x2607ff25,0xfe801fff,0x52ff982f,0x7fdc03ff,0x23ff500e,
    0x99970ffb,0x79999999,0x7790bf30,0x1f983ea0,0x22f986ec,0x413e24f8,
    0xfb0d013c,0x77df7d45,0x00365b20,0x3f6000c4,0x40fffa4f,0x3ff25ff8,
    0x03fff702,0xf881bfe2,0xff98d702,0x3607ff25,0x744024ff,0x4df306ff,
    0x17f705fb,0x25fd01df,0x40001ff8,0x6e887a19,0x786881bf,0x45feff98,
    0x20fdc0fc,0x3225ccec,0x8d42fd81,0x001b982a,0x3fea0000,0x4403fee1,
    0x0bff25ff,0xf1037fc4,0xf05d80df,0x365ff887,0x7ffd41ff,0x7ec6c160,
    0x647f503f,0xf11fdc1f,0xf917d41d,0x5c079003,0x9fdc2adf,0x018182fd,
    0x05f102ea,0xffffb97a,0x6ff540a4,0x00000001,0x446f8800,0x97fe205f,
    0x3f202ffc,0x01bfe203,0x3f6639f7,0xfc9eff81,0x3ffe22ff,0x2790f712,
    0xf700fff9,0x20fe25c8,0xf88fa3f8,0x000df002,0x00051144,0x00000000,
    0x00000000,0x83c80000,0x9bfe602d,0x3e203ffd,0x81bfe600,0xfffffef9,
    0x7ffd40ee,0xf90effca,0x4dffdbff,0xffb8dfd9,0xd87701ef,0x0ea08021,
    0x004c0059,0x2ee60000,0xbbbbbbbb,0x01b98043,0x502a0a8a,0x3274c5dd,
    0x888889dd,0x37777620,0x005ddddd,0xd8802010,0xfffaafff,0xd880201e,
    0x29303fff,0x01b12ba8,0x00000006,0x00000000,0x00000000,0x3bbbbaa0,
    0x2e6eeeee,0x3fff20ef,0x7e5220be,0x3fd8bf96,0xff517ff4,0xa7ffffdc,
    0xccccccc8,0x00004ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x25fff000,0xffeb88d8,0x2bf71fcd,0x213e25fb,0x97d41ffd,
    0x04fffffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88800000,0x88888888,0x543bf208,0x41dec981,0x4412a0c1,0x2227501b,
    0x00008888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffb8000,0x7fffffff,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33100000,0x33333333,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_24_latin1_x[224]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_24_latin1_y[224]={ 19,4,4,4,4,4,4,4,4,4,4,6,15,12,
15,4,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,8,4,4,6,4,
4,4,4,4,4,9,9,12,4,2,4,6,4,4,4,9,4,10,18,4,4,9,4,4,4,8,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,4,4,4,
3,4,4,3,8,8,4,4,3,4,4,4,3,4,4,4,4,4,3,4,4,7,8,4,4,3,4,4,4,4,
 };
static unsigned short stb__times_bold_24_latin1_w[224]={ 0,5,10,11,11,20,18,4,7,7,9,12,5,7,
5,7,11,9,10,10,10,11,11,11,11,11,5,5,12,12,12,9,20,16,14,15,15,14,13,17,17,8,11,18,
14,21,16,17,13,17,16,11,14,16,16,22,16,16,15,5,7,5,11,13,5,11,12,10,12,10,9,11,12,6,
7,13,6,18,12,11,12,12,10,8,8,12,11,16,11,11,10,7,3,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,5,9,11,11,11,
3,10,8,16,7,11,13,7,16,13,8,12,6,6,5,13,12,5,5,6,7,11,16,16,16,9,16,16,16,16,
16,16,22,15,14,14,14,14,8,8,8,8,15,16,17,17,17,17,17,10,17,16,16,16,16,16,13,11,11,11,
11,11,11,11,16,10,10,10,10,10,7,7,8,8,11,12,11,11,11,11,11,12,11,12,12,12,12,11,12,11,
 };
static unsigned short stb__times_bold_24_latin1_h[224]={ 0,16,8,16,17,16,16,8,20,20,9,12,8,4,
5,16,16,15,15,16,15,16,16,16,16,16,12,15,12,6,12,16,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,16,16,15,19,15,16,15,16,16,16,15,15,15,19,16,19,8,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,11,11,11,10,15,10,20,20,20,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,16,11,15,
20,20,4,16,7,10,6,4,16,2,8,12,8,9,4,15,20,4,6,8,7,10,16,16,16,16,20,20,20,19,
19,19,15,20,20,20,20,19,20,20,20,19,15,20,21,21,21,20,20,10,17,21,21,21,20,20,15,16,16,16,
17,16,16,17,12,16,16,16,17,16,15,15,16,15,16,15,16,16,17,16,16,10,12,16,16,17,16,20,20,20,
 };
static unsigned short stb__times_bold_24_latin1_s[224]={ 255,205,167,211,98,171,145,250,143,205,157,
190,206,226,180,176,184,202,244,244,18,11,23,52,64,76,225,250,164,167,177,
163,222,129,187,74,139,115,173,56,155,146,117,44,55,84,1,235,155,217,212,
208,29,129,146,204,1,227,211,18,227,235,187,234,220,118,31,130,18,141,45,
44,16,9,243,236,229,231,18,152,185,90,43,216,130,66,31,1,90,103,79,
143,251,166,186,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,
77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,255,198,24,
173,54,186,151,172,199,88,219,102,235,226,35,89,178,203,199,150,208,63,183,
214,249,212,227,125,128,111,94,1,19,45,62,1,34,51,106,112,128,151,97,
241,213,196,36,208,29,155,71,1,53,1,79,114,68,36,19,89,174,191,70,
223,235,1,133,13,25,86,101,37,48,59,110,70,1,169,247,177,164,198,196,
220,121,232,105,137,89,192,158,145,81,118,130,106, };
static unsigned short stb__times_bold_24_latin1_t[224]={ 1,44,147,44,44,44,64,131,1,1,147,
131,147,156,156,64,64,98,115,64,131,81,81,81,81,81,131,98,131,156,131,
81,1,115,98,98,98,98,98,98,98,115,81,131,115,115,98,81,115,23,98,
64,131,81,81,81,131,115,115,44,81,23,147,156,156,131,98,131,98,131,115,
98,115,115,1,98,98,131,147,131,81,98,147,131,98,147,147,147,147,98,147,
23,1,23,156,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,
131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,1,81,44,
81,147,115,1,1,156,81,147,147,147,156,81,144,147,131,147,147,156,131,1,
156,147,147,147,147,64,64,64,81,23,23,23,44,44,44,115,23,23,23,23,
23,1,1,23,23,115,1,1,1,1,23,23,147,44,1,1,1,23,23,115,
44,44,64,44,64,64,44,131,64,64,64,44,64,115,115,44,115,64,115,64,
64,44,64,81,147,131,44,44,44,64,1,1,1, };
static unsigned short stb__times_bold_24_latin1_a[224]={ 87,115,193,173,173,347,289,96,
115,115,173,198,87,115,87,96,173,173,173,173,173,173,173,173,
173,173,115,115,198,198,198,173,323,250,231,250,250,231,212,270,
270,135,173,270,231,327,250,270,212,270,250,193,231,250,250,347,
250,250,231,115,96,115,201,173,115,173,193,154,193,154,115,173,
193,96,115,193,96,289,193,173,193,193,154,135,115,193,173,250,
173,173,154,137,76,137,180,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,87,115,173,173,173,173,76,173,
115,259,104,173,198,115,259,173,139,190,104,104,115,200,187,87,
115,104,114,173,260,260,260,173,250,250,250,250,250,250,347,250,
231,231,231,231,135,135,135,135,250,250,270,270,270,270,270,198,
270,250,250,250,250,250,212,193,173,173,173,173,173,173,250,154,
154,154,154,154,96,96,96,96,173,193,173,173,173,173,173,190,
173,193,193,193,193,173,193,173, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_24_latin1(stb_fontchar font[STB_FONT_times_bold_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_24_latin1_s[i] + stb__times_bold_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_24_latin1_t[i] + stb__times_bold_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_24_latin1_x[i];
            font[i].y0 = stb__times_bold_24_latin1_y[i];
            font[i].x1 = stb__times_bold_24_latin1_x[i] + stb__times_bold_24_latin1_w[i];
            font[i].y1 = stb__times_bold_24_latin1_y[i] + stb__times_bold_24_latin1_h[i];
            font[i].advance_int = (stb__times_bold_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_24_latin1_s[i] + stb__times_bold_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_24_latin1_t[i] + stb__times_bold_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_24_latin1_x[i] + stb__times_bold_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_24_latin1_y[i] + stb__times_bold_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_24_latin1_LINE_SPACING
#endif

