// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT        176
#define STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_25_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_25_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_25_latin1_LINE_SPACING          16

static unsigned int stb__times_bold_25_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x30000000,0x99988155,0x00000000,
    0x00026098,0x0001104c,0x88000440,0x00000081,0x009ff500,0x0013fe60,
    0x80009ff5,0x88002ffd,0x440007fe,0xf9800fff,0x2001dd16,0xffd885ff,
    0x3fea0005,0x2ff70005,0x22000ffa,0x00dbdffe,0x7b7032a0,0xd95003bb,
    0x0b37bfdf,0x0001ffd8,0x80013f60,0xf70005fc,0x7fcc000d,0xfd10006f,
    0x7fe40003,0x9ffb804f,0xfa802ffa,0x017fea05,0x01ffff80,0xfa8ffb80,
    0x3faa000f,0x32006fff,0x1be0fb85,0x4c17ffb0,0x4fd807fd,0x017e0000,
    0x8000bf00,0xdd0001fb,0x20005f73,0xf10004f8,0x8801fb1b,0x6401324d,
    0x02ffd405,0x5f9afb80,0x15437000,0x0bc98e00,0xdf03f700,0xffb02ff8,
    0xd803ec07,0x09300006,0x00059800,0xb5000570,0x30003541,0x90f6000b,
    0xa8000009,0x02ffd400,0x3d10f440,0x00004000,0x2fd40008,0x09517fcc,
    0xf1017ff6,0x00006c00,0x00000008,0x04000000,0x00040001,0xaaa80400,
    0x455511aa,0x511aaaaa,0x35ffa855,0x04100037,0x373fb200,0x3b2002de,
    0x402dedcf,0x9ffd02fe,0x02fff980,0x00020038,0xbdb9fd90,0x3fff2605,
    0xff910bef,0x3fff267d,0xff910bef,0x67f6407d,0x32002ded,0x02dedcfe,
    0x7dffff93,0x4fbff221,0x710efff9,0x77ffcc5f,0xfa85f710,0x0effeddf,
    0x30009300,0xdfe88bfd,0x117fa600,0xff301bfd,0x37ffe601,0x03fff700,
    0x0024c000,0x7445fe98,0xfff900df,0x3203ea01,0x1f500fff,0xd117fa60,
    0x7f4c01bf,0x806ff445,0xf500fffc,0x4c6ffb81,0x4c6ffb85,0x52fffa85,
    0x3f2009ff,0x1bfe6000,0xf9837fcc,0x0dff306f,0x77440ff9,0xffd81eff,
    0x7e400007,0x37fcc000,0xf906ff98,0x41a201ff,0xd100fffc,0x4c1bfe60,
    0xdff306ff,0x641bfe60,0x0d100fff,0x01c87ffe,0x40e43fff,0x7ff45ffa,
    0x01ffc400,0x6c07ffd0,0x3ffe84ff,0xfd13ff60,0x362fa20f,0x7ffc1fff,
    0x3e200006,0x7ff4003f,0x213ff603,0x1a207ffb,0xd103ffdc,0xd80fffa0,
    0x3ffe84ff,0x2e13ff60,0x41a207ff,0xb8165ffb,0x7d4165ff,0x017fec5f,
    0x5c01ffee,0x3ee00fff,0x3ffee0ff,0x83ffee00,0xb8f907ff,0x3fff45ff,
    0xfff70000,0x07ffdc00,0xb81fff70,0x41a207ff,0x1a207ffb,0xb803ffee,
    0x3fee0fff,0x3ffee00f,0x103ffdc0,0x23ffe20d,0x3ffe2039,0xbff50398,
    0x7403ffd8,0xfd802fff,0x7ffd407f,0x501fff62,0x37fc5fff,0x7fd41fe8,
    0x003fff20,0x17fff400,0x407ffd80,0x7dc2fffa,0x5c1a207f,0x21a207ff,
    0x7d407ffd,0x1fff62ff,0xb85fff50,0x81a207ff,0x400ccffc,0x500ccffc,
    0x3ffd8bff,0x1bffaee0,0x301fffe0,0x7ffc9fff,0x27ffcc07,0x3ff60dff,
    0xff507ec0,0x7700003f,0x3e00dffd,0x7fcc07ff,0x03ffdc4f,0x1ffee0d1,
    0x7fff8688,0xf27ffcc0,0xff980fff,0x03ffdc4f,0x7ffcc0d1,0x5fff9805,
    0xfb17fea0,0x7dc7403f,0x7ffc01ff,0x2fffcc06,0xf980dfff,0x41ffa5ff,
    0x1762fff9,0x100bfff1,0xfffb8e80,0x06fff801,0x2e2fffcc,0x41a207ff,
    0x1a207ffb,0xf301bffe,0x37ffcbff,0x717ffe60,0x03440fff,0x6c00bff6,
    0x3fea02ff,0xa807ff45,0x80bfff14,0x7d407fff,0x1fffe4ff,0x6c9fff50,
    0x3ffee07f,0xff980e9c,0xa816a02f,0x00bfff14,0xfa80ffff,0x3ffdc4ff,
    0x3fee0d10,0x3fe1a207,0x7ffd407f,0x501fffe4,0xffb89fff,0xf501a207,
    0x03fd400f,0x2a33ffea,0xc83603ff,0x3fa00fff,0x7ffdc07f,0x701fffa3,
    0x7fd47fff,0x3fffea00,0x2bbfe600,0xd8036e20,0x003fff20,0xfb80fffd,
    0x3ffdc3ff,0x3fee0b10,0x3fa16207,0x7ffdc07f,0x701fffa3,0xffb87fff,
    0x3a016207,0x20274004,0xfffcdffa,0xff116604,0x7ffdc09f,0x83fff200,
    0x3200fffb,0x17f40fff,0x017ffa60,0xdddffb71,0x7c459807,0x7fdc04ff,
    0x3fff200f,0x807ffdc0,0x1fff7059,0x3fee1660,0x3fff200f,0x803ffee0,
    0x7dc0fffc,0x00b300ff,0x01c80039,0x018affd4,0xeeeeeec8,0x3fe00fff,
    0x13ff603f,0xfd80fffe,0x805fb84f,0x2001ffd8,0xdd9000ad,0x1fffdddd,
    0x203fff80,0xff984ffd,0x2609501f,0x09501fff,0xfd80fffe,0x03fff84f,
    0x3e613ff6,0x109501ff,0xb04402c1,0x00bff500,0xfff982c4,0x41bfea03,
    0xfa80eff9,0x1dff306f,0x3f603f60,0x4c00ff61,0x058800ff,0xa807fff3,
    0xdff306ff,0x40bffe01,0x0bffe01d,0x6ffa80ec,0x501dff30,0x3fe60dff,
    0x05fff00e,0x2aff1076,0x2abfc402,0x005ffa80,0xfffe80b6,0x20ffe600,
    0x3e600dfe,0x00dfe83f,0x717f426c,0x0fe4003f,0xffd016c0,0x3ff9801f,
    0x2a00dfe8,0x0f221fff,0x443fff50,0x1ffcc03c,0xf3006ff4,0x01bfd07f,
    0x910fffd4,0x0b7ff107,0x00b7ff10,0x4c01bfee,0x3ffee01f,0x6776c404,
    0xb1003efd,0x07dfb9dd,0x4bee2640,0xf71005e9,0x403f300b,0x8804fffb,
    0x3efdceed,0xdfffd300,0x3fa6005b,0x1002deff,0x7dfb9ddb,0x33bb6200,
    0xd3003efd,0x405bdfff,0x36a003da,0xdddb3003,0x77fdc017,0x7fff5c43,
    0x0331004f,0x00198800,0xbd930220,0x800c4007,0x5c43effb,0x004ffffe,
    0x88000662,0x26200019,0x0cc40001,0x00662000,0x00019880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00440000,
    0x01300000,0x00006200,0x13300060,0x31044000,0x00000180,0x00000000,
    0x30620000,0x01800000,0x3fae2004,0x87bff90f,0xfeeffec9,0x1ffa80ce,
    0x000bff50,0x3bf73fb2,0x02ed8802,0x200eff88,0x3ae200f9,0x02bbbbdf,
    0x7fc7fe20,0x9001f302,0xff8805ff,0x1fff1006,0x003ffb80,0xfc803ffd,
    0x0003cbef,0x7dc05ff7,0xa8019505,0x70df90ff,0x0fcfffff,0x5407ff90,
    0x7f4c007f,0x006ff445,0x3ea001fd,0x807cc00e,0x12a01bea,0x7c57fcc0,
    0x001f303f,0xffb005ff,0xfff9007f,0x00df7009,0xe8803ff1,0x000ffffe,
    0xf1007fd0,0x9803ea0d,0x98df90ff,0x3e7fffff,0x003ba600,0x3e6005f5,
    0x0dff106f,0xed801bea,0xd80f9800,0x0091000e,0x260398aa,0x01fcc00f,
    0x03f467cc,0x03f637e2,0xf7003f20,0x2e633003,0x7f30001c,0xd817fc00,
    0x21ff300e,0x7ffec6fc,0x0003e7ff,0xfd003a80,0x27fec07f,0x1b003fdc,
    0xb903e600,0x00093000,0xb801f300,0x3d87d003,0x00b91360,0x005900b2,
    0x0ea00000,0x2607ff00,0x21ff306f,0x7fff46fc,0x5403e7ff,0x00000aaa,
    0xb803ffee,0x7fd40fff,0x4c002000,0x2203ea0f,0x2241333b,0xbeffffc9,
    0x27dff910,0x000000f9,0x00080008,0xffd50000,0xffd881df,0x8800003e,
    0x07fa02ff,0x37e43fe6,0x9ffffffa,0x7ffd300f,0x3fffff26,0xd87fffff,
    0x7fd407ff,0x00ffcc2f,0x1f300498,0x56f4c1f4,0x202a3ffc,0xf500fffc,
    0xfc987cc1,0xffffffff,0x7ffe4c7f,0xff930bef,0xffffffff,0xffffc98f,
    0xfff930be,0xffd817df,0xfb8f305f,0x4c0cffff,0x7fd45ffd,0x2617f200,
    0xc8df90ff,0x3e7fffff,0x70fff200,0x7fa81fff,0x4c07fff8,0x7fc44fff,
    0x001f9000,0x303e61f3,0x83ffe1ff,0x0fffc838,0x40f98d10,0x7d40fffb,
    0x03fff707,0xf503ffee,0x07ffee0f,0xb80fffdc,0x6884ffff,0x407fff88,
    0x407f982f,0x7fcc0ffb,0xffa8df90,0x803e7fff,0x7fdc3ffc,0xff87980f,
    0x7ffcc06f,0x88037cc5,0x0e9803ff,0x23fe88f9,0x5c1c46ff,0x31a207ff,
    0x0fffb81f,0xfff70798,0x03ffee01,0x7ffdc1e6,0x01fff700,0x0bfffeee,
    0x1fffdc1a,0x03fa05a8,0x7cc2ffa8,0xf90df90f,0x007cffff,0xffb87ff9,
    0xff85860f,0x7ffcc07f,0x4003b624,0xd8007ffb,0xf987fe45,0x7dc0cc4f,
    0xf31a207f,0x20fffb81,0x7ffdc161,0x41fff700,0x7ffdc161,0x01fff700,
    0x3fffeaae,0xfffd0340,0x74401d01,0x30ffea04,0x41bf21ff,0x03e7ffda,
    0x7dc3ffc8,0xe81960ff,0x7fd407ff,0x8005f13f,0x4002fffe,0xf72ffc3e,
    0xff70383f,0x3e63440f,0xb07ffdc0,0x0fffb80c,0x2c1fff70,0x03ffee03,
    0xb807ffdc,0x41dfff92,0x0fffea06,0x03ee0077,0xff313fea,0x2601bf21,
    0xffc803e7,0x987ffdc3,0x07ffdc05,0x4c1fff70,0xfd77004e,0x21f800df,
    0x1ffe2ffa,0x03ffdc12,0x5c0f98d1,0x00b30fff,0x2e01fff7,0x00b30fff,
    0x2e01fff7,0x45700fff,0x01a5fffd,0x1a21fffd,0xfa80f640,0xc87fcc3f,
    0x07cf006f,0xfb87ff90,0x805eb9ff,0x3f603fff,0x804f984f,0x01fffb8e,
    0x7fdc5b0c,0x2a8bff71,0x440fff70,0x3ee07cc6,0x805eb9ff,0xf700fffb,
    0x00bd73ff,0x2e01fff7,0x45700fff,0x0d3fffe8,0x594fff98,0x5403fb00,
    0x87fcc2ff,0x7cf006fc,0x70fff200,0x0bffdfff,0x260dff50,0xff880eff,
    0x7fc52a00,0x643e605f,0x2eebff23,0xb80e23ff,0x31a207ff,0xefffb81f,
    0xffb805ff,0xdfff700f,0xff700bff,0x3ffee01f,0xff885700,0xfd8069ff,
    0xf8805aff,0x20ffdc07,0x0df90ff9,0x3200f9e0,0x7ffdc3ff,0xf5005e88,
    0x0efd887f,0x6c03ff30,0x403fff20,0x7d4950f9,0x52ff8cff,0x3fee0d49,
    0x1f316207,0xe88fffb8,0x0fffb805,0xd11fff70,0x1fff700b,0x403ffee0,
    0xffffa82b,0xffff9806,0x00ffa800,0x3fe61bf2,0x9e00df90,0x0fff200f,
    0x1621fff7,0xccefc880,0x7fd403ee,0xff88b300,0x221f304f,0x547f910e,
    0x5c241bee,0x8b300fff,0x7ffdc0f9,0xff700b10,0x3ffee01f,0xff700b10,
    0x3ffee01f,0x3ee05700,0xffb006ff,0x07fe600f,0xff983fd8,0x9e00df90,
    0x0fff200f,0x2241fff7,0x1fffb003,0x640ff700,0xffeeeeee,0x2a0f980f,
    0x206e0005,0x9501fff9,0x7fdc0f98,0xf707120f,0x3fee01ff,0xf707120f,
    0x3fee01ff,0x6c05700f,0xff9006ff,0x81ffc00f,0x1ff307f8,0xf3c01bf2,
    0x0bfee101,0x1041fff7,0x3ffa200d,0x106fb805,0x0fffe60b,0x005903e6,
    0x7ffc0570,0x0f983b02,0x4107ffdc,0x0fffb868,0x041fff70,0x1fff70d1,
    0x403ffee0,0x037f402b,0x2007ffc8,0x03f902ff,0x37e43fea,0xf503e780,
    0xfb83ff73,0x00bb00ff,0x056fffc4,0x05b07f88,0x2607fff4,0x2004c80f,
    0x7ffd402c,0x3e60f221,0x807ffdc0,0x0fffb85d,0x201fff70,0x0fffb85d,
    0x201fff70,0x037c405d,0x1007ffc8,0x05f101ff,0x7e43ff6a,0x1f3c01bf,
    0x84fbafa8,0x2a22fffb,0x544004fd,0xf305effd,0x700fcc1b,0x0f989fff,
    0x71015b30,0x3fa60039,0xf302deff,0x22fffb81,0xfb84fda8,0xfff701ff,
    0x427ed445,0xf701fffb,0xffda83ff,0x401a601d,0xd8807ffd,0x201d981e,
    0x26621999,0x01b34009,0xfb987bb7,0xffeeffff,0x000003ff,0xdff73a88,
    0xfffeb887,0x3003a64f,0x01799997,0x20066200,0xfff730e9,0xffffddff,
    0x7fffdcc7,0xfff730be,0xffffddff,0x7fffdcc7,0xfff730be,0x400017df,
    0x7ffe5401,0x05700adf,0x0000000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10018300,
    0x04400183,0x14c00031,0x10003060,0x260007d9,0x05554000,0x000fba20,
    0x00355100,0x40030004,0x76400dec,0x4004000d,0x81100198,0x0807b501,
    0x4fd9ff40,0x65f7fe40,0x47fe2003,0x1b0002ff,0x6fcafec0,0x01c8ec00,
    0x02f7ee20,0x2013fe20,0x6c00fffc,0x3605f91f,0x5edc406f,0x802e402d,
    0x2604fff9,0xf9104fff,0x2e01b37d,0x402ffcdf,0xb303ea2f,0x3ff20771,
    0x3fa9ff00,0x3ffba205,0x3e6000ff,0x003ff8af,0xaff40488,0x534006fd,
    0x363b6007,0x7d406fba,0xfbef9805,0x7cffe205,0x807f605f,0x201ff3fc,
    0x7fd000fa,0x2ffa01fd,0xfffb80fe,0x4ff905ff,0x3f300ffb,0x0d0e435c,
    0x5cc0fffe,0x8cc01710,0xa8001cb9,0x5c000e62,0xb885c401,0x7565c001,
    0x3b2fb800,0x00bb01ee,0x201f9936,0x403b50db,0x4bfe04e8,0x03f883fe,
    0x13623d50,0x426c47aa,0x2019d934,0x0ffea6ff,0x261763d4,0xffd03b9d,
    0x04000007,0x80008000,0x00006cb9,0x80075c00,0x0343b3fe,0x4414400a,
    0x28800001,0x3fa5ff30,0x2a006c86,0x280a8280,0x2ffc4000,0x1b209ff3,
    0x80b6a07f,0xfc981ffd,0x800befff,0x49800049,0x7ed7e400,0x3fff260e,
    0x7fffffff,0x4003f200,0x861dbfff,0x5532aaa8,0x95554435,0x2a21aaa9,
    0x355532aa,0x10379510,0x517fa5ff,0xca88001f,0x2f2a200a,0x06f2a201,
    0xff52ffcc,0x56f554c3,0x5442cfba,0x1ff901bc,0x00fffdc0,0x80001f90,
    0xbf7000fc,0x3ee0fff2,0x03fd40ff,0x9003ff88,0x6403ffff,0xbffb16ff,
    0xfb16ffc8,0x16ffc8bf,0xaeb8bffb,0x3fe84ffa,0x01f445fd,0x3f27be60,
    0xffaaeb83,0xffaaeb84,0xd35ff984,0xffffc83b,0x2e6fffff,0xa84ffaae,
    0x7ffdc06f,0x07ff1000,0x01ffc400,0xfed9ffc4,0x80fffb83,0xfff70079,
    0x3fffe200,0x4dff302f,0x7fcc5ffb,0xf317fee6,0x52ffdcdf,0x217fe4df,
    0x645f8cfa,0x17fc4006,0x937d45ff,0x937d45ff,0x5ff985ff,0x3e609f93,
    0x4df51ae1,0x27c42ffc,0x003ffee0,0x0003ffdc,0xf500fff7,0x2031555f,
    0x5860fffb,0x05fffd00,0x3ffffa20,0x2a6ff884,0x37fc45ff,0xff88bff5,
    0xfc97fea6,0x207ff91f,0x207d40ba,0x83ff6018,0x47ff27fe,0x3ff23ffc,
    0xf987ff91,0x5c27fc5f,0x3ff22ec7,0x5d07ff91,0x00fffb80,0x005fffd0,
    0x00bfffa0,0x700b7ff7,0x032c1fff,0x0dffd770,0x4ffffb80,0xff537fc4,
    0x2a6ff88b,0x37fc45ff,0x9ec4bff5,0x2003ffd8,0x2bb223e8,0x20fff83e,
    0x27b10ffe,0x3623ffd8,0x987ffb13,0x07ff45ff,0xd887f1b2,0xb07ffb13,
    0x0fffb803,0x6ffebb80,0xffebb800,0x277fdc06,0x987ffdc0,0x7dc74005,
    0x7ec001ff,0x37fc47ff,0xff88bff5,0xf117fea6,0x42ffd4df,0x03ffdeb8,
    0x27f91b20,0x3ffe21fe,0x710bff60,0x7107ffbd,0xf987ffbd,0xb8fff45f,
    0xefeeeffe,0x7ef5c44e,0x5c00c83f,0x8e800fff,0x4001fffb,0x01fffb8e,
    0x2007ffe6,0x5eb9fffb,0x7fc52a00,0x756c005f,0x9bfe22ff,0x7fc45ffa,
    0xf117fea6,0x22ffd4df,0x3ffc8efa,0xff83f500,0x7ff89fd2,0xdf50ffec,
    0xfa87ff91,0x4c3ffc8e,0x97ff45ff,0xfdccdfca,0x23bea3cc,0x80083ffc,
    0x5400fffb,0x00bfff14,0x5fff8a54,0x897ffe20,0xfefffb83,0xc836005f,
    0xb1200fff,0x7c45ff33,0x117fea6f,0x2ffd4dff,0xffa9bfe2,0x7e47fe65,
    0x43e8803f,0x8dfb2ff9,0x9ffa0ffc,0x7ff91ff9,0xffc8ffcc,0x362ffcc3,
    0xc87e61ff,0xf91ff986,0xf700107f,0x20d801ff,0xb000fffc,0x007ffe41,
    0x3f9bfff5,0xd11fff70,0xf116600b,0xb07409ff,0x9ffe1fe3,0x7ff85ffb,
    0x3fe17fee,0xfd97fee7,0x007ff91f,0x25ff10d9,0x07fd44fe,0x8ffec9fd,
    0x3ff63ffc,0xf987ff91,0x8ff7595f,0x7ec2ec7b,0xb87ff91f,0x3fee00ff,
    0xf116600f,0x8b3009ff,0x6c04fff8,0xf702efff,0x401621ff,0xfeeeeeec,
    0x21dd00ff,0xfe84fa9d,0x86ffebaf,0xffebaffe,0xebaffe86,0x3fffa6ff,
    0x202dffde,0x27fb01f9,0x13fe81fe,0x7fff43ff,0xfd2dffde,0x5bffbdff,
    0x6fceffd4,0x3e3643f9,0xdefffe83,0x3ffa2dff,0x03ffee03,0xeeeeeec8,
    0x76400fff,0xfffeeeee,0x0026b100,0x2241fff7,0xff305883,0x37fae07f,
    0xff301dde,0x87fff59f,0xffacfff9,0x67ffcc3f,0xfd53fffa,0x01dfd11b,
    0xde980fa2,0x9fb104f8,0xdfea83dd,0xd50efe88,0x1dfd11bf,0x7657ffa2,
    0x3e24e84d,0x88dfea81,0x3fee0efe,0x03ffee00,0xfff982c4,0x7cc16203,
    0x005703ff,0x4107ffdc,0x3a02d868,0x26200fff,0x0013001d,0x04c00098,
    0x09300000,0x22002e60,0x00000009,0x44150000,0x0100000a,0x201fff70,
    0x3fffa02d,0x7f405b00,0x400580ff,0xbb00fffb,0x3ee01f98,0x00a804ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x1f981fff,
    0x213ffee0,0x3fee01f9,0x20024c4f,0x2a22fffb,0x3bfee4fd,0x7fff5c43,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0xfff73000,
    0x3fee17df,0x7ff5c43e,0x3bfee4ff,0x7fff5c43,0x4c00224f,0xeefffffb,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20310000,0x001aa982,0xaaa80aaa,0x06aa2000,
    0x0002ee98,0xaa980020,0x22001001,0x00400000,0x00c00044,0x00355100,
    0x00401800,0x80080100,0x2e201009,0x72efeced,0x00bfd109,0xf980ffe6,
    0x3ff2003f,0x81fffa00,0x105f92fd,0xd80b627b,0x77fdc06f,0x5407e600,
    0x930bf54f,0x01f9807f,0x09dfb930,0x501ff900,0x3017ea9f,0x9d9b701f,
    0x2fbf2201,0x1fe4c0d9,0xff103ee0,0x444fe885,0x3a205efe,0x03fc800f,
    0x3e006f98,0x337ea00f,0xf4ff883f,0x06f6c0bf,0xb980ff40,0x13a03fd8,
    0x1ff97fd8,0x7403fd98,0x229f1004,0x7fc001ff,0x3f2ffb00,0x2a17200f,
    0x2e09f54f,0x985fffff,0x0be203fd,0xfe897fea,0x80dff306,0x04e803e8,
    0x2a003ea0,0xf51fc01f,0x36a1b701,0x01fbb701,0xd9009d10,0x36603640,
    0x3f207b12,0xb801b203,0x8013fa3f,0x4b6601fa,0x21f403d8,0x5ff11ff8,
    0x033b2690,0x09d01fe4,0x7f453fe6,0x7fff103f,0x02801880,0x19800980,
    0x004c0c40,0x77c4b200,0x6c028800,0x01f982ff,0x81fe4000,0x3fa001f9,
    0x98007f65,0xf9800001,0xff0ffdc0,0x7f90000d,0xff803ee0,0x101fff52,
    0x101fff9d,0xca880195,0x32aaa880,0x95103555,0x0ca88037,0x40065440,
    0x2206fc88,0x32200aca,0x1004e87f,0x7e401595,0xf8009d03,0x003f98ff,
    0x8802b2a2,0x35c01bca,0xfff07fec,0x802b2a20,0x02f883fc,0xfffc87ec,
    0xfffa9e80,0x674efcc2,0xce9df980,0xd8b7fe40,0x5575c5ff,0x3bf304ff,
    0x3bf3019d,0x9fd3019d,0xdf307ffd,0x5e807f93,0xef98035c,0x7f903fc9,
    0xfd000d70,0x4c001bdf,0xb83fc9ef,0x204ffaae,0x20ffe83e,0x77cc0fff,
    0x7f903fc9,0x4d700bd0,0x32d87ffe,0x7fc47fff,0xff88bf51,0xff98bf51,
    0xfa97fee6,0xf10bff26,0xf117ea3f,0xf317ea3f,0x11bfe25f,0x717fc5ff,
    0x1f987a19,0x3e2ff880,0x4c4fc82f,0xffd8001f,0x3bff621f,0xff8bfe21,
    0xffc9bea2,0xff81f882,0x887ffe0f,0x20bfe2ff,0x007dc4fc,0x8dfff24c,
    0x97ffe63c,0x83fea7fc,0x83fea7fc,0x3fea6ff8,0x7e47ff25,0xf53fe43f,
    0xf53fe41f,0xd07fdc1f,0x20ffd8ff,0x2b76a7fe,0x20cc2740,0x1ffa0ffd,
    0x27437993,0xebd980cc,0x437c0eff,0x9ffa0ffd,0x7ff91ffc,0xfff10d70,
    0xfb17ffc1,0x263ff41f,0x45f11bcc,0xffe800a8,0xfff512e7,0x54cf7f47,
    0x27bfa2ff,0x3e22ffa9,0x897fea6f,0x87ffb13d,0xffa99efe,0x2a67bfa2,
    0x83ffa2ff,0x3ffe1ffe,0x2003ffa0,0x7c4f886b,0x03ffa0ff,0x13e21ae0,
    0x7ffccbf2,0x3fe03e25,0x443ffa0f,0x07ffb13d,0x1fff109b,0xfff17ffc,
    0x4007ff41,0x0bfff25d,0x16afffb0,0xff87ffee,0x20aaaaaf,0xaaaaafff,
    0xfa9bfe20,0xfdeb885f,0x557ffc3f,0x3ffe0aaa,0xf10aaaaa,0x12ffe8ff,
    0x7fec1fff,0x220fcc02,0x3ffe24fe,0x300bff60,0x44fe883f,0x3ff20ff9,
    0xff10593f,0x217fec1f,0x43ffdeb8,0x1fff01f8,0xff887ffc,0x00bff60f,
    0x323221f7,0x7ffdc06f,0x7ffc80ea,0x3e007ffc,0x7fc400ff,0xf517fea6,
    0xf87ff91d,0x7ffc00ff,0x3a3ffc00,0xb1ffe1ff,0x84e803ff,0x3ffc4fbd,
    0x9d007ff6,0xfc89f7b0,0x5ffff42f,0xfb1ffe05,0x6477d43f,0xd03d43ff,
    0x23ffc1ff,0x0ffec7ff,0x3e605f10,0x0effe804,0xfd89ffb0,0x1ffec03f,
    0xfa9bfe20,0x647fe65f,0x1ffec3ff,0xd00fff60,0x07ff41ff,0x3ff41ff9,
    0x2a721ae0,0xd07fe44f,0xc86b80ff,0x7ffc4fa9,0x17fffc45,0x7f41ff90,
    0x7e47fe67,0xf9026c3f,0x3237fc3f,0x01ffa0ff,0x007dc0bb,0xfa837fcc,
    0x46ffb85f,0x51bfee1a,0x3ee7ff83,0x647ff65f,0x37fdc3ff,0x46ffb86a,
    0xf83ff21a,0xd07fd46f,0x20fcc09f,0x21dfcadb,0x13fa0ffa,0x56dc1f98,
    0x3ff21dfc,0x7fffd44f,0x07fd4753,0x8ffec9fd,0x017c3ffc,0x17fc3ff1,
    0x4fe83fea,0x74403ee0,0x13ffa001,0x3e209fd1,0x443cbfff,0x83cbffff,
    0xffebaffe,0x37bfffa6,0x3fe22dff,0x7c43cbff,0xe83cbfff,0xd01ff12f,
    0x807fe27f,0xfeeeb84e,0xf89ff42f,0x2e13a01f,0x262ffeee,0xebbeffff,
    0x86fffffd,0x43ff13fe,0xffdefffe,0xf700f52d,0x7f41bea7,0x2203ff13,
    0x535d102f,0xfc8ac803,0x402dfdce,0x304fffe9,0x2609fffd,0xfffacfff,
    0xd11bfd53,0xffe981df,0xfffd304f,0x3afb6209,0xd9fb101d,0x0075c03d,
    0x3f6213ea,0x3ae01eec,0x5427d400,0x30cfffff,0xb101dffd,0xea83dd9f,
    0x0efe88df,0x33ee00b9,0x9fb100de,0x02ec03dd,0x401ffffb,0x00198838,
    0x03100188,0x00000260,0x03100188,0x988004c0,0x9801c800,0x0026202c,
    0x0b260072,0x06601a98,0x00002620,0x0130006a,0x93002620,0x33332a01,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09988000,0x00060004,0x00330008,0x00020620,
    0x00060011,0x19800040,0x80022004,0x880c4001,0xffffb000,0x3ffa63ff,
    0xffff3005,0x1009ffff,0xc8803003,0x20155502,0xdfecffea,0x6dc404aa,
    0x800bdfdf,0x4c0cffeb,0x803ffebc,0xbdfefeca,0xbeda8059,0xfbfb7100,
    0x7640017b,0x202dedcf,0xacfddfd8,0xfecfd884,0x9f9db103,0x4fcdc801,
    0x7fc4026c,0x7d46ffff,0xfff7005f,0x003fffff,0x3fb220fd,0x83ffd04f,
    0xfd884ff8,0x27fdcc2e,0xb9837d30,0x3fff200e,0xfd1f44ff,0x5ffec03f,
    0x881ff660,0x5f4c02fe,0x20075cc1,0x7f445fe9,0x220fe80d,0x22fe84fc,
    0x8ff442fe,0x47f205fd,0x201ea3ff,0x2eeeeeea,0xd802ffcc,0x7fffffff,
    0xfd07fc80,0xfd0bffff,0x884fb85f,0x3ee02fff,0x4183d304,0x88ba80e9,
    0xdf50fffc,0xfd82ffdc,0x441f603f,0x0f4c01fe,0x7cc03a60,0x8dff306f,
    0xa89d04fb,0x91bf20ff,0x827fccff,0x44dff2ff,0x800ec01f,0x7d005ff9,
    0x5404f883,0xcbda87ff,0x6cc1ffff,0xffb05d83,0xd109d00b,0x36f3f623,
    0x40c0e98e,0x4ff50fff,0xffd86ffa,0x7443c405,0x54f4403f,0x30cdddff,
    0x07ffd01d,0xdfb27fec,0xffe8b501,0xff83fea2,0x2a1ffe26,0xd85d53ff,
    0x06afe204,0x2e2bff30,0x3f502882,0x43fff440,0x017ffcc4,0x3ffea050,
    0x3b838802,0x70e81ff1,0xa8bfd007,0xf313fee1,0xd07005ff,0x6c7700ff,
    0x1dc9f73f,0xb803ffee,0xdffb0fff,0xeffd8501,0x7fc4df71,0x3207ffc7,
    0x035c04ff,0x05dffff7,0x3f73bfe6,0x0fb000ef,0x007ff9e8,0x98503ffd,
    0x7fe42aaa,0x43a0000f,0xb30a85fd,0xd805f880,0x7ffdc0ef,0xdff98001,
    0x6c1d00ba,0x261ff33f,0x203ffec5,0xff72fffa,0x7d4019ff,0x21eeafff,
    0x7ffc7ff9,0x202ffe42,0xfffd01f8,0xff30dfff,0x017fe63d,0xf3c813e2,
    0x1ffa00ff,0xbffb1064,0x0007ffe8,0x017fc5a2,0x3dfd503c,0x6c077cc0,
    0xf70007ff,0x43bffbff,0xfc9fec68,0x1fffe3c5,0x749fff30,0x203fffff,
    0x80fffffb,0x3ffa1fff,0x9fffd952,0x640fa019,0x4fffffec,0x3fa2ffcc,
    0x80fd401f,0x201ffe5a,0x85b04ff8,0x7ffc5ffa,0x4d660007,0x81d801ff,
    0x01fffffb,0x37ffc0b9,0x51ffd800,0x362ccdff,0x1d84fedf,0xf301bffe,
    0x7fec4bff,0xf700efff,0xff909fff,0xfb87ffc9,0x01ffffff,0x3faa00d7,
    0x17fe60ff,0x7d805ffb,0x3ffc1d10,0x7f037d40,0x7f45ff98,0x3333307f,
    0x7c5a2133,0x2207801f,0x0b04fffd,0x0007ffe8,0x7ffc3fff,0xcbfd8d12,
    0x7ffc784f,0x27ffd407,0x37ffff54,0x7fffe74c,0x6f7fe444,0x0fff06ff,
    0x6c001f30,0x17fe62ff,0x7c407ffb,0x7ff83b04,0xf101fd80,0x6c5ff98b,
    0xfb980fff,0x43a0aeff,0x02cc03fe,0x03837fdc,0x0007ffe4,0xfd87ffe2,
    0xbfd83a3f,0xd1661ff8,0xffb80fff,0xfff7013f,0xe8bfd43f,0xbb880fff,
    0xffb04ffb,0xd000fa00,0x22ffcc3f,0x3ea02ffd,0xccccea82,0xf501cfff,
    0x263fd405,0x7ffdc5ff,0x213ffe01,0x383ff32c,0x3fe200ee,0xffa80106,
    0xffe8001f,0x2c8fff21,0x72fe4ffa,0x00fffb87,0x82c3fff2,0x3fa3ffe8,
    0x00bffe25,0x3ea03ffb,0x800b9005,0x22ffcc7c,0x1f600ffd,0x7fffffdc,
    0x2f882fff,0x41ff9044,0x7fc45ff9,0x13ffe03f,0x6fecc3a6,0x4003a63c,
    0x880104fd,0x40805fff,0x3ff22ffd,0x3fee3a61,0xe9cff8bf,0x203fff80,
    0x403a4ffd,0x9ff13ff8,0x2202ffd8,0xfba882ff,0x40f98384,0x4c4d80cb,
    0x037f45ff,0x332609f1,0x1cfffccc,0x7f4582d8,0x217fe62f,0xff00fff9,
    0x003a609f,0x82c883d3,0x1ffc40fc,0x80bffe60,0xb27fd45a,0x801d30ff,
    0xdff501e9,0xe83bfe60,0xfd87fe05,0x8807fe45,0xfdf882fe,0x02fdcdef,
    0x23fff85f,0x0fff984a,0x7d401ff3,0x83ffc002,0x6ffeeefc,0xff31fffc,
    0x03bfaa0b,0xe9813ffe,0x40f5c40b,0x5f10cffb,0x300dff70,0x5c415dff,
    0x3a7fc80d,0x817d301f,0x7cc01eb8,0x40dfe83f,0x27d41dfe,0x3fe83fea,
    0x2e05fd10,0xffffff92,0xfd717201,0x3e607bff,0x01deceda,0x7fc003ec,
    0xfffffa87,0x17ff44ff,0xec80dff5,0xadfdccef,0x6f75cc00,0xfd101bee,
    0x2201bbff,0xb71004ff,0x807dddff,0x402ecdec,0xbeedeeb9,0x9ddb1001,
    0x2fa07dfb,0x02fdbefc,0x05fb7df7,0x44017db5,0xeffc9fde,0x0c41ea02,
    0x80062080,0x7ff8002a,0x7fffffcc,0x326cc3ff,0x2009fffd,0x200009a9,
    0x0cc00098,0x4c000100,0x00440009,0x00004c40,0x30600662,0x02660035,
    0x20c000c4,0x00150018,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000200,0x21aa880b,0x2a201aa9,0x0aaa80ac,0xaaa81100,0x055511aa,
    0x3bffff2a,0x3bfffaa3,0x9f7fec40,0x0ceffffb,0x0037fedc,0x64c3ee88,
    0x10beffff,0x2607dff9,0xa98511bb,0x003731aa,0xffff7020,0x3fffae5d,
    0x3bf660cf,0x2fff5c01,0x00930000,0xf509ff70,0x81ffdcbf,0x42ff9de9,
    0x64403ff9,0x77ffcc2f,0xc805f710,0xffb00fff,0x2a1e60bf,0x27c04fff,
    0xfffd8160,0x00fffc80,0x7fd101f5,0xd88bd9f3,0xeffeddff,0x35bfd500,
    0x87fff709,0xf106fff8,0x17fea001,0x00fec7fa,0xf70003f2,0x4bff509f,
    0xff883ffb,0xdf50dfb1,0x0bfff260,0x0b31bfee,0x5c0fff90,0x6884ffff,
    0x440fffd0,0xf9836406,0xffc84fbd,0x360d100f,0x217fee4f,0xff52fffa,
    0x3ffffa09,0x5fff882f,0x980fffc8,0x17fea004,0x9ff17ff3,0x001ffc40,
    0x3ea03322,0x20ffee5f,0x41fea7fa,0x7ddcc0fa,0x3fff02ff,0x7fdc00e4,
    0x3ffeee07,0xff50682f,0xa80ee05f,0x7d49d06f,0x103ffdc0,0x543ff70d,
    0x5ffa85ff,0x2e607ff4,0x3203eda8,0x7fcc0fff,0x2001c83f,0x0dc85ff9,
    0x7fdc01b7,0x7d400007,0x20ffee5f,0x3004c6fc,0x817ff401,0x40165ffb,
    0x2ae07ffb,0x340ffffa,0x1a0dfff0,0x0aaeffb8,0xfb833051,0x361a207f,
    0x17fea1ff,0xffb17fea,0xff300005,0x0dffd07f,0x99ba880d,0xd00005ff,
    0x88005fff,0x5cbff501,0x07ff83ff,0x202aaa98,0xff102ffe,0x2e00731f,
    0x64ae07ff,0x81a0efff,0x1d41fffb,0xeefffea8,0x40aaaa61,0x1a207ffb,
    0xffa83ffe,0x6c5ffa85,0x555513ff,0xfe802ee2,0x7fffc46f,0xffa80ea1,
    0x985ffddc,0x5dc02aaa,0x54006ffe,0x5cbff502,0x0fff83ff,0x02ffec40,
    0x7e405ffd,0xf7000ccf,0xfb15c0ff,0xf1034bff,0x200d89ff,0xfb106ff9,
    0x1ffee0bf,0x0fff8688,0x3ea17fea,0x71ffec5f,0xffff5fff,0x8bffea01,
    0x364fffac,0x6c9ff100,0xffd885ff,0x7fdc7405,0x01b1001f,0xffb97fea,
    0x803ffc83,0x3fa05ffa,0x3ffe602f,0x1ffee005,0x3ffa22b8,0xffc80d3f,
    0xf980930f,0x17fea06f,0xd103ffdc,0x7d41ffd0,0x45ffa85f,0x3fe21ffd,
    0x04ffb8df,0xf9697ffe,0x640b11ff,0x17fe61ff,0x9502ffd4,0x2017ffe2,
    0x3fea05e8,0x5153ff65,0x20c43fff,0x3fa05ff9,0x17fec02f,0x40fff700,
    0x7fffc42b,0x7ffcc069,0xff9801b3,0x417fe606,0x1a207ffb,0xffa8bfee,
    0x745ffa85,0x9ffe20ff,0x3f205ffa,0xff33a8ff,0x7f40575f,0x417fe61f,
    0x83605ff9,0x2600fffc,0x3fea01fe,0xceffedaf,0x667fffc0,0x205ff984,
    0x7d402ffe,0x3ffdc007,0xfff50570,0xdffd00df,0xdff300b1,0xb82ffcc0,
    0x216207ff,0xfe88eff9,0xcfffa85f,0x7c43ffa8,0x817fe67f,0x20dbfff9,
    0x7c06effe,0x17fe60ff,0x5982ffcc,0x8827ffc4,0x7fd406ff,0x07ffd3ff,
    0x209fffd1,0x3fa05ff9,0x404e802f,0x81ffee2a,0xdfff702b,0x3dfff500,
    0x40dff300,0xff705ff9,0x5416601f,0x5ffbefff,0xffcdffa8,0x27ff884f,
    0x7f405ff9,0x7ffdc4ff,0x307ffc04,0x3fe60bff,0xddddd905,0xf701fffd,
    0xb71754bf,0xb3003031,0x205ff980,0x1c802ffe,0x7e47fee0,0xd80ae06f,
    0xffd006ff,0x1bfe600d,0xf305ff98,0x012a03ff,0x217fea13,0x40315ffa,
    0x3fe67ff8,0x0fffd405,0xb007ffe2,0x2ffcc3ff,0x5885ff98,0x907fff30,
    0xb2fecbff,0x4fd8000f,0xe817fe60,0x160882ff,0x3f23ff90,0xd00ae05f,
    0x3fee00df,0x0dff1002,0xff02ffcc,0x8007605f,0xffa85ffa,0x4fff1005,
    0xff805ff9,0x700dfb05,0x37fd47ff,0x2d85ff98,0x303fffa0,0xf1fd4fff,
    0x7c40001f,0x817fe605,0xbfc42ffe,0xb37c402a,0x02ec03ff,0x7c401be2,
    0x4fffc006,0x02ffcc0d,0x6443fff5,0x2ffd4003,0x8802ffd4,0x17fe67ff,
    0x7d40bf20,0x8fff8803,0x980fffe9,0x00fcc5ff,0xfb09fff7,0xff89ea7f,
    0x3fb50001,0xf037fd40,0xbff887ff,0xfbbb3005,0x3ff6a03d,0x801a601d,
    0x7f4c003c,0x06ffa81e,0x6f7fff4c,0x6ffa8002,0x3006ffb8,0x3fea1fff,
    0x7c079806,0xbfff3000,0xf509bff5,0x1f7fdcdf,0x3ffffae2,0x81cedb84,
    0x0220005c,0x49fffd30,0xcffffdb8,0x4000f6a1,0x18000009,0x00002200,
    0x09fffd30,0x40003310,0x264eeeda,0x200beeed,0xe8cfffd8,0x01803fff,
    0x884c000c,0x3fffa600,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x59500300,0x00101333,
    0xfffffb70,0x47ffffff,0x9807ffe8,0x03dffffc,0x90f7ffec,0x3ffa21ff,
    0xfff93007,0x0157bdff,0x3117ffa6,0x33333333,0x3fff2613,0x882deeff,
    0xffffffff,0x931fffff,0xffffffff,0x3f261fff,0xffffffff,0x7ffe4c7f,
    0x7fed43ef,0x3fff264f,0x81deefff,0xbeffffc9,0x27ee64c0,0x7fecefe4,
    0x00ffe26f,0x1fff7e20,0xff987fb3,0x1fff2007,0xf83ffe80,0x003ffcc1,
    0x2623fff2,0xff501ffe,0x99999b8b,0x5c299999,0xffc98fff,0x4c73e20e,
    0x07f21fff,0xea83fff7,0x07ffdc0f,0x7fdc1fea,0x40bf502f,0xff517ffc,
    0x3ffee07f,0xff73fd01,0xfa87fd41,0x037fd41f,0x3ffe5e40,0x3ffc43d8,
    0x00fff700,0x1662ffdc,0x7001ffe2,0x7f441fff,0x45ff982f,0xff50a002,
    0x12fffc1f,0x41fff98f,0x0fffd41d,0x7ffdc0f8,0xff507980,0x807f103f,
    0x7fdc7ffb,0x0fffb80f,0x1b89ffa8,0xbff33ff4,0x98005fd0,0x318fff95,
    0x007ff887,0x2b33ffee,0x83ffe202,0x07ff882b,0x207ffdc0,0x7cc2fff9,
    0x8500145f,0x3f60fffa,0xff30e27f,0x7d41a83f,0xb81901ff,0x05860fff,
    0xe983fff5,0x47ffb801,0xfb83fff9,0x1ffd80ff,0xff89ffe0,0x47600005,
    0x18e67ffc,0xbb8bffc4,0x53fff700,0x3f605dfd,0x7fc41a3f,0x20aaaa67,
    0xff80fffb,0x22ffcc4f,0xff50a002,0x03ffe41f,0x2007ffe6,0x4661fffa,
    0x20fffb80,0x7ffd4065,0x5c003aa1,0x7ffcc7ff,0x20fffb81,0x02cffea8,
    0x3fe61ffb,0x00aaaa63,0x9fff23b8,0x3ffe203c,0xb80ffffa,0x3ffe27ff,
    0x936ffa82,0xd89ffe20,0xfffb81cf,0x4c6ffd80,0x500145ff,0x3e0fffa8,
    0x7fcc04ff,0xfffa801f,0xffb80721,0xf500b30f,0x001723ff,0xffc8fff7,
    0x41fff706,0x04efffe9,0x37f27fd1,0x017ff620,0x3fff2344,0x3e203fb8,
    0x09ff74ff,0xffe8fff7,0x573fff04,0x5b1ffe20,0x3fff9310,0x3fff2133,
    0x0517fe60,0x3ffea140,0x801dff50,0xa801fff9,0x1fb89fff,0x2e7ffee0,
    0xfffa805e,0x2000efd9,0xfdbafffb,0x3ffee02e,0x801ffd80,0xf503dded,
    0x26f600bf,0xfefffc99,0x9ffe203f,0xffb84ffa,0xc83ffec7,0x3e206cff,
    0x6540b27f,0x1cccfffe,0x7cc5fff9,0x8500145f,0xfffcfffa,0x3fff3003,
    0xfdfff500,0x7fdc03ff,0xa805ffef,0x5fffffff,0x37ffee00,0x2e02dffe,
    0xffd80fff,0x9801e401,0xcda805ff,0x17ffeccc,0x3ffc407d,0xff70bff3,
    0x3a5ffe8f,0xeffffeee,0x5ffe21ee,0xfffb806c,0x21fffc80,0x00145ff9,
    0x99fffa85,0x7ffcc000,0x9fffa801,0x3ee01fb8,0x805e88ff,0xffd9fffa,
    0xfff7004f,0xb80fffd8,0xffd80fff,0x2673ee01,0x0bff3009,0xfff901d0,
    0xfff101d4,0x7dc2ffcc,0x0bffe27f,0x2202fff8,0x03ffcfff,0x6c07ffdc,
    0x3fe60fff,0xa8500145,0x30000fff,0xf5003fff,0x700e43ff,0x01621fff,
    0x3a27ffea,0xfb802fff,0x84fff87f,0xfd80fffb,0x3fff601f,0x7cc4ffff,
    0xc816405f,0x450e27ff,0x3fe67ff8,0xaafffb85,0x7fc02ffe,0x3ffe201f,
    0x2e01fffb,0xffe80fff,0x0a2ffcc6,0x7ffd4280,0xfff30000,0x3fff5003,
    0xfff700cc,0x3ea0e241,0xffff31ff,0x87ffb803,0x7dc0fffd,0x1ffd80ff,
    0x3ffffe60,0x3fe64fff,0xfc816605,0x4455047f,0x17fe67ff,0x3333ffee,
    0xfeeee80a,0x21eeeeff,0xdff77ff8,0x207ffdc0,0x7cc2fff9,0x8500145f,
    0x0000fffa,0x5003fff3,0x20083fff,0x8820fffb,0x21fffa86,0x200efffa,
    0xffd87ffb,0x07ffdc0f,0xb300ffec,0xdfd9999b,0x3d02ffcc,0x883ffe40,
    0x99ffe21e,0x7ffb85ff,0x03fff000,0xffd3ffc4,0x03ffee09,0xff30bff9,
    0x50a0028b,0x20001fff,0xa802fff9,0x2e001fff,0x0bb00fff,0xfc83fff5,
    0x3fee05ff,0xb86fff87,0xffd80fff,0x3f81be01,0x36417fe6,0x503fff20,
    0x3ffcc1fd,0xff70dff5,0xfff1000f,0x33ffcc05,0xff903fff,0x81ffe43f,
    0x00146ffa,0x01fffb85,0x05fff500,0x003fff70,0x5117ffdc,0xfff709fb,
    0x5ffff883,0x223fff90,0xfb80effd,0x2ffe81ff,0xc982bfa0,0x11bfea0d,
    0x5443bffb,0xeefffffc,0x3f627fff,0xfffe8cff,0xbffff733,0xffd71007,
    0xfd8817df,0xffff34ff,0x3fffee65,0x300bdfef,0x55c9fffd,0xaaaaaaaa,
    0xffff712a,0x2e20017d,0x80befffe,0xbeffffb9,0x3ffee600,0xffffeeff,
    0x3fffee63,0x3fffee3e,0xfff932ef,0x05bdfdff,0x7dffff73,0x5dfff911,
    0x66ef6540,0x27fff4c2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfeeeffff,
    0x3fee3fff,0x6cc0cfff,0x3ffa65ff,0x3fae2eff,0x3ff262df,0x7fd405ff,
    0xff932dff,0x98017dff,0xdefffffc,0xff9300ab,0xf9317dff,0x64c7dfff,
    0xeefeffff,0x00dc403d,0x2a2000a6,0x37951000,0x5555546a,0x51aaaa98,
    0x95554455,0x5101aaa9,0xca880159,0x05654400,0xff3077e2,0xffff10df,
    0xfe882f80,0x03f983ff,0x803ffff2,0xf906ffed,0xfd8003ff,0x3dff317f,
    0x40fffdc0,0xf900fffc,0x6ffe4cff,0x403ffb00,0x0f98007b,0xfc9ee980,
    0x33ffe65d,0x30dffe88,0x16ffc85f,0xdf30bffb,0x3e607f93,0xe980ce9d,
    0x1a62ff9d,0xb80ffff4,0x0b503fff,0x207fffcc,0x7fddc04c,0xffbb104f,
    0x03ffee0d,0x88fff900,0xff701fff,0x0fff901f,0x7fc3ffdc,0x07fff04f,
    0x7cc003dc,0x3e3ff800,0x52ffe44f,0x4c2c4dff,0x17fee6ff,0x17fc5ff1,
    0x2fd47fe2,0x37ec7fe2,0x9fff7055,0x80fffe80,0x7ffe400e,0x2ae01665,
    0xb3907ffd,0x3fee0bff,0x7fe4000f,0x81fffa87,0xfb80fffa,0x1ffee07f,
    0x7d41fff2,0x001ee00d,0xff3003e6,0x883ffa25,0xfff70fff,0x3fe20aa3,
    0xfb17fea6,0x323ff41f,0xa83fea7f,0x809fea7f,0x400ffff8,0x1dc3fffa,
    0x8afffe80,0xf9ab800e,0xffb683ff,0x03ffee0b,0x10fff900,0xff509fff,
    0x0fff701f,0x7dc3ffdc,0x3dc0007f,0x2007cc00,0xffdb1ffc,0x9b3ffd85,
    0x7c4169ff,0xf17fea6f,0x07ff41ff,0xff533dfd,0x02637e45,0x005fffb0,
    0x3443fffa,0xbffff300,0x7f4ae003,0xffd9d46f,0x01fff705,0xd07ffc80,
    0xfff50dff,0x40fff701,0xffd87ffb,0x26662004,0x19999fc9,0x3ea66662,
    0x3a09999a,0xffcac9ff,0x5cf7fd43,0x1048fff9,0x2ffd4dff,0x7ec1fff1,
    0x2abffe2f,0x1ffe0aaa,0x0bfff500,0xca7ffcc0,0x7ffdc002,0x7dcae005,
    0x7ec361ff,0x1fff705f,0x07ffc800,0xfa81fffb,0xc9999aff,0x3fee07ff,
    0x007ffd47,0xffffffd0,0x323fffff,0xffffffff,0x3ffe3fff,0xf05ff93c,
    0x3ffa1bff,0x4dff101d,0x3ffc5ffa,0xfff87ff6,0x007ffc00,0x001fffd0,
    0x05afffd8,0x05fffd00,0x5fff8ae0,0x82ffec93,0x4000fffb,0xff907ffc,
    0xefffa83f,0x7ffeeeee,0x373ffee0,0x0c00cffe,0x3f266662,0x26219999,
    0x99afa999,0x93ffa099,0xffc81ffd,0x881ffee6,0x17fea6ff,0x3ff41ff9,
    0xf900fff6,0x3ff2007f,0xff98003f,0xf70000ff,0x57001fff,0x0e47ffe4,
    0x3ee0bffb,0x7e4000ff,0x3fffb07f,0xb80fffa8,0x3fee07ff,0x01fffd9f,
    0xf700fff4,0x801f3000,0x1ffa2ffb,0xff11ffcc,0x2e7ff809,0x07fd45ff,
    0x6ffb89fd,0x3fff50d4,0x3ffe60c4,0xffb00606,0x2f66000f,0x2b805fff,
    0xb173ffe2,0x3fee0bff,0x7fe4000f,0x50fffd07,0xff701fff,0x8bffdc0f,
    0xf300efff,0x03dc09ff,0x26007cc0,0x03ff14ff,0x07f607f4,0xfd75ffd0,
    0x227fd0df,0x7ffc41ff,0xfff83cbf,0xffe84ccf,0xc809101f,0xe88007ff,
    0x805fffb0,0x17ffec2b,0x7dc17ff6,0x902e00ff,0x3ffe0fff,0x80fffa85,
    0x3ee07ffb,0x13ffea7f,0x2e05ffd8,0x00f98007,0x76e7e46c,0x3542dc02,
    0x567ffcc0,0x7ec43fff,0xfd301eec,0x3fa209ff,0xfffa84ff,0xf900f205,
    0x43b000ff,0x200ffff8,0x437fcc2b,0xff705ffd,0x7e43401f,0x1fff987f,
    0xb80fffa8,0x3fee07ff,0x017ffec7,0x7ffff4f2,0x1fffffff,0x41003e60,
    0x01100098,0x00098006,0x188004c4,0x3e203100,0x5f300fff,0x007ffc80,
    0x7ffdc1ec,0x3fa0ae05,0x706ffe83,0x1ee01fff,0x3f61fff2,0x1fff504f,
    0x5c0fff90,0x7ff447ff,0x65c3a00f,0xcccccccc,0x032200cc,0x00000000,
    0x00000000,0xfff90000,0x03ff9107,0x2007ffd8,0x3fffa07d,0x1f709904,
    0x320dffd0,0x7dc42fff,0x20fffd86,0x3ee03ffc,0xfffc81ff,0x81fff900,
    0x5906fff9,0x00000000,0x00000000,0x00000000,0x7fffcc00,0xffffeeee,
    0xfff9500f,0x3ae015bf,0x7fe42dff,0x3f264fff,0x36a241cf,0x732dffff,
    0xdddfffff,0x7e4cbfff,0xbdfeffff,0xffff7300,0xfff9317d,0x7fe4c7bf,
    0x7fe43dff,0x0202e1ef,0x89540000,0x02000440,0x04020200,0x30044040,
    0x00000300,0x00000000,0x00000000,0x00000000,0x00000000,0x6b81f440,
    0x4bff2200,0x003a60e9,0x79000fec,0x04f983c8,0x1ffa9bf2,0x5c27ffe4,
    0x2e601eff,0x802b2a1b,0x555099ba,0x0aaa2355,0x4406f2a2,0x5555541b,
    0x55511aaa,0x5102ee25,0x86ee2555,0xaa881ba8,0x54c2ea2a,0xaaa8aaaa,
    0x71000551,0x3f214c18,0x5401fdc3,0x2ec0bffd,0x075c0176,0x1ee0fb80,
    0xfff027d4,0xfc8fff61,0x2e64fc9c,0xaec83fc8,0xe9decfea,0x6d67cc1f,
    0x1dfff32f,0x2bae1fdc,0xffd84ffa,0x3f2af7e1,0x3ffee2ff,0x5c0ffffa,
    0xfffeafff,0x82fffe9a,0x7ff97ffa,0x22ffff22,0x9ff70bfb,0x333ea001,
    0x85fbdfff,0x407f73fc,0x202dfeb8,0x017e65f9,0x547f7000,0x4fc76a3f,
    0x73ff43c8,0x90fe23ff,0x3ee1b20f,0x543ffea5,0x5d0fec6f,0x16a37fdc,
    0x17fe4df5,0x6c68fffe,0x7ffc45ff,0x444ffb8d,0xfff35fff,0x7c1bfe2b,
    0x43ffcbff,0x10594ffe,0x7005bff9,0xbfd739ff,0x81fefe40,0x001cffd9,
    0x127ec9fb,0x33333333,0x27fa8333,0x5ffe47fa,0x7e46fe9c,0x7cc3fea5,
    0x3f20fcc1,0x987fe42f,0x8bfe66ff,0xf8531fff,0xf90721ff,0x50fff23f,
    0xff5141bf,0x27ff881f,0x7ff85ffa,0xff83ffe2,0x229fff07,0x4afff981,
    0x0bffea80,0x0dd01fb0,0xff705fe8,0xff98001b,0x3fa7ff33,0xffffffff,
    0x27ff31ff,0xbaa83ff9,0x7d40aabe,0x90fe37c3,0x88ff910d,0x277fee3d,
    0x3f63ff99,0xbff703ff,0xd89ec42c,0x7c4003ff,0x7ff883ff,0x3fe17fe6,
    0x3fe3ffc7,0x01fff80f,0x000fffc8,0xf0b7ff26,0x5c03ea09,0xeb883fdf,
    0xf5000bef,0x44bfe63f,0x99999999,0x53fa2199,0x3d304fe8,0xd07e205d,
    0xfb8bfb89,0xea81ba03,0xaaaaeffc,0x3fffe61a,0xa8fff884,0x3f7ae202,
    0x7fe4003f,0x4cfff106,0x47ff85ff,0x07ffc7ff,0x44007ffc,0x88001fff,
    0x03f13ffd,0xc9fdc17c,0x3ff6603f,0xd17f401c,0x2200005f,0x81ff10ff,
    0x207f97f9,0x7e441b86,0xd865c3ff,0xf89ee882,0xfff3006f,0xb7ffb07f,
    0x7e477d40,0x3fe6003f,0x4fff102f,0x7ff85ff9,0x3ffe3ffc,0x2007ff80,
    0x22006ffc,0x27c2efeb,0x1fdc1fa8,0xd7100ff2,0x47f505df,0x0ec803fa,
    0x3e65f980,0x4f9a7d44,0x54060000,0xff880add,0x801fff12,0x30dffd11,
    0x3e607fff,0x307ff91f,0x18bffb01,0xff99ffe2,0x7fc7ff85,0x7c07ffc7,
    0x3ff6007f,0x7fe4c02f,0x360f901c,0x0d903e86,0xd17fed40,0xfb003e87,
    0x987e6001,0x0002040f,0xfc800000,0x317ff60f,0x0dfb0745,0x7ec03ffa,
    0xc87ff91f,0x3ffea1ff,0x7ff88ae0,0x3fe17fe6,0xff07ffc7,0x00fff01f,
    0x41bfee72,0x400befea,0xfda8befb,0x00040085,0x544a9644,0x20004004,
    0x0002545a,0xd0000000,0xffbb7dff,0x4e8997df,0x2fd40fee,0xfbdfffd0,
    0x9fffc5bf,0x3e63fff8,0x543ffe62,0x7ffc46ff,0x221fff10,0x7fc41fff,
    0xf8a5400f,0x37fea4ff,0xfdbf5001,0x009f9fff,0x00000000,0x00000000,
    0x00000000,0x51efffa8,0xdd09fffd,0x1f809f9d,0x2237faa0,0x3ff20efe,
    0xfddfff90,0x3ff623ff,0x3fffe8cf,0x91bfffb1,0xffb1bfff,0x3ff621bf,
    0xefd980df,0x73ffffa9,0x24980017,0x000ae1a9,0x00000000,0x00000000,
    0x00000000,0x2018804c,0x00600260,0x00002000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00200000,
    0x0301000c,0xf7010044,0xffffffff,0xffb807ff,0xffffffff,0x2e20443f,
    0x2e20982b,0x039b702b,0xaa880066,0x77712aaa,0x77777777,0x33333223,
    0x01cccccc,0x00000000,0x00000000,0xffb80000,0x80fe600e,0x7ff44fc9,
    0x30feaf21,0x5dcc795b,0xbbbbbbbb,0x7730e43f,0x77777777,0x70ffdc37,
    0x1ffc83ff,0x3bf61ff2,0x4b10beff,0x54bd34f9,0xd17fffff,0xdddddddd,
    0x3bba25dd,0xeeeeeeee,0x00000002,0x00000000,0x4c000000,0x3a04fead,
    0x9fb300ff,0xf9a7ffc4,0xf56e8ff3,0x4c7d0005,0xe80000ff,0x207fa3ff,
    0x17ec3ffe,0x7ff5cc91,0x5dff24fe,0xffff50ff,0x000000df,0x00000000,
    0x00000000,0x40000000,0xf7f503fa,0x3627e409,0x3ee2a6ff,0x2fcd7e27,
    0x3f21f400,0x55555511,0x64155555,0x203f11ff,0x24d81ffb,0x83993009,
    0x007b13d9,0x00000000,0x00000000,0x00000000,0xfc800000,0x1f94f880,
    0x1dc13f20,0x7ccff1d7,0xd000bf35,0xfb97ee27,0xffffffff,0x3104c3ff,
    0x00140080,0x00000000,0x00000000,0x00000000,0x00000000,0x901f8800,
    0x6417e21f,0x3e61d04f,0x9b747f8c,0x0440002f,0x88888888,0x00000888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7c4151d8,
    0x7e40fdc3,0x3be63b84,0x2b661feb,0x0000004c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd800000,0xe836c7ff,0x05c4fc86,
    0x00040204,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3cccca80,0x064c0722,0x00037993,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_25_latin1_x[224]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_25_latin1_y[224]={ 20,4,4,4,4,4,4,4,4,4,4,6,16,13,
16,4,4,4,4,4,4,5,4,5,4,4,9,9,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,23,4,9,5,9,5,9,4,9,5,4,
4,5,5,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,9,5,4,7,5,
4,4,4,4,4,9,10,13,4,2,4,6,4,4,4,9,5,10,19,4,4,9,4,4,4,9,-1,-1,-1,0,
0,1,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,7,4,-1,-1,-1,0,-1,5,4,4,4,
4,4,4,4,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__times_bold_25_latin1_w[224]={ 0,5,10,11,11,21,18,4,8,7,10,13,5,7,
5,7,11,9,11,10,11,11,11,11,11,11,5,5,13,13,13,10,20,17,15,16,16,15,14,18,18,9,12,18,
15,21,16,17,14,17,17,11,15,16,17,23,17,17,15,5,7,6,11,13,6,10,12,10,13,10,10,11,12,7,
7,13,7,19,12,11,12,13,10,8,8,12,12,17,11,12,10,7,3,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,10,11,12,12,
3,10,8,17,7,11,13,7,17,13,9,13,7,7,6,13,13,5,5,6,7,11,17,17,17,9,17,17,17,17,
17,17,23,16,15,15,15,15,9,9,9,9,16,16,17,17,17,17,17,11,17,16,16,16,16,17,14,12,10,10,
10,10,10,10,16,10,10,10,10,10,8,7,8,8,11,12,11,11,11,11,11,13,11,12,12,12,12,12,12,12,
 };
static unsigned short stb__times_bold_25_latin1_h[224]={ 0,17,9,17,18,17,17,9,21,21,10,13,8,3,
5,17,17,16,16,17,16,16,17,16,17,17,12,15,11,6,11,17,21,16,15,17,15,15,15,17,15,15,16,15,
15,15,16,17,15,21,15,17,15,16,16,16,15,15,15,20,17,20,9,2,5,12,16,12,16,12,16,16,15,16,
21,15,15,11,11,12,16,16,11,12,16,12,12,12,11,16,11,21,21,21,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,20,17,11,15,
21,21,4,17,8,11,6,3,17,2,9,13,9,9,5,16,20,5,6,9,8,11,17,17,17,16,21,21,21,20,
20,19,15,21,21,21,21,20,21,21,21,20,15,21,22,22,22,21,21,11,17,22,22,22,21,21,15,17,17,17,
17,17,17,17,12,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,11,12,17,17,17,17,21,21,21,
 };
static unsigned short stb__times_bold_25_latin1_s[224]={ 254,246,226,223,92,154,159,251,199,220,215,
165,84,189,153,201,209,63,230,38,218,181,77,206,137,149,51,145,163,126,124,
49,73,1,230,60,91,195,180,1,108,246,86,211,75,53,99,107,149,25,127,
125,164,152,116,209,35,17,1,235,173,228,65,211,159,40,193,245,233,234,1,
12,56,24,1,97,128,81,68,222,183,169,101,18,134,209,27,191,112,73,57,
43,111,212,166,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,254,242,47,
161,138,84,69,208,180,20,90,203,106,189,89,197,237,151,57,247,146,29,241,
140,120,77,98,177,141,233,111,19,236,51,145,11,29,74,32,219,9,115,141,
58,157,167,131,1,111,177,71,1,53,181,163,151,1,36,19,89,94,194,69,
210,143,54,188,199,190,235,1,43,19,30,65,76,54,248,143,247,87,196,99,
178,176,221,129,189,179,41,104,117,130,119,132,106, };
static unsigned short stb__times_bold_25_latin1_t[224]={ 1,46,151,46,46,46,67,67,1,24,151,
137,165,165,165,67,67,103,85,85,85,85,85,85,85,85,153,137,151,165,153,
85,24,103,120,85,137,120,120,85,137,120,103,120,137,137,103,85,120,24,137,
85,120,103,103,103,137,137,137,24,85,24,165,165,165,153,85,137,103,137,120,
120,120,120,24,120,120,153,153,137,103,103,153,153,103,137,153,137,153,103,153,
24,24,24,165,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,1,85,46,
85,153,120,24,1,165,85,165,151,165,165,85,165,151,137,165,151,165,103,24,
165,165,165,165,151,67,67,67,103,1,24,1,46,46,46,120,1,24,24,24,
46,24,24,24,46,120,24,1,1,1,1,1,151,67,1,1,1,24,24,120,
46,46,67,46,46,67,46,153,103,67,67,67,67,103,85,103,103,67,103,67,
67,46,67,67,151,137,67,46,46,46,1,1,1, };
static unsigned short stb__times_bold_25_latin1_a[224]={ 90,120,201,181,181,361,301,100,
120,120,181,206,90,120,90,100,181,181,181,181,181,181,181,181,
181,181,120,120,206,206,206,181,336,261,241,261,261,241,221,281,
281,141,181,281,241,341,261,281,221,281,261,201,241,261,261,361,
261,261,241,120,100,120,210,181,120,181,201,160,201,160,120,181,
201,100,120,201,100,301,201,181,201,201,160,141,120,201,181,261,
181,181,160,142,80,142,188,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,90,120,181,181,181,181,80,181,
120,270,108,181,206,120,270,181,144,198,108,108,120,208,195,90,
120,108,119,181,271,271,271,181,261,261,261,261,261,261,361,261,
241,241,241,241,141,141,141,141,261,261,281,281,281,281,281,206,
281,261,261,261,261,261,221,201,181,181,181,181,181,181,261,160,
160,160,160,160,100,100,100,100,181,201,181,181,181,181,181,198,
181,201,201,201,201,181,201,181, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_25_latin1(stb_fontchar font[STB_FONT_times_bold_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_25_latin1_s[i] + stb__times_bold_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_25_latin1_t[i] + stb__times_bold_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_25_latin1_x[i];
            font[i].y0 = stb__times_bold_25_latin1_y[i];
            font[i].x1 = stb__times_bold_25_latin1_x[i] + stb__times_bold_25_latin1_w[i];
            font[i].y1 = stb__times_bold_25_latin1_y[i] + stb__times_bold_25_latin1_h[i];
            font[i].advance_int = (stb__times_bold_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_25_latin1_s[i] + stb__times_bold_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_25_latin1_t[i] + stb__times_bold_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_25_latin1_x[i] + stb__times_bold_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_25_latin1_y[i] + stb__times_bold_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_25_latin1_LINE_SPACING
#endif

