// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT        340
#define STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_37_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_37_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_37_latin1_LINE_SPACING          24

static unsigned int stb__times_bold_37_latin1_pixels[]={
    0x98044060,0x004ccccc,0x9ddd9000,0x930ae200,0x2a660005,0x4001abcc,
    0x64c002c9,0x800002cc,0x19999999,0x19999500,0x99000000,0x40000599,
    0x0000cccc,0x05999910,0x5ffb0000,0xf9817fec,0x00007fff,0x00efff88,
    0x2a5fff88,0x3ae2005f,0xedcaccef,0x5fa801cf,0x7ffff400,0xfda88000,
    0xffffffff,0x3f6004df,0x000002ff,0x0037ffd4,0x7ffff500,0x7fd40000,
    0x4c00005f,0xfff15fff,0x3fffec0d,0x7fd40000,0xfff7000e,0x2017ea1f,
    0x7002efd8,0x05fa807f,0x3ffffee0,0x7ffcc004,0xd99bffff,0xffd0002f,
    0xc800000b,0x00000eff,0x1ffffff1,0x7fdc0000,0x2200000f,0xfff14fff,
    0x3fffe40b,0x77ec0000,0x3ffea000,0xa80bf50f,0xe98001ef,0x4017ea05,
    0xffeafff8,0xffff3000,0x7e45ffff,0xffd10000,0xff800000,0x3200000e,
    0x04ffbdff,0x1ffdc000,0x37ae0000,0xb8077aa0,0x00007fff,0x40007fc4,
    0x17ea3ffe,0x0000dfc8,0x05fa826c,0x3621df90,0xfffd004f,0x645fffff,
    0x7f440007,0xf5000002,0x4400001d,0x03fea3ff,0x0bf70000,0x80000000,
    0x0007fffb,0x0000f4c0,0x905fa813,0x2200009f,0x805fa82f,0x0fd80df8,
    0x7ffffdc0,0x1f22ffff,0x017a2000,0x00764000,0x20bf6000,0x800004f9,
    0x000000fc,0x3ffee000,0x00000007,0x50bf5000,0xa80000bf,0x9805fa86,
    0x36015c02,0xffffffff,0x0001f22f,0x00000000,0x200a8000,0x00000049,
    0x33331000,0x4cc41333,0x7ffdc099,0x88072e67,0x09999999,0x20266662,
    0x2a199999,0x007fc45f,0x4cc472e2,0x25fa8581,0x99999999,0x99998199,
    0xfffd0999,0x45ffffff,0x54c0007c,0x3000001a,0x00000355,0x20006aa6,
    0x99999999,0x99998199,0xff500999,0x5419ffff,0x7dc0dffd,0xffffb7ff,
    0xffff505f,0x7ed419ff,0x7fe440df,0x8bf50fff,0x7fd402fc,0x87fff8ec,
    0xc8afd41b,0xfffffffd,0x7fee40bc,0xfffd1cef,0x45ffffff,0x7ec4007c,
    0xdfffddff,0xffb10001,0x3bfffbbf,0x3ff62000,0x1dfffddf,0x7ffee440,
    0x40bcffff,0x1cefffdc,0x1ffffe60,0xfff706f8,0xfffb5bbf,0xffff301f,
    0x32037c0f,0xbf50ffff,0x3f2037c4,0xbfffb52f,0x85fa8750,0x01fffffc,
    0x7ec0ffb8,0xffffffff,0xfb801f22,0x3ea20bff,0x7dc004ff,0x3ea20bff,
    0x7dc004ff,0x3ea20bff,0xff9004ff,0xf7003fff,0x3ff2001f,0x205f01ff,
    0x5c5ffffb,0xff906fff,0x00be03ff,0x2a1ffff7,0xc80fee5f,0x3ffe25ff,
    0x7d45882f,0x7ffffa85,0xf709f100,0xffffffff,0x74c03e45,0x3ea03fff,
    0x74c01eff,0x3ea03fff,0x74c01eff,0x3ea03fff,0x7d401eff,0xf1007fff,
    0x7ffc4009,0x2e06984f,0x7c40ffff,0xff882fff,0x806984ff,0xf50ffffb,
    0xfa807f4b,0x3ffe61ff,0x5fa8f00f,0x07ffffa8,0x3fe60fe0,0x2fffffff,
    0x3ffa01f2,0xfffc805f,0x3fffa00f,0xffffc805,0x17fffa00,0x03ffff20,
    0x07ffffa8,0xfb000fe0,0x03c81fff,0x741fffee,0xffb04fff,0x803c81ff,
    0xf50ffffb,0x7c417e2b,0x7ffd45ff,0x0988d106,0x07ffffa8,0x7fec0fe0,
    0x22ffffff,0x7ffe407c,0xfff8801f,0xffff905f,0xffff1003,0x3ffff20b,
    0xffff8801,0x3fffea05,0x000fe007,0xf87ffff3,0x1fffee00,0x9837fff4,
    0x07c3ffff,0x87fffdc0,0x209f35fa,0x7e42fffb,0x00b504ff,0x03ffffd4,
    0x7fec07f0,0x322fffff,0x3fffe607,0x3fff6007,0x7fffcc2f,0x3fff6007,
    0x7fffcc2f,0x3fff6007,0xffff502f,0x001fc00f,0xb537fff4,0x07fffb80,
    0x740ffffb,0x016a6fff,0xa87fffdc,0x3e07f55f,0xfffe87ff,0x54009701,
    0x2007ffff,0x7ffe403f,0x81f22fff,0x004ffffe,0xd1ffffee,0x4009ffff,
    0x747ffffb,0x2004ffff,0x507ffffb,0x400fffff,0xffa8003f,0xb805b2ff,
    0xffb07fff,0x3fea01ff,0x2005b2ff,0xf50ffffb,0x3ea0beeb,0x7ffd44ff,
    0xa8007607,0x2007ffff,0xdba8803f,0x441f22ff,0x003fffff,0x43ffffe6,
    0x03fffff8,0x3ffffe60,0x7fffff10,0x7fffcc00,0xffffa80f,0x000fe007,
    0x3c77fffc,0x83fffdc0,0x7c06fffd,0x0078efff,0x543fffee,0xf903f55f,
    0xfffe87ff,0xf5001a05,0x7c00ffff,0x22f98003,0xffff307c,0x7fcc005f,
    0xfff32fff,0x7cc005ff,0xff32ffff,0x4c005fff,0xa82fffff,0x2007ffff,
    0xff70003f,0xf7009bff,0x3ff60fff,0x7ffdc05f,0x3ee004df,0x2bf50fff,
    0xfffd82f9,0x0bfffea1,0x3ea001e4,0x3e007fff,0x22f98003,0xffff507c,
    0x7fc4005f,0xfff53fff,0x7c4005ff,0xff53ffff,0x44005fff,0xa83fffff,
    0x2007ffff,0xff10003f,0xf7003fff,0x3ffa0fff,0x7ffc404f,0x3ee001ff,
    0x4bf50fff,0x1ffff84f,0x01fffdd1,0x213aa0d5,0x007ffffa,0x3e6000fe,
    0x7fe41f22,0x22001fff,0xf95fffff,0x4003ffff,0x95fffff8,0x003fffff,
    0x2fffffc4,0x03ffffd4,0x6c0007f0,0xf7006fff,0xfff10fff,0xfffb005f,
    0xfffb800d,0x2f4bf50f,0x74dffffc,0xf987fff9,0xf50bf501,0x7c00ffff,
    0x22f98003,0xffff907c,0x7fc4003f,0xfff95fff,0x7c4003ff,0xff95ffff,
    0x44003fff,0xa85fffff,0x2007ffff,0x3e60003f,0xff7003ff,0xfffa8bff,
    0x7fff3004,0xffffb800,0x436cbf50,0xf3fffffd,0x42e98bff,0xf50bf50b,
    0x7c00ffff,0x22f98002,0xffff707c,0x7fc4005f,0xfff73fff,0x7c4005ff,
    0xff73ffff,0x44005fff,0xa83fffff,0x2007ffff,0x7f40002f,0xfff7000f,
    0xfff75bdf,0x0ffe800d,0x7fffdc00,0x07dcbf50,0xb8ffffee,0x1dc9afff,
    0x50bf5254,0x400fffff,0x2f98002f,0x7ffcc1f2,0x3e6003ff,0xff32ffff,
    0x4c007fff,0xf32fffff,0x4007ffff,0x82fffff9,0x007ffffa,0xf50000be,
    0x7ffdc00b,0x3bffffb7,0x005fa800,0x50ffffb8,0xeb85e8bf,0xacfdb82e,
    0x2fd41d00,0x03ffffd4,0xf30005f0,0xff883e45,0x26003fff,0xf11fffff,
    0x4007ffff,0x11fffff9,0x007fffff,0x0fffffcc,0x03ffffd4,0xf00005f0,
    0x7ffdc003,0x0000aa27,0xff50003f,0x317ea1ff,0x2000005f,0x4c2fd43a,
    0x2007ffff,0x2f98002f,0xfffd81f2,0x3fee004f,0x7ffec6ff,0x3fee004f,
    0x7ffec6ff,0x3fee004f,0xfff306ff,0x017c00ff,0x7001a600,0x0000ffff,
    0xf5000698,0x42fd4fff,0x400000fb,0x885fa869,0x3007ffff,0x5f30001f,
    0xfff303e4,0x7fec00df,0x7ffcc1ff,0x3ff6006f,0x7ffcc1ff,0x3ff6006f,
    0xfff101ff,0x03e600ff,0x01e42a80,0x01fffee0,0x01e42a80,0x3ffea130,
    0x27417ea7,0x01d50000,0x3ffe0bf5,0x07b800ff,0x3e45f300,0x0bffff20,
    0x17fffe20,0x017fffe4,0x82ffffc4,0x802ffffc,0x405ffff8,0x800fffff,
    0x3ff6007b,0xf70003e2,0x36000fff,0x4003e2ff,0xdfff36fb,0xed882fd4,
    0x075c0000,0xff905fa8,0x4f8805ff,0x645f3000,0x7fff4407,0xefffd805,
    0xbfffd100,0x1dfffb00,0x17fffa20,0x03bfff60,0x05ffff90,0x3e004f88,
    0x000775ff,0x000ffff9,0x01dd7ffe,0x3fe2ffd0,0x5017ea2f,0xbd50007f,
    0xd105fa80,0x2203ffff,0xf30000ee,0xfd803e45,0x3fee02ff,0xffd800df,
    0x3ffee02f,0xfffd800d,0x37ffee02,0xfffe8800,0x01dd101f,0x36fffe40,
    0xffffd800,0xfffc8001,0x7fd4006d,0x7d45ffa8,0xabed8805,0x039d5300,
    0x6c40bf50,0xa9acffff,0x20000efd,0x801f22f9,0x5c43fffb,0x5c004fff,
    0x7dc43fff,0x7dc004ff,0x7fdc43ff,0x7ec4004f,0xda9acfff,0x6c4000ef,
    0x44000eff,0xbefffffd,0x3ff62000,0xfeb8000e,0x2fd40bdf,0xdfb95300,
    0x0019bdfd,0x7e402fd4,0xbfffffff,0x17cc0000,0xec9800f9,0xceffeeff,
    0xfd930001,0x39dffddf,0x3fb26000,0x1ceffeef,0x3fff2000,0x00bfffff,
    0x40002200,0x99999998,0x00880009,0x22008800,0x04400009,0x00262000,
    0x01abbaa8,0x3104c000,0x1aa98000,0x55300000,0x26000003,0x800001aa,
    0x001abbaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6664c000,0x9750000c,0x12800057,
    0x00333333,0x01666640,0x04ccccc4,0x35975100,0x99900000,0x64000009,
    0x64403ccc,0x50001ccc,0x54009999,0x0b26003b,0x0013002e,0x00b332a0,
    0x07fffb00,0xb9dfd300,0xea8003df,0x9bffff72,0x3ffea000,0xffd97005,
    0xffd9809f,0x1efffddf,0xfffb8000,0x9800003f,0xa800efff,0xd0005fff,
    0xd5003fff,0xfd1003bf,0x1f559fff,0x4003e980,0x006ffff8,0x00fffe20,
    0xfb0bfe60,0x3fd1003f,0x0017ffdc,0x003bff60,0x409fff30,0x540bfffb,
    0x0000cfff,0x1ffffff1,0xffb80000,0x3fee000e,0x7fcc000f,0x1ffb802f,
    0x3ffff600,0x1005ffff,0x3f2003dd,0x0003ffff,0x20007ff5,0x5ffc85ff,
    0x2e07f440,0x40001fff,0xf0000eff,0xffd309ff,0x7ffcc07f,0xffc8001e,
    0x0004ffcc,0x00077f40,0x20017fdc,0xf9802ffc,0x33e2006f,0x2ffffffc,
    0x003be200,0xfff5dff1,0x09fb0001,0x217fe600,0x7ec06ffc,0x00fffb85,
    0x003bea00,0xe84fff80,0xfb805fff,0x22000fff,0x03fea3ff,0x07fcc000,
    0x00bf7000,0xf9002fe8,0x22c4009f,0x8000ceb9,0x3f600efc,0x007fd10e,
    0x20004f88,0x7cc0fffa,0x07ff603f,0x0003ffee,0x40000ed8,0x7fe44fff,
    0xfff001ff,0x0fec00bf,0x800027cc,0xc80001fb,0x07f3000f,0x002fff40,
    0x7cc00000,0x109f305f,0x000001fb,0x0efff980,0xbff30044,0x003ffee0,
    0x3e000000,0x3ffe64ff,0x3ff6007f,0x015002ff,0x0000024c,0x00000000,
    0x006ffe80,0x0006aa60,0x5305ffb0,0x26661b80,0x19999999,0x99999998,
    0x17ffff40,0x205ffb00,0x0000fffb,0x7fc00018,0x3ffffa4f,0x3ffee004,
    0x0060007f,0x26666620,0x99999999,0x4c419999,0x99999999,0x26666219,
    0x01999999,0x4400fff9,0xffddfffd,0x7d4001df,0x4cccc46f,0x11999999,
    0xffffffb9,0xfdc8179f,0x7cc1ceff,0x9804ffff,0xff701fff,0x6b80001f,
    0xa7ffc000,0x03fffff8,0x3ffffea0,0x006b8000,0xffffdb88,0xffffffff,
    0x2e20ffff,0xfffffffd,0xffb710bd,0x17bfffff,0x001fff70,0x4417fff7,
    0x2004fffa,0x2e22fff8,0xfffffffd,0x7ffe40bd,0xffb801ff,0x3fffea00,
    0x3ff601ef,0x1fff700f,0x01fe8000,0x4d3ffe00,0x002fffff,0x0bffffe6,
    0x0007fa00,0x9fffffb8,0xffea9999,0xffff700f,0xfffb805f,0x7fd402ff,
    0x3ffa601f,0x3ffea03f,0xdfff001e,0x3ffffee0,0x3fffea02,0x809f1007,
    0xffffffec,0x40ffff02,0x0000fffb,0x80017fea,0xfff54fff,0x7c4005ff,
    0x4003ffff,0x20005ffa,0x00fffff9,0x7d403fee,0x5401ffff,0x401fffff,
    0x3a00fff8,0xfc805fff,0xfe800fff,0xfffa80ff,0x3fea01ff,0x0fe007ff,
    0xffd88fc8,0x7fc42fff,0x3ffee06f,0x3ff60000,0xfff0000f,0x3fffff29,
    0x3ffe2001,0x7ec005ff,0xf30000ff,0xb801ffff,0xffff300f,0xfff9801f,
    0x7fcc00ff,0x3ffff206,0xffff8801,0x1fffd805,0x0fffff98,0x1ffffea0,
    0x9f703f80,0x0fffffb8,0xb81bffea,0x30000fff,0x0009ffff,0x7fe53ffe,
    0x22001fff,0x005fffff,0x013fffe6,0x7ffffcc0,0xf300f800,0x9801ffff,
    0x400fffff,0xff301ffc,0x7ec00fff,0x7ec02fff,0xfff983ff,0x3fea00ff,
    0x0fe007ff,0x7f4c17fc,0x3ffee5ff,0x03ffee06,0x7fffec00,0x9fff0007,
    0x0bffffee,0xfffff880,0x3fff6004,0xff30007f,0x42981fff,0xffff300d,
    0xfff9801f,0x3fea00ff,0x3ffffa01,0x3ffee004,0x7ffe407f,0xfffff984,
    0x3fffea00,0x260fe007,0xfff104ff,0x02fffe4f,0x0001fff7,0x7ffffff1,
    0x29fff000,0x03fffff9,0x3ffffe60,0xffff1002,0xf30007ff,0x2b81ffff,
    0xfff9804c,0x7fcc00ff,0xee880fff,0x3ffe200b,0x3e6003ff,0x3200ffff,
    0xff985fff,0x3ea00fff,0x3e007fff,0x01fffa83,0x3f21fff3,0x3fee05ff,
    0xddc8000f,0x8006ffff,0xfff14fff,0x7d4007ff,0x9001ffff,0x0dffffbb,
    0xfffff300,0x26002d81,0x400fffff,0x80fffff9,0x7cc02de8,0x2002ffff,
    0x02fffff9,0x2617fff2,0x200fffff,0x007ffffa,0x3ffe20fe,0x5cdfb01f,
    0x3ee05fff,0xaf8000ff,0x02fffff9,0xfb27ffc0,0x5c009fff,0x2006ffff,
    0xfffff9af,0x7ffcc002,0x00be60ff,0x0fffff98,0x7ffffcc0,0x407bea00,
    0x02fffffa,0x3ffffe20,0x13fff203,0x03ffffe6,0x07ffffa8,0x7fe40fe0,
    0x24fc83ff,0x2e06fffa,0x5c000fff,0x17ffffa6,0x4c9fff00,0x2007ffff,
    0x001ffffd,0x7ffff4d7,0x7ffcc005,0x05ff50ff,0x7ffffcc0,0x7fffcc00,
    0x07fe400f,0x0fffffe4,0xfffff100,0x1fffec0b,0x07ffffcc,0x0fffff50,
    0xff881fc0,0x3ba0dfff,0x81bffe60,0x4000fffb,0x3fffea3e,0x3ffe001f,
    0x17fffe44,0x2ffffcc0,0x7fd47d00,0x26001fff,0xffefffff,0x3e6002ff,
    0x4c00ffff,0x400fffff,0xffc86ff9,0x22001fff,0x205fffff,0xf982fffd,
    0x2a00ffff,0x2007ffff,0x3ffa603f,0x80ec9eff,0x3ee07fff,0x1ea000ff,
    0x013ffffe,0x7444fff8,0xfc806fff,0xf5000eff,0x09fffff0,0x7ffffcc0,
    0x002ffecb,0x03ffffe6,0x1fffff30,0x40fff980,0x02fffffb,0x3ffffe20,
    0x07fff603,0x03ffffe6,0x07ffffa8,0xfb100be0,0x201dffff,0xf700fffd,
    0x1ec001ff,0x07ffffdc,0x884fff80,0x2602fffd,0x2000efff,0xffffb83d,
    0xfff3000f,0x017f41ff,0x1fffff30,0xfffff980,0x17ffd400,0x0fffffe6,
    0xfffff980,0x41bffe02,0x00fffff9,0x01ffffea,0xff9002f8,0x3e605fff,
    0xfff701ff,0x203e6001,0x03fffff8,0x6409fff0,0xffa83fff,0x3e6000df,
    0xfffff880,0xffff3003,0x0017c41f,0x01fffff3,0x0fffff98,0x20fffdc0,
    0x03fffff8,0x3ffffe60,0x05fff101,0x03ffffe6,0x07ffffa8,0xfb800be0,
    0xfb00ffff,0x3ffee07f,0x999fb000,0xfffff999,0x13ffe00f,0xddffd710,
    0x00039fff,0x999999fb,0x00ffffff,0x03ffffe6,0x7fcc005b,0x7cc00fff,
    0x6400ffff,0xfffb07ff,0x7fdc009f,0x3fe606ff,0x3fffe606,0x3ffe600f,
    0x00be007f,0x0bfffd10,0x7dc1bfea,0xef8800ff,0xfeeeeeee,0xf802ffff,
    0x3f2004ff,0x0001ffff,0xddddddf1,0x5fffffdd,0xfffff300,0x84882b81,
    0x00fffff9,0x07ffffcc,0x4c1bffa0,0x2006ffff,0x201ffffd,0x3e603ffc,
    0x2200ffff,0x3007ffff,0x4164401f,0x3f607ffd,0x0fffb81f,0xfd805c80,
    0xff806fff,0x3fe2004f,0x90006fff,0xffffb00b,0xffff300d,0x4b81881f,
    0x0fffff98,0x7ffffcc0,0x02fffc00,0x005ffff9,0x40bffff1,0x7cc06ff8,
    0x7c00ffff,0xb800ffff,0x217ff407,0x3a00fff8,0x0fffb85f,0x5400fc40,
    0x401fffff,0x54004fff,0x004fffff,0x7d400fc4,0x4c01ffff,0x000fffff,
    0xffff307d,0xfff9801f,0x7fec00ff,0x3fffa204,0xefffd805,0x003bee00,
    0x01fffff3,0x02ffffc8,0xff1027c4,0x80dfd07f,0x7fdc1fe8,0x003e400f,
    0x80bffffd,0xa8004fff,0x01bfffff,0x7f400f90,0x7cc05fff,0xd800ffff,
    0xffff981f,0x7ffcc00f,0x7fd400ff,0x2fffd806,0x037ffee0,0x9800ff88,
    0x400fffff,0x01ffffe8,0xfe801dd1,0x01ffc41f,0xff70f744,0x02fc403f,
    0x3fffff70,0x013ffe60,0x7ffff4c0,0xf882bcff,0x3ffee005,0x3fea01ff,
    0x36201fff,0xfffa80ff,0x7fd401ff,0xfc801fff,0xfffb801f,0x27ffdc43,
    0x4007fa20,0x01fffffa,0xcffffd88,0x00efda9a,0xd50cff98,0x2eb8009f,
    0x879ffff7,0x7000ffe9,0x41dfffff,0x04fffecb,0x7ff6cc00,0x7f4c1cde,
    0xfff7000f,0x3f201dff,0x99adffff,0x07fffdba,0x07fffff9,0x3fffffc8,
    0x019ff700,0xeeffec98,0x4401ceff,0x7fe4003e,0x32003fff,0xffffffff,
    0x3f62000b,0x0002dfff,0x26666251,0x3ffff219,0xffd902ef,0x27ffffff,
    0x00999998,0x3f200000,0x902effff,0xfffffffd,0x3ffb267f,0xffffffff,
    0x26ffffff,0xfffffec9,0xd930ceff,0xdfffffff,0x4ca88019,0x00d54c00,
    0x64c00260,0xfffffffe,0x755000ce,0x10000357,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35975300,0x99300260,0x80000199,0x000b82c9,0x013332a0,
    0x205dc000,0x700000ba,0x75001999,0x93000003,0x40003999,0x00ba83b8,
    0x40000000,0x00dcc1b9,0x88002666,0xfeffffeb,0x01e89bdf,0x003fffd8,
    0xffffd300,0x0000f539,0x0005fffb,0x325ffd80,0xa80006ff,0x8804ffff,
    0x00004ffc,0x0013fff2,0x7e4bffb0,0x2a00006f,0x54000cfd,0xfff30fff,
    0x1fffee03,0x77fffd40,0x3fff260b,0xdffb001f,0x3ff60000,0x05ffffff,
    0x5ffe8800,0x7ffc0000,0x01ffff0f,0xffffe800,0xbff1000f,0x3ffe0000,
    0x7fc40004,0x03fffe7f,0x26fea000,0x7fe4006d,0x09fff73f,0x07fffff1,
    0x02ffffc8,0x000fff44,0x80001ffb,0xffffccf8,0x100001ff,0x80000ffd,
    0x3ff25ffd,0x7fdc0006,0x2005ffbd,0x40004ffc,0x00004ff9,0x7fe4bffb,
    0x85d00006,0x3fea002e,0x03fff31f,0x1fffdff9,0x13ffff20,0x000ffc40,
    0x10000ff6,0x00ceb98b,0x17f44000,0x17710000,0x20000bb8,0x3fea4ff8,
    0x0dff5001,0x005fc800,0x882ee200,0xf00000bb,0x54004d83,0x4c0e4c1c,
    0x09ff34ff,0x00bffff5,0x44001fa8,0x0000006e,0x9d100000,0x00000000,
    0x4c17e400,0xfff7005f,0x02fc0001,0x00000000,0x07c49900,0x7ec00000,
    0xf107f443,0x0001ffff,0x8000003d,0x99999998,0x4ccccc00,0x00000099,
    0x1aa98000,0x40350000,0xffd800c8,0x00000007,0x26666666,0x99981999,
    0x20009999,0x005fcef9,0x26666662,0x3a619999,0x7dc9b101,0x70007fff,
    0x26666623,0x99999999,0x6cc19999,0x05ffffff,0x6ffffee4,0x00030001,
    0x6fffec40,0x401dfffd,0x99999998,0x99999999,0x3ffa0199,0x99999886,
    0x26009999,0x91099999,0xfffffffb,0xffdc8179,0xd8001cef,0x6dc4001f,
    0xdfffffff,0x3fa0000b,0x80005fff,0xfffffdb8,0xffffffff,0xff980fff,
    0xa804ffff,0x2e0000ef,0xff700006,0x7fd4417f,0x3f6e204f,0xffffffff,
    0x0fffffff,0xd50bfff0,0xbfffffff,0x7fff6405,0xffffc83f,0x0ffb801f,
    0x007fa000,0xfffffb80,0x33333102,0xfffff303,0xfb800009,0x9999ffff,
    0x00fffea9,0x5ffffff5,0x80009f00,0x260001fe,0x2a03fffe,0x5c01efff,
    0x999fffff,0x0fffea99,0x204fff88,0x06fffffc,0xfa817f60,0xf1007fff,
    0x7fd40009,0x3fea0005,0xf9101fff,0xfa81ffff,0x0002ffff,0x7ffffcc0,
    0x403fee00,0xfffffff9,0x0001f401,0x4000bff5,0xc805fffe,0x2600ffff,
    0x200fffff,0xfff00ffb,0xffffe807,0x01db000f,0x03ffffd4,0x6c0007f0,
    0x30000fff,0x801fffff,0x640ffffd,0x001fffff,0x7fffcc00,0x807dc00f,
    0xfffffdf9,0x000f600e,0x000fffd8,0x01ffffc8,0x05ffff88,0x03ffffe6,
    0x3f201f70,0x7ffcc03f,0x2f9804ff,0x3ffffd40,0x20007f00,0x004ffff9,
    0x1fffff30,0x0ffffc80,0x0fffffe4,0x3fe60000,0x0f800fff,0xfffd1f30,
    0x01ec0bff,0x4ffff980,0x7fffcc00,0x3fff6007,0xffff302f,0x201f001f,
    0xfd806fe8,0x6c00ffff,0xffffa805,0x000fe007,0x03ffffec,0xfffff980,
    0x7fffdc00,0x7ffffdc0,0x7cc00003,0x14c0ffff,0xf8bcc036,0xb04fffff,
    0x3ff60007,0x7f4007ff,0x2e004fff,0xf307ffff,0x2981ffff,0x7fd1006c,
    0xfffff880,0x2003ea04,0x007ffffa,0x3e2000fe,0x003fffff,0x0fffff98,
    0x07fffdc0,0x13ffffea,0xfff30000,0x4c2b81ff,0x7fccf300,0x3d82ffff,
    0xffff8800,0xff1003ff,0x4c007fff,0x980fffff,0x5c0fffff,0x6d4004c2,
    0x3fff201e,0x007d01ff,0x01ffffea,0xdc8003f8,0x006ffffd,0x0fffff98,
    0x07fffdc0,0x17ffffe6,0xfff30000,0x002d81ff,0xffff71e6,0x003d81ff,
    0xffffddc8,0xffff3006,0x7fcc005f,0xff982fff,0x016c0fff,0x202fc980,
    0x85fffff8,0x3fea006b,0x0fe007ff,0x3fe6be00,0x4c002fff,0x400fffff,
    0xe80ffffb,0x0006ffff,0x7ffffcc0,0x9800be60,0xfffffd87,0x2000f60e,
    0xfffff9af,0xffffa802,0x3fe2002f,0xff983fff,0x0be60fff,0x019fb100,
    0x3fffff70,0xf50017c4,0x7c00ffff,0xfd35c003,0x9800bfff,0x400fffff,
    0xa80ffffb,0x000fffff,0x3fffe600,0x005ff50f,0xfffe83cc,0x000f65ff,
    0x7ffff4d7,0xffffc805,0x3fe2001f,0xff985fff,0x5ff50fff,0x006fd800,
    0xb37ffffc,0xfffa800b,0x00fe007f,0x7ffd47d0,0x3e6001ff,0x5c00ffff,
    0xfb00ffff,0x90009fff,0x3ffffe60,0x002ffffe,0x7ffc41e6,0x007b3fff,
    0x3ffea3e8,0x7fe401ff,0x22001fff,0x985fffff,0xffefffff,0x3f2002ff,
    0x7fd4003f,0x00faafff,0x3ffffd40,0x54007f00,0x4fffff87,0x3fffe600,
    0x7ffdc00f,0xffff100f,0x1ba2003f,0x5fffffcc,0x2002ffec,0x3ffe6079,
    0x003d9fff,0x3fffe1ea,0x7ffdc04f,0x3e2002ff,0xf983ffff,0xfecbffff,
    0x3ffa002f,0xfffe8002,0xa8003eef,0x2007ffff,0x20f6002f,0x00fffffb,
    0x1fffff30,0x0ffffb80,0x3ffffa60,0x80774c01,0x20fffff9,0x1e6002fe,
    0xffffff70,0x41ec007d,0x00fffffb,0x0fffffe6,0xfffff980,0xfffff982,
    0xf800bfa0,0xfa8003ff,0x0006ffff,0x00fffff5,0x0f98017c,0x3fffff88,
    0xfffff300,0xffffb801,0x7ffec400,0xfb7309cf,0xffff9809,0x800be20f,
    0xfffc8079,0xf3003fff,0xfffff101,0x7fffc407,0x3fe6003f,0xff981fff,
    0x0be20fff,0x005fff80,0x0bffffd0,0x3fffea00,0x400be007,0xccccccfd,
    0x007fffff,0x01fffff3,0x01ffffc8,0xfffff930,0x3005bfff,0xd81fffff,
    0x401e6002,0x03fffffd,0x99999fb0,0x0ffffff9,0x04ffffd8,0x1bfffee0,
    0x07ffffcc,0xffe800b6,0xfff90006,0x3e6000bf,0x3e007fff,0xeeef8802,
    0xfffeeeee,0xff9802ff,0x7ec00fff,0x98002fff,0x40009dda,0x40fffff9,
    0x7984882b,0xffffd100,0xdddf1007,0xfffddddd,0x7fcc05ff,0x3f6006ff,
    0xff301fff,0x82b81fff,0x07ffd848,0xbffff900,0x3ffe2000,0x01f3007f,
    0xffb00b90,0xff300dff,0x3a601fff,0x05ffffff,0x002ef880,0x0fffff98,
    0x4c25c0c4,0x3ffe6007,0x805c803f,0x406ffffd,0x802ffffc,0x205ffff8,
    0x40fffff9,0xfb84b818,0xfc8000ff,0x20005fff,0x800fffff,0x01f8807b,
    0x1fffffa8,0x7ffffcc0,0x20000000,0x4000fffb,0x00fffff9,0x00f507d0,
    0x403fffa8,0xffa801f8,0x3a201fff,0xfd805fff,0x3e600eff,0xd000ffff,
    0x00dff507,0x17ffff20,0xffffc800,0x4027c402,0x3ffa007c,0x7fcc05ff,
    0x00000fff,0x00ffdc00,0x3ffffe60,0xc81fd800,0x7fe4000f,0xd003e403,
    0xb00bffff,0x7dc05fff,0x7cc00dff,0xd800ffff,0x04ffc81f,0xbffff900,
    0x7ff44000,0x1dd101ff,0x2005f880,0x01fffffb,0x07ffffea,0xfb000000,
    0xfff5000f,0x7ec403ff,0x027fcc0f,0xf101fec0,0x7ffdc00b,0xffb801ff,
    0x7ffdc43f,0xffff5004,0x7fec403f,0x0005ff80,0x01bffff6,0xffffb100,
    0x1dfb5359,0x00ffe980,0xdfffff70,0x3ffff201,0x8000003f,0x001efec8,
    0xdfffffc8,0xffdba99a,0x3fffaa7f,0xd1001dff,0x03ffa607,0x7ffffdc0,
    0xfec9800e,0x1ceffeef,0x3ffff200,0xdba99adf,0x7fdc7fff,0xff10000c,
    0x0001ffff,0xffffff90,0xfc8017ff,0x902effff,0xfffffffd,0x3ffb267f,
    0x0cefffff,0x02600000,0x3ffb2600,0xffffffff,0x06ffffff,0x90310000,
    0x05dfffff,0x3fffffb2,0x4c003fff,0x64c001aa,0xfffffffe,0xffffffff,
    0x002f2a6f,0x3fff7220,0x0cdfffff,0x5dd54000,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7502ea00,0x0f100001,0x0b82c980,0x20ee2000,
    0x220000ba,0x0000000e,0x13331000,0x09998800,0x04ccc400,0x00014400,
    0x10006662,0x20003795,0x2e0001cb,0xdff9000c,0x0003ffdc,0xfd880264,
    0x0fa9cfff,0x97ff6000,0xa8006ffc,0x001cefec,0x35995510,0xfd00f601,
    0xfd8009ff,0x7f4005ff,0x362004ff,0x88003fff,0x5003ffff,0x01dfb5ff,
    0x00037cc0,0xfff801fe,0x03fffd0f,0xb001f800,0xffffffff,0x7fc4000b,
    0x03fffe7f,0x7d67f4c0,0x801cffdb,0xfedfffd9,0x03ee1eff,0x0fffffb8,
    0xfffff500,0x3ffee005,0x1d7000ff,0xf90003ea,0xa801ffff,0x1fff15ff,
    0x0007fa00,0x32005fa8,0x1ffee6ff,0x200d5000,0xffffccf8,0x6c0002ff,
    0x1bff25ff,0xf89ffd40,0x440dff31,0x5c43fffd,0x01fbdfff,0x3ffbffe2,
    0xfdffd005,0xfff100df,0x3a00bffd,0xf10026c2,0x409ffdff,0x3fe3fff8,
    0x04fc804f,0x0017e400,0x017502ee,0x3003d800,0x01cec98d,0x20bb8800,
    0xf8800bb8,0xfa87e27f,0x5fffd306,0x1ffffd40,0x7dcbff20,0x9ffdc01f,
    0x7e402ffa,0x003ff72f,0x2003d85d,0x1ff91ffd,0xe8fffea0,0x37cc07ff,
    0x007fc000,0x10000000,0x0000001f,0x20000000,0x07e27ffb,0xfffd10db,
    0xdfffb00b,0x507be201,0x0ffc40bf,0xef881be6,0x5c02fd41,0x2001f51e,
    0x27dc0ef9,0x3a2fffb8,0x3fa00fff,0x2fcc0001,0x99999988,0x99999999,
    0x54401999,0x80005dcb,0x18000001,0x3fffc800,0xd86983f1,0x9802ffff,
    0xb704ffff,0x5407e601,0x205d300d,0x03f300db,0x03effc88,0x0fa81320,
    0x3a2fffc8,0x9f901fff,0x07f90000,0x3ffff6e2,0xffffffff,0xf500ffff,
    0x009fff9f,0x000035c0,0x2e001ae0,0x1f8bffff,0x7fffd418,0xffffd006,
    0x0000005f,0x00000000,0x00000031,0x3a3fffb8,0x6f980fff,0x01fd0000,
    0x3fffff70,0xffd53333,0x23ff901f,0x0005fffa,0x000003fd,0x22000ff4,
    0x1fefffff,0x4ffffd80,0xfffced80,0x32ea206f,0x6544001b,0x751000bc,
    0x54400159,0x4cc01bcb,0x26621999,0x7fd40999,0x41bffe3f,0x980001fe,
    0xfff3006f,0x7fdc01ff,0xf93ffd40,0xa8001fff,0x000005ff,0xb000bff5,
    0x07ffffff,0x3fffff88,0x7fd47640,0xdfc80fff,0x802fffec,0x2ffbcffa,
    0x75f7fd40,0x6fe401ef,0x702fffec,0x223fffff,0xe86ffffd,0x0bffe4ff,
    0x400013f2,0xff3003fb,0xfb801fff,0xdf2fff40,0xd8003fff,0x00000fff,
    0x000fffd8,0x7fffffcc,0xfff500df,0x8fdc07ff,0x22fffff9,0x7ff43fe9,
    0x8ffee01f,0xff902ffc,0x407ffc4d,0x7ff43fe9,0xffff901f,0x86ffff83,
    0x9ff36ff9,0x0000df30,0xf9800ff4,0xf800ffff,0x54fffea0,0x4005fe8d,
    0x004ffff9,0x7fffcc00,0xffe88004,0xb82fffff,0x502fffff,0x7fffcc5f,
    0x917ff23f,0x3e60dfff,0x437fcc7f,0x7e43fff9,0x2ffe40ef,0x541bfff2,
    0x7ec1ffff,0xbfb106ff,0x07fa05dd,0x037c4000,0x1fffff30,0xf906c298,
    0x008b67ff,0x7ffffd80,0x7fec0000,0x320007ff,0x3fffffff,0x0fffffe4,
    0x3fe21fcc,0xfff15fff,0x3fffdc3f,0xff85ffd8,0x0ffff43f,0xf893ffea,
    0x3fee1fff,0xffff507f,0x06fffd83,0x13f20088,0x0066f6dc,0xf98013ee,
    0x15c0ffff,0xdfffd826,0x7c400078,0x003fffff,0xfffff100,0x74c0007f,
    0x23ffffff,0x41fffffc,0xfff884f8,0x3fffa5ff,0x21fffee0,0xff84fff9,
    0x3fffe64f,0x237ffd40,0x3ee0fffe,0xfff507ff,0x6fffd83f,0x437cc000,
    0x3df96fe8,0x3000fec0,0xd81fffff,0x77fff402,0x6e40004b,0x006ffffd,
    0xfffbb900,0xf98000df,0x50ffffff,0x445fffff,0xffff105e,0x116dc49f,
    0xa81ffffb,0x9999dfff,0x3fee6fff,0xffff987f,0xd88b6e20,0xfa80ffff,
    0x7fec1fff,0x7f40006f,0xf33ffd81,0x0ff101ff,0xfffff980,0xfb00be60,
    0x0003dfff,0xffff9af8,0xaf80002f,0x02fffff9,0x3ff3e200,0xfff12fff,
    0x3036c7ff,0x407fffff,0xffffefc8,0x77fffdc0,0x25eeeeee,0xf987fffc,
    0x32202fff,0x80ffffef,0x6c1ffffa,0x20006fff,0xfffa84fc,0x509fff11,
    0xff98009f,0x5ff50fff,0x6ffffb80,0xfd35c000,0x8000bfff,0x3ffffa6b,
    0x27e20005,0x3e3ffffa,0x1d94ffff,0x7ffffd40,0xf75ff901,0xffc81fff,
    0x3ff6005f,0xffff987f,0xf75ff903,0xff501fff,0xfffd83ff,0x0df30006,
    0x7c47fff2,0x02fd86ff,0x7ffffcc0,0x402ffffe,0x005ffffa,0xfff51f40,
    0x740003ff,0x3ffffea3,0x7c41d401,0x6c9fff91,0x0fbcffff,0x37fffdc0,
    0xfb8f7f4c,0x7fe40fff,0x3ff2007f,0xffffa87f,0xb8f7f4c2,0xfa80ffff,
    0x7fec1fff,0x3fd0006f,0xf87fff60,0x007f87ff,0xbfffff98,0x4402ffec,
    0x984ffffe,0x7fc3d403,0x50004fff,0x9fffff0f,0x1f886a80,0x7c45fff3,
    0x801fffff,0x542ffffd,0x3fee2fff,0x7ffdc0ff,0xfff7000f,0x3ffff50f,
    0xf717ffd4,0xff301fff,0xfffd83ff,0x04fc8006,0xff87fff6,0x002fd47f,
    0x07ffffcc,0xff3005fd,0xd735bfff,0xfb83d801,0x8000ffff,0xffffb83d,
    0x107ea00f,0x03ffe23f,0x007ffff7,0x88bffff1,0x3ee0ffff,0x7fd40fff,
    0xf98604ff,0x7fd40fff,0x3fffe27f,0x03fffee0,0xb07fffe6,0x9800dfff,
    0x7ffe406f,0xc8dfff11,0xff98002f,0x0be20fff,0x7ffffdc0,0x7cc00eff,
    0xfffff880,0x407cc003,0x03fffff8,0x1f883bea,0x3f607ff7,0xffc806ff,
    0x7ffd40ef,0x3ffff21f,0x1ffffe80,0x7ffec4a8,0x51fffdc0,0x7e43ffff,
    0xff980fff,0x3ffa22ff,0x0ff4006f,0x44bffea0,0x07fc4fff,0x7fffcc00,
    0x98016c0f,0x0cffffef,0xccccfd80,0x7fffffcc,0x6667ec00,0xfffffccc,
    0x2bbfea07,0x4ffa9f88,0x13fffe60,0x81efff98,0xecfffffa,0x419fffff,
    0x8bfffffb,0x7fcc0fb8,0x07ffec3f,0xd9fffff5,0x033fffff,0x7f49ffff,
    0x32007fff,0x7ffb004f,0xbf31bfe6,0x3ffe6000,0x4415c0ff,0x01a8a644,
    0x3bbbbe20,0xffffeeee,0xddf1002f,0xffdddddd,0x2e205fff,0xfffefffe,
    0x7e6f402e,0x3ee20bff,0x7ffc04ff,0xfff8bfff,0xfffc84ff,0x501fffff,
    0x3fe61dff,0xfffff80e,0xfffff8bf,0xeffffb84,0x0ffffdcf,0x000ef980,
    0xdfb1dfb1,0x0003fc83,0x81fffff3,0x0fc4b818,0xb00b9000,0x200dffff,
    0xfffd805c,0xba98806f,0x44bb002f,0xffeefffb,0xfea801cf,0x3ffee1df,
    0x3fffee04,0x7f4c01cf,0x500dffdf,0x7dc3bffd,0x3ff204ff,0xffffb3ff,
    0x01fe805f,0x03dedb80,0x26000197,0x000fffff,0x0003547d,0xff5003f1,
    0xf8803fff,0xffffa801,0x07e2001f,0x4c403aa0,0x10001aaa,0x2a200080,
    0x1a988001,0x00100200,0x000006a2,0x00000000,0xfffff980,0x361fd800,
    0x01f20003,0x05ffffe8,0xffd003e4,0x01800bff,0x00000020,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07ffffea,0xf10ffd88,0x17e20001,
    0xfffffb80,0x400bf101,0x01fffffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffff200,0xdba99adf,0x012e7fff,0x007ff4c0,
    0xefffffb8,0x007ff4c0,0xefffffb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fb26000,0xffffffff,0x6fffffff,0x3f200022,
    0x902effff,0xfffffffd,0x3ffff27f,0xffd902ef,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0bbbb620,0x9ddd9000,0x17776c40,0x00301800,0x400c40d4,0x26000301,
    0x4c00abcb,0x0001eeee,0x001bddd7,0x40277764,0x50008808,0x26003103,
    0xba8801cc,0x02ca8000,0x002b2a60,0x005fffa8,0x03bffe20,0x00bfff50,
    0x3e66ff98,0x3faa00ef,0x407b0bef,0x3fe26ff9,0xbffb000e,0x401bfff9,
    0x0003fffb,0x4003ffff,0x400efff8,0x3ff22ffc,0x3bffaa03,0xf1007b0b,
    0x7ec01fff,0x22004fff,0xfe9800ff,0x2004ffff,0x0000fffa,0x2001dff5,
    0x2000fffa,0xff92fffd,0x3ffe605f,0x00ffffff,0x7e4bfff6,0x7f4403ff,
    0x3bffe64f,0x01bff200,0x007ffe60,0x801dff50,0xff16fff8,0x3ffea0ff,
    0x00ffffff,0x03ffffb8,0x1fff97d9,0x200ff600,0xfffffffa,0x3fea005f,
    0x1ffb0002,0x02ffa800,0x5c7fff20,0xbfb02fff,0x0bffffff,0xf71fffc8,
    0xffd805ff,0x27ffec0f,0x0007ff20,0xb0003ff9,0xff1001ff,0x837ff4bf,
    0xfffffdfd,0xfff5005f,0xfe87103f,0x06fa801f,0xfffeff98,0x2002ffff,
    0xf88005fb,0xbf70001f,0x11f64400,0x88f409d9,0x400cffdb,0x3b223ec8,
    0x0ffff804,0x4037ffe4,0x7f4003fc,0x1ff88001,0xa877aa00,0x223d01de,
    0x000cffdb,0xe8017ffa,0x0ff8804f,0x3aa0be80,0x4004ffff,0x1e98005b,
    0x002dc000,0x00010000,0x3e200000,0x7fe40fff,0x0099006f,0x98001744,
    0x0000001e,0x26000006,0x5ff93000,0x5007fb00,0x3fffea07,0x00000004,
    0x00000000,0x00000000,0xffff5000,0x05fffc81,0x00000000,0x00000000,
    0x10000000,0x405ffffd,0xd00006fa,0x51005fff,0x44001597,0x2000acba,
    0x001bcba8,0x00565d44,0x03797510,0x1bcba880,0x1ffff500,0x202fffc8,
    0x000bcca8,0x00179951,0x006f2ea2,0x01799510,0x02b2ea20,0x26000800,
    0xff106ffe,0x3fa00001,0xeffa806f,0x5401efeb,0x1efebeff,0x7f66fe40,
    0xffa802ff,0x401efebe,0xfffecdfc,0xecdfc802,0x7d402fff,0x3fe60fff,
    0x33fea02e,0x7d402ffb,0x402ffbcf,0xfffecdfc,0xbcffa802,0x7fd402ff,
    0x001efebe,0x3e200154,0x007fb06f,0x03bfe200,0x7c4dff90,0xdff900ff,
    0x4c07ffc4,0x7fff43fe,0x89bff201,0xfe980fff,0x80ffff43,0x7ff43fe9,
    0x3ffea01f,0x01bff90f,0xff91ffdc,0xc8ffee05,0x3fe982ff,0x700ffff4,
    0x17fe47ff,0x3e26ffc8,0x0b2000ff,0x2a13f600,0x3600006f,0x7fcc00ff,
    0x077fe43f,0xf90fffe6,0x5ffc81df,0x9837ffe4,0x7fe43fff,0x22ffe40e,
    0xf906fffc,0x6fffc8bf,0x43fffea0,0x984ffea8,0x37fcc7ff,0x3e63ffcc,
    0x45ffc86f,0xf306fffc,0x86ff98ff,0x7e43fff9,0x1f8800ef,0xee837ee0,
    0x0007fc40,0x7fffecc0,0x07fffa01,0xfe89fff5,0x7ffd41ff,0x87fffe24,
    0xfd07fffb,0xfffa83ff,0x87fffe24,0xf887fffb,0x3fee1fff,0x3ffea07f,
    0x1fffc40f,0x3fe17ff6,0x42ffec3f,0x3fe23fff,0x3ffee1ff,0xf0bffb07,
    0xfffe87ff,0x027ffd41,0xff701be6,0xfb019dbf,0xffd00007,0x305fffff,
    0xfa81ffff,0x3ffe66ff,0x37ffd40f,0xfb83fffa,0xfff987ff,0x37ffd40f,
    0xfb83fffa,0xfffd07ff,0x03fffdc1,0xf01ffff5,0x3fe61fff,0x24fff84f,
    0xff84fff9,0x07fff44f,0xf30ffff7,0x9fff09ff,0x207fffcc,0x2a06fffa,
    0x353002ff,0xb01bea01,0xfeb8801f,0xfb87ffff,0xfff987ff,0x0ffff70f,
    0x441ffff3,0x3ff622db,0x7ffdc0ff,0x0ffff987,0xfd88b6e2,0xdb880fff,
    0x3ffff622,0x1ffff500,0x2a7ffff0,0x9999dfff,0x3fea6fff,0xff9999df,
    0x116dc46f,0xa81ffffb,0x9999dfff,0x3fee6fff,0xffff987f,0x007ffc80,
    0x807fe200,0x32000ffc,0x641fffff,0xff987fff,0xffff92ff,0x05ffff30,
    0x7fff7e44,0x3fffe40f,0x017fffcc,0xffffdf91,0xfdf91001,0x3ea01fff,
    0xffe80fff,0xdffff74f,0x4bdddddd,0xeeeffffb,0x4405eeee,0x0ffffefc,
    0x777fffdc,0x325eeeee,0xff987fff,0x7ffe42ff,0x3f600003,0x03ffea03,
    0x9ffff900,0x987fffd8,0xffb3ffff,0xffff30ff,0x2ebff207,0x7ec0ffff,
    0xfff987ff,0x75ff903f,0xc801ffff,0xffffbaff,0x1ffff500,0x32dfffd0,
    0x32005fff,0x20005fff,0xfffbaffc,0x2fffe40f,0x0ffffb00,0x547ffff3,
    0x0000ffff,0x7cc0df50,0xe8000ffe,0x7fe45fff,0xffffa87f,0x50ffff92,
    0xe985ffff,0xffff71ef,0x87fffc81,0x4c2ffffa,0xfff71efe,0x3bfa601f,
    0x01ffff71,0x203fffea,0xff96fffe,0x7fe400ff,0xfe98007f,0x1ffff71e,
    0x007fffc8,0x2a1ffff2,0x3f22ffff,0x04ec87ff,0x4407fe20,0x000ffd9f,
    0x5c3fffa8,0xffa87fff,0xffff71ff,0x43ffff50,0x3ee2fffa,0x7fdc0fff,
    0xffffa87f,0xb8bffea1,0xfa80ffff,0x3ffee2ff,0xffff500f,0x29fffd01,
    0x000ffffb,0x001ffff7,0xf717ffd4,0xffb81fff,0xff7000ff,0xffff50ff,
    0x237fffc3,0xb002fff9,0x6cba207f,0xf88000ff,0x7ffcc2ff,0x3fffd40f,
    0xa81ffff3,0x3fe27fff,0x3ffee0ff,0x7fffcc0f,0x13fffd40,0x7dc1ffff,
    0x7fc40fff,0x3ffee0ff,0xffff500f,0x27fff901,0x204ffffa,0x13fffea1,
    0x3fffe218,0x03fffee0,0x409ffff5,0x03fffe61,0xff8ffff5,0x7ffcc6ff,
    0x206fa804,0x003ff63d,0x6c07ffc0,0x7fdc0fff,0x07ffec3f,0xfa8fffee,
    0x3ff21fff,0xfffd80ff,0x51fffdc0,0x7e43ffff,0x7fd40fff,0x3fff21ff,
    0xffff500f,0xff31dd11,0x7ffff43f,0x7ff44a81,0x2a4a81ff,0x3f21ffff,
    0xffe80fff,0x6c4a81ff,0x7fdc0fff,0x3ffff43f,0x22017ff4,0x99f701ff,
    0x643bffd9,0x0bfe604e,0x361fffcc,0x7fcc0fff,0x07ffec3f,0xd9fffff5,
    0x833fffff,0x7ec3fff9,0x3ffea0ff,0xffffecff,0x3ffea19f,0xffffecff,
    0xfffc819f,0xff3ffb8f,0xfffffb8b,0x5c0fb88b,0x88bfffff,0x3ffea0fb,
    0xffffecff,0x7ffdc19f,0x0fb88bff,0x361fffcc,0x7fd40fff,0x077dc2ff,
    0xfc80ff60,0x2fffffff,0x901bfff3,0xeffa809f,0x201dff30,0xff30effa,
    0xfffff01d,0xfffff17f,0x21dff509,0xff80eff9,0xff8bffff,0x7ffc4fff,
    0xfff8bfff,0xfffd84ff,0xf8bff98f,0xffffc80e,0xf901ffff,0x3fffffff,
    0x7ffffff0,0x09fffff1,0xfffffff9,0x3bfea03f,0x201dff30,0x98bffffc,
    0x37d401fd,0x3a666620,0xfff10aff,0x7f913bff,0x37ffa600,0x74c00dff,
    0x00dffdff,0x5c3bffd5,0x3a604fff,0x00dffdff,0x5c3bffd5,0xfea84fff,
    0x3ffee1df,0xfffffe84,0x019dfd70,0x67ffffdc,0x7fffdc01,0xffd501cf,
    0x27ffdc3b,0x9fffff70,0xdffe9803,0x6cc00dff,0x00cfffff,0x4000ffc4,
    0x7fdc0ffd,0x00dfffff,0x001a9880,0x2001a988,0x31000400,0x20040035,
    0x00400800,0x22000400,0x1a88001a,0x00100200,0x44000d44,0x310001a9,
    0x003fd800,0x2601dd90,0x00000aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x00cb8002,
    0xca8002a8,0x32a60002,0x4c4000ab,0x99999999,0x33333100,0x00b98013,
    0x99019900,0x81999881,0x98809998,0x09999999,0x26666666,0x99880999,
    0x4cccc199,0x81999999,0x09999999,0x000600b8,0x80d65d4c,0x17fae209,
    0x440bf700,0x44005feb,0xd88000ff,0x02ffffff,0x3ffffee0,0x9302ceff,
    0x109ffffd,0x05bf9dd7,0x7c43fc40,0x87fffb87,0xfb84fffe,0x3effffff,
    0x3fffffb2,0xfda82cff,0x3f7225ff,0xbcffffff,0x77ffee40,0x20cfa81c,
    0x2e2004fa,0xffeffffe,0x951e89bd,0x4400bffd,0xfd9500ff,0x3fd800bf,
    0x14ff8800,0x8003fffb,0x01fffffe,0x2207bfa0,0x0ffe67fe,0x7d437d40,
    0x87fffb85,0xf104fffe,0x201fffff,0x03fffffd,0x3f203fc8,0xb801ffff,
    0x7fcc00ff,0x2a001deb,0x20beffff,0x41ffffc9,0x36005ffb,0x5ffb802f,
    0x001bea00,0xff30fff4,0xff98009f,0x32002fff,0x87ffb01f,0xfb800ffe,
    0xfb84fc84,0xfffe87ff,0x3fffee04,0xffff100f,0x80f7009f,0x007ffffa,
    0x3ea009f1,0x7fe4006f,0x7f4402ff,0x02ffdc1f,0xf7005fb8,0x3fe200bf,
    0xfffa8000,0x002fffc0,0x037fffec,0x3fe609d0,0x037fec2f,0x17ec1fec,
    0x743fffdc,0x3e204fff,0x3603ffff,0xd807ffff,0x7fffd404,0x100fe007,
    0x00bff9f9,0x013ffff2,0x3ee0ffc4,0x0ff8805f,0x00bff700,0x5c000ff6,
    0x7fec1fff,0xfffa8004,0x0f9801ff,0xc83fffb0,0x7f402fff,0xfb80ff81,
    0xfffe87ff,0x7fffe404,0x3fffe606,0x007e202f,0x00fffff5,0x19f701fc,
    0xf5017ff2,0xa800bfff,0x02ffdc1f,0xf70017ec,0x0df500bf,0x27ffe400,
    0x40003ffa,0x804ffffe,0x3fffe04d,0x027ffe41,0x0ff10ff1,0x3a1fffee,
    0x7cc04fff,0x3a01ffff,0x2e05ffff,0xffffa806,0xa80fe007,0x104fff80,
    0x001fffff,0x5ffb83d0,0x2002fdc0,0x7c405ffb,0x3f20000f,0x07fea7ff,
    0xffffb800,0x403e200f,0x641ffff8,0x33265fff,0xccccffdc,0x7dc4cffd,
    0xfffe87ff,0xffffe804,0x3fffee04,0x5007d00f,0x400fffff,0x7dc2003f,
    0xfffb82ff,0x8370007f,0x3e205ffb,0x7fdc000f,0x001fec05,0x2ffffee0,
    0x40000dfd,0x03fffff8,0xfff98172,0x37ffe40f,0xfffffff5,0xffffffff,
    0xe87fffb8,0xfb804fff,0xfb00ffff,0xf307ffff,0xffff5001,0x201fc00f,
    0xffefffda,0xffffe87f,0x3ee00005,0x00ff605f,0xa817fee0,0xf880006f,
    0x980cffff,0x40099999,0x206ffffc,0x3ffea01f,0x3fffe40f,0x9bfd9993,
    0x99bff999,0xe87fffb8,0xf8804fff,0xf983ffff,0xc86ffffd,0xffff5005,
    0x701fc00f,0x3fea3fff,0x3ffe62ff,0x200004ff,0xbf705ffc,0x17ff2000,
    0x00007fc4,0x27ffffcc,0x3effffc8,0x7ffffc40,0x7dc06b82,0x7fe40fff,
    0x03ff01ff,0x3fee01ff,0x4fffe87f,0xdffff900,0xffff3b90,0x5002f83f,
    0x400fffff,0x5fff503f,0x2a6fffd8,0x002fffff,0xfffea980,0x003fe21b,
    0x7fffd530,0x0003fd83,0x7ffefecc,0x9ff501ff,0x7fffec00,0x7ec02e85,
    0x7fe40fff,0x87f882ff,0x3fee07f8,0x4fffe87f,0xffff9806,0xffe8fc1f,
    0x801ea4ff,0x007ffffa,0x7fff40fe,0x87fffdc0,0x01fffffc,0x99998800,
    0x30ff6099,0x98815bd7,0x2a099999,0x807ec06f,0xfffd1efb,0x01be60df,
    0x3fffff50,0x7fec0354,0x7ffdc0ff,0xa86fa82f,0x3ffee05f,0x3fffe20f,
    0xffe80735,0xfb9ae4ff,0x01367fff,0x07ffffa8,0x3fea0fe0,0xffffa87f,
    0x3fffff91,0x2a000000,0x7fffcc5f,0xff88006f,0x203ff201,0x3fe63ffd,
    0x1fb84fff,0xffffe800,0x3f200f64,0x7fe40fff,0x84fb81ff,0x3fee03fc,
    0xfffd12ff,0xb80591ff,0x7d0fffff,0x57ffffc4,0x3ea000f8,0x3e007fff,
    0x87fffb82,0xf72ffffa,0x0007ffff,0x81ff1000,0x2fffc9be,0x501fec00,
    0xffb81fff,0x7fffe40f,0x8002743f,0x98fffffb,0xfffb800f,0x7fffe40f,
    0x9dfd9930,0x99bfd999,0xfffffc89,0xffffabfe,0xfff8806f,0x6c0f9bff,
    0x06bdffff,0x3ffffd40,0xff905f00,0xffff50ff,0x3ffffea7,0xd8000004,
    0x3fa0c43f,0x1bea002f,0x20ffef98,0x441ffff8,0x92ffffff,0x7fc4000d,
    0x004dbfff,0xc81ffff5,0x3fea7fff,0xffffffff,0x7e47ffff,0x362ffffe,
    0x9000cfff,0x099dffff,0x7dfffff5,0xffffa800,0x360be007,0xffa87fff,
    0xffff32ff,0x800000bf,0xff9005fa,0x07fe2001,0x07fecfc4,0x307ffff5,
    0xf7ffffff,0xffc80003,0x3000feff,0xfc83ffff,0x3f7266ff,0xffdccccf,
    0x47f44ccc,0x005101aa,0xffffff30,0x3ffffe03,0x7fcc000f,0x0be007ff,
    0x2a1ffff2,0x3fa0ffff,0x00006fff,0x4003fe20,0x3f6004ff,0x3f65d103,
    0x3ffff20f,0xfffff506,0xf100009f,0x800bffff,0x7e41ffff,0x86fa84ff,
    0x0ffc05fa,0x3fa00000,0x3f205fff,0x88005fff,0x3007ffff,0xffff501f,
    0xa8ffff50,0x000fffff,0x007fb000,0xfa8017ea,0xffd8f606,0x3ffffee0,
    0xfffff703,0xd800107f,0x4001ffff,0x7e41fffc,0x84fb82ff,0x3fe604fc,
    0x5c000003,0x2602ffff,0x0001ffff,0x001fffff,0x3ffe20f7,0x37ffdc0f,
    0x027fffec,0x17ea0240,0x8006fc40,0x9f701ff8,0x23bffd99,0x3ffffffa,
    0xffffffb0,0x8003a61b,0x8005fffa,0x7ec2fff8,0xd05fb06f,0x27fd405f,
    0x3e200000,0xffe806ff,0x3ff20006,0x27c402ff,0xb81fffd0,0xff883fff,
    0xd1001fff,0x007fc40d,0xb00645e8,0x7ffe407f,0x3a2fffff,0xadffffff,
    0xfffffc98,0x02ffffff,0x002ffe80,0xff89ff90,0xf03ff02f,0x37fe401f,
    0x7e400000,0x4ffb803f,0x3ffa2000,0x1dd101ff,0x217ffc40,0x3a604ffd,
    0x4c01ffff,0x0ff600ee,0x76667ec0,0x101bea07,0x5ffd3333,0x7ffffc41,
    0x8bffffff,0xfffffffb,0x0df70004,0x50ffc800,0x1fe207ff,0xff901fe6,
    0x3000000d,0xff1001ff,0xfd880001,0xda9acfff,0xff9800ef,0x201bfe66,
    0x9cffffd8,0x809fb730,0xffb005fa,0x220bffff,0xfd8001ff,0xfffc880f,
    0x4c0cffff,0x004ffffe,0x0000fe20,0x0bbfbff2,0x5fa85fa8,0x0017fcc0,
    0x004e8000,0xc80001b6,0xffffffff,0x3f26000b,0x000cefdf,0x3fffff26,
    0x4402dfff,0xeea800ff,0xb03eeeee,0x3b20007f,0x2aa6200e,0x02a98009,
    0x00005000,0xa8800a98,0x0001a981,0x1a800000,0x00006600,0x06aeeaa0,
    0x002a6000,0x26aaa600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26662000,0x00999999,
    0x002aa980,0x02af2ea2,0x26666600,0x09999999,0x026aaa60,0x000ba880,
    0xabcba880,0x65cc0000,0xb98140ab,0x3bbba601,0x54c00001,0x2a20001a,
    0x4000abcb,0xb802ccb9,0x0032e0bd,0x7ffffc40,0x001fffff,0x005bff93,
    0x3fbfff6a,0xf5002eff,0xffffffff,0xff50bfff,0x807fff9f,0x3efecfea,
    0xfffda800,0x002efffe,0x7eefff4c,0xfb85a9cf,0x3fee04ff,0x6c40004f,
    0xfffddfff,0xdfc8801d,0x003ffffd,0x3dff7bf9,0xc93fff20,0xff70003f,
    0xdfffffff,0x39ffd300,0x33bfa200,0xdfd9510a,0xffffc803,0xffffffff,
    0x3227fec2,0x5ff506ff,0x88027ff4,0x510acefe,0x7003dfd9,0xffa817ff,
    0x7fffe85f,0x0037fdc0,0x417fff70,0x404fffa8,0x3ffe61fe,0xb3fec04f,
    0xfff01dff,0x017e61ff,0x7fffff40,0x5402ffff,0x2a001fff,0xfd1001ef,
    0x7ffff405,0xffffffff,0x307fff20,0xffa89fff,0x017ffd47,0x44007bea,
    0x3fe602fe,0x117fa205,0x803fffff,0x4c001ffc,0x2a03fffe,0xfb81efff,
    0x7fffdc2f,0x64bff502,0xffe83fff,0x0007fc6f,0x3fffffe2,0x7e407fff,
    0x3e6002ff,0x03f90004,0xfffffff1,0x44bfffff,0xfff07fff,0x437ffc4f,
    0xf301ffff,0x07f20009,0x26017fec,0xfffff85f,0x004fc800,0x402ffff4,
    0x740ffffc,0x7ffcc5ff,0x4dffd04f,0xfa84fffc,0x017e42ff,0x70001ae0,
    0x44005fff,0xddddd75e,0x1fb059bd,0x99abefa8,0x22ffa999,0xd82ffffa,
    0xfff30fff,0x09ffff0b,0xfdb50bd1,0x7ecd37bb,0x803fff80,0x7fffe85b,
    0xc8017200,0x8801ffff,0x7f45ffff,0x7fffc47f,0x27fff985,0x2a01fff9,
    0x4005fa80,0x3e60004e,0x7e4006ff,0x64dffee0,0x17a20eff,0x1ff700b9,
    0x42ffffd4,0x3fee6ffd,0x6fffe85f,0x3f620fc8,0x89fee21f,0x7fffc45e,
    0x7e434c01,0x000005ff,0x00fffff3,0x717fffec,0xfff98bff,0xffffa83f,
    0x40006e20,0x3e6007f8,0x74001abd,0x22003fff,0x23ffcc4f,0x07dc5ffe,
    0x8bfd0019,0x43fffff8,0x3ff63ffe,0xffffd86f,0xffd13e20,0x1f71f203,
    0x1fffffc4,0x3ffee120,0x86666663,0x80999998,0x004ffffe,0x31ffffee,
    0xffffa815,0x1ffffb81,0x3f600800,0xffff9002,0xfa803bff,0x2e000fff,
    0x23ffcc2f,0x1fcc7ffc,0x20bfe200,0x33fffffe,0x7ff41dff,0xffffc86f,
    0xffb8bee1,0x7f31e205,0xefffffe8,0x3ffe6002,0x3ffffee1,0xdffffb11,
    0x3fffff88,0x3fffe600,0xfffc800f,0x7ffff706,0x7d40d000,0xfffff004,
    0x2019ffff,0xfecefffd,0x81fb02df,0x7fec7ff9,0x5c005f85,0xfffa80ff,
    0x84fedfff,0xfb87fffd,0x83f63fff,0x40402fff,0x7fffdc5f,0xf001efff,
    0xffff90ff,0x46ffff83,0x02fffff9,0x3ffffe60,0x0efff802,0x09ffff50,
    0x3e203f00,0xffff9807,0x1fffffff,0x77ffffc4,0xe84ffffe,0x227ff986,
    0x06d82fff,0xf702fec0,0x0bffffff,0x707ffff2,0x3745ffff,0x0003fff3,
    0xffffb0db,0x801bffff,0xfffa86fd,0x37ffec1f,0x0bffffea,0xfffff880,
    0x06ffdc03,0x3fffbba6,0x401eeeff,0x07fa02f9,0xffffff90,0x41dfffff,
    0x2e2ffffa,0x1fc3ffff,0x7e57ffcc,0x00f702ef,0x2a017fc4,0x4fffffff,
    0x44ffff98,0x3e1ffffb,0x003ffea3,0x7ff41ee0,0x2fffffff,0x3ea13ee0,
    0x7fec1fff,0x7fffe46f,0x3fe2001f,0x7f405fff,0xfffff503,0x03ffffff,
    0x3ee03fa8,0xd7531004,0x4bffffff,0x741ffffb,0x13e0ffff,0x3fefffe6,
    0x801ee02f,0xfd800ffb,0x84ffffff,0x323ffffc,0x93e0ffff,0x8001fffb,
    0x3fff207b,0x03ffffff,0xfff505f5,0x6fffd83f,0x0fffffe4,0xfffff100,
    0x3017d40b,0xfffffddd,0xfb803ddd,0x001be205,0x7ffffda8,0x707ffff2,
    0x3745ffff,0xffcbffcc,0xd801b606,0x67f4405f,0x2ffffffc,0x77fffec4,
    0x746fffff,0x00bffe66,0xfb301b60,0x3fffffff,0xff503f10,0xfffd83ff,
    0x7ffffdc6,0x3ffe2002,0x00f203ff,0x00ffff70,0x7f407fd8,0x7fe40000,
    0xffffb1ff,0x3ffff983,0xfff303f6,0x7c0bffe2,0x07ff1005,0xff93ffd4,
    0x36e0dfff,0xffffadff,0xff887ec3,0x05f8003f,0xfffffd30,0x2a03e0bf,
    0x7ec1ffff,0x7ffcc6ff,0x3e6003ff,0x3202ffff,0x7ffcc001,0x0fffc006,
    0x00007f70,0x3ee5fff9,0x7fc41fff,0x30bea4ff,0x37fdcfff,0xfa801fcc,
    0x13ffe00f,0x01fffff7,0x03fffea0,0x37fe45f5,0x4c7f3020,0x7fffd402,
    0x3ea0907f,0x7fec1fff,0x7fffc46f,0x3fe6003f,0x01201fff,0x002fff40,
    0x4c05fff3,0xff00006f,0x3fffea1f,0x1ffffc42,0x3fff513e,0x3f21fff4,
    0x40bfb000,0xfd83fffa,0xfb002fff,0xd13e09ff,0x90f207ff,0x4402cc1f,
    0x000ffffe,0xb07fffea,0xffb0dfff,0x7dc009ff,0x00006fff,0x4007ff90,
    0x7404fffb,0xfd80000f,0x0ffffe26,0xf907fffe,0x33fff661,0x225fff51,
    0x7ff1004f,0x417ffec0,0x803ffffa,0x3206fff8,0x56ffe40f,0x27c42db9,
    0x3e2003e6,0x26000fff,0x7ec1ffff,0xfff986ff,0x3ff6006f,0x800001ff,
    0x0e02ffb8,0xc80dfffb,0xfb80003f,0x427fff43,0x2dd07fff,0x22aaaaaa,
    0x01dd2aaa,0xd803fea0,0xff882fff,0xffd801ff,0x4c37401f,0xe80abdca,
    0x8027cc0e,0xbda86ffc,0x0ffffcc0,0x641bfff6,0x8802ffff,0x5405ffff,
    0x7e4c00bd,0xc982ffff,0x03ffff46,0x76c417e6,0x2e07f404,0x7fc46fff,
    0x01bf105f,0x001fd880,0xff701bf6,0x1fffe09f,0x00bfff60,0x100037e2,
    0x3ff303fb,0xb87ffb00,0x7fcc5fff,0x3ffa22ff,0xfffd106f,0xdfffb00b,
    0x37ffd401,0x3ffb3ba0,0xfffeffff,0x07ffffc5,0x3f203fe0,0x0e982eff,
    0x4c3fff90,0x3e600eff,0x5fd5002f,0x01ffc400,0x2617ffe2,0x7ec02fff,
    0x3e6000ef,0x5fd5002f,0x807ffe60,0xffe86ff8,0x7fffc0ff,0x1fffffa4,
    0x405fffb0,0x400dfffb,0x301ffffd,0x7ffff41f,0x222fffff,0x401fffff,
    0xfffa82fc,0x0ed9adff,0xfb2ffec0,0xffb1001f,0x3f6e637b,0x7d4000ef,
    0xfff9800f,0x80fff623,0x0003efea,0x237bffb1,0x00effdb9,0x20ffffe6,
    0xfd80efd9,0xfffb87ff,0xfffdcfef,0x7ffdc00f,0x27ffdc43,0x0ffffc80,
    0x3bee3f10,0x5ffffffe,0x806fffd8,0xfff705fa,0x0017bfff,0xbfddfd71,
    0xffd98003,0x02dfffff,0x400dfb00,0xffdeffd8,0xdffc881d,0xfb300002,
    0x5bffffff,0xf955f300,0x07fff9df,0xc81fffcc,0xffb3ffff,0xc9805fff,
    0xeffeeffe,0x3fa2001c,0x7ffdc04f,0xffffd88e,0x05dfb304,0xa980ff10,
    0x5440001a,0xa9880001,0x400009aa,0x988001aa,0x26a009aa,0x22000000,
    0x0009aaa9,0x2aea6062,0x1002a001,0x20000035,0x80001aa9,0x0351000a,
    0x01001551,0x0000cb80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0abcca98,0xeed80038,
    0x6654004e,0x26622442,0x32e61999,0x4ccccc01,0x01880001,0x665d4003,
    0x9998000a,0x99999999,0x33333310,0x4cccc413,0x33333310,0x99998013,
    0x31000999,0x00033333,0x26620e5c,0x99999999,0x3b200000,0xffecefff,
    0x4007a8bd,0x1006fff8,0x3df7bffb,0xffc88ff5,0xffffb7ff,0xfff9105f,
    0xfa8000ff,0x01bfe65f,0xff79ffd5,0x440fffff,0xffffffcb,0xfff51bdf,
    0x6d419fff,0xffb30dff,0xc80bffff,0x01dffffd,0xfffffd70,0x0bfee000,
    0xfffffb71,0x000059df,0x205dffd3,0x007fffea,0x40077fdc,0x3ea1ffe8,
    0xffb07fff,0xffb5bbff,0x3ff201ff,0x7f40007f,0x5fffb1ff,0x98fffea0,
    0x006eefff,0x0bfffff3,0x81ffffe6,0xffff306f,0xdf5009ff,0x3ffa0001,
    0xff98007f,0x3ffee02f,0x900000ff,0x3200dfff,0x7f4007ff,0xbffb000e,
    0x20ffffd0,0x5c5ffffc,0xff706fff,0xfd8000ff,0x3fff90ff,0x81ffff10,
    0xf8005fff,0x3203ffff,0x5f01ffff,0x7ffffd40,0x004f802f,0x01ffff60,
    0x80bfffa0,0x006ffff9,0x1ffff900,0x003fec00,0x32001df1,0xffd83fff,
    0xffff707f,0x2ffff881,0x007fffb8,0x91176c40,0x3ffee07d,0x01fffe87,
    0x17ffffc0,0x09ffff10,0xfff980d3,0x7401ffff,0x3ff20003,0x7fe4007f,
    0x3fe602ff,0x980006ff,0x8003ffff,0x036a007e,0x81ffff80,0xf707fffc,
    0x3ffa0fff,0x7fffb84f,0x20000000,0xfd86fffc,0x7fc003ff,0x7ec02fff,
    0x01e40fff,0x3ffff7e6,0x00f600ef,0x07fffc80,0x3ffffea0,0x3fffe602,
    0x4000999e,0x00ffffe8,0x00007a80,0x07fffe20,0x5c1ffff2,0xffd07fff,
    0xffff70df,0x40000000,0xfd86fffb,0x7fc003ff,0x7cc02fff,0x007c3fff,
    0x3fffa3e6,0x00f605ff,0x07fffc80,0xffff9f10,0x7fffcc05,0x1dffffff,
    0x6ffffc80,0x2661a000,0x26621999,0x7fd40999,0xfffc80ff,0x0ffff707,
    0x2e1ffff6,0x32ea7fff,0x26666602,0x26666621,0x43fffcc0,0x4000fffe,
    0x802fffff,0x16a6fffe,0x7ffc5e60,0x07b04fff,0x32379510,0xbd007fff,
    0x405ffff1,0x98effff9,0x00cffffb,0x017ffffe,0xfffb8080,0xfffb11ff,
    0x7fffc8df,0x20ffff90,0xfb07fffb,0xffb81fff,0xffffd8ff,0xffffb82f,
    0xffffb11f,0x81fffd0d,0xf8006fff,0xa802ffff,0x05b2ffff,0x7ffccf30,
    0x03d82fff,0x5fffffe4,0xc807fffc,0x2ffff88e,0x1bfffe60,0x01fffff3,
    0x09fffff1,0xfff90000,0x6ffff83f,0x407fffe4,0xf707fffc,0x3ff60fff,
    0xffffb86f,0xffffc9bf,0x1ffffc81,0x4437fffc,0x3fee4ffc,0xfff8000d,
    0xfff002ff,0x2600f1df,0x7ffffdc7,0xf701ec0f,0x3ffa65ff,0x8fd407ff,
    0x202ffff8,0xc86ffff9,0xfa85ffff,0x0003ffff,0x1ffffa80,0x2e37ffec,
    0xfc80ffff,0xfff707ff,0x17fff60f,0x50bfffee,0xfa81ffff,0x7fec1fff,
    0x3bfea06f,0x20003efe,0x002fffff,0x09bffff7,0x3ff61e60,0x0f60efff,
    0x262fffcc,0x2207ffff,0x3fffe23f,0x3fffe602,0x7ffffb86,0x2fffffb8,
    0xffa80000,0x7ffec1ff,0x0ffffd46,0xb83fffe4,0xffd07fff,0xffff709f,
    0x87ffff10,0x6c1ffffa,0x36e06fff,0x80000aaa,0x002fffff,0x03fffff1,
    0x7ff41e60,0x40f65fff,0xfc82fffe,0x117a07ff,0x4c05ffff,0xf986ffff,
    0x7e41ffff,0x0001ffff,0x1ffffa80,0x2237ffec,0xfc83ffff,0xfff707ff,
    0x5ffff10f,0x20ffff70,0x7d45fffe,0x7fec1fff,0x007d886f,0xfffff000,
    0x7ffec005,0x441e6006,0xb3ffffff,0x3ffff107,0x20ffff90,0x7ffc40fc,
    0x3ffe602f,0xffff986f,0x7fffd40f,0x4cccc02f,0x20999999,0x6c1ffffa,
    0xffc86fff,0x3ffe60ef,0xffff707f,0x04fffa8b,0x360ffff7,0x7fd46fff,
    0x7ffec1ff,0x000ffc86,0xfffff800,0x3ffe6002,0x981e6003,0xd9ffffff,
    0x0ffff983,0x987fffc8,0xffff881f,0x3fffe602,0x5ffffb86,0x4fffff88,
    0x7fffe540,0x3ea1cfff,0x7fec1fff,0xffffb06f,0xffffdfb7,0x3bfffee0,
    0x06fffbad,0x6c1fffee,0x3ea0ffff,0x7fec1fff,0xeffff86f,0x01bcceee,
    0x2fffff80,0x007ff400,0xffb80f30,0xb83effff,0xfc80ffff,0x577c47ff,
    0xfffbaaaa,0xff980acf,0xfffc86ff,0xffffd03f,0x3ffee00b,0xfffa81ff,
    0x37ffec1f,0x1dffffb0,0x2e0ffff9,0xfffb7fff,0x7fdc03bf,0xffffb07f,
    0x41ffffa8,0xff86fffd,0xffffffff,0x7fc005ff,0x54002fff,0x03cc005f,
    0x7fffffe4,0x0ffffc83,0x447fffc8,0xffffffff,0x82ffffff,0x4c6ffff9,
    0xb00dffff,0x200dffff,0x80fffff9,0x6c1ffffa,0xa9806fff,0x41ffff20,
    0x2a27fffb,0xffff7002,0x517fff60,0xfd83ffff,0xfffc86ff,0xffffffff,
    0x205e4c4f,0x002fffff,0x3cc001f8,0xfffffd80,0x0ffffc83,0x447fffc8,
    0xffffffff,0x82ffffff,0xaaeffff9,0x404ffffc,0x007ffff9,0x20fffff3,
    0x6c1ffff9,0x90006fff,0x3ee0ffff,0x2e0007ff,0xffb07fff,0xffff987f,
    0x837ffec1,0xfffffffc,0x3e26ffff,0x7fffc5ff,0x034c001f,0xe8803cc0,
    0xfb83ffff,0xffc81fff,0x7fffc47f,0xffffffff,0xfff982ff,0xbdefffff,
    0xffff7001,0xffff3005,0x3fffe60f,0x037ffec1,0x07fffc80,0x000ffff7,
    0xe83fffdc,0x7fcc2fff,0x7ffec1ff,0x9abefb86,0x7ffdaa99,0xff1fffee,
    0x15401fff,0x1e6000f2,0x3ffff980,0x82ffffa8,0x4007fffc,0x202ffff8,
    0x006ffff9,0x0dfffb00,0x0fffff30,0x88bfffe6,0x0006fffe,0x2e0ffff9,
    0x20007fff,0xf80ffffb,0x7fcc0eff,0x3ffa22ff,0x00ffdc6f,0xfff727ec,
    0x06ffff8d,0x00f8bff6,0x54007a80,0xffd03fff,0xffffd0bf,0xffff8800,
    0x3fffe602,0xfb100006,0xff980bff,0x3ffe07ff,0x3ffffa4f,0xfff90007,
    0x1ffff20f,0xffffb800,0x807ffd41,0x3fa4ffff,0x7fe47fff,0x10ffc402,
    0x7fc43fff,0x3ffe02ff,0x32000775,0x7fe4000f,0x3ffff703,0x07ffffe4,
    0x5ffff100,0x37fffd40,0x3faa0000,0xffb81bef,0x3fee05ff,0xffdcfeff,
    0xfe8000ff,0xffd80fff,0xf70001ff,0x7f41bfff,0x3ffee01f,0xfffdcfef,
    0x0bffe20f,0x503fd531,0x7ffe45ff,0x6fffe403,0x9ff30006,0x407fb000,
    0xeecffffc,0x02dffffd,0x05ffff10,0x0fffffe4,0x7f640000,0xfffeefff,
    0xffc800bd,0xffffb3ff,0x3f6e005f,0xb34fffff,0x19dfffff,0xf53fb800,
    0x003bffbf,0x367ffff9,0x542fffff,0xcefffffd,0x3ffa600b,0x8803dfff,
    0x4000effd,0xdfffffea,0x807d1001,0xf95ffffc,0x200379df,0x4c2ffff8,
    0xffffffec,0x000003df,0x03355731,0x0006a200,0x33333100,0x26662133,
    0x00099999,0x06a6204c,0x0006a200,0x98000440,0x110001aa,0x00000000,
    0x82a60031,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33300000,0x13333333,
    0x99998800,0x00099999,0x33333310,0x00013333,0x01301500,0x006eea20,
    0x26666666,0x99880999,0x98199999,0x4c419999,0x00009999,0x00599730,
    0x33310571,0x99800133,0x98199999,0x5d400999,0x4ccc40ac,0x19999999,
    0x3ffff722,0xffffffff,0x3f6e203d,0xffffffff,0x4c00bdef,0xffffffdc,
    0xceffffff,0xffeb8000,0x7005d0bd,0x05ffffff,0x3ffff6e2,0xc983dfff,
    0x0ceffffe,0x3fffff62,0x3fffff20,0x7fcc0002,0x101effdc,0xffc8bfff,
    0x74002fff,0x85ffffff,0xd503fffd,0x44dff97f,0xffffffdb,0xffc80bdf,
    0xfdba9fff,0x6400dfff,0x999fffff,0x00cffffb,0x26ffffc8,0x2ffffda9,
    0x3fffee00,0xc807ffff,0xffffffff,0x7fffdc02,0xfff8803f,0x7fffec03,
    0x17fffdc0,0x47ff5000,0xfb80ffff,0x7fdc0fff,0xfd8002ff,0x3f203fff,
    0x2adff502,0xffb82fff,0x7d402fff,0xffc87fff,0x3ea00eff,0xfd887fff,
    0x7dc01fff,0xff706fff,0x3ba009ff,0x4ffffffd,0x7ffffd40,0x201fffff,
    0x01fffff9,0xc801ff98,0x7d40ffff,0x30002fff,0xfffd8fff,0x0ffffb83,
    0x017fffd4,0x2ffffcc0,0x3fe20db0,0x03fff35f,0x03fffff5,0x07ffff98,
    0x407ffffd,0x107ffffa,0x403ffffd,0x206ffffa,0x800ffffe,0x7ffb710f,
    0xcacef801,0x04ffffff,0x07ffffe2,0x2001df30,0x4c0ffffb,0x0002ffff,
    0xffa8dffb,0x3ffe883f,0x02ffff98,0x1ffffb00,0x7fdc0be0,0x4c06e65f,
    0x400fffff,0x907ffff9,0x4c0bffff,0x2a07ffff,0x300effff,0x640dffff,
    0x0803ffff,0x03aa0010,0x0dffffb1,0x07ffffc4,0xb800bf50,0x7cc0ffff,
    0x98002fff,0xefd85fff,0x7cc02600,0x50002fff,0xf307ffff,0x037ffe40,
    0x1fffff30,0x7ffff980,0x0fffff70,0x03ffffcc,0x413ffffe,0x206ffff9,
    0x006ffffb,0x300b8000,0x440dffff,0x900fffff,0xff70007f,0xfff981ff,
    0xffa8002f,0x8000105f,0x002ffff9,0x21bfffe0,0x3fff604c,0x3ffe6006,
    0x7fcc00ff,0xfff907ff,0x7ffcc09f,0x7ffe407f,0xffff307f,0x7fffdc0d,
    0x33333106,0x002f2a21,0x04fffe80,0x03ffffe2,0x20003fb1,0x4c0ffffb,
    0x4cc2ffff,0x3f209999,0x262006ff,0xf9819999,0x79512fff,0xffff9001,
    0xd9982f81,0x8019efff,0x00fffff9,0x83ffffcc,0x201ffffe,0x407ffff9,
    0x82fffffa,0x206ffff9,0x704ffffd,0xd35ffffd,0x0009ffff,0x880bfff6,
    0x220fffff,0x2e0000ee,0x7cc0ffff,0x3f222fff,0x3f61cfff,0x322007ff,
    0x4c0fffff,0xfe9affff,0x7cc03fff,0x41e63fff,0xffffffff,0xffff9807,
    0x7ffcc00f,0xffffd87f,0x7fffcc04,0x7fffcc07,0xffff984f,0x3ffffe06,
    0x3fffee02,0xffffdcfd,0xffff8001,0x3fffe200,0x001ff50f,0x0ffffb80,
    0x417fffcc,0xffc80efc,0x7ec001ff,0x7fcc0fff,0xffdcfdff,0x7ff401ff,
    0x5541326f,0x02aefffe,0x0fffff98,0x7ffffcc0,0xdfffeca9,0xff733101,
    0x13333fff,0x27ffffc4,0x837fffcc,0x404ffffd,0x21fffff9,0x4005fffe,
    0x4405fff9,0xfb8fffff,0x5c0006ff,0x7cc0ffff,0x0de82fff,0x07ffff70,
    0x0ffffc80,0x0fffffcc,0xc80bfffd,0x03f1ffff,0x006fffd8,0x03ffffe6,
    0xffffff30,0x039fffff,0x7fffffd4,0x26ffffff,0x85fffff8,0xa9effff9,
    0x2efffeca,0x3ffff980,0x0037ffec,0x1003bfee,0xffdfffff,0x40009fff,
    0x4c0ffffb,0x2ec2ffff,0x3ffffe60,0x3ffee000,0x7fffcc0f,0x037ffe43,
    0x2b3fffe6,0x6fffd807,0x3fffe600,0x7ffcc00f,0xffca99ff,0x7cc02eff,
    0x7c407fff,0xf985ffff,0xffffffff,0x26003fff,0x7e42ffff,0x7ec006ff,
    0xfff8801f,0xffffeeff,0xff70002f,0xfff981ff,0x6c01722f,0x4885ffff,
    0x40ffffb8,0x642ffff9,0xfe806fff,0xd804dfff,0x26006fff,0x400fffff,
    0x987ffff9,0x204fffff,0x407ffff9,0x84fffff8,0xf36ffff9,0x400bffff,
    0x642ffff9,0x26007fff,0xff1003ff,0xfff33fff,0x70003fff,0xf981ffff,
    0x0bfb2fff,0x3ffffe60,0xb81eb9ad,0x7cc0ffff,0x7fe42fff,0x7ffffc7f,
    0xffffffff,0x7fec4fff,0x3fe6006f,0x7cc00fff,0xff507fff,0x3e605fff,
    0x7cc07fff,0xf982ffff,0x3ff26fff,0xf3003fff,0xffc85fff,0x13fa007f,
    0xfffff880,0xdfffff50,0xfffb8001,0x7fffcc0f,0x002fffda,0xfffffff7,
    0x3ffee03f,0x7fffcc0f,0x23fffe42,0xff999999,0x99999eff,0x037ffec0,
    0x1fffff30,0x7ffff980,0x1bffffe0,0x03ffffcc,0x07ffffea,0xd1bfffe6,
    0x001fffff,0xc85ffff3,0xf7007fff,0xfff8800b,0x3fff20ff,0x7dc005ff,
    0x7fcc0fff,0xfffffeff,0xffff3000,0x7fdc05bf,0x7ffcc0ff,0x3fffe42f,
    0x05ffff80,0x00dfffb0,0x07ffffcc,0x1ffffe60,0x07ffffd8,0x80fffff3,
    0x307ffffb,0xf88dffff,0x9806ffff,0x7e42ffff,0x5f9807ff,0x7ffc4060,
    0x7fff40ff,0x3ee004ff,0x7fcc0fff,0xffffadff,0x01f44005,0x40ffffb8,
    0x642ffff9,0xff007fff,0x3f600bff,0x3e6006ff,0x4c00ffff,0x3607ffff,
    0xf307ffff,0xfe80ffff,0xff302fff,0xfff70dff,0xff9809ff,0x7ffe42ff,
    0x102f4407,0x3fffe20d,0x7fffc40f,0xff7002ff,0xfff981ff,0x5ffff92f,
    0x00f7d400,0x207fffdc,0x642ffff9,0x7ffc7fff,0xffffffff,0x6c4fffff,
    0x26006fff,0x400fffff,0x207ffff9,0x305fffff,0x540fffff,0x2605ffff,
    0xfb06ffff,0x4c03ffff,0x7e42ffff,0x4f6c07ff,0x5eba9999,0x1fffff10,
    0xffffff30,0xffff7003,0x2ffff981,0x01ffffd1,0x201bff20,0x4c0ffffb,
    0x7e42ffff,0x4cccc7ff,0x9effff99,0x7ec09999,0x3e6006ff,0x4c00ffff,
    0xf306ffff,0x2a05ffff,0x3607ffff,0x2a01ffff,0xf106ffff,0x201dffff,
    0x642ffff9,0x3f207fff,0xffffffff,0xffff103f,0x3ffee03f,0x7dc01fff,
    0x7fcc0fff,0x3ffe62ff,0x1ff6005f,0x03fffee0,0xc85ffff3,0xff007fff,
    0x3f600dff,0x3e6006ff,0x5400ffff,0x4c0fffff,0x203fffff,0x80fffffa,
    0x400dfffc,0x207ffffb,0x05fffffa,0xd87ffff3,0xff507fff,0xffffffff,
    0x3ffe605f,0x3ffa01ff,0x3201ffff,0x7cc1ffff,0x7fe43fff,0xbff003ff,
    0x3ffff900,0x43ffff98,0x400ffffd,0x006ffff8,0x400dfffb,0x01fffffa,
    0x6fffffe4,0xeffffca9,0x7fffec02,0xffeba9cf,0xfffb003e,0x7fe403ff,
    0xffb84fff,0x7fff44ff,0x7fffcc1f,0xffffffff,0xfffff700,0x7fffdc09,
    0xffb01fff,0xfffb85ff,0x7fffc44f,0xbffb301f,0xffffb001,0x4ffffb85,
    0x00fffff4,0x07ffffee,0x03ffffa0,0x7ffffe40,0xfffed883,0xefffffff,
    0x3b2601cd,0xffffffff,0x9801bdef,0xffffffed,0xfffd04ef,0x3ff23fff,
    0xffd4ffff,0x3e25ffff,0xffffffff,0x76447fff,0xefffffff,0x3ffff624,
    0x11efffff,0xbffffffd,0x3ffffff6,0x3fffff65,0x0009885f,0xffffffd3,
    0x3fffff2b,0xfffffd5f,0xffeda87f,0x84efffff,0xffffffec,0xfffd9305,
    0x019dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x99999999,0x00000999,0x26200060,
    0x09999999,0x99999800,0x26661999,0x19999999,0x26666666,0x80009999,
    0x99999998,0x99999999,0x4cc09999,0x09999999,0x27776400,0x0deeea80,
    0x33333331,0x33333333,0x4c060333,0x33333300,0x33333333,0x26001333,
    0xfffdb883,0x00bdffff,0x00d70000,0xffffb710,0xfa800fff,0x2cffffff,
    0xfffffb71,0xb7117bff,0xbfffffff,0xd9500017,0xffffffff,0xffffffff,
    0xfffdc85f,0xefffffff,0x3ffa201d,0xfffd800f,0x3fff6e22,0xffffffff,
    0x740fffff,0x0bff61ff,0xfffffff1,0xffffffff,0xfd9801ff,0x7fffe406,
    0x8000002f,0x2e0001fe,0x02ffffff,0x3fffff60,0x3ffee00f,0x3fea03ff,
    0x00004fff,0x3ffff7fa,0xfda9999e,0xfff502ff,0xfff733ff,0x3fa203df,
    0x2fff803f,0x3ffffee0,0xfea99999,0x3ffea0ff,0x98bfff35,0x4199dfff,
    0x02fffffd,0x01bfffaa,0x01fffff5,0xffa80000,0x37ea0005,0x1006ffff,
    0x0dffffbf,0x1fffff98,0x3ffffe20,0x33e00002,0x205ffffb,0xff302ffb,
    0xfff88fff,0xbfd100ff,0x403ffa80,0x00fffff9,0xff983fee,0x89fff14f,
    0x3ea01ffa,0xd705ffff,0x80dfffff,0x00fffff9,0x7fec0000,0x5f30000f,
    0x003fffff,0xdffff7b9,0xfffff980,0x3fffe200,0xd700001f,0x0bffff71,
    0xff102fb8,0xfff70fff,0x07fc40df,0xf3007fb0,0xb801ffff,0x50675c0f,
    0x01fa81bd,0x07fffff4,0x7ffe4dd4,0x7ffcc06f,0x4000007f,0x004ffff9,
    0x3fffaf30,0xfbaf804f,0x7c406fff,0x7c00ffff,0x0001ffff,0xfff72f88,
    0x02f880bf,0x30fffff1,0x401fffff,0x00f602d9,0x07ffffcc,0x400007c0,
    0x7ffe404b,0xfff003ff,0xfff980df,0x4000007f,0x007ffffd,0x3ffeef30,
    0x5dea00ff,0x4406ffff,0x400fffff,0x001fffff,0x3fee5d80,0x164585ff,
    0x87ffff88,0x02fffff8,0x3e600000,0x14c0ffff,0x32000036,0x3fffe601,
    0x3ffa006f,0x7ffcc06f,0x2000007f,0x3ffffff8,0xff179800,0x9ec07fff,
    0x406ffffb,0x00fffff8,0x00fffffc,0xfb83ea00,0x44685fff,0xfffff100,
    0x3fffff10,0x0cccccc4,0x06666662,0x1fffff30,0x2204c2b8,0x20199999,
    0x7fffec01,0x3ffa001f,0x7ffcc06f,0x2000007f,0x6ffffddc,0x3f279800,
    0x1f306fff,0x01bfffee,0x01fffff1,0x01fffff8,0xf70fe200,0x0698bfff,
    0x1ffffe20,0x83ffffe6,0x0fffffc8,0x3fffff22,0x3fffe600,0x44016c0f,
    0x00fffffc,0xfffffa80,0x7fff4004,0x7fffcc06,0x3e000007,0x2fffff9a,
    0xff13cc00,0x4b905fff,0x406ffffb,0x00fffff8,0x00fffffc,0xff70b900,
    0x006d8bff,0x21ffffe2,0xb04ffffb,0xfb01ffff,0x7cc01fff,0x3e60ffff,
    0x3fff6002,0x7fc4000f,0x4000ffff,0x4c06fffe,0x0007ffff,0x7ff4d700,
    0x3cc005ff,0x217ffff6,0x3fffee1f,0x7fffc406,0x7fffc00f,0x1f30001f,
    0x2bffff70,0x22006fda,0x7c47ffff,0xf900efff,0xff901fff,0x7fcc01ff,
    0x5ff50fff,0x7fffe400,0x7ffe4000,0xfe8002ff,0x7fcc06ff,0x000007ff,
    0x7fffd47d,0x51e6001f,0x543fffff,0x37fffdc6,0x3ffffe20,0xffffffff,
    0x001fffff,0x3fee07d0,0x6fffffff,0x3fffe200,0xffffca9f,0x3ffee00d,
    0xffffb80f,0x3fffe600,0x02ffffef,0x03fffee0,0xfffff980,0xfffd0005,
    0xffff980d,0x7a800007,0x04fffff8,0x3ffa1e60,0xf70ba4ff,0xf880dfff,
    0xaaabffff,0xffffaaaa,0xefb8001f,0xffeeeeee,0x6ffcaeff,0x3fffe200,
    0x0bdeffff,0x0ffffb80,0x00ffffb8,0x2fffffe6,0x2002ffec,0x000ffffb,
    0x07fffffa,0x37fff400,0x1ffffe60,0x20f60000,0x00fffffb,0xfff70f30,
    0xf70f31ff,0xf880dfff,0x7c00ffff,0x4001ffff,0xaaaaabf8,0x25ffffda,
    0x3e2006f9,0x40007fff,0xb80ffffb,0x2600ffff,0x3a0fffff,0x3fee002f,
    0xff7000ff,0x40009fff,0x4c06fffe,0x0007ffff,0x7c407cc0,0x3003ffff,
    0xfffff10f,0xfff70997,0xfff880df,0x7ffc00ff,0x26c001ff,0x17fffee0,
    0x7fc400d7,0x5c0007ff,0xfb80ffff,0x3e600fff,0x3e20ffff,0x3ffee002,
    0xfff8800f,0x740006ff,0x7cc06fff,0x24007fff,0x33333f60,0x7fffffcc,
    0x3f20f300,0xb80fffff,0x4406ffff,0x400fffff,0x001fffff,0xff7003ea,
    0x00698bff,0x01ffffe2,0x1ffff700,0x01ffff70,0x07ffffcc,0xffb800b6,
    0xffd800ff,0x48802fff,0x80dfffd0,0x007ffff9,0xeef881e2,0xffeeeeee,
    0x79802fff,0xbfffff10,0x1bfffee0,0x1fffff10,0x1fffff80,0x7005f100,
    0x0d0bffff,0x3fffe216,0x7fdc0007,0xfffb80ff,0x3ffe600f,0x4415c0ff,
    0x0ffffb84,0x7ffffd40,0x3a079005,0x7cc06fff,0x2e007fff,0x36017206,
    0x9806ffff,0x3ffff607,0xdffff702,0xfffff880,0x7ffffc00,0x200b9001,
    0x285ffffb,0xfff885a8,0x7dc0007f,0xffb80fff,0x3fe600ff,0x40c40fff,
    0xffffb84b,0x3fffe200,0x2f8800ff,0x80dfffd0,0x007ffff9,0x00fc417a,
    0x0fffffd4,0xffa81e60,0x3ffee06f,0x7ffc406f,0x7ffc00ff,0x0f9801ff,
    0xbffff700,0x3e213a00,0x40007fff,0xb80ffffb,0x2600ffff,0x000fffff,
    0xffff707d,0x7fffe401,0x05f7003f,0x301bfffa,0x001fffff,0x01f209f7,
    0x05ffffe8,0x3ffa03cc,0x3fffee03,0x7fffcc06,0x3ffe200f,0x274401ff,
    0xdffff700,0xf105f700,0x8000ffff,0xb80ffffb,0x2600ffff,0x800fffff,
    0xfffb81fd,0xffff300f,0x3fea00df,0x0dfffd01,0x1fffffa8,0x4427fe40,
    0x3fee005f,0x3ea01fff,0x803fee00,0x407ffffc,0x01fffff9,0x0bffffe2,
    0x64003fb0,0x6c06ffff,0xfff981ff,0x320000ff,0xfc81ffff,0x3ea01fff,
    0x2201ffff,0xffc80ffd,0xfffd01ff,0xfd8803ff,0xffff00ff,0xffffc80f,
    0xca999aef,0x74c3fffe,0xff7000ff,0xd101dfff,0x027c40bf,0x07fffffa,
    0x3fffffc8,0x3ffffee0,0x00fff204,0xbfffffe8,0xfffdb99a,0xffffb80f,
    0x3f60002f,0xffd82fff,0x3ff202ff,0xa99adfff,0xb07fffdb,0xf705ffff,
    0x333bffff,0xfff95533,0x3ffea0ff,0x7f64c2ff,0xffffffff,0xffffffff,
    0x3fffff22,0xfffd902e,0x267fffff,0x0dfffffd,0xfeda81c8,0x4dffffff,
    0xfffffd91,0xd9119dff,0xdfffffff,0x3fffe639,0xfdca84ef,0xffffffff,
    0x7fffffff,0x3ffffb62,0x2005efff,0xffffffe9,0xfffffd35,0x7ff64cbf,
    0xffffffff,0x46ffffff,0xffffffe9,0x3ffffe25,0xffffffff,0x26ffffff,
    0xfffffec9,0x0000ceff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26620000,0x09999999,0x26666660,
    0x26666660,0x4c409999,0x22199999,0x99999999,0x26600009,0x99999999,
    0x99999999,0x33333310,0x33333333,0x70033333,0x26164c01,0xaaaaaaab,
    0xbaaaaaaa,0x009f7001,0x3a000000,0x2e20001f,0x665441bc,0x32e6000b,
    0xffea802c,0x02dfffff,0x4fffffb2,0xffffffd8,0x7edc1cff,0x730cefff,
    0xfffffffd,0x015bdfff,0xffffdb88,0xffffffff,0xffb2ffff,0xffffffff,
    0xffffffff,0x700f980f,0x00549fff,0x2e005100,0x7310004f,0x002d8599,
    0xc88003fd,0x9effecee,0x3ffdbff9,0x7ee7fcc0,0xffc801ef,0x36006fff,
    0xffff505f,0xffd807ff,0x7fffec03,0xfffca99e,0xfff7003f,0x533335ff,
    0x3f65fffb,0xffc99acf,0xfb999eff,0x03fa207f,0xa87ffff4,0x00a20000,
    0x4c0027dc,0xaefebeff,0x07fa005c,0x643fe880,0x322fffff,0x7ff503ff,
    0x4007fffc,0x00fffffe,0x7e401db0,0x6405ffff,0xfffb804f,0xfffe886f,
    0x7ffcc01e,0x3faa00ff,0xff705fb2,0x0ff30bff,0xfe807fec,0x00150fff,
    0xfb801440,0x77fdc004,0x003fffa0,0x36001fe8,0x7ffc44ff,0x07ffc46f,
    0xffb1ffe6,0xfff3007f,0x5f3009ff,0xfffffd00,0x4017e205,0x106ffffb,
    0x401dffff,0x00fffff8,0x704d97cc,0x2e0bffff,0x01fffb07,0x0a93ffee,
    0x400a2000,0x3e2004fb,0x7ffe44ff,0x007fa001,0x107fffc4,0xff09ffff,
    0x46ffd89f,0xb003fffa,0x801fffff,0xfff3005d,0x0db01fff,0x37fffdc0,
    0x0bffff70,0x07ffffc4,0x701d9740,0x220bffff,0x7ffff447,0x164c099a,
    0x2880002a,0x4009f700,0x7d43fffc,0x3fa005ff,0x3fffa001,0x41ffffc0,
    0x3fe65ffe,0x00efd85f,0x9fffff10,0x90007d40,0xb8bfffff,0x3fee000f,
    0x3fe206ff,0xff102fff,0x41301fff,0x7fdc092b,0xe89205ff,0xffffffff,
    0x00015005,0x4fb80144,0x5ffff100,0x0fffff44,0x2001fe80,0x7fd41dc8,
    0xe9999bff,0x3ffea7ff,0xf9000105,0x3a03ffff,0xfffe8003,0x003f52ff,
    0x06ffffb8,0x837fffec,0x80fffff8,0x7dc0041c,0x51005fff,0x557ffff9,
    0x0002a005,0x33331288,0x33bf9333,0x2a133333,0x33a1ffff,0x3312ffff,
    0x5fd33333,0x03333333,0xffffbd50,0xdddddddd,0x037ffe4d,0xffff1000,
    0x000d70bf,0x3fffffe6,0xfb8002f9,0x7dc06fff,0xf881ffff,0x1f80ffff,
    0xffffb800,0x7ffd4005,0x00a8000f,0x7fd4a200,0xffffffff,0x3fffffff,
    0x363ffff7,0xb3ffff8c,0xffffffff,0xffffffff,0x4ffaa01f,0x2003ffff,
    0x0007fffd,0x7ffffdc0,0x8000be21,0x4ffffffb,0xffff7000,0xffffa80d,
    0xffff882f,0x000fdc0f,0x02ffffdc,0x03fffea0,0x80002a00,0xfffff528,
    0xffffffff,0x3f27ffff,0xf15c9fff,0x3ff67fff,0xffffffff,0x0fffffff,
    0x3fa1ffc8,0x3f2004ff,0x00001fff,0xb37ffffc,0xffd0000b,0x20005fff,
    0x406ffffb,0x83fffffa,0x10fffff8,0x70003ff7,0x800bffff,0x000ffffa,
    0x220000a8,0x009f7002,0x3b3fffee,0x05ffff10,0x88007fa0,0x7ff43ffe,
    0x3fee006f,0x400003ff,0xaafffffa,0xf880000f,0x000fffff,0x06ffffb8,
    0x27ffffcc,0x77ffffc4,0x001ffffe,0x05ffffb8,0x07fffd40,0x0543ed98,
    0x20051000,0xff5004fb,0x7fc41fff,0x3fd000ff,0x07ffe400,0x80bffff2,
    0x3ffffe61,0x7f400000,0x003eefff,0x3fffee00,0xffb8005f,0x7fcc06ff,
    0xff884fff,0xfffdbfff,0xffb8001f,0x7d4005ff,0xfff00fff,0x000054df,
    0x13ee0051,0x17fffc40,0x801fffe6,0xff1001fe,0xfff981ff,0x6c5980ef,
    0x4885ffff,0xffff5000,0xa80000df,0x03ffffff,0x37fffdc0,0x3ffffe60,
    0xfffff883,0x0007fea0,0x017fffee,0x01ffff50,0x21fffff5,0x0a20000a,
    0x90027dc0,0xffa85fff,0x07fa005f,0x6ffffd40,0xffffea89,0x81f711ef,
    0xadfffff9,0x20001eb9,0x005ffffe,0x3fefe600,0x2000ffff,0x406ffffb,
    0x81fffffa,0x40fffff8,0xfb8001f9,0x54005fff,0xf980ffff,0x0153ffff,
    0xb8014400,0x3fe6004f,0x077fe44f,0x2003fd00,0xfffffff8,0xffffe8ae,
    0xf702ffff,0x3fffffff,0xfffc8000,0xd100005f,0x3ffffea9,0x3ffee005,
    0x7ffdc06f,0xfff880ff,0x001e80ff,0x05ffffb8,0x07fffd40,0x54ffffc8,
    0x01440001,0x3a004fb8,0xff11fffd,0xaaaa981d,0xaabffaaa,0x7dc2aaaa,
    0x6c43ffff,0x01dfffff,0x6fffffcc,0xffc80002,0xb00005ff,0xfffffd8b,
    0xffff7003,0xffffc80d,0xfffff106,0x70003901,0x800bffff,0x200ffffa,
    0x0153fa88,0xb8014400,0x22b9004f,0x1dffeffd,0xffffffd8,0xffffffff,
    0x0a980fff,0x8000a980,0x400001a8,0x005ffffc,0x7c40ec80,0x800fffff,
    0x406ffffb,0x101fffff,0x301fffff,0xfff70001,0xffa800bf,0x7ec021ff,
    0x44000150,0x007d5002,0x006a6202,0xddddddd9,0xdddddddd,0x000001dd,
    0x00000000,0x00bffff9,0xf500fb80,0x700bffff,0x5c0dffff,0x2204ffff,
    0x000fffff,0x3fffee00,0x7ffcc005,0x93e0752f,0x0a20000a,0x00000000,
    0x00000000,0x00000000,0x3ffff200,0x0bea0005,0x7fffffb0,0x6ffffb80,
    0x03bfffa0,0x1fffff88,0x3ff20000,0xfc8005ff,0xd885dfff,0x80002a0e,
    0x00000028,0x00000000,0x00000000,0xffd80000,0xf30006ff,0xffff100d,
    0x7fdc03ff,0xffd887ff,0x7fcc00df,0x00001fff,0x01bffff2,0x0677f5c0,
    0x332a17a6,0xcccccccc,0x02dccccc,0x00000000,0x00000000,0x00000000,
    0x7ffffc40,0x3ee2000f,0xfff800ff,0xfb00efff,0x9537ffff,0x2005dffd,
    0x04fffffb,0x3fffa000,0x020000ff,0x000001c8,0x00000000,0x00000000,
    0x00000000,0x7fee4400,0xcdffffff,0x3ffff200,0xffc83cff,0x5fffffff,
    0xfffffd95,0x17bdffff,0xfffd9100,0x039dffff,0xffffb500,0x007bffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2f32a200,0x79751000,0xcba88003,0xccb8800a,0x2662388a,0x33119999,
    0x4c433333,0x2164c099,0x22199999,0x44099999,0x09999999,0x98266662,
    0x11999999,0x4c413333,0x2a209999,0x2666621c,0x01795109,0x82666662,
    0xb980acca,0x220b201c,0x0e4c5701,0x03980000,0x3fef3fea,0x766fe402,
    0xfa802fff,0x01efebef,0xfff9dfd3,0x7ffffd4d,0xffffd53e,0x3ffaa17f,
    0xb93ffee2,0xb11fffff,0xfa8dffff,0x20dfffff,0x910dffd9,0x17ffffff,
    0x543bffd5,0xf53ffffe,0x7ff5cfff,0xfffe9aff,0xfffea84f,0xffffe8bf,
    0xffffd10e,0x89ffa81d,0x72effffb,0x3bfea1ff,0xeb880002,0x47ff705f,
    0xfe982ffc,0x00ffff43,0x7fc4dff9,0x5c6fd80f,0x7fffcc6f,0x37fffc45,
    0x3ffa0fcc,0x3fff20ff,0x37fffc1f,0x07ffffcc,0xfff506f8,0x301fc8df,
    0xff37ffff,0x7fdc3fff,0xffdcfdff,0xfffa81ff,0xfffbcfdf,0xffbdf9df,
    0xfffc84ff,0xefffffff,0x3ff222ff,0xa8001cff,0xf985ffec,0x437fcc7f,
    0x7fe45ffc,0x7fff306f,0x220effc8,0xd86c86ff,0x7e40ffff,0x42dc0fff,
    0x2a0ffffe,0x7ec1ffff,0xfff906ff,0x405f103f,0xf12ffffd,0x7fffc405,
    0x47ffdcec,0x21fffff9,0xf985fffe,0x3ea2ffff,0x3ee2ffff,0xdffb07ff,
    0x17ffd443,0xdfffeb88,0x5ffb8002,0xff85ffd8,0x3fffe23f,0x41fffee1,
    0x7d41fffe,0x3ffee4ff,0x7fcc3444,0x7ffec2ff,0x7dc16c3f,0x7ffd44ff,
    0x37ffec1f,0x84ffff98,0x7ffc406a,0xf8809b6f,0x32a4ffff,0x1ffffcc1,
    0x221bfff6,0x7cc4ffff,0x7fcc3fff,0x04fe80ff,0x2600ffe2,0x00cffffd,
    0xf98bff70,0x4fff84ff,0xf707fff4,0xfff30fff,0x6fffa81f,0x83bfffee,
    0x4bfffd02,0x26fffef8,0x059300f8,0xd83ffff5,0x3f606fff,0x016c0fff,
    0x36ffffdc,0x3ffffc40,0x2ffff980,0x4437ffe4,0x7cc3ffff,0x7fcc2fff,
    0x037d41ff,0x88007fd4,0x02dffffb,0x3ea2ffdc,0xf9999dff,0x16dc46ff,
    0x81ffffb1,0xf987fffb,0xfff10fff,0xfb805fff,0xf7970fff,0x016e3fff,
    0x0ffffd40,0xa81bfff6,0x1e23ffff,0x7ffffc40,0xffff8802,0xffff3006,
    0x87fffc85,0x443ffff8,0x7cc2ffff,0x1fe41fff,0x8001fe80,0x0befffda,
    0x7dc5ffb8,0xeeeeefff,0x7e4405ee,0x640ffffe,0xff987fff,0x3fff62ff,
    0x3e204fff,0xf13d3fff,0x00ba9fff,0x0ffffd40,0xd01bfff6,0x0264dfff,
    0x09ffff70,0x09ffff10,0x0bfffe60,0xf10ffff9,0xff887fff,0x7ffcc2ff,
    0x800fec2f,0x220003fc,0x5c2ffffc,0x7ffe45ff,0x3ff20005,0x40ffffba,
    0xf987fffd,0x3fa23fff,0x204fffff,0x269efffd,0x078ffffd,0x3fffea00,
    0x037ffec1,0x7cbfffee,0x7fff4000,0x7ffc400f,0xfff3003f,0x7fffc85f,
    0x43ffff88,0x4c2ffff8,0x7f42ffff,0x007f9001,0x7fffe4c0,0x322ffdc2,
    0x98007fff,0xfff71efe,0x7fffc81f,0x82ffffa8,0x1ffffffc,0x7bffff50,
    0x277fffd4,0xffff5000,0x06fffd83,0x56ffffc4,0xfffb8005,0x7ffc404f,
    0xfff3003f,0x7fffc85f,0x43ffff88,0x4c2ffff8,0x7e42ffff,0x003fd003,
    0x7dfffd50,0xb8bff701,0x2000ffff,0x3ee2fffa,0x7fdc0fff,0xffffa87f,
    0xfffff501,0x3fffe207,0x7ffffc0f,0x3fe60001,0x7ffec1ff,0xffffc806,
    0xffd8001e,0x3e200fff,0xf3003fff,0xffc85fff,0xffff887f,0x17fffc43,
    0x50bfffe6,0x1ff500df,0x3ffee200,0x7fdc01df,0x27fffd46,0x7fffc430,
    0x03fffee0,0xa81ffff3,0x30ee7fff,0x6c0bfffd,0xffc86fff,0x67e4407f,
    0x0ffffcc0,0x201bfff6,0x006ffff8,0xffffadb8,0x3fffe205,0xffff3003,
    0x87fffc85,0x443ffff8,0x7cc2ffff,0x4fe82fff,0x200ffe20,0x0befffd9,
    0x7fff54c0,0x3ffffa1b,0x3fea4a81,0x3fff21ff,0x0fffd80f,0xf51fffdc,
    0x03fff881,0x260fffea,0x7e404fff,0x7ffcc5ff,0x3fffa22f,0x7fffb006,
    0xfb0f9800,0x3e203fff,0xf3003fff,0xffc85fff,0xffff887f,0x17fffc43,
    0x20bfffe6,0x2a21effd,0xd7102fff,0x4005bfff,0x09999998,0x2fffffee,
    0x3ea0fb88,0xffecffff,0x7cc19fff,0x7ffec3ff,0x3f617ea0,0x07ffc01f,
    0x7c01ffe8,0x7fc0ffff,0x3fffa4ff,0xfff5007f,0x31f44001,0x220dffff,
    0x3003ffff,0xfd87ffff,0xfff887ff,0x7fffcc4f,0x1ffffd43,0x3ffffff2,
    0x2fffffff,0x33ffff22,0x64000000,0xffffffff,0xffffff81,0x4fffff8b,
    0xf30effa8,0xcff981df,0x9009ff11,0x037dc0bf,0x5c3ffff4,0xdcfeffff,
    0xd000ffff,0x7f44009f,0x27ffffc1,0x027fffd4,0x44ffffb8,0x541ffffe,
    0x7d45ffff,0x7fe45fff,0x2bfea4ff,0x2efffeb8,0x77fd4ff9,0x40000002,
    0x1cfffffb,0x43bffd50,0x2604fffb,0x0dffdffe,0xfefedf98,0x05f3004f,
    0x7d401fc4,0xfff903ff,0x3ffff67f,0x00fb802f,0xbefffe88,0xffffffd9,
    0xfffff90e,0x7fe403bf,0xffd4ffff,0x3f25ffff,0xf96fffff,0x36dfffff,
    0x25ffffff,0x8720101b,0x000001c9,0x000d4400,0x22000801,0x10c401a9,
    0x00500035,0x00540015,0x000006a2,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666200,0x19999999,0x0b220000,
    0x22180220,0x80000600,0x00000000,0xb8800590,0x00ba8802,0x71002e60,
    0x01573003,0x500b9800,0x2b2a2017,0x80aba800,0xeeeeeee9,0xeeeeeeee,
    0x3fee02ee,0xfffeeeef,0x540000ff,0x7c403ffd,0x1fc4b903,0x440005d8,
    0x132002fe,0x7dc02dc0,0xfffd000f,0x3fff607f,0x5ff8804f,0x413ffe20,
    0x04fffffb,0xff903bd7,0x0fffd83f,0x1fecefd4,0x7fdce6c4,0x7ffffd41,
    0xffffffff,0x2e03ffff,0xffffd83f,0xfd710003,0x74401bff,0xfc83f906,
    0x0005f982,0x4c017fea,0x7fdc04ff,0x13ffe202,0x3fff3b20,0x7e5f640f,
    0x7fcc01ff,0x1ffff207,0x3fb3ffee,0x7fffd45f,0x127fffc2,0x7cc7ffff,
    0xd85ff11f,0x88bff14f,0xaaaaaaaa,0xdaaaaaaa,0x2a16e03f,0x8006ffff,
    0x0bffffc9,0x5c17f440,0x81ff885f,0xd10004fd,0x7fd4005f,0x807ff704,
    0x200ffffc,0x8fffe248,0x00ffec38,0xff902ffc,0x42ffa8ff,0x3ffa3ffa,
    0x7fffc5ff,0x8bfffe24,0x1bfe0ffd,0x037fcbfd,0x80ff2000,0xffffe81b,
    0x3ffaa001,0x3fa002df,0x901ffa86,0x3ff983ff,0x54000000,0x1ffdc4ff,
    0x3fa7fe60,0x0ffe4005,0x3ae13fa0,0x3223f70c,0x8dfff71e,0x4df705fc,
    0x20fffffc,0x7fc2fffe,0xd1ffe1ff,0xf93181ff,0xc80000ff,0x3ee0203f,
    0xc9805fff,0x001cffff,0x3ea17fec,0x3bfe205f,0x001ffec0,0x3fea0000,
    0xb007ff74,0x007fea9f,0x32606fe8,0xefff82ff,0xbfff3688,0xfd13ffe6,
    0x443fe205,0x320ffffd,0x7fec0fff,0x3fe3ffc7,0x7c76cc0f,0x6400007f,
    0x3fe2003f,0x36a00fff,0x000befff,0x7cc6ffd8,0x7fdc01ff,0x0bffe60e,
    0x33333331,0x33333333,0x77fd4033,0xffa803ff,0x4401bfa0,0xffb100ff,
    0xfffd87ff,0xffffcebf,0xff0bffe2,0x103fe203,0x0dff51fa,0x7fe8bff7,
    0x9fea3ffc,0x400007ff,0x3f6003fc,0xff303fff,0x40003bff,0x3e61fffc,
    0xff8805ff,0x0fffec6f,0xfffffffb,0xffffffff,0x7fd401ff,0x87fd003f,
    0xfd802ff9,0x6ffd9801,0xbfdaaa98,0x7fec0aa9,0xfb82fec0,0xf88bf107,
    0x43ff984f,0x17fe0ffc,0x1ffe2bff,0x05d70000,0x1bfffea0,0x1cffff98,
    0xffff1000,0x002fffd8,0x7cc7fffb,0x3fff66ff,0xffffffff,0x00ffffff,
    0x2013ffee,0x0ff906fb,0x80261fb8,0x75c07ff8,0x1bea01e9,0xfd30bfea,
    0x3a07ea09,0xd03ff02f,0x883fe65f,0xfffddfff,0x00000002,0x007ffffa,
    0x5dfffd71,0x7fff5000,0x4037ff44,0x7ec4fff8,0x000000ff,0x3ff7fee0,
    0x40bfe204,0x5f503ff8,0xf900f733,0x74ffa20b,0x209f104f,0xffebeffd,
    0x903f980e,0x441f601f,0xb80decfc,0x05dd53de,0x2e000000,0x0085ffff,
    0x33ffff66,0x3ffee000,0x00bffa20,0xff98bff9,0x0000001f,0x7fd4ffee,
    0xb80df904,0x7ffd40ff,0x37ee6fff,0x7fc03f60,0x20bff91f,0xfff9102e,
    0x5f701bff,0x0b703540,0x00000010,0xff100000,0x00b01fff,0x5bfffd71,
    0x10ffee00,0x7fc40dff,0x001ffd85,0xfb800188,0x227fd43f,0xfe801ff9,
    0x3ffffe64,0x3ffea4ff,0xff100ddd,0x0837fccf,0x02bcb980,0x80100173,
    0x00000000,0xfb000000,0x0f107fff,0xffffda80,0x07fe400b,0x7e40bfe6,
    0x017fcc0e,0x001ffc40,0x3ea07ff7,0x4002624f,0x26662198,0xa9809999,
    0x42ec8009,0x000002ec,0x00000000,0x00000000,0xffffa800,0x0006e886,
    0x3bffff71,0x7d427ec0,0xd80ef886,0xff50002f,0x0ffe200b,0x0005ff50,
    0x00000000,0x40c06000,0xb884eeed,0xeeeeb81c,0x2aaaaaa0,0xfff30aaa,
    0xffffffff,0x4cffffff,0xffffffff,0xffffffff,0x3ffffa07,0x0bff9331,
    0x7ffb5000,0xfa80fd80,0x7d407642,0x0f640003,0x2a007500,0x3bbbba64,
    0xeeeeeeee,0x0882eeee,0x00575000,0x0efe8854,0xfe887ffa,0x1fffe87f,
    0xf10ffff4,0xffffffff,0x3ffffe63,0xffffffff,0x3fe67fff,0xffffffff,
    0x07ffffff,0xfffffff7,0x00bfffff,0x40164400,0x6c4b702d,0x00007901,
    0x50000000,0xffffffff,0xffffffff,0xd983d07f,0xffffb83e,0xb8fc01df,
    0xfff53fff,0x21fff889,0x225ffffa,0x7fc41fff,0x1fffffff,0x26666666,
    0x99999999,0x44444419,0x88888888,0x00000888,0x00000000,0x00000000,
    0x00000000,0x55555551,0x55555555,0x0dfc8355,0xfb8bfffe,0xefffffef,
    0xff53dc0b,0x0fffe65f,0xff993fe6,0x07fee4ff,0x3fffffe2,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x3fea9ffd,
    0x9833e5ff,0xcdfffffc,0x227e43ff,0xdf300ceb,0x361fffe8,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff9b7fc0,
    0x401f13ff,0x5fffffea,0x0e980000,0x00ba05d4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555544,0xaaaaaaaa,0x7fcc1aaa,
    0x443bff23,0x59971003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff5000,0xffffffff,0x2a7fffff,0x01884ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0xeeeeeeee,0xeeeeeeee,0x0000312e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_37_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_37_latin1_y[224]={ 29,6,6,6,6,6,6,6,6,6,6,9,23,19,
23,6,6,6,6,6,6,6,6,6,6,6,13,13,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,34,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,13,7,6,10,6,
6,6,6,6,6,13,14,19,6,3,6,9,6,6,6,13,6,15,28,6,6,13,6,6,6,13,-1,-1,-1,0,
0,0,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,6,6,6,
5,6,6,5,13,13,6,6,5,6,6,6,5,6,6,6,6,6,5,6,6,10,12,6,6,5,6,6,6,6,
 };
static unsigned short stb__times_bold_37_latin1_w[224]={ 0,7,14,17,15,30,26,6,10,10,14,19,7,11,
6,10,15,13,16,15,16,15,15,15,15,15,7,7,19,19,19,13,30,24,22,22,23,21,20,25,26,13,17,27,
22,31,24,24,20,24,25,17,21,24,24,34,24,24,22,8,10,7,16,19,8,16,18,14,17,14,13,16,17,9,
10,18,9,26,17,15,18,17,14,11,11,17,17,24,17,17,15,10,3,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,7,13,17,17,17,
3,15,11,25,11,17,19,11,25,19,13,19,10,10,8,18,19,6,6,8,11,17,24,24,25,14,24,24,24,24,
24,24,33,22,21,21,21,21,13,13,13,13,23,24,24,24,24,24,24,15,24,24,24,24,24,24,20,17,16,16,
16,16,16,16,23,14,14,14,14,14,10,10,11,11,15,17,15,15,15,15,15,19,15,17,17,17,17,17,18,17,
 };
static unsigned short stb__times_bold_37_latin1_h[224]={ 0,24,12,24,26,24,24,12,30,30,13,18,12,5,
7,24,24,23,23,24,23,24,24,24,24,24,17,22,16,8,16,24,31,23,23,24,23,23,23,24,23,23,24,23,
23,23,24,24,23,30,23,24,23,24,24,24,23,23,23,30,24,30,13,3,6,17,24,17,24,17,23,24,23,23,
31,23,23,16,16,17,24,24,16,17,22,17,17,17,16,24,16,30,31,30,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,24,16,23,
31,31,6,24,10,16,8,5,24,3,12,18,13,13,6,24,31,6,8,13,11,16,24,24,24,24,30,30,30,29,
29,29,23,30,30,30,30,29,30,30,30,29,23,30,31,31,31,30,30,15,26,31,31,31,30,30,23,24,24,24,
25,24,24,25,17,23,24,24,25,24,23,23,24,23,24,23,24,24,25,24,24,15,18,24,24,25,24,31,31,31,
 };
static unsigned short stb__times_bold_37_latin1_s[224]={ 251,151,192,119,87,211,51,163,42,231,148,
157,184,200,136,242,103,242,92,237,215,1,17,59,75,91,86,130,17,109,226,
202,71,24,1,232,51,185,75,1,81,241,136,109,1,49,172,177,142,95,48,
133,96,191,78,156,26,1,219,53,242,87,109,212,175,16,82,237,197,1,227,
119,191,181,56,147,137,181,163,33,63,45,148,49,118,94,112,61,130,154,1,
195,67,143,143,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,
138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,251,234,23,
216,208,209,102,26,163,107,219,37,231,200,33,232,170,193,126,137,191,137,131,
184,129,246,207,55,26,1,211,196,71,62,120,37,62,204,108,1,24,145,121,
1,167,181,242,229,24,46,151,176,201,206,96,93,103,226,1,106,179,154,232,
100,33,148,128,66,83,176,213,166,118,133,145,165,163,174,243,207,216,74,1,
17,160,180,50,73,177,159,27,193,101,38,19,1, };
static unsigned short stb__times_bold_37_latin1_t[224]={ 1,176,316,151,96,96,151,316,33,33,316,
274,316,329,330,96,151,250,226,126,201,176,176,176,176,176,298,274,316,330,298,
176,1,250,226,151,274,250,274,201,250,226,201,226,250,250,201,176,250,33,226,
176,274,151,151,151,274,274,250,33,176,33,316,329,329,298,201,274,201,298,226,
201,226,226,1,226,226,298,298,298,201,201,298,298,274,298,298,298,298,201,316,
33,1,65,330,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,1,176,96,
176,298,226,1,33,329,176,316,316,316,329,176,329,316,274,316,316,329,151,1,
329,330,298,316,316,151,151,126,126,65,33,33,96,96,65,250,65,65,33,65,
96,33,33,33,65,226,65,1,1,1,33,65,316,96,1,33,1,65,65,201,
126,126,126,96,126,126,96,274,226,126,126,96,126,250,250,65,250,151,226,126,
126,96,126,126,316,274,176,201,96,201,1,1,1, };
static unsigned short stb__times_bold_37_latin1_a[224]={ 134,178,297,267,267,535,445,149,
178,178,267,305,134,178,134,149,267,267,267,267,267,267,267,267,
267,267,178,178,305,305,305,267,497,386,357,386,386,357,327,416,
416,208,267,416,357,505,386,416,327,416,386,297,357,386,386,535,
386,386,357,178,149,178,311,267,178,267,297,237,297,237,178,267,
297,149,178,297,149,445,297,267,297,297,237,208,178,297,267,386,
267,267,237,211,118,211,278,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,134,178,267,267,267,267,118,267,
178,399,160,267,305,178,399,267,214,293,160,160,178,308,289,134,
178,160,176,267,401,401,401,267,386,386,386,386,386,386,535,386,
357,357,357,357,208,208,208,208,386,386,416,416,416,416,416,305,
416,386,386,386,386,386,327,297,267,267,267,267,267,267,386,237,
237,237,237,237,149,149,149,149,267,297,267,267,267,267,267,293,
267,297,297,297,297,267,297,267, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_37_latin1(stb_fontchar font[STB_FONT_times_bold_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_37_latin1_s[i] + stb__times_bold_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_37_latin1_t[i] + stb__times_bold_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_37_latin1_x[i];
            font[i].y0 = stb__times_bold_37_latin1_y[i];
            font[i].x1 = stb__times_bold_37_latin1_x[i] + stb__times_bold_37_latin1_w[i];
            font[i].y1 = stb__times_bold_37_latin1_y[i] + stb__times_bold_37_latin1_h[i];
            font[i].advance_int = (stb__times_bold_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_37_latin1_s[i] + stb__times_bold_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_37_latin1_t[i] + stb__times_bold_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_37_latin1_x[i] + stb__times_bold_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_37_latin1_y[i] + stb__times_bold_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_37_latin1_LINE_SPACING
#endif

