// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_12_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_12_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_12_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT        106
#define STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_arial_12_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_12_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_12_latin_ext_LINE_SPACING           8

static unsigned int stb__arial_12_latin_ext_pixels[]={
    0xcccccb80,0x480b8001,0x40488762,0x40355303,0x7102403b,0x93013310,
    0xa981e419,0x2e21441a,0x2b814029,0x20cc5448,0x032e0cd9,0xa83c8811,
    0x7999512e,0x0179b730,0x2720b72a,0x4401700c,0x5005c00c,0x20e83707,
    0x4099ea98,0x3412200c,0x26037077,0x404c80a9,0x99815405,0x41665409,
    0x80740989,0xdb81884d,0x2660a600,0x1322340a,0x4391663a,0x41262eeb,
    0xd3ff909e,0xb511cb83,0x4c89db81,0x3980544c,0x38812b20,0x3706f220,
    0x205980c4,0x17d9501c,0xaa839349,0x4442e22b,0x540aeaa3,0x45755019,
    0x547110b8,0x442e22ba,0x43883638,0xb710a238,0x22db8817,0xb47110b8,
    0x05d1c438,0x74d6c472,0x4fc88930,0x4ea35ffa,0x2258c8ca,0x0b82e386,
    0x2205edc4,0xdb880cec,0x42dca80b,0x2cc0ae0a,0x2e0aab88,0x9a1fb8ad,
    0x104c4c1c,0x2626688d,0x2601d300,0xd11a2098,0x8d104c4c,0x46887268,
    0xadb92668,0x327a26b8,0x2688d10e,0x91688d16,0x951c819d,0xda849835,
    0x5635ff20,0x54b5d9bc,0x468a5405,0x746b8adb,0x36e0fa8a,0x4edc6b8a,
    0x2b8324c8,0x53d10b30,0xdd83e23f,0x8a234da3,0x1688d10b,0x1edc05c5,
    0x1a217144,0x10b8a2d1,0x8926688d,0x74933446,0xb8c99e40,0x94d11a20,
    0x72bb4468,0xee88e41d,0x41d424c3,0x3464cd7a,0x02543297,0x03a1d5a2,
    0x4171a279,0x8689e40e,0x1664c723,0x3d1dc2cc,0x25a9c96a,0x36498776,
    0x93688d11,0x434740ec,0x23447649,0x88ec9368,0x23b13446,0x29334468,
    0x59559869,0x43446883,0x0e9b4468,0x36e0e457,0x0590930e,0x4955535a,
    0x5c34492c,0x69836720,0x073f2598,0x16ab30d3,0xf31d33b0,0x22b85981,
    0x54ae971d,0x9260d9a5,0x3688d11d,0x6d660ec9,0x223b24c2,0x3649b446,
    0x32688d11,0x4cd11a22,0x22b30954,0x11a23b4e,0x34468a4d,0x8e41b7d3,
    0x932c9a88,0x335a03b0,0x323e2d39,0x98b516c2,0x2cc2545d,0x2543b6e2,
    0x6c04aacc,0x983d5312,0x23f15985,0x68f23ad9,0x87649872,0x3649acc7,
    0x22dcde41,0x4c787649,0x8f0ec935,0x98f07259,0x643cd265,0x8f0f7ae4,
    0x2cc79a59,0x2a391362,0x0931d9ac,0xcb46b40d,0xd882ddce,0x42e80dee,
    0x8534c879,0x2990f33c,0x35b0b868,0x2883d59d,0x743d9b50,0x32683aa5,
    0x3a1f9661,0x3f2cd321,0x07e66744,0x43d0fcb3,0xd0fcb34c,0xe81b2643,
    0x364a9321,0x1cc3d30b,0x269321e8,0x1e49321e,0x32776c39,0x35a06889,
    0x03a6036a,0x7b0680ae,0x074c7a61,0xe985ec59,0x225a8b61,0x983d13b8,
    0x4c3a1885,0x341deedc,0x6deec3b5,0xb17fba21,0x22543b7b,0x0edeec3c,
    0xdd8bfdd1,0x3fba21db,0x3ba21ae5,0xd90ba65f,0x100b83dd,0x2268bfdd,
    0x6ee45fee,0x83507ae5,0x407b53e9,0x99bb30d6,0x0b71019d,0x776407b3,
    0x2777d41e,0x220f7764,0xe880deed,0x40c42ddc,0x0204dce8,0x00002204,
    0x0f107a00,0x10000000,0x00088001,0x00040000,0x01031022,0x42004426,
    0x2200cc00,0x00001100,0x00000002,0x00044000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x31803883,0x441c4388,0x20e32008,0x100d4048,0x0ae05107,0x40444400,
    0x40e218a8,0x54014459,0x014a0302,0x0e320719,0x32200c88,0x803200ce,
    0x8570e23a,0x52881999,0x900b8288,0x64402887,0x2a02cc2a,0x223443db,
    0x981ce4c6,0x403701aa,0x2606e02b,0xa80cba84,0x1b9b82cc,0x0641cab8,
    0x201260dc,0x9506882a,0x40aae605,0x0f6e01da,0x80fa8ae8,0x4af22039,
    0x1dc17259,0x41883970,0x43975048,0x5edc4049,0xb7101660,0x1a234417,
    0x1c417b71,0x4e21c4e2,0x22711138,0x44931c43,0x44389c43,0x71388713,
    0x0b926388,0x0e5ecc2e,0x3ee16e54,0x406764c3,0x6440bdb8,0x0d1d00ce,
    0xca8171a2,0x598a602d,0x2ab260b9,0x105edc40,0x70676445,0x734985c1,
    0x26b8adb8,0x22b6e059,0x4d11a26b,0x226b8adb,0x4468b446,0xd1688d16,
    0x68926688,0xb4468b44,0x468b4468,0x22953468,0x83a6be66,0x264c89db,
    0x2a276a0e,0x2e2b6e0e,0x07d45746,0xfc816d66,0xc89db81c,0x66cc7704,
    0x3f53d307,0x335c56dc,0x87d45749,0x4e4cd14a,0x4f20740e,0x7903a059,
    0x074d11a2,0x5a2344f2,0x468b4468,0x2688d168,0x2d11a249,0x468b4468,
    0x4688d168,0xb31d5a26,0x23868964,0xd0d43c68,0xb8d13c81,0x02dcde40,
    0x1a21db71,0x9f31dc0e,0x0f477099,0x2933c81d,0x56885c68,0x260ff4c7,
    0x20b35986,0x31a59869,0x45661a6d,0x4468b446,0xd1688d16,0x68926688,
    0xb4468b44,0x468b4468,0xb3907468,0x2a7724c1,0x0b334405,0x32598698,
    0xcce881cf,0x3214c0fc,0x1dc00b53,0x5707a2d3,0x598698ec,0x40e7e493,
    0x2fa60d9c,0x9acc2544,0x4b309505,0x4255321d,0x1688d159,0x88d1688d,
    0x26688d16,0x22d11a24,0x4468b446,0x34688d16,0x74d31766,0x26880951,
    0x553ff25a,0x6dc45984,0x87912a0e,0x254b20e9,0x32cc7700,0x1f8acc1d,
    0x126b3095,0x6cc1db71,0x262da4c5,0xfff34c87,0x9321e69f,0x1e65fed9,
    0xf2cc7932,0x4b31e598,0x78932cc7,0x2598f2cc,0x598f2cc7,0xd30ba162,
    0x5c3447dd,0x4c3453a0,0x26990f34,0x883d1e42,0x24eefa87,0x2110b868,
    0x8b71663b,0x0f31ecda,0x214d2699,0x5261743c,0x4c2f60e8,0x5ec1c81e,
    0x01903d30,0xe87a617b,0x321e9321,0x3a4c87a4,0x74499321,0x321e9321,
    0x3a4c87a4,0x682b9321,0xa8b60498,0xc89904c5,0x8f4c2f64,0x100b20e9,
    0x16c06c07,0x02c9dcb5,0x07431095,0x547a617b,0x21641d31,0x76412606,
    0x82d981ee,0x9701eeec,0x83ddd905,0x7445fee8,0x7f7445fe,0x22ff7445,
    0x3fba20eb,0x22ff7445,0x7445fee8,0x3662c5fe,0x36204983,0x21540dee,
    0x640cfeec,0x77d41eee,0x819d004e,0xeed882da,0x817ba20d,0x4dce80eb,
    0x261eeec8,0x49ddf53d,0x03aa03d9,0x00004400,0x00000004,0x00180000,
    0x08000000,0x00010044,0x000000a8,0x02020002,0x00600000,0x20200011,
    0x00400880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4dc40300,0x1e666442,
    0x07333322,0x6c032207,0x2e0b9443,0x44099885,0x3b261c0c,0x0198240c,
    0x02e00719,0x35038b88,0x9006e017,0x5c029803,0x014dc403,0x0e2e0717,
    0x803080a2,0x9071700c,0x0c880b81,0x85c803a0,0x25c999e8,0x209999e8,
    0x70959039,0x228c4195,0x664c3ac8,0x4d127c43,0x20ea89da,0x36a07707,
    0xb8048801,0x207b100d,0x06d5c048,0x5e4c0190,0x5006dc01,0x2076a03b,
    0x302d6058,0x2e0ed407,0x4ac82443,0xa80cec98,0x223442dc,0x01b01a26,
    0xc9819d93,0x82e510aa,0x0bdb8828,0xf344bba2,0x64c3c350,0x999910aa,
    0x66664c07,0x3333264c,0x1381910c,0x2a879999,0x381911cc,0xb8e1d417,
    0x881ccccc,0x9931200c,0x30aa1999,0x666664c7,0x39999910,0x240388a2,
    0x07544ed4,0x449913b7,0x223da99e,0x4342aaaf,0x30ea89da,0x5263f53d,
    0x5b71260d,0x74ec4d71,0xf00b3688,0x11fa9e98,0x20b9333d,0x2199aeae,
    0x226b9998,0x4f45a24f,0x83e65c99,0x6893e21e,0x4b337477,0x8099ea98,
    0x311e03db,0x07ccd733,0x5cccc43d,0x26667a26,0x202cc930,0xd11a8787,
    0x7e67c470,0x15557c42,0x2350f0b3,0xda4c7a3b,0xc81d1260,0x5a32eb13,
    0x793ff25a,0x1a23d1dc,0x03ab50d1,0xee883a20,0xd11a2d12,0xe88975b8,
    0x4526d12e,0xb30572cd,0x1e068e80,0xbadc0e88,0x6883a204,0x40599260,
    0x16a02cc7,0x10754d10,0x16624c0d,0x498ec570,0x0d324c1b,0x6ae962b3,
    0x23c930d1,0x4f44762b,0xd1e83da9,0x5d103557,0x688e9d88,0x07b533d1,
    0xd3b10d7d,0xabab4d11,0x40b301b4,0x41e05b59,0x0d7d02e8,0x2be21744,
    0x599262aa,0xfc96a3c0,0x6880954f,0x440d1264,0x9ff92d46,0x498fc566,
    0x09524c1b,0x6f9962b3,0x23c99132,0x3e23f159,0x9e982fcc,0xd81aabe9,
    0xd1975883,0x40bf33e2,0x975881f9,0x686c6cd1,0xbc81660d,0x360f05b9,
    0xd807e603,0x2aaaf883,0x3c059926,0x345261a2,0x7446885c,0x9fffff11,
    0x9261a234,0x2931ecda,0x8799260d,0x46b8b14c,0x1e0cfeec,0x3447b36a,
    0xeeed81d5,0x4416e00f,0x5345aba5,0x2c41e01d,0xb355cd5d,0x44166095,
    0x780fccce,0x207805b8,0x4c0d105b,0x90f01664,0xa8b64c89,0x48019305,
    0x322642b8,0x74074314,0x217b12a0,0x00c981e9,0x43112036,0x24c8d10e,
    0x6a807469,0x16f99620,0x20f04c8d,0xd99be658,0x2cc0b6e4,0x3c1e44a8,
    0xa83c01aa,0x4981a206,0x320f0166,0x3620cfee,0x3d500dee,0x42c2cc80,
    0x3a0cfeec,0x266b84dc,0x1eeec82e,0x36603d50,0x33a0ce83,0x3d11a24d,
    0xffffd0b6,0x3fffff61,0xd16b8b11,0x10781e88,0x317c6b8b,0x1e82cc0f,
    0x3f63c3c4,0x0781ffff,0x23fffffb,0x34fffff8,0x27fffcc9,0x2000001e,
    0x00206000,0x44180440,0x20040000,0x11011008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x5400e603,
    0x20064402,0x0c600889,0x2a0500c0,0x5300e202,0x07220630,0x20210318,
    0xa8530a9a,0x2e2064c1,0x8814a029,0x540c6099,0x05280000,0xdb81ddd1,
    0x2121cb81,0x220c2bb9,0x301980bb,0x00640379,0x02564024,0xb58036f2,
    0x1d019a80,0x01b80190,0x20f2a032,0xdbb80dab,0x220c8c82,0x212243bb,
    0x405c83ad,0x399703c9,0x101c85ac,0x65401ddd,0x232a1202,0x49ac6446,
    0x74688990,0x443a86a9,0x06441c43,0x91003220,0x400c8801,0x074c00c8,
    0x4730aa48,0x11ccccc8,0x48399999,0x8e666644,0xcc89c0c8,0x24241ccc,
    0x99102892,0xccc88399,0x999911cc,0x99912439,0x01910399,0x21e00c88,
    0x59cc69da,0x4177101b,0xb55b53fb,0xd105dc43,0x03db8688,0x36e01edc,
    0x201edc03,0x1edc03db,0x1e83e678,0x426667a2,0x409999e8,0x4cccf447,
    0x8b449f10,0x3c09999e,0x10499e3c,0x445d533d,0xd109999e,0x13c13333,
    0x7013333d,0x03db807b,0x6c07741e,0x53d039ac,0xadb874cd,0x9aa7a1aa,
    0x47434468,0x20347406,0x3474068e,0x1d01a3a0,0x2eb71e0d,0x0d103444,
    0x220688f0,0x1a2d12ee,0x4cf1e1e0,0x31a21cac,0x0d10344d,0x7401a278,
    0x03474068,0x153d7b0f,0x21971b08,0xd11daada,0x36a392c4,0x99f11daa,
    0x5b598d99,0x9816d660,0x6d6605b5,0x40b6b302,0xd0f05b59,0x555f10d7,
    0x15557c45,0x2aabe23c,0x223a7622,0x05555f16,0x3e678f0f,0xf0d10f9a,
    0x8aaabe21,0x3c2aaaf8,0x305555f1,0xdacc0b6b,0xd34a8f02,0x2326e60d,
    0x23555b74,0x726edc68,0x3e23555b,0x5e46baaa,0x737905b9,0x16e6f20b,
    0xc82dcde4,0x37905b9b,0x3f30f0b7,0x45555f10,0x782aaaf8,0x115557c4,
    0x7c5a32eb,0x78782aaa,0x88ecb33c,0x55f10e86,0x5557c455,0x555f13c2,
    0x0b737905,0x3c16e6f2,0x580ed966,0x392c5673,0xb10a61a2,0x344688e4,
    0x81f999d1,0x40fccce8,0x40fccce8,0x40fccce8,0x40fccce8,0x40fccce8,
    0x81a20f07,0x34478068,0x8b574b10,0x3c787806,0x4688ec93,0x6881a278,
    0x880d13c0,0x440fccce,0x780fccce,0x45bbeeb8,0xdb8f3639,0x3662744d,
    0xd126edc3,0x7912a688,0x2a1e44a8,0x912a1e44,0x21e44a87,0x41e1e44a,
    0x3440d107,0x881a23c0,0x0345be65,0x499e3c3c,0x93234476,0xf01a2068,
    0x912a0344,0x41e44a87,0x01010007,0x20011000,0x83d34468,0x1e20f478,
    0x0f47883d,0x7883d1e2,0x0f1e20f4,0x7fffc41e,0xfffff14f,0x7ffc4789,
    0x6b8b14ff,0x89fffff1,0x4933c787,0x9dfff11d,0x4fffff88,0x49fffff1,
    0x3ffffe27,0xe8f107a4,0x00003c41,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x4c42c9a8,0x20cccc18,0x2a120998,0x26a21701,0x88aae01c,0x0e5d4099,
    0x41985951,0x703dd9b8,0x16212a09,0x0b32616c,0x31310f2e,0x9988b3b0,
    0xcc8adb80,0x836720cc,0x55099091,0x22079057,0x8181d80d,0x730aeaa4,
    0x6c099053,0x35f39120,0xb80bb81f,0x1e2cca83,0x29d950b2,0xb00f9af9,
    0x41665473,0x20d7cc3c,0x4c6fc43a,0x41564c4d,0xab81b80c,0x1f31d30c,
    0x2e1dc654,0x20d54c0b,0x46642cca,0x44199eea,0x2a25a22d,0x04c4c1bb,
    0x0aa06eea,0x911661c4,0x26a04ccc,0x40ddd40b,0xb3f0642a,0x817710ec,
    0x5dc40bb8,0xc98b21e0,0x0ecd31db,0x4415b793,0x05e4c0bb,0x417930b3,
    0x931e60f8,0x4c3cb817,0x21e5c0bc,0x3a61ea98,0x21664c0b,0x664c0bb8,
    0xb81b2342,0x106fee3c,0x17144177,0x4510b8a2,0xc85c510b,0xbb88aa2e,
    0x2205dc40,0x05dc40bb,0x3b24fc55,0x27a354f4,0xf354f46a,0x2e7a2590,
    0x88ec931f,0x4f41fb9e,0x9a67a26a,0x34cf4449,0x3a21f0f1,0x2e32a699,
    0x54d33d13,0x59d33b8c,0x34ec983d,0x4f41f31d,0x3e63a66a,0xaaea8d10,
    0x4cee32a2,0x26a9e80e,0xb24c7649,0x931d9263,0x360da8ec,0x3d1aa7a0,
    0x46a9e8d5,0xf9226a9e,0x56d47649,0x964751da,0x0f1daada,0x31e8ee59,
    0x3a3b8ec9,0x972c8ea1,0x24b89304,0x5c3a1a20,0x20be9824,0x0be9824b,
    0x550f44ee,0x1ea989a2,0x53116475,0x5d31a63d,0x105f4c55,0x3b55b50d,
    0x4931d926,0x98ec931d,0xb0f5c764,0x8ea591d4,0xa964752c,0x27e58b23,
    0x556dc764,0xb9dc571a,0x82f1aaad,0x98ec592d,0x3b1e4764,0x0ee7715c,
    0x440ee24c,0x980ee686,0x4c0774ec,0xbb9d14ec,0x9976ec45,0x4571eace,
    0x3d59d33b,0xc981ae3c,0x5b70d14e,0x1d926355,0x2498ec93,0xb8ec931d,
    0x715c731e,0x573b8ae7,0x8ee2b9dc,0x221d4f1b,0x3b2cc725,0x32f1c962,
    0x1f96a3d1,0x1f96a3b0,0x4b11d966,0x2588ee0e,0x24a8d10e,0x89543a58,
    0x2a874b16,0x360320d1,0x98f44ee1,0xe89dc765,0x83744f61,0x21a2d12a,
    0xf2cc7258,0xb31f9663,0x47e598fc,0x25986e59,0x98ecb31d,0x3b2cc765,
    0x5c35c1cc,0x276dc4dd,0xd379376e,0x1ecec89d,0x767646b8,0x2e276dc1,
    0x71b222dd,0xeab445bb,0x116edc0d,0x6edc5dbb,0x40bb7622,0x88b6a3da,
    0x36e2ddce,0x3773a24e,0x3efbba22,0xdbb12fff,0x6edc2745,0xb0edeec4,
    0x5eec3b7b,0x476f761d,0xdb70b4f8,0x5c4edb89,0x276dc4ed,0x00000c2c,
    0x02000000,0x00800000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000400,0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0b100000,0x26e05c17,0xb8066442,
    0xb9816202,0x215d542b,0x81b01bba,0x81793058,0x82b80cc9,0x4dcc2baa,
    0x03604c82,0x07766036,0xc982ab26,0x214dc42d,0x44cc0998,0xd9502b81,
    0x66654917,0x2892b260,0x2a0b802e,0x30aa1c42,0x223ac985,0x22950aa2,
    0x3a076c46,0xa80906a9,0x4cc26401,0x5504c809,0x33d10aa0,0x4354f44d,
    0x4098982b,0x5dd40b9a,0x07302a81,0x9e98d11f,0x3a2761fa,0x9506e6a0,
    0x2e077059,0xfb8adb82,0xb82aaba1,0x1d9260c9,0x21e4c760,0x588f260d,
    0x71498b70,0x43ab4417,0xe96a4cb8,0x951d6541,0x28879539,0x40bb882e,
    0x5dc40bb8,0x9705dc40,0x263c3104,0x1664c2cc,0x9930b326,0x4c2cc985,
    0x2c5a22cc,0x4d11e8ee,0x885c5108,0x171442e2,0x1f10b8a2,0x220d1eec,
    0x3b24c2e2,0x261dbc98,0xc8e606e3,0x262cc980,0x9c8d53d4,0x87d5740d,
    0x9bd8b23b,0xbf31b33f,0x3b24c973,0x27a354f4,0x2354f46a,0x00ee6a9e,
    0x4c74c7b3,0x1f31d30f,0x4c3e63a6,0x1d30f98e,0x263a61f3,0x70b2b30f,
    0x09f98ec5,0x9263b24c,0x98ec931d,0x392d4764,0x8fb7a6b5,0xb24c7649,
    0x0fdcf443,0x9cc12673,0xf98e983a,0x16475930,0x324a8bb3,0x68964772,
    0x7d444d57,0xd9267aab,0x23b55b51,0x56d4b23a,0xb55b51da,0x4c0e9623,
    0x3aa620eb,0x887aa621,0x2a621ea9,0x87aa621e,0x2b31ea98,0x1f8acc5b,
    0x24987bd7,0x98ec931d,0x3b24c764,0x15a95d2e,0x36498f45,0xb87e2b31,
    0x4b1107a3,0xccac441c,0x4c7aa621,0x5d0ee2bc,0x254ee2b8,0x22e7663b,
    0x57d59d35,0x23b24c55,0x571aaadb,0xaaadb9dc,0x43555b71,0x59042ddb,
    0x4c7ab3a6,0x9d31eace,0x2b3a63d5,0x3d59d31e,0x4c7ab3a6,0xd9b51ae5,
    0xb24c0ec3,0x931d9263,0x476498ec,0x40f23ad9,0xb0ec933b,0xb1643b7d,
    0x07ae1903,0x4d266236,0x3931eace,0x261a0ecb,0x1d3443a5,0x3c95d3a2,
    0x599625f1,0x2392c47e,0x92c47659,0x641c9623,0x2e1d2cc2,0x44ee3d13,
    0x47a2771e,0x4ee3d13b,0x3a2771e8,0x43a31b31,0x82c43a18,0xf2cc7e59,
    0xb31f9663,0x754bd0fc,0x59874b30,0x96a2407e,0xcd99d41f,0x21b115c2,
    0x5263d13b,0x0f664edb,0x36a1eed4,0x32ef6c2e,0x3bbb3bbd,0x2e1dbdd8,
    0x276dc4dd,0xbb71376e,0xdc84c989,0x3773a23d,0x25bb9d12,0xd12ddce8,
    0x33a25bb9,0xbb9d12dd,0x137a3665,0x6eec9b9d,0x36f763ee,0xd876f761,
    0x2f761dbd,0xbddb931d,0x6c2ddc83,0x39901dbd,0xb10f6764,0x4931ed4c,
    0xb9d12be8,0x1101265b,0x00100000,0x00000000,0x00000000,0x00000000,
    0x10022000,0x00000000,0x20000004,0x20402000,0x0004cc40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x201446a9,0x21c42ccb,0x975138b8,0x40a9c983,0x710e21ca,
    0x5c067644,0x0bc882cc,0x300bdb88,0x20bdca85,0x87106a38,0x441c44c9,
    0xda8b0adb,0x05b9502d,0xd9301791,0x42bc9819,0x3880e26c,0x0a237750,
    0x8288e271,0x710e20d8,0x41998528,0x81261948,0x4689261c,0x35f348e8,
    0x3ea7a61d,0x689a67a1,0xf515d344,0xe8930e41,0x456dc699,0x6dc7706b,
    0xc9625b8a,0x36221c42,0x15b70360,0x99da92b7,0x644edc4c,0x51667a24,
    0xc81d513b,0x27a22cc4,0x93205981,0x248acc49,0x7e42a849,0x262fcccc,
    0x4333221c,0x933fcedb,0x6d4dc395,0x88d139ac,0x964b31ae,0x12547a3b,
    0x345a2344,0x666cdc2e,0x074d1399,0x3b83c81d,0x962790f1,0x64c1c42c,
    0xc81d0370,0x23d02e1d,0xc92a3868,0x5446a1e1,0xf11262c9,0x3661dddd,
    0x9965442a,0x2628acc4,0x98b26a24,0x40e9999e,0x9ac88904,0x1d35f30d,
    0x345212d2,0x9dc931a2,0x6e5c763b,0x4d11a22e,0x75a41cfc,0x23ddc925,
    0x3b859869,0x9a2950b5,0x2ee2542c,0x8698498d,0x2aaaa659,0xa80b53da,
    0x202ccb64,0x930f9af9,0xf9a64688,0x931af983,0x74c16633,0x21f35f31,
    0x86ccccf8,0x731b0f07,0x252792cc,0x1a234521,0x2588f4d3,0x1d11d71f,
    0xb88d11a2,0x973690ed,0x21b75b14,0x3b85984a,0x9e2b5097,0x4203a62e,
    0x42547258,0x2aab6a59,0xd00953da,0xc96a5d99,0x8ecb34ff,0x4ee34449,
    0xc98b305c,0x9320b32a,0x57c47659,0xf0786baa,0x33deceb8,0xac8c95c9,
    0xb31e48ba,0x5c3eee98,0x64931eed,0x0a6b31e2,0x4dd63279,0x99647748,
    0x2e114c87,0x229b0f33,0x03a2eeee,0x4c7ae190,0x21a24c87,0x8170d11e,
    0x30d11c89,0x931d9269,0x0ecaae88,0x931260b7,0x4c970598,0x22344764,
    0x488f0786,0x21d34c1b,0x41b13358,0x0931321e,0x87a58760,0x074d321e,
    0xda8b6259,0x7b0ec930,0xc9dc7a61,0x87e64f62,0x44b9a058,0x6c59b33a,
    0x3d83d30b,0x2d45b1aa,0x89907491,0x98ec934c,0x20d57444,0x49893059,
    0x264982cc,0x22344764,0x3a8f0786,0x43ddd98b,0x440cccc8,0x04985fee,
    0x1f6d43b0,0xf517fba2,0xccc889dd,0x41eee40c,0x3a21eeec,0x6f76c45e,
    0x6dc0b12e,0xa99620ec,0x0f77643d,0x20f77ec4,0x640deed8,0xfeec82dd,
    0x98ec930c,0xff303444,0x931269ff,0x34ffff98,0x223b24c9,0x783c3446,
    0x00000844,0x04002000,0x00040000,0x00000000,0x04040045,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x222c4039,
    0xc881cccc,0x01501ccc,0x2982e12a,0x103883c8,0x42ea2759,0x3b11d43b,
    0x55c29b88,0x9999300c,0xcb814499,0x2ae1cccc,0x21c56b0a,0x33332e2b,
    0x3261a81c,0xb3121ccc,0x260e4439,0x406ee60c,0x202880c8,0x20144a24,
    0xcc98f5c4,0x80910ccc,0x54cf441b,0x54cf442e,0x1901d82e,0x2a0f4b50,
    0x702cc1bb,0x8905e4cb,0x3516720c,0x7407b037,0x3a199aea,0x754c43ef,
    0x47551099,0x45c96652,0x4099ea98,0x2aaa62f9,0x88e8921f,0xfc8bf30e,
    0x20d33d10,0x204983db,0x4126310f,0x3107c7d8,0x5c44d733,0x8b2a23c8,
    0x1a234468,0x266654d1,0x3b099995,0x26351cb5,0x31440b32,0x24244839,
    0xca8b26a2,0x1d5a84cc,0x2072b260,0x99212059,0x02cc0b95,0x80ee059b,
    0x76ccb218,0xb14c3b60,0x930d1d05,0x9944f0e6,0x9eb61cac,0x01d104fc,
    0x3e65b37f,0xf867aa1a,0x0f867aa0,0x4c49b331,0x0ed984d9,0x32ca7472,
    0x4c930a2b,0x23c3c784,0x310f9af9,0x3a3d09b3,0x2be61aab,0x1e059869,
    0x407cd99e,0x05739059,0x874c00d1,0x1d752bd9,0xb5981d10,0x40e9c985,
    0x4d7cd267,0x03d33c0f,0x3b9e05d1,0x499f90b3,0xe933f20e,0x85a82d40,
    0x953eeeeb,0x1599ad91,0x21264987,0x9663c3c7,0x74c2d41d,0x21aabe99,
    0xfed87659,0x2678782e,0x16604ccf,0x1dc15d26,0x3660e880,0x881d1959,
    0x5b9bc82e,0x3340ff4c,0x3c1d9669,0x4d01ec1a,0x8d10933b,0x1e234478,
    0x4c1a60d3,0x2ba1acda,0x816659da,0xf1e12649,0x876498f0,0xfdddb069,
    0x41d92601,0x99e1e059,0x16603d16,0xd0bbbbba,0x98770f01,0x883ab1d5,
    0xccce881e,0x212fa60f,0x3b24d265,0x02dc3478,0x10933b9a,0x23443c8d,
    0x2603a63c,0x3793100e,0x175c76c1,0x9324c0b3,0x4c7878f0,0x4074c764,
    0x49807469,0x3c0b3076,0x074cb33c,0x64cc42cc,0x4241a20b,0x3dbacc08,
    0x5407a21d,0x36931e44,0xb24d2602,0x1aa34783,0x0933b9a0,0x109ffff1,
    0xed89ffff,0xdddb0eee,0xd707701d,0xfff983e2,0x8499264f,0x9263c3c7,
    0x1ddddb1d,0xffffd0b6,0x4c1d9261,0x599e1e05,0x202cc2dc,0x8182542b,
    0x0f8acc3c,0x3ffff21d,0x4cf107a2,0x933c1d14,0x23c1d926,0x7ffffec6,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50666644,0x50e63985,0x26666445,0x99138191,
    0xccc88799,0x89202e2c,0x6441cccc,0x5c91cccc,0x1c470ea0,0x9301c4e2,
    0x40bb8859,0x0bb89cc8,0x33331e5c,0xb8809833,0x38a8a20b,0x77102f26,
    0x3aca8731,0x0f2a7326,0x20b85451,0x288d470b,0x1cca2044,0x3a6aa084,
    0x83e66a99,0x0e89ec1e,0x886667a2,0x4f45a24f,0x27a25c99,0xa8972e99,
    0x3aa67a24,0x26667a22,0x4dd1dcf0,0x2d11a259,0xd31d3059,0xd1354f41,
    0x1b35dd33,0x404ee32a,0x4cf415c0,0x149d9266,0xa9e8b33d,0x3e6f648e,
    0x1bf31b33,0x21b24c97,0xe8e4d13b,0x4c398574,0x46c40e9c,0x1d166ee5,
    0xe884badc,0x103441e9,0x345a25dd,0xa5c689a2,0x8d10ec68,0x2781a269,
    0x2e59b149,0x26d11a22,0x43aa6205,0x71d4723a,0x3a65955d,0x54c2020a,
    0x55b50acc,0x2ad9263b,0x64750495,0x12d5da0c,0x4f557f51,0xab443649,
    0x35b22ea3,0x26139731,0x1d9d80fd,0x32aba6aa,0x2a06be84,0xaaaf883f,
    0x223a7621,0x7b533d16,0x6c5b3344,0xf8688d11,0x45555f10,0xb4abab47,
    0x66667c41,0x33a20b36,0x9dc570da,0x2eefaa3b,0x404fb261,0x237bb750,
    0x931bbbdb,0x2e0770ec,0xb9d98ee2,0x7d59d158,0x1b24c777,0x2b606cec,
    0x372659da,0x897d33ce,0x5d3068e8,0x1f981d95,0x3e213ea0,0x5d621ccc,
    0xf99f168c,0x2deef885,0x3443ba54,0xaaaf8874,0x21b1b1e2,0xaaaf88d6,
    0x8ee0b36b,0x88ecb31e,0x552a9f65,0x2e0405a2,0x26392c42,0x9a5883a5,
    0x4e887659,0x97c4ee57,0x20e96648,0xa8dd85da,0xa4c3982e,0x41d5d41d,
    0x03c1dc59,0x6883d1d1,0x16ae9620,0x0d10754d,0x8d103ad0,0x4781a278,
    0x112b66ab,0x20b3688d,0x2e2ddde8,0x676dc3ed,0x37625dea,0x1a81012e,
    0x76c4ddb8,0x16edc0db,0x3760fb6e,0x2777625d,0x5eec1ddd,0xb5c17c0d,
    0x4c2980f8,0x20e70d14,0x03c16c59,0x6883a65d,0x16f99620,0x01a24c8d,
    0x91a21332,0x98f03449,0xd10b6e4d,0x080b3688,0x98000000,0xdd719999,
    0x000005dd,0x00001000,0x00000000,0x7ffcc000,0x1320f04f,0xb10344b7,
    0xe88d16b8,0x3f100d11,0x89dfff10,0xf4fffff8,0x443cc5f0,0xfff9b446,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26a20000,0xba88201c,0x4aa1c88c,0x93332a38,0x10002400,0x16544084,
    0x20cc8836,0x6449932a,0x7907930c,0x510bb810,0x10cc3555,0x50435555,
    0x185dc375,0x26622893,0xbbbb8820,0xb9b9223b,0x99999910,0x00000000,
    0xf3000000,0x3ba61d35,0xf53f31ee,0x6c744d37,0x99366622,0x86c380ce,
    0xb1f5c40d,0x0d7cc1b1,0x9dcc47b7,0x5c6e33c9,0x21b11299,0x32099998,
    0x2e271531,0x7bb51bbb,0x7932eee2,0x5ddc76ee,0x258174fe,0x111e0ccb,
    0x30b81111,0x00000131,0x00000000,0x06cb3000,0x9e599a2d,0x5413a61d,
    0x403bb505,0x3b223de9,0x2659c983,0x2f268e85,0x24b8e63b,0x4326388c,
    0x912cccca,0x11106649,0x9100cc81,0x00195524,0x00000000,0x00000000,
    0x00000000,0x9621b24c,0x87279266,0x406983f8,0x076c03ea,0x23a207d3,
    0x2e951266,0x9cc97972,0x1bb30beb,0x857036ee,0x7774c008,0x3880223e,
    0x00000006,0x00000000,0x00000000,0x92600000,0x1f99f10d,0xd8727926,
    0x203a21e9,0x2040ceb8,0x2e20e9bd,0x8ae720ce,0x01884c49,0x10011108,
    0x00000260,0x00000000,0x00000000,0x00000000,0x40000000,0x4ccc3649,
    0x93c931a9,0xdb34cee3,0x80a61ddd,0x1d4030c7,0x000930e5,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_12_latin_ext_x[560]={ 0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,-1,
0,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,
-1,-1,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,0,0,0,1,1,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_12_latin_ext_y[560]={ 9,1,1,1,0,1,1,1,1,1,1,2,7,5,
7,1,1,1,1,1,1,1,1,1,1,1,3,3,2,3,2,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,10,1,3,1,3,1,3,1,3,1,1,
1,1,1,3,3,3,3,3,3,3,1,3,3,3,3,3,3,1,1,1,4,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,9,3,1,1,2,1,
1,1,1,1,1,3,3,5,1,0,1,2,1,1,1,3,1,4,8,1,1,3,1,1,1,3,-1,-1,-1,-1,
-1,-1,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,2,1,-1,-1,-1,-1,-1,1,1,1,1,
1,1,1,1,3,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,3,3,1,1,1,1,1,1,1,
-1,1,-1,1,1,3,-1,1,-1,1,-1,1,-1,1,-1,1,1,1,-1,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,1,-1,1,1,0,-1,-1,1,1,-1,1,0,1,-1,1,1,1,-1,3,1,1,-1,1,1,1,3,-1,-1,1,
1,1,1,1,1,1,1,-1,1,1,3,-1,1,1,1,3,-1,1,-1,1,-1,1,1,3,-1,1,1,3,-1,1,
-1,1,-1,1,1,3,-1,1,1,1,-1,1,1,1,-1,1,-1,1,-1,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,-1,1,-1,1,-1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,3,2,2,2,2,2,2,2,2,2,2,2,2,2,1,3,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-2,-2,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__arial_12_latin_ext_w[560]={ 0,3,4,6,6,9,7,2,4,4,4,6,3,4,
3,3,6,4,6,6,6,6,6,6,6,6,3,3,6,6,6,6,11,9,7,8,8,7,7,8,7,2,5,8,
6,9,7,8,7,8,8,7,7,7,8,11,8,8,7,3,3,3,5,8,3,6,6,6,6,6,4,6,6,2,
3,6,2,9,6,6,6,6,4,5,3,6,6,8,6,6,6,4,2,4,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,2,6,6,6,7,
2,6,4,8,4,6,6,4,8,8,4,6,4,4,3,6,6,3,3,3,4,6,9,9,9,6,9,9,9,9,
9,9,11,8,7,7,7,7,3,3,5,3,9,7,8,8,8,8,8,6,8,7,7,7,7,8,7,7,6,6,
6,6,6,6,10,6,6,6,6,6,3,3,5,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
9,6,9,6,10,7,8,6,8,6,8,6,8,6,8,7,9,6,7,6,7,6,7,6,7,6,7,6,8,6,
8,6,8,6,8,6,7,6,8,6,5,5,5,5,5,5,4,3,3,1,7,5,6,4,8,6,6,6,3,6,
4,6,4,6,4,6,3,7,6,7,6,7,6,7,8,6,8,6,8,6,8,6,11,10,8,4,8,4,8,4,
7,5,7,5,7,5,7,5,7,3,7,5,7,3,7,6,7,6,7,6,7,6,7,6,7,7,11,8,8,6,
8,7,6,7,6,7,6,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,9,7,6,6,6,6,6,6,6,6,6,6,6,6,6,9,7,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,6,5,4,8,
6,7,6,7,6,7,6,7,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,9,6,11,10,8,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_12_latin_ext_h[560]={ 0,8,4,9,11,9,9,4,11,11,4,6,4,2,
2,9,9,8,8,9,8,9,9,8,9,9,6,8,6,4,6,8,11,8,8,9,8,8,8,9,8,8,9,8,
8,8,8,9,8,9,8,9,8,9,8,8,8,8,8,11,9,11,5,2,2,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,9,9,6,7,9,7,6,6,6,9,6,11,11,11,3,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,9,11,9,6,8,
11,11,2,9,5,6,4,2,9,1,4,7,5,5,2,9,11,2,4,5,5,6,9,9,9,9,10,10,10,10,
10,10,8,11,10,10,10,10,10,10,10,10,8,10,11,11,11,11,11,6,9,11,11,11,11,10,8,9,9,9,
9,9,9,9,7,9,9,9,9,9,8,8,8,8,9,8,9,9,9,9,9,5,7,9,9,9,9,11,11,11,
10,9,10,9,11,9,11,9,11,9,11,9,11,9,10,9,8,9,10,9,10,9,10,9,11,9,10,9,11,11,
11,11,11,11,11,12,10,10,8,8,10,8,9,8,10,8,11,11,10,6,9,11,11,11,11,11,6,10,10,11,
11,8,8,8,8,8,8,10,8,11,9,10,8,8,9,9,11,9,11,9,11,9,9,7,10,8,11,9,10,8,
11,9,11,9,11,9,11,9,12,11,10,9,8,9,11,9,11,9,11,9,11,9,11,9,11,9,10,8,10,11,
10,10,8,10,8,10,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,10,9,10,8,11,
9,11,9,11,11,11,11,11,11,11,11,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,11,12,10,9,11,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_12_latin_ext_s[560]={ 253,223,145,1,165,220,212,253,36,134,129,
232,141,165,170,218,22,237,199,89,164,197,48,171,80,163,46,178,57,122,39,
182,190,206,1,154,69,78,27,170,101,86,96,147,109,189,35,87,52,102,43,
63,156,55,60,89,18,9,247,172,250,161,76,174,183,116,8,176,219,161,242,
146,230,227,115,216,253,15,1,123,34,41,71,141,237,209,216,223,25,8,32,
35,32,102,150,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,253,253,128,
153,8,48,143,154,187,15,82,246,134,165,71,192,117,154,91,101,157,111,183,
161,113,87,96,64,226,236,125,118,9,19,29,39,49,59,110,202,82,90,104,
120,134,138,249,174,14,112,218,235,23,39,56,50,188,73,89,102,118,73,191,
138,131,124,117,110,103,96,198,82,75,68,179,54,82,86,90,143,15,96,1,
243,236,229,222,106,191,207,200,193,186,139,146,211,186,148,196,134,192,120,211,
107,244,94,153,78,10,66,149,51,24,37,166,22,158,8,178,248,28,241,230,
230,41,50,166,236,1,99,85,16,1,142,234,122,128,137,206,249,98,243,94,
252,69,254,29,57,220,63,227,16,239,242,238,32,97,216,77,65,211,199,223,
161,227,77,1,135,179,1,85,44,68,59,243,15,175,141,155,130,143,9,19,
73,106,206,1,101,227,114,203,128,184,167,8,162,181,173,129,214,126,160,110,
167,146,174,81,181,65,204,48,211,169,56,152,9,213,222,41,205,34,127,103,
186,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,145,147,147,176,
147,147,147,147,147,147,147,147,147,147,147,147,147,135,183,147,147,147,147,147,
147,147,147,147,147,147,147,147,24,168,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,189,246,
199,72,119,61,107,47,94,87,79,72,135,55,47,40,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,62,1,115,36,23,29,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147, };
static unsigned short stb__arial_12_latin_ext_t[560]={ 11,79,97,69,1,38,38,88,26,13,97,
88,97,97,97,49,59,79,79,59,79,59,69,79,69,69,97,79,97,97,97,
79,1,79,88,69,88,88,88,69,88,88,69,79,88,79,88,69,88,69,88,
69,79,69,88,88,88,88,79,1,49,1,97,97,97,88,69,88,59,88,79,
59,79,79,1,79,59,97,97,88,69,69,97,88,38,88,88,88,97,59,97,
1,1,1,97,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,11,1,1,
59,97,79,1,1,97,69,97,88,97,97,69,97,97,88,97,97,97,69,1,
97,97,97,97,97,59,59,69,69,38,38,38,38,38,38,79,1,38,38,38,
38,38,38,26,38,79,38,1,1,13,13,13,97,59,13,13,13,13,38,69,
59,59,59,59,59,59,59,88,59,59,59,49,59,79,79,79,79,59,79,59,
49,49,49,49,97,88,49,49,49,49,13,13,1,38,49,38,49,13,49,13,
49,1,49,13,49,26,49,38,49,79,49,38,49,38,49,38,38,26,38,26,
38,26,26,13,13,26,26,26,1,38,38,69,79,38,79,38,69,38,69,26,
13,38,49,49,26,13,26,13,14,88,26,26,13,13,69,79,79,69,69,69,
26,69,26,49,26,69,79,49,49,26,49,13,49,13,49,49,88,26,79,26,
49,26,69,14,49,1,49,13,49,13,49,1,13,26,49,79,49,13,59,13,
59,1,59,13,59,13,59,13,59,26,79,26,14,26,26,79,26,79,26,79,
69,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,69,88,88,1,
88,88,88,88,88,88,88,88,88,88,88,88,88,69,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,69,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,26,59,
26,79,1,59,1,59,1,1,1,1,1,1,1,1,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,1,1,26,59,1,59,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88, };
static unsigned short stb__arial_12_latin_ext_a[560]={ 48,48,61,96,96,153,115,33,
57,57,67,100,48,57,48,48,96,96,96,96,96,96,96,96,
96,96,48,48,100,100,100,96,174,115,115,124,124,115,105,134,
124,48,86,115,96,143,124,134,115,134,124,115,105,124,115,162,
115,115,105,48,48,48,81,96,57,96,96,86,96,96,48,96,
96,38,38,86,38,143,96,96,96,96,57,86,48,96,86,124,
86,86,86,57,45,57,100,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,48,57,96,96,96,96,45,96,
57,127,64,96,100,57,127,95,69,94,57,57,57,99,92,48,
57,57,63,96,143,143,143,105,115,115,115,115,115,115,172,124,
115,115,115,115,48,48,48,48,124,124,134,134,134,134,134,100,
134,124,124,124,124,115,115,105,96,96,96,96,96,96,153,86,
96,96,96,96,48,48,48,48,96,96,96,96,96,96,96,94,
105,96,96,96,96,86,96,86,115,96,115,96,115,96,124,86,
124,86,124,86,124,86,124,106,124,96,115,96,115,96,115,96,
115,96,115,96,134,96,134,96,134,96,134,96,124,96,124,96,
48,48,48,48,48,48,48,38,48,48,126,76,86,38,115,86,
86,96,38,96,38,96,50,96,57,96,38,124,96,124,96,124,
96,104,124,96,134,96,134,96,134,96,172,162,124,57,124,57,
124,57,115,86,115,86,115,86,115,86,105,48,105,64,105,48,
124,96,124,96,124,96,124,96,124,96,124,96,162,124,115,86,
115,105,86,105,86,105,86,38,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,96,129,129,129,129,129,
129,129,129,129,129,129,129,129,147,113,129,129,129,129,129,129,
129,129,129,129,129,129,129,147,115,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,115,96,48,38,134,96,124,96,124,96,124,
96,124,96,124,96,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,115,96,172,153,134,105,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,129,
129,129,129,129,129,129,129,129, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_12_latin_ext(stb_fontchar font[STB_FONT_arial_12_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_12_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_12_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_12_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_12_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_12_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_12_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_12_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_12_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_12_latin_ext_s[i] + stb__arial_12_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_12_latin_ext_t[i] + stb__arial_12_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_12_latin_ext_x[i];
            font[i].y0 = stb__arial_12_latin_ext_y[i];
            font[i].x1 = stb__arial_12_latin_ext_x[i] + stb__arial_12_latin_ext_w[i];
            font[i].y1 = stb__arial_12_latin_ext_y[i] + stb__arial_12_latin_ext_h[i];
            font[i].advance_int = (stb__arial_12_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_12_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_12_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_12_latin_ext_s[i] + stb__arial_12_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_12_latin_ext_t[i] + stb__arial_12_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_12_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_12_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_12_latin_ext_x[i] + stb__arial_12_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_12_latin_ext_y[i] + stb__arial_12_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_12_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_12_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_12_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_12_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_12_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_12_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_12_latin_ext_LINE_SPACING
#endif

