// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT        248
#define STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_21_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_21_latin_ext_LINE_SPACING          14

static unsigned int stb__arial_21_latin_ext_pixels[]={
    0x55555553,0x3fa00555,0x00b26001,0xd9000006,0x007f4403,0x260076c4,
    0xbd80dd4f,0x03fd004d,0x00009f30,0x00ffffdc,0x3b201322,0x84403e98,
    0x3e880098,0x059501b9,0x40037a20,0xcaa805ea,0xffffffff,0x1fcc00ff,
    0x9003ba00,0x8006c40b,0x4f8804f8,0x2e00f200,0x64400fdf,0x005f3003,
    0xfffb00b6,0x4ccc40ff,0x04fed801,0x40376f44,0x2005f56e,0xf701fcfb,
    0xbddd005f,0x09f9f300,0x99998ed8,0x801999df,0x0fcc004b,0x1f7017c0,
    0x98016e00,0x07e5b804,0x5b803970,0x0075007e,0xa980fcb7,0x96e02aaa,
    0x2abee01f,0x06f4c02f,0x01eaae40,0x3a00fb20,0x74c75c05,0x1eaaec02,
    0x13e20aa0,0x00599300,0x40bf1000,0xcb9800fb,0x0c98ea1b,0x088a9879,
    0x432614c6,0x04454c3c,0x21930a63,0x04454c3c,0x21930a63,0x04454c3c,
    0x4c000a63,0xa98a600a,0xa880a600,0x2ec00acb,0x02b32a20,0x029802a6,
    0x70013e20,0x1cc80123,0xfd700980,0x3ffea0bd,0x22fbdffe,0xfb8bf1fa,
    0x3f51f601,0x403f717e,0x5f8fd47d,0x8fb00fdc,0xfb8bf1fa,0x3261f601,
    0xf70e9bee,0x3f73ec03,0xffa83ec0,0xb00effef,0x3bffe60d,0x0fdc2fff,
    0x10b90fb0,0xee88009f,0x81255001,0x0e9beed9,0xf307bfb5,0x43ffb83d,
    0xfb8350a8,0x1511f601,0x403f706a,0x1a85447d,0x8fb00fdc,0xfb8350a8,
    0xff11f601,0x2e3fdf99,0xfb9f601f,0x3ee1f601,0x03bee21e,0x0bbe21b2,
    0x0fdc5fd3,0x10db0fb0,0xff98009f,0x075b1003,0x3bf73fe6,0x2203ee1f,
    0x0bff106f,0x6c03f700,0x01fb8007,0x3ee001f6,0x2001f601,0xd1f601fb,
    0xb8ffc41f,0xfb9f601f,0xdf11f601,0x3dc2fd40,0x6e803fa2,0x87d807ee,
    0x004f886d,0x10036f64,0xf307e403,0x5c07dc3f,0xfdce881f,0x21d50b91,
    0xc9f601fb,0x3f70ea85,0x50b93ec0,0xd807ee1d,0x43aa1727,0x89f601fb,
    0xf71fd85f,0x3f73ec03,0x07f23ec0,0x1f981f90,0x17500bea,0x87d807ee,
    0x004f886d,0x200fd67c,0xe84efec9,0x3ee1fd85,0x2bb07d80,0xf70db3fb,
    0x7d807ee1,0x5c3ee1b6,0x6d9f601f,0x03f70fb8,0xf70db3ec,0x7d807ee1,
    0x47ee0fe6,0xb9f601fb,0xfb1f601f,0xf705f500,0x70003f27,0x6c3ec03f,
    0x2004f886,0x204f8afa,0x5febbefa,0x87ee0be6,0xd86f80fb,0x436d3e66,
    0x403f70fb,0x3ee1b67d,0x3ec03f70,0x2e1f70db,0x6d9f601f,0x03f70fb8,
    0x707f33ec,0xd807ee3f,0x7d807ee7,0x27cc037c,0x007eafd4,0x1f601fb8,
    0x013e21b6,0x403f67d8,0xf33f40fe,0x7dc3f707,0x3b22fc40,0x436d3e20,
    0x403f70fb,0x3ee1b67d,0x3ec03f70,0x2e1f70db,0x6d9f601f,0x03f70fb8,
    0x3617e3ec,0x6c03f71f,0x7d807ee7,0x2fc402fc,0x986f8fe2,0xf72eeeee,
    0x36c3ec03,0xf88027c4,0x0440fea4,0xb0bf07e4,0x7c0fd43f,0x7f303ee6,
    0x5c3ee1b6,0x6d9f601f,0x03f70fb8,0xf70db3ec,0x7d807ee1,0x5c3ee1b6,
    0xf91f601f,0xfb8ffc41,0x1fb9f601,0x00dd1f60,0x6c7b87f3,0x77774c0f,
    0x6c03f73f,0x4f886d87,0x6f83f700,0x3ffb2e20,0xf883f20f,0xd0b7ea1f,
    0xf703f51f,0x43f21b63,0xd9ba02fa,0x5f50fc86,0x90db3740,0xe80bea1f,
    0x43f21b66,0x31ba02fa,0x3fff99ff,0x26e80bea,0x91ba02fa,0x41fa801f,
    0x200fdc6c,0x405f53f9,0xf886d86e,0x999fd004,0xff503fd9,0x4c1f959b,
    0x1fffccff,0xbf51ff62,0x6d9fa05f,0x07f10fd8,0xfb0db2fc,0x5f80fe21,
    0x443f61b6,0x6d97e03f,0x07f10fd8,0x67ecc2fc,0x07f10fb9,0x407f12fc,
    0x2027d45f,0x7cc6d87e,0xf89fcc05,0x1b617e03,0xffff3000,0xf88bffff,
    0x6cc0fc86,0x000fb9df,0x17e413fa,0x07f441fb,0x47f701ff,0x83fa20fd,
    0x23fb80ff,0x83fa20fd,0x23fb80ff,0x83fa20fd,0x43fb80ff,0x7fc1f900,
    0x7fc3fb80,0xfd83fb80,0xdb05f902,0x3620bf90,0x2e03fe3f,0xe886d83f,
    0xd00fc803,0x221fcc1f,0x3e4020fe,0x3fe20754,0x2febabdf,0x77556fd4,
    0x2b3fe60f,0x6fd45fdb,0x260feeaa,0x5fdbacff,0x77556fd4,0x2b3fe60f,
    0x6fd45fdb,0x260feeaa,0x5fdbacff,0x237c45d8,0xfdbacff9,0xbacff985,
    0x37f605fd,0xd03febab,0x2f7bf20b,0x260dffdb,0x5fdbacff,0x09f30bd0,
    0x1fd40bf0,0x3faa2bfa,0xdd11761f,0x94e83f50,0x205bffff,0x0facfffc,
    0x677ffed4,0xacfffc80,0x7ffed40f,0xfffc80ce,0x7ed40fac,0xfc80ceff,
    0x540facff,0x80cefffd,0x1fecbdfa,0xcefffda8,0xdfffb500,0xffdb8019,
    0x3fd982df,0x3fffb6a0,0xfffb501d,0x3fca819d,0x2fa80750,0xfb31be20,
    0x547f37ff,0x80fecbdf,0x00881878,0x01100060,0x01100060,0x01100060,
    0x01100060,0x019dd950,0x08800110,0xfc801000,0x00022004,0x81f64011,
    0x07ec00e8,0x02207f20,0x073bb260,0x00000154,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00800000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xba800000,0xc8000acc,0x50002984,0x934b807d,0x0b326003,
    0xc9803e98,0x41541803,0xaaaaaaa9,0x14c19101,0x03320370,0x1003d900,
    0x36200377,0x31554c2e,0x4014c015,0xec8000aa,0x3a602eb8,0xfffb8004,
    0x003fffdd,0x00db07f5,0x5f601ba0,0xff8802fa,0x003b605e,0x1f009ff1,
    0x7ffdc34c,0x40dfffff,0x4c1b60f9,0x00bdf906,0x7e401fcc,0xfd806fee,
    0x9fff21fc,0x01f601fb,0x98007ff3,0xf700bf3f,0x2ffa2003,0x803fb981,
    0x000db04e,0x255001b3,0x1fb800a8,0x5c00f440,0xd859801f,0x6540fdc3,
    0x5307cc5f,0x2fea0b60,0x097004f9,0x17d49f10,0x21765d30,0xd807ee7c,
    0x036f6407,0x006d52e0,0x3fd003c8,0x0007f500,0x2a20036c,0x00001acc,
    0x00a987d8,0x401ee0a6,0x2e0f983c,0xf31fa01f,0x000f5001,0x0565d440,
    0x02c85f30,0xb9f202a8,0xf01f601f,0xa9803f59,0x0a98a600,0x8bee0a60,
    0x2a954eda,0x2e03ae0f,0xbdb3db0e,0x3fffea05,0x4075c4ff,0xffec80eb,
    0xd807ee3e,0x36e07c87,0x5c9d03ff,0x983f601f,0x13a1720f,0x01d701d7,
    0xdffdfff5,0x0007fa01,0x2e7c81fa,0xa81f601f,0x5c04f8af,0xfb9f601f,
    0x7f11f601,0x76f5efdc,0x83f98fe5,0x2fbff65e,0x4f7c42fe,0x7cc7f930,
    0xf9705e83,0x00fdc59d,0x360f90fb,0xc84ffbcf,0x7c407ee7,0x8db07cc5,
    0x41fcc1f9,0x21efb85e,0xfb80efb8,0x03f4003f,0xb00fdcf9,0x1fb3ec0f,
    0xfb00fdc0,0x8fb00fdc,0xf87f50f9,0x8dd1723f,0xb13f62f9,0x440fdc1f,
    0x3e63746f,0x2e0fe602,0x361f601f,0xb972fb86,0xf70fa81f,0xffb9999b,
    0x1b60f983,0x98dd01f5,0x5037c42f,0xfdaec8bf,0x40fd001e,0xd807ee7c,
    0x7d49f107,0xd807ee03,0x7d807ee7,0xf90dd35c,0x87ee35c5,0x2a0fec7c,
    0x4c0bee2f,0x0f90fdc2,0x1fb81fa8,0x09f11f60,0x40c56cfb,0xffff71f9,
    0x32205dff,0x20f91b60,0x321f21fb,0x887e401f,0x00ffea2f,0x2e7c81fa,
    0x5c1f601f,0xf7037c1f,0x3f73ec03,0x45363ec0,0x320fb83f,0x89f27c45,
    0x264f887d,0xf8800bff,0x1f7013e4,0x3ec03f70,0x4bd01bf5,0xfb9fcc07,
    0x800bf621,0xf8836c6d,0x01f613e4,0x21fc4bea,0x3f401fe8,0x00fdcf90,
    0x333fa0fb,0xf701fecc,0x3f73ec03,0x54fa3ec0,0x2746d81f,0x6c1fabec,
    0x7cc4f886,0x3601ceff,0x7d803f57,0x3ec03f70,0x557e07f7,0xfb9fc405,
    0xb001fe81,0x5f606d8d,0x806f81fa,0x30bfa4f9,0x207e807f,0xe80bea7c,
    0xfffff986,0x3f705fff,0x03f73ec0,0x7d53a3ec,0x1f72fc42,0xb0d93f50,
    0x502fa81f,0x501dfffb,0xbd00d93f,0x7d807ee0,0xcb6c1fcc,0x1fa81713,
    0x1ff103f7,0x91b60a88,0x364fd40f,0x5f8805f8,0x7c433fa2,0xf903f401,
    0x0df01fcc,0x03fa01f9,0x27d807ee,0x91f601fb,0x7fb13e2d,0xfcf80fe6,
    0x7e42fd83,0x07fc9800,0x9f007f9f,0x7d807ee0,0xe9fb85d8,0x0fb81f90,
    0x17ee03f7,0x2a36c1f3,0x0ff3e00f,0x1fcc0374,0x02f57fe4,0xf8f903f4,
    0xf83fb80f,0x2e0fea05,0xfb9f601f,0x1f51f601,0x3fbaf7f2,0x7e404fde,
    0x9cffd80f,0x700d43fd,0x01ff905f,0x5f502f98,0x43643740,0x3fb9ffe8,
    0x807ee6c8,0xd83e62fe,0xf9017cc6,0x003f201f,0x3fa603f5,0x640fd006,
    0x5d67fdc7,0x02fa85fd,0x0bea1be2,0x80bea6e8,0xf91fc46e,0x25bfd15d,
    0x06f98098,0x07dff7db,0x41fcc0dd,0x1fa806f9,0x2fc07f10,0xffe883e4,
    0x7dcbd03e,0x4c3fe601,0x0fe1b60f,0x3ea06f98,0x6c03f404,0xdd07e63f,
    0x7f543e40,0xfd80beff,0x220fe400,0xf897e03f,0x3ea17e03,0x41ba6004,
    0x04db02f8,0x3f207f90,0xb802f880,0x203fe00f,0x207b83fb,0x07e600be,
    0x7cc01750,0x81f207a0,0x17ec02f8,0x05cc2fc8,0x224f89ba,0x881f204f,
    0x7900001f,0x3ee03fe0,0x7dc07fc3,0x801bf903,0x0f900efa,0xfe88036c,
    0x04febace,0x01ba00f9,0xfb759ff3,0x2203ee0b,0x9805d807,0x41f300fe,
    0x902f880f,0x2f7f600f,0xf983feba,0x33f62f43,0x1f202feb,0x200001f0,
    0x59ff303d,0xff30bfb7,0x80bfb759,0xcbcdffea,0xfbb03ffe,0x20036c07,
    0x82efffec,0x32603fdd,0xfda803fc,0xf300ceff,0x4405a85b,0x7e54400f,
    0x6f41f301,0x37635c4a,0x3f6e003f,0x3f602dff,0x6442febd,0xd9503eff,
    0x04ade80f,0x065fdc00,0x33bfff6a,0xdfffb500,0x372a0019,0x200bcefe,
    0x02e403ed,0x3ed80300,0x0067f540,0x75c00220,0x13201546,0x980b7aa0,
    0x20f7660f,0x000fb62e,0xdb510008,0x5c00805b,0x6ecc06ee,0x6dc40002,
    0x20004403,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07930000,0x90037600,0x554c0e43,
    0x22006642,0x255001ed,0x01320048,0x009b2e98,0x90004426,0x2005d53d,
    0x4400b10d,0x2aa602a1,0x0aaaaaaa,0x03e88eb8,0x2aaaaaa2,0xacca880a,
    0x00bb6001,0x5101ed88,0x5480c883,0x02fa8003,0xb06dbfa8,0x2f7e4dff,
    0x003b7b60,0x00bdfddb,0xf90007fc,0x7f3001f9,0xa7c401ba,0x33b2005e,
    0xfff3004e,0xfff701fb,0x03ffffff,0xfc81bbba,0x0fffffff,0x7fffffd4,
    0x1fcfc804,0x01f9fb00,0x80f989f1,0x64000cac,0x02ee6004,0x26bea3ec,
    0xb13d503f,0x0530c809,0xd8002a80,0x25d3001e,0x26b5005c,0x0dcc000d,
    0x0b2a7700,0x4cccd7dc,0x37a20199,0x5ffff300,0xef883db3,0x407f9309,
    0x500bb2e9,0x3e21365d,0x054c7cc4,0x26014c35,0x015302cb,0x000fb14c,
    0x5302cb98,0x26014c01,0x2e6002cb,0x9751002c,0x2ea20015,0x751000ac,
    0x2a200159,0x3f700acb,0x59951000,0x3ffff903,0x207ee1b6,0x2ea206f8,
    0xca8800ac,0x44f881ac,0x201fb8f9,0xdfff507d,0x01fb89ff,0xb907d9f6,
    0x7f7ffd40,0xb00fdc4f,0x3bffea0f,0x3fea04ff,0x2a04ffef,0x0effefff,
    0x3fbffea0,0x3fea00ef,0x200effef,0xeffefffa,0x2000fdc0,0x4ffffffa,
    0xd8fffff4,0x5302fb86,0x3fbffea0,0xfff500ef,0x4f889fff,0x00fdc7cc,
    0x15bf30fb,0x1fb8ff26,0xb07d9f60,0x42b7e60d,0x07ee3fc9,0xadf987d8,
    0xf307f930,0x0ff2615b,0xfb887bee,0x21efb80e,0xfb80efb8,0x03bee21e,
    0xfb887bee,0x8007ee0e,0xf9309ef8,0x8ffffe47,0x0bff986d,0x443df700,
    0x77c40efb,0x447f9309,0x7dc7cc4f,0xdf11f601,0x7dc3fa01,0x07d9f601,
    0x01df10db,0x00fdc3fa,0x00ef88fb,0x077c41fd,0x1be20fe8,0x37c45fa8,
    0x6f88bf50,0xdf117ea0,0xdf72fd40,0x89dddddd,0x26f881fb,0xdb1ffff9,
    0x33bffe60,0x540df101,0x440fdc5f,0xf313e26f,0x3ec03f71,0x0b9807ee,
    0xb3ec03f7,0x3ee1b60f,0x7dc2e601,0x3f71f601,0x3f705cc0,0x3f905cc0,
    0x3f20fc80,0xf907e401,0x320fc803,0xb87e401f,0xeeeeeeef,0x29817dc4,
    0x6d8ffe4c,0x77ffed40,0x3200fe40,0x4c0bee0f,0x1f313e22,0x23ec03f7,
    0x0fdc007d,0xd83ecfb0,0x5c007d86,0xfb1f601f,0x000fb000,0x45f500fb,
    0x22fa807d,0x22fa807d,0x72fa807d,0x7fcc003f,0x47e6000b,0x3f26006d,
    0x7d403ec7,0x002ffe62,0xb8f989f1,0xdd1f601f,0x201fb800,0x36c1f67d,
    0x3ee00374,0x0dd1f601,0xf000dd00,0x7c9f300d,0x3e4f9806,0x3e4f9806,
    0xf74f9806,0xfff98003,0x8fcc01ce,0x2e01a86d,0x2601be2f,0x77ffcc4f,
    0x4c4f881c,0x3601fb8f,0x2e0037c7,0x7d9f601f,0x00df0db0,0x1f601fb8,
    0x0df000df,0xf100bf00,0x7c402fcb,0x3e2017e5,0x3e2017e5,0x20003f75,
    0x00efffda,0x3a1b63f3,0x5f8fe606,0xb505f880,0x7c41dfff,0x0fdc7cc4,
    0x007e8fb0,0x4fb00fdc,0xfd0db07d,0x201fb800,0x4003f47d,0x06e8007e,
    0x01ba3f98,0x806e8fe6,0x201ba3f9,0x003f73f9,0x20ff9300,0xf90db1f9,
    0x6e83f207,0x9803f980,0x313e27fc,0x7405f51f,0x91007e46,0x6e80bea3,
    0x6436c1f6,0x5472200f,0xf91ba02f,0xf90e4401,0xf90e4401,0x321fa801,
    0x90fd400f,0x21fa801f,0x8fd400fc,0xcccccdfb,0xb806a2cc,0xdb1f982f,
    0x759dfd10,0x00fc89fd,0x40350fd4,0x989f12fb,0x3e03f88f,0xf901fd45,
    0x5f80fe25,0x5436c1f6,0x44bf203f,0xf517e03f,0xf517e407,0xf517e407,
    0x7d47e809,0x3ea3f404,0x3ea3f404,0xff73f404,0x7fffffff,0x07f30374,
    0xc81b63f3,0xa82efffe,0x3a3f404f,0x7c4fe606,0x0ff87cc4,0x2fd83fb8,
    0x07fc5f98,0x20fb1fdc,0x305fb06d,0xb80ff8bf,0x982fd83f,0x982fd85f,
    0x902fd85f,0x205fb05f,0x02fd82fc,0x05fb05f9,0x1a600bf2,0x0fc81fe4,
    0x00db1f98,0x05fb00b9,0x07f90bf2,0x4c34c3f2,0x759ff30f,0x3fa20bfb,
    0x40ffdbbd,0xfdbacff9,0x04e83ec5,0xfb77bfd1,0xacff981f,0xfd105fdb,
    0x01ffb77b,0xfb77bfd1,0x2f7f601f,0x3603feba,0x3febabdf,0x2eaf7f60,
    0x37f603fe,0x003febab,0x3bfa20b7,0x304febac,0x2a01b63f,0xbdfd806d,
    0xe883feba,0x4febacef,0xa83e616a,0x00cefffd,0x2fbff6e2,0xdfffb500,
    0x53cfd819,0x6dc407f9,0xb500beff,0x4019dfff,0x0beffdb8,0x3bff6e20,
    0x7fedc00b,0xfdb802df,0xdb802dff,0xb802dfff,0x002dfffd,0x320aefe6,
    0x202efffe,0xa80db1f9,0xfb7006eb,0xec805bff,0x7cc2efff,0x201f32bb,
    0x00100008,0x3bb20088,0x40017d95,0x00044000,0x00100008,0x00800020,
    0x08000200,0x077ae000,0x43a60030,0x05ee404c,0x18000400,0xf98e75c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2600f5c0,0x54c00002,0x15114c00,0x154402a6,
    0x01599510,0x100d4550,0x00001445,0x15300cc0,0x015414c0,0x8000b2e6,
    0x188000dd,0xdddb002a,0x0baa00bd,0x07ae9b10,0x440f5d72,0x80dd101a,
    0x1fe8006d,0x36c00fc8,0x203f23f5,0xff981ff9,0x402fffef,0x200fcbf9,
    0x403d9af8,0x02fffffa,0x6fc81fe0,0x41b61f20,0x4ffefffa,0x0017d400,
    0x03ef7fd4,0x01555554,0x9f500fb0,0x3f7e207f,0x4409f503,0x001b601d,
    0x03f207fa,0xc8544530,0x40ffcc0f,0x7f4c2ef8,0x00de4c02,0x4401f6d4,
    0x000aaaaa,0x4ffc817a,0x30db0f90,0x3f2615bf,0x00132003,0x301ca95c,
    0x4014c015,0x4eb802d8,0xd3027540,0x15975107,0x00001b60,0xc80001f9,
    0x207fe60f,0x1ba00fe8,0x00acca88,0x65d44000,0x9951000a,0x3fdf9015,
    0x88db0f90,0x01fd00ef,0xaaaaaa98,0x5401aaaa,0x807ee00a,0x00aa807d,
    0x054c1a88,0x20d44530,0xeffefffa,0x0faa36c0,0x3a6fbb26,0x5c801f90,
    0x987e47a6,0x05f501ff,0x7fcc0ba8,0x302fffef,0x01d37dd9,0xdffdfff5,
    0x3bffe601,0x4fe42fff,0x6d87c86f,0x17300fdc,0xffffff80,0x203fffff,
    0x3ee03ff9,0xf301f601,0x87f3007f,0x99f206fc,0x887bee3f,0xa9b60efb,
    0xccff884f,0x01f91fef,0x647ea6d8,0x201ff98f,0xf88000fc,0x217f4c2e,
    0xfefccff8,0x710f7dc1,0x2ef881df,0x1f917f4c,0xd87c89f7,0x40003ec6,
    0x99ef9bfb,0x32009999,0x07ee06de,0x6f6407d8,0x643f9806,0x4cf904ff,
    0x540df13f,0x27d5b65f,0x3fe20fe8,0x6d801f91,0x7d7e47ea,0x01fa00ef,
    0xe803fa20,0xff107f46,0xf5037c43,0xd007f44b,0x1fe87e4d,0xdd1b61f2,
    0x7cfd0000,0xf59f0005,0xd807ee03,0x0fd67c07,0xdf90fe60,0x7ccf903f,
    0xfc803f93,0x209f5db0,0x91fd85f8,0x2a6d801f,0xf7dff91f,0x74c37c0b,
    0x5f52eeee,0xbf10ba80,0x0fe43fb0,0x17d43f20,0x87e42ea0,0x361f26f8,
    0x200037c6,0x0017e3fa,0x413e2bea,0x81f601fb,0x404f8afa,0x7cfe43f9,
    0x4fe67c86,0xb2fa807d,0x3e609fff,0x1f91fb83,0x47ea6d80,0x07fb0efc,
    0xddd303f6,0x003f27fd,0x3f707f30,0x97d403ec,0x7e4000fc,0x43e53ee0,
    0x0003f46d,0x000bf1fa,0x5c07ecfb,0xd81f601f,0xf9803f67,0x27dc7e43,
    0xdf3f99f2,0x3f69f300,0x3f981fcc,0x01f91fb8,0x647ea6d8,0x207fe21f,
    0x9fcc01fb,0x3f98007e,0x01be1fb8,0x003f53e6,0x27fa07e4,0x7e46d87c,
    0x2a072200,0x7777fc3f,0x49f106ee,0x01fb83fa,0x527c41f6,0x21fcc07f,
    0x643fd0fc,0x02fcfe67,0xd16dafc4,0xfb0bf01d,0xdb003f23,0x40fc8fd4,
    0x05f986f9,0x986f9fcc,0x3e2eeeee,0x17e1fd85,0x437d7e20,0x92eeeee9,
    0x7def881f,0x01fd46d8,0x81fd05f9,0x6eeeeeff,0x86f83f70,0x41f601fb,
    0x3037c1fb,0xf10fc87f,0x27f33e4d,0xb3f9806e,0x7e427d4d,0x7e47fe20,
    0x3f536c00,0x13f203f2,0x7ec417f2,0xee981fb3,0x83f23fee,0x01ba1ff8,
    0x207ecfe6,0x93feeee9,0x0fff701f,0x305fb0db,0x55bf50bf,0xe800bf55,
    0x1feccccf,0x0dd017d4,0x3b3333fa,0xc87f301f,0x3e53ee0f,0x003f27f3,
    0xfb1b63f5,0xfccff985,0x999f91ff,0xa9b67999,0x3a01f91f,0xbdefc82f,
    0xf70dffdb,0x263f9803,0x1fffccff,0x3f5003f2,0x7f3007ee,0x3ff403f2,
    0x6ff4436c,0xe80ffdbb,0x5fffffff,0x3fffe600,0x7c45ffff,0x3e617e03,
    0x5fffffff,0x0fc87f30,0xf33e4ff4,0xfd013ea7,0x03be236c,0x1f739fb3,
    0x3ffffff2,0x8fd4db5f,0x1ff300fc,0xbfffdb50,0x4c05f983,0x4e7ecc3f,
    0x013ea0fb,0x202fccfd,0x201f93f9,0x106d87f8,0x017dffb7,0x333339f3,
    0x07e400bf,0x07fc0fe8,0x07e41fdc,0x3f980fe8,0x3be207e4,0xfd8fe67d,
    0x2605f902,0x3f20101b,0xa8015700,0x002ae01f,0x5fc807d0,0x8047fb10,
    0x817ec0fc,0x82fe42fc,0x2ea03fd8,0x7c016400,0xf807ec02,0xa817e005,
    0x567fcc3f,0x0bf05fdb,0x1fcc1fd4,0x3fee03f2,0xbfb0fe67,0x407fd757,
    0x45d82fd8,0x17ee06f8,0x75401f70,0x01fdc006,0x36ef7bf2,0x11760dff,
    0x2f7f60df,0xf903feba,0xbffb77bd,0x007f4c01,0x7dc409f9,0x7c09f302,
    0x3cccccce,0x6f880bea,0xcefffda8,0x2202fa80,0x643f986f,0x4cffd00f,
    0xfffdb83f,0x3ee6202d,0xecbdfa82,0x0dd5301f,0xa981bb22,0x3ea6006d,
    0xffeda804,0xbdfa81df,0x36e01fec,0x5402dfff,0x01dfffed,0x980fe544,
    0xf73105ea,0xf803f607,0x5fffffff,0x3f9003f6,0x3f600440,0x260fe400,
    0x8807e43f,0x100fe67f,0x80f7a600,0x200ceeca,0x9d301ced,0x00e76401,
    0x000bde88,0x76540044,0x002000ce,0xd5000440,0x05eec05b,0x0003de98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbd500000,0x04e98001,
    0x9000f640,0x07d9001b,0x22062130,0x200f645d,0x053000dd,0x20098620,
    0x027444e9,0x5c800220,0x3a2003d5,0x1f64001e,0x01309880,0x2000fa60,
    0x221301eb,0xf100b261,0xf7000bd9,0x013e2003,0xfb803f98,0x53e202fb,
    0x225f507c,0x017d404f,0x00e7f5c4,0x813e27ee,0x007e40fd,0x20059930,
    0x2004fcf8,0x7000edee,0xf5005f7f,0x774017e5,0x027c4000,0xfe83eebf,
    0x174d7200,0xb801e400,0x4025c004,0x201b93d8,0x5c0d73e8,0x09900b74,
    0xfddbff30,0x74475403,0x5b03d103,0x0091b800,0xd7002f54,0xb1009b13,
    0xd3003727,0x3a201363,0x405a8001,0x7441d54d,0x0551029b,0x5554c2a2,
    0x30aaaaaa,0x5314c015,0x55555555,0x2aaaaa61,0x5530aaaa,0x15555555,
    0x21a88d44,0x055400aa,0x17e951fb,0x55002aa0,0x4400054c,0x2aa601ee,
    0x2aaaaaaa,0x2a00aa80,0xa855400a,0x9855400a,0x1aaaaaaa,0x2aaaaaa0,
    0x0d442aaa,0x3ea07ee0,0xf71fb81f,0xffffffff,0x7c81bf23,0x3fffffee,
    0xfff71fff,0x23ffffff,0xfffffffb,0x4cfe61ff,0x981be63f,0x54aafc5f,
    0x03ff9807,0x001f936c,0x6407ff30,0xffffffff,0x3fe600ff,0x981be603,
    0x981be65f,0x3fffee5f,0xe80dffff,0xffffffff,0x7441fcc5,0xfed83f9a,
    0x2bee7d83,0x21999999,0x4f904ffc,0x99999afb,0x266bee19,0x3ee19999,
    0x1999999a,0x43f99fcc,0x81fd03fc,0x6400956e,0x936c06de,0xbd90001f,
    0x4cccc40d,0x401999df,0x7e406dec,0xfc81fd03,0x7dc1fd03,0x885fca81,
    0xfd999999,0x7c41fcc3,0xdb7f0bf3,0x00fdcbf0,0xc81fefc8,0x5c007ee7,
    0x03f7001f,0x3f99fcc0,0x3f207f44,0x04acfc82,0x807eb3e0,0x0003f26d,
    0x4007eb3e,0x67c004f8,0x3fa201fa,0x74417e40,0x2e17e40f,0x801fa01f,
    0x83f985fb,0xf98fb3f8,0x8fe60fb9,0x3f9001fb,0x7dcf90df,0x003f7001,
    0xf98007ee,0xbf507f33,0xffb027cc,0xafa8017d,0xc9b604f8,0x57d4000f,
    0x9f1004f8,0x7c57d400,0xf32fd404,0xf32fd409,0x6c03f709,0x06fa800f,
    0x27f107f3,0x7cdee1fb,0x1fb83ee2,0x9f71f900,0x007ee7c8,0xfb800fdc,
    0x4cfe6001,0x3a5f903f,0x7fe4400e,0xfd9f602f,0x07e4db00,0x0fd9f600,
    0x2004f880,0x9003f67d,0x9003ba5f,0x2e03ba5f,0x00bf101f,0x3e601ff1,
    0x5f33f883,0x36c9f2f4,0x3bbbbbee,0x743f24ee,0xefb9f21f,0x24eeeeee,
    0xeeeeeefb,0x3bbbee4e,0x7cc4eeee,0x3a207f33,0x95001fcf,0x9f101fd5,
    0x26d81fd4,0x3e2000fc,0x2200fea4,0x49f1004f,0x7f4403fa,0xfe8801fc,
    0x9bf701fc,0x03ffb999,0x2601fe88,0x3e3f883f,0xf3ec5f14,0xeeeefb89,
    0x43f24eee,0xfb9f26f8,0x4eeeeeee,0x3bbbbbee,0x3bbee4ee,0x4c4eeeee,
    0x5407f33f,0x52a004ff,0x41fb83fa,0x7e4db06f,0xf07ee000,0x009f100d,
    0x00df07ee,0x54009ff5,0x3fee04ff,0x002effff,0x3f9807fb,0x55b23f88,
    0x3e63ea0f,0xc800fdc2,0x3e53ee0f,0x3ee003f7,0x003f7001,0x03f99fcc,
    0x4fa203ec,0xfd07f34a,0x03fd9999,0x0007e4db,0xfd9999fd,0x004f8803,
    0xfd9999fd,0x000fb003,0x21fb80fb,0xfb802fd8,0x883f9804,0x1b23ea3f,
    0xb81f75f1,0x81f9001f,0x3ee7c9fe,0x003f7001,0xf98007ee,0x7d807f33,
    0x32956f80,0x7fffcc0f,0x6d85ffff,0x7cc003f2,0x5fffffff,0x4c027c40,
    0xffffffff,0x8007d805,0x40fdc07d,0x1bea01fe,0x7c41fcc0,0x213ebe23,
    0x1fb86cce,0xf881f900,0x007ee7de,0xfb800fdc,0x4cfe6001,0x403ec03f,
    0x5fcdbefb,0x1fd00fc8,0x003f26d8,0x0fe807e4,0x32013e20,0x801fd00f,
    0x07d8007d,0x7fc40fdc,0x000ff880,0x87f107f3,0xeec81fde,0x9001fb83,
    0x4fff701f,0x3f7001fb,0x8007ee00,0x807f33f9,0xfff7007d,0x40bf017d,
    0xf936c3fa,0xa817e001,0x013e203f,0x03fa817e,0x3ec003ec,0x7dc07ee0,
    0x2001fe85,0x3f2003f9,0x703ff507,0x999999bf,0x7403f259,0x3337ee7f,
    0xf72ccccc,0x9999999b,0x33337ee5,0x3e62cccc,0x7d807f33,0xf502dc00,
    0x3637c405,0x33333f26,0x80bea3cc,0x13e206f8,0x7c405f50,0x4003ec06,
    0x00fdc07d,0x677e45fd,0x44cccccc,0x41f4c3f9,0x41fe05fa,0xfffffffb,
    0x201f93ff,0x3ffee7f8,0x73ffffff,0xffffffff,0x3fffee7f,0x263fffff,
    0xd807f33f,0xb0254007,0x21fc801f,0x3ffff26d,0x03f65fff,0x3e203f90,
    0x2007ec04,0x01f601fc,0x3f701f60,0xfc87fcc0,0xffffffff,0x3e61fcc7,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb9002a80,0xd8005d51,0x01705c05,0x013627aa,
    0x005d31d7,0x7302884c,0x09d706e3,0x202c4362,0x6c400de9,0x4c71001e,
    0x6c4f5403,0x3729b103,0x80351000,0x03fffff9,0x83777764,0x02eeeee9,
    0x4002b2e6,0x3fc403c8,0x04fdf880,0x2e00fdc0,0x77406bad,0x6f4400ed,
    0x3ff2005e,0xfdf985de,0x3efea0ff,0x09d9d903,0x202f6fc4,0xd000edee,
    0xdb005d79,0x67d401db,0x13ea002f,0x35555510,0x4cccca80,0x39999910,
    0xffdfff50,0x01fc801b,0xd5002f44,0x007b000b,0xb100736e,0x37a6003d,
    0x2e276000,0x82a1980c,0x203d74d8,0x46e401b9,0x13d702e9,0x32e2009b,
    0x03db1001,0x98007d90,0x5555303e,0x80155555,0x1a8800aa,0x5c43df50,
    0x40be205f,0xaaaaaaaa,0x5555542a,0xa802aaaa,0x01a8800a,0x54c01550,
    0x01aaaaaa,0x414c0153,0x835101a8,0xaaaaaaa9,0x300530aa,0x4014c015,
    0x2aa600aa,0x0aaaaaaa,0x15555553,0x2aaaaa60,0xff70aaaa,0x3fffffff,
    0x401ffcc0,0x05f983f9,0x740017ee,0xffffffff,0x7fffff45,0x7cc05fff,
    0x03f9803f,0x2e03ff98,0xffffffff,0x9037e40d,0x2607f30f,0x7fffdc3f,
    0xdb1fffff,0x6c03f700,0x01ffcc07,0xfffffff7,0x3fff23ff,0x5c1dffff,
    0xffffffff,0x3335f71f,0xec803333,0x83f9806d,0x07ec01fc,0x220fbfae,
    0xfd999999,0x4ccccc43,0x76403fd9,0x03f9806d,0x2e06dec8,0x45fca81f,
    0x0f904ffc,0x0fe607f3,0x333335f7,0x5c036c33,0x901f601f,0x57dc0dbd,
    0x21999999,0xca999afc,0x26bee0ff,0x2e199999,0x33e0001f,0x1fcc01fa,
    0x0fdc036c,0x0bf959fb,0xb8017ee0,0xfacf805f,0x401fcc01,0xf701facf,
    0x3f23f403,0x987c81fe,0xb87f303f,0x00db001f,0x03ec03f7,0x5c07eb3e,
    0x03f9001f,0x01fb97ee,0x20003f70,0x404f8afa,0x805f83f9,0xd913e3f9,
    0x006fa801,0x3ea01bea,0x7cc04f8a,0x7c57d403,0x6c03f704,0x1be7f20f,
    0x40fe61f2,0x00fdc3f9,0x3eed8ed8,0x0fb00fdc,0x827c57d4,0x3f9001fb,
    0x1fb87f40,0x0003f700,0x200fd9f6,0x02fc43f9,0x03df27cc,0x000ff880,
    0xfb001ff1,0x7f3007ec,0x03f67d80,0x2fc407ee,0x913ee3f2,0x2607f30f,
    0x800fdc3f,0x4febdffd,0x07d807ee,0xb80fd9f6,0x03f9001f,0x01fb8fe4,
    0xdddddf70,0x93e209dd,0x0fe603fa,0x8fea01be,0x402dfffa,0xd1001fe8,
    0x49f1003f,0x0fe603fa,0x0fea4f88,0x333337ee,0x87e41ffd,0x261f21fe,
    0xb87f303f,0xeeeeeeef,0x4fd0ff64,0xfffffffb,0x49f107ff,0xeefb83fa,
    0x324eeeee,0x5cfea01f,0xeeeeeeef,0x3bbbbee4,0x3f704eee,0x0fe606f8,
    0x07ee01f6,0x01dffb71,0xfd800ff6,0xf83f7003,0xb80fe606,0x7dc37c1f,
    0x02efffff,0xc9be21f9,0xf303f987,0xeeeefb87,0x03f64eee,0x337ee1f9,
    0x07eccccc,0xb86f83f7,0xeeeeeeef,0xfa807f24,0xdddddf73,0x00fdc9dd,
    0x66667f40,0x07f301fe,0xf12987f7,0x1fe4401f,0xf70027dc,0x667f4009,
    0xf301fecc,0x6667f407,0x0fdc1fec,0x3f205fb1,0x43e53ee0,0x87f303f9,
    0x0fb001fb,0x807ee1f7,0x999fd07d,0x1fb83fd9,0x5c03f900,0x2003f72f,
    0x7cc001fb,0x5fffffff,0x3f607f30,0x8bf7bee1,0x21fc43f9,0x3ea006fa,
    0x3ffe6006,0x305fffff,0x3ffe607f,0x5c5fffff,0xc81fe81f,0x3e4ff40f,
    0x3f981fcc,0x6d800fdc,0x03f70fb8,0x7ffcc3ec,0x5c5fffff,0x03f9001f,
    0x01fb8fe4,0xc8003f70,0x301fd00f,0x37fa207f,0xc86ffcab,0x21fda9bf,
    0xf1000ff8,0x07e4001f,0x3f980fe8,0x3fa01f90,0x3e207ee0,0x2207e40f,
    0x3f987def,0x1fb87f30,0x1f70db00,0x87d807ee,0x41fd00fc,0x3f9001fb,
    0x1fb9be20,0x8003f700,0x20fea05f,0x36e203f9,0x2febceff,0x07bffb22,
    0x7f4003fd,0x502fc001,0x207f307f,0xb8fea05f,0xc8bf701f,0x87ffb80f,
    0x87f303f9,0x0db001fb,0x807ee1f7,0x2a05f87d,0x4007ee3f,0x3fd881fc,
    0x7dc007ee,0xcccccccd,0xf880bea2,0x2003f986,0x01104b80,0x99999df9,
    0x677e4999,0x44cccccc,0x1be202fa,0x0bea0fe6,0x07ee6f88,0x03f22fe8,
    0x1fcc3ff4,0x6fdc3f98,0x2ccccccc,0x2e1f70db,0xf51f601f,0xf737c405,
    0x9999999b,0x33337f25,0x6fdc4ffd,0x2ccccccc,0xfffffff7,0x007ec7ff,
    0x07f307f2,0xf9000000,0xffffffff,0x7ffffe4f,0x7ec7ffff,0x260fe400,
    0x400fd83f,0x403f71fc,0x01f90ff9,0x0fe61fe2,0x3fee1fcc,0x3fffffff,
    0x2e1f70db,0xfb1f601f,0xf71fc801,0xffffffff,0x3fffff27,0xfffb82de,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0xa815401a,0x0a82201c,0x14406640,
    0x8e4c0051,0x1445104b,0x26379730,0x82aaaaaa,0x0006e03b,0x32ea1530,
    0x2679100b,0x0079101c,0x29800332,0x0f22b260,0x80d454c0,0xca800bb8,
    0x23930790,0x3e60004b,0x7cc37c03,0xeff980fe,0x0fea00fc,0x984d9bf8,
    0x05f5fb06,0xc826cdfc,0xfdaffeff,0x266fffff,0x7cc0fddf,0xb83fc800,
    0xffeffcaf,0x0bf5f704,0x2a01ff74,0xdaa9803f,0xb8fd80bf,0xf3f7001f,
    0x3ffdf909,0x1fbde880,0x805f5dd0,0x03f982fd,0x757e237c,0x2da8bb86,
    0x36602f40,0x107c80be,0xed9809ff,0x30dfc80b,0x3333fffb,0x85d35c13,
    0x07f9003d,0x6c43bff7,0x40dfb02f,0x202fb9fc,0xddd9004e,0xf2f885df,
    0x5c7dc009,0x09f1fc43,0x4405ff30,0x2fd804ff,0x37c03f98,0x00000000,
    0x0003e400,0x4077c400,0x24e807fc,0x0003ea5c,0x7c03bee0,0x00000007,
    0x007dc002,0x6c7dc000,0x0dd0fd41,0x00000000,0x8df00fe6,0x641bedb8,
    0x5c40ea85,0x42e41bed,0x7dffb0ea,0x00eff644,0xfa85bdb5,0xb00ff302,
    0x007d26c9,0xb83bfd91,0x703f204f,0x3ae07dfd,0xdd7103ef,0xbd930f59,
    0x36a01f75,0xbd9302de,0xf1051f75,0x7100fead,0x85c837db,0x76dc40ea,
    0x201fcc1b,0x2f7fa26f,0x2e1b60fe,0x2f7fa20f,0x2e1b60fe,0x259fd70f,
    0x3ffbdfe8,0x7fdeffc4,0x7f807f23,0x54be6a80,0x6ff4400f,0x0fee3ffb,
    0x33f62fa8,0x67ec5fca,0x7fdc5fca,0x7c42ffdb,0x40fefdcf,0x3ffbdff8,
    0x7fee7fc4,0x3fbee00f,0x5eff4404,0x2e1b60fe,0x2f7fa20f,0x00fe60fe,
    0xf10fecdf,0x07dc36cb,0xb2fc43fb,0x3e41f70d,0x41fb07f6,0xd8fec1fd,
    0x3bbfa00f,0x3f622eee,0x3600fa5f,0xfb87ec1f,0x4f8fe602,0xc89f0764,
    0xfe8bf30e,0xff307f45,0x7ec1fd81,0xff983f61,0x013fea00,0x25f887f6,
    0x360fb86d,0xf997e21f,0x0df37c03,0x7dc36c33,0xd8661be0,0x1f20fb86,
    0x227f30bf,0xfb3fa85f,0xeeeefe80,0x9ea0982e,0x985f81b8,0x4c03f73f,
    0xf007be4f,0x917e403d,0x42fc1f9b,0x217e20fe,0x3a17e3fa,0xfd9f900f,
    0x21be0223,0x3ee1b619,0x98661be0,0xf8b7c03f,0xfb86d804,0xdb009f10,
    0x3ffa1f70,0xeeeef9cf,0x07f34fee,0x803f29f1,0x4fa0007f,0x3e65ecfa,
    0x4feeeeee,0x1fd403f7,0x505bfff5,0xfd85bfff,0x23f51d50,0x20fc83f9,
    0x34f883f9,0x701f907f,0x3a3be67f,0x6c027c47,0x9f10fb86,0xf807f300,
    0xdb007f36,0x0fe61f90,0x43f21b60,0xef989fd8,0x52cccccc,0x329f105f,
    0x001fe01f,0x3e67d354,0x9999df30,0x807ee599,0x7edc42fb,0x7edc40ef,
    0x3e2fb0ef,0x0fe63f71,0x82fa83ee,0x707f34f8,0xfa8dd01f,0x01fcc4fe,
    0x987e436c,0x53f9803f,0xbf15f83f,0x6c36c750,0x750bf10f,0x907ec36c,
    0x4402fc4f,0xf33fa85f,0x001fea09,0x3e2f89f4,0xf700bf12,0x1007ec03,
    0x7e4407f9,0x6c7d3f93,0xfb0bf10f,0x7d42fc41,0x1fb0bf13,0xffc85f88,
    0x1d42fc40,0x221fb0db,0x3e63a85f,0x27cc7f13,0x7ecbd0fd,0x7e83fa20,
    0x883f65e8,0xfd1f20fe,0x1fa2fb81,0x41fe87f2,0xb8007fe8,0x745f17c6,
    0xfb97dc0f,0x7ccbf301,0x3f99fc43,0x5efa9fc4,0xf0fd1be2,0xfc87e81f,
    0x03fe1fa1,0x9ff703f6,0x6cbd0fd0,0xe83fa20f,0x8fe65e87,0x21febcfe,
    0x1fc9aef9,0x3baab7ea,0x26bbe60f,0x2b7ea1fc,0x3f20feea,0x737df31c,
    0x9befa8bf,0x6ffcc4fd,0xccfdefca,0x5f00cccc,0x4c1f34d8,0x25fb9bef,
    0x3ef2a1fb,0x54dfe42f,0x26ff21fd,0x33fa1fda,0x7cc1ffb9,0x40ffeaae,
    0x4fd9befa,0x7f5577cc,0xabffa80f,0x4c4fedfd,0x21fc9aef,0xfeeaadfa,
    0x326bbe60,0xc98fe61f,0xfe982eff,0xfffc82df,0x7f4c0fac,0xfffc82df,
    0x3fa20fac,0x33bffa65,0x4effea80,0x1bfffb10,0xfffffffb,0xbf50d703,
    0xdffd309f,0xfb0fdc19,0xfd9105df,0xfec883df,0x3b3e61ef,0xfd501cff,
    0xd501f7bf,0x3aa09dff,0x500fbdff,0x3a27ffff,0x2dffe985,0xfacfffc8,
    0x16fff4c0,0x02200200,0x00880060,0x22010018,0x40011000,0x01a80001,
    0x0011002a,0x00220010,0x008a6022,0x08800220,0x88001100,0x80088000,
    0x00022001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcc800000,0x32a32e01,
    0x00a22881,0x377300a6,0x01e4c000,0x20597510,0x4c01532c,0x89101532,
    0x3c864c1c,0x2e0032e0,0x0059501c,0x00d4c091,0x880f2393,0x0cb802a0,
    0x5c039500,0xa964400c,0x20c5500c,0x8824aa2a,0x5f40dd4f,0x90d884c9,
    0x3fffee0f,0xfd8004ff,0xdfff5000,0x53e21bff,0x5df601fb,0x3e66b81f,
    0x05f8fd40,0xf880bdf9,0x201ba205,0xffffa86a,0x17e5f504,0x03e6ffd4,
    0x3e00ddf7,0x4027cc06,0x2204fafc,0x9b60edee,0x2d903ac8,0x3b2600fa,
    0xd10fb80c,0x2215df10,0x3e6003fc,0x43df7002,0x5d326fb8,0x6cdf601f,
    0x21ea5c81,0xf50350a8,0x76409f17,0x2017c400,0x44efc44d,0x50a883fc,
    0x36e2b203,0x9f17f302,0xb800fb80,0x05fe800f,0x36c3ff54,0x00000062,
    0x21661f70,0x05f900fe,0x0df10000,0xf71ca7d4,0x20b3ec03,0x0001723e,
    0x80000000,0x3607e42f,0x00000007,0x00000000,0x3e276600,0x542e76c4,
    0x1d50b90e,0x44efec98,0x881cefeb,0x217e602b,0xb53deed9,0x05f905bf,
    0x3ee2dfc8,0x8f67f601,0xfeeefeec,0xd50b90ef,0x43aa1721,0xb90ea85c,
    0x87981d50,0xa81fa85e,0x36a02ded,0x3b6a02de,0x37b6a02d,0x0b7b6a02,
    0x0277f64c,0x6c3fb9b7,0xb0fb86de,0x7d41f70d,0x2a5febbe,0x40003cfd,
    0x5defd47e,0xfdbefefe,0x7d403ec4,0xfb00fdc4,0xcfdcb859,0xdb0cdfcc,
    0x21b61f70,0xf70db0fb,0x03ee1b61,0xf309f0b7,0x7deffc45,0x5effc43f,
    0x6ffc43ff,0x7fc43ffb,0x7c43ffbd,0x543ffbdf,0x45febbef,0x6ffdefe8,
    0x3ee1b7b6,0x41f70db0,0x2e3f40fe,0xdddd100f,0xffdddddd,0x27fc3741,
    0x806f8bea,0x00fdc5f9,0x266b80fb,0x7dc36c0f,0x21f70db0,0xdb0fb86d,
    0x43e81f70,0x23f983f8,0xb0fec1fd,0x361fd83f,0xfb0fec1f,0x3f61fd83,
    0x1fd0fec1,0x10fe47e8,0x1b7b61fd,0x5c36c3ee,0x3f20220f,0xff803ee0,
    0xeeeeeeee,0x3a0261fe,0x17e4f80f,0x3f717e20,0x97203ec0,0xfb86d87a,
    0x21f70db0,0xdb0fb86d,0x0fc41f70,0x4fe20fe2,0x13fa85f8,0x227f50bf,
    0xf13fa85f,0x3e27f50b,0x0223fa85,0x437c43f2,0x0dbdb2fb,0x2e1b61f7,
    0x7f65c40f,0x803ee0ff,0x40fc806e,0xefffeca8,0x3a6feeee,0x5c3f9806,
    0xd01f601f,0x436c2e47,0xf70db0fb,0x43ee1b61,0x2a0fb86d,0xf983f887,
    0x9f107f32,0x53e20fe6,0x34f883f9,0x269f107f,0x444f883f,0x30fffecb,
    0x367f309f,0xb0fc86de,0x7d41f90d,0x20fcacdf,0x01f600fb,0x9bff51fa,
    0x99999fd5,0x2007e499,0x017d41fa,0x3fffa0dd,0xb1ffffff,0x1b61f90d,
    0x6436c3f2,0x1f90db0f,0x984f8264,0xf105f51f,0x3e20bea9,0x9f105f54,
    0x53e20bea,0x24f882fa,0xfcacdffa,0x9f107f30,0x3f61b7b6,0x21fb0db0,
    0x20fc86f8,0x0fee00fb,0x37e24f98,0x54083f40,0x443f404f,0x5417e03f,
    0xacfbaafc,0x1fb0db0a,0x6c3f61b6,0x0db0fd86,0xe817c1fb,0xbf10fb85,
    0x17e27f50,0x42fc4fea,0x50bf13fa,0x2a17e27f,0xf90df13f,0x9fd42fc1,
    0x3a20fded,0x7441fb0f,0xe887f30f,0xf007ea0f,0x41fd103f,0x17fcc3f9,
    0x05fb13e6,0x07fc0bf2,0x4d701fdc,0x20fd80f9,0x41fb0fe8,0x41fb0fe8,
    0x41fb0fe8,0x01f30fe8,0xe8dd03ee,0x1fa1fc87,0xc87e87f2,0x3f21fa1f,
    0x47f21fa1,0x07f443f9,0x363fb0fb,0xeeaadfae,0xd55bf50f,0x457f41fd,
    0x3ea1ffea,0x33fe602c,0xe83ffbaa,0xfedeb8ae,0xfb06ea9b,0x07fd757b,
    0x6dd67fcc,0xf726c05f,0x3aab7ea0,0x55bf50fe,0x37ea1fdd,0xf50feeaa,
    0x21fdd55b,0x2ffe206b,0x77d41fea,0x7d44fd9b,0x544fd9be,0x44fd9bef,
    0x4fd9befa,0x7ecdf7d4,0x75457f44,0x2bbea1ff,0x65b64fd9,0x20facfff,
    0x0facfffc,0x26ffff66,0x01ff623f,0x3bffffb1,0x8fbff660,0x101cfffc,
    0x05bfffb7,0x9dfffb50,0x1723e801,0xfacfffc8,0x2b3fff20,0x33fff20f,
    0x3fff20fa,0x807b0fac,0x502effe8,0x2a09dffd,0xd504effe,0x3aa09dff,
    0xfd504eff,0xffb309df,0xe987f37f,0x236c3fff,0x22003001,0x11000000,
    0x03004400,0x44000100,0x08826000,0x00300180,0x1300c006,0x44002200,
    0x20011000,0x00110008,0x00220022,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15500000,
    0x03b8e540,0xc9814451,0x0cb80791,0x64039500,0x2ee6000c,0x99998801,
    0x80732019,0x440791c9,0x0cb802a0,0x54039500,0x0e5cc01c,0x00014c00,
    0x54c03773,0xa880a600,0x54000acb,0xffc81d92,0x2fba04ff,0x326fa01f,
    0x17e5f504,0xf006efb8,0x803fa80d,0x4feccefc,0x3fffff60,0xa8125507,
    0x3ea0bf2f,0x3ee07cdf,0x80df006e,0x3fee06f8,0x7dc007fd,0xfc803620,
    0xb84fecce,0x541f601f,0x0effefff,0x83f6fd00,0x07f70cf9,0x9300ffe2,
    0x42a2019d,0xf17f301a,0x800fb809,0x037600fb,0x56fc13a2,0x5b102aaa,
    0x1a854407,0x03b71590,0x013e2fe6,0x3f3001f7,0x1fcc9f30,0x7dc1f700,
    0xd101bb00,0x3601fb89,0x221efb87,0x7e800efb,0x5f87d831,0x00000000,
    0x00000000,0x8ddccbb0,0x01fc44e8,0x00000620,0x00000000,0x9f07ea00,
    0xf707dc00,0x5551bb01,0xfb93a213,0xdf11f601,0x7402fd40,0x44088317,
    0x5bdb505f,0x077fb220,0x80eff644,0x101dfec8,0x2203bfd9,0x34c1dfec,
    0x227d79f9,0x4007ea0f,0x304efec9,0x2609dfd9,0x9304efec,0x32609dfd,
    0xd9304efe,0x20fb89df,0xbd9301fa,0x3fae1f75,0x67c5a65e,0x21f11fec,
    0x91f601fb,0x00fc803f,0x4405bbf4,0x6ffc42fc,0x7f443ffb,0x7443ffbd,
    0x443ffbdf,0x43ffbdfe,0x3ffbdfe8,0x7fdeff44,0x107cd2e3,0x95f716c9,
    0x7df5017d,0xefa8bfd7,0x7d45febb,0x545febbe,0x45febbef,0x5febbefa,
    0x7f5df7d4,0x20bd1f25,0xfefdcff8,0x5c7bfb50,0xb26c1f14,0x7d807ee5,
    0x17d403ec,0xb035dfa0,0x83fb07ff,0xb07f61fd,0x360fec1f,0xfb07f60f,
    0x3f60fec1,0x1fb07f60,0x2e035cb6,0x3f77ff64,0x3a07f43f,0x1fa07f47,
    0x747e81fd,0x3fa3f40f,0x03fa3f40,0x5f33e4fd,0xff983fa0,0x25b03ee0,
    0x21fa99f8,0x6c03f74b,0x7cc037c7,0x06cbf404,0xf88bff2e,0x17e3fa85,
    0x985f8fe6,0x3e617e3f,0x8fe617e3,0x3d3f985f,0x64b50132,0x111fa20d,
    0x40441f90,0x320220fc,0x3f20220f,0x83f20220,0xf90fc808,0x2fc06fc4,
    0x81f707f4,0x5dfff11e,0x403f75a8,0x4402fc7d,0x7cbf405f,0x3e61fb00,
    0xdf34f883,0x29fddddd,0xeeeeeef9,0xddddf34f,0x3be69fdd,0x34feeeee,
    0xfddddddf,0x5c3ccf29,0x5f700790,0xfffecb88,0x7ff65c40,0x7f65c40f,
    0x765c40ff,0x65c40fff,0x5c40fffe,0xf90fffec,0x3e61efa8,0x3ee0fc83,
    0x88f89e40,0x1fb9e42e,0x00dd1f60,0xb7e807f3,0x54fea00f,0xf34f882f,
    0x5999999d,0x33333be6,0x99df32cc,0x3e659999,0x2cccccce,0x99999df3,
    0x8be96a59,0x2007a5c8,0x37fea4f8,0x3ea0fcac,0x20fcacdf,0xfcacdffa,
    0x2b37fea0,0x37fea0fc,0x3ea0fcac,0x90fcacdf,0x263ff30f,0x2e0fb83f,
    0x0f8ad40f,0xfa8f43f3,0x1f91ba02,0x7401fa80,0x41e41fb7,0x50bf12fa,
    0x2017e27f,0x5f8805f8,0x8805f880,0x32f8805f,0x1ea1bff9,0x225f5059,
    0xf10fc86f,0x3e21f90d,0xdf10fc86,0x1be21f90,0x437c43f2,0x220f90fc,
    0xfb0bf14f,0x3e207dc1,0x55b20f8a,0x5f80fe27,0x9fa027d4,0xfeb741f9,
    0x8fb03f60,0x3a1fc87e,0xfd17dc0f,0x3fa2fb81,0x1fd17dc0,0x03fa2fb8,
    0x217cc5f7,0x1fb07ea0,0x10fe67d8,0x10fe61fd,0x10fe61fd,0x10fe61fd,
    0x10fe61fd,0x10fe61fd,0x1c5f21fd,0xff87e97a,0x3e607ea0,0xff07ea02,
    0xfb07f701,0xf88bf205,0x07f53e24,0x7fb35bf3,0xfd9befa8,0x5cdf7cc4,
    0x4df7cc5f,0x5f7cc5fb,0x77cc5fb9,0x7cc5fb9b,0x985fb9be,0xfca88acf,
    0xdaadf981,0x5457f44f,0x2bfa1ffe,0x3a1ffea8,0x1ffea8af,0x3faa2bfa,
    0x2a2bfa1f,0x2bfa1ffe,0xf91ffea8,0x87f273ea,0xffeaaef9,0x260b7ea0,
    0xfca88acf,0xbacff981,0x37f605fd,0xd83febab,0xfd2febcf,0x2dffd981,
    0x09dffd50,0x033bffa6,0x033bffa6,0x033bffa6,0x033bffa6,0x033bffa6,
    0x5effedcc,0x3fff6a00,0xbfffd983,0x3ff663f9,0x3663f9bf,0x23f9bfff,
    0xf9bfffd9,0x2ffff663,0x3ff663f9,0x4f93f9bf,0xea83efeb,0x220fbdff,
    0xfb7307fd,0x6d4017bf,0x400cefff,0x02dfffdb,0x6c7dff91,0x2001100e,
    0x00110008,0x00440022,0x01100088,0x00200000,0x00440022,0x01100088,
    0x04400220,0x04400400,0x40000000,0x00100008,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65cc0000,0x2620ea1b,0x6654400a,0x1654401a,0x002cb980,0x05300153,
    0x02b80370,0xa839006e,0x2601b802,0x015c01bb,0x202b32a2,0x982a20a9,
    0x2a0a800a,0x0df6dc40,0x5302a2a6,0x80155555,0x0aaaaaa9,0x7dd91990,
    0xfefffa80,0x74c2fbdf,0xfa80efff,0x704fffff,0x205ffbff,0x4ffefffa,
    0x09fffd70,0x213fffae,0x3ea02fd8,0x202fd880,0xc806d85c,0x3f79f104,
    0x7cc03ea0,0x42fffeff,0xc8bee0fc,0xb9dc800f,0x75eff446,0x0fe7b60f,
    0xfffffff9,0x3fff203b,0x6c1dffff,0x04feceee,0xffb83df3,0xf9877c43,
    0x984f7c44,0x86fcc3fc,0xadf986e8,0xfb87f930,0xf887f71d,0xbf85f50d,
    0x203f102f,0x1f502fbf,0x0f500db0,0x441fc462,0x85df101f,0x83f22fe9,
    0x003f22d8,0xfb077b22,0x2db2fc43,0x4cd7e42c,0xc80ffc99,0xfc9999af,
    0xfd13f60f,0x3e20df10,0x2e07dc5f,0x2207ee0e,0x2a0fdc6f,0x403be21f,
    0x361fe0fe,0xdd03ee0f,0x02740be0,0x817c417c,0x01f8806d,0x827417e6,
    0x9ba00fe8,0xf906c0fc,0x0df00001,0x40db6c33,0x0bf501fc,0x97ea03f9,
    0x207e41fd,0xdce881fb,0x5c017e1f,0xfc85302f,0x201fb801,0x50bf10b9,
    0x3a0fdc3f,0x0d705f07,0x81360be0,0x82dfd9ed,0x13a6203e,0x017d40d7,
    0x507e42ea,0x1000fc89,0x804f885d,0x1fc818ed,0x3f903f60,0x87d87ec0,
    0xd83ec1fb,0x467c7f75,0x7ff302cb,0x005f7001,0x4f8800fb,0x37e62fa8,
    0x5f03fb89,0x5f001f98,0x3f600eb8,0x643febef,0x99723a85,0x003f201f,
    0xfc801f90,0x987f1000,0x206d803f,0x07ee01fc,0x8fdc03f9,0x7c1fb87d,
    0x53e66d86,0xefefecf8,0xcefff981,0xaadfc981,0xb000dd01,0xf887fb0f,
    0x8be03fff,0x8be003e8,0x27ec01f9,0x887983f6,0x7d12fdef,0xc8007e80,
    0x307e400f,0x887f105d,0x1b63a85f,0x1555fed4,0xbfda8fea,0xd9fd42aa,
    0x3e21fb87,0x9f107645,0x74c33fe6,0x3fff6a05,0x3ffff20e,0x000df03f,
    0xff913bf5,0x7e6fec49,0x2e41302f,0x3a0980dc,0xfd82b2a3,0x0be1fdc1,
    0x2e17214c,0x3ba61be1,0x01f92eee,0x0fea0fc8,0x21fa0fe2,0x7741b65e,
    0x7cc5eeef,0x3bbbfba3,0x87d9fcc5,0xf737c1fb,0xff33f981,0x93001f70,
    0xd00fb0ff,0x3fae000f,0x3f62f9ef,0x2a007ec0,0x401fe40f,0x9bb3b26c,
    0x6c4f886d,0xc81f5004,0xd303f63f,0x3f27fddd,0x3107e400,0xf307f101,
    0x6c3f935d,0xb807f206,0x700fe42f,0x3ee1f65f,0x0fd47f41,0x85f88fdc,
    0xb806a3f9,0x6403ec2f,0x4072200f,0x2fc3f31a,0x5f1017d4,0x4c03ffb8,
    0x87cc6a0f,0x5c4f886d,0x5c2f8806,0x007ee3ff,0x003f27f3,0x3e2001f9,
    0x5bffd303,0x07f206d8,0x0fe40fc8,0x21f61f90,0x7efd41fb,0x85f8fd02,
    0x981ba2fa,0x54027c3f,0x98bf203f,0x7f10fb80,0x26c07f30,0x880fa7ea,
    0x7d9b602f,0x07c43fa8,0xd3f51360,0x2602fcc7,0xc801f93f,0x07f1000f,
    0x40db03f8,0x0ff101fc,0x1fe203f9,0x3fa03ee0,0xfc85f904,0x7f907e41,
    0x0eb83f20,0xf305fb00,0x45e87c8b,0x700fc86c,0xbe9bf88d,0x3a20bb00,
    0xf90bf60d,0x35c07d03,0x82fa6fe2,0x7fb105fc,0x1f9003f2,0x500fe200,
    0x640db07f,0x82fd881f,0x2fd881fc,0xff887c80,0x2febabdf,0xfc9aef88,
    0x5677f444,0x3bee4feb,0x43cacdef,0xfdbbdfe8,0x4cefc40f,0x56fcc0fd,
    0x3f304fc9,0x2efeee98,0x4f980fa8,0xfd9cffd8,0x3e60b904,0x77f774c1,
    0x5def7e42,0x9f90dffd,0x32799999,0x3ccccccf,0xca881fc4,0x3206d83f,
    0xffdcccdf,0x999bf904,0xc8809ffb,0xff94e85f,0x6c405bff,0x3b204fff,
    0x7d42efff,0x5fffdbac,0xbeffdb88,0x3bffb500,0x33fffea0,0x7d007d00,
    0xff103f10,0x2f763ddd,0x1ea03fff,0x81f401f4,0x1dfffeda,0x7fffffe4,
    0xfffff95f,0x03f88bff,0x1b605991,0xefffffc8,0x3fff201d,0xa801deff,
    0x088181ce,0x0c000800,0x10009800,0x31000400,0x11004980,0x4ccc0750,
    0x20030099,0x11004981,0x00001100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8003b800,0x80ccccca,0x3a7321ca,0x404e881d,0x00298661,
    0x814c0153,0x501dfec8,0xc8899999,0xcc981952,0xec980ccc,0x7f5c04ef,
    0x2607543e,0xc866081e,0x4c3eed8c,0xaaaaaaaa,0x883c982a,0x6666543c,
    0x4002a60c,0xa80ea85c,0x22981542,0xeeb8006e,0x2fc40eee,0x203fbfb6,
    0x3ffa05f8,0x33dd33ec,0xb00fdc03,0xf7bfd10f,0xdddd707f,0x07f5f90d,
    0x83ddddd5,0x5febbefa,0xbf959fb0,0x8be607dc,0x21fceff8,0x4fdcefed,
    0x3ffffff2,0x3a20ffff,0x217dc2fe,0x20eeeeeb,0x0db001fc,0xd8db01f7,
    0x0354db06,0x81f70000,0x009803fd,0x7c2f26b3,0x981fffff,0xaaaaacfd,
    0x3f60bfea,0x00007ec1,0xe8000bfd,0x4f83f40f,0x40fb8764,0x6d52a2f9,
    0x9f61fec3,0x9df99998,0x647ec199,0x4000fe1f,0x0db001fc,0xd8db01f7,
    0x02545306,0x02deda80,0x2a003f60,0x01b60001,0x3ffffff6,0x21ffffff,
    0x443f985f,0x0001dfec,0x109dfd93,0xdf01f901,0x2607dc03,0x43ec002f,
    0x09f100fc,0x50b90000,0x3bbbf21d,0x436c1ccd,0x6c6d80fb,0x656e7006,
    0x7fc40cee,0x3323ffbd,0x00fb1de9,0x05d100fe,0x07bdb1db,0x23ec03f7,
    0xeeeeeef9,0x2f7fa24f,0x74e643ff,0x2efbea1d,0xecb885fe,0xffa80fff,
    0x207dc2df,0xdb1992f9,0xfb86d87d,0x1009f100,0x6c2e885d,0xdf90fb86,
    0x49fffddd,0xd80fb86d,0x85c836c6,0x6fdceefc,0x47f60fec,0xdb0fefed,
    0x8805f500,0xceffd83f,0x00fdc4fe,0xccef98fb,0x3f62cccc,0xfdb07ec1,
    0x207f41fd,0x66ffd47e,0xb7100fca,0x03ee1dff,0x3bfb65f3,0x21b64fdc,
    0x09f100fb,0x3f887f10,0xc87dc36c,0xb1fe881f,0xdb01f90d,0x36c1b619,
    0x47f227e4,0xb3fa85f8,0x980db07f,0x83f8806f,0x2e3f44fd,0xffffffff,
    0x802fc47f,0x363f985f,0xf901103f,0x3f21be21,0x73fc8800,0xfb2fa83f,
    0x21b67d87,0x09f100fb,0x3f887f10,0xc87dc36c,0x369f501f,0xfd80fc86,
    0xd875db65,0x7d41fc86,0x9f107f32,0x81b603f6,0xf8800ef8,0x7e41fd83,
    0x33337ee0,0xfe87eccc,0xef997dc0,0x24feeeee,0x32e200fd,0x7f30fffe,
    0x7cc0fe88,0x3fb9fc43,0xc87d97ec,0x1f70db0f,0x7fffffc4,0x887f104f,
    0x7dc36c3f,0x3e603f90,0x7f441f94,0x5b637440,0xf90db1fc,0x5f52f981,
    0x41f69f10,0x01dd106d,0x1f60fe20,0x01fb83ee,0x2fbe61f6,0x3be65fb9,
    0x22cccccc,0x37fea07d,0x3fa0fcac,0x81ffea8a,0x1fda9bfc,0xff957ff7,
    0x43ee1b65,0x4c0fb86d,0x0099df99,0x43f887f1,0xf90fc86d,0x7d47f203,
    0x40feeaad,0x18b6c6ff,0x303f21b6,0x2a17e25f,0x1b60db3f,0x880417d4,
    0xfb86d83f,0x7d807ee0,0x19dffd30,0x6d802fc4,0x1f90df10,0x4dfffecc,
    0xffec883f,0x3fefee1e,0x70db2faf,0x3ee1b61f,0x1009f100,0x6c3f887f,
    0x7f90fd86,0x8dfb7555,0x0facfffc,0x41b636d4,0x4c0fc86d,0x3f21fa2f,
    0x05540db1,0x21ba07ea,0xb86d83f8,0xd807ee0f,0xfd03cc07,0x1b62fb81,
    0x3fa21fcc,0x01a20880,0x21f703f5,0x1f70db01,0xf1001570,0x887f1009,
    0xd107ec3f,0x3ffff21f,0x4300dfff,0x6d8db04b,0x81f90db0,0x2fbea2f9,
    0x81b64fd9,0x4c5f87ea,0xd83f883f,0x3ee0fb86,0xd501f601,0x5cdf7cc0,
    0xfd036c5f,0x03ffd515,0xfb880f50,0x36007dc1,0xea80fb86,0x804f8806,
    0x21fc43f8,0xfeeaadfa,0x33335f90,0xdb04c800,0x90db06d8,0x542f981f,
    0x36c4effe,0x5c0fca98,0x107fdbef,0xf70db07f,0xfb00fdc1,0x82bcf880,
    0x40ceffe9,0x3ff6606d,0x8803f9bf,0x6dcc4def,0x2007dc0f,0x4c0fb86d,
    0x7c400fda,0x443f8804,0xcfffc83f,0x003f90fa,0x21bbfb80,0x6d836c6d,
    0x17cc0fc8,0x20db0088,0xd7101ceb,0x41fc405b,0x2e0fb86d,0x201f601f,
    0x02201deb,0x008806d8,0x502f2600,0x01d50379,0x40fb86d8,0xf8801ceb,
    0x443f8804,0xfc80603f,0x76440001,0x0db1b60c,0x000001b6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4000a600,0x644003c8,0x2a602a83,0x0e5c0000,0x02c88cb8,0xaaaaaa98,
    0x3261aaaa,0x0f21951c,0x7712e393,0x0154c326,0x075c2aa2,0x802a875c,
    0x40d400a9,0x99999999,0x4df764c0,0x5555530e,0x26015555,0x0ddc400a,
    0xd35dd930,0x0fc89101,0x04fed800,0x3ee07f20,0xf506f882,0x205f880b,
    0x800fccf8,0xffffffff,0xdff53fff,0x07efba25,0xdd0bebf6,0x17fe47ee,
    0x3e63ff70,0x0bee5e83,0x5f980fb0,0x7fffffc4,0x33fe24ff,0xff71fefc,
    0x3fffffff,0x1dffffc8,0x1efeffd8,0x77e67fc4,0x7e47e80f,0x54fe4000,
    0x02f8802f,0x407f21ba,0x036405fa,0x5c00ffd4,0x999ef9bf,0x01f90999,
    0x3a207ff3,0x1532a84f,0xfe817ff2,0x5f31ba1f,0x9f102fc4,0x542ff440,
    0x1feaaaaa,0x1ff883fa,0x333335f7,0x50cf9833,0x223fa8bf,0xf307f46e,
    0x23fec41f,0x000130fc,0x3fa80000,0x000017e2,0x27e80000,0x007d805f,
    0x9f900000,0x3fbf101f,0xb0f90fdc,0x807ee01f,0xf5005fed,0x7ec2fc49,
    0x6c003f71,0x1ba0fb87,0xe85f87ee,0x8fdff50f,0xc80fa8fc,0x3a627445,
    0xdddddd31,0x361fb09d,0x77774c0f,0xb1994eee,0xeee987dd,0xf504eeee,
    0x36c02fc7,0xb1990b90,0x85d107dd,0xeb82fafc,0xf93e21fb,0xdd02fa84,
    0x02fc7d40,0x0fe637c4,0x00fdc7ee,0x45f50550,0xf32f9819,0x37e1f907,
    0x7e7e47c8,0x7d41f901,0x99913dc7,0xf307fd99,0x99109f39,0x367fd999,
    0x24fdcefe,0xfeccccc8,0x05f8fd03,0x21b606d8,0x4fdcefed,0x23f21fc4,
    0x1fbce85e,0xf01fabec,0x2207f30b,0xf900bf3f,0xfb83f981,0x00003f71,
    0x1fb001fb,0x43ee0fe6,0x1df91f21,0xff917cc0,0x3e602f43,0x03f7f205,
    0x7fb2fcc0,0x2fcc07d8,0x77fc3fa8,0x1b66eeee,0x43fd86d8,0x321fc47d,
    0x3e60fb8f,0x4fd41fb9,0x903f206c,0x5f97601f,0x5f82fc40,0xddf71fd8,
    0x009ddddd,0x5fb009f5,0x07ec2fc4,0x01fd13e4,0x9fdf49f0,0x1be202f8,
    0x3fffffee,0x1be206ff,0x201f90fb,0x03fa06f8,0xddddddff,0xb0db036c,
    0x7c41f90f,0x17cc7e43,0x3e07eed7,0x0fe603fc,0xf83ee09f,0xc80fe405,
    0x5c7fe20f,0xeeeeeeef,0x0077cc04,0x21fa0bf6,0x3a7c80ff,0x36c800ff,
    0x03eabd3f,0x54407744,0x2aaafdaa,0x6d81dd10,0xee880fb8,0x555bf500,
    0x0db00bf5,0x5c36c36c,0xf90fe20f,0xf73e97a1,0x801ff903,0x2607ea6e,
    0x3a02fc2f,0x333fe606,0x03f71fff,0x003bea00,0x3be607f5,0xc80ffeaa,
    0x2003f2e7,0x2f77b9fa,0x407fa05d,0x99fd9998,0xb03fd009,0xfd01f70d,
    0x7ffff403,0x6d805fff,0x21b61b60,0x90fe20fb,0x3e63ee1f,0xdf303f70,
    0x1b63f700,0x7f7777ec,0x03fa82ef,0x7dce7ecc,0x70003f70,0x01f200bf,
    0x1f9bffd3,0x00fc8f90,0x3e6bb7f0,0x05fb03f9,0x7fffffdc,0x02fd86ff,
    0xd81f70db,0x273e602f,0x805f9999,0x361b606d,0x3e20fb86,0xaf987e43,
    0x2207ee6c,0x8cf8802f,0xdddd903f,0xf905dffd,0x0fc80401,0xfb8003f7,
    0x4012a005,0xf901f708,0xbb000fc8,0x407f7c7f,0x3e4003fc,0x6d80ff20,
    0x0ff20fb8,0x17e01fb0,0x86d81b60,0x220fb86d,0xbd07e43f,0x640fdc7d,
    0x3efb6007,0xd02fc000,0x7c45d80d,0xa8007ee6,0x0000004f,0xc8f901f7,
    0x3ccccccf,0xdfb07fdc,0x5555df70,0x703e4055,0x555555df,0x5c3ee1b6,
    0x2aaaaaef,0x677c09f3,0xdb3ccccc,0x436c36c0,0x90fe20fb,0x707fdc1f,
    0x01feec3f,0x000bdf30,0x202fc0bf,0x1fecbdfa,0x333337ee,0x9ff12ccc,
    0x20399999,0x7dc000ec,0x7fe47c80,0x445fffff,0x641fdc6f,0x7fffffff,
    0xffc81f20,0xdb7fffff,0x3ff21f70,0xfb7fffff,0x7ffffc01,0x40db5fff,
    0xfb86d86d,0x1f90fe20,0x87ee2fcc,0xfe8003ed,0x105f8002,0xdd95007f,
    0xffffb819,0xf53fffff,0x7fffffff,0x50003f60,0x000f901d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x39900000,0x2a005bdb,0x2aaa600a,0x029809aa,0xaaaaaa98,0x53005300,
    0x55555555,0x15402a85,0x40aa2053,0x223510a8,0xaaaaaaaa,0x14c01531,
    0x3cb88351,0x0aa80155,0x8aa20153,0x054c00a9,0x5554c530,0xaa982aaa,
    0x201aaaaa,0xaaaaaaaa,0x3333222a,0x5f7f6c2c,0x7fcc02fe,0x3ffff203,
    0x036c3fff,0x7fffffe4,0x4036c1df,0xfffffffc,0x0ff20fff,0x03f717e4,
    0x3f703ff5,0x7ffdd3ea,0xf74fffff,0x7f33ec03,0xf9a77f44,0xfc97e606,
    0x321ff980,0x037e400f,0x7fffe4f9,0x3ee2ffff,0xdfffffff,0xfffffe80,
    0x3ba25fff,0x27ec2eee,0xdec803f6,0x266bf206,0x1b62fd99,0x2666bf20,
    0x1b60ffca,0x3e666620,0xfe81999d,0x3e627d41,0xd83fed83,0x5fdd3ea7,
    0x70999999,0xf33ec03f,0x7e41fcc7,0x7e41fd03,0x320ffcc0,0x27fe400f,
    0x26bf27c8,0x71ffa999,0x0bf9503f,0xb3333331,0x3fb0007f,0x33e02fa8,
    0x01f901fa,0xc806d97e,0x6cbf701f,0x04f88006,0x1be26f98,0x36dfc2fc,
    0x2e9f52fc,0x01fb802f,0x2a3f99f6,0x40fe881f,0x307e42fc,0x01f903ff,
    0xc81fefc8,0x7d407f27,0x3f403f73,0x220bf700,0xf10fb02e,0x3e2bea09,
    0x3e01f904,0x47d51b65,0x43fa01fc,0x03eed8ed,0xfb8027c4,0x1f601fd4,
    0x4c1f73f3,0x7dd3ea3f,0x201fb802,0x764fe67d,0x2fd40eef,0x21f909f3,
    0x1f901ff9,0x86f9fc80,0x4c07f27c,0x6c03f74f,0x06fa800f,0x436c0fe2,
    0x6cfb04f8,0xb80fc80f,0x4fa9b62f,0x3f900fe4,0x3faf7ff6,0x8013e204,
    0x2e02fdfd,0x17cdee1f,0xb9fcc1f7,0x01fb802f,0xb73f99f6,0x5f9019bf,
    0x23f203ba,0x3f201ff9,0x7dc7e400,0x03f93e44,0x80fdcbee,0xff8805f8,
    0x6c0fe200,0x4417d40f,0x320fea4f,0x2ffeeeef,0xc84fab6c,0x6cfea01f,
    0xf103f43f,0x27fc4009,0x25e8be60,0x7f11b64f,0x3bbbbbee,0x3fffee3e,
    0x267fffff,0x8807ea3f,0xf901fcfe,0x6401dff5,0xe87e400f,0x1fc9f21f,
    0xbf73fdcc,0x3ffb9999,0x401fe880,0x85fb03f8,0x41fb80fc,0xeeefc86f,
    0x3b61effe,0x03f904fa,0x40fd9fd4,0x09f100fc,0x402ffc40,0x3ec5f14f,
    0xf72f889f,0x47dddddd,0xcccccdfb,0xa8fe67ec,0x27fd401f,0xbf7dff90,
    0x32007e40,0x3e4df10f,0xfffffff9,0x7fffdc5f,0xfb002eff,0x207f1007,
    0x3fd9cffd,0xd9999fd0,0x980fc83f,0x13fff67e,0x5f700fe4,0x403ee1f6,
    0x3fa004f8,0xab6403fd,0x3e63ea0f,0x05f72f82,0x3ec03f70,0x00fd47f3,
    0x3bf203ec,0x3f207fb0,0xf707e400,0xcdfc9f29,0x7dc0aacc,0x200bf621,
    0x7f1004fb,0x3bfefb60,0xfffff303,0x0fc8bfff,0x33f65f70,0x01fc81fc,
    0x5c36c7f2,0x009f100f,0x07fa2ff2,0x446c8fa8,0x1f80fbaf,0x3f7005f7,
    0x47f33ec0,0x07d801fa,0x3ff10fe4,0xfc801f90,0x93e4ff40,0x07ee003f,
    0x6fa807fa,0x6c0fe200,0x01f90026,0x00fc83fa,0x745b67f5,0x880fe40e,
    0x3ee1b66f,0x3009f100,0x1037ccbf,0x99d09f5f,0x17dc320d,0xfb00fdc0,
    0x03f51fcc,0x0fc80fb0,0x07e437cc,0xdf103f20,0x800fe4fb,0x0ff881fb,
    0x2000ff88,0x00db03f8,0x47f502fc,0x23fb00fc,0xf913ea6d,0x6c7fb103,
    0xf100fb86,0x40ff8809,0x3f7a04fb,0x803eec81,0x1fb802fb,0x23f99f60,
    0x07d801fa,0x27e407e4,0x1f9003f2,0x7e4fff70,0x203f7001,0x01fe85fb,
    0x6d81fc40,0x4405f500,0x3333f26f,0x1b64ffcc,0x66fe45fb,0x6c4ffdcc,
    0xf100fb86,0xd01fd809,0x41ff205f,0x3e981ffa,0x3f7005f7,0x47f33ec0,
    0x07d801fa,0x2fe807e4,0x333333f2,0x3a01f93c,0x4007f27f,0x8bfa01fb,
    0xcccccefc,0x03f884cc,0x03f600b9,0x3ff23f90,0x6c2defff,0xfc877c46,
    0x82deffff,0x100fb86d,0x027dc09f,0xbf501ff1,0x4f983fc0,0x3f7005f7,
    0x47f33ec0,0x07d801fa,0xff9807e4,0xffffff90,0x4403f2bf,0x4007f27f,
    0x3fe601fb,0xffffff90,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x5555553e,
    0x02005555,0x6dc40188,0x37f6a2de,0x8ea85c83,0xdfec886c,0x07542e41,
    0x9816f6d4,0xfb53deed,0x3fb2605b,0x7db7104e,0x16f6d403,0x3efeb8bf,
    0xeb8b9000,0x3000ba23,0x9ddddddd,0x49d113a6,0x32ded8cc,0x466439db,
    0x20003eed,0x830034fa,0x07aceeb8,0x79fd01f2,0xb7df99ff,0xfb86d8bf,
    0x6ff447d8,0x21b63ffb,0x37fe20fb,0x6fd43ffb,0xbefefebb,0x5f7d44fd,
    0x7f445feb,0x7c40febd,0xbf3ffbdf,0x2fe567ec,0x365c8fcc,0x7f113ee6,
    0x99103f30,0x6c7fd999,0xed83fa1f,0xdfbffcdf,0x3bfb66fc,0x4ba24fdc,
    0x311e88ba,0xfb860061,0x202ffdbf,0xb0bf207c,0x22fa89ff,0x688fb86d,
    0x43f60fec,0x360fb86d,0xdd0fec1f,0x2fa89ff0,0xd8fd03fa,0xfb17e21f,
    0x7c937d83,0x53a07644,0x7d5b61fa,0xf983f884,0x88bf3001,0xfd85f96f,
    0xfa87fe63,0x47d87fb0,0xfffffffd,0x26300301,0x902ff45f,0x7d42f40f,
    0x1b65f81f,0xbf1663ee,0x21b67f30,0x50bf10fb,0x7f404c7f,0x20224f80,
    0x261be0fc,0x3ea17e21,0x007be1db,0xd89f11f9,0x7f104fae,0xf1003f30,
    0x13f7e60d,0x98ff03f6,0x1f90fb2f,0x7dc4efc4,0x64600603,0x43f3722f,
    0xccfeccc8,0x3e09f12c,0x6feeeeef,0x3b3ee1b6,0x3bbbbe60,0x70db4fee,
    0x220fe61f,0x7f65444f,0xfeeeeeff,0x7ff65c46,0x3009f10f,0x81df107f,
    0x4c2dfffa,0xfd81fb3f,0x27f104ff,0xaacfcaaa,0x200ee882,0xf0fb06fc,
    0x0db3f98b,0x207dc1f7,0x4600606d,0xf51d50fd,0x3ffffe63,0x07f34fff,
    0x333333fe,0x3f21b64c,0xcccef982,0x90db2ccc,0x220bea1f,0x337fea4f,
    0xcccccfea,0x337fea4c,0x07f30fca,0x9f105f50,0x3bff6e20,0x21ba5f70,
    0x881fcbfd,0xffffff3f,0x03fd0fff,0x6d80ffd8,0xd9fcc4f8,0x1b20fb86,
    0x180181f2,0x7dc7e2fb,0x2fc0f901,0x20407fcc,0x880fd86d,0xd86d805f,
    0xf50bf10f,0xfd037e27,0xc86f8820,0x750bf10f,0x1fd42fc4,0xdd1fe440,
    0x22db0fe6,0x333f886f,0x83335f53,0x67d402fd,0x4f86d85f,0xb86d9fcc,
    0xbd07ea0f,0xfc8c00c0,0x403f63e9,0x903fa07c,0x24f887ff,0x03fa20fd,
    0x4bee07f4,0x83fa20fd,0xf31fc87e,0x4c2ff987,0xe887f34f,0x17a1fa0f,
    0x983f90fd,0xf11fc43f,0x26d83f27,0x41fc44fa,0x07f901f9,0x87f55f88,
    0x7cc4f86d,0x41f70db3,0x4febcff9,0x8c00cfa6,0x1be25efa,0x3fe607c8,
    0xcfedfd9c,0x3ea0fea9,0x00feea9d,0xbf737df3,0x77556fd4,0x26fbea0f,
    0x457744fd,0xa9bfedeb,0x5457f46e,0x3be61ffe,0x7d41fc9a,0x904fd9be,
    0x83fb537f,0x36c9d0fa,0x83f887f6,0xaefb81f9,0x3f62aaaa,0x86d87f60,
    0x6d9fcc4f,0xbdd10fb8,0x2a5fbdff,0x7430034f,0x01ffb9cf,0xffd3012a,
    0x6fffe49f,0xacfffc81,0x3ffa600f,0x7ffe40ce,0x7f540fac,0xffd984ef,
    0x33fff23e,0x5fffecc1,0x7ff4c3f9,0xdfff502d,0x7ff64409,0x8a21501e,
    0x8877c46d,0xc81e983f,0x7fffffff,0x26f887f7,0x7cc4f86d,0x41f70db3,
    0x2e0c820b,0x3e630033,0x441cffec,0xcccccccc,0x00401102,0x01100018,
    0x00440030,0x10030044,0x80044001,0x00440008,0x00000000,0x00000000,
    0x22000000,0x3333351e,0x08a65333,0x3ffffe60,0x00004fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00006200,
    0x7d300000,0xde9cc800,0x222e4001,0x000f4c4e,0x816e03ae,0x8140a02a,
    0x300c981b,0xaca88377,0xb881c980,0x2eeeee1b,0x40c82bbb,0xbbbbbbbb,
    0x8ae0b222,0x2088572b,0xb82ee3e9,0x2e20000b,0x00000001,0x7d53e600,
    0xdfdb09d0,0x90033a1f,0x2e3fd41f,0xf36c8807,0x7ec0bf05,0x7ec5f980,
    0x360bf621,0xfbcf884f,0xb1b6b7a1,0x6fc49f9f,0xfffff3fb,0x0f84dfff,
    0x7ffffffc,0x4b95d36f,0x3ebf15f8,0x27f31ec5,0x21fd44f9,0x910cefd9,
    0x0000fe61,0x13000000,0x6c1f9af4,0x1dffc83f,0x7fe45f30,0xfda817a1,
    0x5f517a4f,0xbf7025c0,0x5f7f0ff6,0x440fdf98,0xf31c7f11,0x33cc3e21,
    0x8888ae45,0x9f36c888,0x22227f9f,0x87208888,0x3e2bf10e,0x24eb8bf5,
    0x9ee0d92b,0xffffdef8,0x001510ff,0x00000000,0x41db2f98,0xfd7100fd,
    0x3a4f817d,0x885f13fb,0x5c0befeb,0x5511f60f,0x83555555,0x3e03fffb,
    0x81fc7642,0x7fedc5f9,0x82f8d71f,0x26c802f9,0x8001dfc9,0x7c9f1a2b,
    0xaf54c9f4,0x208010e8,0x0ef6d428,0x00000000,0x88fc8000,0x4c01f65f,
    0x4db24ffd,0x41f55e9f,0x2201dffc,0xf989f13f,0x4fffffff,0x17c06fe8,
    0x441b27f1,0x115f54e9,0x0f89ea3f,0x6c8017dc,0xaa87efa2,0x12aaaaaa,
    0x22e87dbd,0x5f6c7b3e,0x00000310,0x00000000,0x3f700000,0x4006d9ba,
    0x2e7ea7fb,0xff176f77,0x7d5b6007,0x99999981,0x7efec099,0x0fb8be05,
    0xb91d45f3,0x87f623ea,0x7dc6c8bf,0x499b2001,0x7ffffc77,0x404c6fff,
    0x004c2609,0x995c2e60,0x7713cccc,0x77777777,0x00000005,0x74f88000,
    0x44036c3f,0x5fc1dffc,0x87f3f35d,0x200cffda,0xc806d9fa,0x2e7fb00e,
    0x27c5f05f,0xfdef897a,0x8fabbf62,0x3ee1dfea,0x08805eee,0x33333300,
    0x00000133,0xafc7ea00,0x914ffffa,0x99999999,0x00000059,0x16c80000,
    0x2a06d87f,0xbb00cffd,0x807f7c7f,0xf02dffc8,0x1fb007f9,0x1fb87f30,
    0x98393098,0x00014c0c,0x33333101,0x00000000,0x22000000,0x0000350a,
    0x00000000,0xf99f4c00,0x20db0b91,0xfb803efe,0x201bf60f,0xfc86feb8,
    0x0080000f,0x00000001,0x00000000,0x00000000,0xbb880000,0xbbbbbbbb,
    0x00000001,0x29f30000,0x1b602a19,0xdf1000ec,0x54003fb8,0x0005f985,
    0x00000000,0x00000000,0x00000000,0x44000000,0xdddddddd,0x000003dd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_21_latin_ext_x[560]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,0,0,0,1,1,1,1,1,0,1,-1,1,0,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,0,0,0,1,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_21_latin_ext_y[560]={ 17,3,3,3,2,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,19,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,8,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,17,7,3,3,5,3,
3,3,3,3,3,7,7,11,3,1,3,5,3,3,3,7,3,9,16,3,3,7,3,3,3,7,0,0,0,0,
0,0,3,3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,6,3,0,0,0,0,0,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,3,3,3,3,3,3,3,
1,4,0,3,3,7,0,3,0,3,0,3,0,3,0,3,3,3,1,4,0,3,0,3,3,7,0,3,0,3,
0,3,0,3,3,2,0,0,3,3,0,3,1,4,0,3,3,3,0,7,3,3,0,3,3,3,7,0,0,3,
3,3,3,3,3,3,3,0,3,3,7,0,3,3,3,7,0,4,0,3,0,3,3,7,0,3,3,7,0,3,
0,3,0,3,3,7,0,3,3,3,0,3,3,3,0,3,1,4,0,3,0,3,0,3,3,7,0,3,0,3,
0,0,3,0,3,0,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,0,3,0,
3,0,3,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-2,-1,0,3,0,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_21_latin_ext_w[560]={ 0,3,6,11,10,15,13,3,5,5,7,9,3,6,
3,6,10,6,10,10,10,10,10,10,10,10,3,3,9,9,9,10,18,14,11,13,12,11,10,13,12,3,8,12,
9,14,12,14,11,14,13,12,12,12,13,18,13,13,12,4,6,5,9,12,5,10,9,10,10,10,6,10,9,2,
4,9,2,14,9,10,9,10,6,9,6,9,10,14,10,10,9,6,3,6,11,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,10,10,10,12,
3,10,6,14,7,9,9,6,14,12,6,10,6,6,4,9,11,3,5,5,7,9,16,16,16,10,14,14,14,14,
14,14,18,13,11,11,11,11,4,4,7,6,14,12,14,14,14,14,14,9,14,12,12,12,12,13,11,10,10,10,
10,10,10,10,16,10,10,10,10,10,4,5,7,6,10,9,10,10,10,10,10,10,10,9,9,9,9,10,9,10,
14,10,14,10,16,12,13,10,13,10,13,10,13,10,12,12,14,11,11,10,11,10,11,10,11,10,11,10,13,10,
13,10,13,10,13,10,12,9,14,10,7,7,7,7,7,7,5,5,3,3,12,7,11,6,12,9,9,9,4,9,
5,9,5,9,6,10,5,12,9,12,9,12,9,12,12,9,14,10,14,10,14,10,18,18,13,6,13,6,13,7,
12,9,12,9,12,9,12,9,12,6,12,8,12,5,12,9,12,9,12,9,12,9,12,9,12,11,18,14,13,10,
13,12,9,12,9,12,9,5,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,12,10,10,10,10,10,10,10,10,10,10,10,10,10,15,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,10,7,7,14,
10,12,9,12,9,12,9,12,9,12,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,14,10,18,16,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_21_latin_ext_h[560]={ 0,14,6,15,17,15,15,6,18,18,7,10,5,2,
2,15,15,14,14,15,14,15,15,14,15,15,10,13,10,7,10,14,18,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,16,14,15,14,15,14,14,14,14,14,18,15,18,8,2,4,11,15,11,15,11,14,14,14,14,
18,14,14,10,10,11,14,14,10,11,15,11,10,10,10,14,10,18,18,18,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,18,15,10,14,
18,18,3,15,8,10,7,2,15,2,6,12,8,8,4,14,18,3,5,8,8,10,15,15,15,14,17,17,17,17,
17,17,14,18,17,17,17,17,17,17,17,17,14,17,18,18,18,18,18,9,15,18,18,18,18,17,14,15,15,15,
15,15,15,15,11,14,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,9,12,15,15,15,15,18,18,18,
16,14,17,15,18,14,18,15,18,15,18,15,18,15,17,15,14,15,16,14,17,15,17,15,18,14,17,15,18,18,
18,18,18,18,18,19,17,17,14,14,17,14,16,13,17,14,18,18,17,10,15,18,18,18,18,18,10,17,17,18,
18,14,14,14,14,14,14,17,14,18,14,17,14,14,15,14,18,14,18,15,18,15,15,11,17,14,18,14,17,14,
18,15,18,15,18,14,18,15,20,19,17,15,14,15,18,15,17,14,18,15,18,15,18,15,18,14,17,14,17,18,
17,17,14,17,14,17,14,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,18,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,15,17,14,18,
15,18,15,18,18,18,18,18,18,18,18,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,19,17,15,18,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_21_latin_ext_s[560]={ 58,117,211,106,105,42,149,207,137,107,182,
188,224,235,251,158,165,248,215,1,170,93,16,181,76,65,38,1,84,190,59,
226,1,11,26,51,48,203,121,155,132,145,242,170,183,130,193,227,206,230,218,
27,71,214,156,98,84,156,232,41,131,192,132,235,233,119,121,130,181,70,149,
192,61,252,251,38,253,219,234,91,1,237,52,154,192,81,94,69,208,145,198,
89,252,217,239,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,58,251,96,
40,244,37,127,169,228,78,149,164,172,235,199,242,200,27,165,142,228,148,193,
251,218,126,157,42,87,104,138,39,216,27,174,188,116,146,80,155,20,45,57,
69,81,86,100,244,214,79,1,154,218,153,108,116,1,241,76,238,189,91,215,
170,159,148,137,126,115,104,102,197,67,56,45,34,251,199,191,123,242,158,220,
209,198,187,176,105,16,148,138,128,118,20,31,54,207,114,143,21,211,125,14,
229,53,208,80,184,94,163,170,136,229,113,195,95,108,23,183,58,168,84,158,
1,224,165,82,96,122,26,68,40,130,120,69,58,92,50,222,245,42,189,246,
131,252,184,195,47,180,46,55,16,174,136,131,37,149,169,208,179,245,1,239,
32,60,136,168,239,113,1,69,244,107,14,138,12,123,125,23,38,217,25,113,
32,65,106,41,245,233,92,205,138,180,82,1,51,161,32,178,250,67,219,203,
205,28,240,1,1,228,11,198,227,1,12,189,143,203,231,27,1,50,14,70,
99,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,41,5,5,65,
5,5,5,5,5,5,5,5,5,5,5,5,5,73,141,5,5,5,5,5,
5,5,5,5,5,5,5,5,90,57,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,50,231,
231,105,202,12,176,174,152,142,129,119,106,96,83,73,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,14,29,169,56,58,102,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5, };
static unsigned short stb__arial_21_latin_ext_t[560]={ 20,209,236,131,79,115,115,236,22,22,236,
224,236,241,94,131,131,194,194,147,194,147,163,194,163,163,236,224,236,236,236,
194,22,209,209,163,209,194,209,163,209,209,147,209,209,194,209,147,209,97,209,
163,209,147,194,209,209,209,209,41,163,22,236,244,236,224,163,224,147,224,209,
194,209,179,1,209,131,224,224,224,209,194,236,224,147,224,236,236,224,194,224,
22,41,1,236,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,20,147,22,
163,224,194,22,22,241,147,236,224,236,241,147,241,236,224,236,236,236,179,41,
236,236,236,236,236,163,163,163,179,60,97,79,60,79,79,194,60,79,79,79,
79,79,79,97,79,163,97,60,22,41,41,41,236,163,22,22,1,1,79,179,
147,147,147,147,147,147,147,224,163,147,147,147,147,79,179,179,194,131,179,131,
131,131,131,131,236,224,131,131,131,131,22,22,22,97,179,97,131,22,179,41,
114,41,114,41,115,41,115,97,115,163,115,97,179,97,147,97,115,41,179,97,
115,1,1,60,60,60,60,60,1,97,97,179,179,97,179,97,209,97,163,41,
22,60,224,114,60,22,41,60,60,224,79,79,60,60,163,163,163,179,194,179,
79,194,60,179,60,194,179,115,163,60,179,41,115,41,115,115,224,79,179,22,
179,97,179,22,97,41,115,41,179,41,115,1,1,79,131,179,114,41,114,60,
179,41,114,41,131,22,131,22,179,79,194,79,22,79,79,194,97,194,97,194,
194,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,131,224,224,22,
224,224,224,224,224,224,224,224,224,224,224,224,224,131,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,131,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,131,
60,194,1,147,1,115,1,1,1,1,1,1,1,1,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,1,1,60,131,1,115,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224, };
static unsigned short stb__arial_21_latin_ext_a[560]={ 84,84,107,167,167,267,201,57,
100,100,117,176,84,100,84,84,167,167,167,167,167,167,167,167,
167,167,84,84,176,176,176,167,305,201,201,217,217,201,184,234,
217,84,150,201,167,251,217,234,201,234,217,201,184,217,201,284,
201,201,184,84,84,84,141,167,100,167,167,150,167,167,84,167,
167,67,67,150,67,251,167,167,167,167,100,150,84,167,150,217,
150,150,150,100,78,100,176,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,84,100,167,167,167,167,78,167,
100,222,111,167,176,100,222,166,120,165,100,100,100,173,162,84,
100,100,110,167,251,251,251,184,201,201,201,201,201,201,301,217,
201,201,201,201,84,84,84,84,217,217,234,234,234,234,234,176,
234,217,217,217,217,201,201,184,167,167,167,167,167,167,267,150,
167,167,167,167,84,84,84,84,167,167,167,167,167,167,167,165,
184,167,167,167,167,150,167,150,201,167,201,167,201,167,217,150,
217,150,217,150,217,150,217,185,217,167,201,167,201,167,201,167,
201,167,201,167,234,167,234,167,234,167,234,167,217,167,217,167,
84,84,84,84,84,84,84,67,84,84,221,133,150,67,201,150,
150,167,67,167,67,167,88,167,100,167,67,217,167,217,167,217,
167,182,217,167,234,167,234,167,234,167,301,284,217,100,217,100,
217,100,201,150,201,150,201,150,201,150,184,84,184,113,184,84,
217,167,217,167,217,167,217,167,217,167,217,167,284,217,201,150,
201,184,150,184,150,184,150,67,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,167,226,226,226,226,226,
226,226,226,226,226,226,226,226,258,197,226,226,226,226,226,226,
226,226,226,226,226,226,226,257,201,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,201,167,84,67,234,167,217,167,217,167,217,
167,217,167,217,167,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,201,167,301,267,234,184,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_21_latin_ext(stb_fontchar font[STB_FONT_arial_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_21_latin_ext_s[i] + stb__arial_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_21_latin_ext_t[i] + stb__arial_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_21_latin_ext_x[i];
            font[i].y0 = stb__arial_21_latin_ext_y[i];
            font[i].x1 = stb__arial_21_latin_ext_x[i] + stb__arial_21_latin_ext_w[i];
            font[i].y1 = stb__arial_21_latin_ext_y[i] + stb__arial_21_latin_ext_h[i];
            font[i].advance_int = (stb__arial_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_21_latin_ext_s[i] + stb__arial_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_21_latin_ext_t[i] + stb__arial_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_21_latin_ext_x[i] + stb__arial_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_21_latin_ext_y[i] + stb__arial_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_21_latin_ext_LINE_SPACING
#endif

