// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT        293
#define STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_23_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_23_latin_ext_LINE_SPACING          15

static unsigned int stb__arial_23_latin_ext_pixels[]={
    0x800de880,0xd500b800,0xdddddddd,0x000001dd,0x20035500,0x550001a9,
    0x00e54001,0x03c89e44,0x4c0002aa,0x00e5c03c,0x00ccccc8,0x22003550,
    0x4003511a,0x550002a8,0x3f880554,0x22017e40,0x807d403e,0xfffffffb,
    0x5400ffff,0x01bdefed,0x000ef880,0xf30001fd,0x01f9000b,0x01fb5f90,
    0x44002fd4,0x06f9805e,0x01999990,0x001fff50,0x01fb1fd1,0x002ffec0,
    0x027cdfd4,0x27c407f1,0x3201fcc0,0x07f2001e,0xcefffa80,0x000effec,
    0x7d4007f2,0x01fb0002,0x0c988c80,0x4017ff40,0x272000fc,0x7d400c89,
    0x1910c802,0x6f8ef880,0x03fdf300,0x1fd5fdc0,0x02ffe400,0x3ea80fe2,
    0x6c03f980,0x07f2002f,0x8056fe40,0x35000ee9,0x00014c00,0x1f802035,
    0x098801f3,0xf8006a00,0x11001f31,0x03e63f00,0x02a61530,0x2000d4c0,
    0x4000aa2a,0x1fc400aa,0xda806eb0,0x13100cdf,0x400fe400,0xfd1005fc,
    0x74c01003,0x88076403,0x2e3dfeca,0xd900fa66,0x2eaa7441,0x1d900fa6,
    0x1d900fa6,0x22eaa744,0x876403e9,0x876403e9,0x076403e9,0xaceedb88,
    0xddb71000,0x0fe20159,0x2e01c8d8,0xdb81eefe,0x6404a8ce,0x22fcc01f,
    0x11953dda,0x05cc80dd,0x1fd809f5,0xfddfff98,0x3ea2fcff,0xf10fec04,
    0x4fa8feab,0x4fa8fec0,0xbf10fec0,0x04fa8fea,0x04fa8fec,0x04fa8fec,
    0x7f4c0fec,0x01fffedf,0x7f6fff4c,0x03f881ff,0x3e601bf2,0xfdffe883,
    0x0fe407ef,0xefd83b60,0xf70fddfd,0xf5055580,0x441fd809,0x4ffb82ff,
    0x3f6027d4,0x209884c1,0x8fec04fa,0x0fec04fa,0xf504c426,0xf51fd809,
    0xf51fd809,0x4c1fd809,0x7fd443ff,0x887ff300,0x1fc40ffa,0x9803ffd0,
    0x10cfc83f,0x1fc80ffb,0x3fb8fe20,0x1f89bfe2,0x2a036f60,0x10fec04f,
    0x3fe203fd,0x36027d47,0x27d4001f,0x27d47f60,0x50007f60,0x51fd809f,
    0x51fd809f,0x41fd809f,0x3bea01fe,0x2a01fe80,0x40fe20ef,0x4c04fcf9,
    0x440ff83f,0x00fe407f,0x217e63f3,0x202745fd,0x809f500a,0x413ea1fd,
    0x2a3fdde8,0xa8fec04f,0x9f54b80c,0x9f51fd80,0x1951fd80,0x013ea970,
    0x013ea3fb,0x013ea3fb,0x027dc3fb,0x13ee17e4,0x3f88bf20,0x01fb1f90,
    0x17e21fcc,0x07f203f4,0x207ee7b8,0xb81fc3fb,0x7d42deed,0xf70fec04,
    0x2fddba03,0x1fd809f5,0x2afd01f9,0xa8fec04f,0xc8fec04f,0x9f57e80f,
    0x9f51fd80,0x9f51fd80,0x3f21fd80,0x644fa801,0x24fa801f,0x2edf03f8,
    0x30fe603f,0x901f609f,0xfb2ec03f,0x2f987ee0,0x7f677f44,0xb013ea3f,
    0x6c07ec3f,0x7d4df30e,0xfc8fec04,0x09f57e80,0x09f51fd8,0x01f91fd8,
    0xb013eafd,0xb013ea3f,0xb013ea3f,0x4007ec3f,0x007ec6f8,0x07f137c4,
    0x81be27f5,0x827c43f9,0x00fe407e,0x7d837cbd,0x0ff207dc,0x027d4df3,
    0xc87f87f6,0x9f53fc0f,0x1f91fd80,0x013eafd0,0x013ea3fb,0x203f23fb,
    0xd809f57e,0xd809f51f,0xd809f51f,0xf801fe1f,0xff003fc7,0x07ec1fc4,
    0x0fe603fb,0x01fe21b6,0xd3e403f9,0x266f981f,0xfd04a84f,0x3f6027d4,
    0x83f91fe1,0x013ea6f8,0x203f23fb,0xd809f57e,0xd809f51f,0xfd01f91f,
    0x3fb013ea,0x3fb013ea,0x3fb013ea,0x6f8007f4,0x6f8007f4,0x8bf10fe2,
    0x9df104fa,0x3f21fd43,0x500fe407,0xe88bf23f,0x100df34f,0x7ccff973,
    0xfd07f404,0x3e60bee1,0xfd013e64,0x5fa03f21,0x87f404f9,0x87f404f9,
    0xf37e80fc,0xf30fe809,0xf30fe809,0x320fe809,0x44f8801f,0x4f8801fc,
    0x05f70fe2,0x3ff201ff,0x3f3bfa23,0x0fe407ff,0x3fa27f30,0xfdffdfcd,
    0x3ffae00e,0x17e27fef,0xabfc8fd0,0x445f702f,0xf93f405f,0x17e2fd01,
    0x02fc4fd0,0xe80fc9fa,0x7e80bf17,0x4fd017e2,0x23f405f8,0x3fb803fa,
    0x7dc01fd4,0xffd0fe23,0x07ffffff,0x3bfd9008,0x3a0000fd,0x25bfb30e,
    0x90623efd,0x23f437df,0x11be207f,0x3e207fff,0xf103fc0f,0x3fc07e4d,
    0x237c40ff,0xc9be207f,0x1fe7f80f,0x03fc6f88,0x207f8df1,0x07fc46f8,
    0xf881ff10,0x83fe200f,0x33be63f8,0x06fccccc,0x374007d3,0xf3007b20,
    0x4fb8001d,0x23fc1be2,0x07fb05fd,0xfd301ff9,0x360bfb05,0xf70ff23f,
    0xfd82fecf,0xfd82fec3,0xff70ff23,0x3fd82fec,0x3fd82fec,0x3fd82fec,
    0xe881ef98,0x03df302f,0x3f885fd1,0x1fe807f2,0x436c4f98,0x17ec05f9,
    0x800ffdc0,0x437c45fd,0xdffe87fb,0xe885ffcc,0xfdbbdffe,0x37ffa02f,
    0x7cc5ffcc,0x47efcabf,0xffccdffe,0x99bffd05,0xbff98bff,0x7f47efca,
    0x05ffccdf,0xff99bffd,0x337ffa0b,0x3ea05ffc,0x2ffdbbdf,0x5deffd40,
    0x3f882ffd,0x0bf501fe,0x35bf30f2,0xe8801fd7,0xbdfd5001,0xffd95337,
    0x2a73f607,0x6440fffc,0xd03dfffe,0x3bfff66b,0x7f64401c,0xff503dff,
    0xc88f93df,0x203dfffe,0x3dfffec8,0x93dfff50,0xfffec88f,0x3fb2203d,
    0x32203dff,0x803dfffe,0x1ceffeb9,0xdffd7300,0x54fe2039,0x07fc404f,
    0x3ff203a2,0x79801eff,0xfffda800,0x200cefff,0xb9efffc8,0x4c00c02f,
    0x20000880,0x00022001,0x80060003,0x000c0008,0x00300018,0x20000440,
    0x36150008,0x83fc801f,0x00066200,0x98800017,0x00300009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05fd3000,0x80015cea,0x322000aa,0x002a8804,0x0000fae0,0x880003ae,
    0x8f5c4efd,0x06fdc0ec,0x7777774c,0x75c1eeee,0x002f5400,0xdc881220,
    0x54002cef,0x09d9000a,0xf1015440,0x800aa807,0x3ba01dfe,0x0bf30006,
    0xb003fc80,0xdf10003f,0xfc80f400,0x3bf20000,0xfe97e44d,0x542fed40,
    0xffffffff,0x007e41ff,0x80007ffa,0xdfff305a,0x2e00bfff,0xf9f5004f,
    0x0bffa009,0xdf101fc4,0xc809f300,0x4000c999,0x3e2000ed,0x017a2004,
    0x93003ee0,0xfc85bfff,0x81fe0000,0x64031098,0x0027d40f,0x33e6014c,
    0x0f60004f,0x3f6617fc,0x3006e804,0xb00bf2bf,0xf103fb3f,0x4007e407,
    0x98fc02f9,0x0054000f,0x22000620,0xf1000002,0x41ff9d9f,0xf30000fc,
    0x7dc00009,0x00027d40,0x0fd8fc80,0xf503f000,0x101be209,0x40000015,
    0x105512a8,0x800d407f,0x01f4c2fa,0x6dc403b2,0x2200acee,0x4405d54e,
    0x00aceedb,0x912e0395,0x93e63a5f,0x0bedb9fc,0x33bf7260,0x25c072a1,
    0x13ea0fdc,0xf8032a00,0x26007f76,0xfa80feec,0x5440ae04,0x9501beec,
    0x64412e03,0xf882cefd,0xcefdc883,0xf50bea02,0x981fd809,0xfffedffe,
    0x3eabf101,0xdbffd303,0xbf303fff,0x27e89f10,0x77e4770e,0x700ffddf,
    0x4c3ddffd,0xa84f885f,0x0027d41f,0x3fa807e4,0xff300df1,0xf883ffd9,
    0x3e6000bf,0x86ffeeff,0x84f885f9,0xfffefff9,0x3e61fc45,0x05fffeff,
    0x04fa83f7,0x3fe60fec,0x807fd443,0xf3013109,0x0ffa887f,0x0fdc0fe8,
    0xc80743fa,0x01be61ff,0x03fa01fb,0x85f303f7,0xaaaaadfa,0x00fc81aa,
    0x00fec1fb,0x3f3a1df3,0xbefffa86,0x82bfe601,0x0fe84fc8,0x17fc0fdc,
    0x3f893f66,0x3f6617fc,0x7d40fc84,0x3a0fec04,0x03bea01f,0x201fe800,
    0x17dc0efa,0x237f21ba,0xd09f900e,0x703f403f,0xf106e85f,0xfffffa87,
    0xfc85ffff,0x7d45f880,0xbc4bee04,0xffd9304b,0x2ff887ff,0x5f707fa0,
    0x04fa86e8,0x51fc4df1,0x89be209f,0x04fa84fb,0x09f70fec,0x06545f90,
    0x009f725c,0x25f885f9,0xfffb04f9,0x705f9017,0x102fc05f,0x9027ccbf,
    0x4ce7d45f,0xc8099999,0xf82fb80f,0x2e1fb00f,0x7edcc005,0x3013e65f,
    0x265f8839,0x204fa84f,0x027d402b,0xa827d457,0x90fec04f,0x49f5003f,
    0x327e80fc,0x84fa801f,0x401f90fd,0x644fffda,0x304f980f,0x90fd809f,
    0x51fd801f,0x1f90009f,0xffffffd0,0xd9fa07ff,0x3fa60003,0x40005f71,
    0x101f90fd,0x200017ff,0x9800bff8,0x04fa81fe,0x01fb0fec,0x07e4df10,
    0x001fb3f4,0x27f50df1,0xff9d006f,0x7d40fe4b,0xa805f503,0xfb80df3f,
    0x0009f50d,0xcef981f9,0x06fccccc,0xbb007cfb,0x3fb3fa80,0xf9fd4000,
    0x3bffea06,0x7fd4001b,0x37401bef,0x3f6027d4,0x7f801fe1,0xf9fa03f2,
    0x7c1fe007,0x1d003f9e,0x0ff23fd1,0x0fdc07ee,0x01fcf7c0,0x009f513e,
    0x1fc81f90,0x3ee07fa0,0xd83ae699,0x74fea01f,0x77c0000f,0x764c03f9,
    0x1c83ffff,0xffffec98,0xfa81f703,0xfd0fec04,0xfc9be001,0x03fa7e80,
    0xdfc837c0,0x8743300f,0x88bf92fb,0x003f607f,0xa803f7f2,0x0027d42f,
    0x01fe07e4,0x9bf30bf5,0xdf517e29,0x361fd103,0x7e40001f,0x2e6000fd,
    0x0fe25ffd,0x0bffb730,0x04f983f5,0x03f907f4,0x07e49f10,0x003f93f4,
    0x3fe609f1,0x874df105,0x5dff91fc,0x37403ff9,0x405ff980,0x77fd41fb,
    0x3eeeeeee,0x09f507e4,0xfc80ff88,0xc81febbf,0xffdcceff,0x0000bf23,
    0x4000bff3,0x07f11fe9,0x2a0ff4c0,0x202fc42f,0x401fd47e,0x203f23fb,
    0x200fea7e,0x0bfa03fb,0x3e1d1fd8,0x3ffabf26,0x002fc02d,0x1fb805fd,
    0x7fffffd4,0x7e44ffff,0x32007f60,0xbfff903f,0x7fff5403,0x01fd41df,
    0x2fe817e6,0x7f501760,0x405d8fe2,0x417cc3fa,0x11be207f,0x7fc401ff,
    0x9fe03f20,0x3e200ff8,0x501b600f,0x7fd7d9ff,0x800887e4,0x1b6004f9,
    0xb8003ee0,0x0003f204,0x13b70264,0x1017c400,0x27f401ff,0x1fd80db0,
    0x1fc4fea0,0x1fd403fb,0x17f60be6,0x77cc1fec,0x642fe881,0x263fdc3f,
    0x2fe881ef,0x2a00fe60,0x641dfffe,0x17dc000f,0xc803f980,0x80f6000f,
    0x0f60007d,0xc88003d8,0x03bea03f,0x7cc03fee,0x40f7d403,0x47f10fe8,
    0xfe881efa,0x20577c40,0xffccdffe,0x2f7fea05,0xf982ffdb,0x87efcabf,
    0xfdbbdffa,0x1fd7702f,0xc80f4400,0xeaa8800f,0x0febb807,0x001bee20,
    0x2a6333d9,0x3b20005f,0x003e22aa,0x809f5310,0xffcbdffc,0x0febb81f,
    0xcceffc80,0x0fe23ffd,0xfb99dff9,0x0bfee07f,0x7bfffd91,0xdffd7300,
    0x7ffd4039,0xd7307c9e,0x6c039dff,0x0e8001ff,0xf5001f90,0xffb007ff,
    0x02ffb803,0xe9fffcc0,0x260002ef,0x01a62ffe,0x0037fee0,0x37fffb2a,
    0x003ffb00,0x6fffff54,0x7541fc41,0x401dffff,0x000c0098,0x08800110,
    0x10008800,0x00040003,0x20013300,0x01330018,0x03304c00,0x00004000,
    0x18800020,0x40001880,0x20054018,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05510000,
    0x76403e98,0x00026200,0x006a6551,0x10015455,0x76544005,0x408801be,
    0x6f64c008,0x0f775c0a,0x00006a20,0x209db003,0x0601eeeb,0x7017a011,
    0x8bb075cd,0x980f20d8,0xd703511a,0x3a06e881,0x13ea02ff,0x7d403fb0,
    0xf9fdc006,0x5d7e400f,0xb5b1002f,0xddfff300,0x1f880dff,0x77dc01f5,
    0x77e44fec,0x3ffa201e,0xbdfd8802,0x7e7e405c,0x02feeb82,0xf81744fa,
    0xfc87e207,0x2f721fa0,0x3fa200fc,0x0fc80ee8,0x9fd83fcc,0x09f501fd,
    0x3ea01fd8,0xfbafc006,0x09ffb002,0x200c9cc0,0x3220aff9,0x7ffdc04f,
    0x3f637403,0x36007f20,0x5c00fd9f,0x202ffcae,0x203fb4fa,0x3fea02fa,
    0xb81fe05f,0x055054c5,0x30039b71,0x2a603fff,0x54415440,0x3ea05512,
    0x000fec04,0x14c2a200,0x00055100,0x7fc4099b,0x2007fa02,0x4c5f8801,
    0x1007f22c,0x1006a255,0xa8000001,0x4009802f,0x005f107f,0x35300000,
    0x10bd1000,0x2037dd95,0x0fec04fa,0x0df76544,0x76403e98,0xbeeca880,
    0x4087d301,0x809f30ec,0x00fa61c9,0x02fe81d9,0x73100fe4,0xd3059dfb,
    0xa80ec807,0xa84a8ced,0xfdb9882f,0x20ff02ce,0x2e0ca87c,0xa8ceda84,
    0x9dfb9104,0xf8819505,0x777ffcc6,0x04fa86ff,0x3fe60fec,0xa86ffeef,
    0x20fec04f,0xffeefff9,0x6c04fa86,0x0005f71f,0x1fd809f5,0xc806ffc4,
    0xdffd101f,0xfa89ffdb,0x360fec04,0x87effdff,0x7ff442fa,0xf84ffede,
    0x1f909f07,0x37ff63f4,0xff987eff,0x645fffef,0xf337c40f,0x27e4415f,
    0x3fb013ea,0x91057fcc,0x404fa89f,0x2bfe61fd,0xf513f220,0xfb1fd809,
    0x09f50003,0x37a61fd8,0x1fc82ffd,0xd883fe88,0xb013ea4f,0x8867dc3f,
    0x22fa87fd,0xfd883fe8,0x1fcc3fc4,0x5cfd07e4,0x0ffb10cf,0x4fd985ff,
    0x2df103f2,0x3fa02ff8,0xfb013ea1,0xe80bfe23,0xb013ea1f,0x80bfe23f,
    0x013ea1fe,0x003fa3fb,0xfb013ea0,0xbff52f43,0x7ec0fe41,0xfa87f402,
    0xff0fec04,0xfa87f981,0xfd00bf62,0x17d43fc1,0x7cfd07e4,0x2a3fcc0f,
    0x64df104f,0xf9b7c40f,0xf50e4c04,0xf31fd809,0x2a1c9809,0x98fec04f,
    0x50e4c04f,0xb1fd809f,0x9f50003f,0x7f11fd80,0x3f25fe88,0x5402fc41,
    0xd809f50d,0x3e0df11f,0xbf12fa87,0x3fc1b500,0x07e40fdc,0x7c1be2fd,
    0x57027d47,0x5be207e4,0xf98002fb,0xfb87f404,0x04fa8002,0x02fb8fec,
    0x6c04fa80,0x0005f91f,0x1fd809f5,0x47f603be,0x01fd41fc,0x36027d40,
    0x3609f31f,0x7f52fa87,0x361fe000,0x3a0fc80f,0x1f609f37,0x90017ff1,
    0xfb6f881f,0x0bf30003,0x007f67e8,0xfb013ea0,0x20007f63,0x8fec04fa,
    0x2fcc03fa,0x1fd809f5,0x5f507fea,0x05f907f2,0xd809f500,0x3a09f11f,
    0x5f92fa87,0x321fe000,0x3a0fc81f,0x1fa09f17,0x06fbffea,0x5be207e4,
    0xf88000fe,0xfe9be207,0x04fa8000,0x00fe8fec,0x6c04fa80,0x401ff11f,
    0x013ea4fe,0x4ffb83fb,0x20fe43f2,0xccca80fe,0x809f53cc,0x221b61fd,
    0xfd2fa87f,0x99999501,0x17d43fc7,0x6cfd07e4,0x9307f886,0xc87ffffd,
    0xfdb7c40f,0x0bfb0001,0x01fd8ff6,0x6c04fa80,0x0003fb1f,0x1fd809f5,
    0x3ee03bea,0xb013ea0f,0x9dfd103f,0x360fe45f,0xffffb81f,0xd809f55f,
    0xf90fea1f,0x3f65f50f,0xfffffb81,0x0fe61fe5,0x2a7e83f2,0x403fe43f,
    0x325ffdb9,0xfcb7c40f,0xdff30002,0xc8bff99b,0x4f98002f,0x2fc87f40,
    0x404f9800,0x6ffe40fe,0x4c1fffcb,0x007f404f,0x1fc87ff7,0x4cc41fdc,
    0x09f35fa9,0x3fa20fe8,0xa87fffcf,0x3107f72f,0x3fcbf533,0x20fc85f8,
    0x33ffa27e,0x4c007fff,0x881f91fe,0x9807f56f,0xfffd885f,0x03fa83df,
    0x0bf12fcc,0x00fea7e8,0x02fc4bf3,0x7f6541fa,0x5f880dff,0x74403f40,
    0xf307f22f,0x22bf100b,0x443f405f,0x87e9dfec,0x00bf32fa,0xe83fcbf1,
    0x1fa0fc86,0xfd3bfd91,0x9fd405d8,0x8b7c40fc,0x13fa00ff,0x7c401d70,
    0xf13fa00f,0xf137c40f,0x227f401f,0x01be207f,0x0ff003d7,0x06e637c4,
    0x40fe49f3,0x2fc402ff,0x037c40ff,0x45f50fd0,0xafc402ff,0x05f500f8,
    0x1fa00fd0,0x9fd403fb,0x2a6f883d,0x0ffb80ef,0x7d402dc0,0x40ffb80e,
    0x87fb05fd,0xffb80efa,0xfd82fec0,0x0076d403,0x1fec17f6,0x49f317e2,
    0x3ff981fc,0x7ecbfd30,0x6e87fb05,0x2fa85f98,0x74c0ffe6,0x5e80f35f,
    0x21ba5f80,0x0f7d45f9,0x82e87f44,0x6ffe46f8,0x801fffcb,0x32028afa,
    0xfffcbdff,0x99bffd01,0x3ff20bff,0x01fffcbd,0xff99bffd,0x05f7100b,
    0xf99bffd0,0x273f20bf,0x2ff22fea,0x6fffcc0a,0x40cffedc,0xffccdffe,
    0xb9adfc85,0x3f2a61fe,0x66fffcc2,0xf30cffed,0x03f30517,0xdfc93ee6,
    0xc81feb9a,0xffdcceff,0x446677a3,0xffeca86f,0x3fa000df,0x7f65404f,
    0x32200dff,0x403dfffe,0x0dfffeca,0x3fffb220,0x5ffe803d,0xfffd9100,
    0x7f64407b,0x7ffe42ff,0xfffdb882,0xfd9101de,0x76407bff,0x7e41efff,
    0xfdb882ff,0xfd81deff,0x3e0b906f,0x7ff641df,0x3faa01ef,0x7d41dfff,
    0x0c4002ff,0x10001000,0x00060003,0x018000c4,0x20000c40,0x00198001,
    0x20002600,0x000c4001,0x22002600,0x0cc0a200,0x22000620,0x00000801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0xfb731001,0x05d5059d,0x1a995400,0xec809d50,
    0x75c05d50,0x70fb620d,0x3bbba60d,0x200acdee,0xedc980eb,0x400eeeee,
    0x833002a8,0x0003ae02,0x05555553,0x01530a98,0x01a98d4c,0x000aa600,
    0x39999990,0x880df500,0xffedeffe,0x8001fdc4,0x201fd4fb,0x3f602ffb,
    0x3ee07f70,0x0fefec1f,0x3bbea0ba,0x1efffeee,0xffd81f90,0x0fffffff,
    0x4027fec0,0x205c89ea,0x7dc000fc,0x4405ffff,0x4405f8ef,0x000ee8ee,
    0x005fff10,0x7fffffc0,0x206fa802,0xfd883fe8,0x4000fee4,0x5c05f56e,
    0x1fb00fff,0x3fee0fee,0x0fe9fdc0,0x413ea1aa,0x1f906fc9,0xf2ffffdc,
    0xf75f7009,0x3dff9007,0x00007e40,0x1dff5000,0x03fff300,0x7ec7f400,
    0x00000000,0xe805fb00,0x0007f70f,0x700a6151,0x3f60bfdf,0xefb87f70,
    0x50fe0000,0x80ff809f,0x3fffa0fc,0x2a013e5f,0x00800aa2,0xe9800fc8,
    0x50076403,0x0d4c0015,0x22351000,0xdb88001a,0x5400acee,0x224a8ced,
    0x70da805f,0xb710007f,0x2e0159dd,0xfd82febf,0x77dc7f70,0xc8065400,
    0xb013ea0f,0x741f903f,0x13e5ffff,0x440274c0,0x00aceedb,0x21cb81f9,
    0x0fec04fa,0xddddddd9,0x7774c9dd,0x80acdeee,0x0bd501eb,0x7f4c0764,
    0x01fffedf,0xfdffbffb,0x5c001fd4,0x7f4c003f,0x81fffedf,0x40ff9bfb,
    0x2e7f70fd,0x0fc800ef,0x27d45f50,0x3f20df10,0x97ffff20,0x0bf3004f,
    0xfedffe98,0x20fc81ff,0x027d44fd,0xfffd87f6,0x26ffffff,0xfeeeeefa,
    0x1fd41eff,0xf881ffd8,0x443ff986,0x67dc0ffa,0x7e4ffb10,0x03fb8002,
    0x510ffe60,0x73fb81ff,0xf70fd8bf,0x2007ff77,0x49f100fc,0xa9999cfa,
    0x1f904feb,0xf2ffffcc,0x817e6009,0x7d443ff9,0xfc87e40f,0x6c04fa83,
    0x5fd1001f,0xfc9827d4,0xdf82fc46,0xe84f984f,0x83bea01f,0xd3fcc0ff,
    0x9999501f,0x800fee79,0x3bea01fe,0x2fe8fee0,0x7f7dc3f6,0xfc800ffe,
    0xffa97e00,0x2dffffff,0xff703f20,0x98027cbf,0x807fa05f,0x23f20efa,
    0x09f503fc,0xfb001fd8,0x7c04fa89,0x7d43f40f,0x42fb86ea,0x2fc804fb,
    0xd9fe0df1,0xffffb81f,0x2007f75f,0x2fc804fb,0x0ff98fee,0x3bfee1fb,
    0xfc806fb8,0xdfa9ba00,0x805fdbaa,0x4bf500fc,0x0bf3004f,0x3f2013ee,
    0x81bf7f22,0x0fec04fa,0x7d42fe40,0x320fec04,0x7e47e41f,0x0fe43ec0,
    0x4f9a7d40,0x41fdcfb0,0x75fa9998,0x07f2007f,0x3fb93ea0,0x70fdafdc,
    0x027ec1bf,0x27d803f2,0x05fc84fa,0x4bf007e4,0x0bf3004f,0x3ea007f2,
    0x0ffbff24,0x3f6027d4,0x4077d401,0x1be204fa,0x2abd0fea,0x7ec2fc2f,
    0xf16f8800,0x5f99fa09,0x7f75f880,0x2003f600,0x20fee6f8,0xf70fdafe,
    0x202ff887,0xa9fa00fc,0x409fb04f,0xf97e00fc,0x20bf3004,0x6f8800fd,
    0x40ff4ff2,0x0fec04fa,0x2a03ff30,0xba9999cf,0x25f884fe,0x4c9f13f8,
    0x2007f83f,0x3e21b67f,0x22017fc7,0x2007f75f,0xb9fe007f,0xfeff983f,
    0xff507f70,0xf803f201,0x7c413ea5,0x401f902f,0x4c013e5f,0x400ff05f,
    0x7cc3f27f,0x6c04fa86,0x05fd101f,0x7fffffd4,0x9ba02dff,0xfb9fa1fa,
    0xf000fe81,0x3f21fd4d,0x981ffcc7,0x007f75fe,0x37c003fa,0x3fee07f7,
    0x3207f70f,0x201f906f,0x813ea4f8,0x0fc80ffb,0x004f97e0,0x03fa0bf3,
    0x41f937c0,0x027cc3fc,0x27ec03fa,0x2eab7ea0,0x0fc805fd,0xfb1fb8fb,
    0x22007f20,0x33ffa24f,0xff987fff,0xcffedcdf,0xdddddf70,0x00fe49dd,
    0x07f727c4,0x3fb87ff4,0x3f213fa0,0x7d45f500,0x6427ec04,0x4f97e00f,
    0x320bf300,0x24f8801f,0x87fe20fc,0x83f405f8,0x4fa805fc,0x7cc05fc8,
    0xf2f98bf2,0x200fea09,0x7f6443fb,0xb7107e9d,0xb83bdfff,0xffffffff,
    0x2e00fea5,0x980fee3f,0x407f70ff,0x07e41ff9,0x13ea0fb8,0xfc83ff10,
    0x44f97e00,0x827cc0a8,0x3fb803fa,0x8df503f2,0x21be207f,0xfa800efa,
    0xf809fb04,0x9cf82f9c,0x01ff102f,0xe8007fc4,0x001f8807,0x7fc402e6,
    0x003fe200,0x371000ae,0x3e01f900,0x20057005,0x9f2fc02b,0x1fd44fa8,
    0x2200ff88,0x80ae00ff,0x87fb05fd,0xf5001ff9,0x80bfe209,0xed80fbed,
    0x3be600fb,0x742fe881,0x9805f986,0xf93002fd,0x207be607,0xd9002fe8,
    0x27e4400d,0x07d41f60,0xc806ec80,0x4f97e06e,0x0bf237cc,0xe881ef98,
    0x0376402f,0xff99bffd,0x002fe88b,0xffb813ea,0x20ddf700,0xfa806dfb,
    0x2ffdbbdf,0xeb9adfc8,0x09f3001f,0xf502fcc0,0x5ffb77bf,0x007e4400,
    0x2a60dd10,0x4009d05f,0x64400fc8,0x27cbf00f,0x77ee77ec,0x5effd400,
    0x8802ffdb,0xfd9100fc,0xff907bff,0xdddddddd,0x36027d4d,0x09ff304f,
    0x4c013fe2,0x01ceffeb,0x07bfffb2,0x003bfee0,0x3007bfee,0x039dffd7,
    0x801fffc0,0xfd02eff9,0x001f505d,0xff00fffe,0x9f2fc09f,0x1bfffb10,
    0x3ffae600,0xfff801ce,0xf9006004,0xffffffff,0x2027d4ff,0x3ff01ff8,
    0x4000ff40,0x00c40008,0x88002620,0x00880009,0x30001300,0x26019801,
    0x40026001,0x88000009,0x00440001,0x00000260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3000aa80,0x0002a615,0x10000aa8,0x0a980055,
    0x33260153,0xaa803ccc,0x02a88000,0x4000aa80,0x154402a9,0x88d44055,
    0x06a6001a,0x5001a980,0x4baa0015,0x2a0000ec,0x002aa00a,0x9802ffe4,
    0x0005f8df,0xb00017e6,0x77c4005f,0x3fee05f8,0x7d405fff,0x05f90005,
    0x4005fa80,0x6402fef8,0x7402fbaf,0x1001fd8f,0x3e2001df,0x09f7000e,
    0x0fecfee0,0xfa9323d8,0x017ff205,0x013eb3ea,0x00077fd4,0x00001fb0,
    0xffa800dd,0xe800000e,0x4f88000e,0x8006e800,0x400fd8fe,0xf8804ffe,
    0x3ee002fe,0x007ee001,0x51001f90,0x7cc02a61,0x03ba0fee,0x027d5fd4,
    0x2002a8aa,0x540000aa,0x15100001,0x400aa800,0x405d54e8,0x530000a8,
    0x00151000,0x03511a88,0x26002a88,0x00d4002a,0x540006a0,0xc807d300,
    0x6442a80e,0x42a8aa01,0x1ed803ec,0xddddddd5,0xb001dddd,0xdddddddd,
    0xea801ddd,0x20275405,0x557e20ec,0x7777643f,0x804eeeee,0x275405ea,
    0xd5003b20,0x017a200b,0x74c05ea8,0xacdeeeee,0x9802ea80,0xeeeeeeee,
    0x809f51ee,0x42f441fd,0x3bba60eb,0x9eeeeeee,0x3ee01ff8,0x3ffffee5,
    0x00ffffff,0x7fffffdc,0x00ffffff,0xf700fff4,0x207ec05f,0xfd813109,
    0xffffffff,0x01ffe806,0xfd80bfee,0x00fff400,0xfd0037c4,0x777d403f,
    0x1efffeee,0x7d401fdc,0xffffffff,0xd809f51f,0x6437c41f,0x3fffea0f,
    0x71ffffff,0x03fe20df,0xf0003f90,0x000bf11f,0x7027e7cc,0x3f601fff,
    0x74400000,0x7e7cc02f,0x03ffee04,0x9f3007ec,0x0df1009f,0x813f3e60,
    0xdf9304fa,0xfa803fb8,0x013ea004,0x86f883fb,0x013ea0fc,0x5fd07fb0,
    0x8003f900,0x00bf14fb,0x07ec7e40,0xb05fefb8,0x2e032a1f,0x009fb004,
    0x201fb1f9,0xfb05fefb,0x7ec7e401,0x8037c400,0x500fd8fc,0x20ff809f,
    0x4fa803fb,0xb013ea00,0xc86f883f,0x0013ea0f,0x27dc3ff1,0x4001fc80,
    0x00bf10fe,0x03fbb7c0,0xb05fd7f7,0x3a03f21f,0x005fc807,0x5c0feedf,
    0xfd82febf,0x1fddbe00,0x7c01be20,0x3ea07f76,0xf70fec04,0x009f5007,
    0x3f6027d4,0x7e437c41,0x20013ea0,0x01df16fb,0xa8007f20,0x0017e24f,
    0x06f89fd4,0x81ff37f7,0xd01f90fd,0x00efa80f,0x0df13fa8,0x03fe6fee,
    0x4fea01fb,0x37c406f8,0x6f89fd40,0x7c409f50,0x5401fdc6,0x13ea004f,
    0x6f883fb0,0x13ea0fc8,0x7ed7ec00,0x007f2001,0x3be20fe8,0x01aaaaaa,
    0x81fd83f6,0xd8bf73fb,0xfd01f90f,0x800ffcc0,0x207f60fd,0xd8bf73fb,
    0x6c1fb00f,0x01be201f,0x81fd83f6,0xa9999cfa,0x1fdc4feb,0x5556fd40,
    0x3ea1aaaa,0x220fec04,0x2a0fc86f,0xaaaaaadf,0x9fff101a,0x001fc800,
    0xfff88bf5,0x104fffff,0xb84fa8bf,0xfd8bfa3f,0x0fd01f90,0x4400bfa2,
    0x5c27d45f,0xfd8bfa3f,0x7d45f880,0x101be204,0xa84fa8bf,0xffffffff,
    0x803fb82d,0xfffffffa,0x013ea5ff,0x86f883fb,0x3ffea0fc,0x05ffffff,
    0x32001bee,0x83fd001f,0x99999ef8,0xf05f7009,0x263fb81f,0x321fb0ff,
    0xfb07e80f,0x417dc009,0x31fdc0ff,0x203f61ff,0x00ff82fb,0x2fb80df1,
    0x6fd40ff8,0x205fdbaa,0xcfa803fb,0x09999999,0x1fd013e6,0x0fc86f88,
    0x266673ea,0x3e600999,0x01fc8005,0xffffffa8,0xfe8005ff,0x3fffffff,
    0x57ee1fdc,0xd01f90fd,0x800bf90f,0xfffffffe,0x2e1fdc3f,0xfd01fb5f,
    0x7fffffff,0xfd01be20,0x7fffffff,0x5fc84fa8,0xf5007f70,0x02fc4009,
    0x21be21fa,0x013ea0fc,0x8005f980,0xefe801fc,0x05feeeee,0x66677cc0,
    0x7dc6fccc,0x0fdafe83,0xa8ff01f9,0x3e6000ef,0xfcccccce,0x7f41fdc6,
    0x77cc0fda,0x6fcccccc,0x7cc0df10,0xfcccccce,0xfd827d46,0xa803fb84,
    0x03fc004f,0x0df10df1,0x027d41f9,0x000bf300,0x5f9803f9,0xc800bf10,
    0xb87fa01f,0xfeff983f,0x7fb87f90,0x90007fe6,0x70ff403f,0xfdff307f,
    0x3a01fc81,0x206f881f,0x87fa01fc,0x5ff104fa,0xfa803fb8,0x82fec004,
    0x86f883fd,0x013ea0fc,0x8005f980,0x0fec01fc,0x7c005f88,0xf72fd407,
    0x43ffee07,0xefcabff9,0x0005fd17,0x25fa80ff,0xfff703fb,0x7d407f81,
    0x3e06f885,0xf52fd407,0x707fdc09,0x09f5007f,0x99bffd00,0x1be20bff,
    0x04fa83f2,0x0017e600,0x6f9807f2,0x3bbbfe20,0x3ea2eeee,0xb87fc404,
    0x83ffa03f,0x7c9efffa,0xdddddff9,0x4fa8dddd,0xfb87fc40,0xa83ffa03,
    0x07fc404f,0x27d41be2,0x7d43fe20,0xf727ec04,0x9ddddddd,0x3bbbbfea,
    0x6443eeee,0x203dfffe,0x20fc86f8,0xeeeeeffa,0xbf303eee,0x403f9000,
    0x3fe202fd,0x3fffffff,0x3f2007f6,0x7cc07f73,0xf900880f,0xffffffff,
    0x801fd8ff,0x407f73fc,0x07f60ff9,0xdf10ff20,0x32007f60,0x8809f53f,
    0xffff71ff,0x3eabffff,0xffffffff,0x8800c04f,0x2a0fc86f,0xffffffff,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9d364000,0x9adea800,0x1544001f,0x1a88d440,
    0x00088300,0x2a202754,0x00154402,0x51540353,0x50181005,0x55001441,
    0x44154401,0x07b5002a,0xaaaaa880,0xbb0ec802,0x3aa9d100,0xe8039502,
    0x9f001be7,0x7000dff9,0x23fa007f,0x27b000fd,0x7d4003e8,0x1017ec06,
    0xf3007ffd,0x2fee01ff,0x3fa203fb,0x1d706cbe,0x3ee009b1,0x41fff404,
    0x375802fc,0x7fffd400,0xf0fd806f,0x2ebf100d,0x807f903f,0x8800aa2a,
    0x5f8000c2,0x0bffe200,0x06fff980,0x2202a880,0x64fec04f,0x23be201f,
    0x9ffb00ee,0xeeb9ea80,0x037ff602,0x3f203740,0x06e82fca,0x2001c8d8,
    0x00999998,0x00550a98,0x402a2351,0x36e201a9,0x1000acee,0x0159ddb7,
    0x20005440,0x130002a9,0x7edcc400,0x402982ce,0x405511a8,0x203530a9,
    0x008802a8,0x22000880,0xa8aa200a,0x6400a882,0xbd50006f,0xeeeee980,
    0x401eeeee,0x4c0005ea,0xfffedffe,0x6fff4c01,0xec81fffe,0xd31ed803,
    0xdddddddd,0x05ea803d,0xdbdffd10,0x45e889ff,0x876403e9,0xeea800eb,
    0x402cceee,0xeee985e8,0x1eeeeeee,0xddddddd3,0x5e883ddd,0xfd00bd10,
    0xffd0003f,0x7fffd403,0x01ffffff,0xf100fff4,0x510ffe60,0x3fe601ff,
    0x207fd443,0x3ee01ff8,0x3ffffea5,0x401fffff,0x74401ffe,0x24fd883f,
    0x027d46f8,0x007e47f6,0x7fffffd4,0xdf102eff,0xffffff50,0x3ea3ffff,
    0xffffffff,0x8837c41f,0x7e7cc06f,0x7e7cc004,0x0013ea04,0x409f9f30,
    0x01fe80f9,0x3fa03bea,0x703bea01,0x83fe20df,0x4c0004fa,0x7ec04fcf,
    0xf887f402,0x36027d46,0x5001f91f,0xffc9887f,0xfa86f880,0x013ea004,
    0x7c41be20,0x7ec7e406,0x363f2000,0x009f500f,0x0fd8fc80,0x4fb83f30,
    0x7dc2fc80,0xd82fc804,0x542fe83f,0x7e40004f,0xbf100fd8,0x3e21b500,
    0x36027d46,0x5001f91f,0x42fdc07f,0x04fa86f8,0x20013ea0,0x0df106f8,
    0x007f76f8,0x503fbb7c,0x6f80009f,0x07ea07f7,0x9f5003f9,0xfa801fc8,
    0x2e1ff884,0x004fa84f,0x03fbb7c0,0xf10007f5,0x6c04fa8d,0xdb71f91f,
    0x403fa839,0x437c41fe,0x3ea004fa,0x06f88004,0x9fd40df1,0x7f5006f8,
    0x27d41be2,0x227f5000,0xd85f506f,0x46f8800f,0x6f8800fd,0x3be2df70,
    0x0004fa80,0x837c4fea,0xf88002fc,0x36027d46,0xdbfdf91f,0x01fd45ff,
    0x0df10bf2,0x7d4009f5,0x06f88004,0x07ec0df1,0x1fb003fb,0x6fd40fec,
    0x1aaaaaaa,0x1fd83f60,0x03fc2fb8,0x007f8ff0,0xdafd81fe,0x55bf501f,
    0x40355555,0x207f60fd,0xccca80fe,0xa8df13cc,0xccccccef,0x1ff91fec,
    0x07f52fd4,0x37c44fb8,0x55556fd4,0x37ea1aaa,0x1aaaaaaa,0xdf106f88,
    0x9f517e20,0x7d45f880,0xfffffa84,0xf105ffff,0xfc84fa8b,0xf8007f43,
    0xf8007f46,0x13ffe206,0xffffffa8,0xbf105fff,0x1fd84fa8,0x5fffffb8,
    0xfffa8df1,0xffffffff,0x4ff05f91,0x2fcc03fa,0x3fea1be2,0x5fffffff,
    0x3fffffea,0x6f885fff,0x3ee0df10,0x2e00ff82,0x540ff82f,0x999999cf,
    0xf05f7009,0x643fc81f,0x44f8801f,0x4f8801fc,0x2a037dc0,0x999999cf,
    0xf05f7009,0x883fb81f,0xf15fa999,0x6c04fa8d,0xfb03f91f,0x3ea01fd4,
    0x7d437c44,0x9999999c,0x26673ea0,0xf8809999,0x3a0df106,0xffffffff,
    0x3ffffa03,0x7d43ffff,0xfffd0004,0xc87fffff,0x401fd44f,0x01fd43fb,
    0x3e601fdc,0x0027d405,0xffffffe8,0x02fcc3ff,0x46f8afc4,0x8fec04fa,
    0x2a7d80fc,0x21fdc03f,0x04fa86f8,0x20013ea0,0x0df106f8,0x99999df3,
    0x3be60df9,0x6fcccccc,0x4c0027d4,0xccccccef,0x2227e46f,0x3fe200ff,
    0x1007fc40,0x5f9801ff,0x40027d40,0xcccccef9,0x02ff86fc,0x46f8afc4,
    0x8fec04fa,0x2a7d80fc,0x217ec03f,0x04fa86f8,0x20013ea0,0x0df106f8,
    0x0ff403f9,0x3fd00fe4,0x640027d4,0xc87fa01f,0x81ef984f,0xdf302fe8,
    0x005fd103,0x4fa80bf3,0x201fc800,0x1ffcc1fe,0xdf15fe98,0x7ec04fa8,
    0x4fb01f91,0x1be603fa,0x13ea1be2,0x8004fa80,0x0df106f8,0x85fa80ff,
    0x52fd407f,0x0ff0009f,0x2a005fa8,0xffdbbdff,0x5effd402,0x3002ffdb,
    0x04fa80bf,0x7d407f80,0xcdfff985,0xf10cffed,0x6c04fa8d,0xfb01f91f,
    0xfea81fd4,0xfa86f882,0x013ea004,0x7c41be20,0x22027d46,0x013ea0ff,
    0x3fea1ff1,0xeeeeeeee,0xf1013ea3,0x75cc001f,0x3001ceff,0x039dffd7,
    0x2a02fcc0,0xeeeeeeff,0x013ea3ee,0xb7101ff1,0x883bdfff,0x2027d46f,
    0xb01f91fd,0x77777d4f,0xf103fffe,0xdddff50d,0x2a7ddddd,0xeeeeeeff,
    0x837c43ee,0x00fec6f8,0x03fb1fe4,0x3fea7f90,0xffffffff,0x32007f64,
    0x0110003f,0x00008800,0xffa80bf3,0xffffffff,0x32007f64,0x2009803f,
    0x027d46f8,0x407e47f6,0x3fffea7d,0x2201ceff,0xffffa86f,0x54ffffff,
    0xffffffff,0x06f889ff,0x00000df1,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36008000,0xeda812e1,
    0xddb500cd,0x05c80039,0x8aec1f6c,0x3a6bd03e,0x00fae003,0x05555554,
    0x7d5675c0,0x33333300,0x1ae73b20,0x88017640,0x00aceeca,0x08000010,
    0x8dc40040,0x0ee1d848,0x0f4c0330,0x03f77d70,0x3bfb7ff2,0x7eeffd40,
    0x3332602f,0xcfc81cff,0x4f9bfc2f,0x013e6df0,0xfd004fc8,0x9807ffff,
    0x305ffdbf,0x50ffffff,0x007ffb7f,0x3e600bfa,0x0fffedff,0x4402e640,
    0x2e3dfeca,0x88173206,0xc86eefef,0x2200fbbe,0x007ee07f,0x3ea05bb7,
    0xdd17ea0d,0x3a606f88,0x5c2effee,0x9541fd4f,0x225501a8,0x06a6001a,
    0x45100000,0x4cccc018,0x02219819,0x4c00aa80,0x77dc42ff,0x30155600,
    0xfffbbfff,0x2aac05f9,0x032e2b50,0x100776e2,0x00fdc0ff,0x6c0ff400,
    0x3303be1f,0x0003f400,0x07d917a2,0x77643db0,0x4eeeeeee,0x3bbbbba6,
    0x5401eeee,0x8bd1005e,0x876404ea,0xeeeeeee9,0x3fe21eee,0xd81bee00,
    0x5ff100db,0xd809ff70,0x000000db,0xdfeb8000,0x19bdb504,0x55555ff0,
    0x6ffe45f9,0x676d400a,0xddb507e8,0x88df1039,0x17ee01ff,0xfffffffb,
    0x7ffd4dff,0x1fffffff,0x400fff40,0x17fdc6f8,0x3fea1fb0,0xffffffff,
    0x36013ea1,0x4402a01f,0xfff101fe,0x32a01500,0x01954b80,0x9bdb5097,
    0x86efed81,0x0efedffc,0x3fffffe6,0x7fdc4fff,0xffd80dff,0xfa87fefd,
    0x442ffddf,0x106fb86f,0x744001ff,0x0013ea2f,0x009f9f30,0xfffb8df1,
    0x3ea1fb00,0x007e4004,0x01951fdc,0x8827d497,0xb703fdde,0x0fc85bdd,
    0xd01f97e8,0xfedffc8f,0x540fdc0e,0x897ea0df,0x999999ef,0xffd73009,
    0xd8867dc1,0x7c46e87f,0xfd837c46,0x4002fe83,0x027d44fd,0x3f63f200,
    0x2e37c400,0x1fb05fef,0xfd0013ea,0xfc97e600,0x07ee7e80,0x445fbb74,
    0x3ffecefe,0x65fa03f2,0x3ea7e80f,0xf717ea0d,0xfb03fd03,0x54c07fc3,
    0x5f903510,0x1fe207f4,0x883303be,0x43ff106f,0x7e4004fb,0x0004fa85,
    0x403fbb7c,0x75fdc6f8,0xf50fd82f,0x007f8009,0x407e4ff1,0x3603f67e,
    0xfc8df30e,0x1f937cc3,0x203f2fd0,0x3607fa7e,0x859fb51f,0xcaaaaaff,
    0x3a0ff22f,0x3f21be0f,0x1fa0df11,0x402b7ff2,0x5bee06f8,0x2a000ef8,
    0x04fa80ef,0x7c4fea00,0x2e37c406,0x6c0ff9bf,0x8009f50f,0x4df1007f,
    0x3e7e80fc,0x3fc0fc87,0xf93f412a,0x03f2fd01,0xaaaff9fa,0xfdb2fcaa,
    0x7fffccbd,0x224fffff,0x3febaeff,0x7e55efdc,0x3ec13e66,0x0dffffb8,
    0x3f6037c4,0x26001fda,0x5bf501ff,0x03555555,0x03fb07ec,0x4fee37c4,
    0xa87ec5fb,0xaaaaaadf,0x4007ec1a,0x203f24fa,0x3f91fe7e,0x26206f88,
    0x03f27fcb,0x7407e5fa,0xffffff37,0x0fdc9fff,0x26667be2,0x7ec40999,
    0xfb703dff,0x2fc41bff,0x75cc07e8,0x01be20ff,0x4009fff1,0x3ea02fe8,
    0xffffffff,0xfa8bf105,0xf71be204,0x1fb17f47,0x3fffffea,0x1fdc5fff,
    0x1f91fe40,0xb87f4fd0,0xb84f982f,0x27fefffe,0xf97e80fc,0x3be2fd01,
    0x09999999,0x03fe07ee,0x03d802a6,0x07fc09f0,0x03511fe2,0x037c45f9,
    0x360037dc,0x4e7d404f,0x00999999,0x01ff05f7,0x47f71be2,0x21fb0ff9,
    0x99999cfa,0x07fcc099,0x83fe6336,0x327e80fc,0xf702fabf,0x21befc85,
    0x3e03f27e,0x4ff01f97,0x20a980ff,0x83fc82fb,0x00ba00fe,0x7e417aa2,
    0x37c3fdc2,0x0df10fe4,0x6400bf30,0x04fa805f,0xfffffd00,0x3e207fff,
    0x3ee1fdc6,0x13ea1fb5,0xc83bea00,0x7e42feff,0x3fe27f80,0x41ff103f,
    0x64ff06f8,0xfcbfdc3f,0x7f93fdc3,0x77d41fd0,0x2bbfe20c,0x6f403feb,
    0xdd530199,0x36b7fa20,0xbdfb87ff,0x37c46fca,0xa802fcc0,0x4fa800ef,
    0xccef9800,0x106fcccc,0xe83fb8df,0x9f50fdaf,0x37fee000,0x40fffdbb,
    0x23fdc3fc,0xfe980ffc,0x7dc37c42,0x32affe67,0x57ff37ef,0x7fc4fdf9,
    0xd83febae,0x7fec41ff,0xffa803df,0x1dff982f,0x2bfff620,0xfffb707d,
    0x806f881b,0xff9805f9,0x009f5001,0x7f403f90,0x7dc6f881,0x0feff983,
    0x540009f5,0xebceffec,0x2affe64f,0x3ba27efc,0xffdbbdff,0x9539fb02,
    0x7fd41fff,0x3ea7c9ef,0x447c9eff,0x403dfffd,0x40004c00,0x04000009,
    0xf8806200,0x405f9806,0x2a002fe8,0x07f8004f,0x37c42fd4,0x7fdc0fee,
    0x0009f50f,0x51ae0220,0x4f93dfff,0xdfffb35e,0x7fe44039,0x882fb9ef,
    0x20008800,0x00000009,0x00000000,0x06f88000,0x7e405f98,0xeeeeeeef,
    0x3bbfea6e,0x23eeeeee,0x7fc404fa,0x3ee37c40,0x543ffa03,0xeeeeeeff,
    0x000003ee,0x4404c011,0x00018000,0x00000000,0x00000000,0x20000000,
    0x5f9806f8,0x7ffffe40,0x2a7fffff,0xffffffff,0x007f64ff,0x8df10ff2,
    0x3fe603fb,0xffffff50,0x0009ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37200000,0x07b603e8,0x6449d108,
    0x809d00be,0x205d88ec,0xd92dfeca,0x07dddddd,0x32a037a6,0xd7004b80,
    0xb00bd107,0x37bb6e0d,0xb8de8802,0x2543b03e,0x2a1dc1b0,0xa839db54,
    0x2203ec8c,0x001bdeca,0x037ddb71,0xe80101d9,0x3e3fa004,0x2209f504,
    0x3e2bf13e,0x0fa85ead,0x0fe77c40,0xfeceffb8,0xffffffdb,0xeeef884f,
    0x3f407e40,0x44077c40,0x447e806f,0x3ffecefe,0x0ef97dc0,0x03f77d70,
    0x207e5f64,0xffeefcfc,0x1bff7f22,0x7f77ffd4,0x7ff4c05f,0x361fffed,
    0x880fa20f,0x5dfa001f,0x7d40dd04,0xa87d52e3,0xf5004e87,0x07fea05f,
    0x4001fff9,0x645f98fe,0xb807e80f,0x00df101f,0x4c3fc8fd,0xfaa7406f,
    0x016edc01,0x320736e2,0xc9bea1ef,0xfa8088ef,0x827e40af,0x7d442ff9,
    0x3f98d10f,0xfd001ea0,0x7d4000b6,0xf136cb63,0x00007d45,0x3f605fd0,
    0x6400000f,0x0007e80f,0x7e806f88,0x007e8254,0x80000000,0x327f83fc,
    0x01ff403f,0x03fd07f9,0x4c59afd4,0xa817603f,0x28fe8ced,0x41ceeda8,
    0x229cdfda,0x4e87e66c,0x39ddb500,0x3e605f98,0x3b2a000f,0xe80fc82d,
    0x16f65407,0x3f4037c4,0x0ff97310,0x00cdeb88,0x80b7bb6e,0x640cdeb8,
    0x3f27d81f,0x7c02dc01,0x6402fd47,0x3f6a0ddf,0xb03f80cd,0x0ffdfbff,
    0x3ff77fea,0x07bbfae2,0xfa9ea1f3,0xddffa800,0x013ee2ff,0x3f2001ff,
    0x7e46fedf,0x3f207e80,0x7c46fedf,0xeb87e806,0x207fefff,0x1fffdffd,
    0x7f677f44,0xfdffd83f,0x207f21ff,0x0003f27d,0x5f907ec0,0xd70df500,
    0x0f983ddf,0xfb10cfb8,0xdf11ba0f,0x3be03fa8,0x400fa4fc,0xf937c46e,
    0xaabff807,0x06fd42aa,0x407e45f7,0x41bf507e,0x01be22fb,0x37df91fa,
    0x0dfb83f4,0x87f91bea,0x06fdc6f9,0x40fe4df5,0xa803f27d,0xaaaaaaaa,
    0x3fa2fdaa,0x307f8801,0x741ae07f,0xf83fc40f,0x3ea0cc0e,0xf70edc03,
    0x81df0041,0xd00bf219,0x1fffffff,0x91e407ec,0x360ff03f,0x3e23c80f,
    0x3e27e806,0x3fe0ff06,0x12a2fe80,0x203fe3f4,0xb03f92fe,0xff007e4f,
    0xffffffff,0x03fc7fff,0x0fe60ff0,0x837c4274,0x5bff907e,0x000fea01,
    0x1ffe44fe,0x4056ffe4,0x4ffc02fc,0x2fc19999,0x7dc3fb80,0x2200bf07,
    0x227e806f,0x887fb86f,0x207f706f,0x227fcb98,0x327f706f,0x3f27d81f,
    0x2667fa00,0xfc999999,0x7c003fa3,0xf107f306,0x3609f305,0x3fffee07,
    0x001fd40d,0x54f643ee,0xffffb82f,0xf00fee0d,0x05f8801f,0xfb59ff30,
    0x00bf10fd,0x1fa01be2,0xff9539fb,0x304f981f,0xfffeb89f,0x413e67fe,
    0xb03f94f9,0xfb007e4f,0x645f9003,0x04f8801f,0x01f507f3,0x01fa0df1,
    0xa83ffae6,0x8fe2003f,0xb981364f,0x09f50ffe,0x22007fcc,0x3faa005f,
    0xf887c9ef,0x4cdf1005,0x7e447e82,0x42fb9eff,0x47f505f9,0x9fa1befc,
    0x27f505f9,0x327d81fc,0x00ff200f,0x03fa83fa,0x7f303fb8,0x07f40b90,
    0x06a21fe2,0x03fa8bf2,0x22f99ee0,0x3206a27c,0x6403fe2f,0x06f800ff,
    0x3d8220bb,0x89760df0,0x1be1fe6f,0xff82d418,0xdf11fd80,0x01ff1fe0,
    0x8fb003fb,0x1ff100b9,0x3e22fdc0,0x03fe200f,0x01fc1fcc,0x07fb85f9,
    0x4c3f90df,0x87f1003f,0x0df1763f,0x42fdc3f9,0xc800fffa,0x801fcc2f,
    0x985f902e,0xfe9be23f,0xc8017e61,0xf885fb05,0xf70df10f,0x7c42fd8f,
    0x4c6e800f,0x1bf902fc,0xf303ff50,0x05fd103d,0x07e61fcc,0xfdadfe88,
    0x57bf707f,0xcef88df9,0xaec3e401,0x5efdc3f8,0xefc86fca,0xefdcfcab,
    0x225eeeee,0x07fcadff,0x886637a0,0x47fcadff,0x33fea6f8,0x2a002ffc,
    0x3fe23bbf,0x6c2ffcad,0xfffca9cf,0x32b7fe20,0x7d4c02ff,0x3604f984,
    0xffdbbcff,0x2f7fea02,0x4402ffdb,0x00f71cef,0xfb5fffb1,0x6fffedc0,
    0x203ffc80,0xfef983f8,0xfffdb80e,0xfffd700d,0x3fffff69,0x7fec47ff,
    0x3ea001cf,0x7fec42ef,0x237c41cf,0x002efffb,0x6c42efc8,0xc882dfff,
    0x2fb9efff,0x16fffec4,0xf70f7f40,0xfeb801df,0x9801dfff,0x01ceffec,
    0x1767ff90,0x31000300,0x09300200,0x018801a8,0x80000220,0x40040001,
    0x00260001,0x80060000,0x40018001,0x00098819,0x22000098,0x09820000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76403e98,0x5eb84e88,0xb105e980,0xcda8801d,
    0x74d3a202,0x24c2e202,0x88017ae0,0x13aa00de,0x3bdb74a8,0x0389f540,
    0x2006f6e2,0x6407e63f,0xb105d88e,0x7440baab,0xeb805d54,0x037a2005,
    0x95004eb8,0x51d705bd,0x89fd809f,0x27efd45f,0xfa807f60,0x3fbfe604,
    0x2abf104f,0xdfdf303f,0x7efd40bd,0x005f9004,0x33f201fb,0x202ffdef,
    0xf704fefa,0x4407ffbf,0xf881ee2f,0x3ee01fdd,0x57e205fb,0x37ea03fa,
    0x05f9004f,0xfc801fb0,0x7e46fedf,0x7ec04fa8,0x5be24c89,0x07f302fb,
    0x3ba01f90,0x2605fb31,0x52e01310,0xdf100bb8,0x9f100fee,0x6413a200,
    0x41be61ef,0xf104ffda,0x40bf621b,0x501b60fa,0xdfb005ff,0x13109801,
    0x1fddbe20,0x44013e20,0x837ea04e,0x2a3f22fb,0xb8fec04f,0x00000003,
    0x06f82fb8,0x00000000,0x32000000,0x7d07e82f,0x07f207ee,0xd1f209f3,
    0x00000009,0x00000000,0x01fb0000,0x7d47e479,0x75cfec04,0x29701950,
    0x954b80ca,0x83ec9701,0xdeb880fd,0x37ae200c,0x37ae200c,0x37ae200c,
    0x37ae200c,0x6c0fe40c,0xdd797307,0x49f50310,0xcccfeccb,0xedb80cdf,
    0x3ae202de,0x3b6a00cd,0x3b6a00cd,0x3b6a00cd,0x3b6a00cd,0x005f80cd,
    0x809f51f9,0x3f20cefd,0x01f97e80,0x3a03f2fd,0x0fdc1ba7,0x3fff7ff6,
    0xffdffd81,0xfdffd81f,0xdffd81ff,0xffd81fff,0x3f21fffd,0xffc87d80,
    0xd004fffe,0x77f7645f,0x20eefeee,0xffecefe8,0xffdffd83,0xedffc81f,
    0xdffc80ef,0xffc80efe,0xfc80efed,0x220efedf,0x51f9005f,0x81fd809f,
    0xf97e80fc,0x03f2fd01,0xf706f9fa,0xf506fdc5,0x2a0dfb8d,0x506fdc6f,
    0x20dfb8df,0x06fdc6fa,0x407e4df5,0x88efd47d,0x3f6607fc,0x5c5f102f,
    0xf987f907,0xf506fdc6,0x2a0dfa8d,0x506fd45f,0x20dfa8bf,0x06fd45fa,
    0x02fc4bf5,0x04fa8fc8,0x07e40fec,0xe80fcbf4,0x2fd01f97,0x45f505f8,
    0x22fe80ff,0x22fe80ff,0x22fe80ff,0x22fe80ff,0x92fe80ff,0xfe8fb01f,
    0xd700ff81,0x83ea07ff,0x3a09506d,0x7f407fc7,0x3f607fa2,0x3f607fa1,
    0x3f607fa1,0x3f607fa1,0x92ec1be1,0xd809f51f,0xe80fc81f,0x2fd01f97,
    0x3e7e80fc,0x3e25f705,0x3e27f706,0x3e27f706,0x3e27f706,0x3e27f706,
    0x3f27f706,0x1fe27d80,0x322017e4,0x2747c86f,0x3fe5cc40,0x8fee0df1,
    0xcaaaaaff,0x2aabfe2f,0x3fe2fcaa,0x2fcaaaaa,0x2aaaabfe,0x30bf22fc,
    0x7cc7e47f,0x6407f404,0x1f97e80f,0x203f2fd0,0x7dc1be7e,0x3e609f31,
    0x3e609f34,0x3e609f34,0x3e609f34,0x3e609f34,0x4fb01f94,0x07f505f9,
    0x765c3fa0,0xccdfcccf,0x77fff5c0,0x4c13e67f,0xfffff34f,0x3e69ffff,
    0xffffffff,0xffffff34,0x3fe69fff,0x4fffffff,0x3f2b7fe2,0x2fc47e47,
    0x07e41fa0,0xe80fcbf4,0x4fd01f97,0x261f906e,0x267f505f,0x267f505f,
    0x267f505f,0x267f505f,0x327f505f,0x3e27d80f,0x2007f705,0xffffb2fb,
    0x41ffffff,0x9fa1befc,0x27f505f9,0x99999ef8,0x33df1099,0x22133333,
    0x999999ef,0x333df109,0xd8813333,0x7e41cfff,0x37c40ff0,0x97f80fc8,
    0x3f2ff01f,0x03f67f80,0xb01ff1fa,0x6c07fc3f,0x3603fe1f,0x3603fe1f,
    0x3603fe1f,0x201b981f,0x22fd80fe,0x4c5fb07e,0x7c41ee1f,0x0ff8ff06,
    0x03fe1fd8,0x80ff82a6,0x203fe0a9,0x203fe0a9,0x01d900a9,0x82fec3f2,
    0x87f903fd,0xb87f97fb,0xfb87f97f,0x9f513e67,0x7fc42fd8,0xff10bf60,
    0x3e217ec1,0xf10bf60f,0x2217ec1f,0x4fc980ff,0xff885f70,0xff10fee0,
    0x0bb07d41,0x1fee1be2,0x0ff885fb,0x83fa0ff2,0x20fe83fc,0x20fe83fc,
    0x00fe83fc,0x1f901fb5,0x7e66fff4,0x2ffe605f,0xff37efca,0x26fdf957,
    0x7efcabff,0x37ed77ec,0x7e56ffc4,0x56ffc42f,0x7fc42ffc,0x442ffcad,
    0x2ffcadff,0x7e56ffc4,0x417a602f,0xffcadfe8,0xfcacff82,0x13e3642f,
    0xfca9cfd8,0x37fe20ff,0x7c42ffca,0x43febaef,0xfebaeff8,0x5d77fc43,
    0x77fc43fe,0x5103feba,0x41f901fb,0x3dfffec8,0x9efffa80,0x3bffea7c,
    0x3ffea7c9,0xffc87c9e,0xffb100cf,0x3f6205bf,0xfb102dff,0x36205bff,
    0xb102dfff,0x2a05bfff,0x36201eff,0x7101efff,0xbb03dffd,0xf91017c4,
    0x85f73dff,0x02dfffd8,0x07bfffb1,0x0f7fff62,0x1efffec4,0x3dfffd88,
    0x640b7fe0,0x4000600f,0x80088008,0x00060008,0x40018003,0x2000c001,
    0x00098801,0x0110004c,0x18006044,0x4c001800,0x80026000,0x00260009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33326000,0x4fa64ccc,0x00adfed9,0x80baa9d1,
    0xb80930b9,0x37a2005e,0x2017a600,0x800bdeda,0x4401cec9,0xd305d54e,
    0x3620baa9,0xb8007d35,0x4ea8003e,0x71003300,0x9f5c039b,0x9aec40dd,
    0x36e6203e,0x54402cef,0x9001beec,0x4fffffff,0xedffbcfa,0x2bf105ff,
    0xfdf303fa,0x6fd409dd,0x05f9004f,0x7d407f70,0x5c06fdcf,0x200ffcef,
    0x207f55f8,0x2a05fbfc,0x2000eecf,0xe8000ef8,0x07f9800f,0x7ff77f4c,
    0x3fb8ef80,0x01dd9f50,0x3b7bffa2,0xfff304ff,0xb00dffdd,0x4333333f,
    0x7442fffa,0x2621304f,0x2ee69700,0x3eedf100,0x0027c403,0x71be20db,
    0xf337405f,0x13109807,0x20077ec0,0x5c000ffc,0x1fa8001f,0xe80ff300,
    0xf513ea1f,0xff9017a3,0x20ffa203,0x7fcc4fd8,0x013f220a,0x5ff500bf,
    0x0003fe20,0x00000000,0x1fcc0000,0x2fc40fe6,0x00000bf1,0x00000000,
    0x00002000,0x00fb07f5,0x0bf60000,0x3fe21fd0,0x4407fa02,0x07fa804f,
    0x76dc17e4,0x3b6e02de,0x3b6e02de,0x3b6e02de,0x3b6e02de,0x217d42de,
    0x47fe00fd,0x019502fc,0x5bd95097,0x09701950,0x2a39bdb7,0x7100aded,
    0x20d55bdb,0xfd02deca,0x2e032a00,0x0cdeda84,0x6d402fc4,0xc9809f30,
    0xb935f501,0x406fa817,0x3bfa23fa,0x7443ffec,0x43ffecef,0xffecefe8,
    0x7677f443,0x77f443ff,0x3ee3ffec,0xf5013e62,0x7e409fbd,0x7fe47e80,
    0x07e46fed,0x9bfd13f4,0xdbffbffd,0xbfff30df,0xff905fff,0x2df0dfdb,
    0x0fc81ba8,0x6ffe47e8,0x0fea0efe,0x000bee00,0xffdfff70,0x202fd43d,
    0x30ff24f9,0x4c3fc8df,0x261fe46f,0x261fe46f,0x261fe46f,0xfc8bee6f,
    0x02ffe800,0x53f407e4,0x917dc1bf,0x7e4fd01f,0x5067fdc1,0x222fe89f,
    0x06fd43ff,0xfbdf85f7,0x3f20dfff,0x37ea7e80,0x2fc97ea0,0x001fd800,
    0xc9867ec0,0x3013ea6f,0x7e8254bf,0x547e8254,0x04a8fd04,0xfd04a8fd,
    0x03fb17dc,0x027ffec4,0xd9fa03f2,0x3f23c80f,0x20ee7e80,0x0fe80ff8,
    0x7fdd8bf5,0x11e407ec,0xfb519fff,0x3f407e4b,0x23fb03fd,0xccca80fe,
    0x001fd3cc,0x5fd01880,0xbf3013ea,0x1ff2e620,0x07fcb988,0x81ff2e62,
    0x207fcb98,0x2e7fcb98,0x20bfe62f,0x2ff8aff9,0x407e41bb,0x64017e7e,
    0x2607e80f,0xaaaaffcb,0x47f71fda,0x3e0fc8fb,0x07ff1005,0x203f23ff,
    0x2aabfe7e,0x3fb2fcaa,0xbfffff70,0x000007f6,0x09f53fb8,0x7f5c4fa8,
    0xeb87feff,0xb87fefff,0x87fefffe,0x7fefffeb,0xfefffeb8,0xff30bee7,
    0x3e62fc89,0x07e46faf,0x005f8bf4,0xb8fd01f9,0xfffdfffe,0x93ffffff,
    0x7e47e63f,0x2200bf11,0x92fc80ff,0x3e6fd01f,0xffffffff,0x33107f74,
    0x0bf2bf53,0x3fa80000,0x3fb809f5,0x7e86fbf2,0xfd0df7e4,0x3a1befc8,
    0xd0df7e47,0x21befc8f,0x220bee7e,0x2a1fe3fe,0x07e42fff,0x005f8bf4,
    0x64fd01f9,0x3df11bdf,0x21333333,0x363e8afc,0x400bf10f,0x325f707f,
    0xdf17e80f,0x13333333,0x3e2017e6,0xf9807f55,0x3f60fd05,0xfe809f50,
    0x9fe0df11,0x44ff06f8,0x7c4ff06f,0x37c4ff06,0x40bee7f8,0x203fa5f8,
    0x07e40ffc,0x360df3fc,0x5fe03f25,0x07f886f8,0x36fea153,0x0df1fe25,
    0xb01fb176,0x3e03f23f,0x2a603fe7,0xf100bfe0,0xe803fe2b,0x887f704f,
    0xa813ea5f,0x2e1be26f,0x2e1be27f,0x2e1be27f,0x2e1be27f,0x2e1be27f,
    0x322bee7f,0x3fb93e23,0x322fff44,0xf93fdc3f,0x3f23f985,0x5f8bfdc3,
    0x7c42ffd8,0xb83bfe26,0x2617e45f,0x2227d43f,0xf70ff27f,0x7f41fe4f,
    0x4c0ffe60,0x03bea5fe,0xff803fee,0x2a2ffcac,0x7fee744f,0x654e7ec1,
    0x33f60fff,0x20fffca9,0xffca9cfd,0x2a73f60f,0x3f60fffc,0x0fffca9c,
    0x2affa5f7,0x3bfe21fe,0x5febffcb,0x3f2affe6,0x2b7fe27e,0x5ffcc7fc,
    0x3f67efca,0xfebfda9c,0x641febac,0x0ffeabef,0x7e56ffc4,0xf75bfb07,
    0x55ffcc3f,0x3fe27efc,0x983febae,0xfedcdfff,0x6ffe40cf,0x401fffcb,
    0x41effeb8,0x3ffa64fa,0xfffc881e,0x3222fb9e,0x2fb9efff,0x27bfff22,
    0x3ff222fb,0x222fb9ef,0xfb9efffc,0x3f625f72,0xffe882df,0xa8bb11ef,
    0x47c9efff,0x81cfffd8,0x7c9efffa,0x837fff22,0x442dfffd,0x0beffdcf,
    0x39fffb10,0x177ffe40,0x64f7ffd4,0x6fffec47,0x3ff6e203,0x32a01def,
    0x000dfffe,0x04400044,0x00c00180,0x00300060,0x00200018,0x0220100c,
    0x01100180,0x44030060,0x00600043,0x01100110,0x4c0004c0,0x00188000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x209701ca,0x4a81bdc9,0x4c017db7,0x5400beeb,
    0x5c8000bd,0x4a8ceda8,0x46d805d8,0x04e800eb,0x0ec807d3,0x37bfb710,
    0xe880bb00,0x776dc404,0x3b6a00ac,0x8036c01c,0xfb7104e9,0x3220037b,
    0xc982cefd,0x7cc0ca81,0xfc84f885,0x7e43ffef,0x80ffddfd,0x1ffddffa,
    0x5ffeffb8,0x3f63f400,0x267effdf,0x07dc05fe,0x1b2003f2,0x3f6027d4,
    0xbabefc81,0xfe980dfd,0x26036c05,0xfffedffe,0x6d9cf881,0x4c003ee0,
    0xabefc85f,0x2600dfdb,0x5fffefff,0x0fdc17d4,0x07ee07f4,0x3f223df5,
    0xf987ff22,0xf107fc46,0x7e41dd0d,0xfb9fa001,0x74ffb10c,0x0be205db,
    0x3e6003f2,0x6c04fa80,0x8807e41f,0x2edf40ee,0x7cc03f50,0x07fd443f,
    0x3e20fb04,0x917e6002,0x03ba201f,0x3f6617fc,0x3ee0bea4,0x3742fb81,
    0x93fc17f4,0x543fd09f,0x2a1fc84f,0x002fc43f,0x2607fcfd,0x3a05c87f,
    0x2001f905,0x404fa82f,0x263b21fd,0x1b621aaa,0x03f882e4,0xdf500ff4,
    0x203ff101,0x2fcc005e,0x2f2a21d9,0x9f50db10,0x2fa9be20,0x5f881fb8,
    0x41fe13e6,0x705f91fc,0x801fdc5f,0x837c43fa,0x17e8ceda,0x321fe0df,
    0x3201d905,0x80cedb8f,0x404fa85d,0x363f11fd,0x3a0eeeef,0x0bb05c82,
    0xfc804fb8,0xc81f9302,0xafcc000e,0xb9fd11f8,0x3ea1743f,0x2fa8ae04,
    0x1fb01fb8,0x0df103f2,0x407e4bf2,0x017ea4f9,0x7f9077c4,0xfdfbffb0,
    0x3ec13e6f,0x00fcc2e4,0xffdbfdf9,0x4fa87b83,0x26a8fec0,0x0991fc4d,
    0x801f70b9,0x4fa801fc,0x262f98a6,0x5f98001f,0x96e2f4d5,0x05ffc44c,
    0x7e417d40,0x1be7f501,0x9ffc07fc,0x13fa81fc,0x80333df3,0x83ffefe9,
    0xffb10cfb,0x43f413e2,0x2027445c,0x1bea1ffc,0x04fa83f3,0x364c8fec,
    0x86a8be24,0x4017cc5c,0x6f8800fd,0x89faf3e2,0xbf30004e,0x2017c532,
    0xefffa86a,0x907f501b,0x7cf7c03f,0x5c19f903,0x707f93ff,0x3ffff23f,
    0x3fa600ff,0x0fe83ffe,0x10db3fc4,0x6d8750ff,0x213f2088,0x2a1f41fe,
    0xe8fec04f,0x13fbbf62,0x743a81f1,0x03fc0444,0xbdc98ff0,0x00221b60,
    0xf99757e6,0x4c07c400,0x43ffffec,0x01fd84fa,0x4403f7f2,0xfcffdffe,
    0x7f88bf92,0x0ab3f6a6,0xf911dfa8,0x7e837c4b,0x0ff90fea,0x6e883f50,
    0x0ff20bf2,0x404fa8d9,0x6ec7b1fd,0x807985da,0x37ffaa6c,0x7c003fa0,
    0x883f5006,0xb5f9806e,0xf3007e67,0xbffb7300,0xff3077d4,0x02ffcc03,
    0x7d4eff64,0xf95dff91,0x005f703f,0x21fd01fb,0x44fb04f9,0x7fffcffe,
    0x7f41fc40,0x3ea03f26,0x9f307d44,0x4b70fe80,0x0b913a4d,0x4d3a1fa8,
    0x2007f24f,0x3f8804f8,0xf9806fe8,0x2a27cb75,0xd3001727,0x2fbfea3f,
    0x7401fffc,0x1f70002f,0x37ffabf2,0x8803f902,0x227f706f,0xc88fd05f,
    0x407e9dfe,0x26ded85d,0x43fb80fc,0x017e22f8,0x4d87ccfd,0x202e8be6,
    0x51fc03f8,0x07f7007f,0xdbdb0bd0,0x53e60544,0x75bf50f9,0x1761747f,
    0x2fea7f50,0x01fbdffe,0x412a036c,0x0443f27e,0x37c017e0,0x03fe2fc8,
    0x1fa00ff1,0x47e40fb8,0x360bf26c,0x3fc4e82f,0x8ed8df10,0x0ecadc3c,
    0xee881760,0x8803fe20,0x07dc00ff,0xfa9b23f2,0x1db1fd44,0xec8b7ae2,
    0xf500fec0,0x0044bea7,0xfb807f30,0x1f91fd42,0x0023f200,0x83fe0bf6,
    0xd3fdc2fc,0x260bf30d,0x6d67d42f,0xf88bf92e,0x5fd8f706,0x1db07fb0,
    0xf7007640,0x2037e601,0xfe881ef9,0x2a17cc02,0xf32edacf,0x76c2fc8d,
    0x2a03b200,0x0fe881ef,0xbb8005f5,0xbfe800fe,0x07e45fca,0x7ffffdc0,
    0x3e23ecce,0x43ffbabf,0xffdadfe8,0x2e6b7f27,0x509d01fe,0x32bffddd,
    0x2ffcadff,0xffe83f30,0x205ffccd,0xeca8aced,0x40be600e,0x7fd404f9,
    0x02ffdbbd,0xeeea84e8,0x33bf65ff,0xced80efd,0x00eeca8a,0x3733bff2,
    0x00bea3ff,0x2003ffb0,0x40beffc9,0xcfa800fc,0x4fffecaa,0x17fffec4,
    0xdafffd88,0x77fff647,0x3200d901,0x3ffa7f26,0x221fc01e,0x03dfffec,
    0xbdffeca8,0xf882f400,0x7306ffff,0x0039dffd,0x11b200d9,0x401bfffb,
    0x0bdffeca,0xffffea80,0x0017d41d,0x00800062,0x4c402000,0x10004c00,
    0x91006200,0x880a6003,0x18011000,0x98002000,0x5555100c,0x00110055,
    0x29800e44,0x01000310,0x00018800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70039500,
    0x209519db,0x81d705e9,0x209d35d8,0xcceeeeea,0x800baa02,0xdd301ee9,
    0x0eb8bddd,0xea802ea8,0x75407642,0x3bbb6004,0xeeeeeeee,0x22bb1d70,
    0x1d87d35d,0x911b892a,0x3bbbbaa1,0x40eeeeee,0x84eeeeea,0x7d3000eb,
    0x74c0ec80,0x3605eeee,0x67fec02f,0x3fb07def,0x3ea03f20,0xff500eec,
    0x5dffffff,0x22005f70,0xc980eeee,0x7e44cccc,0xb803fb80,0x740ff43f,
    0xfff7000f,0xffffffff,0x9fa3f21f,0xeb86ecfa,0x3fbe1fbb,0x3ffee6ef,
    0xffffffff,0x666664c0,0x555fed43,0xb013ea02,0xcccc983f,0x802a604c,
    0x1ff624fb,0x0fc80be6,0x5403ff70,0x7fe4c43f,0xd8017dc0,0x0005f99f,
    0x0fee03f2,0x1f50fee0,0x3e002fa8,0x9005f88f,0xffc8d31f,0x4c5bb700,
    0xc8039715,0x3e00001f,0x506fffff,0x99999dfb,0x005bfd99,0x81fd0000,
    0xf90007f9,0x3fa80001,0x5f717ea0,0xb8800014,0x07e40cde,0x7dc01fdc,
    0x40003c43,0x00bf14fb,0x0012a3f2,0x3f200000,0x9bdb5001,0xb001f901,
    0xffffffff,0x2a7fffff,0xf704b80c,0x7c1be203,0x37b6e957,0x52a0fc81,
    0xf501dedb,0x2e1fe807,0xc805d8af,0x3f7ff603,0x203f21ff,0x3fb803fb,
    0x3232a16c,0x887f403e,0x71f9005f,0x03ec8ca8,0x801e4079,0xffc801fc,
    0x7e40efed,0xa81cedb8,0x90fec04f,0x320fd01f,0x209f300f,0xbdf9f97d,
    0x2afc85ff,0xffbdf9f9,0xb807f505,0x3bafee2f,0xf705f800,0xf937d41b,
    0x7007f701,0xfbf9007f,0x127d40df,0x03f200bf,0x41bff7f2,0x4017e05f,
    0x6fd401fc,0xdf917ea0,0xa85ffddf,0x90fec04f,0xf30fd01f,0xe837c40d,
    0x7cc3df97,0xfc97fe46,0x2a1be61e,0x727d403f,0x2fc00bff,0x2fe80ff8,
    0x2e5511f9,0xf7054c3f,0x11df9007,0xf107f401,0x3555555d,0x77e407e4,
    0x40bf0088,0x03f9005f,0x1fd81fe8,0x6fa87ff2,0x666677d4,0x321feccc,
    0x7cc7e80f,0x207fc01f,0xd05f97f8,0x3f22fd8f,0x7ffc7e82,0x7cc4ffff,
    0xf0013f25,0x2e0df10b,0xbf31f93f,0x45fb0fee,0x3fc803fb,0x7c45fa80,
    0x4fffffff,0x0ff203f2,0x05f817e0,0x337fb332,0xaaaff82c,0x3f22fcaa,
    0x7fd47f84,0xffffffff,0x3a03f21f,0x2007fa27,0xcbfdc3fc,0x3f27d81f,
    0x3607f20f,0x4ce7dcc7,0xfba7d409,0x42fc002f,0x29f304f9,0xf73c88fc,
    0x3ee1ca87,0x801fc803,0x4f7c41fe,0x32099999,0x801fc80f,0xc817e05f,
    0x2ccdfecc,0x7fffffcc,0x0bf24fff,0x809f51f6,0x203f21fd,0x4007fa7e,
    0xffdadff8,0x4fb01f97,0x03f20fde,0x00fea1f6,0x0bf7e5f7,0xbf30bf00,
    0x07e4fea0,0x7dc01fdc,0x400fc803,0xfffffffa,0x01f9005f,0x0bf001f9,
    0x1fc802fc,0x2667be20,0x3f209999,0x27d47d80,0x0fc87f60,0x209f37e8,
    0x5fffb100,0x3603f2fd,0xfc83f227,0x3fa87d80,0xfb88fec0,0xf82fc002,
    0xf91fd80f,0x7007f701,0x01f9007f,0xeeeeefe8,0x1f9005fe,0xbf001f90,
    0xfc802fc0,0x4c07fc01,0x3603f20a,0x36027d47,0x3e03f21f,0xdf109f37,
    0x7e5fa180,0x07e47d80,0x50fb01f9,0x23fcc07f,0x2fc002fb,0x7fc42fd8,
    0x7f701f90,0x9007f700,0x82fcc01f,0x1f9005f8,0xbf001f90,0xfc802fc0,
    0x741fe401,0x3603f20f,0x36027d47,0xf70ff21f,0x3ee07f4f,0x7e5fa002,
    0x07e47d80,0x50fb01f9,0x07faa07f,0x5f8005f7,0xf95bff10,0x5c07e45f,
    0x03fb803f,0x3f600fc8,0x200bf101,0x00fc80fc,0x017e05f8,0x3e200fe4,
    0x43febaef,0x547d80fc,0x30fec04f,0xfdf957ff,0x7e4df7d4,0xfcbf4006,
    0x07e47d80,0x50fb01f9,0xffdddddf,0xdddf707f,0xbf09dddd,0x6fffec40,
    0x7dc07e42,0x4eeeeeee,0xddddddf7,0x4c03f29d,0x3bfe206f,0x92eeeeee,
    0x001f901f,0x802fc0bf,0xfd8801fc,0x0fc83dff,0x027d47d8,0xfff507f6,
    0xffb8f93d,0x74001cef,0x8fb01f97,0x203f20fc,0xffffa87d,0xf700ceff,
    0xbfffffff,0x80600bf0,0xfffb80fc,0xf75fffff,0xbfffffff,0x17ec03f2,
    0xffffff10,0x03f27fff,0x17e003f2,0x3f9005f8,0x32009800,0x7d47d80f,
    0x880fec04,0x00033000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09d90000,
    0x76c01d90,0x777774c0,0xddddd506,0x76c00599,0x06437101,0x03b20330,
    0x764faa00,0xd52ff541,0x3db03b27,0x05d517a6,0x54e8aec0,0x06f5c05d,
    0x205eed44,0xbceeeeea,0x30ba6002,0xdddddddd,0x3bba63dd,0x13eeeeee,
    0x001754dd,0x403fcfb8,0x0bf504fa,0x09999991,0x3fffffea,0x7d402eff,
    0x3bffbe04,0x6c0ffc07,0x7fb0000f,0x4dff989f,0x2a1fdfec,0xf517e44f,
    0xf8bf4007,0x3ee07f75,0xfeffc81f,0x3ffee0ff,0x004fffff,0xfffa87fd,
    0x1fffffff,0xfffffff3,0xb9fe69ff,0x5f98003f,0x1fd805f9,0x80000fe8,
    0x7e4c43fa,0x981ba00f,0xf8039516,0x000e881f,0xf70bfd10,0x217fe205,
    0x7d4db05e,0x09862003,0x1ff707f7,0x7dc1bf70,0xd310fee4,0x3ffc807f,
    0xf30027d4,0xb9fe6009,0x0000003f,0x07f717e6,0x816f76dc,0x17ea03fa,
    0x00000000,0x400000d3,0x000001fc,0xdeeeefa8,0x3ee000bc,0xd8077dc3,
    0x3ee7e81f,0x4c0bf303,0x27d43fdf,0x2009f300,0x00fee7f9,0x1072a12e,
    0x225f9059,0xefe880ff,0xfa83ffec,0xc88ff403,0x2ccccccc,0x077b6e95,
    0x99999991,0x27223259,0x6443dec9,0x2ccccccc,0x065401f9,0x2a3c81e4,
    0xffffffff,0x7dc3c83f,0xb803bee3,0x3ee3f904,0x220bf103,0x7d43fade,
    0x013e6004,0x07f73fc4,0x4fe83f90,0xb7c417d4,0x87f902fc,0x03fa86f9,
    0xeee897dc,0xf92ffeee,0x45ffbdf9,0xfeeeeee8,0x7fe7cc2f,0x3ba25ffd,
    0x92ffeeee,0x407e401f,0x7d4bf05f,0x41ffa883,0xfb9fdc5f,0x3fe0000e,
    0x3ee07f70,0x7f51fb03,0x26004fa8,0x4df1004f,0x3f9803fb,0x0fb1ffe2,
    0x5037dfdc,0x3ea1fa09,0x2027d403,0x87bf25fb,0x5fb806f9,0x7f43ff98,
    0xf92fdc01,0x7c07e401,0x1fd4bf05,0x45f89f70,0x03ffbbfb,0xfb93ee00,
    0x4fdccccd,0x0fea5f50,0x55555bf5,0x56fcc355,0x7c1aaaaa,0x7c00fee6,
    0xf83f3ea5,0x7fe664c5,0x2203ccdf,0x7fc7fcb9,0x4c4fffff,0x91bea05f,
    0xa80fd05f,0x70df306f,0x237d405f,0x03f200fc,0xf52fc17e,0x3e2fcc07,
    0x7f7f7dc5,0xefa8000f,0x3ffffee0,0x4f882fff,0xfff50fea,0x4bffffff,
    0xfffffff9,0x7f72fc4f,0x7e43f200,0x985f32f9,0xeeffeeee,0xfffeb84e,
    0x67dcc7fe,0x27d40999,0x7e40ef98,0x3e607d81,0x509f300e,0x03be607f,
    0x07e401f9,0x2a5f82fc,0xf0fee03f,0xb8effb8b,0x77d4006f,0x4cce7dc0,
    0x36c5fda9,0x39f50fea,0x41333333,0xaaaaadf9,0x7f72f41a,0xa74bea00,
    0x9801f95f,0x5f7e404f,0x0fea1fa1,0xff105f70,0xfb01f903,0x9807fe20,
    0x883fa84f,0x00fc81ff,0x417e03f2,0x4c0fea5f,0x2e2fc0fe,0x013f60df,
    0x7dc077dc,0x7dc7f603,0x9cfb999b,0x4c009f50,0xb93a004f,0x19f1003f,
    0x42f5f65f,0xcefdccc9,0x41be23cc,0x403fa87f,0x0ff441fd,0x87d80fc8,
    0x7cc01fe8,0x7443fa84,0x401f901f,0xf05f80fc,0x77777d4b,0x5f84fffe,
    0x3fe21fdc,0x8077e402,0x4fee03fb,0xfffffffd,0x009f53ff,0x9b0027cc,
    0xdb001fdc,0x3ebee1f5,0xfeeee983,0x3e24eeef,0xfa87fb86,0x361fe603,
    0x203f203f,0x803fd87d,0x43fa84f9,0x03f203fd,0x05f80fc8,0x7fffd4bf,
    0xbf02deff,0xffa83fb8,0xb80bf900,0x4cff203f,0xdfcaaaaa,0x4009f50a,
    0x866004f9,0x3ee003fb,0x03fbe26e,0xfb013e60,0x1fff9539,0xfd503fa8,
    0x6404fd83,0x7ec7d80f,0x509f3004,0x2027ec7f,0x03f200fc,0xf52fc17e,
    0xb8bf0007,0x50df903f,0x07f700bf,0xf5007fe6,0x2004fa87,0x2e0004f9,
    0x3fe2003f,0x98037f44,0x7fe4404f,0x542fb9ef,0xffeeeeef,0x65f7dc3f,
    0x1f93cccc,0x5f7dcfb0,0x4c3ccccc,0xf73fa84f,0x7999997d,0x0fc803f2,
    0x54bf05f8,0x45f8003f,0x13fa03fb,0xddddddff,0x3bbbee3d,0x803ffeee,
    0x77fd43fa,0x3eeeeeee,0x3e2009f3,0x3bbbbee7,0x2fe84eee,0xf9801fe4,
    0x54006004,0xceffffff,0xfffffc80,0x01f96fff,0x7fffe4fb,0x7cc6ffff,
    0xff93fa84,0x2dffffff,0x03f200fc,0xf52fc17e,0xb8bf0007,0x47fe603f,
    0xfffffff9,0xffff72ff,0x2003bdff,0x7ffd43fa,0x4fffffff,0x3e2009f3,
    0x3ffffee7,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbd500000,0x6403e980,0x5001d70e,
    0xee8807dd,0x03ae1d73,0x1f657a20,0x4ea8f6c0,0xeea87640,0x80bcdeee,
    0xcccccccc,0xddddd32c,0xd50159bd,0xdddddddd,0x007b21dd,0x3f260bae,
    0x80f5c0de,0x03b205ea,0x403db1e4,0x3bbaa5d8,0x4402ccee,0x07911efd,
    0xf500fff4,0xf91fd809,0x0dff7001,0x1f94ffb8,0x3e2003f2,0x5c03ff16,
    0x80bfee5f,0xffff50fd,0xf87fffff,0xffffffff,0xdddddf53,0xfb83dfff,
    0xffffffff,0x009f50ff,0xcffd81fd,0x0fea1ffe,0x7c40ffec,0x7d49f706,
    0x543fd00e,0xffffffff,0x1bdfd02e,0x67cc1be2,0x013ea04f,0x003f23fb,
    0xd807ffee,0x321534ff,0x26f8800f,0x1ff106fb,0xd807ffdc,0x5107f50f,
    0x4cccc3ff,0xf50ff999,0x01bf2609,0x7f8807f2,0x3e62fcc0,0xbf12fcc5,
    0x2613f7e0,0x44ffc84f,0x43fc84fc,0x7e4c43fa,0x4437c40f,0xfb1f902a,
    0xb013ea01,0x2003f23f,0xf103fcfb,0x03f209fb,0x7fb1be20,0xefb85fd0,
    0x2a1fb05f,0x013ee03f,0x04fa8bf6,0x3f2007fc,0x9017e401,0xd81fd83f,
    0x3ea1fa0f,0x22fb86ea,0xe84fefe9,0x2a17ea2f,0x317ee03f,0x2df0009f,
    0x09f503fb,0x81f91fd8,0x3abee1cb,0x29f5f706,0xb71f90ca,0x46f8839d,
    0x13ee1ff8,0x20bfafee,0x407f50fd,0x27d405f9,0x3fb013ea,0x4c01fc80,
    0x2a1be05f,0x7e43f702,0x07e47e41,0xf17fb1f6,0xf11ff309,0x807f501f,
    0x9dfb71fe,0x44fea005,0x809f506f,0x6c1f91fd,0x7e57dc4f,0x94f9de81,
    0x37fbf21f,0x1be22ffe,0x077c5bee,0x07fcdfdc,0x01fd43f6,0x77c407f7,
    0xf1027d40,0x003f900d,0x07f501fd,0x3ea3f440,0x42faaf43,0x4f88545f,
    0x03fbbf70,0x5f900fea,0x00fbffb2,0x03fb07ec,0x99999df5,0x3f23fd99,
    0x5f707f90,0x9af887f3,0x3f21f94f,0xf897ea0f,0x3fb5fb06,0x2fdcfee0,
    0x81fd43f6,0x3f200fe9,0x999cfa83,0x804feba9,0x2fb801fc,0xd1000fd8,
    0x225f885f,0x7cc9f13f,0xe813e203,0x0fea04ff,0x27cc9f70,0xfa8bf100,
    0xfffffa84,0x91ffffff,0x2e07f91f,0x37b8dd2f,0x7e43f29f,0x1be27f82,
    0x7027ffc4,0xfb17f47f,0x3bbbbea1,0x7c05fffe,0xffffa80f,0x002dffff,
    0xbf1003f9,0xd1005f88,0xfa9ba07f,0x01fb9fa1,0xffa813e2,0x300fea01,
    0x0027ccbf,0x81ff05f7,0x8fec04fa,0x2e06fdfc,0xaf43f72f,0x321f94f9,
    0x3e27d81f,0x701bee06,0xd87fcc7f,0xfffff50f,0xfa805bdf,0x755bf504,
    0xfc800bfb,0x5c1fb001,0x07f9002f,0x5c7d87e4,0xf880fb1f,0x0dfff104,
    0x3ea01fd4,0xe8013e64,0xffffffff,0x36027d43,0x7fdff91f,0x9fccbee0,
    0x329f32f8,0xfb01f90f,0xbf3037c4,0x7dc3fb80,0x0fea1fb5,0x501fd800,
    0x00bf909f,0xfa800fe4,0x5f801fa3,0x45f97cc0,0x8809f2f9,0xfb5fb04f,
    0x700fea09,0x4427cc7f,0x333be66f,0x546fcccc,0xc8fec04f,0xf703fd3f,
    0x267bb745,0x3f21f94f,0x1be27d80,0x7dc05f98,0x0fdafe83,0x220007f5,
    0x413ea05f,0x3f9004fd,0x4f9b7c00,0xf009f300,0x39f05f39,0x84f8805f,
    0x05fd14fb,0x2fd807f5,0x9be213e6,0x87fa01fc,0x8fec04fa,0x70df30fc,
    0x274fdc5f,0x643f29f3,0x3e27d80f,0x7017e606,0xfdff307f,0x4000fea1,
    0x13ea03fa,0x64017fc4,0x27f2001f,0x351000fc,0x01f7db00,0x8801f7db,
    0x3077cc4f,0x03fa81ff,0x09f31be6,0x5407f966,0xb013ea5f,0xfc83f23f,
    0xbf317dc3,0xfca7cc3f,0x4fb01f90,0x17e606f8,0x3ee07f70,0x007f50ff,
    0xfa80bee0,0x003fee04,0x7c4003f9,0x000005eb,0x3ee0ddf7,0x24f8806d,
    0x5fc81ff8,0xfea81fd4,0x3c827cc2,0xff8809f5,0xfd809f50,0x7fc41f91,
    0xffd0bee1,0x21f94f98,0x227d80fc,0x017e606f,0x7ff407f7,0x20007f50,
    0x13ea00fd,0xfc809fb0,0x17ff4001,0x300bf500,0x3fe209ff,0x364f8804,
    0xa8ffa03f,0xffeeeeef,0x884f983f,0x32007f64,0xd809f53f,0xfa81f91f,
    0x9f70bee6,0x21f94f98,0x227d80fc,0x017e606f,0x7fcc07f7,0x20007f50,
    0x027d407e,0xfc807fe2,0x03fd4001,0x7c017ea0,0x007fa01f,0x02fdd3e2,
    0x7fd47fe6,0x01ceffff,0x000009f3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77640000,0x4eeeeeee,
    0x1bbbbba2,0x0d440100,0x99999998,0xedb82999,0x5bdb51cd,0x5ef65401,
    0x0337b260,0x42deedb8,0x954b80ca,0x032e9701,0x80337b6a,0x3e0cdeb8,
    0x0cdeb886,0x80b7b2a0,0x541ceeda,0x0007900c,0x0cedba54,0xa5439d93,
    0x6541dedb,0x7fec3ec8,0x6fffffff,0x13333322,0x2ab7b6e2,0x140fe606,
    0x37fa2280,0xdffdffec,0xbff706fe,0xbff73ffd,0xfe883dfd,0x323ffece,
    0x1f97e80f,0x903f6fd0,0x01dfdbff,0x3fffbffb,0xfbffb1be,0xbff903ff,
    0xbff50dfd,0x27cc5ffb,0x4d3627cc,0x3f23f31b,0xfaeffdfc,0x9f90ffde,
    0x645ffbdf,0x2006ffdf,0x98002fe8,0x2fffdfff,0x0140fe60,0xf707f228,
    0x227d419f,0x7ffd46fa,0xf917e60e,0x3f26f987,0x01f97e80,0xfa83eafd,
    0xf717ea0d,0x5aafd41b,0x6fa837ee,0x5f706fd4,0x237c46e8,0x6c1fc87e,
    0xefffffff,0x7ec1ff90,0x7e4fea2f,0xfc9be61e,0x3600088e,0x740f204f,
    0x80ffe22f,0x200503f9,0x3fe20ee2,0x3f60fe80,0xd82ffd80,0x3f412a1f,
    0x32fd01f9,0xd1a7e80f,0x7c3fb03f,0x3b9fe80f,0x8bfa03fe,0x7c3c80fd,
    0x3ee0cc0e,0xcff837c1,0x3f22feb9,0xafc37dc3,0x327e82fc,0x5fc8003f,
    0x2fd42fc0,0xaa89ff76,0x1aaadfba,0xb980a005,0xaaaaaffc,0x541be1fd,
    0xcaaaaaff,0xf973103f,0xbf407e4f,0xd8fe80fc,0x55557fc3,0x0df12fca,
    0x6f88fbee,0x02fc7f70,0x015bff90,0x83fa93e2,0x927cc4f9,0xf84f983f,
    0x4fb03f96,0x7d4001fc,0x5c2fc00e,0x3f23ee3f,0xffffff30,0x400a7fff,
    0x6ffff5c2,0xffffffff,0x220bf13f,0xffffffff,0x7fff5c4f,0x203f27fe,
    0xfd01f97e,0xffff987b,0xf34fffff,0xf317e609,0x7c53e609,0x7ffdc005,
    0x327d80df,0xe80fb80f,0x7f303f26,0x203f2df0,0x8003f27d,0x5f801ff9,
    0x23f31fc8,0x755511fc,0x0a3555bf,0x37bf9140,0x26667be2,0x0df10999,
    0x26667fea,0x3bf20999,0x0fc9fa1b,0xd01f97e8,0x267be20f,0xf3099999,
    0xf30fea0b,0x7c4fea0b,0xfd730005,0xf8afa81f,0xf885f505,0x7f303f25,
    0x203f2df0,0x4003f27d,0xbf002fe8,0x47d15f90,0x07f300fd,0x6f89400a,
    0x15307f88,0x7fe407fc,0xdf10a881,0x80fc9fe0,0xff01f97f,0x54c07fc0,
    0x3f603fe0,0xfd80ff81,0x12ec1be1,0x885f9035,0x3e02fadf,0x645f910e,
    0x7c1fcc0f,0x4fb01f96,0x9fb000fc,0x7d42fc00,0x81fe25db,0x200503f9,
    0xffb0bf12,0x7e46f885,0x427ff444,0x70df10fe,0x2e1fe4ff,0xfb87f97f,
    0x3a0ff207,0xf10bf60f,0x885fb01f,0x30bf20ff,0xfc86f87f,0x207dfc81,
    0xfffefffa,0x7f303f24,0x203f2df0,0x2003f27d,0x2fc005fc,0xf7077fc4,
    0x281fcc0b,0x4e7ec500,0xacfebfda,0x7f441feb,0xfdbffcae,0x6c3fdabe,
    0xfffca9cf,0xf957ff30,0x2affe6fd,0x3e207efc,0x43febaef,0xffcadff8,
    0x95bff101,0xdff885ff,0xdfb87fca,0xf306fcab,0x6577c09f,0xf92fcade,
    0x6f83f981,0x64fb01f9,0x077d400f,0x7e417e00,0x00ffeabe,0x801406a2,
    0x37fff222,0x0b7fff60,0x177ffe44,0x107bfff9,0xf73dfff9,0x4f7ffd45,
    0x3bffea7c,0x7ec407c9,0xfb103dff,0xd8805bff,0xb102dfff,0x2e039fff,
    0x200dfffd,0x802601fe,0x7f303f22,0x203f2df0,0x9803f27d,0x5f8001ff,
    0xeffdcf88,0x6666440b,0x052ccccc,0x0600c0a0,0x04401300,0x02200180,
    0x98000220,0x40006000,0x1000c001,0x00000003,0x00000000,0x0005fd10,
    0x010e217e,0x7fffffcc,0x55553fff,0x07555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cccccc0,0x26099999,0x2e98bb21,0x331043d7,
    0x20000333,0xeeeeeffc,0x0bf06eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff3000,0x9fffffff,0x26e89be2,0x223f93fa,
    0xfffff36f,0xff900001,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x11111111,0x262f4411,0x2621312f,
    0x3322df10,0x00000ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xccccccc8,0x9509912c,
    0x0e5425c5,0x50800b22,0x641cb819,0x00201103,0x24c83c88,0x36a3d33d,
    0x03101300,0x544017e2,0x0b7b2601,0x8817dd93,0x4bb01ceb,0x2a61ceda,
    0x1aaaaaaa,0xaaa984d8,0x221aaaaa,0x042eda81,0xbb0edd76,0xee881f5c,
    0x22ffeeee,0x83be23fd,0x227f41fc,0x6c9802fa,0x427ec1f9,0x3a0dd05f,
    0x46f8801c,0x6c1f71fa,0x3be217a6,0x3203fa20,0x4fa801ff,0x1fb59f10,
    0x21fd4ef4,0x261fdbed,0xb39f15fe,0x7fffff4d,0x9e466fff,0x3fffffa1,
    0x11ae6fff,0x3e23d35d,0xf0fedfe6,0x2001be2f,0x87fc45fb,0x11fcc1fe,
    0x407d8fff,0x1f94ffea,0x82fc0ff6,0x5dff906e,0x53e22a80,0x9a7cc4f9,
    0x88efb83f,0x9fbf02fe,0x2207d300,0x1098be62,0x9b0fc4bb,0x6c12edf4,
    0x2aaaaa67,0xddf11aaa,0x2aa61fdb,0x26eaaaaa,0x54770eea,0xdbfcdf15,
    0x07ddfe1f,0x541bea00,0xbf03fbdf,0xbf07e7d4,0x17fff910,0x01fe47e4,
    0x881ba0bf,0x800cfffb,0x901fd0fd,0x2e07f63f,0xf703feef,0x33301f93,
    0x01333333,0xffda8db1,0x0f71ea6f,0x01ff88b9,0x2bfea200,0xb89ba000,
    0x325c951f,0x20fcb74b,0x3e60006f,0x17ff200e,0xf3f90fc8,0xfd98be65,
    0xfbf902df,0x3315f80d,0x01333dd3,0x4077ff6a,0x207f74fb,0x20df36f8,
    0x5ba03ffb,0x7ffcc3f8,0x43ffffff,0x33ea0ee9,0x907d4db1,0xf930b90d,
    0x76ec0001,0xfeb74004,0x07eef44f,0x47aaec79,0xff10004d,0x02ff8803,
    0x5fa74bea,0x06ff41f9,0x0ffbff20,0xffffd5f8,0x880dffff,0x2df106fd,
    0x27f505f8,0xffe883fb,0x363fa80e,0x66666447,0x3e62cccc,0xdf10fa85,
    0x907d13f8,0xb2f98a6b,0xdddddddd,0x0fcc7ccb,0x8062dd00,0x4662442a,
    0x4000d428,0xfd801fe8,0x19f100ef,0x22f5f65f,0x3201dffc,0x3e03fd3f,
    0x9ff99975,0x7ecc0799,0x5cfea04f,0xbf16f82f,0xdf77fd10,0x3ea0fd81,
    0x4c026202,0x3e2cccff,0x7dc7deef,0x15c80efe,0x764fd79f,0x4eeeeeee,
    0x4c800104,0x00000000,0x5007fb00,0x6c09f59f,0xf5f70fae,0x7dff9107,
    0xdf30fc81,0x037417e0,0x033ffae2,0x236c3f60,0x881f90fc,0x43bee3fe,
    0x206f84f9,0x999504fa,0x511a8599,0x2a01b881,0x002f7263,0x50000000,
    0x20a817bb,0x88888888,0x36000088,0x0ff8804f,0x3bee05fb,0x003fbe26,
    0x3239ffd5,0x3e0ff20f,0x3260dd05,0x44003eff,0x3e27f14e,0x0f605f33,
    0x4c00016e,0x0000003e,0x00000000,0x7f440000,0xfdcdffff,0xffffff30,
    0x009fffff,0x9997df70,0x117ec799,0x9ff101ff,0x26006fe8,0x441f96fd,
    0xe82fc1ff,0x803bfd06,0x220886f8,0x000c4310,0x00000000,0x00000000,
    0x00000000,0xfc989e88,0x26624fff,0x99999999,0xffc80009,0x76ffffff,
    0x20bf50bf,0x01fe42fe,0x40fc9c40,0xb82fc6fa,0x22001703,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00153000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_23_latin_ext_x[560]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,0,0,0,1,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_23_latin_ext_y[560]={ 18,3,3,3,1,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,7,3,3,5,3,
3,3,3,3,3,8,7,11,3,0,3,5,3,3,3,7,3,9,17,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,2,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,3,3,3,3,3,3,3,
0,4,-1,3,3,7,-1,3,-1,3,-1,3,-1,3,-1,3,3,3,0,4,-1,3,0,3,3,7,-1,3,-1,3,
-1,3,0,3,3,2,-1,-1,3,3,-1,3,0,4,-1,3,3,3,0,7,3,3,-1,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,3,-1,3,3,3,-1,3,0,4,-1,3,-1,2,-1,3,3,7,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,0,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-2,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_23_latin_ext_w[560]={ 0,4,7,12,11,17,14,3,6,6,8,10,3,7,
3,6,11,6,11,11,11,11,11,11,11,11,3,3,10,10,10,11,20,15,12,14,13,12,11,14,13,3,9,13,
10,15,13,16,12,16,14,13,13,13,14,20,14,14,13,5,6,5,10,13,5,11,10,11,10,11,7,11,10,3,
5,10,3,15,10,11,10,10,7,10,6,9,11,15,11,11,10,7,3,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,10,11,11,13,
3,11,7,16,8,9,10,7,16,13,6,11,7,7,4,10,12,3,5,4,8,10,16,16,17,11,15,15,15,15,
15,15,20,14,12,12,12,12,5,5,8,6,15,13,16,16,16,16,16,10,16,13,13,13,13,14,12,11,11,11,
11,11,11,11,18,11,11,11,11,11,5,5,8,6,11,10,11,11,11,11,11,11,11,9,9,9,9,11,10,11,
15,11,15,11,17,13,14,11,14,11,14,11,14,11,13,13,15,12,12,11,12,11,12,11,12,11,12,11,14,11,
14,11,14,11,14,11,13,10,15,11,8,8,7,8,7,7,6,5,4,3,14,7,12,7,13,10,10,10,5,10,
6,10,5,10,6,11,5,13,10,13,10,13,10,12,13,10,16,11,16,11,16,11,19,19,14,7,14,7,14,8,
13,10,13,10,13,10,13,10,13,6,13,8,13,6,13,9,13,9,13,9,13,9,13,9,13,12,20,15,14,11,
14,13,10,13,10,13,10,6,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,13,11,11,11,11,11,11,11,11,11,11,11,11,11,16,13,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,8,7,16,
11,13,9,13,9,13,9,13,9,13,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,11,20,18,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_23_latin_ext_h[560]={ 0,15,6,16,20,16,16,6,20,20,7,11,6,3,
3,16,16,15,15,16,15,16,16,15,16,16,11,14,11,7,11,15,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,20,16,20,9,3,3,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,16,20,16,11,15,
20,20,3,16,8,10,7,3,16,3,6,13,8,8,3,16,20,3,6,8,8,10,16,16,16,16,19,19,19,18,
18,18,15,20,19,19,19,18,19,19,19,18,15,18,20,20,20,19,19,10,17,20,20,20,19,19,15,16,16,16,
16,16,16,17,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,9,13,16,16,16,16,20,20,20,
18,15,19,16,20,16,20,16,20,16,20,16,20,16,19,16,15,16,18,15,19,16,18,16,20,16,19,16,20,20,
20,20,19,20,20,21,19,19,15,15,19,15,18,14,19,15,20,20,18,11,16,20,20,20,20,20,11,19,19,20,
20,15,15,15,15,15,15,19,15,20,16,19,15,15,16,16,19,15,20,16,20,16,16,12,19,15,20,16,19,15,
20,16,20,16,20,16,20,16,21,21,19,16,15,16,20,16,19,15,20,16,20,17,20,16,20,16,19,15,19,20,
18,19,15,18,15,19,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,19,16,19,15,20,
16,20,16,20,19,20,20,20,20,20,20,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,21,19,16,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_23_latin_ext_s[560]={ 83,239,234,155,79,35,99,242,204,92,197,
66,230,232,228,247,48,208,177,143,202,1,189,119,48,13,88,252,40,186,77,
175,50,1,189,238,230,214,227,223,17,73,201,163,244,42,92,166,106,101,131,
228,146,118,160,187,215,77,1,129,111,176,124,196,214,99,100,173,60,135,244,
71,62,58,147,31,252,220,236,161,25,13,247,185,240,111,196,24,12,1,1,
1,252,126,217,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,83,250,171,
36,208,17,237,117,220,211,155,92,206,232,132,230,223,36,147,178,246,242,121,
210,217,173,164,102,83,149,183,1,51,105,135,50,234,189,138,88,202,161,243,
221,183,94,174,1,43,74,50,23,218,18,1,113,128,138,83,190,215,35,143,
87,75,63,51,39,27,145,60,240,228,216,204,192,137,131,80,156,131,70,108,
96,84,72,60,135,24,38,28,18,114,67,91,114,205,31,63,162,153,136,196,
109,1,84,30,177,59,124,125,1,52,231,37,205,148,196,88,177,134,208,50,
211,135,164,182,219,79,1,13,24,100,114,229,217,139,182,66,15,229,174,197,
245,251,62,121,211,134,84,70,164,51,191,237,28,114,119,159,108,101,68,35,
121,24,56,120,67,41,92,13,186,239,89,147,174,39,150,64,79,176,130,99,
197,203,165,241,15,223,244,182,220,231,53,36,17,16,26,191,189,150,157,175,
245,103,167,74,118,45,201,16,96,218,1,1,211,8,91,59,23,81,189,105,
116,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,205,48,48,102,
48,48,48,48,48,48,48,48,48,48,48,48,48,221,147,48,48,48,48,48,
48,48,48,48,48,48,48,48,1,121,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,160,168,
151,123,235,180,204,136,176,81,152,40,9,128,114,166,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,1,71,30,146,97,165,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,
48,48,48,48,48,48,48,48,48, };
static unsigned short stb__arial_23_latin_ext_t[560]={ 22,230,278,162,23,145,179,278,44,65,278,
278,278,274,274,145,162,246,230,162,230,179,179,246,196,196,278,246,278,278,278,
246,1,246,230,179,246,230,230,179,246,246,196,230,230,246,246,196,246,126,246,
196,246,196,246,246,246,246,262,44,196,44,278,274,274,262,196,262,196,262,246,
196,246,246,23,246,162,262,262,262,196,213,262,262,145,262,262,278,278,196,278,
23,1,23,285,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,22,106,23,
196,262,230,23,44,274,196,278,278,278,274,196,285,278,262,278,278,278,196,65,
274,278,278,278,278,196,196,196,213,86,86,86,126,106,106,213,44,86,106,86,
106,106,106,106,126,230,126,23,23,1,106,106,278,126,1,1,1,86,106,230,
179,179,179,179,179,179,126,262,162,162,162,162,162,230,230,213,230,162,230,162,
162,162,162,162,278,262,162,162,162,179,23,23,23,106,230,106,145,23,145,23,
145,44,145,44,179,44,179,106,145,213,125,126,213,106,125,126,126,23,125,106,
179,44,44,44,44,106,65,65,1,106,106,213,213,106,213,126,262,86,213,44,
44,44,278,145,44,65,65,65,65,278,86,86,65,65,213,213,213,213,213,213,
86,213,65,162,86,213,230,179,145,65,213,65,145,65,145,145,262,86,213,65,
145,65,213,23,145,23,125,23,125,44,145,1,1,86,145,213,125,44,126,65,
213,44,126,44,126,44,179,44,145,65,230,86,23,126,86,230,126,230,65,230,
230,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,145,262,262,23,
262,262,262,262,262,262,262,262,262,262,262,262,262,145,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,162,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,86,162,
86,230,1,162,1,179,1,86,1,23,23,1,1,1,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,1,1,86,179,1,179,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262, };
static unsigned short stb__arial_23_latin_ext_a[560]={ 92,92,117,183,183,293,220,63,
110,110,128,192,92,110,92,92,183,183,183,183,183,183,183,183,
183,183,92,92,192,192,192,183,334,220,220,238,238,220,201,256,
238,92,165,220,183,274,238,256,220,256,238,220,201,238,220,311,
220,220,201,92,92,92,155,183,110,183,183,165,183,183,92,183,
183,73,73,165,73,274,183,183,183,183,110,165,92,183,165,238,
165,165,165,110,86,110,192,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,92,110,183,183,183,183,86,183,
110,243,122,183,192,110,243,182,132,181,110,110,110,190,177,92,
110,110,120,183,275,275,275,201,220,220,220,220,220,220,329,238,
220,220,220,220,92,92,92,92,238,238,256,256,256,256,256,192,
256,238,238,238,238,220,220,201,183,183,183,183,183,183,293,165,
183,183,183,183,92,92,92,92,183,183,183,183,183,183,183,181,
201,183,183,183,183,165,183,165,220,183,220,183,220,183,238,165,
238,165,238,165,238,165,238,202,238,183,220,183,220,183,220,183,
220,183,220,183,256,183,256,183,256,183,256,183,238,183,238,183,
92,92,92,92,92,92,92,73,92,92,242,146,165,73,220,165,
165,183,73,183,73,183,96,183,110,183,73,238,183,238,183,238,
183,199,238,183,256,183,256,183,256,183,329,311,238,110,238,110,
238,110,220,165,220,165,220,165,220,165,201,92,201,124,201,92,
238,183,238,183,238,183,238,183,238,183,238,183,311,238,220,165,
220,201,165,201,165,201,165,73,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,248,247,247,183,247,247,247,247,247,
247,247,247,247,247,247,247,247,282,216,247,247,247,247,247,247,
247,247,247,247,247,247,247,281,221,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,220,183,92,73,256,183,238,183,238,183,238,
183,238,183,238,183,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,220,183,329,293,256,201,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_23_latin_ext(stb_fontchar font[STB_FONT_arial_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_23_latin_ext_s[i] + stb__arial_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_23_latin_ext_t[i] + stb__arial_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_23_latin_ext_x[i];
            font[i].y0 = stb__arial_23_latin_ext_y[i];
            font[i].x1 = stb__arial_23_latin_ext_x[i] + stb__arial_23_latin_ext_w[i];
            font[i].y1 = stb__arial_23_latin_ext_y[i] + stb__arial_23_latin_ext_h[i];
            font[i].advance_int = (stb__arial_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_23_latin_ext_s[i] + stb__arial_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_23_latin_ext_t[i] + stb__arial_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_23_latin_ext_x[i] + stb__arial_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_23_latin_ext_y[i] + stb__arial_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_23_latin_ext_LINE_SPACING
#endif

