// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT        186
#define STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_26_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_26_latin_ext_LINE_SPACING          17

static unsigned int stb__arial_26_latin_ext_pixels[]={
    0x99999300,0x79999999,0x002aa200,0xd1000320,0x2764005d,0x007db000,
    0x8002ed88,0x9fb004fd,0x3f2017ee,0x37ee000e,0x007fe600,0x3fffffa8,
    0x009db100,0x05e99f64,0x6ec40000,0x5c005d90,0x23b201fe,0x2604005e,
    0x9054c002,0x0bbaa003,0x00bb6000,0x3aa000c0,0xd900000d,0x4ed8019d,
    0x03bd76e8,0x200bba60,0x999932c9,0xec805c00,0x4403c885,0x3b6203cc,
    0x332add03,0x7dc3544c,0xffffffff,0xf7005fff,0x01db000d,0x2005fb80,
    0x50000ff8,0x3ee000df,0x05f70006,0x1df5fd10,0x001ff880,0x7dc00fe6,
    0x2aaa2005,0xbfd000aa,0x3fe2007f,0xfe801fe9,0x2e007f91,0x2005fadf,
    0x6c00fffa,0x3fa2005f,0x2004eadf,0x0fddfffb,0x1feef880,0x017ee000,
    0x6c003cc0,0xfd80003f,0x3e600fff,0xff56e80e,0xefe8801f,0xaa7dc01f,
    0xa800ffff,0x89fdf707,0x3fa206f9,0x3fbf600e,0xfff96e82,0x5443fc4f,
    0xabffaaaa,0xff001aaa,0x007f0001,0x64001df0,0x3fa0002f,0x07f20000,
    0x0720c980,0x003fff30,0x326005f7,0x3f200720,0x64193001,0xfd4fc801,
    0x3ffe6003,0x323fd002,0x3ff6003f,0x0bf6000e,0x00e41930,0x7ff5d7d4,
    0x2e33e001,0x5fd003fe,0x20001df3,0x6d4000fe,0x1001cfff,0xf88000fd,
    0x1fd8011f,0x03fc8dd0,0x077cdfec,0x13ea7d50,0xdf30b900,0x06f98bf6,
    0x5c01dfd1,0x741ff8df,0xff13fc46,0x000ffc00,0x88001fa8,0x2a2000ff,
    0x00154000,0x00403510,0x3ea001a8,0x31007f10,0x80062001,0x007f10fa,
    0x87d40026,0x22a803f8,0x2a6002a9,0x4c2aa002,0x2aa2001a,0x007fc000,
    0x01fc43ea,0x2000214c,0x55100009,0x44000d4c,0x7fec001a,0x000ffdfd,
    0x54000151,0x806a005f,0x1027cc6e,0x000d4c55,0x3f8009f5,0x45511aa8,
    0xefe886f9,0xa9855400,0x9fe23741,0x3fe007f8,0x0bbb0001,0x001dd100,
    0x01322008,0xd7301322,0x136419bd,0x29910099,0x4c8804c8,0x03eb8f64,
    0x10fae3d9,0x89910099,0x887d71ec,0x14c8804c,0x29910099,0x4c8804c8,
    0x99100991,0x33bb2e20,0x10df000a,0x09910099,0x2b3bb2e2,0x20132200,
    0xd97104c8,0x4400159d,0x00aceecb,0xbbcc77d4,0x3b2e205f,0xb8000ace,
    0x3a00004f,0x9802fc46,0x09f50001,0x001f5510,0xfd11be60,0x7400001b,
    0xffcbfc46,0x1ff807ff,0x0553a800,0x44003300,0x0ff105de,0x3ea0ff30,
    0xbfffffff,0x01fe23fb,0x03fc5fe6,0x4bfa3fcc,0x25fd04fc,0x03fc44fc,
    0x4bfa3fcc,0x03fc44fc,0x07f8bfcc,0x0ff17f98,0x1fe2ff30,0x3ea1fe60,
    0x3fffffff,0x7f886f80,0xfa87f980,0x3fffffff,0xf300ff10,0xfffff50f,
    0xf5007fff,0x7fffffff,0x2799fe40,0xfffa81ff,0x003fffff,0x8bffffff,
    0x47fa05fa,0x202fc46e,0xfbbffffc,0x9f54fb82,0x7fffecc0,0x2613ee03,
    0x017fa26f,0x8ff40bf5,0xcabfc46e,0xff804cff,0x39498001,0x7fffe400,
    0x25702fbb,0x807f881b,0xcffa87f9,0x13fff261,0xff300ff1,0x3e601fe2,
    0x2ca8e5c7,0x0b2a3970,0xff300ff1,0x85951cb8,0x7f9807f8,0xff300ff1,
    0x3e601fe2,0xf300ff17,0x11cffc8f,0xf807ff95,0x9807f886,0x8e7fe47f,
    0x883ffca8,0x47f9807f,0x9511cffc,0x7fe407ff,0x7ff9511c,0x13ccbf60,
    0x4473ff20,0x4403ffca,0x82ccffcc,0x26f880ff,0x9037c46e,0xfdff79ff,
    0x3ea9f705,0xd59ff304,0x13ee09ff,0x2ff45be6,0xf880ff80,0x4ff11ba6,
    0x3fe007f8,0x0ffd0001,0x6de7ff40,0x27502fef,0x807f880d,0x0ffcc7f9,
    0xf887ff70,0xf17f9807,0x00ff300f,0x1fe20000,0x4001fe60,0x7f9807f8,
    0xff300ff1,0x3e601fe2,0xf300ff17,0x500ffccf,0x1be205ff,0x3e601fe2,
    0xa807fe67,0x03fc42ff,0x3ff33fcc,0x4c17fd40,0x3fea01ff,0x0f34fc82,
    0x2a01ff98,0x0ff002ff,0x3fb83fc8,0x541be1ba,0x17fe40ef,0x84faa7dc,
    0xf7f12ff8,0x309f701f,0x07ffd1df,0x3ee0ff20,0x4ff11ba3,0x3fe007f8,
    0xfff88001,0x40efa801,0x3ae02ffc,0x300ff103,0x203ff8ff,0x220ffef9,
    0x17f9807f,0x0ff300ff,0x3e200000,0x007f9807,0xf300ff10,0x2601fe2f,
    0x300ff17f,0x201fe2ff,0x00ffa7f9,0x3e603fee,0x9807f884,0x200ffa7f,
    0x1fe20ffb,0x3fe9fe60,0x740ffb80,0x0ffb803f,0x03ce7fcc,0x3ee00ffa,
    0x037cc00f,0x83fa1be6,0xd80fe86e,0x705ff01f,0x2613ea9f,0x0e5dea5f,
    0x7fcc27dc,0x801ffefe,0x20fe86f9,0xf13fc46e,0x00ffc00f,0x027efdc0,
    0x7fc41ff4,0x4406a202,0x27f9807f,0x3ba206f9,0x1fe23ff8,0x3fc5fe60,
    0x3fbbfcc0,0x0fee3fb0,0x07f88fec,0x07f77f98,0x03fc47f6,0x07f8bfcc,
    0x0ff17f98,0x1fe2ff30,0x37d5fe60,0xe985fd00,0x807f881f,0x00df57f9,
    0x0ff117f4,0x1beaff30,0x3ea2fe80,0x20bfa006,0x80bffffa,0x3fa006fa,
    0x402fd402,0xd17e61fe,0xf81bf50d,0x2e0bf607,0xf709f54f,0x7dc02e47,
    0xb4fff984,0x3fd001df,0x7c402fcc,0xf801fe27,0x8fe8001f,0x01ff807f,
    0xfff905fd,0x3fc41bff,0x9f53fcc0,0x7ec3ba20,0x2601fe25,0x300ff17f,
    0x6c0feeff,0x3607f71f,0x300ff11f,0x6c0feeff,0x300ff11f,0x201fe2ff,
    0x00ff17f9,0x01fe2ff3,0x02fddfe6,0x77d49f90,0x300ff101,0x8017eeff,
    0x01fe24fc,0x02fddfe6,0x2fdc9f90,0x2609f900,0x20dffffc,0x3f2005fb,
    0x401fdc04,0xd0bf24fb,0x443fea0d,0x20bf206f,0x909f54fb,0x5c017c5f,
    0x24ff984f,0xfb805ff8,0x2200bf24,0x801fe27f,0x7cc001ff,0x7c405fb6,
    0xfd0bf207,0x4dffb77d,0x7f9807f8,0x0fec0ff2,0x03fc4df7,0x07f8bfcc,
    0x07f77f98,0x81fdc7f6,0x00ff11fd,0x40feeff3,0x00ff11fd,0x01fe2ff3,
    0x03fc5fe6,0x07f8bfcc,0x09f97f98,0xff52fdc0,0x201fe203,0x009f97f9,
    0x0ff12fdc,0x13f2ff30,0x3f25fb80,0x017ee004,0x64dff9f3,0x17ee004f,
    0xf1005fb0,0x83743fcd,0x0ff10ffb,0xa7dc17e4,0x32fc84fa,0x09f7001f,
    0x5ff30ff3,0x1fe6f880,0xff13fc40,0x000ffc00,0x037d4ff2,0x17e40ff1,
    0x1ff10df5,0x3e601fe2,0x3f60bfa7,0xff13fd41,0x3e2ff300,0xf77f9807,
    0x7dc7f607,0x3e23fb03,0xf77f9807,0x7c47f607,0xf17f9807,0x22ff300f,
    0x17f9807f,0x2ff300ff,0x3e6003fe,0x440ff447,0xd7f9807f,0x3fcc007f,
    0xff300ff1,0xf9800ffa,0x9800ffa7,0xe9bcc07f,0x4007fd3f,0x07f407f9,
    0x4fa9fd80,0x0dfb86e8,0x05fb03fc,0x213ea9f7,0x544d73fb,0xf984fb80,
    0x801ff906,0x004fa9fd,0x03fc4ff1,0xf8003ff0,0xf807fe0f,0xc98bf607,
    0x3e23fd01,0x3a7f9807,0x5417e43f,0x201fe26f,0x00ff17f9,0x40feeff3,
    0x207f71fd,0x00ff11fd,0x40feeff3,0x00ff11fd,0x01fe2ff3,0x03fc5fe6,
    0x07f8bfcc,0x07fb7f98,0x7cc37d40,0x9807f884,0x4007fb7f,0x01fe26fa,
    0x01fedfe6,0x1fecdf50,0x980df500,0x1fed7ee7,0xf80df500,0x333ea007,
    0xfe86e81f,0xf883fd80,0xf54fb82f,0x8fabf309,0x84fb82fd,0x1bfa06f9,
    0x03f99f50,0x7c7f88dd,0x007fe007,0x27e45fa8,0xff105fb0,0xfeba8805,
    0xa801ff11,0xfb8ff66f,0x7c49f703,0x8b7d400f,0xb7d400ff,0x23fb03fb,
    0x23fb03fb,0x7d400ff8,0x3f607f76,0xa801ff11,0x801ff16f,0x01ff16fa,
    0x1ff16fa8,0x9f76fa80,0x4427dc00,0x00ff886f,0x04fbb7d4,0xff893ee0,
    0xfbb7d400,0xb93ee004,0x13ee004f,0xfa9e61fb,0x5c009f75,0x01be604f,
    0x3a0dfdf0,0xf9837c46,0x0bffa63f,0x827d53ee,0xdf31fbff,0x3e613ee0,
    0x013fe606,0x1ba0dfdf,0x6efe8ff1,0x2001ff80,0x07fcc2fd,0x3aa3ff98,
    0x7edc42ff,0x3e1fffff,0x72fd401f,0xd813eabf,0x200ffc2f,0x007fe5fa,
    0x40feebf5,0x207f71fe,0x007fe1fe,0x40feebf5,0x007fe1fe,0x00ffcbf5,
    0x01ff97ea,0x03ff2fd4,0x0df35fa8,0x7c417e40,0xa803ff06,0x400df35f,
    0x00ffc2fc,0x037cd7ea,0x37cc5f90,0xfe85f900,0x9a7e4f32,0x0bf2006f,
    0x64004fa8,0x88dd03ff,0x3ffee06f,0xb82feffe,0x2609f54f,0x1ffdafff,
    0xdf309f70,0x202ffb80,0x8dd03ffc,0x7ff4c7f8,0x800ffc01,0x07fd07f8,
    0x7ff7ffdc,0x3ffe22fe,0x21fd8ace,0x27dc02fd,0x40bf7ff1,0x17ec0ff9,
    0x2fd93ee0,0x4fba7dc0,0x13ee3ff0,0x05fb0ffc,0x09f74fb8,0x02fd87fe,
    0x05fb27dc,0x0bf64fb8,0x17ec9f70,0x2ff93ee0,0xf01ff880,0x700bf60f,
    0x4017fc9f,0x17ec1ff8,0x2ff93ee0,0x7c1ff880,0x1ff8802f,0x8bcc77dc,
    0x00bfe2ff,0xfb807fe2,0x07fcc003,0x02fc46e8,0x3633bb6a,0xf54fb82f,
    0x7fffc409,0x213ee01c,0xffd806f9,0x201ff300,0x083fc46e,0xff700000,
    0xdffddddd,0x8ceeda80,0x413fa2fd,0x017f21fe,0x5ffc85ff,0x7e42fec0,
    0xf917fc05,0xf72ff80b,0x2e3ff109,0x21ff884f,0x97fc05fc,0x1ff884fb,
    0x5ff017f2,0x3fe02fe4,0xff017f22,0x3e02fe45,0x003bee2f,0x83fc0bfb,
    0x17fc05fc,0xfd801df7,0x7c05fc85,0x003bee2f,0x1df70bfb,0xe885fd80,
    0x4ffcfdff,0x360077dc,0x017ec05f,0x6e817e60,0xe8002fc4,0xf54fb81f,
    0x001bf809,0x544007f7,0x02fcc000,0xb87f88dd,0x00cc800c,0xffffffd0,
    0x0003ffff,0x03fe23fd,0xff98bfe2,0x437ec40c,0xe981eff9,0x19ff305f,
    0x7cc6fd88,0x37ec40cf,0xffd81ff3,0xfd81ff31,0x033fe61f,0x7fccdfb1,
    0xf30ffec0,0x6fd8819f,0x22067fcc,0x67fcc6fd,0x2637ec40,0x7ec40cff,
    0x881efc86,0x83f405fe,0x6c40cff9,0x81efc86f,0xff305fe8,0x86fd8819,
    0xfe881efc,0x207bf205,0x36205fe8,0x903fffff,0xbfd103df,0x8001ff00,
    0x31ba01fc,0x207b60bf,0x27f907f8,0x03ea04fa,0x2003fc80,0x32005fe9,
    0xf11ba01f,0xf003fd0f,0x0ff3003f,0x1ed84fd8,0x17f47f88,0x3ea17fec,
    0xfffeeeff,0x7ff77440,0x05ffedde,0x7777ffd4,0xffa80fff,0x0fffeeef,
    0x7f667ff4,0x33ffa1fd,0x541fdfec,0xffeeefff,0x667ff40f,0x7d41fdfe,
    0xfffeeeff,0xeefffa80,0xfa80fffe,0xfffeeeff,0xeefffa80,0xfb00fffe,
    0xdffdbbdf,0x2a05fb00,0xffeeefff,0xbdffb00f,0xa80dffdb,0xffeeefff,
    0xbdffb00f,0xb00dffdb,0xffdbbdff,0x00fd400d,0x76ef7fec,0x7d4206ff,
    0xdf511005,0x3f226e80,0x4c1bf903,0x25fb04fe,0x017204fa,0xb0005fb0,
    0x7d44403f,0x3e237406,0xe800fa87,0x04fc801f,0x3ee07fcc,0x713f660e,
    0xdfd959ff,0xffd9507f,0x1fb017bf,0x37ffffaa,0xffd95002,0x654017bf,
    0x80bdfffe,0xc8efffd8,0x3fff621f,0xca81fc8e,0x80bdfffe,0xc8efffd8,
    0xffeca81f,0x32a00bdf,0x00bdfffe,0x37fffb2a,0x3fb2a00b,0x5400bdff,
    0x03dfffec,0x501fff50,0x17bfffd9,0xfffeca80,0xfd95003d,0xa8017bff,
    0x03dfffec,0x3fffb2a0,0x03cc003d,0xbfffd950,0x7fffcc07,0x3fffb002,
    0xfff56e80,0x7f7ff401,0xfffe85ff,0x81ffff50,0xfffd003e,0x3fb26001,
    0x0fffec06,0x7ffe5ba0,0xf1007b87,0x2007fe00,0xeffe83fe,0xfd704fff,
    0x0bf51bff,0x01980188,0x18800013,0x80031000,0x00260009,0x13000620,
    0x00031000,0x0c400062,0x00018800,0x75400022,0x000c400e,0x88000110,
    0x00220001,0x80002200,0x01100028,0x00f7b660,0xd801dea8,0x3003bd55,
    0x36057bb7,0x333261de,0xdb000b84,0x6ed4003b,0x0ef5400a,0xcccaaec0,
    0x9d001d84,0x200df500,0xbdb706fb,0x00310037,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f600500,0x03ff1003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x42b80000,0x6666442b,0x00abcccc,0x64400593,
    0x4c4c8804,0x2003ba5e,0x00bd55eb,0x40001e5c,0xd10002db,0x70ae003d,
    0x37db5005,0x00198800,0x0001bd70,0x4c00bbaa,0x2f4c004c,0x3aa003db,
    0x400dea8d,0xcccccba8,0xb0b602cc,0x66664405,0x3ccccccc,0x13ae5db0,
    0x0037ae00,0x166f6e4c,0x02642c98,0x300037b2,0x22004989,0x0b2602ee,
    0x2001cb80,0x1bdfedc9,0x2003c880,0x0b2a02c9,0x3ea01310,0xf504d800,
    0xf883f535,0xffffffff,0x04fb82ff,0x2601fe20,0xff37cc7f,0x3a3fd001,
    0xfff1001f,0x46540003,0x4fc8000d,0x2e6bea00,0x3ffe201f,0x2a005ffe,
    0x7d4000ff,0xf98006fe,0xfb800fee,0xccfc8007,0x4bfa003f,0x7fd402fe,
    0xffffffff,0x326fee04,0x3ffe200f,0xffffffff,0xdf3ff306,0xfef98001,
    0xffffc806,0x7dc0dfff,0xdf703fc4,0x39f000bf,0x7dc009d3,0x0027dc05,
    0xfd5007fb,0xffffbfff,0x01be601b,0x3ee04fb8,0xb02ff403,0x200fa809,
    0xf884fffc,0xb999999f,0x27dc2ffe,0x300ff100,0x323c88ff,0xa9fd400c,
    0x37ee003f,0x4ae0004f,0x37c4001b,0x1f7fe400,0xff893ee0,0x01ff5000,
    0x7dc7fc40,0x27fa2004,0x75400ef9,0xbffd0006,0xf9a7cc00,0x7fffcc04,
    0x1affaadf,0x0b7ff220,0x5555ff10,0x40555555,0x4001fffa,0x05fb9fe8,
    0x5cc6fbf2,0x2164c6fe,0x91df306e,0xfea8007f,0x3be000df,0x0027dc00,
    0xffc807fb,0x7ed440bd,0x006f982f,0x3fb80b26,0xf302ff40,0x18027403,
    0x3601fe20,0x0027dc5f,0xff300ff1,0x314c0000,0xf8fe8005,0x33a20007,
    0x00a88005,0x7f400600,0x88027dc0,0x0d4c002a,0x2a600155,0x00006aa2,
    0x80055100,0x3600a629,0x3e3fffff,0x88004007,0x5500007f,0x43530003,
    0x05ff00aa,0x0000bfe2,0x00aa2355,0x22000440,0x04fb800a,0xfd80ff60,
    0x3ff5000d,0x00006f98,0x2aa01fdc,0xfb82ec01,0x22019800,0x47f9807f,
    0x880264fb,0x07f9807f,0x20132200,0x5be604c8,0x4c8802fd,0x88264408,
    0x80bdeeca,0x4c8804c8,0x400c17ec,0x02cdedb9,0x7bdd9510,0x03c98001,
    0xbdeeca88,0xeeca8800,0xcb8800bd,0x3a00acee,0x3e3fffff,0x7765c407,
    0x1fe200ac,0xbdb93000,0x6dcc0059,0xff302cde,0x0004fc80,0x166f6e4c,
    0x9bdb7300,0xbdb93005,0x013ee059,0x9f703fd8,0x0ffa8060,0x00001be6,
    0x019807f7,0x05f81fa8,0x5dffffe4,0x300ff12f,0xfbcfb8df,0x7f883eff,
    0xbf57f980,0x7f88ff40,0x3207f980,0x100df53f,0x0ff300ff,0xfffffff7,
    0x807f885f,0x1ffcc7f9,0xfffff500,0x5c03dfff,0xffffffff,0x01bea002,
    0xfffffff7,0x7ffdc05f,0x202fffff,0xfffffffa,0xfffff03f,0xf503fc7f,
    0x7fffffff,0x8001fe20,0xfffffffc,0x3ffea00d,0x41efffff,0x06201ff8,
    0xc87f89f7,0xdfffffff,0x3fffea00,0x901effff,0xbfffffff,0x7cc4fb81,
    0x441fec3f,0x7ffe446f,0x8bea3fb4,0x3ee006f9,0x640fee04,0x2fbbffff,
    0x0bee37c4,0xffbcffc8,0x00ff12fe,0xfffb87fb,0x443ffcae,0x27f9807f,
    0x26f880ff,0x7f9807f8,0x1ff83fe0,0x4c03fc40,0x567fd47f,0x22ffda88,
    0x7f9807f8,0x400dffd8,0x510adffb,0xff503ffd,0xffb51159,0x81bea005,
    0xa88acffa,0xffa82ffd,0xffda88ac,0x11cffc82,0xfb07ff95,0x3fc7ffff,
    0x511cffc8,0xff107ff9,0x2fbf2000,0x20dfd731,0x510adffb,0xffd83ffd,
    0x89f7000b,0x8df7e47f,0xf706feb9,0x3aa215bf,0x5f7e41ff,0xb8dfd731,
    0x20ffe24f,0x21fc83fd,0xcfdbdfe8,0xf993e27f,0x813ee006,0xcffc83fb,
    0xd82feffb,0x5403fa0f,0x97fe40ef,0xaaaaaff8,0x5c0ffeba,0x0ffc43ff,
    0xff300ff1,0x1fdc1fe4,0xff300ff1,0x9f917ea0,0x9807f880,0x807fea7f,
    0x01fe27fd,0xbee89fe6,0xff303ffe,0x545fc805,0x1ff601ff,0xfa837d40,
    0x51ff601f,0x3fec03ff,0xfa807fe6,0x7fffd42f,0x3e61fe3f,0x0bfea01f,
    0x99999ff1,0xff819999,0x985ff102,0x2fe402ff,0x33bfff62,0xf89f700a,
    0xf8817fc7,0x017fcc2f,0x05ff17f2,0x4fb8bfe2,0x3f607ff1,0x1fec6e83,
    0x4dd1bfee,0x3ee006f9,0xf50fee04,0x82ffc81d,0xd81be2fc,0x225ff01f,
    0xffffffff,0x6fb81eff,0x3fc49f70,0xdf33fcc0,0x3fc41fd0,0xfd83fcc0,
    0x1007fcc2,0x4ff300ff,0x7fc404ff,0xf300ff12,0xff907e4f,0x804fe81b,
    0x13fe0ff8,0x5005ff10,0x013fe0df,0x27fc5ff1,0xfe8bfe20,0x40ffb803,
    0x3e3ffffb,0xb803fe87,0x3ffe20ff,0xffffffff,0xf901fe61,0x8804fe89,
    0xffda80ff,0x7dc0dfff,0x0ff33fc4,0x27f44fc8,0xf987fc40,0xf727e407,
    0x6c05fd19,0x3ee4f83f,0x644ff885,0x400df30f,0x0fee04fb,0x0bfe03fb,
    0x02fc4fee,0x897ec0ff,0xffccccff,0x413ee00e,0x01fe25f9,0x43fd1fe6,
    0x03fc45f9,0x3fc43fcc,0x3e203fe8,0xf17f9807,0xf882600f,0x3e7f9807,
    0x20efe986,0x435000ff,0x013007f8,0x3e21bea0,0x7c413007,0x7d413007,
    0x20bfa006,0x1fe3feb9,0x7f400df5,0x2aabfe22,0x20aaaaaa,0x06201ff8,
    0x0d4003fe,0x3ffb2a20,0xff13ee1e,0x3100ffc4,0x2a001ff0,0x8807fe21,
    0x27f6fdc1,0x5f30ff60,0x2fe80fec,0x06f987e4,0xfb813ee0,0x5fb03fc3,
    0x17ea9f50,0x5f9037c4,0x77ec1fe2,0x2207f700,0x003fe27f,0x24fb8df5,
    0x03fc42fc,0x7fdc3fcc,0x6ffeeeee,0x2601fe20,0x000bf57f,0x3e601fe2,
    0x3a203fa7,0x000df34f,0x00002fd4,0x2fd437d4,0x005fa800,0x6400bf70,
    0xf8fea04f,0x9002fdc7,0x003fc49f,0x000bffd8,0x00000df3,0x3ee5fea8,
    0x3ff63fc4,0x0df3000b,0x0bffd800,0xfffff700,0x2e1fec03,0xfe81fe0f,
    0x0df33f40,0xf7027dc0,0xf9037c47,0x3eedf305,0x640ff104,0x740ff12f,
    0x207f705f,0x00ffc6f8,0x4df117ea,0x807f887f,0xfffe87f9,0x1fffffff,
    0xf300ff10,0x40013f2f,0x7f9807f8,0x3ea07fee,0x4000bf75,0x800004fc,
    0x04fc86fa,0x0009f900,0xfb8013f2,0x7f8fea05,0xf70027e4,0x8003fc4b,
    0xacefffd8,0x000bf700,0x3e2005d4,0x7f89f70f,0x677ffec4,0x00bf700a,
    0xefffd880,0x5ff700ac,0x1fec0df7,0x205f99f6,0xf32fc47f,0x027dc00d,
    0x03fc47f7,0x2bf305f9,0x81fe04fb,0x40ff12fd,0x3fb84ff9,0x2fe8bf30,
    0x7ec27e40,0x7f884fa9,0x7cc7f980,0x8827ec07,0xb7f9807f,0x3e20007f,
    0x6c7f9807,0xda7cc4ff,0x5555104f,0x00ff6355,0x21bea000,0xfb0003fd,
    0x0ffa0007,0x2a07f980,0x7fd1fe3f,0xf13fcc00,0xfda8000f,0x6c0dffff,
    0x5555104f,0x00ff6355,0x227dc7fa,0xfffb507f,0x4fd81bff,0x55555510,
    0xffffb503,0x24fb81bf,0x87fb03fe,0x5c1be67c,0xf317e45f,0x027dc00d,
    0x207f87f7,0x34fa82fd,0x41fec0bf,0x0ff12ff8,0x7dc1ffb8,0xfd87f906,
    0x541ffc05,0xf881fccf,0x647f9807,0x07fcc04f,0x7cc03fc4,0x20009f97,
    0x7f9807f8,0xd89effb8,0x2a0bf91f,0x94ffffff,0x5000009f,0x009f90df,
    0x40013f20,0x3ea003fd,0x7f8fea06,0xf5001fec,0x0003fc4d,0xeffeca88,
    0x7d417f21,0xf54fffff,0x73fc401d,0x4407f89f,0x21effeca,0xfff505fc,
    0x54409fff,0x2e1effec,0x207fe64f,0x887d43fd,0x1ffc40ff,0x06f98bf7,
    0xfb813ee0,0x7c41fec3,0xf12fc82f,0x31ffcc0d,0x1fe25ffd,0xff71bfa0,
    0x4c0ffa87,0x7ec40cff,0x41bfbe06,0x7d400ff8,0x7400ffc6,0x00ff883f,
    0x05fbb7d4,0x801ff100,0xffd106fa,0x837d43df,0x4fdaaaa8,0x00000bf7,
    0x0bf70df5,0x0017ee00,0xf70027dc,0xff1fd409,0x2e004fb8,0x001fe24f,
    0x52ff5400,0x2aaa20df,0xdff14fda,0x5c9fd303,0x2003fc4f,0x1bea5fea,
    0x7ed55544,0x97faa004,0x437e44fb,0xd17c43fd,0x9fff449f,0x37cc0ffb,
    0x5c09f700,0x31ffcc3f,0x3fb05ffd,0x3fee03f4,0x12feffef,0x7ff300ff,
    0x75ffffdc,0xfff901ff,0x01fffddd,0xff01ffe4,0x2a5fa803,0x0df7006f,
    0xbf5007fe,0x65c01be6,0xf5007fe2,0x45ffb80b,0xf7000ff8,0x5c01be69,
    0x86fa802c,0x597006f9,0x65c01be6,0x6400df32,0xf8fea02f,0x90037cc7,
    0x7fffc45f,0xffffffff,0xf8801751,0x001ff10f,0xffe893ee,0x45fffdef,
    0x753fc4fb,0x10ff8801,0x3ee001ff,0xf8801754,0xfd09f70f,0x6f83fd87,
    0x37f7ffe2,0x80effffd,0xfffffff9,0x09f70fff,0x7fdc1fdc,0x82feffef,
    0x200fec7e,0xfd8ceeda,0x3200ff12,0xf79f70ff,0xda805bff,0x00bdffff,
    0xfb007fcc,0x364fb805,0x3ff1003f,0xfb805fb0,0x8803ff14,0x00bf64ff,
    0xfd3009f7,0x7003fe89,0x007fe29f,0x17a69ff1,0x3fe217ee,0x8a7fc401,
    0x7fc401ff,0x2200bfe4,0x8fea01ff,0x802ff87f,0x3fe21ff8,0xffffffff,
    0x007fb1ff,0x01ff43fd,0x76444fb8,0xb83effff,0x7fb3fc4f,0x7f43fd00,
    0x369f7003,0x71fe803f,0x43ff309f,0x22fc83fd,0xfd33efd9,0xf984c47b,
    0xffffffff,0x5c09f70f,0x9ddb503f,0x6f885fb1,0xe80017dc,0x801a801f,
    0x000264fb,0xf98003b2,0x202fe405,0x220002ff,0x80bf901f,0x03ff22ff,
    0x3f20ffc8,0x5117fc05,0xfa8df305,0x24fc802f,0x3f200ffc,0xc81ff10f,
    0x01ff903f,0xff907fe4,0x707fe401,0x5fd801df,0x0ff1fd40,0xfd801df7,
    0xa83d4005,0x1fe200ef,0xf9005ff5,0x0017d409,0x03bea7f8,0x7fd47f88,
    0xf54fc802,0x03fc401d,0x01f40151,0x260003fd,0x02a601fe,0x00aa035c,
    0x5f707fa0,0x3db06f88,0x3a00ff10,0x13ee00ff,0x00172000,0xff9803f9,
    0x037ec40c,0x4c03e600,0x7ec40cff,0x441efd86,0x7fcc4ffb,0x237ec40c,
    0x3fc40ff8,0x220dffdc,0x7ec4ffea,0x27fdc41e,0x2ff88ffe,0x7107bf60,
    0x3dfb09ff,0xc84ffb88,0x5fe881ef,0x1fe3fa80,0x7440f7e4,0x05c8005f,
    0xd303dff1,0x37ff709f,0x04ffea88,0x1000bfaa,0x0f7fc4ff,0x7dc27f4c,
    0x7f5441bf,0x03dff14f,0x74c09fd3,0x4405f06f,0x7d4003ff,0x17f6402f,
    0x3fb2026c,0x3e207b62,0x5f706f87,0x74c1bf90,0x0fea004f,0x80004fb8,
    0x544400fc,0xfff5006f,0x01fffddd,0x023f9800,0xfdddfff5,0xffd101ff,
    0x0bfffdbf,0x3bbbffea,0xdfb80fff,0x2e0bfb10,0xffeeffff,0xffe882ef,
    0x85fffedf,0x5ffdfffb,0x6ffff440,0xd105fffe,0xfffdbfff,0x6f7fec0b,
    0x5006ffed,0xfb03fc7f,0xdffdbbdf,0x403f2000,0xfdefffe8,0x3fee05ff,
    0xefffeeff,0x800df002,0x7ff446fa,0x05fffdef,0x3bbfffee,0x7442efff,
    0xfffdefff,0xf03f9005,0x77f4c049,0x6dd441ac,0xdf1002ff,0xbf100db0,
    0xfd306fe4,0x3a01fb89,0xffdffd05,0xfb9100bf,0x027dc03f,0x7effcc00,
    0x01fffd81,0x3fffb2a0,0xd00000bd,0xd9509fdf,0x4017bfff,0xefffffc8,
    0x7ff65402,0xff100bdf,0x401dffdf,0xdffffdb9,0x7ffe4403,0x3ee02eff,
    0x91005fff,0x05dfffff,0xfffffc88,0xfeca802e,0x2a003dff,0x9501fe3f,
    0x007bfffd,0x0feffcc0,0x3ffffb22,0xfdb9803e,0xc803dfff,0xf5003ffe,
    0xfd9107ff,0x3007dfff,0x7bffffb7,0x7fff6440,0x764c03ef,0xdddfb06f,
    0x7ffff540,0x04fffffe,0x507fdb70,0x6e41fbff,0x77ff42fe,0x05e85fff,
    0xdb980fd4,0xbb1002bd,0x02c98037,0x059b5000,0x800077aa,0x10000018,
    0x18801797,0x00331000,0xb8800620,0x4000bded,0x33100009,0x00019800,
    0x44000662,0x02200019,0x990e4c00,0x00004400,0x1007bb50,0x00980003,
    0x000de5c0,0x22007dd5,0x004c0001,0x26001880,0xb7100add,0xb9550037,
    0x001579dd,0xb500e764,0x01bdd859,0x3057bb73,0x007b001d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x02cdedb9,0xc8801991,0xbdd95103,
    0x00000017,0x0013b200,0xccccccb8,0xd33ec800,0x05db000b,0x01775400,
    0x17647b60,0xeeeeee88,0x77774c05,0x2e0004ee,0xdd10005e,0x0bdb0003,
    0x00d40800,0x02000000,0x1eeb8000,0x07ba6000,0x98000000,0x166400ee,
    0x44017aa0,0x107d70ed,0x00bb21bb,0xb1000998,0xb00bb21d,0x800fae3d,
    0x50001ee9,0x04cc01bd,0x7ffffd40,0x7cc1efff,0x437cc05f,0xfffffffb,
    0xd3fc402f,0xf100003f,0x7f40001f,0x800fffff,0x01fe9ff8,0x00037d40,
    0x003fddf1,0x02fd77cc,0xbdddddd1,0xeeeee980,0x3fe0004e,0x09f90001,
    0x09fbf900,0x79dff300,0x9fec003f,0xbb0004fb,0xdf30000b,0x5c0001fd,
    0xa7dc005f,0xfd8006f9,0x0077cc03,0xfa801fec,0x3ee06f9e,0x7c005fad,
    0x37ea004f,0xef9805fa,0x7ec006f9,0x0ffa0004,0x3fe67ff0,0x42b7fee0,
    0x261ffea8,0x3e603fff,0x4567fd46,0x202ffda8,0x007fa7f8,0x000bf200,
    0x3e600000,0xfe8002ff,0x2bfa0000,0x2e000ef9,0x00000eff,0x2e000000,
    0xbf10003f,0x36bf7000,0x576c003f,0x6c005ffc,0x0009f73f,0x8000aa75,
    0x06fa9ff8,0x000fe400,0x01be69f7,0xfb00bf30,0x01fa2003,0x400fffc8,
    0xf8006ffd,0x7fe4004f,0xfff7000e,0x02fc4001,0xf009f300,0x4c3fe67f,
    0x2fe402ff,0x201ffff3,0x07fea6f9,0x15407fd8,0x50000155,0x09910005,
    0x55009910,0x03510005,0x55154400,0x00aa8003,0x07d71ec8,0xaceecb88,
    0x00550000,0x400054c0,0x005510aa,0x400041a8,0x003510a9,0x00072930,
    0x02aa1a98,0x40035000,0x005511a9,0x1a800a98,0x00054400,0x55100355,
    0x03550001,0x80015500,0x54c001aa,0x00a60000,0x74330d54,0x0ff8804f,
    0x20bfbdf3,0x013fe6f9,0x2e205ff1,0x000aceec,0x99999910,0x59999999,
    0x7cc03fc4,0x803cb807,0xccccccc8,0x99500abc,0xc8932600,0x21e4400c,
    0x409f92fe,0xfffffffa,0x3cb8003f,0x400cc880,0x3cb803c8,0x01e5c000,
    0x000f2e00,0x9500ffd0,0x00e64c05,0x33322595,0xcccccccc,0x4c0132a3,
    0x6666544c,0x1ccccccc,0x65c00b2a,0x20e5c003,0xccccccc9,0x2a3ccccc,
    0xcccccccc,0x332a1ccc,0xcccccccc,0x9999911c,0x20157999,0x32a003c8,
    0x5c993004,0x003fe01c,0xf1df30d4,0x22df307f,0x2013007f,0xfffffffa,
    0xffb8003f,0xffffffff,0x1fe25fff,0xf101fe60,0xff8803ff,0xffffffff,
    0x03ff882f,0xff31ff44,0x5c6f980b,0x3205951c,0xf9511cff,0x7fc4007f,
    0x2ffcc01f,0xf101be60,0x220003ff,0x10001fff,0x20003fff,0x5401fff8,
    0x17ff206f,0xfff12fd8,0xffffffff,0x201ffc4d,0x7fe43fe8,0xffffffff,
    0x200fee2f,0x2001fff8,0x7ffdc2fe,0xffffffff,0x3ffff25f,0x2fffffff,
    0x3ffffff2,0xf12fffff,0xffffffff,0x0df305ff,0x201ffc40,0x8bfa3fe8,
    0x000df34e,0x0ffab7cc,0x05fab7cc,0x8e7fe400,0x003ffca8,0x67fd67fc,
    0x1aaaaaaa,0x3e601fe2,0x27efdc07,0x2667fe20,0x2ffeb999,0x3200ffb8,
    0x1fffcc6f,0x4000df30,0x3ea01ff9,0xfbf7002f,0x3fff9809,0xf701be60,
    0x2e0009fb,0x70004fdf,0x20009fbf,0x4404fdfb,0x1fffa07f,0x5ff10ff8,
    0x55555555,0x200ffb85,0xaaa986fc,0xffdaaaaa,0x2e00fee1,0x3a004fdf,
    0x5555442f,0xaaaabffa,0x2aaaaa61,0x21ffdaaa,0xaaaaaaa9,0xff11ffda,
    0xd7333333,0x06f985ff,0x9007fdc0,0x3a2fe8df,0x4000bf74,0x31bf66f9,
    0x0013f2df,0x2a01ff98,0xdf7002ff,0xf10017f4,0x80ff300f,0x4407f8fe,
    0x05fd807f,0x3fe60bfd,0x07fffcc0,0x20006f98,0xffb803fe,0x7f8fe800,
    0x07fffcc0,0x7f406f98,0xfd0007f8,0x3a000ff1,0xd0007f8f,0xfd00ff1f,
    0x3fbbf103,0x3fc4df30,0x20bfd000,0xa8000ff9,0x01fdc2ff,0x003fc7f4,
    0x3fe005fd,0x7fd40001,0x17fd4002,0xbfb00ff1,0xe8006f98,0x81ff305f,
    0x7ed7e2fe,0x55555104,0xf89be635,0x7edbe63f,0x0ffa0003,0x2003fee0,
    0x00bfa2ff,0xf9807f88,0x7edbe607,0x201fe202,0x7ff107f9,0xdf307fd0,
    0x5be60bfb,0x23fb03fb,0x3fa006fa,0xfdb7cc02,0x3f7be602,0x4c0df305,
    0x8005fb6f,0x005fb6f9,0x05fb6f98,0x5fb6f980,0xfb83fc80,0x4fb83fbb,
    0x88001fe2,0x03fe83ff,0xb84ff980,0xdb7cc03f,0x05fd002f,0x80007fe0,
    0x4c004ff9,0x03fc44ff,0x1be63fcc,0x20ffe200,0x22fe83fe,0x2a0bf95f,
    0x34ffffff,0x30ffa8df,0x0013f2df,0xfd0037d4,0x746fb805,0x1fe2002f,
    0xfc81fe60,0x7c40df53,0x206f9807,0x17f20ffb,0x1ffc77cc,0x03fbb7cc,
    0x017ee3fb,0x7e404fc8,0x7cc0df53,0xf983ff8e,0x7d4ff206,0xa9fe4006,
    0x9fe4006f,0x7e4006fa,0xfa80df53,0x5f88fd85,0x1fe21fd8,0x41ff7000,
    0xe88005fc,0x807f705f,0x00df53fc,0x7fc00bfa,0xbfd10001,0x85fe8800,
    0x6f9807f8,0xb80037cc,0x417f20ff,0x7d5be2fe,0xb5555106,0x361be69f,
    0x3eedf36f,0x0bf70005,0x3a027e40,0x0017f42f,0xff300ff1,0x3ff07fc0,
    0x3601fe20,0x9aff403f,0x2df300ff,0xb7cc0ffa,0x23fb03fb,0x3ee004fc,
    0xff07fc05,0x7d5be603,0xf037cc0f,0x000ffc1f,0x00ffc1ff,0x0ffc1ff0,
    0x7fc1ff00,0x3e1fe201,0x8ff03fa6,0xe80007f8,0x001ff35f,0x2e01dfb0,
    0xf07fc03f,0x05fd003f,0x40007fe0,0x6c000efd,0x07f880ef,0x37cc3fd8,
    0x26bfd000,0x25fd00ff,0x01ff16f8,0x37cd3ee0,0xb7cdffc4,0x597006f9,
    0xfb8013f2,0x3a1bea05,0xccccccdf,0x4c03fc44,0xc8bf507f,0x55ff104f,
    0xffd75555,0xeaff9801,0xd9be602f,0xfbb7cc6f,0x3fa3fb03,0x81fe6003,
    0x827e45fa,0x31bf66f9,0x917ea0df,0x17ea009f,0x3ea009f9,0xa8027e45,
    0x2027e45f,0xc93e60fe,0xf117e62f,0x9999999f,0x7fcc0199,0xc8002fea,
    0x0fee01ff,0x27e45fa8,0xf8017f40,0xffc8001f,0x0ffe4001,0xaaaaff88,
    0x40ffebaa,0x260006f9,0x202feaff,0x74ff12fe,0x29f7003f,0x5ff506f9,
    0x007fe2df,0x0ffa9ff1,0x3a07f980,0xffffe83f,0x220fffff,0x07f9807f,
    0x0ff985fb,0xffffff88,0x001effff,0x980bfff7,0x98ffe26f,0x3607f76f,
    0x4007fb1f,0x0bf606fa,0xdf301ff3,0xdf31ffc4,0xff30bf60,0x985fb001,
    0x2fd800ff,0x6c007fcc,0x007fcc2f,0x517e45f9,0x221fdc9f,0xffffffff,
    0x7dc01fff,0xfa8005ff,0x01fdc02f,0x0ff985fb,0xf8017f40,0x7fd4001f,
    0x17fd4002,0xffffff10,0x303dffff,0xfb8000df,0x97f405ff,0x0bfea7f9,
    0x37cd3f20,0x64dfffb0,0x3ff200ff,0x54007fb0,0x20ff506f,0xaaaaacfe,
    0x007fc42a,0x1fe21bea,0x7fc41ff4,0x0effcccc,0x00ffe800,0x3fea37cc,
    0x0feedf30,0x04fb8fec,0x7c413ee0,0xf307fd07,0xf30ffa8d,0x3a0ff10d,
    0x83fc403f,0x3fc403fe,0x7c403fe8,0x4c07fd07,0xdf11fa4f,0x3fe20fec,
    0xaaaaaaaa,0x0ffe800a,0x027fc400,0x7f881fdc,0xfe807fd0,0x003ff002,
    0x20027fc4,0x7c404ff8,0xeffccccf,0x001be600,0xd003ffa0,0xb83fea5f,
    0x75441bff,0x40df34ff,0x7ec6fff8,0x27fdc41e,0x7dc009f7,0xdddffd04,
    0x8005ffdd,0x2fd401ff,0x77777fdc,0x7f886ffe,0x8001dfb0,0x6f9805fb,
    0x2df36fd8,0x23fd03fb,0x3f2006f9,0xdddff702,0xf30dffdd,0x3e6dfb0d,
    0xeeeffb86,0x5c06ffee,0xfeeeeeff,0x77fdc06f,0x06ffeeee,0x77777fdc,
    0xb7c06ffe,0xf0fe85f8,0x000ff10f,0x2002fdc0,0xf7005fe8,0x3bbfee07,
    0x406ffeee,0x3ff002fe,0x017fa200,0x100bfd10,0x03bf60ff,0x400037cc,
    0x2fe805fb,0xffb81ff5,0xefffeeff,0xf501be62,0xfffe88df,0x4c5fffed,
    0x0bf2006f,0x3fffffea,0x4002ffff,0x27dc02fd,0x7ffffff4,0x7c41ffff,
    0x0017fa07,0xdf300bf7,0xdf37ff10,0x0ffc13ee,0xff1005ff,0x3ffffa03,
    0x41ffffff,0xbff886f9,0xfffe86f9,0x1fffffff,0x3fffffa0,0x201fffff,
    0xfffffffe,0x3fa01fff,0xffffffff,0x2a3f601f,0xf9afb83f,0x0007f884,
    0xb0017ee0,0x3ee001df,0xfffffd03,0x403fffff,0x3ff002fe,0x003bf600,
    0x1001dfb0,0x82ff40ff,0xb80006f9,0x52fe805f,0xfb7301ff,0xf307bfff,
    0x10dfb00d,0x5dfffff9,0x2200bfe0,0x9cfd81ff,0x2fe99999,0x202fe400,
    0x03fcc2ff,0x0ff113f6,0x70027fcc,0x0df300bf,0x5dbebfea,0x21ff884f,
    0x7ec00efb,0xd80ff305,0xa837cc4f,0x7cc6faff,0x9827ec07,0x827ec07f,
    0x27ec07f9,0x7ec07f98,0x3f6bee04,0x2fbbf981,0x00007f88,0xfb8017ee,
    0x0fee000f,0x9fb01fe6,0xf8017f40,0x0ffb801f,0x007fdc00,0x3e607f88,
    0x006f984f,0xe805fb80,0x801ff52f,0x2a0002f8,0x01ec8001,0x6c00efb8,
    0x00ff985f,0xf3000bfa,0x6fd8819f,0x7cc04fc8,0x701fe20f,0x3ee003ff,
    0x206f9805,0xff36fffd,0x641ffd81,0x5fe881ef,0xf3013f20,0xb037cc1f,
    0x4fc8dfff,0x6407fcc0,0x07fcc04f,0x3e6027e4,0x404fc80f,0x7f300ff9,
    0x7e6fc0ff,0x0007f880,0x54017ee0,0x7dc002ff,0x4c04fc83,0x05fd00ff,
    0xf5007fe0,0xffa8005f,0x01fe2002,0x6f983ff7,0x05fb8000,0x19932fe8,
    0x003fea80,0x4001ffd0,0xfc800dfc,0x05fe881e,0x2fe809fb,0xefffa800,
    0xf80fffee,0x23fe801f,0x6fe807f8,0x300bf700,0x7ffc40df,0x3b33ffa6,
    0xffd81fdf,0x06ffedde,0x7f400ffc,0xf881be63,0x00ffc6ff,0x0ffc1ff4,
    0x7fc1ff40,0xf83fe801,0x03fe801f,0xfd813fbe,0x00ff106e,0x402fdc00,
    0xb8003ff8,0x801ff83f,0x05fd03fe,0xf8807fe0,0x7fc4003f,0x03fc4003,
    0x1be637f4,0x017ee000,0xe8000bfa,0x0fea0007,0x2009f300,0xfeddeffd,
    0x01ff306f,0xffffffe8,0xd9507fff,0x5017bfff,0x9bee00df,0xff9807f8,
    0x805fb803,0x7fd406f9,0x3bfff626,0xd9501fc8,0xa807bfff,0x4df7006f,
    0x7fd406f9,0x5c01bea6,0x8037d46f,0x037d46fb,0x37d46fb8,0x3606fb80,
    0x3fee02ff,0xfffff104,0x3fffffff,0xb805fb80,0xffffffff,0x3ee4ffff,
    0xb8037d43,0x005fd06f,0xffb807fe,0xffffffff,0xffff74ff,0xffffffff,
    0x2601fe29,0x3ffe63ff,0x0fffffff,0x7402fdc0,0x7654002f,0x6e44005f,
    0xfb9001ff,0x7654003f,0x3603dfff,0xfffe804f,0x07ffffff,0x3fd80188,
    0x223ff100,0x1ff9007f,0x9805fb80,0x06fd806f,0x02200013,0x1003fd80,
    0x01be63ff,0x03fd9bf6,0x7ec3ff10,0x43ff1003,0xff1003fd,0x8801fec3,
    0x1ff701ff,0x880ffc40,0xffffffff,0x5c01ffff,0xfffb805f,0xffffffff,
    0xfb0fee4f,0x07fe2007,0x7fc00bfa,0x3fffee01,0xffffffff,0xffffff74,
    0x29ffffff,0xff9007f8,0x3ffffe61,0x400fffff,0x2fe805fb,0x05675c00,
    0x06f76200,0x00deec40,0x00001100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02000000,0x00000015,0x401dd300,0x9300d41a,
    0x3a200498,0x5dd5004e,0x0ea1b880,0x82754fb2,0x4ea83ed8,0x30001bd1,
    0xbd900013,0x441d1001,0x0fba600e,0x5544bba2,0x2e02aaaa,0x00cccccc,
    0xeeeeee98,0xeeca8804,0x0008001b,0x20000008,0x7006a600,0x0037a29d,
    0x4c400331,0x1d43a800,0xdd300260,0x032e0003,0x12ceeca8,0x99999999,
    0x465c0019,0x2bd701cb,0xee8805eb,0x40593002,0xa8000098,0x01fbbeff,
    0x81ff9fe2,0x805fb0ff,0x876403fd,0x2fe201fa,0x3a003ea9,0x7cc02fdf,
    0xff100fee,0xf107fbff,0x4c01ff3f,0xfb5fb07f,0x0ffe0005,0x0dfbf500,
    0x17aabb60,0x42fdfe88,0x3ffea5fb,0x3fa05fff,0x800fffff,0x5ffffff9,
    0x7ffffdc0,0xe8803fff,0xbbd1005d,0xdeeb9800,0x3ee1b20c,0x3a04ffff,
    0xc802fdaf,0xfffa807f,0x2fe202ff,0x57dc3fa9,0xff106ffd,0x553001fd,
    0xfb059fd5,0xf39fffff,0xffffffff,0x6cfec001,0x3e3fd02f,0x05fc801f,
    0x205fa9aa,0x02e406fc,0x17ff6b7a,0x0ffcff10,0x02fd87fc,0x3a2017e6,
    0xfb805fff,0xf9000dff,0x74407fa9,0xb80ef99f,0x00cec98f,0x7003fff3,
    0x7fff107f,0x01ffc000,0xbf71ff30,0x3bffb300,0x7fc5fec0,0x99883be1,
    0x00009999,0xfb800000,0xff9511cf,0x0372b805,0x2006e570,0xfffffffa,
    0x7d43fbbf,0x05fecacf,0x2007fff1,0x7fe407fc,0x203ffebd,0xfb85fffb,
    0xfd04fefd,0xfb00df35,0xd8dfffff,0xdfb10aef,0x555555df,0x4fec0015,
    0x54fa81e9,0x0df1009f,0x09913fc4,0xbf5037e4,0x40040a80,0x202aa2a8,
    0x401530aa,0x2a6000a9,0x0004c000,0x8154c551,0x006aa2a9,0x001a9800,
    0x0154c0aa,0x8006aa00,0x002aa1a9,0x262a8800,0x5c01511a,0x0f2e001c,
    0x33333220,0x43cccccc,0x3ea01ffa,0x06cea01f,0x400d9d40,0x3261cffa,
    0x1fd84fff,0xa9807fc4,0x80aa6002,0x7fcc0ff9,0xff700c00,0x51544047,
    0x99988015,0x3fea0afe,0x00bffb01,0x0f8fec00,0x400a6298,0x1fe200a8,
    0x0154c079,0x0cc88bf5,0xcc89e440,0xcccccccc,0x441cb83c,0xcccccccc,
    0x39703ccc,0x401e5c00,0x991002c9,0x99999999,0x1072e079,0x99999999,
    0x39707999,0x33333322,0x332202bc,0xcccccccc,0x2013223c,0x999914c8,
    0x79999999,0x32e072e0,0x2005fd01,0x4401fff8,0xffffffff,0x3fe26fff,
    0x407fc802,0x3ae002eb,0x00ffcc03,0x5fd07ff7,0x0d4c0130,0x6c013100,
    0x409f904f,0x0df70098,0x3000d4c0,0x3f60fec3,0x017fe603,0x27f61980,
    0x004cc04c,0x7c403530,0x18803a67,0x3e62fd40,0x8b7cc05f,0xffffffff,
    0x2fe86fff,0x7fffffc4,0xd06fffff,0x3fe2005f,0x027dc01f,0xffffff88,
    0xd06fffff,0xffff885f,0x6fffffff,0xfff32fe8,0x7dffffff,0xffffff10,
    0x44dfffff,0x17f9807f,0xffffffff,0x3fa0dfff,0xfd02fe82,0x3f7ee005,
    0x557fc404,0x2aaaaaaa,0xff801be6,0x54400001,0x301ffc01,0xfb81ffdf,
    0x7dc00bdf,0x2a04ffff,0xe82fffff,0xb99999af,0xffffa85f,0x402fdc2f,
    0x04fffffb,0x36bffff2,0x007fe21f,0xf9000bfb,0x13fb5fff,0x7ffffdc0,
    0x3fffee02,0x7fffe44f,0x3ffae017,0x7fff41df,0x07fff35f,0xaff8b7cc,
    0xaaaaaaaa,0x7c42fe82,0xaaaaaaaf,0x05fd02aa,0x013f7ee0,0x3e2009f7,
    0xaaaaaaaf,0x85fd02aa,0xaaaaaff8,0xfe82aaaa,0x5555ff32,0x887ffb95,
    0xaaaaaaff,0x1fe22aaa,0x7fc5fe60,0xaaaaaaaa,0xd05fd02a,0x00bfa05f,
    0x203fc7f4,0xfb8007f8,0xb8ff6004,0x903fb03f,0x81bfffff,0x3ba206f9,
    0xffc83ff8,0xffa83eff,0xc85fecac,0x3ffebdff,0x7ffffffc,0x7fe46fff,
    0x2e3ffebd,0x67fd404f,0xfc85feca,0x1ffffccf,0x3f201fe6,0x67fe4005,
    0x201ffffc,0xffebdffd,0xcacffa84,0x3ff2a5fe,0x37fee04c,0x36e0ffdb,
    0xfff33cef,0x45be601f,0x3fa0007f,0x0003fc42,0x7f400bfa,0x27dc07f8,
    0x0007f880,0x1fe217f4,0xf32fe800,0x20ffd80f,0xf88007f8,0xf17f9807,
    0x2fe8000f,0x5fd02fe8,0x3f6df300,0x001fe202,0xfc800ff6,0x7ec0fee4,
    0x6ddf7f41,0x827d46ff,0x0bfb0ee8,0x3bfff6e2,0xff107f60,0x2607fcc1,
    0x57ff10ff,0x45555555,0x7fcc0ff9,0xfd809f70,0xf507fc41,0x0ffec41d,
    0xff700ff5,0x85999999,0x3f220efa,0x83df501f,0x0fec1ff9,0x7f883fe2,
    0x2e0f7cc0,0x262fd44f,0xf305fdef,0x8001fe2d,0x03fc42fe,0x200bfa00,
    0x405fb6f9,0x440664fb,0x7f40007f,0x0003fc42,0x01fe65fd,0x07f897f2,
    0x9807f880,0x000ff17f,0x2fe82fe8,0xf9005fd0,0xf881bea7,0x02ff8007,
    0x3fb9bea0,0x37d43fb0,0x7f907fc4,0x6fb87f60,0x23ffa880,0x6c0982fe,
    0x7c9f904f,0x13f6002f,0x04fba7e4,0x204c17f4,0x1ff882fd,0x3ea017ee,
    0x4fffffff,0x7fc417ec,0x2e05fd01,0x4c17f45f,0x3203fc40,0xfa89b03f,
    0x7fc77cc5,0xff16f983,0x217f4000,0x740007f8,0x53fc802f,0x567dc0df,
    0x7c45ffff,0x17f40007,0xe8001fe2,0x300ff32f,0x003fc4ff,0x7cc03fc4,
    0x8000ff17,0x02fe82fe,0x1ff005fd,0x7f880ffc,0x002fe800,0x03fb97ee,
    0x80e4c3fb,0x20bfa1fe,0x13fd41fd,0xb93ee0bb,0x3a00bdff,0xb99999af,
    0x5417f65f,0x266bfa3e,0xf75fb999,0xbdffb809,0xfd81fe00,0x2e01bee1,
    0xaaaaaaef,0x3fb03f41,0x6f981fe0,0x005effdc,0x0fd80ff1,0x35df9500,
    0x07fd5be6,0x03fc5be6,0xf885fd00,0x17f40007,0x3ff07fc0,0x2f7ffee0,
    0x1fe25ffd,0x885fd000,0x3fa0007f,0x3a00ff32,0x000ff11f,0xff300ff1,
    0xd0001fe2,0x205fd05f,0x2fd402fe,0x7fc413f2,0xcccccccc,0x800ff20c,
    0x40fee4fc,0x5d4401fd,0x90ffa1fe,0xd8df505f,0x642fd83f,0xf83effff,
    0xffffffff,0x107fe66f,0x7fffc3ff,0x76ffffff,0xfff9009f,0x07f887df,
    0x06fa87f2,0xf1005fc8,0x440fe40f,0x21fe207f,0x83effffc,0x03fc07f8,
    0x29ffffd0,0x31bf66f9,0x333fe2df,0x0ccccccc,0x7fc42fe8,0xcccccccc,
    0x805fd00c,0x827e45fa,0x3fcc3ffb,0x99999ff1,0x3a019999,0x667fc42f,
    0x0ccccccc,0x0ff32fe8,0x7fc4bfa0,0xcccccccc,0x3bbfe20c,0xfeeeeeee,
    0x9999ff17,0x20199999,0x02fe82fe,0x2fd805fd,0x7c407fcc,0xffffffff,
    0x017ea1ff,0x0fee3fd8,0x36e20fec,0x21ffffff,0x40fee3fd,0x77fc44fb,
    0x880efecb,0x10efffdb,0x555557ff,0xeffc8555,0x3e23ffdb,0xaaaaaabf,
    0x2009f72a,0x0efffdb8,0x0fe40ff1,0xbfb00ff3,0xc81fe200,0x207f881f,
    0xfb7107f8,0x3fc41dff,0xb8801fe0,0x4df309df,0x5be63ff8,0xfffffff8,
    0xfe81ffff,0x7ffffc42,0x01ffffff,0x2fd805fd,0x7dc07fcc,0x3e23ff06,
    0xffffffff,0x85fd01ff,0xfffffff8,0xfe81ffff,0x3600ff32,0xfffff13f,
    0x43ffffff,0xfffffff8,0xf17fffff,0xffffffff,0x0bfa03ff,0x17f40bfa,
    0x3fa0ff10,0xaaaff883,0x20aaaaaa,0x20981ff8,0x0fee1ff9,0xfff10ff4,
    0x43fb159d,0x409f55fb,0xffea82fd,0xf51004ff,0x0017fc7f,0x16ffffd4,
    0xfb8017fc,0xffa88004,0x7ec03fa3,0xf1017f41,0x07f400bf,0x0ff01fd8,
    0x54402fcc,0x01fe23ff,0x826601fd,0x237cc5fa,0x2df30ffa,0xaaaaaff8,
    0xfe80aaaa,0x5557fc42,0x00aaaaaa,0x3fc405fd,0x5fb83fe8,0x3fe25fb0,
    0xaaaaaaaa,0x885fd00a,0xaaaaaaff,0x2fe80aaa,0x3fa00ff3,0x5555ff13,
    0x44155555,0x999999ff,0xff17fa99,0x55555555,0x20bfa015,0x05fd02fe,
    0x77777fdc,0x7f886ffe,0xb0bf9000,0xb87fd39f,0x743ff04f,0x443fd04f,
    0x2605fbff,0x07ee00ff,0x4fb82ec4,0x1f5417f6,0x7ec05f10,0x5447d505,
    0x2e0bb101,0x220bf64f,0x037dc1ff,0x6c00bff7,0x01ff882f,0x93ee05fd,
    0x49f705d8,0x1fec07f8,0x17ea0ff8,0x2dfb0df3,0x00ff16f9,0x3e217f40,
    0x17f40007,0xddddff70,0x9f70dffd,0x3fc4bf20,0x10bfa000,0x7f4000ff,
    0x3e00ff32,0x000ff12f,0xff300ff1,0xd0001fe2,0x205fd05f,0x3ffa02fe,
    0xffffffff,0x0003fc41,0x7e4c3dfb,0x84fb86ff,0x1ff11ff8,0xfc85ff10,
    0x02fec05f,0x7ec0ff6a,0x3e62fd83,0x00ffc41f,0x7fcc01f1,0xd10ffc41,
    0x07fb01ff,0x0f7d45fb,0xf883ff91,0x5fffa85f,0x887be600,0xdf501ffc,
    0x6c1ffa83,0x7c2fd83f,0x20f7cc07,0x237cc4fb,0xbff886f9,0x00ff16f9,
    0x3e217f40,0x17f40007,0xffffffd0,0xfb83ffff,0x3e25f904,0x17f40007,
    0xe8001fe2,0x100ff32f,0x01fe23ff,0x2601fe20,0x000ff17f,0x2fe82fe8,
    0x3e605fd0,0x2227ec07,0x7ec0007f,0xfffeddef,0x207fcc1e,0x0bfa1ffd,
    0xff30bff6,0x0bfd303d,0x7c41be20,0x0efecbef,0x7edf7fe4,0x11fcc03f,
    0xfb7dff90,0x20bee07f,0xfecbeff8,0x66ffdc0e,0xe881feff,0xaefeccef,
    0xffffffff,0x66ffdc3f,0x3601feff,0x2ffebeff,0xecbeff88,0x377f40ef,
    0xfd7dff90,0x4eff881f,0x3fea0df3,0x00ff16fa,0x3e217f40,0x17f40007,
    0x7ec07f98,0xfc827dc4,0x8000ff12,0x03fc42fe,0x3e65fd00,0x226fc807,
    0x7f88007f,0xff17f980,0x82fe8000,0x05fd02fe,0xff3013f2,0x0003fc41,
    0x677ff654,0x7f44ffba,0x1fdfeccf,0x3b2b3fee,0x3ba23fef,0xfeddeffe,
    0xfffd805f,0x3fffaa02,0x3ffea04f,0xdfd002df,0x3ffea09d,0x7ee442df,
    0xfffd500f,0x7ff5c09f,0xb101fcaf,0xf31bfffd,0xffffffff,0x5fffd707,
    0xffb803f9,0x3aa02dff,0xd304ffff,0x7fd403ff,0xff700bef,0xfd81be6f,
    0x00ff16ff,0x3e217f40,0x17f40007,0x7cc04fc8,0x6413ee0f,0x000ff12f,
    0x3fc42fe8,0x265fd000,0x17fc407f,0xf1000ff1,0x22ff300f,0x7f40007f,
    0xfd02fe82,0x2007fe05,0x01fe23fe,0x91011000,0xefffd88d,0x7f5c1fc8,
    0x25fa8dff,0xfffd50fd,0x32a005bf,0x0131000a,0x44000c40,0x0c400cec,
    0x0017bb30,0x04400131,0x00008800,0x20000880,0x04c40018,0x02200080,
    0x81be6080,0xff16fff8,0x217f4000,0x740007f8,0x003ff02f,0x827dc7fd,
    0x00ff12fc,0x7c42fe80,0x4bfa0007,0xfb9887f9,0x003fc45f,0x7cc03fc4,
    0x8000ff17,0x02fe82fe,0x0df505fd,0xff89bee0,0xffffffff,0x080001ff,
    0x18800260,0x01301980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a037cc0,0xffff16ff,0xffffffff,0x7c42fe83,
    0xffffffff,0x2fe81fff,0xf7006fa8,0xfc827dcd,0xffffff12,0x03ffffff,
    0xfff885fd,0xffffffff,0xf997f41f,0xffffffff,0xffff885f,0xffffffff,
    0xf300ff11,0x3ffffe2f,0x1fffffff,0x2fe82fe8,0x7fb05fd0,0x447fe200,
    0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6f980000,0xff16fd80,0xffffffff,
    0x42fe83ff,0xfffffff8,0xe81fffff,0x003fd82f,0x13ee3ff1,0xfff897e4,
    0xffffffff,0x442fe81f,0xffffffff,0x7f41ffff,0xffffff32,0x3e203bdf,
    0xffffffff,0x0ff11fff,0x3fe2ff30,0xffffffff,0x82fe81ff,0x000002fe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x76400000,0x00fe601c,0x4c00deb8,0x32002a21,0x750ea04e,0x00035100,
    0x20017db3,0x7501d43a,0x031003a8,0x0fae3db0,0x76c576c4,0x93000002,
    0x90037bdd,0x880fae3d,0x3aa004ed,0x5c40000d,0x8f6401bc,0x219803ea,
    0x09db0028,0x801dd300,0x88002ed8,0x8e644009,0xbcb88038,0xeecb8800,
    0x12ec80bd,0x29910099,0x43f504c8,0x23d904f8,0x4ed803ea,0x00774c00,
    0x88005db1,0x55555001,0x26441555,0x0159dd95,0x209fbbfb,0x3bea006d,
    0x3fff205f,0xff9807dd,0x2a6be600,0x3fff202f,0xfe800dff,0x8800ffef,
    0x203fa9bf,0x82fa9af9,0xffffaafa,0x3e7be605,0x2ebf700e,0xd81fdc5f,
    0x7ffe401f,0x200effff,0x409f92fe,0xd002fefd,0x2035405f,0x03fffffd,
    0x027dcbf6,0x1b73fff6,0x00ffbf20,0x2e007fb0,0x557dc06f,0x200dffff,
    0x00efcfe8,0x5fffffd1,0x7ffffd40,0x97ec4fff,0x7f9807f8,0x83f20ff3,
    0x25fb02fa,0x77ec04fb,0x0ff6003f,0x5c01bee0,0x301dfffe,0xffffffff,
    0x7e47fc43,0x21ffffff,0x303f64f8,0x3fe2007f,0x39f04fc8,0xfb007fd9,
    0x9fff9003,0x6ddf7f40,0x2fd406ff,0x3ee009f7,0xffc805ff,0xdfbf504f,
    0x5c0bffb7,0x3fa00fff,0x3fb81fd0,0x7ec03fb0,0xfd988adf,0x2a39700e,
    0x3abf702c,0x027d401f,0x7fd40ff1,0x2e05fd32,0x4405951c,0x02efc9bf,
    0x01feafdc,0xc800bf30,0x3f7ee02f,0x205ffcbe,0x6c04ffd8,0x2fea89cf,
    0x511cffc8,0x975cbff9,0x7f9807f8,0x71ba0dd3,0x5472e01f,0x757ee02c,
    0x05f9801f,0xf700bf20,0x01ffb7bf,0x99999df5,0x7f7fc419,0x43bfa61b,
    0xb0bee2fa,0x50d4c00d,0xa8000605,0x2a00c001,0x00ff886f,0x07f887f6,
    0x00c000c0,0xff30ffea,0x100d5401,0x2e06a235,0x203fb03f,0x3ee02ffa,
    0x15500006,0x05300aa6,0xff107f88,0x0000df30,0xaa8000c4,0x26005510,
    0x01a8000a,0xff30ffee,0xfd5bf901,0x2e1be601,0x00ffcc5f,0x887c9ff3,
    0x27f9807f,0x7d8bf05a,0x85540000,0x0a9802a8,0xf300d400,0xc84fb83d,
    0xfff1002f,0x657fa205,0xf98fea0f,0x00188002,0x000c4000,0x74072600,
    0x98ff601f,0x06a2005f,0x2a009980,0x403ff06f,0x2e000018,0x203fb03f,
    0x4fd806fd,0x00000000,0xfb83fc40,0x4c03fd04,0x04cc0009,0x00026600,
    0x99800133,0x741bee00,0x3e61981f,0xf105d505,0xa803fe8f,0x3e24c8ff,
    0x327f9807,0x2fc3f983,0x10004c40,0x04c40013,0x64013100,0xfb09b03f,
    0x13fe2001,0x5f71ff50,0x00db17dc,0x1dfffeb8,0x1fd81fdc,0x1dfffeb8,
    0x1fd81fdc,0x0ff5d440,0xfd13ff50,0xffff9005,0x3fee01bf,0x5fa82fff,
    0xfd705fb0,0x3fb83bff,0x0fee3fb0,0x01300fec,0x1fdcdf30,0x07f71fd8,
    0x81fdc7f6,0xffff91fd,0xf702fc8f,0xfffff707,0xffffb805,0x7ffdc02f,
    0x7fdc02ff,0x7dc02fff,0xfb82ffff,0xb505fb05,0x005fdbff,0x3fea6fb8,
    0x87ffd000,0xff9807f8,0x3fff65c9,0xffffffff,0xfffffa84,0x3fffea02,
    0x3ffea02f,0x3fea02ff,0x0fd82fff,0x1003fc00,0x5ff005ff,0x987ec9f3,
    0x3fee002f,0x2e0ffdbd,0xb83fb03f,0x0ffdbdff,0x0fec0fee,0x3ffff6e2,
    0x77ec01ff,0xefe803ff,0xd86ffdbb,0x4ffebdff,0x2fc827d4,0x7edeffdc,
    0x6c0fee0f,0x3607f71f,0xf880001f,0x7ec0fee7,0x3f607f71,0x3f607f71,
    0x899ff951,0x89f501fd,0xffebdffd,0xd7bffb04,0x3ff609ff,0xb04ffebd,
    0x9ffd7bff,0x3af7ff60,0x827dc4ff,0x77fe42fd,0x2006fffc,0x17ee2ff9,
    0xf886fc80,0x2cff9807,0x667f665c,0x642cdfdc,0x3ffebdff,0xfebdffc8,
    0xbdffc83f,0xffc83ffe,0x7c3ffebd,0x4efc4007,0xf881dffc,0xb3fe801f,
    0x3747fdbf,0xb83df300,0x6c0fee4f,0x707be61f,0xd81fdc9f,0x3bffe21f,
    0x401fd8ac,0xa801fffa,0x20ff886f,0x7fcc1efa,0x7e413ea1,0xf707be62,
    0xfd81fdc9,0x3f607f71,0xcccccb81,0xfccccccc,0x3607f71f,0x3607f71f,
    0x3607f71f,0x741fe21f,0x54bf500f,0x0ffcc1ef,0xff307bea,0x4c1efa83,
    0x0f7d41ff,0xdf507fe6,0x2e1ff983,0x4c5fb04f,0x3fee22ff,0x17ffdc01,
    0xfb8013f2,0x9807f886,0x646e807f,0x40ff980f,0x3fe60ff9,0xf307fcc0,
    0x20ff981f,0x7fcc0ff9,0xf5001fe0,0x7fffdfff,0xd800ff88,0xa833663f,
    0x7f90042f,0x03fb9360,0x81fe43fb,0x6c0fee4d,0x7413fa1f,0x3ffee01f,
    0x01c9804f,0x817f43fd,0x413ea5fb,0x40ff22fc,0x6c0fee4d,0x3a09f71f,
    0xffffe81f,0xffffffff,0x207f72ff,0x207f71fd,0x207f71fd,0x41fe21fd,
    0x4bf300ff,0x8bf702fe,0x8bf702fe,0x8bf702fe,0x8bf702fe,0x4bf702fe,
    0x45fb04fb,0x07fb03fd,0x744fffe8,0x1fe6003f,0x3e601fe2,0x3ec4f807,
    0x9f904fd8,0x4fc827ec,0x27e413f6,0x93f209fb,0x413300fe,0x3f261ffb,
    0x003fe21f,0x9ba013f2,0xfd82effa,0x207f7000,0x003f61fd,0x1fd81fdc,
    0xff101ff1,0x2a7bf605,0x005b52ff,0x7c3fd751,0xfa9be607,0x7ec5f904,
    0x207f7000,0x109f51fd,0x5bfb03ff,0x55555555,0x0fee5ff5,0x03fb8fec,
    0x40fee3fb,0x41fe21fd,0x4bf500ff,0xf1be607f,0x3e37cc0f,0xff1be607,
    0x1fe37cc0,0x13ee6f98,0x01ff17ec,0x6cc013ea,0x007fb0ef,0x3fc437d4,
    0x2603fcc0,0xfe82fc3f,0xfb99999a,0x2666bfa5,0x3fa5fb99,0xfb99999a,
    0x2666bfa5,0x3f65fb99,0x4c41ff03,0x7c4bfd00,0x03fd800f,0xaef897d4,
    0x003fc3fc,0x87f607f7,0x0fee007f,0x05fd0fec,0xdf505ffb,0x7ecffe41,
    0xfffdb883,0x0ff11fff,0x09f53fc4,0x007f8bf2,0x8fec0fee,0x7fec0ff9,
    0x2004fc81,0x207f71ff,0x207f71fd,0x207f71fd,0x41fe21fd,0x29f500fe,
    0x9fe207f8,0x9fe207f8,0x9fe207f8,0x9fe207f8,0x9fe207f8,0x25fb04fb,
    0x1be207f8,0x3ee5fd00,0x213ee004,0x7d400ff8,0x35f73106,0x41339f53,
    0xffffffff,0x3fffe6ff,0x26ffffff,0xffffffff,0x3fffe6ff,0x26ffffff,
    0x27dc1ef9,0xf89bee00,0x02fe800f,0x743f5374,0xf7003fc7,0x7f87fa07,
    0x740fee00,0x2b3fee1f,0xc83fefec,0xffefd83f,0x677ffc40,0xff11fd8a,
    0x9f53fc40,0x07f8bf20,0x7f40fee0,0x3f33ff61,0x5fb81fdf,0x2e1ff300,
    0x2e3fd03f,0x2e3fd03f,0x443fd03f,0x203fb07f,0x40ff13fb,0x81fe27f8,
    0x81fe27f8,0x81fe27f8,0x81fe27f8,0x413ee7f8,0x40ff12fd,0x7dc007f8,
    0x6400df35,0x803ff02f,0xfffb05fa,0xffffffff,0x2aaffe29,0xf12aaaaa,
    0x5555557f,0x2affe255,0x12aaaaaa,0x555557ff,0xeffc8555,0x4000ffeb,
    0x03fe27f9,0xfa80bfe0,0x0fc83f61,0x84cc03fa,0x43ff04fb,0x213300fe,
    0x83ff04fb,0xa8dfffeb,0x881fe85f,0x4fe84ffe,0x03fc3fd0,0x827d4bf3,
    0x403fa2fc,0x209f7099,0x3ff621ff,0x881fc8ef,0x5fc801ff,0x8ffc13ee,
    0x23ff04fb,0x43ff04fb,0x05f907f8,0x207f8bf2,0x303fc5f9,0x2607f8bf,
    0xf303fc5f,0x3e607f8b,0x7ec13ee5,0x7cc03fe2,0xfb8065c5,0x2200bfe5,
    0x05fb01ff,0xf5304fc8,0x57fb555d,0x0017fc35,0x7fc005ff,0x00bfe002,
    0x2fbffea0,0xf700ba80,0x2007fc4d,0x1ba00ff8,0x361fc8fd,0x2e1ff03f,
    0x21ff884f,0x21ff03fd,0x1ff884fb,0x90798310,0x17fee09f,0xff101ff1,
    0xfb817f45,0xd8bf2004,0x2e1ff03f,0x01ff884f,0xf902e413,0x21ff980b,
    0x1ff884fb,0x3ff109f7,0x3fe213ee,0x7d41fe21,0x7f41ff05,0xfe89f702,
    0xfe89f702,0xfe89f702,0xfe89f702,0x4c09f702,0x40bfa00a,0x827ec4fc,
    0x03bee4fe,0x7e40bfb0,0x2017fc05,0xfb03ec4f,0xfd8faa0b,0x7ec7d505,
    0x7ec7d505,0x7c07d505,0xe827f404,0x003fe24f,0x0fdc0bf9,0x20fe83f6,
    0x27dc1ef9,0xffd81ff3,0xf707be61,0x3607fcc9,0x1ee001ff,0x3ea17fc4,
    0x17f45fff,0xdf517fec,0x001ffa83,0x1ef98bf6,0x1ff327dc,0xd001ffd8,
    0x06ffc407,0x3e62ffd4,0x98ffec0f,0x8ffec0ff,0x7fec0ff9,0x5fd03fc1,
    0x77d44fb8,0x2a0ffd41,0x0ffd41ef,0xff507bea,0x541efa83,0x0f7d41ff,
    0xec807fea,0x83df502f,0x7fdc0ffa,0x320ffd40,0x5fe881ef,0x2067fcc0,
    0x7cc06fd8,0xff302fc3,0x261ff883,0x0ffc41ff,0xff883ff3,0xf107fe61,
    0x1bf2203f,0x7d40ffb8,0x103fe20f,0xbd017fd4,0x17e69f50,0x3fafbff2,
    0x667ff40f,0x7e41fdfe,0x40ffebef,0xdfeccffe,0x4fea001f,0x33bff609,
    0x4ffbbffe,0x3b2b3fee,0x7fec3fef,0x002ffebe,0xff907fe2,0xe81ffd7d,
    0xfdfeccff,0x404dd001,0xedceffe9,0x9ffd04ff,0x743fbfd9,0xfdfeccff,
    0x3b33ffa1,0x77f41fdf,0xdbcffa86,0x7dffb06f,0x3f605ffd,0x02ffebef,
    0xffd7dffb,0x2fbff605,0xffb02ffe,0x005ffd7d,0x7fe40df1,0xb03ffebd,
    0x7ffd7bff,0x377bff60,0xf5006ffe,0xfffdddff,0x221fb801,0x77fe403f,
    0xfc83ffdb,0x83ffdbef,0xffdbeffc,0xdbeffc83,0x1fd803ff,0x3af7ff60,
    0x07fc42ff,0x0bffddf1,0xffc80fdc,0xfff500ef,0xffb1017d,0x503f91df,
    0x1017dfff,0xf91dfffb,0xffff8003,0x6ffffdc2,0xfd70bea1,0x0bf51bff,
    0x05bffff7,0xa837ffc0,0x880befff,0xfc8efffd,0xfbff7001,0x3fffb220,
    0x3f6202df,0x21fc8eff,0xc8efffd8,0x3fff621f,0x74c1fc8e,0xffe981ff,
    0x3fee01cf,0x7dc02dff,0x5c02dfff,0x402dffff,0x02dffffb,0x16ffffdc,
    0x00ffb6e0,0x03dfffd7,0x1effffb8,0x7fff6540,0x76d4003d,0x800bdfff,
    0x4017d47c,0x02dffffa,0x0b7fffea,0x2dffffa8,0x37fffea0,0x17ffaa02,
    0x3bfffee0,0x2a0ff881,0x5c04fffe,0x800dc403,0x00260008,0x04c00110,
    0x01ba8000,0x22008062,0x00188001,0x400dee88,0x00260008,0x0037b700,
    0x02600026,0x26000980,0x22002000,0x000c4001,0x0c4000c4,0x4000c400,
    0x2fb20018,0x00262001,0x10001330,0x06200001,0x03106200,0x44001880,
    0x000c4001,0x5dcc0062,0x000c4000,0x00000220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ec80000,0x219807d5,0x276c4028,0x0037aa00,0xb71009d9,
    0x3aa0059d,0x65c1bb14,0xd83c8801,0x6409d52e,0x0009d52e,0x40007ba6,
    0x2f6405eb,0x01797300,0x7d905f30,0x2e6017a6,0x1002cded,0x017bdd95,
    0x332a0000,0x0013000a,0x0056f5cc,0x000e6654,0x06600cb8,0x7400ba60,
    0xd002c986,0x4026440b,0x32a204c8,0xd3000bde,0x009f3005,0x159dd971,
    0x03ddc880,0xc9800dd0,0x37b2a203,0x02c9800b,0x09f72fd8,0x3767ffec,
    0x00ffbf60,0xf8803fe8,0x77fec00f,0x5fb006ff,0x02fe85fb,0xff986f98,
    0x3e200ff9,0x0000fe9f,0x220009fb,0x7f4401ff,0xffffb802,0x03f200ef,
    0x07fa7fe2,0xffffffa8,0x3ee01eff,0x2fffffff,0x3fd02fd4,0xfffffe98,
    0x7fdd7dc2,0x7ff403ef,0xd102fffe,0x00bfffff,0xff903fb0,0x545f77ff,
    0x0fc802ff,0xf9004fb8,0x4c03fc40,0xdffe887f,0x201effdc,0x6e802ffa,
    0xfffffa80,0x3ba03fff,0x7e404fcb,0x437d4000,0xfdcdffe8,0x0fee01ef,
    0x165472e0,0xefc9af88,0x7f57ee02,0x005f9801,0xdfd813e6,0x1005fb10,
    0x5fd09fff,0x2a0df300,0xfa801fff,0xf30002ff,0x1fdc000b,0x5c06f980,
    0x09fb32ff,0xfff302f4,0x56ffdc05,0x03ffd510,0x51159ff5,0x0ff85ffb,
    0xefe86f88,0x2e1feb8a,0xffcaefef,0x543dfb03,0x23bfb06f,0x6c004fea,
    0x5e7fe41f,0x9fb2feff,0x02fa805f,0x3ea009f7,0x300ff102,0x01ee88ff,
    0x9fb03fb3,0x00fc805f,0xa88e7fe4,0x1b883ffc,0x02fa81be,0x7446fa80,
    0x03fb301e,0x00000fee,0x2aa00062,0x53005530,0x7c053000,0x802fcc0f,
    0x05fd02a9,0x5540df30,0x00aaa001,0x0000a980,0x053000aa,0x0fe81ff8,
    0x54c03f88,0x00bfe602,0x1ffa8bf9,0x7f91ff60,0x7fc87f70,0xff70ff88,
    0xf81ff887,0x442fd81f,0x03fd40ff,0xefa87f60,0x8a97fe40,0x17e202f9,
    0x3e004fb8,0x300ff104,0x007744ff,0x262a0fec,0x00fea02f,0x7d403ff3,
    0x07f6a02f,0xa8002fc4,0x103ba26f,0x7f703fb0,0x000d4400,0x54400351,
    0x006a2001,0xdf101a88,0x22009f70,0x005fd01a,0x04cc0df3,0x26600000,
    0x98003100,0x80002e09,0x037504fa,0x098803f5,0x22013fa0,0x013fe0ff,
    0x37cc5ff1,0x13fa07f4,0x06fb9fec,0x07f989f7,0x05fa8393,0xb0cc01ff,
    0xf80fec3f,0xb017cc2f,0x327dc01f,0xf8836c03,0x3a7f9807,0xdeeee88e,
    0x7cc07ec3,0xd00bf102,0x1ff7007f,0x6c07bf20,0xdf50000f,0xffd90774,
    0x2e07ec1b,0xfffc803f,0xff900dff,0x3201bfff,0x00dfffff,0x1bfffff9,
    0x3fffff20,0x3a1be60d,0x7ffe400f,0x0bfa0dff,0x3ee1be60,0xfb82ffff,
    0xd883fb03,0xf74fffff,0x2203bfff,0xfcdffffd,0x3f607f71,0x2000bf61,
    0x3ffea07d,0x00ff82ff,0x03fc4350,0x21fe8098,0x01ff85f9,0x413eebf7,
    0x03fcc5f9,0xf303fe20,0x3ffff20f,0x81fe1fda,0x817cc2fd,0x67dc01fb,
    0xb83ffffb,0x807f880f,0x223f17f9,0x24fcaacf,0x02f982f8,0x6fa801fb,
    0xb00bfa00,0x001fb81f,0x0fc5bea0,0x4dd539fb,0x01fdc2f8,0x3f6efbfa,
    0xbbefe86f,0xefe86ffd,0xe86ffdbb,0x6ffdbbef,0xfdbbefe8,0xf717e66f,
    0xbbefe809,0x0bfa6ffd,0xffb1be60,0xb89ffd7b,0x443fb03f,0xffdbbdff,
    0xffdbdffe,0x5e7ffc40,0x0fee4ffe,0x13fd0fec,0x7c017bb7,0xd7bff904,
    0x037cc7ff,0x000bf500,0x0bf24fb8,0xb7e407fe,0x8ff103fb,0x6c001ff8,
    0x09fb30cf,0xfff99ff9,0xc81be23f,0x4c17cc2f,0xfffb804f,0x4c4ffdbe,
    0x807f883f,0x7c4f57f9,0x213a36c2,0x02fb82f9,0x32005fb8,0xfc87264f,
    0x00013e61,0xfa9eadf5,0x89d0ec42,0xfa80ecfb,0x2a0ff886,0x20ff886f,
    0x0ff886fa,0x3fe21bea,0x3e21bea0,0xfe8bf30f,0x221bea00,0x005fd0ff,
    0x0f7d4df3,0x3fb87fe6,0x27dc3fb0,0x26077fdc,0x106fec6f,0x81fdcdff,
    0x3a7fe1fd,0x981effff,0x40ff982f,0x0bf70ff9,0x0027e400,0x07f9be20,
    0x5bfa09fb,0x4df103fb,0x199bfe98,0xffdff700,0x441df507,0x0ff11ffd,
    0x0be617e4,0x7fdc01ba,0x3e0ffcc3,0x9807f885,0x17c4b97f,0x986b89d1,
    0x8027cc2f,0x3ee004fc,0x3f6fbe25,0x40003745,0x3e4b96fa,0x7fdc6b80,
    0x3a039306,0x7407261f,0x7407261f,0x7407261f,0x7407261f,0xff8bf31f,
    0x74072602,0x3005fd1f,0xb817f4df,0x6c0fee5f,0x22032a1f,0x23fd03ff,
    0x776c0ff8,0x3607f72f,0x2fbffe1f,0xfb86fea8,0xf904fd80,0x54413f69,
    0xfb1aaaaa,0x3fb00007,0x3fee09f5,0xfbb7fdc1,0x7dcbf303,0x00ffffff,
    0x7ffffe44,0xf882fd83,0xfd81fe1f,0x3f20e442,0x37dc0881,0x43e44fb8,
    0x7f9807f8,0x7777c47d,0x207d40df,0x043741c8,0x26003fe8,0x56edcc7f,
    0x02207f20,0x47d6fa80,0x41f5005e,0x22000dfb,0x4401feba,0x4401feba,
    0x4401feba,0x4401feba,0xbf31feba,0x2002ffb8,0xfd1feba8,0x7cdf3005,
    0xfb9be607,0x8803fb03,0x999affba,0xbf33fc99,0x74fb9fb8,0x447f607f,
    0x87ff07ff,0x335fd06d,0x32bf7333,0xffff505f,0x013f29ff,0x3f33ea00,
    0x33bffa01,0xdf76fcfe,0xba98ff20,0x4402aaff,0xdfb31cff,0x3fb03fc1,
    0x7fc41fec,0x883f9802,0x9827dc6f,0x220fd45f,0xb7f9807f,0x2f5e7c4b,
    0x3f9007b8,0xb06fff64,0x37d4007f,0xf107f300,0xdb7d400d,0x3dc01b65,
    0xb8807ff7,0x1ffffffd,0x7fffedc4,0x7edc41ff,0x441fffff,0xffffffdb,
    0x7ffedc41,0x0bf31fff,0x2e209ff9,0x1ffffffd,0xdf3005fd,0x7f881fe2,
    0x0fec0fee,0x3fffb6e2,0xffffffff,0x4c9f75ff,0x3eebf52f,0x7fc3fb03,
    0x7c4bf904,0xffffff04,0x3eadffff,0xb5555106,0x0017ee9f,0x4037f7c0,
    0xf9bffffc,0xfa87ff75,0x007f880f,0x97f417ee,0x87f207f8,0x3fa63ff9,
    0x42fc402f,0x1fdc6fe8,0x1fc47f88,0xf5003fe2,0x12f89eed,0x300bb0bf,
    0x5ce7d47f,0x8013ee4f,0xbf1004fb,0x400dfd10,0x7e4f76fa,0xf9762e81,
    0x3fe203fe,0x1fd8acef,0x2b3bffe2,0x3fe21fd8,0x1fd8acef,0x2b3bffe2,
    0x3fe21fd8,0x1fd8acef,0x3fea0bf3,0x677ffc45,0x5fd1fd8a,0x3e2df300,
    0xfb9fe207,0x74c3fd03,0xff8acdff,0xaaaaaaaa,0x93e29f71,0x207f75fa,
    0x407fa1fe,0x207ea6fa,0xaaaabff8,0x1ff12aaa,0x7cd3ee00,0x20597006,
    0x31003ffc,0xffba7d43,0x01ffebff,0x7f400df3,0x3e2bf702,0xf707f207,
    0x5fdffdff,0xfd80fd80,0x881fdc6e,0xff86e86f,0xf9afd401,0x17d45f11,
    0x8bd100be,0xdf337c29,0x8017e400,0x6efd80fd,0x7cdbea00,0x3223bf11,
    0xfb98be0f,0x7413fa03,0x7413fa1f,0x7413fa1f,0x7413fa1f,0x7413fa1f,
    0x440bf31f,0x413fa0ff,0x225fd1fe,0x3e5fa86e,0xfb97e607,0x7f43ff04,
    0x007fc40c,0xb8db6fa8,0x3e09f73f,0x5c0bf61f,0xff81f24f,0x00ffa002,
    0x1ff8a7dc,0x9827fc40,0x320000ff,0xff79f73f,0x27dc05bf,0x2601ff00,
    0x6c03fa6f,0xceeda81f,0x3ea02fd8,0x46d9fc82,0x0bf305fb,0x02fd81f7,
    0x22bf27dc,0xfb87ec2f,0x2007ec00,0x017fc3fb,0x5400ffc4,0x6d9fc82f,
    0x2fdc2f4c,0x7f7fccbf,0xf703ee2f,0x203fe207,0x1ff12ff8,0x3e25ff10,
    0x12ff880f,0x5ff101ff,0x3e203fe2,0x404bf32f,0x01ff12fd,0x4bfa5ff1,
    0x27dc0ff8,0x93ee05fd,0x1ff884fb,0xff301ff1,0x7c4bb605,0x97f40fcf,
    0x1ff884fb,0x17f417ee,0x82fec0bd,0x0bfea3ea,0xffc93f20,0x403ff200,
    0x1fdc05f9,0x49f70ff8,0x006e8009,0x4fc817f4,0x3fe20bf6,0x407fa001,
    0xb2fb84f8,0xf906fb8d,0xfc85f309,0xf317fc05,0x9a88151b,0x17d403fb,
    0x3ee13f20,0x02fec00e,0x97dc27c4,0x207fc46d,0x897e63fc,0x41fdc1ba,
    0x0bfa03fb,0x2fe8bff6,0x3fa2ffd8,0x3a2ffd82,0x22ffd82f,0x2ffd82fe,
    0xf13eabf3,0x6c17f41f,0x745fd2ff,0xa8ffa23f,0x0ffd41ef,0xffd81ff3,
    0xff107fa1,0x46f981df,0x3f222ffd,0xfb03fe66,0x4c2fe83f,0x407f10ff,
    0x7fc41ff9,0x20dffdc1,0x6c4ffea8,0x7fdc41ef,0x1007f204,0x5c7f90ff,
    0x5fec004f,0x7dc081aa,0x517fcc0e,0x7fe443df,0x3e207b61,0x3e21ba07,
    0x2e4fecce,0x07fd43ff,0x67fcc4f8,0x4c37ec40,0x01fdc05f,0x7fb013e2,
    0x440f7e40,0x0dd005fe,0x9fd99ff1,0x3fe23ff8,0x2e02fcc2,0x407f703f,
    0xfecacffb,0x33fee3fe,0x23fefeca,0xfecacffb,0x33fee3fe,0x23fefeca,
    0xfecacffb,0x22bf33fe,0x44febdfe,0xfecacffb,0x545fd3fe,0x86ffdfff,
    0xffebeffd,0xeccffe82,0x3bee1fdf,0xfc9ffdbc,0x41ffdbdf,0xffccfff9,
    0x667ff41f,0x7d41fdfe,0x22ffebdf,0x7fe400fb,0x703ffdbe,0xffddffff,
    0xffd105df,0x0bfffdbf,0x200df511,0x5febcefc,0xf70027dc,0xbdffffff,
    0x79ffb0df,0xff709ffd,0x43fdff9b,0x3fa60dfc,0x3203f704,0x2e4feccc,
    0xffebdfef,0x3ea1f602,0xfffeeeff,0x37bff300,0xd007ffb7,0x07fa201d,
    0x377bff60,0xf9006ffe,0x3b333203,0x6fffdc4f,0xbff305ff,0x07ffb737,
    0x3ae01fdc,0x5fa8dfff,0x46ffff5c,0x7ff5c5fa,0x5c5fa8df,0xfa8dfffe,
    0x6ffff5c5,0x4bf35fa8,0x80beffd9,0xa8dfffeb,0xfb85fd5f,0xf700dfff,
    0x2205bfff,0xfc8efffd,0x67fff5c1,0x33fffaa0,0xffebde81,0xffd881df,
    0x981fc8ef,0x6c2dfffe,0xffff5006,0xfdb9805b,0x4403dfff,0x2efffffc,
    0x003fffb0,0x05f7fedc,0xf98013ee,0xffeca9ad,0xfffb80ef,0x3fae02ff,
    0x741fcaff,0x05fffeff,0x36c007f3,0x3ffeebee,0x40fd401e,0xbdfffeca,
    0x7f654400,0xfb800bdf,0x3ffff601,0x3fb2a07f,0xf3003dff,0xb836c007,
    0x4405ffff,0x0bdffeca,0x8801fdc0,0x000c4001,0x03100062,0x40001880,
    0x00031000,0x06200188,0x44001300,0x9100c400,0x13000c41,0x22013000,
    0x000c4000,0x22000130,0x1dea8019,0x4c011000,0x1004002c,0x01310013,
    0xb9800440,0x12e02bdd,0x13005300,0x22004c00,0x00040001,0x55500b22,
    0x22005555,0x004b8000,0x0066014c,0x00000040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x02cdedc9,0x40000000,0x6f5c0019,0x3a67d900,
    0x99999105,0xc9805799,0x4ed88003,0x66666640,0x9102ca84,0x41e44007,
    0x0fb601cb,0xccccc880,0xcccccccc,0x4f26b262,0x87d71ed8,0x86a0e41b,
    0x33332629,0xcccccccc,0x66666443,0x002c984c,0x32201322,0x99999904,
    0x0276c009,0x65c01cb8,0xcccccb82,0xcccc880c,0x4002bccc,0x54401ee8,
    0x198806a0,0x8000fae0,0x05d90dd8,0x3ae9dd91,0x7541bd33,0x443dd30d,
    0x1ed8004c,0x00f225d7,0x16647991,0xffffffc8,0x837c40df,0x0bfe04fb,
    0x2bffff20,0x07fe01fc,0x1fe9ff88,0xffffff30,0x2a07dfff,0xefd8006f,
    0x3fffe03f,0x1fdc0fff,0x26006f98,0x502fe86f,0x7dc001df,0xffffffff,
    0x3ee5ffff,0x3bea5fac,0x9aeb86f9,0x3bffa0fc,0x3ffee5ec,0xffffffff,
    0x7fffc45f,0x67e4c7ff,0x3e200999,0xf07f9807,0x01ffffff,0x009fdf90,
    0x7fc40df5,0xfffffe81,0xffff981f,0x03efffff,0xfa809f90,0x201fcdff,
    0x13f207fb,0xf5bf7000,0x9fffd10b,0x07fa7fa2,0x25fc85fd,0xfe8007f9,
    0x1be67f91,0x3e0efe88,0x1befc83f,0xf88dfd73,0x7c09f706,0x67fe402f,
    0x701feffb,0xfff3007f,0x557fcc05,0x3ffebaaa,0x5c006fa8,0x0003fd5f,
    0x3e607f70,0x21be6006,0x03fd02eb,0xffacff80,0xaaaaaaac,0x17233ee1,
    0xb101fff9,0x4fcc7dff,0x2a21efc9,0xabffaaaa,0x20001aaa,0x5fffffff,
    0x333ff310,0xff533333,0x54000013,0xd005fb6f,0x013f607f,0x557fcc00,
    0x3ffebaaa,0x6c037c40,0x404feb8d,0x0faa07fb,0x3bff6000,0x981ef980,
    0x27d43fff,0x0ff31fd8,0x32a19700,0x3a20df31,0x41ffc0ef,0x5ff102ff,
    0x4fb837c4,0xfa802660,0x07ff220e,0x55300154,0x5c07f980,0x237d40ff,
    0xa9855400,0x7004cc02,0x01be607f,0x03f06f98,0xdf70006a,0xf70017f4,
    0x06aa0ee9,0x00310310,0x2000ffc0,0xbfb50098,0x3f203555,0xffffffff,
    0x03ffffff,0x442aa000,0x0ff9802a,0x22007fcc,0x03fcc01a,0xa8803fee,
    0x80009800,0x016c02a9,0x80554400,0x0aa605fa,0x31a880a6,0x333333ff,
    0x1be60001,0x3e03bfa2,0x203fcc3f,0x41be24fc,0x6c0004fb,0x01ff882f,
    0x4c400262,0x201fe600,0x737d45fd,0xfb800009,0xfb82ffff,0x400df303,
    0x807a86f9,0x45ff0009,0x3ee002fe,0x02600e9c,0x3e000000,0xfff5001f,
    0x49f705ff,0x9ff95019,0xb9999999,0x0fee39ff,0x00000fec,0x3fd89fb0,
    0x3fffff20,0x807f980d,0x800005fd,0x50000098,0x0006601d,0x0004fb80,
    0xffff3000,0x05bfffff,0x7446f980,0x87ff00df,0x06201ff8,0x13ee0df1,
    0x3fa00fe8,0x3ee3fb00,0x0dffffaa,0x3ffeabee,0x07f980df,0xb7d47f88,
    0x3fb003fc,0x75effec0,0x81fdc4ff,0x3e6006f9,0xafb80c86,0x7dc06ffd,
    0x70017f46,0xb5f7029f,0x07f60dff,0x3e001fd8,0xdffc801f,0x7dc3ffeb,
    0x0cffffac,0x7cc03fc4,0xfd81fdc7,0x9fb05fb1,0xff107f70,0xfe81bea1,
    0x86ffdbbe,0x7f8807f9,0x3fffffe2,0x2bee5fff,0x20dffffa,0xfffffff8,
    0x7ec265ff,0x43ffffc8,0xfffffff8,0x813ee5ff,0x01fd84fb,0x33fe63fb,
    0xfffedccc,0x7cc1fd82,0xd017fa26,0x17ffb07f,0x5c1be200,0x881fa04f,
    0x5c7f207f,0xffcbefdf,0x2fbf7ee5,0x7f985ffc,0x7d43ff00,0x36003fde,
    0x83df501f,0x0fee1ff9,0xf30037cc,0x7efdc00d,0x17f404fe,0xfb800bfa,
    0xfdfbf704,0xd807f609,0x07fe001f,0xf981ff30,0x3bffee0f,0x7c45ffdb,
    0x5c7f9807,0x2e3fb03f,0xe86ff84f,0x3a9f700f,0x10df502f,0x07f981ff,
    0x66643ff0,0x24ffcccc,0xfcbefdfb,0x6666645f,0xfb04ffcc,0x7ffb7dfb,
    0xccccccc8,0x813ee4ff,0x01fd84fb,0x81fe63fb,0x1fd87fd8,0x5fe8b7cc,
    0xd882fe80,0x00acefff,0x13ee0df1,0xff1037cc,0xffb8fe40,0xfb87fcc3,
    0x207fcc3f,0x5fd007f9,0x000fffd4,0x17f407f6,0x4fee5fb8,0x70df32ca,
    0x006f9859,0x2008ffee,0xcdfe86fa,0x5c4ccccc,0x47ff704f,0x6c03fb00,
    0x07fe001f,0x3f209fb0,0xf30ffee4,0x777fc41f,0xfeeeeeee,0xfd81fdc7,
    0xffa8df11,0xf01be20f,0x64c0df7f,0xf983fd01,0x005fd007,0x3ffb8bfb,
    0x6c007fcc,0x07ff605f,0x3f600df7,0xf7027dc5,0x3603fb09,0x880ff31f,
    0x20fec1ff,0x3ffe8ef9,0x2a01fd80,0x0dfffffd,0x4fb83fc4,0x7c02ff88,
    0x2e3fb00f,0x2e3fd06f,0x7c3fd06f,0x4fffffff,0x3fea3fd8,0x01fd8001,
    0x737cc0ff,0x7cd3f27f,0x7cc4fd86,0x01bee006,0xffe83fe8,0x0fffffff,
    0x37dc13ee,0x3601fd80,0x3332a01f,0xe84ccdff,0xb99999af,0x7c1bee5f,
    0x3fffe21f,0xffffffff,0xfd81fdc7,0xcfc83fa1,0x910fea2f,0x9bfffd99,
    0xba880199,0x3fffe1fe,0xfd84ffff,0x5c37e403,0x803fd06f,0x27ec06fc,
    0x7e403fc4,0x2e04fb86,0xb01fd84f,0x201fe63f,0x20fec3fe,0xffefeff9,
    0x400fec01,0x1effeca8,0x3f603fe2,0x4027fc44,0x23ff02fd,0x25fb05fb,
    0x45fb05fb,0xaaaaffba,0xff52fe81,0x07f6000d,0x7f881fe2,0x99f5cfee,
    0x4c3ec86f,0x17ee006f,0xfe83fd40,0x2aaaaaac,0x5fb827dc,0x6c03fb00,
    0x3bbb201f,0xf85eeeff,0xffffffff,0x6c17ee6f,0x267fe22f,0xfa999999,
    0xfd81fdc7,0x9ee8bee1,0xf307f64f,0xffffffff,0xfdb881ff,0x2a1fffff,
    0x1aaaaffb,0x3ee02fe8,0xb05fb80e,0x077dc05f,0x3fc0bf60,0x2e03bee0,
    0x213ee04f,0x23fb01fd,0x7fc407f9,0x3e60fec2,0x01dfb4ff,0x540007e4,
    0x17fe25fe,0x7f449ff5,0x43df3004,0x9f71ffc8,0x27dcbf60,0x3fcc2fd8,
    0xfdf1ff80,0x07f6000d,0x7f881fe2,0x37cc0fee,0x400df300,0xffd004fb,
    0x5ffddddd,0xb827dc00,0x03fb004f,0xff000fec,0x55ffc403,0x22aaaaaa,
    0x45f904fb,0x7f9807f8,0x1fe81fdc,0xfa7c57e6,0x4ccc1be6,0x1999cfc9,
    0x5677ffc4,0x3fcc1fd8,0xf501ff80,0x413ee03f,0x3ff502fd,0x3e05fb00,
    0x407fea07,0x13ee04fb,0x8fec07f6,0x7fdc07f9,0x3e60fec0,0x817fe24f,
    0x005d40fc,0x7fc43fe2,0x4fefecef,0xf90013f6,0x3ffff9bf,0x97ec13ee,
    0x85fb04fb,0x7f8807f9,0x4001beae,0x40ff01fd,0x40fee5f9,0x3e6006f9,
    0x013ee006,0x3fffffea,0x2002ffff,0x09f704fb,0xfd807f60,0x007fe001,
    0x7dc005ff,0x7c45f904,0x5c7f9807,0xf83ff04f,0x23f65f57,0x333304f9,
    0x833339f9,0x83fd04fe,0x7f8807f9,0x5c05ff30,0x305fb04f,0x3f6005ff,
    0x3e60ff01,0x813ee02f,0x01fd84fb,0x2bfe63fb,0xffdbaaaa,0x7cc1fd84,
    0x702ff987,0xd007fb0f,0x3ebbe23f,0x3e4fadff,0x7d40100f,0x71fdafff,
    0x5cbf609f,0x985fb04f,0x46fc807f,0xfb0006fa,0x5c0bfa03,0x4c0fee4f,
    0x1be6006f,0xd804fb80,0x999999cf,0x3ee002fe,0x2009f704,0x07f601fd,
    0x6c01ff80,0x5c7d505f,0x445f904f,0x47f9807f,0x1ff884fb,0xb87ecfe4,
    0xf981fcaf,0xffffffff,0x01ff10ff,0x7f985ff1,0xf886fc80,0x827dc03f,
    0x1ffc42fd,0x3e03fb00,0x403ff887,0x13ee04fb,0x8fec07f6,0xfffffff9,
    0x3fb03fff,0xff906f98,0xdf50d501,0xf13fc401,0xff8804cd,0x4405fd00,
    0x27dc7f60,0x09f72fd8,0x0ff30bf6,0x7d42ff88,0x03fb0006,0xff507bea,
    0xf981fdc3,0x01be6006,0x7cc04fb8,0x00bfa00f,0x9f704fb8,0xd807f600,
    0x07fe001f,0xf883ff30,0x6413ee1f,0x201fe22f,0x07fcc7f9,0x7f507ff6,
    0x3f67ccdf,0xfdaaaa88,0x7f42aaad,0x4c2ffd82,0x17fc407f,0x2e013fa2,
    0x445fb04f,0x7ec004fe,0xfe88ff01,0x204fb804,0x01fd84fb,0x33fe63fb,
    0x00abcccc,0x0df307f6,0xf10037f4,0x9fd303df,0xff0037c4,0x001ff507,
    0x04fb8fec,0x413ee5fb,0x83fcc2fd,0xfa84ffb9,0x03fb0006,0x7f5f7fec,
    0x981fdc2f,0x1be6006f,0x6c04fb80,0x017f404f,0x3ee09f70,0x403fb004,
    0x3fe001fd,0xbeffc801,0x27dc3ffd,0x1fe22fc8,0x3fa1fe60,0x1fdfeccf,
    0x7fc4fff8,0x0ff2004f,0xd959ff70,0x7f987fdf,0xb09ff730,0x13ee00bf,
    0x0bfb17ec,0x3e03fb00,0xb802fec7,0x213ee04f,0x23fb01fd,0x360007f9,
    0x3037cc1f,0x80aa89ff,0xfdefffe8,0x037c45ff,0x2a17df70,0x7ec005fe,
    0x3f609f71,0x3f609f72,0x7ffffcc2,0x505fffff,0xffffffff,0x03fb01ff,
    0x2dffffb8,0xff303fb8,0xffffffff,0x3ffffe61,0xf70fffff,0x007fcc09,
    0x3ffffffa,0x13ee7fff,0xfd8027dc,0x8007f601,0xff5001ff,0x9f705bff,
    0x7f88bf20,0xd887f980,0x1fc8efff,0x7ec2ffd8,0x0ff2002f,0x37fffae0,
    0x7fcc5fa8,0xffffffff,0xeecffb85,0xf70eeeee,0x7dcbf609,0xeeeeeecf,
    0xf01fd80e,0x7767fdcf,0xf70eeeee,0x6c27dc09,0x263fb01f,0x3f60007f,
    0x2e037cc1,0x40ffa2ff,0xeffffec8,0x4006f883,0x6ffffffd,0xf71fd800,
    0x7dcbf609,0xf985fb04,0xdeffffff,0x3fffea01,0x80ffffff,0x031001fd,
    0xff303fb8,0xffffffff,0x3ffffe61,0xf70fffff,0x4027ec09,0xfffffffe,
    0x413ee7ff,0x3fb004fb,0xf000fec0,0x0188003f,0x2fc827dc,0x3e601fe2,
    0xa8004c07,0x03fd40ff,0x8800ff20,0xffff3001,0x203bdfff,0xfffffffb,
    0x09f70fff,0x7ffdcbf6,0x0fffffff,0x4ff01fd8,0xfffffffb,0x09f70fff,
    0x0fec27dc,0x0ff31fd8,0x260fec00,0x0ffd806f,0x062007fd,0x30007910,
    0x00059dd9,0x0000032e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x4c002cdc,0x0666442c,0xc89664c0,0xcccccccc,
    0x666643cc,0x0ccccccc,0xc8801991,0x99999913,0x13220359,0x96553220,
    0x644002c9,0x64c0cefe,0x22005932,0xcccccccc,0x0079700b,0xcc880597,
    0xabcccccc,0x99999300,0x79999999,0x2aaaaaaa,0x05972aaa,0x3c886640,
    0x07970000,0x6644f600,0x02bccccc,0x0165472e,0x65403993,0x333332a2,
    0x51cccccc,0x13260099,0xc8877edc,0x2e3ccccc,0xaaaaaaaa,0x06a201aa,
    0x22009880,0x00c40009,0x9800bf20,0x201a9809,0x00310099,0x3ffffa60,
    0x9fd001ef,0x802fff98,0xfff14ffd,0xffffffff,0x7ffffc4d,0x30ffffff,
    0x6f980bff,0xfffffff3,0x0ff10bff,0x4feeff30,0x3ea004fb,0x22fffeff,
    0x009f74fb,0x3fffffe6,0xfa85ffff,0x03fea01f,0x3ffe25ff,0xffffffff,
    0xfffffb82,0x5fffffff,0xfffffffd,0x01beedff,0x0df337d4,0x3fff1000,
    0xf34fc800,0xffffffff,0x2a5fd07d,0x17ff206f,0x3ff22fd8,0xffffffff,
    0x807ff12f,0xffb83fe8,0x3fffe67f,0x400316ff,0xfffffc82,0xfffd500d,
    0x7fff4c7d,0x7ff5c02f,0x2fc801df,0xfffffb80,0xfb10ff22,0x3ee9ffff,
    0x7f41dfff,0xa96ffc43,0xffc806fd,0x02fffcc4,0x7c53ffe2,0xaaaaaaaf,
    0x2ffe22aa,0x2aaaaaaa,0x980fffe6,0x555ff36f,0x88bff755,0x77f9807f,
    0x4013ee7f,0xf910bff9,0x7dcb261f,0x55ff3004,0x9ff95555,0xf101ff90,
    0x225ff05f,0x999999ff,0x5442ffeb,0xabffaaaa,0x99971aaa,0x29ff9999,
    0xfd801ff8,0x0001be63,0x8013f7ee,0x5ff34ffb,0xffb95555,0xff12fe87,
    0xf03fff40,0x55554c1f,0x1ffdaaaa,0xfc803fee,0x0007fd06,0x74280062,
    0x6ffdbbef,0xfdadffa8,0xdbeffacf,0xbff704ff,0xc801ffb7,0x6ffec02f,
    0x7f94ffeb,0x6ddeffc4,0xdbdffeff,0x70ffa0ff,0x80bfe0df,0x7cc4fffa,
    0x3ea00fee,0x00ff14fe,0x4001ff10,0x300ffff9,0x881be6df,0x01fe20ff,
    0xb9fddfe6,0x0df9004f,0x27dc0ffa,0x5407f980,0x85fe80ff,0x213304fe,
    0x5fd807f8,0x0003ff00,0x09f91bea,0x3e60ff88,0x8fe80006,0xffe8807f,
    0xd80ff34f,0xe8bfa0ff,0xfddf881f,0x4006f981,0x5fe82ffa,0x3e01ff30,
    0x0310000f,0x10df5140,0x0ffcc1ff,0x10bfffa6,0x1ef981ff,0x3f2027dc,
    0x307bea02,0xfb8b61ff,0x40effb84,0xb02626f9,0x413f207f,0x4c4fbef8,
    0x3602fcef,0x0ff14fbf,0x001ff100,0x82fef7cc,0x80df36f9,0x01fe22fd,
    0xb9fddfe6,0x05fd004f,0x27dc17ee,0x01fe6033,0x3fe60bfe,0x8801bf22,
    0x07f9807f,0x10003ff0,0x07f983ff,0x1be62fdc,0x36df3000,0x37fea02f,
    0x00ff34fb,0x917f4bf9,0xf77f707f,0x4009f707,0xff104ff9,0x7c07fd07,
    0x441fd807,0x1c98a001,0x27e43fd0,0xf906ffa8,0x9b03fc89,0xcfdaaaa8,
    0x0bfa2aaa,0x50745fec,0x07ff1019,0x131007fa,0x7ec13f20,0x77cc4fb9,
    0x79f105f9,0x001fe29f,0x98003fe2,0x983ff8ef,0xe80df36f,0x201fe21f,
    0x2e7f77f9,0x01ffcc4f,0x53ee7f70,0xffffacfb,0x7403fcc5,0x51ff703f,
    0x7c4001ff,0x006f9807,0xfb0003ff,0xe80bfa07,0x0037cc2f,0x37d4ff20,
    0x53ea7f70,0x7f9807f9,0x85fa8bfa,0xd85f88fd,0xbfd1001f,0x320ffb80,
    0xffffb05f,0x107f605f,0x22014003,0x3f61feba,0x339ff101,0xd8df5333,
    0xfff1000f,0xdfffffff,0xdff703fc,0xff751003,0xf9333335,0x7fc40007,
    0x9f73fa82,0x01fd6f98,0x229f73f7,0xff88007f,0x55be6000,0x9b7cc0ff,
    0x11bee06f,0x2ff300ff,0x449f73fb,0x3e6003ff,0x3ee9f71f,0x5ffdbdff,
    0xff301fe6,0x7fefec03,0x03fc4002,0xff801fec,0x037d4001,0x1be60bf7,
    0xf0001be6,0x080ffc1f,0x07f9a7d4,0x8bfa3fd0,0x3a6f87f8,0xb003fc0f,
    0xbfd001df,0x65c03fe6,0xfb01ccff,0x0a001883,0xfffffb71,0xf007fc3f,
    0xffffffff,0x4007f8ff,0xacfdaaaa,0x40ff12aa,0xb7101ff8,0xfffffffd,
    0x0bffffff,0x4437e400,0xf313ee6f,0x5f60bf2d,0x99ff14fb,0x19999999,
    0x66667fc4,0x37cc4ccc,0x36f98dfb,0xdd9999ff,0xeff881bf,0xeeeeeeee,
    0x3ee7f77f,0x4007ff14,0x53ee3ff8,0x3fcc3ffb,0x7ec40ff3,0x27ffc406,
    0x557fc400,0xffebaaaa,0x003ff000,0x3e202fe8,0x983fc80f,0x3ea0006f,
    0xa8027e45,0x200ff34f,0xe85fd2fe,0xfc93e60f,0x64017e62,0xff3001ff,
    0xff005fd5,0x1883fb00,0xfff88a00,0x21fd8ace,0x37fe00ff,0x4ccccccc,
    0x320003fc,0x40ff102f,0xffd307f8,0x55ff159b,0x03555555,0x207fee00,
    0x313ee0fe,0xf117e6df,0x7fc53ee9,0xffffffff,0x3fffe21f,0x4c7fffff,
    0x98ffe26f,0xfffff36f,0x8819ffff,0xffffffff,0x7f77ffff,0x0bfa33ee,
    0x5c4ff980,0x3e0df74f,0xdddff31f,0x03fffddd,0x0005ff90,0xfffffff1,
    0x4003dfff,0x3e6001ff,0xf82fd807,0x006f980f,0xff30bf60,0x269f5001,
    0x27fb007f,0x917e42fe,0xf727d45f,0x05ff5007,0x05fffb80,0x3fb00ff0,
    0xe8a00188,0x743fd04f,0x07ff102f,0x3300fe80,0xf017e401,0xe82fcc0f,
    0x07fc40cf,0x7fdc0000,0x7dc3fb82,0x1fd37cc4,0x14fb8fdc,0x555555ff,
    0x7fc41555,0x2aaaaaab,0x3fea37cc,0x3fe6df30,0xfebaaaaa,0x267fe21e,
    0xfa999999,0x37ee7f77,0x7f4004fe,0xbf74fb84,0x7fccbf60,0xdfffffff,
    0xefffa800,0x67fc4000,0x00effccc,0x2001ff80,0x5fa803fd,0x6f982fcc,
    0x20ff1000,0x4fa803fe,0x3fa00ff3,0x4f985fd3,0x6cdf11fa,0x27fc401f,
    0x00ffe800,0x3fb00ff0,0x44a00188,0x2ff880ff,0x7fdc13f6,0xfd87d506,
    0x6401ff03,0x40bfa02f,0x0ff884fc,0xdb02ff98,0x2ffc8005,0x4fb85f98,
    0x45f937cc,0x7c53ee6e,0x0ff88007,0x361be600,0x3e6df36f,0xf12fe406,
    0x2eff300f,0xfffff73f,0x417ea003,0x209f74fb,0x33ff32fc,0xf8800333,
    0x5405feaf,0x360ff10a,0x7fc000ef,0x01ff1001,0x2fd83fe0,0x2000df30,
    0xeeeeeffb,0x4fa806ff,0x3fe00ff3,0x2df05fd2,0xf0fe85f8,0x05fe880f,
    0x8017ee00,0x41fd807f,0xfe8a0018,0x262ffd82,0x7ffd41ff,0x20ffc43f,
    0x27dc1ef9,0xfa80bf20,0x80ffd41e,0x7ffc41fe,0x5537cc0e,0x80ffec01,
    0xeeeeeefd,0x4df34eef,0x5c9f15f9,0x000ff14f,0x4c001ff1,0x9bff886f,
    0x980df36f,0x00ff10ff,0x5cfeeff3,0x006fbaff,0x53ee07f7,0x25f904fb,
    0xd80007f9,0x405ff35f,0x40ff12ff,0x7fc005fe,0x00bf7001,0x07f89fe4,
    0x74001be6,0xffffffff,0xa7d401ff,0xff8807f9,0x1fb05fd1,0x35f707f5,
    0x0efd809f,0x017ee000,0x1fd807f8,0x5c5000c4,0xefecacff,0x5e7fdc3f,
    0xfffabffe,0xf904ffcb,0x01ffd7df,0x3bff6000,0x2e02ffeb,0x9ffdbcef,
    0xffdbdffc,0x7ec0ffa1,0x3fff600e,0x6fffffff,0xb8fe8df3,0x7c53ee1f,
    0x0ff88007,0x541be600,0xdf36faff,0xf11ff880,0x2eff300f,0x7f49f73f,
    0x701eb803,0x6413ee9f,0x000ff32f,0x3ee0efb8,0x225ff00f,0x13fe607f,
    0xd001ff80,0xb7cc005f,0x1be604fa,0xb01fe600,0x34fa809f,0x4df900ff,
    0xdafb82fe,0xfbbf981f,0x003fee02,0x400bf700,0x41fd807f,0xd70a0018,
    0xbf51bfff,0x5dfffd50,0x1efffecc,0x2fbffea0,0x7ffffc40,0xb86fffff,
    0x802dffff,0x20cfffeb,0x41cfffea,0x0dfd83fe,0x313ee000,0x6eafb8df,
    0x07f8a7dc,0x000ff880,0xffd81be6,0xa80df36f,0x201fe27f,0x2e7f77f9,
    0x007fe64f,0x3ee9f700,0x3e65f904,0x3fe60007,0x3a06fe81,0xfb80ff11,
    0x03ff001f,0xd0003fe0,0x4c03fb1f,0x4fc8006f,0x5007fcc0,0x101fe69f,
    0x417f45ff,0x3e07fbf9,0xff500fcd,0xbf700005,0x6c03fc00,0x5000c41f,
    0x22000620,0x0004c009,0xfff88022,0x6fffffff,0x44000620,0x4000c400,
    0x40000efa,0x237cc4fb,0x7dc3fef9,0x1000ff14,0x7cc001ff,0x5bffe206,
    0x3fea06f9,0x2601fe24,0x3ee7f77f,0x26037e44,0x2e9f701a,0x265f904f,
    0xff10007f,0x213fe209,0x00ff10f8,0x3fe00dfd,0x007f8801,0x406fbfb8,
    0xff8006f9,0x203fe801,0x10ff34fa,0xfe8bff73,0x409fdf02,0xff106efd,
    0x3ee00007,0x201fe005,0x556441fd,0xaaaaaaaa,0x00000002,0x00000000,
    0x00000000,0x3fffe000,0x05ffffff,0x37cc4fb8,0x3ee07ff4,0xffffff14,
    0x23ffffff,0x26000ff8,0xb7fd406f,0xfffffff9,0x3fc46fff,0x3fbbfcc0,
    0x07fd09f7,0x4fb827ec,0x4bf209f7,0xfb0007f9,0x41ffa80d,0x201fe23e,
    0xff803ff9,0x005fa801,0x402fff88,0xfffffff9,0x1bea0fff,0xf5037dc0,
    0x3ffffe69,0xe85fffff,0x05ffb02f,0xfb827fdc,0xffffffff,0x7dc04fff,
    0x201fe005,0x000001fd,0x00000000,0x00000000,0x00000000,0xffffff30,
    0x700bffff,0xb86f989f,0xf14fb86f,0xffffffff,0x3fe23fff,0x01be6000,
    0x7ffcdbf6,0x82deffff,0x7f9807f8,0x213ee7f7,0x9fb01ff9,0x27dd3ee0,
    0x0ff32fc8,0x001ff700,0x22041dfb,0x1ff9007f,0xb801ff80,0xff90004f,
    0xfffff300,0x6c1fffff,0x3ff1003f,0x7fcd3ea0,0x1defffff,0x3ee05fd0,
    0x07fe200f,0x7fffffdc,0x04ffffff,0xff002fdc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc00000,0x006a6000,0x26000988,0x00002e09,0x20000000,0x20031019,
    0x00000098,0x00000013,0x201cc000,0x813a200b,0x40026098,0x10006208,
    0x0000ae37,0x007f9000,0xb7101764,0x9db7017b,0xc88ba605,0x5d9303dd,
    0xeeeeeec8,0xfa81eeee,0xeeeeec81,0x221eeeee,0x854c0ceb,0x913991cc,
    0x00009819,0xbb109b70,0x88882a63,0x26662088,0x99999999,0x5d936619,
    0x7774c2a6,0xeeeeeeee,0x7dc000ee,0xdf53fb03,0x5fffff70,0x7ffffdc0,
    0x3fffea04,0xfffb102f,0x3ee3f9bf,0x3ee3fb03,0x7c43fe04,0x2e5fd82f,
    0x2ffffbaf,0x5c7dfff3,0xdffffaaf,0x3ffffe20,0x3ee5ffff,0x3f66ffda,
    0xfb84fd82,0x13ee3fb3,0xbfe87ff3,0x5fcbdfdb,0xf8817e20,0xf5007f25,
    0xc9803747,0x17dfb1ff,0x2a03ae00,0x00dff00e,0x9fb01fec,0xacfc8df9,
    0x17fd41fd,0xb89f97dd,0x3f67fdef,0xffffffff,0x410f981f,0xfffffffd,
    0x2b7a1fff,0x7cbfa0fc,0xff15fd1f,0x64417c41,0x9cc0befe,0x2fdc2fe8,
    0x3ffe65fd,0x3ffe67ff,0xffffffff,0x7cdf30ff,0x6644bfa7,0xcccccccc,
    0x5c000ccc,0xf53fb03f,0xebdffd8d,0xcffa84ff,0xfc85feca,0x43ffebdf,
    0xfebcfff8,0x6c0fee4f,0x260ff11f,0x507fd45f,0x7efdc1df,0xefbffebd,
    0xbf72ffcb,0x8bff97df,0xfccccccc,0x3bf7ee4f,0x3e13ee4f,0xfb0fe86f,
    0xff993ee3,0xeffff983,0x2200efff,0x89fdc05f,0xc9be206f,0x7ff5401f,
    0x3fff663e,0x077f401c,0xdf705ff5,0x0b2e005f,0x43f916c4,0x9fb27c3c,
    0x6f86e25f,0x225f32f4,0x99999999,0x3eb7e1fd,0x266627da,0x21999999,
    0x5fd1ec79,0x457f47fe,0x0bbaa0ff,0xbffffffd,0x2fc49fb7,0x32fe83be,
    0x98ffffff,0x99999999,0x8f221999,0x000bfa4c,0x07f70000,0xa97227f6,
    0x0ffcc1ef,0x1ff107f6,0x3e607fcc,0x8837f60f,0x40fee6ff,0x20bf61fd,
    0x15fd82fc,0x3ffb83ff,0x3ee27fec,0xf987ff75,0x45fd800f,0xf8823ffb,
    0x107ffd46,0xfb8fecdf,0x6c05ff14,0x09fb30cf,0xfe805f88,0x3f609f70,
    0x3220bf31,0x2202dfff,0x102effeb,0x5ff51dfd,0x417e3fa0,0x99999999,
    0x21ba0099,0x2a5fdca9,0xfda82f98,0x0bf0be61,0xec88fe40,0x000cdfff,
    0xe8991aa0,0x47fa3fd1,0x7c7e80ff,0xfffeb99b,0x5114c2ff,0x00000001,
    0x00000000,0xb03fb800,0x2fe92e3f,0x2fe8bf70,0x827ec098,0x81ff14fc,
    0x7f72feed,0x5fa87f60,0x5fd107f8,0x0df707fd,0x6f983ff7,0x07fa0df7,
    0xdf70df90,0x3f20fe80,0xd8fea2fc,0xff19f71f,0xf887f805,0x7d4ccc46,
    0xf981999e,0xbf507fa6,0xfb303fa2,0xa80019ff,0x440bfffd,0x502ffefe,
    0xf107f69f,0xffffffff,0x85fb10df,0x85fcdffd,0x1efc82f9,0x00db07ea,
    0x2ff40fe4,0x265f0000,0x7ec3e21f,0xb9ba1f90,0x980c4fed,0x00000bcb,
    0x00000000,0x00000000,0x4fec0fee,0x981fe1e9,0x5effdc6f,0x266bfa00,
    0xf35fb999,0x4fb9fb8b,0x07f607f7,0x027d41ff,0x2e0bfff3,0x886f985f,
    0x360bf76f,0x03bee02f,0x5f7017ee,0xfb27cf74,0xdfb8fec3,0x27cc04fe,
    0x3ff60fd8,0xffffffff,0xdf33fd81,0x7e43fe21,0x002ffd84,0x81ffc880,
    0x3603ffe8,0xe889f30f,0xeeeeeeee,0x20ffcc5e,0x217e23fa,0x43f602f9,
    0x0027c3f8,0xf8ed83f9,0x66666545,0x2a0ccccc,0x91743ffe,0x5cbb3dcf,
    0x000002cd,0x00000000,0x00000000,0x207f7000,0x3e22fefd,0x321fe207,
    0xf83effff,0xffffffff,0x7cc9f76f,0x0feebf52,0x8ff20fec,0x7fe401fd,
    0xf309f700,0x3eedf10b,0x2a05fb04,0x09f701ff,0x29f15f98,0x3fb1be6f,
    0x03ffffee,0x8ff05f88,0xeffeeeec,0x3fd81eee,0x3fe21df3,0xff907f90,
    0x6440005d,0xffa81fff,0x45f980ef,0x980000fe,0x13f980ef,0x25f30bfb,
    0xd87f21c9,0x001fb89e,0x52d887f2,0x7fffec1b,0x81ffffff,0x22188101,
    0x00000221,0x00000000,0x00000000,0x7f700000,0x3e20ff60,0x441fe207,
    0x10efffdb,0x555557ff,0x453ee555,0x7dd7ea4f,0xf983fd03,0xe880df15,
    0x09f704ff,0x2df10bf3,0x05fb04fb,0x7dc05ff3,0x5f57f804,0xb13e63f6,
    0x2ebfee3f,0x20ff406f,0x2fc405fa,0x3fd37cc0,0x1fd15fa8,0x19fff930,
    0x3bff6a00,0xebffa80b,0x217e40ef,0x1fec03fb,0xeeeeff98,0x3b3fffa1,
    0xdf12f987,0xfe98bfb7,0x0c4004ff,0x4cccc400,0x00199999,0x00000000,
    0x00000000,0x00000000,0xfb800000,0x3e03ff04,0x2017e607,0x3fe3ffa8,
    0x36df5002,0x4fb9fdc6,0x1fd03ff0,0xdfc807f7,0x84fb81ff,0x76f885f9,
    0x10bf609f,0x4fb807ff,0x0fd9fc80,0xd83f95f7,0x7f49f71f,0x2b3ff603,
    0x7c404ffd,0xf50fe805,0x7cc7f609,0x3ffee205,0xfffb882d,0x4ffea02d,
    0xff10efe8,0xfd80ff10,0x99999503,0x530a9839,0x6dcc3910,0x017300ad,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe213ee,
    0x2e05fd01,0x5c17624f,0x5417f64f,0x1f9ff13e,0x09f72fe8,0x7f703ff1,
    0x77d401fd,0x7dc0efa8,0xf885f984,0x3f609f76,0x2013fa22,0xbfa804fb,
    0x1fb3e66f,0x327dc7f6,0xfdf903ff,0x07ffffff,0x3ea02fc4,0x7c40df13,
    0x2a007f26,0xff71fffe,0x7fd0039f,0x1313fe88,0x35500620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,
    0xa80ffec0,0x0ffd41ef,0x8bf60ff6,0x7fc41ff9,0xc88bff61,0xb03fe66f,
    0xfdf103ff,0xb17fc40b,0x984fb8bf,0xf76f885f,0xfd8bf609,0x009f7005,
    0xfff13ffe,0x3ee3fb09,0x76437e44,0x0fe63730,0x3e205f88,0xf5007f25,
    0x93003745,0x002fb63f,0x00710288,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fb33bfa,0x3ff601fd,
    0x882ffebe,0xefecbeff,0x6df7fe40,0x7ffcc3ff,0x741fffcc,0xfdfeccff,
    0x405ffb01,0x17fc44fd,0x0bf309f7,0x413eedf1,0xd9ff72fd,0x21dddddd,
    0xffb004fb,0xd82ffd85,0xe889f71f,0x0040083f,0x098806a2,0x10440022,
    0x06110003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0xf91dfffb,0xffffb803,0x3ffaa02d,
    0x3fea04ff,0xbde82dff,0x881dfffe,0xfc8efffd,0x5c0ff501,0x0ffa80ef,
    0x0bf309f7,0x413eedf1,0xffff72fd,0x21ffffff,0xff5004fb,0xfb07fa81,
    0x3ea13ee3,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00009800,
    0x13100062,0x9100c400,0x13000c41,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_26_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,1,0,
2,0,0,2,0,0,0,0,0,1,0,0,2,1,1,1,1,1,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,2,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,1,1,1,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_26_latin_ext_y[560]={ 21,4,4,4,2,4,4,4,4,4,4,7,18,13,
18,4,4,4,4,4,4,4,4,4,4,4,8,8,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,24,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,8,8,8,8,8,8,4,4,4,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,21,8,4,4,7,4,
4,4,4,4,4,9,9,13,4,1,4,7,4,4,4,8,4,11,20,4,4,9,4,4,4,8,0,0,0,0,
0,0,4,4,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,7,3,0,0,0,0,0,4,4,4,4,
4,4,4,3,8,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,8,4,4,4,4,4,4,4,
1,5,0,4,4,8,0,4,0,4,0,4,0,4,0,4,4,4,1,5,0,4,0,4,4,8,0,4,0,4,
0,4,0,4,4,3,0,0,4,4,0,4,1,5,0,4,4,4,0,8,4,4,0,4,4,4,8,0,0,4,
4,4,4,4,4,4,4,0,4,4,8,0,4,4,4,8,1,5,0,4,0,4,4,8,0,4,4,8,0,4,
0,4,0,4,4,8,0,4,4,4,0,4,4,4,0,4,1,5,0,4,0,3,0,4,4,8,0,4,0,4,
0,0,4,0,4,0,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,4,8,6,6,6,6,6,6,6,6,6,6,6,6,6,4,8,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,4,0,4,0,
4,0,4,0,1,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-3,-1,0,4,0,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_26_latin_ext_w[560]={ 0,3,7,13,12,19,14,3,6,6,9,12,4,8,
3,7,12,7,12,12,12,13,12,11,12,12,3,4,12,12,12,11,22,17,14,15,15,14,13,16,14,3,10,15,
12,17,14,17,14,17,16,14,14,14,16,22,16,16,14,6,7,5,11,15,5,12,11,12,12,12,8,12,11,3,
6,11,3,17,11,13,12,12,8,11,7,11,12,17,12,12,12,8,2,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,13,13,14,
2,12,8,18,9,11,12,8,18,15,7,12,8,8,5,11,13,3,6,5,8,11,19,19,20,12,17,17,17,17,
17,17,23,15,14,14,14,14,5,5,8,7,17,14,17,17,17,17,17,11,18,14,14,14,14,16,14,13,12,12,
12,12,12,12,20,12,12,12,12,12,5,5,9,7,13,11,13,13,13,13,13,12,12,11,11,11,11,12,12,12,
17,12,17,12,19,15,15,12,15,12,15,12,15,12,15,15,17,13,14,12,14,12,14,12,14,12,14,12,16,12,
16,12,16,12,16,12,14,11,17,12,8,9,8,8,8,8,6,6,3,3,14,9,13,9,15,11,11,12,5,12,
6,12,6,12,7,13,6,14,11,14,11,14,11,14,15,11,17,13,17,13,17,13,22,22,16,8,16,8,16,9,
14,11,14,11,14,11,14,11,14,7,14,9,14,7,14,11,14,11,14,11,14,11,14,11,14,14,22,17,16,12,
16,14,12,14,12,14,12,6,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,15,13,13,13,13,13,13,13,13,13,13,13,13,13,18,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,12,8,8,17,
13,14,11,14,11,14,11,14,11,14,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,12,23,20,18,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_26_latin_ext_h[560]={ 0,17,7,18,22,18,18,7,22,22,8,12,7,3,
3,18,18,17,17,18,17,18,18,17,18,18,13,17,12,8,12,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,2,4,14,18,14,18,14,17,18,17,17,
22,17,17,13,13,14,18,18,13,14,18,14,13,13,13,18,13,22,22,22,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,22,18,12,17,
22,22,3,18,9,12,8,3,18,3,7,14,9,9,4,18,22,3,6,9,9,12,18,18,18,18,21,21,21,21,
21,21,17,22,21,21,21,21,21,21,21,21,17,21,22,22,22,22,22,11,19,22,22,22,22,21,17,18,18,18,
18,18,18,19,14,18,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,10,14,18,18,18,18,22,22,22,
20,17,21,18,22,18,22,18,22,18,22,18,22,18,21,18,17,18,20,17,21,18,21,18,22,18,21,18,22,22,
22,22,22,22,22,23,21,21,17,17,21,17,20,16,21,17,22,22,21,13,18,22,22,22,22,22,13,21,21,22,
22,17,17,17,17,17,17,21,17,22,18,21,17,17,18,18,21,17,22,18,22,18,18,14,21,17,22,18,21,17,
22,18,22,18,22,18,22,18,24,24,21,18,17,18,22,18,21,17,22,18,22,19,22,18,22,18,21,17,21,22,
21,21,17,21,17,21,17,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,15,15,22,15,15,15,
15,15,15,15,15,15,15,15,15,15,18,14,15,15,15,15,15,15,15,15,15,15,15,15,15,18,14,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,18,21,17,22,
18,22,18,22,21,22,22,22,22,22,22,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,23,21,18,22,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_26_latin_ext_s[560]={ 511,505,402,403,354,1,87,398,503,496,362,
206,393,447,443,193,242,292,1,351,14,482,180,232,300,260,506,195,243,372,256,
135,433,274,89,231,300,45,60,214,104,316,472,489,261,27,74,433,163,256,200,
1,217,379,244,320,178,358,343,444,371,505,281,485,431,407,359,443,313,42,375,
326,151,147,437,123,119,106,124,16,273,41,149,30,234,68,80,158,93,247,136,
261,412,415,417,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,511,507,451,
286,192,326,502,153,472,483,315,231,349,447,394,456,385,456,306,331,437,16,263,
481,410,325,340,219,339,413,451,28,384,203,236,254,272,290,177,33,331,39,93,
16,132,208,199,31,354,1,367,336,318,285,49,269,299,102,68,198,228,486,466,
66,53,40,27,14,1,286,485,469,456,443,430,417,460,454,110,481,337,385,311,
297,283,269,255,293,55,168,222,210,198,399,31,59,223,341,63,102,87,71,122,
46,183,21,213,491,229,141,138,439,78,402,241,252,184,368,154,342,295,355,117,
201,325,424,382,1,166,483,1,42,169,81,278,265,108,227,214,384,54,218,426,
469,503,176,93,357,199,463,473,414,180,473,378,456,476,155,201,142,134,96,502,
221,54,18,325,158,66,410,496,129,185,120,277,115,245,455,416,420,124,168,14,
381,456,208,399,469,367,390,342,318,310,330,9,1,411,481,237,504,303,34,91,
296,138,59,107,274,72,154,44,166,308,308,141,489,346,363,372,426,397,441,425,
438,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,181,393,393,385,
393,393,393,393,393,393,393,393,393,393,393,393,393,364,469,393,393,393,393,393,
393,393,393,393,393,393,393,393,384,1,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,106,80,
402,445,243,108,213,122,183,173,156,144,270,132,117,171,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,24,55,67,134,83,155,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393, };
static unsigned short stb__arial_26_latin_ext_t[560]={ 1,132,169,94,1,94,94,169,26,26,169,
169,169,169,169,113,94,151,151,94,151,94,113,151,113,113,151,151,169,169,169,
151,26,151,151,113,151,151,151,113,151,151,113,132,151,151,151,113,151,72,151,
132,151,113,151,151,151,151,151,1,113,1,169,169,169,151,113,151,113,169,151,
113,151,151,1,151,151,169,169,169,113,132,169,169,94,169,169,169,169,113,169,
1,1,1,169,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,1,49,1,
113,169,132,1,26,169,113,169,169,169,169,113,169,169,151,169,169,169,132,26,
169,169,169,169,169,113,113,113,132,49,49,49,49,49,49,132,49,49,72,72,
72,72,72,72,72,132,72,1,1,1,1,49,169,72,1,1,1,1,49,132,
113,113,113,113,113,113,72,151,94,94,94,94,94,132,132,132,132,94,132,94,
94,94,94,94,169,169,113,94,94,94,1,26,26,72,132,72,94,26,94,26,
94,26,94,26,72,26,94,72,72,132,72,72,132,72,72,72,72,26,72,72,
113,26,1,26,26,26,26,49,1,72,72,132,132,72,132,72,151,72,132,26,
26,49,169,113,26,26,1,1,26,169,49,49,26,26,132,132,132,132,132,113,
49,132,49,94,49,132,132,94,94,49,132,26,94,26,72,72,151,49,132,26,
72,49,132,26,72,26,72,26,72,26,72,1,1,49,72,132,72,1,94,49,
132,26,94,26,72,26,94,26,94,49,132,49,1,49,49,132,49,132,49,132,
132,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,94,151,151,1,
151,151,151,151,151,151,151,151,151,151,151,151,151,94,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,94,169,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,49,113,
49,132,1,113,1,113,1,49,1,1,1,1,1,1,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,1,1,49,113,1,113,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151, };
static unsigned short stb__arial_26_latin_ext_a[560]={ 103,103,132,207,207,331,248,71,
124,124,145,217,103,124,103,103,207,207,207,207,207,207,207,207,
207,207,103,103,217,217,217,207,378,248,248,269,269,248,227,290,
269,103,186,248,207,310,269,290,248,290,269,248,227,269,248,351,
248,248,227,103,103,103,175,207,124,207,207,186,207,207,103,207,
207,83,83,186,83,310,207,207,207,207,124,186,103,207,186,269,
186,186,186,124,97,124,217,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,103,124,207,207,207,207,97,207,
124,274,138,207,217,124,274,206,149,204,124,124,124,215,200,103,
124,124,136,207,311,311,311,227,248,248,248,248,248,248,372,269,
248,248,248,248,103,103,103,103,269,269,290,290,290,290,290,217,
290,269,269,269,269,248,248,227,207,207,207,207,207,207,331,186,
207,207,207,207,103,103,103,103,207,207,207,207,207,207,207,204,
227,207,207,207,207,186,207,186,248,207,248,207,248,207,269,186,
269,186,269,186,269,186,269,229,269,207,248,207,248,207,248,207,
248,207,248,207,290,207,290,207,290,207,290,207,269,207,269,207,
103,103,103,103,103,103,103,83,103,103,274,165,186,83,248,186,
186,207,83,207,83,207,109,207,124,207,83,269,207,269,207,269,
207,225,269,207,290,207,290,207,290,207,372,351,269,124,269,124,
269,124,248,186,248,186,248,186,248,186,227,103,227,140,227,103,
269,207,269,207,269,207,269,207,269,207,269,207,351,269,248,186,
248,227,186,227,186,227,186,83,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,280,279,279,207,279,279,279,279,279,
279,279,279,279,279,279,279,279,319,244,279,279,279,279,279,279,
279,279,279,279,279,279,279,318,249,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,248,207,103,83,290,207,269,207,269,207,269,
207,269,207,269,207,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,248,207,372,331,290,227,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_26_latin_ext(stb_fontchar font[STB_FONT_arial_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_26_latin_ext_s[i] + stb__arial_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_26_latin_ext_t[i] + stb__arial_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_26_latin_ext_x[i];
            font[i].y0 = stb__arial_26_latin_ext_y[i];
            font[i].x1 = stb__arial_26_latin_ext_x[i] + stb__arial_26_latin_ext_w[i];
            font[i].y1 = stb__arial_26_latin_ext_y[i] + stb__arial_26_latin_ext_h[i];
            font[i].advance_int = (stb__arial_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_26_latin_ext_s[i] + stb__arial_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_26_latin_ext_t[i] + stb__arial_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_26_latin_ext_x[i] + stb__arial_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_26_latin_ext_y[i] + stb__arial_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_26_latin_ext_LINE_SPACING
#endif

