// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_11_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_11_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT        102
#define STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_arial_bold_11_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_11_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_11_latin_ext_LINE_SPACING           7

static unsigned int stb__arial_bold_11_latin_ext_pixels[]={
    0x88060100,0x01040c40,0x04400035,0x00000088,0x20c08000,0x00800000,
    0x08188010,0x04c00011,0x08804000,0x08010220,0x00000400,0xffffb026,
    0x416e1a2d,0x4c2644fa,0x881e80dc,0x4c80dffe,0xff985db0,0x1b7704ff,
    0x98be3f98,0x365a9a27,0x84ac81ef,0x1f7e4c7a,0x827776d4,0x82e9e84c,
    0x17aa03fb,0x20fffff3,0x77442ff8,0x360ee880,0x06ffec0f,0x7992a0f5,
    0x3cc3eab9,0xbb311baa,0x08a1a213,0x18064264,0x10889811,0x30bd33bd,
    0x14d44111,0x0bea6be6,0x87fcc054,0x2689e62f,0x0353f32e,0x37a14406,
    0x236a2fa8,0x844c9910,0x204c1309,0x2a2a06fe,0x0666be60,0x26603ee2,
    0x09898819,0xe89f98ba,0xf10c5ea4,0xfa8cca21,0x988cc510,0x99a22ec0,
    0x320edffc,0x7ec1dc44,0x3f7f62fd,0x6c043f52,0x3ff62fdf,0x2623e60d,
    0x5f7f4c1f,0x17d3be60,0x278b44f3,0x87cc2ff8,0xf89ea2f8,0xdb8e8820,
    0x4d7679fd,0x83e6bb0f,0xc981faf9,0x26be63ef,0x45ffc809,0x6c0dffe8,
    0x88f62fdf,0x47d40adf,0x9799ec5e,0xb3cc3eab,0x8bb03e6b,0x3ea77a68,
    0x06e0ba25,0x265f31f3,0x4f72f98f,0x263e66ee,0x9d13f32f,0x21ffffcc,
    0x24ea9df8,0x22f9f9f9,0x9354e279,0x87cc9f79,0x7b9ea2f8,0xbd56eea0,
    0xa972f51c,0x9d5c8b97,0x25f51bd0,0xd03eeef9,0xe99de889,0x8be63e65,
    0x3ff660dc,0x32177ea2,0x7d572f34,0x5cbd4f30,0xf9b445d8,0x1f61f9d0,
    0x35c7fdd1,0x32f9ae5f,0x6b9f2a3f,0x056fc4be,0x50bee3e6,0x2f335c1f,
    0x41e62fec,0x9e63ee6b,0x545f10f9,0x90b87e67,0x22daa5b3,0x7d7c2faf,
    0x07ff7fc2,0x1f3041f1,0x1f985f00,0x317cd702,0x3e44a67f,0x2b70dff5,
    0x43eab979,0x417d7c79,0xb7bb445d,0x8ba23f37,0x3e66c8a8,0x73f52fb9,
    0x6ccf745f,0x8bee7e67,0x3e62ffd9,0x23dc1f90,0x3e2f30f9,0x5589e62f,
    0x3367ec4d,0x7a8be21f,0xb8fdcef4,0x8979d3da,0x47ec87ec,0x23faaafa,
    0x26be607b,0x5c1f8819,0x9f99bba7,0xf99722fb,0x23ea7d8a,0x979a643e,
    0x23cc3eab,0x88bb07ec,0x1ae99f36,0x36f6c49b,0xec8befae,0x3ff222fb,
    0x97df5c2e,0x7ccf9129,0x0fccbd10,0x5f53ccd7,0x1e2d13cc,0x10f98fee,
    0x3263d43f,0x3a7663ef,0x4f981edd,0x22ec4f98,0x0b87e66c,0x50fffff3,
    0x32a3f30f,0xb17df5c7,0x21ffec87,0x96c1f57a,0x43eab979,0x9827cc79,
    0x51df3441,0xd90dc89d,0xf88c99b2,0x03f13931,0xf1193097,0x1f62be63,
    0x4ef40b62,0x82d884ea,0x96cd11d8,0x3e25c8d9,0x1ee0fb9c,0x03720ee2,
    0x40fcc1d5,0x41b801f9,0xb01fb9de,0x3ba0d910,0x23267d99,0x305d11f8,
    0x1e16e059,0x75155362,0x8b901f98,0x7dfbd568,0xff34f981,0x45ffd8fb,
    0x4da84ffd,0xec8bffb0,0x02db81ff,0x7017df93,0x223b905b,0x1efc9666,
    0xf51fffdc,0x2a079709,0x2e0ceeed,0x004fb84f,0x77e4c5d5,0x7ff17603,
    0x0bbff620,0x076cbffb,0x26d40e64,0x4cbf60ea,0x3ee7f33f,0x0080aa04,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00300000,
    0x30044000,0xba835ec0,0x01ecb82c,0x0fbaa00c,0x26640f2e,0x13760398,
    0x01b101b8,0x39930393,0x009800b8,0x57b101b1,0x55301e40,0x9b012a03,
    0xb00dc5c0,0x80060003,0x33ed81c9,0xf98bee1f,0xee885f10,0x9102ed80,
    0xc80e2e03,0x102f5402,0x40e70111,0x40e702aa,0x20e70089,0x07380ab8,
    0x0fd41991,0xba8816e0,0x1a204a80,0x01700ee0,0x373700d4,0x03300e20,
    0x44fe89d7,0x309980c8,0xf987f51f,0x99985f10,0x26145441,0x3e65f10f,
    0x7f4c5f10,0x151500be,0xf992ef20,0x43e65f10,0x221f32f8,0x3e21f32f,
    0x8be21f32,0x43e64bbc,0x92ef22f8,0x200c07fe,0x7fec4bbc,0x102ba80d,
    0x7cc1bffd,0x7f445f10,0x77f4c0df,0x06ffec0b,0x82940644,0x3e21f34d,
    0xfbf99ea2,0x5f10f984,0x2a6c89b0,0x3e21f31f,0x4be21f32,0x24ea9df8,
    0x3e69f34e,0xf984c310,0x43e65f10,0x221f32f8,0x3e21f32f,0x4be21f32,
    0x87cc2618,0x84c312f8,0xfff500f9,0x98623fff,0x09d13f30,0x3bd107f7,
    0x887ccbd3,0xd33bd12f,0x754efc4b,0x13a27e64,0x07cc5ffb,0x0f9a6c5f,
    0xf33d45f1,0x21f30dff,0x444d82f8,0x87cc9d4f,0x221f32f8,0x35c1f52f,
    0x35dbf2d9,0x0f997cf5,0x443e65f1,0x3e21f32f,0x4be21f32,0x2a5f10f9,
    0x887ccbe7,0x997cf52f,0x3d99d00f,0x25f3d433,0xfd00adf8,0x2043f30d,
    0x265f10f9,0x41f5021f,0x02b7e26b,0x7cc793f3,0xf34d8be0,0x27a8be21,
    0x4c3f9bf9,0x9b03f10f,0xf98dbf50,0x43e65f10,0xf98f72f8,0x23f3af50,
    0x32f9ea4d,0x7ccbe21f,0x43e65f10,0x221f32f8,0x3e21f32f,0xf997cf52,
    0xf9ea5f10,0x1f301f32,0x3d4333d9,0x17fecc5f,0xf707ebe6,0x21f33774,
    0x774f72f8,0x41f31ee6,0x3ae2ffd9,0x4cd7cc0b,0x87cd362f,0xf99ea2f8,
    0x67c41f90,0x04d80fb9,0x10f985fb,0x7c43e63f,0x135c3f31,0x5f5d3f5f,
    0x3e65f3d4,0x43e63f10,0x221f31f8,0x3e21f31f,0x47e21f31,0x87ccbe7a,
    0x97cf51f8,0xcaec0ff8,0xf9ea7fff,0x91f22532,0x23f313ab,0x443e67ca,
    0x32a3f31f,0x26b87e67,0x7d4f9129,0x3ffe66ad,0x7cd362ff,0x33d43f10,
    0xf517e21f,0x4d8447ff,0x39f10f70,0x273e21f7,0x2a77a0fb,0xecbf744e,
    0x3e63e61f,0x1f739f12,0x43ee73e2,0x10fb9cf8,0x221f739f,0xf30fb9cf,
    0x33e25f31,0x31f30fb9,0x3e60cc5f,0x1f305fee,0x22be65f3,0x7ff7fc7d,
    0x3eccf740,0x41f739f1,0x747d99ee,0x3e64ea9d,0x7fe47d8a,0x22f83e63,
    0xf739f14d,0x16c43dc1,0x3e7721a0,0x3ee0f703,0x7ffdc3ff,0x05f7e4c3,
    0x43fd53f2,0x3ee2fdfe,0x7ffdc3ff,0x21fffdc3,0x7dc3fffb,0x7eff43ff,
    0xd0fffee2,0x21e45fbf,0x99eeaaed,0x8bf7fa09,0x3ea1ffec,0x6c43faaa,
    0x7fdc2eff,0x77fec43f,0x05f7e4c2,0x3507ffb2,0xb17c1f30,0x51fffdc9,
    0x805b709f,0x06ff4c5e,0x000007b8,0x7c4bea00,0x00000005,0x00000000,
    0x7c417000,0x0bffff22,0xd9176000,0x00000000,0xf981c000,0x027f4be0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0xb10000ab,0x5006c409,
    0x200f985b,0xb7704ad9,0x95000ec0,0x4817c039,0x00000019,0x804b80b2,
    0xb3008c40,0x00208001,0x080c4c02,0x84bc8000,0x08c2541d,0x40220208,
    0x0ef603aa,0x35005d54,0x3e6245c0,0x402eaa00,0x307101d8,0x0ab981ff,
    0x0ca402e0,0xfffa81ea,0x1212b62f,0x36be6090,0x3bf3ea5f,0x71700d40,
    0xd30eeccb,0x3a60b21d,0x7eff544b,0x37ae2fff,0x1440c983,0x3b3e605c,
    0x2077660f,0xbefe984c,0xfd301880,0xefe9817d,0x7c43e60b,0x3a601f32,
    0x7e4c0bef,0x7c43e63e,0xdfd30f32,0x3efc9817,0xa97c43e6,0xd5ffd017,
    0x3f260c41,0x5f7f4c3e,0x3ee77e60,0x23f13f52,0x544ffff9,0x2044489f,
    0x1068bcbb,0xd8bf8831,0x251099af,0x7c7f3098,0x407ccf32,0x312f89f9,
    0x26621311,0x53bf1099,0x7fffcc9d,0x3aa77e27,0x3aa77e24,0x97c43e64,
    0x9df880f9,0x546f44ea,0x3e21f32f,0x9df88f32,0x546f44ea,0x3e21f32f,
    0xe8bfdf52,0x07d469ff,0x225f51bd,0x264ea9df,0xf3d4fe1f,0x3ea6be65,
    0xd827ffa2,0x2776a4ff,0x49ffb02c,0x866be67a,0x7fccbe7a,0xf99e65f0,
    0x25f0f980,0xf3d4be7a,0x26b83ea5,0x2a199af9,0x0fa9ae0f,0xf10f99ae,
    0x3ea03e65,0x20f89ae0,0x97c43e60,0xd707d479,0x7cc107c4,0x47ea5f10,
    0x1a7f662f,0x083e21f5,0x266b83ea,0xf3d53a0f,0x3e623e65,0x1f503e61,
    0xb45543f1,0x3e23ea0a,0x7ffc4d91,0x997cf50f,0x9e65f4ef,0x3e7980f9,
    0x7a97cf52,0x3e63dcbe,0x41335f30,0x7b87cc7b,0x10f987cc,0x266be65f,
    0x70f98f70,0xf887cc0f,0x4c7b8f32,0x7cc0f70f,0x43ea5f10,0x234fc44d,
    0x5c0f70fa,0x0f987cc7,0x25f3d53a,0x4c3ffff9,0x09d35c0f,0x35cd9759,
    0x7cc3ea9d,0x4cbe7a81,0xf32f9f9f,0xf3cc07cc,0xf52f9ea5,0x2e1f997c,
    0x8fbbbe66,0xf99ae1f9,0x10f99ae1,0x3fffe63f,0x335c3f35,0x0f985c3f,
    0xf31e63f1,0x43f335c3,0x3e21f30b,0x83f15f51,0x87d469f8,0x7cc2e1f9,
    0x88f99ae1,0x31f983f9,0xf985f71f,0x0fccfd40,0xa8f4eda2,0x33e1f99f,
    0x3099afd9,0x5e65f31f,0x4cf32fec,0xf316a00f,0x23e65f31,0x2a77a2f9,
    0xe803e64e,0x6f44ea9d,0x33e24ea9,0x42d40fb9,0x744ea9de,0x9f11fb9d,
    0x21e61f73,0x744ea9de,0x9f11fb9d,0x37ea1f73,0x469f884f,0x2e77a0fa,
    0x3aa77a1f,0x3bf23e64,0x1f30ef80,0x0ff883f2,0x9641f7e4,0x1f7e46db,
    0x3ffebbaa,0x4bf7fa3f,0x265ff179,0x8266be67,0xfdfe85d9,0x98bf7fa2,
    0x3e60befc,0x7e4c199a,0x77e4c0be,0x1fffdc0b,0x3f261766,0x77e4c0be,
    0x31fffdc3,0x17df930f,0x5c3efc98,0x01ea3fff,0x0fa8d3f1,0x930fbf26,
    0x000017df,0x02f443e6,0x00040800,0x53cc0000,0xff99e65f,0x000005ff,
    0x7fffcc00,0x00000007,0x80000000,0x00000ff9,0xf101ea00,0x000fa8d3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x04c31098,0x420002d8,0x038b9869,0x41b93095,0x64400888,0x66c4183c,
    0x8c073624,0x0260bb00,0x8412e008,0xdc980441,0x80600880,0x5ec02100,
    0x80080102,0x420f5009,0x6c402600,0x4b5d1000,0x0e20be7a,0x547b83ea,
    0x71730914,0x21dc02e0,0x37ee5efa,0x5b855510,0x0ea04444,0xaa985db8,
    0x74c37541,0xb307505e,0x700e98f1,0x320dd505,0x41dfea84,0x209506db,
    0x7e4c1efd,0x17c2f8be,0x0b970288,0x4019816a,0x098898cd,0x7f317cf5,
    0x2e0fa97c,0x20fa9647,0x7dc7ea6c,0xfffb4fff,0x4427eadf,0x03ea3d9f,
    0x7cc3ea05,0x81504fff,0x20662079,0x3ee0f8dc,0x7b914fff,0x7dc0981d,
    0x06624fff,0x233e2054,0x260540fb,0x5aa7ffff,0x754ef45b,0x2604c2dd,
    0x0187ffff,0x54d90422,0x27acd81f,0x317cf52f,0x7d4be1ff,0x2a1d1ee0,
    0x2753e20f,0x225f9331,0x8f509dd9,0x87d4b76a,0x7d42fee8,0x5f535f30,
    0xf317f744,0x85fdd102,0x4cc44ef9,0xdfdfb2fc,0x88ffba23,0xdd12fc99,
    0x1ff7447f,0x45f33331,0x2be61efd,0x3bbf2199,0x4fb83e65,0x5f30f7ec,
    0x1efd8333,0xf10f7fe4,0x566c13a9,0x4c7ccbe7,0x7d3be62f,0x13dc1f52,
    0x3ea07d4d,0xb07f306d,0xbb5c7a8b,0x575c3ea7,0xf987d409,0x3ae1f988,
    0x3b3e609a,0x8135d70e,0x4c099ffc,0x116c743f,0x7f30d915,0x51364544,
    0x7ffdcd91,0x96ed55ff,0x2a099af9,0x31ee2a8e,0x25bb543f,0x2a099af9,
    0x647ccb76,0x036fd43f,0xd17cf59b,0x4fcc5fbf,0x31f52f9f,0x3ea4a9ee,
    0xf882fd80,0x47a8bb05,0x07d4b76a,0x0fa87ff9,0x907ffff3,0x44fcc7ff,
    0xa8fff21f,0x221fec8f,0x77f7ec5f,0x88dbdb11,0x36f6c45f,0x7d4dbdb1,
    0x777e53a0,0x0fbbbe65,0x0fcc5ff7,0x5eefc8d7,0xc8fbbbe6,0x2fae5eef,
    0x42fd84db,0x31f39b08,0x2f31a05f,0xf5f52fec,0xf5164db3,0x1ba0f701,
    0x223c85d8,0x43ea3d8f,0x0fa8d93a,0xa85f71f3,0x5f3ccd93,0x1f5364ea,
    0x43741ff3,0xd909faeb,0xd90dd1b2,0x4d96c9b2,0x51fb9cf8,0x07cc551d,
    0x277a0360,0x547544ea,0x75403e62,0x233ea2a8,0xdc87b81f,0x5fbfd3f9,
    0xf1799760,0x3f63ea5f,0x0fa83a1e,0x9afc87b8,0x36e2ec09,0xf506fdc3,
    0x50bbfa21,0x7e43e61f,0x98bbfa20,0x77f44be7,0xa6effe42,0x97099afc,
    0x7dff98b5,0x4c266bf2,0x3fe67dff,0x177ecc7d,0xaf98bfee,0x41eb8199,
    0xb80befc9,0x26be62ff,0x317fdc19,0x1ee07ffd,0x00037fa6,0x017d4f30,
    0xb80fa830,0x6ffffe87,0x2a0002ec,0x21f5000f,0x00bd10f9,0x0002f9e6,
    0x16ffffe8,0x7f400111,0x00006fff,0x3ffe6000,0x0000007f,0x01ffffe6,
    0x007b8004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x44003cc8,0xc9800088,0x0088880d,
    0x88088022,0x50098088,0x20040180,0x04200008,0x209839b8,0x10266409,
    0x5f404420,0x10111106,0x06204c01,0x11110000,0x26008800,0x21d80c40,
    0xf9302aa8,0xf007744b,0x260770f7,0x807a00ee,0x40ee882e,0x1ffd86ea,
    0xb9b504c8,0x23fee889,0x1f7f10f9,0x0b882e5c,0xa81f35d8,0x2fee882a,
    0x0c8836d4,0xe8897790,0x5d06a80e,0xea81bfb0,0x2265e42e,0x77443dea,
    0x2e80e980,0xffff314c,0x229f530f,0xf8409889,0x3fffe65a,0x13101982,
    0x4c026011,0x75418881,0xa80982bc,0x224a9b8c,0x43e66c8a,0x04c0daf8,
    0x97a83fb8,0xd707f70b,0x20350135,0x261883fb,0x21311310,0x31098898,
    0x23a61311,0x425cfc4d,0x88188808,0x10098089,0x5f30fa83,0xfdfd8333,
    0xfb17cf52,0x4fcc37fb,0x3ff20fc9,0x7ff7f743,0x361ffe43,0x1ffe44ff,
    0xff901df3,0x9293d587,0x3e66ded8,0x7447bf10,0x06fe83fe,0xdfd05f5f,
    0xe88fff20,0x86fe83fe,0xf3d4be7a,0xf52f9ea5,0x987a617c,0x4ffd82af,
    0x3f627fec,0x227fec4f,0x43ea4ffd,0x26099af9,0x4f52f98f,0x5f31f52f,
    0x4cfe0f98,0x64a2398f,0x23e6798f,0x3e23ea39,0xb8731f31,0x263e62ff,
    0x46e2c6c3,0x87ccd96c,0x645442f8,0x40fd7cc6,0xfaf987ec,0x226c9d41,
    0x57cc6c8a,0x25f3d41f,0xf3d4be7a,0x642f9ea5,0x9373ee1e,0xf51f88fa,
    0x23ea3f11,0xf11f51f8,0x47e23ea3,0xdddf30fa,0x2a5f35c7,0x5f35cbe7,
    0x5d3a0f98,0xdfbdb106,0x5c1ae1dd,0x2035d3a6,0x581ae6bc,0x7cc91b3b,
    0x443e67df,0x36f6c41f,0x7cc27572,0x889d5c84,0x3b622efe,0x44eae46d,
    0xf3d4be7a,0xf52f9ea5,0xf535c17c,0x53a6b9e6,0xd35d3a6b,0xd74e9ae9,
    0xf30faa74,0x3ea7e601,0x25f31f32,0x4c2fa9f9,0x4fccfe0f,0x4fe5ae6a,
    0x9aa7e639,0xf31f99fa,0x56f5cd53,0x51aa7e66,0x20953719,0x367be239,
    0x46cb640f,0x4c0ffeff,0xffeff81f,0xcb645b80,0x07ff7fc6,0x265f31f3,
    0x1f32f98f,0x263e65f3,0x4b91d52f,0x3ea6b9f8,0x33f51f99,0x3e67ea3f,
    0x23f33f51,0xf51f99fa,0x0666be61,0x7f45dbf9,0x3b7f22fd,0x7dccfcc2,
    0xe98fff20,0x643ffcdf,0x1f7e43ff,0xdfb0fff2,0xa83ffc83,0x3a204dcd,
    0x20bbf6a4,0x3ea7dff9,0x3ee3faaa,0xfaaafa84,0x3e6264c3,0x2abea7df,
    0x7eff43fa,0xe8bf7fa2,0x37fa2fdf,0x707bf62f,0x3efc85df,0x3f21f7e4,
    0x21f7e43e,0x43ea3efc,0x007ffff9,0xfff30000,0x0000005d,0x00240000,
    0x00000020,0x01b22ec0,0x001b22ec,0x00d91760,0x00000000,0x00000000,
    0x0000fa80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08200000,0x40040000,0x09804200,0x40110310,
    0x80980008,0x00800110,0x105b5004,0x08891910,0x10088404,0x00600000,
    0x04088770,0x2e008010,0x4007602b,0x932df440,0xdd81dbff,0x260f7e41,
    0x74c0befc,0x74f40bef,0x4c82f541,0xffc80e98,0x22067e43,0x42d9e83b,
    0x7fec1dec,0x06fff442,0x5ffb0e32,0x5d324644,0x3f7f60dc,0x026e6d42,
    0xf887ccbe,0x407a83a2,0x81b8ba63,0x7ec3efc9,0x03aa80df,0x549b7053,
    0x37a0c982,0x6d445fa9,0xd1723e63,0x7c49d53b,0x0084ea9d,0x18060111,
    0x2a398f98,0x01b83e8e,0x98311011,0x37a25a8f,0x07d45e99,0xfa89b1f3,
    0x2244b260,0x2a2f98f9,0x084a9aac,0x7c43e65f,0x017a8b22,0x44b261f5,
    0x5f51bd04,0x993a27e6,0x7fccbe3f,0x0b2e47ff,0xe87cc3ea,0x3fff20fc,
    0x4c7b7f10,0x0fa9ae0f,0x83dfb1ae,0x77ec1efd,0xd70f7ec1,0xd12e5720,
    0x7f7447fd,0x98ffba23,0x4043f307,0x3e3ea0fa,0x4ae07d41,0x45f35c0c,
    0xfb12d3d5,0x443e65fb,0xdfa92a2f,0x5707d45f,0x083e2032,0xf302b7e2,
    0x57ccbe1f,0x5da6a199,0x5ee1f501,0x3f31f9bd,0x0ff6c7f3,0xf71f98f7,
    0x2ed50f98,0xd52ddaa5,0x4b76a96e,0x3e66a9f9,0x322a27eb,0x89b22a26,
    0x3ffe6c8a,0x8ddd3dc4,0x3e3ea0fa,0x26a07d43,0x3f30a8b9,0x4deac5f7,
    0x3e63e637,0x8be21f32,0x3e27ea68,0x99a83ea2,0x203dc313,0x3e62ffd9,
    0x2be65f4e,0x226e2099,0x30fa8314,0x6b9ae99f,0x26bb5cfa,0x0fa888f9,
    0xf935c3f3,0x777e4bdd,0xc97bbf25,0x7fe45eef,0xb12e5cc3,0x6f6c4dbd,
    0xf1b7b626,0x32a3f305,0x2f507d47,0x403ea1fa,0x5f5cd595,0x4ac6d62f,
    0x1f32f9ae,0x2a1d07e2,0x80fa8fa7,0x21f993a5,0x9f22530b,0x32f9f9f9,
    0x3207dddf,0x20fa89d0,0x264ea8ef,0x1f51f99f,0xffade8d9,0x2754ef45,
    0x754551d5,0x2a3aa2a8,0x20aa3aa2,0x1ec6cc5b,0x96c9b2d9,0x2e6cb64d,
    0x4f7419ae,0x507d47d9,0x0fa9362f,0x64cf22a8,0x4b2a1f88,0x2a7e64a9,
    0xf739f12f,0x15f52c81,0x2a07d43f,0x9de8b9b2,0xb15f31fb,0x2fecbccf,
    0xb39801f3,0xd50fa8b9,0xeb817dfb,0x20f7ec3e,0x21eeffc9,0x5c0befc9,
    0x17fdc2ff,0xff70bfee,0xfe84c985,0x9f7fe60c,0x3e67dff9,0x3fbb67df,
    0x3bff620f,0x3f507d42,0x407d43df,0xffd93b25,0x84dcda85,0x3ee2edfc,
    0xf54a83ff,0x40fa89fb,0xf9316ea5,0x1ffec87d,0x997fc5e6,0x258199af,
    0x087d45ca,0xb8000000,0x00000000,0x00000000,0x20000000,0x3ea000fa,
    0x00662080,0x00000020,0x103ea001,0x4c000010,0x7fccbea7,0x408087ff,
    0x000000fa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb00b5000,0x4122e205,0x201100dc,0x812e02da,
    0x129103ab,0xec800050,0x0000001e,0x98318100,0x00060440,0x8220004c,
    0x02222001,0xeec87dd5,0x00880981,0x21001080,0x40170261,0x122e2038,
    0x2640a6e2,0x81c038c8,0x29102aa8,0x260aea04,0x01177a27,0x98bfffe6,
    0xfffa800f,0x3ff11fff,0x896e26ec,0xfd8fb61e,0x23546fff,0x45ae00f8,
    0x10f7aa0f,0x201103dd,0x4c0ea808,0xb01f986e,0x6ec1e679,0x03fb8be3,
    0x3fe60fee,0x3ffe67ff,0xf701987f,0xfffff307,0x7dc07f70,0x260fee03,
    0xfd826227,0x64cfcc1e,0x199df30f,0x267b33a0,0x35311e61,0x330a2281,
    0x04eecc43,0x09d88113,0x41f16b81,0xb0313032,0x7f7449ff,0x44c22623,
    0xf3088998,0x0798a093,0x3fa0a851,0x261bfa06,0x3e6199af,0x04d8199a,
    0x35f30dfd,0x40dfd033,0x1bfa06fe,0x2a7993e6,0x20f98b76,0xdd97f33f,
    0x33d91f30,0x3ff23d43,0x4799e64f,0xf98bb079,0xd5710fec,0xf9b5cdf9,
    0x21fd9f30,0xf50fecf9,0x22a23f11,0x6d7bea6c,0x7ccfa9f3,0x3e67982f,
    0x4363cc18,0xf981faf9,0x4d7cc1fa,0x266be609,0x7cc07640,0x4d7cc1fa,
    0x0fd7cc09,0x4c0fd7cc,0x07d41faf,0x2f77e4f3,0x9a753ffe,0x2bb0f50f,
    0x1ea7fffc,0x4cf3076c,0x3b223cc7,0xf13f30ce,0x1f98fa85,0x261f73f7,
    0x3f32f89f,0x4e9ae5f1,0x7d4dbdb1,0x1df3d709,0x4c0bea1f,0xf31ebe67,
    0x13ab91e8,0x3e627572,0x3be63eee,0x043ea3ee,0x3e627572,0xeae43eee,
    0x909d5c84,0x98fb13ab,0x30aa3aa7,0xcf99fc1f,0x777cc6ec,0xf90f505f,
    0x31e67983,0x0aeea88f,0xf50be1f3,0x77fdc7e2,0x4be1f30f,0x3ea5f0f9,
    0x32d91f99,0x99f11ea6,0x80ff4d9f,0x3063e679,0xfdff2f8f,0xffeff81f,
    0x7cc03e60,0x5f31f300,0x307ff7fc,0x7f7fc01f,0x7ff7fc0f,0x07ff7fc0,
    0x7dc798f3,0x64cfcc2f,0x1799f30f,0x9eeaaed8,0xfb8f5099,0x799e609b,
    0x4c5d83cc,0x22f50be7,0x9e60d71f,0x917cf32f,0x6ffcc7df,0x2bfa1ea7,
    0x26be63fd,0x0799e609,0xafaaf8f3,0x2bea3faa,0x2be63faa,0x26be6199,
    0x51ff5c19,0x4c7f555f,0x3ea199af,0x3ea3faaa,0x3ea3faaa,0x1e63faaa,
    0x7fcc00f3,0x403e62ef,0x3fff22f8,0xffe8f52f,0x4799e65f,0x798bb079,
    0x3e2f50be,0xf9e60d71,0x0017cf32,0x23ee1ea0,0x3ffe60fa,0x0799e65f,
    0x45daf8f3,0x4d91766c,0x267ffff9,0xb007ffff,0x3fe66c8b,0xd91767ff,
    0x5d9b22ec,0x00000364,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00002e00,0x4447dd50,0x40c04408,
    0x00000031,0x3ff60000,0x000b8006,0x3108840c,0x00000002,0x00000000,
    0x00000080,0x3ffe6000,0x3073f22f,0xd87eab7f,0x2bea1f55,0x98623f99,
    0x7443dd10,0x23e63cc0,0x32f8fe67,0xd905ffff,0x1efc8be2,0x2afe17c4,
    0x13fffe62,0x7ffcc3f5,0xdfb0fc7f,0x97fbea5d,0x642ffff9,0x83fb84ff,
    0x7cc1ea79,0x99e64fff,0x9ffff307,0x20fa9ff4,0x7ecbe25e,0x21f36fff,
    0x7cdae2fb,0x5f70fc99,0xfd49f983,0xd26cfccf,0x54dfdddf,0x84d44be7,
    0x53109a98,0x7fcc1813,0x267e65f0,0x2dfb10fc,0xd91f52f8,0x33e22fe8,
    0x2a6be60b,0xf99ffa2f,0xf30c199a,0x27ea5f31,0xb35f32f8,0x17447ccf,
    0xa9e61bfa,0x4d7cc317,0xbcc511fa,0x84cd7cc0,0xb83ea2f9,0x6cc4f70f,
    0xf51f309d,0x41f36b87,0x1ddbf33f,0x07cc27e6,0xaf983fb6,0xf9ea2f99,
    0x3f2bdf52,0x9fff94ff,0x53be63cc,0x9fc1f32f,0x087e6bb8,0x317edcd9,
    0x47ccbb7d,0x83e61f98,0x20099af9,0x87d4be6b,0x1ee1f34d,0xf5f317c4,
    0x23ea7983,0x2e6be65e,0xecf99e67,0x4335f30e,0x41f51ffe,0xbb09b2f8,
    0x884fbf98,0x53a9fff2,0xf31f89f9,0x3ff67fe8,0xffff30ff,0x25f3d45f,
    0x076c09fa,0x4c7983b6,0xf32f9f9f,0xf9ae2741,0x8f997d40,0x261f302f,
    0x7cc3ffff,0x0fbbbe60,0x3ea3e615,0x23f15f52,0x884ffef9,0x44eae44f,
    0x3177ea79,0x3ccbffff,0x263f13f3,0x3f10ffff,0x237607d4,0x7cc5d81f,
    0x07cc06ff,0x97c3e67f,0x5307cc79,0x83e6159f,0x3e63e62f,0x83f90f52,
    0x263cc1fc,0x3e65fd97,0x74d70fe0,0xced8fe60,0xd71d30df,0x217dc7cc,
    0x803e60f9,0x4bf7f21f,0x3e64fdfa,0xf0b700ab,0x3cc1ffdf,0x0f98dff5,
    0x799e67f1,0x4407ccbe,0xf503ea1f,0xf31760f7,0x7cc07f37,0x4f30fc99,
    0xff88f32f,0x219bf970,0xfd0be0f9,0xf71ea5fb,0x26fee137,0x22f31e60,
    0x733f32ff,0x4326b81f,0x99719cf8,0x0efec1bf,0x883f21f3,0x335f30ff,
    0x25f00c83,0x801f307a,0x5557d42a,0x8fa9e63f,0x266be63e,0xf3ccf33f,
    0x3e203e65,0x3fe03ea1,0x0f98bb04,0x3fe601f9,0x2f9e62ef,0x217c00f3,
    0x400be0f9,0xaffff47a,0x1e65fffe,0xf997d4f3,0x26b82eff,0x0ffff91f,
    0x43e6005f,0x7fcc05e8,0x5f00c7ff,0x007cc1ea,0x6c8bb172,0x1f57a9e6,
    0x997fffe6,0xf32f9e67,0x7d43f101,0xbb01fc80,0x0bf10f98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01100000,0x20222080,0x81c80200,0x80802020,
    0x110000f9,0x44421004,0x57ba2088,0x010000f9,0x7dcbe1f3,0x404087ff,
    0x04101108,0x10444042,0x82204108,0x87647ea0,0xf34ffffb,0x27f997c1,
    0x3e69d3fd,0x53641f34,0x8ffba23f,0x9e65bcca,0x3bb60fbf,0x7427fe41,
    0x223f3cc1,0x7fe42fee,0xd5003e63,0x776ffe43,0x47bff21f,0xf9862080,
    0x3e01db80,0x11c87cc2,0xffc8bb55,0x77f7479c,0x2f5e63ff,0x261dd9f3,
    0x7547e5ef,0x2a5fedfc,0x4f6c5d8f,0x3f26622f,0x997c1f32,0x327ff1ff,
    0x11aedf96,0x8a893a9f,0x97b3e65c,0x6a96be79,0x7c47d4b5,0x21ddfd91,
    0x57547e79,0x8e63e609,0x75c410f9,0x3e23ea3e,0x2e3e6b95,0x3cc1013f,
    0xdf9101f3,0x304d4445,0x83a2121f,0x26af88fa,0x4f11f928,0x4fcc5df9,
    0x413f31f8,0x3f51f509,0x40ffd8f3,0x7f305ff8,0x97ccd7cc,0x3ee9bdf9,
    0x363f3af5,0x446dfa84,0x55aa6eed,0x22df9e65,0x9ae6eefc,0x479f753d,
    0xffc87e79,0x47cc1ae3,0x2e0fee79,0x5d7bbfa6,0x1014dbad,0x401f33cc,
    0xfffb1fd8,0xd803e61f,0x45db35c3,0xeeefded8,0x798dff30,0x2a03cc7e,
    0xf31e6f37,0x220bf60b,0x7fffcc5f,0x97b7f32f,0x27ebe27d,0x5fb02fae,
    0x7ccd96b8,0x263e65ec,0x229b541f,0x741f99fa,0x8fcc7cc1,0x47ccd73a,
    0x8623e66a,0x3e23efb8,0x2a555f99,0x1011f8cf,0x101f33cc,0x54447df9,
    0x4403e609,0x7ccfd40f,0x88fcb5c2,0x98fa3e63,0x543cc7e7,0x3cde6f50,
    0xdf507f7a,0x1f30dd0d,0xef9f997c,0x65fba3ea,0x30f701fe,0x6654fbdd,
    0x0fdfe45b,0x3f21775c,0x06ae663e,0x3a23fbfd,0x177e42ef,0x501335f3,
    0x767f5c3d,0x7dfd30ef,0x4cf30404,0x5b7099af,0x2be617c0,0x641a6099,
    0xdee883ef,0x55e63ffc,0x98fcf30f,0x26f51f87,0xecb5cf37,0x47f19f10,
    0xf3099afc,0xff7997c1,0xaa7e47d1,0x001ee07f,0x40000000,0x000ffffd,
    0x3ffe6000,0x0000005f,0x4c111113,0x17fffe67,0xfff98080,0x00016e5f,
    0x00000000,0x21f90000,0xffffd1fb,0x32f83e6d,0xf51f5f6f,0x7b817e25,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17777740,
    0x00000000,0x00000000,0x88880000,0x41041108,0x11041108,0x44444111,
    0x9c883c80,0x4e200443,0x64c08038,0x00000439,0x4c451042,0x11e44111,
    0x210cc083,0x2aa04628,0x00000aaa,0x00000000,0x00000000,0x7fff9000,
    0x3d87cd36,0x93ccfa9f,0x3f23ffff,0x7b111fff,0x741eae81,0xde8974c5,
    0x543baa5e,0x47ab60ed,0x49b709b9,0x437665db,0x4f30f9fa,0x65cd37fc,
    0x32798f62,0x4f32efff,0x2eee1e8f,0x000001bb,0x00000000,0x00000000,
    0x79876400,0x77c6dcb9,0x888f30f8,0x111111e8,0xa8ffffe4,0x07f546be,
    0x23fcc593,0x3d932c8d,0xdeaadf54,0x5cb316e1,0x1f3f52a9,0x0441112c,
    0x44618830,0x0000002a,0x00000000,0x00000000,0xfb800000,0xf10fd740,
    0x3ccd7f97,0x3fff23d0,0x817b111f,0x32ba1ead,0xede895c4,0x5ec3b325,
    0x4c7ab61e,0xea9a6a5c,0x72893622,0x00000044,0x00000000,0x00000000,
    0x00000000,0x3ea00000,0x21bee09b,0x263fcafe,0x99988207,0x9b883d81,
    0x33126913,0x82624522,0x737109a8,0x2ea1b880,0x00000003,0x00000000,
    0x00000000,0x00000000,0x20000000,0x3e25fffe,0x1fa8fb83,0x000001e6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_11_latin_ext_x[560]={ 0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,0,-1,0,0,-1,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
0,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,-1,0,-1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_11_latin_ext_y[560]={ 8,0,0,0,0,0,0,0,0,0,0,2,6,4,
6,0,0,0,0,0,0,1,0,1,0,0,2,2,1,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,2,0,2,0,2,0,2,0,0,
0,0,0,2,2,2,2,2,2,2,1,2,2,2,2,2,2,0,0,0,3,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,2,0,0,1,0,
0,0,0,0,0,3,2,4,0,-1,0,1,0,0,0,2,0,3,8,0,0,3,0,0,0,2,-1,-1,-1,-1,
-1,-1,0,0,-1,-1,-1,-1,-1,-1,-1,-1,0,-1,-1,-1,-1,-1,-1,2,0,-1,-1,-1,-1,-1,0,0,0,0,
0,0,0,0,2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,
-1,1,-1,0,0,2,-1,0,-2,0,-1,0,-1,0,-1,0,0,0,-1,1,-2,0,-1,0,0,2,-1,0,-2,0,
-1,0,-1,0,0,0,-2,-1,0,0,-1,0,-1,1,-2,0,0,0,-1,2,0,0,-2,0,0,0,2,-1,-1,1,
0,1,0,1,0,0,0,-1,0,0,2,-1,0,0,0,2,-1,1,-2,0,-1,0,0,2,-1,0,0,2,-1,0,
-1,0,-2,0,0,2,-1,0,0,1,-1,0,0,1,-1,0,-1,1,-2,0,-2,0,-1,0,0,2,-2,0,-2,0,
-1,-1,0,-1,0,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,2,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,0,-1,
0,-1,0,-1,-1,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-2,-2,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__arial_bold_11_latin_ext_w[560]={ 0,3,5,6,6,9,7,2,3,3,4,6,3,3,
3,4,5,4,5,6,6,6,6,6,6,6,3,3,6,6,6,6,10,8,7,7,7,7,6,8,7,3,5,8,
6,8,7,8,7,8,8,7,6,7,8,10,7,8,6,4,4,3,6,7,3,6,6,6,6,6,4,6,6,3,
4,6,3,9,6,6,6,6,4,6,4,6,6,8,6,6,5,4,2,4,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,6,6,6,6,
2,6,4,9,4,5,6,3,9,7,4,6,4,4,4,6,7,3,3,3,4,5,9,8,9,6,8,8,8,8,
8,8,11,7,7,7,7,7,4,3,5,5,8,7,8,8,8,8,8,6,8,7,7,7,7,8,7,6,6,6,
6,6,6,6,9,6,6,6,6,6,4,3,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
8,6,8,6,8,6,7,6,7,6,7,6,7,6,7,8,8,6,7,6,7,6,7,6,7,6,7,6,8,6,
8,6,8,6,8,6,7,6,8,6,4,4,4,4,4,4,3,3,3,3,7,5,6,4,8,6,6,6,3,6,
4,6,4,6,5,6,3,7,6,7,6,7,6,8,7,6,8,6,8,6,8,6,10,9,8,4,8,4,8,4,
7,6,7,6,7,6,7,6,6,4,6,5,6,4,7,6,7,6,7,6,7,6,7,6,7,7,10,8,8,6,
8,6,5,6,5,6,5,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,7,6,6,6,
6,6,6,6,6,6,6,6,6,6,9,8,6,6,6,6,6,6,6,6,6,6,6,6,6,9,8,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,6,4,4,8,
6,7,6,7,6,7,6,7,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,6,11,9,8,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_bold_11_latin_ext_h[560]={ 0,8,4,9,9,9,9,4,11,11,5,5,4,3,
2,9,9,8,8,9,8,8,9,7,9,9,6,8,7,5,7,8,11,8,8,9,8,8,8,9,8,8,9,8,
7,8,8,9,8,9,8,9,8,9,8,8,8,8,8,10,9,10,5,1,3,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,8,8,6,7,8,7,6,6,6,9,6,11,11,11,3,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,8,10,9,7,8,
11,11,2,9,5,5,5,3,9,2,4,7,5,5,3,8,10,3,3,5,5,5,9,9,9,9,9,9,9,9,
9,9,8,11,9,9,9,9,9,9,9,9,8,9,10,10,10,10,10,5,9,10,10,10,10,9,8,9,9,9,
9,9,9,9,7,9,9,9,9,9,8,8,8,8,9,8,9,9,9,9,9,7,7,9,9,9,9,11,10,11,
9,8,9,9,11,9,10,9,11,9,10,9,10,9,9,9,8,9,9,8,10,9,9,9,11,9,9,9,11,11,
10,11,10,11,11,11,10,9,8,8,9,8,9,7,10,8,11,11,9,6,9,11,11,11,11,11,6,9,9,10,
11,7,8,7,8,8,8,9,8,11,9,9,8,8,9,9,10,8,11,9,10,9,9,7,9,8,11,9,9,8,
10,9,11,9,11,9,10,9,12,10,9,9,8,8,10,9,10,8,11,9,11,9,10,9,11,9,10,8,10,11,
9,9,8,9,8,9,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,9,9,8,10,
9,10,9,10,10,10,10,10,10,10,10,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,10,11,10,9,11,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_11_latin_ext_s[560]={ 255,94,160,137,78,180,122,253,104,230,140,
93,166,170,198,32,69,89,98,202,104,111,209,189,17,77,234,140,125,86,168,
166,136,173,193,208,81,132,212,112,16,224,250,244,161,24,73,33,158,24,118,
216,237,173,228,33,1,44,9,76,181,251,106,215,174,53,186,111,166,76,219,
149,205,201,123,186,182,238,222,83,151,144,229,104,127,97,59,66,248,135,53,
20,8,210,191,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,255,252,236,
105,60,27,101,108,202,92,129,100,79,170,156,207,155,90,150,145,182,180,113,
187,178,113,124,134,198,140,240,35,1,10,42,59,68,77,119,128,51,232,27,
19,193,251,121,134,102,224,27,134,18,1,219,117,1,202,68,36,98,241,111,
127,144,165,158,98,91,84,205,70,63,56,49,42,142,147,151,67,10,187,244,
237,230,223,216,175,142,195,188,181,174,147,106,154,142,208,126,119,161,102,126,
85,170,71,90,57,60,40,32,23,1,9,1,95,10,227,219,212,178,195,187,
180,194,203,193,32,210,55,46,39,243,108,34,10,87,90,75,156,121,236,240,
244,37,75,24,234,31,9,14,223,215,227,223,44,96,182,17,118,241,229,86,
16,164,88,234,215,194,171,143,151,81,201,79,173,51,190,197,132,158,215,70,
64,92,50,228,80,62,115,215,151,176,101,1,152,57,167,157,22,114,208,98,
43,115,241,1,248,55,1,23,8,72,220,38,248,41,50,55,130,61,151,136,
131,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,172,149,149,186,
149,149,149,149,149,149,149,149,149,149,149,149,149,202,196,149,149,149,149,149,
149,149,149,149,149,149,149,149,109,67,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,165,158,
250,247,63,64,47,16,90,83,122,130,137,145,106,169,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,184,25,157,47,11,234,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__arial_bold_11_latin_ext_t[560]={ 1,77,94,37,47,26,37,77,1,1,94,
94,94,94,94,37,37,77,77,47,77,77,47,86,57,57,86,77,86,94,86,
77,1,77,77,57,77,77,77,57,86,77,37,77,86,86,77,57,77,57,77,
57,77,57,77,86,86,86,86,26,57,14,94,93,94,86,57,86,57,86,77,
57,77,77,1,77,77,86,86,86,77,77,86,86,77,86,94,94,86,47,94,
1,1,1,94,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,1,67,14,
57,86,77,1,1,94,47,94,94,94,94,57,94,94,86,94,94,94,67,26,
94,94,94,94,94,57,57,57,67,67,67,67,67,67,67,67,1,67,57,67,
67,57,47,57,57,67,57,26,26,26,26,14,94,57,14,26,26,26,37,67,
57,37,37,37,57,57,57,86,57,57,57,57,57,67,67,67,77,57,67,47,
47,47,47,47,86,86,47,47,47,47,1,26,1,47,67,47,47,1,47,26,
47,1,47,26,47,26,47,47,47,77,47,47,67,26,37,37,37,1,37,37,
37,1,1,14,1,14,1,1,1,14,37,77,77,37,67,37,86,26,67,1,
1,37,94,37,1,14,14,14,1,86,26,26,26,1,86,77,86,67,67,67,
37,67,1,26,26,67,67,26,26,26,67,1,26,26,26,26,86,26,67,1,
37,37,77,14,37,1,37,1,47,14,37,1,14,37,26,67,77,14,26,14,
77,1,26,14,26,14,37,14,37,14,67,14,1,37,37,77,37,77,37,67,
67,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,37,86,86,1,
86,86,86,86,86,86,86,86,86,86,86,86,86,37,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,47,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,47,47,
57,67,14,47,14,47,14,14,14,14,14,14,14,14,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,14,1,14,47,1,37,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86, };
static unsigned short stb__arial_bold_11_latin_ext_a[560]={ 44,52,75,88,88,140,114,37,
52,52,61,92,44,52,44,44,88,88,88,88,88,88,88,88,
88,88,52,52,92,92,92,96,154,114,114,114,114,105,96,123,
114,44,88,114,96,131,114,123,105,123,114,105,96,114,105,149,
105,105,96,52,44,52,92,88,52,88,96,88,96,88,52,96,
96,44,44,88,44,140,96,96,96,96,61,88,52,96,88,123,
88,88,79,61,44,61,92,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,44,52,88,88,88,88,44,88,
52,116,58,88,92,52,116,87,63,86,52,52,52,91,88,44,
52,52,58,88,131,131,131,96,114,114,114,114,114,114,158,114,
105,105,105,105,44,44,44,44,114,114,123,123,123,123,123,92,
123,114,114,114,114,105,105,96,88,88,88,88,88,88,140,88,
88,88,88,88,44,44,44,44,96,96,96,96,96,96,96,86,
96,96,96,96,96,88,96,88,114,88,114,88,114,88,114,88,
114,88,114,88,114,88,114,113,114,96,105,88,105,88,105,88,
105,88,105,88,123,96,123,96,123,96,123,96,114,96,114,96,
44,44,44,44,44,44,44,44,44,44,124,88,88,44,114,88,
88,96,44,96,44,96,61,96,75,96,44,114,96,114,96,114,
96,112,114,96,123,96,123,96,123,96,158,149,114,61,114,61,
114,61,105,88,105,88,105,88,105,88,96,52,96,75,96,52,
114,96,114,96,114,96,114,96,114,96,114,96,149,123,105,88,
105,96,79,96,79,96,79,44,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,114,118,118,88,118,118,118,118,118,
118,118,118,118,118,118,118,118,134,112,118,118,118,118,118,118,
118,118,118,118,118,118,118,131,114,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,114,88,44,44,123,96,114,96,114,96,114,
96,114,96,114,96,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,114,88,158,140,123,96,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_11_latin_ext(stb_fontchar font[STB_FONT_arial_bold_11_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_11_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_11_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_11_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_11_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_11_latin_ext_s[i] + stb__arial_bold_11_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_11_latin_ext_t[i] + stb__arial_bold_11_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_11_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_11_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_11_latin_ext_x[i] + stb__arial_bold_11_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_11_latin_ext_y[i] + stb__arial_bold_11_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_11_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_11_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_11_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_11_latin_ext_s[i] + stb__arial_bold_11_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_11_latin_ext_t[i] + stb__arial_bold_11_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_11_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_11_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_11_latin_ext_x[i] + stb__arial_bold_11_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_11_latin_ext_y[i] + stb__arial_bold_11_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_11_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_11_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_11_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_11_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_11_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_11_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_11_latin_ext_LINE_SPACING
#endif

