// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT        248
#define STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_20_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_20_latin_ext_LINE_SPACING          13

static unsigned int stb__arial_bold_20_latin_ext_pixels[]={
    0xd7060020,0xdddddddd,0x98800007,0x33220001,0x4004cc01,0x10988019,
    0x0e644013,0x2004fe80,0x33310098,0x4ccc4033,0x00662000,0x004c4262,
    0x0cc00198,0x01330013,0x0004c260,0xd8807dc0,0x7ffffe46,0xd704ffff,
    0xd1005bff,0x3f20007f,0x805fd804,0x77c404f9,0x3f200ef8,0x00bf5004,
    0xff500ee8,0x3fa03fff,0x3f6004ff,0xf9ef8805,0x07ff9006,0x1fe5fdc0,
    0xa8037e40,0x3fb81fcf,0x05f107f7,0x2aa637e4,0x1aaaefea,0x7fffff4c,
    0x06f8804f,0x2004f880,0x54d401fd,0x3ffea019,0x8013e201,0x2a6a006b,
    0x55551019,0x0cc2a015,0x2005f880,0xa801fff9,0x2001fecf,0x32005ffd,
    0xaaba801f,0x7f73fb81,0xb103ff30,0x3fa013df,0x4efff405,0x8801ffeb,
    0x0200000a,0xb8f401a8,0x40155404,0x177a0019,0x004b8f40,0x012e3d00,
    0x2a00054c,0x2255001a,0x2aa2001a,0x400d4000,0x7f70971e,0x33220fee,
    0x3ffffd80,0x7dc0bfd0,0x827fc41f,0x03dffdc8,0x17dffd70,0xda7dc1f9,
    0x2217b22f,0x6d3ee2ee,0x05bb502f,0xec81a930,0x2e2ee885,0x7645fb4f,
    0x882ee885,0x903dffdc,0x05dd10bd,0x07bffb91,0x7bffb910,0x3a217b20,
    0xd10bd92e,0x7dcfee5d,0x42623503,0xd02cffeb,0x82ff40bf,0xffff3008,
    0x2603dfff,0xfffffffe,0xfda7dc4f,0x3e21bf62,0x7ed3ee3f,0x00955902,
    0x7ec0dff1,0x2e3ff886,0x7ec5fb4f,0x4c3ff886,0xefffffff,0x7c437ec1,
    0x7fffcc3f,0xf301efff,0x3dffffff,0xff886fd8,0xff10dfb3,0x1fdcfee7,
    0x3f3bffee,0xfd01bf25,0x0027fc0b,0x2abbffe2,0xff886ffe,0xfffdaaef,
    0x86fd8000,0x20003ff8,0xfb800dd8,0x0dfb01ff,0xd8007ff1,0x23ff886f,
    0xeaaefff8,0x437ec6ff,0x3fe23ff8,0x6ffeaaef,0xaaefff88,0x37ec6ffe,
    0x6fd9ffc4,0x7f73ff88,0xdffc8fee,0x3f25fffb,0x882ff406,0x7e4003ff,
    0x44ffa82f,0x7fcc2ffc,0x3102623f,0x3e21bf61,0x9881313f,0x009aa880,
    0xd827fff4,0x13ff886f,0xfb098813,0x647ff10d,0x4ffa82ff,0x3fe21bf6,
    0x2a0bff23,0x17fe44ff,0xdfb27fd4,0x3f67ff10,0xd53ff886,0x5ff8fee5,
    0x6fc97fe2,0xff02ff40,0x05fe8009,0x8bfd1bfa,0x366feef9,0xfda7ec5f,
    0xfb3ff886,0x3a24fd8b,0x300effff,0xb01ffbff,0x27ff10df,0xda7ec5fd,
    0x23ff886f,0x9bfa05fe,0x3ff886fd,0x6fe817fa,0xdfd02ff4,0x7fc437ec,
    0xff10dfb3,0x7c4fee07,0xf92ff43f,0x205fe80d,0x815705fe,0x1ff204ff,
    0x47fc49ff,0xb17f67fc,0x221bf69f,0xd8bfb3ff,0x32fbf64f,0x1df904ff,
    0x0dfb07ff,0x17f67ff1,0x21bf69fb,0x13fe3ff8,0x1bf67fc8,0x4ff8ffe2,
    0x9ff1ff20,0xdfb3fe40,0x3f67ff10,0x703ff886,0xb0bfe67f,0x2037e4bf,
    0x3ff205fe,0xf12ffc40,0x87fdc07f,0x3fd13ff9,0x2fec3fee,0x437ed3f6,
    0x8bfb3ff8,0xc82e64fd,0xd3ff885f,0x10dfb0df,0xb17f67ff,0x221bf69f,
    0x07ff13ff,0x6fd87fdc,0xff13ff88,0x887fdc07,0x3fee03ff,0xff10dfb0,
    0x3e21bf67,0x3ee1313f,0xbff13fe3,0xe8277fdc,0x3ffe205f,0x20ffd98b,
    0x3f204ff8,0x3a9ff10f,0x6c3ff22f,0xfda7ec5f,0xfb3ff886,0xc984fd8b,
    0xffb86ffe,0xfd83ff70,0xfb3ff886,0xdfb4fd8b,0x3e27ff10,0x43ff204f,
    0x3ff886fd,0x7e409ff1,0x409ff10f,0x0dfb0ffc,0x1bf67ff1,0x9fdcffe2,
    0x2bbfa3fb,0x3a25ffc8,0x0bfd04ff,0xffffffa8,0x205ff83f,0x6effc7fd,
    0xfb37ec3f,0xff94fe8b,0x3f65ff10,0xff527f45,0xfd0dfdbf,0x3227fc4b,
    0xb2ff887f,0xf94fe8bf,0x7c5ff10f,0xc9ff605f,0x22ff887f,0x1ff605ff,
    0x3fec0bff,0x5ff10ff9,0x3fe21ff2,0x8fee7f72,0xfefffff8,0x00000885,
    0x05bfffb3,0x3e607ff6,0x1fffe45f,0x5fd97fe6,0x0ffba7f4,0x5fd97fcc,
    0xcff8a7f4,0xff98df90,0x0fffffff,0xff303fee,0x9fd17f65,0xff303fee,
    0x4c0ffec5,0x03fee5ff,0x7fec5ff3,0x6c5ff981,0x5ff981ff,0xff303fee,
    0xf303fee5,0x7dcfee5f,0x64efecc3,0x9027e45f,0x67ec00bf,0x33ffe200,
    0x40fffc99,0xc88afff8,0x9bf20fff,0xbff54ff9,0x643ffa63,0x4d3fe66f,
    0x91bfa1ff,0xffffffff,0x8effd47f,0xdf90ffe9,0xffaa7fcc,0x41ffd31d,
    0xc99cfff8,0x3fea0fff,0x41ffd31d,0xc99cfff8,0x7fc40fff,0xfffc99cf,
    0x4c77fea0,0xbff50ffe,0x5c3ffa63,0x4d47f73f,0x3f227ec0,0x8017f203,
    0x7d404f88,0x2fffffff,0xffffffb8,0x7fd42fff,0x364fefde,0x4fffffff,
    0x3bf7bfea,0x3b3bfa4f,0x827fc6ff,0x7ffec6fe,0x3ea4ffff,0x24fefdef,
    0xfffffffd,0xfffffa84,0xffd82fff,0xa84fffff,0xffffffff,0xfffff502,
    0xffb05fff,0xd89fffff,0x4fffffff,0x91fdcfee,0x7ff535ff,0x3aa01e98,
    0x7f955004,0xffffb100,0xb3df301b,0x201bffff,0x4fcafffc,0x1fffffe4,
    0x7e57ffe4,0x2b7ff6a4,0x03ff50ff,0xff907fee,0xff907fff,0xfc89f95f,
    0x2203ffff,0x00dffffd,0x0ffffff2,0xdffffd88,0x7ffec400,0x3ff200df,
    0xff903fff,0x3fb87fff,0x7ffc47f7,0x04c85fff,0xcc800fdc,0x0088001b,
    0x000440a8,0x10018001,0xdfb00200,0x3027fc40,0x03000200,0x30001100,
    0x00011000,0x00600022,0xa9754030,0x66e5c42e,0x002a0002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c4004cc,0x0004c401,0x00000000,0x26200000,
    0x01988000,0x980132a0,0x98800661,0x21300331,0x00000098,0x00000133,
    0x03991000,0x00009980,0x7400ffcc,0x3ffe204f,0x2fbf2600,0x00177e40,
    0x2a0bdfb3,0x31ff00ff,0x0df700df,0x002ff880,0x2009fff1,0x001fa9ea,
    0x013f2bfa,0x003fa7fa,0x7c007ff7,0x3fea802f,0x17bfd950,0x01fffb00,
    0x9007fe60,0x007f601f,0x7fb017ea,0x3ffe20bf,0x7ffe46ff,0xbffff000,
    0xff807fa0,0xfb806f98,0x01fdc006,0x03fb1fd0,0x800fbf20,0x006f8cfa,
    0x9805fff3,0xf001fedf,0xfff9805f,0xfffffe83,0x33ea01ff,0x3fb005f9,
    0x2a06f880,0x88053001,0xf901531a,0xf30bfe2d,0x7ff3005f,0x00391011,
    0xa8000000,0x00000002,0x15129800,0x40154c00,0x003c88cb,0x40f7dc00,
    0xfb9beffd,0x5000006f,0x647f9003,0x22ee885e,0x645fb4fb,0x22ee885e,
    0x74011ffc,0x7fe4c02f,0x26026209,0x33013109,0x37ffae01,0xdffeb802,
    0xdffeb802,0x7fee4402,0xfdc8803d,0xfd7003df,0x013105bf,0x3b6e0133,
    0xbf701def,0xf507ff70,0x3fb6e05f,0xfd9101de,0x3fe207df,0x3e21bf60,
    0x7ed3ee3f,0x3e21bf62,0x0fffe23f,0x7d407fb0,0x3f24ffff,0xfc97fc47,
    0x2617fc47,0x4ffffffe,0xfffffd30,0x3ffa609f,0xf304ffff,0x3dffffff,
    0x3ffffe60,0xfd301eff,0xc89fffff,0x417fc47f,0xfffffffd,0xfd84fc81,
    0x7ec0100f,0x41ffffff,0xffffffe8,0x7ec5fa84,0x003ff886,0x7fc437ec,
    0x3bffff23,0x5407fb01,0x261ceffc,0x99fee2ff,0x21fee2ff,0xfeb9dffe,
    0x9dffe81f,0xfe81ffeb,0x1ffeb9df,0x5577ffc4,0xff886ffe,0x6ffeaaef,
    0xd73bffd0,0x17fcc3ff,0xdffb0ff7,0x90dff737,0x00dfd09f,0x737dffb0,
    0xbffc8dff,0x5c0ffd99,0x4437ec4f,0x881313ff,0xf10dfb09,0x323be67f,
    0x6fb81fff,0xfd03ff80,0x3fa27ec9,0xff713f64,0x5c4ff883,0x27fc41ff,
    0xff107fee,0xa82ffc89,0x17fe44ff,0x3ee27fd4,0x227fc41f,0x513f64fe,
    0x5ff507ff,0x3e21ff44,0x7777644f,0x2a0ffea4,0x117f62ff,0x43fd85df,
    0x3ff886fd,0xb4fd8bfb,0x27ff10df,0xfff50ffa,0x203fff10,0xff702ff8,
    0xff707fe2,0xbfd07fe2,0x17fa0220,0x82ff4044,0x205fe808,0x02ff46fe,
    0x05fe8dfd,0x22ff7011,0x037e41ff,0x80efea81,0x7ffec6ff,0x081bf26f,
    0x801cffb8,0x437ec2fe,0x8bfb3ff8,0x10dfb4fd,0x97fe27ff,0xffb81ff9,
    0x201ff502,0x86fbaff8,0x86fbaff8,0x7fc004ff,0x027fc004,0xfc813fe0,
    0xf9027fc7,0x4004ff8f,0x86fbaff8,0x3ee004fe,0x41ffd02f,0x3a6fe998,
    0xfff8004f,0x3ff01cff,0xff886fd8,0x4fd8bfb3,0x7ff10dfb,0xff8f7fec,
    0x806ffcc0,0x67ec07fb,0xb9fb03fd,0x03ff887f,0x800ffe20,0x22003ff8,
    0x3fee03ff,0x5c07ff10,0x07ff10ff,0x7fb9fb00,0x7643ff88,0xffb34eee,
    0x205ff701,0x87ff16fd,0x4c4eeeec,0x85fffffc,0x437ec2fe,0x8bfb3ff8,
    0x10dfb4fd,0xfffc87ff,0x05fc85fd,0x3ea02fe4,0xff500fff,0x09ff01ff,
    0x4004ff80,0x3e2004ff,0x43ff204f,0x3f204ff8,0x0013fe0f,0x203fffea,
    0x7ffec4ff,0x441ff46f,0xeb88afff,0xb13fe6ff,0x220dffff,0x6c4fffdb,
    0x443fe43f,0xe8bfb2ff,0xf10ff94f,0xffff505f,0xfd00ff60,0x0dfff009,
    0xfd06fff8,0xfd02ae0b,0xfd02ae0b,0xff02ae0b,0x3e3fec0b,0xd1ff605f,
    0x402ae0bf,0xdfb06fff,0x46fe9988,0xfff304fc,0x45ffffff,0x74cc46fd,
    0x8815316f,0x227e46fe,0x7fcc0ffb,0x4fe8bfb2,0xff981ff7,0x07ffb102,
    0x3ff807fb,0x403ffc80,0xff903ffc,0x645ff881,0x2ffc40ff,0xff103ff2,
    0x981ffd8b,0x0ffec5ff,0x3f22ffcc,0x82ffc40f,0xff703ffc,0xf91bf605,
    0x7ff6440b,0x7fdc0cef,0x3e2dfb02,0x547fc84f,0x8effd46f,0xdf90ffe9,
    0xffaa7fcc,0x41ffd31d,0x217fa2ca,0x3fe602fe,0x00ffc801,0xf8807fe4,
    0xffd98bff,0x45fffc40,0x7c40ffd9,0xffd98bff,0x4e7ffc40,0x440fffc9,
    0xfc99cfff,0x7ffc40ff,0x00ffd98b,0x3a201ff9,0xffb31dff,0xb805fb8d,
    0x3fa202ff,0xdffb31df,0x54457ff4,0x40fe85ff,0xfffffffd,0x3f7bfea4,
    0x3fff64fe,0x7dc4ffff,0x263fe9af,0xdaa82ffb,0x7fdcc07f,0x17fee605,
    0xffffff50,0x3ffea07f,0xf503ffff,0x07ffffff,0x3fffffea,0xfff502ff,
    0x205fffff,0xfffffffa,0x05ffb983,0x7fffff44,0x7fdc2fff,0x1f62201b,
    0xfffffd10,0x7fcc5fff,0x81ffffff,0xfffc82fb,0xfffc83ff,0x7fe44fca,
    0xfff03fff,0x7ffc8fff,0x40bffff0,0x300ffff9,0x3001ffff,0x805bfffb,
    0x02dfffd9,0x16fffecc,0x3ffff620,0x7fec400d,0x6cc00dff,0xf982dfff,
    0xb8800fff,0x80cefffd,0x5303fff8,0xb71009f7,0x3019dfff,0x01bffffd,
    0x40060374,0x9800c000,0x0bdb82cc,0x9007b970,0xcdc8019b,0x00018000,
    0x00060003,0x08800044,0xb9003000,0x00600019,0xca816e44,0x0030002c,
    0x1d500098,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x444cc000,0x88000009,0x14400002,
    0x8000000a,0x99300220,0x00000001,0x02cc8000,0x80009866,0x2ee885ec,
    0x00332600,0x201884c4,0x00ccccc9,0x64062131,0x1dff104e,0x7fc77d40,
    0x3543e201,0x2602e740,0x9be816e6,0x803f985c,0x3fe605fd,0x7f401fbd,
    0x7f64406f,0x951003ef,0x00159dfd,0xc807ffe4,0xf102fcaf,0x437ec1ff,
    0x36003ff8,0x3be2004f,0x3fea05f9,0xdf101fff,0x17f60df3,0xd02fe7ec,
    0x9005f91f,0xd8805fdf,0xfefd8068,0x077f6601,0x3f6007f4,0x3f6b6e05,
    0x7dd7e405,0xffffd103,0xffc809ff,0x1ffedcef,0x5f9cfa80,0xd813ffa0,
    0x1bf65fcf,0x4400ffe2,0xffb8004f,0x5400000f,0xbfb00fff,0x032e5910,
    0x000d42a2,0x3b200151,0x00153002,0x100fee00,0x00000013,0x4cdffe40,
    0x9f900ffd,0x007fa603,0x01551000,0xd8654b22,0x03ff886f,0x35500000,
    0x3a217b20,0x4035502e,0x446a05fd,0xd10bd909,0x3fb6e05d,0x42f641de,
    0x23502ee8,0x10bd9098,0x07fc45dd,0x64262350,0x42ee885e,0x03effec8,
    0x2ef88bfb,0x46a64fc8,0x800fe899,0xfd9102ee,0x04c407df,0x3fe21bf6,
    0x77776c03,0x44eeeeee,0xeeeeeeee,0xf10dfb1e,0x3bbbae7f,0x363eeeee,
    0xefffb85f,0x10dfb5fc,0xfffb07ff,0x7ec3ffff,0x5c3ff886,0xb5fcefff,
    0x87ff10df,0xfffb82fe,0x0dfb5fce,0x7f447ff1,0xb84fffff,0xfa801cff,
    0xf9fffd14,0xf005f13f,0xfffd107f,0x3f609fff,0x7c437ec5,0x3ffea03f,
    0xffffffff,0x7fffffc5,0x0dfb2fff,0x3ff27ff1,0x4fffffff,0xbff917f6,
    0x3f6bfff7,0x6c3ff886,0xffb9beff,0x3e21bf66,0x2f7ff23f,0x0dfb5fff,
    0x4fc87ff1,0x7fdeffe4,0xf10dfb5f,0x4dffe47f,0xff80ffd9,0xd901cfff,
    0x7fdceff4,0x3fe013a7,0x99bffc83,0x5fd80ffd,0x7fc437ec,0x3e77fa03,
    0x2aaaaadf,0x7e555554,0x10dfb0ff,0x2aaa67ff,0x21aaaefe,0x12ffc5fd,
    0x21bf6bff,0x3fea3ff8,0xfb2ffa83,0x7c7ff10d,0x6d7fe25f,0x43ff886f,
    0x12ffc5fb,0x21bf6bff,0x17f63ff8,0xf9305df1,0x9d0bffff,0x4dfd1be6,
    0x83ff806d,0x177c45fd,0x1bf62fec,0x7cc0ffe2,0x003ff89f,0x6c3ffd10,
    0x03ff886f,0x2fec0bfd,0x5fe87ff1,0x7ff10dfb,0xd81037e4,0x13ff886f,
    0xb5fe87ff,0x87ff10df,0x0ffe26fa,0x21bf6bfd,0x3fee3ff8,0x6dc4001c,
    0x4fe24fff,0xd27ec2fc,0x707ff00d,0x360039ff,0x443fe45f,0x2dfb03ff,
    0xb0003ff8,0x86fd87ff,0xbfd03ff8,0xff32fec0,0xdfb5fd85,0x7f47ff10,
    0x21bf6004,0x5ff33ff8,0x0dfb5fd8,0x7fa87ff1,0xbfb0bfe6,0x3fe21bf6,
    0x67ffffc3,0x440a9881,0x747ea6fe,0xf897f41f,0xf03ff804,0x4039ffff,
    0x07fe45fd,0x3e60bfe6,0xdddff12f,0x7e403ddd,0x886fd84f,0x0bfd03ff,
    0x13fe2fec,0x21bf6bff,0x7ff13ff8,0xb4eeeec8,0x47ff10df,0xdaffc4ff,
    0x43ff886f,0x227fc6fa,0x10dfb5ff,0xffc987ff,0x7fc45fff,0x3e67fc84,
    0x3e60ff89,0xf003f90f,0x3ff2607f,0xbfb05fff,0xd31dffa8,0x4dfb01ff,
    0xfffffff8,0x0dff501f,0x3fe21bf6,0x6c0bfd03,0x4577e45f,0x0dfb5ffc,
    0x27fc7ff1,0x6dbffff6,0x23ff886f,0xffc8aefc,0xff10dfb5,0x7e45fb87,
    0xb5ffc8ae,0x07ff10df,0x13fff6e2,0xf5115ffd,0x5fb4f8bf,0x04fbbfec,
    0xb8807ff0,0xfd84fffd,0xfffffd85,0xcff883ff,0xaadff999,0xff980aaa,
    0x10ff900f,0x17fa05ff,0x7fcc5fd8,0xf95fefff,0x6c5ff10f,0x7f4cc46f,
    0xff10ff96,0x7ffffcc5,0x10ff95fe,0x43fc85ff,0xfefffff9,0xff10ff95,
    0xd102a625,0xffff98df,0xb6c1ffff,0xfffedffa,0x441104fe,0x054c43ff,
    0x3f61bfa2,0xbfffd705,0x3ffff207,0x1003ffff,0x7dc03fff,0x817fcc0f,
    0x17f605fe,0x3f277f66,0xf981ff75,0x40bfee2f,0x81ff76fd,0x7ecc2ff9,
    0xff75fc9d,0x742ff981,0x9dfd981f,0x81ff75fc,0x9ff12ff9,0xfd30ff90,
    0xf701bfff,0x3a6fb665,0x321312df,0x10bfe66f,0x0ff909ff,0x05c80bfb,
    0x7fffffc4,0xfd003fff,0xdffa805f,0x201ffd31,0x20fa05fe,0xaa7ec09a,
    0xffd31dff,0x8efff441,0xff56ffd9,0x83ffa63b,0xaa7ec09a,0xffd31dff,
    0x4d437c41,0xffaa7ec0,0x41ffd31d,0xfa88affe,0x0fbe605f,0x5003fe88,
    0x45ffdcbf,0xffe81ffc,0x85ffa88a,0x036404fe,0xff107ff2,0x43333339,
    0x9999dffc,0x3fff6099,0x3a04ffff,0x320fe05f,0x3ffa9aff,0x3ffffff6,
    0xfffe884f,0x362fffff,0x4fffffff,0x7d4d7fe4,0x3ffff63f,0x17d44fff,
    0x7d4d7fe4,0x3ffff63f,0x7fcc4fff,0x01ffffff,0xf300fdc2,0xda8835bf,
    0x7fffc45f,0xfff304ff,0x4c3fffff,0x7d403ffc,0x2ffc40cd,0x7fffffc4,
    0x3fffa7ff,0x44ffffff,0x03fffffc,0x9fb02ff4,0x7ffffc49,0xffffc86f,
    0x3f6e203f,0xfc80ceff,0xf883ffff,0xc86fffff,0xe83fffff,0xfffff106,
    0xffff90df,0x3ffa607f,0x2a600dff,0xfc8807eb,0xffffefff,0x9dff9304,
    0xffffe980,0x0fffe40d,0x2e05edc0,0xfff882ff,0x3a7fffff,0xffffffff,
    0xe800604f,0x0b72205f,0x0079b991,0x00060003,0x9b991003,0x74403007,
    0x33732202,0x4c001803,0x15993000,0xcdba8800,0x001000ac,0x66dc0130,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10988000,0x07970013,
    0x00732200,0x100c4262,0x80026213,0xeeec8099,0x8803cdee,0x450a2019,
    0xd103eeec,0x131000bd,0x33000000,0x2004c401,0x003ccccb,0x0fb20797,
    0x40099800,0xeeeeeec8,0x74427645,0x5400ef9f,0xd8002fff,0xef8806ff,
    0x4ff406f9,0xff3000fe,0xfffffb03,0x7c01dfff,0x64e7403f,0x413fff65,
    0x2001fffb,0xf1006ff9,0x3ea01a61,0x3ffd100f,0x2fffff40,0x417ffd40,
    0xf30004fd,0x7ffcc03f,0x6c6fffff,0x3fff305f,0xfe8ef880,0x2afee000,
    0xfffa804f,0x17ffcc00,0x3603fb00,0xfdaaaaff,0x007f703f,0x7ec3bfb3,
    0xfffd009d,0x7dff4009,0x7fdf9004,0x6c03fd00,0x00006fbf,0x07f477c4,
    0x6c0013f6,0x7ffec01f,0x6c2ffbdf,0x00aaa05f,0x00000000,0x54c006aa,
    0xb00d4002,0x417fe0df,0xfd80002a,0x3f7fe604,0x51a8800f,0x00544005,
    0x4aa201a8,0xfdc880a9,0xb00003df,0xa800aa9f,0xfffff801,0x5fd86f8c,
    0x9d913b20,0x640eee88,0x207bb24e,0xdd104ee9,0x7777640b,0xddd03cde,
    0x23dddddd,0x47ff06fd,0xcdeeeeec,0xfb13b203,0x7c77e409,0xbdd1003f,
    0x02f74400,0x76400bd7,0xfffff304,0x5ec83dff,0x37f67dd0,0x4403fffe,
    0x7fec05ee,0xd86f8cff,0x91bf605f,0x2fffa8ff,0xbff327fc,0x2e01ffb0,
    0xffb01fff,0x1dffffff,0xfffffff8,0x55ffb2ff,0x6c1ffd75,0xffffffff,
    0x6c6fd80e,0x27ff104f,0xff7006fe,0x3fee003f,0x00ff901f,0x7fc437ec,
    0x6ffeaaef,0x4ff837ec,0xffb7fffb,0x0fffdc07,0x19ffff50,0x40bfb0df,
    0x0ffd46fd,0x7cc9fff9,0x517fe42f,0x7ff407ff,0x55ffb04f,0xa87ffb55,
    0xfffcaaaa,0xffffffb0,0xaffd85df,0x83ffdaaa,0x827ec6fd,0x3ff70ffb,
    0x09fffd00,0x413fffa0,0x3f6007fc,0xa82ffc86,0x41bf64ff,0x41ffb4ff,
    0x3ffa07fd,0x3ff2204f,0xfd86f8cf,0xf11bf605,0x37f7f45f,0xdfd01ff7,
    0xff3037f4,0xdfb01ffb,0xd1017fe0,0x67fec3ff,0xdfb05ffe,0x3f617fe0,
    0xfe827ec6,0x3013fe25,0x801ffbff,0x80ffdff9,0x3f6007fc,0x3a05fe86,
    0x7c1bf66f,0xfb8dfb4f,0xfdff980f,0x8cfd800f,0x205fd86f,0x14ff86fd,
    0x321ff5ff,0x79ff306f,0x77e403ff,0x6fd83ff8,0xfd807ff0,0xf537ec3f,
    0x20dfb0bf,0x46fd83ff,0xfff984fd,0x00ffffff,0x0ffe3bf2,0x7ff1df90,
    0x6c00ff90,0x204ff86f,0x41bf67fc,0x98bfb4ff,0x8efc81ff,0xcfc803ff,
    0x05fd86f8,0x5bf61bf6,0x3a5ff6fa,0x3fff604f,0x4ffe204f,0xaffd86fe,
    0x00ffebaa,0x3f613ff2,0x361ffe46,0xfebaaaff,0x6c6fd80f,0xffffc84f,
    0x103fffff,0x81bfa7ff,0x0dfd3ff8,0x7ec00ff9,0x701ffc46,0x3bff61ff,
    0xb4ffeeee,0x40ffb8ff,0x0dfd3ff8,0x0df19f90,0x37ec0bfb,0xa7ec7fdc,
    0x02ff8cfd,0x803bffe2,0x3ff70ffb,0xffffffd8,0x3fea02ef,0xfd0dfb06,
    0x7fffec3f,0xfb02efff,0xff84fd8d,0x2e0dfd04,0x03ff70ff,0x7fdc3fee,
    0xb003fe41,0x04ff88df,0x7fec3ff2,0x4fffffff,0x3fa27ffb,0xf70ffb86,
    0x8cfc803f,0x205fd86f,0x9ff986fd,0xf3df72ff,0x2ffb801f,0xff12ff40,
    0xfecffd89,0x7ffcc05f,0xf30dfb00,0x767fecdf,0x37ec05ff,0x3ff513f6,
    0x3a07fee0,0x413fe25f,0x13fe25fe,0x7ec00ff9,0x3605ff86,0x2abff67f,
    0xfb4ffaaa,0x05fffdff,0x27fc4bfd,0x1be33f20,0x6fd817f6,0x21ffbff0,
    0x806fcff9,0x3e601ffa,0xffffffff,0xffa9bf60,0x03fff105,0xffc837ec,
    0x7fd4dfb3,0xfb1bf605,0x2206fd89,0x7ffcc4ff,0x40ffffff,0xfffffff9,
    0x01ff20ff,0xffd86fd8,0x365ff981,0x369ff06f,0x81dffbdf,0xfffffff9,
    0x33f200ff,0x05fd86f8,0x7fec1bf6,0x27fff46f,0x900ffd40,0xffffffff,
    0x3237ec7f,0x2ffe83ff,0xb01eec00,0x03ffc8df,0x04fd8dfb,0xff905f00,
    0x7fffffff,0xffffffc8,0x1ff23fff,0xf886fd80,0xffc99cff,0x7c1bf60f,
    0x0049fb4f,0xfffffff9,0x67e407ff,0x03dd86f8,0x7fdc1bf6,0x17ffe44f,
    0xf00ffd40,0xd9bfa09f,0x21ffe86f,0x9999dffc,0x5f930099,0x3fa1bf60,
    0x6c6fd81f,0x22001adf,0xd04ff82f,0xd04ff8df,0x4cffe4df,0x7ec09999,
    0xfffff506,0x6fd85fff,0x13f69ff0,0xfe827fc0,0x3e33f206,0xb02fb986,
    0x3ffe60df,0x007ffd42,0xfa80ffd4,0x23ff701f,0x6ff986fd,0x3ffffffa,
    0x5d444fff,0x0dfb00fd,0xdfb0dff3,0x004fffd8,0xffa9e7f4,0x2a3ff701,
    0x3ff701ff,0x3ffffff2,0x037ec2ff,0x1bffffb1,0x3fe0dfb0,0xf5009fb4,
    0x07fee03f,0x137c67e4,0x3601fb75,0x03ffe06f,0x2a00fff1,0x0dfb01ff,
    0x6fda7fc4,0x3fa7ff90,0xffffffff,0x005e6444,0x3ff20dfb,0x32a37ec3,
    0x64c002cc,0x440dfb1c,0x40dfb4ff,0xfff94ff8,0xd85fffff,0x8011006f,
    0x29ff06fd,0x6fd802cb,0x5413fe20,0x3223c8ac,0x000000bc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10988000,0x004cc403,0x5db01bd7,0x98004cc0,0x22131009,0x98090001,
    0x01988001,0x01cb9654,0x75c0cc33,0x3bae0005,0xeca7643e,0x4c2f5c03,
    0x03301ded,0x3b202620,0x0998bb64,0x3bbbbbb2,0x909884ee,0x2044109d,
    0x405f9df9,0x3ff204fd,0xf703fe84,0x3ff3001d,0x1be7be20,0xfc81aa00,
    0x27ec003f,0x17ed3ee0,0x81fa9ea8,0x7ff007fc,0x3627ffe4,0xc809fb5f,
    0x17ff447f,0x4400ff98,0x2fec0fff,0xb3fdc7fd,0xffffffff,0xfb1ff88b,
    0x7deffccb,0x00fffb81,0xfc807f44,0x81ff41ff,0x3fb000ef,0x00fffa80,
    0x9f503c80,0x3e6003fd,0x531a9805,0x81f7e401,0x4fb807fc,0x1aa89f90,
    0x7fc809fb,0x980bffa2,0x5fec00ff,0x550d4c5f,0xffb2fb83,0x85555555,
    0xb86a62fc,0x2a05fdad,0x0151001a,0xfd1bfff2,0x40015107,0x0355001a,
    0x80fd5440,0x2003512a,0x42f64029,0x90002ee8,0x407700ff,0xd84c44fc,
    0x6426624f,0x07ffd17f,0x4c6a2000,0x9882620a,0x0dfb1a80,0x02620d40,
    0xd80deb80,0xddddd92e,0x7fe49ddd,0x64ffa3ff,0xeeeeeeee,0x36037ae4,
    0xddddd92e,0xfffc8079,0x3bbb21ef,0x644eeeee,0x4ee981ee,0x7ff10dfb,
    0x3bbbbbb2,0x01ff24ee,0x27e413b2,0x9a7ed7f6,0x6dff25ff,0xddd903ff,
    0x649ddddd,0xd2fec04e,0xfb4ec87f,0xb276400d,0xc89d90bf,0xb3fe84ff,
    0xffffffff,0x7feefe4b,0x3ff67fd0,0x25ffffff,0x3fe84ffc,0xfffffffb,
    0xbbff703d,0x7ffecdff,0x4c5fffff,0x0ffd85ff,0x7ff10dfb,0x3ffffff6,
    0x01ff25ff,0x27e417f6,0x467ed7f6,0x3ff20efe,0xfb00fffd,0xbfffffff,
    0x3f602fec,0xdfb0ffa5,0x3bbbbff6,0xb37ec1ee,0xc8dfb0bf,0x9ff41fff,
    0xaaaaaffd,0x3e37f22a,0x3f67fd5f,0x2aaaaaaf,0xfd07fff2,0x2aabff67,
    0x5ff86ffc,0x3f619d7d,0x2aaaaaaf,0x3ea2ffc8,0x221bf63f,0x55ffb3ff,
    0x7e455555,0x905fd807,0xfb5fd89f,0xfc81dfdb,0xb04fffff,0x555555ff,
    0x3602fec5,0xfb0ffa5f,0x3fffff6d,0x37ec2fff,0x8dfb0bfb,0x7f46fffc,
    0x3200dfb3,0xfd3ff75f,0x6401bf67,0x9ff46fff,0x3ffa86fd,0x41e2bfe2,
    0xfe8006fd,0xdfb1bfa6,0x3f67ff10,0x00ff9006,0x13f20bfb,0x3fff6bfb,
    0xbfffc84f,0x6fd82ffc,0x2a6bfb00,0x7fd2fec1,0x5ffb6fd8,0xd8155555,
    0x3617f66f,0x7fffe46f,0x37ecffa3,0x3fa5fc80,0x0dfb3ffe,0x8fffff20,
    0x20dfb3fe,0x2bfe65fe,0x00dfb05a,0xff79ff30,0xf886fd83,0x200dfb3f,
    0x5fd807fc,0x5fd89f90,0x83fffffb,0xdff13ffc,0x3600dfb0,0x0efffddf,
    0x21ff4bfb,0x00dfb6fd,0x0bfb37ec,0xddfc8dfb,0x367fd0ff,0xeeeeeeff,
    0xff997f21,0xddffb3ff,0x7e43dddd,0x7fd0ffdd,0x37ec1bf6,0x55cf73fe,
    0xddddffb0,0x7fec03dd,0x86fd84ff,0xdffb3ff8,0x643ddddd,0x05fd807f,
    0xb5fd89f9,0xc8bfd3ff,0x227fdc7f,0xeeeeeffd,0x2fbff61e,0x4bfb3ffc,
    0xdb7ec3fe,0x9bf6006f,0x46fd85fd,0xd5ff8dfc,0x3ffff67f,0x3f22ffff,
    0xd9fffe45,0xffffffff,0x3fe37f22,0x1bf67fd5,0x3bf63fe4,0xfb0ffb8f,
    0x5fffffff,0x077ffc40,0x7fc437ec,0xffffffb3,0x4ffe45ff,0xfb099999,
    0xfb13f20b,0x7fcd3f6b,0x3fa1ff22,0x3ffff61f,0x3f62ffff,0x7ed3fa0f,
    0xdfb0ffa5,0x26667bf6,0xb37ec199,0xc8dfb0bf,0xfd3ff75f,0x2aabff67,
    0x17f20aaa,0x3f67fff1,0x0aaaaaaf,0x4ffdd7f2,0x20dfb3fe,0x7ffcc7fd,
    0x3ff63ffe,0x00aaaaaa,0xfc817fdc,0xfb2ff887,0x1555555f,0x7fffffe4,
    0x20bfb2ff,0xdafec4fc,0xfc9bf64f,0x366ffa87,0xaaaaaaff,0xbfb1bf60,
    0x43fe97f6,0xffffb6fd,0xfd8fffff,0x3f617f66,0xdfd2fe46,0x01bf67ff,
    0x7fd42fe4,0x3200dfb3,0x3ffbfa5f,0x3fa0dfb3,0x3efff985,0x500037ec,
    0x3fee03ff,0xfd97fcc0,0xffff9006,0x3f65ffff,0xfd89f905,0x7fc49fb5,
    0x3f60ff93,0x200dfb4f,0xdafec5fd,0xfb0ffa5f,0x3fffff6d,0x37ec7fff,
    0x8dfb0bfb,0x3ffe65fc,0x000dfb3f,0x37ec0f76,0x3e65fc80,0x0dfb3fff,
    0x2be09ff3,0x000dfb00,0xfa80ffd4,0x1ffd31df,0x36001bf6,0x20bfb03d,
    0x427f44fc,0x3dd803de,0x6c01bf60,0xf02fec5f,0x406fd87f,0x6cdfb05c,
    0xfc8dfb03,0xd9fffe45,0x999999ef,0x20bf2601,0x99999efd,0xf917f219,
    0x27bf67ff,0x80ffea99,0x4f7ec069,0x40199999,0x3f601ffa,0x24ffffff,
    0x99999efd,0x05f93019,0xfda98bfb,0x307ff934,0xfc9803f9,0x333dfb02,
    0x2fec3333,0x3f6a17f6,0x2037ec2f,0x7cdfb05d,0xfc8dfb04,0xd9fffc45,
    0xffffffff,0x0fdba887,0xffffffd8,0x117f27ff,0x3ff67fff,0x02ffffff,
    0xfffd8097,0x407fffff,0x7e401ffa,0x7ec3ffff,0x7fffffff,0x407edd44,
    0x7ffe45fd,0x4c3fff94,0x2a206eba,0xffb00fdb,0x4fffffff,0x42fec5fd,
    0x7ec0fffd,0x22efdc06,0x137f26fd,0x85fc8dfb,0xfffb3ffa,0x10ffffff,
    0x3f601799,0x7fffffff,0x3fea17f2,0xdfffffb3,0x2004c019,0xfffffffd,
    0x0ffd407f,0x7fec0300,0x47ffffff,0xfb00bcc8,0x72ccca8b,0xacc9839b,
    0x02f32200,0xffffffd8,0xb17f67ff,0x039d90bf,0xdb880dfb,0xb7137ec3,
    0x0006fd87,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x934c8001,0x22f6a007,0x130cc04a,
    0x264465c0,0x664c275c,0x06000ccc,0x1971ca80,0xd89cc880,0x64c00000,
    0x65c0cccc,0x2c983ccc,0x23b70395,0x037e401c,0x04c88cc8,0x200002c8,
    0x19800028,0x4400df90,0x200bf57f,0x403fffef,0x202fcafc,0xc87f89fe,
    0xffffb85f,0x0bbd000f,0x0ff4ff20,0x1bffbb20,0x1effedc0,0x1fffffa8,
    0x42fffff4,0xa87f95fa,0x400fffef,0x1ff006fc,0x7e440ff1,0x30f880cf,
    0x3036740d,0x265ff3ff,0x05f901ff,0x02a89540,0x400aa288,0x55405ffe,
    0x03530550,0x0d498000,0x05542a60,0x005442a0,0x3fffffa6,0x000001ef,
    0x41a98d44,0x30015119,0x22aa0055,0xfff302a8,0xdf901fff,0x035a207f,
    0x4c7f53fb,0x006a01ff,0x1effee44,0x6ffee440,0x00aa8803,0xddddddd9,
    0x8827649d,0x3e2005ee,0x3ba2006f,0x17ba2005,0x55dfff10,0xd901fffd,
    0xeeeeec89,0x4ec84eee,0x76c06f5c,0x3bbbbba2,0x3bb21eee,0x324ee981,
    0x03ffcdcf,0x3eb80151,0x4c1dcb20,0x00bdd101,0xfffffff3,0x3ffe603d,
    0x641effff,0xeeeeeeee,0x3fffff64,0x1bf65fff,0x800fffdc,0x7001fffb,
    0x2e003fff,0x3f201fff,0x84ffa82f,0x7ffec6fd,0xd85fffff,0x427fe46f,
    0x3fffe3fe,0x262fffff,0x0ffd85ff,0x266f67fe,0x13102620,0x21310262,
    0xb04c4098,0x07ffee0b,0xaaefff88,0xff886ffe,0x6ffeaaef,0x7fffffec,
    0x2bff65ff,0x362aaaaa,0x9fffd06f,0x13fffa00,0x027fff40,0x204fffe8,
    0x1bfa05fe,0x5ffb1bf6,0xb0555555,0x1fffc8df,0x55551ff4,0xc81fff95,
    0x0ffea2ff,0x3607bbfb,0xfda7ec5f,0x5fda7ec5,0x20db27ec,0x3204fffe,
    0x4ffa82ff,0x7d417fe4,0x2abff64f,0x3f62aaaa,0x30dfb006,0x801ffbff,
    0x00ffdff9,0x07feffcc,0x3ff7fe60,0x6409ff00,0x6c6fd87f,0x37ec006f,
    0xfd1bfff2,0x0fff4407,0x1bfa6fe8,0x2037ffea,0xda7ec5fd,0xfda7ec5f,
    0x0fd27ec5,0x01ffbff3,0x6fe817fa,0xdfd02ff4,0xfd8037ec,0x90dfb006,
    0x807ff1df,0x03ff8efc,0x1ffc77e4,0x3fe3bf20,0x203ff883,0x37ec0ffb,
    0xfb001bf6,0x3ffffc8d,0xffd80ffa,0x2f3fe603,0xfff501ff,0x22fec19f,
    0xd8bfb4fd,0xfd8bfb4f,0x3bf21fe4,0x9ff03ff8,0x3fe3fe40,0xfd9ff204,
    0xddffb006,0x7ec3dddd,0xfe9ffc46,0x74ffe206,0x4ffe206f,0x3fe206fe,
    0xff10dfd3,0x6c3fe407,0x777fec6f,0xfd81eeee,0x7feefe46,0x3f207fd0,
    0xfffd804f,0xfffe804f,0x9fb17f64,0x29fb17f6,0x8a7ec5fd,0x4ffe20ff,
    0x3ff886fe,0x7c43fee0,0x43fee03f,0xeeeeeffd,0x3ffff61e,0x3f62ffff,
    0xfb87fdc6,0x21ff701f,0xff701ffb,0x5c07fee1,0x03ff70ff,0x3f608bff,
    0x7ec6fd86,0x2fffffff,0x6fe46fd8,0x07fd5ff8,0x2200dff5,0xd800efff,
    0x17f67fbb,0xd17f69fd,0xfd17f69f,0xfb87fe29,0x883ff70f,0x3ff204ff,
    0x6409ff10,0xffffb0ff,0x7ec5ffff,0x0aaaaaaf,0x4bfd1bf6,0xbfd04ff8,
    0xfe827fc4,0x7413fe25,0x213fe25f,0x59f50ffd,0x8dfb0bff,0xaaaaaffd,
    0x646fd80a,0xfd3ff75f,0x00fff987,0x440bfee0,0x7f8bd8dd,0x29fd17f6,
    0xda7f45fd,0xf9a7f45f,0xf897fa2f,0x205ff84f,0x02ffc7fd,0x57fecffb,
    0x360aaaaa,0x4dfb006f,0xfffffff9,0x7ffcc0ff,0x40ffffff,0xfffffff9,
    0x7ffcc0ff,0x40ffffff,0xfc9cfff8,0x6fd80fff,0x360037ec,0xfd2fe46f,
    0x7fc47ffd,0x7fd4001f,0x2f73fa01,0x99bf25fb,0x4cdf94ff,0x4cdf94ff,
    0x25ff34ff,0xfffffff9,0x0ffec0ff,0x3f62ffcc,0x25ff981f,0xdfb006fd,
    0xfc9bf600,0xffffffff,0x7ffffe43,0x7e43ffff,0xffffffff,0x7ffffe43,
    0xfb83ffff,0xefffffff,0x7ec6fd80,0x237ec006,0x3ffe65fc,0x00bffa3f,
    0xb807fea0,0x21ffffff,0xfefdeffa,0xdfbdff54,0x37bfea9f,0x5ff34fef,
    0x3ffffff2,0x7fc43fff,0xfffc99cf,0x4e7ffc40,0x360fffc9,0x3dfb006f,
    0x6c333333,0x7413fe6f,0xe827fc6f,0xe827fc6f,0xe827fc6f,0xfffb106f,
    0xd85fffbf,0x4cf7ec6f,0xfd819999,0x3f22fe46,0x3bff93ff,0x40133333,
    0x75401ffa,0xffc80dff,0x3f24fcaf,0x324fcaff,0x14fcafff,0x413fe399,
    0xfffa86fe,0x502fffff,0xffffffff,0x999efd85,0x3ff61999,0x27ffffff,
    0x03ff56fd,0x7fd47fee,0x2a3ff701,0x3ff701ff,0x7dc07fea,0xb104401f,
    0x6c6fd81f,0xffffffff,0x7e46fd87,0xe9fffc45,0xffffffff,0x07fea04f,
    0x004026c0,0x40010008,0xff701ffa,0xffffb103,0xffd8801b,0xffd80dff,
    0x27ffffff,0xfffffffd,0x7edbf67f,0x6d3fe206,0x53fe206f,0x3fe206fd,
    0x7c40dfb4,0xb010004f,0xffffd8df,0xfd87ffff,0x7d42fe46,0xfffffd3f,
    0x5409ffff,0x059001ff,0x00000000,0x3e206fd8,0x0004404f,0x7fec0088,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0fbffb22,
    0x91fd0374,0x2e7f605f,0x1cfc883f,0xdb7007e8,0x3e203bdf,0xfd700d30,
    0xdfc805bf,0x1be00ff9,0xf980ffee,0x3e606f8d,0x3ff8800f,0xeec9af5c,
    0x0ffee00b,0x300ba4c8,0x6e4403ff,0xeb803dff,0xddddb4ef,0x25b81ddd,
    0xfffd103d,0x1f909fff,0x813ffe20,0xf905ffe8,0x03f98dd7,0xffffffd8,
    0x7fdf901f,0x7ffff4c0,0x1df104ff,0x27cc03fb,0x807fb7e6,0x2601fffb,
    0x3fb800ff,0xfffaffc8,0xdbf306ff,0x3fbe603f,0x202fd806,0xfffffff9,
    0xffffb01e,0xffffffdf,0xfef881ff,0x26fff207,0x7d40ffd9,0x20132a02,
    0x2df00cc9,0x201fa0fc,0xfb9beffd,0x002a206f,0xfd73bffd,0x3219303f,
    0x2e17dc02,0x6403c88c,0x0019802c,0x3fff2077,0x83fffbad,0x203c88cb,
    0x059001a8,0x5577ffc4,0xffa86ffe,0xcfffeabe,0x2a02aaaa,0x222fec02,
    0x027c42ef,0xa9801551,0xf95f880a,0xf500fea5,0x05ff507f,0x7dc02aa6,
    0x027fc41f,0xfd801553,0x400aa880,0x54c00aa8,0x0554400a,0x3e227fe4,
    0x0155105f,0x4400aa98,0x5ff900aa,0xfe89ff50,0x002ffc86,0x5c026aa2,
    0xdf001cff,0xbffffd50,0x7ffffb10,0x743f6dd0,0x206fc807,0xfffff500,
    0x220bfd05,0xfffff500,0x3aa37c05,0xf905ffff,0xd881dfff,0xea83ffff,
    0x7e45ffff,0xc86fe80f,0x440effff,0x903ffffd,0xe81dffff,0x89bfa05f,
    0x2ff983ff,0xffffe880,0xfffff00e,0x207ec039,0x3ffbacfe,0x7fe67fe4,
    0xaaff7e42,0x04fe803f,0x7e7ffd40,0x027fc2ff,0x3f3ffea0,0x44f882ff,
    0x3ffbacfe,0x7f5effdc,0x7e67fe45,0x5d67f42f,0x41ff23ff,0x6ffdc7fd,
    0x7fe45feb,0x7dc2ffcc,0x7c5febdf,0x99ff204f,0xeff882ff,0x7ec3eeee,
    0x304ffcbe,0x0bfffff9,0xbff88bee,0x3ff88330,0x8b261bf2,0x7fc4047e,
    0x27777643,0x26fe8dfd,0x74003ff8,0x5437f46f,0x42ffe22f,0x265ff819,
    0x47ff10ce,0x2ffe26fc,0x07fc8330,0x25ff8ff9,0x7ff10ce9,0x97fe37e4,
    0x7ff10ce9,0xfa87fdc0,0xffff882f,0x05cc4fff,0xdb880bf9,0x4f984fff,
    0x05f7ffe4,0x32aaffe6,0x73fa807f,0x4ff81bff,0x8b7fffec,0x07fdc3ff,
    0x7c4009ff,0x207fdc3f,0x7ffe40fc,0x1ffc40be,0x2aaffe60,0x7ffe47fc,
    0x83fe40be,0x0ffe27fc,0x9557ff30,0x01ffc4ff,0xfc813fe2,0x305ff30f,
    0x355559ff,0x1bffb260,0xfe881531,0xfd88df06,0x3ea2ffff,0x0fffffff,
    0xadf8bf40,0x2237ec4f,0xff36fe99,0x3a1ffa85,0x4c15705f,0x0ffd42ff,
    0x3ff621fa,0x3fe62fff,0x7fffd402,0x3620ffff,0x322fffff,0x4cff907f,
    0x7fd402ff,0x30ffffff,0xbff005ff,0xff13fec0,0x005ff507,0xdfdbfff5,
    0xfc84ff88,0x5101fb07,0x7fc4dff9,0x53fa8001,0xff71be7f,0xff9bf605,
    0xf907fe44,0x45ff881f,0x07fe44ff,0x65440bf1,0x13fe26ff,0x07fe2157,
    0x6ffca880,0x3fec1ff2,0x0ab89ff1,0xf8803ff1,0xfb055c4f,0x8bff303f,
    0x2ffc86ff,0xc867fc40,0x8affe86f,0xf705ffa8,0xfb87fa63,0x9d927f46,
    0x4bee7e80,0x6fff447f,0x6cdffb31,0x8bfd31ef,0xd98bfff8,0x8f7ec0ff,
    0x1fd45fe9,0x6fb87fa6,0xffa877f4,0x4ec93fa0,0x6fb87fa6,0xf9889ff2,
    0xa877f45f,0xc93fa0ff,0xa877f44e,0x3ffe20ff,0x0fffc99c,0x5c56ffdc,
    0x9999bfff,0x743ff309,0xffff986f,0xf301ffff,0x7eeffec7,0x6f7fdc2f,
    0x8fea02ff,0x884f8cf8,0xfffffffe,0x3bffe22f,0xffa80fff,0x883fffff,
    0x0fffefff,0x7fec0fe4,0x7cc2ffdd,0x5c4ffeff,0x42ffdeff,0x2ffddffd,
    0xfffc9ff2,0x77ffcc1f,0x77fdc4ff,0x7fcc2ffd,0xfa84ffef,0x2fffffff,
    0xdfffffd0,0xffffffff,0x7f677f45,0xfffd306f,0x25f801bf,0x03dffec8,
    0x807dfff7,0x2fffd87e,0xdfffb710,0xfffb1019,0x7fecc01b,0x3f6202df,
    0x07e80dff,0x07bffd91,0x02fbffa6,0x20fbffee,0x43dffec8,0x3bff67fc,
    0x7dffd303,0x7dfff701,0x2fbffa60,0xffffb100,0x7fe4401b,0xffffe8ef,
    0x3f6a2fff,0x400ffadf,0x40620009,0x20022000,0x005301a8,0x000c0018,
    0x200c000c,0x20008009,0x00110008,0x80040002,0x00110008,0x01100022,
    0x10000100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0beec980,
    0x801ff980,0x1ff01ff9,0x3fea0ff1,0xdfb73000,0xff500059,0xfb4fb801,
    0x01dff105,0xbfb04fe8,0x9dfd7300,0xffeb8801,0x707ba23d,0x220bf69f,
    0x100fe8ef,0x36001ffd,0x02fec05f,0xf7013fa0,0x7f64407f,0x3bbfe01c,
    0x1ff9806f,0x3e02fd80,0x2a07f88f,0xbdfa804f,0x4004fdb9,0x4fb801fe,
    0xf9fb05fb,0x202fcc09,0x3fea01fe,0x302fffff,0xdffffffd,0xfb83ff13,
    0x3ea05fb4,0x33f602ff,0x05f9805f,0x2a003fb0,0x76fcc04f,0xfffe881f,
    0x26fb81ff,0x019802fe,0x00002c88,0x17d404a8,0x91004f98,0xc9800003,
    0x12a01972,0x7c40b220,0xfffd9bef,0xaaeffe80,0x1fc8effe,0x03cb8000,
    0x00654b22,0x2c80032a,0x97007700,0xdf907911,0xf50bfb11,0x805ff13f,
    0x54400aa8,0x2aa2009a,0x02aa6009,0x77fd57cc,0x2207f32e,0x406aa2aa,
    0x884c4098,0x9884c409,0x09884c40,0x3ff904c4,0x7e44ff98,0xbbffa82f,
    0x0155300f,0x00988131,0x53001553,0x15530015,0x711aa880,0x2026aa20,
    0x20b264fe,0x05feeff8,0x077fffe4,0x3bffffa2,0x7ffff440,0x7ffec40e,
    0x3f56b83f,0x21723f93,0xfefffffd,0x2fec2fff,0x22fed3f6,0xd8bfb4fd,
    0xfd8bfb4f,0x8ffd0084,0xfff106fe,0xffff507f,0x6c5fd85f,0x7fffd44f,
    0xffff502f,0x3ffea05f,0xfff502ff,0xfe88bfff,0x7ec0efff,0x3ffee004,
    0x5effdc04,0x5f7ec5fe,0x77ec4ffc,0x7e44ffcb,0x6c2ffccf,0x98fd4f53,
    0x7ddf7dc7,0x1ffcbeff,0x29fb17f6,0xda7ec5fd,0xfda7ec5f,0x55527ec5,
    0xffb55555,0xfb027fc1,0x9fff505f,0x2fec5fff,0xfffa93f6,0x7d42fffc,
    0x42fffcff,0xfffcfffa,0x6df7fd42,0x5f7ec2ff,0x3f6a4ffc,0x3ee01aae,
    0x7fc04fff,0xb9833a65,0x17317f20,0x7ff12fe4,0x54be37e4,0x0fc4feef,
    0x0ffe4353,0x22fec9f9,0xd8bfb4fd,0xfd8bfb4f,0x4fd8bfb4,0xfffffff3,
    0x3e23ffff,0x03fee03f,0x4dfd1bfa,0xd27ec5fd,0x746fe8df,0x3a37f46f,
    0x3a37f46f,0x31fff25f,0xfd2fe417,0x2e09ffff,0xdaffdbff,0x00ffe23f,
    0x06ffec98,0x4cdffd93,0x7fcaabff,0xedafa9f4,0x2ea03e60,0xcaaafffd,
    0xfb17f65f,0x9fb17f69,0x29fb17f6,0x8a7ec5fd,0xccccceff,0xbff10ffe,
    0x2207fe40,0x87fdc3ff,0x8a7ec5fd,0x87fdc3ff,0x7fdc3ff8,0xfb87ff10,
    0x2e7ff10f,0xc981ffbf,0x3f2e6ffe,0x9fd02cdf,0x317ffff4,0xff5005ff,
    0xfa8dfdbf,0x2a6fedff,0xffffffff,0xe8bd5720,0xfff51ae5,0xffffffdd,
    0x3a2fecff,0xfe8bfb4f,0x4fe8bfb4,0x24fe8bfb,0x8ffb06fe,0x1bf607ff,
    0xff50bfe6,0x9fd17f63,0xff50bfe6,0xf50bfe63,0x50bfe63f,0x27fe23ff,
    0x21ff89fa,0x6fedfffa,0xf100ffc4,0x37ffc45f,0x15713fe2,0x7e433fe2,
    0x6433fe26,0x007fe26f,0xfa9ea7ea,0x6ffc3e8a,0xd801ff90,0xfda7f45f,
    0x5fda7f45,0x45fda7f4,0x07ff64fe,0xffd8bff1,0xf04ff982,0xb0ffc89f,
    0x3e4fe8bf,0xf07fe44f,0x20ffc89f,0x07fe44ff,0x3ee5f9ff,0x219ff10f,
    0x037dc6fc,0xfe886ff4,0x877f42ff,0x3ff30ffa,0x3ff337f4,0x93fa37f4,
    0x19fc84ec,0xf10774cc,0xb1fff45f,0xf337e47d,0xf99bf29f,0x7ccdf94f,
    0x7ccdf94f,0x2bbfe24f,0x441ffea8,0xfc99cfff,0x3dfb00ff,0x6fc97fa6,
    0xefd93fe6,0xfd8bfd31,0xd8bfd31e,0x8bfd31ef,0xdfd14ffd,0xdfd0ffcc,
    0x44d67fd4,0x77ffd428,0x22ffffff,0x4ffefff9,0x7ff677f4,0x7f677f46,
    0x6f7fdc6f,0x37f902ff,0x3a03bae6,0xffffecff,0x3ea1ffee,0x54fefdef,
    0x9fdfbdff,0x3bf7bfea,0xfbdff54f,0xfffa89fd,0xf502ffff,0x5fffffff,
    0x7f7ffc40,0x3bfea0ff,0x3e24fefd,0x40fffeff,0xfffefff8,0x7f7ffc40,
    0x7ffcc0ff,0x7f41fffe,0x366ffece,0xffffffff,0x77fffd40,0xfe985e99,
    0x7ed40bef,0x2a0ffadf,0x0ffadffd,0x01f7ffdc,0x2fbfff6e,0x7fffb300,
    0x05bfff71,0x9f95fff9,0x7e57ffe4,0x32bfff24,0x2bfff24f,0xfec984fc,
    0x7ec402df,0x8800dfff,0xc80dfffd,0x44fcafff,0x00dfffd8,0x01bfffb1,
    0x037fff62,0x37fff3ba,0xadffda80,0xb7bf30ff,0x2205fffd,0x00440101,
    0x80010004,0x00980008,0x80040220,0x02001000,0x00400040,0x20000880,
    0x18001001,0x06000c00,0x08004150,0x00188080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00200003,0x00000000,0x00000000,0x00000000,0x75c00000,0x55500c8d,
    0x40000555,0xaee885ec,0x4eb805eb,0x02aaaaa8,0x36e00000,0x36a02c8a,
    0xffeb802d,0x300fc8be,0x8059dfb7,0x640df37f,0xffa802ff,0xfd1df101,
    0x3eebf201,0x003ff304,0x983fa1fb,0xd901ceec,0x7ff441df,0x80fff200,
    0x805ffffe,0x3f603ffb,0xfcbff886,0xfffff306,0x5ffffe8b,0x27f45fd8,
    0x81fd1df1,0x01fffef9,0xe9812ab2,0xffffffff,0x757bf504,0x9bfc09fb,
    0xfdbf306f,0x401fe801,0x7402fffa,0x2fd406ff,0x27f8bfc0,0x0ffffff8,
    0x36377fdc,0x9d905fcf,0x4ccc40bf,0x76fcc009,0x10dfb01f,0x20bb57ff,
    0x44fffee9,0xb0099998,0x2a13ea3f,0x11982fff,0x0dd88035,0x55dfff10,
    0xf501fffb,0x0013e605,0x0b2232e0,0x97001c88,0x01993007,0x5f880950,
    0x47fdcbf3,0x37ec3ff8,0x80ca9644,0x203fd889,0x5c009aa8,0xfb03c88c,
    0x327ff10d,0x17f21504,0x3200554c,0x1e5c0772,0x1002aa60,0xff901355,
    0x43fff985,0x7dfb32f9,0x554c0fe6,0x00554c00,0x26002aa6,0x554400aa,
    0x26aa2009,0x677ee5c0,0x2bf93efd,0x2fec2ff8,0x36601310,0x440fffff,
    0x20effffe,0x220cc098,0xf10dfb09,0xfc81db9f,0x445fdcff,0x103ffffd,
    0x44026213,0xffff5009,0xfffd105f,0x45fe81df,0x5c6feef9,0x3f73bf16,
    0xfffb1172,0xfffb107f,0xfffb107f,0x3ffea07f,0xffe882ff,0x7f440eff,
    0x3fa0efff,0x5fffffff,0x21feebfb,0x17f605fd,0x3ff7ffe6,0x65f7ec4f,
    0xa97f24ff,0x6d3f62ff,0x2eff886f,0xffbdffc8,0x667fe45f,0xb5fd82ff,
    0x217f60bf,0xfffcfffa,0x7e5f7ec2,0xf127fc4f,0x3d8ff91f,0x7984c1f5,
    0x7fe67fe4,0x7e67fe42,0x667fe42f,0x7ffd42ff,0x7ec2fffc,0x6c4ffcbe,
    0x24ffcbef,0xffabfeaa,0x3fa9fb1b,0x3605fd84,0x10efe85f,0x20b98dfd,
    0xc9fea5fc,0x6cbfe4ff,0x03ff886f,0x2ffc4bff,0x37e47ff1,0x05fdafec,
    0x8dfd0bfb,0x905cc6fe,0x89ffccbf,0x41ff71fe,0x7c40f91f,0x7e47ff11,
    0xfc8ffe26,0xfc8ffe26,0x3fa37f46,0xbf905cc6,0x17f20b98,0x3637c5fe,
    0xd81dff4f,0x117f605f,0x0ffc89ff,0x26ffec98,0xdffd1ff8,0x86fd9fe6,
    0xff883ff8,0xff32ff43,0xb0ff9557,0x6c17f6bf,0x21ffc45f,0xec980ffb,
    0x53fe26ff,0x83ff22fe,0x30c1f53e,0x2affe61f,0x3fe67fca,0x267fcaab,
    0x7fcaabff,0xff70ffe2,0xdffd9301,0x9bffb260,0xdfa9efa8,0x3ea9fb09,
    0xb02fec6f,0x42ff98bf,0x3fea1ffa,0x7ec6fedf,0xc8feef8b,0x221ff25f,
    0x1ff982ff,0xfff52fec,0xd81fffff,0x360bfb5f,0x217fcc5f,0x3fea1ffa,
    0x7fc6fedf,0x37ec3fdd,0x5f53f972,0xffffa9ae,0xff50ffff,0x21ffffff,
    0xfffffffa,0xa85ff30f,0x3ffea1ff,0x7fd46fed,0x3fa6fedf,0x5fffffff,
    0x27fdc9fb,0x2fec0bfb,0xff913fe2,0xfc867fc4,0x67d77d46,0x2e2feafc,
    0x17fcc0ff,0x3fe1ffc4,0x4007fe25,0x20bfb5fd,0x44ff85fd,0x9ff10ffc,
    0xff91bf21,0x45ff987f,0x9ffd51fa,0x1ff88fa2,0x200ffc40,0xff801ff8,
    0xf887fe44,0x44df90cf,0x4df90cff,0xeffeeffc,0xfc89fb4e,0x6c0bfb0f,
    0x31efe85f,0x0ffccbff,0xdff88dfd,0x0ffdfaaf,0x74c77fea,0x3dfd00ff,
    0x9fd17fea,0xafec2764,0x0bfb05fd,0x3fa63dfb,0xfe87fe65,0x457ffc46,
    0xc80fffc8,0x7744261f,0x9d927f40,0x13b24fe8,0x227649fd,0xbfd31efd,
    0xdfd0ffcc,0xdfd0ffcc,0x81fd0fd8,0xff3114fd,0xfd817f61,0xfefff985,
    0x677f40ff,0xffe86ffe,0x85fff88f,0xfffffffd,0x3bffea04,0x7fdc5fff,
    0xfd82ffde,0x3f60bfb5,0xfefff885,0x677f40ff,0x7fdc6ffe,0x2fffffff,
    0x5cc73f20,0xeffb80ee,0x7fdc2ffd,0x7dc2ffde,0x442ffdef,0x0fffefff,
    0x7ff677f4,0x7f677f46,0x6f8bfc6f,0xfff9cfd8,0xd817f65f,0xfffd105f,
    0xbffb501b,0xffb81ff5,0x5c0fffa6,0x803fffff,0x5fbbffd9,0x03efffb8,
    0x417f6bfb,0xffb105fd,0xffb501bf,0x3e61ff5b,0xdffffd9e,0xfffdb800,
    0x3fee00be,0xfff703ef,0x3ffee07d,0xfffb103e,0xbffb501b,0x7ed41ff5,
    0xf10ffadf,0x3f617e6b,0x6c3bff94,0x017f605f,0x88004006,0x03ff24ff,
    0x02000260,0xfd801100,0x3f60bfb5,0x01001805,0x00088150,0x11000260,
    0x44002200,0x04006000,0x21300100,0x00200098,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9880aa98,0x70004c40,
    0x000bd39d,0x55555100,0x802aa201,0x301d89dc,0x204ec800,0x3ae183ed,
    0x000aa883,0x154c2620,0x0599bd98,0x2a613100,0x55555101,0x22620001,
    0x355101a8,0x40600001,0xffb104fe,0x45fd87ff,0x3f2004fd,0x37e46fad,
    0x07f477c4,0x07ffffea,0x03bffff2,0x81fffdf5,0x987c46d8,0xfe81bf67,
    0x4fc9b624,0x17ffffaa,0xcfd89fd0,0x740efffd,0xf885ffee,0x3f60fe8e,
    0xa86fffdc,0xe81fffff,0x7f41fd8f,0x7f447ffc,0x2600efff,0x06d881ff,
    0x3ff209fd,0x3f62ffcc,0x90027ec5,0x7c4b91bf,0x5fff500e,0x03333310,
    0xbfd7bff7,0x90151198,0x7fdf70df,0x9fd037ec,0x47b337e4,0x3ffbacfe,
    0xffb0bf50,0xa87ffb7d,0x7fd40530,0x5f7fec2f,0x4cc43ffd,0xfff30199,
    0x9dfffd07,0xffcbefd8,0x640bf604,0x1013106f,0xb37e47ff,0x404fd8bf,
    0x8f6bf90a,0x1e5c00c9,0x826204c4,0x433a65ff,0x884c4098,0x54409efd,
    0xfd037ec0,0x227bf629,0x17ff11e8,0xb04a8066,0x427f41ff,0x2e009aa8,
    0x20ffd83c,0x155304fe,0xfe826540,0x6417300f,0x440b205f,0x99889efd,
    0x3e619999,0x27fcaabf,0x427ec5fd,0xfdcfffc8,0x222624ad,0x2666621a,
    0xb17f6199,0x00ffe29f,0xb4fd8bfb,0x9887ffff,0xfd037ec0,0x2fffff69,
    0x77ffe43b,0xa984c40b,0x3f637ec2,0x3ffffa25,0x54c2620e,0x3fa37ec2,
    0x7ffffd45,0x1a889882,0x64c02ff4,0x4cc46ffe,0x3f619999,0xfffabfff,
    0xff51ffff,0x21ffffff,0x427f45fd,0xfffbdffc,0x7ffcfe85,0x3fffffea,
    0xfd8bfb1f,0xd805ff34,0xeba7ec5f,0x2fec2cff,0x4fe81bf6,0x2059ffd7,
    0x2fffffd8,0x3fff73f6,0xfd8bfb0e,0x3f2fbf65,0x3f73f64f,0x8bfb0eff,
    0x3ffea5fd,0x7f42fffc,0x2ff47ffc,0xfdbfff50,0xfffffa8d,0x9ffd71ff,
    0xffdddd35,0x007fe23f,0x84fe8bfb,0x17fe25ff,0x993bfffa,0x1fffeeee,
    0x14fd8bfb,0xb0ab89ff,0x324fd8bf,0xd8bfb06f,0xc93fa06f,0xf951006f,
    0x5f7fecdf,0x8bfb3ffd,0xc82e65fd,0x2fbff65f,0x8bfb3ffd,0xd1bfa5fd,
    0xefffe8df,0xf8827f44,0x98df90cf,0x1fffeeee,0xffc81bf2,0x9d927f42,
    0x9ff337e4,0x7f42ff88,0x800ffe85,0x17f62ffc,0x877f49fb,0x8bfb0ffa,
    0x3dfb14fd,0x7ec5fd81,0xfc93fa06,0xb87fa606,0xe83ff66f,0xfd8bfb4f,
    0x6ffec985,0x4fe83ff6,0x15fd8bfb,0x0ffb87ff,0x7f403ffa,0x743ff304,
    0x17fe406f,0x7fe41bf2,0xfdeffb83,0x37bfea2f,0x7fcc4fef,0x7f42fec1,
    0x43ffc805,0x327f45fd,0x49ffdfff,0xea7f45fd,0x7ec2ffff,0xf8337ec5,
    0xb01bf24f,0x45ffbbff,0xdafec6fd,0xf52fec5f,0x6cdfdbff,0xfdafec6f,
    0xff9afec5,0xfd0ffd42,0xd027f40b,0x0dffd9df,0x7e41ffe4,0x204ffb86,
    0xc83efffb,0x44fcaeff,0x2ffc3ff8,0x3ee02ff4,0x745fd84f,0x77ff4c4f,
    0xfd17f60b,0x027bf229,0xbefd8bfb,0x47ff10ff,0x764406fc,0x2fec3dff,
    0x22fed7f6,0x19ff15fd,0x45fd9bf2,0xd8bfb5fd,0xf913fe5f,0xd02ff41f,
    0x7fed409f,0xfb80ffad,0xa8df904f,0x09b005ff,0xfe826c10,0xd0bff51e,
    0x2ffd409f,0x3fe66fc8,0xc83ee884,0xb93fe66f,0xd8bfb06f,0xb8cff9ef,
    0x01bf22ff,0x7ec1f744,0x6ec2fec5,0x3a1ff983,0xfb17f66f,0x364fe80b,
    0x8bfd31ef,0x33a604fe,0x03f10401,0x7e40bff5,0x267bfe66,0x009d0099,
    0xfff505e8,0xfd0bfffd,0x27bfe609,0xdff50999,0x2109fdfb,0x77fd42fa,
    0x3ee4fefd,0x22fec4ef,0xffffd6fd,0x4effb8bf,0x6c2fa840,0x4c2fec5f,
    0xcefe82fc,0x17f66ffe,0x3f260bfb,0x3bffe24f,0x27f40fff,0x400fd510,
    0x77fcc1f9,0x3ee09999,0xffffdcef,0xbf904fff,0x177ee009,0x3eefff66,
    0xfb04fe85,0x49ffffff,0x4fcafffc,0x407edd44,0x4fcafffc,0xfb13ffa2,
    0xd716fd8b,0xfe881bff,0x36ea204f,0x362fec0f,0x3f6ea25f,0xadffda80,
    0xd8bfb0ff,0x3fff905f,0x0dfffd88,0x75304fe8,0xcef800bf,0xffffffb3,
    0x67ff449f,0xfffffffd,0x007b7104,0x0080f6e2,0x3f609fd0,0x84ffffff,
    0x0acc8800,0x80880040,0x002005fd,0x59910022,0xfd8bfb01,0x002f3225,
    0x6c5fd801,0x039b705f,0x827f4018,0x4000abca,0xfffb1cc9,0x1109ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ae00988,0x540d702d,0x540bb02f,0x000bb02f,
    0x101eee44,0x654039d9,0xb503cccc,0x03ec817b,0x09981330,0x2016ed44,
    0x3a002dda,0x94eb802e,0x25dd10bd,0x20053098,0x3109889a,0x00013301,
    0x0004c46a,0x2a09fb00,0x7c40fdbf,0x82ffd882,0xffd880f9,0xfa80f982,
    0xffe87f95,0xfff985ff,0xfffd05ff,0xfff90dff,0x027f41ff,0x17fc2ff8,
    0x0dfffff1,0x09fffff3,0x3200ffe0,0xf10dfb5f,0x3fb3f67f,0xfff703ff,
    0x1ff2df7d,0xfea85ff1,0x77ffdc2e,0x07f985fc,0x26027ec0,0xb305c86e,
    0x209d05f7,0x4e82fbd9,0x8ff2bf50,0x1ffbaffb,0x7fdcf7ec,0xcccdff81,
    0x74e7fd43,0x4013fa4f,0x717fc2ff,0x85ff33df,0x1ffc9dfd,0xc803ff80,
    0xf10dfb5f,0x33fff67f,0x7fdc3ffe,0xf36fffbe,0x223fdc5f,0x3f21ffff,
    0x85fffbdf,0x4c4007f9,0x10776400,0x42fa803f,0x17d400fa,0xe80003ea,
    0xb917fa4f,0x3e61ffc3,0x265fd807,0x1453fa2b,0x2ff85ff0,0x24fc8ffa,
    0x17fe1ff8,0x8540ffe0,0x10dfb5fc,0x83ff67ff,0x137fc7fd,0xb27f4dff,
    0x80ffa89f,0x17fe25ff,0xf9001fe6,0x1fcca209,0x85f5009b,0x42fa803e,
    0x8098803e,0x01bf23ff,0xffa83ff5,0x27ff00ba,0xff9bfd01,0xf85ff07f,
    0x7457f22f,0xfb1fea3f,0xc87ff00d,0xb5fdcfff,0x27ff10df,0x87fdc6fd,
    0x37ec3ff8,0x87fe2ff7,0x2209ffb8,0xbaff43ff,0xeeeffeee,0x981ff402,
    0x1f30fddf,0x35c5f500,0x1ae2fa80,0x3e22fec0,0xe81fee2f,0xfffc83ff,
    0x3fe20dff,0x7f43efec,0x44ffdbff,0x8bfe23ff,0x44ffffd8,0x1ffa1ff8,
    0xffc8ffe0,0xfb5fffbd,0x367ff10d,0x88ffcc5f,0x137e42ff,0xd8df75ff,
    0x3e66ffff,0xfcafec2f,0x2fffffff,0x9807ff60,0x110fa1cc,0x8be23930,
    0x22393008,0x7ec0442f,0xf717fcc5,0x41fffc0f,0x4ffccffd,0x3f3bffe6,
    0xd83ffa3f,0xf327fc7f,0xffffc85f,0xfb9dfd83,0x1ffc00ff,0xaffc4bff,
    0x3ff886fd,0x0ffb8ffb,0x8dfd13fe,0x5c3fdcfd,0x7fc3cffd,0xccaaffc4,
    0x01cccffd,0x50003ffb,0xc806f98d,0x00bffb15,0xd86f98b9,0x917fc45f,
    0x7f4c40ff,0xff704c44,0xdf737fc4,0x3fee37f4,0x7e43bfe0,0x2abbf62f,
    0x7ff4c4fe,0xff807fef,0xfe87ff13,0xff10dfb5,0x744fff67,0xa877f46f,
    0x7ffd46ff,0x907fa80f,0xbff915df,0xf900ff30,0x8be0005f,0x7cc06fe8,
    0x05f53f51,0xdfd10fcc,0xff88bfb0,0x2e01bf22,0x1ff9807f,0x0ff993fe,
    0x1ffa8bfd,0x3ffbfffe,0xfb8bfe2f,0xff717507,0x4ffe2088,0xafec1ff9,
    0x2ff887fc,0xfffdfffb,0xfefff985,0x6fff86ff,0x3e60ff50,0x85feffff,
    0x3ff807f9,0x1ae004c4,0x4d80dbbb,0x26c03f90,0x3f61b776,0x3f63ff85,
    0xfb832e25,0xff50dd47,0xff32ffc1,0xff91bfa1,0x67fe7fc1,0x43ff32fe,
    0x7ec187fa,0xff99bf25,0xff87ff12,0xf981ff75,0xff7bfb2f,0x3ff6603b,
    0xffc86fcb,0x4c0ff503,0x85fc9dfd,0x3fe806e8,0x3f1037e4,0x80774fe4,
    0x03fd80f9,0xd9fc83e6,0x642fec0e,0xe87ff16f,0xd89fd14f,0xf91bf65f,
    0xfe97f23f,0xf8dfd13f,0x27fc012f,0x33fe89fb,0x5ffdc5ff,0x3fa1ffc8,
    0x2abff51e,0xffd31dff,0x00093f61,0x7e437e41,0x20ff500f,0x8a7ec09a,
    0x99999999,0xc9bffa80,0xd17203ff,0x3a0bffff,0x7402fd83,0x2fffff43,
    0x3fe617f6,0xffa87fff,0x7cc0ffff,0x442fffff,0x22ffffff,0xfffefffe,
    0x5c017fc2,0x41ffffff,0x46ffeffb,0x4ffffff8,0x7ff7ffd4,0x3ffff65f,
    0x13f64fff,0x4cdf9000,0x3ea05ffb,0x535ff907,0x3fff27ff,0xb02fffff,
    0x409fffff,0x41b600f9,0xffffb86a,0x36c06a83,0xfe982fec,0xffb501ef,
    0x3ff6a039,0xbffd102e,0xffbbfe83,0x002ff81c,0x203bffb7,0x9304fffc,
    0x36609dff,0x645fbbff,0x6c3fffff,0x7e40004f,0x01ffff36,0xff883fd4,
    0x3f26ffff,0x2fffffff,0x200de540,0xa814c019,0x1aaaaa81,0x414c01a8,
    0x004405fd,0x00220008,0x40100044,0x044001cc,0x00200180,0xb8060004,
    0x6540002c,0x50033723,0x6e6440ff,0x0000003c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0xeeeeeeee,0xeeec84ee,0xbd903cee,0x17b27db0,0x5915b700,0x91d8adb8,
    0x07bddddd,0x24eb8bd7,0xddd71eea,0x87dddddd,0x3ceeeeec,0x8001dd30,
    0x0375c4ec,0x2a21ba60,0xbd5002dd,0xcccccc88,0x4c0660cc,0x7640ceec,
    0x0bdd1004,0xa8002f5c,0xffffffff,0xffd85fff,0x41efffff,0x3fee2ffa,
    0x5400dfb1,0x2a0fffef,0xfb0fffef,0x3dffffff,0x97f23fe4,0xfff91ffa,
    0x89ffffff,0xfffffffd,0x007fcc1e,0xff917f60,0x23ff4400,0x0ffffff9,
    0xf31ffe20,0x1fffffff,0xffd03fe6,0x7ec1ffff,0x3fff7005,0x4001ff20,
    0xadff9dfe,0xfd82aaaa,0x6ffcaaaf,0x97fa5fe8,0x0aaaaffd,0x306a2330,
    0xffd82a23,0x24ffdaaa,0x52f5c7fc,0x2aaa63ff,0x41aaaefe,0xfcaaaffd,
    0x007e446f,0xff917f60,0xfffd301c,0xffaaefe8,0x11fff603,0xdfd99999,
    0xff507fcc,0xfd8ffa65,0x9fffd005,0x2001ff20,0x3ff89ff9,0x2a1bf600,
    0x4ffd43ff,0x3ff61ffa,0x443fffff,0x22055309,0x6c37ec09,0x361ff27f,
    0x7407fea4,0x437ec05f,0x9bd43ffa,0xfb035511,0x6c7fe41b,0xfffff706,
    0xff717fc4,0x01fffea0,0x83307fe2,0xb3fd43fd,0xbff300bf,0x0ff901ff,
    0x3e2dfb00,0x1bf6003f,0x67f42ff4,0x77fec5fe,0x363fffee,0x0efffdcf,
    0x1bf62fec,0x47fc9ff2,0x03fe60fc,0x3f602ff4,0x7ccbfd06,0xffeaff8a,
    0x9377ec4f,0x3207fdff,0x4087faae,0xcff886fc,0x03fd807f,0xfb37e400,
    0xf1df900b,0x00ff907f,0xff12ff98,0x83dddddd,0x2099efd9,0x3f2626fd,
    0xfb09afff,0x366fe88d,0x3ffdbeff,0x9bf62fec,0x3f26ffa8,0x1fe204c7,
    0x36605fe8,0x3f6099ef,0xdfff88c6,0x3f60ffeb,0x07fff24f,0x101fea18,
    0x57fb09ff,0x06f980ff,0xb17fe400,0xf102aabf,0x321bfa7f,0x402aa27f,
    0x3ffe26fd,0x7c1fffff,0x324fffff,0x3ffff27f,0xdfb3ffff,0x7fecff90,
    0xbfb13fa0,0xffffffd8,0x01ff22ff,0x3aaa63fc,0x7fc1aaef,0x3f24ffff,
    0x4cbff107,0x917f61ff,0x7d4001ff,0x03ffa207,0x01feadf5,0x640007fb,
    0x46fec3ff,0x87fdc2ff,0x3fe41ffb,0xff103ff3,0x5bff3339,0xea815555,
    0x3f61aaff,0x3ff732a7,0x0dfb1ccc,0x237ecdfd,0x22fec5fd,0xeffffffd,
    0xf803fe42,0x7ffffe46,0x7ff543ff,0x41ff61aa,0x3fe23ff8,0x7e4bff92,
    0x3fd4007f,0x441ffe88,0x40ff50ff,0x2a880ffa,0x360ffe60,0x742ff8df,
    0x913fe25f,0x40ffccff,0xfffffffc,0x1bf6003f,0x95532ffc,0x361557ff,
    0xffecccff,0xbfb17f64,0x77ec5fd8,0x1ff20099,0x26622f40,0xd8099efe,
    0x20bff06f,0x3fe22ff8,0x7f4bfdd2,0x3fd4007f,0x640fff44,0xeffeeeff,
    0xf304fc82,0x417ee01f,0x3fe605fd,0x0fffffff,0x7c401ff2,0xffffffff,
    0x21bf6003,0x3ff24ff9,0xb3ffffff,0xbfffffff,0x2fec5fd8,0x0dfb17f6,
    0x5c01ff20,0xb017fa02,0x09ff30df,0xff88bfe2,0x654bfb12,0x3fd4007f,
    0xfc80fff4,0x3fffffff,0xff302fe8,0x6c0b2a01,0x3fff205f,0x23ffffff,
    0xff9007fc,0x99cff883,0xefd81999,0x0fffa999,0x33ff732a,0x99ffb1cc,
    0x8bfb0359,0x22fec5fd,0xff9006fd,0x21333333,0xbfd00aa8,0x999efd80,
    0xf100fffa,0xb17fc45f,0x99ffc8bf,0xfa809999,0x4cdffe47,0x2aaaa619,
    0xff81affc,0xa981e601,0x7c0bfb02,0x64dfd04f,0x999999ff,0xf10bff10,
    0xffffffff,0xffffffb0,0x7fcc05ff,0xb006fd80,0x6c5fd8bf,0x8037ec5f,
    0xfffffffc,0x201ff32f,0x7fec05fe,0x02ffffff,0xff88bfe2,0xff917f62,
    0x07ffffff,0xffff8ff5,0x7d407fff,0x440ff307,0x417f204e,0x3ff505fd,
    0x7e47fee0,0x2fffffff,0xff105ff7,0x0fffffff,0xbdfffffb,0x80ff9801,
    0xbfb006fd,0x2fec5fd8,0x7e401bf6,0x2fffffff,0x3fa01ff3,0x7fffec05,
    0x7c400def,0xd8bfe22f,0x7fffe45f,0xfa83ffff,0x3ffffea7,0x3fd407ff,
    0x0e607fa8,0x3f60bf90,0x440dfb05,0xffff94ff,0x0005ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeec80000,0xc82deeee,0x03ceeeee,0x00fb29d9,0x4ed817b6,0x013b29d9,
    0xddddddd9,0x77775c9d,0x9d90eeee,0x417b2bd3,0x2e9d93ee,0x1ded985e,
    0xdd900bd7,0x3eee983d,0x5db01bd7,0x37bbbbb2,0x809d903c,0xeeeeeeeb,
    0x555513ee,0x77777415,0x3b21eeee,0x34ee981e,0x3dd907dd,0x6cdd4262,
    0xffffffff,0x7ffffec4,0xafec1eff,0xffb804fd,0xfb3ff981,0xfb017f6b,
    0xbfffffff,0x7fffffe4,0xf5bfb0ff,0x7fc1bf6d,0x1ff2dfb4,0x7e45ffd1,
    0x3fffd807,0xfca7ffe4,0xfb3fe84f,0xdfffffff,0x7ffffec1,0xfffffc81,
    0xff54ffff,0x7ffc3fff,0x22ffffff,0xffd85ff9,0xf987ff60,0x7ed7f65f,
    0xaaaaffdc,0x3ff60ffe,0x46ffcaaa,0x009fb5fd,0xff909ff1,0x2fec6a61,
    0x2aabff60,0x3ff22aaa,0x362aaaaa,0xdfb5c8df,0xb7ed3fe0,0x3ffa27fc,
    0x6c03fe42,0x7ff45fff,0x83fff94f,0x55ffb3fe,0x647ffb55,0x981eefff,
    0xaaefeaaa,0x3333311a,0xfcaaaaa8,0x17fe40ff,0xff887ff5,0xfd83ffa6,
    0x0dfb9fb5,0x37ec5ff3,0xbfb1ffd4,0x099893f6,0x2ff437f4,0x4d7f6131,
    0x8037ec1a,0x5fd806fc,0x7c1bf67b,0x3f2dfb4f,0x907ffd17,0xfdfb00ff,
    0xa7f7fc4f,0x7f46fffc,0x3fe0dfb3,0x1a9afec5,0x2202ff40,0xffe88009,
    0x7f4dfd01,0xf77ff706,0x365fd85f,0xffa86fdb,0x7f41bf60,0xa7ed7f65,
    0xffb85ff9,0xfd8bfe61,0xfffbbfb5,0x401bf61d,0xdfd806fc,0x7c1bf64a,
    0x3f2dfb4f,0x3207ffb7,0xfdfd807f,0x9fbdf51f,0xe8fffff2,0x3e0dfb3f,
    0x7eefec3f,0x17fa06ff,0xfb00bfb0,0x67fcc07f,0x3f601ffb,0x5fd85fff,
    0xddffb1f7,0xfd85ffdd,0x7ecdfb06,0xdfd19fb5,0x649ff101,0xfdafec7f,
    0xb3ffcbef,0xddddddff,0x6667fe43,0x217f60cc,0xeeeeeffd,0x32dfb4ff,
    0x00fffdff,0x9fb00ff9,0x373f27fb,0xffbbf94f,0x7fecffa1,0x0ffebaaa,
    0x7e5f7fec,0x80bfd03f,0x7fe405fd,0xffffd804,0x7fffc404,0x2375fd80,
    0xfffffffd,0xc837ec1e,0x7ed7f67f,0x3600efed,0xfb13fa7f,0xfe83ff6b,
    0xffffffb4,0x7ffe45ff,0x3f61ffff,0xfffffd85,0xdfb4ffff,0x3ffffff2,
    0xb00ff904,0x3fadf79f,0x1bf94fda,0x6cffabff,0xefffffff,0x3a0ffd82,
    0x80bfd04f,0x3fea05fd,0xdfff1006,0x0bffd001,0x3ff617f6,0x2ffdcaaa,
    0x3fec1bf6,0x3fff6bfb,0x4ffd404f,0xafec2ff9,0xdafec6fd,0xaaaaaaff,
    0x3333ff20,0x217f60cc,0xaaaaaffd,0x32dfb4ff,0x2ffcbfff,0xfd807fc8,
    0x8ff9ff8c,0x2ebf94fd,0xfb3fe9ff,0x40bffd9f,0x82fec7fd,0x2fec05fe,
    0x000fff98,0x2a00bfee,0xfd81ffff,0x0dfb5755,0x06fd97fa,0xdafecbfd,
    0x201fffff,0x87fbcff8,0xd8bfb5fd,0x200dfb5f,0x5fd806fc,0x9ff06fd8,
    0x9ffe5bf6,0x7fc86ff8,0xbff4fd80,0x7e53f6df,0x4fffbfa5,0x17fea6fd,
    0x17f62fec,0x3f602ff4,0x01fff885,0x200ffd40,0x86fffff8,0xfbbfb5fd,
    0xfd9ff60d,0x364ff986,0xfd3ffb5f,0xfeffd80b,0xbfb5fd84,0x0dfb5fd8,
    0x3601bf20,0xf06fd85f,0x7e5bf69f,0x3227fdc7,0xb4fd807f,0x53f69fff,
    0x3ffe65fc,0xfc8dfb3f,0x6c5fd83f,0x80bfd05f,0x2ffe85fd,0x01ffa800,
    0x7fdd7fec,0xdfdafec4,0xb9999efd,0x27bf65ff,0x20ffea99,0x269fb5fd,
    0x3fea02ff,0xb5fd81ff,0xfb5fd8bf,0x3333333d,0x7ec037e4,0xff06fd85,
    0x3fe5bf69,0xff90fff4,0x21333333,0x5fff74fd,0x22fe53f6,0xdfb3fffc,
    0xfd83ffd0,0xfe82fec5,0x322fec05,0x99999dff,0x07fea009,0x3f65ffa8,
    0xfffb001f,0x43ffffff,0xfffffffd,0xfdafec2f,0xff01bf64,0x6d7f60df,
    0xfdafec5f,0x7fffffff,0x3f601bf2,0xff06fd85,0x3fe5bf69,0xff937fd4,
    0x25ffffff,0x1fff14fd,0x22fe53f6,0xdfb3fff8,0xfd8dff30,0xfe82fec5,
    0x3a2fec05,0xffffffff,0x07fea04f,0xf107ffc4,0x3ff600df,0x41dfffff,
    0xcefffffd,0x9fb5fd80,0xf901ffc4,0x6d7f607f,0xfdafec5f,0x7fffffff,
    0x3f601bf2,0xff06fd85,0x3fe5bf69,0xff94ffd8,0x25ffffff,0xd9bfe4fd,
    0xf50bf94f,0x641bf67f,0xb17f63ff,0x017fa0bf,0xfffe8bfb,0x04ffffff,
    0x7e407fea,0x04ffb83f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddd113b2,0x3b24ec81,
    0x4c45dd05,0x01999999,0x98813100,0x89881310,0x9aa88198,0x10554c00,
    0x23551013,0x82aa6038,0xa9800aa9,0x1554400a,0x80000355,0x54400aa9,
    0x0554400a,0x88262000,0x51131099,0x104d4415,0x750aa613,0xffa8ff95,
    0xd9a7fc2f,0xf99999ef,0x088030cf,0xfd80ffa8,0x5fda7ec5,0x13fde7ec,
    0x01dffffd,0x25fffff5,0x7ffd45fd,0xffa85fff,0xfffdafff,0xffff503f,
    0x3fff605f,0x2ffffeff,0x44005f44,0xa83ffffd,0x905ffffe,0x001dffff,
    0x8afed366,0x3affa6ff,0xfffbafff,0xffb9fb0e,0x2b7f61df,0x3fff21ff,
    0x7fcbfe64,0xffffffff,0x088036ff,0xfd80ffa8,0x5fda7ec5,0xb3fde7ec,
    0x89ff97df,0xfffcfffa,0x3fea5fd9,0x4c2ffdbe,0xffffcfff,0x542ffcbf,
    0x2fffcfff,0x7fddf7dc,0x21ffcbef,0x200cfff8,0x2ffccffc,0x7fdd67f4,
    0x75effdc3,0x7ff5405f,0xdfd1bfb4,0x75efff41,0x3ffcbfff,0xffb7dffb,
    0x3fe37f67,0xb9bfbfa2,0x9ffd90ff,0x7dff9999,0x51011006,0xfb17f605,
    0x9fb17f69,0x905ccd71,0x746fe8bf,0x3fa4e8cf,0xfd1fff25,0x917ff44d,
    0x746fe8df,0xf90d4c6f,0x2e27e43f,0x441dfffe,0x89bf23ff,0xf0330bff,
    0x20674cbf,0x1dffffc8,0x81dfdbfb,0x8ffea6fe,0x41ffb4fe,0x29ff04fe,
    0x90ffaff8,0xf06fd8df,0x42200c7f,0xaaaaaaa9,0xfd8bfb0a,0xcfd8bfb4,
    0xfec983e8,0x70ffe26f,0x3e25f7ff,0x3ff7f73f,0x3ff227fc,0x227fcaab,
    0x07fdc3ff,0x57ffedd4,0xb505fcaa,0x3e65dfff,0x47fcaabf,0x40befffc,
    0x6c403ff8,0x6c0befff,0xfe84ffff,0xfd87fea4,0x5fd8dfb5,0x5beadfb0,
    0xd89fd2ff,0xfeeeeeff,0x2110063f,0xfffffffc,0xfe8bfb2f,0xffe8bfb4,
    0x6fffd43e,0x0bfe66fe,0x7c47fff5,0xff89fa9f,0xfb85ff11,0x0fffffff,
    0xffa85ff3,0x3bbffea1,0x7fffffff,0xaa7fe440,0xffffffff,0x3ffff620,
    0x00bfe62f,0x6c03dff1,0x741fffff,0xd83fe64f,0xfd8bfb5f,0xfb1ff705,
    0x3fe33f69,0x7ffffec2,0x0063ffff,0x3bbbae11,0xbfb1eeee,0x8bfb4fe8,
    0xcff885fe,0x4ff8df90,0x7fc07fe4,0x41ff72fc,0x0ffec4ff,0x3f227fc0,
    0x6437fe0f,0x6d4000ff,0x3ff13fff,0x7fe54400,0x5713fe26,0x33fffe21,
    0xfd9ffd80,0xff327f45,0x5fdafec1,0xff982fec,0x3df72ff9,0xaffd81ff,
    0x23ffaaaa,0x40004401,0x53fe66fc,0x13fe66fc,0x6fe87fe6,0xfe98f7ec,
    0x229ffb04,0x97fec6fe,0x3b24fff9,0xe98f7ec4,0xe8bfe25f,0x10fb63ff,
    0x839ffff9,0x993b24fe,0xd1bee1fe,0x03fea1df,0x45bfffd7,0x45ff35fd,
    0x83fe64fe,0xd8bfb5fd,0x3f7fe05f,0xdf9ff30f,0x3fe0dfb0,0x50110063,
    0xdff501ff,0x3ea9fdfb,0x04fefdef,0xdffd9dfd,0xffeffe88,0xdfff300f,
    0xff883fff,0xefffffff,0x7fc41ffe,0x740fffef,0xffffecff,0x3e21ffee,
    0xf700bfff,0xd85ffbdf,0x42ffddff,0x4ffefff9,0x53fff6a0,0xe9bf65fd,
    0xd83fe64f,0xfd8bfb5f,0x1bfff605,0xfb09fffd,0x018ffe0d,0x07fd4044,
    0xfcafffc8,0x32bfff24,0xbffb504f,0xfd881ff5,0x3ba00dff,0x100dfffc,
    0xf51bfffb,0x36205bff,0xd980dfff,0xffb8bfff,0x177c42df,0x3efffb80,
    0x3dffec88,0x17dffd30,0x369f9300,0x74ffe25f,0xd83fe64f,0xfd8bfb5f,
    0x13ffee05,0xfb05fff9,0x018ffe0d,0x01544044,0x80008004,0x50018000,
    0x40600041,0x40060008,0x0c401008,0x10008800,0x80004400,0x00000018,
    0xfff30000,0x80fffa85,0x47ff06fd,0x9999999a,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x7fc40fff,
    0x3e0dfb07,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x81310cc0,0x3704c419,
    0x33115466,0x9884cc41,0x3b601a88,0x99999881,0x22026219,0x0e4d2e09,
    0x0f2272a0,0x00001305,0x7d400000,0xa88fbae1,0x1aaaaaaa,0x8800b7ae,
    0xaaaaaaaa,0x0005dd11,0x01f74fba,0x1deb8000,0xfc8ffcc0,0xfd8bfea5,
    0xdffdff54,0x97fe63ff,0x3f3fa6fe,0x20bfa07f,0xfffffffa,0xff88ff91,
    0x3fe33ee2,0x3f6df100,0xef993ee2,0x702ff6a0,0x3fe03dfd,0xb103ea03,
    0x2efe63ff,0xfffff31f,0x2fe69fff,0x33f220fd,0x3ffffe60,0x7ff14fff,
    0x8856fecc,0xa7fd3fe4,0x2a6f88ff,0x85ff10ff,0x7cc06d88,0x7e4ff51f,
    0xfd8bfe4f,0x5c4fffff,0x21ffcaff,0x204efffe,0xeee982fe,0xff11fffe,
    0x7f43fdc5,0x5fd05fb9,0xcffc8bf5,0xdf10eff9,0x56744bf9,0x86ffa86f,
    0x221579a9,0x2a311fbd,0xddddd32f,0x6e989ffd,0xd32f5f6c,0x9ddddddd,
    0x7fd4bfe2,0x26feffff,0x3e7ff4ff,0x3fa6f88f,0x7752fcc1,0x443300bf,
    0x2dffd1ff,0x46fec7f9,0xffd84fe8,0x07ff43ff,0x67fd5544,0x5ff901aa,
    0x13fa5fd8,0x0bfa3bea,0x03ff1bf9,0x41dffff9,0xa88fb1fb,0xfffe86fb,
    0x7ffffe42,0x3ea0fcc3,0xb89f7005,0x263f10ee,0x3ff0000f,0x3ff2afea,
    0x74ff63ff,0x9104112f,0x65432603,0x3f60001b,0xc8feef8b,0xf50ff45f,
    0x0bfff10b,0x3fe60bfd,0x85ffffff,0xffa83ffc,0xff01ff98,0xaff8df77,
    0x3ff206fb,0xfc87e40f,0x8ff9df30,0x886fbefa,0x1f980dfe,0xfb8013ea,
    0xe8fe2514,0x5ddc4f74,0x322bbbbb,0x02aa010d,0x0036e3b7,0x80000000,
    0xfccfaefa,0x1ff42fea,0x3ff60bf9,0xd305fe84,0x9dddffdd,0x3e04ffb8,
    0xf506fcaf,0xfa83ff1d,0xf982fe8e,0x5fd44fff,0x227f26e8,0x7c5ff47f,
    0x17dfe41f,0xdffa8fcc,0x34fb802d,0x7dc1fbbf,0x3ffe63ff,0x004fffff,
    0x3baa0000,0x222222ee,0x00088888,0x7effc400,0x40ffdfaa,0x3ffedffc,
    0x42ffffb8,0x5fd004fe,0x9017fea0,0x3e07fdbf,0xfb04fb9f,0xff98df37,
    0x7f44ffce,0x3ffea2ff,0x643fe67f,0x82d9e45f,0x999951c9,0x4c7b5005,
    0x40b881cc,0xddddddd8,0x0000003d,0x44bfffea,0xffffffff,0x5510007f,
    0x88fffe81,0x7fcc5fff,0x21ffffff,0x0ffecff8,0x7f4013fa,0x99eff982,
    0x7ffc4099,0xf8bfb80f,0x323fe206,0x643bf63f,0x4054c1ff,0x3f6298a8,
    0x0007fe65,0x00000000,0x00000000,0x33332600,0x2eeeeee1,0x30003bbb,
    0x6ffb83ff,0x3360fffa,0x745c8aa9,0x25ff98ef,0x5fd004fe,0xffffffb0,
    0x09ffb09f,0x20054caa,0x644550a9,0x00001640,0x00000000,0x00000000,
    0x00000000,0x30000000,0x4ff883ff,0x80003ff2,0x3ff22ffb,0x22009fd2,
    0xffffd809,0xffa84fff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44444440,0x00000888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffc4,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5dddddc4,0x00003bbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_20_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,0,1,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_20_latin_ext_y[560]={ 16,3,3,2,2,2,2,3,2,2,2,5,13,10,
13,2,3,3,3,3,3,3,3,3,3,3,6,6,4,6,4,3,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,2,3,2,17,2,6,3,6,3,6,2,6,3,3,
3,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,7,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,6,3,2,5,3,
2,2,2,2,2,7,6,10,2,0,2,3,3,3,2,6,3,8,16,3,2,7,3,3,3,6,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,2,2,
2,3,2,2,6,6,2,2,2,2,2,2,2,2,3,3,2,2,2,3,2,4,6,2,2,2,2,2,3,2,
0,3,-1,2,3,6,-1,2,-1,2,-1,2,-1,2,-1,3,3,3,0,3,-1,2,-1,2,3,6,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,3,3,-1,3,0,3,-1,2,3,3,0,6,3,3,-1,2,3,3,6,-1,-1,3,
3,3,3,3,3,3,3,-1,2,3,6,-1,2,3,2,6,0,3,-1,2,-1,2,2,6,-1,2,3,6,-1,2,
-1,2,-1,2,2,6,-1,2,3,3,-1,3,3,3,-1,3,0,3,-1,2,-1,2,-1,2,3,6,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,3,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,-1,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-2,-1,-1,2,-1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_bold_20_latin_ext_w[560]={ 0,4,8,10,10,16,13,4,6,6,7,10,3,6,
3,6,10,7,10,10,10,10,10,10,10,10,4,4,10,10,10,11,18,13,12,13,12,11,10,13,11,3,9,12,
10,13,11,14,11,14,12,12,11,11,13,17,12,13,11,5,6,5,9,12,5,10,10,10,10,10,7,10,9,3,
5,9,3,14,9,11,10,10,7,10,6,9,10,14,10,10,9,7,3,7,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,10,10,10,10,
3,10,6,15,7,9,10,6,15,12,7,10,6,6,5,10,11,3,6,5,7,10,15,15,15,11,13,13,13,13,
13,13,19,13,11,11,11,11,5,5,7,7,14,11,14,14,14,14,14,10,14,11,11,11,11,13,11,10,10,10,
10,10,10,10,16,10,10,10,10,10,5,5,7,7,11,9,11,11,11,11,11,10,11,9,9,9,9,10,10,10,
13,10,13,10,14,11,13,10,13,10,13,10,13,10,12,13,14,11,11,10,11,10,11,10,11,10,11,10,13,10,
13,10,13,10,13,10,11,9,13,10,7,7,7,7,7,7,5,4,3,3,12,8,11,7,12,9,9,10,5,10,
6,10,6,10,7,11,5,11,9,11,9,11,9,13,12,9,14,11,14,11,14,11,18,17,12,7,12,8,12,8,
12,10,12,10,12,10,12,10,11,6,11,9,11,6,11,9,11,9,11,9,11,9,11,9,11,11,17,14,13,10,
13,11,9,11,9,11,9,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,11,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,13,10,10,10,10,10,10,10,10,10,10,10,10,10,14,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,7,7,14,
11,11,9,11,9,11,9,11,9,11,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,10,19,16,14,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_20_latin_ext_h[560]={ 0,13,5,15,16,15,15,5,18,18,8,10,6,3,
3,15,14,13,13,14,13,14,14,13,14,14,10,13,11,7,11,13,18,13,13,15,13,13,13,15,13,13,14,13,
13,13,13,15,13,16,13,15,13,14,13,13,13,13,13,17,15,17,8,3,4,11,14,11,14,11,14,14,13,13,
17,13,13,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,18,18,5,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,17,15,10,13,
18,18,4,15,8,9,7,3,15,3,7,13,7,7,4,14,17,3,4,7,8,9,14,14,14,14,17,17,17,16,
16,16,13,18,17,17,17,16,17,17,17,16,13,16,18,18,18,17,17,9,15,18,18,18,17,17,13,15,15,15,
15,14,15,15,11,14,15,15,15,15,14,14,14,14,14,13,15,15,15,14,15,11,11,15,15,15,15,18,17,18,
16,14,17,15,17,14,18,15,18,15,18,15,18,15,17,14,13,14,16,14,17,15,17,15,17,14,17,15,18,18,
18,18,18,18,18,19,17,17,13,13,17,13,16,13,17,14,17,17,16,10,14,17,18,18,17,17,10,17,17,17,
17,13,13,13,13,13,13,17,14,17,14,17,14,13,15,14,17,14,18,15,18,15,15,11,17,14,17,14,17,14,
18,15,18,15,18,14,18,15,19,19,17,14,13,14,18,14,17,14,18,15,18,15,18,15,17,14,17,14,17,18,
16,17,14,16,14,17,14,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,18,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,14,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,15,17,14,18,
15,18,15,18,18,18,18,18,18,18,18,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,18,17,15,18,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_bold_20_latin_ext_s[560]={ 255,100,215,110,210,43,1,199,248,73,141,
51,252,224,252,112,69,164,172,80,183,91,102,194,135,146,1,205,206,188,162,
210,129,230,1,86,14,69,81,60,99,111,157,115,128,139,153,209,77,129,165,
1,189,178,41,1,235,221,209,114,14,152,131,83,237,78,113,195,167,173,223,
231,59,55,158,31,27,227,242,133,190,201,43,184,249,55,72,6,32,212,62,
199,251,46,204,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,255,251,74,
244,21,36,247,35,224,27,123,94,162,224,59,231,180,242,155,173,231,124,234,
252,243,149,115,83,45,29,13,1,1,220,135,115,101,87,1,31,13,37,85,
57,218,236,174,164,21,172,45,166,193,30,15,104,12,223,1,23,111,97,47,
121,99,26,233,166,37,1,145,76,48,65,54,43,223,229,139,61,147,59,209,
197,185,243,163,44,103,122,112,102,92,66,209,77,73,159,149,243,120,227,102,
198,116,176,88,15,160,130,61,34,117,200,152,212,123,187,187,141,224,11,45,
32,221,1,24,50,185,80,207,1,197,199,19,178,247,69,144,201,106,104,249,
242,69,248,112,209,148,173,174,164,217,163,146,135,246,89,92,244,222,152,146,
49,146,25,156,1,177,132,163,187,182,197,130,74,145,100,224,115,93,48,80,
218,55,209,235,152,103,119,116,135,160,21,19,12,237,125,105,97,91,87,225,
66,61,221,38,231,12,241,181,22,9,170,27,174,196,68,239,184,1,213,56,
132,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,132,33,33,54,
33,33,33,33,33,33,33,33,33,33,33,33,33,146,89,33,33,33,33,33,
33,33,33,33,33,33,33,33,185,65,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,41,88,
1,235,208,76,181,175,154,144,132,13,235,97,85,75,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,118,107,193,75,60,221,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33, };
static unsigned short stb__arial_bold_20_latin_ext_t[560]={ 1,191,233,145,95,113,129,233,21,40,233,
233,205,238,219,113,176,191,191,176,191,176,176,191,176,176,233,191,219,233,219,
191,40,191,205,113,205,205,205,113,205,205,176,205,205,205,205,113,191,95,205,
113,205,176,205,219,205,205,205,59,113,77,233,243,233,219,176,219,176,219,176,
176,205,205,77,205,205,219,219,219,176,176,233,219,161,219,233,233,233,176,233,
21,1,21,233,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,1,95,77,
129,233,191,1,21,233,145,233,233,233,238,129,238,233,176,233,233,233,176,59,
212,233,233,233,233,176,176,176,176,95,59,59,95,95,95,191,1,77,77,77,
95,77,77,59,95,191,95,1,1,1,95,95,233,145,1,21,21,77,77,191,
145,145,129,129,161,129,145,219,161,129,145,145,145,145,145,145,176,145,191,129,
129,129,145,129,219,219,129,129,129,129,21,59,21,95,145,59,113,59,161,21,
113,21,113,21,129,21,113,77,161,191,145,95,145,77,113,77,113,77,161,95,
113,21,40,40,40,21,40,21,1,59,77,219,205,77,191,95,205,59,161,40,
77,95,205,161,77,40,40,77,77,219,59,77,77,59,191,205,191,191,191,191,
77,161,77,161,77,161,191,113,161,59,161,21,113,21,113,113,219,59,161,59,
161,59,161,21,113,40,113,40,161,40,113,1,1,40,161,191,161,40,161,40,
161,40,95,40,95,40,95,40,161,59,145,59,21,95,59,161,95,161,40,161,
145,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,129,219,219,21,
219,219,219,219,219,219,219,219,219,219,219,219,219,129,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,145,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,59,145,
59,145,1,145,1,129,1,1,1,21,1,1,1,1,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,1,1,40,129,1,129,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219, };
static unsigned short stb__arial_bold_20_latin_ext_a[560]={ 80,95,136,159,159,255,207,68,
95,95,111,167,80,95,80,80,159,159,159,159,159,159,159,159,
159,159,95,95,167,167,167,175,279,207,207,207,207,191,175,223,
207,80,159,207,175,239,207,223,191,223,207,191,175,207,191,270,
191,191,175,95,80,95,167,159,95,159,175,159,175,159,95,175,
175,80,80,159,80,255,175,175,175,175,111,159,95,175,159,223,
159,159,143,111,80,111,167,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,80,95,159,159,159,159,80,159,
95,211,106,159,167,95,211,158,115,157,95,95,95,165,159,80,
95,95,105,159,239,239,239,175,207,207,207,207,207,207,286,207,
191,191,191,191,80,80,80,80,207,207,223,223,223,223,223,167,
223,207,207,207,207,191,191,175,159,159,159,159,159,159,255,159,
159,159,159,159,80,80,80,80,175,175,175,175,175,175,175,157,
175,175,175,175,175,159,175,159,207,159,207,159,207,159,207,159,
207,159,207,159,207,159,207,206,207,175,191,159,191,159,191,159,
191,159,191,159,223,175,223,175,223,175,223,175,207,175,207,175,
80,80,80,80,80,80,80,80,80,80,225,159,159,80,207,159,
159,175,80,175,80,175,110,175,137,175,80,207,175,207,175,207,
175,203,207,175,223,175,223,175,223,175,286,270,207,111,207,111,
207,111,191,159,191,159,191,159,191,159,175,95,175,137,175,95,
207,175,207,175,207,175,207,175,207,175,207,175,270,223,191,159,
191,175,143,175,143,175,143,80,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,208,215,215,159,215,215,215,215,215,
215,215,215,215,215,215,215,215,244,204,215,215,215,215,215,215,
215,215,215,215,215,215,215,238,207,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,207,159,80,80,223,175,207,175,207,175,207,
175,207,175,207,175,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,207,159,286,255,223,175,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_20_latin_ext(stb_fontchar font[STB_FONT_arial_bold_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_20_latin_ext_s[i] + stb__arial_bold_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_20_latin_ext_t[i] + stb__arial_bold_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_20_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_20_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_20_latin_ext_x[i] + stb__arial_bold_20_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_20_latin_ext_y[i] + stb__arial_bold_20_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_20_latin_ext_s[i] + stb__arial_bold_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_20_latin_ext_t[i] + stb__arial_bold_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_20_latin_ext_x[i] + stb__arial_bold_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_20_latin_ext_y[i] + stb__arial_bold_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_20_latin_ext_LINE_SPACING
#endif

