// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT        298
#define STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_22_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_22_latin_ext_LINE_SPACING          14

static unsigned int stb__arial_bold_22_latin_ext_pixels[]={
    0x01cc0000,0x8004cc40,0x80aa2298,0x3a200198,0x4c28803e,0x19980001,
    0x8004c400,0x0000000a,0x000aa200,0x55001880,0x00cc4000,0x40026200,
    0xfffc81a8,0x4fffffff,0xd0009f50,0x3fea00df,0x220df30f,0x3f2004ff,
    0x744fa005,0x7007fe42,0x07fffffb,0x405fff10,0x7fe41fe8,0x0defffff,
    0x0be1f880,0x4ffbb7cc,0xfda89ff0,0x9f500cff,0x3f207fc8,0x1004ffff,
    0xbdfffdb7,0x6437c407,0xffffffff,0x01dd04ff,0x000ef980,0x3e61ffff,
    0x400bf706,0x2a000ef8,0xffc86fff,0xfffff900,0xfe80bfff,0xff700ffb,
    0xfffffc83,0x801fffff,0x2606fdfd,0x03fff76f,0x7ffc49ff,0x3fd05ffe,
    0xfe887fc8,0x06ffffff,0x5e77ffdc,0x3605ffdc,0x5cccc42f,0x00999cff,
    0xca800dfd,0x85ff3000,0x009706f9,0x8000dd88,0x01ff901a,0x7335dff9,
    0x32605fff,0xf9105953,0x57fe435f,0x4ffeaa99,0x40159500,0xdfff76f9,
    0x7fdc9ff0,0xfa83ff51,0xfd82a986,0xffeb9bef,0x015dfb03,0x7d417f22,
    0x01ffd406,0x44003cc8,0x7cc1c099,0xa837cc0f,0x2ef6002d,0x42aa2004,
    0x81ff9098,0xff706ff9,0x2019980b,0x90fffffd,0xdff103ff,0x30066200,
    0x3fffeedf,0xff727fc2,0x83fe8049,0x2ffd4198,0x7dc37fcc,0x4c42a20e,
    0x7ff04fb8,0x401ffd40,0x01310aa8,0x37fffff2,0x7fd43fd9,0x74437cc0,
    0x77b000ea,0x3ffea009,0xff95fdbf,0x201ffb81,0xfffb1009,0xffd819ff,
    0x3ff90fff,0x440bff10,0x0dfffffc,0xfff76f98,0x227fc1ff,0xf100dffe,
    0xd8ff901f,0x101501ff,0x3ffa63ff,0x0fb4ffbf,0xffa81bf2,0x7fffd403,
    0x7f4c5fdb,0xffffffff,0x4c0ffa85,0x1e8e986f,0x00bffb00,0xfffbfff3,
    0xb03ff2bf,0x3a2000ff,0x6fffffff,0x7e41ffb8,0xfd9999af,0xfffd302f,
    0x987fffff,0xff9ff76f,0xff327fc9,0xff505fff,0xffd1ff20,0x265f5000,
    0xfffdbdff,0xff703f52,0x301ffd40,0xffffbfff,0x9cfffe8b,0xc82fffda,
    0x706f987f,0x3fe2007d,0x7ff400ff,0x7e57ff21,0x643ffc0f,0x2e0ccccc,
    0xfea89cff,0x20ffdc3f,0xfffffffc,0x3ffa05ff,0xfffeb9cf,0x7fddbe61,
    0x9ff1ffe8,0x3ff2ffe2,0xc837dc5f,0x0037fc7f,0xe8bfb3ec,0x507f30ff,
    0x3fea01ff,0xc8bffa03,0x37fee5ff,0x12fffd40,0xdf309ff7,0x20026a60,
    0x403ffffb,0xaffcc6ff,0x7ffc0ffc,0x7fffffc0,0xf503ff60,0x41ffb89f,
    0xfffffffc,0x37fee01d,0x4c5ffb80,0xff31ff70,0x7fcd3fed,0x6c9fff50,
    0xf8ff905f,0x25f8007f,0x33fe41ff,0x05ff307f,0xff80ffea,0xfb2ffcc6,
    0xfeff983f,0x01bff50f,0xfffc8df3,0x77f404ff,0x3fe206fe,0xff95ff84,
    0x742ffe81,0x2a0fffee,0xf7001dff,0x9affc83f,0x3601effa,0x3ffa01ff,
    0x321ff700,0xf34ffbff,0x87ff44bf,0x8ff904fe,0x7cc007fe,0xbfb0ff54,
    0x7fc417dc,0x207ff503,0x5ff84ff8,0x3ff31ffe,0x3fea5ff9,0x2a6f980e,
    0x2fffdeff,0xff77ff30,0x222ffc05,0x81ff95ff,0x3f604ffc,0x7ffff40f,
    0x07fee01c,0x7fd43ff9,0x80ffd00f,0xff701ffc,0x3ffffe21,0xf993ffe4,
    0x3209fd1f,0x80ffec7f,0x25f50bee,0x23ff85fc,0x2ff880fd,0x2207ff50,
    0xaffc45ff,0x3fa26ff8,0x7d47ff72,0x2e6f985f,0x40ffe24d,0x5ff88ffc,
    0xff51ff60,0xf303ff2b,0xffd101ff,0xffffe981,0xaffa82ff,0xf907ff20,
    0x01bfe0df,0x4aa27ff7,0x3fea0ffb,0x3ffea4ff,0x3f67fa9e,0xfa8ff905,
    0x37fd40df,0x51bf29f1,0x413ee5ff,0xff501ff8,0x2a3ff407,0x2dff15ff,
    0x3fee3fe8,0x7cc3fdc3,0x17fee606,0xffe97fe2,0x75bff700,0x3ff2bfff,
    0x9bfffc80,0x00ffffda,0x5fffffb3,0x90ffff98,0xffe883ff,0x2037fc43,
    0x2df33ffb,0x7fec0ffb,0x7fff4c4f,0x41bee2ff,0xfffd87fc,0x42fffc9c,
    0x223ff36e,0x0efb9ffe,0x2a01ff30,0x3ff203ff,0x25fffbae,0x44fd8fff,
    0x7fd41ffc,0x36a37cc0,0xb85fffff,0x0ffee2ff,0x77ffff44,0x01ff95ff,
    0x3ffffff2,0xb3003fff,0xfffb0dff,0x2607ff23,0x3ffc0fff,0x7cc7ff20,
    0xf881ff76,0xffc884ff,0xc83fd45f,0xfffe887f,0xfc84ffff,0xfffdffd0,
    0x5c01dfff,0x0ffea07f,0xfdffffd0,0x7f7fecbf,0x540ffe84,0x937cc0ff,
    0xbff37dff,0xb999ffd0,0x76440dff,0x3f2bff4e,0x3ff6a00f,0x6440bdff,
    0x01ffd04e,0x01ffc811,0xffd8bff9,0x4c3ffa01,0x701ff76f,0x7fcc09ff,
    0x207fe22f,0x3fae07fc,0xbf501cef,0x7f456f54,0x3f20663d,0xd7100005,
    0xfa97fe9d,0x5ffb85ff,0x7cc1ff98,0xff89ff16,0x7ffffcc5,0x982fffff,
    0x1769ff01,0x00fff440,0x3fe03ffe,0x4c06ea87,0xffa802ce,0x25ffc80e,
    0x59d306f9,0xff11dd40,0xfd83fd89,0x01ff4c07,0x880077f4,0x01fe83fd,
    0x1980bba6,0xffe87ff0,0xfffeb8be,0x21cff980,0x49ff16f9,0x7fe45ffb,
    0xffeeeeee,0x2e3ffc85,0x200bd3ff,0x6406fa98,0xfda9beff,0x407fa85f,
    0xd801fea8,0xffb9dfff,0x41be60ff,0xf701fea8,0x30bfea7f,0x37fdccbf,
    0x00fee620,0x2015dfd1,0xf983ffa8,0x01ffcc05,0x7fdc9ff9,0x3ffffea2,
    0x202fffff,0xdf30fffe,0x7ff77fec,0xd037fc6f,0xfff881ff,0x3f66ffff,
    0x2a6601ab,0x7ff4404f,0x81efffff,0x266206d9,0xfe8800fd,0x2fffffff,
    0x4cc437cc,0x3ffa00fd,0x3fb06fff,0x8817fff2,0x8802fc99,0xeceffffc,
    0xf903ffff,0x02fe9803,0x3fffffe2,0x2e7fe26f,0x00dfffff,0xf987ff4c,
    0x2bfff666,0x9ff50ffb,0x541ffdc0,0x20cffffe,0xf301efe9,0x910019df,
    0x01bfffff,0xefe80fe6,0x7f5c002d,0xf980dfff,0x02defe86,0x05f7f5c4,
    0xbffb4f98,0x1effdc01,0x3f6ea200,0x100befff,0x01ee00df,0x33bfffaa,
    0x02620d40,0x40260400,0x00ffec00,0x0080fff1,0x80000008,0x02980098,
    0x02600000,0x00000260,0x00104c00,0x00400000,0x3a600260,0x00004001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55402aa6,
    0x00003531,0x0004c400,0x06620000,0x10006620,0x03330155,0x20019980,
    0x00000aa8,0x15540000,0x00066200,0x0000aa60,0x80000000,0x3f604ff8,
    0xfb009f93,0x3ea000bf,0xfff900ff,0x0dffffff,0x0dfffd10,0x2004ffe8,
    0xffc86ffd,0x3ff6200d,0x4c00cfff,0x3ff202ff,0x2207ff20,0x01ff94ff,
    0x800bffea,0x7fe45ffd,0x7c45ff30,0x3ba604ff,0x800ff901,0xb801ae4c,
    0xc9fec05f,0x7ffc404f,0x7fc4000f,0xfff906fb,0x0dffffff,0x09ffff70,
    0x017f67e4,0x227e67dc,0xd104fffc,0xdfffffff,0x202ff980,0x3ff20ffc,
    0xf94ff881,0xf5ff101f,0xdbf7001f,0x987fe45f,0x3aff62ff,0x0b35b01f,
    0xf3001ff2,0x5c005fdd,0x2e000003,0x4003ffff,0x903972ca,0x333335ff,
    0x1ffb0013,0xc8a64402,0x550aa803,0x7dc17fa0,0xffea89cf,0x9004cc03,
    0x0ffe41ff,0x2a9a7fc4,0x06a63530,0x8f223320,0x42aa22a9,0x203512a8,
    0xff904cdb,0x03971000,0x13301988,0x04cc0662,0x06feefe8,0x64033100,
    0x330001ff,0x20013bff,0x55100199,0xdf902621,0xf503ff60,0x42aa209f,
    0x07fe4098,0xff103ff9,0x33106629,0x80002660,0x204cc198,0x0bb80198,
    0x9988ff90,0xffc80000,0xfc97fd41,0x417fd41f,0x2ffbbff9,0x3ffff200,
    0x01ffc84f,0xfffff880,0x3ffae03f,0x3ea03fff,0x45fdbfff,0xbff507fc,
    0x7ffd4003,0x7e45fdbf,0x207ff20f,0x1ff94ff8,0x3ea0ffe4,0x17fdc02f,
    0x7fcc3ff2,0x3f23fe42,0x94ff881f,0x937fdcff,0x9ff103ff,0x7ec4ff98,
    0xfb13fe67,0x223ff20f,0xfe8805ff,0x46ffffff,0xccccdffc,0xfdd301cc,
    0x3f203ddf,0x3fffffff,0xffdfff98,0x03fdc5ff,0x039ffffd,0x7fefffcc,
    0x07fe45ff,0xff103ff9,0xf983ff29,0x403fec4f,0x7fe42ffb,0xfc85ff30,
    0x440ffe47,0x2aff94ff,0x3ff20eff,0xe84ff881,0xd13fe26f,0x427fc4df,
    0x3ffa5ff8,0x5f7fec00,0x323ffeb9,0xffffffff,0x0ffdc02f,0x335dff90,
    0xfe81fff7,0x517ff21f,0x3fa603ff,0xe82fffff,0x17ff21ff,0x7fe41ff9,
    0xf94ff881,0x226fe81f,0xffb804ff,0xf987fe42,0x323fe42f,0x4ff881ff,
    0x1dff3ff9,0xf881ffc8,0x51ffb84f,0x1ffb83ff,0xff703ff5,0x501ffdc5,
    0xdff30bff,0x77777fe4,0x7ec01eee,0x41bfe607,0x37fc4ffb,0x3fe17fe6,
    0x3ff6602e,0x37fc2fff,0xff917fe6,0x440ffe41,0x81ff94ff,0x3ff51ffb,
    0xc85ff700,0x85ff30ff,0x0ffe47fc,0xffca7fc4,0xffc81fff,0x884ff881,
    0x10dfb4ff,0x41bf69ff,0xfdcccffe,0x07ff606f,0x07ff2054,0x206fe800,
    0x02601ffb,0xbff09ff1,0x200fff30,0x3e26ffd9,0x645ff84f,0x07fee0ff,
    0x7fe53fe6,0xfda7fc40,0x85ff7006,0x5ff30ffc,0x7fe47fc8,0xf94ff881,
    0xf909ffff,0x09ff103f,0x81ffdbf6,0x307ff6fd,0xffffffff,0x1ffa05ff,
    0x003ff900,0xfb02ffc0,0x17fe000f,0xff70bff1,0xe827644f,0x117fe0ff,
    0x0ffc8bff,0x3e60bfee,0xb01ff94f,0x400ffedf,0x7fe42ffb,0xfc85ff30,
    0x440ffe47,0xbfff94ff,0x1ffc81ff,0xf504ff88,0x2a01ff9f,0xc80ffcff,
    0xeeeeeeff,0x0dff05ff,0x001ffc80,0x7c07ff30,0xccccc87f,0xf51ff60c,
    0x0dff88bf,0x7fc07ffc,0x3ea3fec7,0x507fe45f,0x7ff90bff,0x3ea03ff2,
    0x7000ffcf,0x0ffc85ff,0x7fc85ff3,0x7c40ffe4,0xf13ff94f,0x81ffc8bf,
    0x3fe04ff8,0x7ffc06ff,0x40dff06f,0x7ff80ffe,0x567fe400,0x202aaaaa,
    0x3fe02ffa,0xffffff87,0x2eb7fee0,0x7fd45fff,0x9beffc80,0x7dc5ffda,
    0x5fffbadf,0xff107fe4,0xfff935bf,0x7c03ff21,0x2e006fff,0x87fe42ff,
    0x3fe42ff9,0x3e207ff2,0x7e4ff94f,0x207ff21f,0x3f204ff8,0x7fe403ff,
    0x04ffa83f,0x3fa0ffee,0x7ffe4007,0x0fffffff,0x6c01ff70,0x7f7740ff,
    0x3ffa20ff,0x5c5ffeff,0xfffd107f,0x883dffff,0xffeffffe,0x2a07fe45,
    0xffffffff,0x6403ff22,0x2e003fff,0x87fe42ff,0x3fe42ff9,0x3e607fee,
    0x7c4ff94f,0x207fee6f,0x3e604ff9,0x7fcc00ff,0x01ffd80f,0x3f61ffe2,
    0x217dd01f,0xfffffffc,0xffb00fff,0x202ffb80,0x76440ffd,0xfc8bff4e,
    0x3fff2206,0xd9100dff,0xf917fe9d,0xfffb501f,0x0ffc85bf,0x301fff30,
    0x41ffc897,0x5ff30ffc,0x7fd47fc8,0xf94ff982,0xf53ffb8f,0x09ff305f,
    0x4c02ffcc,0xf80005ff,0x81bff503,0x9d006ffa,0x980bff00,0xffd00eff,
    0x4ff80cc1,0xfd8037e4,0x7c06601d,0x0066e44f,0x02e407f1,0x7dc17fe6,
    0x003ff61f,0xffb0bfea,0xfc85ffa8,0x81cdb83f,0xffc85ffa,0x05ffb303,
    0x002ffd98,0xfb01fc40,0xfff939ff,0x4c13e005,0xb804ffa9,0xfba9bfff,
    0x3ff20fff,0x4c4ffee3,0xd33005fe,0x71ffe40f,0x6fb987ff,0x6e80fe20,
    0x40bff660,0xffbaeffa,0x1ffda807,0xf88dff73,0xffc9acff,0x86fb980f,
    0xc9acfff8,0x7fc40fff,0x3fe206ff,0xf00006ff,0xffd1077d,0x009fffff,
    0xfd05dff4,0x2e003fff,0xffffffff,0x7fffc42f,0x3ff26fff,0xea99803f,
    0x3fffe206,0x54cc6fff,0x1df7c05f,0xf88d67e4,0x7f406fff,0x401fffff,
    0xf90ffff9,0xfff70bff,0x309fffff,0x3ee0bf53,0x4fffffff,0x801bfff0,
    0x0000dfff,0x5c0dfd70,0x001ceffe,0xe8877f54,0x54003fff,0x0bdfffec,
    0x9ffffd50,0x8027fe41,0x5401ceff,0x20cffffe,0x400ceff8,0xfe986fea,
    0x037ffe2f,0x5bfffb10,0x45dff700,0xd500dffd,0x105dffff,0x54019dff,
    0x02effffe,0x00020004,0x11000800,0x04010000,0x00044000,0x00011004,
    0x00004000,0x08040080,0x20003000,0x18800100,0x06200000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0xbd900009,0x31005dd1,0x44f64003,0xaf4c00dd,
    0x999803eb,0x77540199,0x5ed402ee,0x1db01d89,0xee881bb1,0xd800eeee,
    0x3ee8801d,0x07aaba60,0x00998800,0x5001dd70,0x100bb27d,0x954c01bb,
    0xffb82ffb,0xfff7002f,0x8ff98001,0xff8805fc,0xddf3002f,0x37f2007f,
    0xfff800ef,0x2a201fff,0x77c01aaa,0x3ea07fff,0xff882fee,0x6400ffff,
    0x0df9000e,0x0007ff70,0x2000efc8,0xbfd004fe,0x17a200bf,0xffb8ffb8,
    0x017ffd42,0x05fcff88,0x37c4fe40,0x0ffcfd80,0x00bff700,0x800fff44,
    0x00cccccc,0x2202c92a,0xf90072a4,0x540000bf,0xdf100b24,0x0b24a801,
    0x007fc400,0x2003fa20,0xa800fff8,0x3fee0b24,0x3ea2ffb8,0x32a002ff,
    0x00001971,0x32a79300,0x88000002,0x40000019,0x0000ae39,0xab99ba88,
    0x15515440,0x102b8e60,0x01551375,0x0002b8e6,0x54400393,0x400ab98a,
    0x47300199,0x2ffb802b,0x0005fff3,0x07ff2000,0x00013fe2,0x7c40ffe4,
    0xfffc884f,0xffc80dff,0xf94ff881,0x29ff103f,0xff881ffc,0x3e23fe64,
    0x447fcc1f,0x07ff21ff,0xff993fe2,0x3f21ff88,0x04ff881f,0x7fcc0000,
    0xd881ff88,0x40cfffff,0xff881ffc,0xff71ff94,0x407fff35,0x7fdc0ffd,
    0xc97fd41f,0x4ff881ff,0x7dc13ff2,0x207ff25f,0x7f4c4ff8,0x3fffffff,
    0x7c40ffe4,0x103ff94f,0x07ff29ff,0xff993fe2,0x7cc1ff88,0x321ff88f,
    0x4ff881ff,0x3fe23fe6,0x2207ff21,0x7fdc04ff,0xffffffff,0x23fe63ff,
    0x7f441ff8,0x46ffffff,0xff881ffc,0xff71ff94,0xc80bfff7,0x7ffec2ff,
    0xfc87fe43,0x24ff881f,0x7c41fff8,0x07ff20ff,0xffd13fe2,0xfffd739f,
    0x440ffe43,0x03ff94ff,0x3ff29ff1,0x004ff881,0x0ffe4000,0x40027fc4,
    0xff881ffc,0x7ffffc04,0xffffffff,0x9ff70003,0x47ffd513,0xff881ffc,
    0xff71ff94,0x403fffff,0x7ffc3ffa,0xf93ff45f,0x89ff103f,0x7fe46ffa,
    0x440ffe43,0x37fee4ff,0x325ffb80,0x4ff881ff,0xff103ff9,0x2207ff29,
    0x303314ff,0x26066213,0x103ff909,0x206629ff,0x03ff9099,0x7dc09ff1,
    0x99cffaaf,0x33109999,0x7fec1330,0xf927fd40,0x29ff103f,0xfffb8ffc,
    0x2206ffdf,0x3bfe65ff,0xc97fe27f,0x4ff881ff,0xff33ffd8,0x103ff90d,
    0x0ffec9ff,0x3f21ffd0,0x94ff881f,0x9ff103ff,0x3e207ff2,0xff0ff94f,
    0x3fe1ff29,0xf103ff94,0x3e1ff29f,0x103ff94f,0xb7f409ff,0xfc803ffa,
    0x3ea4ff87,0xffc801df,0xf94ff881,0x27fff71f,0x3fa04ffd,0x3feffee7,
    0x7e47ff31,0x84ff881f,0xffd8fff8,0x881ffc81,0x01ffa4ff,0x3ff23ff9,
    0xf94ff881,0x29ff103f,0xff881ffc,0x9ff0ff94,0x53fe1ff2,0xff881ffc,
    0x9ff0ff94,0x3e207ff2,0x27ff504f,0xfc803ffa,0x7f44ff87,0xf901cfff,
    0x29ff103f,0x4ffb8ffc,0x6407ffe2,0xf1bfb0ff,0xc87fee7f,0x4ff881ff,
    0x9ffdff70,0x2207ff20,0x01bfe4ff,0x3ff27ff7,0xf94ff881,0x29ff103f,
    0xff881ffc,0x9ff0ff94,0x53fe1ff2,0xff881ffc,0x9ff0ff94,0x3e207ff2,
    0x21ffd04f,0xcccceffa,0x3e1ff24c,0x7fff4c4f,0x7fe42fff,0xf94ff881,
    0xc85ff71f,0x5ff506ff,0xdaff4ffe,0x40ffe47f,0x3fa04ff8,0xff900fff,
    0x229ff103,0x7fdc06ff,0xf103ff93,0x207ff29f,0x3ff94ff8,0x3f29ff10,
    0xff94ff87,0x3ff29ff0,0xf94ff881,0x3f29ff0f,0x84ff881f,0x3fea4ff9,
    0x27ffffff,0x04ff87fc,0x5fffffb3,0x7c40ffe4,0xf71ff94f,0x3fff885f,
    0xffacff88,0x17feff91,0xff303ff7,0x17ffcc09,0xf303ff70,0x203ffc9f,
    0x3ff71ffc,0x3ee9ff30,0x74ff981f,0x9ff303ff,0x53fe1ff2,0x74ff87fc,
    0x9ff303ff,0x53fe1ff2,0xff981ffb,0x2a0ffd84,0xeeeeeeff,0x3fe1ff25,
    0x6ffd9804,0x3e607fee,0xf71ff94f,0x3fff505f,0x4ff9dfd0,0x43ffaffa,
    0xff982ffa,0x203ff404,0xff982ffa,0xe807ff64,0x05ff50ff,0x3fea9ff3,
    0xf54ff982,0x29ff305f,0x3fe20ffc,0x7c41ff94,0x305ff54f,0x83ff29ff,
    0x5ff54ff8,0xf989ff30,0xffeeeeff,0x20ffc803,0x9d914ff8,0x7d43ffa0,
    0x94ff982f,0x05ff71ff,0x3f61bffa,0x3fe25fef,0x7fd41ffe,0x403ffc85,
    0x7fd407fe,0x2a3ffc85,0xffc80eff,0x3217fea5,0x0bff53ff,0x3fea7ff9,
    0xf93ffc85,0xca7fcc1f,0x53fe60ff,0xffc85ffa,0x7cc1ff93,0x90bff54f,
    0xfffd87ff,0x03ffffff,0x3e60ffc8,0x203ffe4f,0x17fea7ff,0x7fe4fff2,
    0x002ce980,0xe87ffff7,0xff887fff,0xfffc9acf,0x203ff400,0xc9acfff8,
    0x7fec0fff,0xffffb9df,0x2b3ffe20,0xf10fffc9,0xff9359ff,0x33ffe21f,
    0x70fffc9a,0x3ff627ff,0x3627ff74,0x9fff14ff,0x21fff935,0xffb13ffb,
    0x2b3ffe29,0x220fffc9,0xdcccceff,0xffb803ff,0x649ffb13,0xfda9beff,
    0x33ffe25f,0x90fffc9a,0xfd5101ff,0xffff3003,0x05fffc83,0xfffffff7,
    0x0ffd009f,0xffffff70,0xffd109ff,0x05ffffff,0xfffffff7,0xffffb89f,
    0x7dc4ffff,0x4fffffff,0x3bfbffe6,0xdfff34ff,0x7dc9ffdf,0x4fffffff,
    0x3bfbffe6,0x3ffee4ff,0x644fffff,0xdffa82ff,0x31aaaaaa,0xffdfdfff,
    0x7ffff449,0x7dc1efff,0x4fffffff,0x33103ff2,0x3fe001fb,0x3fff987f,
    0x3ffffaa0,0x0ffd002e,0x3ffffaa0,0x7ff5c02e,0x3aa00dff,0x502effff,
    0x05dffffd,0x3bffffaa,0x8dfffa82,0x3ffea4fe,0x7544fe8d,0xa82effff,
    0x4fe8dfff,0x77ffff54,0xa83ffc42,0xffffffff,0x37ffea5f,0x7e444fe8,
    0x500dffff,0x85dffffd,0x77f40ffc,0x3ff6002d,0x003fff04,0x3fa00062,
    0x00188007,0x31000130,0x40018800,0x40010018,0x00188000,0x40310001,
    0xff503ffb,0xbfffffff,0x13100010,0x00018800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xc801262b,0x30cc005e,0x07dd3003,0x001eeb80,
    0xdb2ec800,0x07bae001,0xd8000000,0xdd5000de,0x884c4003,0x20000009,
    0x0debaee8,0x00660880,0x0007dd30,0x57f50000,0x7f44009d,0x21ff1003,
    0x3fa201ff,0x3fe001ff,0x404a8003,0x004fdff8,0xfb300ffe,0x2dffffff,
    0x200ffffc,0x2005fefb,0x3f6005fc,0x3f20bf94,0x37f20007,0xfa801ff8,
    0x4004ecef,0x3ff205fd,0x743f10ff,0x33ff2003,0x037c4000,0x3ff0ff88,
    0x37cdfec0,0x0004fa80,0xdff5009b,0x201fd400,0xfffffff9,0xffff96ff,
    0x363be601,0x07f6002f,0x5fca7ec0,0x2000ff90,0x007f75f8,0x07bf6b76,
    0x6405f880,0x3f20ffff,0x998007fd,0x01988001,0x00000000,0x7c000666,
    0x00331001,0xffffb000,0xa85dfb7f,0x0cc400ff,0x31000000,0x007fc803,
    0x2000cc40,0x00019888,0x3fe40331,0x20017930,0x3fffffeb,0x7fffe440,
    0x1ffc80df,0xff94ff88,0x889ff103,0x0cfffffd,0x403dd4c0,0x84fffffc,
    0xff881ffc,0x3fffffe4,0xffa85fb8,0xffffc880,0x1ffc80df,0xc884ff88,
    0x80dfffff,0x015517fc,0xfffffc88,0x7fe4400d,0xc800dfff,0xc84fffff,
    0x3200007f,0xffffffff,0xffffd303,0xfc87ffff,0x94ff881f,0x9ff103ff,
    0x7fffff44,0xffd306ff,0x3fa209ff,0x46ffffff,0xff881ffc,0x3fffffa4,
    0xffa85fb8,0x7ffff4c0,0x7e43ffff,0x44ff881f,0xffffffe9,0x57fe43ff,
    0xd303ffff,0xffffffff,0x3fffa607,0x103fffff,0xfffffffd,0x3207fc8d,
    0x7fe400ff,0xfffb99ae,0x9cfffe80,0x321fffeb,0x4ff881ff,0xff103ff9,
    0x44e7fdc9,0x7cc3ffea,0x84fffeff,0xeb9beffd,0x07ff23ff,0xffb93fe2,
    0x85fb8fff,0x7ff40ffa,0xfffeb9cf,0x2207ff21,0x7fff44ff,0x1fffeb9c,
    0x3f7ffff2,0xfffe82ff,0x1fffeb9c,0xb9cfffe8,0xfd81fffe,0xffeb9bef,
    0xfc81ff23,0x1bfe600f,0x3ee27fdc,0x5ffb80df,0x3e207ff2,0x103ff94f,
    0x07fec9ff,0xffb13fea,0x41ffbf33,0xff985ffa,0x2207ff26,0x3ffa24ff,
    0xa85fb8ff,0x37fee0ff,0x325ffb80,0x4ff881ff,0x2e037fee,0x97ff25ff,
    0x7fdc6ff9,0x45ffb80d,0xfb80dffb,0x42ffd45f,0x1ff26ff9,0x2e00ffc8,
    0x202601ff,0x3fa01ffd,0x103ff90f,0x07ff29ff,0xffa93fe2,0x2dff001d,
    0xffd808db,0xffc81501,0x984ff881,0x85fb8ffd,0x3ff60ffa,0x643ffa01,
    0x4ff881ff,0xfe807ff6,0xe85ff90f,0x07ff60ff,0x3f60ffe8,0x83ffa01f,
    0x81501ffd,0x3ff207fc,0x001ff600,0x3f203ff4,0x103ff91f,0x07ff29ff,
    0xffd13fe2,0x3e2039ff,0x7f407d4f,0x0ffe4007,0xf9827fc4,0xfa85fb8f,
    0x901ffa0f,0x07ff23ff,0x7fe93fe2,0xfc8ffe40,0xd0ffe40f,0x1ffc80ff,
    0xff901ffa,0x2003ff43,0x3ff207fc,0x321ffe00,0x3e0ccccc,0x9ffdc06f,
    0xff881ffc,0xf103ff94,0xfffe989f,0xdff82fff,0x1bfe00f8,0x103ff900,
    0x3fe609ff,0xffa85fb8,0xf701bfe0,0x207ff27f,0x1bfe4ff8,0x3f27ff70,
    0xf0ffe40f,0x3ffb80df,0xff701bfe,0x20037fc7,0x3ff207fc,0x3e1ffe00,
    0xf10fffff,0x3ffb80df,0xff103ff9,0x2207ff29,0xffb304ff,0xffe85fff,
    0x7c19d56b,0x7fe4007f,0x304ff881,0x50bf71ff,0x1bfe21ff,0x3f27ff70,
    0x14ff881f,0xffb80dff,0xfe85ff93,0x701bfe27,0x1bfe27ff,0x7fc7ff70,
    0x03fe4007,0x7ec01ff9,0x7ff7740f,0x901ffe0f,0x07fee3ff,0x7fdd3fe6,
    0x804ff981,0x7e46ffd9,0x46fe9cff,0x7dc007fe,0x04ff981f,0x0bf71ff3,
    0x3ffc1ff5,0x7dc7ff20,0x24ff981f,0x7fe407ff,0x2e5fff91,0x03ffc5ff,
    0x7ff87ff2,0xfd0ffe40,0x07fc800f,0xfb803ff2,0x83ff602f,0x3fa01ffd,
    0x305ff50f,0x0bfea9ff,0x76453fe6,0x441ffd04,0x2ffffffe,0xee80ffec,
    0x305ff50b,0x3fe609ff,0xffa85fb8,0xe807ff60,0x05ff50ff,0x7fec9ff3,
    0x643ffa01,0xffffffff,0xd00ffec1,0x0ffec1ff,0x7ec1ffd0,0x217dd01f,
    0x3ff207fc,0x03bfe600,0xff507ff4,0x4bff901d,0xffc85ffa,0xf90bff53,
    0x407ffc7f,0xfffb07ff,0x1bff505b,0x3ea6ffa8,0x03ffc85f,0x0bf71ff3,
    0x7fd41ff5,0x25ffc80e,0xffc85ffa,0x203bfea3,0x3ff25ffc,0xa81effe8,
    0xffc80eff,0x4077fd45,0x7fd45ffc,0x937fd40d,0x07fe40ff,0x26fffee0,
    0x40ffffba,0xfb9dfffd,0x3fe20fff,0xfffc9acf,0x359fff10,0x7e41fff9,
    0xffda9bef,0xb003b905,0xff939fff,0x67ffc45f,0x00fffc9a,0x0bf71ff3,
    0xffd81ff5,0xffffb9df,0x2b3ffe20,0x6c0fffc9,0xffb9dfff,0x89ff20ff,
    0x6fffec00,0x80ffffb9,0xfb9dfffd,0xffd80fff,0x2fffc9cf,0xffc81ff2,
    0xffffb800,0x882fffff,0xfffffffe,0xffffb82f,0x7dc4ffff,0x4fffffff,
    0x7fffff44,0x05f01eff,0x3ffffa20,0xffb84fff,0x04ffffff,0x97ee3fe6,
    0x440ffb98,0xfffffffe,0xffffb82f,0xe884ffff,0xffffffff,0x2003fe42,
    0xffffffe8,0xffd102ff,0x05ffffff,0x3fffffa2,0x4ffe44ff,0x000ffc81,
    0x7bfffd95,0xfffeb801,0x3faa00df,0xd502efff,0x205dffff,0xdfffffc8,
    0x7000f300,0x4039dffd,0x2effffea,0x7dc7fcc0,0x03ffff25,0x6fffff5c,
    0x3fffaa00,0x7f5c02ef,0xfc80dfff,0xffd70007,0xd7001bff,0x001bffff,
    0x039dffd7,0xc81ffff9,0x088000ff,0x00026000,0x03100062,0x98009880,
    0x00220004,0xe8800620,0x3f24ea8e,0x09800fff,0x00018800,0x06eb8013,
    0x00009800,0x04400026,0x03ffff20,0x00001ff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x40009999,0xfb8005ff,0x04cc001f,0x0002ffb8,0x05ed8000,0x000bbaa0,
    0x4001eea8,0xe9801eea,0x1418002e,0x06619880,0x805dd500,0x889d55e8,
    0x204e98dd,0x00dd89ec,0x5c006654,0x005fffff,0x5c002ffc,0x3f2001ff,
    0x05ff706f,0x1f887cc0,0x003fea00,0x4000df90,0xfe8003fe,0x00bfb003,
    0x7ddfff88,0x3e2ff500,0xfff1000f,0xfdfc801f,0xffdfb80f,0x3f7be601,
    0x017fc403,0x3ccccc98,0x00166400,0xa800664c,0xfb84fdef,0x6fec002f,
    0x0fec006f,0x001fc800,0xa8004fa8,0x0bf3004f,0xfd95f500,0x45fea007,
    0x5fd000ff,0xffd00bf5,0x01ffec05,0x5c02ffdc,0x1988003f,0x00331000,
    0x5c006660,0xfb81990c,0x2ca8002f,0x00198800,0x00000000,0x20000000,
    0x00000008,0x00000000,0x0c400000,0xffff9100,0xff9001bf,0xd7009fff,
    0x007fffff,0x00bfee00,0x3f220000,0x000dffff,0xb000bffb,0xffb80bff,
    0x3f29ff04,0xdeffffff,0x0bffb000,0x00bffb00,0x200bffb0,0x3ff20ffc,
    0xffffffff,0xffffff94,0xff901bdf,0xfffe9801,0x103fffff,0xfffffffd,
    0x7fffe40d,0x7e43ffff,0x75ff881f,0xff9005ff,0xdfffffff,0xfffffd30,
    0xf8807fff,0x22000fff,0x2e00ffff,0x4ff81fff,0xfffffff9,0xf8803fff,
    0x22000fff,0x2000ffff,0x800ffff8,0x3ff20ffc,0xffffffff,0xffffff94,
    0xfc83ffff,0x7fff400f,0x1fffeb9c,0xb9beffd8,0xffc83ffe,0xfffb99ae,
    0x2207ff20,0x05ff75ff,0xffffff90,0xffd0dfff,0xfffd739f,0x7fffdc03,
    0x3ffee003,0x3ffee03f,0xff94ff86,0xffd55335,0xffffb809,0x3ffee003,
    0x3fee003f,0xffc803ff,0x3ee66620,0xf90999cf,0xfd55335f,0x00ffc89f,
    0x2e037fee,0x2ffd45ff,0x3e637fcc,0x49ff706f,0xff881ffc,0x9005ff75,
    0x333335ff,0x0dffb813,0x3a05ffb8,0x2006feef,0x206feefe,0x7c2ffffb,
    0x103ff94f,0xefe80dff,0x3fa006fe,0x3a006fee,0xc806feef,0x3fea00ff,
    0x103ff903,0x0ffc8dff,0xe807ff60,0x07ff60ff,0x0ffdc054,0x1ffc8130,
    0xff75ff88,0x03ff9005,0xd00ffec0,0x7ff301ff,0xf3005ff7,0x205ff77f,
    0x20fffffb,0x03ff94ff,0x7cc0bff1,0x802ffbbf,0x2ffbbff9,0xfbbff980,
    0x07fe402f,0x3207ff50,0x5ff881ff,0xfd007fe4,0x21ffc80f,0xfd8007fe,
    0x1ffc8007,0xff75ff88,0x03ff9005,0x3203ff40,0x8ffc81ff,0xfc805ff8,
    0x705ff88f,0x7c9ff9ff,0x335ff94f,0x405ffb33,0x5ff88ffc,0xf88ffc80,
    0x8ffc805f,0x7e405ff8,0x0ffea00f,0x4ccd7fe4,0x7e42ffd9,0x01bfe00f,
    0x37fc7ff7,0x643ffc00,0xf90ccccc,0xf99999bf,0x00bfeebf,0x33337ff2,
    0x37fc1ccc,0xf10ffee0,0x007ff4bf,0x7ff4bff1,0xfe8ffb80,0x3f29ff1f,
    0xffffffff,0xe97fe205,0x3fe200ff,0x8803ffa5,0x03ffa5ff,0x2a00ffc8,
    0xfff903ff,0x0bffffff,0x3e201ff9,0x1ffdc06f,0xff000fff,0xffffff0f,
    0x3fffff21,0xf75fffff,0x5555559f,0x3fffff21,0x3e22ffff,0x1ffdc06f,
    0xffb8bfee,0xb8bfee03,0x8ffb83ff,0x29ff6ff9,0xfffffffc,0x17fdc01d,
    0x7dc07ff7,0x80ffee2f,0x3fee2ffb,0x803ff203,0xff903ffa,0x03bfffff,
    0xff803ff2,0xd0ffe407,0xffb000ff,0xfffeee81,0xddddff90,0x3eebffdd,
    0xffffffff,0xddddff93,0x7ff83ddd,0x3a0ffe40,0xffdcccff,0x333ffa06,
    0xfb86ffdc,0xff7ff90f,0x2a6bff29,0x7f401eff,0x6ffdcccf,0x3333ffa0,
    0x3fa06ffd,0x6ffdcccf,0xa803ff20,0x5ff903ff,0x203dff53,0x3f600ffc,
    0x83ffa01f,0x7dd01ffd,0xb017fdc1,0x07ff21ff,0x7fdd7fe2,0x3fffffff,
    0x6c003ff9,0x3ffa01ff,0x3ffffe60,0x982fffff,0xffffffff,0x87fdc2ff,
    0x94fffff8,0x7ffd43ff,0xfffff300,0x305fffff,0xffffffff,0xfff305ff,
    0x5fffffff,0xa803ff20,0x3ff903ff,0x6407ffd4,0x3fea00ff,0x45ffc80e,
    0x7d40dffa,0x077fcc6f,0xff90ffe8,0x50bff103,0x3ff2039d,0x3bfea001,
    0x645ffc80,0xeeeeeeff,0xeffc85ff,0x5ffeeeee,0xff507fdc,0x07ff29ff,
    0x3f20dff9,0xfeeeeeef,0xeeffc85f,0x85ffeeee,0xeeeeeffc,0xff905ffe,
    0x81ffd401,0x7fe41ffc,0x400ffc86,0xfb9dfffd,0xffd80fff,0x2fffc9cf,
    0xa9bfffb8,0xf90ffffb,0x0bff103f,0xf901fd53,0xffd8003f,0xffffb9df,
    0xfd037fc0,0x206ff81f,0x3fee0ffe,0xca7ffec0,0x7ff441ff,0x3a06ff83,
    0x037fc0ff,0x6ff81ffd,0x3203ffa0,0x3fea00ff,0x883ff903,0x7fe43ffe,
    0x7fff4400,0x102fffff,0xfffffffd,0x7fffdc09,0x322fffff,0x5ff881ff,
    0x407f4cc4,0xaaaacffc,0xffe882aa,0x42ffffff,0x3ee04ffa,0x813fea3f,
    0x3fee3ffb,0xca7ffc40,0xfff981ff,0xb813fea0,0x13fea3ff,0x3ea3ffb8,
    0x0ffee04f,0xfa803ff2,0x03ff903f,0x7e41fff3,0xffd7000f,0xd7001bff,
    0x50039dff,0x17bfffd9,0xf881ffc8,0x0ef7f45f,0xffffffc8,0xd700ffff,
    0xb01bffff,0x7fc403ff,0x8807ff67,0x03fee7ff,0x7fe53fee,0x6cbff901,
    0x3fe201ff,0x8807ff67,0x07ff67ff,0xfc87ff88,0x0ffea00f,0xfc80ffe4,
    0x003ff25f,0x44000260,0x00220000,0xff103ff9,0x3ff2000b,0xffffffff,
    0x00009800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3b200000,0x0776400d,0x74c6ec40,0x13b62005,0x3a637620,
    0x02a09804,0x22037b20,0x26206609,0x88009999,0x40013109,0xed800deb,
    0x01bf6005,0x05e98ed8,0x02666662,0x00262131,0x640398ae,0x06f640ee,
    0xdb817754,0x7fc45a8a,0x03fe8802,0x03ffbf70,0x80077dc0,0x401ffdfb,
    0x01fcdffd,0xfb80ffcc,0xff70ff36,0xf9009fff,0x4401bee9,0xffc802ff,
    0x0dfb004f,0x17f77d40,0xdfffff50,0x0df75fc8,0x09d57d50,0x3e63fe88,
    0xffff881f,0x7fff7d40,0x10017e44,0x7fec00fd,0x0077c003,0x100fff60,
    0x00bfd77f,0xb7dc05f9,0xccca87f9,0x4fc802cc,0x3ee00df7,0xe8efa803,
    0x03cb802f,0x2027fe40,0x43ccccc9,0x00df75fc,0x20033ff2,0x407f67e8,
    0x546faafd,0x00017712,0x00000000,0x0c000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ee00000,0xfffc802f,0x26ffffff,
    0x9ff04ffb,0xfb827fe4,0x7ffffc5f,0xf72fffff,0x653fe09f,0xffffffff,
    0x40ffc86f,0xfffffffc,0x27fe46ff,0x7fc5ffb8,0xffffffff,0xffffff92,
    0x7fe4dfff,0x6fffffff,0x802ffec0,0x3ff20ffc,0x6fffffff,0x802ffec0,
    0x1ff90ffc,0xc8007fe4,0x05ff70ff,0xffffff90,0x7fdcdfff,0x224ff81f,
    0x7fc41fff,0x7ffffc0f,0xf72fffff,0x29ff03ff,0xfffffffc,0x0ffc86ff,
    0x7fffffe4,0x7fc46fff,0x07ffc41f,0x3ffffffe,0xfff92fff,0x4dffffff,
    0xfffffffc,0x3fe206ff,0xffc800ff,0x3fffff20,0x2206ffff,0xc800ffff,
    0x41ff90ff,0xf9000ffc,0x00bfee1f,0x2666bff2,0x3fee0999,0x544ff86f,
    0x1ffe46ff,0x6ccccccc,0xfff70fff,0x3f29ff0d,0x999999af,0x640ffc80,
    0x99999aff,0x46ffa809,0x99983ffc,0x0fffd999,0x33335ff9,0x57fe4133,
    0x00999999,0x00ffffee,0xffc83ff2,0x0999999a,0x0ffffee0,0x7e43ff20,
    0x003ff20f,0xffb87fe4,0x01ffc802,0x85ffff70,0x3ffd84ff,0x5400dff3,
    0x3fee1fff,0xca7fc2ff,0x7e4001ff,0x00ffe40f,0xf99ffec0,0x3fea006f,
    0x007ff21f,0x8000ffe4,0x806feefe,0x3ff20ffc,0xddfd0001,0x1ff900df,
    0xffc83ff2,0x3f201530,0x005ff70f,0x2e003ff9,0x3e0fffff,0x8fff884f,
    0xf3001ffd,0xfffb85ff,0x653fe0ff,0x7e4001ff,0x00ffe40f,0x6c7ffc40,
    0xff3001ff,0x01ffc85f,0x0003ff90,0x5ff77ff3,0x320ffc80,0xf98001ff,
    0x402ffbbf,0x1ff90ffc,0x7ff57fe4,0x70ffc84f,0xff9005ff,0x3999999b,
    0x27fe7fdc,0x3fee09ff,0xd1004ffe,0x9ff709ff,0xca7fc9ff,0xcccccdff,
    0x40ffc81c,0xccccdffc,0x3fee01cc,0xd1004ffe,0xbff909ff,0x43999999,
    0xccccdffc,0x1ff901cc,0xfc80bff1,0x337ff20f,0x901ccccc,0x0bff11ff,
    0xff90ffc8,0x6f7ffe41,0x7fe42fff,0x9005ff70,0xffffffff,0x747fdc5f,
    0x409ff1ff,0x000ffffe,0x3ee0bffb,0xff1ffe8f,0x3fffff29,0xfc82ffff,
    0x7fffe40f,0x402fffff,0x000ffffe,0x3f20bffb,0xffffffff,0x3fffff22,
    0xf882ffff,0x803ffa5f,0x3ff20ffc,0x2fffffff,0x3fa5ff88,0x43ff200f,
    0x3ff20ffc,0xf913fe65,0x00bfee1f,0x3bbbbff2,0x3fee1eee,0x9ff6ff98,
    0x017ffcc0,0x700effc8,0x2dff31ff,0xddff94ff,0x903ddddd,0xeffc81ff,
    0x01eeeeee,0x8017ffcc,0xf900effc,0xdddddddf,0x7777fe43,0xfb81eeee,
    0x80ffee2f,0x3ff20ffc,0x1eeeeeee,0x3ee2ffb8,0x43ff203f,0x3ff20ffc,
    0xf913fe21,0x00bfee1f,0x5c007ff2,0xf7ff90ff,0x07fe809f,0x403fff50,
    0x7ff90ffb,0x07ff29ff,0xc81ff900,0x740001ff,0xfff5007f,0x00ffe403,
    0x4001ffc8,0xfdcccffe,0x83ff206f,0x74001ffc,0xffdcccff,0x643ff206,
    0x03ff20ff,0x0ffc8bff,0xf9005ff7,0x3fee003f,0x9fffff10,0x9807fe80,
    0x7dc02fff,0xfffff10f,0x0007ff29,0xffc81ff9,0x3ff40001,0x017ffcc0,
    0x64007ff2,0x3e6001ff,0xffffffff,0x41ff902f,0x26001ffc,0xffffffff,
    0x1ff902ff,0xffc83ff2,0x3f22ffc0,0x005ff70f,0x2e003ff9,0x3ffea0ff,
    0x03ff404f,0x2013ffa2,0x3fea0ffb,0x03ff94ff,0x640ffc80,0x740001ff,
    0x7ff4407f,0x01ffc804,0x4003ff90,0xeeeeeffc,0xff905ffe,0x000ffe41,
    0xdddddff9,0x3f20bffd,0x641ff90f,0x22ffc0ff,0x9ff70ffc,0x21555555,
    0xaaaacffc,0x03fee2aa,0xe809fffb,0x7ffec07f,0x1aaaaaaa,0xffd81ff7,
    0x559ff94f,0xf9055555,0xacffc81f,0x802aaaaa,0x7fec07fe,0xaaaaaaaf,
    0x5559ff91,0x7fe45555,0x2aaaaaac,0xffd037fc,0x641ff901,0xaaaaacff,
    0xd037fc2a,0x1ff901ff,0xffc83ff2,0x3f22ffc0,0xfffff70f,0x3f27ffff,
    0xffffffff,0x881ff70f,0x7f404fff,0x7fffec07,0x74ffffff,0xfff881ff,
    0xffffff94,0xfc81ffff,0x7fffe40f,0x00ffffff,0x3f603ff4,0xffffffff,
    0xfffff94f,0x321fffff,0xffffffff,0x09ff50ff,0x7e41ffdc,0x3ffff20f,
    0x50ffffff,0x7fdc09ff,0xf90ffc83,0x207fe41f,0x87fe45ff,0xfffffffb,
    0xffff93ff,0x21ffffff,0xffb80ffb,0x203ff404,0xfffffffd,0x1ff74fff,
    0x3f29ff70,0xffffffff,0x207fe40f,0xfffffffc,0x7f400fff,0x7fffec07,
    0x94ffffff,0xffffffff,0x3fff21ff,0x0fffffff,0x7c403ffb,0x20ffc87f,
    0xfffffffc,0x3ffb0fff,0x643ffc40,0x41ff90ff,0x2ffc0ffc,0x00003ff2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa7540000,0x3bae02ec,0x00e64401,0x0bd31bb1,0x0cccccc0,
    0xb1000600,0x2620001b,0x98198801,0x00000009,0x98800100,0x05550001,
    0x3000aaa0,0x54c13100,0x00054c01,0x3f7fa000,0x3bfbe606,0x00ffe200,
    0x003ffbf7,0x3fffffe2,0x001f5000,0x20025dec,0x1efffffc,0x9ff0ff90,
    0x3a00ffc8,0x556fe47f,0xfffc880f,0x7fffe404,0x417fa0df,0xffa805fe,
    0x7fecc02f,0x3df901df,0x6c0bffff,0x8bff001f,0xff880ffc,0x73fd100f,
    0x1ffc409f,0x001ffec0,0x01333332,0x073fff66,0x4012ef60,0xffffffe9,
    0x87fc83ff,0x07fe44ff,0x67ccffd0,0xffd06ffe,0xfd109fff,0x7fffffff,
    0x2ff417fa,0x3febfe20,0x3b3ff600,0xdfff906f,0x3e05fffb,0x7ffff407,
    0x003ff26f,0x00000000,0x10000000,0x0dffffff,0x200bffb0,0xeb9cfffe,
    0x3fe41fff,0x3ff227fc,0x289ffa00,0x67fd40a2,0x7ec0ffd8,0xffc99aef,
    0x3105eb8f,0x531a9801,0x44bfe603,0x5ffc81ff,0x3e613fea,0x7ff76406,
    0x643ff25f,0xffffffff,0x80ffc86f,0xffffffff,0xffff92ff,0x20019fff,
    0xfb805ffd,0x02ffbfae,0x003fffe2,0xf701bff7,0xf87fc8df,0x007fe44f,
    0x20662ffd,0x99ff6099,0x17fea3ff,0x27c6ffd4,0x4c00d4c4,0x7fc400aa,
    0xf903ff55,0x42ffc43f,0x155104fb,0x1ff917fe,0xffffff91,0xff90dfff,
    0xffffff01,0x3f25ffff,0xffffffff,0x7fffc402,0x7cdff400,0x3ee009a8,
    0x7ec03fff,0x83ffa01f,0x27fc47fc,0xfe803ff2,0x9ff0ff97,0x97fe2ff4,
    0x3fa01ffd,0x7fd40fef,0xfe881eff,0x3602ffff,0x906ffcff,0x85ff81ff,
    0xfffa82fd,0x7e45ffbf,0x9affcbcf,0xc8099999,0x999980ff,0x90fffd99,
    0xfb5535ff,0x7fdc01ff,0x77e403ff,0xdfd000fa,0x7fe80dfd,0xf90ffe40,
    0x227fc41f,0x3fa00ffc,0x9ff0ff97,0x9bfa2ffc,0x7fe407fe,0x6fffd40d,
    0x7fe40fff,0x100ffecc,0x640bffff,0x42ffc0ff,0x7ffcc0ff,0x645ffffd,
    0x1ffc9fff,0x007fe400,0x321fffa8,0x4ffc81ff,0x1bfbbfa0,0x03ffff50,
    0xff77ff30,0x2037fc05,0x3ff23ffb,0xf913fe60,0xcbff401f,0xf14ff87f,
    0x3e6fe89f,0x1ffdc06f,0xff887ff4,0x7911ffc4,0xffffb103,0x207fe401,
    0x437c45ff,0x3ff22ffe,0xfc97fe45,0x7fe4001f,0x2fff9800,0xff80ffe4,
    0xf77ff306,0xfffc805f,0x3ff202ef,0x3e05ff88,0x17fdc06f,0x3f627ff7,
    0x007fe44f,0x21ff2ffd,0x89ff14ff,0x0dff17fe,0x7c43ffb8,0x363fec4f,
    0x2201ceff,0x76ffdffe,0x207fe437,0x427d45ff,0x2ffcc6ff,0x3f21ffd3,
    0xccccccdf,0x400ffc81,0xfc84ffe8,0x20ffd01f,0x5ff88ffc,0xffffd980,
    0x3a5ff881,0x0ffd00ff,0x3e61ffc8,0x4ffeffff,0xfd007fe4,0x3fe1ff2f,
    0xdfd17fe4,0x3f203ffc,0x7fffcc1f,0x7cc7ffff,0xc83effff,0xf9ffb2ff,
    0x207fe49f,0x217e45ff,0x5ff84ff8,0x7e43fffa,0xffffffff,0x400ffc82,
    0xff905ffd,0x103ff603,0x07ff4bff,0x27fe7cc0,0xff717fdc,0xa87ff607,
    0xd503ffa3,0x89fd1bff,0x42ca9ffc,0x41ff96ff,0x17fe4ff8,0x17fecbff,
    0xf981ffd0,0x4cccccdf,0xffffec88,0xfd137f43,0x7fe43fff,0x3fa2ffc0,
    0x222ffc40,0x3ff325ff,0xddddff90,0xff903ddd,0x077fe401,0xfb01ffc8,
    0x22ffb81f,0x4c603ffb,0xfe87fb8f,0x6ffdcccf,0x361dff50,0x206ffcef,
    0x7fe41fc0,0x3fe26ff8,0x7cc1ff95,0xf89ffa4f,0x03bfea4f,0x7fc17fee,
    0x10988045,0x6ff8dff7,0x5037ffc4,0x1be2039d,0x3fea37fc,0xfc87fe45,
    0x7fe4001f,0x03fff500,0xfe80ffe4,0xcccffe87,0xff886ffd,0x46fa8f9b,
    0xfffffff9,0xffd02fff,0xffffb59f,0x20fe2003,0xcffd8ffc,0xff74ffd9,
    0xa93ff627,0x0ffc8bff,0x54d77fec,0xf900fffc,0x993fe23f,0x227f44ff,
    0xfc88bffc,0xd5304fff,0x209f501f,0xfe98dffc,0xc87fe45f,0x7e4001ff,
    0x2fff980f,0xf80ffe40,0x7fffcc6f,0x82ffffff,0xfe9fcffc,0x7777fe43,
    0x105ffeee,0xfffffffd,0x774005ff,0x31ff90bb,0x4dffffff,0xfefefff9,
    0x7ffff44f,0xfffe885f,0x202fffff,0xfffefff9,0x7f7ffe40,0x7ffcc0ff,
    0xffffffff,0x07f4cc44,0xff8817e4,0x45feffff,0x3ff90ffc,0x40ffc800,
    0xc804ffe8,0x4ffb81ff,0x77777fe4,0xf985ffee,0x40ffffff,0x3ffa06ff,
    0x3fffae00,0x006fffde,0x3f21dfd5,0xbffff50f,0x8dfffa81,0x7fec44fe,
    0x7ff5c04f,0xe9800dff,0xb701dfff,0x2605dfff,0x88cffffe,0x6f7f40ee,
    0x4401fd01,0x5fd9effe,0xffc87fe4,0x2aaaaaac,0x7ec0ffc8,0xaaaaaaff,
    0x559ff91a,0xff0dffb5,0x407ff40d,0xa83fffc9,0x3fee04ff,0x6c413003,
    0x0004003f,0x00010011,0x00130003,0x026000c0,0x00100980,0x08800cc0,
    0xffff9000,0x81ffffff,0x7fec0ffc,0xffffffff,0xffffff94,0xffa83fff,
    0x80ffee04,0x3ffb00fa,0x003ffc40,0x00000060,0x00000000,0x00000000,
    0x00000000,0x90000000,0xffffffff,0x0ffc81ff,0x7fffffec,0xff94ffff,
    0x019dffff,0x7c403ffb,0x003e607f,0x00000000,0x00015530,0x0004d4c0,
    0x2a14c000,0x40033000,0xa980a20a,0x54c03530,0x1355000a,0x2a620155,
    0x00000001,0x00000000,0x98800000,0xc8802a60,0xa954c00c,0x017fa01a,
    0x321ffc15,0xc84fffff,0xcff881ff,0x8fc42ffa,0x3f2a00fa,0x6401efff,
    0x2604d88d,0x880ff9ef,0x02fffffe,0x17f67fea,0x0f7fffd4,0x002882a0,
    0x0a833000,0x01545510,0x2aa00130,0xff3df902,0x2ef209ff,0x7d5ffc04,
    0x40bf500f,0x8ffe1fe8,0xfffdeffa,0x440ffe42,0x82ffacff,0x2e03fffc,
    0xffffffff,0x3bffe603,0x17ffe400,0xfeccffc8,0xf13fb00f,0x37ffea0d,
    0x37200fff,0x7c004d88,0x4c0ff9df,0xfd80f71f,0x7fdc4fca,0x1dfffd8a,
    0xfc837f40,0x2fffdeff,0x2e05aad8,0x5c03fd4f,0x87fee00c,0x8936e2fa,
    0x0ffe43ff,0x7e4e7fc4,0x4c015101,0xfda9cfff,0x00cc01ff,0x7fc05550,
    0x5406f223,0x3fa01531,0x409ff10f,0x000efff9,0x07fceffc,0x201fffec,
    0xfb86fff8,0xfffffecf,0x41bfa00f,0x3fea5ffc,0x201dd983,0x9803512a,
    0x5ff9101a,0xb9803e63,0x0ffe45ff,0x0f9a7fc4,0x2e013530,0x5ffa84ff,
    0x2006aa20,0x3f601a98,0x51001cef,0x13fe2035,0x03300ffb,0x2e37fe00,
    0x4002a207,0xffb80aa9,0xfffc9bff,0x64026204,0x53fe21ff,0x10998198,
    0x98133033,0x6c4ffffe,0x2e8fffff,0xfffffda8,0x440ffe45,0xc84fbdff,
    0x104fffff,0x03ffe015,0x1dffffb1,0x3bfffea0,0xfffff981,0xfffb103e,
    0xfff981df,0x887fffff,0x88099819,0x32bff0aa,0x00353106,0x7fdc06a6,
    0x03ffcc0f,0x3ff20353,0x7fca7fc0,0x0ff94ff8,0x7ffc49ff,0x3f63ffee,
    0xf900ffff,0x8bff37df,0xff881ffc,0xeffa81df,0x4cc2fffd,0xd9999999,
    0x3ffa21ff,0x540fffff,0x0fffdfff,0xffffec88,0x7ffff443,0x3fe60fff,
    0x84cccccd,0x44ff87fc,0xffbffffb,0xffa80e9d,0xfd301eff,0xffb89fff,
    0xd30ffd04,0xfc89ffff,0xfca7fc0f,0xff94ff87,0x7fec9ff0,0xfb83ff62,
    0x13fe201f,0x1ffc8bff,0x2e04ff88,0x88ffe24d,0xffffffff,0x3f22ffff,
    0xd17fee3f,0x13fe21ff,0x3fee2131,0xf71ffe46,0x045ff8bf,0x9ff0ff90,
    0x7fefffd4,0x3fea05ff,0x440fffdf,0x3ffeefff,0x7ec0bfee,0x3bffe20f,
    0x1ff23ffe,0x43fe53fe,0xf0ff94ff,0x2237fc9f,0x201ffb80,0x3fee4ff8,
    0x440ffe45,0x2e6004ff,0x7fffc5ff,0xffffffff,0x3fa1ffa2,0xd89ff10f,
    0xd13fe67f,0xe87fe89f,0x47ff20ff,0x7fc84ff8,0x3ffa4ff8,0xe817ff21,
    0x89ff10ff,0x3ff62ffd,0x3605ff70,0x8bff61ff,0x0ff90ffd,0x21ff29ff,
    0xf0ff94ff,0x013fe29f,0x3600ffdc,0x6fffeeff,0x7cc0ffdc,0x7fed404f,
    0x7ff45fff,0xfd999999,0x90bff11f,0x3ffe63ff,0x647fffff,0x0fffefff,
    0x3f217fe2,0x3bffe61f,0x7fc80fff,0x1bfe4ff8,0x3e20bff3,0x3e3fec4f,
    0x3ee0446f,0x43ff902f,0x320446ff,0xf94ff87f,0x3f29ff0f,0xff14ff87,
    0x07fee00b,0x75fffb30,0x17fd41ff,0xf9027fcc,0x8bff37df,0xff882ffd,
    0x7e42ffc7,0x99bff31f,0xfb709999,0xbff05dff,0xe983ff90,0xf901dfff,
    0x3e29ff0f,0x305ff84f,0xffffffff,0x4027fc4f,0xffb02ffb,0x2013fe23,
    0x94ff87fc,0xa7fc41ff,0x3fe20ffc,0x9d51ffe4,0x000ffdc1,0x7fd43d41,
    0x103ffc85,0x45ff89ff,0xffb86ffa,0x7fc3ff46,0x0022ffc7,0x7f40b7f2,
    0x2607ff87,0x07fe400f,0x3fe29ff1,0x982ffc45,0xcccccdff,0x2017fe24,
    0xffb02ffb,0x0017fe23,0xff94ff88,0xfca7fcc1,0xc93fe60f,0x6fe98cff,
    0x00057fd4,0x3fe207e4,0xfffb9acf,0x5c9ff100,0xeffd85ff,0x41fffdab,
    0xfc89dffc,0x88ffe44f,0x3a6604ff,0x9dffc80f,0x2e04ffc8,0x07fe400f,
    0x37fc9ff3,0xff817fea,0x47ff8045,0x5ff70cea,0xff83ffa0,0x50067547,
    0x3fee7ff9,0x2e9ffb13,0x9ffb13ff,0x7fffffc4,0x7fffcc2f,0x56fd4000,
    0x3ffffee2,0x7ec04fff,0x86fffeef,0xffffffe8,0xffffb01f,0xfff30dff,
    0x2601fffd,0x3f607ea9,0x406fffff,0xf702adf9,0x93ff627f,0xfe98cffd,
    0x47ff205f,0x7fe44ff8,0x2e6fe98c,0x3f26a2ff,0x467fe46f,0x7fc06fe9,
    0xdfff32ff,0x3e69ffdf,0x4ffefeff,0x16fffec4,0x001fffd8,0x6cc3ffd8,
    0x802effff,0xfbafffd9,0xfffc880f,0x7f6401ce,0x3fa604ff,0x3fa01dff,
    0x7f6401ce,0xff9004ff,0x3bffe609,0x3e24ffef,0x5fefffff,0x3fbffe60,
    0x7ffc40ff,0x3ee2ffff,0xfffff12f,0xfffff883,0x3fe202ff,0x6fffd43f,
    0x3fea4fe8,0x204fe8df,0x00011001,0x00188008,0x04400020,0x20004400,
    0x44000001,0xf5000000,0x89fd1bff,0xfd9effe9,0x7fff4c05,0xfffb101d,
    0x32ffb85b,0x2207dffd,0x002dfffd,0x02000801,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00800000,0x20000440,0x8000c001,0x00060008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a2a8800,0x0155100a,0x5540aaa0,0x00004002,0x15515440,
    0x55100000,0x02aa8001,0x4c001554,0x00000001,0x40110008,0x213100a9,
    0x2aa200a9,0x2a635501,0x000d5401,0xff301553,0x3a03ff11,0xffa806ff,
    0x805ff301,0x403fffd9,0x301cffea,0x803fe2ff,0x01f9befb,0x50037fec,
    0xff9803ff,0xffff7003,0xffffff1b,0x3fa60dff,0xd7300ebd,0xfb1017bf,
    0x01fd01bf,0x17ff3bf6,0xfd00efd8,0xfa813f67,0xff8801ff,0xf11ff304,
    0xfb9f703f,0x402fe807,0x3fe606f9,0xf904ffff,0x301fffff,0x403fe2ff,
    0x07ffedf8,0x027e6fdc,0xf3002fe8,0xffff900d,0xfffffdff,0x7c40dfff,
    0x3ffe01ff,0xbfc85fff,0x01fd43fc,0x05fffffb,0xfe803be2,0x3e209fb3,
    0xfb806faf,0x8aa00005,0x00b2202a,0xffc80654,0x440ffd9a,0x3ffa9eff,
    0x44510000,0x550aa802,0x80059100,0x3fe600c9,0xfffeb9cf,0x0099999c,
    0x209fd9f7,0xffb8affa,0x37cc7f40,0xffd803fa,0x1950098d,0x1a980000,
    0x03b80153,0x42660662,0x10998198,0x22133033,0x32099819,0x90bfea4e,
    0x015dc1ff,0x22003551,0x551001aa,0x06aa2003,0xb00d5440,0x7ffd05ff,
    0xf8989800,0x7c6fd81f,0x7f8bfc3f,0xffb00fea,0x00aa9803,0x8801a988,
    0xa98801a9,0xff0ff901,0x3fe1ff29,0x9ff0ff94,0x13fe1ff2,0xfe81ff90,
    0x3ff62006,0xfb100eff,0x2201dfff,0x00effffd,0x1dffffb1,0x3ffff620,
    0x506ff80e,0x5c4007ff,0x40efeffe,0x0bfe67fc,0x74bf31fd,0x07fec00f,
    0xfffffe88,0xdffff502,0x3fffea03,0xffff501e,0xf87fc83d,0xff0ff94f,
    0x3fe1ff29,0x9ff0ff94,0x20fffaa0,0x0cfeadff,0xfffffe88,0x7ff440ff,
    0x440fffff,0xfffffffe,0x7ffff440,0x7f440fff,0x20ffffff,0xff305ff8,
    0x0199999d,0xfffffffd,0xfdffe887,0xfddfb85f,0xfb007f53,0x667fe40f,
    0x7fd40ffe,0x540fffdf,0x0fffdfff,0x7fefffd4,0x3e1ff20f,0xff0ff94f,
    0x3fe1ff29,0x9ff0ff94,0x2217ff20,0xffffffff,0xf71ffe41,0x23ffc8bf,
    0x7fe45ffb,0xf917fee3,0x22ffdc7f,0x3fee3ffc,0x4413fe65,0xffffffff,
    0x4467fe41,0xff885ffc,0xeb880fff,0x2003fa3e,0x8ffe07fd,0x7ff41bc8,
    0xfe89ff10,0xe89ff10f,0x49ff10ff,0x94ff87fc,0x329ff0ff,0xf94ff87f,
    0x2e09ff0f,0x3e21efeb,0x8dff33ff,0x0ffe87fe,0x3ffa1ffa,0x3fa1ffa0,
    0x3a1ffa0f,0x21ffa0ff,0xbff30ffe,0x3bbbfe60,0x7ffc1eee,0x3e63ffc0,
    0x01effcff,0x36e27f50,0xb03fec0b,0x22039dff,0x13fec4ff,0x27fd89ff,
    0x3fec4ff8,0x29ff0ff9,0x94ff87fc,0x329ff0ff,0x404ff87f,0x7ffc4ff8,
    0x7c43ff20,0x11ffc85f,0x3ff90bff,0x3f217fe2,0x90bff11f,0x17fe23ff,
    0x7fc47ff2,0x007ff705,0xff90bff1,0xff137f43,0x7c3fa009,0x3fec6fdf,
    0xdfffff30,0xfffff987,0x3fe67fff,0x27ffffff,0xfffffff9,0x883ff27f,
    0x41ff94ff,0x1ff94ff8,0xffca7fc4,0x2013fe20,0x23ffc7fd,0x17fe1ffb,
    0x5ff87ff2,0x3fe1ffc8,0x3e1ffc85,0x21ffc85f,0x1ffc85ff,0x7fe41ffe,
    0x85ff8803,0x7ff10ffc,0xfb807fd8,0x83f6bf34,0x764407fd,0x3e63ffff,
    0x4cccccdf,0x33337fe6,0x37fe64cc,0x324ccccc,0x53fe60ff,0x3fe60ffc,
    0x7cc1ff94,0x4c1ff94f,0x89fb14ff,0x0ffec7ff,0x3ff41ff9,0x1ffa3ffc,
    0x0ffd1ffe,0x87fe8fff,0x43ff47ff,0x1ffec7ff,0x400fffa2,0x3ffc0fff,
    0x7fe8bff1,0x7f70fe80,0x3de88ff2,0x3ee21310,0x022ffc6f,0x7c022ffc,
    0x7fdc045f,0x2e9ffb13,0x9ffb13ff,0x7ec4ffee,0x227ff74f,0x3ff24ffd,
    0x4c5ffc8a,0x6ff98dff,0x644effe4,0x6ffe44ff,0x644ffc89,0xffc89dff,
    0x44effe44,0x7fe44ffc,0x44ffc89d,0xebadfff8,0xaaaadfff,0x4effdc2a,
    0x7f44ffd8,0x80bff52f,0x6d3ee4fb,0x0bf6a22f,0x4fe89ff3,0xff88ffe4,
    0xf88ffe44,0x88ffe44f,0x3ffe64ff,0xf34ffefe,0x9ffdfdff,0x3bfbffe6,
    0xdfff34ff,0x7c49ffdf,0x80ffffff,0x1ffffffd,0xffffffd8,0xfffffb06,
    0x3fff60df,0xffb06fff,0x360dffff,0x06ffffff,0xbffffff9,0xffffffff,
    0xffffe81f,0x7fcc0eff,0x401fffff,0x23be20fe,0xf93310fe,0xfdfff905,
    0xfff981ff,0x7cc0fffe,0x40fffeff,0xfffefff9,0x46fffd40,0x3ffea4fe,
    0x3ea4fe8d,0x24fe8dff,0xfe8dfffa,0x6fffe4c4,0x3bfff200,0x3fffb201,
    0x7fff6404,0x7fff6404,0x7fff6404,0x7fff6404,0x7fff5404,0xfffffff5,
    0xfff901ff,0x7fe4c09f,0x27dc01ef,0xf92fffec,0x7edc07bf,0xfd302eff,
    0x3a603bff,0xd301dfff,0x0403bfff,0x00400100,0x00300010,0x02200098,
    0x88001100,0x00044000,0x03100022,0x00088000,0x0cb8004c,0x00001710,
    0x00180026,0x0006000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x2a6001aa,0xa8002001,
    0x98d4c02d,0x5400001a,0x2aa6002a,0x00355100,0x2aa00262,0xaa801550,
    0x2a2a8802,0x01800882,0x00620088,0x10002662,0xa9838133,0x98803531,
    0x15515400,0xd300dfb0,0x2609ffff,0x4402effe,0x3f600eae,0x3a60bf94,
    0x2a05d9cf,0xfd002fff,0x406fd80b,0x02dfffe9,0x01beb7ee,0xb805fff5,
    0xfc8ff34f,0x80d900ef,0x017a05fa,0x6400bfea,0xd9dfffff,0x7cffcc3f,
    0xfffb100f,0x32ff205b,0x03fd105f,0x7f77ffc4,0x7fffcc3f,0x23a604ff,
    0x653f601e,0xffbd905f,0x2bfe205f,0x2fd400ff,0xd102fd80,0x80dffdff,
    0x2201fffd,0x200ffaff,0x4cbf53fd,0xf884fabf,0x417ff602,0xffa800fa,
    0x7fff4c02,0x05ffffff,0x2207fff7,0x0fffeffe,0x401dffd0,0x3ff602c8,
    0xfe83ff62,0x00ffeaae,0x00000fae,0x5300d435,0x97006a63,0xf503c800,
    0x80bfee5f,0x54c01aa8,0x7f403531,0xfb309f91,0x6c40db05,0x009d05fa,
    0xfd002aa2,0xffb539ff,0x0155405f,0x3fe25ff7,0x40355104,0x3fe01a98,
    0x3fe20446,0x9813fea4,0x9a98009a,0x009a9800,0x98009a98,0x9a98009a,
    0xf70ffb80,0x0554c01f,0x9701a980,0xbfd99ff9,0x4c3fea85,0x70bf001f,
    0x3322001f,0x037fee01,0x4c0bfff5,0x8ffb009a,0x206623cb,0x3ffea099,
    0x27fc41ef,0xf117fd40,0xffff90bf,0x3fff209f,0xfff904ff,0x3ff209ff,
    0xff904fff,0x3f209fff,0x7e44ffff,0x7441bfa7,0x302fffff,0xe89ffffd,
    0xffffffff,0x23f4315f,0x117e005e,0x7fcc007f,0x307ff601,0xc81ffdff,
    0xc84fffff,0x87fc807f,0xbfff54ff,0x7fc41fff,0x23ff9805,0x7fd46ff8,
    0x542fffde,0x2fffdeff,0x7fef7fd4,0x6f7fd42f,0x7fd42fff,0x542fffde,
    0x2fffdeff,0x17fcdff2,0xfeccffc8,0x77ffc40f,0x3b2e3ffe,0x2cffdcef,
    0x54df59f3,0x917e000f,0x07fd800d,0x3fe63ffc,0x3ea2ffc9,0x42fffdef,
    0x7e401ffb,0xffd4ff87,0xff13fe21,0x3e0cea8f,0x8fff90ef,0x0ffe24db,
    0x1ffc49b7,0x3ff8936e,0x7ff126dc,0x3fe24db8,0xff126dc3,0xffbbfe47,
    0x6447ff03,0xb17fec1b,0x53fd81ff,0x3bfd70bf,0x97e00274,0x3f6002f8,
    0x9bfe203f,0x7ff72fe8,0x7ff126dc,0x7ffffff4,0xff87fc82,0x7ec4ff8c,
    0x4c67fe47,0x7ffdc6fe,0x4c07fffe,0x5cc05ffb,0x7dcc05ff,0x7fdcc05f,
    0x2ffdcc05,0xc97fee60,0x05fff37f,0x4039dffb,0xe80446ff,0x4009f91f,
    0x0075c0fb,0x2f76a5d8,0x2027fec0,0x7fd16ff8,0x7301ffdc,0x7fff4bff,
    0x7fc82fff,0xfff9cff8,0x447fffff,0x2fffffff,0xfeaefd98,0xffffda86,
    0xfffda85f,0xffda85ff,0xfda85fff,0xda85ffff,0xa85fffff,0x25fffffd,
    0x3ffea7fc,0x7ffffcc1,0x027fc43e,0x7667fe5c,0x7c402cdf,0x4007fd43,
    0xf9bf31f9,0x8027fe49,0x44fd8fff,0x7ed41ffc,0xfe85ffff,0x7c3fe405,
    0xccdff9cf,0xfd884ccc,0xf0402dff,0xbeffc8bf,0x7fe45ff9,0x645ff9be,
    0x5ff9beff,0x7cdf7fe4,0x5f7fe45f,0x7fe45ff9,0x325ff9be,0x437fd47f,
    0x3ffffec8,0x3a017fe2,0xffffffff,0x2636405f,0x4e800fef,0xff37c326,
    0xfd83330b,0xffe84fef,0x26fbff20,0x27fc45ff,0xf883ff20,0x008bff4f,
    0x5502dfc8,0xf127fcc5,0x225ff89f,0x12ffc4ff,0x25ff89ff,0x2ffc4ff8,
    0x5ff89ff1,0xbff13fe2,0x7fe43fe4,0x7dc42621,0x2a3ffc6f,0x5bfb50ce,
    0x40355ff7,0x2f3e22f9,0x807d400f,0x217fa3fd,0x7ffd46fe,0x225ffb85,
    0x22ffc4ff,0x7e400ffc,0x653fe60f,0x09ff11ff,0x6c07f4cc,0x0ffe99ff,
    0xffb93fe2,0xfb93fe25,0xb93fe25f,0x93fe25ff,0x3fe25ffb,0xf897fee4,
    0xc97fee4f,0x3ff2717f,0xfe89ff30,0x4c67fe44,0xa9fec6fe,0xe8bb005f,
    0x200bfdbf,0x44fe883f,0xfc98cffc,0xbeffe84f,0x20fffeb8,0x3fee4ff8,
    0x3377fee5,0x3fee3b9a,0x269ffb13,0x0fffefff,0x20fd5330,0x3ffffff9,
    0xffeeffd8,0x777fec6f,0x7fec6fff,0x6c6fffee,0x6fffeeff,0x7ff77fec,
    0x777fec6f,0x5ff26fff,0x645ffffe,0x0fffefff,0x7fffffc4,0xfc8ffc2f,
    0x7c1fa803,0x701fffff,0x339fd10f,0xffffffe8,0xfffffa85,0xd82fffff,
    0x6fffeeff,0x3ffffff2,0xfff30fff,0x4c9ffdfd,0x201dfffe,0x2e01cefe,
    0xb302fffe,0x1ff75fff,0x5d7ffecc,0x3ff660ff,0x260ffbaf,0xffbafffd,
    0x2bfff660,0x3f660ffb,0x90ffbaff,0x33ffa6ff,0xefffdb80,0xbfffb102,
    0x3f67f885,0x5c04e802,0x905f100f,0xd70fffff,0xff107bff,0xbfffff73,
    0x3fff6601,0xbf10ffba,0x5ffffb97,0x746fffd4,0x0000304f,0x01000440,
    0x00400080,0x00100020,0x00100008,0x8030004c,0x26006219,0x8054c00c,
    0x5555504a,0x41a80005,0x00400098,0x02008804,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x200d5440,0x3102aa2a,0x20026603,0x4c0000a8,0x551001aa,0x00002621,
    0x00002a20,0x00000aa0,0x00006620,0x000ccc00,0x26000cc4,0x40110019,
    0x00000018,0x32007fdc,0xfc85fcbf,0x817fd41f,0x3effffc9,0x00dfb000,
    0x36ffffea,0x0bff005f,0x3bffff26,0x400ffb03,0x1ffc80fe,0xc884ff88,
    0x00dfffff,0x5c0bfee0,0x03fffffe,0x4fffffc8,0x3ffff620,0x0bf500cf,
    0x8ffc82f4,0x01ff93fe,0xe800ffc0,0xff980eff,0xfa83fec4,0x5fca89be,
    0x0077cc00,0x7fefffcc,0xbff005ff,0x5137df50,0x0ffb0bf9,0x7e417e40,
    0x44ff881f,0xffffffe9,0xff7003ff,0xfffff905,0x3a207fff,0x6fffffff,
    0xfffffe88,0x5ffd86ff,0x3f201f50,0xff93fe8f,0x00726001,0x3a01aa88,
    0x213fe26f,0x17e604fa,0xd000ca80,0x2ffe43ff,0x7d45ff80,0xfb17e204,
    0x427d400f,0xff881ffc,0x4e7fff44,0x801fffeb,0x7fe42ffb,0xfffb99ae,
    0x9beffd80,0x7dc3ffeb,0xffea89cf,0x417eb623,0x23ff204e,0x01ff93ea,
    0x1442aa20,0x5c035510,0x83ff51ff,0x37fae4f8,0x54409f32,0xf806a60a,
    0x42ffcc6f,0x4bff0aa8,0xbdddd4f8,0x7fd93e23,0x3e201551,0x881ffc86,
    0x37fee4ff,0x805ffb80,0x3fe62ffb,0xa89ff706,0x6ff985ff,0x3ea07fec,
    0xf70bf04f,0x4c7fe401,0x801ff91f,0xedffffd8,0xffffd886,0xb4ff880e,
    0x7e4f50df,0x0f70fdac,0xdbfffff7,0xf887ffff,0x545ff84f,0x5ffbffff,
    0xeaadf9ea,0x7fecf70f,0xd03ffffa,0x81ffc81f,0x3ff64ff8,0x003ffa01,
    0x7fdc5ff7,0x3f602601,0xf501501f,0x5f8003bf,0x3f201fc4,0x3ff23e8f,
    0x3bffa200,0x7441fffd,0x0fffffff,0x07ff6fd8,0x1712fcbb,0xeff987e6,
    0xedfffffd,0x22ffc2ff,0x3fe65ff8,0x25ffffdf,0x0fb8fe5d,0x3fff63f3,
    0xc82fffdf,0x40ffe42f,0x1ffa4ff8,0xb803ff90,0x01ff62ff,0x8003ff40,
    0x01cffffe,0x403645f8,0xffc80ffc,0x7fe41988,0xf917ff63,0x42ffdc7f,
    0x80ffcffa,0xf807f33f,0xff8976a3,0xfb1ff22f,0x3a5ffa8f,0x97ff22ff,
    0x3f33be3f,0x5ffd9f45,0x3ea1bfe6,0x440ffe44,0x01bfe4ff,0xfb807ff7,
    0x321ffe2f,0x3e0ccccc,0xfd30006f,0x405fffff,0x200be25f,0xffc80ffc,
    0x3ffc7fc8,0x741ffbf9,0x80ffe87f,0x7f06ffff,0x07f00fe2,0x223ffdcc,
    0x37fee1ff,0x3e5fffba,0xf2ffcc6f,0x427f77c7,0xe83ffb3e,0x237c40ff,
    0xff881ffc,0xb80dff14,0x7fdc03ff,0x3fe1ffe2,0x3fe0ffff,0x7ecc0007,
    0xb002ffff,0x7e41d70b,0xc8ffc80f,0x5d3fe27f,0xf11ffaaf,0x03ff90bf,
    0x3607fff9,0x31d897a5,0xfffda83f,0xffffffff,0x3fffa22f,0xff15ffef,
    0x2ecbff09,0xf887f27f,0xff90ffb1,0x7dc1fd03,0x24ff981f,0x7fe407ff,
    0xb17fdc01,0xfeee81ff,0x01ffa0ff,0x6ffd9800,0x7d41f980,0x203ff21f,
    0x42a98ffc,0xf73facff,0x642ffc3f,0xfff981ff,0x67dcf500,0xb8f70fea,
    0xfff9beff,0x41cccccc,0xbff4eec8,0xff117fe2,0x227f3d4b,0xffd9ee6e,
    0x6407fe40,0x20bfea2f,0x3ff64ff9,0x4c3ffa01,0x70ffe44b,0x7fec05ff,
    0x7407ff60,0x09d910be,0x9d003ffa,0x321fef98,0x0ffc80ff,0xd93fbfa0,
    0x21ffa0ff,0xbff307ff,0xfb52fc40,0xff13e63b,0x040fff8b,0x24ff80cc,
    0x2ffd46ff,0xfa8febf1,0x3ff64f9b,0xfb83ff42,0x3217fea3,0x3bfea3ff,
    0x2e5ffc80,0x83ff61ff,0xfd00eff9,0x06ffd41f,0xfff1bfea,0xa80fff01,
    0x3ef3e20f,0x3203ff21,0x3fee00ff,0x44ffb88e,0xfc89dffc,0x2ffd984f,
    0xf302fcc0,0x7d4bff0b,0x83ff64ff,0x3fee3ffc,0x2637ff23,0x2fcc5ffe,
    0xffd8bf30,0x20bff72f,0x3ffe25f9,0x0fffc9ac,0x5cefffec,0x3ea0ffff,
    0x87ffbaef,0xba9bfffb,0x7ec0ffff,0xfffc9cff,0x4df7fe42,0x7c05ffda,
    0x5fedfec3,0xf901ff90,0x7ffc401f,0xd80effff,0x46ffffff,0x006ffff8,
    0xb7359df3,0x3bff20bf,0xfffffffe,0x7ffc43ff,0x7c46ffff,0x5fefffff,
    0xa89cef98,0xfffd85fd,0x201fffff,0x7fffdc7f,0xe884ffff,0xffffffff,
    0xfffffe82,0xffff701f,0x105fffff,0xfffffffd,0xffffd109,0x5c03dfff,
    0xffffff87,0xf901ff91,0x75fec01f,0x76404fff,0xfff04fff,0x764c001b,
    0x2203dfff,0xf91dfffc,0x3aa07dff,0x880cffff,0x5fd9effe,0xbfffd930,
    0x3a3bf607,0x7ec01eff,0x7ffff541,0x7ff5c02e,0xfb100dff,0xca805bff,
    0x00bdfffe,0x0e77ff5c,0xfffff910,0x017c401b,0x0ffc87ee,0x2600ffc8,
    0x11000221,0x10000100,0x44030003,0x88002000,0x00310000,0x4c400220,
    0x40006200,0x000c0009,0x11000088,0x00131000,0x02a6012a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98510000,0x02a8aa21,0x6666402a,0x0553004c,
    0x2a200000,0x5545502a,0x13300000,0x00009988,0xccccc800,0x54000004,
    0x02aa602a,0x00002a98,0xfa80cc40,0x3ee0002f,0xffffffff,0x44fa3fff,
    0x7e57ec2f,0x881fe884,0x00ffffff,0x201fffc4,0xfffffffc,0xff704fff,
    0x3ef3f203,0x0017fd45,0x5ff517fe,0x9b2b3f62,0xf1000ffc,0x901fffff,
    0xbff103ff,0xf807fea0,0x07fdc04f,0xffffff90,0x3ff601bd,0x02ffa84f,
    0x3ffffe00,0xffffffff,0x217ffea3,0xf706fff8,0x2666603f,0xfafe8019,
    0x3fff201f,0x4fffffff,0xfe803fd0,0x17fd40ff,0xf517fe00,0x3fb3ee5f,
    0xfffffb3f,0x3333300f,0x35ff9303,0x3bff3333,0x7dc05fd0,0x00ffb805,
    0x3ffffff2,0x7fd42fff,0x2ffa82ef,0x7fdc0073,0x999cffaa,0x00a80999,
    0x32202aa6,0x06621aff,0x95440266,0x266201a9,0x999cffb9,0x8801c980,
    0x1fc981aa,0x2a2ffc00,0x0cc332ff,0x0bddfff9,0x7c06aa20,0xffffffff,
    0x220fffff,0x8025c02c,0x7fe40198,0xfffdaa9a,0xa803ff20,0x004faaff,
    0x1ffd5bfa,0x33033100,0x6c333333,0xf90fffff,0x2629ff0f,0x2620cc40,
    0x40ffea01,0x106a6098,0x4c0d4c13,0x5510988f,0x7d45ff81,0x640cc42f,
    0x201530ff,0x0effffd8,0x666fff64,0x24effccc,0x4c153098,0x41999999,
    0x19999999,0xfb81ffc8,0x501ff24f,0x003ffdff,0x7fd4ffea,0x83ff2003,
    0xfffffff9,0xfffffb0f,0x3fe1ff21,0xffe8dfb4,0x5403ff20,0x3df903ff,
    0x7e4bffff,0x25ffff9e,0xf5bfb4f9,0x2ffc7fff,0xff90bfea,0xfeaffc81,
    0x7ff444ff,0x640fffff,0x5ff881ff,0xaffe77ec,0xfffffff9,0xfffff30f,
    0xffc81fff,0x7e4dff01,0x77ffd407,0x43ffa001,0xcccceffa,0x20ffc84c,
    0xfffffff9,0x907fee0f,0x2a9ff0ff,0x5fff11ff,0xff502ff4,0x3bfff207,
    0xff92fffd,0x25fffbdf,0x3bfff638,0xdff1fffd,0x7e42ffb8,0x7fffe40f,
    0x3f22fffd,0x917fee3f,0x99999bff,0xfffd8bff,0xffff32ff,0x3e61ffff,
    0x0fffffff,0xfe80ffe4,0xf501ff27,0x7cc001bf,0x3fffea4f,0xfc87ffff,
    0x3ffa200f,0x320ffdc3,0xf14ff87f,0x57ffea7f,0x4cc43ff8,0x2099cffb,
    0x3fea5ffc,0x7d4bff94,0x47ffb04f,0x8fff2ffb,0x7fe42ffc,0xf32ffe40,
    0x743ff47f,0x3fff20ff,0x5fffffff,0x04c6ffec,0x203ffe88,0x7fc3ffe8,
    0x361fffff,0x40ff90ff,0x4002ffe8,0x3fea0ffd,0x85eeeeee,0x3fa00ffc,
    0x77ff644f,0x3fe1ff25,0x77e57f64,0xa81ff57f,0xffffffff,0xf887ff23,
    0x443ff95f,0x8ffb05ff,0x9fff3ff9,0xc85fff31,0x17fe40ff,0x2ffc53fe,
    0xff90ffe4,0xffdddddd,0x801ffd8b,0x7f404ffe,0xeffee84f,0x43ff61ee,
    0x3ffa07fc,0x3fe6002f,0x3ffeeeef,0x403ff200,0xfec85ffd,0x83ff25ef,
    0x5fee4ff8,0xfd8ffbfe,0xffdcc986,0x3ff21ccd,0xffcaffc0,0xfd82ffc0,
    0xff9ffcc7,0x2fffffff,0x3f207fe4,0xff2ffc1f,0x643ff90b,0x5ff881ff,
    0x36007fec,0x7fec05ff,0x407ff205,0x81ff27ff,0x2002ffde,0xfffffffd,
    0x3f2003ff,0x06ffc80f,0xff907fee,0xf127fcc1,0x7fb1ff5f,0xffa807ff,
    0xf81ff903,0xf81ff95f,0x88dfb05f,0xfbbff3ff,0xfc85ff7f,0x207fe40f,
    0x21ffa5ff,0x0ffe47ff,0x3f62ffc4,0x037fe407,0xf901bff2,0x4dff103f,
    0x3ea207fc,0xdff1002f,0x7ffb9999,0x207fe400,0x2a00effb,0x3fee0aff,
    0xe89ffb13,0xfff76fff,0x3ffa801f,0xff81ff90,0xff81ff95,0xf88dfb05,
    0x022bff3f,0xfc81ff90,0xf92ffc0f,0x9ff913bf,0xf881ffc8,0x703fec5f,
    0x7dc01dff,0x7fe400ef,0x324ffb81,0x67fd407f,0x21aaaaaa,0xffa82ffc,
    0x1aaaaaad,0xff507fe4,0x4155557f,0xf30ffff9,0x9ffdfdff,0xf34fffb8,
    0xff500dff,0xf03ff207,0xf03ff2bf,0x11bf60bf,0x017fe7ff,0x7e40ffc8,
    0x362ffc0f,0x86ffffff,0xff881ffc,0xfa83fec5,0x0aaaabff,0x5557fff5,
    0xacffc815,0x20effdba,0x7fd407fc,0x3fffffff,0x3ea0fff1,0xffffffff,
    0xf907fe45,0x7fffffff,0x2a1fffc8,0x4fe8dfff,0xff17ffc4,0x7ff5007f,
    0xff03ff20,0xff03ff2b,0xf11bf60b,0x8017fe7f,0x7fe40ffc,0x7642ffc0,
    0xff904fff,0xd8bff103,0xffff907f,0x3f27ffff,0x3fffffff,0x7fffffe4,
    0x3fe42fff,0x3ffffea0,0xff73ffff,0x3fffea07,0x645fffff,0x3fff20ff,
    0x883fffff,0xfe800200,0x007ff60f,0x7e40ffea,0xfcaffc0f,0xd82ffc0f,
    0xf9ffc46f,0x3ff2005f,0x3e07fe40,0x9002205f,0xbff103ff,0xff907fd8,
    0x27ffffff,0xfffffffc,0x7fffe43f,0xfc80ceff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5511a880,0x2ccccca8,0x99500000,0x2a605999,0x00000002,0x55455000,
    0xaa982660,0x5510aaa0,0x00000aa2,0x00000000,0x08026200,0x05400000,
    0x13100000,0x5fd3fd00,0x3fffffc8,0xffffff90,0x7fe401bd,0xff884fff,
    0x20ffec4f,0x6fe44ffa,0x3ff21f9b,0x2eff2001,0xfd2ffc5f,0x2e1ffb8b,
    0x7dcff56f,0x409ff04f,0x7e405ffd,0x22bff30f,0x7fc40fff,0x8bfd101f,
    0x21dffeb9,0xffb82ffb,0x20ff442f,0xfffffffc,0x5fe8800d,0xff987fe4,
    0x9999885f,0xffff9009,0x205fffff,0x80999998,0x261febfd,0x07ff45ff,
    0x8dffdbf1,0x74001ffc,0xaffc0eff,0x49f706f9,0x5cff56fb,0x4ff81fff,
    0x01ffff10,0xff987fe4,0xf917fee5,0x2ffec09f,0xfffffff3,0x3ea17fdc,
    0x1ffb82ff,0x7fffffe4,0x7e402fff,0x307fe45f,0x2a620155,0x4d7fe401,
    0x00fffdaa,0x2a2026a6,0xffd85512,0x2889ff50,0x33ff20a2,0x2200aaaa,
    0x51aa81aa,0x0025c019,0x3e1bffee,0xffff704f,0xf3154c07,0x32ffe8bf,
    0xfb101fff,0x5ffecbff,0xff72ffc8,0x417ffd45,0x321affc8,0xfeaa9aff,
    0x3ffea05f,0x3107fe45,0x3fffea03,0x03ff901e,0xff909ff7,0x26209fff,
    0x3a9ff301,0x982620ff,0x7fffe41a,0x9883ffff,0x124c1530,0x20662033,
    0xfffb8198,0xe827fc2f,0x2206feef,0x313fe619,0x5ffd1fff,0xbfffff50,
    0x5bfa2ffc,0xfff32ffb,0x3ffff605,0xf03ff90f,0x3ffe20ff,0x907fe45f,
    0xfffa81ff,0xfc80fffd,0xa8dff01f,0x2fffdeff,0xfb00ffc8,0xfc89ff5f,
    0x25ffff9e,0xfffffffc,0x677ec3ff,0x643ee5ff,0x0ffc80ff,0x3ee07fe4,
    0x3fe0ffff,0xfbbff984,0x21ff902f,0xffc84ff8,0xbf705ffe,0x04c4bff1,
    0x57fddbfa,0x3603fff9,0xf90fffff,0x01ffb03f,0xc8bfdbf9,0x03ff20ff,
    0x3fe21ffd,0xd01ffc84,0x224db8ff,0x0ffc83ff,0x1fffff30,0xfdefffc8,
    0x83ff92ff,0x7fec6ffa,0x47f22fff,0xffc80ffc,0x2e07fe40,0x3e4ffcff,
    0x88ffc84f,0x1ff905ff,0xffe81ffc,0x7c5500ff,0xa7fcc05f,0x5fffbffb,
    0x641ffb80,0x3ffcc1ff,0x2ff47fd4,0xffc83ff2,0xfb13fe20,0xffffff8f,
    0x803ff61f,0xfc85ffb9,0x7fffdc0f,0xf92fffff,0xca7fd4bf,0x0ffe81ff,
    0x82637ff6,0x01ff92fd,0xffc81ff9,0x7f47fdc0,0xf889ff1f,0x203ffa5f,
    0x0bfa0ffc,0x001fffd4,0x7fc40bff,0xfffff70f,0xffb803ff,0x7777fe41,
    0x7c44fffe,0xfc8bfd3f,0x983ff20f,0xffffffff,0x777ff747,0x503ff61e,
    0x0bfffffb,0xffb81ff9,0x2fffffff,0x7fc43ff9,0xfd03ff95,0x80ffec1f,
    0x01ff93fe,0xffc81ff9,0x7cc7fdc0,0xfb89ff6f,0x20ffee2f,0x07fa0ffc,
    0x002fffec,0x3fe60bff,0x3fffee2f,0x7dc06ffd,0x7fffe41f,0xfd85ffff,
    0xff917fa5,0xf307fe41,0x999999bf,0x3e03ff90,0x5f7fe47f,0xffc85ff9,
    0xc82ffc00,0xcaffc0ff,0x3ff261ff,0xe807fec6,0x901ff94f,0x0ffc81ff,
    0xffc87fdc,0x7ff44ffb,0x86ffdccc,0x07f60ffc,0x0fffffea,0x7cc2ffc0,
    0x7ffdc3ff,0x5c09ffb3,0x6ffe41ff,0xfa81cccc,0x9efe99af,0x7e41ff90,
    0x022ffc0f,0xf881ffc8,0xf13fe26f,0x81ff90bf,0xefffeeea,0x81ff91ee,
    0xffff95ff,0xd85fffff,0x653fe07f,0x0ffc80ff,0x3ee07fe4,0xfffff10f,
    0x7ffffcc9,0x642fffff,0x103f20ff,0x1fff7fff,0xf98bff00,0x4ffb83ff,
    0x5c07ffe2,0x0ffe41ff,0xfffffc80,0xff93ffff,0x3207fe41,0x09ff11ff,
    0xff703ff9,0xf727fc49,0x81ff90bf,0xfffffffb,0x81ff92ff,0xffff95ff,
    0xfb05ffff,0x657fe20f,0x0ffc80ff,0x3ee07fe4,0x3fffea0f,0x3bbbff24,
    0x645ffeee,0x360a60ff,0x0bff94ff,0x7f44bff0,0x85ff702f,0xff506ffc,
    0x00ffe415,0xffffffc8,0x1ff93fff,0x3e607fe4,0x80fffeff,0xdbaacffc,
    0x7fec0eff,0xc86fffee,0x5554c0ff,0x90aaaeff,0x95ff81ff,0x033559ff,
    0xff883fec,0xf901ff95,0x40ffc81f,0x7fec0ffb,0xe81bfe4f,0x43ff20ff,
    0x3fea3ee8,0x00fffa0f,0x7ffe4bff,0xff74cccc,0x83fff885,0xf90ffff9,
    0x2662003f,0x09efe999,0x7fe41ff9,0xdfffe980,0xfffff901,0xb305ffff,
    0x1ff75fff,0x7c00ffc8,0x81ff905f,0x03ff95ff,0xf883fec0,0x901ff95f,
    0x0ffc81ff,0x3e207fdc,0x09ff54ff,0xff91ffdc,0x7c53fe21,0x7ffcc2ff,
    0xff97fe00,0x77ffffff,0xfff505ff,0x23fffb03,0x40001ffc,0x07fe45fe,
    0x01801ff9,0xffffffc8,0x000800ce,0xff801ff9,0xf81ff905,0x003ff95f,
    0xff883fec,0xf901ff95,0x40ffc81f,0xffb80ffb,0x4403ffb4,0x43ff27ff,
    0xbff94ff8,0xf817ff20,0xfffff55f,0x3feeffff,0x20dffd02,0x00ffe408,
    0xf917fa00,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x442a6200,0x54c13109,0xf7000000,
    0x00bfffff,0x02660000,0x00000000,0x04cc0031,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfdbffffa,0xfff5df95,0xffffc87f,0x200defff,
    0x5ffffffc,0xf9003ff2,0x29ff100f,0xfffffffc,0x1ffd80cf,0xc88dff10,
    0x500dffff,0x7fe4ffff,0x50dfff90,0x7fe4ffff,0xffffffff,0xf103ff94,
    0x3fffeebf,0x3e0fffff,0xffffffff,0x413ff22f,0x3ff65ffb,0x20fffdc0,
    0xfff92ffa,0x0019ffff,0xfffdfff3,0x3ffff2bf,0x3f22fffe,0xffffffff,
    0x99dfd01f,0x07fe4799,0x2201ff20,0xffff94ff,0x70bfffff,0x3fea09ff,
    0x7ffffec3,0xefff81ff,0x7e43ff25,0x7fe40fff,0x3ffff27f,0x94ffffff,
    0xbff103ff,0x3fffffee,0x3ffe0fff,0x2fffffff,0xf107ffe2,0x17fe41ff,
    0xf90ffff6,0x3ffff21f,0x402fffff,0x3ff23ffd,0x261bff95,0x2bff26ff,
    0x4ffeaa99,0xfc807ff0,0x03fe400f,0x5ff91aa8,0x3ffd5333,0xfb07ff88,
    0x85ffcc1f,0x7fcc6ff9,0xf90ffc84,0xfff85fff,0x2e66627f,0x90999cff,
    0xbff103ff,0x2666ffee,0x4cccc199,0x40fffd99,0x7fe46ffa,0x3e1ffd43,
    0x3ff45fff,0xb5535ff9,0x7fc01fff,0xfcaffc47,0xc87ff42f,0x6ff881ff,
    0x0a9aff98,0x1530ffc8,0x4cc47fc8,0x207ff200,0xffd83ffa,0x3637fc41,
    0x227fc86f,0x3209bffa,0xfdff90ff,0x3ff7fcc9,0x3207ff50,0x5ff881ff,
    0x40003ff7,0xfb01fffa,0x21bfe67f,0x3fe65ff8,0x97fe27fe,0xffc81ffc,
    0xf0bff104,0x703ff2bf,0x07ff23ff,0x3ea17fe2,0x643fffff,0x4fffeaff,
    0x6ffb9ff2,0x5c0ffe40,0x4ffa81ff,0x8081ffd4,0x3fff67fd,0x43ff23ff,
    0x2e6fcffc,0x2a07fcff,0x3ff903ff,0x3eebff10,0xff30001f,0x7ffc405f,
    0xfd01ffd8,0x7fdffdcf,0x7e47ff31,0x40dff01f,0x95ff85ff,0x1ffc83ff,
    0x33335ff9,0xff905ffb,0x647fffdf,0xfffdefff,0x3feaff92,0x67fe400e,
    0x05ffdcba,0x1ffb1ffe,0xd8fff200,0x323fffff,0xf5ff90ff,0x3f37f61f,
    0x40ffea07,0xccccdffc,0x9ff75ffc,0x40155555,0xb804ffe8,0x204ffeff,
    0x1bfb0ffc,0x87fee7ff,0xffd01ffc,0x3e63ff40,0xe87ff95f,0x3ffff27f,
    0x505fffff,0x9ffe2399,0x3fe65ffc,0xdff3ff94,0xffff9001,0xc80dffff,
    0x0bff12ff,0x2613ff60,0x0ffc83ff,0x25ff1ff9,0x207fcbff,0xff903ffa,
    0xffffffff,0x3ffffeeb,0x3f600fff,0x3ffa005f,0x3fea00ff,0x57fa7ff2,
    0x0ffe47fd,0xf900ffd8,0xbffd319f,0x7dcbbff2,0x3ffff25f,0x8001dfff,
    0x3ff91ffc,0xffca7fc4,0xee881fff,0xfdddff93,0x2603dfff,0x05ff54ff,
    0x2609ff90,0x0ffc83ff,0x273faff9,0x207fc9ff,0xff903ffa,0xffdddddd,
    0x3ffffeeb,0xff900fff,0x7fcc001d,0x67fc402f,0x2ff91ffa,0x0ffe45ff,
    0xf100ffd8,0xbfffffff,0x3ffffff2,0x2bff21ff,0x001effa9,0xff91ffb8,
    0xff95ff81,0xff109fff,0x2a07ff29,0x5ffe05ff,0xff800ffd,0x20ffe605,
    0x2ff90ffc,0xf97fbefc,0x81ffd40f,0xff881ffc,0x4003ff75,0x8001fffa,
    0xdfd007fe,0x57fd4ff9,0x0ffe43ff,0x74407fe8,0x95fe9eff,0x3dffd1ff,
    0x3ea1ffc8,0x89d900ff,0x03ff27fd,0x3fff2bff,0x7fc40ffd,0x3603ff93,
    0x5ff900ff,0xff100bff,0x41ffcc05,0x2ff90ffc,0xf95feffa,0x81ffd40f,
    0xff881ffc,0x2003ff75,0x0002fff9,0x3f600ffd,0x3fe25fef,0x7fe41ffe,
    0x200dff01,0x7e57fa08,0x7fe40227,0xb837fe41,0x49ff52ff,0xaffc0ffc,
    0x5ff89ffc,0x07ff25f0,0xf9807ff4,0x8802ffff,0x3fe600aa,0xf90ffc83,
    0x4ffffe2f,0x3fea07fc,0x103ff903,0x07feebff,0x013ffa20,0x7007fe80,
    0xfe87ffff,0x1ffc87ff,0x0004ffb8,0x01ff2bfd,0x3a20ffe4,0xfff883ff,
    0x3f21ffff,0xfcaffc0f,0xf907ff27,0x2ab3ff21,0x406ffeaa,0x1007fffe,
    0x7fcc05dd,0xf90ffc83,0xc8ffff4f,0x0ffea07f,0x7c40ffe4,0x003ff75f,
    0x5555fffb,0xfe803555,0xffff3007,0x85fffc83,0xdaaacffc,0x3a0006ff,
    0x200ff95f,0xff981ffc,0xffec980f,0x207fe40d,0x44ff95ff,0xc87a26ff,
    0xffffffff,0x7fdc01ff,0x7ff3004f,0x641ffcc0,0x64ff90ff,0x81ff27ff,
    0xff903ffa,0x2ebff103,0xffd801ff,0xffffffff,0x003ff404,0xff30ffff,
    0xffff907f,0x003fffff,0x6eba76c0,0x203ff900,0x00405ffc,0x5ff81ff9,
    0x3ffb8ff9,0x3fffff20,0x8801cfff,0xf3001fff,0x1ffcc07f,0x7fc87fe4,
    0x7fc97fea,0x640ffea0,0x5ff881ff,0xfb003ff7,0xffffffff,0x07fe809f,
    0x7c13ff60,0xfffc81ff,0x000cefff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe200,
    0x2207ffff,0x99993009,0xf0bfee79,0x017fdcbf,0x4c017fdc,0xaaaaaaaa,
    0x3303310a,0x00003311,0x4c006a62,0x554c009a,0x33033100,0x106aa201,
    0x0d544033,0x1001a980,0x0aa88353,0x54400010,0xff90510a,0xdfffffff,
    0x7fffffc4,0x13fa07ff,0xb7ffffd4,0x2ffc2ffb,0xf7005ff7,0x2003005f,
    0x9ff0ff91,0x89dc3ff7,0xff505909,0x3f203dff,0xe884ffff,0x642fffff,
    0x444ff87f,0xb0effffd,0xfffb10ff,0x3fa601df,0xfb104fff,0xff93bfff,
    0x67c41bff,0x3ff62000,0xfc86edff,0xffffffff,0x33333226,0x3fa05ffc,
    0x33333104,0xfb0bfee1,0x4017fdcb,0x01802ffb,0x3e1ff230,0xf31ffbcf,
    0xffdfffdf,0x7efffd41,0x77fd40ff,0x7e42fffd,0x20ffeccf,0x24ff87fc,
    0xffffffe8,0x7447fd8f,0x0fffffff,0x7f77ffc4,0x7fff443f,0xdeffffff,
    0x3ffe25ff,0x7ff4402d,0xc81fffde,0x99999aff,0x0ffb8009,0x31013fa0,
    0xe82ffb83,0x200bfee4,0x01802ffb,0x3e1ff230,0x360fb8cf,0x4fffffff,
    0xff887ff4,0xff126dc4,0x3223ff87,0x3e1ff21b,0xb8fff24f,0x646d9bff,
    0x17fee3ff,0x7fec5ffb,0x2233ff20,0x3ea4fffc,0x3ffff21f,0x47ff903e,
    0xffc85ffd,0x3fe20001,0x7fe66542,0x7e41ccce,0x90bfee0f,0x017fdc1f,
    0x0c017fdc,0xf0ff9180,0xff71ea9f,0x445ff717,0x03fec4ff,0xfb17fee6,
    0x3f2039df,0x3fa4ff87,0x8bb6fe87,0x0ffe87fe,0xd0111bfe,0x83fff0ff,
    0xffea84ff,0x9ffe0cff,0x640ffdfc,0x320001ff,0xffffb84f,0x642fffff,
    0x0bfee0ff,0x02ffb839,0x2622ffb8,0xf91800c1,0x5f9bff0f,0x27f45fd8,
    0xfffffff3,0xfffb50ff,0xfff98bff,0x3fe43eff,0x5ff8a7fc,0x21feffc8,
    0xffc85ff8,0x2009ff11,0xfffd85ff,0x205fffff,0xf14fffc9,0x3eabee9f,
    0x66ffe41f,0x201ccccc,0xffb81ff9,0x2fffffff,0xff707fe4,0x05ff7005,
    0x7dc5ff70,0xc8c0060f,0x3ffe20ff,0x745fd80b,0x337fe64f,0x7e44cccc,
    0x85ff9bef,0x3ffffec8,0xff883ff2,0x3f217fe4,0x85ff80cf,0xbff11ffc,
    0x3a17fe00,0xccccccff,0x3ffae203,0x4feb3fe4,0x7fe41ffb,0x2fffffff,
    0x7401bf60,0x07fe404f,0xf7005ff7,0x5ff7005f,0x00307fdc,0xf307fe46,
    0x5ffdc09f,0x7fc2ffb8,0x27fc4045,0x213117fe,0x3f26ffb8,0xe93fe60f,
    0x206ff87f,0x47ff87fe,0x067547ff,0x7fc41ffd,0xfb500c2f,0x7f419fff,
    0x03ff64fe,0xdddddff9,0x3fe203dd,0x809fd003,0x3fee0ffc,0x02ffb802,
    0x2a62ffb8,0xf71800c2,0x13ff627f,0xffffffc8,0x88ffe44f,0x93fe24ff,
    0x3fe65ffb,0xff727f44,0xc93ff627,0xffc89dff,0x277ff202,0x7e44ffc8,
    0x46fe98cf,0xfd99effb,0x5ff70dff,0x5fffffdc,0x88effb80,0xffc84ffb,
    0x0ffa8001,0xc809fd00,0x0bfee0ff,0x200bfee0,0x01802ffb,0x3bffe630,
    0xf304ffef,0xffdfffdf,0x7f7ffcc3,0x77fec0ff,0x7e46fffe,0x20fffeff,
    0xfefefff9,0x7fffec4f,0xffd806ff,0xf886ffff,0x82ffffff,0xfffffffe,
    0x25ffffff,0x402efff8,0xfffffff8,0x01ffc80e,0x2006fc80,0x7fe402cb,
    0x200bfee0,0xfb802ffb,0x3001802f,0x7477ffd4,0x4c52a04f,0xffd30590,
    0xffb303bf,0xb81ff75f,0xa82efffd,0x4fe8dfff,0x04fffec8,0x13fffb20,
    0x2dfffd88,0x4ffffee0,0x20befffa,0xfb001df8,0x409fffd7,0xd8001ffc,
    0x3332a05f,0x41cccccc,0x3fee0ffc,0x0aaaaaac,0x55559ff7,0x33fee155,
    0x30aaaaaa,0x00220600,0x00300000,0x004c0004,0x00440004,0x18001100,
    0x08804400,0x43300020,0xcffc8008,0x02aaaaaa,0x7fdc07ff,0x2fffffff,
    0xff707fe4,0x7fffffff,0x3fffffee,0xfff73fff,0x27ffffff,0xaaaaaaaa,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,
    0x0fffffff,0xf7017fc4,0xffffffff,0x2e0ffc85,0xffffffff,0xfffff73f,
    0x3ee7ffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff20000,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99800000,0x41551000,0x040001a9,0x44262133,0x206a209a,0x20cc4098,
    0x40662198,0x81331099,0x41310998,0x20cc41a9,0x21310998,0x266660a9,
    0x06621999,0xea805013,0x512a8805,0x01542aa3,0x80551002,0x54044008,
    0x18026201,0xb80bff00,0xfedfffff,0x54003fff,0x7ed3fe4e,0xa8ffffbd,
    0x3f61ffff,0xf907ff46,0x507ff21f,0x3ffe65ff,0x7e4dff30,0x25ffff9e,
    0x3bfea7fc,0xbff9dfb0,0x3fffffe6,0x21ff90ff,0x17ee0efa,0xfd807fb8,
    0x57ee3fd3,0xeffc84fc,0x203ff902,0xfa80effc,0xff903f85,0x7ff5c1ff,
    0x302ffc04,0xffffbdff,0x805ffdbf,0x3e4fffc8,0xbbfffb4f,0xffddffff,
    0xf88ffd4d,0x997fa2ff,0x23fec4ff,0x3ffd4ffb,0x7ef7ffe4,0x26ff92ff,
    0x3ff60eff,0xfff32fff,0x321fffff,0x1dff90ff,0x2e01dff7,0xcb7d407f,
    0x7c5ff45f,0x3a73ea1f,0x85fff886,0x6c4fabf9,0x5f1935ff,0x6ceec493,
    0xfd7df12f,0x501e6403,0x17ffc4bb,0x3f660ff9,0x2aa1efff,0x7f47ffb1,
    0x443ff64f,0xbfff53ff,0xdfd0ffe2,0x7ec27fc4,0x7e43ffdf,0x653fea5f,
    0x40eff9ff,0x0098dffd,0x7e47ffd1,0x3ffff20f,0x64ccc0ef,0x220999ff,
    0x40ffaaff,0x46fb8ffa,0xff90df11,0x3f6601ff,0x5d7eb622,0x40ffffff,
    0x7f73feb9,0x999893ea,0x00999999,0xf11ffee6,0x7fff543f,0x7fd801cf,
    0xff90ffec,0xefcafec3,0xa81ff57f,0x03ff71ff,0x90bffff1,0xaffc43ff,
    0x81fffffc,0xfe801ffd,0x207fe44f,0x440efffc,0xffffffff,0x3e3bf64f,
    0xf1dfb04f,0x42fe889f,0x04feaff8,0x97e07fd5,0x2209ffd8,0xf93fdefe,
    0xffb9be65,0x2fffffff,0x7ffffed4,0x2fffffff,0x005bfff1,0x7fe47fd8,
    0xfb87fee0,0xb1ff7fd7,0x753fe0df,0x3ffee06f,0x7c0ffc80,0xfffff95f,
    0x801ffb09,0xffc85ffd,0x077ffdc0,0x3fffffe2,0x3bf24fff,0xbfb05fe8,
    0x7fcc9ff1,0xff77fb81,0x20fd0c41,0x17f3ea5f,0x54ff27f7,0x7dc7f74f,
    0xffffffff,0x26fbfee2,0xcccccfff,0x5bfff11c,0x646fd800,0x87fee0ff,
    0xd8ffaff8,0xf903ffbf,0x6c07ff3f,0xffc84fff,0xffcaffc0,0x7ec1ffdf,
    0x837fe407,0x3fee0ffc,0x2a20efff,0xaaaffdaa,0x3e6ffa21,0x647fd41f,
    0x337fe26f,0xff8a7fc4,0x1beb3e63,0x3aedb2fc,0x3ff7bea0,0x83ffbfe3,
    0xaaaaaaa9,0xf17fe0aa,0xeb8081ff,0x800bffff,0x07fe46fd,0xffe83ff7,
    0x1ffff76f,0x3ffbfe60,0xfffff500,0x7c0ffc83,0xf13ff95f,0x207fd8bf,
    0xf900effb,0x23bfee1f,0xf700effc,0xb8ff980f,0x7c57f46f,0x3ffff21f,
    0xfd87fee7,0x80eff5c7,0xb701045f,0x6dc45937,0x00d5400b,0x7ffd4bff,
    0x2a03ff64,0x21dffffd,0xc8dfb3ee,0x07fee0ff,0x3e69fff7,0x7ff406ff,
    0x3dff104f,0x7fe41dff,0x7fcaffc0,0x7fd8bfee,0x557fff50,0x43ff2155,
    0x3bf20efa,0x900ff700,0x7dcbfa9f,0xa8007fb5,0x0055442a,0x00000000,
    0x3205ff80,0xffffeeff,0x403fffff,0x3e4fffc9,0xfc8dfb4f,0x107fee0f,
    0x7ffc5fff,0x0fffd403,0xff71ffe8,0x3e07fe4b,0xfe8ff95f,0x7e41ff66,
    0x3fffffff,0x40541ff9,0x01fee00b,0x551a8954,0x00000aa1,0x00000000,
    0x0bff0000,0x8efffe44,0x003efffc,0x4ff93ee2,0x0ffc8dfb,0x3fa07fee,
    0x007ff60f,0x7fdc1bfe,0xfc97ff44,0xfcaffc0f,0xfd9ffd47,0xfffff907,
    0x3ff27fff,0x00000000,0x00000000,0x00000000,0x00998000,0x00044030,
    0x00000020,0x00000000,0x00000000,0xaa800000,0x976a1530,0xeeeeeee8,
    0x00006eee,0x00000000,0x00000000,0x00000000,0xaaaaa880,0x5511aaaa,
    0x35555555,0x45db8110,0x81104408,0xcda83dda,0x41551382,0x542bbbb8,
    0xc886622a,0xcccccccc,0x7ecbfe4c,0x7744ff73,0xeeeeeeee,0x00000006,
    0x00000000,0x00000000,0x88000000,0xffffffff,0xfffff14f,0x6c49ffff,
    0xf1ff24ff,0x7ddffadf,0x4bf2222f,0xdfffffe9,0xa97f66ec,0x3e66ffff,
    0xf89fee2f,0xffffffff,0x7ecbfe7f,0x0000ff73,0x00000000,0x00000000,
    0x00000000,0x7c400000,0xffffffff,0xffffff14,0x57e49fff,0xf8ff92fb,
    0x3eeffd6f,0x3f93312f,0x3fff7fea,0x8ff45fff,0x366ffffa,0x223fdc3f,
    0x88888888,0x00000008,0x00000000,0x00000000,0x00000000,0x98000000,
    0x99999999,0x26666660,0xd8fe4fe9,0x2bff1ae6,0x23ff77fe,0x32a2dffb,
    0x213bf260,0x333312b8,0x1dcc15c3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4fd80000,0xe9a7457a,0x6fca7f44,0x00001ff5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0xffffffff,0x93f6009f,0x991ffffa,0x53ee5f90,0x000006f8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0x313f6009,0x00000179,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55551000,0x00355555,0x000006aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_22_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_22_latin_ext_y[560]={ 17,2,2,2,1,2,2,2,2,2,2,5,14,10,
14,2,2,2,2,2,2,3,2,3,2,2,6,6,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,2,6,2,6,2,6,2,6,2,2,
2,2,2,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,6,2,2,4,2,
2,2,2,2,2,7,6,10,2,0,2,3,2,2,2,6,2,8,17,2,2,7,2,2,2,6,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,5,2,-1,-1,-1,-1,-1,2,2,2,2,
2,2,2,2,6,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,6,2,2,2,2,2,2,2,
-1,3,-1,2,2,6,-1,2,-2,2,-1,2,-1,2,-1,2,2,2,-1,3,-2,2,-1,2,2,6,-1,2,-2,2,
-1,2,-1,2,2,1,-2,-1,2,2,-1,2,-1,3,-2,2,2,2,-1,6,2,2,-2,2,2,2,6,-1,-1,3,
2,3,2,3,2,2,2,-1,2,2,6,-1,2,2,2,6,-1,3,-2,2,-1,2,2,6,-1,2,2,6,-1,2,
-1,2,-2,2,2,6,-1,2,2,3,-1,2,2,3,-1,2,-1,3,-2,2,-2,2,-1,2,2,6,-2,2,-2,2,
-1,-1,2,-1,2,-1,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,-1,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-2,-2,2,-2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_bold_22_latin_ext_w[560]={ 0,4,8,11,11,17,14,4,5,6,8,11,4,6,
4,7,10,7,10,11,11,11,11,11,11,11,4,4,11,11,11,11,20,15,13,14,13,12,11,15,12,4,10,14,
11,15,12,15,12,16,14,13,12,12,15,19,14,15,12,6,7,6,10,13,5,11,11,11,11,11,8,11,10,4,
6,10,4,16,10,12,11,11,7,11,7,10,11,16,11,11,10,8,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,11,11,11,11,
3,11,7,16,7,10,11,6,16,13,7,11,7,7,6,10,12,4,6,5,7,9,17,16,17,12,15,15,15,15,
15,15,20,14,12,12,12,12,6,5,8,8,15,12,15,15,15,15,15,10,15,12,12,12,12,15,12,11,11,11,
11,11,11,11,17,11,11,11,11,11,6,5,8,8,12,10,12,12,12,12,12,11,12,10,10,10,10,11,11,11,
15,11,15,11,16,12,14,11,14,11,14,11,14,11,13,15,15,12,12,11,12,11,12,11,12,11,12,11,15,11,
15,11,15,11,15,11,12,10,15,11,7,7,7,7,7,7,5,5,4,4,13,9,12,7,14,10,10,11,5,11,
7,11,7,11,8,12,6,12,10,12,10,12,10,14,13,10,15,12,15,12,15,12,20,18,14,7,14,8,14,8,
13,11,13,11,13,11,13,11,12,7,12,10,12,7,12,10,12,10,12,10,12,10,12,10,12,12,19,16,15,11,
15,12,10,12,10,12,10,6,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,15,11,11,11,11,11,11,11,11,11,11,11,11,11,16,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,7,7,15,
12,12,10,12,10,12,10,12,10,12,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,11,20,17,15,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_22_latin_ext_h[560]={ 0,15,6,16,18,16,16,6,20,20,8,10,7,4,
3,16,16,15,15,16,15,15,16,14,16,16,11,15,12,8,12,15,20,15,15,16,15,15,15,16,15,15,16,15,
14,15,15,16,15,17,15,16,15,16,15,15,15,15,15,19,16,19,9,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,15,15,11,12,15,12,11,11,11,16,11,20,20,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,19,16,12,15,
20,20,3,16,8,10,8,4,16,3,7,14,9,9,4,15,19,4,5,9,8,10,16,16,16,16,18,18,18,18,
18,17,15,20,18,18,18,18,18,18,18,18,15,18,19,19,19,19,19,10,16,19,19,19,19,18,15,16,16,16,
16,16,16,16,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,12,16,16,16,16,20,19,20,
18,15,18,16,20,16,19,16,20,16,19,16,19,16,18,16,15,16,18,15,19,16,18,16,20,16,18,16,20,20,
19,20,19,20,20,21,19,18,15,15,18,15,18,14,19,15,20,20,18,11,16,20,20,20,20,20,11,18,18,19,
20,14,15,14,15,15,15,18,15,20,16,18,15,15,16,16,19,15,20,16,19,16,16,12,18,15,20,16,18,15,
19,16,20,16,20,16,19,16,22,20,18,16,15,15,19,16,19,15,20,16,20,16,19,16,20,16,19,15,19,20,
18,18,15,18,15,18,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,16,18,15,19,
16,19,16,19,19,19,19,19,19,19,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,20,19,16,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_bold_22_latin_ext_s[560]={ 255,164,85,145,66,180,202,80,199,248,229,
163,75,119,160,228,149,184,192,45,239,40,57,14,168,25,43,74,31,43,228,
109,227,143,79,191,238,1,177,175,164,130,164,203,58,135,130,148,226,94,25,
206,151,135,93,218,169,202,189,237,127,126,204,165,113,133,115,197,86,121,121,
74,52,159,205,63,251,48,106,184,13,1,128,145,218,157,82,65,94,27,136,
42,51,111,101,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,255,103,73,
233,109,58,170,187,152,39,238,175,55,119,98,138,67,26,196,215,126,140,113,
133,94,223,246,186,220,175,157,192,102,118,194,162,178,78,14,212,13,81,145,
195,224,231,14,94,230,68,17,86,133,206,162,152,205,149,100,46,33,39,81,
109,97,85,73,61,49,37,13,13,1,243,231,219,114,108,49,121,155,70,121,
108,95,82,69,1,240,34,23,12,1,1,178,13,50,37,208,164,25,134,222,
111,42,133,17,66,85,40,36,12,21,236,103,9,73,28,158,178,57,241,1,
204,83,99,1,83,32,134,101,14,48,237,184,159,248,151,187,38,244,35,95,
167,251,147,124,198,185,208,1,229,117,1,246,61,146,46,238,70,246,1,249,
134,103,174,217,26,114,125,52,78,1,171,154,191,190,228,134,209,147,200,139,
198,231,94,59,207,117,190,120,216,224,121,1,131,218,123,90,54,120,138,94,
62,240,1,216,89,36,100,154,111,16,73,49,173,116,132,208,23,219,55,43,
246,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,176,82,82,70,
82,82,82,82,82,82,82,82,82,82,82,82,82,160,168,82,82,82,82,82,
82,82,82,82,82,82,82,82,147,94,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,171,221,
210,1,78,14,65,245,107,144,155,168,179,133,238,213,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,67,55,192,56,26,1,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82, };
static unsigned short stb__arial_bold_22_latin_ext_t[560]={ 1,228,288,178,125,161,125,288,1,1,276,
276,288,288,287,125,125,228,228,161,228,244,161,260,161,178,276,244,276,288,260,
244,1,228,244,195,244,260,244,195,244,244,195,228,260,244,228,195,228,125,244,
195,244,195,244,244,228,244,244,66,195,66,276,287,288,260,195,260,195,260,244,
195,244,228,1,244,228,276,276,260,244,244,276,260,228,260,276,276,276,195,276,
1,1,24,288,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,1,228,66,
178,260,228,1,1,287,195,276,276,288,288,195,288,288,260,276,276,288,212,66,
288,288,276,276,276,195,178,178,178,86,86,86,86,86,125,212,1,106,106,106,
106,106,106,125,106,212,106,66,86,66,66,66,276,178,66,66,66,66,106,228,
178,178,178,178,178,178,178,276,178,178,161,161,161,228,228,228,228,161,228,161,
161,161,161,161,276,260,161,161,161,161,24,66,24,125,228,106,142,24,142,66,
142,24,178,86,144,66,144,125,144,228,125,106,228,86,144,106,125,24,142,125,
142,24,24,66,1,86,24,1,1,86,106,212,212,106,212,106,260,66,212,1,
24,45,276,125,24,24,24,45,24,276,106,86,86,24,260,195,260,195,212,125,
86,212,1,125,106,212,212,144,143,86,212,1,142,66,142,161,260,86,212,1,
161,86,228,66,161,1,125,24,142,45,178,1,1,86,142,212,212,45,125,45,
212,24,144,24,143,45,143,24,125,45,212,45,24,106,106,212,125,212,106,212,
212,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,142,260,260,24,
260,260,260,260,260,260,260,260,260,260,260,260,260,125,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,142,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,106,178,
86,228,45,195,45,178,45,45,45,45,45,45,45,45,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,1,1,45,195,1,195,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260, };
static unsigned short stb__arial_bold_22_latin_ext_a[560]={ 88,105,149,175,175,280,228,75,
105,105,123,184,88,105,88,88,175,175,175,175,175,175,175,175,
175,175,105,105,184,184,184,192,307,228,228,228,228,210,192,245,
228,88,175,228,192,262,228,245,210,245,228,210,192,228,210,297,
210,210,192,105,88,105,184,175,105,175,192,175,192,175,105,192,
192,88,88,175,88,280,192,192,192,192,123,175,105,192,175,245,
175,175,158,123,88,123,184,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,88,105,175,175,175,175,88,175,
105,232,117,175,184,105,232,174,126,173,105,105,105,182,175,88,
105,105,115,175,263,263,263,192,228,228,228,228,228,228,315,228,
210,210,210,210,88,88,88,88,228,228,245,245,245,245,245,184,
245,228,228,228,228,210,210,192,175,175,175,175,175,175,280,175,
175,175,175,175,88,88,88,88,192,192,192,192,192,192,192,173,
192,192,192,192,192,175,192,175,228,175,228,175,228,175,228,175,
228,175,228,175,228,175,228,226,228,192,210,175,210,175,210,175,
210,175,210,175,245,192,245,192,245,192,245,192,228,192,228,192,
88,88,88,88,88,88,88,88,88,88,247,175,175,88,228,175,
175,192,88,192,88,192,121,192,151,192,88,228,192,228,192,228,
192,223,228,192,245,192,245,192,245,192,315,297,228,123,228,123,
228,123,210,175,210,175,210,175,210,175,192,105,192,151,192,105,
228,192,228,192,228,192,228,192,228,192,228,192,297,245,210,175,
210,192,158,192,158,192,158,88,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,229,236,236,175,236,236,236,236,236,
236,236,236,236,236,236,236,236,269,224,236,236,236,236,236,236,
236,236,236,236,236,236,236,261,228,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,228,175,88,88,245,192,228,192,228,192,228,
192,228,192,228,192,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,228,175,315,280,245,192,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_22_latin_ext(stb_fontchar font[STB_FONT_arial_bold_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_22_latin_ext_s[i] + stb__arial_bold_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_22_latin_ext_t[i] + stb__arial_bold_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_22_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_22_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_22_latin_ext_x[i] + stb__arial_bold_22_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_22_latin_ext_y[i] + stb__arial_bold_22_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_22_latin_ext_s[i] + stb__arial_bold_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_22_latin_ext_t[i] + stb__arial_bold_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_22_latin_ext_x[i] + stb__arial_bold_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_22_latin_ext_y[i] + stb__arial_bold_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_22_latin_ext_LINE_SPACING
#endif

