// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT        312
#define STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_23_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_23_latin_ext_LINE_SPACING          15

static unsigned int stb__arial_bold_23_latin_ext_pixels[]={
    0xeeeeb810,0x0eeeeeee,0x000000c0,0x19970000,0x00000000,0x00000000,
    0x00066440,0x900f2791,0x540b2e39,0x3bee01cc,0x952cb803,0x00000005,
    0x85999999,0x0faa07f9,0xfffffff9,0x7401ffff,0x7fd4000f,0x0ffec00e,
    0x002ff980,0x0007ff50,0xd000dff7,0x7ec005ff,0x0dd3004f,0x00fefb80,
    0x077d77d4,0x2e05fe88,0x7cc04fff,0x0000ffbf,0xf8017fe2,0x4c3fffff,
    0x87ff507f,0xfffeeeeb,0xf700eeee,0xdff88003,0x07fe204f,0x0003fd80,
    0x220013fa,0x2004fdff,0x800ffdfc,0x401ffefb,0x804a98c8,0x804a99c8,
    0x4401fffc,0xff7301fe,0x5fff700f,0x06fc8000,0x55555540,0xfa83fcc1,
    0x2ffc403f,0x001dfb00,0x02fe9fec,0xed8005f9,0x09f50000,0x3a2bfa00,
    0x76fa802f,0x8ff980bf,0x3e600efa,0x1f300f50,0x2aa201ea,0x80351002,
    0x555007fc,0x0ef88000,0xff300000,0x39bffb50,0x8017fe20,0x00001ffd,
    0xd5000540,0x100000d7,0x00000001,0xeea80000,0x2a1dd902,0x1dd902ee,
    0x4fd97fc4,0x9fb2ff88,0xd503fee0,0x03bb205d,0x3e200000,0xf989fb2f,
    0xfffffd87,0x00bff102,0x3ba20000,0x00fef404,0x4001d3c8,0x0cefedc8,
    0x32a201db,0x8802defe,0x403defdc,0x83defec9,0xffb03ffb,0x6c0ffee3,
    0x4bfe21ff,0x2ff884fd,0x3fee09fb,0xd81ffdc0,0x774401ff,0xeeeeeeee,
    0x3fe21eee,0x7f989fb2,0x1cdffda8,0x200bff10,0xcc99cedb,0x02ffc400,
    0x54012ef1,0x3ea007ef,0xefffffff,0xfffd105f,0x201dffff,0xfffffffa,
    0xffffb80e,0x3ee0efff,0x23ffb03f,0xffb03ffb,0x3550aa83,0x0d542aa0,
    0x7dc1ffa8,0x03ffb03f,0xffffffc8,0x2fffffff,0x41aa8554,0x7ff507f9,
    0x805ff880,0xfcfffffd,0x2ffc401f,0x4007f7a0,0xb802fffd,0xffdcefff,
    0xfe880eff,0xfffecdef,0xdffffa85,0x7cc5fffe,0xfffdcdff,0x6c0ffee5,
    0x07ff71ff,0x00007ff6,0x89ff1000,0xffb03ffb,0x577fc403,0xeeeeefff,
    0xf30001ee,0x00ffea0f,0xfa80bff1,0xffffbbff,0x02ffc401,0xff880054,
    0x7fc405ff,0x7ffec43f,0xa84ffe80,0x7ff41fff,0x87ffe60b,0x7fcc2ffb,
    0x207ff70f,0x7ff71ffd,0x6547ff60,0xa866540c,0x066540cc,0xfb8effec,
    0x03ffb03f,0x7ff9ffdc,0xa8199500,0x20ff30cc,0x7c403ffa,0x0fff405f,
    0x8803fff1,0xd95105ff,0xffb8059d,0x3f200fff,0xffffa85f,0x902ffcc4,
    0x27fdc37b,0x3f21ceb8,0x70bcb82f,0x3ff607ff,0x3607ff71,0x83ff91ff,
    0x3ff90ffd,0xfd00ffd8,0x40ffee5f,0x3fa01ffd,0x200fff0f,0x7fec1ffc,
    0x3ea0ff30,0x2ffc403f,0x3f61ffe0,0x2ffc401f,0xffffffe8,0x3efffa03,
    0x07ff604f,0x8dff7ff3,0xd8002ffb,0x7d4001ff,0x2e00bdff,0x3ffb03ff,
    0x7ec0ffee,0xd83ff91f,0x83ff90ff,0xffb80ffd,0x207ff71f,0xff501ffd,
    0xc803ffc9,0x87fec1ff,0x7ff507f9,0x205ff880,0xffc86ff8,0x42ffc401,
    0xffb9bffc,0xf19ff306,0x07ffc0ff,0xfff15ff3,0x8000ffd8,0xd8000ffe,
    0x0befffff,0xfd81ffdc,0x207ff71f,0x3ff91ffd,0xff90ffd8,0x440ffd83,
    0x1ffdc5ff,0xfd01ffd8,0x7ffffc1f,0x3f25ffff,0x987fec1f,0x39ff507f,
    0x017fe201,0x3ffd0fff,0x985ff880,0xc83fec3a,0x05ffb1ff,0x3fe89ffe,
    0xfff83ffe,0x7ffffe40,0x4001ffe5,0xffffffc8,0x40ffee1f,0x7ff71ffd,
    0x7e47ff60,0xc87fec1f,0x07fec1ff,0xff70bfe6,0x207ff607,0x7ffc5ffa,
    0x25ffffff,0x7fec1ffc,0x3e60ff30,0xff103fff,0x21ffe80b,0x4401fff8,
    0x6dcc05ff,0x7fc40fff,0x7c17fe66,0x44fe88ff,0x07ff47ff,0x97fffff2,
    0x20000ffe,0xfffffda8,0x3607ff50,0x07ff51ff,0x7fe47ff6,0xfc87fec1,
    0x207fec1f,0x7fd40ffa,0xd03ffb03,0xcfff83ff,0x323ccccc,0x87fec1ff,
    0x3ff207f9,0x0bff103f,0xfbcfffb8,0x7c401fff,0xffff905f,0xffb81fff,
    0x7407ffc3,0x445fd9ff,0x17fe46ff,0x97ff732a,0x03101ffd,0x52ffe980,
    0x3ffa09ff,0x3a09ff50,0x83ff90ff,0x3ff90ffd,0x7dc0ffd8,0x827fd40f,
    0x7fcc0ffe,0x7fffffff,0xd83ff900,0x80ff30ff,0x6c000018,0xffdfffff,
    0x7cc3db51,0xadffd84f,0x7f40ffc8,0xfffeeeef,0x5ffffc84,0x7d45ffb8,
    0x97fe605f,0xdf704ffc,0x541bfa27,0x1fff34ff,0x3e67ff98,0x3ffcc0ff,
    0xffe85ff7,0xfe85ff70,0x4c3fdc0f,0x7fcc0fff,0xfffffd87,0x7007ffff,
    0x0ffe85ff,0x774c0ff3,0x80277401,0xffc8dfdb,0x7dc7ff70,0x22ffc44f,
    0x3fe60ffd,0xffffffff,0x0efff987,0x220fffc4,0xff702fff,0x20fffccb,
    0x3fa2fff8,0x23ffc82f,0xfcabeffe,0x77ff44ff,0x24fffcab,0xfc88dffa,
    0x1bff50ff,0x221fff91,0xffd07fe9,0x9fff957d,0xcccfff98,0x5007ffcc,
    0xff911bff,0x981fe61f,0x2ffc01ff,0x3fe40220,0xfd79fff3,0x26ff885f,
    0x3f20fffa,0xecccccdf,0xfffe82ff,0x5fffb9ad,0x57bfff30,0xc8bfffd7,
    0xffcbefff,0x6fffdc6f,0x21fffdba,0xfffffffa,0x7ffd40ff,0x20ffffff,
    0xeffffff8,0xffff10ff,0x2e1ffdff,0xff505fff,0x1fffffff,0xff03ffc8,
    0x5555555f,0x3ffffe23,0xff30ffef,0x2007f4c0,0x7fe405ff,0xfb1bfa24,
    0x209fffff,0xfffefffd,0x403ffe1f,0x7fd45ffa,0xffffffff,0x3ffea00d,
    0x0dffffff,0xffffffd8,0xfffe80ff,0x983fffff,0x0cfffffd,0xfffffb30,
    0xdffd3019,0x74c1ff73,0x0ffb9eff,0x4c03dff7,0x0cfffffd,0xf807ffc4,
    0xffffffff,0x3bffa64f,0xff30ffb9,0x44037440,0x7ffc402e,0x442fffef,
    0x204efffc,0xf9cfffc8,0x80bff54f,0x3ff10fff,0x5dffffd5,0x3ff6e600,
    0x75401def,0x200cffff,0x2efffffb,0x40009880,0x01100098,0x26600440,
    0x004c4001,0x7fc09ff9,0xffffffff,0x54400884,0x20036602,0xfea800df,
    0x4c03efff,0x3600c000,0x7fe402ff,0x00660aa4,0x98000600,0x004c4000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26660006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x260665c0,0x03ca807f,0x056f6d44,0x207bbbae,
    0x504cccc8,0x5005dddd,0x9503bdfb,0x3dddddd9,0x9ddb7300,0xdc880037,
    0x3ae03def,0x0732a01e,0x00ffae00,0x8000732a,0x2332200b,0xfd000cc8,
    0x2000005f,0x83cc86f8,0x7f983ff9,0x6c02fcc0,0x646fffff,0xc882ffff,
    0xff704ccc,0xff8807ff,0x7fec1fff,0x2fffffff,0xfffff910,0x001dffff,
    0xfffffff5,0x03ff901d,0x2002ff44,0xe803fffc,0x3e60005f,0x7eefe400,
    0xffdf9004,0x27fec001,0xdff0bf60,0x3e607fb0,0x93339107,0x64effcc0,
    0x3f2a62ff,0x1264882f,0x00d5ffdc,0x712f7fee,0xfddfffff,0xdfd303df,
    0x7ecc417b,0x3ffea00e,0x85fffedf,0x74401eeb,0x3bfe000f,0x037d401b,
    0x74016e00,0xdf5006ff,0x2a00bf71,0x2a02ffef,0x5437fc6f,0x4c1fe602,
    0x7dc0f50f,0x260b323f,0x50f982ff,0x003fee0f,0xfe80ffe4,0xff8affff,
    0x005ff881,0x3fa01df3,0x3ffe60bf,0x0d440001,0x003ff880,0xe8000153,
    0x01551003,0xff100000,0x2201ff31,0x442662ff,0x989fb2ff,0x40bbaa7f,
    0x3fe60eec,0x2ff9802f,0x3b205dd5,0x801ff70e,0x84cfffcc,0x8affffff,
    0x26fd81ff,0xcc9addb9,0xffb84fa9,0xa839d704,0xdb7100cc,0xf88019bd,
    0x76dc402f,0xc9800cde,0x5c403fee,0x500cdeed,0x09990199,0x0dfb0000,
    0x4fd97fc4,0x7ff73fcc,0xfb07ff60,0x7cc01bff,0x207ff72f,0x1ff71ffd,
    0xffffff80,0xfffffc86,0x7cc1ff8a,0xfffff30e,0x21b61ffd,0xc8001ffd,
    0xfffb81ff,0x203fffff,0x3ee02ff9,0x3fffffff,0x3fffff20,0xffff704f,
    0xf507ffff,0x45ff987f,0x3b603eec,0x007fd42e,0x306aa155,0x81ffdcff,
    0x3fee1ffd,0xf302ffff,0x40ffee5f,0x1ff71ffd,0x6ffdd440,0xffff982a,
    0x5c1ff8af,0x119ff31f,0x07e4fffb,0x20003ffa,0x7fdc1ffc,0xfffeccef,
    0x203ff303,0xeccefffb,0xffa83fff,0x41fffecf,0xeccefffb,0x7fc43fff,
    0x2617fdc6,0xffa81fff,0x001ff986,0x3ee7f980,0x23ffb03f,0xffe8aff8,
    0x72ff983f,0x3ff607ff,0x5001ff71,0xfeb807ff,0x41ff8aff,0x98df90fd,
    0xf0bea5ff,0x3f2000ff,0x0fffe21f,0x3203ffee,0xfff880ff,0x40fffb83,
    0xbd7f1ffe,0x41fffc45,0x7e40fffb,0x641ffa1f,0x2ffe85ff,0xca83ff88,
    0x0066540c,0x3f607ff7,0x645ff51f,0x7fcc1fff,0x3607ff72,0x01ff71ff,
    0x2003ff70,0x1ff8affa,0x885fd37c,0xd0bee3ff,0xf90001ff,0x02ffdc3f,
    0x7ecc9ff9,0x0bff705f,0x3fe27fe4,0x7fdc0f57,0x313ff205,0x13fe27ff,
    0xf917ffc4,0xda7fc0bf,0x6c1ffcde,0x3fee00ff,0x223ffb03,0x3fea0fff,
    0xfb97fcc4,0x23ffb03f,0xfd800ffb,0x2bfe000f,0x53e61ff8,0x7fcc1ff9,
    0xffb03f61,0x7e406203,0x807ff61f,0x3fea6ff8,0x807ff606,0x3fe26ff8,
    0x7fec0b96,0x21bfe201,0x03ff76fe,0xff8b7fd4,0x7d7fe00f,0x6c1ffcef,
    0x3fee00ff,0x743ffb03,0x13fa1eff,0x3fee5ff3,0x2e3ffb03,0x7fe800ff,
    0x7c57fc00,0x7dcfe61f,0xf10ffb87,0x209ff90d,0x7fe43efb,0xf003ffa1,
    0x1fffd4ff,0x7c00ffe8,0x2fbffc7f,0xf003ffa0,0xd3ff70ff,0x9ffb00df,
    0xff807ffb,0x3ff9dff4,0x9910ffd8,0xfd81ffdc,0x3fffe21f,0x7cc2ff9b,
    0x207ff72f,0x1ff71ffd,0x800bff00,0x41ff8aff,0xf83ff55f,0x305fd16f,
    0xff883fff,0xf0ffe42f,0x1fff00ff,0xff83ff44,0x20fff807,0xf88fbffd,
    0x201ffe3e,0x7fc40fff,0xf8803ffc,0xf806ffff,0x41ffc83f,0x4ff30ffd,
    0xffb03ffb,0xffffd883,0x72ff984f,0x3ff607ff,0x9801ff71,0x7fc004ff,
    0x3f41ff8a,0x77fe49ff,0x3f205fd9,0xfffcbeff,0x3e1ffc86,0x3ffc00ff,
    0x7fc0ffd4,0x23ffc00f,0xfd9dfffb,0x003ffe1f,0x3ff60fff,0xff7000ff,
    0xff8803ff,0x6c1ffc82,0x54ff30ff,0x3ffb03ff,0x03fffee0,0x7fd4bfe6,
    0x2e3ffb03,0x7fd400ff,0x457fc002,0xc97e41ff,0xffffffff,0xffd804ff,
    0x80ffffff,0x3ffa1ffc,0x21bfe201,0xffe82ff9,0x21bfe201,0x5ffffffd,
    0xf100fff4,0x3ffea0df,0x27ff4005,0x640ffd40,0x87fec1ff,0x13fea7f9,
    0xb1007ff4,0x5ff30bff,0x7f413fea,0x801ff70f,0x7c001ffc,0x541ff8af,
    0x17db30ef,0x04c59df7,0x9ffffd50,0xd87ff201,0x3fee04ff,0xd82ff985,
    0x3fee04ff,0x7bfff905,0x204ffd81,0x3fe05ffb,0x7fe4002f,0x706fb802,
    0x0ffe85ff,0x7ffccff3,0x2a3ffcc0,0x4c3ff44b,0x1fff32ff,0x3ee7ff98,
    0x07fec00f,0x3e2bfe00,0x01efd81f,0x100bfa60,0xfc803bfb,0x07ffe60f,
    0x2207ffe6,0xfff983ff,0x01fff981,0x7cc013d7,0xfff981ff,0x00fff101,
    0xd005ff90,0x37fea07f,0x30fffc88,0xbeffe8ff,0x544fffca,0x21bfa3ff,
    0x3ffa2ff9,0x4fffcabe,0x22203fee,0xf8006ff9,0x881ff8af,0x2200affe,
    0x98802ffb,0xfd5306fa,0x59fff90f,0x20bfff95,0xfc81dff8,0xffcaacff,
    0x4013605f,0xcaacfffc,0xf9105fff,0xff90009f,0x207f8805,0xeffffff8,
    0xa8ff30ff,0xffffffff,0xffffe80f,0x3fff22ff,0x3fffea2f,0x2e0fffff,
    0x3fa3ffff,0xf8004fff,0x201ff8af,0xccdffffc,0x802ffffd,0x7e41be60,
    0xffd886ff,0x0dffffff,0x10ffffa0,0xfffffffb,0x07e201bf,0x7fffec40,
    0x440dffff,0x000fffff,0x5c02ffc8,0x7ff4c03f,0xf30ffb9e,0xffffb30f,
    0x3f26019f,0x7fe44fff,0x7fecc2ff,0x7dc0cfff,0xfff13fff,0xff0001df,
    0x9803ff15,0xffffffec,0xff5000be,0x3ffa03bf,0x3ffaa01f,0xe9802eff,
    0xffd503ff,0x69805dff,0xfffea800,0x3ffe02ef,0xff90002f,0x000fe805,
    0x02a88011,0x260004c4,0x99998809,0x88026200,0x4cc09999,0x00000000,
    0x004cccc4,0x98801880,0x000c4001,0x18801998,0x44000000,0x00353001,
    0x202ffc80,0x000001a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65400000,0x0000001c,0xea806000,
    0x01dd902e,0x664c0000,0x9300cca9,0x5d900059,0x03cc8800,0x4c0ec5a8,
    0x990002cc,0x88000007,0x200750bb,0xeeb82ffc,0xeffa8000,0x401eea80,
    0x000efff8,0x005ffd10,0x2ef7fa20,0x07ff700f,0x7dc07ff6,0x2003ff16,
    0x02ff8cfe,0x50007fe4,0x64001f3b,0xdf8800ff,0x9ff506eb,0x7fff9000,
    0x3f27ff00,0x77ffec05,0x2ff8803f,0x8003ff90,0xb84feff8,0x5fec01ff,
    0xf90004fc,0x70001ffb,0x40dffd9f,0xffb03ffb,0x7c5bee03,0x75fa801f,
    0x0ff6009f,0x00e8da80,0x4003ff10,0xf501cfda,0xef98009f,0x7fc01ff9,
    0xaf80bf93,0xb800deb9,0x07ff203f,0xfd17fb00,0x201eea85,0x002aa2a8,
    0x17eedf50,0x02986600,0xfd81ffdc,0x2255301f,0x0a9800aa,0x02a80055,
    0x1001f640,0x20000035,0x54004ffa,0xa803531a,0x0005530a,0xffc80000,
    0x00000001,0x66f76dc4,0x00000000,0x337bb6e2,0x207ff700,0xb7101ffd,
    0x2a019bdd,0x1dd902ee,0x7640bbaa,0x205dd50e,0x5dd50eec,0x7543bb20,
    0x21dd902e,0xea804ffa,0x21dd902e,0xdd902eea,0x640bbaa1,0x019950ee,
    0x4ffe4999,0x2e01deda,0x0cc99ced,0x3ee01995,0x3fffffff,0xee80eed8,
    0x81eeb83e,0xfffffffb,0x03ffb83f,0xff703ffb,0x07ffffff,0x3f607ff7,
    0x207ff71f,0x7ff71ffd,0x7dc7ff60,0x23ffb03f,0xffb03ffb,0x2013fea3,
    0xffb03ffb,0x6c0ffee3,0x07ff71ff,0x7fd47ff6,0xf92ffcc3,0x5fffffbf,
    0x9fffffb0,0x07fee3ff,0x333bffee,0x7e43fffe,0x37ffcc2f,0x3ee07ff4,
    0xffecceff,0x81ffdc3f,0x7fdc1ffd,0xfffeccef,0xd81ffdc3,0x07ff71ff,
    0x7fdc7ff6,0x2e3ffb03,0x3ffb03ff,0x7ec0ffee,0x009ff51f,0x3f607ff7,
    0x207ff71f,0x7ff71ffd,0x7c47ff60,0x917fdc6f,0xffb5bfff,0x5fffd41f,
    0xf71fffeb,0x3fff883f,0x2a0fffb8,0x7ffe44ff,0x11bfe20f,0xff707fff,
    0x81ffdc1f,0x3fe21ffd,0x0fffb83f,0x7ec0ffee,0x207ff71f,0x7ff71ffd,
    0x7dc7ff60,0x23ffb03f,0xffb03ffb,0x2013fea3,0xffb03ffb,0x6c0ffee3,
    0x07ff71ff,0xffc87ff6,0xff91ffa1,0x3a3ffc8b,0x3ffe21ff,0xfb83ff71,
    0x93ff205f,0x7ff46ff8,0x13fe62ff,0x7e40bff7,0x40ffee4f,0x3fee1ffd,
    0xb93ff205,0x3ffb03ff,0x7ec0ffee,0x207ff71f,0x7ff71ffd,0x7dc7ff60,
    0x23ffb03f,0xfb804ffa,0x23ffb03f,0xffb03ffb,0x6c0ffee3,0x4ffe61ff,
    0x7fe44ff8,0xff27fd43,0x2e3ffd0f,0x0ffec1ff,0xff8dff10,0x3ff7fe27,
    0xfb0bfee4,0x37fc403f,0x3fa07ff7,0x807ff60f,0x3fee6ff8,0x2e3ffb03,
    0x3ffb03ff,0x7ec0ffee,0x207ff71f,0x7ff71ffd,0x7d47ff60,0x3ffb804f,
    0x3ee3ffb0,0x23ffb03f,0xffb03ffb,0xff76fe83,0x441ffc83,0x0dff15ff,
    0x3fee3ff9,0x2007ff41,0x8ffec7ff,0x26feaffa,0x7ff40ffd,0xf53ffc00,
    0x83ffa09f,0x7fc00ffe,0x6c0ffee7,0x07ff71ff,0x7fdc7ff6,0x2e3ffb03,
    0x3ffb03ff,0x7ec0ffee,0x009ff51f,0x3f607ff7,0x207ff71f,0x7ff71ffd,
    0xf707ff60,0xf90dfd3f,0x25ff985f,0x1ffe87fe,0x7ff83ff7,0x2e0fff80,
    0x91ff93ff,0x21bfe1ff,0xfff807ff,0x981fff30,0x03ffc7ff,0xffb87ffc,
    0x2e3ffb03,0x3ffb03ff,0x7ec0ffee,0x207ff71f,0x7ff71ffd,0x7d47ff60,
    0x3ffb804f,0x3ee3ffb0,0x23ffb03f,0xffb03ffb,0xffcff883,0x5c4ffc83,
    0x87ff23ff,0xff71fff8,0x400fff83,0xa7fcc7ff,0x15ff56fe,0x1fff0bff,
    0x7f47ff80,0xfffcabef,0x2007ffc4,0x0ffee7ff,0xffb8ffec,0x2e3ffb03,
    0x3ffb03ff,0x7ec0ffee,0x207ff71f,0xbff51ffd,0x25555555,0xffb03ffb,
    0x6c0ffee3,0x07ff71ff,0x3f607ff6,0xffc80fff,0x1fffa8cf,0x3eefffea,
    0x3ff71fff,0x2201ffe8,0x8eff86ff,0x59ff13ff,0x3ffd07ff,0x2637fc40,
    0xffffffff,0x201ffe86,0x3fea6ff8,0x2a3ffb03,0x3ffb03ff,0x7ec0ffea,
    0x207ff51f,0x7ff51ffd,0x7d47ff60,0xffffffff,0x3607ff57,0x07ff51ff,
    0x7fd47ff6,0x503ffb03,0x3f20bfff,0x4fffffff,0xdfffffd8,0x83ff71ff,
    0x3ee04ffd,0xfbffd85f,0x3f3bfa1f,0x04ffd81f,0x32617fee,0x80beffff,
    0x3ee04ffd,0x413fea5f,0x9ff50ffe,0x7d43ffa0,0x21ffd04f,0xffd04ffa,
    0x7413fea1,0xffff50ff,0x2affffff,0x1ffd04ff,0x7f413fea,0x209ff50f,
    0xfff00ffe,0x367ff205,0x3ae03fff,0x70ffc8df,0xfff983ff,0x81fff981,
    0x5c7ffffb,0xf307feff,0xfff303ff,0x400ed803,0xf981fff9,0x3ffe61ff,
    0xf33ffcc0,0x7ff981ff,0xf303ffe6,0x07ffccff,0xff99ffe6,0x83ffcc0f,
    0xff303ce9,0x27ff981f,0x7cc0fff9,0x03ffe67f,0x3e20fff3,0x87ff207f,
    0x7e402201,0x7e40d90f,0xffcaacff,0xffff305f,0x5ffff98b,0x2b3fff20,
    0x805fffca,0xfff9006e,0xbfff9559,0x957dffd0,0xffe89fff,0x4fffcabe,
    0x655f7ff4,0x7ff44fff,0x4fffcabe,0x655f7ff4,0xb7104fff,0x3bffa05f,
    0x44fffcab,0xfcabeffe,0x77ff44ff,0x84fffcab,0x3204ffc8,0xff9001ff,
    0xfb3ff449,0x7fffec40,0x200dffff,0xff83ffff,0x3f6203ff,0xdfffffff,
    0x19bfd800,0x3ffff620,0xa80dffff,0xffffffff,0x7fffd40f,0x540fffff,
    0xffffffff,0x7fffd40f,0x540fffff,0xffffffff,0x7f91080f,0x3ffffea0,
    0x7d40ffff,0xffffffff,0x7ffffd40,0x3e20ffff,0x3200ffff,0xff1001ff,
    0x47fffdff,0xd5019cfc,0x005dffff,0xfb03fffd,0xfd5003ff,0x4005dfff,
    0xa803fff9,0x02effffe,0x7ffffecc,0xfffb300c,0x366019ff,0x00cfffff,
    0x9fffffb3,0x3fff6601,0xffb00cff,0xffd9809d,0xb300cfff,0x019fffff,
    0x3fffff66,0x2ffff80c,0x000ffe40,0x7ffffff5,0x804fff98,0x7fe40018,
    0x00fff707,0x98000310,0x00188000,0x88001310,0x04c40009,0x00026200,
    0x13100131,0x00131000,0x44000988,0x00d4c009,0x99980000,0x00004c01,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8fa00000,0x2f2e006b,0x3f602cc8,0xc980ff55,0x26009933,
    0x64c005ee,0x4003defe,0x3aa00ccc,0x3ee8801e,0x03cc8800,0x5403bb20,
    0xbdd902ee,0x654b2a01,0xeeeeea83,0xea80acce,0xeeeeeeee,0x0bff102e,
    0x3bf6e620,0x21eea82d,0xbbf704ed,0x3fe6007f,0x3600efb9,0xd00ff55f,
    0x2005fd7f,0x7002fffd,0xdfffffff,0x05ff3001,0x8801ffb8,0xfc8004ff,
    0x3ff6000f,0x907ff700,0x7c405fff,0xfb81ffbf,0xffffffff,0x7fffdc1f,
    0x02ffffff,0xf100bff1,0xdfffffff,0xff0ffdc1,0x016ed40d,0x07fa5fb0,
    0x0aa23530,0x017ffe20,0x02ffffc4,0x6e6fffcc,0xfd805fff,0x01ffb803,
    0x4004ff88,0x6c001ff8,0x7ff700ff,0x802fffb8,0xf703fffa,0xffdddddf,
    0xeeffb8ff,0x02eeeeee,0xfd100b32,0xfffd9bdf,0xdb0f754b,0x55000009,
    0x000006a2,0x4002aa60,0x00fffffb,0x3e617fdc,0x015400ff,0x0001ffb8,
    0x000d4400,0x23ffb800,0x2002fffb,0x3fee02aa,0x21ffe883,0x00003ffb,
    0x427ff440,0x0001fffa,0x64ce76dc,0xddb7100c,0x332a019b,0x9304cc80,
    0xd007bdfd,0x809ff7ff,0xbcb82ffc,0xbdfb9100,0x00ffdc07,0x5bdfd951,
    0xdefec980,0xefdc8803,0x53ffb83d,0x22007fff,0xb83defdc,0x7ff903ff,
    0x4001ffdc,0xcc99cedb,0xc817fea0,0x419951bd,0xfffd83cc,0xb81ffcff,
    0xffffffff,0x4c3ffa83,0xfffb85ff,0x300effff,0x0fff19ff,0x0bdfffa8,
    0xfffff500,0xff701dff,0x3fffa203,0xb80effff,0xefffffff,0xfffff500,
    0x7fdc1dff,0x003fff9b,0xfffffff5,0x81ffdc1d,0x3fee0ffd,0x7ffec003,
    0x2e1ffcff,0x7dc002ff,0xf51bfe1f,0xfffd77ff,0xcefffb83,0x443fffec,
    0x17fdc6ff,0x3737ffe6,0xff905fff,0xb00bff63,0x17dfffff,0x37fffea0,
    0xfb85fffe,0xeffe881f,0x45fffecd,0xfdcdfff9,0xfffa85ff,0x25fffedf,
    0xffffdffb,0xffffa801,0x2e5fffed,0xeccccdff,0x7ffdc6ff,0x46ffffff,
    0xfebbfffa,0x03ff61ff,0x7c3ff700,0x10fff46f,0x7fc43fff,0x0fffb83f,
    0xffd0ffe4,0xf985ff70,0x37fc40ff,0xc880bff3,0x1fffffff,0x260bffe8,
    0x7fdc1fff,0xa84ffe81,0x3fee1fff,0x207ffcc2,0x3e60bffe,0xffff71ff,
    0xfd00dfff,0x7ffcc17f,0xffffff71,0xfb819fff,0xffffffff,0xf10fff46,
    0x07ffc3ff,0x57fffff2,0x1bfe1ffb,0x3ffd0fff,0xf902ffdc,0x13ff989f,
    0x5ff909ff,0xfb817970,0x007ffc3f,0x7fffed44,0x413fee0f,0x7fdc1ceb,
    0x902ffcc1,0x17fe437b,0xff705e5c,0x5c73ae09,0xffebffff,0x413fee04,
    0xdff71ceb,0x201ffffd,0xccccdffb,0x43ffc3cc,0x3ffa1ffe,0x7ffffe40,
    0x7fc3ff75,0x321bfe26,0x07ff61ff,0xfe86ff88,0xf503ff76,0xd0017bff,
    0xffddddff,0xfd30009f,0x00ffec5f,0x2e0ffdc0,0xfa8002ff,0x6c00bdff,
    0x3ee001ff,0x3fff33ff,0x8007ff60,0x3ff63ffb,0x03ffb80e,0xf90dff10,
    0x217fec3f,0x75ffdcca,0x237fc3ff,0x1ffe87fe,0xff003ffa,0xfd3ff70f,
    0x7fffec0d,0xff980bef,0xffffffff,0x506fe887,0x07ff49ff,0x20ffdc00,
    0xb0000ffd,0x17dfffff,0x4001ffd0,0x7fe44ffb,0x001ffd06,0x3fa1ffdc,
    0x03ffb85f,0x3fa1ffa0,0x817fee1f,0x3ff75ff9,0x3ff237fc,0xf87ffe21,
    0x0fff807f,0x1ffe7fc4,0xfffff910,0xdffc83ff,0xffeccccc,0xc82ffe82,
    0x01ffe3ff,0x3e0ffdc0,0x7ffe40ff,0x7fe445ff,0x7c1fffff,0x7fdc007f,
    0x41fffc43,0x7dc007ff,0x1fffc43f,0xc800ffee,0x3ffe21ff,0x20bffe21,
    0xff75ffc8,0x3ea37fc3,0xffffbbff,0xf003ffe1,0x3fff60ff,0xfda8800f,
    0x3fe0ffff,0x0bff500f,0xb75bfff7,0x7ff43fff,0x1ffb8000,0x3f207ff4,
    0x5105ffff,0x41fffffb,0x2e000ffe,0xfffb83ff,0x0007ff41,0xff707ff7,
    0x56ffdc3f,0x21aaaaaa,0xffbbfffa,0x7ffdc1ff,0xffffdabd,0x7fc3ff75,
    0xfffffd86,0x3ffa1ffd,0x41bfe201,0x0005fffa,0x3ea5ffd3,0x07ffc05f,
    0x7ffffff4,0x0ffec3ff,0x3ff70188,0x6542ffc8,0x3005ffdc,0x7fec5ffd,
    0xffb83101,0xd8dffd03,0xb83101ff,0xdffb03ff,0x7fffffdc,0x7ec5ffff,
    0x1ffdffff,0xffffffb8,0xff70dfff,0xeb837fc3,0x20ffc8df,0x3ee04ffd,
    0x0bffe05f,0xfa837f44,0x805ffb4f,0xff704ffc,0xf905dfff,0x0fbee09f,
    0xffa83ff7,0x457fe605,0x9ff506fe,0xfb827fe4,0x207ff73e,0x3f23fffa,
    0x27df704f,0xff103ffb,0x3fffee7f,0x85ffffff,0xffc8dfeb,0xffff9300,
    0x1ffb859d,0x20111bfe,0x3fe60ffc,0x1fff981f,0xe80fff10,0x3ffc82ff,
    0x7007b800,0x7fcc07df,0x17ffc41f,0xff107372,0x97fee05f,0xffc82ffe,
    0x107ffe63,0x3a205fff,0x7fcc00bd,0x17ffc41f,0x000bde88,0x40220f70,
    0x7e400ffc,0x5ff8003f,0xfd127fe4,0x59fff90f,0x20bfff95,0x5c04ffc8,
    0xfdbadfff,0x7c8001ff,0x05fb3300,0x65f7ffe4,0xfc986fff,0xbdfff987,
    0x25fffeba,0xdbadfffb,0x7fe41fff,0x6fffcbef,0x4027edc0,0xfcbefffc,
    0x7edc06ff,0x20fb0004,0x3fa24ffc,0x1fd99807,0x89ff9500,0xffeffff8,
    0xfffd883f,0x40dfffff,0x00fffff8,0xffffffe8,0xf70003ff,0x64420339,
    0x7ffec02f,0x840fffff,0xffa80fe9,0xdfffffff,0x7fffff40,0xffb03fff,
    0x01ffffff,0x8027dc42,0xfffffffd,0x3ee2100f,0x39f90004,0x77fffc43,
    0x88403fff,0xfff000fd,0xffff507f,0xfea807ff,0x3e02efff,0x2e002fff,
    0x02efffff,0x17ffa200,0x801f7ff4,0x0cffffea,0x0177ffc4,0xbdfffb73,
    0x7fffdc03,0x7f5402ef,0x3200cfff,0x2000dfff,0x0cffffea,0x037fff20,
    0x2fff4400,0x3fffffea,0x2efff803,0x0bfff300,0x80019998,0x03530018,
    0x0004c400,0x13002600,0x2004c000,0x00300018,0x20001310,0x00260009,
    0x98002600,0x02600000,0x20019998,0xa9800098,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06a14c00,0x40003bae,0x36016a2d,0xb9fe03ff,0x0fbaa1ee,0x00007754,
    0x07321990,0x9fffffd0,0x3970cc80,0x00b32600,0x00b2a397,0x20079910,
    0x332002f8,0xc8a64c04,0x65c72e04,0x00aaa001,0xf3003553,0xf901f515,
    0x3ee0003f,0x7dc03fcc,0x4fb81ffe,0xffb8bff2,0x01ffb81f,0x7001fff3,
    0xd00bf9bf,0x809fffff,0x006fcefa,0xf3003bf6,0x8001ff7f,0xd9801ffb,
    0xffa803ef,0xfecfd801,0x3efbe603,0x037fc006,0xfd801bfa,0x3ff904ff,
    0x3bae2000,0x547fcc03,0x90ffc46f,0x7ffdc5ff,0xd01ffb85,0x3600dfbf,
    0x00000fff,0x007ffec0,0x7000ef98,0xf0005fff,0xfffb003f,0x7f401fff,
    0xbfff1002,0x03fff900,0x2606ff80,0x544000ef,0x007ff200,0x90000000,
    0x22ffc8df,0x5c2ffffb,0xb4fc81ff,0x3551007f,0xc8177540,0x355100ee,
    0x00054c00,0x22000aaa,0xcff9801a,0x5104ffef,0x0aa98003,0x00035500,
    0x06540555,0xefeca880,0x21ffc82d,0x2e202ccb,0x400cdeed,0x3ff80cca,
    0xff717fe4,0x7fdc1fff,0xeed80001,0x5eeeeeee,0x7ec0ffee,0x207dd51f,
    0x3bb60eea,0x5eeeeeee,0x3bbbbbaa,0xeea80acc,0x641dd503,0x4ecaf8df,
    0x3bbbbbaa,0x3ae00acc,0x5ee9801e,0xeeeeed80,0x3aa5eeee,0x7ff4401e,
    0x20efffff,0xdff71ffc,0x3fffee01,0x3203ffff,0x0ffc41ff,0xffb8bff2,
    0x3fee4ffe,0x3205dd51,0x3fffa1ee,0x26ffffff,0xffb03ffb,0x207ffee3,
    0x3ffa1ffb,0x6fffffff,0x3fffffee,0x7dc1ffff,0x1ffb81ff,0x40be37f6,
    0xfffffffb,0xff901fff,0x5fffb005,0xfffffe80,0x3ee6ffff,0x3ffa201f,
    0x5fffecde,0x3fea7ff2,0xdfff700e,0x07fffd99,0xff507ff2,0x2e2ffc81,
    0x71fffaff,0x0ffee3ff,0xddb0ffec,0xdfffdddd,0xfd81ffdc,0x0bfff71f,
    0x776c3ff7,0x6fffeeee,0x3bbbbfee,0x7dc7fffe,0x1ffb85ff,0x40bf3fee,
    0xeeeeeffb,0xff907fff,0xffff8805,0x77776c05,0x2e6fffee,0x3ffa01ff,
    0x91fffa84,0x01dff7ff,0x2e0fffe2,0xffc80fff,0x7e43fdc1,0x2a7fee2f,
    0x23ff76ff,0xffb03ffb,0x1fff9003,0xfd81ffdc,0x5ffff71f,0xc801ffb8,
    0x3fee0fff,0x21ffe883,0x5c2ffffb,0x3ffe21ff,0x3ffb82df,0xc81ffe88,
    0x7fdc02ff,0xc8000fff,0x3fee0fff,0x40bff301,0xfff91bdc,0x7fdc07ff,
    0x213ff205,0x37ec1ffc,0xff717fe4,0x3eefff63,0x207ff71f,0x7dc01ffd,
    0x1ffdc2ff,0xff71ffd8,0x7fdc1fff,0x17ffdc01,0x7e40ffee,0x3fffee3f,
    0x307fee0f,0x43dffffb,0xff903ffb,0x805ff907,0x04ffbffe,0x217ffdc0,
    0xff701ffb,0xfffc8005,0xffb00fff,0x437fc403,0x37f41ffc,0xff717fe4,
    0x3f3ffe63,0x207ff71f,0x3e601ffd,0x3ffb83ff,0x3ee3ffb0,0x3ee4ffef,
    0x3ffe601f,0xb03ffb83,0x77fdc1ff,0x07fee4ff,0x737fffd4,0x3ff607ff,
    0x202ffc80,0x7ff8cff9,0x0fffe600,0x7ec07fee,0x7fe4000f,0xfd04ffbf,
    0x87ff801f,0x37ec1ffc,0xff717fe4,0x7ffffe43,0x3607ff71,0xfff101ff,
    0x40ffee0b,0x5ff71ffd,0x3fee3fff,0x0bfff101,0x33337fee,0x7dc6ffec,
    0xf71fffaf,0x36fe203f,0x9bff70ff,0x0dffd999,0xfc80bff2,0x005ffb1f,
    0x2e0bfff1,0x1fff01ff,0x5fffffc8,0x3ff65ff9,0xf807ff81,0x0ffe40ff,
    0x3ff21ff2,0xfd07fee2,0x3fee3fff,0xffffffff,0x0dffd01f,0xfd81ffdc,
    0xf53ff71f,0x407feedf,0x3ee06ffe,0xffffffff,0x54ffdc0c,0x43ff76ff,
    0xf8af88a9,0xfffff73f,0x2019ffff,0xff102ffc,0x402ffccd,0x3ee06ffe,
    0x81ffd01f,0x95fffffc,0x17fe63ff,0xff003ffe,0xb83ff90f,0x22ffc87f,
    0x7fd41ffb,0xffff71ff,0x3fffffff,0x401fff90,0xffb03ffa,0x7ec7fee3,
    0xc81ffbbf,0x3ee00fff,0x0ffffeef,0x3f63ff70,0x3e1ffbbf,0xff8af8df,
    0xffddff71,0xffc801ff,0xf87ff702,0x3ff200ff,0x07fee00f,0x32a17fe4,
    0xff95ffdc,0x3a17fe43,0x3fe201ff,0x4c1ffc86,0x17fe40ff,0xffb03ff7,
    0x337fee3f,0x1ffecccc,0x200fffdc,0xffd04ffa,0x7cc7fee1,0x5c1ffcff,
    0x7dc01fff,0x03bff63f,0x7fcc7fee,0x3f21ffcf,0x26fdbfcf,0x3ff63ffb,
    0x0bff200e,0x77777ff4,0xff704fff,0x1ffb803f,0x4c0bff50,0x43ff95ff,
    0x7fec6ff8,0x217fee04,0x7fc41ffc,0xf717fe43,0x3fff103f,0x7ec0ffee,
    0x0fffe61f,0x303ffe60,0x0ffdcfff,0x43fffff9,0xb803fff9,0x2fff43ff,
    0xff90ffdc,0x7fc43fff,0x2e2fffff,0x2fff43ff,0xf305ff90,0xffffffff,
    0x7fff30ff,0x203ff700,0xf702fff8,0x059d50bf,0x4c0fffcc,0xffc81fff,
    0x3645fc80,0x805ef440,0xffb03ffb,0x013ffe23,0xcabeffe8,0x3fee4fff,
    0x8fffff41,0x7004fff8,0xfff887ff,0x3a0ffdc3,0x6441ffff,0x7dc0cfff,
    0x1fffc43f,0xfc82ffc8,0xecccccdf,0x3ffe22ff,0x03ff7004,0x55efffcc,
    0x985fffeb,0x3f201feb,0xffcaacff,0x7ffd4c5f,0x3747f880,0x704fdb80,
    0x3ff607ff,0x557fffb1,0x54155555,0xffffffff,0x507fee0f,0x3f63ffff,
    0xaaaaabff,0x07ff70aa,0x7dc3fff7,0x7fffd41f,0x2e05f101,0xfffb83ff,
    0xf82ffc81,0xbff500ff,0x555fffec,0xf70aaaaa,0xfffa803f,0x0dffffff,
    0x201fd984,0xffffffd8,0x7fe40dff,0xd8bf206f,0x710819bf,0x0ffee09f,
    0xffd8ffec,0xffffffff,0x7ffecc0f,0x7fdc0cff,0xb1fffd81,0xffffffff,
    0x3fee1fff,0x5cdffb03,0xfffd81ff,0x2e05f101,0xdffb03ff,0xfa85ff90,
    0x87ffc05f,0xfffffffd,0xff70ffff,0xffb73003,0x3fe03bdf,0xfd5003ef,
    0x3a05dfff,0x3e201fff,0x213ffe66,0x700dfffc,0x3ff607ff,0xffffffb1,
    0x401fffff,0x3fee0098,0xb1fff881,0xffffffff,0x3fee1fff,0x27fff103,
    0xff881ffb,0xff70001f,0x0fffe207,0xffd85ff9,0xda7fe402,0xffffffff,
    0x3ff70fff,0x22003000,0x06200009,0x54006620,0x02600982,0x6c0ffee0,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01cca800,0x40005993,0x70003cc8,0x64400199,
    0x00cc403c,0x44000220,0xd8800000,0xcc9812e1,0x01e64402,0x3fe60799,
    0x0001ffff,0x990cc800,0x05993003,0x04c89e4c,0x00e5c332,0x44322395,
    0x7fe404ff,0x1ff70000,0x07ff1000,0x02fffd80,0x7e407fee,0xa803eabe,
    0x405dacff,0x09fd1ff8,0x017e5f6c,0xffb00bfd,0x41bfe05f,0x1ffffff9,
    0x3e2ff700,0x677dc01f,0x0dfb005f,0x05fd7fb0,0x02fe77dc,0x4fddfff5,
    0x7f9005fb,0x007fe000,0x20027e40,0x00ffaefb,0xbf103ff7,0xd001fffb,
    0x805fffbd,0x09fd1ff8,0x301ef5c4,0xefb801df,0x6ff80ffa,0x3ee00000,
    0xb003ff17,0xf3001fff,0xfff1001d,0x1fffb00b,0x76d46e40,0x55000aa2,
    0x00351000,0x54001540,0x2603530a,0x222880aa,0x5415000a,0x2a155001,
    0x5300001a,0x26155001,0x1009981a,0x019bddb7,0x5544aa60,0x01aa8800,
    0x4c001530,0xaa8800aa,0xeeb80001,0x02f74c01,0x402f74c0,0x3b603eec,
    0x17ba602e,0x4c03dd70,0x775405ee,0x401dd503,0xd7005ee9,0x7777543d,
    0x52eeeeee,0x3a6003dd,0xfffffb81,0xdd903fff,0xb9776c07,0xeeeeeeee,
    0x59930eee,0xddddd500,0x2a5ddddd,0x3cceeeee,0x320f75c0,0x7fec02ff,
    0x7fec002f,0x7ffcc02f,0x406ffa81,0x3202fffd,0x3ff602ff,0x3ffee02f,
    0x201ffb81,0xc802fffd,0x3ffee2ff,0x2fffffff,0x2e003ff7,0x77ffdc2f,
    0x83fffecc,0xfa81fff9,0x3ffff26f,0x0fffffff,0xf7009ff5,0xffffffff,
    0x3fffee5f,0x902fffff,0x2ffc85ff,0x17fffe20,0x5ffff880,0xe85ffc80,
    0x3fe202ff,0x3ff205ff,0xbffff102,0x42fffdc0,0xff101ffb,0xff900bff,
    0x7777fdc5,0xf72eeeee,0x8fee003f,0xfb83fff8,0x5ffc80ff,0x3ae2ffe8,
    0xeefffeee,0x09ff50ee,0xddddff70,0x3ee5dddd,0xfffeeeef,0x42ffc81f,
    0x3ee02ffc,0x7000ffff,0x801fffff,0x3f22fff8,0x7ffdc05f,0x5ff900ff,
    0x3ffffee0,0x5ffff700,0xf701ffb8,0xc801ffff,0x0ffee2ff,0x800ffdc0,
    0x17fee4fc,0xf884ffc8,0x17ff22ff,0x540bff10,0xffb804ff,0x87ff7003,
    0xfc86ffc8,0x017fe42f,0x09ff7ffd,0x3fefffa0,0x16ffa804,0xfe801fff,
    0xf904ffbf,0x2fffa05f,0xfff704ff,0x0ffdc1ff,0x4ffbffe8,0xf717fe40,
    0x3fee007f,0xd82ded99,0x807ff65f,0xff506ff8,0x003ffe2d,0x7d40bff1,
    0x3ffb804f,0x207ff700,0x7fe42ffe,0x9817fe42,0x07ff8cff,0xff8cff98,
    0xb9ffb007,0xff9807ff,0xf907ff8c,0x19ff305f,0x3fee0fff,0x3fee4ffe,
    0xf8cff981,0x17fe407f,0x2e007ff7,0xfffffdff,0xffd2ff43,0x207ff801,
    0x3ffdcffd,0x205ff880,0xfb804ffa,0x7ff7003f,0xf90ffee0,0x02ffc85f,
    0x3ff63ff9,0xd8ffe402,0xff8802ff,0xfc806fff,0x905ffb1f,0x3ff905ff,
    0x3ee0bff6,0xf71fffaf,0x23ff903f,0x3f202ffd,0x3fffee2f,0x2e6fffff,
    0xffbacfff,0xfff37fc7,0x201fff00,0x06fffff8,0x540bff10,0xffb804ff,
    0x6fffffff,0x7d40ffee,0x217fe44f,0xff882ffc,0x8817fe66,0x17fe66ff,
    0x0ffffdc0,0xf99bfe20,0x42ffc85f,0x3fe66ff8,0xfa9ffb85,0x883ff76f,
    0x17fe66ff,0x3ee2ffc8,0xffffffff,0xfb17fee6,0xff3ffc1f,0x07ff801f,
    0x00ffffdc,0x2a05ff88,0xffb804ff,0x6fffffff,0x7cc0ffee,0x217fe45f,
    0xffb82ffc,0xb807ffc3,0x07ffc3ff,0x804ffe80,0x7ffc3ffb,0x2e17fe40,
    0x07ffc3ff,0x7fec7fee,0x7dc1ffbb,0x807ffc3f,0x3fee2ffc,0x3ccccccd,
    0xffb0bfee,0xffd3ffc1,0x037fc403,0x10027ff4,0x7fd40bff,0xcdffb804,
    0x2e3ccccc,0xbff503ff,0x7e42ffc8,0xeeffe82f,0xd04fffee,0xffddddff,
    0x3ff2009f,0xeeffe802,0x644fffee,0x77ff42ff,0x44fffeee,0xfff31ffb,
    0xffe83ff9,0x4fffeeee,0x7dc5ff90,0x5ff7003f,0x3fe0ffc8,0xb813ff67,
    0xffc805ff,0x17fe2002,0xb804ffa8,0xff7003ff,0x913fee07,0x2ffc85ff,
    0x7fffffcc,0xf987ffff,0xffffffff,0x5ff9007f,0xfffff980,0x647fffff,
    0x3ffe62ff,0x7fffffff,0xff90ffdc,0x7fcc3fff,0xffffffff,0x5c5ff907,
    0xff7003ff,0x3e0ffc83,0x07ffe67f,0x2007ffe6,0x22002ffc,0x3fea05ff,
    0x03ffb804,0x3207ff70,0x17fe43ff,0xff90bff2,0xfd99999b,0xcdffc85f,
    0x2ffecccc,0x402ffc80,0xccccdffc,0x3f22ffec,0x337ff22f,0x2ffecccc,
    0xffd07fee,0x6ffe43ff,0xffeccccc,0x2e2ffc82,0xff7003ff,0x800ffc83,
    0xcaacfffc,0xf9005fff,0x7fc4005f,0x013fea05,0x5c00ffee,0xfff983ff,
    0x3217fe40,0x07ffc2ff,0x7fc5ffa8,0x0bff500f,0xf805ff90,0xbff500ff,
    0xfff17fe4,0xb97fea01,0x7ffd41ff,0x403ffe1f,0xffc85ffa,0x2ab7fee2,
    0xf71aaaaa,0x00ffc83f,0xfffffd88,0x9000dfff,0x7c4005ff,0x37fea05f,
    0x72aaaaaa,0x55555bff,0x37fee355,0x2fffdcaa,0x7e42ffc8,0x017fea2f,
    0x3fea1fff,0x007ffc05,0xfa80bff2,0x87ffc05f,0xbff52ffc,0xf70fff80,
    0x3fffb03f,0xff017fea,0x22ffc81f,0xfffffffb,0x3ff75fff,0x2000ffc8,
    0x2effffea,0x017fe400,0x540bff10,0xffffffff,0xfffff77f,0x2ebfffff,
    0xffffffff,0x85ff904f,0x3ff62ffc,0xda7fe402,0x7fe402ff,0x017fe404,
    0xfc805ffb,0x365ff94f,0x7fe402ff,0xf103ff74,0x0bff63ff,0xfc89ff90,
    0x3fffee2f,0x75ffffff,0x0ffc83ff,0x00031000,0x10017fe4,0x7fd40bff,
    0x7fffffff,0xfffffff7,0x3feebfff,0x01deffff,0x0000bff2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99500000,
    0x0f754003,0x04b87620,0x4c00cca8,0x000001cc,0x980332e0,0xffa80541,
    0x5400ffff,0x7ffc000b,0x7d403fff,0x000fffff,0xfedc8800,0x000000cd,
    0x51000a80,0x40880000,0x5fe82ffc,0x007fee00,0x00bf2fb6,0x440dfff3,
    0xfb80ffff,0xfb83ff17,0x7c43ff17,0x227ea04f,0xfff500fb,0x75401fff,
    0x7ffc006b,0x7d403fff,0x400fffff,0x03ff9dff,0xfffffff5,0x36e6007f,
    0x3a001bef,0x6fcc01fd,0xfdb91006,0x443b619d,0x3fd103ff,0x007fee00,
    0x200f7ae2,0xb03fdafe,0xf70bf97f,0xf707fe2f,0xf307fe2f,0x7ffec01f,
    0x3c800004,0x0000001d,0xcb7dc000,0xdfff704f,0x07fffd99,0xfdcdffd8,
    0xbbc400ef,0x00f9e404,0x7fffffd4,0x3ee5feff,0x000d4403,0xa8800000,
    0x55105512,0x8aa20554,0x515440aa,0x80153015,0xdd7000a8,0x0fdf5003,
    0x80bdd300,0xeeeeeeea,0x8ee82eee,0xfff106f8,0x01fff707,0x77cc0bf6,
    0x00fef400,0xf701b7e6,0xfffb9dff,0xeea801df,0xeeeeeeee,0xdddddd52,
    0x3aa5dddd,0xeeeeeeee,0xddddd52e,0xb85ddddd,0x777541ee,0x2eeeeeee,
    0xeb80f75c,0x17ba601e,0x4017fe40,0x4002fffd,0x2e02fffd,0xffffffff,
    0x640002ff,0x3ff205ff,0xaaaafd84,0x01df10aa,0x051000a8,0x443fff88,
    0x32a0fffd,0xfffff70c,0x2e5fffff,0xffffffff,0xffff72ff,0x25ffffff,
    0xfffffffb,0x7fe42fff,0x7ffffdc2,0x642fffff,0x5ff902ff,0x017ffec0,
    0x22017fe4,0x2005ffff,0x205ffff8,0xeeeeeffb,0xdb882eee,0x3ffb03de,
    0x2637fc40,0xfffffd2f,0x2a20fe23,0x6542ceec,0x9066540c,0xfff50bff,
    0xb8ffdc9f,0xeeeeeeff,0xddff72ee,0x25dddddd,0xeeeeeffb,0xdff72eee,
    0x5ddddddd,0x7dc2ffc8,0xeeeeeeef,0x817fe42e,0xff102ffc,0xff900bff,
    0xffffb805,0xfff7000f,0x3fee01ff,0x7ffcc003,0x7fc0efff,0x23ffc00f,
    0x4f997a7b,0x3fffa176,0x3ff23fff,0xfb07fec1,0xfbff983f,0x5c7fee6f,
    0xff7003ff,0x0ffee007,0x001ffdc0,0xff70bff2,0x2ffc8007,0x2e05ff90,
    0x400fffff,0x7f402ffc,0xd004ffbf,0x209ff7ff,0x26003ffb,0xffebdfff,
    0x7c03ffc6,0x5e9760ff,0x647b8fe6,0x6ffb9bff,0xffb07ff2,0xf307ffc1,
    0x5cfff15f,0x07ff71ff,0x400ffee0,0xf7003ffb,0xffc8007f,0x001ffdc2,
    0x7e40bff2,0xf7ffd02f,0x2ffc809f,0x3e33fe60,0xcff9807f,0xff707ff8,
    0x1ffe4007,0x7ff8bff6,0x1fc7ff80,0x41bffdfd,0xb0ea61f9,0x20ffe4ff,
    0x9ffe0ffd,0x3ffe3fe8,0x3ee3ff70,0x7ff7003f,0x00ffee00,0x2001ffdc,
    0x7fdc2ffc,0x17fe4003,0xf982ffc8,0x407ff8cf,0x3f202ffc,0x805ffb1f,
    0x5ffb1ffc,0xffffff70,0xffe8dfff,0xfd27fd40,0x37fc401f,0xeebee93a,
    0xb9807d40,0xff90fffd,0x3e0ffd83,0x44fe88ff,0x47fee7ff,0xfffffffb,
    0x3ffee6ff,0x26ffffff,0xfffffffb,0x3ffee6ff,0x86ffffff,0x7fdc2ffc,
    0x6fffffff,0xf902ffc8,0x23ff905f,0x3f202ffd,0x4dff102f,0x3e205ff9,
    0x217fe66f,0xfffffffb,0x1bfe26ff,0xffc97fe2,0x7fdcba24,0x22bd3645,
    0x7e43646f,0x90ffffff,0x0ffd83ff,0x17f67ffa,0x7fdcdff1,0xffffff71,
    0x7fdcdfff,0x6fffffff,0x3fffffee,0x3fee6fff,0x6fffffff,0x7dc2ffc8,
    0xffffffff,0x902ffc86,0x6ff885ff,0xfc817fe6,0x87ff702f,0xff700fff,
    0x5c0fff87,0xcccccdff,0x543ffc3c,0x3ffe65ff,0xfffdff71,0x4bd1fa85,
    0xfb13e3fb,0x1ff915bf,0xffb07ff2,0x2ffffe41,0xff72ffdc,0x3337fee3,
    0x3ee3cccc,0xccccccdf,0x3337fee3,0x3ee3cccc,0xccccccdf,0x5c2ffc83,
    0xcccccdff,0x02ffc83c,0xffb85ff9,0xc807ffc3,0xdffd02ff,0x09fffddd,
    0x3bbbbffa,0x7fdc4fff,0x07ff6003,0xffc87ff9,0xffffbabf,0x4d8ee885,
    0x10fec6ec,0x0ffd8bff,0xffe85ff7,0x03bffe60,0x7dc3fff1,0x007ff71f,
    0x5c00ffee,0xff7003ff,0x2ffc8007,0x2001ffdc,0xff902ffc,0xeeeffe85,
    0xf904fffe,0xffff305f,0x0fffffff,0xfffffff3,0xffb8ffff,0x3bfee003,
    0x40fffc9b,0xffffffd8,0xe881efff,0x107f600e,0x7ffd4dff,0x911bff50,
    0xffe81fff,0xfffb9adf,0xfb8ffdc5,0x7ff7003f,0x00ffee00,0x2001ffdc,
    0x7fdc2ffc,0x17fe4003,0x3e62ffc8,0xffffffff,0x05ff907f,0x9999bff9,
    0xfc85ffd9,0xecccccdf,0x0ffee2ff,0xfffff900,0x7f5405ff,0xfffddfff,
    0x9bdfe883,0xfb02feca,0x3ffffdff,0x3fffffe2,0x3fea0ffe,0xffffffff,
    0xb8ffdc0d,0xff7003ff,0x0ffee007,0x001ffdc0,0xff70bff2,0x2ffc8007,
    0x7e45ff90,0xecccccdf,0x2ffc82ff,0xf500fff8,0x00fff8bf,0x7fdcbff5,
    0xaaaaaaad,0xdfffeb81,0xf5022001,0x3fae201f,0x2201ceff,0xff9cfffc,
    0x27bffa64,0x3ff10ffb,0x5dffffd5,0x56ffdc00,0x71aaaaaa,0x55555bff,
    0x37fee355,0x1aaaaaaa,0x5555bff7,0xffc83555,0x556ffdc2,0x641aaaaa,
    0x5ff902ff,0xfa807ffc,0x42ffc85f,0x7fc05ffa,0x80bff50f,0xfff70fff,
    0xbfffffff,0x80000180,0x00131001,0x00440030,0x000cc154,0xffffffb8,
    0xff75ffff,0xffffffff,0x3ffffeeb,0xf75fffff,0xffffffff,0x42ffc8bf,
    0xfffffffb,0x7fe45fff,0x2a5ff902,0x7ffc05ff,0x3617fe40,0x7fe402ff,
    0xc805ffb4,0xffff74ff,0x0bffffff,0x00000000,0x00000000,0xb8000000,
    0xffffffff,0xffff75ff,0x2bffffff,0xfffffffb,0xfff75fff,0xbfffffff,
    0x7dc2ffc8,0xffffffff,0x817fe45f,0x5ffb2ffc,0x004ffc80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfcb7d400,0x017db505,0x99880df3,0x1f501999,0x3ae001f4,0x7ccb901e,
    0x4f75c000,0xfec884ec,0xddddd53d,0xa6547ddd,0xff900cec,0x99999801,
    0x17ff4009,0x804ff980,0x7f403ffb,0x3b2a202f,0x401002ce,0x06fe8ffc,
    0x0df7edcc,0x0efefd80,0x84fdefa8,0x7fdc02fd,0x3ba07fff,0xca800fec,
    0x981dffec,0x8005ecdf,0x45fd9ffc,0xefffffe9,0xfffffffc,0x3f7ff24f,
    0x03ff207f,0x7ffffff0,0x07ff7e40,0xe802fec0,0x7f7e403f,0xffffd00f,
    0x1f5407ff,0xef99ff88,0x337ff600,0x4400effd,0x5fb01fff,0x06f98ff1,
    0x4ccccca8,0x0073b220,0x7fffffe4,0x017db302,0xd93ff900,0xdefffe8b,
    0xeeefffff,0x3ff23eee,0x32a04def,0x6666400c,0x1df502cc,0x5f980bf7,
    0xa809f500,0xc85fb8ef,0x6ffb9bff,0x3207ff50,0x6c03fb2f,0x01df302f,
    0x3a1ff000,0x000bf61f,0x31000000,0x0015ff93,0x8ffe4000,0x87bfea4d,
    0x9007ffd9,0x00000bff,0x00000000,0x98000000,0xa83fec3a,0xb00003ff,
    0x8855cc5f,0xbdb500ef,0x7fc7fe07,0x5400df31,0x6d403ded,0x76dc03de,
    0x101ffc9c,0xb807bdb7,0x9ffc8ced,0x07ffa1fb,0x6401ffe6,0xec9802ff,
    0x36e201bd,0x764c03de,0xddb301bd,0x764c017b,0xddb301bd,0xdb98017b,
    0x7ed40fff,0x19951cdf,0x3e60cca8,0x43ffffa2,0xfffd83f8,0x57e40eff,
    0x00bf66f8,0x77ffffec,0xfffffd80,0xffffd80e,0xf981ffef,0x80efffff,
    0xfefffffd,0x3ffc1b9f,0x3200ffd0,0x7fe401ff,0xf983ffff,0x80efffff,
    0x3ffffffc,0x7fffffcc,0xffffc80f,0x7ffcc3ff,0xfc80ffff,0x40ffffff,
    0x92fffffd,0x0ffd83ff,0xf12fc9ee,0x3fee2ecb,0x545ffcad,0xdf34ffff,
    0x2b7fee00,0x7fdc5ffc,0x545ffcad,0xffebbfff,0x6fffcc1f,0x7dc6ffeb,
    0xfffebbff,0x206ff881,0xfffffffd,0x807ff20f,0xfebcfff9,0x37ffe60f,
    0x7cc6ffeb,0x0ffebcff,0x3ea67bf6,0x67ffcc5f,0x3f60ffeb,0x45ffa99e,
    0xfc8adffd,0x6ffed40f,0xd83ff91c,0x6e9760ff,0xfff1ee04,0x5c41ffc8,
    0x010bf61c,0x3ff91ffe,0x3ff23ffc,0xf887ffa1,0x1ffe41ff,0xffe8bff6,
    0x207ffe21,0x3f606ff9,0x0fffffff,0xfd803ff2,0xc8b7a61f,0x17fec3ff,
    0x6f4c3ffb,0x1987bfe2,0x3a61ffd8,0x987bfe2d,0x362ffc41,0x3ffa80ff,
    0x3f60ffe4,0x27c4fe0f,0x7fc47e60,0x2ffb999d,0xf916f980,0x6ffc419f,
    0x12ffb999,0xf7333bff,0x743ffc5f,0x07ff41ff,0x7ff93fea,0xf881ffe8,
    0x33ffa06f,0x7e44cccc,0x01ffe00f,0x3ea07ff4,0x401ffe4f,0x01cffffe,
    0x3fa00fff,0xf881cfff,0x03ffea6f,0xff90ffea,0x3a0ffd83,0xfa811ba4,
    0xffffff30,0xfb007fff,0x97f37ee5,0xfffffff9,0xffff33ff,0x227fffff,
    0x1ffc85ff,0x3e21bfe2,0x90bff15f,0x1ffe03ff,0xc803ffc4,0xdff100ff,
    0x10dff100,0x1bfe2bff,0x7ffff440,0x1bfe22ef,0x7ffff440,0x7ffec2ef,
    0xa81ffffe,0x0ffe43ff,0x26c83ff6,0x6d97a0fb,0x2aab7fe2,0x7cc01aaa,
    0x9fe27fa6,0xaaaadff8,0x5bff11aa,0x7c355555,0x41ffd87f,0x5ffa87ff,
    0x3ff61bfe,0x303ffd01,0x3f200fff,0x01ffe00f,0x7fd43ffc,0x5001ffe5,
    0xf8ffffd9,0x7654007f,0x7e447fff,0x84ff9cff,0x7fe43ffa,0xf507fec1,
    0x3fb3fe63,0x8dfd13e2,0x2fd80098,0x87fe1ff1,0x204c46fe,0x204c46fe,
    0x7ffc0ffe,0x320ffec1,0x83ffe3ff,0xf901fff8,0x7ffc81bf,0x017bd100,
    0xef887ffa,0xf907ff63,0x10fff47f,0x10d4c7df,0x7ff45ffb,0xa98fbe21,
    0x40bff621,0xffa81fc1,0x3a17fdc3,0x43ba20ff,0x3f62deb8,0x445ffe41,
    0x3e600ffe,0x0ff87fc6,0x3a22fff2,0x2fff20ff,0x2e0ffe88,0xffd9aeff,
    0x5f7fdc1f,0x320fffc9,0xffd9aeff,0xffff101f,0x9ffffb79,0xa8999999,
    0xdff704fd,0x5c3ffb35,0xffc9beff,0x2bbfee0f,0xff11ffd9,0x707fe41d,
    0xffb35dff,0xc83bfe23,0x3f9800ff,0x2139ff50,0xfc88dffa,0x077440ff,
    0xff103fb0,0x807fffff,0x55fe42fd,0x7fffc46f,0x7fc43fff,0x443fffff,
    0xfefffffe,0xffffc81f,0x7fc42fff,0x1ffeffff,0x3ffffea0,0xfffffdff,
    0x2a217fff,0x3fffa04f,0xffc85fff,0xe82fffff,0x45ffffff,0xfffefffb,
    0xfffffe84,0x77ffdc5f,0xf1004fff,0x7fcc155d,0xffff13ff,0x101ffdff,
    0xf9537bfd,0x7fec405f,0x37cc03df,0x417fffcc,0x03dfffd8,0x07bfffb1,
    0x2affff62,0xffd701ff,0x3f6203bf,0x01ffaaff,0x4f7fff4c,0xfffffffb,
    0x1bfff97f,0xbdfffc80,0xbfffd700,0x6fffe403,0xfffdb80b,0x3fff204f,
    0xffdb80bd,0x7e4004ff,0x7ffe40ff,0x27bffa63,0xd7100ffb,0x0039dfff,
    0x1ca8004c,0x26002ea0,0x40026000,0x00600008,0x98000088,0x00260000,
    0x03000220,0x26000880,0x80022000,0x06200009,0x00220188,0x00009880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd0000000,0x403ff15f,0x26200ffc,0x75419999,
    0x39dd932e,0x01ef6d40,0x32abd704,0x105bd934,0x813f65ff,0x3e006ffa,
    0x7ff500ef,0x3ee00400,0xfe8ffc44,0x542ee204,0x077fcc02,0x401dfd00,
    0xd9804ffa,0x2600bdee,0x4c0353ed,0x26002cdc,0x6403feff,0x3fee00ff,
    0x7fdc7fff,0xffffffab,0xfffffd81,0x323ea80e,0xff7ff76f,0xff887fff,
    0x3e209fb2,0xfb804fef,0x03fdc00e,0x3f601f4c,0xfe8ffc42,0x3bfffa04,
    0x3bfe203f,0x1ff5005f,0x401ff500,0xfffffff9,0x37ffa600,0xfffff501,
    0x37fdc009,0x2a026540,0x5c4ccccc,0xfedffeff,0x6ffdc6ff,0x7d45ffca,
    0x7ddbae3f,0x7ffcacff,0x03550aa8,0x0bfa2ff6,0x32001fd0,0x0ffea03f,
    0x15501ff0,0x4f4406aa,0x3600cdb8,0xd005fd3f,0x1fdc003f,0xf533dfb0,
    0x7ffdc0bf,0xd9fff104,0x000005ff,0x3ee00000,0x3fea0dff,0xf91ffe2f,
    0x21ffd43f,0xe8bff75c,0x000000ff,0x20000000,0x3e603ffa,0x00000006,
    0x00000000,0x261eff80,0x3e676e01,0x12ffb82f,0xd9300bff,0x76d4037b,
    0x3b2a203d,0x7ffdc2ce,0xf14ffc80,0xff7333bf,0x337ff6a5,0x5ff71fb9,
    0x9950ffd8,0x950cca81,0x50cca819,0x0cca8199,0xcca81995,0x39bffb50,
    0x2e209f70,0x5c403ded,0x5c403ded,0x5c403ded,0x5c403ded,0xffd03ded,
    0x930039ff,0xfe81ff97,0x9007fec7,0x07ffffff,0x1dfffffb,0xffffffd0,
    0xa82ffdc7,0xffff34ff,0x367fffff,0x1aafffff,0xff90bfee,0xfb07ff21,
    0xb07ff21f,0x07ff21ff,0x3ff21ffb,0xfd87fec1,0xfd82ffff,0xfffff982,
    0xfff980ef,0xf980efff,0x80efffff,0xeffffff9,0xfffff980,0x7ff440ef,
    0xe982efff,0x45ffffff,0x0ffe46fe,0xebcfff98,0x37fee0ff,0x7e45ffca,
    0x26ffb9bf,0xff304ffb,0x2ab7fe2b,0xfb51aaaa,0xff7039bf,0xf90ffc83,
    0x90ffd83f,0x0ffd83ff,0xffd83ff9,0xfd83ff90,0x9bffb50f,0xf981ff03,
    0x6ffebdff,0x75efffcc,0x7ffcc6ff,0x4c6ffebd,0xffebdfff,0x5efffcc6,
    0xd9506ffe,0xff88ffff,0x0ffffdef,0x3ff91bfe,0xe987ff60,0xf91ffe2d,
    0x361d4c3f,0x40ffee7f,0x1bfa6ff9,0x3ffa8131,0xf907fee0,0xb07ff21f,
    0x07ff21ff,0x3ff21ffb,0xfc87fec1,0x507fec1f,0x1fe207ff,0xffb0fff2,
    0x361ffe45,0x0fff22ff,0x7fe45ffb,0xf917fec3,0x22ffd87f,0x3ff621a9,
    0xe893ff62,0x8dff12ff,0xfff02ffb,0x33bff100,0x2605ff73,0xf70fffdb,
    0x9bfe607f,0xfe88bffc,0x80ffea0f,0x7fe41ffb,0xfd83ff90,0xd83ff90f,
    0x83ff90ff,0x3ff90ffd,0x3ea0ffd8,0xd0bf503f,0x4ffa81ff,0xff503ffa,
    0x2a07ff49,0x03ffa4ff,0x7ff49ff5,0xf8a7fd40,0x83ff20ef,0x7fdc0fff,
    0xff71bfe4,0x00dff105,0xfffffff3,0xfffc87ff,0xff70ffff,0x89bfe607,
    0x3fffffff,0xf701ffd4,0x90ffc83f,0x0ffd83ff,0xffd83ff9,0xfd83ff90,
    0xd83ff90f,0xffffb0ff,0x443fc83f,0x5ff886ff,0xff10dff1,0x221bfe2b,
    0x0dff15ff,0x3fe2bff1,0x2e5ff886,0x4fffefff,0x3e61bfe2,0xf91bfe5f,
    0x01ffe03f,0x2aab7fe2,0x3ff61aaa,0x70ffc8ad,0x3fe607ff,0x6fffec46,
    0x203ffa83,0x7fe41ffb,0xfd83ff90,0xd83ff90f,0x83ff90ff,0x3ff90ffd,
    0xfb70ffd8,0x1fe819bf,0xffa87ff8,0x3ea1ffe5,0x2a1ffe5f,0x21ffe5ff,
    0x1ffe5ffa,0xfb717fea,0xfff09fff,0x7f49ff50,0xe807fe47,0x8fbe21ff,
    0x104c46fe,0x0ffd8bff,0x3ee07ff7,0x407f104f,0xd3003ffa,0x0bfee079,
    0x3fee1ffd,0xfb87ff42,0xb87ff42f,0x07ff42ff,0xff107ff5,0xf907ff60,
    0x20ffec7f,0x3ff63ffc,0xfb1ffe41,0x23ffc83f,0x7fe41ffd,0x207df503,
    0x7fec2ffe,0xfe87ff63,0x2bbfee07,0x3f21ffd9,0x0ffe88bf,0x7fd4dff1,
    0x4c7ff70f,0x302fffbb,0x67fd407f,0x7edc4009,0x88dffa82,0xff50fffc,
    0x1fff911b,0x32237fea,0xbff50fff,0x41fff911,0x2a09cff9,0x7dff705f,
    0x5c1fff93,0xffc9beff,0x2fbfee0f,0x2e0fffc9,0xffc9beff,0x2fbfee0f,
    0x300fffc9,0xff505f93,0x1fff935d,0x7dceffcc,0x7fff403f,0x7fc45fff,
    0x6c3fffff,0xffffefff,0x7f47ff71,0x3e205fff,0xfff982ae,0x7e44203f,
    0xfffff883,0xff10ffef,0x1ffdffff,0x3fffffe2,0xfff10ffe,0x41ffdfff,
    0x323ffff8,0x3fff203f,0xfc82ffff,0x82ffffff,0xfffffffc,0xfffffc82,
    0xfffc82ff,0x2102ffff,0xffb02fc8,0xb05fffff,0x01ffffff,0x17bfff90,
    0x7bfffb10,0x39fff910,0x4ffee9ff,0x00dfffd8,0x6407ffe4,0x3f603fff,
    0x3fa604ef,0x20ffb9ef,0xfb9effe9,0x3bffa60f,0x3a60ffb9,0x0ffb9eff,
    0xfd1fffdc,0xfffeb803,0x3ffae01d,0x3fae01df,0x3ae01dff,0x2e01dfff,
    0x201dfffe,0x5c04effe,0x201effff,0x000efffc,0x01300044,0x03000060,
    0x0c401880,0x10004c40,0x00044001,0x00440011,0x00066060,0x00030003,
    0x00030003,0x0004c003,0x01300062,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdecaa654,
    0x26c1f302,0xe9807bae,0xfaa7ec3e,0x07ffa207,0x2017fe40,0x000bdec9,
    0x4037bd93,0x3202cdca,0x3207fb5f,0x201ff35f,0x401911ca,0xf7002ffe,
    0x1ffa205f,0x06f7b6a0,0x2006fe88,0x32602dcb,0x2660570b,0xfe809999,
    0x7fdffe40,0x9db02fff,0x2ffc81fb,0xfb13fea0,0xfd81fea9,0x7c400ffe,
    0x7ffdc02f,0x7e400fff,0xc83fffff,0x205fffff,0x3206fefe,0x501ff35f,
    0x40dfffff,0x800ffefc,0x7f4403ff,0x3fffee03,0x3fe200ff,0x7fff4402,
    0xffff81ff,0xffff02fe,0x85f907ff,0xfcacfffc,0x39d7106f,0x5405ff90,
    0x88d4c4ff,0x32df502a,0x01fdc05f,0x7f4c77f4,0x33ffe603,0x3ea0ffeb,
    0x01ffecef,0x4c01fff3,0x2e05512a,0x302dda8c,0x80bf71df,0xdf1004fb,
    0x327bfe60,0x37cc04ff,0x3f7bffa0,0x5cc7445f,0x3333204e,0x44fb82cc,
    0x3ff45ffc,0x05ff9000,0x00027fd4,0x22000000,0x81bf65ff,0x37a61ffd,
    0xff89ffa2,0x00000005,0x00000000,0x8bfea000,0xa80005ff,0x03ff24ff,
    0xf9800000,0x3617fe46,0x765440ff,0x17fe42ce,0xb509ff50,0xeda807bd,
    0x6f6d403d,0x54fff403,0x1ffe04ff,0xff10d440,0x7bddb30b,0x3bb2a201,
    0xdd95102c,0x3b2a2059,0xd95102ce,0x32a2059d,0x7fdc2cee,0x5407ff51,
    0xffb03ded,0x332a0441,0xca866540,0x2066540c,0x07ff20ff,0xffe81ffb,
    0x3f23ffff,0x13fea02f,0x1dfffffb,0xdfffffb0,0xfffffb01,0x3ffea01d,
    0xff100dff,0x3f22000d,0x7fffcc2f,0xffe80fff,0xfe83ffff,0xe83fffff,
    0x83ffffff,0x3ffffffe,0xffffffe8,0x7f47ff23,0xffffb00f,0x17fe81df,
    0x83ff9057,0x3ff90ffd,0x7ec0ffd8,0xf907ff22,0x4dffe41f,0x3ff26ffb,
    0xb93fea02,0x5ffcadff,0x7e56ffdc,0x56ffdc5f,0xff105ffc,0xfff00bff,
    0x7fff5000,0xf533dfb0,0x9bffc8bf,0x7fe46ffb,0x646ffb9b,0x6ffb9bff,
    0x7dcdffe4,0x4dffe46f,0x3ff26ffb,0xf705ff89,0x8bff95bf,0xefffceff,
    0xfb07ff20,0xb07ff21f,0x24fb81ff,0x7fe41ffc,0xffb0ea60,0xf5017fe4,
    0x323ffc9f,0x91ffe1ff,0x23ffc3ff,0x7f4c1ffc,0xfe805fff,0x40fbe21f,
    0xff83fffb,0x2a60661e,0x2a63fec3,0x2a63fec3,0x2a63fec3,0x2a63fec3,
    0xff93fec3,0xf03fff33,0x11ffc8ff,0xffbbffff,0x360ffe4d,0x83ff90ff,
    0x37cc0ffd,0xffc83ff9,0xfffb7300,0xa80bff21,0x3bff14ff,0x225ff733,
    0xfb999dff,0x33bff12f,0x7cc5ff73,0x9bfffbff,0x77fdc1df,0x101ffd9a,
    0xfe8dff73,0x9801cfff,0x300fffdb,0x201fffb7,0x00fffdb9,0x01fffb73,
    0x43fff6e6,0xdffb1ffc,0x4ceffc41,0x3fe2ffb9,0x64bff23f,0x87fec1ff,
    0x7fec1ffc,0xff90ff80,0x640ffc83,0x0fffffff,0x7d405ff9,0xfffff34f,
    0x3e67ffff,0xffffffff,0xffffff33,0x7fe47fff,0xffdfff32,0xfffffd01,
    0x3ff200bf,0x3ffffa21,0xfffc82ef,0x7e40ffff,0x40ffffff,0xfffffffc,
    0x7ffffe40,0x7ffe40ff,0xff90ffff,0xf337ff43,0xffffffff,0xf30fffc7,
    0xb07ff29f,0x07ff21ff,0x5fb01ffb,0xff907ff2,0x456ffec1,0x5ff90ffc,
    0x3ffb8db7,0x5555bff1,0x37fe2355,0x11aaaaaa,0x55555bff,0x2e37f435,
    0x3205ffff,0x880bdfff,0x541ffd40,0x6c7fffec,0xffc8adff,0x22b7ff60,
    0x3ff60ffc,0x20ffc8ad,0xfc8adffd,0x2b7ff60f,0xff90ffc8,0x89fff443,
    0xaaaaadff,0x883ffa1a,0x83ff94ff,0x3ff90ffd,0xfb80ffd8,0x10ffd804,
    0x0ffd8bff,0x3ffb5ff9,0xdfd17fec,0x37f40988,0x8dfd0262,0x07ff4098,
    0x500bfff6,0xdff107df,0x2a62ffd8,0x44bff621,0x87fec5ff,0x7fec5ff8,
    0xfd8bff10,0xd8bff10f,0x8bff10ff,0x3ff90ffd,0x3fa5ff88,0x3f204c46,
    0x5cffea3f,0x87ff42ff,0x7ff42ffb,0x2605f980,0x3fe27ffb,0x643ffea6,
    0xbfffbaff,0x3f20fffc,0x0ffe88bf,0x3a22fff2,0x2fff20ff,0x2e0ffe88,
    0xffb89dff,0x26603fff,0xcffb82fc,0xf10fffb9,0x87fe41df,0x3fea6ff8,
    0x54dff10f,0xdff10fff,0xf887ffd4,0x43ffea6f,0x3fea6ff8,0x2e3ff90f,
    0x3f24ff99,0x0ffe88bf,0x3a6bbfe2,0x1bff51ff,0x2a1fff91,0xffc88dff,
    0x6c0ff00f,0x7fec6fff,0x91ffffef,0xffff15ff,0xff885fff,0x443fffff,
    0x3fffffff,0x7fffffc4,0x7fffc43f,0xfffeffff,0x05f91081,0x3ffffffe,
    0x7f7ffdc2,0x7ffec4ff,0x361ffffe,0xffffefff,0x3fbfff61,0x3ff61fff,
    0x21ffffef,0xfffefffd,0xf93ff91f,0x7c41ffff,0x83ffffff,0x4ffffffc,
    0x3fffffe2,0xfff10ffe,0x01ffdfff,0x7ff407fa,0x7ffe441f,0xff94ff9c,
    0x37fff625,0xbfffb103,0x3fff6207,0xfffb103d,0x3ff6207b,0x07f71eff,
    0x8813bffa,0x701effeb,0x109ffffb,0xff39fff9,0x67ffe449,0x3f224ff9,
    0x24ff9cff,0xf9cfffc8,0x3fff224f,0xff94ff9c,0x20b7ff63,0x03dfffd8,
    0x20ffffee,0xfb9effe9,0x3bffa60f,0xf900ffb9,0x2006a207,0x000c0001,
    0x00980026,0x18800260,0x00098010,0x01300044,0x00300060,0x000c0018,
    0x00080006,0x00440013,0x01100044,0x00009880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x25c80000,
    0x81fa00f9,0x765403f8,0x3332603c,0xca80cccc,0x0cca81cd,0x99506654,
    0x20077b6a,0x98005ff8,0x7fb005ff,0x7ec05fd1,0x2e02fe8b,0x0cc99ced,
    0x00beeca8,0x17ee3bea,0x0ff67f98,0xa81eeb80,0x0cc99ced,0x3b205dd5,
    0x400eec8e,0x6fcc4ee8,0xffd505ec,0x3f603640,0xf706ffff,0x81ffffff,
    0x43fffffd,0x7fec1ffc,0x3ff3ff20,0x7e402fff,0x5fd8000e,0x3fbfe200,
    0x7f7fc404,0x3ffff604,0x7dc1ffcf,0x202fffff,0x200ffefc,0x00bfe5fb,
    0x7e41ffc8,0x1ffcffff,0x3f607ff7,0x400ffd9f,0xed985ff8,0x0ffdf00b,
    0xff880be6,0xc82ffdbe,0x0fffffff,0x3ff7bff2,0xb07ff22f,0x7ffe41ff,
    0x00fffdbe,0x10001df1,0xff5000df,0x1bfea00d,0xebbfffa8,0x3fe61fff,
    0x406ffbae,0x7e402ffe,0x4001ff14,0x3fea1ffc,0x1fffebcf,0x3f607ff7,
    0x8807fd9f,0x460005ff,0xc80db07f,0x21bfa0ff,0x19999efe,0xbff337fc,
    0x3f60ffe4,0x917ff20f,0x000007ff,0x00000000,0x221ffe80,0x3fee1fff,
    0x000bfee1,0x6fa97f40,0xb0ffe400,0x1fff85ff,0x3f607ff7,0xf100f71f,
    0x50332abf,0x50ff0199,0x47fc803f,0x04ff86fd,0x3fe27fcc,0xd83ff90f,
    0x0fff20ff,0xb9109ff5,0x505f359d,0xd915bdb9,0x1995059d,0xb880cca8,
    0xfff03ded,0x7e43ffd0,0x95100c0f,0xffe859dd,0xffffffff,0xc9cedb81,
    0x03ffe1ff,0x3fee3ffb,0xd13ffb03,0x2bff1009,0x7fec1ffc,0x05e87f80,
    0xfa8bffa8,0x66ffcc4f,0x1ffcc1ce,0x7fe47ff6,0xf907fec1,0x45ff883f,
    0xfffffffa,0x7fffec0e,0xffffffff,0x360ffe44,0x7ffcc0ff,0x3e20efff,
    0x21ffc86f,0x3a001ffb,0x23ffffff,0xfffffffe,0x7fec1fff,0x21ffefff,
    0x1ffb86ff,0x3f607ff7,0x8800dfdf,0x83ff95ff,0x47f80ffd,0xff5000fb,
    0xff509fff,0x445fffff,0x97ffc5ff,0x7fec1ffc,0xf30fff20,0x67ffc4bf,
    0x7d46ffda,0xffffbacf,0x323ffcab,0x07fec1ff,0xfd7bfff3,0xe87fe8df,
    0xbff951ff,0x7fe40355,0x226ffb9b,0xff99efc9,0x5fffd41a,0x3e1fffeb,
    0x71ffd87f,0x3ff607ff,0x3fe2000c,0xfd83ff95,0x3e24c80f,0xff980884,
    0xffc84fff,0x20fffdbf,0xffc8bffe,0xe85ff73f,0x17ff20ff,0x7fec7ff7,
    0x88ffff62,0x227fe43a,0x07ff26fd,0x7fe41ffb,0xf917fec3,0x8fffc43f,
    0x4ffffffe,0xffb0ea60,0x3fe29f90,0x221ffe80,0x3ffa1fff,0xfb8fffc1,
    0x03ffb03f,0xf95ff880,0x00ffd83f,0x37cc0fc8,0x3f2b7fea,0x3215445f,
    0x3ffe64ff,0xf52fffff,0xfff911bf,0x467ffe41,0x3fe1ffea,0x17feff27,
    0x5fffedcc,0x327fc999,0x07fec1ff,0xffa81ffd,0x2efffea4,0xfdb1ffff,
    0x2007ddff,0x40fffdb9,0x20df52fe,0x1ffe87ff,0x3667bfee,0x7ff71fff,
    0x0007ff60,0x3ff2bff1,0x2007fec1,0x37fc43f8,0x1ff91ffa,0x88bff300,
    0x1ffb9dfd,0xdffffff1,0x7ffe41ff,0x224fffff,0x3e7f55ff,0x7fffdc6f,
    0xffffffff,0x83ff90ff,0xdff10ffd,0xfd8bff10,0x1ffdffff,0xf9003ff4,
    0x21ffffff,0xfeeeffec,0xbff10eef,0xfe83ff90,0x1fffffff,0x3f607ff5,
    0x7fc4001f,0xfd83ff95,0x7436c00f,0x17fe26fe,0xf1007ff5,0x1ff900bf,
    0x5cf7ff4c,0x27ff20ff,0xff83fffd,0xbff14f9e,0x64577fe4,0xaaaaacff,
    0xd83ff90a,0x21ffe0ff,0xfeb85ffa,0x220ffc8d,0xffb005ff,0x21ff915b,
    0xfffffffe,0x1ffe1fff,0xfb107ff6,0x23ff77ff,0xffd04ffa,0x987b6a01,
    0x85ff74ff,0x3e600ffe,0x23747e42,0x17fe47ff,0x2ffb8ffb,0x0dff0f2a,
    0xfc87c822,0xffd8061f,0xf93fee5f,0x227fe46f,0x217fdc19,0x3ff60ffe,
    0x111ffe41,0xfc83ff20,0x5ff8800f,0xfda87fec,0xaabffaae,0xff03ffa0,
    0xfb82203f,0x81fff31f,0x3ee07ff9,0x553fee3f,0xffc88dff,0xf517a00f,
    0x7f49ff9d,0x0ffea8cf,0x3aa33fea,0x4d7fe47f,0xfb003ffd,0x2003ff90,
    0xff71fffa,0x987ffc1f,0xff32ffff,0x446ffd4d,0x3ee0fffc,0xfffc9bef,
    0xe893ff20,0x37bfee7f,0x221dbacd,0x3ffea6ff,0x7fc53f60,0x35dff700,
    0x2003fffb,0x3ffa1ffb,0x4ffebabe,0x2f3ffe60,0xfff12ffe,0x01ffdfff,
    0xfff707ea,0x7ffc4fff,0xfe83ffff,0x443fffff,0x06ffffff,0x64673f20,
    0x3fe001ff,0x42ffffff,0xfffefffb,0x0fffffff,0x3fffffe2,0x7fe40ffe,
    0x442fffff,0xfffeffff,0x3fffff23,0x7ec4ffff,0x1ffffeff,0x037d4bfa,
    0xdfffffd1,0x3ee003ff,0x3fffea1f,0x400fffff,0x4ffffffd,0x5cf7ff4c,
    0x009d00ff,0xffd730dd,0x3fae207f,0xffb502ef,0xff88009f,0x003ff94f,
    0x3fff6ff6,0xffec881e,0xbfffd32e,0x3dffd305,0xfd701ff7,0x3ea03bff,
    0x443fffff,0xffedbbef,0x7ffe445f,0xff14ff9c,0xb1013f21,0x3ff57fff,
    0x107fee00,0x19fffffb,0xdfff9100,0x30004409,0x80550019,0x00220008,
    0x26000044,0x20cc0000,0x18806001,0x20001100,0x06666001,0x80131008,
    0x26219801,0x00011000,0x00262000,0x00000980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77540000,
    0x201dd902,0x0cdeedc8,0x6654fba6,0x2204cc80,0x00cdeedb,0xbdfd9510,
    0x99079705,0x40599107,0x3a00bec9,0xf103f405,0xdfb91007,0xfb73007b,
    0x3bae039b,0x7f64c000,0x1eea83de,0x4c37fc40,0x3aa003ee,0x1bfe201e,
    0xf75c87e2,0x07ff607f,0x3fffffee,0x29ff33ff,0x7fcc3ffa,0xfffff705,
    0xe8807fff,0xefffffff,0x3fe1bfa0,0x104ff886,0x2a0bf9df,0x0ffd501f,
    0x7fd40364,0x80efffff,0xffffffe8,0x00ffc83f,0x3ffffee0,0x3fee0eff,
    0x4077dc01,0x2e004ffa,0x3bee01ff,0x3fb9f900,0x7ec0ffee,0x77ffd41f,
    0x9bfffecc,0x8dff13ff,0xffb82ffb,0xfffeccef,0xbdffd103,0x74bfffd9,
    0x886ff86f,0x115104ff,0xf813a0ff,0x05f307fe,0xedffffa8,0xffe85fff,
    0x3ffffdef,0x98007fe4,0xffdcdfff,0x007fee5f,0x3fea01df,0x3ff70064,
    0x710077c0,0x1ffdc5bd,0x3e21ffd8,0xfffa83ff,0x0ffe45f0,0xfff10ffd,
    0x01fff707,0xff509ffd,0x3e1bfa3f,0x8013306f,0x0fb82ffa,0x6d83fc60,
    0x20bffe80,0x3ea1fff9,0x3fee21ff,0x003ff20f,0x3e617fdc,0x03ff70ff,
    0x54ffa800,0x01ffb80d,0x3fee0000,0x5c3ffb03,0x3ff205ff,0x3fe60fbc,
    0xf709ff13,0x27fe40bf,0xdc817fe6,0xff0dfd1b,0x100fb60d,0x1fc41fd5,
    0x1fa87f80,0xb827fdc0,0x0fb261ce,0xff927fec,0x903bdb51,0x179705ff,
    0x65407fee,0x7d419d94,0x5c06fccf,0x29952aff,0x9502dec9,0x81ffdc19,
    0x3ff61ffd,0x3fffe201,0xff76fe83,0x403ffb03,0x7fdc6ff8,0x43ff4002,
    0x3ff886ff,0x8bf23930,0x21fe006c,0x1ffd805e,0xffa80000,0x3ff7ff26,
    0x7fd42fff,0x3ee00bdf,0xfbff901f,0xffffa8ff,0x7ffdc01e,0xfff7ff74,
    0x3ff707ff,0xfd81ffdc,0x003ffa1f,0x3ee03fff,0xfd06fe9f,0x47ff801f,
    0x74000ffd,0x437fc47f,0xff102ffd,0x017ccdfb,0x00fb8ff0,0x4000ffe8,
    0xcccccccc,0x3f27ffcc,0xfffdadff,0x7ffffec0,0x4ffdc0be,0xfff91cc9,
    0xfffa89bd,0xfffb800d,0x959fff71,0x3ff70fff,0xfd81ffdc,0x201ffe1f,
    0xff100fff,0x3fe07ff9,0x20fff807,0x7fe40fff,0x1ffd5fff,0x3f637fcc,
    0x5edcc04f,0x40221b60,0x0113e24c,0xf1001ffe,0xffffffff,0x3f21ffff,
    0x21ffe45f,0xffffffc8,0x2a7fee1f,0x0bff92ff,0x7002ffd4,0x2ffdc5ff,
    0xff703ffa,0xd81ffdc3,0x03ffe1ff,0xfd80fff0,0xfff00fff,0x747ff801,
    0x7ffe40ff,0x3dffd5ff,0x7f4dffd3,0x3ea0005f,0xc8037cc1,0x89ffb50f,
    0x7c000ffe,0xeeeeeeff,0x3ff27ffe,0x8827fd42,0x0fffffda,0x5ff53ff7,
    0x7d40bff2,0xff5004ff,0x217fdc3f,0x7fdc0ffd,0x6c0ffea1,0x07ffa1ff,
    0x5406ff88,0x3fa05fff,0x1bfe201f,0xcca85ff9,0xfffd5ffd,0x2edfffff,
    0x740005ff,0x4037fc45,0x32bfa3f8,0x407ff62f,0x01ffd818,0x7fe4bff3,
    0x802ffc41,0xff72ffe9,0x3f213313,0x9fffd01f,0x87fffa00,0x7fe42ffb,
    0xf50ffdc0,0x83ffa09f,0x3ee04ffd,0x2fff805f,0xb813ff60,0x2ffd45ff,
    0x3fabff30,0x6fecffbe,0x026a0ffd,0xfee81f70,0x8d46d806,0x13ff23fb,
    0xff91f7dc,0xc93ff20b,0xa7fd42ff,0xff506fe8,0x6407fee9,0xff7b01ff,
    0x3feea009,0xf907fee1,0x21ffb81f,0x7cc0fff9,0x0fffcc7f,0x200fffcc,
    0x7cc07ff8,0xfff981ff,0x817ffc41,0x2dfd5ffb,0x70dfd008,0x27c405ff,
    0x301ba3f2,0x83fea05f,0x7c41fff9,0x3ffe62ff,0x917ffc40,0x3ffc89ff,
    0x3f20bffa,0x203ff73f,0x3ea00ffc,0x3fee004f,0xf907fee1,0x41ffb81f,
    0xfcabeffe,0xfffc84ff,0x5fffcaac,0x027fe440,0x5567ffe4,0xf305fffc,
    0xfd757bff,0x01bfabff,0x7d433ff2,0x83f200ff,0x04ffcefa,0x0f7dc17a,
    0x65f7ffe4,0xffb86fff,0x4fffdacf,0x5467ffe4,0x3fee0fff,0xfffdbadf,
    0x3203ff71,0x3fea00ff,0x2aaaaaad,0xff70ffdc,0x5c0ffc83,0x7ffd41ff,
    0x80ffffff,0xffffffd8,0xff100dff,0xb1001fff,0xffffffff,0x7ffd401b,
    0x0dffffff,0x3fa00dfd,0x02ffffff,0xfff70fe2,0x07ea0fff,0x20267fee,
    0xfffffffd,0xffffb00f,0xff90bfff,0x09fffffd,0xfffffffd,0x80ffdc7f,
    0x3ea00ffc,0xffffffff,0xf70ffdc7,0x40ffc83f,0xfd981ffb,0x400cffff,
    0x2effffea,0x02ffff80,0x7ffff540,0xfb73002e,0xfe83bdff,0x3ffee006,
    0x036c01df,0x109d0374,0x209fffff,0x0cffffea,0x6ffffdc0,0x3f6ff903,
    0x3fee03ff,0x7dc2efff,0x01ff901f,0x7fffffd4,0x7fdc7fff,0xf907fee1,
    0x01ffb81f,0x880004c4,0x00d4c001,0x0000c400,0x1000000c,0x00722001,
    0x4064c0aa,0x01aaaaa8,0x18800098,0x88006000,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff15fd00,0x401664c3,0x01999998,0xeeeeee88,
    0x1eeeeeee,0x4bd73dd5,0x541911ca,0xee9801ee,0x2cc98002,0xdd506654,
    0x207bb205,0x42fe8bfd,0xeed81eec,0x77777540,0x7fd00bcc,0x7fcc3ff1,
    0xeea86fa8,0x80bcceee,0xeeeeeeeb,0xfa80eeee,0x2ffc802f,0x0aa17710,
    0x87fdff30,0xfa804ffa,0x400fffff,0xfffffffc,0x72ffffff,0x2adf95ff,
    0x2e7fffff,0x00ccdffe,0x50007ff5,0x1ffc89ff,0x7ec0ffee,0xfeff881f,
    0x545ffa84,0xfffb85ff,0x82ffffff,0xb84feff8,0xfb81ffef,0xffffffff,
    0x7ffffe42,0x80ffffff,0x7c402ffa,0x3fffa02f,0xffb803fe,0x804ffa85,
    0x04ccccc9,0x7fd77fc4,0xeeeeeeef,0xdd75ff71,0x8b76a32e,0x1ffffffd,
    0x0007ff50,0xffc89ff5,0xdddffdb1,0x9dfffddd,0x201dff50,0x3ffa0ffe,
    0xeeeffb81,0xa82ffffe,0x3ff606ff,0xdddff703,0x5c5ffffd,0xefffeeee,
    0xcc980eee,0x101fe401,0x019b713d,0x09ff5000,0x7fdc0000,0x2e00fff3,
    0x400b92ff,0x019affc8,0x540017c4,0x87dc44ff,0xffffffff,0x05ffffff,
    0x4d3fea00,0x7ff705ff,0x000dff90,0x83ffb800,0x3e206ffc,0x0000005f,
    0x33220000,0x52cccccc,0x654009ff,0x0ffe800c,0x3ee00fff,0x6541fbaf,
    0x99ffb80c,0x8fc82ded,0x5bdb54ca,0x6c84ffa8,0x2673ff26,0x0affd999,
    0x37b26995,0xfb1ffd02,0x0ffee03f,0x99517ff4,0x995033b2,0x40ffee01,
    0xff102ffe,0x6666440b,0x9912cccc,0x25999999,0x5bd934ca,0x3ffffe60,
    0x9ff54fff,0x00ffdc00,0x7ff93fea,0x355ff700,0xf703ff70,0x5fffffbf,
    0xcffc97d4,0x2a3fffff,0x20fe44ff,0xffb03ffb,0x7fdffdc3,0xffb83fff,
    0x3ee05ffc,0x47ff703f,0x87ffdffc,0xff701ffb,0x40ffee07,0x3e605ff8,
    0x4fffffff,0xfffffff3,0x3effee9f,0xc883ffff,0x2fffdccc,0x66449ff5,
    0x401ffb82,0x3ffe0ffe,0x25ffffff,0x3ee02ffb,0xdfffb81f,0x9047ffba,
    0xff959fff,0x2227fd4d,0xfffffb80,0x21ffffff,0xfcacfffb,0x3feea67f,
    0x542acfff,0x21aadffd,0x3ff24ffa,0xffb84def,0xadffda81,0x413fea1a,
    0x32205ff8,0x2fffdccc,0xffb99991,0x33ffee5f,0x8807ffca,0x3fea3ffe,
    0x2e13fe64,0x3fea01ff,0x7fffffc5,0x3fee5fff,0x207fee02,0x3fec5ffb,
    0xff89ff90,0x4013fea7,0xfffffffb,0x3ee1ffff,0xb87ff45f,0xffffffff,
    0x7ffffc6f,0x97fe64ff,0x7dc05ffc,0xfffff81f,0x97fe64ff,0xaeffbaa8,
    0x7ff4402a,0x8fffa203,0x7ff45ffb,0x13ffa200,0x7fcc9ff5,0x201ffb84,
    0x7ffc1ffe,0x23cccccc,0x3ee02ffb,0x43ffb81f,0xff900ffd,0x3ea7fe85,
    0xbff7004f,0xffd99999,0x3617fdc3,0xfddd50ff,0xc8bdddff,0x22ccdffe,
    0x3ff25ffa,0x40ffdc02,0x2ccdffec,0xffa97fea,0x07ffffff,0x8813ffa2,
    0x7fdc4ffe,0xb007fec2,0x9ff50bff,0xffb80998,0xfffff301,0x200fffff,
    0x3ee02ffb,0x42ffb81f,0xff901ffc,0x3ea7fd83,0x7ff7004f,0xfb87ff60,
    0x807fe42f,0xffb807fd,0x649ff703,0x7fdc01ff,0x207ff701,0x2aa24ffb,
    0x02aaeffb,0xfb017ff6,0x85ff70bf,0xff900ffc,0x09ff501d,0xd80ffdc0,
    0xffffffff,0x5ff7007f,0x5c0ffdc0,0x0ffe41ff,0x7ec0ffc8,0x4013fea7,
    0xffb03ffb,0x320ffdc3,0xffff70ff,0x70dfffff,0x3ff607ff,0x7007ff22,
    0x3fee03ff,0x205ffb03,0xfc805ff8,0x3ff200ef,0x41ffb80e,0xffb80ffc,
    0x09ff500e,0x4c0ffdc0,0xcccccfff,0xff7007ff,0x40ffdc05,0x7fe41ffb,
    0xd81ff901,0x013fea7f,0xfd81ffdc,0x907fee1f,0x3ffee1ff,0x86ffffff,
    0xff983ffb,0x003ff20f,0x3ee03ff7,0x0fff983f,0xb80bff10,0x3ee00eff,
    0x3ff700ef,0x7d40ffc8,0x2aaaacff,0x5555bff5,0x1ffb8555,0xff03ffc8,
    0x5555555f,0xb80bfee3,0x1ffb81ff,0xfc80ffe4,0xf53fec0f,0x555555bf,
    0xd81ffdc5,0x07fee1ff,0x26621ff9,0x0999ffe9,0xcbadffb8,0x7e43fffd,
    0x0ffdc00f,0xcbadffb8,0x2203fffd,0x3fea05ff,0x52aaaacf,0x55559fff,
    0xf907fee5,0xffffc81f,0xff56ffff,0xffffffff,0x7c41ffb8,0xffff00ff,
    0x29ffffff,0x3ee02ffb,0x41ffb81f,0xff901ffc,0x3ea7fd81,0xffffffff,
    0x6c0ffee7,0x07fee1ff,0x3f601ff9,0xffffb807,0xc85fffff,0x7fdc00ff,
    0xfffff701,0x880bffff,0x3ff205ff,0x96ffffff,0xffffffff,0xf907feed,
    0xffffc81f,0xff56ffff,0xffffffff,0x7e41ffb8,0x3fffe04f,0x74ffffff,
    0x7fdc05ff,0x641ffb81,0x1ff901ff,0x3fea7fd8,0x7fffffff,0x7ec0ffee,
    0x907fee1f,0x1ff601ff,0x3ffffee0,0xff901def,0x01ffb801,0xdffffff7,
    0xbff1003b,0x7ffffe40,0xfff96fff,0x2edfffff,0x07fe41ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8013ff20,0xfd983ffd,0x507fec5e,0x3ee005dd,0x3aa3ff17,
    0x1bdd902e,0xdb01f764,0x03bba65d,0x32217baa,0x9800bded,0x775405ee,
    0x02cceeee,0x205eed44,0xcceeeeea,0xddddd503,0x2a5ddddd,0x01dd71ee,
    0x3aabdd10,0x003dd51e,0x44077540,0x5001efec,0x7005fddf,0x7cc3ffdf,
    0x4fe86fff,0x5c00ffee,0x2e3ff17f,0xfffc83ff,0x40fffcc2,0x7fec6ffa,
    0x5c3ffe85,0x1fffffff,0x017ffec0,0xfffffff7,0xffb01dff,0x7dc1ffff,
    0xffffffff,0x7ffffdc2,0xf72fffff,0x007ff23f,0x7fddbfe2,0x0003ff71,
    0x3603ffe2,0x8801ffff,0x00ff99ff,0x9bea3fe2,0x8819cffa,0x07ff70fe,
    0x5544aa60,0xfb87ff70,0xbff902ff,0xf885ffd0,0x1bff22ff,0xf959fff3,
    0x3fe201ff,0x3fee05ff,0xfffeeeee,0x767ffdc5,0x3bfee4ff,0x1ffffeee,
    0x3bbbbfee,0xff72eeee,0x2007ff23,0x3dd56ff8,0x40007fee,0xff80fffd,
    0x0000019e,0x01ffc800,0x7ffffdc0,0xb8001dff,0x3ffee3ff,0x8bffe202,
    0xff705ffc,0xb07ffe2d,0x3ffb85ff,0x1fffff70,0x220ffee0,0x07ff47ff,
    0x3fee1ffb,0x737fe443,0x3ee007ff,0x003ff91f,0x7dc0dff1,0xffb8001f,
    0x27fc40ff,0x993132e0,0xca83cb83,0x00ffe40c,0x3fee1995,0x4fffffff,
    0x7dc0cca8,0x07fff53f,0x3e2dff50,0x3ff600ff,0xca83ffdc,0xd04ff984,
    0x209ff7ff,0xffd03ffb,0x7fdc4dc8,0x3a07ff72,0x07ff72ff,0x7e47fee0,
    0xf0b32e1f,0x5c332adf,0x2ded99ff,0x3ffbfe20,0x33bff6e0,0x641ff703,
    0x13fe25ff,0xff907fee,0xb8ffdc03,0xfdcccdff,0x0ffdc0ff,0x3fe6ffee,
    0x3ff6003f,0x4403ffdc,0x006fffff,0xf981ffd8,0x707ff8cf,0x9ff507ff,
    0x5c3ff600,0x7ff703ff,0x5c00ffee,0x23ff91ff,0x7fc0effb,0x3ee3ff75,
    0x3fffffdf,0x1ff9bfd0,0x2fffffec,0x3fa3ff98,0x207fea7f,0x7fe41ffb,
    0x5c7fee01,0x3ffc83ff,0x3ee0ffdc,0x01ffffdf,0x3ffffe20,0xffff7006,
    0x5ffd8003,0x3f63ff90,0xeeffb82f,0x00dfffee,0x3ee6ff98,0x29ff503f,
    0xfffffffb,0x47fee6ff,0xeffa9ffc,0xff74fe80,0x2b3ffee3,0xffb87ffb,
    0x36e0ffc8,0x3a03ceff,0x3ffff15f,0x7fdc1ff6,0x700ffe41,0x0ffee3ff,
    0xff717fea,0xfffffb83,0x7dc006ff,0xf1001fff,0xfd800dff,0x4dff105f,
    0xffb85ff9,0x4fffffff,0x21fff980,0xff303ffb,0x3ffffeeb,0x3ee6ffff,
    0xff7ff91f,0x5d3f601d,0x8bff71ff,0x3fe60ffd,0xf881ff92,0x57fc804f,
    0x3fe7fddf,0xc83ff704,0x3fee01ff,0xf907ff71,0x41ffb89f,0xfebffffb,
    0x7ff4004f,0x3fff6004,0xbff7002f,0x3e1ffdc0,0x6ffdc0ff,0xeffecccc,
    0x87fff300,0xff503ffb,0x3337feeb,0x3ee3cccc,0xfffff91f,0xfb9fe407,
    0xd85ff71f,0xc97fa0ff,0x27fc40ff,0x7e4ffcc0,0x2ff9dfcc,0xfc83ff70,
    0x47fee01f,0xca99cffb,0x7fdc2fff,0x99fffdc1,0x32001fff,0xff5002ff,
    0xd001ffff,0xeffe80df,0x44fffeee,0xff903ffb,0x07fff307,0x3ee07ff7,
    0x007ff74f,0x7fe47fee,0xf900ffff,0x7dc7fee5,0xb87fe42f,0xffdaabff,
    0x013fe22b,0x557f67fc,0x2e07fcff,0x0ffe41ff,0x3ee3ff70,0xffffffff,
    0x5c1ffb85,0x37fe44ff,0x005ff900,0xffb7fff1,0x409ff00b,0xfffffff9,
    0x7fdc7fff,0x98bff303,0xff703fff,0x5cfff207,0xff7003ff,0x3effff23,
    0x2e3f704f,0x83ff71ff,0xfff90ffc,0x4fffffff,0xf9004ff8,0xfff11fff,
    0x0ffdc0bf,0xfb807ff2,0xfffff71f,0x3ee09fff,0x21ffdc1f,0x9003fff8,
    0xffb005ff,0x00bffe2d,0x7fe40133,0xfecccccd,0x40ffee2f,0x3fa24ffb,
    0x0ffee03f,0x7dc3ffe6,0x3ff7003f,0x7fecbff2,0x3fee1881,0xfc83ff71,
    0xfffff90f,0x7c4fffff,0xfff5004f,0x017fff4d,0xffc83ff7,0x5c7fee01,
    0x80199cff,0x7fdc1ffb,0x01fffb83,0x5402ffc8,0x3fee1fff,0x813ba00f,
    0xff500fff,0x556ffdcb,0x22fffdcb,0xccccfffc,0x55bff71c,0x5c5fffb9,
    0xaaaaadff,0x23ff71aa,0xbff31ffc,0x3fee9dd0,0xfc83ff71,0x07fe400f,
    0xf8013fe2,0x3fff24ff,0x907fee00,0x7fdc03ff,0x8007ff71,0x7fdc1ffb,
    0x00dffd03,0x7c405ff9,0x5ffe83ff,0x7d41bfe0,0x87ffc05f,0xfffffffb,
    0x7ffc5fff,0x72ffffff,0xffffffff,0xffffb89f,0x75ffffff,0x87ff23ff,
    0xaffc2ffc,0x3ff71ffb,0x6400ffc8,0x27fc40ff,0x4c5ffb00,0x7fdc05ff,
    0x700ffe41,0x0ffee3ff,0xb83ff700,0xfff503ff,0x02ffc807,0x7cc1bff2,
    0x0dff02ff,0xf900bff6,0x3fffee9f,0x542dffff,0xffffffff,0xfffff72f,
    0xff703bdf,0xffffffff,0x7e47feeb,0xf1bfe21f,0x5c7feebf,0x07fe41ff,
    0xf103ff20,0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bbaa000,0xeea8f764,0x3eeeeeee,
    0x360bddd5,0x7dd54eee,0xcc83baa0,0xbddddd53,0xeeea8199,0x80acceee,
    0x3bb61eeb,0x40fbae01,0x99910eea,0x45999999,0xeeeeeeed,0x03bb65ee,
    0x3ae0fbba,0x0059931e,0xddddddd7,0x2e01dddd,0x2600005e,0x99999999,
    0x3deda829,0x1ef6dc40,0xfd81ffdc,0xfffff71f,0x3ee9ffff,0x7fc41fff,
    0x3fff75ff,0x7fc3ff70,0xffffff75,0x7fdc5fff,0xffffffff,0xf917fe41,
    0x0fff409f,0xf887ffcc,0xffffffff,0x3fffffa3,0x3f26ffff,0x37ffcc2f,
    0xffa87ff4,0xffffc804,0x0fffffff,0x9100ff90,0x25f359db,0xffd85002,
    0xf980efff,0x20efffff,0xffb03ffb,0x3bbbfee3,0xff73eeee,0xfffa87ff,
    0x0bfff75f,0xaffc3ff7,0xfeeeeffb,0xdff70fff,0xffffdddd,0x3e62ffc8,
    0x0dff107f,0x221fffd1,0xffffffff,0x3bbbb63f,0x2a6fffee,0x7ffe44ff,
    0xa9bfe20f,0xeeb804ff,0xeeefffee,0x80ff900e,0xfffffffa,0xb8a0050e,
    0x5ffcadff,0x75efffcc,0x0ffee6ff,0xffb8ffec,0xffffb803,0xaffffe45,
    0x5c2ffffb,0x5c2661ff,0x7ff443ff,0xd107ff72,0x17fe43ff,0x3ee0bffa,
    0x7fffe44f,0x06fe800f,0x441fff90,0x7fff46ff,0xa93fe62f,0xf88004ff,
    0x1ff2005f,0xdacfff88,0x1400a6ff,0x1ffc8fff,0xffb0fff2,0x6c0ffee5,
    0x07ff71ff,0x8ffbff70,0xf75ffdfe,0x7dc1ffff,0x0ffee01f,0x7fdd7fea,
    0x647ff903,0x27fdc2ff,0xff50fff4,0xb801ffdd,0xffb800ff,0x227ff82f,
    0x2e4ffdff,0x13fea2ff,0x817fe200,0xfffffffb,0x8bff66ff,0x0053fffd,
    0x4ceffc4a,0x3fa2ffb9,0xba7fd40f,0x3ffb03ff,0x2e00ffee,0xf11ffbff,
    0x3eebff7f,0x3ee4ffef,0x0ffee01f,0x7fdd3fee,0x641ffb03,0x3ffc42ff,
    0x5f51bfe2,0xf8803ff6,0xfff9802f,0x2a3ffb03,0x366feaff,0x13fea0ff,
    0x817fe200,0xfffffffb,0xc9ffe6ff,0x0055ffbf,0x7ffffcca,0xff13ffff,
    0x2ebff10d,0xffffffff,0xdff71fff,0x5c7ddddd,0xf53ff9ff,0x3eebff3f,
    0xf71fffaf,0x9ffdc03f,0x72fffa98,0xd9999bff,0x2ffc8dff,0x3ee2ffd8,
    0x3ff6043f,0x201bf200,0x2e05fff8,0x91ff93ff,0x51bfe1ff,0xf10009ff,
    0x6664c0bf,0x13cccffe,0x7cfeabff,0x44a0056f,0xaaaaadff,0x2a1ffe1a,
    0xffff75ff,0x3fffffff,0x3fffffee,0x27fee4ff,0x3edf96fd,0xf53ff75f,
    0x807feedf,0xfffffffb,0xfff70eff,0x19ffffff,0xfa82ffc8,0x003ffa5f,
    0x3e201ffb,0x6ffe803f,0xfea7fcc0,0xff15ff56,0x004ffa8b,0x2005ff88,
    0x3bfe07fc,0x2bff14f9,0x37f45002,0x3ffb0262,0xff73ffc8,0xfd99999b,
    0x3bbfee3f,0x3ee3eeee,0xfe8ffb9f,0x3feebff4,0xff77ffb1,0xffba7743,
    0x0dffffff,0x3ffbbfee,0x5ff900ff,0x3e2fff10,0x0ffd805f,0xc801ffb0,
    0xff800fff,0xff13ff8e,0xfa87ff59,0xff88004f,0x81ff2005,0x3ee5fffd,
    0xc8a0054f,0xffe88bff,0x26fbfee0,0xff70fffc,0x5c7ff607,0xffb803ff,
    0x2ffbff99,0x47feebff,0x1ffcfff9,0x6ffdd7fe,0xfb809aaa,0x03bff63f,
    0x7ec0bff2,0x802ffbaf,0x9ff00ffd,0x01fffb80,0x3ff7ffb0,0x0ffe77f4,
    0x20013fea,0x32005ff8,0x3ffea07f,0x0a1fff71,0xffff1140,0xff907fff,
    0x5c5fffff,0x3ffb03ff,0x2e00ffee,0xfffff1ff,0x7fdd7fe1,0x3fffff21,
    0x7fdd7fe1,0x87ff7003,0xffc85ffe,0xfbbff502,0x1ffb001f,0x4c03ff30,
    0x2e003fff,0x7dc7ffff,0xffa87fef,0x5ff88004,0xf00aa600,0x5fffffff,
    0x6c428014,0x2e03dfff,0x5c1dfffe,0x3ffb03ff,0x2e00ffee,0xdfffb1ff,
    0x1ffbaffc,0x20fffff4,0x007ff74e,0xff10ffee,0x02ffc87f,0x017ffffe,
    0x7dc07fec,0x9fff100f,0xffff9800,0x2ffffcc5,0x40027fd4,0x32605ff8,
    0xcccccccc,0x3ff6ff63,0x280141ef,0x03000260,0xfd81ffdc,0x007ff71f,
    0x3fee3ff7,0x7dd7fe4f,0x7fffd41f,0x7fdcbea1,0x07ff7003,0x7e43fff7,
    0x3fff202f,0x1ffb002f,0x7ec0ff90,0xaaaaabff,0xffff80aa,0x83ffff83,
    0xaaaadffa,0xbff102aa,0x7ffffdc0,0x0666ffff,0x55555403,0x003aaaaa,
    0x3fee0000,0x2e3ffb03,0xffb803ff,0x7c5fff31,0xb03ff75f,0x8fe23fff,
    0xf7003ffb,0x9bff607f,0x3e602ffc,0x3f6007ff,0x205fe80f,0xfffffffd,
    0xfe80ffff,0xfffd81ff,0xfffffa81,0xf107ffff,0x7ffdc0bf,0x06ffffff,
    0x00000000,0x1ffdc000,0xff71ffd8,0x43ff7007,0x57fe0fff,0xff881ffb,
    0x7ff7021f,0x40ffee00,0xff93fff8,0x04fff805,0x3e03ff60,0x3fff604f,
    0xffffffff,0x707ffc80,0x3fea0fff,0x7fffffff,0x000bff10,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0xec8adedc,0x6dc402ce,0x37b6a3de,
    0x6f6dc403,0x510b3223,0xca859dd9,0x5c66540c,0xbdec983c,0x2a498001,
    0x066540cc,0xdb300039,0xcb8017bd,0x5c199504,0x300c42cc,0xcedb9e5c,
    0x543bdb30,0x85bd934c,0x4cb80ccb,0x33333322,0x899932cc,0x532a2cca,
    0x3ff60cec,0xffffffff,0xfff304ff,0xfffbbfff,0xff301dff,0xf11dffff,
    0xffffe89f,0x07ff23ff,0x8dfd1ffb,0x3ffffffc,0x64ffb500,0x07fec1ff,
    0x26005bff,0x0fffffff,0x7e41ff60,0x81dff71f,0xdacdcafe,0xffbdfb1f,
    0xffff7dff,0x3effee3f,0x3ea3ffff,0x32ffc43f,0xffffffff,0xf99fff49,
    0x37ff20ff,0x33fea7ff,0xabffffba,0x7fcc3ffc,0xfffffcef,0x4c5ffb9d,
    0xffebdfff,0x3f24ff9e,0x26ffb9bf,0x7fec1ffc,0x3fe66fe8,0x00ffebcf,
    0x4ffffd71,0x7fec1ffc,0x2fbfffe0,0x267bf600,0x3f605ffa,0xf53ff907,
    0xfff981df,0xb3ffffff,0xffd57fff,0x2bffb5bf,0xfcacfffb,0x2e37fc7f,
    0x333222ff,0x262fffdc,0x2ffe8fff,0x26f7ffe4,0x4ffc8751,0x3ff237ec,
    0x323fff43,0x0fff20ff,0x47f37ffb,0x93fec3a9,0x8ffd83ff,0x87ff65d8,
    0x7e442de9,0x321cffff,0x07fec1ff,0x9fffff91,0x4c3dff01,0xc80cc401,
    0x00effbff,0xfffbfff5,0xf51ffecb,0xf76ff8df,0x20ffe8bf,0x1bfa1ffc,
    0x707ffd10,0x909fffff,0xb7300bff,0x93337fff,0x40ffe8ff,0xa999dffc,
    0x03ffa2ff,0x03f59ff5,0x43fff6e6,0x7fec1ffc,0x1ffe3e88,0x6ffffec0,
    0xd83ff902,0xffb500ff,0xfffe8bff,0xccc981cf,0x93cccccc,0x409fffff,
    0x9ff61ffc,0x3fea1ffd,0xffbbff45,0xf307fec2,0x80ffe69f,0x3604ffe8,
    0xff906fff,0x7fffdc05,0xffffffff,0x21bfe0ff,0xfffffff9,0x0dff13ff,
    0x907ffff1,0x1fffffff,0xffb07ff2,0x37fc4bfb,0x00cfff80,0x3f60ffe4,
    0x7fe4400f,0x7ffff447,0x3ffee2ef,0x95ffffff,0x01ffffff,0x1ff517f6,
    0xff983ff6,0xffbbff44,0x3a07fe42,0x401ff97f,0x7cc05ffd,0x3ff903ff,
    0x22bbff20,0xaaaacffc,0x21ffe0aa,0xaaaadffb,0x21ffe1aa,0xfd80effa,
    0x0ffc8adf,0xffd83ff9,0x007ff80c,0x405bffff,0x7fec1ffc,0x3fff6600,
    0xfffd9507,0x7ffffdcf,0xff95ffff,0x320bff7f,0xfb3fe47f,0x21ffcc1f,
    0x83ff77fe,0x7fd40ffc,0x3f205ffa,0x7fec00ef,0x1ffc80ff,0xffc8dff0,
    0x7ff40cc4,0x2237fec1,0x20ffec09,0xff882ffc,0xfb87fec5,0x807ff42f,
    0x3be21ffe,0x3ffff223,0x17fdc0bf,0xd7103ffa,0x9819ffff,0x0bff621a,
    0xd97fe400,0xdffa81ff,0x3f65ffca,0xd0ffe60f,0x907feeff,0xfdff01ff,
    0x3bfee05f,0x7fffd400,0x00ffc85f,0x3fe61fff,0x8dff32ff,0xfc9bfffa,
    0xfe88bfff,0x2fbfee0f,0xf106ffc9,0x87ffd4df,0xfc88dffa,0xdff700ff,
    0x103ffb35,0x4bffffd7,0xfc88dffa,0x3fff60ff,0xff880bef,0x403ff20e,
    0x3ff904cb,0x3f61bfe2,0x1fffffff,0x7fcc1ffb,0xffbbff43,0x6407fe41,
    0xff507fff,0x4555559f,0xffe8fff8,0xb807fe43,0xffffefff,0x80ffffff,
    0xfffffffc,0x2fffffff,0xffffffc8,0x3fff602f,0xf11ffffe,0xffdfffff,
    0x7ffff401,0xfda805ff,0x3fffe27f,0x3e0ffeff,0xfb802dff,0x04fffeff,
    0x7fe41ff6,0xf98bff21,0xffdfffdf,0x7cc1ffb4,0xfbbff43f,0x407fe41f,
    0xf904fff9,0xdfffffff,0xff997ff4,0x403ff21f,0x32effec8,0x405bfffd,
    0x88dffffa,0x202dfffc,0x01dfffeb,0x4e7ffe44,0x3ffa64ff,0x400ffbae,
    0x00bdfffc,0xfd31f260,0x41ff73df,0x6dc001cf,0x6c04ffff,0x43ff907f,
    0x8e60fff8,0x0ffd9260,0xffd0ffe6,0xff907fee,0x403ffa01,0xfffffffc,
    0xb8bff76f,0x03ff26ff,0x00188060,0x000300c4,0x80060003,0x04400008,
    0x04402000,0x4c000040,0x00331000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x775c2eda,
    0xddc97760,0x0883dd98,0x217db300,0xefe85ff8,0x36619930,0xbb10dddd,
    0xbbbbbbbb,0x7e4ffe5b,0x402aa205,0x0e64c4cb,0x0cca8f2e,0xd93eb800,
    0x98de8807,0x05ff305e,0xdddd17e8,0x41dddddd,0x5c41cec9,0xefd981de,
    0x3bbba20c,0x20eeeeee,0xbf00bec9,0x8ffbbea0,0x9ffe0ffc,0x5ff98ffe,
    0x42fbffea,0x3ee661c8,0xfa87fe64,0x4c7fee0f,0xf10fffff,0xffffffff,
    0x64ffe7ff,0x07fe605f,0xff907fdc,0xf727fc4b,0x2e426c3f,0x1ff33ff1,
    0x3fea7f40,0x2a0dffb0,0xffff17fe,0x21ffffff,0x7c7fcef8,0x3e23ffef,
    0x3e24fecf,0xffffffff,0xbf9df10f,0xe814e844,0x0ffc9f66,0x8ffe9ffe,
    0xfff35ff9,0x3ffdffff,0x313ea222,0x2e0ff4bf,0xffff31ff,0x4444441f,
    0x2e088888,0x4c05731b,0x7ff301ff,0xff53fff4,0xfc8ffdc3,0xc93ff24f,
    0x2e0df96f,0x306fc8ff,0xf883ffff,0xdddd17fd,0x21dddddd,0x263f91c9,
    0x198bf35f,0x77744bf7,0x0ffeeeee,0x5cff1151,0x21fddecf,0xfa83ee4f,
    0x7fd9bfa0,0x3be69ff1,0xffffffdb,0x019dff90,0x104cc400,0x00001111,
    0x07fe6000,0xfff15fe8,0xf71ff63f,0x33ffe23f,0x3e20effc,0x4c3ff8cf,
    0x02ff9aff,0x30bfddfb,0x540001fe,0xff8ff26f,0x1bfff6a0,0x540ffa80,
    0x3fb262ff,0x2ff21cef,0xb17625fa,0xff37dcbf,0x37260a65,0x0000440b,
    0x00000000,0xfdccc880,0x320cccdf,0x7fddf57f,0x3ff713fe,0x77ffffc4,
    0xfc9ffb80,0x7f5bfa1f,0xf77ff106,0xaa9fe03f,0xaaaaaaaa,0xf70f7dc0,
    0xefa9fe27,0x2a006faa,0x7f5440ff,0x441ffec0,0x3b21effd,0x5730dcc0,
    0x000005dc,0x00000000,0xff100000,0xffffffff,0x7e4ffcc1,0x2ff9dfcc,
    0x3e20ffdc,0xdfb00fff,0xffb8dfd1,0xfc80ffb9,0xf04ff88f,0x3ffffe2f,
    0x2e0fffff,0x4f7c40ef,0x233ee4fc,0x3ea006fd,0x3f23930f,0x0bf2bf62,
    0x000040cc,0x00000000,0x00000000,0x7fffc400,0x40ffffff,0xfaafecff,
    0xffb87fcf,0x27fffe41,0x7fd4ffd4,0xbfd5fd81,0x3f24ff88,0xff17f80f,
    0xffffffff,0x3bbbfe61,0x87bfff21,0x06fefff8,0x7c43fea0,0x8acc6fdf,
    0x0000000d,0x00000000,0x00000000,0x1ff98000,0x47fffe40,0xb85ffff8,
    0x3bff21ff,0x9ff44fff,0x5ff103fe,0x7fe43ff1,0x3213fe61,0x26666664,
    0x332a1999,0x0dc41ccc,0x00551a88,0x36e60cc4,0x0000000b,0x00000000,
    0x00000000,0xf3000000,0xfffa803f,0x20bfffa6,0xdff71ffb,0x2e9fff11,
    0xa80bf76f,0x000df76f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0x24fff801,0xfb80fffc,0x441df31f,0x221311ff,
    0x26198009,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36007ba6,0x17fe62ff,0x0130ffdc,0x00000031,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xea800000,0x7777711e,0x03777777,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x223ff700,0xffffffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8000000,0x555511ff,0x35555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_23_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_23_latin_ext_y[560]={ 18,3,3,3,2,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,8,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,7,3,3,5,3,
3,3,3,2,3,8,7,11,2,0,3,4,3,3,3,7,3,9,18,3,3,8,3,3,3,7,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,5,2,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,3,3,3,3,3,3,3,
0,3,-1,3,3,7,-1,3,-2,3,-1,3,-1,3,-1,3,3,3,0,3,-1,3,-1,3,3,7,-1,3,-2,3,
-1,3,-1,3,3,1,-2,-1,3,3,-1,3,0,3,-1,3,3,3,-1,7,3,3,-2,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,0,3,-1,3,-1,2,3,7,-1,3,3,7,-1,3,
-1,3,-2,3,3,7,-1,3,3,3,-1,3,3,3,-1,3,0,3,-1,3,-1,2,-1,2,3,7,-2,3,-2,3,
-1,-1,3,-1,3,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,-1,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-2,-2,3,-2,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_bold_23_latin_ext_w[560]={ 0,4,8,12,11,18,15,5,6,6,8,12,4,7,
4,7,11,8,11,11,11,11,11,11,11,11,3,4,12,12,12,11,21,15,13,14,13,12,11,15,13,4,10,14,
11,15,13,16,12,16,14,13,13,13,15,20,14,15,13,6,7,6,10,13,5,11,11,11,12,11,8,12,11,4,
6,11,4,16,11,12,11,12,8,11,7,11,12,17,12,12,10,8,4,8,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,5,11,12,11,12,
4,11,7,17,8,11,12,7,17,13,8,11,7,7,6,10,13,4,6,5,8,10,17,17,17,11,15,15,15,15,
15,15,21,14,12,12,12,12,6,5,8,8,15,13,16,16,16,16,16,10,16,13,13,13,13,15,12,11,11,11,
11,11,11,11,18,11,11,11,11,11,6,5,8,8,12,11,12,12,12,12,12,11,12,11,11,11,11,12,11,12,
15,11,15,11,16,13,14,11,14,11,14,11,14,11,13,15,15,13,12,11,12,11,12,11,12,11,12,11,15,12,
15,12,15,12,15,12,13,11,15,12,8,8,8,8,7,7,5,5,4,4,14,9,12,8,14,11,11,11,5,11,
7,11,7,11,8,13,6,13,11,13,11,13,11,15,13,11,16,12,16,12,16,12,20,19,14,8,14,9,14,9,
13,11,13,11,13,11,13,11,13,7,13,10,13,7,13,11,13,11,13,11,13,11,13,11,13,12,20,17,15,12,
15,13,10,13,10,13,10,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,11,13,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,15,11,11,11,11,11,11,11,11,11,11,11,11,11,17,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,8,8,16,
12,13,11,13,11,13,11,13,11,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,11,21,18,16,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_23_latin_ext_h[560]={ 0,15,6,16,19,16,16,6,20,20,8,11,7,4,
3,16,16,15,15,16,15,16,16,15,16,16,11,15,12,8,12,15,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,20,16,20,9,3,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,16,20,16,11,15,
20,20,3,17,8,10,8,4,17,3,7,14,8,8,4,16,20,4,5,8,8,10,16,16,16,16,19,19,19,19,
19,18,15,20,19,19,19,19,19,19,19,19,15,19,20,20,20,20,20,11,17,20,20,20,20,19,15,16,16,16,
16,16,16,17,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,13,16,16,16,16,20,20,20,
18,16,19,16,20,16,20,16,21,16,20,16,20,16,19,16,15,16,18,16,19,16,19,16,20,16,19,16,21,20,
20,20,20,20,20,22,20,19,15,15,19,15,18,15,19,15,20,20,19,11,16,20,21,20,20,20,11,19,19,20,
20,15,15,15,15,15,15,19,15,20,16,19,15,15,16,16,19,16,20,16,20,17,16,12,19,15,20,16,19,15,
20,16,21,16,20,16,20,16,22,22,19,16,15,16,20,16,19,16,20,16,20,17,20,17,20,16,20,15,20,20,
19,19,15,19,15,19,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,19,16,19,15,20,
16,20,16,20,20,20,20,20,20,20,20,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,21,20,16,21,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_bold_23_latin_ext_s[560]={ 253,209,177,187,181,43,76,171,55,245,148,
1,166,224,1,142,240,111,153,104,231,43,212,120,31,55,252,57,95,88,120,
111,100,123,139,139,165,179,15,64,1,90,244,65,167,27,43,47,62,174,75,
182,179,1,95,146,96,80,132,65,248,44,71,232,206,56,170,83,200,230,243,
149,219,214,137,197,192,181,198,242,80,213,247,133,247,108,210,14,234,34,223,
161,248,191,186,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,253,250,187,
162,169,141,13,32,246,13,118,59,127,224,191,6,157,193,101,140,212,80,86,
219,199,82,109,48,13,121,103,91,102,118,150,171,201,116,33,122,1,225,40,
62,84,96,53,75,189,187,144,170,1,39,70,37,233,101,129,169,183,134,43,
188,176,164,152,140,128,209,1,92,200,64,52,40,36,250,19,56,227,241,202,
189,176,163,150,145,205,122,110,98,86,211,224,31,132,25,91,13,58,233,89,
209,110,185,142,160,172,1,73,113,154,86,148,62,27,74,14,13,202,51,60,
31,94,236,1,1,112,215,228,23,82,238,113,72,87,63,107,24,217,247,62,
249,166,32,25,244,36,46,157,17,157,48,247,157,104,101,55,12,196,214,228,
167,235,68,74,124,129,85,37,1,1,172,29,100,14,161,129,20,193,205,187,
150,152,170,128,197,125,221,75,215,44,116,9,1,34,63,205,134,197,224,110,
236,143,1,115,221,87,1,56,67,18,1,229,216,18,138,230,233,219,96,1,
28,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,154,218,218,72,
218,218,218,218,218,218,218,218,218,218,218,218,218,15,40,218,218,218,218,218,
218,218,218,218,218,218,218,218,226,68,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,217,175,
208,180,199,136,200,124,51,236,18,1,153,167,139,179,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,61,49,214,105,77,92,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218, };
static unsigned short stb__arial_bold_23_latin_ext_t[560]={ 1,250,294,200,87,148,183,294,87,24,295,
295,294,294,307,166,166,266,250,183,250,200,183,266,200,200,24,266,282,295,282,
250,24,250,250,217,250,250,266,217,266,266,200,250,266,266,266,217,266,128,266,
217,266,217,266,266,250,250,266,24,183,24,295,294,294,282,217,282,200,266,250,
200,250,250,24,250,250,282,282,266,200,200,282,282,148,282,282,295,282,217,282,
24,1,1,294,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,1,107,24,
200,282,234,24,24,294,148,295,295,295,294,128,307,294,266,295,295,294,217,24,
294,294,295,295,295,200,217,217,217,107,107,107,107,107,128,234,24,128,107,128,
128,128,107,128,128,234,107,24,24,45,45,45,295,128,45,45,45,45,107,250,
183,183,183,183,183,183,128,282,183,183,183,183,183,250,128,250,250,166,234,166,
166,166,166,166,282,266,166,166,166,166,45,45,66,128,166,128,183,66,148,66,
148,1,148,66,148,66,166,108,148,234,148,128,148,128,148,128,166,66,166,108,
148,1,45,87,66,66,66,66,1,87,107,234,234,108,234,128,234,107,217,87,
45,107,295,183,66,1,87,66,87,282,108,87,45,66,234,234,234,217,217,217,
87,217,87,166,87,234,234,166,183,108,148,87,148,66,128,148,282,87,217,66,
148,87,234,66,148,1,148,66,166,66,183,1,1,108,166,234,166,45,183,87,
183,45,200,45,128,45,148,45,200,45,250,24,24,108,87,234,87,234,87,234,
250,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,217,266,266,24,
266,266,266,266,266,266,266,266,266,266,266,266,266,217,282,266,266,266,266,266,
266,266,266,266,266,266,266,266,200,282,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,87,200,
87,234,24,200,1,200,24,1,24,24,1,1,1,1,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,1,1,1,200,1,200,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266, };
static unsigned short stb__arial_bold_23_latin_ext_a[560]={ 92,110,156,183,183,293,238,78,
110,110,128,192,92,110,92,92,183,183,183,183,183,183,183,183,
183,183,110,110,192,192,192,201,321,238,238,238,238,220,201,256,
238,92,183,238,201,274,238,256,220,256,238,220,201,238,220,311,
220,220,201,110,92,110,192,183,110,183,201,183,201,183,110,201,
201,92,92,183,92,293,201,201,201,201,128,183,110,201,183,256,
183,183,165,128,92,128,192,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,92,110,183,183,183,183,92,183,
110,243,122,183,192,110,243,182,132,181,110,110,110,190,183,92,
110,110,120,183,275,275,275,201,238,238,238,238,238,238,329,238,
220,220,220,220,92,92,92,92,238,238,256,256,256,256,256,192,
256,238,238,238,238,220,220,201,183,183,183,183,183,183,293,183,
183,183,183,183,92,92,92,92,201,201,201,201,201,201,201,181,
201,201,201,201,201,183,201,183,238,183,238,183,238,183,238,183,
238,183,238,183,238,183,238,237,238,201,220,183,220,183,220,183,
220,183,220,183,256,201,256,201,256,201,256,201,238,201,238,201,
92,92,92,92,92,92,92,92,92,92,258,183,183,92,238,183,
183,201,92,201,92,201,127,201,158,201,92,238,201,238,201,238,
201,233,238,201,256,201,256,201,256,201,329,311,238,128,238,128,
238,128,220,183,220,183,220,183,220,183,201,110,201,158,201,110,
238,201,238,201,238,201,238,201,238,201,238,201,311,256,220,183,
220,201,165,201,165,201,165,92,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,239,247,247,183,247,247,247,247,247,
247,247,247,247,247,247,247,247,281,234,247,247,247,247,247,247,
247,247,247,247,247,247,247,273,239,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,238,183,92,92,256,201,238,201,238,201,238,
201,238,201,238,201,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,238,183,329,293,256,201,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_23_latin_ext(stb_fontchar font[STB_FONT_arial_bold_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_23_latin_ext_s[i] + stb__arial_bold_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_23_latin_ext_t[i] + stb__arial_bold_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_23_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_23_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_23_latin_ext_x[i] + stb__arial_bold_23_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_23_latin_ext_y[i] + stb__arial_bold_23_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_23_latin_ext_s[i] + stb__arial_bold_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_23_latin_ext_t[i] + stb__arial_bold_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_23_latin_ext_x[i] + stb__arial_bold_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_23_latin_ext_y[i] + stb__arial_bold_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_23_latin_ext_LINE_SPACING
#endif

