// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT        338
#define STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_24_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_24_latin_ext_LINE_SPACING          16

static unsigned int stb__arial_bold_24_latin_ext_pixels[]={
    0x2aaa6000,0xaaaaaaaa,0xcca80001,0x0aaa8002,0x007dd500,0x3001bdb0,
    0x55400355,0x22355001,0x0aaa202a,0x00554400,0x05555555,0x00aaaaa8,
    0x30015530,0x800aa235,0xa8001aa8,0x0003530a,0x7fdc0baa,0xffffffff,
    0x2004a84f,0x4c000efe,0x3fa005ff,0x1ffb8005,0x00ffd100,0x5400774c,
    0x403fe8ef,0xd8001ffc,0x7fff403f,0x7ffc07ff,0xff9802ff,0x9ff8805f,
    0x3f6004fd,0x7dc001ff,0x8001ff9e,0xff700df9,0xffffffff,0x027f449f,
    0x8000efa8,0x3e6005fc,0x1fe8000e,0x017f4400,0x009ac898,0x8037ffec,
    0x266005fd,0x32e0099c,0x4c04cccc,0x3fa00260,0xfa803ffc,0xf5000eff,
    0xd000df9d,0x20009fff,0x33101cfb,0x333fff33,0x027fd413,0x88001fb8,
    0x04c4005d,0x00009800,0x5f100bb1,0x3b62017c,0x03b2000e,0x02f8be20,
    0xf17c4000,0xd34ea805,0x3997001b,0x647b6200,0x6644003e,0x3fee0004,
    0x03ffe003,0x04effdc4,0x1003f7e0,0x2aa20355,0x005dd502,0x215e5d44,
    0x932cc82e,0x0a9aa889,0x990aaa6a,0x55113265,0x44aaa203,0x26a0a9aa,
    0x996642aa,0x54d5444c,0x44aaa6a0,0x555101aa,0x54406aa2,0x32e6202a,
    0x2620009b,0x80009bcb,0x3e002cca,0xfff900ff,0xcad409ff,0x827fdc03,
    0x53d05ff9,0x3fff200d,0x5fdbffff,0x8ff73ff8,0xff304ffb,0xff73ff8b,
    0xf304ffb8,0x413feebf,0x9ffc5ff9,0x27fdc7fb,0xff75ff98,0x5d7fe609,
    0xbff304ff,0x3fffff20,0xffc802ff,0x002fffff,0x01330544,0xfc807ffc,
    0x2204ffff,0x7dc02ecf,0x0bff304f,0xd101aefa,0xffffffff,0x5db01dff,
    0x9ff71baa,0xdb17fe60,0xff71baa5,0x5d7fe609,0xbff304ff,0x8dd52ed8,
    0xff304ffb,0x4c13feeb,0x09ff75ff,0xfd117fe6,0xffffffff,0x3fffa20b,
    0x05ffffff,0x8efffe88,0x3ffe05ff,0x3bff7100,0x27ffd401,0x4c13fee0,
    0x3bb305ff,0x8bfffc80,0x03fffda8,0x827fdc00,0x70005ff9,0x3fe609ff,
    0x2609ff75,0xf70005ff,0x57fe609f,0xff304ffb,0x4c13feeb,0x7ffec5ff,
    0x5fff931b,0x237fffb0,0x202fffc9,0xeffffff8,0x3ffe05ff,0x013fea00,
    0x701ffff6,0x3fe609ff,0x40133105,0xfb81fff9,0x04cc47ff,0x7fdc2662,
    0x22bff304,0x84cc4099,0xff304ffb,0x4c13feeb,0x813315ff,0x9ff70998,
    0x7dd7fe60,0x2bff304f,0xff304ffb,0x80fffccb,0x3e60fffb,0xfff701ff,
    0x47bfee01,0x3e05fffb,0x3fea00ff,0x7fffc404,0x13fee02f,0x3aa2ffcc,
    0xc82fffff,0xeffa84ff,0x0bfee2ff,0x3fee9ff5,0x2ebff304,0xa7fd42ff,
    0xff304ffb,0x4c13feeb,0x85ff75ff,0x9ff74ffa,0x7dd7fe60,0x2bff304f,
    0xff304ffb,0x202ffdcb,0x3fee2ffe,0x817ff405,0x7fe42ffe,0x803ffe05,
    0x7dc04ffa,0x2e06ffdf,0xbff304ff,0x7fffffc4,0x17ff40ff,0x3ff2bfe6,
    0xf50bfee4,0x413fee9f,0x5ff75ff9,0xff74ffa8,0x5d7fe609,0xbff304ff,
    0xff50bfee,0x4c13fee9,0x09ff75ff,0x7fdd7fe6,0x6cbff304,0x7fe402ff,
    0x900bff64,0x3ffe09ff,0xf02ffd40,0x7fd401ff,0x747ff404,0x9ff701ff,
    0xfc97fe60,0xf0bff61f,0x9ffc43ff,0x3fee5ffb,0xfba7fd42,0x2bff304f,
    0x7fd42ffb,0x2609ff74,0x09ff75ff,0x7fdd7fe6,0xfba7fd42,0x2bff304f,
    0xff304ffb,0x4c13feeb,0x07ffa5ff,0x7f4bff70,0x2ffdc01f,0xff987ff8,
    0x803ffe05,0x3e604ff9,0x209ff75f,0xff304ffb,0x3ffb810b,0xfe887ffc,
    0xfb97fea4,0xba7fd42f,0xbff304ff,0xff50bfee,0x4c13fee9,0x09ff75ff,
    0x7fdd7fe6,0xfba7fd42,0x2bff304f,0xff304ffb,0x4c13feeb,0x03ffe5ff,
    0x7fcdff50,0x37fd400f,0x7dc1ffe8,0x03ffe05f,0x819eff98,0xfff12ffc,
    0x5413fea0,0xfdb885ff,0x7ff44fff,0x7dc5fe8a,0x50bfee4f,0x13fea9ff,
    0xffbaffd4,0xfaa7fd42,0x2bff504f,0xff504ffa,0xf50bfeeb,0x413fea9f,
    0x9ff55ffa,0x7d57fea0,0x4bff504f,0x7dc01ffe,0x007ffa4f,0x3f609ff7,
    0x02fff43f,0x7c401fff,0x7fc45fff,0x20bffa0f,0xff505ffa,0x7fffec4b,
    0x7fec4ffe,0xffc85fdb,0xf50ffee3,0x417fea9f,0x7ff75ffa,0xff54ffa8,
    0x557fea0b,0xbff505ff,0xff50ffee,0x5417fea9,0x0bff55ff,0x7fd57fea,
    0x6cbff505,0x7fe403ff,0x900fff63,0x3fe607ff,0x5ffffbdf,0x7003ffe0,
    0xffb8bfff,0x4c37fdc5,0xbff706ff,0xfa8e7ff4,0x7fffdc4f,0x17ffc40e,
    0xffa87ff7,0x2e0dff34,0x87ff75ff,0xdff34ffa,0x7cd7fee0,0x2bff706f,
    0x7fd43ffb,0x2e0dff34,0x0dff35ff,0x7fcd7fee,0x64bff706,0x3fe206ff,
    0x81bff22f,0x3202fff8,0xffcfffff,0x04c00005,0x7ffffff4,0x7c41ffff,
    0x3ffe82ff,0xffb8dff1,0x07fffc44,0x3ea37fec,0x8a7fe43f,0xffe82fff,
    0xfc87ff53,0x05fff14f,0x3fe27ffd,0x53ffe82f,0x4ffc87ff,0xfd05fff1,
    0x0bffe27f,0x7fc4fffa,0x23ffe82f,0xd884fff8,0x7ffc46ff,0x06ffd884,
    0xf9adfda8,0x03bb204f,0xf985dd10,0xffffffff,0xfffd84ff,0x0fffecbd,
    0x7fcc3ffe,0xffffd84f,0x1fffebac,0x5c4fffcc,0x3ff64fff,0xfffecbdf,
    0x713fff30,0x7fec9fff,0xfffecbdf,0x2f7fff60,0xf30fffec,0xfff713ff,
    0x5efffec9,0x360fffec,0xfecbdfff,0x3fff60ff,0x0fffecbd,0x5677ffdc,
    0xb81ffffc,0xfcacefff,0x02201fff,0xfd01ffcc,0x3ff8801f,0x6666ffe4,
    0x987ffdcc,0xffffffff,0x7fffe43f,0x7d45ffff,0xffffffff,0xfffd02ff,
    0x4c9ffbff,0xffffffff,0x7ffff43f,0x3e64ffdf,0xffffffff,0x7ffffcc3,
    0x7f43ffff,0x4ffdffff,0x3fffffe6,0x7fcc3fff,0x3fffffff,0x7fffffcc,
    0xff703fff,0x5fffffff,0x7ffffdc0,0x6402ffff,0x17fe45ff,0x8801ffd0,
    0x0fffc2ff,0xb105ffd0,0x05dffffd,0xd1bffd91,0x2bfe21ff,0xceffffd9,
    0x3fffa200,0x6c44ff8b,0x82effffe,0xf8bfffe8,0x7ff6c44f,0xdb102eff,
    0x105dffff,0xff17fffd,0xfffed889,0xfdb102ef,0x2205dfff,0x2effffed,
    0x7fffecc0,0xfd9800ce,0x800cefff,0xffeffffa,0x176200ef,0xff507e40,
    0x06ffb80d,0x00600098,0x004c41cc,0x4c000220,0x00011000,0x02600026,
    0x98000440,0x00098000,0x31000098,0x04c40001,0x7fffdc00,0x7e400eff,
    0x6c2f9802,0x7fc403ff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x37000aba,0x00000400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3cb88000,0x002a6550,0x3000aaa0,0x55300355,0x33260003,
    0x16e2d403,0x00002aa6,0x2a0d65cc,0x9107324c,0x006f2a19,0x260390ae,
    0x3baa00aa,0x40020005,0x554004cb,0xcca8000a,0x22199102,0xf981aaaa,
    0xf9f505ff,0x5ff7000b,0x00efe800,0x0007fe88,0x9f001ffb,0xff707f73,
    0xff900005,0x27fc8dff,0x87fc43ff,0x5c03fffb,0x700fc9af,0x3fe205ff,
    0x9b0003ff,0x400ffd00,0x4004fffa,0x880ffff9,0xffff70ff,0x0bfffb0b,
    0x002732e6,0xa8007fd0,0x3a2000ff,0x7fc4003f,0xbffd5001,0x000bfee0,
    0x9fffff10,0x0bba5eb8,0x3fee1ff1,0x3f6200ff,0x3fee03ff,0xff37fd02,
    0x02f88003,0x36007fe8,0x74007fff,0xf886fcbf,0xbffff70f,0x7c40dff0,
    0xe9800be2,0x01ec8003,0x4005d880,0x098001a9,0x000bfee0,0x004bff50,
    0xc81ff100,0x028801ff,0x3300aa98,0x2a0004c4,0x00331007,0x0bffffe2,
    0x15515440,0xff70ff88,0x2227fc05,0x26a0a9aa,0x2e6202aa,0x664009bc,
    0x31009932,0x22013797,0x21331019,0x55101aa8,0x544bfee5,0xff931001,
    0x80cc4139,0x1ff10998,0x4401ffa8,0x3102660a,0x332a6013,0xb531001a,
    0x4c15100b,0xfbff7009,0x019880df,0x3fe21331,0x7c05ff70,0x827fdc4f,
    0xff905ff9,0x405fffff,0x80ff73ff,0xfffffffc,0xc83ffc82,0x09ff72ff,
    0x7fdd7fe6,0x01efffcb,0x7ffffff4,0x320fff22,0x81ff12ff,0xfd102ffa,
    0x8bff1dff,0x7ec42ffb,0x00dfffff,0x0bfffff2,0x477fff44,0x1ffd05ff,
    0x7e403ffd,0x12ffc83f,0x0bfee1ff,0x3ee27fc4,0x8bff304f,0xffffffe8,
    0x5db05fff,0x7f441baa,0xffffffff,0x7c37fcc5,0x413fee7f,0xfff75ff9,
    0x01ffffff,0x7ffffffc,0x3e1bfe61,0x503fe27f,0xfff105ff,0x8bffdfff,
    0x7ff42ffb,0x0effffff,0xffffffe8,0x7fffc42f,0x985ffeff,0x09ff75ff,
    0x7fc37fcc,0x7dc3fe27,0x87ff302f,0xff304ffb,0x1bfffd8b,0x005fff93,
    0x37fffb00,0xd0bfff26,0x27fd41ff,0x3e609ff7,0x17fff75f,0xf00bffb1,
    0x07ff40df,0x7fc49ff5,0x641ffcc0,0xfff51eff,0x2a2ffb8b,0xff511eff,
    0x9effb87f,0x7e46ffec,0xbfff51ef,0x3e25ff90,0x07ff407f,0x7fc49ff5,
    0x3605ff70,0x27fdc1ff,0x3e65ff98,0xfff701ff,0x31026621,0x0fffcc13,
    0x2e0fffb8,0x87ff23ff,0xff304ffb,0xf11bfeeb,0x5ff980ff,0xfc8ffee0,
    0x203fe21f,0x7ff40ffe,0x2e2ffe42,0x0bff22ff,0xffd17ff2,0xd06eefa5,
    0x5ffc85ff,0xfd07ffc4,0x1ffdc05f,0x66443ff9,0xf985ff70,0x4ffb85ff,
    0x7dcbff30,0x97ff405f,0x7fd42ffb,0xd017fee4,0x37fc45ff,0x4ffb8dff,
    0x3eebff30,0x01fff84f,0xf8813fea,0xf11bfe6f,0x9fff501f,0x3ea07ffc,
    0x717fdc5f,0x20303dff,0x01f88fff,0xff503ffe,0x5c5ffb8b,0x3fe206ff,
    0x2e01bfe6,0x7ffd42ff,0x304ffb80,0x17fecbff,0x7dd3ff20,0xb27fd42f,
    0xffc805ff,0x7cc7fec4,0x827fdc3f,0x7ff75ff9,0x6403ffb0,0x7fec02ff,
    0x7c43ff98,0x49ffb00f,0x5ff987ff,0xff117fdc,0xf8039dff,0xff80d77f,
    0x745ff987,0xffffffff,0x3ff601ff,0xb803ff98,0x7ffcc2ff,0x304ffb85,
    0x0fff4bff,0x7dd7fee0,0xd27fd42f,0xffb803ff,0x7e5ffd45,0x827fdc0f,
    0x9ff75ff9,0x6c01fff0,0x7fd401ff,0x7c40ffcb,0x3fffb80f,0xff707ffa,
    0x542ffb8b,0xcfffffff,0x4d9ffe80,0x83ffd011,0x3fe65ffb,0xffffffff,
    0x2ffea04f,0xfb800ffc,0x83ffb02f,0xff304ffb,0x2007ffcb,0x5ff76ffa,
    0x3fe4ffa8,0x37fd400f,0x437ff7fc,0xff304ffb,0xf31bfeeb,0x07fe80ff,
    0x0dffdff0,0xdff01ff1,0x743ffb81,0x17fdc5ff,0x7ffffecc,0x67fe40ef,
    0x5c1ffd1f,0x2fff43ff,0x9999bff9,0xf80fffb9,0xe886ffef,0x205ff70e,
    0x7fd43ff9,0x74bff504,0x7fdc01ff,0xfa85ff74,0x007ffa4f,0xff909ff7,
    0x9ff505ff,0x7dd7fea0,0xffeaaeff,0x01bfe204,0x417fffe4,0x7fcc0ff8,
    0xbdfff983,0x7dc5ffff,0x7f65402f,0x7ffd45ff,0x4c4ffc9f,0xfffbdfff,
    0x807ffe5f,0x3f202ffe,0xff882fff,0x2205ff70,0x2ffd44ff,0x3f65ffa8,
    0x9ffe403f,0x7fd43ffb,0x900fff64,0xfff307ff,0x0bff501f,0x7fdd7fea,
    0x0ffffffe,0x4017fe60,0x880ffff9,0x17fcc0ff,0xcfffffc8,0x17fdc5ff,
    0x3ffd4026,0x7fffffe4,0xffffc80f,0xff55ffcf,0x06ffb80d,0x203fffe6,
    0x5ff70ff8,0xf313fe20,0x97fee0df,0x3e206ffc,0x87ff72ff,0x3ff24ffa,
    0x0bffe206,0xf982fff4,0x2bff706f,0xfffbaffb,0x1ffd400d,0x20bffd00,
    0x7fd40ff8,0x2b7f6e02,0x7fdc4ff9,0x201fff12,0xffb81fff,0x36e01cef,
    0xb4ff9adf,0xff8807ff,0x17ffa01f,0xffb87fc4,0xf113fe02,0x7ffd05ff,
    0x4427ffc4,0x3fea6ffd,0xf127fe43,0xffb109ff,0x817ff40d,0xfe82fff8,
    0x4c5ff73f,0x05ff9000,0x8817ff40,0x0ffd40ff,0x4ff98044,0xffd17fe4,
    0x20fff509,0x044009f9,0x0004ff98,0x5ffd009f,0x7dc3fe20,0x03bfe02f,
    0xd97bfffb,0xffb81fff,0xfffcacef,0x27ffe61f,0x5c4fffb8,0xfcacefff,
    0xff701fff,0xdfffd80f,0x70fffecb,0x884005ff,0xf7000ffe,0x07fc40ff,
    0xf703ffb1,0x13ffc8bf,0x7d43ffd3,0xffdbbeff,0x200b905f,0x7fe45ffb,
    0x04f88003,0xf103ffdc,0x80bfee1f,0x3e65fffd,0xffffffff,0xfffff703,
    0xfd05ffff,0x9ffbffff,0xffffff70,0xfe885fff,0x7cc03fff,0xffffffff,
    0x800bfee3,0x406ffffd,0x03ffffe8,0x7fdc3fe2,0xfff880ff,0x90ffffef,
    0xfd81ffff,0xefffffff,0x22007d00,0xfffeffff,0xef88000f,0xfffd1099,
    0x87fc407f,0x985ffffb,0x76c45ffe,0x402effff,0xceffffd9,0x7fffd100,
    0x36609ff1,0x00ceffff,0x200bffff,0xeffffed8,0x0017fdc2,0x003fffff,
    0x880bffff,0x5fff70ff,0x7ffffdc0,0x3fffa1ef,0xffffd503,0x007c409d,
    0xffffff70,0x7e40003d,0x3fffe2ff,0xb87fc405,0x2a05ffff,0x0004c03a,
    0x22000988,0x02620000,0x0006aea0,0x26620098,0x2aea6000,0x03575000,
    0x2ea19910,0xbaa8800a,0x00ab981a,0x00400330,0x0d5d5440,0x41b98000,
    0xc8801aba,0x3555510c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00055540,0x2a203553,
    0x0555101a,0x1002775c,0x03551555,0x4001cc98,0x553002c9,0x55100554,
    0x0055cc03,0x01acba88,0x55555551,0x14c05555,0x3b62002a,0x2aaa601e,
    0x0333201a,0x26002aa6,0x06aa21aa,0x35512aa8,0x005ff880,0xfb8077f4,
    0x0bff304f,0x00bfffe6,0x7fe4ffdc,0x01ffd400,0x005d7f10,0x0df95fd1,
    0xfa83ffb8,0x200dffff,0xdffffffb,0x7ffffdc0,0x707fffff,0x01fbbfff,
    0x40dfffb0,0x904ffffc,0xff90bfff,0x49ff7005,0xf880fffa,0x807ff75f,
    0x7d4005fc,0x13fee00e,0x7442ffcc,0x800ffaaf,0x01ff8aff,0x2003ffa8,
    0x26009769,0x5c00ffff,0xdffe83ff,0xfe884ffe,0xffffffff,0x3ffffee0,
    0xd07fffff,0x009ffb7b,0x09fb1df5,0x213ffff2,0x43fe9ff9,0xfb802ffc,
    0x17ffea4f,0x7fdd7fe2,0x4002ec03,0x7fdc01ec,0x10bff304,0x2004c433,
    0x007d53ea,0xd0002662,0x654003fd,0x3ffb802c,0xffd27fd4,0x9dfffc81,
    0x2e4fffb8,0x99999dff,0x44130199,0x22131000,0x27fc4019,0x42a88d54,
    0xfb802ffc,0x3fffea4f,0xa8affc42,0x5995301a,0x32ea2003,0x09ff701a,
    0x54417fe6,0x55101acb,0x40aaa203,0x101acba8,0x5510c355,0x2b2ea205,
    0x21ffdc01,0x0110effa,0xf503fff1,0x13fee1ff,0x101aa880,0x654c0555,
    0x7fc401ac,0x4cc15104,0x9985ff90,0x549ff709,0x220effff,0x813315ff,
    0xffffffd8,0x3ffee00d,0x7dc0dfff,0x0bff304f,0xbffffff7,0x304ffb81,
    0xfff70bff,0xfb81bfff,0x0bff304f,0xbffffff7,0x20ffee01,0x2e02fffe,
    0x826e04ff,0x2e004ffb,0xbff304ff,0xffffff50,0x3fe201bf,0x77fff444,
    0x5ff95ff8,0xff737fec,0x7ffffd49,0x7dd7fe24,0x7ffff43f,0x440effff,
    0xfffffffe,0x13fee0ff,0xfd12ffcc,0xffffffff,0x9827fdc1,0x3ffa25ff,
    0x0fffffff,0x7cc13fee,0x3fffa25f,0x80ffffff,0x7ec43ffb,0xfd80cfff,
    0x7fdc002f,0xaaaaaaae,0x4c13fee0,0x7ffd45ff,0x0effffff,0x3e24ff88,
    0xffefffff,0x3f25ff95,0x93fee0ef,0x1fffdffa,0x3feebff1,0x447bfea3,
    0x7e43fffa,0xffb89dff,0x413fee4f,0x3ff25ff9,0xfffb89df,0x4c13fee4,
    0x3fff25ff,0x4fffb89d,0x7cc13fee,0x37fff25f,0x84fffb89,0x7fec3ffb,
    0x741ffffd,0x7dc001ff,0xffffffff,0x413fee2f,0x3fee5ff9,0xfff931cf,
    0x649ff109,0xfff51eff,0x3eebff2b,0x27fdc0ef,0xdff97ff5,0x7fdd7fe2,
    0x320bff23,0x3ffe25ff,0x70fffa81,0x3fe609ff,0x503fff15,0x3fee1fff,
    0x22bff304,0xffa81fff,0x209ff70f,0xfff15ff9,0x81fff503,0x3fe23ffb,
    0x43ffff52,0x5c001fff,0xffffffff,0x13fee2ff,0xff8affcc,0x0fff702f,
    0x7ff49ff1,0xfcaffe42,0xb80fffdf,0x4ffea4ff,0x5ff8affe,0x7fdc7ff7,
    0xffb8181e,0xfa826e04,0x2bff504f,0x26e04ffb,0x4c13fee0,0x09ff75ff,
    0x9ff704dc,0x7dd7fe60,0x2026e04f,0x3fe63ffb,0xe9bffa23,0x7dc002ff,
    0x999999df,0x413fee09,0xbff55ff9,0xff101a80,0x2a07ffc9,0xffff95ff,
    0x9ff701ff,0xffa9ffd4,0xff75ff8f,0x77fffc47,0x0bff601c,0x20bff500,
    0x5ffb5ffa,0x04ffb800,0x3ff6bff3,0x27fdc002,0xffb5ff98,0x3fee0005,
    0xb117ffc3,0x0fff21ff,0x27fdc1b8,0x209ff700,0x7ff75ff9,0x27fc4000,
    0xbff30fff,0x3ffffff2,0x2a4ffb84,0x37ff63ff,0x87ff75ff,0xfffffffa,
    0x00fff40c,0x5c1bfea0,0x03ffd4ff,0x304ffb80,0x07ffabff,0x209ff700,
    0x3ffd5ff9,0x0ffee000,0x7dc9fffb,0x4c1bfee7,0x9ff71fff,0x827fdc00,
    0x5ffb5ff9,0x13333330,0x3fa4ff88,0xcaffdc1f,0x0ffeafff,0xff527fdc,
    0x7ffffc47,0xb307ff75,0x1dffffff,0x2000fffc,0xfe82fff8,0x003fff3f,
    0xf304ffb8,0x007ffebf,0x2609ff70,0x03fff5ff,0x20ffee00,0xfe9efffd,
    0x033ffe25,0x7fdcdffb,0x13fee004,0xffeaffcc,0x7ffffcc1,0x727fc42f,
    0x5ffe87ff,0x3fea7ff9,0xf527fdc5,0xffffb87f,0xa807ff75,0x3a5fffec,
    0xfd8002ff,0xffecbdff,0x005ffd0f,0xf504ffa8,0x00bffabf,0x2a09ff50,
    0x05ffd5ff,0x40ffee00,0x0efffffc,0x667fffd4,0x3ee2ffff,0xccccccef,
    0x09ff50cc,0x7fed7fea,0x7ffffcc2,0x327fc42f,0xfff7bfff,0xe8bff2bf,
    0x93fee1ff,0xffe83ffa,0x987ff75f,0x64fff500,0x206e03ff,0xffffffe8,
    0x0fff22ff,0x2ffd41b8,0xff95ffa8,0x3ea0dc07,0x2bff505f,0x06e03ffc,
    0xd301ffdc,0x3ee07fff,0x4fffffff,0x7fffffdc,0xf51fffff,0x57fea0bf,
    0x55444ffb,0x7c42ffea,0x7fffe44f,0xff95ffcf,0xf737fcc5,0x41ffd49f,
    0xff75fff9,0x403ffe27,0xdff71fff,0x107ffe60,0x59dfffd7,0xf306ffb8,
    0x1bfe63ff,0xffbaffdc,0x23fff306,0xff706ff9,0x4c1bfeeb,0x7fdc1fff,
    0x1fffc803,0xdffffb30,0xfffff705,0x23ffffff,0xff706ff9,0x803ffe6b,
    0x7fc42ffd,0x9adfdb84,0x85ff94ff,0x9ff73ffd,0xfc81ffd4,0x747ff75f,
    0x7ffa84ff,0xb033ffe2,0x1fb80dff,0x033ffe20,0x7fc4dffb,0x13ffe82f,
    0xfd819fff,0x0bffe26f,0x7fc4fffa,0x37fec0cf,0x2a6166dc,0x00fff20c,
    0x20007df9,0xfff883f8,0x3a3ffe82,0xfe980dff,0x127fc42f,0x213fe601,
    0x7c80bce9,0x2037bb00,0xefffa87b,0x45fffdbb,0xfccffffa,0x7e402fff,
    0x7fffd400,0x42ffffcc,0xecbdfffd,0x3fea0fff,0xffffccff,0x5efffec2,
    0x2a0fffec,0xffccffff,0xffca82ff,0xfc93fea1,0x7ecd401f,0x02fa8001,
    0xd97bfffb,0x7f441fff,0xffdcacff,0x27fc42ff,0xffc8bff7,0x83fdc883,
    0xdf97007d,0x7fec1f60,0x0effffff,0xffffffb8,0xcfb804ff,0x3ffee019,
    0x984fffff,0xffffffff,0xffffb83f,0xf984ffff,0xffffffff,0xfffffb83,
    0x7ec04fff,0x7f7fff41,0x0bf2006f,0x267be600,0x3ffffe60,0xf883ffff,
    0xffffffff,0x3ffff22f,0x3bfffe24,0x2e00ffff,0x19bfc84f,0x6407fc40,
    0x7f5419cf,0x4c04efff,0x02effffd,0x80ffff10,0x2effffd9,0x3fffb620,
    0x3f6602ef,0x2202efff,0x2effffed,0x3ffff660,0xffff982e,0xffffd984,
    0x3ffe201f,0x3fa0005f,0x7f6c41ff,0x2202efff,0xbdffffdb,0x27fffe40,
    0x3fffffee,0xefffe81e,0x86fff980,0x302ffffa,0x0cc0dfff,0x00018800,
    0x44001551,0x00130001,0x26000310,0x80188000,0x575001aa,0x0006a600,
    0x4c00dcc0,0x80110000,0x881aaaa9,0x2601abaa,0x5544009a,0x800aa880,
    0x00000aa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10620000,0x54551003,0x0b32a00a,0x03599530,
    0x0004cb80,0x00566554,0x22001e44,0x4cc41eed,0x43551000,0x2a200aa9,
    0x55101acc,0x03555555,0xa880d544,0x2aa602aa,0xb82aaaaa,0x5b0f201c,
    0x98aa9800,0x02b800aa,0x02e45f10,0x0efbbfe8,0x01ffff30,0xffffffb1,
    0x1ffa001b,0x3fff2200,0x01dfffff,0xfc8007fa,0x3fea0eff,0x47ff7005,
    0xfeb81ffd,0x40dfffff,0xfffffffa,0xffa81fff,0x05fffb05,0xffffffd5,
    0x0ff88dff,0x3f26fea0,0x46ff4000,0xef9805ff,0xffdf9001,0x3ffe2005,
    0x32ffa01f,0xffffe86f,0x800effff,0x7d4007fe,0xcbaabdff,0xdf702ffe,
    0x363fea00,0x017fea4f,0xffb1ffdc,0xfffffb83,0x2a0effff,0xffffffff,
    0x7fd42fff,0x82fffd85,0xfffffff9,0x2fec6fff,0x0177fec0,0x3ea3bea0,
    0x7fff5406,0xcda801df,0x16654001,0x05545510,0x2a23dff5,0x98803fff,
    0x2ffee001,0x417fd400,0x98802ff8,0x5ffa8660,0x4c355100,0x3ffee0aa,
    0x9fff731c,0x4cceffd4,0x545ffea9,0x7ffe45ff,0xfffffb02,0x4c5bfd5b,
    0x031001ff,0x6ec37200,0x7ffffc00,0x654c05ff,0x953001ac,0x99880359,
    0xc82ffc80,0x654c05ff,0x7fcc01ac,0x99885444,0x6fe81ff8,0x502aaa00,
    0x26200bff,0xf8866209,0xfff702ff,0xf9827fd4,0x92ffd47f,0x7f405fff,
    0x9fd4ffff,0x98807fd8,0x20009bcb,0x009bcb98,0x373a7fea,0xfffa81ff,
    0x100dffff,0xbffffffb,0x20bfee01,0x0181effb,0x7fffffd4,0x49fd00df,
    0xfebfffea,0xff707f57,0x07ffa003,0x2e00bff5,0x47ff63ff,0x0d405ffa,
    0x7c413fea,0xbaffd47f,0x7f403fff,0x9fd4ffff,0x7e404ff8,0x02ffffff,
    0xffffffc8,0x3adfb02f,0x7d409a8c,0xffffffff,0xffffe80e,0xb80effff,
    0xfff882ff,0xfa801cef,0xffffffff,0xf52fd40e,0xbffff9ff,0x17fcc37c,
    0x541ffe80,0xff7005ff,0xfc8ffec7,0xffa8003f,0xa89ff904,0x4fffadff,
    0xfffffb80,0x7fc49fd4,0xffffd102,0x20bfffff,0xffffffe8,0xffc85fff,
    0x3fee04e8,0xfff931cf,0x11effa89,0xf707fff5,0x3ffea05f,0xb80cffff,
    0xf931cfff,0x32fd89ff,0x3fff8bff,0x9ff103f6,0x507ffa00,0x3ee00bff,
    0x6c7ff63f,0x999981ff,0xdfff5099,0x3fffffdd,0xfffeffa8,0xfff8806f,
    0x549fd4ff,0xfffb01ff,0x3fff2637,0x1bfffd82,0x985fff93,0xf105ffff,
    0x3fee05ff,0x6417fe47,0x2ffb85ff,0x3ffff660,0x3fe20eff,0x8fff702f,
    0x81ffb0ff,0x07f21ffd,0x7f4017fe,0x02ffd41f,0x3f63ffb8,0x983fff1f,
    0x52ffffff,0xffffffff,0xfff5019f,0x009fffff,0x3a9fff91,0x203fee4f,
    0xf701fff9,0x7ffcc1ff,0x81fff701,0x43effffd,0x0d405ffa,0x0c0f7fdc,
    0x2005ff70,0x25fffeca,0x0d405ffa,0x27fc5be2,0x1fd07fe4,0x3a00dfd0,
    0x2ffd41ff,0x363ffb80,0x85ffb1ff,0x2ffffff9,0xffb9dff5,0x7ffd407f,
    0x01fffabf,0x27f53fa0,0x3fee0ffb,0x717ff405,0xffe80bff,0xffffea82,
    0x000ffee6,0x677fffc4,0x02ffb801,0x9ffea013,0x98003ffb,0xd07ff35f,
    0xe83fc4df,0x3ffd007f,0x7005ffa8,0x8ffec7ff,0x55444ffc,0xff52ffea,
    0x827ffcc9,0x3f63fffa,0x53fa006f,0x41ffa4fe,0x7e402ffd,0x00bff64f,
    0x7f409ff9,0x5ffb2fff,0x13333330,0xffffffa8,0x5ff700cf,0xf00fff88,
    0x0bff63ff,0x42666666,0x85ff54f9,0x13ee4ff8,0xfe8037f4,0x02ffd41f,
    0x3f63ffb8,0x01fff51f,0xffa97fec,0x41fffd44,0x7fcc5ffa,0x29fd003f,
    0x41ff64fe,0x7dc01ffe,0x007ffa5f,0x6740bff7,0x3ffd5ff9,0xffffff98,
    0xffffd982,0xffb80eff,0xa84ffe82,0x07ffa7ff,0x5ffffff3,0x44ff8bfc,
    0x1ff53ffc,0x74017fa0,0x2ffd41ff,0x363ffb80,0x37ffa1ff,0x97ff5440,
    0xffc84ffa,0x42ffd40f,0xe801fffc,0x7dc9fd4f,0x00fff80f,0xfff37fd4,
    0x16ffa801,0x7ed3a575,0xf985ffb6,0x402fffff,0x85fffeca,0xffa82ffb,
    0xfffdbbef,0xf30bff65,0x6c5fffff,0x2a3dfb1f,0x2ffbbfff,0x74013fe0,
    0x77fd41ff,0x1ccccccc,0x7fec7ff7,0x33bffe61,0x2fffffda,0xfd109ff5,
    0x85ffa8df,0xe806fff8,0x7d49fd4f,0x01ffe81f,0xffd27fdc,0x24ffb803,
    0x3fa9d7fe,0xa889ff74,0x4c2ffeaa,0x70fff500,0x3ff605ff,0x0effffff,
    0x55113fee,0x7dc5ffd5,0xffffff53,0x403fffff,0xfd002ff9,0xffffa81f,
    0x73ffffff,0x0ffec7ff,0x3fffffe6,0x3ea2ffff,0x7fff504f,0xfb82ffd4,
    0xa7f403ff,0x0bfe64fe,0xf900fff6,0x01ffec7f,0xffb8fff2,0x31ffcded,
    0x7ec01fff,0x01fff12f,0xff707ffe,0x7fff5405,0xfff984ef,0x98bff600,
    0x39d711ef,0x2217bfb1,0x707fd409,0x0fff85fd,0x7fffffd4,0xff73ffff,
    0x440ffec7,0xbdffffeb,0x9027fd40,0x3fea1fff,0x03fffa05,0x89fd4fe8,
    0x6ffc84ff,0xc8bffe20,0x3fe206ff,0x7ffffc2f,0x6fff45ff,0x22ffe980,
    0xffa84ffe,0x802ffc87,0x3a00cffa,0xfe980dff,0x017fe42f,0xfb0bfea0,
    0x264ffb89,0xbde807ff,0x07fec000,0x001dff50,0x8001bdd8,0xe8001bdd,
    0xfb89fd4f,0x84fff886,0x7c46ffd8,0xffd884ff,0xdfffb886,0xcfffe881,
    0x2ffffdca,0x2efbffea,0x2625fffd,0x99801ffe,0x3fa205fb,0xffdcacff,
    0xbffe82ff,0x84ffc800,0x7ffcc0ff,0x805ffebd,0x51005fdc,0x4cc01fff,
    0x65c004fc,0xfcb8006f,0xd4fe8006,0x80ff889f,0xcacefffb,0xfb81ffff,
    0xffcaceff,0x02f401ff,0x3fffffe2,0xfd82ffff,0xefffffff,0x03ffff20,
    0x4406f980,0xffffffff,0x3ff202ff,0xedcacdff,0x5fa83fff,0xffffffb0,
    0x1be6001d,0x03fffec0,0x88004fa8,0xf88000ff,0xa7f4000f,0x04fc84fe,
    0xfffffff7,0x7fdc05ff,0x2fffffff,0xb8804e80,0x0bdffffd,0x3ffffaa0,
    0x3fffe84e,0x1efffd80,0xfffdb880,0xc9800bdf,0xffffffff,0x03fd00cf,
    0x0677ffe4,0x07ffff20,0x017fffc0,0x001dfffd,0x00bfffea,0x02ffffa8,
    0x9fd4fe80,0x6cc0ff10,0x00ceffff,0xeffffd98,0x0011000c,0x26000110,
    0x00554c01,0x0000aa88,0x53000022,0x88035575,0x0013003c,0x20005544,
    0x54400aba,0x5544000a,0x0aa88000,0x44262000,0x00395009,0x44000131,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00009dd5,0x4c400555,0x77774001,
    0x0aa804ee,0x45510553,0x555100aa,0x26355000,0x11a9802a,0x3bae0055,
    0x2000eeee,0xa8000aaa,0x2aa000aa,0x98554002,0x75c0002a,0x5530002e,
    0xff980003,0x2a0003ff,0x3f6003ff,0x3ffe000f,0xfb805fff,0xfd01ff9e,
    0xfc80df97,0x7fd4001f,0xf9802fe8,0x9003fe9f,0x01ffffff,0x0017fe20,
    0xa8017fe2,0x2e004fff,0x002ff9ef,0x0013fe20,0x00037fc4,0x07fcdff4,
    0x004fe800,0x30007fec,0x00133333,0x9813fff6,0xc801ffff,0xffd8005f,
    0x3fee005f,0x2662006f,0x32001999,0xbf90005f,0x7dffc400,0x3ff6001f,
    0x7dc0004f,0x3bee0004,0x21980000,0xe9800098,0x0cca8004,0x2f2e6200,
    0x99910009,0x00599500,0x22000764,0x64000ccc,0x554400cc,0x80555101,
    0xbb0000dd,0xa9f64001,0x3322005e,0x01880004,0x0006ec00,0x55301555,
    0xa82aaa05,0xaaaaaaaa,0x2aaaa0aa,0x0aaaaaaa,0xffffff90,0x2aaaa05f,
    0x0aaaaaaa,0xa800d54c,0x554400aa,0x500aaa01,0xffb80155,0x80bff304,
    0x54400aaa,0x00aaa01a,0xa9801555,0xaaaaaaaa,0xaaa801aa,0xaaaaaaaa,
    0x55510aaa,0x80355555,0xffe83ffd,0x747ff81f,0xffffffff,0x3fffa2ff,
    0x2fffffff,0x7fffff44,0xfe85ffff,0xffffffff,0x027fdc2f,0x2027ffd4,
    0xf880fffa,0x3ffea05f,0x827fdc04,0x3ea05ff9,0x7fd404ff,0x05ff880f,
    0x7013ffea,0xffffffff,0xf8809fff,0xffffffff,0xf50fffff,0xffffffff,
    0x13fee03f,0x987ffff1,0x7fff46ff,0x2fffffff,0x3ffffffa,0x7ec2ffff,
    0xff931bff,0xffffe85f,0x42ffffff,0xfd804ffb,0x7fd407ff,0x05ff885f,
    0x701ffff6,0x3fe609ff,0x1ffff605,0x10bfff50,0x7fec0bff,0x7ffdc07f,
    0xffffffff,0x7fffe404,0xffffffff,0xffff50ff,0x5fffffff,0xfa8dff30,
    0x7fdc5fff,0x4ccccc44,0x220efff9,0xff999999,0x3ffe60ef,0x41fff701,
    0xf9999998,0x7fdc0eff,0x7fffc404,0x3ffea02f,0x82ffc42f,0x02fffff8,
    0x7cc13fee,0xffff105f,0x7ffd405f,0x82ffc42f,0x02fffff8,0x3fe66662,
    0x2009999f,0xffb8fff8,0x1999999c,0x26677fea,0xf05ffea9,0x7ffe41ff,
    0x017fec7f,0x001fffd8,0xfb83fffb,0x17ff405f,0x40fffec0,0x7dc04ffb,
    0x2a06ffdf,0x220effff,0xbff705ff,0x7fdc0dff,0x20bff304,0x06ffdffb,
    0x83bfffea,0xff705ff8,0xf800dffb,0x3ee000ff,0x007ff74f,0x7cc13fea,
    0x43ffb07f,0x21ffcefe,0xfb800ffe,0xff7002ff,0x05ffb05f,0x5c04ffc8,
    0xff702fff,0xe8ffe809,0xfff501ff,0x2ffc49ff,0xffe8ffe8,0x209ff701,
    0xffd05ff9,0x2a03ffd1,0x224fffff,0x1ffd05ff,0x7c003ffd,0x3fe000ff,
    0x007ff70f,0x7c413fea,0x27ff707f,0x3ff9cff8,0xf500dff1,0x3ea009ff,
    0x3ffd04ff,0x205ffb80,0x2e04fffa,0x3fe604ff,0x2a09ff75,0x11fffdff,
    0xbff30bff,0x7dc13fee,0x0bff304f,0x3feebff3,0xffbff504,0x217fe23f,
    0x9ff75ff9,0x007ffc00,0x3ee5ffb8,0xaaaaaadf,0x6413fea1,0xbff504ff,
    0xaffcbfea,0x7c404ffa,0xff1005ff,0x07ffc0bf,0x441bfea0,0x7dc05fff,
    0x4bff204f,0xff507ff8,0x3e2dff97,0x12ffc85f,0x3fee0fff,0x90bff304,
    0x1ffe25ff,0x7fe5ffd4,0xf90bff16,0x01ffe25f,0xd000fff8,0x7ffdc3ff,
    0x24ffffff,0xfeeefffa,0xf101ffff,0x6c3ff6ff,0x405ff97f,0x800effe8,
    0x200effe8,0x7dc01ffe,0xeffe884f,0x827fdc00,0x3fa0fff8,0xd3ffa82f,
    0x8bff15ff,0x3fa0fff8,0x04ffa82f,0xff88bff5,0x20bffa0f,0x5ffd3ffa,
    0xff88bff1,0x00bffa0f,0x54007ffc,0x7ffdc5ff,0x24ffffff,0xfffffffa,
    0x7f400cff,0x3ee6ff8f,0x200ffd9f,0xb001fffd,0xfd803fff,0x1ffe403f,
    0x400fffec,0xff704ffb,0xa86ffb8b,0x1fff53ff,0x5ffb8bff,0x7d437fdc,
    0x8bff505f,0x7fdc5ffb,0xf53ffa86,0xb8bff1ff,0x37fdc5ff,0x800fff80,
    0xdaaacffe,0x99999cff,0x33bfea09,0x9003fffd,0x4c9ff9ff,0x206ffbff,
    0x7002fffb,0xf9005fff,0x7ffc40df,0x017ffdc2,0xfd04ffb8,0xffffffff,
    0x23ffa83f,0x45ffdffd,0xfffffffe,0x7fcc1fff,0xe8bff706,0xffffffff,
    0x1ffd41ff,0x8bffbffb,0xfffffffe,0xff801fff,0x7ffcc00f,0x3fffffff,
    0x4c9ff500,0xfa804fff,0x7fc2ffff,0xff504fff,0x3fea007f,0xfff1003f,
    0x8dffb109,0x2003fffa,0xff984ffb,0xffffffff,0x11ffd44f,0x4cbfffff,
    0xffffffff,0x7fc44fff,0x23ffe82f,0xfffffff9,0x7d44ffff,0x3fffe23f,
    0x3fffe65f,0x4fffffff,0x400fff80,0xfffffffd,0xf5003fff,0x3fffa89f,
    0x3ffffc40,0x417fffec,0x3005fff9,0xb800bfff,0xfcacefff,0x3fe61fff,
    0x7fdc005f,0xccdffc84,0x47ffdccc,0x7fdc3ffa,0x37ff25ff,0xffdccccc,
    0xbdfffd87,0x320fffec,0xcccccdff,0x7fd47ffd,0x2ffffdc3,0x9999bff9,
    0xf00fffb9,0x7fcc01ff,0xfdaaaaaf,0x9ff5003f,0x801fff90,0xfb85fffe,
    0xffd80fff,0xcccccccf,0x99fffb2c,0x05999999,0xfffffff7,0xfffd85ff,
    0xcccccccc,0x7c27fdc2,0x3ffa01ff,0x3a0ffea2,0x3ffe5fff,0x30bffa01,
    0xffffffff,0x01fff87f,0xffa8bffa,0x25fffe83,0x3fa01fff,0x07ffc02f,
    0x3209ffb0,0xccccceff,0x09ff51cc,0xc80dffd1,0xff983fff,0xffffb07f,
    0xbfffffff,0x3ffffff6,0x305fffff,0x19dffffb,0xffffffb0,0xb8bfffff,
    0x37fd44ff,0xfa9bfee0,0x5fff983f,0xfb80dff5,0xffed886f,0x7fd42eff,
    0x537fdc06,0xfff307ff,0x701bfeab,0xfff80dff,0x01fff100,0x3ffffff2,
    0xff53ffff,0x0fffea09,0xf01fffb8,0x3ff60bff,0xffffffff,0xfffffb5f,
    0x0bffffff,0xfd801310,0xffffffff,0x27fdc5ff,0xf100fff6,0x0ffea3ff,
    0xffdaffe4,0x0fffc403,0xffd80260,0x8fffc403,0xff903ffa,0x100fff6b,
    0x7fc03fff,0x0bff900f,0x7fffffe4,0xff53ffff,0x07ffe409,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400bdd50,0x53001aa9,0x2000aa23,0x2aa202aa,0x643ba602,
    0xaa88004e,0x269d9001,0x554400ee,0x2a2a8801,0x5415101a,0x07a22d81,
    0x80110620,0xa8801aa9,0x2615501a,0x2aa8002a,0x06cc3d10,0x2002cc88,
    0x004ffff8,0x7cc01ffa,0x4004fe9f,0x3f203ffb,0x47fe601f,0xfd8005fd,
    0x2bfd000f,0x7f401ff9,0xcfd800ff,0xff980ffb,0xec81fcdf,0xf3006daa,
    0x3fa02743,0xe87ff50e,0xefb80fff,0x5c002ff9,0x2bb602ff,0x3fe605ea,
    0x233f6004,0xfd1001ff,0x3ffee007,0x03fe8006,0xd300bfe2,0x0013b21d,
    0x64003ff3,0x401dd34e,0x805fddfc,0x901ffff8,0x20dff95d,0x001effd8,
    0x807ffbf6,0x3fea0ff9,0x17f7bee3,0x0027ffec,0x3a601ff4,0x3e601dff,
    0x8866004f,0x17620009,0x001ccc80,0x3aa0274c,0x79731002,0x1eb80013,
    0x101aa880,0x8de88555,0xca802ed8,0x0102203c,0x2a000310,0x0f6400bd,
    0x7744bbaa,0x99105db0,0x07d30009,0x99800440,0x806aaa00,0x5510aaa8,
    0x55555555,0x55555445,0x26201aaa,0x35510009,0xfffffc80,0x355502ff,
    0xb8555440,0xbff304ff,0x2aaaaaa2,0x2a22aaaa,0xaaaaaaaa,0x41aa982a,
    0xaaaaaaa8,0xaa802aaa,0x0d54c00a,0xaa983553,0x55555441,0x2aa2019a,
    0xaaaaaaaa,0x441aa982,0xaaaaaaaa,0x3ffee2aa,0x5cbffb00,0xffffffff,
    0x3ffea7ff,0x1fffffff,0x7005ffa8,0x3fa207ff,0xffffffff,0x00fffb85,
    0x7fdcbffb,0x2ebff304,0xffffffff,0x3ffee7ff,0x7fffffff,0x7dc4ffb8,
    0xffffffff,0x7ffd407f,0x727fdc04,0x4ffb89ff,0x7fffffdc,0xffb81eff,
    0xffffffff,0x5c4ffb87,0xffffffff,0x2fff47ff,0xf707ffd4,0xffffffff,
    0x7fffd4ff,0x2fffffff,0xb802ffd4,0xfffb03ff,0x3fff2637,0xa85ffe82,
    0x3fee0fff,0x2ebff304,0xffffffff,0x3ffee7ff,0x7fffffff,0x7dc4ffb8,
    0xffffffff,0x7ffec07f,0x727fdc07,0x4ffb89ff,0x7fffffdc,0x7dc3ffff,
    0xffffffff,0x44ffb87f,0xfffffffb,0x7fcc7fff,0x21fff41f,0x9999dffb,
    0x3fea1999,0xfea9999d,0x02ffd45f,0xf983ffb8,0xfff701ff,0x41fff981,
    0x7fdc3ffe,0x2ebff304,0x99999dff,0x37fee199,0x19999999,0x7dc4ffb8,
    0x999999df,0x3ffe2019,0x3fee02ff,0xf713fee4,0x9dffb89f,0x0fffeba9,
    0x26677fee,0xfb819999,0x4effdc4f,0x81999999,0x3fee6ffc,0x004ffb86,
    0x7cc13fea,0x02ffd47f,0xfb83ffb8,0x17ff405f,0xff737fe4,0x209ff70d,
    0x9ff75ff9,0x027fdc00,0x2e27fdc0,0x2e0004ff,0x206ffdff,0x3fee4ffb,
    0x2e27fdc4,0xbffb04ff,0x40027fdc,0x7fdc4ffb,0x7ffd0004,0xf703fff1,
    0x7fd4009f,0xa8fff104,0xff7005ff,0x805ffb07,0xffd04ffc,0x703fff17,
    0x3fe609ff,0x4009ff75,0xb8004ffb,0x27fdc4ff,0xd1ffd000,0x3fee03ff,
    0xf713fee4,0x04ffb89f,0x7fdcfff1,0x4ffb8004,0x80027fdc,0x4ffdfffa,
    0x555dff70,0x7d415555,0x89ff904f,0xf7005ffa,0x03ffd07f,0xf505ffb8,
    0x209ffbff,0xff304ffb,0x2abbfeeb,0x2e0aaaaa,0xaaaaaeff,0x4ffb80aa,
    0x55577fdc,0xf300aaaa,0x413feebf,0x3fee4ffb,0x2e27fdc4,0x3ffe04ff,
    0x555dff70,0xf7015555,0xaeffb89f,0x00aaaaaa,0x03fffff6,0x7fffffdc,
    0x3ea2ffff,0xfffeeeff,0x2ffd41ff,0xf83ffb80,0x7fd400ff,0x3ffff606,
    0x09ff700f,0x7fdd7fe6,0xffffffff,0x3ffffee2,0xb82fffff,0x7ffdc4ff,
    0x2fffffff,0x3e25ff90,0x49ff707f,0x7fdc4ffb,0xd027fdc4,0x3ffee3ff,
    0x2fffffff,0x7dc4ffb8,0xffffffff,0x3ffe202f,0x3ffee02f,0x2fffffff,
    0x3fffffea,0xfa80cfff,0x7ff7005f,0xb803ffd0,0x3fe204ff,0x3fea02ff,
    0x2ebff504,0xffffffff,0x3ffee2ff,0x2fffffff,0x7dc4ffb8,0xffffffff,
    0x0fff882f,0x3ee0bffa,0x713fee4f,0x4ffb89ff,0x7dcbffa0,0xffffffff,
    0x44ffb82f,0xfffffffb,0x7dc02fff,0x6ffdc06f,0x09999999,0x3f73bfea,
    0x3fea03ff,0x07ff7005,0xfc807ffb,0x37fdc03f,0x5417fea0,0x3bff75ff,
    0x41333333,0x9999dffb,0xffb80999,0x4ceffdc4,0xb8099999,0x37fdc5ff,
    0xff727fdc,0x5c4ffb89,0x3ffa04ff,0x333bff71,0xf7013333,0x9dffb89f,
    0x00999999,0x2e02ffd4,0x3ea004ff,0x13ffe64f,0xb802ffd4,0x6ffc83ff,
    0x00bffe20,0xf980bff5,0x2bff706f,0x2e004ffb,0xfb8004ff,0x027fdc4f,
    0x7fffff40,0x5c1fffff,0x13fee4ff,0xffb89ff7,0x5c3ffe04,0xfb8004ff,
    0x027fdc4f,0x017fea00,0x54009ff7,0x7ffd44ff,0x005ffa83,0xff107ff7,
    0xdffb109f,0x80bff500,0xfe82fff8,0x009ff73f,0x40027fdc,0x7fdc4ffb,
    0x7ffcc004,0xffffffff,0xf727fdc4,0x44ffb89f,0xff304ffb,0x0027fdcf,
    0x3ee27fdc,0x7d40004f,0x27fdc05f,0x909ff500,0xffa81fff,0x07ff7005,
    0x2b3bffee,0x801ffffc,0xfd805ffa,0xffecbdff,0x009ff70f,0x40027fdc,
    0x7fdc4ffb,0x6ffe4004,0xffdccccc,0xf727fdc7,0x44ffb89f,0xfe884ffb,
    0x013fee3f,0xf713fee0,0xfa80009f,0x77fdc05f,0xcccccccc,0xd109ff50,
    0xeffa8dff,0x1ccccccc,0x7dc07ff7,0xffffffff,0x0bff5002,0xffffff30,
    0x7fdc7fff,0xccccccce,0x99dff70c,0x81999999,0x7fdc4ffb,0xccccccce,
    0x807ffe0c,0x3fee2ffe,0xf713fee4,0xceffb89f,0x46fffdcc,0xcccceffb,
    0x7dc0cccc,0x677fdc4f,0x0ccccccc,0x7017fea0,0xffffffff,0x3fea3fff,
    0x47fff504,0xfffffffa,0x7ff73fff,0xffffd980,0x3ea000ce,0xfdb1005f,
    0xfb85dfff,0xffffffff,0xffff71ff,0x3fffffff,0x7dc4ffb8,0xffffffff,
    0x0dff51ff,0x3ee6ffb8,0x713fee4f,0xfffb89ff,0x1effffff,0x7fffffdc,
    0x5c1fffff,0x7ffdc4ff,0xffffffff,0x017fea01,0xfffffff7,0x3ea3ffff,
    0x3fff204f,0xffffff50,0x3ee7ffff,0x0262003f,0x02ffd400,0x3ee00980,
    0xffffffff,0xffff71ff,0x3fffffff,0x7dc4ffb8,0xffffffff,0x07ffb1ff,
    0xf71fff88,0x227fdc9f,0x7fdc4ffb,0x03deffff,0xfffffff7,0xfb83ffff,
    0x7fffdc4f,0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04d8e75c,0x6c005550,
    0x2aaa02ee,0x3bbbbaa0,0xc8f74c1e,0x52ed804e,0x02a000dd,0x643ba600,
    0x6cdd504e,0x7777443e,0xeec802ee,0x26006eee,0x007b8add,0x3f317d91,
    0x37975100,0x00000001,0xf9800000,0x802fffff,0xb803fffa,0xf300ffff,
    0x7fffd49f,0x8ffcc2ff,0x3ff805fd,0xbf000ff7,0xffa8001f,0x3ee0bfd1,
    0xff313fe7,0xb007ffff,0x00ffffff,0x2ffffff4,0xfffffc80,0xffffc807,
    0xfb003fff,0x0bbaa00b,0x04a812a0,0x03da8ad4,0x1ffbff88,0x3f23fe60,
    0x443fea05,0x40999999,0x09d91ee9,0x1baa5db0,0x00f2b500,0x3b21dd30,
    0x76cdd504,0x99999983,0x99998800,0x23d10019,0x7b000cc9,0xe88072e6,
    0xffffffff,0x6c6d405f,0x06a9e802,0x3a213fa2,0xcb98804f,0x9f64009b,
    0x826205ea,0x21754019,0x55441aa9,0xaaaaaaaa,0x00aaa802,0x02ecf880,
    0x2201aaa8,0x554c0aaa,0x55555441,0x802aaaaa,0x50000aaa,0xaa880155,
    0xf90aaa01,0x3f2637ff,0x27a603ff,0x6bbe802e,0x2a13fe60,0x7fe404ff,
    0x882fffff,0xaa8801aa,0x98555101,0x27fdc1aa,0x3fffffee,0x5407ffff,
    0xa8004fff,0xfb804fff,0xbffb00ff,0xfb89ff70,0xffffffff,0x7ffd407f,
    0xfffa8004,0x07ffd404,0xff32ffc4,0x3ffee03f,0x4013ae00,0xf7101dd9,
    0x3ee213bf,0x7f4409df,0xffffffff,0x401ffdc5,0xff304ffa,0x5c4ffb8d,
    0x7ffdc4ff,0x7fffffff,0x03fffec0,0x03fffec0,0xfa85ffe8,0x4ffb80ff,
    0x7fffffdc,0x6c07ffff,0xd8007fff,0x7d407fff,0x5ff885ff,0xfd017ff2,
    0x204cc45f,0x33100998,0x3ffff201,0xfffff94f,0x1bfffd89,0x5c5fff93,
    0xffa803ff,0xb8dff304,0x27fdc4ff,0x26677fee,0x22019999,0x002fffff,
    0x0bffffe2,0xd07ffe60,0x3fee07ff,0x4ceffdc4,0x20199999,0x02fffff8,
    0x3ffffe20,0x3fffea02,0xfb2ffc42,0x4ffc805f,0xff50bfee,0xffffea89,
    0x7fffe42f,0xfffff94f,0x80fffcc9,0xff70fffb,0x09ff5007,0xff71bfe6,
    0x5c4ffb89,0x2e0004ff,0x006ffdff,0x1bff7fee,0xf737fe40,0x27fdc0df,
    0x80013fee,0x06ffdffb,0x3ff7fee0,0x3fffea06,0xf97fe20e,0x7fdc01ff,
    0xf50bfee5,0x7fffc49f,0x2e20ffff,0xf7109dff,0x7fdc13bf,0xb97ff405,
    0x503313ff,0x3fe609ff,0x2e27fdc6,0x27fdc4ff,0xd1ffd000,0x3fa003ff,
    0x001ffe8f,0xfff17ffd,0x227fdc03,0x20004ffb,0x1ffe8ffe,0xfd1ffd00,
    0x3ffea03f,0x97fe24ff,0x7d400fff,0x50bfee5f,0x0ffe49ff,0xff985ffb,
    0xd84ffa84,0x7fe402ff,0xff77ff74,0x27fd45ff,0x7dc6ff98,0x227fdc4f,
    0xaaaaeffb,0xff300aaa,0x2013feeb,0x9ff75ff9,0x37ffea00,0x7fdc04ff,
    0x5577fdc4,0x300aaaaa,0x13feebff,0x7dd7fe60,0xfbff504f,0x97fe23ff,
    0x7dc01ffe,0x50bfee4f,0xfb8109ff,0x37ff2a3f,0x213fea1a,0x7dc01ffe,
    0xfffff75f,0x3ea1ffff,0xbaaaaaef,0x27fdc6ff,0xff713fee,0xffffffff,
    0x44bff205,0xffc807ff,0x400fff12,0x00fffffd,0x3ee27fdc,0xffffffff,
    0x25ff902f,0xfc807ff8,0x20fff12f,0x6ffcbffa,0x7fecbff1,0x8fff6042,
    0x7fd42ffb,0xfffdb884,0x3ffff64f,0x213fea3f,0x7d400fff,0x45fff76f,
    0xfff53ffd,0xffffffff,0x5c4ffb8d,0x7ffdc4ff,0x2fffffff,0x3a0fff88,
    0x3fe202ff,0x00bffa0f,0x017fffc4,0x3ee27fdc,0xffffffff,0x0fff882f,
    0xf880bffa,0x0bffa0ff,0x7ff4ffea,0x3f25ff8a,0x7c4ef46f,0x0ffee2ff,
    0x7ec49ff5,0x24ffefff,0x21adffca,0xffe84ffa,0xba7fdc01,0xa7fd45ff,
    0xfffffffa,0x7dc6ffff,0x227fdc4f,0x9999dffb,0xffb80999,0x7037fdc5,
    0x6ffb8bff,0x01bfee00,0x3ee27fdc,0x999999df,0x45ffb809,0x3ee06ffb,
    0x437fdc5f,0xfff53ffa,0x7fc4bff1,0xfdffd13f,0x43ffb8df,0x3ffa4ffa,
    0x989ff51c,0x4ff984ff,0x6403ffd8,0x89ff73ff,0xbff54ffa,0xff533333,
    0x5c4ffb8d,0x27fdc4ff,0x7ffff400,0x01ffffff,0xfffffffd,0x2a003fff,
    0xff7005ff,0x004ffb89,0xffffffe8,0xfd01ffff,0xffffffff,0x23ffa83f,
    0x45ffdffd,0xebbdfffb,0x7d41ffff,0x8a7fe43f,0x27fdc6ff,0x9867bfe6,
    0x3f219eff,0x3ffe206f,0xf987ff72,0x209ff54f,0x7fdc6ff9,0x2e27fdc4,
    0x7cc004ff,0xffffffff,0xfff984ff,0xffffffff,0x0bff5004,0xf713fee0,
    0xff98009f,0xffffffff,0xffff984f,0x4fffffff,0xff11ffd4,0xff70bfff,
    0xffffffff,0x4fffcc19,0x3e4fffb8,0x9fff30ff,0x25ffff88,0x225ffff8,
    0xfd884fff,0x30ffee6f,0x13fea9ff,0x3ee37fcc,0x227fdc4f,0x64004ffb,
    0xcccccdff,0xffc87ffd,0xfdcccccd,0xbff5007f,0x713fee00,0xfc8009ff,
    0xdcccccdf,0xdffc87ff,0xffdccccc,0x2e1ffd47,0xb305ffff,0xff9dffff,
    0x7fff43ff,0x324ffdff,0xffffffff,0x45fffb85,0x7dc5fffb,0xffcaceff,
    0x0ffee1ff,0x3fea9ff3,0xb8dff304,0x27fdc4ff,0x3333bfee,0x3e0ccccc,
    0x3ffa01ff,0xd00fffc2,0xff5005ff,0x13fee00b,0x9999dff7,0x7fc19999,
    0x0bffa01f,0x7f403fff,0x20ffea2f,0x8805fffe,0x11bf6209,0xff17fffd,
    0x6fff6449,0x1300ffe8,0xffb804c0,0x2fffffff,0x3e61ffdc,0x209ff54f,
    0x7fdc6ff9,0x2e27fdc4,0xffffffff,0xdff51fff,0x2a6ffb80,0x7fdc06ff,
    0x05ffa806,0xfb89ff70,0xffffffff,0x0dff51ff,0x3ea6ffb8,0x37fdc06f,
    0xff307ff5,0x198000bf,0x01800110,0xd9800000,0x80ceffff,0x7fcc3ffb,
    0x2609ff54,0x27fdc6ff,0xff713fee,0xffffffff,0x00fff63f,0x3f63fff1,
    0x7ffc403f,0x02ffd401,0x7dc4ffb8,0xffffffff,0x07ffb1ff,0xfb1fff88,
    0xfff8807f,0x3207ff51,0x000005ff,0x00000000,0x004c4000,0xff30ffee,
    0x4c13fea9,0x27fdc6ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x9300a208,
    0x26a20039,0x93064400,0x001a9880,0x1000aa88,0x99900355,0x4d544001,
    0x46620aa8,0x33ca80a8,0x005d4099,0x5c400395,0xca88001b,0x2aaaaa1b,
    0x9501aaaa,0x19970059,0x0cc41997,0x75100331,0xc82e8579,0x406dbeff,
    0x6c402ffb,0x7c04ffff,0x3204ea9c,0x00dfffff,0x00ffd475,0x3dff5331,
    0x001ffd40,0x3fe77fe6,0x3fa7ff23,0x75ffc43f,0xfffe883f,0x800ff885,
    0x1effffe8,0xfffff700,0xffffff1b,0xff307fff,0x7fc401ff,0x7dc3ff8b,
    0x2ffffc9f,0xffffff90,0xbf0bfb7f,0xb809ffd9,0x3fe202ff,0x206fffff,
    0x500efffa,0xbfffdfff,0x3ea4fe88,0x3ffea01f,0x3f607fff,0xdff98003,
    0x3ff22ff9,0xfa80fffe,0x19f705ff,0x04fb85ff,0xfd7bff90,0xffff700b,
    0xffffffff,0xd07fffff,0x640df97f,0xf709f94f,0xffffffdf,0x7ffff441,
    0x0effffff,0x200220a8,0x3f200998,0x2ffd88cf,0x3fa004c0,0xf50efe46,
    0x00fd449f,0x9dffb993,0x98001540,0x645f35ff,0x203acfff,0x5fb00aaa,
    0x0ff893f6,0x7d4dff00,0x3ffe201f,0xffffc8ae,0x0999999d,0x01551544,
    0xf702a8aa,0x3ffa25ff,0x22ffff22,0x43fffda8,0x4cc40998,0x40135100,
    0x3fe20fff,0x8026a205,0x2201cfff,0xf709dffb,0xff885440,0x00353105,
    0xaffcc2a2,0x17ff20fa,0xf806a620,0x7dcbf91f,0x47ffe004,0x3f201ffc,
    0x4fff885f,0x00d4c400,0x7dc03510,0x9a7fd45f,0xffb81fff,0x217fdc7f,
    0x7ec44ffa,0xff884fff,0x6ffccccf,0x4ffffd88,0xbfffff90,0xfffffc87,
    0xfe882fac,0x85ffaeff,0x0dfffffc,0xaefffe88,0x642f9dff,0x7fe403ff,
    0x7fc0dfff,0x3fe29fd2,0x3bff2000,0x7f406ffb,0x09ff901f,0x7ffffe40,
    0xfffd700d,0x87ff709f,0x9ff94ffa,0x5ffdff50,0x3ea17fdc,0x3fffe24f,
    0x7fcc6fff,0x7fffffff,0x7fffffc4,0xffff906f,0x3ff21dff,0xf1014fff,
    0xffffffff,0xfefffa8b,0x7ffc45ff,0x15ffffff,0x5405ff90,0x5fffefff,
    0x97fd6fec,0xfe8004fb,0x7c00dfff,0xbff500ff,0xa8555555,0x5fffefff,
    0xffffffb8,0x21ffdc6f,0x5ffd4ff9,0xffcaff98,0xf50bfee4,0x467fe49f,
    0x7fc2ffd8,0x1999999e,0x6c467fe4,0xd95102ff,0x3ee27fff,0x3f2009df,
    0xbfff51ef,0x6fe46fe8,0x547bff21,0x3f205fff,0x91bfa02f,0x7fec43bf,
    0x001ff14f,0x06fffe98,0x2607ff88,0xffffffff,0x3f237f47,0x2fffea1d,
    0x2e3ffea8,0xa7fcc3ff,0x3fe21fff,0x7dcbff73,0xf27fd42f,0x2ffc41ff,
    0x9b883ff6,0xf107ffc0,0x215d44bf,0x3fea5ffa,0x42ffe804,0x7ffc5ffc,
    0x17ff401c,0xfc817ff6,0x33ffe02f,0xfb851001,0xfa806a24,0x132fffff,
    0x540fff30,0xffffffff,0x00e7ffc7,0xff30fff6,0x261ffdcf,0x21fff4ff,
    0x3fea4fe8,0xf50bfee5,0x33ffe29f,0x5c6ffccc,0xffc89dff,0x333ffe23,
    0x3e26ffcc,0x8ffee1ff,0xff804ffa,0x22ffd40f,0x3dfffffc,0x7dc0fff8,
    0x0bff205f,0xdfffffc8,0x43fe2003,0x4c0dfffc,0xfffcafff,0x7fc46fe8,
    0x3bff700f,0xfc833333,0xf83dffff,0x1fff80ff,0xff987ff7,0xfd15ffd4,
    0x2e4ffb8b,0xa7fd43ff,0xfffffff9,0x7ff447ff,0x7cc5ffff,0xffffffff,
    0x7ffffd47,0x27fd46ff,0x261ffe20,0xfffc85ff,0xff10efff,0x40bff30f,
    0x7e402ffc,0x00efffff,0x3ff14fb8,0x2ffc8bfb,0x13fffff6,0x7ec07ffe,
    0x3ff2004f,0xf10effff,0x47ff60ff,0x7fcc3ffb,0xbfb7ffb4,0x7dc7ff90,
    0xf27fd43f,0x333333df,0xdfff9103,0x33dff019,0x95033333,0xa83bfffd,
    0xfff804ff,0x882ffdc0,0x23fffeca,0x7fdc0fff,0x00bff205,0x3fffb2a2,
    0xa87fc403,0xff8ff55f,0x7ffff447,0xd03ffe81,0xa88009ff,0x3a3fffec,
    0x0fff81ff,0xff987ff7,0x1dffff74,0x2a2fff88,0x27fe43ff,0x4dc41ffb,
    0x3602f400,0x026e20ff,0x980bfe98,0xffe804ff,0x512ffec2,0x25ffa857,
    0x7fec2ffe,0x40deec05,0x7fd42ba8,0xf927dc05,0xffb1fe69,0x0ffff983,
    0x541fffa8,0xa8804fff,0x92ffd42b,0x7ff987ff,0x229ff500,0xfd80ffff,
    0x4fffcc6f,0x2e4fffb8,0xffc89dff,0x2e02fc03,0xffc89dff,0x17ee6603,
    0x8067bfe6,0xfc9cfffa,0x3ffe25ff,0xfb8ffee1,0xfffc9cff,0x437ee405,
    0x3ee1fff8,0x83fe203f,0xa8ff55fc,0xffb9beff,0xfe81efff,0xfffdceff,
    0xccccccef,0x5c3fff13,0x3ffea3ff,0x02fffc9c,0xb1ffecc4,0xd759ffff,
    0xffd03fff,0x49ffbfff,0xffffffe8,0x09aff805,0xfffffe88,0x0df3005f,
    0x80bffff1,0xfdfffffe,0x7fffd45f,0xffe86fff,0x05ffdfff,0xff506f98,
    0x80dfffff,0x4ffd44fc,0xfffe85fd,0xfffeffff,0xfffff986,0xfffffcff,
    0x3ea6ffff,0x86ffffff,0xfffffffa,0xffffa805,0xffffff52,0x205fffff,
    0xf8bfffe8,0x7ffe444f,0xffb800ce,0xfff9103f,0x7fe4019d,0xfff701ef,
    0x9fff900b,0x3b2a17fe,0xfb01dfff,0x417fe9ff,0x202ffffc,0x1dfffeca,
    0x3603fe20,0xf901efff,0x3627ffff,0xfffb100f,0x3ffffe7f,0x6546ffff,
    0x501dfffe,0x005dfffb,0x7c57fff2,0xffffd9af,0x008800ce,0x88000880,
    0x0088009b,0x20015510,0x000c0009,0x00600188,0x80015510,0x07930018,
    0x988015c4,0x02600100,0x00310000,0x5cc00098,0x4c41cc1b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x099884cc,0x22004cc4,0x87500099,
    0x9832202b,0x401aa984,0x1cb80aaa,0x95100795,0x54400137,0x54c09bcb,
    0x2035510a,0x05552aa8,0x54003332,0x799301cc,0x881e4400,0x8e6400aa,
    0x208804ca,0xccc800a8,0xb8033100,0x2ffb81ff,0xea827fd4,0x402fffff,
    0x01fa9bf9,0x42eccef4,0x7f404ffb,0xfaffa81f,0x3ff6a01f,0xc802ffff,
    0x2fffffff,0x7fdcbff2,0xf1bff304,0xbfff90df,0x80bff100,0xf7000ffc,
    0x7ffffb0b,0x7fb9ffc0,0x6df7fdc0,0x5fffb807,0x7c01ffd0,0x85ff702f,
    0xff884ffa,0x00ffffff,0x4027ffe4,0xb81effe9,0x7ff404ff,0x07fff901,
    0x7fffffdc,0xfd104fff,0xffffffff,0x7dcbff2b,0x1bff304f,0x9ff98dff,
    0x2fdc02fe,0xb004fd80,0xffffd87f,0x25dd03ff,0x5ef406ea,0x7cc05ffe,
    0xfe83fe9f,0x4035100f,0x7fd42ffb,0x361ffc84,0x0a8802ff,0xf700cc00,
    0x1ffe809f,0xf880aaa0,0xfea8aeff,0xfffc82ff,0x5fff931b,0x3fee3fb5,
    0x91bff304,0x531aa8bd,0x000aa805,0x0ffc00aa,0xff31dff3,0x0a80000f,
    0x46a60062,0x0eec82a8,0x2e015310,0x27fd42ff,0x03ffb810,0x22001a88,
    0x9ff70099,0x101ffe80,0x7fdc0153,0x46ffc80f,0xf701fff9,0x7dc3eedf,
    0x4bff304f,0x8813314f,0x81331099,0x13310998,0xf9809988,0xf917fe47,
    0x00d4405f,0x10006a20,0x90098035,0xb85bffff,0x27fd42ff,0xffffb710,
    0x7fff5c09,0x3ffaa04f,0x7fdc2fff,0x40fff404,0x02dffffc,0x3fe20551,
    0x017ff22f,0x5c9fbffd,0xbff304ff,0x3fee1fb3,0xfba7fd42,0xba7fd42f,
    0x27fd42ff,0x3ff62fdc,0x2e13fea0,0x404ffffe,0x04ffffeb,0x27ffff5c,
    0x7ff41fcc,0x2e1fffff,0x27fd43ff,0x77fffec4,0xfff704ff,0xf10dffff,
    0x1fffffff,0x3a027fdc,0x7fff41ff,0x0001ffff,0x7fec7ffb,0x1fffe402,
    0x7cc13fee,0x3ee1cfff,0xba7fd42f,0xa7fd42ff,0x7fd42ffb,0x7f43fd84,
    0x2e2ffcc7,0x6fffffff,0xffffff70,0x3ffee0df,0x7d46ffff,0xa8f7fdc4,
    0x0ffee6ff,0xffd09ff7,0x213fea39,0xea8bfffa,0x0ffe43ff,0x7fdc5ffb,
    0x70fff404,0x3fea3dff,0x7fffffc6,0x4fffffff,0xf7007ffa,0x09ff70df,
    0x7dc1bfe6,0xba7fd42f,0xa7fd42ff,0x7fd42ffb,0x7fc1ff84,0xf52ffcc7,
    0xffd517ff,0x8bfffa87,0x7d43ffea,0xffea8bff,0xffd17ee3,0x3ee1bb85,
    0x227fe43f,0x7fdc6ff8,0x4c3ffd84,0xfb8107ff,0x013fee3f,0x7ff43ffd,
    0x3fe0ddc2,0xffffffff,0x3ffe5fff,0x437fd400,0xff304ffb,0x50bfee0b,
    0x0bfee9ff,0x3fee9ff5,0x2227fd42,0x4c7ff87f,0x0fff66ff,0xffd8fff3,
    0x363ffcc3,0x3ffcc3ff,0x0fff8df7,0x89fff980,0xff84fffb,0x09fff30f,
    0xfff01fff,0xfffb7103,0x027fdc9f,0xfff87ffa,0x9bffd000,0xffd99999,
    0x200fff47,0xffa84ffb,0x20bff504,0x7fd42ffb,0xfa85ff74,0xa85ff74f,
    0x437d44ff,0x2ffcc7ff,0xfff01fff,0x7c07ffc3,0x03ffe1ff,0x37e47ffe,
    0x2200fff1,0xfdfffffe,0xffffc84f,0x7c45ffff,0x43ffb07f,0xfeffffd8,
    0x013fee4f,0x3fe21ffd,0x13ff2007,0x3f62ffe8,0x1ffec03f,0xfa827fd4,
    0x87ff705f,0x7ff74ffa,0xff74ffa8,0x644ffa87,0x4c7fe84f,0x0fff14ff,
    0x7fc47ff6,0x223ffb07,0x3ffb07ff,0x3fff1ff6,0xffe88088,0x884ff8bf,
    0xfe8dffec,0x40fff40f,0x3ffa0fff,0x5c9ff51c,0x42febcff,0x3ffe0fff,
    0x7fdc0441,0x41fff307,0x3e206ffc,0x6ff982ff,0x2e0bff70,0xa7fd43ff,
    0x7fd43ffb,0xfa87ff74,0x7417f44f,0x93fea0ff,0xfff81ffe,0x3e07ffa0,
    0x07ffa0ff,0x7ff43ffe,0xfd0fffa0,0x7cc1101f,0x836c1802,0x7fcc3ffc,
    0xf71bfe27,0x5e7fdc9f,0x1ffe64ff,0xffe87ffd,0x10fffe20,0xff88dffb,
    0x6ffd884f,0xd05fff10,0x3fea07ff,0xfaa7fe43,0xaa7fe43f,0x27fe43ff,
    0xff901ff1,0xf917fe47,0x47ff987f,0x7fcc3ffc,0x261ffe47,0x87ffe7ff,
    0xfc9cfffa,0x05f5004f,0x3ea0dd00,0xfffc9cff,0xf987ffc2,0x33fee4ff,
    0xfebdfff9,0x67ffd45f,0xfa84ffc9,0xfffcbeff,0xefffb80f,0x1ffffcac,
    0x2f7fff60,0x300fffec,0xff713fff,0x27ffe69f,0xf34fffb8,0xfff713ff,
    0xf8837d49,0x46ffaaef,0xfc9cfffa,0x7ffd42ff,0x42fffc9c,0xfc9cfffa,
    0x07ffe2ff,0xfffffffb,0x277e6001,0x35fd0009,0xfffffa83,0xfffc85ff,
    0x2e5fffff,0xffffb4ff,0xffb01dff,0x201fffff,0xfffffffc,0x3ffee01f,
    0x02ffffff,0x7fffff4c,0x7f403fff,0x4ffdffff,0x37fffffa,0x3fffa4ff,
    0x324ffdff,0x3fff204f,0xffa82fff,0x505fffff,0xbfffffff,0x3ffffea0,
    0x0fffc5ff,0x0e77ffdc,0x07fffa00,0x42fffd40,0x02efffda,0xd1bffd91,
    0x93fee1ff,0x00cefffc,0x073bffee,0x7dfffd50,0xfffb3003,0x640019df,
    0x01efffff,0x8bfffe88,0x3ffa24ff,0x224ff8bf,0xff8bfffe,0xf700bfa4,
    0x6d405fff,0x5402efff,0x402efffd,0x82efffda,0x02201fff,0x00375000,
    0x4c00ab88,0x00006000,0x01100022,0x00013100,0x400004c4,0x01100019,
    0x11000440,0x44003300,0x0004c000,0x04c0004c,0x00003330,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65400000,0x1e64c02c,0x99886620,0x08aaa200,0x000aa880,0x21326199,
    0x019914c9,0x03ca965c,0x0e644f2a,0x800732a0,0x66403cc9,0x054c4004,
    0x4cccccc0,0x886aa209,0x265402ca,0x54180599,0x01665401,0x00079910,
    0x3f200bff,0x27fee00f,0x203ffffc,0x206ecffb,0x04ffffe9,0x6fc87fcc,
    0x0bfb9fb0,0x2ffaff98,0x7fc5bf20,0x3fffe602,0x01ffb000,0x9003ffa8,
    0x205bffff,0xfffffff9,0x7e57fea4,0xf703ffff,0xf881ffcf,0x202fbcff,
    0x000ffff8,0xa8003ff9,0x3f6000ef,0x3fbfee04,0x201fffff,0x3e206ffc,
    0x03ffffff,0x04fd9fea,0x001ffff1,0xb809fff7,0x205dd15e,0x05fcafe8,
    0x5001ff88,0xfffd00df,0xf703ffff,0x49ffffff,0xfffddffa,0xea81ffff,
    0x7dc0bba6,0x200fffdb,0x806fcbfe,0x98001ff8,0x02a8000a,0xfe8bffee,
    0xfbee983f,0x19ff902f,0x7e40dff5,0xa980ffe5,0x0aaa001a,0x154c0000,
    0x1a880155,0x70054c00,0x3fea3dff,0xcccffc86,0x3ffea2cc,0xfffc9adf,
    0x43300005,0x51544018,0x01a88015,0x80035100,0x3fee01a8,0x4427fd45,
    0x901ff909,0x21ffd8fd,0xccefeccb,0x33102dff,0x00d44001,0x20013510,
    0x510009a8,0x26a20013,0x70bffa00,0x00dfd037,0xf509fff5,0x266201ff,
    0x01331000,0x40026620,0x2e000998,0x404ffffe,0x84ffffeb,0x7fd44ffb,
    0xfdffea84,0x1ffe005f,0xfffffffd,0xfea8bfff,0x2e02ffff,0x204ffffe,
    0x04ffffd8,0x13ffff62,0x4ffffd88,0x3ffff620,0x001fff04,0x5009affc,
    0x3fe20fff,0x7fff541f,0xffd502ff,0x3aa05fff,0x502fffff,0x05fffffd,
    0xffffffb8,0xffff706f,0xffb8dfff,0x3227fcc3,0xffffffff,0x1fff5c02,
    0x3bbffbb2,0x3e24efff,0x0fffffff,0xffffffb8,0xffff886f,0xff886fff,
    0x886fffff,0x6fffffff,0xffffff88,0x03ffc46f,0xffffff30,0x06ffa83d,
    0xff887ffa,0x40ffffff,0xfffffff8,0x7fffc40f,0x7c40ffff,0x0fffffff,
    0x517fff50,0xffa87ffd,0x3ffea8bf,0xff30ffee,0x4e7ffcc9,0x2605fffc,
    0x3ee03fff,0x3f213f67,0x50bff61f,0xfd517fff,0x8cffc87f,0x7e42ffd8,
    0x2ffd88cf,0x6c467fe4,0x67fe42ff,0x7c2ffd88,0x540441ff,0xffffffff,
    0xe817fea0,0x87ff22ff,0x7fe42ffd,0xf90bff61,0x217fec3f,0x3ff61ffc,
    0x987ffb02,0x1ffec7ff,0xffb9ffe6,0xfb27fcc3,0x06ffa87f,0x40bfffea,
    0x80bfe5fc,0x361ffdc0,0x3ffcc3ff,0xff883ffe,0xf107ffc5,0x20fff8bf,
    0x7ffc5ff8,0xfd17fe20,0x20ffe87f,0xfd99dffb,0x817fea5f,0x5c083ffd,
    0xfb8103ff,0xffb8103f,0x3ffb8103,0xff01fff0,0x407ffc3f,0x7ff71fff,
    0x3fe4ff98,0x07ffc41f,0x88bff620,0xff99cfe9,0xfdb8809a,0x7ffc4fff,
    0xf11fff80,0xff9999ff,0x667ffc4d,0x3e26ffcc,0xffccccff,0x333ffe26,
    0x7d46ffcc,0x4ffc9cff,0x0fff8810,0x7ec0bff5,0xffdb883f,0xfb7104ff,
    0x2e209fff,0x104ffffd,0x09ffffb7,0x3f60fff1,0x20fff11f,0x7ff71ffd,
    0xff14ff98,0x007ffa0f,0xffe97fe6,0xffffffff,0x3ffff625,0x3fe24ffe,
    0x263ffb07,0xffffffff,0x3fffe67f,0x267fffff,0xffffffff,0x3fffe67f,
    0xd87fffff,0x0fffffff,0x547ffa00,0x3ff605ff,0x3ffff623,0x7ec44ffe,
    0x44ffefff,0xfeffffd8,0x7ffec44f,0xfd04ffef,0x41fff03f,0xfff81ffe,
    0xf987ff70,0x207ffe4f,0x06660fff,0x7ff4fff1,0xffffffff,0x5473ffa5,
    0x0fff44ff,0xdff07ffc,0x83333333,0x99999eff,0x4cf7fc19,0x7fc19999,
    0x1999999e,0x39dfff70,0x3ffa0620,0x740bff50,0x33ffa2ff,0xfe89ff51,
    0x89ff51cf,0xff51cffe,0x51cffe89,0x3ff209ff,0x323ffcc3,0x3ffcc3ff,
    0x36017bd0,0x3ffd43ff,0xffa83ffa,0x267bf226,0xf1099cfe,0x44ffb8df,
    0x7fcc3ffc,0x7107fec7,0x20ffd813,0x7fec09b8,0xfb026e20,0x004dc41f,
    0x3a017fd3,0x97fe21ff,0xff105ffa,0x71bfe23f,0x37fc49ff,0xff893fee,
    0xf127fdc6,0x04ffb8df,0xf939fff5,0xfffa85ff,0x02fffc9c,0x7cc17f72,
    0xfffc9cff,0x5d6ffd42,0x2fe43fff,0x3ffe05ff,0xa89fff30,0xffc9cfff,
    0x4effdc2f,0x7dc3ffc8,0x3ffc89df,0x644effdc,0x6ffdc3ff,0x203ffc89,
    0xf305fb99,0x7ffd55df,0x7912ffd4,0xfff8dffd,0xf89fff30,0x9fff30ff,
    0xff30fff8,0x30fff89f,0x7d409fff,0x05ffffff,0xfffffff5,0x40df300b,
    0xfffffffc,0xfffffd05,0x227fd0bf,0xfff901ff,0x50bfffff,0xbfffffff,
    0xfffffd10,0xfffd10bf,0xfd10bfff,0x10bfffff,0xbffffffd,0xd81be600,
    0x0dffffff,0xffb97fea,0x7fe42fff,0x45ffffff,0xfffffffc,0x7fffe45f,
    0x7e45ffff,0x5fffffff,0x77ffed40,0x7ffed402,0x3fff202e,0x7ff5401f,
    0x36e203ff,0x5ff03fff,0xec881fea,0x0ffe8dff,0x2efffda8,0x3bfff220,
    0xfff9100c,0x3f22019d,0x9100ceff,0x4019dfff,0x201efffc,0x84fffdb8,
    0x3fb25ffa,0xfec883ef,0x20ffe8df,0xe8dffec8,0x3fb220ff,0x20ffe8df,
    0xe8dffec8,0x013000ff,0x51001300,0x09880015,0x26004400,0x0c002621,
    0x80013000,0x00440008,0x11000220,0x002aa200,0x44000110,0x30003000,
    0x30003000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00ccb800,0x80179730,0x209932cc,
    0x26015c3a,0x965c01cc,0xcb8003ca,0x9970001c,0x05995003,0x4c0054c0,
    0x41cc9acc,0x019914c9,0x03599530,0x06b2ea20,0x99880cc4,0x22035300,
    0x4006a219,0x53001bb9,0x3ff98035,0x7ffffc40,0x5cffe02f,0x537f307f,
    0x3ffb803f,0x7fd7fcc0,0x27fc4002,0x04ff8800,0x00ffff98,0x0effffd4,
    0x17f6dfb0,0x027f5ff4,0x3fffffea,0x3fee00df,0x640dffff,0x2ffc83ff,
    0x17ffff4c,0x3ff67fee,0xffd101ef,0x3a607dff,0x200dffff,0x7ff407fa,
    0x3606ffee,0x640dd52e,0xfb804fff,0xfffb803f,0x05fc8004,0x4017f200,
    0x206fcbfe,0x6ffffffb,0xdf31df30,0x1bffe201,0xffffff50,0xe881dfff,
    0xffffffff,0x21bfe60f,0x7ffcc7ff,0x3ee3ffff,0xffffffef,0xfefffe80,
    0xfffe80ff,0x54c04fff,0x74bff300,0x400001ff,0x331000a8,0x00aaa001,
    0x20001540,0x4551002a,0xfff880aa,0x982ffc8a,0x9801530a,0x3fee00aa,
    0xfff931cf,0x9dfffc89,0x744fffb8,0x13fea0ff,0xff717ffd,0x467ffdcf,
    0x7d45ffd9,0x313fee5f,0xffd119ff,0x40266201,0x1ffa3ffa,0x33102662,
    0x31026621,0x02a62013,0x26204cc4,0x13553009,0x26000d4c,0x9880a60a,
    0x8ffee00a,0x26622cc8,0x8804cc40,0xfff1009a,0x89ffee05,0xffa81fff,
    0xc8ffee0f,0x1bfe21ff,0x3fee7ffb,0x323ffc46,0x21e6c1ff,0x3fea0ffc,
    0x7ffff542,0x99ffdc2f,0x2ffb85ff,0xffba7fd4,0x6427fd42,0x5c2dffff,
    0x27fd42ff,0x3fffffa6,0x04ffffdb,0x677fffd4,0xffff906f,0x03ffb05b,
    0xfa85ff70,0x7ffec44f,0x05ffa84f,0x13fee0d4,0x7fc409b8,0xff31bfe6,
    0xf74ffb89,0x43ffd09f,0xf7001ffb,0x10ffe45f,0xffffffff,0xfc97fdc1,
    0x42ffb81f,0x5ff74ffa,0x7f44ffa8,0x21ffffff,0x7fd42ffb,0x7fffff44,
    0xffffffff,0xfffff904,0xffd03fff,0xe83fffff,0x83efd9ff,0x7fd42ffb,
    0x3ffffe24,0x1ffdc6ff,0x017fec00,0xf98ffd80,0x22ffcc3f,0x7ff75ffb,
    0x7d43ffb0,0xdfd1003f,0xfc8bff97,0xb8bff61f,0x01fff2ff,0xffa85ff7,
    0xfa85ff74,0x47bfee4f,0x3fee6ffa,0xf527fd42,0x1fffe47f,0xff985ff9,
    0x89fff12e,0xff51effb,0xffffff8d,0x17fdc6ff,0xffc93fea,0x22ffd88c,
    0x99982ffd,0x3ffd0999,0x2ffea000,0x7ff80ffc,0xffbb7fec,0xdb0fff85,
    0x80dddfff,0x05ffffe8,0x5c7ff702,0x0bffd2ff,0xffa85ff7,0xfa85ff74,
    0x70bffa4f,0x217fdc37,0x54084ffa,0x44ff87ff,0x3ff22ffd,0x0bffa0ff,
    0xffff8377,0x2e3ffdab,0x27fd42ff,0x7fc41fff,0xf307ffa5,0x3e5fffff,
    0x3e0001ff,0xf906ffef,0xdfffb7df,0xff31ffee,0x7fffff4f,0x7ffdc07f,
    0xb7102fff,0x7dc9ffff,0x8bfff32f,0x7fd42ffb,0xfa85ff74,0x003ffe4f,
    0xff50bfee,0xffd97109,0xff9999ff,0xf70fff8b,0x7fc3ffb7,0x9fff000f,
    0xff73ffc4,0xf14ffa85,0xff9999ff,0x2617fecd,0xd2ffffff,0x640005ff,
    0x3602ffff,0x6ffeffff,0xd53bfff7,0x7f5549ff,0x3ee02abf,0x2ffd98cf,
    0x3bffff62,0x8bfee4ff,0x3ee3fffa,0xba7fd43f,0xa7fd43ff,0xf7007ff8,
    0x24ffa87f,0xfeffffd8,0xffffffff,0x4fab7fc7,0x3fe25ff9,0x0bffa007,
    0x3fee1ffd,0xf9a7fd43,0xffffffff,0x5113fee7,0x325ffd55,0x806e03ff,
    0x400ffff9,0x5ff9bddb,0xffffdff7,0x1ffb01ff,0xf98ffd00,0x473ffa5f,
    0x3fee4ffa,0xb87ffd42,0xa7fd43ff,0x7fd43ffb,0x1107ffe4,0x7d43ffb8,
    0x477ff24f,0xaaaaeff9,0x4fff42aa,0xf87ffa5f,0x6c0441ff,0x87ff42ff,
    0x7fd43ffb,0x2667bfe4,0x3fe61999,0x4bff600f,0xff306ffb,0x17ffa03f,
    0x5d3fea00,0xdfffbaff,0x200dff00,0x17ff86ff,0x4ffb8dff,0x3f60bfee,
    0xc87ff51f,0x87ff54ff,0x3ffa4ffc,0xfa87ff43,0xf27fe43f,0x0fffa8ff,
    0xffb026e2,0x23ffc4df,0x7ff43ffe,0xf897fee0,0x90ffea7f,0x07fec9ff,
    0xffe81371,0x2ffe980d,0xd819fff1,0x3ffa06ff,0xfb176e02,0x98bfee3f,
    0x007ff600,0xff307ffc,0xf987ffcd,0x4bfee4ff,0x267fe9cb,0xffb89fff,
    0x13fff34f,0x7d49fff7,0x4ffc9cff,0x2e27ffe6,0x3ffa4fff,0x3bfffd11,
    0xf987ffb1,0xffea8bff,0x4e7ffd43,0x7fc44ffc,0x24ffd9cf,0xfb89fff9,
    0x37fee4ff,0x443ffc89,0xdcacfffe,0x3ea2ffff,0xfffccfff,0x0fff702f,
    0xfd9cffb8,0x00bfee6f,0x6ff7ffe4,0x7fec4dbc,0x23ffea9d,0xfffffffc,
    0x2ebfee5f,0x744fffff,0xffdfffff,0x3fffffa4,0x7fec4ffd,0x740fffff,
    0xffdfffff,0x3fbffee4,0xffffffff,0xffffd05f,0x3f60bfff,0x80ffffff,
    0xfffffffb,0x7fffff40,0x3fa24ffd,0x105fffff,0xffffffff,0xfff705ff,
    0x889fffff,0x803ffffe,0x1fffffff,0x5c00bfee,0xffffffff,0x3ffa20ff,
    0x6446ffff,0xffe8dffe,0x3ee5ff70,0x7f440bef,0x24ff8bff,0xf8bfffe8,
    0xefffb84f,0xfffe881c,0x75c4ff8b,0xfc88cfff,0xfc80ceff,0x03efffdb,
    0x0e77ffdc,0x1bfffd50,0x17fffd10,0xffc889ff,0x2e200cef,0x0bdffffd,
    0x3ffff660,0xbffff02e,0x3fff6600,0x017fdc0d,0xecbbef88,0x5c42ffff,
    0x200cfffe,0x40040001,0x00220008,0x04400220,0x08802200,0x002614c0,
    0x18800110,0x10001100,0x00220001,0x5d400c40,0x4030001a,0x02000998,
    0x01880098,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x880d5440,0x2a02660a,0x2032600c,
    0x32000aa9,0x01aa880c,0xa8805551,0x32a001bc,0x40032600,0x009bcb98,
    0x32200dcc,0x05554001,0x006f2a20,0x03599530,0x06620662,0x22001998,
    0xb802660a,0x1aa881cc,0x88bff100,0xff8efffe,0xd00ffd45,0x00bff20b,
    0xffb82fd8,0x20bff304,0xffffffd9,0x07fea00d,0xff9005e8,0x205fffff,
    0x3205fffe,0x7ff4000f,0xffffb301,0x6c401bff,0x0dffffff,0x3f207ff4,
    0x00fff01f,0xf1dfffb1,0x17fe20bf,0x8801ffdc,0x3ffe25ff,0x25ffefff,
    0xf701fffe,0x00bff203,0xffb84fb8,0x30bff304,0x7dcc37df,0x1fffe80e,
    0xe8803f70,0xffffffff,0xfea74c5f,0x8002f981,0xef981ffe,0x03bee61b,
    0x7ffffff4,0x3ffa0eff,0xf80ffe40,0xfffe807f,0x705ffeff,0x1ffdc0bf,
    0x325ff880,0xfff51eff,0x40fed6cb,0x3ff204f8,0x21be6002,0xff304ffb,
    0x200ef98b,0x6d6c0ee8,0x804f881f,0x931bfffd,0xf9105fff,0x4001b60d,
    0x77cc1ffe,0x503be200,0x3ea23dff,0x03ffa3ff,0x3b603ff9,0x977fdc06,
    0x5505fffa,0x103ffb80,0xe97fe215,0x2ffe42ff,0x07e40fec,0x2a25ff90,
    0x2e07fc01,0xbff304ff,0x776477c4,0x0dd10dee,0x03f207f6,0x203fff30,
    0x74c0fffb,0x00fd40df,0x221ffe80,0xbffb10ef,0xff91be23,0x74bff905,
    0x0ffe40ff,0x7ec01988,0x8affe43f,0x20266219,0x7f443ffb,0x25ffaeff,
    0x7fd40fff,0x7c41fd85,0x6d7fe403,0xfd01efff,0x304ffb85,0xd8fd4bff,
    0x2a6fccaf,0x441fd81f,0x5ffb803f,0x4217ff40,0x002f44fb,0x7d43ffd0,
    0xdf79fd11,0xdff70fd4,0x1ffd0303,0xfb01ffc8,0x41fff80f,0x3ff75ff9,
    0xb87ffff9,0xfff15cff,0x4bffffff,0x5ff987ff,0x036c1fd8,0x7fffffe4,
    0x4fc81fff,0xf9827fdc,0x47d9f25f,0xb07f10fd,0xb006d83f,0xffc805ff,
    0x7f919f54,0xd0000fdc,0xf93e43ff,0x3f88ed45,0x33bfffe2,0xb03ffa01,
    0x1bfa03ff,0xff10fff0,0x3ffbfeeb,0x3ee1ffff,0x3dff96ff,0xfe97ffea,
    0x42ffdc1f,0x00be61fd,0x6ccffff2,0x46fa85ff,0xff304ffb,0x33fb2f4b,
    0xd85e8df5,0x400be61f,0x7dc01ffe,0x9bfff65f,0x740004f8,0xfe97a1ff,
    0x3ea2f400,0x0cffffff,0x3fa0fff4,0x04ffd81f,0x3ea0fff4,0x45fff75f,
    0x3fee3ffe,0xc85ffd0e,0x0ffee5ff,0x1550bffd,0x91644374,0x7ff98dff,
    0x3ee0ff88,0x4bff304f,0x3ffff64f,0x5543640c,0x01531ba0,0xfa801fff,
    0x3205446f,0x8016440f,0xf93e1ffe,0xd986d806,0x0effffff,0xff88bffa,
    0x02ffec1f,0x3f61ffec,0xa8bff75f,0x8fff24ff,0x7fd40fff,0x2f7ffe65,
    0xa805ffff,0x324fe81f,0x0fff83ff,0x3fea2fe8,0x6cbff504,0x17ee7f66,
    0x47ea013a,0x745fffe8,0x7fdc01ff,0xe83f8804,0x3ffd004f,0x441fd2ec,
    0x32a02741,0x3fa5fffe,0xfffd9bff,0x003bffa1,0x326fffea,0x9ff75fff,
    0xff94ffa8,0x21ffe27f,0x7fe45ff9,0x05ffcfff,0x4ffc85e8,0x3f60bff2,
    0x2a4fc81f,0xbff505ff,0x327d87dc,0x200be23f,0x362fee5e,0x00fff61f,
    0xdb007ff9,0x2009ffb0,0xc9ee0ffe,0x7c4bf23f,0xffa804c2,0x3fffffa7,
    0xff71ffff,0x7fec001d,0x75ffffff,0x4ff987ff,0x7fc7ffdd,0x42ffdc0f,
    0xff9adfdb,0x2e07dc04,0x3ff24fcf,0xa80fff84,0x41bfe66f,0x4be65ffb,
    0xfb87fc7d,0x8607dc00,0x1bff21fe,0x402fff88,0x7e7dc2f9,0xff0bfae4,
    0xfd17cc1f,0x87dc9fdd,0xff00fff8,0x3ebffa3f,0xfd1ffbef,0x2033301f,
    0xff9cfffc,0xf987ff75,0x47ff734f,0x7fec2ffe,0x7fcc0225,0xf313e204,
    0x7fe49f37,0x883ffcc6,0x0bffe27f,0x3fd0fffa,0xfaaca895,0x8827c405,
    0x7ffc44fe,0x06ffd884,0x4dfcc6e8,0x993fee4f,0x21fe87ff,0x17ea2dc9,
    0xff509ffd,0x0187ff4f,0xff103ffa,0x3fe2180d,0xf987ff75,0xa8ffee4f,
    0xffc9cfff,0x917fee5f,0x07e407ff,0x4bbf73fe,0xeaaefffc,0x87fa04ff,
    0xecbdfffd,0x7f440fff,0x2017ea01,0x4fe880fc,0x59dfff70,0x803ffff9,
    0x6e7fc1fa,0xbfff32ef,0xd10bffd7,0x42fd403f,0xdbbefffa,0x3ffa5fff,
    0x0dffc800,0x4009ffb1,0x7ff75ff8,0x3ee4ff98,0x7ffff43f,0x3e25ffdf,
    0xffffefff,0xff07f300,0x3f2bffff,0xffffffdf,0xf98ff200,0xffffffff,
    0x39dfd103,0x300bfd95,0x39fd107f,0xffff7013,0x005fffff,0xfffff0bd,
    0x7fffecbf,0xfd100eff,0xbfd9559d,0x7ffffec0,0x3fa0efff,0xfffd000f,
    0x001bffff,0xffbaffc4,0xf727fcc3,0x9fff907f,0xfff717fe,0x6c03dfff,
    0x324f9806,0xdfffb8ff,0x222fd400,0x2effffed,0x7ffedc40,0x0db003df,
    0x0bfffff2,0x77fffecc,0x00fb800c,0x7fe427cc,0x5c400cef,0x03dffffd,
    0xeffffea8,0x000ffe84,0x9fffff91,0x2bff1000,0x7fcc3ffb,0x180ffee4,
    0x2aeaa200,0x400e4401,0x009801a8,0x01300260,0x2000cc00,0x555501c8,
    0x13100155,0x8802c800,0x0002601a,0x26000198,0x000cc401,0x0000d4c4,
    0x00000266,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40f26595,0x9aaaaaa8,0x01554401,
    0xe80b32a0,0x887fffff,0x133101aa,0x20266200,0x39970099,0x2aaaaa00,
    0xaaaaaaaa,0x5135510a,0xca8e5c15,0x84983222,0xaaa98d41,0xaaaaaaaa,
    0x7ffffd41,0x01aa882f,0x22035510,0xfffd02aa,0x0aaa8fff,0xf101aa98,
    0x2e05ff5f,0xffffffff,0x0dff301e,0x0ffffc40,0x7fffffe8,0xf503ffb8,
    0x3fea00bf,0x442ffcc5,0xff1004ff,0xffffffff,0x3ee1ffff,0x2a1ffabf,
    0x740ffaff,0x3e65d99d,0xf72fbcff,0xffffffff,0xfffa89ff,0x7e442fff,
    0x2a0099cf,0xdff304ff,0x3fffffa0,0x7427fe47,0x3fee02ff,0x3ffee04f,
    0x3fffffff,0x2006ff98,0x006fbbfe,0x503ffb80,0x3ea00bff,0x42ffcc5f,
    0x3f2004fc,0xffffffff,0xf70fffff,0xc83ff57f,0xfe983fff,0x36fb21ef,
    0x3ffee7ff,0xffffffff,0x3ff60004,0x9504ffff,0x55555dff,0x0015dff7,
    0x983ffe20,0x2aa806ff,0x4ceffdc0,0x40fffeaa,0x406e6ff9,0x802aa2a8,
    0x3fee01a8,0x00bff503,0xf9117fea,0x44005509,0xcffb8fff,0x21999999,
    0x0fa8bffb,0x0cc02aa8,0x988310cc,0x99fff999,0x13510099,0x337ff6e0,
    0xfffff02c,0xffffffff,0x026625ff,0x7fe41331,0x220bff64,0x40266219,
    0xffb04ffb,0xfb6ff98b,0x00998803,0x13ffffae,0x7d40ffee,0xbff5005f,
    0x119893e0,0x4ffb8015,0x2e007ff7,0x988d93ff,0x33101511,0x00266201,
    0xb1003ffe,0x2e09ffff,0x903313ff,0x9999dffb,0x239fffb9,0x7fd42ffb,
    0x263ffe24,0x3ff706ff,0x707ffff9,0x3fe209ff,0x7f77fcc7,0x1ffdc00e,
    0xffffffb8,0x81ffdc6f,0xf5005ffa,0x20fd88bf,0x3ffe9ffc,0x7dc3ffe0,
    0x7ff7003f,0x9ffc83f7,0x7fdc3ffe,0x007ff703,0x7c401fff,0x86ffffff,
    0xfffbbffb,0x827fd42f,0x7fdc6ff9,0x3227fd42,0x02ffdbff,0xffffdff7,
    0x4ffb83ff,0xf983ffe0,0xb800efff,0xfffa83ff,0x23ffea8b,0xff503ffb,
    0x17fea00b,0xeffc83d1,0xff700fff,0x556ffdcb,0x3ee1aaaa,0xffc808bf,
    0x7dc0fffe,0x07ff703f,0x6401fff0,0xffd88cff,0x7ffffdc2,0x3ea1ffff,
    0xbaaaaaef,0x17fdc6ff,0xff113fea,0x7dc0dffd,0x8fffa2ff,0x4cceffdc,
    0xff30fff4,0x7fdc009f,0x4c3ffd83,0x2ffee7ff,0xbff55ff8,0x7fd47fe8,
    0x9fff9005,0x0fff4075,0xfffffff7,0x1ffdc9ff,0x759fff90,0x2e07ff70,
    0xfff803ff,0x883ffe00,0x7ffdc5ff,0x547ffb0b,0xffffffff,0x7fdc6fff,
    0xeaa7fd42,0xeffffffe,0x22ffdc1e,0x3ffe4ffa,0x7ec7ffff,0x01bfee2f,
    0xff07ff70,0x23fff01f,0x5ff8bffb,0x7fe8bff5,0xc802ffd4,0xffa805ff,
    0x7ffffdc5,0x3ee4ffff,0x17ff203f,0x2e07ff70,0xeee983ff,0x22eeefff,
    0xccccfff8,0x37fdc6ff,0xffa93fea,0xffffffff,0x217fdc6f,0xfff74ffa,
    0x5fffffff,0x7d44ffb8,0x37fee64f,0x8fff4199,0x4006fffc,0x7fc43ffb,
    0x2e3ffb07,0x55ff8bff,0x47fe8bff,0xf9005ffa,0x9ffd007f,0x39ffb555,
    0x5c133333,0x3ff203ff,0x81ffdc03,0xff983ffb,0x2fffffff,0x3fffffe6,
    0x7fdc7fff,0xf527fd45,0x533333bf,0x3ffb8dff,0xcc9a7fd4,0xcccdffec,
    0x261ffdc1,0x27fdc4ff,0x3fa1fff0,0x7dc006ff,0x81ffe83f,0x7ff70fff,
    0x4017fea0,0xf9005ffa,0xfff9805f,0x3fffffff,0x407ff700,0x7dc02ffc,
    0x07ff703f,0x27ffe666,0x4f7fc099,0x5c199999,0x27fcc3ff,0x3e609ff5,
    0x21ffdc6f,0x33314ffa,0x13337ff9,0x7cc3ffb8,0x827fdc4f,0x3eb67ff9,
    0x7fdc006f,0x4c3ffc83,0x0ffee7ff,0xa802ffd4,0xff9005ff,0xffffd805,
    0x03ffffff,0x6407ff70,0x7fdc02ff,0x007ff703,0x7ec01fff,0x7026e20f,
    0x4ff987ff,0x7cc13fea,0x21ffd46f,0xfff74ffc,0x5fffffff,0x7cc3ffb8,
    0x427fdc4f,0x7cc3ffe8,0x7fdc006f,0x9cfffa83,0x3ee2fffc,0x0bff503f,
    0x4017fea0,0x3e602ffc,0xdaaaaaff,0xff7003ff,0x017fe407,0x7dc0ffee,
    0x0fff803f,0x2277fee0,0x7fdc3ffc,0xf527fcc3,0x1bfe609f,0xf713fff3,
    0x3ffee9ff,0x2fffffff,0x3e61ffdc,0x677fdc4f,0x86fffecc,0xccccfff9,
    0x7fdc2ccc,0xfffff503,0x3ffb8bff,0x999dff50,0x3ea39999,0xccccccef,
    0x405ff91c,0xff904ffd,0x9999999d,0xc80ffee3,0x7fdc02ff,0x007ff703,
    0x74401fff,0x85ffffff,0x7fcc3ffb,0x4c13fea4,0xfffe86ff,0x314ffdff,
    0x337ff933,0x43ffb813,0x7fdc4ff9,0xefffffff,0xfffff981,0x5c4fffff,
    0x3f6a03ff,0xffb82eff,0xfffff503,0x2a7fffff,0xffffffff,0x05ff93ff,
    0x6403ffe2,0xffffffff,0x07ff73ff,0x2e017fe4,0x7ff703ff,0x801fff00,
    0x0cefffc8,0x7cc3ffb8,0x413fea4f,0xfe886ff9,0x04ff8bff,0xfb805ff9,
    0x227fcc3f,0xeffffffb,0x3ffe603d,0x4fffffff,0x9801ffdc,0x40ffee00,
    0xfffffffa,0xfff53fff,0x7fffffff,0x7e40bff2,0x3fff205f,0x3fffffff,
    0x7e407ff7,0x1ffdc02f,0xf803ffb8,0x022000ff,0xf987ff70,0x413fea4f,
    0x02206ff9,0x005ff900,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2004cc88,0x2ffffffa,
    0x55555510,0x664c0033,0x15104403,0x440b3220,0x320001aa,0x2a05971c,
    0x29930acc,0x33260cc8,0x510665c3,0x264c0035,0x06aa2599,0x20155544,
    0x555501a9,0x15555555,0x55006aa6,0xaaa88015,0x2009aaaa,0x7ec002aa,
    0xff5003ff,0x2e05ffff,0xffffffff,0x0efd801e,0x36fbfee0,0x413fe607,
    0x20004ffa,0x80ffbefa,0x361ffffd,0x7ec5fdcf,0x727fcc0e,0x7dc009ff,
    0x7fd4ffe7,0x05fffb05,0x3dffffb3,0xffffffe8,0xff72ffff,0x27ffd409,
    0x3ffffea0,0xf80effff,0xdf7000ff,0x00003ff3,0x3ffffee0,0x203fffff,
    0x6f400ff9,0x2604ffec,0x9ff504ff,0xfffd8000,0x5dfff982,0x307fffc4,
    0x3fe601ff,0x4009ff70,0x54bb66ea,0xfffd85ff,0xfffff982,0x3ffa0fff,
    0xffffffff,0x6c09ff72,0x7d407fff,0xffffffff,0x07ffc0ef,0x3530aa80,
    0x004cc400,0x2a677fee,0x300fffea,0x44150035,0x30099801,0x880007f9,
    0x9ff702aa,0x260d54c0,0xb854c01a,0xaaaaaeff,0xbff50000,0xb02fffc8,
    0xffb319ff,0x4ccccc49,0xf70efff9,0x3ffe209f,0x3fea02ff,0xfea9999d,
    0x407ffc2f,0x80998198,0x7ff54099,0xff702fff,0x317ff609,0x33333333,
    0x13310cc4,0x33333330,0x98af9833,0x26026621,0x19999999,0x9880bfee,
    0x804cc409,0xfff70998,0x05ffffff,0xff502662,0x017ffe4b,0x7fcc1fff,
    0x1fffd805,0x7dc13fee,0x2a06ffdf,0x9ff704ff,0xfd80fff8,0x51ffe60f,
    0x7ffc47ff,0xb80fffff,0xfff104ff,0x7fffffcc,0x27fee7ff,0x263ffffc,
    0xffffffff,0x7fddba67,0x23ffffc9,0xfffffff9,0x80bfee7f,0x7fdc3ffb,
    0x2e7ff703,0xffffffff,0x3ffb83ff,0xffbaffd4,0x214cc03f,0x7dc05ff9,
    0x27fdc2ff,0xffe8ffe8,0x209ff501,0x3ffc2ffb,0x3ee2ffa8,0x83ff21ff,
    0x3ff61ffc,0x204ffb82,0xfff30fff,0x5cffffff,0xfffffeff,0xfffff31f,
    0x86ccffff,0xffffeffb,0xffff31ff,0x7dcfffff,0x0ffee02f,0x3ee07ff7,
    0x33bff73f,0x70dffb33,0xdffa87ff,0x0004fffa,0xfa80fff2,0x4ffb84ff,
    0xff75ff98,0x277fea09,0x0effba99,0xff8837f4,0xf8ffff65,0xffb8106f,
    0x677fee43,0x88fff44c,0xfffa999a,0xe8bffee3,0x333513ff,0x5c07fff5,
    0x3ffa2fff,0xf5333513,0x17fdc7ff,0xfb87ff70,0x27ff703f,0xff884ffb,
    0x21ffdc0f,0xffffeffa,0xfff30006,0x17ffe201,0x7e427fdc,0x20fff12f,
    0xfffffffa,0x6fd80eff,0xfff9ff60,0x207ff35f,0x4ffffdb8,0x7ffffffc,
    0x8817fec7,0x7fdc4fff,0x8827fd45,0x7dc04fff,0x827fdc5f,0x7dc4fff8,
    0x0ffee02f,0x3ee07ff7,0x209ff73f,0x7fdc1fff,0x7ffffd43,0x4c004fff,
    0xfd103fff,0x3fee01df,0xd07ffc44,0xfff505ff,0x7fffffff,0x7dc0bf90,
    0x7fcff99f,0xfd883ff7,0x44ffefff,0x199dffb9,0x7440fff4,0x4ffb85ff,
    0x74427fd4,0xffb805ff,0x4427fd44,0xffb85ffe,0x70ffee02,0x3fee07ff,
    0xf309ff73,0x3ffb81ff,0x55ffffd4,0xf3001fff,0x7fec09ff,0x13fee01f,
    0xffb8bff7,0x99dffa86,0x45ffebaa,0x3fe204fc,0x9ff9ffbc,0xcffe86fe,
    0xf709ff51,0x07ffc09f,0xfb837ff4,0x427fcc3f,0xf7006ffe,0x84ff987f,
    0xff706ffe,0x21ffdc05,0xff703ffb,0x333bfee7,0xb86fffcc,0x7ffd43ff,
    0x201bff63,0x2e04fff9,0x7dc02fff,0x7ffff44f,0x41ffffff,0xff104ffa,
    0x201fdc1f,0xfd5fdefe,0xff889ff9,0x5c27fdc6,0xfff304ff,0x201dffb0,
    0x7fcc3ffb,0x0077fec4,0x7cc3ffb8,0x077fec4f,0x2e02ffb8,0x1ffdc3ff,
    0xff73ffb8,0xffffffff,0xa87ff701,0x7ffcc5ff,0x13ffe603,0x803fffa8,
    0x3fe64ffb,0xffffffff,0x027fd44f,0x1fd45ffd,0x4bfffee0,0xf81ffffc,
    0x9fff30ff,0xd109ff70,0xfffc87ff,0x30ffee00,0x7ffe49ff,0x0ffee000,
    0x7fe49ff3,0x0bfee00f,0x7dc3ffb8,0x27ff703f,0xfffffffb,0x7ff700ce,
    0xfc85ffa8,0xfff881ff,0x17ffe604,0xf927fdc0,0xb99999bf,0x4ffa8fff,
    0x003fff10,0x21ffff30,0xf907fffa,0xbfffffff,0x999dff70,0xfa8dfffd,
    0xcccccdff,0xf987ff70,0x9bfff54f,0x2e019999,0xa7fcc3ff,0xcccdfffa,
    0x05ff70cc,0x3ee1ffdc,0x27ff703f,0x0009dffb,0xff50ffee,0x0dfff10b,
    0xddddfff9,0x33fff6bd,0x2ccccccc,0x7ffc9ff7,0xa8bffa01,0xccccceff,
    0x3ffc6fff,0xf137ff40,0x3b2209ff,0x0ffe8dff,0x7fffffdc,0x7e41efff,
    0xffffffff,0xf987ff71,0xfffff94f,0x2e03ffff,0xa7fcc3ff,0xfffffffc,
    0x05ff71ff,0x3ee1ffdc,0x27ff703f,0xb8004ffb,0x2ffd43ff,0x7c3fffb8,
    0xffffffff,0xffffffb6,0x2ebfffff,0x0dff54ff,0x3ea6ffb8,0xffffffff,
    0x03ffc1ff,0x3fa27fe4,0x2001802f,0xeffffffb,0xffff903d,0x2e3fffff,
    0xa7fcc3ff,0xfffffffc,0x7ff701ff,0xff94ff98,0x3fffffff,0xfb80bfee,
    0x81ffdc3f,0x9ff73ffb,0x87ff7000,0x3fa05ffa,0xffff30ff,0x36dfffff,
    0xffffffff,0x9ff75fff,0xf100fff6,0x3ffea3ff,0x1cefffff,0x00007ff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc40000,0x55551000,0x54403355,0xaaaaaaaa,0x4c6aa22a,
    0xaa9800aa,0xaaa880aa,0x2235510a,0xaa8801aa,0x2aaaaaaa,0x5402aaa2,
    0x06aa21aa,0x26662aa8,0x11999999,0x35555555,0x2aaaaa20,0x2a601aaa,
    0xaaaaaaaa,0x1aa801aa,0x2aaa1998,0xa8555400,0x2aa980aa,0x26215550,
    0x4017fea1,0xfffffffb,0xfffb81ef,0x7fffffff,0x7fe4ffee,0xffffb802,
    0x2ffffb82,0x3fee7ff7,0xffffa803,0x20ffffff,0xff984ffe,0x03ffea1f,
    0x7fc57fe2,0x7fffffff,0xfffffff7,0xfffa83df,0x1fffffff,0xffffffb8,
    0x404fffff,0x7ff83ffc,0xf9813ff6,0x20fff67f,0xff81fffe,0xffa9ffa7,
    0xffff7005,0x87ffffff,0xfffffffb,0x3fee7fff,0x7005ff93,0xfb09ffff,
    0x3fee5fff,0x5007ff73,0xffffffff,0x7ffcc1ff,0x2a27ff41,0xff885fff,
    0xffffff15,0x3feeffff,0xffffffff,0x3ffffea2,0x42ffffff,0xfffffffb,
    0x2604ffff,0x7ff83fff,0xfc81ffea,0x113fee4f,0xf987ffff,0xfa9ffa6f,
    0xbff7005f,0xfffd7533,0x4ceffdc1,0x2e199999,0x05ff93ff,0x0dffff70,
    0x225fffff,0x07ff71aa,0x333bff50,0xff903333,0x2077fdcd,0x442ffffa,
    0x333325ff,0xf74ffecc,0xfd7333bf,0x4effd4bf,0x5ffea999,0x7fccccc4,
    0x2009999f,0xed83fffe,0xe817ffc5,0x1bfe61ff,0xb8bffff5,0xa9bb64ff,
    0xff7005ff,0xb97ff609,0x3ee004ff,0x985ff93f,0xfdff7099,0x7f7fcc3f,
    0x2e13312f,0x503313ff,0xf8800bff,0x2fff8bff,0x0effffa8,0x3a017fe2,
    0x213fee6f,0xff50fff8,0x01ffe609,0x64003ffe,0x2003ffff,0xff985ffc,
    0x320fff86,0x7ec7ffff,0x2ffd402f,0x104ffb80,0x27fdcfff,0x327ff700,
    0x9bff62ff,0x23ffcffb,0x72ffcffb,0x2ffee7ff,0x2a2ffffb,0xfa8005ff,
    0x505ffeff,0x449fffff,0x7fdc05ff,0x7c13fee1,0x09ff51ff,0x3e01ffe2,
    0xff9800ff,0x26003ffd,0x4ffc87ff,0x3fa1ffd8,0x3fa1ffce,0x2ffd400f,
    0x204ffb80,0xdff70fff,0x15555555,0xffc9ffdc,0x5c1dff92,0x3a5ffaff,
    0xf72ffbef,0x3fffee7f,0xf50fffff,0x333333bf,0xfffffd80,0xffbff500,
    0x817fe23f,0x7fdc3ff8,0x50fff984,0x3ff209ff,0x00fff804,0x7fceff44,
    0x17ff4003,0x3ee07ffa,0xf39ff13f,0x01bfe27f,0x5c017fea,0x3ffa04ff,
    0xffffff71,0x7dc5ffff,0xf75ff93f,0xaffb81df,0x79ff17fd,0x4ffee5ff,
    0x3f62fffb,0xfffff53f,0x4401ffff,0x2a02ffff,0x16ffcbff,0x7fe40bff,
    0x5577fdc0,0x2a6fffcb,0xffeeefff,0xff801fff,0x47fe400f,0x64003ff9,
    0x1bfe65ff,0xffaaffd4,0x3feabff2,0x05ffa804,0x7409ff70,0xffff72ff,
    0x45ffffff,0xbff93ffb,0xff701fff,0xff53ff75,0x3ee5ff75,0xa8bff73f,
    0xffff54ff,0x401fffff,0x201ffff8,0x5ffd3ffa,0x3e20bff1,0xffffb84f,
    0x21ffffff,0xfffffffa,0xff000cff,0x97fd401f,0x4c003ff9,0x7ff90fff,
    0x7edffe20,0x3f2ffb0f,0x5ffa802f,0x409ff700,0xbff71ffe,0x13333333,
    0xffc9ffdc,0xfb80ffff,0xfcbff9af,0xf72ffb8f,0x513fee7f,0x3bfea9ff,
    0x402aaaaa,0x00effffd,0x3fea7ff5,0xf905ff8f,0xffff703f,0xa83bffff,
    0xfffdceff,0x07ffc003,0x3e65ff88,0xd07ff83f,0x03ffa5ff,0x6ff8ffe8,
    0x3ff67fee,0xff53ff40,0x13fee00b,0xff70fff8,0x9ffdc009,0x4ffffffc,
    0xbff2ffb8,0x4bfeedfd,0x7ff73ffb,0xff54ff98,0xfff5000b,0x3ea09fff,
    0x3f7ff63f,0x20dfd05f,0x0199dffb,0xff327fd4,0x7ffc009f,0x99bff700,
    0x7c39dffb,0x3bff707f,0xffc80bff,0x3fe64ffc,0x7fe86ffb,0x5c017fea,
    0xfff304ff,0x70027fdc,0x3fff27ff,0x7dc0ffea,0x9ffffb2f,0x7fdcbfee,
    0xf987ff73,0x00bff54f,0xfacfff88,0x3ffa81ff,0x17ffffe2,0x7dc0ffe2,
    0x3fea004f,0x01fffd44,0xf900fff8,0xffffffff,0x883ffc7f,0x02ffcfff,
    0x17ffffd4,0x213ffffe,0x17fea7fe,0x4427fdc0,0x3fee3ffe,0x4ffee004,
    0xbff53ffc,0xff72ffb8,0x4bfee5ff,0x7ff73ffb,0xff54ff98,0xeffd800b,
    0xa81dffb0,0x7ffdc3ff,0x02ff985f,0x54009ff7,0xfffc84ff,0x00fff800,
    0xfffffff9,0x06d87fff,0x03fffff6,0x0fffff10,0x005ffffb,0x3333bfea,
    0xff71cccc,0xfffb999d,0xcceffb8d,0x70cccccc,0x8bff27ff,0x3fee1ffe,
    0x21ffff32,0x7ff72ffb,0xff30ffee,0x8017fea9,0x3e22fffa,0x1ffd44ff,
    0x5c2ffff4,0x9ff700ff,0x427fd400,0xf806ffe8,0x7cc000ff,0x203f983f,
    0x005ffffa,0xf70bfffd,0xff501fff,0x3ffffea7,0xf73fffff,0xffffffff,
    0xffffb83d,0x1fffffff,0x3ff27ff7,0xfb9bfe62,0xb9bffe2f,0x27ff72ff,
    0x7fcc3ffb,0x200bff54,0xfa85fff8,0x0ffea1ff,0x3617ffe6,0x13fee07f,
    0x504ffa80,0xff807fff,0x7fcc000f,0x7c405f83,0xf9002fff,0xfff307ff,
    0x54ffea0f,0xffffffff,0xffff73ff,0x2e07bdff,0xffffffff,0x7ff71fff,
    0xffb0bff2,0xfd8bfee7,0x5cbfee4f,0x87ff73ff,0xbff54ff9,0x03fff200,
    0xff537fec,0x217ff207,0x3fee06fe,0x13fea004,0x200fffc8,0x4c000fff,
    0xb00183ff,0x7dc00fff,0xbfff01ff,0x000ffea0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x1aba880a,0x22035510,0x06aaa2aa,0x980aaa88,0xfff51bcb,0x2a205fff,
    0x5555100a,0x01555555,0x54c40d44,0x01331000,0x053054c0,0x5304d54c,
    0x04cc4003,0x4c409988,0x10099889,0x54400135,0x44019881,0x3531001a,
    0x32026620,0x3ff623ff,0x7d41efff,0x4dff304f,0xfb00fffb,0xffff50bf,
    0x3ffffea9,0x03ff702f,0xeb82800a,0xff73ffff,0x3aa03dff,0x202fffff,
    0xfceffffa,0xffffe986,0x4ffffdbf,0x702ffc80,0xcffa85ff,0x7ec44ffa,
    0x75c04fff,0x3f24ffff,0xfffeb81f,0x3fff204f,0x3fee0dff,0xd1fffd43,
    0xffffdfff,0x9827fd43,0x2fff46ff,0x7407ffd4,0x0002deff,0x01407fee,
    0xffffb850,0xefffffff,0x7fc40fff,0x80ffffff,0xfffffffc,0xffffe81f,
    0xffffffff,0x17fe404f,0x7d42ffb8,0x224ffacf,0x6fffffff,0xffffff70,
    0x707ff2df,0xdfffffff,0xffdfff50,0x89ffdcbf,0xf73ffffc,0x37fdc1df,
    0x3e609ff5,0x0fffcc6f,0x7fc0fffa,0x00266207,0x00a03ff7,0x33ffea28,
    0x0effffb8,0xffc8bff5,0xf30bff61,0x3ffe25df,0xf91ffd44,0x17fe47ff,
    0x2e03dd70,0x67fd42ff,0x3ff23fea,0x42ffd88c,0xea8bfffa,0x21febcff,
    0xea8bfffa,0x237f43ff,0x7ff71dfc,0x7ffffff1,0x3fa07ff6,0x4c13fea7,
    0x6ffc86ff,0x2621bfee,0xfb819eff,0x65554c3f,0x50aaabff,0x7ff91400,
    0x6c2fffa8,0x7dc080ff,0x917fec3f,0x8101ffff,0x4ff87ffa,0x17fdc000,
    0x17c53fea,0x7fc41fff,0x261ffec5,0x6c1f77ff,0x3ffcc3ff,0xb8073ffe,
    0xbbff9bff,0x7c0623ff,0x413fea7f,0xffd06ff9,0xb03fff17,0x70ffffff,
    0xfffb87ff,0x1fffffff,0xffd14005,0xccfff883,0x881ffecc,0x44ffffdb,
    0xb7f70fff,0xd97103ff,0x9999ffff,0x7ffdcbff,0x1fffffff,0xffa85ff7,
    0xff10fd8c,0xdff9999f,0xff80fff8,0x7ffc5ebf,0x321fff80,0x43dfffff,
    0x70c9bffb,0xffb007ff,0x5577fd49,0x06ffbaaa,0x9ffbfff5,0x3fffff60,
    0x5c3ffb87,0xffffffff,0x140051ff,0x3ffe0fff,0x2fffffff,0x3bffff62,
    0xab7fc4ff,0x445ff94f,0xffeffffd,0x7fffffff,0x3fffffee,0xff71ffff,
    0xdfeffa87,0x3ffffe61,0x3e27ffff,0xbfffb07f,0xd83ffc41,0x7ffe41ff,
    0xff70efff,0x807ff707,0x3ea0effd,0xffffffff,0x3ff606ff,0xf3100fff,
    0xff7033df,0xfb999887,0x00a199af,0x107ffa28,0x55557fff,0x67ff4155,
    0xfe89ff51,0x3ffa5f9f,0x4c77ff21,0xaaaaaeff,0x3bbbaa2a,0x71eeeeee,
    0xdffa87ff,0x333dff00,0xffe83333,0xd02fff81,0x1fff03ff,0xfffd9510,
    0x2e0ffee7,0x3ff603ff,0x7fffd40e,0x6fffffff,0x0bfffe20,0x5c0dff10,
    0x7fdc03ff,0xb1400501,0xfffb89ff,0xff10d5c3,0x6c4ffb8d,0x3fe26fff,
    0x3ea3ffc7,0x026e20ff,0x87ff5000,0x3f604ffc,0x9026e20f,0x5ff987ff,
    0xf30fff20,0x215d44ff,0x7ff75ffa,0x2a07ff70,0xbff506ff,0xff533333,
    0x06ffb80d,0x2e06ff88,0x7fdc03ff,0x31400501,0xff95bfff,0xff515dff,
    0xf30fff8b,0xfff989ff,0x43ffea8b,0xffd11ffe,0x7ffb13bf,0x980f75c0,
    0xffb89fff,0x37fee04f,0x543ffc89,0xffc9cfff,0x3ffea01f,0x22fffc9c,
    0x3ee1fff8,0x707ff73f,0x3ff207ff,0x209ff500,0x7d406ff9,0x6ff8805f,
    0x700ffee0,0x800a03ff,0x7ffffdc2,0xfffffeff,0x7ffe40ff,0xe85fffff,
    0x5fffffff,0xffefffb8,0xffffffff,0x017fe405,0xfbfffffd,0x7ff4409f,
    0xf505ffff,0x0bffffff,0xffffff50,0xffff50bf,0x7fdcdfff,0xb03ffb83,
    0x27fd40ff,0x5406ff98,0xff8805ff,0x00ffee06,0x00140331,0xdfffd305,
    0x33fffaa5,0xdffec881,0x3f20ffe8,0x03efffdb,0x233fffae,0x0cefffc8,
    0x1017fe40,0xff19fffd,0xfffc8809,0x3f6a00ce,0x2a002eff,0x202efffd,
    0x1dfffeca,0x3ee0ffee,0x3ea0003f,0x0dff304f,0x8805ffa8,0x3fee06ff,
    0x77777543,0x051eeeee,0x40260140,0x40060018,0x10004c29,0x00004401,
    0x00001100,0x01300011,0x40009800,0xff700018,0x403ff607,0xff304ffa,
    0x05ffa80d,0x2e06ff88,0x7ffdc3ff,0x1fffffff,0x55555555,0x00005555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,0x201ffb03,
    0xff304ffa,0x05ffa80d,0x2e06ff88,0x7ffdc3ff,0x1fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1ffdc000,0xf500ffd8,
    0x1bfe609f,0x100bff50,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54c40000,0x88133100,
    0x00006099,0x01331080,0x40001333,0x202a2198,0x10198819,0x4cccc133,
    0x26219999,0x0cc41511,0x19881331,0x09980998,0x99981331,0x06a63550,
    0x8813fe20,0x8d4c0701,0x266661a9,0x40999999,0x037301b9,0x7fe40654,
    0x7fdc2dff,0xbf27fd42,0x32200005,0x43fff33f,0x8ad46ffb,0x7e43d119,
    0x55fffe8f,0x7e47ffff,0x32ffc83f,0xffffffff,0x7f4ffe4f,0xf93ff73f,
    0x7fec7fff,0xf51ffe60,0xc8bfee7f,0x1df50eff,0xf8801ff5,0x85ff104f,
    0x8ff984fd,0xfff11ff8,0x9fffffff,0x3a2ffff4,0x7d40ffff,0x7ffff40f,
    0x3fee1fff,0xff27fd42,0x300017df,0x7dc7fffb,0x43fff16f,0xffffeff9,
    0xdff90ffe,0xffdfffff,0x3e63ffff,0x267ff86f,0xffffffff,0x3ffbff27,
    0xffdff70f,0x3ea3ffff,0x87ffee2f,0x5ff70ffc,0xfd03bff2,0xf1017f69,
    0x3ffee09f,0xe81dffb2,0x7c4bfd4f,0xffffffff,0x3fa9d34f,0x8feebf51,
    0x3ee0fffe,0x4dff51ef,0x7fd42ffb,0x3fffff64,0xffea800c,0x7ff42fff,
    0xfd83ffec,0x4fffffff,0x7d47fff2,0xffd88eff,0xfa83ffa3,0x2666a24f,
    0x3f23fffa,0x3ee3acff,0x4fffa2ff,0x3ff65ff8,0xfb9bfe3f,0x80effbaf,
    0x3ff9aff9,0xc813fe20,0x0effdfff,0x7fdc7fe4,0x55555540,0x6441aaaa,
    0x45fb086f,0x3fa0fdad,0xf70ddc2f,0x44ffa85f,0xdffffeb8,0x7fffdc41,
    0xfff102df,0x3fe60bff,0x20ffebae,0x7ffc3ffc,0xfa93fea1,0x807ff63f,
    0x7e44fff8,0x8bff705f,0x9ff64ffa,0xff35ffff,0x7feffdc7,0x23ff600f,
    0xfff10ffc,0x9fffffff,0x0effffc8,0x7fcdffd4,0x3a600004,0x06fd80df,
    0x07ffc1fb,0x2a17fdc0,0x3f6604ff,0x3ffe3fff,0xfa800bef,0xff900fff,
    0xf91ffcc1,0x20fff85f,0xb7fc5ff9,0x3a206ff8,0x3ffc85ff,0xfa89ff70,
    0x267fee4f,0xff77fcff,0x7ffffdc3,0x33fe600f,0xfff15ff9,0x9fffffff,
    0xd07fffd0,0x01ffb1ff,0x99999999,0x9f708599,0xfb00dfd8,0x401ffe21,
    0x7fd43ffb,0x3fffa804,0x80037ffe,0x3206fff8,0x323ff87f,0x23ffc1ff,
    0x7fe45ff9,0x3a03ffb9,0x5ff906ff,0xf30ffee0,0x5e7fc49f,0xfe9ff9ff,
    0x7ffffdc6,0x23ff604f,0xddd11ffc,0x7dddfffd,0x2fffffd8,0x7fc5ffcc,
    0x7ffffc44,0xf54fffff,0x7f47f919,0x0fd8099d,0x81107ffe,0x7fd43ffb,
    0xfffd7104,0x7ffff45f,0xfffd802d,0x43ff704f,0x3ff22ffa,0x3e63ffc1,
    0x6e7fcc5f,0xdffb00ff,0x40bff201,0x7fcc3ffb,0xafef7f44,0x5c4ffcfe,
    0x1ffeafff,0xff8aff98,0x813fe203,0xfffceffd,0x7dc7fe41,0x3fffe21f,
    0x24ffffff,0x3ea6fffd,0xfd84ffff,0xfd0fffa0,0x90ffea1f,0xffd989ff,
    0xda80cfff,0x80beffff,0x1fffeffa,0xfddfff98,0x07ff20ff,0x5ff98fff,
    0x04ffffe8,0x6401fff9,0x7ff702ff,0x7dc4ff98,0xfff92fff,0x53ffb83f,
    0x29fd0bff,0x7fc405fd,0x21dff904,0x7f40fffc,0x0000bfb4,0x555302a2,
    0x41550355,0xfc9cfffa,0x27ffe64f,0x3a4fffb8,0x002effff,0x7fffff93,
    0x7dcfffc4,0x3ffa20ef,0x25ffffff,0x3ffc1ffc,0x3ea17fe6,0xffa81fff,
    0x0cccccdf,0x3ee05ff9,0x227fcc3f,0xf50ffff9,0x5ff70fff,0xdf517ff4,
    0x8801ff51,0x1dd104ff,0xff983fc8,0x0001ff89,0x6c000000,0x0fffffff,
    0x6ffffff4,0x37ffe4ff,0xff710001,0xd27fec7f,0x67f449ff,0x0efddffd,
    0x7ff83ff9,0xff82ffcc,0xffff906f,0x323fffff,0x7ff702ff,0xfe84ff98,
    0x13ffe26f,0xff98bfee,0x04c42626,0x101f7440,0x09880601,0x00000131,
    0xff700000,0xfd1039df,0x49ff17ff,0x200000cf,0x8dff73ea,0x0e22fff9,
    0x07ff20c8,0x5ff98fff,0x3207ff90,0xffffffff,0x205ff91f,0x7fcc3ffb,
    0x744ffc84,0x2ffb82ff,0x0001ffec,0x00000000,0x00000000,0x10008800,
    0x00001001,0x00000040,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c400000,0x202cc802,0x9982bba8,
    0x99999999,0x2e00ba80,0x550aaa84,0x3ee2aa85,0x80ddd42f,0x2033b661,
    0x99911ccb,0x98111110,0x99999999,0x4cb32199,0x44ffea4c,0xcccccccc,
    0x00004ccc,0x00000000,0x00000000,0x3ffffc80,0x6c0fff50,0x3e25ffff,
    0xffffffff,0x3fffa24f,0xffd0db03,0xfff1ffe5,0x6c4bfee1,0xaacfffff,
    0x1bee666d,0xffb89ff1,0x3ffffe61,0xffffff13,0x7cffffff,0x7d4ff53f,
    0xfffff13f,0x0fffffff,0x00000000,0x00000000,0xff880000,0xffd06fba,
    0x31b9107f,0x7fffc4ff,0x24ffffff,0x30fd9afc,0x2793bb3b,0x8fff2ffe,
    0x5ff70fff,0x3fffffe6,0xf986ffff,0xfc82fdc6,0x3ffffe65,0xbbbbbb13,
    0x74bbbbbb,0x7d4dd53e,0x2666663f,0x01999999,0x00000000,0x00000000,
    0x2fdc0000,0xfffa83fd,0x3f6e606f,0x2aaaaa0f,0x3e4ffaaa,0x7fdcfe65,
    0xffb5ffff,0xfff1ffe5,0xae98fcc1,0xfffffca8,0x85dfff92,0xd31d403a,
    0x0005dddd,0x00000000,0x00000000,0x00000000,0x7e400000,0xdfb0ff63,
    0xfe885ff5,0x2000ffdf,0xfb9f64ff,0x873fee21,0x8dfd0ffc,0x0136c7fd,
    0x551055cc,0x00000001,0x00000000,0x00000000,0x00000000,0x80000000,
    0x983fe5fa,0xb8dff3ff,0x001ff35f,0xdff527fc,0xfeef88df,0x5fc9fea1,
    0x03f92fe4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfedff800,0xfc87fec5,0x3afbea1f,0x3fe000ff,0x205fed44,0x045f99fd,
    0x00440804,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x67fecc00,0xf897fe60,0x6e7fec5f,0x13fe001f,0x00028a00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,0x7641eeb8,
    0x0000040e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_24_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
1,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_24_latin_ext_y[560]={ 19,3,3,3,2,3,3,3,3,3,3,6,16,11,
16,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,21,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,7,3,3,5,3,
3,3,3,3,3,8,7,11,3,0,3,4,3,3,3,7,3,10,19,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,2,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,7,3,3,3,3,3,3,3,
0,4,-1,3,3,7,-1,3,-1,3,-1,3,-1,3,-1,3,3,3,0,4,-1,3,-1,3,3,7,-1,3,-1,3,
-1,3,-1,3,3,1,-1,-1,3,3,-1,3,0,4,-1,3,3,3,-1,7,3,3,-1,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,3,-1,3,3,3,-1,3,0,4,-1,3,-1,2,-1,3,3,7,-1,3,-1,3,
0,-1,3,-1,3,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,-1,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-1,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_bold_24_latin_ext_w[560]={ 0,5,9,12,11,19,16,5,6,7,8,12,4,7,
4,7,11,8,11,12,12,12,12,11,11,11,4,4,12,12,12,12,21,16,14,14,14,13,12,15,13,4,11,15,
12,16,13,16,13,17,15,14,13,13,16,21,15,16,13,6,7,6,11,14,6,12,12,12,12,12,8,12,11,4,
6,11,4,17,11,13,12,12,8,11,7,11,12,17,12,12,11,8,4,8,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,12,12,12,12,
4,12,8,17,8,10,12,7,17,14,8,12,7,7,6,11,13,4,7,6,8,10,18,18,18,12,16,16,16,16,
16,16,22,14,13,13,13,13,6,5,8,8,16,13,16,16,16,16,16,11,17,13,13,13,13,16,13,12,12,12,
12,12,12,12,19,12,12,12,12,12,6,6,8,8,13,11,13,13,13,13,13,12,13,11,11,11,11,12,12,12,
16,12,16,12,17,13,14,12,14,12,14,12,14,12,14,16,16,13,13,12,13,12,13,12,13,12,13,12,15,12,
15,12,15,12,15,12,13,11,16,12,8,8,8,8,8,8,5,5,4,4,15,10,13,8,15,11,11,12,6,12,
7,12,8,12,8,13,6,13,11,13,11,13,11,15,14,11,16,13,16,13,16,13,21,20,15,8,15,9,15,9,
14,11,14,11,14,11,14,11,13,7,13,11,13,7,13,11,13,11,13,11,13,11,13,11,13,13,21,17,16,12,
16,13,11,13,11,13,11,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,16,12,12,12,12,12,12,12,12,12,12,12,12,12,17,15,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,8,8,16,
13,13,11,13,11,13,11,13,11,13,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,12,22,19,17,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_bold_24_latin_ext_h[560]={ 0,16,7,17,20,17,17,7,21,21,8,11,7,4,
3,17,17,16,16,17,16,17,17,16,17,17,12,16,13,9,13,16,21,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,18,16,17,16,17,16,16,16,16,16,21,17,21,9,3,4,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,21,21,21,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,17,12,16,
21,21,3,17,9,11,9,4,17,3,8,15,9,9,4,17,21,3,5,9,9,11,17,17,17,17,20,20,20,19,
19,19,16,21,20,20,20,19,20,20,20,19,16,19,21,21,21,20,20,11,18,21,21,21,20,20,16,17,17,17,
17,17,17,18,13,17,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,13,13,17,17,17,17,21,21,21,
19,16,20,17,21,17,21,17,21,17,21,17,21,17,20,17,16,17,19,16,20,17,20,17,21,17,20,17,21,21,
21,21,21,21,21,23,20,20,16,16,20,16,19,15,20,16,21,21,20,12,17,21,21,21,21,21,12,20,20,21,
21,16,16,16,16,16,16,20,16,21,17,20,16,16,17,17,20,16,21,17,21,17,17,13,20,16,21,17,20,16,
21,17,21,17,21,17,21,17,23,23,20,17,16,17,21,17,20,16,21,17,21,18,21,17,21,17,20,16,20,21,
19,20,16,20,16,20,16,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,14,21,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,13,14,14,14,14,14,14,14,14,14,14,14,14,14,17,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,20,17,20,16,21,
17,21,17,21,21,21,21,21,21,21,21,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,21,20,17,21,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_bold_24_latin_ext_s[560]={ 252,246,62,68,243,159,179,72,202,94,53,
183,78,118,250,188,196,1,183,55,193,173,123,137,243,205,250,206,39,219,26,
10,72,214,231,177,14,29,94,161,23,209,154,167,1,60,123,118,149,196,163,
184,179,67,211,228,107,37,195,248,59,198,10,155,111,119,46,1,1,195,54,
14,82,77,164,48,43,78,130,225,217,224,121,239,247,14,96,142,52,192,109,
1,137,142,83,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,252,250,186,
230,65,240,243,126,141,166,22,208,31,118,81,126,44,72,240,232,104,199,188,
150,96,248,1,172,27,99,135,211,91,153,184,165,74,91,111,139,18,219,116,
60,44,184,195,125,32,182,53,24,218,1,68,196,1,136,53,190,102,85,144,
14,1,240,227,214,201,226,146,160,147,134,121,108,137,130,44,158,41,61,15,
1,236,222,208,166,132,176,164,152,27,70,97,124,148,19,167,56,212,28,16,
1,45,110,74,51,103,85,204,120,13,94,134,185,153,57,242,31,154,44,130,
148,182,205,1,151,56,199,140,1,30,18,211,198,144,162,51,63,233,153,230,
250,190,251,69,129,102,32,172,218,160,48,61,116,118,89,134,76,67,30,249,
170,237,236,29,108,1,85,186,244,51,53,209,42,226,230,196,98,238,102,156,
137,32,143,1,108,171,218,41,70,17,147,14,28,201,82,171,239,168,19,139,
228,83,39,89,214,60,136,31,14,1,1,1,230,108,23,49,37,73,68,101,
113,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,98,85,85,110,
85,85,85,85,85,85,85,85,85,85,85,85,85,114,208,85,85,85,85,85,
85,85,85,85,85,85,85,85,134,179,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,122,81,
82,121,235,94,204,64,176,164,150,41,10,124,110,98,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,36,67,215,76,80,96,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85, };
static unsigned short stb__arial_bold_24_latin_ext_t[560]={ 1,262,327,191,69,154,154,327,69,69,327,
313,327,327,292,173,173,296,262,191,279,191,209,279,209,209,279,279,313,313,313,
296,69,262,262,209,279,279,279,209,296,262,227,262,279,279,279,227,279,133,279,
227,279,227,279,279,279,296,262,25,227,47,327,327,327,296,227,313,227,296,296,
227,279,279,25,279,279,313,313,296,209,227,313,296,133,313,313,313,313,209,313,
25,25,25,327,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,1,173,25,
209,313,245,25,47,327,227,327,313,327,327,227,327,327,296,313,313,327,227,69,
327,327,313,327,313,227,227,227,227,91,91,91,133,133,133,245,47,112,112,112,
133,133,112,112,133,262,133,25,25,1,133,112,313,154,1,1,1,112,112,262,
209,209,191,191,191,191,133,296,191,191,191,191,191,262,262,245,262,191,262,191,
191,173,173,173,296,296,173,173,173,209,25,25,25,133,262,112,173,25,173,47,
173,47,209,47,209,47,173,112,154,245,154,133,245,112,154,112,154,47,154,112,
209,47,47,69,25,69,25,69,1,133,133,245,245,112,245,133,296,112,245,47,
47,112,296,173,69,69,69,69,47,313,112,112,69,47,245,245,245,245,245,227,
91,227,47,191,91,245,262,191,154,91,245,69,173,69,154,154,296,91,245,69,
154,112,245,47,154,25,154,69,154,69,154,1,1,91,154,245,133,47,154,91,
245,25,209,47,133,47,209,47,173,91,262,112,25,133,91,262,91,262,91,262,
262,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,173,296,296,25,
296,296,296,296,296,296,296,296,296,296,296,296,296,173,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,173,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,91,191,
91,262,1,191,1,209,1,1,1,25,25,1,1,1,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,1,1,91,209,1,209,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296, };
static unsigned short stb__arial_bold_24_latin_ext_a[560]={ 95,114,163,191,191,306,248,82,
114,114,134,201,95,114,95,95,191,191,191,191,191,191,191,191,
191,191,114,114,201,201,201,210,335,248,248,248,248,229,210,267,
248,95,191,248,210,286,248,267,229,267,248,229,210,248,229,324,
229,229,210,114,95,114,201,191,114,191,210,191,210,191,114,210,
210,95,95,191,95,306,210,210,210,210,134,191,114,210,191,267,
191,191,172,134,96,134,201,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,95,114,191,191,191,191,96,191,
114,253,127,191,201,114,253,190,137,189,114,114,114,198,191,95,
114,114,126,191,287,287,287,210,248,248,248,248,248,248,344,248,
229,229,229,229,95,95,95,95,248,248,267,267,267,267,267,201,
267,248,248,248,248,229,229,210,191,191,191,191,191,191,306,191,
191,191,191,191,95,95,95,95,210,210,210,210,210,210,210,189,
210,210,210,210,210,191,210,191,248,191,248,191,248,191,248,191,
248,191,248,191,248,191,248,247,248,210,229,191,229,191,229,191,
229,191,229,191,267,210,267,210,267,210,267,210,248,210,248,210,
95,95,95,95,95,95,95,95,95,95,270,191,191,95,248,191,
191,210,95,210,95,210,132,210,165,210,95,248,210,248,210,248,
210,244,249,210,267,210,267,210,267,210,344,324,248,134,248,134,
248,134,229,191,229,191,229,191,229,191,210,114,210,165,210,114,
248,210,248,210,248,210,248,210,248,210,248,210,324,267,229,191,
229,210,172,210,172,210,172,95,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,250,258,258,191,258,258,258,258,258,
258,258,258,258,258,258,258,258,293,244,258,258,258,258,258,258,
258,258,258,258,258,258,258,285,249,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,248,191,95,95,267,210,248,210,248,210,248,
210,248,210,248,210,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,248,191,344,306,267,210,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_24_latin_ext(stb_fontchar font[STB_FONT_arial_bold_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_24_latin_ext_s[i] + stb__arial_bold_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_24_latin_ext_t[i] + stb__arial_bold_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_24_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_24_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_24_latin_ext_x[i] + stb__arial_bold_24_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_24_latin_ext_y[i] + stb__arial_bold_24_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_24_latin_ext_s[i] + stb__arial_bold_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_24_latin_ext_t[i] + stb__arial_bold_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_24_latin_ext_x[i] + stb__arial_bold_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_24_latin_ext_y[i] + stb__arial_bold_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_24_latin_ext_LINE_SPACING
#endif

