// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT        118
#define STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_13_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_13_latin_ext_LINE_SPACING           9

static unsigned int stb__consolas_13_latin_ext_pixels[]={
    0x3a800145,0x08800020,0x02000a60,0x00422000,0x4c418800,0x80066609,
    0x1a880aa8,0x20fea000,0x80c40440,0x15c07548,0x99983e88,0x26017380,
    0x0099981a,0x2065710a,0x7cfc4173,0x00fc41f0,0x3d1053b3,0x3aa01f88,
    0xf9819300,0x03a25f11,0xfc82775c,0x6d409d53,0x9bd0b204,0x221f3223,
    0x1333b22f,0x440bd9d7,0x05ce23fd,0x5c43c8d3,0x0d99d80c,0x40dc0770,
    0xeb81ccc8,0x2ecee984,0x68073322,0x5c176554,0x87cfc44e,0x8803220f,
    0x884d82da,0x2039100c,0x10d883ca,0x25c2d43b,0xe80f8877,0x240b5900,
    0x907880f4,0x7c403e23,0x22640ba0,0x4698cc19,0x13bbee3c,0xaa880881,
    0x88330660,0xd044081a,0x10220405,0x022041d5,0x1f1f0351,0x80554c3e,
    0x3544fceb,0x6c1aaa98,0x20b5b059,0xd11ec142,0xd8344688,0x81115082,
    0x03d1aaa9,0x0aaaa9e2,0x2e2dc0be,0x47983f04,0x13c8d32e,0x4698391f,
    0x2667643c,0x3ae2e8f3,0x791a65ec,0x646981aa,0x4d3b7e63,0xd9d71e46,
    0x1f0f8f8b,0x3e207f2a,0x0f62ed88,0x70bb6b72,0x4072209b,0x4b503e0f,
    0x469dd8bb,0x6985b069,0xdb5b91e4,0x73c407a5,0x774c5f99,0x216a2642,
    0xf12e80f8,0x7c4f234c,0x3234c0da,0x2e803e23,0x5d07c4f1,0x52e791a6,
    0xc8d31cc9,0x698eaba3,0x3a0f89e4,0x07c363e2,0x5dd6e07a,0x43e07e4b,
    0x81554479,0x7c1f04fb,0x3b3b3c40,0x825c4d3b,0x791a60db,0x07a7987c,
    0xa82d83c4,0x4b71325e,0x20fffff8,0x234c975b,0x30bfea3c,0x017c3c8d,
    0x45b92eb7,0x73c8d34b,0x34cbaa29,0x22bbc4f2,0x45b9e469,0x81f03e4b,
    0x51b4c81e,0xb97407cb,0x42f5e5c5,0x7c1f07bd,0x2d1d0f80,0x403b668e,
    0xc8d30ed8,0x3d2dcba3,0x016c1e20,0x09916e3f,0x3a3e20d5,0xf05b1a61,
    0x0f234cdd,0x1f105dd3,0x56a2643d,0x46a9e469,0x23c8d32d,0x91a61c8f,
    0x24b51327,0x2e07a07c,0x0f4b768c,0x1006f6ec,0xf03d788f,0x43e207c1,
    0xb51af69e,0xc8d30ee0,0xe837b763,0x8b60f101,0x8fc43e60,0x205b80f9,
    0x98fc46dc,0x31eac40f,0xbd503c8d,0x44c8db90,0x23c8d35b,0x234cb63e,
    0x463b763c,0x44c9e469,0x7c362e5b,0x56d40f40,0x221e4794,0xdb71009f,
    0x84cadc1f,0x4f303e0f,0x43bebe8e,0x6985b068,0x809f89e4,0x360f101e,
    0x85dfff32,0x7902efea,0x7d41fcc0,0x326222fe,0x2d8d30fa,0x0fe60fc0,
    0x8d33c8b7,0x3fff622d,0x5c2d8d31,0x2d8d33ef,0x3f13c8b7,0x7ff43e1f,
    0x27be21ff,0x3616e0f9,0x2f60efee,0x7996c1f0,0x9903e0f8,0x41cd54ec,
    0x6985b068,0xdfddb16c,0x83c407a1,0x3e00c42d,0x7a80ba01,0x3fa60740,
    0x4c7e22df,0x81f3040f,0xf31f887a,0x07cc7e21,0x4c7e2044,0x8fc4680f,
    0x263f10f9,0x01f0f80f,0x3ddf30b3,0x3634c5d0,0x43ea1f13,0x01feeef8,
    0x5c1f31e2,0x3b078803,0x21f31f88,0x01e9ec69,0x1e07e0f1,0x654dbf70,
    0x01fb980f,0x81640ba2,0x7cc2fefa,0x3ee62eff,0x85dfd301,0x0f02fefa,
    0x260bfbea,0x42fefa85,0x1f02efe9,0x3076e03e,0x98744019,0x321ea9bf,
    0x3b70fbee,0xb5509933,0x3a21744b,0x39b01a9c,0x3ea03ee2,0x26fe62fe,
    0x4135d1ea,0xd9371799,0x13100710,0x1ca8054c,0x01302980,0x39500800,
    0x38800000,0x000a2000,0x01f0f800,0x3001306a,0x00e664c1,0xb86985b0,
    0xb881443c,0x255100bc,0x930000ba,0x8e65c399,0x79714cc8,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00092400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33100000,0x30391033,0x33333101,0xb8b88001,0xf50064c1,
    0x64415c07,0x83039101,0x80cae208,0x86651009,0x14c00998,0x3261e56a,
    0xc882b800,0x10ea9101,0x41540665,0xf01e84c1,0x08877001,0x3f635740,
    0x3b20a81f,0x133f2e4e,0x1e81b591,0x2ccfcc98,0x7b5026d4,0xb9c412a0,
    0xac883b80,0x06d6440d,0x551649f3,0x09f705d9,0xbbd15d26,0x85b5107f,
    0x09503328,0xdac883b8,0x40d99d80,0x13205749,0x03d35c3e,0x5977003e,
    0x0726025c,0x54be20f4,0x4c407c06,0x59d53099,0x56403e05,0x202aa205,
    0xaaaa81a8,0xa880d440,0x4c1a880a,0xa88590fe,0x440f7b01,0x47a8f41a,
    0x0664fceb,0x08220433,0x40881044,0x088101a8,0x4c7c1a98,0xf0a87a0e,
    0x2a601551,0x553012e1,0x2081e835,0x203e01f9,0xf954eccb,0x01f0199b,
    0x67640322,0x2f675c4c,0xeb8bf32e,0x667645ec,0x32f675c4,0xeb8b297d,
    0x1ebc45ec,0x3a5eceb8,0x447c4d31,0x2e8f32ed,0x8d33c8d3,0x23c8d33c,
    0x34c5eceb,0xecee98f2,0x3d07a7e2,0x6dcdf936,0xb9767744,0x3b6b7204,
    0xc8740f42,0x00f80ced,0xf007a264,0x2213ee01,0x741f100f,0x83e25b02,
    0x2201f12e,0x474cba0f,0x41f12c8f,0x22656e2e,0x6f4ba0f8,0x5dd6e2ec,
    0x33c4ba4b,0xc8d33c8d,0xf13c8d33,0xc8d31741,0x3ef80ba3,0x17c4d9e8,
    0x4b81f43d,0x743cc3e0,0x364f0f81,0xd132007c,0x7b00f803,0x2dc0be0f,
    0x5b96c12e,0x2e05f25c,0x9769a5c5,0x49716e59,0x45b8f32d,0xc8b97d4b,
    0xadcb51b4,0x2791a64b,0x4699e469,0x24b8b73c,0x06a9e469,0x36f4367c,
    0x1e65b07c,0x5cba04b8,0xd0f81e85,0x003e0f45,0x7c01e899,0x303d7880,
    0x544c85dd,0x51325b05,0x321774cb,0x3e69ad44,0x15a8992e,0x643fdddf,
    0x7b1ead44,0x25bb465c,0x1a61e8f8,0x2791a679,0x44c9e469,0x2791a65a,
    0x7c39934b,0x1f5744d8,0x0d52d83e,0xbdbb025c,0x21f03d01,0x7c0e9ce8,
    0x13226400,0x32b701f0,0x4c97aa04,0x992d82dc,0x25ea85b8,0x269adc4c,
    0x5b8992fb,0x499333b7,0x31eadc4c,0x3ca56d4d,0x91a636e4,0x26791a67,
    0x5c4c9e46,0x2e791a65,0x87c5d514,0x8be27a3e,0x1e61f30f,0x13f104b8,
    0x20fc0f40,0x3fffa2fb,0xdb30f207,0x5b01f01d,0x5c7e01e6,0x72d81e45,
    0x47e03c8b,0x4699e45b,0xb3c8b72e,0x916e6985,0xf12e87a7,0xf981f33d,
    0x4cb634c3,0x6c6996c6,0x263c8b72,0x6c6a96c6,0xe8fcc3e2,0x3bfe3f31,
    0xfb80fc1e,0x3bb61fff,0xffffd0ef,0x82640fc3,0x82e88c4a,0x77c40400,
    0xf3041fee,0x07cc7e21,0x263f11f8,0x10f9820f,0xe803e63f,0x03e63f11,
    0x4c7e23b8,0xef98040f,0xf887a81e,0x47e21f31,0x263f10f9,0x3e63f10f,
    0x07cc7e20,0x00416c7d,0x6e401f01,0x69808111,0x864021ec,0x9901ecbc,
    0x7827fec1,0x4cedc3c0,0x3ffe64c9,0x177f4c2e,0xe98d9371,0x3ffe62ef,
    0x177f4c2e,0xefe98d90,0xd305f402,0x260f05df,0x01fb980c,0xfa85fdf5,
    0x7f7d42fe,0x4177f4c2,0x6c42fefa,0x20781fff,0x2e200f87,0x4c3c1efe,
    0x3c1ea9bf,0x10055540,0x01c40015,0x6985b071,0x97100008,0x00100017,
    0x00019100,0x22000a88,0x32a01303,0x00000001,0x40200000,0x19071038,
    0x981c4000,0x01c41ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0220c3a8,0x262a07f5,
    0x1dc05502,0x262299b8,0x03220199,0x17102aa2,0x8815c037,0x640ae03e,
    0x81717300,0x1001b8b8,0x1710ae03,0x03328837,0x00320750,0x039101b7,
    0x173805c4,0x26603910,0x880b8809,0x41b3032b,0x388b24f9,0x03bb3017,
    0x165dc132,0x9bb06ec4,0x640ec099,0x3da84cce,0x01980ee0,0x00f440ee,
    0x0f6a03b7,0x2e0b2130,0x9307b503,0x01b300ae,0x55cc03d1,0x806d6442,
    0x09d7059d,0xc881b591,0x859d81cc,0xa982ecaa,0x1643fa61,0x2606aaa6,
    0x2035301a,0x435301a9,0x04cc402d,0x4cc403e2,0x11060999,0x0440ffec,
    0x81333330,0x44180998,0x330e3d00,0x4ccc1333,0x03011099,0x33104ccc,
    0x83aa6033,0x4db81808,0x22199988,0x26662080,0x9884db81,0x33ba2199,
    0x3279d32e,0x8bb6b722,0x222ecee9,0x3a62ecee,0x3ba22ece,0xe805b2ec,
    0x817c3fdd,0x32ccfcc9,0x0f41649f,0xeee8825c,0x7eef41fe,0x42c93e63,
    0x222acea9,0xd11feeee,0x16e3fddd,0x33be60b9,0x2133f2e3,0x16e5fcec,
    0x2e1428b9,0x10b24cfc,0x2267e5cd,0xfcb82aa8,0x74c0fa4c,0x987c5978,
    0x07d01747,0x207d0174,0x1e85eeed,0x02ee98f5,0x21fd303e,0x4b81e82c,
    0x23d0b700,0x643fa67a,0x666fe542,0x2dc0b700,0x403e25f1,0x203e05cc,
    0x223d7778,0x0f81f12f,0x7903e03e,0xb80f8598,0x41f05ebc,0x5eda6079,
    0x52dcba2c,0xd503cc0d,0x37b03cc0,0x1a63d013,0x40f82f54,0xd0593ce9,
    0xf3009703,0x99a63d01,0x3a0593ce,0x9807cc01,0x04cb540f,0x80f816ba,
    0x54791b5a,0x7c1f0996,0x29dc0f80,0x8801f0b3,0x03541f07,0xd8b3a6d3,
    0x4d2e0ded,0x5c0d51cc,0x1aa39934,0x66f402d8,0x7c0fc02e,0x2cbc74c0,
    0x804b81e8,0x5d9bd02e,0x02cbc74c,0x202e803d,0x01f7d02e,0x213be72e,
    0x968d980f,0xf80fbe87,0x703e03e0,0xf0953f17,0x1fdb7101,0x303cc1f0,
    0x9f897ecd,0x5d514b80,0x514b81e6,0x2d81e65d,0x042e5f40,0x981f01f3,
    0x3d0597b6,0x05b80970,0x2d3172fa,0x03d02cbd,0x40b702dc,0x267a03f9,
    0xf00f809e,0xf981f179,0x407c1f03,0x66de540f,0xbd80f83a,0xf81f01f0,
    0x17d4d301,0x2a1dfddb,0x203f16c6,0x03f16c6a,0x3a1ffff6,0x7ffcc7b1,
    0x6981f02e,0x03d059d3,0x007cc097,0x3698f63d,0x4132059d,0x01f300f9,
    0xb9f300f8,0xf9807c0b,0x201f02fe,0x1f01f72d,0x3bf8dca8,0xa87c40f8,
    0x6e40f80f,0xd3010111,0x2d8fa3d8,0x7d044772,0x223b916c,0x31e84a80,
    0x0f80d30d,0xd05fb34c,0x17409703,0xd334c7a0,0xed9817ec,0x2e80ba0e,
    0x37900f80,0x8807c0b5,0xd500f806,0x81f01d7d,0xf05db5e9,0x1f7dd901,
    0xfeb881f0,0xbf98781e,0x3f621ea9,0x3fae21ff,0x3fff621e,0x07bfae21,
    0x743d0332,0x03e01cc2,0xfd17d4d3,0x7fdc3fff,0xffff31ff,0x4ba1e87f,
    0x000bea69,0x27fffff3,0x83fffff9,0xf30f880f,0x3ffff4df,0x007c00c4,
    0x27fffe80,0x745f53f8,0x74007fff,0x44007fff,0x03999303,0x00200004,
    0x0000a880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x103da868,0x2201d839,0x3262ffed,
    0x2e057000,0x8832b882,0x03910332,0x45c40e44,0xb885701b,0x06400032,
    0x05ce0570,0x4ccc0193,0x4a203260,0x30620019,0x33301717,0x000d4c01,
    0x980005ce,0x5c0b51ee,0x440a8a83,0x816a0dac,0x542d8ffe,0x7703b804,
    0x30bb2aa0,0xb5910ae9,0x01b59101,0x20ee07b5,0xf102ecaa,0x5c07a203,
    0x2a13ae03,0x83999104,0x0574984a,0xb7079b50,0x03999103,0xd05d9dd1,
    0x2609d707,0xa9d81fee,0x03a00e8c,0x8220401f,0x8fff980e,0x3100982d,
    0x20130333,0x33310441,0x4c402603,0x4ccc4199,0x40666621,0x20322009,
    0x01119998,0x21999883,0x4c419998,0x26662199,0xb5000981,0x40199817,
    0x7007d009,0x97402603,0xcbbac86a,0x03e16a02,0x3b8f234c,0x2d8fff88,
    0xcdd827dc,0x4c27dc4c,0xfcb8b24f,0x704fb84c,0xcdd899f9,0x133f2e4c,
    0x2a9813ee,0xb74ccdd8,0x666ec5c8,0xb133f2e4,0x66ec999b,0x2027dc4c,
    0xcf985ca9,0x84fb82fd,0x83550079,0x264f04fb,0x202d6644,0x42a8f81d,
    0x0d11e469,0xb0b63fee,0xd80b60f7,0x90fe987b,0x2f601f05,0x16c07c07,
    0x3dec03e0,0x6c5daea8,0x1f12f882,0x407c02d8,0x6c05b02d,0x36fb607b,
    0x03e66985,0x80d50f7b,0x5ec5bde8,0x20172f07,0x7c1a600e,0x91a65dce,
    0x13102d87,0x81ebc45b,0x07af102d,0x20b279d3,0x03d7880f,0x2016c07c,
    0x03d7880f,0x05b0f41f,0x16c265aa,0x40b603e0,0x07af102d,0x6985a9aa,
    0x07af11ec,0x103d80f3,0x175e07af,0x2072ef20,0x9e25f02c,0x43feeef9,
    0x2e2d8059,0xdddb0995,0x4c4cadcb,0x1f05978e,0xf8132b70,0x85eeed80,
    0x8995b80f,0x22ecccf9,0x5f45eeed,0x5eeed80f,0xeeed80f8,0xb97bbb65,
    0x54970995,0x725c6985,0x807e132b,0x132b701f,0xd9817d5e,0x03c45aca,
    0x9e987c1f,0x01e83d99,0x1e65b16c,0x2d8266f6,0x97b698f3,0x25b01f05,
    0x3603e079,0x80f8099b,0x9f88f32d,0x26f60999,0xd81fcc09,0x80f8099b,
    0x2f6099bd,0x3ccb6099,0xd30b5264,0x3ccb64d8,0x36088eec,0x21e65b02,
    0x23a07e67,0x025c68bb,0x46987c1f,0x7c04a83c,0x3fdddf11,0xeef882d8,
    0x74da61fe,0x7c40f82c,0x1f01feee,0x40f805b0,0x41feeef8,0xf00b603e,
    0x1f00b601,0x20b605b0,0x41feeef8,0x985e88ea,0xeef897c6,0xeffb81fe,
    0xf88436e1,0x23c1feee,0xee89dc2d,0x41f00742,0x03c8d30f,0x2f5f541f,
    0x899333b7,0x999db82d,0x2fd9a64c,0x4cedc0f8,0xb01f04c9,0x6dc0f805,
    0x74c4c999,0x2016c6ef,0xf805b00f,0x05b02d80,0x099333b7,0xd30b5dfb,
    0x99db9b66,0x101d04c9,0x276eddd7,0xedbc4c99,0x80510005,0x234c3e0f,
    0xa981303c,0xb1a616c2,0x30b6ffff,0x45f534cd,0x0b67fffe,0x7fffe8d3,
    0xfd3fffec,0x2616cfff,0x7ffec006,0xffb00f87,0x3ffff4ff,0xfd9ffff6,
    0x6985b7ff,0x9dff3000,0x41a616c1,0x2616c005,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x41c88000,0xf5303328,0x320d5d03,0x3ccc80cc,0xccc81102,0x12a5e880,
    0x33205528,0x83cad40c,0x0fa203fa,0x055003d5,0x32b50553,0x41d6f543,
    0x0fa203fa,0x2ba203d5,0x03bdc80e,0x44150050,0x82a942aa,0x7f50795a,
    0x3221f440,0x15d260da,0x26077f6c,0x4033301c,0x8791a62b,0x55170199,
    0xdcdf81e2,0x28819985,0x01738833,0x301c406e,0xdaea81d5,0x8c199445,
    0x0b9c40b9,0x80e20370,0xdfea80c8,0x4a9ffd81,0x7971e088,0x2ee6fcbd,
    0x4e20cca2,0x3103700b,0x4ccc4333,0x983dd441,0x4055302a,0x3c8d31aa,
    0xaa80aaa2,0x897c0791,0x4282a987,0x2850a142,0xf9d90a14,0x307a0f8b,
    0x40aa6055,0x055302a9,0x154c0aa6,0x3a00fc88,0x514b81a9,0x225f3c40,
    0x5302a987,0x360aa605,0x33764ccd,0x1f6fee4c,0xd5176baa,0xbde88bb5,
    0x2e3c8d35,0x6f445ebc,0xf0aa515b,0xb7d907c1,0xf83e0f8b,0x3e0f83e0,
    0xf10f83e0,0x67cc7aee,0x2fb22ecc,0x2edf645d,0xd9176fb2,0xdbec8bb7,
    0x22ed7545,0x3a05dcea,0xb8812e01,0x7c1f0fed,0x5176baa0,0xaea8bb5d,
    0x2d816c5d,0xf0f10f88,0x741f0f41,0x91a60f61,0x07b1e207,0x0f9b737a,
    0x8ba3c43e,0x20f83e0f,0x20f83e0f,0xdad43e0f,0x333f13c8,0x25d1e213,
    0x47897478,0x12e8f12e,0xe83e2e8f,0x03e21f11,0x409700f4,0x83e1f0bd,
    0x21e83e0f,0x20f87a0f,0x16c0b61e,0xf98f134c,0x9f32eccc,0x40fc5d99,
    0xb711e469,0xe80fc1fd,0x1f07c3e3,0x07c7916a,0x41f07c1f,0x20f83e0f,
    0x32d1b30f,0x22d40fa3,0x53c8b53c,0xc8b53c8b,0xf33c8b53,0x1a65d999,
    0xb807a05d,0x3ea1f104,0xf987c1f0,0x9f32eccc,0x33e65d99,0x3bb62ecc,
    0x57bbb65e,0x3f11e26a,0x27e21333,0x20b60999,0x17b1ec69,0x3d02d83e,
    0x43e0f8f4,0x41f1e46a,0x20f83e0f,0x20f83e0f,0x3e2f3e0f,0xa9bbfa60,
    0x646a9e46,0xd53c8d53,0x3c8d53c8,0x213333f1,0x1e80f469,0xeec812e0,
    0x87c1f0fb,0x109999f8,0x2213333f,0x3609999f,0x26f6099b,0xfb11f109,
    0x01f407d0,0x234c21b7,0x3ea1f12e,0x3d0436e0,0xf13c40f4,0x72d83e23,
    0x0fb96c1f,0x5b07dcb6,0xfef983ee,0x1f88d302,0x447e21f1,0x3e23f10f,
    0x43e23f10,0x741f11f8,0x3e63f103,0x25c03d00,0xd0085980,0x7d01f407,
    0x02d816c0,0xd30f3df7,0xefe98ddf,0x9b775c46,0xeec8bff6,0x3bae20fb,
    0x441e87a6,0x17f7d45d,0xa83afbaa,0x3aa0ebee,0x3baa0ebe,0x201a20eb,
    0x7f7d41da,0x217f7d42,0x7d42fefa,0x7f7d42fe,0x2377f4c2,0x3a01fefa,
    0x64012e01,0xfe983c0c,0x377f4c6e,0x5b1bbfa6,0x00000b60,0x00000000,
    0x41e87a00,0x00000039,0x01880000,0x00000350,0x00000000,0x3ffffd00,
    0x03ffff70,0x003882a2,0xffb00000,0x3fffecff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00f54000,0x24d80d5d,0x1e56a142,0x2a0eb7aa,0x50fa203f,
    0x1554403d,0x06ae8285,0xa987d199,0x52854199,0x98262015,0x554c0a88,
    0xf507d101,0xf8000007,0x306601f0,0x9901a983,0x416fc7d1,0x555306ae,
    0x980ccc83,0x26038800,0x1f0aa01c,0x20cca23c,0x73881731,0x1c406e01,
    0xf0fccfa8,0x072607c1,0x3b2154e2,0x4fea4cfd,0xec86dcdf,0x3f37363d,
    0x20577d70,0x8173881b,0x3fae01f8,0x807c3e04,0x9d917479,0x055388db,
    0x81c985f5,0x4c2edadc,0x3003d019,0x05551055,0x3c1f0d54,0x2a20aaa2,
    0x82aa882a,0xaa882aa8,0x21f0fc42,0x55303e0f,0x2d50aa60,0x8be15069,
    0x2ec12e1e,0x5300f65b,0x83553035,0x01f100c8,0x47c3eaa2,0x789740aa,
    0x2141f07c,0x0a14b702,0x2851e61f,0x40ab3aa6,0x65c5daea,0x5ef445eb,
    0x65c783e5,0x75e5c5eb,0x22f5e5c5,0x65c5ebcb,0x1f1a65eb,0x3b20f83e,
    0x6df645db,0x4034cf25,0x00f8b60f,0x0fba605b,0xd70aefae,0x0554c577,
    0x99f505a8,0x1b737e1f,0x29b12eb7,0x01f07c6a,0x41f07c97,0x20f8b72e,
    0x99bf950f,0x80f41f01,0x0f81ec78,0x2207881e,0x7881e207,0x7c699e20,
    0x7887c1f0,0x97478974,0x409df32d,0x77c4ba0f,0x300b64fe,0x3603d8db,
    0x983f9503,0xf11aaeca,0x3a2f87c3,0x107a3e21,0x20f81ffd,0xf837aa0f,
    0xdedd83e0,0xe81f07c0,0x3333e601,0x3fb6e22e,0xc97c07e0,0x3fb6e20f,
    0x83fb6e20,0x220fedb8,0x2e20fedb,0x21f10fed,0x3ee5b0fd,0xb53c8b50,
    0x3a67b3c8,0x87cbe609,0x741f10fa,0x8f3005b2,0xee983ee9,0xca983d03,
    0xf8f31aae,0x3216c1f0,0x5eaeb86d,0x2541f07c,0x3e21f07c,0x07c1f009,
    0x99f8807a,0x7c2f6099,0x777c0b60,0x7c2f65cb,0xb07c2f60,0x0bd83e17,
    0x0f85ec1f,0x543e37ee,0x8d50ebee,0x93c8d53c,0x53e21a69,0x1e21eeff,
    0x7740b67b,0x0db302fe,0x407a1b66,0x87c7984b,0x7f30b60f,0xf8ba0f88,
    0xf82983e0,0xfeed83e0,0x40f83e0e,0x881f401e,0x6dc1f50f,0xf8807c10,
    0x43e21f50,0x2a1f10fa,0x3ea1f10f,0x03ea1f10,0x225980f8,0x3e21f11f,
    0x27a61f11,0x03e5d069,0x083d12e8,0x81e60060,0x9701e879,0x43f63f10,
    0x7a81f30f,0x43f10f88,0x14c1f72d,0xd30fb96c,0x7dcb63d8,0x3a602640,
    0x5f7646ef,0x9bbae20f,0x2fbb200f,0x3efbb20f,0x83efbb20,0x320fbeec,
    0x3e00fbee,0x3ea1db80,0x7f7d42fe,0xbfff7dc2,0x9803e4ea,0x20782eee,
    0x85fddd07,0x1e82feee,0x3bee0970,0x3ddfb0ea,0xfb80fdcc,0x5f7543fe,
    0x3aa1b20e,0x37f30ebe,0x5f7543d5,0x0776cc0e,0x32000000,0x00000000,
    0x81200000,0x0000001a,0x40001901,0x08071038,0x7fff4040,0x00025c1f,
    0x000072a0,0x32600000,0x000001cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x1d5d1009,
    0x883adea8,0x406a601a,0x001981a9,0x33100000,0x101a8813,0x05544035,
    0x2a20b722,0x0044080a,0x8800fa20,0x3fe20999,0xd1002207,0x204181d5,
    0x18d54008,0x44266600,0x26099999,0x04408819,0x80c8807a,0xcea81731,
    0x7677444e,0x0bb3ba62,0xb5274cdb,0x54b52754,0xccb96a4e,0x17b3ae4e,
    0xd90bb7b9,0xf9cd8999,0x317e6641,0x3f623c8d,0xf101b83e,0x83ccdd83,
    0x200b6078,0x3a3c40c8,0x6f4416a1,0xf3001f5b,0x3f32679d,0xfb9f12cc,
    0x25d07cc7,0x982acea9,0xf0a141aa,0x03e83e21,0x441100ba,0x5cc1d15d,
    0xa5cc1d14,0x229900e8,0x9ad4ba0f,0x803e23c8,0x2dc03d1e,0x0fa3c8d3,
    0x20aa2aa2,0x2016c0c8,0x500b6078,0xffffb0aa,0x6c1ad4ff,0x02eeef83,
    0x207c0b99,0x4c87e278,0x66fe54b5,0x0aefae0c,0x26987c1f,0x540f33fb,
    0xbd43b806,0x0594b82c,0x4c80b297,0x93b4b8b7,0x02f8d19b,0x97017372,
    0x7c4f234c,0xddfcba80,0xd8aaaaa3,0x5b03c402,0x25dcdf80,0xbd50f478,
    0x30f81f8b,0x40b5d01f,0x8f23c40f,0x1e80e9f8,0xf07c07b0,0x337636a1,
    0x9a5c0d53,0xb51e41cc,0x26a60b35,0x80b35305,0xd5a8994c,0x774c68f1,
    0x8335fb82,0x91a60eed,0x23e01e27,0x9bb32e69,0x7881dffd,0x1722d936,
    0xcf89e25f,0x3dd31fcc,0x6c1f05d0,0x277ce5c2,0x7f479f95,0x4fa8972e,
    0x22777f4c,0x20f83ee9,0x327dd50f,0x8a5c0f33,0x039d32ea,0x801d003a,
    0x4ca6400e,0x20e8eadc,0x74cbd506,0x4cc2daf9,0x2791a66c,0xdfb91078,
    0x103d10dd,0x37cf10f7,0x83e3f45b,0xf555f10f,0x6e4172e3,0x0fc43e10,
    0x9827a67a,0x27e62bfa,0x67e649b0,0x026fa624,0xf83e36cc,0xf16c3f30,
    0x25b1aa03,0x326f203c,0x81cbbc80,0x7900c9bc,0x2b27916e,0x7c058dea,
    0x07fea791,0x2d8d30f8,0x07d320f1,0x07c405d0,0x8b6089e2,0x21f07c08,
    0x0b50f478,0xdcfb77dc,0x2ee7cc3f,0x7c7881f0,0x206be662,0x6c79804c,
    0x99741f72,0x2088ee47,0x82dcb63e,0x5983dd59,0xdd598b53,0xf12e88c3,
    0x074c3e63,0x43e6085b,0x201fb15b,0x7cc7e27a,0x26760f10,0xb809902f,
    0x0b607886,0x7887c1f0,0xe80b50f4,0x3202afe0,0x03e05a9b,0xdb1b66f1,
    0xed981ddf,0x0bfbba0e,0x4c1d7dd5,0x75c41eee,0x3ff621ef,0x417bd11f,
    0x743edb8e,0xb8e83d10,0x13ff63ed,0xe985dfd3,0x7ffcc2ee,0x6e7fec2e,
    0x5077fba5,0x83c45fdf,0x24ed9eea,0x1bfdd06a,0x437fffcc,0x0f87fffd,
    0x87a3c43e,0x2c1ffffa,0x987c403e,0x440f86ff,0x4cc0ceff,0x010001af,
    0x10000000,0x99dc32a0,0xef8ee3ea,0x1f54cee5,0x02000000,0x20001000,
    0xff020078,0x00041fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x40a880cc,0x00f41ffd,
    0xf0cccc40,0x00602201,0xe8822044,0x266620ea,0xb054c001,0x1f4403ff,
    0x01333331,0x75bd5033,0xf50795a8,0x261f4407,0x203d5019,0x57441aa9,
    0x4067e60e,0xd103adea,0x260d5d07,0x2604100a,0x4cc09999,0x83ecec81,
    0xb800f41e,0x7c99f973,0x25c8b700,0x221f104a,0x3606441f,0x6458cccd,
    0x20766ec1,0x5706e01e,0x74c93333,0x8173183f,0x73883328,0x9f106e01,
    0x707107fb,0x1910577d,0x180eefe8,0x406e0173,0xfced81c9,0x26498e82,
    0x262feeee,0xf13c40aa,0x50f41e81,0x0f81b901,0x3e21547c,0x0dc81f12,
    0xaa8995b8,0x360b62aa,0x034c6ded,0x55282a7a,0x492db8b8,0x55283dad,
    0x53015530,0x81553015,0xa987e278,0x1301ec0a,0x088f8151,0x8980aa98,
    0x0554c0a8,0x7cc4d504,0x8f100cb9,0x23541fca,0x47a0f41e,0xf826c44d,
    0x22ee77c0,0x3ae0996a,0x5c0fce80,0x20b66ecc,0x2d45d9db,0x9bf13fa0,
    0x12d05cbb,0x3737e0f6,0x540fe545,0x1fca81fc,0xca8f23c4,0x41f74c1f,
    0x3e0fcdcd,0x7e543feb,0x0fcdcd81,0xd3007f2a,0x1ef67e4c,0x883d03c8,
    0x742fa8af,0x7426cf41,0x25f03e04,0x00fbe878,0x80bea1ee,0x3bbb61e8,
    0xd99e65b5,0x3fa61cce,0x5cf12f82,0x7b095c88,0x741e25f0,0x1e807a01,
    0x84b977f4,0xd8db301e,0xf14f8b65,0xd97607a0,0x1ec01e82,0xf8816562,
    0xdb303d00,0x741e83d9,0x207d106d,0x81f07c0f,0x07aa03f9,0x42e817f2,
    0x27b099bd,0x2abb226a,0x3e07a2a1,0x1545c3e0,0x41f07b09,0x3a01e80f,
    0x3f307a01,0x807a1361,0x1f016c79,0x6c0f407c,0x3201e802,0x56ced445,
    0x07a03c80,0xe83d0f10,0x217603ea,0x01f07c0f,0x203b201f,0x4c82e8f9,
    0xecfb82d8,0x07a02d44,0x1170f83e,0x7c1ec241,0x807a03e0,0xf107a01e,
    0x741e82f8,0x016c2fee,0x0f407c1f,0x80f4016c,0xfcedb85b,0xd007c42c,
    0x741f4c03,0x017c4f41,0x07c0f879,0xb501f01f,0x20fa9f40,0xe885b06a,
    0x16a1faaa,0x7c1f03d0,0x42455170,0x03e0f83d,0x201e807a,0x6d9bc41e,
    0x6c1e03d0,0x80f83e02,0xe802d81e,0x4ee05b81,0x3fa09906,0x37ba1fff,
    0x8fffff42,0xd003f31e,0xf07cffff,0xb8001f01,0xffff26c6,0x3ffff61f,
    0xffa84c28,0xdfdb2fff,0x21f07c1d,0x24cccccb,0x3e2ffffe,0xfffe83e0,
    0x3ffffa1f,0x47ffffa1,0x740ceff8,0x1221ffff,0x7c1f016c,0x87ffffa0,
    0x3fffa02d,0x3ffffe1f,0x7c43cb22,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x80980808,0x06661808,0x19981310,0xe880fea0,
    0x84ccccc3,0x10999998,0x09830133,0x22041306,0x08813330,0x26211060,
    0x20d54199,0x2aa882a9,0x35530a14,0x41545544,0x203602a9,0x214ca60a,
    0x000001a8,0x54c2a0a8,0x1a21640a,0xa87b09f7,0x40ff33e6,0x373e62fd,
    0x00b9c42f,0xeeee8837,0x99f9931f,0xf0ff77a5,0x32fa9ae1,0x2791a67f,
    0x12e4fdcf,0x365927cc,0x7bd14ccd,0x22ed754b,0x83e5ebcb,0x4577d70f,
    0x23ddfcba,0x1f05dbec,0xb9d33fa8,0x3afa27bd,0xc88bdd12,0x588d81cc,
    0xd7526c7a,0x22cc3c83,0x646a87bd,0x543c43e3,0xf99a62dd,0x2a288130,
    0x16e02aaa,0x3d47a07c,0xda83a63e,0x91a67b95,0xb8fc43e7,0x321fd304,
    0x207b07b2,0x3c407a0f,0x03d87c1f,0x8f1698f8,0x33f3312e,0x5f2c8541,
    0x2254eed1,0x2b2f60f8,0xd16d6a0c,0x707609b3,0x2f12cca7,0x1f07c41e,
    0x7446987c,0x7b1a62d8,0x65cb30b2,0x01f306ec,0x1a63d03e,0xeba83d3f,
    0xc8d34be8,0x4b9741f3,0x4b279d30,0xf981f83d,0x2e22eccc,0x7c1f0fed,
    0xc887dd30,0x8b56eefd,0x99f9933c,0x77747603,0xea92a976,0x3777730e,
    0x3a34c745,0x7707606d,0xadc953f1,0x8d33d84c,0x9e41feef,0x2971a62d,
    0x10951b3b,0xf80ba03d,0x21766f40,0xdcbb83ef,0xdddf34ab,0x87d43e7f,
    0x2f1d304b,0x2799bb2c,0x999f882d,0x87c2f609,0xdb303e0f,0x3540fa64,
    0xb003e0f2,0xddd107e5,0x2ee25d01,0x6d2e2aba,0x6c0baba2,0x566de541,
    0x543ccb63,0xb99f8796,0x316cd30f,0xf3954d8d,0x205d0775,0x3a07c05b,
    0x86cf85cb,0x34a8f9bb,0x3e7b333d,0x412e1dff,0x36597b69,0x21b72aad,
    0x87c40fa0,0x3ee5b0fa,0x26767980,0xf88fc42f,0x8ec40f80,0x4444f8bc,
    0x1bdd3088,0x8e85b9e4,0x0ba27a68,0xf1b95076,0x3bbbe277,0x07c7c41f,
    0xddb2e83e,0xf1a69dfd,0x336f3665,0x0f982642,0x6c7a07c0,0x3226c7c3,
    0x234d6a33,0x12e01f3c,0xb2ce9b4c,0x4ddd7107,0x7646efe9,0x7dd50fbe,
    0x8bfbba1d,0x24ed9eea,0x0302fefa,0x2bba25f3,0x7bbb54ee,0x01797004,
    0xd1f98f40,0x3a61ffff,0x276e5db5,0x6dd84c99,0x221f30f8,0xd30bd999,
    0xd6e89b66,0x5d03543d,0x31e81f00,0x647d0f8d,0x6469ad42,0x412e01f3,
    0x1ecbf669,0x00000000,0x10004002,0x003fffff,0x00000000,0x53f88000,
    0x0d30b65f,0xbfff07f5,0xff316c05,0xf74f819d,0x87ffffc1,0x83fffff9,
    0x45d0f40f,0x0b23f30f,0x2791a6b3,0xffff700f,0xb2fa9a63,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x306606c4,
    0x2a226003,0x851054c0,0x5115111a,0x554a204c,0x0154a2aa,0x0001a017,
    0x11018000,0xa8fc4111,0x3cad47d7,0x0ccc85f3,0xd50c4772,0x7ffffcc3,
    0x5d101910,0x1d1fffcc,0x0aaaaaaa,0x00000000,0x74416190,0xd8ba3cc1,
    0x66e6cb11,0xd83aee0f,0x336a1d33,0x98592dde,0x7cdb7775,0x81f05dcd,
    0x7cc59d9c,0x7443f911,0x20776c5f,0x777443ea,0xbcc7e1ee,0xa8cca22d,
    0xb50ccc2f,0x388995d5,0x83fa8740,0x2208881b,0x33333325,0x0000000c,
    0x1e566000,0x23ccba00,0x9761eae9,0x887ae62d,0x756a1e9f,0x556773a9,
    0x25f0f444,0xf701f078,0x733f8819,0x2e3f083d,0x0e8e8953,0xb6987c00,
    0x19800005,0xb00019b1,0x00000541,0x00000000,0x3e5b0000,0x9fffff50,
    0xfa84cadc,0x8d9816c3,0x2a1fd41d,0x4e54ead3,0x21743baf,0x7fd43e0f,
    0x9b974fff,0x81d83d09,0x72d4f26b,0xeee892a7,0x000001ee,0x00000000,
    0x00000000,0x00000000,0x4004bb4c,0x7440e8f8,0x440b61eb,0x2f641dde,
    0xb33ab4ea,0x26457b77,0x1f01f07c,0x3ea82b08,0x106e41d8,0x32243dbd,
    0x00222220,0x00000000,0x00000000,0x00000000,0x74760000,0xbb00d880,
    0xd9a63b0d,0x41111102,0x69d47b6a,0x6f5ba275,0xf83e0d51,0x00500f80,
    0x7d4fffe6,0x000044ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea01b10,0xa816c002,0x23f13ddd,0x55a752f8,0xe87dd3e3,0x41f0ffff,
    0x0000c80f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_13_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,1,0,1,1,
2,0,0,0,0,1,0,1,0,0,0,0,2,1,0,0,1,1,0,0,1,0,0,1,1,0,0,1,1,0,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,1,0,0,0,0,1,1,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
3,0,0,0,1,0,0,1,0,0,1,0,1,1,0,1,0,2,2,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,1,
1,-2,-1,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_13_latin_ext_y[560]={ 9,0,0,0,-1,-1,0,0,-1,-1,0,2,6,5,
7,0,0,0,0,0,0,0,0,0,0,0,2,2,1,3,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,10,0,2,0,2,0,2,-1,2,0,-1,
-1,0,0,2,2,2,2,2,2,2,0,2,2,2,2,2,2,-1,-2,-1,4,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,2,-1,0,0,0,
-2,-1,0,0,0,2,5,5,-1,0,-1,1,-1,-1,0,2,0,4,9,-1,0,2,-1,-1,-1,2,-2,-2,-2,-2,
-2,-3,0,0,-2,-2,-2,-2,-2,-2,-2,-2,0,-2,-2,-2,-2,-2,-2,2,-1,-2,-2,-2,-2,-2,0,-1,0,0,
0,0,0,-1,2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
-2,0,-2,0,0,2,-2,0,-2,0,-2,-1,-2,0,-2,-1,0,0,-2,0,-2,0,-2,-1,0,2,-2,0,-2,0,
-2,0,-2,-1,0,-1,-2,-2,0,0,-2,0,-2,0,-2,0,0,-1,-2,2,0,-1,-2,0,0,0,2,-2,-2,0,
0,-1,-1,0,0,0,0,-2,0,0,2,-2,0,-1,0,2,-2,0,-2,0,-2,0,0,2,-2,0,0,2,-2,0,
-2,0,-2,0,0,2,-2,0,0,0,-2,-1,0,0,-2,0,-2,0,-2,0,-3,-1,-2,0,0,2,-2,0,-2,0,
-2,-2,0,-2,-1,-2,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-4,-3,-2,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_13_latin_ext_w[560]={ 0,3,5,7,7,8,8,3,5,5,6,7,4,5,
3,7,7,7,7,6,7,6,7,7,7,7,3,4,6,7,6,5,8,8,6,7,7,5,5,7,7,6,5,7,
6,7,7,7,6,8,6,7,7,7,8,7,7,8,7,4,6,4,7,8,5,7,6,5,7,7,7,7,6,6,
6,6,6,7,6,7,6,7,6,6,7,6,7,7,7,7,6,5,2,6,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,7,7,7,
2,7,6,8,5,7,7,5,7,6,5,7,5,5,7,6,7,3,3,5,5,7,8,8,8,5,8,8,8,8,
8,8,8,7,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,6,7,7,7,
7,7,7,7,7,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,
8,7,8,7,8,7,7,7,7,6,7,6,7,6,8,9,7,8,6,7,6,7,6,7,6,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,6,7,6,7,7,6,6,7,6,6,7,7,6,
6,9,8,7,9,7,6,7,7,7,6,7,7,7,7,6,7,7,7,7,8,7,7,7,8,7,6,6,8,7,
7,7,7,7,7,6,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,8,7,7,6,7,7,8,7,
8,7,7,7,7,7,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,7,8,7,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__consolas_13_latin_ext_h[560]={ 0,10,4,9,12,11,10,4,13,13,6,7,6,2,
3,11,10,9,9,10,9,10,10,9,10,9,8,10,9,5,9,10,13,9,9,10,9,9,9,10,9,9,10,9,
9,9,9,10,9,12,9,10,9,10,9,9,9,9,9,13,11,13,5,2,3,8,10,8,10,8,10,10,9,10,
13,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,13,14,13,3,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,12,9,9,9,
14,12,3,10,7,7,3,2,7,3,6,8,6,7,3,10,11,3,2,6,7,7,10,10,10,10,11,11,11,11,
11,12,9,11,11,11,11,11,11,11,11,11,9,11,12,12,12,12,12,7,12,12,12,12,12,11,9,11,10,10,
10,10,10,11,8,9,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,7,10,10,10,10,10,12,12,12,
11,10,11,10,12,10,12,10,12,10,12,11,12,10,11,11,9,10,11,10,11,10,11,11,12,10,11,10,12,12,
12,12,12,13,12,13,11,11,9,9,11,9,11,9,11,9,12,13,11,7,10,13,12,12,12,12,7,11,11,12,
12,10,10,9,9,9,9,11,9,12,10,11,9,10,12,10,12,10,12,10,12,10,10,8,11,9,12,10,11,9,
12,10,12,10,11,9,12,10,12,12,11,11,9,10,12,10,12,10,12,10,13,11,12,10,12,10,11,9,11,12,
11,11,9,11,10,11,9,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,13,11,10,13,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,10,12,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_13_latin_ext_s[560]={ 252,252,142,151,164,1,113,138,23,62,92,
84,99,200,155,10,25,40,143,122,34,160,123,159,199,175,201,111,197,130,227,
215,68,9,27,33,42,250,135,41,105,204,82,89,120,97,127,88,113,131,82,
105,74,129,18,1,234,218,66,106,34,111,122,210,174,155,184,141,176,147,168,
229,211,161,116,190,183,54,77,185,116,72,33,170,245,163,17,62,46,191,70,
77,4,83,166,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,252,252,229,
9,1,247,1,1,148,96,40,233,180,200,225,159,116,193,110,219,192,25,41,
188,206,104,213,1,73,64,55,49,49,65,90,122,184,39,222,221,177,58,1,
8,162,114,99,82,80,74,56,71,87,103,120,25,135,151,159,167,184,146,215,
245,64,56,48,40,32,240,177,209,1,247,239,231,88,72,64,56,189,48,173,
165,157,149,141,9,125,117,109,101,93,189,215,143,212,55,236,9,111,216,1,
17,222,63,33,229,49,40,203,193,239,15,170,32,155,24,139,131,57,133,107,
181,41,17,25,237,192,29,213,98,26,18,193,111,248,119,232,167,216,135,9,
7,182,248,47,54,16,64,200,208,241,105,97,230,245,206,197,177,167,201,17,
89,24,9,224,130,185,70,95,78,197,85,244,87,175,95,103,205,64,127,128,
131,121,103,181,145,79,153,73,96,48,9,31,23,81,138,231,1,236,17,221,
237,205,221,90,208,172,207,156,80,224,50,199,148,164,148,58,113,152,156,242,
137,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,140,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,45,37,173,144,14,190,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,123,138,31,23,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32, };
static unsigned short stb__consolas_13_latin_ext_t[560]={ 12,1,108,88,1,42,77,108,1,1,108,
108,108,108,108,42,77,88,88,77,98,77,66,88,66,87,98,66,87,108,87,
66,1,98,98,77,98,87,98,77,98,87,77,98,98,98,98,77,98,1,98,
77,98,77,98,98,87,87,98,1,42,1,108,108,108,98,66,98,66,98,66,
66,87,66,1,87,87,108,108,98,66,66,108,98,66,98,108,108,108,66,108,
1,1,1,108,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,12,16,1,
88,88,77,1,16,108,77,108,98,108,108,98,108,108,98,108,98,108,66,42,
108,108,108,98,108,77,77,77,77,42,42,42,42,42,16,77,42,42,42,54,
54,42,42,42,42,88,42,16,16,16,16,16,108,16,16,16,16,16,42,77,
42,66,66,66,66,66,29,98,77,66,54,54,54,88,88,88,88,54,88,54,
54,54,54,54,108,54,54,54,54,54,1,16,16,42,54,42,66,16,54,29,
66,16,54,29,42,29,54,42,42,77,54,42,54,42,54,42,42,29,54,42,
54,29,29,29,16,16,1,1,1,42,42,77,88,29,88,29,87,29,88,16,
1,29,98,54,1,16,16,16,16,98,29,29,16,16,54,54,77,77,77,88,
29,88,29,54,29,77,54,16,54,1,54,1,66,16,66,66,98,29,88,16,
66,29,88,1,66,16,66,29,88,16,77,16,16,29,29,77,77,1,77,1,
66,1,66,1,29,1,66,1,66,29,98,29,1,29,29,98,29,77,29,87,
77,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,1,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,1,1,29,77,1,29,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,1,66,16,16,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88, };
static unsigned short stb__consolas_13_latin_ext_a[560]={ 114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_13_latin_ext(stb_fontchar font[STB_FONT_consolas_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_13_latin_ext_s[i] + stb__consolas_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_13_latin_ext_t[i] + stb__consolas_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_13_latin_ext_x[i];
            font[i].y0 = stb__consolas_13_latin_ext_y[i];
            font[i].x1 = stb__consolas_13_latin_ext_x[i] + stb__consolas_13_latin_ext_w[i];
            font[i].y1 = stb__consolas_13_latin_ext_y[i] + stb__consolas_13_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_13_latin_ext_s[i] + stb__consolas_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_13_latin_ext_t[i] + stb__consolas_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_13_latin_ext_x[i] + stb__consolas_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_13_latin_ext_y[i] + stb__consolas_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_13_latin_ext_LINE_SPACING
#endif

