// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT        148
#define STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_15_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_15_latin_ext_LINE_SPACING          10

static unsigned int stb__consolas_15_latin_ext_pixels[]={
    0x0dcd6eb7,0x5cc03100,0x220284c2,0x4013001a,0x200d8018,0x42882a0c,
    0x2614c00c,0x00aaa601,0xb8298053,0x0010c2cc,0x86664c55,0x80a2000a,
    0x804c00da,0x10110008,0x0621100c,0x5ca60131,0x0fee2b75,0x2a02bae0,
    0x2ef5c1cf,0x00ddbeb8,0x07d80372,0x44d9034c,0x5c8bee5f,0x4c8fba60,
    0x981f7260,0x7dd303ee,0x3e65daa8,0x06ec07f1,0x01f455d7,0x19105f90,
    0xe980dd80,0xc82d803e,0x13f306cd,0x901d907d,0x2a2dd6ed,0x16c54406,
    0x2055026c,0xca81e46a,0x26014c00,0x2b81f501,0x207d0322,0x0132150a,
    0x150a81ea,0x2e02a150,0x14403145,0x001f42dc,0x03db1091,0x51150144,
    0x01f99301,0xa8d402aa,0x5b206601,0x0798b75b,0x6c07e64c,0x35555103,
    0x2a1a20f4,0x2aa204bc,0x555441aa,0x82a0fa1a,0x4c0f9828,0x89322aaa,
    0x5103d40a,0x20a23555,0x828adc19,0x23305119,0x2a8be85b,0xa82aaa98,
    0x5c24449b,0x54370911,0x1224fccf,0x0dc2446e,0x5b237091,0x0798b75b,
    0x213f33ea,0xfccf982d,0x336ab52e,0x02de8878,0x45df99f3,0x52efccf9,
    0x0f88fa0f,0x777643e8,0x17a2990f,0x667cc1ea,0xf83f12ef,0x41f8adc2,
    0x2f83f12f,0xf9d9d0b7,0x0feeec8b,0x3e60f744,0x40f99f40,0x7e64be3e,
    0x33e81f32,0x3e63e81f,0xb75c9f40,0x7c03e16e,0x1e85f992,0xbc96e4d8,
    0x80e8f9e9,0x5c9b00cb,0x64b726c5,0x07c47d06,0x21f102e4,0xf505e8cc,
    0x6c5b9360,0xd96e1ea4,0x549b1ea4,0x43ba16e7,0x81f101f8,0x07cc1aa9,
    0x3a07ccfa,0x9ec74f53,0xf99f40f9,0x81f31f40,0x016eb73e,0x3a7a8dd5,
    0x207d93d8,0xd9d96e3e,0xf881d78b,0x2dc7d02f,0x1365b8fa,0x501f11f4,
    0xcc87c40d,0x741ea04e,0x6cf516e3,0xd9ea5b84,0x5c9b3d44,0x81743e85,
    0x373aa0f8,0x7d03e64f,0x2e7d03e6,0x7cd72d16,0x40f99f40,0x7d03e63e,
    0x3602dd6e,0x968b5c2c,0x2e03ae6b,0x23a2fbbf,0xd70f5a9e,0x2efee0b9,
    0x7ddfdc2f,0x11f41362,0x440f501f,0x409db90f,0xf77f707a,0x03f15f05,
    0x1f8af8b7,0x2e1f8af8,0x81743e85,0x99ee00f8,0x0f99f40f,0x2976b9f4,
    0x3e81f35b,0x263e81f3,0x75b9f40f,0x20f1022b,0xd16e976b,0x83777b05,
    0x68cb9e8e,0x7b07abd8,0x777b0377,0x47d06b83,0x206b80f8,0x7f3990f8,
    0x5dec1ea0,0x0d5b901b,0x0d5b916e,0x0b71ab72,0xf101f87d,0x4cf75101,
    0x0f99f40f,0x23b6a9f4,0x3e81f34c,0x263e81f3,0x7089f40f,0x20f116eb,
    0xb1323b6a,0x83339f07,0x2dedcdae,0xf82f8fc4,0x9cf8199c,0x3e83cc19,
    0x813603e2,0x3e6990f8,0x39f07a82,0x0fbe6033,0x0fbe62dc,0x16e1f7cc,
    0x2206c8fa,0x3737a60f,0x27d03e67,0xf99f40f9,0x07ccfe79,0x3a07ccfa,
    0x27d03e63,0x116eb74b,0xf9e7e60f,0x77e41ec3,0x717b0efe,0x6cd50551,
    0xefeefc85,0x3bfbbf20,0x88fa0be0,0x100fc40f,0x2fa9321f,0x41fffffb,
    0x80efeefc,0xd0b700fe,0x207f401f,0xdfffe85b,0x3d83e200,0x221f89e6,
    0x7c43f12f,0x9b237f62,0x44be21f8,0xf88be21f,0xbbecbe21,0x20798b75,
    0xd86c8dfd,0x4fa0fc43,0x33bb005b,0x741f88f7,0x23e83f13,0x43d400fa,
    0x443d405d,0x3e202200,0x02741f41,0xe809d0b7,0x03e85b84,0x267f1ea0,
    0xfc8a747e,0x07e453a0,0xe81bffd1,0xa741f914,0x8a740fc8,0xb75b80fc,
    0xfd102ec4,0x43d501bf,0x44be62f9,0xf88110cf,0x262fffff,0x7ccbe62f,
    0x0b90be62,0xeb8bb111,0x70bb1180,0x7cc2dc0b,0x6444be62,0x4456e00e,
    0xec8880ec,0x03e85b80,0x7d45d88c,0x7f4c7aef,0x7ff4c1ef,0x2600f81e,
    0x74c1effe,0xfe981eff,0x2eb701ef,0xf801bf55,0x2e4eb800,0x6c43efff,
    0x43540dff,0x77ffdc5d,0x1f7ffdc3,0x6ffd40d8,0xffe80ec0,0x3602d80d,
    0x7dfff702,0xfe806fe4,0x201bf95f,0xff700dfc,0xfd00fa1f,0x000201bf,
    0x000e2000,0x5c000000,0x38800b75,0x80000000,0x0007a84d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08200000,0x19900110,0x01101300,0x98370b22,
    0x99999303,0x21806059,0x2004c409,0x3221b819,0x04400880,0x403004c0,
    0xb8088020,0x99301bcc,0x82211059,0x20060048,0x01884401,0x103040c4,
    0x47e21555,0x66f74c2f,0x403ac983,0x6f74c0dd,0xe83fe23c,0xcc982dc2,
    0xf982ccee,0x20bbd702,0x21fa00ec,0x3a613a3e,0x07dd303e,0xeed806ec,
    0x82f8fc40,0x676c3ee9,0x567dc3fd,0x2ebe983b,0x776c01e6,0x2605f300,
    0x2603e89f,0x46cdc82f,0x8a2dcdf8,0x20550809,0x0a201ee8,0xef885508,
    0x76d4cba4,0x00b702aa,0x2014c017,0x3a0e6019,0x222a0b93,0x0a88a80a,
    0x4ca60288,0x2a026281,0xc8f60a88,0xa9801fc6,0x94c03cc1,0x5402e019,
    0x00a80351,0x40b702aa,0x42442cc9,0x8370911b,0x99302cc9,0xd0faf885,
    0x3bbfbaa5,0x5405b80e,0x664c0bcc,0x42cc982c,0xbbe82aa9,0x5999300e,
    0x41cccca8,0x9502ccc9,0x2e122179,0x361664c1,0x009f1ae3,0x3cc2f32a,
    0x80bcca80,0x64c0bcca,0x5e65402c,0x261664c0,0x5e7d41cf,0x7d03e65e,
    0x547d03e6,0x7d45ebcf,0x23e25ebc,0x05b85d4d,0x9dd105b8,0x567dc3b9,
    0x75e7d43b,0x3a1fbaa5,0x59f700fd,0xfccca877,0x0eeb3ee2,0x23b99dd1,
    0xf51f40f9,0x56ecbd79,0x177d42fb,0x2dbcee88,0xcee880f3,0x33ba22db,
    0x2f3ea2db,0xccee885e,0x3af3ea1d,0xf8f7ecc5,0x07ccbe22,0x3a07ccfa,
    0x22f88be3,0x7c4be22f,0x5c2e8f98,0xd905b805,0x3e01fc01,0x0f50be22,
    0x0fe01fdd,0x01fc5d00,0x07cc03b2,0x3e22f8fa,0x205fddb2,0x2ec1efc8,
    0x05d80f30,0x88be02ec,0xf007642f,0x64417c45,0xf34d87ae,0x81f33e81,
    0x29b0f53e,0x1f14d87a,0x0b70bb36,0x00be0b70,0x6c3d409f,0x65f43d44,
    0xe8009f06,0x05f013e2,0x54fa07cc,0x2e7b4d87,0xf30fc806,0xf303cc01,
    0x5007cc01,0x02f89b0f,0x045361ea,0x2b90d7d9,0xf99f40f9,0xc86b9f40,
    0x22b90d75,0xb85ff10f,0xf985b806,0x4177d400,0x3d45c86b,0xfa85e9f4,
    0x545d002e,0x00f982ef,0x2e7d03e6,0x747b5c86,0x7a8fc403,0x03cc2aaa,
    0xa85554f5,0x35c2aaa7,0x401f32e4,0xff95c86b,0xb70b73df,0x267d03e6,
    0x85b9f40f,0x2b70b75b,0x10bf20f8,0x42dc025f,0xfc8800f9,0x16e16e1e,
    0x3e27d0f5,0x01efc883,0x3bf22174,0xf9803e61,0xb85b9f40,0x313dc7b5,
    0x26b9f221,0x33f32fec,0xfd935c33,0x2fec9ae5,0x7ccb70b7,0x16e16e00,
    0xa6435c33,0xf99f40f9,0xc86b9f40,0x22990d74,0x2e0be20f,0x85b80ffe,
    0x7e4002f8,0xa8990d70,0x07ea3e87,0x0ba00fc8,0x05f10fc8,0x5cfa07cc,
    0xf87b4c86,0x3bffff13,0xf99743d4,0x0f51ffff,0x4ba1ea5d,0x3e24c86b,
    0x1321ae02,0x3e07ccb7,0x97c43f13,0x4cbe21f8,0x0f99fc0f,0x207e01fc,
    0xf8044008,0x98fc4004,0xffd9fc0f,0x00440fff,0x0be01f88,0x813e1f88,
    0x4cbe21f8,0x0221fc0f,0x85f10130,0x7c40442e,0x42f89742,0x3f81f32e,
    0x81f3027c,0x37a16c3f,0x8a746c88,0x6453a0fc,0x32237a0f,0x36446f46,
    0xb701f910,0xbf705b80,0x42621313,0x446f47c8,0x2e16a06c,0xf9109885,
    0x10fb89a8,0xf71f2213,0xa741313b,0x237a0fc8,0x405b86c8,0x215f905b,
    0xfc82dc2e,0x57e45d0a,0x446f45d0,0x89dfb86c,0x32237a09,0xbffb1006,
    0x1effe981,0x20f7ff4c,0x440dffd8,0x3200dffd,0xd805b01e,0x3bffaa02,
    0x3bffff10,0x00dffd88,0x220b60fa,0x5c1dffff,0x3fe22eff,0xfea81dff,
    0x3ffa60ef,0x6ffec41e,0x16c02d80,0x83dfff70,0x3ffee02d,0x77ffdc1e,
    0x037ff621,0x1077ff54,0x0001bffb,0x00000000,0x00000000,0x00010000,
    0x40016d40,0x00080000,0x00000000,0x00011000,0x00440088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08817995,0x2e164411,0x30030c41,0x05993015,
    0xb8488088,0x407776c1,0x04c40020,0x00130088,0x00110022,0x03320041,
    0x664c04c0,0x00b2202c,0x80098013,0x0eeed828,0x130c0110,0x74404c30,
    0x7442dbce,0x83fe21ec,0x03ecd82e,0x67d417d4,0x7dd305eb,0x21f40f98,
    0x1f881999,0x04e8805f,0x0b707dd3,0x2607dd30,0xf883cdee,0x2b2605f1,
    0x5c0dd803,0xd103bacf,0x200dd809,0x85b800dd,0x1f601999,0xd705deb8,
    0x401760bb,0x1f7c40a8,0x2006a05d,0x117c1d8a,0x1511505f,0x30fa07cc,
    0x098a0599,0x11500cc0,0x400f8815,0x2100a88a,0x0098a02a,0x28803dd1,
    0xaa9807f0,0x22014402,0x4887a002,0x402981b8,0x9814c029,0x7995000f,
    0x2e9ebe21,0x100de65c,0xd87a8f75,0x4ce20aa4,0x9f51f40f,0x4c1dcbd7,
    0x41bccb84,0x2644983b,0x2e0065c0,0x0065c00c,0x6664032e,0x013e1ccc,
    0x1220fb93,0x204983b8,0x3a07cc6a,0x33333323,0x99999931,0x66666645,
    0x0aaa9ea1,0x47733ba2,0x85d3e8f8,0x983fdced,0x1ae3fedf,0x6984c972,
    0x3e3e81f3,0x07d4be22,0x373b613a,0x9d03ea3f,0x7fc40798,0x80bfe202,
    0x3e202ff8,0xb999902f,0x0177d43f,0x503cc1ea,0x3604e81f,0x8fa07cc3,
    0x31fdcccc,0x4599dd99,0x21fdcccc,0xc8bfb26b,0xd51f100e,0x3647b0ba,
    0x70fbd9f4,0x425cb70d,0x3e81f35a,0x2f49b0f5,0x647b01f5,0x01f52f46,
    0x2e75c05b,0x5c0b9d70,0x33ae05ce,0x9109d005,0x41ea03df,0xf52f4079,
    0xf303e201,0x13a03e81,0x44e802dc,0x0be2e87a,0x5d5f0f88,0xf31ae3d8,
    0x86b975e2,0xa8c56e5c,0x73e81f35,0x8fccb90d,0x35c7b03e,0xa81f47e6,
    0x81eaf606,0x2f607abd,0x1eaf607a,0xf9003ae0,0x1e60f501,0x80fa3f30,
    0x740f984c,0x2e01d703,0x440eb805,0x0f99742f,0x775c3e20,0x17dd6ec2,
    0x33da5de6,0x56a3f81f,0x87e2976c,0xb70b72f8,0x3606add8,0xdd82fbad,
    0x440fc06a,0x3f105f1f,0x7c7e20be,0x05f1f882,0x7c400fcc,0x0f307a81,
    0xf80d5bb0,0x1f40f981,0x0b700fcc,0x5f901f98,0x007ccba1,0x0bfe21f1,
    0xf105fddb,0xee8ba3b1,0xeb546c88,0x453a4b9f,0x1321ae7c,0x76c05ff1,
    0x5ff102fe,0x26a85b80,0x1766a85d,0x6a85d9aa,0x884e8176,0x2a0f9109,
    0xf100f307,0x982d405f,0x2741f40f,0x09d016e0,0x11efffb8,0x907c405f,
    0x0d73d85f,0x223ddf76,0x74c0dffd,0x223cbcd9,0x3e61effe,0x03641fc0,
    0xd9035cf6,0xdd81f100,0x9dd87b99,0x99dd87b9,0xb99dd87b,0xf101d707,
    0x2a03bfff,0x3200f307,0xf8817406,0x1d70be21,0x3ae05b80,0xf8098800,
    0x6c011004,0x3fa20fa3,0x20d701ef,0x3ce9bcf8,0x11bd05a8,0xb016e0d9,
    0x05b81f47,0x7ffc47b0,0x3fe22fff,0x3e22ffff,0x222fffff,0x42ffffff,
    0x1f4402f8,0x03cc1ea0,0x01a605b8,0x883f229d,0x105b802f,0x416e005f,
    0x80989dfb,0x7b8f605b,0xbf1005b0,0x43be21b9,0x103e82ef,0x2e01bffb,
    0x0f71ec05,0x534c016e,0x4354bb0d,0x9761aa5d,0x6ec5d86a,0x1f809999,
    0x9f983d40,0x40b70199,0x7ff4c03d,0x4cceec1e,0xbb05b809,0x36013333,
    0x3bffaa02,0x0f602d80,0x4400907f,0xf937c1cb,0x0007b505,0x21ec05b8,
    0x2005b83f,0x4f509b0c,0x1367a84d,0x7a84d9ea,0x3fffffe2,0x3ff60182,
    0x3fe60fff,0x05b81fff,0xf1000032,0x705fffff,0xfffff10b,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30009880,0x98601101,0x133332e0,
    0x20608044,0x02aa6020,0x00440131,0x20088098,0x4004403b,0x2aaa602d,
    0x9806a200,0x4c418800,0x2004c000,0x17995059,0x04102618,0x10799995,
    0x401100c3,0x2007640a,0x707d80dd,0xeecb8bbd,0x83ee984c,0x8fc46cdc,
    0x0b33b22f,0x3ba603b2,0x81bb03cd,0xcdc83ee9,0x03ee980d,0xe9839f71,
    0xf901fcff,0x0037605b,0x01d905f3,0x95003760,0x1dccee88,0x3e22ef5c,
    0x333ae5f1,0x07d9b03c,0x84f983ec,0x980a2019,0x5b80a602,0x202a22a0,
    0x426280aa,0x019800f8,0x81440aa1,0x02a0a88a,0x702a22a0,0xfe879fbf,
    0x1f103f5f,0x0a801440,0x0a200660,0xec8376a0,0x45029800,0x5400b709,
    0x15014c01,0x51e66654,0x65c79999,0x85914ccc,0xca82dc1b,0x332e3ccc,
    0x3332a4cc,0xcb813e3c,0x332e4ccc,0x3332e4cc,0x33332e4c,0x84880fa4,
    0x21e2be1b,0x03f5fff8,0xb85910d7,0x07999501,0x0cb80197,0x49bddd10,
    0x6665402f,0x33332e3c,0xcc880b74,0xccca80ac,0x3ae0b83c,0x33ae3ccc,
    0x3bb2e3cc,0x741ff14c,0xceb82dc2,0x3bb2e3cc,0x3333ae4c,0x705ddf33,
    0x65c99dd9,0x3b2e4cee,0x3bb2e4ce,0xf880fa4c,0xd39f1f40,0x3ebfff10,
    0xff885c81,0x6ff40ba0,0x017fc42a,0x57605ff1,0x7003e61e,0x65c7999d,
    0x99d74cee,0xdccf9879,0x66675c2f,0x816e1f83,0x445b805b,0xb70ba3ef,
    0x16e016e0,0xfb97416e,0x2dc0b703,0x42dc0b70,0x7c41a8be,0xbff51f40,
    0x0fd7ff20,0x4499dd99,0x260ba3ef,0xb9d703de,0xf82e75c0,0x007cc1f2,
    0x716e016e,0xf987999d,0x05b83ea0,0x05b87ee2,0x116e016e,0x2e174f5f,
    0xb700b705,0xa8fa0b70,0x2e05b80f,0x5b816e05,0x23fcede8,0x221f40f8,
    0x4ca81efd,0x567d543f,0x2e9ebe22,0x7b03dbc8,0x3d5ec0f5,0x2f878af8,
    0x2dc02dc0,0x81f3016e,0x7c416e3e,0x66675c1b,0x0f333ae3,0x7d1f116e,
    0x2e0b70ba,0x5b83ccce,0x53ccceb8,0x2e07e25f,0x5b816e05,0x43ba16e0,
    0x3333e26a,0xfbbc83fc,0x17c0fc00,0x2e9f47c4,0x0d6ec7c4,0x220be3f1,
    0x39b05f1f,0xeb809b0d,0x45b83ccc,0x207cc05b,0x3333ae4d,0x33ae0d53,
    0x333ae3cc,0x7c45b83c,0x2625d6a8,0x675c19ec,0xb85b83cc,0x3aa3ccce,
    0x40b705dd,0xb816e05b,0x43e63e85,0x3fccccf8,0x401f89d8,0x440fc41f,
    0xb85d6a8f,0x35479db5,0x2ecd50bb,0x515777d4,0x5c1313bf,0x5b83ccce,
    0x204ccf5c,0xd726c0f9,0x03ea7999,0x805b816e,0xaf87c45b,0xfffffb2e,
    0x85b805b8,0x01fc805b,0x702dc0b7,0x1f42dc0b,0xd03e21f1,0x36ba6a27,
    0x260fc00f,0x2be1f107,0x1ecdf42e,0x43dcceec,0x107b99dd,0xfe9839db,
    0x2016e0ef,0x7fffdc5b,0x93e07cc6,0x86bb605b,0x2016e05b,0xeb87c45b,
    0x5b89902e,0x05b85b80,0x816e07d0,0xb816e05b,0x43e23e85,0xe89f40f8,
    0x4c00ceff,0xf8835c0f,0x7cc5dd70,0x7fc43fff,0x3e22ffff,0x902fffff,
    0x5b835407,0x1e405b80,0x21fa83e6,0x73f5c05b,0x75c1333d,0x32620999,
    0x221f119e,0xb85f02ff,0x2620999e,0x27ae19ec,0xf9557099,0x19ec9881,
    0x8867b262,0x26219ec9,0x88fa19ec,0x3e81f10f,0x77d1034c,0x81fdccbd,
    0x45ff10f8,0x0d50f64d,0x2ec354bb,0x40f202d8,0x220999eb,0x3f019ec9,
    0x4fc99f98,0x004ccf5c,0x737fffdc,0x7ecdffff,0x41f17fff,0x43b502fc,
    0x366ffffb,0x3ee7ffff,0x79956fff,0xfffffb01,0xb3ffffec,0x7ecfffff,
    0x88fa7fff,0x3e81f10f,0x3326024c,0xf101e543,0x0f897e41,0x426dfff6,
    0x1ea1367a,0x2011006c,0x366ffffb,0xb707ffff,0x16fffcc3,0x037fffdc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x10065c01,0x440c100c,0x80284c00,0x1dddb028,
    0x6c4a9980,0x01880eee,0x10014428,0x01a88a85,0x05098298,0x198298d4,
    0xa8509833,0x21501a88,0x0eeed80a,0x02982a80,0x04302a15,0x8aa00530,
    0xff882ffc,0x81b37202,0x774c6cdc,0x5deb83cd,0x02bf2a60,0x99003333,
    0x01999879,0x22fb80fb,0xde8801fa,0x0ff3b3a5,0xdeb81ea8,0x3d51d705,
    0xb81dbd10,0x676745de,0x04dea83f,0xbb003333,0xa83ee981,0xf8fcc4de,
    0x403ee983,0x41fb80dd,0x55405ceb,0x84055400,0x300aa02a,0x65c19fb9,
    0x66404ccc,0x33332a0a,0x1c402983,0xa8cc00fc,0x81aa1dd1,0xa80aa00a,
    0x05440150,0x50ee82a8,0x9700a60d,0x15028801,0x140a602a,0x80542a03,
    0x362ec028,0x065c07ab,0x13cccca8,0x5441b859,0xd953101a,0x099dd970,
    0xd709b551,0xaa887999,0x6c6aa201,0x46aa2004,0x2203e63e,0x1aa881aa,
    0x88035510,0x0d54c1aa,0x440f98fa,0x5ff101aa,0x20555440,0x5440aaa8,
    0x2882a0aa,0x0a851054,0xf11ec0a2,0x7fc40be3,0x7999d702,0x22e83fe2,
    0x4c3fcde8,0x2e06ecee,0x9f9df505,0x6f440b70,0xddfc83fc,0x03511316,
    0x1f5b77f2,0xddfc81f1,0x27eefcc6,0x413f77e6,0x3aa6ddfc,0x88fa4fdc,
    0x3f37a20f,0x105ceb83,0x7c45b9bf,0x37e22dcd,0xf88fa2dc,0x20f88fa0,
    0xdc83e23e,0x05d9aa0e,0x16e0b9d7,0x45d1f7c4,0x4e83e64d,0x885b81aa,
    0x16e1322f,0xa83e64d8,0xf9db901f,0x3e81fa8b,0x01fa83e2,0x3a1f98fa,
    0x3f507e63,0x23e9ee00,0xf99360f8,0xb83d5ec0,0x5b816e05,0x20f88fa0,
    0x3e83e23e,0xd82f83e2,0x7b07b99d,0x4416e0f5,0xaf8ba7af,0x3f11f999,
    0x50b70354,0xceb84c8f,0x266be3cc,0xc81361f9,0x04d8f31f,0x9b07c47d,
    0x4fa07c40,0x361f40f8,0x27ba8804,0xaf83e23e,0x3e21f999,0x39f305f1,
    0xf3039f30,0x7c47d039,0x20f88fa0,0x0f83e23e,0x7fffffc4,0x82f8fc42,
    0xf13ccceb,0x7c4ba7d1,0xf31eeeee,0x0b703541,0xeb84c8b7,0xddf13ccc,
    0x026c3ddd,0x1361f899,0x6c1f11f4,0x4f61e604,0x26c3d879,0x4fb9bd30,
    0x7c43e23e,0x2a1eeeee,0x7ecc1766,0x0f7ecc1e,0x3e87bf66,0x223e83e2,
    0x0f88fa0f,0x1761aa06,0x75c2ecd5,0x51f13ccc,0x203f8bad,0xb81b21f8,
    0x426c7b85,0x700fe05b,0x87e2640d,0xb8f5006b,0x5d03e206,0xb85d03e2,
    0x8798f606,0xd807f008,0x4407b99d,0x20d9106c,0xf98f66c8,0x20f98f60,
    0x6c43e63d,0x23d426c1,0xb87b99dd,0x2be1f105,0x4087b22e,0x206eb8ce,
    0xc8af885b,0x3205b84f,0x17f1021e,0x10fc4c86,0x3620617f,0x4185fc45,
    0x4bd1ae5e,0x30bf886b,0xb87e99fc,0x1043d905,0x85ffffff,0x2089b208,
    0x26c8226c,0x20fe98eb,0x20fe98eb,0x30fe98eb,0x88f2005f,0x42ffffff,
    0x2e1f105b,0x3ff222ee,0x56ffcc6f,0x19ec9886,0x425e7fdc,0x220999eb,
    0xc986fffc,0x3f1325ff,0xe85ffc98,0x5ffc980d,0x2077fec4,0x300effd8,
    0x7fd4bff9,0x102d87ae,0x354dfff9,0x3fff22ec,0x3bfff21e,0x87bfff21,
    0x20faefd8,0x20faefd8,0x20faefd8,0x543f1000,0x4f5c5d86,0x221f1099,
    0x000102ff,0x07ffffd8,0xdffff700,0x26400020,0x0000007e,0x00000000,
    0x40400002,0x1107a84d,0x01100440,0x04004004,0xb1db8000,0xffb8f509,
    0x641f16ff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000153,0x43010c43,
    0x98043100,0xa9855002,0x30284c00,0x01ed8805,0x2a014c6a,0x29802182,
    0x0a985500,0x440a6330,0x804301ed,0x014c0218,0x0054c2a8,0x2a201551,
    0x9a981aaa,0xec814402,0x87a39800,0x4c3dede9,0xde987f1f,0x3ee983de,
    0x76406ec0,0x4177ae00,0xba84edf9,0xd51d7049,0x2606ec03,0xdd307f1f,
    0xc80dd807,0xedddb80e,0x9849ba86,0xde987f1f,0x3ee983de,0x76406ec0,
    0x2fddf880,0x177e67cc,0x80fd9fd1,0x20066079,0x14c20a5b,0x29840628,
    0x4402a150,0x2a00cc02,0x07fbd302,0x85407ba2,0x280a200a,0x00a85406,
    0xb8198051,0xdd107e3f,0x21018a03,0x02a15029,0x20660144,0x49b1724d,
    0x0f326c5b,0x220a8798,0xaaeda982,0x10510542,0x2aa20355,0x20355101,
    0x55101aa8,0x81441503,0x220a86e9,0x50510542,0x2a20aa35,0x0355101a,
    0x54406aa2,0x02a2dc1a,0x2a603553,0x0355301a,0x54c06aa6,0x8355301a,
    0x3e87d12e,0x3cc5f16e,0x3e87ba98,0xfdd503e2,0x11f41ddd,0x7eefcc1f,
    0x27eefcc4,0x313f77e6,0xf989fbbf,0x11f44fdd,0x7e77441f,0x41f11f43,
    0xda83e23e,0x223edefc,0x7443fcde,0x6f443fcd,0x66f443fc,0xd5016e3f,
    0xcea89fb9,0x6e7544fd,0x7ee7544f,0x27ee7544,0xf93f73aa,0xbfb84e8a,
    0x983e22fb,0x3f67f447,0x201f11f4,0xf88fa05b,0x21f98fa0,0x3e87e63e,
    0x263e87e6,0x1f98fa1f,0x360f88fa,0x447d1ea4,0x0f88fa0f,0x4d9aad90,
    0x264d83e6,0x0f99360f,0xb70f9936,0x5c07b800,0x2e03dc07,0x2e03dc07,
    0x6c1eabe7,0x0fc41bbb,0x1e64d8f7,0x700f88fa,0x1f11f40b,0x227d03e2,
    0x0f89f40f,0x740f89f4,0x23e81f13,0x7c43e23e,0x23e87e20,0xf88fa0f8,
    0x54edcc40,0x3e666be7,0x3e666be1,0x3e666be1,0x3e666be1,0x2a200b71,
    0x0f75107b,0x5441eea2,0x0f75107b,0x8af9eea2,0x199cf84f,0xf8ff54e8,
    0x88fa1e62,0x740b700f,0x43cc3e23,0x27b0f33d,0x0f33d879,0x8f61e67b,
    0x7cc3e23e,0x447d17c0,0x0f88fa0f,0x333b77e6,0xdddddf14,0x3bbbbe23,
    0xddddf11e,0x3bbbe23d,0x980b71ee,0x74c7dcde,0x6f4c7dcd,0x66f4c7dc,
    0x6e6f4c7d,0x3ee6f4c7,0xf917a65f,0x7cc1dfdd,0x83e279df,0x3e63d879,
    0x1ec0d700,0xd03e21f3,0x25d03e25,0xf89740f8,0x40f89740,0x0f98f62e,
    0xb0fc43f1,0x47b07cc7,0x35d360f9,0x01fc03f8,0x007f00fe,0x798f6011,
    0x3d8f31ec,0x3cc7b1e6,0x1ec798f6,0x5f117cf3,0x407d07e2,0x7b87e279,
    0x0fe98eb8,0xd7025f10,0x2f41fd31,0x1ae5e8d7,0x97a35cbd,0x8d72f46b,
    0x20fe98eb,0x1d71b25d,0x475c1fd3,0x23320fe9,0x0f6411fe,0x9021ec81,
    0x87b2043d,0x27f05b80,0xe99fc7e9,0x47e99fc7,0x3f8fd33f,0xd33f8fd3,
    0x25f117cf,0x80be62f9,0x7546f479,0xfaefd887,0x83ffae00,0x20faefd8,
    0x440effd8,0x6c40effd,0x7ec40eff,0x7fec40ef,0x577ec40e,0x37ff620f,
    0x7d77ec40,0x3ebbf620,0x3eebfa60,0x3fff224f,0x37ffe446,0x11bfff22,
    0x5b0dfff9,0x1ebbfea0,0xa8f5dff5,0x7d47aeff,0x7fd47aef,0x77fd47ae,
    0x3feabe7a,0x1f7ffdc4,0xbff31e60,0x000040f3,0x00000020,0x40000000,
    0x00100000,0x04010001,0x40040040,0x40040000,0x00800800,0x00008008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x20040a20,0x288a20a9,0x54015198,
    0x414c2a88,0x07ffd829,0x021881d8,0x29806aa6,0xfb06aa20,0x014260ff,
    0x37091053,0x18179950,0x301d0002,0x50166555,0x401aaa85,0x555300a9,
    0x1a8802a0,0x2aaa2144,0xd11e63e8,0xd9d507ff,0xf83f11e4,0x767407d2,
    0x3e1f65fc,0xba88000f,0x3dede987,0x427ee754,0xdfc83ee9,0xdeb8006d,
    0x887dd305,0xdd11f40f,0x8fcc3b99,0x3549103f,0x0997dc98,0x3b3206ec,
    0x980ec803,0xacea87dc,0x321fb881,0x2b737e23,0x2b91e63e,0x8f9640fa,
    0x9ea4d86a,0x443ba03e,0x0970311f,0xbf303553,0x0a6107fd,0x542a1ee0,
    0xa8807ea0,0xa80aa01a,0x207c4150,0x5003b23e,0x0ccf300c,0x88055ea0,
    0x9801ec02,0x3f21ea01,0x0fe883cd,0x3e85b8d5,0x3e29b1e6,0x747c6640,
    0xe9367a81,0x21f42a8b,0x2a00532e,0x9f44fdce,0x222a0fbd,0x1eea201a,
    0x09b05553,0x21fe6f44,0x81982aa9,0x3e81f128,0x555300be,0x54007980,
    0x00aaa607,0x2aa9807b,0x4fa15ea0,0x07a7d100,0x31f439f3,0x84e9fa8f,
    0x204caed8,0x33a1f8af,0xf0fa5fce,0x5c0016e5,0x2ebc5e67,0x30ff3b3a,
    0xea8fb9bd,0x3604d87e,0xeea83e64,0x16a84c87,0x1f33e81f,0x407eea80,
    0x03d40079,0x3d80fdd5,0x503f7540,0xfdbe8bdf,0x3237e61e,0xd3dfb304,
    0x3fe23d47,0x64069803,0x887746ad,0x8fc47d1f,0x5101885b,0xb4bbccf7,
    0x46a87747,0x3d41e63d,0x335f035c,0x70f503f3,0xf8adca6b,0x00f99f40,
    0x07980f50,0x3d403d40,0x503b8f60,0x207faa0f,0x260b92fe,0xeeec8806,
    0x37a0fe98,0x27a07d4f,0x87df3008,0x13e9743e,0x7f42dcbb,0x9f737a60,
    0x45d1d8f8,0x3f83e63e,0x21ea0fd3,0x3e230bf9,0xa81eeeee,0x32db6a87,
    0x13e81f14,0x01ea005f,0x07a800f3,0x89ec07a8,0xa87a81ff,0x4c7d07bd,
    0x88313d07,0x3bfbbb20,0x3e6d56d9,0xebcc82fb,0xe81fd03e,0xfffe9743,
    0x3ee1ae0c,0x6c798f62,0x23e8f77d,0x3bfea0f8,0x260f507a,0x00fe5ffe,
    0xeebc43d4,0xf81f13d9,0x3d4013e2,0xf5001e60,0x3d80f500,0x503d4132,
    0x0f88fa0f,0x321fea64,0x02e9efff,0x987fb96e,0xd0799e8e,0xd1f87d09,
    0x7d435c07,0x23f4cfe0,0x741effe8,0x5c203e23,0x3540f504,0x2a010f64,
    0xd9795f07,0x7d423e23,0x26277ee1,0x3cc07a80,0x2a01ea00,0xa801ec07,
    0x1f41ea07,0x5c74c1f1,0x3a4c81ec,0x7d4bea03,0x99e9740f,0x203b2226,
    0x03e9b23e,0x43fc89b2,0xd87aeffa,0x0f88fa02,0x03d40be0,0xfff91099,
    0x7741ea0d,0x1f10ff8a,0xfd507ff7,0x80f501df,0x401999f9,0x407a807a,
    0x40f5003d,0x7c47d07a,0x27e7cba0,0xb807d16c,0x2e6ebfff,0xfc8bbea5,
    0xbfff900d,0x4d901f41,0x900200a8,0x03e23e80,0x3ff62da8,0x00440fff,
    0x7fffec02,0x07e9f60f,0xfffb0000,0xfff301ff,0xfffb03ff,0xfffd81ff,
    0xffff10ff,0x3fff60bf,0xffffb0ff,0x1f11f41f,0x82e9996e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26144298,0x10c41442,0x102f32a0,
    0x2aa60355,0x3260aa00,0x150a82cc,0x15400620,0x98399995,0x666542cb,
    0x02cc982c,0xcc982a15,0x0510541c,0x7ec05973,0x02a1507f,0x1cc1fff6,
    0x402f32a0,0xcca83ca8,0x0aaa64cc,0x70660066,0x3ee3c8ff,0x37a61e47,
    0x677443de,0x337a22db,0x337fa23f,0xfb81bb02,0xdea83bac,0x3601f604,
    0x3f332a0d,0x93af3e62,0x542ccceb,0xea85ebcf,0x7e55d44d,0x20f88fa2,
    0x005daaeb,0x00137aa0,0x2fae05b8,0xcdfb86eb,0x56edf643,0x321f7262,
    0x4c47e804,0x4f311aa7,0x20a6106a,0xf326c05d,0x0a201b21,0x029801fc,
    0x00a2014c,0x3e63e8ba,0x22f80970,0x802982f8,0x0f88fa4d,0x21ec61d3,
    0x14c0a20a,0xa9835510,0x1f42aaed,0x807d41f3,0x540990f9,0x39804c87,
    0x2607a798,0x2aa607a7,0x7c00f982,0x7d1f999a,0x40d44540,0x5554c04f,
    0x55554c2a,0x155554c2,0xb83e25d0,0x3d40972f,0x0a63326c,0xf11f47b0,
    0x2fbe6f21,0x1f11f469,0x4c0d4454,0x3aa4fddf,0x320eeefe,0x407b1b25,
    0x7a81325b,0x4c2a24c8,0x995882aa,0xa8265620,0x2a7a87ee,0xdddf10aa,
    0xe80ba3dd,0x7d43fcec,0xfddd902e,0x6feeec8d,0x037f7764,0x76c5e65d,
    0x859df73e,0x36e5c86b,0x6dcc6edd,0x21f11f44,0x3a3c3d9e,0xece83e23,
    0xf31f43fc,0x36205b83,0x6e7c0ede,0xdc9321de,0x4c87a82a,0x3f754bd1,
    0x0d300d30,0x64d70f50,0xe80fe2fe,0x3543ba02,0x300f7e44,0x00fcc03f,
    0xa97403f3,0x269b4faf,0x16e4fcaa,0x3e3fb96e,0xd8bf72a1,0x6cf43e63,
    0x447d07c2,0x3543ba0f,0x513e81f1,0xd90355db,0x4efc43dd,0x649b0fb9,
    0xc87a83ce,0x0f505e8c,0x3d00c4f4,0x543d4031,0x87b22e87,0x23e80ba0,
    0x03f200f9,0x3f880fe2,0x5d00fe20,0x03d8bfe6,0x26435cf7,0xf500a8b7,
    0x3fa63ae1,0x135d75b0,0x83e23e8f,0x3cc3e63e,0xefee99ec,0x1f92ec3e,
    0x2e4ba0fc,0x643d4099,0x41ea04ec,0xc84ee8cc,0x1ea03fd4,0x445d0be2,
    0x0ba6fffc,0x803e23e8,0x404d81f8,0x4026c04d,0x7c45f12f,0x07ccf501,
    0x2005b8fe,0x5dfb10f9,0x4e556e1f,0x1f31ec5b,0x221f11f4,0x1ae1740f,
    0x5d17c1f8,0x264f72e8,0x9db90f50,0x074c3d40,0xcb8e9897,0x320f501e,
    0x3205d0af,0x47d01744,0x221310f8,0x6406c87c,0x9a836406,0x23b20fb8,
    0x4e9826c8,0x236446f4,0x5d88205b,0x23e89708,0x4c75c0f9,0xf88fa0fe,
    0x886b97a0,0x2a4f812f,0x7d43ae0f,0x0991bf10,0x7ce643d4,0x45d0f503,
    0xcf9740dc,0x5c0f504f,0x5d01efff,0x88fa02e8,0xbffff10f,0x2a00fa83,
    0x403ea00f,0xfd82effb,0x3fff60df,0x0dffd883,0xfffb02dc,0x22174019,
    0xd881dffd,0x8fa0faef,0x3ff620f8,0x1ffd700e,0x4177ff4c,0x74c1effd,
    0x7a87ffff,0x505f34c8,0x3fea5b8f,0x2e9996e6,0x07ffffec,0x16d40088,
    0xf11f405d,0x7fec0101,0x3ff60fff,0x3ff60fff,0x00000fff,0xb7000022,
    0xb5000880,0xd0040005,0x00007c47,0x00040000,0x1fffffb0,0xfb2fa932,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa9800000,0x40370911,0x1503982a,0xa800c880,
    0x02cca80c,0xca80fffb,0x190723cc,0x332065c0,0xaccc80ac,0x94c00dc0,
    0x9300ea29,0x39950750,0x33260808,0x9972cccc,0x99300037,0x882b8005,
    0x2370910c,0x9973882a,0xddfa8999,0x03e81f34,0x20b701bb,0x007c403e,
    0xec81ffd3,0x40002fcb,0x8be2adfe,0x3ff301f8,0x43fdcdf8,0x3a3fdcdf,
    0x3c9dc01c,0x88fa0172,0x75df641f,0x52e83f10,0x29333537,0x203fdced,
    0x3eefae3d,0x36403a63,0xe81f135c,0x2ed30993,0x1ec4ceec,0x20fa07cc,
    0xaeda9828,0xf100fa2a,0x3e6f6061,0x53172040,0x3de98055,0x7fffffec,
    0xf83f5d07,0x22f83ea2,0xdfffd0fa,0xbd9cd983,0x1f500b91,0xc80be136,
    0x2aa5dede,0x7b489dc9,0x12f44364,0x3ee3d43f,0x1f40f981,0x973e81f1,
    0xf05b8b50,0x3e81f303,0x3aa14c66,0x7d0eeefe,0xd7f10351,0x2007cc09,
    0x03f7546b,0x7f10f6f2,0xb905f333,0x3e85f07e,0x8fa7d0be,0xddfd30fc,
    0x40172bdf,0x7c40f9cd,0x3eafe600,0x48d98aa3,0x3e635c7b,0x1f107cc3,
    0x23f83fa8,0xd03e20f8,0x5a8c56e7,0x5f3312dc,0xd03e6133,0x376eedc7,
    0xcede82dc,0x00efdc3f,0x07d003e6,0xd8f881ea,0x266fe1ad,0xf87cc1f9,
    0x4d937f21,0xea6c9bf9,0x747a17c3,0x30771720,0xafa887df,0xd92dc099,
    0x291b5154,0x2a2fbadd,0x222f882f,0x644e981f,0x99f11ae5,0x656a7f99,
    0x2a5b8976,0x32eeefee,0x3ee3e81f,0x20b707e3,0x764d50ee,0x00f9800f,
    0x207a81b2,0x7c79db5b,0x741feeee,0x4dfc87e2,0xb26fe576,0x42f88fab,
    0x12e41f0f,0x76cc41ff,0x3bbfa619,0x4d72e41e,0x29117d2a,0x7d42feed,
    0xfdddf702,0xf989d103,0xccf887b0,0x3ad53fcc,0x82dc4b9f,0x740f981f,
    0xb81516e3,0x87cc7d05,0xf9800f88,0x5401d900,0x0f66fa07,0x2e1f88be,
    0x20af999e,0x85f27c2f,0x9b667d4f,0x2cfccfca,0x7644c8b9,0x07c46efe,
    0xa93a3f50,0x73da4492,0x2207f30d,0x7cc0f899,0x81f15f03,0xe99f40f8,
    0x5c3cbcd9,0x3f103f05,0x00b717c4,0xf88fa0d7,0x26003e20,0x400ec80f,
    0xffff307a,0x0fc45f07,0xbdfdddd7,0x7c3f317c,0x7ff47e62,0x2bee60df,
    0x00b91afb,0x00f882dc,0xa93fffea,0x23da4472,0x405e883e,0x900fdc5b,
    0x81f10d7b,0xd379f13e,0x3f05b879,0x07e453a0,0x25f100b7,0x20f88fa0,
    0x44199af8,0x3f21afa9,0x7a80999a,0x7c1ec9b0,0x3f007e22,0x45fc9bf8,
    0x3a5fc9bf,0x2cda600c,0x206667b2,0x447ffffd,0x115f100f,0x124aa5f3,
    0x107b8f69,0x7e4cc47b,0xf3003a60,0xe81f107d,0x3be1df13,0x833d9312,
    0xdffd301f,0xd7005b83,0xf88fa1ff,0x3ffffe20,0x3fffff61,0x5ffffff1,
    0x87ffffec,0x9fff60f8,0xf007e22f,0x83dfff83,0x1f43dfff,0x322d56a0,
    0x2e07ffff,0xfffffa85,0xda860a1f,0x7b4ccccc,0xdf9003f8,0x7fc00019,
    0x1f40f880,0xfd97e4df,0x00fc7fff,0x8000b700,0x0003e23e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22032e00,0x71cccccc,0xcc981799,0x9912cccc,0xccca8159,
    0x3333323c,0x4930771c,0x9115c0c9,0x0488e443,0x910c886e,0x99931b85,
    0x33265999,0x379973cc,0x5106aa20,0x2a355035,0x2aa60a62,0x20510541,
    0x1555105b,0x882a8544,0x02aa01aa,0x44555553,0x2198d40a,0x2ff880a8,
    0xfccccc88,0x47f99bd1,0x2cceecc9,0x45fb99f3,0x323ccceb,0xf51fdccc,
    0x52744e81,0xf92fcc1f,0x23e81e67,0xe83fe24e,0x99dd9932,0x4f333ee5,
    0x645fdcde,0x37a26ddf,0x3f36a3fc,0x41ff3ede,0x3a4fdcea,0x16e03e23,
    0x44b737e2,0x22eecfce,0x4c4fddf9,0x3b22dabd,0x736c6fee,0x2f45321f,
    0x5005ceb8,0x20f51f4d,0x2a0f985b,0x7400b70f,0x81f52f44,0xe987d1fa,
    0x1e67bd0f,0xf88b93e8,0x16e0ba3e,0xf31f41ae,0x26c07ea3,0x2ad901f3,
    0x27b80976,0x2e03e23e,0x2b705b85,0x8fa6a8fc,0x37a761f9,0x41f980d9,
    0x321f8be8,0x2f605e8c,0x745d007a,0x42dc1aa3,0x5b9f40f9,0xf981d700,
    0x2f7607d1,0xdabcda86,0x5f40f34c,0x3d7c40eb,0xd70b705d,0x365f0fa0,
    0x2666be04,0x276e621f,0x7ba8807a,0xf30f88fa,0x267fffff,0xfb9e41cf,
    0xe81f17ba,0x739b1b13,0xf303f885,0x04ecc87d,0x2017c7e2,0x7656f46a,
    0x0d76d4c1,0xd74d81f3,0x3f307999,0x881ab760,0xe9da81ff,0x40f34cac,
    0x8f880fde,0x0b705d3e,0x3a3555d7,0x826c3ea3,0x1eeeeef8,0x999dbbf3,
    0x3ee6f4c0,0x5c07c47d,0x23dfb305,0x2999f73d,0x1b13d879,0x4d8571bb,
    0x37207f40,0x5d9aa04e,0x337a1f40,0x7f7544fd,0x9b03e64e,0x20f333ae,
    0x0bfe204e,0x2b503fd0,0x81e6977e,0x8f880fee,0x0b705d6a,0x3a9dddf7,
    0x1ae3fdcd,0x5d3603f8,0x3cc7b006,0x5c07cc7b,0x3cb64405,0xe81f10f9,
    0x3ae6e762,0xbd901b20,0x03f9cc8d,0x40f733bb,0x3e23e87a,0x0f985b81,
    0x5c05ba7c,0x2036400e,0x75b86dec,0xd03cd6e7,0x21f10d97,0x85b82eaf,
    0x359bd06b,0x6430bf88,0xe8cc821e,0xf83f611f,0x475cfd33,0x84a80fe9,
    0x475db208,0x72f413fe,0x1dccd88d,0x9fa803ea,0x7cd324e8,0x7ffffc42,
    0x7d07d02f,0x42dc17c4,0x5c7ea0f9,0x200be205,0x227e605b,0xadc25c3f,
    0x2f4fa079,0x1775c3e2,0xe835c2dc,0x2ffe4c03,0x4cdfff91,0xd4ffbafe,
    0x577fd41f,0x3ebbf627,0x3fff2000,0xf59fd11e,0x77fec49f,0xffb01100,
    0x8fe21fff,0x7d4992f9,0x21761aa2,0x933e80fa,0xf30b701f,0x75c9f933,
    0x27760999,0x05b80999,0x320fb93a,0x33f35b84,0x3f89f433,0x17fc43e2,
    0xe835c2dc,0x00100003,0x04008004,0x3ffffff0,0x00100088,0x00000000,
    0x43d426c0,0x9dffd04e,0x3e616e01,0x7fdc2dff,0xffff16ff,0x20b705ff,
    0x992f40fb,0x3ffe6d50,0x7d47d1ff,0x17e41f11,0xe835c2dc,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x260a22cc,
    0xb8055531,0x52881984,0x89883511,0xca800332,0x014c661c,0x40aa2073,
    0x4055cc28,0x981d4018,0x5c130913,0x82aa0752,0x82a22a29,0x2eeee208,
    0x7306183b,0x3a054403,0x221eeeee,0x15a8d401,0x01111111,0xccc8fffb,
    0x47ef3a0c,0xea97c1f8,0x6436c07e,0x9d9d6a84,0x5f76d47f,0x2cc792ee,
    0xddb9ee6a,0x20b706ed,0x3f626ede,0x542f6647,0x207ba204,0x1ff07b2e,
    0xb07e23e6,0xf9b23f9b,0x43fe1f9b,0x47cbbbb8,0x3e27f1f8,0xec8b73fd,
    0x26666660,0x6e407fe0,0x3fffe790,0x2001ffff,0x4d30cccc,0x87a9364d,
    0x2b70007a,0x43bab729,0x3ee7ea6a,0xf37f33c8,0x70fca885,0x2dc0fc7f,
    0x0f571e60,0x5d6dcd71,0x46abc85b,0x3f20b75c,0xd33556e1,0x2be6ca64,
    0x803fa1f8,0x5b861878,0x3305fbf3,0x04cccccc,0x085101fd,0x4c000000,
    0x367a8f67,0xcc987a84,0x2d52cccc,0x98fa996d,0x656ed50f,0x3a0bfe64,
    0xa8b70f9a,0x99dd9930,0x7984e885,0x3a627fc4,0x8b66883f,0x1ea0b74c,
    0x26a9aab7,0x457cb74c,0x02c4000f,0x20035100,0x01eeeeee,0x00000000,
    0x207e6f40,0x7a81f8af,0xcccccc98,0x367baf12,0xa87c47d3,0xf9932b76,
    0x0fdbf83f,0x7664c0b7,0x13a62cce,0x31f883cc,0x2d85bbbb,0xe8fc43e6,
    0xf98bf222,0x37a21f88,0x000800ec,0x00000000,0x00000000,0x2aa20000,
    0x506bdc80,0x657c000f,0x447d1ecb,0x656ed50f,0x87f35f34,0x016e28a9,
    0x6ffc42dc,0x473f721d,0x3150edcb,0x40808517,0x0544b34a,0x544254ae,
    0x0000000a,0x00000000,0x00000000,0x66664c00,0xa8177cc2,0xee836c07,
    0x47d0ff8a,0x56ed50f8,0x32cc594c,0x16e59999,0x55442dc0,0x2aaaa0aa,
    0x0e605750,0x00000000,0x00000000,0x00000000,0x00000000,0x35555100,
    0xfffb0fd0,0x209701ff,0x23e9fa7d,0x56ed50f8,0x5551004c,0x4c016e35,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_15_latin_ext_x[560]={ 0,3,1,0,0,0,0,3,2,1,1,0,1,1,
2,0,0,0,1,1,0,1,0,0,0,0,3,1,1,0,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,0,0,0,0,1,1,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,
3,1,0,0,1,1,0,1,0,0,1,0,1,2,0,1,0,2,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-2,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_15_latin_ext_y[560]={ 11,0,0,1,0,0,0,0,0,0,0,3,8,6,
8,0,1,1,1,1,1,1,1,1,1,1,3,3,2,5,2,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,12,0,3,0,3,0,3,0,3,0,0,
0,0,0,3,3,3,3,3,3,3,1,3,3,3,3,3,3,0,-1,0,5,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,11,3,0,1,1,1,
-1,0,0,1,1,4,6,6,0,1,0,2,0,0,0,3,0,5,11,0,1,4,0,0,0,3,-2,-2,-2,-2,
-2,-2,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,3,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,0,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-1,1,-2,0,1,3,-2,0,-2,0,-2,0,-2,0,-2,0,1,0,-1,1,-2,0,-2,0,1,3,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-2,1,0,-2,0,-1,1,-2,0,1,0,-2,3,1,0,-2,0,1,0,3,-2,-2,1,
0,0,0,1,0,1,0,-2,0,1,3,-2,0,-1,1,3,-1,1,-2,0,-2,0,1,3,-2,0,1,3,-2,0,
-2,0,-2,0,1,3,-2,0,1,1,-2,0,1,1,-2,0,-1,1,-2,0,-2,0,-2,0,1,3,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-4,-2,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_15_latin_ext_w[560]={ 0,3,6,8,8,9,9,2,5,6,7,8,5,6,
4,8,8,8,7,7,8,7,8,8,8,8,3,5,6,8,7,5,9,9,7,8,8,6,6,8,8,6,6,7,
7,8,8,8,7,9,7,8,8,8,9,8,9,9,8,5,7,4,8,9,5,8,7,6,8,8,8,8,7,7,
7,7,7,8,7,8,7,8,7,6,8,7,8,8,8,8,7,6,2,7,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,8,8,8,
2,7,7,9,6,7,8,6,8,7,6,8,6,5,7,7,8,4,2,6,6,7,9,9,9,6,9,9,9,9,
9,9,9,8,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,7,8,8,8,8,8,9,7,7,8,8,
8,8,8,8,8,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,
9,8,9,8,9,8,8,8,8,7,8,7,8,7,9,10,8,9,7,8,7,8,7,8,7,8,7,8,8,8,
8,8,8,8,8,8,8,8,9,8,7,8,7,8,7,8,7,7,7,7,8,8,7,7,7,7,7,8,8,7,
7,10,11,8,10,8,7,8,8,8,7,8,8,8,8,7,8,8,8,8,9,9,9,8,9,8,7,7,9,8,
8,7,8,7,8,6,8,7,8,8,8,10,8,8,8,8,8,8,8,8,8,8,9,9,8,7,8,8,9,8,
9,8,8,8,8,8,8,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,8,9,8,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_15_latin_ext_h[560]={ 0,12,5,10,13,12,12,5,15,15,7,8,6,2,
4,13,11,10,10,11,10,11,11,10,11,10,9,11,10,4,10,12,15,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,13,10,11,10,11,10,10,10,10,10,15,13,15,6,3,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,11,9,8,8,8,12,8,15,16,15,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,12,13,10,10,10,
16,13,4,11,8,6,4,2,8,3,6,9,7,7,4,12,13,4,3,7,8,6,11,11,11,12,13,13,13,13,
13,13,10,13,13,13,13,13,13,13,13,13,10,13,14,14,14,14,14,8,14,14,14,14,14,13,10,12,12,12,
12,12,12,12,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,8,11,12,12,12,12,15,15,15,
12,11,13,12,13,11,14,12,14,12,14,12,14,12,13,12,10,12,12,11,13,12,13,12,13,11,13,12,14,15,
14,15,14,15,14,15,13,13,10,11,13,11,12,10,13,11,13,14,13,8,11,15,14,15,14,15,8,13,13,14,
15,11,11,10,11,10,11,13,11,14,12,13,11,12,14,12,13,11,14,12,14,12,11,9,13,11,14,12,13,11,
14,12,14,12,13,11,14,12,14,14,13,12,10,11,14,12,13,11,14,12,14,12,14,12,13,11,13,11,13,15,
13,13,11,13,11,13,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,14,13,12,15,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,14,12,14,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_15_latin_ext_s[560]={ 252,252,161,135,124,19,9,158,79,94,112,
83,137,248,168,209,107,54,63,142,100,116,213,11,204,204,165,58,197,205,213,
249,41,1,20,152,37,46,125,30,231,249,100,99,91,82,107,124,132,48,189,
64,116,10,221,240,72,62,53,166,115,143,120,230,199,169,38,140,245,147,1,
227,37,248,180,240,232,51,43,211,46,236,75,195,28,178,8,34,237,29,229,
25,1,7,190,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,252,54,190,
162,171,153,4,66,182,158,68,129,173,248,220,240,151,186,92,106,219,1,133,
214,227,99,1,143,11,1,239,249,170,180,123,133,143,153,80,198,1,9,42,
58,74,90,98,215,109,29,91,28,160,37,1,60,215,243,197,206,151,199,127,
219,210,201,192,183,174,165,156,109,148,139,130,121,213,193,100,161,84,82,66,
57,48,39,30,25,73,1,240,231,222,157,172,148,188,64,11,162,1,91,231,
126,142,110,73,93,10,154,231,65,118,47,76,116,21,38,241,84,223,39,207,
179,203,125,186,32,212,61,1,70,115,106,90,230,82,21,57,71,50,125,34,
100,17,17,143,85,125,101,108,109,246,190,181,195,117,170,181,144,202,45,222,
151,55,19,171,25,177,101,46,118,76,186,240,135,221,144,222,202,95,19,169,
157,28,133,133,198,116,206,172,249,82,214,64,55,236,10,28,195,10,21,218,
168,224,75,19,93,233,102,67,150,58,134,105,134,85,163,91,227,82,245,73,
48,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,142,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,51,188,160,112,15,38,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,177,249,64,55,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180, };
static unsigned short stb__consolas_15_latin_ext_t[560]={ 14,1,137,114,48,89,89,137,1,1,137,
137,137,137,137,33,102,114,114,102,114,102,102,126,102,114,126,89,114,137,114,
61,1,126,126,89,126,126,126,102,114,114,102,126,126,126,126,102,126,33,114,
102,126,114,114,114,126,126,126,1,33,1,137,137,137,126,89,126,76,126,114,
76,114,102,1,102,102,137,137,126,89,76,137,126,114,126,137,137,126,89,126,
1,1,1,137,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,14,89,48,
114,114,114,1,48,137,102,137,137,137,137,126,137,137,126,137,137,137,89,48,
137,137,137,137,137,102,102,89,48,48,48,33,33,33,33,114,48,48,48,48,
48,48,48,48,48,114,62,18,18,18,18,18,137,1,1,1,1,18,33,114,
76,76,76,76,76,76,76,126,89,76,76,76,76,89,89,89,89,76,89,76,
76,76,76,76,137,89,76,62,62,62,1,1,1,62,89,62,62,62,89,18,
62,18,62,18,62,33,62,48,62,114,62,62,89,62,62,48,62,48,102,48,
62,18,1,18,1,18,1,33,1,48,48,114,89,48,102,62,114,48,89,48,
18,48,137,89,1,18,1,18,1,126,33,33,18,1,89,89,114,89,114,89,
48,102,33,62,48,102,62,18,62,33,102,18,62,18,62,102,126,33,114,18,
76,33,102,18,62,18,62,33,89,18,62,18,18,33,76,126,102,18,76,33,
102,1,76,18,76,1,76,33,102,33,89,33,1,33,33,102,33,102,33,102,
102,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,48,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,1,1,48,76,1,33,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,18,18,18,18,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114, };
static unsigned short stb__consolas_15_latin_ext_a[560]={ 132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_15_latin_ext(stb_fontchar font[STB_FONT_consolas_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_15_latin_ext_s[i] + stb__consolas_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_15_latin_ext_t[i] + stb__consolas_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_15_latin_ext_x[i];
            font[i].y0 = stb__consolas_15_latin_ext_y[i];
            font[i].x1 = stb__consolas_15_latin_ext_x[i] + stb__consolas_15_latin_ext_w[i];
            font[i].y1 = stb__consolas_15_latin_ext_y[i] + stb__consolas_15_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_15_latin_ext_s[i] + stb__consolas_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_15_latin_ext_t[i] + stb__consolas_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_15_latin_ext_x[i] + stb__consolas_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_15_latin_ext_y[i] + stb__consolas_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_15_latin_ext_LINE_SPACING
#endif

