// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT        194
#define STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_18_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_18_latin_ext_LINE_SPACING          12

static unsigned int stb__consolas_18_latin_ext_pixels[]={
    0x80006a35,0xd1000098,0x2001a801,0x1e4402a8,0x5cc00880,0x800d400a,
    0x2a0a60b8,0x203dddb1,0x4001442a,0x0514402a,0x2a2bddd5,0x002982aa,
    0x5ca80550,0xa80130c4,0x7b011002,0x826d3601,0x50fea01d,0x301ee009,
    0xbd1001ff,0x14ef4401,0xed881740,0xff101fdc,0xff93f600,0x677dbee2,
    0x23fec81c,0x3b2000fa,0x36e7c03f,0xe8b7664c,0x007c87fe,0x3f201ed8,
    0x5f8bf43d,0x700ffb20,0x2fec85dd,0xfb09b4d8,0x26072201,0x803c802f,
    0x0075004d,0xa8813231,0x5c5d81cf,0x54013606,0xf983b61e,0x46d407f4,
    0x001f52d8,0x80b6236a,0x36400cc9,0x003e43e4,0x09f0036e,0xb501b8ea,
    0x4ec05b11,0x9b09b04a,0x205f7136,0x3f702eea,0xb8000000,0x65d402ee,
    0xfffd882f,0x1f835c7f,0x20000000,0x1f50003f,0x00000000,0xf90f90d9,
    0x5f100000,0x50000000,0x21ee03ff,0x2fc49b4d,0x6c0b53d0,0xeffd980e,
    0xbddd10ee,0x40b31d00,0xc85feefd,0x2e8179af,0xffd989b0,0xddd50eee,
    0x742dc3dd,0x3baa07f2,0x41f51eee,0x20ba63e9,0x7fecc0eb,0x86c80eee,
    0xec8ec87c,0x2e0ba62e,0x2617c40e,0x4c0eb82e,0x20eeeffd,0x3dc2981a,
    0x3f24da6c,0x80bbae00,0x4efc42f8,0x5510afea,0x7bb900fb,0x7f64bee0,
    0x986ab743,0x997ffd17,0x7f54efc4,0xf755530a,0xf9fc3e45,0xf7555303,
    0x2fcc3ea5,0x222f4374,0x0afea9df,0xc87c86c8,0x21fdadef,0xf885e86e,
    0x45e86e81,0xafea9df8,0x51f20fe0,0xe9369b0f,0x40154406,0x3ea3dc4f,
    0x2a00f900,0x5749f102,0x2dd7ec7d,0x9f8ceadc,0x1f51ee5b,0x0f917c40,
    0x4400fe7f,0xbf31f52f,0x2f987ee0,0x403ea3dc,0xfc87c86c,0x43f727c4,
    0x80f982f9,0x70be61fb,0x1fc0fa8f,0x907e23e4,0x027c5367,0xdb00bfea,
    0x807d47c8,0x7ff6407c,0xf897cc1d,0x3fa20fa8,0x8f9bd85f,0x1f25b8f9,
    0x17c401f5,0x0fe7f0f9,0xafa97c40,0xc93e205f,0x07d47c87,0xc87c86c8,
    0x93e26d87,0x8176d47c,0x321f24f8,0x0fe07d47,0x077ae1f2,0x2017cd36,
    0x7dc05edd,0x3a633e60,0xd881f206,0x2a0febab,0x07e6d71f,0xae8bffea,
    0x992ef57a,0x406e98cf,0x3e1f22f8,0x3e2007f3,0x803fbf52,0x3e613e7d,
    0x3206e98c,0x87c87c86,0x89f3ec6c,0x9f603eca,0x98cf984f,0x7c83f86e,
    0x4d81cec8,0x57c403f3,0x30fd407c,0x401bffdf,0x17cc007c,0x7ccf61f7,
    0x25fb7f02,0x36d76bae,0x37ffbe63,0xf917c400,0x400fe7f0,0xfb1f52f8,
    0x7cd7d401,0xdffef981,0x1f21b200,0xf51761f2,0x3ea03f35,0x3f35f500,
    0x1bffdf30,0x88f907f0,0x7c53600f,0x3e63ea03,0x5d83ee02,0x3003e400,
    0xf8fcc7f3,0x3f103f51,0xebd5757a,0x002ec3f5,0xf0f917c4,0x7c400fe7,
    0x1dd11f52,0xd8366f40,0x64364005,0x1fc47c87,0xf10366f4,0x8366f405,
    0x907f005d,0xb3c87a8f,0x4db02f49,0xfb1f604f,0x98835799,0xb8099fc9,
    0x223ffffd,0x03ee7aaf,0xbda7c5e6,0x45efcef8,0x01abccfd,0xf0f917c4,
    0x7c400fe7,0x3be21f52,0x207ff700,0x01abccfd,0x7e4cc5b2,0x335f9099,
    0x7ff701fd,0xf7017c40,0x333f607f,0xc83f81ab,0xda6c3d47,0x1fc41b24,
    0x2627c0f9,0x24ffeeef,0x4ffffffb,0x87f117cc,0x8bd14cef,0x1febfcbd,
    0x414ca299,0x4ffeeef9,0x87c8be20,0x22007f3f,0x7cc1f52f,0x201ff106,
    0x4ffeeef9,0x3ffeed90,0xfff94fff,0x3fe201bf,0x880be200,0xddf300ff,
    0x84f89ffd,0xa6c3d46d,0x2a07ea4d,0x2a0bea0f,0x3ec2f41f,0x8db07e60,
    0x5ffcc3f9,0x7f6c0fea,0x01ea1cef,0x207d85e8,0x97cc01fa,0x03f5003f,
    0xd027c400,0x1b20fb0b,0x22007c80,0x202f804f,0x217a04f8,0x2fc2f47d,
    0x26d361ee,0xfffb03b6,0x5f889fff,0x03ec27c4,0x26bf2136,0xffb83ffb,
    0x813200df,0x84f8803f,0x003f607d,0x400fe3f7,0x405d80fd,0x9f100ee8,
    0x21b20fb0,0x1007c85d,0x0bb001dd,0x7c403ba2,0x67dc7d84,0x3741fda9,
    0x7444da6c,0x2aab3e25,0x407ec7da,0x2feccdfd,0x3a227e40,0xc83f9eff,
    0x407b001d,0x83dcbdf9,0x2feccdfd,0x40fff37a,0x3be4fece,0x3f37a1cc,
    0x2a05f03f,0x7ec01ffd,0x262feccd,0x82f86ecc,0x7fed407c,0x29df5001,
    0x6c01ffda,0x82feccdf,0x321efffb,0x9b4d82ff,0x07ea5f30,0x00fdc7ea,
    0x00179995,0xc80040a6,0x5c400002,0x332a02cc,0x6664c0bc,0x90b32e01,
    0x664c3999,0x2019101c,0x95000bc9,0xcc981799,0x5406443c,0x005e4c04,
    0x5e4cea20,0x79995000,0x37900801,0xa826d360,0x53e20db0,0x00000028,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0572b800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03000000,0x06a06493,
    0x333310a6,0x00aeea01,0x2a059975,0x553101ab,0x50bc9835,0x55440aa0,
    0x202aaaaa,0x44654008,0x000cb81c,0x64c02a88,0x10132203,0x1e4c0099,
    0x4cb22000,0x8371542c,0x000aaaa9,0x200350a2,0x6eee887a,0x5c7c83f8,
    0xfd83ffff,0x7440dfee,0x74c7eeef,0xffb85eef,0x6df45fef,0x209f05ef,
    0xeeffeee9,0x02eeb80e,0xfb01ffe4,0x377ec001,0x74409f30,0xde880ded,
    0x27cc00de,0x7403ff50,0x4dd09f35,0x7f77dc5f,0xf899003f,0x540d7004,
    0x0f907f02,0x7d45f700,0x3600fe44,0xafffdc06,0x4033045d,0x00bd004f,
    0x1300953b,0x26001300,0x4008802f,0x86202618,0x30044009,0x3103b53b,
    0x22088044,0x1fb13dc0,0xf0bf2ea0,0x35176009,0x641fc530,0x44a606a7,
    0x3747d84f,0x3fa036c0,0x0d4bb5ff,0xefeea94c,0x0bd02eee,0xa803ff50,
    0x77502ccb,0x500f9005,0xcba80577,0x0577502c,0x4c2ccba8,0x2981a802,
    0xf7057750,0xefd82fa8,0x1027c5fe,0x1fcdfffb,0xf907f3e4,0xf9be41fc,
    0x3f21fa81,0x80f7dc02,0x4bb5ffff,0x5517c83f,0x203555bf,0x02a8805e,
    0x1fbbbfa2,0x037fbbf6,0x77ec05e8,0x7f440dfe,0xefd87eee,0x7f440dfe,
    0x03e47eee,0x6c3e41fc,0x2e0dfeef,0x3ee07dc7,0x27c7fd92,0x2beaef88,
    0x3f9f20fe,0x320fe7c8,0x5f301f57,0x4c177f44,0xfe84fdcf,0x1fcbb5ff,
    0x8027c3e4,0x2ffa805e,0xfb803f90,0x4f813ea2,0x4fa8bee0,0x3ee00fe4,
    0x3f913ea2,0x3f807c80,0x517dc7c8,0x6557dc9f,0x5d27c44f,0xfc827cfb,
    0xc83f83f0,0xf9f20fe7,0x01f77c83,0xffd505f3,0x8df53645,0x4bb5fff9,
    0x4f87c83f,0xbb00bd00,0x101ba0bd,0xec8fb09f,0x222eeefe,0x3747d84f,
    0x1f613e20,0x00f900dd,0x7c4f907f,0x3bee7d84,0x12f982ff,0x13e1f51f,
    0x7c0f8aec,0x20fe7c83,0x5f20fe7c,0x01fa81fa,0x2364bfa6,0xaf6443f9,
    0x1f20fe5d,0x02f4013e,0x641f2be2,0x20be602f,0x3f2aa1fa,0x0be60aac,
    0x02fc87ea,0x87ea0be6,0x47e402fc,0x41fc1dfd,0x2a0be67c,0x436cf71f,
    0x3e6d71fa,0x4d7a09f1,0x27c83f87,0x0fe6d84f,0x5c17cdf2,0x9a7c400f,
    0x6c02744f,0x21f20fe5,0x80bd004f,0x882f98fa,0x1fa82efe,0x1fa82f98,
    0x5f303f50,0x54177f44,0x222f981f,0xdf902efe,0x83f8fd79,0x2607ea7c,
    0x1fc4f72f,0xf99ec3ee,0x55ee09f2,0x27c83f86,0x0fe5f85e,0x7446e9f2,
    0x7d49f005,0xd802f99e,0x21f20fe5,0x80bd005e,0xea813e6d,0x203ee2ff,
    0x00fb82f9,0x05f301f7,0x7dc5ffd5,0xea82f980,0x31fe42ff,0x3e41fc3f,
    0x25f301f7,0xf307ec7b,0xf8fd47e3,0x2b9bf304,0xb9f20fe0,0x21fda9cf,
    0x3ee7c83f,0x641feaad,0x41fda99a,0xb004ffd8,0x43e41fcb,0xd0199bfb,
    0xf91fc40b,0x2a5fd300,0xc81fa81f,0x2a07ea07,0x4bfa601f,0x01fa81fa,
    0x87c8bfa6,0x9f20fe3f,0x71fa81fa,0x3e23f98f,0x7c3ee7aa,0xf51aaaad,
    0x427cfdff,0x77ffdc6d,0x236c27c2,0xe81dffea,0x201dffff,0x4bd004fa,
    0xc886d84f,0x0bd03ffe,0x05f507d4,0x0be69f10,0x81b603ee,0x00fb82f9,
    0x82f9a7c4,0x27c400fb,0x27c7f0f9,0x705f336c,0x1f61ee1f,0x97a299df,
    0x24ffffff,0x17a0ace8,0xe82e417e,0x0bd05f85,0x2f400130,0x0bd1fc40,
    0x000080bf,0x7fffffec,0x3749f004,0x027c17a2,0x00bd11ba,0x7446e93e,
    0x3e49f005,0xbf0bd1fc,0x02f446e8,0xeabff980,0x82f8000f,0x1fda9cfb,
    0x9f701f88,0x2e03fb53,0xbb02a9cf,0x7f953530,0x1fd55bb0,0x7ed4e7dc,
    0xbb00bb01,0x2aab3e20,0x4cd647da,0x37ea1fda,0x2660feaa,0x6fd401fd,
    0x5640feaa,0x2a1fda99,0x40feaadf,0x1fda99ac,0xfb8fe1f2,0x541fda9c,
    0x00feaadf,0xfffb80bb,0x220bb00d,0xdfff701f,0xb8177c03,0x6401efff,
    0x05f03fff,0x205dfff5,0xb81dffd9,0x3e01efff,0xf502f802,0x7f43f503,
    0xea81dfff,0x77e40dff,0xbffd5003,0xbffffd01,0x1bffd503,0x3bffffd0,
    0x5c3f87c8,0xd501efff,0x17c01bff,0x3e007720,0x0100f302,0x01006a20,
    0x06440100,0x02000000,0x91003220,0x7c41b601,0x01000984,0x40020000,
    0x20010009,0x3e1f2009,0x00400103,0x0b200644,0x01803220,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32600000,0x032e050b,0x9103c980,0x932c8809,
    0x206e2a85,0x55103249,0x98815555,0x46e00999,0x0a60aa3a,0x55101654,
    0x40076600,0x981550cb,0x44059502,0xb300bcca,0x03a95c03,0x4c880988,
    0x530d414c,0x40155555,0x3a1543c9,0x3605efdb,0x04f9800f,0x201bdbd1,
    0xdd09f35e,0x777442fc,0xeeeef986,0x7fffdc1e,0x8bfbee03,0x543643ff,
    0xff502fcf,0x007f9005,0x21ffc3f9,0x2fcfa86c,0x6feeffa8,0x74c07f90,
    0x27d400ee,0xc86f6f44,0xdd50fe47,0x2603ddff,0x3046f84f,0x10013003,
    0x0130c401,0x08804431,0x302a8022,0x2000005f,0x07ffc1a9,0x062130d9,
    0x4402f6ec,0x7c09800a,0x84c3647f,0x206fcc18,0x88015101,0x816cc009,
    0x53e42618,0x402f405f,0x750df008,0x2606a057,0xa8a606a2,0xbba82981,
    0x05303502,0x5f305775,0x00aeea00,0x3e179951,0x221b23fc,0x7c40bcca,
    0x654407ca,0xcba880bc,0x647f9f0b,0x0bcba886,0xba8801ba,0xcba880bc,
    0x0aaaa20b,0x8d555544,0xe807f37c,0x29815505,0xfddfb17e,0x7c83f81b,
    0x3f9f20fe,0x777ec7c8,0x641fc0df,0x6ff77ec7,0x3600be60,0xa80dfeef,
    0x7f6feeff,0xf51b21f9,0xfa8dfddf,0xff502f98,0xfe98dfdd,0xd97f5fee,
    0x3bfa6364,0x007f15fe,0x17fbbfa6,0x4bfddfd3,0xd307fee8,0x3f2bfddd,
    0x05e805e8,0x3a6c87ff,0x4fa8bee5,0x7f3e41fc,0x641fcf90,0x4fa8bee7,
    0xf73e41fc,0xbf327d45,0x2fb89999,0x1bf313ea,0x29f17f18,0x3037e66c,
    0x2613e6d8,0xdf10c0df,0x5f37f181,0x40ef89b2,0x55545f31,0x4303be22,
    0xc80c0ef8,0x7e57a007,0x20bd006d,0xbd3647ff,0xf1f613e2,0x41fcf907,
    0x5f20fe7c,0x7c7d84f8,0x09f17c83,0x7777ccfb,0xb09f10ee,0x9fc06e8f,
    0x1ba6c8fb,0x87c8fe20,0x00fc806e,0x26cb6cfe,0x87ea00fc,0x03f26fed,
    0x64001f90,0x7e57a007,0x20bd006e,0xe9b23fcf,0x3f505f35,0x7f3e41fc,
    0x641fcf90,0x3f505f37,0xf9be41fc,0x5f31fa82,0x7d417cc0,0x3f807f11,
    0x1fc5b33e,0x5f507d40,0x2f401fc4,0x657ccfe0,0x5f3017a6,0x402f4d90,
    0x03e4005e,0x3e7f2bd0,0x7f05e804,0x2bd364d9,0x22f981fa,0x0fe7c83f,
    0x7c83f9f2,0x45f303f5,0x3f57c83f,0x0be65f30,0x2f981fa8,0x955545f3,
    0x4db7ee3f,0xd8aaaa2f,0x24ffffff,0x8aaaa2f9,0xbd1fc04f,0x22027cd9,
    0x13e6c84f,0xf90013e0,0x77caf400,0xf05e807f,0xe9b25f37,0x5f301f74,
    0x7f3e41fc,0x641fcf90,0x5f301f77,0xfbbe41fc,0x5f32f980,0x7cc07dc0,
    0x7f6c3f52,0x56fe87f6,0x8b7f6c3f,0x7daaaacf,0x6fed87ea,0x23f807f1,
    0x07f16dfa,0x16c81fb0,0x03f8807f,0xbd003e40,0x201fd9f2,0x5b67f05e,
    0x0fd4ae6c,0x907f0fd4,0xf3e41fcf,0x07eaf907,0xc83f87ea,0x3f503f57,
    0x2aaab3e6,0x3f503f50,0x7db20be6,0x2f9b7d43,0x503f56c8,0x320be63f,
    0x87f013e6,0x2013e6fe,0x6d99bff8,0x013e013e,0xaf400f90,0x5307747c,
    0x7c155dd5,0x04d95f33,0x41f705f3,0x13e6d84f,0x6d84f9b6,0x41f705f3,
    0x5f36d84f,0x3fe61f70,0x5f31ffff,0x13e21f70,0xb741fdb2,0xdb6c84f8,
    0x27c53e20,0xf80dd364,0x0dd37dc3,0x3ffff620,0x1ba01ba4,0x7c00f900,
    0x25f88f95,0x2ffffffb,0x16cde8fe,0x3a2374df,0xd2fc2f45,0x42f4bf0b,
    0xbd11ba5f,0x3a5f85e8,0x2e02f446,0x17a23746,0x406c81fb,0xd903f65e,
    0x7ec1f500,0x05f73640,0x005f7000,0x02fb8088,0xf90017dc,0x000fe200,
    0x23f83aa0,0x4df16dfa,0x0feaadfa,0x7ed4e7dc,0x36a73ee1,0x2a73ee1f,
    0x2b7ea1fd,0x67dc0fea,0x3ea1fda9,0x400feaad,0x556fd42f,0x5ffc40fe,
    0x3e206d99,0x266ffe23,0x443e806d,0x46d99bff,0x84baacfe,0x2b3fa05d,
    0x40bb04ba,0x44baacfe,0x04baacfe,0x2ab2a0f9,0x005d80fe,0xfe87f0fe,
    0x3ffaa026,0xdfff700d,0x3dfff703,0x03dfff70,0x201bffd5,0xa81efffb,
    0xe800dffe,0x6fff543e,0xffffb100,0x103bee09,0x009ffffb,0xffd889fb,
    0xfffc84ff,0x6402f83e,0x5f03efff,0x3efffc80,0x23efffc8,0x099fc998,
    0x407bffa6,0x8fb6002f,0x8037dc3f,0x04002000,0x00100080,0x80008004,
    0x88001019,0x4401d400,0x1014c000,0x64401001,0xc8801000,0x02001000,
    0x7fffffdc,0x00c88004,0x000014c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x401c88ca,
    0x099103c9,0x5406e2a8,0x9801c88c,0x32a7703c,0x7001e400,0x2232a039,
    0x000f201c,0x32ea0197,0x8099102c,0x2a003249,0x3333100a,0x93004401,
    0x00880a17,0x54407930,0x4c880bcb,0x02666620,0x4c03ffc8,0xbdbd104f,
    0x05f9ba01,0x2600fff2,0x3fba204f,0x803fc401,0x7fe402fb,0x801fe203,
    0xefe881fc,0xede887ee,0xdddd100d,0x5c07f700,0xd703ffff,0x3f6fa05d,
    0x05dd705e,0x3a604f98,0x7445feef,0xffb80ded,0x004c03ff,0x4c310044,
    0x00441100,0x00440026,0x198004c4,0x26001300,0x20019800,0x003f9009,
    0x2a004c31,0x3b9d9802,0x598e8000,0x1d00cc10,0x200880b3,0x220c0ef8,
    0xa8000261,0x06a14c0a,0x546a02a8,0x55446a02,0x542aaaaa,0x42aaaaaa,
    0x500aaaa9,0x85555555,0x500aaaa9,0x45555555,0x0aaaaaa9,0x82aaaaa0,
    0x5014c06e,0x555554c3,0x981f800a,0x80aaaaaa,0xaa983ddc,0xdc80aaaa,
    0x80aa203d,0x40d400fc,0x2aaaa229,0x21ffc0aa,0xf7027c6c,0x3ee5f505,
    0xdd32fa82,0x41dddffd,0x5ffffffe,0x1fff77dc,0x7ffffff4,0x7ff77dc5,
    0xfffffe83,0x3ffbaa5f,0xfff101ee,0x017e45dd,0xd51fc0f7,0x103ddffd,
    0xd501ffdb,0x203ddffd,0xffdd502a,0x00aa03dd,0x17a05ff5,0x99f20fe0,
    0x41eeeeef,0x3e3647ff,0x2f437404,0xe817a1ba,0x20fdc005,0x003f627b,
    0x44f707ee,0x1fb800fd,0xdd700bd0,0x0bbfa209,0xd02f81ee,0x756fcc0b,
    0x417a00ef,0xbd02e85b,0x0efff640,0x9f05edd8,0x4f907f00,0xfcf802f9,
    0x809f1b23,0x507ee3fa,0xd00fdc7f,0x427c400b,0x2017d47b,0x547b84f8,
    0x027c402f,0x9d7d00bd,0x22ffea80,0x7407e07a,0xeaf9b605,0x3e417a04,
    0x105e81fc,0x81fd757b,0xf887caf8,0x7c83f803,0x2fe00be6,0x09f1b26c,
    0x09f11fb0,0x013e23f6,0x077400bd,0x003ee3dc,0xb8f701dd,0x0077400f,
    0xe8fa80bd,0x25fd3004,0x3e2550fa,0x9fc0bd01,0x2f40d97a,0xd03f87c8,
    0x217cc00b,0xe82f98fa,0x7c83f804,0x2fe00be6,0x4f8d92f9,0x0fbcf980,
    0x01f79f30,0x3f7005e8,0x3f2abee0,0xb80fdc04,0x404fcaaf,0x02f401fb,
    0x06677536,0x87cd3e20,0x3a01f16f,0x5325f105,0x6417a07b,0x0bd03f87,
    0xdb0fe660,0x4036427c,0x7eccccef,0x133337e6,0x46cb6cfe,0x7ff9004f,
    0x803ffc80,0x04f8805e,0x00bffbee,0x77dc09f1,0x27c402ff,0x3f102f40,
    0x200333ba,0xff33f34f,0x17a01f33,0x1ee3f3f8,0xf0f905e8,0xdb817a07,
    0x3e23ffff,0x0bea1f23,0xfdddddf0,0x77777ccf,0xaf99fc0e,0x88027c6c,
    0x06f8806f,0x1db00bd0,0x80db3dc0,0xd9ee00ed,0x40076c06,0x4e9ae05e,
    0xfb533590,0x3b327e23,0x817a079b,0x817a7add,0x7f0f905e,0x17cc17a0,
    0x507d47f1,0xacfd885f,0x320fe4ba,0x3e00be67,0x9f1b37a3,0xe802f400,
    0xb80bd005,0xf13dc01f,0x7007ee07,0xfb81fc4f,0x740bd001,0xfd04feef,
    0xaf83bfff,0x207aeb9f,0x37fea05e,0x17a01fd9,0x07f507dc,0x2636c17a,
    0x3ffff63f,0xfff504ff,0x3e41fc7d,0x47f005f3,0x027c6dfa,0x17a00bd0,
    0x9f102f40,0x0fd8f700,0x3dc027c4,0x09f103f6,0xcfa82f40,0x7cc04fcc,
    0x3e2f9f02,0x5017a07c,0xe803dfff,0xf739f105,0x6417a07f,0x13ffb9af,
    0xfb55559f,0x83f83640,0x200be67c,0x3e37f43f,0xd01aaaad,0x4017a00b,
    0x2aff605e,0x23dc2aaa,0x55fec3f9,0x23dc2aaa,0x55fec3f9,0x2aa62aaa,
    0x1760aaee,0xf30133bd,0xfe93fe01,0x577554c6,0x401fa80a,0x0aaeeaa9,
    0x1f4f7f5c,0x155dd553,0x7cf7ff44,0x3f503f53,0x41fc0fa0,0x2ab3e67c,
    0x2e1fc0aa,0x7ffffc6f,0x200bd04f,0x40bd005e,0x6fffffff,0x3e3ec3dc,
    0x46ffffff,0x7fc7d87b,0x2e6fffff,0x12ffffff,0x3fffe85f,0x8bfa0398,
    0x7ffdc6fb,0x03b82fff,0xffffffb8,0x7fdc0102,0x0082ffff,0x827c41b6,
    0xf907f00c,0x7fffffcc,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x440032e0,0x85e4c04c,
    0x80dc5502,0x326000cb,0x09999883,0x80654ee0,0x101c88ca,0x37154099,
    0x0f20014c,0x4c032498,0x032e0324,0x64c01500,0x40dc5503,0x98050bc9,
    0x0099103c,0x003510a8,0x00fd80a2,0x806f6f44,0xd05efdbe,0x1fb02fcd,
    0x2e09f300,0x2203ffff,0x7e401fee,0xbdbd103f,0x32fcdd01,0x1fe2003f,
    0x206eee88,0x3606eee8,0x01f5000f,0x26e813e6,0xefdbe85f,0x4413e605,
    0x8800dede,0x05dff53f,0x02602fd8,0x0804c310,0x22088066,0x44004c00,
    0x4c400000,0x44013000,0x88220261,0x330026c0,0x2a005500,0xb0009802,
    0x2200440b,0x19820220,0x43100440,0x43f88009,0x36e02fd9,0x10055100,
    0x05510055,0x54405510,0x220aaaaa,0x80aaaaaa,0x555402a8,0x5551009a,
    0x55441555,0x2a20aaaa,0x2a0aaaaa,0x2aaa200f,0x2a880aaa,0x2aaaaa20,
    0x2aaaa60a,0x43f100aa,0xa986a02a,0x2a0aaaaa,0x55314c0a,0x54c15555,
    0x400aaaaa,0x00dd03f8,0x2017fd40,0x7d402ffa,0x17fd402f,0xeeeeef98,
    0x3bbbbe61,0x02ffa81e,0x0bfffbbe,0x3bbbbbe6,0x3bbbbe61,0x3bbbe61e,
    0x301fc1ee,0x03dddddf,0x3e605ff5,0x2a1eeeee,0x01eeffee,0xa82fb8d9,
    0x3ffbaa2f,0x90ffe1ee,0x77ff754d,0x3ffbaa1e,0xefeb81ee,0x260f903f,
    0x6ec0deed,0x2f6ec05e,0xb017b760,0x0be60bdb,0x36005f30,0x88fe05ed,
    0x017cc1fd,0x5f300be6,0x7cc0d700,0x0bdbb002,0x5e800be6,0x86e82f80,
    0x7c17a05e,0x5e83647f,0xfd105e80,0x3607f959,0xcabdfb85,0x81f2be21,
    0x2207caf8,0x3e207caf,0x05f307ca,0xf8802f98,0x20fe07ca,0x2017cc6e,
    0x17cc02f9,0xf9817c40,0x7caf8802,0x74005f30,0xfa83dc05,0x5e807ee3,
    0x3647f9f0,0x05e805e8,0x51fc41f9,0x5f883fdd,0x17cc7d40,0x02f98fa8,
    0x205f31f5,0x982f98fa,0x017cc02f,0x817cc7d4,0x7cc7c83f,0x2017cc02,
    0x0bb002f9,0x3ea00be6,0x2f982f98,0x9d017a00,0x27c47ec0,0x65fc17a0,
    0x02f41b26,0x446e82f4,0x5407ee3f,0x9f36c00f,0xb04f9b60,0x26d827cd,
    0xccdf984f,0x666fcc4c,0x13e6d84c,0x307dc1fc,0x989999bf,0x4c4cccdf,
    0x304cccdf,0x99bf301f,0x27cdb099,0x26666fcc,0x07cc0bd0,0x01f79f30,
    0xf37f05e8,0x02f41b25,0x444f82f4,0x7c81ea3f,0x0f91fc40,0x443e47f1,
    0x3e21f23f,0x3be61f23,0x3e60eeee,0x220eeeee,0x1fc1f23f,0xddf30fd4,
    0x77cc1ddd,0x3e60eeee,0xd00eeeee,0xddddf309,0xf91fc41d,0xdddddf30,
    0x5d817a01,0x803ffc80,0x5b67f05e,0xd00bd06c,0x7f113e0b,0x03f7024c,
    0x85f507d4,0x50bea0fa,0x2a17d41f,0xf30bea0f,0x402f9805,0x20bea0fa,
    0x260fb83f,0x017cc02f,0xfa800be6,0x2a017cc0,0xf30bea0f,0x882f4005,
    0x06f8802f,0x4cfe0bd0,0x0bd06caf,0xb1ba0bd0,0x3e60087f,0x3ffff604,
    0x7ffec4ff,0x7fec4fff,0x7ec4ffff,0x4c4fffff,0x017cc02f,0x3ffffff6,
    0x46e83f84,0x17cc02f9,0xf000be60,0x6c02f987,0x44ffffff,0x17a002f9,
    0x0bd0035c,0xd1fc17a0,0x017a0d9b,0x4e7dc17a,0x07f63fdd,0x8b9adfd8,
    0xdaaaacf8,0x2aab3e27,0x2b3e27da,0x3e27daaa,0x47daaaac,0x17cc02f9,
    0x55559f10,0xfb87f0fb,0x26017cc3,0x017cc02f,0x05f31b20,0x555567c4,
    0x0017cc7d,0x800fe0bd,0x20bd005e,0x41b7ea3f,0x205e805e,0x6c7f5ffc,
    0x7ffe401f,0xfa81fa9e,0x3f503f51,0x47ea07ea,0x21fa81fa,0x0aaaacf9,
    0x2aaab3e6,0x3f503f50,0x5fdbadf8,0xaaaacf98,0x2aab3e60,0x2ab3e60a,
    0x87e200aa,0x0aaaacf9,0x43f503f5,0x0aaaacf9,0x2abbaaa6,0x74001f50,
    0x3baaa605,0xfd0fe0aa,0x577554cd,0x3baaa60a,0x010000aa,0x441b6040,
    0x3e20db4f,0x53e20db4,0x4c9f106d,0x21ffffff,0x1ffffff9,0xf13e20db,
    0x2605bdff,0x21ffffff,0x1ffffff9,0x3fffffe6,0xff31e401,0x1b63ffff,
    0xfff327c4,0x7fdc3fff,0x0992ffff,0x3ee05e80,0x3e2fffff,0xff737dc3,
    0x7dc5ffff,0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,0x3000d400,
    0x80a28815,0x2600531a,0x0a2887b2,0x5003514c,0x882a2005,0x00aa001c,
    0x43101451,0x800aa009,0x4015442a,0x45101ba9,0x804c3102,0x550021a8,
    0xa882a800,0xf985e802,0x0ff100ee,0x67c0fea0,0x3f3ea06d,0x3f1f7002,
    0x220db9f0,0xed805dde,0x57d4c401,0x6400bf30,0xb9f07dcf,0x5f8bf40d,
    0xb007fd90,0x409f503d,0xf04feefc,0x45fa0db9,0x9bfdd05f,0x01ff640d,
    0x9f501ed8,0x3623fc40,0x026c0992,0x99300ecc,0x002ea801,0x64c16bee,
    0x0176200c,0x3fa0036e,0x01366fff,0x8167ffec,0x8ea00cc9,0xd88da81b,
    0x88036e02,0x321fa83d,0x00cc980f,0x1280dc75,0x236a0199,0x06dc02d8,
    0x0880f620,0x00000000,0x2e000000,0x00000007,0x5c3f3000,0xf115001f,
    0x0000000b,0x64000000,0x00007dc6,0x00000000,0x06600000,0x1037bb66,
    0x2601bdd9,0x6440deed,0xdb300dee,0xddb301bd,0x7ff640fd,0xdeec881d,
    0x2afbf620,0xeec882ee,0x800721fe,0x883ffec8,0x5b80deec,0x3a16e2e8,
    0xb8ba16e2,0x5cdb2e85,0x1742dc3f,0x4037bb22,0x100deec8,0x2201bdd9,
    0x9100deec,0x89b01bdd,0x41cabdfb,0x40feaaee,0x41cabdfb,0x40feaaee,
    0x41cabdfb,0x07ebbefa,0x1fd757b1,0x0feaaee8,0x97ff7593,0x567fc41f,
    0x646d41fd,0x5f7442df,0x5f7c47da,0x43e41fea,0x8fe1f23f,0x1f23f87c,
    0x2fab6cfe,0x223f87c8,0x41feabef,0x1feabef8,0x7f55f7c4,0x755f7c41,
    0x55f7c41f,0xf12ec1fe,0x220fb80b,0x7017e24f,0xf127c41f,0x7b8bf00b,
    0xfb8be600,0x2f413e20,0x3e63e45f,0x6d6f7d41,0xf983f20f,0x917e1b62,
    0x43e47f0f,0x8fe1f23f,0x2db3f87c,0x7f0f907c,0x362fc36c,0x436c5f86,
    0x2fc36c5f,0xbb17e1b6,0x17a007d4,0x400fa976,0x3ea5d85e,0x2e17cc00,
    0x47f33007,0xd985d85e,0x17e3f99d,0x24fa83f3,0x3e13e3f8,0x91f20fe5,
    0x43e47f0f,0x8fe1f23f,0x2db3f87c,0xf87c84fa,0xf1f20fe3,0x83f8f907,
    0x3e41fc7c,0xbd1f20fe,0x7ffc03e4,0x1f26ffff,0x3fffffe0,0x2a01f26f,
    0xb703dc0f,0x7fc7ffff,0xb16fffff,0x7fffffff,0x83f30fe2,0x7f2740fa,
    0x20be2db0,0x1fc3e47b,0x3e47f0f9,0x7f0f91fc,0x20dfb9b6,0x5f13f87c,
    0x417c4f70,0x2e0be27b,0x9ee0be27,0x747b82f8,0xbd007ee5,0xe803f700,
    0x401fb805,0x983dc1fa,0x5e8fe22f,0x05d8fdc0,0xa83f313e,0x07f2740f,
    0x320fe2bd,0x91fc3e47,0x43e47f0f,0x4fe1f23f,0xf927d46d,0x20fe27f0,
    0x320fe27c,0x9f20fe27,0x227c83f8,0x3747c83f,0x0fd809f3,0x36027cc0,
    0x027cc00f,0x07f98fe6,0x363f98db,0x6e97600f,0x83fd17e0,0xdd2740fa,
    0x217a3f88,0xf507dc5e,0x7f507dc7,0x47f507dc,0x6cfea0fb,0x83ee7c86,
    0x3a17a3fa,0x22f42f45,0x2f45e85e,0x3a17a2f4,0x37f63745,0x3be60b9a,
    0x7ec0999b,0x3e60b9ad,0x6c0999be,0x740b9adf,0x907deaae,0x47ff735f,
    0x0999bef9,0x39fd93f7,0x74dfe413,0x207d41fd,0x2673ea4e,0x273ea0fe,
    0x67c40fd9,0x3e23ffb9,0x223ffb9c,0x23ffb9cf,0x3ffb9cf8,0x97a662db,
    0x3ffb9cf8,0x3f6673ea,0x6cce7d40,0x4ce7d40f,0x4e7d40fd,0x67d40fd9,
    0x3740fd99,0x20f7ffe4,0x81ffffe9,0x4c1efffc,0xc81ffffe,0x74c1efff,
    0xd107aaef,0x987f3dff,0xb11ffffe,0x3fff71bf,0x1f8cffd8,0x513a07d4,
    0xf503dfff,0x3ae03dff,0x75c3e9ef,0x75c3e9ef,0x75c3e9ef,0x2db3e9ef,
    0x75c0dffd,0x7d43e9ef,0xff501eff,0x3fea03df,0xfff501ef,0x3ffea03d,
    0x0203c81e,0x000800c0,0x02002003,0x01800100,0x80080202,0x082740fa,
    0x00400100,0x20010008,0x00200000,0x40010004,0x08002000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01a8a600,0x882a6351,0x74c0002a,0x4010d440,0x02618800,
    0x0aa002a8,0x2a200551,0x0aa01531,0x22026188,0x02a8021a,0x05710aa0,
    0x262a8035,0x202a8802,0x01aaaaa8,0xfffa81dc,0x8806a01f,0xde882bba,
    0x26bd105d,0x004fa84f,0xee85c8aa,0xffa86cdf,0x7c5fa03f,0x007fd905,
    0x09f503db,0x09f35e88,0xbf40ffb2,0xdfee85f8,0x07fd906c,0x67cc3db0,
    0xd803ea4f,0x5401f21e,0xdddd304f,0x101f80bf,0x7c403333,0xdddff307,
    0x4c817620,0x1ec407b1,0x20b64f80,0xf9819912,0x7501fc9c,0x446d40dc,
    0x8036e02d,0x453203d8,0xb11b503d,0x40dc7505,0xb5019912,0x6dc05b11,
    0xd17aae40,0x3206dc07,0x00f62007,0x3fb622f4,0x9b00000f,0x00003ba0,
    0x7c000000,0x1f700004,0x00000be2,0x00000000,0x00000000,0x57200000,
    0x2000d97a,0x2000007c,0x3ab7e65e,0xffec80ef,0x2f98001d,0x4ffec880,
    0x00deec88,0x503bffd9,0x5ddddfdd,0x2a2e85b8,0x2201f71f,0xc880deec,
    0xec880dee,0xeec880de,0x1742dc0d,0x427ff644,0xc81dffec,0xec81dffe,
    0xfec81dff,0x3afea1df,0xd9101f9c,0x647649ff,0x777442ee,0x36cbd005,
    0xbd889d5f,0x3aa0feba,0xf51eeeee,0x555dd001,0xeabef887,0x5d5ec41f,
    0x7d5440fe,0x3e41aaad,0x3f3ba1fc,0x3aabba03,0x7557740f,0x7557740f,
    0x7557740f,0x0fe1f20f,0x10eaabba,0x41fd757b,0x0febabd8,0x3faeaf62,
    0x3aeaf620,0x3a2f2a0f,0x2aabba03,0x36b7bf23,0x1f6aa21f,0x2a7f2f40,
    0x5f300d97,0x7f555544,0xf9801f70,0x2fc36c02,0x9f017cc0,0x43f87c80,
    0x3ee01ffc,0x0fb93e20,0x20fb93e2,0x883ee4f8,0x0fe1f24f,0xf30005f3,
    0x402f9805,0x17cc02f9,0x0be606c8,0x827c4fc8,0x22bd007c,0x01ee992f,
    0x7d407f33,0xf1003ee2,0x20fe015d,0x1fccc07c,0x87c809f0,0x4ff7f23f,
    0x2ec2f47c,0x2f4bb0bd,0xbb0bd2ec,0x221fc3e4,0x33000aef,0x1fccc07f,
    0x4c07f330,0x11f983f9,0x9015df10,0x1f20db0f,0x3e7f2f40,0xffb70f71,
    0x13e207ff,0xfb3001f7,0x417c41bf,0xfffdb87b,0x9013e03f,0x4fe67f0f,
    0x7fc6d9fd,0x3e6fffff,0x26ffffff,0x6fffffff,0x3ffffffe,0x20fe1f26,
    0xb80dffd9,0x5c3ffffd,0x5c3ffffd,0x5c3ffffd,0xe83ffffd,0xd985ffac,
    0x21f20dff,0x200f906c,0xe9eb765f,0x7f117cc5,0x03ee1ba0,0x10ffb880,
    0xf98f907f,0x4f80fe22,0xb9fc3e40,0x89ffd10f,0x805e805e,0x805e805e,
    0x2203f87c,0x8be60ffb,0x88be63f8,0xf88be63f,0x3f88be63,0x2f8bfb5c,
    0x321ff710,0x0f905d87,0x7fd47f10,0x36c1fd9d,0x03f60fe6,0x260003ee,
    0x17a17a2f,0x203f98db,0x507dc05e,0xf887ea7f,0x2007ec1f,0x07ec00fd,
    0xf7003f60,0x4c01fd41,0x7f31b62f,0xd8fe636c,0x8db1fcc6,0x227e63f9,
    0xf9807b1f,0x03f88f92,0xd55950f9,0xefffa81f,0xfb9afc81,0xb80fdc3f,
    0x4cd4c00f,0x33ea0fd9,0x7e40fd99,0x203ffb9a,0x44199bfb,0x13ffb9cf,
    0xbffb35df,0x999bef98,0x266fbe60,0x26fbe609,0x2fbe6099,0x33e20999,
    0x54c3ffb9,0x320fd999,0x23ffb9af,0x3ffb9afc,0x3fee6bf2,0x3ee6bf23,
    0x8bf93a3f,0x2666a62f,0x335f90fd,0x64cc41fd,0xffd3099f,0x803f503d,
    0x3f9effe8,0x266677e6,0xfa801f70,0xfa82efff,0xfe881eff,0x2203f9ef,
    0xeb83ffec,0x3a63e9ef,0x43fbaeff,0x41ffffe9,0x41ffffe9,0x41ffffe9,
    0x41ffffe9,0x43e9efeb,0x42effffa,0x3f9effe8,0x3e7bffa2,0x27bffa23,
    0x3bffa23f,0x541d73f9,0x7ffd44ff,0x3ffaa2ef,0x7ffdc0df,0x5c004fff,
    0xf9002003,0x2e9fffff,0x0131000f,0x00020010,0x00008008,0x00600300,
    0x0801800c,0x08013100,0x00200100,0x44000004,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x21540000,0x0beda8e8,0x4c057750,0x0aa006a2,
    0xffd902a8,0x04c3103b,0x03bfb197,0x55544550,0x3fffea02,0x005554c1,
    0x806f7644,0x0b62aaa8,0x1a885b00,0x8086a202,0x1aaacca8,0x20bcca88,
    0x3a22981a,0x1ffffa86,0xf3014510,0x983db007,0x83fcbfcf,0x80dfeefd,
    0xd805dde8,0x87fd901e,0x0febabd8,0x325f8bf4,0x407ebcee,0x3fba21ed,
    0x06666207,0x200ffbb2,0x80feaaee,0x1f37fee8,0x83f10d40,0xe86cdfee,
    0x7446cdfe,0x43eeffdf,0x26feeffa,0x3ea7c83f,0x0cccc41f,0xb81b73e0,
    0x406dc04f,0x71760ef9,0x8827d45f,0x00db805d,0x805b11b5,0x371d42f9,
    0x03f31fe4,0x07c8036e,0x807f1000,0x013e20fb,0x9f012af9,0xcc8942d4,
    0x81991280,0x7cc1766e,0x907f0c0d,0x80003c8f,0x00c00cc9,0x950be600,
    0x03ec27c4,0x40000000,0x64003f99,0x20003f87,0x3bb2207c,0x807f100d,
    0x6405d85e,0x0013e007,0x21f98000,0xf00dd05d,0x2200f907,0x0000deec,
    0x51d10150,0x0fcc17db,0x3ea0be60,0x37f632e1,0x82f77441,0xb705eee8,
    0x7447ffff,0xf87c85ee,0x37f632e3,0x87b3f901,0x80feaaee,0x7ffc03f8,
    0x6406ffff,0x7013e007,0x883bfb19,0x47b85eee,0x803f885d,0x8807c83f,
    0x41feabef,0x4405eee8,0xbfcf981f,0x007e63fc,0x45f303f5,0x47ebceec,
    0x5107daa8,0x45f30fb5,0x36aa23f8,0x23f87c87,0x07ebceec,0x7dc19ff9,
    0x3e213e20,0x8002f403,0x013e007c,0x8fd79dd9,0x6c87daa8,0xf98e676c,
    0x3f8aaaa2,0x86d807c8,0x3ed5445f,0x3e607e60,0x1f99760e,0x7cc07dc0,
    0x1f98ff22,0x0f900f90,0x903f98db,0x47f0f90f,0x987e63fc,0x85e80ffd,
    0x263f885d,0x0003f63d,0x04f801f2,0x03f31fe4,0xdb1b61f2,0xd87ea399,
    0x320fe6fe,0x07f13627,0x983e40f9,0x2f982ffe,0x803f3254,0x21fa81fa,
    0xf903f87c,0x5f90f900,0x3207ff73,0x23f87c87,0x9f13f87c,0x3fffe0fb,
    0x3f886fff,0x77cc3ff6,0x6400999b,0x9013e007,0x1f207f0f,0x985d83f2,
    0x0fe6c82f,0x11ff99f2,0x640f705f,0xf980bb07,0x200fcc01,0x20fb82f9,
    0xf903f87c,0xfd10f900,0x3207f3df,0x23f87c87,0x6423f87c,0x4400bd07,
    0xd317ee3f,0xc803ffff,0x9013e007,0x1f207f0f,0x885d87ee,0x0fe6c84f,
    0x225fb1f2,0x3207c83f,0x4c03f887,0x3a00001f,0x1f22f446,0x403e40fe,
    0x0ea8207c,0x64000f90,0x07c83f87,0x3e2001fb,0x01b60043,0x09f003e4,
    0x903f87c8,0x2ec9f10f,0xf3640fd8,0x0fc8dd07,0xc817a17a,0x4c05f887,
    0x8176001f,0x0feaadfa,0xc81fc3e4,0xd007c807,0x3603e407,0x07f0f905,
    0x2fbe60f9,0x3f880999,0xc8017c00,0x9013e007,0x1f207f0f,0x4ef4efec,
    0x26ffe209,0x4d4fe6d9,0x89f713fb,0x0fd99cfa,0x1fe41f20,0x7c003f30,
    0x6fff5402,0x23f87c80,0x099fc998,0x267f2662,0x9893f600,0xf8099fc9,
    0x27f0f902,0x099fc998,0x0fffff4c,0x0337f333,0x4c40fba0,0x40099fc9,
    0x21aaaadf,0x2623f87c,0x64099fc9,0x44ffffff,0x24ffffd8,0x6c9ffb3f,
    0xdfff502e,0x3f933103,0x0effc813,0xc8800fcc,0x7c801000,0x3ffee3f8,
    0x3fee4fff,0x4c04ffff,0x3ffffee2,0xc806444f,0xfff73f87,0x80c09fff,
    0x07ffffff,0x7fdc0660,0x7c04ffff,0x324fffff,0x3fee3f87,0x0104ffff,
    0x00000880,0x3fee0040,0xa884ffff,0x0000000c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x35017700,
    0x10d415c4,0x32e35057,0x7501dfd8,0x2ee60599,0x81a8a602,0x804ffec8,
    0x88b70ab9,0xa8014c1e,0x3501ffff,0xa8a606a0,0x42dc1bcc,0x2880532e,
    0xaaaaa880,0x7302a802,0x2aa88037,0x2a02cca8,0x05555102,0x1bb22035,
    0x0ffea1f5,0x0ffea1f5,0x33bb21f5,0x77f447eb,0xddfc87ee,0xbbbd104f,
    0x0eaabba0,0x91feffb8,0x3662f88f,0x2620099f,0x1ff30199,0x26f907f0,
    0x323ffdef,0x80f93f87,0x77cc00fa,0x76c05eee,0x7e676c41,0xeeffc80d,
    0xdfbbfd10,0x3a209f01,0x204f87fe,0x98fa25ea,0x98fa23e9,0xc8fa23e9,
    0xfc87e63f,0xf517d401,0x4c176205,0x413e002f,0xff17c47c,0x0000bfff,
    0x641fc136,0x87c9fa07,0xfa80f93f,0x000fcc00,0x88bd01b7,0xb817e45e,
    0x3e0fe60f,0x4f87c804,0x3643f6e0,0x741b23e8,0xf0f91b23,0x2f403747,
    0xf88002fc,0x0fcc00ae,0x217c47c8,0xe85b807c,0x641fc002,0x87c9f207,
    0xfa80f93f,0x000fcc00,0x65c47d40,0x03f31f8a,0x54fe23e4,0x2eeeefee,
    0x104f87c8,0x03f31f95,0xe80fccfa,0x87c83f33,0xf00bf23f,0x223fec47,
    0x40beda8e,0x700dffd9,0xf11f201f,0x03737c85,0x3a27f0f9,0x907f05ee,
    0x0f92f40f,0x3f63f27f,0xe983ea1d,0xd5007e63,0x323ddddd,0x4f677dd4,
    0xb27cc06c,0x37eaa21f,0x87c81aaa,0x239b104f,0x1f4ae03e,0x320fa570,
    0x3fa23f87,0xf32f882e,0xfcf98f9d,0xf7103fcb,0x3f73221f,0x11f24ccc,
    0xefcec85f,0x9fc3e45f,0x7f07daa8,0x76644f90,0xc9fc3e45,0x2a7ebcef,
    0xf98bf30f,0x5440beef,0x7b0feaaa,0xdb4c81f3,0xfa87dffb,0x09f01eef,
    0x009f0f90,0x036401b2,0xf0f906c8,0x45ffd507,0xf74fbaf9,0xbb077cc1,
    0xdd32f980,0x64bdddfd,0xf90bee0f,0x7c83ea1d,0xf07c83f8,0x7744f907,
    0xa83ee3fe,0x7cc7f93f,0x0bf31f51,0x1dfb7551,0x37d17d40,0x2ffab70f,
    0x3a63fc99,0x7ccc2fff,0x0f90199c,0x03f3009f,0x98023f30,0x7f0f901f,
    0xf897f4c0,0xf31ee2ff,0x26a64a85,0xfb80fd99,0xd739f900,0x107e41bf,
    0x1fc3e45f,0xc83f83e4,0x7c4bee07,0xf93ffb9c,0x3ebea7f0,0x40bee005,
    0x3fa6c4f8,0x6c2f5321,0x3f629f36,0xffffff11,0x13e1f20f,0x827ed3a0,
    0xd06ff9ce,0x87c93f69,0xf27c403f,0x7cc6d81d,0x7fffd401,0x201f702e,
    0xfb8efefc,0xc8fe1f23,0x07c83f87,0xf80db09f,0x3a7bfae4,0x2a7f0f93,
    0x22001fdf,0xd70dd03f,0xd9f57fae,0xf0db7c85,0xf9009f0b,0x56b809f0,
    0x4cd709bf,0xfab5c1f8,0x017cc04d,0xf88d927c,0x8800fcc3,0x807dc009,
    0x87c8016c,0xfa83ee3f,0x0bd07c83,0x417cc0bf,0x21f21f50,0x1fb1f53f,
    0x3607ea00,0x422f880f,0xbd03f27a,0x3a17a17a,0x4f87c805,0x2ba27e60,
    0x320fcc4c,0x5744fcc6,0x90fdc04c,0x43fb5335,0x0ee99df9,0xbb000fcc,
    0xf900fb80,0x8fe1f200,0x3ffb9cf8,0x39f707c8,0x26663fb5,0x27406eb9,
    0x3ea7f0f9,0x4c40ee88,0xfb85fb99,0x222fee01,0x277e22fb,0x37f91fc9,
    0x7f705f93,0xf0f90333,0x3a35555b,0x47ffff34,0xd037624e,0x0ffffe69,
    0x3ffa27f4,0xfe981dff,0x01f980df,0x1f700be0,0x3e401f20,0x3bfae1fc,
    0xf93313e9,0xfffb8133,0x3ffff21e,0xca7e400c,0x21f53f87,0x3fee0ef8,
    0x9df983ef,0x7f540999,0xffe981ef,0x7fffe42e,0x7ffd9103,0x267f2662,
    0x9ffffff0,0x5c9901d7,0x4fffea0e,0x204c80eb,0x4002602c,0x800fcc00,
    0x07dc00c8,0x0f9004a8,0x7dc0207f,0x104fffff,0x4c000c40,0x2a7f0f92,
    0x311be60f,0xfffffc80,0x0040004f,0xb8100044,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x6f6e406e,0x5005502d,0x79751005,0x3ae0ba61,0x777fecc0,
    0xdd91970e,0x10d45305,0x55555555,0x009aaaa8,0x5101bca8,0x06aaa605,
    0x004d5554,0x2202a200,0x5101540a,0x05555555,0xca881aa8,0x9aaaa81b,
    0xaaaaa880,0x41bca80a,0x0aaaaaa8,0xfd103ff5,0xd907f959,0x404f807f,
    0x25feefe9,0x7c45e86e,0x90afea9d,0x83fb5bdd,0x6cc5dde8,0x0eaaaaaa,
    0x0bffbbf6,0x83fddfe8,0xefc82ffa,0x77ec4ffe,0x1ec42ffe,0x3a1ba2dc,
    0x3a606d86,0x0eeeffee,0xe987ff50,0x77c2feef,0x7cc2fffe,0x221eeeee,
    0x263fdcfe,0x21eeeeef,0x441f703c,0x6c46d43f,0xf8813e02,0x43f70c0e,
    0x2a3dc2f9,0x9f13f20f,0x2930bb10,0x5d8362dd,0x3ee07f62,0x3b760221,
    0x07dc7c85,0x20fec4bb,0x3f9aa9fc,0x03f517d4,0x02f400db,0x221fe7c4,
    0x88fe3ec4,0x00be61fd,0x987dc1db,0x1ba0002f,0xd50007f1,0x45ddddfd,
    0x27c400fc,0xfa8f90f9,0x01b61f20,0xda6cc930,0x21ba1760,0xcaf8806d,
    0x17c47c87,0xfd0dd0bb,0x9f60dfff,0x1aadb04e,0x1d900bd0,0x41f7007f,
    0x3e66e83f,0x9fc27c02,0x3e0002f9,0x05b9fc44,0x6fd544b6,0x017a1aaa,
    0xf309f3ec,0x7c8dd319,0x3bbaa6c8,0x88931eee,0x642ec1b7,0xfa805d87,
    0x23e42f98,0x321760fa,0x0fd15f87,0x403eefe2,0x7404feed,0x7c4fcc05,
    0x3e0fb803,0x0be67c83,0x269d07f0,0x13e0002f,0x441ee7f1,0x3e04f82f,
    0xf35f5004,0xbffdf303,0x25e87c81,0x0feaaaa8,0x6d6e6293,0x5c79fd90,
    0x55dd510f,0x27cdb035,0x87b733f2,0x3ee3cfec,0x0fb8be60,0x2607ff90,
    0x55100cfe,0x53a055dd,0x45e803f8,0xf30fb83f,0x6e89999b,0xacf9af44,
    0xe81542aa,0x0fa9fec5,0x3e07e657,0x4007f104,0x0bb06cde,0x03f88f90,
    0xd5498bea,0x7ff43619,0x7c47ea4e,0x444fffff,0xdf91f23f,0x3fa1bfdd,
    0xa87ea4ef,0xf807ea1f,0x80dff706,0x0eeffee8,0x03f8875c,0x20fe0fe4,
    0xdddf31fa,0x6f7cc1dd,0xddf34ffd,0x0ffccddd,0x7f6cdfdc,0x4dbe3f33,
    0x3e04f80f,0x0ffee004,0x0d5e67ec,0x3bae6bf2,0x4989f100,0x1760d893,
    0x80bb03ee,0xc8bea0fa,0x0bb27cc7,0x927c41f7,0xfffff90f,0x036c4c7f,
    0x8be60bd0,0x0bf203f8,0x4c3ee0fe,0xacb8802f,0x405f33e8,0xff900ff8,
    0x4d7c7f1b,0x9f07a9fe,0xf1003740,0x3bbe601f,0x3ff24ffe,0x1ba00cff,
    0x360d8126,0x05d86d85,0x7fffffec,0xd9ba1f24,0xdfe86d85,0xe99885fd,
    0x06d8099d,0x77e417a0,0x42eefeee,0xd07f02fc,0x40017ccd,0x805f32f8,
    0xd1fc4000,0x0d79b997,0x02fb817a,0x2f409f10,0x400f93ec,0xb74980fd,
    0xf51760d8,0x7c40bb07,0x27daaaac,0xbb2fc47c,0x67d43fa8,0x54c1fcdd,
    0xd80aaeea,0x4c17a006,0xadfbaaaa,0x3f80bf20,0x05f31fdc,0x17ccbb00,
    0x8fe20000,0x5cea9fcd,0x83337f70,0x44baacfe,0x9f100ee8,0x803e4fb0,
    0x229301fb,0x75db06c1,0xeea88bfb,0x3f51aaaa,0x2bf23f50,0x3b61feba,
    0x5f85fdba,0x7f7546e8,0xaed82eef,0x0bd01aaa,0x3ee1fc40,0x3e2aaaad,
    0x4c5fdbad,0x20aaaacf,0x20efcaa8,0x2eea02f9,0x1fc401bb,0x0ffe2df9,
    0x41fff644,0xb53efffc,0xdfd803ff,0x1f22fecc,0x26677e60,0xddddf309,
    0x7fec1fdd,0xfff882de,0x0db5ffff,0x7ffe53e2,0x77fec1ce,0x1101102d,
    0x3f602f40,0xbd04ffff,0x361fc400,0x26ffffff,0x982defff,0x21ffffff,
    0xf983defa,0x3ffff202,0x3ee1c803,0x0200bf64,0x02f26020,0x05e66540,
    0x3ff2012a,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c1bddb3,0x19501a82,0x88288540,
    0x2a24ffec,0xffff5000,0x540014c3,0x5510aaaa,0x54555555,0x32aaaaaa,
    0x21555555,0x1541a829,0x54055154,0x2aaaaaa1,0x1555532a,0x0a981a88,
    0x2a8d4053,0x5554c6a0,0x4c0aa80a,0xa8a606a2,0x54132000,0x3957bf72,
    0x262742ec,0x47e01ffe,0xaaaee86b,0x44007e63,0x03e41999,0x3bbffe20,
    0xdffddd32,0x3fffe1dd,0xfdd55fff,0x91f23ddf,0x2a1ff83f,0x2a0bee7f,
    0x3ffffa2f,0xfddf95ff,0x7c46e8bf,0x93f81ee5,0x2e7f101f,0x7c3ffeef,
    0x07f3643f,0x800fecf9,0xbf1df05d,0x6667f5c0,0x9bf92efc,0x643e203f,
    0xf3017cc5,0x3f200003,0x75c03cee,0x005e804e,0x217a0fe2,0xf10bea7c,
    0x3a3f6c7d,0xfb805e86,0x1fdc4f91,0x707e47f3,0x2f997c0f,0x44f70fb8,
    0x91ffe0fd,0x23e41fcd,0x05d803fc,0x6401f5df,0xffeeeeff,0x107ee333,
    0x9dd99f99,0x202bbe25,0xee8801f9,0xcccfc85e,0x9d7d00ef,0x5c00bd00,
    0x7c85e80f,0xd7f107f3,0x7f51efe2,0x3e200fdc,0x91be1f24,0x7a87f31f,
    0xd85f87e0,0x45f51ee6,0xf9b23fcf,0x4fb87c83,0xaaeeaaa8,0x201f37a2,
    0xf704e85d,0xccfdc883,0x3f662cef,0x007e60df,0x321f6aa2,0x7d427cc7,
    0x05e804e8,0x17a09f10,0x4c17a3f2,0xf9db9f9f,0x27c47ec0,0x0f907740,
    0x6edf88dd,0x22550fa8,0xf883f21f,0x41f71ee3,0xf9b26cbf,0xbf307c83,
    0x3ffffe21,0x3eaf27ff,0x55576c01,0x03f704fa,0x2202e9aa,0x83f30ffb,
    0x90f901da,0x29b0db0f,0xbd00ccee,0x7403ee00,0x206dfc85,0x9aecd8f9,
    0x7de7cc0f,0x320fdc00,0x7d427cc7,0xdf0f981f,0x22f983e2,0x2abee0fa,
    0x7cdfc4fc,0x6677cd92,0x3f607ecc,0xf880bb02,0x7fffec04,0x03f704ff,
    0x9802f96e,0xff83f32f,0x0f90f905,0xdd1f88dd,0x017a0199,0x85e813e2,
    0x3e606efc,0x01f37fa8,0xf8807ff9,0xfdbafc84,0x301ff306,0xf33ff33f,
    0x71b65f81,0x7f05ffdf,0xddf365b6,0xd10ffddd,0xd82ec03f,0x1735bfb5,
    0xb82742ec,0x576d4c1f,0x26a62bfa,0x3f30fd99,0x0f903fd8,0x5c3fa8f9,
    0x17a013a6,0x5e803ee0,0x504f9fc8,0x81f9a7cf,0x0ed806f8,0x03deefc8,
    0x3e217fba,0x879becc9,0x4f70fe7c,0x5f33f86d,0x3e41fcd9,0xbb003ba6,
    0xfffa8fa0,0x13a1761e,0x3fae0fdc,0x2a6efeee,0x261effff,0x1f20081f,
    0x17fb33f2,0x013fbbfa,0x013e017a,0x3eef90bd,0x44227a83,0xb80bd01f,
    0x200f901f,0xf83fa9fc,0x87aeb9fa,0x5c0faaf9,0x47f0fe27,0x20fe6cde,
    0x4017ea7c,0x6c81901a,0x209d0bb0,0x267d01fb,0x2613a207,0x43e4001f,
    0xa82cdefc,0x804fcccf,0x007dc05e,0xfd9f217a,0x1f883dc1,0x27c40bd0,
    0x9f300f90,0x5f3e07ec,0xb9f07cf8,0x0fd8f70d,0x26dfa8fe,0x0f67c83f,
    0x33333310,0xbb04e801,0x6d5449d0,0xa9741abf,0x260be207,0x40aaaacf,
    0x099fc998,0xe8bb00f9,0x0bd0099d,0xd55305f8,0xd1f2155d,0xf883dc1d,
    0x7ec0bd02,0xf92aaaab,0x7cc1fd00,0xdfd27fc5,0x2e0fff20,0x87f1fcc7,
    0x320fe6fe,0x7fff4007,0x0e405fff,0x2e4e85d8,0x45ffffff,0x2440d71f,
    0xffffff98,0x7ffffdc2,0xf880f94f,0x81ffff42,0x407ee05e,0x2ffffffb,
    0x2e5f88f9,0x3a05f107,0x3ffffe05,0xb80f96ff,0x3a2fc82f,0x541bee2f,
    0xd87b80ff,0x4df70fe7,0x0007c83f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd30a6000,
    0x445dd35d,0x2eeabefd,0x70efff64,0x76445d0b,0xeec884ff,0x1004c00d,
    0xb301bdd9,0x70001bdd,0x443bfb19,0x20beda8e,0x70eb82e9,0x0bb16c0b,
    0x6f46c4bb,0x65c42ec8,0x8157301b,0x88fa60ea,0xeea85eee,0x5cc1eeee,
    0x2a03301b,0x2b2e20bb,0xfa81ec40,0x3bef3e25,0x75930fcd,0x221f97ff,
    0x90febabd,0x57747f0f,0x5f7c43aa,0xff101fea,0x7f557740,0x32af7ee0,
    0x3b20bd01,0x3e67ebce,0x743fcbfc,0x41ee5e86,0xc93e62f8,0x3ef7e61f,
    0x5ed46cdc,0x5df640fd,0x7cc3ea3e,0x43ed5445,0x0feaaaa8,0x20bfb7ea,
    0xefefb83c,0xa8df9b50,0x21fdc0ff,0x02f9fe7a,0xf3017cbd,0x4cfe1f25,
    0x7c36c02f,0x7dc17a05,0x2fc53e20,0x3f20bd00,0x77cc7e63,0x41f71760,
    0x5c3ea2f9,0xafb83f32,0xda7cc3f9,0xf300f98f,0x46756dc5,0xbf31f52d,
    0xfa807c80,0x26db2742,0x21e9bb8d,0x1f503f50,0x0bf61fe8,0xe99fd9ae,
    0xf99dd983,0x327f3303,0x5df13f87,0x1f20fe01,0xaec2f400,0x17a000fa,
    0xf99fc3e4,0x8fe22542,0x6f8fcc7c,0xbdfb01f3,0x4d363f30,0x3fbb620f,
    0x2eeae3a2,0x0bf5f559,0x4f880f90,0xeb9ae2f8,0x1f903edd,0x7e427ed4,
    0xb901ee88,0x8a7fffec,0xfffffffd,0x3ffff6e3,0x4c7f0f93,0x3e20dffd,
    0x2aa27b82,0xf0aaaaaa,0x2dffffff,0x5554407c,0xf90aaaee,0x007e67f0,
    0x5f09f36c,0x20f53fd3,0x1f980ff8,0x5d83e69b,0x1dd778be,0x07f7ead1,
    0x0dd01f20,0x7dc5d93a,0x985f902f,0x7f731fdb,0x26c813ea,0x363f707e,
    0x7c45f305,0x107f0f93,0x0fe21ff7,0xeeee99f2,0x0bd0eeee,0x3a601fb8,
    0x0eeeffee,0x3e67f0f9,0xf53f5001,0x9b997d01,0x13ff60d7,0xf9a6c7e6,
    0x8bfb3b20,0x599dab8e,0x801fb1f5,0x403f607c,0xd31fdefb,0x221db79b,
    0x4fe201fe,0x06fcc2de,0xb01ff3dc,0x46d8374b,0x541f73f9,0xe8be603f,
    0xb0005e85,0x027cc01f,0x21f20bd0,0x4003f33f,0xf9b05dcf,0xf70b9d53,
    0x1f985f75,0xa883e69b,0x2f6e0a8b,0x1f52dc99,0x3e401dd1,0x5cc01fb8,
    0x29e4a20b,0x5d3bbbfa,0x8800fedc,0x5d7cc0ee,0xf7099dff,0x1339fd93,
    0x3fee6bf2,0xff739f13,0x36666a67,0x2673ea0f,0x406a00fd,0x0999bef9,
    0x02e6b7f6,0xf87c82f4,0x64003f33,0x2df902ff,0x27cc3ff8,0xd8fcc3fb,
    0x55541f34,0x5df642aa,0x7c43ea3e,0x3f26620e,0x33bf3099,0x55554133,
    0xaa83c82a,0x59931aaa,0x0fec4001,0x3fe6bff2,0x71bfb11f,0x3fa23fff,
    0x3ae3f9ef,0xff53e9ef,0xff505dff,0x3fc403df,0x3ffffd30,0x01efffc8,
    0x3e1f20bd,0x44003f33,0xd93ee07f,0xf11ba22f,0xa6c7e61d,0x3bbba0f9,
    0x40aa885e,0xb9be60fa,0x94ffffff,0x49ffffff,0x005eeeee,0x32000000,
    0x20201005,0x00200100,0x00100131,0x8018026c,0x0001a800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02040000,
    0x20204154,0x0bb88081,0x154406a0,0x3ffffffa,0x77777775,0x00260883,
    0x54454c55,0xbb887911,0x7ffd4040,0xccc8661f,0x04cccccc,0x00000000,
    0x00000000,0x00000000,0xf89fc400,0xf51ffaa1,0x43f71b21,0x377ea2f9,
    0x00ff982f,0x5554c9f3,0xdddd1aaa,0x27e87fdd,0xc87b605f,0xff73f98f,
    0x88ff7f43,0x4cccc41f,0x3323ff50,0x3ccccccc,0x00000000,0x00000000,
    0x00000000,0xbd364000,0x5d87cbd8,0x99fd87f1,0x0d91f44f,0x6c40bb5d,
    0x43f80002,0x65406e2a,0x9fc47e40,0x21f30ef9,0x4007dbfd,0x00001ffa,
    0x00000000,0x00000000,0x00000000,0x3ae3f300,0x7f10f900,0x9ffb03ea,
    0x2a3dc3f0,0x36003f16,0x04ffffff,0x400001fc,0x2047f17b,0x00f75c38,
    0x00001540,0x00000000,0x00000000,0x00000000,0x17a1f700,0x22bd07c8,
    0x40ffd42f,0x45f1764e,0x5555006b,0x1b803555,0x25a80000,0x0000001d,
    0x00000000,0x00000000,0x00000000,0x80000000,0x3205f34e,0x8db0fb87,
    0x541fdcf9,0x16e0efef,0x000000fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f300000,0xffeb83ee,0x3ea5f34e,0x1fd93e61,
    0x40440cc4,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x21b80000,0x2aaaa60b,0x221d4711,0x00000c83,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_18_latin_ext_x[560]={ 0,3,2,0,0,0,0,3,2,2,1,0,2,2,
3,1,0,1,1,1,0,1,1,1,1,0,3,2,1,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
2,0,1,0,1,0,1,0,0,0,0,0,0,0,0,3,1,2,1,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,
4,1,0,0,1,1,1,2,0,0,1,0,2,2,0,1,0,3,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,2,
1,-3,-2,1,0,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_18_latin_ext_y[560]={ 13,0,0,1,-1,0,0,0,-1,-1,0,3,10,7,
10,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,15,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,13,4,-1,1,1,1,
-2,0,0,1,1,4,7,7,0,1,0,2,0,0,0,4,0,6,13,0,1,4,0,0,0,4,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,4,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-2,1,-2,0,1,4,-2,0,-2,0,-2,0,-2,0,-2,0,1,0,-2,1,-2,0,-2,0,1,4,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-3,1,0,-2,0,-2,1,-2,0,1,0,-2,4,1,0,-2,0,1,0,4,-2,-3,1,
0,0,0,1,0,1,0,-2,0,1,4,-2,0,-1,1,4,-2,1,-2,0,-2,0,1,4,-2,0,1,4,-2,0,
-2,0,-2,0,1,4,-2,0,1,1,-2,0,1,1,-2,0,-2,1,-2,0,-3,-1,-2,0,1,4,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_18_latin_ext_w[560]={ 0,4,6,10,9,10,10,3,6,6,8,10,5,6,
4,8,10,8,8,8,10,8,8,8,8,9,4,5,8,8,8,7,10,10,8,9,10,8,8,9,9,8,7,9,
7,10,8,10,8,10,9,9,10,9,10,10,10,10,9,5,8,5,8,10,6,8,8,8,9,8,10,10,8,8,
7,9,8,10,8,10,8,9,9,8,9,8,10,10,10,10,8,7,2,7,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,7,9,10,10,
2,8,8,10,7,8,8,6,9,8,8,9,6,6,9,9,9,4,3,7,7,8,10,10,10,7,10,10,10,10,
10,10,11,9,9,9,9,9,9,9,9,9,10,9,10,10,10,10,10,8,10,9,9,9,9,10,8,8,9,9,
9,9,9,9,10,8,9,9,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,9,9,9,9,10,8,10,
10,9,10,9,10,8,9,9,9,9,9,9,9,9,11,12,10,10,9,9,9,9,9,9,8,8,9,9,9,10,
9,10,9,10,9,10,9,9,10,9,9,9,9,9,9,9,8,9,9,8,9,9,8,8,9,9,9,9,9,7,
8,12,12,9,12,9,8,9,9,8,8,9,9,9,8,8,10,10,10,10,10,10,10,10,11,10,9,9,11,10,
9,9,9,9,9,8,9,9,10,9,10,12,10,9,9,9,9,9,9,9,9,9,10,10,9,8,10,10,10,10,
10,9,9,9,9,9,9,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,9,11,10,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,9,8,10,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_18_latin_ext_h[560]={ 0,14,5,12,17,14,14,5,18,18,9,10,7,2,
4,15,13,12,12,13,12,13,13,12,13,12,10,13,11,5,11,14,17,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,16,12,13,12,13,12,12,12,12,12,17,15,17,7,2,5,10,14,10,14,10,13,13,13,13,
17,13,13,9,9,10,13,13,9,10,13,10,9,9,9,13,9,17,19,17,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,13,17,12,12,12,
19,16,5,13,9,8,5,2,9,4,7,11,8,8,5,13,16,4,3,8,9,8,13,13,13,13,15,15,15,15,
15,16,12,15,15,15,15,15,15,15,15,15,12,15,16,16,16,16,16,8,16,16,16,16,16,15,12,14,14,14,
14,14,14,15,10,12,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,10,13,14,14,14,14,17,17,17,
15,13,15,14,16,13,16,14,16,14,16,14,16,14,15,14,12,14,15,13,15,14,15,14,16,13,15,14,16,17,
16,17,16,17,16,17,15,16,12,13,15,13,15,12,15,13,16,17,15,9,13,17,16,17,16,17,9,15,16,16,
17,13,13,12,13,12,13,15,13,16,13,15,13,14,16,13,16,13,16,14,16,14,13,10,15,13,16,13,15,13,
16,14,16,14,15,12,16,14,16,16,15,14,12,13,16,14,16,13,16,14,17,15,16,14,16,13,15,13,15,17,
15,15,13,15,13,15,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,17,15,14,17,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,13,16,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_18_latin_ext_s[560]={ 255,251,107,30,75,167,55,252,7,25,227,
99,250,248,114,168,53,21,200,144,189,181,211,102,220,229,248,219,1,70,233,
238,85,115,126,32,209,220,239,199,223,111,207,120,248,130,214,22,162,39,204,
43,91,134,193,182,171,141,152,125,118,172,54,144,63,32,188,90,228,81,84,
53,162,125,107,171,239,162,110,59,64,1,119,50,22,41,129,140,151,42,210,
207,4,247,119,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,255,251,1,
105,146,157,1,60,88,200,173,10,79,248,181,130,45,242,236,243,97,95,69,
139,252,19,219,27,23,12,1,246,1,213,12,23,34,110,79,224,45,55,98,
108,158,208,218,188,94,198,131,153,174,1,216,36,237,12,22,32,53,177,70,
177,22,157,147,137,127,203,21,1,96,86,76,66,197,43,53,72,116,168,240,
229,218,207,196,70,215,167,157,147,137,196,187,215,65,226,137,64,123,63,144,
21,163,1,183,246,193,41,76,51,135,95,244,110,148,31,127,11,74,133,88,
74,113,226,94,161,134,96,173,32,234,195,10,105,193,178,173,60,151,236,232,
43,108,201,209,115,213,131,222,140,191,11,203,248,178,155,142,50,120,168,101,
241,91,154,82,1,33,106,104,34,83,225,63,126,42,11,188,10,86,1,227,
12,64,64,185,178,164,117,130,41,121,1,99,89,43,32,178,229,79,45,29,
115,9,186,237,183,205,106,19,153,140,11,21,150,32,54,190,76,236,98,73,
246,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,142,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,14,53,118,84,63,161,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,50,75,99,89,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83, };
static unsigned short stb__consolas_18_latin_ext_t[560]={ 1,39,184,160,1,103,103,160,1,1,173,
173,173,156,184,72,132,160,146,132,146,132,132,160,132,146,145,118,173,184,160,
72,1,146,146,146,146,146,146,118,160,160,103,160,132,160,160,118,160,21,160,
132,160,132,160,160,160,160,160,1,72,1,184,184,184,173,103,173,72,173,132,
146,132,132,1,132,132,173,173,173,146,146,173,173,146,173,173,173,173,146,173,
1,1,1,184,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,1,88,21,
146,146,146,1,21,184,132,173,184,184,156,173,184,184,160,173,173,184,132,21,
184,166,184,173,184,132,132,132,118,72,56,72,72,72,21,160,56,72,72,72,
72,72,72,72,72,146,72,21,21,21,39,21,184,21,39,39,39,39,72,160,
88,103,103,103,103,103,56,173,160,103,103,103,103,103,118,118,118,88,118,88,
88,88,88,88,173,103,88,88,88,88,1,1,1,72,103,72,88,39,118,39,
88,39,88,39,72,39,88,72,88,146,88,56,118,72,88,72,88,39,118,72,
88,39,1,39,1,39,1,39,1,56,21,160,132,56,118,56,160,56,118,39,
1,56,173,118,1,39,1,39,1,173,56,39,21,1,118,118,160,118,146,118,
39,118,39,118,56,118,88,39,132,39,118,39,88,39,103,118,173,56,118,21,
118,56,132,21,103,21,103,56,160,21,103,21,21,56,103,146,132,21,103,21,
132,21,88,1,56,21,103,21,132,56,146,56,1,56,56,132,56,103,56,146,
103,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,21,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,1,1,56,88,1,56,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,21,132,21,21,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146, };
static unsigned short stb__consolas_18_latin_ext_a[560]={ 158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_18_latin_ext(stb_fontchar font[STB_FONT_consolas_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_18_latin_ext_s[i] + stb__consolas_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_18_latin_ext_t[i] + stb__consolas_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_18_latin_ext_x[i];
            font[i].y0 = stb__consolas_18_latin_ext_y[i];
            font[i].x1 = stb__consolas_18_latin_ext_x[i] + stb__consolas_18_latin_ext_w[i];
            font[i].y1 = stb__consolas_18_latin_ext_y[i] + stb__consolas_18_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_18_latin_ext_s[i] + stb__consolas_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_18_latin_ext_t[i] + stb__consolas_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_18_latin_ext_x[i] + stb__consolas_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_18_latin_ext_y[i] + stb__consolas_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_18_latin_ext_LINE_SPACING
#endif

