// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT        278
#define STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_22_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_22_latin_ext_LINE_SPACING          14

static unsigned int stb__consolas_22_latin_ext_pixels[]={
    0x08812e97,0x03bd3000,0x88220930,0x00001300,0x008809fb,0x011000e4,
    0x30030098,0x80044001,0x26622ba8,0x40000019,0x4004c008,0x004cccc8,
    0x0f600331,0x08e6665c,0x883f5fa0,0x7cc001ff,0x3e601a9e,0xf88fb80f,
    0x8000df04,0x7fcc01fd,0x2003fa01,0xdf903ffa,0x3ee0bfd0,0x7d403fff,
    0x7ffcc03f,0x07ffff64,0x0bf25f98,0x2607ff50,0xfff9804f,0x2ff9807f,
    0xfd02f980,0x3ff65fff,0x83f5fa0c,0x54002ff9,0x3a205f12,0xfffd101f,
    0x8001be01,0x5ff50029,0x2a037cc0,0xfd83fbcf,0x6c37fc0f,0x03fc88bf,
    0x407f79f5,0x55540bfe,0x9bea01fd,0x33ea03fd,0x04f983fb,0x26003f98,
    0x1f9000ef,0x32a5f500,0x3afd2ffe,0x4000ee07,0xf900fc98,0x40155009,
    0xddd0006f,0x0077001d,0x315409f7,0xa82d9815,0x640fe41d,0x054c5507,
    0x7e4037c4,0x00604c01,0x26054c55,0x03f9804f,0x55000aa0,0x2a0bea00,
    0x0fd7e9ff,0xffea8000,0x00df307f,0x40037c00,0x0003f0f9,0x0002fd80,
    0x81fc4000,0x4c0002f8,0x01fc803f,0x26000000,0x03f9804f,0x20000000,
    0xdbf702fa,0x3f6a1faf,0x900eeeef,0x0bff79df,0xfda803fb,0x3e0eeeef,
    0x3a04ec86,0xdd900ede,0xbf1003dd,0x3bbff6a0,0x507d30ee,0x3a03e43d,
    0x3bbbba24,0x007f306e,0x0bd103f9,0x05e8876c,0xca7cc3b6,0x0fe60cee,
    0x1db02f44,0xdddffb50,0x205f501d,0x8fd7eef9,0xeffbbefb,0x50ef980e,
    0x3fc47fdf,0x3eefbee0,0x91be0eef,0x805500bf,0x001ffeec,0x77df70fd,
    0x3e61ddff,0x53e2fb84,0x5d8ddec8,0x3fbbbba2,0x9007f307,0x20bf603f,
    0x417ec6f9,0x3b3e66f9,0x3e66fedf,0x260bf603,0xbbefb86f,0xfa80eeff,
    0x2fd9f302,0xf11be27e,0xd90fec0d,0x02fd4df1,0x86f88df1,0x2017f26f,
    0xf9004ffa,0x887f2003,0x2637c46f,0xf32fb84f,0x65faff63,0xf507e806,
    0x203f9005,0x43fb85fa,0x23fb85fa,0x3f60eff9,0x7d407f32,0x7c43fb85,
    0xf5037c46,0x4ff54c45,0x27ccfd7e,0x46f807f4,0x3f21fb4f,0x3a13e603,
    0x5fcb7c0f,0x00dffb00,0x7dc007f2,0x3fa13e63,0x3ee13e60,0x74beaf72,
    0x0fd00d96,0xf9001fb1,0x3a07fc03,0x740ff80f,0x303be60f,0xf00fe6bf,
    0x4c0fe81f,0x500fe84f,0x96ffe45f,0x2fccfd18,0x25f883fc,0x363f91f9,
    0x217e601f,0x5fbef87f,0x3fbbf100,0x2003f900,0x217e65f9,0x5c27cc7f,
    0xf9f2db2f,0x4fd00d95,0x9000dff9,0x31fe403f,0x98ff20bf,0xf827cc5f,
    0xfc807f36,0x3e617e63,0x3ea07f85,0x7e807f22,0x09f91ff4,0x327c93e6,
    0xe803fb2f,0x3e13f23f,0xf5002fee,0xf9007f77,0xd1be2003,0x2627e47f,
    0xbb2fb84f,0x5ca7c5ba,0x37227e80,0x03f9004f,0x05f937cc,0x42fc9be6,
    0x26df04f9,0x937cc03f,0xc8ffa05f,0xc8bea04f,0xfb1fa00f,0x5409ffff,
    0x2fb97a4f,0xffd805f7,0x1df04fff,0x1fb003ff,0x3f900df1,0xfb17e600,
    0xf309ffff,0x57a5f709,0x17a5f35f,0x07e41fa0,0x3a00fe40,0xfe80ff1f,
    0x09f30ff1,0x00fe6bf1,0xb03fc7fa,0x809fffff,0xd01ae2fa,0x554d7d4f,
    0xf8afc400,0x27cc7f22,0x15535f50,0x1ff9b7c0,0x1fe9be20,0xb800fe40,
    0x2a6bea4f,0x709f300a,0xbaf53a5f,0xfd005f1f,0x3200fe60,0x567d401f,
    0x567d404f,0x984f984f,0x5007f34f,0x2a09f59f,0x800aa9af,0xd4b802fa,
    0x4001fdcf,0x7f41f76f,0x3fb81be0,0xffa9be00,0x7dc7f500,0x800fe403,
    0x00fee2fd,0x97dc27cc,0x7fd3db5d,0x0fd001f7,0x3f200fe6,0x1fdff801,
    0x81fdff80,0x30fe84f9,0x37fe007f,0x007f701f,0x06545f50,0xff33f5fa,
    0x4059dddf,0x3e25d9fe,0xf9807f46,0x82ceeeff,0x4077dc6f,0x11be21fd,
    0x99bfd999,0x3e63fc03,0x42ceeeff,0xb2fb84f9,0x3f2ffead,0x20fd002f,
    0xccc883f9,0x901ccdfe,0x3f200dff,0x59ff306f,0x1fcc7fd7,0x206ffc80,
    0xceeefff9,0x7c4bea02,0x47ebf44f,0xfffeeefe,0x47fdf504,0x01fe42fe,
    0xfffdddfd,0xefc86f89,0x3fa1be20,0x3ffffe20,0x9f503fff,0xffdddfd0,
    0x5c27cc9f,0x3044f92f,0x983f4001,0xffff883f,0xf303ffff,0x3fe6005f,
    0xfffff302,0x003f983b,0xfe805ff3,0x04fffeee,0x217f45f5,0x17e4fd7e,
    0xff903fcc,0x3a09fd99,0x982fc81f,0x7d40007f,0x3ffeeeef,0xf101f900,
    0x982fc81f,0x23f9007f,0x880002f9,0x009f306f,0x006f9800,0x4f981be6,
    0x801fcc01,0x17e406f9,0x2fa83fcc,0x27ebf404,0x80fd00fe,0x203efffe,
    0x07f40ef8,0x01b207e8,0xfffffffb,0x05f300df,0x03fa0ffa,0x0ff803f4,
    0x2a00017a,0x00df105f,0x0bfa00d9,0x2602fe80,0x03f9804f,0xfe805fd0,
    0x3ea0fd00,0x4fd7e802,0x3f261dfd,0x004e7c04,0x6fec5fa8,0xf813f261,
    0xe81be205,0x0e7d400f,0x6fec13ee,0x2213f261,0x544fd999,0x202e20df,
    0x1feb89aa,0xf8073fa0,0x9fd53105,0x4fea9880,0x4c027cc0,0xfd53103f,
    0x43bfb009,0x5f504fc9,0x89fafd00,0x4ffffffe,0x4000fcc0,0x3ffa20fc,
    0x2204ffff,0x813ea03f,0x7fd803fc,0xffd102fc,0x2a09ffff,0xa80dffff,
    0x906ffeff,0x807fffff,0xf884ffe8,0x07fff503,0x007fff50,0xff3009f3,
    0x7ffd4fff,0xfffd1003,0xffe89fff,0xd7e802ff,0x1557530f,0x40005300,
    0x15575301,0x3600a880,0x01be601f,0xa9800408,0x55400aab,0x0aa9801a,
    0x0055d4c0,0x15103530,0x4002aa20,0x51000aa8,0x55551003,0x00055445,
    0x40555d4c,0x800aaaaa,0x0000fd7e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0154aa00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aea0000,0x00088000,0x00eec400,0x00001991,
    0x00001988,0x00002620,0x00000000,0x00010000,0x00000000,0x40000000,
    0xfb80001a,0x3ea002ff,0x3e01fd0f,0x007ba207,0x3600f9bd,0x3fffee06,
    0x3fffe25f,0xfec802df,0x3ea03fff,0x00bf5005,0x03fb8fe2,0x7fffffc4,
    0x04f981ff,0x7ffffffc,0xfffd0fff,0x2a01ffff,0x1bf604ff,0xd84fab7c,
    0x85f1003f,0x10df07fd,0x7dc00ff5,0x3e01fd1f,0x2002ea07,0xe800f88f,
    0x779dfb05,0x6677c499,0xfd303ffe,0x40dd999d,0xff9007fc,0xfb8be600,
    0x7e664403,0xf980cccf,0x7e666404,0xfd0ccccf,0x01999999,0xfd81bff6,
    0x9f56f83f,0x98805fb8,0x1ffec0fc,0x03fb037c,0x01fd1dc0,0x27fdc1fe,
    0x502f76c0,0x549dffdb,0x45f8806f,0x09fd07fa,0x002c8802,0x3ea00591,
    0xd000fee1,0x009f300f,0x01fa07e8,0x03fbbf10,0x5be1fff6,0x01be64fa,
    0xb0ffffd5,0x40df0dff,0x3a0002fb,0xf10ff00f,0x55003f13,0x6feffec0,
    0x200ff25d,0x40fe85f8,0x4c0004fb,0x80131000,0x7f70afc9,0xd307e800,
    0xdddddfdd,0xfd03f405,0xfbbfa800,0x87f7fb03,0x3e29f56f,0x33bf200f,
    0x5fec5ffb,0xf7037c2f,0xddddd105,0xf807f4dd,0x1f88f887,0x2ff00fe8,
    0x705f35fa,0x0bf100bf,0x00fe81fd,0xefffec80,0xffffd903,0xfffffa87,
    0xe8007f75,0xdfddd307,0x7405dddd,0xb001fa07,0x360df11f,0x5be0fe8f,
    0x403fd4fa,0xfdf50ef9,0x237c7ec7,0x20bee06f,0x7feeeee8,0x83fc03fa,
    0x1fd05ffc,0xa97e5fe0,0x2efe880f,0xbf917e20,0xe8800df0,0x45ecccef,
    0xecccefe9,0x3babbee6,0x8007f739,0x04f9807e,0x0fd03f40,0x3fd37c40,
    0xf8feefb0,0x05f99f56,0x23b21fd8,0x17e5f66f,0x01fcc0df,0x807f4fd0,
    0xe806207f,0x3eeff00f,0x7ec40f75,0x7fc40bff,0x440dffee,0x2f776c5f,
    0x3a0417f6,0x3fe2104f,0x03fb8bd0,0x7cc03f40,0xd03f4004,0x0dffffff,
    0x41fdc7f5,0xb7c3fa7d,0xf805fefa,0xb0fda7c6,0x06f9be2f,0x7e80077c,
    0x23fc03fa,0x83effec9,0x22ff00fe,0x9806deff,0x3e22fffd,0xf304feef,
    0x26feed8b,0x9f7006f9,0x27c7f500,0xfd000fee,0x8009f300,0x333fa07e,
    0x1fd83ccc,0xa9f61be2,0x37eadf4f,0x97e200ff,0x363f91f9,0x037c7f67,
    0xd00bff62,0x7f807f4f,0x7fee77e4,0x7f807f44,0x02ffff62,0x447ff220,
    0x220ff25f,0xfc9be06f,0x001fd002,0x70fe25f9,0x07e8007f,0x74004f98,
    0x4401fa07,0x6c0fe86f,0xab7c7f47,0x2606facf,0x2fc9f24f,0x6fafccfb,
    0x00e6fdc0,0xf00fe9fa,0x0ff8818d,0x43fc03fa,0x002ffff9,0xf17e27f9,
    0x201ff01f,0x4007f66f,0x27f7006f,0x01fdc2f9,0x3e601fa0,0xd03f4004,
    0x3bfea00f,0x6c3ffeee,0xab7e7d47,0x2a0bf94f,0x2fb97a4f,0x6f8fd8fb,
    0xe8013e20,0x3ea07f67,0x743f9005,0x3e0ff00f,0xa801ffbc,0xfb8bf14f,
    0xdf03fd84,0x7c4007f4,0x9af776c5,0xfb81f55f,0x403f4003,0x3f4004f9,
    0x3f600fd0,0x6fffffff,0xb7ff43ec,0x20ffa4fa,0x645f15f8,0xcfa8fb1f,
    0x00bea06f,0x213ee7e8,0x553102fd,0x807f45fb,0xf72f887f,0x225fb009,
    0x207fc45f,0x26f82ff8,0x5f9800ff,0xff37f76c,0x07f70f75,0xfd007e80,
    0x3a07e800,0x206f8807,0x2a1f60fe,0x449f56ff,0xf76f81ff,0x87d87f41,
    0x3ea06ffe,0xfd1fa002,0x30dff97b,0x5ffffffd,0x87f807f4,0x3abf51f9,
    0x5feccccd,0x13f217e2,0x3333bfea,0x2003fa6f,0xa9be06f8,0x74cbfeff,
    0x599999bf,0x33ff3322,0x9df900cc,0x03f40395,0x999999fd,0xfc813ea1,
    0xb7ec1f63,0x07fcc4fa,0xf89767fa,0x3fea1f66,0x800bea06,0x7ffe447e,
    0x1afe80cf,0x00fe8bf2,0x88fa82df,0xffff93fe,0x85f887df,0xfd880ff8,
    0x3f63efff,0x201ff002,0x7ffec46f,0xfffff73e,0x3ffe29ff,0x101fffff,
    0x405fffb7,0x3fffa07e,0x3fb0ffff,0x0fb37cc0,0x427d5be6,0x7f7d45fb,
    0x07d8bfa3,0x17d40dfd,0x7e40fd00,0xf907f300,0x7d40fec5,0xfdfddfd5,
    0x003310bf,0x20310000,0x7fb006fb,0x02fc1be0,0x005e8000,0x20000011,
    0x7dc005e8,0x00bf3000,0xeccffc80,0x5c00004f,0x0df1002f,0x3fb80fe6,
    0x9f717fd4,0x3b6e5fb0,0x6402deff,0x800d9006,0x827f406c,0x3e0bfe20,
    0x6c807f06,0x2007dc00,0x01b2006c,0x4c001f90,0x13ee003f,0xffe80364,
    0x06c803ef,0x54007f60,0x039f305f,0x3f6effe6,0x5eff42fe,0x0bd06ffc,
    0x5f802fc0,0x2602fc00,0x5eccdeff,0x66677fd4,0x402f986f,0x57e4005f,
    0xf8017e00,0x04fec005,0x401cf980,0xbf00ffb8,0x00273e00,0xfb9805f8,
    0xd7135506,0x07fec03f,0xaaefffb8,0x7ffe442f,0x4013e04f,0x3f8803f8,
    0x200fe200,0x2deffec8,0xeffffd88,0x2201fa83,0x7f44003f,0x2007f106,
    0x74c003f8,0x3ff6005f,0x40bfee00,0x1f9803f8,0x201fc400,0xf901effb,
    0x2007ffff,0x40008800,0x001c8008,0x15100151,0x00054400,0x80310004,
    0x02a200c9,0xa8804400,0x00151000,0x00400020,0x0a8802a6,0x88002980,
    0x00d4c00a,0x00055d4c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c002600,
    0x1ed981dd,0x00664400,0x6402ee98,0x320531de,0x400dd88d,0x31009998,
    0x03331003,0x50077660,0x4c1f649d,0x4b9001ed,0x3766004c,0x55555501,
    0x005dd300,0x41f649d5,0x4076a2d8,0x0661325c,0x77fff640,0x807be203,
    0x3a001fe8,0xdfa807cd,0xd7d902fd,0x3a207fdf,0xfb500eff,0xfb8bffff,
    0xd885ffff,0x4403ffff,0x77cc01ef,0x74407fb0,0xeffa801f,0x3df1003f,
    0x7fffffc0,0x3f77ea00,0x6c3be602,0x64bf503f,0xfdff503f,0x200ff887,
    0xecccefe8,0x4002aa05,0x223e002a,0x5515400f,0x02ca8220,0xffb00aa8,
    0x6cbf75ff,0x84cbbcef,0x01a99bfe,0x15400554,0x0aa00351,0x000e5cc0,
    0x00000155,0x55015455,0x82a00d44,0x0e5cc028,0xfb007fc4,0x1988020b,
    0x6c001100,0x262005ee,0x31000001,0xfffff503,0x037d57e2,0x88004f98,
    0x00044000,0x00044000,0x00022000,0x00000000,0x807fc000,0x7dc006f9,
    0xd505ffff,0x2a009fff,0xffff7002,0xf00fe8bf,0xfffff70f,0xbffffe4b,
    0x007f95f8,0xea801be6,0x75404fff,0x3fa04fff,0xfd50ff00,0x03fa09ff,
    0x7ff543fc,0x201fd04f,0x7c03fa7f,0xff00fe87,0x27f807f4,0x00bf207f,
    0xcbbcefd8,0xebcefc84,0x3fea00ef,0x5e77ec04,0x807f44cb,0x5e77ec7f,
    0x3fff64cb,0x3eebf17f,0x07bfa005,0xfd79df90,0x79df901d,0x1fd01dfd,
    0x9df91fe0,0xfe81dfd7,0xefc8ff00,0x740efebc,0x7f4ff00f,0x1fd0ff00,
    0x00fe9fe0,0xfb03fcff,0x01bea003,0x3f6077cc,0x81bff603,0x1fd006fa,
    0x06fa9fe0,0x17ffffc8,0x0bbfa2bf,0x19ffdf70,0xfd81df30,0x36077cc3,
    0xf00fe83f,0x36077ccf,0xf807f43f,0xfb03be67,0xff00fe87,0x87f807f4,
    0x74ff00fe,0x3fcff00f,0x32001fd0,0x03fb003f,0x37e20ff1,0x07f901fd,
    0x3fc03fa0,0xff3007f9,0x897e2fff,0x4c0bfffd,0x83dfd15f,0x47f881fd,
    0x87f881fd,0x6cff00fe,0x747f881f,0x7ecff00f,0x7f47f881,0x07f4ff00,
    0x00fe87f8,0xf807f4ff,0x0ff81fe7,0x200bf700,0x207f606f,0x703fbbfa,
    0x03fa00bf,0x00bf73fc,0x7c5fffee,0x2fffd985,0x1ff70bee,0x43fb037c,
    0xd07f606f,0x6f9fe01f,0x0fe87f60,0xb037cff0,0xf807f43f,0x3fc03fa7,
    0x27f807f4,0x7cff00fe,0x4003fa07,0x2202efe8,0x20bf205f,0x106f88fd,
    0xfe805dfd,0x7f44ff00,0x6cc8802e,0x7e440bf1,0xf909f51f,0xfc817e27,
    0x7e40bf12,0x7f807f42,0x17e40bf1,0x45fe01fd,0xe8bf205f,0x7f4ff00f,
    0x1fd0ff00,0x00fe9fe0,0xfb03f4ff,0x7fec4005,0x027cc0bf,0x26f887f7,
    0xffb101fe,0x01fd017f,0xfffb11fe,0x2fc40017,0x7fd1fe40,0x09f34f98,
    0x04f99fdc,0x01fd0fee,0x7027cdfe,0xf807f47f,0x7dc09f37,0x3fc03fa3,
    0x21fe01fd,0x74ff00fe,0x374ff00f,0x3000df50,0x7d45fffb,0xf50bee04,
    0x2601fdc7,0x7f42fffd,0x3660ff00,0xf1002fff,0x449f500b,0x25f70dfe,
    0x4bee04fa,0x0bee04fa,0x55fe01fd,0xe8bee04f,0x3eaff00f,0xfe8bee04,
    0x07f4ff00,0x00fe87f8,0xf807f4ff,0x9ff01767,0xff910020,0xfc817e63,
    0xdf10fec1,0x87ff2200,0x80ff00fe,0x8801ffc8,0x42fd805f,0x25fdffc8,
    0x47f205f9,0x07f205f9,0x4dfe01fd,0xe87f205f,0x3e6ff00f,0xfe87f205,
    0x07f4ff00,0x00fe87f8,0xf807f4ff,0x77fcc007,0x9005eccd,0xe81be27f,
    0x3a1be20f,0x8ff2000f,0x00df00fe,0x3e200ff2,0xd9999bd5,0x7ff4c0bf,
    0xfe81be20,0x7f40df10,0x6f807f40,0x07f40df1,0x45be01fd,0xe83fa06f,
    0x7f4df00f,0x1fd0df00,0x00fe9be0,0x4401dcdf,0x02dffffc,0x0ff49f50,
    0x3fea37c4,0x03ffeeee,0x1fd93ea0,0xf5005fa8,0x329f5009,0x03efffff,
    0x1fe85fb0,0x0ff46f88,0x0fec37c4,0x03fd2fd4,0x81fd8df1,0x207fa5fa,
    0x40fec6f8,0x207f65fa,0x81fd85fa,0x207f65fa,0x05ff55fa,0x20007f20,
    0x03bee2fd,0xfffd85fd,0x006fffff,0x84fb8bf6,0x5fb002fd,0xa885f900,
    0x1fdc004f,0x5fd03bee,0x7f40efb8,0xfd84fb82,0xfd03bee2,0xfd84fb85,
    0xfd03bee2,0xfd84fb85,0x3f613ee2,0xfd84fb82,0x3f613ee2,0x2003ff12,
    0x3337a06e,0xfd85fecc,0x445fecce,0xe83fa06f,0x5feccccd,0xffcbdfe8,
    0x66666f46,0x4dfc45fe,0x5f506fc9,0x7d446a20,0xccefd80f,0x9dfb05fe,
    0x7f40bfd9,0xd86ffcbd,0x05feccef,0xdff97bfd,0xfd99dfb0,0x32f7fa0b,
    0xbdfe86ff,0x3fa06ffc,0xe86ffcbd,0x46ffcbdf,0x09f10008,0x77ffffe4,
    0x3bffb203,0x3204fa83,0x3ffff23f,0xff9103ef,0xfff909ff,0xfd307dff,
    0x3203dfff,0xffff100f,0x7f6405ff,0x7f6403ef,0x7e4403ef,0x3b204fff,
    0x32203eff,0x3204ffff,0x2203effe,0x104ffffc,0x809ffff9,0x04ffffc8,
    0x09ffff91,0x10013000,0x00880033,0x6f9807f6,0x44001988,0x00198800,
    0x08803553,0x015554c0,0x08800110,0x20008800,0x00440008,0x08800110,
    0x20002200,0x00220008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a00aa00,0x3202aaaa,
    0x220531de,0x26076a2d,0x2ee98000,0x00deb800,0x880037ae,0x9a6cc019,
    0x4400003e,0x20000000,0x44ba02a9,0x06f5c02e,0x000bba60,0x04c40066,
    0x02f4c000,0xf803bff6,0xc80fffff,0x03fefebe,0x41fe4bf5,0x6fd4005f,
    0x3ee002fd,0x3b3f200d,0x3fe8800e,0x04fef980,0x2a007744,0x1004fffe,
    0x7d4001dd,0x3fbf600e,0x3b3f200f,0xfbbf500e,0xfff93005,0x4403f600,
    0x7fdc00ee,0xe99ed881,0x0880000e,0x41500b2a,0x003f9028,0x40055154,
    0x88d4402a,0x0f74402a,0x30055300,0x77e405ff,0x400efecc,0xb1002ff9,
    0x02f2a009,0x05511a88,0xe802a8aa,0xf8803acf,0x00bfe605,0x002609b1,
    0x00440000,0x9f100220,0x00011000,0x00980026,0x01fa8a98,0x0ee00260,
    0x7ec0ef98,0x4403b803,0x44001999,0x01310009,0x04f98000,0x2e00fdc0,
    0x27cc0003,0xff00fe80,0x09fffd50,0x04fffea8,0x754003f6,0xec804fff,
    0xd903efff,0x2007dfff,0xffec806c,0x360003ef,0x007f881f,0x3ffffb00,
    0xffffd900,0x3fffb207,0x7ffff43f,0x07f602ff,0x0000dd00,0x04f982c8,
    0x1fe01fd0,0xdfd79df9,0xd79df901,0x07f501df,0xfd79df90,0x9dfd101d,
    0xfe88bd99,0x305eccce,0x440bffdb,0x5ecccefe,0x7ffffff4,0xfd81be0f,
    0x7ffffe41,0x55545fff,0x3fa601fd,0x4c6eccce,0x6ecccefe,0x7f66665c,
    0x5001fa02,0xffff105f,0x3e03ffff,0xd004f984,0xf99fe01f,0x261fec0e,
    0x81fec0ef,0x077cc06e,0x17f60ff6,0x0417f604,0x7feef7dc,0x020bfb03,
    0x999999fd,0xfc817e21,0x777775c2,0x3f204ffe,0x0413fa01,0x400413fa,
    0x01fe02fb,0x33220fb0,0x00cccffc,0x009f30bf,0xb3fc03fa,0xd8ff103f,
    0x707f881f,0x40fec03f,0x037cc7f8,0x26006f98,0x5fbdb0ef,0x3a006f98,
    0x204f9807,0xff1003fb,0xb80fe401,0x09f7004f,0x262fb800,0xaaaefbaa,
    0x4013e600,0x3fae207e,0xfc8cf985,0xf00fe82d,0x3fb037cf,0x03fb037c,
    0x037c0bf1,0x017e43fb,0x32002fc8,0x13e2fe1f,0x3f4005f9,0xf7027d40,
    0x00bf6005,0x03fa03f9,0x00007f40,0xfffb8bee,0x202fffff,0x0fd000fc,
    0x4c0d67fc,0x4ffdfedf,0x17f807f4,0x897e40bf,0x40bf205f,0x05f880fc,
    0x01fd8bf2,0x74003fb0,0x237c7ea7,0x1fa001fd,0xfc817e60,0x805fb801,
    0x00df01fc,0x5c00037c,0x3ee6622f,0xf100999c,0xa83f400b,0x6ffcc02f,
    0x01fd1fa0,0x7027cdfe,0xb813e67f,0x309f303f,0xd1fdc09f,0x03fa001f,
    0xe9b66f80,0xd0007f47,0x40df100f,0x7fc400fe,0x881fc800,0xaf776c5f,
    0x7776c5f8,0x702fb805,0x0bee005f,0x3fb07e80,0x640ef980,0x7c03fa1f,
    0x7dc09f57,0x7dc09f52,0x3ea1f602,0xff8bee04,0x001ff000,0x3f47f3f4,
    0xfe8003fe,0x746fffff,0x806f881f,0x3f9002fd,0xeed8bf30,0xed8bf36f,
    0x2fb806fe,0x3a003fb0,0xd83f4006,0x427cc03f,0x403fa2fb,0x640bf37f,
    0x640bf31f,0x30bea01f,0xd0fe40bf,0x03fa001f,0x1fa8fc80,0x00fe8df1,
    0x33333fa0,0x2077dc3c,0x2fd402fe,0xf103f900,0x6f8b7c0d,0x3ee01be0,
    0x3001fd02,0x07e8007f,0x7cc01ff3,0x3fa2fb84,0x1be2df00,0x0df10fe8,
    0x1be007f4,0x07f40df1,0x3f6005fb,0x377ea002,0x5fb0bf26,0xb003f400,
    0x09fd99df,0x2000ff88,0x01ff01fc,0xf00ff9be,0x205f700d,0x01fb007f,
    0x3ee07e80,0x27cc1acf,0x03fb17dc,0x40ff4bf5,0x40ff46f8,0x1fb806f8,
    0x37c40ff4,0x7dc01bee,0x6ffe4006,0x6fb85fdb,0x9001fa00,0xb007dfff,
    0x1fc8005f,0x9be07fb0,0x00df03fd,0x0df103fb,0xd0009f10,0x6ffea80f,
    0x17dc27cc,0x45fb09f7,0x17f40efb,0x5fd03bee,0xfb89f100,0x7417f40e,
    0x4fe8104f,0x3fff2010,0x413fa03f,0xe8003f40,0x00bf5007,0x3e203f90,
    0x3e26f82f,0x20c6f82f,0x4fa80ff8,0x8001fc80,0x8531007e,0x42fb84f9,
    0x6ffcbdfe,0xfeccefd8,0xd99dfb05,0x07ec00bf,0x3fb33bf6,0x9bdff305,
    0xeff98bd9,0xdb05eccd,0xdff30013,0x7e8bd99b,0x447f9000,0x0007fc41,
    0xff500fe4,0xa8df999d,0x6fccceff,0x1ffee77c,0x003fd531,0x1fa000df,
    0x709f3000,0xfffc885f,0x3ffb204f,0x7ff6403e,0x1fcc003e,0x01f7ff64,
    0x37bffb22,0xeffec882,0x8007f02d,0x2deffec8,0x666667f4,0x3ffe200c,
    0x77fe46fe,0x225eeeee,0xccdfeccc,0xffffd881,0xfffd883e,0x7ffe43ef,
    0x27ffdc2e,0x88017d40,0xcccffccc,0x427cc000,0x002202fb,0x04400088,
    0x44055000,0x80010000,0x00054400,0xfffe8020,0x4400ffff,0x7f40ceec,
    0x6fffffff,0x3fffffe2,0x00c403ff,0x40100310,0x53001aa9,0x7fffc400,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26007766,0x9d7001dd,0xda8b6201,
    0x07766001,0x06ec46e4,0x0faa9d30,0x00264b90,0x554037ae,0x00002aaa,
    0x814c77b2,0x00dd88dc,0x3200bba6,0x200dd88d,0xe9802ee9,0x9000002e,
    0x4c0a63bd,0xf88001ed,0x1ef8801e,0xa809f700,0x400ff25f,0x3a201ef8,
    0xfa800eff,0xffa804fe,0x3ee003fe,0x3fffe00d,0x3fee00ff,0x3fafb204,
    0xffd103fe,0x6efd401d,0x7ff4402f,0x377ea00e,0x377ea02f,0x9ff7002f,
    0x77f5f640,0x07fa203f,0x20015500,0x551000aa,0x02882a00,0x54002aa0,
    0x0aa6000a,0x001cb980,0x40000154,0x101f89f8,0x54016541,0x5515400a,
    0x5002aa00,0x45501545,0x89f8802a,0x6541101f,0x00055002,0x00000000,
    0x00000000,0x00000000,0x40000000,0x001f88f8,0x00000000,0x00000000,
    0x3f11f100,0x80000000,0x7fd803fb,0xfff88df0,0x4fd82dff,0xff917ea0,
    0x4bffffff,0xffffffff,0x7ffc40ff,0xff102dff,0x03ffffff,0x3ffffff8,
    0x3fffffe2,0xbff901ff,0x3ffffe20,0x3ff21fff,0x75ffffff,0xb27c405f,
    0xfe9be0ff,0x13f6df00,0x3f205fa8,0x4ffa805f,0x7fffff40,0x03fb80ff,
    0x6f83ffd8,0x7f6677c4,0x807fc43f,0x7775c1fe,0x324ffeee,0xcccffccc,
    0x6677c40c,0xcc883ffe,0x00cccffc,0x2aabffea,0x3ff33221,0x06200ccc,
    0xcffccc88,0x3bbae0cc,0xf54ffeee,0xfb1fc405,0x7f4df07f,0x3fe2df00,
    0x8803fd00,0x0dffb001,0xcccccfe8,0x803fb80c,0x46f86ffd,0x43fd45f8,
    0x04fb85fc,0xe803fe20,0x545f8807,0x007e807f,0xe801f7b6,0x2a0fa607,
    0x001fa01e,0x17d43fe2,0x7fec7f30,0x03fa6f86,0x70bf937c,0x3fb2609f,
    0x37e203ef,0x01fa01fd,0xfb007f70,0x446f85f7,0x440fe85f,0x007f41ff,
    0x7e805fb0,0xfe85f880,0x8803f400,0x3a007dbf,0x2e13e607,0x001fa02f,
    0x03f98bf6,0xfbfd8be6,0x01fd37c2,0x41ff89be,0x9df900fe,0x3ea09ffb,
    0x1fa03fbb,0xb007f700,0x46f8df1f,0x80fe85f8,0x00fee5fb,0x7e805fb8,
    0xfe85f880,0xc803f400,0x3a007d8f,0x2e13e607,0x001fa02f,0x23f98bf7,
    0xfd8bea19,0xfd37c6f8,0xbf71be01,0x10301fdc,0x11fb01ff,0x003f40df,
    0x5f600fee,0xf11be2fc,0x3a05fc8b,0x2007f89f,0x7e800ff8,0x7e45f880,
    0xf007e805,0x7e801f6b,0x3ee13e60,0x8801fa02,0xd27c40ff,0x2fb0fd4f,
    0xfe9be2fc,0x3fd0df00,0x32000ff1,0xfd37c41f,0x7001fa03,0x22fb007f,
    0xff11be6f,0x401bffdd,0x002fbdfa,0x3f400bf6,0x7f77fc40,0x07e800df,
    0xfffb2fa8,0x303f405f,0x405f709f,0x0bf6007e,0x72ff9a7c,0x6f8bec3f,
    0xffffe9be,0xfa86ffff,0x31002fbd,0xfa85fb55,0x7f40fee3,0x706fffff,
    0x6cfb007f,0xff88df1f,0xfb004fee,0x2fd400df,0xf100fd00,0x4009fddf,
    0x367e807e,0x3a00aaaf,0x2e13e607,0x401fa02f,0x5d7e05fa,0x6c1f74ff,
    0xd37c7f67,0xf999999f,0x01bff60d,0x3fffffa6,0xf10fec2f,0x3333fa0d,
    0x07f703cc,0xfafccfb0,0x7f92fc46,0x003ff300,0xe8003fe2,0x325f8807,
    0x80fd003f,0x801f64f9,0x213e607e,0x01fa02fb,0x5f803fe2,0xb1eefb9d,
    0x26fafccf,0x20df00fe,0xfe801ff9,0xf88bf21a,0x7e80fe86,0x401fdc00,
    0x37c7ec7d,0x01ff17e2,0x7ec00fd0,0x403f4002,0x007fc5f8,0x37f203f4,
    0x3a007ecc,0x3217e607,0x201fa02f,0x477402fd,0x47cafaaf,0x37c7ec7d,
    0x81be01fd,0x83f9807e,0x3bfea2fc,0xe83ffeee,0x01fdc007,0x3f3ea3ec,
    0x3ee2fc46,0x5007e804,0x0fd000bf,0x4fb8bf10,0x7fc07e80,0x2007ffff,
    0x2e3fc07e,0x01fa02ff,0x7db00bf5,0x363e6fcf,0xd37e7d47,0xe81be01f,
    0x543fb807,0x3fff62ff,0xe86fffff,0x01fdc007,0x37ff43ec,0x1ff117e2,
    0xf8807e80,0x07e8000f,0x7fc45f88,0xf503f400,0x3a007d85,0x6df7e407,
    0x1fa02fdf,0xd800ff88,0x1b7f65ef,0x4dffd0fb,0x40df00fe,0xbff9807e,
    0xf12fefdb,0x3a07f40d,0x66fdc007,0x1f62cccc,0xbf11bfea,0x7e809f90,
    0xeeeffc80,0x1fa05eee,0x3f217e20,0x7fe66444,0x21fa0ccc,0x222cccfd,
    0xcccffccc,0x577fe440,0x333222f9,0x320cccff,0xeeeeeeff,0xfa8bff25,
    0x7d43ec6f,0x7c03fa6f,0x5c01fa06,0x2faaefff,0x1fe409f5,0x333333fa,
    0xffffb80c,0x41f64fff,0x42fc46fe,0x1fa00ff8,0x3fffffa0,0x1fa06fff,
    0x3e217e20,0x3fffe20f,0x9f31ffff,0x49ffffb0,0xfffffff8,0xf100601f,
    0x3fffffff,0x7ffffff4,0x21ff26ff,0xe83ec5ff,0x7c03fa6f,0x1001fa06,
    0x300fec01,0xffffe8df,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36600000,0x3766001d,
    0x36a2d881,0x01774c01,0x01f553a6,0x03762372,0x01da8b62,0x2a01dd98,
    0x2602aaaa,0x3a6001ed,0x992e402e,0x40776600,0x202aaaaa,0xd981325c,
    0x37b2001e,0x774c0531,0xb516c402,0x00062003,0x88007be2,0x4bf501ef,
    0x37ea03fc,0x77d402fd,0xffe8804f,0x64bf500e,0x0f7c403f,0x3fffffe0,
    0x007fa200,0x80bf77ea,0x803feffa,0x3fe01ef8,0xf500ffff,0xe8807fdf,
    0xebec801f,0xbf503fef,0x2fd405fb,0x3f6007f9,0x00554000,0x15002aa0,
    0xa8aa0144,0x002a9802,0x82a00554,0x00aa8028,0x01540000,0x98055154,
    0x155001cb,0x97300000,0x40154003,0xa80b2a08,0x41500aa2,0x7f76c028,
    0x00000eef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bffbb60,0x204fd80e,0xfffe85fa,0xf500ffff,
    0xfffe809f,0x7f40ffff,0x200cefff,0xfffffffe,0x7fffff40,0x9ff500ff,
    0x813fea00,0xfffffff8,0x3fffe21f,0x7f41ffff,0x20ffffff,0xfffffff8,
    0x7ffff41f,0xff500fff,0x13fea009,0x0df07fd8,0xf8813fea,0x1fffffff,
    0x2200fd80,0x03fd00ff,0x999999fd,0x01bff601,0x999999fd,0xedccfe81,
    0x99fd02ff,0xfe819999,0x00cccccc,0x3600dffb,0x332206ff,0x20cccffc,
    0xccffccc8,0x6667f40c,0x33220ccc,0x40cccffc,0xccccccfe,0x00dffb00,
    0xfd81bff6,0xfb06f83f,0x666440df,0x440cccff,0x00fededc,0x27dc2fe4,
    0x7c4007e8,0x1fa01fdd,0x7d40fe80,0x2007e80f,0x6fc4007e,0x6fc401fd,
    0x0fd001fd,0x1fa03f40,0x3a03f400,0x6efc4007,0x6efc401f,0x0dffb01f,
    0xfbbf10df,0xa81fa003,0x0ffeceff,0x3a0ffc40,0x800fd00f,0x203fbbfa,
    0x03fa007e,0x01fa17ee,0x7d4007e8,0x7d403fbb,0xfd003fbb,0x3a03f400,
    0x80fd0007,0x5fd4007e,0x5fd403fb,0xf7fb03fb,0xbfa86f85,0x0fd003fb,
    0x1fb0bbe2,0x7dcbf700,0xb001fa03,0x740df11f,0x403fa007,0x2007e87f,
    0x47ec007e,0x47ec06f8,0x0fd006f8,0x1fa03f40,0x3a03f400,0x447ec007,
    0x447ec06f,0xdf1fb06f,0x88fd86f8,0x20fd006f,0x00fd83fc,0x0ff13fd0,
    0x3e2007e8,0x3f407fa6,0x3a01fd00,0xd003f40f,0xd37c400f,0xe9be203f,
    0x007e801f,0x00fd01fa,0x0fd01fa0,0x3fd37c40,0x1fe9be20,0x7c5f97d8,
    0x3fd37c46,0x3f60fd00,0x5000fd81,0xe805f7bf,0x86ffffff,0x40fee3fa,
    0x6ffffffe,0x3fb00fe8,0xffffffe8,0xfffffe86,0x2e3fa86f,0x5c7f503f,
    0x007e803f,0xfffd01fa,0x7e80dfff,0x7fffff40,0x2e3fa86f,0x5c7f503f,
    0xdf17d83f,0xb8fea37c,0xd07e803f,0x8003f60f,0xfe806ffd,0xd83ccccc,
    0x741be21f,0x83cccccf,0x83fb00fe,0x3cccccfe,0xcccccfe8,0x3e21fd83,
    0x7c43fb06,0x2007e806,0x667f407e,0x3f403ccc,0x33333fa0,0x221fd83c,
    0x443fb06f,0x3f67d86f,0x21fd8df1,0x07e806f8,0x01fb01fd,0x400ffcc0,
    0x0df1007e,0x00fd01fd,0x0fe807f4,0x0fd003f4,0x3fa1be20,0x7f437c40,
    0xd003f400,0x0007e80f,0x007e80fd,0x81fd0df1,0x40fe86f8,0x37d7e67d,
    0x01fd0df1,0x83fb07e8,0x74000ff9,0x200fd007,0xfeeeeffa,0x2007e83f,
    0x87f880fe,0x01fa007e,0x77777fd4,0x77fd43ff,0x403ffeee,0x01fa007e,
    0x1fa000fd,0x3ea00fd0,0x3ffeeeef,0x77777fd4,0x363ec3ff,0x3fea6f8f,
    0x03ffeeee,0x24fb83f4,0x4000ffe8,0x00fd007e,0x3ffffff6,0x007e86ff,
    0x13f203fa,0x07e801fa,0xffffffb0,0xfffd8dff,0x406fffff,0x01fa007e,
    0x1fa000fd,0x3f600fd0,0x6fffffff,0x7fffffec,0x2a3ec6ff,0x3ff66fcf,
    0x06ffffff,0xdff883f4,0x000fcdfc,0x07e803f4,0x3fa06f88,0xfd003f40,
    0xe80ffc81,0x201fa007,0x43fa06f8,0x03fa06f8,0x1fa007e8,0x3a000fd0,
    0x4403f407,0x443fa06f,0xd83fa06f,0xf16ffe87,0xd007f40d,0xa7ff4c0f,
    0x3f4000fc,0xccccfe80,0x409f50cc,0x667f43fc,0x7f40cccc,0x00effecc,
    0x999999fd,0xccccfe81,0x409f50cc,0x409f53fc,0x333223fc,0x220cccff,
    0xcccffccc,0x66667f40,0x333220cc,0x740cccff,0x0ccccccf,0x9fe409f5,
    0x8ff204fa,0x56ffa87d,0x11fe409f,0x999ff999,0x20000101,0xfffd007e,
    0x3f61ffff,0xfd1be601,0x81ffffff,0x02defffe,0x7ffffff4,0x7ffff40f,
    0x03fb0fff,0x01fdb7cc,0xfff89be6,0x221fffff,0xffffffff,0x7fffff41,
    0x3ffe20ff,0x741fffff,0x0fffffff,0xb7cc03fb,0x9be601fd,0x36dfd07d,
    0x89be601f,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x82200000,0x08822008,
    0x80009880,0x30010099,0x00220001,0x30008822,0x98826200,0x02620980,
    0x400620c4,0x42600098,0x4400005c,0x81988000,0x00000099,0xe8875c00,
    0x223ee00e,0x223ee04f,0x77f4404f,0x037f6000,0x9717ffd1,0x440027cc,
    0x47dc01ff,0x5fd804f8,0xdf32fe80,0xbf35f901,0x7dc77440,0x005f9002,
    0x213e37e2,0x80bf25f9,0x26003ffa,0x1ff982ff,0x003f5000,0xff99ba04,
    0x3fffa203,0x3fffa200,0x3abba200,0x03fd800e,0x5fff95b9,0x4c0027cc,
    0x7f4402ff,0x6fe800ff,0xef997ec0,0x017ff200,0x800bffa2,0xbf1002fc,
    0x4df503f5,0x79f503fd,0x1df3007f,0x000fec40,0x4f980364,0x01bb0fe2,
    0x2a001550,0x8854c00a,0x00d4401a,0x4f981510,0x40077000,0x191000aa,
    0x0550d440,0xa8800aa0,0x017e4001,0x2029df88,0x45500c09,0x015400a9,
    0xdb300550,0x3e600bff,0x00002a24,0x00000000,0x7cc00000,0x00000004,
    0x00000000,0xc8000000,0x0bf1002f,0x00000000,0xefb80000,0x9803ffdd,
    0x403b804f,0x982dfec8,0x301ea83e,0x4c09dfd9,0x74c4efec,0x9f31ea83,
    0x44033bb2,0x9302dfec,0x9807dffd,0x74c4efec,0x9101ea83,0xc9805bfd,
    0xdc884efe,0x9502feee,0x4c0bfbdd,0x261ea83e,0x261ea83e,0x261ea83e,
    0x261ea83e,0x5fbdb0ef,0xddfddd30,0x06d85ddd,0x3fb33fe6,0x7dc27cc4,
    0xeddffb82,0xddffb80f,0x213e60fe,0xfd9f32fb,0xff30dfdb,0xf909fd99,
    0x209ffb9d,0x0feddffb,0x0bee13e6,0x3fb33fe6,0xdbbff704,0x67ffcc1f,
    0xffd82ffe,0x2605ffdd,0x262fb84f,0x262fb84f,0x262fb84f,0x322fb84f,
    0x13e2fe1f,0x3bbfbba6,0x03f42eee,0x21fd81fd,0x42fb84f9,0x54040efa,
    0x3e6040ef,0xff32fb84,0x3a17ec1d,0x060fec0f,0xdf503fe2,0x427cc081,
    0x40fe82fb,0x077d41fd,0xfc85fd02,0xf1067dc2,0x5c27cc0b,0x2e13e62f,
    0x2e13e62f,0x2e13e62f,0x1fa9fa2f,0x04f980df,0x07f507e8,0x427cc9f3,
    0x00ff42fb,0xf9801fe8,0xdf32fb84,0x3ea5f981,0x9004f983,0x801fe83f,
    0x42fb84f9,0x44f983fa,0x1fdc01fe,0x21fe17e4,0x13e605f8,0x84f98bee,
    0x213e62fb,0x213e62fb,0x6d9be2fb,0x09f301fa,0x2bf20fd0,0x25fa9999,
    0x22fb84f9,0xdf1006f8,0x2e13e600,0x3e09f32f,0x2666bf26,0x53105fa9,
    0x37c45fb5,0xfb84f980,0x4ccd7e42,0x1be25fa9,0x3f207f20,0x3e217e22,
    0x2e13e605,0x2e13e62f,0x2e13e62f,0x2e13e62f,0x23f9fa2f,0x027cc07e,
    0xfffd83f4,0x266fffff,0x262fb84f,0x0bf3005f,0x3ee13e60,0x9be09f32,
    0xfffffffd,0x7fff4c6f,0x17e62fff,0x7dc27cc0,0x7ffffec2,0x17e66fff,
    0x3f203f60,0x3e213e62,0x2e13e605,0x2e13e62f,0x2e13e62f,0x2e13e62f,
    0x3ea3f22f,0xf980df11,0xf907e804,0x13333337,0x17dc27cc,0x3e200df1,
    0x709f3006,0x2213e65f,0x266ff25f,0x7f409999,0xf88bf21a,0x709f3006,
    0x99bfc85f,0x3e209999,0xc81fd806,0x2217e62f,0x213e605f,0x213e62fb,
    0x213e62fb,0x213e62fb,0x377ea2fb,0xf300bf26,0x701ff009,0x17e6009f,
    0x03ff0bf2,0x26007fe0,0xf32fc85f,0x7dc9f309,0x907f3004,0x801ff85f,
    0x42fc85f9,0x3fe004fb,0x2217e401,0x21be22fe,0x17e605fb,0x85f98bf2,
    0x217e62fc,0x217e62fc,0x6ffe42fc,0xf9805fdb,0x880ff804,0x8ff000ff,
    0x6fec2ffb,0x00dfd800,0x97fdc7f8,0x20fe84f9,0xfb800ff8,0x3617fd43,
    0x47f800df,0x7fc42ffb,0x01bfb000,0x3ff62fd4,0xff507f42,0x7dc7f80b,
    0x3ee3fc2f,0x3ee3fc2f,0x3ee3fc2f,0xffffc82f,0x201fa003,0xbff900ff,
    0xfc839757,0x42fdfdbe,0xecbdfff8,0x5efffc40,0x5f7e40ec,0xff32fdfd,
    0x907fd759,0x39757bff,0x7eddffcc,0x7ffc42fe,0x7e40ecbd,0x82fdfdbe,
    0xcbabdffc,0x5efffc41,0x2fbfe0ec,0x7dc2fbee,0x05fbfdcf,0x6fedf7e4,
    0x6df7e42f,0x77e42fdf,0x642fdfdb,0x2fdfdbef,0x80009ed8,0x41cacefc,
    0x3faa00ff,0x6441efff,0x82f9aeff,0x05ffffc8,0x0bffff91,0xf35dff91,
    0x3fffb225,0x3ffaa01d,0x7fdc1eff,0x882faaef,0x885ffffc,0x2f9aeffc,
    0xdffffd50,0xffff9103,0x8dffe88b,0xeffb82fa,0xfc880bd3,0x442f9aef,
    0x2f9aeffc,0x4d77fe44,0x77fe442f,0x03f82f9a,0x3ff6e200,0x8005542f,
    0x00030019,0x00440011,0x00020018,0x00220066,0x00c00220,0x22001980,
    0x04000400,0x30006000,0x0c001800,0x00005440,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ee88000,0x00020000,0x98800044,0x20013301,0x04c4003c,0x04002200,
    0x98826200,0x00002200,0x88000880,0x00099819,0x00098826,0x4c400331,
    0x09880001,0x4ffb8130,0x05f92fcc,0x2e2fffa2,0x01ffd404,0x4c0bfe60,
    0x7fc401ff,0x27fe2001,0x3fea03b9,0x2fffa203,0x4bfa04b8,0xff500ef9,
    0xf92fcc07,0x01ffd405,0xf305ff30,0x2bf2003f,0xff3005f9,0x0bfe6005,
    0x42fc97e6,0x7d42fffc,0x2a17fcc3,0x640ff66f,0x02fffcad,0x00fef3ea,
    0x220077cc,0x17e401fd,0xfffea880,0xf79f505f,0x3f2b7207,0x25fb02ff,
    0x9f500ef9,0x9bea07f7,0x79f503fd,0x1df3007f,0x800fec40,0xf3005ffc,
    0x3be6001d,0x7ecdf500,0x9ba2fe63,0x203105f8,0x51000c09,0x2a62a801,
    0x4002a800,0x007dc02a,0x0efeffa8,0x00a98aa0,0x35100a88,0x98aa0154,
    0x0181300a,0x400a98aa,0x00aa002a,0x0aa002a8,0x13005500,0x1f73dc18,
    0x000003f2,0x00000000,0xfd800000,0xfe822003,0x00000002,0x00000000,
    0x00000000,0x00000000,0xf7000000,0x01fcdee1,0x2dfec980,0x16ff64c0,
    0x0b7fb260,0x05bfd930,0x82dfec98,0xdb88001b,0xd9100ffe,0xd9305dff,
    0x64c07dff,0x32602dfe,0x2203effe,0x2202dfec,0x2202dfec,0x2202dfec,
    0x2202dfec,0x5c2effec,0xdfd8aefe,0xdffd9101,0xdffd9305,0x5fadf987,
    0x3ee000dd,0x705ffddf,0x0bffbbff,0x3ff77fee,0xfbbff705,0x37fee0bf,
    0x27d05ffd,0x7cc0beec,0x984fedef,0x83ecccff,0x4ffdcefc,0xffddffb8,
    0xfb9df905,0x99ff309f,0x9ff309fd,0xff309fd9,0xf309fd99,0x309fd99f,
    0x87d999ff,0xcfeffcdf,0xccff987f,0xcefc83ec,0x7fdc4ffd,0x5401fc8d,
    0xb1077c42,0x20ef885f,0x77c42fd8,0xf10bf620,0x217ec41d,0x3f620ef8,
    0xedfedf82,0x3e0ffc6f,0x8007ec0f,0x220ff881,0x0bf620ef,0xd03fe206,
    0x741fd81f,0x3a0fec0f,0x3a0fec0f,0x360fec0f,0x3e20800f,0xfd85f51f,
    0xff103000,0x201fcc01,0x0bf23ffa,0x05f91be6,0x82fc8df3,0x417e46f9,
    0x417e46f9,0x0eff86f9,0x41fdc3f6,0x00ff42fc,0xfc87f200,0x2006f982,
    0x20fea1fc,0x20fea4f9,0x20fea4f9,0x20fea4f9,0x00ff44f9,0x89f13f40,
    0x640001fe,0x201ba01f,0x81fa5ffa,0xff03f47f,0xd1fe07e8,0x1fa3fc0f,
    0x40ff87f8,0x301fb3fa,0x1cffb89f,0xfb553100,0x0ff03f45,0x17ed54c4,
    0x533335f9,0x4cd7e4bf,0x3f25fa99,0x5fa9999a,0x26666bf2,0x67fdc5fa,
    0x774cc401,0x7dc4f999,0x531001cf,0x3ee05fb5,0x2fec0131,0x3e3f40ff,
    0x0ff1fa07,0xe81fe3f4,0x0fd03fc7,0x3a9f30bf,0xf50bf107,0x3a607dff,
    0x22ffffff,0x261fa07f,0x2ffffffe,0x3ffffff6,0x3fff66ff,0x366fffff,
    0xffffffff,0x3fffff66,0xffa86fff,0xfffc83ef,0x84ffffff,0x303efffa,
    0x5ffffffd,0xffd19f30,0x7e93ee0b,0x40fd1fa0,0xfd03f47e,0xd1fa07e8,
    0x2fc3f40f,0x80fea7cc,0x3f2605f9,0x21afe85f,0xe81fa2fc,0x321afe87,
    0x266ff22f,0x3f209999,0x0999999b,0x26666ff2,0x26ff2099,0x20099999,
    0x3ea5ffc9,0x9800fb1d,0xafe85ffc,0x5ba0bf21,0x4c2fb9ed,0x207f60fe,
    0x40fec6f8,0x40fec6f8,0x40fec6f8,0x40fec6f8,0x985f86f8,0xf503fb4f,
    0x41fd1007,0x22fc83f9,0x46f881fd,0x22fc83f9,0x9f7004fb,0x4013ee00,
    0x440004fb,0x6c3f90fe,0xfe88000f,0x3f20fe60,0x24f8fdc2,0x83dfd34f,
    0x42fd85fa,0x42fd85fa,0x42fd85fa,0x42fd85fa,0x82fd85fa,0xf54f985f,
    0x2003fd0b,0x50fee0fe,0x42fd45ff,0x21fdc2fd,0x3fe22ffa,0x00ff8800,
    0x8800ff88,0x740000ff,0x3e63f70f,0x1fd0002f,0x3fea1fdc,0x24f93e22,
    0x7405734f,0x05fdbbef,0xbfb77dfd,0x36efbfa0,0x77dfd05f,0x3bfa0bfb,
    0xbf05fdbb,0x77f49f30,0xce84febb,0x4c5fdbab,0xfefdbbff,0x6ddf7f42,
    0xbbff985f,0x7e42fefd,0x41cbabdf,0xcbabdffc,0x55effe41,0x6ffe41cb,
    0x6741cbab,0x265fdbab,0xcffcfbdf,0x55e741ba,0x7fcc5fdb,0x22fefdbb,
    0x2ebf60fd,0x7fe4001f,0x7fe403ef,0x7fe403ef,0x7fe403ef,0x7fe403ef,
    0x217e03ef,0x7ffe44f9,0xffffd03f,0x3ffee09f,0xfc82faae,0x3ee03eff,
    0x82faaeff,0x1effffea,0xeffffea8,0xffffea81,0xfffea81e,0x7fff41ef,
    0x4ffc84ff,0xe83fffd5,0x704fffff,0x5f55dfff,0xffd10bea,0x00440007,
    0x11000220,0x40008800,0x985f8008,0x2001104f,0x01100099,0x22000880,
    0x00198000,0x01980066,0x26600660,0x80110000,0x01100099,0x00000400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x31000220,0x80013303,0x01100099,0x37f22ba6,
    0x32e00002,0x26603ccc,0x06620000,0x2600cc40,0x99997000,0x20cc4007,
    0x039d935c,0x1013104c,0x64c03333,0x4c43effe,0x88000999,0x0fa21999,
    0x7c47dc00,0x0bfe6004,0x32007fe6,0x200dffff,0xcf983ffa,0x984ffdff,
    0x640bf25f,0x2605eeee,0xf98001ff,0x2ff9802f,0xfffffd88,0xeeec85ff,
    0x5ff3005e,0xfdefaee8,0xf35f902f,0x3ffff60b,0xfb9df901,0x7fffdc9f,
    0xfffd8004,0x7f43f51f,0x442fffff,0x3000fffe,0x7ec401df,0x2a73f201,
    0x79f504fd,0x0dff987f,0xd9bea1fa,0x2200003f,0x3e6001fd,0x0ef9800e,
    0xfdadfe88,0x00003ccd,0x3fa03be6,0xc81be63f,0x2aaa05ff,0xf10301fd,
    0x3eeaa21f,0xdaaa8004,0xccb8db1f,0x5502fecc,0x00154001,0x11be2055,
    0xa98aa0ff,0x3f21be60,0x000c0981,0x2002a800,0x80aa002a,0x007f23fc,
    0xd0154000,0xa80ff07f,0x007f2002,0x9f303f90,0x51fc8000,0x005f7003,
    0x20000000,0x037c43f9,0xf709f300,0xd9300005,0x000005bf,0xdf100000,
    0x32601fc8,0x0003effe,0x005507e8,0x021fc800,0x0bf6aa62,0x900013e6,
    0x2fb8003f,0x016ff64c,0x07dffd93,0x0fbffb26,0x17f447f5,0x40f77764,
    0x42fb84f9,0x201eeeec,0x5ffddffb,0x03dddd90,0x80f77764,0x2dfc8ae9,
    0x07f21fd4,0xffdcefc8,0x9d935c84,0x64007e83,0x8039d935,0x262ea9fc,
    0x2ffffffe,0x40004f98,0x7dc001fc,0x3f77fee2,0xb9df905f,0x9df909ff,
    0x9fd49ffb,0xdd901ff8,0x09f303ff,0xfeec85f7,0x41df101f,0xeec82fd8,
    0x3bb201ff,0xf9f301ff,0x7dc9ffbf,0x0300fe42,0xaee81ff1,0x3a2ffdef,
    0x7d774007,0x3202ffde,0x3fa0efff,0x260bf21a,0x7e40004f,0x897dc001,
    0x0bf620ef,0x303fe206,0x3ea1ff10,0x32005f93,0xb84f981f,0x407f202f,
    0x06f982fc,0xfc800fe4,0x41bff301,0xf907f27e,0x32007fff,0x31fff41f,
    0x2003f4df,0x1be63ffe,0x26177f54,0x982fc83f,0x9000984f,0x2fb8003f,
    0x0df305f9,0xc800fe40,0x3f27f51f,0x303f9002,0x405f709f,0x40fd01fc,
    0x00fe407f,0xdf301fc8,0x07f23f90,0x20599bf9,0x42fdaa98,0x3a7f83fe,
    0x41ff4007,0x7fff4c7f,0x7d43fb81,0x644f982f,0x1fc801ff,0x7e97dc00,
    0xa9881fe0,0x53102fda,0x4fea5fb5,0xfc802ff9,0xfb84f981,0x7c07f202,
    0xf901fa07,0x407f2003,0x72fb84f9,0x201fc85f,0xffffffe9,0x22a83f42,
    0x83f4007e,0x7e576c2a,0xdbbff981,0x4f982fef,0x64027ff4,0x97dc001f,
    0x261fa07f,0x2ffffffe,0x7fffff4c,0x7d47f52f,0x40fe404f,0x02fb84f9,
    0x03f407f2,0x01fc80fd,0x3e603f90,0x7f52fb84,0x3fa01fc8,0xfd0bf21a,
    0xd001fa00,0x3f90c00f,0x2bbffee0,0x44f982fa,0xfc801ffc,0xe97dc001,
    0x3fa1fa07,0xfd0bf21a,0xfa97e435,0x901ff4c3,0x9000003f,0x207f603f,
    0x0fe406f8,0xf301fc80,0x3e65f709,0xf980fe46,0x3f42fc83,0x0fd00000,
    0x1007f200,0x4f9836c1,0x3f900088,0xfb1fd800,0xf98df103,0x3e62fc83,
    0x7f52fc83,0x7e40df30,0x2006c801,0x0bf501fc,0x1fc805fb,0x2603f900,
    0x362fb84f,0x5c07f22f,0x217fd43f,0x06c8007e,0xf90007e8,0x80fdc003,
    0x640004f9,0xff10601f,0x3f617ea1,0x3ea1fdc2,0xf50fee2f,0x7c0fea5f,
    0x2007f206,0x07f2005f,0xfdbbefe8,0x001fc805,0x13e603f9,0xdff98bee,
    0x23ccdfeb,0xefdbbff9,0x4003f42f,0x007e805f,0x5c003f90,0x04f980bf,
    0xf00fe400,0xe87ffb9d,0x85fdbbef,0xefdbbff9,0x2effe62f,0x7f52fefd,
    0x88ffaeae,0xccdfeccc,0x2203f881,0xccdfeccc,0x3efffc81,0xbfd99910,
    0x66644399,0x261ccdfe,0x442fb84f,0xfffffffd,0x577ffdc5,0x003f42fa,
    0x1fa00fe2,0x7f666440,0x74401ccd,0xdfb9976f,0x99100799,0x8399bfd9,
    0x902efffc,0x5c07dfff,0x2faaefff,0x5577ffdc,0x3f67f52f,0x7ffc43ef,
    0x883fffff,0x3ffe200a,0x203fffff,0x7ffc4008,0x223fffff,0xffffffff,
    0x3ee13e63,0x11000202,0x8800fd00,0x007e800a,0xfffffff1,0x6c22007f,
    0x6fffffff,0xfffff880,0x00103fff,0x01100044,0x02000440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x332e0000,0x260003cc,0x6ff6442e,0x41100002,0x20004008,
    0x80013000,0xe9826209,0x102dfc8a,0x88026015,0x00000000,0x204c0153,
    0x261300a8,0x019dd92e,0x04cc00c4,0x44001100,0x77764000,0x3ee0005e,
    0x3b33fe60,0x7c03fa4f,0x4f88fb86,0x717ffd10,0x17ffd109,0x004f9897,
    0x22fcd7e4,0xffdffcf9,0x20bff224,0xffeb83fa,0xffffd04e,0x3ae20bff,
    0x1fffc6ff,0xffc89fd4,0x9f33fa82,0x88dfdbfd,0x41dffffc,0x02effffd,
    0x5400ffc4,0x000003ff,0x23743fb8,0xe8fec0fe,0xd10df00f,0x37201fff,
    0xc82fffca,0x22fffcad,0x05eeffee,0xf30bff90,0xf73f41bf,0x45f885fb,
    0xfcaacfd8,0x6667f40e,0xeffa82cc,0x88df03cd,0x0bf7ee5f,0x77fccbf1,
    0xdfd8bf60,0x360ffdbb,0x02ffdbac,0xf500bfe6,0x00007f79,0x0d43fb80,
    0x29f307f5,0x40df00fe,0x2a2000aa,0xe8151000,0x005eeffe,0x437cc0aa,
    0x217d41fc,0x40fe40fc,0x803745f9,0x75c01ef9,0x5407e42f,0xf307e42f,
    0xf35f981d,0xb805fb0d,0x401dc05f,0x2002a62a,0x802dfec8,0x57e403fb,
    0xd5fa9999,0x001be01f,0x98000000,0x9800004f,0x542fb84f,0xf10fe62f,
    0x7dc56549,0x7f401ba1,0x0feb9800,0x8bea07f3,0x827cc3f9,0xf709f56f,
    0x005f8805,0x7cc00000,0x404feccf,0x7fec03fb,0xd6ffffff,0xd91be01f,
    0x76403ddd,0x5d301eee,0xf305bf91,0x74c06a29,0x4c2dfc8a,0x542fb84f,
    0x3ee1ba2f,0xf13ddfd0,0x7cc03749,0x1fd33004,0x22fa81ba,0xf04f986e,
    0xfd107fcd,0x443f9801,0xeeeeeeee,0x74403d70,0xfd81fd03,0x900fee01,
    0x3333337f,0x37c03fa1,0x807ffbb2,0x301ffeec,0x9ffbff9f,0xfffbcf98,
    0x7fe7cc2e,0x13e64ffd,0x25f50bee,0xf76c81fc,0x57f4bd05,0x9afb80aa,
    0xfff82bcb,0x7d403f92,0x9f303f92,0x7fdcbf30,0x5402ffab,0x777440ee,
    0x3ea7feee,0x2a0fe602,0x204f983f,0x27dc03fb,0x6f807f40,0x64007f20,
    0x1bff301f,0x3fbe63f4,0x7cc5fb9b,0xf99fa0df,0x2602fb84,0x1f6bb03f,
    0xffffd36c,0x7ffe41bf,0x4c05ffef,0x0fe6003f,0x27dc27cc,0x407fffe6,
    0x000efffb,0x03f98ff6,0x2bf20bea,0x05fa9999,0xff100fee,0xf00fe801,
    0x800fe40d,0x0df301fc,0x17fcc3f9,0x86f983f6,0x709f31fc,0xd037405f,
    0x136c1f2b,0x4dfd7333,0x3f621dfc,0xd001ba03,0x2227cc0d,0x777e40fe,
    0xdcca81ff,0x5fb803ff,0x5cdd27c4,0xffffd81f,0x2e06ffff,0xdffc803f,
    0x1fd1cbab,0x1fc81be0,0x2603f900,0x262fb84f,0x262fb84f,0xf32fb84f,
    0x2e05f709,0xb641311f,0x405e82fa,0x03f91ff8,0x47ee0df1,0x47ee0098,
    0x567fcc19,0x1ff43ffd,0xe8803ff7,0x41be601f,0x323ff15f,0x99bfc80f,
    0x2e009999,0xffd5003f,0x03fa3dff,0x03f9037c,0x7cc07f20,0x3e62fb84,
    0x3e62fb84,0x9f32fb84,0x9f305f70,0x8fb93fe6,0x9f1fefe8,0x3ee5f900,
    0x9f30ff02,0x7cc13fe6,0x7ccdffd4,0x541dffff,0x804fb84f,0x1fd103fb,
    0xa7fddba0,0x009f707d,0x2000fee0,0x407f43fb,0x07f206f8,0xf980fe40,
    0x3e62fb84,0x3e62fb84,0xc802fb84,0x37a6e81f,0xb993e24f,0xfb003f72,
    0x3e213ea3,0x3f7a6e86,0x5c54dd04,0x8029f32f,0x05f982fc,0x5fb02fb8,
    0x7ccebec0,0x03fe20dd,0x000fee00,0x203fa1ba,0x07f205fa,0xf980fe40,
    0x3e62fb84,0x3e62fb84,0xf802fb84,0xfc8fdc0f,0x417e44f8,0x6fa805f9,
    0x0fee07fc,0x3e3f23f7,0xfc81fb84,0xf7009f31,0x8809f709,0x04fc80ff,
    0x7d57cfe4,0x3ff204f9,0x201cbabd,0xef8003fb,0x5e43fa09,0x3f201ffc,
    0x203f9001,0x22fb84f9,0x22fb84f9,0x02fb84f9,0x9f113f66,0x877eb7e2,
    0xfcaacfd8,0x6dd5e40d,0x5f7dc0ff,0xa7c46fca,0x21dfadf8,0x22fc84f8,
    0xff8804f9,0x10ffdabd,0x5ff97559,0xf500df50,0x01fefcfb,0x3bffffaa,
    0x3337ee01,0x3aa02ccc,0x7f43fa3f,0x666442ef,0x221ccdfe,0xccdfeccc,
    0x3ee13e61,0x3ee13e62,0x3ee13e62,0xb037fe02,0x3fbba61f,0xeffeb83f,
    0xfffff883,0xfffd500c,0x3a61fb09,0x3f63ffee,0x98d67f40,0xffb3004f,
    0x7fcc19ff,0xf880cfff,0x1cccccdf,0xffc93fe6,0x40066002,0xfffffffb,
    0x40000804,0xfffffff8,0x3fffe23f,0x3e63ffff,0x3e62fb84,0x3e62fb84,
    0x2a02fb84,0x3e02fa81,0x19800804,0xfa804400,0x2fa93e02,0x8a7fffc4,
    0x0088001a,0x3e600662,0x3fffffff,0xff98bfe2,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeffec880,0x3aa0fa62,0x3d707d31,0x00199988,0xdb710098,0x98805b9d,
    0x0b7b6600,0x22001100,0x310009a9,0x800cc403,0x09800000,0x00100262,
    0xddddffb5,0x880004c1,0x09988000,0x0ed817a2,0xff983dd1,0x3e63eccc,
    0x9f32fb84,0xffd83f90,0xfec801ff,0x3fa63eff,0x902ffdcf,0xa87ffffd,
    0x803ffeff,0x104fffea,0x00fffff9,0xff705ff3,0x3e60bfff,0x7c03fa04,
    0x5f9afc87,0xf7013e60,0x1ddff77d,0x7cc0037c,0xffd3001f,0x417ec3ff,
    0x13fee6f9,0x4f9801fb,0x09f32fb8,0xdaaa83f9,0x3bfa201f,0x3fa5eccc,
    0x3a617e42,0x46ecccef,0x80ff10ff,0xefebcefc,0x4cdf7f40,0x4077cc02,
    0x4cbbcefd,0x7f409f30,0x3f20ff00,0x027cc05f,0x86f88df1,0xffa8006f,
    0xadff8802,0x217ea0ba,0x0bfe63fb,0x4f9803fd,0x09f32fb8,0x0fe403f9,
    0x5420bfb0,0x742fc85f,0x37c4104f,0x0ef981fa,0x09f71fec,0x3ea05500,
    0x027cc006,0x81fe01fd,0x04f9802a,0x03fa13e6,0x0ee000df,0x7c027dc0,
    0x2207f40f,0x01cffb81,0x25f709f3,0x01fc84f9,0x37cc07f2,0x7e417e40,
    0xf8013ee2,0xfd81be27,0x3f67f881,0x7e400002,0xfeee9803,0xfd2eeeee,
    0x4001fe01,0xeeefeee9,0xf0bf32ee,0x0000df0f,0x9005f900,0x002fcc7f,
    0x30fbffea,0x265f709f,0x201fc84f,0x05f901fc,0x5f901fb0,0xfb0007f4,
    0x7c03fd37,0x3f47f606,0xeeeee880,0x0bf70eee,0xddfddd30,0x03fa5ddd,
    0xdddd13fc,0x3a61dddd,0xeeeeefee,0x4fc8ffa2,0x44ec86f8,0x801eeeec,
    0x6f9801fc,0x4c000bf2,0x13e65ffc,0x427ccbee,0x07f201fc,0x7ec00fec,
    0x1be2fc80,0x3dfff100,0xf902fc40,0x74401fa5,0x27feeeee,0x3002efe8,
    0x807f409f,0x3bbba27f,0x9f307fee,0xfffffd80,0x5fc8df04,0x01ffeec8,
    0x335fb333,0x7c7fa033,0xfe880007,0x5f90bf30,0x07f617e6,0x1fd01fc8,
    0xe883f900,0xed8bf12f,0x7ffd45ee,0x09f30aa0,0x007e9fdc,0x3621fec0,
    0x2600bfff,0x403fa04f,0x03fd807f,0x57d409f3,0x9be00aa9,0x1fc805fc,
    0xffffff88,0x9f507fff,0x200009f5,0xf71fe0fe,0xf91fe65f,0x80fe405f,
    0x4fa800ff,0x5f997fec,0xf737f76c,0x237cdf9b,0x4bee04fa,0x3ee0007e,
    0x3fff6605,0x7409f302,0xb80ff00f,0xdfcaa85f,0x0fee1aaa,0x0bf96f80,
    0x55407f20,0x2aaabfea,0x207f7fe0,0x5e741ff9,0x7e45fdba,0x32fdfdbe,
    0xf9fb7dff,0x407f203d,0x9ff000fe,0x225f9dd7,0x7c5be06f,0xdf19fb0f,
    0x3f205f98,0x26000fd1,0xff91006f,0x7409f303,0x4c0ff00f,0xffffd06f,
    0x7fccbfff,0xf82ceeef,0x32005fbe,0x01fc801f,0x5c1bff20,0x7fff44ff,
    0xffc884ff,0xbf32f9ae,0x13f63dff,0x2fd80fe4,0x1bffd100,0x807fc5f7,
    0x7449f36f,0x37c44fdf,0x01fa1fd0,0x0003fa20,0x09f307f9,0x06f807f4,
    0x26201fd1,0x40999cfb,0xfffeeefe,0x017f77c4,0xf9003f90,0x17fcc003,
    0x3302ff98,0x0ed86001,0x900067f3,0x01bee03f,0x362fb810,0x3eadf03f,
    0x40fffcc4,0x26f881fe,0x2fd8007e,0x984fa800,0x207f604f,0x05fb05fa,
    0x7e409f30,0x77c7f982,0xf9001ff8,0x003f9003,0x022037cc,0xfa800d90,
    0x40013e61,0x13fa01fc,0x117e4004,0x22df05ff,0x07fec0ff,0x3fa077dc,
    0xf9001fa2,0x0bf60009,0x09f703f4,0x09f905fb,0x1fd03f40,0x26df1fa0,
    0x1fc801ff,0x2001fc80,0xf80002fe,0x8dfdc005,0xf90004f9,0x6f7fcc03,
    0xfc805ecc,0x6677fd42,0x33ff26fc,0xb06ffffc,0x8bfd99df,0x1bea007e,
    0xd9999bd0,0x677e40bf,0x2f7fa1ca,0x6fa86ffc,0x5677e400,0x4c3bfb1c,
    0xf537c4fc,0x01fc801f,0x26201fc8,0x80004fea,0x6c4003f8,0x2009f37f,
    0xcdfeccc8,0xffec881c,0x2fc802de,0xeffffd88,0x9f7ffdc3,0xffd905fd,
    0x200fd07d,0xccccdff8,0xfffff91c,0xfdb8807d,0x3ff222ff,0xdff884ff,
    0x101ccccc,0x225fffb7,0x4ffffffe,0x077dc6f8,0x9bfd9991,0x807f2039,
    0x0003fffa,0x20001510,0x20035108,0xfffffff8,0x4000803f,0x00c400a9,
    0x01100004,0xff9803f4,0x43ffffff,0x11000198,0x3e600880,0x3fffffff,
    0x75300880,0x21be0155,0xfff10efc,0x207fffff,0x2aa201fc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02200000,0x1e6665c0,0x0000004c,0x00000000,0x00000000,
    0x0277f64c,0x00000000,0x2effec88,0x00000880,0x44000000,0x00000000,
    0x03fffea8,0x22f77764,0xfff004f9,0x1fffffff,0x27d417dc,0x3fa01ff1,
    0x5c027cc1,0x00ceffff,0x5c03ffa0,0x30feddff,0x3ffe009f,0x0fffffff,
    0x213e1f98,0x3ecccff9,0x33fffea0,0x7c400fd0,0xd82dffff,0xffffffff,
    0x17fffe45,0x3ffffff2,0x7ffc05ff,0x3bee3fff,0x0005febb,0x078027cc,
    0x20bee0e8,0x427dc4fa,0x04f984fa,0xfeccdfb8,0xfffb803f,0x040efa80,
    0x332009f3,0xccccffcc,0x0fe1fa80,0xfa8003f6,0xfd3fcabe,0x6677c400,
    0x77643ffe,0x25feeeee,0x3feaacfe,0x3bbbbbae,0x3fea04ff,0xdf11aaaf,
    0x0001fe81,0x9bc013e6,0x5c3a0cef,0xeeeeeefe,0x20ff44ff,0x04f980fe,
    0x7fcc2fb8,0x3f77e601,0x4c01fe80,0x01deffff,0x1f7007e8,0x07fa0fe2,
    0xd040ff80,0x22fc400f,0x3f2007fa,0x1fd09f72,0x200ff880,0x7f707ded,
    0x3e989f50,0x09f31ea8,0x21db31e0,0xfffff90e,0xa8bfffff,0x4c0fee5f,
    0xf707914f,0x740bf505,0x7c40fd8f,0xccef9806,0x3f404ffe,0x2abf6aa0,
    0x3ee1acfb,0x2fc401cf,0xf8801fa0,0x8800fe85,0x2e03f66f,0x017ec02f,
    0x360fb7f1,0x237f4c0f,0x32fb84f9,0x05bf919f,0x7074fa0f,0x209f505f,
    0x206f8afd,0x82ffcdf9,0x20ff02fb,0x981fb3fb,0x44f9805f,0x1fa02fe8,
    0xfffffff0,0xffa89fff,0x09f303ef,0x3e2007e8,0xb800fe85,0x2a03fa2f,
    0x017ee03f,0x3a0fb1f9,0x23fffdc7,0x32fb84f9,0x9ffbfdbf,0x83a7d078,
    0x04fa82fb,0x403f9df1,0x700cfff9,0x103fa05f,0x2207ecbf,0x84f9806f,
    0x01fa05f9,0x801f72ec,0xf985ffc9,0x1883f404,0x17f22fc4,0x3fb1be20,
    0x3e209f30,0x7dafc00f,0x3bf62df0,0x13e60fd8,0x6ffccbee,0x5ccf1fa0,
    0x7dc1d0fd,0x4feeeeee,0x4413fee0,0x3e00effb,0x7ec6ffff,0x1fb07ec1,
    0xf9803fd0,0x7646f884,0x205eeffe,0x8801f25e,0x3ffba0fe,0x1fa1eeee,
    0xff893fe6,0x800dffee,0x077d43fb,0x3f60bfb3,0xfd97d402,0xd3df2fff,
    0xf307ec9f,0x3e65f709,0x4f0fe40e,0xb83a0aeb,0xfeeeeeef,0x9ff99984,
    0x3f7ee099,0x66ff6404,0x7f50fec3,0xdfc80fd8,0x2e13e600,0x7ff7645f,
    0xc93e05ee,0xd07f4007,0x3ddddffd,0x3ffdc3f4,0x09fddff1,0x7e41fe20,
    0x84ffffff,0x27e805fa,0xfd0aaafd,0x4c7e85ff,0xf32fb84f,0x73c5f709,
    0x17dc1d09,0x3fe627d4,0x22ffffff,0xb804f989,0x221fd02f,0x880fd86f,
    0x0ecbdffd,0x05fd09f3,0xf75303f4,0x855dd55b,0x5fdbabce,0x3f404f98,
    0xbf127fcc,0x7dc01fe4,0x26f2e603,0x07fc43f9,0x07d93e60,0x8df01dfb,
    0x32fb84f9,0x3c5f709f,0x7dc1d011,0x9984fa82,0x80999ff9,0x2fb804f9,
    0x3bee7f88,0xeeffeeee,0x5ffffa82,0x3f6eb7e6,0x703f405f,0xffffffff,
    0xffffe8ff,0x809f304f,0xf883107e,0x3e007fc5,0x0fdc000f,0x3f200bf6,
    0xf907eccd,0xf989f505,0x9f32fc85,0x773c5f70,0x417dc1d0,0x03f404fa,
    0x7dc027cc,0x3aa4fc82,0xeffeeeee,0x303f902e,0x07dfffff,0x3f300fd0,
    0x1be6027c,0x7e809f30,0xf717e200,0x001fdc09,0x0bf517e2,0x3fffffe0,
    0x441df107,0x5c7f80fe,0x709f32ff,0xd0db3c5f,0x7d417dc1,0x7ffffcc4,
    0x4f982fff,0x7dc2fb80,0x01fb000f,0x3bf306e8,0x03f40013,0x807f0fd4,
    0x27cc04f8,0xf8801fa0,0xf807fc45,0x3faa000f,0x2003fe21,0x903ec2fa,
    0x07fd77df,0x37f6fbf2,0xf709f32f,0x707403c5,0x889f505f,0xaaaffaaa,
    0xcccef980,0x337ee2cc,0x2001effe,0x13e200fd,0xe80027cc,0xf10fb807,
    0x202fa805,0xccccefdc,0x9999fd2c,0x85f88199,0x04fb84fc,0x177f7664,
    0x3bbbbff2,0x361fa5ee,0x75c2cccf,0x32202eff,0x32f9aeff,0x7c5f709f,
    0xffffffff,0x2a0bee0f,0x403f404f,0xfffffff9,0x37bffee4,0x07ec000a,
    0x27cc0260,0xc807e800,0x3100be67,0xffffff80,0xfffd5fff,0xf881ffff,
    0x7c0ff885,0x677fc00f,0xfffffd03,0x13e6dfff,0x413ffff6,0x300c0008,
    0x005f709f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00799997,0x13000000,0x00001100,0x00000000,0x00000000,0x00000000,
    0xff886600,0xf70ff880,0xfda7c405,0xfa9be202,0x7dc3fd84,0xe80cefff,
    0xd90df00f,0xff88bddd,0x01ffffff,0xd5009ff5,0x3ff6209f,0x7ffcc2ff,
    0x7ff43eff,0xfd00ceff,0x7f4df909,0xb0ffffff,0x1fffffff,0x5fa813f6,
    0xff300fee,0xff05bfff,0xffffffff,0xb7c1ff61,0x17ee1ff8,0x02fa8ff2,
    0x02fdcfe2,0x227d47f7,0xcdfb85fb,0x7f43ffec,0x2000df00,0xccffccc8,
    0x0dffb00c,0x427fff4c,0xffcbdff8,0x3333be62,0x333fa5ff,0xfe82ffed,
    0x3fa7ff87,0xb0cccccc,0x1999999f,0x7f403fe2,0xf300fee1,0x8bffd99d,
    0xccffcccc,0x07ffb0cc,0x3a07fcdf,0xf51be62f,0xf89fcc05,0xfa87f607,
    0x7dc1be64,0xfd0ffcc2,0x0001be01,0x6fc403f4,0xcffa81fd,0xa83704fc,
    0xd113e66f,0xf503fa3f,0x22fde81f,0x01fa7dfa,0x3f2003f6,0x7dc4fb85,
    0x2227cc03,0x81fa03fe,0x26f86ffd,0x877cc0ff,0x01fcc1fe,0x417ec5f3,
    0x8a7d46f8,0x05f700ff,0x807f4bf5,0x7777646f,0xa807e801,0x1903fbbf,
    0xff0013ee,0x97e427cc,0x45fb80fe,0x33765ecf,0x3f601fa7,0x41ff8800,
    0x01fdc0fe,0x17ee13e6,0x2ff607e8,0x0ff37c2f,0x213ef3f2,0xfa8663f9,
    0x3ea13ee2,0x1fea7d43,0x3fc0bee0,0x91be01fd,0xd003ffdd,0xf11fb00f,
    0x009f700d,0x213e67f8,0x201fd0fd,0x47e67c7f,0xfd0fcaf8,0x2001fb00,
    0x20fee5fb,0x27cc03fb,0x0fd037c4,0x3e37c7ec,0xffe81b66,0x3f49f106,
    0x43fc43f5,0x667d40fd,0x817dc02f,0x201fd0fe,0x007f206f,0x4df101fa,
    0x27dc01fe,0x7ccbf300,0xfe8ff264,0x67c1fd00,0x1f97bbf9,0x03f601fa,
    0x7f89fe80,0xf9807f70,0x3a05fb84,0x17e5f607,0x7fd400df,0x7fcd3e02,
    0x1fd83f72,0x3bea1be2,0x7fffc05f,0xfe8fec6f,0x6fffffff,0x3a007f20,
    0xf71fd407,0x004fb807,0xfff987fa,0x07f44fff,0x27f11fd8,0x21f74ede,
    0x6ffffffe,0x3bbbbbf6,0x5f7bf504,0xf300fee0,0x201ff989,0x7c5f607e,
    0x20199be6,0x57e04ffc,0x81f74ffb,0x20fea4fb,0x200ffdfa,0x6c3cdfec,
    0x9999fd1f,0x7e40df99,0x6c07e801,0x701be21f,0x13f2009f,0xff999df3,
    0x6c03fa1d,0x3ee7f11f,0x3fa3f71f,0x363ccccc,0x04eeeeef,0xfb81bff6,
    0x6e77cc03,0x3f403fff,0xf8fecfb0,0xf305ff76,0x57e03fdd,0x10f77dce,
    0x5407ecdf,0x5c06facf,0x3a1fd02f,0x640df00f,0x207e801f,0x00fe86f8,
    0x3f2013ee,0xfd84f985,0x3fa01fd4,0x9be27f30,0xb00fd1fb,0xff98001f,
    0x300fee01,0x019dffff,0x33ec0fd0,0x7fedbebf,0x6f99fe84,0xf55f1dd0,
    0x27f60f95,0x29f506f8,0x0bee05fc,0x00fe9fe2,0x00fe40df,0xdff503f4,
    0x407ffddd,0x2fe404fb,0x6f984f98,0x4ff101fd,0xfb86a3f9,0x1fb00fd1,
    0xb80fd000,0x027cc03f,0x1f607e80,0x3eadf1fb,0xfb2fdc1f,0x7cf7db09,
    0x59f707cd,0xe93ea07f,0x905f703f,0xf807f49f,0x2007f206,0x3fff607e,
    0x206fffff,0x17f204fb,0x5fa84f98,0x49f901fd,0x4bea03f9,0x00fd807e,
    0x7dc07e80,0x0027cc03,0x51f607e8,0x2044df9f,0x3fe20ff8,0xfb2f7ec1,
    0x37be20db,0x449f500f,0x42fb81ff,0x03fa0ffb,0x03f9037c,0x1be20fd0,
    0x9f700fe8,0xf3017f20,0xfd3fe889,0x2a0ffc81,0x74bea02f,0x000fd807,
    0x1fdc07e8,0x40013e60,0x3a1f607e,0x1ff406ff,0x3ff237dc,0xd81bfea2,
    0x13ea06ff,0xdfb81ff3,0x741effec,0x644df00f,0x1ccdfecc,0x99ff9991,
    0xc813ea19,0xfdddd13f,0x3fea9ddf,0x34eeeeee,0xbffd99df,0x7ff667f4,
    0x5017d40e,0x3333fa7f,0x01fb0ccc,0xfb80fd00,0x32cccccd,0x1fa0009f,
    0x6ffa87d8,0xfe81bee0,0x3fe1ff23,0x80ffee05,0x45fb84fa,0x0adefffb,
    0x4df00fe8,0xfffffff8,0xfffff13f,0x07f63fff,0xfff16f98,0x2abfffff,
    0xffffffff,0xbdffff36,0xdefffe85,0x5405f702,0xfffffd3f,0x003f61ff,
    0xff701fa0,0x269fffff,0x0fd0004f,0x06fe83ec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04c05000,0x64000191,0x00000980,0x83d507d3,0x82effec8,0x1bf91dec,
    0xd8aefeb8,0x7f64c1df,0x3b2603ef,0xfec884ef,0x0029802d,0x805bfd93,
    0xdddd9008,0xddddd103,0x07ae1ddd,0x213a3e88,0x41f644ec,0x006605e9,
    0x07fa07e8,0x0efa9be2,0xb1ff4400,0xe803dfff,0x2e13e607,0x333fe62f,
    0x76fe43ec,0x7c6fdfce,0xfcfeffcd,0x7ee77e47,0xddffb84f,0x33fe60fe,
    0x3e604fec,0x6ffdc01f,0xfe985ffd,0x7f7642ff,0xeeee881f,0x0bea7fee,
    0x91be3f98,0x83ff10bf,0xeefb81fe,0x207e803f,0xd9bb9ef9,0x00ffd42f,
    0x4dc2ff98,0x3f406fa9,0x5f709f30,0x3e2007ec,0x3ea9ff34,0x51ff8822,
    0x7fc40c5f,0x8103bea0,0x80fec0fe,0x3e201ff9,0x88bf620e,0x01febaff,
    0x7ec003f9,0xfa80fe63,0x05fc9be2,0x84fc9bea,0x5d889aec,0x3ee03f40,
    0x304fffff,0xffa807fd,0x203ec401,0x213e607e,0x007fa2fb,0x897fc5f5,
    0xf89fa04f,0x3a1fc804,0x41fd401f,0x006604f9,0x4df305f9,0x413ea2fa,
    0xbf7001fc,0xb9ba4f88,0x2fe5be1f,0x2fce7e40,0x676ec7d4,0x01fa02e8,
    0x9fd33df5,0xb827f440,0xffb500ef,0x207e80ff,0x22fb84f9,0xf701cffb,
    0x7dd5ff43,0x4f74cc44,0xa9884f99,0x0df12fda,0x33335f90,0xe8000bf5,
    0x0fc9fe07,0x0fe417e2,0x5f837cc0,0x83f23ff1,0x2005fbef,0x4c80fefe,
    0xe96ed35b,0xffffffff,0xdf30fec7,0x6c1bfb00,0x437e205f,0x7e66647c,
    0xf30ccccf,0xfa85f709,0x0fdc3eff,0x4bfffffb,0xfffffffc,0x3ffa64ff,
    0xbf32ffff,0xfffffb00,0x6664dfff,0x0ccccccc,0x2e7e81fe,0x6413e62f,
    0x07f4401f,0x29ff76e8,0x17f77c7d,0x205ff300,0x2a5ddb2e,0x3ff332e6,
    0x43fc4ccc,0x1ffa807f,0x7cc07fd1,0x7fc4ff54,0xffffffff,0x5f709f30,
    0xb97ff260,0x5407fa1f,0xe80fb1df,0x44bf21af,0x9bfc806f,0xf1099999,
    0xffffffff,0xfd03f41f,0x7ec4f7cc,0xd803f901,0x675f602f,0x8ef8dd7c,
    0xffb001ff,0x6d6cf20d,0x03f40b73,0x80fd03fe,0x7f440efb,0x37bffa04,
    0xf303f407,0x8805f90b,0x7c3f70fe,0x6c3f902f,0x907f300f,0x200ffc5f,
    0x000004fb,0x1be207f6,0x405ffff7,0x13f201fc,0xf55f3f90,0xf36f89f3,
    0xbcfb803f,0x35b6a84f,0x07e80faf,0x0df317ec,0xf9006fec,0x0c46601b,
    0x8ff01fa0,0xfe802ffb,0x3fe27f30,0x3e63f704,0xa87f702f,0x037f62ff,
    0x0000ff88,0xfb0bf500,0x80135105,0x0df501fc,0x6fcfbf50,0xff537c3f,
    0xfd9bea01,0xb50add83,0x5407e80d,0x82feabff,0xf7004fe8,0x55554c1d,
    0x01fa01aa,0xfbfb7df9,0x6dd5e745,0x775ff45f,0xf31cadfd,0x59ff9f7b,
    0x2effe637,0x3e22fefd,0x20ecbdff,0xcbabdffc,0x801fd101,0x5fdbbefe,
    0x5555554c,0xbfd99911,0x37fe2399,0x261ccccc,0x0bff24ff,0x40efb8df,
    0x3fe21ff8,0x76efec41,0x202ec00d,0x5ffffffc,0x20017f4c,0xfff91ffa,
    0x3f409fff,0x2bbff220,0x3fffa2f9,0xeff984ff,0x21fffd89,0xffd54ffc,
    0x77ffdc3f,0x7e442faa,0xfea85fff,0xf501efff,0xfff9005f,0xffff907d,
    0x3ffe29ff,0xf33fffff,0x7fffffff,0xff317fc4,0xefc86f83,0x3ea0ffa0,
    0x01aa880f,0x26bf5000,0x3a63fc89,0x25d30001,0x09999998,0x01800aa0,
    0x01001330,0x00880011,0x01100022,0x26400660,0x98802200,0x00099999,
    0x00000000,0x00000000,0x99999995,0x4407ec59,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffc8000,
    0x044fffff,0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd817a200,0x3b26b90e,0x0006201c,
    0x4c408020,0x5100000a,0x50011003,0x00026603,0x00002660,0x6666665c,
    0x400001cc,0x2eee6198,0x262bbbbb,0x665c0661,0x443f63cc,0xbbbb10dd,
    0x15d301bb,0x55d05bf9,0x83bd31bd,0x26f981fd,0xffdefaee,0x20ffe442,
    0x107ea3e8,0x741f709d,0xf881ffff,0xffc83aa2,0x017201ff,0x7f545ff7,
    0x1ff103ff,0x440ffcc0,0x85c43ffd,0xfffffffc,0xf927cc2f,0x22ff9803,
    0xfffffffb,0x3e1ff14f,0xeeeec81f,0x5ffc9ba5,0x3ffffff1,0xfbff9f30,
    0xfcfcf89f,0x7d45fdeb,0x3fa2fc84,0xfa9be63f,0x1fd81fef,0x49fb0df1,
    0x5ccd45fb,0xf11fd84f,0x6fcabd8d,0x5c0cb90c,0x33bf14ff,0xbfd905fb,
    0x6c1fd880,0x3ee4fedf,0x542fa801,0x880bf66f,0x888880ef,0x9fe20888,
    0x7c4001ff,0x0013ff23,0xfd06ffcc,0x2bfd3ff8,0x7f87f87c,0x13fc1ff4,
    0xf103f919,0x7ec1fdcd,0x7cc05fbc,0x1fb1fd44,0xdf13fc40,0x01fd1973,
    0x883ee9fd,0x7dd7cc5f,0x3e22a801,0x1faf7f64,0x04c17d40,0x00055006,
    0x00fe9fe0,0x06640980,0xc86f9800,0x0fe9fe1f,0x22fc81f9,0xa83f44f9,
    0x2603f902,0x3603f64f,0x3fb205ff,0xfb9be20e,0x2227dc02,0x00cfeefc,
    0x3e1f27fb,0x00dd2ec5,0xffc85910,0x05f5002f,0xdd500000,0x47dddddd,
    0x0003fa6f,0x7cc00000,0x93e2fb84,0xf303f26e,0x1fa0fe4b,0x4407f200,
    0x2e0bf25f,0x3b2e04ff,0xfd97e65f,0x403bee00,0x3e604ffb,0x7d45f70e,
    0x3fa87ea3,0x02620000,0x00000100,0x3bbbbaa0,0xc97a3eee,0x00000006,
    0x3ee13e60,0x326e93e2,0xf88fe80f,0xc8007e86,0x261fb01f,0xfddfb85f,
    0x321fe804,0xb10df11f,0xbdd501bf,0x7f545ddb,0x373fe21e,0x3617a0ef,
    0x0000000f,0x00000000,0x00000000,0x9f300000,0xd27c5f70,0x7dc07e4d,
    0x07e83fab,0x2b3f6aa0,0x0fe8fee0,0x89fb2fdc,0x447fb999,0xe893ea6e,
    0x3a1aaaef,0x4c3ee994,0x9dd9102b,0x74407541,0x00000003,0x00000000,
    0x00000000,0x09f30000,0xdd27c5f7,0x77c407e4,0x007e80fd,0x7ffffff1,
    0x43fb97e2,0x21fd85f8,0xa82fffff,0x7d43f23f,0x823fffff,0x0000025c,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0x93e2fb84,0x6403f26e,
    0x00fd04ff,0x04cccccc,0x20302811,0x00d55428,0x4cc4310a,0xbb009999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x709f3000,0x4dd27c5f,
    0x3ff300fc,0x00001fa0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5f709f30,0x7e4dd27c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x11111100,0x00111111,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaa000,0x2aaaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_22_latin_ext_x[560]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
4,1,0,1,1,1,0,1,1,1,1,1,4,2,1,1,2,3,0,0,1,0,1,2,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,1,1,0,1,0,1,1,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,2,1,0,2,1,2,2,0,1,1,4,4,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,2,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_22_latin_ext_y[560]={ 16,0,0,1,-1,0,1,0,0,0,0,4,12,9,
12,0,1,1,1,1,1,1,1,1,1,1,5,5,4,7,4,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,18,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,16,5,-1,1,2,1,
-2,0,0,1,1,5,9,9,0,1,0,2,0,0,0,5,0,8,16,0,1,5,0,0,0,5,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,5,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-2,1,-2,0,1,5,-2,0,-2,0,-3,0,-2,0,-2,0,1,0,-2,1,-2,0,-3,0,1,5,-2,0,-2,0,
-2,0,-3,0,1,0,-2,-3,1,0,-2,0,-2,1,-2,0,1,0,-3,5,1,0,-2,0,1,0,5,-2,-3,1,
0,0,0,1,0,1,0,-2,0,1,5,-2,0,-1,1,5,-2,1,-2,0,-2,0,1,5,-2,0,1,5,-2,0,
-2,0,-2,0,1,5,-2,0,1,1,-2,0,1,1,-2,0,-2,1,-2,0,-3,-1,-2,0,1,5,-2,0,-2,0,
-2,-2,0,-3,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_22_latin_ext_w[560]={ 0,4,8,12,10,12,13,4,7,7,10,12,6,8,
4,10,12,10,10,10,12,10,10,10,10,10,4,6,9,10,9,7,12,12,10,11,11,9,9,11,10,10,9,11,
9,12,10,12,10,13,11,10,12,10,13,12,12,13,10,7,10,6,10,13,8,10,10,10,10,10,12,11,10,10,
9,11,10,12,10,12,10,10,10,10,11,10,12,12,12,12,10,9,2,9,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,9,11,12,12,
2,10,10,12,8,10,10,8,10,9,8,10,8,8,11,11,10,4,4,8,8,10,12,12,12,7,12,12,12,12,
12,12,13,11,11,11,11,11,11,11,11,11,12,11,12,12,12,12,12,10,12,11,11,11,11,13,10,10,11,11,
11,11,11,11,12,10,11,11,11,11,11,11,11,11,10,11,12,12,12,12,12,12,12,11,11,11,11,12,10,12,
12,11,12,11,13,10,11,11,11,11,11,11,11,11,13,15,12,12,11,11,11,11,11,11,9,10,11,11,11,12,
11,12,11,12,11,12,11,11,12,11,11,11,11,11,11,11,10,11,11,10,10,10,10,10,11,11,11,11,11,9,
10,14,14,11,13,11,10,11,11,10,10,11,11,11,10,10,12,12,12,12,13,12,12,12,13,12,11,10,13,12,
11,11,11,11,10,10,11,11,12,11,12,14,12,11,11,11,11,11,11,11,11,11,13,12,10,10,12,12,13,12,
13,11,11,11,11,11,11,9,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,11,13,12,14,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,10,10,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_22_latin_ext_h[560]={ 0,17,6,15,20,17,16,6,21,21,10,12,8,3,
5,19,16,15,15,16,15,16,16,15,16,15,12,15,13,6,13,17,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,19,15,16,15,16,15,15,15,15,15,21,19,21,8,3,6,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,16,12,11,11,11,16,11,21,23,21,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,20,15,14,15,
23,19,6,16,12,10,6,3,11,5,8,14,10,10,6,16,19,4,4,10,12,10,16,16,16,16,18,18,18,18,
18,19,15,19,18,18,18,18,18,18,18,18,15,18,19,19,19,19,19,10,20,19,19,19,19,18,15,17,17,17,
17,17,17,18,12,15,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,12,17,17,17,17,17,21,21,21,
18,16,18,17,20,16,19,17,19,17,20,17,19,17,18,17,15,17,18,16,18,17,19,17,20,16,18,17,19,21,
19,21,20,21,20,21,18,19,15,16,18,16,18,15,18,16,20,21,19,11,16,21,19,21,20,21,11,18,19,20,
21,16,16,15,16,15,16,18,16,20,16,18,16,17,20,16,19,16,19,17,19,17,16,12,18,16,20,16,18,16,
19,17,19,17,19,15,19,17,20,20,18,17,15,16,19,17,19,16,19,17,20,18,19,17,20,16,18,16,18,21,
18,18,16,19,16,18,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,20,18,17,21,19,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,16,20,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_22_latin_ext_s[560]={ 248,247,214,149,56,235,81,250,35,93,109,
54,120,243,250,223,1,113,124,217,101,147,158,209,206,220,249,248,35,203,25,
248,125,100,135,46,146,171,181,69,66,89,246,41,205,158,239,95,215,137,197,
130,226,153,27,14,1,191,231,207,51,241,136,1,147,115,61,126,145,137,223,
188,26,212,11,200,35,12,1,161,195,58,38,78,141,67,25,205,230,236,194,
149,4,1,156,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,248,248,126,
173,12,63,1,109,180,134,45,89,169,243,243,223,127,1,100,80,191,23,87,
238,233,49,174,58,121,182,169,246,189,90,214,229,27,38,242,1,242,15,40,
78,116,152,128,227,88,202,25,120,62,25,38,69,229,147,172,197,223,1,125,
38,26,14,126,101,223,217,102,114,174,162,150,138,97,109,49,72,78,74,53,
40,27,14,1,148,220,208,196,184,172,215,196,170,103,146,176,84,192,206,75,
37,87,25,102,96,113,133,52,156,53,239,164,1,140,1,125,72,182,28,66,
121,187,101,175,43,114,7,90,228,191,1,50,86,142,62,118,77,92,50,146,
81,234,183,39,114,199,138,217,56,218,1,163,136,159,13,231,185,217,76,195,
13,121,242,61,179,98,66,206,110,184,84,159,1,133,113,133,89,25,158,78,
171,78,182,13,211,51,89,98,162,75,186,169,157,65,233,136,176,63,49,13,
14,235,13,44,130,209,108,21,12,166,240,203,183,39,53,118,151,228,154,164,
108,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,210,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,68,32,104,198,20,99,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,67,1,169,157,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37, };
static unsigned short stb__consolas_22_latin_ext_t[560]={ 19,47,260,213,25,143,196,230,1,1,260,
246,260,260,237,67,213,230,230,179,213,179,179,213,179,213,196,142,246,260,246,
1,1,230,230,196,230,230,230,196,230,230,161,230,230,230,230,196,230,67,213,
196,230,196,230,230,230,230,213,1,67,1,260,273,260,246,125,246,125,246,196,
196,213,196,25,196,196,261,261,246,179,196,260,246,196,246,260,246,246,196,246,
1,1,25,260,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,19,125,25,
213,246,213,1,47,260,179,246,260,260,260,246,260,260,246,260,260,260,196,47,
260,260,260,246,260,179,179,179,67,106,106,106,87,106,47,213,47,87,106,106,
106,106,106,106,106,213,106,47,47,67,67,67,260,25,47,47,47,47,106,213,
161,161,161,143,143,143,87,246,213,143,143,143,143,161,161,161,161,143,179,143,
143,143,143,143,246,125,125,125,125,125,1,1,1,106,161,106,125,25,161,67,
125,67,125,25,125,67,125,106,125,230,106,106,179,106,125,67,125,25,179,106,
125,67,1,67,1,25,1,25,1,87,67,213,179,87,179,87,230,87,179,25,
1,67,246,179,1,67,1,25,1,246,87,67,25,1,179,161,213,161,213,161,
87,161,25,161,87,179,143,25,179,47,161,47,161,47,143,161,246,87,161,25,
161,87,161,47,143,47,143,47,213,47,143,25,25,87,125,213,196,47,125,67,
213,47,125,25,87,47,125,25,196,87,179,87,1,87,87,196,67,179,87,196,
196,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,67,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,1,25,87,143,1,67,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,25,196,25,25,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213, };
static unsigned short stb__consolas_22_latin_ext_a[560]={ 194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_22_latin_ext(stb_fontchar font[STB_FONT_consolas_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_22_latin_ext_s[i] + stb__consolas_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_22_latin_ext_t[i] + stb__consolas_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_22_latin_ext_x[i];
            font[i].y0 = stb__consolas_22_latin_ext_y[i];
            font[i].x1 = stb__consolas_22_latin_ext_x[i] + stb__consolas_22_latin_ext_w[i];
            font[i].y1 = stb__consolas_22_latin_ext_y[i] + stb__consolas_22_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_22_latin_ext_s[i] + stb__consolas_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_22_latin_ext_t[i] + stb__consolas_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_22_latin_ext_x[i] + stb__consolas_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_22_latin_ext_y[i] + stb__consolas_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_22_latin_ext_LINE_SPACING
#endif

