// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT        316
#define STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_24_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_24_latin_ext_LINE_SPACING          16

static unsigned int stb__consolas_24_latin_ext_pixels[]={
    0x00262131,0x0040fb62,0x00155300,0x02620022,0x40001e44,0x85301cc9,
    0x05930029,0x0e447220,0x01bcb880,0x8000b260,0x0b2603cc,0x000defa8,
    0x7910164c,0x7ffc32a0,0x0b2606ff,0x29f50f2a,0x7f4404fa,0x0001d902,
    0x22005ff3,0x01fb806e,0x98000df1,0x3ff103ff,0xf500bfe2,0xbf1007ff,
    0xf7003f95,0x2009ffdf,0xd8000ffe,0x07ff405f,0x00fffd98,0x207fff50,
    0x7fcc2ffc,0x07999ff6,0xf90fffea,0x9f54fa8b,0x2e00a980,0x77cc005f,
    0x7ec01e98,0x2207e804,0x3620006f,0x83fe201d,0x37ea01fe,0xfb803fc8,
    0x3fd804ff,0x7ec027dc,0x03fd8007,0x4400ffe8,0xdfa805fc,0xffc83fc8,
    0x7fb7fcc2,0xfc8dfa80,0x9f517f23,0x7f4c13ea,0x01fec02f,0x6401f900,
    0x04f9806f,0x98001be2,0x0101002c,0x800cc188,0x3fb80098,0xa8801f90,
    0x004c4000,0xf3001a88,0x1983100d,0x19503c88,0x306201fe,0x3ea2fe43,
    0x37609f54,0x7fc407c8,0xd5731001,0x00ffcc0d,0xdf1004c4,0x3f7ee000,
    0x00000004,0x2fc40000,0x00007f30,0x40000000,0x0000007f,0x80003fc0,
    0xaa7d45fc,0xf91bd04f,0x801ff300,0x06fffffa,0x80000ffa,0x7ddb36f8,
    0x10f53e80,0x076c01dd,0x7777f644,0xfec880ee,0x2e0eeeee,0x882fc01f,
    0xeeeeefec,0x6c01dd10,0xbdddd70e,0xe883fc00,0x443b600e,0x3e3d905e,
    0x77776c07,0x517ee5ee,0x4c13ea9f,0xf9002ffe,0x567fdc07,0x5fa84ffd,
    0xeefec880,0x5df10eee,0x40bffdff,0xfb07b8dd,0x221bea09,0xeffecdff,
    0x66ffc40e,0x3a0eeffe,0x6d73b666,0xecdff886,0x3f60eeff,0x7e4df504,
    0x3e007fff,0x5413f607,0x6c1be26f,0xff80ff2f,0x2e6fffff,0xfaa7d44f,
    0x800aaa04,0x3ff105fa,0x361ff76c,0x6ffc403f,0x10eeffec,0x3e619fff,
    0x5fff301f,0x7ec1fea0,0x7e43fd83,0xfc87fb04,0xef99fc44,0xfb0db6fe,
    0xfa84fc87,0x2207fb07,0x03fa007f,0x3fd83fd4,0x97ec1be2,0x6f98007f,
    0x29f513ee,0xfff104fa,0x41fe2005,0x2b3e24fc,0x200ffc6f,0x227e43fd,
    0x4fb84ff8,0x3fa004c0,0x7c07fc42,0xff07f887,0x1fa8ff10,0x32bf11fd,
    0x7f887f87,0xff885fd0,0x400ff100,0x0bfa02fb,0x37c41ff1,0x00ff2fd8,
    0x27dcdf30,0x827d53ea,0x2004fffa,0x21ff80ff,0x7ccff2fa,0x443fc00f,
    0x983fc47f,0x7f6dc45f,0x8bf701de,0x87f885fa,0x87f887f8,0x4c7e47f8,
    0x1f29f34f,0x0ff10ff1,0x0bf517ee,0xb1003fc4,0x5fb819bf,0x1be22fd4,
    0x007f97ec,0x13ee6f98,0x413ea351,0x2007fafd,0x647f82fd,0x37d47fa7,
    0x3e21fe20,0xf9837c47,0x7f77fdc6,0x0ff882ff,0x17f40bf6,0x17f417ee,
    0x2efb17ee,0x1b65f52f,0x0bf70bfa,0x2fd83fe2,0x1001fe20,0xff883ffd,
    0xdf10bf60,0x03fcbf60,0x7f537cc0,0xf884fa80,0x2e003fd7,0x3e37cc4f,
    0x27dcbf65,0x3ee17f40,0xf9837c45,0x3ee20cc6,0x3e27fb07,0x2b3fea07,
    0xff500ffd,0xd81ffb59,0x47f23f96,0xacffa86d,0x3f600ffd,0xf880ff13,
    0x277ea007,0x3e27fb00,0xfb06f887,0x26001fe5,0x500fea6f,0x2e9f509f,
    0x89f9004f,0xc8be66f9,0x500bf53f,0x1ffb59ff,0xbf506f88,0x5407fc00,
    0x7409f76f,0x00dfffdf,0x37fff7fa,0x21fb6e80,0xfd09f0fd,0x801bfffb,
    0x809f76fa,0x3f2007f8,0xfbb7d400,0xfb06f884,0x26001fe5,0x5007266f,
    0x265fb09f,0x87fb007f,0xd83f27f8,0xd00ff12f,0x01bfffbf,0x0ff20df1,
    0xff01fd80,0x3e603fd3,0x93e60024,0x1fcb7400,0xf30be6ff,0x3fe00049,
    0x7c401fe9,0x401fa007,0x881fe9ff,0x3e5fb06f,0x06f98007,0x7c44fa80,
    0x7c00ff47,0x1ba7f82f,0x00ff43fd,0x220049f3,0x306fa86f,0x3ffffdd9,
    0x81bf7f20,0x2a001efa,0x2db001ef,0xdbfedcfa,0x00f7d40f,0x06fdfc80,
    0x3a007f88,0xdfbf9007,0x7ec1be20,0xf3000ff2,0x3ea1f54d,0x5fa89f54,
    0x3e6027e4,0x7f13fd07,0x5f907fc4,0x800f7d40,0xfdcceff8,0xceffb81f,
    0xf101ffcc,0x7f4407ff,0x82dfffff,0xffffffe8,0xfd8be42d,0x881ffe8e,
    0xdffffffe,0x1fffc402,0xcffcccc8,0x01fa01cc,0x881fffc4,0x3e5fb06f,
    0x26f98007,0xaa7d47ff,0x2617ec4f,0x82fd407f,0x2e1fbdfc,0x1027d45f,
    0xbffffffd,0xfffff885,0x1ff880de,0x3f601fd8,0xeedfc807,0xfc84fffe,
    0x4fffeeed,0x00c083ee,0x3fbbb7f2,0x3fec04ff,0xfffffff0,0x03f407ff,
    0x7c40ffb0,0x1fe5fb06,0xfc9be600,0x4faa7d45,0x26667fe2,0x3fa01ff9,
    0x4fdff101,0x7fc40ffa,0x3bb7f200,0x3e24fffe,0x5fa80116,0x7ec03fd0,
    0xb82fdc03,0xb82fdc7f,0x000fe67f,0x7fb82fdc,0x8001fec0,0x01fe00ed,
    0x20003fd8,0x000ff1fe,0xfa818bf5,0x7fd49f54,0x4fffffff,0xf980bf90,
    0x03ffecef,0x17ee0df7,0x0df13fdc,0x36237d40,0x1ff501ff,0xf102fd80,
    0x8817ec1f,0x001ba0ff,0xff8817ec,0x001ff500,0x7cc05f70,0x01ff5006,
    0x7c3fe200,0x04fd8007,0x49f54fa8,0xcccccdfd,0x0ffa86fd,0xdffffb80,
    0x6c27ec01,0x21ff102f,0x3e2006f8,0xfeffdcef,0x801ffa81,0x8bf906fd,
    0x8bf906fd,0x6c0505fb,0x20bf906f,0xb0001ffa,0x13f6603f,0x8007fea0,
    0x7f97f660,0xffb88660,0xf54fa800,0xf803fe29,0x00bfe21f,0x1000cfec,
    0x06fd83fd,0x037c4bf9,0x37fffa60,0xfff31fc8,0x3fe6007f,0x0effeeef,
    0x7777ffcc,0xffb80eff,0x2607fdcd,0xffeeefff,0x3fffe60e,0x3fea0003,
    0x03bffa66,0x01ffffcc,0x3bffbfe0,0x93bbbfe0,0x3fffeffb,0x3ea9f500,
    0xfd80bf54,0xf800ff64,0x8df30005,0xfeeefff9,0x017a20ef,0x3a600440,
    0x5c4000cd,0x202ceeee,0x2ceeeeb8,0x5ef6dcc0,0x7775c400,0xcde982ce,
    0x2b880000,0xd300f3a6,0xd900019b,0xdddb07bd,0x7776449d,0x53ea001c,
    0x807fb4fa,0x801266fa,0x2a0001c8,0xeeeeb882,0x0000002c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09f54fa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e980000,0x000007d3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4402c980,
    0xfff93fec,0x0032e1ff,0x9500a880,0x22009999,0x93000ab9,0x02a61641,
    0xca9882a8,0x02c8009a,0x00105dc4,0x0154c355,0x05530e4c,0x05dc4154,
    0xa8051001,0xaaaaaaaa,0xaa8800aa,0x2a82aa01,0xfe8027d4,0xbffd100f,
    0x3ff332a5,0x20001fd0,0xfc83fef9,0xfa807fff,0x400dffff,0x43fcadf9,
    0x8ff102fd,0x5ffffffc,0xf101fcc0,0x09d79fff,0xefb877d4,0x321fb800,
    0x46f882ff,0xebcffff8,0x3e03fc04,0xffffffff,0x7f4400ff,0x757f4403,
    0x007ff41f,0xfb807ff4,0xe87f400d,0x2bb0000f,0xf999886b,0x567fdc07,
    0x5c00efeb,0x2fd84fff,0x77ecff10,0x203baabc,0xb300bfb8,0x01dff911,
    0x6fd43bea,0x641f9000,0x46f886ff,0xeffc88d9,0x2a03fc00,0xaadfdaaa,
    0x3fa200aa,0x3ffd1001,0x2200bf70,0x00bf601a,0x007f43fa,0x06d9ec80,
    0xff103fc4,0x003fe883,0x40bf6013,0x03ff37f8,0x7ffff540,0x0002004f,
    0x323ec000,0x37c43fef,0x0ff00080,0x0004fb80,0x00000000,0x2003fa00,
    0x001fd0fe,0x007bfa20,0x27e40ff1,0x0a987fa8,0x817ecaa0,0x00bf77f8,
    0x67f6ffe4,0x50054c4d,0x550054c5,0x0affb980,0xf88ff7f9,0x01573106,
    0x3bffbba6,0xf701eeee,0x55cc4009,0x59531000,0xed809813,0x205eeeee,
    0x0fe800fe,0x89db01fd,0x20aa00a9,0x07fe07f8,0x17ec1ff8,0x05fb7f88,
    0x07fd5fe2,0x7d87fcc0,0x7c40bf60,0x7c40bf67,0xffffd307,0x3f2bf29f,
    0x3ea1be23,0x4c0dffff,0xffffffff,0x09f702ff,0x3ffffea0,0x3fff200d,
    0x0fe65fff,0x3ffffffe,0x2003fa06,0xd81fd0fe,0x817ec0ef,0x07f887f8,
    0x85fb01fe,0x2ff102fd,0x2ff102fd,0x5c02efe8,0xfd81ba5f,0x7ecff102,
    0xf30ff102,0x2759f59f,0x10ff8afc,0xacffb8df,0x3e00efeb,0x027dc007,
    0x75d67fdc,0xcefd80ef,0x3ea3baab,0x40df3004,0x21fd007e,0x417f60fe,
    0x0ff102fd,0x1be60ff1,0x2fd87fb0,0x0bf6ff10,0xffd33fc4,0x4ff5017d,
    0x40bf605f,0x40bf67f8,0x33fe87f8,0xf92fc85f,0xff89be27,0xf01ff441,
    0x04fb800f,0x3a20ffc4,0x00ffcc3f,0xf98027d4,0x200bf106,0x361fd0fe,
    0x40bf605f,0x07f887f8,0x3fc80df3,0x7f8817ec,0x1fe205fb,0x10ffffae,
    0x409f5dff,0x4ff102fd,0x8ff102fd,0x907ea6f9,0x223fe25f,0x5413f26f,
    0x001fe07f,0x4fc809f7,0x5fb8ff50,0x2009f500,0x77e646f9,0x3a1fd001,
    0x6c05fd8f,0x10ff102f,0x01fe60ff,0x02fd85fb,0x40bf6ff1,0x3f6a07f8,
    0x7fff4c5f,0x205fb00c,0x40bf67f8,0x72fd47f8,0x322fc81f,0x3fe6f8cf,
    0x7c07fe01,0x027dc007,0x1ff807fe,0x2a003fea,0x4df3004f,0x2001fff8,
    0xdfbfd0fe,0x2205fb00,0x107f887f,0x41fe80ff,0x2ff102fd,0x0ff102fd,
    0xd705ff50,0x5fb07fff,0x2fd9fe20,0x4fb8ff10,0x88bf21f6,0x1fe6f9ff,
    0x1fe05fb0,0xf809f700,0xd117ec07,0x5fa805df,0x988df300,0x1fd003fd,
    0x00bfebfa,0x1fe205fb,0x1ff81fe2,0xfd81ff10,0x3f2ff102,0x200df503,
    0xfbf704fc,0x102fd8bf,0x8817ecff,0xdd37d47f,0xdfb85f90,0xd80df36f,
    0x800ff03f,0x1be604fb,0xfe987fb0,0x5fb80bef,0x7c0df300,0x3a1fd006,
    0x202ff98f,0x0ff102fd,0x27e40ff1,0x2fd85fb8,0x13eeff10,0xfc8027e4,
    0x3fe6f903,0x7c40bf63,0x7c40bf67,0x5f87fcc7,0x7fc42fc8,0xc80df36f,
    0x003fd03f,0xdf3027dc,0xd703fc80,0x5fb87fff,0x740df300,0xd0fe800f,
    0x407fea1f,0x0ff102fd,0x7fcc0ff1,0x6c0ffd43,0x26ff102f,0x8ffcc1ff,
    0x407fe600,0xfd97ee6d,0x7ecff102,0xfb0ff102,0xfc8c9f5f,0xf36ffb82,
    0xb02fd80f,0x27dc009f,0xfd80ff30,0x2ffed402,0x3e600bf7,0x2003fa06,
    0x5c1fd0fe,0x02fd81ff,0x0ff10ff1,0xfedeffb8,0x205fb02f,0x37ff27f8,
    0x3f64ffec,0x4ffedcde,0x24fd97a0,0x4ff102fd,0x0ff102fd,0xfddfff91,
    0x7fc0bf29,0xfe80ff16,0x99fff301,0x813ee03b,0x0ff407f8,0xf72ffa80,
    0x81be600b,0x0fe800fe,0x0ffc81fd,0x7f8817ec,0x99ff9999,0xfffb5039,
    0x81fe403b,0x7ff5c5fa,0x7ffdc3ef,0x04c2dfff,0x43ff719f,0x4bf503fc,
    0x0bf503fc,0x8e77ff4c,0x4df702fc,0x1ff101ff,0x7ffff540,0xf809f701,
    0x01ff101f,0x6fba7e40,0x740df300,0xd0fe800f,0x41dfb01f,0x2bf503fc,
    0xffffffff,0x013ee03f,0x27e413ee,0x99805f88,0x3fbff600,0x7dc3ffff,
    0x7dc9f904,0xb809f904,0x5fa8001f,0x2fdc13f2,0x00001300,0x2fdc13f2,
    0x75cff200,0x40bf5005,0x0fe800fe,0x413ee000,0x300004fc,0x7cc081ff,
    0x80ffcc1f,0x591000fd,0x3fffb6a0,0x1ff980ce,0xff30ffcc,0x401ff983,
    0xfd8000fc,0xf50ffe24,0x02c8801f,0xf8805910,0x207fd43f,0x007fe600,
    0xfb027ec0,0x101fd007,0x1ff98059,0x6440ffcc,0x6ffec002,0xdffc86fc,
    0x3e04ffec,0x07f5000f,0xf9003f70,0x09ffd9bf,0xffd9bff9,0x000fb009,
    0xffb83ff5,0x803ffece,0x7f5003fa,0xd9dff700,0xbdfb07ff,0x009ffdb9,
    0x07fdc433,0xe803df70,0x803fa80f,0xffecdffc,0x0007f504,0x207ffff9,
    0x02efffeb,0x6402ffe4,0x00fc800f,0x5dfffd70,0x77fff5c0,0x800dd002,
    0xfd503ffe,0x32003bff,0x01f9000f,0x37fffaa0,0xfffff701,0x3ee005bf,
    0x803fffef,0xdd72fffe,0x1f901ffd,0x3fffae00,0x003f202e,0x06000880,
    0x90057300,0x0017200b,0x000c000c,0x376002fc,0x90003001,0x002e400b,
    0x04cc0018,0x77764400,0x3b2e001c,0x1ddddd72,0x06000b90,0x00002e40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x0005510a,0x53000aa6,0x01aa8005,0x700d5440,
    0x5400e447,0x2ea6000c,0x4d55540a,0x2aaaa600,0x00002aaa,0x10053066,
    0x55300015,0x530d5400,0x00355105,0x00b20c98,0x5d435510,0x22ffa803,
    0xfa8006f9,0xff5004ff,0x3ff2009f,0x7fd1002f,0xfdacfc80,0x02ffc401,
    0x7fffffe4,0x3fffffe5,0xffffc83f,0x3a207fff,0x3fe201ff,0xf980bfe0,
    0x3ea003fe,0xefa804ff,0x2a01df70,0x3e6001ff,0x2003fcad,0x37e43fe8,
    0xf3037ea0,0x8dfb800d,0x6fdc04fb,0x7ec04fb8,0x4402fd8b,0xffb001fe,
    0x13fa007f,0xabcffe88,0x2affe5dc,0x7e43ffec,0x02aaaaac,0x03fd7fd1,
    0x01fb0774,0x7006baec,0x409f71bf,0x1bf50efa,0x001fe880,0x8013ffee,
    0x6fc81fe8,0x01be6000,0x00000000,0x10000000,0x40188003,0x7c100efd,
    0x7e47fc87,0x88554003,0xc800002a,0x00006d9e,0x00000000,0x00000260,
    0xaa980bf7,0x001be60a,0x4002ae62,0x009aca98,0x200aba98,0x009aca98,
    0x800aba98,0x7d40aba9,0x10ff000f,0x01fe41ff,0x26003c88,0x440aa00a,
    0x54c01efe,0x4c40aa00,0x262000ab,0x731000ab,0x0054c015,0x5c17ee55,
    0x34ffffff,0xffa800df,0x3200dfff,0x05ffffff,0x3ffffff2,0xfffffc85,
    0x3fff205f,0xff905fff,0x7ecbffff,0x221fe003,0x801fe47f,0x3f6006f8,
    0x540ff102,0x02fd802a,0xfff50ff1,0xfa801bff,0x200dffff,0x0dfffffa,
    0xff102fd8,0x3ff613ea,0xf34ecabc,0x67fdc00d,0xd80efeba,0x3baabcef,
    0xabcffe88,0x677ec5dc,0xe883baab,0x5dcabcff,0x55e7ff44,0x007fa5dc,
    0x45fc87f8,0xdf1003fc,0x8817ec00,0x5fff107f,0xf102fd80,0xbacffb8f,
    0xff700efe,0x01dfd759,0xfd759ff7,0x102fd81d,0x1efb80ff,0x401be610,
    0x7f441ff8,0x000ffcc3,0x98201dfb,0x3f6001ff,0xefd8100e,0x307fc100,
    0x7fc79999,0x40efecbb,0xeeeeeefc,0xb0037c44,0x41fe205f,0x6c04fffa,
    0x44ff102f,0x1ff441ff,0x3a20ffc4,0x20ffc43f,0x17ec3fe8,0x4bf37f88,
    0xf9801ff8,0x209f9006,0x02fdc7fa,0x2001ff50,0x3ea005fb,0x1ff5000f,
    0xfa8ff100,0x3ffe6fff,0xfc80bfff,0x46ffffff,0x3f6006f8,0x360ff102,
    0x7ec07faf,0x7e4ff102,0xf90ff504,0xf91fea09,0xfb1fea09,0x7d5fe205,
    0x4c017ee3,0x03ff006f,0x1ff50ffc,0x800ff600,0xfb000ffa,0x01fec007,
    0x4cc47f88,0x267fe6fa,0x3fc80efc,0x36adf100,0x02fd81cf,0x2ff10ff1,
    0x0bf601fe,0x03ff3fc4,0x07fe0ffc,0x07fe1ff8,0x0bf61ff8,0x20fcbfc4,
    0xdf3003fc,0xfb01fe00,0x0177f445,0xd1000ff4,0x3fd005df,0x000ff400,
    0x9be601ff,0x6427e47f,0x9df1003f,0xd89ffddf,0x50ff102f,0xd813ee9f,
    0x7cff102f,0x3e17ec07,0xff17ec07,0x3f62fd80,0x0eaff102,0x3e6005fb,
    0x406f9806,0x7ff4c3fd,0x41ff00be,0x4c3cccc9,0xf00beffe,0x66664c1f,
    0xcc983fe3,0x40ffa3cc,0xf11fe6f9,0x003fc81f,0x7d49fff1,0x440bf60f,
    0xf32fd87f,0x8817ec0f,0xd80df37f,0xb01be63f,0xb01be67f,0x8817ec7f,
    0x00bfa07f,0x7cc037cc,0xb81fe406,0x7c43fffe,0x37fffd47,0x43fffeb8,
    0x7ffd47f8,0xfa8ff16f,0x3fea6fff,0x1fe6f980,0x07f913f2,0x3e0ffe20,
    0x440bf61f,0x3a3fc47f,0x205fb01f,0x80df37f8,0x01be63fc,0x01be67f9,
    0x817ec7f9,0x0bf607f8,0x4c037cc0,0x017ec07f,0xf897ff6a,0x37d4cc47,
    0x897ff6a0,0x7d4cc47f,0x9988ff16,0x077f46fa,0x987f9be6,0x00ff20ff,
    0x2fd83fc4,0x3fc40bf6,0x09f917ea,0xbfc40bf6,0x17ec07f9,0x2fd80ff3,
    0x2fd80ff3,0x3fc40bf6,0x26007f90,0xeeeeeeff,0xfe80ff12,0x45ff5001,
    0x0df300ff,0xff8bfea0,0x7fcdf300,0xe88df300,0x6fecdeff,0x927ec1fe,
    0xdddddddf,0x5fb06f88,0x7f8817ec,0x1fe617ec,0x7f8817ec,0x1fe80ff1,
    0x3fd01fe2,0x3fd01fe2,0x7f8817ec,0x4c01bee0,0xffffffff,0x7c407fe3,
    0x93f2000f,0x0df303fe,0x7fd27e40,0x3fe9be60,0x3ae0df30,0x3e2dffff,
    0x321ff307,0x7fffffff,0x2fd837c4,0x2fd40ff2,0x33333ff1,0x07f903ff,
    0x01ff97ea,0x1ff81ff1,0x7fc1ff10,0x641ff101,0x40bf503f,0x00002ff8,
    0xbf704fc8,0x2a3fc800,0x06f980ff,0xffa8ff20,0x3ea6f980,0x806f980f,
    0x40000019,0x837c44f9,0x413ee2fd,0x3ffea4fc,0x84ffffff,0x49f904fb,
    0x0bf704fc,0x17ee09f9,0x17ee09f9,0x13f209f7,0x3105ff90,0x7c405910,
    0x207fd43f,0xd07fe600,0x26f981df,0xd07fe600,0x46f981df,0x37cc0efe,
    0x22005910,0x86e8002c,0x45fb06f8,0x7fcc1ff9,0x33337f61,0xf986fdcc,
    0x10ffcc1f,0x0ffa87ff,0x7d43ff88,0x21ffc40f,0x7fcc0ffa,0x200ffcc1,
    0xeddfffd8,0x403fa84f,0xffeceffb,0xdcdefd83,0xfe884ffe,0x26fecdef,
    0xfedcdefd,0xeffe884f,0x7446fecd,0x6fecdeff,0x5400fea0,0x37c4003f,
    0x2fd837c4,0x7f66ffe4,0x803fe24f,0xdffc81ff,0xfb84ffec,0x03ffecef,
    0x3fb3bfee,0x9dff703f,0x3f207ffd,0x04ffecdf,0x3bfffaa0,0x800fc82c,
    0x01dfffea,0xbffffff7,0xfffeb805,0x3ffee2df,0x5c02dfff,0x02dffffe,
    0x5bffffd7,0xc8007e40,0xffd8000f,0x7ec1be24,0xefffeb82,0x3602fd42,
    0xfffd704f,0x7ff5405d,0xfea801df,0x75401dff,0x5c01dfff,0x002efffe,
    0x01720020,0x13300060,0x20066000,0x33000099,0x90019800,0x002e400b,
    0x37c43730,0x00c02fd8,0x6fa807fb,0x01800180,0x0c000600,0x00001800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x2aa20055,0x51154001,0x00355003,0xaaa83d30,
    0x80aaaaaa,0x54c14c19,0x9500aa02,0x26055101,0x0154c02a,0x1980cc40,
    0x1771014c,0x01aa8804,0x006aa200,0x15500553,0x95310154,0x055cc135,
    0x017ffc40,0x2001ffa8,0x00efbefa,0x0017ffe4,0xffff03f2,0x881fffff,
    0x90bfe0ff,0x0df107ff,0x7c42ffc4,0x202ff886,0x2004fffa,0xff883ffa,
    0x3e20bfe0,0x04ebcfff,0x10003ff5,0xffa807fd,0x57f4404f,0xfff901fe,
    0x7fdcbfff,0x3fea01ef,0x3fa2004f,0x3bfe6001,0x6c5fec00,0x2ae6202f,
    0xfdaaa86e,0xee80aaad,0xff903f60,0xe80df10d,0xe86f884f,0x237ee03f,
    0xefa804fb,0xfd83ba01,0xfc88d980,0x3fa200ef,0x07fa2001,0x9f71bf70,
    0x01ffe880,0x75579dfb,0x7ff5d447,0x0ff5fb02,0x00000000,0xffff5000,
    0x04fb80df,0x7f7e4000,0x22037c42,0xfd8df101,0x2a000004,0x20000002,
    0x00000000,0x98000000,0xfb8001ff,0xfebfc40f,0xa802a601,0x05554c02,
    0x405554c0,0xffdacffb,0x4013ee04,0xf900ab98,0x06f88df7,0xf105554c,
    0x2602fdcd,0x0aaaaaaa,0x02666654,0x2aaaaaaa,0x80aa60aa,0x5555542a,
    0x5540aaaa,0x0aaaaaaa,0x55555554,0x80aa60aa,0x000bf72a,0x53ea27ec,
    0x0bf604fb,0xffb83fc4,0xf704ffff,0x449fffff,0x3fbb61ff,0x5009f703,
    0x81bfffff,0x222fdafc,0xffff706f,0x4dbe29ff,0x7fe400ef,0x641fffff,
    0x7c07ffff,0xffffffff,0x220fff20,0x7ffffc6f,0x7fc0ffff,0x0fffffff,
    0x7ffffffc,0x0fff20ff,0x07fd5be2,0x6c5fb800,0x6c0ff32f,0xb0ff102f,
    0x9d9579ff,0x9579ffb0,0xf127e49d,0x3ee0df59,0x567fdc04,0x3f20efeb,
    0x1be26faa,0x32af3ff6,0xff1df14e,0x55553003,0x99883fd5,0x555407f9,
    0x20aaadfd,0x6f886ffc,0x56fed554,0x6d5540aa,0x540aaadf,0xaaadfdaa,
    0x221bff20,0x05dfd16f,0x7c47f700,0xfd80ff47,0xfb8ff102,0xefb8101e,
    0x50ffc101,0x7dc1fe5f,0x107fe204,0xe97e47fd,0xfb8df11f,0x3fe2101e,
    0x740002fe,0x01fe201f,0x3f204fb8,0x037c42fe,0x7dc009f7,0x813ee004,
    0x7c42fefc,0x2fbffa66,0x20ff9800,0x827e45fa,0x4ff102fd,0xf1001ff8,
    0x91fe003f,0x7dc0ff4f,0x5413f204,0x7d4bf27f,0x7fc4df15,0xffff8801,
    0x0ff40002,0x5c00ff10,0x3eff204f,0xf7037c46,0x027dc009,0x7e409f70,
    0x437c46fb,0x983fffeb,0x7ec4ffff,0xfd83fcc2,0x7dcff102,0x017ee005,
    0xd97e37cc,0x204fb82f,0x47fe01ff,0x227fe2fc,0x4017ee6f,0x00ffaef8,
    0x8807fa00,0x13ee007f,0x22fdafc8,0x13ee06f8,0x2004fb80,0x2bf204fb,
    0x81be22fd,0x7cc5ffda,0x99ff882e,0xd81ff999,0x64ff102f,0x0ff2003f,
    0x5f337cc0,0x27dc1fe4,0x2fd80ff0,0x467dc5f9,0x400ff26f,0x01df76f8,
    0x8807fa00,0x13ee007f,0x26faafc8,0x13ee06f8,0x2004fb80,0x2bf204fb,
    0x01be26fa,0x4f98bfea,0xffffff50,0x5fb09fff,0x2fd9fe20,0x400bf600,
    0xd83f27f8,0x304fb82f,0x93fd80df,0x7cffc45f,0x4400bf66,0x0017f66f,
    0xff100ff4,0x9027dc00,0x7c47fa5f,0x8013ee06,0x3ee004fb,0x7f4bf204,
    0x3200df11,0x6c13e64f,0xdcccccdf,0x102fd86f,0x0017f4ff,0x3fc005fd,
    0xb81fe8dd,0x80df304f,0xc85f93fc,0x0bfa6fcf,0xff137c40,0x03fd0007,
    0xf7003fc4,0xfa97e409,0x7dc0df15,0x013ee004,0x3f204fb8,0x1be2bf52,
    0x5911fe40,0x7c01ff10,0x8817ec1f,0x800bf67f,0x3fa002fd,0x3fe23f89,
    0xf304fb80,0xf92fd80f,0x26fff885,0xdf1002fd,0x4001ff98,0x1fe201fe,
    0x3204fb80,0x3e27fe2f,0x8013ee06,0x3ee004fb,0xff8bf204,0x4c016f89,
    0xbf5001ff,0x7ec4fd80,0x7e4ff102,0x00ff2003,0x21fbdfc8,0x3bbb65fb,
    0xf10eeeff,0xf91fe80f,0x64dff905,0x0df1003f,0x74001ff7,0x01fe201f,
    0x3f204fb8,0x1be33ee2,0x2e004fb8,0x13ee004f,0x33ee2fc8,0x9bdfb6f8,
    0xe987ffdb,0x5403fd84,0xa81fe46f,0x801bee5f,0x3e2006fb,0x83fea7ef,
    0xffffffff,0x4407fe0f,0x105f90ff,0x037dcdff,0xdfb06f88,0x100ff400,
    0x27dc00ff,0x7fc45f90,0x13ee06f9,0x2004fb80,0x8bf204fb,0xf76f9ff8,
    0x05bfffff,0x20001ffb,0x827dc1fc,0x0bfe24fc,0x0017fc40,0xffd9dff3,
    0x917e2007,0x017ee09f,0x005ff100,0xff300000,0x003fc401,0x17e409f7,
    0xb81bf3f2,0x13ee004f,0x3204fb80,0x37e7e42f,0xf700fecc,0x0fea000d,
    0xff307fe6,0x882ffc83,0x4417fe41,0xdffffb81,0x103f6001,0x0ffa87ff,
    0xf900b220,0x2203105f,0x220b802c,0x3fc406fc,0x6409f700,0x37ffc42f,
    0x5c009f70,0x13ee004f,0x7fc42fc8,0x100ff06f,0x817dc000,0xffecdffc,
    0xdfffd884,0x7ec44fed,0x84feddff,0xf00019fd,0x33bfee0f,0x7d403ffe,
    0x7ffec403,0xf504fedd,0xfbdfd007,0x7f8803ff,0x7ff776c0,0x0bf20eee,
    0xddb1bff2,0x81dddffd,0xeeffeeed,0x7f776c0e,0x3f20eeef,0x886ffc82,
    0x4000005f,0xeb81eff9,0x5402efff,0x02cefffe,0x59dfffd5,0xc8000bf0,
    0xffea85ff,0x0fc801df,0xdfffd500,0x003f2059,0x037fffae,0x67fe6664,
    0x7fffc1cc,0x320fffff,0x46ff882f,0xffffffff,0x7ffffc0f,0x7fc0ffff,
    0x0fffffff,0x3fe20bf2,0x0001a886,0x00ba8800,0x0008000c,0x00e44008,
    0x2015cc00,0x002e4001,0x00b90008,0xfff80088,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1001aa88,0x004c8355,
    0x9800aa60,0x9833002a,0x002a9802,0x1bfffff6,0x8001aa88,0x419802c9,
    0xaa880029,0x00154c01,0x30164193,0x26002983,0x2a000aaa,0x05dc402a,
    0x3bfb6e01,0x1ff4401e,0xd83fe880,0xffa8001f,0xfffa804f,0xf07fc404,
    0x7ffd405f,0x99995004,0x1ffa8079,0x203ff400,0x0bfe0ff8,0x403fe880,
    0x3004fffa,0x207f95bf,0x0bfe0ff8,0xffffff70,0x03df7009,0x5e7fffc4,
    0x777ff44e,0x3fa202fe,0x03fd1001,0xf70017e6,0x5c09f71b,0x404fb8df,
    0x403f60ee,0x04fb8dfb,0x7f440000,0x01bf2001,0x00fd83ba,0xb803fd10,
    0x004fb8df,0xe809fff7,0xd803f60e,0x4ecabcff,0x4c02fdc0,0x0effc88d,
    0x000417ee,0x0fe80000,0x00000000,0x00000000,0x0002ae62,0x00006000,
    0x00000000,0x00001300,0x0407bee0,0x40400000,0x551003fc,0xa80aa600,
    0x9801fd42,0x2aaaaaaa,0x351006a6,0xaaaaaa98,0x1006aa2a,0x3ffea055,
    0x55300dff,0x50555555,0x55555555,0x51006aa1,0x55555305,0x2aa80555,
    0x55555500,0x55401555,0x00ffc402,0x026aaaa0,0x2aaaaaa0,0x5ff70aaa,
    0x200df300,0x6f883ffc,0xff9006f8,0x54ffffff,0x227cc03f,0xfffffffc,
    0xf901bee7,0x759ff70b,0xff901dfd,0xf0ffffff,0xffffffff,0xf901bee1,
    0xfffff90b,0x7fc40fff,0xffff802f,0x100fffff,0x7dc05fff,0xffff8005,
    0x3fe03fff,0x0fffffff,0x4077fff6,0xff9006f9,0xf90df10d,0x559f9005,
    0x27d45555,0x9f90fe60,0xf8555555,0x81ff103f,0x7f441ff8,0xaaacfc83,
    0xdaaa82aa,0x3e0aaadf,0x01ff103f,0x555559f9,0x27ffd405,0x6fed5540,
    0xff500aaa,0x01fe409f,0x7655ffc0,0xb55503ff,0x981555bf,0x4c0efffd,
    0xfdf9006f,0xf886f885,0x803fc805,0x1fd404f9,0x7d400ff2,0xc84fd80f,
    0x90ff504f,0x3ee0007f,0x203fea04,0x07f904fd,0x0ff5fb00,0xb004fb80,
    0x7ec0ff5f,0xc87f8002,0x04fb807f,0x98dfd510,0xf7f9006f,0xfb06f88d,
    0x803fc803,0x17d405f9,0xfe800ff2,0x7c07fcc4,0x907fe01f,0x3ee0007f,
    0x2627f404,0x07f900ff,0x3fd7f880,0x4027dc00,0x203fd7f8,0x7f8002fe,
    0x5c00ff88,0x7fc4004f,0x6401be60,0x3e22fdaf,0xc809f506,0x45f8803f,
    0xf90bee09,0x07fcc007,0x01fe07fb,0x03fc85fb,0x9809f700,0x80ff60ff,
    0x7d4003fc,0x5c009f74,0x74fa804f,0x00bfa09f,0x1fe21fe0,0x30013ee0,
    0x006f98ff,0x44df55f9,0x803fa06f,0x6f8803fc,0x41fb8fea,0x7ec003fc,
    0x3e60df34,0x321fec06,0x9f70003f,0x3e69fb00,0x001fe406,0x03fccbf6,
    0xfb009f70,0x7ec1fe65,0xc87f8003,0x04fb805f,0xffb999dd,0x9006f989,
    0x7c47fa5f,0xc80fee06,0x4eeeeeef,0x64df937c,0x7777e41f,0xff104eee,
    0x3e605fb1,0x321fe406,0x4eeeeeef,0x44027dc0,0x402fd8ff,0xeeeeeefc,
    0x7f47f884,0x809f7001,0x40ff47f8,0xff8006fb,0x00efecbb,0xffb04fb8,
    0xf305dfff,0x54bf200d,0x440df15f,0x3fff206f,0x37c6ffff,0x03f23fff,
    0xfffffff9,0x37f7e40d,0xfd80ff30,0x7ffffe42,0x27dc06ff,0x06fefc80,
    0xffffffc8,0x645fa86f,0x09f7004f,0x27e45fa8,0x20017fc4,0x0bffffff,
    0x9809f700,0x1be60099,0x3ff17e40,0x1fc80df1,0x3a007f90,0x329f9f57,
    0x001fe40f,0x100fffc4,0x41fe80ff,0xf70003fc,0x3ffe2009,0x003fc801,
    0x0ff30bf6,0xfb013ee0,0xf907f985,0xff03105f,0x001df933,0x322013ee,
    0x401be602,0x233ee2fc,0x82fcc06f,0x2fd003fc,0x0fb6f8fc,0x2e0007f9,
    0x01ff805f,0x3fc81ff1,0x009f7000,0xfc802fdc,0x33ff1003,0x003ff333,
    0x7fc409f7,0x1ff99999,0xdbbfffb0,0xfc8ff09f,0x009f7004,0x37cc07f5,
    0x3e22fc80,0xfe806f9f,0xb003fc80,0x27f2bf1f,0x003fc87d,0xf9009f70,
    0x3217ee09,0x9f70003f,0x8027dc00,0xff5003fc,0x9fffffff,0x5409f700,
    0xffffffff,0x3ffaa04f,0x47f82cef,0xfb800ff8,0x200fc804,0x5f9006f9,
    0x806fcfc8,0x03fc84fa,0x265f7f90,0x3fc86ecf,0x009f7000,0xffa87ff1,
    0x0003fc80,0x7dc009f7,0x007f9004,0x333337f6,0xfb806fdc,0x3337f604,
    0x406fdccc,0x3fc00ef8,0x7dc027e4,0x4c05c804,0x85f9006f,0xf006fff8,
    0x2007f90f,0x77fc7efc,0x0003fc86,0x3ee009f7,0x03ffecef,0x2e0007f9,
    0x13ee004f,0x4401fe40,0x07fe00ff,0x3e209f70,0x807fe00f,0x87f803fa,
    0x7dc00ff9,0xff300004,0x45dddddd,0x6ffc82fc,0xfc85f700,0x46eeeeee,
    0x7fe45ffb,0xeeeefc85,0x27dc06ee,0xbfffd500,0x7777e403,0xeed86eee,
    0x00eeeffe,0x7e4013ee,0x26eeeeee,0x27ec05fa,0x77ff776c,0x80bf50ee,
    0x07f204fd,0x27ec1fe0,0x77ff776c,0xf30000ee,0x7fffffff,0x7fc417e4,
    0xc8791006,0x7fffffff,0x3e617fdc,0xffffc85f,0x7dc07fff,0x20030004,
    0xfffffffc,0xffffff87,0x3ee00fff,0xffff9004,0x1fecffff,0x3fe1bea0,
    0x0fffffff,0x6fa807fb,0x3fc00a60,0x7fc0ff98,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20bb8800,0x1aa88000,0x35315440,0x000aa600,0x44006aa2,
    0x593001aa,0x001aa880,0x80aa0aa8,0x2cccca98,0xfb019700,0x800dffff,
    0x15504cca,0x54c00154,0x332ea00a,0x0f32000b,0xb80164c0,0x7fffc43f,
    0x22004ebc,0xbf7003fe,0x3ea00bf7,0x3a2004ff,0x7fd1003f,0x403ff400,
    0x44001ffa,0x701feafe,0x9fffffff,0x2a0df100,0x003ccccc,0x441ffffa,
    0x001feafe,0xe8817fd4,0x002fffff,0x3a001bfb,0x8fff007f,0xeffc88d9,
    0x03fd1000,0x005ffb80,0x09f71bf7,0x2003fd10,0x64001fe8,0x3fd1006f,
    0x1ffe8800,0x3bffff90,0x7f7009f7,0x3ea00000,0x3a2018ae,0x7d4001ff,
    0x833f600d,0x8bfd8008,0x00df9001,0x004013f6,0x00000000,0x00000000,
    0x00006000,0xff980000,0x09f54fff,0x0a981fd0,0x3fd00aa0,0x00000000,
    0x88003fc4,0x0c00fb09,0x0aaa0000,0xa8803550,0x13555502,0x5100a980,
    0x555554c5,0x2a01aaaa,0xaaa9802a,0x01aaaaaa,0x2a600aaa,0xaaaaaaaa,
    0x9fffff91,0x9f5013ea,0x3e205fb0,0x201be607,0xaaaaaaa9,0xaaaa8802,
    0x017fc1aa,0x5302fc00,0x05555555,0xff8804c4,0x01bee02f,0x3ffe0bf9,
    0xfb03ffff,0xfb9be205,0xffffffff,0x05fff105,0xffffffb8,0xff105fff,
    0xfffb805f,0x95ffffff,0x2a9fffff,0x40fec04f,0x0ff102fd,0x7e402fd4,
    0x07ffffff,0xffffffc8,0x001ffdc4,0x80ffff6e,0xfffffffc,0x540bee07,
    0x7fc04fff,0x201ff103,0xffecabff,0xf102fd83,0x666664cd,0xf504ffcc,
    0xcc9809ff,0x4ffccccc,0x809fff50,0xccccccc9,0xffff74ff,0x8813ea9f,
    0x205fb05f,0x13f207f8,0x2aab3f20,0xfef802aa,0x3e61aaae,0x4c02efff,
    0x1fffeffe,0x55559f90,0x817dc055,0x5407fafd,0x04fd80ff,0x21ff21fe,
    0x0df102fd,0xfd81bee0,0x2e0007fa,0x3ebf606f,0x9bee0007,0x54fffff9,
    0x817e409f,0x4ff102fd,0x9cfd9998,0x007f9019,0x817efea0,0x4ffd89fe,
    0x77c4ffa0,0x03fc81ff,0x4417e440,0xe803fd7f,0x007fcc4f,0x81ff10ff,
    0x0df102fd,0x2203ff10,0x0003fd7f,0x3e203ff1,0x10003fd7,0xfffc83ff,
    0x7c09f54f,0x440bf607,0x3fffea7f,0xc81fffff,0x3fd0003f,0x517e60bf,
    0x4bf709ff,0xc84fbafa,0xffb3003f,0x2e9f507f,0x07fcc04f,0x87f807fb,
    0x02fd87f8,0x9fb00df1,0x4fba7d40,0x204fd800,0x009f74fa,0x3aa09fb0,
    0x209f54ff,0x0bf603fa,0x99933fc4,0x019999ff,0xf30007f9,0x3e60bf19,
    0x641ff886,0x2fc5f62f,0xfe801fe4,0x2fd8099c,0x9fb00ff3,0x1fe01be6,
    0x0bf617f2,0x3ea037c4,0xf997ec06,0x037d4007,0x03fccbf6,0x4c01bea0,
    0x3fa09f50,0x440bf600,0x00ff107f,0x32000ff2,0x3e05f89f,0x743fc82f,
    0x87f93e0f,0x5f9803fc,0x3fa3fc40,0x6c7fc401,0xbbff802f,0xfd80efec,
    0xfeeeeeee,0x807fe206,0x00ff47f8,0x2201ff88,0x800ff47f,0xa8001ff8,
    0x405f984f,0x0ff102fd,0x7e401be6,0x04eeeeee,0x777fc5be,0x70ffea1e,
    0xf50fe87f,0x77e43fc5,0x2e4eeeee,0x22fd404f,0xefc804fc,0xffff006f,
    0x3f6017ff,0xffffffff,0x5013f606,0x004fc8bf,0x5fa809fb,0xfd8027e4,
    0x09f50004,0x2fd803f9,0x3ea0ff10,0xffff9005,0x3ee0dfff,0x3dddff13,
    0xf89effa8,0x7d97e40f,0x3ff21be2,0x2e6fffff,0x217ec06f,0xff8807f9,
    0x33ff001f,0x3f601df9,0x2a0df102,0x42fd806f,0x6fa807f9,0x7cc2fd80,
    0x006fa807,0xdf113ea0,0x2205fb00,0x009f707f,0xfd000ff2,0x22017e21,
    0xa82ffffd,0x2fd4bf4f,0x7c401fe4,0x33ff103f,0x003ff333,0x3fc00bf7,
    0x17ec13f2,0xff886f88,0x4cffc401,0x201ff999,0x7c401ff8,0xff99999f,
    0x007fe201,0x7dc4fa80,0x503fc802,0x00ff20bf,0xf3001fe4,0x3002fc4b,
    0x3fe20dfd,0x03fd12fc,0x3ee007f9,0x3fea09df,0x4fffffff,0x2004fb80,
    0x407fc47f,0x0df102fd,0xff5009fb,0x9fffffff,0x54027ec0,0xffffffff,
    0x013f604f,0x7e87f900,0x3209f700,0x005fb04f,0xfc800ff2,0x005fffff,
    0xfa817f44,0x04ffdcff,0x7d4007f9,0x9bfb4fff,0x0dfb9999,0x7c009f70,
    0xfd84fc87,0xfa8df102,0xcdfd800e,0x06fdcccc,0xfb001df5,0xfb99999b,
    0x003bea0d,0x7d45fd00,0x83ff3004,0xff881ff9,0x007f9000,0x3bbbbfe2,
    0x2fe8005f,0x3bfffea0,0x000ff202,0x3fe2f72a,0x7007fe00,0x43fc009f,
    0x17ec0ff9,0x3fe26f88,0x00ff8801,0x3ff107fe,0x401ff100,0x0ffc41ff,
    0xb313bb00,0x000fd8df,0x3fb37ff2,0x2fec424f,0x2007f900,0x02fc43fb,
    0x07fdcc15,0x20037f50,0xa80003fc,0x027ec05f,0x7f8013ee,0x2fd89fb0,
    0x7fe4df10,0x6fffffff,0x4fd80bf5,0x7fffffe4,0x0bf56fff,0x7fe44fd8,
    0x6fffffff,0x3fffff62,0x0017e61e,0x0bbfffae,0x003ffff7,0x777777e4,
    0x2207f46e,0x3e2cccff,0x01ffffff,0x3f2003ec,0x06eeeeee,0xf500ff60,
    0x004fb80d,0x07fcc1fe,0x9be205fb,0xfffffffd,0x807fb6ff,0x7ffec6fa,
    0xb6ffffff,0x46fa807f,0xfffffffd,0xcdba86ff,0x0001ca82,0x179b300c,
    0xffffc800,0x17e67fff,0x97ffffe2,0x002cddcb,0xffc80079,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0059064c,0x50164193,0x22015415,0xb006a62a,
    0x00dfffff,0x00440593,0x40620000,0x06fffffd,0x4c018800,0xfffd802c,
    0x3c8806ff,0x33200f22,0xc88e4400,0x06654001,0x32e04c80,0x403c880c,
    0x03fcadf9,0x3fcadf98,0x3fabfa20,0xfbdfb801,0xcccca805,0x7efdc03c,
    0x0005ff04,0x0fe964c0,0x3ccccca8,0x00fe8000,0xa809fbf7,0x003ccccc,
    0x01df5df5,0x200effd8,0x01fcadf8,0x8007fea0,0xffdfb07f,0xb801fc81,
    0x2e004fff,0xe8804fff,0x3ee001ff,0x4000005f,0x3fa0f53e,0x3ea00004,
    0x00005f8d,0x0bf10a20,0x0007a9f4,0x0effa800,0x77cd7ec0,0x13ffee00,
    0x400efa80,0xfffffffa,0x8fea7f50,0x04c004fa,0x00009800,0xaa800000,
    0x0aaaaaaa,0x20f71bb0,0x200004fa,0x982fbdfa,0x2aaaaaaa,0x2fa8ff00,
    0x01ee3760,0x88001554,0x104c4009,0x00988013,0xc9800cc0,0x70ccffcc,
    0x7453e23f,0x0aaa000e,0x555554c0,0x555542aa,0x0aaaaaaa,0x004d554c,
    0xfffffff8,0xfff300ff,0x0007ee05,0x018dfa80,0xfffffff9,0x311fe00f,
    0x02fff980,0x002fff88,0x00000000,0x3e000000,0x9f12fb87,0xf8800bf2,
    0xffc802ff,0x7c7fffff,0xffffffff,0x7ffec0ff,0x2a00dfff,0xaaadfdaa,
    0xfe804c00,0x7d400004,0x5567e405,0xff002aaa,0x8004c000,0x4004fffa,
    0x403deedb,0x443deedb,0x403d905e,0x703deedb,0x30ffbdd9,0xf33fb3bf,
    0xfffa8009,0xaacfc804,0x55542aaa,0xaaaadfda,0x65d67ec0,0xfb802ffe,
    0x6417a204,0x8000371e,0x5fdeedc8,0x2001fe40,0xeeffeee9,0xdb881eee,
    0x6c01defe,0xd3007faf,0x20ffddff,0x7feeffe9,0x2fd837c4,0xfeeffe98,
    0x777ff447,0xfff707ff,0xb0003fa7,0xf900ff5f,0x13ee0007,0x3ee0bf60,
    0x027dc00f,0x0bf60df1,0x0b7f66bb,0xffefffa8,0x01fe405f,0x3ffffe60,
    0xb82fffff,0x2fffeeff,0x07faff10,0x05037fa0,0x885037fa,0xd05fb06f,
    0x7ec281bf,0x881fe21d,0x8005f909,0x803fd7f8,0xf70003fc,0x205fb009,
    0x27dc05fd,0x3f60df10,0x77fd7f42,0xbff886ff,0xf9017ee0,0x07f80007,
    0xff710660,0x27dd3ea0,0xc8017f20,0x0df1005f,0x0bf90bf6,0x1fe0df50,
    0x4002fcc0,0x809f74fa,0xf70003fc,0x205fb009,0x27dc07f9,0x3f60df10,
    0x986fff42,0x417ec1ff,0x1fe405fa,0x001fe000,0x7ec07fc0,0xfe80ff32,
    0x007fa001,0x2fd837c4,0x7e400ff4,0x3a00ff03,0x2fd8000f,0x3fc80ff3,
    0x009f7000,0x07fc05fb,0x7c409f70,0xfe85fb06,0x3fc3fd85,0x7e405fa8,
    0x04eeeeee,0x20000ff0,0x23fc41fd,0x03fe01fe,0x1000ff80,0xf0bf60df,
    0x05fb001f,0x4bee01fe,0x7c401dec,0xf900ff47,0x09dddddd,0xfd804fb8,
    0xb807fe02,0x41be204f,0x407f42fd,0x41be23fb,0x7fe405fa,0x006fffff,
    0xec9800ff,0x541ffffe,0x8827e45f,0x1fe2007f,0xfb06f880,0xe803fc45,
    0x880ff01f,0x3ffbfd5f,0x3f22fd40,0x3ffff204,0x7dc06fff,0x202fd804,
    0x13ee01fe,0x5fb06f88,0x4fb80fe8,0x2fd41be6,0x0000ff20,0x7fdc00ff,
    0x41ffccce,0x03fcc2fd,0x7fc001ff,0x20df1000,0x007fc2fd,0x07f81fec,
    0x99fcc7f4,0x30bf604f,0x01fe40ff,0xd804fb80,0x807fe02f,0x1be204fb,
    0x03fa17ec,0x07f893ee,0x3fc80bf5,0x803fc000,0x1fd81ff8,0x26667fe2,
    0x7fd01ff9,0x001ff400,0x2ff881ff,0x7e401ff4,0x2e07fd84,0x2fc3f73f,
    0x9999ff88,0x7f901ff9,0x013ee000,0x7fc40bf6,0xf013ee00,0x42ff881f,
    0x44fb80fe,0x2ff441ff,0x0000ff20,0xbf5003fd,0xffa87fa0,0x4fffffff,
    0x0817ff50,0x040bffa8,0xffd117fc,0x40bffa85,0xfc83be60,0x54df107f,
    0x2a09f12f,0xffffffff,0x007f904f,0x36013ee0,0x80df702f,0x17fc04fb,
    0xfe85ffd1,0x7ec4fb80,0x017ffa24,0xd80007f9,0x46fa804f,0x3f61ffd8,
    0xfdcccccd,0x37fff606,0xfffb07ec,0xff70fd9b,0x05fbdf9b,0xfd9bfffb,
    0xaffcffe8,0x443fb07e,0xb01fdbef,0xb99999bf,0x00ff20df,0x6c027dc0,
    0x02ff882f,0x3ee027dc,0x2fdefcdf,0x27dc07f4,0x3bf7bfe6,0x1fe405fa,
    0x3ffe6000,0x7fc41dcc,0x1feffdce,0x7fc01ff1,0x3fffaa01,0x3ffaa05f,
    0xffd505ff,0x2a05f71b,0x445ffffe,0x0fd2effd,0xfff507f5,0x803fe205,
    0x03fc81ff,0xb009f700,0x05ffa85f,0xddffdddb,0xbffd501d,0x0fe85f71,
    0xfea84fb8,0x405f88df,0xeeeeeefc,0x3ffaa006,0xffe981ff,0xf51fc8df,
    0x004fd80b,0x00880011,0x22000110,0x00004400,0x05fa8010,0x77e427ec,
    0x406eeeee,0xefd804fb,0x205fffee,0xffffffff,0x2002200f,0x04fb80fe,
    0x7fe40002,0x007fffff,0x01100130,0x7d403fd8,0x00000006,0x00000000,
    0xfb000000,0xc86fa807,0x7fffffff,0x6c027dc0,0x01ceefff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1c88e440,0x0e447220,0x2a0164c0,0xc98000cc,0x20bb8802,
    0x4c832e00,0x00530a60,0x32000593,0x00cca83c,0x53006200,0x5dc40298,
    0x164c0020,0x20799000,0x30000cca,0x1cc88059,0xcadf8800,0x2b7e201f,
    0x7fd401fc,0x077dc03f,0x803ffa00,0xeacffff8,0xfd5fd104,0x447fe203,
    0x3fea02ff,0x2fec003f,0x0001df70,0x1ff881f6,0x3e205ff1,0x04eacfff,
    0x001fffd4,0x3ee02fec,0x7fd4000e,0x57fdc03f,0xff7004ec,0xfff7009f,
    0xc8dfa809,0x077cc03f,0x980ffb00,0x0effd98e,0x807ffa20,0x07fa0ff8,
    0x1fe46fd4,0x9803fd80,0x5f8000ef,0xfe83fe20,0xfb31d301,0x6fd401df,
    0x36003fc8,0x1df3003f,0x3237ea00,0xffdb883f,0x22003eff,0x02620009,
    0x00330620,0x54400131,0x00088000,0x20200131,0x03306200,0x44001310,
    0xffdb8009,0x0080803f,0x0c400440,0x04c40066,0x40026200,0x7c40cc18,
    0x0003fedf,0x00000000,0x00000000,0x00000000,0x00000000,0x77ff4c00,
    0x00001fff,0x00000000,0x00000000,0x07fe6080,0x3bfb6e20,0x77edc01d,
    0xfdb7100c,0x36e203bd,0x5c01defe,0x7100cefd,0x803bdfdb,0x880cefdb,
    0x443d905e,0x443d905e,0x443d905e,0x743d905e,0x3ffdf13f,0x0e77edc0,
    0x0e77edc0,0x0e77edc0,0x0e77edc0,0x0e77edc0,0x777f6dc0,0xdffd9501,
    0xfddff700,0x3bf605ff,0xfb82ffed,0x82fffeef,0xfffeeffb,0xfdbdfb02,
    0xddff705f,0x3f605fff,0x442ffede,0x445fb06f,0x445fb06f,0x445fb06f,
    0x2e5fb06f,0x3eebea5f,0xfeffe984,0xffd303ff,0x2607fffd,0x3fffeffe,
    0xffdffd30,0x3ffa607f,0x3a03fffe,0x82feeeff,0x2ffeeffd,0x3ee20cc0,
    0x7d44fc87,0x2e20cc0f,0x5c41987f,0x544fc87f,0x220cc0ff,0x44fc87fb,
    0x1be20ffa,0x0df117ec,0x06f88bf6,0x837c45fb,0x6c5f92fd,0x9fd0bf17,
    0xfe81ffa8,0x740ffd44,0x40ffd44f,0x0ffd44fe,0x3fea27f4,0x8105fb81,
    0x1bea0dfc,0x220ff800,0x007f906f,0xff0007fc,0xfc837c41,0x883fe003,
    0x447f906f,0x445fb06f,0x445fb06f,0x445fb06f,0x3a5fb06f,0x47f93e0f,
    0x8bf905fa,0x8bf905fa,0x8bf905fa,0x8bf905fa,0x0bf905fa,0xdf3007f9,
    0x40007fa0,0x413ea1fd,0x3f6004fa,0xa87f6001,0x009f504f,0x09f50fec,
    0x06f893ea,0x837c45fb,0x41be22fd,0x41be22fd,0x2a1fd2fd,0x5f91fe2f,
    0x5f91be20,0x5f91be20,0x5f91be20,0x5f91be20,0x3ee1be20,0x81fdc02f,
    0x764c04fc,0x2e1ffffe,0xeeeeeeef,0xfeec985f,0xec981fff,0x2e1ffffe,
    0xeeeeeeef,0xfeec985f,0x3bee1fff,0x5feeeeee,0x17ec1be2,0x8bf60df1,
    0x45fb06f8,0x25fb06f8,0x7c4fb2fc,0xff00ff46,0x1fe01fe8,0x23fc03fd,
    0xd1fe01fe,0xd83fc03f,0xfd81dfff,0x5c0bf502,0xffccceff,0x3bbbbf21,
    0x7dc4eeee,0x1ffcccef,0x66677fdc,0x3bbf21ff,0x44eeeeee,0xfccceffb,
    0x3bbbf21f,0x224eeeee,0x445fb06f,0x445fb06f,0x445fb06f,0x2a5fb06f,
    0x2fd4bf4f,0x47f807fa,0xd1fe01fe,0x3a3fc03f,0xfd1fe01f,0xb303fc03,
    0x7ec1dfff,0x220bf501,0x21fd81ff,0x3e2005fb,0x221fd81f,0x21fd81ff,
    0x3e2005fb,0x2e1fd81f,0x1be2005f,0x0df117ec,0x06f88bf6,0x837c45fb,
    0xf9ff12fd,0xfb07fa25,0xfb1be205,0xfb1be205,0xfb1be205,0xfb1be205,
    0x201be205,0x3f26fea8,0x2a09f702,0x543fd05f,0xbf5000ff,0x5fa87fa0,
    0x7fd43fd0,0x20bf5000,0x03fea1fe,0x7c40ff80,0x2207fc2f,0x207fc2ff,
    0x07fc2ff8,0xffa8bfe2,0xc84ffdcf,0xc8bf704f,0xc8bf704f,0xc8bf704f,
    0xc8bf704f,0x00bf704f,0x5fb87fc4,0x3ea05fb0,0x20ffec46,0xfa800cfe,
    0x50ffec46,0x1ffd88df,0x540067f4,0x0ffec46f,0x7c0033fa,0x0bffa22f,
    0x7ff445ff,0xfd117fc2,0x222ff85f,0x7fd42ffe,0xff102eff,0x441ff983,
    0x0ffcc1ff,0xff307fe2,0x4c1ff883,0x0ffc41ff,0x98007fe6,0x50bfe27f,
    0x77fc40ff,0x41feffdc,0xccbdfff9,0x33bfe20e,0x221feffd,0xeffdceff,
    0x6fffcc1f,0x3e20eccb,0xfeffdcef,0x5efffcc1,0x7fdc0ecc,0x42fdefcd,
    0xdefcdffb,0x66ffdc2f,0x7dc2fdef,0x2fdefcdf,0xb800dfd4,0x3ffdcdff,
    0xfb9bff70,0x37fee07f,0xf703ffdc,0x07ffb9bf,0x3f737fee,0x999dd03f,
    0xffb89ffb,0x402ffdcd,0xc8dfffe9,0xfffd881f,0x7f4c0eff,0x41fc8dff,
    0xc8dfffe9,0xfffd881f,0x7f4c0eff,0x81fc8dff,0xefffffd8,0x8dffea80,
    0xffea82fb,0xea82fb8d,0x82fb8dff,0xfb8dffea,0x54003ec2,0x401efffe,
    0x01efffea,0x0f7fff54,0x3bfffaa0,0x7fff5401,0x3fff601e,0xfd502eff,
    0x44003dff,0x01310000,0x08800110,0x00131000,0x26200011,0x80011000,
    0x00440008,0x0f200220,0x20003000,0x00030001,0x000c0006,0x18002666,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0b32e600,0x02641970,0x429803b8,0x02c98029,
    0x95079900,0xcb800019,0x00260000,0x42981e64,0x44722029,0x1cc8801c,
    0x66400b32,0x02620003,0x00082ee2,0x0f221e64,0xb0008800,0x01dfffff,
    0x07fabfa2,0x880ffea0,0x05ff11ff,0x001fffd4,0xefb817f6,0x07f60000,
    0x52666654,0x0bfb009f,0x7fc47fe2,0xf95bf102,0x6c7fb003,0x0bfb004f,
    0x442fc800,0x4eacffff,0xf10bfb00,0xfff5000d,0x86fe407f,0x3a204fd9,
    0xff3001ff,0xd07fc407,0x237ea03f,0x7fb003fc,0x001df300,0x7e407f60,
    0x07f27fff,0x7c407fb0,0xb807fa0f,0xfc804fff,0x6c00ff23,0x0551003f,
    0xb31d30fd,0xfb001dff,0x001be207,0x5ffb9ff5,0xdf303fe0,0x40009880,
    0x01010029,0x200660c4,0x26200098,0x03fb0000,0xf9fe6662,0x8004c406,
    0x09880080,0x00983300,0x4c001310,0x8027c46f,0x01310008,0x360037c4,
    0x2217ee2f,0x005fa86f,0x00000000,0x00000000,0x01fd8000,0x00267f88,
    0x00000000,0x00000000,0x00986f98,0xf1000000,0x20ff800d,0x45f986f9,
    0x36e01ffa,0x5c01eefe,0x2e03deed,0x5c00cefd,0x5c00cefd,0x5c00cefd,
    0x2a00cefd,0x01ffdeec,0x2e007f88,0x881eefed,0x01defedb,0x00e77edc,
    0x00e77edc,0x3bdfdb71,0x200df300,0x43d905e8,0xd98cefda,0x4dbe20df,
    0x5fd03eed,0x2fcc27dc,0x7f403df7,0x302feeef,0x0ffddffd,0x3ffb7bf6,
    0xfdbdfb02,0x37bf605f,0xdfb02ffe,0xd885ffdb,0x1fffefff,0xd007f880,
    0x05fdddff,0xfffddff7,0xfdffd305,0x3fa607ff,0x703fffef,0x5fffddff,
    0x1006f980,0xf8bf60df,0xdefeffde,0x3ebbe26f,0xfc85ffef,0xf301ff56,
    0xb803fe2b,0x3fa0105f,0x27e4140d,0x9f903fea,0x7e40ffa8,0x3207fd44,
    0x907fd44f,0x01fe85bf,0xfb807f88,0x88330105,0x44fe87fb,0x4fe81ffa,
    0x0cc0ffd4,0xf301fee2,0x41be200d,0xffb0a2fd,0x7fc4bf21,0x83ff30cf,
    0x01efeff8,0x01fe2bf3,0x7e4007f9,0x20df1005,0x41be23fc,0x41be23fc,
    0x41be23fc,0x20ff13fc,0x7f8801fd,0x0003fc80,0x2fd41ff0,0x2fd45fc8,
    0x7c005fc8,0x01be600f,0x2fd837c4,0x4fa97ee0,0x9f709ff1,0x980bffb0,
    0xb813fe5f,0x3fd002ff,0x5413ea00,0x5413ea4f,0x5413ea4f,0x5413ea4f,
    0x3609f74f,0x07f8801f,0x0002ffb8,0x0bf21fd8,0x0bf237c4,0x360037c4,
    0x01be601f,0x2fd837c4,0x4f98fea0,0x97e60ff1,0x11ffefe8,0xf32fccff,
    0x3ff601bf,0x03fe01df,0x77777dc0,0x3ee5feee,0xfeeeeeee,0x3bbbbee5,
    0x3ee5feee,0xfeeeeeee,0x3f607f95,0x007f8801,0x803bfffb,0xffffeec9,
    0x7f807fa1,0x0ff00ff4,0x3fffbb26,0x01be601f,0x2fd837c4,0x3bfbb6e2,
    0xdf15feee,0x4fd9be60,0x4df31dfb,0x77f4c5f9,0xdfffb300,0x2007f881,
    0xeeeeeefc,0x3bbf24ee,0x24eeeeee,0xeeeeeefc,0x3bbf24ee,0xb4eeeeee,
    0x007f605f,0xd9801fe2,0xfb80efff,0x1ffcccef,0x47f807fa,0x21fe01fe,
    0xfccceffb,0x01be601f,0x2fd837c4,0x3bf73ffa,0xdf12cccc,0x3fc5be60,
    0x997eb7fa,0x04fe885f,0x7c37f544,0x0bf7000f,0x7002fdc0,0x2fdc00bf,
    0xfd04fc80,0x00ff1003,0x88dfd510,0x21fd81ff,0x8df102fd,0x8df102fd,
    0x1fd81ff8,0x4401be60,0x2a5fb06f,0x8813ea5f,0x26bf506f,0x7fffc46f,
    0x7cc17e62,0x81ff1006,0xff5003fe,0x03fea001,0x8007fd40,0xfb800ffa,
    0x801ffb85,0x220007f8,0x417ea0ff,0x413f21fe,0x827e45fb,0x82fd45fb,
    0x1be601fe,0x7c40ff80,0x7d45f92f,0x641be206,0xf50ff33f,0x82fcc1ff,
    0xff3006f9,0x0817ff50,0xd000cfe8,0x3fa0019f,0x19fd000c,0x2a1ff880,
    0xf8801fff,0x1fe60007,0xffd88df5,0xf307fe21,0x41ff883f,0x37d41ff9,
    0x9807ff62,0x8bfe006f,0x7f72ffe8,0x4407ffa2,0x7c6fa86f,0x0fff543f,
    0x37326bf3,0x667742ff,0xfb04ffdc,0x30fd9bff,0xd997bfff,0xbdfff981,
    0x7fcc0ecc,0x40eccbdf,0xccbdfff9,0x3b7ff60e,0x8801fccf,0xccee807f,
    0x7c44ffdc,0xfeffdcef,0x6e6ffdc1,0xbff703ff,0xf107ffb9,0xfdffb9df,
    0x0037cc03,0xbdf9bff7,0x3b3be25f,0x1dccffbe,0xfb99dff1,0xceffa83f,
    0x30efefff,0x3bffe6bf,0xfffffd82,0x7ff5402e,0xffb105ff,0xb101dfff,
    0x01dfffff,0xdfffffb1,0xffffb101,0xeffc81df,0x33203f93,0x1cccffcc,
    0xefffffd8,0xbfffd302,0xfd503f91,0xea803dff,0x2601efff,0xfc8dfffe,
    0x3bbfe601,0xea82eeee,0x22fb8dff,0xff90efeb,0x7fedc3ff,0xfd500def,
    0x17fa3bff,0x33300088,0x00110001,0x310004c4,0x004c4001,0x01001310,
    0xffffff80,0x26603fff,0x00110009,0x00c00060,0x26000220,0xffffffff,
    0x04002203,0x00080098,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x39910000,0x5dc41664,
    0x06654020,0x04177100,0x154402a6,0x81e665cc,0x003911c8,0x64c03cc8,
    0x99999102,0x4c298001,0xefedb882,0x6666541d,0x99999504,0x7ed53a20,
    0xc832e01c,0xfdaa7444,0x3ffee01c,0x079104ff,0x19dfb700,0x7ec7fb00,
    0xcffff884,0x1df704ea,0x9ffff100,0x817ec9d5,0x3ff626f8,0xbf107fff,
    0x6c003f95,0x7ffd405f,0xfffff983,0x47fe2001,0x7fdc2ff8,0x322fffee,
    0xf907ffff,0x3e20ffff,0x4ffeefcd,0x3fd5fd10,0xeefcdf88,0x999304ff,
    0x1be20599,0xfdbdfb00,0x91fe405f,0x263a607f,0x2600effd,0x474c00ef,
    0x360effd9,0x64df102f,0xb8060bef,0x36004fff,0x46fd403f,0xe99983fc,
    0x3fe2001f,0x83307fa0,0xff107fb8,0x1fe66620,0xf51fffc4,0x3ffa201f,
    0x23fff881,0x40000ffa,0x4fffffff,0xff513f20,0x01306601,0x31000880,
    0xb0110001,0x4dbe205f,0x988000ff,0x00262000,0xe8033062,0x0808001f,
    0x4407fc00,0x07f8807f,0x3ff07ff1,0xf8804c40,0x001ff83f,0x667fe640,
    0x20df102c,0x000003fc,0x00000000,0x6f8817ec,0x00000df5,0x80000000,
    0x000001fe,0xf103fb00,0x07f8808f,0x0bf60ff1,0xb07f8800,0x3bf6e05f,
    0x00df101c,0x27d413ea,0x0f6417a2,0x02f7775c,0x817bbbae,0x39fb54e8,
    0xdf102fd8,0xeb800ff2,0x75c05eee,0x75c05eee,0xfd005eee,0x7775c003,
    0x7764c05e,0xf881ffff,0xff103d57,0x7ec1be20,0x7ed53a22,0xd837c41c,
    0x77ff4c2f,0x6f883fff,0x3bee02a6,0x5feeeeee,0x2fd837c4,0x07ffffc8,
    0x03ffffe4,0xfddf9bf1,0x8817ec9f,0x4007f96f,0x407ffffc,0x407ffffc,
    0x007ffffc,0x7e4003fd,0x3ee07fff,0x1ffcccef,0x0efeff88,0xdf107f88,
    0xdf88bf60,0x24ffeefc,0x85fb06f8,0x0ffd44fe,0x3ff63be2,0x3bbf20cf,
    0x44eeeeee,0x05fb06f8,0x22007f88,0x3ffe207f,0x7ec3fea3,0x3f2df102,
    0x0ff10003,0x1003fc40,0x07fa00ff,0x883fc400,0x81fd81ff,0x2202effb,
    0x20df107f,0x3ffe22fd,0x7c43fea3,0x7d45fb06,0xf88bf905,0x6febbfee,
    0xf10017ee,0x100bf60d,0x3fc400ff,0xff07ff10,0x7c40bf63,0x20007f96,
    0x3e2007f8,0x01fe2007,0x3fea0ff4,0x541fe201,0x543fd05f,0xf8807ffe,
    0x360df107,0x20ffe22f,0x20df11ff,0x40bf22fd,0x77fc46f8,0x7d43fe20,
    0x1be2000f,0x3e2017ec,0x81fe2007,0x25fb07f8,0x2df102fd,0xf10003fc,
    0x03fc400f,0x3a00ff10,0x02fffc1f,0x1bea0ff1,0x3ee3ffb1,0xf8807fbf,
    0x360df107,0x6c1fe22f,0x360df12f,0xf807fa2f,0x740ffc47,0x0033fa1f,
    0x2fd837c4,0x1003fc40,0x837c40ff,0x205fb2fd,0x007f96f8,0x8801fe20,
    0x1fe2007f,0x3fa0ff40,0x41fe205f,0xffdceff8,0x3e2751fe,0x107f8807,
    0x88bf60df,0x225fb06f,0x745fb06f,0xf11fe01f,0xf98bf60d,0x0eccbdff,
    0x2fd837c4,0x1003fc40,0x837c40ff,0x205fb2fd,0x007f96f9,0x8801fe20,
    0x1fe2007f,0x3660ff40,0x81fe200d,0xc8dfffe9,0x807f881f,0x0df107f8,
    0x06f88bf6,0x41be25fb,0x40bf62fd,0x837c46f8,0x7fec42fd,0x7c40efff,
    0x8805fb06,0x1fe2007f,0x5fb06f88,0xb7d40bf6,0xf10003fc,0x03fc400f,
    0x3a00ff10,0xff10001f,0x2f441100,0xf8807f88,0x3e200007,0x2005fb06,
    0x413f21fe,0x837c45fb,0x3f6202fd,0xf103fe01,0x07f8805f,0xf881fe20,
    0x3f65fb06,0x3f29fb02,0x0ff10003,0x1003fc40,0x07fa00ff,0x003fc400,
    0x7f8807ec,0x1007f880,0x837c4059,0xff8802fd,0xf307fe20,0xb06f883f,
    0x027cc05f,0xffe88bfe,0x003fc402,0x37c40ff1,0x25fb2fd8,0x90fffcda,
    0x3e20007f,0x01fe2007,0xfd007f88,0x1fe20003,0x4403fe00,0x07f8807f,
    0x7c407f50,0x9805fb06,0xdffb85fd,0xf883ffdc,0x5c05fb06,0x6ffdc03f,
    0xc82fdefc,0xcccffccc,0x7fe66641,0x1be21ccc,0x52fd97ec,0x7e43bfff,
    0x33332003,0x641cccff,0xcccffccc,0x7fe66641,0x99951ccc,0x80799bff,
    0xccffcccc,0x5ffc801c,0x99ff9999,0x3f333239,0xf901cccf,0xd837c401,
    0x3bfea02f,0xdfffd500,0x6c1be203,0x3bfe202f,0x37ffaa02,0xfff82fb8,
    0x43ffffff,0xffffffff,0x6c1be23f,0xfc80402f,0x3fffe003,0x7c3fffff,
    0xffffffff,0x7fffffc3,0xfffb3fff,0x80bfffff,0xffffffff,0x2573003f,
    0xffffffff,0xffffff3f,0x17207fff,0x3f60df10,0x800f6a02,0xb06f8801,
    0x0ba8805f,0x00000880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb80,
    0x55554404,0x0cb82aaa,0x79900132,0xbfb70eb8,0x99065c03,0xfffffb80,
    0x101cdb84,0x102ca879,0x102ca879,0x02ae6079,0x20557530,0xaaaaaaa9,
    0x02a98801,0x00035751,0x82f44799,0x49f700ed,0x7ddb34e8,0x30059300,
    0x20599999,0xffffffd8,0xafe886ff,0x3f6001fe,0xefc9fc85,0xfd101fff,
    0xc9803fd5,0xdd82cccc,0x31fc80ff,0x3f20bffd,0x20bffd31,0x7ffcc1fc,
    0xfff904ff,0xffc87fff,0x104fffff,0x88dffff7,0x1efffffc,0xf88bfb00,
    0xf101fd06,0x2b7e25ff,0x405ffeff,0x00000ffe,0x7fcd6ff4,0xfd102aaa,
    0x1fec003f,0x322fefc8,0x3ffa205f,0xfb000001,0x3aa4fa83,0x24fa85fa,
    0xfa85faea,0x5cdffd44,0x9abb84fe,0x3f21ffdb,0x81aaaaac,0x2acdfff9,
    0x6d4df7ec,0x1fec00ff,0x0fe837c4,0x3e23fff0,0x3ff30cff,0x0003fec0,
    0x0ff17ee0,0x10004c40,0x0ffe4013,0x13101be6,0xff900000,0x880ee88b,
    0x4077445f,0x077445f8,0x1ff10bfa,0xfc93fa00,0x07ff1001,0xff80ff88,
    0x44026202,0x201fd06f,0x13fe22c9,0x0a8813ee,0x19dfb700,0x07f81ff0,
    0xc8000000,0x005e883f,0x3fb6e200,0xfda981de,0x7c40bf23,0xf8817e45,
    0x3ea17e45,0x2009f705,0x007f25fb,0x7c401fe4,0x0005fb06,0x0fe837c4,
    0x4c1fe200,0xfb00005f,0x4c5ffdbd,0x6c07f86f,0x6eeeeeee,0xbfb70eb8,
    0x4002fc83,0x3bfb70eb,0x3fbbfee0,0x7e4cc2ff,0x7c409f34,0xf8813e65,
    0x3f213e65,0x006fe982,0x00fe45f9,0x3fa007f8,0x3a23fc42,0x8839fb54,
    0x001fd06f,0x6f9837c4,0x7777776c,0x544fc86e,0xf09f50ff,0xffffe80f,
    0x9fc87fff,0x21fffefc,0x7e4002fc,0x1fffefc9,0x3fdc4198,0x7f43bffe,
    0xfe97e200,0xfe97e200,0x7dc1fd80,0xef9807ff,0x8066bf20,0x135515f9,
    0xf519ff50,0xfcdf887f,0x3e24ffee,0x4001fd06,0x8df306f8,0xfffffffe,
    0xfc837c47,0xdff07f73,0x3fa007dd,0x22fefc83,0x00bf25fc,0x645fdf90,
    0x07fc005f,0x017e4133,0x802fc84c,0x3a05f909,0xf3dfb10f,0xbfddd10f,
    0xbfffff90,0xffeefa85,0xff982fff,0xff881fff,0x443fea3f,0x001fd06f,
    0x4fa837c4,0xfa87fd00,0x3f29f504,0x4fffff83,0xf905fc80,0x326f983f,
    0x7fe4002f,0x20037cc1,0x17e601fd,0x800bf300,0x23fe05f9,0x1ff0dff9,
    0xcfffff98,0x3f7332a0,0x37fee2ff,0x41ffca9b,0x83ffffd8,0x1ff83ff8,
    0xff981ff1,0x7c45b501,0x9007f906,0xdddf70bf,0x2ebfdddd,0x4007f83f,
    0x7f900efa,0x17e4bd10,0x220ff200,0xfdd9305e,0x7f403fff,0x007f4000,
    0xfe803fa0,0x03fc3ffc,0x64037ecc,0x6413ee7f,0x233fa65f,0x3fc45ffc,
    0x5ff12fd8,0xf80fff44,0x88df11ff,0xefa806fb,0xeeeefc80,0x9f74eeee,
    0x7cc00ff0,0x00bf201f,0x320017e4,0x7fdc002f,0x01ffccce,0x0b3265f7,
    0xdec8afb8,0x64cbee02,0x07bff62c,0x7f400ff1,0xb8ffc402,0x7cdf304f,
    0x117fcc2f,0x44bf60df,0xbefcdfff,0x3ffe82ef,0xff99dff1,0x1ff9803f,
    0x2a00bf70,0x1007f86f,0x2fc805fd,0x8005f900,0x3e2002fc,0x881fd81f,
    0x413ffa5f,0xfd9f55f8,0x7f4bf103,0x2037f24f,0x3f2005fa,0xf52fe803,
    0x7cdfe20b,0x7c4bf905,0x3e25fb06,0xfb0dffee,0x227ff309,0x0dffffff,
    0x5017f440,0x3fe001ff,0xfd803fc1,0x002fc804,0x017e4000,0x3fa0bf50,
    0x7f90fe81,0x083fa09f,0x21fd05f7,0x3e64fbfc,0x4005fb06,0x7fc401fe,
    0x3ea0ff10,0x3ee09f75,0x7ec1be25,0x0022df12,0x5be23ff0,0x13f60008,
    0x20033fa0,0x01fe0efc,0x7e401bee,0x02c88002,0x2a002fc8,0x0ffec46f,
    0x4e7ccfee,0x883fb84f,0x99fdc0fe,0x7f44f9cf,0x7003fd43,0x4fd880df,
    0x3fa227ec,0xfd01ff52,0xfd837c47,0x2000df12,0x01be26fb,0x4c01bee0,
    0xeccbdfff,0x337ffa20,0x4c4eeeff,0x5f9000ff,0x007f5000,0x7c4005f9,
    0xfeffdcef,0xefd9be21,0x1be23efe,0xdf107be6,0x1f7f77ec,0xffb9bff3,
    0xfb999b03,0x6666c1ff,0xff985ffd,0x744fecbd,0x6ffcccff,0x2fd837c4,
    0xec800df1,0x01be20ef,0x4001ff30,0xefffffd8,0xffffec80,0x7ffc6fff,
    0x42eeeeee,0xfc8002fc,0x002fc800,0x46ffff4c,0xc87f61fc,0x363efeee,
    0x55ffd41f,0xeec87f61,0x7ec43efe,0xfff01dff,0xffd07dff,0x6c405bff,
    0xb882efff,0x40bfffff,0x25fb06f8,0x6fc006f8,0x4006f883,0xeeeeefff,
    0x004c402e,0xfff00088,0x85ffffff,0x5c8002fc,0x0005f900,0x07f50022,
    0x07f527cc,0x2a9ffff7,0x013e603f,0x00266003,0x06000266,0x22009880,
    0x225fb06f,0x2200005e,0x7ffc005e,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x9800aaa9,0x2aa60aba,0x100aaaaa,0x20001573,0x953103cc,0x0054c135,
    0x04d4c055,0xb80b2600,0xffb8000c,0x32604fff,0x320bd102,0xdeeca81e,
    0x805101dc,0xa80003c8,0xdd10bccc,0x88076c01,0xdfd91002,0xf701dddd,
    0x209fffff,0x5ffffffc,0xfffffff9,0xfffff503,0x2fec001b,0xffffffc8,
    0x7c40bf65,0xfffffb87,0xfffa800d,0x0001fd03,0x05999993,0x7c407ff4,
    0xfd85fb06,0x01fffeef,0x06f880ff,0x3fffa200,0x413f62ff,0x01fe06fa,
    0x3fb37fe2,0x7fec0eef,0x444ecabc,0xdcabcffe,0xd5555535,0xacffb83f,
    0xd800efeb,0x79dfb03f,0x17ec7755,0x67ec7f88,0x00efc989,0x0ff237ea,
    0x000003fa,0x4407ff40,0x645fb06f,0x80ff40df,0x037c407f,0x225bfb00,
    0x6c1fea09,0x201fe03f,0x427e43fd,0xd8101efb,0xe80100ef,0x107fe21f,
    0x098807fd,0xb003ff30,0xb9fe205f,0x40bf503f,0x7f40cc18,0x10000000,
    0x41be2035,0x01ff12fd,0x01fe03fb,0x7c000df1,0x42fe801f,0x1fe00ff8,
    0x1fe21fe0,0x2a003ff1,0x3a0000ff,0x5413f21f,0x7dc0007f,0x205fb005,
    0x4cdf17f8,0x003f91bb,0x4001fd00,0x03d905e8,0x360df100,0x360df72f,
    0xffddd31f,0x223ddddd,0xdf30006f,0xf517ee00,0xffeee98b,0xf11eeeee,
    0xfb8ff10f,0x00ff6005,0x7fc3fd00,0xdb07fe01,0x4ddddddd,0xfd800ffa,
    0x3eeff102,0x22ffff52,0x300baa4f,0x3603fa9d,0xd837c44e,0xbdddd72f,
    0x7ec1be20,0x3f609f92,0xffffff31,0x3e25ffff,0x8039fb56,0xff1005f9,
    0x3e617ec1,0xffffffff,0xf70bfa2f,0x2003fc8b,0x740001fe,0xfb01fe1f,
    0xfffffe85,0x3bfa27ff,0x8817ec02,0xdf11f97f,0x3ea5f823,0xfea7d404,
    0x22077ec0,0x325fb06f,0xf107ffff,0x7ecbf60d,0x3e03fb02,0x7e77c407,
    0x2604ffee,0x4ff6005f,0x07f807f8,0xfdacffa8,0x0017ec0f,0x6664c1ff,
    0x98ff403c,0x01fec06f,0x7f4c3fe8,0x2fd80bef,0x55f6ff10,0x7ccfb03f,
    0xfe9fdc05,0x7c417f60,0xf105fb06,0x6c1be20f,0x3a07f92f,0x880ff01f,
    0x3fea4fff,0x3fffffe0,0xf507ffff,0x3e013eed,0xffdfe807,0x02fe80df,
    0xffa8ff10,0x8ff406ff,0x1fe406f9,0xd702fe40,0x2fd87fff,0x55baff10,
    0x7c4fb02f,0x1fc8ba66,0x817f61fd,0x05fb06f8,0x07fc0ff1,0x27dcbfe2,
    0x7f80ffdc,0x7c1ffc40,0x3f73321f,0x204ccccf,0x801fe9ff,0x127cc07f,
    0x1002fd80,0xfa9988ff,0xf98ff406,0x2017ec07,0xda800efa,0x40bf65ff,
    0x3e2fb7f8,0x27f8dd04,0x743f65fc,0x4405fd8f,0x105fb06f,0x117fc0ff,
    0x3fe25ffd,0x407ffea0,0x83fc407f,0x0bf302fd,0x06fdfc80,0x3ffffff6,
    0x07bea4ff,0xf001fe40,0x01be601f,0x01fe23fd,0x7fcc03fd,0x97fd4001,
    0x2ff102fd,0x737fd0fc,0xfe9fa2fc,0x6ff4fd0f,0x06f8806f,0x0ff105fb,
    0x77e6ffdc,0x33ff62fd,0xf01fdcfe,0xb06f880f,0x017e605f,0x407fff10,
    0xeeeffeec,0x3fffa23e,0x7dc2dfff,0x40ffa006,0x0ff406f9,0x3fe203ff,
    0x005fd100,0x1fe53f20,0x27f55fa8,0x7f37ffd9,0xfcf98fd8,0x7d7f4df3,
    0x837c402f,0x07f882fd,0x5c6fff54,0x9f7fe42f,0x80ff01fd,0x05fb06f8,
    0x360017e6,0x01fe007f,0x3fbbb7f2,0x0bfe24ff,0x4c07fd40,0x83fe606f,
    0x0bf704fc,0x900027ec,0x6413ee7f,0x4111fa4f,0x64fdc0fd,0x74bf6f8f,
    0x402ff98f,0x17fc40ff,0x08803fc4,0x36040dd1,0x403fd01f,0x05fb06f8,
    0x360017e6,0x07fa003f,0xff705fb8,0x1882ffc8,0x3e6077f4,0x37e44176,
    0xff50ffe2,0x101bee01,0xf98ffcc0,0x50ffcc1f,0x07f901df,0x3f2bd7f5,
    0x543fa4fa,0x8bfe01ff,0xf882ffe8,0x01fc8007,0x7ec07f60,0x6c1be204,
    0x00bf302f,0x2000ffa8,0x0bf604fd,0xfb107fc4,0x89fdbbff,0xecdeffe8,
    0xffbdfd6f,0x9dff703f,0x3e607ffd,0x6f7ec00f,0x644ffedc,0x4ffecdff,
    0xebacefb8,0x5fbf304f,0xfe8ff7e6,0x5c07fee0,0xfdefcdff,0x8007f882,
    0x3f6000fe,0x99fff301,0x6c1be23b,0x00bf302f,0x2000ffd4,0x1dccfff9,
    0x17f20dfb,0x677fff54,0xffffd702,0x3fffae5b,0x3ffaa00d,0x3ffe01df,
    0x72eeeeee,0x5bffffff,0x3bfffae0,0x3fff6602,0x3ffe202d,0xfe8bffe0,
    0xa807fe40,0x2fb8dffe,0x99ff9999,0xdff70039,0xa807f600,0xf11ffffe,
    0x4c0bf60d,0x7ffcc05f,0xfd50003f,0x3fe63fff,0x0effeeef,0x19800080,
    0x06000220,0x7fffffc0,0x09982fff,0x04000c00,0xfc8bff00,0x3603fa0f,
    0x802200ef,0xffffffff,0x0571003f,0x4c007b20,0xfd837c40,0x980bf302,
    0x00000cde,0xddd71013,0x0000059d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,0x55544fff,
    0xaaaaaaaa,0x40001530,0x503deedb,0x2aaa2005,0x002a8009,0x0d4c06a2,
    0x0026aaa2,0x0f77f6dc,0x00357310,0x2aaaaaa2,0x55555551,0x2a215555,
    0xa98d4c02,0x02aaaaaa,0x55401554,0xa98099aa,0x554caa02,0x4fb8009a,
    0x666664c0,0x777777c2,0xfb0feeee,0xffd30005,0x3fe0ffdd,0xffffa800,
    0x7f881dff,0x5c17ea00,0x7fffd43f,0xffd01dff,0x2a05fddd,0x01efffff,
    0x7fffffe4,0xfffffff4,0x7f41ffff,0x321ff103,0x7fffffff,0x80bffe20,
    0xfffffff8,0x20fff20c,0xffffb6f8,0xff101bff,0x1f00005f,0x5fb0f802,
    0x81bfd000,0x5001ff02,0xffd975df,0x2007f887,0x87f705fa,0xfecbaefa,
    0x082fdc3f,0xc99cff98,0x77f7c02f,0x55551aaa,0x15555bfb,0x7ec07fcc,
    0x2aab7f23,0x3fea02aa,0x2bfe204f,0x325ffcba,0xb6f886ff,0xffd9759f,
    0x003fff05,0x3bfa1f00,0x02fd87c2,0x2002fe40,0x5fa800ff,0x3e20ffb8,
    0x41deffff,0xeeeeffeb,0x3ea5efee,0x320ffb85,0x0ff6003f,0xbf7f5002,
    0x2013ee00,0x237cc4fd,0xfd8003fc,0x1fe207fa,0x77e43fe2,0xfdb7c42f,
    0x4c0ffb82,0x3bbae02c,0x5c41f05e,0x17ec3e4f,0x0007fa00,0x20b621ff,
    0x4bf905fa,0xfedccff8,0x3ffff23f,0x6fffffff,0x2fe417ea,0x3a005ff7,
    0x9fe8000f,0x09f7005f,0x7f43ff10,0x2001fe42,0x203fd7f8,0x23fd07f8,
    0x7c46fbfc,0x3f605fb6,0xfffc8005,0xf501f07f,0x017ec3e1,0xf0003fe0,
    0x503ff93f,0x89fe60bf,0x21ffa87f,0x87f705fa,0x8ff305fa,0x201dfffd,
    0xcf98007f,0x9f7005f8,0x7d57ee00,0x4003fc85,0x209f74fa,0x64ff07f8,
    0x3e22fdaf,0x3e605fb6,0x3fc40007,0xf1f980f8,0x8800bf61,0xfff8007f,
    0x0bf500cf,0x07f887fc,0x82fd49f9,0x02fd43fb,0xffd981ff,0x007f80ef,
    0x05f89fc8,0x74009f70,0xfc80feaf,0x997ec003,0x90ff107f,0x7d57e49f,
    0x17edbe26,0x40001ff0,0x4c1f07f8,0x361f0fd9,0x42fe982f,0xf91000fe,
    0x7f7401bf,0x8ffc1eef,0x4df507f8,0xaaaaaefa,0x3ffba3fd,0x80ffc1ee,
    0x2aa6fea8,0x02aaaaff,0xeeff8b7c,0x3f732a1e,0x7d403cce,0x9df903ff,
    0xf1059999,0xf881fe8f,0x42ffeeef,0x223fd2fc,0x7c05fb6f,0x3e20001f,
    0x3be21f07,0x17ec3e0d,0x3ee3ffec,0xffffa803,0x7ffffc00,0xf88ff42f,
    0x7d4bf707,0xffffffff,0x3fffffe3,0x2200ff42,0xfffff0ff,0x2e01ffff,
    0xdddff13f,0x7ffffe43,0x6fd805ff,0x3fffff20,0x45fa85ff,0xfff884fc,
    0x322effff,0x3e2bf52f,0x7f405fb6,0xf8800541,0x03e21f07,0x6417ec3e,
    0x5ffcc7ff,0xff3b7040,0x40bf5001,0x20ff11ff,0x2bbea3fe,0x43fdaaaa,
    0x07fe05fa,0x7cccff30,0x2019999f,0x40bf10fe,0x99dfc998,0xffdddd00,
    0x67e43ddd,0xd8099999,0x443fcc2f,0x8ffe447f,0x227fe2fc,0x7c05fb6f,
    0x003ffa1f,0xd07c1fe2,0x0bf61f01,0x3f207762,0xf07ecdff,0x0bf5001f,
    0x3fc43fe2,0xfa83ff26,0xfa87f705,0x3a1ff105,0x3ffdccce,0x3e6007f8,
    0x5c017e25,0xeeee804f,0x321eeeff,0x3ff1003f,0x83ff3333,0x2bf907f8,
    0x233ee2fc,0x2205fb6f,0x5fff10ff,0x3e0ff100,0xfd87c020,0xffd70002,
    0x03fe0bff,0x7dc17ea0,0x3fbbfe26,0x2fd41eff,0x2fd43fb8,0x3ff66fb8,
    0xff02efff,0x7fffe400,0x9f7005ff,0x204fb800,0xff5003fc,0x9fffffff,
    0xdf507f88,0x9ff88bf2,0x2e05fb6f,0x0077ec6f,0x50f83fc4,0x3f61f05f,
    0x3be20002,0x4007fc00,0x3ff885fa,0x37bfffe2,0x2e0bf503,0x442fd43f,
    0x4fc883ff,0xf8803fc0,0x05feeeef,0x33009f70,0x8333bf93,0xbfb003fc,
    0xdfb99999,0x9fb07f88,0xf9f90bf2,0x3e20bf6d,0x2200182f,0x3a61f07f,
    0x05fb0f81,0x401fd400,0x5fa800ff,0x3e237f54,0x417ea007,0x22fd43fb,
    0x3f206fea,0xb803fc01,0x802fc43f,0xfff804fb,0x21ffffff,0xff8803fc,
    0xf887fe00,0xc97fd447,0xb7ffc42f,0x2ffd42fd,0xfcccc800,0x01f1cccf,
    0x3bbf61f0,0x400eeeee,0xeff801fc,0x2a2eeeee,0xdfffeeff,0x5003fc40,
    0x50fee0bf,0xbfffddff,0xdb03f401,0xddddddff,0x3e207f47,0xf702cccf,
    0xfb555009,0x7e41555b,0x405fa803,0x3bfe24fd,0x323fffee,0xb6ffc82f,
    0xbfffdddf,0x7fffc000,0xff3fffff,0xffffffff,0x3ffff61f,0x4c00ffff,
    0xfffff002,0x7fd47fff,0xf101ceff,0x82fd400f,0x7ffd43fb,0x2a801cef,
    0x3fffffe0,0xbf34ffff,0xbfffff10,0x70013ee0,0x01fe409f,0x3ea01fec,
    0x3ffffe26,0x417e40ce,0xfffb6ff8,0x000039dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x2aaaaaaa,0x30157510,0x54aa2015,0xaaaaaaaa,0x55555530,0x0aa23555,
    0x0551154c,0x54c0aa60,0x0350aa02,0x00055d44,0x06a60aaa,0x55543510,
    0x5553019a,0x23555555,0x154401aa,0x55401551,0x55001550,0x009aaaa8,
    0x44005540,0xffffc809,0xffc87fff,0x17ec3fff,0xffff6f88,0x321fffff,
    0xffffffff,0xf10df15f,0x8037cc5f,0x6ff80ffd,0x83f997e0,0x3fffffd8,
    0x50fff700,0x14f9807f,0x7fffffff,0x7ffffdc1,0xdf75ffff,0x7f45fc80,
    0x361ff504,0x237d404f,0x3fffffff,0x00fff540,0x67e427d4,0x6c2aaaaa,
    0x3ffa9adf,0xb7c40bf6,0xaadfdaaa,0x9999950a,0x3e2bfb99,0x7cc3fe86,
    0x87ffb006,0x93e07ffa,0xbdfe82fa,0x4401ffca,0x4fa87fff,0xff89fcc0,
    0x25ffebaa,0xccccccc9,0x40ffe4ff,0x7fcc0ff8,0xf517f441,0x7c3fc80f,
    0x3ffecabf,0x1ffffe98,0xfc84fa80,0x986fa803,0x440bf66f,0x004fb86f,
    0x1be23fd0,0x0df309fb,0xdb1bfba0,0xb93e20fd,0xfc82a81f,0x3fdfec05,
    0x3ea027cc,0xff10ff13,0xa8df7007,0x04fd80ff,0x85fc8bf9,0x07fe01ff,
    0x98ff90ff,0x01ff9dff,0x3fc84fa8,0xfb03fc80,0x7c40bf65,0x8004fb86,
    0xb9be26f9,0x00df305f,0x7c43f3ba,0x7dd547dc,0x1abfdaad,0x2a06f980,
    0xf987f8cf,0xf897d405,0x880bf907,0x44fe81ff,0xff100ff9,0x3603fe65,
    0xf0df304f,0xc81ff10f,0x2a007fe1,0x803fc84f,0x27f702fd,0x0df102fd,
    0xfb0009f7,0xef9b7c45,0x200df300,0x3f73f9ee,0x7fff41fb,0x5fffffff,
    0xf106f980,0xf10ff11f,0x4bee098b,0x0df507f8,0xff304fd8,0x2a01fec1,
    0x503fe8ff,0x20ff20df,0x807f887f,0xeeec81ff,0xcdeeeffe,0x03fd803f,
    0x40bf69f7,0x04fb86f8,0x3e237cc0,0x2601ff8e,0x3adf006f,0x203f6dd6,
    0x001f61fb,0x4bf60bf7,0x26f887f8,0x447ee3fa,0x40bfb07f,0xa7ec06fa,
    0xdfb006f9,0x81ff80df,0xc87f80fe,0x81ff805f,0xfffffffd,0xeeefcfff,
    0x3bea4eee,0xdfb5fc80,0xdfdddddd,0xd8009f70,0x7f7fc42f,0x8037cc02,
    0x27f5f95f,0x20fc80fd,0x3fa2006e,0x3e25fa82,0x37e4df07,0x21fe23f9,
    0xff102ff8,0xd8ff8803,0xfff1002f,0x4c4fd803,0x977ff06f,0xff001dfd,
    0x909f5003,0xdfffffff,0xfdccffe8,0xffffb4ff,0x70dfffff,0x37cc009f,
    0x017fffc4,0xafc01be6,0x3f90fff9,0x005f8f90,0x07f417f6,0xf9be0ff1,
    0x221f91ff,0xffdb99ff,0x4013f605,0x4006fefc,0x7d400ffe,0xff81fe46,
    0x000bffff,0x9f5003ff,0x64007f90,0x3fccfffe,0x1be205fb,0xfd8013ee,
    0xffaef882,0x201be600,0xc97fa5f8,0x27c7d81f,0xc80efc80,0xe83fc42f,
    0x329f9f57,0xfffff10f,0x37d407ff,0x03fff100,0x02fffdc0,0x01fd0ffc,
    0x3bf267fe,0x003ff000,0x07f909f5,0x365f9000,0x70df102f,0x1be6009f,
    0x0efbb7c4,0xf100df30,0x3f917dcb,0x3bbffbaa,0x3206effe,0x9ef980ef,
    0x99ff9999,0x7c7e5fa0,0x67fc4fb6,0x3e2009ac,0x2fdc001f,0xff3ff300,
    0xf33fd805,0x3f23fc0d,0x003ff004,0x07f909f5,0x361fd000,0x70df102f,
    0x0ff6009f,0x0bfb37c4,0x3e601be6,0xc997e405,0xdfdccefc,0x01df904c,
    0x3fffffee,0x364fffff,0xb3f95f8f,0x2003fc4f,0xfb8004fd,0x5cffa004,
    0x5bea00ff,0x11fe03fb,0x3ff001ff,0xf9059300,0x3fc80007,0x37c40bf6,
    0x7cc027dc,0xf89be207,0x806f983f,0x17dc04f9,0x02fa93e2,0xc9803bf2,
    0xffcccccc,0x3eff22cc,0x44dd9f32,0x3bea007f,0x04fb8000,0x4fe8df70,
    0x07f47fc0,0x09f90ff0,0x80003ff0,0xb30003fc,0x102fd8df,0x009f70df,
    0x37c407fb,0xdf307fe6,0xb809f300,0xf727c43f,0x003bf203,0xf907f880,
    0x26eff8fd,0xff1007f8,0x13ee0003,0xf30bfe20,0x7e7ec03f,0x7cc3fc06,
    0x40ffc00f,0xccccccc9,0xeeefcacc,0x776c6eee,0x7ec0cfff,0x3b6df102,
    0x0eeeffee,0xf1007fcc,0x4c1ff70d,0xeeeeeeff,0xfb809f52,0x1f91fcc3,
    0xffffff30,0xf100dfff,0x917fee0f,0x03fc4bff,0xffffffc8,0x3ee06fff,
    0x905fd804,0x7ffd40df,0xfd83fc03,0x7ff776c4,0xfff73eee,0x99ffffff,
    0xffffffff,0x01cdefe8,0x5be205fb,0xffffffff,0x201fec0f,0x4dfb06f8,
    0xfffffff9,0xb809f53f,0xf917d43f,0xfffff301,0x100dffff,0x0bfee0ff,
    0x3fc4bff3,0xfffffd80,0x2e06ffff,0x07fdc04f,0x3e04ff88,0x83fc00ff,
    0x3ffe0ff9,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaa0,0x910aaaaa,
    0x88005c01,0x0000720d,0x19dfb500,0x8801bfb3,0x76dc400a,0x36e01def,
    0xdb700cef,0x6dc03ddf,0x17a23dee,0x3b6a0f64,0x201bfb13,0x901cefdb,
    0x837aa0bd,0xeeeeeeed,0x7edc3ae6,0xdaa7441d,0x077441cf,0x0baa1db0,
    0x3ffe9d30,0xffffffff,0x3ea09fb0,0x33ff9806,0xf50007ff,0xffdef809,
    0x406fdefe,0x7fdc07fe,0xd82fffee,0x42ffedef,0x2feeeffe,0xfeeffe98,
    0x7ec1be27,0x2ffbfea2,0x74c6fefe,0x83fffeff,0x7fc43ff8,0x7fffff42,
    0x327f27ff,0x221fffef,0xffeefcdf,0xfa81fec4,0xf5013ea6,0x3f6aaaa9,
    0xf10aaaad,0xff37975f,0x42ffb803,0x54004ff9,0x3f61404f,0x7405f90f,
    0x220cc07f,0x227e47fb,0x0bf70ffa,0x5037fa02,0x2fd837c4,0x97ff43fa,
    0x513fa1fc,0x3ff303ff,0xfd0027ec,0x917f7e47,0x1fffc4bf,0x37d41ff5,
    0x17e63fd8,0x3ee07f70,0x7fffd404,0x7e403fff,0x1bfd101e,0x0013ea00,
    0x027d4bf7,0x7c000391,0x320df10f,0x2007f93f,0x6f8805fc,0x93e65fb0,
    0x553e67fb,0x20bf905f,0x00df56fc,0x3ff22fe4,0xff137cc1,0xff83ff07,
    0xf107fc41,0x3f9174cd,0xf1013ee0,0x05ff939f,0x2003bf62,0xfa800efd,
    0x31fd4004,0x8000009f,0x209f51fd,0x05ff74fa,0xf1003fd0,0x7d4bf60d,
    0x4f89bea3,0x1be205f9,0x00ffcfe8,0xfc81df50,0x3e25e883,0xfc85fb07,
    0x3fc27dc4,0x807ecbf9,0x2fdc04fb,0x3fa217f2,0x0ffdc004,0x37ee6666,
    0x6dc41999,0xfeeeefee,0x26666665,0xc9819999,0x71ffffee,0xdddddddf,
    0x6fffecbf,0x1001ff01,0x5cbf60df,0x3bbfe62f,0x403fd5fe,0x3ffe207f,
    0x03ff3002,0x3e2005f9,0xf885fb06,0x3f40ff47,0x81fa1ffd,0x17ec04fb,
    0xbff11fe6,0x87fee000,0xffffffff,0x3ffa1fff,0xccccefdc,0x3fffffe2,
    0x2e1fffff,0xffccceff,0xdddddf91,0xfd989ddd,0x1fe20eff,0xfd837c40,
    0x7fd45f72,0x3fd3cccc,0xfd103fc0,0x5fd1001f,0x4400bf20,0xb05fb06f,
    0x6c1be65f,0xf3fcf98f,0x2027dc0d,0x43fc42fd,0x4c003ffa,0x666643ff,
    0x0ccccefd,0x027d4bf5,0x33333332,0xff10cccc,0x3ee3fb03,0xfd510005,
    0x8800ff8d,0x2e5fb06f,0xd81fee3f,0x40df102f,0x400efefd,0x0bf204fd,
    0xfd837c40,0x7f95fa82,0x23f27ee0,0x7dc0bf6f,0x2627ec04,0x09fd306f,
    0x200bfee0,0x8bf204fa,0x800006fa,0x23fd05fa,0x20000ffa,0x0ffa0ff8,
    0x3e207fc0,0x7dc7f52f,0x209f900f,0x2df705fb,0x1bee05fd,0x22005f90,
    0x205fb06f,0x500fe8ff,0x2bf2bd7f,0x013ee04f,0x1fec1df5,0x401bfd10,
    0xf5001efc,0xe89fdc09,0x054001ff,0xfd88df50,0x0033fa1f,0x3ea3fcc0,
    0x3fe040bf,0x44bffa22,0x40fffa6f,0x7fcc1ff8,0xf11ff981,0x01ff307f,
    0xf1002fc8,0x640bf60d,0x3e605fdf,0x7fbf32fd,0x22027dc0,0x1fffdfff,
    0x440efd80,0x2a000efd,0x33be204f,0xdccffbee,0x881bf601,0xeffdceff,
    0x37ffe61f,0x9dd0eccb,0xb09ffb99,0x8fd9bfff,0xdefcdffb,0x3fb7f62f,
    0x22dceffb,0xffdcdffb,0x4c3ff883,0x77ffc1ff,0xf92eeeee,0x41be2005,
    0xfff302fd,0x07ffc405,0x7dc05fff,0x7f77ec04,0xf7006fdf,0x017fa23f,
    0xd7013ea0,0x3fff21df,0x01ffa01f,0x91bfffd3,0xfffd883f,0xfffb0eff,
    0x75405dff,0xea85ffff,0x22fb8dff,0xfd34ffe8,0xffea83ff,0x0bfb01ef,
    0xfff83ff2,0x92ffffff,0x1be2005f,0xdfd017ec,0xfc8bff00,0x813ee00f,
    0x09fb06fb,0x1f447ea0,0x00098800,0x26002601,0x0011002c,0x4cc01310,
    0x00440009,0x80880044,0x00018008,0x00000000,0x00000000,0x409f7000,
    0x09f101fb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02027dc0,0x00000010,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4fb80000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54c00000,0x6c5ec0aa,0x201bd52e,0x775c0aa9,
    0x01db05ee,0x400009db,0xcb9801c8,0x0000001b,0x00bddc98,0xdca81326,
    0x0054400c,0x65c416dc,0x4cccc41c,0x4c099999,0x995dc0bb,0x333310bb,
    0x30133333,0x2e002985,0xffff702b,0xffffb89f,0x3fb73e1f,0x445fef9f,
    0x322ffffe,0xfd07ffff,0x900efd81,0x8806641b,0x66fe402f,0x82e40dfd,
    0xd91720eb,0x1fffff90,0xb07ffd98,0x403fffff,0x7fc406fd,0x3fffea0f,
    0x3fffea4f,0xb84fffff,0x54ffa0ef,0xffff90ff,0x885fffff,0x03ff11ff,
    0x2a01bfb0,0x4c3ccccc,0xeff97ee1,0x8fd4efb8,0x0ffb9bfd,0x1fd07f88,
    0xbf502fec,0x446a37cc,0xaec8711f,0x225d88aa,0x077dc5fe,0x21fe47fb,
    0xff11fe40,0x22e60ffb,0xbf504fd8,0x2fff807f,0x3fa21ff1,0x55555512,
    0x3e603555,0x3e67fd0e,0x2eeeeea7,0xfe82febb,0xfb007fa0,0x31000007,
    0xfa97fcdf,0x2fcc3f67,0x1fe20ff2,0x05fd87f4,0x83fd07f4,0xff73f4fe,
    0x33ea7e61,0x3a23f8af,0x881df75f,0x803fa0fe,0x7c45c2fd,0x20bf7007,
    0x5401fd6e,0xa87f52ff,0x2200004f,0x3e65fb09,0x40bf2007,0x04c40080,
    0xfd910000,0xf53fcdff,0x3fa87ec9,0x3fc427d4,0x05fd8fe8,0x07f91fe4,
    0x2ffbfbaa,0x4cb55ae0,0xfefe88b9,0x4cbf300e,0x27ff545f,0xd100ff10,
    0x263f705f,0x43fe204f,0x8a7cc3fb,0x99999999,0x4bf60009,0x3f2006f8,
    0x00000002,0x4cd7e400,0x3fa9fe6f,0x22fcc3f6,0x07f883fb,0x880dfbfd,
    0x101be66f,0x29b03ffd,0x0d70eefa,0xc801ffd1,0xc98bf62f,0xff103ffd,
    0x885fe880,0xc80fec5f,0xf917e65f,0x3ffffea5,0x2004ffff,0x00df11fc,
    0x000017e4,0x9be00000,0xfa9fe6fa,0x7fc43f63,0xf101fd11,0x3febfa0f,
    0xfb17ec02,0xbfbf9103,0xeaae43bf,0xf70b90fa,0x7fc40bff,0x7cc0df10,
    0x540ff107,0x81f904ff,0x3fb226f8,0x6deff40e,0x2eeee66f,0x002bbbbb,
    0x00000000,0xb0000000,0x7cdffdbf,0x0fd8fea7,0x0fffbfee,0x8fe83fc4,
    0x3e202ff9,0xfd03be26,0x43fa67e5,0x29b6a8fa,0x7477dc4e,0x6c5fb05f,
    0x41fee02f,0x7ff707f8,0x13e61333,0x2de99fdc,0x19fffb10,0x7bb50000,
    0xa8373020,0x2aaaa62c,0x3bbbba2a,0xeeeeeeee,0x5c400000,0x9fe3b8bd,
    0x303f63fa,0x7c4039b9,0x3ea1fd07,0xb93ee01f,0x1f884c5f,0x2673bb06,
    0x3bee0fcc,0xfb8bfd10,0xddb17ea4,0xffe85fff,0xff11ffff,0x225fffff,
    0x80004c01,0x3ee00000,0x97dc5fff,0xff31fff8,0x3ffffa3f,0x3bbbba7f,
    0xeeeeeeee,0x80000000,0xfd8fea7f,0x1fe20000,0x3ff707f4,0x1db07f40,
    0xe880be20,0x41fda9be,0x07f440ee,0x5c0fe8dd,0xcb80bdee,0x320ccccc,
    0x01cccccc,0x00000000,0xfd89fe80,0xf30fd88d,0x3ffea7ff,0x99999972,
    0x00000000,0x7777774c,0x1fd4ff3e,0x3bba61fb,0x9993eeee,0x23999ff9,
    0x07fe40fe,0x54400808,0xcefdb800,0x01100880,0x00000101,0x00000000,
    0xf8800000,0x2ffffec5,0x6fe83ffa,0x00000000,0x77774c00,0x54ff3eee,
    0x74c3f63f,0xf3eeeeee,0xffffffff,0x3f603fa7,0x0000000e,0x00000000,
    0x00000000,0x00000000,0xd7035000,0x0202609d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_24_latin_ext_x[560]={ 0,5,3,0,1,0,0,5,3,3,1,0,2,3,
4,1,1,1,1,1,0,2,1,1,1,1,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,2,
1,2,2,1,1,1,1,1,2,2,0,1,0,0,0,0,1,1,5,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
5,1,0,0,2,1,1,3,1,0,2,1,2,3,0,1,1,4,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-3,-2,2,1,0,2,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_24_latin_ext_y[560]={ 17,0,0,1,-1,0,0,0,-1,-1,0,4,13,9,
13,0,1,1,1,1,1,1,1,1,1,1,5,5,4,7,4,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,20,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-3,0,8,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,17,5,-1,1,2,1,
-3,0,0,1,1,5,9,9,0,1,0,2,0,0,0,5,0,8,17,0,1,5,0,0,0,5,-3,-3,-3,-3,
-3,-4,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-2,1,-3,0,1,5,-3,0,-3,0,-3,0,-3,0,-3,-1,1,0,-2,1,-3,0,-3,0,1,5,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-4,1,0,-3,0,-2,1,-3,0,1,0,-3,5,1,0,-3,0,1,0,5,-3,-4,1,
0,-1,-1,1,0,1,0,-3,0,1,5,-3,0,-2,1,5,-2,1,-3,0,-3,0,1,5,-3,0,1,5,-3,0,
-3,0,-3,0,1,5,-3,0,1,1,-3,-1,1,1,-3,0,-2,1,-3,0,-4,-1,-3,0,1,5,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-6,-4,-3,0,-3,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_24_latin_ext_w[560]={ 0,4,8,13,11,13,14,3,8,7,11,13,7,8,
5,11,12,11,11,11,13,10,11,11,11,11,5,7,10,11,10,8,14,14,11,11,12,10,10,12,11,10,9,12,
10,13,11,13,11,14,12,11,12,11,14,13,13,14,11,6,11,7,11,14,8,11,11,11,11,11,13,12,11,10,
10,11,10,12,11,12,11,11,11,10,12,11,13,13,13,13,11,10,3,10,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,11,12,13,
3,11,11,14,9,11,11,8,11,10,9,11,9,8,12,12,11,5,3,9,9,11,13,13,13,8,14,14,14,14,
14,14,14,11,12,12,12,12,12,12,12,12,13,12,13,13,13,13,13,11,13,12,12,12,12,14,11,11,12,12,
12,12,12,12,13,11,12,12,12,12,12,12,12,12,11,12,13,13,13,13,13,13,12,12,12,12,12,13,11,13,
14,12,14,12,14,11,12,12,12,12,12,12,12,12,14,16,13,13,12,12,12,12,12,12,10,11,12,12,12,13,
12,13,12,13,12,13,12,12,13,12,12,12,12,12,12,12,10,11,12,10,11,11,11,11,12,11,11,12,12,10,
10,15,15,12,14,12,10,12,12,11,11,12,12,12,11,11,13,13,13,13,14,13,13,13,14,13,12,11,14,13,
12,12,12,12,11,10,12,12,12,12,13,16,12,12,12,12,12,12,12,12,12,12,14,13,11,11,13,13,14,13,
14,12,12,12,12,12,12,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,14,12,14,13,15,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,11,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_24_latin_ext_h[560]={ 0,18,6,16,21,18,18,6,23,23,11,13,9,3,
5,20,17,16,16,17,16,17,17,16,17,16,13,17,14,7,14,18,22,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,21,16,17,16,17,16,16,16,16,16,22,20,22,9,2,6,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,25,22,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,17,21,16,15,16,
25,20,6,17,12,11,6,3,11,5,9,15,10,10,6,17,20,5,4,10,12,11,17,17,17,17,20,20,20,20,
20,21,16,20,20,20,20,20,20,20,20,20,16,20,21,21,21,21,21,11,21,21,21,21,21,20,16,18,18,18,
18,18,18,19,13,16,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,13,18,18,18,18,18,22,22,22,
19,17,20,18,21,17,21,18,21,18,21,18,21,18,20,19,16,18,19,17,20,18,20,18,21,17,20,18,21,22,
21,22,21,22,21,23,20,21,16,17,20,17,19,16,20,17,21,22,20,12,17,22,21,22,21,22,12,20,21,21,
22,18,18,16,17,16,17,20,17,21,17,20,17,19,21,17,20,17,21,18,21,18,17,13,20,17,21,17,20,17,
21,18,21,18,20,16,21,18,21,21,20,19,16,17,21,18,20,17,21,18,22,19,21,18,21,17,20,17,20,22,
20,20,17,20,17,20,17,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,23,22,20,18,23,20,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,21,17,21,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_24_latin_ext_s[560]={ 254,249,197,97,119,238,241,251,48,24,69,
49,158,214,208,140,136,232,111,149,123,161,172,47,184,12,247,222,27,176,38,
247,138,195,210,1,234,1,184,13,24,36,26,59,72,83,222,36,151,67,219,
63,1,75,204,137,190,175,163,230,27,23,146,223,188,91,229,126,91,103,201,
242,189,141,1,116,167,11,215,164,230,164,203,115,176,138,227,241,177,215,191,
12,5,193,188,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,254,249,159,
130,14,170,1,207,218,87,1,57,206,214,81,243,166,244,136,117,230,209,128,
202,251,126,24,105,122,108,94,247,100,72,162,1,190,167,142,205,108,149,39,
66,183,196,209,157,65,170,210,222,25,182,80,93,55,16,238,182,154,16,79,
1,40,173,27,66,132,144,63,40,78,65,52,39,28,90,103,131,240,41,213,
199,185,171,157,77,144,131,118,105,92,167,71,96,157,81,1,1,1,144,1,
211,42,185,106,26,29,172,43,97,105,224,114,1,16,14,234,53,130,242,179,
79,52,110,78,124,91,153,104,57,46,141,91,229,232,15,58,1,177,77,69,
181,121,34,54,218,132,237,119,31,45,1,144,14,56,186,103,27,116,52,156,
14,196,94,178,222,190,84,170,203,94,215,224,145,195,159,14,150,217,41,117,
55,31,67,65,119,39,227,235,119,236,13,209,196,29,127,157,229,131,202,152,
128,82,198,43,71,144,1,95,152,52,102,79,204,134,59,50,87,242,115,28,
66,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,165,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,9,83,192,215,32,219,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,107,245,209,196,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14, };
static unsigned short stb__consolas_24_latin_ext_t[560]={ 1,1,301,267,27,136,176,50,1,1,301,
284,301,308,308,115,214,267,267,214,267,214,214,267,214,267,250,214,284,301,284,
72,1,250,250,232,250,267,250,232,267,267,232,267,267,267,250,232,267,27,267,
232,284,232,267,267,267,267,267,1,94,27,301,308,301,284,176,284,176,284,232,
232,232,232,27,232,195,301,284,284,214,232,284,284,232,284,284,284,284,232,284,
27,1,1,308,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,1,27,27,
250,284,250,1,115,301,232,301,301,301,308,301,301,301,267,301,301,301,214,115,
308,57,301,301,301,214,214,214,115,115,115,94,115,94,50,250,94,94,94,94,
94,72,72,72,72,250,72,50,27,50,27,72,301,72,72,50,50,50,115,250,
176,157,176,157,157,176,136,284,250,176,176,176,176,195,195,195,195,157,195,157,
157,157,157,157,284,157,157,157,157,157,1,1,1,136,214,136,157,72,195,50,
136,72,136,72,176,72,136,136,136,250,136,136,214,136,157,115,157,50,195,115,
157,50,1,50,1,50,1,50,1,115,50,250,195,94,195,136,250,94,195,72,
1,94,301,195,1,72,1,72,27,301,94,72,50,27,176,176,250,195,250,195,
94,214,72,195,72,195,136,27,195,94,195,50,176,50,176,214,284,94,214,50,
214,115,214,50,176,50,157,72,250,27,176,27,27,136,136,250,232,27,176,115,
232,27,136,27,136,27,195,27,232,94,232,94,1,94,115,232,115,214,115,214,
195,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,115,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,1,1,115,176,1,115,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,27,94,27,27,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250, };
static unsigned short stb__consolas_24_latin_ext_a[560]={ 211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_24_latin_ext(stb_fontchar font[STB_FONT_consolas_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_24_latin_ext_s[i] + stb__consolas_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_24_latin_ext_t[i] + stb__consolas_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_24_latin_ext_x[i];
            font[i].y0 = stb__consolas_24_latin_ext_y[i];
            font[i].x1 = stb__consolas_24_latin_ext_x[i] + stb__consolas_24_latin_ext_w[i];
            font[i].y1 = stb__consolas_24_latin_ext_y[i] + stb__consolas_24_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_24_latin_ext_s[i] + stb__consolas_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_24_latin_ext_t[i] + stb__consolas_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_24_latin_ext_x[i] + stb__consolas_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_24_latin_ext_y[i] + stb__consolas_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_24_latin_ext_LINE_SPACING
#endif

