// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT        346
#define STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_25_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_25_latin_ext_LINE_SPACING          16

static unsigned int stb__consolas_25_latin_ext_pixels[]={
    0x01be2df1,0x01010000,0x98026600,0x3ae00001,0x4013000d,0x4c002cc8,
    0x09800220,0x20198800,0x00cccccb,0x220265c4,0x3310003e,0x00013001,
    0x99993013,0xa8330059,0xb7c46621,0x001d36f8,0x2fe80e98,0xfb0013f2,
    0x003fc01d,0x000dfc80,0x3e607ffb,0xbf001fff,0x7dc017e2,0xffb1001f,
    0xfffb09ff,0x7fd403ff,0x017dc07f,0x4027fcc0,0x36003ffd,0x7ffdc3ff,
    0x7fdc03ff,0x3ea5ff72,0xdf16f88f,0x4c003bee,0x23ff81ff,0x3f6005fd,
    0x01fe0774,0x800b2600,0x203fdbfd,0xf9006fda,0x36005fff,0xff9803ff,
    0x6c5fc99b,0x9ff1001f,0x001fd003,0xd802ff98,0xd803fdbf,0x2e03fdbf,
    0xa7fe403f,0x1ff52ffc,0xe9be2df1,0x3ff8806f,0x06441750,0x9f11a880,
    0x90001fe0,0x3ae005dd,0xf880bb22,0x3995000f,0x006ecc00,0x3ee03ba2,
    0x54007f62,0x09d1006f,0x800dd880,0x80bb22eb,0x40bb22eb,0x774c03fb,
    0xbfd49910,0x44df16f8,0x37ec03ff,0x88800000,0x00ff02fb,0x0fe57dc0,
    0x3f600000,0x00000001,0x5f807f60,0x7e4007f6,0x00000003,0x00000000,
    0x40000fee,0x22df17fa,0x807fd46f,0x01980ffa,0x3b2004c4,0xff00ffff,
    0x6c005544,0x22005f16,0x09999aa9,0x31005f90,0x01333355,0x2666aa62,
    0x9013e209,0x4007f61f,0xa98802fc,0x2609999a,0x3304c401,0x4c409880,
    0x20199999,0x266623fb,0x51e41999,0x7c5be2ff,0xfd05fd86,0xd80ffa05,
    0xdffd104f,0x5fe0bffd,0x404ffffc,0x800efef9,0xfffffffa,0x805f905f,
    0xfffffffa,0xffffa85f,0x3f25ffff,0x7d4444c1,0x32003fb1,0x7ffd402f,
    0x3a5fffff,0xe93f603f,0xd13f603f,0x3fffffff,0xffe8fee0,0xf11fffff,
    0x6f8bfccd,0x1ff10df1,0x3ee06fa8,0x201ff106,0xfff50efd,0x5bfbff09,
    0xa8807ff9,0x37ff5002,0x2035ffb3,0x3fea02fc,0x1affd99b,0x6ccdffd4,
    0xb9be1aff,0x2f9affff,0x3f2003fb,0x26ffea02,0x2e1affd9,0x41ff106f,
    0x1ff106fb,0xfcccccb8,0x5c7f701f,0x1ffccccc,0x8bfccdf1,0x3e0df16f,
    0x102fe43f,0x0df703ff,0xafc83fea,0x17ffc1ff,0xffb01bee,0xf05fd007,
    0x01fdc03f,0x03ff05fd,0x43ff05fd,0xd5bf53f9,0x3f67f33f,0x401fb001,
    0x41ff82fe,0x6fb81ff8,0x7dc0ffc4,0x407fa006,0x1fe803fb,0x8bfccdf1,
    0x360df16f,0x201ffc5f,0x03fd84fd,0xfb6f89fb,0xff03ff87,0x1bffe201,
    0x3f603fe0,0x407fe203,0x83fd80ff,0x23fd80ff,0x3a1fd2fb,0x07f67f17,
    0xff01be60,0xfb07fb01,0xfb07fb09,0x4007fb09,0x07f701fe,0x9fe23fd0,
    0x00df16f9,0x1ff89bf2,0x3e23fcc0,0x4c3ff00f,0x7f89f73f,0x7d407fa0,
    0x7fc01ffd,0x4c02fe81,0x0ffc4ffd,0x0ffc17f4,0x11f917f4,0x3f9b7cbf,
    0x7ff403fb,0x40ffc00c,0x47f982fe,0x7f980ff8,0xd0007fc4,0x00fee03f,
    0x33fc47fa,0x401be2df,0x01fe67fa,0x0bf717f4,0x1fb83fe2,0x207f8df5,
    0xb5fb02fd,0x45fd807f,0x74c00ffa,0x22fec4ef,0x5fd80ffa,0x2fb07fd4,
    0x26bf13fa,0x7403fb2f,0x7ec01dff,0xe807fd45,0xe817ee2f,0x0017ee2f,
    0x0fee03fd,0x3fcc7fa0,0x01be2df1,0x0df33fc4,0x1fe97ee0,0x27e8ff30,
    0xd03fc7f9,0x51ff103f,0xeff980df,0x4402ffec,0xdff300ef,0x2605ffd9,
    0x2ffeceff,0xf32fbbec,0x0fecbea9,0x26037d40,0x2ffeceff,0x1fe97ee0,
    0x1fe97ee0,0xb80ff400,0x31fe803f,0xf8b7c4ff,0x4cff3006,0xff8800ff,
    0x3e606f98,0x7f993e27,0x01ff03fc,0x03fe2bf5,0xcefebfe8,0x203fa800,
    0x0cefebfe,0x3bfaffa0,0x5f76e80c,0xd87dcfee,0x01fb001f,0x677f5ff4,
    0x4c7fc400,0x47fc406f,0xfe8006f9,0xd007f701,0x551fe63f,0x70099be2,
    0x00ffc4df,0x04fcbfd8,0x17d43fe2,0x507f8df5,0xd8bf60df,0x00bf303f,
    0xf9817e40,0x02fcc005,0x6cfeadd0,0x0fecdd2f,0xf302fc80,0x5fec000b,
    0xbfd804fc,0xfe8004fc,0xd007f701,0x403fe63f,0x20df16f8,0x01ffc5fd,
    0x00ffefa8,0x5c7d8ff4,0x7443fc5f,0x20ff882f,0x5ff506fb,0x2fc80033,
    0x0335ff50,0x0335ff50,0xd9df17d8,0x7ec5f9bf,0x205f9001,0x0019affa,
    0x007ff7d4,0x007ff7d4,0xfb80ff40,0xf31fe803,0x223be61f,0x3e0df16f,
    0x002fec2f,0xfb00bffd,0x87fb17e7,0xffdcdfff,0xf88df504,0xffffd00f,
    0x64039fff,0x3fffa02f,0xe81cffff,0xcfffffff,0x7fe43f21,0x7ec4ffb9,
    0x405f9001,0xfffffffe,0x2fff401c,0x00bffd00,0x7dc07fa0,0xf51fe803,
    0x22bff61f,0xf10df16f,0x007fa81f,0x32007fee,0x3e63faff,0x7ffffc0f,
    0x0ff602df,0x77e40ffa,0x0fffeeed,0x7e405f90,0xfffeeede,0x776f7e40,
    0x3f70fffe,0x3f602204,0x405f9001,0xfeeedefc,0x3fee00ff,0x07fee001,
    0xb80ff400,0x51fe803f,0x23fee1ff,0x90df16f8,0x00ffe09f,0xfd0037e4,
    0x13fa21ff,0x440045fe,0xdaaaabff,0x106fa86f,0x0bf607ff,0xff8837d4,
    0x7c41bea3,0x0009f33f,0x3f2003fb,0x220df503,0x1bf203ff,0x000df900,
    0x7dc03fe2,0x007fc403,0xf8b7c422,0xa807fd46,0x7fc401ff,0x3ffe2002,
    0xff05ffec,0xffffa800,0x40ffffff,0x13f203fd,0x3fd80ffc,0x3fd93f20,
    0x0fe93f20,0x800fec00,0x07fb05fb,0xff8827e4,0x0bfe2002,0x703fd400,
    0x07fa807f,0x6f8b7c40,0xfb00ffe2,0x027f4c0d,0x77fffd40,0xb001fe03,
    0x999999bf,0x06fd87fd,0xff705ff3,0xf9837ec0,0x4c1bf62f,0x03bee2ff,
    0x007f6022,0x7ec0ffcc,0x305ff306,0x74c009fd,0x4c08804f,0x4fee04fe,
    0x227f4c08,0x2df100ff,0x017fa6f8,0xee993fe2,0xf70005ff,0x0ff00135,
    0x7007fc40,0xefff98df,0x224ffecc,0x2603fffe,0xfeccefff,0x77ffcc4f,
    0xb84ffecc,0x2fdcacef,0x0eeeefd8,0x997fff60,0xfeccefff,0x3ffba64f,
    0xffee9805,0xdbdf5005,0x77541dff,0xbdf53fee,0x7c41dffd,0x7c5be205,
    0x4c00df76,0x5dff32ff,0x003f4000,0x6fa801fe,0x2607fcc0,0x1deffffc,
    0x400ef7cc,0xdeffffc9,0xffff9301,0x7ed403bd,0xfd80bdff,0x5c01ffff,
    0x7fe4c7fe,0x7cc1deff,0xff3002ef,0x7ecc005d,0xffb84eff,0xffb33fff,
    0x07f509df,0x36f8b7c4,0x0e98001d,0x02c80000,0x1fec0000,0x0201ff40,
    0x00200000,0x00000040,0x02000000,0x00000000,0x04000010,0xf88032a0,
    0x0000df16,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10540330,0x22033333,0x03000009,0x000aaa00,0x40004c00,0x00350009,
    0x0a880260,0x0cc400a6,0x054c0266,0x00044002,0x20031066,0x20a88018,
    0xfffff029,0x2bffffff,0x7d4007f8,0x71ffd83f,0xb03fffff,0x3220005f,
    0x00cffffe,0x3201efc8,0x7ff4002f,0x7ff64404,0xff900eff,0x04f88003,
    0x1fa637e6,0xfd8ffa20,0xbfffd80d,0x3b200eb8,0xf5004eff,0x2009f93d,
    0x8df9806e,0xffff07e9,0xbfffffff,0xf9001fe2,0x25fff09f,0x81ffaaa9,
    0xfa8002fd,0x1fffefff,0x6c02fe40,0x23ee002f,0xfff301fa,0x201fdddf,
    0x4c003ffd,0x7ffe403f,0x17f4402f,0x2be609fb,0x104fffe9,0xdffddffd,
    0x9fff5001,0xc802fc00,0x3002ffff,0x03fc40ff,0x2e07fe60,0x03fd00ef,
    0xfa8005fb,0x00dc40df,0x3f600571,0x7cdae002,0x1019ff01,0x0006f4c0,
    0x2a600bea,0x21a9800a,0x260401a9,0x83bf601a,0x53005fe9,0xffd97005,
    0x1553009d,0x103fcc00,0x000000ff,0x5fb03fd0,0x004fe800,0x20bffd10,
    0x99bfe999,0xffd10099,0x003fe60b,0x3f900000,0x00000000,0x0ef98000,
    0x2001ff88,0x3fffa600,0x8800ffff,0x03fcc000,0x33000ff1,0xfe802620,
    0x3302fd81,0x00037dc1,0x985f31d9,0xffffffff,0x0aa206ff,0x22007fa8,
    0x50019999,0xc8dffffb,0xc8bf603f,0x90bf603f,0xb17ec07f,0x027ec09f,
    0x9dfffd91,0x7d4eff44,0xffec8032,0x0ff3004e,0x7c003fc4,0x740bf507,
    0x442fd81f,0x0ff60efe,0x0be5d800,0x9bff9991,0x1fe47999,0x3fe25fb0,
    0xffff7004,0xeffc803f,0x1fe47eff,0x1fe45fb0,0x3fc85fb0,0x1ff8bf60,
    0x74c1bee0,0x0fffefff,0x07ee1ff5,0xfddffd10,0x7f9801df,0x2001fe20,
    0x40bf507f,0x22fd81fe,0x7fc0efe8,0x37ea0001,0x17ec00fd,0xfd80ff20,
    0x00bbff22,0x03ff9993,0x16f8ffd4,0x3f603fc8,0xfd80ff22,0xfb01fe42,
    0xa803fe25,0x1eff886f,0x26fb85c4,0x77ec00fc,0x3017fa60,0x03fc40ff,
    0x5fa83fc0,0x3f607fa0,0xf1037f62,0xeeeee81f,0x00332601,0x7f900bf6,
    0x3ee17ec0,0xe800cfff,0xf8bfe01f,0x6c07f905,0xd80ff22f,0xb01fe42f,
    0x301fe65f,0x00bfb0ff,0x03f4ffe6,0x3e203fea,0x81fe601f,0x7f8007f8,
    0x7f40bf50,0xbfb2fd81,0xdd03fe20,0x2a605ffd,0x2fd801aa,0xfb01fe40,
    0xfffd7105,0x301fe805,0xc827ccff,0xc8bf603f,0x90bf603f,0x997ec07f,
    0x23fcc07f,0x32001ff9,0x6c06feff,0x813f604f,0x1fe207f9,0x7d41fe00,
    0x3607fa05,0x7c05fdaf,0x30bf601f,0x5fffffff,0x32017ec0,0x00bf603f,
    0x7405ffd5,0x54df501f,0x407f903f,0x80ff22fd,0x01fe42fd,0x03fe25fb,
    0x2fdc6fa8,0x7fffdc00,0x403ff00b,0x1fe605fb,0xf8007f88,0x740bf507,
    0xffdfd81f,0xb017f400,0xabcfa85f,0xfb01ffeb,0x203fc805,0xdfb002fd,
    0xfa80ff40,0x7e40bee6,0xfc8bf603,0xf90bf603,0xf897ec07,0x917ee01f,
    0x3220009f,0x7c43ffff,0x81bea00f,0x1fe207f9,0x7d41fe00,0x3607fa05,
    0x200efdaf,0x0bf605fd,0xd81ff401,0x01fe402f,0x3e6005fb,0x203fd00f,
    0x03f90ff9,0x2fd80ff2,0x2fd80ff2,0x5fb01fe4,0x7fb01ff4,0x20003fd8,
    0x23ffdcfa,0x3fcc07f9,0x7c40ff30,0x507f8007,0x40ff40bf,0x40bfd2fd,
    0x5fb01ff9,0xd82fdc00,0x01fe404f,0x3e6005fb,0x4407fa07,0x640fb3ff,
    0xc8bf603f,0x90bf603f,0x717ec07f,0x03fe60df,0x5c0007fd,0x7ccff71f,
    0x303fcc07,0x03fc40ff,0x5fa83fc0,0x3f607fa0,0x6c0bfd12,0x02fd82ff,
    0x82fdccc4,0x3f200ffc,0x04cbf603,0x3a05fe88,0x33ff201f,0x3fc8517e,
    0x3fc8bf60,0x7f90bf60,0xff117ec0,0xd84fe98b,0x3f20004f,0x3e21ff10,
    0x81bea00f,0x3fe207f9,0x06eeeeee,0x817ea0ff,0x22fd81fe,0xfb104ff8,
    0x5ffdbdff,0xfffffd50,0x3ffe20bf,0x0ff25dce,0xddf92fd8,0x01dffdbd,
    0x3f200ff4,0x647fffff,0xc8bf603f,0x90bf603f,0x217ec07f,0xffeefffa,
    0x000bf905,0xf8ff53ec,0x817ee00f,0x3fe207f9,0x07ffffff,0xd97ea0ff,
    0xeeeffeee,0xff985fb5,0x3fffaa04,0x7fdc0cef,0x05fcaabc,0x97ffff66,
    0x4bf603fc,0xeffffffb,0x7f776c0b,0xb305eeef,0xfc859bff,0xfc87fe04,
    0xf907fe04,0x4c0ffc09,0x203efffd,0x35000ffa,0x3faa3ba1,0xfb01ff45,
    0x00000007,0x25fa83fc,0xfffffffe,0xf505fb7f,0x0131007f,0x3ea07fe2,
    0xf9031005,0x4c0ffc09,0x7fff4019,0x207fffff,0x1bee03f9,0xdf707fcc,
    0xf703fe60,0x803fe60d,0x9ff006f9,0x3ffff200,0xfb85ffff,0x801ff306,
    0x0132004c,0x0017ee00,0x09900000,0xbf706f98,0x3ee04c80,0x401ff306,
    0x7f50004c,0xf1017d40,0x44fd987f,0x7ecc3ff8,0x4c3ff884,0x2ff804fd,
    0x06ffdc04,0x7f6d42a2,0xf102ceff,0x04fe88bf,0xf88037c4,0x3fd80006,
    0x26401320,0x301be200,0x5ffc81ff,0xf881be20,0x027ecc3f,0xf1000df1,
    0x401fb80b,0xffeceffb,0xceffb80e,0xf700effe,0x1dffd9df,0x97dff700,
    0xdfff903f,0xf301ffdd,0x3ffea007,0x400dffed,0x7f5003fa,0x7fd40800,
    0x100df101,0x3fa800df,0xfdcffe80,0x3ea05fdf,0x677fdc03,0x2a00effe,
    0x4fa8003f,0x54007e40,0x404ffffe,0x04ffffea,0x4ffffea8,0x7fffe400,
    0xfffb301e,0x0bea07bf,0xefffd980,0x003f9003,0xdd0007f2,0x5409fffd,
    0x03fa803f,0x4400fe40,0xf89efffd,0x2007f205,0x04ffffea,0x88001fc8,
    0x0fd03eff,0x30001300,0x00260001,0x001a9880,0x07aa0022,0x00004400,
    0xfc800000,0x7e402eff,0x001fc801,0x00030000,0x0004c000,0x59730000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x104c4000,0x03310013,0x0040a980,0x44001310,
    0x50a60019,0x01998005,0x88006022,0x06620009,0xcefffff8,0x01998001,
    0x98000266,0x83b80000,0x3fb03ffb,0x2660cc40,0x3ee0ff10,0x73ff300f,
    0xfe8801df,0xfffb005f,0x3001d717,0xd1007fff,0x3ee00bff,0x2005fa8b,
    0x3fa01ffc,0x26013f21,0xe8803fff,0xddff05ff,0x4007ffff,0x3ee01ffc,
    0xffe8002f,0x13e20004,0x7ec1bfee,0x6c7fd101,0x30ff10df,0xfe8803ff,
    0xafe8805f,0x57cc05fc,0x804fffe9,0x03fd9efa,0x17f2bfa2,0x3ffffa20,
    0x01bf7001,0x17f22fe8,0x7fb3df50,0x7e57f440,0x3261ff85,0xdfb801ff,
    0x02fe9800,0x07ea3ee0,0x05f71100,0xfb05fff7,0x6c5fd103,0x223fc44f,
    0x551003fe,0xa982aa00,0x06a60401,0x02aa1540,0x03530554,0x4002aaa0,
    0x031002a8,0xaa855003,0x54c15500,0x3e20ffc1,0x0154403f,0xb800aa20,
    0x32003f36,0xb80ffffe,0x1fd86fdf,0x06a61a98,0x09fb1fe2,0x88001300,
    0x00110000,0x09800180,0x30003000,0x80000001,0x7fc00000,0x0004fd81,
    0x3a200000,0xfe8805ff,0xb85ffeef,0x7ec2febf,0x22004401,0x4017f27f,
    0xeffffec8,0x3bffb200,0xdffd9004,0x3fb22009,0xc880cfff,0x00effffe,
    0x3ffffb22,0xffec880c,0x1fe40eff,0x32205fb0,0x644efffe,0x7cbf603f,
    0x642fe81f,0xc8bf603f,0x80bf603f,0xdfb002a8,0x713ffea1,0xfd8df57f,
    0x9dffd901,0x77d5fe20,0xffff9800,0xe880feee,0x0effeeff,0xfddffd10,
    0x7fd401df,0x41fffeff,0xeeeffff9,0xffff500f,0xf983fffd,0x0feeefff,
    0x5fb01fe4,0xfdfffd30,0x01fe41ff,0x887fe5fb,0x03fc86fd,0x03fc8bf6,
    0xffd80bf6,0x907fd403,0x7dc3ff5f,0x0fec3ff3,0x3fbbffa2,0x4ffc40ef,
    0x9ff000ff,0x3bf60101,0x6c17fa60,0x17fa60ef,0x2206ffd4,0x4067fc1b,
    0x81bff500,0x067fc1b8,0xb01fe404,0x1eff885f,0x07f905c4,0xeeff97ec,
    0xfc80efff,0xfc8bf603,0x440bf603,0x7ec06fff,0x23fdb7c4,0x6cbf73fb,
    0x3077ec1f,0xeff88bfd,0x1ff3002f,0x407fd400,0x7fd41ff8,0xe81ff880,
    0x3fe6004f,0x027f4000,0x4001ff30,0x0bf603fc,0x7e400bfb,0x7fcbf603,
    0x3204fffe,0xc8bf603f,0x40bf603f,0x201ffdfa,0x5cfe61ff,0x7c4fee4f,
    0x7d43fb1f,0x21ff880f,0x006fdff8,0xfd800ff5,0xfb13f604,0x2e27ec09,
    0x3fd4006f,0x001bee00,0xfc800ff5,0xf98bf603,0x0ff2001f,0x23ff2fd8,
    0x7f903fe8,0x7f917ec0,0xfd817ec0,0xff103fda,0x6fa8fdc1,0xb5fc8fee,
    0xb027ec3f,0x747fc49f,0x4ff8804f,0xb807fe00,0x700ffc5f,0x003fd8bf,
    0xb0027fc4,0xff88007f,0x80ff2004,0x017ee2fd,0x7ec07f90,0x7fcc3ff2,
    0x3603fc80,0xd80ff22f,0xa8ff882f,0xe8ff306f,0x3fb9fe67,0x87f63fe2,
    0x97ee01ff,0x07ff17f8,0x805dff90,0x3ea00ff8,0xa803fe26,0x000ffc6f,
    0x40177fe4,0xfc8001ff,0x3fc802ef,0x4fc8bf60,0xb01fe400,0xfb07fe5f,
    0x6c07f909,0xd80ff22f,0xf15fa82f,0x44ff301f,0xfb9fe64f,0x8fee7e43,
    0x3ea00ff8,0xffa9fe26,0xffffb801,0x407f980c,0x01fe67f9,0x07fc4ff3,
    0x207bbbba,0x80cffffb,0x77740ff8,0xfffb81ee,0x07f900cf,0x07fb17ec,
    0x3603fc80,0xf983ff2f,0xb01fe40f,0xb01fe45f,0x6c5fb05f,0x50ff883f,
    0xf737d45f,0x1fdff887,0x7f980ff3,0x1df91fe2,0xfffd7100,0x4c07f985,
    0x301fe67f,0x207fc4ff,0x102ffeee,0x885fffd7,0x7f7740ff,0xffd7102f,
    0x407f905f,0x00ffa2fd,0x7ec07f90,0x9fb03ff2,0x3f603fc8,0xfd80ff22,
    0xf707fc42,0x3ec7fa0d,0x83fb97ee,0xff31fffd,0x3e27f980,0x4005fe87,
    0x3e22ffea,0x89bea00f,0x1bea00ff,0x17ec03ff,0x217ff540,0x0bf601ff,
    0x90bffaa0,0xb17ec07f,0x3fc8009f,0x0ffcbf60,0x7f907fd4,0x7f917ec0,
    0x3ea17ec0,0x6c07fc46,0x3fd8bf3f,0x3fe60fee,0x401ff11f,0x21fe26fa,
    0xd8004ff8,0x7007fc6f,0x200ff8bf,0x017f45fb,0x7ec005fb,0xfb017f46,
    0x237ec005,0x8bf603fc,0x7e4005fc,0x7fcbf603,0x7e49fd01,0xfc8bf603,
    0xfb0bf603,0xf907fd07,0x7fcc7f5f,0x7ec0fee0,0xb803fe1f,0x541fe25f,
    0x7cc002ff,0xd80ffa0f,0xb01ff43f,0x205fd87f,0x3e6002fd,0xd817f60f,
    0x3fe6002f,0xff813f20,0x8003fea1,0x07fe04fc,0x204fc800,0x813f21ff,
    0x2ffe21ff,0x06fdaaaa,0x3a21fffd,0xfd00004f,0x001fec07,0x47f98000,
    0x1ff306fb,0xff306fb8,0xb01ff981,0x3fcc005f,0x7ec07fe6,0x71fe6002,
    0x03fe60df,0x7dc009ff,0x201ff306,0x837dc04c,0x1bee0ff9,0xff507fcc,
    0xffffffff,0xd9fff101,0x13200bff,0x3e60df70,0x4026400f,0x8bfd1009,
    0x7f445ff8,0x445ff884,0x5ffb04fe,0x804c5fb0,0xffd85fe8,0x0262fd82,
    0x3e22ff44,0x427ecc3f,0x5440dffb,0xb30ffe20,0x01be209f,0xfd987ff1,
    0x261ffc44,0x66fec4fd,0x3feccccc,0x7dffff50,0x101be200,0x4fe88bff,
    0x64037c40,0xffedeeef,0xdfffa80e,0xf500dffe,0x1bffdbff,0x3bfff620,
    0x3f22ffed,0xeffedeee,0xefffd880,0x3f22ffed,0xeffedeee,0xeceffb80,
    0xff900eff,0x81ffdddf,0xffeceffb,0x007f500e,0xffd9dff7,0x9dff701d,
    0x7c41dffd,0x41bee00f,0x40009afb,0xffa803fa,0x00dffedf,0x7dc01fd4,
    0x0befffff,0x3bfff660,0xfffd9803,0xffd5003e,0x7dc19dff,0x0befffff,
    0x7ffff540,0x3ffee0ce,0x200befff,0x04ffffea,0xdffffd98,0xffffd503,
    0x001fc809,0x09ffffd5,0x4ffffea8,0x7cc06fa8,0x0007e80f,0x6cc007f2,
    0x9003efff,0x1998003f,0x00011000,0x98800022,0x00199800,0x26002620,
    0x01300019,0x30002200,0x30000001,0x40130001,0x3fe803fd,0x000002c8,
    0x00001100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80133000,0x40440198,0x80d44001,
    0x3fb02ffb,0x0001a880,0x09980333,0x00099800,0x9880ccc0,0x33002620,
    0x99800198,0x400cc401,0xeb801808,0x401eeeee,0x4c000099,0x7ec00019,
    0x3ffa200e,0xfc87fa05,0x41ff6004,0x3fb06ffb,0x8007fd80,0x7dc01ffc,
    0x7fdc002f,0x3ff90002,0x3ee7fe60,0x46fe400e,0x7e4003fd,0x3ffa201f,
    0xf90ff405,0xeeeeb809,0x7fdc01ee,0x3ff90002,0x027ec000,0x17f2bfa2,
    0x0bf917f4,0x5c07ff40,0x1fd82fff,0x0007ff40,0x26001bf7,0x74c002fe,
    0x6fdc002f,0x2fff4400,0x05fff700,0x200dfb80,0x05fcafe8,0x05fc8bfa,
    0x7f4c0000,0x06fdc002,0x00353000,0x40d4c155,0x44001818,0xdfbf701c,
    0xc8803fb0,0x00aa2001,0x2000aa20,0x2a2002a8,0x00aa2002,0x10006aa0,
    0x41550055,0x303101a9,0x80008800,0x2a2002a8,0x00200002,0x00110000,
    0xb7f70180,0x001fd87f,0x00088001,0x00000110,0x00000000,0x00000000,
    0xec800000,0x00004eff,0xc8800000,0xc84efffe,0x5fffffff,0x09dffd90,
    0x3fffb220,0xf37f70cf,0x9101fd8f,0x409dfffd,0x004effec,0x809dffd9,
    0xfffffffe,0x7ffff44f,0x3ee4ffff,0xc83fb03f,0x03ceffff,0x7fffffdc,
    0x7ffdc3ff,0x203fffff,0xe8803ffd,0x0effeeff,0xffffff70,0x7fec07ff,
    0xffe98003,0x640fffef,0x5fffffff,0x7f77ff44,0x3fea00ef,0x71fffeff,
    0xfd8ff67f,0xefffe981,0x7f440fff,0x00effeef,0xffddffd1,0x3bbb601d,
    0x6c3eeeff,0xeeeffeee,0x6c1bfee3,0x7777e41f,0xf702efff,0x5ddddddf,
    0xeeeeffb8,0xfff102ee,0x41dfb00d,0xff705fe9,0x05dddddd,0x001bffe2,
    0xb883dff1,0xd8bf7000,0x17fa60ef,0x2206ffd4,0x3e67f71b,0xf883fb0f,
    0x205c41ef,0x3fa60efd,0x4c1dfb05,0x7f9805fe,0xb81fe600,0x1fd82fff,
    0x3f661fe4,0x004fb81f,0x2a0013ee,0x2a01ffdf,0x1ff880ff,0xa8004fb8,
    0x2001ffdf,0x700005fd,0x407fd4bf,0x4fe81ff8,0x7ec7f700,0x5fd83fb4,
    0x203fea00,0x7fd41ff8,0x401ff880,0x3e6007f9,0x1bf7ee07,0x07f907f6,
    0x13ee1bf2,0x8004fb80,0x203fdafd,0x13f604fd,0x360013ee,0x3003fdaf,
    0x200003ff,0x813f65fb,0x037dc4fd,0x7fc47f70,0x3fe61fd8,0x813f6001,
    0x027ec4fd,0x7f9809fb,0xb81fe600,0x7ec2febf,0xf881fe41,0x0027dc2f,
    0xf88009f7,0x3e06fa8f,0x217ee01f,0x7c4004fb,0x7006fa8f,0x5c0000bf,
    0xb807fe5f,0x001fec5f,0xdcfc87f7,0x0017ee1f,0x2fdc03ff,0x5fb807fe,
    0x3003fcc0,0x55fdc0ff,0x320fec6f,0x70ff603f,0x27dc009f,0x7c57ea00,
    0x00ff880f,0x13ee1bea,0x3e2bf500,0x04fc800f,0x457ee000,0x1bea00ff,
    0x7dc003ff,0x0ff7fc43,0x7c4009f9,0x89bea00f,0x1bea00ff,0x4c00ff30,
    0x7cfee07f,0xf907f61f,0x2e27e407,0x199999df,0x9999dfb8,0x6c5fb019,
    0x407f983f,0x9dfb87f9,0xfb019999,0x6c01fec5,0x2e00003f,0x980ff35f,
    0xd03fe27f,0x3ee3dddd,0x21fffc83,0x3e6003fd,0xf33fcc07,0x407f980f,
    0x3e6007f9,0x7dcfee07,0x7f907f65,0x3ee37dc0,0x1fffffff,0x7fffffdc,
    0x07fc41ff,0x0ff30df7,0xffb87f98,0x41ffffff,0x1bee0ff8,0x0000ffa0,
    0x0ff35fb8,0x3fe27f98,0x97ff7740,0xfff883fb,0x9800ffa1,0x33fcc07f,
    0x07f980ff,0xf3003fcc,0xf89fdc0f,0xfc83fb1f,0xf717ee03,0x1999999d,
    0xccccefb8,0x237d40cc,0x7fc40ff8,0x2e1bea00,0xccccccef,0x3e237d40,
    0x027ec00f,0x22bf7000,0x1bea00ff,0x97ec03ff,0x3ff903fb,0xf10027ec,
    0x137d401f,0x37d401ff,0x9801fe60,0xc8fee07f,0xfc83fb5f,0xf717f203,
    0x027dc009,0x7fd07fb0,0x7dc01ff0,0x2004fb85,0x03fe83fd,0x00002fe4,
    0x007fcbf7,0x02fe8bf7,0x81fdcbf6,0x17f21ff8,0x5c01ff00,0x7007fc5f,
    0x07f980bf,0xfb81fe60,0x3f63fe23,0xfb01fe41,0x2004fb87,0xff1004fb,
    0xdfb55557,0x7ec07fd0,0x1004fb83,0xb55557ff,0x0ffa80df,0x49f90000,
    0x0ff603fe,0x17ec0bfb,0x7d43ff00,0x0ffa000f,0x1ff43fd8,0xf9807fb0,
    0x81fe6007,0x6e7e43fb,0x981fe41f,0x027dc1ff,0x2a009f70,0xffffffff,
    0x837dc0ff,0x4fb80ff9,0xfffff500,0x801fffff,0xd00004ff,0x9837dc7f,
    0x0ffcc0ff,0xf3002fd8,0x4009ff0f,0x1ff306fb,0xff306fb8,0x007f9801,
    0x3fb81fe6,0x20feffc4,0x0bfb03fc,0x7dc009f7,0x99bfb004,0x87fd9999,
    0x7f445ff8,0x2009f704,0xcccccdfd,0x7dc03fec,0x205440df,0x107fdc1b,
    0x4fe88bff,0xfb05ffb0,0x0bfb1005,0xa881bff7,0xd117fe20,0x8bff109f,
    0xf9804fe8,0x81fe6007,0xfffd83fb,0xd511fe41,0x09f703ff,0x44027dc0,
    0x1bee00ff,0x3fb7ffea,0x09f700df,0x5c01ff10,0xfffc806f,0x6c0ffeee,
    0x83fffeff,0xffedfffa,0xfffb100d,0x805ffdbd,0xf900fffb,0x1ffdddff,
    0xfedfffa8,0xfff500df,0x201bffdb,0xeeffeeed,0x7f776c3e,0x3ee3eeef,
    0x41fff983,0xffffeefc,0xddff700e,0xfb85dddd,0x2eeeeeef,0xff980df5,
    0xefffd980,0x777fdc03,0xdf52eeee,0x800ff980,0x3dffffd9,0x2efffea8,
    0x3bfff660,0xfffd5003,0xfc8019df,0x7fecc00d,0xfb303dff,0xb3007dff,
    0xe807dfff,0xffffffff,0x7fffff44,0x0fee4fff,0x3f20ffec,0x402defff,
    0xfffffffb,0x7fffdc3f,0x7fb3ffff,0x8807fd00,0xffff7000,0x3f67ffff,
    0x003fe803,0x01880044,0x20000880,0x00000098,0x04400088,0x00008800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbbae00,0x826201ee,0xaa980098,0x0ccc0009,0x0ff20100,0x26202fd8,
    0x00006601,0x88009988,0x054c0019,0x06660002,0x31000d40,0xffffe803,
    0x2604ffff,0x2a200cc1,0x26200a60,0xd701a801,0x403ddddd,0x0efb9ff9,
    0x3ffffea0,0x07ff2005,0xefffec88,0xfd80ff24,0x0bffd102,0x200007f6,
    0x4400dfe8,0xfb005ffe,0x01d717ff,0x400ffe40,0xe8801ffb,0x3bb605ff,
    0x03eeeffe,0x0ff637f2,0xfd31bf30,0x05ffe880,0x0000fff6,0x80bffd10,
    0x3baabffa,0x401bf700,0xffefffe9,0x6c07f90f,0xcafe882f,0x005f985f,
    0x401ff440,0x05fcafe8,0x7ff4d7cc,0x37ee004f,0x03ff9000,0x5fcafe88,
    0x4007f980,0x9002fffb,0x4405ffff,0xf05fcafe,0x00000bff,0x5fd00551,
    0x00aa2000,0xb883dff1,0x7ec07f90,0x2a60aa82,0x0000fe81,0x554006a6,
    0x81006a60,0x2a2001a9,0x803b8002,0x006a60aa,0x55000ff3,0x0aa98003,
    0x35305540,0x7e45ff90,0x000bf603,0x0000ffc0,0x4017f600,0x0bf603fc,
    0x00fee000,0x00000000,0x00000000,0x98000000,0x0000007f,0x22000000,
    0xfb01fe40,0x7fffffc5,0x6c5fffff,0xff1001ef,0x007fe600,0x5fb01fe4,
    0xffffffe8,0x03fc44ff,0x3bffffe0,0x804fa81c,0x3ff600fd,0x81ffdc03,
    0x7fff41fd,0xfb4fffff,0x307ff00d,0x3ffe00ff,0x3a01ceff,0xffffffff,
    0x00fff604,0xfd80ff20,0x3fffffe2,0x5c5fffff,0xf8804fff,0x00bf7007,
    0x5fb01fe4,0xeffeeed8,0x02fc83ee,0x3ffbbfe0,0x02fd43ff,0xff8807f4,
    0x37fdc06f,0x776c1fd8,0x33eeeffe,0x37dc05ff,0xff007f98,0x07ffffdd,
    0x3bffbbb6,0xfff103ee,0x07f9000d,0xff3017ec,0xffcefb80,0x01fe202e,
    0xf90027e4,0x3017ec07,0x0df300ff,0xf930ffc0,0x402fcc3f,0x3f7ea07e,
    0x3ffee01f,0x2601fd82,0x41bf207f,0xff302ff8,0xc987fe00,0x3fcc01ff,
    0x1ffdfa80,0xb01fe400,0x03fcc05f,0x7fec43fe,0x200ff103,0x3f2003fd,
    0x980bf603,0x03fb007f,0xff107fe0,0x7c02fcc7,0x3f6bf607,0x1bf7ee03,
    0x7f9807f6,0x320ffe20,0x01fe606f,0x3fe20ffc,0x803fcc03,0x003fdafd,
    0x5fb01fe4,0xf303fcc0,0x105ff70d,0x0ffa00ff,0x3603fc80,0x01fe602f,
    0xff8027d4,0x3e24fd81,0xf106f806,0x5c0df51f,0x7ec2febf,0x701fe601,
    0x0ffc41ff,0x3e00ff30,0x404fd81f,0xff8807f9,0x0ae06fa8,0x17ec07f9,
    0x7c40ff30,0x886fb80f,0x09fb007f,0xfb01fe40,0x003fcc05,0x3ff001ff,
    0x37c45fd0,0x2a0df0b2,0x201ff15f,0x6c6fabfb,0x01fe601f,0x05fc93fa,
    0xff803fcc,0x4c02fe81,0x15fa807f,0x7ffb01ff,0x5fb01fe4,0x3603fcc0,
    0x887f885f,0x0bf9007f,0xff027e40,0x003fcc03,0x3ff007f7,0x3fc37ec4,
    0x82fc4ff3,0x40ff62fd,0x6c3ff3fb,0x01fe601f,0x3fe23fea,0x803fcc00,
    0x1bf621ff,0x3601fe60,0x3e0ff62f,0x80ff25ff,0x1fe602fd,0x443dfd10,
    0x007f887f,0x2e001ff5,0x01ff306f,0xf1003fcc,0xfddff00d,0x4ff01dff,
    0x0bf12ffc,0x37dc1ff1,0x4bf73fb8,0x1fe601fd,0x27e67f40,0xf803fcc0,
    0x0efffeef,0x4407f980,0x21bee0ff,0x0ff21ffb,0x3e602fd8,0xcffd8807,
    0x7f883fd8,0x4013fe00,0x7ecc3ff8,0x003fcc05,0xdff00bf6,0x3f409fff,
    0x13e69ffd,0x1ff11bea,0x3fe27f70,0x7cc03fb1,0xffff3007,0x00ff3001,
    0x13fffbfe,0x5407f980,0x407fc46f,0xb01fe408,0x03fcc05f,0x09ffff50,
    0xfb801fe2,0x705440df,0xdffd9dff,0x007f9801,0x3fe02fcc,0x3a07fd11,
    0x37fbf98f,0xd07fb09f,0x647f707f,0x4c03fb5f,0x3ff6007f,0x3fbbb602,
    0xff03eeef,0x400ffa23,0x1fec07f9,0xfc801ff4,0x9807fe04,0x7e44007f,
    0x00ff101f,0xeeefffc8,0x7ff540ff,0xf9800cff,0x00fe8007,0x0ff987fe,
    0xc9fb8fd8,0x7c43f9af,0xfdaaaabf,0x3e23fb86,0x2601fd8f,0x1fe6007f,
    0xffffffd0,0x87fe09ff,0xf9800ff9,0x2affe207,0xa86fdaaa,0x20df70cd,
    0x3e600ff9,0x0bf90007,0x2a001fe2,0x03dffffd,0xf3000ff4,0x09f5000f,
    0x13f60ffc,0x7cdba7f2,0x7fd43fad,0xffffffff,0x3f21fdc0,0x3e601fdc,
    0x01fe6007,0xff01fd80,0x9804fd83,0x3ffea07f,0x0fffffff,0x7c53ffe2,
    0x027ecc3f,0x5c001fe6,0x00ff105f,0xb800ff40,0x3fcc003f,0x3e07f800,
    0x207fcc1f,0x3fa3fbfc,0x66fec2fb,0x3feccccc,0x3fe21fdc,0x1fe601fd,
    0x0007f980,0x0ffc07f5,0xf3003fe6,0x666fec0f,0x23fecccc,0x3ee5fff8,
    0x0effecef,0x2a03fcc0,0x40ffea20,0xf10007f8,0x017ec00d,0x4001fe60,
    0x03ff02fc,0xfefb89fb,0x88bfbf21,0x1bee00ff,0xfffb07f7,0x003fcc03,
    0x36000ff3,0x207fe02f,0x3fcc04fd,0x2e00ff88,0x20ffe46f,0x04ffffea,
    0xfe80ff30,0x204fffff,0xeeeeeff8,0x013ea06e,0x201effa8,0xeeffeeed,
    0x0df1003e,0x3fea07fe,0xf31bfee0,0x037d43ff,0x3fb83fe6,0x6c1fff98,
    0xeeeffeee,0x001fe603,0x7c0f7fd4,0x40ffa81f,0xeeffeeed,0x980df53e,
    0x200440ff,0x3fcc0009,0x337bb6e0,0x7fffc401,0x2a07ffff,0x664c001c,
    0x3ffffa00,0x2004ffff,0x01ff80cb,0x1ffd49fd,0x7fb0fff4,0x7dc7fd00,
    0xe83ffb03,0xffffffff,0x001fe604,0xff80cc98,0xfe89fd01,0x4fffffff,
    0x7fd007fb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00815300,0x53006022,0x26600081,
    0x00c04401,0x2005dd70,0x26000198,0x00350019,0x00988262,0x80000266,
    0x0004c009,0x98015530,0x98001999,0x88262009,0x26620009,0x3604cc40,
    0x0eb8bfff,0x27e43fd0,0xb8bfffd8,0x1ffc800e,0x9f90ff40,0x5fdbf900,
    0x05ffe880,0x801ffc80,0xf9801ffb,0x200efb9f,0x80002ffb,0x7f6443fb,
    0x3000efff,0xc887fffd,0x0fffffff,0x803bf600,0x0efb9ff9,0x709ff300,
    0x4d7cc3ff,0x3a04fffe,0x2617f22f,0x4fffe9af,0x800dfb80,0x017f22fe,
    0x07b227d7,0x2fe57f44,0x001bf700,0x44007ff2,0xd3005ffe,0xff80005f,
    0x3bfffe60,0xf8800fee,0x3e62cbef,0xffaaffff,0x009fb000,0x8017ffa2,
    0xff502ff9,0x00d4c081,0x40806062,0x2a8801a9,0x00606200,0x15500033,
    0x54400d4c,0x003b8002,0x22001544,0x3ea0002a,0x04067fc4,0xd105fc80,
    0x7fcfffff,0x001a9800,0xb1001544,0xfa87d11b,0x0000000f,0x00000000,
    0x007f8000,0x00000000,0x00000000,0x30fec000,0xe80001ff,0xffff502f,
    0x0007fcff,0x20000000,0x73fcc1fb,0x07f607ff,0xfffffffd,0xffffe89f,
    0xdfb4ffff,0x3f67ff00,0x7c3ff806,0x80ff2007,0x3ffea2fd,0x1fffffff,
    0x3fffffea,0x3ea1ffff,0xffffffff,0x0fff601f,0xf51be600,0xff88000f,
    0xfffff900,0x26007fcf,0x87ffffff,0xfffffffb,0x7554c03f,0x3ee7f986,
    0xd83fb06f,0xeeeffeee,0x7ff776c3,0x5ff33eee,0xff337dc0,0x7c37dc05,
    0x80ff2007,0x3ffea2fd,0x1fffffff,0x3fffffea,0x3ea1ffff,0xffffffff,
    0xdfff101f,0x885f9000,0x260004ff,0x3fff207f,0x003fe7ff,0xddddfff9,
    0xddddff70,0x3fea05dd,0x5c41ffff,0x20bffee3,0x1fe601fd,0x3207f980,
    0x85ff106f,0x5ff106fc,0x7e400ff0,0x800bf603,0x7ec005fd,0x02fec005,
    0x003ffbf5,0xffc83fc4,0x6fa8002e,0x3ffffea0,0xdf003fe7,0x4fb801fd,
    0x567fd400,0x5c01fffd,0x1fd86fdf,0x9801fe60,0x0ffe207f,0x3fe21bf2,
    0xff06fc83,0x3fc80d4c,0x5400bf60,0x3ea000ff,0x3fea000f,0x3f6bf600,
    0x80fee003,0x00cffffb,0x5dfb5551,0xfffe8355,0xa803fe7f,0x5c00febf,
    0x3fe2004f,0x01bf3ba1,0xd85fd7f7,0x01fe601f,0x7dc07f98,0x407fe20f,
    0x3fe20ffb,0xffb1ff01,0x03fc87df,0x3e200bf6,0x3fe2002f,0x0bfe2002,
    0x6fa8ff88,0x1003fa00,0x305fffd7,0xffffffff,0xfffe98bf,0xfe803fe7,
    0x7dc00fe8,0x997ee004,0x5c01fd4f,0x7ec6fabf,0x801fe601,0x4fe807f9,
    0x9fd017f2,0xbff02fe4,0x43ffb59f,0x0bf603fc,0xb0017f60,0x5fd800bf,
    0xff8afd40,0x005fa800,0x4c17ff54,0x999bfe99,0x7cfdb700,0x3a9f300f,
    0x027dc00f,0x8fdc5f90,0x4fee02fd,0x807f61ff,0x3e6007f9,0x88ffa807,
    0x7fd400ff,0x3e00ff88,0x927ec2ff,0x3333339f,0xffa805fd,0x03fea000,
    0x400ffa80,0x00ff62fd,0x6c0007f6,0x00ff406f,0x6403fe00,0x1335fd1f,
    0x3333bf70,0x743fd033,0xfb80ff26,0x0fecbf73,0x4c00ff30,0x99fd007f,
    0x33fa009f,0x17fc04fc,0xfff92fdc,0x5fffffff,0x0017fc40,0x44005ff1,
    0x7fc402ff,0xf101bee0,0x7fcc000d,0x0003fe00,0xdf101ff0,0x437ffff4,
    0xfffffffb,0xf997ec1f,0xfb80ff24,0x3f63ff13,0x801fe601,0xff3007f9,
    0x3e6001ff,0x3fc00fff,0x3bf25fa8,0xfecccccc,0x0017f602,0xfd800bfb,
    0x446fa805,0x0ff200ff,0x207f9800,0xf80007f8,0x3a3fb80f,0xfb83cccf,
    0x0cccccce,0x21fb9fdc,0x8fee02fd,0x403fb5fc,0x3e6007f9,0x0bff6007,
    0x005ffb00,0xc97ea0ff,0x40bf603f,0x2a000ffa,0x3ea000ff,0x83fd800f,
    0x03fe03fe,0xbfd10098,0x00037cc0,0x07f407fc,0x4fb801fd,0x375bea00,
    0x7dc01ff1,0x3f63fe23,0x801fe601,0x3e6007f9,0x07f98007,0x97ea0ff0,
    0x0bf603fc,0x8800bfe2,0x3e2002ff,0xbff8802f,0x06fdaaaa,0xefc809f5,
    0x0effedee,0x00017ee0,0x3df303fe,0xb801fd33,0x3fe2004f,0x013f64fd,
    0xdcfc87f7,0x01fe601f,0x26007f98,0x7f98007f,0x3ea0ff00,0xfd80ff25,
    0x4005fd82,0x7ec005fd,0xffff5005,0x01ffffff,0xffb801fd,0x00beffff,
    0x200027e4,0xfffc87f9,0x5c00ffff,0x7fcc004f,0x00efeddf,0x3fe21fdc,
    0x1fe601fd,0x2007f980,0xf98007f9,0x2a0ff007,0xd80ff25f,0x007fd42f,
    0x4001ff50,0xfb000ffa,0xd999999b,0x005f987f,0xf0027e4c,0xfb80005f,
    0x6667fc46,0x7dc00ffc,0xfff88004,0x7f7004ef,0x403fffb0,0x3e6007f9,
    0x01fe6007,0x7c01fe60,0x7e4bf507,0xf88bf603,0x3fe2002f,0x0bfe2002,
    0x7007fc40,0x002fc8df,0xc8801fd8,0x3d9000ff,0xb85ff711,0x400fe84f,
    0xf98004fb,0x7dc0009c,0x41fff983,0xeeffeeed,0x7f776c3e,0x2603eeef,
    0x7f98007f,0x3ea0ff00,0xfd80ff25,0x3fffff22,0x322fffff,0xffffffff,
    0x3fff22ff,0x2fffffff,0xff980df5,0x2000df10,0x7ffdc07f,0x3ff6003f,
    0xfe84ffff,0xeeeefe81,0x7777fdc1,0x3f702eee,0x40fee000,0x7ff41ffd,
    0x44ffffff,0xfffffffe,0x01fe604f,0x7c01fe60,0x7e4bf507,0xfc8bf603,
    0xffffffff,0x3ffff22f,0x22ffffff,0xfffffffc,0x07fb2fff,0x0b267fd0,
    0x2a01e400,0xa8002cee,0xf981cddc,0xfffffd06,0xfffffb83,0x09703fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb80,0x15103fff,0x06a0014c,0x003ffd80,
    0x0014c151,0x02207bf6,0xeeeeb806,0xddd701ee,0x00003ddd,0x26000cc0,
    0xeeeeb801,0x260001ee,0x18809d31,0x0004c400,0x4c0004c4,0xfb835019,
    0x2eeeeeef,0xfd31bf30,0x00ffdc00,0x8037ffc4,0x07e98df9,0xfe817f60,
    0x75c13f21,0x701eeeee,0x83dddddd,0x220001fd,0xe8805ffe,0x775c05ff,
    0x0001eeee,0x80bf23fe,0xf3005ff8,0xfc8001df,0x0f7ec003,0x9f71ffec,
    0x3fff2000,0x3ff2002f,0xffdfa801,0xffff9001,0x00b2a005,0x02fe45fd,
    0xff800000,0x23b20005,0x476402f9,0x000002f9,0x07e8ff80,0x4c03ffcc,
    0x200efbef,0xcdfeccc8,0x00dfc803,0x27dcbfff,0x01553000,0x36007700,
    0x2003fdaf,0x26200aa9,0x18801999,0x00000018,0x8001bee0,0xbb00be5d,
    0x0000017c,0x0274ffc0,0x36201764,0x440bb30d,0x5fffffff,0x3201f5c0,
    0x013ee2ff,0x00000000,0x1bea3fe2,0x3fee0000,0x00001fff,0x7fffffdc,
    0x7fff43ff,0x264fffff,0x3ea0004f,0x7d400fdd,0xfd800fdd,0xff80003f,
    0x00000000,0x67ecccc0,0x22000009,0x00027dc0,0xf7007ffb,0x7fffffff,
    0x3fe2bf50,0x3fffee00,0x54c3ffff,0x2e01ffaa,0xffffffff,0x7777fdc3,
    0x776c2eee,0x73eeeffe,0x980001fd,0x993000cc,0xdfff1001,0xf3553000,
    0x5544001f,0xaaa8800a,0x366a6200,0x5551003f,0x9dfb8001,0x44019999,
    0xfb806fff,0x2eeeeeef,0x0ff62fd8,0xeeeeffb8,0x0ff402ee,0xddddff70,
    0x04fb85dd,0x3e0ff300,0x0330000d,0x554c0262,0xfdfa801a,0xfff7001f,
    0x3001ffff,0x07fffffd,0x3fffffa6,0x7ffff4c3,0x7f4c03ff,0x2003ffff,
    0xfffffffb,0x3f7ea01f,0x027dc01f,0x7dc1ff10,0x0013ee06,0x3ee01fe8,
    0x013ee004,0x2203fcc0,0xf806aa21,0xf98bf507,0x02ffffff,0x00ff6bf6,
    0x36afbff6,0x7fd400ff,0xa83ecabd,0x3ecabdff,0x32afffe6,0x3fea03ff,
    0x003ecabd,0x33333bee,0x2bf600cc,0x27dc03fd,0xf88df500,0x009f700f,
    0xf700ff40,0x027dc009,0x6c07f980,0x5ffffb8f,0x17ea0ff0,0xfd7579f5,
    0x51ff103f,0x1efa80df,0x3e200ff8,0x7ff1003f,0xf907fd00,0x00ffe207,
    0x0013ee00,0x1bea3fe2,0x6c009f70,0x703fe83f,0x7f40009f,0x8013ee01,
    0xf30004fb,0xdfdfd80f,0x7f83ffca,0x2008bf50,0x15fa83fe,0x17f401ff,
    0x3f200ff8,0x017f2005,0x1fe41bea,0x54005fc8,0x013ee0de,0x7fc57ea0,
    0x4013ee00,0xaaaabff8,0x09f706fd,0x700ff400,0x6fdc009f,0x40199999,
    0x7fec07f9,0x3fc37dc3,0x2e005fa8,0x362fd85f,0x403fe03f,0x0bfa00ff,
    0xb802fe80,0x207f903f,0x7f4002fe,0x0013ee4f,0x03fd8bf6,0x266677ee,
    0x7fffd419,0x80ffffff,0x99999dfb,0x201fe801,0x99999dfb,0xfffffb81,
    0x3e601fff,0x4c27ec07,0xf507f87f,0xfb99880b,0xf707fc45,0xf81fe20d,
    0x007fe00f,0xfd801ff8,0x3e07f902,0x7fe4001f,0x10013ee6,0x037dc1ff,
    0xfffffff7,0x666fec3f,0x83fecccc,0xfffffffb,0x00ff401f,0xfffffff7,
    0xccefb83f,0x2600cccc,0x417ec07f,0x507f87f8,0xfffd50bf,0x6fa8bfff,
    0x7cc07fc4,0xf803fe07,0x07fe001f,0x7e40ff60,0x8003ff03,0x13ee6ff8,
    0xf88df500,0x99df700f,0x3e219999,0x21bee00f,0xcccccefb,0x00ff400c,
    0x99999df7,0x004fb819,0xfd80ff30,0x0ff0ff02,0x9ff717ea,0xd8bf9557,
    0x883fe83f,0x0ff880ff,0xe800bfa0,0x04fc802f,0x0bfa07fb,0xfb93f600,
    0x2eeeeeef,0x3fe83fd8,0xf5009f70,0x40ff980d,0x3a0004fb,0x013ee01f,
    0x30004fb8,0x02fd80ff,0x501ff0ff,0x40ffc4bf,0x2ffe25fa,0x06fdaaaa,
    0x1ffd05ff,0x9002fe40,0x0df700bf,0x3f207ff7,0x0ffcc005,0xfffffff7,
    0xabff887f,0x706fdaaa,0x07fb009f,0x4fb87fd0,0x807fa000,0x3ee004fb,
    0x0ff30004,0x0ff02fd8,0x4bfd03ff,0x4bf706f9,0xfffffffa,0xdfc80fff,
    0x01fffb10,0x220e7fc4,0x20e7fc40,0x5c5ff308,0xff103fff,0x37208839,
    0x3f6003ff,0x7ffffd40,0xb80fffff,0x2600004f,0x004fb85f,0xfb807fa0,
    0x013ee004,0x3603fcc0,0xfd0ff02f,0x32ffec49,0x5ffc81ff,0x333337f6,
    0xf983fecc,0xfeaffdff,0x77ffdc00,0xffb83fed,0x363fedef,0xfbcfedff,
    0x3bffee03,0x37fe3fed,0x20bee001,0xcccccdfd,0x4fb83fec,0x41fa0000,
    0x3a0004fb,0x013ee01f,0x30004fb8,0x02fd80ff,0x9dff50ff,0xfe8bf7ff,
    0x5fdffdcf,0x7dc01ff1,0x5dffd306,0x366003f6,0x301effff,0x83dffffb,
    0x7f74effc,0xffffd980,0x7400021e,0x007fc41f,0x09f70df7,0x41be2000,
    0x3a0004fb,0x013ee01f,0xeeeeffb8,0x7776c2ee,0x6c3eeeff,0x2e0ff02f,
    0x5f89efff,0x4f7ffec4,0x80df55f8,0x02200ff9,0x00044000,0x00020022,
    0x00000220,0x3ea1dff7,0x207fcc06,0xeeeeeffb,0x77f4002e,0x7777fdc4,
    0x776c2eee,0x45eeeffe,0xeeeeeffb,0x7fffdc2e,0x7f43ffff,0x4fffffff,
    0x07f817ec,0x0060004c,0x7fd007fb,0x00000000,0x00000000,0xca800000,
    0xd007fb0c,0xffffb87f,0x4003ffff,0x7fdc3cb8,0x43ffffff,0xfffffffe,
    0x7fffdc7f,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x441303e9,0x02209800,0x100004c0,
    0x08826013,0x09882620,0x02aaaa60,0x13000808,0x02662000,0x30001331,
    0xa8831155,0x04026201,0x000c4004,0x44000130,0x0004c099,0xf02fc800,
    0x3e017e2b,0xf700bf15,0x3ea0003f,0x17e2bf05,0xef98ef98,0xffffe980,
    0x645fd06f,0x1ffec04f,0x213fe600,0x8800efd8,0x5ffffffd,0x103bffea,
    0x45fd01ff,0x3ff204fc,0xd801b52f,0xf98003ff,0x67ffcc4f,0x42fc8000,
    0x3fff207e,0xfffc802f,0x3ffd802f,0x20bf5000,0x402ffffc,0x880efff9,
    0x4baaacff,0x2fec7ff0,0x07fb7fb0,0x700bfe60,0x7fcc01df,0x15febabd,
    0xc89f73df,0x6c7ff02f,0xf79f305f,0xfd80bfff,0x26003fdb,0xfed882ff,
    0x7ec002ff,0x9500fa22,0x66540039,0x01bb3001,0xa817ea00,0xbd3001cc,
    0x0013ee01,0x80644175,0x00bb22eb,0x26001bb1,0x213f604e,0x7c5f55fa,
    0xba817e66,0x21803220,0x75c03cb8,0x2200bb22,0xfc8800dd,0x0bf6001f,
    0x00000000,0x3ea00000,0x80000005,0x000005fb,0x00000000,0xf507f980,
    0x27e8beeb,0x000000fe,0x00000000,0x406fd800,0x99bfe999,0x55440099,
    0x35553001,0x006aa200,0x2fdd54c4,0x004c4066,0x3e603551,0x0cc00aef,
    0x80cc0988,0x880cc098,0x9880cc09,0x3ea09f70,0x57e29f55,0x553002fc,
    0x0d54c003,0x00355300,0x3000d54c,0x3fe601ff,0xffffffff,0xffffd106,
    0x3ffe603d,0xd102ffff,0x203dffff,0xffffffd8,0x5fa83fc5,0xeffffe88,
    0xdffffa81,0x3ea0ff01,0x5fa83fc5,0x45fa83fc,0x32bf507f,0x74bf504f,
    0x5f99ffef,0xffffe980,0x3ffa601e,0x3a601eff,0x201effff,0x1effffe9,
    0x101ff880,0x99bff999,0x9ff10799,0x501ff953,0xffd7579f,0xa9cff883,
    0x7fc40ffc,0x45febacf,0x88bf507f,0xffca9cff,0xfffda880,0xbf507f85,
    0x8bf507f8,0xf8bf507f,0x3f2bf507,0x644bf503,0x801fd1de,0xfdbbcffa,
    0xbcffa82f,0xfa82ffdb,0x2ffdbbcf,0xdbbcffa8,0x3fd402ff,0x2005fb00,
    0x85fc83fd,0xfb0ffa00,0xfd8bf907,0x3e2fd40c,0xfd8bf507,0x4405fc83,
    0x83fc2ffb,0xa83fc5fa,0xfa83fc5f,0x5fa83fc5,0x17ee09f7,0xf8807f90,
    0x446fc82f,0x46fc82ff,0x6fc82ff8,0x7e417fc4,0x4ffbaa86,0x200bf600,
    0x0ff107f8,0x3e25fb80,0x7ccff107,0x7f8bf506,0x3fc4bf50,0xf9007f88,
    0xbf507f89,0x8bf507f8,0xf8bf507f,0x3eabf507,0x205ff986,0x5fb806f9,
    0x5fb87fe0,0x5fb87fe0,0x5fb87fe0,0xff887fe0,0x7ec002df,0x205fa802,
    0x4cc400ff,0x817ea5fb,0x209f50ff,0xa83fc5fa,0xf817ea5f,0x1ff4010f,
    0x22fd41fe,0xf8bf507f,0x7f8bf507,0x3fe2bf50,0x817ffe62,0x3fc800fe,
    0x3fc8bf60,0x3fc8bf60,0x3fc8bf60,0x1ff0bf60,0x00bf6000,0x3fffffee,
    0xea81ffff,0x25ffffff,0xfffffffb,0x09f91fff,0x20ff17ea,0x3ffee5fa,
    0x1fffffff,0xffb99bfb,0xf507f81d,0xbf507f8b,0x8bf507f8,0x64bf507f,
    0xfaefedff,0xf917f705,0x02fd81df,0x02fd93f2,0x02fd93f2,0x02fd93f2,
    0x00ff13f2,0x5c017ec0,0xccccccef,0x67fdc0cc,0x2e5fcaab,0xccccccef,
    0x209f90cc,0xa83fc5fa,0x333bee5f,0x90cccccc,0x19ffffff,0x17ea0ff0,
    0xf17ea0ff,0xff17ea0f,0xff917ea0,0x10bf51bf,0x3f33f2df,0xf9017f46,
    0xf9017f47,0xf9017f47,0xf9017f47,0x20006f87,0x7fa802fd,0x40ffc400,
    0x01fea5fa,0xbf705fb8,0x5fa80ff8,0x22001fea,0x07fc0099,0x03fe2fd4,
    0x01ff17ea,0x80ff8bf5,0xfa8305fa,0x5f89fd85,0x03fc83f6,0x03fc8bf6,
    0x03fc8bf6,0x03fc8bf6,0x00550bf6,0x4c027ec0,0x3e6002ff,0x7ccbf706,
    0x0ff5002f,0x1ff8bff3,0x3fe65fe8,0x80990002,0x45fe81ff,0x45fe81ff,
    0x45fe81ff,0x05fe81ff,0x4fb8bf50,0x70fdc9f3,0x83fe20df,0x1ff106fb,
    0xff8837dc,0x7c41bee0,0x6400000f,0xefd800ff,0x81ff3001,0x77ec5ffc,
    0x23ff8801,0x7f45fff9,0xb17ff624,0xf88003df,0xb127f406,0x24fe8bff,
    0x7f45ffd8,0xd17ff624,0x2ffec49f,0x3e25fa80,0x0fc97e26,0xfd10ffe2,
    0x443ff889,0x1ffc44fe,0xff113fa2,0x4c4fe887,0xf10000ee,0x10bb9dff,
    0xd999ffff,0xfb9ffd09,0xff88bfbf,0x44ecccff,0x9efeeffc,0x677fd45f,
    0x7c45fbff,0x4ecccfff,0xfa807f50,0x5fbffcef,0x7fe77fd4,0x77fd45fb,
    0x545fbffc,0xfbffceff,0x6cbf5005,0x7de7f41f,0xdceffa85,0xffa80eff,
    0x80effdce,0xffdceffa,0xceffa80e,0x7e40effd,0x3660003f,0x9105ffff,
    0x07dfffff,0x13dfffb1,0xfff910bf,0xff707dff,0x70bf31bf,0xbf13dfff,
    0xfffff910,0x007f207d,0x227bffee,0xefffb85f,0xffb85f89,0xb85f89ef,
    0x5f89efff,0x3eabf500,0x0dffe884,0x7dfffb30,0xefffd980,0x7ffecc03,
    0x7fecc03e,0x3ff503ef,0x00620000,0x06001988,0x800cc400,0x00098001,
    0x00001988,0x09800130,0x20004c00,0x00000009,0x01300044,0x30001300,
    0x00130001,0x00000011,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09988000,0x20003300,0x0c400099,
    0x09880cc0,0x02aa2098,0x01310660,0x09800202,0x02662000,0x4c002662,
    0x1004c401,0x000cc413,0x80801331,0x8000c400,0x33100009,0x6c40d401,
    0x07f800ef,0x531ff900,0x3fff2019,0x83fc1b52,0xf96f84fb,0xfb809fff,
    0x3fa0bf75,0x36013f22,0xf98003ff,0x1dfb104f,0x6c07fd00,0x23ff304f,
    0xf3004fe8,0x22fe809f,0xfff904fc,0xfd8036a5,0x7fcc003f,0x407ff204,
    0x3fc00efb,0x7ffd4400,0xcf980fff,0x7c5ffffb,0xff09f707,0x7ff95bf9,
    0x05fffb80,0x05fd8ffe,0x01fedfec,0x7005ff30,0x6fb801df,0xf301ff10,
    0x00ffa23f,0x7c017fcc,0x2617f63f,0x5ffffbcf,0x0ff6ff60,0x2017fcc0,
    0x3a601ffd,0x4003fc04,0x0aefffff,0x83cb8860,0xf09f707f,0x06fb85ff,
    0x5d404eb8,0xeb803220,0x2200bb22,0x3a6000dd,0x40ffc404,0x43db06fb,
    0xbb1002ec,0x882ea001,0x65c4300c,0xec8bae03,0x006ec402,0x80001ec4,
    0x9bc8007f,0x00001ffa,0x427dc1fe,0x01ff03ff,0x00000000,0x00000000,
    0x7fb09fb0,0x00000000,0x00000000,0x00000000,0xff00d54c,0x44005544,
    0x06606fe9,0x20ff04c4,0x207f84fb,0x554401fe,0x0d54400a,0x00355100,
    0x1000d544,0x7f980355,0x0cc07fc4,0x55300988,0x4c00d443,0xa9801aaa,
    0xaa9801aa,0xaaa9801a,0x302c8801,0x03dffffd,0x3ffff2ff,0xffffb104,
    0x541fe07f,0x7dc1fe5f,0x3f607f84,0xffffd302,0xfffd107f,0x7f4403df,
    0x2201efff,0x01effffe,0x3bffffa2,0xfb8bfa01,0x3ea0ff05,0xcffffe85,
    0x980efffa,0x2fffffff,0xffffff98,0xffff982f,0xff982fff,0x202fffff,
    0xcffa85f8,0x7c2ffdbb,0xffcadfdf,0x55f7fcc3,0x07f80ffc,0xb83fcbf5,
    0x3a07f84f,0xbdffa81f,0x7fc43eca,0x80ffca9c,0xfca9cff8,0x9cff880f,
    0xf880ffca,0x0ffca9cf,0x0ff4bf70,0x0bf507f8,0xdffd757d,0x9f509f95,
    0x83ffd757,0xfebabcfa,0x55e7d41f,0x7d41ffeb,0x1ffebabc,0xff88bf30,
    0x7fc6fc82,0x3637dc2f,0xf83fe84f,0x7fcbf507,0x7f84fb80,0xff103fe0,
    0x20ff6007,0x83fd85fc,0x83fd85fc,0x83fd85fc,0x1ff105fc,0x83fc0df3,
    0xffa805fa,0xe8021fe1,0x7fd0043f,0x10ffa008,0x6441ff40,0xf02fdc5f,
    0xf81ffc3f,0x2a0df30f,0xf507f86f,0x3a217fcb,0xf507f84f,0x200bf90d,
    0x8ff107f8,0x8ff107f8,0x8ff107f8,0x0ff107f8,0x027e5fec,0x017ea0ff,
    0x01fd1fe2,0x7002fdc0,0x2fdc00bf,0x6ccbf700,0x1fe46fff,0x03fc5fb0,
    0x413ee3fd,0x83fc0ff8,0x893fe5fa,0x87f86ffd,0x2fe82fea,0x7c0bf500,
    0xf817ea0f,0xf817ea0f,0xf817ea0f,0xffdf500f,0xfa83fc01,0x4f7cc405,
    0x4401fd99,0x4405fb99,0x4405fb99,0x4405fb99,0xff15fb99,0x05fb0139,
    0x40ff27e4,0x407f92fd,0xa83fc1ff,0x33fffe5f,0x20dffaff,0xfffcdfff,
    0x2003ff04,0xfffffffb,0x3fee1fff,0xffffffff,0x3ffffee1,0x2e1fffff,
    0xffffffff,0x3ffa01ff,0xfa83fc05,0xffffe985,0x81ffffff,0xffffffea,
    0xffffea85,0xffea85ff,0xea85ffff,0x55ffffff,0x02fe80df,0x207f8ff2,
    0x407fb1fe,0xa83fc1ff,0x3ff7fe5f,0x7c1ff51e,0x01dfffff,0x7dc007fe,
    0xccccccce,0x333bee0c,0x20cccccc,0xcccccefb,0x3bee0ccc,0xcccccccc,
    0x007fee00,0x117ea0ff,0x5df77bff,0xfb815555,0x5fcaabcf,0x555e7fdc,
    0x67fdc5fc,0x5c5fcaab,0xfcaabcff,0xfc80df75,0x7f8bf603,0x27e43fe0,
    0x7fc0ff88,0x5fe5fa80,0x17f81008,0x00bfa001,0x2a003fd4,0x3fd4007f,
    0x001fea00,0xff00df90,0xfb8bf501,0x2201fe25,0x25fa81ff,0x5fa81ff8,
    0x3ea07fe2,0x2a07fe25,0xb80ff55f,0x41ff106f,0x54df507f,0xf0df506f,
    0x7cbfd03f,0x007f8007,0xf3005fc8,0x7fcc005f,0x0bfe6002,0x002ff980,
    0xf005ff10,0xc8bfd03f,0x003fe23f,0x97ee0df3,0x4bf706f9,0x4bf706f9,
    0x2bf706f9,0x3e204ff8,0x227f443f,0x42fe887f,0x17f444ff,0xffb127f4,
    0x7c003fcb,0xcff88007,0x3bf60441,0x07bf6001,0x001efd80,0x30007bf6,
    0x3fa009fd,0x517ff624,0x027ff49f,0xff903fe6,0x3207fccb,0x03fe65ff,
    0x7fccbff9,0xf52ffe40,0x3fea03bf,0x40effdce,0xffdcdfff,0xdceffa84,
    0xdff505ff,0x7cbf7ff9,0x007f8007,0xdbdfff70,0xffff887f,0xf884eccc,
    0x4ecccfff,0xccffff88,0xfff884ec,0x264ecccf,0x2005ffee,0xbffceffa,
    0x767fc45f,0x5cceffaf,0xffdcffe8,0x67ff45fd,0x745fdffd,0xfdffdcff,
    0x7ee7ff45,0x7fd45fdf,0xffd987ff,0xffb703ef,0x74c05bff,0x5c03ffff,
    0x5f89efff,0x1fe001fe,0xfffd9800,0xffc881ef,0x9103efff,0x07dfffff,
    0x3fffff22,0xfff9103e,0x7fcc7dff,0xffb8002e,0xb85f89ef,0xffd51efe,
    0xfffb10bf,0xd88bf13d,0x5f89efff,0x4f7ffec4,0x7fec45f8,0x885f89ef,
    0x04c07edb,0x26000200,0x0004c000,0x40000000,0x06620008,0x80033100,
    0x4c400198,0x98000001,0x18804000,0x03000300,0x03000300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01331000,0x001aa980,0x2098804c,0x98800aa8,0x4c406620,
    0x009999aa,0x40004413,0x09880998,0x4c130262,0x260980aa,0x133100aa,
    0x01f44000,0x26006aa2,0x304ccccc,0x00620003,0x10133100,0xb804c413,
    0x077ec44e,0x7ffff4c0,0x3ffd801e,0xffd8afb8,0x3fe601ff,0xf509fd11,
    0xbfffffff,0x02fc57e0,0x4c13fe60,0x40ef98ef,0xffffd8ef,0x7fec77c4,
    0xefd884ff,0x03f70000,0x3bffffa2,0x3fffea01,0x000ff07f,0x36a5fff9,
    0x04ff9800,0x1df31df3,0x2e0fffe0,0x3fe600ef,0x406febac,0x5c3fdbfd,
    0xfebcfecf,0x223ff307,0xbffa83fe,0x01affd99,0x005ffff9,0x26017fcc,
    0xff80efff,0x1ffdacfd,0x36b3f7fe,0x1df701ff,0x1baaa600,0x654e7fc4,
    0x640000ff,0x04cccffc,0x7ffde7cc,0x2ff9805f,0x077ffcc0,0x260bffb0,
    0x10ff604e,0x8bae03ff,0x3bfee2ec,0x76c17fc1,0x7f40bb21,0x5401ff82,
    0x362001cc,0x1bd3000d,0xfb0bffe0,0x3617ffc9,0x013a604f,0x3ffffff5,
    0xbf907fb0,0xffff8000,0x21807fff,0xd8803cb8,0x1bd3000d,0x005ff880,
    0x3fa03fe0,0x7fdc0001,0x0003fe81,0x7fb01ff0,0x00000000,0xb82ff800,
    0x2e0bfe5f,0x7d40005f,0x1fffdacf,0x3fc41fe2,0x40355530,0x0000007f,
    0xf8000000,0x1aaa983f,0x6fb87f88,0x0aaaa980,0x0d4c13ee,0xf8035530,
    0x402fe81f,0x26001aa9,0x4c00aaaa,0x3fc0aaaa,0x41fe5fa8,0x4ccc45fa,
    0x43ff1019,0x3ea6fcee,0xf303fe05,0x05ffffff,0x998800ff,0x304c0199,
    0x98260155,0x3fea00aa,0x3ffffe60,0x91fe62ff,0x7f4c03ff,0x3ee6ffff,
    0xffe98004,0xbfb01eff,0xd300ffa8,0x403dffff,0x6fffffe9,0xfffffd30,
    0xbf507f8d,0x45fa83fc,0x81fffffb,0x753e65fb,0xfffff70f,0xa83fffff,
    0xffebabcf,0xcec8bfc1,0xfffff701,0x7ec77c03,0x8ef84fff,0x644ffffd,
    0x67d42ffd,0x31ffebab,0x0077dcff,0x75559ff1,0x20027dc9,0xfdbbcffa,
    0xceff982f,0xff502ffe,0x05ffb779,0x75559ff1,0x559ff109,0x507f8975,
    0xfa83fcbf,0x7fe664c5,0x3ee2fc81,0x3bee5fb1,0xcccccccc,0x87fd0040,
    0xfffff9ff,0xffccc986,0x33f7fe01,0x7fc1ffda,0x1ffdacfd,0x0101bdf1,
    0x27f99ff4,0x27dc01fe,0x10027dc0,0x0df905ff,0x19dfd7fd,0x320bfe20,
    0x004fb86f,0x3fc013ee,0x41fe5fa8,0x0ff405fa,0x64dd0ff4,0x000ff53f,
    0x7fc5fb80,0x07ff51ef,0x3fe01fe8,0x3e27ec2f,0x127ec2ff,0x9afdc000,
    0x700bfa7f,0x09f700bf,0xff02fdc0,0x2002fcc3,0x07fe05fb,0x7dc00bf7,
    0x2a0ff005,0x7d41fe5f,0x6c0ff405,0x7e49f32f,0x0005ff33,0x45fb9988,
    0x27e40eff,0xff807fa0,0x7fc5fb82,0x0005fb82,0x4d7ee662,0x80bfee7f,
    0x700aeff9,0x1fe4009f,0x7fd45fb0,0x3fc8019a,0xff30bf60,0xff98015d,
    0x41fe00ae,0x541fe5fa,0x40ff405f,0x6c3f73fb,0x007bf62f,0xfffffd50,
    0xa80ff8bf,0x00ff405f,0xf17ea0ff,0xea97ea0f,0xfffd500d,0x1fe6bfff,
    0x7d409ffb,0x7dc1dfff,0x80bf6004,0x7fff44fc,0x6c1cffff,0x213f202f,
    0x01dffffa,0x077fffea,0xf2fd41fe,0xd017ea0f,0x3adf503f,0xf883fe26,
    0x4ecccfff,0xaabcffb8,0xa83fc5fc,0x00ff405f,0xf17ea0ff,0xff97ea0f,
    0xbcffb85f,0xff35fcaa,0x4409ff70,0x2e5fffda,0x0bfa004f,0x77e43fc8,
    0x0fffeeed,0x3fc80bfa,0xbfffb510,0x7ffed440,0x5fa83fc5,0x02fd41fe,
    0x3fe207fa,0x213f64fd,0xffffffc8,0x540ffc43,0xfa83fc5f,0xf00ff405,
    0xff17ea0f,0xfff97ea0,0x540ffc45,0x2a0ff35f,0xfb8801ff,0x3f20002f,
    0xfa8bf603,0x647ff106,0x00bf603f,0x200bfee2,0x7002ffb8,0xe80000bf,
    0xbfff301f,0x8801dfdb,0x0df304fb,0x20ff17ee,0x0ff405fa,0x17ea0ff0,
    0xb97ea0ff,0x837cc1ff,0x40ff35fb,0x3f2002fe,0xfb809904,0x6c1ff106,
    0xb93f203f,0x01ff106f,0x90027e40,0x0ff6009f,0x7f4004c8,0x3fffe201,
    0x81fa004e,0x7fe40ff9,0x5fa83fc5,0xff00ff40,0x0ff17ea0,0x7cc017ea,
    0x9affe40f,0x83fd107f,0x220ffa00,0x1ffc406f,0xdfb13fa2,0xf88bfe60,
    0x427f443f,0x010ffa00,0x7d401ff4,0x00df101f,0x3e601fe8,0x7cc0009c,
    0x6e7ff406,0x3fc5fdff,0x7f405fa8,0x7d41fe01,0x5fa83fc5,0x373ffa00,
    0xff35fdff,0x42ffee6c,0xffdccdfd,0x803fa80e,0xffdceffa,0x77ffcc0e,
    0xa84ffecc,0xeffdceff,0xdccdfd80,0x6fec0eff,0x00effdcc,0xa813ffe2,
    0x7776c03f,0x5c5eeeff,0x3fa0001f,0xfffb104e,0x7f8bf13d,0xeed8bf50,
    0x45eeeffe,0xf8bf507f,0x400bf507,0x89efffd8,0x7fcff35f,0xfff904ff,
    0x32019fff,0xffb3001f,0x7e4c07df,0x201defff,0x03efffd9,0x3ffffff2,
    0xffffc80c,0x7c400cff,0x00fe402e,0x3ffffffa,0x0025c7ff,0x200f2e20,
    0x2a0ff001,0x7ffff45f,0x3fc7ffff,0x83fc5fa8,0x030005fa,0x98800600,
    0x40000009,0x00080009,0x4c400130,0x13310009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa6000,0xcccc9801,
    0x9988004c,0x05bdb700,0x4c000100,0x00008000,0x4c401331,0x098809aa,
    0x33310262,0x00440033,0x353004c0,0x2204c401,0x1026202a,0x004c4055,
    0x00440018,0x2606aa62,0x2fffffff,0x3ffffea0,0x27fcc007,0x7fffff44,
    0xfffd9803,0x202fffff,0x64401ffb,0x004efffe,0x3a609ff3,0x984fffff,
    0x40ef98ef,0x01fffffb,0x37ffff66,0x03ffd801,0xf101fffd,0x837fdc1f,
    0x3fee0ff8,0x201ff106,0xcffffec8,0x9dffd900,0x3ffffee0,0x2eaf3ea1,
    0x00001ffe,0x640bfe60,0x01ff70df,0x7fef7fdc,0x3601eeee,0x3fa603ff,
    0x00fffeff,0xf9817fcc,0x02baacff,0x301dfff3,0x203ff555,0xffddfff9,
    0x36ff601f,0x07f9083f,0x7efdc5f9,0x7dc5f906,0x05f906fd,0x3fbfffea,
    0x7ff441ff,0x4c0effee,0x026fc9ab,0x00003fe8,0x7401bb10,0x980ffc2f,
    0x00bf62ff,0xf100dd98,0x00b883df,0xfe803762,0x0de98004,0x3a03fd00,
    0x705fe84f,0x2617645d,0x2fcc0eec,0x7cc37ca2,0x986f9445,0x1bff505f,
    0x77ec1b88,0x3017fa60,0x17ee00df,0x00035530,0xff85fd00,0xfd87fb00,
    0x7ec00002,0x44000005,0x000001ff,0xff103fd0,0x000df501,0xe87ffd50,
    0x3a1be00f,0x3a1be00f,0x009fd00f,0x7c407fd4,0x7f5d441f,0x3ee66202,
    0xffffd305,0x2666203d,0x72fe4019,0x03fe20df,0x998805fb,0x30999999,
    0x988003ff,0xf502aa20,0x104c400d,0x1fe80155,0x5c0ffc73,0x9999884f,
    0x326f9801,0x3237c02f,0x3237c02f,0x00df702f,0x3f604fd8,0x177ffcc4,
    0x3fffffaa,0xbcffa85f,0xfb82ffdb,0x2601ffff,0x00ffcaff,0x05fb0df3,
    0xffffffe8,0x00bf73ff,0xffb15f70,0x02fdc3ff,0xffb15f70,0x5ff403ff,
    0x83bf25fd,0xffb82ff9,0xd9901fff,0x2017e69f,0x2017e66f,0xd817e66f,
    0x0ffc003f,0x7330bf70,0x33fee3ff,0x445fcaab,0x86fc82ff,0x01ffccc9,
    0x006fffe4,0x37fb09f5,0x99997033,0x3f25ffb9,0xecfb8004,0x2e7febcf,
    0x33ee005f,0x07febcfe,0x8877fffa,0x3ffccffd,0x3ff99930,0xfe8fbb60,
    0x3fa3c800,0x3fa3c800,0x8007fe00,0x3ea00ff8,0x7c5ff406,0x5c5fa81f,
    0x007fe05f,0x7f4c03fd,0xb86a60ff,0xffffd84f,0x49fd000f,0xfb8003fd,
    0xb97fc1ef,0x3fee005f,0x2217fc1e,0x3201dffd,0x2002ffff,0x3f2001fe,
    0x03fc8003,0x2203fc80,0x777740ff,0x980ff31e,0x32a6667f,0x706f99ff,
    0x203fc8bf,0x0ff402fd,0x5ffcff98,0x84fc8bf6,0x004ccdfd,0x03fe8df9,
    0xe81ffb80,0x400bf73f,0x3fe81ffb,0x03ffff91,0x7fff7f4c,0x003fd002,
    0x26001be6,0x6f98006f,0x3a07fc40,0xff32ffee,0x3f27f980,0xff32ffff,
    0x6c5ffc81,0x013f202f,0x4ff603fd,0x43fd3ff9,0x02fd84fb,0x3607fd40,
    0x4fb8004f,0x17ee3530,0x5304fb80,0x3fa77ea3,0x227ff501,0xfe802ffd,
    0x001fd001,0x80041fd0,0x1ff800fe,0x7fc4bf60,0xa99bea00,0xcffe82aa,
    0x745fdffd,0x00ff202f,0x1ff103fd,0x07fd7fdc,0x05fb0bf5,0x6417fc40,
    0x4fb8005f,0x400bf700,0x433004fb,0x05ff01fe,0x3fd00ff9,0x3e27f700,
    0xc9fdc07f,0x3ee01eff,0xfd0fff13,0xff17ec05,0x002fdc01,0x27bfff62,
    0x01fe45f8,0x1fe805fb,0xffc87f98,0x207fcc6f,0x3fa002fd,0x001ff503,
    0xf7004fb8,0x027dc00b,0xf981fe80,0x803ff106,0x37c401fe,0x7c40fdfb,
    0x417eefa6,0x1fbf66f8,0x2fd817f6,0x3fd80ffa,0x3333332e,0x20fe4182,
    0x1ff106fb,0xf881fe80,0x83ffe80f,0x017ec2fe,0x7fc05fd8,0x027dc004,
    0x2e005fb8,0x3fd0004f,0x3e20df70,0x00ff400f,0x75fd47f6,0x7c07f607,
    0x3ea3fb06,0x1ff987eb,0x37dc5fb0,0x3f60ff98,0x403fffff,0x3ff884fa,
    0x74027f44,0xa8bfd01f,0xffb85ffe,0x2e00bf61,0x7fdc00ef,0x2e05440d,
    0x0bf7004f,0x80027dc0,0x2ff981fe,0xfe807fc8,0x7c53ee01,0x13ee0fd6,
    0xa7dc1fec,0x360fd6f8,0x22fd82ff,0x7f445ff8,0x555554c4,0x81fe400a,
    0xffdceffa,0x01fe800e,0xffdbdff5,0xffb07ffd,0xddddff9d,0x001ff983,
    0xfdddfff9,0x004fb81f,0x7dc00bf7,0x03fd0004,0x3b33bff6,0x1fe801ff,
    0x77dcdf10,0x3e20effe,0x883fe886,0x3fbbee6f,0x7fec40ef,0x42ffedef,
    0xffedfffa,0x2600000d,0xfd981eff,0x3b603eff,0x5eeeffee,0x9f7ffecc,
    0xfeb82ffb,0x2fffffff,0x77777ff4,0xffd985ee,0x4fb83dff,0x400bf700,
    0xddb004fb,0x8bdddffd,0x1dfffffb,0xdffdddb0,0x30fecbdd,0x419ff999,
    0x77fc41fd,0x987f60cc,0x00cffccc,0x9dffffd5,0xdfffb301,0x26000007,
    0x004c01cb,0x7ffffff4,0x000207ff,0x7ffc0030,0x06ffffff,0x13ee0044,
    0x7002fdc0,0x3ffa009f,0x07ffffff,0x3ffa0026,0x57ffffff,0x547e809f,
    0xffff984f,0xe809f50f,0x00262007,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09801331,0x20004c00,0x00c40080,0x009880cc,0x8817a200,0x76c19999,
    0x13553000,0x98088260,0x00350001,0x104c4131,0x00800013,0x01999988,
    0x04c00220,0x02666660,0x09ff3000,0xdffffd91,0x03ffd801,0x27e45fd0,
    0xb52fffc8,0x5fa83fc1,0x813ea000,0x11fffffb,0xffd500df,0x457e0dff,
    0x8007f85f,0x7cc01ffc,0x360ef98e,0xec88002f,0xff703dff,0xeb803fff,
    0xfea83eff,0x7cc2efff,0x0003ffff,0x3e60bfe6,0x0feeefff,0x0ff6ff60,
    0x5fd8ffe0,0xfffbcf98,0xfa83fc5f,0x643fc405,0x2aaa601f,0x807f51ff,
    0x3cabeff9,0x05ffff90,0xffb000ff,0xdfff3007,0x4002fd81,0xfecbdff9,
    0x7d554c0e,0x37ff601f,0x77e45ffd,0x222fffed,0x003fdaaa,0x3e01bb10,
    0x2e0080cf,0x500bb22e,0x18064417,0x1fe0f2e2,0x3e202fd4,0x74005d87,
    0xd801d71f,0x6654005f,0x3000ff01,0x3a6001bd,0x002fd80d,0x3ee07fe6,
    0xc80ff406,0x8bfe60ef,0x207fd880,0x000003fc,0x00001ff3,0x00000000,
    0x0bf507f8,0x00007f88,0xff8003fd,0x7f800002,0x00000000,0x7ec005fb,
    0xe80fee01,0x80ff881f,0xff9806fa,0x4007f900,0x99999998,0x400ff509,
    0x81880098,0x40199998,0x202aa609,0x80bf507f,0xd00007f8,0x0ff8003f,
    0x19999880,0x81a99fe0,0x40199998,0x99999998,0x2605fb09,0x75cbf309,
    0x740ff1ef,0x305fb81f,0x7f8803ff,0xe800ff20,0xffffffff,0x2009ff13,
    0x1fe804fb,0x0fffffdc,0xfffb1df0,0xf507f89f,0x007f880b,0x4003fd00,
    0xfb800ff8,0xff01ffff,0x47dfffb1,0x01fffffb,0x3ffffffa,0x885fb3ff,
    0x23f70efe,0xf92ccffc,0x3207fa03,0x2fffa83f,0xf902fd40,0x6665c007,
    0x322ffdcc,0x7cc02eff,0xc987f805,0x3e01ffcc,0xffdacfdf,0x2fd41fe1,
    0x0001fe20,0x2aa00ff4,0xaaabffba,0x7e664c0a,0x9fbff01f,0x3263ffb5,
    0x2e01ffcc,0xffdccccc,0x7f445fb2,0x3e23f20e,0x3a05f507,0x6c2fd81f,
    0x7303feff,0x1fe401df,0x427f4000,0x80cffffb,0xf104c6f8,0x403fd00d,
    0x27ec2fff,0x0bf501ff,0x00007f88,0xfff803fd,0xffffffff,0xf80ff403,
    0x827ec2ff,0xfe8001fe,0xdfd8bf64,0x04f9bec0,0x07fa07f3,0x77f4c7fa,
    0x7ffc4fb9,0x1fe401ff,0x7e400544,0x3ffae206,0x3e27f82f,0x3a017e66,
    0x20bfe01f,0x207fe5fb,0x3fc405fe,0x01fe8000,0x4ffccccc,0x74009999,
    0x705ff01f,0x007fa0bf,0x2fd8df90,0x4df60bfb,0x207f304f,0xb9fe81fe,
    0x913ee4ff,0x409ffdb9,0x7ffcc3fc,0x003fea00,0x3a17ff54,0x2a3ff70f,
    0x01fe804f,0xd2fd41fe,0x2ffec49f,0x0001fe20,0xf1000ff4,0x3fd0001f,
    0x2fd41fe0,0x2a001fe8,0x6d7ec0ff,0x7c3f205f,0x3a05f506,0xffefd81f,
    0x2601fe42,0x87f903ff,0xf102fffb,0xdfb0005f,0x7ffb1fd8,0x3fa00fee,
    0x7d41fe01,0x3f3bfea5,0x7c405fbf,0x3fd00007,0x007fc400,0x7f80ff40,
    0x3fa0bf50,0x05ff1001,0x401ffbfb,0x97df91fb,0x7f407ee5,0x80effc81,
    0x6fa802fd,0xff987f90,0x007fd01f,0xfc83fe60,0xf76fcf8a,0x403fd005,
    0xb8bf507f,0x5f89efff,0x0003fc40,0x22001fe8,0xfe8000ff,0x3ea0ff01,
    0x2003fd05,0xb5fb03fe,0x57e601df,0xfd2efeb8,0x7dc0ff40,0x2007fe06,
    0x07f906f9,0x17f60395,0x5c7f9800,0x9fc9fbbf,0x1fe801fc,0x2fd41fe0,
    0x00bee098,0x20000ff1,0x3e2001fe,0x1fe8000f,0x17ea0ff0,0x7ec00ff4,
    0x7f4bf605,0xa807f605,0x207fa03f,0x6fa80ff8,0x320bf700,0x77dc003f,
    0x74402600,0xb6e7cc5f,0xd007dcf9,0xa83fc03f,0x04f9805f,0x00007f88,
    0x7c4003fd,0x1fe8000f,0x17ea0ff0,0x3ee00ff4,0x44bf600e,0x3ff305fe,
    0xfe80ff50,0xf98bfb01,0x1ffa802f,0x4c007f90,0x77e401ff,0x0effedee,
    0xfd27f7c4,0x07fa00fd,0x0bf507f8,0xf1007f70,0x3fa0000f,0x03fe2001,
    0x7c07fa00,0x3a0bf507,0x07fe601f,0x7fc45fb0,0x77bff504,0xfe801dfb,
    0xb9ffd101,0xccdd89ff,0x3203ffed,0x3ffa003f,0x75eeeeee,0x7dffffff,
    0xc87ffe01,0xdddb05ff,0xf8bdddff,0x300bf507,0x7c405dff,0x6eeeeeef,
    0x3ffbbb60,0x7c405eee,0xeeed800f,0x3e5eeeff,0x3b6bf507,0x5eeeffee,
    0x77777ff4,0x985fb5ee,0xfdb104ff,0x3bb609df,0x45eeeffe,0x83efffd8,
    0x0cffffff,0x77ff775c,0x3fe00eee,0x6fffffff,0xfd001998,0xd04ff98d,
    0xffffffff,0xbf507f8f,0x8072e600,0xfffffff8,0x3fffa07f,0x407fffff,
    0xfe800ff8,0x7fffffff,0xeafd41fe,0xffffffff,0x7fffffc7,0x05fb6fff,
    0x00807ff5,0xffffffe8,0x200207ff,0x7fe40199,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33260000,0x32604ccc,0x0004cccc,0x0aaaa980,0x80555440,
    0x44ccccc9,0x0bf603fc,0x80000020,0x21ffedb8,0xfffffffc,0xff700205,
    0x64ffffff,0x80bf603f,0x7ffffc00,0xf4ffffff,0xffffffff,0x22004bff,
    0xb80bfe20,0x005f906f,0x1fffffea,0x7fffffa8,0x4c02fc80,0x06fffffe,
    0x7fffffd3,0xffffff50,0x3f603fc8,0xbfffd702,0x027f5401,0x7fffffdc,
    0x3fffff21,0x7fecc5ff,0xfffb82ef,0x3f27ffff,0xb10bf603,0x5f05dfff,
    0x33333333,0x3ffffe99,0x75ffffff,0x717ec07f,0x3ff101ff,0x0000bf60,
    0x7ec00000,0x2b3fe202,0xffa84baa,0x003ecabd,0xfd80ff20,0xecdffd82,
    0x7ff540ff,0x67fdc04f,0x25fb8001,0xffeefffb,0x6401fdc2,0x98bf603f,
    0x4ffdceff,0x40bcb8fc,0x40ff304b,0x7d410ffa,0x6427f40f,0x00bf604f,
    0x40000000,0x13ee02fd,0x001ffc40,0xb01fe400,0x40ffa85f,0x37ffa22a,
    0x3fe604fe,0x97ee0000,0x07fe41ec,0x7f9007f7,0xff897ec0,0x3f07fcc2,
    0x4b8ffb2e,0xfc80ff30,0x2ffeffee,0x3e60ff98,0x7f4ccc0f,0x4c09999b,
    0x44013101,0x266601aa,0x09999bfe,0x3f200bf7,0x26662005,0x407f9019,
    0x01fec2fd,0x09fb2ef8,0x200017ec,0x7c4045fb,0x200fee1f,0x4bf603fc,
    0x49f905fb,0x972fb81f,0x3a01fe60,0x05fffeff,0x43fd97f6,0xfffffff9,
    0x83fc6fff,0xffe885fa,0x7fcc1eff,0xffffffff,0x015dff36,0xf70017f4,
    0xf903ffff,0x3a17ec07,0xfd83001f,0x0001fe04,0x7f4017ee,0x3200fee2,
    0x64bf603f,0x7cdf303f,0x412e9d01,0x7fc407f9,0xf881ff22,0xc886fa9f,
    0xcccdffcc,0xfa83fc3c,0x54e7fc45,0x33220ffc,0xccccdffc,0x37fffea3,
    0x2001ff81,0x81ffccc9,0x0bf603fc,0x360003ff,0x71bf304f,0x20017bd9,
    0x3ff005fb,0x0d666fdc,0x5fb01fe4,0x3fc40ff6,0x25d3e03f,0x7dc07f98,
    0x700ffc45,0xb003fdbf,0x20ff005f,0x41fec5fa,0x0bf605fc,0x3fff6a20,
    0x0000ffc5,0x07f903fd,0x07fe17ec,0xa827ec00,0xffffffff,0x05fb801f,
    0x3ee0ff98,0x21efffff,0x4bf603fc,0x43fe05fc,0x43faea1f,0x3fffee4b,
    0x7e41ffff,0x7402fe83,0x5fb004ff,0x3ea0ff00,0x7c41fe25,0x000bf607,
    0x7f45ff71,0x07fa0002,0x2fd80ff2,0xddddffdb,0x09fb007d,0xd8833fee,
    0x05fb806f,0x4cc44fe8,0x91ffecb9,0x997ec07f,0x7fe4c3ff,0x05ef43f0,
    0x7f775497,0x7e40eeef,0x5402fd84,0x266200ff,0x81999bfe,0x54bf507f,
    0x403fe05f,0xf90002fd,0x0002fe49,0x07f903fd,0xfffe97ec,0x804fffff,
    0x0bf704fd,0xf7007fe2,0x006fc80b,0x1fe53fe2,0x7fdc5fb0,0x27ffffef,
    0x12e0ba1f,0x3ee03fcc,0x7c0ffc46,0xffffffff,0x7ffffec5,0x07f87fff,
    0x7ffdcbf5,0x1fffffff,0x00405fb0,0x67fcc7fd,0x3fa00441,0x3603fc81,
    0x000ffc2f,0xdf504fd8,0x2e017f40,0x03bf205f,0x3f2df900,0x930bf603,
    0x4df17bdb,0x12e06e1f,0x3e603fcc,0x20dfb0bf,0xccffdccc,0x7fe65c3c,
    0x7f84cccd,0x77dcbf50,0xcccccccc,0x6c05fb00,0xeffdccdf,0x6f7ffdc0,
    0x0ff403fe,0x5fd01fe4,0xb0001ff8,0x81fe609f,0x27e402fd,0x8000ffc8,
    0x409f95fb,0xbf3001ff,0x12e030fc,0x3e203fcc,0x05ffffff,0x36007f98,
    0x80ff802f,0x01fea5fa,0x3202fd80,0x0cffffff,0xdffffb30,0xc81fe803,
    0xf07fe03f,0x3f60003f,0x203ff104,0x1ff401ff,0x800077e4,0x20df73fd,
    0xf9000ff9,0x85f98fc7,0x80ff304b,0xecffddfd,0xfbaaa83f,0x3601aaaf,
    0x81ff804f,0x0bfe65fe,0x4027ec00,0x3a006fa8,0x07fa001f,0x7fdc0ff2,
    0x8000ffc0,0x17f204fd,0x5c1b97f2,0x077e40ff,0x877e4400,0x7ecc3ff8,
    0xf8df5004,0x09705b11,0xffb81fe6,0x7c1ff980,0xffffffff,0x003ff205,
    0x7fec49fd,0x000f7ec5,0x54007fe4,0x0df1004f,0xfc81fe80,0x7ffd9d33,
    0x20003ff0,0x3fa204fd,0x20ffecce,0x3fffeffd,0x6c0077e4,0x1fffeccd,
    0x7f677fdc,0x7ecc00ef,0x4ccd7c1f,0x04c99999,0x17d40ff3,0x99983d90,
    0x00999ffa,0x373bffe2,0x7e77fd45,0x7fc45fbf,0x04ecccff,0x373bffe2,
    0x5001fc85,0xeeed809f,0xf95eeeff,0x0fbffe27,0xddddffdb,0x7ff41ddd,
    0x0fffffff,0x67fffec4,0x77fff540,0x7ffffcc2,0xfd1fffff,0x5407dfff,
    0x904ffffe,0x03bffffd,0xffffffff,0x3e609fff,0x40000407,0x6cc007f9,
    0xfb85ffff,0x85f89eff,0xefffffc8,0x7ffecc03,0x2004b85f,0x7ff401c9,
    0x07ffffff,0x3ffffa00,0x20ffffff,0xfffffffe,0x002200ff,0xfff98062,
    0x1fffffff,0x26000666,0x66f7ec00,0x00000002,0x00000000,0x04c00c40,
    0x000cc400,0x00000188,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x22ffb80f,0x1cefffff,
    0x817ff400,0xbceffff9,0xffffff80,0xf95fffff,0xffffffff,0xfd1f603f,
    0x98009f90,0x30ff106f,0x179dffff,0x7fffcc00,0x3ffee7ff,0x203fffff,
    0x7fc03ffd,0xc82defff,0x03ceffff,0xfffffff7,0x0007fc7f,0x5bdfffff,
    0xffffffd0,0x0fff69ff,0xeff8fffa,0x003ffffe,0x2605fff9,0xffffeeff,
    0x7fffffc2,0xf95fffff,0xffffffff,0xdf1fa03f,0x98009f90,0x30ff106f,
    0xffffddff,0x3fff2005,0x3fee6eee,0x03ffffff,0xf80dfff1,0x6fffeeef,
    0x7ff777e4,0x77fdc2ef,0x3e2eeeee,0x3bfe000f,0x6c6fffee,0xeeeffeee,
    0xf98dffb3,0x987fe3fe,0x7cc01ffc,0xdf302fee,0x202ffd98,0x220007f9,
    0xbf1be07f,0x4c009f90,0xaaaaaffc,0x3e60affb,0x017fecc6,0xb807f77c,
    0xdfa8005f,0x03fe01ff,0x1fe47ff5,0xfb87ff66,0x999ff004,0x307fc055,
    0x3e60bff7,0x41f9fb07,0x3fe3fbfc,0x201ffc41,0x302fd9fe,0x81bee0df,
    0x320007f9,0xf897e03f,0x2004fc84,0xfffffffc,0x262fffff,0x80df706f,
    0x700febfa,0x5fb000bf,0x07fc07fb,0x07f92fe4,0x04fb9bf2,0xfffffff0,
    0x701ff05d,0x0ff301ff,0xef8febfa,0x207fe4fa,0x53ee04fd,0x0df302fd,
    0x7cc0bfe2,0x1ff10007,0xffffffe8,0xf91fffff,0x7fed4009,0xffcccccc,
    0x441be61c,0x23fa02ff,0x0bf700fe,0xfa8ff880,0x2e03fe06,0x440ff24f,
    0x009f72ff,0x36a667fe,0x407fc2ff,0x7f981ff8,0x7d5befd0,0x07fe4fab,
    0x77c40bfa,0x3e605fb0,0x4c0ff606,0x9f90007f,0x99dfb970,0x32199bfb,
    0x37cc004f,0x6f987f88,0x7cc0ff60,0x3ee01fd4,0x8afd4005,0x01ff00ff,
    0x01fe45fb,0x013ee7fb,0x3fe407fc,0x3fe203fe,0xff07f981,0x263f27f2,
    0xd887fe4f,0xd8bf606f,0x9efb982f,0x9827e409,0xff88007f,0xfb8fea00,
    0x5104fc82,0xf106f983,0x99efb98f,0xfc827e40,0x41335fd1,0x7ec005fb,
    0x7fc0ff62,0x44fd9999,0x53f203fc,0x99999dfb,0xff807fc1,0x3ee03fe1,
    0xf07f980f,0x4d7f3e6d,0x3fbbfe5f,0xbf700eff,0xfff82fd8,0x37dc4fff,
    0xc8007f98,0x717dc04f,0x109f903f,0x7fcc3fff,0x7feeeeee,0x27fffffc,
    0x9be21bee,0x2e6ffffe,0xffffffff,0xf707fc40,0x3ffffe0d,0x03fc84ff,
    0x7ffddbee,0x3e1fffff,0x7c5ff00f,0x827f4c0f,0x74df07f9,0x7cbf32ff,
    0x204fffef,0x17ec0ff8,0x1667fee4,0x3fcc1bee,0x003fe200,0x407e43f9,
    0xfffa84fc,0x3ffffe64,0x6e47ffff,0x7dc2ccff,0x3fa3fb86,0x3fee3ccc,
    0x40eeeeee,0x07fc46fa,0x7f6e67fc,0x80ff21ef,0x99df75fb,0x7fc19999,
    0x3e1ff980,0x6fffdccf,0x3e21fe60,0x5f99fee6,0x1ff447fe,0x2fd82fd8,
    0x7e40df30,0x800ff305,0x0fc804fc,0x427e41f6,0x3e62fff8,0xf30ff106,
    0x742fe40d,0x5c03fa0f,0x0ff6005f,0x03fe0ffa,0x1fe4dfb1,0x13eebf90,
    0x7e407fc0,0x7fffffc6,0x43fcc03e,0x88fa26f8,0xf987fe6f,0x557fd40f,
    0x2acfeaaa,0x9fb037cc,0x8801fe60,0xfff700ff,0xffffffff,0xc9827e49,
    0xf8837cc2,0x3606f987,0x4cf7cc4f,0xbf700fe9,0x2affe200,0xf86fdaaa,
    0x91ff880f,0xb9fec07f,0x21ff004f,0x7c2ffda8,0x2600199f,0x406f887f,
    0xb07fe6f8,0xffffb89f,0xffffffff,0x7c41be60,0x00ff301f,0x99302fe4,
    0x9ff999ff,0x0027e459,0x3fc41be6,0xff8837cc,0x7ffffe41,0x0bf700ff,
    0x3ffffea0,0x7c0fffff,0x325ff00f,0x23ff303f,0xfff004fb,0xf05fffff,
    0xff30001f,0xf880bf30,0xff307fe7,0x555554c1,0x42acfeaa,0x0dfb06f9,
    0xf8803fcc,0xf8df001f,0x8009f905,0x0ff106f9,0x1bf60df3,0xf9999ff1,
    0x017ee01f,0x66666fec,0x7fc3fecc,0xf90ffa80,0xfb97f607,0xdddff004,
    0x03fe0179,0x261fe600,0xf3fc405f,0x009fb03f,0x6f9817ec,0x807ffa62,
    0xbf9007f9,0x9f12fc00,0x30013f20,0x21fe20df,0x3fa626f9,0x7427dc1f,
    0x00bf700f,0x7dc01ff1,0xd5107fc6,0x511fe4bf,0x27dc3ffd,0x2000ff80,
    0xf98000ff,0xf805fa87,0x3ea07fe7,0x05fb000f,0x3fffbfe6,0x3fcc01ef,
    0x800ffc40,0x413e64f8,0xeeeeeffc,0x106f982e,0xfdff30ff,0xfd03dfff,
    0xddddfd03,0x2a017ee3,0x07fcc06f,0xfffdddff,0xffeefc8d,0x7fdc0eff,
    0x22eeeeee,0x3fe000ff,0xfdddb000,0xbf57dddf,0x0ffcff00,0xfb004fe8,
    0x3fffe605,0xff3002de,0x400bf900,0x40fea3f9,0xfffffffc,0x106f983f,
    0xffff30ff,0x1be605bd,0x8ffffff4,0x3fd805fb,0x3fe3fe80,0xc81defff,
    0x02deffff,0xfffffff7,0x0007fc7f,0x3fa001ff,0x4fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f9003fd,0xffa97ec0,0xffffffff,0xff00dfb1,0xd80ffe27,
    0x2013ea5f,0x009fd0fd,0x41fe27fb,0x7ff70ffb,0x3fc47f60,0x405e8800,
    0x13000008,0x800d54c0,0x22001aa8,0x00000aaa,0x0aa882a6,0x02aaaa60,
    0xf9003fd0,0xfa97ec07,0xffffffff,0x405ff31f,0x07fdc6fb,0xbf507fd4,
    0x3ee1fd00,0x88ffc407,0x21ff987f,0x3fb06ffb,0x44001fe2,0x03be206f,
    0x30bf5000,0x03dffffd,0x3bffffa2,0x3fffa601,0x1df303ff,0x99fffd80,
    0x74c0efff,0x406fffff,0x3fc801fe,0x6c00bf60,0x8837e45f,0x85fe82ff,
    0x02fcc3fe,0x03ff13f4,0x8ff137d4,0x7fdc3fe8,0xf11fd82f,0x1be2000f,
    0x0003ff90,0xff50ffee,0x85ffb779,0xfca9cff8,0xbdffa80f,0xffb03eca,
    0x7d67e405,0x24fcbfef,0xbaaacff8,0x060ff404,0x2fd80ff2,0x440ffa80,
    0x06fc83ff,0x37e43ff3,0x3fc02fcc,0x3fd813fa,0x09fb1fe2,0xfb0dfbf7,
    0x4001fe23,0xffb806f8,0x0ffec003,0x3f20bfe2,0x7e41fec6,0x001ffc45,
    0x6f803fea,0x27f8ffee,0xfd0004fb,0x3f217ee3,0x100bf603,0x3fee05ff,
    0xc807fe20,0x103ff16f,0xb8df00df,0x887fe06f,0x5c17f27f,0x7ec2febf,
    0x2200ff11,0x99efa999,0x4ffa8099,0x80efe880,0x47fe05fb,0x8ff107f8,
    0x110005fc,0xff327cc0,0x5fb87ec5,0xffbfd000,0x407f905d,0x2fec02fd,
    0x5fc93fa0,0x4fdbfe80,0x42c8df10,0x40ffc46f,0xabfc46fa,0x57f700ef,
    0xf11fd8df,0x3fff600f,0x3fffffff,0x201bfd10,0x3f205fe9,0x7d4bf603,
    0xfe83fe05,0xf5000002,0x4cd7fc47,0x5dff31fd,0x7fff4001,0x2673f203,
    0x02fe9999,0xf5003fea,0x001ff11f,0xf80dfff5,0x5f89fe67,0x3fc83fe8,
    0x07fcffc4,0x87fe7f70,0x00ff11fd,0x3ff3332e,0x2201cccc,0x7fd40efd,
    0x9017ec03,0x3fffee9f,0x21ffffff,0xccc801ff,0xcccccccc,0xfff87f72,
    0x3ea1ffff,0x2e01dfff,0xfc804fff,0xffffffff,0x05ff102f,0x13f33fa0,
    0x402ffd80,0x44bff27f,0xf86fb85f,0x7f7fc40f,0xfb9fdc02,0x3fc47f65,
    0x006f8800,0x3e25ff88,0x02fe806f,0x677dcff2,0x0ccccccc,0x3fe007fe,
    0xffffffff,0x7c47f75f,0x40aaaabf,0x85fffda8,0x801ffffb,0xcccccefc,
    0xbfb02fec,0x7fffcc00,0x13ffa000,0xa7ff4fd0,0x0ff884f9,0x3fe21be6,
    0x9fdc06fd,0x23fb1ff8,0xf10007f8,0x4ff9800d,0x200efe88,0x4bf603fc,
    0x7f4007fa,0x99999802,0x50999999,0x00ffcc7f,0x50bfee20,0x32007fa7,
    0x20bf603f,0x6c000ffa,0x3ee002ff,0x3fa01ffe,0xf37fbf98,0xfc8ffa09,
    0xfe8ff883,0xfc8fee04,0x1fe23fb5,0x0037c400,0xfd807ff5,0x20df701f,
    0x5ff30ff8,0x002fe400,0x2a5fa800,0xf90003ff,0x400ff409,0x0bf603fc,
    0x30005ff1,0x7fcc00ff,0x3f606fc9,0x9afc9fb8,0x7cdf703f,0xf17f880f,
    0x88fee07f,0xf11fd8ff,0x1be2000f,0x8017fe40,0xff882ffb,0x3627f443,
    0xff1001ef,0x2a008839,0x6c3fe201,0x40100eff,0x07fa03fe,0xfd80ff20,
    0x8002fec2,0x3fa007f9,0x3207ff14,0x5bf36e9f,0x23fe207f,0x4ff106f9,
    0x3fb81ffa,0x88fee7e4,0x0aa0007f,0x0007bf60,0xff509ff5,0x81dffb9d,
    0xcccffff8,0xefffb84e,0xff903fed,0x7ef7ec03,0x26dcffdc,0xffdccdfd,
    0x007fa00e,0x2fd80ff2,0x40003fea,0xff7007f9,0x640ffd41,0x2ffa3fbf,
    0x32ffa02f,0xc8ff103f,0x21fdc0ef,0xf11fdff8,0x4400000f,0x30000efe,
    0xffb30bff,0x7e4407df,0x303effff,0x03dffffb,0xfb00bff6,0xfffb11bf,
    0x7ffffe4b,0x0ff400cf,0xfb01fe40,0x000bfe25,0xf8807f98,0xb86fe83f,
    0x3bf21fef,0x3f7ee02f,0xd0ff100f,0xd83fb8bf,0x0ff11fff,0x3bbbba60,
    0x360eeeee,0x4e880004,0x220004c0,0x00440019,0x08801e44,0x26620130,
    0x3bbfa000,0x3f26eeee,0x7e4bf603,0xffffffff,0x01fe602f,0x7fcc1bf6,
    0x2637fdc3,0x3e201fff,0x1fe206ff,0x3fb93fe2,0xf11fff98,0xdddddddf,
    0x7fffffd4,0x0000ffff,0x00000000,0x00000000,0x40000000,0xfffffffe,
    0xfd80ff27,0xffffff92,0x4c05ffff,0x0ffdc07f,0x7d41ff90,0x01ffe83f,
    0xf101fff4,0x5cbfea0f,0x23ffb03f,0xfffffff8,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x2601aaa9,0x406a21aa,
    0x22131019,0x22019999,0x80266009,0x826204c8,0x80400aa8,0x14c15308,
    0x06200262,0x9804c400,0x33333109,0x304c1333,0x80330155,0x00130098,
    0x220026a2,0x0aa98181,0x818054c0,0xfffff982,0x7fff42ff,0x0efffacf,
    0x75fa83fc,0x203fffff,0xffa81ffa,0xb81fe201,0xffffd8af,0x77fff4c1,
    0x3ffe77a1,0xf70effb8,0xa83fd009,0x7ec2effe,0xe877f442,0xffffffff,
    0x3ff63be3,0x01ff44ff,0x017e09fb,0x09ffffd1,0x53ee2fd8,0x82fffffa,
    0xfe81ffea,0x9f50ff21,0x43ffd757,0xeffebabe,0x83fc4fca,0xf99935fa,
    0x077e403f,0xf8807fd1,0x3fb3ee07,0x6d47febc,0x3ba7fcab,0xdbfbfcce,
    0xf00bf31f,0xfdcffa8f,0xe88bf61f,0x3332e0ef,0x3e2ffdcc,0xffdacfdf,
    0x7c41bee1,0x024e810f,0x774c1bf3,0x3e25fa80,0xfd77f70f,0x7ffff44f,
    0x3e26f981,0x3fe8020f,0x7f87fea0,0x05fa83fc,0x4fe803fd,0x3e2017f2,
    0x07bfee07,0x1fd805ff,0x57fe2dfd,0x98df13fa,0x1ff1be20,0x45fb2fdc,
    0xfd000dfd,0x6c2fff89,0x207fe24f,0x747b25fb,0x46745f74,0x889d2eff,
    0x80bfa0ff,0x233a0ff8,0x49f901fe,0xbf7005fa,0x3fa3fc40,0x2fd41fe0,
    0x7c401fe8,0x800efaaf,0x3fee07f8,0xb983fe81,0x25fd1fec,0x49f30ff8,
    0xf99be27f,0xff117e25,0x05fd97ec,0x3fe1bf20,0x7ec5fb82,0x3a62fe84,
    0x1dfdcdcf,0xf51f11f5,0x23fd83ea,0x3fcc04fb,0x7f403fd0,0x4c40ff61,
    0xf3105fb9,0x43fb333d,0x20bf507f,0xffa801fe,0x999901ff,0x59999ffb,
    0x0d4c13ee,0x3fd9bff3,0x266f89fa,0x7dc3fa4f,0x7cc9f51f,0x2bf67f86,
    0x3ea005fd,0xf507f80f,0x7cc7fa8b,0x3bffd307,0xd93f16c8,0x07fc47e2,
    0x7fcc01ff,0xb807fa03,0xea9bea5f,0x25ffffff,0xffffffe9,0x1fe1ffff,
    0x1fe82fd4,0x407ffb00,0xffffffff,0x09f75fff,0x3f907ec0,0x266f89fa,
    0x7ec7f64f,0x7c47f73f,0xfd9be60f,0xf1000ffd,0x541fe05f,0x322ff85f,
    0xdfff704f,0xfdf15c85,0x49f717c1,0x9ff505fa,0xf101fe80,0xfb8ff41f,
    0x5fcaabcf,0xdf77bff1,0x7c155555,0x3a0bf507,0x9ffd001f,0x7d4cccc0,
    0xf709999f,0x457f4009,0x44fd1ffb,0xfc93e66f,0xf76fcf8a,0xeaadfd85,
    0x3f6bf62f,0x03fe800e,0x42fd41fe,0x707fe5fc,0xdf99b7ff,0x6c7c5ee3,
    0x1fe81f34,0x5ff90ff2,0x3603fd00,0x7c53ee2f,0xf75fa81f,0x7c03fc4b,
    0xd05fa80f,0xfbf9003f,0x1fe2007f,0x2a004fb8,0xd1fcefff,0x9f337c4f,
    0x64fddfdc,0x7441fc9f,0x7ec3ffff,0xfd80bfd2,0xfa83fc05,0xfa8ff885,
    0x29d0dc86,0xf15f11e9,0x30db1f31,0xd8ff44df,0x23cccdff,0x1acfeaa9,
    0x0ff997ee,0x57ee0df3,0x03fe23fc,0xbfd03ff0,0xf7007fa0,0x003ff31f,
    0x27dc0ff1,0x0c46a200,0xf337c4fd,0x9b6e7cc9,0x2a607dcf,0xd12fd80a,
    0x03bee0bf,0x17ea0ff0,0x01fed7ec,0x55f70274,0xfc80fed4,0x7ffcfe61,
    0x3f65ffff,0x365fffff,0xf98bee0f,0xaaffe40f,0x013ffa4f,0x7fec49fd,
    0x4c03fd05,0x03bf22ff,0x7dc0ff10,0x3f400004,0x127ccdf1,0x77f49fdf,
    0x8bf60007,0x7fcc4ff8,0xf507f801,0x3ff7ea0b,0x5c05f800,0x02feccef,
    0x33330404,0x4cc41333,0x40409999,0xfdcffe80,0x9ff15fdf,0x99dff5fd,
    0xfceffa8b,0xdddb5fbf,0x44bdddff,0x05fe84fe,0x9f703fc4,0x3fffe600,
    0x44fd7fff,0xff13e66f,0x22ffe43f,0xfffffff9,0xff30bf67,0x7777ff49,
    0x41fe5eee,0x3ffe05fa,0x30013004,0x000159b7,0x00000000,0x9efffd88,
    0x3bfae5f8,0x0bfffd51,0xf13dfff7,0x3fffffab,0x3bf67fff,0x404ff980,
    0x013ee019,0x66666644,0x37c4fd4c,0x46fe89f3,0x66444ff9,0x364ccccc,
    0xf3ffa82f,0xffffffff,0x5fa83fcd,0x0007ff20,0x00000000,0x00000000,
    0x18804003,0x00000980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0a028800,0x54004d44,
    0x9866606f,0x99999309,0x00199999,0x40402662,0x333332a0,0x0103cccc,
    0x40099980,0x24ccccc8,0xdddddddd,0x003ddddd,0x00000000,0x00000000,
    0x00000000,0x3f20ffa0,0x27fffe44,0x6c0fffa0,0x7d4ffe5f,0xffffffff,
    0x4ff9800f,0xa7e45fd0,0xfffffffb,0x77fe46ff,0x7ec42b82,0x3ffe600e,
    0x3fffe7ff,0xffffffff,0x0000005f,0x00000000,0x00000000,0x3ea00000,
    0xc83bf22f,0x03feaadf,0xb01fd5f7,0x111ffcbf,0x11111111,0x405ff300,
    0x457f63ff,0xa9999999,0x3fbff26f,0x5c1be22f,0x222200ef,0x00000088,
    0x00000000,0x00000000,0x00000000,0x657fd400,0x11be20ef,0x26bf10ff,
    0x3e4fc85f,0xc800002f,0x221cc00d,0x4df1000b,0x39ff50ff,0x26cc09f9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77ffd400,0x7f427d40,
    0x5f90fe40,0x4bfa4fc8,0xaaaaaaa8,0x000002aa,0x8b7c4000,0x7fffcc6f,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x20000000,0x5f983ffd,
    0x17e23fc4,0x23fb8df1,0xffff51fe,0x01ffffff,0x40000000,0x220225e8,
    0x00000cdc,0x00000000,0x00000000,0x00000000,0x00000000,0x0bffff20,
    0x3f223ff1,0x7dc07ec4,0x0ba86e64,0x55555551,0x00000555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdf900000,0xfa87ff51,
    0x260effff,0x0037603e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0x30ffea0e,0x000079b9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x007f501d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00802000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_25_latin_ext_x[560]={ 0,5,3,0,1,0,0,5,3,3,2,1,2,3,
4,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,2,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,2,
1,2,2,1,1,1,1,1,2,2,0,1,0,0,0,0,2,1,5,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
5,1,0,0,2,1,1,3,1,0,2,1,3,3,0,1,1,4,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-3,-2,2,1,0,2,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_25_latin_ext_y[560]={ 18,0,0,2,-1,0,1,0,-1,-1,0,5,14,10,
14,0,1,1,1,1,2,2,2,2,1,1,5,5,4,8,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,21,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,18,5,-1,1,2,2,
-2,0,0,1,1,6,10,10,0,1,0,3,0,0,0,5,0,9,18,0,1,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,3,0,0,0,0,0,0,0,
-2,1,-3,0,2,5,-3,0,-3,0,-3,0,-3,0,-3,0,2,0,-2,1,-3,0,-3,0,2,5,-3,0,-3,0,
-3,0,-3,0,1,0,-3,-3,2,0,-3,0,-2,1,-3,0,2,0,-3,5,2,0,-3,0,2,0,5,-3,-3,2,
0,0,0,2,0,2,0,-3,0,2,5,-3,0,-2,2,5,-2,1,-3,0,-3,0,1,5,-3,0,2,5,-3,0,
-3,0,-3,0,1,5,-3,0,2,1,-3,0,2,1,-3,0,-2,1,-3,0,-4,-1,-3,0,2,5,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-4,-3,0,-3,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,5,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_25_latin_ext_w[560]={ 0,4,8,14,12,14,14,4,8,8,10,12,7,8,
5,11,12,12,12,10,14,10,12,12,12,12,4,6,11,12,11,9,14,14,12,12,12,10,10,13,12,10,9,12,
11,14,12,14,12,14,11,12,12,12,14,14,14,14,12,7,12,7,12,14,9,11,12,11,11,12,13,12,11,10,
10,11,10,12,11,12,12,11,11,10,12,11,13,14,14,13,10,10,3,10,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,11,12,12,14,
3,12,11,14,9,11,11,8,12,11,10,12,8,8,12,13,12,5,4,9,10,11,14,14,14,9,14,14,14,14,
14,14,15,12,12,12,12,12,12,12,12,12,13,13,14,14,14,14,14,11,14,13,13,13,13,14,12,12,12,12,
12,12,12,12,14,11,13,13,13,13,12,12,12,12,12,12,13,13,13,13,13,12,12,12,12,12,12,13,12,13,
14,12,14,12,14,12,13,13,13,12,13,12,13,12,14,16,13,13,12,13,12,13,12,13,11,12,12,13,13,13,
13,13,13,13,13,13,13,12,14,12,12,12,12,12,12,12,11,11,12,10,12,12,11,11,12,11,11,13,12,11,
10,16,16,12,15,13,10,13,12,12,11,13,12,13,12,11,14,13,14,13,14,14,14,14,14,13,11,11,14,13,
13,12,13,12,12,10,13,12,12,12,13,16,12,12,13,12,13,12,13,12,13,12,14,14,12,12,14,14,14,13,
14,13,12,13,12,13,12,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,14,12,15,14,16,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_25_latin_ext_h[560]={ 0,19,7,16,22,19,18,7,25,25,12,13,9,3,
5,21,18,17,17,18,16,17,17,16,18,17,14,18,15,7,15,19,24,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,22,16,18,16,17,16,16,16,16,16,24,21,24,8,3,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,24,26,24,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,23,17,16,16,
26,21,6,18,13,11,6,3,12,5,9,15,11,11,6,19,21,5,4,11,13,11,18,18,18,19,21,21,21,21,
21,22,16,21,21,21,21,21,21,21,21,21,16,21,22,22,22,22,22,11,22,22,22,22,22,21,16,19,19,19,
19,19,19,20,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,18,19,19,19,19,24,24,24,
20,18,21,19,21,18,22,19,22,19,22,19,22,19,21,19,16,19,20,18,21,19,21,19,21,18,21,19,22,24,
22,24,22,24,23,24,21,21,16,18,21,18,20,17,21,18,21,23,21,13,17,24,22,24,22,24,13,21,21,22,
24,18,18,16,18,16,18,21,18,22,19,21,18,20,22,19,21,18,22,19,22,19,18,14,21,18,22,19,21,18,
22,19,22,19,21,17,22,19,22,23,21,19,16,18,22,19,21,18,22,19,23,20,22,19,21,18,21,18,21,24,
21,21,18,21,18,21,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,24,23,21,19,24,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,23,19,22,23,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_25_latin_ext_s[560]={ 251,251,37,83,200,173,41,251,18,9,189,
66,248,247,250,155,216,116,152,229,28,165,129,70,147,189,250,247,164,46,152,
244,139,167,182,84,195,208,156,218,15,245,142,101,127,1,114,232,232,171,16,
14,57,176,86,71,56,41,28,154,95,227,24,132,110,1,15,202,59,189,115,
67,142,154,235,178,205,101,163,176,68,161,79,242,41,28,175,114,51,150,152,
162,1,100,96,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,251,246,116,
103,228,241,5,29,72,190,91,213,84,247,200,120,13,139,225,247,59,54,194,
248,246,234,129,244,203,188,173,246,140,237,235,138,194,183,140,56,224,168,181,
82,113,126,82,15,126,1,98,83,15,30,27,1,198,169,155,129,101,41,219,
14,1,233,220,207,194,148,13,65,136,122,108,94,144,28,160,42,28,55,1,
230,216,202,188,214,157,148,135,122,109,187,58,27,161,183,13,32,41,1,1,
233,115,206,69,193,186,81,153,176,43,219,95,27,56,18,28,45,1,170,223,
84,45,86,73,111,42,125,37,173,84,71,111,196,28,209,108,77,222,129,195,
104,167,40,90,1,15,215,241,25,140,42,69,241,14,81,98,98,240,1,136,
153,222,213,132,139,235,121,56,120,209,14,213,80,226,52,56,227,108,97,143,
40,207,122,87,94,59,27,167,54,1,107,228,64,15,1,215,1,157,41,1,
14,128,71,77,135,142,164,69,68,123,27,180,201,56,98,1,112,71,126,165,
111,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,180,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,71,51,207,179,41,236,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,91,98,228,64,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202, };
static unsigned short stb__consolas_25_latin_ext_t[560]={ 21,1,331,282,28,165,225,121,1,1,316,
316,205,237,114,121,244,263,263,244,282,263,263,282,225,263,99,143,299,331,299,
165,1,282,282,225,282,282,282,225,299,282,263,299,299,282,299,225,282,28,282,
244,282,263,299,299,299,299,299,1,99,1,331,331,331,316,185,299,165,299,244,
205,244,244,1,244,244,316,316,299,185,165,316,299,263,316,316,316,316,185,316,
1,1,1,331,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,21,1,28,
263,263,263,1,99,331,244,316,316,331,237,316,331,331,299,316,225,331,185,121,
215,21,316,316,316,225,225,225,185,121,76,99,99,76,53,282,99,76,76,76,
143,76,76,99,121,282,121,76,76,53,53,76,331,53,53,53,53,53,121,282,
205,205,185,185,185,185,143,316,263,185,185,185,185,205,225,225,244,185,244,185,
165,165,165,165,299,205,165,165,165,165,1,1,1,143,205,143,165,143,225,76,
143,53,143,76,143,28,185,76,143,282,143,143,263,143,165,143,165,143,205,121,
165,53,1,53,1,76,1,28,1,121,121,282,205,121,205,143,263,99,244,99,
28,99,316,263,28,76,1,53,28,316,99,143,28,28,244,244,282,244,299,225,
99,205,53,205,76,205,143,76,205,76,225,28,205,53,205,225,299,99,225,53,
205,99,225,53,205,53,205,121,263,53,205,28,28,99,165,263,263,28,185,99,
263,28,165,28,143,28,185,99,244,99,244,99,1,121,121,244,121,225,121,244,
225,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,121,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,1,28,121,185,1,121,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,28,165,28,28,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263, };
static unsigned short stb__consolas_25_latin_ext_a[560]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_25_latin_ext(stb_fontchar font[STB_FONT_consolas_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_25_latin_ext_s[i] + stb__consolas_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_25_latin_ext_t[i] + stb__consolas_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_25_latin_ext_x[i];
            font[i].y0 = stb__consolas_25_latin_ext_y[i];
            font[i].x1 = stb__consolas_25_latin_ext_x[i] + stb__consolas_25_latin_ext_w[i];
            font[i].y1 = stb__consolas_25_latin_ext_y[i] + stb__consolas_25_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_25_latin_ext_s[i] + stb__consolas_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_25_latin_ext_t[i] + stb__consolas_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_25_latin_ext_x[i] + stb__consolas_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_25_latin_ext_y[i] + stb__consolas_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_25_latin_ext_LINE_SPACING
#endif

