// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT        200
#define STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_27_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_27_latin_ext_LINE_SPACING          18

static unsigned int stb__consolas_27_latin_ext_pixels[]={
    0x0072a395,0x000002a6,0x00000188,0xdec80000,0x32e00981,0x2cb80001,
    0x0ef6c000,0x00333000,0x70066644,0x02e2005b,0x165c0073,0x40165c00,
    0x2a0b224b,0x6644002c,0x54004ccc,0x54002cdc,0x80edc02c,0x7b3003da,
    0x4d554c40,0x0ded9800,0x99801310,0x881f4400,0x00620099,0x0005554c,
    0x00ccc000,0x4c45d500,0x99999999,0x10002000,0x99998803,0xf9099999,
    0x3600ff27,0x3b62001f,0x43fa206f,0x1ffffff9,0x5c019dff,0x007fffff,
    0x3e6037f6,0x000bfa06,0x007fff90,0x0003bf60,0x1002ffd8,0x7cc03dfd,
    0x7fd800ff,0x32013fe2,0x32003fff,0x7e403fff,0xfc83fc9c,0x7ffcc005,
    0xfb1007ff,0x001dffdf,0x7dc0fff3,0x1fff887f,0x442fff80,0x7ffffffd,
    0x05ebee80,0x2ff80bf9,0xfb827d40,0x407fa06f,0xffffffc8,0x3efd880e,
    0x3fea00e6,0x5f90001f,0x7fffffd4,0xe8803fff,0x0df7003f,0xffffffd8,
    0x27f94fff,0x3fc403fc,0x9ffff300,0xdd137f40,0x3f63ffdd,0xff700fff,
    0x3200dddd,0x17fe203e,0x900017f4,0x007fd1bf,0x09f34fd8,0x000efd80,
    0xf300bfd1,0xdfb001ff,0x32027fc4,0x803fe8df,0x03fe8dfc,0x41bfffe2,
    0x998005fc,0xf8807fb9,0x1df710bf,0x00fff980,0xff10fff7,0x5fff005f,
    0x66f7ffcc,0x97c407ec,0x80bf907b,0x1fe402ff,0xd02fffb8,0xffff503f,
    0x883ffdbb,0xfdeffdfe,0x4fffd806,0x543fb000,0xeeeeeeff,0x6ffa802e,
    0xc80df700,0xeefffeee,0x3f27f93e,0x0027dc03,0xfd803dfb,0x20ff400f,
    0xbf704ffa,0x00595000,0x5fd09ff5,0x88f26000,0x320001cc,0x0f26002f,
    0x40059500,0x151002eb,0x1e4c0298,0x64c03991,0x50073223,0x02fe4059,
    0x201fea00,0x07f902fe,0x6c405b70,0x009f702e,0x1dfd13aa,0x756fc000,
    0xf80bf906,0xfffeb82f,0x7ffdc6ff,0xf983fd06,0x901501ef,0x037ff223,
    0x0ff9ff10,0xfa83fa00,0xff880007,0x00df7003,0x7f904fd8,0x39700ff2,
    0x2017fc00,0xfe802ffa,0xf706fc81,0xfefe800b,0x41ffc805,0x000002fe,
    0xfd553000,0x0f722001,0x00000000,0x00000000,0xf9000000,0x7fa8000b,
    0x3e027e40,0x00000006,0x17fc4000,0x3bfe6000,0xf80bf901,0x3fffa22f,
    0x7dc7feff,0x1fe82fed,0x000077ec,0x477d4000,0x7cc001ff,0x001fea0f,
    0x26600440,0x9999efc9,0x209fb009,0x007f93fc,0x00ff8800,0xfe802ff4,
    0xf707f981,0xb8fd400b,0x46fe800f,0x02aa22fe,0x4cd554c0,0x7fe40099,
    0xd000ffff,0x2660bf9f,0x3304c400,0x99803333,0x3304c400,0x44098801,
    0x19999999,0x4cd554c0,0x20bf9099,0x3ea00998,0x201be207,0x2aa601fd,
    0x2209999a,0x88131009,0x19999999,0x10007fe6,0x90998013,0x22ff80bf,
    0x0cfd2efe,0x21beb7ee,0x07fea1fe,0x98013100,0x3a9fb009,0xffd8804f,
    0x0ff56fff,0x2aaa6000,0x7ffffc40,0x05ffffff,0x4ff209fb,0x2aa603fc,
    0x8809999a,0x077dc07f,0xf881fe80,0x400bf707,0x007d9cf9,0x57f45ff3,
    0x02ffffe8,0x3fffff62,0xfd105fff,0x0bffd9df,0x03ea3f50,0x9fd017fa,
    0x1fffffe6,0xfe80bfd0,0xfd017fa4,0xfffffd89,0xffb107ff,0x2bffffff,
    0xeff885fc,0xb81fea00,0x3ee2083f,0xffffd882,0x3fa5ffff,0xfd8bf702,
    0x27ffffff,0x64005ff8,0xc97fc05f,0x997fc05f,0xb81be2ff,0xfe87fd5f,
    0x2001bf21,0x17fc05fc,0x7fb8ffc4,0x7f7ffd40,0x00ff57ef,0x7fffe440,
    0x99910eff,0x99999ffb,0x6413f607,0xb107f93f,0xffffffff,0xf80ff10b,
    0x07fa003f,0x2fdc1fe2,0x0bbfee00,0x3fa5fc80,0xffecdffc,0x9aeff881,
    0x903ceffc,0x7ffec3ff,0xfb97cc04,0x300ffb80,0x333223ff,0x7fdc07fd,
    0x5c3ff300,0x3ff300ff,0xdcccccb8,0xaeff887f,0x93ceffc9,0x0efe88bf,
    0xfd03fd40,0x3fbff621,0x7fc43fa9,0xceffc9ae,0x7dc0bfa3,0x666665c5,
    0x77fe47fd,0x80bf9002,0x80bf92ff,0x23ff52ff,0x57ee05f8,0x87fa0ffb,
    0xfc8004fe,0x5417fc05,0x407fe67f,0x29f55ff8,0x2000ff51,0xeddffffa,
    0x0df701ff,0xf904fd80,0xff10ff27,0x9dff935d,0x4c0ff107,0x3fa001ff,
    0xf707f881,0x0333000b,0xfd0ffb80,0x85fe83df,0x0ffa86fc,0xef85ff10,
    0x7f401ffb,0x7ff105fe,0xfa81bf20,0x81ffc407,0x1ffc46fc,0x26006fc8,
    0xa86fc87f,0x897f20ff,0xfa800efe,0x7f4bf107,0x3f98ffdd,0x7fd437e4,
    0xfb817f40,0x90ff3005,0x4017ffff,0x97fc05fc,0x97fc05fc,0x09f34ff8,
    0x47fd2fdc,0x30ffe1fe,0x64399999,0x417fc05f,0x827f44fd,0x50fee6fd,
    0xffffffff,0x3dff301f,0x37dc02a0,0x6413f600,0xfc87f93f,0x300ffa86,
    0x03fe40bf,0x7fc07fa0,0x4005fb80,0x2001fffa,0x1ffd3ff9,0xfe81ff50,
    0x3205ff03,0xffa7d46f,0x402cb803,0x07ff06fc,0x7e403fd4,0xf907ff06,
    0x800ffe0d,0x03fe87f9,0x8afe45ff,0xf5000efe,0x7d53ea0f,0x13e6ff15,
    0x0bfe07fd,0x17ee05fd,0xd983fcc0,0xf904ffff,0xf92ff80b,0x362ff80b,
    0x203fceff,0x43fea5fb,0x85ff11fe,0x22fffffb,0x17fc05fc,0xdf90bfe2,
    0x2fc8bfe0,0x7fffffd4,0xefd80fff,0x0df70000,0xf904fd80,0x7fd0ff27,
    0x7e40bfe0,0x001bf603,0x0ff603fd,0xfb0017ee,0xff8009ff,0x3e207fd4,
    0xf81ff41f,0xc87fd02f,0x4409f91f,0x2600aaa9,0x07fcc1ff,0xf300ff50,
    0x80ff983f,0x7fcc1ff9,0x21fe6000,0x45ff03fe,0x0dfe8dfc,0x641fea00,
    0x3e65fb2f,0x3fe89f35,0x2fe85ff0,0x2600bf70,0x7fdc407f,0x02fe40ef,
    0x02fe4bfe,0xfff90bfe,0x17ee019f,0xf87fa9fd,0x7d554c3f,0xf017f22f,
    0x987fa85f,0x07fcc1ff,0x07fa81fb,0x000ffd40,0xd800df70,0x87f9004f,
    0x45ff03fe,0x200dfdcb,0x7f4004fe,0x59bfd301,0xf88017ee,0x74007fcf,
    0x7c05fd5f,0x4c2fec2f,0x85ff00ff,0x2217ee7f,0xeffffffe,0xfc89fd01,
    0x803fd405,0x02fe44fe,0x05fc89fd,0x7ec3fcc0,0x320ff985,0x8006fedf,
    0x23f907fa,0x269f70ff,0x4c2fec3f,0x817f40ff,0xff3005fb,0x13ff2200,
    0x2ff80bf9,0x2ff80bf9,0x4ffffd98,0x7fd45fb8,0x0ffa1fe8,0x2fe45ff0,
    0xbfb0bfe0,0xff313fe0,0x3fd43f41,0x001bf200,0xd800df70,0x87f9004f,
    0x0ff985fd,0x3e017ffa,0x0ff4002f,0x7dd7ffa0,0x23bea005,0x3f2001ff,
    0x7fc05fd6,0x44e7fcc2,0xff104ffa,0xff727cc3,0xd799df10,0xff701dff,
    0x2a017fc1,0x1ff7007f,0xff7017fc,0x20017fc1,0xcff987f9,0x644ffa89,
    0x000efddf,0x8fd83fd4,0x54ff26f8,0x4e7fcc3f,0xfe84ffa8,0x200bf702,
    0x7e4007f9,0x3e02fe47,0xf80df72f,0x3fffa02f,0x217ee0ef,0x361fecfe,
    0x917fc05f,0x42ff80bf,0xeeeeeeff,0x17fcc6ff,0x00ff50ff,0x40004fe8,
    0x7ec006fb,0x987f9004,0xffa89cff,0x0f7ed544,0xe8005ff0,0x57ff301f,
    0xd8017ee3,0x4009fd4f,0x205fd6fc,0x7fcc1ff8,0x204fffff,0x8bee1ff9,
    0x2a0307fa,0x2ff882ff,0xff500ff5,0x54bfe200,0x97fc407f,0xf98007fa,
    0xfffff987,0x8dfc84ff,0x2a000efe,0xf31fd07f,0x2fb97ecd,0x7fffffcc,
    0x205fd04f,0xff3005fb,0x20ffa800,0x97fc05fc,0x3fea06fa,0x7fddfe01,
    0x3ea17ee5,0x3fee1fff,0xfc8bfe01,0xf517fc05,0xffffffff,0xa7fc43ff,
    0x07fa85f8,0x3261ffc0,0xf701cccc,0x04fd800d,0xff987f90,0x404fffff,
    0x13fa04fc,0x3603fd00,0x005fb82f,0x1fee3ff1,0x5fd5fd80,0x3fa1fe60,
    0x401bccaa,0x83fa1ff8,0xfe8007fa,0x3f6df904,0x007fa804,0x027edbf2,
    0x04fdb7e4,0xfe87f980,0x901bccaa,0x01bfe2bf,0x2fd07fa8,0x6c7fa6f9,
    0x6557f40f,0x0bfa01bc,0xf9802fdc,0x237e4007,0x97fc05fc,0xff901ff9,
    0xff737c40,0xffd82fdc,0x806ff41f,0x017f22ff,0x4efec5ff,0xff999999,
    0x7cd7fec4,0x2007fa84,0x7fdc2ff8,0xff502fff,0x027ec003,0x57f43fc8,
    0x9801bcca,0x01bf606f,0x1fe03fd0,0xfa802fdc,0x4007fe67,0x205fd4ff,
    0x03fc45fd,0x3e25ff00,0x40037dc5,0x3ff304fc,0xff5003ff,0x7cffcc00,
    0x9ff9801f,0xf98001ff,0x2003fc47,0x17fe65fc,0xfd83fd40,0x23feadf0,
    0x03fc45f8,0xfb817f40,0x54ff3005,0x3ffb880a,0x3fe02fe4,0xf503bfa2,
    0x52fcc07f,0x417ee1ff,0x7d41fff9,0x17fc09ef,0x2ff80bf9,0xdf900bfe,
    0xcfdfff88,0x00ff55b9,0x554c3ff8,0xff102ffa,0x13f6001b,0x23fc8e54,
    0x220007f8,0x03ff207f,0xf881fe80,0x200bf707,0x027f44fd,0x3fe97fcc,
    0x7c40ffb8,0x0199abdf,0x87f73fd8,0x332604fd,0x204ffeee,0x5006fefe,
    0xefe800ff,0x3bfa006f,0xff30006f,0x9abdff88,0xa8bf9019,0x7fa805ff,
    0x37fa1f90,0x41fedfcf,0x99abdff8,0x5c0bfa01,0x4ff3005f,0xffeffffb,
    0x05fc85ff,0xfff317fc,0x80bffddd,0xb9ff64fa,0x07ff605f,0x3bbfffee,
    0x17f22fff,0x3fea5ff0,0x20ffd400,0xffffffe9,0xffffff57,0x3fe87fff,
    0xf9017fc0,0x36bdddff,0xffffffff,0x3f27f94f,0x2af7fe23,0x7f880199,
    0x8007fe60,0x07f881fe,0xff100bf7,0xa806fc85,0xdfffd0ff,0x3205fffd,
    0xffffffff,0x36df901d,0x40bfe20f,0xfffffffd,0x3ffee04f,0xfffffb02,
    0xb80dffff,0x2e002fff,0x30002fff,0xffff90ff,0x643bffff,0x44ffb85f,
    0xfffffffd,0x263f96ff,0x07ffb4fe,0x3ffffff2,0x17f41dff,0xf3005fb8,
    0x7ffff54f,0xdf702dff,0x6c42ff80,0xa83effff,0xdabfb99b,0x817ee3ff,
    0xdb101ff9,0x417dffff,0x97fc06fb,0x7ff005fd,0x2af7fa60,0xffffff51,
    0x5fd87fff,0x2e017fc0,0xfb5fffff,0xffffffff,0x1fe4ff29,0x3ffffff2,
    0xff101dff,0x2003fe80,0x07f881fe,0xff500bf7,0xc803ff30,0x3ffffa5f,
    0x3ea00def,0xfffeeccf,0xfbffa80f,0xfd837e46,0x027e40af,0x7ec0fff1,
    0xffffffff,0x03ffc406,0x001ffe20,0xffa87f98,0xffffeecc,0x3f20bf90,
    0x3ffff63f,0xf76fffff,0x2a004087,0xffeeccff,0x40bfa0ff,0xff3005fb,
    0x20026620,0x3fea06fa,0xb81bea00,0xffffffff,0xff88004f,0x54033000,
    0x03fea06f,0xd017ea00,0xee88001f,0xf00ffdc0,0x00cc005f,0x3f23fd10,
    0xffa87f93,0xffffeecc,0x5c07f880,0x3fd000ff,0x3ee0ff10,0xf05fd805,
    0x0ffcc09f,0x4c0065fd,0x7ff501ff,0x453fff20,0x5ff02ffc,0xf8813f20,
    0x3f20003f,0x01ffc402,0x000ffe20,0x7fcc7fb8,0x007ff501,0x6f880000,
    0x07fe6000,0xb001ffd4,0x1fee009f,0xf9803530,0x80ff901f,0x3b2600fe,
    0x00cdfffe,0x300ff700,0x1ff98035,0x1000ff90,0x07f801ff,0xfd01fd80,
    0x00bfe01b,0xf9000353,0x3fc9fe45,0x7d407fe6,0x807f883f,0x3fd005fe,
    0x3ee0ff10,0xeeeff805,0x206ffeee,0x017f45fe,0xfd017f20,0x777fec09,
    0xff303fff,0x409fd103,0x50000ffd,0x1ffb00bf,0x00ffd800,0xf91bf600,
    0x304fe80b,0x1a980035,0x40003fa0,0x27f405fc,0x2007ff00,0x1fe406fd,
    0x2a077f40,0x1be603ff,0x0000fd00,0xf900bfd1,0x81dfd007,0xa8003ffa,
    0x037c405f,0xfa81fe20,0x17fc09ef,0x2000ff20,0x64ff20ff,0xd017f23f,
    0x00bfe09f,0xfd007ff5,0x2e0df703,0x7ffd405f,0xffffffff,0x740ffc81,
    0x7fe4002f,0x405ff300,0x1dfffff8,0xf513fe20,0x3fee09ff,0x0ff60002,
    0x8005ff70,0x20002ffb,0x7fe43ff9,0x205ff300,0x7e4003fc,0x003bea03,
    0x4c03ff20,0xff5002ff,0x07ff3003,0xf9801fe8,0x5ffeeeff,0x01e7fc40,
    0x640006f8,0xfe800fff,0xefff9801,0x0005ffee,0x26079ff1,0xdfe8005f,
    0xffffb80b,0x402fffee,0xfd8001fe,0xf93fc8bd,0x9807fe47,0x0bfd02ff,
    0xe803ffb0,0x705fe81f,0x9dfd80bf,0xff999999,0x741ffd44,0x7fd4002f,
    0xffcaaace,0x0cefcc05,0xfbdff900,0x3229f9df,0x0004ffec,0xc89677dc,
    0x8804ffec,0x004ffecc,0xffd77bf3,0x59dff50d,0x40bff955,0x7f4001fe,
    0x4df7e401,0xf500fca9,0xf95559df,0x2ef6e0bf,0x6fcc4ffe,0x406ffebb,
    0x362006f8,0x003effff,0xf100ffb5,0xeff8000b,0x006f8801,0x3bffff62,
    0x7f5c0003,0x0009f506,0x2201ffb5,0xbeffffed,0x001be200,0x7e4ffecc,
    0x7fd47f93,0xffcaaace,0x33ffea05,0x443bfa02,0x51ffaaaa,0x2e03fffb,
    0x7c2aaaef,0x137e402f,0x0bfa09ff,0x3fffaa00,0xc803ffff,0xff90002f,
    0x4d3ea9ff,0x0002ffff,0xf34fec88,0x26005fff,0x2002ffff,0xdffffff9,
    0xffffd500,0x7c407fff,0x037c4006,0xffffffb8,0x3ffaa00d,0x203fffff,
    0x84fffffb,0xdffffff9,0x000d4400,0x00000188,0xb8000130,0x006a2001,
    0x00000c40,0x00026200,0x00198000,0x800006a2,0xa87f93fc,0xfffffffe,
    0x6fffb803,0x7cc3ba20,0xff1fffff,0x7fdc05df,0x3fea7fff,0x98ffd400,
    0x002aa05f,0x1abba980,0x0003b200,0xaa880110,0x88000001,0x544001aa,
    0x5510001a,0x2a600157,0xa8801abb,0x00d44001,0x0026aa60,0x01abba98,
    0x40157530,0x000abaa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fc80000,0x2ea607f9,0x4c4001ab,0x5104402a,0x2a155555,
    0xaaa8801a,0x017f62aa,0x00031ffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0x00007f93,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3531a980,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,
    0x01331099,0x333310c4,0x00099801,0x00800000,0x4cc40266,0xdf000000,
    0x5c4037c4,0x2602cddc,0x01bd51dd,0x001bdb10,0x774c0000,0x40077ae2,
    0xd9802eeb,0x2a2000de,0x00cccccb,0xdeb8bba6,0x03332001,0x00df137c,
    0x88005dd7,0x02aaaaaa,0x0edc2ea8,0xea800200,0x2009d70d,0x20004eea,
    0x5402deca,0xbf1004ee,0x6c4027cc,0x002000de,0x8000d4c0,0x000003cb,
    0xfffe8799,0xffffffff,0x740dff75,0xfffffb1f,0x07ff05df,0x23efd880,
    0x3fa20039,0x3a05ff03,0x27cc006f,0x7f677ec0,0x7fffdc03,0x7fcc04ff,
    0xf9800efd,0x4400efdf,0x00e63efd,0xffc8ffe2,0x05ff7001,0x017afba0,
    0x3fffff66,0xff100fff,0x000ffe47,0x7ec03dfb,0x7003fece,0x7cc005ff,
    0x00ffffff,0x13fe37ec,0x2004fd80,0x00efdffb,0x05feffa8,0x7ffff440,
    0x3fbfea03,0xfbbfd005,0xdff9805f,0x4fd800ef,0x3ffff200,0xffb000df,
    0xefd8809f,0x17fe0e63,0xfffddddb,0x3ee9dddd,0x23fd02ff,0xfffeeffd,
    0x001ffc3f,0xbdffbfd1,0x7fd400df,0xf905ff06,0x2fc8001f,0x3fffc880,
    0x4cdffcc0,0xff980199,0x1ff9800e,0x3a203df5,0x6fdeffdf,0xf717f440,
    0x3bee001d,0x2e5f1000,0x7fffcc07,0x80ffa9df,0x3bee2fe8,0x037f6000,
    0x07fff910,0x002fe980,0x55555551,0xeb87d500,0x0fff3001,0x005ffa80,
    0x3bf21df7,0x39ffb000,0x43bee033,0x6c400efc,0x7cc02fff,0x403df51f,
    0xe8807ff9,0xeffeceff,0x233fa200,0xbfd105fd,0xf0dfbdff,0x09fb00bf,
    0xe837ffdc,0xd989fb1f,0x00ffe0ff,0x3ff22390,0x3fe2000d,0xfa85ff03,
    0xd553001f,0x2000001f,0x000005fc,0x47200000,0x000dffc8,0x80000000,
    0x7406eadf,0xf14fffff,0x8000001f,0x00000198,0x00000000,0x3fa00000,
    0x00000005,0x05ff1000,0x00000000,0x2ff40000,0x260ffe40,0x026205ff,
    0x44720133,0xff80dffc,0x204fd805,0xe82ffdfb,0xf509fb1f,0x001ffc5f,
    0x02200000,0x3fe62ff8,0xffffc802,0x013100ff,0x2fec0998,0x55531000,
    0x55310013,0x00000135,0x09980131,0x4d554c40,0x1eff9800,0x3ffffe60,
    0x801ff14f,0x991001a9,0x98009999,0x0098801a,0x2a6004cc,0x03530001,
    0x88000c00,0x220009aa,0xf70009aa,0x2aa6000f,0x2aa6000a,0x3333100a,
    0x30013333,0x205ff100,0x1cb81ffa,0xfd000000,0x409fb00b,0xe86fbdfb,
    0x3e09fb1f,0x000ffe3f,0x20001a98,0x7fc09aa8,0x8809fd12,0xffeceffe,
    0xf80bf905,0x027fd42f,0x3ffff620,0x3f6207ff,0x007fffff,0xbf900333,
    0xb102ff80,0x0fffffff,0xf7006660,0x229fffff,0xfff900ff,0x7cc01bff,
    0x9007ffff,0x01bfffff,0x5ff017f2,0x3fffff20,0xfffc800d,0x26200dff,
    0x99999999,0x3ffff200,0x7fe406ff,0xc806ffff,0x3f22005f,0x00efffff,
    0xffffff91,0xffffa81d,0x4cc4ffff,0x99999999,0x3e037e41,0x002fe84f,
    0x18802662,0x7ec027f4,0x3e37ee04,0xfd8ff41f,0x3e2ff884,0xffc8003f,
    0x9000dfff,0x4dffffff,0x00bfb2ff,0x7fec3ff9,0x405fc84f,0x7ffc42ff,
    0xfff9801e,0x307eccde,0xd99bdfff,0x3fff500f,0x7c05fc80,0xefff982f,
    0xa807eccd,0x3ee01fff,0xf14fffff,0xeffe881f,0x200effec,0x407fb999,
    0xfeceffe8,0x05fc80ef,0x3fa217fc,0x0effecef,0xd9dffd10,0x3ea01dff,
    0xffffffff,0xdfffe883,0xe880ffed,0xffeddfff,0x8027ec00,0xeddffffa,
    0xfffa81ff,0x41ffeddf,0xfeeeeee9,0x3fffe64f,0x1fffffff,0xdf900ffa,
    0x5c005fd0,0x87fa06ff,0x4fd804fe,0x2fed7ee0,0x427ec7fa,0x01ffc6fd,
    0xd9dffd10,0x74401dff,0xffeddfff,0x0df95ff0,0xef85ff10,0x2fe41ffb,
    0xff88bfe0,0x200cfffd,0x74000efe,0x360000ef,0x7e404fff,0x7417fc05,
    0x360000ef,0x3e604fff,0xf14fffff,0x41ffc81f,0xf5005ff9,0x41ffc80f,
    0x5fc85ff9,0x3f217fc0,0x82ffcc1f,0x7fcc1ffc,0xdddff505,0xff05dddd,
    0x3e07105f,0x803882ff,0xff9803fe,0xf981501e,0x001501ef,0xfff327f4,
    0xffffffff,0x2e017fc1,0x002fe87f,0x740bffee,0x2013fa1f,0x57ee04fd,
    0x47fa1ff9,0xffdccefd,0x001ffc1f,0xff983ff9,0x20bffe05,0x3ff7fe38,
    0x546fc800,0xfc87ff4f,0xfb17fc05,0x07bff229,0x1000bfe2,0x440005ff,
    0x6407fcff,0x217fc05f,0x20002ff8,0x407fcff8,0x14fffffe,0x17fc41ff,
    0xa801ffa8,0x0bfe207f,0x3f20ffd4,0xf117fc05,0x07fea05f,0x3ea05ff1,
    0x007fa81f,0x20007fdc,0x4c000ffb,0x99bff999,0x00efd809,0x00077ec0,
    0x4009fd00,0x3fe24ff8,0x743fd401,0x3fee002f,0x743fd06f,0x04fd804f,
    0x25fd97ee,0xffffb1fe,0x7ff017ff,0x40bfe200,0xffb81ffa,0xfffff000,
    0xc87fd001,0xfc89f91f,0xff17fc05,0x40ffe981,0x4c001ff9,0x2a0001ff,
    0x201ff8ef,0x17fc05fc,0x80007fe6,0x01ff8efa,0x53ffffe6,0x1bf20ff8,
    0xf5009ff0,0x2037e40f,0x02fe44ff,0x06fc8bfe,0x1bf227fc,0xff509ff0,
    0x027fc400,0x0013fe20,0xfffffff1,0xffa89fff,0x0ffd4001,0x13fa0000,
    0x7cc6fd80,0x07fd401f,0x0aaa8bfa,0x82ffdfb8,0x00ff61fe,0x5fb813f6,
    0x8ff43fe6,0xdfebadfd,0x9003ff80,0x44ff80df,0x3e004ff8,0xf806febf,
    0xbf73fc2f,0x7fc05fc8,0x3a207fe2,0x02ffc44f,0x0017fe20,0x09fd4fd8,
    0x3fe02fe4,0x002ffc42,0x13fa9fb0,0x29fff910,0x0ffa0ff8,0xf500df90,
    0x201ff40f,0x02fe46fc,0x03fe8bfe,0x0ffa37e4,0xff50df90,0x007fd400,
    0x0003fea0,0x9ffb9991,0x6fc85999,0x006fc800,0x004fe800,0xff883ff5,
    0x743fd401,0xfffff9af,0x37defdc2,0x07fb0ff4,0x7dc09fb0,0x1fea7f45,
    0x27f449fb,0xfe801ffc,0x2a37e403,0x3fe000ff,0x2204ff8a,0xb93e61ff,
    0x202fe47f,0x417fa2ff,0xeffc87fb,0x3bff2002,0x8ffc4002,0x17f207fb,
    0xff905ff0,0xff88005d,0x4c00ff71,0x7c1ff11a,0x037dc02f,0x5ff03fd4,
    0x7e46fb80,0xff17fc05,0x7c6fb805,0x437dc02f,0x3ee007fa,0x07fb8007,
    0x807fb800,0xfe8004fe,0xfe800004,0x04ff8804,0x6fb805ff,0xccffdfe8,
    0x37ee0fff,0x0ff41ff8,0x9fb007fb,0x3ea2fdc0,0x9fb1fe8f,0x7fc1ffa8,
    0x805ff003,0x03fdc6fb,0x7fd4bfe0,0x5c3ff303,0xf91fea2f,0x262ff80b,
    0x3fcc0dff,0x0bffffc8,0xbffffc80,0x267fa800,0x0bf901ff,0xff902ff8,
    0xf50017ff,0x000ffccf,0xff10ff88,0x807fa803,0x3ff107fa,0x7e47fa80,
    0xf897fc05,0x13fd401f,0x7fa803ff,0x32007fa8,0x6fc8006f,0x06fc8000,
    0x664c3ff8,0x0ffe1ccc,0x03999993,0x6c027f40,0x013fe06f,0xdffd0bfb,
    0xf71ffc41,0x3fd17f6b,0x7ec01fec,0x3a17ee04,0x9fb1febf,0x3ff8bfd0,
    0x401ff880,0x037e47fa,0xffc8bfe0,0x3a1ff881,0xf91fea0f,0x542ff80b,
    0x17f22eff,0x4ffffd98,0xffffd980,0x3a27ec04,0x80bf904f,0x3f6602ff,
    0x7ec04fff,0x80027f44,0x3ff30ff8,0x400ffa80,0x3ff307fa,0x320ffa80,
    0x997fc05f,0x7fd401ff,0xa803ff30,0x7ffd40ff,0x20ffffff,0xfd8005fd,
    0x5fd80005,0x2e17fc40,0xf12fffff,0xffffb85f,0x13fa002f,0x6c03ff50,
    0x0bfe206f,0x3fa03bfa,0x7fcd7ee4,0x3fd87fa1,0x2e04fd80,0xfeefa85f,
    0xff509fb1,0x4c01ffc1,0x7fd401ff,0xf0017f60,0x80ffe85f,0xb8bf12ff,
    0x202fe46f,0xffe982ff,0x8801ffcd,0x800efffb,0x80efffb8,0x37e42ff8,
    0x7fc05fc8,0xfffb8802,0x42ff880e,0xf10006fc,0x007fe21f,0xff500ff5,
    0x5007fe20,0x405fc8ff,0x03ff12ff,0x3fe27fa8,0x543fd401,0xffffffff,
    0x001bf20f,0x20001bf2,0x3ff804fe,0x17fd554c,0xaaa987ff,0x3fa002ff,
    0x013fe204,0x3f205ff3,0x3205fd06,0xfd97ee5f,0x40007fa5,0x17ee04fd,
    0xfd8ffffc,0x7fc9ff04,0x01ff8803,0x1bf23fd4,0xf885ff00,0xf73fd85f,
    0x7e44fd87,0x7017fc05,0x8003ffff,0x2004ffc8,0xfa84ffc8,0xc81ff987,
    0x017fc05f,0x509ff910,0x03ff30ff,0x7c1ff100,0x037dc02f,0x5ff03fd4,
    0x7e46fb80,0xff17fc05,0x7c6fb805,0x437dc02f,0x3ee007fa,0x07fb8007,
    0x802ff800,0x17fc03fe,0x2ff807fd,0xd813fa00,0x5ffd006f,0x40bff221,
    0x4bf702fe,0x43fe65fb,0xd800c1fe,0x417ee04f,0x9fb1fffb,0x7fc3fee0,
    0x7fffffff,0xdf700bfe,0x7c007fb8,0x44ff982f,0x441fb6fc,0x037dc2ff,
    0xfb100bfe,0x3f20003f,0x87fc8007,0x09ff05fd,0x2ff80df7,0xd87fc800,
    0x009ff05f,0x7fc1ff30,0x4027ec03,0x0ffe07fa,0x6fb89fb0,0x7ff17fc0,
    0x7fc4fd80,0x5427ec03,0x3fea007f,0x07fd4000,0x03ff1000,0xff80bfb0,
    0xff017f62,0x81ff4005,0xd1001ffa,0x7fffdfff,0xfb817f40,0x9fd17ee5,
    0x2ff447fa,0xf7027ec0,0x47ffe20b,0x9ff104fd,0x3ffffffe,0x00ffe7ff,
    0x0ffa89fb,0x5c0bfe00,0x2ffea2ff,0x5437e46f,0x03fea06f,0x80027f40,
    0x54000ffa,0x777fc0ff,0x86ffeeee,0x3fea06fa,0x0ffa8000,0x777777fc,
    0xb8006ffe,0x1037ec7f,0xff5007ff,0xf1037ec0,0x206fa87f,0x1bf60ffa,
    0x7ec3ff88,0x20ffe206,0x3e6007fa,0x7fcc004f,0x3fe60004,0x01ffb800,
    0x1ffb8bfe,0x4400bfe0,0x4ff883ff,0x7ff64400,0x17f402df,0x17ee5fb8,
    0x23fd1ff5,0x00007ffa,0x00000000,0x2206fd80,0x27fcc3ff,0xfc800000,
    0x5ff914ff,0x3203ff30,0x13fa007f,0x0037e400,0x3fea37e4,0xffffffff,
    0x80ffcc1f,0xf90007fc,0xfffffa8d,0x01ffffff,0xf317fa01,0x01bf205f,
    0xff303fd4,0x261bf205,0x8ff901ff,0xdf902ff9,0x3205ff30,0x00ff506f,
    0x4001ffc8,0x90001ffc,0x6ff400df,0xfe85ff00,0x005ff00d,0x3f207fea,
    0x3f60000e,0x205fd003,0x217ee5fb,0xd11febfe,0x035300bf,0x2001a980,
    0x353001a9,0xc817fcc0,0x03ff906f,0x4006a600,0xfffeeffd,0x503bfa03,
    0x440987ff,0x0aa82ffb,0x543ffb88,0x3ffb880a,0x4cccefec,0xe84ff999,
    0x1ffd40ef,0x7dc40554,0x4cefec3f,0x4ff99999,0xf930afa8,0x45ffd03f,
    0x5002ffc8,0x2ffe80ff,0x740bff22,0x1ffd40ef,0xf9117ff4,0x8bffa05f,
    0xf502ffc8,0xfff8800f,0x22064c0b,0x64c0bfff,0x003ffa80,0xf027bfea,
    0x9effa85f,0x33217fc0,0x2a1bfaa0,0x5c0001ff,0x05fd007f,0x85fb97ee,
    0x0c1feefa,0x4003fc80,0x3f2003fc,0x807f9003,0x3f222ffe,0x7fff102f,
    0xf900c981,0x3ffe2007,0x7cc01dff,0x5ffeeeff,0xfffeffd8,0xffff703f,
    0x70bffffd,0xfffdffff,0x805ff0bf,0xfff986fc,0x705ffeee,0xfffdffff,
    0x805ff0bf,0xfffd86fc,0xd104ffff,0x7fffdfff,0x203fd400,0xffefffe8,
    0x3ffe603f,0x105ffeee,0xfffdfffd,0x7fff4407,0x2a03fffe,0xfe98007f,
    0x0fffffff,0xfffffe98,0xfff70fff,0xfb8001ff,0xfffeefff,0xeffffb82,
    0x7e42fffe,0x41ffffff,0x9999dfe8,0x44009999,0x1fbabeff,0x5fb817f4,
    0x7ffc17ee,0x3fd0001f,0x001fe800,0x7f4007fa,0x7fff4401,0x4c03fffe,
    0xfffffffe,0x003fd00f,0x000677e6,0x7dffffb1,0x3ffffae0,0x3ffaa01d,
    0x502dffff,0xbffffffd,0x801ff505,0xfd881ffa,0x2a03efff,0xdffffffe,
    0x400ffa82,0xeda81ffa,0xec801def,0x6c01dfff,0xffffffff,0xfffd906f,
    0xffb1003b,0xd9007dff,0x2003bfff,0x01dfffec,0x7fffffd4,0x3b203fff,
    0x403defff,0x3defffec,0x0037bfea,0x7fff6c40,0xdb100bef,0x817dffff,
    0x0dffffd9,0xffffffb8,0x802fffff,0x3ffffffa,0x5fb817f4,0x7fdc17ee,
    0x6f88001f,0x0037c400,0x3e200df1,0x3ffb2006,0x3b2001df,0x103defff,
    0x17e400df,0x000c4000,0x09988000,0x004cc400,0x7fc017f6,0x4000c403,
    0x7ec00998,0x007ff005,0x80062000,0xfffffffd,0x00c406ff,0x20003100,
    0x06200018,0xfffffa80,0x1003ffff,0x00220001,0x06600000,0x3000cc00,
    0xffffb801,0x2fffffff,0x37b97100,0x3ee05fd0,0x7c417ee5,0xa88001ff,
    0x00d44001,0x22003510,0x0188001a,0x88008800,0x03b2001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x75c00000,0xd700002e,0x3b62005d,
    0x85d5000d,0x800001db,0x2aaaaaa8,0x01bdb100,0x00ef6400,0x4005dd70,
    0x6f6c4000,0x6f6c4000,0x453b2000,0xdb1003ec,0x3b62001b,0x3ae0000d,
    0xb85d502e,0x05dd701d,0x005dd700,0x002eeb80,0x88037b62,0x42aaaaaa,
    0xd70001cb,0x1754005d,0x2e00076e,0xeb8002ee,0xded8802e,0x5dd70000,
    0x4d554c40,0xb70baa00,0x51dd9803,0x6ecc01bd,0x4c01bd51,0x01bd51dd,
    0x0005ff70,0x3002ffb8,0x001dfbff,0x04ff8dfb,0x398fbf62,0xffffff30,
    0xdff9801f,0xfd8000ef,0x3fee001e,0x013f6002,0x077effcc,0xefdff980,
    0x3bbf6000,0xbff3004f,0xff9801df,0xb8000efd,0x1bf602ff,0x7fdc09ff,
    0x2ffb8002,0x05ff7000,0x006ff440,0x3fffffe6,0x0017ea0f,0xb002ffb8,
    0x004ff8df,0x40017fdc,0xf9802ffb,0x4000efdf,0xfb102ffb,0x40ffffff,
    0x027fc6fd,0x077effcc,0x77effcc0,0xfdff9800,0x3fa6000e,0x1df70002,
    0x547fe600,0x1f5401ef,0x7f4407ae,0x06fdeffd,0x55555551,0xf51ff980,
    0x6fec003d,0x03bee000,0x807ff980,0x3df51ff9,0xf51ff980,0x7fe4003d,
    0x23ff3003,0xff301efa,0x8007bea3,0x75400efb,0x2600f5c3,0xe98002fe,
    0x77dc002f,0x0ffa2000,0x55555440,0x001ff82a,0x200bfa60,0x00f5c3ea,
    0x0001df70,0xf3001df7,0x007bea3f,0xf98077dc,0x7eccdeff,0x3d70faa0,
    0x03bfe600,0x00eff980,0x003bfe60,0x00000000,0x00000000,0x6ffe4472,
    0x00000000,0x00000000,0x0005fe80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x013f2000,0x00000000,0x00000000,0x20000000,
    0x00000efe,0x00000000,0x30000000,0x2a600035,0x03530001,0x99801310,
    0x09880000,0x13104cc0,0x88009980,0x098809aa,0x0c004cc0,0x200ccc00,
    0x13100099,0x01333310,0x26666620,0x13109999,0x4cc06200,0x26662000,
    0x00999999,0x98800ccc,0x99999999,0x4ccccc40,0x98809999,0x31000999,
    0x33333333,0x0007fc41,0x33333331,0x19980133,0x88004cc0,0x80266209,
    0x2004c418,0x4ccc4099,0x10999999,0x4cc005ff,0x44131000,0x99999999,
    0x4ccc0999,0x19999999,0x31004cc4,0xfffffc80,0xfffc800d,0xfc800dff,
    0x900dffff,0x42ff80bf,0x99999998,0x017f2099,0x02fe45ff,0xffc80bfe,
    0x7e46ffff,0x2217fc05,0x99999999,0x3ffea009,0x007ff201,0xffb05ff3,
    0x405dffff,0xfffffffd,0x00df54ff,0x0ffe07fa,0xfffffd80,0x2a04ffff,
    0xfa801fff,0xffffffff,0x7ffffd43,0xfd83ffff,0x02efffff,0x3ffffff6,
    0x1fec4fff,0xfffffb00,0x5409ffff,0x3f201fff,0x17fcc01f,0x7f40dff7,
    0xff01bee1,0xfffffd85,0xff34ffff,0x0ffe4003,0xfe8bfe60,0xffffffff,
    0x3ffe65ff,0xffffffff,0xe81bfee1,0xeffe881f,0x100effec,0xffd9dffd,
    0x3ffa201d,0x80effece,0x17fc05fc,0x3ffffff6,0x17f24fff,0x2fe45ff0,
    0x3a20bfe0,0xffeddfff,0xff017f20,0xfffffd85,0x3604ffff,0x3e204fff,
    0x837ec05f,0xfffeeffd,0xfddd903f,0x267dddff,0x01ff006f,0x764007ff,
    0xeeefffee,0x13fff603,0x3bbbfea0,0x7d42eeee,0xeeeeeeef,0xfeeffd82,
    0xdd903fff,0x7dddfffd,0x32006fa8,0xeefffeee,0x3fff603e,0x017fe204,
    0xfffb8dfb,0x7dc3fd02,0x3217fc06,0xeefffeee,0x00bff13e,0x3602ffc4,
    0x77776c6f,0x4eeeefff,0x3fffffe6,0x2e0fffff,0x3fd02fff,0xf983ff90,
    0x83ff905f,0xff905ff9,0xc85ff983,0x217fc05f,0xefffeeec,0x017f23ee,
    0x02fe45ff,0x3ffe0bfe,0x2fe43882,0xdd90bfe0,0x7dddfffd,0x1ff3fe20,
    0x2605ff70,0x89fb01ff,0xd800ffd9,0x00ff304f,0x0ffe03fe,0x004fd800,
    0x00ff9ff1,0xfa800ff5,0x44fd8007,0xd800ffd9,0x01fe804f,0x2009fb00,
    0x407fcff8,0xff302ffb,0x06fffb83,0x037dc3fd,0x9fb00bfe,0x0177fe40,
    0xf302ffb8,0x09fb003f,0x44ff8800,0xfd06fffb,0x502ff883,0x2ff883ff,
    0xf883ff50,0x83ff502f,0x17fc05fc,0xfc813f60,0xf917fc05,0x5c2ff80b,
    0x3f2000ff,0x2017fc05,0xdf5004fd,0xfe803ff1,0x6c0bfd06,0x02ffa84f,
    0xff104fd8,0x7fc1fe00,0x13f60003,0x7fc77d40,0x003fd401,0x36001fea,
    0x02ffa84f,0xfb804fd8,0x09fb0005,0x3fe3bea0,0xe837f401,0xffdfb85f,
    0x3ee1fe82,0x2017fc06,0x7fe404fd,0x7f400bff,0x200bfd06,0x6c0004fd,
    0xffdfb86f,0x7e41fe82,0x3227fc06,0x227fc06f,0x27fc06fc,0x5ff017f2,
    0x3204fd80,0x917fc05f,0x22ff80bf,0x64004ff8,0x017fc05f,0x7ec013f6,
    0xfa809fd4,0x00ffd42f,0x0ffe09fb,0x7c413f60,0xf07f8807,0x7ec0007f,
    0x3a9fb004,0x03fd404f,0x2001fea0,0x07ff04fd,0xf1009fb0,0x9fb0001f,
    0x7f53f600,0x217fd404,0xdfb81ffa,0x21fe86fb,0x17fc06fb,0x26013f60,
    0x204ffffd,0x7fd42ffa,0x009fb001,0x5c0ffd40,0xfe86fbdf,0x3201ff41,
    0x201ff46f,0x01ff46fc,0x0bf91bf2,0x7ec02ff8,0xf017f204,0x202fe45f,
    0x03fea2ff,0xf80bf900,0x027ec02f,0x7fb8ffc4,0x7f46fd80,0x4427ec04,
    0x4fd802ff,0x0a983fe0,0x1ffc1be2,0x009fb000,0x1fee3ff1,0xa800ff50,
    0x4fd8007f,0xd802ff88,0x07f9004f,0x1009fb00,0x01fee3ff,0x09fd1bf6,
    0x07fe37ee,0x037dc3fd,0x9fb00bfe,0x7ffdc400,0xe8dfb00e,0x13f6004f,
    0x827fc400,0x41ff8dfb,0x017fc1fe,0x05ff1bee,0x17fc6fb8,0xbf91bee0,
    0x6c02ff80,0x017f204f,0x02fe45ff,0x07fb8bfe,0x7c05fc80,0x027ec02f,
    0x3ff33fd4,0xf53ff980,0x84fd801f,0x9fb006fd,0x7fb07fc0,0x3ff837cc,
    0x013f6000,0x1ff99fea,0x5001fea0,0x9fb000ff,0x3600dfb0,0x0ff3004f,
    0x5009fb00,0x00ffccff,0x7fd4ffe6,0x3f6bf700,0xdf70ff45,0x6c02ff80,
    0xfc88004f,0x27ff304f,0x36000ffa,0xdfb0004f,0x5fdafdc0,0x3ff10ff4,
    0x3e27fa80,0x13fd401f,0x7fa803ff,0x3fe02fe4,0x9027ec02,0x22ff80bf,
    0x17fc05fc,0xf9000df9,0x402ff80b,0x4fd804fd,0x7e4027f4,0xd803fe8f,
    0xfffdccef,0x409fb001,0x99bfe1fe,0x007ff05f,0x6c027ec0,0x5027f44f,
    0xffffffff,0xffffa81f,0xd80fffff,0xfffdccef,0x009fb001,0x360017ec,
    0x44fd804f,0xffc804fe,0x3ee03fe8,0x7f43ff35,0x3ffffee1,0x02ffffff,
    0x900027ec,0x47fe40ff,0x7ec003fe,0x1ffa8004,0x7fcd7ee0,0xff987fa1,
    0x987fd401,0x7fd401ff,0xa803ff30,0x017f20ff,0x4fd805ff,0xff017f20,
    0x3e02fe45,0x0017f62f,0x5ff017f2,0x4404fd80,0x037e42ff,0x037f7fc4,
    0xffffffd8,0x13f6000b,0xfff51fe8,0x7fc17ea3,0x13f60003,0xfc85ff10,
    0x3fffea06,0x540fffff,0xffffffff,0xffffd80f,0x36000bff,0x1bea004f,
    0x8809fb00,0x037e42ff,0x037f7fc4,0x25fd97ee,0x3ffee1fe,0xffffffff,
    0x0027ec02,0x2201ff50,0x8006feff,0x7c4004fd,0xb2fdc04f,0xf10ff4bf,
    0x27fa803f,0x7d401ff8,0x5007fe27,0x405fc8ff,0x27ec02ff,0xff80bf90,
    0xff017f22,0x40037e45,0x17fc05fc,0xf5013f60,0x003ff30f,0x2005fff7,
    0xdfebadfd,0x813f6000,0x9f9f92fd,0x1ffc13ea,0x809fb000,0x1ff987fa,
    0xa800ff50,0xdfd8007f,0x000dfeba,0xff0013f6,0x027ec003,0x3fe61fea,
    0x2fffb801,0xff32fdc0,0x6fb87fa1,0x36017fc0,0x3f20004f,0x17ffdc06,
    0x0027ec00,0x3ee01bf6,0x7f43fe65,0x2e017fc1,0x2017fc6f,0x017fc6fb,
    0x0bf91bee,0x7ec02ff8,0xf017f204,0x202fe45f,0x01fee2ff,0xff017f20,
    0x404fd805,0x09ff05fd,0xd801bfa0,0x013fa24f,0x3f204fd8,0x2adf3df2,
    0x007ff04f,0x36027ec0,0x209ff05f,0x7d4007fa,0x24fd8007,0x36004fe8,
    0x27dc004f,0xd809fb00,0x009ff05f,0x3ee01bfa,0x1fea7f45,0x5ff01bee,
    0x5504fd80,0x07ff7101,0x2000dfd0,0x3ea004fd,0x45fb801f,0xf83fd4fe,
    0x227ec03f,0x27ec03ff,0x9fb00ffe,0x7fc06fb8,0x7027ec02,0x22ff80df,
    0x17fc06fb,0xb8001ff5,0x017fc06f,0xdff013f6,0xdffddddd,0x8013f600,
    0x0ffd44fd,0x3204fd80,0x3fd3fabf,0x0ffe07f7,0x404fd800,0xeeeeeeff,
    0x0ff506ff,0x8007fa80,0x0ffd44fd,0x4004fd80,0xfb000ff8,0xeeeff809,
    0x006ffeee,0xbf7009fb,0x1fe8ffa8,0x5ff01bee,0xf704fd80,0xffffdfff,
    0x013f6009,0x88027ec0,0xbf7004ff,0x1fe8ffa8,0xff1037ec,0x2206fd87,
    0x037ec3ff,0x6fa87ff1,0xb003fea0,0x037d409f,0x37d41ff5,0x7cc1ff50,
    0x37d4004f,0xd801ff50,0x3ffea04f,0xffffffff,0x004fd801,0x17fa13f6,
    0xf7027ec0,0x33ee3f97,0x07ff03fb,0x5027ec00,0xffffffff,0xff503fff,
    0x007fa800,0x5fe84fd8,0x0009fb00,0x3f6007fb,0x3fffea04,0x1fffffff,
    0xb804fd80,0xfebfe85f,0xff01bee1,0x504fd805,0xbffffffd,0x027ec005,
    0x9004fd80,0x3ee001df,0x1febfe85,0xfc817fcc,0x902ff986,0x05ff30df,
    0x3fe61bf2,0xb00ff901,0x0ffcc09f,0x7fcc7fc8,0xf90ff901,0x7fcc003f,
    0xb00ff901,0x4efec09f,0xff999999,0x004fd804,0x3fea13f6,0x204fd800,
    0x3e26fcfb,0x7ff02fcf,0x027ec000,0x33333bfb,0xf509ff33,0x07fa800f,
    0xfa84fd80,0x04fd800f,0xb006f980,0x4efec09f,0xff999999,0x804fd804,
    0xeefa85fb,0xf01bee1f,0x04fd805f,0x001ff988,0xb0004fd8,0x3ff5009f,
    0x542fdc00,0xfe81feef,0x0bff222f,0xf9117ff4,0x8bffa05f,0xfd02ffc8,
    0x03ffa81d,0x7f404fd8,0x41ffd40e,0x7fd40efe,0x0bfff883,0x3bfa064c,
    0x401ffd40,0x0bfe04fd,0xfb00df90,0x827ec009,0x4fd804ff,0xd13fbea0,
    0x3fe05fdf,0x13f60003,0x7e402ff8,0x4007fa86,0xfd8007fa,0xb009ff04,
    0x3fa0009f,0x204fd802,0x37e402ff,0x5c027ec0,0x3ffff05f,0x3fe037dc,
    0x8027ec02,0xfb0006f9,0x13f60009,0x333bfd10,0x5c133333,0x3ffff05f,
    0xfdfffd10,0x7f4407ff,0x03fffeff,0x3fbfffa2,0x3fe603ff,0x05ffeeef,
    0xf9809fb0,0x5ffeeeff,0xdddfff30,0x7f4c0bff,0x0fffffff,0x7777ffcc,
    0x9fb005ff,0x5003fea0,0x4fd803ff,0x5c13f600,0x7ffec0ff,0x24ffffff,
    0x7dc1fffa,0xffff01ff,0xd8ffffff,0xffffffff,0x801ff54f,0x7fd41ffa,
    0x3fffffff,0x7fffffd4,0x4fd83fff,0xfd81ff70,0xffffffff,0xb0bf7004,
    0xffffffff,0x003fea9f,0xfd803ff5,0x705fb804,0x37dc3fff,0xffb0bfe0,
    0x9fffffff,0x40013ee0,0xfb0004fd,0xffffb809,0x2fffffff,0x7fdc17ee,
    0x3ffb201f,0xfd9001df,0x32003bff,0x801dfffe,0x3effffd8,0x3fffff60,
    0xd884ffff,0x403effff,0x3effffd8,0xdfffd900,0x3ff6207b,0x3f603eff,
    0xffffffff,0x3e00bfb4,0x027ec03f,0x3e209fb0,0x7fffec4f,0x264fffff,
    0xfff886ff,0xffffff00,0xffd8ffff,0x4fffffff,0x3fe00bfb,0x7ffffd43,
    0x7d43ffff,0xffffffff,0xf104fd83,0xffffd89f,0x004fffff,0xfffb03b6,
    0x29ffffff,0x7ff005fd,0xb804fd80,0x3fff105f,0x3fe037dc,0x7ffffec2,
    0xd704ffff,0x13f60003,0x2027ec00,0xfffffffb,0x3ee2ffff,0x03fff105,
    0x44000310,0x00620001,0xfb001880,0xffffffff,0x00018809,0x08800031,
    0xd800c400,0xffffffff,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x65400000,
    0x6dc2ea82,0x09aa8801,0x75477660,0xdec8000d,0x0ded8801,0x19991000,
    0x02eeb800,0x55555544,0x7c4df002,0xdf137c06,0x55555100,0xeeb80055,
    0xdf137c02,0xd914ec80,0x0f722007,0x05510000,0x4c551000,0xc880000b,
    0x6644003d,0x223ca800,0x32a000cc,0x5510622c,0xaaa98801,0x072e0000,
    0x01644970,0x00333220,0xb8055400,0xa800b224,0x554c002c,0x223c9800,
    0x02e200cc,0x3fd00073,0x4ff8dfb0,0x3fffff20,0x37fe606f,0xfd8000ef,
    0xdff9801e,0x744000ef,0x7dc000ef,0xfff9802f,0xd800ffff,0x403fecef,
    0x03fecefd,0xffffff98,0x5ff7000f,0xfd9dfb00,0xfddfb007,0x7e7f4009,
    0x53220005,0xc80005fa,0x001bfe4f,0x017f3fa0,0x0077ffc4,0x0ffce7ec,
    0xe89ff500,0xffffe89f,0xffffe882,0xe8001eff,0x4e7e402f,0x3a2003fc,
    0xcc8801ef,0x07fc4ccc,0x3fc9cfc8,0x00fff300,0x37ffffee,0x74f7e400,
    0x13fec03f,0x7d4009ff,0xeb87d506,0xdfffe881,0x2600ffed,0xd8000eff,
    0xff9800df,0x2003df51,0xb8004fe8,0x551000ef,0x20055555,0x803fffc8,
    0x003fffc8,0x55555551,0x003bee00,0x01fffe44,0x4007ff90,0x001f51fa,
    0x17e5fe60,0x3fd03100,0x00007fec,0x003ea3f5,0x1df75ff3,0x03fffb00,
    0x7417fd40,0xfecdffbf,0x6677c41f,0x400effeb,0xfffffffd,0xdffff106,
    0x02ff4400,0xffffff30,0xff102fd4,0x7cc00dff,0x7fec00ff,0x806ffcac,
    0xd803fffc,0x013fe26f,0x00002fd8,0x0e20bffe,0x00000000,0x2cb80000,
    0x000005f7,0x00000000,0x00000000,0x00000000,0x2e5f3000,0xff30000f,
    0x7dc003fe,0x3e237c46,0x97cc0007,0x0e5c00fb,0x33200795,0x03322001,
    0x3a0f7ff4,0xff50185f,0xffffd805,0x65406fff,0x01654002,0x3fdcccc0,
    0x595005f9,0x805b7000,0x7f440ffa,0x002cb803,0x00298151,0x4cc41fe2,
    0x09999999,0x10003fee,0x33333333,0x33310013,0x33103333,0x13333333,
    0x400fd000,0x33000199,0x26662003,0x00999999,0x98800ccc,0x99999999,
    0x4cccccc0,0x98819999,0x99999999,0x04cccc40,0x5fefe800,0x23fe6000,
    0x1bee003c,0x06f88593,0x5fefe800,0x00000000,0x07ff4000,0xd0007fd4,
    0x2fe8009f,0x00000000,0x25cff500,0x00000000,0x1fea05fd,0x00000000,
    0xff504fc8,0x7fffffff,0x20013fe2,0xfffffffa,0xffe803ff,0x540fffff,
    0xffffffff,0xba98803f,0xfff5005f,0xfffa8003,0xffffa801,0x203fffff,
    0xa801fffa,0xffffffff,0x3fffe63f,0x1fffffff,0x7fffffec,0x7fe44fff,
    0x00ceffff,0x0000b2e0,0x2e000ff3,0x1ffc806f,0x05970000,0x00355300,
    0x3000d54c,0x07fd0355,0xc8007fe2,0x44d4c04f,0x54c402fe,0x2aa200aa,
    0x0006a609,0x4c001fea,0x54c000aa,0x01ff100a,0x53003fe2,0x00988015,
    0x1ff00131,0x3bbbfea0,0xff52eeee,0xdff50001,0x05dddddd,0xccffff98,
    0x77fd40cc,0x02eeeeee,0x3fffff62,0x9fffb006,0x4fffd800,0xeeeffa80,
    0x3602eeee,0xfa804fff,0xeeeeeeef,0x3ffffe62,0x40ffffff,0xefffeeec,
    0x77fe43ee,0x02ffffee,0x02620131,0xff555310,0x7e4ccc00,0x2099999e,
    0x880000df,0x7000aaa9,0x05ffffff,0x7fffffdc,0x3fffee02,0x80bfa2ff,
    0xecc982ff,0xf904ffee,0x05ffffff,0x3fffffa2,0x7ffec1ef,0x5fffd8ef,
    0x003fd400,0x37ffffee,0x7fffdc00,0x67fd40df,0xffcccccc,0xfffff701,
    0x40bfa01b,0x2fd405fb,0x2e00ff50,0xff50007f,0xfcfc8000,0x007fa806,
    0xf59dff10,0x7c401dff,0x22007fcf,0xa807fcff,0xff10007f,0xff500ff9,
    0x7fc40000,0x404fd804,0xffe985fc,0xf702fe81,0x3fffa60b,0xf1007fff,
    0xffffffff,0x41310bff,0x3a200aa9,0x1effffff,0x99dffd10,0xffd105fb,
    0x105fb99d,0xfb99dffd,0xff017f45,0xfffffd85,0x7f444fff,0x2ffeccdf,
    0xd799df10,0x5ef41dff,0xebdfffeb,0x1fea004f,0xcacffd80,0x3ff606ff,
    0x546ffcac,0xffffffff,0xffd81fff,0xd06ffcac,0x017ee05f,0x3fd405fd,
    0x0006fc80,0x44000ff5,0xa806faff,0xbfb0007f,0x17ff7e61,0x1ff8efa8,
    0xff1df500,0x007fa803,0x3ff1df50,0x0007fa80,0x6c01bf60,0x02fe404f,
    0x05fd0dfd,0x3fea17ee,0x07ffdcce,0xffb99910,0x90799999,0xffffd17f,
    0x333be209,0xd80effeb,0xd80882ff,0xd80882ff,0x3a0882ff,0x43ff102f,
    0x7e40affd,0x74077e44,0x7d40602f,0x9bfe022f,0x3ea007f9,0x81ff5007,
    0xffa83fe8,0xf51ff440,0x3333333f,0x81ff5033,0x2fe83fe8,0x7cc0bf70,
    0x803fd406,0xf50005fd,0x67dc000f,0x7fa806f9,0x20ff9800,0x207faafc,
    0x009fd4fd,0x027f53f6,0x6c001fea,0xa809fd4f,0xf500007f,0x13f6003f,
    0x7d40bf90,0xb817f42f,0x41ffc45f,0xf70007f9,0x7e7e400d,0x02fffcdf,
    0x30bfea03,0x7cc005ff,0x3fe6002f,0x205fd002,0x817fc7f9,0x07fe24fc,
    0xe80017f4,0x227ec04f,0xff5000ff,0x540bfa00,0x502fe87f,0x007fccff,
    0xfa817f40,0xf702fe87,0x201fec0b,0xdfb007fa,0x01fea000,0x6f99fe80,
    0x8007fa80,0xff3f45fb,0x2e3ff103,0x1ff8807f,0x7fa80ff7,0x71ff8800,
    0x07fa80ff,0x04ff8800,0xf9013f60,0x743fe80b,0xc8bf702f,0x00ff305f,
    0xc801bee0,0x2ff41fff,0x3227f400,0x37e4006f,0x801bf200,0x4bfb02fe,
    0xfe881ff9,0xfe81bea4,0x09f90002,0x0ff43fc8,0x8807fa80,0x1ff100ff,
    0xf8807fc4,0x0013fe0f,0x3e201ff1,0xb817f40f,0x01ff105f,0xf9007fa8,
    0x1fea000f,0xf9b7cc00,0x007fa806,0x97e64fc8,0x27fa83fe,0x7d401ff9,
    0xa807fe67,0x7fa8007f,0xfa807fe6,0x6fd80007,0x2027ec00,0x27ec05fc,
    0x2fdc0bfa,0x3fcc0bfa,0x006fb800,0x3ee07ff2,0x44fc8006,0x7ec004fd,
    0x027ec004,0xff907fd0,0x2a27fc41,0x17ee4fff,0x64c02fe8,0x44ffeeec,
    0xeeffedb9,0x5002ffee,0x9ff500ff,0xff999999,0x6667fd43,0x21ffcccc,
    0x50203ffb,0x999999ff,0x2fe83ff9,0x3ee0bf70,0xffffa804,0xf70fffff,
    0xff50001f,0x1fffffff,0x7fccbf60,0xffa85eee,0x0fffffff,0x8bf23fd8,
    0x44fd84fd,0x27ec04fe,0xffa813fa,0x0fffffff,0x27f44fd8,0xffffff50,
    0xfa801fff,0x27ec001f,0xfb017f20,0xf702fe8b,0xf301ff8b,0x1bee000f,
    0xf505fc80,0x77664c0f,0x1ff44ffe,0x000ffa00,0x7f4007fd,0x2fffeeef,
    0xffdeffc8,0x13f24fce,0x3f602fe8,0x4fffffff,0x3fffffee,0x01ffffff,
    0xf500ff50,0xffffffff,0x7ffd43ff,0xffffffff,0x677ffec1,0x7fd44fed,
    0xffffffff,0xb817f41f,0x003ff05f,0xfffffff5,0x13fe21ff,0x3fffea00,
    0x880fffff,0xffff30ff,0xffff50ff,0x901fffff,0x3f63f49f,0x3217fc43,
    0x0bfe206f,0x7fd40df9,0x0fffffff,0x3f217fc4,0x3fffea06,0x200fffff,
    0xd8004ff8,0x02fe404f,0x05fd1bf2,0x0ff897ee,0x2000ff30,0x3f2006fb,
    0x360ff304,0xffffffff,0x20027ec4,0x7ec004fd,0x3fffa004,0x3200deff,
    0x9f54ffff,0x5fd02fe4,0x902bff60,0x42ffe69f,0x540003fc,0x9ffa807f,
    0x19999999,0x4cccffd4,0xd5019999,0x85dfffff,0x99999ffa,0x2fe81999,
    0xdf50bf70,0x801fea00,0x54001ffd,0x4fb8007f,0x3ea01be6,0x36fa8007,
    0x541ff8bf,0x01ff987f,0x3ff30ff5,0x5001fea0,0x03ff30ff,0xd8001fea,
    0x9fb0006f,0x6c05fc80,0xb817f45f,0x40bfe25f,0xf70007f9,0x827e400d,
    0xaffd87f9,0x3f227e40,0x037e4006,0xe801bf20,0x1100032f,0x1bee1fd8,
    0xff817fcc,0x3ee9f902,0x0002fe46,0x3e601fea,0x7fcc000f,0xfd880000,
    0x001ff303,0x3f207fd0,0x5002fd85,0x7fcc00ff,0x2064c0bf,0xfe8007fa,
    0x2a01be61,0xff88007f,0x3fea2fc9,0xff82fec0,0x3e0bfb04,0x00ff504f,
    0x9ff05fd8,0x4001fea0,0xb0001ffa,0x05fc809f,0x0ffa27f4,0x0ffe2fe4,
    0xb8003fe4,0x13f2006f,0x17fc3fcc,0x7fd44fc8,0x0bfea002,0x002ffa80,
    0x400005fd,0x07fd43fc,0x260bffe2,0x4fe881ff,0x06fd89f7,0x803fd400,
    0xff8004ff,0x5fa80004,0x40027fc0,0x5ffa85fd,0xf5003fcc,0xfff9800f,
    0x40ffffff,0x7cc007fa,0x06fdcccf,0xb0007fa8,0x7fccfdff,0xeeeeff83,
    0xff06ffee,0xffdddddd,0x001fea0d,0xddddddff,0x1fea0dff,0x013fe200,
    0x6404fd80,0x0bfe205f,0xbff50bfb,0xffb85fe8,0x3ff50007,0x4c13f200,
    0x40ffcc7f,0xffe84fe8,0xffe81982,0xffe81982,0x0bfa1982,0x81ff8000,
    0xdfd30dff,0x89ff105f,0xdf34fffa,0x001fffe4,0x2e00ff50,0x2e0203ff,
    0x200203ff,0x7fdc03fc,0x3ff20203,0x917ffee1,0x3fd4007f,0x7ff5c400,
    0x7fa83def,0x7fffec00,0xfa806fff,0x3ff60007,0xa85ffedf,0xffffffff,
    0x7fd41fff,0xffffffff,0x007fa81f,0x3fffffea,0xa81fffff,0xefc8007f,
    0x13f60000,0x7e40bf90,0x70ffe40f,0xffb8bfff,0x01ffbee3,0x006ffc40,
    0x7f9827e4,0x3ea27fc4,0xffe984ff,0x982ffeef,0xffeefffe,0xefffe982,
    0x0bfa2ffe,0xbefd8000,0x3fbffee1,0xf902fd9f,0xf9dffbdf,0x5ff77fc9,
    0x06edfffb,0xd801fea0,0xfedcefff,0x9dfffb04,0xf7009fdb,0x7fec057f,
    0x84fedcef,0xefeefff8,0x03fe25fb,0x0007fa80,0xf5003bea,0x4ffc400f,
    0x806fb999,0x6c0007fa,0xb02effff,0x333333bf,0xdfd89ff3,0xf9999999,
    0x007fa84f,0x266677f6,0xa84ff999,0x7fd4007f,0x27ec0001,0x7d417f20,
    0xefff884f,0x445fbefe,0x8effeffe,0x3f20007f,0xc85eeeff,0x90ff304f,
    0x9dffbdff,0x7ff6409f,0x3b201dff,0x201dffff,0x1dffffec,0x80000bfa,
    0x7dc2ffd8,0x05fb1dff,0xaa7fffe4,0x8fff6a4f,0x204ffffc,0xfffffffd,
    0x7f5406ff,0x202effff,0xefffffea,0x09fd9002,0xfffffea8,0xfffd302e,
    0x7dcbf519,0x03fd4005,0x5007f900,0x2fdc00ff,0x7d4037cc,0x4ff40007,
    0x402ff801,0x017fc6fc,0x1fea1bf2,0x6402ff80,0x007fa86f,0x26677fa2,
    0x40099999,0x2fe404fd,0x40dffb53,0xa8cfffe9,0xfffd885f,0x8000ff0c,
    0x85fffffb,0x0ff304fc,0x553ffff2,0x0013004f,0x13000130,0x00002aa0,
    0x00002000,0x30040011,0xffffb003,0x00dfffff,0x44000cc4,0x00000019,
    0x98800662,0x000ff400,0x3fffffea,0x3fa03fff,0xffffa801,0x3a3fffff,
    0xeeff982f,0x7ffd41ee,0x03ffffff,0x7d4017e6,0x8ffd400f,0x7d400ffa,
    0x7fffd41f,0xf53fffff,0x1ffa801f,0x7fffffd4,0x3fee3fff,0xffffffff,
    0x7fffec2f,0x644fffff,0xffffffff,0x00131004,0x00000010,0x827e4033,
    0x004407f9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05e98000,0xfffffa80,0x3a03ffff,0xffff5005,0x2a7fffff,
    0xffff307f,0xfffa83ff,0x03ffffff,0x7ec007aa,0x367ff005,0x87ff005f,
    0xfffffffa,0x00bfb3ff,0xfff50ffe,0x47ffffff,0xfffffffb,0x7ec2ffff,
    0xffffffff,0x77fffe44,0x000000be,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x165c0000,0x0ccc8800,0x0001e644,
    0x4c0b8800,0x20bca803,0x05970008,0x06664400,0x0001e644,0x540aa200,
    0x20c400cc,0x09980aaa,0x57904c40,0x00a98001,0x00398171,0x88000b2e,
    0xcc880ccc,0x2aa20003,0x55310311,0x7bb50135,0x5c40e5c0,0x32a01cc0,
    0x2e00220b,0x9910002c,0x03cc8819,0x0bcecb80,0x0b224b80,0x33355530,
    0x33220013,0x4179500c,0x96540008,0x980001cb,0x10098800,0x3ff20013,
    0x7f44003f,0x0bff301e,0x202fb800,0x13fe27fd,0x9bffffc8,0xfffc806d,
    0xefe88003,0x017fe601,0x05fa8000,0xfb95dfd1,0xfffa8fe8,0x02ff42ff,
    0xffff93fa,0x6ff8801d,0x7fc4ffb0,0x3fffc804,0x1efe8800,0x0017fe60,
    0xfffffff7,0x7fffe449,0x7ffe45ff,0xb06fa85f,0x827fc4ff,0xd9bffffc,
    0x1fffe406,0x07bfa200,0xa802ffcc,0x1fffffff,0x7e4e7e40,0xffffb103,
    0x100bffff,0x3f203dfd,0x06d9bfff,0x2fea7e40,0xfffb1000,0x817f407f,
    0xdfc805fb,0xd1003fe8,0xbfb100bf,0x203f4000,0x13fe26fd,0x7fdce7c4,
    0x6fe402ff,0x22003fe8,0xfb1005fe,0x04cc000b,0x6dcc17ec,0x747fffff,
    0xffdcffcf,0x403fee0f,0x372a1ff9,0x7cc02fff,0x44dfb07f,0x6fe404ff,
    0x22003fe8,0xfb1005fe,0x37ff600b,0x364ffdcb,0x4dcbbcff,0x0ff45be2,
    0x3f603fd1,0x2213fe26,0xffffb9cf,0x3a37f202,0xbfd1003f,0x80bfb100,
    0xea89cff8,0x7ffc406f,0x5dff106f,0x079dff93,0x2205fe88,0xffffb9cf,
    0xea7e4002,0xffd0002f,0x3a07fffb,0x80bf702f,0x073223c9,0x7000b2a0,
    0x2a620059,0x054405fb,0xa88100a6,0x11e4c01b,0x32a00399,0x02cb8002,
    0xff07ff00,0x3fffffa0,0x0effe80c,0xff88ffe2,0x440df903,0x7ec01ffd,
    0x29815103,0x9911e4c0,0x00b2a003,0xf700b2e0,0x269f903f,0x3fa800ff,
    0x03fc8fee,0x405302a2,0x300dd440,0x00e64479,0x2e001654,0x217f202c,
    0xca800ffa,0x2a1bf202,0x2ca800ff,0x0dd44080,0xfea7e400,0x0ffb8002,
    0x17f41ff6,0x00005fb8,0x80000000,0x6fffffd8,0x00000000,0x00000000,
    0x3fe00000,0xbb81e443,0xfd01ffb1,0xc89fd01d,0x807ff06f,0x00005fe8,
    0x00000000,0xfd000000,0x7d53f207,0x547f7007,0x000df33f,0x00000000,
    0x80000000,0x0ff882fe,0x07fd0000,0x00000bfe,0x9f900000,0x32000bfa,
    0x407fcc5f,0x0bf702fe,0x098804c4,0x098804c4,0x098804c4,0x3eb3bfe2,
    0x4c400eff,0x262000aa,0x262000aa,0x262000aa,0x262000aa,0xff8000aa,
    0x3ee20003,0x902fe85f,0x41ff98bf,0xfc800ff9,0x4004c407,0x4c000aa9,
    0x54c000aa,0x554c000a,0x640ff300,0x01bff14f,0x47f65fa8,0xa98801fe,
    0xa98800aa,0xa98800aa,0xa98800aa,0xa98800aa,0x03ff00aa,0x02620dfb,
    0x07fd04c4,0x53100bfe,0x13101355,0xa8802620,0x5fd4fc9a,0xfb005544,
    0xfd07f98b,0xe817ee05,0xe8bf702f,0xe8bf702f,0x6cbf702f,0xffbf30df,
    0x3fff620b,0x36200dff,0x00dfffff,0x3fffff62,0x3ff6200d,0x2200dfff,
    0x0dfffffd,0x000ffe00,0x3fffffee,0xfb817f41,0x7e44fe85,0x01ff5005,
    0xff7017e4,0xb801bfff,0x00dfffff,0x6fffffdc,0x7fffdc00,0x037d40df,
    0x7ffdc9f9,0xbdfd00be,0x1013f2df,0xdffffffd,0xffffd103,0xfd103dff,
    0x03dfffff,0xffffffd1,0xfffd103d,0xff83dfff,0x403bfa21,0x4bf702fe,
    0x0ff985fd,0xfffff910,0x205fd0bf,0xfffa85fb,0x5fd4ffff,0x05ffffd1,
    0x4fe83fee,0x3ee05fd0,0x5c0bfa05,0xb817f45f,0xb817f45f,0x641ff35f,
    0xe887faaf,0xfffdcdff,0xcdffe880,0xe880fffd,0xfffdcdff,0xcdffe880,
    0xe880fffd,0xfffdcdff,0x007ff000,0xecceffd8,0xb817f46f,0x20ffb85f,
    0xff7002ff,0xfb02fc80,0x0dff959f,0x7e567fec,0x33ff606f,0x3606ffca,
    0x6ffcacff,0x9f9037dc,0xdffffd98,0x467fec40,0xef8806f9,0x0effebcc,
    0x75e677c4,0x77c40eff,0x0effebcc,0x75e677c4,0x77c40eff,0x0effebcc,
    0x0dfe87fe,0x7dc0bfa0,0x2273fe65,0x3f604ffa,0x84dcbbcf,0x8bf702fe,
    0xfdccdffd,0xbff9fd4f,0xf103ffd9,0x01dfd39f,0x2fdc0bfa,0x3ee05fd0,
    0xfb817f45,0xfb817f45,0x27e8bf75,0x077ec1ff,0x3f617fa2,0x42ff440e,
    0x7f440efd,0x440efd85,0x0efd85fe,0xf802ff44,0x3fee003f,0xfd17fcc1,
    0x2217ee05,0x00ff52ff,0xd809ff73,0x40ffa83f,0xffa83fe8,0x541ff440,
    0x1ff440ff,0x3a207fd4,0xc81bee3f,0xffd7104f,0x03fd001d,0x17fd4060,
    0x82ffa80c,0x305ff501,0x060bfea0,0x3ff17fd4,0x3fa01fea,0x7ccbf702,
    0x04ffffff,0xe8003fe6,0x54bf702f,0xd4fc81ff,0x5fe83dff,0x1bffff70,
    0xfb817f40,0x5c0bfa05,0xb817f45f,0xb817f45f,0x7cc9f95f,0xff98ffa5,
    0x4c3ff501,0x3ff501ff,0xfa80ffcc,0x407fe61f,0x3fe61ffa,0x003ff501,
    0x7fc007ff,0x7f4bfb02,0x320bf702,0x6c09fb6f,0x9105ffff,0x5fd07ffb,
    0x3fa1fea0,0xfd0ff502,0x3a1fea05,0x54ff502f,0x09fd107f,0xb807ff50,
    0xfd00004f,0x04fe8009,0x20027f40,0x7f4004fe,0x3fdc7fe4,0xfb817f40,
    0x332abfa5,0x03fd401b,0x7dc0bfa0,0x7e40ffe5,0xf501ffd4,0x7fff701f,
    0x3207fd00,0x40bfa05f,0x817f45fb,0x817f45fb,0x647fb5fb,0xfb93f62f,
    0xf717fc06,0x2e2ff80d,0x717fc06f,0x22ff80df,0x17fc06fb,0xa801ffc0,
    0xe9fea07f,0x20bf702f,0x01ff9ff9,0x4c06fbf2,0x442effff,0x1ff100ff,
    0xf8807fc4,0x403fe20f,0x3fe20ff8,0x261ff100,0x4ffd81ff,0x4c07fd00,
    0x900000ff,0x4fc8009f,0x0027e400,0xf90013f2,0xff98ffc9,0xb817f404,
    0x000ff15f,0x40037fe2,0x2bf702fe,0x53f207f9,0x3ff103fe,0x0effffc8,
    0x85fd8ffa,0x3fa05ffa,0xfe8bf702,0xfe8bf702,0x3f2bf702,0x47fb1fa4,
    0x1ff404fc,0x3fe809f9,0x7fd013f2,0x3fa027e4,0xfd013f23,0x007ff007,
    0xff9817ee,0x3ee05fd0,0x1bfbfa05,0xfe807f90,0x33fea00e,0xffcccccc,
    0x3333fea1,0x21ffcccc,0xcccccffa,0x3ea1ffcc,0xcccccccf,0x89bfa1ff,
    0x0134fefd,0xfe80bfea,0x98039952,0x4ffeeecc,0xfddd9930,0x3b32609f,
    0x9304ffee,0x09ffddd9,0x3fbbb326,0xfc87fe4f,0x05fd00df,0x6ffc57ee,
    0xb80199ab,0x200befff,0x2bf702fe,0x53f206fa,0x8bfe02fe,0x5ff99ffa,
    0x1ffc8bfe,0xe817ffee,0xe8bf702f,0xe8bf702f,0x2abf702f,0xff8bf36f,
    0xfb013f61,0x36027ec9,0xb013f64f,0x2027ec9f,0x013f64fd,0x7ff009fb,
    0x8817f200,0x205fd1ff,0x3fee05fb,0x01fe402f,0xfa803ff1,0xffffffff,
    0x3ffea1ff,0xffffffff,0x3ffffea1,0x21ffffff,0xfffffffa,0x3e61ffff,
    0xfbbffeff,0xfdddff94,0xafdc0bff,0xb03ffffd,0xffffffff,0xfffffb09,
    0xffb09fff,0x09ffffff,0xfffffffb,0xffffb09f,0x7fc9ffff,0x4077fdc1,
    0x4bf702fe,0xfffffffc,0x3f6601df,0xfe80dfff,0x3eebf702,0x7f53f206,
    0xfe8bfe02,0x3e33fea3,0x3bffe21f,0x205fbefe,0x8bf702fe,0x8bf702fe,
    0x2bf702fe,0x22fc9ff8,0x17f20ffa,0x2fe47fd0,0x5fc8ffa0,0xbf91ff40,
    0x3f23fe80,0x401ff405,0xbf9003ff,0xfe87fcc0,0x440bf702,0x3fc807ff,
    0x5007fe60,0x333333ff,0x9ffa8333,0x19999999,0x4cccffd4,0x7d419999,
    0x9999999f,0xeffe9819,0x3fee9f92,0x203effff,0x8dfa8ff8,0x7fec0ff9,
    0x3627e40a,0x27e40aff,0xf902bff6,0x40affd89,0x57fec4fc,0x3ff27e40,
    0xfd0dff30,0xfa97ee05,0xfffeeccf,0x7f5c400f,0x817f40ef,0x40ff75fb,
    0x205fd4fc,0x3ff11ff8,0x87fdffc8,0xa8cfffe9,0x40ffa05f,0x81ff45fc,
    0x81ff45fc,0x3bff65fc,0xf70ffe67,0x70ffc40d,0x0ffc40df,0x7fc40df7,
    0xf881bee1,0x881bee1f,0x3ff801ff,0x540ff500,0x4400007f,0x100003ff,
    0xff9805ff,0x07fcc000,0x003fe600,0x0001ff30,0x113f2044,0xfb001333,
    0x1fd8bf25,0x4fc817fc,0x4fc817fc,0x4fc817fc,0x4fc817fc,0x4fc817fc,
    0x7fcc07fe,0xfc81ff41,0x2a03ff35,0x3ea003ff,0xc81ff43f,0x101ff55f,
    0x40bfa9fd,0x07fe67f9,0x8813fff6,0xd807f609,0x45ffa85f,0x5ffa85fd,
    0x7fd42fec,0x76fffec5,0x1ff985ff,0xff98df70,0xf98df701,0x98df701f,
    0x8df701ff,0xdf701ff9,0x400ffe00,0xbfb02ff9,0xb000d4c0,0x006001ff,
    0xff003bfa,0x09ff0009,0x0009ff00,0x800009ff,0x035304fc,0x87f25fa8,
    0x07fe61fc,0xff993fa2,0x264fe881,0x4fe881ff,0x3a207fe6,0x207fe64f,
    0x07fe4fe8,0x2fec2ff8,0x5fcaffd4,0x20027f40,0x42fec3fe,0x5ff35ffa,
    0x3fa9ffb0,0xff8bfb02,0x02ffe883,0xf9013ee0,0x2fffdc3f,0xffb87ff2,
    0x70ffe45f,0xffb0bfff,0x7ec05dff,0x417fd41e,0x7fd41efd,0x541efd82,
    0x1efd82ff,0x7ec17fd4,0x017fd41e,0x36003ff8,0x0ffe41ff,0x2e007f90,
    0xbfd002ff,0x02eff980,0x8080ffee,0x20203ffb,0x20203ffb,0x00203ffb,
    0x3f209f90,0xb83fe203,0xf883fa3f,0x27ffd44f,0xffa89ff1,0x513fe24f,
    0x7fc49fff,0x127ffd44,0xfffa89ff,0x7d407fe4,0x70ffe41f,0x3ff2bfff,
    0x985ff300,0xc85ff500,0x3ffee1ff,0x6c47bfa5,0x07fd4fef,0xffd81ff7,
    0x1bfff662,0x4402fe80,0xbefeefff,0x77ffc45f,0x445fbefe,0xbefeefff,
    0x019fe85f,0xfddffd10,0x3fa209ff,0x04fffeef,0xffddffd1,0x3ffa209f,
    0x104fffee,0xfffddffd,0x01ffc009,0xfddffd10,0x1fe807ff,0x9ffd9910,
    0x03ffe600,0x7ddfff50,0xb9dfffb0,0x3ff609fd,0x04fedcef,0xdb9dfffb,
    0x3fff609f,0x004fedce,0x1fe827e4,0xff10ff60,0xff90bfb9,0x9f9dffbd,
    0xffdeffc8,0x7fe44fce,0x4fceffde,0x7fef7fe4,0x7fe44fce,0x4fceffde,
    0x7775c7fe,0xfff884ff,0x55fbefee,0x95559dff,0xdff90bff,0x10bfffdd,
    0x7dfddfff,0x77ffccbf,0xfd4fbbff,0x5fffddff,0xfdffff10,0x009ffbff,
    0x9806fbf2,0xfa8cfffe,0xcfffe985,0xfe985fa8,0x45fa8cff,0xf90005f9,
    0x9005dfff,0x005dffff,0x05dffff9,0x5dffff90,0xdffff900,0xffff8005,
    0x887fffff,0x01effffc,0xff3037c4,0xfe8005ff,0xfff91005,0x3fffaa0d,
    0x3aa02eff,0x02efffff,0x3fffffaa,0x3ffaa02e,0x4002efff,0x06f884fc,
    0x7fd417ea,0xfff900df,0x3213ea9f,0x9f54ffff,0x29ffff90,0xfffc84fa,
    0xf909f54f,0x93ea9fff,0xdfff91ff,0x7fff4c07,0x3aa5fa8c,0x3fffffff,
    0xffffff70,0x7ff4c07d,0x4c5fa8cf,0x9f52effe,0x3bffff26,0x3ff2200d,
    0x7ff91dff,0x07ffb100,0x88001310,0x04c40009,0x0000f540,0x0c400062,
    0x00018800,0x06200031,0xfffff800,0x4407ffff,0x806a2001,0x20001aa8,
    0x05530001,0x10003310,0x33100033,0x00331000,0x5440d4c0,0x00080001,
    0x02200022,0x20002200,0x00880008,0x88003100,0x77530009,0x26620035,
    0x02620009,0x04000880,0x00008800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53026200,0x83326003,0x3c980ccb,0x22003322,0x009880cc,
    0x32e00131,0xaaa83102,0x59125c00,0x93002a20,0x80665c19,0x01ceedca,
    0x10441795,0x00999999,0x1bfffffe,0x02c892e0,0x50007991,0x20044179,
    0x99999aa8,0x223c9809,0x322000cc,0x01cb80cc,0x3223c980,0x6666440c,
    0x8013104c,0x2f7ae099,0xb3072e00,0x20e5c03d,0x32e01ed9,0x2006a601,
    0x3101aaa9,0x33333333,0x200cc400,0x0001aaa9,0xb8019991,0x40a9802c,
    0x00cccccc,0xa8165400,0xdffff35f,0x917fcc03,0x77e403ff,0xf9003fe9,
    0x205fd09f,0xffc804fd,0xfa8fe83f,0x3202ffff,0x883fc9cf,0x3fe607ff,
    0x2607ff22,0x4ffffffe,0x9bffffc8,0x3fffe66d,0xdddd007f,0x9f900bdd,
    0x7cc07f93,0x3ff2005f,0x306d9bff,0xffffffff,0x3bf205ff,0x22003fe9,
    0x5fd01efe,0x27bf2000,0xfff983fe,0x0df707ff,0x3fb22ff8,0x44df505f,
    0xf501fffd,0x0fffec4d,0xff906fa8,0xff309fff,0xa85dffff,0xffffffff,
    0x3ffae207,0xffe980ff,0x2002efff,0x6401efe8,0x3e603fff,0xffff10ff,
    0x4c0001ff,0x5bf507ff,0x0dffb9ff,0xefb8bfa2,0x3fffc800,0x213ff200,
    0x09fb02fe,0x3fe8dfc8,0x6e7fe7f4,0xff100fff,0x3fe60dff,0x22fe880f,
    0xfe880efb,0x419999cf,0xfffb9cf8,0x7dcccc2f,0x88000007,0x8806ffff,
    0xcf8805fd,0x82ffffb9,0xffdceffa,0x3201cccc,0x22003fff,0xffdd05fe,
    0x4007dddd,0x2603fffc,0xf707fb99,0x982ff80d,0x21fe886f,0x881fecfa,
    0x3b3ea1fe,0x81fe881f,0xffdcdffd,0x7666fd45,0x3fea2fff,0x05eeeeee,
    0xdddffff5,0xbdeff881,0x8801fffd,0xdfc805fe,0xff703fe8,0x7d4ccc5f,
    0x3e60000f,0xfffa80ff,0x207fea0d,0x033222cb,0x4002cb80,0x2fe80cd8,
    0x64c09fb0,0xfe873223,0x0ffe20ef,0xfc805950,0x64459704,0x00df900c,
    0x00dd4408,0x00001fea,0x4002ca80,0x440802cb,0x3ff881ba,0x2e001fe2,
    0x1654002c,0xfffffff0,0x2cb8009f,0x5c1fea00,0x317fc06f,0x7f905ffd,
    0x3207f630,0x03fb183f,0x3ff707f9,0x4022ffa8,0x1bea6ff8,0x03bff500,
    0xff10dfb0,0x00595009,0x0e644793,0x8807ffcc,0x5c0000ff,0x0bff502d,
    0x00005ff1,0x20000000,0x09fb02fe,0x03bfa000,0x000013fa,0x5fd00000,
    0x54000000,0x2a62007f,0x0000000a,0xfc800000,0x0003fc45,0xfe800000,
    0x80000002,0x0df707fa,0x3ba62ff8,0x01be60ef,0x06f983fb,0x1be60fec,
    0x6fc81ff4,0x7d4ff900,0x01ffc006,0x3f205ff0,0x00000006,0x7c403730,
    0x4000000f,0x5db00ffa,0x13100988,0x35553100,0x06aa6001,0x13f605fd,
    0x26aaa620,0x7e40bfa0,0x02aa6205,0x4c400988,0x0ffc00aa,0xaaa83100,
    0x403fd400,0xdfffffd8,0x26666600,0x99999801,0x99999801,0x885ff101,
    0x9998807f,0x40999999,0x00d4c098,0x988005fd,0x5400d4c0,0x37dce67f,
    0x7fc0bfe0,0xfb007fa2,0x6c01fe83,0x4c0ff41f,0x3ff500ff,0x7d4df500,
    0x017ee006,0x3f607fd0,0x33333304,0x33333300,0x3fe20000,0x4ccc4000,
    0x50999999,0x5fd000ff,0xc8817ee0,0x05ffffff,0x7fffffdc,0x3f605fd2,
    0x3fff2204,0x0bfa5fff,0x7ec42fdc,0xc80dffff,0xfffb103f,0xff101bff,
    0x547f4001,0x202fffff,0x7f4407fa,0x0fffdcdf,0x7fffff98,0x7ffffcc0,
    0x7fffcc07,0x81ff307f,0xffc807f8,0x2fffffff,0xfff9afd4,0x52fe81ef,
    0x3ea059db,0x3dffff35,0x7ecffd40,0xff80df75,0x43ff72e2,0x1fd804fc,
    0x3f6013f2,0x7dc13f21,0x05fff705,0x37d49f90,0x8005fd00,0x7fcc1ffb,
    0xfffff981,0x7fffcc07,0xf100007f,0xffc8001f,0x2fffffff,0xfd000ff5,
    0xd817ee05,0x4dcbbcff,0x99dffd10,0x40bfa5fb,0x3ff604fd,0x3a4dcbbc,
    0x88bf702f,0xffdcdffe,0x441fe40f,0xffdcdffe,0x007fc40f,0xb9ff9fd0,
    0x3ea01fff,0x2077ec07,0xcc885fe8,0x64407fdc,0x4407fdcc,0x507fdccc,
    0x00ff10df,0xb9999995,0xadfa85ff,0x86ffdcff,0xffffcafe,0xfadfa84f,
    0x206ffdcf,0x71effffa,0x22ff80df,0xdf31dffe,0x7cc7b200,0x263d9006,
    0x113f206f,0x807ffffb,0x3bea0efb,0xff1009aa,0x01597511,0x3233ffa2,
    0x999104ff,0xcc880ffb,0x00007fdc,0xa8001ff1,0xfdcccccc,0x000ff52f,
    0x17ee05fd,0x20007fcc,0xd0882ffd,0x413f605f,0xfe800ff9,0xfd8bf702,
    0x22ff440e,0x0efd83fc,0x3e22ff44,0x3ffa000f,0x40ffe20e,0x3fe607fa,
    0x803ff501,0x7d4007fa,0x83fd4007,0xeff886fb,0xd1000eee,0xbfff509f,
    0x3a0ffd41,0xfd99dfef,0x6fffd41f,0x2607fea0,0x7dc2effd,0x4017fc06,
    0xfd0001fe,0x07fa0003,0x3fa64fd8,0x7644fd9f,0x7d40dffe,0x43efffff,
    0xffffdff9,0x3ff204ff,0x2a002fff,0x3fd4007f,0x0ff88000,0xfe880030,
    0x2001fea4,0x0bf702fe,0xf3001fea,0x07fd005f,0x3fd413f6,0xf702fe80,
    0xa80ffccb,0x313f21ff,0x3fea03ff,0x8003fe21,0x4fe80efe,0x7dc0ff50,
    0x2017fc06,0x7d4007fa,0x83fd4007,0xfff885fc,0xfb000fff,0x217fea0d,
    0x7ff42ff8,0x7d43ff84,0x22ff885f,0x707fffd9,0x02ff80df,0xb80027dc,
    0x9f70004f,0xff73fe80,0xfb13f21b,0x4c1bffff,0xffffdccc,0x2f7ffe64,
    0x304ffca9,0x007fffff,0x2a003fd4,0x4018807f,0x7f440ff8,0x8dfb000e,
    0xfe8007fa,0x220bf702,0xf9000dff,0x217fa00d,0xff104ffb,0x02fe801b,
    0x037dcbf7,0x44fd8bfe,0x17fc06fb,0x74001ff1,0x20bf902f,0x13f207fa,
    0xfa807fd0,0x03fd4007,0x7dc1fea0,0x0007f886,0x3ea01ff7,0xe85db00f,
    0xa8bfb05f,0x25db00ff,0x07fceff8,0x2ff80df7,0x0003fe60,0x20003fe6,
    0x7ec00ff9,0x7ec3ffdc,0xffd73104,0x2ffc8801,0x3ee01ff5,0x567fdc0f,
    0xa800dffe,0x3fd4007f,0x8817fe20,0x7ffdc0ff,0x40ffb804,0xfe8007fa,
    0x5c0bf702,0x200befff,0xffd004fd,0x037ffdc3,0x017dfff7,0x97ee05fd,
    0x1ff404fc,0x04fc89fb,0x1ff11ff4,0xb817f400,0x40ff505f,0x27ec04fd,
    0x5001fea0,0x7fa800ff,0xff10ff50,0x05ff3000,0x74003fd4,0xa8bf702f,
    0x4ba2007f,0x0df707fa,0x3fa02ff8,0xd0099912,0x00b32a5f,0x26644bfa,
    0x207bfff2,0xfe8803fe,0x269fd004,0x5ff100ff,0x3ee0ffe4,0x07fa804f,
    0x2a03fd40,0xff102fff,0x04fffb81,0x7d417fcc,0x02fe8007,0xfd980bf7,
    0xfe80dfff,0xdfffd003,0x1dff3dfd,0x3ffff660,0x5c0bfa0d,0xb013f65f,
    0x3627ec9f,0x127ec04f,0x7f4001ff,0x2a0bf702,0x017f207f,0x7fa807fd,
    0x003fd400,0x7fcc1fea,0x2003fc40,0x7d404ff8,0x02fe8007,0x07fa8bf7,
    0x5c1fea00,0x817fc06f,0x1fff65fb,0x3feabf70,0x97ee04ff,0x7fdc7ffd,
    0x005ff00d,0x7e401bee,0x7c01ff15,0x640bfe3f,0x3fd400ff,0x101fea00,
    0x3e209fff,0x077f440f,0x2a09ff10,0x2fe8007f,0x2200bf70,0x6c0effeb,
    0xf9fd004f,0x0ffdc9ff,0x3bffae20,0x3ee05fd0,0xfd017f25,0x3f227ec7,
    0xf11ff405,0x17f4001f,0xff505fb8,0xf1037dc0,0x07fa803f,0x2003fd40,
    0x5ff107fa,0x74007f88,0x07fa805f,0xf702fe80,0x0007fa8b,0x37dc1fea,
    0x3e20bfe0,0x0ff9f50f,0x26707fc4,0x21ff106f,0x7d47fcfa,0x01ff300f,
    0x6c01bee0,0xf80bfe4f,0x201ff32f,0x7d401ff9,0x03fd4007,0xf8827fdc,
    0xfd00300f,0x3a00000b,0x00bf903f,0xfc87ff50,0x265fd006,0xfa800100,
    0x49fb003f,0x3fe206fb,0xdf717f61,0xf10ffc40,0x17f4001f,0xff505fb8,
    0xb80ffcc0,0x07fa806f,0x2003fd40,0x1bf207fa,0x7e400ff1,0x07fa800f,
    0xf702fe80,0x0007fa8b,0x37dc1fea,0xfb03ff50,0x1fe3fe25,0xdf302fd8,
    0x7fc4bf60,0x04fe87f8,0x7f4009fb,0x22ff9804,0x1ff505fd,0x7d407fea,
    0x03fd400f,0x2601fea0,0x1ff102ff,0x03ff2000,0xd801a980,0x05ffa85f,
    0xfa87fd00,0x02fe802f,0x07fd0000,0xff98ffe0,0xfe8df701,0xb80ffcc5,
    0x007fc46f,0x3ee05fd0,0xd80ff505,0x17fd41ef,0x2003fd40,0x7d4007fa,
    0x437fe607,0xff5007f8,0x01fea003,0x7dc0bfa0,0x0003fd45,0x9bee0ff5,
    0x2a1ff620,0x3fcbf25f,0xff305fa8,0x7e4bf503,0x5ff70ff2,0x9801ffc8,
    0x75400ffd,0x217fcc5f,0x3fe24fe9,0x037f440e,0x2a003fd4,0x06fc807f,
    0x20003fe2,0x64001ffa,0x1ffc803f,0x4c17ffee,0xd05ff500,0x3a3305ff,
    0x0130002f,0x2e00bfea,0x0f7ec1ff,0xbfd0bfea,0xfa83dfb0,0x007fc42f,
    0x3ee05fd0,0x880ff505,0xfffeeffe,0x00ff5004,0x54007fa8,0x7ffd407f,
    0xffffffee,0x001ffcc2,0xfd000ff5,0xf517ee05,0x3fd4000f,0x3bf66fb8,
    0x7fc42fff,0x3fffffe0,0x203fe21f,0xff881efb,0x3fffffe0,0x777fe41f,
    0x77742fff,0x21ffffee,0xfffeeeec,0xdbdff905,0xfff50bff,0x01fffddd,
    0xa800ff50,0xffb7307f,0x007fc403,0x000ffe60,0x3e2007fa,0xfbefeeff,
    0xdddff905,0x3a60bfff,0x2ffeefff,0x320005fd,0xfffeeeff,0x27ff4c05,
    0x7f77ff44,0x85fe84ff,0xffeeffe8,0x00ff884f,0x7dc0bfa0,0xffffffb5,
    0x3f20dfff,0x3602efff,0xffffffff,0x7fffec6f,0x6c6fffff,0xffffffff,
    0xfffd986f,0x42ffffff,0xfffffffd,0x03fd46ff,0xfb817f40,0x9003fd45,
    0xddffdddd,0xfc9beebd,0x3fd81eff,0x67fe6664,0x3ee0ff60,0x3f60cccf,
    0x7fe66643,0xfffeb80c,0xffffe81d,0xfffc83ef,0x75c01dff,0x2603efff,
    0x0cfffffd,0xffffffb0,0xffd8dfff,0x6fffffff,0xfb81bffb,0xffffffff,
    0x7ffec00f,0x86ffffff,0x3a6006f8,0x5fa8cfff,0xffffff70,0xffd9007d,
    0x0bfa3bff,0x7fffdc00,0xfc803eff,0x7ffe404f,0x0dfd02ef,0x177fffe4,
    0x2000ff88,0x2bf702fe,0xfffffffd,0x00c406ff,0xffffffd8,0x7fec6fff,
    0x6fffffff,0x7fffffec,0x04406fff,0xfffffd00,0xfa8dffff,0x02fe8007,
    0x07fa8bf7,0x3fffff60,0x0806ffff,0x3e017ea0,0xfc82fd47,0xbf51ffff,
    0x1100ff00,0x00133300,0x20001331,0x00988001,0xffffffd8,0x7fec6fff,
    0x6fffffff,0x3fee0153,0xffffffff,0x7ffff400,0x886fffff,0x0988001a,
    0x09998800,0x55013000,0x99880001,0x02a60009,0xaa801880,0x00018802,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8800000,0x2a60009a,0x4ccc40aa,
    0x40099999,0x440001a9,0x53100ccc,0x09881355,0x26004cc0,0x5970001a,
    0x2605c400,0xc88f2603,0x3fffe00c,0x7ffc06ff,0x88006fff,0xfff00ccc,
    0xdb80dfff,0x50062002,0x1cb80059,0x00062000,0x279bb950,0x99999998,
    0x98809999,0x00198800,0x26666200,0x20198199,0x2a620198,0x266209aa,
    0x99999999,0x04cccc09,0x00004c40,0x4cc06aa6,0x31000099,0xfff00155,
    0x1330dfff,0x4cc19880,0x09999999,0x7ffffe40,0x3ff2206f,0xf50effff,
    0x9fffffff,0x3fffff20,0x7f44000d,0xfffd881e,0x2fe47fff,0x3620bfe0,
    0x00cfffff,0x007fff90,0x4ff89ff6,0x3fa7bf20,0x77777403,0x7777405e,
    0x744005ee,0x3bba01ef,0x3e605eee,0x6fb800ff,0x2002fe40,0xf70002fe,
    0x3fa6000d,0xffd6ffff,0xffffffff,0x00bf909f,0x40000ff7,0xfffffffe,
    0x5407fe20,0xfffc887f,0x3ffa5fff,0xffffffff,0x3fffe25f,0xfe80deff,
    0xfff70002,0x7fc45fff,0x00deffff,0xefffffb8,0x3bbbba01,0x406fe85e,
    0x3ffe65fd,0x02ffffff,0xdbbfffd1,0xfff501ff,0x23ffdbbf,0xfeeeeee9,
    0x77ff444f,0x000effec,0x3e60bfd1,0x7eccdeff,0x3fe02fe4,0x55eff4c2,
    0x6400efeb,0x803fe8df,0x13fe26fd,0x007fff90,0x80000000,0x00005fe8,
    0x001fff30,0x5fc80df7,0x0017f400,0xd0006fb8,0x255339df,0x9099002e,
    0x0ff700bf,0x3ffe6000,0x220ccccf,0x0ff501ff,0xb9779ffb,0x7f7776c9,
    0x24eeeeff,0xffeeeff8,0x017f43ff,0x33bffa20,0x3fe22fdc,0x3ffffeee,
    0x32f7fee0,0x300006fe,0x3fea05ff,0x3bbbfe60,0xff02eeee,0xf307105f,
    0x002a03df,0x3ff913fa,0x5005ff98,0x077f4059,0x7c05fc80,0x40ffe22f,
    0x8f2606fc,0x54401cc8,0xcb8014c0,0x00000002,0x002ca800,0x0175c000,
    0x7e406fb8,0x017f4005,0x8006fb80,0x4ba01ffa,0x84c82cd9,0x7fb805fc,
    0xf9f90000,0x5ffdcc0d,0xffcaaaaa,0x001ff30a,0xf1013f60,0x1ffe981f,
    0x2f3337fa,0x20bff601,0x303fe208,0xff103ffd,0x00003507,0x4fe837e4,
    0x20007fcc,0x6c000ffb,0xe80000ef,0x40bfe24f,0x80001ffa,0x32002ff8,
    0x917fc05f,0x03fc807f,0x00000000,0x2aa62000,0x2aa6000a,0x31000000,
    0x00026201,0x9efc9998,0xbf909999,0x002fe800,0x27bf2666,0x2e009999,
    0xc997406f,0x21321ffd,0x2e0c45fc,0xf880007f,0x3f206faf,0xffffffff,
    0xff53ffff,0x027ec000,0x7ec03fe2,0x3fffffa6,0x7fcc1eff,0x01ff1002,
    0x1bea1bf6,0x26666600,0x21ffc401,0x0ff986fb,0x013fe200,0x0003ff50,
    0x6fc93fa0,0x4c427fc0,0x99999999,0x4003ff30,0x97fc05fc,0x3bf627f8,
    0x2626f88d,0x30131000,0x88033333,0x88055541,0xeffffffe,0x3fffee01,
    0xa83100df,0x05fd00aa,0x999997ee,0xffff1019,0xbfffffff,0x4cc417f2,
    0xaaa8bfa0,0x7ffffc40,0x05ffffff,0x05d013f2,0x21321fd1,0x87f915fc,
    0xb80007fb,0x2a06f9cf,0xccccdffc,0xf11cffdc,0xfb0001bf,0x00ff8809,
    0x2ffa5ff3,0x1fffca99,0xf8801bf2,0x85ff300f,0x7cc005fc,0xb807ffff,
    0x05ff10ff,0x54001ff3,0x7e4000ff,0x3fa00006,0xf900ffa4,0xfffff90d,
    0x3e25ffff,0x17f2005f,0x4fea5ff0,0xb0edfff8,0x401bea3f,0x7ffcc1ff,
    0x47f407ff,0x82fffffa,0xfebccef8,0xcffd80ef,0xfd06ffca,0x5fffff51,
    0x3ee05fd0,0xffffff35,0x3f733220,0x93cccccf,0x1dff10bf,0x7ffcd7f4,
    0x333222ff,0xcccccffd,0xd013f603,0x264be605,0x7ffe6fe4,0x0003fdc1,
    0x037ccff4,0x7d407fe2,0xbefffb87,0x809fb000,0x3fa00ff8,0xfd105fd3,
    0x10027ecd,0x1ff401ff,0x910013f2,0x200ffb99,0x20bf94fe,0x2e000ff9,
    0x4fe8007f,0x93fa0000,0x37dc02ff,0x66666654,0x3ff22ffd,0x05fc802e,
    0xb2fc97fc,0x4cbee09f,0x0ff8807f,0x3fee6644,0x33ff3fa0,0x0180fffd,
    0xffa85ff5,0x741ff440,0xffdcffcf,0xb817f40f,0xfb99915f,0x01bee00f,
    0xefe88bf9,0x67feff40,0xf700fffc,0xd555500d,0x155555bf,0xc9fcc0ba,
    0x3ffffc84,0x0180ff70,0x06f9b7cc,0xfa80ffc4,0xffffb307,0x04fd801b,
    0xfb007fc4,0x7d40bfa9,0x4007fd0f,0x3f600ff8,0x00027e44,0x7cc01fea,
    0xf300ffaf,0x37e4001f,0x261ffc00,0x801ccccc,0x03ff14fe,0x22007fa8,
    0xfffc84fe,0x0bf900bf,0x23fb2ff8,0x27f501fe,0x7f9807f8,0x7407fa80,
    0x3fe20eff,0x227f4003,0x0ff502fe,0x7c41dffd,0xb817f43f,0x00ff505f,
    0xbf901bee,0x74077f44,0x3fe20eff,0xf00df703,0xffffffff,0x88ba7fff,
    0x4990fea9,0x403fffc8,0xdfd107fb,0x7ccbf601,0x7c45eeef,0xdcccccdf,
    0x7f5c407f,0x333220ef,0x20cccefe,0x0fffffff,0x02feafe4,0x13fa5ff1,
    0x7fffffc0,0xcbafe40f,0xcccccefe,0x00ff5001,0x3027ffec,0x999999ff,
    0x800bfb09,0x7fdc2ff8,0xfe802fff,0xa803ff34,0xdfb000ff,0x7fffecc0,
    0x7c05fc84,0x1fe1fd2f,0x83fe4f98,0x01bea2fc,0xdfd01fea,0x8009fd01,
    0x03fe24fc,0x3fa07fc4,0x744fe80e,0x20bf702f,0xdf7007fa,0xfd15fc80,
    0x03bfa01d,0x37dc13fa,0x7f666640,0xd1ccccce,0x90effdc5,0x17fffe69,
    0x7dc1fee0,0x0ff884ff,0x8ffffff3,0xfffffff8,0x2a007fff,0x3ffe63ff,
    0x20ffffff,0x0fffffff,0x02feb7e4,0x1bf63ff1,0x7fffffc0,0xfdb7e40f,
    0xffffffff,0x00ff5002,0x26037fc4,0xffffffff,0x8006fc87,0x5554c3ff,
    0x4fe802ff,0xfa803ff1,0x01ff7007,0x1dfff710,0x3fe02fe4,0x07fe3fb2,
    0x43fd1fd4,0x017ea5fe,0x5fd01fea,0x64c17f20,0x24ffeeec,0xcccccffa,
    0x7f41ffcc,0xfe8bf902,0x2a0bf702,0x0df7007f,0xdfe8dfc8,0x640bfa00,
    0x3fbbae5f,0x405eeeef,0x717404fd,0x5fd5320f,0x7fb805fd,0x709fff70,
    0x2037cc9f,0xaaaabff8,0x74007fca,0x3aaaa23f,0xf882aadf,0x757f600f,
    0x21ff502f,0xf1002ffa,0xaafec01f,0xaaaaefea,0x0ff5000a,0xefecccb8,
    0x7fcc2ccc,0x82aaaaab,0xfe8007fb,0x4017fc03,0x00bfe4fe,0xff300df7,
    0xffc88005,0xff017f24,0x6fecbee5,0xfb17dc10,0x5c3ffe65,0x07fa803f,
    0x5fb817f4,0xffffffd8,0x3ffea4ff,0xffffffff,0xfb817f41,0xfb817f45,
    0x200ff505,0x6fe406fb,0x2fe806fe,0x7fe4bf70,0x7fffffff,0x3a027ec0,
    0x0a641ae2,0x3ee017f2,0x01dfd107,0x037cc3fd,0x7d407fe2,0xffa804c7,
    0x1013f602,0xaff401ff,0x4ff982fe,0x0cc17ff4,0x7f401ff1,0x00027e45,
    0xffd01fea,0x9fffffff,0x2000ff98,0x6c000ffa,0x017fc05f,0x07ff1ff4,
    0x7c404fd8,0x3f20004f,0xff01bee7,0x7fcd3ea5,0x43fb0fff,0x5fbf73fc,
    0x3ea00bf2,0xb817f407,0x057fec5f,0x9ffa93f2,0x19999999,0xbf702fe8,
    0xbf702fe8,0x5c01fea0,0x6efe406f,0x17f400ef,0xdf705fb8,0x809fb000,
    0x2640222e,0x7dc02fe4,0xff980c07,0x406fdccc,0xff501ff8,0xfeeeffc8,
    0x27ec05ff,0x4403fe20,0x559fd3ff,0xd10dfff9,0x5ffddfff,0xf8807fc4,
    0x0027e43f,0x3101fea0,0x333bfd33,0x000ff981,0x70013fe6,0x17fc03ff,
    0xfd8ffe20,0x00ffe206,0xa8000bfd,0x40df50ff,0x1ff10ffa,0x7ccf7722,
    0x9fea7d46,0x5003fb5f,0x02fe80ff,0x02ff8bf7,0x07fcc9f9,0xb817f400,
    0xc81ff45f,0x00ff505f,0xbf901bee,0x7401dfd1,0x20bf702f,0xfd8006fb,
    0x07517404,0x017f2132,0x6c001fee,0x6fffffff,0xa80ffc40,0x7fffdc7f,
    0xfd803eff,0x807fc404,0xfffd0ffc,0x4409ffff,0x1dffffeb,0x7e403fe2,
    0x0027e40f,0xb001fea0,0x0ff9809f,0x00ffe400,0x7c037fa0,0x0ffd402f,
    0x3f205ff3,0x007fe406,0xf99bf200,0xb8ff901f,0x217ec04f,0xfd4f8df9,
    0xf5001fd1,0x702fe80f,0x40ffccbf,0x27fc4fe8,0xb817f400,0x542fec5f,
    0x0ff505ff,0xc807fea0,0x40dff15f,0x0bf702fe,0xb0007fea,0x3a2e809f,
    0xfc84c81f,0x007fb805,0x9999ff88,0x7fc406fb,0x220ff501,0x36003fd9,
    0x07fc404f,0xbfd27fd4,0x20015799,0xff100efa,0x909ff501,0xfa80009f,
    0x76665c07,0x4c2cccef,0x7c4000ff,0x064c0bff,0xf027bfea,0xea83325f,
    0x22ffe86f,0x2a02ffc8,0x055401ff,0x3a1ffdc4,0x1ffd40ef,0x36217fa2,
    0xfbff885f,0x00ff7f71,0x5fd01fea,0xff897ee0,0x227ffd44,0x20203ffb,
    0x8bf702fe,0x3fee1ffc,0x00ff505f,0x64037fe2,0x417fe65f,0x0bf702fe,
    0x80037fe2,0x517404fd,0x3f213207,0x007fb805,0x6f985fb8,0xa80ffc40,
    0x00ffc07f,0xf8809fb0,0xdff9510f,0x00017f41,0x7fc407f9,0x1dff9510,
    0x80009f90,0x7ff407fa,0x4fffffff,0x40007fcc,0xffffffe9,0xfffb80ff,
    0x92fffeef,0x3fffffff,0xfdfffd10,0x7fcc07ff,0xffffb803,0x985ffffe,
    0xffeeefff,0x9bffd105,0x7fc0bffb,0x1bfbe67e,0x3a03fd40,0xc8bf702f,
    0xceffdeff,0xefffd84f,0xfe84fedc,0xf88bf702,0xfbefeeff,0x400ff505,
    0x5eeefffc,0x5ffa8bf9,0xbf702fe8,0x777ffe40,0x013f605e,0x3333337d,
    0xf9099333,0xffffffff,0x3fffffee,0x2fe83fff,0xeeeeff98,0x5407fe21,
    0x01fe207f,0xf8809fb0,0xdfffffff,0x00017f40,0x7fc403fd,0x0dffffff,
    0x7fffffec,0x6c0fffff,0xffffffff,0x74ccc46f,0x4c0999df,0x320000ff,
    0x03defffe,0x3ffffb62,0xfffb30be,0xfec801bf,0x7ec01dff,0xffffffff,
    0xfffffd56,0x7ec405bf,0xb803efff,0x402dfffd,0x7ff44ffe,0xfffffb05,
    0xfe8dffff,0xf90bf702,0x13ea9fff,0x7fffff54,0x702fe82e,0xfffd30bf,
    0x3f6bf519,0xffffffff,0x7fffdc06,0xf70bf95f,0x702fe89f,0xfffb80bf,
    0x13f605ff,0xffffffd0,0x909fffff,0xffffffff,0x3ffffeef,0x7d43ffff,
    0xfffff307,0x80ffc43f,0x0fa607fa,0x8809fb00,0x0ceeffff,0x40005fd0,
    0x7ffc405e,0xfb00ceef,0xffffffff,0xfffd81ff,0x06ffffff,0x3e6027ec,
    0x1100000f,0x20066000,0x01880009,0x3fffffa0,0x9886ffff,0x01880009,
    0xfd800200,0x827fdc1f,0xfffffffd,0x817f46ff,0x002205fb,0x74019880,
    0x40bf702f,0x3ff60098,0x6fffffff,0xbf906600,0xfe8fff20,0x400bf702,
    0x04fd8019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,
    0x80131000,0x4cc40199,0x4cc40199,0x99886200,0x99880099,0x09999999,
    0x09980131,0x33333331,0x2aa20133,0x20133009,0x01330998,0x44026620,
    0x02620099,0x33300013,0x026aa200,0x4cccccc4,0xa8019999,0x2666600a,
    0x21999999,0x13100099,0x262004cc,0x44002621,0x26666621,0x10999999,
    0x88013333,0x00019999,0x13006600,0x01882800,0xa9835100,0x826aa201,
    0x000001a9,0x00155531,0x4c402aa6,0x4c013100,0x2a6201aa,0x054c09aa,
    0x3fe00ffb,0x07ffea03,0xffffffe8,0x37fdc0bf,0x3ff23fd0,0x80ceffff,
    0xfffffffa,0x80df73ff,0xffffb2ff,0x889fffff,0x82fffffd,0x4dfd02ff,
    0xff7003ff,0x80bff607,0x01be23fb,0x403fff90,0x2fffffe9,0xffffffb8,
    0x501fffff,0x3e603ffd,0xffffffff,0x03ff91ff,0x3fa2ff98,0xa93fe206,
    0x23fd006f,0xfffffffe,0xffb5ffff,0xd05dffff,0x7dffffff,0xb80ff200,
    0x0bfa206f,0x3fa2fe40,0x7ffe4003,0xb0bfff75,0xfb1dffff,0x9fb00bff,
    0xffffe880,0xff701eff,0xfe81bfff,0xf70bf702,0x445fffff,0x5ffffffc,
    0x7d43ffe6,0x0ffcc01f,0x409fffb0,0xffeeeefe,0x17ffdc6f,0xdff91fe8,
    0x85ffffdd,0xeeeeeffa,0x80df72ee,0xfddd92ff,0x4c7dddff,0xffdbbeff,
    0x7e417fc3,0x400ffe0f,0xff886ffc,0x98bee03f,0x3fe6005f,0xdff701ff,
    0xb85fff99,0xffffffff,0x7f541fff,0xff301fff,0xffffffff,0x017fe21f,
    0x3ff98dfb,0x7cc1ff90,0x361ff006,0xefffeeee,0xdffb4eee,0xe87ffffd,
    0xfffeeeef,0x01fe400e,0xf90c7ff3,0xffd8801d,0x8027fdc2,0xfcfebefa,
    0x6f43fecf,0xbdfffebb,0x3fe604fe,0x6677c407,0x6c0effeb,0x6ffcacff,
    0x5fb817f4,0x333bffa2,0x33ff62fd,0x3ee4dcbb,0x013fe2ff,0x7fc40df9,
    0x0bfa07fc,0xffb8ffee,0x323fd06f,0x1ffe985f,0x7dc01fea,0xd817fc06,
    0x213fa04f,0x0bfe0ffa,0x3ff83ff5,0x83fdf900,0x3203fefb,0x8013ea1f,
    0x501ffcfe,0x07fe885f,0x7f46fb80,0x001ffcff,0xfb89ff10,0x03ff302f,
    0xff981ff9,0xf803fcc2,0x813f600f,0x7fecc4fd,0xf730bfa0,0x03fc80bf,
    0x7ffeffd4,0x74401ffe,0xbff501ef,0xf11fe801,0x11be65ff,0x3fccdff0,
    0x300dff10,0xfa8bfea0,0xd1ff440f,0xd97ee05f,0xf30882ff,0xfff3001f,
    0x3a037ec1,0x23bea03f,0x05fd01ff,0xfdfb93fa,0xf91fe82f,0xf537f40b,
    0x01bee00f,0x13f605ff,0xfe807fd4,0xff98bfe4,0xb003ff82,0xbfe89f9f,
    0xa87f603f,0x1df7003f,0xa80403ff,0x7f4000ff,0xff99ff42,0x0dfb0001,
    0x2ff41bfa,0x5fe8bfd0,0xff007f88,0x3604fd80,0x22ffa84f,0x0ffb02fe,
    0xfd803fc8,0x04fffeff,0x20077fcc,0xf100efe9,0x7f47fe8f,0x3e27ec00,
    0x002a200f,0x7f49fd00,0x7f4ff502,0x3e6bf702,0x07fa802f,0xff506e60,
    0x807fe603,0x209fd4fd,0x49fb02fe,0xe86fbdfb,0x540bf91f,0x00ff52ff,
    0x5ff01bee,0x7dc13f60,0xff9bee06,0x3e09fd12,0xf3fb003f,0x27de7ccf,
    0x3bbffbb2,0x01eeefee,0x3ff13ff1,0x05ff1000,0x04c37d40,0x50003ff3,
    0x3fea03ff,0x500ffd42,0x03fee5ff,0x3e201fe2,0xb027ec07,0xe8ffe09f,
    0x03ff502f,0x7f401fe4,0x40dfd50e,0x22004ffa,0x5f981ffd,0x07fa37e4,
    0x1fe87f90,0xfc800000,0x2201ff14,0x205fd0ff,0x00df95fb,0x00037fe2,
    0xf703ff88,0xb8ffc40d,0x205fd07f,0x237ee2ff,0xc8ff41ff,0xa9ff405f,
    0x0df7007f,0x9fb02ff8,0xfa817f20,0x2fecbfe7,0x36007ff0,0x3f91fd8f,
    0xfeec89f7,0xeeffeeef,0x229fb01e,0xf88001ff,0x0ffa001f,0x0007fe60,
    0xfd809ff1,0x6c027f46,0x203ff8ef,0x882a60ff,0x027ec06f,0x5ff109fb,
    0xff8817f4,0xffffff91,0x4c7fffff,0x07fdc1ff,0x8001ffe4,0x2fd43ffc,
    0x3fbbbff2,0x7f6dcc2f,0x2ffeeeef,0x33333331,0x93013333,0x29ffddd9,
    0xcccccffa,0x5fd1ffcc,0x27ed7ee0,0x7dfff700,0x0dfb0001,0x7fa80ffa,
    0x3fa07fe6,0x2e2fec42,0xfe8bfb5f,0xfd80bf91,0x2e00ff54,0x817fc06f,
    0x0ff704fd,0xaff87fcc,0x1ffc06fc,0x4fa8fe80,0xf813eadf,0x2a00fec6,
    0x007fe26f,0xa801fee0,0x3ff3007f,0x806fd800,0x1ff53ff9,0xdffff100,
    0x3f60ff80,0xfb01be63,0x6c27ec09,0x9817f46f,0xffff90ff,0x7fffffff,
    0x7fcc37d4,0x0017fec1,0xfb93fee0,0x7ffffe45,0x3ffee2ff,0xffffffff,
    0xfffffd1f,0x8bffffff,0xfffffffd,0xfffff54f,0x23ffffff,0x2bf702fe,
    0x6cc003fe,0x000dffff,0xff103fea,0x3a27ec01,0xeeefe84f,0x5fb83fff,
    0x8ff43ff3,0xafec05fc,0xfffffffa,0xffff70ff,0x5fffffff,0x7cc13f60,
    0x21ff703f,0x400ffdff,0x1fd003ff,0x7d4febfe,0xfe8bf105,0x887fe200,
    0x744001ff,0x0ffa004f,0x000ffcc0,0x32003ff5,0x003fe8ff,0xd007ffee,
    0xf337fc3f,0x204fd80b,0xffdccefd,0xe817f41f,0x01fe405f,0x17fc1bee,
    0x80017fea,0x3ea1ffd8,0x26037ec5,0x07f90bff,0xeeeeeed8,0x364eeeee,
    0xa7e40aff,0x99999ffa,0x0bfa1999,0x04fdafdc,0xdffd7100,0x0ffe2001,
    0x7fc40df7,0x7f437e42,0x3fffffff,0x4bfb2fdc,0x80bf91fe,0xffff56fc,
    0x2e1fffff,0xffffffff,0x9fb02fff,0x5e6ffe40,0x3fe7fffd,0x7fc00fff,
    0x321ff003,0x0bf50fff,0x80ff17e6,0x0ffc44fc,0x003bf600,0x98007fd4,
    0xff1001ff,0x77fc4009,0x7fcc006f,0xa8ff400f,0x0bf51fff,0x3f604fd8,
    0x80bfffff,0xfdb99bfe,0x1fe400ff,0xf103fea0,0x1dff303f,0x0efe8800,
    0x1ffa2fd4,0x5fc8df70,0x3fe00000,0x3e69f902,0x0ffa000f,0x06fcafe4,
    0x03ffa800,0x7fd17f60,0x7cc3fd40,0x3317f41f,0x2fdc9ffb,0x47fa1ff3,
    0xafec05fc,0xdf7007fa,0xfb02ff80,0xffffb809,0x3fe6fcef,0x7fc06feb,
    0x261ff003,0x417ea5ff,0x5037c4fa,0x1ff881df,0x007ff200,0x26004fe8,
    0xdfb001ff,0x5fff7000,0x5fffe800,0xcfc97ec0,0xd809f54f,0x2b7f604f,
    0xfe80dfeb,0x0dffffff,0x4c03fc80,0x037e43ff,0x2003ffd1,0xf980dffa,
    0x700fffc7,0x006fd89f,0x03ff3000,0x27fc9fd1,0xf50bfb00,0x00bfeabf,
    0xdb8ffa00,0x221ff502,0x17f600ff,0x0bfa27fc,0x5fb87fe4,0x91fea7f4,
    0x54fe80bf,0x1bee00ff,0x3f605ff0,0x21353004,0x22bfe5fa,0x0ffe04ff,
    0x8bfa3fc0,0x373266fa,0xcffcccef,0x4417f42c,0xff9001ff,0x07fd4003,
    0x003ff300,0x20003ff5,0x7dc006fe,0x3202ffbf,0x2df3df2f,0x27ec04fa,
    0x7f449fb0,0xceeefe84,0x0ff2002b,0x32b7ff60,0xffd803ff,0x027fdc02,
    0x7ffdcbfa,0x26f9820d,0x4003fffc,0x3fe201db,0x727ffd44,0xf90407ff,
    0x2fffdc3f,0x23305ffd,0x25ff5009,0xf881fffa,0xf80df73f,0xfeeeeeef,
    0x9817f46f,0xa8bf72ff,0xf91fe8ff,0xa97fc40b,0x0df7007f,0x9fb02ff8,
    0xf27e4000,0x40ffea5f,0x7f8803ff,0xb9be614c,0xffffffff,0x3ea4ffff,
    0xfeeeeeef,0xf900eeef,0x4fe8005f,0x00ffcc00,0x80013fe2,0x3e6004fd,
    0x201dfb3f,0xfd3fabfc,0xfd807f73,0xf513f604,0x002fe83f,0x2201fe40,
    0xfffffffe,0x09ff9006,0x2e00fff2,0xff9ffeff,0x77fc6eef,0xdfffbbfe,
    0x1ffe606e,0xffbdff90,0xffd89f9d,0x24fedcef,0xefeefff8,0x3ffa65fb,
    0xf92ffeef,0xbfffdddf,0xd817ffdc,0x5407fb5f,0xffffffff,0x0bfa1fff,
    0x5fb8ffd4,0x91febfe8,0x87fe40bf,0xdf7007fa,0xfb02ff80,0x3fe20009,
    0xffc8bfe0,0x8803ff81,0x27f9807f,0x99afd998,0x2e099cfb,0xffffffff,
    0xc80fffff,0x7d4002ff,0x7fcc000f,0x0077e401,0x4009fb00,0x13fe26fe,
    0xb8fe5fdc,0x6c03fbcf,0x213f604f,0x017f45fe,0xb0026200,0xf59b95df,
    0x3fea009f,0x000fff45,0x3a65dff9,0x7ed45fff,0x3ffff23f,0x01ffe604,
    0x553ffff2,0xfffea84f,0x7f4c2eff,0x85fa8cff,0x1dffffec,0xdffffff7,
    0x206fe887,0x00ff8ffa,0x266677f6,0x3a4ff999,0x5cffb02f,0xfeefa85f,
    0x3ea0bf91,0x401fea4f,0x17fc06fb,0x88004fd8,0x217fc3fe,0x1ffc0ffe,
    0x4c03fc40,0x5c1fb07f,0x3333103f,0x35ff5333,0x003ff903,0x30009fd0,
    0x7fd403ff,0x27ec0001,0x5c1ffb80,0xfcfb81ff,0x0bf3fe26,0x7ec09fb0,
    0x3a0ffa84,0x8000002f,0xff501ffb,0x70be6005,0x4060001d,0x98020098,
    0x00395001,0x98800044,0x00098801,0x26620098,0x2200c009,0x7c06fdff,
    0xd37e402f,0x7fe5445f,0x7fc17ee3,0x4cbf91ff,0x7d46ffda,0x80df7007,
    0x09fb02ff,0x1bff2660,0xbff10bfe,0xf9803ff8,0xd07f9807,0x0017dc1f,
    0xf901ff88,0x3333337f,0x003fea03,0x3fea6662,0x3fa2199a,0x9999999d,
    0x027ec009,0xfe82ffc4,0x44fefa86,0x6c02fefe,0x413f604f,0x00bfa4ff,
    0xffffff98,0xd30fffff,0x000dd807,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fffec00,0xa801ff50,0xffffd1ff,0xfb89ffff,0x23fff705,
    0xfffffffc,0xffffa84f,0xf73fffff,0xfb2ff80d,0xffffffff,0x7ffffe49,
    0x305ff03f,0x7fffc9ff,0xf37fffff,0x20ff100f,0x000fe47f,0xff01ff88,
    0xffffffff,0x00bfd03f,0x3ffffff2,0xff70ffff,0xffffffff,0x04fd805f,
    0xf500ffd8,0x1fffa87f,0x200fffdc,0x13f604fd,0x2fe87fdc,0x3fffe600,
    0x0fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c01fff5,0x27ff005f,0xbeeffffe,0xf105fb80,0x3fff23ff,0xf500beef,
    0xffffffff,0xff01bee7,0x3fffff65,0x3f24ffff,0x3e00bcee,0x25ff702f,
    0xffffffff,0x100df57f,0xd8df01ff,0xff10001f,0x3ffffe03,0x41ffffff,
    0xf9001ffa,0xffffffff,0x3fffee1f,0x2fffffff,0x2a027ec0,0x7fec03ff,
    0x221bfe61,0x7ec00fff,0x4413f604,0x005fd4ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa62000,0x30066200,0x4cccc413,0x26099999,0x884c4009,
    0x22055541,0x440d4c09,0x01310009,0x43103553,0x2600d41a,0x9999809a,
    0x20131019,0x65400998,0x3372a002,0x30203002,0x14028060,0x2e003930,
    0xdedc885e,0xcedc881b,0xca802201,0x131002ce,0x55555440,0x2a2aaaaa,
    0x239930cc,0x99999998,0x0f320999,0x20666440,0x7302e200,0x205bdb30,
    0x03cc8819,0x5ffffff8,0x2bf7072a,0x99999998,0x77777770,0x57777777,
    0x00000000,0x10000000,0x1bfffffb,0x2e09ff30,0x3fff21ff,0x22ffffff,
    0xa7f405fe,0xffffa8fe,0x7cd7ea2f,0x3ea1efff,0x443ff006,0x21efffff,
    0x369ffd7e,0xffea85ff,0x3ffe62ff,0x0bf907ff,0xd801dff1,0xdfe9804f,
    0x2a00efdc,0xfc9fe46f,0x7e40ff43,0x2a07f904,0x7ff5c01f,0xfffff887,
    0x3fffea1f,0x4ff982ff,0x5fffffd8,0x302ffc40,0xffffffff,0x3fee1fff,
    0x3ea5ff51,0xffffffff,0x401bfe5f,0x3fa61efe,0x7c4dfb05,0x3fffe64f,
    0x9837cc4f,0x777405ff,0xfff55eee,0xffb9fec3,0xff2fffff,0xffffffff,
    0x000dffff,0x00000000,0xffe88000,0x80fffdcd,0x7fc41ffc,0x66666543,
    0x3ee2ffdc,0x23ff300f,0xfdcffcfe,0xf5bf50ff,0x4cdffb9f,0x0ff8807f,
    0x3f6a6f62,0x3efeffa6,0x21febfae,0xffebcff9,0xffb99911,0xfd117f20,
    0x09fb001d,0x1099df98,0x5fd101fd,0xff987fcc,0x3ea1bf20,0x88ffe44f,
    0x74287ea2,0x1887feff,0xbe897fa2,0xfc86fea9,0x47bee1ff,0x3f203fe9,
    0x555102fe,0x55555555,0xffa87fdc,0xdddddd51,0x7fcbfddd,0x40dfd805,
    0xfd82fffd,0xfd93fe26,0x2e4ffb9d,0x17f6205f,0x3fffd800,0x777543fa,
    0x5552eeee,0x55555555,0x00005555,0x00000000,0x40efd800,0xdfb05fe8,
    0x1002ff41,0x3ff889fd,0x7ff4df90,0x54ffe20e,0x3ea0dfff,0x300ff11f,
    0x4ff100ff,0x7ffb2ffe,0x43fd8fee,0x0ff504fd,0xefe897f2,0x809fb000,
    0x13ffdb6e,0x44bf90bf,0x22fdc2fe,0x4ffa83fe,0x67e43ff9,0x2fd88f98,
    0x01fea32e,0x3ee027e4,0x23fff987,0x837d40ff,0x006f9df8,0x987fd400,
    0x3ea001ff,0x75017fa5,0x0bfff605,0xf85302a2,0x37bfea1f,0x1bb802ff,
    0x3fff7000,0x000017a2,0x00000000,0x00000000,0xfa80ffcc,0x74ff881f,
    0x7ec001ff,0x3e0df906,0x203bfa2f,0x0bff54fe,0x07fc5ff1,0x837d45f9,
    0x3a7fcca8,0xfb9ff25f,0xdf703fe4,0x7e41fea0,0x001dfd15,0x3f3027ec,
    0x0fbaed36,0x5fc83fe6,0x7fcc7fd0,0xffeffa80,0x7df7e441,0xf500cffb,
    0x77edd40f,0xd82fec00,0x10ff12ff,0x647f60ff,0x2a00003f,0x003fe67f,
    0x13fa5fa8,0x0dff3000,0xd30bb000,0x00009fff,0x0016dc00,0x00000000,
    0x00000000,0x0df70000,0xff502ff8,0x5c003ff7,0x3ff300ff,0x17f47fa8,
    0x1ff55fc8,0x1fe8bb60,0x85fa97fa,0x27feeefe,0xb8ff22fe,0xf303fe4f,
    0x641fea0d,0x00dfe8df,0x3f666662,0xf709999c,0xf99f4e6c,0xefa8ffa1,
    0x641ff100,0x3fff505f,0x67ffe440,0xd03fd400,0x6403bfff,0x3ff701ff,
    0x1bea07fc,0x0ff897e6,0x7777774c,0xf30eeeee,0x0007fc4f,0x027ecbf5,
    0x00004400,0x001aa800,0x00000000,0x00000000,0x00000000,0x04fc8000,
    0xff901ff4,0x7fcc007f,0x3627f402,0xb817f44f,0x800ff55f,0x1fff32fd,
    0x89f50fee,0xfc87fa7f,0x3fe93ee3,0x7fa82fdc,0x0dfdbf90,0xffffffd0,
    0x2ebfffff,0xf897fb67,0xff893f62,0x741df501,0x9fff903f,0x67ffecc0,
    0x103fd400,0x881ffb53,0x3f602ffd,0xfb127f45,0xfb81fd07,0x7ffffcc5,
    0x10ffffff,0x4003b877,0x006ea4d9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x27ec04fd,0x001fff10,0x2e013fe2,0xd07fe27f,
    0x557ee05f,0x9fe4007f,0x5f92fdfb,0x9fee3fc8,0xb8ff21fe,0x4c7bf24f,
    0x0ff502ff,0x03bf77f2,0xffddddb0,0x2a9ddddd,0x23f39b0f,0x87fe20f9,
    0x1ff886fb,0x7fe41bee,0x7ecc4ffb,0x0cfeafbe,0x2200ff50,0x3bfa62ff,
    0x0ffeba81,0x7ff77fcc,0xfd04fa86,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f200000,0xd01ff405,0x3a00bfff,
    0x3ff1005f,0x0bfa1bee,0x07faafdc,0x9fea7d40,0xf983fb5f,0x3a7eefef,
    0xfb8ff21f,0x3ffffa24,0x41fea04f,0x0efe8dfc,0x1027ec00,0xdaed367f,
    0x7ec6fa87,0xff127ec4,0x2a3ff903,0x54fee4ff,0x222fc88f,0x099ffb99,
    0x50ffd981,0x35557fff,0x4c037ffa,0xf883effd,0x00df500f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x881bee00,
    0x3ff901ff,0xffc807ff,0x757f6000,0x702fe83f,0x001feabf,0x3a9f1bf3,
    0xda80fe8f,0x3fa4b8cd,0x4fb8ff21,0x01676dc4,0xafe41fea,0x6c006ff8,
    0x5cfdc04f,0x205f7932,0x4bfe24fd,0x427ec6fb,0x7fd41ffc,0x30fd4114,
    0xffffffb8,0xfffff54f,0x7fffec7f,0x01354fff,0x00262000,0x00000033,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x0df701ff,0x7fdcbfea,0x003ff501,0x0ff9ffa8,0xbf702fe8,0xf1001fea,
    0x2fee3f7f,0x3fa0007f,0x4fb8ff21,0x07fa8000,0x2ffccbf9,0xb009fb00,
    0x9fb5339f,0x3aa27c40,0x0fc83d51,0x3f701fa8,0xc9807ee0,0x32cccccc,
    0xb839dddd,0x2ccccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77ec0000,0x4417fd41,0x07fec4ff,
    0x4000ffe6,0xfd05fefe,0x7d57ee05,0x7eff8007,0x321bfbe6,0x3ccccccc,
    0x71fe43fd,0x6666649f,0xff503ccc,0xff517f20,0x013f600b,0x0f7fff54,
    0x00000000,0x01c98020,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa20000,0x04fffeef,
    0xdff10dfd,0xffffffd8,0x3ee06fff,0x05fd01ff,0x03fd57ee,0x3a27ff40,
    0xffff85ff,0x3fd6ffff,0x49f71fe4,0xffffffff,0xffffffb6,0x17f2dfff,
    0x36013fee,0x00c4004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77fffe40,0x203ffb02,0x3ffa4ffa,0x6fffffff,0xe81bfe20,0x2abf702f,
    0xffd8007f,0x4c27fdc1,0x09999999,0x71fe43fd,0x4ccccc9f,0xfffb0999,
    0x2dffffff,0x7ff905fc,0x00009880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000c4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_27_latin_ext_x[560]={ 0,5,3,0,1,0,0,5,3,3,2,1,3,3,
5,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,2,1,1,3,1,0,2,1,3,3,0,2,1,5,5,2,2,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,1,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-2,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_27_latin_ext_y[560]={ 20,1,1,2,0,1,1,1,0,0,1,6,15,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,23,1,6,1,6,1,6,1,6,1,1,
1,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,0,2,3,2,
-2,1,1,2,2,7,11,11,1,2,1,3,1,1,1,6,1,10,20,1,2,7,1,1,1,6,-2,-2,-2,-3,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-3,-2,-2,-2,-3,-2,7,-1,-2,-2,-2,-2,-2,2,1,1,1,
1,1,1,0,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
-2,2,-2,1,2,6,-2,1,-2,1,-3,1,-2,1,-2,0,2,1,-2,2,-2,1,-3,1,2,6,-2,1,-2,1,
-2,1,-3,1,2,0,-2,-3,2,1,-3,1,-2,2,-2,1,2,1,-3,6,2,1,-2,1,2,1,6,-2,-3,2,
1,0,0,2,1,2,1,-2,1,2,6,-2,1,-1,2,6,-2,2,-2,1,-2,1,2,6,-2,1,2,6,-2,1,
-2,1,-2,1,2,6,-2,1,2,2,-2,0,2,2,-3,1,-2,2,-2,1,-3,0,-2,1,2,6,-2,1,-2,1,
-2,-2,1,-3,1,-2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-4,-2,1,-2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_27_latin_ext_w[560]={ 0,5,9,15,13,15,15,4,9,8,11,13,7,9,
5,12,13,13,13,11,15,11,13,13,13,13,5,7,12,13,12,10,15,15,12,13,13,11,11,14,13,11,10,12,
10,15,13,15,12,15,12,13,13,13,15,15,15,15,13,8,12,8,13,15,9,12,12,11,12,13,14,13,11,11,
11,13,11,13,11,13,12,12,12,11,13,11,14,15,15,14,11,10,3,10,15,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,13,15,
3,13,12,15,10,12,12,9,13,11,11,13,9,9,13,13,13,5,4,10,10,11,15,15,15,9,15,15,15,15,
15,15,16,13,13,13,13,13,13,13,13,13,14,14,15,15,15,15,15,12,15,14,14,14,14,15,12,13,13,13,
13,13,13,13,15,11,14,14,14,14,13,13,13,13,13,13,14,14,14,14,14,13,13,13,13,13,13,14,12,14,
15,13,15,13,15,13,14,14,14,13,14,13,14,13,15,18,14,14,13,14,13,14,13,14,12,13,13,14,14,14,
14,14,14,14,14,14,14,13,15,13,13,13,13,13,13,13,12,12,13,11,13,13,12,12,12,13,13,13,13,10,
11,18,17,13,16,13,11,14,13,13,11,14,13,14,13,11,15,14,15,14,15,15,15,15,15,14,12,12,15,14,
14,13,14,13,13,11,14,13,13,13,14,17,13,13,14,13,14,13,14,13,14,13,15,15,13,12,15,15,15,14,
15,14,13,14,13,14,13,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,13,16,15,17,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_27_latin_ext_h[560]={ 0,20,7,18,24,20,20,7,26,26,12,14,10,3,
6,22,19,18,18,19,18,19,19,18,19,18,15,19,16,8,16,20,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,26,22,26,10,3,6,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,19,15,14,14,14,20,14,26,28,26,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,24,18,17,18,
28,23,6,19,14,12,7,3,13,5,10,17,11,11,6,20,23,5,4,11,14,12,19,19,19,20,22,22,22,23,
22,23,18,22,22,22,22,22,22,22,22,22,18,23,23,23,23,24,23,12,24,23,23,23,23,22,18,20,20,20,
20,20,20,21,15,18,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,15,20,20,20,20,20,25,25,25,
22,19,22,20,24,20,23,20,23,20,24,20,23,20,22,21,18,20,22,19,22,20,23,20,24,20,22,20,23,25,
23,25,24,25,24,26,22,23,18,19,23,19,22,18,22,19,24,25,23,14,19,25,23,25,24,25,14,22,23,24,
25,20,20,18,19,18,19,22,19,24,20,22,19,21,24,20,23,19,23,20,23,20,19,15,22,19,24,20,22,19,
23,20,23,20,22,18,23,20,24,24,22,21,18,19,24,20,23,19,23,20,24,21,23,20,24,20,22,19,22,25,
22,22,19,23,19,22,19,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,26,25,22,20,25,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,24,20,24,24,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_27_latin_ext_s[560]={ 328,504,318,166,371,298,480,341,35,90,227,
161,270,428,360,1,378,226,198,392,182,404,416,212,430,112,505,472,370,304,383,
192,271,17,33,1,60,74,497,15,86,100,30,126,139,150,46,41,329,459,316,
71,302,85,1,286,270,254,240,65,332,45,290,438,395,442,467,481,454,455,282,
412,256,216,316,242,161,110,58,1,348,273,70,493,228,469,43,83,15,177,31,
24,5,54,379,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,328,113,445,
453,356,481,1,128,366,99,99,189,328,428,175,405,278,342,260,250,346,58,235,
417,423,239,124,202,362,346,330,203,258,104,152,172,359,219,339,28,274,288,73,
14,345,421,200,244,398,489,1,17,33,53,326,214,97,295,123,93,49,375,413,
384,370,356,342,328,314,291,412,426,258,243,228,213,202,444,458,131,151,147,117,
102,87,72,57,428,43,29,15,1,497,159,99,187,120,159,150,390,429,361,108,
333,371,305,69,44,356,319,209,239,438,375,166,173,136,438,342,453,457,468,42,
482,401,112,416,230,470,287,399,9,406,475,356,275,64,216,318,467,195,188,499,
174,138,135,316,302,431,217,84,245,147,230,265,42,259,132,420,325,480,311,304,
391,188,15,165,495,145,276,385,86,310,173,279,98,249,119,230,396,302,260,29,
1,184,289,204,426,157,72,435,372,142,30,1,485,465,258,384,268,414,440,78,
202,113,398,342,225,188,14,357,496,214,115,168,202,449,180,57,444,497,480,246,
135,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,386,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,74,145,56,404,127,87,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,328,286,1,485,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297, };
static unsigned short stb__consolas_27_latin_ext_t[560]={ 26,30,183,164,1,102,102,183,1,1,183,
183,183,183,183,79,123,164,164,123,164,123,123,164,123,164,164,123,164,183,164,
102,1,164,164,144,164,164,144,144,164,164,144,164,164,164,164,144,164,30,164,
144,164,144,164,164,164,164,164,1,55,1,183,183,183,164,102,164,102,164,144,
102,144,144,1,144,123,183,183,183,79,102,183,164,144,164,183,183,183,102,183,
1,1,1,183,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,26,123,1,
144,164,144,1,30,183,144,183,183,183,183,183,183,183,164,183,183,183,123,30,
183,183,183,183,183,123,123,123,102,55,79,55,30,55,30,144,79,55,55,79,
79,55,55,55,55,144,30,55,55,55,30,30,183,30,30,55,55,55,55,144,
102,102,102,102,102,102,79,164,144,102,102,102,102,123,123,123,144,102,123,102,
102,102,102,102,164,102,102,102,102,79,1,1,1,79,144,79,79,1,79,55,
79,30,79,30,123,30,79,79,79,144,79,79,144,79,79,30,79,1,79,79,
79,30,1,30,1,1,1,1,1,55,30,144,123,55,123,55,144,79,123,1,
1,55,183,123,1,30,1,30,1,183,55,30,30,1,102,79,144,123,144,123,
55,144,30,102,55,144,79,1,123,30,123,30,123,30,123,123,164,55,123,30,
123,55,123,30,102,30,123,55,144,30,123,30,1,55,79,144,144,1,102,55,
144,30,102,1,79,30,123,1,102,55,144,55,1,55,79,144,30,123,55,123,
123,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,30,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,1,1,79,79,1,79,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,1,102,30,1,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144, };
static unsigned short stb__consolas_27_latin_ext_a[560]={ 238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_27_latin_ext(stb_fontchar font[STB_FONT_consolas_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_27_latin_ext_s[i] + stb__consolas_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_27_latin_ext_t[i] + stb__consolas_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_27_latin_ext_x[i];
            font[i].y0 = stb__consolas_27_latin_ext_y[i];
            font[i].x1 = stb__consolas_27_latin_ext_x[i] + stb__consolas_27_latin_ext_w[i];
            font[i].y1 = stb__consolas_27_latin_ext_y[i] + stb__consolas_27_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_27_latin_ext_s[i] + stb__consolas_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_27_latin_ext_t[i] + stb__consolas_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_27_latin_ext_x[i] + stb__consolas_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_27_latin_ext_y[i] + stb__consolas_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_27_latin_ext_LINE_SPACING
#endif

