// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_12_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_12_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT        108
#define STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_bold_12_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_12_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_12_latin_ext_LINE_SPACING           8

static unsigned int stb__consolas_bold_12_latin_ext_pixels[]={
    0x80e12693,0x101440db,0x4174c035,0x881880a8,0x059933cc,0x886e6051,
    0x2201a830,0x4cc09802,0x28c40181,0x40060310,0x20330a81,0x0807100b,
    0x203bd930,0x02d6cc2a,0x2e133260,0x13601bce,0x7a8ed65c,0x980ed8f5,
    0x07ea2d8c,0x2213b7a6,0x882d881c,0x9e7cc4ee,0x1fb84ec9,0xbf10e7cc,
    0xf705eb8b,0x36076401,0x807e21fe,0x7441f9ec,0x200fc44e,0x6cbea4de,
    0xf700f887,0xf10f7a03,0xdfd0395b,0xdb01cb81,0x982aa885,0x06a603b8,
    0x7a872326,0x880fdcf5,0x07640fec,0x3607c4ba,0x882dd82e,0xd80f9830,
    0x20b70304,0x201f1018,0x3f300c01,0x21100fc4,0xf8830880,0x860c2201,
    0x0c018818,0x2f985bb0,0x49307e60,0x264ae849,0x26499264,0x4983e204,
    0x4f57a926,0xfbbf103e,0x47547d09,0x25742dbb,0x99b61ef4,0x9b01f31f,
    0x903fffe2,0x3ffff70b,0x3fee07c4,0x7ccdb1ff,0x9f10fcc1,0xf336c5ff,
    0x8ffffdc3,0x225e89f8,0x3f10ffff,0xffff7172,0x260fffc3,0x7fc49314,
    0x7b87b81d,0x417303ea,0x3dc3ea7b,0xfffa81f5,0x50fa9ee0,0x80fcdeaf,
    0xd81fbb7b,0x33f7ef25,0x6dc05cc3,0x26c8fcc1,0x264d80f9,0x226c0fa9,
    0xf83e8af8,0x8fa2be22,0xf30d91f9,0x36cf7c43,0xf89b23f3,0x2be23e8a,
    0x0fa9986d,0xf89723f1,0x7d4c3e8a,0x41f53dc1,0xdd33ffc8,0xf53dc9df,
    0xbae47e61,0x53dc3ea7,0x76d7cc1f,0x50fa9ee6,0x807d462f,0x41f9f8dd,
    0x3abefa7b,0x07bff63c,0x3e9d09ff,0x13603e63,0x077c43e6,0x5c1f4be2,
    0x0fa5f15f,0x3e60fe9d,0x07d47e21,0x2f88fe9d,0x07f7c47d,0x47e21f30,
    0x1f4be25c,0xa9ee0fcc,0x2a2dd00f,0xa9ee2aee,0x5723f30f,0x3dc3ea7b,
    0x7c75c1f5,0x7d4f70fa,0x01f30f50,0x0be36b76,0x6df674f7,0x2a5e862d,
    0xfafb87cf,0x13603e60,0x83e983e6,0x17f05ffe,0x7dc2fff4,0x21f980fa,
    0x5c1f51f8,0x7ff40faf,0x017e7c45,0x647e21f3,0x982fff45,0x1f53dc1f,
    0xd17a66a6,0x87d4f709,0x9eeb91f9,0x7d4f70fa,0x3e76fae0,0xa87d4f70,
    0xc817c937,0x6c0f9bde,0x3fb7efa5,0xc97b2e20,0x77c41f9d,0x26c07cc5,
    0x317207cc,0x83e2033f,0xdf1019f9,0x215f530b,0x446e89f8,0x0cfcc5ef,
    0x80fe4fc4,0x323f10f9,0x4c067e65,0xa9ee0afa,0x1dfff50f,0x2a7b83f8,
    0xbae47e67,0x2a7b9ea7,0x36df7cc7,0x2f53d4f7,0x7cc1767a,0x17c46daf,
    0x4457595b,0x4fe5dacf,0x4c2fd83f,0xf984d80f,0x7ffc2e40,0x3e07c45f,
    0x2fd85fff,0x8b7fffc4,0xfd80efff,0x25ffff82,0x301dd1f8,0x2e47e21f,
    0xf897fffe,0xa9ee6fff,0x1f882987,0x26d8af98,0xf35fabf8,0x57ccdb15,
    0xeffc86d8,0x9b62be60,0x1fccf57a,0x6c0effc8,0x3f502dc6,0x337e6bd3,
    0xf986d86f,0x87b84d80,0x1f53dc6a,0x54f707cc,0x2a036c0f,0xdb007e20,
    0x207d4f70,0xb03dc028,0x01f53dcb,0xd8af98f6,0x2fec5b86,0xd83dff90,
    0x3ff25cef,0x0f7fe41e,0xffc806dc,0x23d5ea1e,0x80bc80fa,0x66f441fa,
    0xaef7f40e,0x70fcaaeb,0xbdf301fd,0x6f4d3faa,0x51ee884f,0x7e4bd9bf,
    0x2f66fd45,0x3cc01fd7,0x7f5c07e2,0x5ecdfa80,0xfde985b8,0x2a2fdc84,
    0x3e05ecdf,0x07bff20d,0x20035066,0x80100200,0x02002200,0x80c3d5ea,
    0x54402008,0x49d0101a,0x201532f8,0x35512aa8,0x82600d54,0x80cc1aa8,
    0x054c1aa8,0x01510620,0xaa8802a6,0x2aa03301,0x51035501,0x10298035,
    0x00000000,0x00000000,0x00051288,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x12649800,0xcca85900,0x1da80ccc,0x2b825ecc,0x5c1bceb8,0x1ec81d8b,
    0x0ed40b60,0x81f4c088,0x666442f8,0x101dc882,0x16200303,0x32e1376e,
    0x260571da,0x304c05ad,0x16cc0999,0x26122393,0x80aa883e,0x1dbd82f8,
    0x18922393,0x6c0fa9ee,0x6542f82e,0x6440ccfd,0xb8819501,0x1dc4c1de,
    0x5cc0c954,0x3fb220c9,0x3a01c880,0x406e3224,0x7eefcc1d,0x13f3be23,
    0x02f89bd1,0x667f4598,0xd0e464c5,0xb00e5c09,0x0155441b,0xf36fb857,
    0x50dc6441,0x07607dbf,0x36fb8722,0x3dc3ee1f,0x24ae81f5,0x5c5ffffc,
    0x303b9107,0x37e23bd9,0x0ee442cf,0x64c0ee44,0xfbbf11de,0x81dec989,
    0x26edc0f9,0x3f326edc,0x1ee7b97a,0x40d70615,0x3f51fec8,0x3a0ee440,
    0x303b9104,0x03b91053,0xffb8fb2a,0x76540f9a,0xd9501f23,0xf73eca87,
    0x9ee1f33f,0x7303ea7b,0x04dfcc41,0x377e21ee,0x32b7e24f,0xf10f3f51,
    0x6fc49fbb,0x2b7e24fd,0x3f76f71c,0x0395bf10,0x5ccfe8b9,0xf32e67f4,
    0x32ec7f75,0x4407e23f,0x3bbdd01f,0xf1154db2,0x42749fbb,0x6c4fddf8,
    0x377e21fe,0x2e67e44f,0x41f3d9d7,0x3f65ccfc,0x5ccfc82e,0x75d733f2,
    0x4f50f9dd,0xfd83ea7b,0xb817c1ef,0x99ee7b87,0x1fff882f,0x3dcf73dc,
    0x6c17ccf7,0xf31f9f8d,0xf50fc405,0x4c07ea03,0x136c4fef,0xd807e25f,
    0x22caf985,0x3dcfd76d,0x3dc274f7,0x5c3f30f7,0x03f99ee7,0x21f9f1d7,
    0xdafa83f9,0x260fe63f,0xaf9eb83f,0x53dcf50f,0x5f17a18f,0x99761ee0,
    0x83bff11f,0x9764ffd8,0x7ccbb1f9,0x6c3bff11,0xf12f8dad,0xc8d703bf,
    0x9b645536,0x3ee7e62a,0x11f99ee0,0xf983ff9f,0x90ecfcc0,0x4cbb3d4f,
    0x4bb09d1f,0xb0fcc1f9,0x0fa8fccb,0x43ff2d70,0x92fa80fa,0x2a03ea1f,
    0xfdb6b80f,0x8afa9ea1,0x2f65c45d,0x21ee053e,0xc88be26d,0x3eddc3ff,
    0x6d97c4db,0xffc88be2,0x1f37bd93,0x3a1ffe44,0x27ebb6c3,0x7ccfd76d,
    0x33e64f89,0x2bbe26d9,0xdf83e85f,0x73bf10af,0x25f136cf,0x4db099de,
    0xb0fcc2f8,0x0fb97c4d,0x43fe2d70,0x99fb00fb,0x7dc07dcf,0x1ff56b80,
    0x1dff9126,0x22ed67c4,0x43dc5ffb,0x7407e67b,0x4dd9b536,0x3dc7e67b,
    0x4dba03f3,0x3a06daff,0xa9f21ea6,0x267a9f27,0x7d41f91f,0x647e20ef,
    0xfe987a85,0x9bffea2f,0x7f47e67b,0x7ccf76ff,0x4f70fcc1,0x203f51f9,
    0x7d43f26b,0xa8bfee01,0xb81fa81f,0x424c3fa6,0xe99fa86a,0x14405445,
    0x336ce7c4,0x3aabd335,0x33e20dff,0x273e26d9,0x3a66a66d,0x983bff25,
    0x1365e99a,0x89ee77e2,0x2887b9df,0xf8823ea0,0x20be0b91,0xf1071068,
    0x4150db39,0x986d9cf8,0x3673e21f,0x014d77c6,0x29aef8f7,0x577c1fa8,
    0x0a6bbe29,0xc81f7051,0x5defe81e,0x505b82dc,0x7fd41dfd,0xa807c0ef,
    0x7f540efe,0x3bffea0e,0x3ea02f20,0x01f30eff,0xf51bffea,0x80b70dff,
    0x23f12ffe,0xb30d905c,0x7f5416e0,0x7543cc0e,0x57d4c0ef,0x303bfaa0,
    0x3ee0bffd,0xaafff4c4,0x74c0eeee,0x3ffa65ff,0x88082dc5,0x0cc0100a,
    0x02000198,0x40000028,0x80801100,0x04008008,0x41300330,0x220b91f8,
    0x03301881,0x10006200,0x000dffff,0x44003300,0x800002a9,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x19988000,0x20b33322,0x6401b700,0x43b5b01e,0x7642cccc,
    0x40ec5dc1,0x83d901cb,0x2a0970c8,0x2006dc1d,0x200001da,0x004000a8,
    0xd98003ea,0x206e404b,0x26005ad9,0x131884cc,0x110de75c,0x261da806,
    0x0f641dec,0x0feffc80,0xe859fb91,0x2607503d,0x3c980c9b,0x7316677c,
    0x0c954193,0x9b984ff8,0x3e67e60c,0x7501c882,0x7d40e440,0x7fdfc47f,
    0x447bf721,0x0f71ffbf,0x7ffa8598,0x32600ca8,0x67c39700,0x155443ff,
    0x983aefa2,0x2efc43b8,0x37e21c88,0x326e61ca,0xffa87dc0,0x83dc0f9f,
    0x1dc882dd,0xb701dc88,0xcc81fc9b,0x24c930cc,0x4931f3ea,0x17a7e649,
    0x49324c93,0x24472649,0xbf5df100,0x577c4110,0x3220f35f,0xc9802ccc,
    0xccc88911,0x96666442,0x3227caff,0x0c222ccc,0x10b33322,0x3e60ae03,
    0x91264982,0x27ffee3f,0xdb83dc0f,0x27eefc41,0xe89fbbf1,0x33be5ccf,
    0x47f3322c,0xdc83ea7b,0xfa9ee1f9,0xb81fbf30,0x53dc3ea7,0x7cdbee1f,
    0x887bfea0,0x47e6b91f,0x5723f15c,0x9fb9101c,0xbae47e65,0x7cc1f36f,
    0x37223fdd,0x8a27f2cf,0x2a2cfdc8,0x37221eff,0x3bfea2cf,0x7fc42741,
    0x07a9ee1d,0x07cfffcc,0x227fc1ee,0x27b9ee7b,0x7c07ea7b,0x1f882cce,
    0x7f07d4f7,0x3ea7b8fe,0xb81ddf30,0x53dc3ea7,0x267fee1f,0xdd37f30f,
    0xf35c8fc4,0xc8fc5723,0x70bff3e5,0x2b91f98f,0x20f99ffb,0xf70bd1f9,
    0x23dc03f8,0xb86e9bf9,0x374dfcc7,0x7fe4413a,0x043d4f73,0x703e7faa,
    0xd8f9f50f,0x32ec7e65,0x154db23f,0x71f8807f,0xdf987d4f,0xfa9ee6fc,
    0xb89f5f30,0x53dc3ea7,0x2777ae1f,0x87dcf70f,0x3e6b91f8,0x647e2b91,
    0x71ba7be5,0x2b91f98f,0x20f9ddeb,0xb83fbaf9,0x1ee01fc7,0x2e07dcf7,
    0x41f73dc7,0xf76e804e,0x1fc8fb99,0x7dcc1f30,0x87e77209,0x36cbe26d,
    0x75db65f1,0x202673e7,0x7d4f71f8,0x1f955d70,0xf30fa9ee,0x53dc5f53,
    0x0fa9ee1f,0x21f5f3d7,0x7c43ea7b,0x647e6b91,0xf9723f15,0x4c7b8d72,
    0x27aeb91f,0x3be60faf,0x3f8f704f,0xa9ee3dc0,0x9ee3dc0f,0x2613a0fa,
    0x9f76e99a,0x03fa8fb9,0x3ffe21f3,0x71fcfe5f,0x27b8fccf,0x3d4f91f9,
    0xf10bffff,0x3a7a9ee3,0x53dcbe24,0x0fd8fccf,0x4f73d4f7,0x7f6dae7a,
    0x0db37f30,0xfabf8851,0xb97cbd05,0x2fe23dc6,0x3b6d75fa,0x3ee7e60f,
    0x02887b80,0xb37f31ee,0xbf98f70d,0x542746d9,0x4f71efff,0x420fc47a,
    0x7ccba07b,0x33e26fcd,0x273e26d9,0x2e77e26d,0x5c543d07,0xdb15f30f,
    0x15f32d40,0xf30510db,0x57ccdb15,0x7d5ae6d8,0x03bff20f,0x33bf616e,
    0x4be1fe85,0x827ee66b,0x2d75cefd,0x27e60ffa,0x4fdcc4f8,0x7dcc16e0,
    0x03bff209,0x7e413f73,0x4cef40ef,0xa9ee2e40,0xdf70bb27,0x5d3e207f,
    0x2a0fcaae,0x7f540efe,0x37ffd40e,0x7ffd27cc,0x201effc8,0x3bff21ed,
    0xff905b81,0x1effc83d,0x080fe9ae,0x20040660,0x16b97c0a,0x808bffff,
    0xf983fa6b,0x3fe21f91,0x220665ff,0x8085ffff,0x085ffff8,0xc8dfffd0,
    0x00f53dc1,0x253002a6,0x000be24e,0x05300200,0x0a880080,0x10066008,
    0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2f2a0611,0x40263103,0xb0018809,0xeb81ec83,0x418441bc,
    0x26004bd9,0x205104bd,0x418440fa,0x26005ad9,0x102204cc,0x2d898061,
    0x1181de54,0x1503b501,0x181d8bb8,0x0c403d90,0xb7001da8,0xb3061101,
    0x0bbf10b5,0x5df440ee,0x440ec80e,0xf15904ee,0x2064dcc1,0xee883b89,
    0x74c0ca83,0x806540ef,0x885980fb,0x41cb85df,0x55447ffa,0x22eec882,
    0x33e03ee8,0x3603b80f,0x981c885e,0x40c9542f,0x64dcc5dd,0xc881fa80,
    0x20f7fec1,0x85df883a,0x103101cb,0x21105999,0x18440601,0x41b825f0,
    0x1223931b,0x33332062,0x55767f12,0x180ccccc,0x442cccc8,0x02cccc81,
    0x88599990,0x00c41eea,0x999302fe,0x33220c03,0xcc8182cc,0x2088c2cc,
    0x0982cccc,0x862cccc8,0x0b33325e,0x3072e031,0xdf99723f,0x647e63fd,
    0x20fffd45,0x3f21fffa,0xd0f65fff,0x07cdbee5,0x77c1dfd3,0xb99f32cc,
    0x333f72af,0xf83bfa60,0x3fa62cce,0x8b33be0e,0x3be0efe9,0x3ffaa2cc,
    0x90fffd45,0x9f707fff,0xffd887fb,0x459fb913,0x3be3ffd8,0x3ff622cc,
    0x88b33be3,0x677c3ffd,0x97b2e22c,0x3f62ccef,0x227fc1ef,0x7ccb91f9,
    0xc8fccbd1,0x4f80a7c5,0x09bf9881,0xf71e94f6,0x3e21f33f,0x541fcbb3,
    0x3dc2aabf,0x3e5d9fc4,0x4bb3f883,0xbb3f883f,0x45fc41fc,0x2e0a7c5d,
    0x7b83f8af,0x333db1f2,0x99ed87b8,0x4f6c0fe1,0x76c0fe19,0x441fc199,
    0x0fe5dacf,0x67d4bd0c,0x25c8fcc7,0x263fbaf9,0xdfe8b91f,0xf01dfe81,
    0x3ef59905,0x1f3bbd71,0xf9f733e6,0x47f12cce,0x67cc3dc0,0x333be7dc,
    0x4fb99f32,0x9f32ccef,0x6677cfb9,0x3a2e4f72,0x3f9761df,0x447ea7b8,
    0xf11ee02f,0x4b33be05,0x99df02f8,0xef80be25,0xd33f52cc,0x116677cb,
    0x4ee4bd97,0x2e47e61f,0xf989fdf3,0x7fb50b91,0x5f07fb50,0x1f5f9990,
    0x43ebe7ae,0x3e2aabfa,0x3fea2cce,0x7d43dc4f,0x33be2aab,0x5557f52c,
    0xfa96677c,0x33be2aab,0x42ecf72c,0x7cbd3fda,0x47ea7b83,0x11ee02f8,
    0x333be05f,0x3be05f12,0x405f12cc,0x3fa2ccef,0x333be5de,0x4bb59f12,
    0x5fc47f3f,0x2e7e65fa,0x3eafe20f,0x2189f0c5,0x5c14f84f,0xd70fccfd,
    0x1fc43fb6,0x0f601fc1,0x08fe21ee,0x08fe20fe,0x08fe20fe,0x2abea0fe,
    0x329f0c5f,0x7b83fc9e,0x99ee83f2,0x4f743dc1,0x7740fe19,0x740fe199,
    0x01fc199e,0xa83f8ba1,0xbf35e99f,0xcefd8df9,0x13e27e65,0x7c4b9dfb,
    0x3fe20eff,0x5ffb80ef,0x43fe77ee,0x541ff56b,0x273e4fff,0x5c0df809,
    0x49fff507,0x3ea099cf,0x2673e4ff,0xf93ffea0,0x3bf6099c,0x3bffe25d,
    0x07dbfd10,0x989f93f7,0x3ee63ffe,0x8fffa609,0x3a6099cf,0x2673e3ff,
    0xf0fffa60,0x9f101339,0xfd04ce7c,0x2abaebbd,0xf98040fc,0x40081f91,
    0x20022008,0x27e97d40,0x0203fa6b,0x2217fffe,0x40407b82,0x8085ffff,
    0x8085ffff,0x0045ffff,0x2e004022,0x22003eff,0xf005ffff,0x3e00bfff,
    0x3e005fff,0x45305fff,0x4045ffff,0x000be24e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x3b2a0999,0x5dc0f643,0x828c41d8,0x2604c018,0x8bb80800,0x8828c41d,
    0x2006200a,0xb7004c09,0x0c084c01,0x2e0882a0,0x31001d8b,0x1300620a,
    0x40980098,0x28c44bd9,0x01880544,0x2202604c,0x23ffd409,0xcfc82aa8,
    0x0326e65c,0x3d903255,0x8277443f,0x00fdc0ec,0x192a81f1,0x641f9ec8,
    0x77441efd,0xf703b204,0xfa81d403,0x407e23ff,0x20e88eec,0x7fd4192a,
    0x87e7b21f,0x1d904ee8,0x3b201fb8,0x7640ca80,0x3bf721f9,0x6413ba21,
    0x2a0fdc0e,0x32e004ff,0x1dc1fcc1,0xc88ee391,0x42204221,0x40440301,
    0xcb80fffa,0x44010881,0x0c030880,0x0e5c0110,0x3e22f5dc,0x5b5b5b01,
    0xf1666644,0x10211029,0x1100c061,0x666440c0,0x8804224c,0x03018440,
    0x9fdc4044,0x7fc1effd,0x7d407d44,0xc8fd4d91,0x9ae47e66,0x47e6b91f,
    0xae47e65c,0xf86edaf9,0x1effa84f,0x2a0f7fd4,0x7fd41eff,0x0f7fd41e,
    0x7fd427fc,0x3ff3e22f,0x116ffaa2,0x7f459fb9,0x077f4c1d,0x74c1dfd3,
    0x77f4c0ef,0x4dfbff70,0x366fccc8,0x3ff61eff,0x87bff61e,0x7ec1effd,
    0x434f81ef,0x71f3ea5e,0x3e37a01f,0x317c6f42,0x8fcd723f,0x9723f35c,
    0x3aeb91f9,0x3ea0faf8,0x74dfcc7c,0x9ba6fe66,0x266e9bf9,0x3e66e9bf,
    0x67d46e9b,0x2f45fc47,0x88db3df1,0x20f700e8,0x27f13fda,0x5767f15d,
    0x7c4bb3f8,0x47d42bb3,0x861fb82e,0x865e865e,0x0c5e865e,0x88fedcbd,
    0x27725ecb,0x5407ea1f,0x6cfa86cf,0xf35c8fcc,0xc8fcd723,0xbae47e65,
    0x320f9dbe,0xb9ee1f9d,0x87dcf70f,0x3dc3ee7b,0xfb9ee1f7,0xb87e7720,
    0x51f89ee7,0x81abd81f,0x4d3e187b,0x9f37dccf,0x333e6fb9,0x3733e67d,
    0x0fb3f6a7,0xecb889f1,0x897b2e25,0x32e25ecb,0x2f65c45e,0x2b3e23bd,
    0x21fcfe5d,0x7f429aef,0xf985fd02,0x647e6b91,0x99723f35,0x3be6b91f,
    0x3f9fc6db,0xf70fa9ee,0x2a7b87d4,0x87d4f70f,0x3f83ea7b,0x4f73dc7f,
    0x541f51f8,0x3dc0edce,0x543bffe2,0x7f52aabf,0x2afea555,0x2aafea2a,
    0x155f9bb2,0x567c46d8,0xbb59f15d,0x4576b3e2,0x3e25dacf,0xa86e5dac,
    0xbf35e99f,0xffe98df9,0x0f703dc5,0x22bf57f1,0x7f15fabf,0x55fc4bf5,
    0x83bff25f,0x266fcdf9,0x3e66d9bf,0x2fe66d9b,0x26fe66d9,0x366fe66d,
    0x9bf37e66,0x225e9bfa,0x3a26e89f,0x3dc2dad8,0x11fc4398,0x7f108fe2,
    0xe847f104,0x1fb80fba,0xaaf4cfd4,0x3f55e99f,0x267eabd3,0x3a67ea5e,
    0xbdfd0b25,0x3f2abaeb,0x3dc07c40,0x3bf60f70,0x973bf65c,0x7ec5cefd,
    0x2036e5ce,0x20fcaaeb,0x7e40effc,0x77fe40ef,0x2077fe40,0x3ae0effc,
    0x3f20fcaa,0x3ffe20ef,0x7754f20e,0x7027ee60,0x49fff50b,0x3ea4fffa,
    0x7ffd44ff,0x3ff9bf74,0xe8aabbe2,0x3bfa5def,0x977bfa5d,0x7f45defe,
    0x0217e5de,0x4c2f893a,0x3dc0f704,0x01004010,0x3a011008,0x0020be24,
    0x00400801,0x2f893a02,0x88000008,0x0cc5ffff,0x01004010,0x3ea04008,
    0x10047fff,0x08010040,0x00000010,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x400a9800,0xa81da808,
    0x00b6600f,0x6d401b70,0x36a00001,0x90044001,0x1bceb83d,0x0981ec80,
    0x400cc000,0x424c935a,0x6f641cc9,0x1880ccc3,0x31646660,0x93004cc0,
    0x4c2c819d,0x0a88220a,0x0bfbf200,0x80e445c8,0x2215c059,0x3a82ffbf,
    0xfd503910,0x443f88bf,0x7fffdc1c,0x2613ff21,0x2e260c9b,0x37307dc3,
    0x882fa819,0x1eb83ffd,0x3dcf2570,0x1cdfb8f5,0xdb17e564,0x04ee883f,
    0x223f3fdb,0x06fe981f,0xf8bd59f1,0x0e8ae4c2,0xf987bf72,0x13a5f17f,
    0x644775c8,0x09999911,0x3e219993,0x33226d9e,0x20e5c2cc,0xd85d8bf8,
    0x29999912,0x223e8af8,0x66447a9f,0x20e5c2cc,0x101cb849,0x0333db03,
    0x08a74013,0x7f13d4f7,0x3f30fe00,0x26018441,0x807e219f,0x323f106c,
    0x2bffff95,0x2205b5e9,0xfb9f8800,0xaafff541,0x6644d91f,0xcefd86fc,
    0x43ea3f10,0x7c2cfdc8,0x0b93dc4f,0x3f332237,0x88fa5f16,0x6e446caf,
    0x227fc2cf,0xf84ff849,0x40be21ff,0x13a01fff,0x3ea7a9ee,0x6e440cec,
    0xeaefcc0d,0x0fcc1ec3,0x907ff3e2,0x8f6fec0d,0x9709bf98,0xfbf88b5d,
    0x447ffe1f,0x5fc43f9f,0x3e37a5d8,0xf883f702,0xfa8fc45c,0x67d43dc0,
    0xa8b93dc7,0x3a1fb82f,0x0dfc85ff,0xf9f50f70,0x3e7d47a8,0x5f10fd4c,
    0xe807ea60,0xa9ea7b84,0x6446eacf,0x33f623fd,0x0ba519b0,0x5df107e6,
    0x3b36c8bf,0xc997f7dc,0xd1111cdf,0x5faef881,0x4fc47ea6,0x5c9ee1ed,
    0x7c41b3ea,0x0cecdb84,0x70dd13f1,0x43f3b90f,0x325faafa,0x327c41cf,
    0xddf5033f,0xb90f70f3,0x323d43f3,0x1f981f9d,0x260ccf74,0x2e13a01f,
    0x50f99ea7,0xde9f201f,0x23ef721f,0x441f981f,0x96c8b91f,0xb6c7e67f,
    0x6c0acfa8,0x647e229b,0x9f88fcc5,0x64f70fd8,0x6d817f45,0x219d95d0,
    0xb80efff8,0xd87f3f87,0x413e5def,0x5ffff86d,0x21bba336,0x47f3f87b,
    0x83f9fc7a,0x7fec41f9,0x9d00fcc3,0x8f931f70,0x44c7d8cf,0x87e625e9,
    0x307ceeeb,0xb91f883f,0x7d4516c8,0x414f8d92,0x3e26e9ea,0x11f98b91,
    0x7d47ea3f,0x83dc5faa,0xecf981fb,0x2e00fc45,0x37e6fcc7,0x07ba5c84,
    0x2a7b83f7,0x9f51db0f,0xcdf98f70,0xdf99ee6f,0x57d4c6fc,0x7d4c3cc0,
    0x133bd00a,0x50bfe3ee,0x7fc43dfb,0x2bea60df,0x0ff5ff50,0x7c415f53,
    0x3b662b91,0x1effd809,0x8e8affdc,0x23f10ecd,0x22bea65c,0x6c4ff9f8,
    0x43dc5cef,0x322aaef8,0xf109ddad,0x84fdcc03,0x00fcaaeb,0x8bff4cb9,
    0xbf52aaef,0x7ff4cbd9,0x27ee62fd,0x1f955d70,0x5575c3ee,0xffff10fc,
    0x7fc43a8d,0xfffd06ff,0x8080000d,0xf16ffff8,0xff88bf19,0x647e26ff,
    0x09ffff75,0x53c82004,0x647e21d7,0x0dffff15,0x50f70040,0x8fcfffff,
    0x01512ffc,0x757fffe2,0x14c0be24,0xffffa94c,0x0406aa27,0xd5ffff88,
    0x22997c49,0x000be24e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04c00000,0x99900c11,0x0000a839,0xbb1f9826,0x0a310610,
    0x0310fb2a,0x1f99376e,0x066664b9,0xb9104413,0x64409803,0x1030883d,
    0x3e66d861,0x54c0c221,0x372600c2,0x4c1c41cc,0x03dc8819,0x82a8804c,
    0x1dec9828,0x49926164,0xc8744bf2,0xccdf83df,0xa8bbf721,0x0ec81fff,
    0x222ec7e6,0x7c7dc6df,0x89733f22,0x667f44ee,0x92e47e65,0x4bf23f99,
    0xfbbf10e8,0xe883b209,0x77444c9a,0x263ee883,0xee88d91f,0x88777ec3,
    0xdb9f101f,0x6c1fb815,0x7def41fe,0xf501d904,0x20fb81dd,0x7c1cadf8,
    0x41f53dc2,0x67dc5b2d,0x04402f82,0x9818053e,0x0310bb1f,0x207f3042,
    0x80fd4308,0xf10b91f9,0x2e2d96c3,0x640c1ee7,0x440eaeab,0x53a06201,
    0x7cc1883f,0xd901f881,0xf3018172,0x01f93dc3,0x0602ec03,0xfff905f3,
    0x0fa9eebf,0x7f116ab6,0x1ef7c1bb,0xbfd07ffe,0x0ffdfc43,0xff1763f3,
    0x21fff83f,0x3fff00fa,0x262a9b64,0x3f10b91f,0x9762d56c,0x3ff3e1f9,
    0x322be7a3,0x88fff3e2,0x3ee1ffbf,0x7fffc0fa,0x27e20f74,0x765365e8,
    0x207ffe0c,0x7e5b21f9,0x13fffe1f,0x7fffc136,0x443bff14,0x4f709bf9,
    0x207440fa,0x2a4fbff8,0x3ea64fca,0xf13fda81,0x5fccbf5d,0x3ea60dfa,
    0xf70fd4c1,0xd87ea601,0x5fc4fd76,0x41f885fa,0xf136c0e8,0xd3e57fc5,
    0xff8ee1f3,0x2bbe27ca,0x217be25f,0x0f72fc99,0x9d1b6be2,0xfa9833b2,
    0x3b21f981,0x2661f9de,0x3ffee2fc,0x17e4cc7f,0x2f87ff91,0xd81f53dc,
    0x6cbe229b,0x1f98db05,0x47e29f0c,0x2f7fe65c,0x4c0fcc2f,0x9807ea1f,
    0x47a9f21f,0xf885cefd,0xf70d5ec1,0x227f0fcc,0x36bb6762,0xf1144fe1,
    0x05fb1723,0x107b93e6,0x95d81fdf,0x2607e60b,0x7d4fee1f,0x4d827cc0,
    0x6e813e60,0x7a9ee17c,0xf1374f54,0xfa899763,0xff10fcc4,0x647e23df,
    0x98087e65,0x7c1f981f,0x0fcc29ae,0x10f73bf1,0x0fb8a8ba,0x443ee3aa,
    0x1fc6d9cf,0xf8d536a8,0x1723f103,0x717a20db,0x0bf3e20f,0x813db5f7,
    0x21f981f9,0x445d8bf9,0x4413605e,0x74cd4c5e,0x5f30a7c5,0x6c744db1,
    0x363f10ec,0x989fff15,0x235c0afa,0x7ccb91f8,0x82bea601,0x3a60afa9,
    0x2bea65ff,0x41bffea0,0x8fffa4f8,0xea8b70e8,0x701fc0ef,0x03f81ddf,
    0x75d723f1,0x133fb00f,0x64fc41ee,0x7fffe41f,0x982bea63,0x3fee0afa,
    0x04cfec0e,0x99fd826c,0x81dfff50,0x3ff25ffb,0x75d4f21e,0x11763f10,
    0x8dffff10,0x5c8fc42b,0x7fc402a2,0xffff16ff,0xffff100d,0x0530010d,
    0x07bea790,0x20003f80,0x323f103f,0x3e201535,0x20f75fff,0x001dd1f8,
    0x45bfffe2,0x8086ffff,0xd85ffff8,0x5ffff884,0x00804004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x99951428,0x99930199,0x40733261,0x4a864c18,0xccca80e4,
    0x191000cc,0x0eed4000,0x80039993,0x4883264a,0x6402b835,0x2393000c,
    0x0057004b,0x0c8876a0,0x23dc9897,0x004cccc9,0xcc88f726,0x644774cc,
    0xb8654951,0x2bee0dc1,0x7b770fca,0x9dfb01b3,0x0ff73ea1,0xd99f91ea,
    0xca817c3f,0x3ea0ccfd,0x337e61ef,0x21fffa82,0x3ea4bbfa,0x3fee3fdc,
    0x6cfe26fd,0x6c2db4c5,0x81ff7015,0x9f50efe9,0xffd88ff1,0x3ff609d3,
    0x43ffd11e,0x222f99f9,0xdd33fccf,0x2ffa2dfd,0x3ef3e66f,0x2df99913,
    0x7c4d91fa,0x3a1ec9f3,0x22fefd82,0x40dcdaab,0x93d45cf8,0x8cfdcc4f,
    0x21feccfc,0x4c3dc02f,0x3e66e9bf,0x0a7c4fdd,0x327a8364,0x1747d427,
    0x7541f5f7,0x3761efef,0x07dfc45c,0x75d767f1,0x4f6c7daf,0xe8609d19,
    0xf987e6e5,0x427405e9,0x1f7793f8,0x86c9ee3d,0x3e37a1fb,0xb07dfe42,
    0x9740f4a7,0x36e26e4e,0x6766dc0d,0x3f539fb0,0x55ffffea,0x97c7dabf,
    0x2bf2a1d9,0x30fb9ee0,0xbfd1f23f,0x21576cc3,0x21fa9cfd,0x743ecfda,
    0x7cee444f,0x819fd10a,0x3e60f8dd,0xdd977dcc,0x20be21f7,0xbd97104e,
    0x37e61f88,0x20fe200f,0x9f35b0fc,0x362bee5d,0x3ea27c47,0x44ff886c,
    0xf03f7acc,0xcd9b8f65,0x765740d8,0xf539fb0c,0x77d47a83,0xfc97c7ee,
    0xb8bbfb23,0x8fcc3ea7,0x73fda87c,0x7ec1ddff,0x9bb1fa9c,0x7ed4155f,
    0x6c7a641b,0xf88fa85f,0x4aaafea0,0x10f8fccc,0xf109d05f,0x1f88bb59,
    0xe803bbe6,0x2ba3f886,0x3f60aaf9,0xe836c6ff,0xc87ff02f,0xd80fafcc,
    0x2a6e2fce,0x767cc1b0,0x81f93d45,0x7b87d47a,0x5c0a897c,0x6d9bf987,
    0x30ff37e6,0x2a0b927c,0x5d743f27,0x67ee440f,0x9fffff62,0xeefd85d8,
    0x847f11ef,0x743f49cc,0x509d199e,0xf88bd33f,0x413ebe61,0x20fb80ed,
    0x6c00fbbd,0x3dc07ee5,0x2e0fdfb8,0x4c0fccfd,0x26e6eccf,0x56e41b1d,
    0x93f509dd,0x0999989f,0x7f1ee1f5,0x20f70133,0x3e60effc,0x7ffc41bd,
    0x333db10e,0x727e4fd4,0x223ff9bf,0x56c2cfdc,0x199dd869,0x417f7555,
    0x8794fffa,0x4fffa61f,0x3fa099de,0x2fea65de,0x85f53f31,0x27c2abfd,
    0x87ff3fe6,0xdf11fc99,0x887b8555,0x3ee4f8cf,0x24c0ff9d,0x3bbae191,
    0x7e47e0fe,0x87dff52f,0xf56ffff9,0xffff1ee1,0x8080f709,0x204401f9,
    0x2a7ffffc,0x40403eff,0x4f409fb9,0x7fffd85a,0xd8100f98,0x7f400fc3,
    0x7c4046ff,0x23f37fff,0xffff30fd,0x02007dcf,0x7d45bff1,0x43dc7fff,
    0x2a3f70fc,0x0000fd2f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x21dc0000,0x9999501c,0xcc886019,
    0x1666442c,0x110b3322,0x89223930,0x4932cccc,0x07332649,0x33259999,
    0x00e5c2cc,0x22dd9800,0x000b90f8,0x88054c01,0x943dc881,0x5c112828,
    0x3054c530,0x42e9b25f,0x53fffe2d,0xfe87e66c,0x3a27e20f,0x27c81444,
    0x2a1f71f9,0xc80ccfdc,0x7fbbf30f,0x32fe6fcc,0x7e47f97f,0x0f9b7dc1,
    0x2e59fb91,0xdcfb9ea7,0x4b33be3f,0x7fc2ccef,0x11ff6744,0x2223ff7f,
    0xae43e27a,0xa86ecfcc,0x05b9b907,0xfadc81f7,0xb83e6fa1,0x5dd13e8e,
    0x91bbaa7f,0x45ec3f5f,0x7e4cc5d1,0x11ae3f32,0x6cfc41f5,0x5407fd45,
    0x0fe4f71f,0x0f6c41ee,0xf997a3f3,0xd87ccf71,0xff71fdc5,0x47b81f33,
    0x27b9ea7b,0x0fe0fe7c,0x3fe3e7d4,0x27be27c9,0x44f9d55f,0x2bb2b90f,
    0x43d40f9f,0x885acdba,0x445d2d82,0x73f15c8f,0xc83fe88b,0x6644fe86,
    0x7c41f8fb,0x983ea743,0x03fbe20f,0x4fe01f51,0x887b804e,0x5d7cc0ee,
    0x3e47e63f,0x505f97f3,0x2777ae9f,0x3ee3dc0f,0xa9ee7dcc,0x2599df1f,
    0x3720aadf,0x144fe1f9,0x6e5723f1,0xae43e27c,0x2a3f69bc,0x370eefee,
    0x3aa191bb,0xbd70eeee,0x1f47541d,0x7cc1f57d,0x207b20ee,0x76f5c4fe,
    0xfb85e87c,0x20f980f9,0xf982fcf8,0x05f1bb00,0x0bf20f70,0xf989fdf3,
    0x37e63fdd,0x71fd84fd,0xb81f5f3d,0x3ee67dc7,0xef8fd4f7,0x5dddf2cc,
    0x0fe3f9fc,0x2a5c8fc4,0x3eafe228,0x47ed3795,0x2a2afca9,0x2a65badb,
    0x054c2aaa,0x1f316e7a,0x3a2fe27b,0x641ddf74,0x3fea2fae,0x4d7ec7fa,
    0x2217be21,0x93f109fa,0x06ff541f,0x3ee3dfdc,0x9f503dc0,0x307dcfcc,
    0x0f9837bf,0x83ba21f7,0xb81fdb6b,0x5cf53dc7,0x41fc3f27,0xfcdf983f,
    0x8fc40fe6,0x43fff95c,0x3795cefc,0x20f507ed,0x5982dacc,0x001fffc8,
    0x26110402,0x6c7ea2aa,0xbf19f30f,0x22ffffc4,0x7ffc42fd,0x9ba3f16f,
    0xff102aa8,0x3dc1fc8b,0x4fcc3a60,0x407e64f8,0x2e5d9af9,0xffab5c0d,
    0x5c27ee60,0xc9fb9ea7,0x42673e4f,0xcaaeb83f,0x3e207f0f,0x20200b91,
    0x983f69bc,0x5402a604,0x0000000e,0x00000000,0x00000000,0xb8082fe8,
    0xc8fcc007,0x2603f30f,0xb801ceff,0x7fc43fa6,0x3d4f75ff,0xff87dff7,
    0x9d07f5ff,0x000017c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x310102a8,0x09301530,0x026208ea,0x44bffff1,
    0x86600851,0x314eeee9,0x4c4c4110,0x77754510,0x6eeecf30,0x000003dd,
    0x00000000,0x00000000,0x00000000,0x32a00000,0x3307e45e,0x3f7ae11d,
    0x3ae1ef40,0x3ea1f9ee,0x904cccc1,0x07f23f1b,0xaaa883b2,0xff98f75c,
    0x363f3b96,0x5477732f,0x2aaaaaa3,0x00000001,0x00000000,0x00000000,
    0x00000000,0x21f5c000,0x3bb7a2fa,0xcb8ba5d3,0x7ecae0f8,0x33221885,
    0x904223cc,0xa801883f,0x1b700f55,0x00036a1f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36d40000,0xdfea83e6,0x223f5b90,0x0040b90f,
    0x02bbbb88,0x26000010,0x0093a804,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0xb0bb26dc,0x332277b5,0x00000402,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00d4c000,
    0x00000b30,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_12_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,0,0,1,1,
2,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,1,1,0,0,0,0,0,1,1,0,0,0,1,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
2,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,2,1,1,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_12_latin_ext_y[560]={ 8,-1,-1,0,-1,-1,-1,-1,-1,-1,-1,1,5,4,
5,-1,0,0,0,0,0,0,0,0,0,0,1,1,1,3,1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,9,-1,1,-1,1,-1,1,-1,1,-1,-1,
-1,-1,-1,1,1,1,1,1,1,1,0,2,2,2,2,2,2,-1,-2,-1,3,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,1,-1,0,0,0,
-2,-1,-1,0,0,2,4,4,-1,-1,-1,0,-1,-1,-1,2,-1,3,8,-1,0,2,-1,-1,-1,1,-2,-2,-2,-2,
-2,-3,0,0,-2,-2,-2,-2,-2,-2,-2,-2,0,-2,-2,-2,-2,-2,-2,2,-1,-2,-2,-2,-2,-2,0,-1,-1,-1,
-1,-1,-1,-2,1,1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,1,0,-1,-1,-1,-1,-1,-1,-1,
-2,-1,-2,-1,0,1,-2,-1,-2,-1,-2,-1,-2,-1,-2,-1,0,-1,-2,-1,-2,-1,-2,-1,0,1,-2,-1,-2,-1,
-2,-1,-2,-1,0,-1,-2,-3,0,-1,-2,-1,-2,-1,-2,-1,0,-1,-2,2,0,-1,-2,-1,0,-1,2,-2,-3,0,
-1,-1,-1,0,-1,0,-1,-2,-1,0,1,-2,-1,-2,0,1,-2,-1,-2,-1,-2,-1,0,1,-2,-1,0,1,-2,-1,
-2,-1,-2,-1,0,1,-2,-1,0,0,-2,-1,0,0,-2,-1,-2,-1,-2,-1,-3,-2,-2,-1,0,2,-2,-1,-2,-1,
-2,-2,-1,-2,-1,-2,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-4,-3,-2,-1,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_bold_12_latin_ext_w[560]={ 0,3,5,7,7,7,7,3,5,5,6,7,4,5,
3,6,7,6,6,6,7,6,7,6,6,6,3,4,6,6,5,5,7,7,7,6,7,5,5,7,7,6,5,7,
5,7,7,7,7,7,7,6,7,7,7,7,7,7,6,4,7,4,7,7,5,6,7,6,6,6,7,7,6,6,
6,7,6,7,6,7,7,6,6,6,6,6,7,7,7,7,6,6,2,5,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,7,7,7,
2,7,6,7,5,6,6,5,7,5,5,6,5,5,7,7,7,3,3,5,5,6,7,7,7,5,7,7,7,7,
7,7,8,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,6,7,7,7,7,7,7,7,7,6,7,
6,6,6,6,7,6,6,7,6,6,6,7,6,6,7,6,7,7,7,7,7,7,7,6,7,6,6,7,7,7,
7,6,7,6,7,6,7,7,6,6,6,6,6,6,8,8,7,7,6,6,6,6,6,6,5,6,6,6,7,7,
7,7,7,7,7,7,7,6,7,6,6,6,6,6,6,6,6,7,6,6,7,7,6,6,7,7,7,6,6,5,
6,8,8,7,8,6,6,7,7,7,6,7,6,6,7,6,7,7,7,7,7,7,7,7,8,7,7,6,8,7,
6,7,6,6,6,6,6,6,7,6,7,8,7,6,7,6,7,6,7,6,7,6,7,7,7,7,7,7,7,7,
7,6,7,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,6,8,7,9,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,6,6,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__consolas_bold_12_latin_ext_h[560]={ 0,10,4,8,11,10,10,4,12,12,6,7,6,2,
4,11,9,8,8,9,8,9,9,8,9,8,8,10,8,4,8,10,12,8,8,9,8,8,8,9,8,8,9,8,
8,8,8,9,8,11,8,9,8,9,8,8,8,8,8,12,11,12,5,2,4,8,10,8,10,8,9,10,9,9,
12,9,9,7,7,8,10,10,7,8,9,7,6,6,6,9,6,12,13,12,4,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,11,8,8,8,
13,11,4,9,7,6,4,2,7,4,5,8,6,6,4,9,11,3,2,6,7,6,9,9,9,10,10,10,10,10,
10,11,8,10,10,10,10,10,10,10,10,10,8,10,11,11,11,11,11,6,11,11,11,11,11,10,8,10,10,10,
10,10,10,11,8,9,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,7,10,10,10,10,10,12,12,12,
10,10,10,10,11,10,11,10,11,10,11,10,11,10,10,10,8,10,10,10,10,10,10,10,11,10,10,10,11,12,
11,12,11,12,11,12,10,11,8,9,10,9,10,9,10,9,11,12,10,6,9,12,11,12,11,12,6,10,11,11,
12,9,9,8,9,8,9,10,9,11,10,10,9,10,11,10,11,10,11,10,11,10,9,8,10,9,11,10,10,9,
11,10,11,10,10,9,11,10,11,11,10,10,8,9,11,10,11,10,11,10,12,11,11,10,11,9,10,9,10,12,
10,10,9,10,9,10,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,12,10,10,12,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,10,11,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_bold_12_latin_ext_s[560]={ 255,251,90,120,46,148,91,80,7,23,12,
144,7,100,61,92,202,178,193,173,135,16,165,200,220,215,9,250,21,47,52,
250,29,101,44,67,81,89,95,81,73,66,97,185,165,150,58,111,36,123,28,
233,13,247,1,245,237,229,222,60,138,65,25,110,41,171,140,158,9,143,218,
83,204,188,70,172,195,136,116,65,40,63,109,81,240,129,224,209,201,150,217,
77,1,92,33,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,255,114,146,
88,1,112,4,221,54,127,123,181,73,100,152,84,19,34,195,1,65,45,1,
96,106,247,168,174,1,103,234,70,124,55,118,106,76,16,17,16,233,219,204,
190,48,176,99,156,96,57,24,31,32,54,62,188,77,101,93,77,61,16,73,
1,243,235,228,221,214,9,104,133,192,184,177,170,126,140,74,60,132,242,116,
108,100,92,84,160,68,61,53,46,39,106,121,129,8,1,247,240,69,226,198,
211,214,197,229,183,236,169,160,151,26,136,129,122,115,108,101,94,48,79,72,
65,99,137,40,84,107,98,153,168,242,131,41,9,213,23,198,249,184,53,9,
176,153,232,157,160,54,153,85,145,239,228,183,169,114,148,195,49,211,128,180,
109,37,243,125,167,143,146,206,139,190,117,175,220,161,205,180,207,175,119,115,
191,8,135,85,25,70,33,235,30,39,144,23,16,86,40,57,227,230,132,222,
160,207,1,184,215,247,17,1,89,49,187,23,52,31,76,210,24,226,207,158,
165,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,199,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,44,37,31,199,13,238,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,192,163,23,16,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9, };
static unsigned short stb__consolas_bold_12_latin_ext_t[560]={ 1,15,100,82,15,50,61,100,1,1,100,
91,100,100,100,15,72,82,82,61,82,72,61,82,61,82,91,27,91,100,91,
50,1,91,91,72,91,91,91,72,91,91,72,82,82,82,91,72,91,15,91,
72,91,72,91,82,82,82,82,1,15,1,100,100,100,82,50,82,61,82,72,
61,61,72,1,72,72,91,91,82,61,61,91,82,72,91,91,91,91,72,91,
1,1,1,100,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,1,61,15,
82,82,82,1,15,100,72,91,91,100,100,91,100,100,82,91,100,100,72,27,
100,100,91,91,91,72,72,61,61,50,61,61,61,50,27,82,50,39,39,39,
39,61,39,61,50,82,39,27,15,27,15,15,91,15,27,27,27,27,61,82,
61,50,50,50,50,50,15,82,61,50,50,50,50,61,61,72,72,50,61,50,
50,50,50,50,91,50,50,50,50,50,1,1,1,50,50,39,39,27,39,15,
39,15,39,15,39,15,39,39,39,82,39,39,39,39,39,39,39,27,39,39,
39,15,1,27,1,15,1,15,1,27,15,82,72,27,72,27,61,27,72,27,
1,27,91,61,1,27,1,27,1,91,27,15,15,1,61,61,82,61,82,61,
27,72,15,27,27,72,27,15,27,15,27,15,27,15,27,72,82,27,72,15,
27,39,72,15,39,15,39,27,72,15,39,15,15,39,39,82,61,1,27,1,
27,1,39,1,1,1,39,15,72,39,61,50,1,50,61,72,61,72,50,72,
72,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,1,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,1,1,61,50,1,1,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,1,50,15,15,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82, };
static unsigned short stb__consolas_bold_12_latin_ext_a[560]={ 106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_12_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_12_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_12_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_12_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_12_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_12_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_12_latin_ext_s[i] + stb__consolas_bold_12_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_12_latin_ext_t[i] + stb__consolas_bold_12_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_12_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_12_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_12_latin_ext_x[i] + stb__consolas_bold_12_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_12_latin_ext_y[i] + stb__consolas_bold_12_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_12_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_12_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_12_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_12_latin_ext_s[i] + stb__consolas_bold_12_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_12_latin_ext_t[i] + stb__consolas_bold_12_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_12_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_12_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_12_latin_ext_x[i] + stb__consolas_bold_12_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_12_latin_ext_y[i] + stb__consolas_bold_12_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_12_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_12_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_12_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_12_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_12_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_12_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_12_latin_ext_LINE_SPACING
#endif

