// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT        152
#define STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_15_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_15_latin_ext_LINE_SPACING          10

static unsigned int stb__consolas_bold_15_latin_ext_pixels[]={
    0x22b9f6fb,0x026200c9,0x800aa190,0x026202a8,0x19015553,0x400ab980,
    0x980a602d,0x54029802,0x00542a03,0x05540193,0x9500a854,0x5400059b,
    0x2620002c,0x99970988,0xc981b910,0x99030c01,0xb7d95479,0x3fd9fe2f,
    0x2013bf50,0x200dd1fd,0xdd101ee8,0x41fffc81,0x3bee06f8,0x01f500ef,
    0x3ea17be6,0x13bea04e,0xbdb01ff8,0xb04fc80f,0xf37f507f,0xbddff909,
    0xefb81ec0,0x503df302,0x7ec9f59f,0x2de5c0ee,0xee813fa6,0x2ff740fd,
    0x9f6fb1fd,0x5403262b,0x47f709b2,0x8075006e,0x07f200dc,0x4bea17e6,
    0x405304e8,0x3221c8ab,0x9c881c89,0x407501c8,0x64c01cc8,0x2e01c980,
    0x46f88170,0x81cfb980,0x501dc06e,0x40db06a3,0x0f903ee9,0xbd005dc4,
    0x7dbec7f4,0x300a98aa,0x5f885fb9,0xa8353374,0xb9b904ee,0xfb80fe40,
    0x21ae2742,0x2a2aacb9,0x1530aaaa,0xacb982a8,0x5565cc2a,0x15565cc2,
    0x26155555,0x1531540a,0x07fe22a8,0x86ffffc8,0x4c7f004f,0x6d8b221c,
    0xc8889c98,0x3260fd42,0x97a0b221,0xf9f6fb7e,0x3ee07ee6,0x17dc5fef,
    0x6437cdba,0x7dd506ac,0xbf00fe40,0x6776cfd4,0x7ff77d47,0x4fffffa4,
    0x517e23fb,0x549ffddf,0x2a4ffeef,0x3a4ffeef,0x7f73ffff,0x47f72fc4,
    0x77fec5f8,0x0bd6fcc2,0x36e604f8,0xf88fea0f,0x8fea1b64,0x20fd44f8,
    0x213e23fa,0xdbedf65e,0x41fb9be7,0x47ffb5f8,0x7c7740fe,0x01ee880e,
    0x7e403bb1,0xbec9ba01,0x3a0fafcf,0x3fa81ba6,0x217dcdf1,0x4dd1ba6e,
    0x0dd3746e,0x26f89fd4,0xb9be22fb,0x5ffeb82f,0x4c1afbe6,0xffff703f,
    0x9f11fd4b,0x11fd436c,0x544f889f,0x3a13e23f,0xf83edf65,0x5f707ee6,
    0x37cbf7f1,0x4407f774,0xff702cca,0x900fe40b,0x2f77361f,0xe9ba0faf,
    0xfc8fea06,0x74dd0fd1,0xe8dd3746,0x3fa81ba6,0x643f47f2,0xe980fd1f,
    0x0bfffa2f,0xdf101bfb,0x3ea5fdf1,0x86d93e23,0x213e23fa,0x47f50ffb,
    0x365e84f8,0xb9be0fb7,0x7d47e41f,0x3a1ba6f8,0xefc80fee,0x7efd85fe,
    0xfb807f20,0x5f79d9d1,0x2feefb8f,0xcf98fea0,0xeefb84f9,0x7f77dc2f,
    0x17f77dc2,0x67cc7f50,0x9cf984f9,0x42fc804f,0x3ae5fffb,0xfaafa81f,
    0x447f54f9,0x3ea1b64f,0xdd113e23,0x9f11fd47,0x7dbe4bd0,0x3f737c31,
    0xfd5d8fd8,0x27ba07ec,0x3f6040ef,0x80fe6fc0,0x43f601fc,0x6beccebe,
    0x200ddef4,0x7e7f43fa,0x81bbde80,0xde81bbde,0x1fd401bb,0x7403f3fa,
    0x5ecc0fcf,0xce80ffca,0x20fe22fe,0x5f8dcafa,0xb27c47f5,0x7c47f50d,
    0x3ea0fd44,0x17a13e23,0x9be7dbec,0x7cfdc1fb,0x20fdcbf3,0x530bf76e,
    0x57d43fd9,0x7ed544f9,0x3a6f80ab,0x43ffffdc,0x200aaaef,0x2ffdc3fa,
    0x40aaaef8,0x7c0aaaef,0x2a00aaae,0x02ffdc3f,0xff30bff7,0x27e03dff,
    0x4c27c3fb,0x53f9afbf,0xdb27cc7f,0x27cc7f50,0x47f507ea,0x3a5e84f9,
    0x7cfb7d8f,0xbf507ee6,0x7cc9f31f,0x47fb3745,0x21ffeefc,0xff8df0fc,
    0x7d42ffff,0x2a327763,0xfffffc83,0xf887f501,0xffff902f,0x7fffe43f,
    0x3ffff21f,0x887f501f,0x3fe202ff,0x2a06a202,0x40ffdfce,0xd7ffd04f,
    0xfa93e61f,0x93e61b63,0x20fd43fa,0x20fea4f9,0x5f63fa5e,0x203f207d,
    0x40febffe,0x881883fc,0xfe87f25f,0x1880feaa,0x0fb8df10,0x9f327cc0,
    0xdf10bee0,0x4f993e60,0x9a7cc9f3,0x5c13e64f,0x2037c42f,0x85d806f8,
    0x80deffe9,0xdfff105d,0xfeabff83,0x5ffc1b60,0x07dc0fea,0x07f55ffc,
    0xdbec22f4,0x837ddc47,0xb01efff8,0xf885d83f,0xf31ffcaf,0x707fffff,
    0x883fd01f,0x541b9aef,0x12fc99df,0x261ff75b,0xbf501feb,0x3ea5f933,
    0xf52fc99d,0x225f933b,0x730ffbad,0x3ae603fd,0x203f801f,0x0e7dc06a,
    0x74c02fe2,0x57ec1eff,0x0f7ff4c2,0x3a60df71,0x7d541eff,0x31f6fb05,
    0x3e603dff,0x206c4009,0x7dff703f,0x266bee3f,0x885d85fa,0xbffb102d,
    0x7dfff703,0x90f7ff44,0xffb803df,0x7ffdc3ef,0x77ffdc3e,0x87bffa23,
    0x3f201efc,0x9700001e,0xc989b500,0xfb008800,0x501101ff,0x008801bd,
    0x5f60bfff,0x0950007d,0x20100000,0x0007e87d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x11000000,0x14c00988,0x31019801,0x4c0114c0,0x93039300,
    0x28599999,0x04c2602a,0x44c88150,0x2002622c,0x80330018,0x44031019,
    0x05450110,0x3006f332,0x5500ca81,0x26009500,0x98898809,0x05301880,
    0x07fa226c,0x8277ffd4,0xffa82fe8,0x4efffa84,0xc81fee88,0xffffa81f,
    0x22fea4ff,0x05efc85f,0x5ff313ee,0x03fd127c,0xd1027fd4,0x0bfa205f,
    0x7cc13fea,0x45fd41fd,0x7ffffc5f,0x21fee884,0x00df01fc,0x3fc805fd,
    0x84facfa8,0x7fc44ffa,0x40bf7262,0x05dc202a,0x13500a98,0x02ee1015,
    0xb53154a6,0x1f60559f,0x501b8644,0x4c1c8805,0x2a13e6ff,0x02a26a02,
    0x1530054c,0x402a26a0,0x70c881a8,0x1ff15f83,0x7e455298,0x9500df01,
    0x3501a880,0x544d406a,0xffb8ff40,0x3dc985fe,0x85910e4c,0xb9303dc9,
    0x80f72607,0xff90ccca,0xfb01ffff,0xa81ee4c0,0x99502cdc,0x4bf7e619,
    0x6443934f,0x3166e542,0x2a164439,0x87262cdc,0xccca82c8,0x16443930,
    0x2207ecbf,0x3f91cdcb,0x82ee37e0,0x2a00aaa9,0x6e4c0ccc,0x59999503,
    0xffdafc40,0x9bfffee3,0xb93e23fa,0x7dc6ffff,0x7fdc6fff,0x7ff446ff,
    0x00fe42ff,0x7ffdc1f6,0x777fe46f,0x7ffff445,0x3edd5f32,0x27c47f54,
    0x54bddff9,0xfc93e23f,0x8fea5eef,0x3ffa24f8,0x447f52ff,0x3f2bbe4f,
    0x7ffffcc5,0x3be03f93,0xff90efff,0xfffd103f,0x7fffdc5f,0x4ffffc86,
    0x2fe2bee0,0xb11df15f,0xf88fea7f,0xfb11df14,0x3623be27,0xb11df13f,
    0x1127ec7f,0x3ec01fc8,0x7ec477c4,0x6c08df13,0x57cc224f,0x7f54fafb,
    0x46f8a7c4,0x4f88fea0,0x3ea08df1,0x4fd93e23,0xf11fd422,0x427fffc9,
    0x7e4622fe,0x3f27ff01,0x7ec0fe43,0x477c4224,0x3e603fd8,0xa8fca5c4,
    0x45f76f8f,0x447f55f9,0x7cc5f74f,0xafcc5f75,0x457e62fb,0x01fc806f,
    0x317dc3ec,0x407fe2bf,0x4be606f8,0x47f54fee,0x03ff14f8,0x14f88fea,
    0x8fea03ff,0x40df14f8,0xf93e23fa,0x3ea0fe8d,0x7c07f204,0x3f913e66,
    0x3ee06f88,0xf9817e62,0x3f6ffe24,0x3f2fd5d8,0x1fd5be21,0x887f29f1,
    0x7c43f96f,0xb7c43f96,0x1fb804f9,0x0fe43ec0,0x77fecdf1,0xf3027cc2,
    0x7d53fee5,0xffd93e23,0xf11fd42e,0x2177fec9,0x4d3e23fa,0x88fea04f,
    0x2fd57e4f,0x4b32e5f7,0x4cdf01fc,0x260fe44f,0x887f204f,0x913e606f,
    0x27f3f77f,0x7f83fb5f,0xda7c47f5,0x1fdbfc1f,0x7c1fdbfc,0xf5009f57,
    0x21f6053b,0x2e3fc1fd,0x13ea5ffe,0x53fa2f98,0x713e23fa,0x1fd4bffd,
    0xffeb89f1,0x4f88fea5,0x1fd409f5,0xfd2fc9f1,0x7ff47f21,0x3999bf94,
    0x643fa9be,0xb027d41f,0x2607f83f,0x7d57d44f,0xf94f98fd,0x47f55f85,
    0xf85f94f9,0x95f85f95,0xbf35f85f,0x03fff600,0xf0bf21f6,0x4cbfa60b,
    0xb8be605f,0x7cc7f54f,0x2a5fd304,0x4c13e63f,0x4c7f52fe,0x540bf34f,
    0x5f93e63f,0x317dd3ee,0x3ffff29f,0xff55df2f,0x2aff6aa1,0x7e40bf30,
    0x9f302fc2,0xffe93f26,0x49f50feb,0x549f34fa,0x7d49f53f,0xa7d49f54,
    0x453ea4fa,0x198800ff,0x93ea0620,0x4bf204fa,0x2a000ff8,0x7d49f33f,
    0x7ccbf203,0xfc80fea4,0x9fd49f32,0x9f300ff8,0x40c41fd4,0x113e65f9,
    0x3dffff03,0x97fffffc,0x9f500ff8,0x9f5027d4,0xfff106e6,0xfbeff83d,
    0x3aaffe0f,0x3efbfe0f,0x3efbfe0f,0x3efbfe0f,0x333fee0f,0x6c05d82d,
    0xff7dff05,0x3f2af661,0x333fee0f,0x43fd502d,0x30feabff,0x41ff957b,
    0x30feabff,0x41ff957b,0x20feabff,0x22dccffb,0x80feabff,0x97dfb05d,
    0x7c0fb89f,0x41d9000e,0x22dccffb,0x40ffbeff,0x401feabc,0xfd1009f9,
    0xffe983df,0x77ff441e,0x0f7ff441,0x207bffa2,0xf81effeb,0xe881fc03,
    0x3fe61eff,0xfeb81eff,0x85fd01ef,0x261effe9,0x4c1effff,0x3e61effe,
    0x74c1efff,0xfeb81eff,0x3ffa61ef,0x6407f01e,0x2ec2efff,0x1bf0037c,
    0x21effeb8,0xc81effe8,0x21d43fff,0x1002004a,0x01001001,0x00010010,
    0x31004000,0x20000200,0x20062008,0x20062008,0x44008008,0x01100000,
    0x32006f80,0x0100104f,0x007fe010,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07500000,0x951e40c3,
    0x84402a05,0x59132208,0x41cdcb88,0x06201309,0x3e026130,0x2a281fff,
    0xca819800,0x00cc02cd,0x414c0262,0x30b221c9,0x35500261,0xa8031188,
    0x880cc04e,0x404cc001,0x3fffe019,0x0a603301,0xbf03f7ba,0x3ee03fe2,
    0x47f9f504,0x993e2ff9,0x643fffff,0x9ff505ef,0x982f7e40,0x8bfa8199,
    0x0bfa205f,0x20bddff9,0x3e602fe8,0xa81fd00e,0xf913e23f,0x7ff440bd,
    0x01ff7444,0x7f4407d3,0x004ffa82,0x9dd507f9,0x54066660,0x887c84ee,
    0xfb5f80bb,0x98072205,0xf37fcc2c,0x03117f49,0x544d4055,0x3260aa00,
    0x0c88b221,0x2054c037,0xa98046f8,0x2a015400,0x3e23fa84,0x7dc02a84,
    0xa9815403,0x02a600aa,0x200544d4,0xd59901a8,0x640f7260,0x987d86ac,
    0xfadf83dc,0x39b97104,0x31cdcb88,0x553e3fbf,0x3332604f,0x50772ccc,
    0x4b226449,0x5d3e23fa,0x99125c0c,0x03ff12c8,0x0e666664,0x3206f332,
    0xf51ccccc,0x99927c47,0x1fb03999,0x206f3320,0xca81fffc,0x4b819700,
    0x10f332e0,0xfff703dd,0x03dd10df,0xffffb8fb,0x9837f7c6,0x263fffff,
    0xf33fffff,0x7dd3ebf5,0x3ea59972,0xdb4fffff,0x17fccf70,0xf88fea9f,
    0x27cc9f54,0xb27c5ff3,0xff885dff,0x7fc2ffff,0x3fe24fff,0x7f52ffff,
    0xfff8a7c4,0x07e82fff,0x413ffffe,0x01fc81fc,0x827cc9f5,0x2a5efff8,
    0x77c42a62,0x2a23fd88,0x227d82cc,0x23fd88ef,0x5fd06fef,0x445fd0c4,
    0xf3f95f31,0x7ff47f29,0x86c87d84,0xf9bfe66c,0x27c47f54,0x983fa1fd,
    0xd713e6ff,0x7fc40bff,0x0ff8afc0,0x3ea1ff10,0x7c413e23,0x3ffffe0f,
    0xff8afc1f,0xfc81fc80,0x7f43fa01,0xf0dbf500,0x2fb8fe4b,0xeefc97e6,
    0x5f73f45f,0xf7bf2fcc,0x2a04fa89,0x22be604f,0x45f74fcf,0xc87d84f9,
    0xf99b2737,0x3ea9f1fd,0xbfa93e23,0x7efcc4f9,0x3fa609f1,0xbf05fb02,
    0x2fd807ec,0x04f98fea,0xefba85fb,0xfb2fc0aa,0xf903f901,0x7cdfd403,
    0x21b77a04,0x7e47f25f,0x6c09be21,0x7e43fa0f,0xd5f9be21,0xcb97dc3f,
    0x32e5f72c,0x3f65f32c,0x7ccbf34f,0xb7b87d84,0x57ccb91f,0x8fea9f5f,
    0x7eff44f8,0xfafd7cc0,0x2e0bf204,0xf95df04f,0xf313ee0b,0x7dc17d49,
    0x7c09f304,0xf905fcae,0xe803f903,0x5f100fdf,0x92fc79fb,0xff07f63f,
    0x21feca98,0xf83fb0fe,0x937cd7e7,0x653ffa3f,0x269ffd1f,0x6c9ff32f,
    0xd84fcbef,0xaff8fb87,0x3f2be65d,0x4c7f54f9,0x427fd44f,0x4f9fcaf9,
    0x1ff957b3,0xff00ef88,0x3be209ff,0xfeabff80,0xa8077c40,0x3fffe03f,
    0x3207f204,0x27fd401f,0x93bf6f90,0x7e47f25f,0xddf92fc2,0x17e403ff,
    0x3f25f97e,0xa7cc5f74,0x4d3e62fb,0xf913fa2f,0x0fb05dff,0xbbbbd5f5,
    0x7e7c57cc,0x1fd49f34,0x57cc07f4,0xff34fcf8,0x3fb03dff,0x07f46fc0,
    0xfe980fec,0x01fd80ef,0x8df80bee,0x03f900fe,0x1fd003f9,0x436cefc0,
    0x7d47f66f,0x2fc53ea4,0xf525c3f9,0x0c427d49,0x29f32fcc,0x213e65f9,
    0x00544018,0x79bf50fb,0xd97cc9df,0x2affe4ff,0x307e80fe,0x113ff65f,
    0x013ee0bf,0xf717eabf,0x2e0db009,0x007ec04f,0x6417eabf,0x801fc81f,
    0x3ffea07e,0xfdbfe86f,0x3efbfe1f,0xf95ff10f,0xf8ffe63f,0xd80ffbef,
    0xf97dfb05,0x7e5f7ec9,0x2ec05d84,0x3fea1f60,0x3e64ff89,0x74c9ff32,
    0x0fd01eff,0x27fccbe6,0x3fe20be2,0x2fc1cccc,0x33fe21fd,0x0cf81ccc,
    0x66667fc4,0xf809fdb1,0xdaa83fa5,0x37f20abf,0x07e81ccc,0x22afd9b6,
    0x21fbeffa,0x5c1effe8,0xf11fbeff,0x77ff443f,0x7e407f01,0x7fe42eff,
    0x403f82ef,0x4c3ec03f,0xf98ffa7f,0x02213fa2,0x8be60fd0,0xf30184fe,
    0xf87fffff,0x7fcd3ee5,0xfc83ffff,0x7ffffcc3,0xf005993f,0xfff27dcb,
    0x7fe45fff,0x07e82fff,0x3ffec7f1,0x04008004,0x00008020,0x00880110,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x006a0ccc,0x02980f88,0x99715554,
    0xcc981999,0x88018603,0x9999950a,0x306aaa60,0x00262045,0x37620330,
    0x31006201,0x14022980,0x03722015,0x186004c4,0x11881980,0x980a8a03,
    0x20620130,0xffe8809a,0x801f62ff,0x201fd079,0x3b67fffd,0x3ee0eeff,
    0xbdd06fff,0x327d801f,0x260fffff,0x2a4ffffe,0x7444efff,0x2fe8801f,
    0x501b7990,0x3fea09ff,0x9dfff504,0x0bf17f50,0x74416f2e,0x3f7ba01f,
    0x105fd100,0x7f507fdd,0xbdf90bf1,0xff13fea0,0x224fd89f,0x2a00bea0,
    0x304a81fd,0x43ec049f,0x3fd88ef8,0x4400bb88,0x4403f24f,0x44f8ffff,
    0x0aa01770,0x15402a60,0x40544d40,0x2100a89a,0x70c880bb,0x00fba603,
    0x05dc4055,0x2a801530,0x406e1910,0x2a26a02a,0x453faea0,0x206e806f,
    0x2e5fffe8,0x220ccccc,0x21f602ff,0x717e62fb,0x20199999,0x403f20fc,
    0x4f8ffffa,0x0333332e,0x64403991,0x440df01c,0x910b221c,0x0e644039,
    0x44039910,0x999501dd,0xcccca899,0x26666544,0x206b3326,0x544cccca,
    0x6544cccc,0x7f884ccc,0x3f7009f3,0x8736ff60,0x20eeffed,0xd80dfffd,
    0x37c1fc87,0x03bbffb6,0x337f22fc,0x3fffea4c,0x3ffb64f8,0x2ffdc0ee,
    0x3e0bff70,0xf98fe606,0x702ffdc4,0x7fdc0bff,0x417fee05,0x20fffffc,
    0x20fffffc,0x20fffffc,0x44fffffa,0x20fffffc,0x20fffffc,0x40fffffc,
    0x009f57f8,0x75be09f1,0xbf30fb03,0x7d81ffb1,0x83fc1fc8,0x217d407d,
    0x225eeefc,0x84f8ffff,0x1fbf607d,0xbf07efd8,0x1fcc1791,0x7efd89f3,
    0xd81fbf60,0x3bf607ef,0x6401f907,0x803f200f,0x43fd33fa,0x03f200fc,
    0xdd300fc8,0x4017e67f,0xfafc40fc,0xdf30fb01,0x21f61fe4,0xd837c2fb,
    0x7e437407,0x23ffa600,0x3e07d84f,0x9bf01fcd,0xfffdf03f,0x9f31fccd,
    0xf01fcdf8,0x37e03f9b,0xf9bf01fc,0x6401f903,0x803f200f,0xc93ea3fa,
    0x803f200f,0x3bf300fc,0x4c007fc4,0x0f9fd83f,0x3bfa0fb0,0x43ec4fa9,
    0x413ea4f9,0x20fe607d,0x898800fc,0xf507d84f,0x5f509f35,0x27ff09f3,
    0xdddf30fd,0x4d7d49fd,0xf9afa84f,0x4f9afa84,0x84f9afa8,0x644ccdfc,
    0x7e44ccdf,0x1fd44ccd,0x66fe4bf1,0x666fe44c,0x2666fe44,0x9ff705f3,
    0x21b605b9,0xd85efffa,0xffffb107,0x0abfaaa3,0x01ff7dfd,0x80fd81f6,
    0x404ccdfc,0x907d84f8,0x3f21be1f,0x5cdf0df0,0xddddf31f,0x6f87e49f,
    0x90df0fc8,0x3f21be1f,0xddf90df0,0xeeefc8bd,0x2f777e45,0x26f88fea,
    0x645eeefc,0x7e45eeef,0x70045eee,0x2a03dfff,0x2dfd882f,0x7f4c07d8,
    0x3fffffa4,0x00f7fe40,0x413e20fb,0x00fffffc,0x41f613e2,0x40feaafe,
    0x40feaafe,0x7cc7ee6f,0xafe93e63,0x57f40fea,0x57f40fea,0x57f40fea,
    0x07e40fea,0x7e401f90,0xfa8fea00,0xfc803f24,0x5403f200,0x003ee04f,
    0xb02dc17a,0x409f500f,0x021fb05e,0x01fb83ec,0x7dc30bd0,0xff987d83,
    0x3e63ffff,0x7c3fffff,0x1fcc7ee6,0x3ffe69f3,0x3fe63fff,0x3e63ffff,
    0x263fffff,0x43ffffff,0x03f200fc,0x3ea00fc8,0x0fc8bf63,0xfc803f20,
    0x6409f500,0x903f7005,0x55fd5509,0x0ff66fc4,0xfa80bf98,0x3aaa0eef,
    0x802fc2af,0x3be20bf9,0x3aaa0ffe,0x26bee2af,0x2bee5fa9,0x37c5fa99,
    0x98fe63f7,0x5335f74f,0x4cd7dcbf,0x26bee5fa,0x2bee5fa9,0x7e45fa99,
    0x6fe44ccd,0x66fe44cc,0x7e6fd44c,0x666fe45f,0x2666fe44,0x113337f2,
    0x91000880,0xffd05905,0x33221fff,0x3f6201cd,0xe87bb502,0x910fffff,
    0x0bfa2003,0xfe817b93,0x0fb0ffff,0x3f43ecfd,0xf31fb9be,0x87da7cc7,
    0x9fa1f67e,0x1f67e87d,0xffff91fa,0x7fffe41f,0x3ffff20f,0x37ffea0f,
    0xfffffc83,0x3fffff20,0x3fffff20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03103910,
    0x0298030c,0x0cc00a8a,0x9910114c,0x80026203,0x3ffff019,0x20150a88,
    0xbc89a83a,0x00019100,0x21500a88,0x40d4c00a,0x351a98aa,0x01441791,
    0xa80150a8,0xf8001faa,0x23501fff,0xdf70001a,0xdd04ffa8,0x07f401fb,
    0x82fc5fd4,0x7fd42fe8,0x5ffb84ef,0x8803fd10,0x333302fe,0xf8177ae0,
    0x7fff7c1f,0x3a07f906,0xee880fff,0x07ded80e,0x5fd42fd4,0x3ffbe4fa,
    0x200fee6f,0xee807ded,0x0fffe86c,0x26019998,0xffe80fdf,0x542d880f,
    0xbb880a89,0xc8825400,0x02a60370,0xfd80bb84,0x2015407e,0x999700a9,
    0x80970199,0xfb3ff83a,0x22019301,0x2e770199,0x201cc882,0x325902c8,
    0x0fd9ffc2,0x991007f1,0x057dd003,0x32203331,0x80e4c01c,0x82a01998,
    0x40cccccb,0x99501cc8,0xcccb8999,0x3332e0cc,0xc89910cc,0x40fe6fc2,
    0x70cccccb,0x76c4b819,0x5c40eeff,0x8597102c,0x2a07ee6f,0x2cb982cb,
    0x260b2ea0,0x32ea02cb,0xf82cb982,0x02f47ee6,0x98166544,0x95106fcb,
    0x17fee059,0x71059750,0xd8fe2059,0x5c0eeffe,0xfff905ff,0x7ff6c1ff,
    0x3ffb60ee,0x45ff30ee,0x3e6bea4f,0xeeffed84,0x27cc9f50,0xdff307d8,
    0xfeff98bf,0x41fb9be5,0x7d47fffd,0xffd85fff,0x7fffd47f,0x47fffd85,
    0x7c5ffffa,0x4d447ee6,0x77e40bb8,0x77fec5fe,0xfddf906f,0x40fdfb0b,
    0x7cc7fffd,0x7fe45fef,0x3f607d83,0x001f907e,0x987d80fb,0xfc93e6ff,
    0x83ec0df0,0x201fd0fe,0x321fd07d,0x7e43fa1f,0x90fdcdf1,0xef88619f,
    0x3f22fd88,0x477c430c,0x33f22fd8,0x4477c430,0xfb9be2fd,0x3ffffba1,
    0x2a1fb020,0x2041ba4f,0x7e6fc0fd,0x830cfc81,0x2e3f90fe,0x07d809df,
    0x3207f37e,0x407d800f,0x1fdf987d,0x7557f49f,0x2a0fb00f,0x3604f9bf,
    0xdccef887,0xb99df13f,0x1fb9be7f,0x23fa81fa,0xa81fa4fa,0x7e93ea3f,
    0x4fa8fea0,0x3a1fb9be,0xa985f94f,0x41f91fec,0x3b2a606e,0x3e6bea1f,
    0x3e207e84,0xfb3fdcce,0xfa83ec03,0xdfc84f9a,0x80fb04cc,0x5faf987d,
    0x3fffe69f,0x40fb03ff,0x3600fdfe,0xeeeff987,0xdddff32e,0x1fb9be5d,
    0x23fa81fe,0xa81fe4f8,0x7f93e23f,0x4f88fea0,0x3a1fb9be,0xefc8bea7,
    0x41fb1ffe,0xfddf906e,0x6f87e43f,0x3fe607f8,0x9f92eeee,0x0fc83ec0,
    0xdddf90df,0xfb01f60b,0xf3f95f30,0x2a66bee9,0x540fb05f,0x43ec04ff,
    0x17e205f8,0x3fa0fd80,0x7d4bf301,0x7cc07fa3,0x1fe8fea5,0x1fd4bf30,
    0x2a7e80c4,0x7e4bf12f,0x1be23fb1,0x21fc97e2,0x40feaafe,0x0bf101fe,
    0x20777fc4,0xd55fd07d,0x800fc81f,0x4c3ec07d,0xb4fcf8af,0x1f60fd0f,
    0x7d801fd0,0x87539fb0,0x883a9cfd,0x5ffdc6fc,0x7de7f45b,0x2effee0f,
    0x7fde7f45,0x16effee0,0x01ff79fd,0xfa9fa0bb,0xff95ff12,0x3faf7ea3,
    0xfcaff886,0xfffff31f,0xbbffb87f,0x1d4e7ec5,0xfb07b6e2,0xffffff30,
    0xd800fc87,0x7cc3ec07,0x4c09ffb2,0xe80fb02f,0x2bfaaa07,0x7fffec42,
    0x3ffff620,0x5c06fc40,0x7f4c6fff,0xfffb81ef,0x0f7ff4c6,0x2637ffdc,
    0x7f01effe,0x22fa9fa0,0x21fbeffb,0x706dcffd,0x2e3f7dff,0x85fa99af,
    0x6c46fffb,0xa800ffff,0x3ee2afea,0x645fa99a,0x5544ccdf,0x75542afe,
    0x4cbe62af,0x07f204ff,0x2055fd55,0x3fffa07e,0x801300ff,0x00400009,
    0x10020022,0x08801001,0xfa9fa000,0x00440082,0x3a1f6010,0x02600207,
    0xfffffe80,0xc8fd0fb0,0x3a0fffff,0x3a0fffff,0xf30fffff,0xd5027f45,
    0xfffffe8f,0x00007e80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0a60150a,0x15505540,0x2a150000,
    0x50150a80,0x014c0215,0x02aa0aa8,0x503ffff0,0x15300215,0x5501aa88,
    0x28853021,0x260150a8,0x54155002,0x804c400a,0x150a802a,0x4c021550,
    0x54155002,0x4dfd400a,0x04efa84f,0x3be61fec,0xdb07f000,0xf37f50fb,
    0x4efffa89,0x6c04efa8,0x0077cc3f,0xf9103333,0x3b2a0dff,0xffff30df,
    0x4efffa89,0x45d9bbea,0xa84f9bfa,0x1fec04ef,0x7cc03be6,0x406f85ff,
    0x544f9bfa,0xfa84efff,0x21fec04e,0x85c00ef9,0x644e440b,0x22039301,
    0x3f6e603c,0x701cc880,0x5dc202e1,0x0e44e440,0x79101c98,0x133332a0,
    0x201dfdf7,0xfb0effeb,0x5dc21fa1,0x2a3e3760,0x8170b80f,0x301c89c8,
    0x40f22039,0x7c1fc9ee,0x0170b806,0x39102ee1,0x07260391,0x45501e44,
    0xa98aa0a9,0x20a98aa0,0xfb82a62a,0xcb885fff,0x20597302,0x97302cb9,
    0x40b2e605,0xffc82cb9,0x2e220fff,0xdca882ff,0x37c5be0f,0xb70a98aa,
    0x2205f3f9,0x597102cb,0x440b2e20,0xf55f82cb,0x0bb8df83,0x44166544,
    0xca882cca,0x2cca882c,0xf02cca88,0x4bf0fe4b,0xfc97e1fc,0x11fc97e1,
    0x45fdf1df,0x545feff9,0x7d45ffff,0x7fd45fff,0x7ffd45ff,0x7fffd45f,
    0xf5007e45,0xffa8dfdf,0x75be0ffe,0x3f92fc1f,0x4176ff62,0x4c5feff9,
    0x7cc5feff,0x7fcc5fef,0x7dfec5fe,0xefffef86,0x17fbbf20,0xc8bfddf9,
    0x7e45feef,0x77e45fee,0x325f85fe,0x1fc97e1f,0x3e1fc97e,0x57d47f25,
    0x3fa4f9fa,0x3be23f90,0xdf12fd88,0x3e25fb11,0xf12fd88e,0x225fb11d,
    0x22fd88ef,0x1df100fc,0x877c47f6,0x3e7be0fc,0x07f25f84,0x87f403ea,
    0x643fa1fc,0x7e43fa1f,0x0fe43fa1,0x3fe09ff3,0x36047f93,0x41fb020f,
    0xd8107ec0,0x81fb020f,0x5f87f25f,0x325f87f2,0x1fc97e1f,0xbf1b95f5,
    0x3f733be2,0xa7d47f53,0x553ea3fa,0x7d53ea3f,0x1fd53ea3,0x66fe49f5,
    0xfb8fe64c,0x07e47f33,0xf85ff1df,0x5f107f25,0xccef8813,0x99df13fd,
    0x33be27fb,0x9df13fdc,0x3be27fb9,0x337c9f5f,0xfeca989f,0x0ff654c1,
    0x307fb2a6,0xa983fd95,0x92fc1fec,0x3f92fc3f,0x7c3f92fc,0x5fcc7f25,
    0xff33f9af,0x3ea5dddd,0x1fd53e23,0x88fea9f1,0x7c47f54f,0x27c47f54,
    0x54bdddf9,0x7d4fea3f,0x56f83f23,0xf92fc5ff,0x3ffbdd83,0x3bbbbfe6,
    0xddddff32,0x3bbbfe65,0xdddff32e,0x3ee7f25d,0xf99be3fd,0x3ffbbf24,
    0x3ffbbf21,0x3ffbbf21,0x3ffbbf21,0x3ffbbf21,0x43fb37c1,0x6f87f66f,
    0x366f87f6,0x3afffa1f,0x4c0bf10f,0x7ccfea5f,0x2fccfea5,0xa97e67f5,
    0x7d4bf33f,0x7d403f23,0x27d4bf25,0xf337c1fb,0x43fb37cb,0x26ace8fa,
    0x17e205f8,0x3e205f88,0xffd9f605,0x13fa9be0,0xf88fe4bf,0x2fc47f25,
    0xc97e23f9,0x7e4bf11f,0x7fedff41,0x3ff6ffa1,0x3ff6ffa1,0x3ff6ffa1,
    0x07bffe21,0xe87539fb,0x3a0ffbcf,0x3a0ffbcf,0x3a0ffbcf,0x3a0ffbcf,
    0x320ffbcf,0x2f3fe00f,0xb7ff10ff,0x5477c1ff,0x36ffa5fa,0x3a7f11ff,
    0x4e7ec6cb,0x54e7ec3a,0x1d4e7ec3,0xb8ea73f6,0x21ffcacf,0x10ffaaef,
    0x23ff95ff,0x1ffcaff8,0x3ff95ff1,0x3ff2bfe2,0xff95ff11,0xfbeffa83,
    0x3efbfea1,0x3efbfea1,0x3efbfea1,0x4402fe21,0x260ffffd,0x74c1effe,
    0x7f4c1eff,0x7ff4c1ef,0x77ff4c1e,0x2666fe41,0x507bffa6,0x7c1f7dff,
    0x2a0eff9e,0xb91fbeff,0x36217fd4,0x3620ffff,0x3620ffff,0x3620ffff,
    0x3f20ffff,0xfd0ffcff,0xffb83dff,0x3fee1fbe,0x3fee1fbe,0x3fee1fbe,
    0x3fee1fbe,0x00101fbe,0x01001001,0x0980064c,0x01100220,0x00440088,
    0x7ffe4022,0x400880ff,0x00801000,0x2004c000,0x2004c009,0x02002009,
    0x20020020,0x00800800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x73039973,0x55405559,
    0x00e5ca60,0x4c055400,0x80542a02,0x531a98aa,0x85442a81,0x01f6000a,
    0xdcb88153,0x306aa01c,0x542a2039,0x40e65cc0,0xa84cccca,0x88015504,
    0x50a882cb,0x540aa801,0xf5000bdc,0x502aaa65,0x3ea59999,0x77d44eee,
    0x7fb04ffe,0x0fffefc8,0xb007fff4,0x09df507f,0x7d41f7b6,0x8fee4fab,
    0x5deb85f8,0x04f8e4c0,0xfff30fdc,0x0ff207ff,0xdeb807f2,0x27777d45,
    0x1bbffbf6,0x3ba60bfa,0xbfdff300,0xd80bbd70,0x7eefe43f,0x9f219506,
    0x7e41fffc,0x01fd4fff,0x260dd374,0xa8dfc81c,0x00ccc43f,0x13910393,
    0x03991039,0x3e2164b2,0x25c0bee6,0x01c8fe40,0x45fd0fdc,0x4c1c9818,
    0x702acfda,0x2601fd09,0x2540fb4f,0x87f40ee0,0x404b81fc,0x2e6f81c9,
    0x571fc81f,0x7cc03f90,0xd037df94,0x5971374d,0x10fc8771,0x15315435,
    0x981ccb98,0x31541ccb,0x15315415,0x20fd1fc8,0xa981ccb9,0x5102acfd,
    0x13ea3fb9,0xc8155530,0x20ffffff,0x7e439729,0xd8fe41be,0x80aaa987,
    0x7c40aaa9,0x2a3fdcce,0x4d40bc89,0x8ff40bc8,0x01fc80fd,0x4c05cfe4,
    0x13ffae4f,0x545fddf7,0x24feffde,0xc97e00fc,0x3bbbea1f,0x27777d44,
    0x3e1fc97e,0x9f307f25,0xddf509f3,0xffff909d,0xeffa81ff,0x2e5f71ff,
    0x3fff22cc,0x3203f901,0x2e0fffef,0xd9f64ffe,0x3fff23cf,0x41fffc81,
    0x2eeeeff9,0xf1bfffbe,0xfa8dfffd,0x3f902fef,0x80fffc80,0x0ff984f9,
    0x4106ef7a,0x07e4f77c,0xd0fe4bf0,0x007f401f,0xbf0fe4bf,0x67f40fe4,
    0x000fe80f,0x3be203f9,0x47f23f70,0x1fc84ffe,0x166ff644,0x0fea37f2,
    0xb3ec3fe6,0x03f90bdf,0x17e20fe4,0x83f67ff0,0x441fb3ff,0xf903fffe,
    0x067fdc03,0x53574f98,0xaaaef8ff,0x6576d4c0,0x5f803f27,0xbefc87f2,
    0x81befc81,0x5f87f25f,0x3fee07f2,0x037df905,0x7f301fc8,0x22fb8fdc,
    0x41fc84f9,0x44eefee9,0x2e3510fc,0x3f67fa9a,0x0fe40fb0,0x9fb03f90,
    0x2e6f8753,0x1fb9be1f,0x07fa23fa,0x77dc07f2,0x753e601f,0x7e41efff,
    0xbf51ffff,0x7e4999fd,0x1fc97e00,0x5c27ff5c,0x92fc4ffe,0x3f92fc3f,
    0x5c05ff10,0x3f204ffe,0x7dc7f501,0x27ccbf31,0x1fb80fe4,0x3fa01f90,
    0x4bee1eff,0x807f207d,0xffd881fc,0xfb9be0ff,0x31fb9be1,0x641fd49f,
    0x3f91301f,0x35127d40,0xa7cc9f30,0x1880d95d,0x80fecdf0,0xff300ff9,
    0x43fb37c1,0x2207f66f,0x1ff3006f,0x7d407ee0,0xefd87f64,0x1fc84fcb,
    0xc853bf50,0x21b6200f,0x2afebff8,0x3f201fc8,0x37c2f401,0xf737c3f7,
    0x366bfe23,0x401fc81f,0x755e41fc,0x7d42ec1f,0xdb2fc99d,0xb0537ff3,
    0x3f6ffa0b,0x3ea6ae1f,0x3fd4d5c7,0x87ff6ffa,0x21ffdbfe,0x2e01feb9,
    0x2a07fa9a,0x7fc429df,0x7e41ffdb,0x36aa2eff,0xffd80abf,0xd003f20f,
    0x3fffa607,0x2ff6aa7f,0x2ff6aa0a,0x40bf980a,0x6f87ee6f,0xfffa87ee,
    0x99bf902f,0x2ff6aa39,0x07fff90a,0x3ffee07f,0x36bfe63e,0x503f85ff,
    0x743f7dff,0x7f41efff,0x7fd41eff,0x3fea1fbe,0x3bf21fbe,0x77fff401,
    0x07ffec01,0x07efbfea,0x7fffc044,0x320602ff,0x0400c00f,0x5ffffff0,
    0x17fffffc,0x737c2fd8,0x3f737c3f,0xffc80110,0xffff2fff,0x000085ff,
    0x00022000,0x004c4008,0x80080131,0x26200000,0x0200c000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa8298aa,0x14429810,0xd951aba8,0x64c00059,0x02a3503c,
    0x372a014c,0xc887262c,0x541664c2,0x55302a62,0x14c1f715,0xaaa82aa0,
    0x0150a802,0x2a83332a,0x8510aa60,0x29814429,0x220f7260,0x2ea02cca,
    0x0a85442c,0x5f810a98,0xfffa83f2,0xbb1fee4e,0xb4fffe88,0xfb09ffdd,
    0xeefa83ff,0x0fdec85f,0xf904efa8,0x1fd4bddf,0x5e7dc9f1,0x3f92fc5e,
    0x5d9fffc8,0x7ec0bfe2,0x01bffe23,0x88bf1bf3,0xf92ffffe,0x7f95079f,
    0xd8ff72ec,0xb84efa85,0x7e46ffff,0xffd85fee,0x85deb87f,0x7c6efef9,
    0x2e103f25,0xfa9ea20b,0x1010fec0,0x833310df,0x20bf26f8,0x89c881cb,
    0x8237c41c,0x4d3e23fa,0x23e9988f,0x6407f25f,0x0ff41c9f,0x0df00e4c,
    0xfb06e170,0xeffe8449,0xf51fe884,0x1f53d441,0x21c89c88,0x3fd88ef8,
    0x7e41fb02,0x812e030c,0x25f81750,0x3226a0fc,0x2f8bd40b,0x5f8806f8,
    0x2a05554c,0xa993f22f,0x4c1540aa,0x5407fe22,0x6653e23f,0x3e6acfe8,
    0x7e407f25,0x65ca6001,0xa980df01,0x037c40aa,0x6cc045ba,0x17a82f8d,
    0x1555305f,0x17e62fb8,0x743fd953,0x55555407,0x405554c2,0xef83f25f,
    0xdb4c6fff,0x2e05f885,0x7fe40efc,0x74cfdc1f,0x3fff25ff,0x23dc3741,
    0x7d42effd,0x5ded3e23,0x325f9e67,0x003f901f,0x07fff7e4,0x3ff2037c,
    0x2027cc1f,0x324ffdee,0xd305d9df,0x7ffe4176,0xdf10fe41,0x0fff77e4,
    0xfffe80ff,0x3fff20ff,0x83fa6f81,0x501fb3ff,0x40bf101f,0xf904feec,
    0x8efcfc83,0x641fc86f,0x2e1b2537,0x8fea5ffe,0x4d95d4f8,0x7ecdf0f8,
    0x2603f901,0x7d46fe42,0x1dd16f83,0x4fa83f90,0x3f4eff40,0x7d400fa8,
    0x360fe400,0x5f8bfc1f,0x01fd87f2,0x3f209f90,0xffebff81,0x41fb9be3,
    0x7c418af8,0x905fb005,0x14ffb83f,0xb83f90bf,0x05d8fe8f,0x1fd4bfa6,
    0x3eaf69f3,0x2ffa79ac,0x3f901ffd,0x7e45ff10,0x2df03510,0x1fc82ffa,
    0x3fa02fcc,0xaf881f90,0x335f1018,0x3f20fe40,0xaff8afc2,0x3fea1ffc,
    0x0bf505bb,0x7ffc0fe4,0xb9be7f9c,0x7f46ec1f,0x5c017e21,0x4c1fc82f,
    0x320fea5f,0x7fd7d41f,0x97e404eb,0x5cfea4f9,0x54995b76,0x901fbeff,
    0xc87fa03f,0x366f800f,0x441fc80d,0xc9ba00ff,0x7f46ec0f,0x4fe9dd81,
    0x4fa83f90,0xeffb93ea,0x7ff541fb,0x200ff886,0x20df81fc,0x1fb9be08,
    0x87f323ea,0x755705f8,0x03f901ff,0x20ff57fd,0x777cc1fc,0x2f663fed,
    0x3fe0ffca,0x33a0feab,0xb080fb88,0x100fe40b,0x6f800fc8,0xf703f900,
    0x3745b99f,0x647d41f9,0xb07d41fc,0x3e07f20b,0x080ffbef,0x403ee0bb,
    0x0fe401fe,0xb9be02fc,0xdf17f11f,0xf82fc4bf,0x5541dfff,0x3a20abfd,
    0x6d540eff,0x9ff10abf,0x7fcc5ff5,0x7f4c1eff,0x7fec41ef,0x033e201e,
    0x0157fb55,0x2a201f90,0x5502aefa,0xeb8157fb,0xc9ba1eff,0xdf17f10f,
    0xd89fc4bf,0x5fed540d,0x3bffa20a,0x2033e601,0x99df904d,0x5fed5419,
    0xdf017e0a,0x265c8fdc,0x817e22f9,0x3fffe009,0xf00882ff,0x7c5fffff,
    0x3103ff1f,0x01001100,0xfff0ff60,0x47905fff,0xfff500fc,0x3ffe0fff,
    0x20102fff,0x2e43f26e,0x72e45f33,0xffff8fff,0x200102ff,0xd00882fd,
    0x7c1fffff,0x002fffff,0x00000000,0x00000000,0x00000000,0x22000000,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x65c06060,0x2b33222c,
    0x666664c1,0x0007262c,0x07262c88,0x20e54079,0x2166543c,0x701accc8,
    0x004b8ea5,0x361e665c,0x54c1d43f,0x10e440aa,0x46aa6059,0x2a0bc89a,
    0x40554002,0x1c983ca8,0x23cccca8,0xbca8802a,0x4c1ca80b,0x72cccccc,
    0x362fcc7f,0xff31feef,0x7fd49fff,0x3ea4ffff,0xf987c802,0x7c3fb99d,
    0x26f8819e,0x3fff62fb,0x3fffe64f,0x4b94e84f,0x3fe2007e,0x20fdc5ef,
    0x7ffe41ff,0x9f31fcc1,0x3ebfff70,0xdd0efffe,0x6c1fec00,0x1fc86fff,
    0x26ffffc8,0x77fd406f,0x3ffaa1ff,0x5565ed42,0x3ffffa4c,0x2197e20f,
    0x03fd34f9,0x22bea0fb,0x3fa1f204,0x20ffffff,0x5c3fffff,0x8d45f8af,
    0x4d3e67f8,0x273e61fe,0x400fd1de,0x7ecc6dfa,0x3f203a83,0x9f31fcc1,
    0x3ff86f88,0x401ba7f9,0x0cfc81c9,0x2acfda98,0xf82667f2,0x5c3be206,
    0x0bf3be1f,0x953df795,0x22fe67d4,0x49f303f9,0x507d84fa,0xaa88dfdf,
    0xbf31aafe,0xef87f733,0x7741feb9,0x33f401fc,0xf9a7d49f,0xfd7fffff,
    0x236ef400,0x555540b9,0x4c1fc82a,0xf313e63f,0xa7ccdf07,0xaa86a66e,
    0x037c2aaa,0x1ffffff9,0xc8df81f2,0xfb8fe60b,0x2a17dc61,0x7c92bee4,
    0xadfc89f6,0x233bf60a,0x3faa65f8,0x0fff622a,0x3fffffe6,0xf955bf13,
    0x13ea6f85,0xf9809ff5,0x2233bf65,0x1fcbe25f,0x442fccfd,0x403cfdaf,
    0x40fffffe,0x31fcc1fc,0x37eea29f,0x7ccdf1aa,0xd1be6dd4,0x221fffff,
    0xc82efdef,0xceffc81f,0x9bfffbe0,0x207ee3fa,0xc9a542fb,0x7c9f64ae,
    0x8fffffee,0x6f89effe,0xd97fffee,0x87c802ff,0x2ffffff8,0x447f537c,
    0xd1019fe9,0x4f7ff43f,0x227e66f8,0xffb9fa2f,0x4efdbe41,0x84fc8053,
    0x31fcc1fc,0x3fffea9f,0x7d4df3ff,0x01df1dd3,0x9ff327e4,0x1fc85fd9,
    0x26fecca8,0x2a1fb3ff,0x2e07f64f,0x67c6542f,0x26fee4a8,0x981fcc5f,
    0x3613ea4f,0x802fba87,0x2a4f887c,0x754f7c2f,0x3bffb60f,0x217f440e,
    0x653ea4f9,0xd2efeefe,0x6fc26c4f,0x503f46d9,0x307f20bf,0x2627cc7f,
    0xfaaef83f,0x01fddd0f,0x93e62fd4,0x00fe44f9,0x2e6f8ff4,0xfb7ff11f,
    0xa85f703f,0xfc92a58c,0x1fcc5fff,0x0bf64f98,0x017d41f6,0x527c4254,
    0xeffff85f,0x0cff4c42,0x3e60bfa2,0x7ed4bf64,0x0fd2cfdc,0x8dffff50,
    0x01ff107d,0x47f307f2,0x41fcc3f9,0x3a1effff,0xff100fee,0x3e66f881,
    0x6c00fdc4,0x0fdcdf1f,0x03f9dff5,0xd9ca85f7,0x277ea950,0xbfb34fb9,
    0x3be63999,0x0fb05ffc,0x873337ea,0x10aaaaaa,0x3e17d49f,0xfffd009e,
    0x677f41ff,0xf9df31cc,0x8f56b8bf,0xd84cccfe,0x3ecabf66,0x3f201fe8,
    0x6d55fcc1,0x7c1fcc2f,0xdf3dd00e,0x3603fd01,0x541feacf,0x2eae29df,
    0xfb9be6fd,0x5c3f7081,0x951cdfdc,0x0c8a5491,0xffffb8e4,0xbfff32ff,
    0xfa83ec07,0x3fe3ffff,0x9f11ffff,0x01be17d4,0xffff83ec,0xbfff33ff,
    0xd1eed907,0xf88fffff,0x0c5fff63,0x866677e4,0x30abfdaa,0x309ff77f,
    0x740df07f,0xefc8bf76,0x3ae20ccc,0xfffb02ff,0x833fffa1,0xb807ee6f,
    0x3ffffa1f,0xfffff53f,0x0000009f,0x00000000,0x00000000,0x00000000,
    0xfffe8000,0xfffff0ff,0x7f30005f,0xb3740df0,0x7ffff47f,0x0600100f,
    0xf737c022,0x000fdc03,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f332000,0xa8799502,0x800f261c,0x32e4a83b,
    0x0ca865c0,0x221cc880,0x64472a3c,0x001ccccc,0xcc80e644,0xcccc81bc,
    0xb81971cc,0x333332e4,0x22ca8f20,0x64c1bccc,0x664c1acc,0x9952cccc,
    0x66654999,0x5913224c,0x22c88722,0x7302cca8,0x2a62a859,0x54165c40,
    0x17ffffe3,0x449fddfb,0x9807f66f,0x4f70db2e,0xf937c2fc,0x47ff9003,
    0x27ff0ff9,0x2ffffff9,0xffb805d1,0xbffdff05,0x7fffffc4,0x27cc9f52,
    0x41ddffdb,0x7c1ff15f,0x3ea4ffff,0x3ea4ffff,0xf94fffff,0x3f21ffff,
    0x3fe67fff,0x31fcd3e2,0x7f77e49f,0x2ffffd45,0xf30fe4bf,0x7fc4bfdf,
    0x997ecdf3,0xfc83fa4f,0x3e605f9a,0x4d90d91f,0xc93e64fa,0x7efcc01f,
    0x3e6ffe63,0x3a66663f,0x407fd10f,0x4bf07efd,0x1ff100fd,0x80fe87f4,
    0x3f6bf07d,0x0ff8afc2,0x07fa67f5,0x403f21f6,0xdff300fc,0x263f9a7c,
    0x21fb024f,0x2fd88ef8,0xfd0fe4bf,0x7fc47f21,0xaa7ccdf2,0xf88bee3f,
    0xdf701fde,0xd939be41,0x45f737c4,0x4f7401fc,0x3373ea3f,0x0bf304ed,
    0x337e09fb,0x3f65f81f,0xfa85fb00,0x0fb04f9b,0x3e13eb7e,0x1fd43f65,
    0x90fb09f5,0x403f201f,0x29f1fdf9,0x313e63f9,0x3ea3fd95,0x92fd3ea3,
    0x333be23f,0x6f8623fd,0x4f7ccfee,0x7fdc3fc8,0xb81bf904,0xd8b91fb7,
    0x1fc8fd0f,0x8fe67ee0,0x4eaefafa,0x3f203fb0,0x3e6bea0d,0x3fdcef84,
    0x3fa09f70,0x20fb00fd,0x5df06fef,0x11fd4bf9,0xf90fb0bf,0x5fe4999b,
    0x3ebe62aa,0x3bbe69f5,0x3bf24fee,0x47f51ffe,0x7e4bf4f8,0xddddff31,
    0x7ee7fc05,0x7ffffec6,0xc827fd42,0x7c7dc0df,0x5fdc5daf,0x80fe45f8,
    0x5c7f34f8,0x30bd1ff7,0x077dc0bf,0x3e1be1f9,0x440effef,0x9ff500ef,
    0xfef83ec0,0x89ffff06,0x21be23fa,0xeeefc87d,0x97ffff25,0x4f9fcaf9,
    0x9fddddf3,0x31fc97e2,0x6f9fd4bf,0x02fc47f6,0xcefff8f9,0x1fc9a980,
    0xb807f7f4,0x3abea0ef,0x6fc45ddd,0x80fe42fa,0x4dfdcdfc,0x42ed76f7,
    0x0bfb01fd,0x81fd55fd,0xfb13ee5f,0x200fe803,0x9f7bf07d,0x41fd1bf0,
    0x213ea3fa,0x900fc87d,0x22be601f,0x47f34fcf,0x95ff14f9,0x5e7f43ff,
    0xfb7fd0ff,0x54e7ec3f,0x00df1363,0x2fee3f44,0x3fea05fa,0xdf79bf51,
    0x81fbfd09,0xfffb01fc,0x45eeffff,0x85f98bb0,0xff983fe8,0x2fc3ffff,
    0x027dc7f5,0x41f603f4,0x5f83fd5f,0xb1fd4bf5,0xf90fb05f,0x4c03f201,
    0x269ffb2f,0xfb93e63f,0x3a61fbef,0x3fea1eff,0x3f621fbe,0xdf010fff,
    0x2ffccb80,0x0ff43fe2,0x3fea5d30,0xfc84ff89,0xccdfc86f,0x647f301c,
    0x0fec6d86,0xafb81744,0x77c5fa99,0xff10ffca,0xfd039999,0x0abfaaa0,
    0xbf1be6bf,0xcdfa87f4,0x90fb05ff,0x7e4999bf,0x3e65f300,0x7cc7f34f,
    0x00880084,0x4004c002,0x6fff406f,0xdf51fe41,0xfd3fcc00,0x907ff307,
    0x205fffff,0x361b23f9,0x4001be26,0x7fc7e87d,0x3fe61cef,0x7e83ffff,
    0x1fffffd0,0x7c9f92fc,0x7fd53ee5,0x21f603df,0x90fffffc,0xe8be601f,
    0x7cc7f34f,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0e65cc00,0x2e22cba8,
    0xc983b8ac,0x44d43b89,0x1ba880bc,0xaa820000,0x98aa2aaa,0xb706c81a,
    0x14c15459,0x262a8153,0x554c3972,0x510d440a,0x545cccc3,0x0016e4c3,
    0x01980950,0x157502a6,0x4440ba88,0x5d440888,0x15107700,0x41110151,
    0xd84eeefa,0x37aa7fff,0x3e24feff,0x3e4fedfd,0x7546fffe,0x34b83ebc,
    0x1f72ec19,0x43fffffa,0x3a0df36e,0x0fcab80f,0x7dcf70dd,0xefc97e23,
    0xfff90fff,0x3f63fd03,0x3f7ffb21,0x7fbbf13f,0x3605b9e4,0x1056e107,
    0xfde81ffd,0x83fffe26,0x11ffffff,0xf985fddd,0x7cdfcc2f,0xe87fff43,
    0x433f200f,0x4f77c821,0x4d71fb6b,0x221fb3ff,0x22eaefae,0x5c5e8cf8,
    0xf904fbdf,0x077c7749,0xfb930088,0x6c94df23,0x22fb9be2,0x43fa8dfc,
    0xbef981fc,0x7e4fe43f,0x2f4f75d9,0x207f53f7,0x9b9db07d,0x880fcb8f,
    0x21fc846e,0x70999999,0x79b17a1f,0x7cdfcc1f,0xf90ccc43,0x80fd037d,
    0x27caeda9,0x4f95f95d,0x6547ee6f,0x364abcd9,0xff701f96,0xdd17ea09,
    0xeeea81fd,0x57f33eee,0x3fa3ee3f,0xe8fe45d8,0x1a887e47,0xffb80fe4,
    0x36d97c86,0xb13a1f76,0x77543f2d,0x3223eeff,0x0fb81dff,0x7d427fdc,
    0x4cccccc5,0xf52ecf70,0x8af893a1,0x3fae002f,0xf503fc4f,0x6c999fdb,
    0x7c999f94,0x4e547ee6,0x5ba4a8ee,0x5ffb80fd,0x7740ff88,0x777540fe,
    0xdbf33eee,0x3febea3f,0x4e7cc4eb,0x2007e44f,0x7ff301fc,0xb6db2f90,
    0x6c1feff8,0x3baa1f96,0x3ae3eeff,0x0fb84fff,0x6fdc5f70,0x7fffffc0,
    0x45fbdf31,0x0987ea3e,0xff300013,0x5d80ff41,0x3e5760d9,0x447ee6f8,
    0x22dcad9e,0x545f8cf9,0x7f45fbcf,0x0ef9ee81,0x22aa0110,0xdbddf30a,
    0x1f9fd07f,0x7e400fc8,0x83fdfd01,0x89b6d97c,0x54fdc0ba,0x2e0fb02f,
    0x3e259dbb,0xfbd33fff,0x1ffffccd,0x98111111,0x044041cc,0x54d5c000,
    0x5dffdc7f,0x2ffe7b65,0x3fa7ee29,0xfb9be18b,0x1726bae1,0x9b06d572,
    0xcefc875c,0x3eedd0cc,0xea81fd05,0x9ff13eee,0xff705ff5,0x2a01f90b,
    0x320abfda,0x320ef9af,0x755b6d97,0x5cf23eee,0xd901f605,0x446aaaa0,
    0x555441ab,0x0000001a,0xfffd0000,0xdfff703d,0x7fed7fcc,0x3ef7fa25,
    0x1fb9be5f,0x00016e4c,0x7ffff410,0x1fecdd0f,0x6664c36c,0x7fc7fe2c,
    0xc82ff881,0xfffff00f,0xfb97ea5f,0x6db65f24,0x00599993,0x000012a0,
    0x00000000,0x31000000,0x22001001,0x00044100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x11e54150,0x37777621,0xa82aa00d,0x5555540a,0xddd10aaa,0x0000003d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26fea000,
    0x2bfff34f,0xdbbbb16d,0x30bf203f,0x7fffc1df,0xdd11ffff,0x000003dd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb85c0000,
    0x3ffeaf90,0x2607e603,0x0059101c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04400000,0x1e980593,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_15_latin_ext_x[560]={ 0,2,1,0,0,0,0,3,1,1,0,0,1,1,
2,0,0,0,0,1,0,1,0,0,0,0,2,1,0,0,1,2,0,0,0,0,0,1,1,0,0,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,1,0,0,0,0,1,0,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
3,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,3,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,1,
1,-2,-1,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_15_latin_ext_y[560]={ 11,0,0,1,-1,0,0,0,0,0,0,3,8,6,
8,0,1,1,1,1,1,1,1,1,1,1,3,3,2,4,2,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,12,0,3,0,3,0,3,0,3,0,0,
0,0,0,3,3,3,3,3,3,3,1,3,3,3,3,3,3,0,-1,0,5,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,11,3,0,1,1,1,
-1,0,0,1,1,3,6,6,0,0,0,1,0,0,0,3,0,5,11,0,1,3,0,0,0,3,-2,-2,-2,-2,
-2,-2,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,3,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,0,0,
-1,0,-2,0,1,3,-2,0,-2,0,-2,0,-2,0,-2,0,1,0,-1,0,-2,0,-2,0,1,3,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-2,1,0,-2,0,-1,0,-2,0,1,0,-2,3,1,0,-2,0,1,0,3,-2,-2,1,
0,0,0,1,0,1,0,-2,0,1,3,-2,0,-1,1,3,-1,0,-2,0,-2,0,1,3,-2,0,1,3,-2,0,
-2,0,-2,0,1,3,-2,0,1,1,-2,0,1,1,-2,0,-1,0,-2,0,-2,-1,-2,0,1,3,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-4,-3,-2,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_15_latin_ext_w[560]={ 0,4,6,8,8,9,9,3,6,6,8,8,5,6,
4,8,8,8,8,7,8,7,8,8,8,8,4,5,7,8,7,6,9,9,8,8,8,7,7,8,8,7,6,8,
7,8,8,8,8,9,8,8,8,8,9,9,9,9,8,5,8,5,8,9,6,8,7,8,8,8,8,8,7,7,
7,7,7,8,7,8,7,8,7,7,8,7,9,9,9,9,7,6,2,7,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,4,7,8,8,8,
2,8,7,9,6,8,8,6,8,7,6,8,6,6,8,8,8,4,3,6,6,8,9,9,9,6,9,9,9,9,
9,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,7,8,8,
8,8,8,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,7,9,
9,8,9,8,9,8,8,8,8,8,8,8,8,8,9,10,8,9,8,8,8,8,8,8,7,8,8,8,8,8,
8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,8,7,7,8,7,8,8,7,7,8,7,7,8,8,7,
7,10,10,8,10,8,7,8,8,8,7,8,8,8,8,7,8,8,8,8,9,9,9,9,9,8,8,7,9,8,
8,8,8,8,8,7,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,9,9,8,7,9,9,9,9,
9,8,8,8,8,8,8,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,8,9,9,10,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_bold_15_latin_ext_h[560]={ 0,12,5,10,14,12,12,5,15,15,7,8,6,2,
4,13,11,10,10,11,10,11,11,10,11,10,9,11,10,6,10,12,15,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,13,10,11,10,11,10,10,10,10,10,14,13,14,6,3,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,11,11,8,9,11,9,8,8,8,12,8,14,16,14,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,13,10,10,10,
16,13,4,11,8,8,4,2,8,4,6,10,7,7,4,11,13,4,3,7,8,8,11,11,11,11,13,13,13,13,
13,13,10,13,13,13,13,13,13,13,13,13,10,13,14,14,14,14,14,8,14,14,14,14,14,13,10,12,12,12,
12,12,12,13,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,8,12,12,12,12,12,15,14,15,
12,12,13,12,13,11,14,12,14,12,14,12,14,12,13,12,10,12,12,12,13,12,13,12,13,11,13,12,14,15,
14,15,14,15,14,15,13,13,10,11,13,11,12,11,13,11,13,14,13,8,11,15,14,15,14,15,8,13,13,14,
15,11,11,10,11,10,11,13,11,14,12,13,11,12,14,12,13,12,14,12,14,12,11,9,13,11,14,12,13,11,
14,12,14,12,13,11,14,12,14,14,13,12,10,11,14,12,13,12,14,12,14,13,14,12,13,11,13,11,13,15,
13,13,11,13,11,13,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,15,13,12,15,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,14,12,14,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_bold_15_latin_ext_s[560]={ 251,251,240,222,177,145,191,250,27,69,185,
176,250,90,250,72,175,104,204,158,65,79,61,83,220,10,250,250,29,215,92,
249,76,100,110,30,164,182,190,122,207,138,248,146,57,74,198,77,1,53,155,
203,173,212,47,37,19,128,119,213,10,245,231,80,73,216,201,9,113,242,27,
9,87,176,140,44,10,151,38,225,36,95,125,1,70,234,115,105,141,82,73,
186,1,228,46,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,251,250,19,
131,122,195,4,36,38,221,98,55,55,90,46,247,224,167,208,201,64,122,89,
251,251,194,160,167,140,58,48,249,107,117,145,155,165,175,240,1,185,203,240,
222,66,38,1,29,140,47,10,28,37,46,82,64,1,118,136,154,172,75,186,
128,245,236,227,218,209,241,18,95,182,173,164,155,184,131,68,21,109,131,91,
82,73,64,55,89,37,28,19,10,1,148,207,158,221,212,10,192,56,86,223,
156,55,138,100,120,163,231,212,201,213,118,100,240,194,46,20,103,81,193,231,
94,190,113,28,131,19,122,46,86,136,127,176,39,98,113,85,166,63,184,45,
215,27,133,18,7,242,95,10,34,81,194,185,199,61,229,239,231,10,158,240,
102,211,37,175,74,202,183,109,112,232,129,1,147,232,165,166,28,129,1,181,
28,175,149,145,45,127,54,111,158,91,92,73,64,55,101,149,140,19,136,83,
36,236,63,219,223,203,72,148,231,64,193,203,103,92,120,52,139,1,157,104,
150,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,166,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,51,42,213,18,16,193,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,168,1,73,64,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113, };
static unsigned short stb__consolas_bold_15_latin_ext_t[560]={ 14,1,137,113,1,76,76,118,1,1,137,
137,111,146,42,48,101,114,113,101,126,114,114,126,89,126,101,18,126,137,126,
48,1,126,126,102,126,126,126,89,126,126,89,126,126,126,126,102,126,48,126,
101,126,101,126,126,126,126,126,1,48,1,137,146,146,126,76,137,89,126,114,
89,114,89,1,114,114,137,137,126,114,114,137,137,114,126,137,137,137,89,137,
1,1,1,146,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,14,30,48,
113,113,113,1,48,146,101,137,137,146,146,137,137,137,113,137,137,146,101,48,
126,131,137,137,137,101,102,102,61,48,48,48,48,48,48,113,48,48,48,48,
48,62,62,62,62,113,62,18,18,18,18,18,137,18,18,18,18,18,62,113,
76,76,76,76,76,76,33,137,102,76,76,76,76,89,89,102,102,76,101,76,
76,76,76,76,137,76,76,76,76,76,1,18,1,62,62,62,62,62,102,18,
62,18,62,18,62,18,62,48,62,113,76,76,62,48,76,62,62,48,89,48,
62,18,1,33,1,33,1,33,1,48,48,113,102,48,102,62,101,48,101,48,
18,48,137,114,1,18,1,33,1,137,33,33,18,1,89,101,113,102,113,89,
33,89,33,62,33,89,62,18,62,33,62,33,62,18,62,89,137,33,102,18,
89,33,89,18,89,18,89,33,89,18,89,18,18,33,89,113,89,18,76,33,
89,1,89,1,33,1,89,33,101,33,101,33,1,33,33,114,33,114,33,102,
101,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,33,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,1,1,33,89,1,1,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,1,89,18,18,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114, };
static unsigned short stb__consolas_bold_15_latin_ext_a[560]={ 132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_15_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_15_latin_ext_s[i] + stb__consolas_bold_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_15_latin_ext_t[i] + stb__consolas_bold_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_15_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_15_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_15_latin_ext_x[i] + stb__consolas_bold_15_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_15_latin_ext_y[i] + stb__consolas_bold_15_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_15_latin_ext_s[i] + stb__consolas_bold_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_15_latin_ext_t[i] + stb__consolas_bold_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_15_latin_ext_x[i] + stb__consolas_bold_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_15_latin_ext_y[i] + stb__consolas_bold_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_15_latin_ext_LINE_SPACING
#endif

