// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT        238
#define STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_20_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_20_latin_ext_LINE_SPACING          13

static unsigned int stb__consolas_bold_20_latin_ext_pixels[]={
    0x093f29f9,0x2aa60010,0x00185001,0x04000000,0x8002a600,0x80013aa0,
    0xbd700ded,0x86eeee98,0x10099998,0x00276400,0x01999980,0x110013b2,
    0x07f52fb8,0x20f5cfa6,0x66764018,0x3f29f94f,0x2a027ec5,0x7f9004ff,
    0x75c00fea,0xfe8802df,0x013f200d,0xe8800fe8,0x000df73f,0x7d4037f6,
    0x3ffe65fe,0xffffa87f,0xc806fc85,0x6d404fef,0x3ffffe04,0x04fefc80,
    0x7f46ffb8,0x7f40dfb5,0x3ffe86fe,0x29f9bfb0,0xf8fff4fc,0x4776207f,
    0x47ff205d,0x3a202ff9,0x202ffeef,0xff802ff9,0x00df3007,0x37dd7fe6,
    0x3015cc00,0x2e0faa9d,0xfecc987f,0x200ffe85,0x405d73ea,0x33fe04fd,
    0xd73ea84c,0x1effd405,0x00e4c726,0xb701bdb1,0x9bfb05ff,0x7553f29f,
    0x300175c3,0x0ffe60bf,0x3f603ff7,0x5c41fe24,0x05d5003d,0xc800b260,
    0x800df71e,0x0001efe9,0x7dc07fb8,0x0004ea85,0x3e04fd80,0x2001000f,
    0x800003fd,0xc85fb800,0x9f94fccf,0x3f6e0000,0x0bfd02ff,0xbf503bf6,
    0x5db05f70,0x0002009f,0x6fb80001,0x3603bfe2,0xffb85e9e,0xfb84ffff,
    0x002fdc07,0x4fe83fe4,0xfffffff5,0x1007fc7f,0x5ffffffb,0x7fc83fd0,
    0xfd889fd0,0x4c2fffff,0xfccfc86f,0x17f29f94,0x3fa209fb,0xfa86ffff,
    0x85ff100f,0xf51131fe,0x09d3bb09,0x7ffffec4,0x7ffec42f,0xfff72fff,
    0x9bee9fff,0x1bb00efe,0xffff70bb,0x0ff709ff,0xfff35fb8,0x0bfe60ff,
    0x3fea3ff3,0x23ffffff,0xbff100ff,0xf03dfff9,0x42ff983f,0x3fe21ff9,
    0x41efffcd,0x3f2107f8,0x17f29f94,0x3ff209fb,0x6c5fffaa,0x127ec05f,
    0x5fffd1df,0x19db10bf,0x3f37fe20,0x3fe21eff,0x71efffcd,0x29ffffff,
    0x01ffb6fb,0x800fffcc,0x07fb84fd,0xfff9afdc,0x917fa07f,0x813f60df,
    0x4df700ff,0x3ff00ff9,0x6fc8bfd0,0x1ff337dc,0xfc80ff10,0x17f29f94,
    0x5ff109fb,0xf83ff7ee,0x537dc03f,0x3ffbf97f,0x3ddd30df,0xff99bee0,
    0xff337dc0,0xf74fd801,0x1003ff7d,0x27ec0015,0x3ee03fdc,0x2a07fb85,
    0x40ffe0ff,0x03fe04fd,0x07fe27e4,0x3ea03fe2,0xf90ffe0f,0xff01ff89,
    0x4fcdfa83,0xb17f2131,0x21ff509f,0xf11ff8fd,0x0ff9803f,0xfd1ff3f9,
    0xfff90df1,0xff13f207,0x7fc4fc83,0xfba7ec01,0x36203fff,0x801effff,
    0x07fb84fd,0x3fdc2fdc,0x7fd4ffe0,0x7c09fb00,0x23ff500f,0x3b2a0ffa,
    0x54ffe05f,0x8ffd40ff,0xff900ffa,0x3f2bf25b,0xfd8bf904,0xdf16fb84,
    0x03fccffa,0xf3fb1ff8,0x21be3fed,0xf506fffe,0x503fea3f,0x03fea3ff,
    0x3bee9fb0,0xdf100efd,0x803fffbb,0x07fb84fd,0x3fdc2fdc,0x27edbf20,
    0x7fc09fb0,0x3ffffe00,0x02ffdc2f,0x827edbf2,0x02ffffff,0xb6cfff62,
    0x8bf904fc,0x56fc84fd,0x7c53fa7f,0x8ffc400f,0x1ff5f9fe,0xfbff88bf,
    0xfffff00f,0x3fffe05f,0x4fd802ff,0x0bff1df7,0x07ff1062,0x7fb84fd8,
    0x7dc2fdc0,0x7cffcc07,0x817f601f,0x9bf700ff,0xfd730399,0x7cffcc0b,
    0xccdfb81f,0x56ff401c,0x3534fc81,0x09fb17f2,0x743f6df7,0x300bfe3f,
    0x3e7fa1ff,0x44f9ef8d,0x82ff8efb,0x01cccdfb,0x03999bf7,0xb7dd3f60,
    0x36004ffa,0x427ec04f,0x2fdc07fb,0x7f403fdc,0x3fe406fe,0x3f601ff0,
    0x01fe6003,0x360dfdfd,0x3fe2003f,0x7e53f200,0x4fd8bf94,0x26f8ffa8,
    0x013f62ff,0x7cff4ff7,0x41fdefce,0xb0bfb4fd,0x0ff6007f,0xfba7ec00,
    0x260bff26,0x04fffffd,0xeeeba7ec,0xfb85eeff,0xb807fb85,0x7d403fff,
    0x3fe3edff,0xdffff700,0x03fe017b,0x703fffb8,0x17bdffff,0xfc80ff10,
    0x17f29f94,0x9ff309fb,0xb83fe69f,0xb27ec06f,0xffbffd1f,0x3ee3ff0b,
    0xeffffb87,0x7ffdc0bd,0x6c00bdef,0xfe8df74f,0x33bfea1f,0x7f404fec,
    0xffffff94,0x2ebf70df,0x5eeffeee,0x001fff10,0x7c7ffff9,0xfdff300f,
    0x3fe0dfff,0x03ffe201,0x7fff7fcc,0x407f886f,0x329f94fc,0xe827ec5f,
    0x5fe89fff,0xf9817fcc,0x2e2bf21f,0x4ff30571,0x7fcc1ff9,0x4c6ffffe,
    0x6ffffeff,0x80027f40,0x027ec5fd,0xb8000ffe,0xfffff95f,0x3fe20dff,
    0x204cc004,0x87fd00ff,0x1ff81ffa,0xe813fe20,0x20ffd43f,0xa7e407f8,
    0x27f404fc,0xffefff88,0x41ffc80f,0x2fd45ff8,0x555df900,0x43fe89ff,
    0x0ffa1ffa,0x7fc03ff5,0x3a02eb83,0xa93fea5f,0x2607fee0,0x02fdc05e,
    0x3f620bf2,0x05d7000e,0x3fe603fe,0x7407fd42,0x1dfb101f,0xf50bfe60,
    0x406f981f,0x409f94fc,0x3ee02ff9,0x3600dfff,0x03ff60ef,0xd0310bfe,
    0xdfffffff,0x3ea17fcc,0xa85ff30f,0x7dc150ff,0x201fe81f,0xfffeeffc,
    0x3fffbfa4,0xb809f505,0x71be605f,0x4003ffff,0x01ff01fe,0x3f737ffa,
    0x41bfb04f,0x401ffffb,0xffdcdffe,0x202fec44,0x989f94fc,0x6406ffee,
    0xfd1001af,0x5407fee9,0x43fdceff,0xcaaabff8,0x37ffa0ff,0x7f44ffdc,
    0x24ffdcdf,0x05fffefe,0xffd880ff,0x3f24fbbf,0x3f203eff,0x5ffffa82,
    0x5c33fea0,0x7c000dff,0x3ffffe07,0x3ffff220,0x3ffe602d,0x001bff76,
    0x5bffff91,0x401fffe8,0x989f94fc,0x7c00dfff,0x10e88007,0xffd9803d,
    0x437dc0cf,0x3f223ff8,0xc882dfff,0x642dffff,0x0003efff,0x00000310,
    0x27777540,0x0007ff20,0x77774000,0x9100000e,0x000000bd,0x320033b6,
    0x0009f94f,0x00000000,0xe827ec00,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03eea800,0x2aa62aa6,0x0a885440,0xa800ca80,0x2e9803ee,
    0x0010dd40,0x00355300,0x2206aa60,0x985effeb,0x3ba20542,0x0eeeeeee,
    0xa9803530,0x2ea03511,0x00ee0021,0x1a980bb0,0xb0035530,0x37f620bd,
    0x05ff7000,0x7fd57fcc,0xfecef882,0x400fc800,0xf7003ffa,0x6fffec03,
    0x37f6206e,0x00bfee00,0xf107ff50,0xd0ffffff,0xf31bf29f,0xffffffff,
    0x05fff503,0x077e7f44,0x376fffec,0x400ffe60,0x3fea05f9,0x05ff702f,
    0x3d906fe8,0x1bd3009d,0x74c6ec40,0x3ffea00d,0x500fb002,0xfd950015,
    0x366b2079,0x27b202ff,0x0eecc04e,0x901dd980,0x073115ff,0x217ee5fb,
    0x99dfd999,0xec8ce981,0x037b6201,0x17fecd64,0xb80bfe20,0xd302fffd,
    0x2603d919,0x1bfa01dd,0x00275764,0x00000000,0x80077544,0xffe885f9,
    0x0000ffff,0x009d5d90,0x3fa00000,0x00102005,0x00000bfb,0x22000000,
    0xffffd100,0x000000df,0xdb105fd8,0x20ff901b,0x83dd14fe,0x3ba20ee9,
    0xb10774c1,0x100fffff,0x7ffb05f9,0x744195df,0x40774c1e,0x5c00ded8,
    0x2e00cefd,0xfd80cefd,0xdfb7002f,0x05fd8019,0x00cefdb8,0x0bdffd71,
    0x8033bf6e,0x23efedb8,0xfffaaffc,0xeffeb885,0xd307ba25,0xd12fec1d,
    0x30ee983d,0x1ff985ff,0xff983ff1,0xf307fe20,0x7f7ff41f,0xfffb107e,
    0x3e7ff03f,0x983ff104,0xeee980ff,0xffffd101,0xffe883df,0x7d41efff,
    0xe880bfff,0x01efffff,0xfe8817f6,0x441effff,0x47ffffff,0xefffffe8,
    0xffffe981,0x2e5ff16f,0x3e20ffdf,0x227fffff,0x07fcc1ff,0x0ffc4bfb,
    0x5fe83fe6,0x3ff137e4,0x3e20ff98,0xb87fcc1f,0x102f9aff,0x1fffdfff,
    0x03faeff8,0xff983ff1,0x03fffc80,0xffb37ff9,0xd9bffc8b,0xfffb85ff,
    0x5ffe43ff,0x3605ffd9,0x2fff205f,0x7e45ffd9,0x643988af,0x5ffd9bff,
    0xb99bfff8,0x3f61ff54,0x3ff21ff8,0x3e23988a,0x907fcc1f,0x20ffc49f,
    0x3fea0ff9,0xff88ffe0,0xf107fcc1,0xb0ff983f,0x6c07eadf,0x5fffc8ef,
    0x067fffe4,0x3e60ffc4,0x6fffe80f,0x7dc3ff88,0xb87ff10f,0xfeb880ff,
    0x87ff13ff,0xbfb00ffb,0xf70ffe20,0x202ff41f,0x7fdc3ff8,0xb807fee0,
    0x3fadf16f,0xf1017fa3,0x20ff983f,0x07fe24fc,0x3ff81ff3,0x7fc41ff5,
    0xf107fcc1,0xd0ff983f,0x7c03ee9f,0x0ff3ff2f,0x87fffff7,0x7fcc1ff8,
    0x7fdffc40,0x2607fd40,0x81ff52ff,0x7d402ff9,0x981ff56f,0x0bfb02ff,
    0xff303fea,0x5017fec5,0x2ff981ff,0xdf9017fa,0xb27f4fea,0x7fc405ff,
    0xf907fcc1,0x260ffc49,0xdb7e40ff,0x20ffc44f,0x3fe20ff9,0xfc87fcc1,
    0x3fe60f96,0x1ff8cf98,0x4ffffd88,0xff307fe2,0xff8efb81,0x7c43fdc2,
    0xf10ff73f,0x2dfb007f,0x3ff887fb,0x3ee0bfb0,0x2a3ff887,0x5c0bffff,
    0x23ff887f,0xb7dc04ff,0x547fd0fd,0x440bffff,0x07fcc1ff,0x0ffc49f9,
    0xff303fe6,0xff883ff3,0xf107fcc1,0x50ff983f,0x260dd5ff,0xf89fc8ff,
    0xfd3dd01f,0x260ffc4f,0xda7ec0ff,0xf83fe45f,0x3e0ff94f,0xff306e4f,
    0x7fc1ff29,0x320bfb04,0xb89ff07f,0x323fffff,0x229ff07f,0x7fd403ff,
    0x70bfe6f8,0x447fffff,0x07fcc1ff,0xf307fe20,0xdfdfd01f,0xf983ff10,
    0x307fe20f,0x7fffc1ff,0xf9ff87de,0x3e01ff37,0x7fc4ff95,0x3e07fcc1,
    0xfb8ff71f,0x3ee7ff07,0x7fc7ff07,0x70ffffff,0x40ffe0ff,0x0ff705fd,
    0x3ae20ffe,0x0ff73fff,0x1ffc4ffe,0x53f3fe60,0xeb880ff9,0x3ff13fff,
    0x3aa0ff98,0xf307fe22,0x7fff701f,0xf983ff10,0x307fe20f,0x7fe441ff,
    0xfefe87ff,0x5644bfd4,0x25ffacf9,0x7fcc1ff8,0xff99fe60,0xf107fee1,
    0x107fee5f,0x7fff45ff,0x3fee1dff,0xd817fc41,0x83ff705f,0x7d402ff8,
    0x883ff76f,0x017fe2ff,0x3a27fffa,0x6ffa805f,0xff983ff1,0xff89ffe0,
    0x4407fcc1,0x5ff00fff,0x2ff87fa8,0xdf983fd4,0xfdfff301,0x7ffc43ff,
    0x7c0fffff,0x323fd42f,0x4ffaaaef,0xff50bfe6,0xf50bfe63,0x2013303f,
    0x7fd42ff9,0x5ff30001,0xd801ffa8,0xa85ff36f,0x03ffa1ff,0xffdfff10,
    0x9bf6001f,0x23fd42ff,0x217fc5fd,0x9ff107fa,0x3f62ff40,0x7ec5fe85,
    0x9805f505,0x440dffff,0x0bdfffec,0x2fec5fe8,0x3ffffffa,0x99fff46f,
    0x9fff45fe,0x3ae05fe9,0x267ffd02,0x0bae05fe,0xfd33ffe8,0x7fcc1b8b,
    0x74cfffa4,0x0f7fd45f,0xffffb873,0x7cc1b80d,0xfb17fa4f,0x8bfd030b,
    0xefd885fd,0x3bffea00,0xffa80ffe,0x700ffeef,0x1cfa803f,0xa801f700,
    0x0ffeefff,0x2aaaffe2,0x3fea0ffc,0x540fffff,0x0fffffff,0x7d407fa0,
    0x00ffffff,0xffa807fa,0x7c0fffff,0x0fffffff,0x3fffffea,0xffffc80f,
    0x0d7e46ff,0x3fffffe0,0x3ffea0ff,0x5000ffee,0x1ffddfff,0x00ffffdc,
    0x0f7fffd4,0x3dffff50,0x36007e40,0x01f6001f,0x0f7fffd4,0x3fe21bee,
    0x6ffff4c3,0xbfffd300,0x4c07f801,0x400dfffe,0xffe9807f,0xfffe80df,
    0xfe981dff,0x3aa00dff,0x3fc3efff,0xfffffe80,0xffffa81d,0x7fd4001e,
    0x7fdc1eff,0x00c4000d,0x14c00620,0x02a80000,0x9fb00c40,0x01817fa0,
    0x000000c0,0x18000003,0x40013300,0x00018001,0x88004cc0,0x01880001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa9800000,0x0d54c01a,0x26002aa0,
    0xbddd901a,0x2a14c059,0x742f7440,0x0aa2980e,0x530009d7,0x98aa9803,
    0x554400aa,0x1510a882,0x54015500,0x1ee82aa2,0xbd913b20,0x3a17ba21,
    0x200ee00e,0x03defdc8,0x2a000000,0x7fd403ff,0x077fec03,0xb05fff50,
    0x0bffffff,0x237e53fa,0x7fc3fff8,0x5fcdfc80,0x2a002fe4,0xff302fff,
    0x8805ff55,0xef880efe,0x7ec00fec,0xbdf500ef,0x202ff87f,0x8ffe65fd,
    0x7fc2fff8,0x407ff300,0x7ffffffb,0x001dfd10,0x4c01dfd1,0x6ecc01dd,
    0x6cd76401,0xd919d305,0xdb9dfd83,0x72fd82ff,0x6fff88bf,0x7ec407fc,
    0x02fe40df,0x3d919d30,0xde98dd88,0x404ec800,0x6402fffa,0x2a05d9ae,
    0x02ff83ee,0x45fe97f6,0x7fc6fff8,0x205ff100,0xb99aeff9,0xefbfe885,
    0x013fa200,0x00000000,0x449fb000,0x808103ff,0x3e2ffff8,0xbf90000f,
    0x00000004,0x00000000,0x0bfe0000,0x1ff95fd8,0x22ffff88,0x802200ff,
    0x31000efe,0x98802621,0x7ff5c400,0x307ba25e,0xfb9101dd,0x0f7447bd,
    0x27ec3ba6,0x1ee88ffe,0xff88774c,0x203fe6fc,0x23defdc8,0x3ffeadfc,
    0xeeeeee88,0x0cefdb84,0x77f6dc40,0x19dfb703,0x77f6dc40,0xefedb883,
    0xfd80bfe3,0xf882ff9d,0x03fe6fcf,0x8f7bf722,0xd7002ff9,0xdddd3009,
    0x7fffc40d,0x07fe27ff,0xffb81ff3,0x3e27ffff,0xd87fcc1f,0x0ffd99df,
    0xff307fe2,0x3fe7fe21,0xffb81ff1,0x3f27ffff,0x43fffffe,0x6ffffff9,
    0x3fffffa2,0xfffd301e,0xffe88dff,0xe981efff,0x4c6fffff,0x26fffffe,
    0x37f602ff,0x1ff105fe,0x703fe5ff,0x4fffffff,0x55510ffa,0x9805fc85,
    0x3207ffff,0x23988aff,0x7fcc1ff8,0x26bbfe60,0x07fe25b9,0x3ff61ff3,
    0x7c41dfff,0x887fcc1f,0xff5fd8ff,0x4d77fcc1,0x37ff25b9,0x3330dfd0,
    0x7fe4dfb3,0xf05ffd9b,0x897337ff,0xffd9bffc,0x99bfff85,0x4dfffc4b,
    0x80bfe4b9,0x101ffffd,0x3edf71ff,0x2bbfe60f,0x9fee5b99,0x320ffffb,
    0x3fdc005f,0xf880bfd0,0xd07fcc1f,0xff8801df,0xfd87fcc1,0xf884ffef,
    0x887fcc1f,0xf8ff98ff,0x003bfa0f,0x7fd41df9,0xf8b7e400,0x207fdc3f,
    0x7c401ffb,0x707fdc3f,0xffb803ff,0xb017fc01,0x220dfdbf,0xfbff88ff,
    0x003bfa0f,0x37261ff7,0x097f20ff,0x3607fb80,0x3fe202ff,0xf987fcc1,
    0x1ff8802f,0x4fd87fcc,0xff885ff5,0xf887fcc1,0x1ff9fd0f,0x3200bfe6,
    0x00ffcc5f,0x07fd5bf2,0xbfd0bfe6,0x981ff500,0x017fa2ff,0x3fe017fa,
    0x3e77f602,0x70ff884f,0x3e61ffdf,0x1ff9802f,0xbf907fcc,0x5c07fff7,
    0x3ffea07f,0x0ffc40bf,0x7fd43fe6,0x44555510,0x87fcc1ff,0x11bfa4fd,
    0x0ff983ff,0x3fea1ff1,0x21ff50ff,0x3f22aaa8,0x2007fcc5,0x10ff76fc,
    0x04ff87ff,0xff887fb8,0x3e013fe3,0x02ff804f,0x0ffe57f6,0x7fc43fe2,
    0x21ff50ff,0x3e22aaa8,0x907fcc4f,0x3fffffff,0xf701fee0,0x7c47ffff,
    0xb87fcc1f,0x3fffee7f,0xf983ff10,0x7d49fb0f,0x307fe22f,0x83fe21ff,
    0xff70fffe,0xc87fffdc,0x403fdc5f,0x20ff96fc,0x0ffe24ff,0x7fc1ff20,
    0x8807ff14,0x2ff803ff,0x7fc57f60,0xf707fc46,0xb9fee1ff,0x3f20ffff,
    0x41ff30bf,0xff88dffc,0x100ff703,0x227fffd7,0x87fcc1ff,0xfb930ffb,
    0x307fe21f,0xf13f61ff,0x20ffc4bf,0x1ff10ff9,0xfb87ffdc,0x1ffb930f,
    0x5ff897f2,0xff76fc80,0xff88ffe0,0xf07fb803,0x00ffe27f,0xff007ff1,
    0x36bfffff,0x893fea5f,0x3ffe20ff,0x3261ff70,0x3fa20ffd,0x20ffffff,
    0x13f60efc,0x2a003fdc,0x83ff16ff,0x3ff30ff9,0xff10ff98,0xfb0ff983,
    0xf11ffb89,0x10ff983f,0x7ffc41ff,0xf983ff30,0xfddff90f,0xdf9001ff,
    0xff107fee,0xb805ff85,0x17fc41ff,0xbff00bff,0xffffff00,0xfb17f6bf,
    0x703fe23f,0x07fe61ff,0xff901ff3,0x5fc89fff,0x7fb827ec,0x3e6fd800,
    0xf13fd42f,0x20ff989f,0x03fd42ff,0xfa85ff00,0x3fe20007,0xfc87fcc4,
    0x000cffff,0x0bfe6bfb,0xffe83ff5,0x217fcc00,0x3ffa1ffa,0x007ff400,
    0x50000000,0x227fc4ff,0x26200ff9,0xfd8bf900,0x5c0ff704,0xfd27fcc1,
    0x7e45fd8b,0x41ff30bf,0x82fec5fe,0x17fa02eb,0x175c0bfb,0x2617ff90,
    0x11bf90ff,0x3fe61980,0x74cfffa4,0x1effa85f,0x27ffd0e6,0x7fd45fe9,
    0xffa8e61e,0x3a60e61e,0x00175c05,0xff91bf62,0x403fe617,0x17f202eb,
    0x1fee09fb,0xfffffff8,0x3bffea0f,0x7f440ffe,0x20ffffff,0xffeefffa,
    0x5403fd00,0x0ffeefff,0xe8807fa0,0x0fffffff,0x3ea00bf9,0x2a0fffef,
    0x0fffffff,0xffffff90,0xfffffa8d,0xfffc80ff,0x7fe46fff,0xfa86ffff,
    0x000ff404,0xe885fff5,0x0fffffff,0x7e403fd0,0xfb827ec5,0x3ffffa07,
    0xfffa81df,0x3ff201ef,0xffa84fff,0x1fe01eff,0x3bfffea0,0xc803fc01,
    0x324fffff,0xffd3005f,0xffd303df,0xfea801bf,0xfe983eff,0x3aa00dff,
    0xea83efff,0xfc83efff,0x2003fc02,0x3f202efb,0x3e04ffff,0x362fe407,
    0x3fbbae4f,0x13305eef,0x10006200,0x00310013,0x00062000,0x70131000,
    0x0030009d,0x0018000c,0x80060006,0x00000001,0x00262000,0x362fe400,
    0x3ffff24f,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x46a60000,0x0f7441a8,0x54c03ba6,
    0x7fffd401,0x0a85302f,0x5fffff50,0x306aa600,0x3006a235,0x03530039,
    0x00554550,0x54c1aa98,0xc8803511,0x00200efe,0x400aaa20,0x553002aa,
    0x4c000803,0x072601aa,0x3f3fa200,0x20ffc40e,0xffa80ff9,0x3bba602f,
    0x29fd01ee,0xddd306fc,0xff5003dd,0xdf9fd107,0x406fe801,0x5402fffa,
    0x5004fdef,0x9fd107ff,0xffd801df,0xefe980ff,0x1dfd1001,0x003dfb00,
    0x74c07ff5,0xffa801ef,0x9037f403,0x1bdb109f,0xf983ff10,0x64674c0f,
    0xfb00001e,0x00017ee5,0x4403bb30,0xfd800ded,0x3233a605,0x1f75401e,
    0x201dd980,0x4c00ded8,0x4f6c03ff,0x09d9005e,0x20033ae0,0x76c01dd9,
    0x6ecc05e9,0x305fd801,0x10003fff,0x0ff983ff,0xefdb8000,0x1010200c,
    0x0ee983dd,0x30000000,0x00000000,0xf7000000,0xbb1bb00d,0x00000000,
    0xbb1bb000,0x40300000,0xee88fff8,0x0eeeeeee,0xff983ff1,0x3b60bd90,
    0x3ffffa23,0x417b21ef,0x83ff13ed,0x3bb20ff9,0xd15eeeee,0x641dd0bd,
    0x5eeeeeee,0x0fa605d7,0x059bddd9,0x3b200f74,0x05eeeeee,0xff300bfb,
    0xddd7003f,0xeeec85dd,0x5ee882cd,0xff980ee8,0xd82f641f,0x3bbbaa3e,
    0x85442eee,0xfffffff9,0x83ff11ff,0x5ff30ff9,0x3f21ffa8,0x25ffd9bf,
    0x7fd42ff9,0xf983ff11,0x3ffff60f,0xfff16fff,0x3f60ff87,0x96ffffff,
    0xb13ea07f,0x0bffffff,0xffb00bfe,0x20dfffff,0x131004fe,0x3ffffe00,
    0x7fffec3f,0x7ffc45ff,0xa8807fc3,0x542ff980,0x3ffee1ff,0x9803ffff,
    0x199dfd99,0xff307fe2,0x3fa37ec1,0xf70ffe25,0x3a37ec1f,0x307fe25f,
    0x555541ff,0xff15ffca,0x2a0ff8df,0x5ffcaaaa,0x13ea07f7,0xffb73bfb,
    0xa805ff05,0x5ffcaaaa,0x3bbffbb2,0x362fe43e,0xdfdf504f,0x9dfd8133,
    0x3e22ffdb,0x107fc6ff,0x83dffffb,0x22ff46fd,0x99dfd998,0x82fec000,
    0x7fcc1ff8,0x7d47fe60,0x303fea1f,0x8ffcc5ff,0x3fe21ffa,0x2007fcc1,
    0xfff10ffe,0x2007fc5f,0x07f70ffe,0x49fb0fee,0x2ff83ff8,0x20ffe800,
    0xfffffffd,0x3f62fe44,0x0df7fb04,0x7ff127ec,0xf17fffc4,0x6ef7c41f,
    0x3fe61fff,0x6c03ff51,0x4072605f,0x3ff105fd,0x7ec0ff98,0x7fb8bfd5,
    0x7ec3ff88,0xff88bfd5,0x7007fcc1,0x67fc45ff,0xb803fe6f,0x4d3ee2ff,
    0xfd87f72e,0x7fc1ffc4,0x17fdc002,0x3201ff88,0x4427ec5f,0x3606f9ef,
    0xf11ffc4f,0x07fcdf9f,0x43ff8831,0x80bfd5fd,0x3ffe05fd,0x3e05fd80,
    0x4c37d42f,0x641ffbff,0x989ff07f,0x441ffbff,0x07fcc1ff,0x7c44ff98,
    0x1ff1ff9f,0xf513fe60,0x17dd7f29,0x3f6677f6,0x002ff80f,0xf9813fe6,
    0xb17f200f,0xf37f709f,0xdfd8399f,0x220ffd99,0xff1ff9ff,0x989fb001,
    0x401ffbff,0xfff105fd,0x740bfb05,0xd827ec5f,0x7fb85fff,0xffb07ff0,
    0x83ff10bf,0xdfd00ff9,0xfd8ff881,0x3fa01ff5,0xffa7d40e,0xffd85f97,
    0xff01dfff,0x077f4005,0xfc80ff50,0x7f427ec5,0x42ffff98,0x1dfffffd,
    0xafec7fc4,0x7fecc0ff,0xffd84fff,0x05fd805f,0x3f60bfea,0x3bffea05,
    0xff301efe,0x83ff703f,0xff982ff8,0x41ff881f,0xffb80ff9,0xf98ff881,
    0xfb80ff8f,0xf9df981f,0x6c1fcaff,0x204ffeff,0xff7002ff,0x406fb803,
    0x227ec5fc,0x55ff36f9,0xffeffd81,0xf98ff884,0x3ea0ff8f,0x84feccef,
    0xd801fff9,0x03fe205f,0xfd5017f6,0xfe801bff,0xa85ff305,0x0bfd01ff,
    0x1fea17fc,0x7c413fe6,0x1ff9fd0f,0xf304ff98,0xf99f5f7b,0xff54fd83,
    0x200bfe05,0xfd804ff9,0x3a2fe405,0x656fe44f,0x553f606f,0x87fc42ff,
    0x360ffcfe,0xe827ec5f,0x0bfb005f,0x3609fb31,0x09f7005f,0xfe817f60,
    0x40bfd33f,0x17fa05fd,0x0dfd0bfb,0xffa87fc4,0x037f40ff,0x3feddbf1,
    0xd27ec0fd,0x00bfe0df,0x3e201bfa,0x8bfe401f,0x3fe24ffd,0x3606ffff,
    0xf11bfa4f,0x3fffea1f,0xffa97fa0,0x200bfb04,0x3ffe85fd,0x7c017f60,
    0x0bfb000f,0x7fffffd4,0x817f600f,0xffeefffa,0x4cdffdc0,0x41ff1199,
    0x3ee0fffe,0x119999bf,0x3ff27fff,0xf527ec0f,0x805ff05f,0x9999bffb,
    0x00dff991,0xfdfffff3,0x6556fd49,0xa93f606f,0x83fe22ff,0x3f20fffe,
    0x04fffeef,0x3f600bfb,0x6c009a85,0xdff8805f,0x405fd801,0x00dfffe9,
    0x3ea02fec,0xff81efff,0x17ffffff,0x7ffdc1ff,0x3fffffe0,0x3fff17ff,
    0xfb03ffea,0xff85ff89,0x3e5fffff,0x7fffffff,0x2003bfff,0x4fbbfffc,
    0xfff98bfa,0x3e27ec4f,0xb83fe25f,0x3f620fff,0xb04fbbff,0x7ffdc0bf,
    0x4003ffff,0xfd7005fd,0x00bfb005,0x0bfb000c,0xfff00620,0x22ffffff,
    0x3ffe20ff,0x3fffffe0,0xf1bfe7ff,0xb89fb0ff,0x7fffc1ff,0x3ffe5fff,
    0x337fffff,0x8804c000,0x7fffcc7f,0x3ee27ec4,0x441ff11f,0x01880fff,
    0xfb817f60,0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdd5007d7,0x305ddddd,
    0x103dffdb,0x5c02a215,0x2000cefd,0xeb801aa9,0x4021ba83,0x0eeeedc9,
    0x40006aa6,0x2a601aa9,0x00353001,0x29804375,0x0d54c054,0x01eee980,
    0x55301a98,0x0a853003,0xa9806a60,0xff303511,0xffffb801,0x7fcc3fff,
    0xf882ffef,0x6c40fece,0x01efffff,0x8803ffa8,0x7ffec1ff,0xfffd86ed,
    0x7dc0ffff,0x7fd4002f,0x0bffea03,0x405fff50,0x06edfffd,0x41bf29fd,
    0xfc802ffb,0x7fd403ff,0x05ff702f,0x0df94fe8,0x440bffea,0xd00efcfe,
    0xd998807f,0x7ec099df,0xffa80446,0x9bffc82f,0x6cc05ffd,0x0df7001d,
    0x85ffb359,0xf8cffffc,0x01dd980f,0x4c03bb30,0x301ec8ce,0x203d919d,
    0x02ffd9ac,0x817ee5fb,0x7f401dd9,0x33a606ff,0xbb301ec8,0xfb97ec03,
    0xec8ce985,0x01bdb101,0xfb0037d4,0x007fec0b,0x43ff8800,0x00001ffb,
    0xf0001ff4,0xff19ffff,0x00000001,0x00000000,0x00000810,0x01ff7ff1,
    0x81000000,0x00000000,0x3f6003ff,0x0ffff205,0xeeeeeea8,0x981ff52e,
    0x777442ff,0x2602eeee,0xeeeea87f,0xfff32eee,0x01ff19ff,0x9803ddd3,
    0x3dd01eee,0xdd306e98,0xeee9803d,0x0f774c01,0xeeeeee88,0x7c77dc2e,
    0xeeee882f,0x3baa2eee,0x222eeeee,0x2eeeeeee,0x3bbbbbaa,0x3bbba22e,
    0xbf902eee,0x5417f600,0x81efffff,0xfffffffb,0xff10ff73,0xfffff987,
    0x13f603ff,0x3fffffee,0xfffff13f,0xf901ff19,0xffc807ff,0xa85ff03f,
    0x7fff907f,0x03fffc80,0x981fffe4,0x3fffffff,0x85fda7ec,0xfffffff9,
    0x3ffffee3,0x3ffe63ff,0x3ee3ffff,0x23ffffff,0xfffffff9,0x001ff103,
    0x33fe0bfb,0x441fffd8,0x099dfd99,0x13fe0ff9,0x33335ff3,0x203fe201,
    0x99dfd998,0x33ffffa0,0xffe80ff8,0x7fff406f,0xfa85ff06,0x0dfffd07,
    0x406fffe8,0xf306fffe,0x8133335f,0x30ff71ff,0x133335ff,0x4efeccc4,
    0x26bfe609,0x26620999,0x26099dfd,0x09999aff,0x36013f60,0x23ff885f,
    0x3f606ffa,0xff07fc85,0x001ff987,0x3f6017f2,0x9ffff105,0xff881ff1,
    0xff100ffb,0x5ff01ff7,0xff887fa8,0xff100ffb,0x3e201ff7,0xf980ffbf,
    0x33fcc01f,0x1ff983ff,0x4c17f600,0x3f6001ff,0x003ff305,0xfd807f98,
    0x5c3ffd05,0x0bfb00ff,0xff883ff7,0x000ffcc2,0xbfb005ff,0x467f5c40,
    0x477dc0ff,0x1df702ff,0x85ff05ff,0x8efb87fa,0x1df702ff,0x3bee05ff,
    0xff982ff8,0x5577e401,0x7fcc4ffa,0x417f6001,0x36001ff9,0x03ff305f,
    0xd805fd00,0x9fff505f,0x3601ff71,0x42ff985f,0x7fcc0ffa,0xa80ccccd,
    0x0bfb006f,0x6c0ff880,0x360bfb4f,0xff0bfb4f,0x0ffb999b,0x417f69fb,
    0x20bfb4fd,0x30bfb4fd,0x19999bff,0x7ffffff4,0x66ffcc6f,0xbfb00ccc,
    0x3337fe60,0x0bfb00cc,0x33337fe6,0x037dc00c,0xffa817f6,0x3605ffff,
    0x27ffd05f,0xff985fe9,0xe81fffff,0x0bfb003f,0x7c0ff880,0x3e0ff71f,
    0xff0ff71f,0x0fffffff,0x41fee3ff,0x20ff71ff,0x30ff71ff,0x3fffffff,
    0x2aaaffe2,0x3fe60ffc,0xb01fffff,0x3ffe60bf,0xfb01ffff,0x3fffe60b,
    0x7c401fff,0x7fffdc1f,0xfc883fff,0x3f600eff,0xfffff505,0x7ff301df,
    0xf9815555,0x0bfb000f,0x260ff880,0x307fe67f,0x20ffccff,0xfcaaacff,
    0xff33fcc7,0x3e67f983,0xf33fcc1f,0xabff983f,0x0df70aaa,0x7fcc7ff1,
    0xb00aaaab,0x2ffe60bf,0xfb00aaaa,0x2affe60b,0xfc800aaa,0x7ffffdc5,
    0x3fe603ff,0x502fec06,0x201bfffd,0xfd801ff9,0x017f6004,0x7e41ff30,
    0x44ffaaae,0xffaaaefc,0x3ea17fc4,0x55577e47,0x577e44ff,0x7e44ffaa,
    0x44ffaaae,0x3f601ff9,0x7ccbfd04,0x17f6001f,0xb000ffcc,0x07fe60bf,
    0x007fc400,0xfb003fa2,0x805fd80d,0x7fcc05fc,0x00ffc401,0x4280bfb0,
    0x7fff47fc,0x7f46ffff,0x46ffffff,0x23fd42ff,0xfffffffe,0x7fffff46,
    0x7fff46ff,0x7cc6ffff,0xdf30001f,0x000ffcc1,0x3fe60bfb,0x417f6001,
    0x20001ff9,0x1fe403fd,0x3ff7337a,0x402fec03,0x41dabffb,0x7e401ff9,
    0x02fec005,0x7ffd9df5,0x5555ffc4,0x7ff10ffc,0x41ff9555,0x13fd42ff,
    0xf95557ff,0x2affe21f,0xf10ffcaa,0xff95557f,0x000ffcc1,0x7fcc2fd8,
    0x417f6001,0x36001ff9,0x03ff305f,0x203fd400,0x3ffa4efc,0xff704fff,
    0x407fffff,0x4c6ffffe,0x3fffffff,0x3ee00bfe,0x43ffffff,0x43ffffe9,
    0x3ff886fb,0x7ff10df7,0x9fea17fc,0x3ff886fb,0x7ff10df7,0x3fe21bee,
    0x3ffffe63,0xdfe803ff,0x3ffffe63,0x3ffee3ff,0x3e63ffff,0x23ffffff,
    0xfffffffb,0x3ffffe63,0x400003ff,0x4cc45fd9,0x7fffdc01,0x65403fff,
    0xffff983c,0x70003fff,0x7fffffff,0x7ec06620,0x3f6bfd04,0x7fcbfd04,
    0x9fb3fd42,0x27ed7fa0,0x09fb5fe8,0xfff997fa,0x9803ffff,0x3ffe64fe,
    0x3ee3ffff,0x23ffffff,0xfffffff9,0x3ffffee3,0x3ffe63ff,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0xdddd11aa,0x0a885ddd,0x21510151,0x0e4c00a8,
    0x20086ea0,0x4c02aa2a,0x80200542,0x02fffffa,0x0201cb80,0x5fffff50,
    0x00000088,0x50010008,0x405fffff,0x03efedb8,0x3ffae200,0x0080005e,
    0xff31ffd4,0x887fffff,0x880fecef,0x400fecef,0x3ff606fe,0x3ea06edf,
    0x3fa04fde,0x57e4df94,0xe983fffb,0x8801eeee,0x900ff8ee,0x7774c09f,
    0x03fe61ee,0xc81ff300,0x83fffbaf,0xffffffd8,0x777774c2,0xffffd301,
    0x363fe6df,0x7fc40dff,0x9807ffff,0x304fc85f,0xaff983bb,0xfa809999,
    0x3fea02ff,0x05fd802f,0x0bff66b2,0xd807dd50,0x7e4bf72f,0x01fffffe,
    0x2bfe6000,0x01ffe06f,0x005ff100,0x7e42ffc8,0x21fffffe,0xfffcdff8,
    0x7fc0001e,0xf34b99bf,0x89ffffdf,0x3988affc,0x7c17e440,0xff98007f,
    0x00000001,0x00000060,0xf9020400,0x47ff11bf,0xeeeeeeea,0x75ffcc02,
    0x440baa02,0x2eeeeeee,0xb10007f6,0x11bff90b,0x337dc7ff,0x3ba601ff,
    0x03ff701e,0xfb97ffcc,0x8802ff47,0xb81ffffd,0x3bbbaa3e,0x3ff32eee,
    0xeeeee880,0xeee982ee,0xddddd101,0x17ba25dd,0xeee883ba,0xdd501bce,
    0x325ddddd,0xb93f60ef,0x3fffffff,0x8007fcc0,0x3fffe600,0x0bfb3fff,
    0x0efc8000,0x44fc93f6,0xfff901ff,0x3017fa07,0x07fcc5ff,0xf8805ffb,
    0x00fffeff,0xffffffb8,0x99bff33f,0x7ffcc199,0xfc83ffff,0xfff303ff,
    0x3e27ffff,0x107fc3ff,0x9fffffff,0xffffff70,0xfb17f27f,0x6feccc49,
    0x7fecc099,0x76400fff,0x7fcc0dff,0x5709999a,0xfed88010,0xd8bf91ef,
    0x547fea4f,0xfffd00ff,0x3013fe0d,0xff5003ff,0xdfb017ff,0xb8bfff91,
    0x3f66623f,0xfff3099d,0x7cc3ffff,0x809999af,0xf306fffe,0x2133335f,
    0x7fc6fff8,0x2a6bfe20,0x4cc43ffe,0xf9099dfd,0xfb04fd8b,0x3bffee0b,
    0x3f600fff,0x260ffedf,0x67dc01ff,0xfa84ffe9,0xf92fffff,0x7fc4fd8b,
    0xf102ffff,0xf881ff7f,0x0ffcc03f,0xfffffb80,0x9ff97fc3,0xd827e47f,
    0xabff985f,0x3fe60aaa,0xfbff8801,0x01ff980f,0xf8bfffe2,0xd07fe20f,
    0x42fec0ff,0x827ec5fc,0x4ff885fd,0x7d403fe6,0xf993fa0f,0x7f7dc01f,
    0x3e23ffff,0x7e4661ef,0xbf727ec5,0x7dc03999,0x7c42ff8e,0x0ffcc03f,
    0xfffd7100,0x3e63fe67,0x3f21ff8c,0xf30bfb04,0x1ff9803f,0xff8efb80,
    0x201ff982,0x3e6fcff8,0x507fe20f,0x17f603ff,0x09fb17f2,0x3fee17f6,
    0x6c03fe60,0xf337dc4f,0x419999bf,0xbfd1effb,0xf900ffd4,0x3f64fd8b,
    0x6d3f6003,0x405ff85f,0x50001ff9,0x23fe6dff,0x21ff89fc,0x0bfb04fc,
    0xf9803ff3,0x40ccccdf,0x30bfb4fd,0x19999bff,0x47fe7fe2,0x07fe20ff,
    0x3f605ff3,0x7ec5fc85,0xf90bfb04,0xd00ff98d,0xffffffff,0x7fffffcc,
    0xc83fee1f,0x901ff26f,0x2e4fd8bf,0x0bdeffff,0x0ff71ff8,0x7cc01ffb,
    0x3f60001f,0x4dfe7fe6,0x413f20ff,0x1ff985fd,0x7ffffcc0,0xb8ffc1ff,
    0xffff987f,0x1ff11fff,0x883febfb,0x1ffc41ff,0x5fc85fd8,0x5fd827ec,
    0x7fcc5fd8,0x999bff00,0x5ffcc999,0x3ee0aaaa,0xff937dc7,0x7ec5fc80,
    0x3ffbfe64,0x33fcc6ff,0xeffa83ff,0x0ffcce61,0x3fe60dc0,0x753fbfa5,
    0xd82fec5f,0xffff985f,0x3fe63fff,0x260aaaab,0x307fe67f,0x155557ff,
    0x3fe63fe2,0x3fe20ff8,0xd817fcc1,0x3600005f,0x546fc85f,0x09fd00ff,
    0xb803ff30,0xf737dc7f,0x7ff0001f,0x3fea1ff4,0x2aabbf21,0xfffd84ff,
    0xf0006fff,0x1fffffff,0x7ff7ffcc,0xd82fec1f,0xffff985f,0x3fe63fff,
    0x5577e401,0x7fcc4ffa,0x743fe201,0x3e20ffcf,0x80ffd41f,0x175c05fd,
    0x7d42fec0,0x01fff31f,0xf3007ff2,0x47fb803f,0x3bfe66fb,0xffb80260,
    0xfa85ff32,0x3ffffa0f,0xfd706fff,0x5d707dff,0x7fffff40,0xffff980d,
    0xb05fd80d,0x3ba200bf,0xd007fe60,0xdfffffff,0x2201ff98,0xffff50ff,
    0x360ffc41,0x017f606f,0xbfb003fd,0x3ffbffe0,0xfff100ff,0x7cc7fdbd,
    0x23fdc01f,0x7ffe46fb,0xffd02fff,0xdcdffe8b,0x2ffe24ff,0x00ffcaaa,
    0x7f401df3,0x02fe9801,0xfd0073ea,0x4017f60d,0x0ffcc3fc,0x5557ff10,
    0x7fcc1ff9,0xe83fe201,0x3fe20fff,0x02ffeb89,0x0ff017f6,0x7fffffdc,
    0x3bffa63f,0x36200ff8,0x262fffff,0x3fffffff,0x0df71fee,0x03dfffd5,
    0x3f220fbe,0x7dc2dfff,0x703ff886,0x007f807f,0x03fb01fe,0x7fdc9d90,
    0x203fffff,0x3fe63efd,0xf73fffff,0x4c7ff10d,0x3fffffff,0x7fdc1ff1,
    0x3fffe20f,0xffb83fff,0x003fffff,0xffffffb8,0x0000883f,0x3fe60266,
    0x2e3fffff,0x2037dc7f,0x20000001,0x0bfd04fd,0x800003ae,0x000003e8,
    0x7fffffdc,0x97f6603f,0xfffffff9,0x3fa09fb3,0x3ffffe65,0x41ff13ff,
    0x3e20fff8,0x701cefff,0x7fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20795000,0x23762008,
    0x73e984e9,0x4000803d,0x0100ded8,0x03d73e98,0x01555551,0xeb87dd50,
    0xaaa8802e,0xa76c00aa,0x97dc0dec,0x9fd303fa,0x4ec80531,0x21f75400,
    0x74c02eeb,0x3b6201bc,0xfb80ca9d,0x76407f52,0x3fd80004,0x17ffff62,
    0x8077f7cc,0xd886fefe,0x401effff,0x3f205fe8,0x37f7f406,0x1fffff98,
    0xa817fdc0,0x7fcc02ff,0x3f201fff,0xfd01df95,0x77c1bf6b,0x3206fffe,
    0xf7004fef,0x0bfea05f,0x05ffff98,0x3fffffb3,0x1bf6bfd0,0x0027f7e4,
    0x887fc9b5,0x05ecdefe,0xd88037a6,0xdef880de,0x3601fffd,0x07ff403e,
    0x401bdb10,0x4c019999,0x76cc00de,0x0ccccc01,0x13aabd30,0x03931c98,
    0x8066d426,0x805d73ea,0x6cc00de9,0xfd95101e,0xfffff0bf,0x4c72603d,
    0xd73ea81c,0x453f6005,0x007fea4e,0x22008000,0x001ffc41,0x08027540,
    0x00000200,0x20004000,0x40008000,0x20004000,0xb0004000,0xfb1b83ff,
    0x0000003f,0x5409fb00,0xd8801dff,0x6c41effe,0xb001dfff,0xffdb109f,
    0x3620003d,0x441effff,0x41effffd,0x227ec5fc,0x227ec5fc,0x01dfffd8,
    0x03bfffb1,0x0efffec4,0x1dfffd88,0x3bfffb10,0x37fff620,0xbfffb101,
    0x42ff9803,0x86ffffc8,0x927ec5fc,0x504fd8bf,0xffffffff,0xbefffe87,
    0xfffffa80,0x3fffe22f,0x7ecc1fff,0x7d44ffff,0x262fffff,0xf107ffff,
    0x43fffbbd,0xfffddef8,0x9fb17f21,0x27ec5fc8,0xfffffff1,0xfffff883,
    0xfff881ff,0x7c41ffff,0x41ffffff,0xfffffff8,0x7ffffc41,0x7ffc41ff,
    0x2e01ffff,0x3ffa21ff,0x7e41ffee,0xbf927ec5,0xff504fd8,0x07ffffff,
    0x41dfffd7,0x8661eff8,0xdfd51ffd,0x76677fd4,0x87bfe24f,0x3fffe619,
    0xff883107,0x7ff10623,0x13f62fe4,0x24fd8bf9,0xdfd51ffd,0xfd51ffd8,
    0x2a3ffb0d,0x8ffec6fe,0x7fec6fea,0xfd8dfd51,0xd8dfd51f,0x8dfd51ff,
    0x645ffdc9,0x913fe1ff,0x324fd8bf,0x4027ec5f,0x322004fd,0x07fea3ff,
    0xffc87ff0,0x4fd8bfb0,0xb8007fea,0x27ec007f,0xbf927ec0,0x2fe44fd8,
    0x43ff93f6,0x0ffe0ffc,0x3ff81ff9,0x7ff07fe4,0x3fe0ffc8,0xff07fe43,
    0x3e0ffc87,0x507fe43f,0xff819fff,0x3f237ec3,0xbf927ec5,0xfd804fd8,
    0x3fe60204,0xf301ff22,0xd1ffa83f,0x927fd4bf,0x7fb800ff,0x3ffff660,
    0x7ffecc4f,0xb17f24ff,0x6c5fc89f,0xa83ff34f,0x83ff31ff,0x3fe61ffa,
    0xf98ffd41,0x98ffd41f,0x8ffd41ff,0x7fd41ff9,0xfa83ff31,0x441bea1f,
    0x23fdc2ff,0x927ec5fc,0x804fd8bf,0x3bee04fd,0x320ffedc,0x0ffcc07f,
    0x7fe47fe6,0x324fffee,0x3fdc007f,0xecceffa8,0x33bfea4f,0x17f24fec,
    0x45fc89fb,0x83ff34fd,0x3ff31ff9,0x3e61ff98,0x98ffcc1f,0x8ffcc1ff,
    0x7fcc1ff9,0xf983ff31,0x983ff31f,0x41be61ff,0x3fdc2ff9,0x49fb17f2,
    0x027ec5fc,0xff5027ec,0xfb83bfff,0x13fe200f,0x7fec4ff5,0x3ee4fbbf,
    0x1fee000f,0x93f62fec,0x927ec5fd,0x644fe8bf,0xf8a7f45f,0xf13fd44f,
    0x447fa89f,0x13fd44ff,0x27fa89ff,0x3fd44ff8,0x7fa89ff1,0xff513fe2,
    0x43ff8800,0x22fe46fc,0xd17f24fe,0x0bfb009f,0x26013330,0xe8260eff,
    0x0bfd11ef,0xf30ff431,0xb804c1df,0x54bfd07f,0xa97fa4ff,0x45ff24ff,
    0xbfe44ffd,0x3fa4ffd8,0xe8bfd11e,0x0bfd11ef,0x3fa23dfd,0xe88f7f45,
    0x88f7f45f,0x8f7f45fe,0x77f45fe8,0xd98bfd11,0x4c7bfa04,0x8bfe44ff,
    0x5ff24ffd,0xc804ffd8,0x05d7007f,0x7fffffe4,0x3ffffe62,0x27dc00ff,
    0x7fffffe4,0x320ff702,0x4fffeeff,0x3ffbbff2,0x3fffe64f,0x7fcc4fef,
    0x264fefff,0x0fffffff,0x7fffffcc,0xffff980f,0x7fcc0fff,0x4c0fffff,
    0x0fffffff,0x7fffffcc,0x7fffcc0f,0x7fec0fff,0xfdfff502,0xfff981ff,
    0x3e64feff,0x04feffff,0x3edfffa8,0xea803fd0,0x74c1efff,0xc800dfff,
    0xffea84ef,0x3bbae1ef,0x3625eeff,0x24fbbfff,0xfbbfffd8,0x5dfffe44,
    0xbfffc84f,0x7ff4c4fb,0xffd300df,0x7f4c01bf,0xfd300dff,0x3a601bff,
    0xd300dfff,0x2601bfff,0xb80dfffe,0x3fea00ff,0xff900dff,0xfc89f77f,
    0x004fbbff,0x207ffff9,0x400c007f,0x7ec40018,0xffc80c06,0x886fffff,
    0x40031001,0x00260009,0x031000c4,0x22001880,0x80062001,0x00620018,
    0x00c40022,0x02600130,0x00133000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x813b2000,0x705d74ea,0xc80fea5f,0x3baa004e,0x401775c3,0x00aaaaa8,
    0x7dc037a6,0xfd307f52,0x76405319,0x0fbaa004,0xd7005dd7,0x640019df,
    0x0000203e,0x983eea80,0x50298cfe,0xeeb80599,0x3a627442,0xc8003d73,
    0x3f204fef,0x2bfd04fe,0xfdf906fd,0x05ff7009,0xf300bfea,0x2603ffff,
    0xfe80efef,0xddf0dfb5,0x3f20dfff,0xffb804fe,0x405ff502,0x0effeffd,
    0xd909fb00,0x3b201bff,0x2e04eeff,0xfddf02ff,0xfffd0dff,0x3b7e60df,
    0x3a03f60f,0x4fc86fef,0x05d73ea8,0x39302764,0x4faa0726,0x37a602eb,
    0x00f6cc00,0x44066666,0x984e98dd,0x1303931c,0x3aa0336a,0x74c05d73,
    0x0f6cc00d,0xff88ffd4,0xd89fb002,0x20ffedff,0xffeeffe8,0x401bd304,
    0xb819b509,0x82ffa9ef,0xf73f98fc,0x037b6207,0x4403fff3,0x04001000,
    0x00400100,0x00000020,0x00800200,0x00080020,0x226fb804,0x9fb002ff,
    0x9fd07fd4,0x9fb0ffe4,0x80000440,0x20ff63fd,0xf8cf98fb,0x3fe20006,
    0x7ffec40f,0xbffd905f,0x37ffb201,0x1bffd900,0x037ffb20,0x40dffec8,
    0x427ec5fc,0x21effed8,0x1effffd8,0x77fffec4,0x7fffec41,0x7ffec41e,
    0xffd881ef,0x97f21eff,0x3fb206fd,0x13f64fff,0x21ffcdf7,0x7fec44fd,
    0x45fc85ff,0x457f24fd,0xedf981ff,0xfc81fd9f,0x15127ec5,0xecdefe88,
    0xfedffd85,0x76ffec0f,0x6ffec0ff,0x7fec0ffe,0xfd80ffed,0x320ffedf,
    0x2a27ec5f,0x22ffffff,0xfffddef8,0x3f77be21,0x37be21ff,0x3e21fffd,
    0x41fffdde,0xfffddef8,0x3bf2bf91,0xeeffe880,0x3fffa4ff,0xff17ffff,
    0x3a24fd85,0xc85ecdef,0xf327ec5f,0x5c09ff9f,0x903fabee,0x804fd8bf,
    0x7d401ffa,0xfa93fa0f,0xfa93fa0f,0xfa93fa0f,0xf513fa0f,0xf927f41f,
    0x3e24fd8b,0x188661ef,0x8311ffc4,0x10623ff8,0x220c47ff,0x220c43ff,
    0x3ebf93ff,0x43ff903f,0x337fe4fd,0xff34cccc,0x3ea4fd83,0x45fc801f,
    0x7ffe44fd,0x81be2003,0x027ec5fc,0xb00effd4,0x366fb89f,0xfb37dc4f,
    0x3f66fb89,0x3f637dc4,0xbf937dc4,0x3fea4fd8,0x09fb0001,0xfb009fb0,
    0x009fb009,0xfafe53f6,0xd87ff05f,0x1013fa4f,0x24fe85ff,0x6401dffa,
    0xf527ec5f,0x03321dff,0x3f201fd8,0x40627ec5,0x40befffe,0xfffffffe,
    0x3fffffa7,0x3fffa7ff,0x3fa7ffff,0x47ffffff,0xfffffffe,0x9fb17f27,
    0xd9803fe4,0x4c4fffff,0x44fffffd,0x4fffffd9,0x7ffffecc,0xffffd984,
    0x3eebf94f,0x0bfe20ef,0x0ffe49fb,0x7ec57fa0,0x77fff44f,0x6c5fc80b,
    0xff9ff14f,0x7d40ff1b,0x7e41cd9c,0xdfd27ec5,0x3bfffae0,0x33337fe0,
    0x337fe4cc,0x3fe4cccc,0x24cccccd,0xcccccdff,0x6666ffc4,0xb17f24cc,
    0x403fe49f,0xfecceffa,0x333bfea4,0x3bfea4fe,0x3ea4fecc,0x44feccef,
    0xfecceffa,0x7fdcbf94,0xfb07fe66,0x6f7ffc49,0x3ffee3fe,0xeb84ffff,
    0x7e40efff,0x6fba7ec5,0x20ffbff3,0xfeff9ef8,0x9fb17f20,0x8807ffe6,
    0x13fa3ffc,0x3a013fa0,0x04fe804f,0xf9009fd0,0x3ee4fe8b,0x22fec00f,
    0xb17f64fd,0x362fec9f,0xfb17f64f,0x7ec5fd89,0xffa8bf94,0xfe85ff12,
    0x7fffec44,0x5fffe42f,0x3f2204fc,0x3a2fe43f,0x7d4bf94f,0x73f904ff,
    0x7e47f33f,0xdfd27f45,0x22ff9808,0x7e401ffc,0x0ffe401f,0x2007ff20,
    0x7e401ffc,0x4c9ffb17,0xe8260eff,0xe93fea5f,0xe93fea5f,0xe93fea5f,
    0xd13fea5f,0xca7fd4bf,0xd17fc45f,0x13ff62bf,0x84c05fb8,0x3e6024fd,
    0xd8bfe42f,0x41ff74ff,0x4fa82ffd,0x649f11f7,0x89ffb17f,0xedcefb81,
    0x3ffe20ff,0x3e23fede,0x23fedeff,0xfedefff8,0x37bffe23,0x7ffc43fe,
    0x3e63fede,0x44feffff,0x2ffffffc,0x3ffbbff2,0x3bbff24f,0x3ff24fff,
    0x324fffee,0x4fffeeff,0x7ff77fe4,0x3babf94f,0x3fee0ffe,0x204fefff,
    0x3f6001fe,0x3b73bee4,0x7ffcc0ff,0xff14feff,0x1ffffddf,0x99f33744,
    0x7fffcc5f,0xfa804fef,0x881dffff,0x42fffffd,0x2fffffd8,0x7ffffec4,
    0x7fffec42,0xfffd882f,0x7ffe42ff,0xfea84fbb,0x3f621eff,0x224fbbff,
    0x4fbbfffd,0x2effff62,0x3fff624f,0x7ec44fbb,0xf94fbbff,0x207bffeb,
    0x4fabfffc,0x400b7fe0,0x3ffea4fd,0xff901dff,0x74c9f77f,0x6feaefff,
    0x9ff907f2,0xf77fff90,0x04ccc009,0x98009980,0x00998009,0x33000998,
    0x40009801,0x8800c401,0x20031001,0x00620018,0x01300188,0x801ff540,
    0x099983ec,0x31001300,0x40080001,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa7540000,
    0x2e0402eb,0x7640004e,0x2a200403,0xe980aaaa,0xd5003d73,0xff90007d,
    0x76c13fa0,0x0001bd94,0x001e4c00,0x00101322,0xf99fcc00,0x98cfe984,
    0x91002202,0xec87bdfb,0x30002eee,0xfdf909dd,0x917f4409,0xdd5000bf,
    0x2bf2bfff,0xf303fffb,0x3a03ffff,0xfb806fef,0xffd9102f,0x30bfe61d,
    0x2bf903ff,0x9b500efc,0x84fc8000,0xf76eeee9,0x2027e40b,0xbfe404da,
    0xfeef87fb,0x7fec46ff,0xfffb85ff,0x7ff47fff,0xf98002ff,0x013b203f,
    0x2fe4bff5,0x7fffdc00,0xfffdf96f,0x266607ff,0x37b62019,0x806f4c00,
    0x1ffffffa,0x0df917fa,0x013aabd3,0x774009fb,0x3e607f61,0x05fb7fff,
    0x3f603ffc,0xc8964404,0x19b50982,0x766f7f44,0x4d77fcc5,0x0bfe05b9,
    0x003bb100,0x45fb0011,0x200025fc,0x37ff24fd,0x0080dfd0,0x01020020,
    0x540837fa,0x00ffe0ff,0x004fd800,0x805d8bfe,0xa80bb7fb,0x027ec02e,
    0xf5010000,0x0efe803f,0x0017fc00,0x7ffec400,0x6fe4005f,0x9103ffea,
    0x649ffffd,0x03fea0ef,0x4037ffb2,0x220dffec,0xffdafffd,0x2003fe63,
    0x81ff53ff,0x227ec5fc,0xfffffffa,0x00bfe03f,0x0001fee0,0x7fffffd4,
    0x3ffe63ff,0xf75f907f,0x6ffd47ff,0x005ff301,0xf3005ff0,0x3a20ffff,
    0x205ecdef,0x3fbf21fd,0x7443ffff,0x24ffeeff,0x0ffcc5fc,0x3ffb7ff6,
    0x7f6ffec0,0xff9bf30f,0x3ea3ffbf,0x36df9007,0x6c5fc84f,0x7fffd44f,
    0x3e03ffff,0x7fb8002f,0x7ffffd40,0xffff53ff,0x7cc7ffff,0xdf907fff,
    0x743fffff,0x2a0befff,0x555510ff,0x4c017fc0,0xf507ffff,0x17f4003f,
    0x3fa1bff9,0xfb0ffe46,0x3e62fe49,0xe83fea0f,0xe83fea4f,0xafe4114f,
    0x00ff74fa,0x07fe7fe6,0x09fb17f2,0xff0027ec,0x0ff70005,0xffffffa8,
    0x004fd83f,0x3ff20ff7,0x5c3ff88d,0xf70efffe,0x07fffdcf,0x37ee2ff8,
    0x2a0ff700,0x7e401dff,0x83bf22ff,0x0ffe0ffa,0x22fe49fb,0x227ec7fb,
    0x713f66fb,0x4cfee0df,0x400ff75f,0xf906fefe,0x3604fd8b,0x0bfe004f,
    0x101fee00,0x0dff3333,0x7dc013f6,0x6c1df907,0x7ff9104f,0x6e4c3fee,
    0x25ff00ff,0xf703fff8,0x77fff40f,0x777fec0b,0xff317f22,0xfb0bfe23,
    0xff12fe49,0xfffffe8b,0x3fffa7ff,0x36a7ffff,0x5ffffffe,0x7dc00ff7,
    0x8bf903ff,0xffff84fd,0x7fc07fff,0x07fb8002,0xd807fec0,0x0ff7004f,
    0x29fb17f2,0xf33ff980,0x00ff983f,0x3ffe25ff,0xb80ff703,0xf30efffe,
    0x317f207f,0x07fe61ff,0x77fe49fb,0x7fc0fffe,0x24cccccd,0xcccccdff,
    0xbfb9ff54,0x1fee7999,0x00fff880,0x84fd8bf9,0x5eefffee,0x40017fc0,
    0x3ee007fb,0x013f602f,0x5fc83fdc,0xcefba7ec,0xff10ffed,0xf00ff989,
    0x7026d45f,0x3f2200ff,0x203ff53f,0x13fdc5fc,0x24fe87ff,0x0cfffffc,
    0xfe804fe8,0xfb97ec04,0x400ff703,0x3f204ff8,0xfb027f45,0x017fc00b,
    0x9803fdc0,0x2fec04ff,0xf907fb80,0xff54fd8b,0xfc83dfff,0x01ff30bf,
    0xf7000bfe,0x3fe6020f,0x3209ff32,0xd17fe25f,0x93ff61bf,0x64008dfc,
    0x7fe401ff,0x7ecbf601,0x200ff706,0x3200efd8,0x09ffb17f,0xff003fe4,
    0x0ff70005,0x900bff10,0x1fee00ff,0x13f62fe4,0x3a209f93,0x0fffffff,
    0xb8005ff0,0xb9df707f,0x7fec1ffd,0xdff90abd,0xfb81fffd,0x24feffff,
    0xff1005fc,0x447fdbdf,0x3fedefff,0xbfdfbdf7,0x01fee5b9,0x803ffff7,
    0xfefffff9,0x37ffea04,0x00bfe03e,0x3a01fee0,0xffa800ff,0x3bae3edf,
    0x325eeffe,0x6c27ec5f,0x7ffe401f,0x3bba24ff,0x701eeeff,0xbddffddd,
    0x6fffffd4,0x7fffec41,0x9ffffd51,0x2ffff201,0x017f24fb,0xfffffd88,
    0x7fffec42,0x35ffb12f,0x3ee3fffd,0x06ffdc07,0xbbfffc80,0x7ffe404f,
    0x3fffe03f,0xeeb85fff,0xb85eeffe,0x3fffffff,0x47ffff90,0xfffffffc,
    0x9fb17f26,0x4c400bb0,0xfffff880,0xff901fff,0x30dfffff,0xdc980133,
    0x2000881e,0x013ae009,0x4c004cc0,0x83301009,0x000007fb,0x9980004c,
    0x7ffffc00,0xfffc85ff,0xfb86ffff,0x03ffffff,0x000004cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffa80000,0xb527441d,0x6d49d10d,0x7544e886,
    0x3dd05d74,0xec886e98,0x904eeeef,0x7754009d,0x32027543,0x541ff45f,
    0xe985d74e,0x3bba204e,0xa7544eee,0xdfd882eb,0xdfb70388,0xcefdb809,
    0x3fb6e200,0x2aa0003e,0xfb700aaa,0xffdb107b,0x4c32a07b,0x87ec5fba,
    0x0fd87ffa,0x1fb0fff5,0x209fdf90,0x23fd42ff,0xfffffff9,0x4fefc85f,
    0x642ffb80,0xc81ccffe,0xc81ff45f,0xfd304fef,0x3fffe609,0xfefc86ff,
    0xfffdfb04,0xffffd81f,0x7ff440ef,0xe981efff,0x446fffff,0xf81effed,
    0x6c42ffff,0x20dfecef,0x5ffffff9,0xfd73ffc4,0xd111fdc3,0x2223fb8f,
    0x901fdc7e,0x217fc09d,0x4f7f47fa,0x54099ffb,0x4c05d73e,0xffff80de,
    0x45fc83ff,0x13b203fe,0x2605db10,0x906fd999,0xd98c409d,0xa97fdc1d,
    0x5ffe44ff,0xff85ffd9,0x2a4b99bf,0x82ffffff,0x64099999,0x5127d42f,
    0x883ff663,0xdf971fff,0x13f41be2,0xf89fa0df,0x2ff80006,0x3ff33fd4,
    0x00001bea,0x901bee00,0x003fe8bf,0xdf900000,0xf8000080,0x887fdc3f,
    0x07fdc3ff,0x7c403ff7,0x000661ef,0x4f64cfe2,0x3fe600fc,0x54cffdc0,
    0x203fb6fa,0x7407f67e,0x3e607f67,0x40dffd8f,0x73fd42ff,0x9837d4df,
    0xf307ffff,0x81bffb1f,0x0bcb8efb,0x87fd17f2,0xfffffffa,0x1ffffe63,
    0x5f937e40,0xf987fff7,0xff987fff,0x547ffa60,0x17fcc0ff,0xffa80bfd,
    0x7fffcc01,0xff98fb87,0x2e03f8ae,0xb8ff986f,0x03fa9cef,0x901fd5b2,
    0x7cc0fead,0x44ffffef,0x93fd42ff,0x667fd4bf,0x1ffffe62,0x7fff7fcc,
    0x7f77dc4f,0xd17f26ff,0xffffa87f,0x3fe63fff,0xdf9007ff,0x7ffff7e4,
    0x3fffe61f,0x3ee7fa87,0x0ff72fff,0x27fc7ff1,0x2601ff20,0x7c87ffff,
    0x644f85fb,0x2661ffdc,0x0df103fe,0x4401be20,0x3ffe606f,0x2ff8ff72,
    0x4bfb3fd4,0x703ffffa,0x3ffe60ff,0xffb8ff72,0xf92ffcbf,0x221ffc4b,
    0x06ff9999,0x7e401fee,0x2237ff26,0x0ff703ff,0x5ffb1ff7,0x41ff27ff,
    0x07ff14ff,0x5c007fc8,0x1fd6e87f,0x3ffe25e8,0x0fffe2ef,0xfb001fd8,
    0x807f6003,0x3fe62ff9,0xff50bfe0,0x5ff52fe4,0x41fee035,0x3fe62ff9,
    0xff8bfee0,0x3fa2ff93,0x07fec04f,0x3200ff70,0xd83bf26f,0x50ff704f,
    0x3e1dffff,0x3e0ff72f,0x807ff13f,0x2e000ffa,0x3fb6d87f,0x6dd545f8,
    0x401352ff,0x207974fa,0x02dcacfa,0x30f2e9f5,0x5ff003ff,0x9bf27fa8,
    0x7fb806fa,0x7003ff30,0xf94fe8df,0x7ffdffff,0x700bfee0,0x9bf200ff,
    0x827ec5fc,0xfff987fb,0x7dc7fe23,0xf17fc41f,0x1dff00bf,0x87fb804c,
    0x25bff77c,0x037ec04f,0xbff56f88,0x3b76df10,0xfab7c41f,0x00ffcc5f,
    0x9fea17fc,0x0df50ffa,0x3e60ff70,0x46fb801f,0xffff94fe,0xf309ff37,
    0x0ff7009f,0x5fc97f60,0x7fb827ec,0x7d43ff88,0xa85ff30f,0x03ffa1ff,
    0xffffff70,0x2a1fee05,0xf75ff93f,0x266fc803,0xf89fc81c,0x41fc85ec,
    0x44fe41fb,0x7fcc5ecf,0x20aff801,0x53fe27fb,0x7fb806fa,0x7003ff30,
    0xf94fe8df,0xf8818839,0x0ff7005f,0x927fcc33,0x704fd8bf,0x43bf60ff,
    0x7ff44fe8,0xfa8bfd33,0xd30e61ef,0x2e03dfff,0x881dd07f,0xa7fcc06e,
    0x3ea0fff8,0x43df7f94,0x22fdc4fa,0xdf7f94fa,0x400ffcc3,0xffefaaff,
    0x7f7ffe44,0xff705fff,0x2007fe60,0xca7f46fb,0x3ffa004f,0x50ff7000,
    0x41fffdff,0x827ec5fc,0xfff307fb,0xfa81dffd,0x80ffffff,0x6ffffffc,
    0x5c00efa8,0x57df307f,0x77643ff7,0xf50efffe,0xe9ba23ff,0xdd14ffff,
    0xd11aefd8,0x27ffff4d,0xff003ff3,0x209fff35,0xffffffeb,0x3ffbbae5,
    0x07fe65ee,0x9fd1bee0,0x7dc017f2,0x23ffffff,0xeeffeeeb,0x3dfffd35,
    0x27ec5fc8,0xddffddd7,0xdfffe88b,0xbfffd300,0x7fff5401,0x702fc83e,
    0xbddffddd,0x0dfffd98,0x67ffffe4,0xfc9bfa20,0x0fe4bd01,0x7e53fffe,
    0xff98bd01,0x20030001,0x7ffe4018,0x3e66ffff,0x46fb801f,0x009d74fe,
    0x3fffffee,0x3ffff23f,0x20186fff,0x927ec5fc,0xdfffffff,0x006000c0,
    0x01d90060,0x3ffffff2,0x3100606f,0x00001003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x29d00000,
    0xeea802ea,0x1bbbba63,0x883eea80,0x201defec,0x09d704ec,0x06eeee98,
    0x23dffb50,0xee8804ea,0xfc8774c1,0x5c427ec5,0x3a65effe,0x00eeeeee,
    0xd81db971,0xd82f542e,0xee983b25,0x1eeeeeee,0xdfd91000,0x4005ea87,
    0x3f6602ed,0xfefd82df,0x17fdc00f,0x01ffffe6,0x7c417fdc,0x81ffffff,
    0xfc84fefc,0x7fffcc05,0xffffb807,0x100df71f,0x0ff983ff,0x44fd8bf9,
    0x7ffffff8,0x3fffffe6,0xffffd80f,0x2e1ff40f,0x3f4df06f,0x333333e6,
    0x4fc81fdc,0xffffff30,0x2003fdcb,0x2f6603fe,0x76440ffb,0x06f4c01d,
    0x2601fee0,0x1df900de,0x7d513fa2,0x0bf90bae,0x2203fdc0,0x0df704ff,
    0xf983ff10,0xfd8bf90f,0x4457fe44,0x2abfe639,0xcffd82aa,0x7fff419a,
    0x45ffffff,0xf31fe5f8,0x3e25bdb1,0xfd04fc81,0x25ff713d,0x7f4007fb,
    0x1fd98063,0x70010000,0xb0000cff,0x004fc89f,0x2004bf90,0x7fcc07fb,
    0x100df700,0x0ff983ff,0x44fd8bf9,0x3fcc05fe,0x200ffd40,0xfffffffe,
    0x3bf725ff,0xf32cffcc,0xf17fd971,0xf109f903,0xf75fe85f,0x9bfe800f,
    0x7ffec47d,0xfffff31f,0x3feebf20,0x2bfee03f,0x3fffea4e,0x7fdc3fff,
    0x3fa5ff32,0x3f2df302,0x703fffbd,0x07fa80ff,0xeff89bee,0xf983ff10,
    0xfd8bf90f,0x3017fec4,0x0bf900ff,0xdf70ffa0,0x7fffffc4,0x81f34fff,
    0x9991f8fe,0x26999dfd,0xbb7e41ff,0x7ff4007f,0xc97ec6ff,0xfffff31f,
    0x3fffbf20,0xfff701ff,0x7fffd47f,0x7f443fff,0x3f64ffef,0x3f2bf503,
    0x81ffffff,0xcaa887fb,0x2e2aabff,0x883bfa6f,0x87fcc1ff,0x227ec5fc,
    0x40bffffa,0x0bdefff9,0x6f76eff4,0xaaadfe82,0x33fb86fd,0x220f989f,
    0xfff1f8ee,0x22ffffff,0xbbfec5ff,0x21774c7f,0xd82efff8,0xb81ffccf,
    0x1bff907f,0xfd507ff1,0x999883bf,0xfd106ff9,0xa7e41dff,0x329f7098,
    0x3ff88dff,0xff987fb8,0x27ffffff,0x81ffb6fb,0x7fcc1ff8,0x4fe8bf90,
    0x3fffffb8,0x3fffffe6,0x3ffffe0e,0x7ff43fff,0xc86fffff,0xf987f52f,
    0xf8afff98,0x5bfb5551,0x77ffec55,0x8ff76fff,0x3fee6ffd,0x37fa604f,
    0x07fb81eb,0x27ec1df9,0x401ffffa,0xfe880ffd,0xf71fffce,0x97e53f2b,
    0x13f60efc,0x2aa21fee,0x22aabffc,0x81ffbefb,0x7fcc1ff8,0x3f62ff90,
    0xffd7104f,0xff93107f,0xe98effc7,0x6677f47f,0x36626fec,0x21bfc9af,
    0x10bf88f9,0x209f903f,0xfeffffc8,0xffc8ff76,0x00fffb26,0xc83fdc00,
    0x3e27ec5f,0xfb807fcd,0x21df902f,0x2df35ff9,0x323fb7fe,0x5c27ec5f,
    0x03fd407f,0x207ffff7,0x7fcc1ff8,0xdfffff30,0xdff5009f,0x3fe5ff80,
    0xfd07fd44,0x3f26fb87,0x7fffffff,0x883223e6,0x804fc81f,0x3eebfb08,
    0x230eec47,0x3ffa03fe,0x7fb86fff,0x4fd8bf90,0x4c07fb8c,0x0ffe04ff,
    0x27fe2ff7,0x90feafff,0xb84fd8bf,0x03fd407f,0x01dfbdf7,0x8ff50bfe,
    0x4fbbfffc,0xe80dfb00,0xf317fa5f,0x2e1ff41f,0x33ff2a6f,0x3e64cfec,
    0x07e21d98,0xf8800fae,0x800ff72f,0x332e03fe,0x7fb83ccc,0x4fd8bf90,
    0x7c40ff70,0x22ff405f,0x3f7fe6fc,0x3f27fdfc,0x7dc27ec5,0x703fd407,
    0x20bff1df,0x82fec5fe,0x1b83fd09,0xc8827fcc,0x87fee2ff,0x21ff47fd,
    0x367f86fb,0x7d47cc0f,0x00007e23,0x7dcdfd53,0x01ff4007,0x907fb800,
    0x704fd8bf,0x07ff40ff,0x3b7bfee0,0x5fffa2ff,0x17f26fff,0x0ff709fb,
    0x3ee07fa8,0xf509ff56,0x01ffddff,0xfff84fb8,0xf70fffff,0x88bfffdd,
    0x2fffefff,0x1bee1ff4,0xf987e9be,0xfa999a9a,0xdddddd91,0x7fffdc9d,
    0x3ffee0ef,0xfd02ffff,0x00ffffff,0x3bffbbae,0xfb17f25e,0x7ff775c9,
    0x3ffee5ee,0xfb83ffff,0x7ec2efff,0x64bff94f,0xeba7ec5f,0x85eeffee,
    0x9bee07fa,0xffa82ffc,0xfc801eff,0x7ffff44e,0x3ffee1df,0xffb102ef,
    0x87fd03df,0xf2fc46fb,0xfffff30d,0x3f63ffff,0x25ffffff,0xb83dfffb,
    0x2fffffff,0xffffffd0,0x3fff200f,0x3f26ffff,0xff927ec5,0x5cdfffff,
    0x3fffffff,0x7e402620,0x649ff51f,0xfca7ec5f,0x86ffffff,0x1bee07fa,
    0x06203ffd,0x20dfb100,0x02620099,0x00001300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xceeed800,0xeeee881b,0xd70eeeee,0x3bb60009,
    0x1f7f5c03,0x9101dd70,0xddb07dfd,0x0a20379d,0x83dd5054,0x3ae02ee8,
    0xdd12eeee,0x1ddddddd,0x2f3bbba2,0xd302eb81,0x75c13b67,0xdd307ba5,
    0x77777744,0xec89d92e,0xdddddb0d,0x3bba2bdd,0x3b61eeee,0x3ba2f6c5,
    0x3fffe001,0x7fcc4fff,0x1fffffff,0xf5000bf9,0x7ff409ff,0x7fd45fff,
    0x7ffd40ff,0x7ffc5fff,0x7cc4ffff,0xd0ffc41f,0x406fc8bf,0x33ffffff,
    0xffffffff,0x3fffe23f,0x1fe44fff,0x1ff94fa8,0x17fc9fd0,0xfff99fea,
    0xbfb3ffff,0xfff1ffcc,0x26dfffff,0x2fffffff,0x7fcc3ffe,0xf0017fc7,
    0x7ffd537f,0x9dfd9998,0x3ffff219,0x3fe200ce,0x5ff504ff,0xeffd8322,
    0x4e7cc0ff,0x3fe1ffd9,0x43ffea9b,0xfeccbefd,0xf88ffd45,0x3fbea02f,
    0x2666099e,0x22199dfd,0xffea9aff,0x7d40fee3,0xf985ff54,0xf50bfe1f,
    0x4cd7fccf,0x74bfb099,0x6666645f,0x5ff35ffc,0x7fc13333,0xf8fff73f,
    0x0ffe002f,0x2fec0ffd,0xffffffc8,0xf9bf901f,0x501bf209,0x101ff35d,
    0x3fe2ff98,0x3e23ff43,0x80ffffff,0x80bf96fd,0xd806fbfd,0x83ff105f,
    0x40fee7fe,0x713fe3fb,0x542ff8ff,0x807fe67f,0x01ff95fd,0x3e65ff30,
    0x3fbe201f,0x7c1fddd5,0x0ffe002f,0x3f603ff5,0x2e2bf905,0x8ff986ff,
    0x09fb04fc,0x4007fcc0,0x0ffe2ff8,0xcfe83ff5,0xff107fd9,0x7c403ff7,
    0xfd806f9e,0xa83ff105,0x269f71ff,0x7ec7f72e,0x3fe2fec6,0xff33fd42,
    0x7cefec03,0x4dfb002f,0x3e201ff9,0xfecf9fed,0x6400bfe0,0xff32cdff,
    0x9dfd9985,0x3f22fe41,0xfc9ff40f,0x99dfd984,0x03fe6009,0x7e43fee0,
    0x5ff32cdf,0x07fe3fc4,0x2027ffe4,0xccff9bfb,0x220bfb01,0x97fcc1ff,
    0x2ebf94fa,0xf83fea2f,0x666ffc2f,0x3fe67fdc,0xfb0ccccd,0x2600bfdb,
    0x2bfe62ff,0x37e21999,0x0fe9fdfb,0x7fc00bfe,0x7ff15fff,0x7ffffff8,
    0x3fea2fe4,0x4fc9bee0,0x7fffffcc,0x03fe604f,0x7fc9ff30,0x7ff15fff,
    0x0bfa37d4,0x2007ffc4,0xffff98fe,0x220bfb02,0x9ffc41ff,0x32fff4fa,
    0x54ffe22f,0x7fffc0ff,0x3e67ffff,0xb1ffffff,0x2003ffff,0x7ffcc6fd,
    0x33e67fff,0x43fb7ff9,0xff5002ff,0x0bfe6359,0x8ddfffdd,0x13fec5fc,
    0x227e43ff,0xcccefec8,0x803fe602,0x7fd46fe8,0x45ff31ac,0x207fc7f8,
    0xccefecca,0xff36f982,0x17f60155,0x3e60ffc4,0xff3bf32f,0xfd83f95f,
    0x9ff0bf95,0x4cff9555,0x0aaaabff,0x00dfdbfb,0xff985ff3,0x3e66eeee,
    0x87f69ff4,0x3fe002ff,0xd80ffd43,0x55df905f,0x77e47ffb,0x2cefeccc,
    0xf30027ec,0x3bfa201f,0x7d43ff80,0x5ce7fc1f,0xffeea86f,0xdfc82eef,
    0xfd806fca,0xa83ff105,0xf7bf31ff,0xb83f99f5,0xff07fd7f,0x3e67fa85,
    0x277f601f,0x37ec04ff,0xf500ffcc,0x17ecbf29,0x7fc005ff,0xfb037ec3,
    0x3ffff20b,0x7ffe44ff,0x44ffffff,0x3e6004fd,0x0efe880f,0x6fd87ff0,
    0x7fffff44,0x813f200e,0x6ffffff8,0xf105fd80,0x226fd83f,0xfbff6edf,
    0xffbff981,0x7d42ff80,0xd807fe67,0x203ff95f,0xff983ff9,0x0c53ea01,
    0x017fc5fb,0xfd717ff0,0x82fec05f,0x80accefc,0xfeaaaaa9,0x027ec1ad,
    0x2bfea662,0x33dfd119,0x45ffc333,0x7ec2ffeb,0x45fecede,0xeefffeea,
    0x6556fd42,0x05fd806f,0xfd713ff1,0x9fffc45f,0xfe80fffc,0x85ff06ff,
    0x07fe67fa,0xdff15fd8,0x7cc1ff60,0x40fee01f,0x00bfe2fc,0xfffffff8,
    0xc82fec03,0x3f20005f,0x7ffffcc4,0x3fee6fff,0xfb7fffff,0x4fffffff,
    0x3fffffff,0x3e60ffd4,0x3fb32a2f,0x17f42cce,0x209ffff3,0xfff105fd,
    0xf887ffff,0x1fff51ff,0x209fff90,0x33fd42ff,0x7fffffff,0x4ffa97f6,
    0xf981ffc4,0x40fee01f,0x3fffe3fc,0xfff05fff,0xfb0039df,0x0017f20b,
    0x7fcc4fc8,0x26ffffff,0xfffffffb,0xffffffb7,0x77fffcff,0x2e07301c,
    0x4413f201,0x7fffcc7f,0x220bfb04,0x01ceffff,0x07ff8dff,0x3e03fff3,
    0xf33fd42f,0x27ffffff,0x0ffec5fd,0x3e601ff9,0x40fee01f,0x3fffe3fc,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bb20000,0xd95eeeee,0x754fb60b,0xa8f7541e,
    0x2eeeeeee,0x1dd0bdd1,0x0b37bbae,0x06f7bbb2,0x903ddd30,0x0059bddd,
    0x00000644,0x88004002,0x00001000,0x20400322,0x80000000,0x027ec5fc,
    0xffd80800,0xf36fffff,0x21ffa85f,0x737f45ff,0x7fffffff,0xff0fffe2,
    0x3fffff21,0x3fff60ef,0x3f206fff,0xfffd83ff,0xe8805fff,0x477f4c5f,
    0xfd903ffc,0x7fec41bf,0x7ec41eff,0xfd885fff,0xdb101dff,0x77ec3dff,
    0x5fffb100,0x7e407ffb,0x9fd5f504,0x2fe47fd1,0x47fcd3f6,0x3f20dffd,
    0x2a3fffba,0x5ffcaaaa,0x8bfd1bf6,0x3ff72ffa,0x4efeccc4,0x8dfff109,
    0x33bf90ff,0x6fecbff9,0xd02ffb99,0xbfb0dfff,0x405ffb73,0x7fc1eff9,
    0x1ffdfefc,0x7ff6ffec,0xffbbdf10,0x37bfa23f,0x7ffc45ec,0x7d41ffff,
    0x262fffff,0xdf981ffe,0x1ffdfffc,0x3ea09f90,0xfffefffe,0x4fd8bf90,
    0xffffdff3,0x7fff7e49,0x3ffa01ff,0x7d47fe60,0xfd6fe81f,0x442fec0b,
    0x3fe2ffff,0x7fc8bf90,0x0bfd13f6,0x81ff7ff1,0x0ffe24fd,0x2a06ffd4,
    0x3eadfb3f,0xfe83fea3,0x3ff88314,0xfd803ff5,0x44dfd51f,0x10661eff,
    0x20885ffd,0x209f55fc,0x1ff504fc,0x25fb1ff9,0x9a7ec5fc,0x4ff72fff,
    0xff88dffc,0xb05ff703,0x5417fabf,0x201ffdff,0xcff885fd,0x7e43fe6f,
    0xfd87fd45,0x7dc1ffc4,0x7ec2ff8e,0x7e41ffc4,0x2e3f904f,0x7ec9f34f,
    0x36037dc4,0x03bff54f,0x3ff21ffc,0x4003ff50,0x3ee04ffc,0x4cccbf33,
    0x2a199dfd,0x3f29f75f,0x4fd8bf92,0x7fcc5ff3,0x7ec1df90,0x304ff984,
    0x403ff7ff,0x6c04fffd,0xf9ff885f,0x3f21ff1f,0xbfb3fe45,0x360dfd95,
    0xfd8bfb4f,0x40ffd99d,0x3f204ffc,0xbfffff71,0x7ffffff4,0x3fff667f,
    0x3fffa4ff,0x07fe60be,0x1ff23ff5,0xa93ff200,0xffffffed,0xffffff35,
    0x53ea3fff,0x325f93fb,0xf9a7ec5f,0x22fe401f,0x0efe84fd,0x017fff60,
    0xd803fff5,0xd8ff885f,0x3f21ff5f,0x6c9ff715,0x04ffffff,0xb1fee3ff,
    0x03bfffff,0x3603ffd1,0x999df71f,0x6666ffc5,0x9dff54cc,0xfeb89fd9,
    0x3ff30eff,0xff91ff98,0x0eff9800,0x9bfb9ff5,0x33322799,0x50cccefe,
    0x7e4fee9f,0x4fe8bf92,0xfc803ff3,0x3ee27ec5,0x7ffcc01f,0x2ffff401,
    0x3e217f60,0xff8ff98f,0xffffff90,0xdbadfd8b,0x33fcc5ff,0x77fec3ff,
    0x3f6204ff,0xf71fc83f,0x2027f409,0x827ec5fd,0xff13ffc8,0x3ee7fa89,
    0xbff7000f,0x3fb97ec1,0x2a09f900,0x3f27f74f,0x3f62ff92,0x803ff34f,
    0x327ec5fc,0x3fa009ff,0x7effd405,0x217f601f,0xf9fd0ff8,0x3bbff21f,
    0x644fd82c,0x2bbf20ff,0x3f64ffaa,0xc805ff54,0xd97dc4ff,0x07ff206f,
    0x3fea5fe8,0x45ff3014,0xbfd11efe,0x13077fcc,0xfd84ffc8,0x3200dfb2,
    0x2e9f504f,0x3e65f93f,0x34feffff,0x5fc803ff,0x0dfd27ec,0x3a02fec0,
    0x6c0dff5f,0x50ff885f,0x3f21ffff,0x544fd805,0x3fffa0ff,0x3f66ffff,
    0x2e01bfa4,0x33be65ff,0x21cbdfff,0xfedefff8,0xffddff93,0x373bee9f,
    0x3fe60ffe,0x640fffff,0x22ffffff,0xdf703ffd,0x5b9bfdfb,0x7d413f20,
    0x8bf27f74,0x4fbbfffc,0xfc803ff3,0xffba7ec5,0xb019999b,0x8ffdc0bf,
    0xbfb03ffb,0x7f41ff10,0x00bf90ff,0x3ff4c9fb,0x95557ff1,0xa93f61ff,
    0x2fa802ff,0x7f477fdc,0x7fec41ff,0xffb12fff,0x3ea9f77f,0x981dffff,
    0x500dfffe,0x543dfffd,0x3ff6202f,0x01fffe9a,0x53ea0353,0x305f93fb,
    0x007fe601,0xf4fd8bf9,0xffffffff,0x7c417f60,0xb87ff45f,0x3fffffff,
    0x7fdc1ff1,0xb00bf90f,0x5fffffff,0x7fc437dc,0x5ff89fb3,0x220c4000,
    0x10099801,0x01333003,0x01800310,0x01980800,0x00000000,0x3fe00000,
    0x07ffffff,0x3ff20bfb,0xfba7fd41,0x13ffffff,0x7ffc41ff,0xfb00bf90,
    0xd839dfff,0x36bfd04f,0x00ffdc4f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x00103efe,
    0x54000101,0x3220002e,0x76442efe,0x4ccccc45,0x05b70099,0x327653b2,
    0x13333333,0x0bbbbb88,0x03ea975c,0x2a217754,0x32600000,0xfffff500,
    0x17fe67ff,0x38143ff7,0xb7cc0bfa,0xc87ffff9,0x2e9fd07f,0x51bfa25f,
    0xb07ffbff,0x7d4bee3f,0xfea8df34,0x2fa8c1df,0x87dfd703,0x71fffffb,
    0xffc8dfff,0x984fffff,0x5fd80fff,0x7fffcbfb,0x7c44ffff,0x7f40ffff,
    0x7d40dfb5,0x07ffc42f,0x401f7f5c,0xfff506ff,0x7dc7ffff,0x5c7ff12f,
    0xfd9fec5f,0x3e6bf503,0xff987fff,0xfb8ffcc2,0xfd03bfa5,0xdf51be63,
    0x7fc43fe6,0x675c7fd1,0x2b7e67fe,0x3ee1fdaf,0x88c4ffdf,0xdf9b32ff,
    0xccccccb8,0x5fafd83c,0x49f94fc8,0xfecccccc,0x81999984,0x203931c9,
    0xff980dd9,0x2afba22f,0x3fa00eeb,0xf3333105,0xb1ffb0df,0x8dff98df,
    0x29f90efd,0x709f7098,0x917fa0ff,0xfdafdcdf,0x3fc7f80f,0x0ffa3ff1,
    0x03fe6df5,0xffd99fea,0x3fe1dfff,0x3f20ff30,0x0037d40f,0x0fecfea0,
    0x027e53f2,0x000027d4,0xfff88000,0x3bfebb20,0x006204e9,0xf880ffd8,
    0xf980ffef,0x3ee0ffff,0x0bf29f95,0x7fd41fee,0xdfb8ffe0,0x3fd01ffb,
    0x74fd9be6,0x64ff60bf,0x0bffae5f,0xf10fffee,0x7e40ff8f,0x4c6fa81f,
    0x1aaaaaaa,0xb8df1374,0x5007f73f,0x0000009f,0xf1054400,0xf57f1f35,
    0x4cccccc1,0x5ff70199,0x01fffd40,0xf983fff3,0x07f6ffd6,0x3ff81fee,
    0x7fdc1ff5,0x3fee03ff,0x5bea2ffd,0x7fcc0ff8,0x36a2fe88,0xdfd31ffe,
    0x7fc3dfdf,0xefd8ff52,0xfc8df500,0x24ffffff,0x21fe42fb,0x1a880040,
    0x00000000,0x6fcc7cc0,0xff31f88e,0x3fffffff,0x5404ff98,0x3f603fff,
    0x4ffc45ff,0x80feafff,0x5bf207fb,0x777dc4fd,0x3fae00ef,0xf74fd82e,
    0x9f93fe8d,0xbf99ffc0,0x2e1fbafa,0x322fffff,0xf74fffff,0x2ea9ffff,
    0x22bbbbbb,0x003b883b,0x01654000,0x2a61775c,0x4001aaaa,0x16bf98f9,
    0x3333223f,0x220ccccc,0x7fc405ff,0xefd81fff,0x6ffc5ffa,0x707fdfcf,
    0x4ffcc0ff,0x46fdc1ff,0x440005ff,0x2e7fd1ff,0x641ff35f,0x420ffecd,
    0xdb5012fa,0xeeeeb83b,0xddddd53e,0x00000007,0xfffd8000,0xff50fee5,
    0x7ffffdc5,0x79bf8003,0x8000f75f,0x7ec00ffe,0x7e46fe8e,0x749ff30f,
    0x0dfff7ff,0xdfd01fee,0x2abf70df,0xfffe84ff,0x222a86ff,0xc8350542,
    0x9301cdff,0x00000003,0x00000000,0xfbef9800,0x982fe9df,0xbbbb51dd,
    0x7f50005b,0xc80bf265,0xffff703f,0x7fdc7fff,0x6c49ff31,0xffb06cc0,
    0xeb97ff29,0x85eeffee,0xfb83fffb,0x970bff25,0x00079999,0x00000000,
    0x00000000,0x80000000,0xfffd14fb,0x0000000d,0x1ff677dc,0x7dc1ffe0,
    0x33ffffff,0x2ffc87ff,0x51ffc800,0x7ffe49ff,0xf886ffff,0x45fb80ff,
    0x00001ffe,0x00000000,0x00000000,0x00000000,0x3b220888,0x3bba000c,
    0x6eeeeeee,0x06f2e600,0x0000fae0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffc00,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_20_latin_ext_x[560]={ 0,3,2,0,0,0,0,4,2,2,1,0,2,2,
3,0,0,1,1,1,0,1,0,1,0,0,3,2,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,1,2,1,2,0,0,0,1,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,
4,0,0,0,2,1,0,2,0,0,1,1,2,2,0,1,0,3,4,2,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,1,0,0,1,1,1,0,0,1,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_20_latin_ext_y[560]={ 14,0,0,1,-1,0,0,0,-1,-1,0,3,10,7,
10,0,1,1,1,1,1,1,1,1,1,1,3,3,3,5,3,0,-1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,1,16,0,3,0,3,0,3,0,3,0,-1,
-1,0,0,3,3,3,3,3,3,3,0,4,4,4,4,4,4,-1,-2,-1,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,3,-1,1,1,1,
-2,0,0,1,1,4,7,7,-1,0,-1,1,0,-1,0,4,0,6,14,0,1,4,0,0,0,3,-3,-3,-3,-3,
-3,-4,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,4,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-2,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,0,0,
-2,0,-3,0,1,3,-3,0,-3,0,-3,-1,-3,0,-3,-1,1,0,-2,0,-3,0,-3,-1,1,3,-3,0,-3,0,
-3,0,-3,-1,1,-1,-3,-4,1,0,-3,0,-2,0,-3,0,1,-1,-3,4,1,-1,-3,0,1,0,4,-3,-4,1,
0,-1,-1,1,0,1,0,-3,0,1,3,-3,0,-2,1,3,-2,0,-3,0,-3,0,1,3,-3,0,1,3,-3,0,
-3,0,-3,0,1,3,-3,0,1,0,-3,-1,1,0,-3,0,-2,0,-3,0,-4,-2,-3,0,1,4,-3,0,-3,0,
-3,-3,0,-3,-1,-3,0,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-6,-4,-3,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_20_latin_ext_w[560]={ 0,5,7,11,11,11,12,3,7,7,9,11,6,7,
5,10,11,9,9,9,11,9,11,9,10,10,5,6,10,9,9,8,11,11,10,10,11,9,9,11,11,9,8,10,
9,11,11,11,10,12,10,10,11,11,11,11,11,11,9,7,10,6,11,11,7,9,10,9,10,10,11,11,9,9,
8,10,9,11,9,11,10,10,10,9,10,9,11,11,11,11,9,8,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,5,9,11,11,11,
3,11,9,11,7,9,10,7,11,9,9,9,7,7,11,10,11,5,3,7,9,9,11,11,11,8,11,11,11,11,
11,11,12,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,9,11,11,11,11,11,11,10,10,10,11,
10,10,10,10,11,9,10,11,10,10,10,11,10,10,11,10,11,11,11,11,11,11,11,10,11,10,10,11,10,11,
11,10,11,10,11,9,11,11,10,10,10,10,10,10,12,13,11,11,10,10,10,10,10,10,9,10,10,10,11,11,
11,11,11,11,11,11,11,10,11,10,10,10,10,10,10,10,9,10,10,9,11,10,9,9,10,10,10,10,10,9,
9,13,14,11,13,10,9,11,11,11,9,11,10,10,11,9,11,11,11,11,12,12,11,11,12,11,10,10,12,11,
10,11,10,10,10,9,10,10,11,10,11,13,11,10,11,10,11,10,11,10,11,10,12,12,11,10,11,11,11,11,
11,10,11,10,10,10,10,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,10,12,11,13,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,10,9,11,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_bold_20_latin_ext_h[560]={ 0,15,6,13,18,15,15,6,20,20,9,11,8,3,
5,17,14,13,13,14,13,14,14,13,14,13,12,15,12,7,12,15,20,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,19,17,19,7,3,5,12,15,12,15,12,14,16,14,15,
20,14,14,11,11,12,15,15,11,12,15,11,10,10,10,15,10,19,21,19,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,13,13,13,
21,17,5,14,10,9,6,3,11,5,8,13,8,9,5,14,17,5,3,8,10,9,14,14,14,15,17,17,17,17,
17,18,13,16,17,17,17,17,17,17,17,17,13,17,18,18,18,18,18,10,18,18,18,18,18,17,13,15,15,15,
15,15,15,17,12,14,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,11,16,15,15,15,15,19,18,19,
16,15,17,15,17,15,18,15,18,15,18,16,18,15,17,16,13,15,16,15,17,15,17,16,17,15,17,15,18,19,
18,19,18,20,18,20,17,18,13,14,17,14,16,14,17,14,17,19,17,10,14,20,18,19,18,19,10,17,18,18,
19,15,15,13,14,13,14,17,14,18,16,17,14,16,18,16,17,15,18,15,18,15,14,12,17,14,18,16,17,14,
18,15,18,15,16,14,18,15,18,19,17,16,13,15,18,15,17,15,18,15,19,17,18,15,17,14,17,14,17,19,
17,17,14,17,15,17,14,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,19,17,15,20,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,16,18,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_20_latin_ext_s[560]={ 252,249,198,180,73,226,213,252,34,42,140,
200,249,237,249,69,171,60,70,239,36,146,156,210,46,214,249,249,102,176,178,
210,50,79,68,195,141,189,220,218,177,35,140,199,242,230,45,183,57,45,91,
135,129,112,165,153,23,11,1,190,1,149,186,237,229,136,21,168,157,125,89,
181,69,70,98,101,79,212,245,156,44,179,234,146,175,224,79,57,35,99,25,
210,1,243,217,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,252,250,50,
48,92,104,5,22,227,227,248,112,206,237,1,217,150,204,160,132,237,107,91,
249,252,168,102,122,25,13,1,12,103,115,139,151,163,97,116,205,175,58,198,
220,209,1,231,81,1,56,109,121,168,191,144,47,214,237,12,36,59,226,25,
146,135,123,112,101,90,215,188,206,57,45,34,23,129,244,73,186,219,197,198,
186,174,162,150,13,238,114,102,242,231,13,95,219,193,91,33,80,186,48,129,
58,153,79,203,160,164,25,68,113,80,32,138,55,22,66,45,127,12,168,242,
12,24,198,83,231,208,74,220,86,127,232,168,96,80,160,102,216,34,1,12,
156,238,69,49,9,106,129,185,107,91,132,243,175,139,135,149,225,230,237,24,
203,12,71,92,84,149,149,196,171,37,125,141,36,116,137,61,113,190,84,48,
216,119,37,1,190,226,1,227,208,180,1,156,179,1,1,13,124,85,202,61,
68,38,238,1,166,25,111,13,124,107,57,25,167,49,73,34,96,164,143,118,
89,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,154,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,62,118,177,77,20,60,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,133,15,156,179,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192, };
static unsigned short stb__consolas_bold_20_latin_ext_t[560]={ 12,23,222,180,23,133,133,1,1,1,222,
209,165,228,174,80,165,195,195,165,195,180,180,195,180,180,133,62,209,222,209,
116,1,209,209,165,195,195,195,149,195,209,165,195,195,195,209,165,209,80,209,
180,195,180,195,195,209,209,209,1,80,1,222,232,228,209,149,209,133,209,180,
98,180,116,1,180,180,209,209,209,149,133,209,209,149,209,223,223,223,149,223,
1,1,1,228,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,12,98,23,
195,195,195,1,80,222,165,180,222,222,228,223,222,222,180,222,222,222,165,80,
222,8,222,222,222,165,165,165,149,80,80,80,80,80,23,195,98,80,80,80,
80,80,98,80,98,195,98,23,23,23,23,23,223,23,23,43,43,43,62,195,
133,133,133,133,133,133,62,209,165,133,133,133,133,165,149,165,149,116,149,116,
116,116,116,116,223,98,116,116,116,116,23,43,1,98,116,98,116,80,116,43,
116,43,133,23,98,43,116,98,98,195,149,98,149,98,149,98,98,98,133,80,
133,43,1,43,1,43,1,43,1,80,43,180,165,80,165,98,165,80,180,80,
1,62,223,165,1,43,1,43,1,223,62,43,43,1,149,149,180,149,180,180,
62,180,43,98,62,165,98,43,98,62,116,43,116,43,116,165,209,62,165,43,
98,62,165,43,133,23,133,98,149,23,149,23,1,62,116,195,149,23,133,62,
133,23,133,23,62,23,149,62,180,62,180,62,1,62,62,180,62,149,62,165,
149,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,62,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,1,1,62,149,1,23,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,23,116,23,1,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180, };
static unsigned short stb__consolas_bold_20_latin_ext_a[560]={ 176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_20_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_20_latin_ext_s[i] + stb__consolas_bold_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_20_latin_ext_t[i] + stb__consolas_bold_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_20_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_20_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_20_latin_ext_x[i] + stb__consolas_bold_20_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_20_latin_ext_y[i] + stb__consolas_bold_20_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_20_latin_ext_s[i] + stb__consolas_bold_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_20_latin_ext_t[i] + stb__consolas_bold_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_20_latin_ext_x[i] + stb__consolas_bold_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_20_latin_ext_y[i] + stb__consolas_bold_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_20_latin_ext_LINE_SPACING
#endif

