// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT        304
#define STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_23_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_23_latin_ext_LINE_SPACING          15

static unsigned int stb__consolas_bold_23_latin_ext_pixels[]={
    0x006aa355,0x13100155,0x3bdb1000,0x0c401c00,0x0ef6c400,0x55550000,
    0x11000055,0x09a98260,0x47995000,0x00aaaaa9,0x220054c4,0x22002881,
    0x000004ed,0x71ec8000,0xfdee885d,0x4409ff4f,0x7f4400ff,0x77f44006,
    0x817f2001,0x22005ff8,0x3e200dfe,0x3e0bf50e,0xb106ffff,0xff707dff,
    0xf90ffc85,0xfb8007ff,0x3fff20df,0xff9102ff,0x2ffc403f,0xd1007fd1,
    0xfb009fdf,0x4c01227f,0x7fe401ff,0x7fc41ffd,0x09ff4ffd,0x7cc03fdc,
    0xdb1001ff,0xc80bfa19,0x3fea04ff,0x00b2e007,0x7ff4ffee,0x6ffeee80,
    0xffffffa8,0x3e27fec5,0xfffd73ff,0x0ffee003,0x07bbbff2,0x00777fe4,
    0x3a21fff5,0x3fa202ff,0x3204fe8b,0x1fffffff,0x805ffc80,0xff02fffd,
    0x13fe9ffb,0xfd004ec8,0x7f88000d,0x101bfea0,0x3f6009fd,0x774402ff,
    0xf900bf50,0x264ff98d,0x0bfee2ff,0xff881ff9,0x20153005,0xff8807fc,
    0x8bff1004,0x0000fff9,0xefd8a440,0x05ff5003,0x9ff00620,0x013fe9ff,
    0x10003000,0x20bfdfb9,0x1000fff8,0x3a2fea00,0x64000006,0x5c27f46f,
    0x0980445f,0xfb00df90,0x0ff905ff,0x4003ff30,0x8dff5018,0x55300aa9,
    0x22000001,0x57995000,0x7e7fc555,0x2a09ff4f,0x22aaabcc,0x002aaaaa,
    0x3fffffea,0x01ffc80e,0xaaabcca8,0x5fbdf982,0x26015530,0x4df900aa,
    0x1ff106fa,0x55302aa2,0xf301fee0,0xff90dd39,0x101ff500,0x55555555,
    0xfa8bff20,0x01ffd04f,0x017bdb91,0x7bddb930,0xffffe983,0x2b726fff,
    0x989ff4ff,0xfffffffe,0x1fffffe6,0x66fffc40,0x5ff85fff,0x7ffff4c0,
    0xdd506fff,0x13fea019,0xfc807ff4,0x5e54ffa6,0xff71feab,0xb80ffc83,
    0xd97cc07f,0xa807fc87,0xfff980ff,0xf106ffff,0x987ff8bf,0xfffa84ff,
    0x3201efff,0x4fffffff,0x7f5577f4,0x29ff03df,0x577f44ff,0x363dffea,
    0x9007ffee,0x3ffee5ff,0x00ffea3f,0xffd55dfd,0x3332a07b,0x261ffe01,
    0x5bf204ff,0xfffc8ff8,0xff72fdbf,0xa80ffc83,0x77f400ff,0x807fc83f,
    0xee980ffa,0x206ffeee,0x3ff20ffe,0x220ffe42,0xffecdfff,0x9bfffb07,
    0x7fcc9fd9,0xfb0ffe22,0x93fe9ffb,0x3fe22ff9,0x201ff603,0x2ff65ff8,
    0x07ff25ff,0x3e22ff98,0x3fffe03f,0x90bff204,0xb7e403ff,0xfcff8efa,
    0xff73fdbf,0x880ffc83,0x65c402ff,0x900ff902,0x6fe800ff,0xf88bff20,
    0x6c37fc5f,0x1ffec2ff,0x2207bfea,0xfd07fea1,0x4ffafe89,0x0ffd49ff,
    0x7fd813fa,0xf13ff980,0x7ecdfb1f,0x20ffd407,0xfff304fe,0x2ffc40df,
    0xdf901bfe,0x7dbef3f2,0xff73fcaf,0xd00ffc83,0x97309bff,0x0ff90579,
    0x013ff722,0x7d40dfd0,0x987fec3f,0x37fc43ff,0x3fa37fc4,0x9ff3001f,
    0xff11ffcc,0xff9813fe,0xd80ffe64,0x2ffa807f,0xe9ff6bf5,0x27fcc06f,
    0x3ee07ff3,0x3600ffdf,0x07ff30ff,0x97fb6fc8,0x3f67fe9f,0xfc83ff73,
    0x1fff600f,0xdffffffd,0xf983fe41,0xfe8002ff,0x513fe206,0x03ff27ff,
    0x3fa07ff3,0x001bfe27,0xdffbdffb,0x4ff8d441,0x7ef7fec0,0x1ff600ef,
    0x7ec7fee0,0x3fa1ff93,0xdeffd806,0xbfd00eff,0x7d407ff5,0x801ff93f,
    0xfb5fb6fc,0x5fd1ff17,0xff907fee,0x137ffa01,0xffb779dd,0xc883fe4b,
    0x74002fff,0x13fe206f,0x42ffdbfe,0xffb02ffa,0xa993fe61,0x3fa21aaa,
    0x400dffff,0x3fa204ff,0x400dffff,0xffb807fd,0x3ff21ff1,0x4401ffb0,
    0x0dfffffe,0xff17ff10,0xff6ff80b,0x3adf900b,0x7f9bfeaf,0x07fee3fd,
    0xff301ff9,0x3ff40205,0xbfb00ff9,0x206fe800,0xffc83ffa,0xffb82ffb,
    0x2a3ffb02,0x3fff23ff,0x045bee4f,0x5c09ff00,0x6c00116f,0xaff9807f,
    0xc9ff66fa,0x5bee02ff,0x1ffa8008,0x7e401ffd,0xc802ffbf,0x7fb5fd6f,
    0x5cff3ff5,0x07fe41ff,0x6c003fdc,0x201ff27f,0x7f4007fb,0x20bff206,
    0x706ffff9,0x3ff605ff,0x75c7ff50,0x3ff24ffe,0xff00199a,0xffc93fe9,
    0x3310199a,0x1333ffd3,0x7f99ff10,0x7ff537fc,0x4cd7fe40,0xf73fec01,
    0x7ffcc05f,0x2df9006f,0xffefcafd,0x3fee5fef,0x5c07fe41,0x7f6d407f,
    0x1ff27fff,0x8003fea0,0x3ff606fe,0x07fffd00,0x7f40ffea,0x2213fe67,
    0x3ffe64ff,0x202effff,0x4c9ff4ff,0xefffffff,0x3ffffea2,0xff02ffff,
    0x3fea3fff,0x9817fe23,0xefffffff,0x3e65ff82,0x7fff404f,0x32df9003,
    0xfceff9bf,0x07fee0ef,0xff701ff9,0x7ffffec0,0x01ff27ff,0xe8003fea,
    0x817fe06f,0xf300fffa,0x4dff10bf,0xff887ff8,0x3bbffa24,0xff02ffff,
    0xfe893fe9,0x2ffffeef,0xfffffff5,0x3fee05ff,0x87ffb9ff,0xfd102ffc,
    0x5ffffddf,0x4ccdffcc,0x7fd407ff,0x2df9000f,0x2a1535fb,0x20ffdc0a,
    0x7fb80ffc,0x641bff70,0x201ff27f,0x3a000ffa,0x03ff906f,0x3e027fdc,
    0x1ffdc0ff,0xff10fff6,0x2a07fec9,0x29ff05ff,0x03ff64ff,0xf700bff5,
    0xffffc80d,0xff882fff,0x40ffd81f,0x3ff25ffa,0x1fffffff,0x8013fee0,
    0x01ff36fc,0x41ff6000,0x1ffb06fc,0x1ff27fd8,0x4007fe60,0xffa85ff8,
    0x03ffe605,0x937dff70,0xfff30fff,0x29ff535b,0xff885ff8,0x3fe9ff05,
    0xf10bff14,0x1ff880bf,0xdfffff80,0x83bfea00,0xff885ff8,0x3fffffa5,
    0xf303ffff,0x7e4001ff,0x00417fa6,0x3a21bfe0,0x27ff905f,0x3f27ffd8,
    0x84ff8807,0x444ffa80,0x6e4c0fff,0xe8801fff,0x2fffffff,0xffffff70,
    0x5fffc9ff,0x02ffea9a,0xf93fe9ff,0xfea9abff,0x57fd402f,0x067fe601,
    0x7c5ffd80,0xfea9abff,0x339ff12f,0x4cdff333,0x801fffdc,0x2a6feccc,
    0x5db9adff,0x7ff5e5c0,0x0bfff6a3,0x7fffffd4,0x33ff27fe,0xdffb01cc,
    0x3af3b219,0x7ff40fff,0x2ffffa82,0x7fffe400,0x7fecc00d,0x3ea1dfff,
    0x2fffffff,0x27fd3fe0,0xfffffff5,0xfff1005f,0x0027e40b,0x7fd45fd8,
    0x22ffffff,0xffd01ffb,0x0bfffea1,0x37ffffc0,0x3fffffea,0x7fffec05,
    0x01fffe46,0x26ffffee,0x3ffff27f,0xfffb102f,0x3fffff23,0x817f442f,
    0x0000bcd9,0x4c400062,0x3332a200,0xf4ff802c,0xccca889f,0x65c4002c,
    0x0002aa02,0x99951038,0x40ffb059,0x79b32ffc,0x55554001,0xbccb882a,
    0x2cdca801,0x20009a98,0x5554c019,0x554400aa,0x15999710,0x00000a20,
    0x00000000,0x7d3fe000,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x005992cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7776c000,0x37b6006e,0x774c0000,0x06ea0002,
    0x00000000,0x75413b62,0x0000001e,0x100deeb8,0x8017bdb7,0x005d70ed,
    0x40bae000,0x01aaaaaa,0x03750000,0x3b25db10,0x66666644,0x3fffe3cc,
    0xfdfb007f,0x81edc40d,0xb0002ffa,0xd0007fdf,0x9ffec05f,0x3bfa2048,
    0x01ffb84f,0x003ff300,0x9806ffdc,0x1effffff,0x3ffbff20,0x3fffae01,
    0x01fc804f,0x09ffffff,0xb004fe88,0xf3007fdf,0xfff0bfdf,0x4cdfffff,
    0xd807fe99,0x260bf95f,0x5ff503ff,0x3a7f1000,0x03fc4005,0xfffffff9,
    0xd17fd103,0x01ffb89f,0x00bff900,0xf880ffee,0x7ffecdff,0x016ff640,
    0xbffffffb,0x3201fd00,0x402ccccc,0xf8807ffa,0x36600bd3,0x99fff04e,
    0x3f607999,0xf9800007,0x05ff503f,0x13efbe00,0xbfdfb910,0xefd8a440,
    0xffb80003,0x5ff50001,0xffc80000,0x001ffec2,0x886ffcc0,0x007f8029,
    0x05ff8800,0x009f7df0,0x0037fc00,0xaa881ff6,0x222aaaaa,0xaadffcaa,
    0xa85ff52a,0x3fa601aa,0x3ffea00d,0x0000efff,0xaabcca80,0x513ff72a,
    0x02200179,0xa980554c,0x10dff10a,0x03cc8dff,0x27fdc599,0xffffd900,
    0xcc81e643,0x98006202,0xc8800dfe,0x3e1ceeed,0x3fec006f,0xffffff30,
    0x7fffd4df,0xf57fffff,0x077fd45f,0x16640f32,0xff9bfff1,0x207990bf,
    0x7ff4c2cc,0xf76fffff,0x3fffff5f,0x6f765c40,0x209ff50c,0x7ff30ffe,
    0xbff1ffa0,0x7cc9ff10,0x7f4c03ff,0x3e1fffff,0x24ff885f,0xccccccca,
    0x999501cc,0xffffb803,0x1bfe2fff,0x4c0ffb00,0x6ffeeeee,0x3bffbba6,
    0x5ff55eee,0x3e03ffe6,0x24ff885f,0xfff72ffc,0x885ff87f,0x577f44ff,
    0xf73dffea,0xfffddfff,0x3ffffea0,0x21ffe1ff,0x3fea4ff9,0x7c1ffb02,
    0x24ff885f,0x02effffb,0x9bf9dffd,0x7c42ffc3,0x3ffff24f,0xf02fffff,
    0x7cc09fff,0x2ecabcff,0x33333ffe,0x00ffb02c,0x3e60dfd0,0x15ff503f,
    0x3fe03ffd,0xf14ff885,0x7fdfecbf,0x7c42ffc5,0x88bfe64f,0x3ffee3ff,
    0xf70bff23,0x3fd99dff,0x3f217fe4,0x40bfee1f,0x17fe1ffd,0x7fd53fe2,
    0x545ffffe,0xf07f75ff,0x49ff10bf,0xfeeeeeeb,0xfff982ff,0x0bff206f,
    0x3fffffe0,0x0ffb04ff,0x260dfd00,0x7ff503ff,0x7fc05ffb,0xf34ff885,
    0x363fe27f,0x442ffc6f,0x07fea4ff,0x27fdc9fd,0xff893fe6,0x3e20883f,
    0x2e37fc5f,0x1ffb02ff,0x7fc42ffc,0xfb11ffd4,0x9ffdcbff,0x85ff82fc,
    0xfc804ff8,0xfbff705f,0x0bff601f,0x3333ffe0,0x0ffb02cc,0x260dfd00,
    0xfff503ff,0x5ff807ff,0xff54ff88,0x3fed7ea5,0x3fe217fe,0xf993fe64,
    0x107fee3f,0x27fdcbff,0x261ffb00,0x1ffd43ff,0x2ffc7fe8,0xfffa7fc4,
    0x6cbffea0,0xf03fb1ff,0x09ff10bf,0xd00fff98,0x207ff5bf,0x200bfffb,
    0x7ec006ff,0x06fe8007,0x3ea07ff3,0x7c05ffef,0x74ff885f,0x64ff63ff,
    0x217fe0ff,0x7fec4ff8,0x2e0effde,0x2ffc41ff,0x54003ffb,0x81ff93ff,
    0xff885ffa,0x7c42ffc6,0xb89ffb4f,0x25ff94ff,0x85ff80fe,0x7f404ff8,
    0x17ff102f,0x3fe20bff,0xff81dfff,0x03fec006,0xf9837f40,0xb5ff503f,
    0x2ffc09ff,0xffba7fc4,0x3ff21ff1,0x3e217fe0,0x3fffa24f,0x7fdc0dff,
    0xfd27fcc1,0x6ff8001f,0x3ffe0bff,0x3e1ffdc0,0x54ff885f,0x3e63dfff,
    0x3ebff75f,0xf10bff07,0x2ffdc09f,0x3fa3ff50,0xfffd300f,0x37fc1bff,
    0x001ff600,0x7fcc1bfa,0xd15ff504,0x17fe05ff,0x7fcd3fe2,0x1ff66faa,
    0x9ff10bff,0x2008b7dc,0x7fe41ffb,0x2001ffe2,0x02ffbffc,0xf937dff9,
    0x85ff81ff,0x3fee4ff8,0x12ffccff,0x73dfbfff,0x7c42ffc3,0x1fff304f,
    0xff73fec0,0xfffda805,0x2abffe5f,0x33312aaa,0x01333ffd,0x3e20dfd0,
    0x7fd421ff,0xf03fff32,0x29ff10bf,0x23fccff8,0x42ffc6ff,0x3ff24ff8,
    0xff70199a,0x3e37fdc5,0xff98007f,0x7ff406ff,0xf81fffff,0x44ff885f,
    0x5fffffe9,0x7fffffd4,0x2217fe2f,0x5ffd04ff,0x3e65ff80,0xff91004f,
    0x3ffffe3f,0xfff56fff,0x05ffffff,0x7ec0dfd0,0xff57ffff,0x2077fdc5,
    0x4ff885ff,0x547ffffe,0x42ffc3ff,0x3fe64ff8,0x22efffff,0xfffffffb,
    0x007ff41f,0x01ffff40,0x37ffff22,0xf10bff01,0x3ffee07f,0x3fffee07,
    0x2217fe1e,0x4ffb83ff,0x4cdffcc0,0x6c007ff9,0xfffff2ff,0x3feadfff,
    0x2fffffff,0x2206fe80,0xf57ffffd,0x45ffd85f,0x3ff885ff,0x2e7fffee,
    0x85ff87ff,0x3fa23ff8,0x2ffffeef,0xbffffff7,0x007ffb01,0x001fff50,
    0x3fa027fc,0x202ffa87,0x2e01fff8,0x50ffd03f,0xfff985ff,0x7fffe400,
    0x001fffff,0xe8807ff6,0x4400003f,0x133005ff,0x0ffd0000,0xffc85ff5,
    0xe82fffff,0x22ffa87f,0x7fd40ffd,0x0135ff75,0x000fffa8,0x20027fdc,
    0x4498affe,0xfd30dffc,0x7ff4021f,0x6407f200,0xffd30dff,0x802ffe81,
    0xfffffffe,0x4d6743ff,0x407ffc99,0x17aa05fc,0x04ffa808,0x76c01f6c,
    0x86ffe403,0xff80ffe9,0xf900dfff,0x3ffa61bf,0xf10bff10,0x007feebf,
    0xaacfffe8,0xfff981eb,0x7ffd4000,0x3fe22fff,0x22ffffff,0xffdbbced,
    0x8807ec06,0xffffffff,0x667ffdc2,0xff11cccc,0xff333339,0xfffffe8d,
    0x7f401fff,0x05fc809e,0x3ffaf3b2,0x07fe200f,0x8803ff10,0xffffffff,
    0x019ff982,0xffffff88,0x5fffc2ff,0x72ffea9a,0x74c003ff,0x1fffffff,
    0x03fffb93,0x3fffea00,0x7ffec40d,0x7ffec1ef,0x7400efff,0x7ffec407,
    0xfffe81ef,0x73ffffff,0x3ffa03ff,0x3fffff60,0xffc801df,0x203fe82f,
    0x2ffffffc,0x5403fd40,0xffb1007f,0x3f203dff,0x7fec4004,0xffa81eff,
    0x22ffffff,0xc8001ffb,0x50dffffe,0x0005ffff,0x31001310,0x66665440,
    0x400bd002,0x7fff4018,0xb3ffffff,0x17fe40ff,0x40004cc4,0x0cc80bba,
    0x2b332e20,0x803c9800,0x188003c9,0x0000aa80,0x32a20062,0xaa882ccc,
    0x404c0000,0x0000bcd9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03eed880,0x004ed880,0x2003eed8,0x36203eed,
    0x3b62004e,0x204eeb8d,0x99503cc8,0x98037999,0x6417e65e,0x6459903c,
    0xcccccccc,0x0fbb623c,0x03eed800,0x3ae37b62,0x13b6204e,0x175c3b60,
    0xfb00265c,0xfd81227f,0x6c40913f,0x3e6003ff,0x36005fef,0x3f6003ff,
    0x3bfe603f,0xdfe8805f,0x2203ffb8,0xfc84fffe,0x05ffffff,0x7fecbff2,
    0xf885ff81,0xfffff14f,0x88bfffff,0xd8003ffd,0x3fa203ff,0x203ffb8d,
    0x405feff9,0x81ffeffc,0xff9007fd,0x903fffff,0x3fffffff,0x801eea80,
    0x09d92ed8,0x4003bd90,0x36201dec,0xc809d92e,0x403bd53e,0x4fd8bfe8,
    0x7f66ffe4,0x1df504ff,0x3fe03bea,0x324ff885,0xcceffccc,0x03dd503c,
    0x200ef640,0x03bd53ec,0x4ec976c4,0x816ff640,0x291007fd,0x9103efd8,
    0x000fbf62,0x00000000,0x00000000,0x32000000,0x1bfea1ff,0x85ff8000,
    0xff104ff8,0x0000000b,0x00000000,0x01ff6000,0x40000000,0x00bdedc8,
    0x67776e44,0x7bdb9101,0xeedc8801,0xdb9101ce,0x0f32017b,0x77541664,
    0x41ffc801,0x372207ff,0xbff00bde,0x2209ff10,0x0f3205ff,0x07991664,
    0x37220b32,0x33200bde,0x91059903,0xfb017bdb,0x0599900f,0x332a0597,
    0x7ffd401c,0xf701efff,0x05ffffff,0xdffffff5,0x3fffee03,0xffa82fff,
    0xf81effff,0x84ff885f,0xfc801ffb,0x41bfe21f,0xeffffffa,0xf885ff81,
    0x0bff104f,0x7fc42ffc,0x3e217fe4,0x7fffd44f,0xbff01eff,0xfa89ff10,
    0x41efffff,0xfff807fd,0xff04fe87,0x7fc409ff,0x87ffecdf,0xcabcfff9,
    0x6fffc42e,0xf987ffec,0x2ecabcff,0x766fffc4,0x85ff87ff,0xffb84ff8,
    0x9affc801,0xf882ffeb,0x7ffecdff,0xff885ff8,0x40bff104,0x4ff885ff,
    0x3fe217fe,0x337ffe24,0xbff07ffe,0x7c49ff10,0x7ffecdff,0x7fc03fec,
    0x427f42ff,0x206ffff9,0x7fec2ffd,0x8017fe43,0x7fec2ffd,0x8017fe43,
    0x7fec2ffd,0x7c42ffc3,0x01ffb84f,0xffffffc8,0x85ffb02e,0x2ffc3ffd,
    0xf8827fc4,0x217fe05f,0x17fe4ff8,0xffd93fe2,0x7c1ffec2,0x24ff885f,
    0x7fec2ffd,0x3e01ff63,0x27f46fff,0x07feffdc,0x7c437fc4,0x017fec6f,
    0x7c437fc4,0x017fec6f,0x7c437fc4,0x442ffc6f,0x9ffb84ff,0x7e40bcb8,
    0x104fffff,0xdff10dff,0xff885ff8,0x40bff104,0x4ff885ff,0x3fe217fe,
    0xf10dff14,0x10bff0df,0x1bfe29ff,0x7fd9bfe2,0x2ffeff80,0x37fa13fa,
    0xff983ffa,0xfb8ffd03,0x3e600bff,0xb8ffd03f,0x2600bfff,0x8ffd03ff,
    0x4ff885ff,0xfffbffb8,0x27ff21ff,0xf982ffe8,0xf8ffd03f,0x04ff885f,
    0x7fc0bff1,0x3e4ff885,0x34ff885f,0x1ffa07ff,0x3fe217fe,0x3a07ff34,
    0x201ff67f,0x3a5fecff,0x45ffc44f,0x2ffa85ff,0x7c41ffb0,0xa81dffff,
    0x1ffb02ff,0x6fffffc4,0xb02ffa81,0x42ffc1ff,0xffb84ff8,0x25ffeeff,
    0xdff11ffc,0x3605ff50,0x217fe0ff,0xff103ff8,0x442ffc0b,0x217fe4ff,
    0x5ff54ff8,0xff03ff60,0x2a9ff10b,0x1ffb02ff,0x3fe01ff6,0x9fd1ffbc,
    0xffd1ffa8,0xb02ffb81,0xffe983ff,0x3ee0dfff,0x83ffb02f,0xdfffffe9,
    0x6c0bfee0,0x217fe1ff,0xffb84ff8,0xfc9ffa3f,0x70bff61f,0x3ff605ff,
    0x3ea1ffa1,0x0bff101f,0x7fc42ffc,0x3e217fe4,0x205ff74f,0x2ffc1ffd,
    0xffba7fc4,0x363ffb02,0x8cff807f,0xd89fd5ff,0x70bfee7f,0x3ff605ff,
    0xffffb500,0xd817fdcb,0xffb500ff,0x17fdcbff,0x3fe0ffd8,0xb84ff885,
    0x87fe44ff,0x3fe61ffc,0xd817fdc6,0x37ff20ff,0x440ffd30,0x17fe05ff,
    0x5ff93fe2,0xff74ff88,0xf03ff605,0x29ff10bf,0xffb02ffb,0x2aabff61,
    0x29ff0aaa,0x44fe8ffc,0x13fe65ff,0x3fa07ff5,0xfffc8807,0x3a07ff51,
    0xffc8807f,0x207ff51f,0x42ffc7fe,0xffb84ff8,0xfc87fe41,0x517ff41f,
    0x1ffa07ff,0xfffffff1,0x2ffc403f,0xff10bff0,0x7c42ffc9,0x207ff54f,
    0x85ff87fe,0x7ff54ff8,0xffd9ffa0,0xf1ffffff,0x3b3fe29f,0x26ffe64f,
    0x7cc7ff99,0x06ff885f,0x7ccbff60,0x06ff885f,0x7ccbff60,0x46ff885f,
    0x3ff885ff,0x7e41ffb8,0xa83ff90f,0x17fe66ff,0x3621bfe2,0x400dffff,
    0x3fe05ff8,0x3e3ff885,0x33ff885f,0xdff10bff,0xff10bff0,0x2217fe67,
    0x3fff66ff,0xff1fffff,0x27f7fec9,0xfffffff9,0x0fff83ff,0xb001ffdc,
    0x07ffc3ff,0xd800ffee,0x03ffe1ff,0x7fe87ff7,0xfb82ffa8,0x007fe41f,
    0x703ffe00,0x5fe807ff,0x3ff40000,0xffd17fd4,0x7fc5ff50,0x41ffdc0f,
    0x2ffa87fe,0xff703ffe,0x93fe0007,0x3a4ffff9,0xffffffff,0x5f7fdc3f,
    0xce87ffc9,0x7ffc999a,0x64df7fdc,0x9ace87ff,0x5c7ffc99,0xffc9beff,
    0x30dffc87,0xff701ffd,0xb00ffc83,0xeffb807d,0x407ffc9b,0x36000ffa,
    0x37ff203e,0x641ffd30,0xffd30dff,0x4df7fdc1,0xff907ffc,0x83ffa61b,
    0xfc9beffb,0x417aa07f,0x7fff44ff,0x3339ff14,0xe88dff33,0x2fffffff,
    0xffffffe8,0x7ff441ff,0xe82fffff,0xffffffff,0x7ffff441,0xff882fff,
    0x02ffffff,0xffc83ff7,0x401ff880,0xffffffe8,0x57fdc02f,0x01ff8800,
    0x3fffffe2,0x7ffc42ff,0x442fffff,0xfffffffe,0xfffff102,0xfe885fff,
    0x02ffffff,0x27fc17f2,0x7dd3ffea,0x01ffd01f,0x01bffff9,0x3ffffff6,
    0x3fff201d,0xfffb00df,0x6403bfff,0x200dffff,0x1effffd8,0xf907fee0,
    0x00ff501f,0x06ffffe4,0x027ffcc0,0x6c403fd4,0x101effff,0x03dffffb,
    0x06ffffe4,0x3ffff620,0x3fff201e,0x1ff400df,0xffe84ff8,0x7e40ffb4,
    0x8006202f,0x44000998,0x02662001,0x10003100,0x07fee003,0x79301ff9,
    0x00031000,0x93003773,0x00188007,0x062000c4,0x2000c400,0x03320018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05f997a6,0x06aaaaaa,0x64799700,0x02cb81cc,
    0x00000fee,0x66654000,0x70599901,0xbdd50059,0x3bb72601,0x3baa01bd,
    0x3bb72203,0x1bd501ce,0x00005db1,0x4003eea8,0x2200dffc,0xccc984ed,
    0x104ccccc,0x32076c9d,0x03ffb2ff,0x13fffffe,0x7c4ffc80,0x04fe86ff,
    0xc8800bf2,0xffd84fff,0x7ffc0913,0x0ffff04f,0xffa809fd,0xffff900d,
    0x3ee09fff,0xffb83fff,0x202fffff,0x403ffffb,0xfb804fe8,0xf9003fff,
    0xeff9807f,0x7fffd45f,0x3a07ffff,0xfa86ffef,0x201df50e,0x02cccccc,
    0xff05ff90,0x44fe85ff,0x0acfeba8,0x4ffffe80,0x7fffffe4,0xffff981f,
    0x85ffff06,0x3b6604fe,0x37fff603,0xea84fecc,0x262ed88d,0xecabcfff,
    0x01f75402,0x2a03ffd4,0x02ed88de,0x2200e64c,0x4c9d92ed,0xcceffccc,
    0x37ff6204,0x00000000,0x3fffe000,0xff527f46,0x807fffff,0x4099dffb,
    0x07dfb148,0x03ff7fee,0xfd1bfffe,0xffa80009,0x0001881e,0x0000bff2,
    0x02ffc400,0xee880000,0xff100000,0x6640000b,0x91059903,0x6c017bdb,
    0xff06eeee,0xa7f45ffd,0xdffefffa,0x07fec03f,0x37fa0000,0xeff83ffa,
    0x413fa2ff,0x0cdeecb8,0x20007ffa,0x0cdeecb8,0x10005ffb,0x019bdd97,
    0xdc9800c4,0x7001bdee,0x333320bf,0xf880cccc,0xdb93005f,0x17fe37bd,
    0xff513fe2,0x203dffff,0xf07fffff,0x7f4dfd9f,0xbf33ffb4,0x817fe004,
    0xccccccc9,0x45ffc44c,0xecff85ff,0x2a13fa5f,0x1fffffff,0x5000dff1,
    0x3fffffff,0x002fffee,0x7fffffd4,0x6666641f,0xffc83ccc,0x204fffff,
    0xf03fecb9,0x1fffffff,0x900bff10,0x9fffffff,0x3fe217fe,0x337ffe24,
    0x33307ffe,0x33fe0ffd,0x29fd2ffa,0x04fa8ffe,0x5409ff10,0xffffffff,
    0xfe8ffd47,0x7de7fc0f,0xfb89fd1f,0x1fecceff,0x554c9ff3,0x7ffdc1aa,
    0xf11fecce,0x403bffff,0xeccefffb,0x7ffffc1f,0x7fec6fff,0x84feccdf,
    0x5fffffe8,0xfd999990,0x0bff101f,0xccdfffd8,0x10bff4fe,0x17fec9ff,
    0xfb00fff6,0x7f53fe0f,0x3ff69fd6,0xf3003fde,0x6664c07f,0x6c4cceff,
    0xf0bfee7f,0x3abff19f,0x0fffe24f,0x91ffd422,0x7c49ffff,0x260883ff,
    0x0dfffffe,0x441fffc4,0x6667ffc0,0x3bfea3cc,0x7fc41881,0x05fffedf,
    0xf101ff90,0x77fd40bf,0x0bff1881,0x3fe29ff1,0x406ff886,0x29ff07fd,
    0x34febffa,0x03bfffff,0x3ffffff2,0xff100fff,0xf32ffc0b,0xf94ff89f,
    0x7dc9fd1f,0x3ffa804f,0xb93ffbae,0x6d4004ff,0x7dc5ffff,0x1bfe004f,
    0x8007ffa0,0xfdfd2ffc,0x1ff9003f,0x740bff10,0x5ff801ff,0xff34ff88,
    0xb01ffa07,0xe93fe0ff,0x3aa4feef,0x40dfffff,0xfffffffc,0xbff100ff,
    0x266ffe60,0xa7fc7ff9,0x24fecff8,0xf9801ffd,0x24ff884f,0x10001ffd,
    0x7ec3fff9,0x1bfe001f,0x800dff10,0xf1ff16fe,0x1ff9007f,0x220bff10,
    0xbff006ff,0x3ea9ff10,0x01ffb02f,0x4ff83fec,0x213fffea,0x06fffffa,
    0x44003ff2,0xfff905ff,0x43ffffff,0x3bff64ff,0x003ffa4f,0x3e21ffe2,
    0x003ffa4f,0x745ffb00,0x3fe000ff,0x327fcc06,0xff835555,0x17febf74,
    0x2203ff20,0x9ff305ff,0xf8d5554c,0x74ff885f,0x3ff605ff,0x7c1ff601,
    0x27fff44f,0x7ffdf7c4,0x400ffb02,0xffd05ff8,0x7fffffff,0xfff327fc,
    0x003ffc9f,0xff887ffb,0x0001ffe4,0x7ff87ff6,0x667ffc00,0x7ff52ccc,
    0x127fffe4,0x74bfa7ff,0x0ffc805f,0xf505ff88,0x7fffe47f,0xff10bff4,
    0x6c0bfee9,0x1ff600ff,0x3fea27fc,0xf75f984f,0x01ffa07f,0xf885ff88,
    0xf99999cf,0xfd13fe6f,0x03ffc9ff,0x35bfff30,0x3ffc9ff5,0x999ace80,
    0x3ffc7ffc,0x3ffffe00,0x7ff54fff,0x227ff75c,0x3e7f8cff,0x0ffc804f,
    0x3bff3331,0x71ffd433,0x3fe9ffdd,0xf54ff885,0x01ffa07f,0x13fe0ffb,
    0x3ea13ffa,0x3e05ff93,0x3fe2006f,0xd01ffb85,0x513fe1ff,0x7ff49fff,
    0x3ffee000,0x3a4fffff,0xffe800ff,0x41ffffff,0x3e000ffe,0x2cccccff,
    0xff109ff3,0x4fcefd89,0xf9007ff5,0x3fffea1f,0x3e67ffff,0xf4ff884f,
    0x27ff10bf,0xff885ff9,0xf83fec06,0xf4ffa84f,0xffb9fb9b,0x017fe01f,
    0xfd85ff88,0x7cbff207,0x24ffe84f,0x4c003ffd,0x1dfffffd,0x3600fff6,
    0x1dffffff,0x2003ffd8,0x7fc406ff,0x5c4ff887,0xffaaffff,0x0ffd800f,
    0xfffffff5,0x43ffc4ff,0x0ffd4ff8,0x7ffc5ff5,0x201ffdc0,0xf98007fd,
    0xffffff4f,0x3e603fff,0x3fe2003f,0x3fe88005,0x7ffd4000,0x01310000,
    0x4003ffea,0x7d400998,0xdff000ff,0x887ffb00,0xfffd84ff,0xd002ffff,
    0x0ffa00ff,0xff887ffb,0x261bff94,0x3fee0ffe,0x07ffc9be,0xc8007fd8,
    0xffdb72ff,0xffc807bd,0x17fe2001,0xb017f200,0xfffe807d,0x201ebaac,
    0x7ff403ed,0x01ebaacf,0xffe807db,0x41ebaacf,0xff9806ff,0x4ffa9adf,
    0x3bffffd0,0x3f226ba0,0x86fb805f,0xa9adfff9,0xffff14ff,0xe885ffff,
    0x2fffffff,0xffe99988,0x3aa00999,0x07f80fff,0x037ff664,0x6ffcccc4,
    0xdfd00199,0x03ff1013,0xfffffe98,0x3ff101ff,0xffffe980,0xff881fff,
    0x7fff4c01,0x7fc1ffff,0x42aaaaaf,0xfffffffb,0x035fd04f,0xfffffff0,
    0x13dfb003,0xffffffb8,0x3ff624ff,0x3f201eff,0xf500dfff,0xffffffff,
    0x17ffe405,0x3fa037c4,0xfa801eff,0x7fffffff,0x05fff900,0x76400ff5,
    0x500dffff,0x7f6400ff,0xfa80dfff,0x3ffb2007,0x7ffc0dff,0x986fffff,
    0x1dfffffd,0x36007f98,0x001dffff,0xb305fff7,0x03bfffff,0x03100062,
    0xffffff50,0x65405fff,0x7013a602,0x7d400179,0x7fffffff,0x202eea00,
    0x130003c9,0x00079300,0x07930026,0xff802600,0x06ffffff,0x2a6004c4,
    0x00188001,0x88017750,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99500000,0x882cca81,
    0x009d92ed,0x5001f76c,0xa9801bdd,0xf32f4c00,0x776e440b,0xddb001ce,
    0x325db107,0x276c404e,0x5d70ed80,0x36637ae0,0x5555401e,0x2ed881aa,
    0x74c009d9,0x76c401de,0x7ddb0004,0x4000a980,0xffc84fe8,0x403ffe21,
    0x005feff9,0xa800fff6,0x7ec00dff,0x3ff202ff,0xf703ffb2,0x05ffffff,
    0x4c07ffb0,0x4c05feff,0xc805feff,0x201ffeff,0x802ffffc,0x04ffffff,
    0x00bfdff3,0x20077fcc,0x005feff9,0x3601ffec,0x2a002fff,0x1ffc87ff,
    0xb300fff6,0x6f64009d,0x0fb66001,0x1ba73e60,0xdf50efa8,0xbcfff981,
    0x76402eca,0x4ed9801d,0xec976c40,0x2dfec804,0x002eeb80,0x05999999,
    0x100276cc,0xdb1009db,0x64013b25,0x67cc01de,0x3e2006e9,0x51ffc85f,
    0x00000bff,0x30000000,0x0001f65f,0x0002ffc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01f65f30,0x3ff20310,0x900fff89,0x99999999,
    0x66665479,0x401ccccc,0x04cccccc,0x2a0ffbfa,0x399501cc,0x6400bff6,
    0x22cb82cc,0x2cb82ccc,0x0cc80795,0x33333326,0x666544cc,0x32601bcc,
    0x4ccccccc,0x3333332a,0x66541ccc,0x9501bccc,0x0732a039,0xfd000997,
    0xcc9807fd,0x94cccccc,0x05ffb3ff,0x3fffffe2,0x3f25ffff,0xffffffff,
    0x3fffe602,0x32e207ff,0x10bff302,0x7ffdcdff,0x3fffc00b,0xffff27f4,
    0x1bf29fd0,0x3ea1ff88,0x7fffffff,0x7fffffe4,0xffff505f,0x7e4fffff,
    0xffffffff,0x7ffffe42,0x5ff985ff,0xfd86ff88,0x2cb88007,0xfffffa80,
    0x9ff97fff,0xccc809ff,0x3ccceffc,0x3bbbbbae,0x3f202fff,0x444ccfff,
    0x2154c0aa,0x7fdc1ffe,0x3ffffe22,0x5ffff01d,0x3ffe4fe8,0xfba7f42f,
    0x983fe206,0xcceffccc,0x766ffe44,0xcc984fff,0x24cceffc,0xfeeeeeeb,
    0x6ffe42ff,0xe84fffec,0x17fdc1ff,0x26003fec,0x4c02bccb,0xcceffccc,
    0x3fffff94,0x02ffc400,0x102ffe40,0x5c0ff9ff,0x07fe41ff,0x7fc4bff3,
    0xffffe986,0x7fffc0df,0xfff27f46,0xf74fe8df,0x807fc40d,0x3f205ff8,
    0x01bfea1f,0xc800bff1,0x1ffc85ff,0x3e61bfea,0x41bfe25f,0x3fa007fd,
    0x00efffff,0xfc85ff88,0x2005ffcf,0x4c005ff8,0x3ee00fff,0x3ee07fae,
    0x207fe41f,0x5ff70ffe,0x7fffed40,0x17ff7fc5,0x7f7fc9fd,0x7d53fa2f,
    0x07f98627,0xfc817fe2,0x203ffc1f,0x26005ff8,0xffc80fff,0xfe83ffc1,
    0x205ff70f,0x3ba007fd,0x05ffdbbc,0xfc85ff88,0x003ffd9f,0xe800bff1,
    0x5ff402ff,0x3fee07fa,0x2607fe41,0x00dff4ff,0xf87fff22,0x3fa5fecf,
    0x97fb3fe4,0x6cff54fe,0x440ff33f,0x3ff205ff,0x101bfe21,0x7f400bff,
    0x43ff902f,0xff306ff8,0xfd81bfe9,0x7f402007,0x85ff8807,0xfff89ffc,
    0x05ff8800,0x3017fee0,0x99ff51ff,0x641ffb87,0xbffe80ff,0x7ec002ff,
    0x3ef3fe2f,0x7fc9fd1f,0x9fd1ffbc,0x35ff9fe6,0x2ffc40ff,0xd735ff90,
    0xff8805ff,0x0bff7005,0x75cd7fe4,0x3ffa02ff,0x3f602ffb,0x7fd80007,
    0xc85ff880,0x0dff71ff,0x200bff10,0x6400fff9,0xdffff56f,0x7e41ffb8,
    0xffff980f,0x1ffd8006,0x57fe33fe,0x233fe4fe,0x269fd5ff,0x31fff37f,
    0x2ffc40df,0xffffff90,0xbff1005d,0x01fff300,0x7fffffe4,0x7ffcc02e,
    0x03fec06f,0x3fffb6a0,0x5ff8807f,0x3fa1ffc8,0x2ffc403f,0x802ffe80,
    0x99ff53ff,0x641ffb87,0xfffd00ff,0x266b3a05,0x3e0fffc9,0xfd1ff94f,
    0xffca7fc9,0x1ff14fe8,0xdf55fff9,0x902ffc40,0x09ffffff,0x2017fe20,
    0x7e402ffe,0x004fffff,0xd805fffd,0x3ff6007f,0x807fffff,0xffc85ff8,
    0x807ffe61,0xfb805ff8,0x0ffa804f,0x7fdc0ff5,0xa807fe41,0x3ffa06ff,
    0x42ffffff,0xd9ff14ff,0xf8a7fc9f,0xff14fecf,0xf5bf7fd1,0x02ffc40b,
    0xffd13ff9,0x0bff1005,0xc804ffb8,0x2ffe89ff,0x806ffa80,0xff7007fd,
    0x403fe41b,0xffc85ff8,0x1037fe41,0xff980bff,0xfffd800f,0x3ea07fff,
    0x03ffe62f,0xfb02ffc4,0x03bfffff,0x77fec9ff,0xfd93fe4f,0x5ff14fef,
    0xbf7ff3bf,0x902ffc40,0x1bfe23ff,0x9817fe20,0xfc800fff,0x00dff11f,
    0xfb00bff1,0x03ff600f,0xff100ffb,0x2200000b,0x7ff405ff,0xffff8802,
    0x3e607fff,0xffffb9df,0x00bff100,0x7c03ff53,0x3fffe64f,0xff993fe4,
    0x3f7fe4ff,0x40bfbfd2,0x3f205ff8,0x00bff61f,0x7f40bff1,0x3ff9002f,
    0x22017fec,0x7fd805ff,0x227ff900,0xf8807ffd,0x03ed805f,0xb817fe20,
    0xcccccfff,0xf51fee1c,0xffd0333f,0x01ffbfff,0x54017fe2,0x227fc06f,
    0x3fe4fffe,0xf27fff44,0x3ff21fff,0x7cccc44f,0x7e4199df,0x21bfe61f,
    0x9dff9998,0x33ffee19,0x641ccccc,0x1bfe61ff,0xb00bff10,0x555555ff,
    0x7ffffd41,0x33107fef,0x0333bff3,0x44003ff1,0x3ffa05ff,0x3fffffff,
    0xfff513fa,0xffe981ff,0x100ff9af,0x3f200bff,0x2a27fc04,0x13fe4fff,
    0x7fc9fff5,0x13ffe65f,0xfffffff5,0x41ffc8ff,0x7fd42ffe,0x27ffffff,
    0xfffffffe,0x0ffe43ff,0xf880bffa,0xfffd805f,0x5c1fffff,0x7f9bffff,
    0xffffff50,0x0ff50fff,0x205ff880,0xfffffffe,0x83ff33ff,0x00fffffa,
    0xff880031,0x80153005,0x4ffe84ff,0x3ffa13fe,0xff0fffa4,0xffffa87f,
    0x7e47ffff,0x237fd41f,0xfffffffa,0x3ffffa7f,0x643fffff,0x37fd41ff,
    0xb00bff10,0xffffffff,0xa8006603,0xffffffff,0x0003c987,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd8000000,0xa805d70e,0x001aaaaa,0x9700eeb8,0xb09ddddd,0xb10bae1d,
    0x74c007dd,0xd8817e65,0x4bb6204e,0xddb004ec,0x03eed887,0x0013b620,
    0x3a607ddb,0xb8817e65,0x100cdeec,0x2aa009db,0x6c41aaaa,0xdb1003ee,
    0x003baa09,0x3ffdff90,0xffffff80,0x85fe8004,0xfffffffa,0xfeffc85f,
    0x3ffd881f,0x365ff900,0xeff981ff,0x3bfe605f,0x7ffb005f,0x00fff620,
    0x017fbfe6,0xf901ffec,0x207ff65f,0xfffffffa,0x5feff981,0xffffff80,
    0x03ffd884,0x42ff7fcc,0xc8004ff8,0xcc802dfe,0x4002cccc,0x7fcc1ffa,
    0x5ff9cfff,0x805bfd90,0xfa801eea,0x881df50e,0x409d92ed,0xd9004ed9,
    0x3dd5003b,0xec976c40,0x00ef6404,0x77d43bea,0x677ffdc0,0x76c41fec,
    0xcc809d92,0x2a02cccc,0x5db101ee,0x1ff213b2,0x00000000,0xfd0dfb00,
    0x3fe9ffff,0x00000005,0x00000000,0x00000000,0x00000000,0x441fffc4,
    0x00000000,0xf9800000,0x6654002f,0x9995001c,0x3ff98003,0x4ffffff8,
    0xcccc8bff,0x9503cccc,0x664c0399,0x24cccccc,0xccccccc9,0x6666644c,
    0x33263ccc,0x44cccccc,0xccccccc9,0x6666644c,0x99503ccc,0xcccc8039,
    0x3ee3cccc,0xcca8004f,0x6666401c,0x6643cccc,0x93cccccc,0x85991079,
    0x7fc006fe,0xfff004ff,0xffc8009f,0x7ffffc40,0xff8bff4f,0x06ffffff,
    0x5409ffff,0xffffffff,0x3ffffea7,0x7ffc7fff,0x2a6fffff,0xffffffff,
    0x7ffffd47,0x7ffc7fff,0xf06fffff,0xff809fff,0x26ffffff,0xf8001ffd,
    0x7fc04fff,0x46ffffff,0xffffffff,0xff10dff6,0x001ffa89,0x00dffff3,
    0x00dffff3,0xff827fc4,0xbff4ffff,0xccccfff8,0xffff983c,0x3f332606,
    0x3264ccef,0x4cceffcc,0x66667ffc,0x3f33263c,0x64c4ccef,0x4cceffcc,
    0x66667ffc,0xffff983c,0x667ffc06,0x3ffa3ccc,0x7ffcc000,0x67ffc06f,
    0x7fc3cccc,0xf3cccccf,0x09ff10df,0x3ee00bff,0x5c00ffdf,0x000ffdff,
    0x3f201ff7,0xbff4ffff,0x2e006ff8,0x800ffdff,0xf8805ff8,0x01bfe05f,
    0x200bff10,0x3fe05ff8,0x37fee006,0x1bfe00ff,0x2001ffe0,0x00ffdffb,
    0x7fc01bfe,0x4437fc06,0x0ffb84ff,0xffadfe80,0x7d6ff403,0x0bfd003f,
    0xf4ffffe8,0x006ff8bf,0x0ffeb7fa,0x2017fe20,0x3fe05ff8,0x2ffc4006,
    0x205ff880,0x3fa006ff,0x3e03ffad,0x07ff806f,0xffadfe80,0x401bfe03,
    0x37fc06ff,0x7c427fc4,0x5ffc403f,0x3e205ff8,0x805ff8bf,0xeb802ffa,
    0xf8bff4ff,0x7ff1006f,0xf100bff1,0xbff100bf,0x20037fc0,0xf1005ff8,
    0x037fc0bf,0xff8bff88,0x201bfe05,0x22000ffe,0x05ff8bff,0x7fc01bfe,
    0x4437fc06,0x0ffb04ff,0xffd1ffa8,0x747fea01,0x37ec00ff,0x5ff84c00,
    0x66667ffc,0xe8ffd42c,0x7fc400ff,0x05ff8805,0x33333ffe,0x0bff102c,
    0xf817fe20,0x2cccccff,0xffe8ffd4,0x999fff00,0x1ffec599,0x3a3ff500,
    0x9fff00ff,0xff859999,0xf2cccccf,0xfdddddff,0x0bfe609f,0x3fee7fd8,
    0x7dcffb02,0x0ffe202f,0xf8bff000,0x4fffffff,0x5ff73fec,0x805ff880,
    0x3fe05ff8,0x04ffffff,0x2200bff1,0x3ffe05ff,0x6c4fffff,0x40bfee7f,
    0xffffffff,0x003ffea4,0x5ff73fec,0x3fffffe0,0x7fffc4ff,0xfff4ffff,
    0x9fffffff,0xff037f40,0xf827fccb,0x813fe65f,0x40000ffc,0x67ffc5ff,
    0x7fc2cccc,0x1013fe65,0xff100bff,0x667ffc0b,0xff102ccc,0x17fe200b,
    0xccccfff8,0xf32ffc2c,0x33ffe09f,0x7f42cccc,0x1ebaacff,0x9ff32ffc,
    0x3333ffe0,0x67ffc2cc,0xfff2cccc,0x9ffb9999,0x4c0ffd40,0xff999bff,
    0x99bff987,0xff107ff9,0xbff00009,0xf9806ff8,0x7ff999bf,0x402ffc40,
    0x3fe05ff8,0x2ffc4006,0x205ff880,0xff9806ff,0x07ff999b,0x3a600dff,
    0x1fffffff,0x2666ffe6,0x0dff07ff,0xff01bfe0,0x809ff10d,0xfffc84ff,
    0x41ffffff,0xfffffffc,0x1ffb81ff,0x27fcc000,0x3f201bfe,0xffffffff,
    0x017fe201,0xff817fe2,0x2ffc4006,0x205ff880,0xffc806ff,0x1fffffff,
    0x22006ff8,0x0dfffffc,0x3ffffff2,0x6ff81fff,0xf80dff00,0x04ff886f,
    0x3fa07fe4,0xffffffff,0x7fffff43,0xfe83ffff,0x3204c005,0x037fc2ff,
    0x7ffffff4,0x3e203fff,0x5ff8805f,0x1001bfe0,0x3e200bff,0x01bfe05f,
    0x3ffffffa,0x6ff83fff,0x00ffb800,0xfffffffd,0x0dff07ff,0xff01bfe0,
    0x809ff10d,0x3fe23ff8,0xff99999c,0x2673fe26,0x4c6ff999,0x3a2002ff,
    0x86ffecdf,0xaaaaafff,0x3339ff12,0x988dff33,0x199dff99,0x37fe6662,
    0x57ffc199,0x2622aaaa,0x199dff99,0x6ffcccc4,0x57ffc199,0xff12aaaa,
    0xff333339,0x555fff0d,0x27ec0555,0x999cff88,0xff86ff99,0x42aaaaaf,
    0xaaaaafff,0xff10dff2,0x5cffb009,0x1ffd01ff,0x7f407fee,0x001bf60f,
    0xdfffffd1,0xffffff03,0x07feedff,0xff507ff4,0x4fffffff,0xfffffffa,
    0x7ffffc7f,0x3fea6fff,0x47ffffff,0xfffffffa,0x7ffffc7f,0x3ff76fff,
    0xff03ffa0,0x0dffffff,0xffb80ff4,0xf81ffd01,0x6fffffff,0x7ffffffc,
    0xf10dff6f,0x5ff3009f,0xffc81ff6,0x7e40ffb2,0x0006aa2f,0xf015e5d4,
    0xdfffffff,0xffc81ff6,0x3ffffea2,0x3fea7fff,0x47ffffff,0xffffffff,
    0x3ffffea6,0x7fd47fff,0x47ffffff,0xffffffff,0x7e40ffb6,0x7ffffc2f,
    0x0aa06fff,0x3f207fd8,0x7ffffc2f,0x7ffc6fff,0xff6fffff,0x009ff10d,
    0x000006aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdb000000,0x237ae07d,0x3a601ed9,
    0xb0017e65,0x031007dd,0x07ba6000,0x00000130,0x007ba600,0x2ea00000,
    0x00000000,0x00000000,0x4c000000,0xfd8005ee,0x7ffe403f,0x97fe402f,
    0xfb001ffd,0xbff1007f,0x0ff70000,0xea81ffc8,0x01ed81df,0x7fbaee88,
    0x1dfffd98,0x453ff620,0x002ffc44,0x2fd43be2,0xbf50ef88,0x7d43be20,
    0x29ffb105,0x21df1048,0xffb105fa,0xdff31229,0x01dec800,0x5005dd70,
    0x03bea1df,0x40077b20,0x22007ffa,0x013f63db,0xff887ffd,0x02fdc6fd,
    0x4fdbff98,0x7fffffd4,0xffff901f,0x6ff85fff,0xe9ffdc00,0x3ffb80ff,
    0xff701ffd,0x3203ffa7,0x2fffffff,0xffd3ffb8,0xfffff901,0x37fc45ff,
    0x00000000,0x00000000,0x4c009fd1,0x007fe3ff,0x3fb83ff7,0x03fe23fb,
    0x7fdffcc0,0xfa977fc1,0x3669105f,0x05fb83ff,0xfa877440,0x2a1dd105,
    0x21dd105f,0x269105fa,0xdd103ffd,0xa4417ea1,0x7c43ffd9,0xcccc806f,
    0xcc83cccc,0x000abccc,0x2a039995,0x399501cc,0x7cc00080,0x2010003f,
    0x367f92fc,0x3fe6003f,0xf89ff303,0xeb80006f,0x0000002f,0x00000000,
    0x40000000,0xff805ff8,0x86ffffff,0xffffffff,0x4ffff803,0xf10bff30,
    0x5e5cc0df,0x3f2aa201,0x802aaadf,0xf30acca9,0xbf53fb1b,0xfccba880,
    0x45ff503f,0x5cc04ffa,0x01df82bc,0x57997300,0x05797300,0x55302aa2,
    0x0af32e60,0x406f2e60,0x154c0aa8,0xff00bff1,0x0799999f,0xffdb9dff,
    0x7ffcc09f,0x07ffa06f,0x3f205ff7,0xa80dffff,0xffffffff,0x3ffa207f,
    0x3ffe5fff,0x200ff8ef,0xfffffffb,0x263ff703,0xfd100eff,0x881bffff,
    0x037970aa,0x3ffffffa,0xfffe880e,0x7fdc0dff,0x3a07fe41,0x0effffff,
    0xbfffff90,0x641ffb81,0x017fe0ff,0xff801bfe,0x80fffd45,0x00ffdffb,
    0x7fc4bff3,0xb7bff906,0xddd309ff,0x0bddddff,0x3bbfffe2,0x6cf6e25f,
    0x3ffee03f,0x703ffdcc,0x1dff13ff,0x3bbffe20,0x7fcc5fff,0x82ffffea,
    0xffdbbcee,0x777ffc45,0x7fdc5fff,0x3a07fe41,0x5ffdbbce,0xfdbdffc8,
    0x20ffdc4f,0x13fe0ffc,0xf801bfe0,0x04ffb85f,0x07ff5bfd,0xffb87ff4,
    0x644ff982,0x3fe600ff,0x89ffb003,0x81bea018,0x3e60fff8,0x33ff703f,
    0x7fe407ff,0x98bffa64,0xffefffff,0x8ffd0087,0x3fa64ffc,0x907fee2f,
    0xfd0081ff,0x644ff98f,0x07fee0ff,0x27fc1ff9,0xf0037fc0,0x0bff10bf,
    0xbff17ff1,0xffa7fcc0,0xa81ff706,0x3fe602ff,0x06ff8803,0x5007fc40,
    0x3ff987ff,0xff13ff70,0x21ffa01d,0x3fe64ffb,0x007ff64f,0x1ffa3fec,
    0xffb93fee,0x8007fe41,0x07fdc7fd,0xffb8bfea,0xff07fe41,0x99fff009,
    0xbff05999,0x3ea1bfe0,0x401ffd1f,0x02ffbffe,0xfffffffb,0x7fcc07ff,
    0x03ffa803,0x5dc5fec0,0x260ffe40,0x3ff703ff,0x3e07bff6,0x25ff985f,
    0x7fdc5ff9,0xfffeda82,0x4c2ffc7f,0x07fee5ff,0xdb501ff9,0xfd8fffff,
    0xffffffff,0xf907fee3,0x4027f41f,0xffffffff,0xff05ff84,0x7dcffb0f,
    0x3ffe602f,0x3fffa06f,0x03ffffff,0x2e00ffe6,0x3ea003ff,0x23ffff8e,
    0x7fcc0ffd,0x223ff703,0x3e21fffe,0x4cbff05f,0x17fd43ff,0x3ffffff6,
    0x417fe27f,0x07fee5ff,0xffd81ff9,0x747fffff,0xffffffff,0x907fee3f,
    0x00d541ff,0x66667ffc,0xf05ff82c,0x4cbff0df,0x7ff404ff,0x01ff602f,
    0x803ff980,0xf1004ffa,0xdf39f93f,0x3e60ffe4,0x83ff703f,0x3ffc5ffd,
    0xff327fc4,0x2e2ffa87,0x1ff20dff,0x9ff10fff,0x3f20ffdc,0x837fee0f,
    0x03fec7fc,0xfc83ff70,0x7c00620f,0x17fe006f,0xff317fe2,0x0fff3337,
    0x5c06ffa8,0xf30001ff,0xfff1009f,0x367f9001,0x3ee3fb1f,0x81ffec3f,
    0x7ff81ffb,0x3ee0fff4,0x50ffe63f,0x07fec5ff,0x3ffd1ff6,0x3ea3ffb8,
    0x83ffe62f,0x3fec0ffd,0x54007fee,0x3ffe62ff,0xf00bff10,0x2ffc00df,
    0x3f227fdc,0xffffffff,0x017fe201,0x2885dff1,0x10fffc40,0x26ffff60,
    0xc9bea4b9,0x3e21fd1f,0xfffd99ef,0x413ff703,0x7fdc6ff8,0x47ffb9bf,
    0x7fd43ff9,0x6c4fff22,0x7ffdc7ff,0x4c7ffb9b,0xfffb9dff,0x44fff20f,
    0x7fc47ffd,0x3e61442e,0xffffb9df,0xf00fff50,0x2ffc00df,0xfd03ffe2,
    0xffffffff,0x02ffc407,0x7fffffdc,0xfffd806f,0xfff107ff,0x3a2bffff,
    0x3f7bea1f,0x7ffffec6,0xff703ffe,0x7fffff53,0xffffffd0,0x43ff985f,
    0x3fea2ffa,0x87feffff,0xfffffffe,0xfffffe82,0x3fea0ffd,0x87feffff,
    0xfffffffb,0xfffffe86,0xbff10ffd,0x555fff00,0x5dff0555,0x889fff95,
    0x99999cff,0x3fe206ff,0xfffd5005,0xfb100bff,0x6440ffff,0xf93fffff,
    0x03dff909,0xfd1bfff9,0x2a7fee07,0x3202efff,0x981dffff,0x17fd43ff,
    0x26ffffee,0xffff907f,0x3ffa603b,0x5c0ff9af,0x7f9bffff,0xfffffd50,
    0x5fffd30b,0x00c41ff3,0xfffffff8,0xfffff86f,0xffb83fff,0x201ffd01,
    0x98005ff8,0x13300009,0x0004c400,0x0004c004,0x88002620,0x21ffcc01,
    0x03302ffa,0x44003100,0x000cc001,0x18800998,0x7ffc0000,0xf86fffff,
    0x00cdefff,0x7fe40ffb,0x00bff102,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6f4d7ae0,
    0x40dd9000,0x805d71ec,0xb8004ed8,0x3b660dee,0x8954400d,0x2aa00bcb,
    0x7300aaaa,0x55105799,0x2002f2e2,0x2e001eeb,0x3b660dee,0x4000000d,
    0x3ca8deeb,0x47b20000,0x6c0002eb,0x1bcb983e,0x36019700,0x5c02ffdf,
    0x81cffecc,0x01ffdffc,0x013fbfa2,0x980dffb8,0x3ee00ffe,0x1fffff9f,
    0x7fffffd0,0xffffffd0,0x7cffdc1d,0x2e01ffff,0xb800ffef,0xfe980dff,
    0xffd8800f,0x3ea20914,0xd04fffff,0x403be65f,0x01ffdffc,0x9b77776c,
    0x7ffe41ff,0x3ee00dff,0x0bff606f,0x3fffff60,0x5fffb03f,0x745ff440,
    0x3ffb804f,0x807fec40,0xfeeffffb,0x5555505f,0x779dd015,0x7fdcbffb,
    0x05ffeeff,0x1df51df7,0x201ffdc0,0x6400ffd8,0x2fffffff,0xefffffc8,
    0x95ff981b,0x7fec05ff,0xffff802f,0xfc8df57f,0x04ffdbdf,0x0001bff2,
    0xaffeaaa8,0x00006201,0x40000000,0x3fa3fffb,0xd0080007,0x1fffdcff,
    0x00000ffd,0xa4400000,0xb903ffd9,0x401fff79,0x01df31fe,0x26600188,
    0x49f97fe9,0x7fe44ff9,0x403db100,0x300acca9,0x40ffd995,0x102bccb9,
    0x42a98155,0x154c0aa8,0x55302aa2,0x3f227fdc,0x3797300f,0x2e7fd800,
    0x07fe44ff,0x01599530,0x200af2e6,0x0002bcb9,0xbffd7300,0x97300000,
    0x7fd80037,0xf503fee0,0x3a20005f,0x445fffff,0x7ffffffd,0xffffffd0,
    0x41ffb81d,0x3fee0ffc,0xf707fe41,0x70ffc83f,0x0ffc83ff,0xdfffffc8,
    0xfffeda80,0x907fee7f,0xffd101ff,0xfe88bfff,0x880dffff,0x0dfffffe,
    0xbcb89544,0xffffb100,0x555505ff,0xfff90055,0x36001bff,0x3fff607f,
    0x03ffffff,0xfff107ba,0xfe8bfddf,0x07ffccef,0xffb779dd,0x641ffb8b,
    0x07fee0ff,0x7fdc1ff9,0xfb87fe41,0x207fe41f,0xffdbdffc,0x7ffffec4,
    0x07fee7ff,0xff881ff9,0x225feeff,0xfffeefff,0x777ffc45,0x7fdc5fff,
    0x81fffff9,0xffdceffe,0x7fffff86,0x6deffe40,0xffb004ff,0x7fffff40,
    0x3e03ffff,0x227fec2f,0xb13fee18,0x7f4020ff,0x320ffdc7,0x07fee0ff,
    0x7fdc1ff9,0xfb87fe41,0x307fe41f,0x0ffc89ff,0x7e41bff7,0xf907fee7,
    0x44ffd81f,0x993ff218,0x3ff22ffe,0xb8bffa64,0xffeeffff,0x3a27fdc5,
    0x7f76c0ff,0x13fe607f,0xfb001ff9,0x003fec0f,0xf11ffe54,0x1ffd00df,
    0x6c007fd8,0x20ffdc7f,0x3fee0ffc,0xf707fe41,0x70ffc83f,0x0ffc83ff,
    0xff503fee,0xfb03ff65,0x320ffdcf,0x1bfe20ff,0x3ee1ffa0,0x2e1ffa4f,
    0x3ffee4ff,0xffd1ffa3,0x202ffc81,0x3fee07fd,0x4017fd40,0x3fee07fd,
    0xfffb1001,0x01ffd47f,0x3fec37fc,0xffffdb50,0x641ffb8f,0x07fee0ff,
    0x7fdc1ff9,0xfb87fe41,0xb07fe41f,0xffffffff,0x44fff27f,0x3fee7ffd,
    0xf507fe41,0x0bff007f,0x2ffcbff3,0xff72ffcc,0x3e0ffc89,0x03ffb86f,
    0xffd81ff6,0x3fffffff,0x2207fd80,0x21442eff,0x21abeffc,0x7c403ffb,
    0xb07fd85f,0xffffffff,0x7e41ffb8,0x907fee0f,0x0ffdc1ff,0x7fdc3ff2,
    0xfd07fe41,0xffffffff,0x3ffffea7,0x3fee7fef,0xf707fe41,0x5ff8807f,
    0x3fe2bff0,0x7dcbff05,0x887fe41f,0x3ffa85ff,0xfe81ff60,0xffffffff,
    0x407fd803,0xfffffffb,0xa807ffc6,0x7ff804ff,0xffb87fd8,0xf71ff20d,
    0x20ffc83f,0x7fe41ffb,0xf907fee0,0x907fee1f,0x03fec1ff,0x37ffff70,
    0x20ffdcff,0x3fea0ffc,0x887ff804,0x21ffe4ff,0x3fee4ff8,0xff07fe41,
    0x407ff70f,0x1ff607fd,0x01ff6000,0x3fffffaa,0x881bfe25,0x7fc00fff,
    0x21ffe60f,0x3fec0ffd,0xff98bfea,0x98bfea0f,0x3fea0fff,0x003ffe62,
    0x001ffb80,0x009fb0cc,0xfff11ffa,0x41ffe801,0x3ffa3ffb,0xf71ffdc1,
    0x20ffc83f,0x7fec1ffe,0xb81ff601,0x6c0001ff,0x77e4007f,0x201fff80,
    0xb99bfffd,0x2a77ff24,0xffc87fff,0x98fffb13,0xfffb9dff,0x277fe60f,
    0x260ffffb,0xfffb9dff,0x407db00f,0x1442eff8,0x98037dc0,0xfffd86ff,
    0x3ee4b99b,0x7ffb9bff,0x5cdfffdc,0x0ffdc7ff,0xffc83ff2,0x06ffc8ae,
    0xff103fec,0xb002885d,0x2ff800ff,0x137fff90,0xffffff88,0x3fffe25f,
    0xfa87fdff,0x7fefffff,0xdfffffe8,0x7fff40ff,0x740ffdff,0xffdfffff,
    0x401ff880,0xfffffffb,0x09ffc806,0x05fffb10,0xfffffff1,0xfffffe8b,
    0xfffe82ff,0x7dc2ffff,0x107fe41f,0xffffffff,0xfe999883,0x7dc0999f,
    0x06ffffff,0x3ffd3331,0x7fcc0133,0xffffd01c,0xfffc887f,0x7ff4c3ff,
    0xf707faaf,0x0ff37fff,0xf35fffd3,0xfffe981f,0x74c0ff9a,0x0ff9afff,
    0xd5007fa8,0x00bfffff,0x2207fff5,0x32203fff,0xc83fffff,0x201dffff,
    0x81dffffc,0x7fe41ffb,0x7fffec40,0xffffa81d,0xa82fffff,0x05fffffe,
    0xfffffff5,0xfff805ff,0x3fffee07,0x10026203,0x00330003,0x0c400188,
    0x98006200,0x0998003c,0x80ddcc00,0x22000bc8,0x00188009,0x3fee00c4,
    0x3007fe41,0xffffa803,0x402fffff,0x7fd40099,0x2fffffff,0x40165c40,
    0x00001a99,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd100000,0x0276c401,0x306f75c0,0x22001bdb,
    0x007d92ed,0x400f74c0,0x2202eed8,0xdb1004ed,0xbdd70009,0x006f6cc1,
    0x2aaa0000,0x2aa00aaa,0x3200aaaa,0x9805d71e,0x47dd74ee,0x55300aa9,
    0x002f3b61,0x00395008,0xfe8817ee,0x3ee004fe,0xffe980df,0xfbff3000,
    0x7fb8000b,0x01ffe880,0x013fbfa2,0x009fdfd1,0x4c06ffdc,0xf9000ffe,
    0x7403219f,0x203fffff,0x03fffffe,0x07ff7ff2,0xff55fe88,0xd04ffa89,
    0x3fffa1ff,0xffb500cf,0x1bfe69ff,0x03fecb98,0x9fd17fd1,0x807ff700,
    0x3000ffd8,0x2e001dff,0x2027ec4c,0x2200dfe8,0x04fe8bfe,0x9fd17fd1,
    0x807ff700,0x5c00ffd8,0x3fffffff,0x15555550,0x55555540,0x17ffec00,
    0x7fcd7f60,0xf30fff02,0x7ff75c9f,0xffffc85f,0x0fff55ff,0xbfffffd1,
    0x00000000,0xb0000000,0x002fe8ff,0x00000000,0x20000000,0x0bff9148,
    0x40000000,0x20000018,0x7fe42ffc,0x47fff301,0x988aeffa,0xff10bb22,
    0x0bfffdbf,0x400de5cc,0x9801bcb9,0xb9801bcb,0xffb001bc,0x332a6000,
    0x5e5cc00a,0x5e65cc02,0x5e65cc02,0x5e65cc02,0xb9800002,0xb9802bcc,
    0xcb9802bc,0xbcb9802b,0x22ffc402,0x7fd406ff,0x0003ff65,0xefe97fe4,
    0xfffc81ff,0xff900dff,0x3201bfff,0x00dfffff,0x1bfffff9,0x4007fd80,
    0x5fffffe8,0xfffffd10,0xffffd01b,0xffd01dff,0xd01dffff,0x1dffffff,
    0x05555550,0xffffffe8,0xfffe880e,0xfe880dff,0x880dffff,0x0dfffffe,
    0x7cc3ff60,0x2ffcc03f,0x5db00dff,0x1ff16fe8,0xdffc87ff,0xfc84ffdb,
    0x84ffdbdf,0xffdbdffc,0xdbdffc84,0x3fec04ff,0xdffff100,0xfff10bfd,
    0xd0bfffdd,0xbffb779d,0xfb779dd0,0x779dd0bf,0xfff0bffb,0xcee80fff,
    0x445ffdbb,0xfffeefff,0x777ffc45,0x7fc45fff,0x05fffeef,0x7fe4ffea,
    0xf27fe400,0x87fd00bf,0x3ebf74ff,0x913fe65f,0x27fcc1ff,0xff983ff2,
    0xf307fe44,0x00ffc89f,0xfd801ff6,0x7e40c44f,0x0bffa64f,0x021ffa01,
    0xe8043ff4,0xffeed87f,0x7fe80407,0xfd327fe4,0x327fe45f,0x7fe45ffd,
    0x80bffa64,0x20bff6ff,0x20fffeed,0x4ff805ff,0x97f4ffe2,0x03fee5fe,
    0x7fdc5ff5,0xf717fd40,0x22ffa81f,0x7fd40ffb,0x401ff602,0x3a006ff8,
    0x04ffb87f,0x6c00ffb0,0x1ff6007f,0x2000ffb0,0x43ff47fd,0x1ffa4ffb,
    0x7fe93fee,0x3204ffb8,0xd02ffbff,0xff81dfff,0x7c4ff805,0x3fe7f8cf,
    0x3fffff64,0x3f63ffff,0xffffffff,0x3fffff63,0x3f63ffff,0xffffffff,
    0x401ff603,0x3e003ffa,0x85ff985f,0x7ffffeda,0xffffdb50,0x3ffb6a0f,
    0x3fec07ff,0x7fff6d40,0x4c2ffc7f,0x217fe5ff,0x17fe5ff9,0xf9817fe6,
    0x3f606fff,0x00bff00e,0xcefd89ff,0x747ff54f,0xffffffff,0x3ffffa3f,
    0x3a3fffff,0xffffffff,0x3ffffa3f,0x203fffff,0xff7007fd,0x17fe2007,
    0x3ff62ffc,0xd87fffff,0x7fffffff,0xffffffd8,0x03fec07f,0x3ffffff6,
    0x417fe27f,0x0bff15ff,0x2ffc57fe,0x7f405ff8,0x17f603ff,0xff805ff8,
    0x57fffdc5,0x3f60fffa,0x01ff6007,0x36007fd8,0x3f60007f,0x09ff5007,
    0x7c43ffc0,0x837fee4f,0x6ffdc7fc,0xff71ff20,0x203fe41b,0x3fee07fd,
    0xff1ff20d,0x7c9ff10f,0x24ff887f,0x4ff887ff,0x007ffd40,0x2ffc0353,
    0x7ec2ffc0,0x42ffffff,0xf7001ffb,0x3fee003f,0x03ff7001,0x401ff600,
    0xd000fff8,0x3ffb83ff,0xffb03ff6,0x7ec0ffd8,0x3607fec7,0x03fec07f,
    0x7fd81ffb,0x3ee0fff4,0x707ffa3f,0x0fff47ff,0xf700ffee,0x0098809f,
    0xff1017fe,0x3ffffa0b,0x2eff881d,0x3bfe2144,0x3fe21442,0x3e21442e,
    0x201442ef,0x3f6007fd,0x84b99bff,0xfb9bfffb,0x89ffe47f,0x7fe47ffd,
    0xc8fffb13,0xfffb13ff,0x3207fd80,0xfffb13ff,0xb9bfffb8,0x7ffdc7ff,
    0x5c7ffb9b,0xffb9bfff,0x07ffcc07,0x201dfd10,0x7fc405ff,0x0035fd05,
    0xfffffff7,0xfffff70d,0xfff70dff,0xf70dffff,0x0dffffff,0xaaaaffd8,
    0x7ffc40aa,0xfd05ffff,0x85ffffff,0xeffffffa,0x7fffd47f,0x7d47feff,
    0x7fefffff,0x7ff4ccc4,0x3fea0999,0x87feffff,0xfffffffe,0xfffffe82,
    0xfffe82ff,0xc982ffff,0x4c01fffd,0xbff01fff,0x986ff880,0x7f54007f,
    0xd505ffff,0x20bfffff,0x5fffffea,0xfffffd50,0xffffd80b,0xc881ffff,
    0x203fffff,0x01dffffc,0xf37ffff7,0x7ffff70f,0xfff70ff3,0xfa8ff37f,
    0xffffffff,0x5ffffdc2,0xfff907f9,0x7fe403bf,0x3f201dff,0xf501dfff,
    0x3a005fff,0x017fe06f,0x3530dff3,0x004cc000,0x4c001330,0x02660009,
    0x7ffffec0,0x4c401fff,0x80062000,0x00cc0019,0x3ea00660,0xffffffff,
    0x10003302,0x00188003,0x66cc00c4,0x200c000b,0x554405ff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa03100,0x00059951,0x1bdd7000,0x2213b620,0x0154c0aa,
    0xd71ec800,0x74ee9805,0x400007dd,0xaaa80098,0x2e000aaa,0x2aa60dee,
    0x3aa15540,0xcca8001e,0x6c42aaab,0x0007d92e,0x9acca980,0x079b9303,
    0x3e17fe20,0x4ffffdcf,0x6c17ffe6,0x6ffdc01e,0x9fdfd100,0x7e41ffb8,
    0x03db880f,0x1ffdffc8,0x7d57fa20,0x0f6e204f,0x201bfa20,0x03fffffe,
    0xb81bff70,0x23fec1ff,0x26001ffb,0xfffffffe,0x5fdff986,0x9fffd700,
    0xfffffd88,0x7ffd40ff,0xffa806ff,0xdfffff87,0xd7931fff,0x405fb85f,
    0x3a203ffb,0x2e4fe8bf,0x07fe41ff,0xd801ffcc,0x7ec02fff,0x9805ff35,
    0xff9803ff,0x5555401f,0xffb800aa,0xd83ff703,0x00ffdc7f,0xfd55dfd0,
    0x3fe607bf,0xfffd800e,0x77ff45ff,0x220fffcc,0x3ffcadff,0x7c27f440,
    0x7ff50eff,0xf10ff5cc,0x0000001f,0x7e41ffb8,0x03ff980f,0x00000620,
    0x400ffe60,0x000006fe,0x41ffb800,0x0ffdc7fd,0x222ff980,0x200003ff,
    0x1989dffa,0xff913fee,0xfd07fdc1,0x7fc0200b,0xc93fe20f,0x0ff61eff,
    0x05999750,0x22cccba8,0x7fe41ffb,0xbff95510,0x55445555,0x2a2154c0,
    0x44154c0a,0xaadffcaa,0x5100602a,0x442a9815,0x37731bcb,0x7ec1ffb8,
    0x544ffdc7,0x1ffa80bc,0x975027f4,0x7fe40599,0x903ffa00,0x07fdc1ff,
    0x555109fd,0x3e555555,0xb7dc006f,0x3fa205fa,0x880fffff,0x0ffffffe,
    0xffc83ff7,0xffffff50,0x7fdcffff,0xf707fe41,0x40ffc83f,0xfffffffa,
    0x2aaaa7ff,0x07fee02a,0x3fe21ff9,0xffffdfff,0xfb07fee2,0xffaffb8f,
    0x7fcc1fff,0x220ffe64,0x0ffffffe,0xff80ffb0,0x260ffc86,0x05ff93ff,
    0xfffffff1,0x201bfedf,0xf8affeea,0x33ffa00f,0xfe80dbaa,0x70dbaacf,
    0x0ffc83ff,0xddffddd3,0x0ffdcbdd,0xffb83ff2,0x2607fe41,0xeeeffeee,
    0x3ffffe5e,0x907fee07,0x2afa21ff,0x6fdcfffc,0xffb07fee,0xeeffffb8,
    0xeffd87ff,0xfe80effd,0x00dbaacf,0x7fc40ffb,0x740ffc85,0x103ffeff,
    0xffffffff,0x2a01bfeb,0x07fb2bde,0x88037fc4,0x7fdc06ff,0x4c07fe41,
    0x3fee03ff,0xf707fe41,0x00ffc83f,0xed80ffe6,0x3ee07ffe,0x007fe41f,
    0x43fe2bfd,0x3ff41ffb,0xfc8fffee,0x3fffa22f,0xff880dff,0x7f774406,
    0x22eeeeff,0x0ffc86ff,0x0177ffcc,0x7c3ffe60,0xdf50006f,0x0bfff880,
    0x05fffc40,0x3e62ffa8,0x3ff980ff,0xf907fee0,0x20ffdc1f,0x3e600ffc,
    0x0ffb003f,0x3f20ffdc,0xf8ff600f,0x5c5ff71f,0x27fdc7ff,0x6fb93fe6,
    0xfff88011,0xffff100b,0x47ffffff,0x7ffcc7fe,0x97fffa20,0x3fa202cb,
    0x001bfe2f,0x36003fe2,0x202dffff,0x42dffffd,0xffb9dff9,0x3fffa0ff,
    0x2e1fffff,0x07fe41ff,0xffc83ff7,0x00ffe600,0xff703fec,0x220ffc83,
    0xeeeffedb,0x3bff72ff,0x5c3ffff7,0x2ffc41ff,0x03335ff9,0x2dffffd8,
    0xaffeaaa8,0x3ff20aaa,0x0ffffa8c,0x53ff7ffa,0x3ff604fe,0x40037fc4,
    0x015533fd,0x3bffffee,0xfffff700,0x7ffff41d,0x3fa0ffdf,0x1fffffff,
    0xff907fee,0x320ffdc1,0x3fe600ff,0x40ffb003,0x7fe41ffb,0xffdfff10,
    0x2e3ddddd,0xfdffffff,0x83ff70ff,0x3fe65ff8,0x02efffff,0x1dfffff7,
    0xf101ff60,0xffdfffff,0x7ecbfea1,0xf703ffbf,0x00dff0bf,0xfff36fa8,
    0xfffc9803,0x7ffe4c05,0x2bfffa65,0x2a620ff9,0x5c199cff,0x07fe41ff,
    0xffc83ff7,0x00ffe600,0xff703fec,0xf90ffc83,0xb80bf61d,0xe8afffff,
    0x83ff70ff,0x3fa24ff9,0x2ffffeef,0x17fff260,0x74c03fec,0x0ffcafff,
    0x3fa21ff9,0xff981fff,0xf100000f,0x07f7fa3f,0x803ffcc0,0x21887ff9,
    0x9ff304fd,0xf317fd40,0x17fd41ff,0x4c01fff3,0xffb004ff,0xf317fd40,
    0xe93f61ff,0x27fee04f,0x3fee0981,0xfb17fe41,0x05ffa81f,0xfb07ff98,
    0xf90c400f,0x887ff21f,0xff886fff,0x03ed801f,0xdafb9fe4,0x2a05c41f,
    0x205c45ff,0x7d405ffa,0x87ffe207,0x2e77fe60,0x3e60ffff,0xffffb9df,
    0x87ffe200,0x4c0ffb00,0xfffb9dff,0x3eabf90f,0xffb860ff,0x45ff7001,
    0x3fe26ffb,0x225ff885,0x82ffd40b,0x320007fd,0x1bff50ff,0x3a1bff62,
    0x2aaaadff,0xf500ffc4,0x6ff67fcd,0x3fbffe60,0x7fcc2fff,0x02ffffef,
    0xd804ffe4,0x747fffff,0xffdfffff,0x7fffff40,0x7ec00ffd,0x3317ffff,
    0x1333ffd3,0xdfffffe8,0xfdff30ff,0x4fddffdd,0xf7001ffb,0x3fffffff,
    0xa9abfff8,0x3fe62ffe,0x02ffffef,0x64000ffb,0x3fff60ff,0x25ffffff,
    0xfffffffa,0x103fd47f,0x7f7743fd,0x3ffe60ef,0xf981dfff,0x01dfffff,
    0x103fffa8,0x98fffffb,0xff9afffe,0x57fff4c0,0x6c400ff9,0xff57ffff,
    0x5fffffff,0x9afffe98,0x3bff20ff,0x26fffe98,0xb3001ffb,0x01bfffff,
    0xfffffff5,0xffff985f,0x3f601dff,0x3ff20007,0x3ffff220,0xf53ffd9e,
    0xffffffff,0x3f203c98,0x4407f604,0x98800999,0x5cc00099,0x0099801b,
    0x03100062,0x54133000,0xffffffff,0x4003102f,0x54c09980,0x0988000a,
    0xcccca880,0x04ccc402,0x0003fec0,0x00c40553,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x179712a8,0x80eeb800,0x5c2cccba,0x001eeeee,0x00dddddb,0x882b32a6,
    0xcc802eed,0x00cccccc,0x37bddb93,0x33220f32,0xec976c42,0x37b72203,
    0x775c000b,0xdee9800d,0xbdd97101,0x13b62019,0x39ddd930,0x06f75c00,
    0x84ea975c,0x259903cc,0xffff9ffb,0x3ff2001f,0x3ffffa20,0x3fff20ff,
    0xfff002ff,0xfe880fff,0x7445ffff,0x7ffc02ff,0xc80fffff,0x4fffffff,
    0x9ff10dff,0x0bfbff30,0x7fffffd4,0xbff7001e,0x1dff3001,0x3ffffea0,
    0xefe881ff,0xffff704f,0xf7005fff,0x3fea01bf,0x5ff82ffd,0xff74ff88,
    0x0fffddff,0xfd07fe40,0x41b7559f,0x02ffb998,0x0ffd3330,0x777fffc4,
    0x05ff905f,0x7f666664,0x6fffec0f,0xdff4fecc,0x2609ff10,0xff100eff,
    0x0fffd9bf,0x2007ff70,0x3ee04ff9,0x1fecceff,0x7f45ff44,0x4d77fcc4,
    0x7dc07ffb,0xfffb803f,0xf10bff04,0x8fffee9f,0xf9002ffc,0x01bfe21f,
    0x0005ff50,0x7fec0ffb,0x00000c44,0xff507fe4,0x3fe3103d,0x004ff886,
    0x3617fec0,0x000003ff,0x07fff100,0x7dc00011,0x007fe41f,0x3e00c000,
    0x74ff885f,0x4ff989ff,0xffb99530,0x02fffe21,0x0017fd40,0x2259bfec,
    0x555006ff,0xfc800555,0x007ffa0f,0x3fe21bfe,0x65c4aa24,0x437fc40b,
    0x95446ff8,0x5500bcb8,0x7dc05555,0x2aaa004f,0x5ff702aa,0x1aa87fc8,
    0x2aa05995,0x3fe02aaa,0xf74ff885,0x45ff883f,0xffffffd8,0x3ffff60f,
    0x17fd402d,0x7f7fec00,0x400ffea7,0x007fffff,0xff887fe4,0x10dff006,
    0x4ffdc9ff,0x261fffff,0x8ffd03ff,0xffff9ffb,0xfffff81f,0x007ff607,
    0x07fffff8,0x3ee5fff1,0xfdcff84f,0xfff84fff,0x17fe07ff,0x7fdd3fe2,
    0x3a2ffc41,0xfffcceff,0x7ffffdc0,0x05ff500e,0xffffd801,0x400ffee4,
    0x007ffeed,0xff987fe4,0x46aaaa64,0x4ff886ff,0x3bbfffee,0x0bfea5ff,
    0xff707fec,0x0bffddff,0x40fffddb,0x36000ffe,0x2e07ffee,0x05ffffff,
    0xffbfffff,0xffeed83f,0x2217fe07,0x83ff74ff,0x3fee4ff9,0x9807fe44,
    0xf505fffc,0x42ffcc5f,0x40dfffd9,0xd8004ff9,0x7fe4007f,0x7e47ff50,
    0x0dff4fff,0x7fdc9ff1,0xfb9ffa3f,0x43ffb02f,0x3fa3fffb,0xf03fec07,
    0x7ec000ff,0x7fffdc07,0x1dfff01f,0xfd80ffea,0x2217fe07,0x83ff74ff,
    0x3ffa2ffc,0x2007fe40,0xff507ff9,0x917ffec5,0x7c0fffff,0x7ec000ff,
    0x87fe4007,0x3bae3ffa,0x10dff4ff,0x27fdc9ff,0x7fdc3ff2,0x5c1ffb02,
    0x07fe44ff,0x7fc0ffb0,0x1ff60007,0xffefffa8,0x20fff82f,0x3f604ff8,
    0x2217fe07,0x45ff74ff,0x37fc6ffb,0x0b887fe4,0xfa82ffd4,0x8bfff62f,
    0x207fedfd,0xb99bfffc,0x001ff604,0x3fe61ff9,0xff4ff884,0x5c9ff10d,
    0x87fe41ff,0xffd03ffa,0x7e41ffb8,0x81ff600f,0xb0000ffe,0x37fe60ff,
    0xf81fff70,0xffb0006f,0x7c42ffc0,0xfffff74f,0x7fc43fff,0xf30ffc85,
    0x5ffffdff,0xf98bfea0,0x7fd8dc5f,0x3ffff620,0x1ff605ff,0x221ffb00,
    0x4ff887ff,0x9ff10dff,0x3f20ffdc,0x10bff30f,0x1ffb8dff,0xfb007fe4,
    0x01ffec0f,0xfb07fd80,0x42ffb81f,0xfb0006ff,0x442ffc0f,0xffff73ff,
    0xdff01bff,0x3e61ff90,0x01dfffff,0x0020bfea,0xff500ffb,0x7ec07fff,
    0x23ff4007,0x7fc43ffd,0xff30dff4,0x320ffdc7,0x03ffe0ff,0xffb87ff7,
    0xb007fe41,0x7ffd40ff,0x07fd8000,0x5ff50ffd,0xb0006ff8,0x43ff40ff,
    0x5ff72ffa,0x47fe8013,0x4c40fff9,0xffa80099,0x07fd8002,0xb001df90,
    0x44d740ff,0x7fcc5ffc,0x4ffa9adf,0x3666adff,0x07fee2ff,0x7fdc1ff9,
    0x87ffc9be,0x7fe41ffb,0xd01ff600,0xd7559fff,0xc83fec03,0xffb10cff,
    0x0006ff83,0x7fe40ffb,0x21ffd30d,0xf9001ffb,0xffff519f,0x4c0fb601,
    0x99bffb99,0xfd333100,0x3a01333f,0xd333103f,0x7c1333ff,0x81ffffff,
    0xfffffffb,0x3f2dff4f,0x7fdc6fff,0xd107fe41,0x5fffffff,0xfc83ff70,
    0x3a66620f,0x4c0999ff,0xfffffffe,0x3fa66621,0xff30999f,0x09ffffff,
    0x26200dff,0x999ffe99,0x3ffffe20,0x3fee2fff,0xffff1001,0x101ffbff,
    0x3ffe03ff,0x04ffffff,0xfffffff5,0x03fe05ff,0x7fffffd4,0x3ff62fff,
    0x36601dff,0xf1dfffff,0x37ffeedf,0x320ffdc0,0xfffc80ff,0x3ff700df,
    0x3ea0ffc8,0xffffffff,0xffffd902,0x7fffd41b,0x262fffff,0x03effffd,
    0x3ea00dff,0xffffffff,0x7fffec42,0x00ffdc1e,0x37fffd30,0x0ff501ff,
    0x7ffffffc,0xfff504ff,0x05ffffff,0x7fd40551,0x2fffffff,0x98800188,
    0xfb806000,0x007fe41f,0x3ff70031,0x3ea0ffc8,0xffffffff,0xf5009802,
    0xffffffff,0xf0026605,0x3fea00df,0x2fffffff,0xaa880620,0x00188000,
    0x00000f26,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b6e2000,0x976c403d,0xdd7003ec,
    0x9db7101b,0x99975005,0xb04fd985,0x92ed883d,0x09fb307d,0xdb9107b6,
    0x544039dd,0x55302ccc,0x99903555,0xd8399999,0x2e06eeee,0xa82defed,
    0xee9801ee,0xeeca8002,0x101ccccd,0xee9809db,0x002e6002,0xdfffffd3,
    0x7effcc01,0x1bff7005,0xffdfff30,0xfffd101b,0x3fea1fff,0x305fb84f,
    0xf50bfbff,0x8bf709ff,0xfffffffb,0xffffd882,0xffff904f,0xfffff09f,
    0xfff87fff,0x3ffe07ff,0x7dc5ffff,0x2ffa801f,0x7fffe400,0x882fffff,
    0xb904fefe,0x40399bff,0xf100fffa,0xdffb77ff,0x00eff980,0xf303ffb8,
    0x437e445f,0xdbaacffe,0x889f7710,0x3fe600ff,0x4fbb880e,0xff307fc4,
    0x85d9579f,0xcceeffe9,0x55555302,0xffffff03,0xe99987ff,0x2af3a07f,
    0x3ee2fffc,0x2ffa801f,0x2fbfea00,0x41cccffd,0x4fe8bfe8,0xfffffff8,
    0x07fff202,0x3f617fdc,0x0000001f,0x22621fd8,0x1bfe22fc,0x3f627dc0,
    0x3ee00003,0x3f21fec4,0x7ffb002f,0x3fe00000,0x07fd8004,0xf727fdc0,
    0x5ff5003f,0xb87ff400,0x200000ff,0x0aacffca,0x403ffea0,0x4ffa86ff,
    0x55555544,0x2aaa22aa,0x262aaaaa,0x17ffd15f,0x5fffc4df,0xf527dc00,
    0xca8d540b,0x549f702c,0x02ffd85f,0x2004ff98,0x202aaaaa,0xfd8004ff,
    0x1ffcc007,0x79713ff7,0x542ffa81,0x8ffe61aa,0x1aa80ffb,0xff50d540,
    0x02e60045,0x3ee27fc4,0x7ffc45ff,0x226fffff,0xffffffff,0x77f4bee6,
    0x7ec1fb2c,0xf702dfff,0xf803fe29,0x4ffffdcf,0x1ff14fb8,0x017fff70,
    0x0088ffdc,0x03fffffc,0xd80019ff,0x7fe4007f,0x3feffee0,0x3fea1fff,
    0xb83bfea2,0x03fee1ff,0x5ff01bf6,0x7f5d7fd4,0xff30003f,0x3ffff627,
    0x7ffffc46,0x3fe25fff,0x25ffffff,0x40ff99fc,0x7ffdc1fc,0x964c0eff,
    0x7ffc03fd,0x41fffdff,0x207fb2c9,0x1dfffff8,0xfffdffd8,0xfeed80cf,
    0x3fffe07f,0x7ec01cff,0x7f6e5407,0x7fffdc2f,0x3ea5ffee,0x81fff32f,
    0x3fee0ffb,0x81ff24cc,0x3fea1ff8,0x03fffffe,0xfaaffa80,0x807fdbff,
    0x4c00fff9,0x23f60fff,0x02fb86fa,0x40bfff93,0xfff806fa,0x407ff50e,
    0x7f4c06fa,0x3a0dffff,0xffffffff,0xf03fec06,0x3fffffff,0x3203fec0,
    0x5c3effff,0x9ffa3fff,0xffe8affa,0x2e0ffc81,0xf70fffff,0xff984c4f,
    0x27bffea0,0x40106ffb,0x1effeffa,0xfe880ffb,0x7ff4402f,0x7fd47ec2,
    0x26017dc0,0x1ff107ff,0x441fff00,0x1ff104ff,0x3fff6a00,0x273ffa5f,
    0x202ffe99,0x266607fd,0x206ffdb9,0x5d4c07fd,0x3ee5fffc,0xa87fe44f,
    0x02ffdbff,0x7fdc1ff9,0x47fea2ab,0xa8ff54ff,0x1ffa0eff,0x3e60bff1,
    0x37f44fff,0x2013ff60,0x9fc84ffd,0xf91adff8,0xff502e23,0x54cff60b,
    0x006ff80a,0xacb8bfd8,0x7ffe4400,0xf981ffd1,0x01ff604f,0x201fff10,
    0x744007fd,0x83ff71ff,0xfff50ffc,0x7fdc07ff,0x2603fee1,0x77ff9aff,
    0x43ffa8df,0x7ffdc7fd,0x42fff882,0x3ee05ff8,0x5ffb805f,0x3fee9f70,
    0x7fccff3f,0x82ffffef,0x3fff36fa,0xa800dff0,0x09fffd6f,0x7ecbff60,
    0x02ffc40f,0xfb000ffb,0x01ff603f,0x7dcbfee0,0xa87fe41f,0x205ffeff,
    0x3fee2ffb,0xfcbff880,0x545fcaff,0x23fec2ff,0xfd03fffa,0x02ffb83f,
    0x9801fff3,0xff100fff,0x3ea72e61,0x3ffffe64,0x1ff882ef,0xff03fbfd,
    0x8ffc400d,0xb007f889,0x0ffee3ff,0x7ec09ff3,0x3ffc4007,0xb000ffb0,
    0x07fee3ff,0x3fea1ff9,0xf104ffda,0x807fdcbf,0xdfdfecff,0x17fd44fd,
    0x3ff21ff6,0x23dff503,0xff106ffa,0xfff8803f,0x2077dc01,0xf9880ff9,
    0x5cff204f,0xff81fdaf,0x20ff2006,0x26b3a5fc,0x227ffc99,0xfe98afff,
    0x41ff601f,0xfeb989a8,0x41ff604f,0xfc988998,0x907fee6f,0x2bfea1ff,
    0xfb02ffe8,0x33ff939f,0x77f7ec13,0x543feff9,0x43fec2ff,0x3f601ffa,
    0x01ffffff,0x5555bffd,0xaadffe85,0xdffd82aa,0x2201ffdc,0x4df501ff,
    0x40dfecff,0xdf5006ff,0x7f45fd88,0x1fffffff,0x7fffffe4,0x74ccc44f,
    0xf30999ff,0x8bffffff,0x9ffe9998,0xffff7099,0x7dc3ffff,0xa87fe41f,
    0x3fff32ff,0xffffff30,0x7e45ffff,0x5ffff4ff,0x7ec2ffa8,0x402ff447,
    0x00dffffb,0xfffffff5,0x7fffd4ff,0xd707ffff,0x9801bfff,0x43fd106f,
    0x40effeee,0xfe8806ff,0x8667ff41,0xdffffffd,0xdffff501,0xfffff505,
    0x3e65ffff,0xa82effff,0xffffffff,0xfffff72f,0x1ffb817f,0xffa87fe4,
    0x203bfee2,0xffffffd8,0x3ffee2ff,0xa81fff91,0xabfec2ff,0x2000effe,
    0xfffa8018,0x2a7fffff,0xffffffff,0x1000c407,0x813f2035,0x06ff81fd,
    0x7fc44fc8,0x4cc41fff,0x80262000,0xfffffffa,0x004cc2ff,0x3fffffea,
    0x26622fff,0x20ffdc00,0x5ff50ffc,0x4405ffd8,0x27ffa801,0xffa87ff9,
    0xcebbfec2,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1eeb8800,0xcccccc88,0x3323cccc,
    0xcccccccc,0x16f764c3,0xcc984ca8,0x65459501,0x00166441,0x15799997,
    0x000cca80,0x99999990,0xcc81e64c,0x00620284,0x819bdb71,0x0abccccb,
    0x3deec980,0xb800cc98,0xcccccccc,0x3999501c,0x333332a0,0xfff7002c,
    0xdddf103f,0x2bfddddd,0xfffffff8,0xffb15fff,0xfb0bffff,0x205ff50f,
    0x30bf64fc,0x7f4009ff,0x03ffffff,0x20007ff2,0x7ffffff9,0x3ea07ff4,
    0x40ffa64f,0xfff304fd,0x7f43ffff,0x03ffffff,0x3ffffff2,0x400ffdc5,
    0xfffffffe,0xffff02ff,0x3ffff209,0xd501ffff,0x103fffff,0xe857917f,
    0x3ff33325,0xff33ccce,0x47fff99d,0xccccffeb,0xfd81dffd,0xff307fa3,
    0x67ff4009,0x904fffed,0xf90003ff,0x98999fff,0x07ff45ff,0x1313ffd1,
    0x3fa09ff7,0x746ebadf,0xfffedcff,0xbbeffb84,0x3fee3ffe,0xfe81accd,
    0xffffffff,0x6ffff982,0xd99bff90,0x3fea0dff,0xf881ffcc,0xd1efff9b,
    0x817fe20b,0xb2ffd42b,0xffffffff,0x74cc5fff,0x1aff99bf,0xe8013fe6,
    0x0fffd47f,0x1d88ffe4,0x3fe7fc40,0x7d47ff60,0xffff982f,0xf106ffff,
    0x7fe810bf,0x3a0fffd4,0x9ffe20ff,0xfffffffb,0x7ff8800d,0x1ffbff70,
    0xfe81ff90,0x3f23b00f,0x313f881f,0x4417adf9,0x7c4005ff,0x3bfff26f,
    0x2effeeee,0x3ffffffe,0xff30ffff,0x43ff4009,0xffc84ffb,0x5c01ffca,
    0x4407faef,0x40dfd5ff,0xfffffffb,0x005ff301,0x9ff70ffd,0x7e42ffc4,
    0xd9bff70f,0xf700dfff,0x2b7fa07f,0x0ffc83ff,0x64007fec,0x83f881ff,
    0xf105e8fe,0xff9800bf,0x7d43fec5,0x7ffffc2f,0x30ffffff,0x3a0209ff,
    0x85ff887f,0x0dfffffc,0x3fd5ff40,0x7feffe40,0x5c3bf201,0x3ff503ff,
    0xf10ffd00,0x437fc4bf,0x3ff71ffb,0x2017ff44,0xff880fff,0xfc85ff8b,
    0x01bfe20f,0x7c40ffe4,0x2f47fcc3,0x277fe662,0x2ffc8009,0x5555ffec,
    0xff882ffc,0xff30df30,0x90efe889,0x7c599fff,0x7ffec46f,0x8ff9801d,
    0x103ccffa,0xe809ffff,0x4c2ffc3f,0x0999bffb,0x1667ffe4,0x2fff8dff,
    0x7dcbff22,0x027fdc1f,0x3ea09ff7,0xc81ffd1f,0xeffdcdff,0x03ff9000,
    0x3fff27f1,0xfffd8bd3,0x4c02ffff,0xfffd86ff,0x82ffffff,0x21bea7f8,
    0x7fe44ff9,0xffffff3f,0xff53ffc9,0x7e4005ff,0x0dffff56,0x1007ffd4,
    0x45fd85ff,0xfffffff8,0x7ffffc6f,0xf71ffe4f,0xffffdfff,0xf307fee5,
    0x07ff409f,0x3fee7fd8,0x7ffffe42,0xf9000dff,0x327f103f,0xfb17a0bf,
    0x05ffffff,0x6c0fffcc,0xfeeeeeff,0x2e6f982f,0x44ff985f,0xff93fffc,
    0x37fc599f,0x003ffff9,0xcffa9ffc,0x7e664c3c,0xff04ccef,0x7443fe89,
    0x5eeeeffe,0x1667ffe4,0xfff90dff,0x2e5fffff,0x1ffdc1ff,0x3e04ffb8,
    0x913fe65f,0xffd99bff,0x3ff9001f,0x21f27f10,0x0bff105e,0x203fff10,
    0x2ffa87fd,0x3bbffbaa,0x3e63effe,0x077f444f,0xbff10ffd,0x00ffe4d4,
    0xff50ffa8,0x7ffffd40,0xdfb07fff,0x5407fe61,0x7fe801ff,0x5105ff88,
    0x23ff9155,0xff711ffb,0x03ffa01f,0x4ccdffcc,0x07fe47ff,0x32013ff6,
    0x13f881ff,0x3e20bd05,0x7ff4405f,0x2a1ff602,0x3ffee2ff,0x4fffffff,
    0x40c13fe6,0x4ffb87fe,0xb001ffc8,0x0fffffff,0x6ffcccc4,0xfff70199,
    0x2a01fffd,0x7fe801ff,0x2004ffb8,0x3ffee6fe,0x502fffff,0x7fe409ff,
    0x1fffffff,0xff303ff2,0x03ff900b,0xd0bfa7f1,0x817fe20b,0x6c01ffe8,
    0x22ffa87f,0xe99cfd98,0x3fe609bf,0x11ffa004,0xff901fff,0xffff1003,
    0x4c40ffff,0x199dff99,0xffffff88,0x3ff505ff,0xf88ffd00,0xff7000ff,
    0x7ffffdc7,0x3ffa01ef,0x3ffffa00,0x323fffff,0x27fdc0ff,0x7fed5544,
    0x27f11aab,0x882f40fc,0xffd105ff,0x4399999d,0x2ffa87fd,0x07fa3fd8,
    0x2aab7fe6,0xaffe82aa,0x904fffca,0x555557ff,0x3ea3fdc1,0x7fd4199f,
    0x87ffffff,0xc9aaaffd,0x7fe543ff,0x20aaaaac,0xffcaaffe,0xcaaa884f,
    0x3ee0effe,0xfa801acf,0x33fe205f,0x6ff99999,0x32a6bff2,0xff982fff,
    0x3fffffff,0x55555bf1,0x3e20bd55,0xffff905f,0x6c5fffff,0x82ffa87f,
    0x203fe2fd,0xfffffff9,0xffffe85f,0x3f203fff,0x3fffffff,0xfff513fa,
    0x555441ff,0x4c2aaeff,0x6fe884ff,0x3fffffe2,0x3fa2ffff,0x03ffffff,
    0xdffffff5,0x001ffb81,0xfb807ffa,0x21ffd01f,0xfffffffc,0xffff304f,
    0x227fffff,0xffffffff,0xbff105ff,0x3fffff20,0x3f62ffff,0xe82ffa87,
    0x301ff11f,0xffffffff,0xbdfffd0b,0xfffc8019,0xf33fffff,0xffffa83f,
    0x013fe00f,0x2214c071,0xffffffff,0x3fffa2ff,0x3ea00cde,0xf702ceff,
    0x3fea003f,0x903fec05,0x3fff25ff,0x0001deff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99000000,
    0x20157999,0xcccccccc,0x99999993,0x220f3279,0x666402cc,0xccccc984,
    0x19954ccc,0x32a2cca8,0x201bcccc,0x665c1ccb,0x2e0b3321,0x9999952c,
    0x32a39999,0x2399501c,0xcc983cc9,0x9900f2a3,0x4c0332e1,0x999932cc,
    0x33320379,0x3ccccccc,0xdb000997,0x80004407,0xffffffff,0xffffff83,
    0xfffff6ff,0x1bfebfff,0xfb813fe2,0xfffa87ff,0xf97fffff,0x07ffc43f,
    0xfffffff9,0x897ffa0b,0x3ffe3fff,0xff94fe87,0x5fffffff,0x3e217fe6,
    0x20fffc6f,0x1bf23ffd,0xff91ff88,0x5c7ff207,0xefffffff,0x3ffffe20,
    0xfb5fffff,0x09fd000f,0x20007ba2,0xffedceff,0x667ffc4f,0x9fff3ccc,
    0x3fe79999,0x104ff886,0x930fffff,0x999dff99,0xffd87ff2,0x766ffe43,
    0xffe84fff,0xf8fffee7,0xa7f42fff,0xfeeeeeeb,0x07ffa2ff,0xffa85ff7,
    0xf71bfe65,0xa87fc40d,0x4ffd05ff,0xffdcdffb,0x7e66646f,0xfb3cccef,
    0x09fd000f,0x000bffee,0xfffa8bff,0xff01bfe1,0x886ff80d,0xbdfb04ff,
    0x5ff880ff,0xff51ffc8,0x543ff90b,0xffff86ff,0x7c9fffb2,0x27f46fff,
    0xf317ff20,0x837fc4bf,0x5ffb1ffe,0x3e206fb8,0x261ffe0f,0x87fee4ff,
    0xf102ffe8,0x01ff60bf,0xfa813fa0,0x3fe003ff,0x3e4ffb85,0x037fc06f,
    0x3fe21bfe,0xfdaffa84,0x42ffc407,0xfff89ffc,0x7c1ffc80,0xcfcff87f,
    0x3e4fcff8,0x3fa2ffef,0x03ffe604,0x7fdc3ffa,0xf3bff502,0x44ff50df,
    0xffb1fe61,0x2e2ffb83,0x27fd41ff,0xfb05ff88,0xfddd900f,0x985dddff,
    0xff004fff,0x7cbff10b,0x037fc06f,0x3fe21bfe,0xfdaffc44,0x42ffc407,
    0x2ffd9ffc,0x7c43ff90,0xefaff86f,0x3e4fccfa,0x3fa5fecf,0x40bffa04,
    0x0dff4ff9,0x1ffeffd8,0x4ff67fa8,0x27fd47f9,0xffb83ff6,0x8827fcc1,
    0x0ffb05ff,0xffffffd0,0xfd107fff,0x5ff801bf,0x7ffcdff0,0xff2ccccc,
    0x2133333d,0xeeeeefff,0x87fe44ff,0x7fc407fd,0xffcffc85,0x26bff204,
    0x7c42ffeb,0xcafeff8f,0x3ef3fe5f,0x2e09fd1f,0x7ff405ff,0x7cc02ffb,
    0xff305fff,0x47f9affc,0x2ffc6ff8,0xff707fee,0x417fe207,0xaaa807fd,
    0x1aaadffa,0x803bff60,0x4fff05ff,0xffffffff,0xfffffff4,0x3ffffe5f,
    0x264fffff,0x01ff63ff,0xff90bff1,0x7e403fff,0x82efffff,0x7ffc8ff8,
    0x467fcbf7,0x309fd5ff,0xf9801fff,0xfd006fff,0x5fe603ff,0x6f98fff9,
    0xff50ffe8,0x711ffb87,0x3e201fff,0x00ffb05f,0x22009fd0,0x7fc05ffe,
    0x7fcdff05,0xf2cccccf,0x5fffffff,0x33333ffe,0x1bfa4ffd,0xff880ffb,
    0xffcffc85,0x3ffff205,0x2ff104ff,0x4df75ffa,0xd1ff94ff,0x05ffd09f,
    0x00bfffa0,0x417fffe6,0xfffc8ff8,0xffb86faa,0xfb81ff92,0x2fffffff,
    0x6c17fe20,0x4fe8007f,0x04fff980,0xff885ff8,0xff01bfe5,0x886ff80d,
    0x59ff54ff,0x155ffd55,0xf90bff10,0x207ffb3f,0xffe89ffc,0xff17f982,
    0x4ff9bee5,0x89fd9ff1,0x2a004ffb,0xffd006ff,0xff105ffd,0xf5bf7fd1,
    0x3abff30b,0xffffb86f,0x7c401dff,0x00ffb05f,0xfa809fd0,0xbff002ff,
    0x7fc9ff70,0x2037fc06,0x4ff886ff,0xfffffff9,0xf101ffff,0x13ff90bf,
    0xff901fff,0x261bfe23,0x7dc32e7f,0xffd93fe6,0x3ffe64fe,0x17fe2000,
    0x3eb7fea0,0xfaff886f,0x05fbff9d,0x09ff1ffd,0x00137ff7,0xfd82ffc4,
    0x00988007,0x8007fff2,0x7ffc45ff,0xff01bfe0,0x886ff80d,0xffff94ff,
    0x1fffffff,0xf90bff10,0x21bfee3f,0x3ff61ffc,0xf503fd42,0xff327fcf,
    0x17ff49ff,0x017fe200,0x7fec7ffa,0xd2fdff83,0x3f20bfbf,0xfb81ffcf,
    0xff88001f,0x100ffb05,0x33333333,0x0077fdc3,0x32abbfe0,0x7ffc4fff,
    0xff2aaaaa,0x886ff80d,0x7fd804ff,0xdff99988,0x43ff9199,0x7fe43ffe,
    0xf51bfe61,0xff3fd40f,0x74fffe89,0x99999fff,0x17fe2039,0x7ccbff70,
    0x7fffc0ff,0x209fff90,0x707ffff9,0xf10003ff,0x2bff60bf,0xf70aaaaa,
    0xffffffff,0x40006ec1,0xffffffff,0xffffff83,0x80dff6ff,0x4ff886ff,
    0xfa87fd80,0x7fffffff,0x7fcc3ff9,0xd07ff21f,0x037d45ff,0x227fcff5,
    0xffd4fffa,0x7fffffff,0x8817fe20,0x7fec1fff,0xf32fffc4,0x7ffc09ff,
    0x03ff704f,0x20bff100,0xfffffffd,0xfffff71f,0x0001ffff,0x37bfffe0,
    0xfffff00c,0x1bfedfff,0xff10dff0,0x50ffb009,0xffffffff,0xf907ff2f,
    0x20ffe4df,0x1bee6ffa,0x9ff0ffa8,0x3fa9ffd0,0xffffffff,0x40bff103,
    0xff985ffc,0xf0fffa1f,0x7fec07ff,0x03ff702f,0x20bff100,0xfffffffd,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000300,0x442cccba,0x37731bcb,
    0x5cc01730,0x2ee602bc,0xa8837710,0x4c154c0a,0x9802bccb,0xb980acca,
    0x802001bc,0xaaaaaaa8,0x37bb6e2a,0x85bdb701,0x55300aa9,0x5302aa21,
    0x02cc8035,0x40aaaaaa,0x179712a8,0x0bb89a88,0xf7000195,0x3bff660b,
    0xfffe880c,0xfff10fff,0x5ffffbff,0x2207ffd4,0x0dfffffe,0x7cffffd4,
    0x3fee1fff,0xfd07fe41,0x01dfffff,0xbfffffd1,0xdfffffc8,0x413fa200,
    0xfffffff8,0x3fbbbe6f,0x7fffec1f,0x413fea4f,0x5ff50ffe,0x20077fd4,
    0x3ffe04ff,0x3ff707ff,0x543fffff,0xfadffddf,0x3f2002ff,0x5f7dc0ff,
    0x7f41ffca,0x10dbaacf,0x9fff957d,0x7ffe4dfb,0x3bbffe21,0x5ffc5fff,
    0x6fdcfffc,0xff907fee,0x6dde7741,0x7ffc45ff,0x3f25feef,0x04ffdbdf,
    0x7c41ffea,0x5fffffff,0x7d47fb02,0x20ffc89f,0x4ff987ff,0x7fccbfea,
    0x04ff800f,0x41fffbb6,0xfeeffffb,0x33ffea5f,0x04feefff,0x40effd88,
    0x9ceeccf9,0x01bfe26e,0x7fc57fa0,0x641fff50,0x3ffa64ff,0xb7fcdf32,
    0x3ff70ff8,0x4020ffc8,0x27fec7fe,0x227fcc62,0xff100ffc,0x7ffcc009,
    0x3ff72e20,0x3ff13f23,0x3f217fe4,0x22bfea1f,0xff001ffe,0x41ff6009,
    0x3fa3fffb,0x7f53fea7,0x4406fa8f,0x2dd05ffe,0x3f9bfbed,0x0017fff1,
    0x43ff1fec,0x43ff40b9,0x49f74ffb,0x5c7fe4fe,0x07fe41ff,0xff13fec0,
    0x40ffb80d,0x00402ffa,0x445ffd10,0x23fecefe,0x10ffc4fd,0x46ff8bff,
    0x2ffeaffa,0x3fe66660,0xfb00999d,0x913fee0f,0x43fea1ff,0x40ff54fe,
    0x3e03fff9,0x3a7f3bb3,0x37ffff65,0xffedb882,0x802ffeee,0x5ff985ff,
    0x777f49f9,0x3ff71ffe,0x6d40ffc8,0x2a7ffffe,0x7fec03ff,0x3fffffff,
    0x26666666,0xffb00999,0x3f66fb89,0x7d43fee3,0x987fec0f,0x77fd43ff,
    0x3fe203ff,0xffffffff,0x2e0ffb05,0x87fe41ff,0x54ffa7fa,0x5fff507f,
    0xffd97c40,0xfff71b64,0x3fe21dff,0xeeeeffef,0x2ffc401e,0x47f95ff8,
    0x1ffffffd,0xffc83ff7,0x3fffff60,0x0ffee7ff,0xffffffd0,0x3fe27fff,
    0xffffffff,0xa85ffb85,0x23ffecff,0x4ffefff8,0xff93ffa8,0xffeffa81,
    0x3fffe205,0x05ffffff,0x3fee0ffb,0xfa87fe41,0x3fd4ffa7,0x404ffe98,
    0x21f79b3f,0xfff9304e,0x7ec3bf2b,0x0fff0002,0x93f29ff1,0x3fee04fe,
    0xfb87fe41,0xa9ff20df,0x3fec04ff,0xfffff880,0x4c5fffff,0xffb00fff,
    0xfe987f7b,0x5bfe03ef,0xaffa85ff,0x3e003ffd,0x0ffb004f,0xff907fee,
    0x3fe9fea1,0x7f440ff5,0x36db00df,0x807f39f4,0x49fb7ff9,0x16dc04fe,
    0xff707ffa,0x5ff93ee7,0xf98bfea0,0x81ffb0ff,0x3ffe27fd,0x007fee00,
    0xfff88000,0x00400001,0x17fdffe4,0x7f457fd4,0x09ff002f,0x7dc1ff60,
    0xa87fe41f,0x7d4ffa7f,0x0effd807,0x931adf98,0x2a05c4dd,0x2abf95ff,
    0xfb860fff,0x3ffee0ff,0x2a7ffb9b,0x03fff36f,0x3ee77fe6,0x7ff90fff,
    0xfb1fff62,0x297337ff,0x1442eff8,0xffd00a60,0x2a55555b,0x0ccccccc,
    0x99999995,0xdffff301,0x7ccbfea0,0x4ff801ff,0xffd33310,0x3fee1333,
    0xfa87fe41,0x3fd4ffa7,0x82fffb80,0xefdbcffa,0x3fbffe60,0xdff32fff,
    0xfddffddf,0x3a0fffe4,0x2fffffff,0x7f7f77fc,0x7ff46edf,0x50ffdfff,
    0xfdffffff,0xfffff88f,0x3ffee5ff,0x2606ffff,0xfff505ff,0x32ffffff,
    0x1fffffff,0xfffffff9,0x0ffffa03,0xff717fd4,0x04ff801d,0xfffffff5,
    0x07fee5ff,0x9fea1ff9,0x00ff53fe,0x440fffd4,0xf983dfec,0x41dfffff,
    0xfe98effc,0x1bfe66ff,0x0effffe4,0x6c67ffcc,0x7f4c6fff,0x20ff9aff,
    0xf9bffffb,0xffffc887,0x7fff543f,0x3fea05ff,0xfffff507,0x2662ffff,
    0x26219999,0x20199999,0xf500fffa,0x05ffd85f,0xffa80d54,0x2fffffff,
    0xffc83ff7,0x9ff4ff50,0x7cc007fa,0x33100003,0x99808013,0x18801880,
    0x09881300,0x19800620,0x80098800,0x5db00099,0x00000000,0x00000000,
    0x00000000,0x10000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5540aaa2,0x55006aa2,
    0x20000003,0x21441c0b,0xd900003a,0x22002005,0x98ffd500,0xaaaaaaaa,
    0x88166402,0x99999999,0x39950081,0x365dd500,0x7500006e,0x70037777,
    0x05cc1bdd,0x5003bbaa,0x20b32a35,0x7fe43ffd,0xff01bf63,0x17442645,
    0x05dfffd1,0x9bf21ff7,0x3ff71ff9,0x87fffb50,0x4404bf60,0x980cfffd,
    0x3ffa64ff,0x7fffdc7f,0x700fffff,0xffd01fff,0x4fffffff,0x7fe45ff9,
    0xa9fe64ff,0x10ffb2ff,0x417ea1dd,0x02fffffd,0xf506ffdc,0xefe981ff,
    0x3f73fe00,0x7fc44fff,0xc8bff31f,0x47fe207f,0x3fa24ffa,0xffddf10f,
    0x9a7fc41f,0xd37ec2ff,0xffff88df,0x3237a2ff,0x3e23fa9f,0xc85ffeff,
    0x3bbe0fff,0x7777547f,0x880eeeee,0xfe84fdff,0x7fffffff,0x7c4bfff6,
    0xb8cffeef,0x6cbfe67f,0xd3ffb87f,0x777501ff,0x7fdc0377,0x83fffd83,
    0xff00efd8,0x3fffbfff,0xfe8effa8,0x313fdc0f,0xfd83fe61,0x02ffe8cf,
    0x6fd87fee,0x3fe217fa,0xaa87ff34,0xff34ffb8,0x4bffbfdf,0x3ff50efc,
    0x422fffb8,0x200007fd,0x01ff8bfc,0xffd9fe60,0x7e4ff52f,0x3e64ffff,
    0xd10df91f,0x0017ea1d,0x3f200880,0x802201ff,0xff50efff,0xffdff907,
    0x3e3ff505,0xfb0ff54f,0x5105ffff,0x7fd4bfd7,0x2a01ff91,0x01ff71ff,
    0xfd70ffee,0x3fd83bff,0x7fec1ffc,0x0007fd82,0x37e4ff30,0x7ccff300,
    0xf70f265f,0x7fc41dff,0x0000df91,0x64400000,0x7fc0003e,0x413fe20f,
    0xf305fffe,0x2efff35f,0x5fffb06f,0x2ffffe20,0x3ee5ff50,0x21ff700f,
    0xdff506fd,0xdffffb88,0x3fe2fec2,0xd80ffb82,0x7fffdc7f,0x740fffff,
    0x00ffe22f,0x00623fcc,0xdd881a88,0x00009b50,0x00000000,0x001bfe00,
    0x440bfff2,0xafffcbff,0xffe885fc,0x3f2a604f,0x743ff64f,0x52ff986f,
    0xbff703ff,0x7efffcc1,0x3fee6ffd,0x4c0ffd9b,0x7eccc4fe,0xffff719f,
    0x5c1fffff,0x00ffa86f,0x00000110,0x00000000,0x00000000,0x4c006ff8,
    0xf00fffff,0xbbfbfd9f,0xeffe889f,0x7fc404ff,0x7c53fe26,0xf8aff43f,
    0x9dffc84f,0x3f237a19,0x7ff43fa9,0x3fae3fff,0x7fffc45f,0x333317ff,
    0xaa833333,0x00035501,0x00000000,0x00000000,0x7fc00000,0x3ffe2006,
    0xdfb05ffc,0x7fdff3df,0xfd97ff44,0x3fbbea4f,0x877d43ff,0x43fa65fb,
    0x7fcc0efa,0xd827ffff,0x372e012f,0x40e7641c,0x7ffffff8,0x00000000,
    0x00000000,0x00000000,0x7c000000,0x3ff6006f,0xf907ffb2,0x3fffe9ff,
    0xfb0bfea2,0x3fffea1d,0x2030502d,0x7fcc0c40,0xd907ffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x40000000,0xff7006ff,0x20fffc4b,
    0xff91fffb,0x1902a81f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01bfe000,0xf703ffe6,0x3ffd41df,0x0000fff3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0037fc00,0xa8000000,0x771aaaaa,0x77777777,0x00000577,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,
    0x3febffff,0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff880000,0x9995ffff,0x99999999,
    0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22220000,0x00000888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_23_latin_ext_x[560]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,0,2,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,4,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,0,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_23_latin_ext_y[560]={ 17,1,1,2,0,0,1,1,0,0,1,5,12,9,
12,1,2,2,2,2,2,2,2,2,2,2,5,5,4,7,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,19,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,17,5,0,2,2,2,
-2,0,0,2,2,6,9,9,0,1,0,3,0,0,1,5,1,8,17,1,2,6,1,1,0,5,-2,-2,-2,-3,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-3,-2,-2,-2,-3,-2,5,-1,-2,-2,-2,-2,-2,2,0,1,1,
1,0,0,-1,5,5,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,4,3,1,1,1,0,1,1,0,
-2,1,-2,1,2,5,-2,1,-2,1,-3,0,-2,1,-2,0,2,1,-2,1,-2,1,-3,0,2,5,-2,1,-2,1,
-2,1,-3,0,2,0,-2,-3,2,1,-3,0,-2,1,-2,1,2,0,-3,5,2,0,-2,1,2,1,5,-2,-3,2,
1,0,0,2,1,2,1,-2,1,2,5,-2,1,-1,2,5,-2,1,-2,1,-2,1,2,5,-2,1,2,5,-2,1,
-2,1,-2,1,2,5,-2,1,2,1,-2,0,2,1,-3,0,-2,1,-2,1,-3,-1,-2,1,2,5,-2,1,-2,1,
-2,-2,1,-3,0,-2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-5,-4,-2,1,-2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,5,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_23_latin_ext_w[560]={ 0,5,9,13,11,13,13,4,8,8,11,12,7,8,
5,12,13,11,11,11,13,11,11,11,11,12,5,7,10,11,10,8,13,13,11,12,13,9,9,12,11,10,10,12,
10,13,11,13,11,13,12,11,12,12,13,13,13,13,11,7,11,7,12,13,8,11,11,10,12,11,12,12,11,11,
10,12,11,12,11,12,11,12,10,10,11,11,13,13,13,13,10,10,3,9,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,10,12,13,13,
3,11,11,13,9,11,11,8,12,10,9,11,8,8,12,12,12,5,4,8,9,11,13,13,13,9,13,13,13,13,
13,13,14,12,11,12,11,11,11,12,11,11,13,12,13,13,13,13,13,11,13,12,12,12,12,13,11,12,12,12,
12,12,12,12,13,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,11,13,
13,12,13,12,13,11,12,13,12,11,12,11,12,11,14,15,13,13,11,12,11,12,11,12,10,11,11,12,12,12,
12,12,12,12,12,12,12,12,13,11,11,12,11,12,11,12,11,11,11,11,11,11,11,11,12,12,12,12,12,10,
11,15,15,12,15,12,11,12,12,11,11,12,12,12,11,11,13,12,13,12,14,14,13,13,14,12,12,10,14,12,
12,12,12,11,11,10,12,11,12,11,12,15,12,11,12,12,12,12,12,12,12,12,14,14,12,11,13,13,13,13,
13,12,12,12,11,12,11,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,12,14,13,16,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,11,10,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_bold_23_latin_ext_h[560]={ 0,17,6,15,20,18,17,6,22,22,10,12,9,4,
6,19,16,15,15,16,15,16,16,15,16,15,13,16,14,8,14,17,22,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,22,19,22,8,3,5,13,17,13,17,13,17,17,16,17,
22,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,24,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,15,15,
24,20,6,16,12,10,7,4,13,5,9,14,10,11,5,17,19,5,4,9,12,10,16,16,17,17,19,19,19,20,
19,20,15,19,19,19,19,19,19,19,19,19,15,20,20,20,20,21,20,11,21,20,20,20,20,19,15,18,17,17,
17,18,18,19,13,16,17,17,17,18,16,16,16,17,17,17,17,17,17,18,18,13,17,17,17,17,18,21,21,22,
19,17,19,17,20,17,20,17,20,17,21,18,20,17,19,18,15,17,19,17,19,17,20,18,20,17,19,17,20,21,
20,21,21,22,20,22,19,20,15,16,20,17,19,16,19,16,20,22,20,12,16,22,20,21,20,21,12,19,20,20,
21,17,17,15,16,15,16,19,16,20,17,19,16,18,20,17,20,17,20,17,20,17,16,13,19,16,20,17,19,16,
20,17,20,17,19,16,20,17,20,21,19,18,15,17,21,18,20,17,20,17,21,19,20,17,20,17,19,16,19,21,
19,19,16,20,17,19,16,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,22,22,19,17,22,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,17,20,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_bold_23_latin_ext_s[560]={ 251,245,190,65,53,98,242,251,51,188,94,
201,116,40,170,54,1,1,39,167,47,143,118,214,204,189,50,244,1,133,240,
229,109,226,240,178,1,15,25,100,35,61,89,72,217,98,112,138,192,142,85,
106,204,242,178,164,150,136,124,158,14,101,145,49,242,95,179,107,13,118,216,
191,179,127,177,191,155,238,226,56,1,229,1,25,115,83,174,26,12,215,143,
166,1,135,176,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,251,249,181,
162,148,134,5,169,200,40,154,61,158,40,12,212,106,228,85,52,223,166,67,
236,251,124,164,73,65,92,24,246,92,179,218,14,29,218,119,205,244,1,167,
193,155,142,118,106,175,1,28,55,82,211,137,40,63,177,190,218,1,43,202,
128,135,122,109,206,167,240,36,65,40,27,14,219,76,165,191,192,179,166,153,
140,96,141,180,130,1,66,53,40,193,128,103,87,40,161,26,27,90,104,116,
82,142,128,115,86,167,1,14,112,92,13,232,91,80,205,180,57,245,234,130,
53,192,90,243,238,225,60,129,9,1,111,51,232,78,148,173,130,146,229,231,
22,1,214,113,123,219,13,13,37,188,227,28,245,1,66,218,79,37,106,53,
106,152,104,79,119,125,154,41,116,14,174,231,187,203,200,204,69,198,216,124,
13,158,79,69,38,42,51,94,54,232,204,164,25,26,70,26,75,77,232,192,
139,156,87,50,67,96,100,151,63,132,218,213,197,80,39,27,205,1,185,15,
238,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,65,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,73,145,52,152,34,205,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,155,26,164,25,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_23_latin_ext_t[560]={ 13,131,286,240,69,131,187,1,1,1,286,
272,286,298,286,110,223,240,240,223,256,223,223,240,205,240,272,223,272,286,256,
169,1,240,240,205,256,256,256,205,256,256,205,256,256,256,256,205,256,26,256,
223,256,205,256,256,256,256,256,1,111,1,286,298,286,272,187,272,205,272,187,
187,223,187,1,223,223,272,272,272,205,187,287,272,187,272,272,286,286,169,272,
1,1,1,286,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,13,169,26,
240,240,240,1,26,286,223,272,286,286,298,272,286,286,256,286,286,286,187,110,
286,8,286,272,286,223,223,187,151,110,110,110,48,131,26,240,110,110,131,110,
110,110,110,110,110,240,48,48,48,48,1,48,286,26,48,48,48,69,131,240,
131,169,169,169,131,131,90,272,205,169,169,169,131,205,205,205,151,151,151,151,
151,169,131,131,272,169,151,151,151,131,26,26,1,110,169,110,151,69,151,69,
169,69,151,26,131,69,151,131,131,240,151,110,151,110,151,69,131,26,151,110,
169,69,26,69,1,1,1,69,1,111,48,240,223,69,169,90,223,90,205,69,
1,90,272,205,1,69,26,90,26,272,90,69,48,26,169,151,240,205,240,205,
90,205,69,151,90,205,131,69,151,69,169,48,169,48,169,223,272,90,205,48,
187,90,223,48,187,48,187,90,223,26,187,48,26,90,131,240,187,26,131,26,
187,26,187,26,90,48,187,48,187,90,223,90,1,90,90,223,26,187,90,223,
169,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,69,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,1,1,90,187,1,69,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,69,205,48,26,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240, };
static unsigned short stb__consolas_bold_23_latin_ext_a[560]={ 202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_23_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_23_latin_ext_s[i] + stb__consolas_bold_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_23_latin_ext_t[i] + stb__consolas_bold_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_23_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_23_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_23_latin_ext_x[i] + stb__consolas_bold_23_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_23_latin_ext_y[i] + stb__consolas_bold_23_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_23_latin_ext_s[i] + stb__consolas_bold_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_23_latin_ext_t[i] + stb__consolas_bold_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_23_latin_ext_x[i] + stb__consolas_bold_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_23_latin_ext_y[i] + stb__consolas_bold_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_23_latin_ext_LINE_SPACING
#endif

