// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT        328
#define STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_24_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_24_latin_ext_LINE_SPACING          16

static unsigned int stb__consolas_bold_24_latin_ext_pixels[]={
    0x00662331,0x0f32e000,0x00000880,0x002aaa20,0x88013bae,0x0000c009,
    0x00000000,0xc8819930,0x3ee0002c,0x01e54004,0x0733332e,0x06641b70,
    0x13223970,0x6c007326,0xb80ffb7f,0xffc800ef,0x1dd1000d,0x0003bee0,
    0x9007ffd1,0xfd8007ff,0xe80bf204,0x201fffff,0xff54ffd8,0x3feebfff,
    0x3fe6001d,0x13fe60ef,0x17ffc400,0x05fffb80,0x0bfffffa,0xff74ffa8,
    0x6d77e409,0x03ffa85f,0x1ff6ffb0,0x403fff88,0x09d52ffc,0xf80fff44,
    0x3a2004ff,0xaa8801ef,0x17fc4000,0xd02fff88,0x203fffff,0xf54ffff9,
    0x3eebffff,0xf9802fff,0x3e65fdaf,0xff10004f,0x5ff5003f,0x332e09fd,
    0x3e602ffe,0x407ff54f,0x81ffffe8,0xfb003ffa,0xff01ff6f,0x7fb0005f,
    0xd01fff40,0x544007ff,0x7fff5001,0x00ffb800,0x2207ffea,0xb01ffb99,
    0x3ea137ff,0x531099af,0x59700fff,0x4ff9965c,0x00b26000,0x66447322,
    0x017fdc01,0x100550a6,0x3ea01797,0x2ffb003f,0x1e4c07fd,0xffbca880,
    0x80bff701,0x3e6003c9,0x6fc402ff,0x22000fd9,0x6ffc8019,0xf80ffd40,
    0x01ffa84f,0x00007fdc,0x00027fcc,0x40000002,0x00002ffb,0x7fd40080,
    0xb7fd8023,0x640000ff,0x80ffffff,0x0000eff9,0x0febef80,0x3f237e20,
    0xb0004001,0x7fd407ff,0xa83ff881,0x7fcc01ff,0xfffff301,0x3fe65fff,
    0x4077fe44,0xffffffea,0x209ff93f,0xff705ff9,0x209ff905,0xfea85ff9,
    0x53ffffff,0xdffd55ff,0xffb7fd83,0x3fffffe6,0x3ff602ff,0xc86fffff,
    0xfffd01ff,0x9f1005ff,0xff900bea,0x3faa009f,0x83ffffff,0x3ea07ff8,
    0x83ff881f,0x7cc01ffa,0xffff302f,0x3e65ffff,0x03ffea4f,0x3fffffea,
    0xfff13fff,0x5c0bff20,0x7ff882ff,0xfa85ff90,0xffffffff,0xfffbff53,
    0xbfec1fff,0xffff37fd,0x2a05ffff,0xffff1eff,0x3a07ff8b,0x002fffff,
    0x801fd7ff,0xa801bcb8,0xffffffff,0x03ffb03f,0x3e207fea,0x01ffa83f,
    0xa8817fcc,0x2ffdaaaa,0x3fe69ff3,0x21dff01f,0x3609eff9,0x07ff82ff,
    0x7ec0bfee,0xf87ff82f,0x3dff30ef,0x33fffea1,0x3f64ffda,0x2aa2ffb7,
    0x02ffdaaa,0x3fea1ffd,0xbff50ffe,0x7fed5540,0x5ffd3002,0x0dfff900,
    0x3e61dff0,0xff7009ef,0x207fea09,0xffa82ff9,0x004ff801,0xff997fe4,
    0x302fff8c,0x0ffc85ff,0x3ea2ffd4,0x0bfee04f,0x3ea2ffd4,0x217fcc4f,
    0x3fea0ffc,0xd9ffe22f,0xc80ffb7f,0x5ff882ff,0x47fef3f2,0xf7003ffb,
    0x0028005f,0x803ffffe,0x7fe42ff9,0x41bfe600,0xffc81ffa,0x801ffa80,
    0x32001efe,0xd9ff32ff,0x7fcc05ff,0xff83fe43,0x807ff60f,0x3fe02ffb,
    0x307ff60f,0x47fc87ff,0xffd84ffa,0x132affb0,0xf305ff90,0x7d57fc7f,
    0x003ff93f,0xb500bfee,0x019fffff,0x0fffffe6,0x7e43ff98,0x506ff807,
    0x3ffa23ff,0x03ff504f,0x05dffd50,0x3e65ff90,0x4405ffff,0xdff31eff,
    0x7c4bff20,0x17fdc06f,0x3e25ff90,0x1eff886f,0xffa8dff3,0xfb1ffd83,
    0x2ffc800f,0xff33ffa8,0x3fed3fe6,0x805ff700,0xfffffffd,0xff5ff705,
    0x8f7fc40b,0xfe806ff9,0x263ff507,0x3ea03fff,0xfff7001f,0x25ff9005,
    0x1fffdff9,0x7ffffdc0,0xdff301ff,0xf700ffea,0xb7fcc05f,0xff703ffa,
    0xa83fffff,0x1ffd83ff,0xfc800ffb,0x92ffb82f,0x6d7fe6bf,0xff7001ff,
    0x309bc805,0xdfd05ffd,0xff701ffe,0x003fffff,0x3fea0ffd,0x0dffb711,
    0x36007fea,0xc800acff,0x59ff32ff,0x3e201fff,0x00ceffef,0x7fec7fec,
    0x017fdc00,0x3ff63ff6,0xffeff880,0x3ffa80ce,0x1ff67fe8,0x505ff900,
    0x4cbfa7ff,0x05ff94ff,0x000bfee0,0x3e21ffd4,0x205ffb4f,0xceffeff8,
    0x06ff8800,0xff703ff5,0x803ff501,0x64004ff8,0x29ff32ff,0xff706ffc,
    0x33fea000,0xffb804ff,0x7e7fd402,0x00ff704f,0x3e61ffd4,0x4c5ff66f,
    0x417fe401,0x0ff9bff9,0x3fee7ff5,0x05ff7004,0x7fe54c40,0xfa97fd43,
    0x00ff704f,0xa82ffd40,0x2ff981ff,0x4c01ffa8,0x7e4002ff,0x749ff32f,
    0xcffb85ff,0xff00199a,0x26603fff,0x099bffc9,0x03fffff0,0x266b3fee,
    0x119ff501,0x7ec5fff5,0xfc80ffb7,0xbeff882f,0x4cbff25f,0x266606ff,
    0x8099bffc,0xffffffb8,0x887fec3f,0x9ff706ff,0x2e003335,0x3ff503ff,
    0xf507ff10,0x2ff9803f,0x997fe400,0x3ffe24ff,0x7ffff443,0x3200dfff,
    0xff306fff,0xdfffffff,0x81bfff20,0xffffffe8,0x3ffea0df,0x6c4fffff,
    0xc80ffb7f,0xfffd02ff,0xd1bfe27f,0xfff301ff,0x0dffffff,0xfdddfffd,
    0x746ff87f,0xffe880ff,0x00dfffff,0x7d403ff6,0x83ff881f,0x7cc01ffa,
    0x7fe4002f,0xfa89ff32,0x3ff622ff,0x06ffffee,0x4c0bffe6,0xffffffff,
    0x5fff306f,0x777fec40,0x3ea6ffff,0x82efffff,0x80ffb7fd,0xff302ffc,
    0x5ffd75ff,0xf985ffb8,0xffffffff,0x2a2ffdc6,0x37fe63ff,0x83ffdaaa,
    0xffeeffd8,0x9ff506ff,0x440ffd40,0x1ffa83ff,0x0017fcc0,0x00007ff6,
    0xfe883ffb,0x0dff301f,0x7fcc0000,0x20ffec06,0xff51ffe8,0x7fd80137,
    0xffd80ffb,0x3fffee01,0xffd04fff,0x17fc4007,0xff90bff2,0x7ffffe47,
    0xfd85ffff,0x0fff441f,0xa803ffe2,0x07ff01ff,0xfa803ff5,0xff10101f,
    0x201e5c0f,0x3ffb06ff,0x005ffd10,0x2200e644,0x7fc02ffe,0x2a3ffb06,
    0xffb003ff,0x7c405ff6,0xfffe807f,0x3fe602ef,0x0bfb001f,0xf911bff9,
    0x7fff47ff,0x0fffffff,0xffd837fc,0x2017ff41,0xdff01ffa,0xc803ff50,
    0x57d900ff,0x7409fff9,0x67ffc04f,0x26ffb989,0x04ffecb9,0x4c07fd40,
    0x804ffecb,0xb989cfff,0x0ffea6ff,0x7fdbfec0,0xfff957d9,0x99ff8809,
    0x1fff7000,0x983bff00,0xfeffffff,0x209ff13f,0x7ffc2ffd,0x6ffb989c,
    0xcb82ffec,0xf701ffdc,0x3fea59df,0xfb933ccd,0x7ffe40bf,0x3e205fff,
    0x7ffd402f,0x20efffff,0x005ffffa,0xff506fc8,0x3ea00bff,0xefffffff,
    0x400ffea0,0x32ffb7fd,0x05ffffff,0x70006fb8,0xffd003ff,0xffffa83f,
    0xff73ff8c,0x513fee05,0xffffffff,0x02ffc41d,0x03fffffd,0xfaa7ffec,
    0xff75ffff,0x764c01df,0x74c02dee,0xddd91005,0x9df3059d,0x0bb20005,
    0x001677cc,0x33bbbb22,0x001cc982,0x4dff6ffb,0x002deeec,0x5c000595,
    0x19b91002,0xfd802660,0x21ffe207,0x2ceeeec8,0xccb80910,0x5cc00ccc,
    0x9999932c,0x000af267,0x00000000,0x00000000,0x00000000,0x7fdbfec0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x76400000,0x0000bd95,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0f332000,0x98003510,0xdd302cec,0x402fe883,0x751003ca,0x32e01579,
    0x88009910,0x26201ccc,0x20019999,0x7db503c8,0x1e440054,0x10035100,
    0x10005999,0x44003575,0x5555403a,0x0aaaaaaa,0x40ccc980,0xfd800ccc,
    0x7ffdc04f,0xfffd8804,0x6ffd85ff,0xf703ffe4,0x7ec40bff,0x906fffff,
    0x00bfd9df,0x2017ffc4,0x07fffffe,0x3ea17e60,0x05fdefff,0xf7005f98,
    0xfd1009ff,0x7fdc007f,0x4401efff,0x7ffc06ff,0xffffffff,0x0f7fd401,
    0x3600fffc,0x8df802ff,0x7fec00fc,0x645ffbab,0x37fdc5ff,0x4feaffa8,
    0xffffffd0,0x7ffec0df,0xdfd1000e,0xdddd9001,0x27dc00dd,0x7ff54f4c,
    0x2fe4401f,0x0fc8df80,0x007ff700,0xfffffffb,0x37fc403f,0x3fffffe0,
    0x201fffff,0xff00dff9,0x0665403f,0x0fc8ef80,0xf507fee0,0xb80cb81f,
    0x11cc880c,0xeffa8399,0x26201441,0x0d4c0000,0x3f200000,0xb8033003,
    0x06ffffff,0x007e477c,0x7ffd4000,0x05ffd98a,0xd001bfe2,0x200000ff,
    0x00000fff,0x101fffd4,0x0ffa07ff,0x20040000,0x55003ffc,0x002aa605,
    0x2aa82ff8,0x51015530,0x5543bfd9,0x74155302,0x7fffffff,0x01fffd40,
    0x40357510,0xfff81ffe,0x3ffffe61,0x203fffff,0x2a2007fe,0x3ffa01ab,
    0x2609ff90,0x44aaa5ff,0x5c155309,0x4bf7106f,0x7fcc3ffa,0xffffd504,
    0x3ff27fff,0x06ff800e,0x51001ffb,0x41bfe0ff,0x7fd40ffd,0x3fe5ffff,
    0x321ffb06,0xa9ffaeff,0x0e6dc403,0xfffffc80,0x837fc41e,0x3fe63ffc,
    0xffffffff,0x401ffa03,0x1efffffc,0xff10ffe8,0xf8bff20f,0x41ffb06f,
    0xeffc8bff,0x3fea6faf,0x5427fcc3,0xffffffff,0x9ffff53f,0xd837fc01,
    0xffb300ff,0x1bfe0dff,0xff507fec,0x7cbfffff,0x21ffb06f,0x00ff1ffe,
    0x4037ffe4,0xfffffffd,0x413fe61f,0x2aa24ffa,0xaaaaeffb,0x201ffa00,
    0xfffffffd,0x363ff41f,0x47ff82ff,0x1ffb06ff,0x3ff23fe2,0x2a7f9eff,
    0x27fcc3ff,0xff9877fc,0x3fff609e,0x6ff81dff,0xf701ffb0,0x09ffffff,
    0x3ff60dff,0xf17fff10,0xb06ff86f,0x33ffa1ff,0x3fe006f9,0x3ea00fff,
    0xffd98aef,0x540ffea5,0xdff104ff,0x407fe800,0xd98aeffa,0x23ff45ff,
    0x7fd45ffa,0xfd837fc4,0xff1df50f,0x4ff3df97,0x7fcc3ffa,0x3217fcc4,
    0xfffb80ff,0x37fc4fff,0x7c40ffd8,0xffffbbff,0xfd837fc3,0x26dff50f,
    0xb06ff86f,0x3fff21ff,0xff3005ff,0x7f407fff,0x87ffc41f,0xff303ffb,
    0x01bfe20b,0xfe80ffd0,0x07ffc41f,0x1fff0ffb,0x3fe0ffec,0x321ffb06,
    0xbf97fadf,0x1ffd4ff3,0xff313fe6,0x5407fc87,0x3e2ffffd,0x81ffb06f,
    0xfbfb1ffd,0xb06ff8df,0x4ffee1ff,0x06ff85fa,0x7ff41ffb,0x5c01dfff,
    0x105ffaff,0x3ff20dff,0x2a09ff73,0xdff104ff,0x207fe800,0xff906ff8,
    0x7e43fec7,0xf0dff12f,0x43ff60df,0xfb6fccfd,0x7fd4ff59,0x2227fcc3,
    0xdff31eff,0x97ffa600,0x1ffb06ff,0x27fe6fe8,0x837fc7fc,0x5ff90ffd,
    0x1bfe0fee,0x3ee07fec,0x204fffff,0x20fff6fe,0xff504ff9,0x5c13fea9,
    0xdff103ff,0x207fe800,0xff504ff9,0x7cc37ec9,0xf07ff56f,0x43ff60df,
    0xfd5fcbfd,0x7fd4df57,0x5c27fcc3,0x1fffffff,0xf9bfea00,0x81ffb06f,
    0x2eff55ff,0x41bfe1ff,0x9ff70ffd,0x1bfe0bf2,0xfe807fec,0xf884ffff,
    0x705ffb4f,0x3fea07ff,0x360fff34,0xdff102ff,0x207fe800,0xff503ffb,
    0xfd837e49,0xf80ffd8f,0x21ffb06f,0xfd5fdafe,0x7fd4bf77,0x2227fcc3,
    0x0ceffeff,0xf2ffd400,0x83ff60df,0x29fb5ff8,0x1bfe1ffb,0xffa87fec,
    0xff81fd8e,0x201ffb06,0x86ffd9ff,0x9ff52ffa,0x2607ff70,0x0bffa5ff,
    0xff80dff3,0x03ff4007,0x3e607ff7,0x5402625f,0xf04ffcff,0x43ff60df,
    0xf9dfcbfe,0x3ea3feaf,0x227fcc3f,0x37a007fb,0xfffcaaab,0x7ec1bfe2,
    0x7c77f40f,0x7c1ff91f,0x41ffb06f,0xcbfffffe,0x7ec1bfe5,0xf17f880f,
    0x21ffb0ff,0xffb86ff8,0x5c9ff504,0xffbacfff,0x67ffc03f,0x3ff40130,
    0x2a09ff70,0x802a24ff,0xf01fffff,0x43ff60df,0xffffbbfd,0x3ea0ffff,
    0x227fcc3f,0x199acffb,0xffffffd0,0x06ff8bff,0xffc81ffb,0x8dff16fc,
    0x1ffb06ff,0x7fffffcc,0x6c1bfe6f,0xb7cc10ff,0x6ff86ff9,0x3ea07ff4,
    0x87ff704f,0xfffffffd,0xffffb804,0x1ffa03ff,0xf704ffa8,0x807ff47f,
    0x3e06fffc,0x21ffb06f,0xbfff8cfc,0x7fd43fff,0x2227fcc3,0xfffffffe,
    0x3ffff20d,0x7fe82eff,0xff50ffd0,0x5ffd39ff,0xffd07fe8,0xdfffd910,
    0xfe83ff47,0x3bf77be7,0x7cc3fffc,0xffdaaadf,0xd83ffcc3,0xffeb82ff,
    0x3f2002ef,0x3a02ffff,0x1ffe607f,0xff897fec,0x5fff302f,0xfe83ff40,
    0x8545bee7,0x3ffa80a8,0x36227fcc,0xffffeeff,0x40199886,0x7fc41ffd,
    0xfffff906,0x3ffb0bff,0x2606ff88,0x83ffb05f,0x3ffe6ff8,0x84ffffff,
    0xfffffffc,0x2ffe85ff,0x3a037fcc,0x2660007f,0x3fa00001,0x237fcc2f,
    0xff300efe,0x41ffd80d,0x3fe66ff8,0x3ea00001,0x20ffec3f,0x9701ffe8,
    0x577fdc07,0x202ffd99,0x03effffd,0xb335dff7,0x27d405ff,0x99aeffb8,
    0x3b2e2ffd,0xd00cdfff,0xffffffff,0xfffa81ff,0x02fffbac,0x0b8a7fe4,
    0x7001e5c0,0xfffa8079,0x82fffbac,0x5ffd1009,0x9aeffb80,0x7f42ffd9,
    0x3f200005,0xd837fc2f,0x09fd01ff,0xffffffe8,0x4e7ec05f,0xffffe800,
    0x7dc05fff,0x3ffffa03,0x3fa05fff,0x827fc401,0xffd82ffd,0x804fffff,
    0x6ffffff9,0xd0027f40,0xfffb009f,0x2009ffff,0x04ffecb9,0xffffffd0,
    0x5bff50bf,0xa801f733,0x40fffcab,0xb989cfff,0x5ff106ff,0xfffff900,
    0x00ff8807,0x7ffffe40,0x402fd803,0x03fffffc,0x3ee007fc,0x09ff702f,
    0x0bbfffae,0xfffffa80,0x00bfe204,0xb8017fc4,0x002efffe,0x017fffea,
    0x7fffff90,0x7ffffdc0,0x7fdc00ff,0xffa82fff,0x0effffff,0x8800bd30,
    0x07930009,0x0004c400,0x262003fd,0x807f8800,0x3fe207fd,0x0004c407,
    0x98015530,0x17a6005e,0x00026200,0x000b3be6,0x93000988,0x50037ddb,
    0x4403bddd,0x02ceeeec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8800000,0x8019912c,0x55500ccb,
    0x2a02aa60,0x2002a3ed,0x55000ccb,0x99930005,0x013aa001,0x3322732e,
    0x0b33221c,0x26aaaa60,0x99930001,0x641bb101,0x0ccb800d,0xb906ec40,
    0x07991001,0x644e65c0,0x4c9901cc,0x7cc0102c,0x6c03ffdf,0xff80efff,
    0xa81ffb06,0x5fdeffff,0x077ffec0,0x017ffee0,0x001effa8,0xff900ff6,
    0x105ffd17,0xfb807ffd,0x0cffffff,0x03dff500,0x7fd4ffee,0x77ffec05,
    0x54ffee00,0x7f4405ff,0xffc804ff,0x202ffe8b,0x83ffcdfe,0xff300efd,
    0x8dfd805f,0x37fc0efc,0x74c0ffd8,0x01fffea9,0x3bf237f6,0xfd5df900,
    0x1bff300b,0xffbca880,0x227fee01,0x7dc00dfe,0x3ffee03f,0x805fffff,
    0x2a00dff9,0x09ff32ff,0x77e46fec,0x265ff500,0x3fa204ff,0x2e05fe8c,
    0x0dfe89ff,0x27fff4c0,0x0017ffc4,0x37fc0000,0x9800ffd8,0x33000001,
    0x00004cc1,0xffffff90,0x00000001,0x2e65ff70,0x00001fff,0x000a60cc,
    0x0a60cc00,0x00000000,0x7fc01330,0x7975100f,0x55d44015,0x360dff01,
    0x575100ff,0x32ea2003,0x0e64c0ab,0x5e5d4400,0xffffd80a,0x2aa86fff,
    0xaa815530,0x2e155302,0x1ffec2ff,0x554c0aaa,0x03575100,0xaa981554,
    0x54c0aaa0,0x32ea200a,0x55d4401a,0x65d44001,0x881a881a,0x6ffffffd,
    0xdfffff90,0xfb06ff83,0xffff901f,0x3f6203df,0x546fffff,0x362003ff,
    0x46ffffff,0xfff1effa,0xb06ff8bf,0x06ff81ff,0x3fee1ffb,0x3e1ffe42,
    0x01ffb06f,0x3dfffff9,0x3f60dff0,0x6c1bfe0f,0xffd880ff,0xf907ffff,
    0x803dffff,0xffffffd8,0x7f404c47,0x86ffffff,0xfffffffd,0x6c1bfe1f,
    0x7ffec0ff,0xe81fffff,0x6fffffff,0xd001ffd4,0xdfffffff,0xff50ffe8,
    0x37fc1ffd,0x7fc0ffd8,0x2e1ffb06,0x3ffa22ff,0xfd837fc1,0x7fffec0f,
    0x7fc1ffff,0x7c1ffb06,0x81ffb06f,0xfffffffa,0xffffd87f,0xf501ffff,
    0xffffffff,0x7fd46fc8,0x3ea1441e,0xffd98aef,0x7ec1bfe5,0x2bbfea0f,
    0x545ffd98,0x21441eff,0xf5003ffa,0x222883df,0x2f3f25ff,0x41bfe1ff,
    0x37fc0ffd,0xff70ffd8,0x07fffb9b,0x3ff60dff,0x22bbfea0,0x7fc5ffd9,
    0x7c1ffb06,0x41ffb06f,0x30aefff8,0xaeffa8b5,0x885ffd98,0x530aefff,
    0x7e46fc8b,0x3ffd003f,0xff0fff88,0xe83ff60d,0x7ffc41ff,0x400fff20,
    0xc8023ffa,0xff9803ff,0x3feabfe3,0x7ec1bfe3,0xd837fc0f,0xffff70ff,
    0x3fe03bff,0x741ffb06,0x7ffc41ff,0x7ec1bfe0,0x6c1bfe0f,0x17ff20ff,
    0x441ffe80,0x7fe40fff,0x91bf6005,0xf8801dff,0x27ff906f,0x1ffb06ff,
    0x7e41bfe2,0x03bff23f,0x3aabfea0,0x7fe40eff,0x9ffd400e,0x49ff37f9,
    0x1ffb06ff,0xffb06ff8,0x3fb7fee1,0x0dff01ff,0x7fc43ff6,0x7c7ff906,
    0x41ffb06f,0x1ffb06ff,0x8800fffc,0x7ff906ff,0x2001fff8,0x7ffd47fd,
    0x9ff300cf,0x7fd3fea0,0x261ffb06,0x9ff504ff,0x067fffd4,0xfffbff50,
    0xfffa8dff,0x5ff700cf,0x2ffcd7f2,0x3ff60dff,0xfd837fc0,0x2a5ff70f,
    0x0dff06ff,0x7fcc3ff6,0x7c9ff504,0x41ffb06f,0x1ffb06ff,0x9801bfe2,
    0x9ff504ff,0x20037fc4,0xfffd87fd,0x7fdc1dff,0x3a9ff503,0x5cdfd07f,
    0x9ff503ff,0xdfffffd8,0xcffffa81,0x7ec2ffeb,0x541dffff,0x265fd3ff,
    0x41bfe4ff,0x37fc0ffd,0xff70ffd8,0x7c1ffec5,0x21ffb06f,0xff503ffb,
    0xfd837fc9,0x6c1bfe0f,0x4bff30ff,0x70eeeee9,0x3fea07ff,0xe997fe64,
    0x3fa0eeee,0xfffff707,0x81ffdc9f,0x3ffb5ff9,0x3ee4ff88,0x0bff303f,
    0x9ffffff7,0x2e2fffa8,0xfffb83ff,0x3fe64fff,0xff50ff9b,0xfd837fc7,
    0xd837fc0f,0x45ff70ff,0x6ff86ff9,0x3ee1ffb0,0x4bff303f,0x1ffb06ff,
    0xffd837fc,0x7d49ff50,0xff70ffff,0xa97fe607,0x3ffea4ff,0x01ffa0ff,
    0x25ffffb5,0xff504ffb,0x26bbfee9,0x3ee2ffd9,0x09ff504f,0x17fffed4,
    0xff989ff5,0x3fff6a04,0xf7dff12f,0xff17fe4b,0xf03ff60d,0x43ff60df,
    0x7ff42ffb,0xfd837fc2,0x209ff70f,0x1bfe4ffa,0xdff07fec,0x7d43ff60,
    0x3fb3265f,0x209ff70f,0x3fea4ffa,0x3ffb3265,0x2003ffa0,0xff55ffe9,
    0xe8ffee09,0x3fffffff,0xfb827fd4,0xffe9803f,0xf30ffea5,0xffd3009f,
    0x9fffff4b,0x37fc6ff8,0x7fc0ffd8,0x2e1ffb06,0x37fdc2ff,0x7fec1bfe,
    0x2e09ff50,0x41bfe3ff,0x1bfe0ffd,0xff887fec,0x2a1ffb06,0x7ff704ff,
    0xfd837fc4,0x003ffa0f,0xff9b7fd4,0xc85ffb07,0x981fffff,0x5ffb07ff,
    0xa9bfea00,0x27fcc3ff,0x266ffa80,0xfebaffff,0xe83ff42f,0xd07fe87f,
    0x417fdcff,0x1ffa2fff,0xfff33ff4,0xfe8bff60,0xfe8ffd07,0xff8ffd07,
    0x30ffd81f,0x3ff60fff,0x6c0fffc2,0x03ffe0ff,0xfd2ffd40,0x06ff985f,
    0xfe803ff2,0x037fcc2f,0x7d4bff50,0x027fcc3f,0x7dc5ffa8,0x84ffffff,
    0x7fc41ffd,0x441ffd86,0xd80006ff,0x37fc41ff,0xff30bffa,0x441ffd8d,
    0x0ffec6ff,0xff91bfe2,0x20ffd81b,0x7fcc2ffe,0x40dffc86,0x3ffe0ffd,
    0x2aaaf7a1,0x3ea2fffc,0xfffbacff,0x805ff102,0xfbacfffa,0x55ef42ff,
    0x22fffcaa,0x7fcc3ffa,0x2aaaf7a4,0xfe82fffc,0xf702efff,0xffb335df,
    0x35dff705,0x5c05ffb3,0x77fdc03c,0x42ffd99a,0xfbacfffa,0x77fdc2ff,
    0x42ffd99a,0xd99aeffb,0x7ffc42ff,0x0ffeaace,0x2eb3ffea,0xff882fff,
    0xffeaacef,0xfe833320,0x5fffffff,0xffffffd8,0x2ffea04f,0x7fffec01,
    0xffe84fff,0x45ffffff,0x7fcc3ffa,0x3fffffa4,0xff885fff,0xffe80099,
    0x205fffff,0xfffffffe,0x4027f405,0xfffffffe,0xfffffb05,0x3ffa09ff,
    0xd05fffff,0xbfffffff,0x3ffffea0,0x7ec0ffff,0x04ffffff,0x3fffffea,
    0xfc800fff,0x02efffff,0x0bbfffae,0x00ffff10,0x05dfffd7,0x3ffffff2,
    0x43ffa82e,0x3ff24ff9,0x702effff,0xff9000df,0xf9007fff,0x8807ffff,
    0xff9002ff,0xeb807fff,0x6402efff,0x403fffff,0x03fffffc,0x7ffffec4,
    0xfffd703e,0xffb1005d,0x8007dfff,0x44001998,0x3b260009,0x00262004,
    0x2a00ccc4,0x27fcc3ff,0x5400ccc4,0x2620002c,0x00988000,0x1000bd30,
    0x09880013,0x0004c400,0x22000262,0x02620019,0x900cc400,0x000001bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x213ffea0,0x109910cb,0x55555555,0x33331015,0x55510033,
    0x40d55403,0x99000aa8,0x3cc88079,0x35975100,0x2a0bb600,0x0aa881aa,
    0x9950cc98,0x2a05db00,0xaaaaaaaa,0x30332e00,0x44000155,0x15530aaa,
    0x51015550,0x91015797,0x70332259,0xdf909fff,0xff30bfd9,0x7fffffff,
    0xffffffd0,0x0dfff900,0x7dc37ff4,0x4ffd800f,0x27fff440,0xfffffb10,
    0x7ffa80ff,0xfb87ffe8,0xfbff700f,0x7ffa803f,0xffffffd0,0x3ff605ff,
    0x07ff60ef,0x17ffc400,0xffb87ff7,0x7fffec46,0xbff306ff,0x3bfa07ff,
    0x1dfffb00,0xffffff30,0xdd907fff,0xff00dddd,0x3fa01fff,0x07fdc2ff,
    0x100bff60,0x0bfd19fd,0xfffffff5,0x6ff980ff,0x5c3fffe8,0x3fee00ff,
    0x6ff9801f,0xffffffd0,0x1bfb05ff,0x3ff61df9,0xeff88001,0xf11ffdc0,
    0xfffe83ff,0x2606ffff,0x00402fff,0xfd0004c4,0x4c00000f,0xd03fffff,
    0xffb8dfff,0x00000000,0x215dfff1,0x0b9805a9,0x5c6fffe8,0x800000ff,
    0x3ffd00b9,0x00133333,0x0007ff60,0x7fdc0662,0xf50fffa3,0x002883df,
    0x2ea20000,0x0ffd001a,0x006aea20,0x17febfee,0x717ffff4,0xca9801ff,
    0xca98009a,0x17ff209a,0x35953000,0x8bffffa1,0x54c00ffb,0x2a2009ac,
    0x7ff41acb,0x55555000,0x3ff63555,0x99997001,0x27ff7039,0xffc85ffb,
    0x03555003,0x64001551,0x01efffff,0x7e403ff4,0x201effff,0x20fff6fe,
    0x2e6ffdfe,0xfff900ff,0x7e40bfff,0x3e5fffff,0xf90001ff,0x3abfffff,
    0x3ee6ffdf,0xffff900f,0xffb10bff,0x7f4fffff,0xfffd000f,0x3f69ffff,
    0xfffd001f,0x7ff705ff,0xf901fff1,0xffd001df,0x001ff70f,0x3ffffff6,
    0x1ffa01ff,0xffffffb0,0x9ff103ff,0x3fa0bff6,0xff72ffbd,0xffffe881,
    0xfe885fff,0x15ffffff,0xd1000dff,0xbfffffff,0x47ff37fa,0x7f440ffb,
    0x45ffffff,0xfffffffa,0x003ffa7f,0x7ffffff4,0x003ffb4f,0x0bffb32e,
    0x3ff6ffee,0x9ffff502,0x1ffff401,0xdec83fee,0x22bbfea0,0x3a05ffd9,
    0x3bfea07f,0x85ffd98a,0x9ff52ffa,0x5bfebfd0,0x7fe40ffb,0x909730bf,
    0x2e617fff,0x74cbff34,0x7e40eeee,0x29730bff,0x75ff8dfe,0xfffc81ff,
    0x7c49730b,0xb530aeff,0x7ffffff4,0xffa800ff,0x0003ffb4,0xff705ff7,
    0xfd80bffd,0xe81dffff,0x7fdc6fff,0x747fff50,0x7ffc41ff,0x740ffd00,
    0x7ffc41ff,0xf887fec0,0xf75fe86f,0x4c1ff77f,0xf3001fff,0xffa803ff,
    0x3ffffea4,0x007ffe60,0x23ff6bfd,0x3fe60ffb,0x5ffc801f,0xfffffd00,
    0xf5001fff,0x007ff69f,0x2e0bfee0,0x804fffff,0x4ffffffb,0x717ffff4,
    0x3ffee1ff,0x320dff14,0x0ffd03ff,0x7e41bfe2,0x3a37fc3f,0xf2ff40ff,
    0x641ff7df,0x3f2004ff,0x5ffa804f,0x83ffb326,0xfe804ffc,0xff79ff35,
    0x8027fe41,0xfd001fff,0x0555557f,0x7ed3fea0,0xffb8001f,0xffbffb82,
    0xffb5002f,0x7eff45ff,0x443fee6f,0x9ff31ffe,0x7413fea0,0x09ff307f,
    0xff993fea,0x3ffdaaad,0xdff72ff4,0x17fec1ff,0x005ffb00,0x3f60dff1,
    0x00bff60f,0xbffe97fa,0x0bff60ff,0x801bfe20,0x20000ffe,0x3ffb4ffa,
    0x05ff7000,0xfff57ff7,0x7ff4c001,0x3ff37fa5,0x0981ff71,0x7d40ffee,
    0x20ffd04f,0xff503ffb,0x7ffffe49,0x7f45ffff,0x07ffffc5,0x74003ffd,
    0xfff001ff,0x741ffb03,0x5fe801ff,0x83ffbfea,0xf9801ffe,0x3bbba65f,
    0x001ffd0e,0xfda7fd40,0xffb8001f,0xfb3ffb82,0xffa800bf,0x3fe37fa6,
    0xb801ff75,0xbff303ff,0x7dc1ffa0,0x4bff303f,0xfffffffe,0x17fa0fff,
    0x7c1ffff7,0x3fe000ff,0xbff9000f,0x3e0ffd81,0x5fe800ff,0xf07ffff4,
    0xff5001ff,0x7ffffd49,0x0001ffd0,0xffda7fd4,0x2ffb8001,0xff13ffb8,
    0x7fd4005f,0x7fed7fa5,0x2ee0ffb8,0x209ff70b,0x55514ffa,0x21557fff,
    0xff504ffb,0x6c13fe29,0x217fa2ff,0x3fa0ffff,0x3ffa001f,0xdfff1001,
    0x41ffd559,0xfe801ffe,0x07fffdc5,0xf5003ffd,0x7f664cbf,0x557ffd0f,
    0xf5001555,0x2afff69f,0x2e01aaaa,0x3ffb82ff,0xde83ffee,0xfffcaaab,
    0x7fcd7fa2,0x3fe0ffbc,0x209ff50f,0xfff33ffb,0x27ffffff,0xff704ffa,
    0x5c0bfee7,0x217fa4ff,0x3f60fffb,0x3ff6002f,0x3ffea002,0x20ffffff,
    0xfe802ffd,0x07fffc45,0xf1005ffb,0x43ff60df,0xfffffffe,0x4ffa802f,
    0xfffffffb,0x17fdc0bf,0x3fa1ffdc,0x3ffffa5f,0x7f45ffff,0x3fefffa5,
    0xff99ffa0,0x265ffb07,0xffffffff,0x20fff33f,0x0ffb2ffd,0xbfd3ffc4,
    0xfc83ffe0,0x3ff2005f,0x7fec4005,0x7e43efff,0x85fe805f,0x3f20fffc,
    0x3fff005f,0x3fa1ffb0,0x2fffffff,0xfb4ffa80,0xbfffffff,0x5c17fdc0,
    0x7ffcc3ff,0xffffff92,0x54bfd07d,0x3a0ffeff,0x217ff47f,0xf7006ff9,
    0x217ff41d,0x5c006ff9,0x3fa000ef,0x0fffe60f,0x0fffe604,0x80662004,
    0x0103fff9,0x3fff9800,0x06ffe410,0xf9003ff6,0xffc8081d,0xff700002,
    0x98800005,0x17fa04ff,0x6c1ffffd,0x67ffd47f,0x802fffba,0x7fd41ff9,
    0x2fffbacf,0x007fe600,0xfd87ff98,0x5ebabdff,0xabdfffd8,0x0f2e05eb,
    0x2f7fff60,0x79705eba,0x7bfffb00,0x7fc4bd75,0xffeaacef,0x207fe600,
    0xfffb99bf,0x001cc880,0x97005ff7,0x07fe2007,0x7fdc5fe8,0x21bf60ff,
    0xfffffffd,0x15ff5004,0xffffffd8,0x7fdc004f,0x7fe4400a,0xfffd884f,
    0xd885ffff,0x5fffffff,0x22013fa0,0xfffffffd,0x1009fd05,0xfffffffb,
    0xfffffa8b,0x2e00ffff,0x7ffc0aff,0xf503ffff,0x64ccc01f,0xd0099bff,
    0x1bea009f,0xff88bfd0,0x406620ff,0x02efffeb,0x21bffe60,0x02efffeb,
    0x06fff980,0x2037ffd4,0x2dffffeb,0x3ffffae0,0x05ff102d,0x7ffff5c0,
    0x02ff882d,0x3ffffae0,0xfffd882d,0x7d403eff,0x7ffe46ff,0x1bf202ef,
    0xffffff98,0xff886fff,0x80353002,0xfffc85fe,0x00988000,0x407b9500,
    0x54000098,0x6f4c03dc,0x00044002,0x2f4c0044,0x98011000,0x0220005e,
    0x40019880,0x03103dca,0xf980bb20,0xffffffff,0x0005e986,0x26200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c400200,0x7c419999,0x332e01ff,0x99930000,0x5c332a01,
    0x8376203c,0x64c000dc,0x966440cc,0xeb800cc8,0xccc98004,0xc8966440,
    0x332e000c,0x3b722003,0x013ae00c,0x403ccc80,0x04000ccb,0x9910cb80,
    0x02fff980,0x3ffffff4,0x6c17fff2,0x4000efff,0x6c01effa,0x200efdef,
    0xbff53ffb,0x0f7fd400,0x3ffdff98,0x02fff880,0x407bfea0,0x03ffdff9,
    0x8013ff60,0x00fffffa,0x0005fff1,0xfd809ffb,0xf9800eff,0x77e402ff,
    0x77c05fec,0x3b200feb,0x7e46eeee,0x8dfd85ff,0xf3000efc,0x3f2001bf,
    0x7fd400ef,0x2009ff32,0x4c00dff9,0x3e002fff,0xff3001ff,0xfff9801b,
    0x0bff6002,0xcefff880,0x07ffe00c,0x805ffb00,0x0efc8dfd,0x07f5f7c0,
    0x03bfff60,0x05f54f88,0x3ffd1000,0x00000000,0x98330000,0x00000002,
    0x00037100,0x00000000,0x004ffb80,0x000006e2,0xa7c40000,0x098802fa,
    0x1fd7ff00,0x55555510,0x20981555,0x2aa00aaa,0x440d5542,0x5554c0aa,
    0x2aaa019a,0x530aaa00,0x55555555,0x55555545,0x260aaaaa,0xaaaaaaaa,
    0x00554c2a,0x5555554c,0x554c2aaa,0x6c0019aa,0x2aa201ff,0x0aaaaaaa,
    0x555554c0,0x9805531a,0xfd7ff02a,0x55555101,0x26015555,0xff302ffe,
    0x7fffffff,0x505ffb80,0x7ffe89ff,0x7dc0ffb8,0x0cffffff,0xfa82ffdc,
    0x7fffe44f,0x3e6fffff,0xffffffff,0x3fff21ff,0x46ffffff,0xfc801ffd,
    0xffffffff,0x7ffffdc6,0xfe800cff,0x7fffcc07,0x403fffff,0x4ffffffe,
    0x5fc80ff9,0x205ffd30,0xfffffff9,0x201403ff,0xfffffff9,0x833ae3ff,
    0xffe80fff,0x21ffff40,0x7fdc0ffb,0x85ffffff,0xffe80fff,0x7ffffe40,
    0x3fe6ffff,0xffffffff,0x3ffff21f,0x6c6fffff,0xffc801ff,0x6fffffff,
    0x7fffffdc,0x6ff805ff,0x7ffffcc0,0x2603ffff,0x4fffffff,0x5fd80ff7,
    0x3fe60040,0x3fffffff,0x7ffffed4,0x83ff400c,0x3ee4fffa,0x427fd44f,
    0x7dc6fffe,0x997fdc0f,0x7dc1fffb,0x427fd44f,0xf9999998,0x1ffa04ff,
    0x33333310,0xffd89fff,0x99998801,0x5c4fff99,0xfff732ff,0xffaaa983,
    0x7401aaae,0x3bf6007f,0x07fb83ff,0x7ff527ec,0x3a04ff98,0x7ffec07f,
    0x7405ffff,0xdfff907f,0x3fa0fff8,0xffffe80f,0xf703fee2,0x83ffd85f,
    0x3ffa0fff,0x1bff2000,0x2000ffd0,0xffd86ffc,0x3ff20001,0x6c2ffb86,
    0x7ffdc3ff,0x04ffffff,0xf8803ff4,0xfa83ffbf,0xf527ec07,0x04ff987f,
    0x37901ffa,0x80bffa61,0xfff307fe,0xf54ffb87,0x3f7fa09f,0x703fee6f,
    0x3ffc85ff,0xff54ffb8,0x7ffcc009,0x003ff401,0x6c0fffcc,0xf30001ff,
    0x5ff703ff,0x7543ffc8,0xeeeeffee,0x803ff403,0x83ff8ffb,0x45930ffa,
    0x0ffea4fd,0x7f409ff3,0x7ff50007,0x9503ff40,0x3a3ffe07,0x9bfd00ff,
    0x03fee3ff,0x7f445ff7,0xd1fff01f,0x7f4001ff,0x07fe803f,0xb03ffe80,
    0x3a0003ff,0x5ff703ff,0x500fff44,0xfe8007ff,0xf19fd007,0x21ff307f,
    0xa8ffa7fc,0x27fcc3ff,0x4400ffd0,0x203ffca9,0x2e0007fe,0x204ffdff,
    0x75ff8dfe,0xdffb81ff,0x203fffdc,0x04ffdffb,0x401bff20,0x7e4007fe,
    0x07ff606f,0x81bff200,0xffdcdffb,0x17fdc03f,0x201ffa00,0xfff89ff9,
    0x21ff32ff,0x47fd1ffe,0x7fcc3ffa,0x101ffa04,0xfffffff7,0x703ff407,
    0x3ffe01ff,0x57fa00ff,0x0ffb8ffd,0x7fffffdc,0xffff801d,0xfff3000f,
    0x01ffa001,0x200fff98,0x4c001ffd,0x3ee00fff,0x01dfffff,0x4001ffc8,
    0x6fc807fe,0x25fffff1,0xfff99ff9,0x7fd45fd3,0xd027fcc3,0xfffe80ff,
    0x203ffeee,0x17f207fe,0x404fffb8,0x79ff35fe,0xdffb81ff,0xb801fffe,
    0x3a004fff,0x3fa003ff,0x0fffa007,0x8003ffb0,0x7dc03ffe,0x01fffedf,
    0x4000ffd8,0x3ff807fe,0x21339ff1,0xfefb9ff8,0x7fd45ff6,0xd027fcc3,
    0x2ffdc0ff,0xfe80ffea,0xf00bfa07,0x5fe801ff,0x03fefffa,0x3fea5ff7,
    0x01fff006,0x0017fee0,0x3ee00ffd,0x1ffd805f,0x017fee00,0x7fd4bfee,
    0x007fe806,0x7d407fe8,0x83ff99af,0xfafe9ff8,0x3ea1ff8f,0x027fd43f,
    0x7fe40ffd,0xd01ffe42,0x401dc0ff,0x5fe807fe,0x03ffbfea,0x7fec5ff7,
    0x007fe803,0x8001fff3,0xff9807fe,0x1ffd800f,0x01fff300,0x7ec5ff70,
    0x1bfe203f,0xb01ffa00,0x7fffffff,0x75beffe0,0x3ea1ffbf,0x13ffa24f,
    0x3f207fe8,0xfffc88df,0x001ffa03,0x3a01ffa0,0x7ffff45f,0xf317fdc0,
    0x0ffd00df,0x000fffa0,0x3fa01ffa,0x3ffb003f,0x00fffa00,0xff317fdc,
    0x027fdc0d,0xf103ff40,0x7fffffff,0x5d3f7fe0,0x3e60ffdf,0xfffeaaff,
    0x981ffa04,0xfeffffff,0x3eaaa23f,0x000aabff,0xfe807fe8,0x07fffdc5,
    0xffd0bfee,0x807fe805,0xccccfffb,0x1ffa04cc,0x999fff70,0xffd89999,
    0x21aaaaab,0xccccfffb,0x17fdc4cc,0xdcc8bffa,0xa8801fff,0xaabfffaa,
    0xf883fee0,0x3fe1aadf,0xffff31ff,0xfffffe81,0x2aa24ffd,0x0aabfffa,
    0x467fffd4,0x3ffe63ff,0x03ffffff,0xe807fe80,0x7fffc45f,0x2e17fdc0,
    0x3ff406ff,0x7ffffec0,0x3a07ffff,0x7ffec07f,0x47ffffff,0xfffffffd,
    0x3ffff65f,0x5c7fffff,0x37fdc2ff,0x007ffffd,0x3fffffe6,0x17fa3fff,
    0x4bfffff1,0x7ff47ffe,0x7fff440f,0x7fcc9ff4,0x3fffffff,0xf9801330,
    0xffffffff,0x07fe8003,0xffc85fe8,0x417fdc0f,0x3fa02fff,0xffffd807,
    0x207fffff,0x7fec07fe,0x7fffffff,0x7fffffec,0x3fff65ff,0x47ffffff,
    0xfff82ffb,0x0019bd72,0x7fffffcc,0x5ff33fff,0x5fffff88,0xff913ffa,
    0x2004c40f,0xfffffff9,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x654c4000,
    0xda80cccc,0x99102a3e,0x33100059,0x30003333,0x97001999,0x7db50019,
    0x665c0054,0x0665c000,0x03332600,0x00001993,0xb5019993,0xc880547d,
    0xbb1002cc,0x64406e41,0x2019912c,0x0bcddcb8,0x3720dd88,0xfff91000,
    0xa83fffff,0x5fdeffff,0x003ffe88,0x3ffffff4,0x07bfea00,0x03bfff60,
    0xdeffffa8,0x7ffec05f,0xfffb000e,0x3fea001d,0x04ff881e,0x0f7fd400,
    0x6f7fffd4,0x3ffa205f,0x53ffb803,0x3fe60bff,0xff303ffd,0x701fffff,
    0x17fea7ff,0x7fffff40,0x74c1ffec,0x01fffea9,0xc800ffee,0x006eeeee,
    0x20037fe6,0x0efc8dfd,0xffd53d30,0x46fec03f,0x7ec00efc,0x400efc8d,
    0x3600dff9,0xf30000ff,0x27a601bf,0x801fffea,0x7d403ffb,0x409ff32f,
    0xf102fff9,0x1d9559ff,0x3e65ff50,0xfffc804f,0x03ff96ff,0x00000330,
    0x00000000,0x00cc0000,0x00000000,0x03ff9800,0x19800000,0x06600000,
    0x26000053,0x0cc005ff,0x7ff400a6,0x3ff96fff,0x55555544,0x55100aaa,
    0x55440035,0x2aa2001a,0x8155401a,0x0d5542aa,0xa8805544,0x554401aa,
    0x0aaaaaaa,0x55401555,0x1006fe82,0x55555555,0x2aaa2015,0x55554401,
    0x540aaaaa,0xaaaaaaaa,0x55555540,0x3fe60aaa,0x5544001f,0x3ffe001a,
    0x3ff96fff,0x7fffffcc,0xff903fff,0x7fe400df,0x3ff2006f,0x83ff406f,
    0x3ffa0ffd,0x900ffb87,0xf980dfff,0xffffffff,0x2a0bff73,0x2ffb84ff,
    0xfffff980,0xf903ffff,0xff980dff,0x3fffffff,0x7ffffff4,0x7fff42ff,
    0x7c2fffff,0x9000cfff,0x7c00dfff,0xf96fffff,0x7fffcc3f,0xf03fffff,
    0x2001ffff,0x000fffff,0x401fffff,0x1ffb07fe,0x2e1ffff4,0xffff00ff,
    0x7ffcc01f,0x23ffffff,0xffe80fff,0x805ff880,0xfffffff9,0xffff03ff,
    0x7ffcc01f,0x43ffffff,0xfffffffe,0x7ffff42f,0x3fa2ffff,0x802fffff,
    0x000fffff,0x2dfffffd,0x3fa01ffc,0xffff9807,0xfff9803f,0xff9803ff,
    0x3fa03fff,0x741ffb07,0x7fdc6fff,0xfffff980,0x81ffa003,0x7fd44ffb,
    0x003ff204,0xf300ffd0,0x4007ffff,0x7ff407fe,0x40999999,0x99999ffe,
    0xf9bff709,0x7cc09fff,0x5003ffff,0x32dfffff,0x1ffa01ff,0x3febfee0,
    0xfaffb805,0xaffb805f,0x1ffa05ff,0xffd07fec,0x07fdc5ff,0x2ffd7fdc,
    0xf80ffd00,0x03ffa0ff,0x4004ff88,0xffb807fe,0x3a005ffa,0x07ff407f,
    0x400ffe80,0xffd30ffe,0x2bfee07f,0x3ee005ff,0x3ff96fff,0x7403ff40,
    0xd00fff6f,0x201ffedf,0x40fff6fe,0x1ffb07fe,0x737feff4,0x2dfd01ff,
    0x3fa007ff,0xaa7fdc07,0x7fd804ff,0x403ff400,0x00fff6fe,0x3fa03ff4,
    0x1ffd000f,0x642ffe80,0x2dfd07ff,0x5c4007ff,0x03ff96ee,0x3e203ff4,
    0x405ffb4f,0x5ffb4ff8,0xfda7fc40,0x33ffd02f,0x41ffd333,0x71ffcdfe,
    0x4ff881ff,0x3a005ffb,0x8fff807f,0xfa800ffe,0x1ffa003f,0x3f69ff10,
    0x0ffd002f,0xd000ffe8,0xffc801ff,0x20fffc1f,0x5ffb4ff8,0x3ff90000,
    0x2a03ff40,0x09ff52ff,0xffa97fd4,0x54bfea04,0xfffd04ff,0x1fffffff,
    0xaffc6ff4,0x7fd40ffb,0x2009ff52,0xffb807fe,0x3a004ffd,0x1ffa006f,
    0x3ea5ff50,0x0ffd004f,0xffffffe8,0x7fff40ff,0xf10fffff,0x3fa19fff,
    0xa97fd40f,0xc80004ff,0x1ffa01ff,0x3e21ffb0,0x43ff606f,0x3f606ff8,
    0x20dff10f,0xfffffffe,0x57fa0fff,0x0ffb8ffd,0xff887fec,0x00ffd006,
    0x003ffffe,0xd001ffb8,0x0ffd80ff,0x3a00dff1,0x7fff407f,0x740fffff,
    0xffffffff,0x3ffffe60,0xffd86ffc,0x000dff10,0x7403ff90,0x237fc07f,
    0xdff00ffe,0xff00ffe8,0xe80ffe8d,0xeaaaaaff,0x4d7fa0ff,0x40ffbcff,
    0x07ff46ff,0xb803ff40,0x44004fff,0xffd005ff,0x7f46ff80,0x07fe800f,
    0x5555fff4,0xabffe82a,0xfc882aaa,0xf81fffff,0x007ff46f,0x807ff200,
    0x3fe607fe,0x3ffdaaad,0xaaadff98,0xff983ffd,0x3ffdaaad,0xffb07fe8,
    0xffd2ff41,0x7fcc1ff7,0x3ffdaaad,0x2007fe80,0xc8000fff,0x7fe800ff,
    0x2ab7fe60,0xe803ffda,0x07ff407f,0x000ffe80,0x417fff4c,0xdaaadff9,
    0x740003ff,0x1ffa00ff,0xffffffc8,0xffc85fff,0x5fffffff,0xffffffc8,
    0x7fe85fff,0x7f41ffb0,0x3ffbfea5,0x3fffff20,0xe805ffff,0x1ffa007f,
    0x027fcc00,0xff903ff4,0xbfffffff,0xe80ffd00,0xffd000ff,0x3ff60001,
    0xfffffc84,0x1005ffff,0x406ff985,0x3ffa07fe,0xffffffff,0x7fffff40,
    0x740fffff,0xffffffff,0x83ff40ff,0x17fa0ffd,0x741ffffd,0xffffffff,
    0x3ff400ff,0x000ffd00,0x7f403fec,0x3ffffa07,0x00ffffff,0x3fa03ff4,
    0x1ffd000f,0x9ff70080,0xffffffd0,0xd001ffff,0x5fffb9df,0xfffaaa88,
    0x9ff10aab,0xf88bff60,0x45ffb04f,0xffb04ff8,0xfb07fe85,0x2e2ff41f,
    0xff10ffff,0x10bff609,0x57fff555,0x03ff4015,0x885ff500,0xabfffaaa,
    0x209ff10a,0x55442ffd,0x0aabfffa,0x5555fff4,0x5fff40aa,0xdb0aaaaa,
    0x3fff9779,0xfb04ff88,0xffe8805f,0xf984ffff,0xffffffff,0x2e05ff73,
    0x0bfee4ff,0xff727fdc,0xd13fee05,0x83ff60ff,0x7ffc45fe,0x205ff70f,
    0x7fcc4ffb,0x3fffffff,0x0001ffa0,0xfff98dfd,0x73ffffff,0x3fee05ff,
    0x7ffffcc4,0x7f43ffff,0x2fffffff,0x7ffffff4,0xffffb2ff,0xff707fff,
    0x013fee05,0x805e6e54,0xfffffff9,0x40ffb3ff,0x1ff67ff8,0x3f67ff88,
    0xd1ffe207,0x83ff60ff,0xfffc85fe,0x7c40ffb0,0x7fffcc7f,0x203fffff,
    0x540007fe,0x3ffe60cc,0xb3ffffff,0x3ffc40ff,0x3fffffe6,0x7ff43fff,
    0x42ffffff,0xfffffffe,0x9db9732f,0x81ff6017,0x00007ff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53000000,0x75c01359,0xccc98004,0x9910cb80,0xdc837620,0x33333100,
    0xc8865c03,0x0b320004,0x9100ccb8,0x65400599,0x0007970c,0x40005530,
    0x000a22aa,0xcc880020,0x951e5401,0x66654007,0x3ff20000,0xf105ffff,
    0x7d4005ff,0x9df901ef,0x3fee0bfd,0x3a0bff53,0x207fffff,0x05fecefc,
    0x205ff500,0x100efffd,0x6c007ffd,0x000efdef,0x0bfd4cb8,0xf8a7fc00,
    0x1ff5005f,0x401dffd5,0x201fffe8,0x0efbdfe8,0x03dff500,0x3a2037f2,
    0x5fffffff,0x4007ffe0,0x6c00dff9,0xf500efff,0x413fe65f,0x06eeeeec,
    0x0077ffec,0xfb06fe80,0x401df91b,0x32003ffb,0xd0000eff,0x005ff1ff,
    0x8ffcc751,0xf5007ff8,0xdfffff9f,0x3ef3fa20,0x3ffa200f,0xbff5000f,
    0x13ffea01,0x4c2ffff2,0x006e204b,0x01310000,0x00298330,0x00131000,
    0x001ffcc0,0x00000000,0x3ebffa00,0x26ff8807,0x03fdc7fa,0xbcffffa8,
    0x3ca82ffe,0x99100f2a,0x0f322003,0x989fff70,0x55001fff,0x15555555,
    0xaaaaaaa8,0x555540aa,0x220aaaaa,0xaaaaaaaa,0x5555540a,0x5100aaaa,
    0x36000355,0xaaaa80ff,0x540aaaaa,0xaaaaaaaa,0x0d555540,0x2bffa000,
    0x6ff8803c,0x0bf90b2a,0xb8bffea0,0x000003ff,0xfe800000,0x027fe40e,
    0xffffffd0,0xfffe85ff,0x742fffff,0xffffffff,0x3ffffe62,0x7f43ffff,
    0x2fffffff,0x00dfff90,0x3a09ff10,0xffffffff,0x7fffff42,0x7ffc2fff,
    0x002effff,0x2003ff42,0x7fc06ff8,0x9ff5000e,0xb104ff98,0x201dfffd,
    0x0efffed8,0xdfffdb10,0xffd80401,0x3fffa002,0x742fffff,0xffffffff,
    0x7fffff42,0x3fe62fff,0x3fffffff,0x7ffffff4,0xffff02ff,0xffb8001f,
    0xfffffd01,0xffe85fff,0x42ffffff,0xffffffff,0x3ffae05f,0xf9807fff,
    0xffffffff,0x04406a3f,0x3e61ffd4,0xffffb84f,0xffb81fff,0xb81fffff,
    0x1fffffff,0x01ffe800,0x2667ffa0,0x7ff40999,0x40999999,0x99999ffe,
    0x01ffa009,0x33333ffd,0xffff3013,0x6ff8007f,0x2667ffa0,0x7ff40999,
    0x40999999,0xff9316ff,0xfffe885f,0x9807ffff,0xffffffff,0x57fc43ff,
    0x2a2effe9,0x27fcc3ff,0x2af7ffe6,0x7ffcc1ec,0x4c1ecabd,0xecabdfff,
    0x0fff8001,0x003ffa00,0xe8007ff4,0xfe8000ff,0x007ff407,0xbff5ff70,
    0x017fd400,0x3a001ffd,0xdff000ff,0xfc8dff70,0x7ff99aef,0xffbaa880,
    0x440aaaae,0xfffffcff,0x987ff50f,0x1fff44ff,0x003ffe80,0x88007ffd,
    0x01ffe80a,0x4003ffa0,0xfd000ffe,0xffd0001f,0x000ffe80,0x03ffdbfa,
    0xfe80ffd0,0x1ffd000f,0x7c1bfe00,0x0fff31ff,0xf8800ffd,0xfff8806f,
    0x54ffdadf,0x4ff987ff,0x4401bfe2,0xff1006ff,0xfff8800d,0x0017fec1,
    0x3a001ffd,0xffd000ff,0x0ffd0001,0x1000ffe8,0x0bff69ff,0xd00ffe60,
    0x3fa001ff,0x0dff000f,0x7fd4bff6,0x4007fe83,0xf8806ff8,0x57fe64ff,
    0x7fcc3ffa,0x4017fea4,0xf5005ffa,0xffa800bf,0x02ffe45f,0xffffffd0,
    0xfffe81ff,0x740fffff,0xffffffff,0xd01ffa00,0xffffffff,0xf52ffa81,
    0x1ff9009f,0xfffffe80,0x7ff40fff,0x40ffffff,0x7ff906ff,0x3fa0bff2,
    0x37fc4007,0x7c37fc40,0x987ff56f,0x17fea4ff,0x802ffd40,0x44005ffa,
    0x7fcc7fff,0xffe8103f,0x40ffffff,0xfffffffe,0x7ffff40f,0x3a00ffff,
    0x7fff407f,0x6c0fffff,0x0dff10ff,0xe805ff88,0xffffffff,0x7fffff40,
    0x37fc0fff,0xff93ffb8,0x800ffd05,0xf8806ff8,0xf56ff85f,0x24ff987f,
    0xf3006ff9,0x3fe600df,0x6ffa8006,0xabdfffd8,0x5fff45eb,0xfe82aaaa,
    0x82aaaabf,0xaaaabffe,0x203ff402,0xaaaabffe,0x7f46ff82,0x07fee00f,
    0x2aafffa0,0xbffe82aa,0xff82aaaa,0x325ff906,0x07fe82ff,0x4037fc40,
    0x6ff85ff8,0x3ffe2000,0x3fff8803,0x03fff880,0x4427fc40,0xfffffffe,
    0x8007ff45,0xfd000ffe,0xffd0001f,0x800ffe80,0xdaaadff9,0x1bfe03ff,
    0x8007ff40,0xff000ffe,0x547ff60d,0x3ffe44ff,0x403ffc00,0x6ff85ff8,
    0xfc807970,0x1dbaacff,0x5567ffe4,0x7ffe41db,0x901dbaac,0x7f5c01ff,
    0x7f42efff,0x1ffd000f,0x003ffa00,0xfd01ffa0,0xfff9001f,0x0bffffff,
    0x7400bfea,0xffd000ff,0x21bfe001,0xff10fff9,0xffffb37f,0x19fff000,
    0x0bff1026,0x13fa0dff,0x3fffffa0,0xfffe81ff,0xfe81ffff,0x21ffffff,
    0x802fffe9,0x3fa03ff9,0x1ffd000f,0x003ffa00,0xfd01ffa0,0xfffd001f,
    0x1fffffff,0x7400ffd0,0xffd000ff,0x11bfe001,0xffc87ffb,0x07fdffff,
    0xfffffb80,0x42ffc43f,0x2ff886ff,0xffffd700,0x3ffae01b,0xfd700dff,
    0x7d41bfff,0xff7000ce,0xaabffe80,0x7ff40aaa,0x40aaaaab,0xaaaabffe,
    0x3eaaa20a,0x740aabff,0xaaaaabff,0x3609ff10,0x27fcc2ff,0x557ffd00,
    0xffe81555,0x40aaaaab,0xffcbafff,0xdfff906f,0x2000ff73,0x42fffffc,
    0x6ff85ff8,0x30005e98,0x00098001,0x2000004c,0x7ff404fc,0x42ffffff,
    0xfffffffe,0x7ffff42f,0x3e62ffff,0xffffffff,0x7fffff43,0x5ff72fff,
    0xf913fee0,0x7ff4001f,0x42ffffff,0xfffffffe,0x7ffffc2f,0x4c00dfff,
    0x99800000,0xf0bff101,0x000000df,0x00000000,0x400aa800,0xfffffffe,
    0x7ffff42f,0x7f42ffff,0x2fffffff,0x3fffffe6,0x7ff43fff,0xb2ffffff,
    0x3ffc40ff,0xfd000f32,0x5fffffff,0xffffffe8,0x7fffc2ff,0x00002cde,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4004000c,
    0x009911cb,0x2201cc98,0x20099999,0x00999998,0x32e00188,0x7059970c,
    0x2006641b,0x990003ca,0x0ccca879,0x00d4c000,0x006641b7,0x800c5bb5,
    0x320003ca,0x774403cc,0xc88e5c01,0xffffda84,0x23fea0cf,0x900effea,
    0x00bfb5df,0x5bff9553,0x3fffff20,0x3ffff206,0xfffb306f,0x7fdc07ff,
    0xf509ff93,0x813fee9f,0x4005fffb,0xff704ffd,0x7fc0001d,0x2e9ff502,
    0xfff504ff,0xb80bf9df,0xd8005fff,0xffc804ff,0x6d77e406,0xffffd85f,
    0x3fea5fff,0x06fffffc,0x03ffffd1,0xffffff90,0x3bbbae0f,0x3bbae05e,
    0xfffa85ee,0xf504ffff,0x40bfee7f,0x7ff54ff9,0x3fabfea0,0x05ffb004,
    0x000eff98,0xf303fd44,0x40ffea9f,0xffffbafa,0x3abfea02,0x3ff6004f,
    0x0bff9002,0x1ffffe88,0xfd309bc8,0x3fffea5f,0x102ffebc,0x2e001797,
    0x06effeee,0xff000000,0x9701985f,0x30073225,0x99102a85,0x50073223,
    0x32200199,0xffd9803c,0x214c06ff,0x7510402a,0x88e64403,0xcca801cc,
    0x0065c000,0x0005e5c4,0x7fd4ffea,0x00ffee2f,0x7fd40003,0x10003003,
    0x007ffc40,0x00000080,0x00000000,0x7fffdc00,0x01004fff,0x04000200,
    0x00000800,0x98800200,0xff53ffca,0x544ff989,0x0cfffffd,0xffffd910,
    0x3ff6a07f,0x9100cfff,0xff07dffd,0xb30017df,0x5407dfff,0x27fcc3ff,
    0xff987ff5,0xf30ffea4,0x43ffa89f,0x3fe24ff9,0x3ffffbbf,0x7dfffb30,
    0xefffd980,0x7ffecc03,0x7fecc03e,0xed8803ef,0xc880efff,0xb883effe,
    0x3fffffff,0xff987ff5,0x7ffffec4,0xfffa85ff,0xb03fffff,0xbfffffff,
    0xfffffd10,0xffffa8bf,0xfff702ef,0x2a0dffff,0x27fcc3ff,0xff987ff5,
    0xf30ffea4,0x43ffa89f,0x3ff64ff9,0x0dffbfb1,0xfffffff7,0x3fffee0d,
    0xff706fff,0x20dfffff,0xfffffffb,0x3fffee06,0x7f441fff,0x745fffff,
    0xffeeefff,0xf987ff53,0x984de44f,0x3fe22ffe,0x3ffc99cf,0x3a613790,
    0x5ffec2ff,0x4c2ffd88,0x45fffffd,0xfdacfff8,0x3ffa83ff,0xff527fcc,
    0x2a4ff987,0x27fcc3ff,0xff30ffea,0x3ff37f49,0xfff88ff9,0x43fffdac,
    0xfdacfff8,0x7ffc43ff,0x43fffdac,0xfdacfff8,0xfff983ff,0x6c1ecabd,
    0xffd88bff,0xfa8bff72,0x987ff53f,0xff5004ff,0x2a27fe47,0x7d4003ff,
    0x113fe63f,0x7ed40bff,0x0fff61ff,0xff50fff5,0x2a4ff987,0x27fcc3ff,
    0xff987ff5,0x261ffd44,0x557fe4ff,0x6c3ff77f,0x3ffd43ff,0xff50fff6,
    0x543ffd8f,0x1ffec7ff,0x3fa1ffea,0x4ff9803f,0xffcaffc4,0xfa9ffe42,
    0x027fcc3f,0x47ff9531,0x7fd40ffe,0xfca98803,0x26bfee3f,0x806ff999,
    0x1ffa2ffd,0x3ea07ffc,0x527fcc3f,0x4ff987ff,0xff30ffea,0x4c3ffa89,
    0x2bff14ff,0x43ff74fd,0x1fff07fe,0xfff83ff4,0x7fc1ffa0,0x7c1ffa0f,
    0x1bfe20ff,0x4cd7fdc0,0xff96ff99,0x7fff911b,0xff30ffea,0xffffb889,
    0x1ffe3fff,0x5c40ffea,0x3fffffff,0x3ffffff6,0x83917fff,0x3fe0fff9,
    0xa83ffb06,0x27fcc3ff,0xff987ff5,0xf30ffea4,0x43ffa89f,0x3bfa4ff9,
    0x1ff91ff8,0xffd837fc,0x7ec1bfe1,0x6c1bfe1f,0x41bfe1ff,0x3fea1ffd,
    0xffffb005,0x26ffffff,0xfeffffff,0x987ff53f,0x7fff44ff,0xf13ffeee,
    0x07ff50ff,0x3bbbfffa,0x3bff63ff,0x15eeeeee,0xffffffff,0xc83ffc4b,
    0x1ffd41ff,0xffa93fe6,0xf527fcc3,0x44ff987f,0x7fcc3ffa,0x5bf3ff24,
    0x3fe26ff8,0x223ff907,0x3ff907ff,0x7e41ffe2,0x20fff11f,0x3fea1ffc,
    0xddffb005,0x54bddddd,0xff8cffff,0xf987ff53,0x517fee4f,0x07ffc7ff,
    0x3ee0ffea,0x91ffd45f,0xfd1003ff,0xf07dffff,0x1ffd03ff,0x7d43ffa8,
    0x50ffea4f,0x1ffd49ff,0xff513fea,0x2a4ffa87,0xfe9cffff,0x40fffc2f,
    0x3ffe0ffe,0x3e0ffe81,0x0ffe81ff,0x3fa07ffe,0x01bfe60f,0x2000ffe4,
    0x01ff5099,0x7e47ff70,0xd1ffe42f,0x7ffc43ff,0x642ffc83,0x13fee3ff,
    0x00999880,0xff30fffa,0x449ff50d,0x3fea4ffe,0xa93ffa24,0x3ffa24ff,
    0xd127fd44,0xfffc89ff,0xfe85ffff,0x237fcc3f,0x7fcc3ffe,0x261fff46,
    0x1fff46ff,0xff11bfe6,0x9ff7007f,0x17fc4000,0x321ffe80,0xffc88dff,
    0x2bffee3f,0xc83fffea,0xffc88dff,0x33ffe23f,0x2e035310,0x3ffea03c,
    0x82fffa9d,0xfeaafff9,0x3ffe64ff,0x24fffeaa,0xfeaafff9,0x7ffcc4ff,
    0x84fffeaa,0x03effffd,0xf53bfff5,0xfffa85ff,0x42fffa9d,0xfa9dfffa,
    0x7ffd42ff,0x82fffa9d,0xbaacfffc,0x33ffe21d,0xa8035310,0x3ae01bff,
    0x7ffcc6ff,0x23ffefff,0xdffffff8,0xfff983ff,0x43ffefff,0xfffffffa,
    0x809fd02f,0xfffffffd,0x3ffffa05,0x7f44ffdf,0x4ffdffff,0x6ffffff4,
    0xfffe84ff,0xd84ffdff,0xfd8009cf,0x05ffffff,0xfffffffb,0x3ffff60b,
    0xffb05fff,0x40bfffff,0xfffffffe,0x7ffffd41,0x7c402fff,0x3ffa07ff,
    0xffffa81f,0x7443ff8c,0x07ff4fff,0x233fffea,0xffe983ff,0xf881efff,
    0xfffb802f,0x7f4403ef,0x889ff4ff,0x9ff4fffe,0xf4fffe88,0xfffd109f,
    0xff113fe9,0xfffb8001,0x7fdc03ef,0x7dc03eff,0x5c03efff,0x803effff,
    0x0dffffeb,0xfffffe98,0x4ec9801e,0x2600f760,0x02620009,0x00026600,
    0xbd300666,0x00098800,0x310004c4,0x004c4001,0x26002620,0x2620003c,
    0x004c4000,0x10002620,0x02600013,0x00019980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb5000000,
    0x7dc00c5b,0x22002004,0x039911cc,0xb81e6640,0x5003320d,0x33200079,
    0x0666543c,0x002aa600,0x00003575,0x6dc0554c,0x6d403320,0x32a0062d,
    0x79990003,0x000ccca8,0x202f772a,0x50001cc9,0xbf9dffff,0x017ffc40,
    0x07dffd91,0x27f57fd4,0x209ffb00,0x9ff74ffa,0x02fffdc0,0x5c13ff60,
    0xd8800eff,0xb00dffff,0x7007ffff,0x36399999,0x74ffa86f,0xfff509ff,
    0x5c0bf9df,0x6c005fff,0xdff704ff,0xfffe8801,0x7fd42fff,0x75f50003,
    0x4405ffff,0xfd101fff,0x40bfffff,0x2004fffa,0x3e602ffd,0x207ff54f,
    0x04feaffa,0x9805ffb0,0x7ec00eff,0xb05ffeef,0x80dfffff,0xf2fffffe,
    0x29ff309f,0xafa83ffa,0x502ffffb,0x009fd5ff,0xf300bff6,0x7fec01df,
    0x20fffcbe,0x20003ffa,0x2006ea20,0x3ff602c9,0x02ffd88b,0xca800f2a,
    0x5429800c,0x22399102,0x665401cc,0x07991000,0xffb1ffcc,0xff933101,
    0x7665c0bf,0x01ff8aff,0x8202a853,0x99101ba8,0x50073223,0x32200199,
    0x8dff103c,0x3fea2ffc,0x00000003,0x44ff9802,0x00405ff8,0x20008088,
    0x80008000,0xb8010000,0x03fee1ff,0x401ffea0,0x04c9affb,0x00300030,
    0x00300030,0x4ff98060,0xff50ffec,0xffa80047,0x4427fcc3,0x5c3effec,
    0xf9999aff,0xffec886f,0xefffc83e,0x102effb9,0x407dffd9,0x03effec8,
    0x0fbffb22,0x7dffd910,0x7f47ff50,0x07ffe007,0x200bfee0,0xcfffffda,
    0xffffda80,0xffda80cf,0xda80cfff,0x00cfffff,0x9fffffb5,0xf51ffd41,
    0xaaffa8df,0x2a01effe,0x27fcc3ff,0x3fffffa2,0x3ffff65f,0x447fffff,
    0x5ffffffe,0x7ffffffc,0x7440ffff,0x85ffffff,0xffffffe8,0xffffe885,
    0xffd105ff,0xf88bffff,0x02ffd9ff,0x2003ffe0,0xfd802ffb,0x85ffffff,
    0xfffffffd,0xfffffd85,0xfffd85ff,0xfb05ffff,0x4bffffff,0xdff53ffa,
    0xffdffa81,0xf500ffff,0x44ff987f,0xfd88bffd,0xdddffb2f,0xfd8bdddd,
    0x2ffd88bf,0x5fff4432,0x7fec3fe8,0x42ffd88b,0xfd88bffd,0x45ffec2f,
    0xfd82ffd8,0x2ffd88bf,0x1fffffdc,0x3ff66620,0x05ff7006,0x3a613790,
    0x84de42ff,0x5e42ffe9,0x85ffd309,0xffd309bc,0x26137905,0x7ff52ffe,
    0x3ea03ffa,0xffdacfff,0x987ff504,0x13fe64ff,0x3ff2bff1,0x89ff3001,
    0x3f205ff8,0xff997f27,0xf32ffc44,0x25ff889f,0x7fc44ff9,0x2227fcc5,
    0x7ffcc5ff,0xfffd800e,0xff7001ff,0x7fd40005,0x07ff5003,0x400ffea0,
    0x2a003ffa,0x27ff53ff,0xfff507ff,0xa83ffc45,0x27fcc3ff,0x33335ff7,
    0x13feedff,0x4cd7fdc0,0x9106ff99,0x4df933df,0x9999affb,0x2bfee6ff,
    0x26ff9999,0x9999affb,0x57fdc6ff,0x26ff9999,0x72fffff9,0xeffc81ff,
    0x3fee000c,0x654c4002,0x2a6203ff,0x26203ffc,0x2203ffca,0x403ffca9,
    0x53ffca98,0x13ffa7ff,0x3f613fea,0x43ffa80f,0x3ff64ff9,0x7fffffff,
    0x2219fff1,0x3fff61a9,0x27ffffff,0xffffffd9,0x3ff66fff,0x7fffffff,
    0x3ffffff6,0x3ff67fff,0x7fffffff,0x7fffffec,0x3ffe7fff,0x7fb9fffa,
    0x70007fc8,0xf71005ff,0x87ffffff,0xffffffb8,0x7ffdc43f,0x5c43ffff,
    0x3fffffff,0xfffffb88,0x27ff53ff,0x2a0efffa,0x1ffd83ff,0x7cc3ffa8,
    0x3bbff64f,0x2a5eeeee,0xffffffff,0x3bbbff62,0xff15eeee,0x999dfd9d,
    0x777fec79,0x365eeeee,0xeeeeeeff,0x3bbff65e,0x6c5eeeee,0xeeeeeeff,
    0x2a7ff55e,0xc87fdeff,0xff70007f,0xdfffd005,0xfe87ffdd,0x3ffeeeff,
    0x7777fff4,0x7fff43ff,0xe83ffeee,0xffeeefff,0x7d47ff53,0x0ffea6ff,
    0x3ea07ff6,0x927fd43f,0x74c003ff,0x21efffff,0xfc801ffc,0xf9017f26,
    0x3ff2003f,0x03ff9001,0x400ffe40,0x3fee1ffc,0x019884ff,0x805ff700,
    0x7fd45ffb,0xf517fee3,0x22ffdc7f,0x3fee3ffa,0x2e1ffd45,0x9ffd45ff,
    0x7fcc3ffa,0xd07ff52f,0x93fea0ff,0x3ee4ffe8,0xff50004f,0x009ff707,
    0x03fe4bfb,0x5c013fee,0xff7004ff,0x27fdc009,0x3617fdc0,0x1a881fff,
    0x05ff7000,0x7e42ffc8,0x90bff23f,0x17fe47ff,0xffc8fff2,0x321ffe42,
    0x9ffe42ff,0xffb83ffa,0xf987ff53,0x5fff306f,0x449fffd5,0x5310cfff,
    0x882fec03,0x5310cfff,0x7fcdbf23,0xff88223f,0x435310cf,0x310cfff8,
    0x67ffc435,0xf8835310,0x35310cff,0x64cbbfe6,0xffe83fff,0x2ffb8002,
    0x446ffe40,0x3f23fffc,0xfffc88df,0x2237ff23,0x3f23fffc,0xfffc88df,
    0x446ffe43,0xff53fffc,0x97fec467,0xfa88cffa,0x3ffa02ff,0x44ffdfff,
    0xfffffffa,0x277fe02f,0xfffffa80,0xfff32fff,0xfffffbff,0xfffffa87,
    0x7fd42fff,0x42ffffff,0xfffffffa,0xffffa82f,0x3f62ffff,0xffffffff,
    0x13ffe21f,0x7fe4ccc0,0xff98099b,0x3ffeffff,0x3fffffe6,0x3fe63ffe,
    0x3ffeffff,0x3fffffe6,0x7fcc3ffe,0x3ffeffff,0xfff17ff5,0x7ffd4dff,
    0x404fffff,0xff4fffe8,0xffffd309,0x7fec03df,0xfffd302f,0x7fe43dff,
    0xffffd89f,0xffffe982,0xffe981ef,0xe981efff,0x01efffff,0xdfffffd3,
    0xfffffb83,0x360fff9a,0xff9801ff,0x6fffffff,0x19ffff50,0xfffa87ff,
    0x543ff8cf,0xff8cffff,0x67fffd43,0xffa83ff8,0x53ff8cff,0xffff17ff,
    0x7ffecc19,0x22002eff,0x19980009,0x03bb9100,0x80803330,0x33300198,
    0x000ccc00,0x99800333,0x00098801,0x7fcc0026,0x6fffffff,0x30004cc0,
    0x04cc0013,0x80013300,0x4c400099,0x00013000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6e42aa80,0x004c880b,0xcca8b322,0x0020000c,0x02666662,0x64000080,
    0x1e5403cc,0x4c88e5c0,0x64473220,0x4999501c,0x00020028,0x26666200,
    0x4472e009,0x8001004c,0x59970ccb,0x3e000080,0x3ffffa4f,0x3001ff40,
    0xeffb89ff,0x6c6ff400,0x3f203fff,0x5406ffff,0xfffffffe,0x04ffd803,
    0x202fffdc,0x05fdaefc,0x27f57fd4,0xffdffd10,0x7ff6440f,0xdf704eef,
    0xffffc801,0x2bbf206f,0x47fd45fd,0x401effea,0x9ff93ffb,0x302ff440,
    0x8ffcc155,0x22fd8efa,0x7cc006fb,0x0eff984f,0x3ffbbfa0,0xdd703fff,
    0x7d40bddd,0xffffffff,0x017fec03,0x13fabfea,0x1ffffe88,0x04fffa80,
    0x3fffffaa,0xffff505f,0x3e09ffff,0x775c04ff,0x3a205eee,0x7d41ffff,
    0xffffffcf,0x2e7ff500,0x7fd402ff,0x43ffb02f,0x54fee6fb,0x003ff14f,
    0x9104ff98,0x7fff4079,0x006ffbae,0x4c3bfe00,0x2a009eff,0x664400cc,
    0x44039911,0x2a000bcb,0x77fe403c,0xff101fff,0x9ff7339f,0x000fffa0,
    0x05e5c400,0x567fffd4,0x59704ffd,0x26007322,0xffb00fff,0x9f516543,
    0x01fed3ee,0x2027fcc0,0x237ff400,0x800807fe,0x7fe42ff9,0x80018800,
    0x00040018,0x84cc0188,0xff906ffc,0x304ff989,0x00000079,0x22fffa80,
    0x00007ff8,0xfd807260,0x5ffc401f,0x806faafe,0xfffffec8,0xefffd984,
    0x640ffe83,0xffd980ee,0x7ff303ef,0x36607fc8,0x203fffff,0x3fffffd9,
    0x7dfffb30,0xffffd980,0xfffb103f,0x1ffd07ff,0x0004ff98,0xff30ffea,
    0x261ffd49,0x09ff54ff,0x7fd41ffb,0x4027fcc3,0x3ff60098,0xcfffc801,
    0x7d401ff8,0x4fffffff,0x7fffffdc,0x003ff46f,0x3fffffee,0x1eff886f,
    0x3ea0dff3,0x04ffffff,0xfffffff5,0xfffff709,0x3fea0dff,0xa84fffff,
    0x7fffffff,0xff987ff8,0x3fffffa4,0x987ff502,0x0ffea4ff,0x3fea9ff3,
    0x2a1ffd83,0x27fcc3ff,0xfb02fec0,0xd854003f,0x7ffc404f,0x24ffb99c,
    0xfdacfff8,0x01ffa3ff,0xdacfff88,0xffb83fff,0xf01fffff,0xf01985ff,
    0x441985ff,0xffdacfff,0x42fff83f,0x67ffc419,0x223ffe99,0x4ff987ff,
    0x0bfffffa,0x3e61ffd4,0x30ffea4f,0x0ffea9ff,0xffa87ff6,0x4027fcc3,
    0x3ff605fe,0x06fa8001,0x7cc4ffc8,0x50fff64f,0x03ff4fff,0xfa87ffb0,
    0x7f7fc47f,0xff100cef,0x3fe2001f,0x3ffd800f,0x3e23ffd4,0xffc800ff,
    0x3e2ffdc4,0x24ffa87f,0x02ffdaaa,0xff987ff5,0xf30ffea4,0x20ffea9f,
    0x1ffd47fe,0xdb813fe6,0x3ff606ff,0x0ffc4001,0x2607ff40,0x41ffa4ff,
    0x0ffd0fff,0xff83ff40,0x001fee0f,0x002fbffe,0x802fbffe,0x1fff07fe,
    0x00befff8,0xff103ffa,0x221ffe8f,0xff704ffe,0x30ffea05,0x1ffd49ff,
    0x7fd53fe6,0x2a37fcc3,0x27fcc3ff,0x37ffff44,0x8003ffb0,0x1ced8cfd,
    0xff987ff8,0x7ec1bfe4,0x400ffd1f,0x3ffb06ff,0x4cd67fdc,0x7fffd401,
    0x3fea02ef,0xff82efff,0xa83ffb06,0x82efffff,0x8fff07ff,0xfea9effb,
    0x5ff704ff,0xf30ffea0,0x21ffd49f,0x9ff54ff9,0x85fff511,0x7fcc3ffa,
    0x9aeffc84,0x007ff600,0xffe8efa8,0x1ffe20ff,0x7fc53fe6,0x3a3ff907,
    0xfff1007f,0xe887ff20,0xdfffffff,0xffffb300,0x7fecc0bf,0x3fe25fff,
    0x303ff907,0x8bfffffb,0x8fff07ff,0xeffffff8,0x5ff704ff,0xf30ffea0,
    0x21ffd49f,0xfff54ff9,0x509fffff,0x4ff987ff,0xb001fff8,0x3e2003ff,
    0x7f95fa9f,0xffa87ff8,0x3a07ffe4,0x00ffd0ff,0x7f40fffc,0x3bff620f,
    0x806ffffe,0x801fffda,0x3e1fffda,0x0ffe81ff,0x0fffed40,0xff883fff,
    0xcfffe886,0xff704ff9,0x50ffea05,0x1ffd49ff,0x7fd53fea,0x502effff,
    0x4ffa87ff,0xb000fff8,0x3f2003ff,0x17ea9f74,0x7f443ffd,0x30fffa4f,
    0xe8000dff,0x37fcc3ff,0xfd107ff6,0x3ff6003f,0x8bff6002,0x7fcc3ffe,
    0x8bff6006,0x7fdc2ffe,0x7cc26205,0x05ff704f,0xfe893fea,0x893fea4f,
    0x7ff54ffe,0x9ff50013,0x7427ff44,0xffb003ff,0x21ff5003,0xb8bf75fa,
    0xffea9eff,0x37ffea4f,0x702fffa9,0xfffa8079,0x42fffa9d,0x3ffb06ff,
    0x3fe60e44,0x260e440f,0x3fea0fff,0x2fffa9df,0x3fe60e44,0x33ffee0f,
    0x001fffb9,0x7dc13fe6,0x5fff302f,0x4c9fffd5,0xffeaafff,0x007ff54f,
    0x7557ffcc,0xffc84fff,0x3f6009cf,0x1aaaaabf,0xdff85fd1,0x7ffc42ff,
    0x44ffdfff,0xfffffffd,0x2013fa05,0xfffffffd,0x89cfff85,0x7c46ffb9,
    0x5fffffff,0xffffff88,0xfffd85ff,0xf885ffff,0x5fffffff,0xffffffe8,
    0x7fcc004f,0x3ff26664,0x7ff4099b,0x44ffdfff,0xfdfffffe,0x007ff54f,
    0xdfffffe8,0xfffb04ff,0x3ff60dff,0x95ffffff,0x7ffd50bf,0x53fffa20,
    0xfffb84fe,0x3fe203ef,0xffff7002,0x3ffea07d,0x40efffff,0xefffffe8,
    0xffffd103,0x7fdc07df,0xfd103eff,0x407dffff,0x03effffc,0xf34ff980,
    0xffffffff,0x4fffe88d,0xffe889ff,0x3ea9ff4f,0x7f44003f,0x409ff4ff,
    0xb06ffffb,0xffffffff,0x8800400b,0x04c40009,0x4002f4c0,0xec880098,
    0x4402ceee,0x31000999,0x4c400133,0x13331000,0x0004c400,0x3e659910,
    0xffffffff,0x40013106,0x33260098,0x01310001,0x07955100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x4076e1da,0x44062dda,0x039911cc,0x001e6640,0x80007997,
    0x02ccccca,0x2aa05550,0x66459302,0x80166440,0x4401ccc9,0x99103cec,
    0x32207950,0x9103ca84,0x555d4c09,0x99002aaa,0x23991079,0x18801cc8,
    0x7c40a880,0x50bff36f,0xbf9dffff,0x3fabfea0,0x13ff6004,0x00dffc80,
    0x1dfffdb1,0x2fffffe4,0xfb07fe80,0x95ff501f,0xdffa98ff,0x7fd40099,
    0x3fbe601f,0x263fe83f,0x7fd06ffe,0xe837ff4c,0xfffe883f,0x806fffff,
    0x3ea04ffd,0x2604feaf,0x83fffffd,0x3e20eff9,0x50bff15f,0x5ffff75f,
    0x027ffd40,0x4005ffb0,0x3ee04ffc,0x21ffffff,0x05ffdcca,0x3f60ffd0,
    0xffffb00f,0xffffff85,0xffe8805f,0x5c4fc801,0x37ef446f,0x37a237dc,
    0x886fb86f,0xffffffff,0x7fec06ff,0x4fffa802,0x3ffffea0,0xfffb84ff,
    0x05305444,0x00375104,0x65400795,0x3326000c,0x37ffe602,0xf301ecab,
    0x1ffa00bf,0x95007fec,0xfffdd039,0x65c009dd,0x83bff204,0xdf501ff8,
    0xf501ff88,0xc81ff88d,0x3ff88cff,0x00199500,0x3fe01e54,0x7cc0cc2f,
    0x800005ff,0x80008000,0xfd000000,0xff98007f,0x20ffd005,0x40000ffd,
    0x00004ff9,0xd9ff72a0,0xb1bea03f,0x237d407f,0x6ff883fd,0x2000ffe2,
    0x22010000,0x2e000fff,0x3fffa5ff,0x1ff502ff,0xa81dffd5,0xeffea8ff,
    0x7547fd40,0xffd00eff,0x3e205fff,0xff98006f,0x20ffd005,0x7ff40ffd,
    0xff302fff,0x7406ee69,0x982fffff,0xdf56fb99,0x3ea6fa80,0xf537d406,
    0x893fea0d,0x37fa03ff,0xd03fffd8,0x7fffb1bf,0x017dfff0,0x7f47ff30,
    0xf502ffff,0xdfffff9f,0xfffcffa8,0x67fd46ff,0xd06fffff,0x205fffff,
    0x98005ffa,0xffd005ff,0xfd03ff60,0x2605ffff,0xffffdbff,0xfffffe83,
    0xaffffb82,0x7d401ff8,0xa803ff16,0x203ff16f,0x3fe22ffb,0x3fbbfa03,
    0xfe83ffff,0x3fffffee,0x77ffffd4,0x41ffb102,0x02ffdaaa,0xd79ffff5,
    0x7ffd45ff,0x22ffebcf,0xebcffffa,0xdaaa82ff,0xbff502ff,0x8bff3000,
    0x83ff43b8,0x55540ffd,0xff302ffd,0x1fffdfff,0x2ffdaaa8,0x3f60aa88,
    0xfb098804,0x36131009,0x87ff204f,0x44fffff8,0xfbaefffe,0xefffe86f,
    0xd986ffba,0x2a5fffff,0x2e01fffe,0xfff502ff,0xf51ffdc5,0x1ffdc5ff,
    0x7dc5fff5,0x17fdc03f,0x8006ff98,0x3fe25ff9,0x6c1ffa5f,0x3fee00ff,
    0x4bfff302,0x3ee02ffd,0x0df5002f,0x000df500,0xffc80df5,0x3ffffe21,
    0x3a37ff44,0x46ffe87f,0x7ed407fe,0x19df71ff,0x502ffb80,0x4ff989ff,
    0xff313fea,0x2627fd49,0x7fdc04ff,0x07fff102,0x2a5ff980,0xffd0ffff,
    0xb803ff60,0xdff302ff,0x701ffdc1,0xff1005ff,0x1ff88003,0x00ffc400,
    0xff887ff2,0x7ff4099c,0x3a077640,0x077640ff,0x0017fec0,0xf502ffb8,
    0x24ff987f,0x7fcc3ffa,0xf30ffea4,0x2ffb809f,0x2b3fff20,0xff301dba,
    0xd37ffccb,0x03ff60ff,0xf302ffb8,0x03ffa89f,0x3600bfee,0x807dd54f,
    0x3ded9cfd,0xeeaa7ec0,0xf117fdc3,0x03ff407f,0x4401ffa0,0x0fffcc1c,
    0x02ffb800,0xff987ff5,0xf30ffea4,0x21ffd49f,0x7dc04ff9,0x3ff2202f,
    0x301fffff,0x1efb8bff,0x7fec1ffa,0x40bfee00,0x7fd44ff9,0x00bfee03,
    0x3ffe2df5,0x7ddbea04,0xdf501ffe,0xf513ffe2,0x01ffc49f,0xfe800ffd,
    0xffff1007,0x000bffff,0xfa817fdc,0x527fcc3f,0x4ff987ff,0xff30ffea,
    0x02ffb809,0xdffffe98,0x00bff300,0x3ff41ffa,0x4c0bfee0,0x1ffd44ff,
    0x4405ff70,0x9f7f91ff,0xb087fe20,0x23ff107f,0x7c44fbfc,0x07ff10ff,
    0x3a003ff4,0xfff1007f,0x0007ffff,0xf502ffb8,0x24ff987f,0x7fcc3ffa,
    0xf30ffea4,0x2ffb809f,0x005ff500,0x3a00bff3,0xff73737f,0x02ffb80d,
    0xffa89ff3,0x80bfee03,0xf39f34fc,0x2a13f209,0x34fc80ff,0xf909f39f,
    0x5bff55df,0x007fe855,0x22003ff4,0x20006fd9,0x9bffc999,0x30ffea09,
    0x1ffd49ff,0xffa93fe6,0x4c27fcc3,0x99bffc99,0x981bf200,0x99dffa99,
    0x7d5ffa01,0x9982ffff,0x099bffc9,0xff513fe6,0xffc99987,0x3fea099b,
    0x7ffddfb0,0x7e40ffa8,0xb0ffa81f,0x887ffddf,0xfffffffe,0x03ff46ff,
    0x4001ffa0,0xf30003fe,0xffffffff,0x261ffd4d,0x0ffea4ff,0x7fd49ff3,
    0x2627fcc3,0xffffffff,0x80ffa06f,0xffffffff,0x2ffd00ff,0x982ffff9,
    0xffffffff,0x513fe66f,0x7ffcc7ff,0x16ffffff,0x777645fd,0x0bfa23ff,
    0x4479bff9,0x3bbb22fe,0xffd883ff,0x46ffffff,0x7f4007fe,0x0ff88007,
    0xffff3000,0x54dfffff,0x27fcc3ff,0xff987ff5,0xf30ffea4,0xffff989f,
    0x206fffff,0x3ffe00aa,0x0fffffff,0xf3004c00,0xffffffff,0x2a27fccd,
    0x3ffe63ff,0x96ffffff,0x227cc0bf,0xfffd85fc,0x9817f25f,0x0098804f,
    0x74007fe8,0x2a88007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccccb800,0x4ccc401c,
    0x37260199,0x79500223,0xf70ffea0,0x3b72a05f,0x775100cd,0x5e5d4403,
    0x5555500a,0x31005555,0x5e54c055,0x44732202,0xca9801cc,0x5751009a,
    0xcba88001,0x5555541a,0x75101aaa,0xcccccb80,0x002cc881,0xfe807510,
    0x5c02ffff,0x80ffffff,0xeceffff8,0xbfff700e,0xfb87ff50,0x7fff442f,
    0xffb81fff,0xff80efff,0xe84fffff,0x7fffffff,0xfffff930,0xfffffb10,
    0x2bfea05f,0x7fe404fe,0xfc85ffff,0x8805ffff,0x7ffffffd,0x3ffffffa,
    0x06ff884f,0x17fffff4,0x40027fcc,0x65c06ff8,0x5402ffec,0x80eeeeee,
    0xfffeabf9,0xfd5ff504,0x5c3ffa89,0x77ff42ff,0x7e41dcbc,0x0ffffeff,
    0x7fff7ffc,0x7ffff44f,0xffb87fff,0xfe87ffff,0x1fffedef,0x409fff50,
    0xffffffe8,0x55f7ec5f,0xf500efeb,0xffffffff,0x7ffffff4,0x06ff884f,
    0x17ff665c,0x40027fcc,0x2e006ff8,0x800002ff,0xc880dd40,0x5439911c,
    0x17fdc3ff,0xf3009ff7,0x3ff621df,0x3fee0543,0x55577f47,0x7ffd42aa,
    0x7cc1999c,0x027fdc4f,0xffc80795,0x5c9730bf,0x84fd80ef,0x30aefff8,
    0x4ffa80b5,0x2006ff88,0xff982ffb,0x6ff88004,0x44bfee00,0x00000001,
    0x43ffa800,0x3ff62ffb,0x41ffd800,0xff007ff8,0xd005fe8f,0xff7003ff,
    0x004ff885,0x00fffcc0,0x3db887fc,0x5ffc81fd,0x53fea000,0xfffffff9,
    0xff703fff,0x009ff305,0x3fffffe6,0xf703ffff,0xfe87f97f,0x3a02ffff,
    0x202fffff,0x82fffffe,0x7fdc3ffa,0x7c01ffa2,0x1fffa86f,0x7f45ff80,
    0x04ffa805,0x641dff50,0x3ffe22ff,0x22ffffff,0xfa804ffc,0x2edfff34,
    0x00fffc4f,0x269ff500,0xffffffff,0x5ff703ff,0xfc89ff30,0xffff30ef,
    0x07ffffff,0x0fffffee,0x05fffffd,0x17fffff4,0x5fffffd0,0xfb87ff50,
    0x201ffe2f,0x3f624ff8,0x36602fff,0x677f42ff,0xaffc80aa,0xfd00abb9,
    0x8bff95df,0xfffffff8,0x0bff62ff,0x6ff4bee0,0x7c4bf329,0x7d40006f,
    0xff75514f,0x2015555d,0xff982ffb,0x883ffea4,0xaaeffbaa,0xffd880aa,
    0xdaaa83ff,0x2aaa02ff,0x2aa02ffd,0xfa82ffda,0xf17fdc3f,0x9ff300ff,
    0x3ffbffa6,0x7ffffdc3,0xfffffe81,0x3fff60df,0x884fffff,0x04fffffe,
    0xffd99999,0x00fff41f,0x0ffc4fec,0x5ff99be2,0x03bbbba6,0xf884ffa8,
    0x3fee006f,0xf34ff982,0x7fc403ff,0x7ffe4406,0x5ff7004f,0x00bfee00,
    0x7d417fdc,0x8fffe64f,0xffa807ff,0xfaafffbb,0x7fffdc3f,0x7776c2ef,
    0xfb0effff,0xffffdfff,0xfffff507,0xfff3003d,0x800fff83,0x80ff99fd,
    0xa93fea7f,0x200fffff,0x26624ffa,0x00999eff,0x3e60bfee,0x02fff8cf,
    0x32037fc4,0x002fffff,0x2e005ff7,0xff7002ff,0x75dff505,0x3e1bffff,
    0xfff9807f,0x5ff50eff,0xffca9988,0x3fea202f,0xa87ffd3f,0x77fdc7ff,
    0x200ffffb,0xfe83ffe8,0x8afc801f,0x537c42ff,0x7664cbff,0x3fea00ff,
    0x3fffffa4,0x3ee05fff,0xecff982f,0xff8802ff,0x7e5fe406,0x5ff7002f,
    0x00bfee00,0x7d417fdc,0xffcfffff,0x100fff5f,0xfb89ffff,0x6ffa801f,
    0xfb4ffc80,0x21ffd03f,0x3f625ff9,0x17ff605f,0x5c017fec,0x29bffd3f,
    0x1bfe25f9,0xf5007fec,0x7ffff49f,0x2e05ffff,0xfff982ff,0xff1005ff,
    0xff70980d,0x0bfee005,0x8017fdc0,0xffa82ffb,0xbff94fff,0x7fc01ffe,
    0x00ffd82f,0xa806ff88,0x05ff95ff,0x3ff23ffb,0xb837fc41,0xff900eff,
    0x26df500b,0x87f96ffe,0xffd81fff,0x213fea00,0x2e006ff8,0xdff982ff,
    0xf8801fff,0x3fee006f,0x05ff7002,0x400bfee0,0xffa82ffb,0x3fe1881a,
    0x87ffb007,0xf5005ff9,0x7ffd00bf,0x3fe17fee,0x3e07ff67,0x1fff986f,
    0x40fffe60,0x54c47fa0,0x7e40ff89,0x87fec0df,0xf02ffc80,0x7fdc00ff,
    0xfacff982,0x7ff800ff,0x00bfee00,0xb8017fdc,0xff7002ff,0x005ff505,
    0x7cc01ffe,0xfffa8bff,0x26666a21,0x3512fffc,0x1fffb733,0x6cce7ffc,
    0x37ff25ff,0x889ff911,0xfd802fff,0x5ebabdff,0xfd107fea,0x9dfff107,
    0x3e1ffd55,0x0fffb99b,0x2619fff0,0x305ff700,0x1bff29ff,0x4c33ffe0,
    0x3ff26660,0x4ccc099b,0x4099bffc,0x9bffc999,0x7e4ccc09,0xff5099bf,
    0x01ffe007,0xffffffc8,0x7fffd43f,0x3e24ffff,0x1fffffff,0x7fffffd4,
    0x3ffe20ef,0x40efffff,0xccccfffd,0x7ffec41c,0x7e45ffff,0x04ffdcef,
    0x3fffffea,0xffff0fff,0x7dc07fff,0x263fffff,0x99bffc99,0x7f49ff30,
    0x7ffdc05f,0xfff33fff,0x4dffffff,0xfffffff9,0x3ffe66ff,0x26ffffff,
    0xfffffff9,0x07ff56ff,0x5001ffe0,0x505dfffd,0x3bffffff,0xffffff88,
    0xfffd300b,0x3ff2209f,0x7cc0cfff,0xffffffff,0xffffd703,0xfffd505b,
    0xffb1005d,0x7e47dfff,0xc802efff,0xf32fffff,0xffffffff,0xf893fe6d,
    0x7fe403ff,0xfff32fff,0x4dffffff,0xfffffff9,0x3ffe66ff,0x26ffffff,
    0xfffffff9,0x039936ff,0x4001ffe0,0x19988018,0x00033300,0x04cc0013,
    0xffffff30,0x11007fff,0x80004c00,0x00c40198,0x7cc19980,0xffffffff,
    0xfa89ff36,0x199802ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00357510,0x2aa827dc,
    0x51015530,0x10015797,0x2a19bd97,0x27fcc3ff,0x80799900,0x664c03ca,
    0x04ffc801,0x2aa6bff3,0x54355101,0xaaaaaaaa,0x800000aa,0xa981bba8,
    0x4355502a,0xaaaaaaa8,0x2aaaa0aa,0x0aaaaaaa,0x555554c0,0xffc8001a,
    0x4401efff,0x6ff82fff,0x6c41ffb0,0x06ffffff,0x7fffffcc,0xf987ff52,
    0x9ffb004f,0x05fffb80,0x2200ffea,0x5ff907ff,0x3603ffe2,0xffff12ff,
    0x3fffffff,0x3f8817d4,0x3ffffee0,0x07ffe21e,0x7cc1fff1,0xffffffff,
    0x3fffffe3,0x401fffff,0x4ffffffe,0x7fffec00,0x2201ffff,0x6ff81fff,
    0x7f41ffb0,0x06ffffff,0x32f7ffe2,0x987ff51d,0xffd804ff,0x757fd402,
    0x07ff504f,0x3e0bff60,0x227fdc7f,0x37e25ff9,0xb99999a9,0x01fff31f,
    0xff505ffb,0xc8bffddf,0x27fe45ff,0x3fffffe6,0x3ffe3fff,0xffffffff,
    0x3fffe601,0x2a004fff,0xfd98aeff,0x8164c05f,0x1ffb06ff,0x5107bfea,
    0x5027fd40,0x4ff987ff,0x20066540,0x39911cc8,0x2007ff50,0x7fd45ffa,
    0x3a1ffe84,0x233e20ff,0x3f50ceff,0x6f6f7fdc,0xfff04ffd,0x7fc42445,
    0x01fff11f,0x3a007fe8,0x77ec007f,0xfd0003ff,0x0fff883f,0x41bfe000,
    0x7ff90ffd,0x05ff7000,0x3e61ffd4,0x0000004f,0x011ffd40,0x3f60fff8,
    0x55ffa81f,0x94f889ff,0x3f51dffb,0xffffffd8,0x0dff106f,0xfdaffdc0,
    0x07fe803f,0x8801ffa0,0x003ffbff,0xf906ff88,0x7fffc47f,0xff2fffff,
    0x643ff60d,0x64000eff,0x3fea01ff,0x2227fcc3,0xffffffff,0x901bfa2f,
    0x557fd4ff,0xfc80effe,0x40dff12f,0x0ffe9ffd,0x5fec27c4,0x77fd41fa,
    0xf305ffec,0xffe8009f,0xfd007ffb,0x03ff400f,0x7ff1ff70,0x09ff3000,
    0xff893fea,0x2fffffff,0x3ff60dff,0x19ffff50,0x7fecccc0,0x3ea1999a,
    0x227fcc3f,0xfffffff8,0x01ff62ff,0x6ffd4df9,0x986fffff,0x07ff56ff,
    0x17ffffcc,0x67dc27c4,0x237e41fa,0xff980ffd,0x7ffd4003,0xffd003ff,
    0x003ff400,0x07ff19fd,0x207ff700,0x66644ffa,0xf0fffecc,0x83ff60df,
    0x1dfffffd,0xfffffff8,0x3fea7fff,0x6427fd43,0xfffecccc,0xd803ff20,
    0x3fffea5f,0xd82ffebc,0x00ffd8ff,0x8837ffe4,0x3fd7314f,0x44fe83f5,
    0x7ee41ffb,0x00ccccef,0x0037fff4,0xcca80ffd,0x203ccfff,0xfff89ff9,
    0xff7002ff,0x017fe607,0x7fc3fff3,0xb81ffb06,0x44ffffff,0xffffffff,
    0x93fea7ff,0x9804ffe8,0x7fd41fff,0x27f47951,0x7dc5fff5,0xfcffa83f,
    0xfff8804f,0x3ee9f101,0xf83f53ff,0x10ffd44f,0xffffffff,0xfffd803f,
    0x01ffa005,0xfffffff9,0xf8b7e40d,0x7002ffff,0x3fea09ff,0x0fffa204,
    0x3ff60dff,0xffffb500,0x807ff205,0xfeaafff9,0x7f4404ff,0xd2ff983f,
    0xa8ffe1ff,0x27fcc4ff,0x01fffff8,0xdfffddd3,0xaa7c45dd,0x360fd42f,
    0x543fdc6f,0xaaaadffc,0x3fffe600,0x0ffd001f,0xefffeeb8,0x44ffe05e,
    0x00099cff,0x3ee09ff5,0x17ff603f,0x7fec1bfe,0x2fff4c00,0x7401ffc8,
    0xffdfffff,0x82ffec04,0xfff8bff8,0x7fd45ff3,0xc827fcc3,0x3e606fff,
    0xffffffff,0x0f4d3e22,0x7ff707ea,0x2609ff31,0x7f4003ff,0xd006ffdf,
    0x3ff400ff,0x4cd7fd40,0xf98003ff,0x05ffb07f,0x3a03bfee,0x00ffd07f,
    0x7e41bfea,0x7ff4401f,0x5c09ff4f,0x3fe00eff,0xf8efffbc,0x30ffea1f,
    0x3fe609ff,0x1ffa002f,0x81914f88,0x7ffd41fa,0xf304ffff,0x7fd4007f,
    0xd007ffd6,0x3ff400ff,0x7ffffec0,0xfd0003ff,0x06ff985f,0x3603fff3,
    0x37fc41ff,0x905ffa80,0x262003ff,0x2601ff50,0x7f401fff,0xfbffcfdd,
    0x261ffd47,0xdff304ff,0xfeaaa880,0x3e20aaaf,0x1fa89fb4,0x3fffffe2,
    0xff981fff,0x4bffa003,0x7400fffa,0x1ffa007f,0xffffff10,0x2a0007ff,
    0xffbacfff,0x2fff882f,0x26bbfee0,0x37a2ffd9,0xfffcaaab,0x003ff902,
    0x2205ff10,0xfd802fff,0xfeff8fff,0x261ffd47,0xffe884ff,0x7fffcc02,
    0x222fffff,0xfa85d54f,0x266bffa1,0x2a0fff99,0xaaaadffc,0x237fdc2a,
    0x55444ffe,0x0aabfffa,0xf701ffa0,0x56ffc41f,0x7fec001a,0xb04fffff,
    0x99999fff,0x7fffff43,0x7fff45ff,0x205fffff,0xa8001ffc,0xffd81bff,
    0x41cccccf,0xff95fffc,0x43ffa8bf,0xd9734ff9,0x551009ff,0x1555ffd5,
    0x666677c4,0xd31fdccc,0x4bfee0bf,0xfffffff8,0x3fe26fff,0x0fffd42f,
    0xfffffff3,0x3ff407ff,0xff117fa0,0x7000bfff,0x205dfffd,0xfffffff9,
    0x7ffe43ff,0xfffc83ff,0x6402efff,0xf88001ff,0x7ffcc7ff,0x43ffffff,
    0xff33fffb,0x43ffa89f,0xfff54ff9,0x3fa000bf,0x3fffe207,0x1fffffff,
    0x4417005c,0xffffffff,0x1bff26ff,0xff32fff4,0x7fffffff,0xf303ff40,
    0xffff885f,0x2620005f,0x7fffcc00,0x103fffff,0x33310013,0x00ffe400,
    0x4c4ec980,0xffffffff,0x07ffcc3f,0xffa87fff,0xf9a7fcc3,0x000002ce,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x554c0000,0x41aa9800,0x2aaa2aa8,0x510aa881,0x0aaa0035,
    0x55551554,0x26155555,0xaaaaaaaa,0x5015532a,0x2aaa6155,0x3000019a,
    0x2a603595,0x102aa80a,0x54154455,0xaa98002a,0xaaaa9800,0xaaaa9801,
    0x55530001,0x01aa8801,0x6c0d6544,0xffd801ff,0xfd3ffe45,0x21ff70ff,
    0xfd003ffa,0x743ff60f,0xffffffff,0xffffffb1,0x3feedfff,0xf737fdc3,
    0x19ffffff,0xfffd3000,0xffc819ff,0xf506ff81,0x3e237d4d,0xffb8005f,
    0xffffd803,0xffb02eff,0x005dffff,0x80bfffe2,0xd304fffb,0xd8bfffff,
    0xffe801ff,0xe9fffe0f,0x7fdc3fff,0x0339ff50,0xffb07fe8,0x3fffffa1,
    0xfffb1fff,0x2dffffff,0x3fe23ffb,0x3fffee1f,0x4005ffff,0xffeffff8,
    0x2bff625f,0x1eff9999,0x17ee5fb8,0x7000bff1,0xffb007ff,0x0bffffff,
    0xfffffffb,0xfff900bf,0xffff705f,0xffff309f,0x7ec9ffff,0xfffe801f,
    0x74ffff32,0x7fdc6fff,0xffffff50,0x20ffd07d,0x3ffd0ffd,0x54c33333,
    0xffdaaaaa,0x7f47ff75,0x997fdc3f,0x2001fffb,0x3fe24ffd,0xfffffb1f,
    0x0fffffff,0x22fe4bf9,0xb8005ff8,0x360623ff,0xffc988ff,0x447fec2f,
    0x202fffc9,0x42ffeff9,0x4ffefffb,0x3ee15fb0,0x03ffb0ff,0x32bfdfd0,
    0xffd0ffdf,0x87fdc5ff,0xfffffffa,0x41ffa0ef,0x1ffd0ffd,0x8fff4000,
    0xbff73ffb,0xfd85ff70,0x1ffe003f,0x7fed3fee,0xffffffff,0x3bfb2e7f,
    0x12cefecc,0xf7000bff,0x3613ee7f,0x37fdc0ff,0xff703ff6,0x7df7f40d,
    0x54f7c42f,0xd01104ff,0x07ff63ff,0x75feffe0,0xbfd0ffbf,0x87fdcdff,
    0xfca9cffa,0x41ffa5ff,0x1ffd0ffd,0x97fea000,0xfff8bffb,0x642ffb80,
    0xff1003ff,0x22bff30d,0x9999affd,0x3ffa1eff,0xffffffff,0x000bff15,
    0x9fffbff7,0xff01ffb0,0x407fec3f,0xffb81fff,0x2182ffaa,0x6c004ffa,
    0x03ffb1ff,0xf7ff3ff0,0x3fa1ff3d,0xff71ffcd,0xf50ffea1,0x4cfff4ff,
    0xd0ffe999,0x3a0001ff,0x2ffee1ff,0xff702ffd,0x00fff445,0xf883fff0,
    0x207ff26f,0x7fe5c6ff,0x2cdffccd,0x7710bff1,0x3ffffee0,0xb01ffb03,
    0x07fec5ff,0x3e217fec,0x805ff55f,0x7c004ffa,0x03ffb0ff,0xfff93ff0,
    0x3fa3ff19,0xff75ff8d,0x3e0ffea1,0xffffd0ff,0x21ffffff,0xcccccffe,
    0x237fd403,0x05ffeffb,0x3f737fee,0x7f4003ff,0xffda9adf,0x3bbbff27,
    0xff06ffee,0x3e20ffc3,0x46ffe85f,0x203fffea,0x26ffffff,0xffff3ffc,
    0x1ffe4dff,0x7fd43ff6,0x027fd402,0x7ecbff70,0x4ffc401f,0xff89fffa,
    0x3ff6bfd1,0xff50ffb8,0x7f4fff07,0xffffffff,0xfffffd0f,0xffe80dff,
    0x7ffffdc2,0x3fffee04,0x98001dff,0xffffffff,0x3ffff26f,0x886fffff,
    0x83ff10ff,0x7fcc5ff8,0xffff90ff,0xfffff807,0x7cffee6f,0x2e6fffff,
    0x8ffea3ff,0x7d402ffa,0xfff3004f,0x200ffec1,0x7ff88ff8,0x57fa5ff1,
    0x0ffbcff9,0xff987ff5,0x2aabffa6,0xfd0ffeaa,0x0bdddddf,0x7dc37fd4,
    0x702fffbf,0x3fffdbff,0x3ffa6000,0x325ffdff,0xfccccdff,0x3fea626f,
    0x219ffa99,0x7fc45ff8,0x3ffbf27f,0x5fff5403,0x54bff22a,0x322abffe,
    0x517fa2ff,0xffa805ff,0x2fff9804,0x2600ffec,0x7c9fb0ff,0x7f4bfd2f,
    0xff50ffbf,0x5fff7339,0xffd83ff4,0x8001ffd0,0xffb82ffe,0xb80fffab,
    0x0dff52ff,0x3ea33000,0x207ff24f,0x3ffee6ff,0x7fffffff,0x3aa17fe2,
    0x3fee261e,0x80ffd803,0x3ff61ffd,0xf71ffd80,0xffb999bf,0x3fea059b,
    0x17ffc404,0x2600ffec,0x7c1530ff,0x7d4bfd3f,0xff50ffef,0x89ffffff,
    0x1ffb07fe,0x98003ffa,0x7ff706ff,0x3ee17ff6,0x00fff62f,0x22ffc800,
    0x6ff81ffc,0x3fffffee,0x3e27ffff,0xffb8005f,0x40ffd803,0x3f60fff9,
    0x87ffcc0f,0xfffffffb,0xf505ffff,0x7ffc409f,0x803ffb02,0x3fe00ff9,
    0xffe8bfd3,0xffff50ff,0xffd03bff,0x7f43ff60,0x3ff6000f,0x227ff702,
    0x7fdc2fff,0x001bfe62,0x323ffd40,0x86ff81ff,0x217ee5fb,0xb8005ff8,
    0xffd803ff,0xb0fff620,0x7fec41ff,0x3bbbbaa3,0x04eeffee,0x3e209ff5,
    0x3ff602ff,0x51aaaaab,0xd3ff80ff,0xffffb8bf,0x0139ff50,0xffb07fe8,
    0x4003ffa1,0x3ee06ff9,0x83ffee3f,0x7ff42ffb,0x2eaa2002,0x641fffec,
    0x86ff81ff,0x217f24fc,0xaaaaeff8,0x9ff700aa,0x6c555555,0xfffcbbff,
    0xcbbffd86,0x2a006fff,0x666442ff,0x14cceffd,0x9999dfff,0x3ffff679,
    0xff55ffff,0xbfd4ff80,0x50ffff88,0x3fa007ff,0x3a1ffb07,0xffb000ff,
    0x21ffdc07,0x3fee5ffe,0x0037fdc2,0xfffffff3,0xf03ff905,0x6c9fb0df,
    0xffff884f,0x701fffff,0xffffffff,0x7ffffecf,0xffd80dff,0x00dfffff,
    0xf30bfea0,0xffffffff,0x3ffffeef,0xffb6ffff,0x2bffffff,0xa7f407fb,
    0xfffc85fe,0x2007ff50,0x1ffb07fe,0x26003ffa,0x7fdc07ff,0xb97ffcc3,
    0x2fff82ff,0xbdfff300,0x40ffe407,0x23fe86ff,0xfff883fe,0x01ffffff,
    0xfffffff7,0x77ffecff,0x3ff602cd,0x8002cdef,0x7fcc2ffa,0x7fffffff,
    0xfffffff7,0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09aaaa88,0x06aaa200,0xaaaaaa98,0x15552aaa,0x55315540,
    0x26013555,0xa954c02a,0xaaaaaaaa,0x54015550,0x2aaaaa2a,0xaaaaa801,
    0x00aaaaaa,0x00000553,0x20002000,0x02000001,0x20004002,0x32ea2018,
    0x3fffea0a,0x6400cfff,0x3f206fff,0xffffffff,0x2a0bff76,0x3ffee4ff,
    0x641dffff,0xeafe407f,0xffffffff,0x2207ffb2,0x3fffe7ff,0xff02efff,
    0xffffffff,0x81bf603f,0x25c0005a,0x3efffd98,0xfffffb50,0x3fb62019,
    0x7fe40eff,0x103dfd35,0x207dffd9,0x3fffffd9,0x97fffff4,0xfffffffa,
    0x3ffe00ff,0xfff900ff,0x4dffffff,0xffe80fff,0x3ffffee0,0x3ee0ffff,
    0xfeafec07,0x2fffffff,0x3ea0bff7,0x3ffffe4f,0xff85ffff,0xffffffff,
    0x20dfb01f,0x8000effa,0x7fdc4ffd,0xd86fffff,0x5fffffff,0xffffffb8,
    0x3ffff21f,0x20fffffd,0xffffffe8,0x7ffffd45,0x4cd5c4ff,0x27ff56fd,
    0x305ffea8,0x207fffff,0xf9999998,0x13fee4ff,0xffb89ff5,0xb8fffa62,
    0xea7ec07f,0x999999ff,0x320fff10,0x45bfe2ff,0x402fffc9,0x3f6007fe,
    0x3dffb106,0x3bffa200,0x2b3ffe21,0x5e43fffd,0x45ffd309,0xcabdfff9,
    0xf13ff11e,0x47fd17ff,0xfd88bffd,0x30bffe2f,0x5fee6203,0x7fc43ffa,
    0xff5ff707,0x6ffc800b,0x3fa0fff8,0x217fdc0f,0x1fea4ffa,0x3ffa9fb0,
    0x82ffe800,0x437fc7ff,0x7f406ffb,0x36666207,0x641999ef,0x74c02fff,
    0x7fec0dff,0x803ffd43,0x3ffa3ffa,0xfb37d403,0x7cd7f21f,0x8affc44f,
    0xea800fff,0xff57ffff,0xd01ffd07,0x801ffedf,0xfb81fff9,0x709ff54f,
    0x3ffb85ff,0x164c3fea,0x03ffa9fb,0xf313fee0,0xf06ff8bf,0x3ff403ff,
    0xffffffb0,0xff70ffff,0x3ffea07f,0x3e0ffd04,0x953100ff,0x1bfe27ff,
    0xffc97ee0,0xff75fc99,0xdff33335,0x805f7ffc,0x7fb9bff9,0xfff07ff5,
    0x3f69ff10,0x7ffd002f,0x7f47ffc0,0x22ffb80f,0x3e60ffe9,0x7f4ff90f,
    0x3001ffd3,0x3ffb8dff,0xffd837fc,0xd81ffa02,0xffffffff,0x9fff507f,
    0x203fffb8,0x3ffb06ff,0x7ffffdc4,0x0bff53ff,0x7fe49f90,0xffb6ffff,
    0xffffffff,0x77ffffd4,0x6447fd42,0xa87ff57f,0x2ffa86ff,0xf9009ff5,
    0xdffb80df,0xfff704ff,0x983dffff,0x23ffd0ff,0xffffd3fe,0xff81ffff,
    0xf03ffa0f,0x0fff20df,0x36007fe8,0x3fe6006f,0x05fff75f,0xfc83ffc4,
    0x3bfffa1f,0xff53ffee,0x649f900b,0xb3ccccff,0xddddddff,0xfffd98bd,
    0x3ffe25ff,0xbff57fff,0x05fff955,0x3fe21ffb,0x07ffcc06,0x07ffffc0,
    0xffffffb8,0x3fe60dff,0xfd3fff99,0x3fffffa5,0x7fe40fff,0xff0dff13,
    0x80ffee0d,0x3f6007fe,0xdffd1006,0x00fffec1,0xffd03fff,0xf517fee1,
    0x01bfe67f,0x07fc97f2,0x40007ff2,0x261fffda,0xf54c8cdd,0x7fffffff,
    0xffd1bfe0,0x01fff401,0x204fffb8,0xeba9bffb,0x27fe25ff,0x5ff6fefb,
    0x2aaafffa,0x55ffa82a,0x0dff07ff,0xfe80bff2,0x01bf6007,0x5c17ffe6,
    0xffd02fff,0x326ff987,0x9ffe42ff,0x5c03fff8,0x403ff66f,0x40004ffb,
    0x2a002ffd,0x1defffff,0x555bff30,0x3ee07ffb,0x7ffc005f,0x30bfee00,
    0x3fe21fff,0xf8ffafe9,0x001ffd1f,0x1ffcbffc,0xffb06ff8,0x003ff403,
    0xffa80dfb,0x7ffd404f,0x9dfffa84,0x3f22fffa,0xfffc88df,0x2b3fff23,
    0x1ff31dba,0x1089fff1,0x26219fff,0xf983911a,0xffff70ff,0x7ff59fff,
    0x7fffe400,0x985fffff,0x74000fff,0x17fdc07f,0x7ff0fff4,0x3feffadf,
    0x4001ffd1,0x06fe9ffd,0xfff30dff,0x003ff401,0x7fe40131,0xfff3002f,
    0xffffd81b,0x7fcc5fff,0x3ffeffff,0x7ffffff4,0x3fbffa1f,0x23feeffd,
    0xfffffffa,0xfffff12f,0x7fdcbfff,0xfacfffff,0x3ffa003f,0xffffffff,
    0x001fff40,0x3ee03ff4,0x07ffcc2f,0x3ee9fbff,0x1ffd0ffd,0x7effd400,
    0x88dff04f,0x7f403ffd,0x26666207,0xf7099999,0xe88003ff,0xfffb84ff,
    0xfff503ef,0x707ff19f,0x41bffffd,0xff95fff9,0xffe985ff,0xfd11efff,
    0x007dffff,0x2007ff50,0xffb04ff8,0x667ffdc5,0x3a04cccc,0x67fdc07f,
    0x45fffbaa,0xff31ffff,0x2fffa1ff,0x880aaaaa,0xf02fffff,0xfff975ff,
    0x40ffd00d,0xfffffffb,0x003b24ff,0x2202ec40,0x01330009,0x08801300,
    0x4cc00cc4,0x02666201,0x03ffa800,0x2e05ff70,0x3fff64ff,0x07ffffff,
    0xff701ffa,0x1dffffff,0x7f47ffe8,0xffffd0ff,0x3a05ffff,0x3fe07fff,
    0x0dffffff,0x2e07fe80,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0xffa80000,0x40ffb003,0x3ff67ff8,0x7fffffff,0xf701ffa0,0x05bdffff,
    0xff913ffa,0x7fffff4f,0xff702fff,0x7fffc0bf,0x3a002cde,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80020220,
    0x50004000,0x1ffd4059,0x00013fe6,0x54401020,0x7ffc41bc,0x12ffffff,
    0xffd05fff,0xf901bfa5,0x2e27fccf,0x3ffa0eff,0xca802fff,0x9ff903ce,
    0x1897fe60,0x1e540310,0x80000400,0xc81cdedb,0xffb9efff,0x3637fa2e,
    0x7fd43fff,0x00effea8,0x5407ffe2,0x27fcc3ff,0x7cc0ffb0,0xdf95ff9e,
    0xfffff985,0x3ffffe24,0x3ea2ffff,0x93fee0ff,0x37e407fd,0x7fd49ff3,
    0x7ffff40f,0x3ff6202f,0x7c41efee,0x25ff907f,0x7f442fe8,0x220bf701,
    0x03f910ec,0x419b06f4,0x41ffffff,0xffffffff,0xddfd0fff,0x547fffff,
    0xfffffcff,0x07ffe206,0x3e61ffd4,0x81ff604f,0xcfffeef9,0x3fe27fff,
    0x322ffdbe,0xfffecccc,0xf9affe40,0x007fe46f,0xa7fccbfb,0xaa81fff9,
    0x3a02ffda,0xfe9aaacf,0x7c17fec0,0x4bffe67f,0x4ee2ffe8,0x7c4b54fb,
    0x20dfd15f,0x5ff71ffc,0x27fdccdc,0x5fff4432,0xfffd3fe8,0x54dff75d,
    0xfebcffff,0x80faa02f,0x7fcc3ffa,0x981ff604,0xdffeafff,0x8ff71ff9,
    0x3fe604fe,0xbffe881f,0x7fd41ffe,0x27f47951,0xfff19ff3,0x05ff7003,
    0x3fbf27f2,0x7fd45f8d,0x2a27fd45,0x2ffeafff,0x33ef7fe2,0x3fea2ffc,
    0xf987ff52,0x409ff13f,0x7e403ffa,0x7ff57f27,0xff53ff46,0x01ffdc5f,
    0x30ffea00,0x3fec09ff,0x3f29ff30,0x3f27ff1f,0xe882fe45,0x3fe603ff,
    0xff984fff,0x3fe1ffd2,0x3fb3fe63,0x5ff7002f,0x7dbe57a0,0x0fff81f7,
    0x3ea07ff6,0xea82ffff,0x0bffffff,0xffc87fec,0x6fe9bfa0,0x809ffff0,
    0xfc99efc8,0xec81ffd6,0x989ff50e,0x333324ff,0x0ccccccc,0xff987ff5,
    0x3fb33324,0xf30ccccf,0xff9bf21f,0x4fd8ff73,0x700bffb0,0x3e20dfff,
    0xf3fff8bf,0x7fffcc5f,0x3fee005f,0x9f93f882,0xf907ea7f,0x81bfe25f,
    0x6404fffb,0xf100dfff,0x5d7fe29f,0x03ff71ff,0x317fffba,0xfffffffb,
    0x01ffadff,0x3e61ffd4,0xfffff14f,0x23ffffff,0x7fcc3ffa,0xffffff14,
    0x263fffff,0x7cdf90ff,0x939ff33f,0xdff705ff,0xdfff7001,0x7fde7fc0,
    0x261ff8ef,0x01fffdff,0xf105ff70,0x543b7f27,0xab7fcc1f,0xffd103ff,
    0xffd505ff,0xc817ffff,0x23ff71ff,0xbff15ff8,0x223ffb00,0xcefeceff,
    0x0ffd3ccc,0xf30ffea0,0x3bbba29f,0x1eeeeeee,0xffa87ff5,0xffdddd14,
    0x263ddddf,0x7cdf90ff,0x3ffff63f,0x1fff985f,0xfffff980,0x9fbbfd04,
    0xf98ff7ff,0x00fffacf,0xbd02ffb8,0x0fbafdf2,0xffd8ffd8,0xfcffe880,
    0x37fe22ff,0x22ffdcfb,0x9ff33ff9,0xff52ffb8,0x754cd445,0x64df90ff,
    0x01ffa05f,0x3e61ffd4,0x7d40004f,0x13ffa24f,0x3e607fd8,0x7fcdf90f,
    0x41676d43,0x8802fff8,0x2fffaffe,0xf8ffffd8,0x7fcc7fef,0x700dff94,
    0x27f205ff,0x0bf3f97c,0x13ff3fea,0x7d4bffa2,0x7d4f22ff,0x37f44b54,
    0x3ffa0dfd,0x3e61ffb0,0x364fffff,0xe81ff25f,0x7ff5007f,0x2604ff98,
    0x3ffe601c,0x04fffeaa,0xff981ff6,0x1ffcdf90,0x67ffec00,0x7ec1cccc,
    0x81fff53f,0xff95fffc,0x24ff98bf,0x99985ffe,0x4099bffc,0x07f4c2fe,
    0x03fffff0,0xffa85ff3,0x220bf702,0x03fd10fd,0x77c47fe6,0x379ddb11,
    0xfff36fc8,0x07fe8447,0xf987ff50,0x3fff104f,0x7fffff40,0x3f604ffd,
    0x643fe607,0x7dcffe6f,0x34ffffff,0xffffffff,0x237fdc7f,0x7fdc5ffd,
    0x89fff33f,0x3fe24ff9,0x3fffe63f,0x446fffff,0x1effeffd,0x037ffe40,
    0xa80aa053,0x00c0403c,0x4c000206,0xffdfffff,0x0ffd3fff,0xf30ffea0,
    0x3ffe209f,0x3fffa201,0x7ec09ff4,0x643fe607,0x7dcffe6f,0x34ffffff,
    0xffffffff,0x07ffe67f,0x7cc7fff1,0x0fffe0ff,0xffa89ff3,0xfffff31f,
    0x2a0dffff,0xf3002cdc,0x000007ff,0x00000000,0x3fff9000,0x25ffffb1,
    0xff5007fe,0x204ff987,0x131004eb,0x202a9800,0x4df90ff9,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22020000,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x16765400,0x2a019950,0xa9803dec,0x3bbbaa01,0x713eeeee,
    0x406ee657,0x77775000,0x00577777,0x65c0aeee,0xbb983320,0x4444400b,
    0x33332088,0x77770ccc,0x77777777,0x00000017,0x00000000,0x00000000,
    0xffffff88,0x0ffffdc4,0x77ffffe4,0x01fff100,0x3fffffee,0x9ff34fff,
    0xfd88ffee,0xd8d4c1df,0xffffffff,0x4ffd804f,0x3ee9ff50,0x077fdc3f,
    0xdfffff90,0x7ffffffc,0xfffffff1,0x01ffffff,0x00000000,0x00000000,
    0xd9000000,0x7c4fff97,0x7d41ffff,0x04ffc9cf,0x220bfff9,0xaaaaaaaa,
    0x2a9ff31a,0x3fff62ff,0x64ffa1ff,0xfeeeeeee,0x17fec04f,0x3ea7ff30,
    0x0eff983f,0xbddddd90,0x77777774,0xddddddd1,0x01dddddd,0x00000000,
    0x00000000,0xf0000000,0xffbab8ff,0x3f637e41,0xff9ff986,0xff880002,
    0x3e25ff53,0xbbfffbcf,0x9fd002ff,0x400ddcc0,0x71014c29,0x00000057,
    0x00000000,0x00000000,0x00000000,0x09ff9000,0xbfb07fee,0x3fe86fc8,
    0x33310df7,0x21333333,0x3ff33ff8,0x7fcc3fea,0x3a007fff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x17ff2000,0x7e41ffb8,
    0xf517fa0f,0x7dc3ff8d,0xffffffff,0x7fccbfe4,0xfe885511,0x3fa001ef,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x809ffb00,
    0x7fcc1ffb,0x221fffdf,0x07fd42ff,0xfffffff7,0x304cc9ff,0x00044003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9dffd100,
    0x7ee64399,0x3fea1cdf,0x37e43fff,0x00005fe8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffff88,0x3ffffe2f,
    0x4d4c42ff,0x31009980,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x91000000,0x43999999,0x1ccccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_24_latin_ext_x[560]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,4,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,0,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_24_latin_ext_y[560]={ 17,0,0,1,-1,0,0,0,-1,-1,0,4,12,9,
12,0,1,1,1,1,1,1,1,1,1,1,4,4,3,7,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,1,19,0,4,0,4,0,4,0,4,0,-1,
-1,0,0,4,4,4,4,4,4,4,1,5,5,5,5,5,5,-1,-3,-1,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,17,4,-1,1,1,1,
-3,0,0,1,1,5,9,9,0,0,0,2,0,0,0,5,0,8,17,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-4,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-2,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-3,0,-3,0,1,4,-3,0,-3,0,-3,0,-3,0,-3,-1,1,0,-3,0,-3,0,-3,0,1,4,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-4,1,0,-3,0,-3,0,-3,0,1,-1,-3,5,1,0,-3,0,1,0,5,-3,-4,1,
0,-1,-1,1,0,1,0,-3,0,1,4,-3,0,-2,1,4,-3,0,-3,0,-3,0,1,4,-3,0,1,4,-3,0,
-3,0,-3,0,1,4,-3,0,1,1,-3,-1,1,1,-3,0,-3,0,-3,0,-4,-2,-3,0,1,5,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-6,-5,-3,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_24_latin_ext_w[560]={ 0,5,9,13,12,14,14,5,8,9,11,13,7,9,
5,12,13,11,11,11,13,11,12,11,11,12,5,7,10,11,10,9,14,14,12,12,12,10,10,13,12,11,9,12,
10,13,12,13,12,14,12,11,13,12,14,13,14,14,11,7,12,7,13,14,9,11,12,11,12,11,13,13,11,11,
10,12,11,13,11,13,12,12,11,11,12,11,13,14,13,13,11,10,3,10,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,10,13,13,13,
3,12,11,14,9,11,11,9,13,10,9,11,9,9,13,12,13,5,5,9,9,11,14,14,14,9,14,14,14,14,
14,14,14,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,11,13,13,13,13,13,14,12,12,12,13,
12,12,12,12,13,11,12,13,12,12,12,13,12,12,13,12,13,13,13,13,13,13,13,12,13,12,12,13,12,13,
14,12,14,12,14,11,13,13,12,12,12,12,12,12,14,16,13,14,12,12,12,12,12,12,10,11,12,12,13,13,
13,13,13,13,13,13,13,12,13,12,12,12,12,12,12,12,11,12,12,11,12,12,11,11,12,12,12,12,12,10,
11,15,16,13,16,12,11,13,13,12,11,13,12,12,12,11,13,13,13,13,14,14,13,13,14,13,12,11,14,13,
12,13,12,12,11,11,12,12,13,12,13,15,13,12,13,12,13,12,13,12,13,12,14,14,12,12,13,14,14,13,
14,12,13,12,12,12,12,10,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,12,14,13,16,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,11,11,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_24_latin_ext_h[560]={ 0,18,7,16,21,18,18,7,23,23,11,13,10,3,
6,20,17,16,16,17,16,17,17,16,17,16,14,18,15,8,15,18,22,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,21,16,17,16,17,16,16,16,16,16,23,20,23,9,3,6,14,18,14,18,14,17,18,17,18,
23,17,17,13,13,14,18,18,13,14,17,13,12,12,12,17,12,23,25,23,7,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,21,16,16,16,
25,20,6,17,13,11,7,3,12,6,9,15,10,10,6,17,20,5,4,10,13,11,17,17,17,18,20,20,20,20,
20,21,16,20,20,20,20,20,20,20,20,20,16,20,21,21,21,21,21,11,21,21,21,21,21,20,16,18,18,18,
18,18,18,20,14,17,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,13,18,18,18,18,18,22,22,22,
20,18,20,18,21,18,21,18,21,18,21,18,21,18,20,19,16,18,20,18,20,18,20,18,21,18,20,18,21,22,
21,22,21,22,21,23,20,21,16,17,20,17,20,17,20,17,21,23,20,12,17,22,21,22,21,22,12,20,21,21,
22,18,18,16,17,16,17,20,17,21,18,20,17,19,21,18,21,18,21,18,21,18,17,14,20,17,21,18,20,17,
21,18,21,18,20,17,21,18,21,21,20,19,16,17,21,18,21,18,21,18,22,20,21,18,21,17,20,17,20,22,
20,20,17,20,17,20,17,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,23,23,20,18,23,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,21,18,21,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_bold_24_latin_ext_s[560]={ 255,249,71,28,151,17,119,249,37,101,209,
65,248,154,249,94,76,111,123,90,97,102,114,210,127,1,249,246,159,59,148,
134,29,14,56,152,109,83,199,180,186,206,194,222,135,146,160,1,1,193,235,
41,122,28,94,69,191,41,29,130,144,111,45,164,133,184,240,196,32,222,53,
85,109,180,9,229,217,79,27,170,218,167,15,234,242,53,183,129,115,121,103,
119,1,138,81,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,255,249,126,
177,163,135,5,224,121,165,246,233,95,154,169,143,35,136,15,245,107,52,1,
249,249,25,93,221,179,164,149,246,28,58,101,170,237,164,232,1,120,27,107,
198,185,157,116,53,83,87,179,235,14,41,164,197,94,123,150,178,192,129,173,
227,214,200,187,174,161,223,1,68,106,92,79,66,136,54,39,1,153,14,45,
215,201,187,173,39,159,146,132,119,106,1,242,214,43,53,79,25,41,1,69,
232,83,206,110,229,136,219,133,148,69,38,66,66,40,242,14,14,163,27,211,
39,206,57,235,228,149,174,96,87,73,68,14,123,15,26,236,13,210,110,15,
46,155,157,97,44,174,149,210,161,144,100,197,186,202,1,144,42,80,56,1,
16,40,123,194,235,27,181,56,13,27,71,1,126,220,91,194,208,126,208,137,
59,30,222,81,99,55,113,223,236,1,140,221,208,73,165,218,204,137,1,112,
192,83,205,15,197,108,231,28,67,183,94,1,188,45,60,80,87,15,113,139,
65,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,141,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,72,59,168,52,20,97,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,71,79,221,208,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__consolas_bold_24_latin_ext_t[560]={ 1,27,316,268,27,195,176,84,1,1,302,
302,214,316,92,136,232,268,268,232,268,232,232,267,232,268,69,136,285,316,285,
176,27,285,285,232,285,285,267,232,267,250,232,267,267,267,267,250,285,27,267,
250,285,250,285,285,250,285,285,1,115,1,316,316,316,285,176,285,195,285,250,
195,250,195,1,232,232,302,302,285,195,195,302,285,232,302,302,302,302,250,302,
1,1,1,316,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,1,50,27,
250,250,250,1,115,316,232,285,302,316,316,302,316,316,285,316,302,316,232,115,
99,105,316,302,302,214,214,214,195,115,115,115,115,115,27,250,136,136,136,136,
115,115,115,115,136,268,115,27,27,50,50,50,302,50,50,50,50,50,115,267,
176,176,176,176,176,176,93,302,214,176,176,176,176,214,214,232,214,195,214,195,
157,157,157,157,302,157,157,157,157,157,27,1,1,115,157,136,157,72,157,72,
136,72,136,72,157,72,136,136,136,268,157,136,157,136,157,136,176,72,176,115,
176,50,27,50,1,72,1,72,1,115,50,268,214,115,232,93,232,94,214,72,
1,94,302,214,27,72,1,72,1,302,94,72,72,1,195,176,268,214,268,232,
94,214,72,136,72,214,136,72,157,72,195,72,195,50,157,214,285,94,214,50,
195,94,214,50,195,50,195,72,214,50,195,27,27,94,136,250,232,27,176,27,
195,27,195,27,94,50,195,50,250,94,250,94,1,94,94,250,94,250,94,232,
232,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,94,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,1,1,94,176,1,27,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,27,157,27,27,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250, };
static unsigned short stb__consolas_bold_24_latin_ext_a[560]={ 211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_24_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_24_latin_ext_s[i] + stb__consolas_bold_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_24_latin_ext_t[i] + stb__consolas_bold_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_24_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_24_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_24_latin_ext_x[i] + stb__consolas_bold_24_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_24_latin_ext_y[i] + stb__consolas_bold_24_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_24_latin_ext_s[i] + stb__consolas_bold_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_24_latin_ext_t[i] + stb__consolas_bold_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_24_latin_ext_x[i] + stb__consolas_bold_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_24_latin_ext_y[i] + stb__consolas_bold_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_24_latin_ext_LINE_SPACING
#endif

