// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT        204
#define STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_21_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_21_latin_ext_LINE_SPACING          10

static unsigned int stb__courier_21_latin_ext_pixels[]={
    0x00000540,0x20000018,0x01001801,0x00000300,0x0800304c,0x93002200,
    0x66666401,0x00002a80,0x00003a80,0x00000000,0x02020c22,0x009004b8,
    0x3b000ec4,0x9803b100,0x00ec402f,0x36600b20,0xad880b50,0x00f2000d,
    0x276e0254,0x3333101d,0xd800d510,0x4b801b31,0x401b12d8,0xbb300645,
    0x40571601,0x22c598d8,0x2007702b,0x01b10049,0x22007620,0x0017001d,
    0x295005b1,0x36603b8a,0x3395c04c,0xa805b009,0x8e20ee74,0x0ec58838,
    0xdcc80058,0x99008800,0xdbdb801b,0x36236a04,0x05cbda81,0x9606ccec,
    0x400a6068,0x028800d8,0x044006e0,0x0c000022,0x00220c40,0x31026006,
    0x18801880,0x0a000044,0x18002c03,0x00060000,0x01818015,0x04420026,
    0x2a60792c,0x64000039,0x4c000049,0x441b0bdc,0x1ed8dedb,0x910d73d4,
    0x33326399,0x10d73d40,0x33263999,0x0d73d40c,0x32639991,0xdddb10cc,
    0x8e66445d,0x52c0ccc9,0x666447dd,0x22199931,0x442eeeed,0xcc881cec,
    0x8199931c,0x8850bdb9,0x32201cec,0x03e581ce,0x2e203854,0x81ed8ded,
    0x3dd50173,0x36a1f74c,0x1d85db50,0x22181b66,0x4c13b301,0x80c4302c,
    0x0b2609d9,0x3660310c,0x300b2609,0x2609d987,0x416a582c,0x0b2609d9,
    0x88ed4730,0x209d983c,0x98ecc2c9,0x4476a4db,0x911da83c,0xb80d3587,
    0xd987600b,0xc80aea06,0x42c44981,0x2a0ea0ea,0x04880006,0x48800037,
    0x88000370,0x39803704,0x581b8244,0xb8244079,0x0689cc01,0x37048839,
    0xd14b82c4,0x90688720,0x9905aac3,0x20ea0199,0x2c40006a,0xb30f206c,
    0x46806c73,0x17ae0ed8,0xb10dc122,0x442f5c1d,0x76c43704,0x12217ae0,
    0x10e600dc,0x37606e09,0x1b824405,0x303c9cc0,0x4370488b,0x81e4601b,
    0x2cc0f259,0x64c412eb,0x1a01b04b,0x80b77b6a,0x83a1220c,0x4064b0d8,
    0x0b019068,0x3206e091,0x70488580,0x10b01903,0x73006e09,0xb0370488,
    0x82440773,0x0e9cc01b,0x2e0911a0,0x00740161,0xacd0074d,0x905ac05a,
    0x9010d101,0x80c92201,0x26190ec5,0x01906b84,0x06e0910b,0x12216032,
    0x2c0640dc,0x401b8244,0x1b824439,0x2440ee58,0x69cc01b8,0x20910e40,
    0x0340161b,0x47203472,0xb9cc0d35,0x06b84982,0x44640730,0x3a1dcb04,
    0x33223320,0x10b01905,0x03206e09,0x0dc12216,0x2442c064,0x21cc01b8,
    0x8b037048,0x3704883c,0xd80b3980,0xb0dc1220,0x21b01600,0x3e586c05,
    0x41621900,0x85cc88cc,0x03ddeca8,0x4dc03322,0x6443c449,0x20320b2d,
    0x03705885,0x0b10b019,0x1603206e,0x200dc162,0x1b82c439,0x5df91fa2,
    0x401b82c4,0x23440b39,0x16c37058,0x2cd102c0,0x0792cd10,0x32201b16,
    0x417b0b2d,0x102e403a,0x200770b9,0x20b01905,0x0190480e,0x41203a0b,
    0x01d0580c,0x1d055009,0x1d000090,0x2a550090,0x01d09503,0x54606989,
    0x81d49503,0xa868964a,0x003b999c,0x07303716,0x21fc01c8,0x20930059,
    0x3b83e42a,0x642a81d4,0x03a87707,0x7707c855,0x80c803a8,0x2a01d43b,
    0x0ea1dc04,0x20bd8720,0x3a877058,0xb25c0cc8,0x5ec2c417,0x2b8b1620,
    0x2d55556c,0x21544980,0x016203e9,0x1bb9b559,0x036e6620,0x5eadccd8,
    0x80797d70,0x05eadccd,0xd80797d7,0x705eadcc,0x2660797d,0x2fae04c9,
    0x01e5403c,0x981e5f5c,0xcfc84c99,0x2fae00cc,0x333ee03c,0xcccfc82e,
    0x1999f900,0x41220808,0xdb99881b,0xacdbdc80,0x2b26625e,0x00887100,
    0x88015554,0x1000c000,0x20018001,0x100c0008,0x06001555,0x20180000,
    0x0c01aaa8,0x09800600,0x00600180,0x09102b80,0x18805555,0x0d5554c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdf900000,0x005fec8b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x85000000,0x8000800a,0x30000009,
    0x01880080,0x4002aa88,0x00064400,0x00c00611,0x003a8002,0x98031000,
    0x00000000,0x2a20d8b1,0x40c00001,0x996c02b9,0x004eb805,0x21b8036a,
    0x016c4048,0x05b009d5,0x2006aa88,0xb3b503eb,0xb31b1003,0x2602d880,
    0xdabc805e,0x00376600,0x1b100762,0x01b11d80,0x7882e4b7,0x00b7307c,
    0x858f24b8,0x6dc40173,0xda9ec00b,0x44025400,0x2200dbbd,0x6d53201d,
    0x5801e400,0x116e5b00,0x46c40487,0x00ec4059,0x54036697,0x46d40e61,
    0x036601d8,0xb100ec40,0x886201b9,0x16030600,0xb0b76a00,0x00009190,
    0x00400408,0x02200660,0x18008830,0x30200b00,0x00420000,0x11060044,
    0x01030000,0x80080004,0x00000002,0x2022000b,0x2200a885,0x1ed8dedb,
    0x32639991,0x399910cc,0x71033326,0x2e20a39b,0xdb8828bd,0x3332228b,
    0x20199931,0xcccca805,0x37b6e23c,0x99911ed8,0x30333263,0x710a17b7,
    0xeea8a39b,0x910fba61,0x7644039d,0x33b2201c,0x22f6e201,0xe987baa2,
    0x2ebdd53e,0x6c6c0eee,0xb7301dee,0x6646ca17,0x4199931c,0x261b661d,
    0x30b2609d,0x2164c13b,0x8bd511d9,0x98f931d9,0xd98f931d,0x580b2609,
    0x9ca99880,0x86d98760,0x0b2609d9,0x936e63b3,0x8bd511d9,0x6d44981c,
    0x3b507911,0x476a0f22,0x31d983c8,0x4981c8f9,0xde8370b0,0x3b307661,
    0xd9ad36e6,0x3a8b2609,0x704886a8,0x43704883,0x644980e8,0x34064680,
    0xb00dc122,0x1d439800,0xb8244354,0x8a5c1621,0x2c44980e,0x320d106c,
    0x10e41a21,0x0190720d,0x00d8588d,0x81f8370b,0x25c16259,0x1b0dc122,
    0x5c1221a0,0x21b82441,0x0412002b,0x41220412,0x3001601b,0x10d00d87,
    0x01b86e09,0x320015c6,0x20791220,0x2cc0f259,0x09166079,0x04883202,
    0x40d06e16,0x441806e6,0x40643704,0x37048868,0x2c370488,0x30032600,
    0x70488019,0x26002c03,0x43440643,0x02c37048,0x24880058,0x4d00740c,
    0x00e9a00e,0x1001931a,0x70b00649,0x05960783,0x0dc12210,0x910d7093,
    0x209106e0,0x2200161b,0xb7102cdb,0x2e091059,0x73001601,0x886b8498,
    0x802c3704,0x91190005,0x0d1c80d0,0x1c80d1c8,0x90166dc4,0xb8580911,
    0xb15417c1,0xb8245600,0x66446641,0x83704885,0x22c37048,0x201cccc8,
    0x2d4405a8,0xb00dc122,0x20e60260,0x85cc88cc,0x02c37048,0x66664458,
    0x580cc881,0x6c0586c0,0x200d80b0,0x199105a8,0x6c1b8580,0x2c5c88cd,
    0x2e091580,0x0b2dc881,0xb106e0b1,0x202c86e0,0x70037005,0x21b82c43,
    0xeeefeee8,0x20730571,0xb10b2dc8,0x802d86e0,0x5c81602c,0x0b3440b0,
    0x3440b344,0x0b901b80,0x53bbfbb2,0x1cdbac1b,0xb15802d8,0x82c006e0,
    0x01d0480e,0x99605a89,0x40e63703,0x0240741b,0x01a82b80,0x24074160,
    0x0b5181a6,0x2a03902c,0x81d49503,0x2540ea4a,0x6406e073,0x58390001,
    0x58c0d300,0x4c01203a,0x03a87704,0x2d83a877,0x103ea588,0x16207d4b,
    0xb80750ee,0x02444a83,0x50ee0930,0x4b819907,0x441620b6,0xb105ec05,
    0x42c417b0,0xf51620bd,0x0b105881,0x002c3400,0x4b4b8199,0x9881d43b,
    0x3ae00db9,0x5f5c03cb,0x2f37203c,0x376e62dc,0x36e61ddc,0xd701ddcd,
    0x3ca80797,0x03999d30,0x006dccc4,0x5c0797d7,0xdc82eccf,0x2622dcbc,
    0x7e400ac9,0x9f900ccc,0x33f20199,0x6edcc0cc,0x26621ddc,0x533000ac,
    0x0cecc47b,0x2eccfb80,0x0797d702,0x30015554,0x26001800,0x400c4009,
    0x00060018,0x55001100,0x000c0055,0x01330013,0x00355553,0x20018006,
    0x26031001,0x5001aaaa,0xaaa98355,0x0004c002,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000800,0x08003000,0x06001800,0x14000020,0x333332a0,0x800983cc,
    0x8850bdb9,0x71051cdb,0x00c0517b,0x00530000,0x01100082,0x02030000,
    0x5800402e,0x80d88ec0,0x5c0b31d8,0x007d7004,0x02d8025c,0x23b0275c,
    0x6c0580d9,0x5999e999,0x41e5edec,0x49b731d9,0x8bd511d9,0x40f931d9,
    0x1dd8804b,0x8039a980,0xd980488c,0x2d436200,0x116212e0,0x407d703f,
    0x882adfb8,0x36200dcd,0x405a805c,0xc801b53c,0x401d8803,0x3201b53d,
    0x580b00dc,0x82a8162c,0x3a297058,0x40644980,0xb502d406,0x0a805b11,
    0x00e6b007,0x9b1001b3,0x3203c809,0x27907e22,0x911e80da,0x03001409,
    0x01060040,0x00220010,0x50180102,0x45ddddfd,0xd91162c5,0x8c037039,
    0x0412002b,0x01010040,0x2b001770,0x4000403a,0x34c00801,0xa808303e,
    0x6665c182,0xcccc83cc,0x99999700,0x65c3cc89,0x9999910c,0x665c1999,
    0x33223ccc,0x50cccccc,0x79999999,0x11604058,0x43c88ed4,0x9800b005,
    0x3332200c,0x640ccccc,0x66400ccc,0x555800cc,0x40333320,0x02ccccc8,
    0x09999997,0x66547c3d,0x49966644,0xa9999d80,0x04bc9885,0x8133d331,
    0x20f441e8,0xc99999d9,0x2a666761,0x4cccecc5,0xd333b1c9,0x0058b333,
    0x3906882c,0x8005802c,0xd982cdb8,0x41c99999,0x4404bc98,0x2aa04bc9,
    0x440accae,0x36604bc9,0x442da999,0xc8099e99,0x067a23e3,0x5edc1b31,
    0x401b0b01,0x980b00b5,0x80c815c4,0x2036161b,0x58b1b80c,0x0b00162c,
    0x0b2cc0f2,0x99991160,0x642d4403,0x16b01b80,0x2a605ac0,0xb00abdae,
    0x0b019016,0x2692e02c,0x5cc160c5,0x80ae241d,0x05805739,0x640b11c8,
    0xb8904c20,0x09841902,0x0162c58b,0x6803a0b0,0x80b200b6,0x0c837005,
    0xb9cc04c2,0x02b9cc02,0x73006562,0xc80c80ae,0x25a80b00,0xb174c325,
    0x02cc0b00,0x1602c432,0x3200dac0,0x0b300910,0x40848864,0xb0016045,
    0x263901a0,0xb02d4606,0x641b81cc,0x10c80910,0x0b10c80b,0x06f6b6ea,
    0x32058864,0x80b02cc0,0x2ae3704b,0x0581c914,0x0d8b0036,0x1f4c0160,
    0x01373320,0xdccc8036,0x0dc05804,0x80b05804,0x9703320d,0xf52c416c,
    0xccc85881,0x0362c04d,0x2a206c58,0xb02aeadb,0x957900d8,0x6405809b,
    0x9ad65503,0x03b88fe3,0x99ca8039,0x801603b9,0x0910c805,0x886401c8,
    0x6c405804,0x3a22dcbc,0x8161eefe,0xeccfb868,0xdcbcdc82,0x37376e62,
    0x0910c81d,0x1dccce54,0x3b999ca8,0xca816730,0x3903b999,0x05803d53,
    0x730c88f4,0xb8aa32b1,0x9502deda,0x5556c0a8,0x801605aa,0x1820c805,
    0x1902a254,0x40160304,0x75000098,0x00c812a0,0x24400998,0xb0608320,
    0x20b55555,0x05aaaaad,0xaad81655,0x41905aaa,0x981600d8,0x56453ee6,
    0x16037732,0x221b8588,0x01603704,0xb00c8058,0x320dc2c4,0x20160b00,
    0x07c400f8,0x01620bd8,0x00950073,0xb00c80ea,0x441b8244,0x25503704,
    0x06e09105,0x2c0b1032,0x66418590,0x02c03360,0x15c3701b,0x400b0488,
    0x4b00c805,0x0641b80d,0x3200b058,0x3200c800,0x2e00cccf,0x01e5403c,
    0x01901e5c,0x89102b96,0x3709102b,0x48815c16,0xb03a80c8,0x17601620,
    0xdf01c0bb,0x323ddddd,0xaff645ef,0x85eefeec,0x41eefee8,0xeeeeefd8,
    0x3bbbbe5e,0xddfb11ee,0x744bdddd,0x7101eefe,0x06007100,0x00000000,
    0x77777ec4,0x8bdf95ee,0xbdf95fec,0x1045fec8,0xec8bdf90,0x0bdfb15f,
    0x3bfbb2bb,0x2740045e,0x000001ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0382a000,0x00300220,
    0x18018000,0x0c020555,0x4400aaa0,0x000000c0,0x322264c0,0x400001cc,
    0x105cc008,0xa82a0a00,0x00015400,0x99997000,0x66664403,0xd11e802c,
    0x801b3001,0x98ec00d9,0x102d400d,0x7036aa5b,0x7401b07d,0x40da802a,
    0x6c4b605b,0x9dddd300,0xc989f310,0x800c8b02,0x272200d9,0x58801ecc,
    0xd00762d8,0x3b13c80b,0x103625b0,0x98013593,0x02da999d,0x006cc000,
    0x66400d88,0x2026400d,0x4f60c82a,0x581260da,0x0dc0b500,0x0001b990,
    0x06e06ec0,0x4026dedc,0x044000da,0x00002b80,0x00eedc00,0x0dc01b99,
    0x88b01900,0x99931ccc,0x22000201,0x03001800,0x04190370,0x02c03602,
    0x200dc018,0x1ae7a801,0x00dc58d8,0x200c002a,0x9931ccc8,0xc882c019,
    0x36e601ce,0x004c050b,0x000dc00c,0xd9819019,0xc88b2609,0x6402cccc,
    0x99700ccc,0x3cc89999,0x0370665c,0x33332e19,0x0581d44c,0x3333332e,
    0x4c986e2c,0x0c0e6644,0x22bac031,0x0cccc81b,0xcc889930,0x9827661c,
    0x2a0ae02c,0xb307911d,0x64536e63,0x0ccccccc,0x03799993,0x819000dc,
    0x37048859,0xda999d98,0x09793102,0x0267a662,0x41e883d1,0x3310c81b,
    0x20b0133d,0x2ef2a205,0x886e4a99,0x0164c4f9,0x0dcb2c00,0x8825e4c4,
    0x2164c4f9,0x2c037048,0x221c8344,0x4ecc9705,0x711c9999,0x20993337,
    0x2af2001b,0x209104dc,0x0580c81b,0x405805ac,0x06c15c49,0x2a02c064,
    0x5cdc0582,0xd84a9222,0xdb10dc0d,0x2582f5c1,0x5ac0373a,0x06e06ec0,
    0x5406e091,0x4b303c83,0x0190601b,0x1d415437,0x9c8040dc,0x09101ea9,
    0x3203206e,0x00ae7300,0x1623900b,0x2c064176,0x5602c2c0,0x89d0a22b,
    0x640dc58d,0x8d8b0580,0x0ae7301b,0x20dc58d8,0x16037048,0x02cd0074,
    0x41308320,0x0370b02a,0x0d88320b,0x90370488,0x43205981,0x5802c058,
    0x3203601b,0x42b80580,0x38abac05,0x457584a8,0x0580c81b,0x901bd88b,
    0x57581621,0x5c1220dc,0x80d03981,0x0c800b1c,0x5c0aa091,0xc82c0dc1,
    0x82442c40,0xdcabc81b,0x80362c04,0x407d3005,0x0580c81b,0x7502c588,
    0x06e1376e,0x3206e596,0xb90b0580,0x201b1603,0x2441b965,0xb00d81b8,
    0x800b0d80,0x5504dccc,0xb0370aa0,0x10ea0320,0x27206e0b,0x32a01ea9,
    0x1603b999,0x40dc0580,0x3900580c,0x5735902c,0x4b037051,0x0190373a,
    0x22efd88b,0x99ca81f8,0x9d4b03b9,0x1b82c41b,0x440b024c,0x0c800b66,
    0x5c0aa091,0xdddddd91,0x5efd88fd,0x240745d8,0x403620c8,0x05aaaaad,
    0x5c058016,0x00580c81,0x55b02cb1,0x2c0dc059,0x03206e36,0x56c00016,
    0x8b05aaaa,0x80e81b8d,0x0ea00d84,0x0c0d3254,0x2a860832,0x000000b0,
    0x903a8770,0x04885881,0x58016037,0x40641540,0x82c72005,0x5cb0ae48,
    0x0dec4581,0x201f2154,0x5c12204a,0x0dec4581,0xb10ea1dc,0x2c417b00,
    0x912e0664,0x982a9601,0x70012a05,0x797d7007,0x21d40640,0x1609102b,
    0x52e80580,0x400b01b5,0x2a855d48,0x416eb0ae,0x9b01dc85,0x540bd5b9,
    0x440ae03c,0x01dc8584,0x390797d7,0x3333f200,0x5d99f700,0x2a960190,
    0x3ca806cc,0x800f2a00,0x17bf6201,0x22f7e576,0xfdd95fec,0xfdd10bdd,
    0xaa8c03dd,0x3bbfbb22,0x45552805,0xdddd96fc,0x3f6206fd,0x8807e22e,
    0x3f200000,0x8aff645e,0x07e22efd,0x4000c030,0x22026001,0xeeeeeefd,
    0x9bdddd55,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00900000,
    0x04000006,0xcb933320,0x4400200c,0x0ae00005,0x20000000,0x33332a01,
    0x8019103c,0x000ccccc,0x10000197,0x47332019,0xa880ccc8,0x000002aa,
    0x073332e0,0x03b105f3,0xc8b00b50,0x9813aa00,0x807a609d,0x3c401ddc,
    0x3a00c8b0,0x16236005,0x93900ee0,0x267a6620,0x0005f300,0x0135b100,
    0x02f98480,0x82c983b3,0x804999ba,0x1b2b8058,0xb05d3000,0x20097003,
    0x3204dbdb,0x83201b53,0x44b600d9,0xb700c01c,0x400009b7,0x6400d89d,
    0x8039c403,0x66440005,0x0199931c,0x8e66406e,0x8005ccc8,0x09037048,
    0x400d9807,0xd9105b4b,0x2aa20039,0xa8001802,0x40220c00,0x2a01b30c,
    0x2a000002,0x4736e200,0x002e3302,0x0aea0053,0xcccb8160,0x04ecc3cc,
    0x302c0593,0x5c1c983b,0x444ccccc,0x00b03704,0x26700190,0x7911da82,
    0x20d55100,0x101ccccb,0x99999999,0xc8966541,0x04a8c83c,0xdd300354,
    0x33332e0b,0xa88ecc4c,0x0000005e,0x3b02c000,0x488b5333,0x102c0370,
    0x33106e09,0x0488133d,0x0655cc37,0x22000000,0x20483906,0x13593105,
    0x4cccecc0,0x827621c9,0xedcc80e9,0x58002c02,0x133d3310,0x124c0744,
    0x82f5c1db,0x224bdddc,0x817ae0ed,0x10361605,0x3b606e09,0x82440def,
    0x4881601b,0x0ee1c370,0x75476ed4,0x2ddc981d,0x345981e4,0x001b80b0,
    0x0c837019,0x36279058,0x2c001601,0x002b82c0,0x1542c064,0x160321aa,
    0x05712058,0x5806e091,0x00dc1220,0x1b82440b,0x41c88322,0x64597a20,
    0x074b710b,0x016078d0,0x08320037,0x0580c813,0x23605819,0x2c00bddc,
    0x800582c0,0x82c8580c,0x20580c81,0x220b3005,0x02c03704,0x5806e091,
    0x40e41620,0x5d015c2c,0x4320b0d4,0x01f0e406,0x20037016,0x0640910c,
    0x1d40c82c,0x00ea0ed8,0x0160b00b,0x22160320,0x1901bcdc,0xd802c0b0,
    0x06e09100,0x5c122058,0x01b01601,0x47064c0b,0xaabfdec9,0x4e60554b,
    0x01f06c05,0x20037016,0x3204dccc,0x906ccccc,0x20360b01,0x82c02c05,
    0x0e666445,0x51016032,0x0b019099,0x100e402c,0x05806e0b,0xb00dc162,
    0x01d43a80,0x1cb8de64,0x5c26667a,0x88169101,0x02c07e26,0x4320206e,
    0x16032048,0xeb8bdfb1,0x2c0582c2,0x202c82c0,0x28580c85,0x580c81b0,
    0x2777f75c,0x1d02a254,0x74058090,0x402c0480,0x2003dcea,0x881742c4,
    0x40ea3704,0x2c07e24a,0x321606e0,0x40641820,0x20b00005,0xeefeed85,
    0x0b50580e,0x1f21542c,0x550b01d1,0x407307c8,0x1dc1b858,0x405880ea,
    0x1601d43b,0x20e02c40,0x4bf50dc4,0x8b30b229,0x0a1620bd,0x2c0dc058,
    0x06458064,0x2025402c,0x01cc0b05,0xb105b02c,0x3ab73360,0x36f33625,
    0x5b99b01d,0x011350bd,0xd703701b,0x91110797,0x797d7005,0x4e200b00,
    0x59555b01,0xb7b999b0,0x66dc41bb,0xccfc80bd,0x202c000c,0x00c8581b,
    0x40580c8b,0x582c03ca,0x580226a0,0x6e5e6e40,0x18002202,0x2e001100,
    0xdddddf03,0x9100c03d,0x40180039,0x05eefeec,0x99880654,0x02204401,
    0x80060030,0xeeefeee8,0xdddddd91,0x777ec4fd,0x3f65eeee,0x01dfd32e,
    0xb077e400,0x205dc0bf,0x05eefeec,0x00000266,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x540180e0,
    0x000000e0,0x81aaaa98,0x0001cec9,0x0a8004c0,0x3332202a,0x000ccccc,
    0x00001900,0x40033332,0x00000e0a,0x40179300,0x01800001,0x077016d4,
    0x881d11e8,0x741cadcd,0x2c401d11,0xbea80760,0x6d409c9c,0x1d807910,
    0x3cbdbd80,0x301d8b60,0x3933333b,0x7c402c40,0x44058802,0x3d004bc9,
    0x00ec03a2,0x456412a0,0x0093905a,0xdbd8803b,0x837ec1da,0x5000003c,
    0x0d980003,0x7c416c40,0x0b102e90,0x02d88072,0x00000aa0,0x26037019,
    0x2600000d,0x016b000d,0x00b62000,0x5c3a825c,0x88017381,0x206a002d,
    0x402981c8,0x8665c3cc,0x24cccccb,0x04cccccb,0x5c240019,0x0f205d25,
    0x2024034c,0x6400cccc,0x06400ccc,0x80640261,0xccccccc8,0x3000c80c,
    0x66440ae7,0x00cccccc,0x580e6012,0x02ba8398,0x11326120,0x20003999,
    0x3a20f442,0x267a6621,0x267a6620,0x2a000000,0x03a05d25,0x98800078,
    0x64c404bc,0x4886404b,0x99d98000,0x0001c999,0x26058864,0x1c99999d,
    0x12c00000,0x000007b5,0x32627cc4,0xbddc9802,0x15c4984b,0x980b00b0,
    0xb9302ddc,0x5d27d05b,0x443202c0,0x017ae0ed,0x05ac016b,0x2026e664,
    0x1901cdda,0x6f6d4370,0x0362c02d,0x2a1b80c8,0x2602dded,0x962abddc,
    0x3b6a39ad,0x376a02dd,0xb81bb01c,0xc82f2041,0x02c47207,0xbc816016,
    0x0bc8b710,0x2b970b71,0x03a0240b,0x9cc0b019,0x2b9cc02b,0xb0244320,
    0x20c85a85,0x06404130,0x3b999ca8,0x41308320,0x0ca80c80,0x25558fa2,
    0x20320239,0x46c2d42d,0x2bf90dc5,0x015e5448,0x00b0036b,0x20c82c0b,
    0x5d201905,0x90f101c0,0x88640b01,0x05886405,0x39860832,0x910c8590,
    0xad81cc00,0x3205aaaa,0x1cc00910,0x4d62982c,0x43980733,0x75859039,
    0x2bf90dc5,0x02c56a1b,0x00b007d3,0x9cc0aa0b,0x5207302a,0x3b81cc0b,
    0x160580c8,0x0362c01b,0x33258064,0x43dccccc,0x5104dccc,0x9107bbd9,
    0x666406e0,0xbd95104d,0xb003887b,0x95126ee4,0xccc87bbd,0x2c3dcccc,
    0x0c860dcb,0x02c058b5,0x37058058,0x880dd220,0x3202e904,0x80c82cc3,
    0x73339505,0x26672a07,0x9601903b,0x9999999d,0xb0488640,0x15c1d417,
    0x22190488,0x1d417b04,0x223400e6,0x3a82f609,0x4cccccec,0x2e752c09,
    0x516ae601,0x0b005805,0x5c1220b0,0x406e0911,0x33aa0174,0xb01900dd,
    0x2aaaab60,0x55555b05,0xeeefd88b,0x012e5eee,0x371820c8,0x5efc8730,
    0x0642ff64,0x3981b8c1,0x40390058,0x25c3981b,0x1b8d8b00,0x01662ec0,
    0x2c02c016,0x64598590,0x2e902cc2,0x0417b100,0x221f2154,0x04883704,
    0x74240037,0x80642981,0x03e98555,0x20190480,0x83e98555,0x3a24a82b,
    0x26154221,0x2981e83e,0xd86f622c,0x37373661,0xb005800b,0x6dc40b00,
    0x6dc40bdc,0xdaa80bdc,0x77441bc8,0xd80ddddd,0x5c5eadcc,0x02b89102,
    0x0ce40091,0x19b97db1,0x6e4b00c8,0x005eacdb,0x40320ce4,0x2b36f725,
    0xcccdb85e,0x0dddfa83,0x3ab36f72,0x6e5f6c45,0x0ee42c0c,0x003125b1,
    0x83ddfdd1,0x25eefeec,0x05eefeec,0x2200c006,0x20013119,0xf9004400,
    0x95fec8bd,0x5fec8bdf,0x26205100,0xeeefd880,0x00c45eee,0xfb10c400,
    0x8bdddddd,0x00440018,0x40031004,0xefd88098,0x01207e22,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00c4aa00,0xccc80554,0x40b200cc,0x80aaaaa8,0x1c980542,
    0x383886a0,0xb80000cc,0x332e0aa0,0x800001cc,0x01773001,0x80322000,
    0x42aaaaaa,0x999902b8,0x00373019,0x20004400,0x55aa0058,0x001da807,
    0x42656c40,0x80aaaad9,0x5b30b32d,0x2f201b73,0xb32c80da,0xb1016400,
    0x70000975,0x80bdbb1d,0x2f6602f9,0xd73d4099,0x82d9d980,0x6aaaaae8,
    0x0016a6f2,0xf82dce6c,0x2f401f11,0x8001b300,0xeeeb8125,0x9999913e,
    0x20b81999,0x8801cc2a,0x98180bdb,0xa880ee03,0x05b000bd,0xccc80b20,
    0x50f6400c,0xb100b809,0x00c43001,0x10501712,0x5c77126b,0x264ccccc,
    0x060c1543,0x06400350,0x0009ac00,0x999d9837,0x98001c99,0x58000003,
    0x54000000,0x26200001,0x40e404bc,0x00360005,0x20000000,0x44b0392a,
    0x32099e99,0x00000580,0xdb910000,0x776440b3,0x80c81b9d,0x5eee4c1b,
    0x06a6e62a,0x001cdda8,0x7bb93077,0x6ef6d455,0x36a00002,0x05ac01cd,
    0xda82c064,0x202441cd,0x17ae0ed8,0x2f5c1db1,0xd01d0d80,0x2a1d4160,
    0x02ddc983,0x8557bb93,0x17ae0ed8,0xb036c47a,0x640eecc5,0x19504c20,
    0x7bd31f44,0x542d81b9,0x507d9105,0x011f4419,0xbb1d7019,0xb50b60bd,
    0x9015ce60,0xa85b0b01,0x0b722aa5,0x0c82c064,0x82cb0058,0x56640b05,
    0x885e40dc,0xd106545b,0x51603207,0x07707985,0x221903f1,0x00a60b04,
    0x2c81cc91,0x0581b710,0x90398053,0x0e62543d,0x58864164,0x73160320,
    0x96d5cb20,0x0580c84b,0x7500b019,0x40b0582c,0x0584eceb,0x02982c19,
    0x80c8b019,0x07601b07,0x22137332,0x992c0003,0x07b99999,0x400e2588,
    0x03ddeca8,0xccc8b039,0x583dcccc,0x580c806c,0x66666664,0x0c81f53d,
    0x0c82c064,0x160c8058,0x8950582c,0x9cc0aa3a,0x80c80038,0x1b0682c5,
    0x44320720,0x40003984,0x33333b0c,0x21900133,0x417b0039,0x8b01903a,
    0x9999999d,0x5ccce540,0x361efd83,0x2666765f,0x50910999,0x90580c85,
    0x58b00b01,0x06c160d0,0x5220372c,0x80c80039,0x41e61545,0x1903f03b,
    0x0002c304,0x40004b96,0x40dc02c5,0x8b019039,0x2ab6004b,0x40005aaa,
    0x370d004b,0x190580c8,0x643980b0,0x90582cc1,0xb8244b01,0x03200161,
    0x3641b116,0x0f641d88,0x0ae58064,0x2e16c52a,0x894c0f43,0x0ae1d40b,
    0x3a61552a,0xd0b01903,0x82445303,0xd025401b,0x11545303,0x07c8550b,
    0x6407c855,0x40762c40,0x42b89305,0x0ae2cc2c,0x3215412a,0xdaecd987,
    0xecde880e,0x80643eba,0x1e666dc5,0x20f73b66,0x0cdcbed8,0x40f73baa,
    0x643cccdb,0x85eacdbd,0xed88580c,0x0ae0cdcb,0x07950244,0x66e5f6c4,
    0x80e66e40,0x05eadccd,0x0bd5b99b,0x2ccda82c,0xdcdb8160,0xbdcdb883,
    0x3cccdb80,0x756e66c0,0x18800105,0x3bbbf620,0x01105eee,0x01310010,
    0x01100088,0x77ec00c4,0x4c417f61,0x645efc80,0x880005fe,0x88008009,
    0x00022000,0xfdd90180,0x40020bdd,0x40011001,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0c880191,0x00002e20,0x09800418,0x45300000,
    0xb8800038,0x90171202,0xa88000b8,0x00000001,0x00322000,0x11000000,
    0x280aa800,0x6cc00054,0xb3b302d9,0x01715505,0x2f7763aa,0x82ddeb80,
    0x80584d81,0x6ce5c01d,0x07c47e01,0x4c16e72e,0x3b302d9d,0x3772605b,
    0x00b732ab,0xeaaedda8,0x205b9aa3,0xb3b304fc,0x5eeee405,0x3b633aa4,
    0x333601de,0x2076a005,0x4a80b32d,0x22405c48,0xc80e1c0b,0x7b90ea0e,
    0x06e160b5,0x001d8816,0x0c180193,0x6c412a2c,0xa80ec401,0x0b0fa20c,
    0x3db116c0,0xb8022188,0x80b8903e,0x6f43542a,0x8aa07661,0x206e002a,
    0x2e00bdb8,0x38000004,0x580c80a2,0x2160ea04,0x02e01d01,0x2a000000,
    0x00000683,0x02c2982c,0x01f88398,0x90000000,0x303f0305,0x0244190b,
    0x44000370,0x0b772603,0x440e6ed4,0x406403bb,0x6ceee445,0xddddfd50,
    0x4dcbdb83,0x7076c400,0x3376a0bd,0x20641541,0x984bdddc,0x01c42ddc,
    0x17bdb1b0,0xa83900c8,0x0002dded,0x205bbdb5,0xd01bcdc8,0xc8864340,
    0x9deec880,0x2ddc981b,0x710bc800,0x02d42d8b,0x019032e6,0xdd98e64b,
    0x30e602c1,0x202f74c9,0x42d8580c,0x3d31625a,0x791aa154,0x03996e21,
    0x46a8b7a0,0x8083b01c,0x4041200c,0x2654400c,0x1190b03c,0x4c5b03db,
    0x885e41dd,0x3bbbae5b,0x9864165e,0xcc985903,0x45603201,0x40587d04,
    0x9016000c,0x90398b01,0x56d4e5c5,0x0b060b22,0x3e005832,0x21222a82,
    0x039801f9,0x41cc00d5,0x82f81b02,0x3220c82a,0x07e20ee2,0x2064320b,
    0x4e60552c,0xdccccccc,0x80543913,0x2039580c,0x01602c4b,0x580c80b0,
    0x66666664,0x5456543d,0x06f37221,0x2b8e6055,0x8b03c4a8,0x1ddb89cc,
    0x1eef6544,0x544033a2,0x7443ddec,0x8cdd8580,0xb01905c8,0x2a1d806c,
    0x59067302,0x3b4880dc,0x01333333,0xdf90aa72,0x1cc09581,0x40055016,
    0x22c06405,0x9999999d,0xa8806400,0x24406e4c,0x20f3336e,0x36e21606,
    0x05ec1b8b,0x6c00d875,0x9b10ea0b,0x2b03bb79,0x03201cdb,0x1c806c6e,
    0x5c24406e,0x71b82443,0x0e0a8009,0x2e033580,0x336202c2,0x80b03c99,
    0x025c580c,0xd8145980,0x406e0910,0x2607e00c,0x0dc37003,0x370161cc,
    0x40480730,0x20864005,0x87e0770c,0x4a837048,0x74598590,0x21a82981,
    0x06c71004,0x0206e166,0x02c017d3,0x3d0f90aa,0x83660530,0x164580e8,
    0x203a8166,0x003620de,0xe98550dc,0x54e20dc3,0x2a01f4c2,0x19001603,
    0x90762596,0x2cc2c83d,0x6dc41166,0x76c40bdc,0x7700cdcb,0x6d4c4037,
    0x376f2e20,0xdcbcd880,0x80580581,0x45eadccd,0x0cdcbed8,0xb109b993,
    0x883bb799,0x700bdcdb,0xd3bd5079,0x31003999,0x6dee4159,0x33625eac,
    0x2f723da9,0x9705eacd,0x033b3107,0xb974fd88,0xaecde885,0x336e23eb,
    0x321620bd,0x09880180,0x35300100,0x18800980,0x77744240,0x1101eeef,
    0x44026200,0x0c006000,0x00440000,0x88355550,0x01573001,0x26000031,
    0x10002aaa,0x06001880,0x7f777774,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x0110001c,0x00191000,0x23980a85,0x4cf6e048,0x40d41701,0x2a202aa8,
    0x4aaa202a,0x99997008,0x0a96e401,0x01999970,0x22403000,0x04d4400b,
    0x6d460003,0x2a60003d,0x76c07601,0xb307bb53,0x6e4c07b3,0x6dc41b0b,
    0x981ed8de,0x96c02d9d,0x3676e059,0x336a5101,0x0995b100,0xa881aaa2,
    0x5aaa206a,0x3333305c,0x04da8cc0,0x2a066666,0x2202dded,0x5b3b303f,
    0x24cacd80,0x674c004d,0x36a0b711,0x427dc1cd,0x664401d8,0x1b8320a3,
    0x5db50da8,0x81b661d8,0xb71005c4,0x00c98017,0x002c8000,0xac01600b,
    0x00000039,0x01901000,0x03b10054,0x006a01b8,0x85501d30,0x7f52d42d,
    0x5f100370,0x21620000,0x2a0ea0ea,0x00000006,0x6ef6d400,0x02c00002,
    0x10ab0058,0x22f5c1db,0x17ae0ed8,0x800e6ed4,0x80000039,0x08001405,
    0x59039920,0x88000be6,0x7bbb9004,0x4ecc3c89,0x26340363,0x9774c2ee,
    0x17ae0ed8,0x40b77b6a,0x3ed80c80,0x02c07bb5,0x02c01358,0x06416032,
    0x16a16c2c,0x87bbd951,0x25eeeeeb,0x45eeeeeb,0x8eb807eb,0x90005edd,
    0x33333321,0x6c3f13dc,0x107bb53e,0x6a855009,0x961b1074,0x1b86880c,
    0xb0190910,0x20019010,0x47991039,0xb00dd602,0x202c0199,0x0190580c,
    0x4590398b,0x190ea0bd,0x590322c8,0x0f640160,0xcccda895,0x3b1dcccc,
    0x41333333,0x51e6440e,0x05900910,0x190ec583,0x261ae126,0x64154363,
    0x07300580,0x07bbd951,0xf5800be2,0x2007ee09,0x82c06405,0x6664580c,
    0x373dcccc,0x16418730,0x02c05906,0x1d4581c8,0x0025c720,0x91005f10,
    0x379b9100,0x83a1dcb0,0x05cc88cc,0x4064f6ab,0xca88580c,0x0bd83dde,
    0x002440ea,0x05ae8056,0x580c80b0,0x9d8b0190,0x50999999,0x2e03e985,
    0x1601dc03,0x222c0640,0x03d07c06,0x40488053,0x2eeefee9,0x2e265440,
    0x443c4499,0x6560b2dc,0x20320b58,0x0ea0bd85,0x22073037,0x5802c004,
    0x80c80b00,0xb8b01905,0x9b7b9004,0x80950bd5,0x9005804a,0x203d0b01,
    0x65f6c45a,0x122020cd,0x36050000,0x0ee17220,0x958c82c0,0x160320b1,
    0x2a873037,0x04881f4c,0x005802c0,0x3e42a80b,0x743e42a8,0x20c42981,
    0x3022cc0b,0x200b008b,0x0d88580c,0x0c9806d4,0x02444fb8,0x3a201b10,
    0x4c3f8580,0x2a093005,0x2a07b32d,0x30aa3e42,0x9b7b907d,0x00910bd5,
    0x200b0058,0xadccd805,0x5b99b05e,0xcbed88bd,0x29b800cd,0x162190b1,
    0x64016032,0x79b10580,0x04d401bd,0x01222fe4,0xd8806644,0x641ddbcc,
    0x00ddcdaa,0x201b7331,0xd80be0f8,0x645eadcc,0x85eacdbd,0x7f74c018,
    0x77442eee,0xd11eeefe,0x23dddfdd,0xeeefeee8,0x44001101,0x00131000,
    0x3bbba130,0xdddd0fee,0x7f641fdd,0x3dfb00ee,0x13102fec,0x30c0ee00,
    0x05dddfdd,0x3880c000,0x2aaa0044,0x11000002,0x00003100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x99990ccc,0x873b2609,0x40d41903,0x203cccc8,0x00ddc02b,0x51000d44,
    0x80b20003,0x00c12239,0x20ccccb8,0x039b714b,0x76c42887,0x6dc17ae0,
    0x002a8333,0x22004000,0x00e54402,0x40059995,0x21ca881a,0xda80bb98,
    0x4c127910,0x26603c9d,0x81e40199,0xaa803709,0x00eaa003,0x40995b10,
    0x0b01d9db,0x10666660,0x07625b5b,0x203b1195,0x5288580c,0x006a819b,
    0x2c02e8f6,0x2606dda8,0x6445c9bd,0x2a006cc1,0x2a07305c,0x1d905882,
    0x00001c80,0x032201b8,0x71000e20,0x0aa0b800,0x01600c98,0x440ec800,
    0x201cca85,0x1000580c,0x401999d9,0x41600609,0x206c0b09,0x0666322a,
    0x3058d809,0x0f20aa07,0x540002cc,0x0002dded,0x24c06dc4,0x221d4071,
    0x00012603,0xeeefea80,0x2ddc981e,0x000b00c8,0xc982c064,0x000b02dd,
    0x05805800,0x551bac06,0x5c0e2353,0x540e60b2,0x21a00e82,0x05edd8eb,
    0xdd301901,0x6447100b,0x3620e20c,0x1b703883,0x2605ee98,0x402c05ee,
    0xc8b710bc,0x5ee98b00,0x642c0640,0x1b0b710b,0xd3017bb9,0x201600bd,
    0x24ac4005,0x58848e09,0x2a81cc16,0x64064058,0x4c012a1e,0x70a82c03,
    0x0e2076a3,0x30e201b7,0x200b005b,0x82c02c05,0x02c0320c,0x8580c80b,
    0x0ed81905,0x2a0b00ea,0x3ccceccc,0x486c0058,0x8482eee6,0x81cc161c,
    0x82c0682a,0xca88581c,0x82c03dde,0x14d88ba8,0x26aaaa3d,0x2a2bbabd,
    0x88cc8aaa,0x2c01602e,0x0deefeb8,0x32398154,0x202c0b00,0x0aa3642c,
    0x160361cc,0x201600b0,0x24876005,0x26243889,0x133982c4,0x880ec154,
    0xb0b01906,0x1601d417,0x1ac876a0,0x05c50db8,0x05590ed4,0x2c05802c,
    0x924406e0,0x40581601,0x5eadccec,0x1624406e,0x2c01602c,0x0ec402c0,
    0x24710992,0x4e60b036,0x12a06e1b,0x580c81dc,0x201cc0dc,0x350f6205,
    0x8816c435,0x55544d84,0x02c01602,0x2e091016,0xb02c0321,0x20088c80,
    0x05837048,0x0b00580b,0x81d880b0,0x2aa19938,0x7777741b,0x4573984f,
    0x0b30b605,0x0aa2c064,0x205807d3,0x15cec408,0x0c122011,0x580ae762,
    0x81b80b00,0xc8b30b20,0x01604880,0x30b20019,0xb0160b0b,0x81601600,
    0x40ea01d8,0xd90b003b,0x05b9b1bd,0x00ccbdc8,0x37216032,0x205eacdb,
    0x65544005,0x20049803,0x1604caa8,0x336202c0,0x36e21dcb,0x3bee0bdc,
    0x200dbd88,0x88006405,0x580bdcdb,0x100580b0,0x03620b00,0x9959930a,
    0x1002c003,0x6c00c400,0x217f61ef,0x77744018,0x3001eeef,0xcce9809b,
    0x49b1000d,0xeeefeee8,0xddfddd11,0x2006203d,0x22022001,0x1eeefeee,
    0x2018000c,0x97f60efc,0xeeefeee8,0xdddddd71,0x3bfbb29d,0x3bbbae5e,
    0x000606ee,0x00009fd9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ae20000,0x17b7302d,0x0b332a0a,
    0x0a39b710,0x1e666654,0x2a073b22,0x0fba61ee,0x50517b71,0x31ccc880,
    0x2aaa1999,0x01aaaaaa,0x055026a2,0x40155440,0x000aa058,0x799017b7,
    0x3320ccb8,0x332265c3,0x20332e4c,0xc88333db,0x200bcccc,0x3d00cccc,
    0x4c7662d4,0x307224db,0x223b301b,0x533105ea,0x88ed4139,0x4981c83c,
    0x87c98ecc,0x209d9805,0x060062c9,0x2a26566c,0x1aaa2006,0x35441e20,
    0x216a5900,0x20f441e9,0x20f441e9,0x07a609d9,0x4066d4a2,0x3da999d9,
    0x20979310,0x20b11b83,0x08a8924b,0x4980e889,0x83443980,0x06c2c41c,
    0x0161a032,0x030dc122,0xb0037030,0x0c016000,0x00580160,0x9302b893,
    0x4c1902c8,0x0900000d,0x8016b016,0xb8c03739,0x1c526351,0x39800057,
    0xc85981e4,0x04121220,0x5ddddfd5,0x0c370488,0x5802c0c0,0x0000b000,
    0x20058016,0x2b80b11c,0xd9864095,0xdbb1d700,0x00c8240b,0x2200ae73,
    0x39200b0d,0x0002c904,0x6803a1cc,0x26032488,0x8805800c,0x400c3704,
    0x3bbbfb21,0x9dbb1b05,0x774c0b00,0x7dd52c05,0xdac400b0,0x405ad800,
    0xec804a8c,0x542412a1,0x02c43205,0x900587b2,0x002c9014,0x901a1cc0,
    0x40911903,0x0b02cdb8,0x186e0910,0xb0058180,0x1602541d,0x5a9602c0,
    0x01cdecb8,0x0273ae62,0xcc803f10,0x40e402ed,0xff999905,0x40362c01,
    0x49005849,0x64459203,0x30131ccc,0x406c0587,0x51000cc8,0x09100b0b,
    0x8180186e,0x0b01b005,0x580b0058,0x802a8079,0x01aaeaa9,0x4f202de4,
    0x203201d8,0x05910905,0x07733395,0x200b6062,0x491442a4,0x82b9602c,
    0x0d102c39,0x0dc002e4,0x5c162016,0x16060061,0x2c0582c0,0x2eec0580,
    0x4c401540,0x2a0099e9,0x20640773,0x41603205,0x2ab61604,0x4c005aaa,
    0x751c4606,0x05a86e17,0x41a82b96,0x6409503a,0x06e07301,0x1203a00b,
    0x00b03003,0x01602c16,0x0ee7602c,0x55300190,0x1620355d,0x75032039,
    0x24160320,0x370488b0,0x19901770,0x5c0ea4b8,0x25882d83,0xbd82444a,
    0x05881620,0x70b103ea,0x543b8103,0x2c0c00c3,0x580b0580,0x2e580b00,
    0x0910b103,0x6c06c02c,0x90580c80,0x54120b01,0x448815c4,0x9f701ff8,
    0x599305d9,0x66e40399,0x674c2dcb,0x33f201cc,0x64cc40cc,0x9bb7300a,
    0x79b103bb,0x97d705b9,0xb0300307,0x202c1600,0x4580b005,0x7777cc3c,
    0xfec80dee,0x45ee885e,0xdfb11eed,0x3f62eb8b,0xd897f61e,0x43deeeef,
    0x7f645efc,0x04c00445,0x4cc00180,0x30004400,0x0d5554c0,0x98800c40,
    0x26a01800,0x29999999,0x13bbbfb6,0x7ec47bf6,0xdfddd10e,0x3bba23dd,
    0xfd11eeef,0x0002efc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999910,0x3332e199,0x332e011c,0x2e2ccccc,0x64c0cccc,0x1ccccccc,
    0x0b333322,0x8bd5076c,0xccccccca,0x33333223,0x30b32602,0x80379999,
    0x2cccccca,0x2a0ccf6e,0x966644cc,0x204cccc8,0x8665c3cc,0x501ccccb,
    0x70f2a079,0x2e039999,0x9701cccc,0x64c99999,0x20e66444,0x99d982da,
    0x9311c999,0x101f3135,0x95337795,0x204cccc4,0x99999d98,0x4ccecc2c,
    0x580c80db,0x4cf4ccec,0x4ccecc59,0x4c6c40db,0x4ccddc41,0xc9be884c,
    0x2514a99b,0x4f440dda,0xd306cc41,0x0f440133,0xac9887a2,0x03bb1009,
    0xac9881db,0x26b26201,0x33d33100,0x2627cc41,0x906fd82c,0x41b83701,
    0x88ae6e04,0x2e0b0004,0xc8588582,0xb162c580,0x2b8b10b0,0x21d41540,
    0x0488ae0e,0x2160c580,0x2600aaad,0x01b815c4,0x2d5449c8,0x06e00370,
    0x06ec0580,0x4072206e,0x2e04c20c,0x57580621,0x0bdd3144,0x58098258,
    0x580c8570,0x0b0b162c,0x540498ae,0x2e15cb02,0x5ee98e22,0xb174c320,
    0x1bb555b0,0x702c4720,0x41b19003,0x008dc0b5,0x80b000dc,0x000dc58d,
    0x2e048864,0x455d6001,0xb9602c03,0x44882c01,0x1604580c,0xd1220b01,
    0x1b815401,0x038ab81b,0x2ae3702c,0x730b0914,0x2e00dac0,0x3398c801,
    0x3dab8167,0x00fa8dc0,0xb8aeb016,0xdccc8001,0x54006e04,0x5809bb73,
    0x80f66740,0x2c3ccecc,0x32a16032,0x6644ccec,0xd8ac3cce,0x1541915b,
    0xbb70b2a8,0x4aa05809,0x4160e6b5,0x700fa605,0x6d619003,0x006ec0b0,
    0x2c0498dc,0x206e5960,0x221901ed,0x20206e04,0x028ab9ac,0x01b9602c,
    0x1544882c,0x3a6621f2,0x220b0099,0x0aaae554,0x42c6e055,0x02c028ab,
    0x2a32b173,0x580d0582,0x64081b80,0x542c9750,0x1b8081dd,0x2580b008,
    0x5f98373a,0x70608320,0x955b0b03,0x4b016005,0x05505800,0x09d5b99b,
    0x2a82c02c,0x1542ec19,0x05707258,0x2ac88160,0x98b03773,0x5c02c02d,
    0x3b064581,0x40dce22c,0xb0581b85,0x0dc6c580,0x00c803f2,0x44581b8b,
    0x160b0ae4,0xb05800b0,0x40482201,0x21b05805,0x0aa17239,0x15c58966,
    0x33202c16,0x3ba03360,0x05801cee,0x064581b8,0x2c0dc0b0,0x0582c0dc,
    0xd06f622c,0x8b00c807,0x7154581b,0x580b0585,0x07222c00,0x0b019c40,
    0x641c88b0,0x2a0dcbdc,0x36e06cc2,0x0b058572,0x582ec5d8,0x3700b000,
    0x1600c8b0,0x1b8581b8,0x8580b058,0x881621dc,0xeeeeeefd,0xdddddd95,
    0xecb7e4fd,0xdd17eeee,0x2a3dddfd,0x2204eefe,0x01ddeefe,0xdb106540,
    0xfe881ddf,0x1101ddee,0x37bbbaa0,0xdddb300c,0x3ba2fddd,0x741eeefe,
    0x3fa63dc4,0x774405ee,0x77641eef,0x2e7eeeee,0x2ff5c5ef,0x3bbbbbb2,
    0x3bbbb27e,0x3bb27eee,0x3f625eef,0x0007e22e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x665c3ccb,0x59999913,0x333332a0,0x3332e3cc,0x333223cc,0x399301cc,
    0x9950b322,0x000f3225,0x00000000,0x00001400,0x00000000,0x8002da5c,
    0x00200004,0x88000000,0x06cc40ad,0x5b5333b3,0x99e999d8,0x26667659,
    0x4ccf4c5a,0x4c1d80db,0x304ec40e,0x7bbb901d,0x05bb9309,0x205bbdb5,
    0xdea8edda,0xbbddc981,0x32ddc984,0xabddc987,0x40e6ed42,0x3bb52ed9,
    0x6dc2da80,0xed816001,0xd9237aa0,0x70d89b98,0xbb73d95d,0xedd8eb83,
    0x2a81cc05,0x22c580c8,0x01b0b2c5,0x9d88910b,0xc80e9999,0x542a8580,
    0x5b885e46,0x10406404,0x82f22cbd,0x710bc87c,0x106541bb,0x16a16c7d,
    0x0596b21b,0x6e4407b3,0x06405800,0x39f10ef4,0x3e5c83f7,0x43d90914,
    0x0582c04a,0x22c19019,0x02b892c5,0x57b5160b,0x1905d555,0x830590b0,
    0x39801905,0x446a2e80,0x1615e544,0x94c16264,0x8aa59039,0xc886a2f9,
    0x19b1000c,0x203202c0,0x215c4985,0x390b160c,0x441b80b0,0x45981904,
    0x2cc022c0,0x190b10b0,0x160320b0,0x506f3722,0xca88e605,0xec983dde,
    0x74baabfd,0x2a58ad43,0x01c4b302,0x66666664,0xccf8193d,0x003d74cc,
    0x6654ba60,0x643cccec,0x442b8580,0x858b0644,0x2c40580c,0x655e406e,
    0xb005804d,0x54ccec01,0xccccc81e,0x9999906c,0x4ca880d9,0x7b24406e,
    0x872e1d41,0x1909999e,0x80dcb16a,0x3600e648,0x09999999,0x13333d09,
    0x30007722,0x3202c07b,0x5c498580,0x858b0642,0x0d80580c,0xea99c816,
    0x1c805801,0x05e66740,0x190580c8,0x436050b0,0x06e37048,0x05d0b0e6,
    0x45516ae6,0x05837048,0x22a804b8,0x66c401f9,0x0066c400,0x0b019016,
    0x83f939f1,0x190b160c,0x2a7500b0,0x0d883203,0x512a02c0,0x03200581,
    0x22c06416,0x164580e8,0x74c2a966,0x4bf50dc3,0x0b317629,0x2b859859,
    0x2607a4a8,0x224bc922,0x9107b302,0x5016001b,0x98d87c85,0x8320d89b,
    0x2c0642c5,0x6401b580,0x81602c40,0x02c1b858,0x320b0190,0x666c4580,
    0x6dc41ddb,0x5ee40bdc,0x66c5eacd,0x0dddbdcc,0x17b9b9b3,0x17b9b710,
    0x0f3336e0,0x19b97db1,0xcdba6ed4,0xa96d400d,0x402c001d,0x44eadccd,
    0xb0efb800,0x3dfb2f4b,0x55c02fec,0x1d406405,0x5c06c0b0,0x019002c1,
    0x0160320b,0x31006003,0x81102200,0x003000c4,0x02620044,0x40008810,
    0x00600051,0x00000044,0xf1000000,0x17bf6205,0xefee8976,0x77777c1e,
    0xddfd31ee,0x88f7e40b,0x977ec5fd,0x0000efe9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x41db1000,
    0x981c05eb,0x1774c2ee,0x064911cc,0x2f74c055,0x3623dd70,0x47bba64e,
    0x8082eed8,0x25eeeeeb,0x1bd95eea,0x115d414c,0x80dcc301,0x99999701,
    0x05447999,0x98873722,0x1dd81310,0x0102f6e2,0x01111111,0x7f5000ee,
    0xb53ed800,0x0b01907b,0x203700d8,0xd10e9848,0x05d0f445,0x5c4b80b0,
    0x40360b04,0x21640c85,0xa985b148,0xb3298c45,0x551a8ec1,0x11102e98,
    0x26b11111,0x4b042ece,0x4c9f95fb,0x4588ec6f,0x6eeeeec3,0x2a760ddd,
    0x92c4390d,0x0f88fcdf,0x20a3cc88,0x2000580c,0x21543639,0x307d11f9,
    0xb00fa23f,0x80ee9500,0x0b02442b,0x8c882c83,0x5441201d,0x40b63662,
    0x00ed6239,0x4d11dac0,0x3ea6ddc8,0x17dc7f74,0x0ea1b871,0xbb104400,
    0x15106cc5,0x17c4060c,0x002c0640,0x0c9ed560,0x0274cbea,0x813e25f5,
    0x807d5005,0x3760e458,0x3b84dbeb,0x4807fd10,0x2f981b70,0xb10d8730,
    0x23b58001,0x26583268,0x2f45f53f,0x1e5c3224,0x55555553,0x00190005,
    0xc8024400,0x66654580,0xcac3cccc,0x51fb8b58,0x89fcc05f,0x6401605e,
    0xb11c804c,0x540fee20,0x13236204,0x2f624048,0x0721d40d,0xd35800b3,
    0x6dd645d9,0x3e63f12e,0x59703f11,0xbbba8079,0x0003bbbb,0xdddddd30,
    0x8024405d,0x4000580c,0x70b1958c,0x220be61f,0x0b013a2f,0x1016a590,
    0x59d80ae9,0x92204598,0x2a0d883b,0xd996c751,0x02311570,0xa8860004,
    0x6c331980,0x54038960,0x00000000,0x2aaaaa20,0x012200aa,0x001f2154,
    0x0f665b50,0x21e98754,0x201362e8,0x16616405,0x9640b1b0,0x8321623a,
    0x55307448,0x550dd435,0x35555398,0x00000000,0x00000000,0x00000000,
    0x36004880,0x205eadcc,0x5f07c402,0x64b124c0,0x77440ee1,0x3a1eeefe,
    0x1dfb11ef,0x4080fa60,0x3bbbbba0,0x54bfd50f,0x0000002e,0x66666644,
    0xbb13cccc,0xbbbbbbbb,0x0000001b,0x00000000,0x774c0000,0x4402eeef,
    0x001d1000,0x00000000,0x00000000,0x00000000,0x44400000,0x08888888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_21_latin_ext_x[560]={ 0,4,2,1,2,1,2,4,5,2,0,1,2,1,
4,2,2,2,1,1,1,1,2,1,2,2,4,2,0,0,0,0,1,0,0,1,1,0,1,1,0,2,1,0,
1,0,0,0,1,0,0,1,1,0,0,0,0,0,1,0,0,0,2,0,4,1,0,1,1,1,1,1,0,1,
1,1,1,0,0,1,0,1,1,1,1,0,0,0,0,1,2,0,5,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,1,1,0,
5,1,2,0,0,0,0,1,0,-1,3,1,3,3,4,0,1,4,4,3,2,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,0,0,0,0,0,0,1,0,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,2,1,2,1,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_21_latin_ext_y[560]={ 15,3,3,2,2,3,5,3,3,3,3,5,12,9,
12,2,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,3,19,2,6,3,6,3,6,3,6,3,3,
3,3,3,6,6,6,6,6,6,6,4,7,7,7,7,7,7,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,15,7,2,4,5,4,
3,3,3,4,3,7,9,9,4,2,1,3,3,3,2,7,3,8,14,3,3,7,3,3,3,6,0,0,0,1,
1,0,4,4,0,0,0,1,0,0,0,1,4,1,0,0,0,1,1,6,3,0,0,0,1,0,4,3,2,2,
3,4,3,2,6,6,2,2,3,3,3,2,3,3,3,4,2,2,3,4,3,5,6,2,2,3,3,2,3,3,
2,4,0,3,4,6,0,2,0,3,1,3,0,3,0,3,4,3,2,4,0,3,1,3,4,6,0,3,0,3,
0,3,1,3,4,2,0,0,4,3,1,4,2,4,0,3,4,3,1,7,4,3,0,3,4,3,7,0,0,4,
3,4,3,4,3,4,3,0,2,4,6,0,3,3,4,6,2,4,0,3,0,2,4,6,0,2,4,6,0,3,
0,2,0,3,4,6,0,3,4,4,0,3,4,4,1,4,2,4,0,3,0,2,0,2,4,7,0,3,0,3,
1,0,2,1,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,4,6,3,3,3,3,3,3,3,3,3,3,3,3,3,2,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,0,3,0,
3,0,3,0,1,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,0,2,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_21_latin_ext_w[560]={ 0,3,7,9,8,9,8,3,4,4,7,9,5,9,
3,8,8,8,8,9,8,9,8,8,8,8,3,5,9,11,9,7,8,11,11,9,10,10,10,10,11,8,10,11,
10,12,11,10,10,11,11,9,9,11,11,11,11,11,9,4,7,4,8,12,4,10,11,9,10,9,10,10,11,9,
7,10,9,11,11,9,11,10,10,9,9,11,11,11,11,10,8,4,1,4,9,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,7,9,9,11,
1,9,7,12,6,10,10,9,12,13,6,9,5,5,4,11,9,3,3,5,7,10,12,12,11,7,11,11,11,11,
11,11,11,9,10,10,10,10,8,8,8,8,11,11,10,10,10,10,10,7,11,11,11,11,11,11,10,10,10,10,
10,10,10,10,11,9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,10,11,11,11,11,10,11,10,
11,10,11,10,12,10,9,9,9,9,9,9,9,9,10,11,11,10,10,9,10,9,10,9,11,9,10,9,10,10,
10,10,10,10,10,10,11,11,11,11,8,9,8,9,8,9,8,9,8,9,12,10,10,8,11,10,9,10,9,10,
9,10,9,10,9,11,9,11,11,11,11,11,11,11,10,9,10,9,10,9,10,9,11,11,11,10,11,10,11,10,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,10,
11,9,8,9,8,9,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,11,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,8,9,10,
9,11,11,11,11,11,11,11,11,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,10,11,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_21_latin_ext_h[560]={ 0,13,6,15,15,13,11,7,15,15,8,10,6,2,
4,15,13,12,12,13,12,13,13,13,13,13,9,10,10,5,10,12,14,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,15,15,15,6,2,4,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,12,9,8,9,8,12,8,15,15,15,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,12,13,11,9,11,
15,14,3,12,6,8,6,2,12,1,6,12,7,7,4,12,14,3,5,7,6,8,12,12,12,13,15,15,15,14,
14,15,11,15,15,15,15,14,15,15,15,14,11,14,16,16,16,15,15,7,13,16,16,16,15,15,11,13,14,14,
13,12,13,14,10,13,14,14,13,13,12,13,12,12,13,11,14,14,13,12,13,9,10,14,14,13,13,17,16,16,
13,12,15,13,14,12,16,14,16,13,15,13,16,13,15,13,11,13,13,12,15,13,14,13,14,12,15,13,16,16,
16,16,15,16,15,17,15,15,11,12,14,11,13,11,15,12,14,15,14,8,12,16,16,16,15,16,8,15,15,15,
16,11,12,11,12,11,12,15,13,15,13,15,12,12,12,13,14,12,16,13,16,14,11,10,15,13,15,13,15,12,
16,14,16,13,15,13,16,13,15,15,15,13,11,12,15,12,14,12,16,13,16,14,16,14,14,11,15,13,15,16,
14,15,13,14,12,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,10,12,12,12,12,12,12,12,12,12,12,12,12,12,14,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,13,15,12,16,
13,16,13,16,15,16,16,16,16,16,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,17,15,14,16,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_21_latin_ext_s[560]={ 255,252,189,204,13,21,102,251,250,247,102,
197,197,242,251,191,206,213,222,77,244,57,164,197,224,101,251,247,177,215,187,
1,209,243,231,9,111,1,45,32,68,226,43,207,179,190,235,54,45,72,13,
76,25,96,1,144,195,167,35,97,89,75,155,155,251,100,140,145,226,155,119,
45,130,152,185,162,142,229,241,90,203,152,1,80,86,12,90,34,78,65,110,
70,248,114,227,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,255,251,61,
173,219,183,254,208,246,19,182,46,164,242,231,168,175,203,149,135,237,159,62,
242,211,129,203,57,85,72,60,174,37,214,180,96,108,192,23,138,169,65,86,
177,44,238,80,33,90,239,189,178,167,127,200,141,33,79,36,24,13,58,156,
215,188,153,182,91,163,218,111,130,229,132,11,91,50,69,98,193,41,219,52,
42,1,171,233,24,123,84,1,185,173,35,232,210,130,39,155,97,164,177,135,
199,216,47,211,243,244,87,232,13,56,25,36,167,22,67,142,154,120,241,221,
120,145,112,48,13,88,58,148,13,33,57,56,181,24,134,215,35,79,149,133,
69,187,68,1,221,101,141,45,162,119,11,1,243,91,12,133,215,113,203,123,
167,108,143,142,119,27,217,138,31,240,128,226,237,237,230,122,165,25,1,1,
12,226,102,59,111,69,23,159,193,200,110,117,107,97,51,80,118,179,155,152,
143,204,68,1,121,123,99,196,68,1,56,53,156,12,76,247,142,188,22,197,
206,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,229,108,108,164,
108,108,108,108,108,108,108,108,108,108,108,108,108,14,134,108,108,108,108,108,
108,108,108,108,108,108,108,108,174,207,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,32,80,
49,108,193,120,173,79,150,131,129,117,105,93,81,69,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,1,24,102,218,46,1,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108, };
static unsigned short stb__courier_21_latin_ext_t[560]={ 1,36,193,36,36,115,169,129,1,36,193,
181,193,197,137,52,100,143,143,100,143,100,100,100,100,115,85,169,181,193,181,
156,85,156,156,156,169,169,169,156,181,169,156,156,169,169,169,156,181,85,181,
156,181,156,181,169,156,169,181,52,52,52,193,200,95,181,115,181,115,181,156,
129,156,156,1,156,156,181,181,181,115,115,193,181,156,193,193,193,193,156,193,
52,1,52,193,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,1,69,115,
156,181,156,19,69,193,156,193,193,193,197,143,200,193,143,193,193,193,143,85,
193,193,193,193,193,143,143,143,115,52,36,36,85,85,36,169,36,36,36,36,
85,36,36,52,85,169,85,19,19,19,36,52,193,129,19,19,19,52,52,169,
115,85,85,115,129,115,85,181,115,85,85,115,115,143,115,143,143,115,156,85,
85,115,143,100,193,181,85,100,100,100,1,19,19,100,143,52,100,85,129,19,
85,1,100,52,100,19,100,52,100,169,100,100,129,69,100,85,100,85,129,52,
100,19,19,19,19,69,1,36,1,69,69,181,143,85,169,100,169,69,143,69,
69,69,193,143,19,19,1,69,1,193,69,69,52,19,169,129,169,129,169,129,
52,100,52,100,52,143,129,143,115,69,143,1,115,1,69,169,181,52,129,53,
129,36,129,19,69,19,129,36,115,19,115,36,36,36,115,169,143,52,129,69,
129,1,129,20,69,19,69,69,169,37,129,36,19,85,36,115,69,129,36,129,
129,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,129,156,156,69,
156,156,156,156,156,156,156,156,156,156,156,156,156,143,181,156,156,156,156,156,
156,156,156,156,156,156,156,156,69,181,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,36,129,
52,143,1,115,1,115,1,52,1,1,1,1,1,1,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,1,1,52,69,1,85,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156, };
static unsigned short stb__courier_21_latin_ext_a[560]={ 178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_21_latin_ext(stb_fontchar font[STB_FONT_courier_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_21_latin_ext_s[i] + stb__courier_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_21_latin_ext_t[i] + stb__courier_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_21_latin_ext_x[i];
            font[i].y0 = stb__courier_21_latin_ext_y[i];
            font[i].x1 = stb__courier_21_latin_ext_x[i] + stb__courier_21_latin_ext_w[i];
            font[i].y1 = stb__courier_21_latin_ext_y[i] + stb__courier_21_latin_ext_h[i];
            font[i].advance_int = (stb__courier_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_21_latin_ext_s[i] + stb__courier_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_21_latin_ext_t[i] + stb__courier_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_21_latin_ext_x[i] + stb__courier_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_21_latin_ext_y[i] + stb__courier_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_21_latin_ext_LINE_SPACING
#endif

