// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT        238
#define STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_23_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_23_latin_ext_LINE_SPACING          11

static unsigned int stb__courier_23_latin_ext_pixels[]={
    0x00000080,0x00600390,0x06e00040,0x1b800620,0x10060600,0x26000dc9,
    0x20122002,0xcccb8003,0x0024404c,0x004c0505,0xcca82828,0x43cccccc,
    0x01504418,0xc88016e0,0x07b1002c,0x26000aa0,0x0099000e,0x1d8801fa,
    0x0ba29b00,0x000b7660,0x362001d5,0x000da800,0x00da8000,0x03d88ea8,
    0x46d400ae,0x99ac83d8,0x445999cb,0x3541d53d,0x8e002640,0x4005d004,
    0x0754001e,0x2a003d80,0x250f8803,0x0775c02e,0x4c8456e0,0xf8805b80,
    0x9805d098,0x445d000e,0x0069800f,0x2b805dd3,0x407ba600,0x0588ea1c,
    0x80aa0bd9,0xab980039,0x40053003,0x0122003c,0x00011010,0x30801030,
    0x11011002,0x30011840,0x11108010,0x40030300,0x93004000,0x039999bb,
    0x54390044,0x20181623,0x00f2a03a,0x55400620,0x00000039,0x223bb700,
    0x8e75c40e,0x8f3320cc,0x7c40ccca,0x666413a1,0x103332a3,0xcc82743f,
    0x03332a3c,0xc82743f1,0x3332a3cc,0x00addb80,0x66547999,0x3379310c,
    0x376e0133,0x0ea0a80a,0x9ceda885,0x9c40ea18,0x1e66401a,0x47019995,
    0x8e75c404,0x879930cc,0x57442cca,0x5c2eec88,0x1dbea8ad,0xb3104f4c,
    0x20130a03,0x366209e9,0x30098501,0x0ecc413d,0xe9804c28,0x10766209,
    0x01d5115d,0x6cc413d3,0xe8802b81,0x400ea88a,0x22b6203a,0x0ea4dda8,
    0xe9801748,0x40766209,0x36e01cc8,0x21dbea8a,0x6d440bc8,0x07dc0f40,
    0x0682f416,0x34000036,0x200001b0,0x00003606,0x1e81b034,0x20680d88,
    0xe802b80d,0x2a00d881,0x26c07603,0x00dcc093,0x00036068,0x2217a0b0,
    0x85a83905,0x40ea4bd9,0x06c0d05b,0x07990732,0x6640d81a,0x0681e641,
    0xc8399036,0x06c0d03c,0x341e40b5,0x805701b0,0xa80f205a,0x14c09303,
    0x799970fa,0x40d81a00,0x80adeca8,0x320b703a,0x21ec2c41,0x032788e8,
    0x360682cc,0x26615cc0,0x206c0d05,0x82ccc2b9,0x57303606,0x40d05998,
    0x5980b60d,0x2e036068,0xb3016c02,0x01b81d40,0x266226c0,0x206801de,
    0xa88dcc0d,0x0b300c85,0x1d039162,0x1d43a1e8,0x6c0d05b8,0x20b02a80,
    0x0aa03606,0x0360682c,0x0682c0aa,0x3400e836,0x5701b034,0x03400e80,
    0x80036075,0x126ea049,0x000d81a0,0xb703a839,0xd0588e40,0x0b06c2c8,
    0x1b03417a,0x34160550,0x205501b0,0x406c0d05,0x81a0b02a,0x03601a0d,
    0x2c406c0d,0x0d8068c4,0x00360750,0x343603a8,0x401b0340,0x0582b899,
    0x1cac40bd,0x1a12a390,0xb5d717d5,0xa80d81a0,0xd81a0b02,0x20b02a80,
    0x0aa03606,0x8360682c,0x03434405,0x333ae01b,0x6880b1de,0x0eeeeed8,
    0x03a80072,0x1a0164b1,0x676cc0d8,0xbea82ecc,0x6405aeb8,0x166e605a,
    0x4ded4162,0x1601d058,0x1d058154,0x58154160,0x541601d0,0x403a0b02,
    0x09500e45,0x2601601d,0x12a01c81,0x5001dc00,0x0588ae07,0x0d858074,
    0x2f6a02b8,0x0fc40589,0x07203b60,0x83c82c40,0xb1055048,0x41220f20,
    0x7905882a,0x20aa0910,0x91079058,0x20760688,0x6404883c,0x0ec0d104,
    0x00740990,0xd8681d45,0x1220f200,0x800b2055,0x402c4058,0x0025c1de,
    0xb07a2075,0xbd316203,0x03b07a20,0x20bd3162,0x880ec1e8,0xe882f4c5,
    0x42dc0ec1,0xd83d103b,0xb702cc01,0x05980770,0x25b10366,0xeef980e9,
    0x3a203fee,0x21260ec1,0x0ea002fc,0xabc80590,0x2003ecdf,0x37e600ea,
    0x66dc02cc,0xf305f8de,0xdb80599b,0x305f8dec,0xb80599bf,0x05f8decd,
    0x40599bf3,0x403dccea,0x802ccdf9,0x6675402a,0x402a803d,0x21edcde9,
    0x3335900b,0xdf980b33,0xb9b902cc,0x500bd75d,0x2034401d,0x5400cc48,
    0x1000ceee,0x004c4001,0x98800220,0x00044000,0x08800131,0x10006600,
    0x30004001,0x10004003,0x20580013,0x0008801c,0x3baa0013,0xeee980ce,
    0x000001ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40750000,0x00000049,0x50000000,0x15555555,0x44444444,0x00008888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0x7f741eee,
    0x00000005,0x74400000,0x1eeeeeee,0xbbbbbbb1,0x003bbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03555100,0x21200e20,0x40020404,0x0c40881d,0x2a981818,0x00303000,
    0x00298004,0x0f6202a8,0x13200510,0x4002d880,0x0c000048,0x8801400c,
    0x403d3002,0xe9803caa,0x232e00dc,0x87e204b8,0x881f803e,0x22b81645,
    0x006a8868,0x802c4390,0x4dda804c,0xe9816e00,0x9bd305ca,0x06dd7440,
    0x01367aa0,0xe9800f4c,0x4c86dc01,0x80373620,0x4c00dce9,0x403a801f,
    0x401d30d9,0x42803dda,0x2e018009,0x6ec04dce,0x001a02ec,0x00eeeec4,
    0x726401ec,0xd809900b,0x21b50ea0,0x24c3906a,0x402b8910,0x3e6000e9,
    0x02ee9801,0x40f4c7a6,0x001d50da,0x0100ea00,0x00000001,0x1000c000,
    0x8000d001,0x00550008,0x00200202,0x00040400,0x00000000,0x20044000,
    0x08080880,0x139db510,0x2e00ea03,0x2e200add,0x261991ce,0x166543cc,
    0x01999999,0x05117b95,0x6802b76e,0x32059d95,0x3332a3cc,0x806aaa20,
    0x332a3ccc,0x52dda80c,0x0cccccb8,0x1052dda8,0x433239d7,0x66543cc9,
    0xca8f3322,0xbdca80cc,0x5bb50288,0x33b6a20a,0xbdca8189,0x22b62288,
    0x7504dda8,0x54457440,0xa8adb80e,0x2f221dbe,0x3306d440,0xbd81b333,
    0xe889d731,0xd00ea88a,0x2136a5b7,0x366209e9,0x203caa81,0x366209e9,
    0xea88be81,0x6ccccc46,0x75445f40,0x75456dc6,0x02f221db,0x4f4c1b51,
    0x36076620,0xd09d731b,0x88dd5117,0x4dda88ad,0x4eb98dec,0xa826c076,
    0x36207a03,0x885e82c0,0x19003905,0x744b816c,0x5e80d881,0x6c0d0790,
    0x0d00ea00,0x260ea06c,0x0ea0c806,0x17a0b1a6,0x340e4162,0x702d81b0,
    0x46983a89,0x16c9b01d,0x4c0934b8,0x16a07502,0x5c0ea3c8,0x05883905,
    0x30126190,0xd07902d4,0x81a16605,0xd00ea00d,0x403206c0,0x0320c803,
    0x16e0751c,0x341620e4,0x2024c1b0,0x26380641,0x024ca604,0xa8000dc6,
    0x2cc05b03,0x44166019,0x0c800e45,0x016c0057,0x3401d0b3,0x5401b034,
    0x81b03403,0x83200049,0x300c8049,0x0391620b,0x0ae0d81a,0x37009300,
    0x6c00ae00,0x20750000,0x0753400e,0xb11c816e,0x00d86400,0xd0d003a0,
    0x81a12605,0xd00ea00d,0x5e5c06c0,0x7032000a,0x07501579,0xb11c816e,
    0x6c1b0340,0xabcb8000,0x1b000d80,0x40003600,0x1b00d03a,0x2205e82c,
    0x86400395,0x2199980d,0x3740d806,0x360680d8,0x0d00ea00,0xbb71006c,
    0x22019001,0xe82c0ddb,0x00e56205,0x01b06c0d,0x5c403333,0x400360dd,
    0x9199980d,0x40ea0003,0x3aa34405,0x405aeb8b,0x864005ac,0x76e6540c,
    0xe86880b1,0x04ea8beb,0x75006c0d,0x00360680,0x0064034c,0x22faa34c,
    0x56405aeb,0x41b03405,0x76e6540c,0x07269801,0x332a0640,0x2003b9ed,
    0xeeeeeeed,0x82540391,0x40589bda,0x864001f8,0x1c92602b,0x5cda12a0,
    0x403a02cd,0x3a01d405,0x64030b00,0x40306401,0x89bda81c,0x200fc405,
    0x02b8b00e,0x8e403126,0x4057003b,0x02803a49,0x07606880,0x16202c40,
    0x03443600,0x3b034493,0x079000d0,0x403a8091,0x3444883c,0x10d801b0,
    0x44006c0d,0x6402c405,0x03444883,0x1b034493,0x1a250074,0x10366498,
    0x4036605b,0x2003b85b,0x0016403a,0x26036e34,0x81dc2dc4,0x41e88006,
    0x201d401d,0x220ec1e8,0x5804a83f,0x012a0fe2,0x00b201d4,0x703b07a2,
    0x7c49301b,0x06cc4a83,0x80db8b62,0x6e6f4c49,0x0395301e,0x01ee6754,
    0x34401d50,0x260f6600,0x81ddccde,0x203dccea,0x9bf30006,0x00750059,
    0x10599bf3,0x17d9bf79,0x79116cc0,0x0017d9bf,0x034401d5,0x0599bf30,
    0x6ee66f4c,0x337ef221,0xcde980be,0xcde981ed,0x13101ddc,0x26001300,
    0xceeea801,0xeeeee980,0x5bddd101,0x80099880,0x3bbaa019,0x0088002e,
    0x7777776c,0x8002201e,0x33bb6019,0x2a00cc01,0xe980ceee,0x2001eeee,
    0x26620008,0x10019800,0x13310013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x802cc3b0,
    0x01440124,0x90048a44,0x0002aa01,0x15400032,0x01333330,0x0e600088,
    0x50500420,0x26003100,0x20024002,0x33310018,0x00aa0013,0x2a800073,
    0x03cc5d00,0xa802d96c,0xd96c04de,0x5016c402,0x3d100059,0x6405c800,
    0x5402cccc,0x801d5003,0x3aa03749,0xdea807b0,0x01eed403,0xd50016c4,
    0xddd9007b,0x80b700bd,0x01b200da,0x302200f6,0x00592c80,0x2d82dcb7,
    0x01e8805b,0xd10002b8,0x200f2003,0x3baa0040,0x01b501ac,0x98072750,
    0x726402ee,0x05b9320b,0x4c8007a2,0x2000016e,0x402d404c,0x0099006c,
    0x80041000,0x00410080,0x00570008,0x00100080,0xc82743f1,0x0207d30b,
    0x00193a80,0x20101001,0x00040080,0x66640202,0x203332a3,0x00000800,
    0x19993010,0xcc899991,0x03332a3c,0x33333322,0x00addb83,0x70056edc,
    0x32166645,0x3332a3cc,0x4e76d440,0x404c2818,0x33219858,0x0ccccccc,
    0xca81b2b8,0x3ccccccc,0x64c39995,0x999952cc,0xcccb8799,0x20ccc803,
    0x4f4c4cc8,0xca876620,0x2a2ccccc,0x53cccccc,0x45999999,0x3cccccca,
    0x4cc72662,0x827a60d9,0x26601d98,0x3a209bc9,0x880ea88a,0x00ea88ae,
    0x204f5c57,0x366209e9,0x54456c41,0x220004dd,0x99bc9805,0x2620d999,
    0x3219e9bc,0x999cb99a,0x98133b15,0x973310e9,0xe9988133,0x416c401d,
    0x360681e9,0x26666ee0,0x32e6624b,0x33377099,0x5ccc4973,0x0390099c,
    0x0360681b,0x40f415c0,0x440f40d8,0x0b72b80d,0x3b036068,0x41cc9360,
    0x01cc83cc,0x2a0c815c,0x0ccfcdec,0x4b11d439,0x3a82c01c,0x8049ba80,
    0x0d01c858,0xe885706c,0x85707500,0x007500e8,0x0681b039,0x215c0036,
    0x5a8f205a,0x36ee0f20,0x83606803,0xb98a6049,0xb882ccc2,0x702b82de,
    0x321a1901,0x2e588ea1,0x50489b62,0x01a1b007,0x340931dc,0x360dc1b0,
    0x06e0ea02,0x401d405b,0x0340d81c,0xb0ae001b,0x05b2cc05,0x1efdc2cc,
    0x5c1b0340,0x58154001,0x15c3c880,0x0d0d8017,0xa8a1d415,0x824c37a2,
    0x592c403a,0x00743600,0xa8106c0d,0x2041d404,0x401d404a,0x0340d81c,
    0xd0ae001b,0x003a6801,0x00f2770d,0x01b06c0d,0x00b02a80,0x36ab2e2c,
    0xfddfdb01,0x301d409d,0x1d4ab267,0x115c03a8,0x0b36200b,0x8806c0d0,
    0x4403a806,0xc803a806,0xb0340d81,0x0d0ae001,0x3601a1b0,0x407b15c0,
    0x00d83606,0x6c581540,0x565c4980,0x3d3101da,0x1d4013b5,0x562b2910,
    0x6807502b,0x0b7000d8,0xd806c0d0,0x6c03a801,0xc803a801,0xb0340d81,
    0x42b81cc1,0x80b34405,0x16c2b868,0x1c836068,0x45815400,0x0ea88aed,
    0x6801715c,0x80750093,0x501cb4d5,0x7777cc07,0x073003fe,0x5c1601d0,
    0x203a8043,0x03a8043b,0x3dddfdd9,0x1601d036,0x3906e073,0x40392540,
    0xd1176c4a,0xb00e85df,0x154003b8,0x3ae2a2c4,0x102b80be,0x200e6d07,
    0x92c7403a,0x80ea01b3,0x599999ac,0x79007300,0xb0b30910,0x16607501,
    0x000ea036,0x441e40d8,0x88581cc4,0x06887606,0x32000076,0x00e84883,
    0x5e98b10a,0x02b80ea0,0x07558893,0x3ad80750,0x03a816e6,0x9801c816,
    0x6c1e8803,0x80d80e81,0x1b01d03a,0x22000750,0x0ec1e886,0x207507a2,
    0x5b83b85b,0x0ec403b8,0x03b07a20,0x82d881b3,0x5f8decdb,0x815c0750,
    0x02ba4449,0x0eec03a8,0x503a81ba,0x4c024c07,0x99bf3003,0x03605905,
    0x6c0b20ea,0x98003a80,0x99bf303d,0x33376205,0x6e675403,0x3733aa03,
    0x015dc403,0x01666fcc,0x03db9bd3,0x298004c4,0xddddddb0,0x200109dd,
    0x80eeeeed,0x75c5d86c,0xd94eeeee,0x5fee83dd,0x1dddddb0,0x77401100,
    0x70feeeee,0x29dddddd,0xfeeeeeee,0xdddddd70,0x16f75c09,0x18800440,
    0x3000cc00,0x00044003,0x09880022,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x02980181,0x3b801828,
    0x66664126,0x388001bc,0x11004800,0x9db5100c,0x00aa0313,0x00795014,
    0x009866cc,0x2a026666,0x000070aa,0x1663a809,0x3b805030,0x50732602,
    0x2aaa3999,0x04c86d40,0x32026ed4,0x57005d15,0x9bc9824c,0x3000dc99,
    0x16c4001d,0x20360e80,0xdda88ad8,0x7b00f604,0x800d4e20,0x205ed98c,
    0x40deeeeb,0x00392caa,0x7500ba20,0x47aa024c,0x3aeb604c,0x2f4c40eb,
    0xaae8b662,0x402ee980,0xd5016e4c,0x2000001d,0xa804982b,0x07a2000d,
    0x216a2dc0,0xc809b01d,0x74809304,0x00000001,0x002ccae0,0x00000f44,
    0x8005dd10,0x20afa00a,0x02201a0c,0x02002020,0x951e6640,0xb02b8199,
    0x02000100,0x21f81e80,0x200a6049,0xb9807500,0x23ccc801,0xdb80ccca,
    0xd8ae00ad,0x20008000,0x2000addb,0x15bb7000,0x0640eb40,0x33332a0d,
    0x666642cc,0x320ccccc,0x401bcccc,0x366209e9,0x05882b81,0x66441999,
    0x5e666644,0x4b834c01,0xccc8006e,0x20cccccc,0x7999703a,0x4413d300,
    0x457441d9,0x45700ea8,0xccca8049,0x442ccccc,0x40ea88ae,0x66541cc9,
    0x222ba21c,0x12ad00ea,0x9bb83419,0x64c4b999,0x0d99999b,0x32666f26,
    0x0d81a00d,0x076a22b8,0x0f4c16c4,0x32666f26,0x2609900d,0xc9800367,
    0x0d99999b,0x74cc40ea,0x3606801d,0x06c40f40,0x1003a15c,0x5333d3d3,
    0x0d881e89,0xb3117a62,0x0d881e85,0x20c87668,0x0e885706,0xb81902b8,
    0x81a04982,0xfeeeb80d,0x1c858804,0x20930570,0x361f103e,0xc815c000,
    0x37500ea0,0x06c0d009,0x5c1e40b5,0xac402542,0x40b524c6,0xc82be83c,
    0x83c816a0,0x1a0c9626,0x5c0b60dc,0x02b81702,0x01b0340b,0x400f4c57,
    0x2b81263b,0xf80be0b0,0x2b800391,0x003aa170,0x81a01a1b,0x5980b60d,
    0x400e82b8,0x36498d3a,0x75a16602,0x405b0640,0xc9646859,0x12a041a0,
    0xb802e2b8,0x81a05882,0x0e82b80d,0x401d0d80,0x5f05882b,0x003b8fc0,
    0xd701715c,0x0592c401,0x0e836068,0x5415c340,0x13686403,0x686801d0,
    0x03a0c895,0x32d0d0d0,0x01a201a0,0x403b5597,0x8076a22b,0x0ae03606,
    0x33620162,0xb5115c02,0x7c40fa03,0x5c2803a0,0x5701daac,0x80b115c0,
    0x80683606,0x06815c0d,0xd05b5d34,0x36681b00,0xd8068321,0x06654340,
    0xb803b00d,0x2e01daac,0x6804feee,0x40ae0360,0x805b803b,0x404feeeb,
    0xd98f304c,0x32e16c40,0x07501daa,0x0d006c34,0x6880b06c,0x205702b8,
    0x20b6ba49,0x13434405,0x880b064b,0x41db0686,0x2021dc06,0x2b802e2b,
    0x01d007a6,0x07bbb616,0x0073017a,0x500f4c57,0x3a612e0d,0x2b81edcd,
    0x981d402e,0x03feeeef,0x0722c03a,0x102b84a8,0x5bbbae0d,0x2a01c808,
    0x0c964684,0x6c4a8072,0xd07cc5ef,0x206c2cc0,0x2b87102b,0x20f200e8,
    0x20000048,0xe82b8039,0x07a07a00,0x0ae00c98,0x320751c4,0x0599999a,
    0xd11220f2,0x015c0ec0,0x4341b059,0x81d81a20,0x34419686,0x680003b0,
    0x703603a0,0x05712605,0x20f440b1,0x00d9801d,0x15c01cc0,0xa89702c4,
    0x700e4406,0x04992605,0xe880e40b,0x42dc0ec1,0x4405703b,0x23434586,
    0x0d03b85b,0x85b81995,0x01d8803b,0x06c0b20d,0x2e24c0ae,0x7cc07702,
    0xa9802ccd,0x01cc001c,0x203b815c,0xb980b60e,0x4c0ae03b,0x80ea16c4,
    0x337e6049,0x333aa02c,0x02b9883d,0x868730e4,0x3dccea86,0x4076c1a0,
    0x803dccea,0x33d02bb8,0xeeeeeee8,0x3bbbb60f,0x3b64eeee,0x405e81ee,
    0x004c0008,0x1dddddb0,0xd03dddb0,0x8028260b,0x3bbb6008,0x444eeeee,
    0xd07bbb23,0x00880bfd,0xccb80660,0xeec94401,0xeeeefea9,0xfb006607,
    0x200f98bd,0x00440019,0x00001999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x18180000,0x48004800,
    0x14140a0a,0x01100700,0x332a0091,0x802204cc,0x0604c038,0x90a5bb50,
    0x33223999,0x5406060c,0x20288bdc,0x014c0028,0x00001818,0x9802c800,
    0x10e404c0,0x0174400b,0x88ea92a0,0xb11b703d,0x1d9d1007,0x05b81d40,
    0x019da988,0x0074c0ea,0xd02647a6,0x98dd5117,0x07aa09bb,0x5ec2c439,
    0x2a09d731,0xdc8804de,0x10e401eb,0x900d900b,0x3007b00d,0x6c416e3d,
    0xd1001ddd,0x981b0003,0x774c02ee,0xd10e9801,0x5a80ea03,0x75009100,
    0x22001b30,0x20ea02ed,0x6cc2b869,0x1dddd880,0xb84b816c,0x457016e5,
    0x376200c8,0x06c801dd,0x008806c8,0x1007db10,0x00010001,0x88004093,
    0xa8001000,0x48800403,0x00083a80,0x700c8010,0x402d4570,0x0c049808,
    0x0aa80404,0x00022000,0x00000000,0x1e665c03,0x95073260,0x506c0399,
    0x87999999,0x7003cccb,0x3a807999,0x801e665c,0x953a8048,0x64c09999,
    0x300acccc,0x4b95c009,0x333332a0,0x4c00573c,0x0f32a4cc,0x664005b5,
    0x0ccccccc,0x33333332,0x999950cc,0x2ccc8799,0x33333320,0x26620ccc,
    0x3a6201de,0x3016cc45,0x9cb9988b,0x6f4cc409,0xde998801,0x3310ea01,
    0x091003bd,0x36a62750,0x276a2019,0x9702eb99,0x655c0157,0x2e66201f,
    0x001b099c,0xd310ddc4,0x4c005701,0xd99999bc,0x2666f260,0x73310d99,
    0xb9981339,0x266f2603,0xba80d999,0x82be8049,0xa807200c,0x049ba803,
    0x88126ea0,0x00937501,0x88750091,0x36091004,0x0376e201,0x00fa6fae,
    0x260360ea,0x4415c199,0xb8005705,0x02b81902,0x30075019,0x1902b807,
    0x5a01a1b0,0x5880640e,0x86c01d40,0x03436006,0x100d0d80,0x443a8e09,
    0x22091004,0x770d3005,0x41d401d8,0x76e6540c,0x41620ae1,0x00bec9ab,
    0x2e05c0ae,0x07501702,0x02b80730,0x0b258817,0x01912ad0,0x807500b2,
    0x2200b258,0xb1000b25,0x41220164,0x00910ea6,0x060d8122,0x2215c1c8,
    0x15c1d406,0x882b8930,0x2a1bb705,0x05c5700e,0x2005c570,0x4039803a,
    0x2b802e2b,0x0ecd0162,0x500d1019,0x1622b807,0x10588ae0,0x02c45701,
    0x87534122,0x40910048,0x06c0d11b,0xa80ae0ae,0x12606883,0xb7555597,
    0x40ea16e0,0x201daacb,0x401daacb,0x4039803a,0x201daacb,0x89a00d86,
    0x00ae0325,0x1b0d00ea,0xa80d8680,0x200d8683,0x21d4d048,0x40910048,
    0x9507f12b,0x40b10570,0x301b703a,0xaaaacb89,0xb105705b,0x076ab2e0,
    0x01daacb8,0x01cc01d4,0x4076ab2e,0x3feeeef9,0x032591a0,0x301d401a,
    0x07fddddf,0x7f7777cc,0x77cc3a83,0xeb83feee,0x7eeeeefe,0x0e0910ea,
    0xc8864091,0x40becdfb,0x76c1eeed,0x3a603a83,0x5c1ddccd,0x05705882,
    0x0b8ae0b1,0x400b8ae0,0x4039803a,0x56402e2b,0x20599999,0x3b819686,
    0x56407500,0x20599999,0x599999ac,0x4cd643a8,0x80005999,0x4682443a,
    0x3a81a048,0x07500000,0x2e013310,0x05705882,0x440ae0b1,0x838815c3,
    0xddddb03a,0x02b81bdd,0x03902c71,0xd0332a1a,0x0b01d400,0x320580e4,
    0xc8161d41,0xa80ec401,0x44682443,0x64407704,0x003b1001,0x03b10075,
    0xb82c415c,0x05705882,0x26057126,0x0d803a84,0x549815c0,0x06824c07,
    0x001d41db,0x980ea075,0x12603a84,0x9301d475,0xa815dc40,0x44682443,
    0x75025c44,0x57710057,0xb8807500,0x220ae02b,0x0b105705,0x2e24c0ae,
    0x07509302,0x02b80290,0x83ddd993,0x77ec5fee,0x01507cc5,0xeeeeeeb8,
    0xe83ddd94,0x3bbb25fe,0x312ff741,0xdd07bbb2,0x100440bf,0x3bbfbae3,
    0x3fa67eee,0x8803deee,0xb8022000,0x04eeeeee,0x2f764011,0x7641dfd7,
    0xb17fa63e,0xdddddddd,0x777776c9,0xddd74eee,0x32a09ddd,0xdddddb04,
    0x00009ddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6664c000,0x00002ccc,0x03555551,0xb8824c77,
    0x33260022,0x1a800001,0x00800000,0xcc800000,0x83332a3c,0x10099998,
    0x10055555,0x10498ee0,0x008ee200,0xcc83dc88,0x0ccccccc,0x99880020,
    0x2e0099cb,0x5bd30974,0x57013b39,0xdcad824c,0x272e00eb,0x00c80009,
    0x22007537,0x012e001e,0x220345a2,0x413d101e,0x77641d98,0x99d885ee,
    0x82640499,0x2d41262b,0x75f5d6c0,0x32232e00,0x4ccde4c4,0x16a00d99,
    0x2a00ea00,0x44fe0b55,0x10000093,0x32068015,0x3732a3cc,0x98049205,
    0x0132001e,0x803a23a2,0xb03401e9,0x202e0001,0x0000f604,0x2a000da8,
    0x03a16200,0x50032057,0x01d4001b,0x89e60924,0x41999093,0x332a4cc8,
    0x9303cccc,0x3104f440,0x1cc9803b,0x2a000d80,0x06e37003,0x40d001b0,
    0x33332a0d,0x0005c3cc,0x66654055,0x0e603ccc,0x403cccb8,0x15c2b82b,
    0x049800b8,0x40000ea0,0x4424e279,0x221e982d,0x0099cb99,0x36068075,
    0x00000000,0x40000000,0x88360681,0x2099cb99,0x00000dcb,0x13397331,
    0x74cc4000,0xb303601d,0x002e2b85,0x20750000,0x41e641cc,0x4412712e,
    0x0ea01c85,0x05eeeec8,0x66406c0d,0x5c41e641,0x5c428bdd,0x205b51dd,
    0x100cedc8,0x0b515bb9,0x3a806c0d,0x100f20b8,0x54019db9,0x33b72203,
    0x024dd400,0x216674cd,0x201daacb,0x01e641cc,0x42b981d4,0xacd88599,
    0x931dc093,0x26203a80,0x40d009cb,0x4c2b980d,0xa88ad859,0xbd89544e,
    0x674c5a8d,0x74c2eb89,0xd06ea89c,0x83a806c0,0x4c164438,0x02eb89ce,
    0x273a6075,0x43602eb8,0x570d9a06,0x01daacb8,0x0b330ae6,0x81540750,
    0x024ea205,0x2a007436,0x3403a803,0x40aa01b0,0x02441d45,0x3a2c83ea,
    0x1d10e881,0x40d05da8,0x2607500d,0x07a2540c,0x40ea03a2,0x880e881e,
    0x4d340b25,0x01715c2b,0x500b02a8,0x05815407,0x6c4049c4,0x803a802c,
    0x1b03403a,0x222c0aa0,0x531000ae,0x40b5498b,0x8e98b53c,0x0b00d82a,
    0x879101d4,0x1e40b539,0x902d41d4,0x82c45707,0x2e15cb26,0x05507102,
    0xa80ea016,0x93880b02,0x2a00b700,0x3403a803,0x40aa01b0,0x3eecb885,
    0xffecdec8,0x40575fff,0x074c3959,0x0930770b,0x86cc01d4,0x2cc05738,
    0x3015c1d4,0xb01b0d0b,0x713fae21,0x0aa12605,0x501d402c,0x27101605,
    0x50039804,0x68075007,0xb02a8160,0x1e4b7100,0x204a8166,0x83a6754a,
    0x221e8859,0x400ea01d,0x0950bdc8,0x541d4254,0xdf312a04,0x5907fddd,
    0x24c0ae00,0xd5058154,0xa87ddddd,0x9c405882,0x50039804,0xb8075007,
    0x0aa04882,0xb3409162,0xf100fa81,0x1d3b1740,0xbbb103d8,0x103a803b,
    0x740f1120,0x07883a82,0x333590ba,0x00950b33,0xdddddddb,0xb105509d,
    0x2c401b00,0x271017a6,0x50039804,0x88039007,0xb100ec1e,0x417c5e98,
    0xfe88ea49,0x20cb8ea3,0x107e45b8,0x003b00d7,0x848240ea,0x416e20cb,
    0x4419703a,0x0720585b,0x4400307a,0x5e98b104,0x6dc01480,0x885f8dec,
    0x4015b4ba,0x20750039,0x3e600d50,0xdb802ccd,0x365f8dec,0x40decccb,
    0xddbbecdc,0x6efdc0de,0x6edf4c4f,0x009004fd,0xaaac81d4,0xbbf701db,
    0x701d409f,0x7509fbbf,0x6f4424c0,0x2a6004ec,0xdecdb808,0x265405f8,
    0x22002620,0xb0133099,0xb81ddddd,0x14eeeeee,0x880017db,0x004c4000,
    0x40c40188,0xc80cc009,0x98002620,0xeeeb80dc,0x26624eee,0x20330019,
    0x4eeeeeeb,0x3bb20330,0x82ff741e,0x17500008,0x00002620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x3a800400,0x31dc0166,0x4cccc409,0xb8014c00,0x4cc00bdd,
    0x00000099,0x00004571,0x80100000,0x1003cccb,0xa8802b89,0x0397300a,
    0x05555554,0x40c46a60,0x08005c0b,0x5a809900,0x01263a80,0x6409315c,
    0x2a05eeee,0x2ba2039a,0xd501e988,0x4001bddd,0xdcad804c,0x1d8800ec,
    0x640016a0,0x6f4cc404,0x993d5001,0x103aa200,0x20b9337d,0x00aaaaae,
    0xa87badcc,0x2600b50d,0x8026c00e,0x000000da,0x47000000,0x3a207a04,
    0x4d800000,0x10028800,0x01b5003d,0x750026c0,0x17440093,0x67666440,
    0x20720223,0x59620005,0x0017bb50,0x02a801d5,0x997024c0,0x99990079,
    0x64199999,0xcccccccc,0x501cc880,0x65c25c0b,0x0aa003cc,0xca839930,
    0x003901cc,0x02a8024c,0x000686c0,0x2b666600,0x05849800,0x00556200,
    0x000d8800,0x33100000,0xbc9803bd,0x20d99999,0x99999bc9,0x07b0000d,
    0x74cc434c,0x2200001d,0x16cc45e9,0x00000000,0x00b25880,0x0262f76e,
    0x0325bd73,0x012c1640,0x058addb8,0x02b7b2a2,0x6f644000,0x9bd9100c,
    0x049ba801,0xb81902b8,0x65441902,0x00e80ade,0x09375034,0x0adeca88,
    0x0320afa0,0x04c5eedc,0x015bd951,0x07990732,0x440b115c,0x45d930ae,
    0xdcd98be9,0x4136a200,0xc81defdf,0x205cd99d,0x50b511b9,0x039d9339,
    0x3d7117d5,0xeb88bea8,0x40343601,0x2b81702b,0x88dcc170,0x0d80585a,
    0x7301a1b0,0xd6816a23,0x57440c81,0x5cc5d930,0x2e60b511,0x0d02ccc2,
    0x6c0b601b,0x03f20d12,0x3701fdb8,0x3a160ec4,0x441c8005,0x43d31ddb,
    0x226880e8,0xb106880e,0xb8ae0164,0x00b8ae00,0x10120e40,0x02c9620f,
    0x2ad01c80,0x40b60644,0x501c802d,0x77cc1605,0x7883feee,0x88254220,
    0x02d8800f,0x5c1d4910,0x57133005,0x24a81b70,0x1dcb203b,0x44570590,
    0x6d565c05,0x36ab2e01,0x2b899801,0x20d500cc,0x4c01622b,0x6cd02b89,
    0x20788321,0x57133008,0xc82c0aa0,0x8599999a,0x40390049,0x801a000d,
    0x81660325,0x2eccced9,0x7e4b02b8,0x3fffffff,0xfffffff9,0x01b0d07f,
    0x00ed565c,0x203b5597,0x2eccced9,0x34076058,0xced9806c,0x44d02ecc,
    0x00498325,0x3b333b66,0x41605502,0x0d107205,0x00f80ae0,0x2e680160,
    0x03605a82,0x2c0ae0ae,0x00ae0057,0xfddddf30,0x01715c07,0x3601715c,
    0x84a82b80,0xdddf304b,0x203607fd,0x92c8d02b,0x1b003441,0x40aa0570,
    0x12603a85,0x0b30807e,0x2c4003ea,0x21226980,0x3205505d,0x4cb02b82,
    0x800d3006,0x599999ac,0x21c40ae0,0x0aa7102b,0xccd88164,0x266b203e,
    0x02a85999,0x65a1a059,0x2a100fc0,0x0aa05902,0x3ddd9162,0x6d45fee8,
    0x82f64c81,0x056c0ed9,0x442e83b1,0xbd516c2d,0x0bf21260,0x3322c0ae,
    0x03322a80,0x0e40b0aa,0xb89302b8,0x21269302,0x07aa02fc,0x4c1c8160,
    0x0d02fc84,0x1da81995,0xf90934c8,0xbd316205,0x7d412000,0xfc82ccce,
    0x24ec8eec,0x02dddfd8,0x103bb9b9,0x1df1dbbd,0x75db9b90,0x0b02b8bd,
    0x07db9bf7,0x87db9bf7,0x5c12603a,0x02b89302,0x76e6e493,0xefc85eba,
    0x2a0eccee,0x37212603,0x85ebaedc,0xf501db06,0xdc85999d,0x05ebaedc,
    0xbf1bd9b7,0x018b8800,0x00260033,0x01100098,0x09800130,0xd1277640,
    0x002660bf,0x3bb20266,0x22ff741e,0xeeeeeeed,0x3bbbb64e,0x0984eeee,
    0x41981300,0x7741eeec,0xb001305f,0x00f98bdf,0x00260066,0x00001310,
    0x00000173,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00c40484,
    0x300bcb98,0x321d403d,0x20008101,0x8597005b,0x1aaaaaaa,0x0c0065c4,
    0x00000400,0xb10e40b7,0x0aa62800,0x01104c00,0x71015510,0xc9800005,
    0x4004001c,0x404b88ca,0x9adc807d,0x2e9db809,0x40b676e0,0x1013a1f8,
    0x2a01d57b,0x2ba4c99d,0x2e5baaaa,0x2a04c9ad,0x7b93602f,0xb1001b30,
    0x7b101d57,0x102203d5,0x001aa29d,0x00eef6d4,0x32207544,0x0b500498,
    0x8264df4c,0x5401ee5d,0x1cc00bdd,0x0ea00f60,0x00f4c039,0x1c80130a,
    0x36074162,0x858ea071,0x4017100d,0xe9806209,0x0b10e400,0x20ae02e4,
    0x5400341c,0x4002dadd,0x01505c0c,0x206405b8,0x0621882c,0x54000000,
    0x00000004,0x54000000,0x8e404a84,0x0004983a,0x002c4000,0x415c0000,
    0x08800682,0x8190006c,0x39802e0b,0x00588580,0x337b2200,0x19bd9100,
    0x6dc001b0,0x644098bd,0x1cc80cde,0x0e641e64,0x10590f32,0x2166680b,
    0x8bddb82b,0x676e4409,0xdc880000,0xddb880ce,0x3772628b,0x3680cccc,
    0xca805bd9,0xeb9868ab,0x9c88192d,0x4980004a,0x9bd910b0,0x88bea801,
    0x45f541eb,0x352c1eb8,0x64c2ba20,0x222faa2e,0x215cc1eb,0x42b98599,
    0x680ec599,0x217b1260,0x42ba20ea,0x33a62ec9,0x6442eb89,0x33a602cc,
    0x56c2eb89,0x64c4ea88,0x5d01999b,0x309d515d,0x1bbd55bd,0x66cc5f4c,
    0x6543500d,0x80b33220,0x3aa0f986,0x101eb88b,0x744d101d,0x27266880,
    0x16c1dcce,0x101d12d8,0x4160550d,0x00d8b02a,0x7f40e40d,0xd816c0ff,
    0x03a207a2,0x0f407533,0x883a8744,0xdd002b84,0x80e88b60,0x320d11fa,
    0x0b32a00f,0x7901d4cc,0x0e88e6c4,0x40770688,0x9640772c,0xf12c46d8,
    0x203b8440,0x0581542c,0x01b16055,0x8cc8681a,0x40f10db8,0x1e40b508,
    0x40b50398,0x0015d13c,0x40fa0057,0x3e812e5a,0x503e2095,0x1cc00399,
    0x2e377b20,0x41640771,0xfffffffc,0xfffff93f,0x40fc7fff,0x3200930d,
    0xffffffff,0x50581543,0x10391605,0x0951220d,0x5c012697,0x1cc16602,
    0x896602b8,0x5703eecb,0x26803a00,0x0e4ee01c,0x2e2181b0,0x401cc03c,
    0x7fe43608,0x83ffffff,0x0057002b,0x0d11b82c,0x55000ae0,0x58154160,
    0xb82d415c,0xd1680e42,0x4a812a00,0x812a0730,0x216e204a,0x203d002b,
    0x2b807268,0x9007c057,0x03980e61,0x00573440,0x1a600d30,0x7c582c80,
    0x0034c201,0x541620aa,0x42cc5882,0x0750b03c,0x2100fc73,0x4c0ba078,
    0x9740f103,0x00ae1a04,0x2a4b8274,0x82cc3604,0x090e00fa,0x8b2001cc,
    0x19900069,0x40664550,0x4a83622a,0x92640ed4,0x58855019,0x45882f4c,
    0x221d85e9,0x8360b106,0x2076a0d8,0xb8832e4c,0xcb80e605,0x82f96e20,
    0x18858849,0x03aa16f4,0xbd89907b,0x4803b660,0x2007301c,0x80cc84d8,
    0x337ee02a,0xcdfb83ed,0xede983ed,0xccefa80e,0xdcdfb82c,0xbd9b703e,
    0x336e0bf1,0x6c45f8de,0x05500bcd,0x20777726,0x82cccefa,0x404fddfb,
    0x6efdc039,0x6665ec4f,0x99b700de,0x6dfaa1bd,0xd900eecf,0x3f207d99,
    0x04ec8eec,0x4c019793,0x5bb9b103,0x76e6fdc0,0x00133003,0x01100133,
    0x26600330,0x00098800,0x04400262,0x40044000,0x40330019,0xeeeeeeed,
    0x31003301,0x8800cc00,0x00330009,0x40200026,0xeeeeeeed,0x33000621,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0016e000,0x221c8110,0x1b703a85,0x02040400,
    0x2e005b80,0x48008005,0xa8362048,0x48028803,0x1b004048,0xaaa881cc,
    0xa8ef5401,0x79999700,0xcc9932a0,0x317bb700,0x2e000261,0x0eabd884,
    0xe88eedc0,0x0f55ec40,0x74e6436c,0x7cc2d801,0x7b100fe1,0x5ec401d5,
    0x0d3000ea,0x09711950,0x00dc9e98,0x501edee4,0x54097119,0x36e7a603,
    0x00f2aa00,0x409d9317,0x101aaaa9,0x933991b3,0xd930ae88,0x3e001765,
    0x0b10e41f,0x3b222ba2,0xc816e02e,0x01b115c6,0x26140b62,0x0b10e400,
    0x700b10e4,0x376a001b,0x03d8800b,0x5006c588,0x1d4017bb,0xa800f620,
    0x00000003,0x16c02ed8,0x000732d8,0x1e800033,0x20000fb8,0x0e40005c,
    0x00000000,0x00024400,0x0aa00000,0x2a000057,0x3a800004,0x2b7b2a20,
    0x5bd95100,0x4401d801,0x001c2207,0x337b2200,0xbd985a80,0x0cedc884,
    0x6edc45b8,0xa880028b,0xc980adec,0x21cca83c,0x00adeca8,0xc8399000,
    0x641cc83c,0x0485703c,0x2033b722,0x22cdcec8,0x00adeca8,0x46e603a8,
    0x237305a8,0x006c05a8,0x9ca80126,0x0201cec9,0x3d7117d5,0x447443d8,
    0x5c4e74c7,0x2b625c2e,0x3264ea88,0x263ccccc,0x710b511b,0x41951017,
    0x20b511b9,0x033264ca,0x85998573,0x82ccc2b9,0x2607f92b,0x42eb89ce,
    0x3731ec1d,0x2ea016a2,0x0072006b,0x003601c8,0x6dc400d1,0x7503d31d,
    0x23440744,0x41d0f40e,0x2a0e881e,0xb9220ea4,0x02d9999b,0x264981c8,
    0x0e400ae1,0x4e646cc4,0x0b02a849,0x2b82c0aa,0x03d09b31,0x220e61d1,
    0x5c01c800,0xb899803f,0x15c4cc02,0x03f001b0,0x95036e04,0x901dc950,
    0x1b0b2345,0x2a3c816a,0xa802ba24,0x13301dc1,0x26d96057,0x2e26600c,
    0x200bb602,0x0aa0b02a,0x3b82b82c,0x393c816a,0x2b899800,0x4c07db30,
    0x82eccced,0x2eccced9,0x36a00360,0x815c4c81,0x3ff24b85,0x23ffffff,
    0x5cd0951c,0x41896602,0x403eecb8,0xcced984a,0x362b02ec,0x9db30d1c,
    0x0ec05d99,0x20b02a80,0x0ae0b02a,0xacc05734,0xced9803a,0x53702ecc,
    0x15c06c07,0x2215c06c,0x1eeeefee,0x5999df50,0x2e160570,0xb9800ae5,
    0x12a58859,0x5c4004a8,0x0360b505,0x5d4dc0ae,0x80d858c9,0x4003602b,
    0x0aa0b02a,0x1b02b82c,0x3a4a812a,0x701b0c40,0x5503a805,0x20550b20,
    0x5400002c,0x85815c03,0xb001a65b,0x3c43901d,0xd02405d0,0x40aa0b30,
    0x21b7502c,0xc815439e,0x54003602,0x05505882,0x20cae0b1,0x22e81e25,
    0x50dcbdd9,0x7500b205,0x0bf21260,0x805f9093,0x0722003c,0xd90b02b8,
    0x42a80cc8,0x5c25c1de,0x9916e20c,0x2224c17c,0xc849940e,0x64bb102f,
    0x7e424c2d,0x44003602,0x5882f4c5,0x72b82f4c,0x41971225,0x819705b8,
    0x402fc849,0x3737203a,0x6e45ebae,0x05ebaedc,0x2ea00955,0x2c0ae02b,
    0x66fdc364,0x7d5e43ed,0x3ee03ecd,0x0ff84fdd,0x1bd9997b,0xb9340744,
    0x0bd75db9,0xc80f98fa,0x5ebaedcd,0x6dc001b0,0x705f8dec,0x8bf1bd9b,
    0xdce88eed,0x4fddfb81,0x66e40ea0,0x6c5ebaed,0x1eeeeeee,0x02600098,
    0x44001880,0x893bb200,0x3025c5fe,0x19891013,0x08806600,0x3bb20310,
    0x0987eeee,0x04c00000,0x3bbfba20,0x04c401ee,0x00013100,0x20066006,
    0x0004c039,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0190ea00,
    0x654006d4,0x55103ccc,0x2672a035,0x55101cec,0x32a02a35,0xdb883ccc,
    0x031028bd,0x41e66654,0x5501621c,0x3b6e3015,0x5eedc01c,0xc88ae0e0,
    0x764ce4c0,0x4b332e0b,0x544cccc9,0x472a0d41,0x0d80ceca,0x8ef540e6,
    0x405d980a,0x3a772019,0x07a73202,0x05555530,0xb881e554,0x203d31dd,
    0x309d3caa,0x5b055555,0x3609d511,0x5555300f,0x3d57b105,0x0f2af6e0,
    0x26cc2fba,0x75445744,0xd39901d1,0x23bb7105,0x13d310e9,0x106b2662,
    0x3221a63b,0x81d31cca,0x700db9e9,0x2e09d931,0x6f6cc0ff,0x70075403,
    0x00006c45,0x1b701d40,0xa9d404a8,0x10750002,0x0000e609,0x802c05b8,
    0x1e85b02f,0x2a03de88,0x2a16e00d,0x203902c4,0xf700bec9,0x7b109307,
    0x80980000,0x00007519,0x641cc800,0x701d403c,0x27501605,0x19db9103,
    0x0000ae88,0x019bd910,0x3801cc00,0x205a9a20,0x2b80004b,0x072058b0,
    0x22077000,0x37220005,0x540000ce,0x3264ca83,0x1666440c,0x59985730,
    0x05701d40,0x4c075016,0x42eb89ce,0x4c3eecb8,0x23cccccc,0x1eb88bea,
    0x33333326,0x0007b933,0x301ec3a0,0xec99ca8d,0x1605701c,0x6440e40b,
    0x80ae02cc,0x80b33226,0x2eb89ce9,0x10750010,0x933991b3,0xa8075330,
    0x13a80b02,0x50160570,0x7440f407,0xbb96e200,0xd12d9999,0x4ddcd101,
    0x7312d999,0xaaaa8807,0xd1daaaaa,0x6dc46801,0x5703d31d,0x0e40b160,
    0x2e04a998,0x75331a02,0x07440f40,0x80ea00e4,0x0e6002ed,0x50160550,
    0x02b85f57,0xb503a80b,0x9a049e40,0x0771dc1a,0x1dc1a964,0x2b6a01cc,
    0xdaaaaaaa,0xb81b00d1,0x15c2540d,0x03902c58,0x80ae0498,0x16a07305,
    0x0075c3c8,0x001d80ea,0x40aa01cc,0x06c5d405,0x2a02c0ae,0xacc05703,
    0x2a04982f,0x7ffffe44,0x09503fff,0x00b300e6,0x0d10161b,0x0ae16057,
    0x01c8162c,0x4057024c,0x0ae07305,0x019d1598,0x006c0750,0x05500e60,
    0x32075016,0x17fa24ee,0x409503a8,0xd9997b4a,0x2e16a01b,0x205a8002,
    0x400f8039,0x85a80b26,0xeeb8b02b,0xc892c583,0x57024c01,0x503982c0,
    0x01da5409,0x00d80ea0,0x0aa01cc0,0x00750162,0x440ea000,0x0e60ba07,
    0x01a60b30,0x03980b30,0x88ee03c8,0x0ae0b606,0x58b1002c,0x498058b1,
    0x30580ae0,0x2e81e207,0x203a800d,0x01cc000d,0x80bd3162,0x03b1003a,
    0x0cb80ea0,0x0e4416e2,0x99140e88,0x07445501,0x3600730a,0x85b85b82,
    0x1605703b,0x1d2c2a80,0x81260162,0x2605502b,0xb8832e03,0x202e06e5,
    0x0003603a,0xd9b70073,0x1d40bf1b,0x8015dc40,0x6efdc03a,0x0577504f,
    0xfb8d01d1,0x3a23edcd,0x001cc680,0x407d99d9,0x203dccea,0x2600b02b,
    0x26bbfb26,0x49801dce,0x32e5dd70,0x700e605c,0xe889fbbf,0x7503d30a,
    0xeeefee88,0xeeeed81e,0x13101eee,0xeeeeed80,0x801101ee,0xeeeeeeed,
    0x11003301,0x3bbbbb20,0x9013307e,0x2fdddddd,0x004eeeeb,0x01880066,
    0xfd127764,0x02f7a20b,0x3bb600c0,0x401eeeee,0xeeeed809,0x03301eee,
    0x70676dc4,0x09dddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x0ea2003c,0x00075100,
    0x02aa0022,0x1c33aa00,0xbca80100,0x6641cc80,0x710d4403,0x2a2017dd,
    0x20189ced,0x8bdca800,0x99991028,0xbb930799,0x5bb70039,0x52dda801,
    0x32a3ccc8,0xddc980cc,0x26aa001c,0x00931980,0x3500166a,0x00ae000b,
    0x71000b6a,0x3640fb66,0x273601f3,0x215cc4da,0x1e6c0599,0x2216d45f,
    0x4dda88ad,0x1bd80730,0x4cc09d73,0x5e409bc9,0x22032e20,0x00ea88ae,
    0x8dd5117d,0x366209e9,0x2e20bc81,0x2af6e00c,0x0024c04c,0x002c0016,
    0x6e4402b8,0x00003ccd,0x3c814188,0x5815c0d8,0x858eb2a0,0x4d80ec58,
    0x816c0750,0x9057004b,0x0f42c403,0x20ea06c4,0x03606869,0x58884439,
    0x1d900160,0x30160e20,0x23880b05,0xccccddc9,0x04cde4c0,0x79907320,
    0x93038000,0x740b02b8,0x30d803a8,0x3a814c09,0x00180930,0x5b539857,
    0x0b515477,0x1c0321e4,0x1cc1b034,0x0aa77357,0x42c000e6,0x320581eb,
    0x3aa0580d,0x4ccde4c1,0x7d935701,0x330ae601,0x0599910b,0x02b89300,
    0x01d4ae0b,0x0001b9a2,0x000ae075,0x471215c0,0x202d9619,0xd0024c59,
    0x054906c0,0x3b72a58a,0x58103ccc,0x98580fa6,0x3621602e,0x5c00ae04,
    0x201d50dd,0x2660b02a,0x40e8003a,0x4d10b02b,0xd8bae03a,0xb9993000,
    0x0365999d,0x1215c000,0x3a482e27,0x5e5c3400,0x0d81a00a,0x31240392,
    0x20133397,0x1b71cccb,0x9adaa82a,0x20bb9dc8,0x3d71adaa,0xacda982a,
    0x2a16e01a,0x01605503,0x82d80073,0x1c85882b,0x206740ea,0x3331000d,
    0x36133397,0x00199980,0x766c4857,0x1b00d240,0x20376e20,0x0e483606,
    0x00073090,0x01cc8fa6,0x22322baa,0xcb8f6205,0x2ab36a62,0x1620ae02,
    0x4c058154,0x5c0b6003,0x1662f4c5,0x0e41a075,0x1903a800,0x31edcca8,
    0x3890ae07,0x2202c912,0x0d0d3006,0x005c906c,0x90007309,0x40ddcc1b,
    0x1b810cd8,0x2b261eb8,0x57002b82,0x40aa0b10,0xd801cc05,0x3b37ae02,
    0x2af65f8d,0x0080dcaa,0x0ea00077,0x4c93015c,0x21b83703,0x39244a23,
    0xc8062540,0x5c580741,0x44b226e1,0x22003984,0x9837582e,0x3a0ea01e,
    0x57055583,0x1620ae00,0x202c4154,0x016c4039,0xb80262ae,0x02ddcccc,
    0x20500740,0x4c0d103a,0x582c0e64,0x06c4c355,0xd10ec0d1,0x20f206c0,
    0x2ea25848,0x00e60360,0x0f6b3200,0x5c007700,0x85883cac,0x2c415c18,
    0x02f4c588,0x02e880e6,0x2a0002b8,0xb302db83,0x7302d881,0x24c06dc0,
    0x303a83d1,0x7039101b,0x3f88770b,0x41e884a8,0x880d981d,0x0007301c,
    0x00593310,0x26200164,0x99d703b9,0x882b81bd,0x37b36e05,0x40e605f8,
    0x2b8701e8,0x3e0ea000,0x337a605f,0x4c0001ed,0x41ddccde,0x403ccdd8,
    0x0cdbbdc8,0x0f733aa0,0x3b37ef22,0x99bf300b,0x5dee4405,0x00e600cd,
    0x004da800,0x003b99b9,0x06602ed4,0xfd31f764,0x2004c40b,0xeeeeeeed,
    0xdddddd31,0x8001a8bd,0x0c43eee9,0xea809880,0x3eeeeeee,0x88013310,
    0x00188001,0x033000cc,0x22000440,0x77776401,0x000003ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00130000,0xb8800155,0x201991ce,0x002aa02c,0x67655326,0x03555102,
    0x26666666,0x764c1999,0x3267953d,0x2166543c,0xccccccca,0x3333222c,
    0x2dc9802c,0xcc819990,0xbccccc84,0x5bd95101,0x47333201,0x3320ccc8,
    0x2133220c,0xcdec883a,0x07999700,0xb5005700,0x456dc005,0x3601dbea,
    0x200b2a03,0xb52dbe98,0x40f2aa09,0x5f545002,0x10addd98,0x0da88179,
    0x4cf4f4c4,0x4d64c4a9,0x446cc009,0x982d883d,0x999e981e,0x11b984da,
    0x26ee60b5,0x5d307aa0,0xff983d30,0x2e22faa3,0xde99881e,0x8015c001,
    0x7416002b,0x2e004405,0x6417a002,0x0140ea03,0x07dc1a28,0x880e4162,
    0xac8498d5,0x20e40099,0x0390b100,0x9003b834,0x1b30ae03,0x20b61660,
    0x01d11ff8,0x24dd40d1,0xccddc980,0x002b81cc,0x0016e075,0x2e800ae0,
    0x81d40b30,0x40ea5002,0x441c80f8,0x2634ea05,0xddccdc84,0x3b800b02,
    0x6c0d0126,0x05713300,0xa805a8ae,0x3b8012e4,0x686c0b20,0x33793100,
    0x93570133,0x201903bd,0x2ccc8859,0x599915c0,0x503401d0,0xc9400a07,
    0x16203601,0x36864039,0x3620e401,0x6c001b81,0x03400e88,0x6676cc55,
    0x2e5702ec,0x166b2004,0xfffff900,0x4b107fff,0x00ae002c,0x1e98eedc,
    0x305b81d4,0x22b80773,0x02e809eb,0x281d4093,0x440e6500,0x1623900f,
    0x016d74d0,0x54cb1039,0xb3002adc,0x57554059,0x0d9260aa,0xf95702b8,
    0x00ee8003,0x5c0015c0,0x2b801622,0x0950b700,0x73017a0b,0x80b72b80,
    0x5401b06e,0x68a00503,0x56201f70,0xae92601c,0x3407202d,0x8055d553,
    0x1ccfecc8,0x0aaaeaa8,0x2c815526,0x07d37d70,0xfb0076c0,0x340034cb,
    0x02b8006c,0x50b10570,0x0b5d717d,0x6ddc0398,0x8bebe803,0x81d404ea,
    0x5f545002,0x200ddda8,0x775c05ac,0x0e40116e,0x800682d4,0x540d003a,
    0x05f90933,0x7003b0ee,0x07fc0b57,0x30aa0332,0x07fddddf,0x15c00ae0,
    0x37b502c4,0x403980b1,0x36803dfb,0x750059b7,0x541400a0,0x440192cd,
    0x0d06c01f,0x95335901,0x200b101d,0x1aadcaa8,0x321c81a0,0x5ebaedcd,
    0x203442b8,0x3e60f259,0xdb9bf704,0x33335907,0x00ae00b3,0x002c415c,
    0x403980b1,0x0680793b,0x0140ea00,0x40190028,0x43458058,0x2cccdc86,
    0x50040ea0,0x2cc1a007,0x5c064098,0x1d102b82,0x403641d8,0xc81600ad,
    0x18858801,0x002c415c,0x40398075,0x0680f62b,0x0140ea00,0x40190028,
    0x1a1cc02c,0xe800721a,0x0ea03a80,0x006d4340,0x82b83190,0xd103b058,
    0x02401741,0x004980ea,0x83bd99d7,0x5005882b,0x4039801d,0x06816c2b,
    0x0140ea00,0x20190028,0x4f764068,0x7eeeefea,0x0fbbbba2,0x77777fc4,
    0xeeeb80de,0x3bbf604e,0x44000bee,0x07bbb61b,0x3bfa27db,0x007bba62,
    0xdd907950,0x05fee83d,0x776c0660,0x503bfaa4,0x36019ddd,0x1eeeeeee,
    0xefe88bb6,0x05dddd52,0xddddddb0,0x2aaaaa3d,0x203aaaaa,0xd34eeee8,
    0x0003dddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x01cccccc,0x66547991,0x33333262,0x9999900a,0x32619999,
    0xcccccccc,0x797072e0,0x02a3bd50,0x66549993,0x333332a3,0x9999953c,
    0x59507999,0x79999503,0x09999950,0x1bccccc8,0x151dea80,0x6541cc98,
    0x999951cc,0x99730049,0x64c59999,0x4479700c,0x00bccccc,0x06f33332,
    0x5cccde4c,0x220bb81e,0x276a20e9,0xc982eb99,0x0d99999b,0x266667a6,
    0x10ae21c9,0xd93170b3,0x44377109,0x2e6620e9,0x3359099c,0xc8b33397,
    0xaa980b9b,0xda9882aa,0x4de4c019,0x2e00dc99,0x9884ec98,0x116cc45e,
    0x3ee33b53,0x9e9add80,0x37224a99,0x4c0ed983,0x05da99ac,0x9b5333d3,
    0x21620ae0,0x4885882b,0x205703b0,0x1b806c0c,0x00058154,0x502c415c,
    0x11d43907,0x00002c4b,0x05700244,0x74000093,0x4880c82b,0x2342d858,
    0x64355c49,0x75039059,0x5c1dc1a0,0xeeeb8b02,0x445feeee,0x0570b104,
    0x2a01b02e,0x88581541,0x0ae02ccc,0xc83a8162,0x22588ea1,0x2ccc8806,
    0x57002440,0x2672a160,0x75a01cec,0x22440640,0x23424c2a,0x115d5c49,
    0x680e416b,0x2e06c0d0,0x82b85982,0x36048858,0x401715c0,0x0550120d,
    0x0254cc16,0x540b1057,0x50ea0983,0xa99802b8,0x70024404,0xb710b105,
    0xb407a63b,0x2440644a,0x09b40e40,0x95cb1570,0x41a03905,0x5970aa06,
    0x9701db75,0x10b75555,0x32e0dc09,0x2f601daa,0x815406aa,0x97024c05,
    0x40b75555,0x32e6603a,0x046d8819,0x04880930,0x1da88ae0,0x04a81b70,
    0x10190ecd,0x5d01b009,0x8e4ae05b,0x6c0e4166,0x55575543,0x55971260,
    0x59707b95,0x910b7555,0x2b2e15c0,0x2af601da,0x4415406a,0x97024c05,
    0x40b75555,0xdddd503a,0x3a9e89dd,0x2024c0b7,0x3bae0048,0x815c04fe,
    0x192c4d05,0x20b00910,0x25702dae,0x64163ac9,0xa82edccd,0x260aaaea,
    0x44b815c4,0x4885882b,0x5c570320,0x40483600,0x202f4c58,0x220ae049,
    0x2a00ea05,0x6c6c7303,0x91012600,0xe98ae0e0,0x82c0ae01,0x880c9646,
    0xb4064704,0x76c57008,0x4cd64160,0x0ea06801,0x0ae34057,0x68122162,
    0xd87102b8,0x766dc000,0x12604f8d,0x205882b8,0x503a803a,0x26027447,
    0x86824404,0x5700e82b,0xcb434160,0x5cd04880,0x15c08683,0x03905873,
    0x70720680,0x20ae3405,0x77048858,0xb1260570,0x4c260001,0x57024c04,
    0x01d40b10,0x74cb01d4,0x22024c03,0x10570d04,0x82c0ae0b,0x880cca86,
    0x340e8d04,0x0b00ae34,0x20d00072,0xd882b859,0x42c415c2,0xb825c448,
    0x00d89302,0x2011a800,0x220ae049,0x2a00ea05,0x2bf36a03,0x1012605e,
    0x40ae1a09,0x0b02b83b,0x44076c1a,0x21e98d04,0x2015c686,0x68003905,
    0x776c0da8,0x5c2deeee,0x97faa4ee,0x3deeefe9,0xddddddb0,0x3bfa69dd,
    0x320002ee,0x3bbbb62d,0xbdd91eee,0xeb877f5c,0x644eeeee,0x2605eeee,
    0x3bbbb600,0xfdd71eee,0xd8fddddd,0x25e81eee,0x3fa24eec,0x262f7ec5,
    0x3bfbae0f,0xc887eeee,0x7eeeefee,0xdb07bbae,0x777744bf,0x777ec03e,
    0x00000bee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x332a0000,0x332a04cc,0x6642cccc,0xa933220c,
    0x33261ccc,0x9999952c,0x332a7999,0x332e04cc,0x0266640c,0x00c00053,
    0x400b6770,0xcca83cc9,0xdb803101,0x2a20f6a3,0x9700adec,0x438bcb83,
    0xc80cdec8,0x701e641c,0x001317bb,0x2a3bb710,0x6d4c402d,0x266ee019,
    0x16c44b99,0x33b10f4c,0x590e9981,0xb3339733,0x80676a62,0xda981bc8,
    0x9100ea00,0x00b515bb,0x0f6447d5,0x2202ee20,0x40b900ca,0x8d9ad8bd,
    0xa88dcc5a,0x98857105,0x22faa2ce,0x15cc1eb8,0x2ba21666,0x4765d930,
    0x12a8d119,0x00b51b7b,0x88570093,0x1c85880e,0x392c01c8,0x488b11d4,
    0x15c0b100,0xce980ea0,0x4c06ea89,0x1bb100ce,0x5c3324c0,0xe8910002,
    0x3200b20e,0x87a05501,0xa86880e8,0x205b0b02,0xd99dd12d,0x20fa803d,
    0x4024c02c,0x77016c1b,0x362b824c,0x2a1c9226,0x00911623,0xa806806c,
    0xda81d103,0x0019b105,0xb2c03366,0xb800064d,0x41262e42,0x5502b899,
    0x64077160,0x44581542,0x40e82207,0x316a6206,0x2c8c9809,0xd804a810,
    0xe8aa01d0,0x5054930d,0x77244287,0x424c1d40,0x99cb9998,0x8e98b509,
    0x0077222a,0x8ac1f540,0x9988d1cd,0xb0999999,0xfffffa81,0x3333b665,
    0x1605502e,0xfffffff9,0x8b02a87f,0x70b10049,0xfecdec85,0x4c05ffff,
    0x0d1002ee,0x980b3620,0x0ea55933,0xd24403a8,0x81c8680d,0xccedccc9,
    0x074c392c,0x000175cb,0x753707ae,0xcc98b193,0x72cccccc,0x06c04b83,
    0xb02a815c,0x154002b8,0x88034458,0x30f21c85,0x05e9800b,0xb7000ec0,
    0xb1594880,0x403a80ae,0x87200448,0x20750068,0x2cc1d33a,0x50007722,
    0x436ea07d,0x2600039e,0x05503743,0x441540b2,0x2a0034c5,0x01f85882,
    0xb1a21d82,0xb000fa81,0x2e0e095b,0x00e60043,0x8072d356,0x3824403a,
    0x801d4930,0x03a7603a,0x0336207b,0x44019b30,0x000b725d,0x8af661b0,
    0x5f909339,0x0bd31620,0x88550199,0x6d42f4c5,0xbdd14c81,0x11d43dd9,
    0x181d47fd,0x0b31a093,0x401cc01b,0x0367258e,0x824403a8,0x000d9606,
    0x107e4075,0x07d300d7,0x3a001bb1,0x55003e63,0xd876ecc0,0x33720dec,
    0x705ebaed,0x09f1bd9b,0x07db9bf7,0x3e37b36e,0xcccefa85,0x688c4762,
    0x6ddf66e4,0x24c00ded,0x06c07468,0x75b00730,0x0ea02dcc,0xb81a0910,
    0x0ea0058a,0x7eeedf4c,0xb9754004,0x0000001e,0x11030097,0x220004c0,
    0x02660009,0x98002620,0x03100001,0x41260013,0x006c0b26,0x83bb0073,
    0x201d406e,0x6c40d048,0xc804001c,0x80002620,0x00000031,0x00000000,
    0x00000000,0x00000000,0x7f75c000,0x3a7eeeee,0x0feeeeee,0x0eeeeed8,
    0x20bb0d90,0x20eeeeed,0xeeeefeeb,0x0036407e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdb910750,
    0xdb88a219,0xdc8828bd,0x546540ce,0x9507d73d,0x0039d933,0x932a3815,
    0x702a0cc9,0x666664c0,0x5479933c,0x333222cc,0x4c7332a2,0xccc89ccc,
    0x00b33220,0x79300c00,0x9984cc43,0x9882ee60,0x99999999,0x77106e20,
    0xb10e5c41,0x00c407bb,0x3fe60df9,0x2e273a63,0x22b62cae,0x674c4ea8,
    0x3222eb89,0x0ae9bb2f,0x3a63bb71,0x3d896e01,0x27323662,0x4c83a649,
    0xb3333770,0xb8837225,0x104f4c0d,0x8f4c13d3,0xa9981be8,0x1d81d103,
    0x321501c8,0x3fe1ff30,0xca864912,0xcccccccc,0xf8855515,0x3d77f11f,
    0x3b603704,0x2205ff00,0x2207a1ff,0x1220ea5f,0x5c1d103d,0xb85896a3,
    0xec82540d,0x3b609d10,0xbb0fd402,0xc83b8350,0x82b816a4,0x0ba2d049,
    0x0e980e60,0x2007205b,0x7f4ff10c,0x58003701,0xb87fc14c,0x6edc52a4,
    0x859ac82e,0x2d4006f9,0x05744790,0x71e40b50,0x2e1624c3,0x21d90b02,
    0x007605e8,0x01db0fdc,0xb5970254,0x01c86880,0x26003d3d,0x216f4c03,
    0x3dbacacd,0xd9be2754,0x8003a80f,0x53f414c5,0x2e2ca5c9,0xb8972542,
    0x015c001f,0xeecb88b3,0x4b3015c3,0x70b1261b,0x23fb1605,0x006c06f8,
    0x1be23f90,0x036c02d4,0xe81621c8,0x073003ed,0xf9301db0,0xd154017d,
    0x015c3e4b,0x6c14c580,0xd8fde7c6,0x1663eb88,0x8005d8b2,0x1012a04a,
    0x950254b7,0x858930dc,0x4f98b02b,0x00d80bee,0x17dc9f30,0x5e5c02cc,
    0x0ae58804,0x26013268,0x074d6c03,0x502076d4,0xc8d52645,0x53160001,
    0x0bb88b70,0x4726b722,0x0074700a,0x740f10cc,0x1e268122,0x4986e2e8,
    0x85815c2c,0x407ea4e8,0x24e8800d,0x40e881fa,0x00b525c2,0xc8d01a1b,
    0x5b01cc01,0x26d1074c,0x21e66445,0x2ef2e080,0xb884001c,0x00620bdc,
    0x20000000,0x832e2ff9,0x4c17c5b8,0xb71065c4,0x0b1261b8,0x74416057,
    0x03603ea3,0x0f4c7d10,0x99340744,0xac980b50,0x01a23403,0x260a2073,
    0x001b86e1,0x00000000,0x00000000,0x217fcc00,0xd84fddfb,0x80decccb,
    0x5c4fddfb,0x7c9d32ee,0xe893bb25,0x4c1b105f,0xdddfdd15,0x0742c83d,
    0xeeeeeec8,0x7549dfb7,0x03ba00ef,0xd90f7f4c,0x777776c5,0x000001ee,
    0x103dda80,0x6eeeeee4,0x770005dd,0x00180cc1,0x00880008,0x00c40066,
    0x00000198,0x00000000,0x00000000,0x00000000,0x80000000,0x4510ea3b,
    0x88888888,0x8b54b808,0x5ff33ff9,0x1306e74c,0x0006b936,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x58580000,0x90000e44,
    0xdd10da87,0x0d8bfe23,0x04cb93d3,0x00000031,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d4b0b00,0xbbbbb92b,0x8154bbbb,
    0x20044039,0x000002c8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x19500000,0x44088771,0x00888888,0x40000000,0x99999999,
    0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00732200,0x00000000,0x77771000,0x77777777,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_23_latin_ext_x[560]={ 0,4,2,1,2,1,2,4,5,2,0,1,2,1,
4,2,2,2,1,1,2,1,2,2,2,2,4,3,0,1,0,0,2,0,0,1,1,0,1,1,1,2,1,0,
1,0,0,0,1,1,0,1,1,0,0,0,0,0,2,0,0,0,2,0,4,1,0,1,1,1,2,1,0,1,
1,1,1,0,1,1,0,1,1,2,1,0,0,0,1,1,2,0,5,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,1,2,0,
5,1,3,0,0,0,0,1,0,-1,3,1,3,3,4,0,1,4,4,3,2,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,1,2,1,2,1,2,1,2,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_23_latin_ext_y[560]={ 16,3,3,2,2,3,5,3,3,3,3,5,13,9,
13,2,3,3,3,3,3,3,3,3,3,3,7,7,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,3,20,2,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,16,7,2,4,5,4,
3,3,3,4,3,7,9,9,4,1,1,3,3,3,2,7,3,8,15,3,3,7,3,3,3,7,0,0,0,1,
1,0,4,4,0,0,0,1,0,0,0,1,4,1,0,0,0,1,1,6,3,0,0,0,1,0,4,3,2,2,
3,4,3,2,7,7,2,2,3,3,2,2,3,3,3,4,2,2,3,4,3,5,6,2,2,3,3,2,3,3,
1,4,0,3,4,7,0,2,0,3,0,3,0,3,0,3,4,3,1,4,0,3,0,3,4,7,0,3,0,3,
0,3,0,3,4,2,0,0,4,3,1,4,1,4,0,3,4,3,0,7,4,3,0,3,4,3,7,0,-1,4,
3,4,3,4,3,4,3,0,2,4,7,0,3,3,4,7,1,4,0,3,0,2,4,7,0,2,4,7,0,3,
0,2,0,3,4,7,0,3,4,4,0,3,4,4,1,4,1,4,0,3,-1,2,0,2,4,7,0,3,0,3,
1,0,2,0,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,4,7,3,3,3,3,3,3,3,3,3,3,3,3,3,2,7,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,0,3,0,
3,0,3,0,1,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-4,-1,0,2,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_23_latin_ext_w[560]={ 0,4,8,10,8,10,9,4,5,5,8,10,6,10,
4,8,8,8,9,10,8,10,9,8,8,9,4,5,10,11,10,8,8,13,12,10,11,11,11,11,11,8,11,12,
11,13,12,11,11,11,13,10,10,12,13,12,12,12,9,4,8,4,8,13,4,11,12,10,11,10,10,11,12,10,
8,11,10,13,11,10,12,11,11,9,10,12,12,12,11,11,8,5,2,5,10,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,8,10,9,12,
2,10,7,13,7,10,11,10,13,14,6,10,6,6,4,12,10,4,4,6,8,11,13,13,13,8,13,13,13,13,
13,13,13,10,11,11,11,11,8,8,8,8,12,12,11,11,11,11,11,8,12,12,12,12,12,12,11,11,11,11,
11,11,11,11,12,10,10,10,10,10,10,10,10,10,10,11,10,10,10,10,10,10,11,12,12,12,12,11,12,11,
13,11,13,11,13,11,10,10,10,10,10,10,10,10,11,12,12,11,11,10,11,10,11,10,12,10,11,10,11,11,
11,11,11,11,11,11,11,12,11,12,8,10,8,10,8,10,8,10,8,10,13,11,11,8,12,11,10,11,10,11,
10,11,10,11,10,12,10,12,11,12,11,12,11,12,10,9,11,10,11,10,11,10,13,12,13,11,13,11,13,11,
10,9,10,9,10,9,10,9,10,10,10,10,10,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,11,
12,9,8,9,8,9,8,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,11,11,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,8,10,11,
10,12,12,12,12,12,12,12,12,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,11,13,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_23_latin_ext_h[560]={ 0,14,7,16,16,14,12,7,16,16,8,11,6,2,
4,16,14,13,13,14,13,14,14,14,14,14,10,12,11,5,11,13,15,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,15,12,13,12,13,12,12,12,12,12,16,16,16,6,2,4,10,14,10,14,10,13,13,13,13,
17,13,13,9,9,10,13,13,9,10,13,10,9,10,9,13,9,16,16,16,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,13,14,12,10,12,
16,15,3,13,6,9,7,2,13,2,6,13,7,8,4,13,15,4,5,7,6,9,13,13,13,13,16,16,16,15,
15,16,12,16,16,16,16,15,16,16,16,15,12,15,17,17,17,16,16,8,14,17,17,17,16,16,12,14,15,15,
14,13,14,15,10,13,15,15,14,14,14,14,13,13,14,12,15,15,14,13,14,10,11,15,15,14,14,18,17,17,
15,13,16,14,15,12,17,15,17,14,17,14,17,14,16,14,12,14,15,13,16,14,16,14,15,12,16,14,17,17,
17,17,17,17,16,18,16,16,12,13,15,12,15,12,16,13,15,16,16,9,13,17,17,17,16,17,9,16,17,16,
17,12,13,12,13,12,13,16,14,16,13,16,13,13,13,13,16,13,17,14,17,15,12,10,16,14,16,13,16,13,
17,15,17,14,16,13,17,14,17,17,16,14,12,13,16,13,16,13,17,14,18,15,17,15,15,12,16,14,16,17,
15,16,14,16,13,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,10,13,13,13,13,13,13,13,13,13,13,13,13,13,15,10,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,14,16,13,17,
14,17,14,17,16,17,17,17,17,17,17,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,18,16,15,17,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_23_latin_ext_s[560]={ 250,36,181,132,111,209,118,216,91,97,165,
87,245,64,222,28,81,247,91,197,114,208,23,90,99,231,1,221,110,195,121,
123,218,238,1,132,26,38,50,154,86,98,166,195,139,216,177,192,230,73,151,
204,50,215,73,37,208,24,14,249,176,171,236,238,212,169,173,218,197,194,242,
25,12,37,59,48,73,39,53,28,60,96,76,18,1,205,121,132,109,108,100,
126,103,250,227,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,250,250,158,
146,229,157,74,162,238,228,228,65,197,64,178,75,221,143,190,174,207,101,23,
217,190,209,181,88,29,15,1,238,77,176,60,204,23,132,120,103,114,120,11,
37,245,226,167,184,170,111,180,50,23,224,199,156,12,74,197,129,37,64,134,
135,135,99,85,190,60,61,239,226,12,1,1,241,130,220,13,80,186,165,193,
173,141,227,119,145,98,240,147,68,55,52,92,47,85,202,1,232,160,183,87,
124,233,33,1,108,239,174,118,219,242,185,49,101,200,1,212,12,227,227,244,
44,244,173,68,35,210,77,163,40,175,187,14,54,47,75,153,128,154,194,1,
233,224,145,180,1,26,153,141,62,134,106,118,91,12,190,60,61,37,1,179,
15,244,236,48,211,158,237,205,170,159,71,80,147,38,117,202,156,77,97,50,
214,23,1,142,94,162,41,130,82,222,152,228,205,143,162,107,43,146,67,203,
24,105,109,15,81,13,10,140,62,154,72,190,185,34,216,51,235,92,1,112,
121,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,132,84,84,56,
84,84,84,84,84,84,84,84,84,84,84,84,84,145,6,84,84,84,84,84,
84,84,84,84,84,84,84,84,67,181,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,46,167,
37,216,216,25,192,122,167,98,141,128,115,102,89,154,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,1,28,185,104,64,128,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84, };
static unsigned short stb__courier_23_latin_ext_t[560]={ 18,139,222,40,40,124,196,222,58,58,222,
209,222,19,230,75,124,154,168,108,168,108,124,124,124,124,222,182,209,230,209,
168,92,182,196,168,196,196,196,168,196,196,168,182,196,196,196,168,196,108,196,
168,209,168,209,209,182,209,209,58,58,58,222,234,230,209,124,209,124,209,168,
182,182,182,22,182,182,222,222,222,182,182,222,222,182,209,222,209,222,182,222,
58,75,1,230,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,18,139,139,
182,209,182,75,92,230,168,222,222,222,19,168,19,222,168,222,222,230,168,92,
230,230,222,230,222,168,168,168,154,75,40,75,92,108,58,182,58,58,40,58,
108,40,40,40,92,182,108,1,40,22,58,58,222,139,40,22,22,58,58,182,
139,108,108,139,139,139,108,209,139,108,108,139,124,124,124,154,168,124,196,92,
92,124,154,124,209,209,92,108,124,124,1,22,22,108,139,75,108,108,182,40,
108,22,124,22,124,1,108,75,108,196,108,108,154,75,124,75,124,92,182,75,
124,22,22,22,22,22,1,75,1,75,75,196,168,92,196,92,196,75,154,92,
75,75,222,154,40,40,22,75,40,222,75,22,75,22,196,154,209,154,209,139,
75,108,58,154,58,154,139,154,154,58,154,22,139,40,92,196,209,58,139,58,
139,58,154,22,92,22,139,75,154,22,124,1,1,40,124,196,168,58,168,40,
154,22,139,1,92,40,92,92,196,40,139,40,22,92,40,139,40,154,58,154,
154,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,154,182,182,92,
182,182,182,182,182,182,182,182,182,182,182,182,182,154,222,182,182,182,182,182,
182,182,182,182,182,182,182,182,92,209,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,75,139,
75,154,1,139,1,139,1,40,1,1,1,1,1,1,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,1,1,58,92,1,92,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182, };
static unsigned short stb__courier_23_latin_ext_a[560]={ 195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_23_latin_ext(stb_fontchar font[STB_FONT_courier_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_23_latin_ext_s[i] + stb__courier_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_23_latin_ext_t[i] + stb__courier_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_23_latin_ext_x[i];
            font[i].y0 = stb__courier_23_latin_ext_y[i];
            font[i].x1 = stb__courier_23_latin_ext_x[i] + stb__courier_23_latin_ext_w[i];
            font[i].y1 = stb__courier_23_latin_ext_y[i] + stb__courier_23_latin_ext_h[i];
            font[i].advance_int = (stb__courier_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_23_latin_ext_s[i] + stb__courier_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_23_latin_ext_t[i] + stb__courier_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_23_latin_ext_x[i] + stb__courier_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_23_latin_ext_y[i] + stb__courier_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_23_latin_ext_LINE_SPACING
#endif

