// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT        222
#define STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_33_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_33_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_33_latin_ext_pixels[]={
    0x0000dc00,0x00080004,0x22007100,0x51000a01,0x00598001,0x00000038,
    0x05501530,0x510001c0,0x0910ea00,0x1002b800,0x01400000,0x02002008,
    0x00320008,0x300004c0,0x9ddddddd,0x00011000,0xb80000aa,0x00018000,
    0xb8000019,0x20030001,0x0001eee9,0x000a80a8,0x3b600b22,0x1fb005ee,
    0x006c8000,0x980003c8,0x20d5004e,0x1fcc006a,0x4007f500,0x8000efe8,
    0x5c002eec,0x8806e81f,0x4c001efd,0x6c400dfe,0x40005d35,0x0bd000ec,
    0x320005d3,0x40fd400f,0x40de806d,0x3d5002f9,0x003f7000,0x4cccccc0,
    0x7f4c0009,0x04f98001,0x00774400,0x0003bee0,0x200003d9,0xfb8000ed,
    0x1faa800e,0x227dc000,0x3f2005fa,0x6554c00f,0x0076c406,0x001db100,
    0xa8000598,0x05f4003f,0xf98005f3,0x005f7003,0x17e467cc,0x00347700,
    0x01ba07ee,0x05f919f3,0x3b62fee0,0x8f764101,0xbb044008,0x87744004,
    0xdb0003fa,0x44fee001,0xed8800de,0x11007f71,0x70008be6,0x8020005f,
    0x2afea000,0x5e88003f,0x00bd1000,0x2fc9ed88,0x000fe400,0x8001db10,
    0x02fc9ed8,0x980003f0,0x0016c41d,0x6a800bf5,0x00037a20,0x8000de88,
    0x2a0002ec,0xfd98002f,0x88004fed,0x01fb801c,0x7f50bea0,0x01c83600,
    0x0ee032a0,0x1fd43fa8,0x3f707f20,0xf82a2fa8,0x238b7c06,0xbf9003fa,
    0xdd10003f,0xfee98001,0xedfb8004,0x9c4df001,0x7f5003fa,0xd81fc800,
    0x4c3f9007,0x744000de,0x13e6000e,0x541bd100,0x17dc003f,0x002f4400,
    0x7f506f44,0x00003f00,0x00000000,0x001c40d5,0xd00026c0,0x0dc000bf,
    0x006a2000,0x004c0000,0x00c40260,0x00698ca8,0x40660000,0x9804c018,
    0x7900ec40,0x3b103c80,0x0006d400,0x220004a8,0x36a0002c,0x440f2000,
    0x0166001d,0x09701b30,0x03220320,0x30005c00,0x20730005,0x02980038,
    0x30003880,0x3e00e207,0x00000001,0x06a80000,0x00003322,0x2a200013,
    0x32000000,0x00000000,0x00000000,0x00066d40,0x00000000,0x00000000,
    0x88288000,0x28828802,0x00000000,0x22000000,0x00002882,0x00000000,
    0x00000000,0x00000000,0xf0000000,0x06f6ea23,0x980d5544,0xb7300aaa,
    0x0aaa2159,0x99e88354,0xce88000e,0x0000003d,0x16f7edc4,0x66dcc0d9,
    0xa855510a,0x1aaaaaaa,0x26035551,0x55510aaa,0x02aaa603,0x55550000,
    0x55555445,0x159b7301,0x5530aaa2,0x54355555,0x6544cccc,0x9950cccc,
    0xccca8999,0x41fe80cc,0x0ff402fd,0x332a0bf6,0x666544cc,0xfd9300cc,
    0x66654059,0x6666544c,0x6c1fe80c,0xcccca82f,0x66666544,0xdfd95100,
    0xd9300e39,0x64c0059f,0x26002cfe,0x2a02cfec,0x6544cccc,0x9950cccc,
    0xccca8999,0x999950cc,0xccccca89,0xcef99f80,0x7e40fecb,0xdfdd05ef,
    0xd97bf907,0x03ddf33f,0x3a8ae0d5,0x0361c800,0x8566dcc0,0xbd302aa8,
    0xf7bf7537,0x32f7f203,0x1eef99fe,0xddddddd3,0x17bff2bd,0xfc9f7f74,
    0xdfdd05ef,0x133332a7,0x21999995,0x70feeee9,0x907fdddd,0x33fd97bf,
    0x3b623ddf,0x25eeeeee,0x4c3cdfca,0x950beecc,0xcc9879bf,0x85b80bee,
    0x42dc00da,0xdfca80da,0x77664c3c,0x9acfc80b,0xfca81fdb,0x7664c3cd,
    0xa85b80be,0xcdfca80d,0x5f7664c3,0x9acee880,0x901fdfdb,0x3fb7359f,
    0xb9acfc80,0x67e401fd,0xa81fdb9a,0x64c3cdfc,0xf950beec,0xecc9879b,
    0x9bf950be,0xbeecc987,0x703fcf80,0x8806a81d,0xa81ed81f,0x835407cf,
    0x20007249,0x3200360c,0x99fecbdf,0x1fd41eef,0xdb02fe88,0x00f9f503,
    0x40354b70,0x403541f8,0x37f2a1f8,0x77664c3c,0x401f100b,0x540f6c3d,
    0x5b8007cf,0x03c800f8,0x0079001f,0x20000000,0xb03c800f,0x403ee01d,
    0x003c800f,0x9001f000,0x8817a207,0x00ed81fd,0x03b601f7,0x0ed807dc,
    0x03e01f70,0x007c0f20,0x800f81e4,0x00bfe03c,0xb805d0d7,0x2600fa85,
    0x9035407f,0x260009bb,0xed805b9d,0x207cfa81,0x0ffa203e,0x7f9803ea,
    0x1745b800,0x017416e0,0x4007c16e,0x007c403c,0x3007d47b,0x0b7000ff,
    0x2079001f,0x003c800f,0xf0000000,0xd7079001,0xf80ea801,0x0003c800,
    0x79001f00,0xf100bd10,0x5400eb83,0x20075c0e,0x0075c0ea,0x003e03aa,
    0x4007c0f2,0x9001f03c,0xe802fc07,0x07e03541,0x01f200ba,0x000880d5,
    0x54015c40,0x41fe600f,0x7d6ec06b,0x3e401740,0x1aa2dc00,0x01aa03f0,
    0x2003e03f,0x007c403c,0x6401747b,0xf85b8007,0x1f03c800,0xaa887900,
    0x88555302,0x555302aa,0x0f2003e0,0x13a005f1,0x10f2003e,0x2aa60555,
    0x79001f02,0x0e001d50,0x93a005f1,0x49d002f8,0x09d002f8,0x2079001f,
    0xf03c800f,0x7c079001,0x5d079003,0x007c16e0,0x91aa03d4,0x00799999,
    0x00ba0000,0x700fc1f2,0x01f0fa1f,0xb7000f50,0x016e05d0,0xf816e05d,
    0x4403c800,0x0f8f600f,0xb8007a80,0x3c800f85,0x879001f0,0xee886eeb,
    0x43775c7e,0x1f07eee8,0x06b87900,0x003e1a60,0x0ddd70f2,0x3e0fddd1,
    0x4c83c800,0x801ae000,0x9801ae69,0x69801ae6,0x03c800f8,0x2079001f,
    0x203c800f,0x70b7001f,0x1e207e0d,0x1aa03cc0,0x1fbf9997,0xcdca8800,
    0x54007c03,0x3e607887,0x007896e1,0x0b7000f3,0x7007e0d7,0x0f807e0d,
    0x7c403c80,0x03c4f600,0x5b800798,0x03c800f8,0x2079001f,0x983c4069,
    0x0f83c406,0x01e43c80,0x001f03e0,0x101a6079,0x32003e0f,0x20001e83,
    0xc87c003c,0x3c87c003,0x03e07c00,0x007c0f20,0x800f81e4,0x400fe03c,
    0x6b85d04c,0x1ea003e0,0x47c40d50,0xdfd3003d,0x101ffb7b,0x2a1e600f,
    0x6a87f106,0x03d4007c,0x42e82dc0,0xb85d006b,0x64007c06,0xb007c403,
    0x3d4007c7,0x07c2dc00,0x00f81e40,0x80d303c8,0x880d3078,0x79001f07,
    0x0f4002e8,0x40f2003e,0xf83c4069,0x3c43c800,0x000ba000,0xd000ba3d,
    0x3d000ba3,0x03c800f8,0x2079001f,0x203c800f,0x205d005f,0x7d017c6b,
    0x6a80fb00,0x803556e0,0x20990098,0xb87a800f,0x8f309d05,0x007d803e,
    0xf8d705b8,0x2f8d7002,0x1e4007c0,0x3d803e20,0x01f600fa,0x003e16e0,
    0x4007c0f2,0x880d303c,0x7880d307,0x879001f0,0x21ec001f,0x303c800f,
    0x1f07880d,0x07887900,0x2000fc00,0xd8003f3d,0x3d8003f3,0x81e4007c,
    0xf03c800f,0x7c079001,0x2035c02f,0xfa80d72e,0x501fea00,0x03f1740d,
    0xd01f1000,0xb50fb007,0x51e60d90,0x03fd401f,0x25d02dc0,0xb974006b,
    0xc800f806,0xb007c403,0xf5007d47,0xf0b7000f,0x3e079001,0xd303c800,
    0x0d307880,0x001f0788,0x4001e879,0x64007c2d,0x7880d303,0x879001f0,
    0x2aaa6078,0x003d0aaa,0x8003d2d8,0xd8003d2d,0x1e4007c2,0x03c800f8,
    0x4079001f,0x3f903fcf,0x005d6b80,0xf7f503db,0x8f306a80,0x5d00004c,
    0x7d401f50,0x07d46987,0x81ed85b8,0xb8007bfa,0x0175ae05,0x40175ae0,
    0x403c800f,0xb0f600f8,0x0f7f503d,0x01f0b700,0x003e0790,0x2034c0f2,
    0x880d3078,0x79001f07,0x074003d8,0x40f2003e,0xf83c4069,0x0f83c800,
    0xdfdddd90,0x1d000f63,0x21d000f6,0x2074003d,0xf03c800f,0x3e079001,
    0x3e03c800,0xedcdee99,0x0dbd001e,0x7666fdc0,0x3540799f,0x003cc4c8,
    0xd3599753,0x2a07b605,0x30f887bf,0xb826403f,0x99feccdf,0x405b8007,
    0xbd0006de,0x2003e00d,0xf999983c,0x41ec1999,0x9feccdfb,0x85b80079,
    0xf03d801f,0x2607b003,0x6983c406,0x01f83c40,0x002643d8,0xb003f0f1,
    0xf101a607,0x0f6007e0,0x21f8007a,0xc9e2004c,0x4c9e2004,0x07e1e200,
    0x00fc0f60,0x801f81ec,0xb987e03d,0x7dc002bc,0x5e5c4002,0x6a80f309,
    0x805d03f0,0xdccdefd8,0x37ee02ff,0x0799fecc,0x4407d19b,0x2f2e202f,
    0x7000f309,0x002fb80b,0x3e005f70,0x7e43d801,0xffffffff,0x65c40f64,
    0x000f309b,0xf005b0b7,0x3e00b605,0x7880d302,0x07880d30,0x985f005b,
    0xb0b9000f,0x2605f005,0x2d83c406,0x03d82f80,0x00f987e0,0x007ccb90,
    0x003e65c8,0x4016c2e4,0xf005b02f,0x3e00b605,0x00007e02,0x400006a8,
    0x4c354079,0x7c40b706,0x100ba00d,0x1e613797,0x3202efcc,0x01e60005,
    0x0d5016e0,0xb0035400,0x0005f005,0xf30007b0,0x970b7000,0x9700f980,
    0xf300f980,0x0f307980,0x80970798,0x804d80f9,0x404b81f8,0x80f300f9,
    0x98097079,0x000f980f,0x8804d83f,0x44026c1f,0x44026c1f,0x4c04b81f,
    0x9809700f,0x9809700f,0x0007e00f,0x00002e80,0x21aa02d4,0x201f104c,
    0x002e806c,0x0fe81e60,0x80003ee0,0x03d8005a,0x5d000174,0x26025c00,
    0x2e80000f,0x8005a800,0x201f884d,0x807e204d,0xa80f404d,0x5407a07f,
    0x403f107f,0x407f104d,0x03f103e8,0x407a026c,0x03f107fa,0x01d9026c,
    0x03f883f0,0x0fe20fa2,0x3f883e88,0x7c40fa20,0xf8813601,0xf8813601,
    0x3f013601,0x01aa0000,0x2a0fa000,0xeef86dcc,0x03feeeee,0x005d005d,
    0xdfa82d40,0x00fe442f,0x1000fa00,0x0035405f,0xf8800d50,0x00013601,
    0x3a0003ea,0x817c4003,0x077442fa,0xdd10bea0,0x260db801,0xb809fcfc,
    0x3f3f260d,0x442fa809,0x37e600ee,0x2a0274c0,0x0077442f,0xcfc9836e,
    0x42fa809f,0x7e400ee8,0x81fc880b,0x274c0df9,0xe981bf30,0x3037e604,
    0x42fa809d,0x7d400ee8,0x20077442,0x077442fa,0x400007e0,0x2200002e,
    0xcccb80ed,0x55557543,0x9906baaa,0x0017f440,0x25f107d0,0x0dfeeffb,
    0x03b62000,0x7406d980,0x00ba0002,0xdd10bea0,0x5ea80001,0x0076c400,
    0xea80db30,0x000dffef,0x1bffdfd5,0xffdfb100,0x109ff11b,0x11bffdfb,
    0x3faa09ff,0x8800dffe,0x03dfeefd,0xbffdfd50,0xfdfb1001,0x09ff11bf,
    0x37ffbfaa,0xdffd3000,0x44039ffd,0x03dfeefd,0xdfeefd88,0xeefd8803,
    0xfd5003df,0x2001bffd,0x0dffefea,0xffdfd500,0x3fb6201b,0xd7003eee,
    0x05bdfddd,0xfeeeec80,0x05b0000d,0x85f103d0,0x09bedfa8,0x203b6200,
    0x009a984d,0x7f777640,0xdddb300d,0x775c1bfd,0x402defee,0xdefeeeeb,
    0x77f54002,0x54000dff,0x404ffeee,0x0dfeeeec,0xfddddb10,0x2aa20019,
    0x15510000,0x01351000,0x00135100,0x0002aa20,0x40002a62,0x88000aa8,
    0x5100009a,0x26200015,0x220009aa,0x988000a9,0xa988000a,0x15510000,
    0x02aa2000,0x00554400,0x2aaaaaa2,0x55553002,0xa8003555,0x0001aaaa,
    0x132003e2,0x77ff7fdc,0x3209ffd1,0x00dfeeee,0x55000001,0xa8803555,
    0xa981aaaa,0x01aaaaaa,0x5555554c,0x5510001a,0x2aa60001,0xaaa800aa,
    0xaaa801aa,0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005b8000,
    0x2aa201f1,0xaaa80009,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x31009be9,
    0x000017d3,0x4cc40000,0x99999999,0x00199999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0xffc80fff,0x00000fff,0xfffb0000,0xffffffff,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x71000000,0x10002000,
    0x00800080,0x32020040,0xcccccccc,0x0b81cccc,0x00544000,0x20004008,
    0x4400e21a,0x40020000,0x22000200,0x000005c3,0x17000700,0x01000000,
    0x20020080,0x01000019,0x02000c00,0x01004008,0x00000980,0x01000151,
    0x01004004,0x00000030,0x20001510,0x74400008,0x1fec4005,0xe981bb00,
    0x06fdc003,0x09703d80,0xbf9999bf,0xf05d9999,0x2fb80003,0x12e07b00,
    0x7d11fa80,0x003df300,0x5a801f70,0xbd000d30,0x1ea807dc,0x3a2006c8,
    0x41ba2005,0x006c81ea,0x2a0037ee,0x2206d81f,0x1b10dffd,0x006fdc00,
    0x5a800f40,0x0fd40d30,0xdf50036c,0x9fd00003,0xf305a800,0x0d305a80,
    0x8800efb8,0x072defec,0x20013fa0,0x30003ffc,0xde9800bd,0xfb000dea,
    0xb000fea3,0x3003fb5d,0xf81f881f,0x82d82e81,0x7dc0001f,0x881f3002,
    0x25f5001f,0xafb804e8,0x3f2003fb,0x7d05f001,0x3ee6d800,0xe89fdc01,
    0x0bd3000e,0x2e02f440,0x003db13f,0x007f6bf6,0x06f44fee,0xbf911990,
    0x57ec00bf,0x174001fd,0x07d05f00,0x1bd13fa8,0x3ee7f200,0x27f40003,
    0x1f417c00,0x81f417c0,0x02fc9ed8,0x36a73bea,0xfe801fdf,0x27bea004,
    0x26002ee9,0x1fd4003f,0x2e001db1,0x22002fdf,0x00fee0de,0x13f6f7f2,
    0x6c1740fc,0x40001f82,0x3f6001c9,0x3004fdbd,0x2017a25f,0x013e61ed,
    0x5c001db1,0x006fdbef,0x01fa876c,0x009fbf30,0xf30027cc,0x3f7a6009,
    0x41bd1005,0xee9803fb,0x5710004f,0xb837a200,0xffd9803f,0x3ee019ae,
    0x3006fdbe,0x22009fdd,0x017e60ee,0x50001880,0x00dfb7df,0x1bf6fbee,
    0x7f506f44,0x3e207f10,0x0018801f,0x03ee0ba6,0x5c001540,0x4c003701,
    0x81cc000d,0x59710049,0x1740fc01,0xcfaa996c,0x00aaaaaa,0x32e20000,
    0x88aa000a,0x880c8803,0x0006e404,0x8000bca8,0x10006e0c,0x02a8005b,
    0x22001540,0x40e6003d,0x05910049,0x1cc00000,0x5f740498,0x804fec99,
    0x44000bca,0x40e2002c,0x00000038,0x0005e540,0x73005e54,0x01ee0e60,
    0x000003f5,0x00000000,0x00000000,0x80000000,0x2d82e81f,0xddddfdd9,
    0x00005ddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99500000,0xccca8999,0x400000cc,0x009f106b,0x00000000,0xd9510000,
    0x000e39df,0x00000000,0x07401ec0,0x3dfeca88,0x004eea8e,0xdfeca880,
    0xeca880e3,0xa880e3df,0x80e3dfec,0xccccccc8,0x32a203cc,0x2871cefe,
    0xf01305d0,0x55510003,0x764c0015,0x326002cf,0x91002cfe,0x20e5bdfd,
    0x201eeeed,0x544cccca,0x950ccccc,0xcca89999,0xec880ccc,0x22072def,
    0x472defec,0xccccccc9,0x333263cc,0x23cccccc,0x81ccccc9,0x953ccccc,
    0x99999999,0x337f2a19,0x5f7664c3,0x01999930,0x2e879995,0xccca86a0,
    0xcccccccc,0x3333322c,0xcccccccc,0xcccccc81,0xcee88003,0x1fdfdb9a,
    0x79999990,0x33332a00,0x50cccccc,0x99999999,0x00264199,0xb537bf30,
    0x2a21f5df,0x7cc0006c,0xaefda9bd,0x9bdf980f,0x80faefda,0xfda9bdf9,
    0x97100fae,0x799bf999,0x26b3ba20,0x801fdfdb,0x007e002e,0x0bfbbb20,
    0x5cd67e40,0x67e401fd,0x201fdb9a,0xfda9cefa,0x5554c1fd,0x37f2a02e,
    0x77664c3c,0x79bf950b,0x0beecc98,0x6d4e77d4,0x77d41fdf,0x1fdfda9c,
    0x999999d5,0x66754db9,0x26dccccc,0x81cccfc8,0x932eeccb,0x999bf999,
    0x79001f07,0x80bdfc98,0x0fc3dfca,0x99fb9300,0x9d999999,0x7e6666fc,
    0x82eccccd,0x0fdfcccb,0x8817a200,0x999701fd,0x93001fbf,0x999bf999,
    0x7e6664c7,0x7cc3cccd,0x02e88002,0x0d503fea,0x50174400,0x02e881ff,
    0x5d103fea,0x0007fd40,0x0bd100b6,0x7400fec4,0x0007e002,0x3b600ba0,
    0x3601f700,0x101f700e,0x07fe207f,0x01f005d0,0x003e0790,0x40fe20f2,
    0x0fe21ff8,0x05a8ffc4,0xe80b5274,0x90007c44,0xf802e807,0xd703c800,
    0x0b906b80,0x9900d500,0x6c1740fc,0x1ec7c402,0x8805e880,0xd8f8801f,
    0x005d0003,0xdfa802e8,0x03e8801b,0x03540fc8,0xc803e880,0x200fa20f,
    0x00fa20fc,0x5b0003f2,0x4402f440,0x002e801f,0x3a00007e,0x20075c02,
    0x0075c0ea,0x80f703aa,0x017401fa,0x81e4007c,0xb83c800f,0xf70fd407,
    0x0b51fa80,0xc816a364,0x6c001f06,0x7c017403,0x3603c800,0x2203f104,
    0xd5001bee,0x40fc9900,0x5c02d82e,0x3aa00d55,0x2e007000,0x3a000d55,
    0x00174002,0x039dfdb5,0x03e200d5,0x1aa000d5,0x0d507c40,0x06a83e20,
    0xd8001f10,0x4003aa02,0x4005d003,0x2e80001f,0x7400be20,0x7400be24,
    0x07401ec4,0x03e00ba0,0x007c0f20,0x401ec1e4,0x3a00f60e,0x03e60b50,
    0x403e60b5,0x742fd41e,0x7c017402,0x2203c800,0xa804d81f,0x2a03dffd,
    0x07e4b806,0xd00b60ba,0x26400fc5,0xf1740000,0x005d0003,0x510002e8,
    0x002d85f9,0xdba9aa02,0x800b601c,0x810016c0,0x0002002d,0x004c80b6,
    0x2002e800,0x2e80001f,0x69801ae0,0x469801ae,0x5d00004c,0x79001f00,
    0x0f2003e0,0x13200132,0x7d107300,0x07d10730,0x21fb216c,0x4017401f,
    0x403c800f,0x0007546b,0x2a03bae6,0x3f044186,0x405b05d0,0x74026479,
    0x3cc00001,0x0ba00132,0x00005d00,0x0007c3f5,0x33ba3aa0,0x01f04feb,
    0x00007c00,0x8000001f,0x0007a02d,0xf800ba00,0x02e80001,0x21f000f2,
    0x307c003c,0x5d00005f,0x79001f00,0x0f2003e0,0xf3000be6,0x0bb00005,
    0x1ec05d80,0x01f07aba,0x00f802e8,0x14e803c8,0x5c80005f,0x202e86a8,
    0x01305d02,0x101e6264,0x9900000f,0x2e800798,0x00017400,0x000f14c8,
    0xf307ff50,0x20007881,0x1e200078,0x0b600000,0x800003c4,0x007e002e,
    0x2e80ba00,0x02e8f400,0x37ea0f40,0x05d0001b,0x079001f0,0x40f2003e,
    0x5001bdfa,0x500037bf,0x07d4001f,0xc8f89320,0x0ba01e24,0x0f2003e0,
    0x01367e20,0xd503e200,0x005d3333,0x3f0005d0,0x03c405d0,0x740fc000,
    0x00174002,0x004980ba,0x0001e2b7,0x44c80fea,0x1e200078,0x00078800,
    0xf102d800,0x0ba00000,0x80004d80,0x0007e02e,0xb0007e7b,0x3bfb6a07,
    0x005d001c,0x2079001f,0x403c800f,0x01cefeda,0x0e77f6d4,0x8800be20,
    0x2e5b802f,0x4034cd55,0x800f802e,0x1ff7003c,0x7cc01b80,0x7ffffd40,
    0x02e8002f,0x05b834c0,0xaaa981e2,0x0d300aaa,0x05d0016e,0x3ea02e80,
    0x0f14e801,0x980d5000,0x10003c47,0x03c4000f,0x5b001100,0xaa981e20,
    0x4c40aaaa,0x0099be99,0x7e4c17dc,0x3d017401,0x03d2d800,0xa8802d80,
    0x02e802fc,0x03c800f8,0x0079001f,0x8017e544,0x3a02fca8,0x80274004,
    0x50f8f66a,0xf005d00b,0x40079001,0x406d803e,0x2e86a84d,0x4002e800,
    0x401f104c,0xdddd900f,0x413203df,0x0ba000f8,0x7d405d00,0xf897d405,
    0x03540000,0x001f11e6,0x40003e20,0x970000f8,0x07c05b00,0xefeeeec8,
    0x7ffffe41,0x75c00fff,0x01dffeef,0x00f602e8,0x000f61d0,0x1fa8001d,
    0x07c01740,0x00f81e40,0xf50003c8,0x81fa8003,0x035c006b,0x7b0fcf30,
    0x00ba016e,0x00f6007e,0xdfd802e8,0x203f2a0a,0x8001e86a,0x777c002e,
    0x03feeeee,0x01f8007a,0x3bbbbbbe,0x0ba003fe,0x7d405d00,0x44ea80ce,
    0x3540002f,0x00be1e60,0x20002f80,0x0990002f,0x00f405b0,0x000003f0,
    0x2201aa88,0x99be9999,0x88013219,0x78801327,0xe8099000,0xd801f802,
    0x7b003f03,0x00264000,0x407e6264,0xc80fcc3c,0x5c79bc43,0x05d00995,
    0x05f005b0,0x56c01740,0x1effefda,0x00a00d50,0xaea800ba,0x6baaaaaa,
    0x1f800f60,0x55555d50,0x7400d755,0x30174002,0x3fbbbf2b,0x0005c82f,
    0x21e60354,0x1720005c,0x0005c800,0x405d0099,0x007e003d,0x0d40006a,
    0x3ffffa20,0x33ffffff,0x9972001f,0x4cb9000f,0xe80b7004,0xf802d802,
    0x5f005b02,0x2b700498,0xe8b70049,0x07d0f203,0x2e47c1e4,0x7401ede6,
    0x4c04b802,0x00ba000f,0x5002fe20,0xd007e00d,0x4016c005,0x001f301e,
    0x4016c07e,0x005d001e,0x262002e8,0x5f1009bd,0x0d50aa00,0x02f88798,
    0x017c4550,0x00be22a8,0x4c04c954,0x003e600f,0x1fee00fc,0x001fee00,
    0x09b0032e,0x04d83f10,0x07ea1f88,0x05d013a0,0x0f980970,0x0f980970,
    0xa7400fd4,0x24e801fa,0xb91e405c,0xe9e83c80,0x802e9f82,0x01f8802e,
    0x05d00136,0x2a00ba00,0xe803f006,0x001f1002,0x00764099,0x007c40fc,
    0x02e80264,0x64001740,0x401fa803,0x203541fb,0x803f5079,0x00fd41fb,
    0x03f507ee,0x01d71fb8,0x076402ec,0x3a600fc0,0x06e98006,0xf8800e80,
    0x220fa203,0x50fa203f,0x02fa80bf,0x0fc40174,0x0fc409b0,0x0bf509b0,
    0x0bf52fa8,0x01f52fa8,0x801f53c8,0x80fbd83c,0x2e801ecc,0xe885f500,
    0x0174000e,0x6a802e80,0x2e803f00,0x2200b700,0x02ff200f,0x16e07f22,
    0x74007c40,0x00174002,0x7d4025cc,0x40f6cc0c,0x503cc06a,0x1ed9819f,
    0xd9819f50,0x819f501e,0x5fe41ed9,0x4003f220,0xfc880bfc,0x0002c801,
    0x23b00059,0x037e6008,0x6fcc09d3,0x7d4274c0,0x04ea80ce,0x5f5002e8,
    0x5400ee88,0x4077442f,0xea80cefa,0x2033bea4,0x266fe4ea,0x3d999999,
    0x3333337f,0xdd907b33,0x2603faa0,0x999be999,0x3fbfaa00,0x333000df,
    0x4001337d,0x4f5cc02e,0x99999999,0x74ccc41f,0x7d30099b,0x3a662013,
    0x3ffa600b,0x981cffee,0x331009be,0x9999817d,0x4c0999be,0x999be999,
    0x12a6ee00,0x7f7ff4c0,0x1eb880df,0x2013f510,0xdffeffe9,0x77ff4c00,
    0x74c00dff,0x00dffeff,0x1bfddfd5,0xeffe9800,0x9801cffe,0x00b30005,
    0x007bba60,0x7bfddfb1,0xfddfb100,0x7e56607b,0x882ffeee,0x99be9999,
    0xdfd50099,0x2a001bff,0x00dffefe,0x3bbbf2b3,0xfcacc2ff,0x7c2ffeee,
    0xffffffff,0xfffff3ff,0x07ffffff,0x1fe209f9,0x3ffffff2,0x4400ffff,
    0x3f2000aa,0x0fffffff,0x7e401700,0xffffffff,0x7e41ffff,0x0fffffff,
    0x07ffffe4,0x07ffffe4,0x026aa620,0x07ffffe4,0x87ffffe4,0xfffffffc,
    0xfff90fff,0x1fffffff,0x002f2e20,0x4c035310,0x7c44ffff,0x4c405fff,
    0xa988001a,0x1a988001,0x002aa200,0x13553100,0x00000000,0x4c400000,
    0xa988000a,0x554c4000,0xffff9809,0x5fffffff,0x00055440,0x4000aa88,
    0x8009aa98,0x0009aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40001004,0x000aa003,0x001c0001,0x88000100,
    0x200000cc,0x20040029,0x01004000,0x10004020,0x22000040,0x00402003,
    0x00000550,0x5500002e,0x44122000,0x00001eee,0x3b600644,0x30001eee,
    0x00640000,0x15400000,0x0000aa00,0xc8015c00,0x99999881,0x00000099,
    0x33333332,0xf303200c,0x1000f905,0x27cc00dd,0xe981bb00,0x0000f603,
    0x20003bea,0x000e99e8,0x4002fb80,0x02ec41eb,0x0f905f30,0x6f88bf30,
    0x1f509f00,0x017a6000,0x0fee17e4,0x0001fd40,0x8000dd10,0xe98002fb,
    0x00beaa05,0x805e8800,0x002eaaa9,0x0000efb8,0xd95103d4,0x000e39df,
    0xf30007ee,0xd9510009,0x1f51c7bf,0xfc80fa80,0x03ffffff,0x2cefdb88,
    0x677665c0,0x20ba00bc,0x03db14fa,0x8005e880,0x3f6005e9,0x7a807f51,
    0x657e4000,0x515c002f,0x1fc80007,0x265f7000,0x4fa8005f,0xf1001db1,
    0x3004e887,0x00bf21bd,0x50027cc0,0x002fa83f,0x200013e6,0x640005e8,
    0x4f98001f,0x00005d00,0x740013e6,0x27b62002,0x360002fc,0x359dd103,
    0x003fbfb7,0x98000fe4,0x37e6005e,0xfaefda9b,0x0bd013e0,0x37a60000,
    0x004fca9b,0x81740097,0x8005fee8,0x220004f9,0x37ee005e,0x007d001f,
    0x7d41dd10,0x1c926004,0x003b6000,0x07fbf300,0x27f74400,0xb0000000,
    0x20001ddf,0x000003fa,0x002f4400,0x80009f30,0xfa8000ed,0x000ba003,
    0x8000fe60,0x1bd1002e,0x4c001fd4,0x205e880f,0xdb001fd8,0x5e880001,
    0x2a02e880,0x403f20ff,0x800001fb,0x0dd103fa,0x17400970,0x5c000f20,
    0x0b880003,0x80036600,0x0498006a,0xddc80091,0x00640004,0x001d8800,
    0x00007900,0x00970000,0x00001b80,0x00910000,0x40001540,0x0350000c,
    0x80002e80,0x1740002a,0x07103980,0xbd109b00,0x1003f100,0x22000019,
    0x00fa200b,0x03f883f2,0xfec980dd,0x403e802c,0x025c03e8,0x000005d0,
    0x00000000,0x002e8000,0x08800000,0x00000000,0x00000000,0xa8999995,
    0x000ccccc,0x80000000,0x002cfec9,0x00000000,0x00000000,0x5554c2e8,
    0xd0000002,0x00000005,0x03aa03e2,0x000001c0,0x00d50000,0x30db03e2,
    0x567e405f,0xd701fdb9,0xb803ea00,0x654ba004,0x0acccccc,0x03333260,
    0xca8f332a,0xcccccccc,0x9999950c,0x20015999,0x9997006b,0x66664c19,
    0x99999901,0x3332a007,0x00accccc,0x33333320,0x79991003,0x33333260,
    0x879bf950,0x50beecc9,0x99999999,0x26059999,0xcccccccc,0xf902cccc,
    0x03fb7359,0x3cccccc8,0x33333200,0x99000ccc,0x20079999,0xccccccca,
    0x42e80ccc,0x2a1eeffd,0xcccccccc,0xe802cccc,0x33332a02,0xcccccccc,
    0x320b9002,0x33220004,0x9999303c,0x33332a19,0xcccccccc,0x010016c2,
    0x207c85f5,0x01f700ed,0x01f4003f,0x99740097,0xdccccdfc,0xdfc980df,
    0x3dfca80b,0x37f33326,0x37263ccc,0xffdccccf,0x5005f003,0x64c179fb,
    0x99700cfd,0x3001fbf9,0xb9999fb9,0x32e007ff,0x800fdfcc,0x981ffcc8,
    0x7c0ceecc,0x64c3c800,0xccccccfd,0x99304ecc,0x9999fbbf,0x01db09d9,
    0xccb803ee,0x7000fdfc,0x1799dd99,0x3f332e00,0xcc9800fd,0x3cccdfcc,
    0x03fa85d0,0x9999fb93,0x009d9999,0x7ee4c05d,0xcccccccc,0x01f8804e,
    0x6440003d,0xcc981ffc,0xfb930cee,0x99999999,0x0000f89d,0x41be27cc,
    0x075400eb,0x05b800f1,0x42e8012e,0x403f201f,0x8035c06b,0x206a802e,
    0x05b804ea,0x07980d50,0x00f63e20,0x13aa06a8,0x07b1f100,0x6406df80,
    0x79001f04,0x13201aa0,0x641e6f10,0x2a0075c4,0xd8f8800e,0x004b8003,
    0x03d8f880,0x3a005d00,0x2a00bee2,0xe804c806,0xc806a802,0xf105c804,
    0x36fc0000,0x03541320,0x000f1264,0x85f897e0,0x49d002f8,0x0354006a,
    0x21740097,0xb02e401f,0x4007e209,0x406a802e,0x0fc401fa,0x1e603540,
    0x00d55b80,0x07ea0354,0x00d55b80,0x3203e9f8,0x79001f04,0x13201aa0,
    0x641e6b70,0x7400be24,0x0d55b804,0x00009700,0x4001aab7,0x325d002e,
    0x00d5001e,0x005d0099,0x809900d5,0x00f101f8,0x01f4fc00,0x201aa099,
    0x0001e24c,0x709f337c,0xb734c00d,0x2e079800,0x3f0ba004,0xf102f880,
    0x74009b03,0xe806a802,0xa805c803,0xd003cc06,0x6a800fc5,0x3a003e80,
    0x9f8007e2,0x209900fa,0x503c800f,0xd809700d,0xb9320f33,0x201a6006,
    0x70007e2e,0x45d00009,0x02e8001f,0x001db5d0,0x025c0354,0x03540174,
    0x81ae025c,0x2aaa6078,0xa9f80aaa,0x2a09900f,0x1e24b806,0xf53ec000,
    0xf8007907,0x79800b50,0x271012e0,0x5400fc2e,0x1d51ae06,0x54017400,
    0x8802e806,0x2035400f,0xc8f30079,0xd00d5004,0x991e6005,0x04d8fc00,
    0x2003e099,0x830d503c,0x798fc008,0x001e4330,0x6479803e,0x0025c004,
    0x00991e60,0x3fa005d0,0x1aa001fd,0x5d001106,0x8830d500,0x3e017c00,
    0xfdddd900,0x1363f03d,0x186a8264,0x001f1044,0x1fd4fb00,0x47a00174,
    0x02dc0079,0x5d6a8097,0x078801f8,0x002f8a74,0x03540174,0x04d801ea,
    0x01e60354,0x401e6264,0x003d406a,0x20079899,0x9903f11f,0x0f2003e0,
    0x00174354,0x0373ccd3,0x03d000ba,0x001e6264,0x4c800097,0x174003cc,
    0x03f54e80,0x00ba1aa0,0x1aa00ba0,0x06a800ba,0x07e001e8,0xc81f88fc,
    0x05d0d504,0xf80002f8,0x07e13e66,0x03e27b00,0x12e04c80,0x3f0bad50,
    0xf8803e00,0x2e8004d9,0xf9106a80,0x007cc005,0x333333d5,0x07e00f53,
    0x41aa00ba,0x3e002fc8,0x3f002e81,0xf82642e4,0xd503c800,0x005d3333,
    0xd33f325c,0xb0007e07,0x1740fc07,0x80009700,0x4002e81f,0x545d002e,
    0x99ea801f,0xe8002e99,0x999ea802,0x0fa002e9,0x1f800f60,0x642e43f0,
    0x3333d504,0x005c805d,0xbf12fc40,0x2d8003d0,0x17c40136,0xd6a80970,
    0x3f001f85,0x000ffb80,0xcfa802e8,0x00cfedcc,0x3ea04d80,0xffffffff,
    0xb7069807,0xb999f500,0x4c0019fd,0x3e00b706,0x41321741,0x503c800f,
    0x05ffffff,0xfff31740,0x0007a07f,0x5c1a605b,0x0012e005,0x00b70698,
    0x85d002e8,0x7fd401fa,0x8002ffff,0xfffa802e,0xf5002fff,0x4003e600,
    0x2e83f01f,0xfffa8264,0x7c402fff,0xf9855002,0x01ec37c4,0x00f983a0,
    0x025c05c8,0x07e175aa,0x1f400fc0,0xa802e800,0x05fccccf,0x5403e600,
    0x6403cc06,0xa801f104,0x05fccccf,0x1f104c80,0x0fa83f00,0x4007c132,
    0x5d0d503c,0x7983e200,0x001ec0b6,0x8826403a,0x0097000f,0x0f882640,
    0x7400ba00,0x2a01fb82,0xe8002e86,0x2e86a802,0x64007d00,0xf01f800e,
    0x1320fa83,0x40174354,0x0fdc01fa,0x81f907ea,0x21e2004c,0x03ee00ec,
    0x26772662,0xd6b99999,0x78801f85,0x20005d00,0x986a802e,0x0fa0005e,
    0x01e60354,0x3bbbbbbe,0x435403fe,0x77c005e9,0x3feeeeee,0x24d81f80,
    0xb003f04c,0x07a1aa07,0x77777d40,0x02640267,0x777c0f10,0x03feeeee,
    0x03880970,0xdddddddf,0x0174007f,0x3220ba62,0xe86a819f,0x4cccc401,
    0x409999be,0x9801e86a,0x5fe4000f,0xf01fc880,0x82649b03,0x5001e86a,
    0x1ed9819f,0x43f886d8,0x0b9000f9,0x3f910bf6,0xffffff10,0xdfffffff,
    0x5003f0ba,0x000ba00b,0x83540174,0xf50005d8,0x0f301aa0,0xaaaaaea8,
    0x35406baa,0xd5005d88,0x75555555,0xf303f00d,0x016c1321,0x006a817c,
    0x2aab7205,0x01f3007c,0x57541720,0x6baaaaaa,0x6a809700,0xaaaaaea8,
    0x3a006baa,0x0bffe202,0x50fffff2,0xff98a00d,0xffffffff,0x2803545f,
    0xd30004d8,0x39ffddff,0x87cc0fc0,0x200d504c,0x3bffa602,0x3f980dff,
    0x009b0db0,0x7fdc03f1,0x0000dfee,0x01f85d00,0x05d004d8,0x2a00ba00,
    0x000fa206,0x20354174,0x4016c079,0x881aa01e,0x802d803e,0xc80fc01e,
    0x012e0995,0x01aa01f3,0x260f40fc,0x04d83207,0x05b01f88,0x097003d0,
    0x802d86a8,0x005d001e,0x00d50000,0x5400007e,0x7cc3f006,0x54c40000,
    0x01f8009a,0x354132b9,0x64401f80,0x807e401c,0x01fc42fa,0xbf3007d1,
    0x15c00015,0x803f0ba0,0x05d000eb,0x2a00ba00,0x0007cc06,0x2035435c,
    0x003e2079,0x406a8132,0x03e200f9,0x03f01320,0x44132be2,0xa813601f,
    0x7983f006,0x887e0798,0x40fa203f,0x04c800f8,0x235404b8,0x04c800f8,
    0x570005d0,0xf8035400,0x5400dc01,0x2643f006,0x002b8000,0xcaf880fc,
    0x3e00d504,0x4403c801,0x4c2f404f,0x0274c0df,0x055df7d4,0x12e60095,
    0x500fc2e8,0x0174003f,0x6a802e80,0xf0005c80,0x3cc06a85,0x3e200b70,
    0xb900d500,0xf8802dc0,0xea807e00,0x10bea04c,0x035401dd,0x4c2dc1f8,
    0xbf307e07,0x2e04e981,0x801f1005,0x2e35404b,0x001f1005,0x9730005d,
    0x7c01aa00,0x20164c01,0x223f006a,0x7300001f,0x500fc009,0x01aa099d,
    0x2dcc00fc,0xf9801f70,0xfeefd880,0xeffb803d,0x3ffffecd,0x0254dc40,
    0x4cd7cc5d,0x801feb99,0x099be999,0x2fa66660,0x75cc0999,0x17f10099,
    0x2e66b800,0x9fa9809e,0x804df4c0,0x4c0be998,0xf10099eb,0x09be9817,
    0x017d3310,0x3a0135f3,0x77f5404f,0x2e600dff,0x9999999e,0x33661f99,
    0x2667ea60,0xd881f999,0x203dfeef,0x31009be9,0x998817d3,0x999999dc,
    0x26fa66b9,0x17d33100,0x9be99998,0x26e20099,0x9eb9804a,0x99999999,
    0x7735301f,0x4ccf5cc0,0x1f999999,0x710000b9,0x3e600953,0x09fd009a,
    0x33333d73,0x403f3333,0x2a05a9ba,0x44037001,0x062000a9,0x97000cc4,
    0xfc85c017,0xadffffff,0xffffc800,0xfc80ffff,0xffffffff,0xfffff90f,
    0x007fd40b,0x7fffd4a0,0x3fffee0f,0x3fffff27,0xfffffc80,0xbfffff90,
    0xfc87fd40,0xfc80ffff,0x3f20ffff,0xf980ffff,0x01551004,0xffffffc8,
    0x1fffffff,0x3eebfff9,0xffffffff,0x02a6201f,0x1fffff90,0x1fffff90,
    0x3fffffe2,0x6fffffff,0x01fffff9,0x21fffff9,0xfffffffc,0x32e00fff,
    0x7ffe400b,0xffffffff,0x0f2e01ff,0xffffffc8,0x1fffffff,0x65c00003,
    0xfffc800b,0x44f980ff,0xfffffffc,0x01ffffff,0x00005e5c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x93000000,0xcc987999,
    0x333223cc,0x99999303,0x553bbba1,0xcccccccc,0x6665400a,0x6665c3cc,
    0x310b7104,0x01333333,0x8005ec72,0x0402001a,0x666664c0,0x0083cccc,
    0x00201001,0x555001a8,0x00155555,0x54000201,0x09880001,0xeb880000,
    0xea800c0d,0x33100c2e,0x00133333,0xdda80b30,0xbd7100c1,0x33200181,
    0x2003cccc,0xccccccca,0x002ccccc,0x1a880013,0x99999880,0x4cc40099,
    0x00099999,0x01880060,0x64c0080a,0x66443cdf,0x3f3223ee,0xeecc981f,
    0x23557f0c,0xccccfdc9,0x32603ffd,0x65c2ccfd,0x03bf03ef,0xfffffff5,
    0x36ccba0d,0xc803fdc0,0x201fdc2f,0xcdfcccc8,0x22fcc3cc,0x17e605f9,
    0xff700df1,0xdddd9001,0xf9803bdd,0x20037c45,0x10000ffb,0x440dfffb,
    0x5dd01a67,0x00bd59f9,0xb5bf75f9,0x3ffea01f,0x4006ffff,0x2fee03fa,
    0x00fdadfc,0xd59f95dd,0x6665c00b,0x93000fdf,0x999999fb,0xe8809d99,
    0xfd8803dc,0x3ea02ffe,0x06ffffff,0x7fffffdc,0xce98004f,0x506a802d,
    0x2017e60d,0x203c800f,0x226406df,0xa81aa00f,0x1035404e,0x003540bd,
    0x07a17400,0x2a00ff70,0x0017d41f,0x0fe60174,0x1fc409d1,0x3ee013a2,
    0x10000007,0x004e887f,0x80007fd4,0x798022de,0xc88301aa,0xd703004e,
    0x0000001b,0x41300bf2,0x0600deb8,0x40009d91,0x4003d8f8,0x404c806a,
    0xe880361c,0x005f710c,0x00000000,0x3a00b06c,0x540be60b,0x800f806f,
    0x0fa7e03c,0x5007c4c8,0x201fa80d,0x809d106a,0xe800004c,0x04c02642,
    0xd0000000,0x00000005,0x20013000,0x00028828,0x00130000,0x98003ee0,
    0x00001aa6,0x00000000,0x0000f640,0x80000000,0xa800d55b,0x6404c806,
    0x05c80360,0x000000d7,0x1a340000,0x7f6fecc0,0x201bea04,0x203c800f,
    0x9900fa9f,0x01aa00f8,0x986a80fa,0x544c803f,0x6544cccc,0x85d0cccc,
    0x0000004c,0x002e8000,0x00000000,0x360ff400,0x0000002f,0x02ec0000,
    0x805b9aa0,0x202cfec9,0x9303ccc8,0x32a19999,0xcccccccc,0x4004c00c,
    0xccccccca,0xccc80ccc,0x40003ccc,0xa8007e2e,0x4c04b806,0x3e205b9d,
    0x32a1f100,0xcccccccc,0x99902ccc,0x40007999,0x4004c9ca,0x5f9801a8,
    0x3c800f80,0xc826c7e0,0x0d5007c4,0x235405d0,0x899002fa,0x4c3cdfca,
    0x5d0beecc,0x666544c8,0x0ccccccc,0x3cccccc8,0xa80ba000,0xcccccccc,
    0x999950cc,0x99999999,0x666664c5,0xb703cccc,0x99301b50,0x99950199,
    0x66666547,0x2ccccccc,0x54002e80,0x9f9012e5,0x103fb735,0x9303ff99,
    0x32619dd9,0xcccdfccc,0x93280003,0x999bf999,0x3f332e07,0xf30000fd,
    0x1aa004c8,0x71001106,0x6c05b805,0x999fb932,0x09d99999,0x3f7f332e,
    0x07260000,0xbf300000,0x79001f00,0x81f88fc0,0xd5007c4c,0x35407a80,
    0x264005f5,0x43c800f8,0x3262642e,0xcccdfccc,0xbf999703,0x0ba0001f,
    0xdfcccc98,0x37263ccc,0xcccccccf,0x333aa4ec,0x06dccccc,0x37f26000,
    0x3dfca80b,0x3333f726,0x04eccccc,0x2dc002e8,0x8076c099,0x1b7e00fb,
    0x05d00990,0x0bcdba80,0x002e8176,0x003d8f88,0x00798990,0x000ba1aa,
    0x2603c800,0x6403542e,0x3d8f8804,0xa8000000,0x2200acdb,0x800f804f,
    0x5c87e03c,0x5007c4c8,0x00bf220d,0x0013eed5,0x2003e099,0x1320f43c,
    0x22000ba0,0xd0003d8f,0x802e8005,0x2a4c806a,0x00027405,0x1ae035c0,
    0x04c806a8,0x264002e8,0x003ae079,0x3a7e01d5,0x3a013203,0x7bdd3002,
    0x80db9ffb,0x55b8002e,0x207e000d,0x33d5002e,0x44005d33,0x3a03cdca,
    0x17ffe442,0x013201aa,0x4403556e,0x555302aa,0x32f7b620,0x09f103fe,
    0x079001f0,0x990ba0fc,0x33ea00f8,0x00cfedcc,0xefbecea8,0x3e07b001,
    0x0643c800,0x00ba012e,0x003556e0,0x174002e8,0x26403540,0x223640b5,
    0x555302aa,0x1f8826c0,0x13201aa0,0x3fffffea,0xffdd506f,0x27dddfdd,
    0x09d002f8,0x6403ea7e,0x9802e804,0x01ff504f,0x2e8002e8,0x0d30007e,
    0x7fd4016e,0x9802ffff,0xffdbdefe,0x37a21f80,0x03542d8b,0xf174025c,
    0x86eeb803,0xf987eee8,0x3e09d304,0xc800f803,0x1f507e03,0xa803e264,
    0x05fccccf,0x6c43bea0,0x817c400f,0x803c800f,0x017400fa,0x003f1740,
    0x2e8005d0,0x4b806a80,0x207cc16a,0xee886eeb,0x207e207e,0x4035404d,
    0x7d33104b,0x7554c033,0x1aaceaad,0x834c00d7,0x13209b1f,0x7d100ba0,
    0x202776c0,0x23cc002e,0x8264004c,0x86a800f8,0x0098802e,0x3643f099,
    0x830d50b6,0x323cc008,0x880d3004,0x7c403e87,0x0f803f82,0x07e03c80,
    0x07c4c936,0x0bd30d50,0x1ae03ea0,0x03e04fc8,0x7ec00f20,0x3000ba04,
    0xe8004c8f,0x40174002,0x3044186a,0x4c07d107,0x2e03c406,0x2a007546,
    0x40044186,0xd16c002e,0xf8007903,0x03f11f80,0x805d0099,0x263b605c,
    0x000ba00f,0x40079899,0xeeeeeeef,0xe86a803f,0x0f880001,0x2d87d0fc,
    0x00174354,0x200f3132,0x2e3c4069,0x7f0f5006,0x7b003f00,0x87cc0fc0,
    0xd5007c4c,0x2a017620,0x7dc0fa06,0x32003e05,0x407db003,0x2264002e,
    0x02e80079,0x35401740,0x2ec00174,0x0f101a60,0x00be29d0,0x000ba1aa,
    0x45d000ba,0x4002e81f,0x1721f81e,0x00ba0132,0xe83b605d,0xf000ba02,
    0x2a005d03,0xaaaaaaae,0x006a806b,0xf0ba0005,0x50b61ec3,0x05d3333d,
    0x02e81f80,0x23c40698,0xd03e003c,0xd005b005,0x5c80fc05,0x2a00f899,
    0x500fa206,0xf007cc0d,0x32003e05,0xe807a803,0x740fc002,0x00174002,
    0x27aa00ba,0x4002e999,0x034c00fa,0x27e201e2,0x33d5004d,0xd0005d33,
    0x3e1e8005,0x6c001f80,0x21741f83,0x402e804c,0x640ed80f,0x9800ba04,
    0x3600b706,0x5401e802,0x2603f006,0x2e9accba,0x6c1d50fc,0x7ffffd42,
    0x41a6002f,0x4069805b,0xd0017478,0x4a800c85,0x3f007c40,0xf132be20,
    0x26035401,0xd01aa00f,0x0f81e407,0x20ec3c80,0x002e804c,0x002dc1a6,
    0x05d000ba,0xffffff50,0x017c4005,0x01e2034c,0xa8007fdc,0x02ffffff,
    0x6c402e80,0xefeeefee,0x8003d0de,0x7d41f82d,0x0ba01320,0x80ec83f0,
    0x800ba03d,0x801f104c,0x04c800f8,0x41f80354,0xdccdefd8,0x360f42ff,
    0x3544ecdf,0x09900174,0x0d3003e2,0x00174788,0x0fc0003d,0x01f809b0,
    0x01f133aa,0x02e40354,0x206a80d5,0x9001f04c,0x02642e87,0x09900174,
    0x2e8003e2,0x54017400,0x3a002e86,0x880d3004,0x800fa007,0x8002e86a,
    0xfbaa802e,0x22aafbab,0x4074003d,0x1324d81f,0x45b00ba0,0x405d00ec,
    0x3bbe002e,0x03feeeee,0x0f8802dc,0x0fc01aa0,0x17401bf1,0x372e20b6,
    0x00f43544,0xddddddf0,0x069807fd,0x401323c4,0x2e0000f8,0x0076c43f,
    0x3a0135f3,0xb9807c4f,0x7f10099e,0x099eb981,0x099035f0,0xd0f6007e,
    0x2e804c85,0x3bbbbe00,0x2603feee,0x999be999,0x54017400,0xd7001e86,
    0x22034c00,0x800ba007,0x8001e86a,0x99e2002e,0x44009907,0x1f303f07,
    0x00ba0132,0x5403b2d7,0x400ba00f,0xaaaaaaea,0x2fa606ba,0x7d331009,
    0x333d7301,0x3f333333,0x21740364,0x06a8004c,0x2abaa050,0x06baaaaa,
    0x51e2034c,0x00d9001f,0xfddff500,0x7ffe401b,0x44f980ff,0xffffc80f,
    0x43fea05f,0x05fffffc,0x04c89ff9,0xe85f005b,0x17402642,0xaaaaea80,
    0xf506baaa,0xffffffff,0xa802e80d,0x3f305006,0x80d30f20,0x00ba0078,
    0x005006a8,0x33cc005d,0x4003e60d,0x3203f05c,0x05d00995,0x2201fdd0,
    0x8017402f,0xc81e802d,0xc80fffff,0x320fffff,0xffffffff,0x3a1fffff,
    0x3542e802,0xf8035400,0x1e802d81,0x0f301e60,0x40f980bb,0xfb8002b8,
    0x0000000a,0x0000001f,0x41320000,0x207cc04b,0x7402642e,0xd005b002,
    0x00197003,0x06a802e8,0x203e83f0,0x2603cc3c,0x800ba007,0x803f006a,
    0xa9e6001f,0x22013606,0x2203f01f,0x2e804caf,0x40befc80,0x02e804fb,
    0x4c800f88,0x00f20000,0x4c81d100,0x3a0bfa20,0x80354002,0x4007c41f,
    0xa80f404c,0x81ee887f,0x1ffe82fc,0x0001dc00,0x00f802b8,0x40000dc0,
    0x4132002b,0x213601f8,0x7402642e,0x800f8802,0x000e804c,0x06a802e8,
    0x202e43f0,0xf501e83c,0x0017400f,0x807e00d5,0x5354006a,0x101fc40b,
    0x500fc07d,0x05d0099d,0xeffc9fb8,0x5d001efe,0x2200b700,0x0d00000f,
    0xf1057000,0xbedfa885,0x1c0bea09,0x41f80354,0x01f1005b,0x9f9306dc,
    0xdff7013f,0x3f603dfd,0x32cc001f,0x025cc000,0x5930003e,0x04b98000,
    0x17d40d30,0x0ba03ba2,0x005d003d,0x03e200b7,0x400223b0,0x006a802e,
    0x9003ea3f,0x64c1b707,0xe8009fcf,0x401aa002,0x007b101f,0x3016e5a8,
    0x04e981bf,0x74026be6,0xe999984f,0x3e60999b,0x002aa621,0x337d3333,
    0x09be9813,0x017d3310,0x0935b000,0x86a32600,0x1effeffb,0xdfb89ffd,
    0x5cc5fcab,0x9999999e,0x2fa61f99,0x7d331009,0x3fbf6201,0x04ff88df,
    0x51002aa6,0x3fb20003,0xa9b88004,0x1666fc04,0x00773530,0x012a6e20,
    0xfd502ee8,0x3a01bffd,0x2660dd51,0x0999be99,0x8804df4c,0x2600be99,
    0x33301eee,0x813337d3,0x99999eb9,0x7f1f9999,0x33333333,0xfdfb107b,
    0x09ff11bf,0x266fa666,0x267ae600,0xf9999999,0x1bf99b31,0x1325b800,
    0x3fbbf620,0x3fff203d,0x44f980ff,0xfffffffc,0x00020fff,0xffffffc8,
    0xff90ffff,0xff901fff,0x80001fff,0x20001cb8,0x55440bda,0x764c0009,
    0x7ffe40bd,0xffffffff,0xffff91ff,0xffff901f,0x04d4401f,0x00000000,
    0x65c00000,0x6666400b,0x001e5c03,0x0002f2e0,0x0aa88075,0x902b85c0,
    0xffffffff,0x3fff21ff,0xfffc80ff,0x320000ff,0xffffffff,0xffff90ff,
    0xffffffff,0x3ffffe3f,0x03ffffff,0xc80026a2,0xffffffff,0xfffffc80,
    0xffffffff,0x000332e1,0x400551cc,0x00000a98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40260000,0x26028018,0x02806200,0x44000a80,
    0xd8800a01,0x80540b20,0x00300009,0x2cc00013,0x80c40260,0x0000a018,
    0x20006600,0x01100028,0x2202cc00,0x3b800a01,0x500c4166,0x00b80000,
    0x03b80000,0x26000770,0x0eeeeeec,0x0001b300,0x0a800c80,0x006cc000,
    0x4c000770,0x00044000,0x00c40054,0xfa83f905,0x640ed802,0x541aa01f,
    0x0ffec006,0x1aa0d500,0x1d92f440,0x3f707b60,0x3ffb2200,0xefffc84f,
    0x01fd4001,0x07f30bee,0x0bd30fe6,0x005f75c4,0x800ffee0,0x93004ffa,
    0x8007fffd,0x1fcc03fa,0x7dc017a6,0x3e207f31,0x0000f980,0x01d80ba0,
    0x800f6c00,0x754005e8,0xf3001902,0x7edc4009,0x201b22de,0x30001ffd,
    0x5e88009f,0x3fff6200,0x7ffdc02f,0x3ffb002d,0x74c3f980,0x3f27f705,
    0x22bf2001,0x0be800ed,0x74c00be6,0x2003fb8d,0x00be60be,0x00fc97a2,
    0x0f6c5fdc,0x10adfa80,0xf711ee83,0x00bf2005,0x02fba7d4,0x27d46f4c,
    0x005a8ba0,0x0bf33db1,0x1dd15f70,0xb8857e40,0x05f7005e,0x3ea37a60,
    0x223f5003,0x106ec04f,0x9999307d,0xecccc987,0x80017407,0x44000ed8,
    0x01d000ee,0x0bea0064,0xa9bde980,0x201fbdfb,0x03fa8de8,0x80017d40,
    0x7c400ee8,0x209f932e,0x2fc88cfc,0x3ee37a60,0x546f4c03,0x77f4c04f,
    0x5ffa8000,0x3b7f6600,0x89f3004f,0xfb3005e9,0x36009fdb,0x4c007ea5,
    0xf7000dff,0x701d5007,0x01ec801f,0x00f7f440,0x402ffd88,0x4400d839,
    0x81b620de,0x40fe41ed,0x07f100d9,0x44001fb8,0xf3002ffd,0x6c402745,
    0x980dfeef,0x6443cdfc,0x2e801dec,0x001bd000,0x2c4036c0,0x1fb802e0,
    0x440fea00,0x13e602fe,0x3ee00bd3,0x06d80001,0x42f982f4,0x80f881f9,
    0x02f4c4f9,0x400bff62,0x14400038,0x001a8800,0x002880c4,0x0a000d44,
    0x03880013,0x74007e60,0x1300fe03,0x0005c000,0x40e4005c,0x5014403a,
    0x00130140,0x01301720,0x10005c00,0x54400283,0x9001f002,0x000ba007,
    0x02800014,0x098000d0,0xd101f400,0x500c407f,0x00002600,0x807e2028,
    0xb7036c4e,0x00a20310,0x0000005c,0x00000000,0x00000000,0x00000000,
    0x0fd4013a,0x00000d70,0xa8000000,0x00000d83,0xa8000000,0x00000006,
    0x00000000,0x03c800f8,0x0001dfa8,0x2a000000,0x00000dfd,0xdd80d700,
    0x000000fa,0x20000000,0x3e35c06a,0x0003e203,0x95100000,0x5440079b,
    0x1000acdc,0x40159b95,0x2600aaa9,0x55510aaa,0x500aaa60,0x220159b7,
    0x555302aa,0x3dc00d50,0xdb981ea0,0x5cc010bc,0xa8022bdc,0x7400acdb,
    0xb9801661,0x4c010bcd,0x0022bdcb,0xcb9813a0,0xb98022bd,0x54410bcd,
    0x0555302a,0x01e6e544,0x01e4007c,0xdfd99bd5,0x81797107,0x2a200bca,
    0x32e03cdc,0x88005d51,0x7c03cdca,0x1f43ee01,0x2a605551,0x8155442a,
    0x55442aa9,0x88555302,0x3f13600f,0xca881d80,0x2aa203cd,0x2aaaaaaa,
    0x36f7bfa6,0x7fd400ff,0x402ffece,0xffeceffa,0x3eefe882,0x27dfdd10,
    0xee886eeb,0x7bdb107e,0xdd707fd9,0x0fddd10d,0x02e40097,0xbff503e2,
    0x20dbffb7,0xefeccdfc,0xbded886b,0x32603fec,0x54080ced,0xdffdbdff,
    0xd99bf906,0xb800d7df,0x99bf901f,0xf50d7dfd,0xdbffb7bf,0x7443775c,
    0xefe987ee,0x200ffdbd,0x703c800f,0xd89f303d,0xfb1febdf,0xfe981df9,
    0x80ffdbde,0x400dd886,0xfdbdefe9,0x2607880f,0xeeb96e1f,0x47eee886,
    0xee886eeb,0x43775c7e,0x4e87eee8,0x03e83f10,0xbdfd3174,0xf501ffb7,
    0xfddddddd,0x4c804c4f,0x7102fee0,0x02fee07f,0x0f607f71,0x06980f80,
    0x827cc3c4,0x80d304e9,0x3262d878,0xf803d83c,0x7cc0fe21,0xc880de86,
    0x9827cc7f,0x64c0404e,0x4c0fe23e,0x880de86f,0x654c07fc,0x01bd01ef,
    0x3f88ff91,0x0d30df30,0x00988788,0x4007c099,0x200f983c,0x3ae0544c,
    0x311760ec,0x0ee13201,0x13102754,0x41aa1320,0x4c3543f8,0x6983c406,
    0x06983c40,0x96f4c3c4,0x06c84eb8,0x009893ee,0x4c0d5099,0x03e2002f,
    0x3f500fe6,0x7d403f98,0x40985b81,0x880d3079,0x7c403e87,0x3c406982,
    0x667f447c,0x200f60ef,0xd501aa1f,0x47e805c8,0x017c403e,0x5416764c,
    0x17235406,0xfd501fa0,0x2017207f,0x2a03547e,0x3c406986,0xf807c400,
    0x4b83c800,0x7c400440,0x000fcc2f,0x407b01f1,0xf88001eb,0x84e82dc0,
    0x44069879,0x7880d307,0x07880d30,0x09fffff1,0x2faa07e6,0x503e2005,
    0x000be60d,0x401b60ba,0xe8036c5e,0x2fcc7985,0x2034c16e,0xa8035c78,
    0x3c406987,0xb10674fc,0x0fc01ecd,0x220805f1,0x2e69801f,0x2a0f5006,
    0x7c401cec,0x03f10402,0x2a200d30,0x400fc44e,0x2017c469,0x3c406980,
    0x1f02e800,0x07b07900,0xe83f4000,0xc8174004,0x005d101e,0xc85a85d0,
    0x0d30f306,0x80d30788,0x880d3078,0xf97df907,0x273ee03d,0x006a9fb8,
    0x74404174,0x332ea603,0x01f82e9a,0x001f8f30,0xeb83e0f3,0x06981e47,
    0x800f23c4,0x22034c0f,0xf105ee87,0x07e00f67,0x40357bf7,0x07900069,
    0xced887c0,0x5efdc001,0x001a601a,0x265d8800,0x6fdc0006,0x069801ab,
    0x975303c4,0x3e05d359,0x5c83c800,0x59951000,0x2616e07d,0x2e9accba,
    0x34033a60,0x9accba98,0x3ea34c2e,0x0d30b700,0x80d30788,0x880d3078,
    0xfa80dd87,0x39ffb501,0x32ea612e,0x8802e9ac,0xbdfb104e,0x885ffb99,
    0xffffffff,0xf10fffff,0xffffffff,0x5d01ffff,0x03d17574,0xe8f101a6,
    0xd30ba002,0x0fd87880,0x20265760,0xecb980f9,0x02dc1dff,0x3a002e80,
    0x33b22062,0x3fb2e601,0x002dc1df,0x5c3e2000,0xcb980005,0xd301dffe,
    0xfd887880,0x2ffdccde,0x079001f0,0x74c001f7,0xfffecdff,0x226fffff,
    0xfdccdefd,0x82ea802f,0x37bf622b,0x442ffdcc,0x6403f30f,0x3c406984,
    0x83c40698,0x263c4069,0x1017601f,0x77ec4790,0x02ffdccd,0x1bf105d8,
    0x4d7c1740,0x99999999,0x4ccd7c19,0x19999999,0xadde6990,0x80d300f8,
    0xd0017478,0x3c406983,0x5daa025c,0x8803dc05,0x016e3fca,0x3d001740,
    0x2d98f440,0x47f95100,0x8000005b,0x0000b72d,0x307f9510,0x7c47880d,
    0x7c0ba00d,0x7d03d801,0x1bfa8440,0x99999ce8,0x401bf119,0x1b91002e,
    0x06fc4d51,0xd19b05d0,0x4c17c407,0x6983c406,0x06983c40,0x501ae3c4,
    0x223d000f,0x00ba00df,0x403640d9,0x0003e82e,0x2a0000fa,0x263e2b76,
    0xf101a606,0x1f1004c8,0x43c40698,0x7aadc05a,0x540036c0,0x2000d30f,
    0x01f1004c,0x001620e4,0x0034c3ea,0x699ec000,0x7d400000,0x1e2034c0,
    0x205d00d9,0x302f802d,0x9fdc419f,0x2013a04d,0x002e806c,0xd905f7d4,
    0xbf305d00,0xd305c80b,0x0d307880,0x80d30788,0x22026478,0x43ee000f,
    0x202e806c,0x00ba00ec,0x001ae0ba,0x880006b8,0x25d745d7,0x47980f30,
    0x86c800fa,0x443cc079,0x2f8ba00f,0x001f0fe0,0x0007e27d,0x1b2003ea,
    0x0f8360d0,0x03f13e80,0x11f80000,0x03e0003f,0x80f30fa0,0x74017479,
    0xf9809702,0x3fff6200,0xe81321ce,0xe802e806,0xe83b8002,0xfd02e802,
    0x9807dc01,0x7983cc07,0x07983cc0,0x803ee3cc,0x8be2007b,0x702e802e,
    0x1322e01f,0xbb02fe88,0x01760a00,0xb8f7f014,0x80f403dd,0x405d87fa,
    0x203d00f9,0x20b707fa,0x7a836479,0x0fcc03f8,0x3e9801d7,0x01f30176,
    0x1fc680d8,0x0eb87e60,0x0b89f4c0,0x03ae2ec0,0x01fc7d30,0x407a07e6,
    0x102647fa,0x07e205fd,0x5d1004d8,0x7fe41aa0,0x40992882,0x00b82fe8,
    0x88132126,0xfdfa82fe,0x200fe442,0x40ff501e,0x40ff501e,0x88ff501e,
    0x4013e03f,0x102645e9,0x03f505fd,0x2217c4f4,0x409bedfa,0xfb881ee8,
    0x881ee886,0x13f606fb,0xdb803ff1,0x27f3f260,0x3207ba20,0x9836e02f,
    0xd809fcfc,0x889f712d,0x20bea0cf,0x5e980cff,0xfc882fd8,0x640f7445,
    0x5c49802f,0x4c067fc3,0x882fd85e,0x05fec5fc,0x3f603b62,0x7c5fc882,
    0x05e980cf,0x67e4c1b7,0x885f109f,0x809bedfa,0x076c42fa,0x2ec05d00,
    0xb8bf7ff2,0xa885f14f,0x3609bedf,0x3e20ee00,0x5f6fd442,0x3ee5f109,
    0x800dfeef,0x33f260db,0x20db809f,0x809fcfc9,0x33f260db,0x473ea09f,
    0x4c086eb8,0x42f883fc,0x09bedfa8,0x333337f3,0x3fee3d33,0xffd1effe,
    0x3bbfee09,0x7dc02eff,0x02effeef,0x03ec17dc,0x6fff7ec4,0xfb84ff88,
    0x401efeef,0x8dffefd8,0xfc884ff8,0xfb104ffe,0x27a05ffd,0x4ffeeffd,
    0x3fbbfee0,0x3fee01df,0x2001efee,0x740beceb,0xffeeffd9,0x3bbfee04,
    0xfb501dff,0x4019ffdf,0xdffeeffb,0xeffd9e81,0x36204ffe,0xf88dffef,
    0x3fbfee4f,0x09ffd1ef,0x37ffbfaa,0x20174000,0x9d8efefd,0x5c2efefb,
    0xd1effeff,0x4c06c9ff,0x3bfee05c,0x9ffd1eff,0x026a6136,0xffefd880,
    0x884ff88d,0x88dffefd,0xefd884ff,0x4ff88dff,0x27ff7f4c,0x1dffefe8,
    0x3ffbfee0,0x329ffd1e,0xffffffff,0x26aa21ff,0x2aa60000,0x1aa98001,
    0x10000000,0x53000135,0x9a880015,0x01350000,0x44003510,0x30009aa9,
    0x4c001355,0x060000aa,0x04d54c40,0x009aa980,0x80026a60,0x10009aa9,
    0x20013553,0x510009a8,0x44000135,0x3b0000aa,0x22035100,0x26aa201a,
    0xdddd9000,0xa88017bd,0x0008009a,0x01351000,0x00135100,0x80013510,
    0x54c009a9,0x26aa2000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x00540003,0x2001b300,0xcb98003b,0x06eeeeee,0x20003660,
    0x202a000a,0x016a000a,0x0a80015c,0x000000a8,0x800a20a2,0xeec80003,
    0xb0003722,0x206607dd,0x00000019,0xda8006c4,0x10dec000,0x19b50057,
    0x00000000,0x00079100,0xd8800000,0x2000000d,0x00000001,0xdd903510,
    0x03dddddd,0x20000002,0xfb0005e8,0x9f50003f,0x802f4400,0x12baefc8,
    0x04f9800b,0x801ffd80,0x037cc5fa,0xf3002fb8,0x45f98007,0x3f2206f9,
    0xfd005c3f,0x4402fd83,0x20000efe,0x5ff13ea9,0x04da9800,0x00fe81ff,
    0x170fff22,0x8013e600,0x64c005ff,0x201dfefe,0x05fcbef9,0x7bfd9510,
    0x3ffb661c,0x3fee003e,0x36e23000,0x1800bdff,0x4407fea0,0xc82cefdb,
    0x1bb9f911,0xd9510000,0x3a0e39df,0x5566c1ff,0x5cc2aaaa,0x0000007e,
    0x26001dd1,0x003fb8de,0x22000bee,0x0ff400ee,0xa8016257,0x6f4c002f,
    0x6c403fb8,0x6401ec42,0x27cc001f,0x7b05b100,0x7f54ee40,0x16e00efc,
    0xcf98036a,0x40002fc8,0x2003e63c,0x9dd99998,0x02dc2640,0x33f6a7b2,
    0x3fa800ee,0x0017ec00,0x0bdbfb71,0x02e887b0,0x6d4defcc,0x9fd0faef,
    0x01dfb535,0x2600df30,0xb9acefaf,0x00f401ed,0x2f7a60d5,0x9745fca9,
    0x00025c29,0x2e6b3ba2,0x7f41fdfd,0x5001ec1f,0x00000f13,0xf9806d80,
    0x5c02f4c4,0x36c0001f,0x12b89f30,0x007ee00b,0x5e989f30,0x3b200000,
    0x0bd10000,0x30100000,0x40000079,0x01fd42fa,0x025c7900,0xfffffeb8,
    0x0200005f,0x7d400f26,0x98000002,0x07d10adf,0x02d407c4,0x7fd405d1,
    0x13a203f0,0x3fe60000,0xf80bf202,0x3ea0ba01,0x3eebd103,0x8001a600,
    0x3f6205e8,0x1ec0d441,0x0003c400,0x44014000,0x13005101,0xb80a0000,
    0x05895c1f,0x31000130,0x00000a20,0x440000a8,0x00000003,0x26000000,
    0x40003100,0x9000123c,0x00000009,0x00006200,0x07a20000,0x80f88354,
    0x0fc803e8,0x007dc01f,0x00be6000,0x101f81b2,0xd100fa03,0x3aaa07fd,
    0x0bd10001,0x6c003f10,0x00788003,0x00000000,0x00000000,0x95c0fb80,
    0x00000058,0xcdba8000,0x0000000a,0x9b951000,0x36ea0015,0x555100ac,
    0x000aaa60,0x85665400,0x664c003c,0xa881320a,0x51003cdc,0x000079b9,
    0x2bdcb980,0x43531002,0x506a80ea,0x4401aa0d,0x03f1000f,0x02b372a2,
    0x27400d10,0x5559f551,0x01ae0555,0xec8817d4,0x545a800d,0x8007000e,
    0x0788003d,0x510025c0,0x200159b9,0x000acdba,0x00159b75,0x402b36ea,
    0x5895c2fa,0xacdca880,0x9b951000,0xded88015,0x2603fecb,0x9800aaaa,
    0x5000aaaa,0x5ffd9dff,0x65ef6c40,0x6eeb83fe,0x307eee88,0x10015555,
    0x91dd79db,0x33bea007,0x30994fdb,0xffb7bdfd,0x37bfa601,0xa880ffdb,
    0xaaaaaaaa,0xd99bf902,0x3620d7df,0xe8cffeff,0x7dcc6a82,0x04005b02,
    0xf501f100,0x05ffd9df,0xd7364000,0xddddddfd,0x4003f03d,0x206a802e,
    0x02642fd8,0x517b0000,0x3c401799,0x001ee980,0xffd9dff5,0x5ef6c405,
    0x36203fec,0x03fecbde,0x3b2f7b62,0x21fe883f,0xfa80b12b,0x02ffecef,
    0x7f677fd4,0x209f302f,0xdddb04e9,0xdddb005f,0x17f7005f,0xf983fb88,
    0x2609d304,0xed83c406,0xdd802fee,0x401ef5c0,0xcdd882fa,0x99009884,
    0x26402620,0x777777d4,0x0de87fee,0xf987fc88,0x2676cc0d,0x1bff9354,
    0x000003e0,0x05fdc2dc,0x0000fee2,0x001f83cc,0x097001e2,0x37ee07a0,
    0x80001e80,0xdfffd81d,0x0f103ffd,0x5c007f90,0x1fdc40bf,0x4e9827cc,
    0x9d304f98,0x3a609f30,0xb9bfd884,0x5fdc0b12,0xb81fdc40,0x1fdc40bf,
    0x0be201f4,0x3a000ba0,0x201fcc02,0x201f41fa,0x406982f8,0x805d0078,
    0x07fb00fa,0x7f401f98,0x00f88004,0x3540f880,0x05c85f30,0x01fc47e8,
    0x31aa17ee,0x07885fb5,0x1fd88000,0x3ea01fcc,0x4cccccc1,0x99999999,
    0x2001f80f,0x22d4006a,0x76c46980,0x0000f102,0x106ea0ba,0x40f105f7,
    0x26001ee9,0x20fd403f,0x217c403e,0x217c403e,0x817c403e,0x0b12fdc9,
    0x3f500fe6,0x7d403f98,0x3d401ae1,0x74001740,0xe8036c02,0x3d401ae5,
    0x01e2034c,0x817a0174,0x026403fb,0xe80027cc,0xa85d0002,0xf885f306,
    0x2e469801,0x06a87e80,0x007887ea,0x037f2600,0x22f401b6,0xffffffff,
    0x0fffffff,0x16e001f8,0xceb8f300,0x33ee1dca,0x00788310,0x50007f00,
    0x33f32e1f,0x267f912c,0x006d800a,0xa8035cbd,0x3d401ae7,0x01ea00d7,
    0x6d82c4ae,0x06d8bd00,0x001e4bd0,0x002e801f,0x00fc02e8,0x800f2798,
    0x22034c0f,0xf805d007,0xd00fe202,0x9813a003,0x2e9accba,0x2b32ea60,
    0xe88082e9,0x20006983,0x81f5001e,0xf135c06a,0x0eec0000,0x1e6003f0,
    0x01f0001f,0x02d4003f,0x2a621a60,0xe887ba60,0xa981e20f,0x7c0aaaaa,
    0x225d0003,0xfa899999,0x4dabe98d,0x79800fc0,0x90f800f2,0x3c87c007,
    0x57003e00,0x800fc162,0x9800fc79,0x2e800ba7,0x74001740,0x3fffe202,
    0xffffffff,0x74005d0f,0x1e2034c2,0x1f101740,0x1e203e80,0xfd884d80,
    0x2ffdccde,0xccdefd88,0xe8802ffd,0x2000b704,0x1f3000f8,0x11f806a8,
    0x3600001f,0x3fffe203,0xffffffff,0x30007e0f,0x98007e0f,0x80254007,
    0x0ead84fc,0xeeec807c,0x027c1efe,0x36203d80,0x03b07a2f,0x3fffffe2,
    0x0fffffff,0xe974005d,0x174ba002,0x2b805d00,0xffff10b1,0xffffffff,
    0x3fffe21f,0xffffffff,0x74005d0f,0x40017401,0x4cd7c02e,0x99999999,
    0x1e800ba1,0x01e2034c,0x01f10174,0x007c03d8,0x06fc44d8,0x0df885d0,
    0x17600ba0,0x3e0005b8,0xd50f3000,0x017c7b00,0x7c01a800,0x9999999a,
    0x01ec1999,0x00fc1aa0,0x64001f10,0x40f74c03,0x01e81d5b,0x09f107e0,
    0x7dc0f600,0x025c040d,0x3333335f,0x17433333,0x00ba3d00,0x4005d1e8,
    0x5895c01e,0x333335f0,0xf8333333,0x9999999a,0x01321999,0x0ba007c4,
    0x7d00ba00,0x40132000,0x2034c0f8,0x805d0078,0x201f403f,0xc89d001d,
    0x3642e806,0x1b201740,0x74000d30,0xd50d7002,0x02e49900,0x07d00000,
    0x20035c00,0x8003f04d,0x03f1004d,0x0e881fe4,0x2003d81d,0x002fc41f,
    0x17ec42e8,0x3a00e980,0x00990003,0x802643e2,0x200990f8,0x895c00f8,
    0x40007d05,0x1f50003e,0x5d00d900,0xb805d000,0x01f50006,0x80f30d90,
    0x805d0079,0x00fe606d,0x89f500b7,0x742e802e,0x3202e802,0x00fc400e,
    0x7b005c80,0x741c4d50,0x5400be23,0x01ae0002,0x2a007d00,0x8003f00e,
    0x05c800f9,0x22d80366,0x8007cc0e,0x002fcc1f,0x032e07cc,0x2e00f4c0,
    0x01f50006,0x007d4d90,0x001f5364,0x225700d9,0x4000d705,0x1760006b,
    0x5d001f30,0xb005d000,0x0bb0a00b,0x03d00f98,0x17401fea,0x7f403e60,
    0x10174403,0x204c89ff,0x02642fe8,0x3ee05fd1,0x075c1700,0x09d0fa60,
    0x44d506c8,0x3ea0fc47,0x4c0fdc01,0x02ec00bc,0x402f9828,0x013601f9,
    0xeb803b20,0x2bea0000,0x0ec83faa,0x37cc1f80,0x04d805d1,0x80075400,
    0x5d85005d,0x17607cc0,0x05d81f30,0x95c007cc,0x40176058,0x85005d82,
    0x2fc81ee8,0xd0005d00,0x03dd1005,0xee88df71,0x2e02fc81,0x3f3f260d,
    0x40174009,0x333621ec,0x427c401c,0x109dcafa,0xedfa885f,0x885f109b,
    0x209bedfa,0xb07a01fa,0x0bf9105f,0xfc883bf3,0x3a0eb981,0x3ea0bd33,
    0x40f6cc0c,0x4405fff8,0x6fb881ee,0xc8819f30,0x40fdc02f,0x2fc80fc9,
    0x00007e44,0x2feaaaa6,0x880bfc80,0x237d41fc,0x774c1dfb,0x01720000,
    0x7103dd10,0x81ee88df,0x1ee882fc,0xee882fc8,0x7002fc81,0xee881625,
    0x886fb881,0x6fb881ee,0xdfddff70,0x26666203,0x209999be,0x9be99998,
    0xff700999,0x405dffdd,0x1efeeffb,0x7ff7ec40,0x224ff88d,0x99be9999,
    0xeefb8099,0x809ff94f,0x2efeefd8,0x7fdcdff9,0xffd1effe,0x7ff7fdc9,
    0x269ffd1e,0x999999bf,0xeffb81e9,0x2201dffe,0x0dffdffd,0x2a7fffc8,
    0x2600efee,0x0dffeffe,0x4017ffe0,0xeffeeffb,0x77fec402,0xd7000dff,
    0x03bffddf,0x67f77fdc,0x1d000001,0x777ff4c0,0x6fa81cff,0xffeffd88,
    0x0f620004,0x3fee0031,0x202effee,0x1efeeffb,0x7f77fdc0,0x77fdc01e,
    0x2e001efe,0xff700b12,0x805dffdd,0xeffeeffb,0x00aa9802,0x3fffffe6,
    0xf35fffff,0xffffffff,0xaa980bff,0x0554c001,0x0026a200,0xfffffff3,
    0x220bffff,0x980000aa,0x2aa2000a,0x2aa20009,0xfffc8009,0x1fffffff,
    0x0026aa60,0x0009a988,0x31000d40,0x0aa20035,0x006aa600,0x0000d4c0,
    0x88001551,0x2000001a,0x4400efea,0x54009aa9,0x004d4401,0x3bbbee00,
    0x54c004ee,0x554c001a,0x0554c000,0x002aa600,0xebaf7774,0x1aa9806e,
    0x01aa9800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bb60000,
    0x5eeeeeee,0x16400000,0x03100000,0x00130014,0x99880001,0x99999999,
    0x00981999,0x00000031,0xdca88000,0x006aa61b,0x25c00000,0x301aaa88,
    0x80a01555,0x00001002,0x2a2a9800,0xa8801cdb,0x80f2e000,0xb7510aaa,
    0x3bba6037,0x30140001,0xacdb9801,0x54455510,0x0555302a,0x80fbb600,
    0xccccccb8,0x0001eb83,0x8af72e60,0x3372a200,0x6664400a,0xa802cccc,
    0xaaaabf80,0xc887baaa,0x0072defe,0x26001db1,0x5402cfec,0xda80d506,
    0x5cc1efff,0x4d40007e,0x99999999,0x641a9999,0x3017d41f,0xca8005d7,
    0x000bcefd,0xbfb79df7,0xca817bf2,0x000bcefd,0x7e407f20,0xdfdd05ef,
    0x441bd107,0x3f2200ed,0x6640e22f,0x2fbf6e23,0xfd8eec80,0x5c04fecd,
    0xfff5002f,0x33fdd305,0x1fd979df,0x0003f550,0x07e40ee8,0xfd97bf90,
    0x2e3ddf33,0xeee886ee,0x9b530007,0x666664c0,0x04fe84cc,0x99bf9000,
    0x2a0d7dfd,0x2ffeceff,0x33333260,0x7ff403cc,0x1aa007c2,0xfb539df5,
    0x6f4403fb,0x359f9000,0x5f403fb7,0xfa80be60,0x547fb51c,0x54000789,
    0xb8198000,0x9103f93f,0x2005fbfd,0x7311add8,0x81ec805d,0x2204ded8,
    0xd7311add,0x01db0005,0x1f8806a8,0x3a67b620,0x546f400d,0xb705fcee,
    0x2a6fbead,0x4efa80fd,0x3ee01f98,0x5fff5002,0x703fcf80,0x0007e01d,
    0x3ba2bf20,0x2a07b600,0x01aa07cf,0x4c8000f1,0x0f4c0000,0x406f4000,
    0xbfb87fc8,0x001fdc40,0x37ffd400,0xf88f6002,0x203ff103,0x3b6004f8,
    0x2601f700,0x204fedfd,0x83f301fa,0x05400078,0xe980cc00,0x15b700ef,
    0x0baa00ba,0x3ea0bb10,0xa827ec00,0x02ec402e,0x3a001bd0,0xb802dc02,
    0x501003ff,0xfbea807b,0x9f50bb02,0x39302640,0x40054400,0x835c02ff,
    0xf500001f,0x00fa809f,0x06a81fe6,0x320003c4,0x34c00004,0x402e4000,
    0x201fcc7e,0x400001fa,0x8004fff8,0xf501ee1f,0xd7001403,0x200ea801,
    0x04d801a8,0x001e22f4,0x33000150,0x74001c40,0x22074402,0x6c1e410a,
    0x884f8803,0x00f2000e,0x01aa0014,0x00cc003f,0xffa80000,0x1aa17c01,
    0x00000f30,0xe802fc00,0x00001f81,0x00ba00a6,0x406a81f2,0x26400078,
    0x2b372a20,0x80001700,0x469801f8,0x40bd006d,0x800acdba,0x6a8002b8,
    0x007401ec,0x8017c400,0x0700004e,0x00788d50,0x000a86cc,0x80000198,
    0x3616c02e,0xd11ccbad,0x9d001f83,0x33b265b0,0x00f443dc,0x702e8000,
    0x5100000b,0x0aaa6055,0x26c00fd4,0x00f301aa,0x1fc00000,0x21f83c80,
    0x0002bdb9,0xf5001f00,0x1e203540,0xc82b3260,0x33bfea04,0x2a602ffe,
    0x406f6ea2,0x07e00069,0x76c43cc0,0x003fecbd,0x99132000,0x15551000,
    0x1ae0ab98,0xaa986980,0xa80000aa,0xf9003c46,0x4c000547,0x055554c1,
    0x5a80ba00,0xb30f40dc,0x899003c4,0x0e62445a,0x2a2a98b3,0x6b801bdb,
    0x8aa603f0,0xd701bdba,0xfddd10dd,0x25c01aa0,0x98f301aa,0x4000aaaa,
    0x2003f000,0xee89f85b,0x880eedbc,0x55cc0aaa,0x3cc01e20,0x07880d50,
    0x3f6f3bea,0x2fee0994,0xd81fdc40,0xebded8ee,0x0005b84f,0xfffffff1,
    0x41ffffff,0x09d304f9,0x307e0000,0xeec8005f,0xfbbfb11f,0x1f000f23,
    0x02feeed8,0x3c44d800,0x2a077540,0x6c198000,0x4002feee,0x0b0b202e,
    0x01f8f026,0x442c89d0,0x76c78584,0xfebded8e,0x35c2e804,0xbdb1ddb0,
    0x34c09fd7,0x03541e20,0x203545b8,0x7f776c79,0x401e2002,0xf099003f,
    0x03f207d7,0x3623fdd9,0x03e1fddf,0x06a81ea0,0x82fa83c4,0xf984cdd8,
    0xa80fd403,0x42f984ef,0x2be0005b,0x99999999,0x201f4199,0x400002f8,
    0x37bf5079,0xcfa9e800,0x001752a0,0x005b007a,0x07886b80,0x0540ff62,
    0x3a00cc00,0xb0174002,0x1d001cc1,0x27c401ec,0x59891036,0x277d40e8,
    0x1ae017cc,0x4efa805f,0x0d302f98,0x00d50788,0x980d516a,0x10017407,
    0x00bf001f,0x00ffe0ba,0x7d4f40d9,0x03e92a0c,0x01aa07d8,0x803f30f1,
    0x006d84fe,0x813ea0bd,0x00034c5c,0x1ae0007d,0x4cc43d40,0x20264001,
    0x01cefeda,0x3e017ef4,0x201ec001,0x3ee0002d,0x333f32e1,0x0c437ea2,
    0x0660002a,0x2e8005d0,0x400351e0,0xb003e62c,0xad88789f,0xa85904db,
    0x2017204f,0xf500d72e,0x6982e409,0x06a83c40,0x406a8b50,0x40174079,
    0xff006fb8,0xdf06b805,0x3a05d100,0x0fa802fd,0x6a81fea0,0x02643cc0,
    0x00fc27cc,0x80d50798,0x000fc479,0x790006b8,0x3fa07c00,0x0174004f,
    0x405f9510,0x01e801fe,0x0b6016c0,0x220fd400,0xd8899999,0xa87fa22f,
    0x40198000,0x0174002e,0xb001cc1d,0xd882fc83,0x220744de,0x3b01d99c,
    0x03cc06a8,0xa802eb5c,0x6983cc06,0x06a83c40,0x406a8b50,0x20174079,
    0x3e001dfa,0x03f903fc,0x826400fe,0x3b6001fe,0x207bfa81,0x0ff501fa,
    0x113a003d,0xffffffff,0x501fffff,0xeb87980d,0x361f4c00,0x01745005,
    0x7ffc45d0,0x001e6000,0x05d01fa8,0x1d000f60,0xb8002d80,0x37ee001f,
    0x150edec0,0xe8033000,0x90174002,0x0d003443,0x3f733bee,0x441c8995,
    0x54340e44,0xe803cc06,0x80d5006d,0x880d3079,0x2e00d507,0x4027ae25,
    0x30174079,0x33f0007f,0x3ddb9bdd,0x5b8017c0,0xf70005d0,0xf33fd99b,
    0x9306fd40,0x1e213f9f,0x9af84d80,0x99999999,0x980d5019,0x9105fb07,
    0x03dd10bf,0x0174df71,0x1ffdc3d0,0x00016e00,0x4007a099,0x01e2004c,
    0x3f7000b6,0x20bf6200,0x00543b5a,0x0ba00cc0,0x1dc05d00,0x6886a0ae,
    0x82b32a20,0x1221dc4c,0x0d50d116,0x5f700798,0xf301aa00,0x0f101a60,
    0x8a5c01aa,0xf305ffff,0x13202e80,0x9730fc00,0x005f0057,0x000f412e,
    0x309bcb88,0x77efd40f,0x4ff88dff,0x426c003e,0x6a80003e,0xff703cc0,
    0x803bffdd,0xeffeeffb,0xf8802642,0x2001bf60,0x7004982e,0x4c007a0b,
    0x00b9000f,0x0fe4005b,0x880cfb80,0x00543b0e,0x0ba00cc0,0x74405d00,
    0x1e4d7640,0x4c8000f6,0x1c988744,0xa83d85cc,0xa803cc06,0x301aa006,
    0xf101a60f,0x25c01aa0,0x3a03cc00,0x40007e02,0x1fc0001f,0x03d03d80,
    0x40f30000,0x0013516a,0x213a003b,0x6a80006b,0x6cc03cc0,0x7540009b,
    0x003ea01b,0x003ff1b2,0x1fa80f88,0x03d04e80,0x7c4026c0,0x9002d801,
    0x0762003f,0x0a8763d8,0x74019800,0x20174002,0xa82a885a,0x42640005,
    0x8155515a,0x0d505a9a,0x05d00798,0x1e603540,0x41e603cc,0x0079006a,
    0x02e80d50,0x3e03013a,0x07fc0001,0x0f407e20,0x02d40000,0x16e000d5,
    0x2ec13ea0,0x80d50280,0x00790079,0x2ec00720,0x4fa83e60,0xf505a800,
    0xd02fa80b,0x01fc4003,0x0b6007d1,0x00003b20,0x3eaaafa8,0x0660002a,
    0x2e8005d0,0xd5004c80,0x04c80001,0x03aa0099,0x01e60354,0x0d5001aa,
    0x407a0798,0x00d507fa,0x1760003e,0x03e405d0,0x0007e0ba,0x4d80bff0,
    0x000007a0,0x006a80fa,0x7c405d10,0x03dd104f,0x1aa0df71,0x2e600f30,
    0x010d8004,0xfc81ee88,0x40007542,0x19df503d,0x0f409d50,0x3037e600,
    0x016c009d,0x005003b6,0xceaaaa98,0x33000150,0x74002e80,0x205d7002,
    0x80000dd8,0x40bae04c,0x1aa00dd8,0x05d00f30,0x3cc06a80,0x7e4c1b70,
    0x3ae209fc,0x00132041,0x05d003ee,0x7d416f44,0x10001f82,0x981bb3f3,
    0x000f406e,0x401db100,0x3e20006a,0x9dcafa84,0xfddff700,0x3ae605df,
    0x09fa8809,0x00953770,0x001ddb30,0x3dfddff7,0x00f80000,0x3bbbf2b3,
    0xe99982ff,0x4019999b,0x3dfeefd8,0x3a666620,0xd709999b,0x33333333,
    0x3b0000f5,0x0cc00054,0x37d33331,0x4ccc1333,0x00999be9,0x3f73bf62,
    0x3620003e,0x104effee,0x7dfb9dfb,0x809eb980,0xdd709fa8,0x005bdfdd,
    0x51013d73,0xdfb1013f,0x9ff11bff,0xfb1ffffc,0xd8801bfb,0x4c41dfee,
    0x999be999,0x33ffa209,0xdb10bffe,0x2007dddf,0xdf91fff9,0x26607ffd,
    0x19999be9,0xfeeeec80,0x0034c00d,0x3fbbf620,0x80dff92e,0x7cc01aa9,
    0xffe86fff,0x1797104f,0x98000000,0x000000aa,0x9aa98800,0xfffffa80,
    0x801fffff,0x7c400a98,0xffffffff,0xffff95ff,0x0fffffff,0x877f5400,
    0xaaaaaaba,0x1baaaaaa,0xfffffff3,0x3f2bffff,0xffffffff,0x01a8800f,
    0x55551000,0x35100555,0x3fffe600,0x34fffe86,0x35555555,0x6ffff980,
    0x204fffe8,0x800009a8,0x2aa000a9,0xffff880a,0x5fffffff,0x881acb98,
    0x02aaaaaa,0x40353000,0xfffffffa,0x55401fff,0x31001aaa,0x054c0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x2f6ea2a9,0x77776c01,0x000a8001,0xdddb0000,0xdddb003d,
    0x550f663d,0x20aaa605,0x21cccccb,0xccccccca,0xccccc880,0x000402cc,
    0x2179b730,0xdeec9800,0x0079101c,0x7754000c,0x00000004,0x6666664c,
    0x1555101c,0x5440ab98,0x2e000a80,0xec9800ee,0x776c1ccd,0x322001ee,
    0xcccccccc,0x133332a3,0x01999995,0x775c0017,0xddd10004,0xccc98003,
    0x3ccca80c,0xcccccca8,0x666400ac,0x200ccccc,0xcccccccc,0x951ccccc,
    0xcb879999,0x00c404cc,0xded8eed8,0x2a604feb,0xe8002eaa,0x3ff22002,
    0xaa9805c3,0xaa9802ea,0x54df92ea,0xfddb06ee,0x399fb950,0x676e664c,
    0xcccc980c,0xfb303ccc,0xf5014c3d,0xdbffb7bf,0x5d677c40,0x3ff703cc,
    0x10007a00,0x40000d95,0x400befc8,0xccccccca,0x23fdd903,0x21fddfd8,
    0x027dc3fb,0x200fbf88,0xccbacef8,0x175554c3,0x99997100,0x654799bf,
    0x664c3cdf,0x01f80bee,0x001b2a20,0x4002faa8,0x9503dfc9,0xbf9307bf,
    0x1bfb9999,0x33bb32e0,0x337e00bc,0xcccdfccc,0x9fb932ec,0x3efcb859,
    0x3ffffb30,0x984efa80,0x005d002f,0x764005d0,0x0eecfda9,0xd0005d00,
    0x1a60f225,0x03cc0f10,0x800005b8,0xcdfb8cf8,0x207f103f,0x013206f9,
    0xf801be60,0x75cc4001,0x80009999,0x06d99cfa,0xa9e80000,0xd992a0cf,
    0xc8016cc1,0x026401f5,0x00005d00,0x800f805b,0x0007e03c,0x3a0001aa,
    0x80d70002,0x201f806b,0x025c00fc,0xb05d03f0,0x3a206a85,0x2a867405,
    0x3204fa80,0x0005d005,0x4c04005d,0x0174003c,0x80e89740,0x303c4069,
    0x0016e00f,0x0edc0400,0x06a80d50,0x000001f1,0xfb0007e0,0x0bffffff,
    0x05905b00,0xfde80000,0x30000002,0x7c403e1f,0x00ba0000,0x1f00b600,
    0x0fc07900,0x00035400,0x9d000174,0x3e007e20,0x2e02e401,0x3a07e004,
    0x83542d82,0x03cc04e8,0x3cc06a80,0xe8002e80,0x00000002,0x25d0005d,
    0x880d301a,0x5c01e607,0x302aa885,0x40000555,0x980402f8,0x44000007,
    0xaaaacfaa,0x0035402a,0x10003cc0,0x40079b95,0x000001fe,0x300f8fa0,
    0x02e8000f,0x7c02d800,0x54c3c800,0xaaaaacfa,0x000d500a,0x440005d0,
    0xf004d81f,0x202f8803,0x207e004b,0x3542d82e,0x2dc01fcc,0x4c06a800,
    0x0005d007,0x4553005d,0x4001bdba,0x02e8002e,0x03c40698,0x216e00f3,
    0xee886eeb,0x5555307e,0x57bf7001,0x07caa803,0x55555510,0xeeb85555,
    0xeeeeeeef,0xdba9aa01,0x00b5001c,0xb7bdfd30,0x05d001ff,0x0aaaa980,
    0x20f8d500,0xaaafcaa8,0x05d002aa,0xf805b000,0x7643c800,0xeeeeeefe,
    0x654d502e,0x85d001bd,0x5c02aaa9,0x3f003546,0x25c0d500,0x05d03f00,
    0x7d46a85b,0x000f3002,0x00f301aa,0x0ba000ba,0x3b63bb60,0x2004febd,
    0x3a00712e,0x44069802,0x5c01e607,0xf101a605,0x0bfbbb60,0x7ff65cc0,
    0x3f774c1d,0xeeeefa80,0x3e07feee,0xb1d50001,0x009fd79d,0x131000f3,
    0x07a01320,0x5fdddb00,0x41f0ba00,0xeeefeeeb,0x2e801eee,0x402d8000,
    0x203c800f,0x8ea8001f,0x03febdfe,0x77fec2e8,0xf89f401e,0x2007e001,
    0x8012e078,0x50105d00,0x20017d4d,0x06a8003d,0x12e803cc,0xeeeeec83,
    0x1eeeeeef,0x7cc277d4,0x9f95d002,0x2600ba00,0xf303c406,0x69816e00,
    0x2d803c40,0x7f951000,0x35401e60,0x0fc05f30,0x83efa800,0x01f800f9,
    0x007c4000,0x5d00007a,0x01f0b700,0x5d0001e6,0x805b0000,0x203c800f,
    0xffa8001f,0x7402f983,0x3001fd42,0x31009b3f,0x033335f3,0x0025c03e,
    0x6a801740,0xf50009f7,0x406a8001,0x3e5d0079,0x2aaaa62f,0x2aaaacfa,
    0x17204fa8,0x000eff40,0x80d3005d,0x401e6078,0x101a605b,0x000b600f,
    0x1e603ea0,0x2f983540,0xa8000fc0,0x4c13203f,0x0199ce99,0xe805d000,
    0x01740001,0x403e07e2,0x17400079,0x2016c000,0x203c800f,0x3fa8001f,
    0x45d01720,0x331002fb,0x40333ffb,0xfffffffe,0x9701f80f,0xeeed9800,
    0x80deeeef,0x1efbecea,0x98bdf700,0x980d500a,0xff15d007,0x2005d007,
    0x203cc06a,0xe8003fea,0x4c079802,0x5c01e607,0xf101a605,0x1f00b600,
    0x0f307d00,0x81f44040,0xeeeefeec,0x406a800d,0xffff8879,0x3000ffff,
    0x5d359975,0x40001e80,0xf826c02e,0x8000f300,0x2002202e,0x4007c02d,
    0x0007e03c,0x80f301aa,0x2003d92e,0xeefeeed8,0x01f803ee,0x012e03f0,
    0x9f555510,0x3ea05555,0x801fb10e,0x362f88dc,0x980d502e,0x0a65d007,
    0x6a801740,0xfd883cc0,0x2e8002eb,0x3ea03f00,0x5c01e607,0xf101a605,
    0x7f00b600,0x7981f980,0x813a2000,0xaaacfaaa,0x980d5002,0x40069807,
    0xdccdefd8,0x00f402ff,0xf980ba00,0x1e601f00,0x5c05d000,0x7c02d804,
    0x3e03c800,0x406a8001,0x76d74079,0x01740000,0x3c400fc0,0x03880970,
    0x0fa80174,0x50fc06b8,0x2603f11d,0xfa8809eb,0x00174009,0x06a80174,
    0xd0c983cc,0x005d0005,0xcfc98372,0x038f301f,0x2034c0b7,0x805b0078,
    0x5e980cff,0x6c000f30,0x0007e005,0x01e60354,0xdf8801e6,0x2660ba00,
    0x19999be9,0xce80ba00,0xaf999999,0x40007980,0x2013202e,0x400fc02d,
    0x0007e03d,0x80f301aa,0x0001fdfe,0x0fc00174,0x09702d40,0x017406a8,
    0x40fa06a8,0x06bcd869,0xd0dffff3,0x2e809fff,0x5002e800,0xd007980d,
    0x005d0005,0x37ffbfa2,0x7983ff88,0x302e40fc,0xb007880d,0xffd9e805,
    0x2604ffee,0x00d90007,0xd50001f8,0x6a807980,0x3a01b200,0x7ffffd42,
    0x001fffff,0x7fffc05d,0x86ffffff,0x17400079,0x05d00990,0x02f802d8,
    0x1aa0007e,0x54e80f30,0x3ba2003f,0x3eeeefee,0x3d801f80,0x0d5012e0,
    0x0d5002e8,0x07cc07cc,0x0000bbe2,0x0005d000,0x01aa005d,0x00ba00f3,
    0x53000ba0,0x980ed413,0x02740fc7,0x007980f3,0x6cc4005b,0x03cc009b,
    0x20007640,0x0d50001f,0x05b80798,0x0ba00ba0,0x0ba00000,0xf300f800,
    0x202e8000,0x007cc04c,0x01f3012e,0x354000fc,0x45d01e60,0x5d0001fa,
    0xb803f000,0x5012e00e,0x5002e80d,0xf883e80d,0x70007c83,0x00ba0005,
    0x354007a0,0x17401e60,0x00017400,0xf1e601d8,0x7402f885,0x200ff501,
    0x03c8002d,0xfb800f30,0x13601700,0x26035400,0x0c03e807,0x17f44099,
    0x80005540,0x03e0002e,0x3a0003cc,0xd803ae02,0x201f8805,0x0026c04d,
    0x01e60354,0x001fa85d,0x1f8002e8,0x97003ea0,0x17406a80,0x35406a80,
    0x3bea2eb8,0x25cc001c,0x00017400,0xf301aa00,0x2000ba00,0x5900002e,
    0x4fd4c462,0x1b223f51,0xfc9836e0,0x16c009fc,0x4025cc00,0x07ea0079,
    0x05f701e8,0x0d501f93,0x03d40798,0x217c43e2,0x09bedfa8,0x40016e20,
    0x03e0002e,0x3a0003cc,0x105fe402,0x3ea001f9,0x20077442,0x1fc982fb,
    0x01e60354,0x003f705d,0x0337d331,0x3335f310,0x2203fd73,0x9999dc99,
    0x9986b999,0x30099be9,0x3e0133d7,0xfeefb81a,0x8802ff99,0x4c404a9b,
    0x999be999,0x33333109,0x83333333,0xa8809eb9,0x2666209f,0x09999be9,
    0x2fa66662,0x80009999,0xffb2fed8,0x3bee7fff,0xfd8801ef,0xff88dffe,
    0x3a666624,0x7009999b,0x4cc09537,0x260199fa,0x999999bf,0x3fae01e9,
    0x881dffee,0x3f5101eb,0x3339d501,0xb8b93333,0xd1effeff,0x2a6e09ff,
    0x99998805,0x009999be,0x442be662,0x9999fa99,0x99998809,0x409999be,
    0x0dfeefea,0x7f7f5400,0xfd7000df,0x983bffdd,0xfa8809eb,0x4174c409,
    0xf1019fc8,0x07ffffff,0xffffffc8,0xff100adf,0xffffffff,0xffa8dfff,
    0xc86fffff,0x905fffff,0x155109ff,0x05e5c000,0xffffff30,0x3abfffff,
    0xffffffff,0xff31ffff,0xfffd0dff,0x3ffffe69,0x35ffffff,0xffffffff,
    0x0000bfff,0x00aa8800,0x2004d440,0xfffffff8,0x7105ffff,0x3ff20179,
    0x901fffff,0xffffffff,0x551003ff,0x7fffcc01,0x2ffffc44,0x3fffffea,
    0x880cffff,0xa80009aa,0x7fcc00bc,0xffffffff,0x3fffa05f,0xfffffb6f,
    0xf98dffff,0xffffffff,0x155105ff,0x0aa88000,0x03551000,0x31bfffea,
    0x7c4fffff,0xfffc82ff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x666664c0,0x3ccccc81,0x01999995,0x01999995,0x400000b8,0xb9400039,
    0x332e0001,0x333260cc,0x33332a1c,0xcccccccc,0x332ea00c,0x2ccccccc,
    0x66666664,0x3332200c,0x23ccb801,0xccccccca,0xccc800ac,0x400ccccc,
    0xcccccccc,0x66664c00,0x99501ccc,0xcccc8879,0xccccca80,0x32200acc,
    0x999303cc,0xb9510199,0x99950079,0x99999999,0x66665459,0x2200accc,
    0xcccccccc,0x6664c01b,0xcccccccc,0x3333262c,0x23ccca80,0xccccccca,
    0xccc80ccc,0x95003ccc,0x79999999,0x33332603,0x263ccccc,0xca80cccc,
    0x333323cc,0xcccccccc,0x9999931c,0x7e440799,0xccb81ccc,0x9bf952ee,
    0xbf995019,0x002e8019,0x407fb100,0x360bcdba,0x0001bf75,0x4c179fb5,
    0x3260cfdc,0xccccccfd,0xea81fccc,0xcccfdcdf,0x665c4ecc,0x200bccee,
    0x4c06efc8,0x37263def,0xffdccccf,0x77665c03,0x65c00bcc,0xb0bcceec,
    0xccccb85f,0xfb302ccc,0xcfdc8879,0xccdfc980,0x880dfdcc,0xc981ffcc,
    0x3a60ceec,0x0ffdbdef,0x333f7260,0x4ecccccc,0x33337f26,0xc880dfdc,
    0xfcccccfc,0xf99300df,0x99999fbb,0x5efe4c9d,0x23dfca80,0xcdfcccc9,
    0x999703cc,0x93001fbf,0xd99999fb,0xccea81bf,0x26dccccc,0x9503dfc9,
    0x666fc7df,0xccccdfcc,0x99f9912e,0x0f880799,0x1360f200,0xe8007c40,
    0x7e440002,0x7bdd300c,0x88db9ffb,0x54000cfd,0xd503cc06,0x7f707e00,
    0x40990798,0xfae8004c,0x40f73201,0x013aa06a,0x9700025c,0x0000ffa0,
    0x03cc06a8,0x01f900fc,0x132036fc,0x02640262,0x42640354,0x803f201f,
    0x80bd500f,0x1320f378,0x00d701ae,0x3e2000ba,0x1aa003d8,0x02d45d98,
    0x501b213a,0x2e81f81f,0x000f82d8,0x0f6000f8,0x035c01a6,0x5c0005d0,
    0x13e601df,0xd9807fd4,0x01aa003f,0x803540f3,0x2607ea1f,0x26409907,
    0x82e57400,0xd503d9f8,0xb801fa80,0x812e0004,0x2a00000e,0x7c03cc06,
    0x3f02e401,0x0026407d,0x1aa007c4,0x007e1320,0x1007c0b9,0x79adc07f,
    0x41360990,0x05d001f8,0x01aab700,0x17c406a8,0xd03640b5,0x3e07e609,
    0x82d82e81,0x801999af,0x742fd41e,0x5d005d02,0x40017400,0x74402eea,
    0x013bb603,0xd5005dd5,0x1aa07980,0x209d07c0,0x64099079,0xf8ae8004,
    0x207b5b80,0x803e806a,0x12e0004b,0xaaa9825c,0x3ffa200a,0xffffffff,
    0x007e04ff,0x2a7e05f1,0x0009900f,0x00d500ba,0x8803f097,0xd801f02f,
    0x83ccf605,0xb03f104c,0x00174009,0x2003f174,0x2a3d806a,0x4401f305,
    0xf81f442f,0x82d82e81,0xdfffffff,0x7ec85b01,0x80b701f8,0x0ba000f9,
    0x003fe980,0x4c76c0b9,0x1dfb800f,0x0f301aa0,0x3040c354,0x4c1e601f,
    0x01893202,0x5d09b2e8,0x403540f6,0x084b802e,0x80a09700,0x402feeed,
    0x99999eb8,0x2009fa99,0xf06a801f,0x02641363,0xd3599753,0x4186a805,
    0xa801f808,0x5b801f06,0x983cc7e0,0x1d51ae01,0x20017400,0xa8026479,
    0x0e62e806,0x3ea00fa2,0x81f81760,0x0f82d82e,0x6c1fed44,0x3e0f5743,
    0x6401f100,0x40174004,0x2000cfd8,0x741db02e,0x19f91002,0x07980d50,
    0xb80ba1aa,0x01b9e605,0x013ee990,0x9aa3ccba,0xa80d503d,0xfb897007,
    0x0004b804,0x06a802d8,0x00fc03cc,0xf11f83c4,0xfb109903,0x5ffb99bd,
    0x02e86a80,0x078801f8,0x303d801f,0x00373ccd,0x002f8a74,0x13200174,
    0x01aa00f3,0x017600f9,0x00eb8eb8,0x04c1740a,0x83f5007c,0x9323e24c,
    0xf01ec078,0x3ffff603,0xffffffff,0x0001df71,0xc81db01f,0x1ff44004,
    0x266667aa,0x3aa07a99,0x202e9999,0x267e604c,0xddd9003e,0x2e8ba005,
    0xd503d8f6,0x400bf220,0x4037f44b,0x2d80004b,0x9999ea80,0x3107a999,
    0x033335f3,0x5c87e03e,0x06fc44c8,0x9ea805d0,0xf802e999,0x1f01f001,
    0x4b807dc0,0x00fa67e6,0x004d9f88,0x0fc002e8,0x4f540174,0x0edba999,
    0x4000fa80,0xd0001fdd,0x2007c005,0x2b72dc4e,0xd501a66a,0x99881aa0,
    0x999be999,0x006fdc19,0x01d907e0,0x7ec4007b,0xfffffa83,0x2a07ffff,
    0x02ffffff,0xfff980f6,0x3fd8803f,0x2d517400,0x540f60f9,0xcfedcccf,
    0x9312e000,0x00097003,0xff5005b0,0xffffffff,0x3fffffa0,0x81f80fff,
    0x1321741f,0x805d00d9,0x2ffffffa,0x3f001f80,0xfda881f0,0xff98ba02,
    0x7dc003ff,0x02e8000f,0x02dc1a60,0x7fffffd4,0x2f8805ff,0x004f9800,
    0x0f800ba0,0xd9aa2dc0,0x402d43e3,0x8003d81f,0x9f91002e,0xec8b6001,
    0x91005d00,0x01aa019f,0x743540f3,0x7980f202,0x9ff700b6,0x9e85d000,
    0xfa81ec4c,0x005fcccc,0x2e0004b8,0x02d80004,0x03cc06a8,0x81f800fc,
    0x9907d41f,0x02e802e8,0x40174354,0xf03f001f,0x19ffffff,0x4f307c40,
    0x03e8002d,0x64005d00,0xa801f104,0x05d93106,0xdd800274,0x05d0001f,
    0x132007c0,0x27b0fcf3,0x444c805b,0x02e8000f,0x401fecc0,0x2a01d96b,
    0x0efdc00f,0x0f301aa0,0x700ec354,0x0153cc0b,0x01327ba6,0x75c2e871,
    0x6a81ec1f,0x5c005e98,0x4b81c404,0x0b601c40,0x0f301aa0,0x0f1003f0,
    0x4c93607e,0x5fd10264,0x01e86a80,0x078801f8,0x0013335f,0x9fbbbbea,
    0x02e80009,0x7c005d00,0xfeeeeeee,0x54035403,0x0006b80f,0x0003eed9,
    0x00f800ba,0x26f10be2,0x804cadc7,0x8002dc79,0xdd50002e,0x00fee805,
    0x775405f1,0x980d5002,0x2001aa07,0x401e606a,0xb501323b,0x42fc42e8,
    0x220d503d,0x012e005d,0x5012e0d5,0xa802d80d,0x7c03cc06,0x3f05a801,
    0x11321f30,0xedfa885f,0x00d5009b,0x2a007e0a,0x20001f05,0x07caaadc,
    0x0002e800,0x2baa005d,0x6baaaaaa,0x3d803540,0x03c80fcc,0x002ec1f5,
    0x01f00174,0x647c17e6,0x003dbcc5,0x8001745d,0x7dc0002e,0x17df901e,
    0xfd304fb8,0x406a8007,0x001aa079,0x03cc0be2,0x50132017,0x36002e8b,
    0x7440d503,0xa8097003,0x6a809706,0x354016c0,0x07e01e60,0x80fc0f60,
    0xff70995c,0x3fa3dffd,0x200d504f,0x6c00fc1f,0x20001f04,0x1903cc1e,
    0x20005d00,0x005b002e,0x8035403d,0x7901f45b,0x09d05f10,0x3e002e80,
    0x3ffdcccc,0x3e0ba7a0,0x2b7002e9,0x0ba00079,0x37f22000,0x3ff27ee0,
    0xd881efee,0x6a8000cf,0x0d503cc0,0x3cc1aa00,0x013203f0,0x2002e8b5,
    0x980d503d,0x404b800f,0xa809706a,0x54016c06,0x7c03cc06,0xf8075c01,
    0x0995f101,0x36026aa2,0x7c01aa02,0x3ae00fc1,0x30001f00,0x0fc0f30f,
    0xe8001740,0x800f8802,0x401aa04c,0x7901723c,0x0be209d0,0x3e002e80,
    0x00abcccc,0x66407dec,0x91f1001e,0x00ec0009,0x26db1000,0x02aa621f,
    0x20000ce8,0x503cc06a,0x076c000d,0x901f81e6,0x1745a809,0x1aa07b00,
    0x12e01720,0x012e0d50,0x802d80d5,0x403cc06a,0x803ea01f,0x133aa01f,
    0x2a02c400,0x1f83f006,0x0f807ea0,0x7985b800,0x0ba007e0,0x5c017400,
    0x201f1005,0x51fa806a,0x643c801f,0x8007d406,0x003e002e,0xea837640,
    0x3f32000f,0x00000001,0x00000400,0x13d73000,0x9813f530,0x001999eb,
    0x7d4d67e4,0x1f999999,0x26772662,0x25b99999,0x26009be9,0x75cc0cd9,
    0x17f10099,0x99dc9988,0x26b99999,0x999dc998,0x226b9999,0x99be9999,
    0x27ae2099,0x809fa980,0x9999af98,0x3e601feb,0x09fd009a,0x224d6c00,
    0x99999eb9,0x261f9999,0xeb9999af,0x35f3301f,0xcd980133,0x2667ea60,
    0x3301f999,0x401337d3,0x99be9999,0x04df4c09,0x40be9988,0x99999eb9,
    0x2fe2fca9,0x99999999,0x035f713d,0x2207b662,0x099be999,0x3335f330,
    0x413f2001,0x7cc007f8,0x00000006,0x00000000,0x3fffea00,0x3fffee0f,
    0x3fffff27,0x64c004ff,0xfffffffd,0xfff11fff,0xffffffff,0x3ffeebff,
    0xfffc81ff,0xffff90ff,0x87fd40bf,0xfffffff8,0x16ffffff,0xffffffff,
    0x22dfffff,0xffffffff,0xfff15fff,0xffff98df,0xfffffc85,0x3200adff,
    0x980fffff,0x2e20004f,0x3ffff21c,0xffffffff,0xfffff91f,0x26015bff,
    0x6fffffff,0x5d7fff20,0xffffffff,0xfffc81ff,0xc80fffff,0xffffffff,
    0xffff90ff,0xffff901f,0x3ffff21f,0x1cefffff,0x7ffffffc,0xffb3ffff,
    0xfffd05ff,0xffffc83f,0x7cc0ffff,0x06ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca880000,
    0x2e6003cd,0x88022bdc,0x200acdca,0x2600aaa9,0xb7500aaa,0x15540159,
    0x2532aa98,0x55302aa8,0xbcdb9805,0x2f2e2010,0x5005e540,0x1795017b,
    0x0acdba80,0x5302a0cc,0x55503555,0x0880c155,0x42600500,0xaaaaaaa8,
    0xaaa982aa,0x2aaa200a,0x10aaaa0a,0x45971155,0x2a601cb8,0x006f6ea2,
    0x53060110,0x55550355,0x98155510,0x000040ab,0x0002c001,0x19988030,
    0x88165d44,0x33322ccc,0x00200002,0x7fdc0ae2,0xffffffff,0x1003ffff,
    0xdfd3009f,0x801ffb7b,0xefeccdfc,0x9dff506b,0xfd105ffd,0x3ba207dd,
    0x6f6c43ef,0xea83fecb,0x2fddb06e,0x10ddd74c,0x3ea0fddd,0x6dffdbdf,
    0x1febdfd8,0xb01df9fb,0x7f43fb7d,0xed880eec,0x363fecbd,0xee8bffa4,
    0x774c4eef,0x09f13eff,0x4bd003f5,0x54be61b8,0xeeeeeeef,0xfeeed87f,
    0x3bfbae02,0x45dffd34,0xfcdfcfeb,0x04fcee8c,0x7bdb1ddb,0x3e6009fd,
    0x3f20fb82,0x7f74c5ef,0x8ff7641e,0x21fddfd8,0xb87d102f,0x3c404dcd,
    0x103fb710,0xd01bb9f9,0xbcef8dff,0x2fff80fd,0x1d80fffe,0x0befd980,
    0x27edf74c,0x26666662,0xe9999999,0x00bf3003,0x81320131,0x7fc880de,
    0x5c40bfb8,0x4007b03f,0x9827cc0f,0x880d304e,0x034c1fcf,0x40fe21e2,
    0x5c0a86f9,0x71760ece,0x45bb541d,0x9827cc5d,0xff52f9de,0xd005d0df,
    0xf909f505,0xfdde8805,0x2a3fcffd,0x200be606,0x444b802e,0x8ffa00de,
    0x03e24ff9,0x7cc277d4,0x6427cc02,0x202fa82f,0xfa9e805d,0x2f992a0c,
    0x712e2f44,0x5303c407,0xa85103b1,0x00fffc44,0x0fffc25c,0x3f205ffd,
    0x2fbe600f,0x221745fc,0x3d80002e,0x40000200,0x805c80f8,0x201fcc7e,
    0x985b81fa,0x01f43cc0,0x01a60be2,0x0d3017f1,0x406a8788,0x5ff1006a,
    0x03f11f98,0x1f985fb9,0xbff100fa,0x5c27ffc4,0xf5035406,0x9805fb0b,
    0x517aa0cf,0x400be60d,0x264b802e,0xe84e804f,0x9f502d85,0xbf502e40,
    0x7cc07f90,0xe802f442,0x5f3002fd,0x220617a2,0x44788226,0xd3001d80,
    0x5105ffa8,0xffb0b979,0x540ffec1,0x1b606c8f,0x5416a1f5,0x03d80005,
    0x5d000000,0x69801f88,0x85e8036c,0x2e2fcc79,0x7a8035c5,0x03c40698,
    0x887880d3,0xd000402f,0x83553a0f,0x2e9d06f9,0x710f5006,0x7b00fc05,
    0x6c0dfb80,0x541ae03f,0x03e88087,0x52e00ba0,0x03d003fa,0x2a07b05b,
    0xfb83cc06,0x4027ec0e,0x00bd12f9,0x2a000ff4,0x32005ebf,0x3e6b7fa4,
    0x1d85fda8,0x361754c0,0x6ff441ff,0x7fc85ecc,0x3e607fdc,0x0fe213a1,
    0x1f01ecfe,0x003d8000,0x32ea6000,0x34c2e9ac,0x2003f000,0x75c1f079,
    0x00f21e47,0x2034c0f8,0x101a6078,0x2af7ee0f,0x59951001,0x25d6e07d,
    0x656e07f0,0x0003e003,0x007cc16e,0xfd1077e4,0x2e80ba09,0x20027440,
    0xfbcb802e,0x3607a002,0x0d503d82,0x0efb8798,0x98017f62,0x74004ebf,
    0x0df50002,0x75cc2e40,0xb01befff,0x07764403,0x213217fe,0x546fb85a,
    0x221f447f,0x7c44e83f,0x016a0b52,0x0000f600,0x337bf620,0x2dc2ffdc,
    0xffff8800,0xffffffff,0x2ba2e80f,0x05d07a2e,0x01a61740,0x2034c0f1,
    0x3b2e6078,0xfe981dff,0xffffecdf,0x07b6ffff,0x7ffffff4,0x74005d6f,
    0x80f88002,0x3bf6004c,0x3e13fe20,0xbb00f600,0x7005d000,0x2003dddf,
    0x3d82d81e,0x47980d50,0x3fa20ffc,0x06fa8005,0x88001e80,0x4d802fee,
    0xd805fd80,0x7ccd5001,0x74c2e80f,0x7cc5fa85,0x1f982ec6,0x47d897dc,
    0x0017442e,0x7fec1ec0,0xffffffff,0x01bf11ff,0x0016e174,0x99999af8,
    0x90199999,0xf8adde69,0x3d001740,0x03c40698,0x007880d3,0xfa8ff2a2,
    0x999ce81b,0x40791999,0x999999ce,0x0f4005d1,0x7c44c800,0x89fd1001,
    0x03d82ffa,0x036403f1,0xeb802e80,0x3d007f90,0x207b05b0,0x263cc06a,
    0x07fe42ff,0x07d9d100,0x44001e80,0x2205f35e,0xf9fb802e,0xd000ec02,
    0x7d413ee3,0x0dfdedbc,0x49f10fe2,0x83ee00eb,0x42ffffd8,0x04fdbeea,
    0x3105b000,0x33333333,0x40364333,0x00034c2e,0xd500007d,0x34c7c56e,
    0x0f880264,0x81e2034c,0x003c4069,0x409b0fa8,0x204b804e,0x004c805f,
    0x260001f1,0x44016e0f,0x0ffcc4fe,0x40d706a8,0x5d0000ec,0x2fa89700,
    0x416c0f40,0x980d503d,0x5c2ff987,0x4e8800ef,0x0f4009d1,0xfa8bd100,
    0x2020f4c2,0x401f51f9,0x2688081d,0x2ee200ec,0x20305511,0x0a002609,
    0x2e6015c4,0x00000002,0xe802e800,0x8000fc42,0x7880006b,0x425d745d,
    0x86c800fa,0x303cc079,0x0f87980f,0x40993e80,0x3069806e,0x01f500ff,
    0x03510d90,0x801747b0,0x0ffcc3fd,0xb317df50,0x403ee0bf,0x4017400b,
    0x7406b84b,0x03d82d81,0x107980d5,0x06fa83fd,0x13a21fcc,0xbd000f40,
    0x6fc4bea0,0x4e87cccc,0x3f32a364,0x2b3ae4cd,0x000221dc,0x00000000,
    0x00000000,0x4c800000,0x2e0bfa20,0x21f4c00e,0x7c05005d,0x81eedc7b,
    0x807cc05d,0x80ff501e,0xf0ff501e,0xd51f9807,0x220bff20,0x3ab60ba2,
    0x01762882,0x7fff01f3,0x00d56a80,0x1dd10bf6,0x7f5dfcc0,0x7d45eacf,
    0x5d007a01,0x0fa09700,0xd82d81e8,0x7980d503,0xf503fa20,0x440fe60b,
    0x001e804e,0x4cc3300e,0x03819999,0x99999887,0x00054c41,0x111f7744,
    0x11111111,0x98060111,0xb86a000a,0x7dc59803,0x8000001d,0x6fd442f8,
    0x17ec09be,0x7442fe44,0x06fb881e,0x3ff113f6,0x3207ba20,0x9836e02f,
    0x2e01fcfc,0x3f3f260d,0x2033fe09,0x322ec5e9,0x3ee2fdff,0x35c87e64,
    0x893ee23f,0x82fc81ee,0xe806fffa,0x2fc803db,0x3e007744,0x4cba2043,
    0x999999bf,0x266621e9,0x09999be9,0xf5027726,0x40be9813,0x2066c0bd,
    0xa8809eb9,0x1dd1009f,0x67d44f98,0x0df99809,0x4cdf4ccc,0x00000199,
    0x00000000,0x27fff000,0xfffffffa,0x86ffffff,0x1eefd80c,0x4fffe188,
    0x8fe605e8,0x0005fff9,0x3ee00b62,0xfd1effef,0xddff709f,0xfb803bff,
    0x02effeef,0x03ec17dc,0x77f77fdc,0x7f7ec401,0x03ff88df,0x1bffdfb1,
    0x6cf49ff1,0x04ffeeff,0x3b1dfdfb,0x505dfdf7,0x7dc1dfdf,0xff702efe,
    0x2203dfdd,0xfb803fff,0x40f4400f,0x000800da,0xffffffc8,0xff31ffff,
    0xffffffff,0x3ffff2bf,0xf70ffe85,0x0ffd8fff,0x7fcc3ff6,0xfffe86ff,
    0x74c1ec04,0x8bffff50,0x2a6ffff9,0xffffffff,0x000001ff,0x00000000,
    0x22ffe800,0x88888888,0x59008888,0x88bee5d8,0x4dfff53e,0x17d40de8,
    0x0017ffe6,0x51005f98,0x26000135,0x4c0009aa,0x000001aa,0x00155300,
    0x00009a88,0x88001351,0x44009aa9,0x8035101a,0x006a01a8,0xa800554c,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ffb0000,0x97300000,0x2f3e6162,0x41fffc5e,0x5c07ee6d,
    0x540000ce,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01ff2000,0x95375000,0x203b9100,0x0098a01a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77754df7,0xeeeeeeee,0x2f2e25ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5512fd40,0x55555555,0x22003555,0x88888888,
    0x05405408,0x33333333,0x33333333,0x00000013,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x000004f8,
    0xffffff50,0x2adfffff,0xe9b7cc5f,0xffffffff,0xffffffff,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x30000001,0x99999999,0x0b627999,0x000000b6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_33_latin_ext_x[560]={ 0,6,3,2,3,2,3,6,8,4,0,2,4,2,
6,3,3,3,2,2,3,2,3,3,3,3,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,2,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
8,2,4,0,0,0,0,2,0,-1,4,2,4,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,2,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,3,2,0,
2,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,2,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_33_latin_ext_y[560]={ 24,5,6,4,4,5,8,6,6,6,6,8,19,14,
20,4,5,5,5,5,6,6,5,6,5,5,11,11,8,12,8,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,4,6,5,30,5,11,6,11,6,11,6,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,6,6,6,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,9,7,
6,6,6,6,5,11,15,14,6,3,2,6,5,5,5,11,6,13,23,5,5,11,5,5,5,11,1,1,1,3,
2,1,7,6,1,1,1,2,1,1,1,2,7,3,1,1,1,3,2,10,6,1,1,1,2,1,7,6,5,5,
5,6,6,4,11,11,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
3,7,1,5,7,11,1,5,1,5,2,6,1,5,1,6,7,6,3,7,1,5,2,6,7,11,1,5,1,5,
1,5,2,6,6,4,1,1,7,6,3,6,3,7,1,5,7,5,2,11,7,5,1,5,7,6,11,1,0,7,
6,7,6,7,6,7,6,1,5,7,11,1,5,6,6,11,3,7,1,5,1,5,7,11,1,5,7,11,1,5,
1,5,1,5,6,11,1,5,7,7,1,6,7,7,2,6,3,7,1,5,0,4,1,5,7,11,1,5,1,5,
2,1,5,2,6,1,5,6,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,6,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,11,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,1,5,1,
5,1,5,1,3,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,1,5,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_33_latin_ext_w[560]={ 0,5,11,13,12,13,12,5,6,6,11,14,7,13,
5,12,12,12,12,13,11,13,12,11,12,12,5,7,14,16,14,11,11,18,15,15,15,15,15,16,16,12,16,16,
15,18,17,15,14,16,17,13,14,16,18,17,16,16,12,5,11,5,12,18,6,14,16,14,16,15,13,16,16,13,
10,15,13,18,15,14,16,16,14,13,14,15,17,17,16,15,12,6,2,6,13,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,11,15,13,16,
2,14,9,18,10,15,16,13,18,19,9,14,9,8,6,15,14,5,5,8,10,16,18,18,18,11,18,18,18,18,
18,18,18,15,15,15,15,15,12,12,12,12,17,17,15,15,15,15,15,11,16,16,16,16,16,16,14,14,14,14,
14,14,14,14,17,14,15,15,15,15,13,13,13,13,15,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
18,14,18,14,19,16,15,14,15,14,15,14,15,14,15,17,17,16,15,15,15,15,15,15,16,15,15,15,16,16,
16,16,16,16,16,16,16,16,16,17,12,13,12,13,12,13,12,13,12,13,18,15,16,11,16,15,14,15,13,15,
13,15,13,15,13,15,13,17,15,17,15,17,15,16,15,13,15,14,15,14,15,14,18,17,17,14,17,14,17,14,
13,13,13,13,13,13,13,13,14,14,14,14,14,15,16,15,16,15,16,15,16,15,16,15,16,16,17,17,16,15,
16,12,12,12,12,12,12,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,17,15,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,14,12,13,15,
14,16,15,16,15,16,15,16,15,16,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,14,18,17,16,15,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_33_latin_ext_h[560]={ 0,20,9,22,23,20,17,9,22,22,11,16,10,3,
5,23,20,19,19,20,18,19,20,19,20,20,14,17,16,7,16,19,21,17,17,19,17,17,17,19,17,17,18,17,
17,17,17,19,17,22,17,19,17,18,17,17,17,17,17,22,23,22,9,2,5,14,19,14,19,14,18,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,13,14,13,19,13,22,22,22,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,19,20,18,13,17,
22,20,3,19,9,13,9,3,19,2,9,18,11,11,5,19,20,4,6,11,9,13,19,19,19,19,23,23,23,21,
22,23,17,23,23,23,23,22,23,23,23,22,17,21,24,24,24,22,23,11,20,24,24,24,23,23,17,19,20,20,
20,19,19,21,14,18,20,20,20,19,19,19,19,18,19,18,20,20,20,19,19,15,16,20,20,20,19,25,24,24,
21,18,23,20,21,17,24,20,24,20,23,19,24,20,23,19,17,19,21,18,23,20,22,19,21,18,23,20,24,25,
24,25,23,24,23,26,23,23,17,18,21,18,21,17,23,19,22,24,22,13,18,25,24,25,22,23,13,23,24,22,
23,17,18,17,18,17,18,23,19,22,18,23,19,18,19,19,22,18,24,20,24,20,17,14,23,19,22,18,23,19,
24,20,24,20,23,18,24,20,24,24,23,19,17,18,23,19,22,18,24,20,25,21,24,20,22,18,23,20,23,25,
22,23,19,22,18,23,19,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,14,19,19,19,19,19,19,19,19,19,19,19,19,19,20,14,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,20,23,19,24,
20,24,20,24,22,24,24,24,24,24,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,28,26,23,20,25,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_33_latin_ext_s[560]={ 506,501,445,262,340,183,496,434,452,445,396,
450,426,463,477,365,126,135,72,226,291,474,113,1,458,471,194,501,465,440,496,
353,423,318,337,337,238,222,18,451,1,305,331,479,448,69,187,42,254,475,88,
13,383,348,431,413,366,288,353,36,65,506,457,52,483,16,340,31,405,46,303,
372,380,297,86,397,317,291,310,80,323,167,359,128,365,112,200,62,342,219,249,
77,508,104,463,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,506,468,318,
231,235,413,101,363,477,148,434,326,491,463,184,487,470,31,386,417,490,389,62,
497,457,408,480,218,85,488,432,311,236,271,384,352,124,94,269,429,413,319,349,
169,34,290,452,156,430,292,357,373,389,276,220,374,393,405,422,439,168,17,398,
322,348,378,484,263,248,408,142,455,1,77,93,152,138,124,199,277,306,46,47,
32,17,168,109,1,480,442,426,410,183,97,456,473,451,247,420,285,371,205,1,
240,17,211,479,291,33,153,1,213,169,231,435,422,353,32,231,365,391,470,185,
16,340,162,66,69,403,489,378,35,77,495,152,213,339,142,310,138,439,58,143,
113,111,262,107,146,49,179,60,303,276,255,173,492,335,122,76,106,17,53,62,
395,203,18,1,150,235,438,267,283,459,486,127,486,143,82,34,160,113,27,42,
262,47,357,235,139,159,197,465,156,221,255,83,98,369,399,464,197,306,251,84,
126,187,66,129,470,204,269,1,90,275,48,323,113,214,249,278,185,184,262,499,
170,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,381,104,104,247,
104,104,104,104,104,104,104,104,104,104,104,104,104,414,178,104,104,104,104,104,
104,104,104,104,104,104,104,104,300,95,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,131,1,
293,121,274,168,257,97,323,198,208,241,191,225,290,307,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,1,20,201,330,52,323,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104, };
static unsigned short stb__courier_33_latin_ext_t[560]={ 24,79,201,79,30,102,164,211,55,55,201,
182,201,217,211,55,102,144,144,102,164,123,102,144,102,102,201,144,182,211,182,
123,79,183,183,123,183,183,183,123,183,183,164,164,164,183,183,144,183,55,183,
144,183,164,182,182,183,183,183,79,55,1,201,27,211,201,144,201,144,201,164,
144,164,144,1,164,164,201,201,201,144,144,201,201,164,201,201,201,201,144,201,
79,55,79,211,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,24,123,102,
164,201,164,79,102,217,144,201,201,201,217,144,217,201,164,201,201,211,144,123,
211,211,201,201,201,144,123,123,144,55,55,30,79,79,55,183,55,55,55,55,
79,55,55,30,79,164,79,1,1,1,79,55,201,102,1,1,1,55,55,183,
123,102,102,102,123,123,79,201,144,123,123,123,123,123,123,123,164,123,164,123,
123,123,123,123,201,182,102,102,102,123,1,1,1,79,164,30,102,79,183,30,
102,30,102,30,123,30,102,55,123,183,123,79,144,30,102,79,123,79,144,55,
102,1,1,30,1,30,1,55,1,55,30,183,164,79,164,79,183,30,144,79,
30,79,201,164,1,30,1,79,55,201,55,30,55,55,183,164,183,164,183,164,
55,144,79,164,55,144,144,144,144,55,144,30,79,30,102,183,201,55,144,79,
164,55,144,30,102,30,102,30,164,30,102,30,30,30,123,164,164,30,144,79,
164,30,102,1,79,30,102,79,164,30,102,30,1,79,30,123,79,164,30,102,
164,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,123,144,144,79,
144,144,144,144,144,144,144,144,144,144,144,144,144,123,201,144,144,144,144,144,
144,144,144,144,144,144,144,144,102,201,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,55,102,
30,144,1,102,1,102,1,79,1,1,1,1,1,1,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,1,1,55,102,1,79,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144, };
static unsigned short stb__courier_33_latin_ext_a[560]={ 280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_33_latin_ext(stb_fontchar font[STB_FONT_courier_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_33_latin_ext_s[i] + stb__courier_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_33_latin_ext_t[i] + stb__courier_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_33_latin_ext_x[i];
            font[i].y0 = stb__courier_33_latin_ext_y[i];
            font[i].x1 = stb__courier_33_latin_ext_x[i] + stb__courier_33_latin_ext_w[i];
            font[i].y1 = stb__courier_33_latin_ext_y[i] + stb__courier_33_latin_ext_h[i];
            font[i].advance_int = (stb__courier_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_33_latin_ext_s[i] + stb__courier_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_33_latin_ext_t[i] + stb__courier_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_33_latin_ext_x[i] + stb__courier_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_33_latin_ext_y[i] + stb__courier_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_33_latin_ext_LINE_SPACING
#endif

