// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_12_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_12_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT         98
#define STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_courier_bold_12_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_12_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_12_latin_ext_LINE_SPACING           6

static unsigned int stb__courier_bold_12_latin_ext_pixels[]={
    0x80900000,0x2620cc00,0xb8033009,0x20311500,0x806201ab,0x2a20200b,
    0x260a202a,0x0ec76051,0x41e80a33,0x0600e028,0x88288130,0x40211010,
    0x050040cb,0x3d508a98,0xa88284c0,0x22059809,0x9807200d,0x3aa12602,
    0x6407205f,0x6ec40b98,0x80b98c80,0xb88c80d9,0x8d41eb80,0x88b5b104,
    0x2a1501dc,0xa8077220,0x4c12f260,0x5d01a205,0x2a625e4c,0x848a9848,
    0x372a389a,0xbd901f84,0x8807a27f,0x767641dc,0x02a00b86,0x014c0570,
    0x05a83251,0x1310a66a,0x299a8331,0x20cc44c4,0x44c4299a,0x7ef5c198,
    0x03311311,0x26213331,0x5e641988,0xc80c44cc,0x311313cc,0x0cc44c43,
    0x34c0454c,0x8988454c,0x70188198,0x70288799,0x362b9e09,0x8a982cb9,
    0x64244b30,0x4c8aca84,0x33660790,0x37efe44b,0x1889816a,0x077567e4,
    0xcfc83113,0x22260eea,0x77567e41,0x9f90cba0,0xfec81dd5,0xdd59f91e,
    0x3dd66d41,0xaa83dbf9,0xdd59f96b,0x3bab3f21,0x21bf3b60,0x9fef642d,
    0x20eeacfc,0x54c1edfc,0x07b7f26b,0x59d901f1,0x640bfcd8,0x00793fde,
    0x3a3f3075,0xe8809984,0x55664fba,0x5c92d46f,0x734c3954,0x21caa5c9,
    0x54b92e69,0x89734c39,0xb9a64fe9,0x26983a04,0x2f13b84b,0xb4412e59,
    0x26992e69,0x45996a4b,0x4cae7869,0x2e5992e6,0xb966d104,0xd7304c84,
    0x27827ec7,0x3ffa792b,0x320b76e0,0x7ec40f8b,0x45b1dc0f,0x20f9f8ac,
    0x47cc3e5a,0x4b9a62d8,0x98b623e6,0x88f992e6,0x44b9a62d,0xb9a65b12,
    0x26983a04,0x2f13b84b,0xb441e22c,0x26992e69,0x7b00f24b,0x34c59d90,
    0x0f116497,0x0f1165a2,0xc874c1f1,0x3213af64,0x4c3aa2ce,0x207cd546,
    0xbf103df8,0x2f88d987,0xb9a2faf2,0x3e0fffff,0x9734c590,0x34c590f8,
    0x4590f897,0xbf892e69,0x25cd31eb,0x4d307475,0x3fffe24b,0x83447778,
    0x325cd368,0x407925cd,0x4fae6078,0x23b92e69,0x8eed1068,0x74c79068,
    0x53f70dff,0x47d730ff,0x7e44fffc,0x00fc80ff,0xff90d397,0x646fcc5f,
    0x223e0503,0x0ec7e22d,0xf88b623e,0xd88f83b1,0x20ec7e22,0x47e22edb,
    0x07c56e1d,0x300763f1,0x0f227a2d,0x3b1f8b54,0x261d8fc4,0x41e4711e,
    0x3e2990e9,0x44f443b1,0x3a2d303c,0x0f103c89,0x260620b1,0x5070990e,
    0x7b01f11b,0x00ff7740,0x67ffdc5b,0xff906b80,0x84ffa8ff,0x7d47fffc,
    0x7fffc84f,0x5a827fd4,0x6cc4ffa8,0x4ffa82ff,0xea8bfae0,0x17f6c0cf,
    0xff509ff5,0x47fff709,0xdffe980f,0x2a13fea0,0x7f640cfe,0x8033faa2,
    0x5d835c2d,0x40dffe98,0xfffe886b,0x5417fae7,0x74c4b99e,0x0008645e,
    0x08020020,0x20020080,0x40100400,0x4c400800,0x100c4000,0x04040080,
    0x00010040,0x01000062,0x00010000,0x404cc402,0x3ff8bff8,0x0000004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33028800,0x40a20662,0x980600db,0x260a3103,
    0x41273050,0x4055c401,0x500ea028,0x320a1301,0x26666205,0x040a66a0,
    0x0db802e0,0x20540a20,0xeb833198,0x2e206a04,0x4026620a,0x3cc98509,
    0x10205098,0x425e4c19,0x20eeaafd,0x454c4bc9,0x1440d103,0x9b107b90,
    0x22072a05,0x4c256c06,0x019704bd,0x166c40ae,0xfdd90354,0x40c44cdd,
    0x0b104dca,0x6c40e2a6,0xdfc83b80,0x82e4c6f9,0xc895b04a,0x6440eeef,
    0x2622621d,0x540ee441,0x80c44c85,0x984b8ef9,0x9159508a,0x98135109,
    0x5440ccdd,0xb3018809,0x3f22199b,0x222621cc,0x209a8819,0x88198898,
    0x19889881,0x3227674c,0x59568dab,0x444c4991,0xb3018819,0x8a98199b,
    0x83311310,0x0b504e8f,0x031022a6,0x54c1e43e,0xdd59f908,0x02666621,
    0x324a87d9,0x674c1edf,0x7e76c4bc,0x913a3f36,0x5744dd9d,0x767644fb,
    0x10f6fe46,0xfb89f75d,0x2b3f20aa,0x3b3b20ee,0x3bab3f26,0xc87b7f20,
    0x260eeacf,0x2265dacf,0x747e655a,0x3bab3f24,0x887b7f20,0x76c4fbae,
    0xd59f96fc,0x5037fc1d,0x47fbd90b,0x5fc1edfc,0x7e76c1fc,0xd925cd36,
    0x5ee4ddfd,0x72cd6a1f,0x4cf8e989,0x2f25996a,0x489660f8,0x9662d8ee,
    0x24b96648,0x0d10b63b,0x9664b9a6,0x24b9a648,0x26992e59,0x0f13cc4b,
    0x1f1790b5,0x2cc9734c,0x45b1dc97,0x734d665a,0x504dbf89,0x5995cf0b,
    0x8bd9f12e,0x734d665a,0x346d5e49,0x32be60cf,0x2ad31e22,0xf880f24f,
    0xb501e43d,0x01e45f11,0x1b53c459,0x867885f1,0x03c92e69,0x8b24b9a6,
    0x44b9a678,0xa84c9cf9,0x4c3df885,0x222c92e6,0x8be236a7,0x25cd303c,
    0x2d407c5e,0x45916764,0x23e87c78,0x25cd303c,0xbe8ab513,0x1dd6a0b9,
    0x9b6fd8d1,0x03f201e4,0xc83ffa79,0x74f22fff,0x344770ff,0x320bfff2,
    0x5cd30dff,0x87ff4f24,0x23b92e69,0x44b9a668,0x640bdde9,0x40fc87ff,
    0x23b92e69,0x17ffe468,0x4b9a6079,0x98fddff6,0x5cc3ffff,0xb344773e,
    0x325f11ff,0x0763f103,0x13f6216a,0x3227a295,0x47a60a03,0x7541ec38,
    0x516c0d30,0x9e89a61d,0x40b603c8,0x43b1f882,0x7c4d30ea,0x44f443b1,
    0x0ec7e23c,0x406201a6,0x3b1f883d,0x01e44f44,0x388f4c5b,0x220763f1,
    0x1d306202,0x644f4532,0x23d30503,0x413fea38,0x990b505a,0xb8067f54,
    0x27fff706,0xff905feb,0x86eea89f,0x7544fffc,0x377540cf,0x13fea0b0,
    0xf513fff2,0x19fd509f,0xfe84ffa8,0xd716600e,0x13fea0bf,0xd5033faa,
    0x7fff70dd,0x6c827fd4,0xffd31720,0x067f541b,0xfffb835c,0xfff90083,
    0x00171020,0x33102000,0x02600801,0x04c00010,0x08010060,0x02000040,
    0x06600cc4,0x00801331,0x01002600,0x10000004,0x00400000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb5000000,0x11301887,0x20000405,0x1c02100a,0x220a2000,
    0x264c1309,0x664c0422,0x19805103,0x00a806a0,0x41881462,0x0a605128,
    0x40084008,0x022a602b,0x84c1c017,0x00b81b82,0x06e59507,0x6fe433d1,
    0x80eec40e,0x1b9500bb,0x347c0750,0x332604a8,0x2e25e4c1,0x3aa6e9bf,
    0x882454c1,0x20979301,0xc80ea049,0x0bb201db,0x2d56a24c,0x59bb024c,
    0xc806e320,0x8df9db03,0x882c80d8,0x2074c1dc,0x9103b02b,0x1ec89aab,
    0x2624b966,0xb80e6009,0x804cc419,0x099859f8,0x1330a2e0,0x9734c266,
    0x4c2622d4,0x10f6fe41,0x33306613,0x20099813,0x22330099,0x84cccc19,
    0x88ccb55a,0x20199819,0x02660099,0x3315996a,0x26662133,0x82666609,
    0x22275c5a,0x7cb50099,0x1649fd51,0x7777e4f1,0x70e552e0,0xefc872a9,
    0x7f7ec0ee,0x203ff622,0x5f743dc9,0x5cd31fe8,0x15f716a4,0x4972ccdf,
    0x7c6f8afb,0x3f622fee,0x0ffd880f,0x0eeaafd8,0xad4bfbbe,0x3aabf649,
    0x03ff620e,0x2203ff62,0x81e40ffd,0xf94eeefc,0x777c9ddd,0xb9316e2f,
    0xb505fea8,0x3c8b51ec,0x8f21f1a2,0x262d88f9,0x87c2d88f,0x06df543c,
    0x7f10f7e2,0x655dc7d5,0x24b9a668,0x0e9cc85a,0x664788b2,0x85bbc0e9,
    0xbf103df8,0x971df307,0x82d4b778,0x884b8ef9,0x7bf103df,0x790f7e20,
    0xf1d547c0,0x5bbc7551,0x216a0fe2,0x4c96a05a,0x913d316a,0x41fcbf89,
    0x90f8590f,0x21fcbf85,0x5c0eded8,0xd325c69c,0x22d7ee54,0x16a1d89f,
    0x88ee0ff4,0x9881fe86,0x069cb80f,0x9d30d397,0x0f988979,0x9d324d6a,
    0xd3970979,0x5c1a72e0,0x88f4c69c,0x9f03f3e3,0x40f9881f,0x5a85a85a,
    0x2a3d96a0,0x40cffa84,0x88f85ecf,0x16c47c2d,0xdb117b3e,0xfeee81bd,
    0x32e43aa1,0xfa89dbfd,0x5a82d44f,0x83c89e88,0x313f105a,0xe81feee8,
    0x474c1fee,0x44fc44cf,0xe996ab51,0xeee84cf8,0x1feee81f,0x5c1feee8,
    0x3efe3fff,0x863efe18,0x16a189f8,0x4496a16a,0xdd33f15a,0x8b9df703,
    0xffc87d0f,0x3fffe47f,0x32e1f43e,0x5ccf543c,0x1077fdc4,0x7509f3bf,
    0x5a82ea83,0x5019fd50,0x525cfa0b,0xea89733d,0xab4c4b99,0x54b9f44f,
    0xf56996ab,0x4b99ea89,0x225ccf54,0x884b99ea,0x7cd10f86,0x4b9f4d10,
    0x50b503a6,0x75c987cb,0xaaa804cb,0x223ff61b,0x4020042f,0x22f88ffd,
    0x3fe22cbb,0x0083ff8b,0x0540fe5f,0xfff91326,0x8fff9000,0xf14ffff9,
    0x227ff17f,0x23ff8bff,0x7cc9b6fd,0x22514fff,0x126dbf62,0x27ff17ff,
    0x3ff8bff8,0x7ff17ff1,0x7ffec6b8,0xdffffb6f,0x713fffe6,0x4ffffe63,
    0x50fffffb,0x00002a59,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00e00000,0x41444c0c,0x70002eea,
    0x0c414260,0x199883c8,0x85098288,0x17000108,0x22070020,0x14405102,
    0x20000000,0x00000099,0x080a2801,0x2110a130,0x02666620,0x26216400,
    0xbb10b330,0x40533503,0x9102c83b,0x2609503b,0x20dfec81,0x66c44bc9,
    0xa82454c2,0xca81b104,0xc982c84d,0x425e4c4b,0x16404bc9,0x416202c8,
    0x9500ffd8,0x6e541620,0x203bb304,0x83b9104c,0x3bf248a9,0x105884ee,
    0x3ee13333,0x9982ee9b,0x20311300,0x1984c428,0x3304cccc,0x81654133,
    0x4cccc45a,0x44266660,0x1c409999,0x26099998,0x26660999,0x42666609,
    0x113100eb,0x70066013,0xbf100540,0x0540cc07,0x981988cc,0x220ea009,
    0x26609999,0x2aa3e099,0xffb00b83,0x4b9a65fd,0x5c0ffd88,0xec983954,
    0xdf15f70c,0x361efed8,0x17221efe,0x3bbf22d4,0x47bfb64e,0x224eeefc,
    0x7f6c2ceb,0x87bfb61e,0x3b61efed,0x201f31ef,0x4c5facfa,0x6dc2dadd,
    0x02ddb82d,0xb930d397,0x6c3dc987,0x220eeaaf,0xddb80ffd,0x27777e42,
    0x67c3dfdb,0x83dc980f,0xd32c8fca,0x3df8825c,0x216c47cc,0x3321d9be,
    0x505a80e9,0x2d416a0b,0x2a1d547c,0x23aa8f85,0x5a85d9be,0x416a0b50,
    0x83edf85a,0xf9530b27,0x7cd541f5,0x407cd540,0x3e21feee,0x57f13eab,
    0x5c77cc7d,0xa83df884,0x547c0f9a,0x5fc2d43a,0x2abe218f,0x0ffcec3e,
    0xcb825cd3,0x8590f869,0x7f40ceeb,0x16a0b501,0xf85a82d4,0xf85a80fc,
    0x189660fc,0x20b505a8,0x9f0b505a,0xeccf83d3,0x7f7ffe42,0x903fff23,
    0x9ea81fff,0x6992e4b9,0x9d334c97,0xd3970979,0xf81fff90,0xf85a80fc,
    0x7775cd10,0x06ff7c5e,0x203b13f1,0x47c1feee,0x6c5222d8,0x0b502d43,
    0xffff116a,0xf07ffec5,0x85a831f7,0x1d118fbf,0x5a82d414,0x216a0b50,
    0xabf8590f,0x3ee3e22d,0xf11b50a9,0x07c46d41,0x7ff17ff1,0xeaae43aa,
    0x7c74cb90,0x1feee84c,0xf03e236a,0x45a831f7,0x266ffffd,0x3261999e,
    0x7f547579,0x9733d504,0x227fffc8,0x2d40efff,0x416a0b50,0x40bb80bb,
    0x85a8d10f,0x7fdcd10f,0xb505a84f,0x42d416a0,0x3278590f,0x7ffffe42,
    0x4ffffd11,0x807fffe8,0x83bfee2d,0x5a60effb,0x4cf544fa,0x3fffa24b,
    0x546887c7,0xf905dc05,0x3bfe29ff,0x22004fff,0x43ff8bff,0x7e404400,
    0x2ffff87f,0x2a0bfffe,0x3f60a880,0x3ffe6fff,0xdffffb2f,0x3fffe010,
    0xf8bfffe2,0x3ffe2fff,0xff3bf92f,0x3febbf21,0x00201040,0x08188001,
    0x6dbf6020,0x3e2ffe24,0xffd8043f,0x3fffe6ff,0x00203102,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x98311303,0x00000050,0x32600190,0x21c55449,0x881cbdc9,
    0x136f223d,0x99881331,0x32624180,0x4554003c,0x0377b103,0x883cc980,
    0x0998808b,0x9a849c88,0x884c8829,0x4883dacc,0x2e071550,0x21c54c0d,
    0x212a08b8,0x40dd884a,0x05902dd8,0x03620362,0x9806c354,0x7c417704,
    0xe980dfab,0x8fab7a0d,0x55442aa8,0x98923442,0x01c80999,0x56640177,
    0x13302b81,0x220f26a0,0x019302aa,0x33503113,0x075df505,0x405dc051,
    0x44c438a9,0xf91e4cc1,0x884cccc4,0x4ccc4199,0xa808cc09,0x1740a200,
    0x1ee4c1c4,0x23b8f726,0x26ee4c4b,0xb9325c7a,0x223dc987,0x3209ccfc,
    0x0cc4eeef,0x64c3dc98,0x02880cdd,0x4b81ffb1,0xcaa5c395,0x71675c41,
    0x54b872a9,0x22078839,0x552e2ceb,0x06764c1c,0xdc987b93,0xeefc9b23,
    0x1dddf94e,0x993bbbf2,0x552e6cdd,0x0e552e1c,0x47b9303e,0xf13eaaf8,
    0x2ba27d55,0x2eba24ea,0x14b8f44f,0x3e27d57f,0x2bee3eaa,0x3aa8f80a,
    0x447b5991,0x5d13eabf,0xdcca89f7,0x987bf103,0x3e62d88f,0x4df42d88,
    0x3623e65d,0x0b623e62,0x6cdf40f1,0x0b623e65,0x3e23b37d,0x57f13eab,
    0x51f16e7d,0x24d9a275,0x7d33aa8f,0x447cc9f9,0x3623e62d,0x55f11e22,
    0x3bbbae7d,0x4bdddd75,0x8ee4ddda,0xa5d7ea4c,0x775da64b,0xf01a25ee,
    0xaefa81f9,0x776992e3,0x273e2264,0x869cb81e,0x90f8590f,0xf8312cc5,
    0x590f8590,0x307fffcc,0x643e0c4b,0xb86775c2,0xd325da64,0x41f9f12a,
    0xfcf9a668,0x1ebeaf20,0x21f0b21f,0xdd707c2c,0x267a6bdd,0x3333d319,
    0xb15a92a0,0x0ea9ec09,0x2667a6b9,0xbf819e21,0x541e218f,0x456ab90e,
    0x0590f84d,0x8f83fddd,0x6c47c2d8,0x7c283a22,0x447c2d88,0xe881882d,
    0x5b11f0a0,0xd53d8a44,0xc8755721,0x463efe05,0xfbf96668,0xb93fd518,
    0x7c2d88f8,0x31ec2d88,0x7e43333d,0x3fff24ff,0x322feb84,0x7542ffff,
    0x83bfee0e,0x7e44fffc,0x6887c0df,0xeffb81e2,0x0bffff20,0x3d50b21f,
    0xfffc8973,0x23fffe47,0x7e44fffb,0x7ffe47ff,0xff705d87,0x7fffc89f,
    0xb83bffe2,0x3fee0eff,0x10f8950e,0xf1ec5a2d,0x7ffcda21,0x3fffe40e,
    0xd51ffff2,0x084fffc8,0x01988020,0x80201801,0x7fec0200,0xffff36ff,
    0x90080201,0x7c4ff1bf,0x043ff8bf,0x08020020,0x04000040,0x20088010,
    0xfd820200,0xdffb6fff,0xb7fffec9,0x2004011b,0x00081c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1b707153,0x32a19844,0x143103dc,0x8a987993,0x7008b883,
    0x0133101b,0x983c8802,0x48a983ab,0x55439b98,0x0330c43a,0x064a2073,
    0x9973076e,0x29716dc5,0x320181ca,0x1b702dcc,0xda849c88,0x09bc8001,
    0x066202e6,0x3101b100,0x238a9831,0xf12fdefc,0xdfc83d39,0x266663ae,
    0x2a062620,0x38a983c9,0x6882aa88,0x2a0f6fa0,0x54072e03,0x1fb07703,
    0x82881fd1,0x6646fdfc,0xb95f10fa,0xf987cee4,0x03442d88,0x989b5bf7,
    0x40c9838a,0x0ee038b8,0x89191bba,0x5c0eedfa,0xb9305103,0x263dc987,
    0xc87cb52f,0x6c7b9662,0x376e1efe,0xb82ddb82,0x2ddb82dd,0x7c1ccfc8,
    0x16edc4c9,0x64c16edc,0x0e552e3d,0x3262cc95,0x37d5663d,0x8ea96c3e,
    0xf1e47a5c,0xcfc88b21,0x8f13cc1c,0x764c3dc9,0x0b3ae20c,0x075540a2,
    0x71cc2959,0x2cb81449,0x89f557c4,0x4d33eaaf,0x91643e69,0x16a07c45,
    0x5503e6aa,0xf9aa81f3,0x207cd540,0xfbf82afa,0x207cd545,0x3e20f9aa,
    0x11f33eab,0x4b32545b,0x593eaaf8,0x9e21f3f1,0xb973763c,0x223e5fbd,
    0x0557dc2d,0x893273e6,0x2fa3eabf,0x366fa1d9,0xd0e66645,0x6e447f9b,
    0xf999951c,0x2e4c165c,0x5d7bbbae,0x4d35eeee,0xff1bf959,0xb50d11dc,
    0xc81fff90,0x7fe40fff,0x07ffe40f,0x1f07dfd1,0x0fffc8fa,0x9707ffe4,
    0x8b21f34c,0x2e5998ca,0xd795eeee,0x0b278d17,0x4edb8b93,0xd11ffffe,
    0x05f6f4c0,0xdd734c97,0x41896619,0x4b50edaf,0xc8f2f24c,0x3266baad,
    0x9e98b505,0x333d3199,0x285a9a63,0x83c89e88,0x7c46d45a,0x83e236a0,
    0x2a0f88da,0x7cc0f88d,0x5cd7c189,0x41f11b53,0x2a0f88da,0x447cb90e,
    0x2b6b2a2d,0x46667a65,0x743c8df9,0x2e440f8a,0x013f0fd4,0x034c19e2,
    0xa45721d5,0x141d13d8,0x0e983ae2,0x11b8b83b,0x5a87911d,0xfff90b50,
    0xca7ffe49,0x35c2fa9f,0xa80cfea8,0x3ffff445,0x44ffffd1,0x3a27fffe,
    0xffc87fff,0x43bf7f65,0x227fffe8,0x7dc7fffe,0x3fff20ef,0x07febfa7,
    0x3ee9fff9,0x7fcc0cff,0x3f65c882,0x32007c1d,0x3bfa0dff,0x21dff700,
    0x2e0efff8,0x475c4fff,0x213ff219,0x67f5c5c9,0x3fe62d40,0x020083ff,
    0xff000000,0x040085ff,0x10010020,0x08010080,0x10010080,0x00864080,
    0x23ede980,0x40200100,0x10080198,0x7fc40401,0x000003ff,0x00ffffe6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x404d87b1,0x910ccdd9,0x88a23999,0x2665c2dc,
    0xdd70bb22,0x8808a985,0x98806200,0x20088099,0x8a9809a8,0x1db80c40,
    0x442a8298,0x32a19889,0x6ecc4c8a,0x4b807662,0xb880b2a0,0x200ccc08,
    0x32609999,0x22014c3d,0x83db849c,0x713203db,0x7dd7440d,0x4baab624,
    0x83e6f618,0x33a22acd,0x9154ea19,0xbcc87fbd,0x0f6fe41c,0x320f7f64,
    0x67641cbc,0x37e76c6e,0x1a27216a,0x1fbdd0a6,0x43bab3f2,0xbd89d1f9,
    0xb006a0e9,0x26605b80,0x037ba23c,0x4bfbfba2,0x362eaae8,0x980c8802,
    0x4c5b985b,0x674c4ddc,0x05b1dc2d,0x47e189e2,0xb82f361e,0x4077441c,
    0xcb9c8ae7,0x04b9664a,0x19b7903a,0x54912cc9,0xb0b51665,0x490621aa,
    0x225cd32d,0xd300f8bc,0x58790d43,0x12eb116a,0xddf70797,0xc8e8ae87,
    0x4bfddf72,0x2a0dccae,0x7b303dcc,0x2ba22b30,0x567cc4fb,0x3e236a3d,
    0x72dcb702,0xfcdc8dff,0x2a1dfdb0,0x67643d9c,0x1a98cec2,0x1d03c459,
    0x23557958,0x540f203c,0x2b65ffff,0xc885c85c,0x225cd30f,0xdf703df8,
    0x5ef5eecc,0x479b7b70,0x4c3cdccb,0x4f13b84c,0x4c3ff168,0x5311999e,
    0x67c4995f,0x84fc81e9,0x323bcad9,0xc8f13cc4,0x45b02fff,0x07a6fe6b,
    0x4795d9e4,0x5cc4b9db,0x5446763e,0x75344771,0x46ed6074,0x3ffa791a,
    0x85a80790,0x06745bbd,0x5cd3074c,0x6c00fc84,0x24dc6e43,0xdb8d93d5,
    0xb84a86c9,0xf8bc6b9c,0x27ff640d,0xc9e25566,0x5982f5c2,0x2626c56a,
    0x16c0b51f,0x0f9f23c4,0x325b0c5b,0x4ed88974,0x9b9321d3,0x27a259bb,
    0x7c56e3c8,0x2dc65dc0,0xe99a61d5,0x685a8711,0x0c87c197,0x81d8fc40,
    0x21e4103d,0xb3183621,0x0eda8c1d,0x37ae06d4,0x474e6c0b,0x4c05dc3a,
    0x590f8955,0x1b501b50,0xf17fffe4,0xea83bfff,0x6c89506e,0x74437fee,
    0x3bfa25ff,0x3fa66920,0x666e40df,0x3067f540,0x37205ffb,0x7ffe40cc,
    0x21fffdc4,0xb832c818,0x216a0eff,0x7f5c4ffa,0x0effe885,0x71079f10,
    0x21f7101f,0xf33ffff9,0x3ff203ff,0xe81c44ff,0x37f27daf,0x3ffe66f8,
    0x7ffff13f,0x26008008,0x00808000,0x2dcd8080,0x00008010,0x02004002,
    0xffffb810,0x0c0f7626,0x26202008,0x00002009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80666200,0x31099999,0x2af6e033,0x31127221,
    0x71350233,0x64c09988,0x261310cd,0x880984c1,0x0ccccc41,0x44444407,
    0x40726950,0x309100db,0x7b710939,0x80019988,0x12881998,0x1005bb70,
    0x6cc2bab8,0x42cdb882,0x444c4153,0x2a000009,0x3fb605fe,0x0bfd52fe,
    0x910676e6,0x58dfea81,0x5dc40cb8,0xb8ecdf42,0x3e66f8bf,0x6f4c4f8b,
    0x5bbfbae5,0x08082dfb,0x260b62f1,0x2051038a,0x875bb049,0x260eeefc,
    0x3f21abdc,0x36aa0eee,0x40eaaa82,0x2b86cdd9,0x5f40b8b8,0x209945d9,
    0x205f9cfa,0x403b55c8,0x3b2a02d9,0x815662c8,0x6d6640d9,0x5c28acc3,
    0xb83cb83c,0x27320cee,0x3fbbee0e,0x2ee09646,0x373e68ca,0x64f04043,
    0x0cc86642,0xcc873332,0x403ee1cc,0x5f453268,0x993446ea,0x320f732a,
    0x2fa60fff,0x41e5c4fc,0x062cc3cb,0x164f0797,0x3ea0cfb8,0x00dfa80c,
    0xd983ff39,0xf50b3048,0x2059875d,0x44c984c9,0xfe87b148,0x22ecdf81,
    0x54444eea,0x0f56fc15,0x6c4f4101,0x35dd6dc2,0xae83b6ba,0x403e60ed,
    0x97699dfd,0x277f634c,0x3d39f169,0x70fc46d4,0xc98d5f57,0x7444c984,
    0xf09930a0,0xdea85d9b,0x6433ee01,0x3fbe125f,0x3092cc0d,0x25981e0b,
    0x89504a84,0x260efff8,0xdabf82ec,0x2a0bae22,0x4593c6ff,0x3ffee080,
    0x1e7ef445,0xd5103aa2,0x3ae01d01,0x21d5598a,0x4c575c5c,0x3a22c9e5,
    0x3faa7fff,0x504a85b9,0x09fff709,0x5b57f095,0x9101dea8,0x446d4c7f,
    0x5474e4c7,0x21e236a3,0x807c40da,0xda8788da,0x5980da80,0x0f82ec98,
    0x288db859,0x2c87c2d4,0x2b210202,0x20fe7f40,0x3ea199fa,0x88074199,
    0x3ee3d88e,0x447440df,0x41643e3d,0x3fe63930,0x80da80df,0x540d00da,
    0x02c87c0d,0x67dc19f7,0x3ffffdc0,0x9fffdff1,0x89ffffee,0xff33ffff,
    0xffffb8ff,0x4ffffe67,0x5c3ffff9,0x545ffa85,0x3e66f9cf,0x3fea4fff,
    0x9be33ea5,0x10088889,0xf0f39b05,0x7ffc7fff,0x20bffa3f,0x0104effc,
    0xfc93bff2,0x70c06f8d,0x3ffe6023,0x7ffff33f,0xfff985b8,0xff5bf93f,
    0x1daae440,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ed43db8,0xb8133330,0x26602dc2,
    0x7b710330,0x01330998,0x3660c879,0x2666621d,0x50663311,0x103330bd,
    0x0ee60333,0x33103331,0x4c262133,0x20cc2621,0x20019999,0x33306619,
    0x4c0ccc43,0x00998819,0x2e20c433,0x884882cd,0x64c2d9bd,0x5cc730cd,
    0xdf00f445,0x4c1985fd,0x6c577407,0x11d6641f,0x85fd15fd,0xf88e45fa,
    0xfdd70eaa,0x3e77f2dd,0x3620cfc6,0x777e40ff,0x2a2eec0e,0xeefb85fe,
    0xdf15f74e,0x337c5fdc,0x981fdddd,0xee99fd84,0x6477fb60,0x3ba26eef,
    0x3bbee3fe,0xfd87f40e,0x01766fa1,0x0fafebe8,0x1cc766fa,0x33276166,
    0x65c5bbc2,0xb83dcf83,0x7e468cab,0x7934c1cd,0x2180b9d0,0xd195771e,
    0x17c2747c,0x2783df88,0x5985983c,0x991d4de0,0x0d5b90d3,0x981b1159,
    0x0956f885,0x8f2688b3,0x3278f13b,0x3fc5fdc3,0x2ee618b3,0x3ead12bb,
    0x33bae3fe,0x33616600,0x074c40bf,0x273e1326,0x57ee541e,0x40557cc5,
    0x9cb81f2d,0x32e40e25,0x6ef8a951,0x5c4ceeb8,0xfddf869c,0x05985981,
    0x0ff41f7e,0xeec80fd8,0x15f6dcc2,0x309599d1,0xb966688b,0x65fc6c9c,
    0x667e5c1f,0x26283a27,0x23a2bbbb,0x2910a9fc,0x0b3023d8,0x27e209fb,
    0x93c25418,0x5ecfe985,0x2b6a00e8,0x876e7c45,0x9505d83b,0xad89b7f0,
    0x7f7740fc,0x42eddfc1,0xf1259859,0x20b506f7,0xdcc82ee8,0x15f6dcc2,
    0x3099f1d1,0xb966688b,0x767c0cef,0x78fdbb85,0x0027ffdc,0x23ffbdf5,
    0xd70efff8,0x75ec0da8,0x44b8be83,0x2c87c0da,0x427ce7c4,0x2177c00e,
    0x890edbb8,0x5a808de8,0x2a0e88f8,0x27a64fff,0x4c47c4c9,0x8da85a87,
    0x34c47c78,0x7c5f416a,0xb3005e41,0x213ead30,0x6c47445a,0xd0f812e3,
    0x78a9bb87,0x401c4010,0x22101100,0x3f73ffff,0x7ffc4df5,0x7ffff34f,
    0x21fe77f2,0x7fc47f2f,0x40d701ff,0xff501ff9,0x3ffe45ff,0x107eeffb,
    0xff8bff88,0x87ffffb2,0xff72ffff,0x7ffe4fff,0xb1fff26f,0x261ff17f,
    0x09300fff,0xff136bfb,0x3bff25ff,0x907ffe64,0x7c4be2ff,0x003ff8bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97000000,0x5bb3072a,0x03dc985b,0xdb85b930,
    0x9c9a542d,0xc86662a3,0x37931ccc,0x86640079,0x218440cc,0x2a2dbdcc,
    0x5e643dcc,0x2b320cc9,0xb80c223d,0xc985103c,0x8f222cba,0x83321cc8,
    0x4c32a0cc,0x4eeeeee2,0x263bbbba,0x21500289,0x00040cc8,0x3bbba601,
    0x362f34ee,0x7d7e54c2,0x25d55d10,0x7f10e8ad,0x755547d5,0x16ec5e20,
    0x5743fffd,0xf7bb10ed,0x5b707303,0xc8d88d77,0x9abaf722,0x261e9cf8,
    0x2a0ce89f,0x27623aef,0xa84c983b,0xb3d109cb,0x46e39839,0x5444b224,
    0x96a95932,0x736cbbbb,0x4e5c7777,0x4ca6bf65,0x588f7226,0x2d75b962,
    0x4ccccc2b,0x642c9e09,0xf73fefff,0x3fa2bfdd,0x326992e2,0x593c0fff,
    0x5441f2d8,0x881fe80e,0x7ef442ee,0x0f63a63c,0x4f1eb377,0x834e642c,
    0x1327a207,0x3bff612a,0x1c41bfa1,0x23a87991,0x4d2f663c,0x5dd5a204,
    0x522ea3bb,0x391fe8b8,0x4b72ee54,0x0e08620b,0x8b623e00,0x0a9fb8f8,
    0x223333d3,0x643aa2fe,0x83f11b55,0x5ec2d89f,0x267ea0f9,0xd03af721,
    0xcfe83f17,0x06d5e41f,0x1f1eb377,0x07bf10b2,0x273201f1,0x440da80d,
    0x2ecf42ef,0xc8807722,0x4c59b31c,0x5cd600c3,0x0c223bbb,0x00004140,
    0x02eeee00,0xf91bfff2,0x7643ffdf,0x1d15d4ff,0xe886ffdc,0x7fdc6fff,
    0x3bbbe25f,0x64ffffe2,0x3147f9cf,0x5079cd81,0x7d7fc713,0xf1bf93fa,
    0xff30f90d,0x307298ff,0x54c7ffff,0x3a3bea38,0x0000000e,0x00000000,
    0x20000000,0x0100bbbb,0x00080208,0x00801008,0x00000882,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x144cc000,0x00022222,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e631880,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_12_latin_ext_x[560]={ 0,2,1,0,0,0,1,2,2,1,0,0,2,0,
2,0,0,0,0,0,0,0,1,0,0,1,2,2,-1,0,0,1,0,-1,0,0,0,0,0,0,0,0,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,0,2,0,1,0,-1,2,0,-1,0,0,0,0,0,0,0,
0,0,0,-1,0,0,-1,0,0,0,0,0,0,-1,0,0,0,1,2,1,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,2,0,0,0,0,
2,0,1,-1,1,0,-1,0,-1,-1,1,0,1,1,2,0,0,2,2,1,1,0,0,-1,0,0,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_12_latin_ext_y[560]={ 8,1,1,0,0,1,2,1,1,1,1,1,6,4,
6,0,1,1,1,1,1,1,1,1,1,1,3,3,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,10,0,3,1,3,1,3,1,3,1,1,
1,1,1,3,3,3,3,3,3,3,1,3,3,3,3,3,3,1,1,1,3,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,3,0,1,2,1,
1,1,1,1,1,3,4,4,1,-1,0,0,1,1,0,3,1,3,7,1,1,3,1,1,1,3,-1,-1,-1,-1,
-1,-1,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,2,1,-1,-1,-1,-1,-1,1,1,0,0,
1,1,1,0,3,3,0,0,1,1,0,0,1,1,1,1,0,0,1,1,1,2,2,0,0,1,1,0,1,1,
0,1,-1,1,1,3,-1,0,-1,1,-1,1,-1,1,-1,1,1,1,0,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,1,-1,1,1,0,-1,-1,1,1,-1,1,0,1,-1,1,1,1,-1,3,1,1,-1,1,1,1,3,-1,-1,1,
1,1,1,1,1,1,1,-1,0,1,3,-1,1,1,1,3,0,1,-1,1,-1,0,1,3,-1,0,1,3,-1,1,
-1,0,-1,1,1,3,-1,1,1,1,-1,1,1,1,-1,1,0,1,-1,1,-1,0,-1,0,1,3,-1,1,-1,1,
-1,-1,0,-1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-3,-2,-1,0,-1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__courier_bold_12_latin_ext_w[560]={ 0,2,4,6,6,6,5,2,4,3,6,6,3,6,
2,6,6,6,6,6,6,6,5,6,6,5,2,3,7,7,7,5,6,8,7,6,6,6,7,7,7,6,7,7,
7,8,8,7,7,7,7,6,6,7,8,8,7,7,6,4,6,3,6,8,3,7,8,7,7,6,7,7,7,6,
5,7,6,8,7,6,8,7,7,6,7,7,7,8,7,7,6,4,2,4,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,2,6,6,6,7,
2,6,4,8,5,6,7,6,8,8,4,6,4,4,3,7,6,2,3,4,4,7,7,8,7,6,8,8,8,8,
8,8,8,6,6,6,6,6,6,6,6,6,7,8,7,7,7,7,7,5,7,7,7,7,7,7,7,6,7,7,
7,7,7,7,8,7,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,7,7,7,7,7,7,8,7,
8,7,8,7,8,7,6,7,6,7,6,7,6,7,6,8,7,7,6,6,6,6,6,6,7,6,6,6,7,7,
7,7,7,7,7,7,7,7,7,7,6,6,6,6,6,6,6,6,6,6,7,7,7,5,7,7,7,7,6,7,
6,7,6,7,6,7,6,8,7,8,7,8,7,8,6,6,7,6,7,6,7,6,8,8,7,7,7,7,7,7,
6,6,6,6,6,6,6,6,6,7,6,8,6,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,7,7,
7,6,6,6,6,6,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,7,7,6,6,6,6,6,6,6,6,6,6,6,6,6,8,7,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,7,6,6,7,
6,7,7,7,7,7,7,7,7,7,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,7,8,8,7,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_12_latin_ext_h[560]={ 0,8,4,9,10,8,7,4,9,9,5,7,4,2,
3,10,8,7,7,8,7,8,8,8,8,8,6,7,7,4,7,8,8,7,7,8,7,7,7,8,7,7,8,7,
7,7,7,8,7,9,7,8,7,8,7,7,7,7,7,9,10,9,5,2,3,6,8,6,8,6,7,8,7,7,
10,7,7,5,5,6,8,8,5,6,8,6,5,5,5,8,5,9,9,9,4,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,8,9,7,6,7,
9,8,2,8,4,5,4,2,8,2,4,8,4,4,3,8,8,3,3,4,4,5,7,7,7,8,9,9,9,9,
9,9,7,9,9,9,9,9,9,9,9,9,7,9,10,10,10,10,10,6,8,10,10,10,10,9,7,8,9,9,
8,8,8,9,6,7,9,9,8,8,8,8,7,7,8,7,9,9,8,8,8,6,7,9,9,8,8,11,10,10,
8,8,9,8,9,7,10,9,10,8,10,8,10,8,9,8,7,8,8,8,9,8,9,8,9,7,9,8,10,10,
10,10,10,10,10,11,9,9,7,7,9,7,8,7,9,7,9,9,9,5,8,10,10,10,10,10,5,9,9,10,
10,7,7,7,7,7,7,9,8,10,8,9,7,7,8,8,9,8,10,8,10,9,7,6,9,8,10,8,9,7,
10,9,10,8,10,7,10,8,10,10,9,8,7,8,10,8,9,8,10,8,10,9,10,9,9,7,9,7,9,10,
9,9,8,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,9,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,8,9,7,10,
8,10,8,10,9,10,10,10,10,10,10,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,11,11,9,9,10,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_12_latin_ext_s[560]={ 255,251,206,48,98,37,97,187,46,252,147,
166,218,246,239,174,210,120,75,162,64,43,50,26,36,224,252,71,239,198,247,
140,126,103,112,112,189,135,158,104,231,182,87,89,127,212,173,79,196,8,204,
63,82,146,55,38,150,142,16,88,218,248,76,246,242,38,9,221,1,18,47,
18,30,23,145,8,1,99,108,31,246,72,124,245,238,1,116,83,68,154,61,
228,158,251,211,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,255,33,244,
86,54,70,161,56,61,70,222,92,190,246,95,66,182,119,177,172,232,230,217,
236,228,162,167,132,178,169,186,133,55,124,133,173,182,191,9,200,207,214,79,
93,108,122,129,233,170,200,153,105,1,210,196,25,202,159,176,151,188,43,201,
149,161,169,125,117,109,218,9,216,51,248,72,65,58,51,209,224,30,178,186,
193,1,244,237,229,194,38,30,198,190,9,121,137,157,133,209,164,177,186,169,
100,18,15,167,214,222,182,8,140,154,80,118,102,15,65,1,195,240,218,226,
58,89,161,49,65,33,41,247,26,144,136,78,100,115,194,102,56,86,49,72,
65,58,140,187,129,113,204,184,232,154,240,233,42,192,41,26,18,249,1,242,
164,149,9,86,142,234,225,79,88,101,95,57,133,206,64,209,236,40,125,214,
206,16,33,199,36,181,230,225,63,240,8,130,73,237,109,93,141,145,166,229,
174,113,222,97,24,81,32,80,115,71,123,109,25,93,117,23,151,132,221,139,
146,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,44,108,108,1,
108,108,108,108,108,108,108,108,108,108,108,108,108,94,162,108,108,108,108,108,
108,108,108,108,108,108,108,108,10,46,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,19,156,
51,202,137,172,121,179,105,28,90,82,74,66,58,50,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,17,1,1,152,34,22,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108, };
static unsigned short stb__courier_bold_12_latin_ext_t[560]={ 1,44,88,24,1,54,80,88,44,24,88,
80,88,91,88,1,53,80,80,63,80,63,63,63,63,53,80,80,72,88,72,
63,63,80,80,63,80,80,80,63,72,80,63,80,80,80,80,63,80,24,80,
63,80,63,80,80,80,80,80,24,1,24,88,88,88,88,63,80,63,88,80,
63,80,80,1,80,80,88,88,88,53,44,88,80,53,88,88,88,88,63,88,
24,24,13,88,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,1,63,13,
72,88,72,24,63,94,63,88,88,88,91,63,94,88,63,88,88,88,53,53,
88,88,88,88,88,63,63,63,63,24,24,24,24,24,24,72,24,24,24,34,
34,34,34,34,34,72,34,13,13,13,1,1,88,53,1,13,1,1,34,63,
53,34,34,53,53,53,34,88,72,44,34,53,53,53,54,72,72,54,72,34,
34,54,44,44,80,72,44,44,44,44,1,13,13,44,53,34,53,34,72,13,
34,13,54,1,44,13,44,44,44,72,44,44,44,44,44,44,53,34,63,34,
44,13,13,13,13,13,13,1,1,34,34,72,72,34,63,53,72,34,72,34,
34,34,88,53,1,1,1,13,1,88,24,24,1,13,72,72,72,63,72,63,
24,44,13,53,24,63,63,53,44,24,44,13,44,13,24,63,80,24,44,13,
44,24,72,13,34,1,44,1,72,1,54,13,13,13,44,72,53,13,44,13,
44,13,44,13,24,13,24,24,72,24,72,24,13,24,24,54,24,72,24,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,54,72,72,24,
72,72,72,72,72,72,72,72,72,72,72,72,72,53,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,34,88,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,34,53,
34,72,1,53,1,53,1,34,1,1,1,1,1,1,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,1,1,34,34,1,44,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72, };
static unsigned short stb__courier_bold_12_latin_ext_a[560]={ 102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_12_latin_ext(stb_fontchar font[STB_FONT_courier_bold_12_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_12_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_12_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_12_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_12_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_12_latin_ext_s[i] + stb__courier_bold_12_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_12_latin_ext_t[i] + stb__courier_bold_12_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_12_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_12_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_12_latin_ext_x[i] + stb__courier_bold_12_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_12_latin_ext_y[i] + stb__courier_bold_12_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_12_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_12_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_12_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_12_latin_ext_s[i] + stb__courier_bold_12_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_12_latin_ext_t[i] + stb__courier_bold_12_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_12_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_12_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_12_latin_ext_x[i] + stb__courier_bold_12_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_12_latin_ext_y[i] + stb__courier_bold_12_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_12_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_12_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_12_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_12_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_12_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_12_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_12_latin_ext_LINE_SPACING
#endif

