// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT        254
#define STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_22_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_22_latin_ext_LINE_SPACING          10

static unsigned int stb__courier_bold_22_latin_ext_pixels[]={
    0x44001b80,0x0004c002,0x26600f4c,0x2e002620,0x99998803,0x2e000000,
    0xb8000001,0x5c000001,0x10902e01,0x55555555,0x20004055,0x04b80098,
    0x20002662,0xfb100040,0x001d8001,0xf5001be6,0x5c5ff009,0x00fec05f,
    0x13bbbb62,0xe9800ba0,0x9e9804ff,0xffe9806b,0x20264004,0xbb03ffe9,
    0xff30d911,0xdfffffff,0x4003bae0,0x0fec05fb,0x8005fff0,0x005f52fa,
    0xd10003ba,0x02fc4003,0x36007f10,0xd813aa1e,0x1883000e,0x0cba2220,
    0xbd31bf10,0x46f4c4c0,0x31bf1009,0x4d8440bd,0x7d53e603,0x1dffd884,
    0xefbaef98,0x26d06fba,0x409d5004,0x7f5c00ed,0x986cc002,0x0015001d,
    0x0000bf10,0x00050100,0xf5001980,0x8bb03e43,0x020603f8,0x204f85e8,
    0x85760081,0x088303f8,0x5f980220,0x41be2bf1,0x00002dcc,0x02fb8002,
    0x3a200000,0x0088004e,0x993bdb70,0x39b71017,0xcccb8bf6,0x04ccccaa,
    0x10a00dbb,0x0540cc03,0xca8732e2,0x0980983c,0x3277b6e0,0x540cc0bc,
    0xcccccb80,0xc9dedb84,0x229f10bc,0x1a817e5f,0x666665c0,0x54399714,
    0xbbfb83cc,0xcb882ced,0x80f32a1c,0x6dc00d3b,0x20bcc9bd,0xffffffe8,
    0x7ffd42ff,0x3e26ffff,0xffffcfff,0x0595887f,0x5c4aeaa2,0x2eaa22ab,
    0x5c557712,0x3ffe4fff,0x2575511f,0x7442abb8,0xffffffff,0x22575512,
    0x3fe22abb,0x3a27ffff,0xffffffff,0x52fc46e2,0x44aeaa23,0x3fe22abb,
    0xff77ffff,0x0ffffc9f,0x3fffffee,0x27ffdc4f,0x2203ffff,0xfe8805be,
    0x2fffffff,0x3f22bbf6,0x77fcc1ff,0x442ffeaa,0xaaa8cfca,0x01d9d07f,
    0x327ffff6,0xffb2ffff,0xffff93ff,0xf306fe45,0x7fffec5f,0x22ffffc9,
    0xffc8aefd,0x3ffff61f,0x22ffffc9,0x27faaaa9,0xffc8aefd,0x417e201f,
    0xfc9ffffd,0x2aa62fff,0x37f27faa,0x2e0bfe60,0xffb8adff,0xf306fe43,
    0x0028805f,0xff915dfb,0x207fc43f,0x22fe86fc,0xf504fff8,0x0540ff09,
    0x2259fb10,0x3f623fea,0x87fd512c,0x17ee0ff8,0x2a259fb1,0x03fe23fe,
    0xcfd88df9,0x007fd512,0x903fe2ff,0x05f880df,0x2a259fb1,0x27f803fe,
    0x17ee0ff8,0x37d437dc,0x5fb83fe2,0x05559710,0x7dc0ff88,0x7c42fd46,
    0x3fa3fcc6,0x09f507fc,0xcedc98ff,0x905f900a,0xc82fc83f,0x3e4fb81f,
    0xc82fc81f,0x2217ea1f,0xc82fc86f,0xf57f801f,0x880df10b,0x20bf205f,
    0x47f801fc,0x407fe4fb,0x70ff03fb,0xb80ffc9f,0x201fffff,0x46f885fa,
    0x46fa86f9,0x75bf24fb,0xf84fa80f,0x3ffffe27,0x905f905f,0xc82fc83f,
    0xb8ff881f,0x905f905f,0x5437cc3f,0xc82fc86f,0xf37f801f,0x880df50d,
    0x20bf205f,0x47f801fc,0x05fb8ff8,0x1fe61bee,0x17ee3fe2,0x5fffba88,
    0x3ea1be60,0x3a23ff86,0xfa97e46f,0xf503fb0f,0x9ab8ff09,0xfc81fd98,
    0x7e41fc82,0xf701fc82,0x3f203ffb,0x7fc1fc82,0x321bfa23,0x801fc82f,
    0xe88ffe7f,0xffff706f,0x82fc81df,0x87f801fc,0x201ffdfb,0xfb9adffb,
    0xffbf703f,0xffbf7003,0xd11ffc01,0xbfff50df,0xcfa8dfff,0x4ff11ff9,
    0xefffffe8,0x99750ff1,0x05f907fb,0x82fc83f9,0x3ffe01fc,0x320bf205,
    0x6fffd41f,0x2fc86fff,0x7f801fc8,0x3ff7ffea,0xffff706f,0x82fc81df,
    0x07f801fc,0xfb80bfff,0x05ffffff,0xe802fffc,0x2a03fc9f,0x6fffdfff,
    0xfbffff50,0x3feff88d,0xffe89bee,0x8ff2ffff,0x3ffffffe,0x1fc82fc8,
    0x0fe417e4,0x6401ff70,0xa81fc82f,0x86fdffff,0x01fc82fc,0x7ffd47f8,
    0x80006fdf,0x01fc82fc,0x1ff707f8,0xdcabfb80,0x0ffb801c,0xdf16f980,
    0xceffea80,0x444c406f,0x25ffc86f,0x44002ffb,0x2afbee6f,0x3fb83fda,
    0x1fdc0fd8,0xbf7007ec,0xfd83fb80,0x3e226200,0xfd83fb86,0x8837c400,
    0x4406f889,0x20fee04d,0x37c400fd,0xfb805fb8,0x0bf70002,0x1fd8ff20,
    0x0df10880,0x7e427e40,0x04fffdff,0x1fe4fc80,0xff307fb1,0x7cc3fd41,
    0x881fea0f,0x7fcc00ff,0xc801fea0,0x20ff984f,0x5fc807fa,0x4c04fc80,
    0x83fe606f,0x4fc807fa,0xb800ff88,0xff88002f,0xffff8800,0x64005fff,
    0xfddb104f,0xcff983ff,0x5002fffe,0x6c3fffdd,0xffffecef,0xfedffc85,
    0xdbff902f,0xeee985ff,0xffc805ff,0xb102ffed,0x203fffdd,0x2ffedffc,
    0x7fff76c4,0x7ff76c41,0x404a801f,0x2ffedffc,0x7fff76c4,0xbffddd31,
    0x3eefed80,0x7ff774c0,0xeeefb805,0xb100ffee,0x201fffdd,0x81dffff8,
    0x000222fc,0x883bfff7,0xffeffffd,0x39fff706,0x1cfffb80,0xefffffa8,
    0xcfffb800,0x3fffe201,0x7ffdc01d,0xffff881c,0xffff881d,0x0068801d,
    0x1039fff7,0x543bffff,0x00efffff,0x013ffffa,0x1dfffff5,0xfc81fe80,
    0xbffff103,0x06200003,0x31000000,0x00130003,0x00000098,0x00000098,
    0x00000098,0x98001000,0x00000000,0x44000000,0x3f63fffe,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x7ec7fffd,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x32201b87,0x17000e60,0x41910220,0x007a2039,0x00020044,0x4c800102,
    0x20004080,0x0066205b,0x2a005700,0x01333106,0x0f440080,0x0e60c880,
    0x18800260,0xf304ccc0,0xe803fd5d,0x1003fcaf,0x742fc0dd,0x6403fcaf,
    0x105f802f,0x3a6009dd,0x100dfb1f,0x5f8803fb,0x0fec017e,0x001fff98,
    0x00dffd88,0x7ff40fee,0x0bb1005f,0x3a005f90,0x4403fcaf,0x07fa005f,
    0x2237ffdc,0xf7000dfd,0x17e2003d,0xdf706f88,0x807ee003,0x1a7706f8,
    0xe9867f40,0x0076c03f,0x200f22d8,0x7f5c00ec,0x88df8001,0x403f506e,
    0x8805fcca,0x3f5000ee,0x007bee00,0x002affee,0x332201f9,0x0011846f,
    0x25110004,0x040df100,0x88042100,0x0b7d106f,0xbf30df10,0x00000080,
    0x0fec0010,0x100c0c00,0x2017e200,0x0008004c,0x7ffcc004,0x00003fff,
    0xa97d4df1,0x66dc402f,0xfa97d402,0x5516f882,0x0aaee257,0x417d4bea,
    0x00a206f8,0x2fcc37c4,0x2059b710,0x7712baa8,0x95d54455,0xfd82abb8,
    0x203ccb89,0x1aaaabc9,0x019bdda8,0x4cc40bf1,0x57551009,0x440aaee2,
    0x40a8bdda,0x4fdaadfc,0x517bb510,0x6ccdf101,0x7dc03b30,0x300effff,
    0x2207661b,0x3ffffb6f,0x985ffff9,0xf103b30d,0x2aacb88d,0xf986f880,
    0xfffff705,0xffffd81d,0xb2ffffc9,0xff93ffff,0xa9fd85ff,0xff01ffff,
    0x54dfffff,0x07ffffff,0x7ff40bf1,0xffffb05f,0x85ffff93,0xfffffff9,
    0x07207f44,0x3fffffe6,0x006f884f,0x2ebbfe60,0x40000fff,0x59fb15f8,
    0x000ffaa2,0xffb8df10,0x7c401fff,0xf985f985,0x0fffbaef,0x544b3f62,
    0x33f623fe,0xb07fd512,0x037ffb3f,0x56fed54c,0x3666ffa0,0x40bf107f,
    0xb105fcca,0x3faa259f,0x4ce7fcc3,0x77e45ffb,0x33fe601b,0x885ffb99,
    0x2a3cc9ef,0x82fe84cc,0x8f3264fd,0x20984cca,0x21fc82fc,0x332a3cc9,
    0x2a237c44,0x2605fffb,0x19ff04fe,0x27ec17f4,0x07f20bf2,0x03f905f9,
    0x001dfffb,0x2fcc3fb8,0x05f883f4,0x3f205f88,0x7f41fc82,0x6c44fa82,
    0xfe82efff,0xf884fa82,0x3fa6ffce,0x983fcc7f,0xe9bff27f,0x2fc807ff,
    0x3ff21fc8,0xf11fffa6,0x3ff7ee0d,0x205ff900,0x0ff31ffd,0x05f91fe6,
    0x82fc83f9,0xfffd81fc,0x43fb8003,0x814c0ef8,0x5f8805f8,0x3f20bf20,
    0x1c81be21,0x45ffd930,0x207206f8,0x44df56f8,0x027dc7fa,0x137d41ff,
    0x64570ff5,0x541fc82f,0x11fea26f,0x327fa0df,0x217ee03f,0x13ee1ef8,
    0x0bf20ff8,0x05f907f2,0xfbfb03f9,0x3fb8007f,0x0aceffd8,0x22017e20,
    0x20bf205f,0x013ea1fc,0x26f98150,0xf88004fa,0x8ff0df16,0x87f603fb,
    0x447f86f8,0x320bf25f,0x7c37c41f,0x7cc37c47,0x7c40df16,0x7dc5f986,
    0xfc87f603,0x7e41fc82,0xfd81fc82,0x1984ff99,0xfd703fb8,0x3e205fff,
    0x205f8805,0x21fc82fc,0x3ea004fa,0x9f537c44,0x22df1000,0x7d47f86f,
    0x441ff105,0x7c47f86f,0x3f20bf26,0x3fc37c41,0x8ff21be2,0x0df101fd,
    0x05fa8bf3,0x17e41ff1,0x0bf20fe4,0xffe887f2,0x74bfff71,0x4403fb86,
    0xff70ffda,0x01dfffff,0x17e40bf1,0x0bf30fe4,0x65effd40,0x017e63ff,
    0x37c5be20,0x03fe23fc,0x0df11bee,0x2e6f88ff,0x440fd83f,0x7c47f86f,
    0x7ffffc46,0x0df105ff,0x0ff88bf3,0x1fdc6fb8,0x0fee07ec,0xffe883f6,
    0x7cdfff51,0x2d42fb87,0xfff72fc8,0x103dffff,0x41fdc0bf,0x007fc0fd,
    0xffffff98,0x0007fc0c,0x5c7f9be2,0x21efc87f,0x47f82ffb,0x337c47fb,
    0x83fd41ff,0x223fdc7f,0x7777dc6f,0xf880ffee,0xfc84f986,0x30bfee1e,
    0x43fd41ff,0x1fea0ff9,0x883fe000,0x227ec1fe,0x40001fe8,0x3fe605f8,
    0x3f21fea0,0x2637441d,0xf900efa8,0x886e883b,0x3f7bfa6f,0xffe85fff,
    0xfd04fffe,0x4bffffbd,0x6ffe45f8,0xdfd02ffe,0x44bffffb,0x640ff45f,
    0x21dfd03f,0xffd01ffb,0x3209fffd,0x02ffedff,0x5ffdbff9,0x3e05f880,
    0x84ffdeff,0xffedfffd,0x100bd105,0xdffc80bf,0xffb02ffe,0x209ffdbf,
    0x7fec05f8,0x264ffedf,0x3fe26ffe,0x906ffdff,0x4405ffff,0x6ffdffff,
    0x7ffdc274,0x3ffe201c,0xa746ffdf,0x363fffe8,0xfd885fff,0xfc807d71,
    0x7dc02fff,0x7dc01cff,0x6c401cff,0xff9100fd,0x37ae09ff,0x880befff,
    0xffb81fdd,0x80efffff,0x401cfffb,0x03efffec,0x7f6402fc,0x7fd43eff,
    0x0009986f,0x1330004c,0x00098000,0xe9800266,0x3ff63fff,0x3000005f,
    0x00098001,0x5b90004c,0x88002200,0x03db8009,0xfffffff7,0x0004c03d,
    0x04c00262,0x00013100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2b50006e,0x0903205b,
    0x22002666,0x7112202d,0x2e03a800,0x0e224401,0x405bad40,0x0102002e,
    0x244015c0,0x1b801440,0x07306440,0x0006e014,0x00644031,0x3a600810,
    0x5f7004ff,0x4ee403f9,0xfff886c8,0x037a600f,0x09d317d0,0x74c3fc40,
    0x2fa00cff,0xfb804e98,0x7d401fca,0x3e5f8804,0x6ffec405,0x9007ee00,
    0x7ff4c05f,0x7e57f404,0xd305f903,0x7f4009ff,0x200bf301,0x2217e5f8,
    0x405e98df,0x401faaf8,0x881dffd8,0x27c03cef,0x0dffd980,0xf113ee00,
    0x4c0bd31b,0x4400dffd,0x3001faaf,0x645b007f,0x7446fc03,0x500bf206,
    0x237e20ff,0x77dc05e9,0x881ff301,0x005e98df,0x0ff401f9,0x40f22d80,
    0x02080080,0x2fc40100,0x00800080,0x0101ff00,0x08001001,0x00110002,
    0x20206000,0xcccdfeb8,0x0103fe83,0xfc801001,0x00010104,0x0002fdc0,
    0x45eed440,0x4aeaa20a,0x7102abb8,0x441559b9,0x6ed4405f,0x2aa20a8b,
    0x0557712b,0x36a04fb8,0xb71019bd,0x9b710059,0x59b71005,0x059b7100,
    0x559b9710,0x7ffffdc1,0x37d40fff,0x802cdb88,0x2219bdda,0x2eaa20ff,
    0x20557712,0x0aacdcb8,0x65400ff8,0x4c1aaaab,0x4fffffff,0x327ffff6,
    0x7cc2ffff,0x24ffffff,0x3fe605f8,0x364fffff,0xffc9ffff,0x03fa02ff,
    0x3fffffea,0xfffffb87,0xffff700e,0x3fee01df,0xf700efff,0x201dffff,
    0xfffffff9,0x5567ecc4,0xb83ff00a,0x80efffff,0x7ffffffa,0xfffb17ea,
    0x5ffff93f,0xffffff98,0x204fb84f,0xfffffff9,0x2673fe67,0x3f625ffb,
    0x87fd512c,0xea9acff9,0x4c17e25f,0xffb99cff,0x44b3f625,0x3ea03fea,
    0xb337fd05,0xaeff98ff,0x7cc0fffb,0x0fffbaef,0x7dd77fcc,0x77fcc0ff,
    0x4c0fffba,0xfea9acff,0xd002fc85,0x577fcc5f,0x7f40fffb,0x327fd99b,
    0x967ec44f,0x7cc3fea8,0x5fea9acf,0x2a00ff88,0x21aaefba,0x44fa82fe,
    0x41fc82fc,0x24f882fc,0x05fd05f8,0x82fc89f5,0x07fa01fc,0xd1fa17e6,
    0xe89fb05f,0x744fd82f,0x744fd82f,0x644fd82f,0xc84f882f,0x47f9002f,
    0x24fd82fe,0x367e85f9,0xc82fc82f,0x4417e41f,0x007f904f,0x0df10bf1,
    0x20bf20e4,0x3037c1fc,0x7c42fc41,0x5f907206,0x3ea03f90,0x981df105,
    0x7cc1fe62,0x7cc1fe67,0x7cc1fe67,0x7cc1fe67,0x013037c7,0x3f2005f9,
    0x3e60ff34,0x5303be27,0x17e417f4,0x81be0fe4,0x00ff1009,0x09f50bf1,
    0xfc82fc80,0x88013e61,0x004fa85f,0x0fe417e4,0x3f602fe8,0x7dc0acef,
    0x7dc3fe04,0x7dc3fe04,0x7dc3fe04,0x7cc3fe04,0x43fc8004,0xf73fd829,
    0xfb07fc09,0xfd8159df,0xfc82fc83,0x80013e61,0x2fc403fc,0x320027d4,
    0x2a1fc82f,0x1e665c4f,0x09f50bf1,0xfc82fc80,0xb806f981,0x2e2ffffe,
    0x5c7f603f,0x5c7f603f,0x5c7f603f,0x547f603f,0x1e665c4f,0x7feeffc4,
    0xfb8ff42f,0xd707f603,0x7dc5ffff,0xfc82fc84,0x99713ea1,0x037cc079,
    0x17e617e2,0xf905f900,0xff52fcc3,0x17e27fff,0xf90017e6,0xfb03f905,
    0x7ed44005,0x220bf50f,0x20bf50ff,0x0bf50ff8,0x2fd43fe2,0xbf30ff88,
    0x1fffffd4,0x177fff5c,0x2fd43fe2,0x5100ff88,0x1bea1ffb,0x87f20bf2,
    0x3ffea5f9,0x0bf603ff,0x1ff05f88,0x6c1fdc00,0xa83fe20f,0x17e26fba,
    0xf70007fc,0xf881fb07,0xfc82d406,0xf701ff12,0x5c07fc4d,0x203fe26f,
    0x03fe26fb,0x0ff89bee,0x101beeaa,0x897f2013,0x26fb80ff,0x745f905a,
    0x6c1fdc2f,0xa83fe20f,0x7cc06fba,0x6417e206,0x237441df,0x1fea0ff9,
    0xbf3033fa,0xdfc82fc4,0x3e637441,0x321fea0f,0x227ec03f,0x3bf21fe8,
    0xf90bfee1,0x217fdc3d,0x3fee1efc,0xf70f7e42,0x40cfe85f,0x036e05f9,
    0x3f20ffc4,0xd8bfee1e,0x70ff444f,0x20ff98df,0x0cfe87fa,0x7f402fcc,
    0x6c0bf102,0x4ffedfff,0xffedffc8,0xdefff882,0x3fe25ffe,0xdfffd85f,
    0xffc84ffe,0x7c42ffed,0xdfffd807,0xffe85ffe,0xfd04fffe,0x209fffdf,
    0x4fffeffe,0xfffdffd0,0xbdfff109,0x7dc0bffd,0x3a0bf701,0x44fffeff,
    0xffedfffd,0x320ff445,0x82ffedff,0xfedefff8,0x26fa805f,0xffffffe8,
    0xefffec85,0x33ffee03,0x3fff6201,0x3fe20cff,0xffec80ef,0x3fee03ef,
    0x03f981cf,0xefffdeb8,0xffff900b,0xffffc805,0x7fffe402,0x7fffe402,
    0x3fff6202,0x16200cff,0x3f200fb8,0xdeb82fff,0xa80befff,0xcfffb81f,
    0x3fff6201,0xfd000cff,0x7fffff4c,0x0026205f,0x4c400098,0x13100000,
    0x02004c00,0x80026200,0x004c0009,0x13000260,0x00098800,0x26000017,
    0x00131000,0x88001300,0x00100009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0e233ee0,
    0x000015c0,0x22044300,0x002aaacb,0x2d400174,0xf700f600,0x6c007119,
    0x10037003,0xaa802a87,0x17401aaa,0x1aaaaa80,0x22035400,0x4c00e60c,
    0x0036e02b,0x2faa004c,0x6c405ffd,0xdd000dff,0x9fd40374,0x7fffe46e,
    0xa800dfff,0x0bf2004f,0x50077440,0x00bffb7d,0xe9801dd1,0x774404ff,
    0x6c402fda,0x5404eeee,0x776c404f,0x3ee004ee,0xfcafe802,0x7fff4403,
    0x801dd103,0x0d4006f9,0x36c46f40,0x012e3c80,0x2237cfee,0xfecaaefb,
    0x007d3004,0x2f4003d7,0xe800d400,0x98df8805,0x1efc805e,0x74c00000,
    0x2e000003,0x3bee001f,0xcadfb801,0x5c036c01,0x2cdb8801,0x00018180,
    0x7c57dc00,0xfe86f886,0x02002000,0x55100200,0x0aaee257,0x02020008,
    0x554400c0,0x0557712b,0xcdb88010,0x00022002,0x007e8002,0xf7000008,
    0x201dffff,0x002aacb8,0x00555971,0x217e2bf2,0x40fe86f8,0xaaaaccb8,
    0x559710aa,0x57950055,0x7fec3555,0xffffc9ff,0x4c157712,0x55e542ab,
    0xcb881aaa,0x7fec02aa,0xffffc9ff,0x2aaaf2a2,0xffffb81a,0x597100ef,
    0x57950055,0x3e203555,0x5565c406,0x2601b802,0xfffbaeff,0xfffffb80,
    0xffffb801,0x3ff2201f,0x220cffee,0x5ffbaaef,0xffffffc8,0xfff91fff,
    0x301bffff,0xffffffff,0xa8967ec4,0x3ffee3fe,0x4c3fffe4,0x7fffffff,
    0x1fffffb8,0x44b3f620,0x3fe63fea,0x4c7fffff,0xfffbaeff,0xfffffb80,
    0x3fffe601,0x7f4c7fff,0xfb80efff,0x2601ffff,0x20bfa05f,0xfba884fd,
    0xba8805ff,0x3e605fff,0x2fffffff,0x3fffffe2,0x55df7105,0x2e23fb55,
    0x4fecaaef,0x55df7550,0xfc82fc83,0xc83fee21,0x7dd542ef,0xba881aae,
    0x7e405fff,0x5541fc82,0x741aaefb,0x884fd82f,0x405fffba,0x1aaefbaa,
    0x77ffffd4,0xfffba880,0x4c1bea05,0x40ff307f,0x000ffdfb,0x401ffbf7,
    0x0cfbafe8,0x7fe67fc4,0x909be204,0x7437c43f,0x817e200f,0x81fc82fc,
    0x03ff15fc,0xfb802fc4,0x3f200ffd,0xf101fc82,0x4c1fe60b,0x3f7ee07f,
    0x05f8800f,0xf7006f88,0x3ea01ffb,0x7c09f707,0xf93fd00f,0x327fa007,
    0x5c7f403f,0x266f883f,0x2df104ff,0x7c4499f9,0x2200fe86,0x20bf205f,
    0xb5fd01fc,0x05f8809f,0x07f93fd0,0x0fe417e4,0x9f705f88,0xfe807fc0,
    0xf8803fc9,0x006f8805,0x207f93fd,0x07f707fb,0xb7cc0fec,0x6f9806f8,
    0x3f260df1,0x442dfecf,0x40ffcc6f,0x03feeff8,0xff755df1,0x205f880b,
    0x01fc82fc,0x100dfff3,0x2df300bf,0x0bf206f8,0x2fc407f2,0x3f603fb8,
    0xdf16f981,0x100bf100,0x2df300df,0x1ff906f8,0x3e20bf50,0x363fc80f,
    0xb1fe401f,0xffffb03f,0x7fd4ffff,0x13fee3ff,0x07fffff1,0x3fffffe2,
    0x205f8805,0x01fc82fc,0x22007ff2,0x23fc805f,0x05f901fd,0x17e203f9,
    0xff882fd4,0x3f63fc80,0x402fc401,0x3fc806f8,0x3ff607f6,0xb80ff881,
    0xffff886f,0x3e205fff,0x05ffffff,0x15fb3df3,0x21ffffdc,0x4f7c45fd,
    0xff8813fb,0x8804ffcc,0x20fee05f,0x1be200fd,0x2202fc40,0x5fffffff,
    0x1fb07f70,0x7c417e20,0x886fb80f,0x5fffffff,0x4402fc40,0x7ffc406f,
    0xfc85ffff,0x43df900f,0xefb82ffb,0x00ffeeee,0xfdddddf7,0x36bf101f,
    0x2200000f,0x9f11716f,0x9ff337c4,0x2605f880,0x01fea0ff,0x3e200df1,
    0x7777dc05,0xf980ffee,0x881fea0f,0x87bf205f,0xefb82ffb,0x00ffeeee,
    0x3ea017e2,0x7777dc03,0x74c0ffee,0x7f7ff404,0x03fd04ff,0x07fa07f9,
    0x57e60ff2,0x1ed800fe,0x7cc37c40,0xff31be25,0x202fc403,0x2ffedffc,
    0x88037c40,0x40ff405f,0xbff903fc,0x7c405ffd,0x7f7ff405,0x03fd04ff,
    0x2fc407f9,0x00ffcdb8,0x1fe40ff4,0xffff9000,0x7fffd105,0xd12fffec,
    0x7fec7fff,0x7ea7cc5f,0x203fcc80,0xfffffffa,0xffff55ff,0xd127fdc7,
    0x0bffffff,0x8073ffee,0x0efffffa,0x7fffff44,0x3fffa25f,0x417fff63,
    0x881cfffb,0x5ffffffe,0x05ffff90,0x6c7fffd1,0x3fa25fff,0x325fffff,
    0x3a203fff,0x3ff63fff,0x04c0005f,0x47fffd30,0x3a65fffd,0x3ff63fff,
    0x4b8ec45f,0x200cda80,0xfffffffb,0xffff75ff,0x3a65fd87,0x05ffffff,
    0x7fdc004c,0x74c1efff,0x25ffffff,0x363fffe9,0x04c05fff,0xfffffd30,
    0x200980bf,0x363fffe9,0x3fa65fff,0x4c5fffff,0xfffe9802,0x017fff63,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00c886e0,0x4c0350a6,0x2aee21ab,0x40008102,
    0x3d1001e8,0x70006e00,0x40081003,0x5c00dc39,0x7bb51001,0xaaca8151,
    0x0026002a,0x1c400e98,0x41ec00e6,0x750aabb8,0x55551055,0x00130015,
    0x80bf59f7,0x01fa8af9,0x7dc3fffe,0x2fc42fff,0x17e600bf,0x4c027d40,
    0xe9804ffe,0x93e204ff,0x2bbe605f,0x3fa601fe,0x7ffcc04f,0x3e64ffff,
    0x802fffff,0x9f5007f9,0xd317f100,0x80ee8807,0xf9dffffc,0x774c1fff,
    0x7cc01eee,0x07fd3006,0x00fbfae0,0x2a29ffb3,0x645b04fd,0x003f8803,
    0xbf1007f1,0x7c40bd31,0x3605e98d,0xfb100f62,0x46fc401b,0x9ff305e9,
    0xa8bff733,0x1002affa,0x05f300bd,0x027ff540,0xdf7102f4,0x05dff115,
    0xbd100102,0x40004400,0x3fff2000,0x0000bf21,0x00100020,0x20200404,
    0x03000000,0x7f402020,0xff04fa82,0x00800000,0x00400100,0xdfe8afc4,
    0x3ea5f500,0x55cc0002,0x20aaee21,0x002aacb8,0x7e4dfbf9,0x2ab32e22,
    0x2e60aaaa,0x8aaee21a,0xaaaaacc8,0x50d55d42,0x32e23557,0x0aaaaaac,
    0x5cc15771,0x2aaee22a,0xabb880aa,0xf88aae60,0x3fc07206,0x55566440,
    0x556542aa,0x332e202a,0x10aaaaaa,0x55555997,0x7cefc415,0x986cc05f,
    0x5579501d,0x7fffc355,0x85ffff70,0x01fffffb,0x94fdafc8,0x7fffe45f,
    0x3e1fffff,0xfff70fff,0x3fffe25f,0x3fe26fff,0xffff36ff,0x3fffff2b,
    0xff71ffff,0x87fffc9f,0xfffffffc,0xf27ffdc3,0x13ea1fff,0x4403fc00,
    0x6fffffff,0x3fffffe6,0xfffff902,0x3f23ffff,0xffffffff,0x1bfffe21,
    0xfff30000,0x6ccfffff,0x9fb514ff,0xbfff7510,0xff15f900,0x7dc45f93,
    0x1fdaaaae,0x5453ff66,0x2bbe24fd,0x7dc5feaa,0x3feaa1ae,0x555df710,
    0x3ee23fb5,0x88bbf20f,0xffdbacfd,0xc83fee23,0x013ea2ef,0x7c403fc0,
    0x45feaaae,0x202affaa,0xaaaaefb8,0x5df711fd,0x443fb555,0x304fffff,
    0x26654799,0x5577dd54,0x90fffe41,0x7efdc05f,0xb97e400f,0x7c42fcef,
    0x320fe426,0x8bf21fff,0x03fee5f8,0x45322bf1,0x2137c46f,0x8afe41fc,
    0x42fb81ff,0xafe40ff9,0x2fcc1ff8,0x6b87f800,0x0ffb97e2,0x3e200ff0,
    0xf10fe426,0x221fc84d,0x83fe9aff,0x3ffa6ffc,0xc817e207,0x0bf26fdf,
    0x03fc9fe8,0xfffd17e4,0x3f36f885,0xdfbf9093,0x4d3e17e4,0x2edf01ff,
    0x445f99ff,0x0933f36f,0x413f6bfa,0x83fc82fb,0xf04fdafe,0x0ff0001f,
    0xf9a7c1fb,0x401fe01f,0x933f36f8,0x33f36f88,0x3e25f889,0x226fa80f,
    0x17e207fa,0x94fdafc8,0x45be605f,0x317e406f,0xff885fff,0x3f203fee,
    0x05f94fda,0x7f80ffa2,0x89f59ffd,0x03feeff8,0x7037ffcc,0x309f505f,
    0x7e40dfff,0xf837441d,0xe880fd87,0x803fc03f,0x03feeff8,0x07fddff1,
    0x09f717e2,0x40ff0df1,0x2bf205f8,0x02fc9ff8,0x80fec7f9,0xf90efffb,
    0xffff885f,0x22bf203f,0xb02fc9ff,0xfafe80bf,0x443fbefe,0x803fffff,
    0x3ee01ffc,0xf905f982,0xfffd803f,0x3a24ffed,0xffffffff,0x805fd80f,
    0xfff1007f,0x3fe207ff,0xffa83fff,0x5fff13ff,0x03fc37c4,0x97e40bf1,
    0x882fcefb,0x5fffffff,0x41dfff70,0x4f7c42fe,0x5f9013fb,0x20bf3bee,
    0x360e66fc,0xfefebfef,0x7dcf7c42,0x037c4013,0x13ea0bee,0xec8037c4,
    0x7443efff,0xffffffff,0x7337e40f,0x11ae1fe0,0x027f73df,0x27f73df1,
    0x8ffffee0,0x1be23ffb,0x05f881fe,0xfffe8bf2,0xeeeefb82,0x00000ffe,
    0x445c5be2,0xfd17e44f,0x0ffa85ff,0xfff907f2,0x883fff71,0x9f11716f,
    0xf701be20,0x2205f905,0x066c006f,0x3fea0000,0x1fe07f20,0x16f883f6,
    0x7c49f117,0x09f11716,0xfb8ff000,0xc817e207,0x0bffe62f,0x0ff207fa,
    0xf100f6c0,0xfc8bf30d,0x88bffe62,0x20fe42ff,0xfff16ffb,0xf986f881,
    0xb80df105,0x03fee22f,0x360037c4,0x07b6002f,0x3f217fc4,0x0fd87f81,
    0x97e61be2,0x05f986f8,0xdfd003ba,0x20bffffb,0xfff705f8,0x88bff21d,
    0x3f63fffe,0x7e6405ff,0xfffff503,0x7dcbffff,0x5ff90eff,0x7fffffe4,
    0x1ffd41ff,0xfffa8ffd,0x45ffffff,0x0efffffa,0x7fffffd4,0xfffa82ff,
    0x6fc00eff,0x7f99003e,0x3fffff20,0xffd11fff,0x1fffffff,0x3fffffea,
    0xfff55fff,0x0bffffff,0xf100bf36,0x4dffbfff,0xffffffe8,0x83bffee5,
    0x3ffa62fe,0x17fff63f,0x2e019b50,0xffffffff,0x3bffee5f,0xffc8bfa0,
    0x41ffffff,0x1fee1ff9,0xfffffff7,0xfffb8bff,0x7fdc1eff,0x700cefff,
    0x03dfffff,0x2a003b98,0xfff900cd,0x223fffff,0xfffffffe,0xffff70ff,
    0x2ebfffff,0xffffffff,0x009b505f,0xfd3004cc,0x00bfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x88001543,0x8013001e,0x880e60c8,0x98322009,0x1cc19103,
    0xa80e2244,0x5c019bdd,0x9b971001,0x01b80155,0x2aa20040,0x0555512a,
    0x55402ee6,0x54401aaa,0x10002aaa,0x203d100b,0x1aaaaaaa,0xdd1006e2,
    0x30005fb5,0x1be600bf,0x0ff2bfa0,0x7f403fd8,0x3fa03fca,0x17d03fca,
    0xfff509d3,0x3a60ffff,0x7fcc04ff,0x304fffff,0x2a009ffd,0xfffb02ed,
    0x5ffff93f,0x41ffffc8,0x04eeeed8,0x1bffffea,0x2a03d400,0xffff305f,
    0x7fe4ffff,0x01efc800,0x2003f880,0xdf7005e8,0x802ec803,0xfb801efb,
    0x3ff6601e,0x99bfe80d,0x8df887fd,0x9ff305e9,0x10bfd535,0x00bd31bf,
    0x3620b11d,0x7fd512cf,0x0db13f98,0x333bf000,0x95d544d9,0x06ecccb8,
    0x75500fe2,0x7ec355df,0x0003001f,0x80000008,0x01000000,0x80200180,
    0x4c7e85f9,0x5f900829,0x20209f10,0x02ddb800,0x07f20bf2,0x2a0fa8b9,
    0x81aaaabc,0xfb2d41f9,0xfff93fff,0x4c0805df,0x320bf103,0xacb881ff,
    0x32a002aa,0x1aaaaabc,0x2aab32e2,0x99710aaa,0x41555555,0x9103ccca,
    0x45555559,0xaaaabcc8,0x2af2a2aa,0x3be21aaa,0xdff914c0,0x13037c00,
    0x7712aba8,0x40198035,0x41fc82fc,0xf98fdc3e,0x47ffffff,0x2201efe9,
    0xfd512cfd,0xbddb9807,0x0bf107fa,0x3f203ff2,0x0dffffff,0x3ffffe20,
    0x3f25ffff,0xffffffff,0xffffff91,0x7ff43fff,0xffff105f,0x7fccdfff,
    0x6fffffff,0xfffffff3,0xaceffd8f,0x8037e4c0,0x3e2004f9,0xfffb9fff,
    0xca8f3266,0xc82fc84c,0x7dc7e21f,0x3eeaa1ff,0x5ef41aae,0x5f900cfe,
    0x7e403f90,0x02ffffff,0x1fee0bf1,0x65577dc4,0x775404fe,0x25fbabfd,
    0xaaaaefb8,0x5df711fd,0x443fb555,0xdf105fba,0x4cbfd555,0xbaefbaef,
    0x3beeaa6f,0xffeb81aa,0x037c42ff,0x665c4fa8,0x8977d43c,0x3ff21ffa,
    0x321fffa6,0x261fc82f,0x1f9cf88f,0x97a05f88,0x2fc82ffb,0xdf901fc8,
    0x03fff717,0x3fd417e2,0x1fd0df10,0x31fdcf80,0x426f88bf,0x09be21fc,
    0x0bf103f9,0x0ffb97e2,0x8afc57e6,0x005f886f,0x441ffb51,0x81cedbef,
    0x3ffea5f9,0x217e23ff,0x226fa86f,0x82fc87fa,0x2e3e61fc,0xbf103f16,
    0xd88f7cc0,0x6417e44f,0x263ff01f,0xf105fdff,0x881be60b,0x200fe86f,
    0x9dafdaf9,0xf9b7c42f,0x9b7c4499,0xbf10499f,0x1ff9a7c0,0x25f8a7c4,
    0x505f885f,0xf88bf20b,0x41ffffff,0x2eaa0ff8,0x7c2fc46f,0x7f86f886,
    0x0fe83fa8,0x227ea3e6,0x405f881f,0x5f50cfe8,0x0fe417e4,0xbff9afcc,
    0x0bf106f8,0xef8817e2,0x405ffbaa,0x07fdfb7c,0x0ffbbfe2,0x1ff77fc4,
    0x22017e20,0x223703fe,0x3e206a5f,0xe889fb05,0x27bfe21f,0xcfe84fc8,
    0x3e22fcc0,0x86feeeef,0xf07f86f8,0x263fdc1f,0x07fffb2f,0x3ee00bf1,
    0x3f24e9af,0xf881fc82,0xbf54ff9e,0x0a817e20,0x3ffffe20,0xfb5e805f,
    0x3fe209ff,0xff103fff,0xf8807fff,0x005fd805,0xbf100bf1,0x3b7fff60,
    0x237c45ff,0xfff886f8,0x445ffede,0x6fffffff,0x07f86f88,0x5ffdbff9,
    0x0554c9f0,0xb1002fc4,0x1fdc3fff,0xffd807ec,0x447fd34f,0x5ffffffe,
    0x667fc400,0x7fc404ff,0x102fcfff,0x027f73df,0x27f73df1,0x3ffffee0,
    0x37e40eff,0x02fc4073,0xdeb82fc4,0x440befff,0xb106f86f,0x819fffff,
    0xf9999ef8,0x7fb8ff06,0x077ffea0,0xbf100374,0x986d8480,0x81fea0ff,
    0xffedfffa,0x7ffff4c5,0x80b225ff,0x13fe66f8,0x9feccfb8,0x16f88750,
    0x7c49f117,0x29f11716,0xfffffffb,0xc83fea1e,0x00bf101f,0x7b100bf1,
    0x37c37c40,0xf1004c40,0x3fa0df0b,0x05ffffde,0x7f5007e6,0x05f8824c,
    0x20db07e6,0x2ffedffc,0xfffdfd10,0x00eb809d,0x37c40df3,0x36c07fe6,
    0x223f43fb,0x225f986f,0xb85f986f,0x85ff100e,0x0bf101fc,0x3600bf10,
    0xf0df102f,0x403db00d,0x106f85f8,0xdffbffff,0x201edf80,0x225feffc,
    0x5ffffffe,0x7ff777cc,0x33ff6a02,0x0993ee01,0x20d9f500,0xffff5008,
    0xd127fdc7,0xffffdbff,0x3fea1fff,0x5fffffff,0xfffffff5,0xd9f30bff,
    0xffffff90,0xfffb83ff,0x3fa20eff,0xf05fffff,0xffd307db,0x03bffa2b,
    0xe981fe64,0xffea8eff,0x0013300e,0xb9803c98,0x7fff4c1b,0x66445fff,
    0x11001ccc,0x50000a00,0xff700059,0x25fd87ff,0xfffdfff8,0xf70fffff,
    0xffffffff,0x3ffffeeb,0x9505ffff,0xfffff905,0xffb83fff,0x3a60efff,
    0x05ffffff,0x3fea0773,0xeffe98ef,0x2019b500,0xfa9efffa,0x00000eff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x2a0388cf,
    0x7101aaaa,0x88005559,0xbd501999,0x554002e3,0x40001aaa,0x079b7102,
    0x2aab32e2,0x3ee00aaa,0x0080388c,0x02600020,0x4cccccc4,0x0e21c409,
    0x02666662,0x80619880,0x21b81ba8,0x0ae200b8,0x5f543710,0xdb105ffd,
    0x3ee09ddd,0x4c01ffff,0x2ffffffd,0x77fe5fc4,0xeeed8800,0xcdb8804e,
    0xffb85fb1,0x7e41efff,0xffffffff,0xffb7d501,0xb009f00b,0x37cc00db,
    0xffffffc8,0xd88be86f,0xfffffd84,0xfff8802f,0x7ec43fa9,0x67dc2fff,
    0xffd506fa,0x3ff209ff,0x00003500,0x2fffdd44,0x9bd9ff30,0x0053001f,
    0xfff50000,0xf98dffff,0x46ffbaef,0xaaaaefb8,0x035001fd,0x5880df10,
    0x17e20059,0x6e666fdc,0xdffe986f,0xcccdfd80,0x3fd7000c,0x77f445b1,
    0xfe980cab,0x2efbfe03,0x25fa81fe,0x1aaaabca,0x2aab32e2,0xbf700aaa,
    0x4ff201ff,0x97107bcd,0x2e200555,0xf9802aac,0x2ffeaaef,0x27ec17f4,
    0x3f909be2,0x2e21ab98,0x1df102ab,0x000ece80,0xfb819100,0x1fb00204,
    0x89fc8000,0x2002ff45,0x3e60d401,0xffff9805,0x3ff27fff,0x1fffffff,
    0x07f93fd0,0x3de6c7fa,0x1fffffb8,0xfffffb80,0xf117f401,0x83fcc9ff,
    0x9b7c47fa,0xfff8499f,0x5ffff70f,0x2ffffea8,0x5c4002a0,0xfb000bdd,
    0x17bb7103,0x00333fb0,0x3f95bdb7,0x802fcc11,0x0badedc8,0x5005f980,
    0x4355df75,0xaaaaefb8,0x16f981fd,0x6d3f20df,0xf75107bc,0x75100bff,
    0x7cc0bfff,0x73fe7f47,0x107fc09f,0x407fddff,0xb514ffd9,0xceffb89f,
    0x76e4c4ff,0x3ff600ac,0x4401ffff,0xffffd87f,0x7ffec1ff,0xffe882ef,
    0xb81fffff,0xf702dbaf,0x07ffffff,0x00bff322,0x7c40bf10,0x640fe426,
    0x2207f63f,0x07bceefe,0x007fefdc,0x00ffdfb8,0xeb7e49f7,0x6c07f70f,
    0x3fffe21f,0x7ffe403f,0x3fd0bf21,0xfff11fcc,0x3f60bfff,0x06fc98ae,
    0x3bf627dc,0x6c6fc98a,0x42ffddff,0xfeb8befc,0xffffd81f,0x33fe61ff,
    0x903fea89,0x3b60dfff,0x2205f882,0x0933f36f,0xfffffff1,0x33fae20b,
    0x64ff407b,0x93fd003f,0x54bf207f,0x263fb0ff,0x41ff105f,0x13fb9ef8,
    0xc9bf7f20,0x2a17e62f,0x6cc4d5c0,0x4d7fc41f,0x203fe999,0x2bfe21fd,
    0x23fe9999,0x897e60a8,0x0ffcc0ff,0x7e4efff4,0x3ea13f25,0x7ff95102,
    0xbf106f98,0x7f77fc40,0x3bbbee03,0x6c00ffee,0x5be607bc,0x6f9806f8,
    0x33ea0df1,0x8ff11ff9,0x46fb80ff,0xf11716f8,0x9fb5f909,0x06f88bf2,
    0x3f732ea0,0x7ffffcc3,0xf104ffff,0xfffff98f,0xe804ffff,0x3a0bf50f,
    0x6c6fd81f,0x0203fd0f,0x3ee3fcc0,0x440bf101,0x203fffff,0x03fc81fe,
    0xf903de6c,0x3200fec7,0x2207f63f,0x3ee3feff,0xf70f7ec6,0x986f885f,
    0xf8afc85f,0x7f42fc9f,0xfe85b50b,0x4c3fffff,0xccccccff,0x989f702c,
    0xccccccff,0x31fd802c,0x207fa0bf,0xd97dc3fc,0xfd80001f,0x5f8813a1,
    0x3ee7be20,0x7fff4413,0x817fff63,0xff107bcd,0x40bfffff,0xfffffff8,
    0x5cbff905,0xeffd82ff,0x7fd44fff,0x5fffffff,0x9df72fc8,0xffffa85f,
    0x2fbee3ff,0xff83fdaa,0x0ff40303,0x26181ffc,0xf10ff983,0x81ffb85f,
    0xc87f46fa,0x223b80df,0x3a27f881,0x8817e200,0x9f11716f,0xd8ffffa6,
    0x33606fff,0xdddf707b,0x2e01ffdd,0xffeeeeef,0xfdfffc80,0x3ff204ff,
    0xfffb83ef,0x85ffffff,0x3fffa2fc,0x2dffd882,0x0ff623fc,0x3b77ffea,
    0x07f884ff,0xfdbbfff5,0x37bff29f,0x7fdc3fff,0x4fffffdf,0x5ffdffd8,
    0x373bffa2,0x37bf26fe,0x4004ffed,0x1be205f8,0x9b0017e6,0xd07bcd80,
    0x207f903f,0x43fc81fe,0xfffecff9,0x577fec02,0x0fa004a8,0xfff317e4,
    0x6c1be205,0xffffecef,0xffffe985,0x03f881cf,0x3fffffa6,0xfffd911c,
    0x3ffea07f,0x884ffeef,0x440cfffd,0x0dffffec,0x3ffffb62,0xfffd1003,
    0x7fd4bfff,0x5fffffff,0x2277dc00,0x1dfdefec,0x6c7fffd1,0x3fa25fff,
    0x3fff63ff,0x0088bf25,0xffffffc8,0xfd9000ff,0x877ffdc5,0xbf102ffc,
    0x3ffff620,0x26206ffe,0x22000009,0x04c40099,0x80019880,0x01331001,
    0x4c000988,0x5ffffffe,0x3fffffee,0x98005fff,0x5e66640a,0xfffd31cc,
    0x32fffec7,0x7ec7fffd,0x000625ff,0x7655e754,0x2154001c,0x3a0efffb,
    0x1006e02f,0x00000033,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01100000,0x403882e0,0x15730039,0x22025c00,0x055cc02b,0x48066200,
    0x05b10048,0x01aa3a60,0x04400f44,0x36e332a0,0x0010202d,0x32000322,
    0x5004b803,0x39db7399,0x40026620,0x3fe202b8,0xfbbfd800,0x07bff205,
    0x01ffffc8,0xd880fec4,0xfc83ffff,0xf1003fff,0x233603ff,0xee9805c8,
    0xfacf9800,0x405f9803,0xd02effd8,0x7fffffff,0x0bea5f50,0x005fff70,
    0x22003ba2,0x7ffc00ee,0x44ffffff,0x7002fff8,0x037401ff,0x6c05ff50,
    0xa80fd89e,0x00ffcbff,0xefb803b6,0x3e61ffcb,0x001ffccf,0x36603fd7,
    0x4f801dff,0x0fe33e00,0x3200fe20,0x880ffdef,0x7fa8affe,0x03b30d98,
    0x02fb97dc,0x22000de8,0x7fec406d,0x43ffa8be,0xd3002feb,0x1100000b,
    0xfb018080,0x0101fe43,0x24fa8ff0,0x01bea2fc,0x813bffaa,0x00020008,
    0x00100041,0x81fdcdf1,0x007ec1fe,0x02204400,0x00800020,0x6f986fb8,
    0x00002fc8,0x175bdb91,0x02f76e20,0x5d6f6e44,0x17e63fc0,0x2eb7b722,
    0xdf31be20,0x03fa07f4,0x3f2b7b6e,0xacedc981,0x5eedc400,0x2f76e600,
    0x23bd9300,0x26f883da,0x81fd04fc,0x479931fd,0x664c4cca,0x931332a3,
    0x22665479,0x332a3cc9,0x3a07f704,0xedbbfc87,0x7fdc001c,0xd83fffff,
    0x41ffffff,0xfffffffb,0x1fe13e63,0xfffffff7,0xea9cfe87,0xf887f23f,
    0x3fffa21f,0x7c41ffff,0x205fffff,0x1ffffffd,0xffffffb8,0x7ffffc41,
    0x7c45fffe,0xd01fffae,0xf91fd81f,0x23fff4df,0x3ffa6ffc,0xfd37fe47,
    0x26ffc8ff,0xdf707ffe,0xff90df30,0x009fffff,0x2a273fe6,0x577ec3fe,
    0x3e66fc98,0x3fea89cf,0x99fa0fea,0xfea89cff,0x7ffffc43,0x7446fcc6,
    0x2fbf22ff,0xb81ffeb8,0x81fd989a,0xfc98aefd,0x54e7fd46,0x455c0ffe,
    0x1fe9dffb,0x3ffebbe2,0xfd81fd04,0xfa89bea1,0x2a26fa87,0x226fa87f,
    0x26fa87fa,0xff707fa8,0x07ff935b,0xf935dff9,0x4fc8085f,0x3fe22fa8,
    0x3fe9999a,0x45f509f9,0x327e83fa,0x5c2fa84f,0x41ffffff,0x3ffffffe,
    0xff981ff1,0xfb997501,0x99aff887,0x3fa3fe99,0x5443fc82,0xfb9affcc,
    0x7545be25,0x3fffa24f,0x6f887f61,0x86f887f8,0xf86f887f,0x7f86f887,
    0xffffff70,0x21ff209f,0x83fea6fa,0xf98101fe,0xffffffff,0x30203fd4,
    0x3a6f88bf,0xff88101f,0xd50bf912,0x3ea3fd9f,0xfd03fd05,0x987fffff,
    0xffffffff,0x260df14f,0x3fffee5f,0x26ffffff,0x13fcc6f8,0x7ec3fffd,
    0x1fe1be21,0x21fe1be2,0x887f86f8,0xf707f86f,0x4015b957,0x54ff04fc,
    0x007f60ff,0x66667fcc,0x03fb2ccc,0x93ea3fc0,0xbf5001fd,0x7fb80ff0,
    0x0ff417e6,0x36aafbee,0x667fcc3f,0x3e2ccccc,0xf35fa80f,0x99ff759f,
    0x437c4799,0x1fd001fd,0x43fc37c4,0x887f86f8,0xf887f86f,0x5f707f86,
    0x884fc800,0x3f204c7f,0x7fc3b80d,0x06fe4303,0xd8ff61dc,0x2037f21f,
    0xf31be63b,0x8bfee20d,0x7fdc2ff8,0x3f623fc1,0x8303ff83,0x3fa60dfd,
    0x7fd4bf32,0x9ef88221,0x3001fd1f,0xfb8ff0ff,0x7fb8ff07,0x07fb8ff0,
    0x707fb8ff,0xffc8005f,0x4402fe41,0xfedceffe,0x6efffd46,0xffd14ffe,
    0x98dfdb9d,0x446ffeff,0xfedceffe,0x7f6fff46,0x3ff7b23f,0xdfffb84f,
    0x364fffff,0xffffecef,0x6efffd45,0x3fa24ffe,0x745ffedf,0xdffffdef,
    0xbfff75fe,0x5c0bfbdf,0xfe83fffe,0x85ffffde,0xffffdefe,0xffdefe85,
    0xdefe85ff,0x76c5ffff,0xfd803eef,0xfffdefff,0xffd91001,0xfd301bff,
    0x4439ffff,0x0dffffec,0x80efffa8,0xdffffec8,0x3ffffc80,0x00f7ffe4,
    0xfddffff5,0x7ffec49f,0xe986ffef,0x41cfffff,0x84efffd8,0xfeefffe8,
    0xfff72eff,0x403bffb5,0xf103dffd,0x0dffbfff,0xffbffff1,0xbffff10d,
    0xfff10dff,0xfe8dffbf,0xfe804fff,0x1effffdf,0x01331000,0x10013310,
    0x01100133,0x20026620,0x00262009,0x31001988,0x09988003,0x31001300,
    0x02200130,0x02660000,0x20009980,0x26600099,0x20000000,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40800000,0x2a3cc980,0x01b804cc,0x6d401e40,0x01988000,
    0xedb8004c,0x440bcc9d,0xd800e60b,0x01a87303,0x0dc00204,0xb5003700,
    0x38871001,0x20402000,0x2656e000,0x654015c0,0x45f93e23,0x3ffa6ffc,
    0x13ffa607,0x2003ba20,0x22001ee8,0xff501fff,0xfe88795b,0x2fffffff,
    0x1fe57744,0x98077440,0x201fd9ef,0x9817e4f8,0xf8804ffe,0x00ee8805,
    0x04d88be8,0x3b0b36e2,0x017e4f88,0x807f27ee,0x200cffd8,0x7b16c2ff,
    0x7d44df50,0xd31bf107,0x000de80b,0x3ae003e4,0x3fff201f,0x4577ec1e,
    0x3201fffc,0x0bd001ef,0x001bfb10,0xf881ec5b,0x4405e98d,0x01f2006f,
    0x4037ffa6,0x1efffffb,0x1ec5b01f,0x03ee7e60,0x6e98df88,0x4000df30,
    0x207f86f8,0x00040081,0x3f900010,0x3fef7ee0,0xf903fe20,0x0800300d,
    0x00000c00,0xf8801030,0x10004006,0xbaeff980,0x0004cfff,0x18008840,
    0x303f7018,0xf1017bb7,0x5cc0ff0d,0x2e600bdd,0x2e600bdd,0x36e00bdd,
    0x201fcade,0x7d4bf508,0x9306f885,0x440159db,0x261bcedb,0x1332a3cc,
    0x00bddb88,0x402f76e2,0x099efa99,0x017bb710,0x405eedcc,0x07fd82fe,
    0x0159db93,0x66547993,0x59db9304,0x3ee17601,0x441fffff,0xf707f86f,
    0x703fffff,0x03ffffff,0x3ffffff7,0xfffffe88,0xffd981ff,0xdf30ffdf,
    0xff10df50,0x2e0bffff,0x25ffffff,0x3ffa6ffc,0xfffffb07,0xffffb03f,
    0x7ffc43ff,0x45ffffff,0x1ffffffd,0xffffffb8,0x7cc1fe61,0xfffff887,
    0x26ffc85f,0xff887ffe,0x3d05ffff,0xea9cffa8,0x71fe20ff,0x39ff50ff,
    0x7d41ffd5,0x0ffea9cf,0x3aa73fea,0x2fbf20ff,0x441ffeb8,0xfffecfff,
    0xfe88ffe1,0xb3135706,0x315ff03f,0x26fa8bf7,0xefd87fa8,0x6c6fc98a,
    0x6fc98aef,0x77ff7764,0x2bbf62de,0x7d46fc98,0x0ffea9cf,0x07fc09f7,
    0x7ecc4d5c,0x2a26fa81,0x3135707f,0x3fa003fb,0x3e23fc82,0x5ffffdef,
    0x1fe417f4,0x47f905fd,0x13fc82fe,0x1ff981ff,0x3fee2fdc,0x3f7ffea2,
    0x32ea06ff,0xdfe83fdc,0x7c40989b,0x7fc47f86,0x3fe9999a,0x33335ff1,
    0x17e207fd,0x4ccd7fc4,0x0bfa3fe9,0x01fdcff2,0x32ea03fb,0x6f883fdc,
    0x32ea07f8,0xf8803fdc,0x7c4bf306,0x6ffdffff,0xafcc1be2,0x2bf306f8,
    0x2bf306f8,0x83fd05fa,0x42ff81fe,0x6fdffffa,0xffffffd0,0xfffff507,
    0xf86f881b,0x7ffffcc7,0xff34ffff,0x9fffffff,0x7cc17e20,0xffffffff,
    0x3e60df14,0x3e20bf55,0xffffe80f,0x86f883ff,0xffffd07f,0x46ea87ff,
    0x25fa80ff,0x40099ef8,0x25fa80ff,0x25fa80ff,0x35fa80ff,0xf07fa0bf,
    0x203fd01f,0xb86f8898,0x3fdaabef,0xdfd95308,0x47f86f88,0xcccccff9,
    0x99ff32cc,0x20599999,0x9ff305f8,0x45999999,0x15fa80ff,0x0df701ff,
    0xfb557df7,0xff0df107,0xb557df70,0x6c6f987f,0x8bfa60df,0x3f6006f8,
    0xd8bfa60d,0x8bfa60df,0x3fa60dfd,0xfb85ff12,0x2a27f41f,0x4fc800ff,
    0x1fec47f8,0x03fa0bea,0xf87fb8ff,0x3ff8303f,0x204f8030,0xfd8303ff,
    0xc8bfa60d,0x07fee1ef,0x07fb11fe,0xf0ff71fe,0x443fd88f,0x6fff445f,
    0x37c45ffe,0xdbffd100,0xffe88bff,0x7445ffed,0x45ffedff,0xfffdfffb,
    0x3ffe64ff,0xd883ffec,0xd81fffee,0xffffecef,0x377bfee5,0xdefe85ff,
    0x7d45ffff,0x4ffeddff,0x3b77ffea,0x802604ff,0xfeddfffa,0x37ffa24f,
    0xffe85ffe,0xfb04fffe,0xbffffd9d,0xfffbdfd0,0xecefd8bf,0x27c5ffff,
    0x277ffec4,0x6c4004e8,0xb104efff,0x2209dfff,0x504efffd,0xffddffff,
    0xcfffe989,0xbffff101,0x3fff6203,0x3e66ffef,0x80befffe,0xffdffff8,
    0xffffe986,0x7ff4c1cf,0xfd11cfff,0x9fffffff,0xfffffe98,0x7ffec41c,
    0x3fff204e,0x3ff6202f,0x886ffeff,0x6ffdffff,0x77fffec4,0x201f46ff,
    0x40000009,0x00260009,0x33100098,0x0000c400,0x40033100,0x13300098,
    0x004cc400,0x74404cc4,0xffffffff,0x00133104,0x00980026,0x30006620,
    0x06620013,0x000006e0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03c80000,0x098005d0,0x0b880040,
    0x044000e6,0x5c0710e2,0x99710e21,0x701e6543,0x5bdb5003,0x9d703995,
    0x15510711,0x22039b71,0x881bcedb,0x80badedc,0x9998804c,0x33ae0110,
    0x00710388,0x0388ceb8,0x00d55554,0x5000ee88,0x3fee009f,0x01efd980,
    0x03fcafe8,0x21be2091,0x204d88be,0x5c5fabfc,0x3ffe4fff,0x27ff4c1f,
    0xffffffb0,0xebea8dff,0xcffc85ff,0x5c4ffffe,0x45ffffff,0xfffffffb,
    0x200df983,0x0fd5fffe,0x0bffb7f3,0x754007ee,0x2205ffeb,0x004eeeed,
    0xe98001bd,0xb03b8803,0x2e00d719,0x07ee02ef,0x7ff4c2dc,0x1ffd400d,
    0x3e60dfc8,0x4c6fc42f,0x8cffc85e,0x400cffea,0xfffb102a,0x7c3ff517,
    0x25fb98af,0xea89cff9,0x40bd103f,0x0d35fcca,0x17e40550,0x0002a800,
    0x20000400,0x20f80000,0x8013001f,0x401b02fc,0x80220008,0x17ee0ff8,
    0x3fe2040c,0x4c17fc40,0x900acedc,0x23fb83ff,0x0989bdfe,0x0bea13f2,
    0x2bf10010,0x7bb7302b,0xcdfeb881,0x1e64c3cc,0xcc989995,0x981332a3,
    0x200acedc,0x00acedc9,0x2a7b01b8,0xbddb9806,0x66ff5c40,0x664c33cc,
    0x441332a3,0xb81bcedb,0x4407fe4f,0x261bcedb,0x885fb05f,0x05ffffff,
    0x49f507f9,0x0dfffffa,0x540407fa,0xf8803ccc,0x3ffee035,0x3fee1fff,
    0x20ffffff,0x3ffa6ffc,0xfd37fe47,0x3ffe20ff,0xff105fff,0x880bffff,
    0x5dfd305f,0xffb81b71,0x3ee1ffff,0x0fffffff,0xffd37fe4,0xfffff70f,
    0x71ff10bf,0x3ffee0bf,0x3fe25fff,0x5c17fc40,0x81fd989a,0x24f982fc,
    0x4dfd9530,0x3fa001fd,0x5f8805ff,0x2a73fea0,0x3f660ffe,0xfa81aaac,
    0x2a1fea26,0x81fea26f,0x1fd989ab,0xfb313570,0x017fa603,0xa87dfd75,
    0xffea9cff,0x2ab3f660,0x44df500a,0x8aff87fa,0xbf705fb9,0x2bfe03ff,
    0x7ec5fb98,0x2ffeb9be,0x7fb99750,0x9f305f90,0x43fa0bea,0x43b80dfc,
    0x8805fba8,0x20bfa05f,0x2ff663fc,0x0df10099,0xf0df10ff,0xdccba80f,
    0x332ea03f,0xdffb83fd,0xbdfeb882,0xf905fd00,0x1002fc87,0xfd0ff0df,
    0x4013137b,0x3fa05fff,0xd80989bd,0x2fffffff,0xffffffe8,0xf982fc83,
    0xfbbdff74,0x77ff44bf,0xf106fedc,0x20bf100b,0x2bf306f8,0x5ffffffd,
    0x0ff0df10,0x40ff0df1,0x3ffffffe,0xffffffd0,0x201ff887,0x4ffc8bda,
    0x5f9837c4,0xf88017e4,0xffa87f86,0x2e00dfff,0x3fea00ff,0x7100dfff,
    0xb85f959b,0x3fdaabef,0x4fa82fc8,0x7dfffdf3,0xfffec881,0x0bf100df,
    0x7fc0bf10,0xd935fa80,0x220399bf,0xf887f86f,0xdf707f86,0x707fb557,
    0x7fb557df,0x81b84f98,0x7c2e99e9,0x645fa80f,0x0df1002f,0x32a610ff,
    0x17ee06fe,0x3fb2a610,0xf0bf2006,0xc83fd88f,0x883fb82f,0x13bb004d,
    0x8805f880,0x837f605f,0x17e42fe9,0xf71fe0a6,0xff71fe0f,0x7fb11fe0,
    0x3fd88ff0,0x9f711ff8,0x3625c990,0x0bfa60df,0xf02987f9,0x7d47fb8f,
    0xf880fe82,0x20bea00f,0x5f9000fe,0xffecefd8,0x3bfee5ff,0x103ff952,
    0xfc8807f9,0x805f8803,0x3fa205f8,0x885ffedf,0x2fffddff,0x7ffef7f4,
    0xfdefe85f,0xefd85fff,0x45ffffec,0xfffecefd,0x7fffdc5f,0x88ea84ff,
    0x6fff442e,0xff885ffe,0xe82fffdd,0x5ffffdef,0x3f77bfee,0x3fbba65f,
    0x3bfee05f,0xc805ffdd,0x3623effe,0x6ffeffff,0x7ecbffee,0x05fdf03f,
    0xf703fef8,0x1dffffff,0x3fffffee,0x7fec40ef,0x3fae04ef,0xff883eff,
    0x886ffdff,0x6ffdffff,0xeffffd88,0x7fec46ff,0xb86ffeff,0x3202dffe,
    0xffb105ff,0x7f5c09df,0xff102eff,0x4cdffbff,0x0befffef,0x3bffffea,
    0xfffdf300,0xffd0017d,0x03310bff,0x2a200c00,0x201a8801,0xfffffffb,
    0xfffff71e,0x04c03dff,0x26003100,0x02660009,0x20019880,0x00000198,
    0x004c0022,0x26001310,0x01310009,0x02620000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00999880,0x1b800990,
    0x4403c800,0x07105c01,0x22602660,0xb802cdb9,0x55555001,0x01333103,
    0x03555550,0x5500b855,0x0ab980b8,0x00035100,0x55000351,0x1a803555,
    0x1d88005c,0x3fa0d300,0x76c406ff,0x9ffd3001,0x003ba200,0x5fec03ff,
    0x3f6205fb,0x7ffc5fff,0x980effff,0x6c404ffe,0xfe84eeee,0x76c405ff,
    0xdfa84eee,0x9f500eea,0xcfb81dd5,0x2ffd806d,0x017fe400,0x3bbbb620,
    0x7567dc04,0x05f9800e,0x32a07f70,0x076c06fc,0xe98df880,0x800de805,
    0x7fd400ed,0x7677e403,0x2bbfe25e,0x7c46feb9,0x0005e98d,0x00bf9950,
    0x04fe9800,0x9804fe98,0x005f001f,0x00000be0,0x004fe980,0x3ea009f1,
    0x406f8802,0x00818000,0x10000008,0xf00df001,0x187fd01d,0x6edc4008,
    0x017e200b,0x002f76e6,0x44018003,0x0be006ff,0x080be008,0x0acedc98,
    0x01000600,0xf8800440,0xccca818e,0x30f32a03,0x33221999,0x223ccccc,
    0x3ccccccc,0x33333322,0x037e5c3c,0x45fa8054,0x6c03ccca,0x01ffffff,
    0xffb80bf1,0x6541ffff,0x997103cc,0x1017d913,0x42fd45f5,0x203f902f,
    0x446e982f,0x05ffffff,0x17bb5797,0x376af2e0,0x9ccb880b,0xf880bec8,
    0x7ff40fff,0x3fffe05f,0x453fff21,0x6fffffff,0x3fffffe2,0x3fffe26f,
    0x3fe66fff,0x7775406f,0x47feeeee,0x3605fffe,0x6fc98aef,0x8366bf10,
    0xfea9cffa,0x17fffa0f,0x7fefffd4,0x7cc666ff,0x4c1efd8a,0x13faa0bf,
    0xff905fcc,0xb3135705,0xffff883f,0x7c41ffff,0x1fffffff,0x7fefffd4,
    0xfffa86ff,0x05fba884,0x33a27fe2,0x3be25fc8,0x222ffdaa,0x2ffdaaef,
    0x3f6abbe2,0x037dcc2f,0x3fffffea,0x5d447fff,0x35ff105f,0x107fd333,
    0xfe8ff6bf,0x2a23fc82,0x3f6605fb,0x324b9cff,0xbffbcefe,0x3ffff62a,
    0x41bbefd9,0xfe9efffd,0x997502ac,0xdff307fb,0xf309f713,0x09f713df,
    0x739fffb3,0x0fffec49,0xfb017e20,0x5f91ff73,0x05ff52c8,0x20bfea59,
    0x205ff52c,0x6fd406f8,0x7f999999,0x3e60bf10,0xffffffff,0x1935f884,
    0x2fcc1be2,0x3ee02fc4,0xbfb1001f,0x7d40df71,0x06ecfbbf,0xff53df91,
    0xffffffd0,0xdf0df107,0x0df0df10,0xfb807fee,0x5f8806ff,0x7ff5fdc0,
    0xff500feb,0x02ffa805,0xf1017fd4,0x80ff880d,0x0bf105fb,0x33333fe6,
    0x5f882ccc,0x3ea03fe0,0x5c05f885,0x7ff7002f,0x7ec1bbe2,0x07e2371e,
    0x3be29ff3,0x555f7dc7,0x86f883fd,0xf86f887f,0x5005f707,0xbf100df1,
    0xfefff880,0x5ff506ff,0x402ffa80,0x7c402ffa,0x21dfd806,0xbf102ffa,
    0x0181ffc0,0x6fec0bf1,0x220bfa60,0x017dc05f,0x337a0dd8,0xd103e886,
    0x76c3d70d,0x3623fc7b,0xf86f883f,0x7f86f887,0x22005f70,0x05f8806f,
    0xffdbfff8,0x2e2ffa85,0xd717fd46,0x1ae2ffa8,0x3e201be2,0x04fffeff,
    0xffa817e2,0x84ffeddf,0x3fa205f8,0x105ffedf,0x02fb80bf,0x1ddbf700,
    0x006fcc00,0xb0feefd4,0xffffd9df,0x7f86f88b,0x07f86f88,0x7fdc05f7,
    0x71efffff,0xdfffffff,0xf51ffb01,0xffff987f,0xff30ffff,0x21ffffff,
    0xfffffff9,0xffffd50f,0x7fec405f,0xfffb82ff,0x4c0effff,0x1cfffffe,
    0xfffffff7,0xfffd881d,0x7fffdc4e,0xff90efff,0x003dffff,0x007fb32a,
    0x400cefdc,0x221fecca,0xffeffffd,0x43bffa66,0x3fa65ffd,0x4bffb0ef,
    0xeffffffc,0x3ffffee1,0xfff71eff,0x703dffff,0x2a0ff4bf,0xffffffff,
    0xffffff50,0x3ffea1ff,0xf50fffff,0x007fffff,0xfffb8026,0x101effff,
    0xfff70133,0x403dffff,0xffff7009,0x3f23dfff,0x01efffff,0x4017fe40,
    0x02fffff8,0x3107ff70,0xefff9803,0x7ccdffd0,0xdffd0eff,0x7fffffe4,
    0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c1ab980,0x10e20aab,0xbb579707,0x39971017,
    0x01017d91,0x0a600000,0x20037310,0x15440099,0x00e6e4c0,0x2a2f76a2,
    0x59b97100,0x02a88015,0x55557930,0x059b7103,0x6d400488,0x2aa219bd,
    0x4557712b,0x99999998,0x04ccc419,0xfe8fffb0,0x445f43ff,0x7fffc44d,
    0x7d41ffff,0x6ffffdff,0x9ba005f8,0xdffb706e,0x77fffcc0,0x413fea03,
    0x0dfedfea,0xefffffe8,0xfffff980,0xfff984ff,0xd504ffff,0x401bfdbf,
    0x6fffffff,0x77ffffdc,0x5003f700,0x4fffffff,0xfc9ffffd,0x33352fff,
    0x41533333,0x2205fffe,0x6fe4c2fe,0x06fff4c0,0x5c4f7fcc,0xfffd984f,
    0x3fae4b9c,0x26403eef,0xffff3097,0x2f7fe20d,0xffd00ffc,0xc885f509,
    0x54dffc0e,0x67fcc3fd,0x4c5ffb99,0xfea9acff,0x6442fa85,0xfb55300e,
    0x77fcc15b,0xc80fffba,0x9bfe802f,0x3f627fd9,0x47fd512c,0x32a08801,
    0x07f405fc,0x801027d4,0x706f86f8,0x7e4403ff,0x00000ccf,0x5c1be2aa,
    0x5c27d44f,0x4fcc4fff,0x8d90bded,0x3a37c45e,0x644fa82f,0x4c4f882f,
    0x917bb31f,0xd07f700d,0x449fb05f,0x3cccdfeb,0x23f42fcc,0x21fc82fc,
    0xf8808801,0x5407f405,0x1e66544f,0x0ff0df10,0x3e200bee,0x500bdcae,
    0xf1007999,0xf303220d,0x4fbff88d,0x6caec9dc,0x6f98087a,0x41c81be2,
    0x7702606f,0x74beebae,0x261fdc01,0x5cff307f,0xffffffff,0x5303be20,
    0x1fc82fc8,0x22022006,0x407f405f,0x7fff44fa,0x3e1be205,0x1005f707,
    0x1fffffff,0x00bfffd0,0xfd800df1,0x27ce7ec4,0x0f9a547a,0x3fee2079,
    0x98013ea3,0xe8f4004f,0x201e42a0,0x027dc3fb,0x67ecc1ff,0xffd80aaa,
    0x2fc80ace,0x20061fc8,0x405f8808,0x44fa80fe,0x2205fba8,0xf707f86f,
    0x7fff1005,0x75107f91,0x0df100bf,0x3e637ec0,0x87c4f98f,0x12e3fefa,
    0xf50fffe2,0x227d4009,0x47c3cccb,0x0cd2e078,0x0fee1fdc,0x17e41fd8,
    0xffffeb80,0x7e417e42,0x20220061,0x87f405f8,0x2209f51b,0xdffd305f,
    0xfc97ff61,0x81efffff,0x1be20ef8,0xf8805f88,0x0efe8806,0x44f997f4,
    0x49b3b51d,0x301df02d,0x2fcc00bf,0x47fffff5,0x4b601d1d,0x543fb86e,
    0x81ff105f,0x544002fc,0x0bf20ffd,0x880187f2,0x7405f880,0x7f55f88f,
    0x7cc17e20,0xdffd0eff,0x7fffffe4,0xf86f881e,0x2017e206,0x7f4406f8,
    0x667fd40e,0x652e2efd,0x403e7d1e,0x003fe01a,0x75507fc4,0x7d74b8df,
    0x3fc3e5d5,0x3fe217dc,0xfc86fb80,0xfc82d402,0x3f60fee2,0x20220060,
    0x47f405f8,0x205f95f8,0x000005f8,0x7c37c400,0x2017e206,0x3fe606f8,
    0xffffc80d,0x2be25fff,0x0bb931cb,0x20efe400,0x067f46e8,0x25f117e6,
    0x7cbb2cb8,0x207fa20f,0x3fee1efc,0x14c3fc82,0x1fe889fb,0x7fa83fe6,
    0x4404400c,0x37fee05f,0x00ffdff8,0x76c00bf1,0x405f8801,0x206f86f8,
    0x6f8805f8,0x2089ff70,0x5fa99998,0xb510cf88,0x201e440b,0xffedfffd,
    0x6f7ffc44,0xcf885ffe,0xff8bb510,0x204ffdef,0x4fffeffe,0xffbbff10,
    0x37fff65f,0xffc85ffe,0x00c2ffed,0x02fc4044,0x3ff6bff9,0x7fffdc1f,
    0x9900efff,0xfdd8807f,0x1dffd300,0x2e1dffd3,0xefffffff,0xfffffd10,
    0x7ffffcbf,0xfe885fff,0xffc883ff,0x7fd403ef,0x7fff6400,0xfffb103e,
    0x322019ff,0xc883efff,0xc804ffff,0x5c02ffff,0x2e2efffe,0x0befffde,
    0x039fff70,0x3ee11003,0x0effffff,0xff700880,0x03dfffff,0x3200336a,
    0x3ffea02d,0x0effe98e,0xfffffff7,0x3fffa23d,0x3ffe5fff,0x886fffff,
    0x4404fffe,0x80022000,0x26200098,0x80044000,0x00980008,0x22004c40,
    0x80260009,0xaaaaaaaa,0xffff70ba,0x0003dfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x00099809,0x22000662,0x37930009,0x4c179710,0x799502cc,0x88355555,
    0x80aaaabb,0x2e60abb8,0x5556542a,0x2aaee202,0xe8855750,0x2aea001e,
    0x06aaea1a,0x233ae000,0x5565cc38,0x76e4c01a,0x555500ac,0x2206aaa2,
    0x9802aacb,0x3f6200ab,0x3ff25fff,0x3fff3006,0x803fd800,0x5c3ffffd,
    0x3ffe5fff,0x7fffc40f,0x645fffff,0x3fffffff,0xff2fffdc,0x3ffe61ff,
    0xff902fff,0xffff3bff,0x10037d43,0x3e6dffff,0x077a5fff,0xffebea80,
    0x7ffffec5,0x3fffe206,0xffff05ff,0x70bfff73,0x403fffff,0x3206dcfb,
    0x265eecef,0x3ae006fc,0x1764001f,0x3ea7be20,0x917fdc46,0x3baa05ff,
    0x45fbabfd,0xfdbacfd8,0x87fee23f,0x7d542ffc,0x3ee202af,0x2eff88ae,
    0x2e0017e4,0x3eaa1aef,0x033ffa0f,0x2e20aa00,0x5c00aaef,0x81fd989a,
    0xff512ef9,0xfff75101,0x407e600b,0x06f8806f,0x0000fec0,0x0222fb80,
    0x2ff8afe4,0x98fee7c0,0x4c3fb85f,0x9b7e40ff,0x01fe01ff,0xdfe8afc4,
    0x8cc9ee80,0x5f880ceb,0x21be2991,0x5404fffb,0x3e603ccc,0x204effff,
    0x43fdccba,0xffffffe9,0xbf700eff,0x7fc401ff,0xccffcb86,0xdbef882c,
    0x27f601ce,0xca83ccb8,0x27d403cc,0x9f95fd00,0xafdaf980,0x3fb82f9d,
    0xdfd83fb8,0x03fc03ff,0x5ff9df88,0xfff93f30,0x5be0dfff,0x05f99ffb,
    0x207fff91,0x2605fffe,0x5ffdccef,0xffffffe8,0x667fe443,0x3a04ffcc,
    0x4403fc9f,0x3ffe62fa,0xf887ffff,0x01ffffff,0xffff53fb,0x05fffe83,
    0x19dffd91,0x0efff980,0xfefdbe40,0xeefec883,0xd109f30d,0x0ff009ff,
    0x1bfffe20,0x27bfa498,0xd7f81fe9,0x809f59ff,0x442effd8,0x3e605fba,
    0x3ee3fc45,0x83fdaabe,0xfeeeeff8,0x7c5be606,0x0be63306,0x1555df73,
    0x913dff10,0x367f609f,0xba881bff,0xffff305f,0x7e4c03ff,0x3a00ceff,
    0x109fffb5,0x21ffffff,0x5ffb05f9,0x2200ff00,0x004fffff,0x417e43fd,
    0xbefefafe,0xfff9003f,0x4c0bf107,0x3e0fe85f,0x441fec47,0x6fffffff,
    0x1fd8ff20,0x104efec8,0x8df100df,0xfffb06f8,0x0bf1001d,0x0057f4c4,
    0x067be662,0xcfffff88,0x26ff202f,0x3ee13ea0,0x3fc01ffe,0x2bfe235c,
    0xfe803fe9,0x3f60bee0,0x2fefebfe,0x0f7fecc0,0x3e605f88,0xd8df9315,
    0xffffecef,0x4ccf7c45,0xfff106f9,0x000bffff,0x7c4037c4,0xffb06f86,
    0x17e2007f,0x26003fe0,0x00aaefba,0x13fd99f7,0x20fee0ea,0x4ffd43fc,
    0x1fe00ffb,0x25f883f6,0x7f400ff8,0x3f20bee0,0x1fffb8ff,0x05dff910,
    0x3e605f88,0x41efffff,0xfeffffd8,0x7c2fc46f,0xddddf706,0x20001ffd,
    0x6f8806f8,0xfbfb06f8,0x0bf1007f,0x42d87f98,0x02aefba8,0x3a1fd9b6,
    0x2e23fb87,0x8bfe60ff,0x21fe06fc,0x717e20fd,0x20fe809f,0x6ffb82fb,
    0xc881fff1,0xf1003fff,0x5e77cc0b,0x8662009a,0x42fc416a,0x903fd06f,
    0xf100107f,0xf0df100d,0x3e67f60d,0x02fc404f,0xfffffff9,0xfffe889f,
    0xdffe884f,0xfffffffe,0x3ffffea0,0x3fee2fff,0x3dffd14f,0x3fffffa2,
    0xff50ffff,0x3ffe27ff,0x99effd82,0x7fd40eff,0xfd11ffa3,0xffb8019f,
    0x70efffff,0x009fffff,0x755bbe60,0xffea8eff,0x7fffd10e,0xf12fffec,
    0xffe9afc9,0x74c3ffff,0xdffd15ff,0x5c7ffa21,0x3fee5fff,0x20efffff,
    0xfffffffc,0x7fff441e,0xdfff885f,0xffffffff,0x3ffffee0,0x7ffdc1ce,
    0x23fffd14,0xffffffe8,0xfff70fff,0x41ffdc7f,0xff9afffe,0x70ffcc0e,
    0x0019d0ff,0x3fffffee,0xffff71ef,0x5440009f,0x51dfff50,0x3a61dfff,
    0x3ff63fff,0x27b16c5f,0xfffffffa,0x477ffd44,0xd10effe9,0x3ffea3ff,
    0x3ffffee6,0x00001eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x00bccccb,0x55555991,
    0x3055dc45,0xbcc98557,0x10aaaaaa,0x26654799,0x2aaaaaa2,0x6dc42aaa,
    0x12aba83c,0xd9103577,0x5e540a65,0x6541aaaa,0x65402aaa,0x886a2aaa,
    0xaaaaaccb,0x5995100a,0x00003555,0x55d43980,0x441aaa80,0x80aaaabb,
    0x0aaaabb8,0x06aaaaa0,0xffffffc8,0x7ffc41df,0x3ee6ffff,0x3fffe4ff,
    0x3fffffe0,0xff92ffff,0x263fff4d,0xffffffff,0x7ffff46f,0x27fffe20,
    0xdd86fffb,0xf982fefb,0x27ffffff,0x2ffffff9,0xffffff30,0x7fe4df55,
    0x1fffffff,0x7ffffec4,0x1f404fff,0x55eedcc0,0x17ffe27f,0xff91bffe,
    0xc87fffff,0x3fffffff,0x4eeeed88,0x2abbee20,0x77c45fdb,0x225feaaa,
    0x3bf20ffb,0x556fe4c2,0xf512fdaa,0x263fd44d,0xbaefbaef,0x3273ea6f,
    0x512efa81,0x0a8803ff,0x2bbeeaa0,0x57fd541a,0x57fd5402,0xefb89322,
    0x21fdaaaa,0xbfecefe8,0x3e204fca,0x7fffe406,0x7fd42fff,0x07ffea0f,
    0xfb759fb1,0x567ec47f,0x0003ffdb,0x1fd0bf10,0x1ff72fc4,0x3fe2bf90,
    0xf707f701,0x3fc37c45,0x8afc57e6,0x100ff26f,0x970df0bf,0x8017bb57,
    0x27f805f8,0x743fc008,0x32137c40,0xfd97f61f,0x7c409f31,0x22fbf206,
    0x7c41fffb,0x1bffa4ff,0x3fe61fdc,0xff30bee0,0x01e66541,0x7fcc5f88,
    0x1ff9a7c0,0x13f6bfa0,0x22f93fb8,0x3e1be20c,0x5f8a7c47,0x00ff997e,
    0x11be17e2,0xffffffff,0x402fc403,0xf80ff17f,0xb7c40c47,0x3fc499f9,
    0x0be767f6,0x3fe06f88,0x8bfbff31,0xf98ffef8,0x07f706fe,0x417dc7f7,
    0x3fffa3fc,0xddff1005,0x74409ffd,0x7ffcc03f,0x7f77dc06,0xf0df100f,
    0x97e2170f,0x5d7fee1a,0x3bbfe20b,0xff986fee,0x204fb89e,0x17f805f8,
    0x007f80df,0x07fddff1,0xfefd8bf3,0xdf755503,0x57e63555,0x46f8bff9,
    0xfdbfcdf8,0x7f6446fa,0x49f30dee,0x24fa82fb,0x1005fba8,0xbfffffff,
    0xc802fec0,0x7fdc01ff,0x9fe00fff,0x99307fb8,0xffa879df,0x223ffaff,
    0x6fffffff,0x06f86f88,0x1fe017e2,0x2200ff00,0xa83fffff,0x1fffec4f,
    0x7fffffc4,0x3df15fff,0x117ea9ff,0x2ffff3bf,0x7fffc46f,0x5cbf30ff,
    0x885f982f,0x3df1005f,0x90bfd733,0xf101ccdf,0xb39f700d,0x6f7e401f,
    0xfc85ffff,0x361fffff,0x0efff9bf,0x26667be2,0xf86f886f,0x2017e207,
    0xff06b87f,0x9ef88d70,0x37c413fb,0x4c0bf3f6,0xaaaefbaa,0x4d3fff60,
    0xdafc43fe,0x320df3ff,0x93ea09bf,0x84fa82fb,0xbf1005f8,0xffa8ff10,
    0x7c407f20,0x733fb806,0xdfffd980,0xfba886ff,0xc8fec1ae,0x42fc42ff,
    0xf86f886f,0x2017e207,0xf80fd87f,0x3e20fd87,0x49f11716,0x467f61fe,
    0x817e203a,0xffedfffa,0xff35f885,0x1fdc1be1,0x05f71fe4,0x0bf105f9,
    0x3e617e20,0xf90bfe27,0x201be203,0x088003fb,0x5f8807f1,0xffdbff30,
    0x7c2fc45d,0x7f86f886,0x3e017e20,0x7f80fd87,0x1be20fd8,0xaffa97e6,
    0x81fa1fd8,0xdfd105f8,0x2209dfff,0x06f8265f,0x7fdc47f7,0xfb88bee0,
    0x805f880f,0xfffffffa,0x3fff24ff,0x541fffff,0x80efffff,0x03fffffc,
    0xb85bdd00,0x40efffff,0x2ffeffeb,0xd51dffd3,0x3fa61dff,0x4bffb0ef,
    0xffffffe8,0x3ffffa25,0xd10fffff,0xffffffff,0x3fffea1f,0x5c5fffff,
    0xffffffff,0x0bf100ff,0x200993ee,0x323fffe8,0x7fd45fff,0x22ffffff,
    0xfffffffa,0x3fffee2f,0xfb80efff,0x3effffff,0x7fffffe4,0x7ffdc1ff,
    0xffd81eff,0x30003fff,0xfffb8179,0x03100eff,0x2a7bffea,0xff30efff,
    0x9bffa1df,0xffffffe9,0x3ffffa25,0xd10fffff,0xffffffff,0x3fffee1f,
    0x985fffff,0xffffffec,0x280fa00f,0x7fff4400,0x717fff63,0x39dfffff,
    0xefffffb8,0x7fffdc0c,0x0001efff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5cc00000,0x0aaee21a,
    0x2aaea000,0x506aae60,0x44055559,0x101aaabb,0x55555799,0x7bb71055,
    0xaaacb881,0x01300002,0x40000274,0x3b260200,0x4c07b51d,0x9300bddb,
    0x40f7225b,0x00acedc9,0x2eb7b722,0x17bb7100,0x32a3cc98,0x0a80984c,
    0x3ee1ffff,0x2a002fff,0x9ffff54e,0xf33ffffc,0x205fffff,0xfffffffd,
    0x7ffffcc4,0x7ec6ffff,0x321fffff,0xdfffffff,0x5eedcc00,0x81ec0790,
    0x332a3cc9,0x2afee3b4,0x220fd9cc,0xffefffff,0xffffb85f,0x7ffc41ff,
    0x45fffecf,0x5ffffff8,0xffffff70,0xffffb07f,0x37fe43ff,0x3ff0fffd,
    0xffd9a7dc,0x009fb514,0xfa93ffa6,0x37f660bf,0x157fd541,0x955df710,
    0x577cc7fd,0x26fbaefb,0xfc98aefd,0x2abbee26,0x3ee04fec,0x2f9fffff,
    0x4dff9000,0x265f7ffe,0x6fffffff,0xdffb8ab8,0x3fea1fe9,0x20ffea9c,
    0xdfffacfd,0x4d5c2fe9,0x7cc1fd98,0x3fea89cf,0x64c577ec,0x5137d46f,
    0x73ff70ff,0x7ffe43ff,0xb100bf21,0x7f903dff,0xbfc05fb0,0x222fcc00,
    0x7c57e66f,0x3fe2df15,0x3fe9999a,0x03fa1be2,0x3aa73fea,0x220006ff,
    0x3fea26fa,0x65f7e46e,0xcca881ff,0x25fb9aff,0x13fc82fe,0x4d7fdcdf,
    0xccba85fb,0x427e43fd,0x2bfe22fa,0x23fe9999,0x707f86f8,0xfc83ffff,
    0x40bf26fd,0x202fffc8,0x037cc6f9,0x9817effe,0xf10fe85f,0x35f97e29,
    0xffffffff,0x7437c49f,0xc82fe80f,0x5555544f,0x3e21aaaa,0xfe81ff86,
    0xff70ff21,0xffffffff,0x7cc1be2d,0x7fcc9f35,0x7f46ffff,0x743fffff,
    0xff98101f,0x4fffffff,0x81fe1be2,0xafc83ffd,0x705f94fd,0x3a007fff,
    0xf00ff21f,0x7cc05fff,0x371bf225,0xf31a97e2,0x9999999f,0x5d577c45,
    0x06f885ff,0x7ffc4bf3,0x25ffffff,0xd07f86f8,0xf31fdc1f,0x99ff759f,
    0x407fc799,0x54bf15fa,0x23ccccff,0xfdaabefb,0x9800fec3,0xccccccff,
    0x3e1be22c,0x3ffff707,0x9ff8afc8,0x7ffec2fc,0x457ea001,0xffd300ff,
    0xeff9801b,0x2201fffe,0x40ffe05f,0x7ffffc41,0x203fe05f,0x555545fa,
    0x221aaaaa,0xf907f86f,0xf987fa29,0x0887fea5,0xfe9837f6,0x7fec7fa2,
    0x447f8221,0x06fe43fd,0x40ffe1dc,0x3fdc7f81,0x7fdcffdc,0x77dcbf21,
    0xfffa82fc,0x71ff000c,0x3ffee09f,0x7fcc6c87,0x4400dfff,0x3ffea05f,
    0x224ffedd,0x04ffccff,0xfe9837f6,0x27f80002,0xffb07fb8,0xfe87ffff,
    0xedffffde,0x37ffa25f,0x7fd45ffe,0xffdffffe,0x3fb3bf65,0x3fa25fff,
    0x46fedcef,0xfeddfffa,0x7ef7f44f,0x0ffc5fff,0xd17e49f7,0x7dc05fff,
    0xbfc803ff,0xf7f701fe,0x7cc1fd0f,0x05f88005,0x7fffff4c,0xf99be21c,
    0xbffd104f,0x0000bffd,0x3fff7bfa,0x7f77dc5f,0x3a20ffdf,0xfffeefff,
    0x7ffec42e,0x1dfd504e,0x445dfff7,0xffeffffd,0x7fff6446,0xffe980df,
    0x7c41cfff,0x46ffdfff,0x17e41809,0x8805fff3,0x2202effc,0xff006fff,
    0x2fcc1fd0,0x802fc400,0xdf1009eb,0xb101ff98,0x2009dfff,0x7ffc404e,
    0x64c6ffdf,0x03104980,0x00130013,0x44013106,0x4cc40019,0x00998800,
    0x80000998,0xf90efffb,0x3f66005f,0x0bff604f,0xfffffe88,0xff70ffff,
    0xfb809fff,0x200effff,0xffa84cea,0x13fee3ff,0x3d800130,0x00001300,
    0x00000000,0x00000000,0x00000000,0x0efffb80,0xd5000bfa,0x203fd407,
    0xffffffe8,0xfff70fff,0xffb809ff,0x5c00efff,0xffffb82d,0x0002fec3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33b6e200,0x89e65c1b,0x40001ccb,0x5e5c0080,0x83dd9ceb,0x9713ccca,
    0x332e2399,0x5c0bec89,0x80bddabc,0xccccccc8,0x261e6543,0x40100ccc,
    0x9971ccb8,0x3ccca817,0x2eeeeea0,0x2a22bbbb,0x00540001,0x55555553,
    0x10573035,0x2e601575,0xbb35da82,0x7ffdc350,0x3fe25fff,0x5fffa8ff,
    0x24d83e60,0x4c07ea4e,0xffffffff,0x7fff42ff,0x4ffffa8f,0xfffbfff5,
    0x7fffc4df,0x7c41ffff,0x46ffffff,0x3f21ffff,0x209f04ff,0xff8dfffa,
    0x7fff43ff,0xfffff305,0x32dfffff,0xefc883ff,0x2e0df302,0xffffffff,
    0x3b3ee0ff,0x436e6dc6,0x261fedfc,0x9b0df36f,0x7dcc57fc,0x5477f4c5,
    0x7f500cff,0xdf883ba2,0x3e605f90,0xf9bff9bf,0x507fdc46,0xffd985ff,
    0x7cc4b9cf,0x44fb89ef,0xffdaaef8,0x744ffc42,0xf105fc8c,0x447fcc0b,
    0xba882dfe,0x2eeea05f,0x46fbbbbb,0xfdcfc83e,0x42fffc41,0xccccccb8,
    0xf88dc3cc,0x107e6541,0xbf12dc3f,0x5f9117e2,0x2626f7fa,0xffffd880,
    0x74cff203,0x90ef980e,0x7cdf107f,0x0ff41fe6,0x3fee07f9,0x7c37c401,
    0x5ff52c86,0x3fee7f60,0x33622fc8,0xf84dbefb,0x8803ffaf,0x37c0005f,
    0x4e8fe0fa,0x01ff67f4,0xd1ba2000,0x3cc1f99d,0x27c9f1e6,0x7fd4bfbe,
    0x3a00dfff,0x53f604ff,0x3e600ffa,0xf889fb1f,0x507f9be6,0x403fe2bf,
    0x6f8802fb,0x3fea07f8,0x3fafee02,0x3e60febf,0x86ffffff,0x802fffff,
    0x7c0005f8,0xf2741f46,0xff8afec9,0x33333222,0xfa83cccc,0x7e557cc5,
    0x1f5d6f43,0x5443e8ba,0x7f654c21,0x5ffffb06,0x3a637f20,0x4d7f602f,
    0xf37c41ff,0x3fd03fcd,0x17dc09f9,0x3fc37c40,0x4402ffa8,0x6fffefff,
    0x1dfffa88,0x5ff79ff0,0x0005f880,0x817d137c,0xf30feefb,0x3ee7f98d,
    0xffffffff,0x0633f20f,0x41bb9dd7,0x0a82deb8,0x05f5002a,0x77f441fd,
    0xf504ffa8,0xb05fb11d,0x203be67f,0x7f9be6f8,0x03ffbea0,0xf8802fb8,
    0xffa87f86,0x7ffc1ae2,0xf505ffdb,0x9fe01dff,0x3e200ffa,0xc9ec0005,
    0x6d41ffff,0x14c05c1c,0x26666666,0x7fffc099,0x0000001f,0xbbdff700,
    0x7ffccbff,0x01dfff36,0x917dcdd1,0x4413e63d,0x2bff4ffe,0x3ffa05ff,
    0xfffff904,0xffe983df,0x4cbffb0e,0xffffffff,0xfa8ffd80,0xf93ff03f,
    0x2effe989,0x3ee3dffb,0x0effffff,0x00000000,0x00000000,0x30000000,
    0x17dfffdf,0xf9b7ffd4,0x82e00eff,0x02882a29,0x7fd7ffa2,0x7dc0dff5,
    0xffff900f,0xff983dff,0x4dffd0ef,0xfffffffa,0x3a5fb80f,0x16c7b01f,
    0x44bfffe6,0xfff71fff,0x983dffff,0x6c79000b,0x44040982,0x88888888,
    0x7776d408,0xdeeeeeee,0x55555510,0x80000055,0x00000098,0x00000000,
    0x00000000,0x00000000,0x00000000,0x23dffb00,0x83ba21e9,0x43fea4fa,
    0xfff70ffa,0xffffffff,0x3fffee3f,0xffffffff,0xffffff11,0x000000df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfbffddfb,
    0x26037a1f,0x2a1ff53e,0xdddb50ff,0xbddddddd,0x44444441,0x54408888,
    0x02aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb96a0000,0x40043fff,0x00022020,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_22_latin_ext_x[560]={ 0,4,2,1,1,1,2,4,5,2,1,0,3,1,
4,1,1,1,1,1,1,1,2,1,1,2,4,3,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,4,1,2,1,-1,3,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,4,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
4,0,2,-1,2,0,-1,1,-1,-1,2,0,2,3,3,0,1,4,3,3,2,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_22_latin_ext_y[560]={ 16,3,4,2,2,3,5,4,3,3,3,4,13,9,
13,2,3,3,3,3,3,3,3,3,3,3,7,7,4,7,4,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,3,19,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,16,7,2,4,5,4,
3,3,3,4,3,7,9,9,4,1,1,2,3,3,3,7,3,8,15,3,3,7,3,3,3,7,0,0,0,1,
0,-1,4,4,0,0,0,0,0,0,0,0,4,1,0,0,0,1,0,6,3,0,0,0,0,0,4,3,3,3,
3,4,3,2,7,7,3,3,3,3,3,3,3,3,3,4,3,3,3,4,3,5,6,3,3,3,3,3,3,3,
1,4,0,3,4,7,0,3,0,3,0,3,0,3,0,3,4,3,1,4,0,3,0,3,4,7,0,3,0,3,
0,3,0,3,4,2,0,0,4,3,1,4,1,4,0,3,4,3,0,7,4,3,0,3,4,3,7,0,-1,4,
3,4,3,4,3,4,3,0,3,4,7,0,3,4,4,7,1,4,0,3,0,3,4,7,0,3,4,7,0,3,
0,3,0,3,4,7,0,3,4,4,0,3,4,4,1,4,1,4,0,3,-1,2,0,3,4,7,0,3,0,3,
0,0,3,0,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,6,3,3,3,3,3,3,3,3,3,3,3,3,3,2,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,0,3,0,
3,0,3,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-4,-1,0,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_bold_22_latin_ext_w[560]={ 0,4,8,10,10,10,9,4,5,5,10,11,5,9,
4,10,10,10,9,10,9,10,9,9,10,9,4,6,12,12,12,10,9,14,12,12,11,11,12,12,12,10,11,12,
12,14,13,12,11,12,13,10,11,12,14,13,12,12,10,6,10,5,10,14,5,12,13,11,12,11,11,12,12,10,
8,12,10,14,12,11,13,12,11,10,11,12,12,13,12,12,10,6,3,6,10,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,9,11,10,12,
3,11,7,13,8,11,12,9,13,14,7,11,7,6,5,12,10,4,5,6,8,12,12,14,12,9,14,14,14,14,
14,14,14,12,11,11,11,11,10,10,10,10,12,13,12,12,12,12,12,9,12,12,12,12,12,12,11,11,12,12,
12,12,12,12,13,11,11,11,11,11,10,10,10,10,11,12,11,11,11,11,11,11,12,12,12,12,12,12,13,12,
14,12,14,12,14,12,12,11,12,11,12,11,12,11,11,14,12,12,11,11,11,11,11,11,12,11,11,11,12,12,
12,12,12,12,12,12,12,12,12,12,10,10,10,10,10,10,10,10,10,10,12,12,11,8,12,12,12,12,10,12,
10,12,10,12,10,12,10,13,12,13,12,13,12,13,11,11,12,11,12,11,12,11,14,13,13,11,13,11,13,11,
10,10,10,10,10,10,10,10,11,11,11,12,11,11,12,12,12,12,12,12,12,12,12,12,12,12,13,13,12,12,
12,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,11,11,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,12,11,11,11,11,11,11,11,11,11,11,11,11,11,14,13,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,12,10,10,12,
11,12,12,12,12,12,12,12,12,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,12,14,13,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_bold_22_latin_ext_h[560]={ 0,14,6,16,17,14,12,6,17,17,9,12,7,3,
4,17,14,13,13,14,13,14,14,14,14,14,10,12,12,7,12,13,15,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,15,12,13,12,13,12,12,12,12,12,17,17,17,7,3,4,10,14,10,14,10,13,14,13,13,
18,13,13,9,9,10,14,14,9,10,13,10,9,9,9,14,9,17,17,17,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,14,15,12,10,12,
17,15,3,13,6,9,7,3,13,3,7,14,7,8,4,14,15,4,5,7,6,9,13,13,13,14,16,16,16,15,
16,17,12,16,16,16,16,16,16,16,16,16,12,15,17,17,17,16,17,9,15,17,17,17,17,16,12,14,14,14,
14,13,14,15,10,13,14,14,14,14,13,13,13,13,14,12,14,14,14,13,14,11,12,14,14,14,14,18,18,18,
15,13,16,14,15,12,17,14,17,14,17,14,17,14,16,14,12,14,15,13,16,14,16,14,15,12,16,14,17,18,
17,18,17,18,16,19,16,16,12,13,15,12,15,12,16,13,15,16,16,9,13,18,17,18,16,17,9,16,17,16,
17,12,13,12,13,12,13,16,13,16,13,16,13,12,13,14,16,13,17,14,17,14,12,10,16,13,16,13,16,13,
17,14,17,14,16,13,17,14,18,17,16,14,12,13,16,13,16,13,17,14,18,15,17,14,15,12,16,13,16,18,
16,16,13,16,13,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,11,13,13,13,13,13,13,13,13,13,13,13,13,13,15,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,14,16,13,17,
14,17,14,18,16,18,17,18,17,18,17,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,18,16,14,18,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_bold_22_latin_ext_s[560]={ 255,247,241,44,226,37,76,250,202,172,128,
176,250,226,191,73,37,74,85,238,95,190,216,168,60,71,249,249,15,202,170,
119,175,232,1,130,229,149,38,143,86,112,170,129,116,201,1,182,56,93,92,
207,68,218,28,156,103,25,14,40,234,250,191,196,180,196,235,209,62,221,1,
87,13,39,206,26,243,50,90,170,221,121,78,1,195,233,65,114,12,97,103,
89,70,96,163,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,255,247,133,
50,145,62,40,196,247,156,223,25,163,226,105,211,183,161,215,247,174,13,39,
186,250,176,232,37,192,177,164,27,232,195,14,50,29,74,75,145,69,207,95,
44,171,95,132,245,90,119,121,103,178,1,134,246,80,200,129,208,116,119,194,
145,14,1,237,134,211,143,156,170,173,107,149,137,182,12,95,63,75,99,50,
38,26,204,1,119,188,208,195,182,169,215,228,242,65,205,15,94,24,206,47,
48,1,25,237,1,213,226,120,201,216,81,12,106,195,178,30,156,106,80,42,
13,147,133,27,168,221,29,123,16,136,110,219,50,1,183,185,241,88,14,236,
54,245,152,1,55,155,159,219,142,139,182,189,158,178,136,193,123,118,43,1,
56,231,30,25,1,218,142,147,157,182,129,95,185,108,119,161,182,81,244,55,
38,1,152,167,113,84,110,99,159,191,86,181,160,76,60,64,216,106,228,158,
241,60,73,193,149,14,224,162,51,81,23,132,107,107,70,37,171,48,65,59,
70,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,82,231,231,221,
231,231,231,231,231,231,231,231,231,231,231,231,231,197,106,231,231,231,231,231,
231,231,231,231,231,231,231,231,208,131,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,143,100,
210,141,14,48,44,124,81,232,146,27,120,1,94,57,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,1,68,15,131,42,223,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231, };
static unsigned short stb__courier_bold_22_latin_ext_t[560]={ 1,92,238,58,22,155,212,148,40,40,238,
212,140,246,246,40,125,184,184,109,184,109,109,109,125,125,125,109,225,238,198,
184,92,198,212,184,212,212,212,184,212,212,184,198,198,212,225,184,225,109,225,
184,225,184,225,198,198,212,212,40,40,22,238,246,246,225,125,225,140,225,198,
140,198,198,1,198,184,238,238,225,125,155,238,238,184,225,238,238,238,155,238,
22,22,22,246,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,1,58,109,
198,225,198,22,92,207,184,238,238,238,246,184,246,238,140,238,198,246,140,109,
246,238,238,238,238,170,170,170,155,58,58,58,109,58,22,198,75,58,75,75,
75,58,58,58,40,198,109,40,22,40,58,40,225,109,22,22,40,22,58,198,
125,155,155,140,155,140,109,225,155,140,125,140,140,155,170,170,184,140,212,140,
140,140,155,140,225,212,125,125,125,125,1,1,1,109,170,75,125,109,198,40,
125,40,125,22,125,22,109,75,109,212,125,109,170,75,109,92,109,109,225,92,
125,40,1,40,1,40,1,92,1,92,92,198,184,109,198,92,212,92,184,92,
92,75,238,184,1,22,1,75,22,238,75,22,75,22,212,155,212,170,225,170,
75,170,75,184,75,170,198,155,125,58,170,40,140,40,125,212,225,58,170,58,
184,92,170,22,140,40,155,92,155,40,155,1,40,92,155,212,155,58,155,58,
155,40,155,1,92,40,140,92,212,75,170,75,1,75,75,170,75,170,92,170,
170,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,170,184,184,58,
184,184,184,184,184,184,184,184,184,184,184,184,184,140,225,184,184,184,184,184,
184,184,184,184,184,184,184,184,92,225,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,58,140,
58,170,22,155,22,140,1,75,1,22,1,22,1,22,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,1,1,92,125,1,92,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184, };
static unsigned short stb__courier_bold_22_latin_ext_a[560]={ 186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_22_latin_ext(stb_fontchar font[STB_FONT_courier_bold_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_22_latin_ext_s[i] + stb__courier_bold_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_22_latin_ext_t[i] + stb__courier_bold_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_22_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_22_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_22_latin_ext_x[i] + stb__courier_bold_22_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_22_latin_ext_y[i] + stb__courier_bold_22_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_22_latin_ext_s[i] + stb__courier_bold_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_22_latin_ext_t[i] + stb__courier_bold_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_22_latin_ext_x[i] + stb__courier_bold_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_22_latin_ext_y[i] + stb__courier_bold_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_22_latin_ext_LINE_SPACING
#endif

