// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT        276
#define STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_23_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_23_latin_ext_LINE_SPACING          11

static unsigned int stb__courier_bold_23_latin_ext_pixels[]={
    0x08003980,0x400aa000,0x401c4000,0x14000880,0x00400000,0x00100080,
    0x1b802440,0x40003200,0x00720018,0x300620c4,0x06440030,0x013ea000,
    0x32000b30,0x1efa802f,0xd805f980,0xe8801f44,0xfffff106,0x205fffff,
    0x26002fe9,0x17cc02fe,0x802fcc00,0x3dd003fb,0x03ffa800,0xf5005d30,
    0xdd017aa9,0x3001fb13,0x007ea0dd,0x3b0007f7,0x003fb000,0x409fb9f9,
    0xbf3004fa,0x3e600fd9,0xffff100d,0x05ffffff,0x00bf9bf7,0x40bf9bf7,
    0x7d4004fb,0x027d4004,0xfb001fc8,0xb5c0df57,0x7540b928,0xfd8804ff,
    0x5f9801ef,0x3901bea0,0x00ff1000,0x3b100190,0x03b806d4,0x005edcc0,
    0x37c404a8,0x6c17ecff,0x5b003662,0x4fb806cc,0x80015400,0x00aa0039,
    0x201910e4,0x4404b84b,0x01d4001c,0x7ff00730,0x4001edc0,0x2198005b,
    0x980005e8,0x131000cd,0xdf100000,0x205fb3fc,0x80000098,0xffffffe9,
    0x000cc02f,0x87220066,0x0033002c,0xc8722000,0x00033002,0x220df700,
    0x22001c8d,0x7ffdc001,0x7f45fdbe,0xd02fffff,0xfe980773,0x25ffeeff,
    0x3ee4fffa,0x7f97e3ff,0xffd303ee,0x54bffddf,0x3fee4fff,0xfffff33f,
    0x3ee07fff,0x7dc04fff,0x3ea04fff,0xfb80df14,0xffb84fff,0xfffe8aff,
    0x6f8a7d44,0x27fffdc0,0x457fffdc,0x3e24fffe,0x1d8d882f,0xdfffe980,
    0xffd85ffe,0x40ffffef,0x2ffffffe,0x4c0951d0,0xffffefff,0x97ffea5f,
    0xf024fffb,0x7ffcc08f,0x25fffffe,0x3ee5fffa,0x027dc4ff,0xffefffd8,
    0xefffd80e,0x41500eff,0x3fff6009,0x3ee0effe,0xffe8afff,0x0260a85f,
    0xffefffd8,0x3fffee0e,0x45fffe8a,0x07d703fd,0xffdfff30,0xffb8bfff,
    0x401bfea3,0x1bd502fd,0xd886ff40,0x86fa82ff,0x03fc03fd,0x7ec437fa,
    0xd86fa82f,0x804fb83f,0x3faa3ffb,0xd51ffdc5,0xf70000bf,0x22ff547f,
    0x05f983fb,0x23ffb800,0x1fdc5fea,0x2fe42fcc,0x86ff4000,0x7c42ffd8,
    0x3fffe22f,0x102fd801,0x07fc4013,0x7f40bfe2,0xf003fe63,0x207fc40f,
    0x7fd02ff8,0x7dc07fcc,0x417fc404,0x5ff11ff8,0x3ea3ff10,0x8bffea7f,
    0xff882ff8,0x3e60fee1,0xfa9ffea5,0x0bfe22ff,0x3fb87fe2,0x6fa85f98,
    0x0bffffe6,0x7c40ff88,0x3a3fcc2f,0xd804fcdf,0x7fffe42f,0xb05f983e,
    0xd9be605f,0x207f803f,0x05fb05f9,0x03fd9be6,0x7f9809f7,0x3fccff60,
    0x3fea7fb0,0x98bffee7,0xb8ff607f,0x2a5f983f,0x3ffee7ff,0xfd81fe62,
    0x3e60fee3,0x3e66fa85,0x2606ffff,0xb85fb05f,0x2a3bf24f,0x42fd805f,
    0x2ffeefff,0x3e207fc4,0x26ffa02f,0x40ff007f,0x7fc40ff8,0x3e6ffa02,
    0x7317ea07,0xfa813ee5,0x7d409f75,0x17e43fc5,0x2fd409f7,0x0bf307f7,
    0x5c5f90ff,0xb97ea04f,0xb85f983f,0xffff885f,0x881ff101,0xaa7dc2ff,
    0x00bf51ff,0x4c0885fb,0x10dfe86f,0x7cc05ffb,0x3ea03fef,0xe83fffff,
    0x5ffb10df,0x1ff7fcc0,0x3ffbbfe0,0x5409f76f,0x5409f75f,0x7e43fc5f,
    0xfa813ee2,0x3e60fee5,0x2fc87f85,0x5fa813ee,0x17e60fee,0x37ee13f6,
    0x37fa04fc,0xa85ffb10,0x362ff9ef,0x82fd803f,0x87feeedb,0xfffefff9,
    0x3ffec02f,0x3ffffea0,0xefff983f,0x6c02ffff,0xfea807ff,0xff30cfff,
    0x7f99fec0,0x0ff0ff60,0x03fcc5f9,0x41fdc7fb,0xc87f85f9,0xd81fe62f,
    0x260fee3f,0xe82ff85f,0x2607f8af,0xffffefff,0x27f7fc42,0xfb003ff1,
    0xfffffe85,0xfffd307f,0xf9805fdd,0x9800003f,0x2feefffe,0x001ffcc0,
    0x5ff10131,0x3e23ff10,0x41ff882f,0x222fc87f,0x1ff882ff,0x13ea17ea,
    0x88bf21fe,0x1ff882ff,0x13ea17ea,0x4ff30ff5,0x3fa602fd,0xb82fedff,
    0x17faa6ff,0xdf70fec0,0x80ff5337,0x805fb098,0x2e4007fa,0x3f613100,
    0x003fd402,0x7fdc03b3,0xb8bfd50b,0xbfd50bff,0x7f541ff0,0xa85ffdc2,
    0x17fc45fe,0x1ff05ff3,0x3ee17f54,0x8bfd50bf,0x3fe62ff8,0x7e41ff42,
    0x806fcaad,0x2e0bf618,0xeffeefff,0x20ff9800,0x1ff220ff,0x400ff980,
    0x7fc003fe,0x0ff98001,0x5001ff40,0xfffd809f,0xfd80effe,0x80effeff,
    0xffffeffd,0x77ffec2f,0xffb80eff,0xfb05ffef,0x5fffffdf,0xffefffd8,
    0xefffb80e,0x07fd45ff,0x3fffffe2,0x3e6001ff,0x767fcc0f,0x3b204fff,
    0x7e44ffee,0xfffffedf,0xffeeec82,0xffeed984,0x01a2000d,0x27ff7764,
    0x6fff76cc,0x20072000,0x404ffffb,0x204ffffb,0xfeefffe8,0xffffb82f,
    0x7fffd404,0x3fffa204,0xfb82ffee,0x7d404fff,0x2fb84fff,0xeeeeffb8,
    0x3bb204fe,0x3fc84ffe,0xfff10062,0xffb109ff,0x85fffbff,0x04fffff8,
    0x5ffffff7,0x44016400,0x704fffff,0x05ffffff,0x33001260,0x20019800,
    0x0cc00098,0x88006600,0x00cc0009,0x20100660,0x07f882fe,0x09fffff1,
    0x4c4000a2,0x01330009,0x20066620,0x00099998,0x33310014,0x13333100,
    0x00000000,0x00000000,0x00000000,0x80000000,0x2e5ffff9,0x9882ffff,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffe98000,0x3fffee4f,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1b100000,0x00c40072,0x18000880,0x3b205880,0x0e44003e,0xfffe8059,
    0x0e6000ff,0x00000c40,0xd3003030,0x0006401d,0x00181800,0x00130031,
    0x1b800310,0x04efb800,0x8007ff50,0x7dc003fa,0xf80be602,0x7d4004ff,
    0x0000df14,0xa803fa80,0x3ea003ff,0xd89ee803,0x07fcc00f,0x64003fb0,
    0xd89ef806,0x27f5400f,0xa800bf30,0xfd8803ff,0xae49d100,0x7ec0d718,
    0xf7006fbb,0x83ff0007,0x4172156b,0x0a8004fc,0x22e88026,0x3fb801e8,
    0x6fabfd80,0x1009f900,0x2003dffb,0x02fc8019,0xd8801ff0,0x7e401eff,
    0xff00eeac,0x2aff6003,0x1dd100ef,0x0972fe40,0x910e40b5,0x0005d001,
    0x70970bf7,0x0c53ee09,0x1d880000,0x06e00762,0x01910e40,0x54001510,
    0x2a000003,0x7fff5402,0x801dc05e,0x6407222c,0x4439004f,0x8807100c,
    0x000001ff,0x0b21c880,0x0001fe80,0xfffbbf70,0x4fffa85d,0x000fffee,
    0x40013100,0x26200098,0x7f400000,0x002fffff,0x7f7ffcc0,0x004c407f,
    0xf8803310,0x0262000f,0x7e402620,0x15ffff76,0x3ee9fffd,0xffe8afff,
    0xf8a7d44f,0xb8df5006,0xfe8affff,0x7ffdc4ff,0x2a2fffef,0x3fee5fff,
    0x5ffff74f,0x709fffd1,0x0dbdfffd,0x37bfffae,0xdfffd706,0x7fffdcdb,
    0x24fffe8a,0x2ffffffe,0xd15ffff7,0x1fec9fff,0x3fae0fd1,0xf706deff,
    0x20dbffff,0xfdb804fc,0x6dc1edff,0x3e1edfff,0x5ffff72f,0x2ebfffd1,
    0xfe8affff,0x260a85ff,0xb85fd000,0xfe8affff,0x67fdc5ff,0x541ff710,
    0x2e3fd86f,0xfe8affff,0x77fe45ff,0x640ffffe,0xffffeeff,0x7f77fe40,
    0xfff70fff,0xbfffd15f,0xff72fd80,0xfffd15ff,0x06217ecb,0x3ffbbff2,
    0x7ffe40ff,0x881fffee,0x3fee00ff,0x2e3fffee,0x3fffeeff,0x83fb8ff3,
    0x41fdc5f9,0x400005f9,0x07f706f9,0x0df70bf3,0x47fd0bfa,0x1fdc0ff9,
    0x3fee2fcc,0xf707fdc1,0x20ffb83f,0x7fdc1ffb,0x3e60fee0,0x2e2fd805,
    0x545f983f,0xf701ceff,0x20ffb83f,0x7fcc1ffa,0x7407fb01,0xe8ffa21f,
    0x54ffa21f,0x4c1fdc6f,0x4c1fdc5f,0xa9ffea5f,0x3f602fff,0xf307f703,
    0x2e0bf70b,0xfb37cc4f,0xf307f707,0xfb01fe8b,0xfd80ff41,0x7ec07fa0,
    0x3e60fee0,0x2e2fd805,0xa85f983f,0x742efffe,0x641fb01f,0x4c0d701f,
    0x50bf307f,0x2a17e65f,0xfb8bf72f,0x7dc5f983,0x3ea5f983,0x0bffee7f,
    0x7f703fcc,0xff70bf30,0xfd05fd01,0x3ee0ff37,0x3e25f983,0x7f886207,
    0x07f88620,0x307f7062,0x45fb00bf,0x05f983fb,0xf89bfae6,0x0ff06207,
    0xf03fd800,0x7fc0839f,0x8bf9041c,0x45f983fb,0x85f983fb,0xb02fc87f,
    0x41fdc07f,0xfffb85f9,0x80efebac,0x703feff9,0x54bf307f,0x17ea005f,
    0x4005fa80,0x05f983fb,0x0fee2fd8,0x903917e6,0x8017ea5f,0x540005fa,
    0xffff506f,0xffff507b,0x5c6fa87b,0x5c5f983f,0xf85f983f,0xf882fc87,
    0x20fee00f,0xfffb85f9,0x201effff,0x3ee07ffd,0x3ea5f983,0x013ea004,
    0x5c004fa8,0x805f983f,0x20fee2fd,0x21be65f9,0x009f51fe,0x3bb227d4,
    0x17f403de,0xefffeb98,0x7fff5cc0,0xfb8ff30e,0x7dc5f983,0x7f85f983,
    0x4fc82fc8,0x7cc1fdc0,0xdc9cfb85,0x3ff9802c,0x3e60fee0,0x8801fe25,
    0x1fe2007f,0xf307f700,0x5c5fb00b,0x2a5f983f,0x6ffccfff,0xf9801fe2,
    0x3ffffe26,0x4037d407,0x2204fea8,0x3ff14fea,0x27d42fd4,0x13ea17ea,
    0x10bf21fe,0x5fa801ff,0x4fb84fa8,0x80ff5000,0x44fa85fa,0xfd0202fe,
    0x0bfa0405,0x542fd408,0x21fd804f,0x24fa85fa,0xdffffff9,0x81017f41,
    0x3a6621ff,0x21fe801f,0x76f880fb,0x64df101f,0x98bfe25f,0x17fc42ff,
    0x1ff05ff3,0x3ee17f54,0x22ff8804,0x4fb82ff9,0x807fd000,0x3fe62ff8,
    0x105f7e42,0x5f7e45fb,0xfc8bf620,0x8bf620be,0x3fe62ff8,0x107fcc02,
    0x17fcc5ff,0xc80ffcc2,0x3f620bef,0x882b7f62,0x5fb801fe,0xfc8837f6,
    0x6441bfb4,0xb87fe64f,0x05ffefff,0xbffdfff7,0x3ffbff60,0x3ff12fff,
    0x3bffee00,0xefec85ff,0x776cc04e,0x7dc00dff,0x905ffeff,0xfffddfff,
    0xeefffc81,0x7fe40fff,0x40fffeef,0x5ffefffb,0x4ffeeec8,0xffefffb8,
    0x9007fc05,0xfffddfff,0x77fffc41,0xf001fffe,0x3bfff63f,0xffb0fffe,
    0x81fffddf,0x7ffd44fd,0x7ffd404f,0x3ffa204f,0xf32ffeef,0xfffa800b,
    0xfffff04f,0xffffb80f,0xffa802ff,0x7edc04ff,0xb700dfff,0x201bffff,
    0x0dffffdb,0x09ffff50,0x09fffff1,0x027fffd4,0x7edc03f4,0xc880dfff,
    0x02dfffff,0x6754bee0,0x2a2effff,0x2effffce,0x03305f88,0x22001980,
    0x0004c009,0x4cc40198,0x99880099,0x0cc00099,0x20004c00,0x004c0009,
    0x99880330,0x80066001,0x004c0029,0x00013310,0x004cc406,0x00002662,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x20a004c0,0x44000002,0x6400c88c,0x0ee44005,
    0x76c00c00,0x1003ba23,0x03019119,0x40141403,0x80800181,0x180eeed8,
    0x80606018,0x00019998,0x333100e6,0x01310013,0x807d12e4,0x2003e62f,
    0x3a2003fa,0x7c406e8e,0x22b2001f,0x37fa6006,0xf993fa00,0x23ba201f,
    0xb13df06e,0xf98be01f,0x2237e200,0xf93000fe,0x7fffd49f,0xfd88ef80,
    0xfb13df00,0xfffff501,0x07f7000d,0x1ffffff8,0xdbfffb70,0x6fdef883,
    0x4fdefa80,0x4009f900,0x800ee8ee,0x4d64003a,0xd5bf7006,0x3026203f,
    0xee8ee803,0x3dffb100,0x27ef7d40,0x06fff440,0x7ffff880,0x4407fcc4,
    0x2201effd,0x2201effd,0x40009999,0x998802fc,0xdff70099,0x2a07fffd,
    0x2ee2001c,0x002a2000,0x100170b8,0xdc880013,0x1c857001,0x70b80000,
    0x20077001,0x5c000bb8,0x127dc003,0x3b803fa0,0x9100ee00,0x2e001643,
    0xfe800001,0x440ffa21,0x80000019,0x00000198,0xfddfffd3,0x000000bf,
    0x33bfffa0,0x202fffff,0x02620019,0x00000cc0,0xe801fe80,0x0000000f,
    0x06f8a7d4,0x7ffdc000,0x4fffe8af,0x85f50bf3,0x6dfffffb,0x457fffdc,
    0xfb84fffe,0x5c6dffff,0xfe8affff,0x3ffe64ff,0x25fffffe,0xe8affffb,
    0xffc84fff,0x3a1effff,0xfffcefff,0xfffb82ff,0x3ff6e04f,0xffb81edf,
    0x3fe604ff,0xa9802fff,0x7f401bff,0xffffff10,0x3a25ffff,0x1fffffff,
    0xd00260a8,0xffffffff,0x3fffee3f,0x25fffe8a,0x32041cff,0xfffeefff,
    0x2bfffee1,0x645fffe8,0xfffeefff,0x2bfffee1,0x3a5fffe8,0x5ffb10df,
    0x8affffb8,0xfc85fffe,0x81efffff,0x42fc86f9,0xeffefffd,0x7f77fdc0,
    0x7ffec3ff,0xf980effe,0x5406ffff,0x04ffffff,0x7ffc43fa,0x2fffffff,
    0xffffffd1,0x3a00003f,0xfffffeff,0x260fee1f,0x7fffd45f,0x20ffd43d,
    0x1fdc1ff9,0x3fea2fcc,0x2e0ffcc1,0x225f983f,0x17fc40ff,0x2fcc1fdc,
    0x26037c40,0x2e2fc86f,0x17faa3ff,0x1ff443fd,0x7f547ff7,0x3fffe205,
    0x3ffb2201,0x43fa01de,0xfd9fe6f8,0xf501ff02,0x17ffd4ff,0x747f7f90,
    0x260fee1f,0xffeb985f,0x203f90ef,0x983fb86b,0xb80fe45f,0xf983fb86,
    0x7ec17e65,0xf983fb82,0x406f8805,0x12fc86f9,0x3ff105ff,0x4bea17e6,
    0xff882ff8,0x9f9bf701,0x2003fa00,0x7cdf10fe,0x7fc0bf67,0x2e7ffa80,
    0x37e02fff,0xb83f63fb,0x405f983f,0x0ff4fea8,0xf307f700,0xb8007f8b,
    0x225f983f,0x17fc40ff,0x2fcc1fdc,0x26037c40,0xf32fc86f,0xff1fec0f,
    0x1fe60839,0x5fd03fd8,0x3fa00ff1,0x3e0fe800,0x00fb9fe5,0x43fc01ff,
    0x77f302fc,0xb893dd7f,0x2e5f983f,0xfaef880f,0x83fb8005,0x017ea5f9,
    0x3e60fee0,0xd886ff45,0x83fb82ff,0x6f8805f9,0x7e437cc0,0x7d409f72,
    0x37fffea5,0xf5027dc3,0x7ecff30b,0x800fe802,0x8ff020fe,0xf803fe00,
    0xf902fc87,0x20ffff71,0x25f983fb,0x3f220dfd,0x77644fac,0x41fdc3de,
    0x913ea5f9,0xfb87bddd,0x7cc5f983,0x2ffffeff,0x5f983fb8,0x21be20ea,
    0xffffffe9,0x13ee5f94,0x75cc5fa8,0x9f70efff,0x7e42fd40,0x806fcaad,
    0x0fe800fe,0xff801fe0,0x3f21fe00,0xffb5fd02,0x20fee0ff,0x3fff65f9,
    0xf98fffee,0x3ffffe26,0x7cc1fdc7,0xff89be65,0x1fdc7fff,0x7f4c2fcc,
    0xb82feeff,0x3a5f983f,0x4437c40f,0x4ffffffe,0x81fe65f9,0x3aa203fd,
    0x6c0ff34f,0x7fffc43f,0x7401ffff,0x00fe800f,0x0ff801fe,0x0bf21fe0,
    0x2fffffe2,0x50bf505e,0x7fe7549f,0x87fe2eff,0x541fe998,0x7c4fa85f,
    0x3fa6621f,0x7d42fd41,0x7ec26204,0xfa85fa82,0xdf103fa4,0x897e4000,
    0x1ff882ff,0x2df101f7,0xff882ff8,0x7777fdc1,0x3e604fee,0x401fd006,
    0x03fe007f,0x3faa0ff8,0xfdabfb82,0xff887623,0x440bfe62,0xadfd80ec,
    0xf107fa20,0x217fcc5f,0x3a20adfd,0x317fc41f,0x3e6005ff,0x22ff880f,
    0x0bfa2ff9,0x220009f9,0x2ffee0ff,0x7ecbfd50,0xb93f220d,0xbfd50bff,
    0xff105fd0,0x03fecda8,0x803ffb62,0x03fe007f,0xfffeffd8,0xf73ec2ff,
    0x3ee27d47,0x405ffeff,0xfff884fb,0x81fffeef,0x5ffefffb,0xeeffff88,
    0xffb81fff,0x3205ffef,0x204ffeee,0x5ffefffb,0x7ff7fff4,0xddb3000e,
    0xfffb0bff,0x7ec1dffd,0x0fffeeff,0x7ff7ffec,0x3fffe60e,0x4bfffee5,
    0x200dfffc,0x540ffffa,0x43ffffff,0xffffffe8,0x7fff441f,0xff12ffee,
    0xfffffddf,0xfff509ff,0x6edd809f,0xfffff910,0x7ffd405b,0x3ff2204f,
    0x2a02dfff,0x2204ffff,0x804fffff,0x884ffffa,0x00dffffb,0x13fffee0,
    0x84ffffb8,0xeffffcea,0x9ffff702,0x49fffd30,0x2a2ffffb,0x3331000b,
    0xffffff50,0xffffe887,0x13101eff,0x76fffc40,0x4fffffff,0x64c00660,
    0x0998801d,0x10006600,0x0cc00133,0x00199880,0x03100198,0x000cc400,
    0x26620033,0x00033000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4000c400,0x03030018,0x40000aa0,0x030023b8,0x00000003,
    0x80030310,0x1000000b,0x0e600303,0x000dc000,0x26200031,0x882da800,
    0x4b809999,0x3ffa812e,0x00ffea00,0x03f627be,0xfe805f90,0x3bfbe200,
    0x1bf102fc,0xfd001fd1,0xfffff701,0x4f9809df,0x3a200dd3,0xfffd100e,
    0x1f3007ff,0xdf880364,0x1fb10000,0x013fea00,0xdefffeb8,0xf84ffa86,
    0x741fffff,0xfb01fd0f,0xfb00df57,0xd880df57,0x7ec01eff,0x201ff801,
    0x807b9128,0x800dffe8,0xffb81ff8,0x05ffffff,0x0067ff54,0xd1006fc4,
    0x007fffff,0x007fb7f6,0x4000ee88,0xf9000ee8,0xc801df59,0xffffeeff,
    0x9881fec0,0x0fe80999,0x443901fd,0x910e400c,0x20077001,0x0033000c,
    0x003b8000,0x89fe00cc,0x64401fea,0x000e6002,0x730003fb,0x02e00015,
    0xc8007100,0xfb807221,0x207fdc1f,0x00cc00fe,0x003fa1fd,0x00000000,
    0xfb800000,0xffe8afff,0x0000004f,0x04fa87f8,0xb0000000,0x0000003f,
    0x00000000,0x203fd000,0x807f40fd,0xe84ffffb,0x3ea1fd0f,0x3ffee4ff,
    0xc9bfffa3,0xff11efff,0x25ffffff,0xfffffff8,0xfffff12f,0x3fee5fff,
    0xfffe8aff,0xffffff75,0x3ffa209d,0x7c1fffff,0x2e1fec47,0x1defffff,
    0xffffffb8,0x01fd804e,0x5fffff30,0xfffff300,0xffff3005,0xfff3005f,
    0x3fc405ff,0x01fd0310,0xdffdfffb,0x0fe87f41,0x7e49fff5,0xfffd13ff,
    0x8ffffe4d,0xfffffff8,0xfffff12f,0x3fe25fff,0x22ffffff,0x25f983fb,
    0xfffffffb,0xfffe885f,0x7fc1ffff,0x40effecc,0xfffffffb,0x7fffdc3f,
    0x6c05ffff,0xfff3001f,0xff300dff,0xf300dfff,0x300dffff,0x40dfffff,
    0xff8005fa,0xd51ffdc0,0x7d87f4bf,0x3fea3fe8,0xf9037cc0,0x3f23fc45,
    0xdf91fe26,0x1bf23fc4,0x0bf307f7,0x0ff544ff,0xff803fe0,0x700effff,
    0x0ffe4c9f,0x3fd513fc,0x0040fec0,0x003ffff1,0x007fffe2,0x00ffffc4,
    0x01ffff88,0x7d4009f5,0x417fc46f,0x41fd1ff8,0xe89ff980,0xf17f883f,
    0xdf07f65f,0x9be07fdc,0x737c0ffb,0x83fb81ff,0xa87f85f9,0x007fc04f,
    0x3ffb55ff,0x3f213ee0,0x4fa87f85,0x7f307f60,0x13f37ee0,0x27e6fdc0,
    0x4fcdfb80,0x9f9bf700,0xa801fe20,0x03fcc5ff,0x003fa7fb,0x817f3bf2,
    0xd4ffb8ff,0xff33c81f,0x3fe67905,0x5ff33c82,0xbf307f70,0x3fd88ff0,
    0xff007fc0,0xfb80ffc8,0x7f87f884,0xfb01fec4,0xfd04fa83,0x3a00ff15,
    0xd007f8af,0x200ff15f,0x207f8afe,0xf10202fe,0x2a04fb8f,0x12e1fd5f,
    0x200fffe8,0xf7ffd9fe,0x027f440f,0xd1013fa2,0x20fee09f,0xccff85f9,
    0x7c00effe,0x361fe00f,0xd04fb85f,0xeccff81f,0x3f600eff,0x7cc27d41,
    0xf300bf67,0x26017ecf,0x300bf67f,0xc817ecff,0x3f620bef,0x9f707f42,
    0x0feafd40,0x3fe601fd,0x7fdfec02,0x3607fafe,0x05fd805f,0x3ee05fd8,
    0xff85f983,0x800effff,0xfffb80ff,0x8bffa25f,0x83fd04fb,0x0effffff,
    0xfffffe88,0xfc84ffff,0x406fcaad,0x6fcaadfc,0x6556fe40,0x56fe406f,
    0x3f206fca,0x0fffeeff,0x0ff307f4,0xd0fe9fec,0x007f401f,0x3ef7fbf2,
    0x1ff906fe,0x83ff216c,0xb07fe42d,0x7d42fd45,0xfdaaff84,0x80ff801f,
    0x4c5ffffa,0x413ee2ff,0xdaaff87f,0xffe881ff,0x4fffffff,0x7fffffc4,
    0xfff101ff,0x203fffff,0xfffffff8,0xffff101f,0x5c03ffff,0x80dffffd,
    0x0bfe20fe,0x87f47fe2,0x03fa00fe,0xf15fff70,0x3ff50bff,0x3ff52fcc,
    0x3ff52fcc,0x5ff12fcc,0x3fc17fcc,0xff003ff2,0xfb800001,0x7f86fa84,
    0x00007fe4,0xddddff70,0x3fee09fd,0x04feeeee,0xdddddff7,0x3bfee09f,
    0x804feeee,0x07f400eb,0x7542ffee,0x7f43fa5f,0x5003fa00,0x27ff4fff,
    0xbf30ffe2,0xbf30ffe2,0xbf30ffe2,0xffefffb8,0xbfb0ff05,0x7000ff80,
    0x24fb805f,0x7f82ffb8,0xfb805fd8,0x4417f402,0x105fd07f,0x20bfa0ff,
    0x05fd07f8,0x9f700ff1,0x6c2ffc80,0x0effefff,0x207f43fa,0x3ffffffa,
    0x7dcbff30,0x7fffdc3f,0xff75ffff,0x2bffffff,0xfffffffb,0xffffa85f,
    0x5ffffb84,0x744bffa2,0x1fffffff,0x5c0dd950,0xffffffff,0x2ffffdc4,
    0x2a05ffd1,0xfff306ec,0x7fffdcbf,0x4bffff32,0xf32ffffb,0x7fdcbfff,
    0xffff32ff,0x17fffdcb,0xd806eed8,0xffffb84f,0x21f67d84,0x3ffffffa,
    0x7c45ff10,0x7fffdc2f,0xff75ffff,0x2bffffff,0xfffffffb,0xa806605f,
    0x7cc5ffff,0xffffd12f,0x3aa03dff,0x3ffea02e,0xfa82deff,0x7fcc5fff,
    0x205dd502,0x2e4fffe9,0xfd32ffff,0x7ffdc9ff,0x9fffd32f,0x997fffdc,
    0x3ee4fffe,0xb9302fff,0x33002003,0x00004080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x73000000,
    0x4000ae00,0x88130039,0x00031000,0x0074c000,0x1ecc0ea0,0x640ef76c,
    0x499016e4,0x8033005b,0x000eeeeb,0x20a00331,0x2006e002,0x3bb6201b,
    0x00000002,0xf7004fa8,0x04fa8007,0x0fee5f90,0xe80ffea0,0x3ffa26ff,
    0x013ee05f,0x3ee07f70,0x1ffffc4f,0x401fb37c,0xb803f66f,0xd80cffff,
    0x5c00ffff,0x06dfffff,0x007d43f1,0x7dc00fec,0x05fff103,0x2bffff70,
    0x3e63fffc,0x007f701f,0xf7004fa8,0xfffb8007,0xfabfd803,0x27fffd06,
    0x505fffe8,0x2fc8007f,0x3fe3fd40,0x00811009,0xfd802044,0x80effeff,
    0x3200ff98,0xfffeefff,0x7fddf701,0x4003dd00,0x0bf604fa,0x57fffee0,
    0x3ee3fffd,0x0003704f,0x00dc00e2,0x9000c980,0xfb806443,0x817e60ff,
    0x00b80018,0x00ff8ff0,0x80330000,0x3faa3ffb,0x5403fe05,0x0ffcc1ff,
    0x10017710,0x07300019,0xff0017e4,0x2e077f4c,0x000004ff,0x00000000,
    0x3fee0000,0x2e17e65f,0x0000eeee,0x0ff8ff00,0x457fffdc,0xfb84fffe,
    0xff884fff,0xf01ff882,0x407f201f,0x0000006b,0x4bf20000,0x7f83fffe,
    0xf701bff3,0x93ffea7f,0xff53fffb,0xbfffffff,0x7fffffd4,0x7ff45fff,
    0x97fffa26,0xfffffffa,0xfcfb85ff,0xfb0bf32f,0x3fa01fff,0x3fffa26f,
    0x07fc7f85,0x22bfffee,0x7ec5fffe,0x20effeff,0x0ff607fa,0x07f807fc,
    0x7ffffd40,0x3a25ffff,0x103fffff,0xfffffffd,0xff8afc83,0xfaff83ff,
    0x4bfea04f,0x3f24fffa,0xffff53ff,0x54bfffff,0xffffffff,0x9ffff45f,
    0x2a5fffe8,0xffffffff,0xfabfb85f,0x3105f98f,0x3ffa01ff,0xbfffd13f,
    0x07fc1ff0,0x2fcc1fdc,0xfea8ffee,0xfa813ee5,0xf501ff05,0xfffa800b,
    0x25ffffff,0x3fffffe8,0xfffffd10,0xebfc83ff,0x3ffe02ff,0x3fe601ff,
    0xff51ff41,0xbf30ff01,0x0bf30ff0,0x7cc1fff7,0xbf30ff05,0x37f67f70,
    0x07fc05f9,0x4c1fff70,0x25ffb05f,0x83fb80ff,0x0bfe25f9,0x27dc7fe2,
    0x3fe0bf50,0x7644fa80,0x87f83dee,0x03fb05f9,0x3200ff80,0x7c00efff,
    0x101ffeff,0x9ff983ff,0x4ff03fe8,0x7f84f89a,0x2e13e26a,0x17e65fff,
    0x9f1353fc,0x3fe27f70,0x07fc05fc,0x4cbfff70,0x27ff905f,0x83fb80ff,
    0x81fe65f9,0x40ff13fd,0x01ff03fd,0x7ffc4df3,0x2a7f87ff,0x3fb04f89,
    0x200ff800,0x400efffc,0x01ff71ff,0x3bf203fe,0x45fe05fc,0x2ff0135f,
    0xf70135f8,0x17e65ff9,0x135f8bfc,0x7fdc7f70,0x007fc05f,0x265ff9f7,
    0x7c3ff05f,0x983fb80f,0xa813ee5f,0x220bfa5f,0x01ff01ff,0xe99887fe,
    0xbf17f81f,0x00fec026,0xfc803fe0,0x3e00efed,0x7e827ec7,0x803fffa0,
    0x406fffff,0x406fffff,0x98ffabfb,0xfffff05f,0x743fb80d,0x07fc05ff,
    0x1ff57f70,0xf1fe0bf3,0x307f701f,0x5027dcbf,0x85ffdcbf,0x3fe05fea,
    0x415bfb00,0xfff81fe8,0x1fd806ff,0x9007fc00,0x03ffb15f,0x01ff11fe,
    0x17fcc011,0x1bffffe0,0x0dfffff0,0x3bfb3fb8,0x3fffe0bf,0x3ffee06f,
    0x80bff32f,0x4fee00ff,0xf05f9dfd,0xfb80ff8f,0x3e65f983,0xf70ff607,
    0x41dffdff,0xfffffffb,0x3fffe24f,0xf81fffee,0xd806ffff,0x3fe0081f,
    0x32ffe880,0x3ee5ffff,0x3ff25fff,0x07f4000e,0x8afc5fe0,0x2bf17f82,
    0xf13fb828,0x5fe0bf9f,0xfb8515f8,0x17f22fff,0x7dc01ff0,0x0bf9ff13,
    0x501ff1fe,0x449f50bf,0x1ff882ff,0x84ffffa8,0xfffffffb,0x7ffe444f,
    0x2ff02dff,0x360515f8,0xf81fcc1f,0x2ffe880f,0x2e5fffd1,0x3e25ffff,
    0xd01320ef,0x267f801f,0x27f81fb0,0xfb81fb09,0x417ffee3,0x07ec267f,
    0x07fc0000,0x7fdc7f70,0xff8ff05f,0x262ff880,0x5ffdc2ff,0x320bfd50,
    0x1b88beff,0x13310000,0x6c267f80,0x541fd80f,0x001ff04f,0xf8800000,
    0x003fa00f,0xf07fa0ff,0xf707fa0f,0xf05ffe87,0x7007fa0f,0x07fc005f,
    0xffe87f70,0x3e27fcc5,0x7fdc1def,0xfb05ffef,0x01dffdff,0xfffffff7,
    0x007b609f,0x3fc017dc,0x1fd81fe8,0x0ff827d4,0x4001bd00,0x404401ec,
    0x3ffffffa,0x7fffffd4,0xff51ffff,0xffffffff,0x97fffdc3,0x7fd45ff9,
    0xffffffff,0x81bb2a01,0xfffffffb,0x3fffee4f,0xfb8bff32,0x1ffffc0d,
    0x027fffd4,0x813fffee,0xeedbcdea,0x04fcc80b,0x2a06eca8,0xffffffff,
    0xfffd11ff,0x29ffffff,0xffffffe8,0x05f9901f,0x0017b2e0,0x7fffffd4,
    0x7ffffd43,0xf51fffff,0xffffffff,0x7fffdc3f,0xff517f22,0xffffffff,
    0x01775403,0xfffffff7,0x7fffdc9f,0x40217f22,0x0cc00999,0x00006600,
    0x800dec80,0x3ea02eea,0xffffffff,0xffffd11f,0x229fffff,0xeffffffe,
    0x001bf901,0x00007bae,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x4c0023b8,0x40031003,
    0x01414018,0x03db8000,0x03001880,0x223b8803,0x16e4c800,0xd1026000,
    0x2e203aa7,0x90020023,0x2e202dc9,0x13ae0023,0x00da96e0,0xfef88000,
    0x7d402fce,0x03ffa804,0x3e03ffa8,0xfd003e62,0x32362001,0x0ffea001,
    0x3f627be0,0x2ffbba00,0x366f803f,0x1ec0000f,0x217ed7e6,0x2fcefef8,
    0x00effd88,0x8807ecdf,0x02fcefef,0x3f4037e4,0x3fa203f9,0x01ffffff,
    0x00f72251,0x7fb007f7,0x5fec0df5,0xbdf506fb,0x1ff8809f,0x03b1b100,
    0x1beaff60,0x03dffb10,0x400fae28,0x20000408,0xdafd43f8,0xdc89441f,
    0xfd79fd03,0x20081101,0x007b9128,0x10200131,0x7ffff440,0x19801fff,
    0x32003700,0x0e403221,0x2ee20191,0x80033000,0x872003eb,0x03b800c8,
    0x20000000,0xe8affffb,0x541fffff,0x0003fd4f,0x05f30fd4,0x00000000,
    0x7fc00000,0xffff7000,0x00000009,0x00000000,0x77540000,0x98000005,
    0x202fffff,0xfffffffa,0x3ffee5ff,0xcfffe8af,0xfe9dfc81,0x3ffffa21,
    0x21721fff,0x3fffa24e,0x3fa1ffff,0x3fffa26f,0x07fffe45,0x5fffff30,
    0x4007fc00,0xeffefffd,0x3ffffa20,0x3ffa1fff,0x1effe8af,0xffffffd1,
    0x3fffa23f,0xff51ffff,0xbfffffff,0x5fffff30,0x803ffe40,0xfffffffa,
    0xfff985ff,0x3fea06ff,0x5fffffff,0x2fcc1fdc,0x7fffffcc,0xfffd15ff,
    0x1f43ffff,0x7f449f93,0x21ffffff,0xfd13fffe,0xfffc8bff,0x3ffe600f,
    0x3fe006ff,0x51ffdc00,0x7ff44bfd,0x3a1fffff,0xffe8afff,0xffffd11f,
    0x3fa23fff,0x51ffffff,0xffffffff,0xffff30bf,0x07f880df,0xffffff50,
    0x7c40bfff,0x3fc01fff,0x0fee2fcc,0x3f6217e6,0x03effeef,0x25f101ff,
    0x3e04fffc,0x3ffee00f,0xff017e60,0xffff1001,0x803fe003,0xff882ff8,
    0x7c01ff01,0x3e02fc87,0x00ff800f,0x817e61fe,0x401ffff8,0xf801317f,
    0x2e05f987,0x7c04fcdf,0x713e26a7,0x40bf307f,0x406f8afc,0x89f980ff,
    0x7fc09d3f,0x97ffee00,0x07fc05f9,0x27e6fdc0,0x2600ff80,0x40ff607f,
    0x21fe00ff,0x03fe02fc,0x7f803fe0,0xb813e26a,0x7c04fcdf,0x00efffdf,
    0x27c4d4ff,0x0ff15fd0,0x26bf17f8,0x7cc1fdc0,0x3e67f605,0x4c07fc06,
    0x09d0fa9f,0x9f7007fc,0x017e65ff,0x5fd001ff,0x3fe00ff1,0xa813ee00,
    0x401ff05f,0x202fc87f,0x0ff800ff,0x9afc5fe0,0x3e2bfa00,0x77fffc07,
    0x22ff06ff,0x3e60135f,0xff80bf67,0x3ee06fff,0xea85f983,0x1dffeeff,
    0x3f301ff0,0xf813a77e,0x2afee00f,0x405f98ff,0x3fcc00ff,0x1ff005fb,
    0xf5027dc0,0xf803fe0b,0x2fffffff,0x3e003fe0,0x3fffe00f,0x27f9806f,
    0x37fe02fd,0xff01fd10,0xf900dfff,0x40df955b,0x206fffff,0x85f983fb,
    0xfffffffc,0x101ff02f,0x1fffee7f,0x3ee00ff8,0x0bf3bfb3,0x7e400ff8,
    0x806fcaad,0x1fe600ff,0x1ff03fd8,0x7fffffc0,0x03fe02ff,0xff803fe0,
    0xfc806fff,0x206fcaad,0xf82fd87f,0x4406ffff,0xffffffff,0x57e2ff01,
    0x542fd428,0x73ff104f,0x00ff80bf,0x201aa8bd,0x4fee00ff,0x5c5fcff8,
    0xffffffff,0x7ffffc44,0x7f441fff,0x41ffffff,0xff882ff8,0x7c01ff01,
    0x3e02fc87,0x00ff800f,0x28afc5fe,0xffffff88,0x90ff01ff,0x3e2ff05f,
    0xdff70515,0x209fdddd,0x07ec267f,0x7fc45ff1,0x27ddfe02,0x7ec03fe0,
    0x007fc000,0x7ffdc7f7,0x7ffffdc5,0x7fdc4fff,0x44feeeee,0xffffffe8,
    0x0bffb81e,0x7fc0bfd5,0x3f21fe00,0x2003fe02,0x99fe00ff,0xffb81fb0,
    0x04feeeee,0xf05f90ff,0x40fd84cf,0x07f882fe,0x707fa0ff,0x0bffdfff,
    0x03fbbfc4,0xcf9807fc,0x7fc03910,0xfd0fee00,0x017cc0bf,0x1fe20bfa,
    0xfb001fa8,0x01dffdff,0x0ff007fc,0x07fc05f9,0xff007fc0,0x5fd07fa0,
    0x1fe0ff10,0x41fe0bf2,0xffff31fe,0x97fffdcb,0xfffffffa,0xffa81fff,
    0xb7c404ff,0x7ff442fc,0x5c1fffff,0x221ffeff,0xfffffffe,0x4bfffee1,
    0x3e205ff9,0x7ffcc2dd,0x3fffee5f,0x01ddf882,0x84ffffb8,0xffffffe8,
    0x5ffff31f,0x227fffd1,0xfffffffe,0xfffffd11,0x3ffea3ff,0x1fffffff,
    0x5cbffff3,0xff32ffff,0x3fffa3ff,0xffffff54,0x3a63ffff,0x3fee4fff,
    0xffff52ff,0x03ffffff,0x27b000cc,0x7ff440d9,0x981effff,0x7f440acb,
    0x21efffff,0x322ffffb,0x066d405f,0xb93fffa6,0xb502ffff,0x00cc0019,
    0xffffffd1,0x3fffe63d,0x13fffe8a,0xdffffffd,0x3ffffa23,0xfff51eff,
    0x3fffffff,0xb93fffa6,0xfd32ffff,0x3fffa3df,0xffffff53,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004cccc4,0x00133331,0x00000000,0x200cc000,0x22016e4c,0x00009999,
    0x00020200,0x10020200,0x98000010,0x04eeeedb,0x13100e38,0x80013000,
    0x02ffffeb,0x03ffffff,0x07fffffe,0xd15ffff7,0xff989fff,0x98002fff,
    0x2e017a21,0xfb37c03f,0xfffff801,0xffffa81f,0x205fffff,0xa85f70ee,
    0x3ffee7ff,0x07c43f02,0x207c43f0,0x3ee4fffa,0x3fff23ff,0x6c03dfcf,
    0xfd306d8e,0x0bffddff,0xf9dfffb1,0x9bf903df,0x26205f99,0x26200999,
    0xffb80999,0xfffe8aff,0x7ffffcc5,0x3ffee006,0x6405fdbe,0x0408803f,
    0x04cccc40,0xffffffa8,0x36205fff,0xffb83fef,0x40bffee7,0x405fcdfb,
    0xa85fcdfb,0x3fee5fff,0xf73df54f,0x8ee805f1,0xfff980ee,0x45fffffe,
    0xfffefff8,0x43f81fff,0x000002f8,0xf983fb80,0x3fffe205,0xefffd801,
    0x6c00ffff,0x00000001,0x5f987f80,0x7c00eb80,0x2602fc87,0xb93002dc,
    0x6c37d405,0x7dcff63f,0x236202f8,0x1bfd00d8,0x360bff62,0x1bfea2ef,
    0x205c2fcc,0xffffffe8,0xfffff51f,0xfb8bffff,0x2e05f983,0x5c04fcdf,
    0x1bfea3ff,0x52fa8220,0x7fdc9fff,0x7fffcc3f,0x2a7f802f,0x09804f89,
    0x2fc87f80,0x00980000,0x3fe63fe8,0x47dcff60,0xf880002f,0x217fc40f,
    0x6fb80ff8,0x00dfffb8,0x7fffff44,0xffff51ff,0xb8bfffff,0x205f983f,
    0x207f8afe,0x3fe22ff8,0xffd901ff,0x3ea5ffbf,0x3fff24ff,0x7ffffcc3,
    0xbf17f806,0x7fec4026,0x0ff00cff,0x3ffd45f9,0xb105fff5,0x2019ffff,
    0x70ff66f9,0x5f1f73df,0x3ea7ffa8,0x417e62ff,0x837cc2fd,0xa8de86fa,
    0x3fe003ff,0x3e61fe00,0x7cc1fdc5,0x7ecff305,0xfe8ff302,0x7ec44fcd,
    0x84fffeff,0x03fea3fe,0x01ffff88,0x037ffffc,0x3fbbffe2,0xf90ff06f,
    0xf73ffd45,0xfff885ff,0x3a06ffee,0xf907f9bf,0xa85f1fff,0x3ffee7ff,
    0xf103fe22,0xd05ff05f,0x223f90df,0xff801efd,0x89a9fe00,0x4c1fdc4f,
    0x55bf905f,0x93ee0df9,0x45fa8efc,0xfff32efd,0xd13ff30d,0xcdfb807f,
    0x7fffc04f,0x077f406f,0x1ff09fd1,0x3fc17f54,0x3bfa17e4,0x4c13fa20,
    0x2603feff,0xf02f8feb,0xfe85f90f,0x05ffb10d,0xfd75bff9,0x49fd10df,
    0x7fc02fe9,0xafc5fe00,0x4c1fdc09,0xffff885f,0xfb81ffff,0x3ea3ff54,
    0xff98ffc5,0xefc81ffc,0xafe805fc,0x8bfc07f8,0xff88515f,0x7fdccccd,
    0xfffefff8,0x643fc2ff,0x337fe22f,0x207fdccc,0xf7007ffd,0x21fe05f1,
    0x7ffcc2fc,0x902ffffe,0xdfffffff,0xfb17fe40,0x3e00ff80,0x2606ffff,
    0xb84fb85f,0xfeeeeeff,0xff9efa84,0x6f98ff62,0x0bf29ff3,0x2007fff4,
    0x80bf67f9,0x07ec267f,0xfffffff3,0xfff81fff,0x42ffeeff,0x262fc87f,
    0xffffffff,0x7ff300ff,0x0be3ee00,0x417e43fc,0xfeefffe9,0x2f36a202,
    0x7ecc06f9,0x3e00fcad,0x3fffe00f,0x317f406f,0x05fd05ff,0xdff10ff1,
    0x20ffc49f,0xf15ff9ff,0x0bfe603f,0x32ab7f20,0x741fe06f,0x333fe21f,
    0x40cccccc,0xf801a9ff,0x3e22fc87,0xcccccccf,0x00ff500c,0xf817c7dc,
    0x2202fc87,0x8005fb09,0xff7006f9,0x00ff807f,0x28afc5fe,0xffefffb8,
    0x2ffffcc5,0xb85ffff7,0x17faa6ff,0x6cd7fff2,0x007f407f,0x3fffffe2,
    0x7ffd41ff,0x1fffffff,0x26206ff4,0x7c007f81,0xd0bfaa0f,0x019881bf,
    0xfb800ffa,0x41ff02f8,0xf3002fea,0x6f98001f,0x02fa8190,0x9fe00ff8,
    0xd301fb09,0xfd305dff,0x7ffdc9ff,0x77ffdc2f,0xf980effe,0x1fffeeff,
    0x2e007f40,0xfeeeeeff,0x7ffffd44,0x4c1fffff,0xfffeefff,0x2003fc0f,
    0xffffeffd,0x3bffe62f,0xb30ffffe,0x001bffdd,0x6c0be3ee,0xfffffeff,
    0xffeeec82,0x3fb6a004,0x70be20df,0x01ff003f,0x01fe83fc,0x260000fe,
    0x767fcc0f,0xfd104fff,0x01bffffd,0xfe801fd0,0x4007f882,0xffb300eb,
    0xdd07dfff,0xfffe8800,0x6cc2ffee,0x23efffff,0x2ffffffb,0x7dff7640,
    0xfffe883e,0x7c42ffee,0x4004ffff,0x22fffffc,0x5feeeef8,0xfffffd10,
    0x3ffea3ff,0x1fffffff,0x00133ba0,0xf90fdf88,0x3ee00c47,0x3ea00625,
    0x4c3fffff,0x3ee5ffff,0xf5002fff,0x0ccc40db,0x44000220,0x26620009,
    0x26666201,0xbdeec800,0x026204ee,0x000ccc40,0x88133330,0x203deeee,
    0xffffffe8,0xfffff51e,0x403fffff,0x40001dc9,0x000a22c9,0xffa80014,
    0x74c3ffff,0x3fee4fff,0x32a002ff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e000800,0x20044004,0x00100080,
    0x04c40004,0x15001400,0x0402002a,0x00101004,0x80040144,0x00001db8,
    0x20100110,0x40051000,0x80510000,0x802dffd8,0x9ff900fe,0x3e05fffb,
    0xe9803e21,0x27e4402f,0xffbbffd0,0xdd1003df,0xf73f7001,0x3ffb2603,
    0x3fa8f6c3,0x802e87d0,0xffb505e9,0x69bb805b,0x0e7fe4c0,0x76403ec0,
    0xd3009d51,0x037ee00b,0x7405e980,0x401fffff,0xfffb00fe,0x703fffdf,
    0x5c0bf9bf,0xd305fcdf,0xfd03df7d,0xfffdffff,0x0077cc05,0x817dd7dc,
    0x46fefff9,0x203fefd8,0x806ecdfa,0xfff904fa,0x5dc07fff,0x3ffe2068,
    0x7fc02fff,0x7efe4400,0x804fa804,0x02febfe8,0x7d405fa8,0x4c0df71e,
    0xfd81bdff,0x4c0ff21e,0x316c02dc,0x6449701b,0x43bff703,0x09500ffb,
    0x302c9640,0xa80219ff,0xadc9801e,0x3a03c800,0x40df50be,0x3f202ed8,
    0xf80df70c,0x03d5000f,0x6d400f20,0x0ee012e0,0x7fd0ff20,0xfffffc88,
    0x7d42fd87,0x88002204,0x01988009,0x3fd837dc,0x44003310,0x0027fc00,
    0x13100131,0x0004c400,0xf00007f6,0x7c03fd0f,0x0331000f,0x00002620,
    0x0fec0000,0x7df913ee,0xfd81ff73,0x75c27d41,0xb880ceff,0x40eefffd,
    0x4deffffb,0x9f705fb8,0xdeffffb8,0x9dffd704,0x8805f981,0x0eefffdb,
    0x1f7fffe4,0xefffdb88,0x87fcc00e,0x3fea7ffa,0xf10ffc2f,0x7e66541f,
    0xfb83cccf,0xc84defff,0xa83effff,0x3ffea7ff,0xfa9ffea2,0x127d42ff,
    0x41ff8bff,0x541fd86d,0x7fffe44f,0x7fe40eff,0x321fffee,0x7fffefff,
    0xff80ffb8,0x3fbfff22,0xfffc87ff,0x3ee0efff,0xfc83efdc,0x41fffeef,
    0x2ffeefff,0xffeeffc8,0xffed981f,0xfb9ffea4,0x6ffdc2ff,0x3fe25ffc,
    0xffffffff,0x3fbfff21,0xefff87ff,0x7fd42ffe,0xa8bffee7,0x3ffee7ff,
    0x755ffc42,0x01be67ff,0x27d41fd8,0x7f545df7,0xfb10ffc5,0xb82ffe61,
    0xcfffb87f,0xf30efeca,0x23fdc17f,0x3faa2efb,0x3fffff65,0xb10ffc6f,
    0x7cc0881f,0x3621ff86,0xffffa80f,0x2fc87f81,0x0ffffff8,0x5ffd554c,
    0x2ffe62aa,0x0221fee0,0x21fe0df3,0xc87f82fc,0xffffb82f,0x007fc6ff,
    0xf527fff4,0x7c417f49,0x566ffe47,0x6c13f208,0xfffffb85,0x13f20eff,
    0x20bfa2ec,0x37ff67f8,0x3f21fe98,0x7008acdf,0x90ffdddb,0x01159bff,
    0x20ffed44,0x642fc87f,0x05ffdeff,0x4fc807fc,0x3b6e0bb0,0x0ff07fee,
    0x90ff05f9,0x2fae205f,0x56fe44fc,0x7ff46eb8,0x7f93ea3f,0xfd887f60,
    0x3fa3ffff,0x4e7dc001,0x1fe80bdc,0xfd81fe00,0x7d41df91,0x3ffff624,
    0xffffe83f,0xffd887ff,0xf9003fff,0x2fc87f87,0xff88bfe2,0x7403fe01,
    0x7ff4001f,0xff07ffff,0x0ff05f90,0xff3005f9,0xffffe985,0x93ea006f,
    0x0ff881fe,0x2ffca98a,0xfb8007fb,0x007fb004,0x7fc40ff4,0x6f889f70,
    0x2ffca98a,0x2a66fbee,0x32a6287f,0x5fa802ff,0x317e43fc,0x407f90df,
    0x07fb00ff,0x4cdf7dc0,0x90ff07fa,0xf90ff05f,0x2ff5c405,0x005dff70,
    0x3bf22fd8,0xfa9bf661,0xdf74fc84,0xfb83b503,0x03df7004,0x0f7e43b5,
    0x7fc4dfb3,0x27d4ff21,0x41ff27e4,0x27d47fc8,0x8828a7e4,0x507fc3fe,
    0x0ffc45fd,0x3ec03fd1,0xb503df70,0xf9107fc3,0xea83fe0f,0x2a0ff82f,
    0x7f7e42fe,0x0fe806ff,0xeffed980,0x3bbff620,0x3fee1eff,0x21fffeef,
    0xffedfffd,0x3bbfb21f,0xdfffd804,0x3621fffe,0x1effeeff,0x7fff7fdc,
    0xfddfff70,0x6ffe43ff,0x72fffffe,0xfffddfff,0x3fbbfee3,0x7fec0eff,
    0x22fffffe,0x6ffeeffd,0x7fec0080,0x21fffedf,0xfffedffc,0x77fec2ff,
    0x6c2fffff,0xfffffeff,0x0ffffee2,0xfc803f40,0xff901dff,0xef981bff,
    0x442cffff,0x2efffffc,0x03fffffc,0x7ffffe44,0xffff902e,0x3ffb201b,
    0x3ffbe62d,0x7ec42cff,0x2fffdfff,0x9ffffdf3,0x7fff6445,0xffe880df,
    0x642ffeef,0x740dffff,0xffffffff,0x3fff220f,0x7ec42eff,0x2fffdfff,
    0x777fff44,0x7ff442ff,0x982ffeef,0x00154000,0x00c40033,0x98801988,
    0x3331019a,0x54c40013,0x00310019,0x06620044,0x88004cc0,0x00988019,
    0x44001310,0x3ffffa01,0x880fffff,0x998019a9,0x00262000,0x00000988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x28800000,0x4001a800,0x30000cd9,0x80008003,0x00510028,
    0x51000144,0x00400000,0x40400808,0x00040400,0x4a8ee001,0x031eec40,
    0x800cc004,0x27cc0080,0x800bf200,0xa8003b9e,0x5fd3003f,0x802f4c00,
    0xf9800df8,0x04f98005,0x00effec4,0xf100bfa6,0xf803f21b,0x2a03f90d,
    0x300db13f,0x4ff005fd,0x3f6200fd,0x74c0ffff,0x01fd402f,0x02fb8774,
    0x2e002fcc,0x951d003f,0x003fc800,0x00bf9bf7,0xe88009f5,0x0ee9800e,
    0x8809f700,0x00fffffe,0x80bf9bf7,0x402feee9,0x402fefe9,0x400efefb,
    0x405fcdfb,0xb1006219,0xfc83ffff,0x7d404fcc,0x7f7ec404,0x001b1003,
    0xbd5004a8,0x001d8001,0x400d98b6,0x3910003c,0x40072200,0x8dfb802c,
    0x45b05fc8,0x0dc801d9,0x40037200,0x45b003d8,0x009800d9,0xdf717b30,
    0x01b316c4,0x3d700598,0x4c400000,0x00262000,0x80044098,0x00440008,
    0x13000220,0x6c009800,0x881fe21f,0x02620009,0x00001100,0xb1001300,
    0x4019ffff,0x2fe9aba8,0x00000000,0xff53ffd4,0xffff905f,0x7ffe407d,
    0x3ff203ef,0x03ffc9ef,0x033bffae,0x0ceffeb8,0x33bffae0,0xffffb100,
    0x3ff62019,0x87f80cff,0x7ffe41fe,0x3ff203ef,0x75c03eff,0x7d40ceff,
    0x0bffea7f,0x33ffff62,0xeefff880,0xfff506ff,0x7e49ffff,0xff900fff,
    0x3ffe01ff,0x2a2fffff,0x3ffee7ff,0xfeefff82,0xddfff02f,0xdff105ff,
    0x7ffdffff,0xffffff90,0xffff901d,0xff901dff,0x881dffff,0x6ffeefff,
    0xfeefff88,0x5c2fcc6f,0x777ffc3f,0xdfff02ff,0x3f205ffd,0x20efffff,
    0x3fee7ffa,0x77ffc42f,0xefe86ffe,0xf513fa20,0xbffd77df,0x807fffe4,
    0xf00ffffc,0x3fffffff,0x05f90ff0,0x106f9811,0x1106f981,0x47fab7fc,
    0x3faa2efb,0xd5177dc5,0x22efb8bf,0x77f45fea,0xfd13fa20,0x527f441d,
    0x887f70bf,0x08837cc0,0x77dc37cc,0x3e17faa2,0x7f42fc87,0x893fa20e,
    0xdccccdff,0x742ff47f,0x001ff06f,0xa9be01ff,0x90ff03ff,0x3bb6e05f,
    0x3b6e07fe,0xd9307fee,0xff99bffd,0x7c417f43,0x7c417f47,0x7c417f47,
    0x3337fe27,0x3e27fdcc,0xfdccccdf,0x3ee17ea7,0xfeeedb83,0x3bbb6e07,
    0x882fe87f,0xfc87f87f,0x3337fe22,0x3e67fdcc,0xffffffff,0x2e0bfe0f,
    0x001ff06f,0x54aa01ff,0x21fe03ff,0xfffe82fc,0xffd07fff,0xfb0fffff,
    0xffffffff,0xb03fc5ff,0xfb03fc3f,0x3fb03fc3,0x3fffffe6,0xff30ffff,
    0xffffffff,0x3f61fe21,0x7fffff41,0xffffd07f,0x40ff0fff,0x643fc1fd,
    0x3fffe62f,0x10ffffff,0x999999ff,0x417fc199,0x01ff05fc,0xfa801ff0,
    0x643fc03f,0x4df7dc2f,0xefb87fa9,0x4c7fa99b,0xdff99bff,0x3fa1cccc,
    0x3a0ff881,0x20ff881f,0x0ff881fe,0x99999ff1,0x3fe21999,0xcccccccc,
    0x7f887fa0,0x54cdf7dc,0x9befb87f,0x1fe87fa9,0x3fc0ff88,0x9ff117e4,
    0x19999999,0x26206ff4,0xf1077ec1,0x003fe07f,0xffa803fe,0x2a0ff803,
    0x107fc2fe,0x41ff0ff9,0x37cc7fc8,0x2144bff3,0x3f661efc,0xb30f7e46,
    0x21efc8df,0x6ff46fd9,0x3fa0cc40,0x320cc40d,0xf89f70df,0x21ff220f,
    0x1ff220ff,0xfd987bf2,0x3aa0ff86,0x206ff42f,0x7ffcc198,0x20ffffee,
    0xffedfff8,0x2003fe06,0x7ff500ff,0x7fec17cc,0x22fffffe,0xfffedffc,
    0x37ff22ff,0x22fffffe,0xffffeffe,0x3622ffee,0x1effeeff,0x7f77fec4,
    0x7fec41ef,0x4c1effee,0xfffeefff,0x3bffe60f,0x220ffffe,0x41ffeffe,
    0xfffedffc,0x37ff22ff,0x22fffffe,0xffeeffd8,0xfeffd81e,0x3e62ffff,
    0xffffeeff,0x7fffecc0,0xffd883ef,0x3fee0cff,0x74ffffff,0xffffffff,
    0x3ffffe69,0xfe884fff,0x22ffeeff,0xfdffffd8,0x3ff622ff,0x22fffdff,
    0xeedfffe8,0xfc80cfff,0x3200dfff,0x200dffff,0x00dffffc,0xdfffffb3,
    0xffffb307,0xffd307df,0xfffb105f,0x445fffbf,0xffdffffd,0xffffc82f,
    0xfffd100d,0xd985ffdd,0x03efffff,0x44006662,0xfffb8099,0xf74fffff,
    0x9fffffff,0x3fffffe6,0x026204ff,0x20009980,0x13100099,0x03100098,
    0x44001880,0x06662001,0x800ccc40,0x01330018,0x20004cc0,0x02620018,
    0x00199880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x000d4001,
    0x819800a2,0x321c8838,0x05edc402,0x88001980,0x00015002,0x26200400,
    0x00088001,0x29dd7000,0x9dd7005c,0x80951dc0,0x10012a3b,0x1001a800,
    0x05d5bffd,0x3ab7ffa2,0x201ba202,0x2a4ffffb,0xdf14fa86,0x7ffffcc0,
    0xfffddd81,0x0bd3004f,0x5cc03f90,0x25f700fd,0xfff704e9,0x7f4c9bdf,
    0x0dffe9cf,0x00e7ff54,0x3f6bffd0,0x05ffd800,0x200fd9fe,0x2003f67f,
    0xe8802fe9,0x102eadff,0x409fb117,0x04fe98b8,0x3f6017e6,0xc8effeff,
    0x004c1503,0x09f939fb,0xfffdffff,0x02fcc01d,0xfe880fec,0x3f200fff,
    0xffc80dfd,0x267fffef,0xffffffff,0x3ffff23f,0x3ea001ff,0x95100b15,
    0x433015df,0x310cc018,0xbf9bf700,0xfe98b880,0x40011004,0x03b80098,
    0x3aa3ffb8,0x200006ff,0x3e1fe27f,0x027f544f,0x01b10077,0x07fe77c4,
    0x7cc0ba60,0x21fee0bf,0x42a3fffa,0xbf712ff9,0x2bf30980,0x654cc00c,
    0x02200aef,0x20009880,0x0003662d,0x3bffae00,0xffff900c,0xf880007d,
    0x42ff882f,0x3fea7ffa,0xf937f82f,0x3e60bd0d,0x4400000f,0x0007f400,
    0x2ec13f20,0xf500ffd4,0xd881fd07,0x05fcefff,0x677ffec4,0x3ffae05f,
    0xfff900ce,0x800007df,0x3fea7ffa,0xffffc82f,0xfff80eff,0xfc82ffee,
    0x7f980fff,0xff50ff60,0x417ffdcf,0x84fffaff,0xff17ec00,0x25ffffff,
    0xfe9cffe9,0x01fd00df,0x203ffff2,0x7d4001fe,0xff881804,0x3fbffe20,
    0x3e205fff,0x5ffffeff,0xffffff90,0xddfff01d,0xfffb05ff,0x537ff443,
    0x7ffdcfff,0xd5177dc2,0xf98110bf,0x0ffffc86,0x3ea04fb8,0x5f90ff05,
    0xfffb1ff0,0x7ffffd45,0x3e3fffff,0x1fffffff,0xfffffff3,0x03fa07ff,
    0x407fffe4,0x7d4003fd,0x8dfb0004,0xff711dfd,0x88efec0b,0xefb85ffb,
    0x2217faa2,0x7ec37cc0,0x3ffe22ff,0x2fc87f86,0x3fc417f4,0x7feeedb8,
    0x7dc07fc0,0x7c17ea04,0x7f82fc87,0x7d47fee2,0xffffffff,0xffa9be3f,
    0x23fffa83,0x001fd00a,0x3df701ff,0x4fa83b50,0x20efd800,0x5fe80ff8,
    0xfd01ff10,0xf105fd0b,0x3bbb6e0f,0x3e3fd07f,0x1fe0ff1f,0x40ff0bf2,
    0x7fff41fd,0x7fc07fff,0x3607f980,0xf90ff03f,0x7fd0ff05,0x2fd81be6,
    0x81ffd4aa,0x3a001ffa,0x00ff800f,0xffdbfffb,0x3ffff23f,0x3a204fff,
    0x82fd41ff,0x0bf505fa,0x81fe17ea,0x7fff41fd,0x7f907fff,0x0bf39ff5,
    0xd0bf21fe,0x41ff103f,0xfa99befb,0x4407fc07,0x1ff882ff,0x05f90ff0,
    0x15fa82ff,0x1ff305ff,0x5407ff50,0x07f4004f,0xc8807fc0,0x22efffff,
    0xfffffffc,0x01dfd304,0x17f20ff3,0x5fc83fcc,0xff881fe8,0x266fbee0,
    0xbbf507fa,0x209f9fff,0x642fc87f,0x1bf661ef,0x3fe441ff,0x7dc03fe0,
    0x0bfd50bf,0x5fd507fc,0x2e9f1ff0,0xa8bbf23f,0x3ffa85fe,0x20027d40,
    0x0ff800fe,0x00cfe440,0x0effa800,0xf982ffe0,0x82ffe05f,0xefc85ff9,
    0xff1bf661,0x883fe441,0xfffeffff,0x7541ff02,0x77fec42f,0x7e41effe,
    0xfffffedf,0x6c01ff02,0x0effefff,0x3ffbff60,0xfff72fff,0x81ffdffb,
    0xeffefffe,0xf31ffd40,0x4004fa85,0x0ff800fe,0xd005fb80,0x17fee01b,
    0xfdfff506,0x503fffff,0xffffdfff,0x7fec43ff,0x641effee,0xffffedff,
    0xacffe82f,0xffb00fff,0x05fffffd,0x01bffff9,0xfbffffb1,0x3ffee5ff,
    0xb84fffff,0x8804ffff,0xffeefffe,0xf79fff72,0x3ff207df,0x7fcc0cff,
    0x94ffffff,0x9fffffff,0xfffffe88,0xffff71ff,0xdb09ffff,0x5f9900dd,
    0x3fffffa0,0x7f4c1fff,0x1effdfff,0xbffffd30,0xff903dff,0xfb101bff,
    0x5fffbfff,0x3fe3ff90,0x3fffa206,0x2202ffee,0x80266001,0xfffffffb,
    0x0006604f,0x0c000262,0x3e601980,0x4fffffff,0xfffffff9,0xffffe889,
    0xfff71eff,0x109fffff,0xbf900175,0x3ffffa01,0x3102ffff,0x06620003,
    0x98006200,0x4df50009,0x098804fc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00802020,
    0x40100000,0x05e4c1ea,0x88014400,0x80040001,0x01310018,0x75c00808,
    0x00172000,0x40066000,0x775c0000,0x00066404,0xf0000800,0x7cc07c43,
    0x077fe402,0xf30dfff5,0xfa8fee05,0x7d4007ec,0xfcffe884,0x3ee00cff,
    0xffb89d32,0x84ffffab,0xeefffdb8,0x5e997dc0,0x8801ff40,0xffc801ff,
    0xb81effff,0x2604ffff,0x3fa0002f,0x0bfe605f,0x4013ff66,0x70003fda,
    0x2e0bf9bf,0x77fe404f,0x21bffea0,0xe83604fb,0x7dc00ba2,0xffffd103,
    0xfc80bffd,0x7fdc0dfd,0x2ffeeffe,0x7ff77fe4,0xdfdfc81f,0x0005cc00,
    0x3ff20075,0x6c1effff,0x0effefff,0x40004fb8,0x80cc05fa,0x802f88ba,
    0x20003fbb,0x3ee02dc9,0xf01fd804,0x5c13ee0f,0x007b1742,0x37fe00b6,
    0xd3003fa0,0x077fdc05,0x21ff8df7,0x5d300fd8,0x80066200,0x6f880009,
    0x7547ff70,0x004fb85f,0x00bf3098,0x005f9500,0x000001fc,0xfffffff3,
    0xf01fd85f,0xffffe98f,0x5d702fff,0x062001f7,0x0bf21fe0,0xefb80310,
    0x7fe47f80,0x10008acd,0x3fffee01,0xffd884de,0xf1000cff,0x105ff10d,
    0x3ffa63ff,0x882fffff,0x5fcefffd,0x3b2025c0,0x3f81c41f,0x3ff20aa0,
    0xfff980ff,0x6c2fffff,0xf98ff01f,0x3fffffff,0x36ab7ae0,0xf9ffd14f,
    0x1fe019ff,0xffe88bf2,0xb80cfffc,0xd88ff03f,0x263fffff,0xffe9cffe,
    0x3bfff20d,0x7fc47fff,0x006ffeef,0x0ff30df1,0xfff99fec,0x443fffff,
    0xffffefff,0xe803f405,0x3e03fee5,0xc85fd883,0x2e00ffff,0x01fd804f,
    0x013ee0ff,0x8b7ff6a0,0xfeffffe8,0xf90ff05f,0x7ffff445,0x3fb85ffe,
    0x53141fd0,0x3fe65ff9,0x3fffffff,0x7dc17ff3,0xd1077f47,0x0df1009f,
    0x2fd409f7,0x3f6013ee,0x0bff711d,0x2e03ffa6,0xfe9bfbab,0x56fd540e,
    0xf007ff70,0xdfb7101f,0x07f60599,0x04fb83fc,0x559ffb10,0xfd06ffc0,
    0x5f90ff01,0x7f41bff0,0xfe81fdc0,0x9f909f50,0x2a3fffa8,0x97609f90,
    0xccccdff8,0x220ea7fd,0x204fb86f,0x027dc5fa,0x3fa03fe2,0x02effb85,
    0xff959d95,0x665c3977,0xdbefebcc,0x203fe02d,0xfffffffc,0x4971fd80,
    0x009f707f,0x7ffe4726,0x2fc87f82,0x647fffe6,0x43fc2fff,0x81fdc2fc,
    0xdfff70fe,0xfa83fffd,0x007fa01f,0x7fffffcc,0x1fd0ffff,0x7f986f88,
    0x9f70ff60,0xf505fa80,0x4005ff0b,0xff98dfe9,0x2affee02,0xff03ebbf,
    0x9dfb7101,0x7c7f6059,0x27dc1fe7,0x6b8fc400,0x22fc87f8,0xf91effe9,
    0xc87f85ff,0xf81fdc2f,0xfffdf30f,0x09f5059f,0xf1003fd8,0x9999999f,
    0xf103fa19,0x105ff10d,0x04fb83ff,0x5fc83fcc,0x41d437cc,0x3fba2ffb,
    0x10dfe882,0x0ff82ec5,0x57317ea0,0x98ff8fec,0x98bf506f,0xf89aa02b,
    0x17e43fc0,0xc87f8000,0x441fdc2f,0x80d9107f,0x77dc04fa,0x3fa1da81,
    0xfd0cc40d,0xf704fc85,0x17faa17f,0x457317ea,0x3fe60bff,0x3a21fe85,
    0x3f20cb87,0x405b02f9,0x01ff01fc,0xfffeeff8,0xff1dff96,0x7fc07ffd,
    0x206fffee,0xff0b92f8,0xfb805f90,0x7e43fc02,0x4cfffee2,0x3ee04fed,
    0x2013ea05,0xffedfffd,0x3bffe61f,0xfd0ffffe,0x01dffdff,0x7ff7ffec,
    0xfddff00e,0x7ffd4dff,0x1ffffffe,0x3ffbbfee,0x677cc00f,0x7744004f,
    0x3ffffee1,0xfea84fff,0xff90cfff,0x09fff71d,0xcffffea8,0x0f7fdc00,
    0x323ffff3,0xd9502fff,0x3fffe60d,0x2e5fff91,0xbff53fff,0x21bbb601,
    0xfffffffc,0xffffc884,0xffd982ef,0x2e23efff,0x800dffff,0x404ffffb,
    0x0cffffea,0x6fffff4c,0x7fe41eff,0xc9801dff,0x2a004fdc,0xff7099ef,
    0x09ffffff,0x310004c4,0x00098800,0xeffe9808,0x205fff91,0xfd302eea,
    0x3fff23df,0x44008802,0xfffc80bb,0x2204ffff,0x988019a9,0x00188019,
    0x98800330,0x00198800,0xf98000cc,0x3ff6006f,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002000,0xeeeeb800,0x500002ee,0xdddddddd,0x200cc403,0x10002eec,
    0x02620013,0x019884c8,0xfffd0000,0x098801ff,0xfe800000,0x0000ffff,
    0x09800000,0x7ecc0000,0x3b2a0003,0x3ff202ce,0x2a05ffff,0xf702ceec,
    0x5fffffff,0xbfffff70,0x03fff88d,0x6fffedc0,0xfffeb81e,0x987fc6de,
    0x20befffd,0xe8affffb,0xaa984fff,0x3ff202aa,0x3ea03eff,0x01deffff,
    0x0155554c,0x20bea088,0xfffffffe,0x7fec41ff,0xffe80cff,0x1effe8af,
    0x20007f75,0x5ec9abfc,0x33337f90,0x64d5fe40,0x99bfa85e,0x7e41ff99,
    0x1fffeeff,0x2e003fc8,0x3fffeeff,0x7ff77fe4,0xfe8220ff,0x2e4ffeef,
    0xfe8affff,0x013105ff,0xffddfff0,0x3fffea05,0x9803ffff,0xfffd9000,
    0xffd05ffb,0x3ffffffd,0x7f77ffc4,0xafffc86f,0x7c0effe8,0x98dc8003,
    0x17e42ec1,0xd860dc80,0x46f98185,0x7fcc1ffa,0x1313fb81,0xfd10ff40,
    0x2e0ffdc7,0x83fa00ff,0x0fee0ff8,0x3ff217e6,0x02203eff,0x27dc0df3,
    0xb103ff73,0x1019ffff,0xfffdfffb,0x1fdfe409,0x077f43fd,0xffa89fd1,
    0x0bfeaaaa,0x40b881fc,0x4ffff8fa,0xb99f90f6,0x911f5017,0x00f69fff,
    0x03f913f2,0x6efdc1ae,0x7cc1efff,0x3fa2fa85,0x2641fb01,0x5c5f9097,
    0xf85f983f,0x02ffeeff,0x1ffbbb6e,0x5fc84fb8,0x7f77ffc4,0x32efd86f,
    0x6fc0dfff,0x443f63fb,0xdccccdff,0x3fffea7f,0x44ffffff,0x42ffa83f,
    0x4b62d33c,0x7fffe46a,0xdb9e42ff,0x201aab90,0x003fc1fe,0xfeffffb8,
    0x0e7fc2ff,0x2207f882,0xf3007fc1,0x4c1fdc3f,0x7cc0885f,0xfffffd06,
    0x827dc0ff,0x1077f47f,0x31ff89fd,0x303ff9ff,0x3dd7f77f,0x7ffffcc9,
    0x260fffff,0xfeaaaaff,0x25bf550b,0x1e81efd8,0x225d53d3,0x2b3bee0f,
    0x747a0ffd,0x200f8841,0x02fd46f9,0x11dffb80,0x7fd41ff9,0x2fd43dff,
    0x301ff100,0x3fb8bffb,0xdb705f98,0xdf70ffdd,0x10ff5337,0x45ffffff,
    0x9bff11fe,0x4cffb999,0x329ff36f,0xfb8fc82f,0xcff887ff,0x0ccccccc,
    0x7ffffffc,0x33332e2f,0x41cacffb,0x89fff31f,0x27ec040f,0x0f803e3f,
    0x9f513f20,0x83deeec8,0x2fe80ffb,0x77fff5cc,0x4c009f50,0x3ffe81ff,
    0x5f983fb8,0xffffffe8,0x3220ff87,0xfffe887f,0x4c7fa2ff,0xffffffff,
    0x3e7fe0ff,0xd03ff15f,0x0ffffb5f,0x331037fa,0xfffffff0,0x3bf6205f,
    0x96c3ff89,0x1a61f569,0x25b2fd40,0x4069843c,0x137cc1ff,0x70ffffff,
    0x813ee09f,0xff14fea8,0x417fd400,0x07f700fd,0xbefb8bf3,0xfc87fa99,
    0xfffffedf,0xff04fb82,0x3333fe21,0x320ccccc,0xffb35fff,0x7fffff10,
    0x3ffe60bd,0x40ffffee,0xa82fc87f,0x0ffb63ff,0x75d3f6d7,0x9f7004c9,
    0xdcdf9b5c,0x37cc0995,0x26621ff8,0x06fb81fe,0x203ee7fb,0x80bfa6f8,
    0x220ffee0,0x2a17ea01,0x9107fc4f,0xfffb10ff,0x705fffbf,0xe8df509f,
    0x20cc40df,0xffeefff9,0xdabfb81f,0xb307623f,0x07dfffff,0x505f90ff,
    0x1fc7dc1b,0xa8aab3a2,0x103260fc,0x51f447fd,0xc803ee37,0x15bfb04f,
    0x7dc0ff44,0x47fea0bf,0x3f220dfd,0x882fbf24,0x09ff72fd,0x4c5ff100,
    0x6ffe42ff,0x02fffffe,0x4057c133,0x3fee24fb,0x777ffcc2,0xfd10ffff,
    0x01bffffd,0x2a3fb9f6,0x035f304f,0x02fc87f8,0x85fcef88,0x3f261de8,
    0x7f77fdc1,0x1de886ff,0xff007f26,0x3fffe203,0x741fffee,0xffefffff,
    0x3bfff64f,0x7e40fffe,0x0fffeeff,0x1b907ff7,0x7f7ffdc0,0xfffd885f,
    0x002fffdf,0xffa8bfba,0x04ffffff,0xdfffffb3,0x0312fdc7,0x7f77ffc4,
    0x04ffffff,0xf501b7f3,0xffd15fff,0xdcc8809f,0xffd9105f,0x3f6e019d,
    0x9100dfff,0x0019dffd,0xffc880bb,0xfe82dfff,0x3ffffeef,0x7fffe754,
    0xfffb702e,0x07fc41bf,0xf500bfe2,0x33009fff,0x2b880001,0x77ffffd4,
    0x1998802d,0xff1000a0,0xfffffdbf,0x275c09ff,0x8affff98,0x1003fffe,
    0x01100fff,0x44001980,0x44000000,0x4cc00099,0x00998801,0x44000260,
    0x00066000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x477775c0,0x000001e9,0x40007900,0x7775c008,0x201a800e,0x99999999,
    0x54000199,0x2a00eeee,0xffe8001a,0x00000fff,0x3ffa0000,0x2a200fff,
    0x00000000,0x75400000,0x1ffffb01,0x3ffa27f5,0xff303fff,0x9fffdcbf,
    0x01aaffa8,0x05dffb30,0x803ffff6,0x2eadffe8,0xfe89400a,0x3203ffff,
    0xf100ffff,0x5530003f,0xdb980555,0x1fffffff,0xfffffff1,0x55305fff,
    0x7fd40555,0xffb87bbf,0xfa80efff,0x0bffea7f,0x3bffffea,0x04fd801d,
    0x86c3fe62,0x3fffffe8,0x64dfff50,0xfff93fff,0x3fa00dff,0x3100ffee,
    0x45c401ff,0x80144fe9,0xfffffd12,0x0ff98807,0x8000bf70,0xfffa8008,
    0x1fffffff,0xfffffff1,0x00005fff,0x20bbee55,0x0efffffb,0x3ee7ffa8,
    0xfffa82ff,0x403fffff,0x8ff800b8,0x003fb03a,0x0ff98ffa,0x260067f8,
    0xf0036a6f,0x0500001f,0x007f60a0,0x3f601fd0,0x75c00881,0xfa80ceff,
    0x3a3fb9bf,0x3fcdf11f,0x9ffea5fb,0x4402fffa,0x557fc401,0x90ff009a,
    0x993ee05f,0x00001ffb,0x1fd801ff,0x3fe60173,0x3fe07fd1,0x500cfffd,
    0x1ff0009f,0x07fffe40,0xfd828014,0x5fd00299,0xffadf839,0xf905ffdc,
    0x81dfffff,0xd8fee3fe,0x3fcdf10f,0x9ffea5fb,0x3a22fffb,0x0cfffcff,
    0xffffff88,0xfc87f84f,0xf909f702,0xffffff8b,0x01ff02ff,0x07fd1fd8,
    0x02fe77e4,0xbffdffff,0x2001be20,0x645f98ff,0x0280ffff,0xffdfb050,
    0x9fffd001,0x7ffd4fcc,0x7dc3ffef,0xf17faa2e,0xadebfb8f,0x5cff2fc4,
    0x7e43fc1f,0x3ffffa22,0xff885ffe,0x42ffba99,0x702fc87f,0xff1fe09f,
    0x03ffffff,0x3fb003fe,0xffd0036e,0x22ffc01f,0x3ffe20fe,0xff003fff,
    0x7fc0df51,0x88500280,0xb802fffe,0x91444fff,0xd17ea1df,0x4cff105f,
    0x3fffdc5f,0x2023fc08,0xf82fc87f,0x103fa0df,0xf89f70df,0x7c42fc87,
    0x3a2fffff,0xffa9be1f,0xb003fe03,0xdd30103f,0x3e07dfff,0x3a22fc87,
    0x003fffff,0xf802a1ff,0x4500280f,0x040cfffa,0x007fffa2,0x46f88bf2,
    0x4c7f607f,0x3fffdc5f,0xddffdb30,0x3f21fe05,0x2fc87f82,0x1fe437c4,
    0x7fdc43fa,0x7ffff442,0x2a87fa2f,0xff807ff5,0x260fec00,0x003fa03f,
    0x205f90ff,0x7fc003fc,0x501ff000,0x7ffe4a00,0xf51fcc1f,0xf9001ffd,
    0x3fa37c45,0xf10ff881,0x05ebfb8f,0x3fffffee,0x5f90ff04,0x85f90ff0,
    0xfca99ff8,0x7f7fdc1f,0xfb82ffff,0xf501ff04,0x01ff007f,0x27d41fd8,
    0x333ff326,0x5f90ff02,0xf000bfa0,0x03fe001f,0xaea9400a,0x227d41fd,
    0xf9001fd0,0x3f237c45,0xd1bf661e,0xb11fdc7f,0x13ff3103,0xfd507fc0,
    0x5f90ff05,0xffffff88,0xfffd882f,0xfb82ffed,0xfa86fa84,0x01ff003f,
    0x27d41fd8,0x267fe662,0x5f90ff00,0x6b81ff30,0x7c003fe0,0x0500280f,
    0x04fa83fb,0x5f9001fd,0x3f6237c4,0x41effeef,0x3fb9cffa,0x07f813ea,
    0xfffeffd8,0x643fc2ff,0x557fc42f,0x36188009,0xb893ee06,0x1ffd42ff,
    0x3ffee5f3,0xd14fffff,0xffffffff,0xfffe889f,0x7ffcc1ff,0x49fffd1f,
    0xfffffffc,0xffff70ff,0x7dc9ffff,0x4fffffff,0x7f44a005,0xffffffff,
    0xffffff74,0xfffb09ff,0x320fffa7,0x500dffff,0xffffffff,0xfffa89ff,
    0xfd103fff,0x25ffddff,0xf91ffff9,0x3ffee5ff,0xb8000eff,0x7ffd46cf,
    0x4c4fffff,0xffffffff,0xffffff74,0x3ffa29ff,0x4fffffff,0x1effffe8,
    0xd8f7ffcc,0x3ff23fff,0x23ffffff,0xfffffffb,0x3fffee4f,0x5554ffff,
    0x75555555,0x3fffffa2,0xff74ffff,0x09ffffff,0x3fa7fffb,0x4006203f,
    0xfffffdb9,0x7ffd44ff,0x4c403fff,0x3bffa600,0x2e5fff91,0x00efffff,
    0x543dc880,0x2defffff,0xffffff98,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x76dc4000,
    0x540000bd,0x00003264,0x00000000,0x101dddd7,0x00005ddb,0x2a09d700,
    0x000005ee,0x2f7b6a20,0x00000000,0x00006ed8,0x00000000,0x3fffe200,
    0xfffd13ff,0xe83f67ff,0xfd05f90f,0xdffd15ff,0x937fff43,0x3a63dfff,
    0x3fee4fff,0x3fff62ff,0x2fff880f,0xfffffb80,0x3f200adf,0x00fff906,
    0x3bffffee,0x7ffc401d,0xfff53fff,0x8bffffff,0xfffffffd,0xfff506ff,
    0xfffffe88,0xffff71ff,0x88ffff2b,0xffffffff,0x13ffa2ff,0xf907bfea,
    0x22155339,0xd3fffffe,0x0510c43f,0x3a2bfffa,0xffd11fff,0x7fffe4df,
    0x49ffff31,0x442ffffb,0x3f600ff9,0xffffb802,0x2206ffff,0x01fe2009,
    0x7fffffdc,0x33f203ff,0xff50aa99,0xbfffffff,0xffffffd8,0xfff06fff,
    0xffffe88f,0xfff71fff,0x8ffff6bf,0xfffffff8,0x3ffa2fff,0x0fffec0f,
    0x7ec003fe,0x20003441,0x4c2fc87f,0x20bf206f,0x0ff882fe,0xfc803fe0,
    0xb31fe002,0x7f80005f,0x27dc0131,0x3e03ff93,0x987f800f,0x885fa85f,
    0x7fefc86f,0xff007fc0,0x22077f4c,0x2fd9fe6f,0xf98fffe2,0xfffd12ff,
    0x360fec00,0x07fffe41,0x85f90ff0,0x25ff17f8,0x85fa81fd,0x07fc04fc,
    0x3ffa5f90,0xfa87f83f,0x07fffe45,0xdfffbff0,0xf909f701,0x7ffff44b,
    0x27f81fff,0xfa84f89a,0x2237c2a5,0x7c07f9ff,0x7cdfe00f,0x26f880df,
    0xf88bf67f,0x3fff67ff,0x00fffd12,0x32020fec,0x3e00ffff,0xff82fc87,
    0x1fd4ffb8,0x3ff07fe0,0x3200ff80,0x3ffff8af,0x3faa27f8,0x07fffe43,
    0xffdffff0,0xf109f70d,0x7ffff44f,0x17f82fff,0x3ea026bf,0xb0265f75,
    0xff01fe9f,0x7fd7fc01,0x4ff2fc04,0x3bbe20fb,0x2fdff8af,0x3f6007f8,
    0x007fc001,0xffffffff,0xffb3fd05,0x4fc81fef,0x3fe017ea,0x3faff200,
    0x3fffe02f,0x7fc06fff,0x4437fe00,0x827dc0fe,0x007f80fe,0x80dfffff,
    0x03fffffa,0x01fe1ff5,0x7ffc01ff,0x3e0401ff,0x2bbe2047,0x2fccfcef,
    0x3f6007f8,0x03fe0081,0xfffffff8,0xffbfd82f,0x2207fafe,0x200bfa7f,
    0x3ff200ff,0x7ffc00ef,0x203fffff,0x21fe00ff,0x827dc2fd,0x007f81fe,
    0x80dfffff,0x03fffffa,0x203fc7fd,0x3ffe00ff,0x3e001ffe,0xfeb7c407,
    0xf82fc9ff,0x307f6007,0x803fe07f,0xc82fc87f,0xfefbdfef,0x7cdfec06,
    0x401ff007,0x400efffc,0x0ffdcc7f,0x1fe00ff8,0x09f70bf2,0x803fc1fe,
    0x0a2bf17f,0x417dd7ea,0xffeeeffa,0x401ff00d,0x01ff71ff,0xdf101fe0,
    0x17e57fee,0x3fb003fc,0x1ff04fa8,0x17e43fc0,0x7c57ffdc,0x77d405ff,
    0x1ff003fc,0x77f6fe40,0x7e41fe00,0x7c01ff03,0x7dc2fc87,0xff06fa84,
    0xb099fe00,0x0a5fa81f,0x7fffffdc,0x01ff00ff,0x013f63fc,0x5be203fc,
    0x05f92ff8,0x0fec00ff,0x07fc13ea,0x05f90ff0,0x7ff4fff5,0x0fffe804,
    0x6401ff00,0x01ffd8af,0x07fb30ff,0x87f803fe,0x127dc2fc,0x1fe05ff7,
    0x1fe83fc0,0x4c402fd4,0x00ff9999,0x47f803fe,0x7f800ff8,0x43137c40,
    0xffff32fc,0xffd10dff,0x9fffffff,0x3fffffee,0xffff34ff,0x87fffd15,
    0x3fee5ff9,0x05ffb803,0x3fffffee,0x5ffd14ff,0x5cbfffe6,0xffffffff,
    0xffff70ff,0x3e69ffff,0xfffd1fff,0x3ffffee9,0x7fcc4fff,0x20efffff,
    0xfffffffa,0x3ff61fff,0xfb006fff,0x3fa21dff,0x71ffffff,0x7e4bffff,
    0x7ffd40ef,0x7f443fff,0x3ffee5ff,0xffffe9af,0xfffe885f,0x74ffffff,
    0xffffffff,0x2bfffe69,0x443fffe8,0x0bfe22ff,0xb807fe20,0xffffffff,
    0x225ffd14,0xff72fffe,0x1bdfffff,0x7fffffdc,0xdffd34ff,0x54ffffa3,
    0x2defffff,0xfffffe98,0x3ffea0ef,0x1fffffff,0x17fffff2,0x877ffec0,
    0xffffffe8,0xbffff71e,0x2a077fc4,0x43ffffff,0x2e4fffe8,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02600000,0x00000000,0x00000000,0x00000000,0xfffe8000,
    0x298000ff,0x06a014c0,0x80376200,0x06000018,0x40044098,0x02200080,
    0x981ed89a,0xfe83fffe,0x3fffa26f,0x3ffffee5,0x7ff443ef,0xff703fff,
    0x209dffff,0xfffffff8,0x49fff52f,0xff53fffb,0x1fffdc9f,0x17ffffcc,
    0x155554c0,0x07ff2200,0x3fe207e8,0x3fea001d,0xfa81f603,0x2bffea7f,
    0xefffc86a,0xf703ffc9,0x7ffd13df,0x677ff5c0,0x0ffea798,0x20bffbfa,
    0xfd13fffe,0x7ffdcbff,0x224fffff,0x03fffffe,0xfffffff7,0xffff10bf,
    0x3ea5ffff,0x3fff24ff,0x5cbfff53,0xff983fff,0x00006fff,0x04fffb80,
    0xff7007fc,0x3320019f,0xfa80a600,0x2fffea7f,0x7f7fc46d,0x43ffefff,
    0xfefffff9,0xffc83ffe,0x44deffff,0x8afd40bb,0x83ffee00,0x26f885f9,
    0xfd80ffa8,0x544ff001,0x23fc41fe,0x23fe86fc,0x7f440ffa,0x1007fea4,
    0x6403ffff,0x5000ffff,0xf001bfff,0xffc8801f,0x0000003f,0x77fe43fc,
    0x5bfe0881,0xd9ff47fa,0xb8ff56ff,0x3ffaa2ef,0x00df5000,0xf997ffee,
    0xfb86f885,0xf001fd83,0xdf09f50f,0x7cc07fdc,0x303fe89f,0x05ff37ff,
    0x09f9bf70,0x007fffe4,0x007bffaa,0xb1000ff8,0x00005fff,0x3f21fe00,
    0x3fbb2603,0x11ffccdf,0x567fccdf,0x0bfa1ffa,0xf8003fe2,0xfcfb803f,
    0xf10bf32f,0xfb09fb0d,0xb11fe003,0x3e67907f,0x33bf202f,0x7ffd405f,
    0x15fd004f,0x03fe00ff,0x0177fecc,0x77ff7764,0x74c00dee,0xd9002eff,
    0xbddddddd,0x2fc87f81,0xffffffb0,0x2a5fffff,0x7ffffc5f,0x40ff12ff,
    0xff7001fd,0xf707d53f,0xbf31ff57,0x9533ff10,0x03fb03ff,0x3fb33fe0,
    0x3fa200ef,0x0fffe804,0x005ffb80,0x017ecff3,0xffc807fc,0xfff8803f,
    0x1fffffff,0x0dfffa80,0xfff897f6,0x1fffffff,0x417e43fc,0xff99bff9,
    0xf11ccccd,0x666ffc4d,0x207fa1cc,0x20c40ff8,0xfdefdffa,0xbfb3fb87,
    0xfff10bf3,0x3607ffff,0xfff8081f,0x6c00efff,0x5ff3005f,0x03bff600,
    0x32ab7f20,0x00ff806f,0x00bbff66,0x33ff3331,0xffe98013,0x440ff81e,
    0x99999999,0xf710ff80,0x4cdf305f,0xfb0a25ff,0x2897ff25,0xfb30f7e4,
    0x322ff98d,0x03fffd4f,0x33fe27f7,0xeeff885f,0x07f601ce,0xaaff87f3,
    0x3f201ffd,0xfe80b60f,0xfeffb800,0x7fffc405,0x7c01ffff,0xffe9800f,
    0x01ff001e,0x05fffb10,0x80000fea,0xffffeffd,0xfeffe82f,0x2ffeefff,
    0x3fffbfea,0x222ffeef,0xeffefffd,0xf917fcc0,0x5c17fe67,0x17ffee3f,
    0xfb001be2,0x3fc4fa83,0x3ea03ff2,0xe817e61f,0x4ffd400f,0x3ee04fe8,
    0x4feeeeef,0x50007fc0,0xf801bfff,0x3ff2200f,0x0036403f,0x3fffa200,
    0xe882ffed,0xffeedfff,0x7ff540cf,0x0cffff9a,0x0dffffc8,0xeff88310,
    0xfb86fffe,0x442fff43,0x0fec006f,0xb0ff13ea,0x43ff88bf,0x03fa05f9,
    0x3e63ff98,0x105fd02f,0xffffb8ff,0x7004ffff,0x7f403fff,0x033ffe00,
    0x3ec007a0,0x10003100,0x18009813,0x03100098,0x7fff5c00,0x7ffdc5fe,
    0xb8bff32f,0x80efffff,0xffffffe8,0xfff74fff,0x97ff44bf,0xfffffffb,
    0x7fffd45f,0x7ffdc3ff,0x997fff66,0x3ee5ffff,0xfff72fff,0x009fffff,
    0xb9007644,0x0001dd80,0x0000b700,0x00000000,0x44000000,0x3ffee009,
    0xf717f22f,0x101dffff,0xfffffffd,0x3ffea9ff,0xb97fcc5f,0xffffffff,
    0x7ffffd45,0x37ffdc3f,0x74cbfff9,0x3fee4fff,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x00262000,
    0x00000662,0x08800130,0x32203220,0x00000001,0x40000000,0x18800609,
    0x00011000,0x02600000,0x007105c5,0xb84b825c,0xfc82aa24,0x7103efff,
    0x81ddfffb,0x4deffffb,0xffa9ffea,0xfffd882f,0x3fae00cf,0x77dc0cef,
    0x94fedffd,0x3fa3dfff,0x3ffa0eff,0x41dffd1e,0xffffffff,0x887fff62,
    0x3fa26ffe,0xfffcffef,0x7e7ff443,0x7f4c0cff,0x0dffe9cf,0x3f6bffd3,
    0xfffc85ff,0x22fa800f,0x223f90fd,0x07e800de,0x87fe4bfd,0x3ffe1ff8,
    0xfc82ffee,0x21fffeef,0xfffefffc,0xfb9ffea7,0x7ffc42ff,0xf906ffee,
    0x81dfffff,0xeffffffe,0x21ffffb0,0x3a0efffe,0xfffd0fff,0x7fffffc1,
    0x3fff61ff,0x89bffe22,0xfffefffe,0x3fa20ffe,0x45ffefff,0xfffffff9,
    0xbfff33ff,0x3217fff6,0x6400ffff,0xd83fd13f,0x301dd12f,0x88623fe1,
    0x41ffcdfe,0xf30220ff,0x6c43ff0d,0x417ff30f,0xc87f87fb,0x1077f42f,
    0x2efb89fd,0xdf717faa,0xf88bfb13,0xc817f40f,0x85ffabff,0x20ffea6f,
    0x3e3ff1fe,0x3fa5ff07,0xbff05f94,0x7d407f41,0xfd02a3ff,0x001bfd13,
    0x9fec01ff,0x7fb01fe9,0xff987fe2,0x22ffdffe,0xe81fffe8,0xfeeedb87,
    0xacdffc87,0x6c13f208,0x2fc87f85,0x33337fe2,0x17f47fdc,0x8bf63fc4,
    0x24fc87f8,0x7fd406fa,0x2a5504ff,0x57f903ff,0x20bf39ff,0x7e47fa7f,
    0x2fc87f83,0xe801ffa8,0x2003ffcf,0x4fe880ff,0x7c405ff3,0x223ff54f,
    0xdffffffc,0xd837fe40,0x7fffff46,0xfffd887f,0x007fa3ff,0x45f90ff0,
    0xfffffff9,0x81fe0fff,0x88bf61fd,0xd0ff887f,0xdffb005f,0x03ffa801,
    0x3fff77ea,0x74ff04fc,0xff07f91f,0x9f505f90,0x3ffffa00,0x01ff000e,
    0x77e47fea,0xd11bfb00,0x3fffa07f,0x5feffc80,0x2fbee5b8,0x2287fa99,
    0xfb2ffca9,0xc87f8007,0x333fe22f,0x20cccccc,0x0ff881fe,0x3f667bee,
    0xdf59f905,0xdfdffb00,0x00ffea01,0xffdffff1,0xfe9fe05f,0x0ff07f91,
    0x09f505f9,0x3fa73fa0,0x401ff006,0x1df51fe8,0x3fd13fd8,0x13fbfea0,
    0xbfd13ff9,0x883fe188,0x427d47fc,0x03df74fc,0x20ff83b5,0x6ff42fea,
    0x3f20cc40,0xd1bf661e,0x1dffffff,0x05fdff10,0x744f7f44,0x1ffd41ff,
    0x9ffd05f3,0x3e01fff5,0x1fe47fa7,0x417e43fc,0x3fd004fa,0x3e00ffa2,
    0x31fd800f,0xbd0fe4dd,0x7cd7fc01,0xe887fa0f,0x76ffe407,0xf72fffff,
    0x3fffddff,0x7f6fffec,0x77fec1ff,0x262fffff,0xfffeefff,0x3bff620f,
    0x3ee1effe,0x4fddfece,0x540dffb0,0xfe89ffff,0xffff33ff,0xf909ffff,
    0x221bfe3f,0x3ffd6ffe,0x3fe65ff9,0x5fff91ff,0x3ffffff2,0x7fffcc4f,
    0x5cbfff54,0xffffffff,0x54706a04,0x515c0140,0x00880887,0x6ffffec4,
    0xfdf32fff,0xc8859fff,0x82efffff,0xfeefffe8,0x7ffecc2f,0xff903eff,
    0x0c881bff,0x3fe60390,0x3bffea03,0x267fffd1,0xffffffff,0x3f26fa84,
    0xd6ffe884,0x25ff93df,0xf91effe9,0x3fff25ff,0x74c4ffff,0x3ff64fff,
    0x3ffffee4,0x00004fff,0x00000000,0x88004cc0,0x9a988019,0x00098801,
    0x88006662,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00200200,0x09986620,0xdddddd91,
    0x0103dddd,0x6eee4400,0x21dddddd,0x65c40dda,0x6dc42980,0x102ee043,
    0x406a1885,0xfea92a3b,0xffffffff,0x333224ff,0x711ccccc,0x77777777,
    0x00003777,0x00000000,0x3b660000,0x06ffec46,0xffb106d8,0xff87fccb,
    0xffffff32,0x545fffff,0x6c40dfff,0x3fee1cff,0xffffffff,0xff313f64,
    0x226b85ff,0xbf15fffe,0x5e98ffe6,0x17dcbfe2,0x321fb37c,0xffffffff,
    0x3e26ffff,0x1fffffff,0xfffffff9,0x00ffffff,0x00000000,0x26000000,
    0x44dcc6db,0x84ffb84e,0xf13e88ec,0x3310ff4f,0xfb333333,0x1f4ccc45,
    0x31b2677a,0x55555555,0x76c0ff83,0xafdc6d88,0xfeffadfc,0x2a3dd14f,
    0x717fc44f,0x0620987f,0x22222222,0x88880888,0x2e208888,0xbbbbbbbb,
    0x00001bbb,0x00000000,0x83640000,0x7fd43fba,0xf88443ff,0x00fd9be3,
    0xfb317e40,0x207c49ff,0x3e60002f,0x43ee4f84,0x44935eee,0x1dc04ffd,
    0x00498088,0x00000000,0x00000000,0x00000000,0xc8364000,0x2ffe62fe,
    0x5f982ffa,0x000f92f4,0x22fe25f9,0xf317c4e8,0x3bbbba61,0xf72eeeee,
    0xbd35f901,0x26005d44,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01b20000,0xf727f4db,0x6c27e41f,0x320016e4,0x3fb37e2f,0x3f7bee2f,
    0x3ffffea4,0x7b4fffff,0x07fffa20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53000000,0x2b2e35db,0x90bf34eb,0x2eb7fa5f,0x00010222,
    0x565441d5,0x05d440aa,0x44444444,0x26002088,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26599995,0x30042cdc,0x01666664,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_23_latin_ext_x[560]={ 0,4,2,1,1,1,2,4,5,2,1,0,4,1,
4,1,1,1,1,1,1,1,2,1,1,2,4,4,-1,0,0,2,1,-1,0,0,0,0,0,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,0,2,-1,2,0,-1,1,-1,-1,2,0,3,3,4,0,1,4,4,3,2,1,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_23_latin_ext_y[560]={ 16,2,3,2,1,3,4,3,2,2,3,4,13,9,
13,1,2,2,2,2,3,3,2,3,2,2,7,7,4,7,4,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,2,20,2,6,3,6,3,6,3,6,3,3,
3,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,16,7,2,3,5,3,
3,3,3,3,2,7,9,9,3,0,1,1,2,2,2,6,3,8,15,2,2,7,2,2,2,7,-1,-1,-1,0,
0,-1,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,2,-1,-1,-1,0,-1,3,3,2,2,
2,3,3,2,6,6,2,2,2,3,2,2,2,3,3,3,2,2,2,3,3,4,5,2,2,2,3,2,3,3,
0,4,-1,2,3,6,-1,2,-1,2,-1,3,-1,2,-1,3,3,3,0,4,-1,2,-1,3,3,6,-1,2,-1,2,
-1,2,-1,3,3,1,-1,-1,3,3,0,3,0,4,-1,2,3,3,-1,6,3,3,-1,2,3,3,6,-1,-1,3,
3,3,3,3,3,3,3,-1,2,3,6,-1,2,3,3,6,0,4,-1,2,-1,2,3,6,-1,2,3,6,-1,2,
-1,2,-1,2,3,6,-1,2,3,3,-1,3,3,3,0,3,0,4,-1,2,-1,2,-1,2,3,6,-1,2,-1,2,
0,-1,2,-1,3,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,6,3,3,3,3,3,3,3,3,3,3,3,3,3,1,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-5,-2,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_bold_23_latin_ext_w[560]={ 0,4,8,10,10,10,10,4,5,5,10,12,5,10,
4,10,10,10,10,10,10,10,9,10,10,10,4,5,13,12,13,9,10,14,12,12,12,12,12,13,12,10,12,13,
12,14,14,12,11,12,13,10,12,12,14,14,13,12,10,5,10,6,10,15,5,12,13,11,13,12,11,13,12,10,
9,12,10,14,12,12,13,13,11,10,11,12,13,14,12,12,10,6,3,6,10,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,10,12,10,12,
3,12,8,14,8,12,13,10,14,15,8,12,6,6,5,12,11,4,4,6,8,11,13,14,13,10,14,14,14,14,
14,14,14,12,12,12,12,12,10,10,10,10,13,14,12,12,12,12,12,9,13,12,12,12,12,12,11,11,12,12,
12,12,12,12,14,11,12,12,12,12,10,10,10,10,11,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,
14,12,14,12,15,13,12,11,12,11,12,11,12,11,12,15,13,13,12,12,12,12,12,12,13,12,12,12,13,13,
13,13,13,13,13,13,12,12,12,12,10,10,10,10,10,10,10,10,10,10,13,13,12,9,13,12,13,12,10,12,
10,12,10,12,11,12,10,14,12,14,12,14,12,13,12,11,12,12,12,12,12,12,14,14,13,11,13,11,13,11,
10,10,10,10,10,10,10,10,12,11,12,13,12,11,12,12,12,12,12,12,12,12,12,12,12,13,14,14,12,12,
12,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,13,11,11,11,11,11,11,11,11,11,11,11,11,11,14,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,12,10,10,12,
12,12,12,12,12,12,12,12,12,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,12,14,14,13,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_bold_23_latin_ext_h[560]={ 0,15,7,16,18,14,13,7,18,18,9,12,7,3,
4,18,15,14,14,15,13,14,15,14,15,15,10,12,12,7,12,14,16,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,17,18,17,8,3,4,11,14,11,14,11,13,15,13,13,
18,13,13,10,10,11,15,15,10,11,14,11,10,10,10,15,10,17,17,17,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,14,15,13,10,13,
17,15,3,14,7,9,7,3,14,3,7,15,8,8,4,15,15,4,5,8,7,9,14,14,14,14,17,17,17,16,
16,17,13,17,17,17,17,16,17,17,17,16,13,16,18,18,18,17,17,9,16,18,18,18,17,17,13,14,15,15,
15,14,14,15,11,14,15,15,15,14,14,14,14,13,14,13,15,15,15,14,14,12,13,15,15,15,14,19,18,18,
16,13,17,15,16,13,18,15,18,15,18,14,18,15,17,14,13,14,16,13,17,15,17,14,16,13,17,15,18,19,
18,19,18,18,17,20,17,17,13,13,16,13,16,12,17,14,16,16,17,10,14,18,18,19,17,17,10,17,17,17,
17,13,13,13,13,13,13,17,14,17,14,17,14,13,14,15,17,13,18,15,18,15,13,11,17,14,17,14,17,14,
18,15,18,15,17,14,18,15,19,19,17,14,13,14,17,14,17,13,18,15,18,15,18,15,16,13,17,14,17,19,
16,17,14,17,13,17,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,11,13,13,13,13,13,13,13,13,13,13,13,13,13,16,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,15,17,14,18,
15,18,15,18,17,18,18,18,18,18,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,19,17,15,19,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_bold_23_latin_ext_s[560]={ 146,250,33,157,179,52,1,251,250,250,230,
144,87,165,129,40,120,114,160,155,192,30,110,56,179,1,249,171,130,74,157,
124,179,104,104,106,141,166,179,67,37,203,163,214,39,241,12,176,27,148,52,
95,228,134,65,50,90,77,66,116,217,173,15,149,134,1,81,25,201,50,154,
213,128,117,156,91,80,140,155,63,71,227,168,14,189,37,87,125,101,175,114,
227,247,109,107,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,146,119,12,
51,76,25,251,241,140,41,56,205,42,165,15,176,93,190,26,8,123,136,188,
118,102,1,65,218,1,240,226,215,169,184,199,114,227,73,214,214,14,27,55,
129,212,14,38,190,230,201,159,146,185,1,135,241,54,166,237,14,122,1,204,
66,14,215,131,14,214,27,205,136,94,107,183,196,232,27,221,26,209,191,81,
68,55,1,201,177,201,1,241,228,53,81,64,78,94,147,154,131,38,160,104,
85,117,59,130,138,190,203,114,171,174,187,12,188,186,162,60,150,109,229,101,
123,203,107,1,67,28,55,172,16,25,88,242,38,168,76,1,119,49,1,242,
216,89,194,24,95,82,44,236,223,180,199,83,141,161,13,1,12,64,99,112,
94,63,68,76,40,89,123,102,23,234,137,133,35,109,97,150,220,127,102,100,
148,75,126,239,144,228,48,245,115,122,120,94,134,180,38,165,12,62,242,232,
178,15,149,69,166,42,200,25,216,14,227,1,121,81,40,91,51,244,29,243,
1,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,78,87,87,161,
87,87,87,87,87,87,87,87,87,87,87,87,87,38,235,87,87,87,87,87,
87,87,87,87,87,87,87,87,142,190,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,146,144,
193,125,224,157,143,170,91,204,51,27,1,211,198,172,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,1,54,217,40,30,68,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87, };
static unsigned short stb__courier_bold_23_latin_ext_t[560]={ 20,79,263,97,23,179,237,251,23,1,251,
237,263,263,263,23,148,164,164,132,223,194,132,194,132,132,237,237,237,263,237,
194,97,237,223,194,223,223,223,194,223,223,179,223,237,223,237,179,237,79,237,
194,223,194,223,223,237,237,237,79,23,42,263,263,263,251,194,251,179,251,223,
115,223,223,23,223,223,251,251,251,132,115,251,251,179,251,251,251,251,115,251,
61,61,79,263,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,20,194,132,
209,251,209,61,115,263,194,263,251,263,263,194,263,263,132,263,263,263,115,115,
263,263,263,263,251,194,179,179,179,61,61,61,97,97,97,194,61,79,79,79,
97,79,97,97,97,209,97,1,1,1,97,79,251,115,23,1,23,79,79,209,
164,148,132,148,164,164,148,237,164,148,148,148,148,148,164,148,223,148,209,148,
148,148,164,164,237,194,148,132,132,164,1,23,23,115,194,61,132,115,194,23,
132,23,132,23,179,23,132,61,164,194,164,115,194,79,115,97,179,115,194,97,
115,23,1,42,1,42,42,79,1,97,97,194,209,97,209,115,237,97,179,97,
97,61,251,179,42,42,1,79,79,251,79,79,61,79,223,209,209,209,209,209,
79,179,79,179,79,179,209,179,132,61,209,42,132,42,132,209,237,61,164,61,
164,61,179,23,132,23,132,42,179,42,132,1,1,42,179,209,179,61,164,42,
209,42,115,42,132,42,115,115,209,61,164,61,1,115,61,164,61,209,61,148,
223,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,164,209,209,42,
209,209,209,209,209,209,209,209,209,209,209,209,209,164,237,209,209,209,209,209,
209,209,209,209,209,209,209,209,97,237,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,42,148,
42,164,1,148,23,148,23,42,23,23,23,1,1,1,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,1,1,42,148,1,115,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,209,
209,209,209,209,209,209,209,209,209, };
static unsigned short stb__courier_bold_23_latin_ext_a[560]={ 195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_23_latin_ext(stb_fontchar font[STB_FONT_courier_bold_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_23_latin_ext_s[i] + stb__courier_bold_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_23_latin_ext_t[i] + stb__courier_bold_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_23_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_23_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_23_latin_ext_x[i] + stb__courier_bold_23_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_23_latin_ext_y[i] + stb__courier_bold_23_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_23_latin_ext_s[i] + stb__courier_bold_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_23_latin_ext_t[i] + stb__courier_bold_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_23_latin_ext_x[i] + stb__courier_bold_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_23_latin_ext_y[i] + stb__courier_bold_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_23_latin_ext_LINE_SPACING
#endif

