// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT        298
#define STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_24_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_24_latin_ext_LINE_SPACING          11

static unsigned int stb__courier_bold_24_latin_ext_pixels[]={
    0x18000500,0x00000800,0x40006e00,0x00130009,0x02a00018,0x00000000,
    0x00001500,0x666665c0,0x00000002,0x00004c00,0x00fe8800,0x4006e880,
    0x74c001fb,0x0016a003,0xed8017dc,0x003ba001,0x4c00bea0,0x0007ee3f,
    0x0ec800f9,0x400bf200,0x00aaaaa9,0x3a005f90,0x4009d30d,0x0de802fb,
    0x3e6009d3,0xef98000e,0x00bf6000,0xd800bf50,0x1fe4000c,0x005fb100,
    0x4c007fa2,0x80322d33,0x004fddfc,0x7300bf62,0x3006456a,0x801bfbfd,
    0x2601541b,0x400dfdfe,0x00efcff9,0x26007fb0,0x000efcff,0x2ec00099,
    0x0007ae00,0xfb0009f3,0x00fcc005,0x6c007c80,0xa81f9006,0x0f74c02f,
    0x2007b600,0x017d40fc,0x813a61bd,0x203744f8,0x009d30de,0x54007fb1,
    0x7ec4001f,0x015c4003,0x40171000,0x00180019,0x000000a0,0x00808000,
    0x80803008,0x02130800,0x0000c020,0x00088080,0x00008000,0x40004000,
    0x5c003dbe,0x2fe88bdd,0x9809bb70,0x0d54c1aa,0xa88bcb88,0x2f32e22a,
    0x44799930,0x9930bccb,0x6cbf3079,0xbccb880f,0x30799930,0x3007ecbf,
    0x4407ecbf,0x9930bccb,0x5e65c479,0x44799930,0x9930bccb,0x676dc079,
    0x17997102,0xb80f3326,0xb7002ced,0x5a20059d,0xffd30059,0x01dfffff,
    0xff70343a,0x3ffea1ff,0x7fffdc1f,0xf93fffef,0x3ffebfff,0xffff92ff,
    0x0bffffeb,0x4075c7d1,0xff5ffffc,0x3e885fff,0x3e8803ae,0x3ff203ae,
    0xfffff5ff,0x57ffff25,0xf92fffff,0x3ffebfff,0x7ff4c2ff,0x7e40dfff,
    0xffff5fff,0xfffe985f,0xfd300dff,0x001bffff,0xf1003dbb,0xfff95bff,
    0x02e6dc03,0x6c47ffd1,0x7ffd44ff,0x0cffffdb,0x2a37dfb3,0xfb30cffc,
    0x3ff2a37d,0x6cc0000c,0xff951bef,0x00000019,0x46fbf660,0xb30cffca,
    0x3f2a37df,0x7dfb30cf,0x833ff2a3,0xfeacfff8,0x5f7ecc5f,0x419ff951,
    0xfeacfff8,0xcfff885f,0x3005ffea,0x83bf6001,0x5403fff9,0x41ff8802,
    0x44ff86fb,0x4fb86ff8,0x4fb83fd0,0x55443fd0,0x20aaa60a,0x43fd04fb,
    0x2a60aaa8,0x0555442a,0x9f705553,0x9f707fa0,0x9f707fa0,0xdfb07fa0,
    0x5c3ff981,0xd83fd04f,0x1ffcc0ef,0xff303bf6,0x33332e07,0x117fc402,
    0x260ffdff,0xfc802ccb,0xf10bfe25,0x70df901f,0x707fa09f,0xc87fa09f,
    0xfff51fff,0x3a09f70d,0x47fff21f,0x7e46fffa,0xdfff51ff,0x3fa09f70,
    0xfe827dc1,0xfe827dc1,0x640bfe21,0xe827dc6f,0x40bfe21f,0x0bfe26fc,
    0x7fd437e4,0x7d406fff,0x7fc77f47,0x7fffff40,0x47fe202f,0x06f986fc,
    0x09f70df5,0x09f707fa,0xffd987fa,0x70dfd911,0x987fa09f,0xfd911ffd,
    0x11ffd98d,0x9f70dfd9,0x9f707fa0,0x9f707fa0,0x7fa87fa0,0xfb83fe60,
    0x7d43fd04,0x543fe607,0x03fe607f,0x5fffd971,0xff927dc0,0xbd907fa1,
    0xc80dfb79,0x882ff8df,0x86fe81ff,0x83fd04fb,0x03fd04fb,0x86f983fd,
    0x03fd04fb,0x06f983fd,0x86f983fd,0x83fd04fb,0x83fd04fb,0x43fd04fb,
    0x0ff404fb,0x87fa09f7,0x8ff404fb,0x0ff404fb,0x05fdff88,0x97fd57ee,
    0x42200ff8,0x3fe202fe,0x3bf606fe,0x70dff912,0x707fa09f,0x207fa09f,
    0x437cc1fe,0x03fd04fb,0x06f983fd,0x86f983fd,0x83fd04fb,0x83fd04fb,
    0x43fd04fb,0x3fe206fb,0x7f413ee0,0xf881bee1,0x440df70f,0x1df700ff,
    0x3fe601ff,0x1fee3ff9,0x3fffff22,0x7ffe402f,0x3bffe202,0xfb86ffff,
    0xfb81fd04,0xfd01fd04,0xfb86f983,0xfd01fd04,0xfd06f983,0xfb86f983,
    0xfb81fd04,0xfb81fd04,0x7cc1fd04,0xb8ff700f,0x4c1fd04f,0x4ff700ff,
    0xff700ff9,0x3fd9ff40,0xd17fffa0,0xffff88bf,0x4402ffff,0xfd8806ff,
    0x986fcdff,0x987f887f,0xd07f887f,0x986f983f,0xd07f887f,0xd06f983f,
    0x986f983f,0x987f887f,0x987f887f,0xf87f887f,0x98bfd03f,0xf87f887f,
    0xf8bfd03f,0x20bfd03f,0x0df50ff9,0xea87ffd4,0x577e40ff,0x8805fb10,
    0x262001ff,0xff10bf50,0x217fa219,0xfd10cff8,0xea8bfa0b,0x0cff886f,
    0x3fa0bfd1,0x741bfaa2,0x21bfaa2f,0xfd10cff8,0x219ff10b,0xff885fe8,
    0x50bfd10c,0x3faa3bff,0x867fc40f,0xffa85fe8,0x81ffd51d,0xfd51dffa,
    0x33bf201f,0xf702ffcc,0x5fffdfff,0x7dc43ff0,0x037e403f,0x5413f600,
    0x0fffefff,0xffdfff50,0x3bff201f,0xa86fffff,0x0fffefff,0xfffdff90,
    0xdff90dff,0x50dfffff,0x1fffdfff,0x3fbffea0,0xfff500ff,0x3201fffd,
    0x2fffffff,0xffdfff50,0x3fff201f,0xf902ffff,0x05ffffff,0x3fffffe2,
    0xcff985ff,0x701efffd,0xffffddff,0x7e6644df,0x997002df,0x4c03fff9,
    0x400dfffe,0x00dfffe9,0x7effffec,0xfffd305f,0xfffd801b,0xfb05ffdf,
    0x0bffbfff,0x037fffa6,0x1bfffd30,0xdfffe980,0x7fffd400,0x7ff4c01e,
    0x7fd400df,0x7d401eff,0x2e01efff,0xfcccccef,0x3127e40f,0xffff9001,
    0x7dcbffdb,0x005fffff,0x03dfffff,0x10002620,0x0cc40013,0x0004c400,
    0x98800331,0x00988001,0x20004c40,0x4c400098,0x004c4000,0x10002620,
    0x09fd0013,0x005113f6,0x50013300,0x00155555,0x0006aaa6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0x3ffe66ff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe9800000,0x3fa66fff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000a23,0x22000110,0x22130002,0x001aa981,0x20001010,
    0x00000002,0x3b80d540,0x200002cc,0x01880000,0x64401b50,0xcccccccc,
    0x4002003c,0x7d9000da,0x1fdc005f,0x0005f700,0xfa8007fd,0x7fc44f9b,
    0x5f98005f,0xfb0003f6,0x005f9001,0x013a61bd,0x97d40ffe,0x3fc804e9,
    0x026c2e80,0x64405f98,0xff103fff,0xffffffff,0x06a8b90d,0x01fffe44,
    0x32236a73,0x3f3fa200,0x09f9000e,0x2002fc80,0x705f9cfa,0xd1000bfd,
    0x880075c7,0x7f4c01fe,0x3e600dfd,0xe800efcf,0x3fff202e,0x37fa600d,
    0x2fee00df,0xfa801fca,0xf92fe805,0xd99ff107,0x10dfb9bf,0x807f759f,
    0x207f92fe,0x203f987d,0x00bd10ed,0x02000fd4,0x01367d00,0x00000bf5,
    0x2003b200,0x809d30de,0x00003fd8,0x1bd00130,0xfb7013a6,0x00fe005b,
    0x22066054,0x7ccbf67f,0x07dfb306,0x20198150,0x00000100,0xccb88000,
    0x0001aa8a,0x32e37ea0,0x06aa601b,0x00003553,0x20040000,0x1aaaaaa8,
    0xa8accb88,0x0000001a,0x65c40000,0x221aa8ac,0x7ccbf67f,0xaa980006,
    0xb88d54c1,0x99930bcc,0x67765407,0x3b6e00a9,0x7ffdc02c,0x13ffffff,
    0x32617997,0xfffa83cc,0x5c1fffff,0xff50ffff,0xd95103ff,0x5101717b,
    0x01717bd9,0x717bd951,0x7fffffc1,0x7fffdc5f,0x983fffff,0x201aadec,
    0x9802cedb,0xb81aadec,0xffffffff,0x2fd93a3f,0x776540fa,0x3fee0a9c,
    0xffff50ff,0x2bffff93,0x442fffff,0xfffffffe,0xffffe984,0xfffa80df,
    0x0cffffdb,0x3ebffff9,0x7d42ffff,0xfffdceff,0x88fffa21,0xfe884ffd,
    0x44ffffff,0xffffffe8,0x7fff444f,0x36e4ffff,0x2a5feeee,0xfffdbfff,
    0x3ffa20cf,0xe986ffff,0x80dfffff,0xffffffe8,0x6dfffd46,0x200cffff,
    0x7f4402fd,0x24ffffff,0x3623ffe8,0x7dfb34ff,0x833ff2a3,0xcaaceff8,
    0x7ffc45ff,0xf85ffeac,0x237fc44f,0x951befd9,0xffa819ff,0x2227ec43,
    0x437dc1ff,0xebabefe8,0x3bfa24ff,0x24ffebab,0xebabefe8,0x2fd404ff,
    0x6ff889ff,0xfbabefc8,0x67ffc47f,0xfc85ffea,0x47ffbabe,0x37fc44ff,
    0xf1017ec0,0xff9559df,0x5c1ff88b,0xe827dc6f,0x4077d41f,0x077ec4fb,
    0xff88ffe6,0xfb86fc80,0xf503fd04,0x321fe60f,0x20bfe25f,0x4fd80efc,
    0x3f603bf2,0x3603bf24,0x8afd404f,0x46fc80ff,0x3fcc0ff8,0xff303bf6,
    0x2607fc47,0x203fe27f,0x2fd806fc,0x2e03bea0,0x225fc84f,0x827dc2ff,
    0x00fec1fe,0x817fc419,0x41be66fc,0x04fb86fb,0x0ff503fd,0x3fe21fe2,
    0x3fa0df91,0x7f45f301,0x7f45f301,0xa805f301,0x2e0df35f,0x407fc46f,
    0x40bfe23d,0x03fe26fc,0x706f98f6,0x05fb00df,0x01900fec,0x1bf23ff1,
    0x0ff413ee,0xfa800ff1,0x443fe607,0x86fe81ff,0x03fd04fb,0xdf907ff5,
    0x3fe37f20,0x2007f882,0x3e2007f8,0x5fa80007,0xdfd03ff1,0x0159ffb0,
    0xff981fea,0x02b3ff60,0x7f40ffc4,0x05fecc06,0x90003fc4,0x705ff1bf,
    0xa87fa09f,0x27dc005f,0xefd87fa0,0x70dff912,0x207fa09f,0xdbbefffa,
    0xdff102ff,0x017ea0df,0x2a005fa8,0xfa80005f,0x644bbf65,0xffe886ff,
    0x27dc3eff,0xfe887fa0,0xfd83efff,0x0dff912e,0x3fffffea,0x0017ea0e,
    0x06feff88,0x87fa09f7,0x7ffe46fa,0x40df72ef,0x3fe20ff8,0x86ffffef,
    0x03fd04fb,0xfffffff5,0xfffc807f,0x400df502,0x3ea006fa,0x5fa80006,
    0x3ffbffe2,0x3ae606ff,0x1bee4fff,0xb980ff88,0x7c44fffe,0x6ffffeff,
    0xfffffd30,0x7e46fa8d,0xf902efff,0x13ee05ff,0x1ff107f4,0x97ffffec,
    0xff700ff9,0xbffffb10,0x209f70df,0x9dfa80fe,0x8800bcdc,0x3fe206ff,
    0x01ff1000,0x0003fe20,0xfd88bf50,0x186fdfff,0xf30ffb88,0x31fee01f,
    0x881ff710,0x6fdffffd,0x0ff88000,0x0bfffff6,0xf3037fc4,0xff0ff10f,
    0x45fb9887,0x0bfd03ff,0x85fa8cc4,0x07f887f9,0x44000bf5,0x27ec01ff,
    0x027ec130,0x3027ec13,0x105fb801,0xf717ea33,0xff8bf605,0x7dcbfd03,
    0x2205fb02,0x500bf519,0x21ffc03b,0x2205fb98,0x3fe201ff,0x90bfd10c,
    0x5fc885df,0xea8effd4,0x3f6000ff,0x10cff883,0x17ea0bfd,0x806fc800,
    0x7dc1cffa,0x7073fea6,0x0e7fd4df,0x7fd01bee,0xfb0ff600,0x07fdc45d,
    0x3aa3bff5,0x8bbf60ff,0xb000ffb8,0x09fd007f,0x322177e4,0x01bf205f,
    0x3ffbffea,0xdfffd00f,0xf90bffff,0x05ffffff,0x7ffe6654,0xfdfff501,
    0xdfb701ff,0xcc880179,0xb802dffc,0xfffeffff,0x77fffdc3,0x7fdc3fff,
    0x23fffeff,0x0fffdccb,0xfffccca8,0x77fffe41,0xffc84fff,0x642fffff,
    0xfffeffff,0xff999504,0x05d1003f,0xffefffe8,0x333225ff,0xe9802dff,
    0x5c00dfff,0x0beffffe,0x3dffff50,0xffffff80,0x7fff4c01,0xffff880d,
    0x7fdc01ff,0x5005ffff,0x05dffffb,0x3bffff6a,0xffffb502,0x7fffc45d,
    0xffff01ef,0xf9d503ff,0x5407ffff,0xa81effff,0x3fffffce,0x3fffffe0,
    0x200b3001,0xbeffffeb,0x3ffffee0,0x0262005f,0x80026600,0x55300098,
    0x09880035,0x0d5554c0,0xaaaaaa80,0x00198000,0x066000cc,0x401aaa98,
    0x2001aaa9,0x26200199,0x00666000,0x0006aaa6,0x13300017,0x55555540,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50007200,0x201aa835,0x000000ca,0x1884c000,
    0x00aaaa88,0x04002e60,0x006aa600,0x32600000,0x00005000,0x0006200a,
    0x18800620,0x10000000,0x800bf303,0x427f45fd,0x802fffd8,0x37a00cfa,
    0xf5009d30,0xffb09f37,0x366005ff,0x42e800eb,0x4fff884d,0x017e4000,
    0xf1005f90,0x3f44000b,0x2e77ff20,0x027cc005,0x3200ffd8,0x219d002f,
    0x217e44e9,0x764006f9,0x7741f6c4,0xb102fc89,0x2603dfbf,0x400efcff,
    0x305f9cfa,0x2005ffdb,0xf700392b,0x2e03f957,0xd30004fe,0xa801bfbf,
    0x4c02bdfe,0x74c000ef,0x26ba200e,0x2e002ffe,0x9ff3004f,0x37f7fa60,
    0x7e77d400,0x9317ec0d,0x015555df,0x09828000,0x1f623d90,0xd003fd88,
    0x7ec01367,0x0dbd1002,0x016fedc0,0x740013ee,0x6c09d30d,0x02ffffff,
    0x36002744,0x0018000d,0xf9001fc4,0xe986f407,0x03fd8804,0x3ffea5fb,
    0x987fffff,0xaaa8aaaa,0x2aaa22aa,0x00001aaa,0x80000008,0x00c002fd,
    0x53ee0000,0x0001aaa8,0x6567fd40,0x000003ff,0x17997100,0x000f3326,
    0x000bf600,0x7ec01000,0xddffd912,0xfff887bd,0xfffffcff,0x3fffffe7,
    0xcccb885f,0xd9301bcc,0x6dc0355b,0x5fb002ce,0x42f32e20,0x2e23ccc9,
    0x99930bcc,0x3fa9f707,0x66540fff,0x2f32e22c,0x3d30ff61,0x05999970,
    0x99999990,0x7fffe479,0x05fffff5,0x00599997,0x99710bf6,0x222ccb85,
    0xcccccccc,0x985fb3cc,0xfdb7006f,0xffdddb3f,0x7f7776dc,0xfffffc85,
    0x7ff446ff,0xe986ffff,0x00dfffff,0xffc817ec,0xfffff5ff,0x57ffff25,
    0x5c2fffff,0x3dffe8cf,0x97ffffc4,0x2e6ffffc,0xffa801ef,0xff806fff,
    0x25ffffff,0x951befd9,0xffa819ff,0xfb006fff,0x0ffffb85,0x223ffff5,
    0xffffffff,0x985fb6ff,0x3fc4006f,0x3ea03fcc,0xfeccb985,0x5f7e41cd,
    0x7c47ffba,0x5ffeacff,0xd9817ec0,0xff951bef,0x2fbf6619,0x819ff951,
    0x02ffedfb,0xb88f3fee,0x3fe21ffd,0x97102dff,0xf805fffd,0x5ffccccf,
    0x1fe827dc,0xfffecb88,0x217f4402,0x3a23ffb8,0x33fe23ef,0x6fdcdfec,
    0x06f985fb,0x7cc3fc40,0x402fd407,0x0ff882fd,0x3bf63fcc,0xb01ffcc0,
    0x827dc05f,0x827dc1fe,0xfffb81fe,0x53fc400f,0x5c1be635,0x100effff,
    0xf80bfbff,0x703bf60f,0x807fa09f,0x205fdff8,0xf900fff9,0x107fe61d,
    0xf997ecff,0x6f985fb6,0x4c3fc400,0x02fd407f,0x7fc417ec,0x3fe23d80,
    0x6c0df902,0x413ee02f,0x827dc1fe,0xfffb81fe,0xf0ff803f,0x1017eabf,
    0x3ee07fd7,0x3a00ff8e,0x2e07fee7,0x403fd04f,0x00ff8efb,0x7401ffd1,
    0xf109fd4f,0x6f997ecf,0x47f985fb,0x7f880cb9,0x7d407f98,0xb02fd805,
    0x2a0159ff,0x03fe607f,0x9f7017ec,0x9f707fa0,0x3ee07fa0,0x7404ffcd,
    0xb8fffa9f,0x7cc1ec4f,0x3f67fd06,0x7fcca603,0x3a09f703,0x6cffa01f,
    0x017ec03f,0x40dfbff3,0x3e8bf64e,0xdffb05fb,0x9985ffff,0x1fe609ff,
    0xfb00bf50,0x3fffa205,0x027dc3ef,0xd99887fa,0x4fb819bf,0x4fb83fd0,
    0x9f903fd0,0x6c033fee,0xcbfffdaf,0x907fe63f,0x21ff309f,0xfe8806fa,
    0x7413ee05,0x21ff301f,0x17ec06fa,0x007ffee0,0x5fb02fd8,0xdffffb30,
    0x7ffffcc5,0x07f98fff,0xb06bafd4,0xfeb9805f,0x81bee4ff,0xfff50ff8,
    0x41ffffff,0x83fd04fb,0x43fd04fb,0x3fa4fff8,0xfbfc86ff,0x22fddfcf,
    0xffdefff9,0xccefc81f,0x7ec02ffc,0xe827dc06,0x99df900f,0x7ec05ff9,
    0x004fe802,0x2fd817ec,0xfe880cc0,0xf36fffff,0xfd5fa80f,0x0605fb03,
    0x7cc3fee2,0x54ff700f,0xffffffff,0x7413ee0e,0xe827dc0f,0x93ffa20f,
    0xfb85fffd,0xffff8eff,0x3ffffe21,0xfff882ef,0x205fffff,0x31b20ffc,
    0x20ff10ff,0xfffffff8,0x00bf605f,0xfb000bf6,0xd80bf605,0x6f980003,
    0x1feafdc0,0x2fb81fe8,0x1ffc5fb0,0x40005fe8,0x87f887f9,0x07f887f9,
    0x7ffd4000,0x081fffb3,0x7dc09fd1,0xffccccce,0x742ffa80,0x433fe21f,
    0xdf705fe8,0x1ff99999,0x3600ff20,0x17ec002f,0xff102fd8,0x09f90000,
    0x19fd3fe8,0xefd83fdc,0xa83fee22,0xffd51dff,0x10175c01,0x3fa219ff,
    0x10cff885,0x3d900bfd,0x23fff500,0x7ec07ffb,0x6c13fa02,0x4effc44f,
    0x541ff999,0x0fffefff,0x3f609fd0,0x409ff504,0x3001bfd9,0x5fb017fb,
    0x5c002540,0x2e1fffcc,0xd0fffdcc,0x5fffdfff,0x3bffff20,0xffc84fff,
    0x202fffff,0x7d406eca,0x00fffeff,0xfffdfff5,0x05ecb801,0x3e26ff98,
    0x417e407f,0x266ffff9,0x3ee6ffff,0xffffffff,0xdfffe981,0x6ffff980,
    0x41bfffe6,0x7fcc0ffd,0x500fffff,0x1dffffff,0x01d017e4,0xfffff980,
    0x3ffffe22,0x3ffae21e,0x33aa02ef,0x203fffff,0x01effffa,0x4c01ffdc,
    0x400dfffe,0x00dfffe9,0x8802ffd8,0x037ec4ff,0x7ff4c0e2,0x3fffa66f,
    0x3ffffee6,0x2201ffff,0x3ffa6009,0x3fffa66f,0x3a602206,0x00efffff,
    0xdfffffd3,0x00008030,0x2a603553,0x04c400aa,0x000ccc00,0x00000131,
    0x44000988,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0500002a,0xd9300000,0x2000355b,0x80000018,
    0x02b80018,0x88000000,0x1acccccb,0x05c47300,0x4c006200,0x22002e23,
    0x711cc001,0x54018001,0xe986f40c,0x0017fd44,0xf9000fd8,0x3ffa2007,
    0xde86ffff,0x17e49d30,0x00fa64f8,0x6c005e98,0xd327c01f,0x261bd007,
    0x7fffe44e,0xe805ffff,0x4009f70f,0xfe8804fa,0xfc80df51,0x7405b9df,
    0x4009f70f,0xbff300fc,0x0efcff98,0x0007fec4,0xd3003fd1,0xc801df9f,
    0x7ffbabef,0x0efcff98,0x77d40bf6,0xf5000dfc,0x3fa2001b,0xfcefa801,
    0xcff9800d,0x7fdc40ef,0x02ffeccc,0x001711d4,0x7e4013ee,0x440ffe26,
    0x02ffe9ae,0x001711d4,0x7d403fd1,0x03fd887f,0xd90017f4,0x4c37a001,
    0x03fe205e,0x3f620ff3,0x2202fd83,0x27c002fd,0x80036200,0x44002fd8,
    0x07fc03fd,0x00001be6,0xf1002f88,0x006fc87f,0x20000006,0x7fcc00eb,
    0x3f600206,0x00000002,0x6c07fc40,0x2fd80403,0x00000080,0x00555544,
    0x00800020,0x0ff80ff8,0x01676dc0,0x87fb8000,0x36e02ff8,0x997102ce,
    0x0f332617,0x97fe6000,0xcccccccc,0x2602fd83,0xcccccccc,0x9999703c,
    0x59ffb005,0x66665401,0x05fb1bcc,0x00599997,0x03999995,0x02ffffd8,
    0x59999971,0x6665c403,0x40cccccc,0x1bfa60ff,0xfffffe98,0x6665c40d,
    0x7f401acc,0xd30bfb03,0x81bfffff,0xff5ffffc,0x32e25fff,0x11665c2c,
    0x7fffcbff,0xfd85ffff,0x3ffffe02,0xa85fffff,0x806fffff,0x3effffe8,
    0x7fffffc4,0xa85f96ff,0x406fffff,0x7ffffff9,0x17ff6cc0,0xffffffc8,
    0xfff905ff,0x3fffffff,0xfffffff8,0x9fff101f,0xfc8bffd5,0x5fffffff,
    0x7dc0bfe0,0x567ffc46,0x7ecc5ffe,0x9ff951be,0x43fffee1,0x3e1ffffa,
    0x3333fe4f,0xcfd85ffc,0xffbfb500,0x710bfb99,0x005fffd9,0x13fffae6,
    0x99bfd995,0x97103aa3,0xa805fffd,0x002cdfec,0x7dc40bf6,0x2ffecccf,
    0xccdffb88,0x7fc1ffcc,0x200fffff,0x7fcc0efd,0x333fee23,0xf882ffec,
    0xd8ff500f,0x1ffcc0ef,0x0ff413ee,0x7447ff71,0xf1ff43ef,0x4077ec1f,
    0x3f207ffa,0x817ea6fa,0x405fdff8,0x00ffb881,0xf10005fb,0x3200bfbf,
    0x2fd8003f,0x3e607fc0,0x3a03fe06,0x54d7fc1f,0x5ff105ff,0x3fe1bf20,
    0x7d437cc0,0x447fe207,0x8df902ff,0x03fd04fb,0x3fe61df9,0x9fa2fe81,
    0xff701ffb,0x77cf7c0b,0x2e04f9a8,0x700ff8ef,0x40bf605f,0xfb8002fd,
    0xc800ff8e,0x2fd8003f,0x7fc07fc0,0x56e1ff00,0x260ff87c,0x07fa84ff,
    0x1ff03fe6,0x7f981ff0,0x7d43fe60,0xb83fe607,0x203fd04f,0x209fd4fe,
    0x7cca60fc,0x80ff603f,0xfdff9bf9,0x4ffa009a,0x5dfb03fd,0xd807fdc4,
    0xd01fa82f,0x200ff67f,0xfd8003fc,0xd307fc02,0x55ffc0df,0x5ff100ff,
    0x7dc2ff98,0x3e0ff404,0x21bfa60f,0xff501ff8,0x3fa027dc,0x7f413ee1,
    0xdfbff301,0x17fa2000,0x7e405fb0,0x03ffff99,0x6fa87fcc,0xfdffff90,
    0x17ec09ff,0x7fcc17e4,0xf900df50,0x05fb0007,0xfffffff8,0x3fffe01f,
    0xfffb80ff,0x9bff20ff,0x3fe206fb,0x7fffffc0,0x05ff01ff,0x06fb9bee,
    0x4fb83fe2,0x7dc03fd0,0xfb0001ff,0x405fb00d,0xffffdcfe,0x6677e402,
    0xcea82ffc,0x403fffff,0x82fd82fd,0xffcccefc,0x4c1fe402,0xf00bf602,
    0x01ffffff,0x0ffeeff8,0x0effffa8,0x1ff32ff4,0x3fe1fee0,0x200fffff,
    0x49fd04fd,0xff700ff9,0x1fd04fb8,0x5c04fe80,0x907fe41d,0x2205fb0d,
    0xeaefffff,0x3fffe200,0xa805ffff,0x05fb001f,0xfff885fb,0x405fffff,
    0x00fe83fc,0xaff805fb,0x7c05ffa9,0x00e4fd0f,0xd03ff800,0x535ff0bf,
    0x7fd40bff,0x3e0ffcc0,0x98bfd03f,0x807f887f,0x1ff402fd,0x1fe85ff5,
    0xbfb80ff4,0x43646fa9,0xcccccefb,0x37cc00ff,0xfd82fd80,0x66677dc2,
    0x3200ffcc,0xb00ff83f,0x20ff805f,0x3fe04ff9,0x813ea110,0xffa804e9,
    0x01ffd51d,0x27fcc1ff,0x5fd89fd0,0xd51dffa8,0xcff881ff,0xb00bfd10,
    0x2218805f,0xf9999dff,0x40dfd11f,0x33df50fd,0x4fe81ff3,0x6dc09fb0,
    0x366201fc,0x0bf609bf,0x13f609fd,0x4cce7ecc,0x26620ff9,0xf8819bfd,
    0x417fcc2f,0x9999aff8,0xfb7305fb,0xffff9003,0xff105fff,0x502ff985,
    0x07fe61ff,0x7fffffe4,0xdfff502f,0xd9801fff,0x3ee001bf,0xffffffff,
    0xf305df51,0xffffdfff,0x3e61ffff,0x3fe66fff,0x9fb306ff,0x3ffffe20,
    0x25f95fff,0x266ffff9,0x3e26ffff,0xffffffff,0xffff50ff,0x2e1fffff,
    0x320fffff,0x3ffee6ff,0x5fffffff,0x400bff30,0x81effffa,0x20fffffb,
    0x3fb06ffc,0xff5013ea,0xe9803dff,0x2600dfff,0x0fffffff,0xfffffb80,
    0x8061ffff,0xffdefff8,0x30ffffff,0x74cdfffd,0x40006fff,0xfffffffe,
    0xfffe9864,0x9bfffa66,0xffffffe8,0xff50ffff,0x1dffffff,0x03bfffea,
    0x7ffd4bfd,0x5fffffff,0x98800040,0x3fffea00,0x102ff40e,0x02620018,
    0x30013100,0x1dfffffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10aaa980,0x2e259997,
    0x666542cc,0x01f401cc,0x0002b880,0x000004d8,0x205554c0,0x664c3cca,
    0x0000003c,0x40062005,0x000c0000,0x04000000,0x00188004,0x3ffe6018,
    0xfffff93f,0x23ffff93,0x7ffffff9,0x0003fe20,0x8000f6fa,0x05f906fa,
    0x1f223d70,0xff1ffff6,0x7fffc5ff,0x00bf203f,0x4007ec40,0x42e802fb,
    0x00fc804d,0xc8005f90,0x20f9802f,0x2fb801f8,0x4403f200,0xf713ffec,
    0x3bfea79f,0x66ff6543,0x0027ec02,0x0002cda2,0xdfe985fd,0x3f6200df,
    0xefd82fec,0x7ffed43d,0x019ff930,0x01bfbfd3,0x000f7440,0xbfb809f7,
    0x3a201fca,0xdfe9801f,0x7f4c00df,0x77400dfd,0x2e006ebb,0x0ff4404f,
    0x7fc3fc80,0x401dff30,0xff3003fc,0x1edd8001,0xd0ff5000,0x2013a61b,
    0x5fb00dfb,0x227ffd40,0x21bd01fe,0x376004e9,0x01fa8000,0x2016fedc,
    0x1bd000eb,0x1bd013a6,0xd91013a6,0xfa80019d,0x8003ae01,0x547fc3fc,
    0x3fc805ff,0x0013f600,0xfe800026,0x00800003,0xdf5017ec,0x10ff43ff,
    0x00001755,0x00000000,0x00000000,0x00000000,0x3fc80000,0x027feffc,
    0x26003fc8,0xccb800ff,0xf98002cc,0x6666540f,0x332a1bcc,0xb1e664c3,
    0x66fd405f,0xfc87fa6f,0x32a000ff,0x1e664c3c,0x99999971,0x66541999,
    0x711bcccc,0x99999999,0x8de64c19,0x2e21bcc9,0xcccccccc,0xccccb80c,
    0xcccca802,0x332a1bcc,0x201bcccc,0x7fffc3fc,0x07f9005f,0x5403fe80,
    0x006fffff,0x7fc44fd8,0x26ffffff,0x3fe2ffff,0x05fb3fff,0x9ffc6fd4,
    0x3ff261fe,0x3fffe000,0x4fffffe2,0xfffffffc,0xfff11fff,0x32dfffff,
    0xffffffff,0x3fffe1ff,0x64dffff5,0xffffffff,0x7ffd41ff,0x7fc406ff,
    0x16ffffff,0xffffffff,0x3e1fe40d,0x00dffcff,0x814c1fe4,0x65c407fa,
    0x2002fffe,0xcca80ff9,0x2a1ccdfe,0xf930fffd,0x80bf619f,0xd1ff55fa,
    0x001ff03f,0x987ffed4,0xf710cffc,0xff9999bf,0x6ff66543,0xbff711cc,
    0x43ff9999,0xfb51cffa,0x6ffdc43f,0x41ffcccc,0x2fffecb8,0x6ff66540,
    0x3b32a1cc,0x3201ccdf,0xf88ffc3f,0x41fe404f,0x05fd00fe,0x0bfbff10,
    0x6c027ec0,0x3ffea02f,0x5fb0ff44,0xbfb2fd40,0x73ff03fd,0xffa80599,
    0x7c0ff44f,0xb01fe80f,0x407fc05f,0x207fc1fe,0x01ff05fa,0x3fe203fd,
    0x3f6005fd,0x002fd802,0x20ff87f9,0x3f200ff9,0xf700ff83,0xf1df700d,
    0x1ff1001f,0x5405fb00,0x3fa1ffef,0xfa80bf61,0x07fffe25,0x3ffffffe,
    0x3ffbea05,0x3fe07fa1,0xd81f2b70,0x5c3fe02f,0x81ff0f95,0x21ff05fa,
    0x7dc0f95b,0xb000ff8e,0x05fb005f,0xff88ff20,0x4c067ec2,0xf9999cfd,
    0x00bfe00f,0x00ff67fd,0x7ec017f2,0x3f37ea02,0x2fd87fa6,0xfb837ea0,
    0xefff81ff,0xf502ffcb,0x0ff4df9b,0x07fd5ffc,0xff017ec0,0x7c01ff57,
    0x5fcaaabf,0x1ff57ff0,0x3f67fd00,0x005fb003,0x3f2005fb,0x1fffff73,
    0x7c53ffe6,0xffffffff,0x1bee00ff,0xdf50ff98,0x001ff880,0x6fd405fb,
    0x43fd3ff8,0xfff702fd,0x40fff49f,0x82fdc4ff,0xd3ff8dfa,0xfffff03f,
    0x05fb001f,0x07fffffc,0xfffffff0,0x3fffe0bf,0x7fcc00ff,0x3600df50,
    0x02fd802f,0x3fea7f90,0x3ff60eff,0xfffffd13,0x401fffff,0xdf901ff8,
    0x405ff999,0x3f6005fb,0x7d57ea02,0x3f61fe8f,0x7ffff502,0x7fc0ffcc,
    0xfa837cc0,0x3fd1ff55,0x1ffddff0,0x7c05fb00,0x200ffeef,0xfeeeeeff,
    0xffddff05,0xccefc801,0xfd802ffc,0x002fd802,0x000007f9,0x85fc8000,
    0xfffffff8,0x00bfe05f,0x3ea02fd8,0x87fb7f65,0x000002fd,0x06f981ff,
    0x76fecbf5,0xfd0ff81f,0x02fd80e4,0x393f43fe,0x2fd40ff8,0x64fd0ff8,
    0x7ffffc41,0xfd805fff,0x002fd802,0x1f5407f9,0x0013a600,0xdf707fe2,
    0x1ff99999,0xd800df70,0x897ea02f,0x3f61ffff,0x013a6002,0x0df303fe,
    0xfff897ea,0x110ff81f,0x17ec13ea,0x54221ff0,0x2a07fc4f,0x221ff05f,
    0xefb89f50,0x0ffccccc,0x6c017ec0,0x3fb6202f,0x0fb7303f,0x00fedcc0,
    0x3fa27e40,0xfd09fb04,0x3f662005,0x0dfa809b,0xfd87ffee,0x6dcc03ee,
    0x20ffc01f,0x1bf506fa,0x220fffdc,0xb9999aff,0x5fecc45f,0x4d7fc409,
    0x7c5fb999,0x4437d41f,0xb9999aff,0xd827f45f,0x7fb3104f,0x7fb31013,
    0xffff3013,0x013fea07,0x0005ff98,0x3ffe6df1,0x3fffe66f,0x2201be26,
    0xffffffff,0x93fffee5,0x3ff61ffe,0x2ffcc07f,0x27ffff30,0x2e0ffffc,
    0x3fa4ffff,0x3fffee1f,0x15ffffff,0xffffffff,0x3ffffeeb,0xf35fffff,
    0x3ffa9fff,0xffff70ff,0x2bffffff,0x266ffff9,0x3e26ffff,0x5fffffff,
    0xfffffff1,0x155510bf,0x01000080,0xfd309800,0x7ff4cdff,0xe8004c6f,
    0x4fffffff,0x98ffffea,0x2aaa61ff,0xe9801000,0xfff72fff,0x7fffd41d,
    0xfa87fe63,0xffffffff,0x3ffffa5f,0xfff54fff,0xbfffffff,0x6d3fffa6,
    0xff50efff,0xffffffff,0x9bfffa6b,0x746fffe9,0x4fffffff,0x3ffffffa,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00f62000,0x7b100004,0x65400000,0x400a9cee,
    0x77640018,0x1cc02eee,0xedb8002e,0x2239802c,0x006d400b,0x0d400aa2,
    0x40000015,0xb8bdeca8,0x00036a00,0xdb107971,0x8801bddd,0x07fb8001,
    0x803d83f0,0x1fcc07fb,0x3fa203f7,0x04ffffff,0x16e77ff2,0x39999950,
    0xbf51fd80,0xffffd300,0x87f401bf,0x27f404fb,0x2003fea0,0x000bf37f,
    0x7f440f88,0x04ffffff,0xfb8013fa,0x65c43fff,0x3200bccc,0x805b9dff,
    0x7d9003d8,0xb1001fb5,0xfbbf9007,0x33bfe209,0x105ffcaa,0x05ffd35d,
    0x88e60000,0x7ffc401b,0x205ffeac,0x5002e23a,0x0eea803b,0x5fabfc40,
    0x107d4000,0xfd757dfd,0x00ed409f,0x01979ff0,0x57440101,0x0002ffe9,
    0x1cfeb880,0xdd300000,0x4077d403,0x006004fb,0x002cedb8,0x03bf6000,
    0x00007ff3,0xf3000000,0x97113eef,0x33326379,0x077e47ec,0x000027ec,
    0x5f980bf5,0x018003f6,0x539dd950,0x54400001,0x00b8bdec,0x900fec00,
    0x4c3cca81,0xfe983ccc,0x200dffff,0x402ccccb,0xdf902ff8,0x666665c4,
    0x32a0cccc,0x21bccccc,0x400aaaa8,0xc89f96f9,0xfff5ffff,0x1fe87fff,
    0x32e25f30,0xcccccccc,0x8807f900,0x5403ae3e,0x1bcccccc,0xfffffe88,
    0x332e24ff,0x0ccccccc,0x7fffff44,0x999714ff,0x1fe20379,0x8bfffe00,
    0x223fffff,0xffeacfff,0xfffff505,0x207fa80d,0x3fff27f9,0x1fffffff,
    0xfffffff1,0x7fffecdf,0x33ff6a02,0x3f662efe,0x9ff951ce,0x2007f883,
    0xfffffffc,0x765c1fff,0x00002cdf,0xfffffff1,0xceff88df,0x325ffcaa,
    0xffffffff,0x3bfa21ff,0x94ffebab,0xdfffffff,0x8005fa85,0x930fffda,
    0x77ec19ff,0x441ffcc0,0x02fffecb,0x3ff013ee,0x3337fee2,0x32a1ffcc,
    0x21ccdfec,0x102ffeda,0xffffffff,0xe827dc3f,0x005fa81f,0x3337fee2,
    0x3e61ffcc,0x447fffff,0x2aa60aaa,0xdfecca82,0x077d41cc,0xff7127dc,
    0x3ff9999b,0x7ec077e4,0xb99dfb14,0x37d43fff,0x0bbffff2,0xfe89fff5,
    0x640bfe21,0x37fe206f,0x81bea05f,0x07fc0ff8,0x2fd80ff4,0x2a02fd80,
    0x3dffcefe,0x1fe827dc,0xf8006fa8,0x4c1fe80f,0x641acfea,0xfff51fff,
    0x202fd80d,0x203201fd,0x21fe80ff,0x45f301fe,0x26fd85fa,0x3ff60ff8,
    0x77d42fff,0xa87fa1ff,0x03fe607f,0x07fc77dc,0xf700ff88,0x56e1ff0f,
    0x00bf607c,0x9f700bf6,0x13ee07fa,0x7fc40ff4,0xb87fc000,0x1fe40f95,
    0x911ffd98,0x2fd80dfd,0x2000ff10,0x9f2b70ff,0x7d4007f8,0x3e2fe885,
    0x2fdcc43f,0xd37e6fd4,0x2027dc3f,0x27fd01fe,0x0ffa03fd,0x5ffc2ff4,
    0xfd800ffa,0x202fd802,0x1ff9cfd8,0x3fd04fb8,0x09813f60,0x07fd5ffc,
    0x3a01fe40,0x2037cc1f,0x0bf502fd,0x3eaffe00,0x005fa80f,0x4fc82fd4,
    0xf910bbf2,0xff1bf50b,0x6fb87fa7,0x2603fe20,0x40df50ff,0xfd51dffa,
    0xfffff01f,0x05fb001f,0x3ee05fb0,0x5fffffff,0x1fe827dc,0xb839ff50,
    0x7ffffc6f,0x03fc800f,0x1be60ff4,0x3ea05fb0,0x77fffe46,0x7fffffc2,
    0x4006fa80,0x8bf705fa,0xfffefffe,0xf55fa85f,0x7cc3fd1f,0x20ff700f,
    0xffcccefc,0x3fffea02,0xdff02fff,0xfb001ffd,0x3f666205,0x7ffdc19b,
    0x5c4fffff,0x401fd04f,0xffeffffb,0x7f77fc3f,0x03fc800f,0x1be60ff4,
    0x3e205fb0,0x3ffff60f,0x7f77fc2f,0x00ff880f,0x7dc17ea0,0xffffeb84,
    0x25fa80be,0x7c1fedfd,0x10bfd03f,0xffffffff,0xffff980b,0x743fe01d,
    0x17ec0727,0x7fffffdc,0x4ff40fff,0x0ff307f8,0xfb500ff1,0xff05dfff,
    0xb01c9fa1,0x41fe805f,0x17ec06f9,0xb9887ff0,0xfd0ff85f,0x409fb0e4,
    0x6417ea09,0x004cc03f,0xfff897ea,0x8effd41f,0xfb80ffea,0xffccccce,
    0x33ffee00,0x21ff0751,0x3609f508,0xffffa82f,0x740effff,0xf107f99f,
    0x17fa219f,0x7c02f980,0x13ea110f,0x3fa007fc,0xb01bfaa2,0x177e405f,
    0x3fe17f22,0xa93ea110,0x37dc1cff,0x3ff10bf5,0x540274c0,0x3ffee0df,
    0xfffffc81,0x09fd02ff,0x7fcc13f6,0x0fffffff,0x2666bfe2,0x6cc45fb9,
    0x9f1009bf,0xdf31ff00,0x7f7ffd40,0x3e6000ff,0x35ff100e,0x26bf7333,
    0xc805fdcd,0xfffffeff,0x9bfd9886,0xfdfffd00,0xff88bfff,0x5fb9999a,
    0x7f7fffdc,0x277ea3ff,0x205fea99,0x2e01fdb9,0x3fa4ffff,0xffff501f,
    0xffff303d,0x37fffccd,0x7ee6ffd4,0x3ffee2df,0x5fffffff,0xfffffff1,
    0x1337a0bf,0x05fa8ff8,0x06ffff4c,0x03f9b700,0xfffffff7,0x3ff2bfff,
    0xffb001ef,0x44bffbff,0xffffffff,0xffffd705,0x7ffdc17d,0x5fffffff,
    0xeffffda8,0x3ffffee2,0x2600efff,0x7fd405ff,0x07fe63ff,0x74c01310,
    0x3fa66fff,0xa80006ff,0xffffffff,0x3fffa5ff,0xb304ffff,0xe8aec05d,
    0x00131003,0x2a09db30,0xffffffff,0x00b2a5ff,0x3a006620,0x4fffffff,
    0xf5009980,0xffffffff,0x501980bf,0x7bdfffff,0x00000400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00c40000,0x3b200000,0x2602eeee,0x1cc02e23,0x3b500171,0xeeeeec80,
    0x99500002,0x22379999,0x9931bccb,0x00a88079,0x55555510,0xccb88000,
    0x0ccccccc,0x00000000,0x76402e20,0x0002eeee,0x277fee00,0x0f90006b,
    0x39999950,0x4fb87f40,0x13ee1fd0,0x95013fa0,0x98039999,0x7c43e8af,
    0x6fffffff,0x3ebffff9,0xd102ffff,0xfe8801d9,0xd806ffff,0x7ffe4d95,
    0x1fffffff,0x40005f30,0x6edc01fa,0x502fe88b,0x00399999,0xae8007f1,
    0x4003ffe9,0x00002fd8,0x805c4750,0x2002e23a,0x800001da,0x80ee9df9,
    0xccdfecca,0x239dfb31,0x700cffca,0x5fb00ae7,0xd80db333,0x2e22fc9f,
    0xfccccdff,0x00ff201f,0xe9813ee0,0xefffffff,0xf7000000,0x004c0009,
    0x7100f6c0,0x33261799,0x0000003c,0xccca8000,0xbf01bccc,0x3f6003ba,
    0x3a09f702,0x3afa201f,0x2e427c00,0x03f73f90,0x07fa03fe,0x5c007f50,
    0x3ffe203f,0x01fffcad,0x00599997,0x2e009f50,0x8002cccc,0xff90cc09,
    0x3fffebff,0x33332a2f,0x99711bcc,0x642ccb85,0x3ccccccc,0x3fffffe2,
    0x00c306ff,0x3ee05fb0,0x8803fd04,0x17fdc00b,0x00442200,0x3e56e1ff,
    0x22000880,0x3077ec01,0xff507fff,0x2000dfff,0xfffa8008,0x5cc006ff,
    0x267fa8ac,0xf951befd,0x3ffe219f,0xf76fffff,0x3fea1fff,0x3fffe1ff,
    0x6545ffff,0x11ccdfec,0x554c1555,0xb817ec02,0x443fd04f,0x2aa60aaa,
    0x67f77e42,0x15973000,0x7fd5ffc0,0x41555100,0x2a202aa9,0x3e20a9cc,
    0x3fbfe22f,0xffecb887,0x332a002f,0x765c400a,0xe8802fff,0x4fffffff,
    0x1fe827dc,0x66ff6654,0x47ff711c,0x7fc3efe8,0x05ffcccc,0x3ff20bf6,
    0x0dfff51f,0x9f702fd8,0xffc87fa0,0x8dfff51f,0x80fff25e,0x4fffffe8,
    0x1ffffff0,0x547fff20,0xfe886fff,0x2a4fffff,0x7c77f47f,0xfbff100f,
    0xfffd500b,0xff1009ff,0xfe980bfb,0x87ffebdf,0x03fd04fb,0xdf9017ec,
    0x3e07fe61,0x803bf60f,0xffd982fd,0x80dfd911,0x09f702fd,0xffd987fa,
    0xb8dfd911,0x037fa64f,0xff9bffd1,0xfddff09f,0x3ff6601f,0x90dfd911,
    0xbff979df,0x1ff927dc,0x77dc07fa,0x3e600ff8,0x4ffdbcef,0x7fc77dc0,
    0x4c37f600,0x7dc3ffff,0x6c03fd04,0xea7f402f,0x7dcfd04f,0x017ec01f,
    0x06f983fd,0x4fa817ec,0x3fd01ff0,0xefb86f98,0xfc83bee2,0x217fd40e,
    0x0e4fd0ff,0x1be60ff4,0x2e882ffa,0x97fd57ee,0x7fd00ff8,0x5fe80ff6,
    0x3a01ffa8,0x7c07fb3f,0xf7bff31f,0xfd04fb8b,0x2017ec03,0x206fdff9,
    0x007ff329,0x0ff405fb,0x5fb01be6,0x3e61fe20,0xf983fd07,0x21bfd506,
    0x40ffa3f9,0x887fc4fc,0x3fd09f50,0xffb86f98,0x7cc0bdef,0x3ee3ff9f,
    0x2a1ff307,0xddff106f,0x07ffdddd,0x37d43fe6,0xbff37f98,0x09f71be6,
    0x2fd807fa,0x01fffb80,0xb005fe88,0x20ff405f,0xfb3306f9,0x19fb0137,
    0x7f417fa6,0x2e037cc1,0x3e4fcbff,0x44bf500f,0xb9999aff,0x4c1fe85f,
    0xfffd706f,0xfffe83ff,0xfc82ff45,0x82ffccce,0xfffffff9,0xdf904fff,
    0x205ff999,0x366ffafe,0xe827dc4f,0x00bf600f,0xfd8027f4,0x80bf6006,
    0x237cc1fe,0xfffffff8,0x77ffd45f,0x3fd00fff,0xe8806f98,0x0ffa0dff,
    0xfffba7ec,0x5fffffff,0x37cc1fe8,0xdfb5305c,0xd50fffa8,0xfff101ff,
    0x10bfffff,0x555559ff,0xfff10355,0x20bfffff,0xc98efffb,0x43fcc2ff,
    0x17ec07f8,0xc802fd80,0xd81b20ff,0xa8bfa02f,0xfffe86fe,0xd884ffff,
    0x3a00bfff,0x21bfaa2f,0x5c2fc41c,0xff910bff,0x3ffffea3,0xe85fffff,
    0x51bfaa2f,0x0ff981df,0x3fbfffee,0x9df702ff,0x01ff9999,0xa9883dfb,
    0xcccefb80,0xf980ffcc,0x3fffeeff,0xd10cff88,0x02fd80bf,0xfa805fb0,
    0x220ff42f,0xc809bfd9,0xfffffeff,0x4007f106,0xdff9005e,0xf8dfffff,
    0xfd827c43,0x03fffeff,0x7e40be20,0x6fffffef,0x3fbbffea,0x33fe64ff,
    0x201efffd,0x09fb04fe,0xffdffff1,0x09fd09ff,0xdfd113f6,0x405dffff,
    0xfffefffa,0x37fb3100,0x0dfecc01,0x999dff88,0xfff11ff9,0xb0bfffff,
    0xbffbffff,0x40266fc0,0x6c00dbfc,0x5ffdffff,0x7ff7777c,0x3fffae01,
    0xedf8002e,0xdffffd82,0x3fbe25ff,0x320cffff,0x9802624f,0x3e66ffff,
    0xfd886fff,0x20cfffff,0x266ffff9,0x3ee6ffff,0x4c00310e,0x880dfffe,
    0xffffffff,0x7ffffcc5,0x7ffdc0ff,0x21ffffff,0xfffffffe,0x80033104,
    0xd8802eea,0x0331004e,0x39ddddd0,0x00026200,0x3100bc98,0x0d4c4003,
    0xe9800288,0x3fa66fff,0x4d4c06ff,0xdfffd300,0x237fff4c,0x9880000a,
    0x7ffff400,0x7f4c4fff,0x5c0effff,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x65c00000,
    0x44002ccc,0xd902aaaa,0x0005dddd,0x00bcb980,0x00000000,0x00051000,
    0x00000000,0x00001980,0x00000440,0x22000002,0x02a2002d,0x7ffffd40,
    0xfffd8806,0xca82ffff,0xf801cccc,0xffffa803,0x01ee000e,0x54003f50,
    0x05f9001f,0x20001d70,0x7dc001fa,0x04ddb800,0x9103e980,0x2e0019ff,
    0x416c2ced,0x80732fea,0x800dfffa,0x971005fc,0x4405fffd,0xdeafcefe,
    0xfa800000,0x4c3be205,0x2fd8804f,0x8013ee00,0x3f6004fb,0x02fd8802,
    0x20027dc0,0x21d003fc,0x06fd4006,0x03e99eb8,0x7fffff4c,0xcf885f0d,
    0x2a04fefc,0x700dd34f,0xff88009f,0x5bee05fd,0x5c45e9f9,0xcccccccc,
    0x82fcc00c,0x4036c0fc,0x3ee001ed,0x00bee002,0x64009fb0,0x05f7001f,
    0x2002fc80,0x26005cdb,0xd717404f,0x567ffc40,0x80fbeffe,0x3100b260,
    0x00020050,0x03fe3bee,0xe9f9a7ec,0x7ffffe45,0x801fffff,0xf70dd018,
    0x40009801,0x00440008,0x37ffff20,0x22001800,0x00098000,0x018002a8,
    0xd81324c8,0x7ffcc0ef,0x982aaa21,0x32e602aa,0x2e6018ac,0xe8018acc,
    0x3207fb3f,0x8bd3f35f,0xcccdffb8,0x97301ffc,0xeb93e015,0x2cca80ff,
    0x9730072a,0x15551015,0x74c1554c,0x83fffeff,0x3002ccb9,0x54005997,
    0x5cc00acc,0x973002cc,0xdf303159,0xf88a63fd,0xc8df902f,0xfff51fff,
    0xffffb10d,0xfd885fff,0x02ffffff,0x37d43fe6,0x9facff98,0xd01ff05e,
    0xfffe883f,0xb9fc44ff,0x7fc0fddf,0xfffedfff,0xffffe882,0x8fffe44f,
    0xfc86fffa,0xfd0ff61d,0x405fffff,0x2ffffffe,0x3ffffaa0,0xffffd04f,
    0x3f6205ff,0x82ffffff,0x6febabb8,0xff981fea,0x447ff660,0xffd86fec,
    0x43ffecbe,0xfecbeffd,0x33bf203f,0xf302ffcc,0x20bd3fff,0x1f2b70ff,
    0xff9bffd1,0x4f97c49f,0xccee81f7,0x0ffcefff,0x3f37ffa2,0x3ff664ff,
    0xf0dfd911,0x640d983f,0x06fdbcde,0x3f6f37b2,0x79dff306,0xbd909ffb,
    0x360dfb79,0xffecbeff,0xbefec983,0x3a027dc0,0x4c1fe81f,0x40ffd46f,
    0x07fea3fe,0x7fc40ffa,0x05ffffff,0x82f4fe4c,0x00ffabff,0xffa81df9,
    0x25f15f12,0x3f6200fb,0xefc93f67,0x3a17fd40,0x2237cc1f,0x2110007f,
    0xd08802fe,0x50bfd05f,0xe84403ff,0x40ffd42f,0x3bfe23fe,0x6fb82cab,
    0x3a03fe20,0x3237cc1f,0x641b305f,0x201b305f,0xcccccefb,0x4fcc00ff,
    0xfffff05e,0x40ffa01f,0x367f14fc,0x75c0fdbf,0xeeefffff,0x640ffa6f,
    0x260ff44f,0x082fe86f,0xfffffc88,0xfff9102f,0xff885fff,0xffeeeeee,
    0x7fffe443,0x82fe42ff,0x5c2a20d9,0x7fcc6fdf,0x3a0ff701,0x3637cc1f,
    0x0bf6002f,0xd827f400,0x74fcc04f,0xffddff05,0x5403fe01,0x7ec4fe5f,
    0x3fffa2ff,0xffffffff,0x7d403fe7,0x3e60ff45,0xb9cffb86,0x3ffe23fe,
    0x882fffff,0xffffffff,0x7ffffcc2,0x224fffff,0xffffffff,0x00017ec2,
    0x3fe17c5f,0x3a0bfd04,0x3237cc1f,0x17f2005f,0xdffff300,0x037fffcc,
    0x3e0bd3f3,0xd0e4fd0f,0xe93f607f,0xff50cc45,0x2abbf615,0x40ffa2aa,
    0x20ff44fd,0xffc886f9,0x3f21ffff,0x05fb10ae,0x36215df9,0x567fc42f,
    0x21aaaaaa,0xfb10aefc,0x0005fc85,0x2a26c1f3,0xffd51dff,0xea8bfa01,
    0x057fd46f,0xaffa9766,0x3a62ecc0,0x3fa66fff,0x27e606ff,0x221ff05e,
    0x7fdc9f50,0x43ff910b,0x7fcc00fc,0x221ffd30,0x42ffee1a,0x7f41ffc8,
    0x981bfaa2,0x7fc0befe,0x20ffee21,0x3fee21ff,0x441efd83,0x887fe0a9,
    0x7fd43ffb,0xd02ecc0a,0xf901f519,0x05ffffff,0x7fff7fe4,0x7ffe46ff,
    0x645fffee,0xfffeefff,0x013a0005,0xf10bd3f3,0xf733335f,0xfefffd8b,
    0x0efc43ff,0xfeffe875,0x6ffeffff,0x7ff7ffec,0xfeffc83f,0x3606ffff,
    0xddff702f,0xb8dfffff,0xffffeeff,0x7fffc46f,0x2e4ffffe,0xffffeeff,
    0x77ffe46f,0x2605fffe,0x3ea03ffe,0xd801efff,0x5ffdffff,0xffffffb8,
    0xffffb80c,0x20000cff,0x76dc5eed,0xf71dffcf,0xffffffff,0xfffd70bf,
    0x3bfea05d,0x7fec44ff,0xdfffdedf,0xefffeb82,0x3ffff602,0x3f205ffd,
    0x3ffff202,0xfc85ffed,0x5ffedfff,0xfffffd88,0x7ffe40cf,0xb85ffedf,
    0x0cffffff,0x26200080,0x00cc4000,0x00266a60,0x000266a6,0xd9072e20,
    0x23ddb9dd,0xfffffffa,0x26205fff,0x1bdb9800,0x13102620,0x20013100,
    0x64400198,0x00099800,0x4c0004cc,0x0998009a,0x04cd4c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2024c2b8,0x4c01642c,0x543b8009,0x0770b204,0x01555100,
    0x6c0165c4,0x0ca81dc1,0x2aaa216a,0xd82aaaaa,0x22001dc1,0x00150aaa,
    0x02880330,0x6544d544,0x0102200a,0x06d40000,0x55555530,0xe997dc03,
    0x756fe403,0x7ffc401f,0xefa83dbc,0x3ee03fda,0x8002fead,0xe981fffb,
    0x203fffff,0x205f51ec,0x85fcaef9,0xfffffffa,0xf51ec85f,0xfffc8005,
    0x01c85fa9,0x3fe80ff1,0x3ffbffa0,0x1fd01fff,0xfea80fea,0x7e440732,
    0xfff703ff,0x6c03ffff,0xa800dfff,0xd5000dff,0x2203dfff,0xe9801efd,
    0x910000df,0xbffd03ff,0x2201ffb7,0x4404fffd,0xff502ffd,0x0bfddddd,
    0x009fffb1,0x323ff910,0xd702fcc4,0x2a02fc80,0xfebcfffe,0x174cd905,
    0xfefccf88,0x7e4bfa04,0xeeeffb83,0x0013004e,0x3e200288,0x2806fddf,
    0x40002800,0x545effed,0x201fe40b,0x00540018,0x07fb05b1,0x740000c4,
    0x6f981b1f,0x00200b20,0x7f883bf2,0xc8820000,0x06605402,0x730013ee,
    0x2e600599,0x82a002cc,0x995103fe,0x65cc0153,0x9951000a,0xb8007fa5,
    0x2b32a05f,0x5665cc00,0x3ff10018,0xa982aaa2,0x332a202a,0x98313fd2,
    0x0aaaaefc,0x0acca807,0x3fe0ff20,0x01597300,0x00159730,0x2e015973,
    0x3ffa004f,0x3a02ffff,0x02ffffff,0x7def7654,0x7ffff447,0xffe884ff,
    0x7d404fff,0x1fffffff,0x17fdcc40,0x7fffff54,0xffffd884,0xfa802fff,
    0x547fff26,0xff506fff,0x03ffffff,0xfffffff5,0xffea80ff,0x7f904fff,
    0xfe881ff0,0xd104ffff,0x209fffff,0x4fffffe8,0xdffeffb8,0xb79bd900,
    0x66f640df,0x3f206fdb,0x0fffffff,0x3f2f3bf2,0x6fff445f,0xf304fffc,
    0xffffb9ff,0x7fffc403,0xbceff985,0x7fec4ffd,0x03ffecbe,0x3f663fd8,
    0x0dfd911f,0xffb9fff3,0xfd9103ff,0x407bdddf,0xfdbceff9,0xf83fc84f,
    0x37ffa20f,0x7444fffc,0x4fffcdff,0x7e6fff44,0x7ffdc4ff,0x4400ffff,
    0x11005fd0,0x3fee0bfa,0x1fffb89c,0x2e882ffa,0x3ea077e4,0x20dfe82f,
    0x2201ffe8,0x740efffd,0x51ffa85f,0x07fd03ff,0xfe81ff88,0x7f437cc1,
    0x07ffa20d,0x74006f98,0x41ffa85f,0x20ff83fc,0x7fd40efc,0xf503bf22,
    0x2077e45f,0x33a62ffa,0x885fea8a,0x2ffffffc,0xfffff910,0x70bfd05f,
    0x7ffdc5ff,0x3fe80bde,0xff889f90,0x001ffa81,0x7fc4bfd5,0xffeeeeee,
    0x3660bf93,0xe837d400,0x2237cc1f,0x1ffa81ff,0x8801be60,0xeeeeeeff,
    0x3fffe3ff,0x7fd07fc6,0x3fe93f20,0x1ff49f90,0xf9804fc8,0x7ffffc47,
    0xff882fff,0x82ffffff,0x1ff882ff,0x7fffff5c,0xfa807fc1,0xff037cc5,
    0x33fcc003,0xffffffff,0x00bf69ff,0x3a07fb00,0x2637cc1f,0x807fe06f,
    0x3e6006f9,0xffffffff,0x17fff64f,0x807fc1ff,0x403fe5fa,0x403fe5fa,
    0x3ff005fa,0xd88577e4,0x0aefc82f,0x9fd05fb1,0x05c1ff30,0xfe8dfb53,
    0xf889fb03,0x01ff980f,0xff887fc0,0xaaaaaaac,0x4000bf91,0x3fd01ff8,
    0x7fc46f98,0x201ff980,0x3e2006f9,0xaaaaaacf,0xd1fe001a,0xe93f607f,
    0x749fb03f,0x009fb03f,0x0ffc1ff1,0xff07ff71,0x41ffdc43,0x3f621ffc,
    0xf303bea6,0x85ffdc1f,0xfe81ffc8,0x07ffa61d,0x6fc88171,0x2620f7ec,
    0x815ff50a,0x1bea05d9,0x3faa2fe8,0x261dfe86,0x3e601ffe,0x6c065cc7,
    0x054c41ef,0x7dc6fa80,0x3ff910bf,0xc885ffdc,0x2ffee1ff,0x263ff910,
    0x237ecc2d,0xfffeeffb,0x77fdc6ff,0x86fffffe,0xfffefffe,0x3bbffea1,
    0xffd84fff,0x303fffef,0xffffdfff,0x7ffdcbff,0x442ffffe,0xfffeffff,
    0x3bfff24f,0x3605fffe,0x3bff203f,0x4c6fffff,0xffffefff,0x3ff605ff,
    0x882ffffe,0xfffeffff,0xfd99104f,0xdfffb07f,0xffb07fff,0xb07fffdf,
    0x7fffdfff,0x7ff7ffd4,0xfffc82ff,0xc85ffedf,0xffedffff,0xffffc885,
    0x7ff7c41e,0xd700cfff,0x9805dfff,0xffdffffe,0x7fffec4f,0xffb101ef,
    0xb819ffff,0x0cffffff,0xfb003ae0,0x0bffbfff,0xfbffffd3,0x7ecc09ff,
    0x2202efff,0xcffffffd,0x9ffff500,0x77fff5c0,0x3fffae02,0x3ffae02e,
    0xffdb82ef,0x4cc02eff,0x004cc000,0x2002a620,0x22001a98,0x4cc40009,
    0x03331000,0x8009a980,0x000099a9,0x2000cc40,0x20000998,0x9a980019,
    0x00355000,0x310004c4,0x004c4001,0x00000998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10220000,0x20036a00,0x5cc01ca8,0x41b100bc,
    0x355301d8,0x88000000,0x00000040,0x80800ecc,0x000f2000,0x5440002a,
    0x707600aa,0x000da807,0x03f50000,0x3a001fa8,0x4407f50f,0x3203fffc,
    0xa82fffff,0xd00fffff,0x101df77f,0x00009fff,0x1fd003ee,0xfd500fea,
    0x3f200e65,0x2fcc03ff,0xfe9801fb,0xffc800ef,0x7e4001df,0x47b201ff,
    0xff9102fa,0x1762007f,0x2009f700,0x4d9002fd,0x4bfa02e9,0xdff983fc,
    0x3e20ffdb,0x206febef,0x75c04ffb,0xfc80004f,0x3a66c803,0x3f33e202,
    0x97ec04fe,0x8fa204fb,0x37e600eb,0x2a00fe98,0x005ffeff,0x100ffe44,
    0x7409fffb,0x8807f92f,0x3ee001ee,0x017dc003,0x4c0a8000,0x7ec2fd81,
    0x5ff17ee3,0xfb800cc0,0x0fe40004,0x98200000,0x4409802c,0x28800001,
    0xd0ff4028,0x3fd0001f,0x15003100,0x077c0198,0x40006200,0x59950009,
    0x15995001,0xbf707fe0,0x53f217ec,0x2a60aaa8,0x719f702a,0x04c00599,
    0x05997300,0x00b32e60,0x101665cc,0x554c1555,0x30555442,0x83fe0555,
    0x32a202fe,0x9803fd2c,0x54400acb,0x0600a9cc,0x2aaaa200,0x2aaaa200,
    0x7fff5400,0xffd504ff,0xbfb09fff,0x7c4ffa61,0xfcb7d40f,0xdfff51ff,
    0x3fffbee0,0xaa981eff,0x7402cca8,0x02ffffff,0x3ffffffa,0x3ffffa02,
    0xfffc82ff,0xc8dfff51,0xfff51fff,0x3ae3fe0d,0xfff500ff,0x203fffff,
    0x4fffffe8,0xfffffe88,0x89554c4f,0x7fec01cb,0x3ff602ff,0x3fe602ff,
    0x44ffdbce,0xfdbceff9,0x77ffcc4f,0x21be66ff,0x3ffb37f8,0x5c1bfb22,
    0xffdcffff,0x3bffe20f,0x3206ffff,0x06fdbcde,0x3f6f37b2,0x2f37b206,
    0xffd986fd,0x98dfd911,0xfd911ffd,0x3febfe0d,0xfff980ff,0x81ffffdc,
    0xffcdffe8,0x5e77e44f,0x3fe65ffc,0x5ffffaef,0x0bffb660,0x02ffed98,
    0x3fea17fa,0x3ea17fa1,0x7ffff41f,0x221be64f,0x260ff47f,0x89ff706f,
    0x7fdc5fe8,0x02ffcbef,0x005fd088,0x200bfa11,0x3a05fd08,0xe837cc1f,
    0xf837cc1f,0x0effda8f,0xfd106ff4,0x81df903f,0x2ffa2ffa,0xec88ba20,
    0x7fceffff,0x2005fb00,0xdff102fd,0x7ffddddd,0x3bbbbfe2,0x3f23ffee,
    0x32ffdbcf,0xe8ff30df,0xb837cc1f,0x87fa80ff,0x82fd45fe,0xffffffc8,
    0xffff9102,0x3f2205ff,0xd02fffff,0xd06f983f,0xf06f983f,0x225fe81f,
    0x1ffa81ff,0x9f903fe8,0x5ef7ffdc,0x87fff300,0x005fb000,0x7fcc0bf6,
    0xffffffff,0xffffff34,0x7fc9ffff,0x1ff2fe42,0x0ff44fb8,0x2fdc1be6,
    0x7f40ff88,0x7c437cc1,0x2fffffff,0xffffff88,0xfff882ff,0xd02fffff,
    0xd06f983f,0xf06f983f,0x267fa81f,0x207fe06f,0x8bf500ff,0x1fffffeb,
    0x0001ff98,0x7ec00bf6,0x559ff102,0x22355555,0xaaaaacff,0x30ff11aa,
    0x361fecff,0x260ff42f,0x01ff706f,0x83fd0ff5,0xaefc86f9,0xf905fb10,
    0x0bf6215d,0x6c42bbf2,0x983fd02f,0x983fd06f,0x111ff06f,0x0ff887fc,
    0xfe81ff98,0x05c9fb03,0xf30dfb53,0x2fd8000d,0x6c05fb00,0x054c41ef,
    0xa9883dfb,0xfc88ffe0,0x7d47bee5,0xd517f40f,0x33fee0df,0x3a13fa61,
    0x7c37cc1f,0x0ffee21f,0xffb887fe,0x2e21ff83,0x45fd03ff,0x5fd06fea,
    0x7c437f54,0x8df17e8f,0x3fa61dfe,0x0bffb81f,0x3ea3ff91,0x207fcc0e,
    0x988006f9,0x8819bfd9,0x819bfd99,0xffeffff8,0x3ffe24ff,0x24ffffef,
    0xfffefffb,0x7ffffec1,0xffeffc84,0x3fa26fff,0xfffeffff,0x4c1ff80f,
    0xeeffb86f,0x5c6fffff,0xffffeeff,0x777fdc6f,0xc86fffff,0xfffffeff,
    0xffeffc86,0x3fee6fff,0x4ffefeef,0x7ff7ffcc,0xfd85ffff,0x23fffeff,
    0xffeefffa,0x4ffd444f,0xfffb8019,0x70ffffff,0xffffffff,0xfffd881f,
    0x6c40cfff,0x0cffffff,0x0f7fffdc,0x027fff44,0xffbffffb,0xfeeffe8b,
    0x7cc0dfff,0xfff53fff,0xbffff90d,0xff90bffd,0x0bffdbff,0xfdbffff9,
    0x3fff60bf,0xfb05ffdf,0x4bffbfff,0xffadfffb,0xffe980cf,0x04fffdff,
    0x85dfffd7,0xfffffef8,0x3ffff20c,0x2a00ffff,0xffffffff,0xfffff50e,
    0x4c01dfff,0x3530009a,0x00131001,0x06620031,0x804cc400,0xd53fffe9,
    0x04cc0bff,0x00026600,0x98800133,0x00cc4001,0x31001300,0x13100013,
    0x20353100,0xfffffffb,0x0000000e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,0x8072e255,
    0x7102543b,0x83551599,0x2cca8aa9,0x20b32a00,0x10402cb9,0x554c1555,
    0xb89aa982,0x2aa602cc,0x880d54c1,0x15552cca,0x0000ea80,0x00acca80,
    0x00077076,0x21555510,0x4001881a,0x200aaaa8,0x217cc018,0xffaefff9,
    0x3df505ff,0x3fee07fb,0x3fffffff,0xfffdfff1,0xfffb80df,0x3ffea1ff,
    0x92fd82ff,0x3fea3fff,0x7fffc46f,0x41efffff,0xf50ffffb,0xffa83fff,
    0x7fffffff,0xe8017e40,0x3ffaa04f,0x3d904fff,0x7f540bea,0xfffb0732,
    0xfd0ff15f,0xffffc800,0x5c17fe03,0xffec884f,0x207fceff,0xf501efe9,
    0xffffb7ff,0x77ffdc19,0xf702ffcb,0x7c1977df,0x40ffebef,0x3ffb31fc,
    0x2e1bfb22,0xeccffffe,0x3ffa20ff,0x313ff623,0xffd9bfff,0x2fd807df,
    0x2607fd00,0xffdbceff,0x4fffd884,0xfdf99f10,0x5ffdb309,0xeffea9ae,
    0x764c00de,0xbff103ff,0xf9807f50,0x140043ff,0xff113fe0,0xf517fa0d,
    0x407ff70b,0x027ec6fa,0x37cc1fe8,0x740cffa8,0x20ffc45f,0x0dfe86fb,
    0x6c00ffec,0xfd00002f,0x203ff50b,0x32608018,0x392fd802,0x1e67fe4c,
    0x880ff200,0x9801880a,0x654001ff,0x0ff880ac,0x3fd06fc8,0x2ff86f98,
    0x3e61fe40,0x983fd007,0x20ff506f,0x25fc87f9,0x7fc42ff8,0x801ff880,
    0x880002fd,0xeeeeeeff,0x2aaa23ff,0x2aaa200a,0x25fb000a,0x7731ff02,
    0x00ff2001,0xaaaaaaa8,0x006f982a,0x3fffffaa,0xfb837cc4,0xf983fd06,
    0x02ab7cc6,0x0ff987fb,0x83fd03f2,0x0df506f9,0x3fe21fe2,0xff10df91,
    0xb03ff101,0xffffffff,0x203ea07f,0xfffffff9,0x3ff64fff,0x3ff602ff,
    0x5fb002ff,0xffffff80,0xedfc805f,0xfffff806,0x6f986fff,0x79dff300,
    0x7fc49ffb,0xfd06fe81,0x7dc6f983,0x5c3effed,0xd0fff46f,0x4c1fe85f,
    0x07ff506f,0x37f20dfb,0x9ff02ff8,0xfd03ff90,0xffffffff,0x220bf609,
    0xaaaaacff,0x3fb661aa,0x3fb6602f,0x05fb002f,0xfcbefff8,0x7ffec01f,
    0xeeeff806,0x7d444fff,0x3fa0199f,0x361ffa85,0xdff912ef,0xdf307fe0,
    0xfeffffd8,0x2fbfe24f,0x3fe2fffe,0xfd517f43,0x3bffea0d,0x102ffecb,
    0x5c0dfdff,0xffebbeff,0xfb33101f,0xfd301337,0x07bf605f,0x3f601531,
    0x005fb002,0x9ff00bf6,0xf9104fb8,0x42a207ff,0x913fea7e,0xffffffff,
    0xeeeff881,0x223ffeee,0xffffefff,0x9ffffcc6,0x3f26fffa,0x983fea5f,
    0x1fffffff,0xdffd13fe,0x50dfffff,0xdfffffff,0x2fffc805,0x7ffffdc0,
    0xfd801fff,0x2fbfee02,0xdffff100,0x3609ffff,0x05fb002f,0xff00bf60,
    0xf886f981,0x3fe03fff,0x13fea115,0x3fffffee,0x7ffcc0ef,0x4fffffff,
    0x6ffffec4,0x7fff4c6f,0x5cbffd53,0x217f40ff,0x0ffabcb8,0xffe8bff1,
    0x85ffdfff,0x1cdc8dfa,0x00dff100,0x7f45ee4c,0x202fd801,0xfb1003fe,
    0x019fffff,0x7ec00bf6,0x805fb002,0x437cc0ff,0x203fedf8,0x27fd45ff,
    0x9ff10000,0x35555555,0x2fd46620,0x86fa8000,0x2ff402fd,0xafe8dff3,
    0x0bf5001a,0x00ffc400,0x2007fa00,0x0ff102fd,0x33e20171,0x02fd8009,
    0x36005fb0,0x207fc02f,0x1fe406f9,0x4ffa8310,0x01ec8022,0x2620f7ec,
    0x07fb000a,0x74409d30,0x211fea3f,0x2a0ffeb8,0x00ff46ff,0x80017ea0,
    0xe80006fc,0x00fb801f,0x07f90bfa,0x9881667c,0x8819bfd9,0x819bfd99,
    0x19bfd998,0x6fa83ff0,0x9bfd9988,0x9dffa801,0xd9706e99,0xffff880b,
    0xa84ffffe,0x01fffccc,0x300fedcc,0x49ffdfff,0x1ffffefc,0x3fa37fd4,
    0x3bf6e001,0x664400bc,0x8002dffc,0x82dffcc8,0x99999998,0x7ef7fd40,
    0x3baa04ff,0xfffffb81,0xff70ffff,0x1fffffff,0x3fffffea,0xfff30fff,
    0x3ffff27f,0xffffff71,0x3e203fff,0x7fffffff,0x1005ffb0,0x9ffffffb,
    0xffffff01,0x0bff3003,0x1bfffd70,0x067fffd4,0x07ec3ff8,0xfffff880,
    0x7ffdc01f,0xa8005fff,0x747fffff,0xffffffff,0x7fffe44f,0x2a0000cf,
    0xffffffff,0xfffff50e,0x3ea1dfff,0xefffffff,0x25fffd30,0xf50efffb,
    0xdfffffff,0x3fffe203,0x0007ffff,0x4009a980,0x8001aaa9,0x004c4000,
    0x22060033,0x5554c001,0x5555001a,0x2a000155,0x7f40aaaa,0xffffffff,
    0x001aa884,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50797300,
    0x55501799,0x6d403555,0x51000000,0x39001555,0xaaaaa800,0x3064c01a,
    0x0399501b,0x80015cc0,0x550002b9,0x71035555,0x073b2a59,0x20006d40,
    0x2a1dc00a,0x01553004,0x00d98326,0x86aaaaaa,0x3e62fffd,0xeed84fff,
    0xfd883eee,0xdfc802ff,0x3ff60370,0x2fcc02ff,0x3bbbb600,0x57f4403e,
    0xccfb85fc,0x4ffe802f,0x04ffc800,0xdddddb00,0xfbbff907,0x4407ffff,
    0x7003fffc,0x9efa80df,0x7f5c03fd,0xfe886fff,0x76c05fca,0x3a63eeee,
    0x0dfeb84f,0xc8f74000,0x3afee03f,0xdb301fef,0x6f9805ff,0x22000000,
    0xbd003ffc,0x0013a100,0x000004e8,0xbefffd98,0xfd01ffc9,0x2a00ff25,
    0xefe8805f,0x777fc401,0x3ff206fe,0x3f600003,0x5407f902,0x81500acc,
    0x02ea0009,0x93017ec0,0x835555df,0x2a60aaa8,0x0015002a,0x74003ffd,
    0x013a0004,0x01665cc0,0x3fa17fea,0x01981502,0x00280010,0x130007f9,
    0x0565cc00,0x3fc817ec,0xfffffea8,0x0aaaa884,0x32a2aa60,0x05fb002c,
    0x3fffffea,0x7ffe47ff,0x30dfff51,0x05995155,0x74c5fb98,0x3ee04e84,
    0x36209d00,0xfffffe85,0x01df502f,0x555447f9,0x50555440,0x55555555,
    0xaaaaaaa8,0x17f54c2a,0xb89554c0,0xfffd101c,0x02fd89ff,0xeff987f9,
    0x6c4ffdbc,0xf102ffff,0xdffffdff,0x8a65fb00,0xeeeffec8,0x8ffecc3d,
    0x7c46fec8,0x6ffffeff,0xff917c80,0xfd309d05,0x2e13a01d,0xcdec84ff,
    0xbf506fdb,0xfff93ee0,0x27fffc4f,0xffffffff,0xffffff8d,0x3ffe26ff,
    0x7ffcc02f,0x45ffffae,0xffcdffe8,0x640bf64f,0x542ff43f,0x3fb661ff,
    0x3ffee02f,0x402ffcbe,0x985ff2fd,0x07fa006f,0xfff70df3,0xe85ff97d,
    0xfeabfede,0x77ff640d,0x9017ff92,0xfd33bffd,0x3a11003d,0x705fa82f,
    0x4effdc9f,0x1efeb8a9,0x3ffbbbfe,0x7777fc4f,0x7edc4fff,0x7f64402f,
    0x47fcefff,0x7fd40efc,0x3f205fb2,0x3bbbfe23,0xb03ffeee,0x45fe805f,
    0x97ec05fa,0xffdb31fe,0x7f403bdd,0xfe837cc1,0x2a22fd45,0xaaffd9ab,
    0x2aaaa66f,0xefebdfeb,0x32eaaa63,0x887f9bff,0x2ffffffc,0x9f705fa8,
    0x29fd3fd8,0xf53f43fd,0x7d4fd09f,0x00bf604f,0x021fffcc,0x53f207fd,
    0x321f72fd,0x3fffe63f,0x04ffffff,0x1fe805fb,0x3f6037cc,0xffffc822,
    0x3fa03fff,0xfe837cc1,0xf5037cc1,0x0dff11bf,0x3e2fff62,0xe980fb8c,
    0x88ffd1ef,0xffffffff,0xf705fa82,0xff9dfb89,0x8441ff8f,0x21104ffa,
    0x7ec04ffa,0x03ff3002,0x3ea01ff0,0x4bf65fb5,0x33fe23fd,0x1aaaaaaa,
    0xfe805fb0,0x36037cc1,0x3bf2602f,0x0ff401aa,0x0ff41be6,0x7fdc1be6,
    0x7c1b7b62,0x1fa860df,0xbf91ffd4,0x10aefc8f,0x0bf505fb,0x9ff313ee,
    0x40ff9fff,0xfa804ffa,0x02fd804f,0x3a00df30,0x369fb03f,0xfd15fb2f,
    0x441efd83,0x05fb00a9,0x37cc1fe8,0xf300bf60,0x740cb98f,0x41bfaa2f,
    0x837cc1fe,0x36bea0b9,0x7d405906,0x3e60c884,0x10ffc7cb,0xbf707ff7,
    0x3fe0ff60,0x05fffcff,0x40449ff5,0x40224ffa,0xdf3002fd,0x42ffee00,
    0xffc9ffc8,0x6ffffd9f,0xfeffff88,0x26624fff,0xff019bfd,0x9886f983,
    0x2019bfd9,0xffffeffd,0x7ff7fe42,0x1ff86fff,0xff0037cc,0xc8003ffd,
    0x3bfa003f,0x3bfee2ff,0x26fffffe,0xdb15fffb,0xdffb01ff,0xf507fff1,
    0x8dd333bf,0xe999dffa,0x01bfe986,0x0ccffd44,0x3fbfff60,0x3dff73ff,
    0x201dfff3,0xffffffd8,0xfffff70c,0x3e61ffff,0xfff53fff,0x7ffffd4d,
    0xd980ffff,0xb02effff,0xbffbffff,0xa9ffffcc,0x55006fff,0x22003fd7,
    0x80099bfe,0x641febaa,0xffedffff,0x453ffea5,0xff702eff,0xf107ff27,
    0xffffffff,0x7fffffc4,0x3ffe67ff,0xfc81ffff,0x0fffffff,0x3bfffae0,
    0x40013002,0xffa809a9,0x0effffff,0x2a7fffd3,0x3fea5ffe,0x0effffff,
    0x98800cc0,0x7fff4c01,0x00bffd53,0x7002ffe8,0x007fffff,0x9981ffec,
    0x00620000,0x1fe61ff3,0x3fffffe2,0x3ffe27ff,0x267fffff,0x1efffffe,
    0xffffffb8,0x098800ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x676d44cc,0x2cc19502,
    0x22b32e60,0x2732a201,0x0004080a,0xb98006e6,0x05e65401,0x40055440,
    0x6dc401b9,0x32a203de,0x500b8bde,0x01539dd9,0x333332e2,0x5555441b,
    0x8001c800,0x9802cedb,0x221aadec,0x99999999,0x2f32e219,0xe8799930,
    0xdfffffff,0x7e57fcc0,0xffffb105,0xfe885fff,0x6c4fffff,0x8809f31f,
    0x04ffeefd,0x207fffb5,0x2fffffe8,0x881fff40,0x84ffeefd,0x6ffffffc,
    0xfffffe88,0x7ff444ff,0x904fffff,0xdfffffff,0x02ffffd8,0xd3002fcc,
    0x01bfffff,0xffffffd1,0x9188014d,0x3febffff,0x3ffe2fff,0x85ffdaac,
    0x3602ffd8,0xffecbeff,0x65e77e43,0x8875c5ff,0x037a202e,0xfff88bd3,
    0x9ffd03ff,0x7dc0dfd7,0x0de883ff,0x3bfa2f4c,0x221ffcab,0xfebabefe,
    0x33bfe24f,0x305ffcaa,0x39bfd997,0x02ffed98,0xf88037cc,0x5ffeacff,
    0xfbabefc8,0x8c400a7f,0x951befd9,0x1ffc19ff,0x0a817fcc,0x3a07fea0,
    0x105ff43f,0xe880005d,0xd10aaaab,0x3fd9bb8b,0x7ec0ff98,0x3ffff882,
    0x55931f44,0x207ecbd1,0x03bf25fa,0x0efa93f6,0xfb004fb8,0x405fb005,
    0xaaaaefc9,0x4c0efd80,0x03fe23ff,0x88014ff3,0x7f413ee1,0xbfb01e41,
    0x80555544,0x81b305fc,0x0bdefffb,0x00aaaa88,0x7ee7e5aa,0x3f201f12,
    0xfb82d883,0x3fcefc85,0xfd9dd354,0x20a21f11,0x407fa6fa,0x807f62f9,
    0x05fb000c,0x3ea05fb0,0x7fffffff,0xfc817fc4,0x3603fe26,0x70c400a3,
    0x887fa09f,0xaaaaaaaa,0x3fff66fc,0x005fb02f,0xfffffd70,0x2ffffd83,
    0xd50f8f60,0x03fc8174,0x3e61ff40,0x9ec3fc9f,0x02e9e25a,0x3fc4ffaa,
    0x000ff100,0x6c017ec0,0xffd9102f,0xfa87bddd,0xd83fe607,0x0500acff,
    0x04fb8620,0x7ffd43fd,0x7fffffff,0x40bffb66,0x05c005fc,0xd98dfb53,
    0x87e02ffe,0x1323ecbf,0xfb001fe4,0xf95fd81d,0x405b1f87,0xdffea84c,
    0x5400bf50,0x3600005f,0x02fd802f,0x7dc037cc,0xd10ff404,0x287dffff,
    0x27dc3100,0x3fea1fe8,0xfeeeeeee,0x2a05fb07,0x2ecc0aff,0xff981df5,
    0x7405fb00,0x991bbbe2,0x2200ff20,0x7fd41ffd,0xd2e87f90,0x7e426405,
    0x0037d43f,0xfffc8df5,0x360d72ef,0x02fd802f,0x7dc037cc,0x203fe206,
    0x24fffeb9,0x7dc31002,0x7c43fd04,0x20df700f,0x3ff202fd,0x25fffeef,
    0xffeefffa,0x80bf604f,0x93623e3c,0x807f902e,0xfe81ffe8,0x2790ff23,
    0x82e8545a,0x0ff881fb,0x6c1ff100,0xfd2fffff,0xb005fb03,0x06f9805f,
    0xf700ff98,0xffb8818f,0xb8620050,0xf81fd04f,0x209fd04f,0x7fdc02fd,
    0x220cffff,0xcfffffef,0xa80bf600,0xf88efd8f,0x7f900f9d,0x40fffcc0,
    0xfffffffa,0x7ec3ea3f,0x00f98eed,0x3027ec01,0x2621ffc1,0x207fa5fb,
    0x2fd801fe,0xf8037cc0,0x5cbfd03f,0x0a5fb02f,0x0ff30c40,0x9ff70ff1,
    0x403ff661,0x7f5002fd,0x2fa88013,0xd805fb00,0x3ee62a9d,0x540ff203,
    0xff500eff,0x87ffffff,0x7cc6a25d,0x9ff50003,0x3f26fb83,0xd2fe442e,
    0x03fdc19f,0x7cc02fd8,0xf5065cc7,0x3ffaa3bf,0xb88bbf60,0x220050ff,
    0x4433fe21,0xfffb05fe,0x9885fffd,0x4019bfd9,0xf3000ff9,0x3666201f,
    0x3b6019bf,0x207f730a,0x209bfd98,0x9999effb,0x0ff6200a,0xfb98576c,
    0xb80bb203,0xfffeffff,0x7f7fff43,0x3ffa5fff,0x202fffef,0x19bfd998,
    0x3ffbff60,0x7ffe42ff,0x7e42ffff,0x4fffefff,0x2a0c400a,0x0fffefff,
    0x3bfffee0,0x7ffffdc1,0xec80ffff,0xcec801fc,0xffffb81f,0x700fffff,
    0x105bfffd,0xffffffff,0x3fffffab,0xff904fff,0x3fae07ff,0x7fc02dff,
    0x7ffed405,0xffd702ef,0x5c417dff,0x202efffe,0xfffffffa,0xffd980ff,
    0xff502eff,0x9d503dff,0x287fffff,0xfd303100,0x22001bff,0xffff5009,
    0x101dffff,0x2e2007b7,0xffff502d,0x801dffff,0xfffe8018,0xffd4ffff,
    0x0bffffff,0x00fffff2,0x00c40031,0x33000660,0x00131001,0xfffffff5,
    0x019801df,0x98002620,0x55555019,0x03755555,0x000004c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa980000,0x55440001,0x00555440,0x2e015440,0x166542cc,0x2017b710,
    0x65c2cccb,0x332e22cc,0x4599712c,0x65c2ccb8,0xb880002c,0x1665c2cc,
    0x2f3260c4,0x20379931,0xccccccc9,0x5e64c3cc,0x88379931,0x01bccccb,
    0x02ccccb8,0x9702cca8,0x224fe839,0x70004fff,0x64dffffd,0xa8000fff,
    0xfff700ff,0x3fffea1f,0xfffffa81,0x7ffffd41,0x1fffff50,0x27fffff2,
    0xf71ffffc,0x3fea1fff,0x7dc001ff,0x21ffff73,0x7c0ffffa,0x57fffe5f,
    0xff06ffff,0xffffffff,0xf5ffff8b,0xffc8dfff,0x02efffff,0x0dfffff5,
    0x987fff88,0x1ff46fff,0x20013fae,0x6feeeff9,0x0003ff26,0x5c403baa,
    0x3ffa25ff,0xfb59fd03,0x45bff709,0x222efeb8,0xff53cffb,0x1ffdc47d,
    0x4007dfd1,0xf914ffea,0x1fff44bf,0xffa97fe2,0x03ffb31c,0x33ff7f6a,
    0x7fd45fdc,0x83ffb51c,0xfdccefc8,0xecb881ff,0x7dc02fff,0x7ffe43ff,
    0x7dc17ec1,0x03fc8004,0x00001ff0,0xf30ffc80,0x51be605f,0x7c17f201,
    0x261ff02f,0xdf900eff,0x4007fe61,0xc82fffe9,0x03ff51ff,0x7fec42a6,
    0x4ffeeeee,0xa9bebf20,0x540ff85f,0xb0bf505f,0x6ffc40df,0x7ffc405f,
    0x21bffe26,0x14fb81fb,0xd5303555,0x2015559f,0x02ccb9ff,0x002aaaa2,
    0x027f57fa,0x7cc00df1,0xf037d40f,0x00bff51f,0x013fa9fd,0x00ffff62,
    0x07ff5dfb,0x7ffff4c0,0x00efffff,0x351df3df,0xa81ff09f,0x20bf505f,
    0x1df702fe,0x7fc401ff,0xdfff72ff,0x9f701f50,0x883ffffa,0xffffffff,
    0xffffff06,0x3fff60bf,0xdff9802f,0xff5300ef,0x7fb00157,0x3fe03fd8,
    0xf3004ffd,0xc880dfbf,0xd000cfff,0x20009fff,0xfcaaabff,0x3e6fe605,
    0xf809afdf,0x5fcaaabf,0x0aaefc98,0x9ff413f2,0x3fe203fd,0xdf9ff6fc,
    0x33ee0f30,0xb83dffe8,0x2deeeffd,0xf97dfff0,0xffdb305f,0x3ffee005,
    0xfffff301,0x4df500ff,0x3fe00ff9,0x2e005fff,0x3ee01fff,0x4c001dff,
    0x3e0007ff,0x5fffffff,0x3fe67f20,0x3ffe03ff,0x4c5fffff,0x26ffffff,
    0x0ff985fa,0x7fc40df5,0xf9efcff8,0x37ee0106,0xfd802ffe,0xb89ff002,
    0x017ec05f,0x3bbffba6,0xbffdd906,0x64bfe007,0x67ffc05f,0xfd000dff,
    0xeffea809,0x7ffec001,0xf03fee03,0xbfdddddf,0x7fee7f40,0x3bfe02ff,
    0xc85feeee,0x2e2deffe,0xccefc85f,0xff102ffc,0x3e6ffff2,0x7ffdc006,
    0x05fb000f,0xdf303fe0,0x2002fd80,0xbf7003fc,0xf8dfb800,0x88ffc01f,
    0x5fb004ff,0x37ffee00,0xfcffb800,0xf05fd02f,0x105fa81f,0xd5dfffff,
    0x2a07fc01,0x20bf505f,0x7ffc43fc,0x105fffff,0x23ffe2ff,0x7dc006f9,
    0xfb003fff,0x303fe005,0x02fd80df,0x777ff74c,0x0027ec05,0x01bf3fe2,
    0x0ff983fe,0x2002fd80,0x00cfffc8,0x3ff25ff5,0xff82fc40,0xfb82fd40,
    0x3646fa9b,0x17ea07fc,0x7fc42fd4,0x66677dc2,0xf880ffcc,0x37cd3f67,
    0x6fdc1fa8,0xfd804ffc,0x981ff002,0x017ec06f,0x400bfd88,0xa999bffa,
    0x3fff603f,0x217fc403,0x36600cfd,0x6c4001bf,0x7fcc3fff,0xf7077ec4,
    0xf507fe01,0x7d43f60d,0x40ff999e,0x837d41ff,0xea999efa,0xb04fe85f,
    0x03ff109f,0x13ee1bea,0x67fdd3f2,0x337fd300,0x2a0ffc01,0xfd99886f,
    0x3ffa019b,0xffb04fff,0x9fffffff,0x203ffcc0,0x30fffffb,0xff989fff,
    0x000fffff,0xfbafff4c,0xfff71fff,0x3ea0f65f,0xfffd4fff,0x3fffe63f,
    0xfffffffe,0x9ffff30f,0xb83ffffa,0xffffffff,0x3fffe60e,0x9bfffe66,
    0x30effff9,0x7dcdffff,0xd27ffc42,0x7fccdfff,0x43ffffff,0xf93ffff9,
    0x3fee1fff,0x0fffffff,0x3fffffd8,0xffffff70,0xfe801bff,0x7fffd404,
    0x30fff60e,0x1dfffffd,0x5cfaa000,0xff51efff,0x74c023df,0xfffb3fff,
    0x3bffe21d,0xfffffffd,0x9fffd30f,0xa83bfff6,0x3defffff,0x26fffe98,
    0x226fffe9,0x3a26fffe,0x20226fff,0x3f64ffe8,0x3ffa65ff,0x4c3fffff,
    0xff72fffe,0x3ffea1df,0x00efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccccb88,
    0x6665c402,0x555101bc,0x221554c1,0xcccccccc,0x999713cc,0xb9300379,
    0x99995057,0x32e23799,0x7100bccc,0x99999999,0x66665419,0x332e201c,
    0x9500accc,0x3ccc9879,0x66665cc0,0xf00003cc,0x65cc00bf,0xcccccccc,
    0x320cc001,0x3ccccccc,0x1aaaaaa8,0xffffffc8,0xffc80dff,0x42efffff,
    0xff51fffc,0xffff88df,0x96ffffff,0xdfffffff,0x3fffee05,0x7ffffc47,
    0xfff96fff,0x3f209fff,0xffffffff,0xfffff31f,0x7ffe40ff,0xf84fffff,
    0x3ffe2fff,0xfffc83ff,0x05ffffff,0xff3007d4,0x7fff4001,0x3fffffff,
    0xf5159730,0xffffff8f,0xeeed85ff,0xffb883ee,0x83ffdccc,0xfdccefc8,
    0x3ff661ff,0x88dfd911,0xcdfeccff,0x9dfb16fd,0xd03fffb9,0x9505d77f,
    0x2399bfd9,0x0bccffb8,0x99bff710,0x6543ff99,0x2202cdfe,0xfecccffb,
    0x7ffed42f,0x819ff930,0xcffdeffd,0x7ec05fdc,0x0013f202,0x9999ff93,
    0xfe887fd9,0x44ffffff,0xffccccff,0x1ff00005,0xbf507f88,0x3fd0dfb0,
    0x3fc46f98,0xa9be65fb,0x4c6fd85f,0x17ec006f,0x9bdddff0,0x3a03fe05,
    0x003fc81f,0x0bf503fe,0xfe89fff5,0xf98ffe41,0xfb017ea6,0x54c7f405,
    0xf301cb89,0xe98bf60d,0x7ffebdff,0x3bf60ff8,0x05555440,0x3e207fc0,
    0xd05fa80f,0x4c1fe85f,0xfb3fc46f,0x5fa9be65,0x3e22fe88,0x0bf6002f,
    0xfffffff8,0xb70ff83f,0x01fe41f2,0x1ff01ff0,0x21ffefa8,0x317f41fe,
    0x09f351df,0x9f102fd8,0xffffdff5,0x9ecdf307,0x437f61fa,0x743ffff9,
    0x3607fee7,0xf802ffff,0x6ffcaabf,0x0aaefc98,0x83fd13f2,0x364e86f9,
    0x7d47d12f,0xfd89f905,0x05fb000e,0xff9107fc,0x1ff57ff0,0x2003fc80,
    0x43fdc0ff,0x3a6fcdfa,0xf31fe21f,0x80155fbd,0x11f502fd,0xffb7dffd,
    0xfbaff981,0x7cc7fe06,0x94c5fbdf,0xdb303ff9,0xfff005ff,0x985fffff,
    0x26ffffff,0x20ff45fa,0x7ecc06f9,0x20bf500b,0x3fff25fb,0xfb01ff8c,
    0x7c07fc05,0x7ffffc0f,0x01fe400f,0xfd757ff0,0xf1bf509f,0xfa87fa7f,
    0x17fffcc5,0xffffffe8,0xfb824fff,0xf307fa0e,0x260dffff,0x26bff37f,
    0x0bfd106f,0x3e00bf60,0xffffeeef,0x6f7ff641,0x5fd17ee2,0x541bfae2,
    0x0fffffff,0x4fb82fd4,0xfbff9ff3,0x80bf605f,0x43fcc0ff,0x00ffeeff,
    0x414c1fe4,0x4fffffff,0x3feabf50,0x1be61fe8,0x205ffff3,0xfffffffe,
    0x89f703ff,0x77fcc2fd,0x2bfa06fe,0x413f66ff,0x3f6006fd,0x4c0ff802,
    0x05fa86fd,0xeffa87f9,0x986fffff,0x86ffffff,0x27f905fa,0x7fff75fc,
    0xff017ec0,0x09ffb757,0x1c9fa1ff,0x0fe83fc8,0x0de667fc,0x6fecbf50,
    0x307fc1fe,0x2001d5df,0x9f7002fd,0xb7cc2fd8,0x3fee05f8,0x2ffc98ef,
    0x1b20ffc8,0xff802fd8,0x540ff880,0x82ff885f,0xffdefffc,0x5017ec05,
    0x23ff10bf,0x07ffa5fa,0x3fe02fd8,0xf04fffff,0x27d4221f,0x07fc1fe4,
    0xfa8003fe,0x07fffe25,0x237ccbfb,0x017ec06c,0x17ec4fb8,0x20089be6,
    0xffeefff9,0x42ffa83f,0x05fb01fe,0x999aff88,0xefa87fc9,0x05fea999,
    0x402fa84c,0xf500bfd9,0xbfd5333b,0xfffefff8,0x5fecc42f,0x55ffc409,
    0x2bfe2009,0x45fb9999,0x9999cfd9,0x27fe20ff,0x0dfa8009,0xf307ffee,
    0x33df55bf,0x7ec01ff3,0xd89f7002,0x0cffcc2f,0x3ffbfa20,0xff882eff,
    0x1ff9999d,0x26ff6662,0xfffffb81,0x5c3fffff,0xffffffff,0x33e6000e,
    0x7fffd42d,0x3fee0fff,0x0effffff,0x7f7ffed4,0xfffff12e,0x3feebfff,
    0xf703ffff,0xffffffff,0x3fffe2bf,0x0fffffff,0x7ffffff7,0x27fffdc0,
    0xff303ffd,0xffffffff,0x017e401f,0xfcb7ffec,0xffffb0ff,0x3bee03ff,
    0xffb80310,0x1fffffff,0xfffffff7,0x7ffd41ff,0x82dfffff,0xdefffffa,
    0x1bd70003,0xfffffe98,0x7ffffd46,0x04c403de,0xffffffd0,0x3fffee9f,
    0xfff502ff,0xbfffffff,0x3fffffa2,0xf70fffff,0x405fffff,0x263ffffa,
    0xfb7101ff,0x1fffffff,0x64007540,0xdff75fff,0x3fffff21,0x0002a01e,
    0xfffffff7,0x3ffea3ff,0x00efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ccca800,
    0x206f32e2,0xa802ccb9,0x401ccccc,0x01ccccca,0x33333322,0x32a3cccc,
    0x3711cccc,0x666665c4,0x1100001a,0x5400f540,0x806ee22c,0x5002ccb9,
    0x00e54599,0x83159973,0x2a60aaa8,0x5665402a,0x0acb9800,0x260aaa88,
    0x774392aa,0x7ffc4002,0xffff92ff,0xfffffe8d,0xffff302f,0x7fcc0fff,
    0x2207ffff,0xffffffff,0xffff36ff,0xc9bf2fff,0xffffffff,0x15973005,
    0x03f701e4,0xf9dfffd8,0xffe82fff,0x3e02ffff,0xffedffff,0x7ffec42f,
    0x3f22ffff,0xdfff51ff,0x3ffffaa0,0xfffd104f,0xfffc89ff,0x3edfff51,
    0x0077ffa3,0x223cffb8,0x7641ffdb,0x206fdbcd,0x02cdfecb,0x166ff654,
    0xfd99ff10,0x654dfb9b,0x9b12cdfe,0x6667fdc4,0x3a202ffe,0x7f5fffff,
    0xcffb8000,0xffdeffff,0x6de6f640,0x333ba06f,0x0ffcefff,0x3b2fbff6,
    0x3ff663ff,0x30dfd911,0xffb79dff,0xcdffe889,0x3f664fff,0x7dfd911f,
    0x7ffe443f,0x27f8800c,0x80df31aa,0xc805fd08,0x1fe4003f,0x5fb3fc40,
    0x0ff21be6,0x303fe03a,0x3ffa20df,0x07efffcd,0xf52ff800,0x813f61ff,
    0x1005fd08,0xaa7ecffb,0x83fe81ff,0x437cc1fe,0x1ffa85fe,0xff503bf2,
    0x7cc1fe85,0xffb102df,0x21ff007f,0x10bf55ff,0x5ffffff9,0x1ebbfc80,
    0x9f33fc80,0x97ecff10,0x43fc86f9,0xf01ff02a,0x81df901f,0x40004ffa,
    0x77ffc7f9,0x7e446fee,0x702fffff,0xddfffffd,0x417f2dfd,0x41fe80d9,
    0x77fc46f9,0x3ffeeeee,0x27e40ffa,0x0df307fa,0x0bfffa60,0xfffa9fe8,
    0x7fc44fb8,0x02ffffff,0x017fffe4,0x06fc9fe4,0x7d17ec9d,0x7c007f90,
    0x41bfa60f,0x89f903fe,0xfffffffe,0xd8bf54ff,0x27ffffff,0xfffffff8,
    0xffffe82f,0x7fffffff,0xfd0005fb,0x7cc6f983,0xffffffff,0x5403fe4f,
    0x260ff45f,0x7f54006f,0xdafd82ef,0x43fcbfff,0xfb10aefc,0x77ff4c05,
    0x227f9002,0x05fb001b,0x7c007f90,0x1fffffff,0x3ea01ff0,0x7fffff45,
    0xff14ffff,0xaaaaeff8,0x442bbf22,0x57fd42fd,0x5555dfb0,0x20017f25,
    0x237cc1fe,0xaaaacff8,0x0ffa1aaa,0x07fa27ec,0xfa800df3,0xbfc81eff,
    0x2fddfcff,0xff710ffc,0x13fff207,0x41fe40a6,0x017ec029,0x414c1fe4,
    0x0fffffff,0x7ec0ffa0,0x4fd80004,0x2a21fff9,0xfb887fe1,0x987fcc3f,
    0x23510ffe,0x6cc0affa,0x3aa2fe85,0x41efd86f,0x3fee0a98,0x83ff910b,
    0xdfd712fe,0x3bffaa00,0x3bffee02,0x5c1ffff8,0xffffeeff,0x7fffe46f,
    0x7f907e83,0x7ec01fd0,0xe83fc802,0x54d7fc0f,0x3fee05ff,0x03ff910b,
    0xffff5000,0xdffdffff,0x7ff77fdc,0x7ff46fff,0xfefffffe,0x3bfff26f,
    0xfc85fffe,0x6fffffef,0x7f7fffc4,0x7fec4fff,0xc83fffef,0xfffffeff,
    0x3fff6606,0x3fffa803,0xf901fffb,0xdffdbfff,0x83fc9d98,0x83fc80ff,
    0x0bf600ff,0x3fe0ff20,0xff307fc0,0x77ffec09,0x01003fff,0xb17fff70,
    0xfc85dfff,0x5ffedfff,0x76fffec4,0x5c2dfffd,0x0cffffff,0xfbffffb0,
    0xfffb10bf,0xd7019fff,0x6c05dfff,0x5ffdefff,0x0cfffc88,0x23fff500,
    0x4cc07ffb,0xfd981720,0x0ff9999c,0x4cce7ecc,0xfb300ff9,0x67ecc017,
    0x20ff9999,0x7fcc2ff8,0x3fffae02,0x05f7002e,0x01981310,0x22000998,
    0x2004c409,0x880099a9,0x9a980019,0x00131000,0x7fc00262,0x7cc000df,
    0x01ffe26f,0xf89fbee0,0xffffffff,0xffff10ff,0x1fffffff,0xffffffa8,
    0x3fffe20e,0x0fffffff,0x41fffff7,0x4c406ffc,0x006cc000,0x00000000,
    0x00000000,0x00000000,0x03bb0000,0xb13fe200,0x32a000df,0x3ffffa21,
    0x10ffffff,0xfffffffd,0xfe981fff,0x7446ffff,0xffffffff,0xffff50ff,
    0x005fe81d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32a20000,0x2aa20a9c,0x2aaaa22a,0x2aa0c020,0x42aaaaaa,
    0x98bc8aa9,0x155301bc,0x54c05995,0x1039712a,0x55544555,0x20555440,
    0x3100aaa8,0xa88d54c0,0xaaa881aa,0x712a000a,0x805d0f67,0x2880acb9,
    0x00059930,0x00065440,0x55467cc0,0x7f446e8a,0x3a4fffff,0xffd3ffff,
    0x90bf69ff,0x7ffffc7f,0x3fe66fff,0xffffffff,0x77ffc41f,0xf986ffff,
    0xffffaeff,0xe9ffffc5,0x7ffc5fff,0x27fffc4f,0xffa81fc8,0xffffd9ff,
    0x17fffec2,0x3f62fc80,0x27d49f51,0x45ecdf88,0x3e63fffc,0x3fe64fcd,
    0xffffffff,0x81fff56f,0xfffffffa,0xff98ffff,0x46ffffff,0xffcbcefc,
    0x477ff6a5,0xf71dffda,0xf87ff25f,0x4fffeeef,0x7f5fffe4,0xfb84fcdf,
    0x2ffcbeff,0x7ffff644,0x7fdc7fce,0x85dff91f,0x8a99dffb,0xfb01efeb,
    0x29ff9105,0x4c0cfff9,0xd802ffed,0xa85fb12f,0x20bf70df,0xadfa9f20,
    0x3dc930fe,0xffffffd1,0x544dffff,0x7fffd40f,0x0effffff,0xfffbfff7,
    0x220bfe83,0x6c3fe82e,0xfdffc84f,0xff53f42f,0x7e47fe09,0x3fa0ff15,
    0xf982fd45,0x74c043ff,0x00dffbef,0x6d3fa7fb,0x7ece6c3f,0x57ec3dab,
    0xd800dfe9,0x4ffa202f,0xdf502fe8,0x2e03bee1,0xf99b64ff,0x8004fa83,
    0x007d46f9,0x226fb800,0x7ffdc1ff,0xdf500bde,0xfc807fcc,0xf50882ff,
    0xc87fc09f,0x3a0ff13f,0x9837cc1f,0x3a2001ff,0x7dc04fff,0xff8fff9d,
    0x3ffffe21,0x6fec6fff,0x3f6004ff,0x7c57fa02,0xd37f404f,0x1fd510bf,
    0x5c2fa9f6,0xdf30004f,0x33300fa8,0xd8133333,0x5c1fec3f,0x01fffffe,
    0x817f25fd,0x2a02fffc,0x87fc04ff,0x20ff13fc,0x837cc1fe,0xfc8006f9,
    0x7fcc02ff,0x87fcfffc,0xbeffffc9,0x7ffffec0,0x405fb003,0x5ff33fe9,
    0x7ec37f60,0xf98fcc05,0x3f627fce,0x1be60002,0xfffa81f5,0xffffffff,
    0x1fe89f90,0xdfb5305c,0x3fe7bee0,0xffbff901,0x449ff505,0x7f90ff80,
    0x0ff41fe2,0x37cc1be6,0xfbffb100,0xffff807f,0x3605fffc,0x9fb02fff,
    0x3600bff2,0x9fec402f,0x1fec3fd8,0xbbd707fb,0x1dfea8df,0x01bbbbfa,
    0x774dbe60,0xfff50def,0xdfffffff,0x36b3fea1,0x03bea0ff,0x3fe01ff3,
    0x5ff905fe,0xffa87ff2,0xf86e999d,0x3e27f90f,0xf983ff07,0x99ffa886,
    0x47ffa201,0x3f605ffb,0x03fff8ef,0x01ff9ff7,0x0ffe47fb,0x4dfeccc4,
    0xf91fdc01,0x1ed8bf25,0x0806ee60,0x02aaaaa8,0x2aa27d00,0x440002aa,
    0xfffffffe,0x3bbffea4,0x3ee04fff,0x85fb01ff,0xffff12fc,0x7c4fffff,
    0xcffc9fff,0xff30fff8,0x3ffea7ff,0x3fffff26,0x7fd40fff,0xffffb3ff,
    0x327ff701,0x25fd01ff,0x3ffe63fd,0x47fffa6f,0xfffffffb,0x50a600ff,
    0x00150263,0x00000000,0x2a000000,0xfbdedbff,0xfffdf10f,0xff8019ff,
    0x22080405,0xffffffff,0x23bffa27,0x6ff8bffc,0x54ffffa6,0x3fee5ffe,
    0x40efffff,0xf92fffe9,0xff301dff,0x2981fe61,0xfffd1054,0xa8f7fd4b,
    0xffffffff,0x0000000e,0x00000000,0x20000000,0x205500b8,0x00001a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xee982cb9,0x005665c2,0x25dd1001,0x001224ec,
    0x37661510,0xdddddddd,0x81020cdd,0x99999998,0x7fc09999,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x10000000,0x7e77d40b,0xb31bee0e,
    0xfb309d99,0xff11c43d,0x0f997f23,0x8ff203ae,0xffffb5ff,0xffffffff,
    0x7d43fa7f,0xffffff93,0x5fffffff,0x7ffffffc,0x0000005f,0x00000000,
    0x00000000,0x00000000,0xd04fe880,0x0bf63e89,0xf11f72e2,0xfd15ffff,
    0x3fb87fc3,0x7ec43fe6,0xff9bfe22,0x55555315,0x43555555,0x75cba65b,
    0xffffffff,0x0001efff,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7c42fffd,0x86f8ae41,0x647edefb,0xffffc8cf,0x25f53f46,0x7e40fdec,
    0x003076e0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfcffc800,0x544f641f,0x7f05f52f,0x42883f62,0x36c0dffa,0x0b6e23f3,
    0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd97fd4,0x8fbff220,0xffff706c,0x540200ff,0x00000744,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0x0306fe87,
    0x01098011,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x004e884e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_24_latin_ext_x[560]={ 0,4,2,1,1,1,2,4,5,2,1,0,4,1,
4,1,1,1,1,1,1,1,2,1,1,2,4,4,-1,0,0,2,1,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,1,3,-1,2,0,-1,1,-1,-1,3,0,3,3,4,0,1,4,4,3,2,1,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_24_latin_ext_y[560]={ 17,3,4,2,2,3,5,4,3,3,3,4,14,10,
14,2,3,3,3,3,3,3,3,3,3,3,7,7,4,7,4,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,2,21,2,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,17,7,2,4,5,4,
3,3,3,4,3,8,9,10,4,0,1,2,3,3,2,7,3,8,16,3,3,8,3,3,3,7,-1,-1,-1,0,
0,-1,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,2,2,
3,3,3,2,7,7,2,2,3,3,2,2,3,3,3,3,2,2,3,3,3,5,6,2,2,3,3,2,3,3,
1,4,-1,3,4,7,-1,2,-1,3,0,3,-1,3,-1,3,4,3,1,4,-1,3,0,3,4,7,-1,3,-1,3,
-1,3,0,3,4,2,-1,-1,4,3,0,3,1,4,-1,3,4,3,0,7,4,3,-1,3,4,3,7,-1,-1,4,
3,4,3,4,3,4,3,-1,2,4,7,-1,3,4,4,7,1,4,-1,3,-1,2,4,7,-1,2,4,7,-1,3,
-1,2,-1,3,4,7,-1,3,4,4,-1,3,4,4,0,3,1,4,-1,3,-1,2,-1,2,4,7,-1,3,-1,3,
0,-1,2,0,3,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,6,3,3,3,3,3,3,3,3,3,3,3,3,3,1,7,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-5,-2,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_bold_24_latin_ext_w[560]={ 0,4,8,11,10,11,10,4,6,6,10,12,5,10,
4,10,10,10,10,11,10,11,10,10,10,10,4,5,13,13,14,9,10,15,13,12,12,12,12,13,13,10,13,13,
13,15,14,13,12,13,14,11,12,13,15,14,13,13,11,6,10,6,10,15,5,13,14,12,14,12,12,13,13,11,
9,13,11,15,13,12,14,14,12,11,12,13,13,14,13,13,11,7,3,7,11,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,11,13,
3,11,7,14,9,12,13,10,14,15,7,12,7,7,5,13,11,4,5,7,8,12,13,15,13,10,15,15,15,15,
15,15,15,12,12,12,12,12,10,10,10,10,13,14,13,13,13,13,13,9,13,13,13,13,13,13,12,12,13,13,
13,13,13,13,14,12,12,12,12,12,11,11,11,11,12,13,12,12,12,12,12,12,13,13,13,13,13,13,14,13,
15,13,15,13,15,14,12,12,12,12,12,12,12,12,12,15,13,14,12,12,12,12,12,12,13,12,12,12,13,13,
13,13,13,13,13,13,13,13,13,13,10,11,10,11,10,11,10,11,10,11,13,13,13,9,13,13,13,13,11,13,
11,13,11,13,11,13,11,14,13,14,13,14,13,14,12,12,13,12,13,12,13,12,15,14,14,12,14,12,14,12,
11,11,11,11,11,11,11,11,12,12,12,14,12,12,13,13,13,13,13,13,13,13,13,13,13,13,14,14,13,13,
13,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,14,13,12,12,12,12,12,12,12,12,12,12,12,12,12,15,14,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,13,10,11,13,
12,13,13,13,13,13,13,13,13,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,13,15,14,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_bold_24_latin_ext_h[560]={ 0,15,6,17,18,15,13,7,18,18,10,13,7,2,
4,18,15,14,14,15,14,15,15,15,15,15,11,13,13,8,13,14,16,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,18,18,18,8,3,5,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,10,10,10,15,10,18,18,18,6,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,15,16,13,11,13,
18,16,3,14,7,9,8,2,14,3,8,15,8,8,5,15,16,4,5,8,7,9,14,14,14,15,18,18,18,17,
17,18,13,17,18,18,18,17,18,18,18,17,13,17,19,19,19,18,18,10,16,19,19,19,18,18,13,15,16,16,
15,15,15,16,11,14,16,16,15,15,15,15,14,14,15,14,16,16,15,15,15,12,13,16,16,15,15,20,19,19,
16,14,18,15,16,13,19,16,19,15,18,15,19,15,18,15,13,15,16,14,18,15,17,15,16,14,18,15,19,19,
19,19,18,19,18,20,18,18,13,14,17,14,16,13,18,14,16,17,17,10,14,19,19,19,18,19,10,18,18,18,
19,13,14,13,14,13,14,18,15,18,15,18,14,13,14,15,17,14,19,15,19,16,13,11,18,15,18,15,18,14,
19,16,19,15,18,14,19,15,19,19,18,15,13,14,18,15,17,14,19,15,19,16,19,16,16,13,18,14,18,19,
17,18,15,17,14,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,14,14,
14,14,14,14,14,14,14,14,14,14,15,12,14,14,14,14,14,14,14,14,14,14,14,14,14,17,11,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,15,18,14,19,
15,19,15,19,17,19,19,19,19,19,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,20,18,16,20,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_bold_24_latin_ext_s[560]={ 255,250,73,163,147,187,69,249,194,201,133,
175,45,144,99,63,62,78,89,16,100,175,67,54,51,78,251,153,125,242,1,
126,55,217,1,136,56,104,203,149,189,80,163,97,117,233,144,202,131,113,101,
216,74,241,81,16,139,111,230,100,36,1,25,104,88,158,87,187,199,214,15,
39,28,42,139,1,177,61,77,227,108,137,91,13,189,200,25,118,104,123,49,
216,251,13,61,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,255,89,108,
68,1,54,76,146,120,111,51,170,220,144,63,128,204,152,212,196,249,94,17,
94,82,234,36,183,137,121,107,165,158,200,37,1,97,47,173,191,151,175,202,
127,231,242,74,45,15,68,29,227,199,208,165,39,211,87,73,171,222,236,91,
186,119,133,144,130,116,160,172,26,241,147,38,25,13,1,28,51,215,40,42,
81,162,149,136,130,216,185,94,172,158,45,71,86,225,151,215,187,1,31,100,
174,113,228,28,241,126,41,41,79,203,1,29,15,15,28,204,110,171,176,137,
26,15,201,228,149,1,43,54,59,188,122,159,225,243,201,82,242,164,189,107,
151,140,158,1,14,38,28,8,118,144,96,110,22,78,87,213,60,54,46,239,
136,102,107,53,85,93,188,165,123,83,243,175,214,64,158,159,143,179,239,150,
13,122,230,189,199,163,227,53,39,52,228,215,1,238,95,43,66,186,214,31,
79,104,65,90,132,57,93,118,29,132,178,224,242,56,174,1,70,193,1,205,
217,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,1,228,228,217,
228,228,228,228,228,228,228,228,228,228,228,228,228,199,116,228,228,228,228,228,
228,228,228,228,228,228,228,228,175,240,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,80,201,
65,14,241,240,213,73,185,229,157,143,1,129,115,101,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,1,31,21,66,17,17,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228, };
static unsigned short stb__courier_bold_24_latin_ext_t[560]={ 1,64,288,102,44,139,249,234,64,64,277,
249,288,288,288,83,172,219,219,156,219,156,188,156,172,188,188,234,234,277,263,
219,139,234,249,219,249,249,249,219,234,249,219,234,249,234,249,219,249,102,263,
219,263,219,234,263,234,234,249,83,83,83,288,288,288,263,172,263,172,263,234,
188,234,234,24,234,219,277,277,263,188,188,277,277,219,263,277,277,277,188,277,
44,44,64,288,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,1,188,139,
234,277,234,64,121,288,219,288,277,277,288,219,288,277,188,277,277,242,188,139,
288,288,277,288,277,204,204,204,188,44,44,64,121,102,83,234,102,83,83,83,
102,83,83,83,121,249,102,24,1,1,64,64,277,121,1,1,1,64,64,249,
172,139,139,172,172,172,139,263,219,121,139,172,172,172,172,204,219,155,204,139,
139,156,156,156,263,249,121,139,172,172,1,24,24,121,204,83,155,139,263,24,
139,24,139,102,139,24,156,102,156,234,156,139,204,102,156,102,156,121,188,64,
188,24,24,24,24,102,24,102,1,83,83,234,188,102,188,121,249,83,188,121,
102,102,277,204,44,44,44,83,44,277,64,64,83,44,263,188,263,204,263,188,
83,172,83,188,83,204,249,204,156,102,204,24,172,44,121,249,263,64,172,64,
188,64,204,24,121,24,172,64,219,44,155,24,44,44,156,249,204,44,139,121,
204,44,156,44,121,24,121,121,249,44,204,44,24,121,44,188,121,204,64,204,
204,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,102,
219,219,219,219,219,219,219,219,219,219,219,219,219,139,263,219,219,219,219,219,
219,219,219,219,219,219,219,219,102,263,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,64,155,
64,219,1,155,1,172,1,102,1,1,24,1,1,1,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,1,1,64,139,1,121,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219, };
static unsigned short stb__courier_bold_24_latin_ext_a[560]={ 203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_24_latin_ext(stb_fontchar font[STB_FONT_courier_bold_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_24_latin_ext_s[i] + stb__courier_bold_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_24_latin_ext_t[i] + stb__courier_bold_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_24_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_24_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_24_latin_ext_x[i] + stb__courier_bold_24_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_24_latin_ext_y[i] + stb__courier_bold_24_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_24_latin_ext_s[i] + stb__courier_bold_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_24_latin_ext_t[i] + stb__courier_bold_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_24_latin_ext_x[i] + stb__courier_bold_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_24_latin_ext_y[i] + stb__courier_bold_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_24_latin_ext_LINE_SPACING
#endif

