// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_19_latin_ext_BITMAP_HEIGHT        212
#define STB_FONT_times_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_19_latin_ext_NUM_CHARS            560

#define STB_FONT_times_19_latin_ext_LINE_SPACING          12

static unsigned int stb__times_19_latin_ext_pixels[]={
    0x00000440,0x00002a80,0x000006a0,0x00026000,0x01040022,0x00006200,
    0x80000013,0x00001998,0x00000000,0x00000000,0x17cc005f,0x000be200,
    0x01d5007f,0x42e017a0,0x003a8029,0x4400ffcc,0xf88002cd,0x0910001f,
    0x2003fd00,0x2000eeed,0x351c005d,0x2004f800,0x2e00330b,0x01d4004f,
    0x2a002540,0x802d4003,0x00d1001c,0x2a016fa2,0x23200388,0x399a8059,
    0x0598c800,0x40071a80,0x15005aab,0x00d1000e,0x4004bea8,0x5f4c0059,
    0x3d1b1005,0x80005400,0x4000c002,0xa8006002,0x007ae000,0x2003a2b2,
    0x59002208,0x044001d1,0x8ac80011,0x0cc3000e,0x00745640,0xd9000620,
    0x00028001,0x506003d9,0x00af2200,0x800acb98,0x980a0bb9,0x32600acb,
    0x8aca8804,0x15951018,0x0aaaaa31,0x22015555,0x55188aca,0xaaaa8555,
    0x51155550,0x15544555,0xaa855555,0x597300aa,0x85555501,0x5550aaaa,
    0x0aaaa855,0xaa855555,0x555550aa,0x300aaaa8,0x55501597,0x0aaaa855,
    0x22012350,0x02fc89dd,0x7b5117b1,0x913bb107,0x014d205f,0x0bf2639b,
    0x17e4c736,0x03ae09f9,0x2fc98e6c,0x075c13f2,0x87f98ff2,0x827e40e9,
    0x9dd880eb,0x4fc82fc8,0x4fc81d70,0x4fc81d70,0x4fc81d70,0xbb101d70,
    0xf905f913,0x9003ae09,0x83e88039,0x41fc42f8,0x41f442fa,0x0cba82f8,
    0xb0f60bb0,0x2f98f60b,0x41760930,0x4c0be63d,0x3ec3f884,0x817cc1cc,
    0x883e8849,0x9817cc2f,0x9302f984,0x12605f30,0x424c0be6,0x42f883e8,
    0x009302f9,0x40fb00b7,0x6c1f60fd,0xd81f60fd,0x3f20080f,0x07e47100,
    0x40be6388,0x100fc848,0x48817cc7,0x42fa8dd0,0x102f980c,0x7ec0fb09,
    0x2440be60,0x848817cc,0x309102f9,0x3612205f,0xf983f607,0xfd009102,
    0x2a05f801,0x190bf12f,0x502fc5f5,0x16ddc45f,0x6e820374,0x205f3040,
    0x0406e848,0x412205f3,0xb13ea1fb,0x2440be60,0x45f502fc,0x309102f9,
    0x2612205f,0xf309102f,0x17e12205,0x0be62fa8,0x3f2a0244,0x9813e604,
    0x1b89f34f,0x813e69f3,0x7d4b64f9,0x44017e20,0x0be6005f,0x017e2244,
    0x09102f98,0x27cd8fe2,0x205f3039,0x3027cc48,0x8817cc9f,0x9102f984,
    0x12205f30,0x22440be6,0x93e604f9,0x809102f9,0x3ea07d8d,0x7d53e604,
    0x55f98ea4,0xb27cc09f,0x4f987e21,0x4009f300,0x989102f9,0x0be6004f,
    0x22db0244,0x20192f9c,0xa89102f9,0x993e604f,0xf309102f,0x3e612205,
    0x5f309102,0x09f51220,0x05f327cc,0xf3488122,0x9813e605,0x126bf13f,
    0x813e67f5,0x7e5c43f9,0x44017e21,0x0be6005f,0x017e21cc,0x07302f98,
    0x5e8d4fd4,0x9817cc0b,0xf3027cc3,0x39817cc7,0x07302f98,0x20e605f3,
    0x987302f9,0x98fe604f,0x6407302f,0x06f81ba0,0x58ff87ea,0x81be1fb8,
    0x2236a1fa,0xb0036c1f,0x817c400d,0x2006d82a,0x805502f8,0x0ebf25cf,
    0x05502f88,0x10fd40df,0x220aa05f,0xf105502f,0x3e20aa05,0x0df05502,
    0x05f10fd4,0x557440aa,0x3f701fda,0x1bf51760,0x01fb8bd0,0xf887c4bb,
    0x4500fdc1,0x9f0a01fb,0x07ee06e0,0x1b827c28,0xff327e40,0x3704f801,
    0x17603f70,0xf80dc13e,0x13e03704,0x704f80dc,0x3603f703,0x03704f85,
    0x3e6666ae,0xd7037604,0x1d50bd01,0x0eb81bb0,0x057dc7e6,0x360e07f6,
    0x0fb8381f,0x03fb02cc,0x5981f707,0x2f41fa80,0x16607dc0,0x075c0dd8,
    0x816607dc,0x702cc0fb,0x2e05981f,0xbb02cc0f,0xfb80eb81,0x20b02cc0,
    0x33ee00fc,0xbba80cfb,0x200cdabd,0x80cfbcfb,0x904f9dfd,0x201799df,
    0x00bccefc,0x019979d9,0x0bccefc8,0x19979d90,0x00ae1a00,0x0665e764,
    0x33ef3ee0,0x32f3b200,0x5e76400c,0x676400cc,0x76400ccb,0x5c00ccbc,
    0x200cfbcf,0x00ccbcec,0x013e6077,0x18810062,0x0400c400,0x88002200,
    0x00022000,0x00880022,0x10000080,0x00310001,0x08800088,0x80008800,
    0x01880008,0x3ea00440,0x67fe441d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000020,0x02600000,0x80620000,0x00e60009,0x00062000,0x26000000,
    0x0031001c,0xa8062000,0x55542aaa,0x000c400a,0x7003557c,0xbb800661,
    0x02f98004,0x7640714c,0x44002a00,0x3e205c8f,0x007fa81f,0xa8e03955,
    0x5c09d000,0x09d00330,0xd9d038e6,0x005fd100,0xf101442e,0xb827e407,
    0x04fd800e,0x000e5620,0x4800b7d3,0x00770007,0x0e807736,0x54006e40,
    0x4c6401b3,0x803ba445,0x25f5400e,0x74c05980,0x4058805b,0x50a82ccc,
    0x0589b805,0x300b7d10,0x9817cc0b,0x03b2a804,0x40014260,0x654001ec,
    0x20028003,0x006204e9,0x051400e2,0x20411044,0xc803d401,0x2005000e,
    0x00a801ec,0x800026c4,0x1eb800c0,0x17cc0500,0x0c180488,0x542aaaa8,
    0x55510aaa,0xaa8aaaa0,0x555542aa,0x2a055510,0x8ac982aa,0x018ac981,
    0x0acb9800,0x83555510,0xd5018ac9,0x0188015d,0x5c06e370,0x55530371,
    0x54c35555,0x39950aaa,0xaaaa8654,0x26155542,0x1aaaaaaa,0xf30371b8,
    0x22012205,0xf9031cca,0x9103ae09,0x9036e07f,0x103ae09f,0x836e07f9,
    0x26ea8ae8,0x86ea8ae8,0x40aabba9,0x2fc89dd8,0xae887fa0,0x9d306ea8,
    0x200b7003,0x53e07f4f,0xaaacc83f,0x77cc1fea,0x90ea36c0,0x9037a0df,
    0x3fd55559,0x260fe9f0,0xc809102f,0x309f931d,0xf812605f,0xf984982f,
    0x7fc09302,0x225c4982,0x8d112e68,0x882bb669,0xb02f883e,0x03444b8f,
    0x03fa005f,0x08200820,0x209f5070,0x321f985f,0x0680fe80,0x8209f507,
    0x2205f300,0x2cc17204,0x048817cc,0x07307fb6,0x812205f3,0x21cc1fed,
    0x217a485e,0xb0f726c4,0x6407ec0f,0x98242f47,0x4fca800f,0x65c4b260,
    0x65c4b260,0x81be2040,0x122bb04f,0x406e2fcc,0x64c37c40,0xf9819712,
    0x3ee07302,0x0be60e01,0xdf1b0244,0x17cc1cc1,0x3e360488,0x9f90e60e,
    0x419f9041,0xf0d536c0,0x6417d40b,0x01067e47,0x6c6c01ae,0x3f32ec07,
    0x007e65d8,0x827c03fb,0x2e01b8f9,0x6c00912f,0x7ccbb01f,0x2a817c41,
    0xf3000fd0,0x35812205,0x7cc1ccbf,0x9ac09102,0x3fa0e65f,0x05ffd02f,
    0x2616c7e6,0x213e604f,0x02ffe87c,0x9a44026c,0xf897202f,0x03f12e41,
    0x13e01fd4,0xee805ce8,0x7f5000d8,0x03f12e40,0x2206e09f,0x8333305f,
    0x409102f9,0x41cd3ea5,0x409102f9,0x81cd3ea5,0xfb80effb,0x0aab80ef,
    0x3e604fa8,0xff707c84,0x200be01d,0x5c81ba0c,0x44b907e2,0x00bf101f,
    0x01fd409f,0x880177cc,0xf12e405f,0x5981f703,0x3e609f50,0x9817cc2f,
    0x35f91603,0x2605f307,0x35f91603,0x07fec407,0x9707fec4,0x813e6033,
    0x207c83f9,0x7c40ffd8,0x55574400,0x44b901fd,0x3f12e41f,0x3e003f60,
    0xfb003404,0x2007ec00,0x6407e25c,0x100ccbce,0x4436c0df,0x2c05502f,
    0x7c41dfec,0x42c05502,0x5c0c3bfd,0x47f7033f,0x43fffffa,0x207ea06f,
    0x1fdc0c6c,0x26ae016a,0xb904f999,0x89720fc4,0x002fb81f,0x0024409f,
    0x0bee00f9,0x01f89720,0x07d802c4,0xb827c1b6,0x3fa21601,0x06e09f03,
    0x43fe8858,0x7c127f04,0x2d4cc2e3,0x82ec07ee,0x43f8245c,0xf905802c,
    0x17dcf701,0x4c2fb9ee,0x09f0705f,0x0f900064,0x70e0bf30,0x22017dcf,
    0x03fa800f,0x303ee0db,0x7f30680b,0x0b303ee0,0xe87f3068,0x985d3cc2,
    0x6c1c1a67,0xb5075c0d,0x7985d0f6,0x0ee0167a,0x7fc427cc,0x3e21df9d,
    0x3a1df9df,0x5f85880e,0x2001f7d4,0x80ee807d,0x4effc458,0x6fe401df,
    0x6c17e401,0x32f3b206,0x17f9300c,0x67640750,0xf9300ccb,0xdd875017,
    0x3761ccbd,0x3e61ccbd,0x701cbabd,0xa819f79f,0xbddd84cf,0x200aa1cc,
    0x7e441dfa,0x802080cf,0x99df9020,0x64c9fd99,0x05910bff,0x0e7fdc40,
    0xccccefc8,0x004104fe,0xbdea8000,0x08802dca,0x20020000,0x02000008,
    0x130404c1,0x00b32a20,0x402200c4,0x00000260,0x00000000,0x00000000,
    0x00000000,0x01980000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,
    0x44000000,0x15554c01,0x3b805555,0x4500e540,0x19993018,0x04c88010,
    0x4004b260,0x00001218,0xa8800000,0x2aaaaaaa,0x00044220,0x40188031,
    0x44018ac9,0x00999500,0x42e005c8,0x00b70019,0x03f98bf5,0x9d100fc4,
    0x03f7640b,0x6db641f8,0x2e004e98,0x1d404efc,0x401b6012,0x3a00330b,
    0x2abaa01f,0x207baafd,0x2200db6d,0x885802fe,0x406ea8ae,0x0009906d,
    0xb7d30016,0x2007f400,0x4016c3f8,0x2a85c01a,0x1f800a60,0x9b02994c,
    0x80151000,0x0740241d,0x005be980,0x0540b557,0x466038f9,0xb1370019,
    0x44b83b00,0xc80cc068,0x00088004,0x95000ec8,0x23f8809f,0x0001002c,
    0x2a155554,0x01f80aaa,0x55409b00,0x555542aa,0x301217c0,0x01eb8003,
    0x4080cc30,0x5555047c,0x00aaaa85,0x226c0181,0x2a20485e,0x099188ac,
    0x555554c0,0x2aa61aaa,0x402aaaaa,0x7c407d8d,0xcca805b3,0x36a032a1,
    0xeb827e40,0x332a3f00,0x19b032a1,0x04fc83bb,0x487f01d7,0x550aaaaa,
    0x55554455,0x4402aaaa,0x203e4001,0x41d704fc,0x550aaaa9,0xc87f0555,
    0x66c020cf,0x1325f931,0x33bfd500,0x9cf98b73,0x9100ea99,0xcf880be6,
    0xa8db002d,0x4c1fb883,0x7c09302f,0xb0751b61,0x4c3fd79b,0x3609302f,
    0x41bf2242,0x2abaa0de,0x407baafd,0x03e4005b,0x424c0be6,0x04fb85fa,
    0x05ffd05d,0x993d82ec,0x84fab800,0x01984f83,0xf1037419,0xf3001dfb,
    0x1f980643,0x048817cc,0x321f987e,0x8fe25d80,0x209102f9,0x80fe8485,
    0x71f20a86,0x2000fe80,0x817cc07c,0x983f8848,0x2e07502f,0x07e40eff,
    0x80099388,0x13e009f5,0xdaaae880,0xf57f101f,0x22bb001d,0xf307e204,
    0x1f812205,0x9b048aec,0x40be66e8,0x84814c48,0x040dc5f9,0x654011f2,
    0x01f2004f,0x212205f3,0x02f983f8,0x7fec40e6,0x32101ba0,0x27caa004,
    0x02627c0a,0x7ccccd5c,0x3e67f104,0x5c7cc00e,0xf307e201,0x1f812205,
    0xd80dc7cc,0x05f32e44,0x90151122,0x0244bee0,0x236007c8,0x01f2007d,
    0x212205f3,0x02f983f8,0x3fb818aa,0x13200bf1,0x2677e580,0x5339f06b,
    0x7e41601b,0x3e63f880,0x02e7400e,0x05f307e2,0xe81f8122,0x5b13605c,
    0x048817cc,0x4774090d,0x00f9000d,0x8017cd22,0x817cc07c,0x983f8848,
    0x0485702f,0x4013e67f,0x7c37004c,0xbf06baad,0x7701d555,0x3e213e60,
    0x500f7d44,0x41f8807f,0x407302f9,0x203fa81f,0x5f307c6d,0x21740e60,
    0x00bbe604,0x419007c8,0x01f9006e,0x839817cc,0xdccccef8,0x2e85d02f,
    0x00bf13cc,0x33620132,0xf81c4fcc,0x37ea04c4,0x867fe441,0x3ea2efd9,
    0x00d01cff,0x02f883f1,0x680fc055,0x165676c0,0x81540be2,0x1f60242f,
    0xd100f900,0x403fb555,0x101cfeb8,0x220aa05f,0xd02f983f,0xccbddd87,
    0x4c8036c1,0x027c1b80,0x880004f8,0x40053003,0xf0788048,0x1f806e09,
    0x466c0488,0x0dc13e00,0x320241f8,0x403e4007,0x4f9999ab,0x09f00100,
    0x20fe206e,0x089b02f9,0x00fdc036,0x09101325,0x09f0a09f,0x006a800a,
    0x032005d3,0x07dc1660,0x903f0166,0xb804d801,0x3b02cc0f,0x003e4048,
    0x641601f2,0x007e400f,0x20b303ee,0x02f983f8,0x8176203b,0x132381fd,
    0x84f883b0,0x24c27c2b,0x8033f600,0x3bea00e9,0x0aa76203,0x0cdbcec8,
    0xf51f9988,0x00bb007d,0x0332f3b2,0x36024398,0x007e4007,0x013e6077,
    0x9d900171,0x3e201997,0x4883f984,0xf900b620,0x6e41799d,0x867e4419,
    0xecccffc9,0x333ff267,0x00001fdc,0x05910030,0x22001770,0x85554400,
    0xcca802c8,0x00022002,0xffb881c3,0x7f5c401c,0x41dfa81c,0x300cffc8,
    0x40088005,0xb50aefd9,0x200445df,0x40220008,0x00002aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04001144,0xaa992000,0xa88019aa,0x00000001,0x14c00608,
    0x15973001,0x55555530,0x06228055,0x1aabb980,0xaa880000,0x00e882aa,
    0x88000000,0x22980001,0x7df91003,0x1c424007,0xbf512015,0x2a01dd75,
    0x0fcc0392,0x1003f880,0x8805f17f,0x2203befc,0x82ea8add,0xea999cf9,
    0x01fbb200,0x01cc05dc,0xfd1017ec,0xb101b39f,0x000be601,0x3fe8027c,
    0x7b00df30,0x5c46003b,0x2053000c,0x11204bea,0xd82fc47f,0x01e40790,
    0x0a801660,0x97118015,0x260fe201,0x1984f82f,0x2b8014c0,0x37501c40,
    0x9fffec0d,0x012a0004,0x4dc01660,0x3c9d80d8,0x510274c0,0x0aaaa055,
    0x037600b8,0x3f43f848,0x005004d8,0xcb9800a0,0xacb9800a,0x7ec0fb00,
    0x4c0027c0,0x0ee00acb,0x22280540,0x27ffff01,0x00140004,0x41830014,
    0x55530a08,0xfc880135,0xb881b703,0x2aaa61fc,0x3e12019a,0x7c41be23,
    0x9aaaa984,0x2aaaa601,0xbb102aaa,0x2205f913,0x42fc89dd,0x0bee05f8,
    0xb100989f,0x305f913b,0x29777709,0x2aaaa628,0xfff82aaa,0x036a093f,
    0x18800188,0x2602dc40,0x7d40aaaa,0x01debaad,0x11260bfe,0x541fb31d,
    0x80eebadf,0x3db33f84,0x2a17eea0,0x00eebadf,0xd53339f3,0xf883e881,
    0x7c41f442,0xfa813e62,0x6d4ce7c4,0xf883e880,0x447615c2,0x39f30e2f,
    0xfc81d533,0xf71093ff,0x4002dc03,0x02ecc05b,0x7c4077cc,0xdb01fc83,
    0xae43983f,0x8fe20c8c,0xdf8185f8,0x44e604fd,0xf11fc45e,0x0cc27c0b,
    0x20fd81f6,0x543f607d,0xf13e603f,0xb01d555b,0x1b07ec0f,0x838f3264,
    0xdb81984f,0x07e6093e,0x74000fe8,0x802e400f,0x740fe05f,0x41df1b07,
    0x2039ec39,0xf803f43f,0x87201fb3,0x3a1fc0f8,0x7c013e07,0x5f8bea05,
    0x27c4bea0,0x44f85f30,0x2a05f809,0x20f89a2f,0x13e0a25b,0x8824e200,
    0x09f9501f,0x2027e540,0x409f005c,0xb03f703f,0x743997e6,0x88fe01ac,
    0x227f006f,0x0d8b705e,0x40df11fc,0x3e604c4f,0x7cd3e604,0x5f93e604,
    0x013e1ea0,0x4f9813e6,0x7f12dc91,0x2627c05c,0x1049c400,0x1f63603f,
    0x407d8d80,0xf02ec8dc,0xf981fc09,0x4d3ea583,0x83127643,0x503db33f,
    0x41fcc7f0,0xf8588ee8,0x7c03db33,0x540da99c,0x553e604f,0xb93e604f,
    0x9f0bb01f,0x204fa8a0,0x23d964f9,0x3e0711fb,0x400da99c,0x07e20938,
    0x4017cd22,0x6405f348,0xf80fb9be,0x7cc0fe04,0x4d7e4585,0x1ccefd43,
    0x9027eefc,0x17dc4f88,0xdf827744,0xadf804fd,0x27cc0eaa,0x13e67f30,
    0x06ec3f98,0x213e036e,0x9813e649,0x5764323f,0x11398f8b,0x0eaaadf8,
    0xf1049c40,0x03741903,0x640dd064,0x13e07e26,0x07f503f8,0xb077fb0b,
    0x27f01bff,0x6cc900fd,0x33f60bef,0x3f837441,0x44f801fb,0x2a06f809,
    0xfa81be1f,0x3ebcfb81,0xcccffc98,0x5037c1fd,0x3c89543f,0x4f85872e,
    0x24e2004c,0x57441f88,0x2201fdaa,0x01fdaaae,0x7c0fc4b9,0x7e40fe04,
    0x3fe88581,0x89fc0148,0x1a80905e,0xf82e8840,0x4f80bd13,0x3603f700,
    0x5d80fdc5,0x001bf620,0x407ee019,0x9000c85d,0x10009f05,0x5c3c4127,
    0x04f9999a,0x3e6666ae,0x82f8b904,0x220fe04f,0x3e60d05f,0x1fc014c3,
    0xb80907f3,0x81b8fc07,0xf80fe63f,0x81bb0504,0x40dd80eb,0x5fc800eb,
    0xdd80b600,0x0c8075c0,0x04f81dc0,0x3049c405,0x03f20b0b,0xc80fc82c,
    0x827c17c5,0x06f4c3f8,0x2a02ff26,0x27c401c3,0x44090bee,0x1c4dc05b,
    0x0bee27c4,0xb824c27c,0x200cfbcf,0x00cfbcfb,0x200b7220,0x9f702de9,
    0xbc8019f7,0xf80b2e61,0x4e204984,0x70aa7624,0x2e13e607,0xd909f303,
    0x42fc17c4,0xcccdefd9,0x02040002,0x417dfb30,0x44071cfd,0xb3011000,
    0x67ec17df,0x999ff931,0x018803fb,0x40000c40,0x22000018,0xbbb98001,
    0x33ff2602,0x2201fdcc,0x540bb872,0x7fe441df,0x883bf50c,0xfd50cffc,
    0x261bf715,0x0000bffc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaa880000,0x4c555502,0x2201aaaa,
    0x6544005b,0x0ca8188a,0x00a80000,0x00639951,0x00001b50,0x981d1000,
    0x8300aaaa,0x02001301,0x0e880810,0x8006016a,0x205eeeea,0x80018008,
    0x81fe4400,0x077d40db,0xd801b620,0x885f931c,0x09d005de,0x47720390,
    0x87b84fc9,0x1f980fb8,0x01b606d8,0x1df301b1,0x026ef440,0x00fb8055,
    0x220b2aee,0xf701260d,0x2aaa6001,0x5013e02a,0x2f22003f,0x982ff802,
    0x32009f04,0x360bb006,0x401b85c3,0x903b8059,0x16c1660b,0x816407cc,
    0x0003a00e,0x57100bf0,0x1c401b00,0x000fb220,0x98005100,0x02a00acb,
    0x8d400510,0x41fed804,0x2009f039,0x00fc806c,0x0a800071,0x7dc07c40,
    0x98280e01,0x0130280f,0x7c0000cc,0x8e654404,0x0000b301,0x2a200000,
    0x362031cc,0x4c2fc89d,0x2a60aaaa,0x01aaaaaa,0x46c00e64,0x7c0e60ef,
    0x65cd9004,0x30203742,0x26155775,0x2aaaaaaa,0x00fd05a8,0x20aaaa98,
    0x2aaa60f9,0xa9836a0a,0x6d401aaa,0x6e409f00,0x7c09f931,0xaabba982,
    0x555dd4c0,0x2dc436a0,0x9f931dc8,0x5f107d10,0x6640ef98,0x01feaaaa,
    0xf35802dc,0x04f81ccb,0x220ecd90,0xd9a6005f,0x273e60ae,0x1e40ea99,
    0x99982fc4,0x26077cc1,0x1077cc0f,0x0efa81f7,0xf807dc40,0x1660b904,
    0xdb34c4e8,0x5db34c15,0x6443ee21,0x0b305c87,0x207ec0fb,0x4fa8385f,
    0x5800fe80,0xf81cd3ea,0x191d9004,0x6c009f30,0x427c1ee4,0x7d41f419,
    0xf05ff304,0xbf01f30b,0x09f01f30,0x27c03e60,0x40700fdc,0x0f726c5d,
    0x7cc3dc9b,0x03f71ee0,0xf502fc1c,0x44084f85,0x4fca806f,0x4d7e4580,
    0x32009f03,0x0bf102ee,0x20d536c0,0x82f8804f,0x41b606f8,0xf80f984f,
    0x4f80f984,0x3e01f300,0x20007e84,0x0d536c7c,0x7cc354db,0x00fd1ea0,
    0x3e604f98,0x7ec027c4,0x07d8d801,0x03bfd858,0x33b2009f,0x400db00f,
    0x3e05b1f9,0x0be204c4,0x20db03ec,0xf80f984f,0x4f80f984,0x3e01f300,
    0x9982fc44,0xf98d9019,0x23f305b1,0x2a0f982d,0x4cc17e27,0x9813ea19,
    0x2a027c4f,0xf348803f,0xfe885805,0x90e09f03,0x0fdc1b6d,0x00aab850,
    0x036a673e,0x81fd40fe,0xf309f06d,0x1f309f01,0x3e6009f0,0x4fa89f00,
    0x3605ff30,0x200aab84,0x1f300aab,0x209f53d4,0x13e62ff9,0x027c3f98,
    0x83200bf1,0xf983406e,0x4984f883,0xb05f8b64,0x9cb8703f,0x5556fc01,
    0x3203d80e,0x9f06d82f,0x09f03f30,0x009f01f3,0x22fc07e6,0x81b606f8,
    0x00ce5c1e,0x7cc03397,0x06f89ea1,0xa81be1b6,0xfb027c1f,0x555d1001,
    0x7f9303fb,0xfd987501,0x21feeeef,0x3bfb2fea,0x1799df90,0x3fffffa8,
    0x5c04c4f8,0x55ef5405,0x889f02dc,0x427c0cfc,0x804f80f9,0x3260cfc8,
    0x81f60bff,0x3ea1e06d,0x7d43ffff,0x3223ffff,0x7d8f50cf,0x07ee1b60,
    0xb827c2ec,0x3357002f,0x26009f33,0x00a60042,0x0590014c,0x85a9985c,
    0x003a004f,0x13e00762,0x213e02a2,0x004f80f9,0xfa824071,0x16a0db03,
    0x22d4cc2e,0x00b5330b,0xb03fa8b5,0xd703760d,0xbf309f01,0x7e4160e0,
    0x002e9800,0x3a600ba6,0x260d9003,0x209f0706,0xe9804982,0xd884f802,
    0x0f984f83,0x6a8704f8,0x3f201f10,0x81b06d82,0x834c7069,0xfc83b803,
    0x3ee06d82,0xbf00cfbc,0x8b101dd0,0x009f303b,0x74c001d3,0x801e9800,
    0x7bf304c8,0x09f03975,0x300aa093,0x30bf001d,0xf30bf03b,0x4984f883,
    0x7dc0cfd8,0xabdea81d,0x981b82dc,0x21cbabdf,0x1cbabdf9,0x20191b50,
    0x2dcabdea,0x32601880,0x9df90bff,0x549fd999,0x7fe441df,0x2000600c,
    0x88006001,0x16654400,0x6667fe4c,0x802201fd,0xbffc9801,0xff930220,
    0x433f2217,0xeeeeffd9,0x2000001f,0x51006019,0x32a20599,0x05e4402c,
    0x00001980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x21100c13,0x08010008,
    0x431dc402,0x08200020,0x0008a200,0xdddd1000,0x0002003d,0x41880880,
    0x200c2801,0x404eeeea,0xc85eeeea,0x3a62eeee,0x21885eee,0x446aa208,
    0x010102ba,0x09ddd002,0xb804faf4,0xf19f00ad,0x39df7507,0x903ee3ea,
    0x17c5fc40,0x1df7e440,0x54097000,0xc800aaaa,0x1b200007,0xb8036f64,
    0x54c00fef,0x54402aaa,0xaaa82aaa,0x266621aa,0x09159019,0xd53939f3,
    0x032af20b,0x006a027c,0xd9802a33,0x0a80fbb9,0x11541015,0x80b70a25,
    0x2300150a,0xa8800cb8,0x2a4b8abc,0x55542aaa,0x5405100a,0x55542aaa,
    0x02ea02ba,0x44002980,0x55554c01,0x554c2aaa,0x1b8dc0aa,0xf103ff10,
    0x983f987b,0x406e02ed,0x550aaaa9,0x2aaa8555,0x30c9456c,0x55555555,
    0x30aaaa98,0x3ee15555,0x006202ce,0x75c00620,0xc82fc88c,0x4c1d704f,
    0x2aaaaaaa,0x1d704fc8,0xa9803100,0x02aaaaaa,0xcf9805b8,0x4c0ea999,
    0x7f4f80ef,0x0bf00440,0x800001ba,0x37e40ef9,0x45fc0de8,0x4e7cc112,
    0x7cc0ea99,0x2077cc0e,0x005b805c,0x0fa805b8,0x17cc0ec8,0x9cf98498,
    0x7cc0ea99,0x2e009302,0x99cf9805,0x7f400ea9,0x1984f800,0x004105f8,
    0x13e05971,0x32ea07e4,0x02cb880c,0x407f417e,0x4057fb06,0x5f81984f,
    0x00b90bf0,0xfe8001fd,0x4413e200,0x8817cc4f,0x83309f04,0x009102f9,
    0x13e003fa,0x4fca8066,0x3e004f80,0xcb8964c4,0x83e89540,0x543f904f,
    0x12a83f24,0x4c13e07d,0xf900dc5f,0xf0027c0b,0x17213e09,0x4009f950,
    0x3ee04fca,0x5f31fa01,0x027c1220,0x09102f98,0xf009f950,0xfb1b0009,
    0x00989f00,0x7ccbb09f,0x36cccec1,0x20fb827c,0x9d8fe21f,0x09f06d99,
    0x804897dc,0x44f80efb,0x3e09f009,0x46c05c84,0x3636007d,0xd807f207,
    0x440be60f,0x80989f04,0x009102f9,0x9f00fb1b,0x4d220098,0x4ce7c02f,
    0x909f00da,0x3f10fc4b,0x09f03333,0x740f99ee,0x33333f15,0x1dd013e0,
    0xff91001b,0xda99cf81,0x13e09f00,0xf3488172,0x3e691005,0x6401fb02,
    0x440be61f,0xb5339f04,0x2205f301,0x2f9a4404,0x6d4ce7c0,0x06e83200,
    0x075556fc,0x225c84f8,0x2007e61f,0x7d4d704f,0x01f9b642,0xef9809f0,
    0x7f151002,0x0eaaadf8,0x213e09f0,0x7419036b,0x1ba0c806,0x1fb00fe4,
    0x039817cc,0x01d555bf,0x00e605f3,0x3e037419,0x100eaaad,0x03fb555d,
    0x7c02627c,0x07e25c84,0x24f8287f,0xd89f0f20,0x3e050fe4,0x4407d804,
    0x9f136512,0x209f0098,0x40ef984f,0x1fdaaae8,0x36aaba20,0x202fa81f,
    0xa817c46e,0x80989f02,0x405503f8,0x1fdaaae8,0x201313e0,0x4f9999ab,
    0x4f8013e0,0x907e25c8,0xf88753bf,0x32163f34,0xdfc87e0e,0x009f03a9,
    0x515880f9,0x4009f03a,0x0209f04f,0x7ccccd5c,0x2666ae04,0x20bd04f9,
    0x704f82f9,0xf8013e03,0x55c03705,0x204f9999,0x6416004f,0x0a09f00f,
    0xfb9ee13e,0x227fe442,0xee8aefc9,0x3b7fb01b,0x204ffc88,0x807c804f,
    0xf82ccbed,0x209f0504,0x581fa84f,0x41601f90,0x82f980fc,0x981f704d,
    0x41413e05,0x202cc0fb,0x3e01f905,0x303b8504,0x2613e09f,0xff885f84,
    0x0001df9d,0x00110010,0xfb00bf00,0x9f01cc00,0x20bf0930,0x3b85305f,
    0x07709f30,0x76c413e6,0x76402dbb,0x3e00cdbc,0x9d904984,0x1dc01997,
    0x09f04f98,0x20efd493,0x930cffc8,0x3fb999ff,0x405ffe4c,0x00000020,
    0x32600000,0xfb880bff,0x301001cf,0xfb999ff9,0x85ffe4c3,0x220bffc9,
    0x220efd42,0xbf50cffc,0x0cffc883,0x11000260,0xccffc980,0x04401fdc,
    0x220efd40,0xf930cffc,0x03fb999f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x004087b1,
    0x00f4d6d4,0x751501d5,0x01990037,0x01040204,0x10c40404,0x98e63220,
    0x5530aaaa,0x44057055,0x55554401,0x4502aaaa,0x86095028,0x00dd4008,
    0x80654008,0x203503c8,0x2060982c,0x1fd300c1,0x2025d64c,0x06eaafa8,
    0x9fd01f91,0x2a03f511,0x655e4070,0x40fe9f01,0xfb04bad8,0x6566075d,
    0x2a077cc2,0x2cd6c0df,0x273a2058,0x5b99afd9,0x2e814cb0,0xd80b1790,
    0x4f801d8a,0x320b9d10,0x985f81fc,0x0753b00e,0x89019195,0x801dea83,
    0x32e0e2f8,0x40f41cfd,0x2bc881f9,0xb80fb220,0x6f540371,0x03b71081,
    0x85f8242e,0x447cc3f8,0xf880dc0f,0x40a0fdc4,0x80e606e4,0x9a601ff8,
    0x701b803b,0x225106e1,0x00b85f84,0x3fe81bea,0x000aa5b8,0x200b97c0,
    0x3a0480f9,0x00001107,0x80000000,0x4427c020,0x45f3d43f,0x503ee039,
    0x2c73003f,0x40188008,0x00003a7b,0x213a0000,0x22009800,0x0acefb81,
    0x302dbb88,0x2015f779,0x080fcbcb,0x964c7f20,0x4b260cb8,0x4b260cb8,
    0x97100cb8,0x9712c985,0x01997501,0x887f109f,0x202c1f17,0x0a1fa86d,
    0x9d99bb95,0x4165dcc1,0x3ea03cb8,0x0aaa8adb,0x5cc1e5c4,0x3cb882cb,
    0x1e5c43d8,0x4c16ddc4,0x02e42cbb,0x2a07d4b6,0x2640bee6,0x4ccc41fb,
    0x3fb99999,0x6c1f9976,0x4bb07e65,0xd12a81f9,0x07e65d87,0x3e07e495,
    0x9d83f884,0xf880325a,0x5b9afa85,0x52c24490,0x413e4a87,0x07f20ff8,
    0xa9627c95,0xd89f2543,0x6c4f92a2,0x2a581f52,0x43602e43,0xf11ec1f8,
    0x0fa87e05,0x2aaab3f2,0x9725fcaa,0xf12e41f8,0x07e25c83,0x91b66676,
    0x87e0fc4b,0x4427c3f8,0x1cc3503f,0x427cc375,0xb06babfa,0x28be214c,
    0xb10550f4,0x741647f9,0x22f88aa1,0xc8550f42,0x6c2a87a1,0x17c43f10,
    0xb8805c85,0xf07e21fc,0x0f98f505,0x3fb813ee,0x641f8972,0x4b907e25,
    0x4cfc41f8,0xf12e4199,0x17a07cc3,0x007f109f,0x221d4b92,0x0e1fa85f,
    0x35933b31,0x3c41dfc8,0x8fe87540,0xc8078848,0x403c41df,0x2200f11b,
    0x6fe41fcb,0x6d405c81,0x07ea1f88,0xf98f905f,0xfd81be60,0x41f89722,
    0xb907e25c,0x07e60fc4,0x50fc4b90,0x27c6c85f,0x06401fc4,0x86e8f65f,
    0x332601fa,0x540aaeaa,0x007e62ff,0x066fcc7d,0x7d400fcc,0x5007e62f,
    0xb5007e61,0xff503f11,0x3e205c85,0x27c43f10,0x98bea0be,0xf807ec0f,
    0x83f12e46,0xb907e25c,0x21fc0fc4,0x83f12e42,0x13e26c4f,0x855007e2,
    0x0fdc991f,0x1b8a07ea,0x36c42216,0x1fcc50fe,0x1fc117f2,0x8db1088a,
    0x0fe0143f,0x1f887c45,0x3236c422,0x2e3f3036,0x4c7b60af,0x2e1bf02f,
    0x6c2f440f,0x5f73dc1f,0x70bee7b8,0x7e417dcf,0x73dc3a9d,0x3e0ec85f,
    0xf15b2fc1,0x97424401,0x3ee3642e,0x244915c1,0xfc8b32c4,0x3be21b8c,
    0x2633fb21,0x86e33f22,0x9f916658,0x321b8371,0x3e61b8cf,0x96215f71,
    0x8077cc59,0x444f9dfd,0x81dfbefc,0x0cfcdfd9,0x0cebbec8,0xdf9dff88,
    0x3e77fe21,0x277fe21d,0x7fe441df,0xf9dff884,0x0edfec1d,0xdd17ff93,
    0xa80c8057,0x99b7069d,0x8fd99dff,0x33e20a65,0x7fe441ca,0x0defea83,
    0xfc88dff9,0x6567c43f,0x41ffe441,0x0fff224f,0x893e77f6,0x0001cacf,
    0x00422001,0x01100104,0x08200820,0x80000820,0x00088020,0x2601800c,
    0x20008802,0x80110020,0x08808800,0x80110020,0x20040200,0x00008800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0065c000,0x64400ca8,
    0x300b2202,0x08900ae9,0x2010c402,0x81e401ca,0x1ba801c8,0x4c0a6170,
    0x51004803,0x02080159,0x164404b8,0xaaa81c98,0x0555542a,0x4c980ae2,
    0x41300820,0x2003c880,0xe8804de9,0x4035405d,0x0f9e405b,0x3e9f0aa0,
    0x83aefd83,0x3e205ce8,0x39016e00,0x816ec07a,0x74e8593c,0x510bb801,
    0x3e2fe209,0x203dd982,0xc826406a,0x981d704f,0x3480ffcd,0x1f71f505,
    0x82acfda8,0x47001fcc,0x1b85c00b,0x06400320,0x0900e290,0x22306e37,
    0x550b81db,0x812006e0,0x79106e6a,0x7c4d503d,0x901c4ae0,0x8254d541,
    0x6470170b,0x09001900,0x424c0be6,0x2ea0fe22,0x0713880c,0x4e213263,
    0x00000048,0x20000080,0x00012000,0x00020000,0x4c1016e0,0x0fe2740f,
    0x37117048,0x000e2f22,0x80001000,0x009102f9,0x0000205d,0xbca80000,
    0x32e2cc88,0x32e25930,0x65c4b260,0x65c4b260,0x65c4b260,0xcba82a80,
    0x0ccba80c,0xa80ccba8,0xcba80ccb,0x8805c80c,0x217c6edb,0x70170a5e,
    0x441ca0ae,0x597102cb,0x440b2e20,0x02f982cb,0x88588091,0xbb882dbb,
    0x2dbb882d,0x202dbb88,0x2b83ea5e,0xd83f32ec,0x4bb07e65,0xf32ec1f9,
    0x64950903,0x0fc92a0f,0x2a0fc92a,0x24a83f24,0x5db510fc,0x7ec56a05,
    0x26d85f31,0x2530e20b,0x2a86600e,0xd12a87d1,0x87d12a87,0xf987d12a,
    0x74c09102,0x81f52d82,0x2d81f52d,0xf52d81f5,0x2f89ea01,0x1f897212,
    0xc83f12e4,0x4b907e25,0x1f8481f8,0x221f8fe2,0x3f887e3f,0x3e3f887e,
    0x6d44fe21,0x445b02af,0x6d83f53f,0x98a89072,0x9d8a200f,0x4cec6d99,
    0x4ccec6d9,0x6cccec6d,0x48817cc6,0xd87fd710,0x10d83f10,0x3f10d83f,
    0x403f10d8,0x0e6dd52f,0x641f8972,0x4b907e25,0xf12e41f8,0x07cc1a83,
    0x3a07cd7a,0x35e81f35,0x1f35e81f,0x1035c5e8,0x5f16e81f,0x170b25e8,
    0x2a03e944,0x33333f10,0x0ccccfc4,0x433333f1,0x419999f8,0x007302f9,
    0x3f9710fb,0x103f9710,0x97103f97,0x9cae403f,0x25c80b9f,0xf12e41f8,
    0x07e25c83,0x120fc4b9,0x2ad90bea,0x2fab642f,0x642fab64,0x46c85f56,
    0xb07ea05a,0xd93e1f4d,0x2d4e1c43,0x03f31c62,0x3f300fcc,0x2200fcc0,
    0x3005502f,0x1f88da8f,0x20fc46d4,0x541f88da,0x2601f88d,0x2099d2af,
    0xb907e25c,0x89720fc4,0x3f12e41f,0x4d89f048,0x27c9b13e,0x26c4f936,
    0x2e24d89f,0x9b0be043,0x4e8be2e4,0xbc98d448,0x43f8532b,0x7f0a1fc2,
    0x20a1fc28,0x3003704f,0x1f887c4b,0x10fc43e2,0xf887e21f,0x6e803f10,
    0x73dc07ea,0x3ee7b85f,0x85f73dc2,0x1a8bee7b,0x90fc1d90,0x1d90fc1d,
    0x7c1d90fc,0x31f83b21,0x89559db7,0x1d30fc6c,0x370bf16a,0x905301a8,
    0xfc8753bf,0x6fe43a9d,0x4efe43a9,0x4c0fb83a,0x261c8305,0x2615f71f,
    0x2615f71f,0x2615f71f,0x4015f71f,0xf881a23b,0x221df9df,0x21df9dff,
    0x1df9dff8,0x37e77fe2,0xdbfd8091,0x81dbfd81,0xfd81dbfd,0xdbfd81db,
    0x3fa2eaa1,0x6dedc41e,0x40cbea81,0xba83885f,0x9102bbab,0xff9109ff,
    0x09ff9109,0x6409ff91,0x880ccbce,0xfd81dcef,0x6fec4f9d,0x4efec4f9,
    0x7cefec4f,0x08008004,0x08020802,0x01020802,0x00880110,0x00220044,
    0x00102011,0x06e01001,0x00006004,0x00000000,0x40040022,0x00800800,
    0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03910000,0xcb88032a,0x004c980b,0x4002b2a2,
    0xa880acb9,0x0555502a,0x00c18183,0x30282ee6,0x55441555,0x995101aa,
    0x59510063,0x064c0311,0x77101dc0,0x54415cc0,0x5552aaaa,0x45555115,
    0x2aaa2aa8,0x0555442a,0x30062b26,0xd016e037,0x35c3e205,0xbb80274c,
    0x6c409510,0x882fc89d,0x01b703fc,0x9501b197,0x2f6201b1,0x883bda88,
    0xfe80ffff,0x3263b901,0x4c73604f,0x013202fc,0x4ec407e2,0xfa8642d8,
    0x3fffff21,0x7f98ff24,0x2fe40e98,0x2ba21fa8,0x7b106ea8,0x04880480,
    0x6c0fc4f7,0x2aaac804,0x20fa2122,0x05ff02f8,0x01ff4093,0x0fe207fd,
    0x002e0bea,0x982e41f6,0x0f60bb05,0x40550048,0x0f89e63d,0x0e40d97a,
    0x987d87f1,0x9505f883,0x443444b8,0x1000801f,0x80f99b20,0x9f85c04d,
    0x7d8712e9,0x3b603f60,0x3101cc1f,0x1f601880,0x0b107eec,0x07ee1f20,
    0x100fc838,0x80100007,0x43f0fc1f,0x3a1a016d,0x03217d46,0x206407e4,
    0x03e8485e,0x4416ddc4,0x15c82dbb,0x3673609b,0x2e3f1c1c,0x540bf0e6,
    0x0ef8d82f,0x665d40e6,0x65c4b260,0x23217e20,0x2ffee2fa,0x1fa1f200,
    0x4101ba00,0xdcaadbc8,0x48dcc982,0x409b0be6,0x2e12a03e,0x0b13ea1f,
    0x216227c4,0xf7020cfc,0x1f52d801,0xc81f52d8,0x3b605fb5,0x4531febb,
    0x98cc7b1f,0x213e604f,0x41ccbf35,0x5d83f24a,0x44f987e6,0x4c49f31b,
    0x8f901ffb,0x333305f8,0x5f002fc4,0x317c53ee,0x13e0fdcb,0x9016a0bd,
    0x66c7f103,0x8fb00e67,0x05ffd01b,0x20ff6bba,0x0d83f10d,0x2a5c83f1,
    0x9fc4d83f,0x10bf3e0a,0xf9813ea5,0x4d3ea584,0x8fe21f83,0xfa87e25c,
    0x05f98ea4,0x51f209d1,0x8bfe609f,0x436004f9,0x24e99af9,0xf90fee3f,
    0x06c0fe65,0x916d81a0,0x500325f3,0x3ee02c5f,0xf51fc0ef,0x03f97105,
    0x5c83f971,0x3626c2f4,0x35cfc516,0x3027cc2a,0xafc8b07f,0x3a07cc39,
    0x21f89725,0xfa8935f8,0x3203e603,0xdb037c47,0x44005f88,0x0999afdb,
    0x1b66e3f3,0x207eaf6a,0x50254029,0x2d7a353f,0x00736e80,0x3e61ffb1,
    0x236a27c2,0x446d41f8,0x1f22e41f,0xf1cd7136,0x37c39363,0xb0b03f50,
    0x42fa877f,0x1f89726c,0x7dc2c7fc,0x36407c01,0xb0db03ec,0x4c6d400d,
    0x555f501f,0x20db01b2,0x7c01c802,0x00ebf25c,0x1806cfdc,0x85f13fb8,
    0x7c43e25d,0x0fc43e21,0x9b0b7172,0x3ea6a4d8,0x429be88c,0x20bb01fb,
    0xf83fe885,0x44b926c4,0x406fd41f,0xc834405e,0xdb03fa85,0x89403f70,
    0x1287f11f,0x1026c7bf,0x1a00201d,0xff993f20,0x09bf1000,0x13a3f824,
    0xfb8fcc7b,0x3ee3f30a,0x6567720a,0x03e24d82,0x6c0a6035,0x68075c0d,
    0x1d907f30,0x7dcf70fc,0x0ea85e82,0xad439054,0xb05f903d,0x8e07f60d,
    0x15df11f9,0x07e3ec37,0x01700f44,0x0fd4024c,0x3f90017a,0x51e61740,
    0x3f607c1f,0x6fec4f9d,0x237a64f9,0x79d502ae,0x2aeea039,0x67dc02bb,
    0xfc980cfb,0xfb03a80b,0xdff883b7,0x2eea1df9,0xe80cdabd,0x67d41ddf,
    0x55ef5404,0x3bf202dc,0x6ff40bcc,0x223ffe8b,0x982dbddc,0x0fe200ba,
    0x70d002c8,0x40688005,0x81ccbddd,0x0101daca,0x10000010,0x4000c001,
    0x01000018,0x80820044,0x00400c40,0x03300022,0x04400880,0x20088602,
    0x01002000,0x10000040,0x20026080,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x19805c40,
    0x03101b98,0x05c45b50,0xa8020288,0x202dc40b,0x801aaaa9,0x0d983cb8,
    0x07502218,0x98220880,0x009aaaaa,0x165c40b2,0x542aaaa6,0x55542aaa,
    0x443061aa,0xcb882dbb,0x71262dc8,0x55555105,0x4d55554c,0x4c059000,
    0x5530b00f,0x5100320d,0xc807cc5f,0x1b113e00,0x805e992e,0x4a800efa,
    0x80fc893e,0x2fe858bc,0x424d6c00,0xeeb9adfa,0x12a86a81,0xa85fa87d,
    0xccccb84f,0xd83236a1,0xee981f52,0xd1ea7cad,0x99999309,0xeb9adfa8,
    0x003a601e,0x4c03701d,0xf1002a83,0x03980e85,0x1f0f20dc,0x80333fae,
    0x543d004f,0x7c407cc2,0x002a881f,0x7c407fcc,0x0b81fc83,0x536cccec,
    0xb9999df9,0xfb0009bf,0x03f10d89,0x7a8fc4d9,0xf8800274,0x1701fc83,
    0x04881d00,0x00911ba6,0x2c0742f8,0x3e2ec040,0x27c01720,0x7cc03c40,
    0x01c03100,0x0fe00880,0x3e2083f4,0x7c419999,0x7102f983,0x22031059,
    0x45c81fcb,0x04e8f52f,0x7f019975,0x80041fa0,0x1d80240e,0x77930032,
    0x0640e85f,0xc9fd4140,0x16e46e43,0x1f9804f8,0xb8957c40,0x44c2ec8c,
    0x81dd9bc9,0x40cccccc,0x543f703f,0x1007e60d,0x505f307f,0x1b50fa25,
    0x81f88da8,0x47a97c5c,0x3f24a84e,0x1fb81fc0,0x05d91971,0x44035074,
    0x500aa488,0x83a17dcd,0x2e070039,0x9cec82ef,0x324f80fc,0x44287f02,
    0x277ba64f,0xcdf980fc,0xd11c46d9,0x4ce7cc4b,0x7dc4fe60,0xf10a1fc0,
    0x3b05f307,0x7dc4db33,0x0fc43e20,0x7d4be2e4,0x887e13a0,0x339f313f,
    0xee99fcc1,0xa880fc9d,0x82ee2911,0x731221b9,0x88be23d8,0x7073161a,
    0x037f6205,0x7c0fccd9,0x67e40f64,0x207dc1b8,0x7407e26c,0xed821ea4,
    0x2ab7ee60,0x0f993e62,0x21d4efe4,0xdccccef8,0x4ccfc42f,0xf307cc19,
    0xd902bee3,0x2e3f52f8,0xd03e61ce,0x2ab7ee6b,0x26c93e62,0x70c801f8,
    0x20c80d71,0xf07e24d8,0x9b10dc05,0x51b10688,0x3e25c8df,0x91004f81,
    0x0fbb87ff,0x740be2e4,0x7dc03e64,0x3ea07f01,0xf9103e63,0x307f109f,
    0x401f985f,0x4efec0f9,0xf1ff544f,0x2e7bfaa5,0xd90bea3f,0x47f503f8,
    0x2a017c5c,0x0e606882,0x20fd4959,0xac87302f,0x23c82744,0x5f1721fa,
    0x1b8009f0,0x45c81f10,0x7cc9d02f,0x3e02f980,0x7cc3f903,0x1fc41200,
    0x21fc17cc,0x90407cc2,0x1ab87c00,0x13627c04,0xc87f207f,0x091017c5,
    0x45c5806e,0x5f13e249,0x49317160,0x1752e2f8,0x17c5c8f6,0xf703827c,
    0x8b903e20,0x7cc9d02f,0xf022f440,0xf98bf107,0x3e20ba00,0xfc82f983,
    0x07cc3a9d,0xd1001f10,0x0ec801e4,0xf107f07e,0x017c5c8b,0x64033019,
    0x8bb73621,0x705f31ed,0x976e6c43,0x2dd6a3f8,0x3e26c836,0x24c27c42,
    0x1f9825c4,0x740be2e4,0x8db03e64,0xd30fe209,0x201f981b,0x13e22dea,
    0x3f220fe6,0x401f984f,0x56c41dfc,0xd8013a39,0x1fc41dbf,0x8b9037a6,
    0x9705502f,0x20398595,0x5f7e4449,0x981221df,0x22a87644,0x3aa2aabb,
    0x31dfb8af,0xfddddffb,0x32201103,0x15fd50cf,0xefb83bf7,0xf70cfc9a,
    0x261d999b,0x2dccdefd,0x000cfc88,0x542bbf26,0x44002efd,0x20000cfc,
    0x000d40cb,0x3bf66022,0xea82dccd,0x81dfb8af,0x30555501,0x21101880,
    0x06200980,0x00402ae6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x71000000,0xc985d919,0xa9819712,
    0x2a6002aa,0x1aaaaaaa,0x07726000,0x881c9877,0x10e44021,0x2aa7b397,
    0x5435511a,0x10c1da8e,0x20411044,0x54c1c880,0x30551aaa,0x55445977,
    0x02aaaaaa,0x85555510,0x832a1cca,0xaaaa80da,0x2aaaa61a,0x1c001000,
    0x3f277ba6,0x03f32ec0,0xd5000bf5,0x0b7333bf,0xb91c81b6,0x436741f8,
    0xb503aefd,0x13cbee98,0x2e24b8df,0x3f65eb8f,0x24d6c3ae,0x2e0b2aee,
    0x7c1df505,0x54752c0f,0xcaafdaad,0xccc98486,0x1d46d84c,0x99701f71,
    0x05f98399,0x4489d5e8,0x226c87ea,0x3f12e41f,0x70007f10,0x260709f5,
    0x15411a02,0x2211542a,0x901901db,0x0d83ee0d,0x422707cc,0x07fcc1db,
    0x0240fb22,0x4437113e,0x3e438a2f,0x4000b712,0xf30321f9,0x0fe20001,
    0xb70d46a0,0xf8b90f50,0x03f12e42,0x017bbdf1,0x00013eb0,0x000103cc,
    0x05c80400,0x261227f1,0x8800170f,0xf8010000,0x1dfc8484,0x6411f204,
    0x25932cef,0x15d80cb8,0x7101f309,0x07f105b7,0x1677dc00,0x2f8b90f5,
    0x103f12e4,0x807fa27f,0xc8289f2a,0x2a0ccccc,0xb5036a07,0x76465c41,
    0x1ece5c42,0x0cb640b9,0xb5008f98,0x3d9cb881,0x333206d4,0x227c0ccc,
    0x80bfea02,0x6c2e407c,0x3e607e65,0x80f981b8,0xf881f52d,0x06d401bb,
    0x321ea172,0x897217c5,0x263f881f,0x9df9604f,0xd11c46b9,0xf7107a8b,
    0xd307dc41,0x4c1f93bd,0x1723cbee,0xf304af98,0x303ee201,0x5c4797dd,
    0x5e88e20f,0x108804f8,0xfdaa98db,0xc85c82aa,0x67407e25,0x4751f305,
    0xf883f10d,0x07dc401e,0x321ea172,0xb9ee17c5,0x223f882f,0x6fc3706f,
    0x36086baa,0xf303d40e,0x3640f981,0x906c83f1,0xbff9990d,0x007cc599,
    0x40d901f3,0x1db040f9,0x4b1009f0,0x7ed54c59,0x6775c2aa,0x01f89722,
    0x23e607f5,0x0fe5c45b,0x7cc00fe2,0x23d42e40,0xdfb8afea,0x3e77fe21,
    0xf51fc41d,0xf999b109,0x07ee0389,0x40f981ea,0x3e2e40f9,0x7f542e42,
    0xf981ee03,0x3203e600,0x5c03e605,0x1009f01f,0x6403959f,0x2e42e407,
    0x303403f1,0xf11b501f,0x801fecc3,0x542e40f9,0x4200a607,0x739f1039,
    0x9f06e0bf,0x540be600,0xf303e607,0x217c5c81,0xc815105c,0x2cccfdcc,
    0x0f9803e6,0x03e605c8,0x04f80be6,0x1f201620,0x44b90b90,0x4c09101f,
    0xf887c40f,0x400fe2a1,0x542e40f9,0x400fa607,0x55bf105b,0x13e12203,
    0x208bd114,0x303e607a,0x17c5c81f,0x026c4172,0x007cc0f7,0x40b901f3,
    0x22f440f9,0x883827c0,0x203e402e,0xf73dc36b,0xf9803205,0xafb8fcc0,
    0x21c0fe20,0x21b5c0f9,0x007a607a,0xf1067ec4,0xf883b009,0x31b62b84,
    0xf9807dc1,0x1720fcc1,0xb106c85f,0xf303dc05,0x640fcc01,0xdb07e606,
    0x213e2098,0x400e9849,0x3be600fc,0x3e77fe20,0x807df51d,0x9dfd81f9,
    0x5427c44f,0x3e60fcc3,0x0c03ea0e,0xefd98000,0x219f9103,0xecccffc9,
    0x33337ee7,0x819fd50e,0xf910cfc8,0x22bfaa19,0x7fd51dfb,0x7f540110,
    0x067e440c,0xd5067e44,0x19f9107f,0x3b3337ee,0xdddffb30,0x880303fd,
    0x0001cffb,0x00b22041,0x01019f91,0x7777fe4c,0x33f221fe,0x0dfed400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x09aaaaa9,0x20e66540,0x81dd8bb8,0x435002a8,
    0x009aaaa9,0x0b7106d4,0xd1003100,0x9802dc41,0x980aabba,0x2aaa23db,
    0x262aaaaa,0x5550aaaa,0x55554c55,0x554c2aaa,0x531aaaaa,0x2aa88035,
    0x26155553,0x2aaa2aaa,0x0d5554c2,0x13555530,0x21aaaa98,0x03a62aaa,
    0x7d953bf5,0x0bea1b30,0x3fd79bd3,0x00ffefd4,0xadfa87f3,0x5c41deba,
    0x001b620f,0x8362016e,0x269805d9,0x9acc0aed,0xfb55d52f,0x5fa8f755,
    0xcf984fb8,0x540ea999,0x25ca99cf,0x27ec06fa,0xbf503be6,0xdf503f98,
    0x75bf5001,0x84ffa89f,0x22074c3f,0x361fcc3f,0x9760be22,0x5e8923f8,
    0x7f10ff60,0x0f983f90,0x7f400364,0x00b90000,0x4c83dc9b,0x71f20a82,
    0x2f983f88,0x883309f0,0x3fe2383f,0xf05ff102,0x2d87f10b,0xf88027c0,
    0xdf30fea3,0x1fc003a8,0xf81f1374,0x8b744d82,0x46407dc0,0xfd03f83f,
    0x03640f98,0x0013f2a0,0x536c02e4,0x2040f60d,0x0fe2047c,0x027c0be6,
    0x64403f88,0x03f7906e,0x647f109f,0x1004f802,0x5437c47f,0xf000b13f,
    0x07d4bf07,0xb91360be,0xf9d43540,0x3f703f83,0xb9b207cc,0x1f63602c,
    0x8dc81b50,0xb1f982ec,0x2cefc985,0x3e203e40,0x9f02f983,0x23f88098,
    0x0fd64418,0x3e07eb62,0x05b3f884,0x7c4013e0,0x7ec13e23,0xcf8000d9,
    0x220eea99,0x26c17c3f,0x443d80b6,0x40fe0fe4,0x903e63f9,0x29100ecd,
    0x1f7102f9,0x0fb9bec8,0x3a00aab8,0x880f9003,0xf02f983f,0x101b5339,
    0x8859339f,0xfa9b8bf4,0xcf884f81,0x013e002d,0x03f91fc4,0x40007fe2,
    0x0cfdbadf,0x82fa976c,0x58807c6d,0x3e0fe0c8,0x7ccbf303,0x00647640,
    0x2606e832,0x3f13640f,0x74019cb8,0x880f9003,0xfdccccef,0xd555bf02,
    0xb55bf101,0x43f74885,0x09f03f55,0x001dfbf1,0x6fc4013e,0x7e401bda,
    0x1fc0e603,0xdfb31be6,0x59db05f3,0x2a064059,0x41cf999b,0x4c7f503f,
    0x0177640f,0x3f6aaba2,0x5c81f301,0xfff507e2,0x007d07ff,0x07f101f2,
    0x313e05f3,0x4287f101,0x4ae9f148,0x884f81fa,0x800efabf,0x07f1004f,
    0x80fee4c0,0xc83f83fd,0x20be082f,0x0dc008cd,0x7fffffec,0x1fc81fc7,
    0xf9d903e6,0x4ccd5c01,0x81f304f9,0x42e17c5c,0x03e85a99,0x3f880f90,
    0x09f02f98,0x9100fe20,0x3f52c7e4,0x27f109f0,0x27c00ef9,0x1003f880,
    0x3981be2b,0x01fc83f8,0x4026c17c,0x07f0042a,0x98bf107f,0x06db640f,
    0x4c07e416,0x8be2e40f,0x07d07069,0x7f101f20,0x13e05f30,0x100fe214,
    0xf51f7c49,0x7f109f03,0x9f0077cc,0x007f10e0,0x704fa836,0x7cc3f881,
    0x6c17c406,0x4cce5405,0xf10fe03b,0x4c0de987,0x5f8b641f,0x09f303b8,
    0x226c83f3,0x2af7e62f,0x004e81cb,0x27c401f9,0x84f81fcc,0x2027c449,
    0x3ea3e458,0x4f885f82,0x7c40f7d4,0x27c44984,0x17ec0ec0,0xbdfb302a,
    0x95007db9,0x80e65417,0x1ffffffa,0xefd98fe0,0xc882cccd,0x25fd50cf,
    0x3bf51dfd,0x10cffc88,0x3faa19f9,0x220dfb8a,0xfb882cca,0xfd7100be,
    0x5dfb3039,0x98bbf6a1,0xfdcccffc,0x40bbf661,0x4930bfd9,0xf932dfea,
    0x3bf6617f,0x473ffea2,0xeeeeffd9,0x0fbf661f,0x3a61ff54,0x00000bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa980000,0x2aa019aa,0x155542aa,0x2aaaaaa6,0x2aaaa21a,
    0x55555552,0x08002075,0x00000000,0x42a38500,0x366150a9,0x20b2ee60,
    0x9880ccba,0x4c59953d,0x5419712c,0x22cc88bc,0x36ee20cb,0xaadbc882,
    0x2cb882dc,0x40079710,0x054331b8,0x6fd40da8,0xf900eeba,0x99037a0d,
    0x43fd5555,0x034cccc9,0x5c009018,0x2e259300,0x664c0fac,0xccca848d,
    0x2e4a87a8,0x32b3b622,0x2583a64d,0x1f92543a,0x14ee89dc,0x3f32ec3f,
    0xb83ea5e8,0x40fa96c2,0x3e29f72f,0x21f44aa2,0x91013e4a,0x2160d839,
    0x1fc40fb8,0x07f40bf1,0x4fa83834,0x20300600,0xe802e004,0xb316fe65,
    0x436a0fdc,0x87445afc,0x1540d86a,0x3e145f10,0x21e8fe21,0x24faacfb,
    0xf507e25c,0x1b0917c4,0x261b07e2,0x364e99af,0x0f46d999,0x03366055,
    0x985b874c,0x3f43f80f,0x01b8bf30,0x2a06f881,0x2030060d,0xc802e004,
    0x8fe07e25,0xf10fc3fb,0x5f33e889,0xc8090488,0x207cc1df,0x7cc1f15e,
    0x9720999a,0xd52f81f8,0x65c40e6d,0xafdb881f,0x33f10999,0x403c4333,
    0x4bb003da,0x7c07cc3f,0xf701be23,0xfd801225,0x0c1f7101,0x70024060,
    0x3f12e401,0xdb371f98,0x11ba07cc,0x5507ea5f,0x3fea0120,0x2d90bea2,
    0x80be22fa,0x3207e25c,0x0173f395,0xa83f11b5,0xf301f98d,0x700fcc03,
    0x8764005d,0x7c07cc5e,0xd003db33,0x2a001b1d,0x307cc03f,0xd9997180,
    0x32a19999,0x1ccccecc,0x541f8972,0x54d92aaf,0x3543642f,0x0710b0b9,
    0x7c6d8844,0x449f26c4,0x44b9145f,0xd2af981f,0x221f1099,0x7c47e21f,
    0x4287f143,0x1edc143f,0x07547e20,0x377e03e6,0x3be6004f,0x00bf1002,
    0x0600c1f3,0x40170024,0xf107e25c,0x13e26c7b,0x1d8ae09b,0x443b116c,
    0x64599623,0x26c87e0e,0x21c9cffa,0x740bee7b,0x3e607ea6,0x3e615f71,
    0x3715df11,0x21d4efe4,0x201b8cfc,0x22c80cda,0xf81f980d,0x6c001fb3,
    0x003f6007,0x0c0183e6,0x802e0048,0x360bee7b,0x83b20fc7,0x2489201e,
    0xd9cddbca,0x33e23f50,0xdbfd81ca,0x46dee441,0x7fc44ffd,0x3b81df9d,
    0x9dfd81a2,0x45eff44f,0x7e443ffe,0x3ffc884f,0x22199300,0x3f2206a3,
    0x5e89fc0c,0x5c01f200,0x41f3002f,0x00480c01,0xdff8802e,0x37221df9,
    0x7fb02dbd,0x0040003b,0x40088081,0x00408008,0x00400082,0x01022002,
    0x20001000,0x7c000008,0x6400fe63,0x705f9807,0x200c3f30,0x99b99971,
    0x002a0199,0x02218082,0x00000220,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2fb89f10,0xee807d80,0x7e445880,0x3333350c,0x00000533,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd980000,
    0x073f60be,0x4073fee2,0xeccccefc,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x432a1cca,0x5993001b,0x99990b2e,0x4b326199,0x885980cb,0xb33ec8cb,
    0xd9cb883b,0x71000003,0x1705d919,0x018805cc,0x0a988373,0x0d440b98,
    0x00714c6a,0x55554c55,0x5530aaaa,0x41555555,0x9312e1c8,0x98a61105,
    0x20001042,0xf903bbb8,0x0b6e22a8,0x441d9b60,0x5f517a23,0x2d333072,
    0x2e2fb662,0x4c6d9abf,0x3d03cbee,0x4cb10ea0,0x20fc9dee,0x0d5530f9,
    0x3eaa6172,0x771a6320,0x1e522593,0x0fcdb6bd,0x531ff855,0x37555555,
    0x26666662,0xd116e099,0x336e6e61,0x7c9f249a,0x443ea3ea,0xdddddddd,
    0x20dddd33,0xda8121f9,0x191d900b,0xc80ed820,0xcafb82af,0x7f1b21fc,
    0x403643d4,0x0d8ee00a,0xe83f1364,0x55541cc0,0xf5303602,0xd33ba448,
    0x1f15ca6c,0x006a23d4,0x048000cc,0x2ee60653,0x13882040,0xb0000007,
    0x32600e2b,0x0177641c,0x0dd00fdc,0x3641f6c4,0x640f98fa,0xb7700005,
    0x42f8b901,0x961b620e,0x8ab89105,0x8add2247,0x8f1dcb26,0x2600485a,
    0x99999971,0x01004399,0x00000000,0x2e3ea000,0xc83ae000,0x3e600fce,
    0x5c17ec02,0x320edcaf,0x81f31f46,0xccccb85c,0x7440cccc,0x42f8b904,
    0x86e1d80e,0x5f41c439,0x326ee1fa,0x54553d11,0x03124551,0x00000005,
    0xccccc880,0x00003ccc,0x5f400000,0x82db8804,0x3a20db6c,0x3f26e045,
    0x0bb4cd40,0x7cc7d1b2,0x40002e40,0x5c83b8d8,0x8443a17c,0x44321224,
    0x14623aad,0x040c0544,0x00000082,0x00000000,0x00000000,0x4c03f700,
    0x45b201cc,0x04c6d85f,0x6982f475,0x263f8d90,0x6403640f,0x43b83601,
    0x57317c5c,0x101306e6,0x002eeea3,0x00000000,0x00000000,0x00000000,
    0x0d100000,0xd5002f66,0x5c77f67f,0x50ecccdf,0x037f625f,0x5c5ff4c0,
    0x0cfc99df,0x0b807fd5,0x75450130,0x01dfb8af,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06010000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_19_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,1,0,0,0,
1,0,0,2,0,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,1,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_19_latin_ext_y[560]={ 15,3,3,3,2,3,3,3,3,3,3,4,13,10,
13,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,17,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,15,6,3,3,5,3,
3,3,3,3,3,7,7,10,3,2,3,4,3,3,3,7,3,8,14,3,3,7,3,3,3,6,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,3,3,3,3,3,3,3,
1,4,0,3,3,7,-1,3,-1,3,0,3,-1,3,-1,3,3,3,1,4,0,3,0,3,3,7,-1,3,-1,3,
0,3,0,3,3,2,-1,-1,3,3,0,3,1,4,0,3,3,3,0,7,3,3,-1,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,1,4,0,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,4,-1,3,3,4,0,3,1,4,0,3,-1,3,-1,3,3,7,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,6,4,4,4,4,4,4,4,4,4,4,4,4,4,1,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_19_latin_ext_w[560]={ 0,3,5,9,8,14,13,3,6,6,7,10,4,6,
3,5,8,5,8,8,8,8,8,8,7,8,3,3,10,10,10,7,16,13,11,11,12,11,9,13,13,6,7,13,
11,15,14,12,9,12,12,8,11,13,13,17,13,13,11,5,5,5,8,10,4,8,9,8,9,8,8,9,9,5,
6,9,5,14,9,8,9,9,6,7,5,9,9,13,9,9,8,6,2,6,10,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,9,9,9,
2,7,6,13,6,9,10,6,13,10,6,10,5,5,4,9,9,3,4,3,6,9,12,12,13,7,13,13,13,13,
13,13,16,11,11,11,11,11,6,6,6,6,12,14,12,12,12,12,12,8,12,13,13,13,13,13,9,9,8,8,
8,8,8,8,11,8,8,8,8,8,5,5,5,5,8,9,8,8,8,8,8,10,9,9,9,9,9,9,9,9,
13,8,13,8,13,9,11,8,11,8,11,8,11,8,12,11,12,9,11,8,11,8,11,8,11,8,11,8,13,9,
13,9,13,9,13,9,13,9,13,9,6,7,6,6,6,6,6,6,6,5,13,9,7,7,13,9,9,11,5,11,
5,11,7,11,6,11,5,14,9,14,9,14,9,11,12,8,12,8,12,8,12,8,15,12,12,6,12,6,12,6,
8,7,8,7,8,7,8,7,11,5,11,8,11,5,13,9,13,9,13,9,13,9,13,9,13,10,17,13,13,9,
13,11,8,11,8,11,8,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,10,9,9,9,9,9,9,9,9,9,9,9,9,9,14,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,8,6,5,12,
8,13,9,13,9,13,9,13,9,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,8,16,11,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_19_latin_ext_h[560]={ 0,13,6,13,15,13,13,6,16,16,8,10,5,2,
3,13,13,12,12,13,12,13,13,13,13,13,9,11,9,5,9,13,16,12,12,13,12,12,12,13,12,12,13,12,
12,12,13,13,12,16,12,13,12,13,13,13,12,12,12,16,13,16,7,2,4,9,13,9,13,9,12,12,12,12,
16,12,12,8,8,9,12,12,8,9,12,9,9,9,8,12,8,16,16,16,3,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,13,9,12,
16,16,3,13,6,9,5,2,13,1,6,10,7,7,4,12,16,3,5,7,6,9,13,13,13,13,16,16,16,15,
15,15,12,16,16,16,16,15,16,16,16,15,12,16,17,17,17,16,16,8,13,17,17,17,16,16,12,13,13,13,
13,13,13,13,9,12,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,8,10,13,13,13,13,16,16,16,
14,12,15,13,16,12,17,13,17,13,16,13,17,13,16,13,12,13,14,12,15,13,15,13,16,12,16,13,17,16,
16,16,16,16,16,17,16,16,12,12,15,12,14,11,15,12,16,16,15,8,13,16,17,16,16,16,8,16,16,16,
16,12,12,12,12,12,12,17,12,16,12,17,12,12,13,12,15,12,16,13,17,13,13,9,16,12,16,12,16,12,
17,13,17,13,16,12,17,13,16,15,16,13,12,12,16,13,15,12,16,13,17,13,17,13,16,12,17,13,16,16,
15,16,12,15,12,16,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,10,11,11,11,11,11,11,11,11,11,11,11,11,11,15,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,13,16,12,17,
13,17,13,17,14,17,16,17,16,17,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,17,16,13,17,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_19_latin_ext_s[560]={ 255,141,157,74,22,43,101,163,72,159,51,
68,172,246,220,55,125,249,33,208,42,113,245,195,59,178,131,250,228,188,11,
187,163,80,1,144,51,155,167,130,141,193,122,200,214,177,66,53,226,125,1,
236,129,194,222,204,236,14,28,248,138,90,121,235,204,189,29,219,28,210,120,
110,100,94,202,70,64,59,101,143,23,13,74,135,243,165,1,175,41,199,32,
130,137,220,209,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,255,134,29,
106,121,102,50,66,228,144,136,111,177,246,39,209,143,57,130,115,199,211,192,
224,167,111,150,239,38,1,14,51,209,223,166,77,63,242,32,38,87,60,180,
31,93,106,247,50,135,14,15,41,159,112,99,92,100,186,214,241,192,140,22,
19,10,1,244,235,226,217,198,89,185,176,167,158,148,66,72,237,116,78,97,
88,79,70,61,81,90,35,25,15,244,58,106,96,171,216,145,180,30,192,63,
145,101,132,236,115,75,92,1,189,230,201,185,177,159,1,118,245,138,154,18,
214,1,50,145,176,196,166,79,91,206,237,163,67,43,120,197,40,1,135,138,
131,223,249,29,186,114,68,44,28,22,119,113,16,100,151,112,77,209,225,98,
58,243,1,1,29,104,114,223,202,210,221,150,236,101,20,58,152,74,88,53,
95,37,128,82,84,122,124,227,163,73,163,180,57,154,171,171,183,116,10,104,
189,76,234,44,224,15,45,240,11,127,1,204,194,8,175,142,230,49,218,126,
58,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,211,47,47,131,
47,47,47,47,47,47,47,47,47,47,47,47,47,91,100,47,47,47,47,47,
47,47,47,47,47,47,47,47,130,79,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,141,154,
187,186,228,81,200,90,172,204,145,155,113,165,87,230,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,1,54,1,156,28,168,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,
47,47,47,47,47,47,47,47,47, };
static unsigned short stb__times_19_latin_ext_t[560]={ 1,105,200,105,89,105,105,200,72,72,200,
187,200,200,200,119,119,161,174,119,174,133,133,133,147,133,187,174,187,200,200,
133,55,174,174,133,174,174,174,133,174,174,133,174,174,174,133,133,174,55,187,
133,174,119,133,133,174,187,187,38,119,38,200,200,200,187,133,187,147,187,174,
174,174,174,55,174,174,200,200,187,174,174,200,187,161,187,200,187,200,161,200,
38,38,38,200,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,1,119,55,
119,187,161,55,55,200,119,200,187,200,200,133,204,200,187,200,200,200,147,55,
200,200,200,200,187,147,147,147,147,55,55,38,89,89,72,161,72,55,72,55,
89,72,72,55,89,147,55,1,1,1,55,55,200,133,1,1,1,38,38,161,
133,133,133,119,119,119,119,187,147,119,119,119,119,147,161,161,161,119,161,119,
119,119,119,119,200,187,119,119,119,104,38,38,38,89,161,89,104,38,147,1,
105,1,105,38,105,1,105,55,104,147,104,89,147,89,105,89,89,55,147,38,
89,20,72,72,72,72,72,72,19,38,55,147,147,89,161,89,187,89,161,72,
72,72,187,105,72,19,38,38,72,200,72,72,72,72,161,161,147,161,161,147,
19,147,72,161,19,147,147,89,147,72,147,55,89,19,105,105,187,55,161,55,
161,55,161,19,105,19,105,38,161,19,105,38,89,38,104,161,161,38,105,89,
161,38,104,19,104,19,119,19,161,1,119,19,19,89,19,161,72,161,19,147,
161,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,104,187,187,19,
187,187,187,187,187,187,187,187,187,187,187,187,187,89,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,89,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,19,105,
19,147,1,133,1,133,1,89,1,19,1,19,1,19,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,1,1,38,133,1,133,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187, };
static unsigned short stb__times_19_latin_ext_a[560]={ 69,91,112,137,137,229,214,49,
91,91,137,155,69,91,69,76,137,137,137,137,137,137,137,137,
137,137,76,76,155,155,155,122,253,198,183,183,198,168,153,198,
198,91,107,198,168,244,198,198,153,198,183,153,168,198,198,259,
198,198,168,91,76,91,129,137,91,122,137,122,137,122,91,137,
137,76,76,137,76,214,137,137,137,137,91,107,76,137,137,198,
137,137,122,132,55,132,149,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,69,91,137,137,137,137,55,137,
91,209,76,137,155,91,209,137,110,151,82,82,91,158,124,69,
91,82,85,137,206,206,206,122,198,198,198,198,198,198,244,183,
168,168,168,168,91,91,91,91,198,198,198,198,198,198,198,155,
198,198,198,198,198,198,153,137,122,122,122,122,122,122,183,122,
122,122,122,122,76,76,76,76,137,137,137,137,137,137,137,151,
137,137,137,137,137,137,137,137,198,122,198,122,198,122,183,122,
183,122,183,122,183,122,198,177,198,137,168,122,168,122,168,122,
168,122,168,122,198,137,198,137,198,137,198,137,198,137,198,137,
91,76,91,76,91,76,91,76,91,76,194,152,107,76,198,137,
137,168,76,168,76,168,112,168,94,168,76,198,137,198,137,198,
137,166,193,136,198,137,198,137,198,137,244,198,183,91,183,91,
183,91,153,107,153,107,153,107,153,107,168,76,168,117,168,76,
198,137,198,137,198,137,198,137,198,137,198,137,259,198,198,137,
198,168,122,168,122,168,122,76,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,198,214,214,137,214,214,214,214,214,
214,214,214,214,214,214,214,214,198,145,214,214,214,214,214,214,
214,214,214,214,214,214,214,213,149,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,198,122,91,76,198,137,198,137,198,137,198,
137,198,137,198,137,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,198,122,244,183,198,137,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_19_latin_ext_BITMAP_HEIGHT or STB_FONT_times_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_19_latin_ext(stb_fontchar font[STB_FONT_times_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_19_latin_ext_BITMAP_HEIGHT][STB_FONT_times_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_19_latin_ext_s[i] + stb__times_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_19_latin_ext_t[i] + stb__times_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_19_latin_ext_x[i];
            font[i].y0 = stb__times_19_latin_ext_y[i];
            font[i].x1 = stb__times_19_latin_ext_x[i] + stb__times_19_latin_ext_w[i];
            font[i].y1 = stb__times_19_latin_ext_y[i] + stb__times_19_latin_ext_h[i];
            font[i].advance_int = (stb__times_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_19_latin_ext_s[i] + stb__times_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_19_latin_ext_t[i] + stb__times_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_19_latin_ext_x[i] + stb__times_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_19_latin_ext_y[i] + stb__times_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_19_latin_ext_LINE_SPACING
#endif

