// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_23_latin_ext_BITMAP_HEIGHT        296
#define STB_FONT_times_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_23_latin_ext_NUM_CHARS            560

#define STB_FONT_times_23_latin_ext_LINE_SPACING          15

static unsigned int stb__times_23_latin_ext_pixels[]={
    0x0002fc80,0x54000000,0x0f26001c,0x02c80000,0x00c46200,0x00062130,
    0x5c0002aa,0x64010003,0x06204ccc,0x00220004,0x00000200,0x00310cc0,
    0x0ba8009f,0x23fddd30,0x800eeef9,0x07e4005e,0x000ffe20,0xa7c000b3,
    0x33a2005d,0x5ff98005,0x8001d000,0x7777402a,0x6440ea05,0x01530120,
    0x000b8320,0x03bddb93,0x403a9fe0,0x00c80059,0x07e63f30,0x4000e880,
    0xfccc801e,0x31113000,0x1f0e8800,0x0ccccc00,0x07a27600,0x01888980,
    0x21300770,0xb80ea018,0x59802d9e,0x0793f300,0x7f507ae0,0x01d45500,
    0x3fa00066,0xf31f9800,0x00054003,0xa8e600a2,0x1b69f003,0x00e25500,
    0x801b69f0,0x9f001c19,0x00f401b6,0x2a06da7c,0x002ff403,0x1bf6003f,
    0xfb80fe40,0x101d4004,0x49800b7b,0x3e63f300,0xa8000001,0x80040400,
    0x08001109,0x0884c000,0x26000000,0x5f300110,0x80221300,0x004c403a,
    0x31003f88,0x80bf3001,0x0ea001fe,0x000371a8,0x7cc7e600,0xedcc9801,
    0x2b60391d,0x00ba800d,0x707bddb5,0x3b6a5bdb,0xdedb83de,0x07bddb52,
    0x2205bdb7,0x39acdddb,0x20f7bb6a,0x7c42dedb,0x1ef76d43,0x3a96f6dc,
    0x707bddb5,0x3f985bdb,0x6eeeecc0,0x900bf601,0x751c40bf,0x002c6440,
    0x3e6002ea,0xec803f31,0x981efcc1,0x46dc0733,0x7c46ffe9,0x103ea01f,
    0x07d403ff,0xfa807fe2,0x4c15f500,0x0ffc44fc,0x13e01f50,0xfa807fe2,
    0x1ff88ea0,0x3ea03ea0,0xf307b202,0x7007fe07,0x4df910df,0x00fcc03a,
    0xffe98db8,0x3e63f306,0x5c07f201,0x036b604f,0x03f717c4,0x068803fe,
    0x834401ff,0x41a200ff,0x213603fa,0x81a200ff,0x401ff02e,0x3fe1d468,
    0x1f81a200,0x3e603f90,0x2007fc44,0x4dd00ff9,0x00fd403a,0x03f717c4,
    0x01f98fcc,0x3b620bf3,0xb802a01f,0x7413e61f,0x7e82c407,0x07e82c40,
    0x02fcc2c4,0x101fa162,0x7e81620b,0xd0ea2c40,0x2e05880f,0x7405f983,
    0x003fe21f,0x9ba01ff1,0x02ff4008,0x09f30fdc,0x01f98fcc,0x2e3605fb,
    0x0157305f,0x02f88fee,0xd05880fd,0xfd05880f,0x3fb85880,0x407e8180,
    0x7402b858,0x0ea2c407,0x405880fd,0x00bf60b9,0x01ff8bf7,0x0dd03fcc,
    0x007f6cc0,0x02f88fee,0x80fcc7e6,0xf32c81ff,0xfd9af98f,0x1ee5e880,
    0x82c407e8,0xe82c407e,0x7ec2c407,0x80fd0002,0x7402b858,0x0ea2c407,
    0x405880fd,0x007fe0b9,0x02fd8ff5,0x0db037d4,0x01fdce40,0x407b97a2,
    0x103f31f9,0x263b81ff,0xfa9b60ff,0x177bd103,0x16203f40,0x416203f4,
    0x7c2c407e,0x0fd0001f,0x40b30588,0x2a2c407e,0x16203f43,0x07fc43b8,
    0xfb83fe60,0xb017e404,0x7c5a200d,0xbbde8806,0xf98fcc00,0x260ff881,
    0x5707fc45,0x00d81fc4,0x0b101fa0,0x20b101fa,0x262c407e,0xfd0000ff,
    0x07a05880,0x516203f4,0x2c407e87,0x0ff983f0,0x3607fc40,0x80bf100f,
    0x15c0ea6d,0x00d805fb,0x1f98fcc0,0x21625ff0,0xf97106f9,0x5557f509,
    0x2203f403,0x5880fd05,0x45880fd0,0xd0001ff8,0x3e05880f,0x5880fd04,
    0x101fa1d4,0x3e07e60b,0x43fcc01f,0x6ec40de8,0x07536c00,0x540bf31a,
    0x401aaabf,0x203f31f9,0xf501b3fe,0x9f11b90b,0xfffffd10,0x401fd03d,
    0x401fd049,0x401fd049,0x003ff849,0x24c01fd0,0x1fd04f88,0xd0ea24c0,
    0x9824c01f,0x402fe83f,0x33ae05fa,0xdb003eca,0x556d41d4,0xd100ffaa,
    0x03dfffff,0x80fcc7e6,0xf901ddfa,0x13e25d85,0x5d4cc522,0x2a01fd85,
    0x5403fb03,0x5403fb03,0x0805fb83,0x0ea01fd8,0x1fd817cc,0xd8750ea0,
    0x440ea01f,0x404fb83f,0x7ec402fc,0xa976003f,0xaaaabd83,0x229104fc,
    0xf305ba99,0xfd807e63,0xf889f103,0x03a13e23,0x01fdc1c4,0x80fee05b,
    0x407f702d,0x405ff02d,0x203fb828,0x5c07a02d,0x750b603f,0x0b603fb8,
    0x01fd01f8,0xfc8017e2,0x549d001f,0x7f882cc3,0x40e201d0,0x403f31f9,
    0x2ec40efb,0xdfd98ef8,0x8819f30a,0x903fb00c,0xc81fd809,0x640fec04,
    0x20bfa204,0x207f6039,0xb01dc04c,0x7509903f,0x09903fb0,0x1bd1034c,
    0x4000de88,0x22881fd9,0x03b0ea1e,0x33e61fe4,0x99106440,0x337e63fb,
    0x3ae3660c,0x2e02ecbd,0x42fe8dff,0x1efeffeb,0x3737b220,0xdec8803e,
    0xc8803edc,0x803edcde,0x3ccdfec8,0x6e6f6440,0x2055003e,0x3edcdec8,
    0xbd910750,0x5cc07db9,0xcbcec800,0x64c0003e,0x0eb7ee3c,0x2a03cc75,
    0x7ff5c0ff,0x99981efe,0x220cccc1,0x10004c40,0x00d54400,0x40002620,
    0x31000098,0x00620001,0x80004c40,0x2004c400,0x004c4018,0x26200022,
    0x98000000,0x3faa3102,0xeffd981c,0x001aa882,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001544,0x40013033,0x310001a8,0x80000001,0x98800098,
    0x20000400,0x00000098,0x09880551,0x00004c00,0x0aa20000,0x00026200,
    0xdb000066,0x7553003f,0x5f88fd01,0x4cde5d40,0x3e6002bb,0x2ddc0004,
    0x8000fd80,0x05c405fe,0x8005f800,0x7f6400ef,0x8003f602,0xf5001ffa,
    0x027f401f,0x2000ff6c,0xfd8000fd,0x2eb30000,0x216e5806,0xd101b82a,
    0x2002a805,0x32a0007a,0x01f88058,0x02e9cb80,0x2a0006c4,0x07d4000e,
    0x41aa3620,0x4f4001f8,0xbb5d006c,0x807ef6a0,0x4400d759,0x0fa0001f,
    0x80661400,0x0001ae59,0x154007e6,0x20003700,0x00aa003e,0x80488e20,
    0x00640059,0x21400e40,0x4002a828,0x3700aa1a,0x499220e4,0x200330a0,
    0x2440002a,0xf9800000,0x3e200001,0x0005c002,0x03f30001,0x00800040,
    0x0800b600,0x00001000,0x08080008,0x20204040,0x08000008,0x00010000,
    0x39dbbb71,0x9807fa09,0x81ec2983,0x330c9aca,0x6eeeecc0,0x003f6001,
    0x07777766,0x6eeeecc0,0x220fb801,0x36e04eeb,0x133311de,0x76d40cc4,
    0x6f6d43de,0x3bb6a3ab,0x2dedb83d,0x99988710,0x36a06620,0x36a3abde,
    0xedb83dee,0x7bddb52d,0x205bdb70,0x37dc43f9,0x6442ffa8,0xf13f666f,
    0x23f4cb60,0xf983d903,0x67ff5403,0xf307b202,0x4c1ec807,0x417cc03f,
    0x1ea03ff9,0x3e887fd3,0xcd81ff10,0xf887f910,0x203ea01f,0x7f4c6fc8,
    0x3361f443,0xf887f910,0x103ea01f,0x07d403ff,0x1e603f98,0x20bfa2a6,
    0xb327c46f,0x227c49b0,0xf301fc84,0xc80bf009,0x209f301f,0x09f301fc,
    0xffc827c4,0x7f50b101,0x4c7f80d0,0xff83c80f,0xdf01a200,0x98d07f50,
    0xff83c80f,0x7fc1a200,0x7441a200,0x22585807,0x223741fe,0x8d90ee4f,
    0x3e6242f9,0x300ff405,0x02fcc07f,0x0bf307fa,0x17e01fe8,0x4407fee4,
    0x03a8fd05,0x203f23fc,0x4407e839,0x7e837405,0x203f21d4,0x4407e839,
    0x5880fd05,0x8100bf70,0x3a274459,0x88764f86,0x0a63dc2f,0x5fb805fb,
    0xfd807ee0,0x362fdc02,0x02fdc02f,0x3f2b20ff,0x7f505886,0x71fe0074,
    0xfd0301df,0x37405880,0x703a3fa8,0xfd0301df,0x0fd05880,0x07fd0588,
    0x5a83f300,0x8f27c374,0x05c5f87b,0xff5007fe,0x3fe03ec0,0x3e3fd401,
    0x03fd401f,0x7ecb20fd,0x2dd02c45,0x447f8049,0x7e803ffe,0x1b602c40,
    0xd10936e8,0x0fd007ff,0x80fd0588,0x201ff058,0x3a2cccca,0x0dd0aa1f,
    0x8bb06c9f,0xf11223fb,0x0ff9801f,0x7fc40bf0,0x887fcc00,0x7fcc00ff,
    0x4b20df00,0x81623fe8,0xf801cafa,0x1effe887,0x0b101fa0,0x2bea06d8,
    0xdffd101c,0x2203f403,0x5880fd05,0x2200ff98,0x57f443ff,0x4f86e838,
    0x2ea5e8ae,0xff30321f,0x80ff8801,0x3fe603f8,0x987fc400,0x7fc400ff,
    0x5905f880,0x05897fc4,0x7f803774,0x413ffee0,0x202c407e,0x0377406d,
    0xe827ffdc,0x7e82c407,0x7fc42c40,0x440ff402,0xf0dd05fe,0xbbf924c9,
    0x23b35f33,0x3007fe28,0x007ea0ff,0x7f9803ff,0x3e600ffc,0x3207f307,
    0x2c47fd42,0x7c00fee0,0x2ffe4407,0x016203f4,0x03fb80db,0xd0bff910,
    0xfd05880f,0x9fd05880,0xd100fe80,0x5ffdc43f,0x5c4d13e0,0x89072e0b,
    0x2fd402fe,0x2fe806c8,0x3fa2fd40,0xa82fd402,0xf705900f,0x01f00b3d,
    0x2a011fe0,0x007f40ff,0x806d8093,0x3ea0100f,0x3007f40f,0x9803fa09,
    0xe80df504,0x013a200f,0x001dc3f8,0x013ee1cc,0x013605f9,0x5f9013ee,
    0x7e404fb8,0x16409d02,0x4c05efd8,0x191be004,0x3fb0bf20,0x17601d40,
    0x80640930,0x00fec2fc,0x807f6075,0x813fa03a,0x9535c0fe,0x1dc17c00,
    0x3fa09500,0x220bf100,0x01fd001f,0x07f417e2,0x0d305f88,0x17fa02c8,
    0x3e1803b0,0x87b81645,0x00b603fb,0x201d809d,0xf70f702c,0xfb816c07,
    0xfb00b603,0xd303fa07,0x223100dc,0x7007700f,0x206f4407,0x54540de8,
    0x037a2004,0x3a201bd1,0x806f440d,0x101ec00d,0x4bab88bf,0x41f97dc0,
    0xb03e81fc,0x3109903f,0x2eae20fc,0x740fe404,0x9903fb03,0x4c81fd80,
    0x759dd500,0x2aae05bd,0x15e7ec02,0x266f32a0,0xd9000cba,0x3a07d979,
    0xec8000cb,0x9003ecbc,0x207d979d,0x3f2600c8,0x98b300be,0xff9806ff,
    0xceecc83c,0x3b2203dd,0xf703edcd,0xdff3097b,0xb9dd9900,0x6f64407b,
    0xc8803edc,0x003edcde,0x00003310,0x88001a88,0x100009aa,0x00188013,
    0x00009880,0x00080131,0x01a80800,0x4c4100c0,0x004c4000,0x03500d54,
    0x00098820,0x880004c4,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a200000,0x00800002,
    0x44000400,0x00080009,0x20006213,0x00260009,0x00262040,0x000004c4,
    0x00054298,0x260004c4,0x0aa80042,0x88026200,0xeeeeeeee,0x76c006ee,
    0x8320001f,0xb832000b,0x01fc8000,0x100370e4,0x70013e5f,0xfeb80597,
    0x20644001,0x1dd005fe,0x80077c00,0x0005eded,0x74c001fb,0x98039bff,
    0x3fa005ff,0x2667a605,0x0fa99bfd,0x01aeb300,0x04caf980,0x01e4fcc0,
    0xf8802e80,0x2b5004ba,0x16580068,0x98007f20,0x02e9da85,0xf3000fc4,
    0x5edc4001,0x01f88000,0x0efd9940,0x01e89d80,0x501f9cb8,0x05c2fc83,
    0x000cc280,0x0001ff90,0x22000dfb,0x03ff2004,0x001a85c0,0xb803bac8,
    0x81d1001f,0x57012238,0x0001c800,0x002a8000,0x09800408,0x488e201c,
    0x085f9010,0x40000000,0x13100009,0x20002000,0x00820009,0x5c006600,
    0x10b9001f,0x10001000,0x3deeda80,0x402dedb8,0xbbb30000,0x009803bb,
    0x32000040,0x776d402f,0xbdeeb88c,0x4077b660,0x9acdddb8,0x813bae23,
    0x7101dedb,0x07359bbb,0x0757bdb5,0x0eeeeecc,0x83deeda8,0x7dc2dedb,
    0x0be20551,0x433bbae6,0xeeeeeec9,0x21b506ee,0x03ff104c,0x058007cc,
    0x3e60f640,0x802fea83,0xeeeeeec9,0x2fc806ee,0x640ff980,0x201f305f,
    0x3f260afa,0x203ff984,0x82bea07a,0x866c4fc9,0x3d903fc8,0xff103f98,
    0x5c07d403,0x42fffd9f,0x13f200fb,0x074c17ec,0x206f97e4,0x01a200ff,
    0xfc800fd4,0xf709f301,0x417ec005,0x17e400e9,0x7c41fd80,0x3ea09507,
    0x7e413603,0x2a0b101f,0xf993603f,0x1fc83c80,0x3fe09f30,0x7dc1a200,
    0x741ff71d,0xc81fdc07,0x8601702f,0x101fa008,0x017fa00d,0x3fd017e6,
    0x32002fa8,0xc801702f,0x09f5002f,0x303b03fd,0x905880bf,0x0b101ffb,
    0x25880bf3,0x4c3980fc,0x40ff405f,0xb82c407e,0xff1ff41f,0xf903fb80,
    0x88666005,0x80fd0099,0xfed98068,0x2017ec00,0x017cc5fb,0x40005f90,
    0xff1002fc,0x20d09f90,0x901803fb,0x0b10df95,0x5c3007f7,0x7ec180ef,
    0x742fdc02,0xfb82c407,0x6f8a7e41,0xfc81fdc0,0x1fd88182,0x1fa0bf51,
    0x73900d10,0x01ff807f,0x4be63fd4,0x0bf201b9,0x017e4006,0x6fe83fb0,
    0x02fd81d4,0x2fecb200,0x00bf6162,0x807ffd10,0x3fd401ff,0x416203f4,
    0xf27cc1fb,0x903fb80d,0x3ea0b05f,0x07e82f41,0x45a20344,0x03fe206f,
    0x7cc1ff30,0x901fedca,0x3200b05f,0x93ea002f,0x0361fdca,0x90000ffc,
    0x588ffa25,0x88001ff8,0xf881effe,0x07fcc00f,0x20b101fa,0xd1fcc1fb,
    0x903fb80f,0x0dd999bf,0x20bd07ea,0x2034407e,0x4c0bf62b,0x7fc400ff,
    0x7c437e60,0x999bf905,0x0bf200dd,0x54ecff00,0x3e60d14f,0x8b20000f,
    0x98b12ff8,0x2e0000ff,0x7fcc4fff,0x207fc400,0xb82c407e,0xf907e41f,
    0xf903fb80,0x20d53337,0xe82f41fa,0xd016200f,0x3fe05f98,0x263fcc01,
    0xfc82f42f,0x006a999b,0xfc8007fb,0x03abfcd2,0x40003ff1,0x447fd42c,
    0x000ffc45,0xf17ff220,0x87f9803f,0xb82c407e,0x3ee2743f,0x640fee00,
    0x3f50382f,0x01fd05e8,0x55b5024c,0x3a01ff55,0x22fd402f,0xc83742f9,
    0x64c0382f,0x3000beff,0x57ec75bf,0x00ffe00d,0xefb82c80,0x003ff859,
    0x20ffa804,0x2fd402fe,0x093007f4,0x13af37ee,0x3fb80be2,0x20105f90,
    0xd83741fa,0xd80ea01f,0x4fcaaaab,0xfc809f70,0x1ba17cc2,0x000417e4,
    0x06ffc000,0xfb80bbf5,0x05900805,0x3ee17bf6,0x40320805,0x013ee2fc,
    0x03fb05f9,0x89fb81d4,0xb812e009,0x405f903f,0x1ba17d40,0x05b01fdc,
    0x03fc4166,0x17e201fd,0x20dd0be6,0x900202fc,0xdf90003f,0xff007ff0,
    0x2c814405,0x7fc17fa0,0x02c8a202,0x201fd0f7,0x07f705f8,0x01fb816c,
    0x1fdc03a0,0x11602fc8,0x1ff911bf,0x13207f60,0x0ff201d8,0x3a206f44,
    0x742f980d,0x2c05f906,0x2000f6a0,0x00fc83f9,0x3982fe88,0x5f880f60,
    0x7305fd10,0x83e81fc8,0x6f440de8,0x3207f600,0x8007ee04,0x207f9059,
    0x907902fd,0x02fbabff,0x3b737b22,0xf501e604,0x5e76401f,0x0bea03ec,
    0x40bf60fd,0x000a803c,0x00b301d0,0x666ff644,0x17df9303,0xec881660,
    0xcc83ccdf,0x403ddcee,0x03ecbcec,0xedcdec88,0x001fec03,0xfffc98e2,
    0xdfff730b,0x203ffddd,0x98800208,0x0e7f5400,0x0177fecc,0xfd300262,
    0x17ff715d,0x3bbffee6,0x4c01ffee,0x18060001,0x00031000,0x06200100,
    0x0004c410,0x44000262,0xaaaa8009,0x00008002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x020c0000,0x0006a600,0x000004c4,
    0x02620000,0x0004c400,0x80020a98,0x40400208,0x00cc0000,0x80004000,
    0x00080019,0x0063d980,0x8001c46a,0x001fb4fa,0x8000fef8,0x76d400ee,
    0x2e203abd,0x039acddd,0x740013e6,0xfe98005f,0x3a0039bf,0xa805f98f,
    0xa8000e23,0x4832003f,0x20241910,0x488004f9,0x3f720024,0xafcc04bf,
    0x00fd42fc,0x0016e5b1,0x10013277,0x10cd803f,0x2bea07f9,0x5013f260,
    0xd3b5000d,0xf9328005,0x8adc001d,0xd3bb002d,0x026c0001,0x80b67aa0,
    0x6402d9eb,0x27ae0005,0xc986002d,0x731b801d,0x0004fc81,0x0170a200,
    0x3e6015c0,0x3fa83c80,0x07201360,0x01223880,0x00000810,0x01ffcc00,
    0x74001600,0x05fe806f,0xfe800058,0x00000005,0xb301fe40,0x0003bbbb,
    0x64004000,0x7cc3980f,0x0802c405,0x71000200,0x76dc09dd,0x7bddb51d,
    0x405bdb70,0x00000018,0x22002620,0x00008009,0x6d400988,0xedb83dee,
    0x4133312d,0x40bee198,0x41fcc1ec,0xb83deeda,0x3ba62dee,0x4eeeeeee,
    0x70603bee,0x64c3007f,0xeeeeeeee,0x98016006,0x21ea03ff,0x3ea01ff8,
    0x37bbb260,0x76d402cc,0xdeeb83de,0x3bbbba62,0x2e64eeee,0xd930ceee,
    0x00599bdd,0xff8802c0,0xe983ea01,0xf51f443f,0x2603f903,0x04ff984f,
    0x13d5037a,0x3a20ff98,0x17ec03ff,0x982fd800,0x01fa800e,0x4407ff20,
    0x4401ff05,0x3265fd06,0x3fe600ef,0xd5037a04,0x80ff9813,0x25fd04fc,
    0x4000efc9,0x1ff001fa,0x1fd43440,0xf307e634,0xa81fe80b,0x501d106f,
    0x220bfa03,0xff01effe,0x0bf20003,0x2ff4005c,0x01ffb900,0x101fa0b1,
    0xfb07f60b,0x106fa809,0x3a03501d,0x207f702f,0x027ec1fd,0x74017fa0,
    0x7e82c407,0xb03e21d4,0x05fb805f,0x205907fb,0xb809f901,0x7fcc4fff,
    0x05f90000,0x07f6cc00,0x86fcac80,0x880fd058,0xfa83f905,0xc83fd807,
    0x13f20302,0x3f903fb8,0x26007fa8,0x7e800fed,0x3fa82c40,0x3fe1e03a,
    0x883fd401,0x001661ff,0x91001df3,0x0ffc4bff,0x182fc800,0x07f73900,
    0x22fecb20,0x880fd058,0xfb83f905,0x21ff8806,0x77cc0059,0x640fee00,
    0x0037dc1f,0xd007f739,0x3a05880f,0xf11a0936,0x0ff9801f,0x0074df50,
    0x0203ff10,0x7ff07fd4,0x20bf2000,0xdf168805,0x7f44b200,0x03f41623,
    0x20fe4162,0xdf5003fe,0xff100074,0x903fb803,0x003fe83f,0x201be2d1,
    0x502c407e,0x3120395f,0xff8801ff,0x0eeff600,0x6409fb00,0x7dc5f900,
    0xdfc80805,0xb806eccc,0x3200bf62,0x2c4bfe22,0x82c407e8,0x2eeb99fc,
    0x1ddfec00,0x2013f600,0x33f903fb,0x5c005dd7,0xfd00bf62,0x77405880,
    0x07fe0206,0xf880ff30,0x37d4005f,0x43dc0b20,0x20a202ff,0x6a999bfc,
    0x02fcc680,0x23fea164,0x880fd058,0xdf9bf905,0x17fe2000,0x200df500,
    0x9bf903fb,0x98d000df,0x203f405f,0x01fdc058,0xf500bfa0,0x005f900b,
    0x3200ffc4,0xe883e81f,0xf903982f,0xada80705,0x400ffaaa,0x59efb82c,
    0x24c01fd0,0x07f91fc8,0x800bf200,0xf7001ff8,0x7e47f207,0x2ab6a003,
    0x3a00ffaa,0x2012600f,0xb83d500f,0x017e404f,0xfb0017e4,0x9dd99007,
    0x764407bb,0x3203ccdf,0x5ec0082f,0x04fcaaaa,0x5efd8164,0x1d403fb0,
    0x07fa1fc8,0x800bf200,0x3ee003fd,0x7f43f903,0x5557b001,0x7ec09f95,
    0x9300ea01,0x7f417dc0,0x200bf100,0xbf7002fc,0x0f4410c0,0x6400ea00,
    0x1660202f,0x0b203fc4,0x7f705fe8,0x1fc816c0,0x90003be6,0x17ee005f,
    0x903fb818,0x0077cc3f,0x03fc4166,0x016c07f7,0x22010076,0x06f440de,
    0x9802fc80,0x441600ff,0x0fe4005f,0x0b017e40,0x01fe403b,0x02fc407b,
    0x409903fb,0x02fdc1fd,0x2600bf20,0x2e1600ff,0xb83fb03f,0x900ec05f,
    0x40fec07f,0x4bab884c,0xbcec8000,0x7ec003ec,0x102fe803,0x0035c0b7,
    0x3f6007e2,0x07987902,0x32607fd4,0x0b300bef,0x76e6f644,0x6c17ec03,
    0x0ff6005f,0x5c40bfa0,0xfb03fc85,0x260bfb05,0x807fd407,0x3edcdec8,
    0x000dff30,0x40009880,0x00bfffc9,0xdddddff9,0x33207ffd,0x00f6a001,
    0xdddfff73,0x7f543ffd,0xeffd981c,0x40020002,0x7e4c0098,0x3fa20bef,
    0x3ff2603e,0xdff900bf,0x7ffddddd,0x85fffe4c,0x20beffc9,0x3aa3efe8,
    0xffd981cf,0x004c402e,0x000000d4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x01cdcddc,
    0x50a60000,0x004c4001,0x00197000,0x000c0000,0x04040131,0x01002620,
    0x00098800,0x20660001,0x200a2019,0x204c0282,0x2000c002,0x9ffff440,
    0x000b000c,0x002f6f6c,0x400013e6,0x7e4003f8,0x01fc8002,0x0dc01fb0,
    0x05f98055,0xd8012244,0x4491000f,0x7427cc04,0x806fc887,0x803ecde8,
    0x2004dbce,0x855004f9,0x193ffffd,0x0003f500,0x0002f6e2,0x540001ea,
    0x009b0005,0xf1001b50,0x0b57f003,0x3ae01ea0,0x3f1001d9,0x1e9ec800,
    0x02a82e40,0x76d401be,0x19fb3003,0x4016c400,0x7fffc2e8,0xfd00193f,
    0x0000000b,0x380001b8,0x0002c000,0x5400aa00,0x06e001ff,0xa8017fa0,
    0x4ff88002,0x3a000580,0x00000006,0x7f440000,0xfffff09b,0xdb300327,
    0xdd98001f,0x10001ddd,0x00000000,0x36e20011,0x0839acdd,0x40004c00,
    0x00098800,0x01880002,0x3a000510,0x6eedc406,0x5d4049ce,0xbbb71000,
    0xfca8939d,0xffffb1ac,0x73900327,0x0f64007f,0x0b000fe6,0x77764c00,
    0x83eeeeee,0xa80990da,0x93f260af,0x30ceeeb9,0x99bdddd9,0x3bae6015,
    0xdddd10ce,0x4ddddddd,0x01ceeec9,0x7777764c,0x7e446eee,0x37407306,
    0xfb887f30,0xfd31b706,0x10fe60df,0x85f50df7,0x193ffff9,0x06f8b440,
    0x3e603f90,0x003f5004,0xa82fdf80,0x0df2fc85,0x09b01fd4,0x2ffa09f9,
    0x403ff730,0x4cf4c4fc,0xfa99bfd9,0x2001ff40,0x80e982fd,0x037e446f,
    0x80fe60dd,0x2e2f8879,0x407f301f,0x882fa879,0x40193edb,0x300bf62b,
    0x01fe80bf,0x20005fe8,0x0702fbd9,0xbf300886,0x3fb85880,0xfd103fb0,
    0x350fee05,0x205c2fc8,0x7e4002fc,0x0dd01702,0x886e81be,0xfb85807e,
    0x3a213e61,0x2fa85807,0x200c9cc0,0x3602fcc6,0x02fdc02f,0x0003fb66,
    0x0817dc6c,0x09988666,0x81803fb8,0x03f903fb,0x3ee07fe2,0x217e4043,
    0x4002fc80,0x374002fc,0x21ba06e8,0xb80805fb,0x2e0be23f,0xfa80805f,
    0x00c9cc02,0xff5555b5,0x200ffc01,0x5ce407fa,0x7498003f,0xfd88305f,
    0xfb0bf511,0x0fee0005,0x7f900fe4,0xf9007f70,0x005f9005,0x20182fc8,
    0x740dd06e,0x0003fe86,0xe83dcbd1,0x5f50003f,0x20193980,0xfcaaaabd,
    0x801ff104,0x2d100ff9,0x0d8006f8,0xa84885f7,0x7fc2f41f,0x07f70001,
    0x5fa807f2,0xfc803fb8,0x002fc802,0xd02c17e4,0x6e81ba0d,0x99500ff8,
    0xbde88599,0x201ff00b,0x2a2cccca,0x0c9cc02f,0x0ff10598,0xf1003fe6,
    0xfd8ae01f,0xfb926002,0xa84fdccd,0x3e62f41f,0x7f70000f,0xf9807f20,
    0xc803fb87,0x02fc802f,0x6666fe40,0x741ba06e,0xff31ba06,0x41ffc401,
    0x0ff9800d,0xf30ffe20,0x64e60519,0x3f201d80,0x9803ff03,0xbf31a07f,
    0x7f707400,0xf5097333,0x7fc45e83,0x07f70001,0xff8807f2,0x6401fdc0,
    0x02fc802f,0x4ccdfe40,0x741ba06a,0xff11ba06,0x541fe805,0x881aaabf,
    0x0ff402ff,0x27302fec,0x2a03cc0c,0x02fe80ff,0xada82fd4,0x800ffaaa,
    0x2fecccda,0x741fa838,0x0003ff85,0x07f207f7,0x3fb87f98,0xc802fc80,
    0x17e4002f,0x3a0dd01c,0x3fa1ba06,0x2207f404,0x1efffffe,0x3fa027f4,
    0x93980100,0x40e7f541,0x5c2effd9,0x817e404f,0xfcaaaabd,0x7dc0e804,
    0x41fa8082,0x805fb86e,0xf903fb80,0x5c2fdc03,0x02fc803f,0x64002fc8,
    0x1ba0082f,0x4417ff71,0x3ea0bffb,0x2207f406,0x8b753314,0x07f406fa,
    0x64e602fc,0x40498000,0x0bf100fe,0x03fc4166,0x80bee0ea,0x0dd0bea1,
    0x82880bfe,0x03f903fb,0x1fdc0ff4,0x64017e40,0xf902602f,0x83740405,
    0x7402a00d,0xd03fa04f,0x3fa0e201,0x3203fa04,0x064e600d,0x2202dc00,
    0x06f440de,0x0ff201d8,0x02fb8344,0x446fc491,0xfe880ffc,0x7f703982,
    0x7e407f60,0x9007f704,0x05f9005f,0xb017e424,0x807e0dd0,0x07fb01fd,
    0x0cf983fa,0x3fd80644,0x00e01fd0,0x20003273,0x32029cf9,0x203ecbce,
    0x07fd4079,0x83fc8264,0xaffe41e8,0xec880bee,0x3203ccdf,0x883fd03f,
    0x0ff203fd,0x3600ff60,0xd83d883f,0xdd07902f,0x1066fb60,0x6775403f,
    0xeb82deba,0x401efeff,0xdebaceea,0x08801502,0x664c0003,0x40098800,
    0xd981cfea,0xdf912eff,0x77ffe4c7,0x1107feee,0x80310004,0x30bfffc9,
    0xbbddfff9,0x3ff26019,0xffc980bf,0xffc980be,0x1fffeeff,0x3bbffee6,
    0x2e21ffee,0x65c40bff,0x1001e542,0x2aa20033,0x01988001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2600a600,0x00000000,0xdb5006a6,0xbdb707bd,0x33332205,
    0xeec980cc,0x764c01ce,0xddb30bde,0x0c110019,0x00000c00,0x30706a00,
    0x599bddd9,0x75c40c00,0x37b6e04e,0x19ddd731,0x333332e0,0x00a83303,
    0xfea80fec,0xddb88002,0xf0049ced,0xff8801fd,0x9803ea01,0x00eeeeee,
    0xfd000ffa,0x2005f905,0x007f76f8,0x00001fd4,0xd8be83f8,0x64cbfa01,
    0x17dc00ef,0x2a03ff98,0xc809f907,0x204eeeee,0x9805eded,0x0017d403,
    0xdf710fe6,0x01327700,0x068803fe,0x05f90000,0x74c1fd80,0xd99ec000,
    0x00766001,0x4c26c000,0x0fec04ff,0x3b3013f6,0x880ffe40,0x0007f705,
    0x017b7100,0x00bea000,0x1e603f98,0x400b8510,0x2a2c407e,0xdb83deed,
    0x017e42de,0x0e987f60,0x00000000,0x07bddb50,0x4055bdb7,0x0fe400aa,
    0x20001fea,0x5880ffdc,0xd9807f70,0x0001dddd,0xf3005d40,0x01fa2005,
    0x74000016,0x7c42c407,0x203e601f,0x7ec002fc,0xb5001d31,0xdd707bdd,
    0x77774c5b,0x444eeeee,0x03ea01ff,0x40990da8,0x837dc1fc,0x80ceeeb9,
    0x5886fcac,0x76407f70,0x5cc1fcc1,0xb700ceee,0x98dffd31,0x7066662f,
    0xc98100bf,0xb710bdee,0x07e839dd,0x00ff82c4,0x017e41a2,0x03a67f60,
    0x204ff980,0x04f540de,0x3fe03fe6,0xf901a200,0x1fc81be5,0x3f201ff4,
    0x2fecb204,0x81fdc162,0x09f301fc,0x2f8813f2,0x8be607ee,0x1ff40afb,
    0x205fd000,0x80fd05fb,0x880fd058,0x8005f906,0x8003fcfd,0x01d106fa,
    0x40bfa035,0x402c407e,0x9fc80221,0xb802eeb9,0x744b203f,0x7dc1623f,
    0x7405f983,0x203fb81f,0x213e61fb,0x201b12f9,0x999500ff,0x501fd859,
    0x101fa09f,0xd101fa0b,0xb000bf20,0x0005ff9f,0x205907fb,0x7409f901,
    0x9982c407,0x64026621,0x2006fcdf,0x88b203fb,0x2e0b12ff,0x402fd83f,
    0x03fb85fb,0x82f88fee,0x300d9af9,0x7fc401ff,0xf501fc83,0xb101fa09,
    0x0d101fa0,0xfb000bf2,0x8005ff53,0x01661ff8,0x7401df30,0xd882c407,
    0x20bf511f,0x007f91fc,0x42c80fee,0x70588ffa,0x803ff07f,0x03fb87fa,
    0x307b97a2,0x7c403f9f,0x40ff402f,0x09f501fc,0x049803fa,0x906880fd,
    0x1fd8005f,0xa8005ff5,0x88003a6f,0x03f401ff,0x41fa8162,0x743f905e,
    0x03fb801f,0x27bee0b2,0xf887f705,0x07fcc00f,0xbd100fee,0x2fe60177,
    0x13fa00ef,0x3f901fd0,0x7ec13ea0,0x3f40ea01,0x17e41a20,0x21fd8130,
    0x6c002ffa,0x6c003bbf,0x407e804f,0xd07ea058,0xf987f20b,0x01fdc00e,
    0x17bf6059,0x3fe61fdc,0x207fc400,0x006c03fb,0x05f9af98,0x1fd01bea,
    0x55559f90,0x3ee09f95,0x7f40b603,0x7e416200,0x07f61202,0x44005ff5,
    0x7d4005ff,0x880fd006,0xbd07ea05,0xbf707f60,0x3203fb80,0x5c17fa02,
    0x401ff83f,0x03fb87f9,0x06aaafea,0x04fb97cc,0x0fe813fa,0xaaaacfc8,
    0x3f604fca,0x3fa04c81,0x7ec12600,0xfe83d883,0x004ffb82,0xf8800bf2,
    0x01fd001f,0x83f5024c,0xb05fb05e,0x01fdc0bf,0x82fc407b,0x02fe83fc,
    0x1fdc2fd4,0xfffffd10,0x363fa83d,0x40ff602f,0x01fc80fe,0x764409f5,
    0x6c03edcd,0x930ea01f,0xffddffff,0x77fe4c3f,0xdfffb10b,0x02fc8019,
    0xd800ff60,0xa80ea01f,0x3263741f,0x3a20beff,0x83fb83ef,0x300befc9,
    0xbfffc98b,0xf9013ee0,0x4407f705,0x4b753314,0xff92efea,0x33baa039,
    0xf902deba,0x4013ea03,0x7f7001d8,0x0cc016c0,0x00028800,0xfb8017e4,
    0x0fee0605,0x0bea02d8,0x002a00dd,0x22003fb8,0x40550082,0x0bf100fe,
    0x00e80fee,0x000cc071,0xfc8019d8,0x4009f501,0x07f6002e,0x27d40132,
    0x00374c00,0xf3005f90,0xfd82c01f,0x7c404c81,0x00ffc88d,0xf7002fc8,
    0x0374c007,0x37a204d8,0xb806f440,0x819f303f,0x0fee00c8,0x200dd100,
    0x09f501fd,0x00cdf640,0x3b737b22,0x002e4004,0x360006b8,0x02fe803f,
    0x6f640b71,0xf9003edc,0x002fbabf,0x1fe400be,0x5c01ae00,0x9d9029cf,
    0xfc807d97,0x3bffae03,0x04d801ef,0xfd006b80,0x8017ee05,0x44003ca8,
    0x66440009,0x01cc8000,0xbfffc980,0xdddff900,0x007ffddd,0x11000131,
    0x04c98004,0x0bfffc98,0x2001cc80,0x4c400bca,0x7ffe4c00,0x06aa200b,
    0x00033220,0xfc980399,0xff710bef,0x0000037f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x83500000,
    0x0221800a,0x10061db8,0x83003001,0x01054c00,0x3bbbbb26,0x41806eee,
    0x13066000,0x64001000,0x001ccccc,0x01540e60,0x2cccccb8,0x59999970,
    0x59999970,0x00000000,0x6f7403b3,0xd3fa804e,0xbfd9501f,0x400c8077,
    0x53e602fc,0xffd301fd,0x2fd80737,0x3e600e98,0x74003fb4,0x44005dcd,
    0xddd005bd,0x40005ddd,0x3bae21fb,0x3bb200be,0xdd903eee,0xddb09ddd,
    0x0dc07ddd,0x01999051,0x01fdc2c4,0x22005b91,0xa860b71d,0xa805804d,
    0x54b6200d,0x3f26500d,0x817e400e,0x5cb6200b,0x3b22000d,0xb8d4000c,
    0x2a000001,0x4abdeddd,0x366aa7e2,0x00000004,0x26ba2000,0x40f75c86,
    0x0000300d,0x50000000,0x00000005,0x3f200102,0x00000002,0x23220000,
    0x321b5005,0x70376204,0x2555b87f,0x300b0049,0x2619ddd7,0xeeeeeeec,
    0x0bfee06e,0x5c0fccfe,0x3bb26002,0x46eeeeee,0xeeeeeec9,0x775cc6ee,
    0x0eb880ce,0x7777764c,0x75cc6eee,0x05800cee,0x0060bf20,0x058000b0,
    0x4007e600,0x740df2fc,0x7e87f206,0x7d401c55,0x209f9001,0x00e982fd,
    0x44be60aa,0x0e024c3f,0x074c17ec,0x074c17ec,0x5ec427e4,0x2fd81ff9,
    0x4fc80e98,0x2003f500,0x200582fc,0xf50001fa,0x07ea0003,0x64022180,
    0xc9be202f,0x74002acf,0x07f7005f,0x805c0bf2,0x12f882b9,0x2c00d85f,
    0x01702fc8,0x202e05f9,0x774e83fb,0x205f90bf,0x003fb80b,0x3f200bfd,
    0x006ecccd,0x740017fa,0xbfd0005f,0x26219980,0x403fc409,0x5dfd13fd,
    0x07f6cc00,0xfc81fdc0,0x64e64002,0x47a9f43f,0xf906801c,0x02fc8005,
    0x3ea1fdc0,0x3f206ab1,0x01fdc002,0x4007f6cc,0x6a999bfc,0x01fdb300,
    0x00fed980,0x007f6cc0,0x3ea23fb1,0x6403fcc5,0x07ffa24f,0x01fdce40,
    0x2fc81fdc,0x7d8b5018,0x931ecf4c,0x3f20f100,0x0bf20182,0x5c3fb806,
    0x2fc80917,0x00fee018,0x200fee72,0x900382fc,0xc8007f73,0x64003fb9,
    0x7d403fb9,0x1bee2f41,0x3f217ee0,0xf8b4403f,0x903fb806,0x33a0b05f,
    0x182fdaaa,0x305e5c58,0xb05f901f,0x02c17e40,0x377c87f7,0x0582fc80,
    0x2d100fee,0x2fc806f8,0xf1688008,0xf8b4400d,0x7c5a2006,0x3a0fd406,
    0x5c037dc5,0x3ffca86f,0x02fd8ae0,0xdfc81fdc,0xf886eccc,0x0099999b,
    0x2ddae1c8,0x9bf903f5,0x7e40dd99,0x206ecccd,0x2d7dc3fb,0x3337f206,
    0x0fee06ec,0x017ec570,0x20080bf2,0x400bf62b,0x400bf62b,0xa80bf62b,
    0x3ea2f41f,0xa84fc807,0x31a07e8a,0x03fb80bf,0xd53337f9,0x20009f30,
    0x1f9a7c4a,0x37f905f5,0x7e40d533,0x206a999b,0x1f7cc3fb,0x266ff20a,
    0x0fee06a9,0x405f98d0,0x681602fc,0x46802fcc,0x98d005f9,0xd07ea05f,
    0xc807f88b,0xfb95433f,0xaaaada81,0x0fee00ff,0x441c17e4,0x2c40306f,
    0xb9fc4fe2,0x382fc83f,0x80e0bf20,0xaefd83fb,0x705f905b,0xb501fdc0,
    0x01ff5555,0x03c817ec,0xff5555b5,0xaaada801,0x6d400ffa,0x00ffaaaa,
    0xd86e83f5,0x587f402f,0xbd83d4aa,0x04fcaaaa,0x17e40fee,0x543fe804,
    0x7f107601,0x427e4be2,0x320082fc,0x3ee0082f,0x1dfff883,0x40105f90,
    0x2af603fb,0x984fcaaa,0xeeeefffb,0x557b01ff,0xd809f955,0x4fcaaaab,
    0x55555ec0,0x85f504fc,0x206f886e,0x954ba2fa,0xf105983d,0xc81fdc0f,
    0xff50202f,0x1d40997d,0x2e1f54e8,0x202fc83f,0x0202fc80,0x22aa0fee,
    0x1017e400,0x16607f70,0x26003fc4,0xf882cc04,0x7c416607,0x7c416607,
    0x911bf107,0x07f501ff,0xcefc87f3,0x403b02cc,0x07f703fc,0x98580bf2,
    0xb100bffd,0x126c74c0,0x580bf205,0x21602fc8,0x200483fb,0x2e1602fc,
    0x6403b03f,0x016e003f,0x81fe403b,0x40ff201d,0x40ff201d,0x17dd5ffc,
    0xdb77db10,0x3015c403,0x80ffa80f,0x05fb03fc,0xa80080f2,0x000dcc00,
    0x20f205fb,0x907902fd,0x2004887f,0x907902fd,0xa80f307f,0x9f3000ff,
    0x54079853,0x203cc0ff,0x03cc0ffa,0x04403fea,0x000cc001,0x33faa033,
    0x2effd981,0x217fff93,0xeeefffb9,0x00001ffe,0x7dcc0000,0xffeeeeff,
    0x3bffee61,0x261ffeee,0x350bfffc,0xdfff7300,0x4c3ffddd,0xd50bfffc,
    0xffb3039f,0x3326005d,0x2073faa1,0xd52effd9,0xffb3039f,0x073faa5d,
    0x00bbff66,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00288000,0x20000a80,0x10000018,0x00000a25,0x00002a00,
    0x00000000,0x0a000000,0x00000000,0xdda80300,0x01be002d,0x88039993,
    0x0bf206fc,0x40007f5c,0xef804fd9,0xb6fc8800,0xbcc880df,0x20510dc0,
    0x5c880dad,0x7ecc2c40,0x19dfb51f,0x64437e40,0x4c01d405,0x2000645f,
    0x775c05f9,0x26012601,0x3c47e603,0x2600ea80,0x37c01ae6,0x0fc81360,
    0x809f3000,0xb7c000f9,0x5d500fda,0x3069be80,0x02dc0e67,0xb9fe8036,
    0x301df50b,0x0b705d5d,0x86b802c4,0x0364003a,0x0b02dca2,0x47d80320,
    0x401c801e,0x7401625d,0x3ee05806,0x7e664000,0x003900ce,0xf7048dd0,
    0x05ff5001,0x5b806d6c,0x9fb00ee0,0x1909f507,0x40b70362,0x201b001d,
    0x0006c005,0x400b2019,0x0f33f405,0x00fe0020,0x004036c0,0x998001f7,
    0x00201cf9,0x305536c0,0x0154005f,0x20b70054,0x05fc8058,0x810103fe,
    0x4009505b,0x08003200,0x307fb100,0xb00e6009,0x1005b15f,0x9f105377,
    0x362ea200,0xb80ae606,0x4c02a88f,0x2204f8ab,0x2a2122ba,0x20336d8b,
    0x2ee2006e,0x402ae600,0x9001b05b,0x417ec03f,0x85b80bb8,0x2ee20058,
    0x2a203980,0x805730ac,0x8006c0fa,0x6f7d400c,0x4c5bdb10,0xf884e98c,
    0xd8aea804,0xf939906f,0xffd3f707,0xd53b905d,0x26baa09f,0x57540dee,
    0x7dc06fd8,0xb700bb8b,0xaf987f53,0x85b80fd9,0x03f9003a,0x276e1fe4,
    0x642dc3fa,0xf53b7001,0x27ea0b07,0xec9cced8,0x00571a01,0x17fd402c,
    0x4c5b03ee,0x6677e644,0x3e21f881,0x43ec5a86,0x8df70cfb,0x4c27d47b,
    0xf117e20f,0x32037c43,0x42ffbacf,0xdb07ec7a,0x07641fd4,0x0fe400b1,
    0x23d49f90,0x983b20fd,0xfd8f5004,0x52f40640,0x2e64f8bf,0x801622b9,
    0x2f36203a,0x3a0f60ef,0xdf55060e,0xd0f70155,0xb5559d0d,0x6c0fb85f,
    0x9f113a0f,0x0fec8db0,0xd01ba1ee,0x27c6e88f,0x7c4570e2,0x3b04cc43,
    0x1fc80f88,0x44f8fee0,0x58266238,0x13e0f766,0x55073071,0x75556fcc,
    0x03606a27,0x201901f1,0x453fa4e8,0x019ff705,0x213a02fc,0x4cdfc46d,
    0x07dc0999,0x217c4fea,0x2e5f84f8,0x213a3faa,0x6437c06d,0x4005f11f,
    0xa804fcb8,0xfc80fd84,0x7c4bee01,0x322c8002,0x0be22f98,0x36e20580,
    0x019999bf,0x80fd83b8,0xf983f205,0x3a600d9f,0x409d01ff,0x4c6d85f9,
    0x81f7004f,0x885f74f8,0x3aafcc4f,0x217e69f3,0x5c37c06d,0x2009f33f,
    0x404f88dc,0x80f9c858,0x47f201fc,0x24c004f9,0x027cc7b0,0x33b70190,
    0x0b10007f,0x03a81f39,0x0fff21fe,0x741ff208,0x361fe202,0x41837c46,
    0xa97d40fb,0x7c27c45f,0x44be649e,0x6c06d87f,0xdf11f987,0x3e25d860,
    0x4ae0e404,0x201fc80f,0x20df10fc,0x07401b01,0x26060df1,0x0df336c3,
    0x95c0d801,0xf880640f,0x20efe81f,0x21fb8918,0x36382fca,0x7f43ec1f,
    0x03ee0d43,0x223fc1f9,0x5c5fd84f,0xfb07f60f,0x35c1fa80,0x7c470bfa,
    0x49813e23,0x40fcce4c,0x3d8b21fc,0x5c0e17f4,0x3fa07202,0x7c4b01c2,
    0x501c3fc3,0x1f99c987,0x4bbf602c,0xabefecd8,0x266987e4,0xeccefe8a,
    0x7d4bbea1,0x3bfea08f,0x22fb84cb,0x46fe42e8,0x7d40dfc8,0x3bea16c5,
    0x4011ff52,0x3ea1f46d,0x77c3daef,0x80adfd98,0xcfccca85,0x2ff17ec0,
    0xaeffa859,0x2e05983d,0xaeffa811,0x7c47203d,0x57ffd50e,0x2a16203b,
    0x750cfccc,0xefffd880,0xe8bbff61,0x3221cbcf,0x83ffe88c,0xbfdbffea,
    0x05ffecc0,0x0e5e7e44,0xefaeffb8,0x2f7ab622,0x7ffd503d,0x644017fb,
    0xfb303dbd,0x1bff707f,0x003905fd,0x77fdcc1f,0x00cdfc8b,0x3607ffb3,
    0x0b99bb00,0x9807ffb3,0x64bbfee3,0x07603eff,0x000d83e0,0x840c4026,
    0x01101009,0x01001088,0x218004c0,0x00260980,0x08000844,0x00100100,
    0x000a0071,0x98020011,0x35555302,0x88100040,0x02880301,0x00000850,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00020200,0x22000000,0x9501cccb,0x037bbdb7,
    0x3201c298,0x3f200ded,0xcaa81fa8,0x222a80ce,0x00bfb003,0xa801ffc4,
    0x04fa804f,0x3201b160,0x05f7006f,0xf1007fd0,0x403fb80b,0x83abdeda,
    0x204c89d8,0x3a00cdda,0x02a2400f,0x5407c45d,0x017d42df,0x4403a336,
    0x6c03f23e,0x44750992,0x1d19b05f,0x05f5d300,0x003ef320,0x06b80172,
    0xd1068930,0x07d007d5,0x801f7b70,0x05c800ea,0x1fe44336,0x2600ef88,
    0x74403ae6,0x25c75402,0x2e1361e6,0x980bee06,0x11ea04ff,0x80c9609f,
    0x4c07ec3e,0x449004ff,0x12a38805,0x03600160,0x90588aa0,0x58803621,
    0x01264880,0x406c0019,0xa83c80f9,0x7f102fad,0x012603e8,0x1f703ff6,
    0x402b85d8,0x02aa00ff,0x80fd85d8,0x2e2f4020,0x0015501f,0x10100201,
    0x10000880,0x81d43900,0x40020080,0x00040080,0x4c07e404,0x207ea183,
    0x007ec0fc,0x30351001,0x0c0fc4df,0x3331fec0,0x3e204cc4,0xa881fb86,
    0xfd83101b,0x881ba880,0x13331199,0x219984cc,0x0ccc0998,0x19981331,
    0x55302662,0x059b557d,0x73002ae6,0x1ba88015,0x200dd440,0xefb81ba8,
    0x36a60180,0x7e43ec0e,0x400ab982,0xefc80ab9,0x2e0001d9,0x447f625f,
    0x40ff85fa,0x54ed43fb,0x1fc400ef,0x077d4ed4,0x3f225fd3,0x6c4bea0d,
    0x88bf511f,0x8bf511fd,0xbf511fd8,0xaaaeba98,0x4d7cc2be,0x9af980fd,
    0x53b500fd,0x53b501df,0x53b501df,0x7ff441df,0xeaaca803,0x7dc37c4f,
    0x3f66be63,0xfd9af980,0x982ffc80,0xaaaaaaaa,0x7d47fbaa,0x17e42f41,
    0x20fa87ee,0x42dc05f8,0x517e20fa,0x2a27c45f,0x17a0fd43,0x50bd07ea,
    0x9305e83f,0x7d4db068,0x0fea6d83,0x45f883ea,0x517e20fa,0x222fc41f,
    0xf501effe,0xdf13fc41,0x536c9f50,0x7d4db07f,0x41ffdb83,0xaaaaaffb,
    0x20ffbaaa,0x4c2f41fa,0xe8fd51ef,0x3a00fc85,0x0fc85e80,0x583f62fc,
    0x42f41fa8,0x542f41fa,0x2b82f41f,0xf115c162,0x1fc45707,0xd07e42f4,
    0x2f41f90b,0x7fdc07e4,0xfe86e84f,0x9f50bf10,0x707f115c,0x52e1fc45,
    0x3fea1ffa,0x2a3fdc00,0xc882f41f,0x3e25f9ce,0x3502fa84,0x5f509f10,
    0x7fd10fc8,0xd07ea122,0x5e83f50b,0x22f41fa8,0xcb99ad98,0x9f971019,
    0x227e5c40,0x12fa84f8,0x225f509f,0x102fa84f,0x27c4bff9,0x50df1fe4,
    0x9f97105f,0x327e5c40,0xf12fd41f,0x46fd805f,0x802f41fa,0x217e63fb,
    0x260704f9,0x4c4f985f,0x2edd193f,0x2f41fa81,0x217a0fd4,0x2a2f41fa,
    0xcdecccfc,0x4f88dc84,0x89f11b90,0x34f985f9,0x269f30bf,0x014f985f,
    0x2fcc3fea,0x70fb1fd4,0xf88dc83f,0x9f11b904,0xb07e4364,0x42ff809f,
    0x803741fa,0xfa87f85e,0x43fc0502,0x48ee82fa,0x3ea0b3f7,0x0fd43741,
    0xd07ea1ba,0x201b160d,0x3613e25d,0x1fe13e25,0xa87f8bea,0x3ea1fe2f,
    0x4bf20192,0x22fa86f8,0x363e40fb,0x97613e25,0x2a1ee4f8,0xa807fc46,
    0x742fa85f,0xf906c806,0x8000fc83,0x407e41fc,0x7df11dfb,0x0dd0bea0,
    0xa86e85f5,0x24c3742f,0xf11fc41a,0x3e23f889,0x7e41fc84,0x1f907f20,
    0x43f20fe4,0xfe8f702c,0x5f307e40,0x88fe24e8,0xf11fc44f,0x0b217c49,
    0xbf303be6,0x911bf101,0x076401ff,0x81745f98,0x8bf301ea,0xd8bf102e,
    0x11bf100f,0xdf881ff9,0x440ffc88,0x0ffc88df,0x7c09115c,0x0adfd98e,
    0x37f663be,0x5d17e60a,0x21745f98,0xf91745f9,0x5f987d03,0xd52e4174,
    0xbfb31df0,0x6cc77c15,0x59d30adf,0x6fec4057,0x7e403edb,0x4c17dd5f,
    0x7cc00bbb,0x3ee03dbd,0x36f7e603,0x16a16c03,0x3babff90,0xeaffe40b,
    0xaffe40be,0xa8320bee,0x237fee03,0x6ffdc2fe,0xdf982fe8,0x7bf303db,
    0x2f7e607b,0x6776643d,0x7df503dd,0x6de6407b,0xe8dffb81,0x46ffdc2f,
    0x000882fe,0x110004c4,0x10000804,0x44002001,0x00201000,0x04400822,
    0x40208801,0x00400440,0x00880010,0x02200110,0x20013104,0x00110008,
    0x00004001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x00000001,0x00028800,0x00000000,
    0x00013000,0x00000000,0x00000000,0x060cc880,0x5101a8e2,0x6dcc0000,
    0xeeeeeeec,0x2e01983e,0xff9803bb,0x981fd401,0x9b301dfc,0xcb8809b5,
    0xf800accc,0x97100db5,0x40015999,0x44351ff9,0x3b732603,0x6cc0391d,
    0x2601dddd,0x6dc401ff,0x4049cedd,0x9acdddb8,0xccffcb83,0x8ff2fc81,
    0xfc806fc8,0xf88bf202,0x3f42d40f,0x5ec02cb0,0x882ec06d,0xd83ffbbd,
    0x64c0be25,0x2200c980,0xc9803f0f,0x8400c980,0x22fa4ed8,0x983d900e,
    0x07b203df,0x36f607f3,0x710fe606,0x057d40df,0x22309f93,0x219103eb,
    0xf00df02a,0x7417ec07,0x02a8380f,0x5500eeee,0x5c0b015c,0x9f11be20,
    0x99ba85e8,0x98064099,0x23a80912,0x0c98aba8,0x2a2a8550,0x03f903ff,
    0x0fe413ee,0x71544f98,0x4c07f305,0x6c07f507,0x20000004,0x3024c06e,
    0x203f60bf,0x00330000,0x00220101,0x42f98bd0,0xbfa9cc5f,0x20320ed9,
    0x13980220,0x27d51179,0x9117440c,0x17e60550,0x260ff6c4,0x10ff405f,
    0x807e8810,0x4405f985,0x80375105,0x1ba01ba8,0x03fd8010,0x200181fb,
    0x02662199,0x5cc02b98,0xf307a002,0x89217cc5,0x14c9f12f,0x04cc4333,
    0x29307b24,0x26ffa229,0x29bb8838,0xb8d817ec,0x2017ec5f,0x4ddc45fb,
    0x0402fdc2,0x40c01fdc,0x80efa9da,0x80efa9da,0x5c4d406e,0xfd817fc1,
    0x21cc1220,0xbf511fd8,0x0ff27320,0x00ff2732,0x325f3075,0x8be2482f,
    0x3fb1244e,0x55217ea2,0x9524100f,0x1930359f,0x81ff89d3,0xff8ff32c,
    0x933fd401,0x3fe89d31,0x005fb000,0x2fc41f50,0x85f883ea,0xafea826e,
    0x07fe27fd,0x27ee6fec,0x3ea1bf22,0x22d42f41,0x1f62d47d,0x26077e4c,
    0x443df72f,0x3726be23,0xd07ea240,0x00f9388b,0x6c05f512,0x0ff89262,
    0x21ff31dc,0x7cc00ff8,0x224c5b0f,0x999500ff,0x000ffc59,0xd07e42f4,
    0x6e81f90b,0x46fd41fb,0x403fe219,0x04c99afd,0xe83f50df,0xdaaace85,
    0x2aab3a2f,0xfea882fd,0xe88be60f,0x67c4530f,0x1fa8906e,0x3eca62f4,
    0x017d4480,0xff10c1dd,0x3fe22cc1,0x8801ff30,0x0c1dd0ff,0x7c401ff3,
    0x003fe63f,0x5f509f10,0x0bea13e2,0x5f516edd,0xfd80ffc0,0xa86e8240,
    0x3e22f41f,0x1099999b,0x1333337f,0x3e62fc80,0x44917dc2,0x4483f8af,
    0xa42f41fa,0x544800fb,0x33fee02f,0x0b12ff80,0x01ff8df3,0x9ff73fcc,
    0x402ff881,0x07fe21fe,0xf30bf300,0x3e617e69,0x5f303744,0xfd817ec0,
    0xa86e8040,0x3e62f41f,0x0027cc04,0x0be64f88,0x5f1249f5,0x543887ea,
    0x8a42f41f,0x50e2303f,0xffe9805f,0x80d9ff41,0x017f45fa,0xffd317ea,
    0x7404fe83,0x001ffc0f,0xf17d43fc,0x6e85f50f,0xfb80be60,0x0601fb04,
    0xe83f50dd,0x11837c46,0x3a0060df,0x7f10be61,0x322f9954,0x1fa8190e,
    0xe9954374,0x0321731c,0xf90405f5,0x01ddfa8f,0x04fb85f9,0x7e4117e4,
    0x3a037d47,0x402fdc0f,0x3f20fe40,0x1f907f20,0x0be606e8,0x1fd03fb0,
    0xa86e8710,0x7f43742f,0x87fd0d43,0x2634401a,0x81f118af,0x2a0aaaab,
    0x42fa82ba,0x2a25706e,0x2a0ae2cc,0x3f71202f,0x9f103fd8,0x7c403fa0,
    0xd07ee245,0x407f409f,0x30a202ff,0x7cc2e8bf,0x03741745,0x1dd005f3,
    0x3a20ffc4,0x6fc43741,0x540ffc88,0x544cbeff,0x5c4cbeff,0x5f50b622,
    0x15c1aaf7,0x37e20570,0x700ffc88,0xf9815c05,0x261f828c,0x440efb86,
    0x037a205d,0x21f81bd1,0x207fb069,0x2fe880fe,0x7bf30398,0x2f7e607b,
    0x540dd03d,0xedb8803f,0xeeefffec,0xf906e87f,0x302fbabf,0xb3017ffb,
    0xefe817ff,0x57f4c1dd,0x2a00dbe8,0x01ccbbcc,0xbeeaffe4,0x97799500,
    0x05fd8039,0x983979fd,0xecbdeb8d,0x979d9002,0x2f3fa07d,0x33baa01c,
    0x2202deba,0x03ccdfec,0x01100088,0x502ffee2,0x98007dfd,0x3fee2000,
    0x0020880b,0x22004002,0x98000001,0x01044000,0x04000980,0x04402610,
    0x44000262,0x00984009,0x4000cc40,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x442806a3,0x06644001,0x98002603,0x050006a2,
    0x44000005,0x280c0512,0x00000028,0x00031062,0x33bbae60,0x3bddb710,
    0x001731a8,0x17002600,0x3701d980,0x202dfb88,0x640ff2fc,0x7f506cbd,
    0x399ff970,0x2002fea8,0x6c5f99fd,0xb79d101f,0x907fe607,0x5bf220a8,
    0x1bee26fd,0x00f66754,0x9f300bf2,0x86dbdd80,0x51ceeec9,0x413f209f,
    0x57fd46fa,0x0641ffec,0x3f2aa033,0xa809f505,0x226f884f,0x105ffddf,
    0xc880aa19,0x20bb01df,0x2a07d711,0xb8e6002f,0x36a03e81,0xbb7d00bf,
    0xf04b8ea8,0xf883f6ad,0x00fbae06,0x017200fa,0xe8077f22,0x407fe43f,
    0x0bf303fb,0x0fe25df7,0x2a0b53f3,0x2e207ea6,0x8ae01800,0x007fa20b,
    0x00580000,0x0005f500,0x8000b100,0xffd0ae2a,0xd091ba01,0x1220000d,
    0x000006c0,0x03220bf2,0x27cc0fee,0x217a17d4,0x0bb01ffc,0x40010000,
    0x2664fa82,0x98026621,0x3301102b,0x4c04cc43,0x15cc002f,0x44333020,
    0x20404099,0xa9ba01a8,0x2a206e82,0x1000401b,0x0055cc00,0x5c1605f9,
    0x509f303f,0xa886d85f,0x44013e02,0x001c00bb,0xfd88fe20,0x320bf511,
    0x3983fc9c,0xbf50fec4,0x4ccc5f30,0x3fc9cc81,0x0fec4398,0x40e60bf5,
    0x6e81b89a,0x20dba031,0x40efa9da,0x09999998,0x301b98d4,0x201fb35f,
    0x805c42fc,0x09f303fb,0x226d85f5,0x40999999,0xa9db804f,0x0000e03f,
    0x41fa83f3,0x3ec5a85e,0x3f50df91,0x22f985e8,0x22d40afb,0x21bf227d,
    0x222f41fa,0x57f546fc,0x806e87fd,0x83ea1dee,0x556745f8,0x5fd54fda,
    0xdb03ffd9,0x2fc81fd4,0x40fee004,0x42fa84f9,0x2aab3a6d,0x2027c4fd,
    0x6407ec7a,0x425c0001,0x742f41fa,0x42fdaaac,0x741fa86f,0x1b12f985,
    0x36aab3a0,0x7d437c2f,0x86f82f41,0xe8198dfa,0x740fe806,0x3120fc85,
    0x12dfa8bf,0x7c4570bf,0x8005f903,0x09f303fb,0x126d85f5,0x809f0bf3,
    0x34c1c44f,0x541a2000,0x3e22f41f,0x4099999b,0x741fa86e,0x0d9af985,
    0x33337f10,0xfa86e813,0x86e82f41,0x037402fa,0x09f11bea,0xfd1045f5,
    0x3742fa81,0x209f9710,0x7dc002fc,0xf509f303,0xe8826d87,0x2204f80f,
    0x03e8802f,0x01d813e6,0x4c5e83f5,0x50dd004f,0xf985e83f,0x13e601fc,
    0x0fd43740,0x4c37417a,0x7037402f,0x85f98dd7,0x05fb04f9,0x906d85f5,
    0x3209f11b,0x1fdc002f,0x7f544f98,0x7ec1b62e,0x7cc09f02,0x201fc804,
    0x02b81ffa,0x88dd07ea,0x86e8306f,0x4c3741fa,0xf100efbf,0x50dd060d,
    0xdd06e83f,0x6e805f30,0x3fc37420,0x27dc17d4,0x436c2fa8,0x6413e25d,
    0x1fdc002f,0x36003f98,0x3e04fb85,0x0c1be204,0x5cc6a8df,0x3ea01d41,
    0x1ff43742,0xf30dd06a,0xaf986e85,0x0ffa05f9,0xf986e835,0x86e83742,
    0x037402f9,0x20fe4374,0x02fcc0fc,0x446d85f5,0x6413e23f,0xf702602f,
    0x02f98447,0x0bf313a0,0x17f404f8,0x1fa8df0e,0x8620ea2c,0xffc88df8,
    0x65f7fd40,0xdf886e84,0x4c0ffc88,0x2a09f72f,0xe84cbeff,0xc88df886,
    0x986e80ff,0x4037402f,0x745f986e,0x8a07f442,0x7c36c2fa,0x0adfd98e,
    0x909017e4,0x3547ec7f,0x221f8620,0x13e140fe,0x7b5dff50,0x89a21fb8,
    0x3333ea1b,0x7fe40ecc,0xd9817dd5,0x06e80bff,0x2fbabff9,0x2fd8fea0,
    0x017ffb30,0x57ff20dd,0x43740bee,0x037403fa,0xbdf98374,0x441fd83d,
    0x0fd0bea4,0x5fd1bff7,0x7b107fb0,0x45fffe4c,0x5c01cefb,0x0fec4bdf,
    0x806f9922,0xd883ffd9,0x5022b9ae,0xbfffffff,0x08008220,0x017ff710,
    0x7f540411,0x039ff92e,0x5ffdc402,0x22020880,0xfd50bffb,0x7ff7107d,
    0x17ff7101,0x77d40220,0xd54edccc,0x7ff715df,0xfc980101,0xfffeefff,
    0x80022001,0x677d41aa,0xfb54edcc,0x0010017f,0x00000351,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5b500000,0x0000000c,0x001c46a0,0xbdddb100,0xeeeed800,0x201702ee,
    0x5100c409,0x2a000260,0x0000000b,0xddb502a2,0x5bdb707b,0x2233bb6a,
    0x260bdeeb,0x76d41ded,0x9dd713de,0x88ef6dc0,0x06620999,0xc882a854,
    0x7e44befe,0x44370002,0x3f2df102,0x5c0d9002,0xea83ffff,0x7ffffd40,
    0x04fa80ff,0x440fb89f,0x17f546fc,0xfd31b700,0x001600df,0xf10ff6f2,
    0x207d403f,0x2fe40ff9,0xff100f98,0x407ff301,0x21ff4c7a,0x4ffd43e8,
    0xa862fffd,0x03fec0dd,0x069ae880,0x800b895c,0x80b106fa,0x0ec0ffc8,
    0x00b88354,0xf00fb89f,0x2005f70d,0x007ee2f8,0x7b000fd4,0x007fc36c,
    0x107f60d1,0xf012a0ff,0x80ffe40f,0x683fa858,0x3ee3bf70,0x0588000f,
    0x00bfee00,0x1bb62000,0x0fc8015c,0x001e4062,0x807dc4f8,0x002fa86e,
    0x027cc3f7,0xf1005fe8,0x880fd005,0xfd09f505,0x7f803b03,0x203ff720,
    0x3a8fd058,0x3fe83f70,0x388055cc,0x80154000,0x8d800ab9,0x07dff06e,
    0x1f000fc8,0x27c0ae60,0x437403ee,0x7f7002f9,0x6cc017c4,0x1f9800fe,
    0x2c407e80,0x4fc87f88,0x207f8068,0x5886fcac,0x80747f50,0x9a7e41fb,
    0x4c0fd9af,0x015ccaa3,0x4c06e635,0x200fd9af,0xfb30dd3b,0x3f201dff,
    0x9906a800,0x44f87f93,0x30dd00fb,0x4406e65f,0x6401ee5e,0x5cc03fb9,
    0x1fa009af,0x0fec0b10,0x00751bfa,0xfd9640ff,0x2dd02c45,0x307ee049,
    0x3fa9b69f,0xfd77fd30,0xcafea85f,0x26d81ffe,0x74b103fa,0x837f4c06,
    0x83c800fc,0x17e3ec5a,0x21ba01f7,0x1fedcaf9,0x0177bd10,0x81be2d10,
    0x01acfca8,0x40b101fa,0x3f72a4fa,0x1fe00361,0x47fd12c8,0x32bea058,
    0xf307ee01,0x03f88ae7,0x86e8fbe6,0x0bf12dfa,0xd81fc457,0x7ec01ba0,
    0xf800fc83,0xdaaace80,0x1f917e2f,0x37e61ba0,0x0360bf10,0x2fd8ae00,
    0x7400fd40,0x3e02c407,0x453ea767,0x640ff006,0x2c4bfe22,0xf701bba0,
    0x5c40fc83,0x0fe204fc,0xe85f50fb,0x13f2e206,0x200dd0b2,0x00fc84f8,
    0x4dfc434c,0x3fe09999,0x829fdd99,0x742f986e,0xaaabfa85,0x2fcc6801,
    0x3a007ea0,0x3202c407,0x3abfcd2f,0x1640ff00,0x01623fea,0x3fb807f7,
    0x22372274,0x90fe204f,0x6d85f50f,0x89f11b90,0x2006e849,0x400fc85d,
    0x804f983c,0xff89fffe,0x2f986e83,0x7ff44374,0xb501efff,0x01ff5555,
    0x7f400fd4,0xf3012600,0x6d7ec75b,0x640ff000,0x059efb82,0x6fdc00f8,
    0x12ec4ebc,0x21fc409f,0x6c2fa87c,0x13e25d86,0xfffffff9,0x907b009f,
    0x880f801f,0x23a2306f,0x30dd0081,0x4886e85f,0x20b75331,0xfcaaaabd,
    0x2007ea04,0x00ea01fd,0xdfa837fe,0xc81be005,0x80bdfb02,0x89fb8049,
    0xf11fc409,0x321fc409,0x36c2fa87,0x44f88fe2,0xeeaaaaa9,0x407c401a,
    0x81a600fc,0x798d43fe,0xf986e800,0x80743742,0xf1059838,0x400fd40f,
    0x00b603fb,0x0ffe1bf2,0x5902fc30,0x3602ff40,0x401fb801,0xadfd98ef,
    0x3e43f880,0x21b617d4,0xadfd98ef,0x66437400,0x3f205b30,0xfa80f200,
    0x3ee4cbef,0x4c374000,0x3e63742f,0x6c06440c,0x540ff201,0x03fb001f,
    0x0fe60099,0x2fb803f2,0x101ec03f,0x4bab88bf,0xb803f700,0x02fe8dff,
    0x40fc89f3,0x5c3f42fa,0x02fe8dff,0xeffc86e8,0x803f200d,0x7fecc00f,
    0x0003f20b,0xe85f50dd,0xfeffeb87,0x5407981e,0x03fb80ff,0xdb9bd910,
    0x980e8007,0x1e7fcc05,0x00befc98,0x06ff98b3,0x0400ff60,0x8aefd980,
    0xfd51cffb,0x17ff715d,0x1ba00010,0x7fdc4018,0x0400302d,0x2e200288,
    0xdfd30bff,0x017ff715,0x3aa03551,0xffd981cf,0x2fbfae2e,0x00262000,
    0x200300c0,0x40400001,0x2aaa001a,0x0000002a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6f76d400,
    0x42eed982,0x5d440009,0x9a80028a,0x37bb21b8,0x64c37b21,0x3300bdee,
    0x2004cc43,0x5ef764c0,0xcccca801,0x063d983c,0x74c53771,0xeeeeeeee,
    0x0177106e,0x320055cc,0x261ccccc,0xccdeeeec,0x2600800a,0xb98d402b,
    0xeeeec981,0x1000accd,0x17c405ff,0x54005fd5,0x5c6fd9be,0x57f54a61,
    0x217ec7fd,0x03fe80f8,0xfa88fec4,0x7f406e05,0x3332a002,0xffdc83cc,
    0x3a63264b,0x36667a64,0xb87b99bf,0x7cc3fa9d,0x3200fd9a,0xe81ccccc,
    0x3ff730af,0x9cc81540,0x57f543fc,0xfd01ffec,0x07fee615,0x409f9274,
    0x002fb859,0x446f81f3,0x6fd469af,0x22fc4198,0x003fb03a,0x105e83f5,
    0x007f603f,0x64c22000,0x2498b61d,0x320fe41a,0x41fb1ea0,0x000fea6d,
    0x6c40fec0,0xa82e882f,0x6fd43ec5,0x3f60bf12,0x442fd881,0xc81be25f,
    0x666fedc2,0x1ba1ba01,0x5f50bfee,0x03a0fd80,0x05e66fec,0x217a0fd4,
    0x6409bfe9,0xab98001f,0x41dd0000,0x107f2021,0x2e1c44f8,0x5100fe22,
    0x80fe4037,0x3fa21ff8,0x2ab3a09b,0x17d42fda,0x80fe41ba,0x227c1ff8,
    0x710d02fd,0x2201337f,0x5506d83f,0xf9805f30,0x57ec0933,0x7d42fea9,
    0x7e542f41,0x44fe41ac,0xd9af9803,0x2e0e600f,0xfc800cff,0x800be201,
    0x2a04fcb8,0xc80efa9d,0xa8ff201f,0x7f11acfc,0xa8133333,0xfc836c2f,
    0x7d0ff201,0x03a85fa8,0x206e65f3,0x306d83f9,0xd005f307,0x1fd8032f,
    0x1fa87fe2,0x01fa82f4,0xb001b9f9,0x6441fd4d,0x3ffd306f,0x2601fc80,
    0x11b9004f,0x883ea09f,0x201fc85f,0x217d45fa,0x5f5004f9,0x03f906d8,
    0x20722fd4,0x980741fe,0x41ffecaf,0x446d86f8,0x02f986fc,0x6c05bfb8,
    0xf527ec1f,0x3f506e83,0xb8017f20,0x6f80fe22,0x911ff208,0x999bfd99,
    0x6c306f88,0x2f413e25,0xfeca87e4,0x3e60cccd,0x3e217d47,0x42fa8306,
    0x6ff6546d,0x1fe60ccc,0x4c9f7015,0x44bbe605,0x740fd85f,0x5f30df06,
    0x3ff33320,0x7ec1cccd,0x5f527ec1,0xfffe86e8,0x000fec3f,0xd027e5c4,
    0x41fb890d,0x99bfd999,0x11c2fe81,0x4427c47f,0x312fa84f,0x883335fb,
    0x20bea0ff,0x2a0d43fe,0x26236c2f,0x44199afd,0xff8800ff,0x17cc0390,
    0x2ffee17e,0x0dd06eb9,0x1f6007f5,0x5ff07f60,0x7e446fc4,0x441fa80f,
    0x64001fed,0x3a04f88d,0x01a61f86,0xffa803f9,0x477c3dae,0x260adfd9,
    0x644f985f,0x51fe601f,0x7dff505f,0xe85f5099,0x4c03f907,0x2ff2007f,
    0x217cc068,0x1dff706e,0xd51ba0db,0x555507df,0x815555fd,0x0bfb11fd,
    0x2fbabff9,0x2720fd40,0x976001fc,0x21ba04f8,0x401cbcfe,0xfd9801fc,
    0x8dffb83f,0xa87f82fe,0x700fe42f,0x302fa8bf,0xea819ffb,0xbffb8aef,
    0xf700fe40,0xf88174cb,0x17cc03be,0x36c101b6,0x201506e8,0xaafeaaaa,
    0x777ec0aa,0x582202de,0x7e40bea0,0x23f88601,0x21ba04f8,0x3f200770,
    0x10036001,0xc83f902c,0x880fe40f,0x017d41ff,0x06600362,0x7c407f20,
    0xd80fea1f,0x17cc00ff,0x06d801b6,0x00bf20dd,0x07f601f6,0xf103cc00,
    0x01fd8539,0xfb31df12,0x40dd015b,0x2fc801fc,0x200dd100,0x8bf300f8,
    0x901fd82e,0x519f309f,0x7dc00fc0,0xc80fec03,0x7d40084f,0x6c2f9804,
    0x741ba006,0x3600be06,0x01ff400f,0x09adf880,0x1fec2fec,0x3fee1ec4,
    0xdd02fe8d,0x7400fc40,0x01aa003f,0x4c09aee8,0xfb03dbdf,0x203fd883,
    0x5f6c05fd,0xb0136019,0x03fd883f,0x2a007a00,0x8803f43f,0x986e80ff,
    0x7fe4404c,0xeffd982d,0xcb98000b,0xfff93001,0x01fffddf,0x3fee2002,
    0x201ed40b,0x00beffc9,0x71000ee4,0x98044059,0xddeefffc,0x8800800c,
    0x199103cb,0x3bfff260,0x0000cdde,0x77f5400c,0x00cffb8a,0x442aaaa2,
    0x0000bffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x073bbb26,0x4c003500,0xeeeeeeec,
    0x994143ee,0x710bdeec,0xc8839ddb,0x6664060c,0xcca81ccc,0xa8a63ccc,
    0xbdddd930,0x32601599,0x02ccdeee,0x6f77764c,0xeec981cc,0x46eeeeee,
    0xeeeeeee8,0x3b266eee,0xdb710bde,0x3bae639d,0xddd930ce,0x267ddddd,
    0xb30bdeec,0xed9819dd,0x3b222dee,0x07fd00ce,0x000ff100,0x8b505fbf,
    0x741ecceb,0x20bf702f,0x01ccffcb,0x03999999,0x47999995,0x745f98fe,
    0x3ff730bf,0xfc997f40,0x897f400e,0xfd80cfca,0x3a60e982,0x99bfd999,
    0x817f40fa,0x09f905fb,0x89b307fa,0x02fc82fe,0x3f81ffdc,0x80017e40,
    0x5ecc002b,0xdd70702f,0x66ff6545,0xcefdcccc,0x03eb88c1,0x8ea00000,
    0x440fec1b,0x83fb02fe,0x0fec04fd,0x17e41fec,0xf906a0b8,0x0fec0b85,
    0x7f704fa8,0x22407f60,0x0074c1fd,0x04b86fc8,0x00002fc8,0x0bee3600,
    0xfb310004,0xf7333335,0x2600013b,0x80266219,0xf90002b9,0x207fe203,
    0x03fd41fc,0x1be607f2,0x40400bf2,0x7e4042fc,0x2e09f501,0x203fb03f,
    0x1d30fec0,0x2a3fd800,0x005f9005,0x4cccccc4,0x2fba4c00,0x640e6018,
    0x209f501f,0xb103731a,0xc82fd43f,0x3983fc9c,0x7e403f90,0x7dc1fc83,
    0x4c0fe406,0x182fc86f,0x9005f900,0x413ea03f,0x83fb03fb,0x3a63fb01,
    0x9ff88000,0x5f9000e8,0x2ab3a008,0x86c04fda,0x442442fb,0x03f906fc,
    0x5fd513ea,0xf503ffd9,0x45a85e83,0x41bf227d,0x17ea01fc,0x07fd07f2,
    0x3fd81fc8,0x00582fc8,0x3f9005f9,0x7dc13ea0,0x0583fb03,0x001d33fb,
    0x00f77d40,0x0fe45f90,0x202fcc48,0x3337ee49,0x41be04fd,0x99999afc,
    0x2dfa84fb,0x83f50bf1,0xaaace85e,0xc837c2fd,0x21fe601f,0x2eeb99fc,
    0xcbacfc80,0x9bf902fe,0x3200dd99,0xacfc802f,0x04fcaaaa,0x37f607f7,
    0x9fb07ecc,0xfb00007f,0x22fc8009,0x744100da,0xf707400f,0x40973337,
    0x559f906e,0x509f9555,0xfa86e85f,0x2fe22f41,0x74099999,0x4403f906,
    0x66fe40ff,0x33f2006f,0x80cfdba9,0x6a999bfc,0x9005f900,0x9555559f,
    0x40fee09f,0x06a99afd,0x005ff9fb,0x001ffb80,0x6c000bf2,0x666d402f,
    0x20382fec,0x203f906e,0x42fa84fa,0x741fa86d,0xe8027cc5,0x4c03f906,
    0xf91fc87f,0x207f2007,0x82fc87fb,0x005f9003,0x13ea03f9,0x1fd81fdc,
    0xfa9fd81c,0x5b30002f,0x17e400df,0x4027dc00,0x0417dc0e,0x07f20dd0,
    0x17d427d4,0xd07ea1b6,0x8306f88d,0x403f906e,0x21fc85fb,0x1fc801fe,
    0x2fc85fd0,0x05f90008,0x3ea03f90,0x3607f704,0x1fd8041f,0x88005ff5,
    0x2009fb0e,0x302602fc,0x707500bf,0x3740c05f,0x9f501fc8,0x86d85f50,
    0x743742f9,0x1ba0d43f,0x3fd00fe4,0x77cc3f90,0xd80fe400,0x1017e44f,
    0xc802fc80,0x209f501f,0x03fb03fb,0xffa87f60,0xf8876002,0x02fc801f,
    0x281fd112,0x02fb8344,0x360dd091,0x509f501f,0xf886d85f,0x40ffc88d,
    0x84cbeffa,0x203fb06e,0x83fb04fc,0x0fec05fb,0x3f20ffc4,0x5f901602,
    0x2a03fb00,0x207f704f,0x3fb001fd,0xc802ffa8,0xd806fa83,0x6c3d883f,
    0x1322441f,0x0f441fe4,0x02fd8374,0x85f50bf5,0x2bff907e,0x7ecc0bee,
    0xd06e80bf,0x03fd883f,0x17f60bf6,0x7ecc1fe8,0x7902fd84,0xe803fd80,
    0x20bf702f,0x05fd03fc,0x3ee0bfa0,0xe81b204f,0xfff9305f,0x43fffddf,
    0xedcccefa,0x4c7df914,0xeeeefffc,0x5ffdc47f,0x17dff930,0x46fffae2,
    0xfb8aefea,0x020880bf,0x7fdc4020,0xdfff930b,0x26019bbd,0x220beffc,
    0x3f263efe,0x2ceeeeff,0x777ffdcc,0x9301ffee,0x93017dff,0x2e217dff,
    0xf931bfff,0x3f2617ff,0xf9300bef,0x3f6217df,0xfd50ceff,0xdfff707f,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x37bbb260,0x776cc1bc,0x47bdb002,0x01ceeec9,
    0xeeeeee98,0x3b6a4eee,0xdeeb83de,0x99999932,0x555555c4,0x2601baaa,
    0x2200c000,0x86620999,0x33311998,0x54404cc1,0x5440f21b,0x2219981b,
    0x10ccc099,0x15c97133,0x43773000,0x55cc02b8,0xd0181800,0x07fd315f,
    0xff500dfd,0x800ffa03,0x7fcc09ea,0xd027fcc0,0x66664c1b,0x0c00624c,
    0x0d800390,0xd113f620,0xc897f4c5,0x50bea0df,0xd91df53b,0x1df53b50,
    0xfa88fec4,0xa88ff445,0xd710fbdf,0x45e40017,0xfc9cabfa,0x7ecd7cc2,
    0x03912600,0x1fe887f6,0x3a00ffec,0x05f900ff,0x2fe80d40,0x3a20df50,
    0x00188000,0x2000e403,0x427cc00d,0x3e22fa85,0x83ea1d44,0x7d41bef8,
    0x3f517e20,0x41fb85e8,0x9d502bee,0x7dc6b803,0x4db17a0f,0x41d103fa,
    0x907f605b,0x05fbd89f,0x6403fb2a,0x6406002f,0x41fec04f,0x441cc02c,
    0x0e403001,0x36003600,0x45f815c7,0x17a160fd,0x217a07f2,0xd07ea0fc,
    0x5e83f50b,0x205bb300,0x5577cc5f,0x88ae0fea,0x7d49d03f,0xf907f601,
    0x01fe9d89,0x3201fd3b,0x7cc0002f,0x0ffc400e,0x37e440b3,0x201800c4,
    0x006c001c,0x640b1fd4,0x227fd10f,0x7d427c44,0x7d427c43,0x0bd07ea2,
    0x005e83f5,0x9f11f644,0x33333df0,0x213f2e20,0x80bf30fd,0x20ffc1fd,
    0x5984fa8d,0x0bf201fd,0x01ff8800,0x0074df50,0x800c437c,0x7b555531,
    0x2aa15555,0xaaabeaaa,0x0736e80a,0x6e8c9fcc,0x985f9837,0x4c2fcc4f,
    0xbd07ea4f,0x05e83f50,0xf30dd980,0x3200dd09,0x7c44f88d,0xfb00bf26,
    0x361bf223,0xd1d81fd0,0x00bf201f,0x4004fd80,0xd003bbfd,0x4600310d,
    0xcdecccca,0x99970ccc,0x199999d9,0x80193f70,0xb3f748ee,0x0bea1fe0,
    0xa8bea1fe,0x7d43741f,0xd5003741,0xe85f8819,0x4bb0440f,0x21fa84f8,
    0x66fec06e,0x2e1b03dd,0x0fe9a24f,0x20005f90,0xf88006fa,0x21ba005f,
    0x64030018,0x8006c001,0xfb804df8,0x207df11d,0x407dc1fc,0x507e41fc,
    0xfa86e85f,0x32203742,0x03fe00be,0x3e238bff,0x35c13e23,0x0fec05d1,
    0x1ff10d80,0x900fe8b2,0xff10005f,0x0bf20003,0x01886e80,0x000e4030,
    0x1fc80036,0x7ec5f880,0x2d8bf300,0x42e8bf30,0xffc88df8,0x6446fc40,
    0x2dd980ff,0x7cc9f500,0x7c3dbdfe,0x0adfd98e,0xd81a62d8,0x641b001f,
    0x07f468bf,0xd8002fc8,0x3f20003f,0x221ba002,0x0e403001,0x98003600,
    0xb50b6006,0x3ebdf980,0x1edefcc0,0x7dd5ffc8,0xdd5ffc81,0x000e5c17,
    0x44f677d4,0xffb84ffe,0xb102fe8d,0x03fb02a8,0xbef88360,0xfc807f43,
    0xbf702602,0x17e400c0,0x0310dd00,0x201c8060,0x99d99998,0x00040199,
    0x04400201,0x22002200,0x04110020,0x01300000,0x00008011,0x4007f600,
    0x743fe41d,0x405f900f,0xb007fcc4,0x4005f900,0x3001886e,0x99700540,
    0x99999999,0x00000001,0x00000000,0x00000000,0x00000000,0x400bfa00,
    0x7c27cc2e,0x107fb01f,0x102fe87b,0x07fb00b7,0x417ff710,0xaaaaaab8,
    0x00001baa,0x00000000,0x00000000,0x00000000,0x00000000,0xdff93000,
    0x3bf26017,0xffb506c3,0x7ffe4c7d,0x21fffeef,0xeeeeeffc,0x32603ffe,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0a6ee200,0x951015cc,0x100ae615,0x5d440177,
    0x00604522,0x06a1b880,0x880dcc6a,0x10999999,0x06661333,0x350dc4d4,
    0x3507054c,0x0ba886e6,0x44398000,0x33331999,0x07600000,0x00000c40,
    0x8c980000,0xc9cc84e9,0x6c4fd43f,0x81ec9cce,0xa83fa9db,0x20dee9ae,
    0x3001260d,0x53fc45b9,0x3ffd95fd,0xfb5559d0,0x5c3ff229,0x6d7f542f,
    0x37efa27f,0x3aa2dceb,0x8bffdcaf,0x2c40ffdd,0x8df91598,0x7f91dfd8,
    0x5c2eeb83,0x00ec01ee,0x05c887b8,0xbca980b2,0x20beda80,0x8b51262d,
    0xbf52f47d,0x363d44f8,0xf883e60f,0x00b63545,0x15c0736a,0x2fc4b7ea,
    0x3617e624,0x3ea03b2f,0x06d4198d,0x837ea16e,0x20fea3fe,0x3e074c5a,
    0x1b13fa86,0x443ea530,0x98000b72,0x5c556a8c,0x220db306,0x21951367,
    0x4183ba4b,0x2fdaaace,0xaadf98aa,0x2227c7ea,0x3fb236c3,0x03f32f40,
    0x00017d71,0x086e85f5,0x3e203fa2,0x0bea03be,0x981900d8,0x3e23ec2f,
    0x03a6b504,0x26be61ba,0x901f000d,0x55555543,0xf30aaaaa,0x54bf793d,
    0x70751b06,0xd0363dcb,0x22067fdc,0x099999bf,0x99bfdb88,0x00be2199,
    0x3faab97e,0x21fb1fd4,0x40002ec8,0x2036c2fa,0x1bea02fd,0x16205f30,
    0x217cc398,0x2a04f87c,0x30dd00ed,0x2a003f9f,0x971fe444,0x99999999,
    0x5f6d4419,0xb2543541,0xb1e67b81,0x7ff4c1b0,0x5c013e61,0x4c03f99d,
    0xaafcc04f,0x4ff09f33,0x039d33fb,0x6c2fa800,0x2013ee06,0x0be602fe,
    0x987302c4,0x27c3e42f,0x3740bd30,0x0077dfcc,0x00f98162,0x76e75c00,
    0x8d11aa0c,0x3b8fc459,0x904951d4,0x1837c4ff,0x086f99b6,0xdf0c1be2,
    0x2e17cc93,0x36617a1f,0x5f50002e,0x0bf306d8,0x201fd390,0x403602f9,
    0x3217cc0d,0x1d304f87,0x261ba0b5,0x2205f9af,0x2e034024,0x366fea00,
    0x591aa5e8,0x2bda8590,0x2419dd70,0x43fe87ee,0x7f87f11a,0x0e17f438,
    0x40fb8bfb,0x8803aa2f,0x2a000bec,0x74436c2f,0x4cea140f,0x405f305f,
    0xf985984a,0x427c3e42,0x3a16a0e9,0x9f72f986,0x27dddf30,0x2203b9b9,
    0x16b8403f,0x05987641,0xf80000d1,0xdff51a61,0x877c4997,0x1dabffea,
    0x1ed77fd4,0xb85b17ea,0xd7000744,0x7d44e819,0x0fec3f42,0x7e459922,
    0x3603fa83,0x1eddabed,0x03f21fd4,0xa80e88bf,0x1fd43745,0x999887fb,
    0x04006a21,0x3310b500,0x00080221,0x65e7f400,0x0bffd981,0xfc977fdc,
    0xffb303ef,0xbdead887,0x06e2443d,0xf88ed400,0x22bbfaa6,0xdf50bffb,
    0x2a9db999,0x9ffb10ef,0x5c1f7f54,0x96217732,0xff72efd9,0x87ff9339,
    0x7fdc4200,0x27dfd50b,0x0001cffd,0x00000000,0x42000000,0x44008009,
    0x40200301,0x00002609,0x00088000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeeeb,
    0xddd71eee,0x3ddddddd,0x6ecc0408,0x42e0980a,0x15555428,0x555545d3,
    0x11aaaaaa,0x99999999,0x00000599,0x00000000,0x00000000,0x00000000,
    0x55cc0000,0x3643ea1d,0x000905d7,0xfb00006e,0x33913e63,0x49115bd9,
    0x223fb4f9,0x3ea7ffff,0x2eeeeee3,0x2661bbbb,0x99999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x92e47200,0x6fd9fa3f,0x5c002f44,
    0x217c0001,0x36a02a6a,0x398dc0ce,0x02044444,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x43ee6db8,0x35c2c47d,0xcca8dc00,
    0xcccccccc,0x00720731,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xb93ccd95,0x00e5c488,0x33331040,0x04333333,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26c9fc00,0x0b992a68,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfbbfc800,0x002298e2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_23_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_23_latin_ext_y[560]={ 18,3,3,3,3,3,3,3,3,3,3,5,15,12,
16,3,3,3,3,3,3,4,3,4,3,3,8,8,6,9,6,3,3,3,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,3,3,3,3,21,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,5,8,8,8,8,8,8,3,3,3,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,8,4,3,6,4,
3,3,4,3,3,8,9,12,3,2,3,5,3,3,3,8,4,9,17,3,3,8,3,3,3,8,-1,-1,-1,0,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,3,4,3,3,3,4,4,7,8,3,3,3,4,3,3,4,
1,5,0,4,3,8,-1,3,-1,3,0,4,-1,3,-1,3,4,3,1,5,0,4,0,4,4,8,-1,3,-1,3,
0,4,0,4,3,2,-1,-1,4,3,0,4,1,5,0,4,4,3,0,8,4,3,-1,3,4,3,8,-1,-1,4,
3,3,3,4,3,4,3,-1,3,4,8,-1,3,3,3,8,1,5,0,4,-1,3,4,8,-1,3,4,8,-1,3,
-1,3,-1,3,3,8,-1,3,4,5,-1,3,4,5,0,4,1,5,0,4,-1,3,-1,3,4,8,-1,3,-1,3,
0,-1,3,0,4,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,8,5,5,5,5,5,5,5,5,5,5,5,5,5,1,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,0,-1,1,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-1,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_23_latin_ext_w[560]={ 0,3,7,11,9,17,16,3,7,7,8,12,4,7,
3,6,10,6,10,9,10,10,10,10,9,10,4,4,12,12,12,9,19,15,13,14,15,13,11,15,15,7,8,16,
13,19,16,15,11,15,15,10,13,15,15,20,15,15,13,6,6,6,10,12,4,10,11,9,11,9,10,11,11,6,
7,11,6,17,11,10,11,11,8,7,6,11,11,15,11,11,9,7,2,7,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,9,10,11,11,
2,8,7,16,7,10,12,7,16,12,8,12,6,6,4,11,11,3,5,4,7,10,15,15,16,9,15,15,15,15,
15,15,19,14,13,13,13,13,7,7,7,7,15,16,15,15,15,15,15,9,15,15,15,15,15,15,11,10,10,10,
10,10,10,10,14,9,9,9,9,9,6,6,6,6,10,11,10,10,10,10,10,12,10,11,11,11,11,11,11,11,
15,10,15,10,16,11,14,9,14,9,14,9,14,9,15,14,15,11,13,9,13,9,13,9,13,10,13,9,15,11,
15,11,15,11,15,11,15,11,15,11,7,8,7,8,7,7,7,7,7,6,15,10,8,8,16,11,11,13,6,13,
6,13,9,13,8,13,6,16,11,16,11,16,11,13,14,9,15,10,15,10,15,10,18,15,15,8,15,8,15,8,
10,7,10,7,10,7,10,7,13,6,13,9,13,6,15,11,15,11,15,11,15,11,15,11,15,12,20,15,15,11,
15,13,9,13,9,13,9,9,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,10,7,6,15,
10,15,11,15,11,15,11,15,11,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,10,19,14,15,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_23_latin_ext_h[560]={ 0,16,7,16,17,16,16,7,20,20,9,12,7,3,
3,16,16,15,15,16,15,15,16,15,16,16,11,14,11,5,11,16,20,15,14,16,14,14,14,16,14,14,15,14,
14,14,15,16,14,20,14,16,14,15,15,15,14,14,14,20,16,20,9,2,5,11,16,11,16,11,15,15,15,15,
20,15,15,10,10,11,15,15,10,11,14,11,11,11,10,15,10,20,20,20,3,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,16,10,14,
20,20,3,16,8,11,5,3,16,2,8,12,9,9,5,15,19,4,5,9,8,11,16,16,16,15,19,19,19,18,
18,18,14,19,19,19,19,18,19,19,19,18,14,19,20,20,20,19,19,10,16,20,20,20,19,19,14,16,16,16,
16,15,15,16,11,14,16,16,16,15,15,15,15,14,16,14,16,16,16,15,15,9,11,16,16,16,15,20,20,19,
17,14,18,15,19,14,20,16,20,16,19,15,20,16,19,16,14,16,17,14,18,15,18,15,18,14,19,16,20,20,
19,19,19,19,19,21,19,19,14,15,18,14,17,13,18,14,18,19,18,10,15,20,20,20,18,19,10,19,19,18,
19,15,15,14,15,14,15,20,15,18,14,20,15,15,16,15,18,14,19,15,20,16,15,11,19,15,18,14,19,15,
20,16,20,16,19,14,20,16,19,18,19,16,14,14,19,15,18,14,19,15,20,16,20,16,18,14,20,16,19,20,
18,19,15,18,14,19,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,11,13,13,13,13,13,13,13,13,13,13,13,13,13,18,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,19,16,19,15,20,
16,20,16,20,17,20,19,20,18,20,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,20,19,16,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_23_latin_ext_s[560]={ 255,250,9,134,174,232,1,252,124,117,213,
99,17,85,93,247,223,71,1,33,49,60,109,78,1,39,79,251,66,41,202,
61,37,142,142,174,110,156,208,158,184,200,206,220,33,13,215,134,1,228,126,
201,170,169,1,185,237,61,47,36,208,29,227,97,59,231,59,34,37,9,158,
130,118,248,244,53,111,139,84,166,244,29,118,1,206,177,125,137,106,232,96,
161,185,204,64,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,255,250,37,
26,127,57,252,17,77,83,1,242,28,85,54,110,246,112,186,193,54,99,1,
252,22,222,238,55,141,182,230,241,46,182,87,69,99,131,25,58,73,140,226,
15,133,109,132,61,236,103,57,85,101,198,1,157,118,238,222,174,120,152,69,
43,234,157,146,1,38,130,19,157,49,23,13,65,75,34,94,103,212,69,190,
179,168,189,200,200,44,122,110,98,12,142,112,238,184,115,115,160,13,167,54,
198,130,172,94,231,22,120,117,94,190,71,208,93,1,24,47,89,85,213,169,
222,1,70,205,221,233,1,25,17,41,214,53,17,29,126,200,77,245,45,221,
190,196,167,185,26,154,190,103,13,174,155,183,89,198,171,110,1,211,101,120,
125,148,204,224,37,26,12,157,201,229,179,30,127,80,50,229,215,190,220,180,
48,136,101,163,18,211,150,47,135,69,110,240,249,141,100,143,94,222,41,73,
81,166,82,96,1,98,71,57,81,1,82,17,199,120,33,138,136,15,168,211,
221,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,11,86,86,73,
86,86,86,86,86,86,86,86,86,86,86,86,86,159,153,86,86,86,86,86,
86,86,86,86,86,86,86,86,150,189,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,206,245,
182,41,212,71,188,27,169,147,145,154,114,168,82,82,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,1,59,62,215,43,83,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86, };
static unsigned short stb__times_23_latin_ext_t[560]={ 1,65,285,161,125,125,144,227,44,23,273,
258,285,285,285,144,161,211,195,178,211,211,144,211,161,161,273,195,273,285,258,
161,23,211,243,178,243,243,243,178,243,243,211,243,258,258,211,178,258,1,243,
161,243,211,227,211,243,258,258,1,144,1,273,285,285,258,144,273,144,273,211,
211,211,178,1,195,211,273,273,258,211,227,273,273,227,258,258,258,273,211,273,
1,1,1,285,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,1,125,125,
144,273,227,1,23,285,178,285,258,285,285,178,285,273,258,273,273,285,211,85,
235,285,273,273,273,144,144,144,195,85,44,65,125,125,125,243,65,65,44,44,
125,85,85,44,125,227,65,23,23,23,44,65,273,178,23,23,23,65,65,227,
178,161,161,161,211,211,144,273,227,144,178,178,195,195,195,195,243,161,243,161,
161,161,178,178,273,273,161,161,161,195,23,44,65,125,227,125,195,85,227,44,
144,1,144,85,195,44,144,85,144,227,144,125,243,125,195,125,211,125,227,85,
125,23,1,85,85,85,105,105,1,105,44,243,227,125,227,125,258,105,243,105,
85,105,273,195,23,23,23,105,105,273,85,85,105,85,195,195,243,178,227,195,
23,195,105,227,44,211,211,144,195,105,227,85,195,44,161,178,258,65,178,105,
227,65,195,23,144,23,178,65,227,44,178,44,85,85,178,227,227,65,195,105,
243,44,195,44,178,1,178,105,227,44,161,65,23,105,65,195,105,243,65,195,
195,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,161,258,258,23,
258,258,258,258,258,258,258,258,258,258,258,258,258,125,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,105,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,65,161,
65,227,1,161,1,161,1,125,1,44,1,105,1,85,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,1,1,85,144,1,144,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258, };
static unsigned short stb__times_23_latin_ext_a[560]={ 83,111,136,166,166,277,258,60,
111,111,166,187,83,111,83,92,166,166,166,166,166,166,166,166,
166,166,92,92,187,187,187,147,306,240,222,222,240,203,185,240,
240,111,129,240,203,295,240,240,185,240,222,185,203,240,240,314,
240,240,203,111,92,111,156,166,111,147,166,147,166,147,111,166,
166,92,92,166,92,258,166,166,166,166,111,129,92,166,166,240,
166,166,147,159,67,159,180,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,83,111,166,166,166,166,67,166,
111,252,92,166,187,111,252,166,133,182,100,100,111,191,151,83,
111,100,103,166,249,249,249,147,240,240,240,240,240,240,295,222,
203,203,203,203,111,111,111,111,240,240,240,240,240,240,240,187,
240,240,240,240,240,240,185,166,147,147,147,147,147,147,222,147,
147,147,147,147,92,92,92,92,166,166,166,166,166,166,166,182,
166,166,166,166,166,166,166,166,240,147,240,147,240,147,222,147,
222,147,222,147,222,147,240,215,240,166,203,147,203,147,203,147,
203,147,203,147,240,166,240,166,240,166,240,166,240,166,240,166,
111,92,111,92,111,92,111,92,111,92,235,184,129,92,240,166,
166,203,92,203,92,203,135,203,114,203,92,240,166,240,166,240,
166,201,233,164,240,166,240,166,240,166,295,240,222,111,222,111,
222,111,185,129,185,129,185,129,185,129,203,92,203,142,203,92,
240,166,240,166,240,166,240,166,240,166,240,166,314,240,240,166,
240,203,147,203,147,203,147,92,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,240,258,258,166,258,258,258,258,258,
258,258,258,258,258,258,258,258,240,176,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,180,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,240,147,111,92,240,166,240,166,240,166,240,
166,240,166,240,166,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,240,147,295,222,240,166,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_23_latin_ext_BITMAP_HEIGHT or STB_FONT_times_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_23_latin_ext(stb_fontchar font[STB_FONT_times_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_23_latin_ext_BITMAP_HEIGHT][STB_FONT_times_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_23_latin_ext_s[i] + stb__times_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_23_latin_ext_t[i] + stb__times_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_23_latin_ext_x[i];
            font[i].y0 = stb__times_23_latin_ext_y[i];
            font[i].x1 = stb__times_23_latin_ext_x[i] + stb__times_23_latin_ext_w[i];
            font[i].y1 = stb__times_23_latin_ext_y[i] + stb__times_23_latin_ext_h[i];
            font[i].advance_int = (stb__times_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_23_latin_ext_s[i] + stb__times_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_23_latin_ext_t[i] + stb__times_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_23_latin_ext_x[i] + stb__times_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_23_latin_ext_y[i] + stb__times_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_23_latin_ext_LINE_SPACING
#endif

