// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_28_latin_ext_BITMAP_HEIGHT        208
#define STB_FONT_times_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_28_latin_ext_NUM_CHARS            560

#define STB_FONT_times_28_latin_ext_LINE_SPACING          18

static unsigned int stb__times_28_latin_ext_pixels[]={
    0x0006aa00,0x266600c4,0x33333099,0x01664001,0x200664c0,0x7001700b,
    0x2a200019,0x4413000a,0x10000001,0x04400079,0x33333320,0x80202400,
    0x00000600,0x2a200002,0x5400000a,0x1009002a,0x26000033,0xa980002a,
    0x440000ab,0x00388019,0x09800000,0x00217000,0x0002aa20,0x880004c4,
    0x33000099,0x5c460001,0x00ff8801,0x7400ba80,0xdff2feee,0x3e6005dd,
    0x07f90006,0x6fb85fb8,0x0003d880,0x7400bffb,0x7c000ebd,0x0754006f,
    0x4015c400,0x00ffffff,0x7032203c,0x0015c403,0x000aa064,0x0013ff60,
    0x01fff980,0x1ff88078,0x3ffe8000,0x9adc8800,0x002ccb98,0x36a03ff8,
    0x9100007f,0x33a200d7,0xb7dc002d,0x3f2001c8,0xffd0005f,0x0bf90001,
    0x007fe200,0x1bf63910,0x40007ee0,0xf2fb8004,0x03ee000f,0x4c02f400,
    0x003e983e,0x27e6000a,0x991001fc,0xfceb8003,0x0002a003,0x000003e2,
    0x23d700f0,0x00b7004c,0x00b51f98,0x3f93d500,0x27360000,0x3007805e,
    0xeb80009f,0x32000fd8,0x003b801d,0xf71013e6,0x2b60000f,0x22b801f8,
    0x21f4c005,0xb9f9803d,0x5fd4001f,0x0ee8005f,0x005f5000,0x0fea1e88,
    0x44000b60,0x3ee003ff,0x36000ff2,0x00d10001,0x92e40000,0xb506c00b,
    0x02e4b900,0x01f50e88,0x801725c8,0xc972005b,0xfd007805,0x3e2001fb,
    0x7efec000,0x20d80001,0x4a80005a,0x00f00b62,0xb1000354,0x6c4025c1,
    0x801d4004,0x0ff1005b,0x021f3000,0x005895c0,0x3b007a00,0x47a00354,
    0x3e2001e9,0x00f60000,0x380007a0,0x01fe4000,0x01fe5f70,0x130000c0,
    0x6c000000,0x04401ba7,0xe9f60044,0x38817006,0x00dd3ec0,0x4fb002fc,
    0x5007806e,0x7c4007ff,0x27fc4003,0x4c04c000,0x280c0000,0x032003c0,
    0x00980c00,0x3a8001f4,0xf1000d80,0x0fb0000f,0x05d9d100,0x10354000,
    0x2a003101,0x37002440,0x80048000,0x36a0006d,0x0020002d,0x01fe5f70,
    0x71002000,0x00000003,0x00000000,0x00000000,0x0006f980,0x00007800,
    0x0002fcc0,0x00000000,0xf0100800,0x00000000,0x8000b900,0x7c400005,
    0x2fc40007,0x00003000,0x04000fe0,0x20000000,0x26000000,0x23a0003f,
    0x000000d8,0x01fe5f70,0xdeeeec88,0x574407a1,0x502a803c,0x3bbbb6e7,
    0xeeedc81c,0x777764c4,0xddddb72d,0xdddb9039,0x36e15409,0xc81ceeee,
    0x7c44eeed,0xeeeedb87,0xeeedc81c,0xeeedb9e4,0xeedc81ce,0x8027d44e,
    0x2ceeeec8,0x37bbb6a0,0x7bdddb52,0x02deec98,0x3fbbb2a2,0x407849ac,
    0x2ceeeec8,0x77654400,0x261c8ace,0x2732a00f,0xaa8321da,0x2aa20aaa,
    0x933fc41a,0x13f20017,0x677776dc,0x4eeedc81,0x07ec0aa0,0x5677fec4,
    0x3bbb6e49,0xeedc81ce,0x77fec44e,0x3b6e49ac,0xdc81ceee,0x03f64eee,
    0x03924c00,0x40037500,0x200ff2fb,0x67dc44fb,0x0687203d,0xfb8bff91,
    0x017ff45f,0xff500f74,0x00bffa09,0x7fdc07ba,0x005ffd05,0x03fe03dd,
    0x74017ff4,0x7ff43c1e,0xb81ee802,0x0cfb803f,0xe8813ee2,0x0ffe887f,
    0xfa803f20,0x27f5409e,0x419f703c,0xf5004fb8,0x3f6a215b,0x7441322f,
    0x4551fb23,0x540bffe9,0xdbfc40cf,0x3201efff,0xd03eefff,0x3dd005ff,
    0x5417fee0,0x88efcc3f,0xffe84ffa,0x4c1ee802,0x9ff511df,0xd005ffd0,
    0x0037c43d,0x801aaba0,0xefd98dc8,0x25f700ee,0x03fd807f,0x3a803fea,
    0x45fc80b1,0x3fe45fc8,0x7c405c80,0x00ff902f,0x5fc88172,0x3200ff90,
    0xfc81b605,0x0f0b9007,0x17200ff9,0x3f6017cc,0x403be603,0xffb80ffb,
    0xfb813201,0x217e200e,0x4c07fb07,0x3be600ef,0x7c4bee00,0x5fb89b01,
    0x07fe2244,0x67fc41e6,0x806ffc9b,0x3fe401fe,0x32205c80,0xe8bf505f,
    0xf909f307,0x3a17200f,0xf909f307,0xf717200f,0xdd88000b,0x987ee000,
    0x3ee019ff,0x6fa80ff2,0x2027fcc0,0x7dc01dec,0x7dc5fa85,0x88097007,
    0x0ff701ff,0xbf5012e0,0x5c01fee0,0xfb80fa04,0x0f097007,0x12e00ff7,
    0x1bea03e8,0x7c413f60,0x03ff882f,0x07fcc07a,0x54243540,0x04fd806f,
    0x7b001ff3,0x207e41aa,0x641cc2fc,0xf104b83f,0x02ffa83f,0x3fdc03fc,
    0x7d404b80,0x7ccdf305,0x3ee12e04,0xf9897007,0x3ee12e04,0xfc897007,
    0x37400604,0x3fe1fa00,0x7f97dc01,0x880bfe20,0x0001ffae,0xbf50bf50,
    0x97007fb8,0x2e03ff00,0x8097007f,0x0ff705fa,0x025412e0,0x25c01fee,
    0x803fdc3c,0x2036604b,0xf9802ff8,0x20bfb01f,0x40d305fd,0x016004fe,
    0x2600bfe2,0x03ff81ff,0x2e12e730,0x540fe82f,0x7c0ff882,0x3a0ff100,
    0x017e604f,0x25c01fee,0x7c417ea0,0x4c0ff50f,0x7007fb84,0x2607fa89,
    0x7007fb84,0xf903fd89,0x02ff980b,0x7f90ff30,0x0ff2fb80,0x3d007fe4,
    0x654417fe,0x42fd401b,0x03fdc5f9,0x1ff804b8,0x2e00ff70,0xb82fd404,
    0x9897007f,0x07fb801c,0xf70f0970,0x2012e00f,0x007fdc4b,0xff505ff8,
    0x901ff901,0x003fe607,0x0ffb8008,0xf98bff00,0x1e46001f,0x437c437c,
    0x547f900c,0x641fe205,0x00fee05f,0x25c01fee,0x7c417ea0,0x01bff11f,
    0x401fee0a,0x06ffc44b,0x007fb828,0x903fe897,0x5ffd80bf,0xfb07fe00,
    0xff2fb801,0x7b03fec0,0x57643fec,0x3ea03fd9,0x7dc5f985,0xf0097007,
    0x01fee03f,0x17ea025c,0x4b803fdc,0x7dc01644,0x0f097007,0x12e00ff7,
    0x7fd87910,0x441ffa00,0x3fff82ff,0x0ff700e8,0x0ffb0000,0x3ee3ff40,
    0x42d8000f,0x83fc83f9,0x2d9fe605,0x7dc1fe20,0x2007f605,0x097007fb,
    0x3fe05fa8,0x00bfff21,0x4b803fdc,0x002fffc8,0x12e00ff7,0x200c07fd,
    0x000ffaf8,0x805f87f9,0x7c0ff2fb,0xfc89706f,0xf88fe60f,0x2617ea07,
    0x803fdc5f,0x01ff804b,0x12e00ff7,0x3ee0bf50,0x26097007,0x01fee00d,
    0x7dc3c25c,0x4c097007,0x400dfd05,0xbfb00ffd,0x4c6fcda8,0x101bf606,
    0x40133333,0x3f6006fe,0x001ff60f,0x107ee1ec,0x403a83ff,0x44068bfd,
    0x407f707f,0x0ff7007f,0xbf5012e0,0xfb03fe20,0xfb803dff,0x36097007,
    0x5c01efff,0xc897007f,0x52e0004f,0x3f2004fe,0xb800bdac,0x7fc0ff2f,
    0xffc86a85,0x1ff07ee1,0x3e617ea0,0xb803fdc5,0x701ff804,0x012e00ff,
    0x1fee0bf5,0x07d025c0,0x4b803fdc,0x007fb878,0xf817c097,0x3ff2005f,
    0x641ff501,0x0f20ff9a,0x5cc05ff8,0xf1a2efff,0x7fe400bf,0x40017fe1,
    0x9107ec5c,0x980588fd,0x7c403cef,0x2605f907,0x0ff7005f,0xbf5012e0,
    0x7dc1fe60,0xf700dfff,0xb812e00f,0x700dffff,0x712e00ff,0x87c0009f,
    0x276007fb,0x97dc0019,0x31ffa07f,0x41ff901d,0x80ff4c18,0x45f985fa,
    0x097007fb,0x3ee03ff0,0xa8097007,0x00ff705f,0x206d812e,0x097007fb,
    0x200ff70f,0x205f504b,0x3f2006ff,0xf8ffe00f,0x007c7ff0,0x3ee00fff,
    0x1bfe3c1f,0x3e0ffc80,0x8f50006f,0xdf1b33fc,0x6c0106c4,0x3fc400ff,
    0x0fee06e8,0xb803fdc0,0xa82fd404,0x3ff6206f,0x07fb80ff,0xfd880970,
    0x7fb80fff,0x5f989700,0x96a03fb0,0x4d802ff8,0x7cbee000,0x443ff607,
    0x40dfb01e,0x701fecda,0xa8bf30df,0x0077007f,0x1fea03ff,0x3ea01dc0,
    0x200ff505,0x403fe03b,0x077007fa,0x200ff50f,0x207f703b,0x3f6007fe,
    0x5aafe407,0x202cdbf2,0xfa800ffe,0x03ff4787,0x7fe8ffb0,0x4c3f1000,
    0x5fb0dfff,0x301543b9,0x7ff100bf,0x3f201fb8,0x00ff5001,0x0bf500ee,
    0x3a600fee,0x3fd40eff,0xd3003b80,0x7fa81dff,0x6f887700,0x0ba05ff0,
    0xff880df9,0x00bcccee,0x207f97dc,0x407b1ffc,0x23e985fe,0xfffb81fd,
    0xf517e60c,0x200b200f,0x0ff501ff,0xbf500b20,0x6401fea0,0x540ff102,
    0xf059007f,0x3200ff50,0x3209f502,0x17fa007f,0x45b1ff30,0x403c9ff9,
    0xfa802ffc,0x03fe4787,0xffd8bfd0,0x98790001,0x205dc41b,0x802e8058,
    0xeebddff8,0x5003f401,0x00b200ff,0x83f60bf5,0x0bff2008,0x0b200ff5,
    0x17fe4011,0x16401fea,0x0ff407e4,0x0ffcc34c,0x3ffffee0,0x3ee02fff,
    0x7fcc0ff2,0x3fe204cb,0x3f61fd42,0x44f98001,0x1d800ff9,0xf300ff80,
    0x803b001f,0x1ff304fa,0x3e603b00,0x003fe606,0x3e61e076,0x301d800f,
    0x0bfe60bf,0x200bfe20,0xcfe87bfe,0x27fcc00f,0x23c3fd40,0xf8802ff9,
    0x017fcc2f,0x0000e880,0x01a20164,0x0098bfc4,0x26004f88,0x01d800ff,
    0x27c427d4,0x89fd00e6,0x1d800ff9,0x13fa01cc,0x3b001ff3,0x1fb05f10,
    0x99999d90,0x12c80bff,0x40db7533,0xc80ff2fb,0x2fe406ef,0x07f607f4,
    0xf10fea00,0x001f005f,0x17fc40ff,0x3ea007c0,0x005ff103,0x102f401f,
    0x01f005ff,0x005ff10f,0x80fe201f,0x5fb806fc,0x709ff900,0x3f200bff,
    0x43fd401f,0xb806fc87,0x01dfb05f,0x005a8710,0x0f200ee0,0x4003fc40,
    0x3e2001f9,0x400f802f,0x40eb83fa,0x21fe4059,0x0f802ff8,0x0ff202cc,
    0x1f005ff1,0x21ee1aa0,0xaaaaaaf8,0x0b500ffc,0xf97dc0b0,0x202fe807,
    0x43ff06f8,0xa8001fe8,0x405fc81f,0xf12d885d,0x405fc80b,0x01fa805d,
    0x0bb017f2,0x2fe405b8,0xc83c1760,0x102ec05f,0x17fc401f,0x2001ff10,
    0xff882ff9,0x1ffb1002,0x43c3fd40,0x3e202ff8,0x0dff300f,0x00b70488,
    0x1d100790,0x001fe200,0x3f2001b2,0x5402ec05,0xf981e81f,0x3207fa01,
    0x4c2ec05f,0x207fa01f,0x02ec05fc,0x970b50b6,0xf883ff80,0xf700dc05,
    0xdd101fe5,0x01dd305f,0x3bb2bbf2,0x36e00ccf,0x27ec0b70,0xffa836cc,
    0xfd800f98,0x9706d984,0x3f6016e1,0x8806d984,0x427ec00f,0xd81e06d9,
    0x406d984f,0x2fe8804b,0x4000ee98,0x003fa07e,0x2e03df90,0xfd10787f,
    0x801dd305,0x220adfe8,0x0575404a,0x7440b6a0,0x22001fdf,0x3e9b007f,
    0x09fb0001,0x436e0db3,0x9816c45b,0x04fb82ff,0x1b6613f6,0x7dc17fcc,
    0x2613f604,0x21d8806d,0x5c00f848,0xbdfe886f,0xf85c9889,0xfff2ffff,
    0xd52e87ff,0x807fb99f,0xdf74ffd9,0xdcffd801,0x3bff2200,0x3a00cffd,
    0x91002cef,0x19ffbdff,0x0377ff60,0x37bff220,0x71000cff,0x77fe4405,
    0x1e00cffd,0xfdeffc88,0x037100cf,0xecceeb80,0x0970003e,0xda8002dc,
    0xbeecbcfe,0x775c0780,0x4003eecc,0xbdeeffec,0xdeeb8800,0x402ecbab,
    0x2003fff8,0x400affb8,0x20002cdd,0xffdeffc8,0xb9ffb00c,0xb3006441,
    0x7ffbbfd9,0xdeffc880,0x9b300cff,0x07ffbbfd,0xfdeffc88,0x0ae000cf,
    0xff9806b8,0xfffec883,0x000002ff,0x00153105,0x26000808,0x2a62001a,
    0x0330009a,0x26aa6200,0x001a9800,0x009aa988,0x98801100,0x028009aa,
    0x009aa988,0x2620000c,0x04400009,0x10000310,0x02801353,0x00013310,
    0x88000330,0x20009aa9,0xaaa80028,0x001802aa,0x26aa6200,0x081a9800,
    0x2aa20880,0x554c4001,0x51044009,0xa9880035,0x0100009a,0x7fc013e2,
    0x06aa200f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x203bffd7,0x04ffffda,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00020080,0x00000000,0x04cc0002,0x00080000,0x00001330,
    0x30000266,0x4c400003,0x10988001,0x13100013,0x4c400262,0x80098800,
    0x09980198,0x03032e00,0x00026600,0x00001026,0x15510000,0x00262000,
    0x77777774,0x03eeeeee,0x00001330,0x04000b2e,0x00400010,0x4cc00000,
    0x00000000,0x0c848810,0x002ffc40,0x20003ffa,0x8001540d,0x640006fb,
    0x440014c1,0xb80001ff,0x2e0000ef,0xd00003ff,0x5f90007f,0x3a0007f6,
    0x2001df0f,0xffd802ff,0x017f4401,0x3600bff3,0x01a8cfff,0x000efa80,
    0x038fffa2,0x3fb2fc40,0x1bff2000,0x403fd400,0xfcaaadf8,0x05fcaaaf,
    0x0000efb8,0x0000ef88,0x44019093,0x49aceffd,0x77765440,0x1001c8ac,
    0x2e0003ff,0xd80bf13f,0x87640d40,0xfded803c,0x9f9f7002,0x2e3f3000,
    0x0fe40005,0x2a5f3000,0x05f70006,0x003f6000,0x0fecf880,0x027cc000,
    0x013e5d80,0x17ccfe20,0x9803f980,0xf8806fbf,0x07f77a05,0x3ffae510,
    0x01fb0006,0xfffbaa80,0x7fd4004d,0x10005ff0,0x0005f75f,0x0b1007f2,
    0x00b30ff7,0x200001fb,0x640001fa,0x7cc07b0e,0x09ff511d,0xa8856fd4,
    0xf7002ffd,0xafec0005,0x3ea00ffa,0x3fe20b71,0x2e59806d,0xf50e8806,
    0xfbfb0001,0x07b00003,0x2fdfc800,0x0007b000,0x00007e20,0x0002e479,
    0x0f80016e,0xd30001f1,0x099002d4,0x017447a0,0x2e4a83cc,0x05d40406,
    0x8001f800,0x0013ae22,0x0007315c,0x00069872,0x70730136,0x3e0120ff,
    0x0b600001,0x3bfe2000,0xf983f406,0x401df304,0x07b002fb,0x2e0b8800,
    0x1fdfd801,0x200bfea0,0x05c03983,0x3e200122,0x9100004f,0x5ff88000,
    0x00091000,0x20001540,0x0001b828,0x1c400032,0x86e00053,0x4016000b,
    0x5500481a,0x00055070,0x00154000,0x00000000,0x06206200,0x70005800,
    0x550020ff,0x00280000,0x80bfee00,0x212e04f9,0x3d800ff9,0x00000900,
    0x04ff9800,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x1ceeeedb,0x04eeedc8,0x3b220000,
    0x4002ceee,0x2ceeeec8,0x00000000,0x03fdc000,0x00000000,0x2a000000,
    0x3e12607f,0x0073003f,0xdddb7000,0xddb9039d,0xfb10009d,0x809359df,
    0x2aaa01ba,0x2aaa20aa,0x05ddd931,0x73deedc8,0x039ddddb,0x409dddb9,
    0xaceeeca8,0x3b2201c8,0x2602ceee,0x6402eeec,0x2203deed,0x02ceeeec,
    0x77765440,0xdb71c8ac,0xb9039ddd,0x64409ddd,0x202ceeee,0x3deeeec9,
    0xdddddd93,0x4c5ddddd,0x33deeeec,0x87bdddd9,0xee802ffe,0xeeeeed81,
    0x01eeeeee,0x7dc419f7,0x419f7004,0xdb704fb8,0xb9039ddd,0x3b267bdd,
    0xeeeeeeee,0x7fb802ee,0x777764c0,0x2eeeeeee,0xddddb300,0xdddddddd,
    0xdddddb03,0x23dddddd,0x8500dff8,0x06001ff9,0x3a001d40,0x1ee802ff,
    0x37bbbb26,0x54477e63,0x8dc884ff,0x30eeefd9,0xfa817ffd,0x0fff440c,
    0x7f407740,0x01ee802f,0x5442b7ea,0x9f702ffd,0x2027dc41,0xe801ffe8,
    0x833ee00e,0xf5004fb8,0x3f6a215b,0x017ff42f,0x9f700f74,0x2027dc41,
    0xff505ff9,0xf5333335,0x20bff307,0xff905ff9,0x77c17200,0xfa99999a,
    0x407fb04f,0x3f600ef9,0x203be603,0x5404ffe9,0xaffa80ef,0x3fa99999,
    0x5007fb80,0x333335ff,0xfb8007f5,0x99999dfe,0x9aef82fa,0x4ffa9999,
    0x4017ffe4,0x00000ffb,0x7e4006e8,0x260b9007,0x307e85ff,0x4c3f709f,
    0x7fc419ff,0x3e207981,0x826c00ef,0x0b9007fc,0xf70077cc,0x4c07fb05,
    0x3fe200ef,0xb026c00e,0x077cc07f,0x5c01df30,0x803fe42f,0x80ff605c,
    0x3fe00ef9,0x403ff303,0x407ff03a,0x0ff703ff,0x203412e0,0x6fa80efd,
    0xf504fd80,0x209fb00d,0x7dc05ff9,0x403ff300,0x07fb803a,0x5403ff30,
    0x7ee5c003,0x01a0aa04,0xffb01dfb,0x3fec03df,0x7fcc0000,0x01fee002,
    0x87ff025c,0x212e04f9,0x901ff87e,0xf809707f,0x81e406ff,0x097007fb,
    0x36003fe6,0x6c037d43,0x37ffc04f,0x37d40f20,0xf9827ec0,0x5c3d800f,
    0x2097007f,0x4fd806fa,0x7c40bfe0,0xff81c01f,0x5c0bfe02,0x1097007f,
    0x40ffdc07,0xf9802ff8,0x017fc41f,0xfb80ffcc,0x8807a01f,0x401c01ff,
    0xff1007fb,0x74003803,0x0a204fd8,0x0ffdc071,0x1bffff70,0x0000bff0,
    0x400bffb0,0x097007fb,0x1fea17fc,0x43fcc498,0x1ff103fc,0x7d7c00f8,
    0x5c0f204f,0x2097007f,0x473003ff,0xf9802ff8,0x3febe01f,0x3e20f204,
    0x1ff9802f,0x73003ff8,0x97007fb8,0x3005ff10,0x0bfe03ff,0x8000ffc4,
    0x0bfe02ff,0x4b803fdc,0x13fe6010,0xf8007fdc,0x007fdc5f,0x3fa05ff8,
    0xf8809706,0xfb80001f,0x03ff1007,0xfda5c000,0xf3008004,0xffb1009f,
    0x06ff81ff,0x7d7c4000,0x0ff7000f,0x2ff812e0,0x2806ffc4,0x07ec1ff8,
    0x02d47f90,0x903ffcbc,0x401fee07,0x01ff984b,0x00ffb860,0xcbc0bff0,
    0x707903ff,0x3fe001ff,0x000ffcc5,0x7007fb83,0x001ff709,0x17fc17fe,
    0x0501ff88,0x3fe02ff8,0x200ff702,0x37f4004b,0x7400ffb0,0x003fec7f,
    0x7fcc0ffd,0x220074c4,0x400501ff,0xff1007fb,0xd1000a03,0x01413f61,
    0x20037f40,0x3a0effe9,0x5c00007f,0x2e009fd4,0x4097007f,0xfffc82ff,
    0xf87f9002,0x5b3fcc05,0x0ffecf00,0x07fb81e4,0x1ff70970,0x01ff6000,
    0xd9e07fe8,0xd83c81ff,0x1ffa007f,0x40001ff7,0x097007fb,0x7f400ffb,
    0x2205ff07,0xf80d01ff,0x40bfe02f,0x097007fb,0xd00ffe40,0x7fec00df,
    0xd801bfa0,0x3fee00ff,0x3e200ba1,0x5c00d01f,0x3ff1007f,0x477001a0,
    0x800d04fd,0x01101ffc,0xffb17fe4,0x87c00003,0xff7007fb,0xff812e00,
    0x3dfffb02,0x7b59f900,0xd17fb001,0xffe89e00,0x7fb81e40,0xffb09700,
    0x037f4000,0x9e01ffb0,0x1e40ffe8,0xfb0037f4,0x003fec1f,0x5c01fee0,
    0x2006fe84,0x2ff80ffd,0x3335ff10,0x2ff80f95,0x7dc0bfe0,0x20097007,
    0x7fc03ff9,0x87ff2005,0x3f2005ff,0xbb7f401f,0x35ff1005,0x400f9533,
    0xff1007fb,0x0f953335,0xbfb07c40,0x00fb5333,0x7301ffcc,0x3e64fe80,
    0xb500002f,0x5c017fc4,0x4097007f,0x3fee02ff,0x27600dff,0x77cc0019,
    0xf88f003c,0xfb81e46f,0xff097007,0x2ffc000b,0x203ff900,0x3237fc47,
    0x2005ff83,0x17fe1ffc,0x00ff7000,0x017fe12e,0xff81ffc8,0x99bff102,
    0xff80ffd9,0x5c0bfe02,0x0097007f,0xff00bfd1,0x07fe400d,0x7e400dff,
    0x67fcc00f,0xbff1000f,0x00ffd999,0xf8803fdc,0x7fecccdf,0xdfb0f200,
    0x00ffd999,0xb3017fa2,0x7ec3fc80,0x2038800e,0x4037e42e,0x097007fb,
    0x362017fc,0x4d80ffff,0x07fec000,0x5ff98780,0x03fdc0f2,0x06ff84b8,
    0x801bfe00,0x30f00ffc,0x7c1e4bff,0x3ff2006f,0x0001bfe0,0x12e00ff7,
    0xfc801bfe,0x102ff80f,0x80d103ff,0x0bfe02ff,0x3b803fd4,0x800ffd80,
    0x3f6007fe,0xb003ff47,0x3ff200ff,0x07fe2003,0xffc801a2,0x81ff8800,
    0x57f10068,0xd109fd55,0x003ff600,0x0ff403f3,0x9101bfe6,0x7fcc34c0,
    0x803fd401,0x00bfe03b,0x1077ff4c,0x7999ddff,0x00bf3001,0x93ffb83c,
    0x401fea07,0x007fe83b,0xd801ffa0,0x7dc1e07f,0xffd0793f,0x3a3fec00,
    0x7d40007f,0xfd077007,0x83fec00f,0x3ff102ff,0x05ff0120,0x7fa817fc,
    0xfa805900,0x0ff9002f,0x3f22ff40,0x017fa007,0x1000ffc4,0x201203ff,
    0x0befffda,0x2407fe20,0xccccdd80,0x500904fe,0xff3005ff,0x2209f705,
    0x2a20adfe,0x66676404,0x5405ffcc,0x4059007f,0x900442ff,0xfffb85ff,
    0x802fffff,0xc81e002e,0xf503caff,0x360b200f,0xf90001ff,0x02ff400f,
    0x657fe40f,0x2007fc83,0x0ffec5fe,0x00ff5000,0x01ff20b2,0x5ff05fe8,
    0x0407fe20,0xff80bfe0,0x001ff302,0x2ffc403b,0x005ff300,0xff985ff1,
    0x02ff8802,0x4003ff10,0x00101ff8,0x0ffc4000,0xb0698008,0xf100209f,
    0x336600bf,0x03ffddfe,0xdeeffec8,0x2abe200b,0x0ffcaaaa,0x2003fe60,
    0x30bfe01d,0x644fe807,0xdb753312,0x3c006880,0x40f7ffa0,0x1d800ff9,
    0x0002ff98,0xf1005ff3,0x3a03c05f,0xff983dff,0x42ff8802,0x20002ff9,
    0x1d800ff9,0x8802ff98,0x05ff02ff,0x02007fe2,0x2ff80bfe,0xf005ff10,
    0x0077ec01,0x700df906,0x01bf20bf,0xf88017ee,0x3fe2001f,0x74c00801,
    0x03ff1002,0x6c0b6010,0xfd80804f,0x2088c00e,0x88001bd8,0x012e001e,
    0x7fc407ff,0x3e00f802,0x3202cc2f,0x16016a3f,0x07800790,0x881fffc4,
    0x00f802ff,0x71001dfb,0xfb806fc8,0x3e203c05,0x0df903ff,0x3f60bf70,
    0x4438800e,0x00f802ff,0xbf700df9,0xf8817fc0,0x7c24401f,0x80bfe02f,
    0x02ec05fc,0x38803ff7,0xf1017fc4,0x0bfe201f,0x2000ff88,0x22001ff8,
    0x024401ff,0x7c401ff2,0x4c24401f,0x1013f606,0x401ffb87,0x01df3038,
    0x400bf500,0x037dc00f,0x0bb017f2,0x0fcc2ff8,0x17e23fd0,0x07440370,
    0x9801f100,0x17f203ff,0x7fcc0bb0,0x7c424406,0x03fe202f,0x7cc00f88,
    0x05ff103f,0xf9807fc4,0xc824406f,0x102ec05f,0x7fc405ff,0x440ffe00,
    0x40ec01ff,0x0ffe03ff,0xdb309fb0,0x4027fcc0,0x82fe882c,0x74400ee9,
    0x00ee982f,0x000ffcc0,0x1d803ff1,0x40064c40,0x0ec01ff8,0x0bfb0174,
    0x13fe61e8,0x2fa80b20,0x001f9000,0x7ff300d7,0xd984fd80,0x4c3ff806,
    0x24fb82ff,0x889bdfe8,0x6ff445c9,0x0fcc001f,0x3601fd40,0x806d984f,
    0x220adfe8,0x0bfa204a,0xf3003ba6,0x407f5003,0xee982fe8,0x56ff4400,
    0xfb012a20,0x100db309,0x1dd305fd,0x9827fcc0,0x0fb103ff,0x3e609ff3,
    0x7fe4404f,0x200cffde,0x7e5406fe,0x333bae01,0x75c003ee,0x003eecce,
    0x4007ff50,0xfb103ff9,0x4c00e200,0x0fb103ff,0x37f401f9,0x37f47e98,
    0xb807f2a0,0x0db0000f,0x3e009f10,0x3f2200ff,0x00cffdef,0x36627fcc,
    0x3ffddfec,0xffffec88,0x3fff882f,0x3fff2200,0x201e400c,0xffdeffc8,
    0x3fb2000c,0x800bdeef,0x3eecceeb,0x67ffe440,0x5c01e400,0x03eeccee,
    0x777ff640,0x7e4400bd,0x00cffdef,0x3b33bae0,0x3ff2203e,0xfd732cff,
    0xffffffff,0x7ffe449f,0xfff912cf,0xa988059f,0x7fdc009a,0xffffffff,
    0x331007ff,0x99880001,0xff930000,0x5cc039ff,0xfffffffe,0x29804fff,
    0xfffeb980,0x4fffffff,0x70fbff62,0xfffffffd,0x7fdc9fff,0xffffffff,
    0x399107ff,0x017b5000,0x01dffeb8,0x09ffffb5,0x009aa988,0x67fffe44,
    0x0d544112,0x401aa880,0x00000028,0xaa988004,0x0cc00009,0x01331000,
    0x00100000,0x00004cc4,0x988000cc,0x200009aa,0x00000998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00006600,0x04001988,0x26200008,0xb9510001,0x005ddddd,0x20001026,
    0x22000098,0x22002881,0x00006a0a,0x02000000,0x40c40008,0x00000028,
    0x00200000,0x00040200,0x8005c053,0x1aa80000,0x00014400,0x17100804,
    0x00331000,0x50031013,0x000000a0,0x0000cc40,0x00001551,0x9ff50000,
    0x17f20000,0x03983900,0x007fe200,0x49ffff50,0x7ffd1006,0x2ff8001c,
    0x5566c000,0x3f2000ec,0x8001ff35,0x7730003a,0x70910057,0x559b0001,
    0xc88001d9,0x002ceffe,0xa800dd10,0x07200483,0x9fd70073,0x54017ee0,
    0xfa802442,0x3fa000ff,0x76544003,0x449acfee,0x8000ffd9,0x37b005fc,
    0x32e00b73,0x8002da9a,0x320002fc,0x3f20005f,0x401c006f,0xcf8801fd,
    0xf80000fe,0x33f88006,0xf980001d,0x3ffea004,0x5401a4ff,0x04dfffba,
    0x0003f980,0x03ffff98,0x6f8a7d40,0x8006e800,0x2007e268,0x000991eb,
    0x00ffffe6,0x64c19f70,0xff98004f,0x446ec000,0x4fe2002d,0x9f910069,
    0xe800fa60,0x3a003d14,0x36004fab,0x3bea002f,0x227f5409,0x8000ff98,
    0x3fee006f,0xfd1003ff,0x3a000dff,0x3ba0004f,0x75f10000,0x01e2005f,
    0x8ee00bfe,0x74c0005c,0xfbf70000,0x1aa00007,0xfffffe80,0x711401a4,
    0x172000bd,0x01750000,0x20000200,0x5c002ff9,0x74013e24,0x40000fdf,
    0x7ec000ba,0x003bf203,0xf1000550,0xf9000bdd,0x7d4005fb,0x3e600004,
    0x457004ee,0x002000e8,0x2200efb8,0x001ff05f,0x44000f98,0xc98000cc,
    0x02e60001,0x0007cc00,0x8034c390,0x8039807d,0x0001a838,0xfd00006e,
    0x1b80000d,0xfffff880,0x00001a4f,0x00002c00,0x00000000,0x4005ffd8,
    0xa800e45e,0x000003ff,0xb00df500,0x0000009f,0x8000ffe4,0x7d4006ff,
    0x7ec00004,0x0603000f,0x3fe60000,0xff06a800,0x001b8001,0x00002010,
    0x00100800,0x0c400037,0xffb100c4,0x00000357,0x00000000,0x00000000,
    0x4ffffff8,0x5ddd931a,0x3deedc80,0xedb80000,0xdc81ceee,0x2aaa4eee,
    0x2aaa20aa,0x7fd7c401,0x00bf2000,0xc8800000,0x402ceeee,0xfa802ff8,
    0x7654401f,0x01c8acee,0x00000000,0x000013ea,0x00071000,0xfe801ba8,
    0x7f416004,0x80298000,0xcfeeeca8,0x1ba8049a,0x77654400,0x0049acfe,
    0x20000000,0x22ccffcb,0x3deeeec9,0xb7003a80,0x9039dddd,0x36a7bddb,
    0xbcdeeeee,0x03a80001,0x3fffff60,0x7ff441a4,0x2a0ee801,0xcdeeeeed,
    0x3ffa001b,0x4c1ee802,0x7d40bffe,0xfea5c00c,0x0ffe2004,0x8001d400,
    0x3ee20cfb,0x003fee04,0xfa817fe2,0xffb510ad,0x77777745,0x3eeeeeee,
    0xbdddddb5,0x2a003799,0x4c0aa04f,0xeeeeeeec,0x3662eeee,0x644000ff,
    0xeeefd98d,0x8003fe60,0x54c1fd00,0x3fae0aaa,0x04f7d404,0x64413faa,
    0xeeefd98d,0x813df500,0x76cc4fea,0xa804deee,0x22ceeeec,0x3deeeec9,
    0x3fe603fc,0x801ba005,0x5404ffe9,0xbffb80ef,0x00cffda9,0xa801ba00,
    0x1a4fffff,0x400eff88,0x37ff704d,0x0019ffb5,0xb9001ff9,0x2607fe20,
    0x3ee1f007,0x27fe4007,0x40037400,0x3be603fd,0x2007fd80,0x1df306ff,
    0xdf897dc0,0xaaffcaaa,0x7fdc5fca,0xffdba9ac,0x2227d402,0x7d405ffc,
    0xa99999af,0x03fe623f,0x7cc3f700,0x03fdc19f,0x220fe800,0x7e441bff,
    0x803bee04,0x43f705f8,0xf7019ff9,0x82fc401d,0xb8005ffb,0x3fea03ff,
    0xff00ff04,0x0bfe6007,0x405ff980,0x3ff300fb,0x0005ff88,0x54005ff3,
    0x01a4ffff,0x3c80dfff,0xf883ff30,0x07fa805f,0x1fe40970,0x12d4025c,
    0x2ea005ff,0x26005ffa,0x3ea002ff,0xe84fd806,0x3ff6006f,0x4007fcc0,
    0xff70b13d,0x1ff98b30,0x5407ff70,0x80bf904f,0x0ea01ff9,0xfd0003fe,
    0xdfb03ff0,0x99999880,0x1d507f40,0xf9827d40,0xd06a800f,0x2603ff0f,
    0x06a800ff,0x30005ff3,0x7fc403ff,0xff00ff02,0x17ff6005,0x403ff700,
    0x07fe201e,0x20003ff6,0x98005ffd,0x5f01a4ca,0x81e409ff,0xffd81ff8,
    0x803fd400,0x03fe204b,0xc85d001f,0x2649806f,0xffb005ff,0x0bfe200b,
    0xff07fe60,0x0ffe400b,0x9cc00ffe,0x907fb839,0x2601ff88,0x09f504ff,
    0xff1017ee,0x0ff83803,0x321fe600,0x405ff83f,0x42efffb9,0x801b70fe,
    0x09fd04fa,0x43fcc2c0,0x09fd03fc,0x1ff882c0,0x01ff8800,0x07f817fc,
    0xf8802ff8,0x74000ffa,0x8809706f,0x2ffa81ff,0x7fd7c400,0x34930000,
    0x81ffe5e0,0x03ff103c,0xfa805ff5,0xc8097007,0x26016a3f,0x401ff986,
    0x00ffcc1d,0x003febe2,0x7c003fee,0x0037fc5f,0x7fcc1ff9,0xf7006001,
    0x3ff1020f,0xa81ffc80,0x80bf504f,0xf8001ff8,0x0ffc000f,0x1ffe03f6,
    0x740ffdc0,0xf5005b8f,0x001ff309,0x6c1ff804,0x00ff980f,0x0ffc4020,
    0x00ffc400,0x03fc0bfe,0xa5c017fc,0x7cc004fe,0x20074c4f,0xffc81ff8,
    0xfea5c000,0x34930004,0x81ffd9e0,0x03ff103c,0xfa801ff9,0x98097007,
    0x3200b67f,0xffccccce,0x7c417c05,0x4fea5c03,0x2007fd80,0x03fec7fe,
    0xffb8ffb0,0x3ee00000,0x03ff1007,0xfa83ff88,0x880bf504,0x7c0501ff,
    0x4017730f,0xe82fc3fc,0x7fa800ff,0x007fbfd0,0x1fee13ea,0x21fe4000,
    0x00ff705f,0x007fe200,0xf007fe20,0x201fe05f,0x70f802ff,0xff7000ff,
    0x7c401743,0x02ffc41f,0x07fb87c0,0x20349300,0x903ffa27,0x107fe207,
    0xff500bff,0x36012e00,0xf88068bf,0xfcaaaaaa,0x6c1ba00f,0x7fb87c04,
    0x2006fe80,0x1fee0ffd,0x7ec6fe80,0x7dc00007,0x03ff1007,0x9f50bfd0,
    0xf1017ea0,0xff81a03f,0x406fffb8,0x00bdacfc,0xf5005ff9,0x3febfa0f,
    0xd84fa801,0x4ccc406f,0xacfc8099,0x0dfb00bd,0x09999988,0x4000ffc4,
    0x7fc01ff8,0xff00ff02,0x3e25a805,0x6fe8002f,0x3fe200b7,0x0037f621,
    0x17fc4b50,0x80d24c00,0x3237fc47,0x443ff103,0xfa800dfd,0x30097007,
    0x970079df,0x3203ff80,0x500e40ef,0x2017fc4b,0x3f2005ff,0x007fea1f,
    0x17fe17fc,0x0ff70000,0x2007fe20,0x04fa87fd,0xff880bf5,0x07ca999a,
    0x3fd8b3fe,0x20066760,0xfa804ff9,0xff71fd07,0xf84fa801,0x7fdcc05f,
    0x199d82ef,0x4c05ff80,0x442efffb,0xf88001ff,0x817fc01f,0x3fe011fe,
    0x3f217402,0xcff98006,0xbff1000f,0x0003dfd9,0x00df90ba,0x1e034930,
    0x03c97fe6,0xdfd9bff1,0x03fd4003,0xffb004b8,0xb801f001,0x3bfa206f,
    0xc85d0160,0x037fc06f,0xfc81ff90,0xf86fb805,0x5c00006f,0x3ff1007f,
    0xa83ff900,0x80bf504f,0xecccdff8,0x507fe07f,0x0013609f,0xf5007ff2,
    0x7e43fa0f,0x7c27d406,0x3ff7007f,0xff8009b0,0x03ff7007,0x10003ff1,
    0xffffffff,0x3605ffff,0x5ff03acf,0x7fcc34c0,0x3ffc8001,0x26bfe200,
    0xd30006fd,0x8003ff30,0x20f01a49,0x20793ffb,0x6fd9aff8,0x803fd400,
    0x0bf3003b,0xff300d70,0x4f7f4407,0x7cc34c04,0x01ffa01f,0x3fd07fd8,
    0x740ffc40,0x5c00007f,0x3ff1007f,0xa81ff900,0x80bf505f,0x06881ff8,
    0x0bf503fe,0x999ddff1,0x3ff62017,0x7c1fea00,0xa817fa0f,0x00ffe84f,
    0xff887fa8,0x80bcccee,0xfa800ffe,0x003ff107,0xf803ff10,0x0bff302f,
    0x9d9017fc,0x0bff9999,0x003ff100,0xff88ffc4,0xccec8003,0x005ffccc,
    0x0780d24c,0x40f2bff2,0x7ff11ff8,0x803fd400,0x00ba002c,0x3fe009f1,
    0x3ff6200f,0x66676401,0x3205ffcc,0x17fa007f,0x74417f44,0x03ffb00f,
    0x03fdc000,0xd801ff88,0x706fb87f,0x1ff880df,0x207fc090,0xfff705f9,
    0x405fffff,0xff701efc,0xff987fe0,0xf909f503,0x0ff5005f,0x3fffffee,
    0x17fe42ff,0xf883fd40,0xff88001f,0x2017fc01,0x8817fc00,0xcaaaaaaf,
    0x7c4000ff,0x3fe2001f,0x8007fea1,0xaaaaaaf8,0x26000ffc,0xe80f01a4,
    0xff103dff,0x800ffd43,0x1d800ff9,0xeb80d100,0xfb501dff,0xfd809fff,
    0x2aabe206,0x00ffcaaa,0xf1005ff3,0xcdfb805f,0x2600bedb,0x200002ff,
    0xff1007fb,0xb8dff003,0x3ee1cfff,0xff100cff,0x0ff80203,0x12c82fcc,
    0x80db7533,0xecbcfeda,0x7fed40be,0x5bfff53e,0xff984fa8,0x907fa804,
    0x36ea6625,0x4027fcc6,0x3ff107fa,0x03ff1000,0x5d502ff8,0x9702ff80,
    0x4003ff80,0x22001ff8,0x077e41ff,0x7fc04b80,0x06926003,0x3ffe203c,
    0xc83ff103,0xff8800ef,0x9000f802,0x1b000007,0x701fd800,0x203ff809,
    0x5fb806fc,0x0ffff600,0x40077ec0,0x03fdc038,0x5c01ff88,0x200881ff,
    0x1ff88058,0x207fc080,0x805a85f9,0x26b66005,0x80044000,0x3ff904fa,
    0x5a87fa80,0x1ffc8580,0xf883fd40,0x7c41801f,0x817fc01f,0x17fc07fc,
    0x37dc00f8,0x007fe200,0xfe81ff88,0xb801f005,0x6926006f,0xf3003e20,
    0x07fe207f,0x7dc017fa,0x8802e405,0x4400000e,0x3e1ec00f,0xfb801f02,
    0x80bfe206,0x5c000ff8,0xf9801fff,0x4024406f,0xff1007fb,0x82ffc403,
    0x00d706fc,0x48803ff1,0x17e607fc,0x01b80bf1,0x4000ff60,0x4fa805fd,
    0x401ffb10,0x02fc47fa,0x3ff6206e,0x441fea00,0x224401ff,0x7fc01ff8,
    0xf8093102,0x9806b83f,0x3e6003ff,0x3fe6001f,0x404ff981,0x3ff9806b,
    0x30349300,0x07f5003f,0x3e607fe6,0x09fb004f,0x7f440d93,0x800001fd,
    0x22f404f8,0x9806b80e,0x3fa203ff,0x000ee982,0x001ffd30,0x4415bfd1,
    0x0ff7004a,0x4407fe60,0x3ee00efd,0x4402fb82,0x20ec01ff,0x237cc0ff,
    0x889bdfe8,0x744005c9,0x03f60007,0xfc80bf50,0x88ff701e,0x9889bdfe,
    0x0f7e405c,0xff107fb8,0x7cc1d805,0x0bfe201f,0x3fe60398,0xf8027c44,
    0xff5000ff,0x1ffd4007,0xf103ffb8,0x03ffe009,0xc8869260,0x6400cfff,
    0x207ff503,0xc8803ffb,0x0cffdeff,0x00fffe20,0xcffd8000,0x09525c0c,
    0x3fe009f1,0x6775c00f,0x00003eec,0x90015db5,0x17bddffd,0x003ff200,
    0xf730bfea,0x20f9007f,0x984ceff8,0x0fb103ff,0x87fa83ff,0xfffffec8,
    0x04f88002,0x2e017600,0xfeda806f,0x80beecbc,0xfffffec8,0x9fdb5002,
    0x2017dd97,0x2621cffa,0x2ffa87ea,0x540ffe60,0xffff9102,0x3bffd759,
    0x3ffff6a0,0x3fff2604,0x3f2601cf,0xfd81cfff,0x3ffae4ff,0xfffb501d,
    0x0a18809f,0xc9810000,0xd81cffff,0x98804fff,0x510009aa,0x22000000,
    0x0aeea02a,0x4077ffae,0x04ffffda,0x00009988,0x01797300,0xb5000660,
    0x3017dfff,0xddfffff9,0xd980179b,0x20d4c01b,0xfffffeb9,0x2a4fffff,
    0xfd73effd,0x2aa203bf,0x15b70001,0x017b5000,0x01cfffb8,0x00135310,
    0x0000d544,0x4c013531,0xfffffffc,0x3264ffff,0x221cffff,0x01cffffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x1ceeeedb,
    0x04eeedc8,0x4ccc0000,0x2a009999,0x22ceeeec,0x00ceeedb,0x05009d90,
    0x05db1006,0x02eeec98,0xa9ef76e4,0xcdeeeeed,0x3310001b,0x4c033333,
    0x23deeeec,0x4deeeed9,0x02882880,0x00000a05,0x22000000,0x13000c2b,
    0x00000000,0x7777764c,0x02eeeeee,0x28809800,0x00813000,0x02980000,
    0x33310000,0x4cc03333,0x00099999,0x99988001,0x00001999,0x7f51fd80,
    0x005ffd00,0xdd1003dd,0xffff3000,0xf7009fff,0x07bee07f,0x800ef880,
    0x54006c4b,0xffd1005f,0x701dd003,0xffb537ff,0xffd80019,0x9807ffff,
    0x3fee05ff,0x55eec005,0x57d300ec,0x744009b7,0x40007f66,0xf8802dda,
    0x40092eff,0xe89fd406,0x02fcc006,0x999affa8,0x7743fa99,0xbd805f90,
    0x4000db99,0x00e3ffe8,0x0bfa0000,0x6c1fb000,0x0fffffff,0xffffff98,
    0x0039804f,0x7ffffff4,0x0b848807,0xbf92ff80,0x200ff900,0x3ff3005c,
    0xaaaa8800,0xf9801aaa,0x001bd01f,0x3a000fa8,0x2e004e9e,0x3bfe2007,
    0xf9826c00,0x02ffc41f,0x2aaaaaa0,0x07ff002a,0x20017fcc,0x403ffff9,
    0x000efffc,0x1ffc3fea,0x0d88e800,0x7fe44540,0x8093004f,0x01ff35fc,
    0x9803fdc0,0x88ea01ff,0x809fd1ff,0x004ffffa,0xdfffbaa8,0xa8000004,
    0x7e40001f,0x2aaaaa62,0xaaa880aa,0x2201aaaa,0x802defeb,0x2aaaaaaa,
    0x1321d700,0x01711cc0,0x2e00ff70,0x000aa004,0x7fc40000,0xb0005d80,
    0xfffa8003,0x000e4000,0x3c80dfff,0xfb03ff10,0x0000001f,0x3e202ff8,
    0x1750001f,0x0006e200,0x0007315c,0x0c01c926,0x1c800ae2,0x05505c40,
    0x22003700,0x2a1c01ff,0x22002e62,0x450000cb,0x2e00deb8,0x81ceeeed,
    0x1bceeedc,0x77f764c0,0x0005babd,0x2bae0000,0x004fc9ba,0xfbfd0000,
    0x70000001,0x012e00ff,0xdddb7000,0xddb9039d,0x81ff109d,0x0060005d,
    0x8000d540,0x3febe001,0x7c40f204,0x02ffa81f,0x3bbbb220,0x05ff002c,
    0x0000ffc4,0x00000000,0x6aae8000,0x0d000000,0x00000000,0x0000ffc4,
    0x00000000,0x0bffa000,0x64007ba0,0x837e443f,0x3deeeec9,0x3bbbbb26,
    0x42eeeeee,0x026c733f,0x2a000750,0xeedb83ff,0xedc81cee,0x03fdc3de,
    0xdddb04b8,0xdddddddd,0x802ffe83,0x1ff101ee,0x3a8002ec,0x47500326,
    0x31d400c9,0x3f2f0019,0x2207903f,0x0ffc81ff,0x4419f700,0x2ff804fb,
    0x8007fe20,0x3deeeec9,0xdddddd93,0x005ddddd,0x440001d4,0xec9800dd,
    0x2203deee,0xeec985db,0xeeeeeeee,0x3bbb262e,0xeeeeeeee,0x501ff882,
    0xbdddd930,0x000ea007,0x32001d40,0x00b9007f,0x6fb807fa,0xa817fe60,
    0x99999aff,0x4cbea3fa,0x6e8012a3,0x3a600000,0x77d404ff,0x7007fb80,
    0x266bbe09,0x84ffa999,0x5c800ffc,0x2ec3fe20,0xb2ff8800,0x97fc40bf,
    0x3fe205fd,0x4f00bfb2,0x03c81ffd,0xff883ff1,0x407fb005,0x3fe00ef9,
    0x007fe202,0x5417fe60,0x99999aff,0x1ba003fa,0x00374000,0xd9817fe6,
    0xa80dfe9c,0x99999aff,0xaffa83fa,0x3fa99999,0x0d01ff88,0x2002ffcc,
    0xdd00006e,0x007fb800,0x0bf70097,0x7fc07fd0,0x807fe603,0x1cd7ee3a,
    0x17fcc00e,0x0165d400,0xfb80bff3,0x200ff700,0xfd80d04b,0x007fa80e,
    0x4ffc4097,0x76c0006e,0xed805d50,0xed805d50,0x4f005d50,0x1e40ffe8,
    0x3621ff88,0x6fa800df,0x3e04fd80,0x07fe202f,0x981ffc00,0x00ea01ff,
    0x00017fcc,0xf000bfe6,0x44fe207f,0xff983fed,0x3e60ea01,0x220ea01f,
    0xca999aff,0x001ffc07,0x80005ff3,0x2e002ff9,0x8097007f,0xfa801ff9,
    0x405ff00f,0x31c01ff8,0x000737ff,0x88017ff6,0x00efcacd,0x0f403ff7,
    0x2e00ff70,0x3ee03884,0x00ff501f,0xeff8812e,0x000002ff,0x00000000,
    0x46ff88f0,0x9bff103c,0x22003dfd,0xff9802ff,0x4405ff01,0xff0001ff,
    0x007fe205,0x17ff6007,0x0bffb000,0xfb02ff80,0x213eaae1,0x41c01ff8,
    0x41c01ff8,0xecccdff8,0x017fc07f,0x000bffb0,0x2005ffd8,0x097007fb,
    0x3e007fd8,0x405ff04f,0x6c001ff8,0x88003eff,0xd000ffaf,0x3a06fb85,
    0xb809706f,0x2097007f,0x409ff300,0x097007fa,0x7ff4ffc4,0x0aaaa002,
    0xaaa83555,0x2a0d5542,0x0d5542aa,0x97fe61e0,0x35ff103c,0x7dc00dfb,
    0x0bff000f,0xff880bfe,0x05ff0001,0x00007fe2,0x003febe2,0x07fd7c40,
    0xf105ff00,0x3e20074d,0xff88001f,0x1ff88001,0x17fc0688,0x0ffaf880,
    0xff5f1000,0x01fee001,0x1bfa025c,0xff05ff80,0x80ffc405,0x07bff602,
    0x13fa9700,0x3fe61ee0,0x989ff301,0x03fd400e,0x7f4003b8,0x803fd406,
    0x23fe204b,0x3002ffe8,0x5fea8ff9,0x3aa3fe4c,0x23fe4c5f,0x83c05fea,
    0x20793ffb,0x7ff11ff8,0x801ff600,0x05ff07fe,0x8000ffc4,0x3ff102ff,
    0xd4b800a0,0x52e0009f,0x3fe004fe,0x0b14f982,0x0a03ff10,0x0501ff88,
    0x0480ffc4,0x4b8017fc,0x2e0009fd,0x2e009fd4,0x8097007f,0x3fa005ff,
    0x4405ff07,0xb80d01ff,0x3e002fff,0xfb00ff70,0x5ffddddd,0x5d0ffdc0,
    0x200ff500,0x3ff2002c,0x803fd401,0x43fe204b,0x1002ffe8,0x10bf50ff,
    0x10bf50ff,0x80bf50ff,0x32bff207,0x543ff103,0x6fe801ff,0x203ff600,
    0x3fe202ff,0x05ff0001,0x03407fe2,0x01fee1f0,0x07fb87c0,0x3ea0bfe0,
    0xff100575,0xff881a03,0x7fc40d01,0x2ff80101,0x1fee1f00,0x7fb87c00,
    0x200ff700,0x13fe604b,0xf80ffd80,0x2bfe202f,0x807ca999,0xa804fffa,
    0xd00bfe25,0x6fe8000b,0x3fe600b7,0x3001d800,0xff5007ff,0xf8812e00,
    0x0bffa20f,0x2fd43fc0,0x05fa87f8,0x80bf50ff,0x1efff407,0x7e41ff88,
    0x02ffc00e,0xff03ff90,0x00ffc405,0x8817fc0c,0xca999aff,0x7c4b5007,
    0x12d4002f,0x3fe005ff,0x10d7f882,0x3335ff10,0x7fc40f95,0x07ca999a,
    0x02007fe2,0x96a00bfe,0x54002ff8,0x200bfe25,0x097007fb,0xb002ffc4,
    0x80bfe0ff,0xecccdff8,0xfcb9807f,0x3217403f,0x0037c06f,0x03f3fe60,
    0x4017fc40,0x5fe8800f,0x200ff500,0x03fe204b,0xf005ffd1,0x3e0bf50f,
    0xff05fa87,0x0780bf50,0x881fffc4,0x05fe81ff,0xf90037fc,0x405ff01f,
    0x24401ff8,0xff8817fc,0x07fecccd,0x06fc85d0,0x1bf21740,0xff817fc0,
    0xff88384c,0x07fecccd,0x33337fe2,0x3fe207fe,0x7fc24401,0x7e42e802,
    0x32174006,0x07fa806f,0x5ff80770,0x7c17fa00,0x07fe202f,0x5ce601a2,
    0x261a606f,0x03fa01ff,0x3ffc8008,0x202fe400,0x1ffb005d,0x401fea00,
    0x07fe603b,0xf00fffa2,0x3e0bf50f,0xff05fa87,0x7c40bf50,0x81ffcc00,
    0xff981ff9,0x801ffa04,0x07ff07fd,0x36017fc4,0xf102ff81,0x300d103f,
    0x003ff30d,0x07fe61a6,0x7ec0bfe0,0x7c405c2f,0x2206881f,0x206881ff,
    0x0ec01ff8,0x1a6017fc,0x4c007fe6,0x401ff986,0x059007fa,0x3e006fd8,
    0x405ff04f,0x10901ff8,0x407fa398,0xfcccccec,0x417f605f,0x1ff8801b,
    0x984fd800,0x5ff5006d,0x803fd400,0x0bfea02c,0xf02fffcc,0x3e0bf50f,
    0xff05fa87,0x7cc0bf50,0x503fa801,0x3fee07ff,0x400ff903,0x4ff985fe,
    0x8873fea0,0x5ff07ea9,0x2407fe20,0x66667640,0xd9005ffc,0xbff99999,
    0x2205ff00,0x03ecdfff,0x81203ff1,0x40901ff8,0xfb103ff9,0xd900bfe0,
    0xbff99999,0x3333b200,0x4c05ffcc,0x01d800ff,0x4c007fd4,0x05ff01ff,
    0x8080ffc4,0x0fc8e60c,0xaaaaaf88,0xf500ffca,0x1005989f,0x910003ff,
    0x19ffbdff,0x00bff100,0xd800ff98,0xffffc981,0x3fff661c,0x43fc1dff,
    0x50ff05fa,0x2a1fe0bf,0xfffc885f,0x261e400c,0x81cffffc,0x7cc4fffd,
    0x2ff8802f,0x33ffff22,0x3ffff262,0x4fffffff,0x3e205ff0,0xf880101f,
    0xfcaaaaaa,0x557c400f,0x0ffcaaaa,0xf7017fc0,0x7c407dff,0x7c40101f,
    0xd730101f,0xffffffff,0x0bfe09ff,0xaaaaaf88,0x4400ffca,0xcaaaaaaf,
    0x3fe200ff,0xd800f801,0x04fc804f,0xff880bfe,0x4c790801,0x025c13a3,
    0xffd80ffe,0x1001fedf,0x440003ff,0x20009fa9,0x20c00efd,0x0f802ff8,
    0x80009800,0xf05fa87f,0x3e0bf50f,0x8005fa87,0x44001009,0x06fc8000,
    0x03605fb8,0xf8003100,0x03ff102f,0xf8097010,0x2025c03f,0x17fc03ff,
    0x100111b0,0x881003ff,0x000801ff,0x0bfe00ea,0x1ffc04b8,0x7ff012e0,
    0x6c05fb80,0x01ff3005,0xff0077cc,0x00ffc405,0x3997e522,0x003e03f7,
    0xffc80df7,0x3e2002ff,0x7a80001f,0x00ffdc00,0x017ee0e2,0x3fe000b9,
    0x20ff4003,0x83fd05fd,0x83fd05fd,0xff8005fd,0x77e40003,0x0bfe2000,
    0xf100ff88,0x0ffa8003,0x2205ff00,0x424401ff,0x037dc00f,0x0df7003e,
    0x0b102ff8,0x401ff880,0x00ffc448,0x03e80122,0x03e02ff8,0x0f80df70,
    0x6c037dc0,0x006d984f,0x7cc0f74c,0x01ffc00d,0x1d803ff1,0xdbbbdfb5,
    0x2601ae03,0x019803ff,0x001ff980,0x3003fa80,0x059009ff,0x1b2613f6,
    0x007e8800,0x5ed4efe4,0x6fe41aff,0x1affbda9,0x5ed4efe4,0x22001aff,
    0xfb80006e,0x17f44002,0xf100774c,0x07f5000b,0x7c40ffe0,0x2e0ec01f,
    0x03ff9806,0x7ff300d7,0x2b81ffc0,0x00ffc400,0x03ff1076,0x3ba001d8,
    0xb81ffc00,0x03ff9806,0x7ff300d7,0xfbdfd900,0x3200019f,0x03eeccde,
    0x2604ff98,0x0fb103ff,0x44019731,0x1fff004f,0x3ea00000,0xfd00003f,
    0x37f4099f,0x4407f2a0,0xcffdeffc,0x13a20000,0x1dffd100,0xfd105df5,
    0x05df51df,0xf51dffd1,0x4f88005d,0x00fb8000,0xd99dd700,0x3ff2007d,
    0x0fa800cc,0x304ff980,0x1f6207ff,0x3fe009f1,0x8027c40f,0xff980fff,
    0x98001b04,0x0fb103ff,0x36207ff3,0x6ffd4007,0x427fcc2c,0xfff004f8,
    0xf004f881,0x54c001ff,0x51000009,0xff910013,0x75cc59ff,0xffffffff,
    0x80e604ff,0x501dffeb,0x009ffffb,0x7ffe4c00,0x980001cf,0x3ffee02a,
    0xffffffff,0xaa98807f,0x6dc00009,0x88260003,0x06209801,0x00188260,
    0x40003db8,0x80001cd9,0x88000998,0x1cc8802a,0x7fffe440,0xfffd732c,
    0x9fffffff,0x80efff5c,0x74ffffda,0x2a03bffd,0x914ffffd,0x3859ffff,
    0x3ffae600,0xffffffff,0x3fffae64,0x4fffffff,0x20aa8800,0x2cffffc8,
    0x203bffd7,0x74ffffda,0x2a03bffd,0x004ffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x777775c0,
    0x400001ee,0x00000001,0x00662000,0x07300000,0x1cc03500,0x54730000,
    0x00000002,0x1b880000,0x00000000,0x000cc400,0x00000266,0x4c4000b8,
    0x00001310,0x00006620,0x00000000,0x00000000,0x01986600,0x09980000,
    0x00013300,0x2a024000,0x775c0002,0x301eeeee,0xb5003dbd,0xdeeb8800,
    0x0bfee001,0x3fa207b2,0x66ed4003,0x06fea800,0x507ff910,0x50000dfd,
    0x13feedfd,0x4037ff26,0x36a1b848,0xfb711fff,0xae8803bf,0x013aa03c,
    0x7ff400f4,0x00ffa000,0xea81ff88,0x59097004,0xff1fe800,0x000fea01,
    0x190027ec,0xbfb30298,0xd0059003,0x75b001ff,0x037bddd9,0x1dfdba88,
    0x27d57e60,0x0037fc40,0x64003fea,0x3032005f,0x6c0b3005,0x0fec06bb,
    0x72f98000,0x0074401f,0x3ea1bf10,0x6ecf8800,0xbf103ff8,0x003b6200,
    0x200df710,0xb883fe88,0xb880006f,0xa8fff56f,0x207ffedf,0x2e0970eb,
    0x99ce89ff,0x87202ffb,0x009f3106,0xf9f50097,0x013e2009,0xf3105f70,
    0x260d3009,0xf8a7c005,0x001bf203,0xf30017e2,0x4ec41aa5,0x02d405e8,
    0x402fe7d4,0x7e442ffe,0xfe983a03,0x3f21f702,0x2fded800,0x0007f200,
    0x97cc00fb,0x2059006a,0x7c407248,0x64c7503f,0x17c4fb00,0xfc8005b0,
    0x96c01f42,0x005d43d8,0x4fa801f3,0x01be6000,0x26ff6666,0x00037c40,
    0x9a226f98,0x017fcc48,0x2601fbfd,0xfa80e9ff,0x1627501f,0x0e8809d0,
    0x1f98f440,0xd8005b80,0x74027403,0x44003a01,0x39101a66,0x001d5000,
    0x005fbf90,0x00e880b6,0x803d31e8,0x0ff200fe,0x417f21aa,0x2600b63c,
    0x7c00d70d,0x02e88002,0x00bf7f20,0x06cb0074,0xf883ff88,0x3a0bfb2f,
    0x05a82fc6,0x17c1fe80,0x002e0a60,0x6f880aa0,0x037cc000,0x3bffbba2,
    0x0037c41e,0x1cc6f980,0xa813f603,0x3fe203ff,0x813fa02e,0x27401dec,
    0x02e00b60,0x00190091,0x04e80488,0x00b2025c,0x000370d4,0x80006400,
    0xd3005ff8,0x0a803c80,0x00fe0244,0x81fb0ffa,0x2c480ff9,0x80398380,
    0x12200039,0x005ff880,0x3eea80b3,0xed81ffc0,0x1be05d50,0x001d10ff,
    0x03d45fd0,0x00002000,0x300003fa,0x3fc800df,0x0000df10,0x00d99be6,
    0x80002fa8,0x7dc04ff8,0x4e80000f,0x000012a0,0xd0000000,0x20074409,
    0x00810059,0x00000050,0xbfd70000,0x00001660,0x3fea00d0,0xff10bee1,
    0x00001020,0x00000000,0x00b20000,0x002fe800,0x86f8fd00,0xbfb0002d,
    0xb9800baa,0x501c42ab,0x13ee0597,0x266ee600,0x45dd406f,0x4df103fc,
    0xbb9802ca,0x800e6f99,0x0ddcc05c,0x9803ff10,0xbca881ff,0xe8827401,
    0x0ddcc000,0x885e5440,0x806ee605,0x400b604e,0x5951000e,0x26009001,
    0x2eea1bcb,0x542aaa80,0x0fdc01aa,0x95100074,0x40050037,0x7d40c4ff,
    0x550aaaa5,0x42aaa835,0x55541aaa,0x2a0d5542,0x0d5542aa,0x002b2a20,
    0x8555503a,0x1fd81aaa,0x5550aaaa,0x27c4fb03,0xfa80012e,0x3bb60ddf,
    0x7545ec5e,0x3621260f,0x220efcac,0x805731ff,0x6fec9bfc,0xfd53bd10,
    0x23be207f,0x900efffe,0x0dfd937f,0x2201b100,0x80efaaed,0x7c401ff8,
    0x6cd7642f,0x6c13a03f,0x2bb62002,0x5d900efa,0x103b9fb5,0x01df55db,
    0x8012a09d,0xb9dd802c,0x012203ff,0x2ff667b6,0x4c4fdacd,0x2ff547fc,
    0x07903e20,0x7ecd7640,0x3fa00003,0x261fd807,0x2ff547fc,0xfd51ff26,
    0x547fc98b,0x3fe4c5fe,0xdd817faa,0x2603ffb9,0x547fc985,0x20fd85fe,
    0x7f547fc9,0x1f92f885,0x10000744,0x3ff10dff,0x507c4698,0x6fb85d0b,
    0x3b32ffe6,0xd87c80ef,0x444f886f,0xbff103ff,0x90dff935,0x800dfb0f,
    0x8bd00ee9,0x1ff885fb,0xf31ffc40,0x9d03fc47,0x5e800b50,0x435c2fdc,
    0xb8bd04fd,0xe884e85f,0x90166000,0x3207fb0d,0xf517dc02,0x443fd89f,
    0x445fa87f,0x00d312a1,0x0ff11fcc,0x07fe4000,0xff107f30,0xff10bf50,
    0xff10bf50,0xff10bf50,0x1b20bf50,0x81640ff6,0x85fa87f8,0xa87f887c,
    0x0799305f,0x2a00303b,0x7c42ffdf,0x0640fc83,0xf987b8d5,0xe81df71f,
    0x541fcc6f,0xd80fc86f,0x81ff103f,0x0fe62ff9,0xfc801bea,0x17dc2fff,
    0x3fe21be2,0x2e3ff801,0x5c07fc1f,0x303a22dd,0xf10bee01,0xfc83f98d,
    0x2217dc0f,0x216edc6f,0x3a01502d,0xf307f500,0xb806a81f,0x707fe21f,
    0xf50ff0df,0x82bee98b,0xfb81501e,0x3ee07fc1,0xeeeeeeef,0x1ffeeeee,
    0x87f81720,0x50ff05fa,0x2a1fe0bf,0xf50ff05f,0xf307f50b,0x7f80d01f,
    0x06b85fa8,0x00bf50ff,0xebea8970,0x7fc7f603,0x7dc1aa0e,0xd8f7021e,
    0xffeeeeef,0xff309fb2,0x7cc0fec5,0xfc837c46,0x360df103,0x2607f64f,
    0xfea8006f,0x10007f47,0x5ff003ff,0x07fa60c4,0x3ba62c80,0x007f40ef,
    0x75dc1fc8,0x0007f43f,0x0fe416a0,0x03f902c8,0x03f88ffa,0xeeff9830,
    0x7f87feee,0x5c005fa8,0x1883f904,0x3ea0ff4c,0x3ff2003f,0x7c01d100,
    0xff05fa87,0x1fe0bf50,0x43fc17ea,0x01fc85fa,0x405987fd,0xa85fa87f,
    0xbf50ff06,0x7c468800,0x3fb05f13,0x03b27fdc,0x2077ffa2,0xe802f47c,
    0x7c7ff03f,0x4c6f980f,0x207f905f,0x4bf706f8,0x06f980ff,0x7c3ff100,
    0x0ffc4007,0xda80ffc0,0xb5001fec,0xff13e648,0x970ff400,0x00ff17f6,
    0xea80e880,0x3a0b301f,0x6c9fb01f,0x6ecc000f,0x43fc007f,0x1a6005fa,
    0xb500ff54,0xff883fd9,0x81ff6004,0x543fc01b,0xf50ff05f,0x3ea1fe0b,
    0xbf50ff05,0x3f603fd0,0x1fe01644,0x416617ea,0x005fa87f,0xe83f20f4,
    0x7f437cc6,0xfc804b9f,0xf07ec3ff,0x40ff600d,0x01ff14fe,0x06fb8df3,
    0x1be207f9,0x0ff8a7d4,0x20006f98,0x03ff13fc,0x200ffc40,0x1f4c0ff8,
    0x1d1003fb,0xff127408,0x54bfe003,0xff897f25,0x20b20001,0x3a01f9d9,
    0xc817fc40,0x400df54f,0x01ff0de8,0x2fd43fc0,0x3b303d00,0x6c7d303f,
    0x005ff81f,0x80481bfa,0xf05fa87f,0x3e0bf50f,0xff05fa87,0xff88bf50,
    0x0689f902,0x85fa87f8,0xf50ff048,0x6c25c00b,0x9f91fa0f,0x00ddff10,
    0xfd1fff4c,0x21007f43,0x43f904fb,0x46f981ff,0x07f907fa,0x1fdc1be2,
    0x0df303ff,0xff17d400,0x3fe20407,0x2a3fc401,0x400fec3f,0x20fc403c,
    0xfe8203ff,0x21fdc59b,0xa80203ff,0x1f98d885,0x13fa0b20,0x84fd9fe4,
    0x3e27cc3e,0x21fe001f,0x097005fa,0xa83f31b1,0x640fec3f,0xffa800ff,
    0x1fe00e03,0x43fc17ea,0x50ff05fa,0x2a1fe0bf,0x904fe85f,0x7c02cc7f,
    0x0305fa87,0x017ea1fe,0x20fe834c,0x41bfe0fd,0x0e105ffb,0x22ff9bf2,
    0x2a3705fd,0xfe8fb06f,0x7cc6f984,0x103fc81f,0xe87f20df,0x006f984f,
    0x5fe83ee0,0x83ff1070,0x3fa17cc1,0x2600fec0,0xfe83c806,0xeefd8705,
    0x3fa0fe40,0x07440705,0x201f98ec,0x906fb859,0x3e0bfa3f,0x3fa07ec7,
    0x50ff0903,0x01d100bf,0xfd07e63b,0xfd01fd81,0x00dfb009,0xbf50ff00,
    0x17ea1fe0,0x82fd43fc,0xb85fa87f,0x643f906f,0xfa87f802,0x543fc005,
    0x203d005f,0xfb1fa0fc,0xdfff503f,0x442da441,0x547ff14f,0x362cc4ff,
    0x7dc4f81f,0x7437cc1f,0x103fc85f,0xf713e0df,0x006f983f,0x7ff513a0,
    0x1ff883a8,0xf86a93ee,0x007fa21f,0x504b803d,0x4c3a87ff,0xa86e81ff,
    0x901d43ff,0xfdddf507,0x2207405d,0x2e5e80ff,0x7fc6c85f,0x2e0ffe41,
    0x7ec1fe81,0xfa82d805,0x3e2efeee,0x407fa21f,0x3ee02ffa,0x200a201f,
    0x82fec1fe,0x82fec1fe,0x82fec1fe,0x42fec1fe,0x45e80ff8,0xd83fd006,
    0xfd01885f,0xc805fd83,0x7c4bea03,0x4e7ffcc5,0xfffc8ed9,0x41db0ecd,
    0x89ff11f8,0x1fedfffd,0x03ae37c4,0x3ae33ffa,0x3fe61aff,0xaeffc8ae,
    0xb117fc40,0x233ffa0d,0x901affeb,0xe82e445d,0x506fceff,0x87fdc5ff,
    0xcaefc81d,0xc80ccfee,0x8111dc03,0x86fceffe,0x075c6ff8,0x6fceffe8,
    0x4cc41a60,0x2e00afa9,0x75c5fc82,0x5903fe20,0xdc88dfd8,0x05fceffe,
    0xf7b53bf9,0x416a035f,0x0afa9998,0x3bb2bbf2,0xfe980ccf,0x401efb82,
    0x6fe404fd,0x1affbda9,0x5ed4efe4,0x6fe41aff,0x1affbda9,0x5ed4efe4,
    0x2fe41aff,0x004983ae,0xf7b53bf9,0x417fc35f,0xfbda9dfc,0x00b301af,
    0x501d91b9,0xa87ffffb,0x3f62efff,0x7f43dbcf,0x2ffffc82,0x1bd7b910,
    0x37fff620,0x7cc0bef9,0x1dfcafff,0x9f9dfb30,0x6fffec40,0xf900bef9,
    0xc805ddff,0x5cc0cfff,0xfd1cffff,0x3f66039d,0x301df74f,0xeeefc80d,
    0xcfffc80f,0xcefb9d80,0x7fe401de,0x007a00cf,0x16600fcc,0x06f677dc,
    0x1dd67fd4,0x897fff4c,0x100cfffe,0xdf51dffd,0x4003a205,0x7fecc1f9,
    0x4401df74,0x4efddffc,0x8809fb00,0xefa8effe,0x8effe882,0xfe882efa,
    0x82efa8ef,0xfa8effe8,0xd9df702e,0x1002c81b,0xdf51dffd,0xe882ff85,
    0x2efa8eff,0x654002e0,0x400a8801,0x03310819,0x00330062,0x2131000c,
    0x26198018,0x00331000,0x001884c4,0x03100066,0x20013000,0x806e0080,
    0x02aaaaa8,0x4c298062,0x400c4001,0x02a20029,0x003300a0,0x33003531,
    0x09800620,0x00550062,0x08080544,0x004d4400,0x413000c0,0x22098018,
    0x06209801,0x00188260,0x40014033,0x0c406209,0x00188260,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30013100,0x01000013,0x0000040a,0x00662000,0x00157510,
    0x00000000,0x40c004cc,0x00000000,0x00000000,0x40200000,0x80000000,
    0x00000998,0x01000000,0x33005cc0,0x82886a01,0x99260099,0x4c00002b,
    0x00002a22,0x20cc8800,0x80662008,0xcc8800a8,0x114c0260,0xded98015,
    0x6ff8802d,0x4017fc00,0xfd8804fd,0x5049acef,0x700ba61b,0x6c405bdb,
    0x7cc02efe,0x5bf7000f,0x326005fb,0x000acddd,0x54013fea,0x434400ef,
    0x7764400e,0x44002cee,0x8aceeeca,0x3732601c,0x3fea000b,0x32a20004,
    0x49acfeee,0x9bbb9300,0x6fb80015,0xb8190930,0xc8802442,0x3a1deeee,
    0x01fff001,0xff303ff1,0xdf70ffa1,0xf91ffd50,0xf9301dff,0x7fc403bf,
    0x03209fb1,0x01ffd073,0x2467ff7c,0xfc813fa0,0x7ff7c406,0x3ff1048c,
    0x2f9813f6,0x9d901b62,0x0fea007f,0x7cc07e80,0x09ff511d,0x200677cc,
    0x305f30eb,0x201fdc7f,0x4f8803fa,0x2f6603ec,0x8016d440,0xd800fede,
    0x444a801f,0x1067dc07,0x3ea009f7,0xffb510ad,0x5f83e205,0x07fb7a00,
    0x027bea00,0xd9809fd5,0x016d440b,0x6e401dd0,0x44fa0790,0x44fb800e,
    0x003dcfb8,0x3ee0bffa,0x7ecdf102,0x4c41fc81,0x5fb12cff,0xffffffc8,
    0x7dc7fa02,0x1a65f303,0x5413f3ea,0x409ffd70,0x27d405f8,0x7ffdc2a0,
    0x7dc7fa04,0x3e617203,0x3ea1d101,0x4004c800,0x41fa01e8,0xfb9104f9,
    0x643f9805,0x7ec3740f,0x6402dc01,0x9817dc1f,0xb8059005,0x0be01724,
    0x816a1dc0,0x3be603fd,0x803be600,0xd8dd02fb,0x2e497007,0x803bee00,
    0x016605f8,0x0fc40164,0x81b7be20,0xd804edfa,0x03fea03f,0xd82c8848,
    0x36008003,0xfb83ff03,0xfea8ba63,0x8010200f,0x1e82fdfc,0x550103f3,
    0x01006a80,0x10055010,0x413e2008,0x3981705f,0x73000580,0x4b813e60,
    0x03f91da8,0x9f303fa2,0x37cc1fcc,0x3f600640,0x2cc2fd40,0x5af7732e,
    0x3707102c,0x3b001cc0,0x0df503b8,0x3e609fb0,0x883d800f,0x4400c44f,
    0xf3001a83,0x20d5001f,0xdceed8d9,0x2e01640b,0x05ff7001,0x5400ffe8,
    0x27fcc06f,0x910b0788,0x09100000,0x4bf303fe,0x02ff981c,0x1bfe2000,
    0x0009102e,0x00000640,0x44000000,0x01fc40ef,0x00000000,0x12607fa8,
    0x501dd102,0x21ff10bf,0x01ff01fb,0xb81fd000,0x0fa2583f,0x0001c9f2,
    0xb03e0000,0x005ff103,0x7ff03ff3,0x3ea0e600,0x00000003,0x058013fa,
    0xfc8afc4b,0x00000e43,0xff100000,0x7fd74405,0x02c87d81,0x0165d400,
    0xf981ff00,0x23fe80a5,0x55542aaa,0x2a000001,0x0d5542aa,0x0b2ea000,
    0x002b2a20,0xd002b2a2,0x200fc8bf,0x8800aca8,0xa8800aca,0xdff880ac,
    0x5dcc0500,0x04fb85fb,0x407fa5ff,0xbca882fe,0x3a07fc01,0x0bd1cc0f,
    0x2a039874,0xcba802cb,0xcfccca82,0x20ccfccc,0xff000ffb,0x001ff98b,
    0x2013ee06,0x5532aaaa,0x1554c555,0x08003fe6,0x897e2398,0xa881cc6f,
    0x5dcc01bc,0x3795102a,0xd007fe40,0xfd897fe3,0x300a9abf,0x9b105577,
    0x2a01df95,0xf981ff02,0x4c3f9005,0x2ff547fc,0x540ea498,0x547fc982,
    0x40aa05fd,0x0efcacd8,0x7ff73bb0,0x7fdceec0,0x237fe603,0x277600eb,
    0x37603ffb,0x3603ffb9,0xc83ffb9d,0x32002fff,0x43ffdaae,0x27fd03fd,
    0x87fd02fe,0x03fd9aec,0x077543fe,0x201fb8e4,0x566c42c0,0xcd880efc,
    0x2a60efca,0xebaaadca,0x01ff60aa,0x7fdc7fe8,0x27dc0000,0x88fff4c0,
    0x3221dffb,0x003fdc4f,0x8bf10e40,0xaec8587e,0x17b03fd9,0xaec81fd5,
    0xffb03fd9,0x4ffb1ec0,0x02ccffcb,0x03faa2f6,0x226fb85d,0x1ff04ffc,
    0xfb005f98,0xbf50ff10,0xfe8ffea8,0x09ff913f,0x17ea1fe2,0x3a09ff91,
    0x36437dc2,0x43641fec,0x3fea03fd,0x6c36405f,0xfd86c83f,0x3fd86c83,
    0x01efffd8,0x22ff436c,0x29fb03fe,0x47fd05fd,0x81fe23f9,0x05fd70ff,
    0xb0007f4b,0x86fb85d0,0xc837dc2e,0x6fe82d43,0xd83ff600,0x2aa0007f,
    0x202aaefc,0x83fd87f9,0x406fd84b,0x20999998,0x7f52fc45,0x223f98b0,
    0x7c46987f,0x7f88fe60,0x12e0dff0,0x07f81ff9,0x707c4698,0xc83ff30f,
    0x981ff04f,0x207f005f,0x445fa87f,0x1db9cff9,0x0ff027e4,0x13f20bf5,
    0x87fe61ee,0x0ff983fa,0x3fe60fea,0x0bffea00,0x7fcc1fd4,0x3e60fea0,
    0x260fea0f,0xfffb80ff,0x82fa80df,0x817fc7fa,0x03ff55fd,0x20fdc5ff,
    0x81ff00ff,0x0ff2c5fd,0x21ee1b80,0x21ee1ff9,0x41d81ff9,0x00bff03b,
    0xbff0ffe4,0x7f764000,0x7ec05eef,0x0742fd41,0x2e602ffc,0x1162efff,
    0x203ddbdf,0xff07ee1b,0x0640fc81,0x80ff83f7,0xc86a85ff,0x403fc1ff,
    0xfb0640fc,0x5ffddddd,0x1ff04fb8,0x6b805f98,0x17ea1fe0,0x3ee017fc,
    0x3ea1fe04,0xfb09f705,0x5ffddddd,0x3fe80fe4,0x1ff407f2,0x2ffe9e98,
    0x7fd01fc8,0x3fe80fe4,0x1ff407f2,0x0ffffd88,0x1ff80fec,0x27ec0bfe,
    0xfb739ffb,0x3a60c41f,0xf01ff01f,0x01fd2c3f,0xddfb0640,0x6c5ffddd,
    0xffeeeeef,0x80ec0f82,0x3f2006ff,0x001bfe0f,0xa8017ea0,0x307fcc4f,
    0x401ffe0b,0x222c1ffb,0x900ee8df,0x3fa60c41,0x810f7dc1,0x40ff4c18,
    0x4074c7fe,0x03fc0ffc,0xe810f7dc,0x427d4005,0x2fcc1ff8,0x7f803a20,
    0x1ff05fa8,0x3e04fa80,0xf505fa87,0x7400bd09,0x749fb01f,0x309fb01f,
    0x07ff623f,0x93f603fd,0x49fb01fe,0x09fb01fe,0x20effe98,0x47fb00ff,
    0x85fb02fe,0x6fc8bdda,0x07fb36a0,0x1fe407fc,0x8007f619,0xbd002f45,
    0x27aa6200,0x4199f999,0x3f6007fe,0x0003ff47,0x3e002fcc,0x5927e6c7,
    0x2003ffa0,0x220c87fa,0x1609f35f,0x41fecda8,0x401dffe8,0xd81fecda,
    0x203d10ff,0x807f86fd,0xf81dffe8,0x227d4006,0x263effea,0x2016c05f,
    0xf05fa87f,0x04fa801f,0x417ea1fe,0x006f84fa,0x3f205ff1,0x3205ff14,
    0xfe85e84f,0x640bfe24,0x205ff14f,0x05ff14fc,0x900453f2,0x07fe25ff,
    0x07fb27e4,0xff1007fa,0x7ec7d305,0xf701ff01,0x05f9954b,0x1be24426,
    0xd5006f80,0xdfddddfd,0x03fe41dd,0xffd8bfd0,0x27cc0001,0x6ccbf200,
    0xfc81a7f8,0x87fa802f,0xfb97e22a,0x1f4c2442,0x3ff203fb,0x363e983f,
    0xb1ffc81f,0x7c2ff407,0x3fff2007,0x81007f43,0x7cc004fa,0x3e012e05,
    0xff05fa87,0x204fa801,0x505fa87f,0x401fd09f,0x7e413fa0,0x7e413fa3,
    0x7c427cc3,0xfc827f47,0x7e413fa3,0x7e413fa3,0x4fe80733,0x17e40bfe,
    0x03fe09f7,0x7f50bf70,0x1ff01fd8,0x72c49f50,0x15c7307f,0x3a0803fa,
    0x8790200f,0x0bfe604a,0xf30bfe20,0xf880005f,0xdafcc002,0x40955fb1,
    0xfa804ff9,0x17e25887,0x2a15c1fb,0x300fec3f,0x1fd47ffd,0x3fe607f6,
    0x3fe204cb,0x4c007f82,0x17f63ffe,0x013ea0dc,0x16a09f30,0x2fd43fc0,
    0x7d400ff8,0xf503fe04,0x3613ea0b,0x7dc3705f,0x7dc3f906,0xfa83f906,
    0x7dc1fb03,0x7dc3f906,0x7dc3f906,0x1663f906,0x27f47f90,0x1be20fd8,
    0xbf1017e2,0x3fb03fa0,0x3ea03fe0,0x9db325c2,0x6c254599,0x7ec3705f,
    0x41d83705,0x037e403b,0xefd82fdc,0x54438800,0x7f40700f,0x0377ea59,
    0xa803ff90,0xfb39707f,0x54f7c49f,0x7ec0fe84,0xd37e41c1,0x901fd81f,
    0x5fc80ddf,0x90700ff0,0x227fd4df,0x004fa859,0x02d417cc,0x7ec1fe81,
    0xa801ff05,0x90bfa04f,0x213ea0bf,0x22cc4ffa,0x45e80ff8,0x05e80ff8,
    0xf11b60dd,0xf88bd01f,0x7c45e80f,0x3e65e80f,0xfa87fa01,0xfc85e80f,
    0xd1007e40,0xd10ffc0b,0x2a3fe03f,0x0ee0f90d,0x7d412a02,0x3ea2cc4f,
    0x43c2cc4f,0x17fc401d,0x2601ff10,0x224406ff,0x20adfecc,0x0bfee03a,
    0xfb100bff,0x03fd401f,0x412a0077,0x07fa21ff,0x3e4f885b,0x807fa21f,
    0x1be202fe,0x36010ff8,0x3f627c42,0xa81fedff,0xa865405f,0x0ae05a86,
    0xf7b53bf9,0x00ff835f,0xdf902fd4,0x35ff7b55,0xffb05fa8,0xf903fdbf,
    0xfc80eb8b,0xfb8075c5,0x7e40fcc2,0x7e4075c5,0x7e4075c5,0xff3075c5,
    0xfb09f705,0xbd00eb8b,0xdd1017c4,0x6577e401,0x7c0ccfee,0x09d1fb8f,
    0x4b880e5c,0x76fffec0,0xdfffd81f,0x7c3441fe,0x82fe8800,0x74400ee9,
    0x12a20adf,0x3fff3271,0x3e200fff,0x2002fc86,0xff701efc,0x7101cb80,
    0x6577e409,0xdb0ccfee,0xdf90fc41,0x199fdd95,0x982fee88,0x33f600ee,
    0x441db03a,0xffffc81f,0xc80df702,0x7d40ddff,0x7ffeeeee,0xa8effe88,
    0x01ff82ef,0xfd1037dc,0x05df51df,0x7fe40df7,0x3bee02ff,0x3ee00dec,
    0x5c00dece,0x201edbef,0x00decefb,0x037b3bee,0x0decefb8,0x6eff66cc,
    0x3fee03ff,0x36200dec,0xca883dcd,0xffd9801b,0x6cc1df74,0x4edd88ff,
    0xcaddc980,0xff9002cd,0x7fe405ff,0x444a82ff,0x6775c006,0x64003eec,
    0x0bdeeffe,0xffb14cd8,0x105b005d,0xfdb5000f,0x017dd979,0xb95bb930,
    0xffd98059,0x7ec1df74,0x6cc3dbcf,0x01df74ff,0x333faa5d,0xff9803fd,
    0x2f3ff605,0x700cc03d,0x4c019fff,0xffff981a,0x204fffff,0x36a06209,
    0xff704eff,0x104c019f,0x33ffee03,0x98006600,0x000cc001,0x330004c4,
    0x40019800,0xa8822019,0x0066001a,0x00cc0110,0x40008080,0x01510000,
    0x3000cc00,0x0620cc03,0x004cc400,0x0800cc00,0x80600188,0x54c40001,
    0x2a200009,0x80808000,0x80803310,0x2a620a00,0x84008000,0x00000198,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x40a60198,0x26028819,0x00281402,0x2e201331,
    0x0000141c,0x77776544,0xeeeeeeee,0x80099801,0x00006a29,0x402aa200,
    0x764c1502,0x3263deee,0x003deeee,0x002a2000,0x200d4151,0x0000000b,
    0xddddd100,0xddd70009,0x505ddddd,0x4054c0a0,0x8814c02a,0x01c4000b,
    0x0006ea00,0x55100000,0x17931cc0,0xceeeedb8,0x4eeedc81,0x6f77764c,
    0x05ddd932,0x43deedc8,0x2a200038,0x740388bc,0x05fda83f,0x036e6af6,
    0xb5013fae,0x20079537,0x3fb605fc,0x7502a9df,0x2dfb8090,0x333bff71,
    0xf9805f53,0x53fae01f,0x3b663ffc,0x3ee4deee,0x3f33200d,0xa9bd983f,
    0x0bff304c,0x3ee2ffcc,0xf900000d,0xf54fd80d,0x882fdc0f,0x4c000b84,
    0x3fff203f,0x03ea82ff,0xffffffff,0x7359903f,0x20ff203b,0x4feb80fe,
    0x8007fecc,0x4000ffd9,0xefd98dc8,0x075000ee,0x7fddec00,0x7edffaa2,
    0xffe81eff,0x201ee802,0xfd104ffa,0x41dd003f,0x8000ffd9,0x5ffcacfb,
    0x6cc13e20,0x3ffea05f,0x09f9103f,0x01dfffd0,0x52803ba0,0x6c01dffb,
    0x4fc80b65,0x0aa09ff0,0xc8805f70,0x70dff54f,0x7ffb0bff,0x0ff99720,
    0x01ffffd8,0x9ff00ffe,0x0003ffe8,0xfb809f50,0x74c0df33,0x2643ae03,
    0x881ff400,0x542aaaae,0xbea83ffe,0x06c9999a,0x40bffff1,0x80fe83fc,
    0x7cc44fc8,0xff31000f,0x21fb8001,0x20019ff9,0x47b0006e,0x3fea26fa,
    0x86ffc9bc,0x0b9007fc,0x2202ff88,0x26c00eff,0x0003fe62,0x05fc81d9,
    0x0bf5016e,0x5400bb88,0x0593004f,0x11007cc0,0x7cc00a98,0x3ff206ee,
    0x2209fd00,0xa801f402,0x2616624f,0x5cc982ff,0x01443f88,0x5ff00593,
    0x64c3ff80,0x0200005d,0x00002040,0x0007eff4,0x1640ffb2,0xd83fe840,
    0x95013a00,0xe83fc803,0x209f500f,0x7fc000ff,0x7c3f4000,0x3fe6001f,
    0x20fd4002,0x20ffc41a,0x3fdc2ffa,0x7c404b80,0x37ffc01f,0xff310f20,
    0xf9801333,0x3205fa82,0x002fd400,0x0009f500,0x0000dc00,0x407ff200,
    0x3f603ff8,0x00910004,0x20aa27d4,0x0ae01ff8,0x00000fea,0x7fc02ff8,
    0x00003703,0x00000000,0x2001ffd4,0xf883fbda,0x20ff2001,0x0007e200,
    0x7f41fe40,0x3e09f500,0x07fc000f,0xf90ff300,0x2ffec007,0x2007ee00,
    0x89fd07f8,0x097007fb,0xaf803ff0,0x90f204ff,0x09dddffd,0x5f980fd8,
    0x02fd4000,0xa802b2a2,0xbca8804f,0xa8800001,0x200001bc,0x3f601ffb,
    0x80000284,0x441664fa,0x5c1601ff,0x65d4003f,0x2017fc02,0x005883ff,
    0x006ee600,0x00037951,0x8e880000,0xfffc83fb,0x01fe400c,0x55551ae0,
    0xfc81aaa8,0xf500fe83,0x0003fa09,0xff8001ff,0x88007ec1,0x2000ffaf,
    0x7f8801fd,0x7fb8bf90,0xff009700,0x7ff97803,0x07fc0f20,0x3e60ff00,
    0x41d49305,0x3bb055fa,0x3ea07ff7,0x6cd76404,0x5555303f,0xec855555,
    0x5303fd9a,0x55555555,0xfb007fec,0x324c0d09,0xa7d40177,0x07fe2028,
    0x1fe40326,0xfcacd880,0x805ff00e,0x5064c3ff,0x220164c7,0x80efaaed,
    0x03fd9aec,0x26498154,0x72d800bb,0xffffd07f,0x01fe405f,0xff9313a0,
    0xfc85fda8,0xf500fe83,0xa983fa09,0x87fc0aaa,0x3f200bb9,0x97002fc3,
    0x2aa013fa,0x2202abfe,0xb8bf707f,0x0097007f,0x367803ff,0xf03c81ff,
    0x202ee61f,0x8bf307f8,0xffe8ffea,0x21eefd43,0xa83fd86c,0x88fe604f,
    0x999db07f,0x7cc7ff99,0x76c1fe23,0x3ffccccc,0xbfb01ffa,0xd50fb533,
    0xdfff91ff,0x88027d40,0x640181ff,0xb85d003f,0x805ff06f,0x3fee03ff,
    0x04fffe8d,0x98bf717a,0x221fe23f,0x7f545ffc,0x06fffc8f,0x207f72dc,
    0x02fffb98,0x7c4007f9,0xfa87f881,0xfe83fc85,0x3a09f500,0x06ffe20f,
    0x3ffee3fe,0x6d67e406,0x5c3e000b,0xffcc807f,0xff100ccd,0xff70fee0,
    0x3e012e00,0xfd13c01f,0xff03c81f,0x20dfff71,0x45f980ff,0xdb9cff98,
    0x2a17fd41,0x40ff983f,0x5c5d54fa,0x6c07fc1f,0x7dc5fd80,0x06c07fc1,
    0x1bfe2fec,0xfd99dfb0,0x59ff310f,0x7d40ffa2,0x03ff1004,0x7007f900,
    0xf03ff30f,0x03ff805f,0x5473bf22,0x42fb80ff,0x20fdc6f8,0x8bf900ff,
    0xd12cff98,0xb83a207f,0xffe9803f,0x2003fc80,0x2a1fe07b,0xe83fc85f,
    0x209f500f,0x803aa0fe,0x0ff62cff,0x800199d8,0x00bfe25a,0x7c400ff4,
    0xfb85f907,0xf0097007,0x7c47803f,0xff81e46f,0xf07fb12c,0x20bf307f,
    0x2fdc02ff,0x3fe80fe4,0x25fca7d4,0x40ff4c18,0x440ffb83,0x1c0ff4c1,
    0x3fa07fdc,0x2227ec06,0xf707fe07,0x4013ea09,0xc8001ff8,0xeefd803f,
    0xf82ffeee,0x01ffc02f,0x0bfa1bea,0x0c4003fa,0x7dc07fa6,0xfb83ff05,
    0x3fb83d04,0x905fd100,0x0274007f,0x90bf50ff,0x30ff989f,0x1fd04fa8,
    0x3ff0036e,0x09b04fa8,0x7e42e800,0x003fd006,0x21ba0ff1,0x097007fb,
    0x87803ff0,0x40f25ff9,0x427d41ff,0x2fdc1ffc,0x3ae00ff8,0xb01fe85f,
    0x714fa89f,0x3fb36a01,0x01ff9801,0x00ff66d4,0x7e40ffcc,0x2c27ec07,
    0x5f981ff0,0x22009f50,0xfc8001ff,0x8005e803,0x1ffc02ff,0x3f217e60,
    0x50007f82,0x2a03fd9b,0x981ff05f,0xfb84b85f,0x213ee003,0x3f1003fc,
    0x2fd43fc0,0x5e4d7fe4,0x7d40bafd,0x0b71fd04,0xbf503fe0,0x99ddff10,
    0x86980179,0xfe801ff9,0x43ff8801,0x07fa81fb,0x3ff00770,0x7ff70780,
    0x207fc0f2,0xfff885f9,0xf05fbcbe,0x3eb2e01f,0xc817fc45,0x2027d44f,
    0x007f63e9,0x3e980ffa,0x3fa007f6,0x401ff503,0x3e0084fd,0xa82fcc0f,
    0x3ff1004f,0x007f9000,0x5ff000df,0x4c02ff80,0x443fc85f,0x3a6001ff,
    0x7d407f63,0xf981ff05,0x4cccf4c5,0x8009cfc9,0x03fc84f8,0x87f80f70,
    0xffdc85fa,0x509ff53f,0x3f7fa09f,0x981ff003,0xffff705f,0x6405ffff,
    0xffccccce,0x801fe805,0xeebddff8,0x200ff501,0x01ff802c,0x95ff903c,
    0xf303fe07,0x3fffa60b,0x1ff05f99,0x742fd420,0xa87f904f,0xb0fea04f,
    0x05fd803f,0x03fb0fea,0x3e605fd8,0x013f602f,0x7cc0ff81,0x2009f505,
    0xc8001ff8,0x00fe803f,0xf00bfe02,0x85f9803f,0x03ff83fc,0x7ec3fa82,
    0x3e0bf501,0x322fcc0f,0xffffffff,0x05f005ff,0x136007f9,0x0bf50ff0,
    0x0110315b,0x57f413ea,0x0ff801ff,0x12c82fcc,0x20db7533,0xaaaaaaf8,
    0x7f400ffc,0x317f8801,0x00ff9801,0x0ff801d8,0x3ffa03c0,0x981ff03d,
    0xf30cc05f,0x5003fe0b,0x20df70bf,0x027d41fc,0x01fd81fd,0xfe803fea,
    0xf500fec0,0x06fc801f,0x439813fa,0x82fcc0ff,0xff1004fa,0x3fc83003,
    0x3705fd80,0xff805ff0,0x642fcc00,0x705fe83f,0x0fec0fe8,0x1ff05fa8,
    0x66545f98,0xcefecccc,0xc80fa803,0x01f8803f,0x17ea07fc,0x7d4000fa,
    0xff71fd04,0x4c0ff801,0x5805a85f,0x3ff80970,0x4400ff40,0x7fc4007f,
    0xf800f802,0x7c407807,0x81ff03ff,0x7cc005f9,0xa801ff05,0x80ff885f,
    0x204fa85e,0x07fa21ff,0xf040ffcc,0x80ff443f,0xd8081ff9,0x409fd03f,
    0x2607fc1e,0x009f505f,0x91007fe2,0xfa803fc8,0xff82cc4f,0x00ff1e43,
    0x07f90bf3,0x43a87ff5,0x07fa21ff,0x0ff82fd4,0xf7002fcc,0x40ba0107,
    0x07b803fc,0x2fe42fe8,0xfa8002fc,0x3f21fd04,0x2607fc06,0x202fc45f,
    0xb801f01b,0x00ff406f,0x64003fc4,0x442ec05f,0x880bf12d,0x1ffcc00f,
    0x2fcc0ff8,0x7c17e600,0x82fd400f,0x4075c5fc,0x3bf205fa,0x0ccfeeca,
    0x32381ff4,0xcfeecaef,0x381ff40c,0x260bfe88,0x86d886ff,0x837cc0ff,
    0xff1005fa,0x7ec1d805,0xbfffb003,0x9ff303fd,0x17c4ffcc,0x7e42fd40,
    0xf9dffd03,0xd95df90d,0xfa8199fd,0xf981ff05,0x90fee006,0x07d513bf,
    0x26c01fe4,0x6d577e40,0xdf31affb,0x417ea000,0x817fa0ff,0x237cc0ff,
    0x889bdfe8,0x00d705c9,0x7f407ff3,0x007f8801,0xdb309fb0,0x3e63fea0,
    0x400fcc00,0x81ff03fa,0x7cc006f9,0xb803ff06,0x33bee05f,0x0df700de,
    0xfba7fecc,0xb82fe40e,0x5d3ff663,0x82fe40ef,0xdf95103b,0xfffffffd,
    0xff889fff,0xfb83fd40,0x39ff5005,0x743f54c4,0x3ff2005f,0x7fe442ff,
    0x9ffb2cff,0x21bee007,0x3ff204fc,0xffd980cf,0xf701df74,0xa81ff10d,
    0x0fee007f,0x03bffff3,0x7c403fd8,0xeffe8801,0x3e62efa8,0x0df70005,
    0x3ff987fe,0x7fa83ff0,0xffffec88,0x009f102f,0x7fc03ffe,0x57fdc403,
    0x7fe44000,0x200cffde,0x2202cefe,0x400cfffc,0x41ff883c,0x322007fa,
    0x3ff6a1ff,0xffeb884e,0x7006601c,0x04039fff,0x777fd404,0x083ffeee,
    0xeeffa808,0x003ffeee,0xd5000131,0x3fae7dff,0x3ffee1df,0xfff9301c,
    0xffffffff,0x67ffed49,0x00066001,0x7dc00310,0xffc89cff,0x003100cf,
    0x7fdc0202,0xdffd50cf,0x077ffae7,0x0c40fee0,0x67ffe540,0x98005101,
    0x00540620,0x8e7ffdc0,0xf53effda,0x3f6a5bff,0xbffd73ef,0x806aa203,
    0x501dffeb,0x549ffffb,0x502cfffd,0x00055555,0x0026aa62,0x000000cc,
    0x7dffd502,0x0077ffae,0x006aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55000000,0x55441555,0xddddd71a,0x3bbb620b,0x5bdddb54,0x0f7bbb6a,
    0x005bdd93,0x50ef7764,0x3b2a5ddb,0x3002ceee,0x50285577,0x55555530,
    0x3a926015,0x55555544,0x41cc881a,0xdddddd12,0x7ddddddd,0x77765400,
    0x926003ce,0x54400bb9,0xaa9801bc,0x000aaaaa,0x777776d4,0x4001bccd,
    0xdb502cba,0x799bdddd,0xeeeca803,0x3bb262ce,0x55553dee,0x3001aaa8,
    0xddb30003,0xdddddddd,0x5dcc03dd,0xeeeed981,0x6644004d,0x2aa20220,
    0x221aaaaa,0xddb50542,0x3799bddd,0xeeeeda80,0xa801bcde,0xeeeeeeec,
    0x064c5eee,0x7bdddd93,0x05fff4c0,0xfe8833ea,0x43fc802f,0xfe887fe8,
    0xb83f200f,0x3ff21c41,0xfb81fa80,0x22f6003f,0x2b6e0fea,0xffc83ca9,
    0x541fffff,0x3ffe8ffe,0x3fffffe6,0xcffee84f,0x55bf11b9,0xb755ffb5,
    0xfb80909f,0x3faa003f,0x06fffc8f,0x0ff66bb2,0xffffff90,0xf700e03f,
    0xfb75359f,0xacd8805f,0xff700efc,0xffb75359,0x03ffb805,0xf9313fea,
    0x805fea8f,0x70001ff9,0x3333bfdf,0xdb105f53,0xf701df55,0x3be000bf,
    0xf3048cff,0x49ffffff,0x70df73fe,0xb75359ff,0xffb805ff,0x0cffda9b,
    0x99affb80,0x7ec6ea99,0xa85ff985,0x207fe24d,0x05ff5079,0x3fee0d90,
    0x201ffb80,0xe89fc44c,0x4c82ff80,0x2003ff30,0x3a07c469,0x33106fff,
    0x31033333,0x83b739ff,0x09999999,0x5ffea8c4,0x21bee162,0x2603c45a,
    0x262001ff,0x7fd12cff,0x3fc47f30,0x26666620,0x980f1019,0x7ff501ff,
    0x1bee1740,0xfa80ffcc,0xffa9883f,0x9999999a,0x3e209bff,0x8805fa87,
    0x970000ff,0x415409fb,0x4c2fdc5e,0x0a8002ff,0x4c09ffd7,0x20999999,
    0x30bf52fc,0x3fee03ff,0x107fe603,0xff300bff,0x5f71a201,0xf110ffe0,
    0x4b83fc89,0x3a017fa0,0x105ff101,0x40f407ff,0xf703fdfb,0x3e601f0b,
    0x81f9000f,0x001c980c,0x002ff800,0x30a60200,0x120df705,0x1ff880fb,
    0x5c1ff800,0x7c1fb84f,0x6c00000f,0x00ffc407,0x0f707ff3,0xff103ff3,
    0x21ffcc03,0xeeeffeea,0xeffeeeee,0x7d43fc3e,0xd0000005,0x14409fb1,
    0x0df10bee,0x10003ff1,0x40000550,0x1ff88040,0x4413fe60,0x0ffd81ff,
    0x9007fcc0,0xd02ff800,0x7c0ff889,0x803fee00,0x82fec069,0x40d305fd,
    0x3fe207fe,0xff9812a0,0xb81ceeff,0x200021ef,0x55542aaa,0x1001ff01,
    0x00003795,0x8841bee0,0x881aaffe,0xff8001ff,0x0c42fcc0,0x22007fa6,
    0xfd880aca,0xff881abf,0x20ffe401,0xfeeeeefd,0x01ff882f,0x7c40ffe4,
    0x817fc01f,0x005fa87f,0xfb4b8000,0x00fe8009,0x0007fe20,0x32ea0000,
    0x7fc40002,0x40ffe401,0xffa81ff8,0x007fcc02,0x205ff000,0x2a3fc84e,
    0x01ffc405,0x0ffa8079,0x3c80ffc8,0x23fc8000,0x43fe601e,0x7443ffc9,
    0x15401dff,0x36a3fe4c,0x801ff05f,0x03fd9aec,0x3ee002a8,0x67fe5c06,
    0x89ff882c,0x303fe005,0xecda80bf,0x5ceec01f,0x7fe5c3ff,0x1ff882cc,
    0x3a1ffc40,0x1ff88005,0x441ffc40,0x17fc01ff,0x05fa87f8,0x55555553,
    0x21d10055,0x3e0504fd,0x0ffc4007,0x77324c00,0x6566c401,0x405500ef,
    0x7c401ff8,0x81ff883f,0x7cc00ffc,0xf000280f,0x2613a05f,0x3200b67f,
    0x801f107f,0xfff82ff8,0x15400e83,0x02cdfe60,0xff703fe6,0x87fff905,
    0xf105ffc8,0x3e0bf50f,0x88fe600f,0xbff9107f,0x8037dc00,0x57fc407f,
    0x03fe002e,0x8fa60bf3,0x21b201fd,0x407f83fd,0xfe801ff8,0x440037c5,
    0x5fe801ff,0x7c01ff88,0xf50ff02f,0x3333b60b,0xb803ffcc,0x43413f63,
    0x22001ff8,0x3aa001ff,0x6fffc8ff,0x4df70ba0,0x2204ffc8,0x5fe801ff,
    0x7c41ff88,0x0ff9805f,0x5ff00058,0x5fec13a0,0x5ff10068,0x3f600970,
    0x237e6d45,0x9ff91069,0x0595fd00,0xff80ff98,0x07ffd305,0x43fc0bf9,
    0x01ff05fa,0x03fe0fdc,0x2aa05fc8,0xaaaffdaa,0x4407f80a,0x7c001fff,
    0x542fcc0f,0xa80fec3f,0x40ff983f,0xff53107f,0xfb033335,0x8200fe8f,
    0x99affa98,0x887fd819,0x17fc01ff,0x05fa87f8,0x00bfb01b,0x4efec1f1,
    0xff07da99,0x3fe20407,0x4c4076c1,0x7fd12cff,0x3ff30f70,0x3e204fc8,
    0x87fd801f,0x3f621ff8,0xaff9800d,0x0006ca99,0x413a05ff,0x2003cef9,
    0x001e86fd,0x4d641ff5,0x900f20ff,0xb555509f,0x35555fdf,0xfe80ff98,
    0x21bf20e7,0x21fe05fa,0x01ff05fa,0x07fa60c4,0x32e05fa8,0xcccffdcc,
    0x27fe620c,0x01ff8809,0x7cc0ff80,0x7ec0fe85,0x3a03f901,0xca83fc3f,
    0x4cccdffc,0x3f61ffc8,0x66543705,0x84cccdff,0x7fc41ffc,0xeeeeeeee,
    0x50ff02ff,0x3ee0e0bf,0x6c3c800f,0x7fecccef,0x20e0bfd0,0x0ffc1ff8,
    0x4fb83ff0,0xeeeeefd8,0x027dc2ff,0xf9003ff1,0xcdff883f,0x26001efe,
    0x6feeeeff,0x205ff000,0x03ff604e,0x261ff980,0xf1ffc006,0x00f8ffe1,
    0x666427dc,0xcccdffcc,0x407fcc2c,0xf10b66ff,0x7c0bf509,0xff05fa87,
    0x3b36a001,0x017ea01f,0x76406fb8,0xfc83eeff,0x0ff8001f,0x0ffc37cc,
    0x3fa03fd1,0x7f89fb01,0x400ffc40,0x3fea0ffc,0xff882cc4,0x40ffc801,
    0x7fc01ff8,0xfd83fd02,0x03ff3005,0xd5557f10,0x2a0d109f,0x441d43ff,
    0x2014c1ff,0x42fcc0ff,0x27d4005e,0x9003ff10,0xaff881ff,0x4c006fd9,
    0x883440ff,0x2a0bfe02,0x0bf302dd,0x1ec9fd00,0x2d57f200,0x20166df9,
    0x5fb004fa,0x981ff300,0x883b64ff,0x205fa81f,0xf05fa87f,0x23e9803f,
    0x17ea01fd,0xf006fb80,0x3ff7620f,0x07fc4001,0x3bf21fea,0x0ccfeeca,
    0x7e40bfe2,0x3e203fc4,0x87fd801f,0x1fedfffd,0xb003ff10,0x03ff10ff,
    0xbf902ff8,0x35ff7b53,0xb003fe80,0x9fd9999b,0xeffe8120,0x3ff106fc,
    0x981ff000,0x4006f85f,0x3fe204fa,0x887fd801,0x07ff11ff,0x2407fcc0,
    0xff837fc4,0x00ba0002,0x3e23fee0,0x47fcc000,0x327fe62d,0x984fa803,
    0x9bfd9999,0x7fcc0999,0xfb1bfea0,0x2a07b79f,0x2a1fe05f,0x77fed45f,
    0xfd87f504,0x8017ea01,0x0ff006fb,0x007fe2b2,0x73effea8,0x6cc3bffd,
    0x01df74ff,0x0ff209fd,0x1ff880ff,0xf905ff80,0x7c405fff,0x85ff801f,
    0x7fc01ff8,0x1dffd102,0xfd805df5,0x360d3005,0xfc80104f,0xff100cff,
    0x81ff0003,0x00fe85f9,0x4409f502,0x6ff801ff,0x3ea1ff88,0x1ff3001f,
    0x3fff1010,0x22205ff0,0x4000d100,0x0004bbff,0x9fd0f7fd,0x09f5001f,
    0xbfd99999,0xf9859999,0x84efeddf,0xfa805910,0xf503fe05,0xfd00620b,
    0x2a01fd81,0x1bee005f,0xf1083fc0,0x4403003f,0x09502000,0x1fc837dc,
    0x3fe203fc,0x00ffdc01,0xff100f26,0x81ffb803,0x7fc01ff8,0x09704c02,
    0x2001ff50,0x009fb02d,0x10036201,0xf83003ff,0x6c2fcc0f,0xfa83705f,
    0x007fe204,0xff103ff7,0x800efc83,0x22000ff9,0x02ff81c9,0x00f205ff,
    0x01effc80,0x709ff900,0x3ea00bff,0x005fb004,0x01335ff3,0x5403ff10,
    0x90bfa05f,0x03bee0bf,0x3fd10ffc,0x7002fd40,0x43fe00df,0x401ff880,
    0x017f6039,0xff1026c0,0x3fd0bd01,0x807fe202,0x7d004ff8,0x201ff880,
    0xff104ff8,0x002ff803,0x3fe6026c,0x20698081,0x81c404fd,0x3e200ef9,
    0x3e24401f,0x542fcc0f,0x542cc4ff,0x07fe204f,0xf105ff88,0x00bfd03f,
    0xd0001ff3,0x3e60bfe0,0x0001d103,0x00037fc4,0xff105ff3,0x013ea005,
    0x7cc017ec,0x3fa8001f,0xfc817ea0,0xaffbdaae,0xf903fa81,0x99fdd95d,
    0x400bf501,0x9f9007fc,0x03ff3077,0x07ec00d8,0x9007ec00,0xd80eb8bf,
    0xff983acf,0x01dfd101,0xf9803ba0,0x1dfd101f,0xf007fe60,0x0fd8005f,
    0x41c0ffa0,0x017f602e,0x017dc03d,0x1d805ff1,0x1be607fc,0x7f6fffec,
    0x2605fa81,0xdfb101ff,0x207fe601,0x7cc04ff9,0x815c001f,0x225c83ff,
    0x0001fdfe,0x40002fd8,0x003fa07e,0xfe802fd4,0x03ffa803,0x2e01fa80,
    0x3ffa206f,0x502efa8e,0x3ff6601f,0x2e01df74,0x3ff6006f,0x04fe9800,
    0x4c439ff5,0x05d806ea,0x59bff300,0x1bd9df70,0x5417fe60,0x7fdcc2ff,
    0x6ffd4003,0x217fd42c,0x5403ffb9,0x3fe602ff,0x6ffcc003,0x5c17f22c,
    0xfd007e43,0x901fa60d,0x67fd401f,0x11faa621,0x07fa81ff,0x40bffff2,
    0x3fea06fb,0x01ffdcc2,0x7dc0ffea,0x0bfea03f,0xf9806440,0x7fc4484f,
    0xf300003f,0x40970000,0x1bee005b,0x39fffb70,0x9ffffb30,0x03991003,
    0x0067ffdc,0xc880c413,0x0080801c,0x8033ffee,0x0befffda,0xffc98080,
    0xffffffff,0x02f6a04f,0x80155000,0x26020019,0xfffffffc,0x10000bcd,
    0x7fe4c155,0xbcdfffff,0x3fff2600,0x3fae21cf,0x54001cff,0x3bbfea0a,
    0xb13ffeee,0xfeb87dff,0xffffffff,0x039b304f,0x3fffff26,0x24ffffff,
    0xd73effea,0x0cc03bff,0x419fff70,0xefffffc9,0x2600bcde,0x81cffffc,
    0x3264fffd,0x001cffff,0x9ffff910,0x00028805,0x88000180,0x5c006200,
    0x0000cfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77654000,0x3b262cee,0xd953deee,0x6dc59ddd,0xee80ceee,0xeeeeeeee,
    0xddb33eee,0xb5009bdd,0xd8003ddd,0xdd934dee,0xdddddddd,0x7776dc5d,
    0xeedc81ce,0xddddb53d,0x201799dd,0xcdeeeeda,0x3bb600ab,0xeeeeeeee,
    0xddddb31e,0x7764c1bd,0x555552de,0x75555555,0x2aaaaa61,0x000000aa,
    0x00000000,0x44000000,0xaaa80aca,0x5555532a,0x5551554c,0x55544355,
    0xaa855550,0x4ddd401a,0x00072e20,0x501500c0,0x202abb98,0x5cc01bb9,
    0x02eea1bc,0x100b2ea0,0x41403795,0x20800009,0xff700000,0x827fd407,
    0xdf703ffb,0x2ab7e203,0xcaaaffca,0x02ffdc5f,0x002ffe40,0xf501dff5,
    0x5333335f,0x4ffe987f,0x5c077d40,0xeb989bff,0x2fff204f,0xf01efdba,
    0x5333335d,0xfff509ff,0x0a1fe40b,0x3fee1300,0x402fffff,0x0950002c,
    0x20aca880,0x795100ec,0x2aaa9621,0x0f5cd554,0x1ffdceec,0x5c47ffa6,
    0x3f221dff,0x02fff664,0x3f2619f3,0x882ff547,0x98eea8be,0x001dfaae,
    0xb304eb88,0x545ec5b0,0x576c40fe,0x9ed80efa,0xdacdbfd9,0x959b104f,
    0x35d901df,0x10b607fb,0x6dc3aa0d,0x2a1d32ce,0x260000cf,0x3fe201ff,
    0x203ff302,0x216200de,0x4c5987fb,0xf98002ff,0xffd000ff,0x807fe60b,
    0x05ff983a,0xff9807dc,0x260dfd01,0x17fe40ff,0x03bf6034,0x7d037fcc,
    0x10980050,0x13333333,0x50002c80,0x5ceec009,0x905fb3ff,0x3b9fb55d,
    0x36a3fecc,0x3643fcdf,0x1fe61fec,0x412e0ff6,0x886882ff,0xd05fa87f,
    0x20fff989,0x326006fa,0x83f100cf,0x1f11a66c,0x22fdc5e8,0x13fea2fb,
    0xb85d07fb,0xf11fcc6f,0xb907e20f,0x26b3bae0,0x6441eddb,0xf88001df,
    0x817fc01f,0x05d80ff8,0x07fb8398,0x001ff889,0x804fee98,0xf104fee9,
    0xf703803f,0x100f403f,0x3fea03ff,0xf80ff881,0xf701c45f,0x3ffa803f,
    0x800504c8,0x59000009,0x4012a000,0x5bcfd86c,0x84fd86b8,0xadfa87f9,
    0x260fea0e,0x20fec0ff,0x700e85fa,0x3e05909f,0xfb85fa87,0x7c46fd82,
    0x5f6d401f,0xf517a200,0x83207e43,0x237c42fb,0x07fe21fb,0x987b8df7,
    0xf07ee1ff,0x883b201f,0x3603f03f,0x01775404,0xf803ff10,0x81ff102f,
    0x7dc0005d,0x1ff88107,0xffae9800,0x27edec00,0x0001ff88,0x025c1bfa,
    0xff807fe2,0xd80ff884,0xff30087f,0x83ff2009,0x3000a06b,0xc800aa01,
    0x00950002,0x3ff307f5,0xff907f30,0xbf50ff01,0x3a03f903,0x2627d43f,
    0x881660ff,0xff0340ff,0x3fd0bf50,0xddddff70,0x37ae05ff,0x4c1fb002,
    0x10f7dc5f,0x06000fe8,0xdddddff3,0xeeefd8ff,0x0622ffee,0x3e203fd3,
    0x0ea17e46,0x3f6600b0,0x0ffc400b,0x7c40bfe0,0x0001760f,0x7c401fee,
    0xd698001f,0x6c7c409f,0x03ff104f,0x13fe600a,0xff8801d3,0x107ff101,
    0x0ffb01ff,0x10037f40,0x803a6bfd,0x9104c002,0x16400bff,0xc804a800,
    0x905fd01f,0x3febb83f,0x05fa87f8,0x13f603fd,0x49f9b1fe,0x51fec02c,
    0x7d43fc09,0xfa80ff85,0x39f91004,0xf127e400,0xdffe883f,0x30007f81,
    0x7400ffbb,0xd9b50005,0x12fe403f,0x2006c3ff,0x3f22002b,0x03ff101c,
    0xff102ff8,0x40001761,0xff1007fb,0x2ed30003,0x369900ff,0x03ff104f,
    0x0ffdc01a,0x3ff1005d,0x2203ff20,0x37fc40ff,0x001ffc80,0x00f5ffcc,
    0x9013000a,0x016400bf,0xfe804a80,0xfd09fb01,0x85fda5c3,0x885fa87f,
    0x09f902ff,0x3e3665f9,0x9be601a7,0x2a1fe00d,0x40ffc45f,0xefa806f9,
    0x22fe8000,0x3ff207fb,0x007fe23f,0x1ff0de88,0x3001be00,0x500fec7d,
    0xd27ec1ff,0x1000b300,0x3ff109f9,0xf102ff80,0x0000dd3f,0xf8803fdc,
    0x2698001f,0xb0f883ff,0x2bfe209f,0x007ca999,0x802ddbfa,0x32a62ff8,
    0x1ff101ef,0x9802ffc8,0xf90003ff,0x8005007f,0xd85fa809,0xffffffff,
    0xff74ffff,0xffffffff,0x0bfe2bff,0x97fc27e4,0x3e17f25a,0xfd05fa87,
    0x260ff209,0x2bf63b5f,0x15fd004a,0xfa87f80b,0xf982ff85,0xbeda8207,
    0xb1be6000,0x7ff4c07f,0x2080ffe3,0x00ffc4f9,0xa8200fe8,0xd00fec3f,
    0x1a37cc5f,0xb3000ea0,0xfff1017d,0xffffffff,0x3bfe205f,0x700002ff,
    0x3fe200ff,0x32698001,0x3f64b86f,0x99bff104,0x4c00ffd9,0x1000fcff,
    0xfffdddff,0x67fc403f,0x802ffeba,0x40005fe8,0x002806ff,0x02fd404c,
    0x2a000590,0x904fe804,0xb37fd07f,0x87f83fb8,0x0df705fa,0x4ff407f2,
    0x00377ea5,0x20166fd4,0xe85fa87f,0x83ff984f,0x0cfc981b,0x7e85f500,
    0xfd37e41c,0x81fb0e0b,0xfd8903fe,0x07f43705,0x1fd407f6,0x805703f6,
    0x5bd5000d,0x401ff880,0x3ff102ff,0x00005ffd,0x3e200ff7,0x2698001f,
    0xb0fc2ff8,0x07fe209f,0xff9001a2,0x0ffc4007,0x2037fee6,0x9aaaaff8,
    0x01ffb000,0x1fff5400,0x013000a0,0x16400bf5,0xb804a800,0xb03fd06f,
    0x1fc81ddf,0x05fa87f8,0x0bd01ff1,0x3fe17fdc,0x037fc005,0x17f60ff4,
    0x3fee1fee,0x7101a61f,0x8d9003bf,0xf10b63f8,0x2a1ffd49,0x3f20ffc3,
    0x3ea0dc1f,0x3fe2cc4f,0x7407fa21,0x7440fcc5,0xc880b500,0xff1001cf,
    0x102ff803,0x5ffd11ff,0x07fb8000,0x0003ff10,0x2e6fc8d3,0xf8827ec5,
    0x8800901f,0x3e2001ff,0x09ff301f,0x20001ff1,0x20002ffa,0x01ffc8e8,
    0x5013000a,0x016400bf,0xf8804a80,0xf305f80f,0x3a0dd03f,0x902fec1f,
    0x200eb8bf,0x02fc86f8,0x6401fe40,0xffbda9df,0x8867f41a,0xfeeffede,
    0x0bbaa002,0xb0f985b0,0x3a0fc41d,0xd86fceff,0xfedc88df,0xfb05fcef,
    0xc83fdbff,0xcfeecaef,0x0b61aa0c,0xc8857fd4,0xbfd980ef,0x0ffc4000,
    0x7c40bfe0,0x05ffd10f,0x803fdc00,0x98001ff8,0x1e97fc46,0xff8827ec,
    0xf8800101,0x3fe2001f,0x103ff601,0xf10001ff,0x2e8000bf,0x0140dfd1,
    0x17ea0260,0x50002c80,0x717f2009,0x1bfe201d,0x3bf601d7,0x1affbdaa,
    0x1bd9df70,0x0f105b00,0x1001f100,0xdf51dffd,0x3f7ff205,0x05dffd13,
    0x40ff6600,0xffb3a858,0x3f207b79,0xfe980cff,0xfffd12ff,0x7ffe4019,
    0x4ffd982f,0x40d81df7,0xb31d3049,0x43ae3bfd,0x20002ee9,0x7fc01ff8,
    0x441ff102,0x70002ffe,0x3fe200ff,0x434c1801,0xfd86adfd,0x003ff104,
    0x03ff1001,0x700ffc40,0x0ff885ff,0x00efd800,0xfa89b00c,0x9800503f,
    0x2005fa80,0x0950002c,0x6f677dc0,0x3bee7600,0x3e201dec,0x2efa8eff,
    0x0c001980,0x00600030,0x800c4130,0x00031019,0x08000a20,0x03100331,
    0x00c40660,0x20200660,0x01100000,0x000198a0,0x7c01ff88,0x81ff102f,
    0x8002ffe8,0xff1007fb,0x34c48803,0x6c177fcc,0x03ff104f,0xff880488,
    0x07fe2001,0x7c40ffd8,0x7fdc000f,0x5b81c401,0x0503ff90,0x5fa80980,
    0xeeeeeec8,0x03eeeeee,0x0cc00254,0x006614c0,0x000c4130,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,
    0x817fc403,0xfe881ff9,0x3fdc003f,0x402ff880,0xfe83cc1d,0x2209fd06,
    0x00ec01ff,0x3000ffcc,0x3fe603ff,0x001ff985,0x32013fe6,0xf100fa82,
    0x980050df,0x9886fb80,0x99999999,0x04400999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017fd400,0x3ea07ff3,0xbfff302f,0x007fe400,0x310e7fd4,0x01f50fd5,
    0x1bfe07f5,0xd881ffcc,0x07ff5007,0x5417fd40,0xffa80dfe,0x01bfa003,
    0x4fb83f95,0x2e2ffe40,0xaaaaaaaa,0x7dc0baaa,0x00000cff,0x99260000,
    0xaaa980bb,0x2055531a,0x5530ea49,0x85555555,0x817730b9,0x15400bb9,
    0x54aaaaa6,0x08802aaa,0x100c00c0,0x00000005,0x00000000,0x02033000,
    0xdddd7022,0xdddddddd,0x3ffffee9,0x5fffffff,0xc9880098,0x221cffff,
    0x31cffffc,0x439ffff9,0xdfffffd9,0xdfffb501,0xfff93017,0xffffffff,
    0x5f7fe4c9,0xfd710740,0x3ae65bff,0xffffffff,0x7e4c04ff,0x2601cfff,
    0xfffffffc,0xfc983def,0x5c01cfff,0xffffffff,0x3ae7ffff,0xfc884fff,
    0x0004ffff,0x00000000,0x8ffea800,0xb886fffc,0x5ff10eff,0xfe8ffea8,
    0x3333b63f,0xfb53ffcc,0x3ffff71f,0x103bfff2,0xfc889ff9,0x37ff51df,
    0x5c80df00,0x1fc81ae0,0x005bfb30,0xdfd98079,0x2fb97e21,0x102fbae2,
    0xb883d939,0x3fea0bdb,0x17f44582,0x11111111,0x22b31111,0x88888888,
    0x3aa08888,0x2880befe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xfd12cff9,0x4c3ff207,
    0xcff9881f,0x20361db9,0x3fe225fd,0x39bf912c,0x7e413f62,0x7543ff04,
    0x20132000,0x4c0eb85d,0xd8261f70,0x2200fd99,0x13b100fe,0xfd3fd4dd,
    0x35c45f49,0x1745f96e,0x237fdcbf,0x027c44fc,0x0000b100,0x6fed4436,
    0x0000d98a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x83ff0000,0x57f604fb,0x017fc01e,0xf01ff707,
    0x40ff983f,0x09f705fa,0x006dc3fa,0x5cbb0000,0x4d7fc40e,0x9822bf97,
    0x12eb602f,0x4ff31e40,0x3b0b33fd,0x226f9844,0x8983f60f,0x07987d86,
    0x00016200,0x7f5c40a6,0x0000001d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbf303fe0,0x01effc40,
    0xf30007fc,0x203fe03f,0x506f987f,0x2e3fa09f,0xb0000005,0x3ae01d7b,
    0x01dfcdbf,0x3d2d40f5,0x25f86980,0xb50592fb,0x2e6d9c98,0x750fea1f,
    0x006a09d0,0xeeebac40,0xeeeeeeee,0x0000004e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ff80000,
    0x3ea02fcc,0x00ff800f,0xfe80ffa0,0x6f987f80,0x3fa09f50,0x7fec03fd,
    0xffffffff,0x01fd04ff,0x8019fd10,0x6983a02d,0x9d17f6a0,0xc84b8fd4,
    0x2a6d9ae3,0xc883e63f,0x0002f6a0,0x88888400,0x88888888,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ff80000,0x3e202fcc,0x00ff804f,0xfe80bfb0,0x6f987f80,
    0x3fa09f50,0x00001ffa,0x205deb80,0xbeddbfda,0x13204b80,0x45f500f6,
    0x0e89e22d,0x3a5f83e6,0x54b73746,0x00000003,0x44440000,0x88888888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0bf303fe,0x402ffad8,0xffa800ff,0x7c07f400,
    0xf506f987,0x3ee3fa09,0x2000000f,0xf10bb0eb,0x17f6d35f,0x8834c077,
    0x3707c00e,0x76ef5468,0x7edf7ec2,0x02ef7664,0x88510cc0,0x99992541,
    0x33322399,0xcccccccc,0xfffff13c,0xbfffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x02fcc0ff,0x803fea77,0x7fcc00ff,0x407f4081,0x506f987f,0x643fa09f,
    0x0154006f,0x2176075c,0x86e1f71a,0x6c5baadc,0x54312e02,0x80660004,
    0x00203108,0x3f63ff10,0x7fc4bfe3,0x5ffffff2,0x2eeeeee2,0x02bbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7cc0ff80,0x5fc8b306,0xfd003fe0,0x01fd0e07,
    0x20df30ff,0x41ff05fa,0x1fe004fe,0x17601d70,0xeeb81fc8,0x01662eee,
    0x15f74c36,0x00000000,0x321fd000,0xed87fe2f,0x13333330,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x43fd40ff,0x27fc41f9,0x3f201ff8,0x1ff87705,
    0x3e607fc4,0xf10df707,0x01ffcc3f,0x005401a8,0x0004980a,0x00000000,
    0x00000000,0x00062040,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x3ae7dffd,
    0xbff51dff,0x50dfffc8,0xf509dffb,0xffdddddf,0x4fbff667,0xd73dffdb,
    0x7fdc3bff,0xdffd70cf,0x0b7ffee9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_28_latin_ext_x[560]={ 0,2,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,2,0,1,0,1,1,0,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,1,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_28_latin_ext_y[560]={ 22,4,4,4,3,4,4,4,4,4,4,6,19,15,
19,4,4,4,4,4,4,5,4,5,4,4,10,10,7,11,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,4,4,4,26,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,6,10,10,10,10,10,10,4,4,4,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,5,4,7,5,
4,4,5,4,4,10,11,15,4,2,4,6,4,4,4,10,5,12,21,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
1,6,0,5,4,10,-1,4,-1,4,0,5,-1,4,-1,4,5,4,1,6,0,5,0,5,5,10,-1,4,-1,4,
0,5,0,5,4,3,-1,-1,5,4,0,5,1,6,0,5,5,4,0,10,5,4,-1,4,5,4,10,-1,-1,5,
4,4,4,5,4,5,4,-1,4,5,10,-1,4,4,4,10,1,6,0,5,-1,4,5,10,-1,4,5,10,-1,4,
-1,4,-1,4,4,10,-1,4,5,6,-1,4,5,6,0,5,1,6,0,5,-1,4,-1,4,5,10,-1,4,-1,4,
0,-1,4,0,5,-1,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,2,9,6,6,6,6,6,6,6,6,6,6,6,6,6,2,9,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,3,-1,1,-1,1,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-1,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_28_latin_ext_w[560]={ 0,4,8,13,11,21,19,3,7,8,10,14,5,7,
4,8,12,8,12,10,12,10,11,12,11,11,3,5,14,14,14,10,22,18,16,16,18,15,14,18,18,8,10,19,
15,22,19,18,14,18,18,12,15,18,18,24,18,18,15,6,8,7,12,14,5,12,13,11,13,11,11,13,13,7,
7,13,7,20,13,12,13,13,9,8,8,13,13,19,13,13,11,8,3,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,13,13,
3,10,8,19,8,12,14,7,19,14,8,14,8,7,5,13,13,4,5,5,8,12,18,18,19,10,18,18,18,18,
18,18,23,16,15,15,15,15,8,8,8,8,18,19,18,18,18,18,18,11,18,18,18,18,18,18,14,12,12,12,
12,12,12,12,17,11,11,11,11,11,7,7,8,8,12,13,12,12,12,12,12,14,13,13,13,13,13,13,13,13,
18,12,18,12,19,13,16,11,16,11,16,11,16,11,18,17,18,13,15,11,15,11,15,11,15,12,15,11,18,13,
18,13,18,13,18,13,18,13,18,13,9,9,9,9,8,9,9,9,8,7,18,12,10,9,19,13,13,15,7,15,
7,15,11,15,9,15,7,19,13,19,13,19,13,16,17,11,18,12,18,12,18,12,22,18,18,9,18,9,18,9,
12,8,12,8,12,8,12,8,15,8,15,11,15,8,18,13,19,13,19,13,18,13,18,13,18,14,24,19,18,13,
18,15,11,15,11,15,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,21,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,12,8,8,18,
12,18,13,18,13,18,13,18,13,18,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,12,23,17,18,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_28_latin_ext_h[560]={ 0,19,9,19,21,19,19,9,24,24,11,15,8,3,
4,19,19,18,18,19,18,18,19,18,19,19,13,17,13,6,13,19,24,18,17,19,17,17,17,19,17,17,18,17,
17,17,18,19,17,23,17,19,17,18,18,18,17,17,17,24,19,24,10,2,6,13,19,13,19,13,18,18,18,18,
24,18,18,12,12,13,18,18,12,13,17,13,13,13,12,18,12,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,22,19,13,17,
24,23,4,19,9,13,6,3,19,2,9,15,10,10,6,18,23,3,6,10,9,13,19,19,19,19,23,23,23,22,
22,22,17,23,23,23,23,22,23,23,23,22,17,23,24,24,24,23,23,11,19,24,24,24,23,23,17,19,19,19,
19,18,18,19,13,17,19,19,19,18,18,18,18,17,19,17,19,19,19,18,18,11,14,19,19,19,18,24,24,23,
21,17,22,18,23,17,24,19,24,19,23,18,24,19,23,19,17,19,21,17,22,18,22,18,22,17,23,19,24,24,
23,23,23,23,23,25,23,23,17,18,22,17,21,16,22,17,22,23,22,12,18,24,24,24,22,23,12,23,23,22,
23,18,18,17,18,17,18,24,18,22,17,24,18,18,19,18,22,17,23,18,24,19,18,13,23,18,22,17,23,18,
24,19,24,19,23,17,24,19,23,22,23,19,17,17,23,18,22,17,23,18,24,19,24,19,22,17,24,19,23,24,
22,23,18,22,17,23,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,16,16,24,16,16,16,
16,16,16,16,16,16,16,16,16,16,21,14,16,16,16,16,16,16,16,16,16,16,16,16,16,21,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,23,19,23,18,24,
19,24,19,24,20,24,22,24,22,24,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,24,23,19,24,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_28_latin_ext_s[560]={ 508,505,413,173,468,15,37,508,500,427,372,
237,449,474,464,482,78,288,403,155,264,277,83,297,1,91,508,491,376,482,495,
402,335,388,130,206,438,95,476,257,1,497,452,20,56,72,463,187,147,233,457,
52,40,433,15,34,178,111,162,42,285,34,392,482,461,455,123,413,95,443,407,
374,360,242,419,346,338,302,252,296,419,497,280,404,245,343,329,309,266,1,290,
172,200,223,497,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,508,66,294,
223,481,68,295,184,455,129,431,391,467,474,276,497,422,222,383,405,506,324,77,
469,455,506,440,468,266,209,350,307,58,464,1,382,246,265,351,447,346,378,220,
306,236,211,245,354,286,91,299,98,137,289,308,360,331,62,481,449,483,20,82,
116,103,296,370,67,229,196,425,375,71,161,149,371,383,463,440,429,65,403,39,
26,13,483,496,345,267,455,441,427,416,358,372,150,480,140,363,42,164,218,156,
254,318,228,252,217,81,166,285,137,254,109,452,417,230,169,322,471,338,273,322,
499,276,14,407,426,440,352,366,20,475,338,305,483,284,153,442,212,221,106,195,
312,503,323,181,81,113,143,75,385,331,459,399,205,304,141,129,387,32,188,11,
117,115,137,204,42,250,200,178,391,176,232,214,19,192,294,92,357,111,1,157,
130,39,430,468,362,436,57,434,97,1,309,362,494,269,350,163,179,254,449,55,
116,130,310,400,491,173,413,20,324,251,237,327,28,1,273,55,39,339,418,80,
157,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,383,197,197,386,
197,197,197,197,197,197,197,197,197,197,197,197,197,423,252,197,197,197,197,197,
197,197,197,197,197,197,197,197,401,281,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,195,318,
502,59,232,469,204,336,181,1,153,95,124,109,94,123,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,1,68,394,318,49,240,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197, };
static unsigned short stb__times_28_latin_ext_t[560]={ 25,100,194,121,77,100,100,15,1,1,194,
179,194,201,201,100,121,141,121,100,141,141,100,141,121,121,1,160,179,194,179,
100,1,141,179,121,160,179,160,121,179,160,141,179,179,179,141,121,179,53,160,
121,179,141,160,160,179,179,179,1,100,1,194,201,194,179,100,179,100,179,141,
141,141,141,1,141,141,194,194,179,141,141,194,179,160,179,179,179,194,160,194,
1,1,1,194,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,25,100,77,
121,179,160,1,53,201,121,194,179,194,201,121,200,194,179,194,194,171,141,53,
201,194,160,194,179,100,100,100,100,53,28,53,77,77,77,160,28,28,28,28,
77,28,28,28,77,160,53,1,28,28,28,28,194,121,28,1,1,28,53,160,
121,121,121,100,141,141,100,179,160,100,121,121,121,121,121,121,160,121,160,121,
121,121,121,121,194,179,100,100,100,121,1,1,53,77,160,77,141,53,160,28,
100,1,100,53,141,28,100,53,100,160,100,77,160,77,141,77,121,77,160,53,
77,1,28,53,53,53,53,53,1,53,53,160,141,77,160,77,179,77,160,77,
53,53,194,141,1,1,1,77,53,194,53,53,77,53,141,141,160,141,160,141,
28,141,77,160,28,141,141,100,121,77,160,53,141,28,100,141,179,53,141,77,
160,53,121,1,121,1,100,28,160,28,121,28,53,53,121,160,160,28,121,77,
160,53,141,1,100,28,100,77,160,1,121,28,28,77,28,141,77,160,28,141,
141,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,100,179,179,1,
179,179,179,179,179,179,179,179,179,179,179,179,179,77,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,77,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,53,121,
28,160,1,100,1,100,1,100,1,77,1,77,1,77,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,1,1,28,100,1,100,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179, };
static unsigned short stb__times_28_latin_ext_a[560]={ 101,135,165,202,202,337,315,73,
135,135,202,228,101,135,101,112,202,202,202,202,202,202,202,202,
202,202,112,112,228,228,228,180,373,292,270,270,292,247,225,292,
292,135,157,292,247,360,292,292,225,292,270,225,247,292,292,382,
292,292,247,135,112,135,190,202,135,180,202,180,202,180,135,202,
202,112,112,202,112,315,202,202,202,202,135,157,112,202,202,292,
202,202,180,194,81,194,219,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,101,135,202,202,202,202,81,202,
135,307,112,202,228,135,307,202,162,222,121,121,135,233,183,101,
135,121,125,202,303,303,303,180,292,292,292,292,292,292,360,270,
247,247,247,247,135,135,135,135,292,292,292,292,292,292,292,228,
292,292,292,292,292,292,225,202,180,180,180,180,180,180,270,180,
180,180,180,180,112,112,112,112,202,202,202,202,202,202,202,222,
202,202,202,202,202,202,202,202,292,180,292,180,292,180,270,180,
270,180,270,180,270,180,292,262,292,202,247,180,247,180,247,180,
247,180,247,180,292,202,292,202,292,202,292,202,292,202,292,202,
135,112,135,112,135,112,135,112,135,112,287,223,157,112,292,202,
202,247,112,247,112,247,164,247,139,247,112,292,202,292,202,292,
202,244,284,200,292,202,292,202,292,202,360,292,270,135,270,135,
270,135,225,157,225,157,225,157,225,157,247,112,247,173,247,112,
292,202,292,202,292,202,292,202,292,202,292,202,382,292,292,202,
292,247,180,247,180,247,180,112,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,292,315,315,202,315,315,315,315,315,
315,315,315,315,315,315,315,315,292,214,315,315,315,315,315,315,
315,315,315,315,315,315,315,314,219,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,292,180,135,112,292,202,292,202,292,202,292,
202,292,202,292,202,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,292,180,360,270,292,202,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_28_latin_ext_BITMAP_HEIGHT or STB_FONT_times_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_28_latin_ext(stb_fontchar font[STB_FONT_times_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_28_latin_ext_BITMAP_HEIGHT][STB_FONT_times_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_28_latin_ext_s[i] + stb__times_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_28_latin_ext_t[i] + stb__times_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_28_latin_ext_x[i];
            font[i].y0 = stb__times_28_latin_ext_y[i];
            font[i].x1 = stb__times_28_latin_ext_x[i] + stb__times_28_latin_ext_w[i];
            font[i].y1 = stb__times_28_latin_ext_y[i] + stb__times_28_latin_ext_h[i];
            font[i].advance_int = (stb__times_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_28_latin_ext_s[i] + stb__times_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_28_latin_ext_t[i] + stb__times_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_28_latin_ext_x[i] + stb__times_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_28_latin_ext_y[i] + stb__times_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_28_latin_ext_LINE_SPACING
#endif

