// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT        134
#define STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_14_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_14_latin_ext_LINE_SPACING           9

static unsigned int stb__times_bold_14_latin_ext_pixels[]={
    0x0d400188,0x00000980,0x00ec8055,0x00220082,0x0084014c,0x40044000,
    0x01998008,0x0822004c,0x08600c40,0x00000980,0x00c40098,0x40540164,
    0x2aaaaaa9,0xea8007cc,0x800f9800,0x007e203e,0x4abb801b,0x2ee80240,
    0x2e016cc0,0x00c804aa,0x32007fc4,0x4035c04c,0x27401d9d,0x500f2b20,
    0x009b00df,0x09b007e6,0x2a00eea8,0xfe9bb838,0x003a869a,0x00720017,
    0x80350164,0x0ff801c8,0x26e02d60,0x405ac048,0x5ac01dc8,0x201d4e40,
    0x803700b5,0x024405f9,0x46c037c4,0x801dc02b,0x402c401b,0x1dcc0713,
    0x30a3fb14,0xab980355,0x06aa6050,0x70637510,0x4039c017,0x2a631ba8,
    0x303550aa,0x54c31597,0x303550aa,0x54c31597,0x303550aa,0x55530555,
    0x554c6aa1,0x2a63550a,0x263550aa,0x03550aaa,0x55303553,0x2606ae15,
    0x51018acb,0x0554c637,0x37510355,0xa85554c6,0x441fd81a,0x80dd89ed,
    0x41dd88dd,0x0dd89ed8,0x3ea8aec8,0x57301454,0x75457640,0x88b0ff63,
    0xd8bd31ed,0x3b622c3f,0x3fd8bd31,0x227b622c,0x21fec0dd,0xb161fec5,
    0x1fec587f,0xb13db116,0x2c3fd81b,0x2f4c7b62,0x1f545764,0xec858dfb,
    0x3f63ea8a,0x41fd82c3,0xb0fe60fd,0x3627d41f,0xf90fe60f,0x01d43983,
    0x41fc8074,0x870bf239,0x322c41fc,0x07f21c2f,0x1c2fc8b1,0x43f983f6,
    0x3f21c2fc,0x70bf21c2,0x361c2fc8,0xf90fe60f,0x20fe4385,0x260fe458,
    0x4393fae3,0xf91cc1fc,0x43fb0385,0x226f87f9,0x43fea66f,0x226f87f9,
    0x6dd4107f,0x2213ea04,0x17e4107f,0x8107f98e,0xff31c2fc,0x385f9020,
    0x91be1fe6,0x17e4385f,0x4385f90e,0xff31c2fc,0x42fc8df0,0x1041fe63,
    0xf8b820ff,0x83fc472f,0x2070bf20,0x217ea1fd,0x22bf51fe,0x17ea3fd3,
    0x02fd47fa,0x407ea7e2,0x05fa87fc,0xf51c2fc8,0x70bf200b,0xfc802fd4,
    0xd0bf51c2,0x0e17e43f,0x7e4385f9,0x70bf21c2,0x0ff42fd4,0x3ea385f9,
    0x805fa805,0x5473ff33,0x42fc805f,0x7cc3fd03,0xbf50ff86,0xdf31ff8e,
    0x1bea1ff0,0x20bf22e0,0x7d43fc99,0x1c2fc806,0x665c4df5,0x5470bf21,
    0x8732e26f,0xdf31c2fc,0x17e41ff0,0x4385f90e,0x3f21c2fc,0xf0df31c2,
    0x8e17e41f,0x332e26fa,0x4700df51,0x1bea3efb,0x3070bf20,0x07f417ff,
    0x43ef89be,0x3e07f47f,0x2a01fe26,0xf3382fac,0xb807f88d,0x8ff11c2f,
    0x217dc5f9,0xbf31fe23,0x3a1c2fb8,0x3ee37c0f,0x70bee1c2,0x2e1c2fb8,
    0x03fa1c2f,0x1c2fb8df,0x25f98ff1,0x643807f8,0x201fe25f,0x1881c2fb,
    0x0bea2fb8,0x217d45f7,0x70bea2fb,0x5f31987f,0xaac885f7,0x21fdc2fe,
    0x2893ea19,0x8bf317dc,0xf70a24fa,0x3ea2fcc5,0x45f70a24,0x127d42fa,
    0x0a24fa85,0x2a1449f5,0x5f70a24f,0x93ea17d4,0xf317dc28,0x0cc3fb8b,
    0x3fb8bd07,0x449f50cc,0x3ae0d502,0xebb82ebb,0x7d701dba,0x37ae05d7,
    0x2b7e62cb,0x17ea244f,0x20b2f7ae,0xd503bcfc,0xf905d957,0x2faa0779,
    0xcfc82eca,0xd77d703b,0x0ef3f205,0xc81de7e4,0x9f903bcf,0x2efae077,
    0x779f902e,0x3b2afaa0,0x2cbdeb82,0x70910ba6,0xf90597bd,0x00c40779,
    0x02208022,0x08800440,0x2a1fa800,0x001103ff,0x40062001,0x20031000,
    0x20011000,0x02001000,0x00880040,0x00620010,0x10000044,0x00001001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x82010202,0x22018c00,0x000c9801,0x80002222,
    0x4039103b,0x00208020,0x01640151,0x43529800,0x5550aaa9,0x22000544,
    0x206e401a,0x00822040,0x829800c4,0x4100aaa9,0xad815440,0x0d9d880d,
    0x5c03b3b0,0x013603bb,0x8e80137a,0x4c03300e,0x05dd81ee,0xca80eef2,
    0x7026c059,0x5b0001dd,0x3fd85de8,0x2002dc34,0x2674c05b,0x36036762,
    0x01f400d9,0x3260664c,0x957701cc,0x0b660d70,0x3ea03fc8,0x2204a404,
    0x0171a804,0x64035350,0x30e22e04,0x664406a5,0x200ff400,0x4c299c03,
    0x75550aaa,0xfc81c981,0x400381c2,0x7051400c,0x013ea07f,0x31360093,
    0x06aa1555,0x99ae03fe,0x83550aaa,0x2aa609b9,0x554c6aa0,0xb983550a,
    0x226aaa09,0x03530aaa,0x0c403553,0x73055550,0x06aa6013,0x0d555554,
    0xaa87e3e6,0xfd8aa62a,0x47cc0743,0x0e17e41f,0xa803f1f3,0x21aaaaaa,
    0x54cb34eb,0x540300aa,0x881aaaaa,0x1fec1efd,0xaaaaa996,0x7fb1ae0a,
    0x47a8ec58,0x3f62c6fd,0x3d4762c3,0x17ee1ff1,0xd89ed889,0x3766540d,
    0xa8ec0ff8,0x6c4f6c47,0x7c45740d,0x40b9c40f,0xf906c3fe,0x2e710385,
    0x10e17e40,0xfb1002e7,0x7c47933d,0x03fc8516,0x4457403a,0x17f700ff,
    0x321c2fc8,0x2e1e99bf,0x88e17e46,0x9fd7121f,0x470bf21c,0x5fb121f8,
    0x6c2887fc,0xf98fe60f,0x8ff01f9a,0x1fb121f8,0xfd8a1fcc,0x36c674c3,
    0x64289bea,0x674c1c2f,0x217e46d8,0x1b633a63,0x142df370,0x3f20a7ee,
    0x8a09f503,0x03f203fd,0xfc870bf2,0x235c3313,0xff11c2fc,0x4bfe2e07,
    0x88e17e43,0x4bf303ff,0x7f9853fe,0x227ea6f8,0xf88ff02f,0xf87f983f,
    0x3e0df506,0x27fb0fb5,0x81c2fc83,0x3fb8fb5f,0x03ed7e1c,0x40edf153,
    0x3fc82df8,0xfa80ff90,0xfc837406,0x22ff21c2,0x17e46b83,0x83dff70e,
    0xc873ff33,0x3fee1c2f,0xa99fe81e,0x85fa876f,0xb79b11fe,0x7fdc3fc0,
    0x3a17ea1e,0x817fc41f,0xff30fb5f,0x385f9035,0xf11f6bf0,0x6d7e1449,
    0x67fc4e07,0x3203f605,0x3fc9983f,0xf805ff10,0x4385f905,0x6b83edfc,
    0x260e17e4,0xfb8e0ffe,0x0e17e43e,0xf703ffa6,0x306ffa79,0x5c1ff0df,
    0x983fc009,0x0df30ffe,0x05fc81ff,0xfc83ed7e,0x0385f704,0x3ae1f6bf,
    0xfb5f83bc,0x3beeaaa0,0x64166048,0x0df3383f,0x5f3017f2,0xc870bee0,
    0x46b83abf,0x4151c2fb,0xbf90e2fb,0x151c2fb8,0x3fe217dc,0x3fa0df72,
    0x9bf337c0,0x47f94c39,0xfe8bee0a,0x3fe637c0,0xfd5f8260,0x7d413ee0,
    0xeafc0a24,0xafc03607,0x3e22887e,0xc8140256,0x7556443f,0x307fcc2f,
    0xf500f981,0x4ff21449,0x3ea35c32,0x7c4a8a24,0xf517a0e0,0xf8951449,
    0x0fe27c80,0x85f517dc,0x5b67feed,0x83e2546f,0xd0bea2fb,0x67e4587f,
    0x04fb81fe,0xc80ef3f2,0x5f01fecf,0x07fb3f20,0x7246f889,0x21fe405b,
    0x3fa2fd44,0x016ae2c3,0xf90779f9,0x90d92447,0xcea8779f,0x10ba63ba,
    0x8779f909,0x303bacea,0x3ae00c87,0x124c2ebb,0x20fde4cb,0xb83bacea,
    0x7dc2ebbe,0x087ecbaf,0x00efec40,0xa8004002,0x6e40102d,0xd77ff710,
    0xe880e4cb,0x543f50df,0x75ff73ff,0x002b8fd9,0x5f7f4402,0x405534fd,
    0x00000800,0x20002002,0x5c011000,0x80080abb,0x00008800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0efb2000,
    0x020870d4,0x3530a614,0x9b987040,0x7500a980,0x55310037,0x15554c01,
    0x0020004c,0x2aaa6062,0x0098009a,0xba880188,0x10018831,0x4c40c403,
    0x40303100,0x6e402aaa,0x0ef6a02a,0x0dba8802,0x32a2c2d8,0x5a85b859,
    0x960a8172,0x89c8f51d,0x267b620f,0x215900de,0xbffcc2b8,0x3b00b905,
    0x20bb001b,0x01fd9afd,0x136013ee,0x7d515d90,0x2f803e88,0x1360bfa0,
    0x40ff226c,0x2a603ccc,0x3b2e00dd,0x554c2882,0x17c3550a,0xf507fa16,
    0x1727a89d,0x21f8ac38,0x360c9fc4,0x320fe60f,0x7ff45300,0x20064097,
    0x40b004fb,0x20bf32fc,0x2200c8d8,0x260fe405,0x1d404883,0x160b1770,
    0x1b193122,0x53035530,0x4c0d5415,0xd89701aa,0xb0fa2c3f,0x2aaaaaa6,
    0xc9ee17e2,0x8ac5ca85,0x89f703ff,0x237c47f9,0x2797910c,0x025fffe4,
    0x2aaaa603,0x32018009,0x180bf32f,0x9aaaa981,0x2107f880,0x0aaaaaa9,
    0x15555553,0x2eeaaaa6,0x26155530,0x55530aaa,0x6c4f6c43,0x1637ec0d,
    0x1bb13db1,0x217e4788,0x5dd61743,0x3e69afe9,0x91726a85,0xf72c5f79,
    0xdfcb83df,0x3fd0bf70,0x25f37d24,0x025fff62,0x26bf601d,0x807401fd,
    0x01edabfc,0x9afd8074,0x02fd41fd,0x0f4cdfe4,0x43d337f9,0x21e99bfc,
    0x21fe43fc,0x307ec3fc,0x24feb87f,0x7f307ec3,0x0bf21f88,0x22ac1d47,
    0x82fc51fd,0xabf8b92b,0x87ff4c00,0x3e67f359,0x2730ff86,0x450fb8fb,
    0x2a097fe8,0x265f904f,0x413ea05f,0x402febfc,0x25f904fa,0x037d45f9,
    0x21989fe4,0x643313fc,0x7e43313f,0x3f21fe43,0x1be1fe63,0x98e5ff17,
    0x4f86f87f,0x1d470bf2,0x7c0fec2c,0x89725705,0xb82a00ef,0x92a5f32f,
    0xa9be60ff,0x829badd1,0x1ff20958,0x05f997e4,0x57e41ff2,0x3f200ff8,
    0x3e65f907,0x6403fc45,0xbfc838bf,0x38bfc838,0x1fe43fc8,0x85fa8ff2,
    0x7fcce1fe,0x3a17ea39,0x5f927c1f,0x21617438,0x40ec81fd,0x1fd1726a,
    0x0f895482,0xfb82f3f6,0xf298bee2,0x402a9f5b,0x7f933094,0x3db57f90,
    0x20ff2660,0x20df72fc,0xfc83fc99,0xfb81edab,0xdbf90cc3,0x07dbf907,
    0xf907dbf9,0x7e43fc87,0x3fe1be63,0x23efb8e0,0x20ff86f9,0x70bee1f8,
    0x7ec2c3f8,0x26b81881,0x22ffd45c,0x07759d55,0x77b30bf7,0x23b2703b,
    0x48098adc,0x21be6709,0x202febfc,0xfe98df33,0x2709fb0c,0xebfc86f9,
    0x2f7ae02f,0x1d5fe42c,0x641d5fe4,0x3fc83abf,0x0ff21fe4,0x1c6f81fd,
    0x81fd17f2,0x3ea3cc6f,0x585f0a24,0x86a81fd8,0x0251727a,0x22a03a16,
    0x05fb01f9,0x9018806a,0xfd559112,0xff8afc85,0xfeaac880,0xc8803202,
    0x7e42feaa,0x5c00ff8a,0x0ca7f903,0xf90ca7f9,0x87f90ca7,0x21fe43fc,
    0x70bea2fb,0x22fb8bd0,0x6425c2fa,0x42d83bcf,0x1881fe85,0x051725a8,
    0x96c16c2c,0x57fb100e,0x02988550,0xbf512252,0x0df72fc8,0x3a05fa89,
    0x8bf51202,0x80df72fc,0x447f905a,0x2488ff24,0xfc9223fc,0x3f21fe43,
    0x2ebbeb83,0x2122174c,0x442ebbeb,0x86a00402,0x005ffcc4,0x08aa6144,
    0x22033120,0x098801bb,0x00355510,0x2a1fa8e7,0x19fd33ff,0x21fa93f6,
    0x01983ffa,0x3ffa87ea,0x3f619fd3,0x3a203104,0xd14fdbef,0x229fb7df,
    0x14fdbefe,0x3fa21bfd,0x01bfd10d,0x10000022,0x00000201,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55640000,0x07636204,0x07700260,0x1aa82aa6,0x016544a8,0x40000a31,
    0x20800401,0x5530d4c0,0x20262015,0x55300009,0x985554c0,0x022e41aa,
    0x54c531a8,0x4c0aaaaa,0x1a80dc82,0x2602aaa6,0xc8818acb,0x53900201,
    0x01dac407,0xdd500754,0x0b1bf603,0x409f10ba,0xc880f9eb,0x007400ca,
    0x6540b3b3,0x3227c44b,0x2a17203f,0xf835c00e,0x3a1fe405,0xb11e6d41,
    0x7da7c1b5,0x0f4cdfe4,0x099d31f2,0x443fc89f,0xb0bd32ed,0x300660bb,
    0x55530355,0x06406aa1,0x5c0e22e0,0x80c0e4fe,0x2008404f,0x27d403ea,
    0xb700bf20,0x2fc89f03,0x00320360,0x202fc12a,0x501913fb,0x130b6a14,
    0x227f9022,0x28a04419,0x21fe4098,0x262c41fd,0x205a8352,0x0dd89ed8,
    0xaa961fec,0x54caa62a,0x0aaa98aa,0x71cbfe2e,0x9bf1669d,0x59a75c5d,
    0x1ff20060,0x2026aaa6,0x0aaaaaa9,0x205f913e,0x2aaa61a9,0xaaaaa980,
    0x0edd7e0a,0x88126fee,0x85554c6d,0x645d8bea,0x6d8838bf,0xd5375e54,
    0x3e63fc87,0x0154c107,0x307ec05b,0x1c2fc87f,0x641b0ffa,0x270ff23f,
    0x3e239ff9,0xc8ef8516,0x0a2df10f,0x326600e8,0xe9bfd83f,0x4cdfe40d,
    0x5f913e1e,0x7f913e20,0x74cdfe40,0x5c05d7e1,0x3e405fdf,0x6d3e1fe4,
    0x81f6fe47,0x3e6be67c,0x7f913e21,0x5f8037d4,0x3e603f10,0x17e46f87,
    0x144df50e,0x42fc8ff2,0xf70fbee3,0x3ee9f053,0xa80a7ee2,0x37cce04f,
    0x46f897e4,0x7c3313fc,0x9f017e44,0x3f202fc8,0x66fc3313,0x9fd7f703,
    0x1fe43e40,0x3f23ed3e,0x54f903ab,0x27c2f89f,0x26fa8ff2,0x17e1ccb8,
    0x5fa80fd4,0x0bf21fe8,0x20e7fb07,0x70bf23fc,0x6fc45fc8,0x45f54f82,
    0x3f202df8,0xfd559107,0x3fa2fc85,0x20e2ff21,0x8a17e44f,0x9017e44f,
    0xbdf0717f,0xf17f701f,0x321f205f,0x47da7c3f,0xf90653fc,0x2075e6c4,
    0xf11fe44f,0x3e2fd41f,0x07ea2ecd,0x07fc37cc,0xf98385f9,0xcdfc81af,
    0x741c2fec,0x5f80fd85,0x00fd83f7,0x8907f933,0xb17e45fa,0x1f6fe47f,
    0xb0ff22fc,0x80bf227c,0xdf83edfc,0x33fb86f8,0x90f903ff,0x8fb5f87f,
    0xf91223fc,0x4f8809b8,0x8bee1fe4,0x6c77c5f9,0x1fd00fc7,0x217dc6f8,
    0x3209f903,0xe98bf23f,0x82cc2442,0x5983ecef,0x2a37cce0,0xc8ffea1f,
    0xfc8ff62f,0x877d43ab,0x5ebaefe9,0x405f913e,0x7cc3abfc,0x3624fc8e,
    0x2ffe88df,0x51fe43e4,0x744fb1df,0x644fdbef,0x86f33e67,0xbfb10efa,
    0xdbadc981,0x6c7dafc2,0xfa8bee02,0x05127d42,0x1fe413ee,0x032205f9,
    0x0053e050,0x3aab2205,0x641b802f,0xfc87fe2f,0x301c8653,0x5f913e07,
    0x194ff228,0x0dc00644,0x0ff21f20,0x405c07d8,0x37f76c7c,0x5700a612,
    0x547cafc0,0x75df5c05,0x0779f902,0x3fc827dc,0x0f440bf2,0x4f8816dc,
    0x22405b70,0x41f805fa,0xc89f32fc,0x03d9223f,0xf917e0f5,0x88ff2587,
    0x6400f444,0x90d99304,0x0b99307f,0xd9b307c4,0x754d1254,0x16e026c0,
    0x330fb5f8,0x02001100,0x883bfb10,0xdfe98dfd,0x39301980,0x26077aa0,
    0x543f501c,0x96d403ff,0x43dcdfe9,0x4fdbefe8,0x54054031,0x5dfd30ef,
    0x3bfa2bd7,0x00cc4fdb,0x197004c4,0x440dfe88,0x0ed400bb,0xabbb8177,
    0x7b306e40,0x7cc02620,0x0081fe8e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x4c0c3018,
    0x4af7620d,0x5980aaa9,0x103b9d80,0x66403555,0x3b1b102a,0x7500dc40,
    0x981000b3,0x23661ccc,0x0555540d,0x002aea26,0x55530173,0x302aaaa1,
    0x0a206601,0x1c45c18a,0x57302a98,0x0154c0a1,0x54aa2053,0x20f90a61,
    0x0e985ee8,0xcca932a6,0x400ea81c,0x99303b9d,0x376e6059,0x8076b100,
    0x2c5d4073,0x23542aa0,0x5661aaa9,0x06665c0d,0x0bf6276e,0xfc835d6c,
    0x2f40ff43,0x036265e4,0xdd307bae,0x6ec3ec03,0x9881dd88,0x1fe940fe,
    0x74ff1fb0,0x1880620f,0x530aaa98,0x2aaa6155,0x2aaaaaa0,0xa98aaaa1,
    0x00600302,0x415cc00c,0x0aaaaaa9,0x3b623722,0x0fc7cc29,0x2a615553,
    0x2e0aaaaa,0x4fc43ec0,0xe87f9069,0xbf80980f,0x0980ae7b,0x47d80770,
    0x213ea0fd,0x56e0fd98,0x26f901c8,0xebca9f65,0x2375e546,0x21fe43fc,
    0x445743fc,0x21ff40ff,0xd001d00d,0xd001d001,0x266ff201,0xf983f61e,
    0xc8173883,0x4cdfe43f,0x217dc01e,0xf900bdf8,0x5cc0fe87,0x8ae5f41b,
    0x306ee604,0xdcda8377,0xfa99be27,0x9f736a0f,0x4c38cefa,0x64517dcd,
    0x43f35f35,0x641f9af9,0x321fe43f,0x07fb143f,0xa8144df5,0x027d404f,
    0x9f5013ea,0x8cc4ff20,0x4c6f87f9,0x7e46d8ce,0x1989fe43,0xfb999993,
    0xf52fea8b,0x3fa1fe43,0x2634cfc0,0x7c01b0bb,0x34cfc699,0xfa9fa7f1,
    0x447fa715,0x35f8fd3f,0x06fd3f88,0x3e27ea75,0x0be27ea2,0x43fc87f9,
    0x0df503fc,0x32039fec,0x03fe407f,0xff901ff2,0x70e2ff20,0xf83fd0bf,
    0x43fc8fb5,0x7cc38bfc,0x15b27d45,0xfc8551ff,0x9f307f43,0xc95c01fb,
    0xfb9f30db,0x43f73e61,0x7d4fb2fa,0xfa8ffc75,0x505f8fb2,0x9441f25f,
    0x220ebcd8,0x7e40ebcd,0x3f21fe43,0x202ff883,0x3301aff9,0x326607f9,
    0x7f93303f,0x20ff2660,0x7cc3edfc,0xafc0ff86,0x321fe47d,0x46f83edf,
    0x2a7f31fc,0x9bfc84ef,0x17d41fd2,0xe9f8a440,0x5f505f53,0x89f65f50,
    0xf53fc3ef,0x20bf1f65,0x200f92fa,0x0137009b,0x87f90ff2,0x05fc83fc,
    0x4ce04fc8,0x1be6706f,0x2706f99c,0xabfc86f9,0x37c0fe83,0x7e47dafc,
    0x41d5fe43,0xf99ba0fc,0x453dfb0e,0x8fd7cbfc,0x360115f8,0x229d3f30,
    0x57e2115f,0x1f67f108,0x117d45f7,0x0bf1f67f,0x407ecfe2,0x3799f34b,
    0x20de67cc,0x21fe43fc,0x07fcc3fc,0x209f7013,0x42feaac8,0x42feaac8,
    0x42feaac8,0x42feaac8,0xfb8653fc,0x57e0bea2,0x321fe47e,0x5b90653f,
    0xdffc81bd,0xfd11ffca,0x505f593b,0xb0ae05dd,0x177543d5,0x9d70bbaa,
    0x575dc5fd,0xeceb81db,0x5c03b22f,0x7d82fece,0xdb1bfbb6,0x43fc8dfd,
    0x21fe43fc,0xfb82c3fe,0x45fa8904,0x5122fd44,0x2fd448bf,0x5c488ff2,
    0xf902ebbe,0x1fe43fd9,0x30488ff2,0x10008100,0x03028000,0x10108000,
    0x00420044,0x2a001080,0x224a9a24,0x4437fa26,0xbfd10dfe,0x32ebfee1,
    0x1dfd887e,0x7ff50fd4,0x3ffa87ea,0x9ffd43f5,0x4ffea1fa,0x4fdbefe8,
    0x20100110,0xfd10dfe8,0x0009fb7d,0x00000000,0x00000000,0x00000000,
    0x055ddc00,0x0002aeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0a8aaaa0,
    0x203301c7,0xc81360a3,0x8cc385c2,0x3019500b,0x1103500c,0x50466022,
    0x15551355,0x22ea86a6,0x0aa62aaa,0x02ea814a,0x2016412a,0x86200ab9,
    0x08a82899,0x85900dc8,0x10b200c9,0x202a6061,0x188981b9,0xd11fffd4,
    0x5e80647d,0xb970e6d0,0xdd10b503,0x6c09bd05,0x109dd302,0xddd05f1d,
    0x443ffd30,0x48bf70ff,0x1ff135f4,0x7c7d41d8,0x3a06be82,0x3220d501,
    0x87205712,0x7f5c7add,0x4c2674c6,0xd303c80e,0xbc81bb01,0x7d073869,
    0x8199c8d9,0x0881544a,0x22857588,0x412e0182,0x100600c9,0x80e5ee03,
    0x36022101,0x1443fe2f,0x3fc82613,0x1301081c,0x0600c062,0x55d5d464,
    0x21020582,0x0220a280,0x15011018,0x7c57c45b,0x1040dc43,0x544167c4,
    0x6d442c3d,0x1bfbfb23,0xda887b51,0x6426dd43,0x2f6aa0db,0x26dd43bc,
    0x674c07e4,0x233a66d8,0xfd2fcc6d,0x836f20a7,0xd302a7f8,0x674cdb19,
    0x233a66d8,0x3633a66d,0x9296a666,0x1e5c4488,0x9710f2e2,0x443cb887,
    0x665c43cb,0x547f2e23,0x33a69f2f,0x0ddcc6d8,0x7c1ffff5,0x3e06c7aa,
    0x858dc7aa,0x557c7aaf,0x87ea7e27,0x3f10a8fa,0x7c47a9f3,0x3ff21fa9,
    0x8fb5f83e,0x3fd0fb5f,0xf50edf53,0x72fd8151,0x3e3ed7e0,0xfb5f8fb5,
    0xd9cfb5f8,0x3e0dc383,0x2f97c5f2,0x25f17cbe,0xf17cbe2f,0x457c4fe7,
    0x97e5f73f,0x99f8fb5f,0xf33fc986,0x7cc55023,0x74d6c411,0xf3047e61,
    0x5f917023,0x22e0ffcc,0x2e4eacfb,0x3ea22fc8,0x8fb5f80b,0x9f70fb5f,
    0xf306ffa7,0x33df303f,0x3e3ed7e0,0xfb5f8fb5,0x45cfb5f8,0x2a2c384c,
    0x47eabf1f,0x57e3f55f,0x3eabf1fa,0x2ebe6bf1,0x57e3f56f,0xafcbf2fb,
    0x3f73e67d,0x0beabb00,0x705f5244,0x7d49bb9f,0x9502fa82,0x1ffa85f5,
    0x5413e76a,0x01f82fac,0x2bf1f6bf,0x72ff887d,0x07fea0df,0xb5f813fa,
    0xf8fb5f8f,0xfb5f8fb5,0x8ccf4d4c,0x23f51224,0x57e3f55f,0x3eabf1fa,
    0x7c7eabf1,0x2dd1bf55,0x3eabf1fb,0x7dafc9f2,0xa8a20bea,0xb022df12,
    0xb108b7c4,0x22df10ae,0x4c22df10,0x22a2fbaf,0x3e5f12f9,0x75f3188f,
    0x5e7ed45f,0x7c7eafc4,0x89f20fd5,0x2f98a83f,0x57e01fa8,0x47eafc7e,
    0xd5f8fd5f,0x32131b8f,0x25f10ae0,0x4fe5f13f,0x3e27f2f8,0x7cbe27f2,
    0x4d3e7f13,0x457c7f2f,0x13f57e2f,0x77cc22bf,0x41ff542b,0x98ffaa1b,
    0x7fd501b3,0x3e63fea8,0x2b6a4fad,0xf77ff30e,0x7d6fccbf,0x0bff6ee4,
    0x643fd9f9,0x3981fecf,0x756d4064,0xcfc80b00,0x3b3f21fe,0x3fb3f21f,
    0x07fb3f21,0x58197797,0xca877950,0x21de543b,0x5e543bca,0x716f7263,
    0x4cda8b79,0x50ff67e4,0x000105dd,0x00844004,0x80800000,0x20800080,
    0x00080100,0x00008010,0x02004008,0x08020010,0x04010040,0x01004010,
    0x00201004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20055cc0,0x9b101aa9,0x19307220,
    0x2aa0aa98,0x5dc054c1,0x50289980,0x80372011,0x200c982c,0x00d4c1ba,
    0x301440c3,0x15555555,0x529870a8,0x0c6ea203,0xa98e6e20,0xa982b88a,
    0x443550aa,0x09b980b9,0x55540a98,0x1597302a,0x25912dc3,0x9ed882b8,
    0x6e640dd8,0x07b04b81,0x76c58dfb,0xd828a86f,0x6feb87ad,0xd304ce98,
    0xae40f201,0x9813e25e,0x665644ee,0x3ea37a23,0x7443d99f,0x905de83e,
    0x327d515d,0x641c9c86,0xd85c8bbf,0x7e5a2c3f,0x3a3d4761,0x3ffe23f2,
    0x98f6c45f,0xeac9b65e,0x7ec2a8bb,0x1450fe60,0x3ae0600c,0xf9088e4f,
    0x80803a81,0x1028a010,0x2bf01801,0x22027c7d,0x239c7d41,0x22df10fd,
    0x9304a828,0x3983f901,0x320630d9,0xf90fe66f,0x267e2385,0x3243f13f,
    0x55d5367f,0x20fe42c9,0x23e33058,0x43fcc95c,0x20ddcc6f,0x5dcc1bb9,
    0x397fc5c1,0x4dba8790,0xba84dba8,0x84dba84d,0xdba84dba,0x42d8cf84,
    0x5c42ebdf,0x10fbe63c,0x03b7c4df,0x674c7971,0x41fe26d8,0xdb19d300,
    0x17e23fc8,0xf70385f9,0x220ffe23,0x1d01eaff,0x70083fcc,0x2a3975fc,
    0x3e1fe85f,0x34cfc699,0x2671a67e,0xdfc839ff,0x43f53f10,0x221fa9f8,
    0x3e21fa9f,0x27e21fa9,0x2a7e21fa,0x2e467c1f,0x5f07e57e,0x22ffc8be,
    0x33fe25fa,0xf8be5f05,0x02fd4fb5,0x1f6bf0a2,0x647f87f9,0x41d81c2f,
    0x7d41effb,0xfa8b304f,0x2175b805,0x7cc70faf,0x9f30ff86,0x373e61fb,
    0x1fb9f30f,0x107df71c,0x7e45c5fb,0x217e45c2,0x45c2fc8b,0x7e45c2fc,
    0x217e45c2,0xa7c3f54f,0x3e3f52fa,0xfa97fd45,0x2163be25,0xafcbf1fa,
    0x301bea7d,0xc8fb5f87,0x3f23fc3f,0x980cc1c2,0x3f320ffe,0x7d42b83f,
    0x6c732e26,0x9b3f1536,0x6f81fd12,0x0bea0bea,0x321c0bea,0x545f105f,
    0x56542fac,0x17d6542f,0x950beb2a,0xfaca85f5,0x22faa7c2,0x3ea5f54f,
    0x6ec82bf1,0x2b7c4ff1,0x25f8fd43,0x3fc4fb5f,0x36bf16e0,0x13e1fe47,
    0x500385f7,0x8fa97dc1,0x440e85f9,0x702fcc7f,0x81931135,0x88bea2fb,
    0x57e2115f,0x822bf108,0x68665e83,0x98beebe6,0x3e62fbaf,0x2be62fba,
    0x2ebe62fb,0x3eebe62f,0x07d4e7c2,0x7c43eebf,0x65c2a7f2,0x3fc47ee4,
    0x47f2f896,0x3fb8fd5f,0xafc7d8cc,0x6c5fe47e,0x127d42f8,0x44a87905,
    0x0fa1f50f,0x98bee0b3,0x5de5c05f,0xd77d700c,0xa85dd505,0x177542ee,
    0x2e4885d3,0x37e619cf,0x2b7e64fa,0x3eb7e64f,0x93eb7e64,0x264fadf9,
    0x3e64fadf,0x56f44ccc,0x31de542d,0xdb819b7d,0x5ecbffdb,0x3f21de54,
    0x6f5c1fec,0xc83fa2cb,0xfb11fecf,0x32059f3b,0x8bd03bcf,0x643bacea,
    0x01dc0dab,0x45d957d5,0x200081d9,0x00000008,0x00002000,0x00000000,
    0x08010000,0x00000530,0x04400201,0x000041d4,0x02000040,0x18800400,
    0x00009f50,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55471000,0x005d302a,0x0b829862,0x20d4d400,
    0x2055443b,0x0cc0b819,0xd309441c,0x554cdb19,0x40aaa98a,0x273661c9,
    0x531c4e1e,0x2a201355,0x200aa63d,0x9839103a,0x1c45c1bb,0x17115553,
    0x64fa389c,0xaaaaa805,0x1a9441aa,0x983b8188,0x1ff0511c,0xd301af60,
    0x1263cc43,0x2c6c0754,0x3aeba074,0x44987b10,0x741543d8,0x3ed7e3ff,
    0xfb339fb1,0xee84c819,0x07baa0ca,0x81dd37fb,0x3be27aaf,0x5c07a009,
    0x4c699f84,0xa9fe41ee,0xf83f6e4f,0xfb100db4,0xbb07933d,0x3a21b60d,
    0x3fc01e40,0x26031188,0x02c5b80f,0x811101d5,0x7c4fd408,0x320b0f24,
    0xf8101623,0x67e44fb5,0x0c0bfc99,0x20ee07e8,0x4cdf12fc,0x4f7c411f,
    0x40c03100,0x5c0fdcf9,0x12a2fc83,0x0db4f859,0x142df370,0x01880e4c,
    0xff001811,0x8ed8ceb8,0xd80efc4a,0x71000391,0x70dbc879,0x23c97e5f,
    0x06c7901c,0xdafc3ea8,0x5f91fe47,0xd0f4e6cc,0x3d39b30d,0x23fd17e4,
    0xd5bf02fa,0x1f6674c5,0x2a3db595,0xedaca82f,0x21a8bf21,0x6da7c3ea,
    0x3b7c54c0,0x23ecce98,0x2a1edaca,0x150faa3e,0xdafc47f8,0x33e6099f,
    0x265791fc,0x97c14024,0x2151f52f,0x3a2bf3f9,0xe882498d,0x3e013a8d,
    0x647db744,0x42feccdf,0x1ba0caee,0xda865774,0x13fc8acf,0x8ef822df,
    0x3ec77c7d,0x5f897e65,0x22fcca11,0x9f0112fc,0x00feafc4,0x82e7fc4e,
    0x4ca7d8ef,0x27c4f85f,0xf90ff13e,0xfb857f71,0x54b04f8a,0x8fd41c85,
    0xb83ff35f,0x54b03fce,0x13b2b105,0xfb7f913e,0x5f91fe43,0x0ff887e8,
    0x45f907e8,0x0ffaa3fd,0x2bf1f6bf,0x540fe87d,0x40fe82ee,0x127c02fc,
    0x207f99ff,0x48efbaaa,0x3a1f6bf0,0x27c4f80f,0x43fca6fa,0xa85dd6f9,
    0x2390df2f,0x5436c5c9,0x7fd4bf1f,0x1c80fb81,0xa8360b93,0x09084f85,
    0x217e47f9,0x3a06e06e,0x7fc5f906,0xcafc15c1,0x5c7dafc7,0xf701703f,
    0x4285f907,0x0083264f,0x12b7c451,0xfb8fb5f8,0x44f89f03,0x20df6d9c,
    0xf881f74e,0xb14989d3,0x753e21d9,0x54fe5f12,0x0f442f98,0x0ecd8a4c,
    0x3e0321d4,0xfc81f105,0x0dd0bf23,0xc83741ec,0xb50bf32f,0xbf1f6bf0,
    0x316f89f6,0x5be20fc4,0x8b0ff218,0x2401aa5f,0x5f891be2,0x18b7c4fb,
    0x2317e2fc,0x3701fbc9,0x2d754162,0x41d9512c,0x5e543b5f,0x443ab6a3,
    0x544b01ba,0xb71620ec,0x700efa8b,0x237f623b,0xff10dfe9,0xff103101,
    0xecdfe881,0x7cc09883,0xff31fe8e,0x37f23fd1,0x90ed41ec,0x3a63d9bf,
    0x2a5ebaef,0x900730ef,0x2ffee21b,0x23fe65eb,0xd9bf91fe,0xfa877d43,
    0x8100200e,0x40c40400,0x80ddc408,0x18800100,0x2604c088,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09d10000,0x82ea0233,0x9d30eeec,0x30d4c7d5,0x3b603555,0x86de40ee,
    0x261532aa,0xa98c301a,0x9b7500aa,0x30b89a98,0x2a013555,0x3ba22eee,
    0x2aaaa64e,0x3ae1c2aa,0x002a8b34,0xd3015553,0x13287d99,0x5d40a028,
    0x52dde440,0x1c05d99d,0x5301816e,0x260ecc83,0x666c0ffd,0xff066624,
    0x227c4fb1,0x266203fc,0xa8547d41,0x04f8963f,0x1fe41fd9,0x21fa9f88,
    0x364fbcf8,0x440ee9bf,0x4ccc0999,0x2bfa6ee0,0xdf117669,0x001ff0a2,
    0x8ef80bf2,0x936be27d,0x40fea85b,0x53a26ffe,0x323be27d,0x36c7b80f,
    0x89f101d0,0x881108a2,0x43cb884f,0x44f8f96e,0xb7500afc,0x7c1ff989,
    0x204f8336,0x7017e409,0x8cf85f91,0x7c4bf24a,0x1b633a66,0xfb143773,
    0x2277dca3,0x0d9829fb,0x055bf900,0x5011f6bf,0x41fb09df,0xf51fe8a9,
    0x2e9f1f65,0x003f4c2f,0x513e09f5,0x76674c7d,0x4be13e23,0x23e5ba2f,
    0x0b3f20df,0x507ea7e2,0x1cfe43ff,0x43ea827c,0x2b2a02fc,0x20aa7c2f,
    0xf87fa2fc,0x699f8fb5,0x0bf03fb0,0x17105bf1,0xf90bd5db,0xb5f8bf35,
    0x2fc3ea8f,0x4f700fc8,0x4f8fb2fb,0x3e5c45f5,0x3e0ff900,0x477c4f84,
    0xf513e27d,0xf96e97e3,0x01fe45f8,0x4545f917,0x0f3e62f9,0x13e1a73e,
    0xf98765f9,0x467c2fba,0x22b3f6a0,0x3ed7e3fc,0x4c1fb9f3,0x3ee2bfea,
    0x180fd84e,0x907eabf2,0x5f83fa5f,0x5f89f0fb,0x93601f90,0x5f8fb3f9,
    0x47c9c3f7,0x3fc9984c,0x7c4f84f8,0x227c4fb5,0x3e2bf1fa,0x13ea7c8f,
    0x565405fb,0x43ab6a2f,0x20abfeaa,0x44f838cf,0x7cc392fc,0x827c4fad,
    0xf8ff62fc,0x017d4fb5,0x417e07f6,0xa8fc8059,0xfe97e42f,0x3fd1ff30,
    0xc82fc4f8,0xeb86880f,0x7677c7ec,0x87f66aa3,0x6f99c0fe,0x7c4f84f8,
    0x227c4fb5,0x3207f2f8,0xfca93e27,0xfbaf9942,0x36662c42,0xf027c19f,
    0x4142fc89,0xf904f838,0x2bf0ffc5,0x0457e27e,0x02fc0fec,0xf51f9005,
    0x2eccfc85,0x89f00c88,0x901f905f,0xf1f61021,0xffff9029,0x5564438d,
    0x7c27c2fe,0x227dafc5,0x83bca84f,0x227c6cba,0xdf9ac3fc,0x261e84fa,
    0x2fc19fe9,0x43fc8bf0,0x05f85b85,0x917e65f9,0x7543fd9f,0x903fd02e,
    0x8016dc1d,0x642fa8fc,0x80f4403f,0x6c07645f,0x1e66e40f,0x413e27d8,
    0x261fd998,0xf17ea241,0xf30efa8b,0x3ee3fd1f,0x2e20100e,0x443bea0b,
    0x05ecadfe,0x3fe60260,0x54077d43,0x5dfd30ef,0x1b910bd7,0xfd103bea,
    0x00207d9b,0x00cff980,0xfd001c98,0x7f4c9f95,0x5406600c,0xfe9800ef,
    0x5ffff50b,0x3aa5db30,0x203e401d,0x4ffea1fa,0x00000efa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0154c000,0x81355553,0xa80aa61a,0x2aa66ebc,0x5532aaaa,0x55530135,
    0x2aa61555,0x5530aaaa,0x21555315,0x5530aaa9,0x4c6aa615,0xaa980aaa,
    0x531aaa81,0x55530355,0x15440135,0x2aa15553,0x55555541,0xa98aaaa1,
    0x33333332,0x3bba20e0,0x1c0a0004,0x576c674c,0x2eeef263,0x05f8faa3,
    0x0774dfe4,0xf305f89f,0x4ddc3f35,0x3f669afe,0x7e40de9b,0x3f21e99b,
    0x3f22d99c,0x7f90ff23,0x20f43fc8,0x3ff203fc,0xf913fa20,0xafd89f57,
    0x9fa81fd9,0x0772fec7,0x81ff115d,0x0186c3fe,0x4ccc1a01,0x88f32e20,
    0x581f8bcc,0x4ebf6bf0,0x8badf2f8,0xf9017e4f,0x4098fee5,0xf13f505f,
    0x8a3fb145,0xc8df12fc,0x7dc3313f,0x23fc8a23,0x21fe42fc,0x901913fb,
    0x1fe5c05f,0x2fb87f75,0x997e41fd,0xf107d85f,0xd8a0913f,0x226fa83f,
    0x06804062,0x7f3f87d5,0xb01df9fc,0x2a3ed7e0,0x49b5dd1f,0x0edd7e4f,
    0xa8fecbf2,0x1766fc3e,0x201d79b1,0x22fc81fd,0x22ff21fe,0x9073fb83,
    0x3217e47f,0x24dfdc3f,0x4dc05f90,0x70feee6f,0xfc83fa5f,0xfea8bf32,
    0x007df703,0x9fec0df5,0x32e080c3,0x27c3ccfc,0x2adf75f3,0xccb8bf1f,
    0x6d7e4cce,0x06e8fdc7,0x80bafc9f,0x7c1fedfc,0x23ec77c4,0x0fec009b,
    0x47fb17e4,0xfb83edfc,0xcdfc85dd,0x1fe42fec,0xc817f7ee,0x57ece02f,
    0x7dc3fb99,0x5fe42fcc,0x07d81eda,0x3e2027ec,0x2bfe602f,0x262080c1,
    0x27c099e9,0x2add1bf5,0x9988bf1f,0x757a199e,0x1ff8fc47,0x79bf27c3,
    0x17ecbf20,0x4fb5f89f,0xb01bccf9,0x6c5f903f,0x0eaff23f,0x32166fee,
    0xf90bf23f,0x4febfb87,0xa9c05f90,0xb87f73df,0xd7f900bf,0x701f605f,
    0x2fe403ff,0x80c27e40,0x127c0d00,0x97c53e7f,0x7e41603f,0x5dd41fdb,
    0xdf50cfed,0x203f7be1,0x7cdf32fc,0x6c7cafc4,0x3fb06fee,0x0ffc5f90,
    0xf70ca7f9,0xc8ff20a7,0x2e1fe42f,0xc82ff8bf,0x7f47142f,0x2fb87f72,
    0x3fe2bf20,0x2a607d80,0x1ff306fa,0x427dc04c,0x7e65c101,0x932fc3cc,
    0x3bda8b7b,0x200102c0,0x237e0020,0xf52fc86f,0x6d7e2fc9,0xd06892a7,
    0x265f903f,0x911fe44f,0x7f901fdc,0x0ff217e4,0x07fe67f7,0xb8e587f9,
    0x5f70fee6,0x6fb97e40,0x6c7107d8,0x2c3fe84f,0x99984fb8,0x26621999,
    0x3bea0999,0x20020080,0x40000000,0x24fc8ef9,0x0bdbdfe9,0x3be61df5,
    0x2eee1fe8,0x0bff980a,0x0f737fa6,0x9fb7dfd1,0x22037f62,0xdfe98dfd,
    0x221bfd10,0xffe88dfd,0xd75dfd32,0x89c4ba6b,0xbfb10dfd,0x219fd301,
    0x07fa24fd,0x1ffdc7d5,0xfd975ff7,0x003bfb10,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6d8ce980,0x2f216544,0x5e5ed545,0x1edd4003,
    0x9d71ddc4,0xceb80126,0x444a8ed8,0x237a61bb,0x3af3a62c,0x0a80dd9b,
    0x8f6d6545,0xb02ebce9,0x3a617120,0x1881db8d,0x39b10714,0x06614c3d,
    0x14c19835,0x40a06633,0x3332a1b9,0x3332a4cc,0x65e404cc,0x7dafc5bd,
    0x1d53d4fc,0x3e67e215,0x407323d4,0x7c1fa9f8,0x4dbe25f2,0x7c572201,
    0xe8131fb5,0x1d7e4699,0x4d7e4774,0x23ba4c3f,0x8ef8bf32,0x3660307d,
    0x0baf43c8,0xaac45a88,0x10caee84,0xa9d654f3,0x547b10fa,0x1badd2da,
    0xdad987f1,0x33333311,0x34ccccc4,0xc88e88e6,0x267dafc3,0x0ffcc10f,
    0x36b3ee2e,0x2e0fb263,0x47e61fc8,0x40a7ee5f,0x47e41dda,0x5fcc2bfb,
    0x41fe20fc,0x7f11f75e,0xe83547cc,0x27cafc0f,0x43cccccb,0x3bde83f9,
    0x23ebbf88,0x07e87d4c,0x12cddcb7,0x36e23c8d,0x3b1369b2,0x5398dc1d,
    0x00777777,0x88ae688b,0x2a7dafc5,0x41ff502f,0xa804f9da,0x87eb2a4e,
    0x7c4bf1fa,0x805f542c,0xa85dd5f9,0x20bf202f,0x7f11f75e,0x543647d4,
    0x4f95f83f,0x40999998,0xfdee85cc,0x6b817700,0x3605e8bb,0x45c57911,
    0x2dcc8f20,0x5498ae55,0x98e464c9,0x80199999,0x447504c1,0x227daf44,
    0x2626116f,0x3be5f12f,0x1dda8188,0x443f75f3,0x87d87f1f,0x53a03dc8,
    0x8afc40fb,0x3a1baa20,0x87f11f75,0xb7c4593b,0x83e57e18,0xd1667905,
    0x5970df1b,0xe8598e8b,0x5c02ac85,0x809b11ff,0xb06c1108,0x0000e4c1,
    0xeabf9800,0x0ff67e43,0x56d47dd5,0xf57ff30d,0x05f5c4bf,0x513eb7e2,
    0x80930759,0x88dc1cda,0x4c5dd505,0x3e24fd8e,0x5fabfd8f,0x67e470b8,
    0xd1df31ec,0x3060503f,0x27e477cc,0x88385410,0x000000ef,0x00000000,
    0x5cdc0000,0x0000848b,0x0ae04002,0x00200000,0x0010224c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x279020c9,0x87621889,0x11110419,0x89ddd411,0x02eeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33f99e40,
    0xf33d66cd,0x2afb72a5,0xbbbbbb13,0x001376e3,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31d88c00,0x22180201,
    0x000000bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_14_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_bold_14_latin_ext_y[560]={ 11,2,2,2,2,2,2,2,2,2,2,3,9,7,
9,2,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,12,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,11,4,2,2,3,2,
2,2,2,2,2,5,5,7,2,1,2,3,2,2,2,5,2,5,10,2,2,5,2,2,2,4,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,4,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,3,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,2,2,0,2,0,3,-1,2,2,2,0,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,0,2,0,3,-1,2,-1,2,-1,2,2,5,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_bold_14_latin_ext_w[560]={ 0,3,5,7,6,12,10,3,5,4,6,7,3,4,
3,4,6,6,6,6,6,6,6,7,6,6,3,4,7,8,7,6,12,9,8,9,9,8,8,10,10,5,7,10,
8,12,9,10,8,10,10,7,8,9,10,13,10,9,9,3,4,3,7,8,3,7,7,6,7,6,6,7,7,4,
5,8,4,11,7,6,7,7,6,5,5,7,7,10,7,7,6,4,2,4,7,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,6,7,7,7,
2,6,5,10,4,7,8,4,10,8,5,7,4,4,3,8,7,3,3,4,4,7,10,10,10,6,9,9,9,9,
9,9,14,9,8,8,8,8,5,5,5,5,9,9,10,10,10,10,10,7,10,9,9,9,9,9,8,7,7,7,
7,7,7,7,9,6,6,6,6,6,5,4,5,5,6,7,6,6,6,6,6,7,6,7,7,7,7,7,7,7,
9,7,9,7,9,7,9,6,9,6,9,6,9,6,9,10,9,7,8,6,8,6,8,6,8,6,8,6,10,7,
10,7,10,7,10,7,10,7,10,7,5,5,5,5,5,5,5,4,5,4,11,7,7,6,10,8,8,8,4,8,
4,8,6,8,6,8,4,9,7,9,7,9,7,11,10,7,10,6,10,6,10,6,13,9,10,6,10,6,10,6,
7,5,7,5,7,5,7,5,8,5,8,7,8,5,9,7,9,7,9,7,9,7,9,7,9,7,13,10,9,7,
9,9,6,9,6,9,6,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,7,5,5,10,
6,9,7,9,7,9,7,9,7,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,7,14,9,10,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_14_latin_ext_h[560]={ 0,10,5,10,10,10,10,5,12,12,6,8,5,2,
3,10,10,9,9,10,9,10,10,10,10,10,7,9,7,4,7,10,12,9,9,10,9,9,9,10,9,9,10,9,
9,9,10,10,9,12,9,10,9,10,10,10,9,9,9,12,10,12,5,2,3,7,10,7,10,7,9,9,9,9,
12,9,9,6,6,7,9,9,6,7,9,7,7,7,6,9,6,12,12,12,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,12,10,7,9,
12,12,3,10,5,6,4,2,10,1,5,8,5,5,3,9,12,3,4,5,5,6,10,10,10,10,12,12,12,11,
11,11,9,12,12,12,12,11,12,12,12,11,9,12,13,13,13,12,12,6,10,13,13,13,12,12,9,10,10,10,
10,10,10,10,7,9,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,6,8,10,10,10,10,12,12,12,
11,9,12,10,12,9,13,10,13,10,13,10,13,10,12,10,9,10,11,9,12,10,12,10,12,9,12,10,13,12,
13,12,13,12,12,13,12,12,9,9,11,9,11,8,12,9,12,12,11,6,10,12,13,12,12,12,6,12,12,12,
12,9,9,9,9,9,9,13,9,12,9,13,9,9,10,9,12,9,13,10,13,10,10,7,12,9,12,9,12,9,
13,10,13,10,12,9,13,10,13,12,12,10,9,9,12,10,12,9,13,10,13,10,13,10,12,9,13,10,12,12,
11,12,9,11,9,12,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,10,12,9,13,
10,13,10,13,11,13,12,13,12,13,12,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,13,12,10,13,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_14_latin_ext_s[560]={ 254,252,212,27,132,179,149,252,247,250,165,
224,252,40,19,179,233,198,205,54,228,1,20,233,226,58,252,235,71,232,40,
211,79,240,10,168,49,59,68,241,77,88,1,94,105,114,44,12,127,68,136,
218,40,201,125,105,154,175,165,39,15,250,218,31,1,48,117,17,206,90,147,
32,24,19,203,1,250,105,132,56,220,212,180,24,192,9,63,79,97,149,125,
11,16,34,23,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,254,178,43,
81,1,64,50,61,13,168,207,117,241,40,1,45,226,194,197,187,9,202,92,
5,250,202,192,172,65,76,27,38,100,121,142,65,75,85,211,163,173,182,191,
95,200,206,212,124,133,229,1,23,124,239,1,148,214,145,165,186,12,22,169,
109,101,93,85,77,69,61,30,143,37,30,23,248,241,247,1,186,226,7,212,
205,198,191,184,140,208,160,152,144,136,53,61,69,55,50,77,73,87,94,207,
42,227,35,34,20,62,8,97,241,109,225,130,127,107,192,144,172,194,173,241,
199,82,209,103,9,196,1,228,72,32,239,101,150,23,87,29,202,180,79,222,
217,17,251,160,186,80,173,162,153,156,135,130,121,116,187,102,85,72,41,36,
217,158,43,178,19,226,157,190,28,218,21,96,125,61,45,139,241,152,112,131,
119,110,126,39,52,88,119,53,58,11,57,247,28,19,233,134,143,1,97,231,
119,1,89,237,240,29,182,155,93,47,9,125,188,45,212,166,35,234,107,180,
15,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,139,185,185,222,
185,185,185,185,185,185,185,185,185,185,185,185,185,104,215,185,185,185,185,185,
185,185,185,185,185,185,185,185,135,232,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,202,49,
196,196,175,153,155,160,135,116,114,117,93,147,72,165,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,52,44,173,63,12,219,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185, };
static unsigned short stb__times_bold_14_latin_ext_t[560]={ 15,55,121,68,79,55,55,93,42,29,121,
111,87,129,129,68,68,101,101,79,101,68,90,79,79,90,79,101,121,121,121,
79,29,101,111,79,111,111,111,79,111,111,90,111,111,111,79,79,111,29,111,
79,111,79,68,68,111,111,111,29,68,15,121,129,129,121,79,121,55,121,111,
111,111,111,42,111,101,121,121,121,101,101,121,121,101,121,121,121,121,101,121,
29,29,29,129,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,15,79,29,
68,121,101,29,29,129,68,121,121,121,129,79,129,121,111,121,121,129,90,29,
129,121,121,121,121,90,90,90,90,29,29,29,55,55,55,90,29,29,29,29,
55,29,29,29,55,90,29,1,1,1,29,42,121,55,1,1,1,42,42,101,
79,79,79,79,79,79,79,121,90,79,79,79,68,90,90,101,101,68,101,68,
68,68,68,68,121,111,68,68,68,68,42,42,42,55,101,42,68,42,101,1,
68,1,68,1,68,1,68,42,55,101,55,55,101,42,55,42,55,42,90,15,
55,1,42,1,55,1,55,42,15,42,42,90,90,55,90,55,111,42,101,42,
42,55,111,55,42,15,42,42,42,121,42,42,42,42,90,101,101,101,101,101,
1,90,42,101,15,90,101,79,101,29,101,15,79,15,90,79,111,29,90,29,
90,29,90,15,90,15,68,29,101,15,68,1,29,29,55,101,101,29,68,15,
101,15,68,1,68,15,79,15,90,15,90,15,15,55,15,90,55,90,15,90,
101,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,55,111,111,15,
111,111,111,111,111,111,111,111,111,111,111,111,111,55,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,15,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,15,68,
15,90,1,79,1,79,1,55,1,15,1,15,1,15,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,1,1,15,68,1,68,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111, };
static unsigned short stb__times_bold_14_latin_ext_a[560]={ 51,67,112,101,101,202,168,56,
67,67,101,115,51,67,51,56,101,101,101,101,101,101,101,101,
101,101,67,67,115,115,115,101,188,146,135,146,146,135,124,157,
157,79,101,157,135,191,146,157,124,157,146,112,135,146,146,202,
146,146,135,67,56,67,118,101,67,101,112,90,112,90,67,101,
112,56,67,112,56,168,112,101,112,112,90,79,67,112,101,146,
101,101,90,80,45,80,105,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,51,67,101,101,101,101,45,101,
67,151,61,101,115,67,151,101,81,111,61,61,67,117,109,51,
67,61,67,101,152,152,152,101,146,146,146,146,146,146,202,146,
135,135,135,135,79,79,79,79,146,146,157,157,157,157,157,115,
157,146,146,146,146,146,124,112,101,101,101,101,101,101,146,90,
90,90,90,90,56,56,56,56,101,112,101,101,101,101,101,111,
101,112,112,112,112,101,112,101,146,101,146,101,146,101,146,90,
146,90,146,90,146,90,146,148,146,112,135,90,135,90,135,90,
135,90,135,90,157,101,157,101,157,101,157,101,157,112,157,112,
79,56,79,56,79,56,79,56,79,56,166,112,101,67,157,112,
112,135,56,135,56,135,95,135,80,135,56,146,112,146,112,146,
112,147,156,112,157,101,157,101,157,101,202,146,146,90,146,90,
146,90,112,79,112,79,112,79,112,79,135,67,135,105,135,67,
146,112,146,112,146,112,146,112,146,112,146,112,202,146,146,101,
146,135,90,135,90,135,90,56,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,149,157,157,101,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,112,157,157,157,157,157,157,
157,157,157,157,157,157,157,161,121,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,146,101,79,56,157,101,146,112,146,112,146,
112,146,112,146,112,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,146,101,202,146,157,101,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_14_latin_ext(stb_fontchar font[STB_FONT_times_bold_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_14_latin_ext_s[i] + stb__times_bold_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_14_latin_ext_t[i] + stb__times_bold_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_14_latin_ext_x[i];
            font[i].y0 = stb__times_bold_14_latin_ext_y[i];
            font[i].x1 = stb__times_bold_14_latin_ext_x[i] + stb__times_bold_14_latin_ext_w[i];
            font[i].y1 = stb__times_bold_14_latin_ext_y[i] + stb__times_bold_14_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_14_latin_ext_s[i] + stb__times_bold_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_14_latin_ext_t[i] + stb__times_bold_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_14_latin_ext_x[i] + stb__times_bold_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_14_latin_ext_y[i] + stb__times_bold_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_14_latin_ext_LINE_SPACING
#endif

