// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT        150
#define STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_15_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_15_latin_ext_LINE_SPACING          10

static unsigned int stb__times_bold_15_latin_ext_pixels[]={
    0x00620000,0x31000000,0x0002e980,0x00a60000,0x00000000,0x00000000,
    0x20000010,0x98000000,0x00011000,0x26041a80,0x0274003f,0x06a00bd0,
    0x099013a0,0x0ec02f40,0x2017fc40,0x93a805d8,0xb003b803,0x5dd9005f,
    0xc801fb80,0x1fb80599,0x006c55c0,0x7e4007f4,0x00bb8805,0xa807c7c4,
    0x02cc347f,0x2cc00b30,0x5980bd00,0xd1000b80,0x01a8a801,0x2a02c55c,
    0x5ee801a8,0x200d4540,0x8a806ad9,0x803b801a,0x1d801ff9,0x7007ff00,
    0x8d880979,0x0d54401d,0x440eaae0,0x041a3a8d,0x20081100,0x03fe6000,
    0x2e600a98,0x8018800b,0x08400989,0x80098980,0x4c4c00b9,0x80110c00,
    0x01000989,0x00400aa0,0x18600530,0x80188840,0x40108019,0x36668210,
    0x36604dbe,0x981bbcbd,0x5c04dbed,0x0e2e04fc,0x2200bb98,0x265dcbed,
    0x1bb31efd,0x5dcbed88,0x6cc7bf66,0x65f6c40d,0x47bf665d,0x76cc0dd9,
    0xefd984db,0x3661bb31,0x21bb31ef,0xbb31efd9,0x4c7bf661,0x5f6cc0dd,
    0x1efd984d,0xdd881bb3,0x3662cdcb,0x21bb31ef,0xbb31efd9,0x966564c1,
    0x37449f56,0x0dd127cc,0x837449f5,0x700ff9a8,0x202b8075,0x2e3c46e8,
    0x3a20cc4f,0x13ee3c46,0x446e8833,0x06627dc7,0x437449f5,0x2e0cc4fb,
    0x3ee0cc4f,0x13ee0cc4,0x224fa833,0x4c4fb86e,0x1742fcc1,0xb83313ee,
    0x87a0cc4f,0x83ff172b,0x307fc4fc,0x0ffc49fd,0xfd8e13f2,0xe8017103,
    0x0e07fa05,0x741989f7,0x27dc381f,0x703fd066,0x10cc4fb8,0x44fc83ff,
    0x2e0cc4fb,0x3ee0cc4f,0x13ee0cc4,0x20ffc433,0x227dc4fc,0x4c0ff419,
    0x06627dc2,0x261989f7,0xff9860df,0xff337dc0,0xf337d5c4,0x446fb81f,
    0xd86fcaac,0xff302faa,0x001ff101,0x221989f7,0x4fb800ff,0x01ff10cc,
    0x21989f70,0x37dc0ff9,0xb83313ee,0x3ee0cc4f,0x13ee0cc4,0x207fcc33,
    0x227dc6fb,0x003fe619,0x706627dc,0x7fc1989f,0xa87fa83f,0xa45fea7f,
    0x21fea7fa,0x3a0647fa,0x3e2fe22f,0x509f9704,0x13ee00ff,0x803fd433,
    0xf50cc4fb,0x313ee00f,0x7d43fd43,0x06627dc7,0x5c1989f7,0x3ee0cc4f,
    0x0ff50cc4,0x44fb8ff5,0x801fea19,0x2e0cc4fb,0x3a60cc4f,0xff1d0dff,
    0xbfccbf70,0x7f897ee4,0x8bea5fb8,0x2621ffe9,0xf9a885fc,0x803fcc0f,
    0xf30cc4fb,0x313ee00f,0xb803fcc3,0xff10cc4f,0x4fb8bf70,0x313ee0cc,
    0x0cc4fb83,0x443313ee,0x5c5fb87f,0xff30cc4f,0x2e0ceda8,0x3ee0cc4f,
    0xffb80cc4,0xf903f6d4,0x320cff85,0x3207ec3f,0xc848802f,0x36385f8d,
    0x801ff83f,0x3e0545fa,0x45fa801f,0x400ffc0a,0x360545fa,0x2a17e40f,
    0x3ea0545f,0x17ea0545,0x545fa815,0x3f207ec0,0x02a2fd42,0x42fe83ff,
    0x2a0545fa,0x4330545f,0x8fead6e8,0x24fa86e8,0x23fa85f8,0x8b7006e8,
    0x445f9cf9,0xa86fcaac,0x37cc485f,0x1217ea12,0xfa848df3,0x237cc485,
    0x3a23fa84,0x4246f986,0x7cc246f9,0x237cc246,0x3a23fa84,0x4246f986,
    0x217f45fa,0x7cc246f9,0x79166246,0xcdade99a,0xdabeba80,0x36b7a604,
    0x1dd1000c,0x83ba77e2,0x4c17f40c,0xa80ccbed,0xb301bbdf,0xf501997d,
    0x3660377b,0xfa80ccbe,0xbd301bbd,0x3ea019b5,0xbf501bbd,0x37ea0377,
    0x7bf501bb,0x2b7a6037,0x7bf500cd,0x2b7a6037,0xdfa80dea,0x7bf501bb,
    0xbade9837,0x30020d0c,0x00200044,0x17d40000,0x0c03ffd3,0x00c00080,
    0x800c0008,0x10004000,0x01000400,0x00200040,0x004c0008,0x40020008,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000000d4,0x002a2000,0x21880980,
    0x10001001,0x4c00a880,0x80004c02,0x6cc00018,0x01bb12ef,0x200d4001,
    0x0000298b,0x90062ae2,0xa8010733,0x2cc6c02f,0x4007fa80,0x2b104bbc,
    0xfe82f43a,0x2a03f704,0x05b5b01f,0x3ee09990,0x743bac41,0x0bfe204f,
    0x9f0006c8,0x70573980,0x3b02a89f,0x03fd40b3,0x200d95f1,0x7fedc04f,
    0x40f7d400,0x4c016406,0x8d8801ff,0x06d6003a,0x0790fd90,0x3b01b175,
    0xbf300e40,0x2031d300,0xa8df901d,0x22b20393,0x20006c05,0x0bdb0049,
    0x203313ee,0x1b101ff9,0x54000075,0x00010805,0x400101a0,0x0081002a,
    0x2e200420,0x20404c41,0x51710180,0x05517105,0x80203744,0x226621a8,
    0x40208098,0x2002a8b8,0x402a2000,0x500cc4fb,0xb3020405,0x037663df,
    0x5f6cc004,0x1efd984d,0xd51a1bb3,0xa86eccbf,0x437665fe,0x9ff74ffb,
    0x3b660754,0x959304db,0x2a1be659,0x2b261dff,0x367e62cc,0x05d9f985,
    0x9dd13ffa,0x3661dfd9,0x6cdf51ef,0x5c1bff50,0x1767e61e,0x337ffa60,
    0x333ba1fd,0x13ee0efe,0x980d4033,0x227dc07f,0x837fea19,0x893ea1eb,
    0x4c4fb86e,0x8ffee1a1,0x31ffdc29,0x3f63fe85,0x49f50a23,0x2e1e86e8,
    0x1fec1be2,0x3312b87a,0x31988266,0x213e6013,0xf70bfe24,0xb870fd8b,
    0x3310dc6f,0x37200266,0x22486e2f,0x227dc2ff,0xe817a019,0x2627dc07,
    0x86e37dc1,0x27e41ff8,0x343313ee,0x1997fd5c,0x1997fd5c,0x4df537d4,
    0x320ffc43,0x1837e64f,0x317ec1be,0x7f88c1bf,0xcbfc45f9,0x305f702f,
    0x2fdc2fec,0x3a0273ea,0x2ff10e2f,0x6c5c02fc,0x3618252f,0x545fa85f,
    0x201ff300,0x9f70137e,0x22fe8198,0x2e07fcc3,0x2627dc6f,0x7fe4e1a1,
    0xffc9c198,0x71ff8198,0xff30e3ff,0x7fc6fb81,0xfb06f83f,0xe83fff85,
    0x57e85f57,0x803f605f,0x5fb80ffa,0xdf503fe8,0x7d5fa02e,0x57eca602,
    0x03fea039,0xcb81237c,0xfd9fd04f,0x0cc4fb81,0x540bb7d4,0x5c7fa87f,
    0x70d0cc4f,0x8e0cf7ec,0xfc819efd,0x8339f974,0x47fa87fa,0x3e0dffe9,
    0xe985fb06,0x55fa0dff,0x2fabf42f,0x3fe80fd0,0x5f70bf70,0xe8167f40,
    0x56c05f57,0x203fdfea,0x37aa03fe,0xf35101cb,0x3eafd01f,0x06627dc2,
    0x7c4167f4,0x7dc5fb87,0x470d0cc4,0x11c1efe8,0xff303dfd,0x109ff317,
    0x20bf70ff,0x3ff54ffb,0x3ee05fb0,0x17d5fa4f,0x4417d5fa,0x81bf205f,
    0x00f885fb,0x57e81fea,0x2666a05f,0xf9038afd,0x700ea00d,0xabf41fec,
    0x2a2fd43f,0x6c0ff500,0x2a17e40f,0x70d0545f,0x21c1ff88,0xbfd01ff8,
    0x0fd81ff4,0x443317e4,0x3695166e,0x6e88662f,0x3a17ddfa,0x7f105f77,
    0x4707fe60,0x980705fb,0x7ddfa07f,0x97ec3882,0x20ffcc31,0x64409b03,
    0x7e86fcaa,0x46f987f5,0xa81fe604,0x261ba23f,0x0e1a246f,0xf50707ea,
    0xfb87ea03,0x7447f500,0x54f22cc6,0x21fdbec6,0xbf71e459,0xcdfb8bf9,
    0x8074d45f,0xf72544fe,0x2004edcb,0x37ee07f9,0xfd8485fc,0x44fe9222,
    0x20bd304a,0x3a17f40c,0xbf507f57,0x3fcc0377,0x336b7a60,0x377bf500,
    0x20674c68,0x7033a61b,0x01623403,0x819b5bd3,0x20cbade9,0x7f5b31ed,
    0x0cbade98,0x36004004,0x9bff701b,0x3f627fb9,0x8805d31e,0x0100affc,
    0xfd511ec8,0x3ee9f97d,0x03fdccdf,0x3a62fa80,0x93ff31ff,0x440040bf,
    0x0800affc,0x00680200,0x10100000,0x01800400,0x000c0040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000800,0x930062e6,0x00080055,0x40800026,0xecefecfb,0x80001313,
    0x200200a8,0x3529804a,0x00200000,0x00020000,0x3bf66000,0x00405fcc,
    0x19337000,0x2036b260,0x6c07fffa,0x7ee404ff,0x555dc405,0x4075c03c,
    0x8d105739,0x4e29f91b,0x23ea06f9,0x984fe83e,0xf902ccac,0x101bfa00,
    0x21500ea9,0x263603c8,0x1d980984,0x3ea05f50,0x3ee0fb84,0x5f6c42c5,
    0x192b85dc,0xd01ff440,0x80000f65,0x12600000,0x401b01c4,0x9fe885ed,
    0x4127e410,0x0dd2606f,0x87a0e4ea,0xa800202b,0x406ec800,0xa80fc40d,
    0xe83900ff,0xae80b203,0x3ee0f41e,0x8dd10655,0x009dd078,0x3027ba00,
    0x37663dfb,0x6ccbfd50,0x23dfb30d,0x31660dd9,0x4c455131,0xa8809889,
    0x80aff980,0x31df04fc,0x4c44cc41,0x984ccc40,0xdb1060df,0xbb10bb97,
    0x22059b97,0x2616e01a,0x980aa01f,0x40102747,0xf7010608,0x07fa0b1b,
    0x30054c0e,0x2609b7db,0x44fb82ff,0x31ffdc19,0x0cc4fb85,0x1fdae896,
    0x21b37d47,0xecefecfb,0x4fc81be3,0x21fbbdf0,0xdd8366fa,0x3ffe1df9,
    0x3c46e883,0x98ba17e6,0xb04dbefe,0x6cc1f507,0xf01ddcef,0xdfb32ec3,
    0xfd983bb9,0x43dfb31e,0xf886eefb,0x77ecc00f,0x27d45fcc,0xfb3b0dd1,
    0x0cc4fb87,0x0ccbfeae,0x583313ee,0xd853f576,0xfc8dc70f,0x9037c714,
    0x7cdbe09f,0xf31c3f65,0xffd31ba7,0x1c0ff41b,0x90a607fa,0x883ba29f,
    0x5c0f883f,0x3e03fe4f,0x49f70f64,0x22fdc0ff,0x4afdc5fb,0xf7007fa8,
    0x07fe258b,0xf934c9f9,0x20cc4fb8,0x8331ff93,0x730cc4fb,0x293e2bea,
    0x4104e7d4,0x06f824fc,0x8b7c13f2,0x8273ea6f,0x2e0bf3f9,0x01ff14ff,
    0x9000ff98,0xf52fe49f,0xfb832605,0x5ba0bf64,0x364fb82b,0x2e2fdc2f,
    0x11afdc5f,0x5c01fe63,0xff98655f,0x9f137dc0,0x3313ee3c,0x067bf638,
    0x2a1989f7,0x25f71f92,0x203fe818,0x02fd04fc,0x8b7c13f2,0x5c1ff46f,
    0x88660ebd,0x500ff56e,0x27e400ff,0x817ccff5,0xfd27dc3c,0x0362bd01,
    0x207f49f7,0x22fdc5fb,0xff0e45fb,0xb1bf7003,0xff50ff50,0x5c2befb8,
    0x88e0cc4f,0x27dc1efe,0x5fb38866,0x7dc0a1f9,0x5c13f202,0x1efe984f,
    0xb89f36f8,0x9809c82f,0x07f99e45,0x76d47f98,0xf993f20c,0x1e60fe0f,
    0x07bb3bee,0xfb8991fc,0xfb81eece,0xfb12fdc5,0x541fd97f,0x77dc485f,
    0xb87f886e,0x40ffa85f,0x0e0545fa,0x5fa83ff1,0x57d52054,0xf1052ae9,
    0x8827e401,0xbdf01402,0x40f881db,0x262cddf8,0x3e0cbade,0x41ff801f,
    0x527e42fe,0xfa84c8ff,0x7fd67dc0,0x22ec1f00,0x80ffacfb,0x02fdc5fb,
    0x5f6cc0e6,0x4afdc0cc,0x2fc81fb0,0x2627444c,0x541c246f,0x1237cc1f,
    0x201300a6,0xa827e403,0x203d301e,0xd81c016f,0x1d81ffff,0x54485fa8,
    0x3217f45f,0xd317f24f,0x4fb83f30,0xe8b50bfb,0x5fda7dc4,0x2fdc5fb8,
    0x0d100f60,0x4311afdc,0x21ba23fa,0xbf50974d,0x0ce98377,0x5efd40dc,
    0x5105501b,0x4009db83,0x500a04fc,0x9db837c0,0x416c5a80,0x97db305b,
    0x55bd3019,0x24fc81bd,0x4c2980fe,0xe8a7dc0e,0x22641c3f,0x87fd14fb,
    0x02fdc5fb,0x0f8817a6,0x41c8bf70,0x80cdade9,0x00404bb8,0x10008000,
    0x26055557,0x77f4c02e,0x2a000081,0x02e982ff,0x10577791,0x40030015,
    0x9dfd3009,0x8844019d,0x8f7ecc0b,0x5c032ff9,0x263dfb32,0x3dfb12ff,
    0x0007bf62,0x3f620350,0x200fecbf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000400,
    0x00000800,0x80000000,0xd9800059,0x000282ef,0x00102040,0x0005ca60,
    0x08800530,0x02980002,0x3aa0e26a,0x4c37665f,0x7f911ffd,0x373bf661,
    0x40fdc01d,0x2202fffe,0x5f74c04e,0x01f200cf,0x7c402f98,0x5c07ea06,
    0x01fc400f,0x80770bf7,0x2add04fb,0x072b262f,0x9ed803ea,0x405e881f,
    0x7ec403fe,0x3202ddcb,0x03ff880e,0xf701f5bb,0x3ee14c7f,0x27dc0ec5,
    0x06cc01ff,0x50344000,0x2037449f,0x0059002c,0x0b60797b,0x04b80130,
    0x07542fdc,0xc80eae88,0x3eb83b33,0x00001b30,0x22ee01d1,0x81bf300d,
    0x5c03a02e,0x70000d8a,0x70665ff5,0x5c0322bf,0x980bf64f,0x4dbed981,
    0x3ff10080,0x00404fc8,0x80c30008,0xb97bb100,0xf7001059,0x8133310b,
    0x09881109,0x99988133,0x204ccc40,0x204dbed9,0x3a010200,0x0202982f,
    0xdffa8330,0xf9387ae0,0xdfb8331f,0xd27dc069,0x50fec01f,0x2637449f,
    0x25fccefd,0x37dc0ff9,0x06a00350,0x6fa80d40,0x31742fcc,0x7dc05dfb,
    0x8efceec5,0x5fccefd9,0xb17e5be2,0x6ec3bf3b,0x93ea1df9,0x77ecc6e8,
    0x915dfb31,0x07fcc7ff,0x6677ecc0,0x5c1fd85f,0xd8e0dc6f,0x77dc19ef,
    0x3bee03ff,0x7e401eec,0xfc83ff11,0xa962fdc4,0x207fa87f,0x00bd005e,
    0x746f817a,0x7dc2981f,0xf32fdc05,0x8bf717a7,0x32fab7c5,0x3f99ba7f,
    0x20ffc4dd,0x22fdc4fc,0x51fe25fb,0x2fdc00ff,0x3a07f216,0xe88e0e2f,
    0x56fdc1ef,0x59f701ff,0x1fc801ff,0x6fb81ff3,0x4432afdc,0x305fb87f,
    0xff9801ff,0x807fcc00,0x003fe66f,0x3ee027dc,0x227cfe65,0xdf0655fb,
    0xf9fccbea,0x32fcfe65,0x46fb81ff,0x12fdc5fb,0x20ff98ff,0x3ee0ceda,
    0x07f20655,0x1c05dbea,0xbf707fe2,0x3ee03ff2,0xfc80bfb4,0xff50ff51,
    0xd058dfb8,0x702fd81f,0xfcb809f9,0x827e5c04,0x801fea6f,0x2fdc04fb,
    0xf7036f6e,0x55be0b1b,0x03af6e2f,0x7d41d7b7,0x7dc7fa87,0xff12fdc5,
    0x7f42ff88,0x02c6fdc2,0x33fa03f9,0x83f50702,0x03bf65fb,0x0ffa29f7,
    0x0ff11fc8,0xeefb8bf7,0x6f87f506,0x01ff3510,0x403fe6a2,0xf80ff9a8,
    0xdb51fe66,0x1027dc19,0x04e43dfb,0xf06eefb8,0x09c8bead,0xff101390,
    0x5fb8bf70,0x7dd577dc,0x7f45fa87,0x03777dc2,0x1fea03f9,0x86e0674c,
    0xff91efd8,0x47bf663d,0x3f902ff9,0x0bf207ec,0xd8812bf7,0xd8e03ebd,
    0x1fec703f,0x3e0ff638,0x3fa0ffc6,0x22027dc2,0x1e6f7c44,0x7cc257ee,
    0xbf12fa9f,0x6efc459b,0x3207ec2c,0x2e2fdc2f,0x441fe25f,0x40cdabeb,
    0x7dc095fb,0x200ff301,0x0073001b,0x1fb8015c,0x86e88fea,0x406235fb,
    0x2b2205fb,0xac886fca,0xac886fca,0x46f86fca,0x217f45fa,0x132284fb,
    0xb8bffff2,0x5406235f,0x3ffff62f,0x87ffff61,0x21ba23fa,0x12fdc5fb,
    0x405880ff,0x706235fb,0x01fe603f,0x0f9802e4,0xc980d700,0x56f4c0fb,
    0x45fb80cd,0x273f201c,0x0bfa0640,0x642fe819,0x1be17f40,0x37aab7a6,
    0x8ae2fdc0,0xd8b30de9,0x83917ee1,0x8b51fad8,0x42d8b52d,0x80cdade9,
    0x12fdc5fb,0x00f980ff,0x263917ee,0xfc880fbc,0x02e600af,0xb8800dc0,
    0x01664400,0xbffd8802,0x54400fec,0xe98bea0a,0x4c5f51ff,0x45f51ffe,
    0xff31ffe9,0xd9804c03,0x01fdccff,0x222abbc8,0x0fecbffd,0x2f223cc8,
    0x2ef222bb,0xb100402b,0x3bf623df,0x203ffb89,0x3ff6201b,0x9b10fecb,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ae00000,0xfb10cedf,0x40531701,
    0x1301c00b,0x88373880,0x8b982a9b,0x2a07f981,0x814ddc6f,0x2efd980b,
    0x80000000,0x11703538,0x154dcc07,0x5f92c400,0x202aaa88,0x801000d8,
    0x2c800221,0x3f220040,0x7d40c9ff,0x83657c40,0x406603f9,0x3ee00bb9,
    0x05fc83f8,0x1fa09ffb,0x7f64cdf0,0xf703f882,0x2fffdc0b,0x4c13fff2,
    0x8fa87fff,0x01ffb84e,0xd0002fe4,0x3ba61b21,0x00be605e,0x2a01d993,
    0xadd986ad,0xfb32c9cd,0x301bb93b,0x193fffd9,0x20000fa8,0xb9812601,
    0x0000000b,0x198bf401,0x0600137c,0x00004fb8,0x04000000,0x77ecc000,
    0x6413db32,0x02a8b886,0x07d3d800,0x93ea17f4,0x77dc0ff8,0x3a6e17a2,
    0x540c9fff,0x2603500f,0x2b621efd,0x4c0ae03f,0x25fccefd,0x3501efd9,
    0x41e8bf40,0x87bf666f,0x0efeccee,0xfd9813ee,0x99dfb31e,0x980d40bf,
    0x03501efd,0x3f33bf66,0x06a27dc5,0x367e61b2,0x6677ecc5,0x1d1bf05f,
    0x0ffc4180,0x8df713f2,0xffcb41fc,0x07d40c9f,0x17ee05e8,0x7409b5b9,
    0x8b17ee05,0x817a05fb,0x8df0177e,0xff1245fb,0x5c04fb85,0x162fdc5f,
    0x17ee05e8,0x17ee05e8,0x0cc4fb8b,0x4c662364,0x162fdc09,0x0aa8a7f4,
    0xff99a72a,0x3ee37dc0,0x4911fe45,0x540c9ffc,0x00ff980f,0x03df8bf7,
    0xfb807fcc,0x0bf70655,0x7f403fe6,0x5c6f80ec,0x0bfb0c5f,0x5fb809f7,
    0x2032afdc,0xbf700ff9,0x5c03fe60,0x9f70655f,0x446c8198,0xfb85f97f,
    0x3f2e0655,0xf2f8790e,0x3ea1fea3,0x3f22fdc7,0x326e0ae5,0x65c07d40,
    0xf8bf704f,0x27e5c01f,0x7058dfb8,0x13f2e0bf,0x7c27dff4,0xfa82fdc6,
    0x284fb80f,0x1bf717ee,0x04fcb80b,0x3f2e0bf7,0x0b1bf704,0x903313ee,
    0x0beafd0d,0x3a0b1bf7,0x98b1bfb3,0xff12cacf,0x5fb8bf70,0x2e0b1fe4,
    0x207d40c9,0xb80ff9a8,0x8297ec5f,0xb80ff9a8,0xbf706eef,0x01ff3510,
    0xdf0bf6fd,0x7fd05fb8,0x45717ee0,0x777dc5fb,0x3fe6a206,0xa885fb80,
    0xefb80ff9,0x989f706e,0x57e86c81,0x6eefb85f,0xdfd14f98,0xfb04fa81,
    0x7dc2fc81,0x0588fe45,0x0fa81937,0xf707fb1c,0x81eff88b,0x3ee0ff63,
    0x217ee095,0xff30ff63,0x3e63ff53,0x3217ee1f,0x9ffb306f,0x2fdc3fb9,
    0x470257ee,0x85fb83fd,0x3ee0ff63,0x517ea095,0x2fd0d901,0x4afdc2fa,
    0xff52ff98,0x43be253b,0x0dd0fea1,0x9b2f6bf7,0x8193702a,0x2ab220fa,
    0x45fb86fc,0x5591008a,0x2bf70df9,0x22fdc311,0x06fcaac8,0x2e0dc072,
    0x20ffcc5f,0xf700b883,0x2235fb8b,0x3f2ab221,0x6445fb86,0xfb86fcaa,
    0x6f986235,0x7e86c824,0x35fb85f7,0xceffb862,0x7f545fea,0xcdade984,
    0x64f7ec40,0x5c0361de,0x907d40c9,0x7dc2fe81,0xd03201c5,0x645fb85f,
    0x81917ee1,0x209b02fe,0x3a2fdc5c,0x7442544f,0xfb8bf702,0xe8190e45,
    0x322fdc2f,0x3ee17f40,0x37ea0e45,0x70d901bb,0xfb8bf9bf,0x040c0e45,
    0x00010010,0x64dc0101,0x2fa8aa20,0x6c47ffa6,0xfa8021ef,0x447ffa62,
    0x0fecbffd,0x3ea3dfb1,0x307ffa62,0x44173015,0xbff71efd,0x5507fb99,
    0x447bf620,0x0fecbffd,0x7ff4c5f5,0x2a3dfb11,0x47ffa62f,0xfecbffd8,
    0x35300100,0x7fec4010,0x0000fecb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0x26006a00,
    0x22001300,0x02040030,0x0002200c,0x01318010,0x8110c131,0x10208108,
    0x00000035,0x4c662188,0x180a8809,0x00081022,0x02201000,0x18220550,
    0x3e63fa84,0x1ff705d9,0x7b8075c0,0x90977900,0x81b5950d,0x66d469ca,
    0xfe982ecb,0x40f65545,0x8bb068e9,0x8e40e9d9,0x32255e46,0x82dec46f,
    0xcdffcee9,0x223f81fd,0xad87f97f,0x34ecc2fa,0xa806564c,0x16d6542b,
    0x0160ef66,0x3d101ff5,0x5eab443d,0x220aa322,0x03603a8d,0x12b00390,
    0x82ec82dc,0x21d43f2f,0x367223fb,0x1be2be2f,0x16206e2e,0x8d341fe4,
    0x5d221dd8,0x2a275362,0x1b8ff64f,0xfabf424c,0x13e2fe23,0x1f5c0bf6,
    0x73f885c8,0x20facd8d,0x24c6c01c,0x3fa24fb8,0x23313889,0x4c662099,
    0x4cc66209,0x04cc6620,0x20180260,0x6567cc09,0x03fe6062,0xdf1c87ea,
    0x80998cc4,0x4c418089,0x0180da9e,0x6cfe2113,0x7f907f47,0x3a06062a,
    0xc9887f57,0x100a885f,0x301f7015,0xcf8f71df,0x220931f9,0x13199899,
    0x5ff30898,0x65fe2153,0x7e5fe22f,0x17e5fe22,0x40bf2ff1,0x6541e9da,
    0x0f4ed469,0xff8009f5,0x3f505c82,0x22fcbfc4,0x32a2c9e8,0xd9db70fb,
    0x134e543b,0x4fea593d,0xc8ff10fd,0xbca839bf,0x1fd5fa0f,0x5b17e372,
    0xfaad85f5,0x205e77c2,0x6e41defe,0x6fa8166a,0x744327f9,0xe81be2c9,
    0x57e85f57,0x5f57e85f,0x205f57e8,0xf2f8fb3f,0x227d9fc3,0x37aa30ef,
    0x43feaaaa,0x80d83ffd,0x7d45f57e,0x17457c33,0x25f07257,0x5c67f51f,
    0x3ea3fb3f,0x41fefe46,0x5f62e8af,0x273e63fb,0x3e2fe25f,0x93e2fe24,
    0x446f8cf9,0x0aa81fff,0x3fa0a239,0x7d475fb8,0xfd037c33,0x2afd0bea,
    0x2fabf42f,0xa82fabf4,0x3e63f93f,0x27f52cac,0x93faa1fc,0x82ff87fa,
    0xfd0286fa,0x5ff88bea,0x33660bea,0x59f31aea,0xa97fe259,0x3e61fb3f,
    0x21cdfe47,0x99f702fa,0x74efc4bf,0x17f2620e,0x7dcbf931,0x65ec1fb3,
    0xf9a4c07f,0x2ebee0f9,0x3fe219fd,0x2fd037c5,0xfabf42fa,0x42fabf42,
    0xf505f57e,0x27d43f67,0x40fd9fd4,0x223fc42a,0x00bb00ff,0x442fabf4,
    0x309f54fe,0x2a35d75f,0x29fd104f,0xff8fb3f9,0x528cff21,0x02a8409f,
    0x3e372064,0x32fc6e45,0x7d47f29f,0x86c03fd1,0x3e23f8ec,0xe886fa9f,
    0x7405fa4f,0x77e85f77,0x5f77e85f,0x205f77e8,0x77c4db3f,0x86d9fc30,
    0x2a1fc82f,0x41c8aa3f,0x3eefd06b,0xf97a26a2,0x24da230f,0x9a8c3be2,
    0x2753a5e8,0x23fd8fea,0x80c3fe58,0x983e602e,0x3e65f9cf,0xcaf45f9c,
    0x03647e67,0x17c76439,0x2a27c5b6,0x13ee5e89,0x22fe6fdc,0x5c5fcdfb,
    0x7dc5fcdf,0x59305fcd,0x44fea819,0xeb80cac9,0x2fcbeb84,0x6c14efdc,
    0xfcdfb80f,0xa87afa65,0x15d265fe,0x7d327f54,0x0756cc3d,0x77fdeecc,
    0x3faa4fdb,0xd813ea05,0xdd3bf12e,0x3ba77e21,0x9076ba60,0x12603959,
    0x4750d3d3,0x0f5f4c1c,0x00200200,0x10002002,0x00020080,0x40080110,
    0x80200200,0x04008440,0x04002008,0x00000200,0x80100000,0x01804c00,
    0x00004010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00020010,0x40153000,
    0x00098818,0x00088000,0x00802980,0x02602a80,0x00010131,0x00001510,
    0x18802a60,0x00400988,0x4004006a,0x20208000,0xd882cda9,0x75c5dcbe,
    0x677cc2f8,0x3a04fe82,0x2e04e884,0x80bac886,0x2cdcbdd8,0xf884cfd8,
    0x83bad82f,0x3e60f9cd,0x442f981f,0x2607e43e,0x2e04dbed,0x2f8eb838,
    0x741677cc,0x2213a04f,0x9b5d304e,0x64c07150,0xcda82cbb,0x77fb100d,
    0x8f88365f,0x446e88d4,0x540c9cc7,0x193b84c9,0x02c40b10,0x03d710b5,
    0x885d0bf3,0x89c81db9,0xa80cea85,0x22760c8a,0x8b102b85,0x893ea1fd,
    0x3075706e,0x99350327,0x22032750,0xb6c16205,0x825542fa,0x475099ca,
    0x540bf2f8,0x4575eabf,0xfe834bfa,0x40130381,0x98026009,0x81802600,
    0x1fe83f50,0x4c662298,0x19883009,0x18060133,0x7e418060,0xfc83ff10,
    0x5100b884,0x4402a201,0x2015100a,0xf56f80a8,0x26626623,0xb5df5220,
    0x3fa5f71b,0x99fd4c40,0x77fc4b12,0x4007fc40,0x6d41e9da,0x74ed41e9,
    0x20f4ed41,0x6541e9da,0x3eb6a0fb,0x2003fe65,0xa85f97f8,0x2ff10fbc,
    0x34e542fc,0x3951a72a,0x2a69ca8d,0xf703fe66,0x42faad8d,0x56c2faad,
    0x7d56c2fa,0x217d56c2,0x77c2faad,0x65fe23e8,0x4df46a2f,0x29f5389f,
    0x3afee1fd,0x262c28bf,0x1fea1efe,0x7c7d9fc0,0xfb3f8fb3,0x3f8fb3f8,
    0x2e8af8fb,0xfa9f67f1,0x7d5fa007,0xd17457c2,0x25f0beaf,0xf0fcbe1f,
    0x3f2f87e5,0xa87fa922,0x3e2fe27f,0x93e2fe24,0x224f8bf8,0x3e24f8bf,
    0x2fe24f8b,0xf9b7c4f8,0x717d5fa2,0x2291f6f4,0xa7c4fd6f,0xd03703fa,
    0x403fccff,0x2a3f93fa,0x3ea3f93f,0x4fea3f93,0x327f51fc,0xf505f51f,
    0x3fcc7f67,0x7e833b6a,0x817d45f5,0x7cc5f57e,0x59f32cac,0x32b3e659,
    0x45959f32,0x3ee1fe23,0x22fe4c45,0x4c45fc98,0x7e4c45fc,0x22fe4c45,
    0xb7c5fc98,0x7d5fa5f8,0xa6df46a2,0x97f32638,0x207f53fa,0x0fe64149,
    0x3fa803ff,0x6cfea1fb,0x3f67f50f,0x43f67f50,0x2a1fb3fa,0xfb3fa84f,
    0x3fa0ffc1,0x22fabf42,0x2afd04fa,0x2a13ea2f,0xa84fa84f,0x81fb004f,
    0x7c6e42fc,0x22fc6e45,0x6e45f8dc,0x7c6e45f8,0x22fc6e45,0xbf4bf16f,
    0x3e3222fa,0x981a9f9c,0x7d53ea2f,0x9c8d5a03,0x2242fd47,0xb3f8db3f,
    0xf8db3f8d,0xdb3f8db3,0x3e230ff8,0x45fa8db3,0xfbbf42fe,0x3a187fc2,
    0x77c45f77,0x8c3be230,0x3e230ef8,0xa83ae30e,0xf31ba23f,0x67ccbf39,
    0x273e65f9,0x3e73e65f,0x97e73e65,0x7c5f9cf9,0x5fa4ea9e,0x8ce542fb,
    0x42e883b8,0x407f75f8,0x2cdbe99c,0x0ccbed98,0x2606564c,0x564c0cac,
    0x06564c0c,0xd5032b26,0x0eada8bf,0xdeaade98,0x2fe6fdc0,0xbf717faa,
    0x4fea8bf9,0x3aa27f54,0x927f544f,0xdade981f,0x74efc40c,0xdd3bf10e,
    0x3ba77e21,0x1dd3bf10,0x43ba77e2,0x30ee9df8,0x5c19b5df,0xca85fcdf,
    0x5d442cbb,0xbfbbd501,0x04892601,0x08010030,0x10020040,0x40020080,
    0x08004009,0x08020010,0x00808020,0x00000004,0x00000000,0x01100040,
    0x00088002,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x41102218,0x08040801,0x00004020,
    0x00310026,0x02020001,0x02666204,0x55026033,0x02018000,0x0ff62000,
    0x26203333,0x0098cc40,0x00030440,0xefd982a0,0x005ffb11,0x3a03a766,
    0x7bb302d9,0xac983779,0x90bb12cc,0x405d5703,0x827401fa,0x442cbbc9,
    0xb115c1fb,0xeec8570b,0x2a07d42e,0x203fea1f,0xbca84cfe,0x99b3a60f,
    0x81fd2efd,0xd10dfdca,0x1d901ddd,0x0fecff88,0xcad80fb8,0x50007ec2,
    0x545fb89f,0x44cfd86f,0x0bf503fd,0x86e893e6,0x45c8ae1e,0x6d9f9849,
    0x0b100720,0x83b8c4ea,0x1721620e,0x402a20b1,0x2360e43a,0x0edccc49,
    0xbd17457c,0x365fb851,0x1fd4c41e,0x74036018,0x0b505f57,0x0bb21be6,
    0x7dc1c880,0x2a237d45,0x440981db,0xff813319,0xf993fa60,0x2c5c860d,
    0x8808afb8,0x4540130a,0x22f69108,0x8bea1b9c,0x06c5c80d,0x2217d56c,
    0x31026209,0x81319881,0x20bf02fa,0xd905c4fb,0x9ca87fd7,0x404c6626,
    0x4c47f57e,0x23310999,0x8998b809,0x3ee02018,0x4c437d45,0x10f4ed40,
    0xf98bf2ff,0xf1beae27,0x64b907ff,0x81cfc881,0x3caefaac,0x352f4ed4,
    0x213888f5,0x9720572b,0xf8bf882b,0xdf137c44,0x7fc46f88,0x13ea0fec,
    0x24fb82fc,0x7d53e219,0xf11f97c3,0x7e81fd9f,0x6cdd47f5,0xfd9ff13f,
    0xcefb94c1,0xbf70705f,0x6f886fa8,0xbf47d9fc,0x45fea2fa,0xfe98ff54,
    0x317710df,0xffec8669,0x56f9fc45,0x21fd4f8f,0x5dd20b93,0xb8844b11,
    0x8822588b,0x46f85fc9,0x7e86f86f,0x30ff85f5,0x04fb82fc,0x31fd4fea,
    0xbf45959f,0xfabf42fa,0x3a37cc63,0x3e605f57,0x70790fd4,0xf06fa8bf,
    0x1fc9fd4d,0xf317d5fa,0x705fb92f,0x5d5609ff,0x4413e22f,0x0cbaefb8,
    0x23fb77f3,0x03887a9a,0x6c0ba21b,0x46e45d10,0x37c6f85f,0xfabf437c,
    0x3e2ff543,0x5409f705,0x7d47f53f,0x8feafd04,0x85fc9ff9,0xfabf41fe,
    0x1fa9f303,0x237ee0f9,0xdf05fa8c,0x20fd9fd4,0xff85f57e,0x198ff20c,
    0xd0721ba2,0xdb823e83,0xefa80fe8,0x36911fc8,0x7703529c,0x71dc16dc,
    0x3e73e65b,0x437c6f85,0x7f57e86f,0x20bf0930,0xbf1284fb,0x0ef88fee,
    0x03fabf43,0x217ea039,0x2607f57e,0xb7c4fd4f,0x3e77ee5b,0x8df04faa,
    0x77e8db3f,0x224fa85f,0x0f22cc5f,0x32a39893,0x7f11dcdf,0xf8854ff6,
    0x113a8fb4,0xbc9620ea,0xd792c44e,0x3ba77e29,0x21be37c0,0x7f57e86f,
    0x20df0f10,0xd515c5fb,0x75419fbb,0x3fabf44f,0x1ff109b0,0x07f57e8e,
    0x3a3f53e6,0x3bf62977,0xf00edbc9,0x40cac98d,0x545fcdfb,0x984dabeb,
    0x2c0cbade,0x6ddd33a2,0x37fe25fe,0x3262efe9,0xbca81eae,0x441b02cb,
    0x3106c3e9,0x7fcc007d,0x7cc3ff31,0x327fe61f,0x7d41a85f,0x67fecc1f,
    0x80101fdc,0x7e4ffcc0,0xfc80a985,0x3ff34ecd,0x37f20bf9,0x33262ff8,
    0x2600800a,0x020081ff,0x18004430,0x1aa98310,0x00810082,0x10044004,
    0x01882a03,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04000000,0x20446621,0x13009998,0x86098cc4,0x84c19809,
    0x00898098,0x26620201,0x43061809,0xcffb8008,0x3663f710,0x01bb31ef,
    0x04400402,0xf10effd4,0x3fee1fff,0x7549ff74,0x47ffffe0,0x45100018,
    0x854406f9,0xd997faa0,0x3113310d,0x3bad8081,0x43fd7ff1,0xf982eeec,
    0x97ebfa21,0x2f885acb,0x222fbb7c,0x1df52c9e,0xe98698bf,0x4bbc85ee,
    0x5f1356d4,0x4c4fd8d7,0x06627dc2,0xbfd50baa,0x7fb02e80,0x744eeeb8,
    0x288ff63f,0xd9fbbbe6,0x3603501f,0xea81be1f,0x7fdc3ed9,0x26fa8a63,
    0x3661a20d,0x3ea3fa0d,0x05900982,0xfe8335fd,0x76f83b81,0x219fd45f,
    0xf10fe8ef,0x4c66213f,0x407fc409,0x1cce41fe,0xf7071fe6,0x7ed41989,
    0x0ffefa22,0x2fd817e4,0x6fa804ec,0x04c39bea,0xbd02d495,0x26df1260,
    0x1fdd7e20,0x0ccbfeae,0xfd11c3f6,0x3a04c413,0x4ed47f57,0x04c6621e,
    0x319881fd,0x82666621,0x7c45f76f,0x4c937c5f,0x2ff10aff,0x204c42fc,
    0x22099998,0x225fd009,0x0cc4fb82,0x7d4117dc,0xb02fda84,0x67ffc45f,
    0xff71ff80,0x003b00e3,0x20403fe6,0xf51fdbff,0x3270fea7,0x7d4198ff,
    0x2bfe609c,0x2fd1be20,0x3ecfe3fa,0x74bf5fd1,0x5fafe887,0x7c7fb375,
    0xfe885f76,0x3e0d5be4,0x85f57e86,0x6cdd46f8,0x541be23f,0x13ee076f,
    0x205f7033,0x7d5c41fa,0x6cc5fb02,0x4fc84fff,0x40339f97,0x3f2e0078,
    0xf36f8704,0x1fd4feab,0x819efd8e,0xf06f83fe,0x27f57e8d,0x743f93fa,
    0x41fa19af,0x26319afe,0xafcb7c6f,0x7cbd1351,0x439ff706,0xdf05f57e,
    0xdf0df318,0xb81cffc0,0x7dc0cc4f,0x2a90b902,0x205fb02f,0x7fcc0fe8,
    0x404ff98b,0x2207644a,0x2c40ff9a,0xbf16f9be,0x74470fea,0x82fb81ef,
    0x7c4df06f,0x7f53fa9f,0x40fe83f6,0x0fe82ff8,0xdff83fd0,0xd7d30efb,
    0x0df037c3,0x3e0beafd,0xdf03fd06,0xa8077dc0,0x7dc0545f,0x5dc0e882,
    0x2950cfca,0x03ea02fd,0x03fe97fa,0x70bf616c,0xf1ea1fec,0xb9d52fcd,
    0x7fc4387f,0x6f80f881,0x1fd40df0,0x0fd1b67f,0xa83f415c,0x0106c45f,
    0x740df036,0x2fbbf417,0x05fa86f8,0x027c40df,0xf7048df3,0xfc821905,
    0x2fb1ffff,0x442e21fd,0x7dc3f505,0x21a83c00,0x46fcaac8,0x7c5be0fc,
    0x8387f503,0x3a0701fa,0xc886f817,0x32b262fa,0x0d703f40,0x21ff10fd,
    0x0f600d53,0x227dc0df,0xf85fcdfb,0x4387fc46,0x2006406f,0x701bbdfa,
    0x6eeec85f,0x56cc5f50,0x1e7fcc3f,0xa80b11a0,0x20643884,0xe87f62fe,
    0x3ea04cbd,0x37033a63,0xfb804edc,0x6c0ffcc4,0xff10103c,0xf8817105,
    0x766fe42f,0x85300b34,0x08001ff9,0xf90ffcc0,0x7fcc9d9b,0x00800201,
    0xfa8eff4c,0x5f505fff,0x10008010,0x08088010,0xffd317d4,0x010836e3,
    0x20009d70,0x000002e9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c400000,0x3fd88099,0x00262262,
    0xd88dfd80,0x4cccc003,0x1bff5099,0xffd98f5c,0x9867fcc0,0xfd302efd,
    0xdf509b7d,0x99bea000,0x3bf6607f,0x3ffa6002,0xff31fdcd,0x0177ecc0,
    0x7fcc3333,0x2619f51f,0x3bf6607f,0x3f665fcc,0x43ffc8af,0x0efeccee,
    0x19b7dfb3,0x077e7760,0xbdf31fd4,0x1fbd81fb,0x126f89ba,0x1804406c,
    0xb8371bee,0x0ff5c4fd,0x9f9017ee,0x0df03ba2,0xe8df01c8,0x002fdc07,
    0x43717ee4,0x027dc07e,0xfa8dddd3,0xffa8931f,0x58bf703c,0x3333bf6a,
    0xf8920cff,0xe8a7dc2f,0x6e9fcc0e,0x7c3fa988,0x47d4bf36,0x3fb0f20b,
    0x22036071,0x22fe8300,0x227f9b83,0x27dc1fea,0x5fc93f20,0x4072037c,
    0x198bf46f,0x2e0027dc,0xe8252fd8,0x39f70137,0x64026201,0x2fd048ef,
    0x255fb809,0xff12fdc1,0x5c2fec30,0xf317ee4f,0xd7d917e7,0xdf16f87f,
    0x1310bf62,0xb00acfa8,0x50601101,0x74e02edf,0x707fa72f,0x24fc809f,
    0x01b7c7fa,0xfd1be039,0x49f707a2,0xafd94c00,0xfecfe839,0x10177dc0,
    0x3bfa20df,0x1fd7fd00,0x7058dfb8,0x503fc4bf,0x49f701ff,0xebdb87fa,
    0x1fd53e20,0xd9b7c5be,0x7c37c43f,0x7ffff43f,0x060112ff,0xa9c0b3fa,
    0x707fa76f,0x24fc809f,0x23be0ff9,0xfffffb2f,0x5fa37c7f,0xd94fb80b,
    0xdfeaad80,0x5f57e83f,0x6f804fb8,0x7407fe60,0x7dc2fa8f,0x5df706ee,
    0x7f40ff75,0xacefeb83,0x04e41ff8,0x43fa9fd4,0x7e49f36f,0x36aa6f80,
    0x80d81acf,0xff503008,0x219ff1c0,0x027dc1fe,0x47fa93f2,0x4072036f,
    0x0767f46f,0x2019a7dc,0x8afd999a,0x47f57e83,0x6f804fe8,0x741bf6a0,
    0x5fb87f57,0xf897ee09,0x5c0df907,0x883fea4f,0x3ea2cddf,0xdef87f53,
    0x203f20ed,0x33f6aa6f,0x0880d81a,0x40ff3030,0x1fe97ee3,0xf91427dc,
    0x1be2fe49,0xd1be0390,0x9f709f7f,0x7ec38850,0xf57e8632,0x2227dd47,
    0xd29837c2,0x3eafd09f,0x311afdc3,0x0ff12fdc,0x2e383ff3,0x361bf24f,
    0xbf11ffff,0x02df0fee,0x21be03f2,0x7f76c2fc,0x20111eee,0x8e07f981,
    0x707fa2f8,0x3f22b8bf,0x0df03fa4,0xe8df01c8,0x5fb85fb7,0x3f61215c,
    0xf57e9222,0x15c5fb87,0xf99221be,0x3fabf41f,0xb8722fdc,0x3a1fe25f,
    0x9f72544f,0xb16a0ff4,0x67eef545,0x0fc81be0,0x6ff4c6f8,0x26666620,
    0x33333109,0xaffc8833,0x248674c0,0xfb30cffa,0x263fb99f,0x40cecefe,
    0x40201ff9,0x3ff31ff9,0x3f663ff5,0x321fdccf,0x7dfd511e,0x27fe69f9,
    0x3ff625fc,0x3e61febc,0x4c33aa1f,0x3ff11fff,0x7fec4bf9,0xfb10fecb,
    0x47ff713d,0xfdccdffb,0x9d9dfb33,0x57779101,0x06f4c040,0x3e61ff44,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xecefeceb,0xbb9dfb33,0x98f7ecc1,
    0x262ccefd,0x40cdbefd,0xd981efd9,0x17f911ff,0xefd99bea,0x263ffc8a,
    0x41ddcefd,0xecefecfb,0xd99dfb33,0x2600a88d,0x13310600,0x30a88131,
    0x13b84c01,0x26333133,0x02663310,0x130a880c,0x22a02260,0x8cc43108,
    0x46621899,0x10420808,0x453f2170,0x37cd3ee3,0x29f517ee,0x453ee2fc,
    0x027dc0ee,0xf81d8bf7,0xff12fdc6,0x07fc9f70,0x1c53f237,0x2b648bf7,
    0x74ed42fa,0xa87de541,0xaac8367f,0x6dc3caef,0xdf54bbe9,0xf8864ff2,
    0x9ca85f97,0x5ef4f5c6,0x8b27a24c,0x3f65e9da,0x2ff2ff11,0x17ebfa1f,
    0xb9542e37,0x049f9042,0x71fe29f7,0xf54fa8bf,0xbf727dcb,0x43ecefb8,
    0x201915fb,0xf12fdc6f,0x7ec9f70f,0x824fc822,0x223115fb,0x9fc4f8bf,
    0x17457c7d,0x3f88e1fb,0x27f1eadf,0x5c7f41fd,0xf57e875f,0x263f2f85,
    0x4f33fb3f,0xea7c33fa,0xbf41b50f,0x57ec2cfa,0x22556e19,0x3f203d1e,
    0x3f29f704,0x3ea2fdc3,0x27dc7f94,0x94fb8ff5,0x34efdc7f,0x5fb87fe0,
    0x93ee1fe2,0x09f900fe,0x2205d7ee,0x4fea5fc9,0x205f51fc,0x4440acfa,
    0x50cbaefb,0xf707f27f,0xe833fb75,0x67cc5f57,0x327f52ca,0xff11eccf,
    0x7eddfccb,0x17d5fa01,0x23ea07ec,0x5c7d40fa,0x3bfb2a0f,0x7ef7dc2c,
    0x2a2fdc0c,0x3ae2ecef,0x1ff8acef,0x72fdd3ee,0x7c07ffdf,0x5d577dc6,
    0xecefb87f,0x413f201e,0x640fdefb,0x4fea5f8d,0x409f50fd,0xe8db83fe,
    0xfb3fa80f,0xfa9ff881,0x45f57e86,0x92fa84fa,0x53fa205f,0x01fc8efa,
    0x6c17d5fa,0x1f99f987,0x4075c75c,0x29f704fc,0x17ee0ff8,0x27dc09f5,
    0xa7dc1ff5,0x2b7ee3fc,0x46fa81ff,0x21fe25fb,0x00ffacfb,0xafdc13f2,
    0x3e73e60c,0x7c6d9fc5,0x41fb830f,0x2a7fb3f8,0xd836cfe0,0x2fd09f16,
    0x43be22fb,0x57f67f11,0x2bd13508,0x7dcfb4f8,0x417e5fa0,0x166b507d,
    0x7e403a1d,0x7f49f704,0x9f517ee3,0xdf927dc0,0x43ecefb8,0x01ff95fb,
    0x225fb8df,0xfb4fb87f,0xb827e40b,0x6fc4135f,0x2b260ee9,0x42ff540c,
    0x9dff8868,0x5ecc2efe,0x0e47500c,0x22fe6fdc,0x564c4fea,0x3a63efce,
    0xd5d931eb,0x9f707e43,0x1ff88bf9,0x8546a350,0x413f200a,0x41ff14fb,
    0x027d45fb,0x20ff49f7,0x97ee04fb,0x237c0efd,0x21fe25fb,0x07fd14fb,
    0x2fdc13f2,0x02004000,0x80102008,0x01004000,0x80208020,0x04040200,
    0x40000000,0x6cc1efe9,0x221bdcef,0xdfb11efd,0xd9dfb303,0x1efd9819,
    0xf91efd88,0x47fe63df,0xfb89efd8,0x47bf663f,0x7f4c2ff9,0x0f7ec41e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01018000,0x42666621,0x26233198,0x331002a0,0x33003311,0x88c4622a,
    0x09881319,0x80622662,0x00000000,0x00800002,0xddddd900,0x3302625d,
    0xeeeeec80,0x41cb803e,0x7775c2e1,0x77777710,0x3bbbba27,0x2000005e,
    0x4b63c81d,0xd13fd9ba,0xdd77fb7f,0xf8816ecc,0x7101e88f,0x33ba619d,
    0xd9ff10ee,0xd137c41f,0xbbe4573f,0x883f710f,0x32226407,0xe98f76c5,
    0xaf45f30f,0x2b222dba,0x8800fa23,0x1221fc3e,0x7cee4e60,0xb9db7551,
    0xcccaafcc,0x2aaaaaa0,0x00000001,0x18f2f600,0xf37e8df3,0xd9103f29,
    0x0177e817,0x59817d93,0x3ea3fa34,0x37ea37c2,0x40fbbec3,0x0e763226,
    0x4b703b66,0x8f42b13a,0x5457e6fa,0x99e32e4c,0xddddd94f,0x0932c45d,
    0x539801f1,0x51021915,0x00001b81,0x6c000000,0x41eeeeee,0xe83fd05f,
    0x07ee9f17,0x2ffa2fd8,0x701fe40e,0x55fa0c85,0x7ec37c2f,0x5469adc1,
    0x0f33321f,0x4b716a36,0x4244b12a,0x26654f64,0x8880d195,0x50000888,
    0x00000003,0x00000000,0x5ec00000,0x7427d43d,0x07ee9f17,0xfe839d71,
    0x2dda84fb,0x5fa34598,0x5437c2fa,0x8491cc5f,0x212b622b,0x25b8764a,
    0x5b12dce8,0x2a370545,0x00d543ab,0x00000000,0x00000000,0x00000000,
    0x2d8f2076,0x7e8e1ff1,0x4c7f29f1,0x6dfa03ec,0x17d7102f,0x83baf7e6,
    0x6f87f57e,0x8217ed44,0x29306ee0,0x25105c0e,0x504c0bb8,0x00002399,
    0x00000000,0x00000000,0x00000000,0x84040600,0xf14dcdfc,0xfd1df73f,
    0xff3006e7,0xa803ff33,0x33153152,0x97f27fe6,0x73d31ff9,0x000001df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_15_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_bold_15_latin_ext_y[560]={ 12,2,2,2,2,2,2,2,2,2,2,3,9,8,
9,2,2,2,2,2,2,3,2,3,2,2,5,5,4,6,4,2,2,2,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,2,3,2,14,2,5,3,5,3,5,2,5,3,2,
2,3,3,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,5,3,2,4,3,
2,2,2,2,2,5,6,8,2,1,2,3,2,2,2,5,3,6,11,2,2,5,2,2,2,5,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,3,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,5,2,2,2,2,2,2,2,
0,3,0,2,2,5,-1,2,-1,2,0,2,-1,2,-1,2,3,3,0,3,0,2,0,2,3,5,-1,2,-1,2,
0,2,0,2,2,2,-1,-1,3,3,0,2,0,3,0,2,3,2,0,5,3,2,-1,2,3,3,5,-1,-1,3,
3,2,2,3,3,3,3,-1,2,3,5,-1,2,2,2,5,0,3,0,2,-1,2,2,5,-1,2,3,5,-1,2,
-1,2,-1,2,2,5,-1,2,3,3,-1,2,3,3,0,2,0,3,0,2,-1,2,-1,2,3,5,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_bold_15_latin_ext_w[560]={ 0,3,6,7,7,13,11,3,5,4,7,8,3,5,
3,4,7,6,7,6,7,7,7,7,7,7,3,3,8,8,8,7,13,10,9,10,10,9,8,11,11,5,7,11,
9,13,10,11,8,11,10,7,9,10,10,14,10,10,9,4,4,4,7,8,4,7,7,6,8,6,6,7,8,4,
5,8,4,11,8,7,7,8,6,5,5,8,7,10,7,7,6,4,1,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,7,7,7,
1,7,5,10,5,7,8,5,10,8,5,8,4,4,4,8,8,3,4,4,5,7,10,10,10,6,10,10,10,10,
10,10,14,10,9,9,9,9,5,5,5,5,10,10,11,11,11,11,11,6,11,10,10,10,10,10,8,7,7,7,
7,7,7,7,10,6,6,6,6,6,5,4,6,6,7,8,7,7,7,7,7,8,7,8,8,8,8,7,7,7,
10,7,10,7,10,7,10,6,10,6,10,6,10,6,10,10,10,8,9,6,9,6,9,6,9,6,9,6,11,7,
11,7,11,7,11,7,11,8,11,8,5,6,5,6,5,5,5,4,5,4,12,7,7,6,11,8,8,9,4,9,
4,9,7,9,6,9,4,10,8,10,8,10,8,10,10,7,11,7,11,7,11,7,13,10,10,6,10,6,10,6,
7,5,7,5,7,5,7,5,9,5,9,7,9,5,10,8,10,8,10,8,10,8,10,8,10,8,14,10,10,7,
10,9,6,9,6,9,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,7,5,6,11,
7,10,8,10,8,10,8,10,8,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,7,14,10,11,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_15_latin_ext_h[560]={ 0,11,6,11,11,11,11,6,13,13,6,9,6,2,
4,11,11,10,10,11,10,10,11,10,11,11,8,10,7,4,7,11,13,10,9,11,9,9,9,11,9,9,10,9,
9,9,10,11,9,13,9,11,9,10,10,10,9,9,9,12,11,12,6,1,4,8,10,8,10,8,10,10,9,10,
13,9,9,7,7,8,10,10,7,8,10,8,8,8,7,10,7,13,13,13,3,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,12,11,7,9,
13,13,3,11,5,7,4,2,11,2,6,9,6,6,4,10,12,3,4,6,5,7,11,11,11,10,13,13,13,12,
12,12,9,13,13,13,13,12,13,13,13,12,9,13,14,14,14,13,13,7,11,14,14,14,13,13,9,11,11,11,
11,11,11,11,8,10,11,11,11,11,10,10,10,10,11,10,11,11,11,11,11,7,8,11,11,11,11,13,13,13,
12,10,12,11,14,11,14,11,14,11,13,11,14,11,13,11,9,10,12,10,12,11,12,11,13,11,13,11,14,13,
13,13,13,13,13,13,13,13,9,9,12,10,12,9,12,10,13,14,12,7,10,13,14,13,12,12,7,13,13,12,
12,10,10,9,9,9,9,14,10,12,10,14,10,10,11,10,13,10,13,11,14,11,11,8,13,10,12,10,13,10,
14,11,14,11,13,10,14,11,13,13,13,11,9,10,13,11,13,10,13,11,14,11,14,11,13,11,14,11,13,13,
12,13,10,12,10,13,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,13,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,8,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,11,13,10,14,
11,14,11,14,12,14,13,14,13,14,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,13,11,14,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_15_latin_ext_s[560]={ 254,140,93,79,1,178,209,141,156,179,105,
117,137,213,157,251,100,132,139,42,147,163,162,186,170,232,218,194,54,161,36,
49,42,198,11,9,99,211,106,75,73,21,155,56,89,75,230,144,27,29,85,
30,96,121,110,171,191,64,233,185,251,10,113,228,170,115,213,131,9,186,26,
1,165,33,1,131,126,24,71,123,18,221,232,204,249,177,138,166,85,241,17,
184,251,162,200,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,254,209,32,
49,63,38,254,1,194,76,145,239,185,213,221,219,126,46,132,100,175,51,1,
209,180,121,151,247,98,38,87,229,41,52,63,67,15,40,150,222,19,191,115,
51,161,206,200,145,36,20,1,25,133,228,149,10,18,156,178,201,206,217,47,
204,196,188,180,172,164,156,146,144,133,126,119,112,117,123,128,103,67,135,52,
44,36,28,20,1,210,244,235,226,217,56,90,98,134,109,151,154,37,138,67,
122,89,96,122,60,111,72,145,240,243,168,124,177,162,87,199,9,212,24,233,
221,212,106,133,133,79,141,179,107,167,197,221,202,92,249,118,184,61,1,101,
58,26,80,236,125,63,201,230,78,45,91,74,108,87,158,66,140,110,174,68,
1,184,219,193,12,209,218,240,7,7,15,243,16,38,1,108,193,189,23,242,
30,168,37,71,66,246,94,114,60,50,203,80,74,64,209,1,74,31,87,9,
80,240,103,224,212,235,57,175,129,23,192,130,122,208,106,44,98,202,165,96,
151,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,31,55,55,97,
55,55,55,55,55,55,55,55,55,55,55,55,55,228,157,55,55,55,55,55,
55,55,55,55,55,55,55,55,172,222,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,186,146,
116,89,189,1,167,9,145,190,122,79,100,88,78,141,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,56,48,150,57,13,68,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55, };
static unsigned short stb__times_bold_15_latin_ext_t[560]={ 15,84,140,72,84,72,59,140,31,31,140,
119,140,140,140,59,72,108,108,72,108,108,72,108,72,84,130,108,140,140,140,
72,31,108,130,84,119,119,130,84,130,130,108,130,119,119,108,84,130,45,130,
96,130,108,108,108,119,119,119,59,84,59,140,140,140,130,108,130,119,130,119,
119,119,119,45,119,119,140,140,130,119,108,130,130,108,130,130,130,140,108,140,
31,16,31,140,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,15,108,59,
96,140,119,1,31,140,96,140,130,140,140,84,140,140,119,140,140,140,108,59,
140,140,140,140,130,96,96,96,96,45,45,45,59,59,59,119,31,45,45,45,
59,45,31,31,59,130,31,1,1,1,16,45,140,96,1,1,1,16,16,130,
84,84,84,84,84,84,84,130,96,84,84,84,84,96,96,96,108,84,96,84,
84,84,84,84,140,130,71,71,71,71,31,31,31,59,96,59,72,1,72,1,
72,1,84,31,84,1,72,31,84,119,96,59,96,59,72,59,72,31,72,31,
59,1,31,31,45,45,45,45,45,45,16,119,119,59,96,59,119,59,108,45,
16,59,140,96,45,16,45,45,59,140,45,45,59,59,96,108,119,119,119,130,
16,96,45,96,16,96,96,59,108,45,108,31,72,16,72,72,130,31,108,45,
108,31,108,16,72,1,72,31,108,16,72,31,31,31,71,130,108,31,84,31,
108,16,84,1,84,1,72,16,72,16,72,16,16,45,16,108,59,96,16,108,
96,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,72,119,119,16,
119,119,119,119,119,119,119,119,119,119,119,119,119,59,130,119,119,119,119,119,
119,119,119,119,119,119,119,119,59,130,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,16,72,
16,108,1,96,1,96,1,59,1,16,1,16,1,16,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,1,1,16,96,1,96,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119, };
static unsigned short stb__times_bold_15_latin_ext_a[560]={ 54,72,120,108,108,217,181,60,
72,72,108,123,54,72,54,60,108,108,108,108,108,108,108,108,
108,108,72,72,123,123,123,108,202,157,145,157,157,145,132,169,
169,84,108,169,145,205,157,169,132,169,157,121,145,157,157,217,
157,157,145,72,60,72,126,108,72,108,121,96,121,96,72,108,
121,60,72,121,60,181,121,108,121,121,96,84,72,121,108,157,
108,108,96,85,48,85,113,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,54,72,108,108,108,108,48,108,
72,162,65,108,123,72,162,108,87,119,65,65,72,125,117,54,
72,65,72,108,163,163,163,108,157,157,157,157,157,157,217,157,
145,145,145,145,84,84,84,84,157,157,169,169,169,169,169,123,
169,157,157,157,157,157,132,121,108,108,108,108,108,108,157,96,
96,96,96,96,60,60,60,60,108,121,108,108,108,108,108,119,
108,121,121,121,121,108,121,108,157,108,157,108,157,108,157,96,
157,96,157,96,157,96,157,159,157,121,145,96,145,96,145,96,
145,96,145,96,169,108,169,108,169,108,169,108,169,121,169,121,
84,60,84,60,84,60,84,60,84,60,178,120,108,72,169,121,
121,145,60,145,60,145,102,145,86,145,60,157,121,157,121,157,
121,158,167,121,169,108,169,108,169,108,217,157,157,96,157,96,
157,96,121,84,121,84,121,84,121,84,145,72,145,113,145,72,
157,121,157,121,157,121,157,121,157,121,157,121,217,157,157,108,
157,145,96,145,96,145,96,60,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,160,169,169,108,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,120,169,169,169,169,169,169,
169,169,169,169,169,169,169,172,130,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,157,108,84,60,169,108,157,121,157,121,157,
121,157,121,157,121,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,157,108,217,157,169,108,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_15_latin_ext(stb_fontchar font[STB_FONT_times_bold_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_15_latin_ext_s[i] + stb__times_bold_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_15_latin_ext_t[i] + stb__times_bold_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_15_latin_ext_x[i];
            font[i].y0 = stb__times_bold_15_latin_ext_y[i];
            font[i].x1 = stb__times_bold_15_latin_ext_x[i] + stb__times_bold_15_latin_ext_w[i];
            font[i].y1 = stb__times_bold_15_latin_ext_y[i] + stb__times_bold_15_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_15_latin_ext_s[i] + stb__times_bold_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_15_latin_ext_t[i] + stb__times_bold_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_15_latin_ext_x[i] + stb__times_bold_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_15_latin_ext_y[i] + stb__times_bold_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_15_latin_ext_LINE_SPACING
#endif

