// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT        222
#define STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_19_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_19_latin_ext_LINE_SPACING          12

static unsigned int stb__times_bold_19_latin_ext_pixels[]={
    0x2000e5c0,0x54400099,0x00262002,0x10001aa8,0x55555555,0x0004c055,
    0x04100993,0x20022040,0x00980009,0x00066620,0x06200662,0x00262003,
    0x80009830,0x806a3500,0x7cc004f8,0x02fc8005,0x4401bfa0,0xa80d406f,
    0xa9ffd9cf,0x8013206e,0x74402ffd,0xd34b802d,0x000e9801,0xd8007fe4,
    0x5c001eee,0x325b003f,0x00df3004,0x100d54b8,0x3207733b,0x02dc0592,
    0xe8003640,0x3efae002,0x400ea802,0x7e47503d,0x388a82c7,0x06a8ea80,
    0x4401ccd4,0x8d402fdf,0x3afe6003,0x00e15004,0xf98013a0,0x3e6000fe,
    0x3fbe2001,0x1fff9002,0x50164b20,0x00170005,0x6c400510,0x01500b10,
    0x41301f90,0xac8147fc,0x261c00e8,0x03a2b200,0x3201bee0,0x3b000e8a,
    0x2b200362,0x0e2000e8,0x000fb200,0x9d700066,0x64029800,0x2b220592,
    0x2aaaa604,0x4055550a,0x98e0aca8,0x550aaaaa,0x00b32055,0x307fc800,
    0x2a155555,0x179302aa,0x555554c1,0x26055550,0x2aa608bc,0x55550aaa,
    0x80d5d440,0x50aaaaa9,0x5d440555,0x5555301a,0x80aaaa15,0x1001aba8,
    0x2a603575,0x5550aaaa,0x502c9645,0xbff50123,0x67e40b70,0x542cde98,
    0x505b85ff,0x6ee44123,0xff901eee,0x5c2ffd40,0xea8ae885,0x217fea0f,
    0xa8ae885b,0x17fea0fe,0x57e4416e,0xfa81ed98,0x9105b85f,0x03db315f,
    0x0b70bff5,0x3662bf22,0x15f9101e,0xff503db3,0x92c8b70b,0x20166405,
    0x03984ff8,0x1ff887fb,0x1cc27fc4,0xfb049c88,0xfc807fe3,0x213fe207,
    0x7c46c839,0x2613fe20,0x07c46c83,0x07309ff1,0x5ff10ffa,0x3984ff88,
    0xff887fd0,0x4c27fc42,0xf887fd03,0x443fe82f,0x27fc42ff,0x04cb21cc,
    0xff100d30,0xff907309,0x20eff981,0x03984ff8,0x87fcc0a2,0x1ff202fd,
    0x3984ff88,0x105c1ff8,0xf07309ff,0x3e20b83f,0xfc83984f,0x20efc81f,
    0x83984ff8,0xefc81ffc,0x2613fe20,0xc81ffc83,0x07ff20ef,0xff883bf2,
    0x01643984,0x7c401fd8,0xfe83984f,0x17fdec46,0x07309ff1,0x883dd991,
    0x403fd0ff,0x3fe207fc,0xffe83984,0x09ff100c,0x19ffd073,0x2613fe20,
    0xf707ff83,0x427fc45f,0x707ff839,0x27fc45ff,0x83ffc1cc,0x1ffe2ffb,
    0xff117fdc,0x02c87309,0x4405ff98,0x443984ff,0x2a3625ff,0x13fe24ff,
    0x7c5b60e6,0x7c57dc0f,0x103fe405,0x507309ff,0xf105ffff,0xf507309f,
    0xff105fff,0xff887309,0x449ff506,0x443984ff,0x9ff506ff,0x1cc27fc4,
    0x7d41bfe2,0x20dff14f,0x3fe24ffa,0x99643984,0x01ffb900,0x1cc27fc4,
    0x50d97fe6,0x27fc49ff,0x447f41cc,0x1bcc81ff,0x100ffd80,0x207309ff,
    0x444ffffa,0x503984ff,0xf889ffff,0x7cc3984f,0x49ff505f,0x43984ff8,
    0xff505ff9,0x4c27fc49,0xa82ffcc3,0x0bff34ff,0xff893fea,0xc9643984,
    0x4ff9c882,0x2613fe20,0x1cb7fc43,0xff88bfea,0x98883984,0x02e41ffc,
    0x1cfffa88,0x3984ff88,0x8bfff220,0x03984ff8,0x88bfff22,0x443984ff,
    0x5ff506ff,0x1cc27fc4,0x7d41bfe2,0x213fe22f,0x837fc439,0xdff12ffa,
    0xf88bfea0,0x9643984f,0xffd0b82c,0x2a84ff80,0x5c2befe8,0x427fc0ff,
    0xf8dd882a,0x7777fc1f,0x7c00401d,0x1c42a84f,0x9ff17fa2,0x44388550,
    0x427fc5fe,0x906fe82a,0x509ff0ff,0x320dfd05,0xa84ff87f,0xf906fe82,
    0xf906fe8f,0x5509ff0f,0x490592c8,0x3fa03ffb,0xff981b85,0xfe85fe83,
    0x8fd81b85,0x7fd41ff8,0xf500ffff,0xb85fe809,0x1fcc3c41,0x106e17fa,
    0xfe87f30f,0xffa81b85,0xfe84fd81,0xffa81b85,0xfe84fd81,0xffa81b85,
    0x7d44fd81,0xe84fd81f,0x9641b85f,0x6666d42c,0x3ff206ff,0x5fc81220,
    0xffc82fd4,0x3fe21220,0x3a22ffcc,0x00fc999b,0x1ff9012a,0x21fc4244,
    0x07fe40f9,0x987f1091,0x107fe40f,0x2a2fe409,0x0ffc80ef,0x45fc8122,
    0xffc80efa,0x5fc81220,0x7e4077d4,0x64077d45,0x321220ff,0xfb858592,
    0x37fee02f,0xd59100cc,0xb807b97b,0xb00ccdff,0x44bfb17f,0x5101e43f,
    0x9bff7001,0x7dbd1019,0x3fee0397,0xde880ccd,0xf701cbbe,0xa80199bf,
    0x404ecbfe,0x00ccdffb,0x2765ff54,0x3337fee0,0x65ff5400,0x5ff5404e,
    0x7fdc04ec,0x72b80ccd,0x7fc41dc5,0x28008806,0x220004c4,0x2a600000,
    0x00000abc,0x26080088,0x10011000,0x0088004c,0x88001300,0x00130000,
    0x13000088,0x80013000,0xdf700008,0x67ffdc45,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65400000,0x40066002,0x64c000b9,0x00101003,0x000000aa,
    0x26000408,0x09980188,0x20020400,0x32a00198,0x04cc0003,0x00130980,
    0x2000d540,0x16540099,0x20155510,0xb800fff8,0x59c8804f,0x007ff400,
    0x800e8ad4,0x2a003ffa,0x32003712,0x2e00599a,0xfb804e8e,0x4c8f4004,
    0x2003fc80,0x10000ffe,0x5f1001df,0x220001f7,0x2fcc006f,0x403ffe20,
    0x46e406f9,0x004d804c,0xdb801253,0xfdd005c8,0x3eafe009,0x1bffe000,
    0x03fff880,0x801a27a0,0x77d4007b,0x003e800f,0x0017236e,0x4b80075c,
    0x7540003b,0x402e4000,0xf304c8cc,0x401c3809,0x0165c003,0xa800a870,
    0x22a800ff,0x0ae20029,0x20005400,0x0b800332,0x401ff400,0x2a1c0038,
    0x000b8000,0x5400038a,0x70038000,0x409f3038,0x01aaaaa9,0x98c26ee6,
    0x550aaaaa,0x9bb98055,0x4ddcc030,0x32ea2030,0xba88030b,0xa88030bc,
    0x751001ab,0x2aaa6035,0x455550aa,0x5540aaa9,0x08bc982a,0x554aaaaa,
    0x8aaa1aaa,0x5540aaa9,0x5555532a,0x200aaaa1,0xaaaaaaa9,0xb55b81aa,
    0x0d555541,0x3e615551,0x07ffc404,0xeb9befb8,0x217fea3e,0x2fbee05b,
    0xfb83eeb9,0x83eeb9be,0xeda8adfb,0x22b7ee06,0xf9106eda,0x203db315,
    0xed98afc8,0xb85ffa81,0x20effc85,0x2ba20dc8,0xff10fea8,0x227fe43f,
    0x77fe41e8,0xfa837220,0x2005b85f,0xcaaeffea,0xfc8fd84f,0x213ff621,
    0x013e61f9,0x37dc1bfa,0x13fe23e8,0x837dc0e6,0xe837dc3e,0x6d837ec3,
    0x1b60dfb0,0x3fe21ff4,0x7c43fe82,0x427fc42f,0x5fff8839,0xf11b21c4,
    0xf117fdc1,0xff1090bf,0x7c4388bf,0x2003984f,0x2544ff9c,0xff103044,
    0x4f98750f,0xfa86fe80,0x7c47501f,0xfa83984f,0x7d47501f,0x7dc7501f,
    0xf70b101f,0x3216203f,0x0efc81ff,0x3f207ff2,0x213fe20e,0xffec8839,
    0x83ff0e23,0xb17fe20b,0x441541ff,0x0e23ffec,0x07309ff1,0x8a7fce60,
    0xca76c471,0x1ffdc0ee,0x2013e616,0x07fd86fe,0x309ff104,0x080ffb07,
    0x7c101ff6,0x7fc0407f,0x3ffc0407,0x3fe2ffb8,0x445ff707,0x883984ff,
    0x712fff8b,0x200cffe8,0x3ff20ffd,0x7c5c4123,0xf88712ff,0xb003984f,
    0xb01aa7fc,0x203fe6bf,0x2606e7ff,0x86fe804f,0x3e2006ff,0xff83984f,
    0x01bfe006,0x20037fc4,0x44006ff8,0x9ff506ff,0x7d41bfe2,0x213fe24f,
    0xff338839,0xffa8711f,0x7ff302ff,0x245bfb22,0x1fff3388,0x84ff8871,
    0x3e1b8039,0xf901eadf,0x2e03fe6b,0xf3048bff,0x98dfd009,0x3e2005ff,
    0x7cc3984f,0xbff3005f,0x017fe600,0x800bff30,0xff505ff9,0x5417fe69,
    0x13fe24ff,0xfb8e20e6,0xffa838ef,0x2ffd04ff,0x1b9ffb9b,0x77fdc710,
    0x427fc438,0x66744039,0x01fceffc,0x03fe6bf9,0x9806fff4,0x46fe804f,
    0x22006ff8,0x443984ff,0xff1006ff,0x1bfe200d,0x217ddd71,0x75c46ff8,
    0xdff10bee,0x7c4bfea0,0x45ff506f,0x83984ff8,0x1effe438,0x82fffc88,
    0xff14affb,0x321c4099,0x7fc43dff,0x4e403984,0x374ff999,0x7fcd7f20,
    0x409ff500,0x3a2884f9,0x007fe86f,0x415427fc,0x3fa007fe,0x41ffa007,
    0x07fe86ff,0x0dfd0dff,0x0dfd1ff2,0x13fe1ff2,0x3a0e20aa,0xd10e23ff,
    0x5dff10bf,0x7101ffec,0xff07ffd0,0x15405509,0x8618a7fc,0x01ff35fc,
    0xf980ffe2,0xbfd3fc84,0x2207ff50,0x0dc2ff40,0x0881ffd4,0x0440ffea,
    0xdfd03ff5,0xfd03ff50,0xb03ff50d,0x81ffa89f,0x85fe84fd,0xf883881b,
    0x3e61e23f,0xfa8df903,0x220e200f,0x85fe83ff,0x7fc1201b,0x5bee1a84,
    0xff100ffc,0x5c27cc07,0x2e07ff2f,0x206c40ff,0x81220ffc,0x06c40ffb,
    0x1b103fee,0x7f40efb8,0xe81df706,0xa8bf906f,0x45fc80ef,0xffc80efa,
    0x82cc1220,0x30fe23f9,0x20fe601f,0x982cc05f,0x20ffc83f,0x22072048,
    0x107cc5ff,0x09ff7ffd,0xf9813fe6,0x4fccc81e,0x6e77ed40,0x337fee04,
    0x77ed400c,0x3f6a04dc,0x36604dce,0x02dfbace,0x3eeb3b66,0x2ffaa02d,
    0x7f5404ec,0x7dc04ecb,0xda80ccdf,0x223a80bf,0x01cbbede,0x50164074,
    0x075017fb,0x03337fee,0xca873f22,0x7fecdfff,0x3f2a0030,0x33300aef,
    0x044000c0,0x20001100,0x00440008,0x20002620,0x09800098,0x40009800,
    0x81000008,0x80400260,0x80100000,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98003022,0x55555301,0x400aaaa1,0x83fe80ba,0x22a80c18,
    0x026201b8,0x2a0a8080,0x6d407300,0x1ba8038b,0x08011020,0xa8850044,
    0x7404c42a,0x0662003f,0x8022f260,0x2200933a,0x018188bc,0x001e47a0,
    0x7fcc0bf5,0xc800ec86,0x7efd43fa,0x10992e80,0x81fc41ff,0x212006f9,
    0xb906b8ea,0x2ffff401,0xc826cba0,0x29700d34,0x109500e9,0x5c0ff8ff,
    0xfb000fdf,0x54574405,0xb1fd00fe,0xfffb003f,0x003b101f,0xc800ddf5,
    0x427fc405,0x99f98049,0x425c7a20,0xbb00fefa,0x07d40f90,0x3ffd0380,
    0x84407f30,0xf93dc029,0x00bf7e20,0x540bf7e2,0x7ccff04f,0x04b8f441,
    0x46c805f0,0x225300f8,0x072a5002,0xed800e98,0x4401c002,0x803884ff,
    0x040881fe,0xd8002ed8,0x2006a00f,0x2079301a,0x5554c4fa,0x855550aa,
    0x5c0314fc,0x1bee006f,0x2177ffd4,0x02206a7f,0xf0051001,0x5100b83f,
    0x2a200357,0x02f401ab,0xaaa98018,0x440aaaaa,0x203884ff,0x2e1cffe9,
    0x0dc88cee,0x81555553,0x83fc0eec,0x9701b55b,0x36ab707f,0x7d42fc40,
    0xf885b85f,0xaaa980df,0x220aaaaa,0xaaaaaaaa,0x7c13f22a,0xb8835537,
    0x551eeecd,0x55443555,0x033ffa0a,0xd98afc88,0x15f9101e,0x3ee03db3,
    0x64034c01,0x6ffa99bf,0x3884ff88,0x02bff660,0x261d4bfd,0x1ff306ff,
    0x91fb06f8,0xff8cf83f,0x0fe47ec1,0x27fc42fc,0xefed81cc,0x54cdfe41,
    0x4e7d46ff,0x26ea9ffd,0x74ff04fc,0xff8fec4f,0x213ff621,0x7ffd41f9,
    0x887fd02f,0x43fe82ff,0x4fb82ff8,0x3200fec0,0x4417fec1,0x403884ff,
    0x1ff505fc,0x417fe212,0x83dc0ff8,0x75f50608,0x060881d7,0x3fe207e6,
    0x8bc83984,0xb0720ffd,0x323a85ff,0x09f92c7f,0x264fd9fe,0x885fb0ff,
    0x503a87ff,0xfc89ffff,0x20efc81f,0xefc81ffc,0xf3037d40,0x7d4380bf,
    0x09ff105f,0x03fe8073,0xff81cffa,0x501ff104,0x653b6219,0x095fb0ee,
    0x3bb29db1,0x3e203930,0x2f83984f,0x7d438fee,0x3f20985f,0x209f9147,
    0xf893f67f,0xf705fd0f,0x6440587f,0x1ffe2fff,0xfff17fdc,0xf30bfee0,
    0x07fee40f,0x00fff880,0x00a613fe,0x7fdc05ff,0x209ff01a,0x0cc80ff8,
    0x87fcd7f6,0xbfb02efe,0x164c3fe6,0x3984ff88,0x0bb077c4,0x2003ffe2,
    0x17f207fc,0xb89fb3fc,0x3e05f8af,0x0e206e7f,0x3fe2bfd1,0x229ff506,
    0x9ff506ff,0x39107f98,0x3f2009ff,0x42ff403f,0x03fe601b,0x3e05ff88,
    0x81ff104f,0xf35fc87c,0xc81ff21f,0x441ff35f,0x84ff882f,0xb1ffc839,
    0x00fff205,0xbf903fe4,0x3f67f831,0x402bcc84,0x1048bffb,0x3e67f30f,
    0x29ff505f,0xff505ff9,0x1706fa89,0x3e601ffa,0x0ffb806f,0x0df50162,
    0x7fc07f90,0xf81ff104,0xff35fc86,0x2e77fe61,0x7fcd7f21,0x7fc42fc0,
    0xff903984,0x1bfe605b,0x2207fc80,0x367f84fe,0x2002644f,0xf100dffe,
    0xff10f987,0x44bfea0d,0x5ff506ff,0x5c904fb8,0x7ff403ff,0xbbfb7001,
    0x05fc8019,0x3fe00f88,0xe81ff104,0xff35fc87,0x21fffe41,0x41ff35fc,
    0x09ff05f9,0x1ffd4055,0x2001ffe8,0x804407fc,0xff13f67f,0x54039ddd,
    0x37a204ff,0x7f41cbbe,0xfe8ff906,0xf90ff906,0xf999b503,0x27fdc0df,
    0x01f1005c,0x2400bf20,0x7c413fe0,0x3207ec0f,0xa41ff35f,0x3e6bf900,
    0x740fea0f,0x2301b85f,0x7fdc0fe9,0xff900b84,0x4ff07f80,0x7ffd44fd,
    0x3fe206ff,0x205b0403,0x4fd81ffa,0x7ec0ffd4,0x70b05e84,0xdff105ff,
    0x06b80d01,0x6c403f20,0x27fc01a8,0x321fe2e2,0xff96fb87,0xdf700a61,
    0x3f983ff2,0x2441ff90,0x41f51fb8,0x0680eff8,0x0b301ff2,0x224fd9fe,
    0x0fb999be,0x4007ff10,0x517f207d,0x8bf901df,0x074c0efa,0x37fc41dc,
    0x36217fec,0x00e7d406,0x7d405b7d,0x2ffc404c,0xf313e3ea,0xf7ffd105,
    0x3a200e9f,0x5c4ffbff,0x9bff700e,0x647e2019,0x2217fec5,0x03ff606d,
    0x3fcc4198,0x21fc49fb,0x13fe604c,0x2a026cc0,0x404ecbfe,0x84ecbfea,
    0x2efb80c9,0x433ffee2,0xecccfffa,0xbdb805ff,0x70037500,0xfffc9807,
    0x510aea0a,0x00201801,0x80510018,0x59730008,0xcccfffa8,0xfa885ffe,
    0x22001cff,0x3fff3199,0x015de5c4,0x015dff95,0x04c00088,0x01004c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a600988,0x1000aaaa,0x11003795,0x55553008,
    0x30001335,0x31000377,0x2aaaa601,0x2602aaaa,0x0b3260de,0x200cc660,
    0xc88052ca,0x99880391,0x4c00aaaa,0x18000001,0x0000cc00,0x05c40131,
    0x80ff1055,0x91006ff9,0x03db317f,0x203c8f44,0xffc9cffa,0x0acca803,
    0x3e200771,0x37fe600e,0x3206fba9,0x404fe81f,0x201ff7f8,0x403ffff9,
    0x205f9cfa,0x0e9bfffb,0x2201fdc0,0x4c00750c,0x017e4006,0xb0077c40,
    0x203fe69f,0x3fe201f9,0x887fd004,0x3bee02ff,0x527fc406,0x02d405ff,
    0x03ae00a2,0x0d113fe0,0x04fd80f4,0x8c0973b8,0x215003b8,0xffff700a,
    0x09d00b15,0x003fff60,0x6c001fd8,0x00ea8005,0x40bb1754,0x13fe2029,
    0x3207ff20,0x0bfe00ef,0x7c49ff10,0x200b504f,0x8005401a,0x101c64ff,
    0x00027ec0,0x2a05554c,0x555532aa,0xe8aaaa15,0x058affff,0x05d40038,
    0x00bff300,0x01500070,0x55553000,0xf8855555,0x07ff804f,0x2aa65ff5,
    0x20099aaa,0x3fe24ff8,0x66c46983,0xaa98a4ea,0x40099aaa,0xd70534ff,
    0x41b9119d,0x21efccfd,0xdc88ceeb,0x883bff20,0x17fea0dc,0xfffff16e,
    0xaaa98b15,0x802aaaaa,0x7fee4001,0x8000c000,0xc9f6cc01,0x3bff30ee,
    0xff88df75,0x837fc404,0x3fea4ffa,0x103ffc9c,0x07fe49ff,0x3a9f11dc,
    0x9ff50e3f,0x7c07ff93,0xfd02eadf,0x3ff61d4b,0x3fa0ff9a,0xfff10ea5,
    0x7fc4388b,0x7fec3984,0xf9858aff,0x06fba9df,0x3910034c,0x34c009ff,
    0x6c034c00,0x7c1ff34f,0x3e23444f,0x2ffcc04f,0x3e25ff98,0x20bfea4f,
    0xcffdeff8,0x87ec1b00,0xff10e1ff,0xf817fd49,0xf502fdef,0x93f6121f,
    0x43fea3ff,0x3ffec884,0x09ff10e2,0xffffa873,0x89ff058a,0x00fec068,
    0x00ffd0b8,0x36000fec,0x9a7ec01f,0x193fe0ff,0x804ff887,0x7ff506fe,
    0xff127fc4,0xf39ff109,0xdf3340df,0xf8851fe2,0x413fe24f,0x740574ff,
    0x49fb073f,0x39ff45fd,0x2fff8b88,0x84ff8871,0xafffa839,0x8c9ff058,
    0x017fe603,0x007ff724,0x4c00bff3,0xa7ec05ff,0x53fe0ff9,0x09ff1029,
    0xf706fc8e,0x127fc43f,0x9ff107ff,0x96213fee,0x449f93fc,0xf127fc42,
    0x453fe07f,0x35ff7062,0x2fec9fb0,0x2206bfee,0x711fff33,0x3984ff88,
    0x4162b660,0x900534ff,0xda801ffb,0x806ffccc,0x9000ffdc,0x7ec01ffb,
    0x7fc1ff34,0xff102ead,0x7fcc9109,0x7c45fd81,0x203ff24f,0x3ff64ff8,
    0x267fa581,0x3e20e2fe,0x403ff24f,0x21d424ff,0x9fb05ff8,0x3fe21ff4,
    0x7fdc7105,0x27fc438e,0x22ae01cc,0x5d5bff05,0x4ff9c880,0x17fdc2c0,
    0x09ff3910,0x09ff3910,0x0ff9a7ec,0x40bf7bfe,0x44d85ff8,0x077cc5fa,
    0x3ff7bfe2,0x49ff100c,0xd340eff8,0x2e3fb7bf,0x6f7fc430,0xff100cff,
    0xfc82e98b,0x3e1dfb03,0x103fc81f,0x43dffc87,0x03984ff8,0xff82c55c,
    0x85c02fde,0x20ee07fe,0x42e06ff8,0xd0b807fe,0x9a7ec0ff,0x5d3fe0ff,
    0xcfffc982,0xc883ffdc,0x880cfdbf,0x06ff9cff,0x545dff93,0x546e1eff,
    0x2159d54f,0x273fe20c,0xff9306ff,0x03fff9bf,0x37f601f1,0x1f102fee,
    0x3ffa0e20,0x2a84ff83,0xf82c55c0,0x2480574f,0xefb83ffb,0x33ffee22,
    0x0ffee480,0x41ffdc90,0xff99eff9,0x31453fe0,0xa8002e20,0x3fe203ff,
    0x2009ff74,0x400b002a,0xba7fc43a,0x362004ff,0x9fb02401,0x38812002,
    0xfe83ff88,0x55c01b85,0x229ff058,0x999b5062,0xb5000dff,0x7e666d40,
    0x3336a06f,0xf1006ffc,0x2127fc1f,0x00bd103a,0xf101ffc8,0x00ffec9f,
    0x24c017d4,0x7fc424c0,0x4007ff64,0x1a8d887b,0xd8813f60,0x416601a8,
    0x0ffc83f9,0x22ae0122,0xa849ff05,0x17fdc2c3,0x85813a00,0x70b02ffb,
    0x45c405ff,0x317fe27f,0x00fa605d,0x833ff6e0,0x3fe24ff8,0x007d400e,
    0x2e20ac88,0x49ff102c,0x9800eff8,0x133ea0df,0x7d409fd0,0x2ff6a04c,
    0xff703a80,0x5700199b,0x8bff10b1,0x220ee2e9,0x7e4006ff,0xff883b82,
    0xff883b86,0x53e3ea06,0xfcdfffc9,0x000301ff,0x3bff2600,0x807bfea2,
    0x77530000,0x7fe4c057,0x07bfea2e,0x3b8376a0,0x016f6d40,0x02000077,
    0x9a800110,0x7ffe4c48,0xf71fffcd,0x7ffdc45d,0x7d71000c,0xf71177dc,
    0x3bee19ff,0x33ffee22,0x00057700,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x5555302e,
    0x31555445,0xaaa81555,0x08006202,0x00204008,0x5dcc0051,0x00810309,
    0xa9807d10,0x32ea201a,0xaaa9850b,0x803300aa,0x06aa20b8,0x400f2600,
    0x99300ffa,0x22004c00,0x2e040809,0x9813f202,0x0cfa86ff,0x91077fe4,
    0x0ffe201b,0x01e8ad40,0x202ccd5c,0x77dc02fd,0xd83eeb9b,0x3ea00b52,
    0x704fe806,0xddb7139f,0x540dff30,0x227ec04f,0xfe8005fd,0x4fee801f,
    0x9005ffb0,0x3fe201ff,0x24a99d84,0x15100ffa,0x7445ff80,0x8bfff101,
    0x3ef76038,0x09fdb000,0x807fff10,0x1bee01eb,0x7efcc1f4,0x2006a001,
    0x05fd84fd,0x817fe0db,0x41ea805d,0x75c005fc,0x8a5c05b8,0x3547540e,
    0x413afe60,0x7dc1fbec,0x03fea0ff,0x4184ddcc,0x803625ff,0x223ffec8,
    0x02549303,0x2000ff98,0xfa80001a,0x3607501f,0x9751004f,0x13f60617,
    0x16205ff5,0x00702ffc,0x4005fc80,0x10100543,0x3b00cc38,0x4c36206c,
    0x7f982884,0xeb9befb8,0x4aaffc3e,0xfff8b880,0x80300712,0x00aaaaaa,
    0x2aaaaaa6,0x66dc42aa,0x1ff61eee,0x2aaaa610,0xf702aaaa,0x0ddb515b,
    0x0fff89fb,0x22ffc020,0x00aaaaa9,0x5fc87db3,0x554c7bb1,0xaaaa8aaa,
    0x20eec82a,0x54c02aa8,0x2aaaaaaa,0x42aaaaa6,0x20aaaaa9,0xe837dc5f,
    0x27deffc3,0xfff99c40,0x034c0388,0x7e56ffd4,0x9dff980d,0x8fec6fba,
    0x037fc1ff,0x753bff30,0x20dfb0df,0x224fd86d,0xff0007ff,0x00dff30b,
    0x25fc89fb,0x46ff981d,0xff304ffb,0x9805fd81,0x6fba9dff,0x7cc37fcc,
    0x3ea3e86f,0xff87501f,0x4402ffef,0x0e3bfee3,0xf8803fb0,0x203bee4f,
    0xf33444ff,0xf98bf61f,0x27fc005f,0x03ff71a2,0x993f6162,0xff0005ff,
    0x009ff10b,0x95fc89fb,0x2a2ffc03,0x1ff103ff,0xff005fc8,0x7fc46889,
    0xc85ff885,0x8101ff62,0x0fff9dff,0xbff90e20,0x02ffcc07,0xdff13fe2,
    0x238c9ff0,0x45fd0ff8,0x7c006ff8,0x3fe1c64f,0x27ec0407,0xeb88dff1,
    0x2ffc0bee,0x6c027fc4,0x7e6fe44f,0xf317fe01,0x03fe207f,0x3fe00bf9,
    0x27fc1c64,0x20b84ff8,0x7fc006ff,0x201dff55,0x03ffe838,0x8803ff72,
    0x07fec4ff,0xb814d3fe,0xfe85f8af,0x9a7fc007,0x006ff882,0x3ff44fd8,
    0xbff06ff8,0xb009ff10,0xfdffc89f,0xf317fe06,0x03fe207f,0x05ff5bf9,
    0xf014d3fe,0x213fe09f,0x0017fe60,0x2ffe4bff,0x3ff88388,0x09ff3910,
    0x3ee27fc4,0x756ffc3f,0x40af3202,0x81103ffa,0x982eadff,0xfd8005ff,
    0x740ffd44,0x10bff06f,0x9fb009ff,0x4fe8dfc8,0x7333bff0,0x3fe207ff,
    0x7d57fe40,0x5d5bff07,0xff827fc0,0xdff11a84,0x745ff800,0x305984ff,
    0x7f42e07f,0x513fe207,0xdeff89ff,0x2009902f,0x06c40ffb,0x20bf7bfe,
    0x75c46ff8,0x13f60bee,0xdfd03bee,0x3e217fe0,0x44fd804f,0x05ff35fc,
    0xfb999dff,0x03fe207f,0x03fe2bf9,0x80bf7bfe,0x89ff04ff,0x0ffd0ffa,
    0x4ffff260,0x51dfffd8,0x075017fb,0x103ffb92,0x3ffb89ff,0xf02ba7fc,
    0x2039dddf,0x04dcefda,0x740ae9ff,0x98dff07f,0xed981fff,0x4c2cdcac,
    0x220afffc,0x7fcc04ff,0x13ffd11e,0x5ff85fff,0xf881ffcc,0xf8afe40f,
    0x574ff81f,0xff827fc0,0xff537cc4,0xb8802207,0x042b8000,0x7fe666d4,
    0xc89ff106,0x8a7fc1ff,0xffffa862,0x401d806f,0x50c514ff,0x0dfd03ff,
    0x00760055,0x4ff88164,0x7101dc70,0x4c5ff803,0x1ff103ff,0x3ff15fc8,
    0x18a29ff0,0x4ff827fc,0x40ffb808,0x17a200d8,0xb007ee00,0xf105ff70,
    0xf85fe89f,0xe89d424f,0x00fb999b,0x9ff01762,0x77dc3a84,0x7d437f40,
    0x9805e803,0x09ff100f,0x8807e291,0x22ffc06e,0x45443ff9,0xf15fc87f,
    0x849ff03f,0xf827fc3a,0x3f6a004f,0xe9804dce,0x035c4002,0x1bfe20ee,
    0x7e453fe6,0x22ffc40e,0xc87f12e9,0x101f4c04,0x82e98bff,0xdfbaced9,
    0x4c00fa82,0x1df8803d,0x4d85ff88,0x36605df1,0x517fe203,0xf9fa87ff,
    0xff16fc85,0x4c5ff883,0x217fe22e,0x10005ff8,0x8000c001,0x177dc008,
    0x219fff71,0xdfdfffca,0xdfffc982,0x2e21fffc,0x01802bbc,0x66fffe4c,
    0x4c401fff,0x00800400,0x93066d40,0xffb99fff,0x040eecc7,0x2bfff260,
    0x42effda8,0xffe883cb,0x3264ffc9,0xfffcdfff,0x15fff931,0x02bfff26,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01428310,0x00998131,0x02fffff8,0x5c039800,
    0x32675002,0x038bda80,0x80072391,0x571c8028,0x003a9dc0,0xff9007d1,
    0x32a00bff,0x00c98052,0x54133333,0x0007ffff,0x200005c4,0x84996238,
    0x3ecdc84a,0x7f707fa0,0x15555500,0x03f70000,0x7f401fe6,0xffe81fd8,
    0xf39f505f,0x12b2200b,0x06f8df98,0x4007f5fe,0xaa9806fa,0xff9802aa,
    0x17f403ff,0x23fffff8,0x502aaaa8,0x3af22099,0x2ea201dc,0xec8bea1a,
    0x883540fb,0x3f300cfc,0x2a201b20,0x555301ab,0x2aaaa155,0x801e404a,
    0x21105129,0x0a854029,0x50123500,0x319806a1,0x98054005,0x550aaaaa,
    0x1dc46055,0x99806540,0x2aa60999,0x53480aaa,0x425d69d0,0xed98afc8,
    0x3fe20dab,0x0001fc44,0x2017006a,0xed98afc8,0x40effa81,0x555300ed,
    0x4c155555,0xaaaaaaaa,0x2aaaaa62,0x64000c00,0x2aaa602c,0x555550aa,
    0x98555443,0xaaaaaaaa,0x5c2ffd42,0xa9803005,0xadc0aaaa,0x37fcc0da,
    0xf9819390,0x1ff41cb5,0x0c40bfe2,0x6dc40fe4,0x5531eeec,0x2aa61555,
    0x1ff40aaa,0xff10bfe2,0x7e407309,0x86ffa99b,0xfba9dff9,0x4037fcc6,
    0x06980069,0x6c46ff98,0x41f984ff,0xfba9dff9,0x4c27fc46,0x98069803,
    0x91fb06ff,0x05ff883f,0x5eff8054,0x3203ff20,0x6e6d40ef,0x3f603fe3,
    0xff983ff1,0xc86ff986,0x0efc81ff,0x0e613fe2,0x17fec1c8,0x23444ff8,
    0xfd805ff8,0x00fec001,0x3e217fe2,0xff03a87f,0x7fc46889,0xfd803984,
    0x82ffc401,0x27fc0608,0x77653b62,0x40fffee0,0x5ff706ff,0x3e2953f8,
    0xd87fcc0f,0x42ffc42f,0x7ff85ff8,0x7c45ff70,0x0e03984f,0x7fc0bff5,
    0x27fc1c64,0x8017fe60,0xff805ff9,0x587ff704,0x87193fe0,0x03984ff8,
    0x7c02ffcc,0xca76c44f,0x427fc0ee,0x81ff35fd,0x220dfffb,0x9ff505ff,
    0xf319ffcc,0x3a1ff10f,0xf04ff82f,0x06ff889f,0x7fc49ff5,0xf1003984,
    0xa7fc01ff,0x013fe029,0x2001ffb9,0x7c00ffdc,0xb9ffe04f,0x14d3fe01,
    0x3984ff88,0x007fee40,0x57f613fe,0x27fc0ff9,0x0ff9afe4,0x263fff88,
    0x9ff505ff,0x3e64ffe8,0xbf15f707,0x7fc13fe0,0xa82ffcc4,0x13fe24ff,
    0x7fe400e6,0x756ffc03,0x8813fe02,0x8804ff9c,0x7c04ff9c,0x2ffee04f,
    0x56ffc048,0x09ff102e,0x7ce44073,0x427fc04f,0x81ff35fc,0x35fc84ff,
    0x3f7601ff,0x541bfe26,0x7ff442ff,0x3201ff14,0x13fe02bc,0x3fe227fc,
    0x445ff506,0x803984ff,0xff806ff9,0x3fe02fde,0x3ff42e04,0x07fe85c0,
    0x3fa027fc,0x77fc00df,0x9ff102fd,0xe85c0730,0x427fc07f,0x81ff35fc,
    0x35fc84ff,0xf58a21ff,0xf906fe8d,0x4ff9088f,0x004c80fe,0x13fe09ff,
    0x3fe41bfa,0x015427fc,0x7c00fff4,0x7fc0574f,0x3ffb9204,0x07ff7240,
    0x3ea027fc,0x74ff804f,0x5427fc05,0x3ffb9202,0x3f213fe0,0xff81ff35,
    0xff35fc84,0x85f59a21,0x4fd81ffa,0x7dcdd2c4,0xceeeff81,0xff04ff81,
    0xb03ff509,0x70bfd09f,0x84ffb803,0x28a7fc0b,0x2a09ff06,0x06ffcccd,
    0x3ff3336a,0x1013fe06,0x9ff007ff,0x2ff418a2,0xccda80dc,0x3fe06ffc,
    0xff35fc84,0xfb84ff81,0x3a21ff96,0xf903cebe,0x440efa8b,0x27c1fbde,
    0x37ffffd4,0x4ff827fc,0xefa8bf90,0x220ffc80,0x077fc404,0x2127fc34,
    0x5827fc3a,0x0b02ffb8,0x3fe05ff7,0x01ffc404,0x0ea127fc,0x02441ff9,
    0x205ff70b,0x96fb84ff,0x2ffc41ff,0x7fdfff44,0x5402cc44,0x204ecbfe,
    0x883e6030,0x0fb999be,0x4ff827fc,0x3b2ffaa0,0x66ffdc04,0x17fec00c,
    0xbff11b62,0x3fe22e98,0xff883b85,0xff883b86,0x405ff886,0x7c404ff9,
    0x5c174c5f,0x700ccdff,0x10dff107,0xffd10bff,0x3f269ff7,0x00180aff,
    0x00130002,0x7c432600,0x3fe22643,0x005ff885,0x00880013,0x999fff50,
    0x7e4cbffd,0x1fffcdff,0x215fff93,0x3ee22efb,0x5df70cff,0x867ffdc4,
    0x80afffc9,0x80aeffca,0xfcdfffc9,0x002201ff,0x7dc45df7,0xff930cff,
    0x0003015f,0x00000000,0xb8820000,0x7e4c2bbc,0xff930aff,0x0000015f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb800,0xfffff806,0x00000002,0x0acb9940,
    0x80098260,0x2a2000ba,0x202a80aa,0xaaa88048,0x7f401b88,0x2aaaa602,
    0x5555550a,0x80330000,0xf985b9e9,0x20f6c00f,0x40012658,0x7711aaa9,
    0x53029801,0x55005555,0x66401555,0x40f32602,0x80dadcda,0x4fd99bef,
    0x80db9d10,0x001fd9ea,0xbf883fea,0x002d80fb,0x1ff93ff3,0x301b7ee0,
    0x9ff70dff,0xfeaced88,0x401ff102,0xddb05d4c,0xc81fcc0b,0xcc880fbe,
    0xdff981ee,0x202fc9c9,0x4c01803c,0xaaaaaaaa,0x2a091a82,0x3f987f1f,
    0x03f01ff5,0x3baa0bfb,0x3f9af402,0xdffccc80,0x87f55f70,0x3fe2005a,
    0xe881ffa9,0x7fc40790,0xc83ff985,0x207fabff,0x24c7406d,0x901d8ad4,
    0x827fc407,0xf01ff16d,0x00ff89df,0x8069801d,0xfba9dff9,0xb049c886,
    0x47fa2f4f,0x70480ff9,0x440005ff,0x4001f37f,0x27f60ff8,0x003a25f9,
    0x4161ff88,0x27fc0080,0x7e41ffcc,0x0001ff15,0x01010084,0xe8062002,
    0xf81ff88f,0x42fec0ff,0x01fd8069,0x83444ff8,0x99ff1028,0x43fe21db,
    0x26000ff8,0x3cc985ff,0x0733fe20,0x3fefbb20,0x8beabee0,0xbeec803d,
    0x75c931ff,0x92eec8ce,0x984ff819,0x15fc83ff,0xbbb701ff,0xeca76c43,
    0x0eeedc0e,0x220eeedc,0x8881eecc,0xff81ffc9,0x3b87fc85,0x402ffcc0,
    0x221c64ff,0x7cc1eecc,0x21ff300f,0x4ccc0ff8,0x7ff99999,0x103f8fd4,
    0x3b221fff,0x7ecfee0c,0x3aefa20f,0x7f700b50,0x20667ff2,0x23ff34fe,
    0x984ff81a,0x15fc83ff,0x99fb81ff,0xf9afec5f,0x3e67ee0f,0x2fccfdc5,
    0x207fc5b6,0x81ff8dd8,0x0ffc85ff,0x3f7200f4,0x9a7fc00f,0x3fe2db02,
    0xf811ffc0,0x4c1ff12f,0xccccceff,0xbd3ec7ff,0x4bff5950,0xf11ff86a,
    0x7443301f,0x3ff02aa0,0xfb807fe2,0x4129fd57,0x3ff984ff,0x1ff15fc8,
    0xf91367e8,0x7e83fe6b,0x26cfd136,0x07fe23fa,0x03ff11fb,0x3ff90bff,
    0x27220344,0x6ffc04ff,0x11fd02ea,0xaefd83ff,0xfa9fec38,0x417fe20f,
    0x33fe26ff,0x47ee0edc,0x983d3ffc,0x01ff10ff,0x7d6747b0,0x3e21ff11,
    0x2bfe201f,0xf038ffac,0x07ff309f,0x87fe2df9,0xafe407f8,0x0ff10ff9,
    0x22203fc4,0x3e21ffc9,0xf82ffccf,0x5c7fc85f,0x7fe85c04,0x17ef7fc0,
    0x1ffc9888,0x206fff44,0x0ffcefe8,0x7fc437fc,0xf803fe64,0x0f3ffa1f,
    0x7fc43fe6,0x7f52d400,0x47fe69f3,0x7ec01ff8,0x00dff8bd,0x7cc669ff,
    0x4fff442f,0x3fe64ffc,0x7cd7f200,0x201ff30f,0x36200ff9,0x7ec1ff8d,
    0xff85fd8b,0x0ec5fc85,0x03ffb920,0x8815d3fe,0x881ff8dd,0xff88401e,
    0x7d43fdc0,0x411ffc0f,0x3fe25ff8,0x11ff822f,0x074401ff,0x7cdf17f9,
    0x803ff11f,0x0bfb0ffa,0x47fc67fc,0x2e201ffa,0xc813fa01,0x741ff35f,
    0x813fa04f,0x01ff88fd,0x15ff816c,0x0788ff27,0x7fe666d4,0x1453fe06,
    0x7fc47ec3,0x22007b81,0x42fe80ff,0xaefd83fd,0x467fec38,0x0dcfffd8,
    0x0ffe53f6,0x9bf98790,0x7e53f63f,0x265f801f,0x2bff103f,0x401ff56e,
    0x3ff206e8,0xcb7dc39a,0x2bff20ff,0x4d7fe439,0x3f33fe23,0x403ea02f,
    0xf97f75ff,0x21602541,0x9ff02ffb,0x9ff13a84,0xbf305ff9,0x03ff3001,
    0x07b6f3b2,0x206fff44,0x99dfffd9,0x7f442ffe,0xb504efbe,0x883ab760,
    0x0cffbefe,0x203a1640,0xdaafffc9,0x6cc01eeb,0x077fdc03,0x3fefffa2,
    0x4077fdc4,0x7ec0effb,0x2205fd8b,0x3ff260df,0x41def9af,0x220ee02d,
    0x5ff886ff,0x17fb174c,0x376a0bfb,0x0f32e200,0x04400310,0x200c0620,
    0x40150020,0x00082029,0x44000202,0x08001000,0x001000c0,0xd9800001,
    0x0201001d,0x2e22efb8,0xf930cfff,0x3fff9bff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x800050a0,0x4c362142,0x9902a805,0x2ea205d1,0xaaaaaaaa,
    0x30512881,0xbd302549,0x00013aa0,0x5440cc2a,0x00ffa030,0x03db05d9,
    0x0a859962,0x402e6031,0x76c0761c,0x140c5301,0x01ff5015,0x6c006f4c,
    0x76c42ecd,0xdd83fd8c,0xfbec82ec,0x0bfe6501,0xb10d53f1,0x5dff93bf,
    0x3fd07f95,0xf9bb05f9,0x9007e401,0x19db101f,0x46fcc1fb,0x5efff86f,
    0x100fdfb8,0x813e209f,0xe881fbec,0xf8ce80bc,0x04ebf982,0x3fee07f3,
    0x55fdc1ef,0x04fee84f,0x8bd107ee,0xff904fd8,0xfb30ff59,0x413fe207,
    0xa89ff14b,0x3fe883b3,0x20ee2ffc,0xf301934a,0x801e807f,0xd9df703d,
    0x8592c83f,0x441dca99,0x12e0771e,0x7fc40d30,0x705f9504,0x3203f63f,
    0x409900ff,0xc883db9b,0x8a5c1c88,0xf503d00e,0x6fb8001f,0x20001ff1,
    0x44fa8098,0xf901042a,0x315ff81f,0x0330000e,0xb8040010,0x000010ff,
    0x02010220,0x40620040,0xff83f519,0x13107f91,0x00000040,0x20100808,
    0x3b3222b8,0xf16fb81e,0x1dceb83f,0x2a1dddb8,0x8192efff,0x3e21dceb,
    0x355ff86f,0x3b29db10,0x21e64c0e,0x1dd94ed8,0x77653b62,0xd701fee0,
    0xb9d703b9,0x03b9d703,0xd703b9d7,0xb9d703b9,0x1ff7b703,0xa7e43fe2,
    0x1dd94ed8,0xb11ee6d4,0x303bb29d,0x33260799,0x00799303,0x703fe2db,
    0xb87fe2df,0x7dc1fb2f,0x27e45f99,0x3f65f705,0xff0bff30,0x3f603d3b,
    0x7d41ff35,0x35fd87f1,0x9afec1ff,0x81bee0ff,0x5c1fb2fb,0x7dc1fb2f,
    0x97dc1fb2,0x6cbee0fd,0x7ecbee0f,0x9ff4bee0,0x4df90ff9,0x41ff35fd,
    0x5fd8953f,0x8fd41ff3,0x3f8fd43f,0x403f8fd4,0x41ff88fe,0x43ff16fb,
    0x749f90fe,0x09f91367,0x29f90fe8,0xeff84ffa,0x2bf901fd,0xe9f60ff9,
    0xff9afe45,0x7fcd7f20,0xfe81bee0,0x87f49f90,0x643fa4fc,0x7e43fa4f,
    0x27e43fa4,0xf93f21fd,0x3eabf90f,0x7e4df90f,0x3e61ff35,0x35fc833f,
    0xbd3ec1ff,0xfb17a7d8,0x443712f4,0x641ffc98,0x223ff16f,0x22df70ff,
    0x027e407f,0x5bee1ff1,0x5ff85ff8,0x4d7f2039,0x99ff10ff,0x9afe41db,
    0x4d7f20ff,0x41bee0ff,0x2df70ff8,0x2df70ff8,0x2df70ff8,0x2df70ff8,
    0x2df70ff8,0x2df70ff8,0x2df90ff9,0x4bf90ff9,0x41ff35fc,0x5fc84ffe,
    0x3fe21ff3,0xff10edcc,0x3e21db99,0xf90edccf,0x3e37621f,0x27ffa21f,
    0x1ff31ff8,0x07fcdbee,0x7cc09f90,0x7f4df70f,0x2335ff86,0x7cd7f208,
    0x401ff30f,0x41ff35fc,0x21ff35fc,0xf982ffe8,0x3e6df70f,0x3e6df70f,
    0x3e6df70f,0x3e6df70f,0x3e6df70f,0x3e6df70f,0x3e2df70f,0x7e49f90f,
    0x7441ff35,0x9afe44ff,0x01ff30ff,0x7cc03fe6,0x25ff500f,0x01ff88fd,
    0x1fd0ffc4,0x04fe8fee,0x1fd013f2,0x0ffa8fee,0x90642ffc,0xf83fe6bf,
    0x2bf9023f,0x57f20ff9,0x0dc40ff9,0x47f70fe8,0x747f70fe,0x7f47f70f,
    0x87f47f70,0x5c3fa3fb,0x321ff13f,0x7e47fa4f,0x7fcd7f22,0x91ff2110,
    0xf83fe6bf,0x47ff023f,0xb011ffc0,0xff99ff11,0x3fe2a205,0x0fe47f20,
    0xc8735ff9,0x3f9018df,0x49f507f2,0x23d45ff9,0x41ff96fb,0x5c38aefd,
    0x5c1ff96f,0x881ff96f,0x323f906e,0x7e47f21f,0x0fe47f21,0xc87f23f9,
    0x7e43f91f,0x8fec3f91,0x74bea1fd,0xffcb7dc6,0x2e374b10,0x6c1ff96f,
    0x7ec38aef,0x77ec38ae,0xfb24438a,0x2a0bfb17,0x6ec45f9f,0xeffb82fb,
    0x1027f440,0x2a05f7bb,0xdfffeced,0x7f446ffd,0x3a24ffbf,0x7f440dff,
    0x3a24ffbf,0x4c4ffbff,0xf7bb104d,0x2fbdd885,0x217deec4,0x442fbdd8,
    0x6c42fbdd,0xbdd82fbd,0x1ebeb82e,0x7fdfff44,0x83f7bd14,0x4ffbffe8,
    0x1037ffa2,0xe881bffd,0x00a20dff,0x880f2e00,0x00000801,0x00440031,
    0x01100180,0x10030018,0x31006200,0x0c401880,0x03100620,0x18010010,
    0x00c01840,0x00440088,0x00000022,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3db10000,0x01750000,
    0x2150130a,0x06151019,0xec803fe8,0x5003db02,0x13fa0179,0x006fb800,
    0x3b200bb6,0x01cc3202,0x41c15951,0x982aaaa8,0x00375101,0x82aaa200,
    0x01aa980b,0x2600ba88,0xf305c41b,0x0eeedc09,0x20ffffe2,0xf986dce9,
    0xfff06f8d,0x3f7ee0bd,0x8813e200,0x5dba204e,0x07efd44f,0x220f736a,
    0xf9803fdf,0x204f8803,0x7e412e78,0x82cde98c,0x444ffffd,0xfbacc0ff,
    0x7766dc46,0x83fea01e,0x809fd02c,0x4c3faaf9,0xfb0ed8bf,0x3f706987,
    0xe9ad8bf3,0x03bf706f,0x4cc164b2,0x1e881dca,0x4025c077,0x4d3ea068,
    0x44b8f47f,0x2990953f,0x025c00e9,0xb34c05a8,0xf887fb05,0x7777441f,
    0x7d85e81e,0x8fec5ff1,0x7fc401ff,0x27ec16a0,0x0ff43fe0,0x64fea1fd,
    0x4fd0083f,0x0df5044d,0x20000000,0x00100408,0x229f9004,0xf982047f,
    0x0881033f,0x08100040,0xf903a4b8,0x0eff981f,0xd90000aa,0x0ff99ffc,
    0xff8805fb,0x04fd83c0,0x14fd9fe6,0x5d3e67ff,0x10f3261f,0x0fdc00ff,
    0x3bb29db1,0x07bb3220,0x207bb322,0x881eecc8,0xc881eecc,0x4fc81eec,
    0xdcda85d7,0x2227ff43,0x81dd94ed,0xccdaeebb,0x4aeceb82,0x3ffffff2,
    0xb11bfa1f,0x77ec5ff7,0x0799301d,0xff887fc4,0xdd905fd0,0x82d81ff7,
    0x22eebcfd,0xe9bf27fa,0xf11fbbff,0x263f8fd4,0xefa800ff,0xff9afec1,
    0x07fc5b60,0x207fc5b6,0xd81ff16d,0x6d81ff16,0xcfc81ff1,0xa9fc2ec8,
    0x227ff444,0x41ff35fd,0x7dd7fe6c,0x0fe4bea0,0x3d735f31,0x1b12ffc4,
    0x3fe29ff5,0x8fd44fff,0xb81d903f,0xfb85f8af,0x4a81ffb3,0xff98efd8,
    0x3f23ff11,0x03fffe66,0xe8bd3ec9,0x7ff4c04f,0x7cd7f20f,0x3e23fa0f,
    0x7c47f41f,0x7c47f41f,0x7c47f41f,0x7c47f41f,0xfd27e41f,0x10cffe63,
    0xbf91ff21,0x0fe83fe6,0xd8fe67fd,0x788bfb1f,0x4bff312e,0x229ff50d,
    0x20ffffdb,0x06c17a7d,0xff02bcc8,0xf103fe23,0x1ffc9fb0,0x89fb1bfb,
    0xf105fffa,0x641db99f,0x2e039aff,0x4d7f23ff,0x326220ff,0x64c441ff,
    0x64c441ff,0x64c441ff,0x64c441ff,0xb27e41ff,0x227ff47f,0xbf91ba58,
    0x88883fe6,0x4eccdffb,0xff993ff1,0x67557dcc,0x32dff10a,0x440bfea1,
    0x99ff14fd,0x901981db,0x10ff9809,0xd83b01ff,0xb717f64f,0x4fdc5ffb,
    0xff984ffd,0x077fdc00,0x5fc8bf60,0x6ec41ff3,0x6ec41ff8,0x6ec41ff8,
    0x6ec41ff8,0x6ec41ff8,0x27e41ff8,0x7ff449fb,0x07ef7a24,0x03fe6bf9,
    0x209fd1d7,0x6fa9cff9,0x33f33baa,0x0afbfa0c,0x5e801ff7,0x40001ff3,
    0x21ceeeff,0x1ff10ff9,0x24fd8970,0x1ff304fd,0x06fe9be2,0x3a8047ff,
    0x5fc8d500,0x47ec1ff3,0x47ec1ff8,0x47ec1ff8,0x47ec1ff8,0x47ec1ff8,
    0x27e41ff8,0x7e4227f9,0xfc82c447,0x7e41ff35,0xf108dfb1,0x5b17ee5f,
    0x1ffcc1e2,0x1e402ff4,0x0cc047ff,0x6fffffa8,0x0ff88ffc,0xd27ec688,
    0x987f205f,0x6c17ee5f,0xf7038aef,0x0f21fb81,0x43ff2df7,0x2ffccff8,
    0x3ff33fe2,0x3f33fe22,0x333fe22f,0x33fe22ff,0x67ec2ffc,0x4b11faeb,
    0xb82f986e,0x221ff96f,0xcffc8aff,0x64bf22c8,0x05a8f42f,0x8bf517f2,
    0xd8360df9,0x7cc38aef,0x4cdf440f,0x53f60fb9,0x43d01ffc,0x203be5fd,
    0x2e6e81fb,0xbffd101f,0xf50d9101,0xfd1079df,0x7ec9ff7f,0x7ec5fd8b,
    0x7ec5fd8b,0x7ec5fd8b,0x7ec5fd8b,0x3e65fd8b,0x222ceacf,0x5441fbde,
    0xbffe880f,0x37ffa4ff,0x223fffb8,0x443ebecb,0x564412e7,0x883dcbde,
    0x440ccffd,0x7c40dffe,0x321fc40f,0x7df7f444,0x66c7704e,0x5d40ecbd,
    0x979b300b,0x44011007,0x0c004400,0x00000000,0x00000000,0x800880c2,
    0x80300801,0x00882008,0x10009885,0x00401100,0x40577971,0x04110020,
    0x10001011,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54aaaaa0,0x2aa1aaaa,0xaaaa9802,
    0x2aaaa62a,0x4055550a,0x053000ba,0x88022f26,0x51001aba,0x2aa60159,
    0x2155540a,0x01aaaaa9,0x06179751,0x9bb98000,0x2aaaaa30,0x002aaa61,
    0x12203730,0x503880d4,0x51012203,0x665c0159,0x3fff11cc,0x3a227fe4,
    0xffd1be61,0xffa8dfff,0x1d305b85,0x376201fb,0xea8ae881,0x457e440f,
    0x33601ed9,0xf904da9a,0x06e441df,0xb807ffc4,0x6eda8adf,0x77e5f6cc,
    0x737df701,0x3ffa27dd,0xf502f982,0x80fdc989,0x81fe443c,0x81fe441e,
    0x26b3603c,0xdddb04da,0x117fdc5d,0xfa890bff,0x3bbbfe0f,0x427fc44f,
    0x3f2fb039,0x3205e882,0x3fa07c46,0x6c17fc43,0x212a099a,0x1c45fff8,
    0x3f60dfd0,0xffb0db06,0xfb81ff35,0x7fd47d06,0x3f204983,0x0d30b506,
    0x412e0fe2,0x206983f8,0x0254261d,0x362ffc40,0x2a0aa0ff,0x1f882e61,
    0x1cc27fc4,0x05c47fc4,0x3ff01fa2,0x07ff20b8,0x99d83bf2,0x8953eadf,
    0x223ffec8,0x2e1bfa03,0xb0b101ff,0xf51ffc9f,0xfd0ea03f,0x5c40190d,
    0x220ef980,0x887f100e,0x887f100e,0x32e3b00e,0x984a9eaa,0x0ffd83cc,
    0x1048fff2,0xf886a808,0xf883984f,0x233f202f,0x019ffd00,0x7fdc1ffe,
    0x1f94f962,0xfff17116,0x6fe80e25,0x40407ff8,0xd97f64fd,0x3ee0407f,
    0x0201222f,0x80f23f88,0x100f43f8,0x5603c87f,0x22c6a0fa,0xf987f1fa,
    0x2dfd913f,0xd8017048,0x984ff884,0x66ffe543,0xcfeefe80,0x17fffd40,
    0x7d41bfe2,0xea7c734f,0xf3388326,0x740711ff,0x037fc46f,0xbfb27ec0,
    0x220037fc,0x2006e5ff,0x261b2b83,0x971fcc06,0x1a63f980,0x640dd398,
    0xe85e9f60,0x3ff7377f,0x880b2037,0x84ff881f,0x7fff5c39,0xe8ffc41e,
    0xffffa83f,0x5417fe64,0x6fc554ff,0x3886e0fe,0x80e3bfee,0x2ffcc6fe,
    0xfd27ec00,0x0017fe67,0x40247ff2,0x742b9849,0x15530e21,0x302ea1d1,
    0x3887a155,0xb817e2aa,0xdb99ff11,0x14affb81,0x1ec099ff,0x3fe20d50,
    0x9f903984,0x7dc7fe60,0x5fff9105,0x7d41bfe2,0x567c732f,0x4388322f,
    0x3a03dffc,0x237fc46f,0x20beeeb8,0x23ff0efd,0x88006ff8,0x5401acff,
    0xe879000f,0xfcc8f406,0x9ba1e406,0x8640fb39,0x7c400ff9,0x0fff62ef,
    0x813605f8,0x302a84ff,0x47fe205f,0xd10e27fa,0xc837f4bf,0x3abf2c7f,
    0xfd071166,0xdfd1447f,0x3fe0ffd0,0xfeedfd86,0x8003ff42,0x7dc05ffd,
    0xdc8d3005,0x1b212e06,0x236e4698,0x58e25f55,0x32011ffc,0x807fd46f,
    0x807e07f9,0xb81b85fe,0xff8712fc,0x43c4bf52,0x07fea3f9,0x957713f6,
    0x85959339,0x23ff8838,0x50bfd3fc,0x0dfd03ff,0x7d4029fb,0x2a01103f,
    0x9ff402ff,0x5c3d01ea,0x01d106c9,0x370f405b,0x9713b8d9,0x3bf61643,
    0x07f3038a,0x07fd40bf,0x3ff203d4,0x32ae1220,0x7dc5ffff,0x1fc45f74,
    0x8bf903e6,0x03b80efa,0x260b3059,0x7fcbee3f,0xe81df703,0x804fd86f,
    0x06c40ffb,0x9fd00dd0,0x88f20bea,0x2e82ffef,0x479012b8,0x5c2ffef8,
    0xfd105903,0x407401bf,0x03fea02c,0x3fee0136,0xeca80ccd,0xeb81efeb,
    0x76f443eb,0xfd501cbb,0xda809d97,0xda82ddcd,0x643a80bf,0x6cc04fcc,
    0x82dfbace,0xfb5004fe,0x77009b9d,0xd11df500,0x43640d30,0x1eefa84b,
    0x20d9034c,0x02ddcdda,0x08040044,0x0881dc40,0x02002200,0x30403003,
    0x0004c001,0x0080000c,0x01310003,0x000e664c,0x40000022,0x01302cb8,
    0x5405414c,0x200982aa,0x00018029,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x09d500de,
    0xa9800371,0xd801aaaa,0x0e45904f,0x54c1bd30,0x2aaaa61a,0x0355300a,
    0x555554c0,0x2a61aaaa,0x5300aaaa,0x4770aa35,0x4c30a83b,0x570aaaaa,
    0xaaa89428,0x82aaaaaa,0x55155542,0x300aaa23,0x55155555,0x99705555,
    0x5554c399,0x5f7001aa,0x7e4076c0,0x7fd4000f,0xa80dfcad,0xbf880fdf,
    0x20fe405d,0x7fd44fe8,0x027f400e,0x2bbffaa0,0x7fcc4fca,0xf9cfe806,
    0x436e743f,0x7cc5effe,0xc87fea6f,0x37f53ecd,0x8db53ffb,0x317fd44d,
    0x402fec1d,0x3f20eff9,0xddddb05f,0xcadffa85,0x80b600df,0x5ff500e8,
    0x24ff8800,0xa8f41efa,0x801ff904,0x889fb01e,0x4fd804ff,0x27fce400,
    0x09ff112a,0xbfd19fb0,0x5442ffa8,0x7fc41dca,0xc893fe64,0x7e4550cf,
    0xd09f92c7,0xfd31549f,0x3f2a099d,0xffdcccef,0xff10004d,0x080f7d49,
    0x06c00440,0xd13fe200,0x300408ff,0x7ec01001,0x4034ff84,0x4e6004fd,
    0x10e314ff,0x9fb009ff,0x000cc1d4,0x1b84ff88,0x23fe4180,0x45dfff72,
    0x3f2127fb,0x98bff005,0xa76c43ff,0x3fe20eec,0x9d33ff44,0xdb11dd95,
    0x9105fd59,0x37f6bbae,0x3227fc40,0x0fb661ff,0x5fd59db1,0xfd8ced88,
    0xff073f60,0x27ec039b,0xaa7fcb00,0x009ff101,0xd88649fb,0x260fd8ce,
    0x4ff883ed,0x0fb662c4,0x3f207fc8,0x092ff884,0x05db3bf9,0x7ff317fe,
    0x3fe6bfb0,0xf913fe20,0x7fc4e63f,0x3eafff24,0xdff11447,0x7cc47fd3,
    0x7ff719df,0xffc84fd8,0xefb87fab,0x3bf61fec,0x20077fc0,0x5c0594fd,
    0x07ab7fe1,0x03727fc4,0x3ee0a9fb,0x7ec1fece,0x224ff884,0xa889fb02,
    0x21abffda,0x6c09dfd8,0xffc82adf,0xbff07fab,0x07ff7333,0x43fe6bf9,
    0x719dff98,0xffc827ff,0x7fc57f20,0xfc8ffc00,0x2b7fee64,0xfd8bff52,
    0xff15fc84,0x810ffb81,0x04ff84fd,0x06f8cfd8,0xdff999d1,0x3fe203f9,
    0x9fb0bf34,0x8087fdc0,0x4ff884fd,0xa889fb00,0x21abffda,0x332cefea,
    0x4133bff7,0x01ff15fc,0xfb999dff,0x26bf907f,0xbff730ff,0x317fea55,
    0x15fc87ff,0x1ff801ff,0x4ff88bf9,0x3f61ffd4,0xff15fc84,0xd507fb81,
    0x04ffc89f,0x20134fd8,0x4ff9999c,0x93fe2037,0x204fd80a,0x27ec07fb,
    0xd8027fc4,0x81ff204f,0x7d5544fc,0x3f21aadf,0xff03ff15,0xc83ff98b,
    0x441ff35f,0x1ffd44ff,0x57f21bfa,0x7fc00ff8,0xff88bf91,0x3617fdc4,
    0xf15fc84f,0x106fb81f,0x7fcdc9fb,0x027ec704,0x453fe0aa,0x04ff8861,
    0xf7027ec7,0x884fd80d,0xfd8704ff,0xc81ff204,0x40ffa05f,0x03ff15fc,
    0x3ff98bff,0x1ff35fc8,0x3ee27fc4,0x447fea2f,0x3fe2bf90,0xfc8ffc00,
    0x3a27fc45,0xc84fd85f,0xb81ff15f,0x213f606f,0x364984ff,0xff82404f,
    0x3fe21a84,0x13f64884,0x7ec06fb8,0x884ff884,0xf9027ec4,0x8c6fe40f,
    0xcceffccc,0x7fc57f22,0x7cc5ff81,0xf96fb83f,0x227fc41f,0x93fe25fe,
    0x3e2df90d,0xc97fc01f,0x8a7fc45f,0x4fd80efb,0x3ff16fc8,0x3f606fb8,
    0x222ffc44,0xc813f64d,0x4c5ff881,0x217fe20f,0xb813f64d,0x427ec06f,
    0x44d85ff8,0x3ff604fd,0x209fd100,0x2df904ff,0x5ff81ff8,0x7441ffd4,
    0x224ffbff,0x1df714ff,0xbf6effe4,0xffc9ffe8,0x277fee04,0xff931ffe,
    0x2607bfbf,0x3fa21eff,0x224ffc9f,0xff982ffe,0x9fff931e,0x3e67ffb9,
    0x67e441ff,0x37fff2a1,0x3f267fec,0x3ffdccff,0xd103dff3,0x3fe605ff,
    0x3fff261e,0x263ffdcc,0x7d441eff,0x4c001cff,0x220aeffb,0x4ffc9ffe,
    0x22bfff26,0x302effda,0x6fffe4c0,0x000003df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,
    0x29db1022,0x05300eec,0x64c4a92a,0x775c4ccc,0x440dc88c,0x23eb82ca,
    0x30dd33ec,0x0a099999,0x3b22c436,0x155554c2,0xa9866330,0xaaa8aaaa,
    0x2aaa62aa,0x14c009aa,0xaa886aa6,0x55554c01,0x2e20099a,0x800aaa20,
    0x2ee201ba,0x55555530,0x5554c555,0x3fff20aa,0xf35fc80e,0x407fe01f,
    0x7540fcdd,0x5fe85eee,0xf7bf10ea,0xa7ec5f85,0xeeea87f9,0xea84a85e,
    0x437442fa,0x3e205ff9,0x6ff98ff6,0x7cc27fdc,0x41ffdadf,0x4fe84fda,
    0x7d402fec,0x03ffc9cf,0x05fd89fb,0x82ffff98,0x3e66f8fb,0x46fba9df,
    0xb9b86ff9,0x22bf903d,0x01d900ff,0x8000ffe6,0xf9090ffa,0x42cc1717,
    0x00ff34fd,0x7f413ea0,0xf881d106,0x3b96403f,0x7fd45ff8,0x364ff883,
    0x13feea7f,0x0bf913f6,0x7d49ff10,0x642ea82f,0xfcbc805f,0x8357f87f,
    0x223444ff,0x320005ff,0x001ff15f,0xcc880cc0,0x27fd01ee,0x0103fd83,
    0x83fcd3f6,0x3ea1dceb,0x04c42eff,0xeff88110,0xf8000bdd,0x81ffcc5f,
    0x07fee4ff,0x89fb09fd,0xff8805fc,0x8013fe24,0x704405fc,0x03fcc1ff,
    0xf838c9ff,0x2b3b624f,0x15fc82fe,0x5674c1ff,0x59d30eec,0x8b6c1dd9,
    0xaffb80ff,0xd983fd81,0xf9a7ec3e,0x1fb2fb87,0x76cc27e4,0x443ed983,
    0x43ff73ff,0xbff03ed9,0xff03ff98,0x7f437ec9,0x7e44fd84,0xf887bb15,
    0x30ffe24f,0xadfc87db,0x37cc02ff,0xf01dffd5,0xff80a69f,0x7d5ffe44,
    0xff15fb87,0x4ff89cc1,0x227fc4e6,0x81ff88fe,0x7fb05ff8,0x9fb13f60,
    0x1fd05fe6,0x04fc93f2,0x13f609fb,0x27fc7ff1,0x6ffc13f6,0x03ffb999,
    0x19fb5bff,0x9fb09fd0,0x20765fc8,0x3ff24ff8,0x7e44fd80,0x5c07faaf,
    0xf03fcc3f,0x7c05d5bf,0xf8afe44f,0xfcb7d40f,0x0ffc821f,0x440ffc82,
    0x901ffc98,0x40ff607f,0x46fec4fd,0xff119ffd,0x4fc9bee1,0x3f609fb0,
    0xff1ffc44,0xff04fd8d,0x7ffb999d,0x3f6f7fe0,0xd84fe81d,0x1cafe44f,
    0xffbdff10,0x913f6019,0x803fe2bf,0x207f986d,0x202fdeff,0x8afe44ff,
    0x67f440ff,0xff984ff9,0x107ff303,0x203ff1bb,0x07fb00f8,0xdffb13f6,
    0x7fccbfd3,0x27e4df70,0x9fb04fd8,0xff13ff88,0xff04fd87,0xf03ff98b,
    0x207fe49f,0x44fd84fe,0x101fcdfc,0x0dff39ff,0x57f227ec,0x1f301ff8,
    0x7fc0ff30,0x27fc0574,0x07fc57f2,0x7f40b108,0x6c1bfa06,0x201ff88f,
    0x6c0ff604,0x0204fc4f,0x91fdc3fa,0x413f60bf,0x67fc44fd,0x4fd85fda,
    0xff98bff0,0x7cc9ff03,0x6c27f44f,0x7effe44f,0x2e9ff106,0x89fb04ff,
    0x03ff15fc,0x1fe6087a,0x0c514ff8,0x2bf913fe,0x2ec00ff8,0x4111ffa8,
    0x22111ffa,0x22ffccff,0x3601a8d8,0x449fb03f,0x23f9002f,0x237f21fc,
    0xfd827ec1,0x4d6ffc44,0x3e09fb00,0x81ffcc5f,0x0ffe64ff,0x89fb09fd,
    0x84fe8dfc,0x3ff64ff8,0x7e44fd81,0x7b03ff15,0x3fcc7333,0x3a849ff0,
    0x5bf227fc,0x7e401ff8,0xd93fe20b,0x06c9ff10,0x4bfb17fb,0x7f404cfa,
    0x7cc9fb04,0xf7bb1003,0xd84fe885,0x889fb04f,0x4fd804ff,0x7d45ff88,
    0x24ff883f,0x27f40ffd,0x57f227ec,0x7fc42ff9,0xb03bfe24,0xf16fc89f,
    0xffffb83f,0x441fea2f,0x1174c5ff,0x7ff44bff,0x4404ffc9,0x37ff23db,
    0x37ff27ed,0x770007ed,0x41effa80,0x1911eff9,0x80018800,0x7cc1eff9,
    0xdff931ef,0x0f7fcc05,0x515fff93,0x64c5dffb,0x0ceedfff,0x42bffee6,
    0xfd11fff9,0x25fff13f,0x2a2effc9,0xdff31eff,0x327ffa23,0x3ffe64ff,
    0xffb11fff,0x7ffe4c19,0x931fffcd,0x00015fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x39800000,
    0x88aaaaa6,0x01802aaa,0xaaaaaa98,0x2aaaa0aa,0x42aaa21a,0x512aaaa9,
    0x55554555,0x2aa200aa,0x2aaaaaaa,0x55555553,0x0aaaa655,0x532aaaa8,
    0x26015555,0x409aaaaa,0xaaaaaaaa,0x09999913,0x00000000,0x00000040,
    0x80100370,0x37fcc6e8,0x260067d4,0x99bfc806,0x7ec46ffa,0x641f984f,
    0x41fc46ff,0xdfcadffa,0x7ece7d40,0x3e66ea9f,0x27eba9df,0xf882fff9,
    0x37fcc3ff,0x75effcc0,0x2630064f,0xdb86eeee,0x3cc981dd,0x443dcda8,
    0x7401eecc,0x329db101,0x64c1f9ee,0xeb8dd1dc,0x7ec04aec,0x7445ff86,
    0x803fb001,0x417fec1c,0x03a87ff8,0x82545ffd,0x3bee4ff8,0x47fc8ea0,
    0x1342ffc5,0xf970bff9,0x04ff883f,0x3fe29ff0,0x20018032,0x545f99fb,
    0x53f87f1f,0x1ff16d89,0xbfb00f40,0xb8fa7fe6,0x4379fb2f,0x403f92fa,
    0x5ff86fdb,0x7cc00362,0x3ea1c05f,0x0ffee05f,0x47ffcc0b,0x13fe2058,
    0xf904cdff,0x12ffc28f,0x83ff990a,0x7c41ffbc,0x49ff004f,0x218036fe,
    0x27e83ed9,0x4bd3ec4d,0xfe833ff9,0x3a01ff88,0x7cd7f201,0xc87f42bf,
    0xfb1fd84f,0x1bef260b,0x002557fe,0x4003ff72,0x7c00fff8,0xf7006e7f,
    0x7c4019bf,0x807fec4f,0x2ffc07fc,0x93fe7209,0x441ffbaa,0x9ff004ff,
    0x0c01a7fc,0x0ff113f6,0x76e67fc4,0x2213ffa0,0x221ffc98,0x199ae999,
    0x0ff9afe4,0x6fb87fc4,0x7e64ffc4,0x21beeb07,0x004fbdff,0x013fe722,
    0x5c01ffe4,0xd0048bff,0xff8807ff,0xc81ffdc4,0x46ffc07f,0x3ffa906b,
    0x107fee90,0x3fe009ff,0x0063ff74,0x7cc4fd83,0x01ff300f,0x2227ff44,
    0x361ff8dd,0xeeeefeee,0x7fcd7f21,0xfb87fcc0,0x54e7fcc6,0xdf70c86f,
    0x5ffdfff0,0x3ff42e00,0x0037fcc0,0x2001bffd,0x2200fff9,0x27fd44ff,
    0x7fc07fc8,0x2a906fde,0xff738bff,0x004ff883,0x417bbdff,0x13f60c01,
    0x3ff813fa,0x8ff90882,0x01ff88fd,0x35fc807a,0x21fd01ff,0x97fc43fb,
    0x4ce545fb,0x6ffc0efc,0x4800fff9,0xfd00ffee,0x7fd4003f,0x3ff6a004,
    0x713fe205,0x1ff207ff,0x41a6bff0,0x5c2fbfa4,0x27fc41ff,0x0604ff80,
    0xc84fd830,0x7ec39aff,0xe96238ae,0x3f33fe26,0xb807a02f,0x80ffd8ff,
    0x903fb1fc,0xf90bf25f,0xf8dfffff,0x01dff55f,0x7fe666d4,0x213fee06,
    0x07ff100b,0x17ff5260,0x7e44ff88,0x80ff901f,0x724125ff,0x0ffdc9ff,
    0x21c13fe2,0x300604ff,0xff704fd8,0xdffe881d,0x07ef7a20,0x4bfb17fb,
    0x99ae9998,0x7d67f441,0x5f9bb04f,0x7d7d9710,0xdfb55530,0x3f25ff85,
    0x3ee1605f,0x0eff882f,0x0ffe2068,0xfff89620,0x744ff880,0x01ff205f,
    0x24804bff,0x3fee1ff8,0x4427fc41,0x03027fc4,0x2027ec18,0x30804400,
    0x7776c000,0x081eeeee,0x8800c400,0x21bee000,0x27ff45ff,0x37fc41dc,
    0x36217fec,0x013fe606,0x5ffb83d1,0xf914ff98,0x07fec01d,0x4880bff0,
    0x0bfee364,0x89b0bff1,0x266a04ff,0x26299999,0x00001eff,0x00000000,
    0x00000000,0xf9337dc0,0x3ff627ff,0x45df71df,0x50cfffb8,0xfd999fff,
    0x3ff2a0bf,0xbfea80ae,0x1bfff911,0x3f7fff2a,0x3fea202d,0x7fe4c1cf,
    0xbfd980bf,0x7ff54530,0x9fff932d,0x3267ffb9,0x0000afff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00440000,0x44660000,
    0xeb8002e1,0x92eec8ce,0x44006a19,0x01dd94ed,0xeb800000,0x001b90de,
    0x4ef6c4aa,0x33a63dd9,0xdb30eeca,0x1007b53d,0x21a804c0,0x03ed980b,
    0x37305c35,0x1ba80660,0xb8dcdb80,0xdceb82dd,0x7700f201,0x4599b5dd,
    0x3f7ea5e8,0xdb10edfe,0x7f41fb19,0x86a3ff34,0x6c00beea,0x221ff35f,
    0x42feaced,0x4feaced8,0x5fe83df9,0xdd7100aa,0x83b37e43,0xa89ff139,
    0x75c2a9ff,0x1fc07a20,0x01d30e88,0x5cd509fb,0x203fb664,0x7f9db06e,
    0x7fc97dc0,0xd97dc3f5,0x6407900f,0x87dd7fe6,0x433a0ffa,0x677dc2e9,
    0x55fee1fe,0x36a094fe,0x2bf901cf,0x3ff20ff9,0xffc87fab,0xfc8dff8a,
    0x0487fd46,0x2e073f66,0x6410375f,0x4efd80ff,0x07d11d90,0x21d7004c,
    0x4c4fd85d,0x9841f51f,0x21f6dc1f,0xff81e269,0x8fe2df70,0x209f90fe,
    0x743fa03c,0x3227f33f,0x716e1e63,0xff1021ff,0x071ff595,0x642efb88,
    0x641ff35f,0xb81ff15f,0x7d4bfe6f,0x438bff87,0x200beeb8,0x201fcdfb,
    0xff303ff9,0x21f76405,0x99999998,0x7cc77c41,0xbf327ec5,0x225c13ea,
    0x2a0f98f8,0x7fcc0745,0x9d99ff70,0xb7dc3fe2,0x99cd9998,0x3ee22209,
    0x204eccdf,0x7dc6985a,0x45efec07,0xf3000dff,0xf9afe45f,0x7c57f20f,
    0xff37dc0f,0x3ee1fea5,0x0f7e40be,0x77effdc0,0xd80dfd00,0x03be206f,
    0xdddddddb,0xf88fe83d,0xfa93f60e,0x29107f75,0x7c4d9320,0x9fe60b71,
    0x1ff307fb,0x7775dbee,0x5c2eeeef,0x2004fe8e,0x2e2640f8,0x87fd406f,
    0x75c405fd,0x9afe40be,0x457f20ff,0xf37dc0ff,0x221fea5f,0xbf9304ff,
    0xfeafdc05,0x111ffa84,0x882ffc88,0x0000ecbe,0x207647ea,0xc8fd44fd,
    0x4fbba20f,0xa83e20f9,0x3fe01dfe,0xd043ff70,0x640fee1f,0x7ec7f203,
    0xee837046,0x7dc2fb8a,0x3e65f806,0x05bf9303,0x0ffcb7dc,0x07fc57f2,
    0x52ff9bee,0x007f20ff,0xf902ffaa,0xf88bfe6d,0x32b0364f,0xc8fa20ff,
    0x7403b00e,0x9fb01d11,0x751e4b70,0x26066177,0x1fd80081,0x4533dff9,
    0x203f91fc,0x15ff103c,0x25919ff9,0xf9d70ffa,0x7dc1f7bf,0x0742c806,
    0x440067e4,0x24ffbffe,0x83ff16fc,0x54ffe6fb,0x800d307f,0xfff32fc9,
    0x325fff13,0x267eddff,0x0dffc9ed,0x36039075,0x40e45702,0x1c81eff9,
    0x00000036,0x2baf7620,0x6ec44ffe,0x80f202fb,0xffb8dffe,0x009be63f,
    0x02ffe882,0x00180404,0x7ff44030,0x3a24ffc9,0x9dffaaff,0x00103ffd,
    0x00000220,0x00000000,0x00000000,0x83000000,0x5c00c400,0x10180402,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x206e6000,0x3881541a,0x43705530,0x9506a21b,
    0x39999999,0x2eeeeeea,0x298001bb,0x5d986ec4,0x46616f5c,0xaaa85128,
    0x2a1aaaaa,0x1aaaaaaa,0x003dddd5,0x00000000,0x00000000,0x00000000,
    0x21fb9300,0x3fe62fb8,0xf6987b82,0x6fab7d47,0xbba96e3e,0x51bbbbbb,
    0xb7777777,0x43b60dc7,0x07ee2ff8,0x32b263f7,0x3f65bcff,0xbbb12fb9,
    0x227bbbbb,0xdddddddd,0x03ffff73,0x00000000,0x00000000,0x00000000,
    0x222d4000,0xc93fe22f,0x511c8d8a,0xaafd49f5,0x1f51f56f,0x47700000,
    0xe8bfe27c,0x9dc0761f,0x260cca82,0x0000c98c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f883be6,0x333f62a8,0x9d1d12ee,0x34f89fc4,
    0x7764f51f,0x02eeeeee,0x51766770,0x20040819,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17c47f10,0x5c1bb824,0xd0f45eaf,
    0x311dcf45,0x13333333,0x00442200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36570000,0x2050fe20,0x88c2f8de,0x13032240,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ae60000,0xb0015751,0x00000b23,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_19_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_19_latin_ext_y[560]={ 15,3,3,3,3,3,3,3,3,3,3,4,12,10,
12,3,3,3,3,3,3,3,3,3,3,3,6,6,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,17,3,6,3,6,3,6,3,6,3,3,
3,3,3,6,6,6,6,6,6,6,4,7,7,7,7,7,7,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,15,6,3,3,5,3,
3,3,3,3,3,7,7,10,3,1,3,4,3,3,3,7,3,7,14,3,3,7,3,3,3,6,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,2,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,3,3,3,3,3,3,3,
1,4,-1,3,3,6,-1,3,-1,3,0,3,-1,3,-1,3,3,3,1,4,-1,3,0,3,3,6,-1,3,-1,3,
-1,3,0,3,3,2,-1,-1,3,3,0,3,1,4,-1,3,3,3,0,7,3,3,-1,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,6,-1,3,3,3,6,1,4,-1,3,-1,3,3,6,-1,3,3,6,-1,3,
-1,3,-1,3,3,6,-1,3,3,4,-1,3,3,4,0,3,1,4,-1,3,-1,2,-1,3,3,7,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,1,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_bold_19_latin_ext_w[560]={ 0,4,7,9,9,15,14,3,6,6,8,10,4,6,
4,5,8,7,8,8,8,8,9,9,8,8,4,4,10,10,10,7,16,13,11,12,12,11,10,14,14,7,9,14,
11,16,12,13,10,13,13,9,11,13,13,18,13,13,12,5,5,4,8,10,4,9,9,8,10,8,7,9,10,5,
6,10,5,14,10,8,9,10,8,7,6,9,9,13,9,9,8,6,2,6,10,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,4,7,9,9,9,
2,8,6,13,6,9,10,6,13,10,7,10,5,5,5,10,10,4,4,5,6,9,13,13,13,8,13,13,13,13,
13,13,18,12,11,11,11,11,7,7,7,7,12,12,13,13,13,13,13,8,13,13,13,13,13,13,10,9,9,9,
9,9,9,9,12,8,8,8,8,8,6,5,7,7,8,10,8,8,8,8,8,10,9,9,9,9,9,9,9,9,
13,9,13,9,13,9,12,8,12,8,12,8,12,8,12,13,12,10,11,8,11,8,11,8,11,8,11,8,14,9,
14,9,14,9,14,9,14,10,14,10,7,7,7,7,7,6,7,5,7,5,15,9,9,7,14,10,10,11,5,11,
5,11,8,11,7,11,5,12,10,12,10,12,10,13,13,9,13,8,13,8,13,8,17,12,13,8,13,8,13,8,
9,7,9,7,9,7,9,7,11,6,11,9,11,6,13,9,13,9,13,9,13,9,13,9,13,10,18,13,13,9,
13,12,8,12,8,12,8,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,10,9,9,9,9,9,9,9,9,9,9,9,9,9,15,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,9,7,7,13,
8,13,9,13,9,13,9,13,9,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,9,18,12,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_19_latin_ext_h[560]={ 0,13,6,13,14,13,13,6,16,16,7,10,7,2,
4,13,13,12,12,13,12,13,13,13,13,13,10,13,9,5,9,13,16,12,12,13,12,12,12,13,12,12,13,12,
12,12,13,13,12,16,12,13,12,13,13,13,12,12,12,16,13,16,7,2,4,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,12,9,9,9,8,12,8,16,16,16,3,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,13,9,12,
16,16,3,13,6,8,5,2,13,2,7,10,7,7,4,12,16,4,5,7,6,8,13,13,13,13,16,16,16,15,
15,15,12,16,16,16,16,15,16,16,16,15,12,16,17,17,17,16,16,8,13,17,17,17,16,16,12,13,13,13,
13,13,13,14,10,13,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,8,10,13,13,13,13,16,16,16,
14,12,16,13,16,13,17,13,17,13,16,13,17,13,16,13,12,13,14,12,16,13,15,13,16,13,16,13,17,16,
17,16,16,16,16,17,16,16,12,12,15,12,14,11,16,12,16,16,15,8,13,16,17,16,16,16,8,16,16,16,
16,12,12,12,12,12,12,17,12,16,13,17,12,12,13,13,15,12,17,13,17,13,13,10,16,12,16,13,16,12,
17,13,17,13,16,13,17,13,17,16,16,13,12,12,16,13,15,12,17,13,17,14,17,13,16,12,17,13,16,16,
15,16,12,15,12,16,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,10,11,11,11,11,11,11,11,11,11,11,11,11,11,15,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,13,16,12,17,
13,17,13,17,15,17,16,17,16,17,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,17,16,13,17,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_19_latin_ext_s[560]={ 255,251,34,147,223,106,80,252,1,248,18,
23,13,137,81,248,187,163,219,19,1,171,59,25,243,234,47,251,142,49,85,
189,67,25,151,155,80,236,105,130,136,248,120,10,133,116,107,79,145,25,188,
69,93,35,168,1,66,52,39,248,218,175,235,126,92,200,224,174,207,183,228,
197,208,202,71,177,171,117,106,14,145,46,62,192,95,96,132,71,173,51,164,
113,249,78,97,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,255,20,95,
49,52,188,252,134,108,233,27,219,60,137,93,115,244,210,229,1,86,75,167,
76,71,7,42,203,219,205,191,182,218,232,42,173,97,111,93,91,1,178,223,
77,26,18,235,125,26,140,207,179,151,234,220,183,157,122,15,43,153,196,117,
88,78,68,58,48,38,27,34,10,1,242,233,224,110,69,39,128,178,1,160,
151,142,133,124,192,244,105,95,114,76,110,120,130,1,41,190,1,204,224,11,
205,38,196,1,177,51,30,56,122,234,95,15,247,69,71,147,180,98,37,104,
86,64,186,79,8,116,81,137,67,189,212,209,198,89,142,205,166,243,162,152,
172,187,213,150,246,1,204,14,178,153,160,180,13,131,150,124,112,85,73,67,
178,1,29,166,136,47,12,234,11,34,86,94,21,108,49,58,1,84,58,53,
115,39,133,149,206,103,98,210,106,127,248,77,168,156,39,169,181,120,214,159,
224,235,28,24,213,191,186,28,12,159,136,234,53,133,15,247,64,23,143,32,
61,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,57,156,156,42,
156,156,156,156,156,156,156,156,156,156,156,156,156,233,233,156,156,156,156,156,
156,156,156,156,156,156,156,156,48,221,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,1,214,
63,102,221,169,193,196,165,195,137,224,113,103,89,85,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,1,57,205,124,29,137,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156, };
static unsigned short stb__times_bold_19_latin_ext_t[560]={ 1,72,213,135,89,106,106,135,89,38,213,
202,213,213,213,106,121,176,176,135,189,135,149,149,135,135,202,121,202,213,202,
135,55,189,176,149,189,176,189,149,176,176,149,189,189,189,149,149,189,55,176,
149,189,149,149,149,189,189,189,20,135,38,202,213,213,189,135,189,135,189,176,
135,176,176,38,176,176,202,202,202,149,106,202,189,176,202,202,202,202,176,202,
38,1,38,213,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,1,149,38,
149,202,163,1,38,213,149,213,202,213,213,149,213,202,189,202,213,213,176,55,
213,213,213,213,202,149,149,149,149,55,55,72,89,89,89,163,72,55,55,72,
89,89,89,72,89,163,55,1,1,1,38,38,202,135,20,1,1,55,38,176,
135,135,135,135,135,135,106,202,135,135,121,121,121,176,176,163,176,121,176,121,
121,121,121,121,202,189,121,121,135,121,55,55,55,106,176,55,121,55,106,20,
106,20,106,72,106,20,121,72,106,163,106,106,149,72,106,89,135,55,106,72,
121,20,38,20,89,72,72,72,1,72,72,163,163,89,163,89,189,72,163,72,
72,89,202,106,55,20,72,72,72,202,72,38,55,72,163,163,163,163,163,163,
20,163,72,106,20,163,163,106,121,89,176,20,121,20,121,121,202,55,163,55,
121,55,163,20,121,1,135,38,135,1,89,1,38,38,121,163,163,38,121,89,
163,1,135,20,89,20,106,38,176,20,106,20,38,89,38,162,89,176,38,176,
176,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,106,189,189,38,
189,189,189,189,189,189,189,189,189,189,189,189,189,89,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,89,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,38,106,
38,176,1,121,1,121,1,89,1,20,1,38,1,38,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,1,20,135,1,135,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__times_bold_19_latin_ext_a[560]={ 69,91,152,137,137,275,229,76,
91,91,137,156,69,91,69,76,137,137,137,137,137,137,137,137,
137,137,91,91,156,156,156,137,255,198,183,198,198,183,168,214,
214,107,137,214,183,259,198,214,168,214,198,153,183,198,198,275,
198,198,183,91,76,91,160,137,91,137,153,122,153,122,91,137,
153,76,91,153,76,229,153,137,153,153,122,107,91,153,137,198,
137,137,122,108,60,108,143,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,69,91,137,137,137,137,60,137,
91,205,82,137,156,91,205,137,110,151,82,82,91,158,148,69,
91,82,91,137,206,206,206,137,198,198,198,198,198,198,275,198,
183,183,183,183,107,107,107,107,198,198,214,214,214,214,214,156,
214,198,198,198,198,198,168,153,137,137,137,137,137,137,198,122,
122,122,122,122,76,76,76,76,137,153,137,137,137,137,137,151,
137,153,153,153,153,137,153,137,198,137,198,137,198,137,198,122,
198,122,198,122,198,122,198,201,198,153,183,122,183,122,183,122,
183,122,183,122,214,137,214,137,214,137,214,137,214,153,214,153,
107,76,107,76,107,76,107,76,107,76,226,152,137,91,214,153,
153,183,76,183,76,183,129,183,109,183,76,198,153,198,153,198,
153,200,211,153,214,137,214,137,214,137,275,198,198,122,198,122,
198,122,153,107,153,107,153,107,153,107,183,91,183,143,183,91,
198,153,198,153,198,153,198,153,198,153,198,153,275,198,198,137,
198,183,122,183,122,183,122,76,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,203,214,214,137,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,152,214,214,214,214,214,214,
214,214,214,214,214,214,214,218,165,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,198,137,107,76,214,137,198,153,198,153,198,
153,198,153,198,153,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,198,137,275,198,214,137,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_19_latin_ext(stb_fontchar font[STB_FONT_times_bold_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_19_latin_ext_s[i] + stb__times_bold_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_19_latin_ext_t[i] + stb__times_bold_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_19_latin_ext_x[i];
            font[i].y0 = stb__times_bold_19_latin_ext_y[i];
            font[i].x1 = stb__times_bold_19_latin_ext_x[i] + stb__times_bold_19_latin_ext_w[i];
            font[i].y1 = stb__times_bold_19_latin_ext_y[i] + stb__times_bold_19_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_19_latin_ext_s[i] + stb__times_bold_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_19_latin_ext_t[i] + stb__times_bold_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_19_latin_ext_x[i] + stb__times_bold_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_19_latin_ext_y[i] + stb__times_bold_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_19_latin_ext_LINE_SPACING
#endif

