// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT        258
#define STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_21_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_21_latin_ext_LINE_SPACING          14

static unsigned int stb__times_bold_21_latin_ext_pixels[]={
    0x00055440,0x00000262,0x00000000,0x02620062,0x88001980,0x01980009,
    0x02620000,0x01004c40,0x0006dc00,0xc800aeb2,0x25401662,0x1b7001b1,
    0x17ee00ea,0x00bff100,0x7000bfb0,0x7dc001ff,0x400e200e,0xfa801ffc,
    0x3ff4004f,0x013fe600,0x6400b366,0x7fc401ff,0x06996a05,0xd1000190,
    0xbbf8800b,0x2b7a001f,0x29ff003f,0x005d804b,0x001fced8,0x220017e2,
    0x3a005fef,0x016dc00e,0x2017b7e6,0x7000fdee,0x74007f9f,0xb2c00fde,
    0x0bdbf300,0x201fced8,0x4c02fbde,0xb4c00d36,0x7fe40069,0x37fcc005,
    0x12e3d900,0xd3000b10,0x5a801aa1,0x3a69b000,0x800e8801,0x89ec04fa,
    0x4b92e01e,0x1d31e880,0x16e1b500,0xb0093390,0x74c07a27,0x7fd40b50,
    0x07138805,0x00389c40,0x40006644,0x2e0002cb,0x0066cc04,0x04001010,
    0x01885000,0x00200188,0x08080602,0x00440880,0x2e200404,0x0180800b,
    0x0aa80101,0x2ccccb98,0x5cc2f32e,0x32e2cccc,0x999730bc,0x05e65c59,
    0x0acccb88,0x4b9665c0,0x40048ac0,0x051bcdb9,0x42f772a2,0x3b2e201c,
    0x900a8add,0x664c03b7,0xcc984ccd,0xcb884ccd,0x9970bccc,0x99971399,
    0x21664459,0x65cc2ccb,0x332e2ccc,0x2599950b,0xdda80cc9,0xd2fa828b,
    0x03fff10d,0x3fff10d7,0xfff10d70,0x7dc0d703,0x805fd30d,0x580974ff,
    0x3fe60091,0x84feb89b,0xbfd32efb,0x85f7d407,0x4880ffda,0x5d3ee091,
    0xba7dc2df,0x3ff202df,0x6c4ffe85,0xf06984ff,0x3fff109f,0x8ffd0d70,
    0xb8a7442c,0xf8cfc87f,0x80fff80f,0x01fff049,0x03ffe093,0x077e4126,
    0xff80ffe2,0xdd980974,0x02ff9800,0x987fb89d,0x5ff703ff,0x4ec03f20,
    0x267fd02c,0xf53fe86f,0x27fd401f,0x3e637fd4,0xff02a86f,0x203ffe09,
    0x22ffa849,0x3d40fb85,0x7fc06618,0xff04880f,0x3e09101f,0xa84880ff,
    0x3ffb03ff,0x025d3fe0,0x7fcc026c,0xffa92605,0x40fff983,0x3a205ff9,
    0x22037100,0x41ff32ff,0x3ff32ff8,0xe827fd40,0x0fff41ff,0xf04ff816,
    0x209101ff,0xfd0715fe,0xa6644b07,0xfff84cc9,0xfff04880,0x3fe09101,
    0xfe84880f,0x09ff901f,0x2025d3fe,0xffc807f9,0x3ffb0c03,0x44ffbd88,
    0x80c02ffd,0xfd03ddc9,0x3fa17ea7,0xfa80ff53,0x89ff704f,0x81224ffd,
    0x1fff04ff,0x3fee0910,0xcffe80b9,0x21ff9020,0x0fff87fd,0x1fff0488,
    0x3ffe0910,0xfff84880,0x20dff700,0xc80974ff,0x7ff403ff,0x07ffe001,
    0xf8dff51b,0xfb8001ff,0xdb109fb0,0xdb101db3,0xfa803db3,0x4fff104f,
    0x06e7ffd8,0xfff04ff8,0x3e209101,0xfff704cf,0x43fee07f,0x0fff87fc,
    0x1fff0488,0x3ffe0910,0x7fcc4880,0x0fff500f,0x1025d3fe,0x7c40dffd,
    0xff1000ff,0xff98ec1f,0x003ffe27,0x3fe4ffa0,0x5c00abb8,0xff5001ab,
    0xb97fec09,0x80b2ffd9,0x1fff04ff,0x7fe40910,0x3ffff202,0xc87fdc1e,
    0x80fff87f,0x01fff048,0x03ffe091,0x1fff1122,0x7c1ffea0,0x4dc0974f,
    0xff102ffe,0x3fe2003f,0x7fd4590f,0x107ffe26,0x54133333,0xc87fd89d,
    0x00ec801f,0x5027fd40,0x7fd56dff,0x27fc039d,0x4880fff8,0x2601fe60,
    0x2e0ffffe,0xf0ff90ff,0x207301ff,0x03980fff,0x07301fff,0x3ee03fff,
    0x2e9ff05f,0x2ffd5604,0x4005ffd0,0x5c3b9ffe,0x17ff44ff,0x405fffd4,
    0xfe87fdeb,0x741defff,0x00ceffff,0xfd013fea,0x6fffc57f,0xf827fc00,
    0x403980ff,0xff50204d,0xc87fdc7f,0x80ffd87f,0x01ffb02a,0x03ff6055,
    0x0bff20aa,0xff817fe4,0xf8aa0974,0x7ff901ff,0x26ffe400,0x3f217fe4,
    0x81fff03f,0x87fc8ee8,0x6ffffff9,0x7fffffcc,0x7fd4b665,0x23ffdc03,
    0xff805ffc,0x501ffb04,0x1a00b805,0xffa97fa2,0xff90ff90,0x3f203903,
    0xf901c81f,0xf103903f,0x21bfa0bf,0x412e7fd2,0x4ffc999d,0x201ffd10,
    0x4437f418,0x6fe885ff,0xfd81fff0,0x5b90ff93,0xdc8fd553,0x367ea99a,
    0x805ff76f,0x7fc44ff8,0x81ff4602,0x41c81ffc,0x2f8090b8,0x3fe62fa8,
    0xf987ff99,0xf3024c5f,0x260498bf,0x3024c5ff,0x0efc85fd,0xb8ff47d4,
    0xaaaaca84,0xfd100fff,0x540d981b,0x02fe42ff,0xfff09fd3,0xfeceff81,
    0x320fe21f,0x9720fe23,0x01ff73fa,0x0fd01fb0,0x80ff47d4,0x424c5ff9,
    0x7c01acfa,0x7ec3640e,0x983ffccf,0x804ddffe,0x04ddffe9,0x4ddffe98,
    0xdbefd880,0x5dbb104e,0xfc82c25c,0x3fb2203f,0x9d884ecd,0x03ddbdfc,
    0xf959dd90,0x35df905b,0xcdda87ff,0xceea83bb,0xfbdb83cc,0x20b5001e,
    0x3bb6204a,0x6fff4c03,0x07fd104d,0x797bd9d0,0x10002201,0x13100013,
    0x00131000,0x00002620,0x3fe60b50,0x4013000f,0x0000c409,0x00001331,
    0x44000000,0x02008000,0x02620000,0x0c410000,0x00000000,0x00000000,
    0x7dc00000,0x3ff260bf,0x000001ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00eeeea8,
    0x99999993,0x2ed80799,0x166665cc,0x000e4488,0x7f401b73,0xd882d984,
    0xed98b623,0x01510005,0x88004100,0x6f54002b,0x0014c000,0xb80004cc,
    0xa803a84e,0x3e00001e,0x4cc4003f,0xafff8019,0x2606fb99,0x0bffe04f,
    0x00db3d90,0x8817cf44,0x90ff904f,0x363fe4ff,0x9fb0007f,0xfb8fe800,
    0x007fb804,0x7c000ff4,0x3fe6002f,0x01df0004,0x00aa0097,0x001fd400,
    0xe8069b4c,0x903440ff,0x01ffe80b,0x000fffc4,0x05b806db,0x93a613a6,
    0x03fe44e9,0x4003fc80,0x803fa8fe,0x3e2004f9,0x03fd0001,0x00fe7740,
    0x25c03a60,0x0034da60,0x88001e40,0xffd00713,0x05024221,0x5001ffd0,
    0x37d40079,0x00000040,0x20007fc8,0x00410000,0x00310000,0x36a00080,
    0x09800b70,0x271012e0,0x00800038,0x33332e60,0xd02f32e2,0x8042e1ff,
    0xe828bdda,0x6dcc00ff,0xf71051bc,0x665415df,0x2619932c,0xa664c4cc,
    0x7fe44cc9,0x2200bec8,0xa8addecb,0x33332e60,0x302f32e2,0x4c999b99,
    0x2e2ccccb,0x2e600bcc,0x02051bcd,0xcdb98002,0x7312e51b,0x65c59999,
    0x654400bc,0xcccccccc,0x0fffc40c,0x8ffe835c,0x29d100e9,0xffe87fb8,
    0x137ff300,0xfd309fd7,0x8ffd0ddf,0x6c3fec2c,0xf91ff27f,0x20bfd5df,
    0xfb50befa,0x1fff881f,0x74fb86b8,0xfff885bf,0x3e606b81,0x4feb89bf,
    0x41799995,0xf981ccc8,0x4feb89bf,0x3fff1097,0xdc800d70,0xfda99eff,
    0x980fff81,0xffdffd04,0xf503ee01,0xf301ffd0,0x4413a05f,0x5ff502ff,
    0x643fe42c,0xf91ff27f,0x707fe61f,0x03f205ff,0x12603ffe,0x07fd4ffa,
    0x24c07ffc,0x9d02ff98,0x4407ffdc,0x02ff981f,0x7fc12e9d,0x4004980f,
    0x1d85ff9d,0x4880fff8,0x1f51ffd0,0x2160ffa0,0x7fcc0ffe,0x7d412605,
    0x457fa01f,0xfc87fc83,0xff91ff27,0xff31ffc4,0x7c07440b,0x444880ff,
    0x03ff32ff,0x09101fff,0x24c0bff3,0x0ea0fffa,0x49817fe6,0x880fff80,
    0x3e66e004,0x7c0d465f,0xd04880ff,0x7402e1ff,0x3a020cff,0x1ffe40ff,
    0x03fe4060,0x202e7fee,0x27fc87fc,0x23fe47fc,0x0bff64ff,0x03ffe030,
    0x54ffa122,0x01fff07f,0x07ff9091,0x43ffd418,0x807ff905,0x80fff801,
    0x26910048,0xff0125ff,0x3a09101f,0x724130ff,0x7407ffff,0x0fff40ff,
    0x406fd800,0xf904cff8,0x7e4ff90f,0x3fe3fe47,0x0007ffe4,0x24407ffc,
    0x0f6cf6c4,0x4880fff8,0x8001ffe8,0x40ae3ffd,0x80001ffe,0x04880fff,
    0x57fe61b0,0x07ffc05b,0x0ffe8244,0x7ffe44b8,0x0ffe81ef,0x0003ffe2,
    0x7e4027fc,0x90ff902f,0x323fe4ff,0x44bfe27f,0xf0000fff,0x209101ff,
    0x7fc01abb,0x7c44880f,0xf98000ff,0xf10588ff,0x0aa001ff,0x24407ffc,
    0xfff31540,0xfff80bfd,0xffd04880,0x4c1fd443,0x740ffffe,0x3ffe21ff,
    0x2ff88001,0x3207f980,0x90ffc87f,0x53ffc8ff,0x3ffe21df,0x4ccccc41,
    0x4407ffc0,0xf000ec84,0x889101ff,0xb0001fff,0x220199ff,0x97001fff,
    0x2203ffe0,0x6666c404,0x80b95ffd,0x43980fff,0xecefffb9,0xf5022fff,
    0x3fee67ff,0x0bffa2df,0x003fea00,0xffe9826c,0x653ffa64,0x75ffe47f,
    0x17ff41ef,0x205fffd4,0x83980fff,0x0ceffffe,0x3980fff8,0x0002ffe8,
    0xe807fff1,0x097002ff,0x0e603ffe,0x5ff98190,0x01ffb012,0x0f440055,
    0x22ff4434,0x07ff905b,0x400df500,0x8016e00b,0x8bfe47fc,0x207ff900,
    0xffd80fff,0xff982a80,0xfd85ffff,0xfc82a80f,0x3f60003f,0x1ffe402f,
    0xffb04b80,0x1cc05501,0x1c52ffcc,0x0e40ffe4,0x0be0db00,0x03f88bea,
    0x2201ffd1,0x2203fa81,0x1fc4090b,0x237dc4c0,0xfe8807fc,0x901fff06,
    0x903903ff,0x0fd5335b,0x03903ff9,0x2201ffd1,0x00bff201,0x2201ffd1,
    0x3ff20971,0x41601c81,0x30b05ff9,0x00498bff,0x077c17e4,0x01df11b2,
    0xb3037fa2,0x20355e41,0x2201acfa,0x5dfc00ef,0x803fe44f,0xfff84fe9,
    0x4c5ff980,0x5c83f884,0x24c5ff98,0x981bfd10,0x0bff200d,0x3037fa20,
    0x7cc12e1b,0x79024c5f,0xb11bfe60,0x37ffa60b,0xfe88004d,0x2f7b3a1e,
    0x4ffb80bc,0xd9bfd910,0x8017db09,0xfb803fe8,0x1776e04f,0x4007ffd3,
    0xdfcaceec,0x37ffa602,0x33baa04d,0x3fa603cc,0xc8804ddf,0x804ecdfe,
    0x91002ffd,0xb89d9bfd,0x37ffa604,0x5df9104d,0x77ffed4c,0x4404ffec,
    0x08800009,0x02003104,0x00000980,0x00004000,0x26620000,0x004c4000,
    0x02620000,0x98009800,0x00aefffb,0x200004c0,0x00000098,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99730000,0x6665c599,0x802cca80,0x000ea9ea,0x3a200026,0x9730002e,
    0x22400377,0x65544029,0x5cc0bccc,0xd3001b88,0x3144001b,0x009d9000,
    0x200930e4,0x10002ed8,0x09880041,0xee980280,0x1fff8800,0x13e80eb8,
    0x9d4d805f,0x8004d800,0x22006ffc,0x064c0acd,0x07ee7540,0x73ffff70,
    0x3eabfa0b,0x003f9006,0x02e7ffd4,0x300077c0,0x4003f75f,0xfb8006f9,
    0xf8804bdf,0x803c405f,0xffd003fb,0x3f50b301,0x16881be2,0x07f9800d,
    0x17457cc0,0x5c00f440,0x03efc800,0x55bfffea,0x5b11b503,0x9000be00,
    0x8005ffb7,0xfd8000ea,0x0f98004f,0x7ffe6c00,0x1fced801,0x5c00fd10,
    0x01ffd006,0x21df7091,0x0442201a,0x00fff200,0x100e20a8,0x0122003d,
    0x7fff4004,0x0000756f,0x20800188,0x00130000,0x00033220,0x9820004c,
    0xd50e9800,0x199fff30,0x3fa00500,0xf884880f,0xccb981ef,0x2f32e2cc,
    0x0dffd100,0x166665cc,0x2e817997,0x5264eec4,0x2ccccb98,0x7fc2f32e,
    0xa8756fff,0x19932ccc,0x2e0f332a,0x99730ccc,0x5e65c599,0x59997100,
    0x0f332a01,0x4403332e,0x500acccb,0x99707999,0x88080819,0x2e619ffc,
    0x32e2cccc,0x07ff40bc,0xfffa8244,0x81fff882,0x7f4dc06b,0x3ffe202f,
    0x45986b81,0x4cdfd4f9,0x40fffc41,0x7fffec6b,0x8ffd0756,0x27ffd42c,
    0x7ffc435c,0x3ee06b81,0x205fd30d,0x6b84fffa,0x74c37ee0,0x9fff502f,
    0xccc88d70,0x107fb800,0x0d703fff,0x12203ffa,0x0fff67a2,0x12603ffe,
    0x017feab0,0x09301fff,0xe87f4477,0x3fe0a24f,0x7dc4980f,0x50756fff,
    0xfe82c5ff,0xf82442ff,0x904980ff,0x3ff881df,0x885fffd0,0x881df904,
    0xfffd03ff,0xffb84885,0x207fb800,0x04980fff,0x09101ffd,0x207fdc9b,
    0x04880fff,0x01fff8aa,0x12203ffe,0xf14fc876,0x7fc0cc3f,0xfd84880f,
    0x3a0756ff,0x3320715f,0x41220fff,0x84880fff,0xffb03ffa,0x1fff9903,
    0x1ffd4244,0xcc81ffd8,0x21220fff,0xfb800ffa,0x203ffe07,0x01ffd048,
    0xfb8bf073,0x4407ffc3,0x32667604,0x3ffe04ff,0x7c784880,0x038ff52f,
    0x09101fff,0x81d5bf6e,0x900b9ffb,0x2443bffa,0x4880fff8,0xf901ffe8,
    0x3ffa909f,0xffd0910e,0x213ff203,0x221dffd4,0x800ffa84,0x3ffe07fb,
    0xffb04880,0xbfd07501,0x07ffc2f8,0xaaca8244,0xf00fffaa,0xd09101ff,
    0x5fe87fcc,0x80fff81c,0x07568048,0x48133fe2,0x122bfff1,0x24407ffc,
    0xfb807ffc,0xfff1486f,0x3ffe122b,0x90dff700,0x2457ffe2,0x675cffd4,
    0xf00ffb80,0x209101ff,0x82b81ffc,0x0e99eff9,0x24407ffc,0x07ff9058,
    0x12203ffe,0xfd77fa9a,0xfff805c5,0x56804880,0x017fe407,0x45fffcc9,
    0x101fff04,0x00fff989,0x4c90fff5,0x4c48bfff,0xff500fff,0x7ffcc90f,
    0xdffa848b,0xffa85feb,0x80fff839,0x8bff3048,0x3ffe6059,0x80fff80d,
    0xf305a848,0x1fff01ff,0x2a3b0910,0x51fe9eff,0x03ffe063,0x1d5a0122,
    0x4480ff30,0xf04afffa,0x889101ff,0xff500fff,0xfffa890f,0x07ffc44a,
    0x4487ffa8,0xa84afffa,0x20ff91ff,0xfff81efd,0x32604880,0x400cedfe,
    0xff81ffe8,0x7dc3980f,0x3ff260bf,0x07ffc1ef,0xdb1d41cc,0x386f7aa3,
    0x3980fff8,0xd8075680,0x7fe42404,0x01fff04f,0x03fff073,0x21217fee,
    0xff84fffc,0x0bff701f,0x09fff909,0x1fee1ff5,0x03ffe008,0x02dc00e6,
    0x361bf208,0x002a80ff,0x3ff606a8,0x03902a80,0xffd80b80,0x56802a80,
    0x2400b807,0xfb04ffd8,0xf905501f,0x0bff205f,0x427fec12,0xff902ffc,
    0x3ff60905,0xf70ffa84,0x6c07f60f,0x002a80ff,0x49f3009d,0x81ffc87e,
    0x04f8001c,0x07207ff2,0x1b8006c4,0x3903ff90,0x710ead00,0x44160121,
    0x3ff904fe,0xbff10390,0x82c1bfa0,0xff884fe8,0x160dfd05,0x7d427f44,
    0x2a0ff70f,0x03ff903d,0x07fa0039,0x42749f10,0x024c5ff9,0xf300fe80,
    0x440498bf,0x8072602c,0x024c5ff9,0xcfa87568,0x303c401a,0x17fe609f,
    0x17f4c093,0x1e203bf2,0xfd304f98,0x880efc85,0x2a13e607,0x40ff70ff,
    0x8bff300b,0x3fea0049,0x26e6d405,0x9bbffd30,0x2ffd4000,0x4ddffe98,
    0x2eeeea00,0xfd3002cb,0xb4009bbf,0x01ff443a,0x54077f6a,0x37ffa604,
    0xefd8804d,0xfb504edb,0x8812a03b,0x04edbefd,0x2a03bfb5,0xf91ffb84,
    0xd300301f,0x0009bbff,0x44000002,0x26000009,0x0004c400,0x26200000,
    0x00000000,0x31001000,0x02620001,0x10008000,0x04000013,0x3a37ffa2,
    0x440004ff,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0xcccccccc,
    0x330a04cc,0x01622a80,0xc800276c,0x20b80b95,0x1214c029,0x00026200,
    0x4080020c,0x17bb5000,0x40220805,0xacccccc9,0x2764000a,0x001bd300,
    0xed800104,0xa813b203,0x9effa9cf,0x2f3207d9,0x9cf8806c,0xfffa802f,
    0x457c4000,0x76fcc01f,0xecde800f,0x37fc4004,0x33ffa200,0x2bf5001d,
    0x53a200fe,0x3ee07fb8,0xf100ff8c,0x9ff933ff,0x0017e200,0x7f4005f9,
    0xf7004fb8,0x3fa201ff,0x7fc49500,0xffd30346,0x1bfee007,0x005d9f40,
    0x7004ba54,0x3a6005df,0x7e4000df,0x32a002fc,0x26005ffd,0x5c01fd4f,
    0xf703d40f,0xfff01fe7,0xa802ffc8,0x017c000e,0x0fea3fa0,0x1362fe20,
    0x43302e88,0x40146ff8,0x01cc8001,0x0005c298,0x000000c3,0x0e980008,
    0x310c00d3,0x40081000,0x040583fe,0xf31ffa00,0x001300bf,0x41000188,
    0x03833000,0xff8800c4,0xbd971006,0x2a01515b,0x22028bdd,0x000acccb,
    0x01599971,0x4ccdcc98,0x2b332e20,0x00101000,0x056665c4,0xacccb880,
    0x833ffa00,0x2f3332a0,0xd0733220,0x44ff98ff,0xccccccc9,0x333263cc,
    0x000aaccc,0x3326004c,0x3ccccccc,0x0b3332e6,0x500dff10,0x3f6a17df,
    0xb8a7440f,0x21bf707f,0x7dc02fe9,0x205fd30d,0x05bf74fb,0x7f4c37ee,
    0xccccb982,0x17999972,0x3a61bf70,0x86fdc02f,0xff702fe9,0x3fee07ff,
    0xe81f880f,0x80ffe47f,0xfb99afff,0x4cfffc46,0x36004ffc,0x35fff004,
    0xfff0df73,0x0dff1005,0xf902ffb8,0x3d40fb81,0x3e2077e4,0x81df903f,
    0x3fe83ff8,0xdf901ff5,0xf03ff881,0x6ffb85ff,0xf881df90,0x81df903f,
    0xff903ff8,0xffd03dff,0x3fa07507,0x02efdbaf,0x0d103ffa,0x2ffc8fff,
    0xd007f980,0xe86881ff,0xff8800ff,0x817fe606,0x41ff40e8,0xd81ffd45,
    0x1ffd41ff,0x3e21ffd8,0xa83ff32f,0x3ffb03ff,0xfa83ffd0,0x03ffa84f,
    0xffa83ffb,0x203ffb03,0x40ffffe9,0x20587ffa,0x2ffe9ffe,0x0887ff40,
    0xf98ffd09,0x3ffc805f,0x110ffe80,0x003ffa12,0xfd81bfe2,0x7f40c02f,
    0xffd020cf,0xd13ff203,0x3ff203ff,0x7fa9ff44,0xf901ffe8,0x81ffd09f,
    0xffe84ffa,0xe89ff901,0x9ff901ff,0x1fffd408,0x0571ffec,0xfff9bff4,
    0x5c3ffa00,0x98ffd010,0x7f4404ff,0x0ffe806f,0x3ffa0217,0x06ff8800,
    0x20007ffe,0xf03ffffb,0x3fee01ff,0xb807ffc6,0x4f6c46ff,0x0fff81ed,
    0xfd0dff70,0x84ffa81f,0xff700fff,0x700fff8d,0xe8868dff,0x8fff985f,
    0x93ff4058,0x7ff40dff,0x3fa00e98,0x200ffe47,0x402ffe9b,0x00e98ffe,
    0x22003ffa,0xfff106ff,0x3ff20001,0x3fe61eff,0x4fff500f,0xf500fff9,
    0x035770ff,0x5403ffe6,0x0ffe87ff,0x3e627fd4,0xfff500ff,0xa807ffcc,
    0x5417c7ff,0x99ffb02f,0x747fe801,0xdffd03ff,0x7ff401ff,0x802efdba,
    0xe80bff55,0x200ffeff,0xf9800ffe,0x3fff106f,0x09999988,0x0ffffe98,
    0x2a01fff1,0x3ffe27ff,0xc8fff500,0x7ffc400e,0xd0fff500,0xfdddddff,
    0x0fff889f,0x7c4fff50,0xfff500ff,0x03640ef8,0xf007fff1,0x7ffcc1ff,
    0xfa8ffe81,0x3a7ffa00,0x22a802ff,0x3fa01fff,0x3a00fa8f,0x7ed400ff,
    0xffe81bff,0x0bfffa82,0x47fff502,0xff701fff,0x701fff8b,0xfffe8bff,
    0x7ffc0cef,0xd0bff701,0x4ffa81ff,0xf701fff8,0x01fff8bf,0xece8bff7,
    0x6c00bcbd,0x3f2602ff,0x3fee2cff,0xb87ff42f,0x7cdffa00,0x4cec00ff,
    0x3a04ffc9,0x740170ff,0x200000ff,0xfff03ffc,0x5fe88681,0x7e40bff2,
    0x817fe42f,0x7fcc2ffc,0x7e45ffff,0x05ff902f,0xffa81ffd,0x902ffc84,
    0x2ffc85ff,0x2085ff90,0x3ff20069,0x001a8002,0x48261ffd,0xdff93ff4,
    0x55556540,0xffd00fff,0x7f448261,0x01fd000f,0xff837f44,0x7d417c0f,
    0x7417fe22,0x05ff886f,0x35b90dfd,0xff88fd53,0x3a0dfd05,0x27fd40ff,
    0xfe82ffc4,0xd05ff886,0x03fa80df,0x0005ff90,0xffd001fd,0x7fe89701,
    0x0581fff4,0x3fa07ff9,0x7f44b80f,0x05b7000f,0xff84fe98,0x32077c0f,
    0x642fe986,0x5fd300ef,0x7c40efc8,0xfe985c83,0xe8077e42,0x27fd40ff,
    0x7e42fe98,0x85fd300e,0x7c400efc,0x05ffb003,0xd001f700,0x1fd443ff,
    0xff983ffe,0xf982d41f,0x1ffe80ff,0xffd0fea2,0x9001c003,0x5bf959dd,
    0x797bd9d0,0x2fbf6201,0xfd8804ed,0x2a04edbe,0x203cccee,0x4edbefd8,
    0x2e0fff40,0x3f6205ff,0x8804edbe,0x04edbefd,0xb9802b98,0x000aefff,
    0xfb980157,0xfffeceff,0x59fff932,0xfb97ffdc,0x3ff260bf,0xfff731ef,
    0x25fffd9d,0x02dfffb9,0x33100018,0x00620801,0x20001310,0x00000098,
    0x5cc00988,0xfd52dfff,0x988017ff,0x01310000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00810000,0xa80911cc,0x082200de,
    0x0442f5c0,0x00eea801,0x000de980,0xa8800bd7,0x9501aaaa,0x99970799,
    0x005db101,0x05e6edcc,0x07439990,0x0732e279,0x3ae00010,0x9930c005,
    0xccccb989,0x204eb802,0x801ff4fa,0x6c03e9ce,0x37fee01f,0x3ffe204b,
    0x1fe5fe23,0x0009ffd0,0xfd8005f9,0x3ffe6001,0x3fea05ff,0x4c06b84f,
    0x1bf7005f,0x7fc0ffa2,0x436d7dc0,0x13ee02fe,0x0003ba00,0xf887fd89,
    0x1dd001ff,0x0fea7d40,0x2037fd40,0x7e6c01f8,0x237601ff,0x7e5be26b,
    0x1f51d702,0x0002f800,0x0000009b,0x4885fffd,0x6c00f980,0x1ffc40ef,
    0x1ffe83fc,0x3f202fd8,0x007cc005,0x0ff906a0,0x26003ffa,0x0040800f,
    0x0c402cc8,0x44013040,0x40100d43,0x310014c3,0x4c028000,0x2e2ccccb,
    0x7e640bcc,0x401220ff,0x0ffea009,0x1fe0ffe4,0x2fd81e54,0x30002a20,
    0xf9090001,0x003ffa0f,0x6664c026,0x23cccccc,0xccccccc9,0x99734ccc,
    0x00980599,0x966665cc,0x02ccccb9,0x0980004c,0x10013000,0x0d703fff,
    0x8877ff52,0x666664c4,0x7f43cccc,0x89ff501f,0x6665cc7f,0x9317ec2c,
    0x99999999,0xccccc983,0xcb81cccc,0x83fe40ed,0x64c00ffe,0x2bffe04c,
    0x3ea6fb99,0x99effa9c,0x017ffc7d,0xfff8026c,0x802fff82,0x09b0004d,
    0x7c013600,0x904980ff,0x2457ffe2,0xb99afff8,0x807ffc6f,0x83fc6ffa,
    0x2fd82fff,0x366673ee,0x9cfb86ff,0xc86ffd99,0x7e46fc8f,0x001ffd07,
    0x7ff40ffb,0x44953440,0x3fa346ff,0x03fcc00f,0xfe80ffe8,0x03fcc00f,
    0x4003fcc0,0xfff007f9,0x99209101,0xd048bfff,0x266881ff,0xff300fff,
    0xffd07f8f,0x15c5fb01,0x2e07ffe2,0x20fffc42,0x41ffb6f8,0x1ffd07fc,
    0x740ff900,0x992110ff,0x851bfe21,0x7e400ffe,0x0ffe803f,0x6400ffe8,
    0x7e4003ff,0x7fe4003f,0x80fff803,0xffa89048,0x1ffd04af,0xfff12422,
    0xf1ffe601,0x203ffa0f,0x3f60e2fd,0xffb0704f,0x353bf509,0xfd07fc83,
    0x0ff9001f,0x10b87ff4,0x2037fc40,0x3a200ffe,0xffe806ff,0x200ffe80,
    0x2006ffe8,0x2006ffe8,0xf806ffe8,0x904880ff,0x209fff90,0x02170ffe,
    0x3ea03fff,0xfe83fc6f,0x022fd80f,0x0201fff5,0xfb01fff5,0x83fe409d,
    0x64100ffe,0x23ffa07f,0xff8800e9,0x007ff406,0x805ffd37,0xffe80ffe,
    0x3ffa6e00,0xffd37002,0x3fa6e005,0x07ffc02f,0xfb048244,0x23ffa09f,
    0x5ff900e9,0xff0bfee0,0x3603ffa0,0x7fff102f,0x0fffe200,0xf9027fe4,
    0x403ffa0f,0xfe81ff24,0x8800ffef,0x7ff406ff,0x2ffd5600,0x3a03ffa0,
    0x7d5600ff,0x3eab005f,0x3eab005f,0x07ffc05f,0xd1058244,0x3bffa09f,
    0xbff100ff,0x1fe1bfa0,0x7ec07ff4,0x00dff902,0xf7037fe4,0x1ff2087f,
    0x2cc07ff4,0x7ff40ff9,0xf8800fa8,0x07ff406f,0x07ffe2a8,0xfe80ffe8,
    0x7fc5500f,0xff15401f,0x3e2a803f,0x3ffe01ff,0x07883980,0x7ff413e6,
    0x3e600fa8,0x4077dc2f,0x01ffd07f,0xfff305fb,0x3ffe6003,0x2fffa201,
    0x03ff20da,0x9d107ffe,0xffd03fe4,0x3e2002e1,0x07ff406f,0xffc999d8,
    0x203ffa04,0x33b00ffe,0xd809ff93,0x04ffc999,0x7fe4ccec,0x203ff604,
    0x0efed42a,0x1ffd04a8,0xdf91002e,0x3e019fd7,0xb01ffd07,0x09ffd05f,
    0x09ffd011,0x77ffd411,0x993ffa60,0xeeeefffc,0x81ff24ff,0x24130ffe,
    0x7406ff88,0xaaca80ff,0xd00fffaa,0x1ffd01ff,0xf5555950,0x2b2a01ff,
    0x00fffaaa,0xff555595,0x07ff201f,0x06a20072,0x4c3ffa01,0x5ffd0120,
    0xffd07f80,0xfb85fb01,0xfb83706f,0x4643706f,0x00151008,0x07fc8053,
    0x12e03ffa,0x3a037fc4,0xf90580ff,0x03ffa07f,0x41603ffa,0x20b03ffc,
    0x20b03ffc,0xff303ffc,0xf100498b,0x03ffa00f,0xfff1012e,0xfe83fc01,
    0x222fd80f,0x41f02fff,0x1f02fff8,0x02fcc024,0xff901fe4,0x510fff40,
    0x1bfe607f,0x5a83ffd0,0xd01fff30,0x3ffd03ff,0xfff305a8,0xff305a81,
    0xf305a81f,0x3fa601ff,0x64004ddf,0x43ffd006,0xd9803fa8,0x7fc0bdff,
    0xe81ffe80,0x217ff62f,0x2ffec7e9,0x00553f4c,0x0be2013a,0x5cc0ffc8,
    0xffecefff,0xfffda82f,0x7ffdcc1b,0x417ff72d,0x31efffc9,0x265bfff7,
    0xf72dfffb,0x7fe4c17f,0x17ff71ef,0x8f7ffe4c,0x3260bffb,0x2201efff,
    0x0ab80009,0x77ffdcc0,0x002fffec,0x55540d54,0x5bfff730,0x7d42aaa2,
    0xfeeeeeff,0x3bffea6f,0x26ffeeee,0x00ab8801,0xfd300dcc,0x0000009f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00fb6000,0xc881f6c0,0x65cc00cc,0x32e61ccc,0x223a80cc,
    0x40179105,0x200152d9,0x0200ea0c,0xb9800000,0x26051bcd,0x200aaaaa,
    0x20700d44,0x6c00e448,0x433012a1,0x7017ae01,0x22b80188,0x05f88049,
    0xc80bf300,0xfff000ff,0xe809f505,0x76c03e9c,0x1ec1fa80,0x07dcfd40,
    0x00017ea0,0x3fe60be2,0x04feb89b,0x05fffff9,0x9836e764,0x367b200e,
    0xf97f3005,0x677fec01,0x7003fe03,0x1001d97b,0x7003f57f,0x02dc000b,
    0xe8007fdc,0x017441ff,0x54037fd4,0xf886f83f,0x03ffe802,0x80006fb8,
    0x17fcc5e8,0x200004e8,0xf882efd8,0x0fffc402,0x809ffb00,0x300efebd,
    0xffb1003f,0x2ffe4009,0x0c000180,0x000ffb80,0x0ecc3ffd,0x70039900,
    0x907f889f,0x04c9801f,0x999302a0,0x6665c799,0x17fe60ba,0x99710498,
    0x40100159,0x0795006e,0x400cc880,0x00130020,0x64400098,0x332e600c,
    0x332a02cc,0x33220bcc,0x543fee1c,0x1ffe82cc,0xcc9801b5,0x1ccccccc,
    0x0fe83fd8,0x33264f98,0x00aacccc,0x45999973,0xec82fff8,0x807ff900,
    0xd30dfb81,0x9997305f,0x4c27cc59,0x09bccccc,0x26004c00,0x542ccccb,
    0x2600dd2f,0x66664c00,0x883ccccc,0xfb801fff,0x41f880ff,0x40be0ffb,
    0x00fb9ffe,0xd999cfb8,0x03fb06ff,0x1ff303fb,0x64cfffc4,0x3ffe04ff,
    0x980fff82,0x007ffa04,0xf881df90,0x85fff03f,0xfff103fd,0x001dfb53,
    0x7ffc0136,0xff8cfc82,0xf004d800,0xdf7335ff,0x4003ffa0,0x83a83ffe,
    0x40390ffb,0x06ffeffe,0x7ffc42b8,0xfb03f701,0xff07fe20,0xd02ffc8f,
    0x1fff01ff,0x3fe20910,0x3fea000f,0xd03ffb03,0x03ff81ff,0x3df91ffe,
    0xd007f980,0x198601ff,0xd007f980,0xd06881ff,0x3ea001ff,0xff70587f,
    0xffe80991,0x1c05ffea,0x32027fec,0xf807e60d,0x263ff42f,0x1ffd05ff,
    0x9101fff0,0x007ffe20,0xf901ffe8,0x41ffd09f,0x3fe02ff8,0x007ffc47,
    0xfd007ff9,0x9a66441f,0x7fe404cc,0x10ffe803,0x07ff4121,0x5c7ffb00,
    0xffbff702,0x4cfff403,0x50203fff,0xd5001fff,0x7ff0036a,0x7fcc7fe8,
    0xf01ffd04,0x409101ff,0x3e002ffe,0xdff700ff,0x7cc1ffd0,0x21ffe01f,
    0xfd102ffe,0x1ffd00df,0xffb0ffc8,0x037ff440,0x10b87ff4,0x8003ffa0,
    0x0588fff9,0x1bfabfee,0xff51ffe8,0xfff1003f,0x4c1bb007,0xd0bfe01f,
    0x01ffc8ff,0xfff01ffd,0x7e409101,0xfff3003f,0x21ffea01,0x3fe20ffe,
    0x361ffe02,0xfd3704ff,0x0ffe805f,0x7fc87fdc,0x0bffa6e0,0x1d31ffd0,
    0x000ffe80,0x00667fec,0x9ff31ff7,0xfc87ffa0,0x7fe400ff,0xd81fb806,
    0xe83ff107,0x2efdbaff,0x3e03ffa0,0x204880ff,0x3100ffe8,0x5403ffe2,
    0x0ffe87ff,0xfff01ffc,0x560dff70,0x7f405ffa,0xc87fdc0f,0x7fd5607f,
    0x7f7ff405,0x07ff400f,0x0fffe200,0x3f23ff70,0x41ffe81f,0xf300effe,
    0x3fb003ff,0xff303fb0,0xfe9ffe81,0x07ff402f,0x24c07ffc,0x3037fa20,
    0x80fffc1b,0xffe85ffb,0xff01fec0,0x50bff70f,0xd00fffc5,0x0ffb81ff,
    0xf8aa0ff9,0x3ffa01ff,0x7f400fa8,0x7ec0100f,0x3ffa202f,0x265fff74,
    0xd31dfffb,0xfd07dfff,0xfc81109f,0xfa80ff82,0xff37fe84,0x07ff401f,
    0x1d407fec,0x66ff6440,0x02ffc84e,0xffd05ff9,0x3e04f981,0x84ffc87f,
    0x4ffc999d,0xf703ffa0,0x6c1ff21f,0x04ffc999,0x005c3ffa,0x02403ffa,
    0x54005ff9,0x00298002,0x0dc1bfee,0x0ff113ee,0x9ffa03f2,0x3fa06ffc,
    0x81ffc80f,0x0744001b,0x3a0bff10,0x01ffd06f,0x43ffc0fb,0x56541ffd,
    0x00fffaaa,0xffa81ffd,0x5950ff90,0x01fff555,0x904c3ffa,0xb301ffd0,
    0x0017fe40,0xfb8007f9,0x2fff8803,0x83fa81f0,0xd02f887f,0x03ffe8ff,
    0xff301ffd,0xa800498b,0x17f4c04f,0x7f403bf2,0xf02e880f,0x85ff98ff,
    0x207ff905,0x7fcc0ffe,0x0587ff99,0x3fa07ff9,0xff84b80f,0xb027441f,
    0x7cc005ff,0x017c4001,0x74c2ffec,0xfb80ed87,0xfff016c1,0x40fffcc1,
    0xfd301ffe,0x20009bbf,0xfd8803f8,0x7404edbe,0x03d101ff,0x3faa1fff,
    0xf982d40d,0x1ffe80ff,0xffccffd8,0x7fcc16a3,0x21ffe80f,0x3f263fa8,
    0xffeeeeff,0xefffb984,0x00dcc00a,0x2a006e60,0xeeeeefff,0x02f226ff,
    0x20152c98,0x22cfffc9,0xf732fffb,0x4c405bff,0x0ae60000,0x30026200,
    0x405bfff7,0x3bfff262,0xffb81cee,0x3fff260b,0xbfff731e,0x7dc01105,
    0x3ff260bf,0xfff731ef,0x05fffd9d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15bbd971,
    0x80288019,0x29800eea,0x2aaa6024,0xcd9800aa,0x2aaaa200,0x5555501a,
    0xaaaa9805,0x1100400a,0x20040410,0x01010019,0x2207b000,0x010100bc,
    0x02620202,0x98800404,0x3ea06c00,0x03ff6a1f,0xf9007fd0,0x3b37a007,
    0x7fffe404,0x0915801f,0x27ffffcc,0x37ffffc4,0x3fffff60,0x2097b301,
    0x741d11e8,0x7e403d11,0xb12e801f,0xccca8805,0x7911be22,0x5a83bb79,
    0xd896c16a,0xd80ffd82,0x41ed8b62,0x1a605ff8,0x3f201ff7,0x8017ec00,
    0xbfd5005c,0xac000001,0x00000048,0xc8640000,0x89f7f700,0x2204fbfb,
    0xfa806edf,0x6fdc05eb,0x3959fd30,0x0b6396d8,0x4c07f3ba,0xcf986ecf,
    0x6ecf985f,0x9fb0ffe6,0xf993203f,0x003a205f,0x80050002,0x33332600,
    0x403ccccc,0x2e600dd9,0x4c02cccc,0x3a5f5000,0x01672a06,0xffd01ffd,
    0x2d8a6c01,0x201ffe80,0x3ff986fc,0x31c8ff88,0x80bff505,0x13e81ffd,
    0x83ffb03d,0x5c3a61ed,0x7fec3d05,0x33260c02,0x3ccccccc,0x98dd2fa8,
    0xcccccccc,0x9afff83c,0x4d806fb9,0x005fff00,0x33f2009b,0x2e600ff8,
    0x980d4c00,0x00c0401a,0xff501544,0x207ff607,0x4021deff,0x154400aa,
    0x5440c408,0x30301002,0x001fff8f,0x7335fff0,0xf19f90df,0x35fff01f,
    0xffd0df73,0x7cc06881,0x01ffd007,0x86007f98,0x9a664419,0x179504cc,
    0x50ccdb88,0x99933999,0xb93072e3,0x07ffa07b,0x7e427fdc,0x4cc884ff,
    0xb9109993,0x99b71059,0x82ddc881,0x70179501,0x007ffc49,0x440ffe80,
    0xe80cc306,0x743440ff,0x012110ff,0xfd007ff9,0x3ffc801f,0x64d33220,
    0xd87fe44c,0x7ca7447f,0x3e0f8aec,0x499ff66f,0x84fd87dc,0xff500fff,
    0x3bfff20d,0xfd87fe40,0x4f9b7cc7,0x220f8aec,0x24c5fd4e,0x743e53a2,
    0x103ffe22,0xe8133333,0x892110ff,0x099934cc,0x24221ffd,0x10b87ff4,
    0x037ff440,0xd1007ff4,0xffc80dff,0xffb8ffb0,0x2fd8ff90,0x4bfe25f5,
    0x647fee1a,0xfe8172ff,0xff98ff93,0x0fff500f,0x707fffd4,0x91ff21ff,
    0xf88ffc7f,0x97e4352f,0xfb16a4fb,0x8788bea5,0xffa81fff,0x87ff40bf,
    0x0ffc810b,0x1ffd0ffb,0x7ff4042e,0x9b800e98,0x7f402ffe,0x3fa6e00f,
    0x43fee02f,0x87fdc7fc,0x2bfe27fc,0x3ffe5fb9,0xd94ff884,0x276a12bf,
    0x7fc47fd8,0x0fff500f,0x2e3ffec8,0xe8ff90ff,0xff8ffe3f,0x2a1fe84f,
    0xaff89f20,0x216e5fb9,0xfff03ffc,0xd31ffd01,0x643fee01,0x98ffe87f,
    0x3bffa00e,0xf55800ff,0x0ffe80bf,0x02ffd560,0x1ff21ff7,0x9ff21ff7,
    0x2aaacff9,0x3617ffee,0xaffc9aff,0x1ff7ae02,0x7dc07ffe,0x3672085f,
    0x643fee5f,0xf8bfe67f,0x97ffee5f,0x3fa02ff8,0x5559ff30,0x7f4416c5,
    0xd01fff06,0x201ffdff,0x0ff90ffb,0x01ffdffd,0x07d47ff4,0x1fff8aa0,
    0x5403ffa0,0x5c07ffe2,0xb8ff90ff,0x44ff90ff,0x7fd404ff,0x8b7fd42f,
    0xee880eff,0xffc87fc8,0x905ff902,0xf71fd4e4,0xf89ff21f,0xf513fe2f,
    0x13fe25ff,0x9ff12ff8,0x74c03e20,0x80fff83f,0x00fa8ffe,0x1ff21ff7,
    0x03ea3ffa,0x0170ffe8,0xffc999d8,0x403ffa04,0x4ffc999d,0x3f21ff70,
    0xfc87fd47,0x44637f47,0xff09fd12,0xfd82ff47,0xff10ff93,0x7c1bfa0b,
    0x541f7391,0xd8ff90ff,0x9447fe3f,0x3ff64fe8,0xd1ffcc20,0x00b518df,
    0x7b977dd9,0x5c3ffa05,0x321ff700,0x70ffe87f,0x987ff401,0x55595120,
    0x3a01fff5,0xaaca80ff,0xa80fffaa,0x98ff90ff,0x47ff99ff,0x21b9dffb,
    0xf905f50f,0xff817dc3,0x981ffece,0x077dc2fe,0x1cdddfd8,0x7fccffcc,
    0x6f8a7d47,0x2a2fa87c,0xf53aaeff,0x4effdc9f,0x44007b1b,0x1ffd001e,
    0x3fea4826,0xffd0ff90,0x7f448261,0x82c4b80f,0xffd03ffc,0x3ff20b01,
    0xf99ff983,0xccffd87f,0x7ffe43ff,0x827677c3,0xf903c469,0x207ff35d,
    0x4edbefd8,0x6c039300,0x43ffccff,0x7c0edbfb,0xffb84ece,0x320ff44f,
    0x00023fff,0x3fa00bf5,0x3e64b80f,0xe87ff99f,0x744b80ff,0x8fea21ff,
    0x1fff305a,0x5a83ffd0,0xb01fff30,0x07ff99ff,0x080c0011,0x00808011,
    0x02620000,0x02200200,0x22100980,0x18000c00,0x03e88000,0x5443ffd0,
    0x667fec3f,0x0fff43ff,0x3ee67f51,0xfffeceff,0x4c17ff72,0x731efffc,
    0x3ee5bfff,0x3ff260bf,0x000881ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x006e2000,0x33bffee6,0x0882fffe,0x3bffee60,0x002fffec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80098800,0x04c40098,0x00800000,0x64c01310,
    0x179b7100,0x0f77260b,0x401ff980,0x654014c4,0x2607b34c,0x0242980c,
    0x7e401ff5,0x0e6d400e,0x03b86440,0xfd002f2a,0x00bfe609,0x36032277,
    0x03ff600e,0x6c05ff98,0xca8801ff,0x20390bdd,0x3e201dbc,0x417f606f,
    0x70ffd0fd,0x4013f61f,0xdfa801fc,0xff9000fe,0xfd05ffb1,0x0fb7ba09,
    0x77401fd8,0x7f467400,0x7c67e401,0x7ca7440f,0xf3013e60,0x647fc409,
    0x81ffd44f,0x3605fdf9,0xbf301fcf,0x2efb80bd,0x2207bfd3,0x67e40914,
    0x905f702f,0x743fe49f,0x200ff93f,0x3bee001e,0x23fee002,0x2fb84ffa,
    0x2019fb30,0x074c01f8,0x27dc7ea0,0x42647660,0x205f52fd,0x80f3004c,
    0xdb03b34b,0x0f44fa01,0xb05b8754,0x7dc07a27,0x203ff987,0x3d302c9d,
    0x3fe001aa,0x36a1ff23,0x1007fd89,0x2e000000,0x000ae0ff,0x11001000,
    0x3ea7fb00,0xff880000,0x0105fb9a,0x00000080,0x80818810,0xa8188101,
    0xfff983ff,0x44037100,0x372204c0,0xb8ffe22d,0x3f7ae07f,0x17bb7307,
    0x32601999,0x3b2603dd,0x4160ffbc,0x79500bca,0x37bb9101,0x02ddc887,
    0x80b67bf6,0x99934cc8,0x55567fcc,0x32699912,0x4d33224c,0xcdc884cc,
    0xdc880602,0x9a66442c,0xddc984cc,0x883ffb03,0xc984ffbd,0x372203dd,
    0xfea7442d,0x7dc7ff12,0xfc8ee887,0xff90f987,0x1f707ee9,0x3fe213f6,
    0xb88fffb8,0x47ca7440,0xf88f94e8,0x4e88ff36,0x3fee05fd,0xc8b33225,
    0x44ffb0ff,0x3ff204ff,0xffc8ffb0,0x6f98ffb0,0x203509f3,0xc89f36f9,
    0xb8ffb0ff,0xff09fb0f,0xffa8d83f,0x4fd87dc6,0x45fd4e88,0x749f72fc,
    0x361fee5f,0xfd0ff93f,0x7ccbfea7,0x7fc9ff46,0x3ff24fd8,0x2a5fb008,
    0x7d4bf62f,0x2ff93ee2,0x427dcbf2,0x2a1fffda,0xc87fdc3f,0x8637f47f,
    0x8ff90ffb,0x8ff90ffb,0x987fe3fc,0xff8ff206,0x7e43fee1,0x7fc9ff47,
    0x3b07ffc4,0x7fd1ffe6,0x4bf21ff2,0xa87fa4fb,0x7ec3ff20,0xfeceff87,
    0xfb8ed41f,0x547f99af,0xf87fd89d,0x403fee4f,0x5fb9aff8,0xbf735ff1,
    0x5ffca7f4,0x220a87fa,0x21dff55d,0x90ffb85a,0x9dffb8ff,0x643fee1b,
    0xc87fdc7f,0xff1ff47f,0xfe813ea7,0xffb8ffe3,0x9da8ff90,0x7fc47fd8,
    0x7fd4590f,0x7ec4ed46,0x42a1fe87,0x7ec02ff8,0xfc87fcdf,0x503ff9ae,
    0x5557ff9b,0x1ff7ae05,0x7fdc7ff1,0x559ff300,0x2b3fe655,0x79ff12aa,
    0x3fe2dfd3,0xfc8ff202,0xff701b5f,0x3f21ff21,0x87fdc3ff,0x87fdc7fc,
    0x8bfe67fc,0x00ffadff,0x2ffc5ff3,0x1ff21ff7,0x743fef5c,0x7dc3b9ff,
    0xffbd704f,0xf102ff88,0x2e11009f,0x80e9807f,0x3ff98ed8,0x7e477440,
    0x3ee4ff87,0x09ff100f,0x7c413fe2,0x229fd2ef,0x97fe04ff,0x702effe8,
    0x41ff21ff,0x21ff705b,0x87fdc7fc,0x8bfe27fc,0x327fdcff,0xff8bfe26,
    0x7e43fee4,0x7e477447,0x84dffc87,0x77442ffc,0x7fc47fc8,0x083ff604,
    0x6c03fdc0,0x3e27f905,0x4ff60c6f,0x25fd87fc,0x3fa00ffb,0x18dfd0c6,
    0x23ff93fa,0x7c420ffd,0x3ffe62ff,0x90ffa864,0x205f10ff,0x8ff90ffa,
    0x8ff90ffa,0x367fe3fd,0xfd87fa7f,0xffa87fe3,0x3fd8ff90,0x1bfa0ff9,
    0x3f617fe2,0xffb0ff93,0x5dff5041,0x0ffc8075,0x7fc0fec0,0x9dffea9d,
    0x7677fc2a,0x47fdc1ff,0x2e00fff9,0x2e1b9dff,0x2e1b9dff,0x541df16f,
    0x323aaeff,0xfea9bfff,0x3e62deff,0x887ff99f,0x9ff980ef,0x7fcc7ff9,
    0x7d47ff99,0x3feadf14,0x14fa8b71,0x99ff98df,0x677fc7ff,0xffa81ffe,
    0xff82fe42,0x541ffece,0x5c3aaeff,0x75404fff,0x7f4c04ff,0x4bbff60e,
    0xfc84fffd,0xd83ff9ae,0x0cefcdff,0x20ffff20,0x3223fffc,0xb80edcfa,
    0x76444fff,0xfe98bfff,0xccffd83f,0x5ffb83ff,0xffccffd8,0x7e67fec3,
    0x76dfdc3f,0x02eff6a0,0x203b6fee,0x3ffccffd,0x3fe6bbf2,0x6fe4ec43,
    0x3f203ddb,0xb83ff9ae,0x00604fff,0x10110000,0x00000601,0x30002211,
    0x01300300,0x20130030,0x00022009,0x88004403,0x00026000,0x01100260,
    0x2204c000,0x0c000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32e60000,0x332a2ccc,0x5dc41bcc,
    0x80101050,0x6fc80ffa,0x2a85fc80,0x05e5402e,0x664c0988,0x800bec8c,
    0xa8dc43d9,0xccdcc983,0x3613fa04,0x04cc985f,0xa817b510,0x19932ccc,
    0x201913b8,0x5c050bb8,0xffa80ae3,0x200df900,0x7c01bdcb,0x6ffa82ff,
    0x05ffffd0,0xb01aa1b3,0x00fe403f,0x6ee403be,0x03eed901,0xffb03ff6,
    0x8a0bfd5d,0x5bea2ffd,0x5d3ee2fe,0x09f302df,0x3fe407ec,0x0ffffe80,
    0x10b23ff4,0x209f91ff,0x202ffffe,0xfd80ba2d,0x200fe401,0x405fb1fd,
    0xff980ffe,0x3db9a885,0x80befb60,0x03d801f8,0x6ecc03a6,0xf34fa80e,
    0x44fcfa8d,0x3ff30ffc,0x93fee798,0x741952c8,0x201ff53f,0xc82d805b,
    0xc89b807f,0x17fd44ff,0x0ecd2e0b,0x026dcd44,0xf100f87e,0x980f6003,
    0xe81bf27f,0x5ff980ff,0x5ff98000,0x80200080,0x37471008,0x1ff89fec,
    0xf90744ba,0xd11ffc4f,0x4400390f,0x03ff32ff,0xfc808002,0x27f40807,
    0x0038aff4,0x33cc0000,0x0400080f,0x37dcff70,0xf301ffd0,0x337220bf,
    0x10055402,0x322059b9,0xcdb882cd,0x7ee5c40c,0x5ff1ffc5,0x7fc86204,
    0xfff9a7fc,0x32a0d0cc,0xfa9ff40b,0x402f2a07,0x7fe40bca,0x7400ceb8,
    0xb9ffb80e,0x07bb9300,0x5c1eee4c,0xefeeefee,0x01eee4c0,0x2e07bb93,
    0xe80bf67f,0x5ff980ff,0x49f36f98,0xdeb8ccc8,0x4f9b7cc0,0x44f9b7cc,
    0x7cc1f15d,0xf10ffb8e,0x9327fc7f,0xf8ff9099,0x33ff914f,0x94e88171,
    0xed9ed88f,0x8f94e881,0xfc8f94e8,0x205fd9df,0x9ff103fb,0x7ec3ee09,
    0x9fb0fb84,0xeaadda98,0xfd87dc2d,0x9fb0fb84,0x2feeff70,0x203ffa00,
    0x3fc85ff9,0xeffb87fe,0x1fe45feb,0xf1fe43ff,0x54bfe23f,0x7fc4ff61,
    0x7fc7ff32,0x7e43fec5,0xfb8bfe27,0xa97ec027,0x00d5dc2f,0xd8bea5fb,
    0x7e45f52f,0xd10bfea7,0x3f209fff,0x327fd02f,0xf93fe87f,0x82e8ba0f,
    0xd0ff93fe,0x2e1ff27f,0xe817ea7f,0x5ff980ff,0x8ffe3fe8,0x8ff91ffa,
    0xe8ffe3fe,0xff8ffe3f,0x3e3ff84f,0x7c7ff34f,0x643fe44f,0x41df53ff,
    0x7fc407fb,0x3b25fb9a,0x4d7fc400,0x35ff15fb,0x13fe4bf7,0xff9109ff,
    0x40ff301f,0x87fd89da,0x07fd89da,0x6d407c3f,0xda87fd89,0xfb87fd89,
    0x7407fe27,0x5ff980ff,0xbff17fcc,0x7fb87fd4,0x5ff8bfe6,0x2ffc5ff3,
    0x7ccbfff7,0x7c57fe2f,0xf90ffe3f,0xfd7ff90f,0x407fb83d,0x2aaacff9,
    0x33bffffa,0x2ab3fe60,0x559ff32a,0x3e3fe455,0x0bfee04f,0x6f5c026c,
    0x3f7ae07f,0x7777f5c7,0xdeb80eef,0x3f7ae07f,0x3e27fb87,0x11ffd03f,
    0x113fe67b,0x527fc5ff,0x89fee1ff,0x453fe2ff,0x513fe2ff,0x3fe25fff,
    0x3ff93fe2,0x7fc85ff1,0x20117fc8,0x7fc407fb,0x3fffe604,0x13fe25ff,
    0xf9027fc4,0x101ffc4f,0x802e03ff,0x87fc8ee8,0x47fc8ee8,0xaedaaec9,
    0x7e477442,0xfc8ee887,0x3e27fb87,0x71ffd03f,0x20ffe6ff,0xa87fe3fd,
    0xd8ff70ff,0xfd87fe3f,0x89447fe3,0xf8ffe4fe,0x7c53f22f,0x643fe40f,
    0x0ffb807f,0xc8637f40,0x47ea99ad,0xdfd0c6fe,0xf89ff218,0x89b6021f,
    0x3fd8090b,0x27fb0ff9,0x324c87fc,0x3f27fb04,0xff93fd87,0x7fc2ff70,
    0xf13ffd02,0x2a07fea9,0xfa8df14f,0xfa8ff70f,0x4fa8df14,0xf50f8df1,
    0x5f8a7d45,0x84faafc4,0x07fc87fc,0x2039ffa8,0x11b9dffb,0xfb8b907f,
    0x3ee1b9df,0x3f21b9df,0x7dc9f50f,0x7d43f10c,0x77fc01ac,0x7fc1ffec,
    0x741ffece,0x77fc0ba2,0x7fc1ffec,0x641ffece,0x0ecbf8ff,0x56fffdcc,
    0x202eebda,0x5c0edbfb,0x81ff91ff,0xb80edbfb,0x77c0edbf,0xdbeb84ec,
    0x4ebe980d,0x74c1ff90,0x7ec00bff,0x7ffe401e,0x66677543,0x07fff903,
    0xdc87fff9,0x74c4ebdc,0x7441ddff,0xaefc803f,0x77e43ff9,0x8fc3ff9a,
    0x5df900f8,0xefc87ff3,0x3a63ff9a,0x003bdb7f,0x09800220,0xe8cffe88,
    0x001304ff,0x00442013,0x40220022,0x0004ffe9,0x00018000,0x080c00c0,
    0x00310062,0x00000000,0x00000183,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x59300000,
    0x00aee026,0x0336a03b,0x025406c4,0x010110b3,0x9702f722,0x99713999,
    0x16644599,0x4b333322,0xcc98ccc8,0x72fd7e04,0x4c179999,0xb5101ccc,
    0x6540037b,0x6665cc4c,0x82f32e2c,0x99973080,0x220736a1,0x0dd98ccc,
    0x06f76a20,0x0721a890,0x86ffff98,0x1320bf5e,0xd827ddcc,0xd037dc43,
    0x3a23d103,0x6f8bf880,0x7ec4ffe8,0xfb86984f,0x3ee2ffff,0x260ff90f,
    0x7ec0f98f,0x205f105f,0x5ca88adc,0x221ff200,0x86b81fff,0xff85b12e,
    0x3fc8ac9f,0xfebdffb8,0x5115b906,0x76fdc0b9,0x51502647,0xd5f985bb,
    0x400e981f,0x206a80f8,0x5c09906f,0x7f704fbf,0xdff507fe,0x2a86ff98,
    0x45eeeee8,0x0ff90ffb,0x7c4164b2,0x320b107f,0x5c0b50c3,0x40effeee,
    0x84980fff,0xfe85ebfa,0x20ffc1df,0x0ff92ffa,0x882cc079,0x034c2efc,
    0x7ed3f200,0x3a201743,0xf00fc42f,0xf801d30d,0x29fd00ff,0x83ffd03a,
    0x442c1ffe,0x90ffb804,0x200820ff,0x81b82ffd,0xd739933b,0xff700b33,
    0x2203ffe0,0xd03ffb04,0x8dfd09ff,0x8ff71ffa,0xeccfe8bb,0x3e000b32,
    0xc9a66441,0x7f57ea4c,0x74401720,0x1be01ec7,0x06a600ba,0xfb805ff8,
    0x127fec4f,0x039bd709,0x3fe43fee,0x33269991,0x586ff984,0x46e2fcb0,
    0x66764c0d,0x01fff07f,0x40aa2091,0xffc81ffe,0x7dc7fea0,0xd1fc960f,
    0xb910361f,0xf9079059,0xbf1ff61f,0x400f99be,0x03549709,0x8813237c,
    0x24cccccc,0x019eff98,0xfd89ffe2,0x3fa06e7f,0x7dc0dfff,0xfc8ff90f,
    0x3a0ffb0f,0x2206a1ff,0x15c07f55,0xfff91ff1,0x2203ffe0,0xd04cc984,
    0x5ff901ff,0xffb8ffd4,0xf8fe4b10,0xb7cc570f,0x5c34c4f9,0x88ff90ff,
    0x021742bb,0x7c42afb2,0x477aa041,0x4b1020e9,0x3ff24ffa,0x7ec07fff,
    0x5ffb372f,0x3fffa216,0x3fea0eff,0xffb8ff90,0x3ee0ff90,0xd9d4165f,
    0xfd92601f,0x7fc1ff24,0xfb04880f,0x203ffa0f,0x3fea4ffc,0x8ea1ff71,
    0x261edcfc,0x1ff8ff24,0x43fee07c,0x4b9007fc,0xd802dada,0x3a007d43,
    0x8c4bff52,0x64c46ff8,0x7d4019ff,0x37feab6f,0x7f5cc039,0x26bfe63f,
    0x3fee0fff,0x7fc0ff90,0x29302a8f,0xf8ea02fc,0x7c1fee3f,0x904880ff,
    0x03ffa0ff,0xffa93ff2,0x9261ff71,0x1d46fafc,0x21ffc7fd,0xc87fdc3d,
    0x20f9807f,0x6a80fb6f,0x99007f4c,0x640fec5c,0x0ff102ff,0xf15fff40,
    0x6c001bff,0x667fec5f,0x43fee4ff,0x3ff207fc,0x4f9b405b,0x1ffcc720,
    0x3ffe0ff7,0xff903980,0x3203ffa0,0xbffd12ff,0x32683fee,0x4723fb9f,
    0x17fe2ff9,0x90ffb8b5,0x545d00ff,0x2205fb5f,0x03ef221f,0x43dc074c,
    0x37405ff9,0x47ffb802,0x44005ffc,0x0990883f,0x1ff21ff7,0x403fff88,
    0x7517f90d,0x5c9ff134,0x01ffb07f,0x41ff2055,0xffc80ffe,0xb07fdc01,
    0x87f4ff61,0xff8bfe26,0xff507c44,0xb701ff21,0x07fb5fb8,0x1f7190f6,
    0x41740ba0,0xed880ffd,0x204a99ef,0x7fc44ff8,0x07e02202,0xffa82f98,
    0xfd80ff90,0x5074400f,0x27f42d85,0x3ff20ff7,0xff901c81,0x6d43ffa0,
    0x5ca05fc8,0x5557447f,0x42daa98a,0x207fe3fd,0x267fe62d,0x03e607ff,
    0x203f6df1,0x7fffcc6a,0x25904c86,0x2393fea2,0xfffff99b,0x7407ec03,
    0xa8ffe207,0x206fcc03,0x7ff99ff9,0x88027cc0,0xb82d881e,0x0fffa8ff,
    0x24c5ff98,0x3fa0ff90,0x3f95fd1f,0x17eefe20,0x0b6207a2,0x837c53ea,
    0x667fec5b,0x205d03ff,0xf884f8fb,0xf303ee01,0x27fff701,0x99a66ff8,
    0x0dffccdd,0x04a82d40,0x01677fec,0x7ec3ffc8,0x403ffccf,0x3b22000e,
    0x3601cecd,0x04efcdff,0x09bbffd3,0x2e60ffc8,0xefaadfff,0x6f76401e,
    0xd9bd9100,0x6dfdc039,0x110f100e,0x5100e600,0x5300aa01,0xaa881b81,
    0xbdff90aa,0x22088bfd,0x00802000,0x11000130,0x02000220,0x20008800,
    0x4c400108,0x4ffe9800,0x00002200,0x4c000880,0x00001800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x27ee0000,0xb97301fb,0x99999999,0x43530019,0x04a80880,0x01b90362,
    0x02b332e2,0x704cca80,0x059bb951,0x6666664c,0x517bb504,0x10379710,
    0xb88039b5,0x0a8addec,0x2e0f332a,0x2e600ccc,0x29851bcd,0x95265424,
    0x80e65407,0x0bccccb8,0x06666654,0x3207d4d8,0xeffd8aef,0x200fea99,
    0x30e883ec,0x037dc41d,0x84ff987b,0x5fd30dfb,0xd83fe400,0x1bfb31cf,
    0xffffffb0,0xf714e88b,0x3fb4f88f,0x05fe8bc4,0x36a17df5,0x7ffd40ff,
    0x3e606b84,0x4feb89bf,0xc83edef8,0x261bf67f,0x640df15f,0xddd905ff,
    0x22d103dd,0xf88dfb06,0xf900e86f,0x1fdf6403,0x30d506f8,0x0efc89ff,
    0xb801ffc4,0xd107b07f,0xddfff0df,0x40fb85fd,0xfa97f47a,0x3f23f90f,
    0x817fdc0f,0xfffe80fc,0xff982442,0xfb309d02,0x6cff9019,0x363fc86f,
    0x09ff502f,0x02211000,0xff10ffea,0xfc80b8cd,0x037fc403,0x103f10df,
    0x1ffd45ff,0xb801ffd8,0x7e40907f,0xf507623f,0x44b07fd0,0x25ff31ff,
    0x43ff52fc,0x3a205ff9,0x0fffcc80,0x17fe6122,0xf9000498,0x7fc37ecf,
    0x7d40ff25,0x9a66444f,0xcdc884cc,0x441ffe82,0xfa8126ff,0x01a9800f,
    0xe80f61be,0x407ffa1f,0xec984ffc,0x40107fcc,0x6c027ffa,0x20cffe85,
    0x7c4bfea0,0x47fc824f,0x80c02ffd,0x221dffd4,0x403ffc84,0x32699911,
    0xfb3fe44c,0x3a9ffd0d,0x09ff500f,0x1ff61ff9,0x893e6df3,0x7fc40fff,
    0x7fe40956,0x32e20cfd,0x6f84d98c,0xf1f20354,0x3fee01ff,0x7e47fc46,
    0xff88007f,0x20be200f,0x883ffffb,0x417fe3ff,0x0fffc0ef,0xfff14800,
    0x3ffa122b,0x43ff2001,0xb3fe47fd,0xdfff30df,0x27fd401d,0x7fc87fdc,
    0x23ff1fe4,0x7c40fff9,0x3a04feff,0x20ffc8cf,0x47feaffa,0x83f11dea,
    0xfff32dc0,0xb1ffea01,0x263fe49f,0xeeeeeeee,0x2a01fffe,0xffff900f,
    0x3e5fd83d,0x440ea83f,0x90000fff,0x245fffcc,0x8003ffe2,0x8ff90ffb,
    0x05bf67fc,0x803bffe6,0xffb84ffa,0x3fe8ff90,0x3ffc4ffe,0x26c77fc4,
    0xff13ff88,0x2aaffd45,0x07d43d80,0x07ffc493,0x7fc7ffa8,0xff11fee3,
    0x07ffe01f,0x7f4c05d8,0x3fa60fff,0x0481ffde,0x9883fff1,0x22409999,
    0x444afffa,0x2e001fff,0xc8ff90ff,0x9fffb9ff,0x77ff6dc1,0x709ff500,
    0x99ff21ff,0xe97fe2ff,0xb7fc40ff,0x47ff3049,0x0ffea5fe,0x7f4c6a80,
    0x3fff0e20,0xf997fee0,0x3e1fee3f,0x7ff880ff,0x2040be20,0xa983fffa,
    0x740707fb,0xfffa82ff,0x7fe4240b,0x02ffe84f,0x7e43fee0,0x4dfffe47,
    0x44fec5ff,0xff503ffe,0x321ff709,0xf8bfe27f,0x107ff24f,0xf8714dff,
    0xfa97fa4f,0x43f1001f,0x6400fbc8,0x5ff902ff,0xff727fc4,0xf303ffb0,
    0x807d40bf,0x205fe886,0xfc8003fe,0x01fff03f,0x213ff609,0x2e003ffc,
    0xd8ff90ff,0x7fc4081a,0x366bff10,0xf507ff52,0xfb1ff21f,0xfd10ffc7,
    0x886ff989,0x7fd2fec6,0xd800ffd4,0x707dc643,0x82ffc419,0x24fe86fe,
    0x2ff987fb,0x3600ffb8,0x3ea0be05,0x2a07f502,0x0dfd101c,0x41603ffe,
    0xfe884fe8,0x7d43100f,0x3f8ff90f,0x6c1ff100,0x3eedfb2f,0x99ff982f,
    0x8a7d47ff,0x22fe886f,0x2f4c7ffa,0x077c3fe2,0xd5003ff5,0x36ffff98,
    0x2fe987ff,0x7dc077e4,0x80fffa8f,0x17fc46fb,0x0ef80be0,0x04fa8364,
    0xfe9817fe,0x440fff84,0x4413e607,0x06cc0dfe,0xfff33ff3,0xfb002fc4,
    0x27f53f43,0xffb00ffb,0xfb87ff99,0xd9100edb,0xbdffffbd,0xbd309fff,
    0x1ffa81d9,0xf700fc40,0x6c417fc1,0x404edbef,0x4efcdffd,0xbf97dd30,
    0x200fa801,0x0bcbdece,0x3600ddd4,0xceec803f,0x6d42dfca,0x409501df,
    0x4ecdfec8,0xff99ffb0,0x88013e27,0x5c1ccbec,0x4401efbd,0x00026000,
    0x08800013,0x00cffd88,0x815300aa,0x00098800,0x26000422,0x10022001,
    0x800080c4,0x04cc4000,0x20008000,0x00088009,0x22006000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x51000000,0x99999999,0xccc88199,0x259502cc,0x03332209,
    0x00019910,0x37999993,0x2332e201,0x0ffe04d9,0xbd719991,0x66665cc1,
    0x87ff1001,0x664c4cca,0x32603ccc,0x9972cccc,0x33261799,0x23999904,
    0x99731cc8,0xcc880599,0x7ec02ccc,0x666664c5,0x1c88009b,0x3ff72000,
    0x41fda99e,0x84eeeee8,0xb86ffffa,0x7fdc00ff,0xfff10004,0x501df953,
    0x20ffd5ff,0xdff704f9,0xfff0bfd7,0x81fd4001,0xfff887fd,0x85fff001,
    0x7fd86ffc,0x5b8bff30,0x400fffc4,0x03eeeee9,0x7fc417e2,0x00efca9f,
    0xd8001bf2,0x01d85ff9,0x376a2e00,0x777ff4c1,0x00dff304,0xf907ff40,
    0x55ffa83f,0xfa813205,0xfd0ff91f,0x203d800f,0x1ffd07fc,0xefffea80,
    0xefffeeee,0xfd81ff21,0x7ff40647,0xb5000000,0x320ffe80,0x07f501ff,
    0x3fe66e00,0x6440d465,0x540002cd,0x095000ff,0x207ff400,0x3fea0fff,
    0x7d400803,0xfd0ff70f,0x08059bdf,0xfe83fe40,0xffe8010f,0x6427fd40,
    0x8bfea07f,0x001ffd05,0x100f7726,0xf81ffd00,0x400000ff,0x24bff348,
    0x93e6df30,0xdeb8ccc8,0x6cc7fd40,0x9913900c,0x201bd719,0x7ff40ffe,
    0x4407fea2,0x44d98ccb,0x0ff70ffa,0x3bfa2ffd,0xd7199910,0x81ffc81b,
    0x400d9ffe,0x7fd40ffe,0x7c07fc84,0x3fa0735f,0xb0fb800f,0xcccc889f,
    0x0ffe84cc,0xcc897ff4,0x2004cccc,0x2ebff30d,0xff8ff205,0x3afbfee1,
    0x5effd45f,0x2e1b85fe,0x05febeff,0xffc81ffd,0xa807fea4,0x547feaff,
    0xd0ff70ff,0x71ffd4ff,0x8bfd7dff,0xffe84ffc,0x0ffe800d,0x7e427fd4,
    0xffc81517,0x1ffd00c8,0xf93fe80c,0x3fea588f,0x640ffe84,0x7d4b14ff,
    0x4c55004f,0x205fefff,0xa8ffe3fe,0xa8ff91ff,0x00ff92ff,0x1ff25ff5,
    0xbddfffd7,0xffa9bfee,0x557fea01,0xfb87fd42,0x3e67fe87,0x647fea6f,
    0xe83fe47f,0xffd000ff,0x9ffddddd,0x13f2ff90,0x740b7ff3,0x509f70ff,
    0x88ffb13b,0xeb8dff11,0xf75eefff,0x7fc462df,0x999b1006,0x4172bffb,
    0x97fe2ff9,0x8ff70ffa,0x0ff70ffa,0x3ee1ff50,0xb81ffd07,0x07fea6ff,
    0x2e03ffa8,0x81ff91ff,0x97fe67fe,0x4ff70ffa,0xff887fd8,0x1ffd000f,
    0xfc84ffa8,0x3bba3d57,0x42eeffff,0x05f50ffe,0x903fef5c,0x3ffa05ff,
    0x6437fdc0,0x819002ff,0x44125ff9,0xa93fe2ff,0xa8ff70ff,0x00ff70ff,
    0x1fee1ff5,0x3ee07ff4,0x19ffb14f,0x4407fea0,0xffe8cffe,0xff93ff44,
    0xfb87fd45,0xb11ff6a7,0xd0201fff,0x4ffa81ff,0xfc807fc8,0x03ffa00f,
    0xf91dd104,0x817fe60f,0x7fdc0ffe,0x802ffcc4,0x25ff9839,0x7c7fb0e2,
    0x5c3fea1f,0xb87fd47f,0x0ffa807f,0x3ffa0ff7,0x5417fec0,0x007fea02,
    0x3ffa0154,0x7d41dfec,0xfc8ff70f,0x00ffe947,0x540ffe8b,0x07fc84ff,
    0x57ffb555,0x00ffe815,0x7fc9fec9,0x7401ffb0,0x17fec0ff,0x2c003ff6,
    0x8b05ff98,0xa8df14fa,0xa8ff70ff,0x00ff70ff,0x1fee1ff5,0xff107ff4,
    0x540bf60b,0x7f9001ff,0x200fff40,0x8ff70ffa,0x1ffd07fc,0x0ffe8b50,
    0x7e427fd4,0xffb55507,0xffe81557,0x3bfe5980,0x7d41ffec,0x3ffa0e4f,
    0xf517fe20,0x07901c9f,0xbb11bfe6,0x81db7f70,0x1ff91ffb,0xffc8ffdc,
    0xc8ffdc00,0x0fff80ff,0x2601bfb3,0x03ff501f,0xfe807e60,0x91ffb807,
    0x83fe41ff,0x274c1fff,0xff507ffa,0x801ff90b,0x3fe00ffc,0xf927441f,
    0x447ff35d,0x3e1a66ff,0x1bfb30ff,0x0d337fc4,0x54c5df91,0xfecefffd,
    0x2202604f,0xffe8cffe,0xd19ffd14,0x7f4409ff,0x24ffe8df,0xeeefffc9,
    0x406ea02c,0x400cffd8,0xff9301b9,0x3fa2039f,0x34ffe8cf,0x7dcc9ffd,
    0xfffcdeff,0x5bfff734,0x42ffffaa,0x7304ffe9,0xc985bfff,0xfeeeefff,
    0xffc8004f,0x3265fede,0x2ceeefff,0xfedeffc8,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6cd33260,0x33332e63,0x97107b12,0xccccb85b,0x16ee440c,0xf9142f22,
    0x3ee0380d,0x9999930e,0x50999999,0x5c435120,0x4cae0ccd,0x9999730c,
    0x2f3332e5,0x3721ec00,0x26004c00,0x666444cc,0x6665cc00,0x910f622c,
    0xcb980199,0x32e61ccc,0xcda880cc,0x3600c980,0x443ffb7f,0x3ff21fff,
    0x3fe3fa22,0x3bbbbb20,0x17f53a20,0xd83fffff,0x6c0f700f,0x2a6fea0e,
    0x47d99eff,0xddbd9078,0x221f15d8,0x7c3fd8ff,0x37fdc2ff,0xff327dc0,
    0xd804d809,0x00ffc87f,0xfc85fff0,0x000ffb87,0x9f505fff,0x93eefea0,
    0x3200ffd9,0xe87ff77f,0x93fea0ff,0x000556fb,0x453ee5f9,0x7b03ec9a,
    0x3e20ff50,0xdff11d40,0x441fa268,0x3fe21dfc,0xd99e4352,0x2a0fff40,
    0x7fcc04ff,0xf300ff44,0x70ff900f,0x3fa001ff,0x54274c0f,0xffd000ff,
    0x3602e883,0xd550b8af,0x3fe401ff,0x01ffd072,0x4037e457,0x0ff40bca,
    0x30200015,0x44199fff,0x3fe20980,0xcfff9946,0x3ffe000c,0x1ffd0004,
    0x2204ffa8,0xc8004ffd,0x3fe403ff,0xe8007fdc,0x3ea000ff,0x3ffd000f,
    0xff100ecc,0x007fdc07,0xfe868ff9,0x3f20d80f,0x3e53a206,0x64c05ff1,
    0x44cc984c,0x2619ffc8,0x7fc404cc,0x33ff9106,0xfb84cc98,0x2664c5ff,
    0x7d40ffe8,0x3fe3604f,0x7ff44004,0x5c3fe406,0x059950ff,0x664c1ffd,
    0xeb9ffa84,0x23ffd00c,0x3f2600da,0x1ff702df,0x0b8bfe40,0x2e20ffe8,
    0xfb037e40,0x7fc4bea5,0xd83fec04,0xb07fb87f,0x6ff880ff,0xfd81fee0,
    0x85fff507,0x1ffd07fd,0x5704ffa8,0x370013fe,0x7e405ffd,0x3e0ffb87,
    0xd81ffd02,0xbdffa87f,0x3ffd05fe,0xf98801f7,0x1ff700bf,0x200bfe40,
    0x64020ffe,0x35ff106f,0x07fecbf7,0xf907fc81,0xccffea8f,0x7741ff20,
    0x43eefffe,0x1ff207fb,0x913fa251,0x3bffa0ff,0x84ffeeee,0xc893fe49,
    0x3feab00c,0x2e1ff205,0x740390ff,0x43fe40ff,0x0ff91ffa,0x1bffbffa,
    0xb80ffe20,0x1ff200ff,0x2003ffa0,0x9ff306fc,0x7fd45555,0x3fe43aae,
    0x7e447fc8,0x03fe419f,0xfb81bfe2,0x3e1ff207,0x7fc85f50,0xfa81ffd0,
    0xff06c44f,0x5427fdc9,0x6407ffe2,0xc8ffb87f,0x207ff404,0x0ffa87fc,
    0x3ffa0ff7,0x4405ffea,0x3fee03ff,0x201ff200,0x64100ffe,0x09ff106f,
    0xc84fffb8,0x70ff907f,0x01ff20ff,0x7dc0dff1,0x3e1ff207,0x7fc84ece,
    0xfa81ffd0,0x77775c4f,0xdff34eff,0xff9333b0,0x2e1ff209,0x201ffdff,
    0x3fe40ffe,0x7fb87fd4,0xff33ffd0,0x1ffc407f,0x6401ff70,0x0ffe807f,
    0xd037e490,0x0e8818df,0x3f20ff90,0xc80ffb87,0x37fc407f,0x3201ff70,
    0x203d087f,0x1ffd07fc,0x7dc4ffa8,0x45ffffff,0x5556544a,0xfc80fffa,
    0xfeaffb87,0x903ffa06,0x21ff50ff,0x3ffd07fb,0x4407ffea,0x3fee03ff,
    0x201ff200,0x25980ffe,0x3fee06fc,0x4f981b9d,0x3f20ff90,0x439ffa87,
    0x7fc407fc,0x0e7fea06,0x37441ff2,0xffd07fc8,0x444ffa81,0x0cff9999,
    0x7e4160e4,0xb87fc83f,0x04ff98ff,0x7fc81ffd,0xff70ffa8,0xfc87ffa0,
    0x3ff880ff,0xc803fee0,0x7ffc00ff,0xffb27441,0x03fffc80,0x3ff207f1,
    0xd80ffc80,0x07fe41ef,0xd80dff30,0x0ffc81ef,0x3ff20bb0,0x5c1ffe80,
    0x4ff805ff,0x4c16a0dc,0x7fe40fff,0xfc8ffdc0,0x41ffe81f,0x7fdc0ffc,
    0xfd01ff91,0x0effe83f,0xf901ffc4,0x3ffa603f,0xdfff9304,0x2a9ffddd,
    0x0c00bfff,0x3a605730,0x7ff4c4ff,0x3ffa6004,0x7fffb504,0xffd30003,
    0xd302b889,0x7fdcc9ff,0xfffd52df,0x027fc017,0xc982ffee,0xfd31efff,
    0xa7ff449f,0xf732fffb,0x3fa65bff,0x37ffa24f,0x2e64ffe8,0xfd31dfff,
    0x3f227dff,0x7fdcc2ef,0x000002df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x332e6000,0x32e602cc,
    0x332a02cc,0x999931bc,0x29999999,0xacccccc9,0x6665cc09,0xcc981abc,
    0x00aacccc,0x99999993,0x6664c799,0x44009bcc,0x664c0cdb,0x99711ccc,
    0x3332e617,0x4c4ccccc,0xcccccccc,0x33332a1c,0x4733220b,0x32ccccc9,
    0x33333333,0x28800015,0x0000a200,0xccdb8837,0x003fff10,0xfe81fffe,
    0x54e7d46f,0x27d99eff,0xfda9fff8,0xbafff82f,0xfff885ff,0x204ffc99,
    0xfb99afff,0x54fffc46,0xff880efd,0x7fd41fff,0xf81fc43f,0x7ea99aff,
    0x6ccce7dc,0xfffb86ff,0x3a61f880,0x0033eeee,0xbddc8811,0x400f1039,
    0xcdc8806a,0x15d8df12,0x007ff41f,0xa82ffdd8,0x12546ffc,0x7f468dff,
    0x3607ffc7,0x05ff70ff,0x2ffc8fff,0x6881ffd0,0x77e47ff8,0x7ff5e641,
    0x5c6ffd85,0x207ffa04,0x3fe215c6,0x07ffd01f,0x80180075,0x7cdbe208,
    0xa801e207,0xf9b7cc06,0x3fe23d9d,0x07ff4352,0x86ffad80,0x0cc5ff9d,
    0x7428dff1,0x20ffec7f,0xdff10ffd,0xff98ffd0,0x221ffd05,0x88fff090,
    0x44310fff,0xfff886ff,0xffe80b14,0x360e2421,0x3fea04ff,0x99930587,
    0x2e088018,0x440bfe4f,0x901aa007,0x40dffc7f,0xffe84fff,0x3ffab000,
    0x17fe6e61,0xe80dff10,0x207ffc7f,0xbff30ffd,0xff98ffd0,0x2e1ffd04,
    0xd0fff010,0x27ec05ff,0x0d9fffa8,0x090fff40,0x01fff502,0x0ae3ffd8,
    0x400c7fd8,0x7e53fa08,0x400f105f,0xf1ff406a,0x3ffee07f,0x8007ff45,
    0x4649ff75,0x7c405ff9,0x8bff406f,0xffd82efc,0xfd05ff70,0xd01ffc8f,
    0x401d31ff,0x4ffd87ff,0xfc80bfa0,0xffe801ff,0xff100971,0xfff3007f,
    0x7fc80b11,0xf884400c,0x76fe9bcf,0xdddfdddd,0x3bbbb65d,0xf31eeeef,
    0x502ffc7f,0x7ff45fff,0x3fe2b000,0xbff3488f,0x406ff880,0x1effeffe,
    0xdfb7ffb0,0x2ebffa05,0x3fa02efd,0x3e00ffef,0x06ffb87f,0xfe880bf1,
    0xdffe804f,0xffc804fe,0x33ff6006,0x23fe400c,0xff108801,0x54d3fa5d,
    0xaaaafbaa,0x5d955551,0x3fe21555,0x4a213fe2,0x3ffa4fe8,0x7fe4b000,
    0x0bff31bb,0x7406ff88,0x21bfea7f,0x4019affd,0x2ffe9ffe,0x7d47ff40,
    0x2e1ffe00,0x01f705ff,0x803fff70,0x04ea9ffe,0x000fffcc,0x9007fff1,
    0x088018ff,0x03ff93fa,0x035400f1,0x01ff8ff6,0xfe8bea1f,0x2658100f,
    0x3fe65eff,0x037fc405,0x7ff91ffa,0xd000ffd8,0x03ffe6ff,0x0170ffe8,
    0x7fe43ffc,0x9801f984,0x7406ffcc,0xe80931ff,0x200884ff,0xfc802ffd,
    0x704400c7,0x403be2df,0x01aa0078,0x81be69f5,0x7f44ecef,0x6c58900f,
    0x17fe62ff,0xe80dff10,0x237fd47f,0xfd000ffd,0xd037fe4f,0x448261ff,
    0x1ffd87ff,0x2c40c1e8,0x7f409ffd,0xffb80e1f,0x7e403706,0x47fc802f,
    0x59108801,0x4401db9f,0x32aaaa07,0x5c0aaaae,0x4200efbf,0x80ffe808,
    0x1fea2c59,0xf880bff3,0x23ff406f,0x7fec3ffb,0xe8ffd000,0x1ffd03ff,
    0x47ff8970,0xadd85ff9,0x06c42daa,0x3a03fff3,0xff8801ff,0x6401f02f,
    0xffc802ff,0x40220060,0x20688009,0xeeeeeeed,0x001301ee,0x883fff00,
    0x2274344e,0x7cc06ff9,0x87ffc06f,0x7f40ffe8,0x1fff000f,0x740fffcc,
    0x0fea21ff,0x3faa1fff,0x7fffdc0d,0x20fa20ff,0xfe80fffc,0x5ffd801f,
    0x7ec07e98,0x7ff4c02f,0x266666a4,0x0000a999,0x00000000,0x7ffe4c00,
    0x34ffeeee,0x505c3bf9,0x5037fffb,0x9837fffb,0xefdefffb,0x3ffee60b,
    0x3ff2602d,0x3ffee2cf,0x9dfff732,0x3265fffd,0x1ceeefff,0xffffff98,
    0x98b7faa7,0x731efffd,0x5405bfff,0xeeeeefff,0xff7306ff,0x000015df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0xa6644005,0x41e8ccc9,
    0x9b72ddb8,0x8b772201,0xcc99ccca,0x9503971c,0x96665417,0x6e4c0cc9,
    0x34cc883d,0x9b910999,0x2f76e605,0x14c0ccc8,0x2a001c13,0x21c03722,
    0x22f33263,0x333222cb,0xbb71deb8,0xb8ccc885,0x333220de,0x32e24ccc,
    0x8044d98c,0xd8133260,0x005f7d42,0xffd87fe4,0x4dba25f9,0x883f56ef,
    0x7fc5fd4e,0x4499ff66,0xfe8f94e8,0x43ee1647,0x0ffc84fd,0x36f98ffb,
    0xf90f989f,0xfa87ee9f,0x0dedfffc,0x98f7dc40,0x2e2d84ff,0x2da7fdc4,
    0xfdadffb8,0x40ffcbcf,0x5febeffb,0x44ffa962,0x27feaffa,0xb07cc0ea,
    0x413e20ff,0x2e01dfea,0x95ff90ff,0xbff1ff41,0x25f913e6,0x47fee4fb,
    0xd8172ffc,0x7d45f52f,0x4ffa162f,0x0ffb87fc,0x23fc8ff9,0x54ffa1ff,
    0xd8df32ff,0x401f912e,0xfe82dfd9,0x01f73641,0x2a073ffb,0x25ff52ff,
    0x7fd41ff9,0x88c4ff91,0x5ffa86ff,0xf30ec855,0xa5c7fc87,0xc980d99d,
    0x7fdc0bef,0xff10ff90,0x7cceff47,0x4150ff46,0xbfd94ff8,0x735ff112,
    0x535ff8bf,0xffb13b50,0x3f21ff70,0x7ff1ff47,0xaffb8ed4,0x0be27f99,
    0x9fd710ba,0x97e40801,0xdff303fa,0xf98ffd40,0xa85ff31f,0x20ff70ff,
    0xffa82ffc,0x1fd76403,0x3bf63fe4,0x2201ffbc,0x3fee2ffb,0xff30ff90,
    0x55577f45,0xb00bfe22,0x5ff935ff,0xaacff985,0x247fdc2a,0x21ff7ae0,
    0x4ff90ffb,0x17fe2ff9,0x2afff36a,0x5c1e62aa,0x000ffee5,0x0ff9b7d4,
    0x5403ff60,0x23ff31ff,0x7fd42ff9,0xff30ff70,0x007fea0b,0x3fe413f6,
    0x4401ec44,0x3ee0bffc,0xf10ff90f,0x103ff45f,0xffa809ff,0x881dff16,
    0x7fc404ff,0x91dd103d,0x21ff70ff,0x8bfe27fc,0x23b624ff,0x3e203ff9,
    0x3f224d80,0x744000be,0x5405fb1f,0x3ff505ff,0x7fcc7fe6,0xfb87fd42,
    0x500ffd87,0xef9803ff,0xa87fc80e,0xfb305d9f,0x43fea05b,0x47fd07fc,
    0xfb061ffe,0x1ffc041f,0x1bfa0bfd,0x201ff903,0x50ff93fd,0xb1ff21ff,
    0xf90ffc7f,0x831bfe27,0x440fc44d,0xb901cfeb,0x0db2f441,0x540ffe64,
    0x23ff31ff,0x7fd42ff9,0xffa8ff70,0x03ff50e4,0x40ec9fcc,0xf76d87fc,
    0x033fae23,0xff75ff30,0x7c53ee0f,0x5429aeff,0xc83aaeff,0x5c0bee1f,
    0x981b9dff,0x33bfe05f,0x7fcc1ffe,0x7d47ff99,0xdff8df14,0xa9dffea9,
    0x7e5f7f42,0x77e4c02f,0xf113fe62,0x446c1743,0x1ffa86ff,0x3fe65ff5,
    0xfc8ffdc2,0x4cdff10f,0x980ffd46,0xf907643f,0xc860881f,0x7fec002e,
    0xf703ffcc,0x9ffd5bb7,0x413ffee0,0x3203c469,0x07a03fff,0xff9aefc8,
    0xfccffd83,0x76dfdc3f,0xd977fec0,0x4edc4fff,0x006aadec,0x3fe27d71,
    0x99625982,0xcfff9afd,0xb1bffb10,0xbffb1bff,0x233ffa21,0xdff94ffe,
    0x7ec4bfdb,0x702880cf,0x0027ff4c,0x00440001,0x400604c0,0x00080801,
    0x00001003,0x04c00110,0x00060110,0x00408000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x0c400661,0x2e799910,0x544a83cc,
    0x05ed40cd,0x5b10e6dc,0x207664c8,0x83b700d8,0x65541aa8,0x2aaaaa62,
    0x5531aaaa,0x15555555,0xb51ffc08,0x0880ba83,0x0ffcc76a,0xa88ae191,
    0x22221aaa,0x10888888,0xbbbbbbbb,0x0000007b,0xe8800000,0x3f2007a0,
    0x447fee00,0x337dc42f,0x66cc9f77,0x7edf6c4f,0x7fccff91,0x9f90bfd1,
    0xae8bff30,0xf91f31f8,0x7777775c,0xddd72eee,0x47fddddd,0xff0fe649,
    0x16fff74b,0xf32ffc19,0x3fcdfe49,0x22dffff7,0xffffffff,0x7777714f,
    0x00037777,0x00000000,0x07ea1d90,0xffa80510,0x437c0390,0x24f820f8,
    0x7dd720f9,0x7ec3fe66,0x20fdfc44,0x4be67fe8,0x01f6aa4f,0x5c790000,
    0x7fd0992f,0xfffda8a6,0x9a61fec4,0x654790d9,0x22223ccc,0x00088888,
    0x00000000,0xdf100000,0x20000774,0x404c8ffa,0x417f446f,0xd51aa0f9,
    0x5cff13e6,0x05da6c2f,0x4f8fccb1,0x54cf95b1,0xaaaaaaaa,0xf98f2000,
    0x20304011,0x020100a8,0x00000000,0x00000000,0x7e400000,0x776cdf74,
    0x1eeeeeee,0x07ff7fea,0x87d886f8,0x8f61f81d,0x1f32ec2f,0x81f887cc,
    0x8fc5742b,0xd70fdbfb,0xdddddddd,0xb9964005,0x00000001,0x00000000,
    0x00000000,0x20000000,0x545fb1fe,0xaaaaaaaa,0x3abfea0a,0x099be06f,
    0x0dbdc895,0xd83bb7ee,0x7d1a1dc0,0xa81546c8,0x2e22e20a,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf5000000,0x0200fe63,0xff31ff50,
    0x2e5dd509,0x3bae0abe,0x181b885e,0x0b30c088,0x000003b1,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8ba00000,0x407c804d,0x5ff91ffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x4c01262a,0x57ffe203,0x0002fffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_21_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_21_latin_ext_y[560]={ 16,3,3,3,3,3,3,3,3,3,3,4,13,10,
13,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,18,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,6,3,3,5,3,
3,3,3,3,3,7,7,10,3,1,3,4,3,3,3,7,3,8,15,3,3,7,3,3,3,6,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,5,2,-1,-1,-1,-1,-1,3,3,3,3,
2,3,3,2,7,7,3,3,2,3,3,3,2,3,3,3,3,3,2,3,3,5,6,3,3,2,3,3,3,3,
0,4,-1,3,3,7,-1,3,-2,2,-1,3,-1,2,-1,3,3,3,0,4,-1,3,-1,3,3,7,-1,2,-2,2,
-1,3,-1,3,3,2,-2,-2,3,3,-1,3,0,4,-1,3,3,3,-1,7,3,3,-2,2,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,2,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,2,
-1,3,-2,2,3,7,-1,2,3,4,-1,3,3,4,-1,3,0,4,-1,3,-2,2,-1,3,3,7,-2,2,-2,2,
-1,-1,3,-1,3,-1,2,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,-1,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-2,-2,3,-2,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_bold_21_latin_ext_w[560]={ 0,4,8,10,9,17,15,4,7,6,8,11,5,6,
4,6,9,8,9,9,9,9,9,10,9,9,4,4,11,11,11,8,18,14,12,13,13,12,12,15,15,7,10,15,
12,18,14,15,12,15,14,10,12,14,14,19,14,14,13,5,6,5,9,11,5,10,10,8,11,8,8,10,11,6,
6,11,6,16,10,9,10,11,9,7,7,10,10,14,10,10,9,6,2,6,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,8,10,10,10,
2,9,7,14,6,10,11,6,14,11,7,11,6,6,4,11,11,4,4,5,6,10,14,14,14,8,14,14,14,14,
14,14,20,13,12,12,12,12,7,7,7,7,13,14,15,15,15,15,15,9,15,14,14,14,14,14,11,10,10,10,
10,10,10,10,14,8,8,8,8,8,7,6,7,7,9,10,9,9,9,9,9,11,9,10,10,10,10,10,10,10,
14,10,14,10,14,10,13,8,13,8,13,8,13,8,13,14,13,11,12,8,12,8,12,8,12,8,12,8,15,10,
15,10,15,10,15,10,15,11,15,11,7,7,7,7,7,7,7,6,7,6,16,10,10,8,15,11,11,12,6,12,
6,12,9,12,8,12,6,14,10,14,10,14,10,15,14,10,15,9,15,9,15,9,19,14,14,9,14,9,14,9,
10,7,10,7,10,7,10,7,12,7,12,10,12,7,14,10,14,10,14,10,14,10,14,10,14,10,19,14,14,10,
14,13,9,13,9,13,9,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,12,11,11,11,11,11,11,11,11,11,11,11,11,11,16,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,10,7,7,15,
9,14,10,14,10,14,10,14,10,14,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,10,20,14,15,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_21_latin_ext_h[560]={ 0,14,7,14,15,14,14,7,17,17,8,11,7,3,
4,14,14,13,13,14,13,14,14,14,14,14,10,13,10,5,10,14,18,13,13,14,13,13,13,14,13,13,14,13,
13,13,14,14,13,17,13,14,13,14,14,14,13,13,13,17,14,17,7,3,4,10,14,10,14,10,13,14,13,13,
18,13,13,9,9,10,14,14,9,10,13,10,10,10,9,14,9,17,18,17,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,15,17,14,10,13,
18,18,3,14,6,9,5,3,14,2,7,11,7,7,4,14,18,4,5,7,6,9,14,14,14,15,17,17,17,17,
17,16,13,17,17,17,17,17,17,17,17,17,13,18,18,18,18,18,18,9,15,18,18,18,18,17,13,14,14,14,
15,14,14,15,10,13,14,14,15,14,13,13,14,13,14,13,14,14,15,14,14,9,11,14,14,15,14,18,18,18,
16,13,17,14,18,14,18,14,19,15,18,14,18,15,17,14,13,14,16,13,17,14,17,14,18,14,17,15,19,19,
18,18,18,18,17,19,18,18,13,13,17,13,16,12,17,13,18,18,17,9,14,18,19,19,17,17,9,17,17,17,
17,13,13,13,13,13,13,18,13,17,13,18,14,13,14,14,17,13,18,14,18,14,14,10,17,13,17,13,17,14,
18,14,19,15,17,13,18,15,18,17,17,14,13,13,18,14,17,13,18,14,19,15,18,14,18,14,19,15,18,19,
17,17,13,17,13,17,14,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,18,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,17,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,15,17,14,18,
15,18,15,18,16,18,17,18,18,18,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,20,19,18,14,19,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_bold_21_latin_ext_s[560]={ 254,66,69,209,187,12,188,64,170,85,247,
211,88,178,159,249,77,244,114,166,143,101,31,114,223,136,155,153,143,108,1,
146,86,158,46,186,100,87,139,155,127,192,233,219,1,14,171,71,59,154,72,
125,33,175,133,81,124,166,152,170,249,184,78,185,164,85,155,41,87,65,235,
126,207,200,244,180,173,182,199,107,95,87,220,248,95,96,74,50,171,176,210,
78,251,71,147,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,254,235,218,
70,132,184,250,31,170,148,101,160,120,178,224,197,56,223,49,42,137,211,120,
142,132,36,94,1,51,45,30,1,96,81,66,35,217,67,1,132,141,189,232,
1,245,27,50,58,71,220,204,173,41,116,132,230,42,1,192,71,166,14,116,
242,231,220,31,198,187,58,117,42,146,137,240,117,59,75,87,119,67,32,49,
39,10,18,246,12,201,235,224,20,204,110,139,132,90,208,226,125,56,99,236,
179,16,69,207,78,84,226,178,136,229,163,54,33,41,160,17,151,52,215,241,
127,46,84,14,73,150,181,1,73,100,235,159,43,207,51,82,181,162,103,76,
121,107,240,1,128,95,126,41,29,24,1,247,234,227,11,1,195,175,146,139,
143,128,126,105,189,28,55,198,213,146,22,84,239,57,1,11,26,202,95,174,
85,92,41,65,59,161,218,148,111,30,136,1,247,14,106,82,67,158,1,111,
244,105,200,135,116,41,122,16,111,106,144,221,150,159,204,219,190,243,57,60,
24,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,99,189,189,98,
189,189,189,189,189,189,189,189,189,189,189,189,189,170,235,189,189,189,189,189,
189,189,189,189,189,189,189,189,115,13,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,192,159,
176,190,228,208,213,197,37,105,183,215,198,172,1,30,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,62,16,110,30,169,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__times_bold_21_latin_ext_t[560]={ 1,179,247,149,115,164,133,247,97,97,236,
222,247,247,247,115,149,208,222,149,208,164,179,179,179,179,236,208,236,247,236,
179,40,208,222,179,222,222,222,179,208,208,179,208,222,222,179,179,222,79,222,
179,222,164,164,164,222,222,222,79,164,79,247,247,247,236,149,236,179,236,208,
149,208,208,1,208,208,236,236,236,149,133,236,222,208,236,236,236,236,149,236,
97,1,97,247,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,1,115,79,
164,236,194,21,40,247,164,247,236,247,247,164,247,247,222,247,247,247,179,40,
247,247,247,247,247,179,164,164,133,79,79,79,79,60,115,194,97,79,60,60,
79,60,79,79,79,194,40,40,40,60,60,60,236,133,41,21,40,21,97,194,
149,149,149,133,149,149,133,236,208,149,149,115,149,208,208,149,208,149,194,149,
149,133,149,133,247,222,133,133,133,133,21,21,40,115,194,97,133,40,133,21,
133,1,133,21,133,21,115,97,133,194,164,115,208,115,133,115,133,21,133,97,
115,1,1,60,60,21,21,115,1,60,40,194,194,97,208,115,222,97,208,21,
21,97,236,149,21,1,1,97,97,247,97,79,79,79,208,208,194,194,194,194,
40,194,79,194,40,149,194,164,164,97,194,60,164,60,179,179,236,60,194,60,
194,97,179,21,149,1,115,60,208,60,115,60,40,79,149,208,208,40,164,79,
179,40,179,1,115,40,164,40,164,1,115,21,1,60,79,194,79,194,97,164,
208,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,179,222,222,21,
222,222,222,222,222,222,222,222,222,222,222,222,222,115,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,97,236,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,97,115,
79,164,1,115,1,115,21,115,1,97,1,1,22,115,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,1,1,21,133,1,133,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222, };
static unsigned short stb__times_bold_21_latin_ext_a[560]={ 76,101,168,152,152,303,253,84,
101,101,152,173,76,101,76,84,152,152,152,152,152,152,152,152,
152,152,101,101,173,173,173,152,282,219,202,219,219,202,185,236,
236,118,152,236,202,286,219,236,185,236,219,169,202,219,219,303,
219,219,202,101,84,101,176,152,101,152,169,135,169,135,101,152,
169,84,101,169,84,253,169,152,169,169,135,118,101,169,152,219,
152,152,135,120,67,120,158,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,76,101,152,152,152,152,67,152,
101,227,91,152,173,101,227,152,121,167,91,91,101,175,164,76,
101,91,100,152,228,228,228,152,219,219,219,219,219,219,303,219,
202,202,202,202,118,118,118,118,219,219,236,236,236,236,236,173,
236,219,219,219,219,219,185,169,152,152,152,152,152,152,219,135,
135,135,135,135,84,84,84,84,152,169,152,152,152,152,152,167,
152,169,169,169,169,152,169,152,219,152,219,152,219,152,219,135,
219,135,219,135,219,135,219,223,219,169,202,135,202,135,202,135,
202,135,202,135,236,152,236,152,236,152,236,152,236,169,236,169,
118,84,118,84,118,84,118,84,118,84,250,168,152,101,236,169,
169,202,84,202,84,202,142,202,120,202,84,219,169,219,169,219,
169,221,233,169,236,152,236,152,236,152,303,219,219,135,219,135,
219,135,169,118,169,118,169,118,169,118,202,101,202,158,202,101,
219,169,219,169,219,169,219,169,219,169,219,169,303,219,219,152,
219,202,135,202,135,202,135,84,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,224,236,236,152,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,168,236,236,236,236,236,236,
236,236,236,236,236,236,236,241,182,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,219,152,118,84,236,152,219,169,219,169,219,
169,219,169,219,169,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,219,152,303,219,236,152,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_21_latin_ext(stb_fontchar font[STB_FONT_times_bold_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_21_latin_ext_s[i] + stb__times_bold_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_21_latin_ext_t[i] + stb__times_bold_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_21_latin_ext_x[i];
            font[i].y0 = stb__times_bold_21_latin_ext_y[i];
            font[i].x1 = stb__times_bold_21_latin_ext_x[i] + stb__times_bold_21_latin_ext_w[i];
            font[i].y1 = stb__times_bold_21_latin_ext_y[i] + stb__times_bold_21_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_21_latin_ext_s[i] + stb__times_bold_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_21_latin_ext_t[i] + stb__times_bold_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_21_latin_ext_x[i] + stb__times_bold_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_21_latin_ext_y[i] + stb__times_bold_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_21_latin_ext_LINE_SPACING
#endif

