// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT        332
#define STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_24_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_24_latin_ext_LINE_SPACING          16

static unsigned int stb__times_bold_24_latin_ext_pixels[]={
    0x80013300,0x00000998,0x40001553,0x54000998,0x326000aa,0x2620000c,
    0x00aa0000,0x801eea80,0x26000608,0xa9800019,0x26620002,0x55554000,
    0x1330000a,0xf5004980,0xfe88005f,0xbfd00004,0x0efd8000,0x0027fc00,
    0x40013ffa,0x0000fff8,0x3a0005f5,0xbbd006ff,0x3ff50007,0x00ed8000,
    0x003bf600,0x05ffffd0,0x80bff700,0x05fb007a,0x001fe200,0x00017e20,
    0xa8001df1,0x6fd4004f,0xfd8001fd,0x260004fe,0xbbfb8002,0x03c8802f,
    0x0013ee00,0xf8000170,0x0000000f,0x03fdff10,0x17c403d4,0x00be6000,
    0x0000b700,0x990001d7,0x2ec7d000,0x7dcbe600,0xf9b64000,0x545d1001,
    0x1f9b6406,0x000f7000,0x000fcdb2,0xc8000fd4,0xc8003f36,0x3d40db1e,
    0x80001440,0x00400019,0x00009800,0x81880011,0x5072000b,0x913a8007,
    0x02022001,0x00322750,0xa8000a80,0x30001913,0x89d40001,0x0362000c,
    0x201ea039,0x88002ddb,0x0009aba9,0x20abcb88,0x5d4c401c,0xbb10009a,
    0x65cc400b,0x2200a1cc,0x2009aba9,0x2aaaaaa9,0x202aaaa6,0x1aaaaaaa,
    0x55555553,0x9855554c,0x22aaaaaa,0x530aaaa9,0x4c555555,0x5530aaaa,
    0x54c55555,0x55530aaa,0x554c5555,0x555530aa,0x5554c555,0x5880f50a,
    0x5df70016,0x2007fd73,0xfeb9aefc,0x77dc04bb,0x803feb9a,0xd500551c,
    0xbfd737bf,0x9aefb80f,0x3a603feb,0x7cc41fff,0x3ffe600d,0x7fff4c1f,
    0x206fcc41,0x441fffe9,0x7f4c0df9,0x6fcc41ff,0x0ffff4c0,0xd3037e62,
    0xf9883fff,0x7fff4c0d,0x506fcc41,0x0165880f,0x22077f44,0x3f200eff,
    0x03ffc40e,0xf881dfd1,0x547200ef,0x817fe402,0xdfd107fb,0x00eff881,
    0x16c0dffb,0xd82fff40,0x40b606ff,0x0b606ffd,0x5b037fec,0xd81bff60,
    0x40dffb02,0x0dffb02d,0x201ea16c,0xfb002ddb,0x13fea05f,0xfb81ffe4,
    0x05ffb04f,0xd8813fea,0x2ffdc05d,0x7fec1f60,0x209ff502,0x07206ffc,
    0x6417ff60,0x407206ff,0x07206ffc,0x39037fe4,0xc81bff20,0x40dff901,
    0x0dff901c,0x401ea0e4,0xfff5003d,0x07ffe201,0xd101fff3,0xffa83fff,
    0x3fff100f,0x7fcc0180,0x5434401f,0xff100fff,0x0dff903f,0x7fec00e4,
    0x40dff905,0x0dff901c,0x6ffc80e4,0x7fe40720,0x7e407206,0x6407206f,
    0x507206ff,0x00df100f,0xfd01bff6,0x86ffb89f,0x44fff8e8,0x7f406ffd,
    0xfedd984f,0x07ffc80d,0x0dffb030,0xfc84ffe8,0x2007206f,0xff905ffd,
    0xfc80e40d,0x6407206f,0x407206ff,0x07206ffc,0x39037fe4,0xc81bff20,
    0x7e403d41,0x5ffe802f,0x3a37ff40,0xfd1d86ff,0x05ffe8df,0x3e637ff4,
    0x3fa17fe4,0x3fa0006f,0x37ff405f,0x39037fe4,0x20bffb00,0x07206ffc,
    0x39037fe4,0xc81bff20,0x40dff901,0x0dff901c,0x6ffc80e4,0x80f50720,
    0x4406fff8,0x7ec05fff,0x22fffc7f,0x89fff62c,0x7ec05fff,0xfd3fec7f,
    0x00bfff0f,0x017ffe20,0xff90fffb,0x6c00e40d,0xdff905ff,0xffc80e40,
    0x7e407206,0x6407206f,0x407206ff,0x07206ffc,0x39037fe4,0x7edc07a8,
    0x7ffc01ff,0x23fff405,0xd0ee5fff,0x5fff8dff,0x2a3fff40,0xf03ffa5f,
    0x7c000bff,0x7ff405ff,0x206ffc87,0x5ffd801c,0x640dff90,0x40dff901,
    0x0dff901c,0x6ffc80e4,0x7fe40720,0x7e407206,0xf507206f,0x0bffd680,
    0x7c06ffe8,0xb7ff46ff,0x44fff84a,0x7fc06ffe,0x3fb6a06f,0x437fec0f,
    0x1dffffb8,0xff01bffa,0x0dff90df,0x7fec00e4,0x40dff905,0x0dff901c,
    0x6ffc80e4,0x7fe40720,0x7e407206,0x6407206f,0x507206ff,0xffb9d40f,
    0x1fff200f,0xfc89fff0,0xfff059ff,0x407ffc85,0xee984fff,0x7e40ffe8,
    0x1fff207f,0xff01fff2,0x0dff909f,0xfb04c0ec,0x1bff209f,0xdff901d8,
    0xffc80ec0,0x7e407606,0x6407606f,0x407606ff,0x07606ffc,0xf886c0f5,
    0x3fe204ff,0x1fff300f,0x80efff88,0x7c40fff9,0xfff300ff,0xfd0ff981,
    0x1fff981f,0xf10fff70,0x3fe601ff,0x07ffa80f,0x6c3fee1a,0xfff503ff,
    0xfff50340,0xfff50340,0xfff50340,0xfff50340,0xfff50340,0x983d4340,
    0x203ffe44,0xffb04ffc,0x413fea07,0xff901ffd,0x20fff609,0x03ffa7fd,
    0x7dc1bfea,0x09ff907f,0x7c40fff6,0xc85980ff,0x05ffd1ff,0x2603ffe2,
    0x03ffe205,0xfff88166,0x3e205980,0x205980ff,0x5980fff8,0x203ffe20,
    0xdb07a859,0x7fffdddd,0x541ffb80,0x7ffc02ff,0x200ffd41,0x7fd41ffb,
    0xdddffd02,0xff7017ff,0x40fff709,0x7fd41ffb,0x22ffe402,0x25f880e9,
    0x3f200eff,0x20074c5f,0x074c5ffc,0xd317ff20,0x45ffc801,0x7fe400e9,
    0x320074c5,0x4074c5ff,0xfb05887a,0xbfb300df,0xd803bfb7,0xeebdfd99,
    0xbfb3000c,0x5403bfb7,0x4ffa8cff,0x2f7ff620,0x4c01ceec,0x1dfdbdfd,
    0xddfff700,0x6e6d4019,0xffb800df,0x7000ceef,0x019ddfff,0x3bbffee0,
    0xfff7000c,0x2e0019dd,0x00ceefff,0x9ddfff70,0x07612601,0x0017ffcc,
    0x0a200131,0x10000266,0x00000013,0x00099988,0x40001310,0x0c400098,
    0x00098800,0x80002620,0x22000098,0x26200009,0x02620000,0xf007cc00,
    0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0xfb987bff,0x1000dfff,0x20a00133,0x9db00018,
    0x20008800,0x18801809,0x17700008,0x10098800,0x55555555,0x22035555,
    0x98800080,0x13100330,0x00998800,0x18802620,0x03330008,0x64000000,
    0x1d7000ef,0x2e000ba6,0x35001fff,0x320e9800,0x3545d004,0x02d56c00,
    0x260fff10,0xfffdbdff,0xd104fdca,0x6c002cc1,0xe803fa8f,0x3ee000ff,
    0xfff1001f,0x01aa2e80,0x4400bfea,0xf0000982,0xbee8001f,0xdf88005f,
    0x05d005fa,0x1fd5fb00,0x3f2fee00,0x03258002,0x41fffe40,0x1ffee0f9,
    0x7f7e4099,0x97c4002f,0xfffb805d,0x007fa005,0x203fffc8,0x802fcbfb,
    0x26c002fc,0xf50001f5,0xfff50003,0x44990003,0x27fc401e,0x0fffe600,
    0x00dffd00,0x40166760,0x981f94f9,0x223ffdc5,0x0fff2204,0x07c56e00,
    0x0fdd7e20,0x30017c40,0xe803f29f,0x07f006ff,0x7f9bf300,0x00066000,
    0x30003cc8,0x39500110,0x00bd9000,0x0003dd50,0x640032e2,0x702225c2,
    0x10030fff,0x1884c000,0x02543a80,0x0b2000c4,0x0f754097,0xb0001440,
    0x22000dff,0x8060abca,0x009aba98,0x0abca880,0x88000806,0x4c60abca,
    0xa981aaaa,0x2aaa62aa,0x2aa62aaa,0x000200aa,0x54c0fff7,0x262aaaaa,
    0x5530aaaa,0x54c55555,0x4c000aaa,0xa981aaaa,0x300002aa,0x4c022399,
    0x200111cc,0x54001cc9,0xefcacefe,0x35df703e,0x2a007fd7,0xefcacefe,
    0x76f6d43e,0xfd502eee,0x7ddf959d,0x03fffee2,0xe983bf51,0x7cc41fff,
    0xecec980d,0x3ee02eee,0x7ff4c07f,0x06fcc41f,0x107fffa6,0xdb501bf3,
    0xfffb883d,0x0efd440f,0x2619ddd7,0x26faa1dd,0x7541eeeb,0x41eeeb9b,
    0x2aaaaaa9,0x202aaaa6,0x7f904ffa,0x440efe88,0x3ea00eff,0x5c7f904f,
    0x15df90ff,0x3209ff50,0x37ffe43f,0xdffb02d8,0x7fcc16c0,0x4015dfb0,
    0xfd807ffb,0x6c0b606f,0x80b606ff,0xff901ffd,0x360b60df,0xf11e44ff,
    0x7c43f709,0xe981fb84,0x7cc41fff,0x05ffa80d,0x5ffb0fe2,0x5413fea0,
    0x8fe205ff,0x03fee7ff,0xf8817fea,0x27fff643,0x6ffc80dc,0x9ff60720,
    0x7dc01ffb,0x6ffc807f,0x7fe40720,0xfd807206,0xfffd901f,0xff303709,
    0x0fee0d8f,0x207f70fc,0x0dffb01f,0x7ffc416c,0xff51d401,0x3ffe201f,
    0x00fffc41,0x537fc4ea,0xfff885ff,0x2721d401,0x0dc3fffe,0x3206ffc8,
    0xf537fc41,0x7ffb805f,0x206ffc80,0x0dff901c,0x3ffb00e4,0x3fffa720,
    0xffd80dc3,0x1ffd8912,0x07ff61b8,0x37fe406e,0xfff50390,0x7fec1001,
    0x227ff406,0x0800fffa,0x1ffb9ffa,0x4007ffd4,0x7ffc4640,0x7e406e1f,
    0x3a07206f,0x003fee7f,0xf900fff7,0xc80e40df,0x807206ff,0x11901ffd,
    0x0dc3ffff,0x8375ff98,0x200cfffc,0x000cfffc,0x0e40dff9,0x40037fec,
    0x7f405ffe,0x037fec6f,0xfd87fd40,0x006ffd85,0x3ffe6190,0x3f20370f,
    0x2607206f,0x009fb0ff,0xf900fff7,0xc80e40df,0x807206ff,0x21901ffd,
    0x370ffff9,0x42cfff40,0x0cfffff9,0xcfffff98,0x037fe400,0x0bfff039,
    0x05fff880,0x3fe3ffec,0xfd10005f,0x3ffe05bb,0x5c190005,0x20375fff,
    0x07206ffc,0x016eff44,0xc807ffb8,0x407206ff,0x07206ffc,0x1901ffd8,
    0x1bafffdc,0x40fbfee0,0x1ffffffa,0xffffffa8,0x81bff201,0x05fff81c,
    0x405fff80,0x7ffc7ffe,0x00590005,0x40017ffe,0x67ffe40c,0x0dff901b,
    0x002c80e4,0x900fff90,0x80e40dff,0x07206ffc,0x1901ffd8,0x1bcfffc8,
    0x1007ffc0,0x03fffffb,0x3fffffb1,0xc81bff20,0x007ffd81,0x7c06ffe8,
    0x3ffec6ff,0x0cdfdc00,0x001fff60,0x7fff4064,0x0dff901e,0x4dfdc0e4,
    0xffb98009,0x3f202dff,0x6407206f,0x807206ff,0x01901ffd,0x803dfffd,
    0xfd5005fc,0x7f540bff,0xdff905ff,0x7fdc0e40,0x7ffc8007,0x2e27ffc0,
    0xfd8007ff,0x42efffff,0x90007ffb,0x3ffff101,0xd81bff20,0xfffffd81,
    0x400002ef,0x07606ffc,0x3b037fe4,0xc80ffec0,0x1ffff880,0x05817c40,
    0xb82cfff7,0xdff907ff,0x7fcc0e40,0x7fc4002f,0x1fff300f,0x002fff98,
    0x7fffffd4,0x3ffe60ff,0x300c8002,0x3ea03fff,0x7d41a07f,0x1fffffff,
    0x2003ba20,0x81a07ffa,0x01a07ffa,0x03203ff9,0x400fffcc,0x7e40ba05,
    0x3f205d0f,0x06ffc80f,0x7ffd4076,0xff907600,0x40fff609,0x3600fffa,
    0x2eaf3a61,0x7fd42ffc,0x3907600f,0x880ffd40,0x05980fff,0xf97579d3,
    0x1ffc405f,0x407ffc40,0x3ffe2059,0x32105980,0x403900ff,0x11981ffa,
    0xfa837407,0x37d41ba6,0x1a07ffa8,0x983bff50,0x83ff703d,0x7d402ffa,
    0x21ecc1df,0x501f705f,0x3d983bff,0x0fe403e8,0xe98bff90,0xf505f880,
    0x20037001,0x074c5ffc,0xd317ff20,0xff71f701,0x3f201f40,0x00cbfcc1,
    0x3fb033fa,0x3f6067f4,0x01fff101,0xfd9300b3,0x9803bfbf,0x1dfdbdfd,
    0xbffd9300,0x37f703bf,0x4c05f531,0x1dfdffec,0x0067fed4,0xfffb803b,
    0x3f600cee,0x02ea989b,0x7dc002a8,0x000ceeff,0x19ddfff7,0x0bf6fe60,
    0x8033ff6a,0x1e7fc41d,0x2f7f73a0,0x7ee741ee,0x6401eebd,0x0074c5ff,
    0x40002620,0x44000098,0xcca98009,0x262000ac,0x02200000,0x30004c40,
    0x00157997,0x01310000,0x8004c400,0x00001bb9,0x00393011,0x1804cc43,
    0xb8002662,0x00ceefff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09880000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00800000,0x22620001,0x2a000098,0xd30001ee,0x3310005d,
    0x3ee88001,0x04c0c400,0x06031050,0x55544022,0x2aa62aaa,0x530000aa,
    0x20620035,0x5d440009,0x55555530,0x20155555,0x15c402b8,0x87700015,
    0x2df0002c,0xf10002fc,0x3a000bff,0xfd8006ff,0x7fe4000e,0x71f4000f,
    0x3ea5c80d,0x0f4c9b00,0x03fffd30,0x40003df5,0x3a000efd,0xf1001ae3,
    0x7ff4cbf1,0x3ffdcbaf,0x2203ff90,0x006dffff,0x0dfdff10,0x2747e600,
    0xf97f9000,0xbcfa8003,0x3be2003f,0x56fcc000,0x67d4004f,0x6fc402fd,
    0x37e604fb,0xffc804fb,0x0000fa06,0xfa8001df,0x6c002fdc,0x6ffc85b6,
    0xff903e98,0x3ff32a01,0x3aa0003f,0x790001df,0xf88001a6,0x5d001ae1,
    0x1d500354,0x74c7d000,0x2fff4000,0x00fffc80,0x4007ffec,0x07206ffc,
    0x000ea800,0x800bffd0,0x3fee06f9,0x2a207706,0x00130601,0x50000200,
    0x1100004c,0x08080010,0x40002600,0x4c000880,0x991000cc,0x07dd1005,
    0xc81bff20,0x00220001,0x001cc980,0xff7037f4,0x002894cd,0x206aaaa6,
    0x1002aaa9,0x00135753,0x09aba988,0x2aaaaaa0,0xaaaaaa88,0x206aaa21,
    0x50111cc9,0x55555555,0xaaaaa855,0x0aaaa82a,0xa9800980,0x542aaaaa,
    0xaaaaaaaa,0x0dff902a,0x551000e4,0x55555555,0xc9320355,0xeffeb804,
    0x26ffb81c,0x776d402b,0x1ffff711,0x801dfa88,0xfeb9aefb,0x35df7003,
    0x3a207fd7,0x3fa62fff,0x44f983ff,0xeeeb9bea,0x55effc41,0x445fffca,
    0x880dfffc,0x07b002fc,0x0bfffa20,0x9557bff1,0x3f20bfff,0x0007206f,
    0x7bffff91,0xf309ffb9,0x803ff35f,0x80eeffed,0x05d36ffb,0xfc83ffb0,
    0x805b06ff,0x7c40efe8,0xdfd100ef,0x80eff881,0x7cc2fffa,0x441d03ff,
    0x4c1fb84f,0x0fffe81f,0x640fffd0,0x00df1003,0x7cc3ffe4,0x00fffe81,
    0x0e40dff9,0x7ffd6c00,0xee827443,0xc800ee88,0x3fee02ff,0xd802ffef,
    0x7ff641ff,0x6c01b84f,0x9ff502ff,0x540bff60,0xbffd04ff,0x930bffd0,
    0x83f03fb8,0x3fffb82a,0x20fffe60,0x3ff20068,0x0dff7002,0x7fff7055,
    0x9037fe40,0xff598003,0x0009307f,0x401ffd00,0x2fb9fffb,0x641ffd80,
    0x5c3fffe9,0x03ffea01,0x2a0fffc4,0xff100fff,0x1fff703f,0x640fffb8,
    0x5c0ffec1,0x7ffc4141,0x0fffd806,0xff8800e4,0xdff7006f,0xdfff1050,
    0x206ffc80,0xf874001c,0x224923ff,0xddb54eec,0x407ff803,0x00b26ffb,
    0x11907ff6,0x0dc3ffff,0xe80dffb0,0x37fec4ff,0x2213ffa0,0x7fdc3fff,
    0x7fe4343f,0xfd8000cf,0xff9801ff,0xb801264f,0xb801fffd,0xffb006ff,
    0x6ffc803f,0x3b800360,0x02c4fffe,0x7fecbff5,0x017fe601,0x214cdff7,
    0x641ffd81,0x21ffff30,0x17ffa01b,0xfe8dffd0,0x37ff405f,0x6f46ffd8,
    0x260ea6ff,0x00cfffff,0x009fff50,0x0e87ffe4,0x2fff5a00,0x4037fdc0,
    0xa804fffa,0x801a07ff,0xc9fffc58,0xd97fe605,0x3fee01ff,0x237fdc04,
    0x3ff60b20,0xfff70641,0x7fc406eb,0x3ffec05f,0xd80bfff1,0xfff307ff,
    0x3ffe7263,0x3fea01b1,0xe801ffff,0x22000eff,0x003bcfff,0x07ffdcea,
    0x201bfee0,0x9800effe,0x05980fff,0xdfff0760,0x7fcc0bff,0xc807ff25,
    0x7fdc02ff,0xfb03f307,0x7e40c83f,0x3e01bcff,0x7ff405ff,0x202fffc7,
    0x3fa07ffe,0x3ffa1b5f,0x7ec4058c,0x3201ffff,0xc8002fff,0x6c006fff,
    0x809fff10,0x7e406ffb,0x3f2002ff,0x003a60df,0x7f777754,0x205e9bff,
    0x3ff25ff9,0x003ffa01,0x5cc1fff9,0x83ffb07e,0xefffe80c,0x01bffa01,
    0xffe8dfff,0x037ffc06,0x5cb3fff7,0x5002bfff,0x260bfffd,0x80105fff,
    0x2003fff8,0x03ffe449,0xf981bfee,0x5c0105ff,0x01ceefff,0x9fffc1a0,
    0x97fe6058,0x3fe01ffc,0x3ffee606,0x7fffeeff,0x0c83ffb0,0x01ffff88,
    0xff01fff2,0x07ffc89f,0xf1027ffc,0x7fc45dff,0x7dc1607f,0x1fffd07f,
    0x3ffa0120,0x3bbb6003,0x203fffee,0x3fa06ffb,0x300900ff,0x2c8001d9,
    0x2247fff0,0xfc97fe61,0x013fe01f,0x6c04d880,0x980641ff,0x3e201fff,
    0xfff300ff,0x00fff881,0xd801fff3,0x4ffd86ff,0x7fe40ba0,0x81fffdc0,
    0x3ffe8068,0x3f60b100,0x1bfee06f,0x881fffdc,0x8009d006,0x8fffe059,
    0x5ff88e20,0xff807ff6,0x03f20001,0x640ffc84,0x007fea01,0x3f609ff9,
    0x09ff903f,0x2600fff6,0x1ffa83ff,0x37d41ba0,0xc81bffe2,0x03fff805,
    0x3fe603b0,0x0dff702f,0x640dfff1,0x00ff9805,0xfff803a0,0xeff85b03,
    0x542fffc9,0xd8000bf2,0xfb9fb82f,0x7e403e87,0x41ffb801,0x7dc02ffa,
    0x017fd41f,0x1be01fd0,0xfd819fd0,0x40fffec1,0xff804fe9,0x00f9804f,
    0x7e41bffe,0x1fffd87f,0xb004fe98,0x5c8017df,0x2227ffc0,0x7ffd41fd,
    0x3a0effca,0x9800069f,0x2be61bff,0x3ff6a2fc,0x4007600c,0xdfdbdfd9,
    0x7bfb3001,0xb8003bfb,0x9d00f204,0x83dd7bfb,0xeeeffff9,0x104ffffe,
    0x57ffffb5,0x30f7fee0,0x21bffff7,0x2dffffb9,0xdddffff3,0x009ffffd,
    0x440736e2,0x2e60cffd,0xfeeffffd,0x00300fff,0x80000b26,0x5dcc3ed9,
    0x00440001,0x00004c40,0x88000262,0x43002200,0x00000998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88b26000,0x32e20019,0x05640331,0x9980cc40,0x00440c00,0x01024c0c,
    0x0040a002,0x2600aca8,0x220111cc,0x09800081,0x28726000,0x565cc000,
    0x2a662000,0x1301aaaa,0x02660010,0xff50bf20,0x3fffa005,0x3f6200fe,
    0x213fe201,0x26c06ffa,0x84a803d3,0x1b0b207a,0x3621b700,0x5c57d403,
    0x5cdf541f,0x5d101eee,0x1ec0035c,0xefffa800,0x6dc4004d,0x079511bd,
    0x577ffec4,0x3f1009fc,0x7fd4035c,0xa82fd402,0xdac8805f,0x7f8804ff,
    0x7f417ea0,0x37e602fe,0x27c404fa,0xdff303d4,0x577400bf,0x265e806e,
    0x2e13e26f,0x32fee01f,0x37c4002f,0xffdbc800,0x0baa001f,0x3fa20ea0,
    0x00d35fff,0x003fb5f9,0x9f9005fb,0x02007d40,0x0ffc4002,0x23d705d8,
    0x7ffec06d,0x213fa600,0x6ff5c07a,0x3ffea000,0xf137cc02,0x1f81fdcd,
    0x002fff40,0x40017fe4,0xd5000621,0x321cc003,0xb35fffff,0x0bfff100,
    0x7e400fe0,0x2a604c05,0x262aaaaa,0x7cc0aaaa,0x3620501f,0xdd100e40,
    0x7fffcc07,0x0401ea6e,0x804ed800,0xd810dff8,0x401b81ff,0x44001eea,
    0x88006fff,0x8009aba9,0x640101f8,0x3fffffa0,0x3ae00b35,0x0028800e,
    0x55531fee,0x7f4c5555,0x6fcc41ff,0x54c7fa80,0x532aaaaa,0x22555555,
    0xaaaaaaaa,0xf711aaaa,0x33d433bf,0x55555555,0x554c1555,0x2001aaaa,
    0xfc81effc,0x2a600cff,0xaaaaaaaa,0x7edc00aa,0x3ee001ff,0x03feb9ae,
    0x66f441ec,0xff8a25eb,0x8b35ffff,0xaaaaaaa9,0x5554c019,0x887f9801,
    0xfd82fffe,0x5c0b606f,0xfffe886f,0x17fff442,0xffb7bff3,0x4c9fb95f,
    0x4c7a84ff,0xdcbafffe,0x7ffcc3ff,0x00defdce,0x2617fffc,0x00cfffff,
    0x975fffd3,0xd6807ffb,0xfd100bff,0x0eff881d,0x76f981f0,0x3f6389ff,
    0x0b35ffff,0xf95dffd3,0x3f6209ff,0x05f9804f,0x3f20fff9,0x4407206f,
    0x0fff906f,0x1f31fff2,0x9323ffdc,0x87a84ff9,0x3e986ffc,0x3a25ffd8,
    0xf77b01ff,0xfffa87ff,0xff901fff,0x5407d30d,0x801fff73,0xff502ffd,
    0xff88d309,0x2485ff71,0x35fffffb,0x917ff20b,0x3fea0dff,0x700ec804,
    0x3ff20dff,0xfb807206,0x706ffb81,0x5c598dff,0xf32447ff,0x7fdc009f,
    0xffb07706,0x41fff88b,0x07ffa67b,0x3fffffb1,0x2e0dff70,0x7fc43603,
    0x3ffea04f,0x83fff100,0xf92fec4b,0x3fa2381f,0x20b35fff,0x7fcc5ffc,
    0x04ffa81f,0xfb802f62,0x0dff906f,0x132600e4,0x3ee0dff7,0x3ee0446f,
    0x3fe6187f,0x9bfee004,0xffb05129,0xe8dff90b,0xa827f447,0xfb85fffe,
    0x8144a66f,0x03ffe449,0xfe80dffb,0xff116c4f,0x0a62ff45,0x2cd7fff6,
    0xff85ffc8,0x04ffa83f,0xff700edc,0x81bff20d,0x216dc01c,0xff706ffb,
    0x0fff700d,0x2004ff98,0x00ae6ffb,0xff50bffb,0x222ff41f,0x3fee0b5f,
    0x2e6ffb87,0xeeeed802,0xfd03fffe,0x6ffe80bf,0x21ff707c,0x00543ffa,
    0x64166b93,0x7ffc45ff,0x804ffa81,0xdff702fb,0xc81bff20,0x2e03f601,
    0xdff706ff,0x80fff700,0x2e004ff9,0x805d36ff,0xff985ffd,0x837fea2f,
    0x3f205d3f,0x9b7fdc0f,0xd82c402e,0xfff886ff,0x23ffec05,0xfe9ff61e,
    0x2601221f,0x3ff20b35,0xa82ffd45,0x6f9804ff,0x320dff70,0x407206ff,
    0xdff706f9,0x201bfee0,0x7c407ffb,0x21ea49ef,0x2ffefffb,0x442ffec0,
    0x7fec4fff,0x41ba4b9f,0xfffb86fa,0x0ec02ffe,0xf82fff98,0x7ff405ff,
    0x1ffd1647,0x00c8ff99,0x320b3598,0xffcaaeff,0x09ff500d,0x3ee0ff50,
    0x0dff906f,0x06fb80e4,0x3ee0dff7,0x7ffb806f,0x20dfea80,0x9fffb87a,
    0x7fec02fb,0x84fff885,0x7f46fffb,0x5c0fec0c,0x02fb9fff,0xfff803e6,
    0x406ffe86,0x91dc6fff,0x2df75fff,0x4c0510c8,0x3ff20b35,0x405fffbe,
    0xfb804ffa,0x20dff706,0x07606ffc,0xffb83fd4,0x00dff706,0x8000fff7,
    0x26ffb87a,0x2ffec02c,0xa81fffcc,0x373a2fff,0x701eebdf,0xb8164dff,
    0x7dcc3dff,0x3f20dfff,0x27ffc07f,0x11ee99a2,0x024179fb,0xfc82cd66,
    0x05fff95f,0x64027fd4,0x0dff705f,0x0681ffea,0x3ee07fe2,0x0dff706f,
    0x300fff70,0xf70f50bf,0xb0614cdf,0xfff50bff,0x33ff4403,0x2e0065c4,
    0x030a66ff,0xf103d880,0x3fe601ff,0x0004a80f,0xb3598053,0xfe97ff20,
    0x9ff500ff,0x2e09f900,0xfff106ff,0xff80b301,0x706ffb80,0xff700dff,
    0x81ff500f,0x46ffb87a,0xbffb0b20,0xfd0bff90,0x6c03fe21,0x37fdc02f,
    0x64002c82,0x13ff200f,0x3b01ffec,0x98039800,0x3ff20b35,0x417ffe25,
    0xf9804ffa,0x40dff706,0x074c5ffc,0x3ee0bf30,0x0dff706f,0x400fff70,
    0xffb87a85,0xfd83f307,0x07ffc45f,0x40dd07fc,0x7fdc03f9,0x8003f307,
    0x7fdc02fd,0x4017fd41,0x0077003c,0xfc82cd66,0x1fffdc5f,0x98027fd4,
    0x3ffe40cf,0x3bbffee0,0x037aa00c,0xfc83ffe4,0x7ffc807f,0x7a81a880,
    0x260fffc8,0x6ffd87eb,0x5c03bfa2,0x701fb8af,0xffc801bb,0x01fae60f,
    0x806ffea0,0xdfdbdfd9,0x26b66001,0x00397310,0xfb059acc,0x3fffb0df,
    0x4005ffb8,0xffff7319,0x0098805b,0x3ee60150,0xf732dfff,0x7305bfff,
    0x005bffff,0xffb99260,0xfffeefff,0x3ffff267,0x8802ceee,0x40000bcb,
    0xefffffb9,0x0007fffe,0x22007db3,0x54c00009,0x8000abcb,0xfc987138,
    0x3e21cfff,0xffd33fff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01330000,0x2aaaaa60,
    0x400019aa,0x26000099,0x3b900009,0x00331000,0x05c42e20,0x55555530,
    0x00a88005,0x055e5440,0x00bba603,0x20000cc4,0x4cc00198,0x004cc000,
    0x6665cc40,0x3fec00e1,0x5dffd300,0x0009fff9,0x20003ff7,0x98001ffb,
    0xfd8004ff,0x5fd8002f,0xfe980bfd,0xfe8002ff,0x9dfd5005,0x207ddf95,
    0xf3006ffe,0x7fc0007f,0x1bfea005,0x002ffa80,0x64d67fd4,0x36007dfe,
    0x3ff2002f,0x0037fe45,0xe8000bf6,0x3fa0001f,0x7f7d4002,0x94fc8006,
    0xfff9007f,0x01bfe000,0x7e413fea,0x3fbcfa83,0x000bf500,0xfd0017ea,
    0x3f6005fd,0x17fe4002,0x6c007fb8,0x17ff2004,0x2003fff3,0x220002f8,
    0x0080002f,0x07f35e80,0x90008100,0x26000dff,0x2ffd400b,0x45d07f10,
    0x03ea006a,0x70017200,0x7c01b23f,0x27fdc003,0x0a001f60,0xf85ffc80,
    0x031003ff,0x00018800,0x3055e544,0x00b10ea0,0x09aba988,0x006ffc80,
    0xfff10020,0x8083a803,0x0004c000,0x206c0014,0x0014401b,0x1007ffe6,
    0x0009800d,0xff117ff2,0x004c003f,0x5555554c,0x7540019a,0xeefcacef,
    0x80009803,0xfeb9aefb,0x037fe403,0x3bb3b260,0x3ffea2ee,0x55510800,
    0x55553005,0x15555555,0x5555554c,0x260aaaaa,0xaaaaaaaa,0x2aa60aaa,
    0xc802aaaa,0x003007ff,0x3f2003d8,0x02ffd45f,0x74c00f60,0xfffcaeff,
    0x04ffa804,0x07b007f9,0x2077f440,0xf900eff8,0x7fcc00df,0x6c15dfb0,
    0xfb8006ff,0xffd3005f,0x7ffb975f,0xbafffe98,0x74c3ffdc,0xfdcbafff,
    0x7fff4c3f,0x0dffd002,0x0df10000,0x5577fe40,0x2000dffc,0x3f2006f8,
    0x037fe45f,0x7c40bff5,0x0037c403,0x3ea05ffb,0x0dff904f,0xff73fec0,
    0x005fff83,0x2005ff98,0x3e986ffc,0xe986ffc8,0x986ffc83,0x07ffc83e,
    0x0017ffe0,0x00bff200,0x7fdf7fe4,0xffc8005f,0x8bff9002,0xf881fff9,
    0x01d401ff,0x2a00bff2,0xff100fff,0x0dff903f,0xfa9bfe20,0x02fffc2f,
    0x002ffc40,0x0ee0dff7,0x1dc1bfee,0x3b837fdc,0x2006ffc8,0x00005fff,
    0x8037ffc4,0xfff95ffc,0x7ffc4005,0x0bff9006,0xff507fff,0x4401001f,
    0xfd806fff,0x27ff406f,0xd0037fe4,0x207fdcff,0x88007ffd,0xf70025ff,
    0x82894cdf,0x44a66ffb,0x266ffb82,0xdff90512,0x437ff400,0x1dffffb8,
    0x0fffedc0,0xfd2ffe40,0x36e001ff,0xfc801fff,0x0fffc45f,0x00037fec,
    0x00fffedc,0xfd017ffa,0x0dff90df,0x6c3fe648,0x07ffb84f,0xe9dff880,
    0xdff702ef,0x3fee015c,0xff700ae6,0x3f2015cd,0x3ff2006f,0x01ffee07,
    0x805ffeb4,0x3fe25ffc,0x3fad005f,0x5ffc805f,0xff82ffd4,0xd680005f,
    0x7fc40bff,0x3ffec05f,0x75037fe4,0x02ddfe88,0x8005fff3,0xfeadfff8,
    0x36ffb80f,0x6ffb805d,0xffb805d3,0xfc805d36,0x3fe2006f,0x0fff701f,
    0x3ffee750,0x22ffe400,0x5403fffb,0x801fff73,0xfcaaeffc,0xbfff00df,
    0xf73a8000,0x7ffc01ff,0x43fff405,0x0ba06ffc,0x7fd40059,0xf887600f,
    0x207ff26f,0x2ffefffb,0x7f7ffdc0,0x7ffdc02f,0x7e402ffe,0x7fd4006f,
    0x00fff705,0x13ffe21b,0xfb0dffb0,0x886c03ff,0x7e404fff,0x05fffbef,
    0x0003ffec,0x27ffc436,0xf80dffd0,0x7ffc86ff,0x3ee2fd88,0xfa80099b,
    0x21ecc1df,0x3ff25ff8,0xb9fffb81,0x7ffdc02f,0x7dc02fb9,0x402fb9ff,
    0xb8006ffc,0x7ffb84ff,0x3ff224c0,0xffff9307,0x7fffc439,0x7fe44983,
    0xcaffe407,0x3ee02fff,0x1260007f,0x7e40fff9,0x27ffc07f,0xddffff73,
    0x6c3ffffd,0x2effffff,0x37ffb260,0x5ff881df,0x3ee0bff2,0xf700b26f,
    0x2e0164df,0x900b26ff,0x22000dff,0xcddbcefd,0x7776c01a,0x003fffee,
    0xdb0002a2,0x7fffdddd,0xfd2ffe40,0x3fe601ff,0xddb0002f,0x07fffddd,
    0x4c03ffe2,0x1a800fff,0xfffffa80,0xe8801fff,0x92ffc401,0xdff705ff,
    0xff70614c,0xf70614cd,0x90614cdf,0x80480dff,0x2c4001e8,0x2006ffd8,
    0xb1001ff8,0xc81bff60,0x3ffe25ff,0x03ffea05,0xd82c41d8,0x3ff206ff,
    0x007ffb04,0x9d300ffe,0x05ff9757,0xf880bf70,0x20bff25f,0x59046ffb,
    0x9046ffb8,0x046ffb85,0x06ffc859,0x1bee00ea,0x3e603b00,0x3ee002ff,
    0x2603b002,0xff902fff,0x03fffb8b,0xb3077fea,0x3e603b07,0x3fee02ff,
    0x0017fd41,0x2fc409f3,0xdf000fa8,0x325ff880,0x7ffb82ff,0xffb83f30,
    0xfb83f307,0xc83f307f,0x00ba06ff,0x1f300374,0x8037ffc0,0x1f3004db,
    0xd837ffc0,0xfffd86ff,0x3ffb2601,0x0f981dfd,0x301bffe0,0x3bfb7bfb,
    0x006edc00,0x2a626ff6,0x1eda802e,0xfb37fcc0,0x1fff907f,0x7e43f5cc,
    0x1fae60ff,0xb983fff2,0x87ffc87e,0x64c02fd8,0xbff7001d,0xffffb987,
    0x2e00000d,0x7dcc3dff,0xf930dfff,0x7c439fff,0x98803fff,0x0f7fee00,
    0x1bffff73,0x00013100,0x332e6000,0x400000ab,0xf9bfffd8,0xff731eff,
    0xfffddfff,0x7fffdccf,0x27fffeef,0xefffffb9,0x2e67fffe,0xfeeeffff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4006aaa2,0x981aaaa9,0xdb002aaa,
    0x5555300b,0x55544355,0x262000aa,0x220cc009,0x00a82a02,0x8000b6a0,
    0x0b112602,0x020d554c,0x44177022,0x2aaaa62b,0xb86e02aa,0xd003b801,
    0x64c0289d,0xaa8802cc,0x02ffe42a,0x0ffffb88,0x400efd44,0x8802fffa,
    0x440afffe,0x7c001dfe,0xace8805f,0x2ff702eb,0x3fa006fb,0x01d98007,
    0x017ee774,0x1d89ffb1,0x4ffa8362,0xfe887ff2,0x3fea02ff,0x2a00ffb8,
    0x77d403ff,0xf9016c40,0x3f22009f,0x002ffcc7,0x6c1bfff2,0xdd5df002,
    0x41ffee00,0xf98004f8,0x3fff2005,0x7ddbee06,0x017f2006,0xd3003f30,
    0xff5009ff,0x5feff989,0xff91ffcc,0x407ffb81,0x80df36f9,0x76c03ffa,
    0x2a05f100,0x3ea004ff,0x002ffcc7,0x213fffb2,0x225b801b,0x7ffb802e,
    0x90002e88,0x0593000d,0x08001830,0x002fc400,0x7fd40026,0x80dfeb84,
    0xfb81a82a,0x0040807f,0x00d802a8,0x7fd40fe4,0x31fea004,0x9c800bff,
    0x0dc3fffe,0xb8008040,0x00f4c7ff,0x20001500,0x44000000,0x0a1cccb9,
    0x4c4017ec,0x20a1cccb,0x00204ffa,0x47ffb800,0x2aaaaaa9,0x002aaaa6,
    0x86f88000,0x50024ffa,0x25ff98ff,0x8c80ceeb,0x2e1ffff8,0x555554c1,
    0x5555552a,0x27ffb815,0xaaa800db,0xaaa82aaa,0x76764c0a,0xddd72eee,
    0x40776619,0xeb9bdfea,0x0ff887df,0x4deff540,0xfa87dfeb,0x2aaaa64f,
    0x7ddb32aa,0xf707bb6a,0xfffd30ff,0x20df9883,0x3ae3eed9,0x3bb30cee,
    0xffa85fd0,0x501dffbc,0x45ff98ff,0x7cc3202f,0x10370fff,0xfb85fffd,
    0xffb80dff,0x22005f97,0x880dfffc,0x87fcc2fc,0x3f60aefd,0xfc81e44f,
    0x90ff702f,0x2ffc80df,0xff50ff70,0x2fffe889,0xffb27fdc,0xb07ffb83,
    0x416c0dff,0x7fec4ffb,0x6fd81e44,0x74df7fd4,0x47fa80ef,0x00b25ff9,
    0xafffdc19,0x0fff901b,0x7dc0fffe,0x00fffeff,0xc81fffa0,0x3ee7fd83,
    0x23ffcc1f,0x05ffb80d,0x037f43ec,0x7d80bff7,0xfc84ffa8,0x24ffa87f,
    0x7fdc1ffc,0x40dff907,0x44ffa81c,0x806c7ff9,0x2ffd47fc,0xff509ff5,
    0x0795ff98,0xfffc8190,0xfff701bc,0x5c0fffe0,0x6fffbfff,0x0fffe600,
    0x9bfe21a2,0xffd82ffa,0xfff30912,0xff868803,0x03fff305,0x4ffa8688,
    0xfa86ffb8,0x707ff24f,0x3ff20fff,0x3ea07206,0x12ffd84f,0x507fdc09,
    0x37fc49ff,0x3fe63fd4,0x6400ffcd,0x1efffe80,0x3e0fff70,0xfff703ff,
    0x8017ffee,0x0e40fffd,0x3fee7fe8,0x375ff980,0x200fff90,0xc82ffc41,
    0x503007ff,0xdff709ff,0x7e49ff50,0x83ffdc1f,0x07206ffc,0x3e613fea,
    0x7dc0375f,0xf13fea1f,0x98ff50ff,0x05ffdfff,0x7ffc4064,0x0fff701f,
    0x7dc0fffe,0x0ffff27f,0x327ffcc0,0xd87fcc09,0x27ffa04f,0x00dffd05,
    0xfe82ffc0,0x3ea0006f,0x86ffb84f,0x3ff24ffa,0xc83ffdc1,0x207206ff,
    0xffd04ffa,0x1ffb80b3,0xfff13fea,0xff98ff50,0x6405ffd5,0x03fff300,
    0x7fc1ffee,0x8fff703f,0x9001fffe,0x003a1fff,0x805bbfd1,0xff03effb,
    0x7f4000bf,0x00bfff05,0x5c27fd40,0x4ffa86ff,0xff707ff2,0x81bff20f,
    0x04ffa81c,0xb807dff7,0x93fea0ff,0x7fa86ff8,0xff9affcc,0x5403900f,
    0xfff701ff,0xfffddddd,0x11ffee07,0x1003ffff,0x00779fff,0xfff00059,
    0x017ffe01,0xff06fd80,0x7d4000bf,0x86ffb84f,0x3ff24ffa,0xc83ffdc1,
    0x207206ff,0x3fe04ffa,0x23fe400f,0x3fe64ffa,0x7cc7fa84,0x417ff26f,
    0x80fe403e,0x9999fffb,0xf903fff9,0xffff70ff,0xdfff9003,0x1337f700,
    0xd817f200,0xffb886ff,0x1fee1dff,0x5c437fec,0x2e1dffff,0x6ffb85ff,
    0x3f25ffb8,0x83ffe41f,0x07206ffc,0xfc813fee,0x545fd805,0x1ff93fff,
    0x7ec4ff50,0xbfff73ff,0x033ff6a1,0xfff701d8,0x730fffe0,0x223bffff,
    0x03fffffd,0x401fffc4,0xeffffffd,0xc80be202,0x3ff207ff,0xf901ff07,
    0x3ffe40ff,0x70bfffa6,0xffe98dff,0x263ff92f,0x42dffffb,0x07606ffc,
    0x205fffd3,0x1fe802f8,0x7fee7fd4,0x40ff501e,0x510000a8,0xff700881,
    0x00fffe0f,0xe80001a8,0xffa803ff,0x01ffffff,0x3fff3016,0x5c1ffee0,
    0x1fff983f,0x510fff70,0x01bfee01,0x7441ffc8,0x81ffea01,0xb001f306,
    0xf50bf300,0xf500229f,0x00ffc40f,0x8007fd40,0xfff07ffb,0x027ec007,
    0x00fffa00,0x32eaf3a6,0x1c4662ff,0xb837fd40,0x41f607ff,0xff706ffa,
    0x703ff10f,0x32100dff,0x203f40ff,0x5980fff8,0x44660bf0,0xa80ed803,
    0x3ea004ff,0x0017dc07,0xf7000fc8,0x0fffe0ff,0x0005f880,0x2201fffc,
    0x261f505f,0x2e00197f,0x7ffb84ff,0xffb81f40,0x707ffb84,0x0dff705f,
    0x87fb9fa8,0x7fe401ff,0x7c4074c5,0x0cbfcc0f,0xfa807cc0,0x1fee004f,
    0x88004db8,0x3f2003ec,0x3fff887f,0x003bb500,0x804fff80,0xea989bfd,
    0x00f3fe22,0x97bffb10,0x770039dd,0x2f7ff620,0xdb81ceec,0x80fff904,
    0xb82fcbf9,0x3ee01cff,0x200ceeff,0xff11cffc,0x00ca8079,0x22013fee,
    0x00007feb,0xff730000,0x3f6a5bff,0x0000bfff,0x7fed4400,0x5cc02bff,
    0xc980abcc,0x4cc40001,0x80080009,0x00009998,0x5bffff73,0x500ddcc0,
    0x131003bb,0x8736a200,0x400801c9,0x002cccc9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00e63980,0x3cccccc8,0x00efe800,0x26666654,0x51003980,0x00015797,
    0x21b80002,0x85cc001b,0x50100039,0xb700a259,0x2224c003,0x00b88005,
    0x804c5700,0x8e61aaa9,0x06fe8839,0x7ff3ff80,0x3ffffe00,0x77cc006f,
    0xffffd800,0x7fc400ff,0x4d77dc03,0x5c003fea,0x7d4002dd,0x000ffb8f,
    0x01ffd3fa,0x3fff22c0,0x3fe602ef,0x6e76c004,0x6fe8002f,0x7fffc400,
    0x07bf606d,0x07ff17ff,0xe8003fd1,0x0005fd2f,0x00fc8000,0xff880000,
    0x81ffd103,0x8800efe8,0xdf300165,0xfb001be6,0x3000bfa5,0x5ffdad87,
    0x4002fe80,0x0005ffe9,0xca800dfd,0x3603fffc,0xfd2fe84f,0x0013a203,
    0x4c400102,0x40009aba,0x2aaa601d,0x2aa62aaa,0x202980aa,0xff502ffd,
    0x02cb1009,0x40002040,0x06400040,0x00400102,0x40001300,0x20c000b8,
    0x827ec009,0x01620040,0x55555553,0x5c015555,0x3feb9aef,0x41324c80,
    0x441fffe9,0x2aa60df9,0x3ea2aaaa,0xfff100ff,0x05bb7003,0x54004c00,
    0xa82aaaaa,0xb3100aaa,0xaaaaaa98,0x55555532,0x00155555,0xaaa80026,
    0x2aaaaaaa,0x36002600,0x55554c4f,0x324c82aa,0x3fffa604,0x83ffdcba,
    0x7c40efe8,0x5ff300ef,0x3f603ff3,0x220b606f,0x7ec2fffe,0x27ff406f,
    0x40003d80,0xffc8803d,0x2fc880df,0x41efde98,0x4c2fffe8,0xdcbafffe,
    0x07b003ff,0x2af7fe20,0x005fffca,0x13f600f6,0x20bfffa2,0x1ff9aff9,
    0x261bff20,0x02ffd83e,0x77409ff5,0xf900ee88,0xc80e40df,0x5ffe87ff,
    0x4037ff40,0x220006f8,0x3ffa006f,0x3ea0f207,0xfc81ffb4,0x0dff907f,
    0xdf1007d3,0x3a07e600,0xf1000fff,0x209fb00d,0x3ba07ffc,0x2e00ee88,
    0xa87706ff,0xff100fff,0x3200003f,0x407206ff,0x7fc46ffb,0x3ffec05f,
    0x0017fe40,0x3002ffc8,0x0d107fff,0x3ffa2bfe,0xb837fdc1,0x007706ff,
    0x55005ff9,0x007fff70,0x36017fe4,0x0dff704f,0x6ffb8000,0x3f6144a6,
    0x27ff406f,0x36a9dd91,0x6ffc81ee,0x7fdc0720,0x405fff86,0x7c407ffd,
    0xf88006ff,0x3f6006ff,0x540e40ff,0x83b9b9ff,0xff706ffb,0x402894cd,
    0x2806fff8,0x006fff88,0xb01bffe2,0x1bfee09f,0x36a9dd91,0xdff701ee,
    0xbffd015c,0x546ffe80,0x07ff65ff,0x1c81bff2,0xfd0dff70,0x6ffe80df,
    0x0fffedc0,0x3fff6e00,0x9fff3001,0xaffb824c,0x837fdc05,0x00ae6ffb,
    0x01fffdb8,0x01fffd80,0x07fff6e0,0xff704fd8,0x6cbff50d,0xdff701ff,
    0x7fc40ba6,0x3ffec05f,0xffd97fe6,0x206ffc81,0x0dff701c,0xff80fff9,
    0xffeb404f,0xffeb4005,0x3fff2005,0x3ff201d0,0x37fdc03d,0x5d36ffb8,
    0x5ffeb400,0x27ffd400,0x2fff5a00,0x3ee09fb0,0x25ff986f,0xff701ffd,
    0x7c05ffdf,0x7ff405ff,0xf92ffcc7,0x0dff903f,0x6ffb80e4,0x300fff88,
    0x9d401fff,0x5000fffb,0x003ffee7,0x1de7ffc4,0x801fff50,0xff706ffb,
    0x2005ffdf,0x01fff73a,0x0077ff40,0x3ffee750,0x2e09fb00,0x5ff986ff,
    0x7dc07ff2,0x202fb9ff,0x7fc06ffe,0x92ffcc6f,0xdff903ff,0xffb80e40,
    0x209ff906,0x86c03ffc,0xb004fff8,0x013ffe21,0x406fffc8,0x0622fff8,
    0x3ee0dff7,0x002fb9ff,0x13ffe21b,0x017ffe40,0x7ffc4360,0x2e09fb04,
    0x5ff986ff,0x7dc07ff2,0xfc80b26f,0x27ffc07f,0xffc97fe6,0x206ffc81,
    0x0dff701d,0x3e60ffdc,0x3224c03f,0x449807ff,0x22007ffc,0xfb803fff,
    0x5c0eccff,0xdff706ff,0x224c0164,0xf9807ffc,0x260105ff,0xd83ffe44,
    0x0dff704f,0x7fe4bff3,0x4cdff701,0x1fff10c2,0x303ffe60,0x0ffe4bff,
    0x0d03ffd4,0x26037fdc,0x1dfdbdfd,0xeeeeed80,0x76c03fff,0x3fffeeee,
    0x00fffa00,0x406ffff4,0xff706ffb,0x360614cd,0xfffeeeee,0x07fff403,
    0xddddb048,0xfb07fffd,0x21bfee09,0x3ff25ff9,0x08dff701,0x09ff90b2,
    0x3e20fff6,0x207ff65f,0x5980fff8,0x401bfee0,0x1004fff8,0x81bff60b,
    0x0dffb058,0x401fff40,0xffb80349,0x08dff706,0x360b10b2,0x3fee06ff,
    0xb10d103f,0x361bff60,0x0dff704f,0x7fecbff1,0x20fff701,0x1ffb81f9,
    0xff017fd4,0x05fff93d,0x1d317ff2,0x0037fdc0,0xb005fff3,0x0bffe603,
    0xfff980ec,0x07fff002,0x3ee00190,0x0fff706f,0x203b07e6,0xf882fff9,
    0x217206ff,0x5fff301d,0xff704fd8,0x327bfe0d,0xff902fff,0x03f5cc1f,
    0xbfb7bfb3,0xafffa803,0xf700effc,0x8019ddff,0x54007ffc,0x9811cfff,
    0x1bffe00f,0xfff803e6,0x09fff006,0x7fe400b0,0x41fff907,0x07cc7eb9,
    0xfb0dfff0,0x9fd303ff,0x3fe00f98,0xc827ec6f,0xfff507ff,0x4c1dff95,
    0xeefffffb,0x31007fff,0x00030001,0x5cc004c4,0x002dffff,0x873bb2a2,
    0x5cc3dffb,0xf70dffff,0xffb987bf,0xda880dff,0x502bffff,0xfff73005,
    0x3fee65bf,0xfffeefff,0x30f7fee7,0x21bffff7,0xeeeffff9,0x2e4ffffe,
    0x7dcc3dff,0xffb0dfff,0x3ffee637,0x000302df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65400800,0x800ccccc,0x2cccccc8,0x33333260,0x6666441c,0x440002cc,
    0x0013303d,0x6c000662,0x00400200,0x01980000,0x4c400000,0x20066000,
    0x03300008,0x80000040,0x3ff204f9,0x8801ffff,0x04ffffff,0x3fffffea,
    0x7ffffc42,0x2ea6204f,0x4c3fcc1a,0xff9005ff,0x3f322005,0x10f40bdd,
    0x3622e83d,0x00f76e02,0x8800ffee,0x0720abcb,0xb8037fc4,0x074403ff,
    0x7fe401d3,0x02eec402,0x03f44000,0x40000000,0x09999998,0xaefb8000,
    0x9b1bfeb9,0x805fffd0,0x9806fff9,0x513e6d3f,0xf509f35f,0x2580bd37,
    0x7fffc405,0x4d77e400,0x204bbfeb,0x4403fffc,0x6400ffff,0x2603fa9f,
    0x8e406fff,0xaaaa982a,0x2aaa62aa,0x13001daa,0x55555300,0x01555555,
    0xa984c932,0x442aaaaa,0x7fc40efe,0x8afa81bf,0x4c76c06d,0x68fec03f,
    0x3fffa12e,0x03fffb00,0x3d901658,0x77e409d3,0x303ffc40,0xc803f27f,
    0x4404e99e,0x76c06fff,0x47203f98,0xfffd302a,0x177cc417,0x9801ec00,
    0xdcbafffe,0xaff983ff,0xfe881ff9,0x2ffd82ff,0x3609ff70,0x449816c1,
    0x6affc069,0x01ffd41c,0xb7009ff3,0x106c407b,0x07ff901d,0x16413fee,
    0x106c40ee,0x2ffb801d,0x40d31260,0x7ec05dd8,0x000b606f,0xfc801be2,
    0xd03e986f,0x201dd11d,0xffa87ffc,0x3fff100f,0x00000200,0x001fbff6,
    0x08001002,0xff300400,0xfffd101f,0x00000803,0x00100000,0x37fe400c,
    0xf9000390,0x3fee005f,0x00007706,0x3f61bfee,0x27ffc06f,0x736eee44,
    0xdd719ddd,0xa837667d,0x2203ffff,0xc886dddc,0x76440cce,0x03ddb54e,
    0x2e0fb7b6,0xf8e886ff,0xcfd884ff,0x4eec884e,0x6443ddb5,0x3ddb54ee,
    0x0199d910,0x037fb766,0x39037fe4,0x6fff8800,0x4cdff700,0x77644512,
    0x703ddb54,0xbffd0dff,0xc86ffe80,0xffd8f50f,0x2c8bffa3,0x0dffffb8,
    0xd0f50fc8,0xf503fa1f,0x40ffecbf,0x42ff88fe,0xd1d86ffe,0x25fd0dff,
    0x5ffa85fa,0xff507ff6,0x740ffecb,0xf981fd0f,0x7e417fe4,0x0007206f,
    0x003fffb7,0x015cdff7,0x7fecbff5,0x446ffb81,0x7f405fff,0x364ff87f,
    0xfd97fe60,0xfe98165f,0x27fc0eff,0xf937dc1b,0x365ff98b,0xb3fd41ff,
    0x45fff8bf,0x51fff62c,0x21ffc4ff,0x3ff65ff9,0xfb2ffcc1,0x326fb83f,
    0xfd3fec5f,0x81bff20f,0xfeb4001c,0x6ffb805f,0x7fcc05d3,0x2e07ff65,
    0x5fff86ff,0x743fff40,0xffd00eff,0x31fffb11,0x7ffff007,0xe80effe8,
    0xf31bee5f,0x20ffe4bf,0xf02e25fc,0x3a1dcbff,0x13fe46ff,0x5ff98bff,
    0xff307ff2,0x3a0ffe4b,0xf51bee5f,0x6407ff4b,0x007206ff,0x1fff73a8,
    0xfefffb80,0x97fe602f,0xffb81ffc,0x406ffe86,0xffb86fff,0xbffb81ff,
    0x0baffc9a,0x46ffae80,0x7c1ffffb,0x44ccccef,0x3ff25ff9,0x74037fc1,
    0xff0956ff,0x7c7ff89f,0x92ffcc7f,0x5ff983ff,0xdff07ff2,0x54099999,
    0xfc80ffed,0x8007206f,0x09fff10d,0xfb9fffb8,0xc97fe602,0x6ffb81ff,
    0x7c07ffc8,0xfff704ff,0x5eff881f,0x120bbff3,0x3ee1ff2d,0xfff10fff,
    0x64bff300,0x1ffe21ff,0x167fff20,0xff117ffc,0x263ffc4d,0x07ff25ff,
    0x7fe4bff3,0x401ffe21,0x0ffe8ee9,0x3206ffc8,0xfc893001,0x37fdc07f,
    0x2ffcc059,0xff703ff9,0x01fff10d,0x4203ffe6,0xfd83fff9,0x40fffa4f,
    0x844fab46,0x3fa3fff9,0x2ffcc01f,0xffd83ff9,0x77ffc401,0x40fff980,
    0x13fe27fd,0x7fe4bff3,0xf92ffcc1,0x01ffe83f,0xffe87fcc,0x206ffc80,
    0xdddb001d,0x407fffdd,0x30a66ffb,0xff92ffcc,0x20dff703,0xff904ffc,
    0x3ff89607,0x3ee1ffa8,0xcb4bd00f,0x7ff12c1f,0x10e27fdc,0x0ffecbff,
    0x5031bfea,0x3ff609ff,0x3e27fa81,0xb2ffc42f,0x5ff883ff,0xff707ff6,
    0xd3fec389,0xfff501ff,0x2c400740,0x2e06ffd8,0x459046ff,0x3ff65ff8,
    0x206ffb81,0x7fd41ffb,0x1fd8fe02,0x2fc46f88,0x9bf9df90,0x0fec7f01,
    0x395dfff3,0xff93dff0,0xefff885f,0x3fff02cb,0xf101ffa8,0x7c1bea3f,
    0x2fffc9ef,0xffc9eff8,0x77ffcc2f,0x77ff41ca,0x440bffee,0x05980fff,
    0x3fe603b0,0x0fff702f,0x3dff07e6,0xf705fff9,0xdfd980df,0x7401dfeb,
    0x3202fcee,0x99802d83,0x7e777407,0x2efff982,0xf95fff50,0xffe981df,
    0xfb33b03e,0x8019dd7b,0x00debee8,0xff95fff5,0xafffa81d,0x7cc0effc,
    0xffa82eff,0x904ffa8c,0x00e98bff,0x3fe00f98,0x1fff906f,0x7d43f5cc,
    0x0effcaff,0x1003ffe4,0x18840013,0x80010080,0x80188402,0x00030008,
    0x4c144011,0x09880009,0x03000300,0x00001100,0x3bbffee0,0xdffb800c,
    0x7fffdcc3,0xffff730d,0x0ffffddf,0x7fdcc00c,0x00002dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0004c400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02000800,0x2004c400,0x80726000,0x00020019,
    0x32615555,0x0800a601,0x83a83200,0x1001441a,0x0aaaa800,0x36004040,
    0x771000de,0x26198003,0xd1000101,0x8093009d,0x1ec2644c,0x6ff880f6,
    0x20f22640,0xff980ffe,0x333b2202,0x5ffd3000,0xf301fff1,0x76ecc05f,
    0x83e600df,0xbabe984d,0x5f76cc1e,0x3001dffb,0x3ae05ffd,0x202e9cdd,
    0xd8801ff9,0x3003fead,0x03ff33ff,0x500f443d,0x0b9001df,0x0fd8df88,
    0x06e8cf88,0x101fffe4,0xf10fb1bf,0x5ff505ff,0x0fe87f40,0xf15ff900,
    0x7ff307ff,0x5ff93e60,0x205f1ee0,0xf705fffd,0x1dfd37df,0x3f6aaa20,
    0xd27e41cf,0x0fdc05ff,0xff51fb80,0x13ff1001,0x35f501ff,0x00ed809f,
    0xff7005f0,0x7ffe407f,0x7e4fe602,0x0bfff200,0x3a807ff4,0x5fc9bee0,
    0x2a5ff900,0x407503ec,0x81ffa7fd,0x9807e25c,0x97fea01c,0x55104ffa,
    0x5439ffb5,0x0bff61ff,0x3fa001c8,0x4400df11,0xffe80220,0x8006c00f,
    0xff8800f9,0x02ffc406,0x440770b2,0x1ff606ff,0x72ff4010,0xff9080df,
    0x80200e85,0x03ffa5fa,0x100f51f4,0x224ffa80,0x642206ff,0x23fec2ff,
    0x00402ffc,0x7f34ff98,0x7d400000,0x5c00003f,0x10004005,0x04000800,
    0x32217f20,0xeff80cce,0xd884cccc,0x22ffcdff,0x7dbdb059,0x0ffeda80,
    0x3ffffff2,0x6ecc2fff,0xffa80dfe,0x6c43ffc4,0x42ffccff,0x17fe47ff,
    0x403eded8,0x01dbfff8,0xb54eec88,0xc88003dd,0x3ddb54ee,0x76c00fa0,
    0xdbb303ed,0x376601bf,0xfb100dfe,0x0fea09d9,0x107f43fa,0x3fa00fff,
    0x2a5fff34,0xff11fd02,0xfd1dd305,0x5fe54c1f,0x260adeaa,0x2a17fe4f,
    0x23ffc4ff,0xfff54fe8,0x323ffc45,0x88fe82ff,0x7ff402ff,0x21666545,
    0x3ff65ffa,0x41f76cc1,0x3ff65ffa,0xe800f881,0x4c2ff88f,0x2617fe4f,
    0x7417fe4f,0xf10bf52f,0x3f26fb83,0x200fff45,0x3ff21ffc,0xd9fea012,
    0xe87fcc5f,0x7c7b80ff,0x3fa7fd82,0x224ffa87,0x07fe46ff,0x7fe85ff9,
    0x3ea17fe4,0x64417f67,0x7ec2fffd,0x365ff983,0x4ffb81ff,0x3f65ff98,
    0xa806b81f,0xfb17f67f,0x7ec3ff4f,0x3ea1ffa7,0x3a0ffe27,0xdf72ff40,
    0x21c4ffb8,0x3ff20ffd,0x712fe402,0x3fa7fd81,0x3e25c80f,0x3fa5fa81,
    0x327fd40f,0x47fe89ff,0x7fe42ffc,0xf90bff20,0x7d405c4b,0x641fffb2,
    0x64bff305,0x4ffa81ff,0x3f25ff98,0xc803e81f,0xf502e25f,0x2a07ff4b,
    0x903ffa5f,0x42ffc4ff,0xccceff85,0x77ffcc4c,0x23ffc1ca,0x7fc02ffc,
    0xeeffe806,0xf950bffe,0x399fb99d,0x03ffb6a0,0x3f27fff5,0x323ffc0f,
    0xa7fcc2ff,0x7fc2fff9,0x227f9806,0x01d16fff,0xffc97fe6,0x984ffa81,
    0x07ff25ff,0xdff003f1,0xffeda800,0x3ffb6a00,0x3fe3ffc0,0x3ffc4187,
    0x2efff980,0x7fe47ff8,0x01ffe202,0x3ea33fea,0x3bbfae4f,0x4c2eeffe,
    0x40ffe8ee,0xeffdcffa,0x323ffc41,0xfffa82ff,0x3e22ffcc,0x0ffc807f,
    0x0773ffe6,0x3f25ff98,0x84ffa81f,0x3ff25ff9,0x7c403541,0x1dd3007f,
    0xdd301ffd,0x7c41ffd1,0x01ffe26f,0x8800fff4,0x83ff603e,0x7ec02ffc,
    0x1e98001f,0x41360f98,0x1ffd0ff9,0x0114ffa8,0xff907ff4,0xffc84c05,
    0x200ffec2,0x7fe43fff,0x2ffcc06f,0xff503ff9,0x64bff309,0x8026c1ff,
    0x7cc01ffd,0x981ffd0f,0x81ffd0ff,0x13fe27fd,0x4ffb8bf7,0x5c07c81c,
    0x0bff21ff,0x018dff50,0xf8d705f8,0x7f4ffb02,0x027fd40f,0x3f61ffc8,
    0x5ff9002f,0x20c6ffa8,0x7f41fffd,0x44488dff,0x07ff65ff,0x3e213fea,
    0x887ff65f,0xdff5001f,0xfd3fec18,0x3a7fd81f,0x13fd40ff,0x1fff85ff,
    0x32bbffe6,0x4c05fd01,0x9fff56ff,0xbefff880,0x07fc402c,0x203f12e4,
    0xffeeeffe,0x013fea0b,0xffaaffcc,0x5ff9003f,0xcbefff88,0x67fffcc2,
    0xffffeeba,0xc9eff81f,0xffa82fff,0xf93dff04,0x003d45ff,0x597dfff1,
    0xfeeeffe8,0x3bffa0bf,0x220bffee,0x90df51ff,0xdfff30df,0x0dffd405,
    0xfccfffa8,0x7f4c02de,0xdfb003ef,0x0f51f415,0x7d467fd4,0x02ffe44f,
    0xf97fff50,0xffb003bd,0x7dffd307,0x3ffff6a0,0x40ffff23,0xffcafffa,
    0x82ffdc0e,0xffcafffa,0x98009b0e,0xfa83effe,0x44ffa8cf,0xffa8cffa,
    0xdebee884,0x00880100,0x9807db50,0x11000110,0x1ddb8800,0x00008826,
    0x05999930,0x00110980,0x80e6665c,0x01310008,0x800c0062,0x202fffe9,
    0x0000a801,0x00000011,0x00026200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20376400,
    0x2aaaaaa9,0x2aaaaaaa,0x0a885441,0x20182e20,0xbd900383,0x00bbaa01,
    0x98530040,0x400e4c00,0x2aaa0019,0x0cc0a80a,0x530a6298,0xd3000355,
    0x0bbaa07d,0x39500080,0x15100370,0x744002a2,0x7ff4402f,0xffff982f,
    0x9fd5fd81,0x33bffea0,0x36ef7204,0x805ff005,0x3b2206fb,0x02ffe9ce,
    0x4407b5d7,0x2e06e9ce,0xfd3004ff,0x957d305f,0x15ff101d,0x4ffc85ff,
    0x405fc800,0xded805fc,0xffff503e,0x6c02e41d,0x4009fd5f,0xffc805e8,
    0x417ff607,0x209fb4fd,0x01fffebc,0x007fffe6,0x7e400bea,0x3bffe600,
    0xe880ffea,0xb8fec03f,0xffff884f,0x05ff9000,0xf813fff6,0x541ff8af,
    0x5e8004ff,0xfe80fb00,0x7442ff88,0x263fffdc,0xfb4fd807,0x80588009,
    0x3f606ffb,0x4030605f,0x22002a21,0x077000bb,0x3e202c80,0x83ff90ef,
    0x501fc9db,0x07fe61ff,0x009d13f9,0xc980bff2,0x01104401,0x88009ff5,
    0x4072000d,0x917f67fa,0x17c6ffb8,0x000060c0,0x206ffb80,0x00805ffd,
    0x00000040,0x10020004,0x17fe4dff,0xd81ff882,0x88ffe67f,0x4403a20d,
    0x0805ff90,0xff500400,0x00100049,0x44bf9004,0x27fc400b,0x00080132,
    0x36a9dd91,0x6ffb81ee,0x4417ff60,0x2204ecfd,0xc884ecfd,0x3ddb54ee,
    0x09d9fb10,0x82767ec4,0x3ff26ff8,0x7f6edc42,0x3e67fe86,0xfb10004f,
    0x105ff99f,0x4409d9fb,0xfa80ccec,0x01efeacf,0x20199d91,0xf80ccec8,
    0x5f98006f,0x6ecc07a8,0x7d400dfe,0x207ff65f,0x3f606ffb,0x2a5fd05f,
    0x2a5fd05f,0x25ffa85f,0x2fe81ffd,0x4bfa0bf5,0x6ff885fa,0xfe88bff2,
    0xff85ff92,0xb31bfe67,0x9fd107dd,0x3a0bffea,0x3a0bf52f,0xfa81fd0f,
    0x0ffd8bff,0x01fd0fe8,0x883fa1fd,0x744007ff,0x2603f03f,0x3017fe4f,
    0x0ffecbff,0xfb037fdc,0x44ff50bf,0x13fd43ff,0x5ff987ff,0xff507ff6,
    0x3ea1ffc4,0xf10ffe27,0x717fe4df,0x127fccff,0x3ffccfff,0x7e427fdc,
    0x50bff20f,0x21ffc4ff,0x517f26fb,0x2ffcc9ff,0x45fc9bee,0xb17f26fb,
    0x3ee003ff,0x04d84fff,0x03ff4ffb,0xffc97fe6,0x206ffb81,0x7fc85ffd,
    0xff917fe2,0x3e62ffc4,0x907ff25f,0x22ffc4ff,0x17fe27fc,0x7fe4dff1,
    0xff89ff62,0xf99ffe26,0x84ffa87f,0x17fe47fe,0x5ff89ff2,0x8df72ff4,
    0x3fe24ffa,0xdf72ff46,0x1bee5fe8,0x2018dff5,0x540ffffb,0x7f4bf506,
    0x97fe600f,0xffb81ffc,0x217ff606,0x23ffc7ff,0x23ffc7ff,0x3ff25ff9,
    0x3fe3ffc1,0x3fe3ffc7,0xf937fcc7,0xf137fc5f,0x267ff8ff,0x4ffa85ff,
    0x7fe47ff8,0x3fe3ffc2,0x66677fc7,0x227fd44c,0x677fc7ff,0x77fc4ccc,
    0x7c44cccc,0x402cbeff,0x7c43ffe8,0x7ff6d401,0xc97fe600,0x6ffb81ff,
    0x44ffd826,0x3fe26ff8,0xf89bfe27,0x92ffcc7f,0x37fc43ff,0x7fc4fff1,
    0xd89ffe26,0x5ff93fff,0xff89bfe2,0xff33ff46,0x889ff509,0x17fe47ff,
    0x7fc4dff1,0x201ffe27,0x3ffc4ffa,0xf880fff1,0xffd3007f,0x3fee007d,
    0xdd303d83,0x4c01ffd1,0x07ff25ff,0x7fddbfee,0xfb07ffb0,0x3627fc4f,
    0x313fe27f,0x0ffe4bff,0x4ff89ff6,0x9ff13fec,0xf8bff200,0xb17fe27f,
    0x41ffccff,0xffe84ffa,0xfb0bff20,0x3a27fc4f,0x7fd401ff,0x3fa2ffc4,
    0x0fff401f,0x88009700,0x986b81ff,0x01ffd0ff,0xffb2ffc4,0x32dff703,
    0x05ffb1ff,0x17fc4ff5,0x2ff89fea,0xffb2ffc4,0x3e27fa83,0xf13fd42f,
    0xff90805f,0xff33fec3,0xf30ff987,0x09ff501f,0x7fec3ff9,0xff13fd42,
    0x1c4ffb85,0xff893fea,0x0e27fdc3,0x20389ff7,0x80b882fe,0xd81f106f,
    0x003ffa7f,0xfff93dff,0x22fff905,0x203bfa5f,0x0df51ff8,0x1bea3ff1,
    0x7fe4f7fc,0xa8ffc42f,0x51ff886f,0xc8fb80df,0x43fa20ff,0x25fb05fa,
    0x9ff503fc,0x3eabff30,0x8ffc43ff,0xfff986fa,0x7fd41cae,0x3e617ee5,
    0x4c1caeff,0x01caefff,0x3fee0fea,0x3e803ea3,0x7f777ff4,0x3fea00bf,
    0x30effcaf,0x55bffff7,0x401bfbbb,0x00debee8,0x01bd7dd1,0x3f2bffea,
    0x5f7440ef,0x7dd100de,0xbfa801bd,0xbed883fd,0x33b200de,0x17fee03f,
    0x7e5fffd4,0x5f7441de,0xfff300de,0xbb5d505d,0x7fcc09d7,0xfff302ef,
    0x06f5c05d,0x66ffff44,0x3ea2dc00,0x04ffa8cf,0x44000030,0x004c4001,
    0x03000988,0x20013100,0x2e600098,0x4001801b,0x7fff4c01,0x00442602,
    0x088004c4,0x40031020,0x00110008,0x20009800,0x00000028,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x1bb0060b,0xdec805d5,0x005dd300,0x006f32a2,0x2aaaee62,
    0x1aaaaaaa,0x59953198,0x002ee003,0x44000072,0x024c01bb,0x0ae20002,
    0x2aaaaa98,0x20e20040,0x26001003,0x764003ee,0x2a00101d,0x204cefff,
    0xf00dd3f9,0x06fb805f,0xffa9fe98,0x2efbf202,0xdccefffe,0xeffa84ff,
    0x00dfeb9b,0x407f57f5,0x3bb2206c,0x3a21ff74,0x5f101ffd,0x2007fdc0,
    0x7c0fff61,0x985fffff,0x2eeeecec,0x426dd66c,0x006dddc8,0xff000bf9,
    0x3d117405,0x1fffebc8,0x007c56e0,0x7e400bea,0xfb2ff400,0x41dfd10d,
    0x7444fff8,0xe882fa84,0x89fe81ff,0x803f307f,0xfffbeff8,0x403f2110,
    0x17ff405d,0x37ff4950,0x7fffffd4,0xfd87fcc1,0x7ffd40ae,0xf50fc81f,
    0x20017a00,0x5fd402fa,0x2a2185e9,0x02a86400,0x164003b8,0x7e49ff10,
    0x417ff41f,0x84a84ffe,0x1bfea05a,0x5ff11ff3,0xff1007d0,0x3e60ee9f,
    0xa801f505,0x49f100ef,0xabd86dc9,0x7fd82aaa,0x5c407fee,0x6c9ff00b,
    0x8002c400,0xfffd003b,0x04000801,0x01000200,0x3f24ff98,0xe83ffd47,
    0xa838e4ff,0x8fffe201,0x87ff0ffa,0xfff1006b,0x43ffc801,0x980002f8,
    0x443b84ff,0x6ff8800e,0x0100bfea,0x40077ff4,0x20400080,0x209ff301,
    0x00dfedd9,0x409d9fb1,0x00dfedd9,0x01bfdbb3,0x3ba29ff5,0xe837ff42,
    0x000164ff,0xff89bffa,0x3e60ff89,0x0fff1001,0x0b917e60,0xfff98040,
    0xa81b15ef,0x3a02deff,0x203fee7f,0xb80ccec8,0xc981ffff,0xddd8cfec,
    0x3f3f200c,0xf30004ad,0xfe82ffc9,0x9f30bf52,0x27cc2ffc,0x9ff50bff,
    0xfff033f2,0x5d3ffa0b,0xffd80005,0x2fcd7ec7,0xff8800fa,0x21e86606,
    0x02e000fa,0x2677fee2,0xfffd80b9,0xff981eff,0x3fa09fb0,0xff701fd0,
    0xb1fc41ff,0x407fcdff,0x81ff52fe,0xeeedccde,0x3ff4ffb0,0x7ff13fd4,
    0x1ffa7fd8,0x87fe9ff6,0x3fea4ffa,0x209fff10,0x05feeffe,0xddddddd1,
    0x1fffdddd,0x35c2cca8,0x81bfe200,0x3e22adfc,0x40b10182,0xe8024ffa,
    0x0fffffff,0x02ddfe88,0x22fe4df7,0x647fff30,0xd8fff27f,0x88ffcc4f,
    0xfb0744ff,0xfd2fd49f,0x227fc81f,0xd2fd45ff,0x25fa81ff,0x7fd40ffe,
    0xff93fe64,0x59ffd04f,0x6fffc0bd,0xfc999999,0x3f3000ff,0x440ee64c,
    0xb90006ff,0x07d10f70,0x20027fd4,0x84fffd98,0x4bfd002c,0xff12c6fb,
    0xff92fd47,0x3f237e45,0x38dffb0f,0x5403ffea,0x7fc0ffed,0xb503ffc7,
    0x6d401ffd,0x7fd40ffe,0xfd97fe24,0x29ffd05f,0x17ffa05a,0x2007ffc8,
    0x7e5be23e,0x0037fcc2,0x1fea07d4,0x7d401ff3,0x3e60004f,0x4cdfdc6f,
    0x333bfe00,0xfb1fc4cc,0x3ffb6603,0x745eeeee,0x0fff397f,0x260bffe2,
    0x20ffe8ee,0x3fe26ff8,0xfe8ee987,0xe8ee980f,0x27fd40ff,0x7fdcfff1,
    0x2c9ffd06,0x205ffd86,0xd7005ffd,0x4bf95fb8,0x003fffd8,0xfd930fe2,
    0x2a02ffcc,0x540004ff,0x7fffec6f,0x3fe22eff,0xfceee807,0xfb9ed882,
    0xbfff804f,0x3f20fff2,0xd0ff985f,0x27fd81ff,0x7fcc4ff8,0xf981ffd0,
    0xa81ffd0f,0x97fe24ff,0xfe80fff9,0x2a3a864f,0x3ffe06ff,0x741f9801,
    0x101ff75f,0x22e40015,0x7fdcfd58,0xffa83b63,0x44f80004,0xfffffffa,
    0x007ffa1f,0x7fc416a1,0xd00dff51,0x437fc7ff,0xfd81fff9,0xf503ffa7,
    0x3617fc4f,0xb03ffa7f,0x207ff4ff,0xe8b8cffa,0x41ffd44f,0x85d04fff,
    0xff981ffd,0xf907d004,0x7d41beeb,0x40fa800f,0xf92ffabe,0xf317fc7f,
    0x40ea009f,0x55e74c1f,0x3ee2ffcb,0x2fd81c4f,0x3fe27fc8,0x3ff21c1f,
    0xfb09ff10,0xdffd049f,0x4417ffdd,0xd0df51ff,0x7ffdddff,0x7777ff41,
    0x3fee0bff,0x80fcbfbc,0x3fe63ffa,0x07f6a25f,0xfe88bfd1,0x306b800d,
    0xc80ff2df,0x41f4400f,0xf34ffeee,0xf107ecbf,0x7c4093df,0xf10ae2ef,
    0xf983ea0b,0x301caeff,0x59fff09f,0x959fffd9,0xf32ff981,0x0fffa81d,
    0xa8cffa96,0xbee884ff,0xcffa80de,0x7d44ffa8,0x24ffa8cf,0xed8cffe8,
    0x3fb2601d,0xeefffffd,0x3ae07fff,0x002eecce,0x47ec03f3,0x3ec880de,
    0x7e805c80,0x1ec5ffec,0x2006ff54,0x01deffeb,0xd53137fb,0x5dfff305,
    0x2e0376e0,0xff90dfff,0xd9d883df,0x7c40decf,0x00f712ff,0x00026200,
    0x00000000,0x00000cc0,0x57000331,0x00037100,0x2a003220,0x002ca882,
    0x30018800,0x80157997,0x18800008,0x22080260,0x37fff201,0x00006ffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55554000,0xaaaa88aa,0x2aaa21aa,0x2e00dc41,0x98037102,
    0x555554c4,0x2aaaa62a,0x00800800,0x111cc980,0x1155554c,0x3a600177,
    0x00101bb4,0x88a60298,0x0072a600,0x51006ee2,0x65cc0059,0x2aaaa00a,
    0x555442aa,0x0397300a,0x98bfffa2,0xf983fffe,0x3017fdc4,0x05ff701f,
    0x7f4c17c4,0x6fcc41ff,0x273bb220,0x87a02ffe,0x9bea80e8,0x7441eeeb,
    0xfd7d77ff,0xf31f900b,0xa80dfb07,0x3ff602dd,0x9f901ddf,0x3ee09f91,
    0xcc80efaa,0x3203ffc8,0x0decabde,0x0bfffd88,0xa80cfd88,0xf506fb9f,
    0xfff985ff,0x5fb01d03,0x5fb01f40,0xffb02ec0,0x7cc16c0d,0x0ffeaeff,
    0x09f35f70,0x03f709f1,0xc875fff7,0x5c97c04f,0x3203fff0,0x7e74403f,
    0x8ff306ff,0xb3fd41ff,0x3e3f98bf,0x203d80ff,0xfff880e9,0x7f812e03,
    0x3fa05ff3,0x85ffe85f,0x205fb049,0x817ec06c,0x3ff200fa,0x3e207206,
    0x03ff90ef,0x5c07fff4,0xf703f03f,0x5ff30bff,0x700c9260,0x00ff20bf,
    0x36029822,0xd17f60ff,0x91ffdcdf,0x21ffe4df,0x9bcccbbd,0xffb01d30,
    0xf9806c0d,0x701ff88f,0xffb81fff,0xfd80e40f,0x6c00f982,0x402f882f,
    0x07206ffc,0xffc97fe2,0x40ffea01,0x81b81ffd,0xf881fffb,0x4000006f,
    0x000007fc,0x27ec7ffd,0x7fd4bff1,0xffc8fa64,0x47fc52e2,0x261666f9,
    0x04982fff,0x00c47ff2,0xfb87fff1,0xfb0343ff,0xfb007d05,0xf900b905,
    0x440e40df,0x0bff25ff,0xfffc8040,0x7ffb800c,0x221fff10,0xddb54eec,
    0x9ff10303,0xa7764402,0x7e41eeda,0x4c1ff4ff,0x1bfe66ff,0x0ec1dfd0,
    0x68ff61ff,0x390bffd0,0x001ffec0,0xfde8dffb,0xfd80ea6f,0xfd803642,
    0x64007d42,0x207206ff,0x3ff25ff8,0x273bb222,0x7fcc2ffe,0x2e00cfff,
    0xfff107ff,0xfb2ffd43,0xff70b03f,0xf5039ffd,0x20ffecbf,0x0defffe8,
    0x3fe27ff8,0xd03be607,0x47fd0ff8,0x1fffa81c,0x7ecc4162,0xf98019df,
    0xff3931ff,0x7540363f,0x003f31df,0x3e23bfd5,0x6ffc8182,0x3fe20720,
    0xf30bff25,0x1ffd5dff,0xffffffa8,0x20fff701,0x3e63fff8,0x207ff65f,
    0x44ffec0e,0x7fcc1ffe,0x2207ff65,0xc80efffe,0x0bff31ff,0xf12606ec,
    0x3a89fb7f,0x0dc9fff0,0xffffffc8,0x2bffd007,0xb19ffd0d,0x7e47d000,
    0x70b9003e,0x40dff90f,0x25ff881c,0x7fc42ffc,0x103ff90e,0x03fffffb,
    0x3e20fff7,0x97fe63ff,0x42f81ffc,0x13fe67ff,0x7fe4bff3,0xfffed881,
    0x5fffcc0e,0x0b103ffc,0xff5ff166,0xff703b81,0xba98161f,0x7002aeff,
    0x7dcb3fff,0x64002bff,0x03fef2e6,0x7fa81f50,0x3206ffc8,0x366ff981,
    0x2ffc43ff,0x75403ff9,0xffb85fff,0x45fff107,0x3ff25ff9,0xff11fcc1,
    0x7cc6ff8f,0x507ff25f,0x13ffeedf,0x0ffeeed4,0xff1a0298,0x01d89f91,
    0x0557fff1,0x10017fa0,0x7c45dfff,0x7cc007ff,0x4401fd01,0x43f64c3f,
    0x07606ffc,0xf55fffb1,0x7fc43dff,0x058bff25,0xff70fff7,0x87ffe20f,
    0x3ff25ff9,0x3fe2fdc1,0x983ffe0f,0x07ff25ff,0x37fdc9fd,0x1103ff40,
    0x13ff0e40,0x320343ff,0x32005eff,0xffd8004f,0x004ffd86,0x809f01f4,
    0x87eac45c,0x01a07ffa,0xff1002a2,0x5d17fe4b,0xf703ff20,0xdff108ff,
    0x3f25ff98,0x363fec1f,0x31bfa1ff,0x0ffe4bff,0x7fc47ff1,0x007fcc07,
    0xff71b500,0x991df71b,0x03fff980,0x0985f750,0x541ffcc0,0x1b2001ff,
    0x07d405b8,0x10bfeafa,0x0b301fff,0x4403ff10,0x8bff25ff,0x70df506e,
    0x457e4fff,0x2ffc42ff,0xfff83ffb,0xff8bfee0,0xfb2ffc44,0x744fe83f,
    0x07fa205f,0x2e01fe98,0xd005c805,0xee8801ff,0x06dccdff,0x1be01fd0,
    0x9501f980,0x20fa20e2,0xc84ffeee,0x0074c5ff,0x3e202fb8,0xe8bff25f,
    0x40fec0cf,0x37f67ffc,0x3dff05f8,0x7c45fff9,0x8afec1ff,0x9eff80ef,
    0x7d42fffc,0x4407fe26,0x7fe401fe,0x4c16dc04,0x13ea005c,0x7ffecae0,
    0x097005ff,0x07d001e4,0x20ffffe6,0x207e805c,0x0ceefffb,0x9809b700,
    0x8fff66ff,0xeebdfdce,0x7fffdcc1,0x04dff9ad,0x3f2bffea,0x03ffa0ef,
    0x403773f2,0xffcafffa,0x75efe40e,0x01bba81e,0x3005ff30,0x07bdbbd9,
    0xb3001d00,0x1bffb3db,0x08802200,0x55409300,0x06440aaa,0x4c401540,
    0xb1000000,0xfff55fff,0x0998863d,0x3000c000,0x300b2600,0x20006001,
    0x00110099,0x22000220,0x000c0001,0x00001106,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,
    0x88013575,0x32e60000,0x9dd1000a,0xaaaaaa88,0x555530aa,0x05555303,
    0x1cccb988,0x5e54400a,0x2aaa060a,0x14c1aaaa,0x91f74c11,0xee8801dd,
    0x0000c984,0x200fba60,0xaa983ee9,0xc802aaaa,0x5554c0ee,0x55552aaa,
    0x2aa61555,0x2bbee01a,0x2203feb9,0xc803a61e,0x0decabde,0x2a077d40,
    0x7fffffff,0x03fffee2,0x5403bf51,0xfeb9bdfe,0x77f5407d,0x03eefcac,
    0xd83ffff3,0x2a0edfff,0x03ffa4ff,0xf881df50,0x900000ff,0x17f200bf,
    0x57fff4c4,0x83fe8801,0x223fffe9,0x221efffb,0xfe884ffd,0x077fc40e,
    0x04faafb8,0x00e980f6,0x3ff203b6,0xc85fffff,0x05b06fff,0xfb817fe4,
    0x413fea07,0x3ffa03fc,0x7ffe6c45,0xfd27fd45,0x80ed801f,0x0003fff9,
    0x2fc00bf0,0x0037fe40,0xfb511ba2,0xf75555ff,0x7dc15bff,0x02ffd84f,
    0x7fc09ff5,0x547b00ff,0x0e9a9bbc,0x37ba01b0,0xc82fcaab,0x1b84fffe,
    0xd80bff70,0x40bff507,0x3ff603f8,0x50330445,0x07ff49ff,0xeca80360,
    0x05980003,0x7e401620,0x0d88006f,0x2bfff6a2,0xcfffaaaa,0x513fea0a,
    0x3e201fff,0x7ff701ff,0x977452e0,0x100b34d8,0x80fc8244,0x43fffe9c,
    0x1fff981b,0x7fc43440,0xb01d401f,0x2a000bff,0x03ffa4ff,0x20074000,
    0x04000000,0x0cdbff20,0x3ffdc000,0xfa83fff8,0x037fec4f,0x80013ffa,
    0x4887fb1d,0xdbbb911a,0x46417a00,0x2e1ffff8,0x007ffc81,0x01fff503,
    0x2ffec010,0x541f76cc,0x03ffa4ff,0x3bb7337a,0xed9a540e,0x40effbae,
    0xff74eec8,0x273bb221,0xff902ffe,0xd9801b7d,0x7ffb83ee,0xf507fff0,
    0x2fff459f,0xc89bffa0,0x41ff74ee,0xc803ff16,0x03d43f21,0x30c817cc,
    0x06e1ffff,0x8001bffa,0x80006ffd,0xff705ffd,0x749ff509,0x360e80ff,
    0x3215c4ff,0x5ffadeff,0xffbeff88,0x3bffe60f,0xfc80ffea,0x3ee003ff,
    0x07ffb84f,0xff507fff,0x17ffe23f,0xf88fffb0,0x30fffbef,0x2a01fea9,
    0x00d93fe3,0x20c807e4,0x0375fffb,0x4000bfff,0x80005fff,0xff505ffd,
    0x749ff509,0xf51c28ff,0xfb8081ff,0x221ffe4f,0x88774fff,0x3ff90eff,
    0x800dff90,0xffb84ffa,0xffeeeeef,0x44ffa83f,0x7f405fff,0xa7ffc47f,
    0x3fd5663b,0xdffd1dc0,0xc817a001,0x5e7ffe40,0x005fff81,0x0017ffe0,
    0x5417ff60,0xeffa84ff,0x03cffee9,0x2005fff1,0x1ffa3ffb,0x8803ffe2,
    0x07ff25ff,0x5001bff2,0xfff709ff,0xfff33333,0xe89ff707,0x7ffc06ff,
    0x007ffc46,0xb003fe2d,0x0ffffdc3,0x0c80be60,0x81efffe8,0xfb886ffd,
    0x3f61dfff,0xfd80007f,0x09ff505f,0xf33ffff7,0x3ff203df,0x8ffee005,
    0x7ff887fe,0xf92ffc40,0x6fffb85f,0x427fd400,0xfff07ffb,0x44ffdb87,
    0x7fc07ffc,0x03ffc44f,0x2227e472,0x3ffee1a1,0x803f200f,0xffff880c,
    0x207ffc81,0xffb87ffc,0x36098007,0x9ff504ff,0x01031990,0x000fffcc,
    0x3ff47ff7,0x22037fc4,0x8bff25ff,0x406ffcbb,0x5c27fd43,0x7fff07ff,
    0x444ffa88,0xff300fff,0x06ff881f,0x97df72d4,0x7cc22647,0x017a03ff,
    0x3ffe6019,0x01fff981,0xff30fff7,0x7fdc005f,0x2a07ffb0,0x006e84ff,
    0x0049ffb0,0xffd1ffdc,0x880dff10,0x8bff25ff,0x4c0dff90,0x5c27fd43,
    0x7fff07ff,0xf909ff50,0x0fff609f,0x2e01bfe2,0x21720445,0x4c0ffe25,
    0x500e403f,0x3fea03ff,0x20fff706,0x3600fffa,0x3fa3ff91,0x09ff502f,
    0xfa8001ff,0x2e0160ff,0x03ffa3ff,0xf880dff1,0x20bff25f,0x0ba06ffc,
    0xff709ff5,0x20fffe0f,0xff704ffa,0x102ffa83,0x36e00dff,0x7f05c982,
    0x0fb80fec,0x3f201f40,0x213fee01,0x3ea07ffb,0x11ecc1df,0x8077fcbf,
    0x7fc45ffb,0x3ffe2000,0xf700f712,0x207ffc9f,0x7cc06ff9,0x20fff66f,
    0xfda87ffc,0x642ffdc1,0xfff887ff,0x204ffb83,0xdfdbdfd9,0x01bfe601,
    0xdeddec98,0x3f3bba03,0xda817a02,0x07600cff,0x97bffb10,0xc98039dd,
    0x81dfdffe,0x00dfdcda,0xb85fffd3,0x7ffe4003,0x4c06ffed,0xffb9effe,
    0x3fff625f,0x5fffb103,0x263dfff5,0xeeeffffb,0x3a61ffff,0xff732fff,
    0x3f6a5bff,0xfd30bfff,0x131005ff,0x7fffb100,0x20031000,0x01300310,
    0x00044000,0x00013331,0x0c400262,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x4002aaa8,0x2a60bca8,0x801aaaaa,
    0x1aaaaaa9,0x553bb220,0x2aaa1eed,0x455510aa,0x41999998,0x3911aaa9,
    0x5555554c,0xaa982ea2,0x8801aaaa,0xaaaaaaaa,0x5501aaaa,0x10060044,
    0x99998805,0x93ba0099,0xb30ceeeb,0x9999983b,0x00383809,0x55555551,
    0x5c355555,0x3ea005ff,0x3a60ffae,0xdeecceff,0x3fffd101,0x6cbff500,
    0x3ffea2ff,0xff90fdc2,0x6c43ffff,0x45ffd4ff,0x2a2fffe9,0x7ff4c7ff,
    0x81deecce,0xffdbcff9,0xe84fdcaf,0x200edfff,0x13fe204a,0xffffffa8,
    0xd81df502,0x7c1e44ff,0xd86fffff,0x2005dbbd,0xbdffffc8,0xf714ffdc,
    0x440355df,0xc86f9bff,0x3ffa26ff,0x00bff901,0xffc97fe6,0x2e17fec2,
    0x555554c4,0xfa7fd40a,0x3ffe45ff,0xf907ffea,0x0fff44df,0x7ffb83e6,
    0x3f362264,0x13e205ff,0x2204ff88,0x00aaaaaa,0xfff301db,0xaaaa80d8,
    0xfff982aa,0x7d6c001f,0x8a7443ff,0x01aaeffb,0xf900ffea,0x2ffe88df,
    0x801dffc8,0x3ff25ff9,0x362ffd42,0xff500400,0xf9177269,0x83f970df,
    0x7f446ffc,0xff70e62f,0x3044488f,0x027f4c03,0x000002e6,0x97fec01b,
    0x88008048,0xacc000bb,0x24983fff,0xb8025ff8,0x7fe403ff,0xc87ffb86,
    0x1efedeff,0x3f25ff98,0x10fff82f,0x333b220b,0x644ffa80,0x8837fe42,
    0xb86ffc86,0xf70227ff,0x010030ff,0x17bfffe6,0x53bb2200,0x8001eeda,
    0x20375ff9,0x004ecfd8,0x3fe1d000,0x3e24923f,0x82efe9df,0x7e403ffb,
    0x1fff986f,0xffb2ffe4,0x325ff989,0x3ffc82ff,0x743fa075,0x127fd40f,
    0x20dff90d,0x86ffc83b,0x2e01fff9,0x3b2207ff,0x42ffe9ce,0x219dffb8,
    0xeeedccde,0xfd97fea0,0x0fbb661f,0x2059ffe8,0x30bf52fe,0x5c007ddb,
    0x2c4fffe3,0xeaefff88,0x1ffdc0ff,0x221bff20,0x7fe43fff,0x983ffe65,
    0x0bff25ff,0x406dbfe6,0x517f26fb,0x640e69ff,0x901b86ff,0xfff10dff,
    0x03ffdc07,0x3abbffe6,0x27fd40ff,0x89ffb074,0x3ff65ff9,0x7027fdc1,
    0x3ea07dff,0x2e0ffe27,0x8b1004ff,0x20b93fff,0xffb0eff8,0x703ffb83,
    0xdddffffd,0x3f22fffc,0x8bffe25f,0x3ff66ff8,0x0b3ffd02,0x46fb97fa,
    0x64014ffa,0xfd7006ff,0x7cdddfff,0x777645ff,0x40eeefff,0xff90eff8,
    0x56ffe4c3,0x0fffa8e2,0xff92ffcc,0x404ffa83,0xff900fff,0x7d42ffc4,
    0xf83b004f,0x105ffeff,0x17fe4bff,0xf900ffee,0x17ffe0df,0x7fc4bff9,
    0x64fffc1f,0x33322fff,0x3cceeffe,0x33333bfe,0x4027fd44,0x64006ffc,
    0xbfff06ff,0x203ffdc0,0x3ff25ff8,0x2b7ff261,0x82fff882,0x3ff25ff9,
    0x2027fd41,0x1ffe05fc,0x9ff50fff,0xddddd500,0x0bd37fff,0xffc97fe2,
    0x201ffdc2,0xff886ffc,0x52ffe43f,0xfff50fff,0x263dff95,0x99fffa99,
    0x00fff109,0xf9009ff5,0xffc800df,0x03fff886,0xf101ffee,0x217fe4bf,
    0x3f204ffa,0x4bff305f,0x7fd41ffc,0x8817c404,0x1ffe26ff,0x1a013fea,
    0x0589fffc,0x7fe4bff1,0x201ffdc2,0xff986ffc,0x4effe42f,0x8601efea,
    0x3ffc405c,0xa803ffd0,0xffc804ff,0x3ff22406,0x02fff986,0xf101ffee,
    0x217fe4bf,0xff304ff9,0x97fe603f,0x7fd41ffc,0x7ec05804,0x2a13fe27,
    0x816404ff,0x23123fff,0x3ff25ff8,0x201ffdc2,0xffc86ffc,0xdefffc86,
    0x5f5000bc,0xfffdddd0,0x7fdc9ddd,0x13fea1c4,0xa81bff20,0x6437fe43,
    0x7fdc06ff,0x92ffc407,0x5ff985ff,0x2049ffb0,0x3ff65ff8,0x4c27fd41,
    0x7fa80711,0x3ea0bfe2,0xf816604f,0x138823ff,0x17fe4bff,0xf900ffee,
    0x1fff88df,0x0005ffc8,0xff1017ee,0x77ffcc0f,0x27fd41ca,0xd037fe40,
    0x446ffc85,0x7dc01fff,0x2ffc407f,0xff885ff9,0x3ffea49e,0x27bfe160,
    0x7d42fffc,0x0cbfcc4f,0xfa8ffc40,0x409ff506,0x0fffe00e,0x26ff996c,
    0x7fe43ffd,0x13ffe404,0x3f203dfb,0x3e20006f,0xfff302df,0x77ffcc01,
    0x805ffb82,0xfd887ffc,0xb13ffe42,0xff9003df,0x26ff980f,0xfea83ffd,
    0x25fff10d,0xfffa87b8,0x2e0effca,0x67fc45ff,0xd7dd1003,0x17fee01b,
    0x3ffe02e4,0x6c4fec44,0xfff9afff,0x7dffd71e,0xdffff730,0x2e605bdd,
    0x001cffff,0x4417b930,0x03dfffeb,0xffe98044,0xfff7302f,0xffffdddf,
    0x3fffee63,0x9802deee,0x82dffffb,0xfaafffd8,0xf9001eff,0x0dffdbff,
    0x7ff4c00c,0x000e4c2f,0xfd3004c4,0x7fec45ff,0x3ff6e60c,0xffffeeff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaaaaa6,0x54c0c002,0x4ccc01aa,0x22980999,
    0x2aaaa619,0x555552aa,0x2aaa6155,0x55511aaa,0x00260055,0x2aaaaaa6,
    0x1aaa9801,0x4006aaa2,0xaaaaaaa9,0xbb80aaaa,0x00aaaa20,0x2aaaaaa6,
    0x101aaaaa,0x5554c595,0x54c02aaa,0x552aaaaa,0x55055555,0x45700155,
    0x002fffe9,0x7fec4254,0x7ffffc04,0x457fc45f,0x3ffa21ff,0x6fffdc2f,
    0x3fffee20,0x0067f442,0xff3003d8,0x1bdfb9df,0xc89ffb10,0x3a6005ff,
    0xfdcbafff,0x227fd43f,0xd1005ffb,0xf9975fff,0xfb3fb09f,0x17fff4c9,
    0x2fffe880,0x037fff22,0x2e00bf22,0x03ffe44f,0x7d413e20,0x5555404f,
    0x4ffc41aa,0x7fe41ff8,0x207fff07,0x4d83fffd,0x801be200,0x3fa25ffd,
    0x44ffa81f,0x64005ff9,0x43e986ff,0x7fcc3ff9,0x1ffee005,0x2ff31362,
    0x3ffe43fb,0x41fff200,0x0f207ffe,0xf913fe60,0x7f4c00df,0x009ff504,
    0x08822004,0xff07ffb8,0x3ffe207f,0x90016a0f,0x3f6005ff,0x0fffc45f,
    0xff313fea,0x6ffb800b,0x10550770,0x7dc00bff,0xfd89307f,0x037fe407,
    0x4c1bfee0,0x06883fff,0x644ffe88,0xff3006ff,0xffa8ddff,0x7f6ecc04,
    0x3ee0000d,0x07fff07f,0x58afffd4,0x37ffc400,0xc85ffd80,0x27fd46ff,
    0x70017fe6,0x2894cdff,0x097fe200,0x8a3ffdc0,0x3203ff43,0x7dc006ff,
    0x3fff606f,0x66c00e40,0x37fe44ff,0x9dffb880,0x3027fd41,0x4c2ffc9f,
    0xff703eed,0x00fffe0f,0x01b7fff9,0x1fffdb80,0xa85ffd80,0x3fea0fff,
    0xd72ffcc4,0xdff7019d,0xeed9815c,0x74effc43,0xfff702ef,0xfffe9858,
    0x0dff902e,0x206ffb80,0x1264fff9,0x13fe72e0,0x0098dff9,0x3ea09ff3,
    0x7ec1714f,0x7dc1ffa7,0x0fff704f,0xd100fffe,0xd0005fff,0x36017ffa,
    0xfff985ff,0xf313fea2,0x2e02f8bf,0x405d36ff,0x7fc44ffb,0x80ffeadf,
    0x41ae7ffb,0x9009ffe9,0xfb800dff,0x7ffe406f,0x359801d0,0x6ffc89ff,
    0x7fcc1bee,0x3a9ff504,0xfe97ea4f,0x04ffa80f,0xddddfff7,0x3007fffd,
    0xa800bfff,0x801fff73,0xff885ffd,0x313fea4f,0x20164bff,0x2ffefffb,
    0xf113fea0,0x40ffe4df,0x6fecfffb,0xf901ffa0,0xffb800df,0x67ffc406,
    0xf30e803b,0x26ffc89f,0x9ff306fb,0x7ed3fea0,0x1ffdb503,0x2e09ff50,
    0x99999fff,0xfb003fff,0x86c007ff,0x6c04fff8,0xfff885ff,0xf313fea4,
    0x2e00f2bf,0x02fb9fff,0xff113fea,0x5c0ffe4b,0x06eb9fff,0xff901ffa,
    0x6ffb800d,0x06fffc80,0x13fe62c8,0x0098dff9,0x3ea09ff3,0x3ba6024f,
    0xfa80ffe8,0x0fff704f,0x2600fffe,0x800fffed,0x03ffe449,0x3e617ff6,
    0x13fea3ff,0x1ff9bff3,0x326ffb80,0x113fea02,0x17fe4bff,0x0d13ffdc,
    0x3f203ff4,0x7fdc006f,0x3fff8806,0x65557540,0x3ff22dff,0x9ff32406,
    0x9813fea0,0x01ffd0ff,0x3ee09ff5,0x07fff07f,0xbfff3588,0xdddddb00,
    0x7ec07fff,0x1fffa85f,0xff313fea,0xb80bffbf,0x430a66ff,0x7fc44ffa,
    0x2e0bff25,0xfd0247ff,0x06ffc80f,0x01bfee24,0x2e01fff4,0xffffffff,
    0xa81bff27,0x5413fe63,0x9ff604ff,0xffa80ffe,0x20fff704,0x06c03fff,
    0x4407fff9,0x40dffb05,0xffc85ffd,0x2627fd45,0x05ffd5ff,0xc8237fdc,
    0xf113fea2,0x417fe4bf,0xd0047ffb,0x6ffc80ff,0xdff70ea0,0x00fffa00,
    0xffddddd5,0x037fe4bf,0x4f7fc45d,0xd027fd44,0x7ffdddff,0x704ffa81,
    0x3ffe0fff,0x3fa0b603,0x203b00ff,0xfb02fff9,0x0fff88bf,0x3e627fd4,
    0x01fff35f,0x7cc1ffee,0xf113fea1,0x417fe4bf,0x3a007ffb,0x37fe407f,
    0x6ffb85d0,0x007fff00,0xfc89ff30,0x42fd887f,0x7dc0dfea,0x33fea05f,
    0xfb84ffa8,0x0fff905f,0x3607fff1,0x1dfff506,0x3fe00f98,0x4dffb06f,
    0xfb80efe8,0x937fcc5f,0x3ff20bff,0x71fae60f,0x6ff98bff,0x3f20fff6,
    0x3ffa007f,0x21fff200,0x7fe42fd8,0x09fff007,0x269ff300,0xeeeffffb,
    0x2001ffff,0x002fffe9,0x5fffd300,0x6ffffdcc,0x7ffffb52,0x873ffae1,
    0x1effffd9,0xb987bff7,0x930dffff,0x9dddffff,0x3fffa605,0x27fffb12,
    0x730dfffb,0xfddfffff,0x7ff4cfff,0x7fffb12f,0x263dfff3,0x02dffffb,
    0x077ffee2,0xddffff73,0x263ffffd,0x82dffffb,0xbffffda8,0x13fe6002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x35555555,0x2aaaa603,0x2aaa21aa,0x2aaa60aa,
    0x4019aaaa,0x9aaaaaa8,0x53071001,0xa8015555,0x2a02aaaa,0x5540202c,
    0xaaaaaaaa,0x55555442,0x1aaaaaaa,0x55555557,0x26662555,0x00000999,
    0x404006b8,0x00804000,0x40080020,0x677ff4c0,0xe882fffd,0x7440afff,
    0xffe981df,0x04fffcae,0x3afbffa6,0xfc880cff,0x9fffd307,0x5ffffc40,
    0x5ffffb80,0x7fc45fc8,0xfffcaabd,0x6deffcc5,0x4fdcafff,0x7fd4a005,
    0x0202ffff,0x06b80372,0x8cfecc98,0x9100cddd,0x37ae7d9d,0x99d9100c,
    0x1f6f6c01,0x3ff22fe4,0x20bffe65,0x9f107ffb,0x645ffc80,0x3fee06ff,
    0xc89bff26,0x37207fff,0xfb700fff,0xfff101ff,0xfff89fff,0x3fa07e61,
    0x707cc0ff,0x054c8fff,0x555544a0,0x67ec40aa,0x405fd0ce,0xb1fc406b,
    0x407fcdff,0x3fdf52fd,0x43fa03fa,0x88fe80fe,0x0fffc2ff,0xffd8bff9,
    0x887ffb85,0x5ffc802e,0xb80fffcc,0x3ffe66ff,0x903ffc42,0x3a07fff5,
    0x23907ffa,0x7ec7ffd9,0x7fdc1546,0x7dc5983f,0x002a447f,0x2fe88005,
    0x01d53df5,0x9ff2035c,0x13f63ffc,0x3ffc4ff9,0x26fb89f9,0xb3fd45fc,
    0x646fd8bf,0x37fe45ff,0x3a63ffdc,0x0bff9001,0x3ee07fff,0x41fffc6f,
    0x367207ff,0xfaba86ff,0xff98107f,0xf8828187,0xb81106ff,0x005187ff,
    0x83eed98a,0x37fe27fc,0x2035c009,0x8bff25fa,0x237f46fc,0xd1bee6ff,
    0x3237dcbf,0x0602e25f,0xffd17ff2,0x5cfff707,0x3ff2000d,0x80fffc45,
    0x3fe66ffb,0x207ff81f,0x42fff99c,0x007ffa8d,0xd80013fe,0x2e001fff,
    0x400a07ff,0x7c27fdc2,0x217fe27f,0xefeeeeeb,0xdb305eee,0xbdddddff,
    0x3fe37fc4,0x7c5eeeef,0x44ccccef,0x320006ff,0x7ff915ff,0x7e5ffee0,
    0x2ffe4002,0xfb817fea,0x41bfee6f,0x747207ff,0x7d5225ff,0x5ff3007f,
    0x3ffea000,0x3ffdc004,0xf50a0050,0x47ff889f,0xccca87ff,0x4ccccfdc,
    0x7fdcf6c4,0x237fc404,0x3e200fff,0x3ffc407f,0xffff9000,0x7dc05fff,
    0x00fffeff,0x2abbff20,0x2e00dffc,0xcffdaeff,0x640fff00,0x323fff51,
    0x200fff51,0xd00105fb,0xb8001dff,0x400a07ff,0x2227fd42,0x1ffe26ff,
    0x3e2035c0,0x00dff51f,0x2fff8ffd,0x200fff40,0x80801ffd,0xff715ffc,
    0x7fff705d,0x6400dfff,0x5fffbeff,0xaafffb80,0x03ffc00a,0x5a7ffc39,
    0x6c01ffea,0x205fe80f,0x8002fffc,0x00a07ffb,0x213fea14,0x13fe27fd,
    0x3f2035c0,0x707ffe27,0x3fe27fc8,0x3fee1c5f,0x1bfea1c4,0x7e46fc83,
    0x43ffdc5f,0xfff77ffb,0x57ff200b,0x5c02fffc,0x7fc006ff,0xffb87207,
    0x1ffea2bf,0x3e607ea0,0xfff982ff,0xffb80105,0x21400a07,0x7fa84ffa,
    0x5c00bfe2,0x567ffc06,0xcacfffec,0xfa8ffcc0,0x40caefff,0x1caefff9,
    0x65f7ffc4,0xf90fffc2,0x2fff98bf,0xff93ffdc,0xbff9007f,0x7007fff4,
    0xff800dff,0xff887207,0x03ffd47f,0x7f410be2,0x0fffe83f,0x7ffb8090,
    0x2a1400a0,0x1ff884ff,0x35c00df5,0x437ffee0,0x301efffc,0xfd19d7dd,
    0x3fe605df,0xffd302ef,0xc8dfb07d,0x7ffc45ff,0x3a3ffdc4,0x7e401fff,
    0x17ffe25f,0x4006ffb8,0x907207ff,0x7ffa89ff,0x21221740,0x1fffdc1d,
    0x7fdc0688,0x21400a07,0xdd104ffa,0x4c001bd7,0x26018803,0x88131000,
    0x20011000,0x7e404008,0x0fffd45f,0xff11ffee,0x7fe403ff,0x81fffdc5,
    0x7c006ffb,0x983900ff,0x3ffd40ff,0xfddddf90,0x7fc46887,0x7017206f,
    0x80140fff,0x202ffdc2,0x00000098,0x00000000,0x40000000,0x3fe66ffc,
    0x87ffc83f,0xb01ffffb,0xfffb0dff,0x00fff903,0xd807ffc4,0xffb85e82,
    0xffffb80f,0x07221fff,0xd303fffb,0x7ffc809f,0x2aaaab20,0x3a63aaaa,
    0x00002fff,0x00000000,0x00000000,0x3fff2600,0x40ceffff,0x1dffffb9,
    0x7fffffb1,0x67fffe4c,0x4ffffe21,0x2dffffb8,0x3fffae20,0x9ff930be,
    0xff710d41,0x7fcc5bff,0x20ffffff,0xeffff982,0x4ffffeee,0xbffff730,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
    0x20400000,0x00100401,0x00013600,0xeeb82004,0x3eeeb8ce,0x01001bb3,
    0x6d53bb22,0x201001ee,0x1bddd500,0x40087766,0xddb30000,0x57776cc7,
    0x1e403dd8,0x101b8750,0x3b25ddd9,0xedd980ce,0x776440df,0xdd3ddb54,
    0x2b7f3f20,0x4ecfd884,0x0000bec8,0xb3000136,0x36eee44f,0xffe8fff6,
    0xeec88b22,0xa82ffe9c,0x87ff65ff,0xfe8ceec8,0x07ffd34f,0x23c89ffb,
    0x8bdb88eb,0x9dd912f8,0xffb83fee,0xd8fffcc4,0x7407f802,0x7cc07e22,
    0x4c0fe26f,0x2a17fe4f,0x27ff65ff,0xa97f42fd,0x52fe80ff,0xcffc88bf,
    0x004d8001,0x22dfeb88,0xf98f50fc,0x597ff65f,0xeaefff98,0x2ffcc0ff,
    0xff983ffb,0xccffd9df,0x7cc0ffe9,0xfd10746f,0x8bfff9df,0xfffbeff8,
    0x2e13fea0,0x1003adff,0x322fb801,0x25ff880f,0xe9ff602d,0x25ff987f,
    0x4c4cbffd,0x89ff11ff,0x0ffe27fa,0x00bbfae2,0x326004d8,0x4ff81cff,
    0x11ffd036,0x0731fffb,0x3f21dff1,0x92ffcc1f,0x6ff883ff,0xffc97fea,
    0x912ffd81,0x1fb85f70,0x3ba7ffc4,0xfe827fd4,0xe800005f,0x881df11f,
    0xa80995ff,0x303ffa5f,0x17fe4bff,0xffb0ffc8,0x3e27fc8d,0x7fe4c05f,
    0x4026c01c,0x200befea,0xf700effe,0x5ff9357f,0x4bff1017,0x7fcc1ffc,
    0xf107ff25,0x727fd4df,0xbff505ff,0x7413e032,0x007ffc44,0x3ea09ff5,
    0xdddd906f,0x89dddddd,0x1df90ffa,0x7fe6ffc4,0xffdb5000,0x325ff981,
    0x2ffd01ff,0x7fc7ff9c,0x8803ffc7,0xddd95ffb,0x9ddddffd,0x40077fea,
    0x881ffffb,0xbff35eff,0xc97fe20b,0x2ffcc2ff,0xff883ff9,0xfb93fea6,
    0xb3ffd02f,0x1ee03f30,0xfa80fff1,0x0bffa04f,0x3333332e,0x7d43cccc,
    0x441ff71f,0x05ffdfff,0x7ff4774c,0xf92ffcc0,0x2fffe03f,0x7fc4fff2,
    0x401ffe26,0x9973efda,0x9999dd99,0x02fbf667,0x07fffdc0,0xffd27fec,
    0xc97fe207,0x2ffcc2ff,0xff883ff9,0xfb93fea6,0x3fff702f,0x1ae05f10,
    0xfa80dff1,0xdffd104f,0x2fe80000,0xff883ff1,0x2607ffd5,0x81ffd0ff,
    0x3ff25ff9,0x7c7ffd01,0xf13fec6f,0x7fdc409f,0x804d801d,0x201dffc8,
    0x507fff30,0x07fdc3ff,0x3f25ff88,0xb2ffc42f,0x6ff883ff,0xffb93fea,
    0x40dff102,0xf887f05d,0x27fd406f,0x03ffd8d8,0x17d403c8,0xbff103f9,
    0x3603ffe6,0x103ffa7f,0x0ffecdff,0xff10ffc8,0x3e27fa89,0xbffd982f,
    0x00136000,0x5817dfd5,0x3e20ffe2,0xf102fc46,0x417fe4bf,0xfffc9eff,
    0xf537fc42,0x017fdc9f,0x67dc07f9,0xf883fb31,0x2ffdc06f,0x0fff99e4,
    0x8fa037c0,0xdff302f8,0x7f437fdc,0x0bffeeef,0x7fecfffc,0x25ff302f,
    0x7fc40ef9,0xfe98df51,0x09b0002d,0x93ff2600,0x6407f63f,0x3e602d83,
    0x20fff66f,0xffcafffa,0xa9ffe60e,0x0fff25ff,0xdf300f88,0x1ddfffff,
    0xd3037fcc,0x3f665fff,0x1efffb8d,0x43a80260,0xfffb102c,0x837fff27,
    0xffa8cffa,0xcafffa84,0x4ec40eff,0x100decfd,0xb81bd7dd,0x3bb2001c,
    0xeeeeffee,0xe9ae2004,0x0202fcee,0xfffb1004,0x03dfff55,0x3ff62006,
    0xafffe8bf,0x201efffa,0x5d452600,0x3f621b12,0x000003ff,0x00000000,
    0x0c000000,0x00188200,0x80000262,0xcccccccb,0x40003ccc,0x00000310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x190aa000,0x776e66f4,0x05402e0e,0xca880644,0x09101dc1,0x07261c98,
    0x2e20b2e2,0x081b880b,0x73103730,0xbbbbb985,0x403bbbbb,0xbbbbbbb9,
    0x88083bbb,0x1b980888,0x02a0a8a0,0x2eea89d3,0x6ec49dd3,0xdddddddd,
    0x3bbbba25,0x006eeeee,0x2dc7a800,0x24ffd83a,0x1fdc0ef8,0x6f441fe4,
    0x07ff51ff,0x6ff80bf6,0xdff31ffa,0x0ffee8bf,0xdfb0bfee,0x225cb641,
    0x3aa4f99f,0xeeeeeeee,0xdd506c6e,0xdddddddd,0xf70efb8f,0x7e49ffff,
    0x5220beff,0xe8bf96fc,0x50ff62ff,0x666644ff,0x24cccccc,0xbbbbbbb8,
    0x00003bbb,0x83f71fcc,0x103ffea3,0x30fee1df,0x2110c7ea,0x07ff50fc,
    0x7fc0fdf5,0x1bf1ffe6,0xfd8ccfe6,0xff317ec3,0x1fba7c5f,0x00bf33d1,
    0x000df300,0x72fff8f5,0x229fffff,0xdffeb88d,0x2ebf71fc,0x88ffec5f,
    0x005f504f,0x00000000,0x5fa9be60,0x40bffe20,0x643fbef8,0x3fd8d8df,
    0x3ff32f4c,0x207f3bd0,0x997f65fe,0x7e43641f,0x3f617ec0,0x3ea9f34f,
    0x897ef223,0x88888888,0x003ec088,0x43bf23d4,0x50888888,0x83bd9303,
    0x50dc40c1,0x0003a809,0x80000000,0x3ff32ff8,0x202ffe40,0xeda83ff8,
    0x641deddc,0x2e1fe4ff,0xf901f90f,0x3f11fdc7,0xd83e85c8,0xa7c5b02f,
    0xf17f11fb,0x7ffffdcb,0x937fffff,0x0f50005d,0x00000001,0x00000000,
    0x00000000,0xffa97fcc,0x03fff301,0x200effb8,0x2fcc03bc,0x224f88db,
    0x260fa84f,0xf986ec1f,0x7ec09e42,0xd96c8d02,0x877df7d4,0x99999998,
    0x00001999,0x00000031,0x00000000,0x00000000,0x5cdf3000,0x49ffb05f,
    0xef8bfb80,0x0dfb7440,0x0ee1e866,0x41fb81f9,0xff987868,0x667645fe,
    0x32217ec5,0x1a81b981,0x00000055,0x00000000,0x00000000,0x00000000,
    0x91fd4000,0x0fffa83f,0x7c47f716,0x7ecfee0e,0x10ab7ee2,0x5e817c41,
    0x2ea01818,0x27fffdc0,0x0143bfd5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x47b80000,0x4bffe25c,0x20fe27b8,0x288a23f8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77000000,
    0xbfff91d8,0x2008dffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_24_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_24_latin_ext_y[560]={ 19,4,4,4,4,4,4,4,4,4,4,6,15,12,
15,4,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,8,4,4,6,4,
4,4,4,4,4,9,9,12,4,2,4,6,4,4,4,9,4,10,18,4,4,9,4,4,4,8,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,4,4,4,
3,4,4,3,8,8,4,4,3,4,4,4,3,4,4,4,4,4,3,4,4,7,8,4,4,3,4,4,4,4,
1,5,0,4,4,8,-1,4,-1,3,0,4,-1,3,-1,4,4,4,1,5,-1,4,0,4,4,8,-1,3,-1,3,
0,4,0,4,4,3,-1,-1,4,4,0,4,1,5,-1,4,4,4,0,9,4,4,-1,3,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,8,-1,3,4,4,8,1,5,-1,4,-1,4,4,8,-1,4,4,8,-1,3,
-1,4,-1,3,4,8,-1,3,4,5,-1,4,4,5,0,4,1,5,-1,4,-1,3,-1,4,4,9,-1,3,-1,3,
0,-1,4,0,4,-1,3,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,1,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,1,-1,0,-1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_bold_24_latin_ext_w[560]={ 0,5,10,11,11,20,18,4,7,7,9,12,5,7,
5,7,11,9,10,10,10,11,11,11,11,11,5,5,12,12,12,9,20,16,14,15,15,14,13,17,17,8,11,18,
14,21,16,17,13,17,16,11,14,16,16,22,16,16,15,5,7,5,11,13,5,11,12,10,12,10,9,11,12,6,
7,13,6,18,12,11,12,12,10,8,8,12,11,16,11,11,10,7,3,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,5,9,11,11,11,
3,10,8,16,7,11,13,7,16,13,8,12,6,6,5,13,12,5,5,6,7,11,16,16,16,9,16,16,16,16,
16,16,22,15,14,14,14,14,8,8,8,8,15,16,17,17,17,17,17,10,17,16,16,16,16,16,13,11,11,11,
11,11,11,11,16,10,10,10,10,10,7,7,8,8,11,12,11,11,11,11,11,12,11,12,12,12,12,11,12,11,
16,11,16,11,16,11,15,10,15,10,15,10,15,10,15,16,15,12,14,10,14,10,14,10,14,10,14,10,17,11,
17,11,17,11,17,11,17,12,17,12,8,8,8,8,8,8,8,6,8,6,18,11,11,9,18,13,13,14,7,14,
6,14,10,14,9,14,6,16,12,16,12,16,12,17,16,11,17,11,17,11,17,11,21,16,16,10,16,10,16,10,
11,8,11,8,11,8,11,8,14,8,14,12,14,7,16,12,16,12,16,12,16,12,16,12,16,12,22,16,16,11,
16,15,10,15,10,15,10,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,11,11,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,13,11,11,11,11,11,11,11,11,11,11,11,11,11,19,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,11,8,8,17,
11,16,12,16,12,16,12,16,12,16,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,11,22,16,17,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_24_latin_ext_h[560]={ 0,16,8,16,17,16,16,8,20,20,9,12,8,4,
5,16,16,15,15,16,15,16,16,16,16,16,12,15,12,6,12,16,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,16,16,15,19,15,16,15,16,16,16,15,15,15,19,16,19,8,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,11,11,11,10,15,10,20,20,20,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,16,11,15,
20,20,4,16,7,10,6,4,16,2,8,12,8,9,4,15,20,4,6,8,7,10,16,16,16,16,20,20,20,19,
19,19,15,20,20,20,20,19,20,20,20,19,15,20,21,21,21,20,20,10,17,21,21,21,20,20,15,16,16,16,
17,16,16,17,12,16,16,16,17,16,15,15,16,15,16,15,16,16,17,16,16,10,12,16,16,17,16,20,20,20,
18,15,19,16,20,16,21,16,21,17,20,16,21,17,20,16,15,16,18,15,20,16,19,16,20,16,20,17,21,21,
20,20,20,20,20,21,20,20,15,15,19,15,18,14,20,15,20,20,19,10,16,20,21,21,20,20,10,20,20,20,
20,15,15,15,15,15,15,21,15,20,16,21,16,15,16,16,19,15,21,16,21,16,16,12,20,15,20,16,20,16,
21,16,21,17,20,16,21,17,21,20,20,16,15,15,20,16,19,15,21,16,21,17,21,16,20,15,21,17,20,21,
19,20,15,19,15,20,16,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,14,14,20,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,13,14,14,14,14,14,14,14,14,14,14,14,14,14,19,12,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,20,17,20,16,21,
17,21,17,21,18,21,19,21,20,21,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,23,21,20,16,21,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_bold_24_latin_ext_s[560]={ 255,48,69,116,120,100,190,52,128,227,35,
181,103,164,158,244,118,66,98,221,245,172,149,56,174,186,250,109,78,125,52,
198,193,91,1,103,108,145,180,85,56,219,119,16,204,76,68,1,52,73,35,
101,131,58,225,1,74,228,115,226,232,248,57,212,206,1,175,239,139,228,194,
184,167,160,228,131,124,143,117,40,140,166,186,91,16,130,162,100,204,200,13,
1,251,35,172,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,255,143,142,
242,174,67,85,120,185,30,117,1,144,164,208,226,80,65,89,45,200,140,214,
194,138,96,109,229,41,24,132,149,1,35,85,209,108,91,233,147,176,191,206,
1,9,43,52,232,24,236,18,54,102,175,102,24,176,166,200,234,191,69,40,
49,37,25,24,1,240,243,194,210,199,188,232,164,222,192,130,47,106,147,82,
70,194,45,33,216,28,1,231,206,209,215,235,98,21,35,176,128,158,104,18,
179,52,165,69,93,80,1,104,76,116,153,38,79,89,196,161,54,213,65,143,
141,84,130,136,86,110,135,236,68,32,163,230,1,152,131,66,158,161,224,182,
208,64,197,14,170,137,191,50,1,241,221,244,120,154,101,90,1,25,207,248,
201,194,15,75,96,88,165,113,94,16,212,1,152,19,13,61,211,52,183,18,
121,227,19,242,47,60,94,131,207,230,132,142,76,61,159,132,160,18,161,47,
179,157,57,113,152,174,130,147,54,37,103,88,218,125,72,154,193,168,131,245,
14,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,83,146,146,200,
146,146,146,146,146,146,146,146,146,146,146,146,146,75,167,146,146,146,146,146,
146,146,146,146,146,146,146,146,1,13,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,105,12,
122,222,34,36,1,219,217,53,183,34,149,187,120,241,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,1,72,164,216,36,233,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146, };
static unsigned short stb__times_bold_24_latin_ext_t[560]={ 1,172,319,172,152,207,172,319,111,111,319,
290,319,319,319,172,190,290,290,190,274,207,224,241,224,224,290,290,306,319,306,
224,69,274,290,241,274,274,274,241,274,274,241,290,274,290,241,241,290,132,290,
224,290,224,224,224,274,274,290,132,190,111,319,319,319,306,190,290,190,290,274,
207,274,274,47,274,274,306,306,306,172,172,306,306,274,306,306,306,306,258,319,
69,1,69,319,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,1,224,132,
224,306,258,69,69,319,241,319,319,319,319,224,319,319,306,319,319,319,241,69,
319,319,319,319,306,224,224,207,207,90,90,90,132,132,132,258,90,90,90,90,
132,69,69,69,132,258,47,1,1,1,69,90,319,152,1,1,1,111,111,258,
207,207,207,172,207,190,152,290,190,190,190,152,190,241,258,190,274,190,258,190,
190,152,190,190,306,306,190,172,152,172,111,111,111,152,274,132,172,69,172,23,
172,23,152,90,172,23,172,69,172,258,172,152,258,69,207,132,172,47,172,69,
152,1,23,111,111,111,90,90,23,111,90,241,258,132,241,152,290,111,258,111,
111,132,306,190,111,1,23,111,111,306,90,69,90,111,258,258,274,274,241,241,
23,241,111,224,23,224,241,224,190,132,258,47,190,47,207,207,290,90,241,90,
207,69,241,23,241,47,152,69,207,23,152,23,69,69,207,258,258,69,224,132,
258,23,190,23,152,23,224,47,258,47,152,47,23,132,47,241,132,258,47,207,
258,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,207,290,290,47,
290,290,290,290,290,290,290,290,290,290,290,290,290,152,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,152,306,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,47,172,
47,172,23,172,25,152,1,152,1,132,1,47,1,132,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,1,1,47,207,1,207,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290, };
static unsigned short stb__times_bold_24_latin_ext_a[560]={ 87,115,193,173,173,347,289,96,
115,115,173,198,87,115,87,96,173,173,173,173,173,173,173,173,
173,173,115,115,198,198,198,173,323,250,231,250,250,231,212,270,
270,135,173,270,231,327,250,270,212,270,250,193,231,250,250,347,
250,250,231,115,96,115,201,173,115,173,193,154,193,154,115,173,
193,96,115,193,96,289,193,173,193,193,154,135,115,193,173,250,
173,173,154,137,76,137,180,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,87,115,173,173,173,173,76,173,
115,259,104,173,198,115,259,173,139,190,104,104,115,200,187,87,
115,104,114,173,260,260,260,173,250,250,250,250,250,250,347,250,
231,231,231,231,135,135,135,135,250,250,270,270,270,270,270,198,
270,250,250,250,250,250,212,193,173,173,173,173,173,173,250,154,
154,154,154,154,96,96,96,96,173,193,173,173,173,173,173,190,
173,193,193,193,193,173,193,173,250,173,250,173,250,173,250,154,
250,154,250,154,250,154,250,254,250,193,231,154,231,154,231,154,
231,154,231,154,270,173,270,173,270,173,270,173,270,193,270,193,
135,96,135,96,135,96,135,96,135,96,285,191,173,115,270,193,
193,231,96,231,96,231,163,231,137,231,96,250,193,250,193,250,
193,253,267,193,270,173,270,173,270,173,347,250,250,154,250,154,
250,154,193,135,193,135,193,135,193,135,231,115,231,181,231,115,
250,193,250,193,250,193,250,193,250,193,250,193,347,250,250,173,
250,231,154,231,154,231,154,96,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,256,270,270,173,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,192,270,270,270,270,270,270,
270,270,270,270,270,270,270,276,208,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,250,173,135,96,270,173,250,193,250,193,250,
193,250,193,250,193,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,250,173,347,250,270,173,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_24_latin_ext(stb_fontchar font[STB_FONT_times_bold_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_24_latin_ext_s[i] + stb__times_bold_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_24_latin_ext_t[i] + stb__times_bold_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_24_latin_ext_x[i];
            font[i].y0 = stb__times_bold_24_latin_ext_y[i];
            font[i].x1 = stb__times_bold_24_latin_ext_x[i] + stb__times_bold_24_latin_ext_w[i];
            font[i].y1 = stb__times_bold_24_latin_ext_y[i] + stb__times_bold_24_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_24_latin_ext_s[i] + stb__times_bold_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_24_latin_ext_t[i] + stb__times_bold_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_24_latin_ext_x[i] + stb__times_bold_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_24_latin_ext_y[i] + stb__times_bold_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_24_latin_ext_LINE_SPACING
#endif

