// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_39_usascii_BITMAP_HEIGHT        176
#define STB_FONT_arial_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_39_usascii_FIRST_CHAR            32
#define STB_FONT_arial_39_usascii_NUM_CHARS             95

#define STB_FONT_arial_39_usascii_LINE_SPACING          25

static unsigned int stb__arial_39_usascii_pixels[]={
    0x00000153,0x00cd54cc,0x00355100,0x55100555,0xb00aa805,0x3ffea5ff,
    0x13003fff,0xfffff900,0xaa98001f,0x4cc40019,0x00666000,0x000d54c0,
    0x800006aa,0x0001aa98,0x2aa03550,0x0000df50,0x7ffffecc,0x002dffff,
    0x00f7ffcc,0xffc80dfb,0x81bea06f,0xfff52ffd,0xf3007fff,0xffff9007,
    0xfb5001ff,0x3bffffff,0x01fff300,0x200dff10,0xfffffec9,0x5fd802df,
    0x7f5c4000,0x2cefffff,0x82ff8800,0x0ffa2ff9,0xfffd5000,0xffffffff,
    0x26009fff,0xb00fffff,0x7ffdc0df,0x03ff106f,0xcc997fec,0x2a03ffec,
    0x202cefec,0x0cccdffc,0x3ffffa60,0xefffffff,0x01fff400,0x6401ffdc,
    0xffffffff,0x2e01ffff,0x3f20007f,0xffffffff,0x54004fff,0x0ffb80ff,
    0x20007fe6,0xacffffe8,0xff953119,0x73003dff,0x3f607ffd,0x2f7ffe06,
    0xa80bfb01,0x7ff901cc,0xfffffd50,0xff905dff,0x3ffee007,0xffdbceff,
    0x2e02ffff,0xffe805ff,0x3fffa600,0xfffcbcef,0xff103fff,0xffe88003,
    0xecbcdfff,0x001effff,0x1bf20ff9,0xf3001bf6,0x40017dff,0x002fffea,
    0x3f60dff1,0x80bff306,0x80001ffa,0x7fd43ffc,0xffffffff,0x01ffe42f,
    0x01ffffdc,0x05ffff73,0x9803ffe2,0x3fe606ff,0x3ae604ff,0x9fd03fff,
    0x7fffc400,0x7ffe400d,0x20bfb007,0x2ff985fe,0x09fff500,0x1fffb800,
    0x360ffd00,0x07ff506f,0x00005fe8,0x7fc47ff9,0xeabf9aef,0x3ff20fff,
    0x77ffc403,0xfffd3000,0x80fff601,0x3fa03ffc,0xfd1001ef,0x0df903ff,
    0x01fffec0,0x005fff30,0x0ffe09ff,0x7cc037f4,0x300002ff,0xfb001dff,
    0x20dfb01f,0x3ea02ffb,0x0998802f,0x7ec7ff90,0xff8fe65f,0x00fff24f,
    0x8001fffb,0xf505fff8,0x07ffc0df,0x001fffa8,0xfa86ffe8,0xfffa800f,
    0x6ffb8002,0x4c17fc40,0x3ff702ff,0x401ffe80,0xff7000a9,0x01ffb009,
    0x3fee0dfb,0x401ffa02,0xff902ffd,0xf317ff47,0xf937fdc7,0x7ffcc07f,
    0xfff70003,0x207ffe01,0xff105ffa,0x3e60009f,0x17fc42ff,0x002fff40,
    0x2625fff0,0x9affb999,0x9affb999,0x502ffcc1,0x3ae607ff,0xff11efff,
    0x400ffd8d,0x6fd80ffd,0x2605ff70,0xffb005ff,0x44fff205,0x11fcc7ff,
    0x1ffe459b,0x000dff90,0xf903fff8,0x05ffb09f,0x0003ffee,0xfd85ffe8,
    0x0fffcc04,0x64397000,0xffffffff,0xffffffff,0x80ffe87f,0xff705ff8,
    0x53ffffff,0x3ff98bff,0x6c07fec0,0x05ff706f,0x6c00bff2,0x7ff902ff,
    0x7f31ffe2,0x407ff900,0x40003fff,0xff306ffd,0x207ff88f,0x40004ffc,
    0x7dc0fffc,0x03ffdc07,0x7ffe4000,0xffffffff,0x87ffffff,0xffb81ffc,
    0xacfffb80,0xffdfffb8,0x6406fd83,0x06fd81ff,0x3f605ff7,0x0bff6007,
    0xffd1ffe4,0x6401fcc5,0xfff103ff,0xffc80005,0x43ffd00f,0x3f604ffb,
    0x7d40003f,0x0ffcc1ff,0x000dffd0,0xf5555300,0xf75555bf,0xf50555bf,
    0x30bfd05f,0x3f607fff,0x7fb81fff,0x6c0ffe40,0x03ff906f,0xfd801bfe,
    0x47ff902f,0x7f30dffc,0x207ff900,0x0000fff9,0xb807ffd4,0x07ffa4ff,
    0x0002fff8,0x7c17ffcc,0x13ffa03f,0x3e600000,0x01ff982f,0x3e627fcc,
    0x03ffe82f,0x203fffe2,0x3ee00ffa,0xb06fd82f,0xbff101ff,0x817fec00,
    0x3fea3ffc,0x803fabff,0xff503ffc,0xff30000f,0x5ffe203f,0x3e206ff8,
    0xf80001ff,0x05fd83ff,0x0000fffe,0x203fea00,0x7cc00ffb,0x543fdc5f,
    0xffd807ff,0x403ff306,0x6fd85ff9,0xf305ff88,0x7fec009f,0xa87ff902,
    0x0cffffff,0xb81ffe40,0xf00007ff,0x7fec05ff,0x2603ffa9,0x80000fff,
    0xffa83ffe,0x01fff880,0xeeeeeeb8,0xff905eee,0x2201bf60,0x42fec7ff,
    0xfc803ffc,0x03ff504f,0x7ec2ffe8,0x702ffd86,0x7ec009ff,0x07ff902f,
    0xfffffff5,0x0fff207d,0x0003ffd4,0x500fffc4,0x01ffb9ff,0x0007ffcc,
    0x441fffc0,0x5fff02ff,0xfffff900,0x360fffff,0x009fd05f,0x5fe83ffe,
    0xd800ffe8,0x0ff903ff,0x6cbbff60,0x17fff26f,0x2003ffc8,0xff902ffd,
    0x7ffed407,0x7e41efff,0x1fff303f,0x7ffa8000,0x5ffeff80,0x017ffc40,
    0x0bffe200,0xfff827f4,0xffffc803,0xf07fffff,0x07ff109f,0xff87ffa0,
    0x8037fc44,0xdfd01ffe,0xda7fe400,0x00fffe6f,0x6c005ffb,0x7ff902ff,
    0xfffdf500,0x1ffe43ff,0x002fff88,0x4037fdc0,0x802ffffc,0x40003fff,
    0xf901fff9,0x013ffa0d,0x26666662,0x75537ffa,0x955559ff,0x055559ff,
    0x3ff87ffa,0xf802ffd4,0x09ff107f,0x6d3ff620,0x00bffe6f,0x6c005ffd,
    0x7ff902ff,0x3ee7f300,0x0fff26ff,0x0003fff8,0x4c02ffe4,0xfb007fff,
    0xfa80009f,0x1ff300ff,0x000dff90,0xff97ff98,0xffffffff,0xffffffff,
    0xff87ffe0,0x4027fdc3,0xff506ff9,0xbffd3005,0xfeb9bf65,0x0fff603f,
    0x902ffd80,0x7f3007ff,0xfc97ffcc,0x1bff203f,0x09ffd000,0x4013ffa0,
    0x0000fffb,0xff017ffa,0x03fff307,0xcbffcc00,0xffffffff,0xffffffff,
    0x0fff887f,0x9ff513fe,0x109ffd00,0x3f600dff,0x6437ec1f,0x9ff903ff,
    0x817fec00,0xf9803ffc,0xfc9fff43,0x3ffe603f,0x7e416403,0xffb000ff,
    0x3ffe2003,0xfff50004,0xd05fd805,0x4c000bff,0xfd3317ff,0xff33333b,
    0x5033333b,0x45fe8fff,0x7d406ff8,0x7ff442ff,0x84ff8801,0x6ff886fd,
    0x400bff90,0xff902ffd,0x3e605447,0xfcaffe43,0x7ffec03f,0x25dff100,
    0x1003fff9,0xfc800bff,0xfe8001ff,0x07fb806f,0x0007fff7,0x3fe1ffe6,
    0x003ff883,0x6fd8dff7,0xd101fff8,0xffd81fff,0x05ff7004,0x3ff60dfb,
    0x007ffa80,0x7e40bff6,0x989ff93f,0xca7fdc3f,0x7fc403ff,0xffe980ef,
    0x006ffeef,0x2000bfee,0x1001fffe,0x1003fffd,0x3ff603ff,0x7fdc003f,
    0x417fcc7f,0xf9001ffa,0x41ffb89f,0x7cc2effc,0xfd51ffff,0x7fe400df,
    0xf906fd81,0x1fff103f,0x40bff600,0xdff53ffc,0x7ff43f98,0x5007ff93,
    0x2a07ffff,0x01fffffd,0x000fff30,0x013fffe6,0x007ffff5,0xff8827f4,
    0x5101beff,0xa8bffffd,0x07fb80ff,0xf107ff60,0xdfffb09f,0xfff9ffd9,
    0x00bfffdf,0xfd81ffd8,0x203ff706,0xfb001ffe,0x8fff205f,0x8fe61fff,
    0xff92fff9,0x3ffea007,0xfecacdff,0x101effff,0x07fffd9d,0x7fffcc00,
    0xffdcacef,0x64003fff,0x3ff6206f,0xfdcdffff,0x82efffff,0x0dfb07fc,
    0xfe83ffc0,0x7fff440f,0xfffd1fff,0xb0007fff,0x0dfb01ff,0x7dc0bfee,
    0x5ffb002f,0xfd8fff20,0x227f30ef,0x3ff26ffd,0x3ffa6003,0xffffffff,
    0x80cfffff,0x004fffff,0xffffd880,0xffffffff,0x0ffa8001,0x7ffffdc0,
    0xffffffff,0x7417fa03,0xbff3004f,0x2217fe60,0x220bdfdb,0xa81bdffd,
    0x03ff602a,0x7fdc1bf6,0x00bff302,0x7e40bff6,0x3fffe63f,0xfffccfab,
    0x00fff21f,0x3ffff6a0,0xff51dfff,0xfffe87ff,0x64c00004,0xdfffffff,
    0x3fe20002,0xffeb8802,0x0bdeffff,0x7c41ffc0,0x3ffb003f,0x001ffdc0,
    0x07ff9000,0x7ec07fec,0x405ff706,0xfd800ffd,0x87ff901f,0xffffffe8,
    0x7e42ffff,0x54c0003f,0xff91019a,0x00003307,0x03553100,0x00d54000,
    0x004d4cc0,0x51015510,0x9ff10015,0x007ffb00,0x0bff9000,0xfd80ffd8,
    0x405ff706,0xfd804ff9,0x07ff901f,0xffffff91,0x7ff901bf,0x88000000,
    0x0000000d,0x00000000,0x00000000,0x07fe4000,0x0f7ffc40,0x7ff4c000,
    0xb07fe806,0x0ffea0df,0xf801ff90,0x7ff900ff,0x01dfc980,0x0001ffe4,
    0x00000000,0x00000000,0x00000000,0x7c400000,0x3fa6003f,0xa8001cff,
    0x400dfffd,0xdfb06ff8,0x101bfe60,0xfd7707ff,0x76664cdf,0x3f9803ff,
    0xccdffc80,0x3333310c,0x33333333,0x03333333,0x00000000,0x00000000,
    0x00000000,0x80037dc0,0xbdffffea,0xdbaa99aa,0x202effff,0x04ffeca8,
    0x7ff40dfb,0x8ff702bd,0x23fffff9,0x3ffffffa,0xc803f980,0x70ffffff,
    0xffffffff,0xffffffff,0x0000bfff,0x00000000,0x00000000,0x7c000000,
    0x7dc0002f,0xffffffff,0x3fffffff,0xfffff980,0x5c0dfb00,0x3a06ffff,
    0x3fffee3f,0x7ffffd43,0x01c8803f,0xffffffc8,0xffffff70,0xffffffff,
    0x00bfffff,0x00000000,0x00000000,0x00000000,0x40001bee,0xfffedca8,
    0x0bdfffff,0x3dfff300,0x2a037ec0,0x3ea06fff,0x0000d4c6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0x4000000a,0x00099a98,
    0x50033510,0x0a660055,0x00001550,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xaa8000a9,0x26a60000,
    0x00000000,0x2a000000,0x3531001a,0x53300000,0xa8800013,0x000cc40a,
    0x00000000,0x2a600000,0x02000009,0xeffffb80,0x01ff5001,0xfffff700,
    0x6dc0001d,0x000befff,0x17bffb91,0x80ffe000,0xfffffeda,0xb30001ce,
    0xbfffffff,0x3fae2001,0xffb2ffff,0x77fed401,0x3b22003c,0x4002ceff,
    0x2deffdb9,0xffffd300,0x40ff700d,0xfff9006c,0xd003fffd,0xffb0007f,
    0x03ffffff,0xffffe980,0x5402ffff,0xffffffff,0x3fe6000e,0xfffff900,
    0x07ffffff,0x7ffff4c0,0x4fffffff,0xfffffe80,0x0ffdbfff,0xfffffe88,
    0x7dc00eff,0x5fffffff,0xfffff500,0x4401bfff,0x04fffffe,0x7443ffcc,
    0xdff8806f,0xb80dfd30,0x7dc000ff,0xffeb9cff,0xfff1000e,0xffffb7df,
    0x3fffee05,0x1fffecbd,0xb10df900,0x999bffff,0x009ffffb,0x99dffff5,
    0xbffffb95,0x45fffe40,0xfffffda8,0x6ffff440,0x00efffdb,0xd7bffff5,
    0x6401dfff,0xfdbcffff,0x3ff205ff,0x2201bbdf,0xff887fff,0x40ffc806,
    0x3fe02ffa,0x2fff8003,0x8017ffc4,0x6c41effe,0x7fc40fff,0x6ffc80ef,
    0xf909fd00,0x7e4405ff,0x3fea04ff,0x3f2202ef,0xeffb85ff,0x1ffff900,
    0x440effc8,0xff886ffe,0x7fecc0cf,0x05fff505,0x3607fff3,0xfd3003ff,
    0xdff10fff,0xf10dfb00,0x03fee07f,0x20fff300,0xf9804ffd,0xfff101ff,
    0x406ffd87,0x7c403ffc,0x02ffe82f,0x220dff90,0x9000efff,0xfff85fff,
    0x07fff401,0x7401fff1,0x2ffe41ff,0x3a0fff30,0x3fee04ff,0x003ffd06,
    0x0ffffff9,0xfd00dff1,0x2213fe0b,0xf98003ff,0x07ff907f,0xd80dff50,
    0x3ffe24ff,0x03ffc401,0x3fe21fea,0x0fffc006,0x00077fec,0xff997ffa,
    0x0fffa805,0xf7017ff2,0x01ffe89f,0x3e617ff4,0x7ffc406f,0x200fff80,
    0xffdfffe9,0x3ffe6627,0x0bfd0199,0x1fee13fe,0x82fff800,0xfb800fff,
    0x2ffd405f,0x3600dff3,0x17f601ff,0x9001bfea,0xfff887ff,0xfffa8003,
    0x2007ff51,0x3ffa0fff,0x07ffc402,0xff900db7,0x801ffd87,0xf3310999,
    0x441333ff,0xff8bffff,0x3ffffea7,0x0dfb07ff,0xff887ff1,0x3ff60003,
    0x017ff20f,0xb007ffcc,0x2ffd47ff,0x203ffc80,0xfff883ff,0x20662001,
    0x20007ffb,0x0bff20ab,0xf887ffc0,0x3ffd007f,0x07ff6000,0x64000fff,
    0xffffffff,0xf87bfe64,0x3fffea7f,0xff907fff,0xfc85ff30,0x7fc40007,
    0x1effd8ef,0x40fffe00,0x3ee1fff8,0x9ff9004f,0x7407fe60,0x80000dff,
    0x00005ffe,0xe800ffec,0x0fff30ff,0x000fff60,0xff11ffe6,0x3f20060b,
    0x4fffffff,0x9ffe0ba6,0x99fff998,0xd85ff501,0x0ffe20ff,0x3ffea000,
    0x4000dfff,0x710bfffb,0xffa8bffd,0x0bffb005,0xffc81fee,0x0000acff,
    0x00009fff,0xd002ffd8,0x1bfea1ff,0x0027fe40,0x987fff51,0x3ff6e3ff,
    0xf33103ef,0x001333ff,0x3fe21ffe,0x7bffd006,0x6fc87ffd,0x3ffa0000,
    0x260004ff,0xfffefffe,0x07ff983f,0x360bffd0,0x7ffe404f,0x001bdfff,
    0x0000fffe,0x2007ff90,0xbff50fff,0x013ff200,0x5ffffd91,0xfd17ff50,
    0x1bffffff,0x0007ffc0,0x7fc43ffc,0xfffd1006,0x2ff889ff,0xffd98000,
    0x40002fff,0xfffffffa,0x00fffe04,0xf10dfff5,0xfff5005f,0x5bffffff,
    0x00fffc40,0x13fee000,0x5c3ffe20,0xff7005ff,0xffff980b,0xd7ff704f,
    0xffd99bff,0x07ffc0df,0x443ffc00,0x654006ff,0x06fc81cd,0xff700131,
    0x01ffffff,0xffffd100,0x03dffffd,0x2605fff7,0xfa86ffff,0xfd71000f,
    0xdfffffff,0x03fff301,0xfff98000,0x87ffdc00,0xf5004ffb,0xfefa80bf,
    0x7e42ffff,0xfa80efff,0x1fff03ff,0x10fff000,0x80000dff,0x7f4c2ff8,
    0xff701eff,0xdfff31bf,0xf980aca8,0x7ec41eff,0xfffe81ff,0xdffca9ad,
    0x06fc85ff,0xffd95100,0xff05ffff,0xb000005f,0x7fc407ff,0x09ff70ff,
    0x1017fee0,0x23fffd98,0x200efffc,0xff80fffa,0x7ff8000f,0x0006ff88,
    0x3ea37e40,0x42ffffff,0x7dc4fffa,0x13ffa4ff,0xf9017ff6,0xfffd30df,
    0xf37fffff,0x007fd0bf,0x3ffae200,0x1fff42ff,0x7fcc0000,0xfffe983f,
    0x00bff50f,0x40013fee,0xff90fffc,0x5ffd005f,0x0001fff0,0xdff10fff,
    0x7fcc0000,0xea977f42,0x82fff46f,0xff8bfffd,0x07ffcc0f,0xc807ff40,
    0x52efffff,0x1ff889ff,0xffb80000,0x027fe45f,0xfffc8000,0xfeffecde,
    0x0bff30ff,0x0013ff20,0xff73ffe8,0x9ff9001f,0x0001fff0,0xdff10fff,
    0x37ec0000,0xff30bfea,0x807ffe67,0x5ffdfffe,0x7006ffa8,0x5cc407ff,
    0x227fdc0a,0x04c407fb,0x23ffd400,0x20006ffb,0xfff501bb,0xff1bffff,
    0x8037fc4f,0x20003ffc,0xdff54ffc,0x217fea00,0xf8000fff,0x06ff887f,
    0x85ff3000,0x29ff07fc,0x7c407ffa,0xb82fffff,0xff5004ff,0x7fe4000b,
    0xf302fec2,0x3fe000ff,0x01ffe62f,0x304ffe80,0x7c59ddb7,0x01ffe27f,
    0x00017fec,0x3fe6bff7,0x09ff5007,0xf0001fff,0x0dff10ff,0x21bf6000,
    0x2bfd07fd,0xf9807ffa,0xff706fff,0x17fea00b,0x40fff800,0x7ffc02ff,
    0x1ffe8001,0x40017ffc,0x0001fff9,0xfff8dff1,0x30fff801,0x3f200bdb,
    0x01fff14f,0xff07ff70,0xfff0001f,0x000dff10,0xfb05ff30,0x7cdbfa0d,
    0xffc802ff,0x0fff306f,0xfd93fee0,0x37fd400f,0xf9003fe6,0xff88009f,
    0x00fffc87,0x5137ff40,0xbff30013,0x5403ffc8,0x1ffe66ff,0xfb1ffec0,
    0x3ffb005f,0x0001fff0,0xfff10fff,0x0dfb0000,0x2ff41ff2,0xf980bfff,
    0xf885ffff,0x7fc402ff,0x013ff62f,0x6fc85ffb,0x04fffa80,0x2217ff20,
    0xb000efff,0x7fc45fff,0x43ffe807,0x7ec06ff8,0x01fffc3f,0xf987ffea,
    0x3fe600ef,0x001fff07,0x3fe0fff0,0x3e60000f,0x01ff701f,0x7ffdc9ff,
    0xfffff503,0xfff70bff,0x1bff6205,0x3601fff7,0x04fe86ff,0x1efffe88,
    0x0bfffa20,0x05f7ffdc,0x84fffd98,0x3ee03ffe,0x4ffd80ff,0xb81fff70,
    0xfd301fff,0x0dffd09f,0x7c13ffa2,0xff8000ff,0xb9dfff07,0x40bfd000,
    0x7fdc3ff9,0x5effff41,0x9efffeca,0xfe85fffe,0xeb99acff,0xffe80fff,
    0xffeb99cf,0x017fc41f,0xfffffd88,0xffffecce,0x7ffdc02f,0xfdcbceff,
    0xff705fff,0xfd9539df,0x3fe603ff,0xffda9adf,0xdfffb02f,0xdfff9337,
    0x2fbffe60,0x04fffb99,0x20003ffe,0xfff907ff,0x7d4003ff,0x6ffec01f,
    0xd885ffda,0xffffffff,0x3fff624f,0x7fffec41,0x01efffff,0xfffffff1,
    0xff503fff,0xffff9000,0xffffffff,0x3ffea003,0xffffffff,0x3ff200cf,
    0xffffffff,0x7fffcc01,0x203fffff,0xffffffe8,0x2600dfff,0xfffffffe,
    0x07ffc05f,0x903ffc00,0x4005fffd,0xfe8805fe,0x200effff,0xdfffffeb,
    0x5405fb02,0x4ffffffe,0xffffc880,0xbfb00cff,0x3ff6a000,0x0cdfffff,
    0x7ff5c400,0x00cfffff,0xfffffb30,0x3620037b,0x01efffff,0xffffff50,
    0x3f22005f,0x803dffff,0xf8000fff,0x0018807f,0x7000ffd4,0x44007bdb,
    0x005000a9,0x00026a62,0x5400d54c,0x9980001a,0x200000aa,0x0009aa98,
    0x0000ccc0,0x80004d4c,0x00009a98,0x000006a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x000002ff,0x7c400000,0xcccca86f,0x3ccccccc,0x88155100,
    0xffc80009,0xaa883315,0x2a620000,0x3ffcc009,0xb2ffe800,0x1ffee3ff,
    0x05fffc80,0x7e4bffa0,0x7dc0006f,0x27ffd46f,0x07ffe400,0x0002ffd8,
    0xdffdb710,0x22000039,0xfffd86ff,0xffffffff,0x3ffae206,0x0dfd1eff,
    0x36bff900,0xfffe88ff,0xd5001cef,0x19ffffff,0x000fff30,0x7fecbffa,
    0x001fff11,0x401ffffa,0xff30fff8,0x7f40003f,0x1fffc82f,0x07ffea00,
    0x0002ffd8,0xffffffb8,0x0000cfff,0x7fc37fc4,0xffffffff,0x3ff606ff,
    0xe9ffffff,0xffc8006f,0xffd3ffb5,0x01ffffff,0x7fffff44,0x4c2fffff,
    0xfd0007ff,0xe87ff65f,0xff8802ff,0xfa801fff,0x027ff46f,0x207ff980,
    0x8800effe,0x7ec03fff,0x7dc0002f,0xfecbceff,0x440006ff,0x77fc46ff,
    0x99999999,0x5dff9009,0x3ffff661,0x5ffc8006,0x43dffffb,0x3606ffd9,
    0xb99bffff,0x3e60ffff,0xffd0007f,0xfc87ff65,0xdffa804f,0xffc803ff,
    0x003ffdc4,0x2604ffc8,0xfe805fff,0x2ffd805f,0x3ffe6000,0x09fff503,
    0x237fc400,0x20004ffa,0xf900effb,0xf9000dff,0x37fff6bf,0x709ffb00,
    0x3a205fff,0x1ffe66ff,0xd97ff400,0x1bfea1ff,0x3fe7ff60,0x42ffe805,
    0x8002fff8,0x7dc01fff,0x3ff202ff,0x2ffd800f,0x17ff6000,0x001fff50,
    0xf71bfe20,0x7fc0005f,0x37ffc02f,0xdaffe400,0x3e201fff,0x27ff41ff,
    0x4c7ffe20,0xfd0007ff,0x887ff65f,0x7fc00fff,0x4401ffd6,0xbffb07ff,
    0x06ffa800,0x501fffb0,0x36003fff,0x06aa22ff,0x2003ffe0,0x54401ffe,
    0xb1bfe20a,0x220003ff,0xffb806ff,0x5ffc8006,0xf900bffb,0x07ffc45f,
    0xf99ffec0,0xffd0007f,0xfd07ff65,0xa7fcc03f,0x3ea02ffc,0x1fff505f,
    0x01ffec00,0x445fff88,0x36004fff,0xfffe8aff,0xff980dff,0x07ffb007,
    0xdffffd71,0xfe8dff13,0x3fea0007,0x06ff8804,0xfb5ffc80,0x9ff5005f,
    0xb8037fcc,0x0fff34ff,0x6cbffa00,0x1ffe41ff,0x3ea3ff70,0x0fff204f,
    0x1002fff8,0x54001fff,0x3ffa3fff,0x67fec005,0xfffffffe,0x0154c41f,
    0xfe82ffd8,0xbfffffff,0x5bfe26ff,0x400abb98,0xff003ffb,0xbff9000d,
    0x26007ff6,0x200105ff,0xfff32ffd,0x4bffa000,0x7fd41ffd,0xff1ffa05,
    0x00fff40d,0x2e00bff9,0xfd8005ff,0x0fffb8ff,0x7fffec00,0xffea88ae,
    0x7fc0000f,0x57ffe41f,0xffffda88,0x3ef3fe66,0x00efffff,0x3e005ffb,
    0xffc8006f,0x1001ffb5,0x44000fff,0xfff30fff,0x4bffa000,0x7fc41ffd,
    0xd8bff107,0x7ff880ff,0x007ffc40,0x4000fff4,0xfffeffe8,0xfffd8002,
    0x4ffd880e,0x1ffee000,0x3201dff7,0x3fee6fff,0xffffffff,0x3ffc83ff,
    0x000dfd00,0x3ff6bff9,0x06ff9800,0x4bffd100,0xd0007ff9,0x07ff65ff,
    0x3ea07ffa,0x41ffdc3f,0xfd805ffa,0x37fcc03f,0xffff3000,0x3f60009f,
    0x3fe200ff,0xff88000f,0x017ffc3f,0xffc9bffe,0xfba9acff,0x7fdc1fff,
    0x00dff004,0x3f6bff90,0x4ff9801f,0xfffe8800,0x001ffe60,0xffd97ff4,
    0xc83ffb81,0x2ffcc0ff,0x54017fe4,0x7fe406ff,0x7fe40003,0x3f60006f,
    0x3ffd804f,0x2fff4400,0x2e01bfe2,0x3bffa6ff,0x8dffd100,0xf8805ffa,
    0xffc8006f,0x5005ffb5,0xe88007ff,0x7fcc1fff,0x5ffd0007,0x3e607ff6,
    0xf06fe85f,0x0ffe81ff,0x401fff00,0x40000fff,0x000ffffc,0x7005ffb0,
    0x744009ff,0x7fd40fff,0x26ff9804,0x7cc00ba9,0x3ffe63ff,0x037fd400,
    0xfdaffe40,0x1ffd804f,0x3fffa200,0x007ff981,0x3f65ffd0,0x98dff01f,
    0x3ffb04ff,0x90037fc4,0x3fea07ff,0x7fcc0005,0xb0006fff,0xff5003ff,
    0x3ffa200d,0x03ffb81f,0x0006ff88,0xffb13ff2,0x06ffe807,0xfb5ffc80,
    0x7fcc01ff,0x3ff2000f,0x0fff301f,0x6cbffe00,0x1ffb01ff,0xfa817fdc,
    0x013fe63f,0xfb06ff98,0x7c40005f,0x03fffdff,0x800ffd80,0xe9807ff9,
    0xffb01fff,0x01bfe005,0x4c6ffb80,0xff902fff,0xff9000df,0x037fff6b,
    0x800bffa2,0x2201fff9,0xf8000fff,0x03ffb2ff,0xffd8bfee,0x5cbff100,
    0x7f4002ff,0x03ffc41f,0x6dbff600,0x6c001fff,0xff9800ff,0x7fffcc06,
    0x00bff601,0x300037fc,0xfff90fff,0xfffb5359,0xff9000df,0x3bffff6b,
    0x4fffb99b,0x027fe400,0x0003ffe2,0x3f63fff1,0x49ff301f,0x3ff405ff,
    0xf7000ffb,0x04ffb89f,0x47ffee00,0x000efff8,0x2a007ff6,0x3fea05ff,
    0x7fdc00ef,0x00dff003,0xb837fd40,0xffffffff,0x0a666ffb,0x3f6bff90,
    0xffffffcf,0xfd8005ff,0x1fff801f,0x8fffcc00,0x3fe01ffd,0xc807ff56,
    0x00bff0ff,0xfe8fff10,0xff30000f,0x4fffa87f,0x00bff600,0x7d413fee,
    0xf9800dff,0x6ff8804f,0x2e009b93,0x3fa605ff,0xff89efff,0xd803ffe6,
    0x15ffb4ff,0x05bffffb,0x003ffa00,0x5000fffa,0x0ffecfff,0x3ff2ffb0,
    0x4d7fd401,0xfb0003ff,0x017fe65f,0x82fff440,0xb002fffc,0xffb009ff,
    0x09fff707,0x403ffc40,0xfff36ffa,0x00fff600,0xff882a62,0xe807ffa6,
    0x85ffb4ff,0xed800019,0x0dff9006,0x365ffe80,0x3fea01ff,0xff007fe9,
    0x0003ff79,0x7fdd3fea,0xfffb0002,0x07fff401,0x007ffec0,0xfb81fff3,
    0xfe8004ff,0x37ff403f,0xfa807fff,0x220000ff,0x13ff66ff,0xfd97ffc4,
    0x0000002f,0x0bfff500,0xd8fffea0,0x3fe201ff,0xfb005ffb,0x8000ffbd,
    0x00ffd7ff,0x00bffee0,0xb00bfff3,0xd101dfff,0xfff887ff,0xfff30004,
    0x9bfff203,0xd301fffc,0x880007ff,0x3ffea6ff,0xb0fffd82,0x000005ff,
    0x7ffec000,0xfff9101c,0x401ffd8d,0x002ffffe,0x00bffff7,0xffbffc80,
    0xfff98004,0x7fff7004,0xeffffd80,0x6fffb99b,0x0005ffd8,0x4ce7ffdc,
    0x46ffffea,0x99befffe,0x0005fffc,0x7f46ff88,0xfffdcfff,0x00bff62f,
    0x05554000,0xfffff980,0xfffedcdf,0x0ffec1ff,0x03ffff20,0x17fffcc0,
    0x3ffe2000,0x744001ff,0x7ec006ff,0x3ff601ff,0xffffffe9,0x7ffd40df,
    0xffffffff,0xfc84ffff,0x9fffffff,0x7ff446ff,0x4fffffff,0xdff10000,
    0xffffff98,0x7fec3fff,0xf8800002,0x3a2002ff,0xffffffff,0xfd81efff,
    0x7ffd401f,0x7fffc006,0xffd80000,0xffd8006f,0x7fc4001f,0x1ffb00ef,
    0x7dffffb1,0x3fffff60,0xffffffff,0xffb504ff,0x1bfe3dff,0x7fffffdc,
    0x2200002e,0xffd886ff,0xfd83dfff,0x8800002f,0xb8002fff,0xfffffffd,
    0x3ffb00be,0x04fff880,0x0037fec0,0x03fffa80,0x01fffd40,0x04fffa80,
    0x7400a980,0xffffffff,0x4fffffff,0x00009980,0x00003531,0x301bfe20,
    0x2ffd8035,0xff880000,0x2620002f,0x00009aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0x005ffb2f,0x000bff20,0x7fffffcc,
    0xbeeeffff,0xfffff100,0xffffffff,0x29ffffff,0x8002fffa,0xfff52ffe,
    0x3e2000bf,0xdff73fff,0x37fdc000,0x3fffe600,0x3ffffe61,0xefffffff,
    0xffd002ce,0xffffffff,0x4fffffff,0x8000fff9,0x9ffb2ffe,0x99897ffe,
    0xffb2ffc8,0x3ff20005,0xfff30002,0xffffffff,0x881bffff,0xffffffff,
    0xffffffff,0xfff54fff,0xffe8001f,0x1fffff52,0xffff7000,0x001bfee7,
    0x2006ffb8,0x4c1ffff9,0xffffffff,0xffffffff,0x7fff400d,0xffffffff,
    0x267fffff,0xe8000fff,0x29ffb2ff,0x3ffa5fff,0xffb2ffcc,0x3ff20005,
    0xfff30002,0xffffffff,0x88dfffff,0xffffffff,0xffffffff,0xfff54fff,
    0xffe800bf,0x5fffff52,0xffffd000,0x001bfee7,0x3006ffb8,0xf303ffff,
    0xddddddff,0xfffffddd,0x7fff401d,0xffffffff,0x267fffff,0xe8000fff,
    0x29ffb2ff,0x3ffa5fff,0xffb1ccac,0x3ff20005,0xfff30002,0x3fffa600,
    0x17ffc005,0xfffffa80,0x4bffa002,0x05fffffa,0x7ffffcc0,0x000dff73,
    0x4c037fdc,0xf301ffff,0x7e4400ff,0x400006ff,0x3e64fffa,0xfe8000ff,
    0x3e9ffb2f,0x13ffa5ff,0x80017fec,0x30002ffc,0xfd800fff,0x3fe000ff,
    0xfff5002f,0x3a001fff,0xfbff52ff,0x7dc001ff,0xff73ffef,0x7fdc000d,
    0x7fffcc06,0x01ffe601,0x003ffee0,0x2fffcc00,0x0003ffe6,0x7fecbffa,
    0x554bfff4,0x05ffb01a,0x00bff200,0x003ffcc0,0x800bffe2,0xf5002fff,
    0x00bfffdf,0x7fd4bffa,0x2002ffcd,0x73ffddfe,0x5c000dff,0x3fe606ff,
    0x7fcc00ef,0x5fff0007,0xfff10000,0x0fff981d,0xb2ffe800,0x17ffe9ff,
    0xffb09988,0x200aa985,0x26202ffc,0x1ffe6099,0x013ffa00,0x5002fff8,
    0x5fff5dff,0x2a5ffd00,0x05ff9dff,0xffb5ff30,0x001bfee7,0xf306ffb8,
    0xf3001dff,0x3f6000ff,0x7440004f,0xff981fff,0xffe8000f,0x3fe9ffb2,
    0x4bff205f,0xfff92ffd,0xff907dff,0x3bffa205,0x001ffe60,0xf8017ff6,
    0xff5002ff,0x003fff6d,0x3fea5ffd,0x9001fff5,0x27ffb1ff,0x20006ffb,
    0xff986ffb,0xff3000ef,0x3ffa000f,0x7fec0004,0x1fff302f,0x25ffd000,
    0x9ffd4ffd,0xfd97fe40,0xfffffebf,0x7fe43fff,0x0effe882,0x4003ffcc,
    0x3e003ffe,0xff5002ff,0x017ffe2d,0x3fea5ffd,0xd005ff95,0x5cfff6bf,
    0x2e0006ff,0x7ffcc6ff,0x3fe6000e,0xfff88007,0x3fee0002,0x3ffe604f,
    0x2ffe8000,0x3ffa9ffb,0x6cbff204,0x9aceffff,0x322ffffc,0x7ff442ff,
    0x07ff980e,0x017ffc40,0x2005fff0,0x3fea6ffa,0x4bffa02f,0xbff35ffa,
    0xfb2ff980,0x01bfee7f,0x266ffb80,0x4000efff,0x44007ff9,0x0000fffd,
    0x980bfff5,0xe8000fff,0x29ffb2ff,0x3f203ffd,0x1dfffb2f,0xfc97ffa0,
    0x3bffa22f,0x00fff300,0x007fff44,0x2005fff0,0x7fec6ffa,0x25ffd00f,
    0x3ffe5ffa,0xfd9ff200,0x00dff73f,0xf9b7fdc0,0x98003fff,0xb98807ff,
    0x0003ffff,0x801dfff1,0xeeeefff9,0xeeeeeeee,0xffb2fffe,0xc80fff29,
    0x1fffb2ff,0xf937fd40,0x3bffa25f,0x27ffe600,0xa9999999,0x003ffffc,
    0xa8017ffc,0x7ffc46ff,0x2a5ffd05,0x0bff25ff,0x3ff65ff8,0x000dff73,
    0x7fcf7fdc,0x4001ffff,0xfffffff9,0xffffffff,0xd10004ff,0xf3003fff,
    0xffffffff,0xffffffff,0x53ff65ff,0x3f202ffc,0x80bffb2f,0x3ff27ff8,
    0x300bffb2,0xffffffff,0xffffffff,0x5fff000b,0x21bfea00,0xfe82fffa,
    0x4cbff52f,0x5ff305ff,0xffb9ffec,0x3fee0006,0xffedffff,0x3fe6000e,
    0xffffffff,0x02efffff,0x0bfff600,0x7ffffcc0,0xffffffff,0xb2ffffff,
    0x0bfee9ff,0xffb2ffc8,0x64fff009,0x06ffdaff,0xffffff30,0xffffffff,
    0x3fe0005d,0xdff5002f,0xd03fff60,0x17fea5ff,0xff901ffd,0xff73ffd8,
    0x7fdc000d,0xfff35fff,0x7ffcc00b,0xffffffff,0x40000bff,0x2003fffb,
    0x9999fff9,0x99999999,0xffb2fff9,0xc807fee9,0x07ffb2ff,0x7fe4fff0,
    0x801fffff,0xeeeefff9,0x02bcdeee,0x017ffc00,0xf106ffa8,0x2ffe8bff,
    0xffc8bff5,0x7ec4ff82,0x00dff73f,0x2ffffdc0,0x400fffee,0x3aa07ff9,
    0x20001eff,0x4005fffa,0x8000fff9,0x9ffb2ffe,0xfc807fea,0x005ffb2f,
    0x7ffe4fff,0x9806ffff,0x000007ff,0x400bffe0,0x3ee06ffa,0x4bffa2ff,
    0x7fcc5ffa,0x360ffcc5,0x0dff73ff,0x2fffdc00,0x801fffe8,0x74407ff9,
    0x88001fff,0x4000efff,0x8000fff9,0x9ffb2ffe,0xaaa83fea,0xffb2ffc9,
    0x64fff005,0xffe8dfff,0x03ffcc04,0xfff00000,0x1bfea005,0x3a1fffb0,
    0x0bff52ff,0x87fc8ffd,0xdff73ffd,0x37fdc000,0x00dfff10,0xd100fff3,
    0xe8001dff,0x98000fff,0xe8000fff,0x29ffb2ff,0x3ffa0ff9,0xffb2ffcc,
    0x64fff005,0x3ffea5ff,0x01ffe601,0xfff80000,0x0dff5002,0xfd5fff88,
    0x217fea5f,0x13fe2ffc,0x7fdcfff6,0x3fee0006,0x27ffd406,0x401ffe60,
    0x2006fff9,0x0002fffd,0x0001fff3,0x3ff65ffd,0xffe8ff14,0xffb2ffcc,
    0x64fff005,0x77fe42ff,0x00fff300,0x7ffc0000,0x0dff5002,0xfd5fff70,
    0x217fea5f,0x3ff55ff9,0x3ee7ffb0,0x3ee0006f,0xfffd806f,0x01ffe602,
    0x804fffc8,0x0003fffb,0x0003ffe6,0x7fecbffa,0xffe8bd14,0xffb2ffcc,
    0x64fff005,0x7ffc42ff,0x00fff304,0x7ffc0000,0x0dff5002,0x3fbfff60,
    0x20bff52f,0x06fd8ffe,0x3fee7ffb,0x3fee0006,0xffff8806,0x00fff300,
    0x201fffe8,0x0005fff9,0x0007ffcc,0xffd97ff4,0xfcbf9804,0x005ffb2f,
    0x17fe4fff,0x4c0fffd4,0x000007ff,0x400bffe0,0xf1006ffa,0x2a5fffff,
    0x5ff905ff,0x3ff609ff,0x000dff73,0xa8037fdc,0xff306fff,0xfff9800f,
    0x0dfff106,0x1fff3000,0x25ffd000,0xfb804ffd,0xffb2ffc9,0x64fff005,
    0xdffb02ff,0x007ff981,0x3ffe0000,0x0dff5002,0x7ffffdc0,0x260bff52,
    0xb01fffff,0x1bfee7ff,0x06ffb800,0x213fff20,0xc8007ff9,0xffe83fff,
    0xf980000e,0xfe8000ff,0x2a9ffb2f,0xfcbf41aa,0x005ffb2f,0x17fe4fff,
    0x4c4fff88,0x000007ff,0x400bffe0,0x6c006ffa,0xff52ffff,0x37fff40b,
    0x3ee7ffb0,0xffffffff,0x70ffffff,0xfe800dff,0x3ffcc2ff,0x7fff4400,
    0x3ffffe60,0xffffffff,0x33ffffff,0xd0001fff,0x53ff65ff,0x4ffa4ffe,
    0x5ffb2ffc,0x7e4fff00,0x3ffee02f,0x001ffe61,0x2fff8000,0x00dff500,
    0x52ffff88,0x7fe40bff,0x4fff603f,0xfffffffb,0xffffffff,0x800dff70,
    0x260ffff9,0xf50007ff,0x7ffccbff,0xffffffff,0xffffffff,0x001fff33,
    0x3f65ffd0,0x5c9ffd4f,0x7ecbff22,0x27ff802f,0x7ec02ffc,0x0fff30ef,
    0x7fc00000,0xdff5002f,0x5fff7000,0xf9817fea,0x3ff600ff,0xffffff73,
    0xffffffff,0x01bfee1f,0x997ffee0,0x360007ff,0xfff32fff,0xffffffff,
    0xffffffff,0x003ffe67,0x7ecbffa0,0x009ffd4f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,
    0x07fff935,0x93ffe200,0xfffffff8,0xffffffff,0xfffff35f,0xffffffff,
    0x7ccdffff,0xffffffff,0x9801ceff,0xcccccccc,0x3ccccccc,0xfffffff7,
    0x0159bdff,0x3fff9000,0x7dc00000,0x554c002f,0x2a620009,0x510000ab,
    0x44000155,0x22009aa9,0x53ffa099,0x8000fffe,0x3e20effe,0xffffffff,
    0x5fffffff,0xfffffff3,0xffffffff,0x7ffccdff,0xffffffff,0x2a01dfff,
    0xffffffff,0x6fffffff,0xfffffff7,0x5fffffff,0xffff8000,0xf3000005,
    0xfb7005ff,0x807fffff,0xffffffc8,0xfff5003f,0x4009ffff,0xfffffffc,
    0x24ffe83f,0xfff34ffe,0xfffb800b,0x7ffffc41,0xffffffff,0xfff35fff,
    0xffffffff,0x4dffffff,0xfffffff9,0xffffffff,0xffff504f,0xffffffff,
    0x3feedfff,0xffffffff,0x003fffff,0x1fffff50,0xffd00000,0x7fec405f,
    0x6fffffff,0xfffffd10,0x201dffff,0xffffffe8,0x2601efff,0xfffffffe,
    0x7ff45fff,0xfc93ffa4,0xff1002ff,0x1fff109f,0x3ffcc000,0x7ff98000,
    0xffffb980,0x99999882,0xfb999999,0x0dff71ff,0x2fffea88,0xfbffd800,
    0x6400003f,0x3602ffff,0xf931cfff,0xbffd0bff,0x3fff2637,0x37fffb04,
    0x03fffee6,0x46f7ffe2,0x22fffe99,0x1fcc4ffe,0x2003fffa,0xff106ffd,
    0x7cc0001f,0xf300007f,0x7ec400ff,0x740000ff,0x1bfee2ff,0x027fec40,
    0x3e37fe20,0x2600006f,0x502fffff,0x3ea03fff,0x3ffe21ff,0x50fff500,
    0x3a203fff,0x6ffb85ff,0x552ffec0,0x4c1fb835,0x7d405fff,0xfff101ff,
    0x7fcc0001,0xff300007,0xffe8800f,0x3ff20005,0x0037fdc4,0xb800fff5,
    0x05ffb3ff,0xbdff1000,0x3ff605ff,0x527fec03,0xdee809ff,0x00bffe21,
    0xff83fff1,0x37fcc02f,0xff907e80,0x3ffe205f,0x03ffe203,0x07ff9800,
    0x0fff3000,0x05fff300,0x70dff300,0x7c400dff,0x3fa000ff,0x00bff50f,
    0xfb3ffb00,0x03ffe05f,0x7cc35930,0xf98001ff,0x9ff9006f,0xf8802998,
    0x03fe806f,0x3603bffa,0x7fc406ff,0x3e60000f,0xf300007f,0x3fa000ff,
    0xffe8003f,0x006ffb82,0x9801bfe6,0x3ffe26ff,0x3fea0000,0xf105ffb3,
    0xff8000df,0x7000acff,0x3ea009ff,0xf710005f,0x805700ff,0x7d44fff9,
    0x7fc400ff,0x3e60000f,0xf300007f,0x3ee000ff,0x7fe4005f,0x00dff705,
    0xb0027fdc,0x3ffd87ff,0x4bff1000,0xffa82ffd,0x7fd40005,0x01bdffff,
    0x4c00fff2,0x5cc407ff,0x7ffffedc,0x3ff20000,0x07fff11f,0x001fff10,
    0x003ffcc0,0x007ff980,0x400dff50,0xf700fff9,0x3fee00df,0xfff1001f,
    0x007ffa81,0x7ec1ffd0,0x04ffb82f,0xffff9800,0xd82effff,0xff1002ff,
    0xfffd701f,0xffffffff,0x807ffb80,0xbff96ffe,0x2fffe200,0xaaaaaaaa,
    0x7ffcc2aa,0xaaaaaaab,0x4c2aaaaa,0xf30007ff,0x7fec00ff,0x2bffee04,
    0xedcbaaaa,0x2e001eff,0x5fff05ff,0x42ffb800,0xffc82ffd,0x36a00004,
    0x4fffffff,0x88017fec,0x7ff447ff,0x9acdffff,0x7fdc07ff,0xcfff9807,
    0xf1000fff,0xffffffff,0x98dfffff,0xffffffff,0xffffffff,0x003ffcc6,
    0x801fff88,0x2e01fff8,0xffffffff,0x00ffffff,0xc817ff40,0x3e6005ff,
    0x82ffd85f,0x00005ffa,0xffffb730,0x801ffe47,0x7ff47ff9,0xff980acf,
    0x03ffdc07,0x2fffffc8,0x3fffe200,0xffffffff,0x7ffcc6ff,0xffffffff,
    0x4c6fffff,0xf10007ff,0xff9005ff,0xffffb80d,0xffffffff,0xf3003fff,
    0x7ffcc0ff,0x01ffd000,0xff305ffb,0x00ab200b,0xb97ffa20,0xff5004ff,
    0x00fffccd,0xf701ffea,0x7ff400ff,0x7fc4005f,0xcccccccf,0x7cc3cccc,
    0xccccccff,0x3ccccccc,0x8003ffcc,0xf801fff9,0x7fdc02ff,0xcaaaaaaf,
    0x04ffffec,0x7404ffc8,0xffc804ff,0x105ffb02,0xf9801fff,0x007b2a6f,
    0x7fd4fff5,0x49ffb006,0xfb805ffb,0x3ffd407f,0x01fff500,0x00fff880,
    0x01ffe600,0x03ffcc00,0x00fffa80,0x5c03ffd4,0xfb1006ff,0xfff805ff,
    0x9999999b,0x7d407ffc,0x0bff604f,0x2e027ff4,0x1bff24ff,0xfe8dff30,
    0x7ffcc03f,0x1017ff21,0xf980fffd,0x3fe6006f,0xfff88007,0x3fe60000,
    0xff300007,0x3fee000f,0x04ffd807,0x4006ffb8,0x3ea05ffd,0xffffffff,
    0x02ffffff,0x6c01dff1,0xfff302ff,0x87ffe605,0x3601fff9,0x7ffd43ff,
    0x8bffd102,0xd100fffb,0x5554ffff,0x4009ff11,0x88007ff9,0x20000fff,
    0x00007ff9,0x2000fff3,0x7c406ffc,0xffb800ff,0x3ffd4006,0xffffffb0,
    0xffffffff,0x3bfee0bf,0xfeeeeeee,0x644eeeff,0xeb9acfff,0xffd83fff,
    0xfec99bdf,0xfffd81ff,0xfffb99ac,0xbefff985,0xfffeba89,0x49ffd0ff,
    0x3e6003fe,0xff88007f,0x3e60000f,0xf300007f,0x3fa000ff,0x2ffdc04f,
    0x006ffb80,0x4417ffc4,0xaaaabfff,0xffbaaaaa,0xffffc81f,0xffffffff,
    0xfc85ffff,0xffffffff,0xffffd104,0x03dfffff,0x3fffff22,0x2e05ffff,
    0xffffffff,0xd2ffd8df,0x00f649ff,0x000fff30,0x0001fff1,0x0003ffcc,
    0x8007ff98,0x7400fffb,0xff7002ff,0xfff8800d,0x006ffb81,0x7e427ffc,
    0xffffffff,0x5fffffff,0xfffffd30,0xfff7003d,0x0019dfff,0xbfffffd5,
    0xfffd5007,0x7fd45dff,0x0009ffd5,0x8007ff98,0x0000fff8,0x0001ffe6,
    0x2003ffcc,0xf805fff8,0xff7001ff,0x7ffa800d,0x8007ffd0,0x40007ffc,
    0x4c002ffd,0x9880009a,0x2600009a,0x5310001a,0x00000003,0x2001ffe6,
    0x0000fff8,0x0001ffe6,0x1003ffcc,0x9803fffb,0xf7000fff,0x7fc400df,
    0x0fff986f,0x17ffc400,0x05ffb000,0x00000000,0x00000000,0x98000000,
    0xf88007ff,0x260000ff,0x300007ff,0x54c40fff,0x803ffffc,0x2e006ffb,
    0xeb8806ff,0xffc81fff,0xdffb0005,0x17fec000,0x6666665c,0x037752cc,
    0x00000000,0x00000000,0x00fff300,0x001fff10,0x7ffffcc0,0xffffffff,
    0xf32fffff,0xffffffff,0x7fffffff,0x017ff200,0xffffffb8,0xffffffff,
    0x5fff03ff,0x3ffea000,0x5ffb0001,0xffffffd0,0x13ffa7ff,0x00000000,
    0x00000000,0x01ffe600,0x003ffe20,0xfffff980,0xffffffff,0xf32fffff,
    0xffffffff,0x05dfffff,0x0027fec0,0xfffffff7,0xffffffff,0x01ffea07,
    0x009fff00,0x3a0bff60,0xffffffff,0x0009ffd3,0x00000000,0x00000000,
    0x1000fff3,0x40001fff,0xfffffff9,0xffffffff,0xfff32fff,0xdfffffff,
    0xfb00039b,0x7fdc005f,0xffffffff,0x7ec02cee,0x7e40004f,0xffb0007f,
    0x77777505,0x3ffa3777,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0d54c400,0x4c006620,0x00133109,0x03310ccc,0x4c401553,0x80199801,
    0x26662199,0x99999999,0x88662199,0x9819882a,0x5554401a,0x00133300,
    0x05c41333,0x40000000,0x2cc8802a,0x00d54000,0x4c004444,0x4ffffffe,
    0x8803ffb0,0x0dff56ff,0xfd9bfea0,0x3fffff67,0x03ffd82f,0x980bffe2,
    0x3fff25ff,0xffffffff,0x2ffb0fff,0x365ffffa,0xffffb17f,0x7ff4c1bf,
    0xffe84fff,0x3ffea00e,0x0077fe21,0xf7100000,0x9ff3007f,0x37fdc000,
    0x01bffa20,0xfffffff9,0xffd81dff,0xf37fc401,0xffb003ff,0x7ec7fec7,
    0x4fffffff,0xf502ffd4,0x7fdc09ff,0x3fffff23,0xffffffff,0xff1ffb0f,
    0x7fecbfff,0xffffffe8,0xfffff35f,0xff889fff,0x7fff104f,0x2effff88,
    0x6cc00000,0x9803ffff,0x3a0004ff,0x7c401fff,0xfff902ff,0x3ffaa239,
    0x200ffec6,0x3ff26ff8,0x07ffc404,0x5bffdffb,0x43fffd73,0x3f207ff8,
    0x3ffa06ff,0x2aaaaa60,0xfffaaaaa,0x3ffbff64,0x3ff62fed,0xfea9befe,
    0x9adffcff,0x541fffda,0xffd81fff,0xffffd705,0x4000019f,0xcfffffea,
    0x04ff9800,0xbffff500,0x30dff500,0x36203fff,0x07ff63ff,0x7ccdff10,
    0x2ffd407f,0x2037fff6,0x7f44ffe8,0xffffd01f,0x00dff101,0xfb17ffa0,
    0x36041dff,0xff906fff,0x3ffa05ff,0x5c6ffd83,0x6d400fff,0x02dfffff,
    0xffff9100,0x4c0017df,0xfb0004ff,0x7001ffbf,0x3ffe83ff,0xd87ffc40,
    0x7fc401ff,0xb017ff46,0xfffd85ff,0x71bfea00,0xbff307ff,0x7ff505ff,
    0x1dffb000,0x400fffd8,0xf500fffd,0x7fdc0bff,0x34fff885,0x44005fff,
    0xbefffffc,0xfffda800,0x30002dff,0xf30009ff,0x009ff39f,0x7ff98f2e,
    0x367ffd00,0x7fc401ff,0x8827fdc6,0x5ffd87ff,0x263ffcc0,0x9ffb86ff,
    0x0ffd84ff,0x07ffe400,0x6c02ffec,0x3fe205ff,0x1bfea02f,0x7f4fffcc,
    0x3aa0004f,0x41cfffff,0xfffffeb8,0x7cc0000b,0xffc8004f,0x4000ffd0,
    0xf7005ffa,0x007ff69f,0xff88dff1,0xb09ff707,0xff8809ff,0x6c0ffe87,
    0xff0dff6f,0xfffb800d,0x009ffb01,0xff809ffb,0x1bfe601f,0x6fffffc8,
    0xff930000,0x3fe25fff,0x8002dfff,0xfeeeeeee,0xeeeeeeff,0x2a5ff882,
    0xf70003ff,0xddddddff,0x2bffdddd,0x7c401ffd,0x82ffd86f,0xffd80ffe,
    0xc87ff803,0xda7fc2ff,0x13fe60ff,0x02fffa80,0x3600fff6,0x7ffc03ff,
    0x01bfe600,0x001ffffd,0xfffc8800,0x01dfff13,0x7ffffc00,0xffffffff,
    0xffb83fff,0x80037fc2,0xfffffffc,0xffffffff,0x8803ffb6,0x5ffa86ff,
    0xfd837fcc,0x87ff802f,0x3fe64ff9,0x7e45ff52,0xfff3001f,0x02ffd809,
    0x7c02ffd8,0x3fe600ff,0x27ffd406,0x3f660000,0xfff13fff,0xf00017df,
    0xffffffff,0x7fffffff,0xff90fff0,0xdff90005,0xdddddddd,0x3f6bdddd,
    0x37fc401f,0x3f20fff8,0x05ffb02f,0x3fe0fff0,0x7c43fee6,0x401ffa4f,
    0xd805fff8,0xffd802ff,0x007ffc02,0xfd80dff3,0x40001fff,0xeffffeb8,
    0x3fff6a0b,0x26001cff,0xffa99999,0x0999999d,0x7cc27fd4,0xffb8005f,
    0x3ff60004,0x837fcc01,0x3ffe3ffc,0x005ffb00,0x3ff60fff,0x6fe8dfd0,
    0xd1009ff1,0x3f600dff,0x2ffd802f,0x3007ffc0,0x7fdc0dff,0x30006fff,
    0x5bfffff9,0xffffc880,0x260002df,0x3fa004ff,0x03ffb00f,0x005ffa80,
    0x500bff60,0x3fe60dff,0x6c0bff56,0x7ff802ff,0xff17ff50,0xfb9ffc89,
    0xeffd801f,0x05ffb000,0xf805ffb0,0x3fe600ff,0xd5fff106,0x754009ff,
    0x01cfffff,0x7fff5c40,0x4c000bff,0xff3004ff,0x027fd40b,0x003ffe60,
    0x7fe4b36e,0x037fe402,0x3ff91ffd,0x4017fec0,0xbff107ff,0xffa85ff5,
    0xfc807fdb,0x3f6001ff,0x2ffd802f,0x3007ffc0,0x3ffa0dff,0x405fff34,
    0xefffffc8,0xda80000b,0x01dfffff,0x2009ff30,0x7fc02ffd,0x7ff4000f,
    0x9fffcc04,0x3a205ffc,0x3fee06ff,0x7ec06ffb,0x07ff802f,0x03ff3ff6,
    0x0bffbff1,0x001fffb8,0x6c017fec,0x7ffc02ff,0x21bfe600,0x3ee0effc,
    0xfff880ff,0x00002dff,0xfffff910,0x09ff3007,0x22006660,0x7cc00099,
    0x3ffa03ff,0x05fff50f,0x881bfffa,0x403fffff,0xff802ffd,0x3fffee07,
    0x5ffffd06,0x017ffd40,0x4017fec0,0x7fc02ffd,0x1bfe600f,0xfd03fff3,
    0x9fff10bf,0x20000003,0x803ffeb8,0x00004ff9,0xffd80000,0xfec99adf,
    0x7fffc2ff,0xeefecaad,0x7ffec06f,0x17fec00f,0xf103ffc0,0x3f207fff,
    0xff300fff,0x999999df,0x36599999,0xffd802ff,0x007ffc02,0x7f44dff3,
    0x5fff304f,0x0000be88,0x0f6a0000,0x0013fe60,0x64000000,0xffffffff,
    0xfffa82ff,0xe8efffff,0x7ffd406f,0x02ffd806,0x7f407ff8,0xfff501ff,
    0x7fffd40b,0xffffffff,0x5ffb5fff,0x805ffb00,0x3e600fff,0x03bff26f,
    0x000fffc8,0x00000000,0x00000000,0xffb30000,0x4019ffff,0x4fffffd8,
    0x3fe01bfa,0x2ffd802f,0x6407ff80,0x3fe207ff,0x3ffea03f,0xffffffff,
    0xffb5ffff,0x05ffb005,0x2600fff8,0x5fff56ff,0x00bffd00,0x00000000,
    0x00000000,0x55100000,0x01530003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aa60000,0x99999990,0x99999999,0x43ffea39,0x00005ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c06fb80,0xffffffff,0x3fffffff,0x3f61fff5,0x77f6d45f,0x0024401c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0x7fffc05f,0xffffffff,0xff53ffff,0x457ff61f,0xfffffffd,0x037541cf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x1d4bf51c,0x2aaaaaaa,0xaaaaaaaa,0x21fff50a,0xfff75ffd,0xffffffff,
    0x00dfffdd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0xfcdfbeff,0x5000007f,0xaffe4fff,0xeca9befb,0xffffffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff900,0x001bffff,0x4dff1000,0x01b73ffb,0x3fffff22,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8800,
    0x8000001c,0x4bfea5ff,0x06aa6000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01dfdf90,0x7fb00000,0x00007fc4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb1ff700,0xfffff01d,0xffffffff,0x175c7fff,0x000001b6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xbff13ff9,
    0xfffffff0,0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1d71ae00,0xddddddd0,0xdddddddd,
    0x0000005d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_39_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,1,2,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1, };
static signed short stb__arial_39_usascii_y[95]={ 31,6,6,5,3,5,5,6,5,5,5,10,27,20,
27,5,5,5,5,5,6,6,5,6,5,5,12,12,10,13,10,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15, };
static unsigned short stb__arial_39_usascii_w[95]={ 0,4,10,19,17,27,22,5,9,9,12,18,5,10,
4,10,17,11,17,17,18,18,17,17,17,17,4,5,18,18,18,17,34,25,20,23,22,20,18,24,21,4,15,22,
17,25,21,25,20,25,23,21,21,21,24,33,24,24,21,8,10,8,16,21,7,17,16,17,16,17,11,17,16,4,
8,16,4,25,16,18,17,16,11,16,10,15,18,25,18,18,17,11,3,11,18, };
static unsigned short stb__arial_39_usascii_h[95]={ 0,25,9,27,32,27,27,9,34,34,12,17,9,4,
4,27,27,26,26,27,25,26,27,25,27,27,19,24,18,11,18,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,28,25,27,25,26,25,25,25,25,25,32,27,32,15,3,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,7, };
static unsigned short stb__arial_39_usascii_s[95]={ 155,245,204,236,102,1,29,250,74,1,172,
210,250,173,184,88,163,229,18,181,154,53,199,89,52,70,245,250,191,185,172,
123,11,128,107,121,66,45,26,211,218,240,89,149,131,105,83,174,40,129,172,
99,61,141,202,168,227,1,196,120,200,93,229,129,246,227,1,173,36,1,217,
145,6,1,84,23,163,127,54,208,105,72,115,191,241,19,35,71,153,155,97,
62,58,46,215, };
static unsigned short stb__arial_39_usascii_t[95]={ 29,91,162,1,1,36,36,126,1,1,162,
143,116,138,138,36,36,36,64,36,117,64,36,117,36,36,117,91,143,162,143,
64,1,117,117,36,117,117,117,1,91,91,64,91,91,91,91,1,91,1,91,
36,91,64,64,64,64,117,91,1,1,1,143,30,143,117,64,117,64,143,36,
36,91,91,1,91,64,143,143,117,64,64,143,117,36,143,143,143,143,1,143,
1,1,1,162, };
static unsigned short stb__arial_39_usascii_a[95]={ 155,155,198,311,311,497,373,107,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,155,155,326,326,326,311,567,373,373,403,403,373,341,434,
403,155,279,373,311,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,155,155,155,262,311,186,311,311,279,311,311,155,311,
311,124,124,279,124,465,311,311,311,311,186,279,155,311,279,403,
279,279,279,187,145,187,326, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_39_usascii_BITMAP_HEIGHT or STB_FONT_arial_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_39_usascii(stb_fontchar font[STB_FONT_arial_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_39_usascii_BITMAP_HEIGHT][STB_FONT_arial_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_39_usascii_s[i] + stb__arial_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_39_usascii_t[i] + stb__arial_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_39_usascii_x[i];
            font[i].y0 = stb__arial_39_usascii_y[i];
            font[i].x1 = stb__arial_39_usascii_x[i] + stb__arial_39_usascii_w[i];
            font[i].y1 = stb__arial_39_usascii_y[i] + stb__arial_39_usascii_h[i];
            font[i].advance_int = (stb__arial_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_39_usascii_s[i] + stb__arial_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_39_usascii_t[i] + stb__arial_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_39_usascii_x[i] + stb__arial_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_39_usascii_y[i] + stb__arial_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_39_usascii_LINE_SPACING
#endif

