// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_46_usascii_BITMAP_HEIGHT        238
#define STB_FONT_arial_46_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_46_usascii_FIRST_CHAR            32
#define STB_FONT_arial_46_usascii_NUM_CHARS             95

#define STB_FONT_arial_46_usascii_LINE_SPACING          30

static unsigned int stb__arial_46_usascii_pixels[]={
    0x00000000,0x077bfe00,0x201ffe60,0xd805feea,0x2aaaa26f,0x55512aaa,
    0x22055555,0x5ff30aaa,0x02620000,0xdb950000,0x00399dff,0x677edc40,
    0x3ffa8001,0x01aaa880,0x00555440,0x105675cc,0xa8000555,0xeeffedca,
    0x7c0001cc,0x4c03ffff,0x7ff407ff,0x7fd405ff,0x3ffffe62,0xffff35ff,
    0x3e60bfff,0x03ff61ff,0x00bf6000,0x3ffae200,0xffffffff,0x7fcc002d,
    0x003fffff,0xff003ff4,0xffd800df,0x3fff6606,0xff33ffff,0xff91000f,
    0xffffffff,0x0017dfff,0x5ffffff0,0x903ffcc0,0x40bfffff,0x7fcc6fe8,
    0xf35fffff,0x0bffffff,0xf887ffe6,0x2620005f,0x20001cfe,0xfffffff9,
    0xffffffff,0xfff8800e,0x03fffecf,0x4007ff70,0x1001fffc,0x3ea07fff,
    0xffffffff,0x007ff9cf,0x3fffff66,0xffffffff,0x00dfffff,0x3fff2a60,
    0x41ffe605,0x09befff8,0x9107ff20,0x2bfff999,0xcccdfff9,0x83fff303,
    0x5c002ffc,0xfffffffe,0x3fee000c,0xabceffff,0xefffffdc,0x06ffe401,
    0xf001fff7,0xff9800ff,0xfff7004f,0x9ffff301,0xdffd7115,0x3ee00fff,
    0x9abeffff,0x3ff2a620,0x8001efff,0xf300fffb,0x3ffea0ff,0x05ff9800,
    0x3e6bffd0,0xdd3002ff,0x0fff883d,0xffffe880,0x2fffffff,0xfffffb80,
    0x7ffe4402,0xfff101ff,0x807ffb01,0xe8003ffb,0xffd007ff,0x0ffffa0b,
    0x3ffffec4,0x6ffffe40,0xffd98001,0x7c4003ff,0xfff301ff,0x401bfee0,
    0xfd001ffe,0x0bffe6bf,0x4ffc8000,0xeffffe80,0xfffffefe,0x3fffe601,
    0x3fa6000d,0xbff506ff,0xf013fea0,0x3ee000df,0x7fc401ff,0x4fffb82f,
    0x07fffe80,0x006fffec,0x7fffd400,0x17ffc002,0xf907ff98,0xdff300bf,
    0x9afff400,0x00002fff,0xf901ffe2,0x2bf67fff,0x00ffffd9,0x0009fffd,
    0x213fffa2,0xff304ffb,0x01ffdc0d,0x04fff880,0x6407ffdc,0xfa800fff,
    0x3ff607ff,0x4400004f,0x2000fffd,0xff302fff,0x017ff20f,0xe800fff6,
    0x5fff35ff,0xffe80000,0x8dfff303,0x3fff62fd,0x0ffffb83,0x3ffe6000,
    0x827fe41f,0xff107ff8,0xffd8000d,0x82fff407,0x3a004ffe,0xfff707ff,
    0x74000005,0x3fe006ff,0x0fff302f,0xf3017ff2,0x7f4001ff,0x05fff35f,
    0x402aaa20,0xff706ffb,0x262fd87f,0xffe86fff,0xfc80002f,0x27fdc4ff,
    0xf906ff98,0xfa80005f,0xfff302ff,0x00fffe03,0xf887ffd8,0x65c402ff,
    0x099981bd,0x400fffe2,0xff302fff,0x017ff20f,0xe800dff9,0x5fff35ff,
    0x07ffe600,0x6417ffc4,0x17ec0fff,0xf983fffa,0x100006ff,0xffa8ffff,
    0x10bff305,0x20000dff,0xff905fff,0x0bffe60f,0xd87ffc80,0x3f2205ff,
    0x10efffff,0xffa87fff,0x07fff006,0x7ec1ffe6,0x1fffc04f,0x4d7ffa00,
    0xf3002fff,0x7ff403ff,0xd85ffe85,0xfc80cc2f,0x200003ff,0x3e61fffe,
    0x09ff706f,0x00005ff9,0x3e03fff2,0xfff504ff,0x3ffdc003,0x4c03ffe6,
    0xffffffff,0x2fff98ef,0xe802ffe8,0xfff303ff,0x9813ff60,0x74000fff,
    0x5fff35ff,0x07ffe600,0xfd87ffb8,0x002fd87f,0x0007fffa,0x44fffb80,
    0xffe81ffe,0x0037fc42,0x85fff300,0xf701fffa,0x7d4003ff,0x817ff47f,
    0x9bdffff9,0xffceffda,0x05ffb80f,0xf303ffe8,0x13ff60ff,0x8007ffc8,
    0xfff35ffe,0x3ffe6005,0x07ffe601,0xfd85fff7,0x3fffe002,0x3ea00000,
    0x7ffd44ff,0x90bffd53,0x800005ff,0x7fec5ffe,0x07ffea06,0x227ffa80,
    0xfff107ff,0x3ffea07f,0xfff106ff,0x209ffb00,0xffd07ff9,0x037ff407,
    0xf9afff40,0xff3002ff,0x7ffc403f,0x22fffcc3,0x3fe002fd,0x4c00007f,
    0xffe85fff,0x41ffffff,0x00006ff8,0xf10fffb8,0x7fcc07ff,0x3fee002f,
    0x6c13fee7,0x7e403fff,0x3fe05fff,0x05ffc807,0x3fe0fff3,0xbfff101f,
    0x2bffd000,0x3002fff9,0xff803fff,0xdffff85f,0x22005fb0,0x00006fff,
    0xc837ffc4,0x80dfffff,0x00002ffc,0xf53fff88,0x7fc401ff,0x3ff2003f,
    0x2a07ffa7,0xf8805fff,0x3fa03fff,0x7ffcc00f,0xb87ff981,0x3fe206ff,
    0xffe8004f,0x005fff35,0xf007ffe6,0xfff30dff,0x005fdbff,0x001bffe6,
    0x0dfff100,0x880de544,0x2aa606ff,0x5ffd8000,0xff00bffb,0x7ff400df,
    0x3a0dff17,0xff001fff,0x7fec03ff,0x86ffe801,0x7fc47ff9,0x3ffe603f,
    0x5ffe8003,0x2005fff3,0x7401fff9,0xfff307ff,0x15bfffff,0x03fffc40,
    0x3ffe6000,0xffd80005,0xfffffb82,0x3fea000d,0x802fff8f,0xb802fffb,
    0x9ff57fff,0x00bfff10,0x3a03fff4,0xff9800ff,0xfff31dff,0x03bfff6a,
    0x003fffa8,0xff35ffe8,0x3fe6005f,0x3ffec01f,0xfffff910,0x7c09ffff,
    0x00000fff,0x0013ffea,0xf90dff30,0x3fffffff,0x7efffc00,0x3ffa007f,
    0x3ffa200e,0x907ff77f,0x74003fff,0x3fe206ff,0x3ffa6007,0x3afff34f,
    0xfa804fff,0xfe8002ff,0x05fff35f,0x007ffe60,0x5001fff9,0xfffffffb,
    0x3fffd03d,0x7fe40000,0x7ec0002f,0x67ffd41f,0x006ffea8,0x13fffff2,
    0x1ffffa80,0x7ffffe98,0xffb05ff7,0x7ffc001f,0x017fea04,0x269fff10,
    0x1dffd7ff,0x03fff700,0x26bffd00,0xf3002fff,0xffb803ff,0x3bf6000f,
    0x40ffffff,0x0002fffd,0x007fff60,0xe85ff980,0x2ffe82ff,0xfffff300,
    0xfffc8003,0xfffeccef,0x3ff97fff,0x400dffd0,0x3202fff9,0x3ea004ff,
    0xfff34fff,0x00bffffa,0x0003fff5,0x3fe6bffd,0xfff3002f,0x0fffc803,
    0x7d4bf600,0x7fd45fff,0x3a00004f,0x20000fff,0x7fcc1ffd,0x00bff507,
    0x0037fff4,0xffffffb8,0x7ffcafff,0xfff03ffb,0x7ffd400b,0x00bffa01,
    0x316fffdc,0x3fae2fff,0x3fe601ff,0xffe8002f,0x005fff35,0x9007ffe6,
    0xfd800fff,0x8bfffa22,0x000ffff8,0x06fffa80,0x217fe600,0xff305ffa,
    0x7ffdc00d,0x3f660003,0xf91effff,0x20bff2ff,0x36004fff,0x3fe607ff,
    0x9ffd000f,0xfd0fff30,0x7ffcc0bf,0x5ffe8003,0x2005fff3,0x6c01fff9,
    0x7ec006ff,0x227ffdc2,0x9805fffd,0x7ffc40be,0x3fa0002f,0x05ffb81f,
    0x5400fff1,0x00000fff,0xfff90353,0x3f60fff2,0xfff3005f,0x01fff40b,
    0x980fff98,0xfffa87ff,0x07fff100,0x26bffd00,0xf3002fff,0xffe803ff,
    0x217ec006,0x7cc5fff8,0x7e401fff,0xfffb0cff,0x7fd4000b,0x209ff705,
    0x36007ff8,0x000004ff,0x3eefff90,0x06ffc84f,0x207fffd0,0x32006ffb,
    0xfff305ff,0xf80bffe0,0xfe8004ff,0x05fff35f,0x007ffe60,0x6544bfff,
    0xe82fd80d,0xfffb86ff,0x3fffa01e,0x0ffffcef,0x07ffa000,0xf882ffd4,
    0xfff1006f,0x20000003,0xbff57ffc,0x805fff50,0xb82ffffb,0x3a001fff,
    0xfff304ff,0xd80fffa0,0xfe8006ff,0x05fff35f,0x807ffe60,0x3ea3fff8,
    0x82fd82ff,0xffd06ffe,0x7f5409ff,0x02ffffff,0x817fea00,0xff305ff9,
    0x1bff200b,0xfc800000,0x10fff17f,0x3201dfff,0x221fffff,0x4004fffc,
    0xff303ffe,0x813ff60f,0x4000fffb,0xfff35ffe,0x3ffe6005,0x03ffea01,
    0x5fb09fff,0x2209fff0,0x9beffffe,0x3fff6a20,0x740005ff,0x3fe201ff,
    0x84ffc80f,0x0bfff220,0xfc800000,0x20bffa7f,0x511efffb,0xdffffffb,
    0x09ffff95,0x207fff00,0xffb07ff9,0x17ffc409,0x4d7ffa00,0xf3002fff,
    0x7fe403ff,0x40fffd86,0x7ffd42fd,0x7fffec03,0xffffefff,0x0cffffff,
    0x04ffa800,0x2a0dffc8,0xefd80fff,0x0005ffff,0x3ffe4000,0x3f20dff7,
    0xffffffff,0xffffffba,0xf0002fff,0x3fe607ff,0x80bffb07,0x74004ffe,
    0x5fff35ff,0x07ffe600,0xfb83ffe8,0x117ec5ff,0x7001ffff,0xffffffff,
    0xfddfffff,0xe8007fff,0xff8800ff,0x3fffecff,0xdfffff90,0x80000001,
    0x3fe27ffc,0xffffb01f,0x3fe23fff,0x01efffff,0x40bffe00,0xffb07ff9,
    0x06ffb80b,0xf9afff40,0xff3002ff,0x3ffe203f,0x5ffff881,0x7ff4cbf6,
    0x7f54003f,0xdfffffff,0x3ffffee1,0x04ffa801,0x3ffffe60,0x3fee04ff,
    0x00001fff,0x47ffc800,0x7300effc,0xd9815bfd,0x5301bdff,0x7ffc0155,
    0x20fff302,0x7c405ffc,0x3fa001ff,0x05fff35f,0x407ffe60,0x3e606ffc,
    0xdfedffff,0x006ffffd,0x26aaa620,0x3fff2201,0x00ffe800,0x6fff6440,
    0x0de54402,0x10000000,0xfff88333,0x20000005,0x7c05fff9,0xfff302ff,
    0x2017ff20,0x3a004ffc,0x5fff35ff,0x07ffea00,0x26017ffc,0xffffffff,
    0x0004ffff,0x17a60000,0x00000000,0x00000000,0x7ffd4000,0x88000004,
    0x7c00ffff,0xfff302ff,0x2017ff20,0xd000fff8,0x3ffe6bff,0x3fff5002,
    0x200dff50,0xfffffec8,0x00002eff,0x00010000,0x00000000,0x00000000,
    0x0f7ffe40,0xffb80000,0x7fc401ff,0x0fff301f,0x6401ffee,0xffd003ff,
    0x00bffe6b,0x6c07ffdc,0xa88002ff,0x0000adfe,0x00000000,0x00000000,
    0x00000000,0x7fffe400,0xd100000c,0x9003ffff,0x7fcc0fff,0x05fff307,
    0x200dff10,0xfff35ffe,0x1fff6005,0x0001bfe6,0x2a6005fb,0xaaaaaaaa,
    0xaaaaaaaa,0x00aaaaaa,0x00000000,0x00000000,0xffb80000,0x000adfff,
    0x7ffff5c4,0x3f72e00d,0x3fe605ff,0x3bfffa07,0x0ffee02c,0xfffdddd1,
    0x3bbffe6b,0xff9b34ee,0x3ffb0bff,0x02fd8000,0xffffff90,0xffffffff,
    0xffffffff,0x0000005f,0x00000000,0x00000000,0x3fffffa2,0xaaabccef,
    0xffffeccb,0xfff801ef,0x3e601fff,0x3ffee07f,0x7ff405ff,0x3ffffe60,
    0xffff35ff,0x3feebfff,0x7d41ffff,0xfd80003f,0xffff9002,0xffffffff,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0xfffda800,0xffffffff,
    0xffffffff,0x3fffe003,0x3ffcc02f,0x17fffee0,0x7cc9ff10,0x35ffffff,
    0xbfffffff,0x0bfffff6,0x40001bfa,0x33100098,0x33333333,0x33333333,
    0x00133333,0x00000000,0x00000000,0x2e200000,0xffffffed,0xbdffffff,
    0x16664000,0x804cc880,0xa803cca8,0x4ccccc4c,0x26666099,0x99750999,
    0x03991015,0x00000000,0x00000000,0x00000000,0x00000000,0x53100000,
    0x03559997,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x6dcc2aa8,0x00000bce,
    0xbdfdb751,0x10000039,0x7bdfdb95,0x31000015,0x359bfd97,0x3ff20000,
    0xabba8801,0xffe80000,0x009ff700,0xddfd9930,0x10000179,0x00135975,
    0x5676e4c0,0x000aaa20,0xf30aaa98,0x3fffa2ff,0x000cffff,0xfffffd30,
    0x17dfffff,0xffc98000,0xffffffff,0xd88002ff,0xffffffff,0x0000dfff,
    0xfb101ffa,0x07dfffff,0x903ffc00,0x75c005ff,0xffffffff,0x98000cff,
    0xfffffffe,0x7ff4c004,0xf14fffff,0x2e0001ff,0xfff32fff,0xffffffd1,
    0x8001dfff,0xfffffffc,0xefffffff,0xfff90001,0xffffffff,0x4009ffff,
    0xfffffffa,0xffffffff,0x5ff88002,0x3ffffea0,0x004fffff,0x3a05ff98,
    0xfe9800ff,0xffffffff,0x004fffff,0x3ffffff2,0x801effff,0xfffffffa,
    0xfff9efff,0xfff70000,0x3fbffe65,0xfea88adf,0xe9800eff,0xbcefffff,
    0xfffffdca,0x3fa2002f,0xbcefffff,0xfffffecb,0x7ffd401e,0xdcbcceff,
    0x02fffffe,0x981ffd40,0xdbceffff,0x4005ffff,0xff104ffb,0xffff500f,
    0xb95599df,0x007fffff,0x57bffff7,0x01ffffd9,0x5effffd4,0xffffeba9,
    0xf70000ff,0x3ffe65ff,0x3ff603ff,0x7ffcc04f,0xfeb804ff,0xf8803fff,
    0x801dffff,0x00fffffb,0x0077fffa,0x01ffffd5,0xf80ffec0,0xfd882fff,
    0x3f2004ff,0x0bff302f,0x2effffa8,0x7fffecc0,0x3fffe603,0x0dfff902,
    0x881ffff4,0x00fffffd,0x25fff700,0x804ffff9,0x3a00fffe,0x2001efff,
    0x00ffffd8,0x01ffffec,0x0ffffa60,0x002fffcc,0x800bfffa,0xfff706ff,
    0x07ffd805,0x5c03ffa0,0x3fe204ff,0x7e4004ff,0xff900fff,0xfffd805f,
    0x03fffb82,0x00ffffd8,0x25fff700,0x800ffff9,0xf702fffa,0x6c000dff,
    0x3ea06fff,0x10000fff,0x3ee0dfff,0x7c4000ff,0xff3005ff,0x01fffe09,
    0x400bffe6,0x3ff607ff,0x13fffa02,0x27ffec00,0x8806ffe8,0xffd84fff,
    0xfff9800f,0xff70000f,0x13ffe65f,0x883fff80,0x0001ffff,0x20ffffe2,
    0x003ffff8,0x417ffdc0,0xb0006ffe,0x3ee00fff,0x4fffa82f,0x00dffd00,
    0x7f40bff3,0xdfff500f,0x7ffc4000,0x04fff80f,0xff0bfff0,0x7fec007f,
    0xff70000f,0x0bffe65f,0xc85ffd80,0x80004fff,0xfa86fffa,0x880005ff,
    0xfff85fff,0xdff70007,0x01ffd003,0x2003fff7,0x5531fffb,0x5bff9555,
    0xfff55555,0x7fec1555,0x7ec0003f,0x4fff81ef,0x88bffd00,0x32002fff,
    0x70000fff,0x3fe65fff,0x3ff2001f,0x07fffc46,0xfffe8000,0x00fffec0,
    0x900bb800,0x00007fff,0x20dff100,0x26006ffd,0xfff92fff,0xffffffff,
    0xffffffff,0x3ffe25ff,0x0a880007,0x201bff60,0x7d43fff8,0x3ea001ff,
    0xf70000ff,0x3ffe65ff,0x3ffee000,0x017ffe60,0x3fffc800,0x003fffe2,
    0x7fd40000,0x000000ef,0xff81ffd4,0x3fe2006f,0xfffff94f,0xffffffff,
    0xffffffff,0x01bffea5,0x7fd40000,0x7ffe402f,0x007ffdc0,0x001fff30,
    0x4cbffee0,0x7dc007ff,0x3ffea0ff,0x3e600004,0x3ffea5ff,0x20000006,
    0x1cfffff8,0xff900000,0x017ffe03,0x955fff88,0x9fff9999,0xffd99999,
    0x3f23999b,0x000004ff,0x05ffff10,0x321bffee,0x26000fff,0x70000fff,
    0x3fe65fff,0x3ff2000f,0x01fffdc7,0xdfff1000,0x002fffdc,0x3fe60000,
    0x1bdfffff,0x0fff0000,0x0013ffe2,0x7cc0dfff,0x03ffa05f,0x001fffe4,
    0xffb10000,0xffd957bf,0x3ffee09f,0x3ffea001,0xfff70000,0x007ffe65,
    0x7e45ffd8,0x400001ff,0x3ff27fff,0x0000003f,0xfffffe88,0x00bdffff,
    0x105ff980,0xf8009fff,0x3fee06ff,0x40dff104,0x0002fffd,0xfffb8000,
    0x02ffffff,0x800bffea,0x0000fffb,0x3e65fff7,0x3fa002ff,0x07fff44f,
    0x3ffe0000,0x05fffb0f,0x22000000,0xfffffffd,0x002dffff,0x7cc0bfee,
    0x7f4003ff,0x0bff206f,0xfd02ffd4,0x000001ff,0xffffc980,0x00bfffff,
    0x4007fff3,0x0000fffc,0x3e65fff7,0xff1004ff,0x07fff85f,0xfffe8000,
    0x003fffb0,0x7ffffffc,0x803fffff,0xfffffdb8,0x00dfffff,0xf300ffd8,
    0xfe8007ff,0x03ffa06f,0xfd01ffdc,0x000001ff,0x77fffe40,0xfffffecd,
    0x00dfff01,0x003fffe2,0x997ffdc0,0xd800ffff,0x7ff40fff,0x7c00000f,
    0x3fff67ff,0x3fffe002,0xffffffff,0xfeca8003,0x1fffffff,0xf1037fc0,
    0xfe8007ff,0x0fff106f,0xfd00ffec,0x000001ff,0x0bbfff20,0x40ffffdc,
    0xc802fffb,0x0000ffff,0x3e65fff7,0x7cc05fff,0xfffe85ff,0x3e200001,
    0x3fff27ff,0x3fffe002,0xffffffff,0x65440003,0x00ffffff,0x7c409ff5,
    0x7fc004ff,0x0bff306f,0xfb007ffc,0x000003ff,0x01dfff30,0xd07fff98,
    0x7dc05fff,0x0000ffff,0x3e65fff7,0xb80dffff,0xfd81ffff,0x200002ff,
    0x3ee6fff9,0x2aa003ff,0xfcaaaaaa,0x200003ff,0x02ffffd8,0xff803ff9,
    0x7ffc004f,0x209ff705,0x7e406ff8,0x000002ff,0x001fffd8,0xf507fff7,
    0x51139fff,0x1ffffffb,0x3ffee000,0xffffff32,0xfffdb9bf,0x3ffee07f,
    0x3ea00004,0x3ffea5ff,0x3ea00005,0x800003ff,0xfd04fffb,0x0bffd00f,
    0xf95fff80,0xffffffff,0xffffffff,0x3ee5ffff,0x300004ff,0x002fffc0,
    0x7dc17ffe,0xffffffff,0x00fffdef,0x25fff700,0xffdafff9,0x2fffffff,
    0x017ffe60,0x2fffc800,0x0007fffc,0x23fffa80,0x40003dcc,0xff887fff,
    0x05ffd805,0x653ffe20,0xffffffff,0xffffffff,0xf12fffff,0x10000dff,
    0x7fcc7bff,0x7ff4004f,0x3fffe607,0xfb8dffff,0x3ee0007f,0x5fff32ff,
    0x3fffffae,0xfffe800c,0xff980002,0x3fffc87f,0xfff50000,0x003fffc7,
    0x507fff20,0xffb007ff,0x7ffcc00d,0xffffff92,0xffffffff,0x5fffffff,
    0x0007fff4,0x997ffee0,0x64003fff,0x654407ff,0x3f22cefd,0x01372a7f,
    0x7ccbffee,0x4d5442ff,0x3ffee000,0xffd80006,0xffff984f,0xffa80000,
    0x07fffa3f,0x0fffc800,0x64007fec,0xf9000fff,0xbff301ff,0x4007ffc0,
    0x0004fffb,0xf117fff4,0xfd8009ff,0xf900006f,0x037fecff,0xf98fffe4,
    0x200002ff,0x003fffe8,0x07fffea0,0x002ffff4,0x91fffd40,0x40009fff,
    0x6ff85fff,0x07fff100,0x5c1fffa0,0xdff103ff,0x3fffe200,0xfff50001,
    0x00dfff0f,0x0045fff8,0x326ffd80,0xffd807ff,0x05fff31f,0xfffa8000,
    0xffa8003f,0x3fe203ff,0x50000dff,0x7c47ffff,0xa8004fff,0x7fcc3fff,
    0x1bff6004,0x413ffe60,0xff502ffd,0x7ffdc009,0x7fcc001e,0xfffd83ff,
    0x7fff5001,0x3004efe8,0x7fdc9fff,0x3fff402f,0x0005fff3,0xbffff900,
    0x3fff2001,0xfffa806f,0xd3000aff,0xd87fffff,0x000dffff,0xb81ffff9,
    0x3e6002ff,0x3fa203ff,0x1ffd00ff,0x000fff20,0x005ffffd,0x41bfffea,
    0x400ffffa,0x640ffff8,0xfe801fff,0x3ffea2ff,0x97fff606,0x0002fff9,
    0xfffffb00,0x75cc4157,0x000effff,0xdffffff7,0xdb731159,0x07ffffff,
    0xbfffffd1,0x3b2a6157,0xfe84ffff,0x7ff4000f,0xfffe884f,0x40dff104,
    0x4c001ffd,0x0aefffff,0x7ffff4c4,0x3fff200e,0xffff501e,0x0bfff705,
    0xe86fffc8,0xa889efff,0x262ffffd,0x00002fff,0x3ffffee0,0xffffffff,
    0x4000dfff,0xfffffff9,0xffffffff,0x2200cfff,0xfffffffe,0xffffffff,
    0x05ff885f,0xfffff980,0x5ffffdcd,0xf817fe60,0xe88000ff,0xefffffff,
    0xffffffff,0xffffe800,0xfffecbdf,0x3fffa05f,0xffcaaacf,0xff981fff,
    0xffffffff,0x7ffcc5ff,0x54000002,0xfffffffe,0x03ffffff,0x3fff6200,
    0xffffffff,0x1001dfff,0xfffffff9,0x7fffffff,0x000ffea0,0x7fffff44,
    0x200effff,0xff103ffb,0x7ec4000d,0xffffffff,0x000cffff,0xffffff91,
    0x807fffff,0xfffffff8,0x01ffffff,0x3fffffee,0x4c0dffff,0x00002fff,
    0xffffb300,0x005bffff,0x7ff5c400,0xbdefffff,0xfd930002,0xbdffffff,
    0x0ffe4017,0xfff91000,0xb005dfff,0x3fea05ff,0xfc880004,0xffffffff,
    0xfd30000c,0x1bffffff,0x3ffee200,0x0cffffff,0xffffe880,0x26603dff,
    0x00000009,0x09aaa998,0x4c400000,0x00009aaa,0x9aaa9880,0x0132e000,
    0x1aaa8800,0x40332e00,0x00001cca,0x04d554c4,0x2aa60000,0x54c0000a,
    0x0002accc,0x00015531,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,0x00001abb,
    0x002aa980,0x00357731,0x00015551,0xdfb93000,0xffd0007b,0x01554c00,
    0x02aaa600,0x006eea60,0x3bf6e600,0x0155513e,0x2aaa2000,0xaaaaaaaa,
    0xaaaaaaaa,0x3fffa01a,0xffffffff,0xffa806ff,0x02efffff,0x3ff20000,
    0x7fff5407,0x2602ffff,0x00001fff,0x7ffffe40,0x32001eff,0xffb002ff,
    0x7dc0001f,0x3faa02ff,0x02dfffff,0xfffffd80,0x05fff34f,0x3ffee000,
    0xffffffff,0xffffffff,0xffff104f,0xffffffff,0xffc80dff,0xffffffff,
    0xc800000d,0x3ff207ff,0xffffffff,0x03fff306,0x7ff40000,0xffffffff,
    0x09ff3000,0x003fff60,0x82fffb80,0xffffffe8,0x2003ffff,0xfffffffb,
    0x005fff33,0x3fffee00,0xffffffff,0xffffffff,0xfffff304,0xffffffff,
    0x7fff40df,0xffecacef,0x400000ef,0xfe887ffc,0xfdbbefff,0xff985fff,
    0x9000001f,0xb515dfff,0x7c00dfff,0xfffb006f,0x7fdc0001,0xffffd82f,
    0xffffcbbc,0xffff8804,0xff31aabe,0x2e00005f,0xffffffff,0xffffffff,
    0xf704ffff,0x555555ff,0x20555555,0x702ffffb,0x0000bfff,0xfd87ffc8,
    0xfe980dff,0x7ffcc2ff,0xf8800001,0xfffd06ff,0x03ff6003,0x003fff60,
    0x42fffb80,0x880dfffb,0x4c03fffd,0x3e604fff,0x000002ff,0xffff7000,
    0x01bff203,0x3fffe200,0x17ffdc01,0xfff90000,0x00ffffa8,0xf31bffe6,
    0x000003ff,0x2a07fff3,0xf7003fff,0xfffb007f,0x7fdc0001,0x3bffe22f,
    0x037ff400,0x9807ffe6,0x00002fff,0xfffa8000,0x13ffa03f,0x3fff2000,
    0x0dffd003,0x3ffe4000,0x2007fffa,0x3e60fffd,0x800001ff,0xf101fffb,
    0x3e6009ff,0xfffd805f,0x3fee0000,0x0bffea2f,0x803ffea0,0x2601fffa,
    0x00002fff,0x7ffcc000,0x1fffc04f,0x3fff4000,0x01fff500,0x9fff2000,
    0x5003fff8,0x7fcc3ddf,0xa800001f,0xff503fff,0x3ff4007f,0x007ffec0,
    0x45fff700,0xf3007ffd,0x7fd405ff,0x3ffe600f,0x00000002,0x017fffe2,
    0x0003fff3,0x400bfff0,0x9802fff8,0x320acedc,0x1ffee7ff,0x7ffcc000,
    0x2af76e61,0x7ffc4000,0x0fffd80f,0x007ff200,0x0001fffb,0x3117ffdc,
    0x3fe60077,0x7e554c3f,0x20aaabff,0x2a22fff9,0x0001bcdc,0x1dfffd00,
    0x00fffa80,0x27ffc400,0x813ffe00,0xffffffe9,0x6cfff93f,0x300005ff,
    0xffb13fff,0x007fffff,0x5c5fffd8,0x54004fff,0x7fec03ff,0x3ee0000f,
    0x5c0002ff,0x7fe40fff,0xffffffff,0x64bffe62,0xffffffff,0x3f200001,
    0xfc801fff,0x26ee626f,0x3fff9800,0x837ffc00,0xfffffffa,0x7ffdcfff,
    0x0000fffe,0x7f5fffcc,0xffffffff,0xfff1000d,0xdfffb19f,0x6ff88001,
    0x007ffec0,0x05fff700,0x37ff4400,0x7fffffe4,0x3e62ffff,0xffffdaff,
    0x01ffffff,0xffffb800,0x39ffb002,0xdffffffb,0x27ffc403,0x0dfff100,
    0x37bffff5,0xffffff75,0x88bffe2f,0x03deffdb,0x7fffffcc,0xffeb99bd,
    0x3fee006f,0x0effffff,0x01ffd000,0x0007ffec,0x005fff70,0x0ffff620,
    0x3fff2aa6,0x3e60aaab,0xadffffff,0x0fffffba,0x3ffe6000,0x3ffe004f,
    0xffffffff,0x3fe04fff,0x3fe6005f,0x3fffe87f,0xfffffd10,0x7d47ffe6,
    0xefffffff,0xfffff300,0x3fffa209,0x3fff2003,0x40004fff,0x3f602ffb,
    0x2e0000ff,0x31002fff,0x05ffffd9,0x401fff50,0x04fffff9,0x009fffb1,
    0x17fffe20,0xfffff880,0xfffedeff,0xfffb06ff,0x3fff2001,0x027ffdc7,
    0xfabffff4,0xffffb9ff,0x2fffffff,0x04ffff98,0x1006fff8,0x05fffffb,
    0x09ff3000,0x0007ffec,0x005fff70,0x3ffffffa,0x1fff5001,0x2ffffcc0,
    0x01bffe20,0x077fff40,0xdffff300,0xfffc8815,0x5fffb83f,0x7ffff980,
    0x4007ffec,0xff57fffb,0x137fff9f,0x1ffffd73,0x00ffff98,0x403fffb8,
    0xfffffffc,0xfff00006,0x007ffec0,0x05fff700,0x3fffffe0,0xffa800cf,
    0x3ffe600f,0x0fffb007,0x3ffff900,0x5fffb800,0x0ffffa80,0x00dfffe8,
    0x8fffffd3,0x3e004ffe,0xffff57ff,0x3f6201bf,0x7ffcc4ff,0x17ffe004,
    0x67ffff44,0x0004ffff,0xfb01ffd8,0x5c0001ff,0xdf002fff,0x5fffffd9,
    0x00fffa80,0x4017ffe6,0x5c007ffc,0x8002ffff,0x36002a98,0xff984fff,
    0xca9abeff,0x47ffdeff,0x36003fff,0xffff57ff,0xfffd001f,0x017ffcc3,
    0xd10dffd0,0x3ee3dfff,0x5ed42fff,0x1ffd4009,0x000fffd8,0x00bffee0,
    0x3ffffc80,0x803ffea0,0x7004fff9,0x26001fff,0x0004ffff,0x7ffc4000,
    0xfffff706,0x91dfffff,0x7ffccfff,0x5fff2002,0x002ffff9,0x7cc7fff5,
    0x3f6001ff,0x5fffd87f,0x21ffffd8,0x4402fffd,0xfffb05ff,0x7fdc0001,
    0x7d40002f,0xff500fff,0x7ffcc01f,0x1fff7003,0xbffff100,0x20000000,
    0x3a607ffe,0xefffffff,0x7d4dffb0,0x3ee001ff,0x0ffff37f,0x265fff80,
    0x32000fff,0x3fea0fff,0xfffd00ef,0x0ffff11d,0x7ec1ffa0,0x320000ff,
    0x80002fff,0xf504fffc,0x7fcc01ff,0xfff7002f,0xdfffd001,0x00000001,
    0x7003fff6,0xe837bfd9,0x3ffee6ff,0x5ffea000,0x4006fff8,0x3fe66ffe,
    0x7ffdc007,0x80bfffa0,0xfadffff8,0xff9005ff,0x03fff905,0x0fffe400,
    0x7ffc4000,0x01fff505,0x8017ffcc,0x6400fffb,0x0001ffff,0x3ff20000,
    0xff00000f,0x0fffd49f,0x7cfff700,0x7ec005ff,0x03ffe67f,0x7c7ffc80,
    0x7cc00fff,0x2fffffff,0x909ff300,0x40003fff,0x0001fffd,0x2a0dfff0,
    0x3e600fff,0xff7002ff,0x7ffd401f,0x0000002f,0x003ffec0,0x22fff880,
    0x2002fff8,0x3ffa7ffc,0x2fff4007,0x4003fff3,0x3fe26ffd,0xfff7005f,
    0xf800dfff,0x3fffb86f,0x3fffa000,0x74000880,0xfff507ff,0x17ffcc01,
    0x00fffb80,0x007ffff3,0x09fdd100,0x206ffe80,0x3ffee000,0x001fffc0,
    0x7fecfffb,0x3ffe000f,0x007ffe63,0x3e25ffe8,0x3f2006ff,0x4002ffff,
    0x7fcc0ffd,0xff10005f,0x27ff44ff,0x417ffe00,0x2600fffa,0xf7002fff,
    0xffd101ff,0x7c0000bf,0x3e6007ff,0x37fdc5ff,0xb0dffd00,0x7fc00dff,
    0x0bffea7f,0x30fffc40,0x26009fff,0x7ffc4fff,0x3ffa000f,0x7dc001ff,
    0x0ffff83f,0x5fffc800,0x30037ffc,0x3ea09fff,0x3fe600ff,0xfff7002f,
    0x1dfffb01,0x7fec0000,0xfffb001f,0x01fffa83,0xc82fffa8,0xfb802fff,
    0x37ff47ff,0x20fffc80,0xb007fff9,0xffd81fff,0xfff9004f,0x44003fff,
    0xfffd85ff,0x3fe2000e,0x7ffe42ff,0x5fffb001,0x803ffea0,0x7002fff9,
    0xffc81fff,0x400000ff,0x400efffa,0xf885fffb,0x7fcc05ff,0xdfff306f,
    0x7fffc401,0x02fffd47,0xf31bffe6,0xfa80bfff,0xfff984ff,0x7ffe401f,
    0x001fffff,0x3fe61ffa,0xfd3006ff,0xfff50dff,0xfffa801d,0x03ffea06,
    0x002fff98,0x7d41fff7,0x00001fff,0x03dfffb0,0x403ffff2,0xa81cfffd,
    0x3202ffff,0xf981efff,0xfe87ffff,0xffa80cff,0x7ffcc1ff,0xffb80dff,
    0xfff900ff,0xffda887f,0xfffffdff,0x03ff9001,0x7bfffff9,0x3ff2a623,
    0xff901fff,0x3ff203df,0x3fea01ff,0x3ffe600f,0x1fff7002,0x2b7fffe2,
    0xaaaaaaaa,0xaaaaaaaa,0xffffe882,0xffffdbcd,0x3ffa201f,0xfffdceff,
    0xffe803ff,0xffecceff,0xe987ffdf,0xecceffff,0xf983ffff,0xcefffdff,
    0x02ffffed,0x3fffffa2,0xffffffee,0x3fffff52,0x109ff500,0xfffffffb,
    0xffffffff,0xfffe805f,0xfffdbcdf,0x7fd403ff,0x3ffe600f,0x1fff7002,
    0x3fffffe2,0xffffffff,0xffffffff,0xfffd880f,0xefffffff,0xfffe9800,
    0x3fffffff,0x3ffff600,0xfbafffff,0xfffb107f,0x5fffffff,0x7e5ffe60,
    0xefffffff,0xffff9001,0x1dffffff,0x00efffa8,0x3206ff88,0xffffffff,
    0x01ffffff,0xfffffd88,0x01efffff,0x200fffa8,0x7002fff9,0x3fe21fff,
    0xffffffff,0xffffffff,0x200fffff,0xffffffea,0xffb8004e,0x00cfffff,
    0xffffea80,0x0fff71ef,0xfffffeb8,0x3fe601bd,0x3ffffb27,0x754000df,
    0x3dffffff,0x8003fe60,0x32600ffd,0xfffffffe,0xea8002df,0x4fffffff,
    0x03ffea00,0x002fff98,0x3e21fff7,0xffffffff,0xffffffff,0x00ffffff,
    0x001aa988,0x13555300,0x35530000,0x154c0000,0x15510000,0x2aa60000,
    0x00066001,0x26003995,0x009aaaa9,0x9ba98800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x015554c0,0x2aaa9800,0x00555544,0x82aaaa00,
    0x8001aaa8,0x8002aaaa,0x5530aaa9,0x54000035,0x2aaa22aa,0x2aaaaaa0,
    0xaaaaaaaa,0xaaaaaaaa,0x0155510a,0x2aaa8800,0x5542aaa2,0xaaaaaaaa,
    0x001aaaaa,0x551cc880,0x44000155,0xfff30aaa,0xf880007f,0xffd83fff,
    0x3f20006f,0x7ffcc4ff,0x7ffc4005,0x7ec000ff,0xbfff70ff,0x3fe60000,
    0x8bffe65f,0xffffffff,0xffffffff,0x2fffffff,0x0005fff3,0x2a7fffb8,
    0xfffd1fff,0xffffffff,0x017dffff,0x74bffa00,0x20005fff,0x3f22fffa,
    0x20000fff,0xf105fffd,0x50009fff,0x3fe0dfff,0x7fd4007f,0x7c002fff,
    0x3ffe26ff,0xfc80000f,0x3ffe62ff,0x3fffffe2,0xffffffff,0xffffffff,
    0x05fff32f,0x7fffb800,0x7f47ffea,0xffffffff,0xffffffff,0x7fec004f,
    0x7ffffd2f,0x3ffea000,0x02ffff42,0x0ffffa80,0x07fffea0,0x1ffff880,
    0x001fffb0,0x2fffffe4,0x89fff300,0x0003fffc,0x7cc7fff8,0x3fffe2ff,
    0xffffffff,0xffffffff,0xfff32fff,0xffb80005,0x47ffea7f,0xfffffffe,
    0xffffffff,0x7003ffff,0x3fa5ffff,0x8000ffff,0x7cc2fffa,0x44003fff,
    0xc802ffff,0xd000efff,0x7dc07fff,0x3fe002ff,0x2007ffdf,0x7cc1fffb,
    0x540006ff,0x66444fff,0x7fd4001c,0x7fcc004f,0x7dc0002f,0x3ffea7ff,
    0x400fffd1,0x2fffffb9,0x7ffffdc0,0xbfffffd2,0x5fff5000,0x01ffff90,
    0x02fffe40,0x009fffd0,0x880bfff9,0xf3004fff,0x03fff3ff,0x741fff60,
    0x20000fff,0x0001fffd,0x027ffd40,0x00bffe60,0x4ffff700,0xffd1fffa,
    0xffd1000f,0x3ffa20df,0xffd2ffff,0x8007ffff,0xfd02fffa,0x3e600bff,
    0x26000fff,0x2a02ffff,0xe800efff,0xff7006ff,0x400fffed,0xff705fff,
    0x3e20007f,0x800006ff,0x4004fffa,0x0002fff9,0xf53fffdc,0x1fffa3ff,
    0x7fffc400,0x7ffffdc0,0xfffd2fff,0x4001ffff,0xf302fffa,0xfd005fff,
    0xf70005ff,0xff101fff,0x3f2003ff,0xffd800ff,0x300dff94,0x3e207fff,
    0xf50006ff,0x000005ff,0x8009fff5,0x0002fff9,0xf53fffd4,0x1fffa3ff,
    0x2fffe800,0x5dffffd1,0x3ffa5fff,0x005fffde,0xc80bffea,0x3200ffff,
    0x20004fff,0xfe85fffe,0x3ea003ff,0xfff802ff,0x801fff51,0x3601fffb,
    0xd8001fff,0x555107ff,0xfffa8001,0x7ffcc004,0x55554402,0xa9fffea0,
    0xfffd1fff,0x7ffe4000,0x27ffff73,0xffd2fff9,0x07ffff1d,0x00bffea0,
    0x260bfffd,0x0000efff,0xc8ffffe2,0x44005fff,0x7d404fff,0x0bffe27f,
    0xa80fffb0,0x44004fff,0xff304fff,0xffa8005f,0x7fcc004f,0x3ffa202f,
    0x37ffcc5f,0x3fa3fff5,0x3ea0007f,0x3dff74ff,0xfe97ffcc,0x1ffff56f,
    0x05fff500,0x82ffff98,0x0001fffe,0x98ffffa8,0x8000efff,0x7e405ffe,
    0x027ff45f,0x3e013ffe,0x7dc007ff,0xfff301ff,0xfffa8005,0x7ffcc004,
    0x9fffd102,0x54dfff30,0xfffd1fff,0x7ffe4000,0xff305d72,0xd9bffa5f,
    0xfa805fff,0xffc802ff,0x27ffdc6f,0xfffb0000,0x003fffdb,0xd01fff20,
    0x7ffc87ff,0x00bffe60,0x800bfff2,0x3e606ffe,0x7d4002ff,0x7cc004ff,
    0xffe882ff,0xbfff104f,0xfe8fffd4,0x3fa0007f,0x7cc011ff,0x4dffd2ff,
    0x403ffff8,0xd002fffa,0x3fe27fff,0x4400006f,0x3ffffffe,0x3ffea000,
    0x81fff101,0xf701fff9,0xff3001ff,0x3fe6009f,0x3ffe603f,0x7ffd4002,
    0x7ffcc004,0x27fff442,0x549fff10,0xfffd1fff,0x3ffee000,0xfff9800f,
    0xfa8dffd2,0x3ea00fff,0xff3002ff,0x3fffb1ff,0xff300000,0x8000bfff,
    0xf703fff8,0x0fffe0df,0xd0037fec,0x3f200fff,0x3fe600ff,0x7fd4002f,
    0x7fcc004f,0x27ffec2f,0xf527ffc0,0x1fffa3ff,0xffff9100,0x3ffe6007,
    0xfb0dffd2,0x7fd40bff,0x3ff2002f,0x003fffef,0x3fff2000,0xfe80001f,
    0x09ffb05f,0x7fc17ff6,0x3fea004f,0x4fff802f,0x017ffcc0,0x013ffea0,
    0x6c5fff30,0xff004fff,0x8fffd47f,0xaaabfffe,0xfeccaaaa,0x2006ffff,
    0xffd2fff9,0x7ffff10d,0x00bffea0,0xdfffffd0,0x7c400000,0x0005ffff,
    0xff07ffb8,0x3ffee05f,0x00fffc40,0x80bfff10,0x4c01fffa,0x54002fff,
    0x4c004fff,0xfffb2fff,0x1fff4007,0x3fa3fff5,0xffffffff,0xffffffff,
    0x3e6001ef,0x0dffd2ff,0x203fffea,0x4002fffa,0x00fffff9,0x3ff60000,
    0x0003ffff,0x2607ffcc,0xff300fff,0x07ffa85f,0x00fffc80,0x2601bff6,
    0x54002fff,0x4c004fff,0xfffdafff,0x17ff4004,0x3fa3fff5,0xffffffff,
    0xffffffff,0xfff98003,0x6c0dffd2,0xffa86fff,0xffc8002f,0x2000003f,
    0xfffefffb,0x7fc0001f,0x02ffe42f,0xff90fffe,0xfff3000b,0x0fffe207,
    0x00bffe60,0x009fff50,0xffffff98,0x36000fff,0x3ffea2ff,0xffffffd1,
    0x9dffffff,0x26000159,0xdffd2fff,0x1ffffc40,0x000bffea,0x000bffee,
    0x7fffcc00,0x00efffd8,0xd13ff600,0xffc807ff,0x001fff45,0xf706ffe8,
    0xff3001ff,0xffa8005f,0x7fcc004f,0x5fffffff,0xa87ff600,0xfffd1fff,
    0x98000000,0xdffd2fff,0x0ffffa80,0x000bffea,0x000bffee,0x3fffa200,
    0x09ffff12,0x137fdc00,0xfa803fff,0x07ffe27f,0x07ffdc00,0x9802fff4,
    0x54002fff,0x4c004fff,0xfebfffff,0xff9002ff,0xe8fffd43,0x000007ff,
    0xe97ffcc0,0xffd806ff,0x0bffea6f,0x0bffee00,0x3ff60000,0x7fffd45f,
    0xfff30002,0x201ffea1,0xff50fff8,0x7fc4000f,0x17ffcc3f,0x02fff980,
    0x027ffd40,0x4bfffe60,0x800ffff9,0x3fea0ffb,0x00fffd1f,0xff980000,
    0x00dffd2f,0x2a7ffff1,0xb8002fff,0x00002fff,0x4077ffdc,0x000ffffc,
    0x3f65fff0,0x5ffd004f,0x00013ff2,0xffc8dffb,0x3ffe6007,0x7ffd4002,
    0x7ffcc004,0x02fffdc3,0xff507fdc,0x01fffa3f,0xff300000,0x01bffa5f,
    0x547fffd4,0xb8002fff,0x00002fff,0x807fffe6,0x0005fffe,0x3ffe7ffb,
    0x29ff9002,0x40002ffe,0x3fe1fffa,0x3fe6004f,0x7fd4002f,0x7fcc004f,
    0x2fffe82f,0x3ea264c0,0x0fffd1ff,0xf9800000,0x0dffd2ff,0x577ffec0,
    0xb8002fff,0x00002fff,0x807fffd1,0x003ffff9,0xff9dffb8,0xdff3000f,
    0x00003ffe,0x7fcd3ffe,0x3fe6000f,0x7fd4002f,0x7fcc004f,0xffff982f,
    0xfffa8000,0x000fffd1,0xfff98000,0x400dffd2,0xffeffff8,0xffb8002f,
    0xfb00002f,0x3ee00dff,0x44001fff,0x06ffbfff,0x7fd7ffc0,0xff900006,
    0x0017ff2d,0x8005fff3,0x4004fffa,0xf902fff9,0xf5000bff,0x1fffa3ff,
    0xf3000000,0x1bffa5ff,0xfffff500,0xf70005ff,0x500005ff,0x4001ffff,
    0x8006fffd,0x04ffeffe,0x7feffec0,0xff100004,0x005fff3f,0x002fff98,
    0x0027ffd4,0xe80bffe6,0x33302fff,0xe8fffd41,0x000007ff,0xe97ffcc0,
    0xfd8006ff,0x002fffff,0x002fffb8,0x17fffc40,0x3fffe200,0x7ffe4004,
    0x7dc001ff,0x0001ffff,0x3ff7ff60,0xfff98007,0x7ffd4002,0x7ffcc004,
    0x3fffe602,0x537ffcc0,0x3ffa3fff,0x40000007,0xffd2fff9,0xfff1000d,
    0x70005fff,0x80005fff,0x0005fffe,0x005ffff5,0x03ffffd4,0x3ffffcc0,
    0x3fea0000,0x98004fff,0x54002fff,0x4c004fff,0x7e402fff,0x7ffcc5ff,
    0x747ffea6,0x000007ff,0xe97ffcc0,0xf50006ff,0x0005ffff,0x0005fff7,
    0x0077ffe4,0x1ffffb00,0x3fffe200,0xfffd0005,0xff00000b,0x30003fff,
    0xa8005fff,0x4c004fff,0x7c402fff,0x3fe62fff,0x47ffea6f,0x00007ffe,
    0x97ffcc00,0x20006ffe,0x002ffffd,0x002fffb8,0x03ffff50,0xfffe8800,
    0x3fffa005,0xfff90003,0xf9000007,0x26000dff,0x54002fff,0x4c004fff,
    0xfa802fff,0xfff30fff,0xe8fffd4d,0x000007ff,0xe97ffcc0,0x220006ff,
    0x0002ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55540000,0x500002aa,0x2aa15555,0xaa80002a,
    0x2a60002a,0x03801aaa,0x54c6aaa2,0x260000aa,0x98800aaa,0x4c009acb,
    0xaaaaaaaa,0xaaaaaaaa,0x55530aaa,0x55555555,0x55555555,0x55555435,
    0xaaaaaaaa,0x554c001a,0xaaaaaaaa,0x009aaaaa,0x44aaaa20,0x3ffe2aaa,
    0x40001fff,0xf0fffffa,0xf0000dff,0x2a000dff,0x5405ffff,0x3ffe207e,
    0x003fffb5,0x017ffdc0,0xffffffd5,0x3ff203df,0xffffffff,0xffffffff,
    0xfffffb1f,0xffffffff,0x9fffffff,0x7ffffff4,0xffffffff,0xffd800cf,
    0xffffffff,0xefffffff,0x5fffa803,0x7fcdfff3,0x0004ffff,0x87ffffec,
    0x80006fff,0xa8006fff,0x5c05ffff,0x3fe207ff,0x03fffb5f,0x17ffdc00,
    0x7ffffec4,0x0dffffff,0x7fffffe4,0xffffffff,0xfb1fffff,0xffffffff,
    0xffffffff,0x7ff49fff,0xffffffff,0xcfffffff,0x3ffff600,0xffffffff,
    0xefffffff,0x57ffea01,0x3fe6fff9,0x0006ffff,0x3fffffe2,0x000dfff0,
    0x800dfff0,0x805ffffa,0x3e207ffc,0x3fffb5ff,0x7ffdc000,0xdffffe82,
    0xffffdcac,0x7ffffe45,0xffffffff,0xb1ffffff,0xffffffff,0xffffffff,
    0x7f49ffff,0xffffffff,0xffffffff,0xfffb01ff,0xdddddddd,0xfffffddd,
    0x3fea01ff,0x4dfff35f,0x1fffffff,0xffff5000,0x1bffe1ff,0x1bffe000,
    0x5ffffa80,0x40fff900,0xffb5fff8,0x7dc0003f,0x7ffe42ff,0xfffd500d,
    0x00fffe47,0x0fffd800,0x7ff40000,0xfdb98807,0xfd81ffff,0x6cc000ff,
    0xd304ffff,0x3bba69dd,0x3ffbffe4,0xffb0004f,0x3fe1ffff,0xff80006f,
    0xfff5006f,0x7fe4009f,0x57ffe207,0x0001fffd,0xf98bffee,0xff8806ff,
    0x3fff90ff,0x3ff60000,0x7400000f,0xfa8007ff,0x7ec0ffff,0xf70000ff,
    0x40000fff,0x6ffcefff,0xcfff8800,0xdfff0fff,0xdfff0000,0x9ffff500,
    0x07ffc800,0x7ed7ffe2,0x2e0001ff,0x3fee2fff,0xfff7001f,0x007fff23,
    0x07ffec00,0x3ffa0000,0xfff30007,0x0fffd87f,0x3fff6000,0xfff00001,
    0x003fff3d,0xffccffb8,0x00dfff0f,0x80dfff00,0x004ffffa,0x5fffb551,
    0x7ffc4355,0x003fffb5,0xb17ffdc0,0x7cc00fff,0x3fff93ff,0x3ff60000,
    0x7400000f,0x2a0007ff,0x3f60ffff,0x2e0000ff,0x00003fff,0x3ffedfff,
    0x57fec004,0xfff0fffc,0xfff0000d,0x7fffd40d,0x3ffe6004,0x24ffffff,
    0xffb5fff8,0x7dc0003f,0x17ffe2ff,0x94fff880,0x00003fff,0x0003fff6,
    0x00fffd00,0x23fffd80,0x0000fffd,0x0017ffe6,0xfcb7ffc0,0x3fe2006f,
    0x3e1fff97,0xf80006ff,0xfff506ff,0xff98007f,0x4fffffff,0x7ed7ffe2,
    0x2e0001ff,0x04c42fff,0x27fff300,0x0001fffc,0x001fffb0,0x07ffe800,
    0x2fffd400,0x0001fffb,0x0027ffdc,0xf36fff80,0x3ee003ff,0x21fff94f,
    0x80006fff,0xffa86fff,0xa88003ff,0xaaafffda,0x6d7ffe21,0x20001fff,
    0x0002fffb,0xf91fffb8,0x200003ff,0x0000fffd,0x003fff40,0xd9fffe20,
    0x20000fff,0x0003fffd,0x7fcdfff0,0x3ffd004f,0x7fc3fff2,0xff80006f,
    0x7fffd46f,0xffc80003,0x57ffe207,0x0001fffd,0x000bffee,0x643fffa0,
    0x00001fff,0x0001fffb,0x007ffe80,0xb1fffe80,0x20001fff,0x001ffffa,
    0x64dfff00,0xff8806ff,0x7c3fff27,0xf80006ff,0x3ffea6ff,0xf900005f,
    0x7ffc40ff,0x557fffb5,0x55555555,0xfffb5555,0xffb80005,0x07fff24f,
    0x7ffec000,0x7f400000,0xfd80007f,0x1fffb2ff,0xffff9000,0x7fc00009,
    0x07ffe66f,0x7e49ff70,0x0dfff0ff,0x2dfff000,0x1ffffffa,0x7ffc8000,
    0x6d7ffe20,0xffffffff,0xffffffff,0x02ffffff,0x3fffe600,0x3bbfff20,
    0xeeeeeeee,0x7ec0eeee,0xffffffff,0xffffffff,0x3fff43ff,0x7ffe4000,
    0x557fffb2,0xb9755555,0x1dfffffd,0x7ffc0000,0x2027ffc6,0x3ff21ffe,
    0x00dfff0f,0xf7dfff00,0x1dffffff,0x7ffc8000,0x6d7ffe20,0xffffffff,
    0xffffffff,0x02ffffff,0x5ffff300,0xffffffc8,0xffffffff,0x7fec0fff,
    0xffffffff,0xffffffff,0x03fff43f,0x9fffdc00,0xfffffffd,0xffffffff,
    0x000dffff,0x237ffc00,0x3e206ffc,0x87ffe46f,0x80006fff,0xffffffff,
    0x005fffea,0x103ffe40,0x3ff6bfff,0xffffffff,0xffffffff,0x8002ffff,
    0xc84ffff9,0xffffffff,0xffffffff,0x7fffec0f,0xffffffff,0x3fffffff,
    0x0003fff4,0xfd9fffdc,0xffffffff,0xffffffff,0xf000002e,0xfff98dff,
    0xc87ff701,0xdfff0fff,0xffff0000,0x3fe65fff,0x320002ff,0x3fe207ff,
    0x35fffb5f,0x33333333,0xff933333,0xff98005f,0xfff905ff,0x9999999b,
    0xb0999999,0x55557fff,0x55555555,0xffe81555,0xffc80007,0xfffffb2f,
    0xffffffff,0x000015df,0xf86fff80,0x3ffd04ff,0xff0fffc8,0xff0000df,
    0xfc83ffff,0x90000fff,0x7fc40fff,0x03fffb5f,0x17ffdc00,0xbffff500,
    0x00fffe40,0x0fffd800,0x7ff40000,0xffe80007,0x01fffb1f,0x06ffff54,
    0x41333100,0x3ffe0999,0x986ffc86,0xfffc86ff,0x000dfff0,0x03fffff0,
    0x001bfffa,0xf103ffe4,0x3fff6bff,0x3fee0001,0xfff7002f,0xfffc809f,
    0xffb00001,0xe800001f,0xf80007ff,0xfffb0fff,0xffffb001,0x3ffea003,
    0x7cdfff35,0xfff986ff,0x641ffdc1,0xdfff0fff,0xffff0000,0x7fffc403,
    0x7ffc8004,0x6d7ffe20,0x20001fff,0xc802fffb,0xc803ffff,0x00001fff,
    0x0001fffb,0x007ffe80,0xb3fffc40,0x36001fff,0xa800ffff,0xfff35fff,
    0xe837ffcd,0x07ff44ff,0xff87ffe4,0xff80006f,0xfffb806f,0x7fe4002f,
    0x57ffe207,0x0001fffd,0x880bffee,0x002ffffd,0x0003fff9,0x003fff60,
    0x0fffd000,0x6fff9800,0x8003fff6,0xa806fffe,0xfff35fff,0xc837ffcd,
    0x1bfe66ff,0xff87ffe4,0xff80006f,0xfffb006f,0x7fe4001f,0x57ffe207,
    0x0001fffd,0x440bffee,0x001ffffe,0x0007fff2,0x007ffec0,0x1fffa000,
    0x7fffb000,0x0007ffec,0x80bffff3,0xff35fffa,0x837ffcdf,0xff91fff9,
    0x43fff207,0x80006fff,0xf1006fff,0x6400bfff,0x3fe207ff,0x03fffb5f,
    0x17ffdc00,0x077fff44,0x07fff200,0x7ffec000,0x7f400000,0x3e60007f,
    0x3ff60fff,0x7fe4000f,0x4fa802ff,0x206fff80,0x1fff4ffe,0x7c3fff20,
    0xf80006ff,0x3ea006ff,0xf9003fff,0x7ffc40ff,0x003fffb5,0x417ffdc0,
    0x000efffe,0x001fffc8,0x01fffb00,0x7ffe8000,0x3fffa000,0x007ffec4,
    0x07ffff40,0x8888ff20,0xc81bffe0,0x05ff9eff,0x7fc3fff2,0xff80006f,
    0x7fe4006f,0xffb801ff,0xbfff100f,0x0007fff6,0x5c2fffb8,0x0000efff,
    0x0003fff9,0x003fff60,0x0fffd000,0x3ffff200,0x007ffec0,0x2ffffcc0,
    0x7fcc7fa0,0x81bffe6f,0x2ffefff9,0x7c3fff20,0xf80006ff,0xfe8006ff,
    0x7dc00fff,0x22099dff,0xfffb5fff,0x7fdc0003,0x3fffe22f,0x3ff20000,
    0xfb00001f,0x800001ff,0x54007ffe,0xd84ffffe,0x70000fff,0x3205ffff,
    0x9bffe67f,0x7f406fff,0x3200ffff,0xffff0fff,0x55555555,0x21555555,
    0x98006fff,0x4c05ffff,0x25ffffff,0xffb5fff8,0x7dc0003f,0x3fff62ff,
    0xaaaaaaac,0x91aaaaaa,0x00003fff,0x2aaffff6,0xaaaaaaaa,0x0aaaaaaa,
    0x5557fffd,0xffdb9755,0x3609ffff,0x20000fff,0xfa86fffe,0x9bffe60e,
    0x7e406fff,0x7e405fff,0xfffff0ff,0xffffffff,0x3e7fffff,0xf70006ff,
    0xfd807fff,0x3e26ffff,0x3fffb5ff,0x7ffdc000,0xffffff32,0xffffffff,
    0x3f2bffff,0xb00001ff,0xffffffff,0xffffffff,0x3a3fffff,0xffffffff,
    0xffffffff,0x3ff604ff,0x3e60000f,0x40c84fff,0x3fe6fff9,0x7ffcc06f,
    0x7ffe402f,0xfffffff0,0xffffffff,0x3ffe7fff,0x3ffa0006,0x7f6401ff,
    0x3ffe27ff,0x003fffb5,0xb97ffdc0,0xffffffff,0xffffffff,0x3fff95ff,
    0x3ff60000,0xffffffff,0xffffffff,0xfffd1fff,0xffffffff,0x03bfffff,
    0x000fffd8,0x0ffffe40,0x1bffe000,0x003fffa0,0x3fe1fff9,0xffffffff,
    0xffffffff,0x000dfff3,0x077fffc4,0x3e20cc40,0x3fffb5ff,0x7ffdc000,
    0xffffff92,0xffffffff,0x3f2bffff,0xb00001ff,0xffffffff,0xffffffff,
    0x3a3fffff,0xffffffff,0x0bcdefff,0x01fffb00,0xffff8800,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55550000,0x55555555,0x00000135,0x0006aaaa,0x2aa88000,
    0x00000000,0x79dfdb93,0xecba8003,0x10001acd,0x80579d95,0x3000aaa8,
    0xb9880555,0x0009bcec,0x9bd97510,0x51000135,0x01379db7,0xf0099988,
    0xffffffff,0x7dffffff,0x7fc40000,0x000006ff,0xf81fff60,0xffffffff,
    0xffffffff,0x3ff6607f,0xcfffffff,0x7fff5400,0x00efffff,0xffffec88,
    0xf502efff,0x3f2003ff,0x3ffea07f,0x01ffffff,0x3ffff620,0x02efffff,
    0x3ffffee0,0x2a02ffff,0xfff05fff,0xffffffff,0x0bffffff,0x3ffee000,
    0x000001ff,0x207fffa8,0xffffffff,0xffffffff,0xfff507ff,0xffffffff,
    0x3fee05ff,0xffffffff,0x3fa203ff,0xffffffff,0xfffa83ff,0x0fff9001,
    0xffffffb1,0x009fffff,0xfffffff7,0x09ffffff,0xfffffe98,0x0dffffff,
    0xf05fffa8,0xffffffff,0xffffffff,0xe80001bf,0x004fffff,0x7ffc4000,
    0x3fffe07f,0xffffffff,0x87ffffff,0x0aeffff8,0x1ffffd73,0x9bffff98,
    0xffffec99,0xeffff880,0xfffeb9ab,0x0fffd42f,0xe87ffc80,0xa9abffff,
    0x205ffffc,0x9acffffb,0xffffeba9,0xdfffd100,0xfff95357,0xbfff50df,
    0x201bffe0,0x5ffffc98,0x3ffe6000,0x0000fffb,0x3ffffa00,0x2aaaaa07,
    0xaaaaaaaa,0xe82fffea,0x7ec04fff,0x7ffec6ff,0x13ffee00,0x4037fff6,
    0x7d47fffa,0xff9001ff,0x0dfffb8f,0x03fffd10,0x9003fffa,0x3f209fff,
    0xfd300dff,0xfffa87ff,0x00dfff05,0x00ffffa8,0xf1bff900,0x000007ff,
    0x1fffffee,0xfff70000,0x0dfff509,0xf87fffa0,0xffe804ff,0x037ffcc7,
    0xf517ffec,0x3f2003ff,0x1bffe27f,0x5437ff40,0xff002fff,0xbfff50df,
    0x1ffff100,0x3fe09f50,0xffb8006f,0xfff0002f,0x001bffa7,0x3bffe600,
    0x200007ff,0xf905fff9,0x3e6003ff,0x13ffe3ff,0xf906aea0,0xff3005ff,
    0x0fffd4bf,0x327ffc80,0xf5001fff,0x6ffc85ff,0x21fff600,0x7001fffe,
    0x7f909fff,0x001bffe0,0x0013ffe6,0x7dc3ffea,0x400001ff,0x7ffdbffe,
    0xffd10000,0x1fffa01f,0x25fff880,0x0002fffe,0xa801bffa,0x0fffd409,
    0x3a7ffc80,0x7fc006ff,0xc800204f,0x5fff87ff,0x437ff400,0xdfff01fe,
    0xbfff1000,0x4dffb000,0x0005fff8,0x7ed7ff20,0xf900007f,0x372205ff,
    0x7ffc004e,0x37fffee5,0x3fe2001b,0xfa80004f,0xff9001ff,0x0027ffcf,
    0x00017ff6,0x88fffd51,0x6c003fff,0x03fe47ff,0x3000dfff,0x88005fff,
    0x7fec4fff,0xfa80000f,0x0fffb0ff,0xbfff3000,0x3e600000,0x3ffa23ff,
    0x0aceffff,0x00fffe60,0x07ffea00,0xf8bffe40,0xeeeeeeff,0xffeeeeee,
    0x9531007f,0xffffffdb,0x002fffa8,0xfa87ffe4,0x1bffe00e,0x03fff200,
    0x83fff700,0x0003fffa,0xfb17ffc4,0xfd0000ff,0x000003ff,0xb107ffee,
    0xffffffff,0xfff305bf,0xff500005,0x3ff2003f,0xffffff57,0xffffffff,
    0x4c0fffff,0xffffffec,0x5c7fffff,0x5c001fff,0x00321fff,0xa800dfff,
    0xe8005fff,0xdfff06ff,0x5ffd8000,0x0003ffec,0x0013ffee,0x37ffcc00,
    0xfffffb50,0xfa89ffff,0xa80002ff,0xf9001fff,0x3fffeeff,0xffffffff,
    0x0fffffff,0x7ffffec4,0xfdbeffff,0x07ffe47f,0x0bffea00,0x40dfff00,
    0xfffda998,0xfff98005,0x03fff903,0x03ffee00,0x8000fffb,0x0000ffff,
    0x1ffff980,0xfffda880,0xf30effff,0x500007ff,0x36003fff,0x7fff57ff,
    0x33333333,0x83333333,0xefffffe8,0x3ff209bc,0x00fffdc7,0x447ffee0,
    0xfff02aaa,0xffffffff,0x09ffffff,0x03fff600,0x002fffcc,0x6c17ffc4,
    0x2a0007ff,0x00005fff,0x03ffffa8,0xfffd7300,0x13ffe25f,0x3ffea000,
    0x2fffb001,0x0003fff9,0x2bbfff60,0x23ffec00,0x4002fffa,0xff10fffc,
    0x3fffe0ff,0xffffffff,0x002fffff,0x405fff88,0x4000fffe,0xffb04ffe,
    0x7fec000f,0x5400001f,0x0003ffff,0x7c9fff90,0x36a004ff,0x07ffea2c,
    0xff3fff40,0x7c00009f,0xff000eff,0x3fff88ff,0x87ffec00,0xff07fff8,
    0xffffffff,0xffffffff,0x7fdc003d,0x7ffdc02f,0x1bff2003,0x0007ffd8,
    0x000dfff1,0x3ffffa80,0x200db930,0x3fa6fff8,0x3ff6007f,0x00bffe67,
    0xfe9fffe2,0x66ec006f,0x013ffe63,0x7c3fffc4,0x3e2006ff,0x3ffe25ff,
    0x55ffff07,0x95555555,0x05fffffb,0x201fffa0,0x3006fff8,0x7ec03fff,
    0xff70007f,0x4400007f,0x2e02ffff,0xfd001fff,0x1fffdcbf,0x327ffc40,
    0xf7009fff,0x7ffe4fff,0x9fff9003,0x801fffdc,0xfd87fffb,0xff9002ff,
    0x3fffc47f,0x4006fff8,0x00ffffe9,0x4cefffcc,0xe9999999,0x74402fff,
    0x7fec04ff,0xfffd0007,0xffc80000,0x7ffc402f,0x3fffa806,0x20077ff4,
    0x3e21fffc,0x3ea01fff,0x3fe27fff,0x7fcc01ff,0x3ffe61ff,0xffffb806,
    0x77ffc40f,0x7fffcc00,0x41bffe20,0x88006fff,0x6404fffd,0xffffffff,
    0xffffffff,0x37fe405f,0x003ffec0,0x0027ffd4,0x017ffe00,0x806fffec,
    0x540fffe9,0xf901ffff,0xfff90bff,0xfffb883d,0x7ffd47ff,0xffea883f,
    0x7fffc45f,0x3fffee03,0xfffb80ff,0xffff701f,0x20bfff05,0x50006fff,
    0xff80ffff,0xffffffff,0xffffffff,0x9fff500f,0x55555555,0x5555fffd,
    0x03fffb00,0x7ffc4000,0xfffd1002,0xffd999bf,0x3ff607ff,0xffdcceff,
    0xff980eff,0xffedffff,0xd87ffaef,0xdcdeffff,0x706fffff,0x77bfffff,
    0xff9ffffd,0x3fffa03f,0xfffdcdef,0x9ffd04ff,0x001bffe0,0x500ffff8,
    0xffffffff,0xffffffff,0x3ee09fff,0xffffffff,0xffffffff,0x7fc406ff,
    0x5400005f,0x26000fff,0xffffffff,0x5c02ffff,0xffffffff,0x3ea00eff,
    0xffffffff,0x707ff98e,0xffffffff,0x6c01dfff,0xffffffff,0x9fff0dff,
    0x7ffffdc0,0x03ffffff,0x7fc0bff6,0x3fa0006f,0xfffb01ff,0xfff98001,
    0xfffff707,0xffffffff,0x0dffffff,0x002fffb8,0x07ffdc00,0x7fffdc00,
    0x000defff,0xffffffb3,0x3f62005f,0x30ceffff,0x7ec40fff,0x2effffff,
    0xffffd500,0xffd85dff,0x7ffecc07,0x400bdfff,0xfff01ffb,0x7ffc000d,
    0x0dfff107,0x0bfffa00,0x3fffffee,0xffffffff,0x406fffff,0x0000fffd,
    0x00377540,0x026aa620,0x13551000,0x0554c000,0xaa988000,0x55300009,
    0x10000035,0xfa800355,0x01bffe07,0x837ffcc0,0x0003fffb,0x000bfff5,
    0x001fff60,0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff000000,0x3fa000df,0xfffd04ff,0x3fe20001,0xd80000ff,0x3e2007ff,
    0x000005ff,0x33332000,0xbbbbb983,0x001bbbbb,0x00000000,0x00000000,
    0x00000000,0x00dfff00,0x1ffffd98,0x005fff98,0x027ffe40,0x03ffec00,
    0x009fff50,0x13331000,0x3fffe600,0x7ffffe40,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x55ffff00,0x99755555,0x07fffffd,0x000bfff2,
    0x00ffff30,0x00fffb00,0x0017ffe4,0x17ffec00,0x89fff700,0xfffffffc,
    0x00002fff,0x00000000,0x00000000,0x00000000,0xffffffff,0xffffffff,
    0x7fc09fff,0xfd00007f,0xd80005ff,0x3f2007ff,0x800001ff,0x4002fffd,
    0x3f20fffc,0xffffffff,0x0000002f,0x00000000,0x00000000,0xff000000,
    0xffffffff,0xdfffffff,0x27ffd405,0xfffb8000,0x7fec0005,0x1fff6007,
    0x7fec0000,0xffd8002f,0x22222223,0x00008888,0x00000000,0x00000000,
    0x00000000,0x3fffffe0,0xeeffffff,0xffd801cc,0xf100001f,0x40003fff,
    0x3a007ffd,0x000006ff,0x0005fffb,0x0001ffd1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55510000,0x9bddba88,0x88555100,
    0x4401bdca,0x880bcddb,0x2f6e62aa,0x80155541,0x55002aaa,0x02aaa215,
    0xa8555300,0x53001aaa,0xaaa88355,0xaaaaaaaa,0x062aaaaa,0x00000000,
    0x26620030,0x7fc40000,0x4c00001f,0x3fff27ff,0x981effff,0x3fff67ff,
    0x7443ffff,0x2effffff,0xffabffd4,0xff90efff,0xfff9801f,0x0fffa807,
    0x8009fff1,0x7fdc5ffe,0xfff9806f,0x7fffd40f,0xffffffff,0x3f67ffff,
    0x0000000c,0x00bf9100,0x00017ff6,0x000bfff7,0xfb7ff980,0xffffffff,
    0xb7ff987f,0xffffffff,0x3fffa25f,0x21ffffff,0xfff9fffa,0x3fea6fff,
    0x7ffdc02f,0x37fe401f,0x9801fff6,0xffd82fff,0x7fff404f,0xfffffa82,
    0xffffffff,0x3ff67fff,0x000001df,0xbfffb300,0x017ff600,0x1ffffd00,
    0x7fcc0000,0xbaceffdf,0x20fffffd,0xeffefff9,0xffffdbac,0xcabcfffa,
    0x3ea6ffff,0xfffffeff,0x027ffc3f,0x00fffff6,0xffa87fff,0xfff9002f,
    0x07fffe20,0x9827ffe4,0xcccccccc,0xfffebccc,0x3fffff64,0x000000be,
    0xfffffeb8,0x0bffb005,0x7fffd400,0x2600004f,0x103fffff,0x7cc7fffd,
    0xf903ffff,0x101dffff,0x3ea3ffff,0x731cffff,0x406ffd81,0x205fffff,
    0xff81fff9,0x9fff005f,0x437ffd40,0x0006fffa,0x317ffee0,0xfffffff9,
    0x88000019,0xfffffffc,0xbffb001c,0x6ffec000,0x00000fff,0x809ffff3,
    0x3e66fff9,0x3e204fff,0x2a00ffff,0xfff52fff,0x3fea009f,0xffff300f,
    0x37fdc0ff,0x400fffc8,0x6c01fffa,0x3fe24fff,0x500001ff,0x5401dfff,
    0xdffffffe,0x7ed40002,0x0befffff,0x02ffec00,0xe8fff980,0x300003ff,
    0xd001ffff,0x7ffccfff,0x3fffd806,0xa9fffcc0,0x1000ffff,0x3ee07fff,
    0xd01fffcf,0x3fe609ff,0x37fec02f,0x8ffff440,0x0003fffd,0x01ffff30,
    0x3ffff260,0x1000beff,0xffffffd7,0x7ec00039,0xff90005f,0x001bfea9,
    0x02fffcc0,0x3e67ffd8,0xffc804ff,0x7ffc401f,0x00bfff54,0xfd05ffe8,
    0x107ffd3f,0x7f403fff,0x3ffe205f,0xdfff3003,0x000bfff7,0x07fffe20,
    0x3ffae200,0x301cffff,0xdffffff9,0xfb000017,0xff1000bf,0x017ffc3f,
    0x27ffcc00,0x267ffc80,0xfc803fff,0xfff800ff,0x009fff54,0xf887ffb8,
    0x50bff97f,0xffb80fff,0x1fff700f,0x7fffe400,0x80000eff,0x002fffe8,
    0xffffda80,0xffb52eff,0x005bffff,0x99999988,0x999dffd9,0xfb809999,
    0x037fe46f,0x1fffcc00,0x267ffc80,0xfc802fff,0x9fff007f,0x000fffea,
    0xfa83fff3,0xb0fff55f,0xff8809ff,0x0bffd03f,0xfffffd00,0x3fa00003,
    0x400004ff,0x5fffffb8,0x17fffffb,0x3fff6000,0xffffffff,0x5fffffff,
    0x7c43fff8,0x4c0001ff,0xf9002fff,0x17ffccff,0x803ffe40,0xfff54fff,
    0x7ffd0005,0xff13ffc8,0x02fff83f,0xf886ffd8,0xf98002ff,0x00004fff,
    0x000bfffb,0x7fff4400,0x01bfffb5,0xffffd800,0xffffffff,0x45ffffff,
    0xfd80fffa,0x7cc0005f,0xff9002ff,0x017ffccf,0xf803ffe4,0x3fff54ff,
    0x8dff9000,0x3ffa1ffe,0x401ffe63,0x7dc1fffa,0xff50007f,0x90000dff,
    0x0000dfff,0x3ffff260,0xfffffb5f,0x3f600039,0xffffffff,0xffffffff,
    0x827ff45f,0x0000fffa,0x400bffe6,0x3fe67ffc,0x7ffc802f,0x2a9fff00,
    0x98001fff,0xfff10fff,0x3f25ffb8,0x3ffe005f,0x0027ff44,0x7fffffc4,
    0x3fee0004,0x400000ef,0xffffffea,0xffff931c,0x88005dff,0xd9999999,
    0x99999dff,0x3ffe6099,0x013ffa01,0x02fff980,0x7ccfff90,0xffc802ff,
    0x29fff007,0x0001fffa,0x3fee5fff,0xe87ffcc5,0x3f2002ff,0x07ffe66f,
    0x3bfff600,0xa8001fff,0x0001ffff,0xfffff910,0x2e2017ff,0xcffffffe,
    0xffd80000,0x1bff6005,0x000fff70,0x8017ffcc,0x3fe67ffc,0x7ffc802f,
    0x2a9fff00,0xb0001fff,0x0fff69ff,0x3fe6bffe,0x3fe6000f,0x00dff91f,
    0xf1bfff50,0x4c001dff,0x0002ffff,0xfffffda8,0x6d4002df,0x2dffffff,
    0x17ff6000,0x01fffc40,0x000fffe2,0x8017ffcc,0x3fe67ffc,0x7ffc802f,
    0x2a9fff00,0x50001fff,0x03ffefff,0x3fef3ff6,0x4ffe8005,0x88007fff,
    0xff70ffff,0x3fe200bf,0x220003ff,0xffffffeb,0x64c0001c,0xbeffffff,
    0x2ffec000,0x00fffc80,0x0006ffd8,0x2005fff3,0x3fe67ffc,0x7ffc802f,
    0x2a9fff00,0x10001fff,0x0fff5fff,0x3ff7bfee,0xeffb8003,0x4000fff9,
    0x7ec2fffd,0x7f4402ff,0x930004ff,0x7fffffff,0xb8800001,0xcffffffe,
    0x0bffb001,0x40026620,0x30001998,0x32005fff,0x3ffe67ff,0x07ffc802,
    0x3ea9fff0,0x360001ff,0x304ffeff,0x01ffffff,0xfdfff100,0xffb800bf,
    0xffff885f,0x13fff600,0xffffd800,0x000002df,0xfffffb50,0x17ff600b,
    0x00000000,0x005fff30,0xff99fff2,0x7ffc802f,0x2a9fff00,0x20001fff,
    0x02fffffb,0x01bffffe,0xfffffd80,0x3ffe6002,0xbfff700f,0x117fff20,
    0x33333333,0x33fff613,0x00000001,0x00bfff93,0x00017ff6,0xf3000000,
    0x3f2005ff,0x0bffe67f,0x401fff20,0xfff54fff,0x7fc40003,0x3f600fff,
    0x20003fff,0x007ffffa,0x2017fff4,0x7cc3fffe,0xffffffff,0xffffffff,
    0x0017db5f,0x22000000,0xffb005eb,0x0000000b,0x2fff9800,0x4cfff900,
    0xfc802fff,0x9fff007f,0x0007ffea,0x80dfffd0,0x001ffffb,0x027fffc0,
    0x00bfff90,0x4c3ffff1,0xffffffff,0xffffffff,0x000035ff,0x01800000,
    0x00013310,0x98000000,0xf9002fff,0x17ffccff,0x803ffe40,0xfff54fff,
    0xffc80003,0x7ffc404f,0xffc80006,0xfff3001f,0x3fee001f,0x3fffe66f,
    0xffffffff,0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xec800000,0xeeeeeeee,0xeeeeeeee,0x0bfee04e,0x54455550,0xdca881aa,
    0x062000ac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffb00000,0xffffffff,0xffffffff,0x00ffdc0b,0x7dcffff1,0x7ffe44ff,
    0x402dffff,0x000001fa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffec,0xffffffff,0x2a05ffff,0x3fe200ff,0x53ffee7f,
    0xffffffe8,0x89cfffff,0x001ffda8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66654000,0xcccccccc,0x3ccccccc,0x13fcc2b6,
    0x3fffc497,0x3e69fff7,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x9ffacfff,
    0xff10fffc,0xa7ffdcff,0xb98adff9,0xfffffffd,0x000fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffc8,
    0x12ffffff,0x7fd4ffff,0xa807f34f,0xfffffffd,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e600000,0xceffffed,
    0x337ff40a,0x00627fff,0x1bcdcb88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fcc0000,0x3ff600ef,0x0017ffc4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x01dfdbff,0xffd0ffee,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77640000,0xeeeeeeee,0xeeeeeeee,
    0x547ff444,0x5ff506ff,0x00007fd8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffd,0xffffffff,0x7fec5fff,
    0x2617ff63,0x037dc0ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffff600,0xffffffff,0x45ffffff,0x0f7c46fa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0xcccccccc,0xcccccccc,0x181883cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_46_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_46_usascii_y[95]={ 37,7,7,7,4,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,19, };
static unsigned short stb__arial_46_usascii_w[95]={ 0,6,12,23,20,33,26,5,11,11,14,20,5,12,
5,12,20,12,20,21,21,21,21,21,21,21,5,5,20,20,20,20,39,29,23,27,25,23,21,28,24,5,17,25,
19,29,24,30,23,30,27,25,25,24,28,39,28,28,25,9,12,9,18,25,9,21,20,20,19,21,13,20,19,5,
9,19,5,30,19,21,20,19,13,18,12,18,21,30,21,21,20,12,4,13,22, };
static unsigned short stb__arial_46_usascii_h[95]={ 0,30,11,31,38,32,31,11,39,39,13,21,11,5,
5,31,31,30,30,31,30,31,31,30,31,31,22,28,21,13,21,30,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,4,6,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,7, };
static unsigned short stb__arial_46_usascii_s[95]={ 255,180,37,142,127,179,108,245,73,115,22,
204,245,130,248,108,121,217,121,173,55,1,65,77,194,23,248,242,183,1,162,
99,1,25,1,166,188,164,142,53,96,90,237,51,31,1,230,22,193,148,214,
82,134,148,99,59,30,1,229,95,135,85,225,148,120,201,87,139,45,179,195,
216,209,128,105,160,187,21,1,223,1,235,52,120,77,160,97,66,119,213,141,
60,55,41,50, };
static unsigned short stb__arial_46_usascii_t[95]={ 1,106,222,42,1,1,74,180,1,1,222,
199,168,192,160,42,42,106,137,74,168,74,74,168,42,74,137,137,199,222,199,
168,1,168,168,42,137,137,137,42,137,137,42,137,137,137,106,42,106,1,137,
42,106,74,106,106,106,106,74,1,74,1,199,35,192,168,74,168,74,168,74,
42,74,106,1,106,106,199,199,168,42,1,199,168,137,168,199,199,199,1,199,
1,1,1,222, };
static unsigned short stb__arial_46_usascii_a[95]={ 183,183,234,366,366,586,439,126,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,183,183,385,385,385,366,669,439,439,476,476,439,402,512,
476,183,329,439,366,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,183,183,183,309,366,219,366,366,329,366,366,183,366,
366,146,146,329,146,549,366,366,366,366,219,329,183,366,329,476,
329,329,329,220,171,220,385, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_46_usascii_BITMAP_HEIGHT or STB_FONT_arial_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_46_usascii(stb_fontchar font[STB_FONT_arial_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_46_usascii_BITMAP_HEIGHT][STB_FONT_arial_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_46_usascii_s[i] + stb__arial_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_46_usascii_t[i] + stb__arial_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_46_usascii_x[i];
            font[i].y0 = stb__arial_46_usascii_y[i];
            font[i].x1 = stb__arial_46_usascii_x[i] + stb__arial_46_usascii_w[i];
            font[i].y1 = stb__arial_46_usascii_y[i] + stb__arial_46_usascii_h[i];
            font[i].advance_int = (stb__arial_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_46_usascii_s[i] + stb__arial_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_46_usascii_t[i] + stb__arial_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_46_usascii_x[i] + stb__arial_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_46_usascii_y[i] + stb__arial_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_46_usascii_LINE_SPACING
#endif

