// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_48_usascii_BITMAP_HEIGHT        256
#define STB_FONT_arial_48_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_48_usascii_FIRST_CHAR            32
#define STB_FONT_arial_48_usascii_NUM_CHARS             95

#define STB_FONT_arial_48_usascii_LINE_SPACING          31

static unsigned int stb__arial_48_usascii_pixels[]={
    0x4cc13300,0x00133000,0x98003330,0x80000099,0x00001998,0x89f77440,
    0xeeeeeeee,0xdddddd10,0x644003dd,0x98000004,0x10000019,0x13300001,
    0x00266600,0xe8866620,0x7dc003ee,0x401bfa2f,0x000dffff,0xb8803fff,
    0x0002ffff,0x7fff7654,0x01ceffff,0x3ffe2000,0xffffff14,0x3ffe21ff,
    0x001fffff,0x00001fe6,0x3fffff6a,0x20002dff,0x0dffffd8,0x04ffb800,
    0x001ffff0,0x3e26fff8,0x3e2004ff,0x01ffd45f,0x0f7ffffc,0x200fffc0,
    0x02fffffd,0xffffb880,0xffffffff,0x000befff,0x8a7ffc40,0xffffffff,
    0xffffff10,0xba8803ff,0x001bcffe,0x3ffff220,0xffffffff,0x3e6000cf,
    0x2fffffff,0x03ffe200,0x017ffe40,0x447fff50,0x36004fff,0x0ffe81ff,
    0x7fffffc0,0x01fff805,0x3fffffee,0x3ff22002,0xefffffff,0xfffffffe,
    0x220003ff,0x55514fff,0x221fffb5,0xaaaaefff,0x3ffff200,0x01dfffff,
    0x7ffff4c0,0xffffffff,0x8801ffff,0xffccffff,0xff7000ff,0x7ffcc007,
    0x3fff6005,0x013ffe20,0xf9827fd4,0xfe98805f,0x7ffc00ff,0x2bfffa01,
    0x7ffcc000,0x2019cfff,0xfffffda8,0xcc88000d,0x3fff202c,0x00bfff10,
    0x3fffffe2,0x2fffffff,0xfffff500,0x975359bf,0x07ffffff,0x220effc8,
    0xf8805ffd,0x7f4000ff,0xff8800ff,0x1666445f,0x007ffc40,0x26005ffb,
    0x7fc03fff,0x7fff101f,0xffff5000,0x2e20005d,0x001fffff,0x3fff2000,
    0x00bfff10,0x337ffffa,0xfffffdff,0x7fffd401,0xffb8804f,0x3fe03fff,
    0x0fff882f,0x001ffe40,0x401fffdc,0x0002fffa,0x4c04ffc8,0x3fa007ff,
    0x0fffc04f,0x001fffa8,0x017fffdc,0xfffd8800,0x9000000e,0x3fe21fff,
    0xfffc805f,0x3a6ff30e,0xf100ffff,0x8005ffff,0x80ffffe8,0x3fa07ff9,
    0x1ffe202f,0x37ffc400,0x003ffec0,0x00fffc40,0xe8017ff4,0x7ffc05ff,
    0x01fff501,0x0f7ffdc0,0x7fd40000,0x9000005f,0x3fe21fff,0x7ffc405f,
    0xff1fe60f,0x3ff605ff,0xd10000ef,0xff50dfff,0x01ffec0d,0x40007ff9,
    0x2200fffd,0x80004fff,0xf7006ffb,0x3ff600df,0x80fffc05,0x1000fffa,
    0x0001bfff,0x1fffdc00,0x40133300,0xff10fffc,0xfffa80bf,0x3f23fcc5,
    0xfffa85ff,0x7cc0002f,0x7fdc3fff,0x413ff206,0x40007ff8,0x2e03fffa,
    0x33301fff,0x03fff801,0x003fff30,0xff80bffb,0x0fff701f,0x4037fec0,
    0x880adcb8,0x7ffe4199,0x4fff8800,0x443fff20,0x7e405fff,0x23fcc2ff,
    0xfd86fff8,0x900005ff,0xffa8dfff,0x413ff606,0x80003ffc,0x3fa06fff,
    0x9fff106f,0x00fffd40,0xb00bffd0,0xfff80bff,0x00fff701,0x8807ffea,
    0xeffffffc,0x3a1bffa0,0xff8803ff,0x3fff204f,0x80bfff10,0x7f987ffd,
    0xfff10198,0x2200003f,0x3e60ffff,0x0bff607f,0x0001bfe2,0x4c0fffe4,
    0xff103fff,0x37ff409f,0x03ffee00,0xf80dffb0,0xfff701ff,0x07fff100,
    0x7fffffd4,0xff88efff,0x06ffa84f,0x204fff88,0xff10fffc,0xfffc80bf,
    0x2003fcc1,0x0005fffa,0x11fffec0,0x7ff40fff,0x003ffc81,0x09fff300,
    0x2201fff9,0xff104fff,0xff98007f,0x37fec03f,0x5c07ffe0,0xffc807ff,
    0x3fffee05,0xeffecacf,0xff03fffa,0xfff8805f,0x43fff204,0x5405fff8,
    0x3fcc4fff,0x13fff600,0xfff70000,0xa83ffe8d,0x7fcc0fff,0x7f400006,
    0x05fff87f,0x5413ffe2,0xf8002fff,0x7fe405ff,0x80fffc06,0xfe807ffb,
    0xffff502f,0x3ffff207,0x9ff901ff,0x04fff880,0x7c43fff2,0x7fc405ff,
    0x003fcc7f,0x000ffffa,0x8ffff300,0x3aa2fffa,0x2ffd83ff,0x7fdc0000,
    0x0bffea2f,0x904fff88,0xd0003fff,0xffc80fff,0x80fffc07,0x7cc06ffc,
    0xffff107f,0xffffd807,0x017fea07,0x6409fff1,0xfff10fff,0xdffff00b,
    0xd001fe61,0x00005fff,0xe87fff88,0xfffeefff,0x006ff986,0x4fff8800,
    0xf101fff2,0x3ffa09ff,0xffd8000f,0x3ffea01f,0x407ffe00,0x7e405ffd,
    0x9fff904f,0xdffff300,0x2037fcc0,0x3204fff8,0xfff10fff,0xffff300b,
    0x800ff7bf,0x0001ffff,0x40ffff80,0xffffffd8,0x02ffd80d,0xfffb0000,
    0x22027ffc,0xfff04fff,0x3ff2000f,0x3ffe202f,0x207ffe03,0x7402fff8,
    0xfff881ff,0xfffd000f,0x03ffc409,0xc813ffe2,0xfff10fff,0x3ffe600b,
    0x01bfffff,0x00ffff88,0xffff8000,0x7bddb501,0x001bfe60,0x9fffa800,
    0x4401fff9,0xff884fff,0xff70006f,0xfffe807f,0xb03fff00,0xff880fff,
    0x09fff907,0x017ffec0,0xf880fff1,0x3ff204ff,0x0bfff10f,0x7ffff4c0,
    0x00cfffff,0x0003fffe,0x1ffff100,0x5ffb0000,0x7dffd910,0x99fff000,
    0xff100dff,0xbfff309f,0x3ffea000,0x6fffcc03,0x30fffc0a,0x9809fff9,
    0xffff06ff,0x7ffec001,0x017fe601,0x6409fff1,0xfff10fff,0xff93000b,
    0x5fffffff,0x007fffe0,0xffff3000,0xdff30000,0xffffff30,0x7e4001df,
    0x803ffeef,0xf984fff8,0xf30004ff,0xff5009ff,0x7ffc1fff,0x07ffffb1,
    0xf30bff50,0xfe800bff,0x27fd407f,0x813ffe20,0xff10fffc,0xfb8000bf,
    0x4fffffff,0x003fffe8,0x2fffd400,0x17ff4000,0x377fffe2,0x26006fff,
    0x00ffffff,0xa84fff88,0x10003fff,0x2200bfff,0x3fe0fffe,0x03fffd1f,
    0x2a13fee0,0x7c004fff,0x7fe405ff,0x27ffc402,0x221fff90,0x40005fff,
    0xfffc9ff9,0x7ffec2ff,0x7dc00004,0x540004ff,0xeffc86ff,0x00fffa61,
    0x05ffffe8,0x509fff10,0x20007fff,0x3005fff8,0x7fc1fffd,0x19fffd1f,
    0x707ff900,0x4c007fff,0x7fc04fff,0x7ffc401f,0x43fff204,0x0005fff8,
    0xffd13fcc,0x7ffdc1df,0x7ec00005,0x740003ff,0x7ffc42ff,0x007ffa81,
    0x00bfffee,0x4c27ffc4,0x30004fff,0xf7009fff,0x7fc1bfff,0xdffff91f,
    0x83ffc801,0x2001fffc,0x2a02fffa,0xff8807ff,0x3fff204f,0x00bfff10,
    0xff87f980,0x3ffe22ff,0x3a00000f,0x20001fff,0xff986ffa,0x007ffe07,
    0x003fffc4,0xf109fff1,0x2a0009ff,0x7d403fff,0xfff80cff,0x02fffd41,
    0x3ee13fee,0x3fa001ff,0x3ffa00ff,0x4fff8803,0x443fff20,0x40005fff,
    0xfffc87f9,0x027fff43,0x3ff20088,0x3a0000ff,0x6ffa81ff,0x800bffa0,
    0x22004fff,0xfff04fff,0x3fea000b,0x37fec02f,0xf903fff0,0x7fdc03ff,
    0x02fff985,0x40dfff50,0xf1006ffc,0x7fe409ff,0x0bfff10f,0x1fe60220,
    0xf717ffea,0xf9003fff,0xffff985d,0x3fea0004,0x40bff905,0xf5003ffd,
    0x7c4001ff,0xdfff04ff,0x3ffee000,0x07ffe201,0xff01fff8,0x37fd407f,
    0x8027ffc4,0xf504ffff,0x3e2003ff,0x3ff204ff,0x0bfff10f,0x4c1ff6cc,
    0x0dfff07f,0xf00dfffd,0x3fa3dfff,0x20000fff,0xff701ffe,0x01ffec0b,
    0x4005ffd8,0xfd04fff8,0x3f2000ff,0x3fee00ff,0x80fffc07,0x3e606ffd,
    0x1fffd07f,0x3ffffd80,0x004fffa8,0xc813ffe2,0xfff10fff,0x2fffc40b,
    0x7fc43fcc,0xffff984f,0xfffd100d,0x7ffffbff,0x2ffd4000,0x740bff50,
    0xff9802ff,0x7fc4002f,0x3fff704f,0x0dffd000,0x7c07ffc8,0xdff901ff,
    0xc82fff80,0xfd105fff,0xfc87ffff,0x22000eff,0x3f204fff,0xbfff10ff,
    0x987ffe80,0x3fffa87f,0x5fffff70,0x7fffecc0,0x40004fff,0x3e601ffe,
    0x07ffe06f,0x00dffd10,0x209fff10,0x4003fff9,0x6404fff8,0x7ffc06ff,
    0x80fff701,0xffd05ffc,0xff7315df,0x97ffffdf,0x001dffff,0x204fff88,
    0xff10fffc,0xfffc80bf,0x7f43fcc3,0x3ff202ff,0x10acdfff,0xfffffd75,
    0xffb8000d,0x0fffc405,0x6e43ffd4,0x02ffffec,0x04fff880,0x50017ffe,
    0xfd803fff,0x0fffc06f,0x4c07ffb8,0xfe880fff,0xffffffff,0xffffffb9,
    0x10004fff,0x7e409fff,0xbfff10ff,0x1ffff980,0xfff71fe6,0xffff500d,
    0xffffffff,0xdfffffff,0x3ffe0003,0x1effc801,0x320fffa6,0x04ffffff,
    0x09fff100,0x2003ffe4,0xfd807ffc,0x0fffc06f,0x400fffb8,0xff104fff,
    0x21dfffff,0xfffffff8,0x3e20003f,0x3ff204ff,0x0bfff10f,0x25ffffd0,
    0x3fff27f9,0xffb3001f,0xffffffff,0xfffddfff,0x7dc001bf,0xfff1005f,
    0x0dfffbbf,0x17ffffee,0x4fff8800,0x007ffea0,0xd804ffe8,0x7ffc05ff,
    0x01fff701,0x202fffb8,0x40acefca,0x0aceffd8,0x44055550,0x3f204fff,
    0xbfff10ff,0xffffd100,0xfffbffbf,0x910009ff,0xffffffff,0x7ffdc39f,
    0xff8803ff,0x3fa6001f,0x00efffff,0x0059ffb3,0xffe80000,0x3fff3004,
    0x80bffb00,0xff501fff,0xfffd001f,0x80000003,0x2603fffc,0x3f204fff,
    0xbfff10ff,0x7fffec00,0xffffffff,0xa9880002,0x322019ab,0xfb803fff,
    0xec88005f,0x00003eff,0xfa800000,0xbff9007f,0x017ff600,0x3ea03fff,
    0xff9800ff,0x000000ef,0x80dfff70,0x3203fff9,0xfff10fff,0xffdb800b,
    0x0dffffff,0x80000000,0x98800fd8,0x00000009,0x00000000,0x4402ffe8,
    0xfd001fff,0x1fff80bf,0x001fff50,0x00bfffea,0xffc88000,0x7fd400ef,
    0x3fff202f,0x00bfff10,0x2fff6a20,0x00000001,0x00000100,0x00000000,
    0x3ee00000,0x2ffdc05f,0x809fff00,0xff301fff,0x7fdc003f,0x00001eff,
    0x077fffd4,0x017ffe40,0x3e21fff9,0x4c0005ff,0x0000007f,0x00000000,
    0x00000000,0x3a000000,0x3ffa01ff,0x5fff3001,0x101fff80,0xa800bfff,
    0x0adfffff,0xffd71000,0x2e6019ff,0x227fffda,0xfffecccc,0x99dfff10,
    0x7cc00199,0x00000007,0x00000000,0x00000000,0x3ea00000,0x0bff706f,
    0xffffba98,0x00fffc00,0x1359fffb,0xffffb100,0x33557dff,0x3faeaa66,
    0x401dffff,0x4ffffffb,0x3fffffe2,0xffff10ff,0x4003ffff,0x000007f9,
    0x00000000,0x00000000,0x40000000,0x7fc42ffc,0x7fffc00f,0xfff805ff,
    0x3fffea01,0x3aa002ff,0xffffffff,0xffffffff,0x002effff,0x1bfffffb,
    0x7fffffc4,0xffff10ff,0x4003ffff,0x000002a8,0x00000000,0x00000000,
    0x40000000,0x7fdc6fe8,0xfffff802,0x1fff800e,0x7ffffdc0,0xffc98002,
    0xffffffff,0x3effffff,0x6fff6400,0xccccc883,0x33320ccc,0x000ccccc,
    0x00000000,0x00000000,0x00000000,0xf5000000,0x013fe27f,0x001f7ffc,
    0xb3003fff,0x00005ffd,0xffdb9753,0x00159ddf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00013300,0x01988000,0x6e544000,0x0ccc41bd,0x40133100,
    0x20000998,0x00000098,0x200004cc,0x00000099,0x26000130,0x93000019,
    0x00037bdb,0x80013310,0xffffedba,0x00000bef,0x7ffff6d4,0x10002def,
    0xfffffff9,0x01ffee3f,0x3604ffb8,0x6cc002ff,0x004fffff,0x05ff9800,
    0x3fff6e20,0x01acdfff,0x7f65cc00,0x01bcefff,0x0001ffd8,0x3fffff66,
    0xb8003fff,0x02ffffff,0x7fffff4c,0xdfffffff,0x7f5c0001,0xffffffff,
    0x22002eff,0xfffffffe,0x7ffbbfff,0x80bff600,0x32000fff,0xffffffff,
    0x3200001e,0xfd9803ff,0xffffffff,0x001dffff,0x7ffffecc,0xefffffff,
    0x00ffee01,0x7ffffcc0,0x04ffffff,0x3fffff20,0x3fee00ff,0xffffffff,
    0x03ffffff,0xffffe880,0xffffffff,0xe8805fff,0xcabdffff,0x7ffefffe,
    0x407ffe00,0x32007ff8,0xffffffff,0x00000fff,0xfc801ffd,0xffffffff,
    0xffffffff,0xffff5003,0xffffffff,0x2607ffff,0xf98006ff,0xdbabefff,
    0xb804ffff,0x7fffffff,0xfffffd30,0xf953379d,0x009fffff,0x7fffffd4,
    0xfdba9abc,0x6405ffff,0xf701efff,0x200fffff,0x3ea07ff8,0xfff5005f,
    0x3ffaa17d,0xf880005f,0x3ff6206f,0x9acdffff,0xfffffdca,0x7ffcc04f,
    0xbaabceff,0x3fffffec,0x8001fff0,0xf304fffe,0xff807fff,0x8299beff,
    0x0dfffff8,0xffffea80,0xffff9805,0x7e4400bf,0xff305fff,0xffa801ff,
    0xff5007ff,0x027fe40d,0x881fffe8,0x0000ffff,0xfd027fd4,0x2005dfff,
    0x01fffffa,0x007bfff6,0x03ffffaa,0xa800bff2,0x7c404fff,0x7ffc06ff,
    0xffff9006,0xffd88007,0x7ff402ff,0x7e4000ef,0xffc82fff,0xfffb003f,
    0x13fee00f,0x8802ffd8,0x3f606fff,0x6c0002ff,0xfff902ff,0xe88001bf,
    0xff105fff,0x744001df,0xffa84fff,0x3fffa004,0x1fffc801,0x009fff10,
    0x003ffff3,0x07fffec0,0x00efffc8,0x0dfffb00,0x4c00dffb,0xfb007fff,
    0x07ffc05f,0x027ffcc0,0x0007fff7,0xff307ff8,0xf80007ff,0xffa80fff,
    0xff98002f,0x3ffc40ff,0x06fff980,0x20bfff30,0xe803fff9,0x40004fff,
    0x985fffe8,0x0001ffff,0xf07fffe2,0xfe8009ff,0x3fff007f,0x401ffe20,
    0x3606fff8,0x20001fff,0xffd05ff9,0xf70000df,0xfff909ff,0x3ffa0001,
    0x01ffe81f,0x003fffa8,0x2603fffa,0x7dc03fff,0x80000fff,0x5c0ffffa,
    0x80006fff,0x3e23fffd,0x7ec003ff,0x2666627f,0x999fff99,0x9effb999,
    0x3ffa0099,0x1ffff03f,0x1ffdc000,0x00ffffcc,0x7fffc400,0x00fffec0,
    0x82fffc80,0xfc803ffc,0x3ee000ff,0xf53311ff,0x813339ff,0x0003ffff,
    0xd0bfffa0,0x00005fff,0xfff50373,0x7ffc8005,0x3ffffff2,0xffffffff,
    0xffffffff,0x3fffee02,0x01fffec1,0x207ffa00,0x0004fffc,0x2e02b2e0,
    0x10005fff,0x05ff9803,0x000fffe8,0x7e4fffea,0xffffffff,0x1fffe26f,
    0xfff70000,0x07fffccb,0x3ee00000,0x7dc001ff,0x3ffff27f,0xffffffff,
    0xffffffff,0x7ff402ff,0xfffe88ef,0x7fc40006,0x07fffd07,0x7cc00000,
    0x00001fff,0x3e01ffe0,0x7d4007ff,0xffff94ff,0x4dffffff,0x0006fff9,
    0x73fffcc0,0x0000ffff,0x05fff700,0x2e7ffc80,0xfffeeeee,0xfeeeeeee,
    0x01eeeeff,0x7f7fffcc,0x0000efff,0x7cc27fd4,0x00001fff,0x7ffffc00,
    0xd800001d,0x7ffc02ff,0x7ffcc007,0xfffb9955,0x7d47999b,0x800005ff,
    0xff90ffff,0x000000df,0x8007fff5,0xff807ffd,0x0fff300f,0x3fffee00,
    0x00004fff,0xff505ff9,0x000001ff,0xfffffa80,0x0000adff,0x2204ffb8,
    0x4c006fff,0xff985fff,0x3ffee03f,0xfe800004,0x9fff91ff,0xf3000000,
    0xfe8009ff,0x3ffc407f,0x000bff50,0x3fffffe6,0x3fa00001,0x6fffb80f,
    0x30000000,0xffffffff,0x000159df,0x7c40dff1,0x7c4005ff,0xfff985ff,
    0x0ffff203,0x3ffa0000,0x07fffb2f,0xff100000,0x7fc400df,0x2ffd407f,
    0x8007ff90,0xffffffd8,0xf300001f,0x3fff20df,0x00000005,0x3fffffa2,
    0xbdffffff,0x03ffa000,0x002fffc4,0x261bffe2,0x3fa03fff,0x800002ff,
    0xffd3fffd,0x0000005f,0x400bfff6,0x6407fffb,0x3ffa04ff,0x3ffea002,
    0x0fffffff,0x3ffb8000,0x007fff90,0x66666644,0x03cccccc,0xfffffd98,
    0x2fffffff,0x205ff900,0x4005fff8,0xf986fff8,0x3ffa03ff,0xe800002f,
    0xfffb2fff,0x20000005,0x8806fff9,0x6c07ffff,0x3ffe02ff,0xffff5000,
    0xbffff53d,0x36001310,0xfff901ff,0x7ffcc009,0xffffffff,0x764c005f,
    0xffffffff,0x5ffa805f,0x00bfff10,0x985fff88,0x3f603fff,0x800003ff,
    0xff91ffff,0x0000007f,0x806fffec,0x07ffffe9,0xf9807ffc,0xfff5007f,
    0xffffb89f,0x0177fe44,0xffb81ffe,0x3fe6004f,0xffffffff,0x220005ff,
    0xfffffeca,0x07ff805f,0x800dfff1,0xf985fff9,0x3ff203ff,0x4400004f,
    0xff91ffff,0x0000009f,0x5f7fffcc,0xffffca9a,0x3fe207ff,0x017fee07,
    0xd827fff4,0x3fe2ffff,0x3fe601ff,0x17ffea05,0xfffff980,0x5fffffff,
    0x3f660000,0x6c02ffff,0xdfff01ff,0x4fff9800,0x203fff98,0x0005fffb,
    0x87fffcc0,0x0005fffb,0x7ff4c000,0xffffffff,0x32a7ffec,0xccfffdcc,
    0xeffecccc,0x2e1ccccc,0x7f406fff,0xfffa8fff,0x017fe406,0x000dfff3,
    0x05fff980,0xfffa8000,0x1ffdc06f,0x4007ffe8,0xf984fffa,0x3fe603ff,
    0x5400006f,0x3fe66fff,0x3200007f,0x7fec401b,0xd2ffffff,0x7ffe4fff,
    0xffffffff,0xffffffff,0x3ffa2fff,0x7ffc403f,0x04fffdef,0xf1007ff4,
    0x00003fff,0x442fffcc,0x7fcc0000,0x3fe600ff,0x00fffb06,0x982fffa8,
    0x7fc03fff,0x200001ff,0x7f43fffd,0x980001ff,0x4c00ffff,0x20bdeedb,
    0x3ff26ffe,0xffffffff,0xffffffff,0x3fe2ffff,0xff9800ff,0x00ffffff,
    0x3601bfe2,0x00004fff,0xff97ffe6,0xfe80007f,0x7ffc01ff,0x01fffc80,
    0x203fff20,0x6403fff9,0x00006fff,0xc81ffff5,0x80004fff,0x0006fffb,
    0xca9bffa0,0xcccfffcc,0xcfffdccc,0xf11ccccc,0x7dc00fff,0x404fffff,
    0xfa804ffa,0x00000fff,0x7f4bfff3,0x640002ff,0x7e402fff,0x4fffa82f,
    0x41fffe00,0x4c03fff9,0x0003ffff,0x986fffe8,0x0001ffff,0x0217fff4,
    0x05fff800,0x7dc0fff3,0xffff005f,0x7ffec001,0x7fec00ff,0xbffff002,
    0x3fe60000,0x13fff65f,0x3fffb000,0x884ffa80,0xf5006fff,0x3fe60bff,
    0xfffc803f,0x3ee0000f,0xffb01fff,0x7e4000bf,0x4efd87ff,0x0fffee00,
    0xf902ffd4,0x3ff6007f,0x3fe6003f,0x7fc02fff,0x3ffee007,0xfa80002f,
    0x3ffea5ff,0xff10000f,0xff8801ff,0x03fffb07,0x203fff90,0xd003fff9,
    0x0003dfff,0x409ffff9,0x005ffff8,0x84ffffb8,0x8802fffc,0xf901ffff,
    0x0fff407f,0x0ffffc80,0xfffff980,0xbff302ff,0xffffd800,0xff910004,
    0xfffe8bff,0xffc8001f,0x3ffd005f,0x01dfff30,0x3037ffdc,0x26007fff,
    0x003fffff,0x0dffffd1,0x3dffff90,0xffff9100,0x1bffea0b,0x81bfff60,
    0xff102ffd,0x3fe2001f,0x7fcc05ff,0x2fffffff,0x4003ffb8,0xaefffff8,
    0xfffb8800,0x7fdc4fff,0xd3003fff,0x2003ffff,0xff903ffb,0xfff703df,
    0x7ffcc03f,0x3ffea003,0x311aceff,0xdfffffb7,0x3fff6001,0x2a21adff,
    0x0efffffb,0x2fffffa0,0xffeb9989,0x3ffe00ff,0x00dff300,0x1effffa8,
    0x3ffff6a2,0x2fffffcf,0x4000fff4,0xffffffe9,0xedb99bde,0x3fffffff,
    0xffffff90,0xb953359b,0x007fffff,0xe882ffcc,0xfdcfffff,0x4c03ffff,
    0x4c003fff,0xfffffffe,0xffffffff,0xffc8005f,0xffffffff,0x0fffffff,
    0x7ffffc40,0xffffffff,0x1ffe602f,0x8005ffb8,0xeffffffc,0x0effffff,
    0x25fffff7,0x40007ff8,0xfffffffd,0xffffffff,0x6c00cfff,0xffffffff,
    0xffffffff,0x7ff8004f,0x7ffffe40,0x804fffff,0x8003fff9,0xffffffc8,
    0xffffffff,0x3fee0003,0xffffffff,0x000cffff,0xffffffb3,0x801dffff,
    0x3f205ffa,0xff50003f,0xffffffff,0xdfff909f,0x0013fea1,0x3ffffaa0,
    0xffffffff,0x2a001dff,0xffffffff,0x2fffffff,0x05ffb000,0xfffffeb8,
    0xff3001df,0x5c40007f,0xfffffffe,0x200002df,0xffffffda,0x0000cfff,
    0xddffdb93,0x3ff20039,0x007ffa03,0xffffd880,0x2e02deff,0x0bff21ff,
    0xffc98000,0xdeffffff,0x36e0002b,0xffffffff,0x20000ace,0x26004ffa,
    0x4c0009ab,0x00003fff,0x03557531,0x53300000,0x00001357,0xccb80000,
    0x00333201,0x055d4400,0xccb83300,0x31000000,0x00013575,0x2eeaa600,
    0x64400001,0x0000003c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xed800000,0x654400ee,
    0x0000aced,0x04eed800,0x55555553,0x35555555,0x003eee88,0xd9730000,
    0x2000159b,0x1bcdecba,0x36ea2000,0x00002cde,0x33000662,0x599b7303,
    0x88000000,0x440acdca,0x7c000099,0x3ee00fff,0xffffffff,0x3e000002,
    0xfffb05ff,0xffffffff,0xff88bfff,0x4000004f,0xfffffffa,0x3a6003ff,
    0xffffffff,0x7fd4000c,0x3effffff,0xfffd5000,0x4405bdff,0xfff71fff,
    0x005dffff,0x91001c88,0xdfffffff,0x001bff21,0x201ffff0,0xfffffffe,
    0x0003ffff,0x20bfff00,0xfffffffe,0x5fffffff,0x0027ffc4,0xffff9000,
    0xdfffffff,0xfffff900,0x3fffffff,0xffffb100,0xbfffffff,0x7fff4c00,
    0xdfffffff,0xb9fff880,0xffffffff,0xff5004ff,0xfffd1003,0x3fffffff,
    0x8000dff9,0xfd80ffff,0xca9acfff,0x0004ffff,0x885fff80,0xffffffff,
    0x5fffffff,0x0027ffc4,0x7ffec400,0xffdb9bef,0x3fea04ff,0xfba9beff,
    0x6c00ffff,0xaaceffff,0x00efffec,0x7fffffd4,0xfffffffe,0x7efffc41,
    0xfdb9acff,0x7dc04fff,0x7fc401ff,0xdb9acfff,0x06ffdfff,0x07fffc00,
    0x407bffee,0x002fffe8,0x42fffc00,0x999bfff9,0x99999999,0x027ffc40,
    0x7ffe4000,0xffff500e,0x7ffff105,0x17fff620,0x04ffffa8,0x409fffb1,
    0x42effff8,0x0fffffb8,0x3fffffe2,0x3ffff501,0x00fffdc0,0x403bfff2,
    0x06fffffb,0x07fffc00,0x3007fffe,0x0000bfff,0xfb85fff8,0x440001ff,
    0x00004fff,0x0077ffcc,0x2e17ffee,0x74404fff,0xff881fff,0xffd803ff,
    0xbfffd01f,0x5fffe880,0x03ffffe2,0x40dfff50,0x2601fffb,0x5c00ffff,
    0x0006ffff,0xf307fffc,0x3f6009ff,0x7c00007f,0x7ffc85ff,0xfff88000,
    0x7ec00004,0xff8801ff,0x0fffd87f,0x82fffb80,0x1006fffb,0xff30bfff,
    0xff1001ff,0x3ffe21ff,0xfffd004f,0x07ffee01,0x003fffb8,0x000dfffd,
    0x320ffff8,0xf7002fff,0x400003ff,0xffe85fff,0xff880006,0x2200004f,
    0x32005fff,0x7ff41eff,0x9fff3007,0x003fffb0,0x7dc3ffe4,0x3f2003ff,
    0xffff12ff,0x3ffea001,0x03fff702,0x8007ffec,0x0006fffa,0x5107fffc,
    0x7fdc00b7,0xdcb8802f,0x2fffc0ac,0x00027ffc,0x3127ffc4,0x200159b7,
    0x0002fffa,0x401fffa0,0xfe84fff9,0x7fdc007f,0x0ffff41f,0x29fff500,
    0x4005fff8,0x64cc4fff,0x4199afff,0x7c005ffe,0x7c0006ff,0x80000fff,
    0x64407ffd,0xefffffff,0xf98bfff0,0x880002ff,0xfff54fff,0x803dffff,
    0x0000fffc,0x003fff20,0x3e0bffea,0x7d4006ff,0x3f7643ff,0x53ffe600,
    0x4004fff8,0x3fe65fff,0x7fffffff,0x0013ffe2,0x8000dffd,0x0000ffff,
    0x102fffc4,0xfffffffd,0xbfff3dff,0x4c1fffa8,0x3fe2001a,0xfffffbcf,
    0x203fffff,0x00006ffe,0x4027ffcc,0xff887ffe,0x7fcc005f,0x2e00005f,
    0xfff12fff,0x7ffe8007,0x3fffffe6,0x3fe67fff,0x7fec003f,0x7ffc0006,
    0x3a20000f,0xfd102fff,0xd957bfff,0x8bffffff,0xffd57ffc,0x8809dfff,
    0xdfffffff,0xffffecab,0x889fff04,0x00aceeca,0x405ffff0,0xff05fffc,
    0xffa800df,0x3600005f,0xfff10fff,0xfffd8005,0xfffb9910,0x7fdc999b,
    0x7fe4003f,0x7ffc0006,0x6dc4000f,0x3203ffff,0xf901efff,0xfd8bffff,
    0xfffffeff,0x101effff,0x05ffffff,0x103ffff2,0x7fec9fff,0x02ffffff,
    0xadffff98,0xdfffea99,0x00fffd00,0x006fffb8,0x4dfff500,0x4001fff8,
    0xfb80fffd,0xfff501ff,0x6ffc8007,0x7fffc000,0xfffd3000,0x7cc03fff,
    0x7dc00fff,0x7ffc5fff,0xffffffff,0x882fffff,0x400fffff,0x7cc5fffb,
    0xfffd8bff,0xdfffffff,0x7ffecc00,0x2fffffff,0x00fffec0,0x00dfffb0,
    0x3ffff500,0x0017ffc4,0x7dc1fffa,0xfff301ff,0x6ffd8009,0x7fffc000,
    0xffff7000,0x7dc019ff,0xffd003ff,0x7fffc4bf,0xf9311bdf,0xf881ffff,
    0xfd003fff,0x7ffcc3ff,0xbbdfffeb,0x04ffffec,0xfffffe98,0x5c00cfff,
    0xf5006fff,0x8000ffff,0x443ffffa,0x7c003fff,0xfff706ff,0x17ffe203,
    0x00dffd00,0x00ffff80,0xffffff90,0x3ff60bff,0xfff7000f,0x1ffffd4b,
    0x17fffa60,0x001ffff1,0xfa8fffee,0x00dfffff,0x203ffff9,0xffffffd8,
    0x03ffffff,0x013fffe2,0x0fffffd1,0x7fffdc00,0x04fff884,0x417ffe20,
    0x3e01fffb,0x7fc006ff,0x7fc0006f,0x133000ff,0xdffff931,0x005ffe81,
    0xc997ffe2,0xff3003ed,0x7ffc45ff,0x3ffe2004,0x3ffffea5,0x6fffb804,
    0xaefffe98,0xffff9311,0x7fffd40b,0x7ffdc41e,0x70006ffe,0x2209ffff,
    0x9000ffff,0x3ee05fff,0x3ff601ff,0xfff5001f,0xfff8000d,0x74c0000f,
    0x3fe25fff,0x7ffc004f,0xff900005,0x1fffc49f,0x99bffe00,0x2006ffff,
    0x7f42fffe,0x7f4c04ff,0x3ff604ff,0xffeeffff,0x06ffd9ff,0x3ffff980,
    0x13fffe20,0x03fffe20,0x300fffdc,0x3a00dfff,0x40006fff,0x0000ffff,
    0x31ffff98,0xe8007fff,0x300005ff,0x7fc4dfff,0x7ff4002f,0x0bfffe27,
    0x23fffa80,0x1006fffb,0x6401ffff,0xffffffff,0x0dffd1ff,0x07fffd00,
    0x1fffff88,0x01fffec0,0xd803fff7,0x7dc03fff,0x40006fff,0x0000ffff,
    0x2e9fff90,0x6c002fff,0x200005ff,0x3fe27fff,0x7fec001f,0x07fffe0f,
    0x24fff980,0x2001fffe,0x4c04fffb,0xcefffffe,0x0017ffe0,0x1009fff7,
    0x07ffffff,0x80dfffd1,0x4401fffb,0xd80dffff,0x006fffff,0x007fffc0,
    0x5fffa800,0x8005fff7,0x00005ffd,0x7c43fffa,0x7f4002ff,0x03fffc7f,
    0xff37ffc0,0xff8800df,0x5731005f,0x09fff101,0x00fffc80,0xffffff88,
    0xfffeddff,0x7fdc01ff,0xfffa801f,0xfffeceff,0x0306ffff,0x003fffe0,
    0xb7ffc400,0x4003fffa,0x00005ffe,0xff89fffe,0x7ffc002f,0x003fff46,
    0xff8b7ffc,0xfff8005f,0x3e600006,0x7f4002ff,0xfff1006f,0xffffff59,
    0x7001dfff,0x26003fff,0xfffffffe,0x26fff8ef,0xff007fec,0x02ba98ff,
    0x9b7ffc40,0x74004fff,0x0a6625ff,0x4dfff100,0x4003fff8,0x7fec5fff,
    0x3fe2001f,0x0bfff14f,0x00fffd00,0x07ffdc00,0x017ffe00,0xe9a7ffc4,
    0x03efffff,0x007ffee0,0xfffffc88,0xc9bffe4f,0xff800fff,0x03fffc7f,
    0x453ffea0,0x7c006fff,0xffff15ff,0x5fff9800,0x8013ffe2,0x7e44fff9,
    0x3e6003ff,0x1fffe2ff,0x8bfff100,0x74002a98,0x7c4007ff,0xff1004ff,
    0x0355309f,0x03fff700,0x202aa200,0x3fee6fff,0x7ffc401f,0x00fffec6,
    0x6c7fff90,0xf5001fff,0x7fff4bff,0x3fff2001,0x01fffe23,0x442fffc8,
    0x2e005fff,0x3ffa0fff,0x3fe6000f,0x0fffdc4f,0x04fffa80,0x001aaa80,
    0x0009fff1,0x03fff700,0x3ffe0000,0x017ffea6,0xfb89fff7,0xff3005ff,
    0x7ffdc3ff,0xbfffd005,0x802fffdc,0x220ffff9,0x8803ffff,0xff906fff,
    0xfff1005f,0x04fffc8d,0x30bfffa0,0x36009fff,0x00000fff,0x09fff100,
    0xfff70000,0x3e000005,0x3ffe26ff,0xffff301f,0x2ffff885,0x27fff440,
    0x201ffff4,0x265ffffc,0x4403ffff,0x7c43fffe,0x2202ffff,0xf102fffd,
    0xfd803fff,0x7ffc44ff,0xfffb804f,0x03fffd06,0x004fffd8,0x3fe20000,
    0xa800004f,0x00003fff,0xfc8dfff0,0xca99cfff,0xa80fffff,0xf503ffff,
    0x3ea0dfff,0xfd884fff,0x7dc5ffff,0xff504fff,0xfff10dff,0xe9815fff,
    0x7ec05fff,0x7440afff,0xff506fff,0xfb1019ff,0x3ee01fff,0x6cc0beff,
    0x8000ffff,0x1002aaa8,0x00009fff,0x35ffff50,0x7fc00005,0x7fffc46f,
    0xffffffff,0x3fff202f,0xfffdcdff,0x3f201fff,0xfeceffff,0x85ffeeff,
    0xcefffffd,0x0dfffffd,0xffcfff88,0xfffeddff,0x7ec401ef,0xfecdffff,
    0x3601ffff,0xddffffff,0x03fffffe,0x6fffffec,0x0ffffffd,0xffff5000,
    0x13ffe200,0x3fe20000,0x001fffff,0x50dfff00,0xffffffff,0xf7007fff,
    0xffffffff,0xf7001bff,0xffffffff,0x20bffb1d,0xfffffffc,0x2204ffff,
    0xfffaafff,0x0dffffff,0x3fffee00,0x1effffff,0xfffffb80,0x1effffff,
    0xfffffb00,0x01dfffff,0x3fffd400,0x04fff880,0xfff70000,0x00005fff,
    0x6441bffe,0xceffffff,0x3ff62001,0x02efffff,0x7fffe4c0,0xbffb0dff,
    0x7fffec40,0x4402dfff,0xffd32fff,0x0007dfff,0x3fffff66,0x22000bff,
    0xfffffffc,0xfea8003f,0x02efffff,0x7fffa800,0x09fff100,0x7f5c0000,
    0x00003fff,0x5300dfff,0x26000037,0x80001aba,0x0000aa98,0x00157530,
    0x009a9800,0x2aea2000,0xb9880001,0x8800009a,0x0001abb9,0x01fffea0,
    0x00166644,0x00998000,0x0f332000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0002eeeb,
    0xeb9f7754,0x00001eee,0x221bddd7,0x40003eee,0x8004eee9,0x005eeee8,
    0x2e5eee88,0x00004eee,0x2607776c,0xeeeeeeee,0xeeeeeeee,0x223eeeee,
    0x80003eee,0xeeeeeeeb,0xceeeeeee,0xd3000acc,0x3bbb65dd,0x3f200000,
    0x5c0003ff,0xfff14fff,0xf30000df,0x7fc47fff,0x7c40004f,0xfa8007ff,
    0x4000ffff,0x3ea5fffa,0x00000fff,0xf50dfff3,0xffffffff,0xffffffff,
    0x7c49ffff,0xc80004ff,0xffffffff,0xffffffff,0x4c01dfff,0xfffd3fff,
    0x7e400003,0x5c0003ff,0x3fea4fff,0x740003ff,0x7fc45fff,0xfe80004f,
    0x7ec001ff,0x4003ffff,0x7fc3fffc,0x900002ff,0xff507fff,0xffffffff,
    0xffffffff,0x7fc49fff,0xfc80004f,0xffffffff,0xffffffff,0x2602ffff,
    0xfffd3fff,0x7e400003,0x5c0003ff,0x7fec4fff,0xf70001ff,0xff881fff,
    0xfc80004f,0x7fc003ff,0x4005ffff,0x7e40fffe,0x880005ff,0xe980ffff,
    0xeeeeeeee,0xeeeeeeee,0x3e24ffff,0xc80004ff,0xccccdfff,0xfecccccc,
    0x01ffffff,0x3fa7fff3,0x200001ff,0x0003fffc,0x2227ffdc,0x8006ffff,
    0x882ffff9,0x80004fff,0x2004fffa,0x7ffdfff9,0x1bffe200,0x003fffe2,
    0x09fff500,0x7fec0000,0x3ffe21ff,0xffc80004,0xfd88003f,0xff306fff,
    0x07fffa7f,0xfffc8000,0x7fdc0003,0xffffa84f,0x7fff4003,0x09fff105,
    0xdfff1000,0x577fdc00,0xf3001fff,0x3ff609ff,0x7ec0003f,0x000001ff,
    0x885ffff9,0x80004fff,0x0003fffc,0x203fffee,0xffd3fff9,0x6400003f,
    0x40003fff,0xfb04fffb,0x2e001fff,0xf100ffff,0x200009ff,0xd000fffe,
    0x9fff19ff,0x0bffee00,0x0037ffd4,0x00dfff10,0x3ffee000,0x4fff883f,
    0xfffc8000,0x7fec0003,0x3fff982f,0x0003fffd,0x01fffe40,0x13ffee00,
    0x02ffffc4,0x017fffc4,0x0009fff1,0x00bfff20,0x7ecbffe2,0xfffb006f,
    0x07fffc01,0x3fffb800,0xffa80000,0xfff105ff,0xff900009,0xfb80007f,
    0xfff984ff,0x003fffd3,0x1fffe400,0x3ffee000,0x3fffea04,0x27fff403,
    0x313ffe20,0x30037b95,0xf5009fff,0x3ffee1ff,0x06fff800,0x001fffe4,
    0x000fffe8,0x7fffcc00,0x9fff100e,0x83333100,0x0003fffc,0x4c37ffcc,
    0xfffd3fff,0x7e400003,0x5c0003ff,0x7ec04fff,0xff700fff,0xfff100df,
    0x3ffffa69,0x7fc05fff,0x6ffc806f,0x300bffe6,0xf9807fff,0xf98006ff,
    0x400005ff,0x00ffffe8,0x3013ffe2,0xfc89ffff,0x5c0003ff,0xff986fff,
    0x03fffd3f,0x7ffe4000,0x7fdc0003,0x7ffc404f,0xffff885f,0xcfff8801,
    0xfffffffa,0x3f605fff,0x3fff807f,0x2e027ffc,0xfe801fff,0x7e4001ff,
    0x400002ff,0x402ffffd,0x2604fff8,0xfc84ffff,0x6c0003ff,0xff984fff,
    0x03fffd3f,0x7ffe4000,0x7fdc0003,0xfffa804f,0x27ffec2f,0xfffff880,
    0xfecbdfff,0xff705fff,0x7ffcc03f,0x203ffec1,0xf7007ffd,0xff8009ff,
    0x5c00006f,0x8803ffff,0xff304fff,0x3ff209ff,0x3e60003f,0xff983fff,
    0x03fffd3f,0x7ffe4000,0x7fdc0003,0xfffb004f,0x037ffd4d,0xffffff10,
    0x3fffee05,0x03fff982,0x3ea1ffee,0x3ffe01ff,0xffff1005,0x1fffd400,
    0xfff50000,0x3fe200bf,0xffff984f,0x0ffff204,0x7fffdc00,0x27fff306,
    0x0001fffe,0x00ffff20,0x09fff700,0x4ffffe20,0x2001fffe,0x02fffff8,
    0xf827ffe4,0x3ff605ff,0x03fff885,0x4007fff3,0xb002fffd,0x00001fff,
    0x01bfffe2,0x4c4fff88,0x6403ffff,0x9999bfff,0xcba99999,0x01fffffe,
    0x3fa7fff3,0x200001ff,0x0003fffc,0x0027ffdc,0xffbffff5,0xff88007f,
    0xff8803ff,0x0fffb06f,0xfe817ffc,0x1fff705f,0x27ffcc00,0x02fffc40,
    0xfffe8800,0x3fe2000f,0x3fffe24f,0xffffc803,0xffffffff,0xffffffff,
    0x3ffe602f,0x003fffd3,0x1fffe400,0x3ffee000,0x7ffec004,0x88005fff,
    0xf000ffff,0x3fee0dff,0x0fffa81f,0xb01fff90,0xfd000dff,0xfff700ff,
    0x3f600005,0x44001fff,0xfff14fff,0x3ff2007f,0xffffffff,0xffffffff,
    0x7fcc00df,0x03fffd3f,0x7ffe4000,0x7fdc0003,0x7fc4004f,0x8000ffff,
    0x2007fff8,0xff107ffe,0x0dff905f,0x7c17ffd4,0xfb8004ff,0x7ff402ff,
    0xff700007,0xf10007ff,0xfffd19ff,0x7ffe4007,0xffffffff,0x0bdfffff,
    0x27fff300,0x0001fffe,0x00ffff20,0x09fff700,0x7ffff500,0x3ffe2000,
    0x1fff6006,0xfe84ffe8,0x27ffc04f,0x000bffe6,0x9817ffe2,0x80004fff,
    0x005ffffa,0xfdbfff10,0x64003fff,0xaaaacfff,0xeffffbaa,0x7ffcc001,
    0x003fffd3,0x1fffe400,0x3fff2000,0xffff0003,0x7ffc4000,0x1fff6004,
    0x7c46ffc8,0x7fec02ff,0x007ffdc6,0x00fffd80,0x0001fff9,0x06ffff88,
    0x3fffe200,0x006fffff,0x200ffff2,0x004ffffb,0x7f4fffe6,0x200001ff,
    0x0003fffb,0x001fffe4,0x0007fff8,0x8013ffe2,0x3ea07ffd,0x1ffee0ff,
    0xfb1ffee0,0x7d4000df,0xbfff03ff,0xfffd0000,0x7c40001f,0xffefffff,
    0xfff9004f,0x3ffee007,0xfff3003f,0x007fffa7,0x4fffb800,0x7ffec000,
    0xffff0002,0x7ffc4000,0x1fff6004,0x362fff88,0xff9805ff,0x00fffe1f,
    0x50dfff00,0x80005fff,0x001ffffd,0x7ffffc40,0x01ffff8a,0x003fffc8,
    0x00bffff2,0x7f4fffe6,0x200001ff,0x0004fffa,0x0017fff4,0x0007fff8,
    0x8013ffe2,0x7f407ffd,0x00fffe4f,0xff89fffc,0x7e40001f,0x3ffec0ff,
    0x3ffee000,0xf880003f,0x3fee2fff,0xfffc806f,0x7ffec003,0x7ffcc01f,
    0x003fffd3,0x37ffcc00,0x3fffe000,0xffff0001,0x7ffc4000,0x1fff6004,
    0x3e6dff90,0xffb001ff,0x001ffea9,0x88fffe60,0x20004fff,0x004ffff9,
    0x09fff100,0xc809fffd,0x44003fff,0x200effff,0xffd3fff9,0xf800003f,
    0x30000fff,0x4000ffff,0x20007fff,0x2004fff8,0x7d407ffd,0x00fff77f,
    0xffcb7fd4,0xffd00005,0x00fffdcd,0x6ffff880,0x3fe20000,0xffff984f,
    0x0ffff201,0x3fffee00,0x4fffe605,0x0001fffe,0x02fffec0,0x05fffd80,
    0x01fffe00,0x04fff880,0x101fff60,0x9ffb3fff,0x47ffc400,0x00003ffe,
    0x3f63fff7,0x3fa0006f,0x00000fff,0x5c13ffe2,0x3f206fff,0xfb0003ff,
    0x3e605fff,0x3fffd3ff,0xffb80000,0x7cc004ff,0x20002fff,0x20007fff,
    0x2004fff8,0xfe807ffd,0x002fffbf,0x7ffd7ff4,0xff100000,0x07fff17f,
    0x3ffff600,0x7c400001,0x3ffa04ff,0x7fff904f,0x3ffe2000,0x7fff306f,
    0x0007fffa,0x3ffffa00,0xffff7003,0xfff8000d,0x3fe20007,0x3ff6004f,
    0xfeffb807,0x7e4000ff,0x0006ffef,0x7d77fe40,0xfb8000ff,0x00001fff,
    0x204fff88,0xc81ffff9,0x20003fff,0x984ffffb,0xfffd3fff,0xf5000003,
    0x37bfffff,0xfffd9753,0xf80003ff,0x220007ff,0x36004fff,0xff9807ff,
    0xa8006fff,0x004fffff,0x77ffcc00,0xf88004ff,0xccccefff,0xcccccccc,
    0x0ccccccc,0xc809fff1,0x7e40efff,0x740003ff,0x7cc1ffff,0xbfffd3ff,
    0x99999999,0x03999999,0x7fffffdc,0xffffffff,0x80002fff,0x20007fff,
    0x2004fff8,0xff007ffd,0x20007fff,0x002fffff,0xffffe800,0xff88001f,
    0xffffffff,0xffffffff,0x10ffffff,0xe8809fff,0x7fe44fff,0x7cc0003f,
    0x7fcc6fff,0xfffffd3f,0xffffffff,0x805fffff,0xfffffff9,0xefffffff,
    0xfff00001,0x7fc4000f,0x3ff6004f,0xffffb007,0x3ff60003,0x800000ff,
    0x006ffffb,0xffffff10,0xffffffff,0xffffffff,0x3ffe21ff,0xffffa804,
    0x00ffff21,0x3ffff200,0x74fffe63,0xffffffff,0xffffffff,0xda8802ff,
    0xffffffff,0x400002df,0x20007fff,0x2004fff8,0xf7007ffd,0x5c000fff,
    0x00005fff,0x07ffff10,0x3fffe200,0xffffffff,0xffffffff,0xff10ffff,
    0x3ff6009f,0x7fff90ef,0x3ffa0000,0x7fff30ff,0x3ffffffa,0xffffffff,
    0x4002ffff,0x9aabaa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7775c000,
    0xeeeeeeee,0x400bccde,0xeeeeeeed,0xeeeeeeee,0xeeeeeeee,0x007ddd91,
    0x92eeea80,0x005ddddd,0x3bbbb600,0x001dddb2,0x1f777640,0x00fbbb62,
    0x3dddb100,0xdd73776c,0xea80005d,0x5c0003ee,0xddd503ee,0xdddddddd,
    0xdddddddd,0x3bbba63d,0xfffff901,0xffffffff,0x205bffff,0xffffffff,
    0xffffffff,0xffffffff,0x03ffffb2,0x9fffd400,0x05fffffe,0xffffa800,
    0x03fffd3f,0x3ffff600,0x5ffff705,0x7fff4000,0xf93fffc4,0xb80007ff,
    0x20004fff,0xf704fff9,0xffffffff,0xffffffff,0x3fe63fff,0xfff902ff,
    0xffffffff,0xffffffff,0xffffff0b,0xffffffff,0xffffffff,0x3fff65ff,
    0x3ea0006f,0xffffd3ff,0xd80001ff,0xfd3fffff,0xfb0003ff,0xfd809fff,
    0xc8000fff,0xfff86fff,0x00ffff27,0x09fff700,0x3fffe200,0xfffff704,
    0xffffffff,0x3fffffff,0x40bfffe6,0xeeeefffc,0xfffeeeee,0x6c4fffff,
    0xeeeeeeee,0xeeeffffe,0x1eeeeeee,0x09fffffb,0x4fffea00,0x2ffffffe,
    0x3ffe2000,0xfffd3fff,0xfffd8003,0xfff8804f,0x7fd4005f,0x7fff80ff,
    0x000ffff2,0x009fff70,0x13ffff60,0x777fffdc,0xeeeeeeee,0x31eeeeee,
    0x3205ffff,0x5c002fff,0x003fffff,0x001fffe8,0x7fffffec,0xfffa8001,
    0xffffffd3,0x7fd4000b,0xffd3ffff,0x7fec003f,0x3ea004ff,0xf1002fff,
    0x3fe05fff,0x0ffff27f,0x9fff7000,0xffff5000,0x3ffee09f,0x3e600004,
    0xff902fff,0xfd30005f,0xfd000fff,0xfd8003ff,0x006fffff,0xfd3fffa8,
    0x01fffbff,0x3fbff600,0x3fffd3ff,0x3ffff600,0xfffd8004,0xfffe800f,
    0xc9fffe04,0x40003fff,0x4004fffb,0x4ffffff8,0x009fff70,0x7fffcc00,
    0x05fff902,0x3fffe600,0x7fff4001,0x7ffec001,0x4004ffff,0xffd3fffa,
    0x005fff5f,0xff7fff10,0x07fffa7f,0x0fffff60,0x7fff4400,0x37ffe406,
    0xfc9fffe0,0x5c0003ff,0x6c004fff,0x04fffeff,0x0009fff7,0x17fffcc0,
    0x002fffc8,0x00bfffe0,0x003fffd0,0xffbfffd8,0x3ea001ff,0x1fffd3ff,
    0x5000bfff,0x7fff5dff,0xb007fffa,0x0007ffff,0x03ffff98,0x801ffff5,
    0x3ff27fff,0x7dc0003f,0x3ee004ff,0x04fff9ff,0x0009fff7,0x17fffcc0,
    0x002fffc8,0x013fff20,0x003fffd0,0xfd8fffd8,0xf5000eff,0x3fffa7ff,
    0x000fffc8,0x7fd5ffec,0x03fffd3f,0x01ffffec,0xffffc800,0x17fffc41,
    0xf93fffc0,0xb80007ff,0xf3004fff,0x9fff15ff,0x013ffee0,0xffff9800,
    0x05fff901,0x2fffdc00,0x07fffa00,0x11fffb00,0x2009ffff,0xffd3fffa,
    0x05fff31f,0x547ffc40,0xfffd3fff,0x3ffff603,0x7f400002,0x7fff46ff,
    0x4ffff004,0x0003fffc,0x8027ffdc,0xfff14ffe,0x13ffee09,0xfff88000,
    0x5fff901f,0x7ffe4000,0x7fff4003,0x7ffec001,0x03ffff50,0x3a7fff50,
    0xbfff0fff,0xaaffdc00,0xfffd3fff,0x5ffffb03,0xff100000,0x3ffee9ff,
    0x9fffe006,0x0003fffc,0x4027ffdc,0xff10effc,0x3ffee09f,0x3e200004,
    0xff900fff,0x7f40005f,0x7f4002ff,0x7ec001ff,0x3fff60ff,0x7ffd400e,
    0x321fffd3,0xfb000fff,0x4fffea7f,0x7ec1fffe,0x00002fff,0x2ffffee0,
    0x2001ffff,0x3ff27fff,0x7dc0003f,0x7fd404ff,0x13ffe21f,0x0027ffdc,
    0x03fffe00,0x0017ffe4,0x01ffffa8,0x00ffff40,0x883fff60,0x5404ffff,
    0xfffd3fff,0x00bffe61,0x7d43ffe2,0x3fffd3ff,0x017fffec,0x7fec0000,
    0x003fffff,0xff93fffc,0x3333339f,0x33333333,0x409fff93,0x7c44fff8,
    0xfff704ff,0xff800009,0x3fff207f,0xfffa8002,0xffe8005f,0x7fec001f,
    0x7fffd40f,0x4fffea02,0x3fe0fffe,0x5ffb805f,0x7f4fffea,0xffffb1ff,
    0x000000bf,0xbffffff1,0x4ffff000,0xfffffffc,0xffffffff,0xffffffff,
    0x21bff604,0xf704fff8,0x99999dff,0x99999999,0x81fffa09,0x999bfffc,
    0xba999999,0x00fffffe,0x01fffe80,0x407ffec0,0x500efffd,0x3ffa7fff,
    0x03fff20f,0x7d45ffd0,0x3fffd3ff,0xfffffffb,0x30000005,0x001fffff,
    0x7e4ffff0,0xffffffff,0xffffffff,0x04ffffff,0xf103fff7,0x3fee09ff,
    0xffffffff,0x7fffffff,0x640dffd0,0xffffffff,0xffffffff,0x0003ffff,
    0x8003fffd,0xf880fffd,0xff504fff,0x83fffa7f,0x2202fff9,0x3fea0fff,
    0xfdfffd3f,0xffffbfff,0x98000001,0x001fffff,0x3f27fff8,0xffffffff,
    0xffffffff,0x84ffffff,0xf103fff8,0x3fee09ff,0xffffffff,0x7fffffff,
    0x640dffb0,0xffffffff,0xffffffff,0x20001eff,0x4001fffe,0xf500fffd,
    0xff505fff,0x03fffa7f,0x7dc0bfff,0x9fffd45f,0xfffffffe,0x06fffe89,
    0x3fe20000,0x000effff,0xff93fffc,0x999999df,0x99999999,0xd09fffd9,
    0x7fc40bff,0xffff704f,0xffffffff,0x20ffffff,0x3f205ffc,0xffffffff,
    0xefffffff,0xffe80002,0x7fec001f,0x3fff600f,0x9fffd40e,0x7e40fffe,
    0x5ffd00ff,0xfd3fffa8,0x4c3fffff,0x0004ffff,0xfffffb00,0xff800bff,
    0x0ffff27f,0x9fff7000,0x200fffb8,0xf704fff8,0x800009ff,0x3f205ffc,
    0xaaaaacff,0x0009aaaa,0x0ffff400,0x03fff600,0x44ffff88,0xffd3fffa,
    0x2fff981f,0xfa87ff88,0xffffd3ff,0xffff901f,0xfb800005,0xffffaeff,
    0x9fffe002,0x0003fffc,0xf327ffdc,0xff8807ff,0x9fff704f,0xffb80000,
    0x0bfff204,0xe8000000,0x6c001fff,0x7d400fff,0x3fea2fff,0x01fffd3f,
    0xff70bfff,0x27fff50b,0x200efffe,0x000ffffe,0x3ffff300,0x003ffff6,
    0xff93fffc,0xfb80007f,0xbffd14ff,0x09fff100,0x0013ffee,0x409ff700,
    0x0002fffc,0x3ffa0000,0x7fec001f,0xfffd800f,0x27fff50f,0xfc80fffe,
    0x82ffe87f,0xffd3fffa,0xfff9803f,0xe880005f,0x3fe24fff,0xfff006ff,
    0x01fffe4f,0x53ffee00,0xeeeefffb,0xffeeeeee,0xf74eeeff,0x800009ff,
    0x3f203ffa,0x000002ff,0x07fffa00,0x01fffb00,0x29ffff10,0xffd3fffa,
    0x5fff301f,0xfa83ffcc,0x3fffd3ff,0x7ffff700,0xfffd8000,0x4ffffa86,
    0x327fff80,0x40003fff,0xff74fffb,0xffffffff,0xffffffff,0x3ffeedff,
    0x7d400004,0x3fff203f,0x00000002,0x0007fffa,0x2001fffb,0xfaaffffa,
    0x1fffd3ff,0xfc97ffa0,0x7fff504f,0x4007fffa,0x001ffffd,0x03ffff70,
    0x007ffff2,0x7fe4ffff,0x7dc0003f,0xffff74ff,0xffffffff,0xffffffff,
    0x013ffeed,0x05ff3000,0x0017ffe4,0xffd00000,0xffd8003f,0x3ff6000f,
    0xd3fffbff,0x3f201fff,0x03ffd0ff,0x7f4fffea,0xff1001ff,0x98001fff,
    0x7403ffff,0x3e00efff,0x3fff27ff,0x7fdc0003,0x9999934f,0x99999999,
    0x7999dfff,0x0013ffee,0x40155100,0x0002fffc,0x3ffa0000,0x7fec001f,
    0x3fe2000f,0xd3ffffff,0x3e601fff,0x07ff9aff,0x7f4fffea,0x3ea001ff,
    0x22005fff,0x9805fffe,0x3e05ffff,0x3fff27ff,0x7fdc0003,0x3e20004f,
    0xfff704ff,0x00000009,0x000bfff2,0xffe80000,0x7fec001f,0x7fd4000f,
    0xfd3fffff,0x7ff401ff,0x2a04ffcd,0xfffd3fff,0xfffc8003,0xfffb003f,
    0x3fee001f,0xffff02ff,0x001fffe4,0x013ffee0,0x04fff880,0x0009fff7,
    0x3ff20000,0x0000002f,0x007fffa0,0x001fffb0,0xffffffb0,0x803fffa7,
    0x1ffefffc,0x74fffea0,0x44001fff,0x401ffffe,0x002ffffa,0x407ffff4,
    0x3ff27fff,0x7dc0003f,0x220004ff,0xff704fff,0xa800009f,0xff900aaa,
    0x0000005f,0x00ffff40,0x003fff60,0x3ffffe20,0x01fffd3f,0x37ffffcc,
    0x74fffea0,0x98001fff,0x2206ffff,0x8004ffff,0xf86ffff8,0x3fff27ff,
    0x7fdc0003,0x3e20004f,0xfff704ff,0x7c400009,0xff901fff,0x0000005f,
    0x00ffff40,0x003fff60,0x7ffffdc0,0x801fffd3,0x403ffffe,0xffd3fffa,
    0x3f20003f,0xffd04fff,0x7d4000df,0x7ffc3fff,0x00ffff27,0x09fff700,
    0x27ffc400,0x004fffb8,0x3fffe200,0x05fff901,0x74000000,0x6c001fff,
    0x20000fff,0xfd3ffffd,0xffc801ff,0x7fd401ff,0x03fffd3f,0x7ffff400,
    0x0ffffe42,0x3fff6000,0xc9fffe1f,0x40003fff,0x0004fffb,0x5c13ffe2,
    0x00004fff,0x407fffe2,0x0002fffc,0x3ffa0000,0x7fec001f,0x3e20000f,
    0xfffd3fff,0x6fff9801,0xd3fffa80,0x40003fff,0x50fffff8,0x0007ffff,
    0x1dffff10,0xffc9fffe,0x7dc0003f,0x220004ff,0xff704fff,0x4400009f,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75c00000,0xeeeeeeee,0xeeeeeeee,0x3ae3eeee,
    0xeeeeeeee,0x01accdee,0x3ba60000,0x550001ee,0x55555555,0x55555555,
    0x3bbbb655,0xdeeeeeee,0x40000acc,0x2bceecba,0x46ec8000,0x54401999,
    0x001acddc,0x2f76ea20,0x5cc0000a,0x800acddc,0x2aa21999,0xffff902a,
    0xffffffff,0xffffffff,0x7fffe49f,0xffffffff,0x001dffff,0xffffd800,
    0xffff0004,0xffffffff,0xffffffff,0x3ffffffa,0xffffffff,0xfa8004ff,
    0xffffffff,0xff70002e,0x07fffc4f,0x7ffffecc,0x2003ffff,0xffffffd8,
    0x54000dff,0xfffffffe,0xfff100cf,0x3fffe21f,0xfffffc80,0xffffffff,
    0xffffffff,0x3fffff24,0xffffffff,0x01efffff,0xffff1000,0xff0001ff,
    0xffffffff,0xffffffff,0x3ffffaff,0xffffffff,0x00dfffff,0xfffffe88,
    0xdfffffff,0x3ffea000,0x03fffe27,0xfffffff3,0x01bfffff,0xffffffa8,
    0x01efffff,0xffffff90,0x01ffffff,0x221ffff1,0xfc80ffff,0xeeeeeeff,
    0xeeeeeeee,0x3f23eeee,0xeeeeeeff,0xfffffffe,0x80003fff,0x3fffeffb,
    0xfffff800,0xffffffff,0xd6ffffff,0xdddddfff,0xffffffdd,0xfd801dff,
    0xbaabdfff,0x004ffffd,0x44fffff3,0x3a20ffff,0xcaabefff,0x206ffffe,
    0xaceffffc,0x2ffffeca,0x77fffec0,0xffffebac,0x7fffc40e,0x01ffff10,
    0x0007fff9,0x05fff900,0x3fff6a20,0x740002ff,0x06ffecff,0x99999980,
    0x99999999,0xfd1ffffa,0x326003ff,0x2e05ffff,0x2a01efff,0x4c02ffff,
    0x227ffffe,0x3ee0ffff,0x3fe604ff,0xfff981ff,0x3fff203f,0xffff500f,
    0x3fffa607,0x87fffc45,0xc80ffff8,0x00003fff,0x002fffc8,0x0fffffa8,
    0x3fff3000,0x0003fff7,0x3fffa000,0x007fffa2,0x01ffff50,0x001ffff1,
    0x220ffff5,0x7ffffffc,0x01fff600,0x3613ffee,0xfa802fff,0xfff884ff,
    0x7ffcc02f,0x3fc4000f,0x003fffc8,0x2fffc800,0xffff3000,0x3ff20009,
    0x009fff17,0xfff90000,0x01fffe89,0x82fffd80,0x2003fffa,0x7d40fffd,
    0x7fffffff,0x017ffe00,0x3ea1e774,0x3f6004ff,0x7ffd40ff,0x7fffb005,
    0x905fa800,0x00007fff,0x005fff90,0x07fffdc0,0xd2fffc00,0x00001fff,
    0x437ffd40,0x8001fffe,0xfc85fffa,0x3ee001ff,0xfffb12ff,0x0fffb7ff,
    0x00ffff40,0x03fff600,0x43fffa80,0x1001fffd,0xc800379b,0x7fff904f,
    0xff900000,0xfe80005f,0x7d4004ff,0x3ffee3ff,0xf1000003,0xffd03fff,
    0xff30003f,0x0fffd0bf,0x53fffa80,0x363dffff,0x3ee007ff,0x0000bfff,
    0x8800fffd,0x7ffc4fff,0x50000007,0x3ff205ff,0xc800003f,0x40002fff,
    0x4006fffb,0x3e20fffd,0x000006ff,0x3a09fff9,0xa8001fff,0x53303fff,
    0x2fffb800,0xfd89fff5,0x3fe6007f,0x02ceffff,0x267bffe0,0x99999999,
    0x225fff99,0x00006fff,0x203ff980,0x0003fffc,0x02fffc80,0x7fffc400,
    0xbfff1000,0x003fffb0,0xefff9800,0x03fffd00,0x01fff900,0xfffd8000,
    0xfb019f51,0xff9800ff,0xdfffffff,0xffff100b,0xffffffff,0xdfffffff,
    0x002fffc4,0x402d8000,0x0003fffc,0x02fffc80,0x2fffe800,0x05fff700,
    0x000bfff5,0x02fffe80,0x0007fffa,0x000dfff5,0x27fff880,0x1fff6008,
    0x3fffa600,0x4fffffff,0xffffffa8,0xffffffff,0x267fffff,0x00004fff,
    0x3ff20000,0xc800003f,0x80002fff,0xd003fffd,0x7ffc0fff,0xf500000f,
    0xffe80dff,0xffb1001f,0x800001df,0x2004fffd,0x20007ffd,0xfffffec9,
    0x3ea0efff,0xeeeeeeff,0xeeeeeeee,0xfff30eee,0x00000009,0x777ffe40,
    0xeeeeeeee,0x2eeeeeee,0x0017ffe4,0x027ffe40,0x9027ffcc,0x00007fff,
    0xd00ffff6,0xdddddfff,0xffffdddd,0x800001bf,0x000ffffa,0x0001fff6,
    0x7fffedc4,0x3ffe67ff,0x3e200004,0x000005ff,0x81ffffb0,0xfffffffc,
    0xffffffff,0x643fffff,0x80002fff,0xc804fffb,0x3e601fff,0x880006ff,
    0xfe807fff,0xffffffff,0xefffffff,0x7d400000,0x6c002fff,0x000007ff,
    0x43ffffb3,0x00005fff,0x20037ffc,0xffd10000,0xffffc89f,0xffffffff,
    0xffffffff,0x017ffe43,0x2fffdc00,0x01bffe20,0x000bfffa,0x009fff90,
    0xfffffffd,0xffffffff,0x00007fff,0x017fffe6,0x001fff60,0xfffd8002,
    0x001fffe4,0x07ffe802,0x002f7f40,0xc83fffe2,0xffffffff,0xffffffff,
    0x7e43ffff,0xc80002ff,0x7dc04fff,0xffb803ff,0x7fc0005f,0xffe801ff,
    0xeeeeeeef,0xffffffee,0x260000df,0x0005ffff,0x2a00fffb,0xf3001ffe,
    0x7ffecbff,0x3bfe6002,0x017ffec5,0x005fff88,0x323fffa8,0x00003fff,
    0x002fffc8,0x03fffd80,0x4007fff4,0x000ffff8,0x00bfff50,0x8007fffa,
    0x06ffffd9,0xdffff500,0x3ff60001,0x9fff3007,0x8fffea00,0x2006fffa,
    0x7cc3fffd,0xff7006ff,0x3ee0005f,0x0ffff27f,0x3ff20000,0xfe80002f,
    0x3fe602ff,0xccccccff,0xffffcccc,0xfffb0003,0x3fffa005,0xfffb8001,
    0x7fdc002f,0x20000dff,0x2aa27ffd,0x0ffffc2a,0x20ffff40,0xb804fffd,
    0xfd80ffff,0x7fc403ff,0x555540ff,0x64bff200,0x00003fff,0x002fffc8,
    0x01ffff80,0x3ffffff2,0xffffffff,0x8006ffff,0x2007fff8,0x0001fffe,
    0x400dfff9,0x005ffffc,0x227ffd80,0x3f20ffff,0xf9102fff,0xfff30dff,
    0xff9303df,0x3fe207ff,0xffd505ff,0xffff885f,0x7ffe4000,0xfc800003,
    0x440002ff,0x3e00ffff,0xffffffff,0xffffffff,0x5c002fff,0x3a003fff,
    0x50001fff,0x8801ffff,0x004ffffd,0x44fffb00,0x7ec0ffff,0xecceefff,
    0x701effff,0xbbffffff,0x09ffffff,0xefffffb8,0x4ffffedc,0x00ffff88,
    0x01fffe40,0x7ffe4000,0x7fd40002,0x3ffea07f,0xccccccce,0xffdccccc,
    0x7ff4005f,0x3ffa000f,0x3fe0001f,0x3fa201ff,0x00003fff,0xff89fff6,
    0x7ff440ff,0xffffffff,0x7f4c00df,0xffffffff,0xfd3004ff,0xffffffff,
    0x3ffe209f,0x7fe4000f,0xc800003f,0x40002fff,0x3603fffe,0x88002fff,
    0x3000ffff,0xe800bfff,0x20001fff,0xd101ffff,0x0005ffff,0x227ffd80,
    0xd500ffff,0xdfffffff,0xffeb8007,0x00cfffff,0xffffec80,0x3e201dff,
    0x64000fff,0x00003fff,0x002fffc8,0x03fffee0,0x003fffc4,0x009fffd0,
    0x000fffee,0x0003fffd,0x441fffe2,0x001efffe,0x87ffd800,0xa98807f8,
    0x300001aa,0x00003555,0x0026aa62,0x7fe40000,0xc800003f,0x10002fff,
    0x5c09ffff,0x20004fff,0xb007fffa,0xe8005fff,0x70001fff,0x3fa0dfff,
    0x00000eff,0xf50fffb0,0x0000000b,0x00000000,0xf9000000,0x000007ff,
    0x0005fff9,0x01ffffd3,0x000ffff4,0x05ffff10,0x001ffff0,0x001fffe8,
    0x84ffff98,0x000efffb,0x1fff6000,0x555513f2,0x99988000,0x99999999,
    0x99999999,0x00099999,0xc8000000,0x00003fff,0x002fffc8,0x3fffff22,
    0x1bffe603,0x3fff2000,0x3fffc405,0x0ffff400,0xffff7100,0xffff881f,
    0x6c000001,0x17fd47ff,0x7e43fffe,0xffffffff,0xfffff97f,0xffffffff,
    0xffffffff,0x00005fff,0xff900000,0x999999bf,0x99999999,0x3f239999,
    0xcccccdff,0xffffedcc,0x7e403fff,0x980003ff,0x2a00ffff,0xe8006fff,
    0xccccdfff,0xffedcccc,0xfd82ffff,0xccccceff,0xcccccccc,0xfffb002c,
    0x7fc1ffcc,0xffff90ff,0x2fffffff,0xfffffffc,0xffffffff,0xffffffff,
    0x0000002f,0xffffc800,0xffffffff,0xffffffff,0xffff92ff,0xffffffff,
    0x7fffffff,0x01ffff00,0x3fffa000,0x13ffea04,0x3ffffa00,0xffffffff,
    0x4fffffff,0xffffff98,0xffffffff,0x004fffff,0x02d8fffb,0x3f21ffff,
    0xffffffff,0x7777757f,0x77777777,0x77777777,0x00003777,0xff900000,
    0xffffffff,0xffffffff,0x3f25ffff,0xffffffff,0xffffffff,0xfffa800c,
    0x3ee00006,0x3fee07ff,0xffe8003f,0xffffffff,0xdfffffff,0xfffff701,
    0xffffffff,0x09ffffff,0x801fff60,0xdd70ffff,0xdddddddd,0x0000000b,
    0x00000000,0xffffffc8,0xffffffff,0xffffffff,0xffffff92,0x9ddfffff,
    0xffd80059,0x2200003f,0xf902ffff,0xfd0003ff,0xffffffff,0x399bdfff,
    0xfffffc80,0xffffffff,0x04ffffff,0x000fffb0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75300000,0x001579b9,0x4c001333,0xca980099,
    0x8800abcd,0x98000999,0x20666099,0x400acda8,0x00acdca8,0x22003331,
    0x33000999,0x4cccc413,0x99999999,0x4c099999,0x26000999,0x0ccc0999,
    0x055ee544,0xcca83330,0x000004c2,0xfffffb80,0x00dfffff,0x4007fff3,
    0x3a606fff,0xffffffff,0x3ffe200d,0x7ffc4006,0x2a3fff15,0xeffffffe,
    0x7ffff441,0xffc82fff,0xfffc801f,0x3fff9804,0x3fffffea,0xffffffff,
    0x7fdc6fff,0xffb800ff,0x3ffe20ef,0xfffffd31,0xfff30bff,0xfffffd11,
    0x00073f29,0x7fff4400,0xffffffff,0xfff982ff,0x1bffe003,0x3fffff22,
    0x2fffffff,0x003fff60,0xf11fffb8,0xffff53ff,0x21dfffff,0xffffffe8,
    0x7fd43fff,0xfffe803f,0x0fffb807,0x3fffffea,0xffffffff,0xffe86fff,
    0x7ffcc05f,0x4fffc41f,0xfffffff9,0x3e61efff,0xffffd9ff,0xdfff93ff,
    0x7cc00005,0xaabcffff,0x86ffffec,0x2003fff9,0xffc86fff,0xedbaceff,
    0xf503ffff,0x7f4007ff,0x33ffe26f,0xfdcdffff,0xffe9dfff,0xffffecce,
    0x02fffc0f,0x03ffffe2,0xe98dffb0,0xeeeeeeee,0xffffcdee,0x3ffff884,
    0x20ffffa0,0xfffcfff8,0xffffdcce,0x33ffe66f,0x0fffffff,0x9ffffff9,
    0xffc80001,0x7ffd404f,0x1fffcc2f,0xa8dfff00,0x3603ffff,0xff00ffff,
    0x3fe600df,0x3fffe24f,0xfff981ff,0xf882efff,0x7fec3fff,0x3ffea00f,
    0x3fe203ff,0xfd80003f,0x3fea05ff,0xfffc80ff,0xfffff105,0x3fff205d,
    0xfffff31f,0x4c99539f,0xfffffffc,0xff88001d,0xfff7005f,0x03fff98b,
    0xf89bffe0,0xfb801fff,0xfff905ff,0x1fff9003,0x0fffffc4,0x1fffff70,
    0x22fffd40,0x3602fffa,0x205fffff,0x0001fffa,0x0077ffe4,0xf517fff6,
    0x3e201fff,0x6c00ffff,0xfff34fff,0x2e2001ff,0xeffffffe,0x3ffee003,
    0xdfff1001,0x003fff98,0xffc9bffe,0x3ffa004f,0x4fff982f,0x446fff80,
    0x4403ffff,0xf804ffff,0x7ffc46ff,0x3f7ffe04,0x1bff207f,0xffff7000,
    0xffff1001,0x0bfffe25,0x03ffff88,0xf36fff98,0x20007fff,0xffffffd9,
    0x54c400cf,0x37ffc003,0x800fffe6,0x3ffa6fff,0x3fea000f,0x0fffd04f,
    0x442fffa8,0xff007fff,0xffd001ff,0x20dffd0f,0xfff9fff9,0x009fff01,
    0x0ffffd40,0x1ffff300,0x8809fffb,0xf1007fff,0x3ffe6dff,0x5c40000f,
    0xdfffffff,0xff800002,0x1fffcc6f,0x7cdfff00,0xff8005ff,0x3fff706f,
    0x207ffec0,0xf006fff8,0x3f600fff,0x0fffb87f,0xfff5ffb8,0x03fff307,
    0x3fffe600,0xfffc8002,0x8806fffe,0x3e006fff,0xffff36ff,0xfda80000,
    0x0befffff,0xfdba9800,0x7fcc6fff,0x3ffe003f,0x009fff16,0x220fffd0,
    0xff104fff,0xbfff109f,0x01fffe00,0x7cc3ffec,0x3ffd82ff,0xff90bffb,
    0x3fe2000f,0x3a0003ff,0x00ffffff,0x005fff88,0x7fcdfffa,0x1000006f,
    0xbffffff9,0x7f6dd440,0xffffffff,0x01fffcc6,0x3eadfff0,0xfd8003ff,
    0xfffb00ff,0x207ffea0,0xf004fff8,0x3f600dff,0x0bffd07f,0x3fee3fff,
    0x004ffe87,0x05fffe88,0x7fffcc00,0xfff1002f,0xbfff4009,0x0005fff9,
    0xfffea800,0xffffc885,0xffffffff,0x7ffcc6ff,0x5bffe003,0x8002fffb,
    0xf501fffc,0xdffd05ff,0x013ffe20,0xd8037ffc,0xfff907ff,0x3e67ff98,
    0x3ffe21ff,0xfffd8002,0xffb00006,0x3e2001ff,0x3fa004ff,0x09fff37f,
    0xfda80000,0x7fcc5fff,0xdfffffff,0x98dfff1c,0x3e003fff,0x5fff76ff,
    0x3fff9000,0x222fffc0,0xff103fff,0x3ffe009f,0x0fffb006,0xfc87ffe6,
    0x71fffc5f,0xf9000fff,0x00001dff,0x0bfffff3,0x013ffe20,0xff37ffe8,
    0x1000009f,0xfffffff7,0x7ffffc47,0xfff00acd,0x03fff98d,0x7d5bffe0,
    0xfd8003ff,0x3ff200ff,0x03ffee0f,0x8027ffc4,0xfb006fff,0x1fffc0ff,
    0xffd85ffd,0x0017ff65,0x003ffff7,0xffffd100,0xff1007ff,0x7ff4009f,
    0x009fff37,0x7ffecc00,0x6c0befff,0x8800efff,0x7fcc6fff,0xfff1003f,
    0x013ffe6d,0x301fffa0,0x7ff47fff,0x13ffe205,0x8037ffc0,0x3f607ffd,
    0x81fff16f,0xfff17ffb,0x7ffd4005,0xfb00001f,0x3ffff9ff,0x04fff880,
    0x7cdfffa0,0x440004ff,0xffffffeb,0x3fffe02d,0xdfff3000,0x004fff98,
    0x7fcdfff3,0x7fc4005f,0x5ffe807f,0x4405fff3,0xff004fff,0x3ff600df,
    0x23ffea07,0xff986ffa,0x00fffa9f,0x07ffff30,0x3ffea000,0x80dfff56,
    0x2004fff8,0xfff37ffe,0x3f260009,0x1cffffff,0x02fffcc0,0x88dfff70,
    0xf7005fff,0x7fff4dff,0x3ffee001,0x8fffb804,0x2200fffc,0xff004fff,
    0x3ff600df,0x2bffe207,0xfff04ffc,0x200bff97,0x004ffff9,0x3ffff100,
    0x1027ffec,0x74009fff,0x9fff37ff,0xfffea800,0x000befff,0x200bfff5,
    0xf86fffe8,0x74400fff,0x3fee6fff,0xfff1005f,0xfff1003f,0x8809ffd5,
    0xff004fff,0x3ff600df,0x767fec07,0xdff902ff,0xd1007fff,0x0000bfff,
    0x221fffec,0xf101ffff,0x7f4009ff,0x09fff37f,0x3ffffea0,0x88002dff,
    0x4401ffff,0xe87ffffe,0x3a204fff,0x7f46ffff,0xffd803ff,0x3ff6006f,
    0x4401fffe,0xff004fff,0x3ff600df,0x7fffdc07,0xfff500ff,0xfd001fff,
    0x40000bff,0xf706fffb,0xff101dff,0x7ff4009f,0x009fff37,0x33fffff2,
    0x7ffc0001,0xffd300df,0xff50ffff,0x754439ff,0x4c6fffff,0x980dffff,
    0x000ffffe,0x1bffffea,0x013ffe20,0xd8037ffc,0x7fc407ff,0x3e206fff,
    0xd806ffff,0x9998efff,0x99999999,0x7ffcc099,0x3fff601f,0x04fff884,
    0x7cdfffa0,0xff9004ff,0x2000017d,0xbcfffffa,0xddffffeb,0xfff80fff,
    0xfffeffff,0xc86ffccf,0xddefffff,0x02ffffff,0x3fffff80,0x04fff880,
    0x200dfff0,0xfe807ffd,0x7f404fff,0x7c403fff,0xffffffff,0xffffffff,
    0x7fff44ff,0x7fffc404,0x027ffc42,0x3e6fffd0,0x5b9004ff,0x3f200000,
    0xffffffff,0x7fff32ff,0xfffffd10,0x3f27ffff,0xfffd506f,0xdfffffff,
    0x3ff20003,0xff8800ff,0xdfff004f,0x01fff600,0x00bffff2,0x803ffff9,
    0xfffffff8,0xffffffff,0x3f24ffff,0xff7006ff,0x7ffc41ff,0x5fffa004,
    0x1004fff9,0xd3000000,0x9fffffff,0x206fff81,0xdffffffc,0x881bff22,
    0xffffffec,0x7cc0003e,0xff1005ff,0x3ffe009f,0x0fffb006,0x01ffff30,
    0x806fffa8,0xfffffff8,0xffffffff,0xff34ffff,0x7ec003ff,0x3ffe25ff,
    0x5fffa004,0x0004fff9,0x98800000,0x000009aa,0x00006aa2,0x00aaa988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06200000,0x00555440,0x004cc400,0xcccccca8,
    0xcccccccc,0x402ccccc,0xeee80099,0x47bbba1e,0x100eeee8,0x80013553,
    0x00000008,0x00000000,0x00000000,0x00000000,0x200bf930,0x0002fff9,
    0x9006ffe8,0xffffffff,0xffffffff,0x7cc0bfff,0xffff805f,0x447fffe1,
    0x74c0ffff,0x2dffffff,0x0001e980,0x00000000,0x00000000,0x00000000,
    0x7fed4000,0xfff3005f,0xff980005,0xffc802ff,0xffffffff,0xffffffff,
    0x13fe205f,0xf87fffe0,0xfff11fff,0x7fffdc1f,0xcfffffff,0x00ffdc41,
    0x00000000,0x00000000,0x00000000,0x7dc40000,0x005fffff,0x0005fff3,
    0x05ffffd8,0xffffffc8,0xffffffff,0x205fffff,0xff803ff8,0x3fffe1ff,
    0x21ffff11,0xfffffff8,0xefffffff,0x01ffffed,0x00000000,0x00000000,
    0x00000000,0x3f660000,0x1dffffff,0x05fff300,0x7fffc400,0x000001ff,
    0xff873a00,0xfff0b6a3,0x8ffffc3f,0xf10ffff8,0xffb79dff,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0xffffd500,0x80017dff,
    0x0002fff9,0x3ff7bff2,0x00000005,0xfd5dfff3,0xf8bfff97,0x3ffe1fff,
    0x1ffff11f,0x2a207be2,0xfffffffc,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x3fffff22,0x20002dff,0x0002fff9,0x3feafffe,0x0000000f,
    0xffffffb8,0x0fffffff,0xfe83fffa,0x13fffc7f,0xfb71001b,0x001bdfff,
    0x00000000,0x00000000,0x00000000,0x3fff6600,0x000cffff,0x02fff980,
    0x21fff700,0x00004ffe,0xfd951000,0x037bffff,0xffd8dff9,0x0037fec6,
    0x00009980,0x00000000,0x00000000,0x00000000,0xffffd710,0x00005bff,
    0x002fff98,0x7dc9ffd0,0x0000007f,0x2fffe880,0x2e2ffdc0,0x27fe45ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffffc8,0xff90001c,
    0xffffffff,0xffffffff,0x3fff50bf,0x881fffc4,0x99999999,0x99999999,
    0xffd00999,0x7cc05ffb,0x21ffd44f,0x00003ffa,0x00000000,0x00000000,
    0x00000000,0xff900000,0x900005ff,0xffffffff,0xffffffff,0xffb0bfff,
    0x20dffb0d,0xfffffffc,0xffffffff,0xfd85ffff,0x01fff8bf,0xff885ff1,
    0x000ffcc2,0x00000000,0x00000000,0x00000000,0xc8000000,0x002effff,
    0x7ffffe40,0xffffffff,0x45ffffff,0xf983fff9,0xfffc82ff,0xffffffff,
    0xffffffff,0xf53ffdc5,0x026601ff,0x000cc066,0x00000000,0x00000000,
    0x00000000,0x70000000,0x9fffffff,0x99950001,0xfffb9999,0x9999999b,
    0x00fffc85,0xff90bffd,0xffffffff,0xffffffff,0x42ffa8bf,0x00000dfd,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffeb8800,0x002dffff,
    0x0bffe600,0x04fff880,0x3107ffee,0x33333333,0x33333333,0x10710133,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff6a0,
    0x0000beff,0x0017ffcc,0x4403fff7,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64400000,0xcfffffff,0xfff30001,
    0x37ffc005,0x007ffe40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffff5c4,0x4c002eff,0xf5002fff,0xff3007ff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfda80000,0x03ffffff,0x005fff30,0x4003332e,0x00003ccb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x0bfffff9,
    0x00bffe60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05ffeb88,0x005fff30,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c0176a0,
    0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_48_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_48_usascii_y[95]={ 38,7,7,6,4,6,6,7,6,6,6,12,33,24,
33,6,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,43,7,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,19, };
static unsigned short stb__arial_48_usascii_w[95]={ 0,6,13,24,21,34,27,6,11,11,15,21,6,12,
6,12,21,13,21,21,22,22,21,20,22,22,6,6,21,21,21,21,41,30,24,28,26,24,22,29,25,5,18,26,
20,30,25,30,24,31,28,26,25,25,29,41,29,29,26,10,12,10,19,26,9,22,21,21,20,22,14,21,19,5,
9,20,5,32,19,22,21,20,13,19,12,19,21,31,22,22,21,13,5,14,23, };
static unsigned short stb__arial_48_usascii_h[95]={ 0,31,12,33,39,34,33,12,42,42,14,22,12,5,
5,33,32,31,31,32,31,32,32,31,32,32,23,30,22,14,22,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,35,31,33,31,32,31,31,31,31,31,40,33,40,18,4,6,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,8, };
static unsigned short stb__arial_48_usascii_s[95]={ 252,244,169,83,134,188,108,183,1,13,153,
89,245,180,173,136,219,152,130,20,198,63,108,84,130,153,238,166,67,131,233,
176,60,53,105,32,26,1,221,149,172,166,1,109,232,78,52,1,1,156,197,
179,26,1,119,77,136,27,149,123,206,112,111,193,245,1,86,216,42,193,241,
61,57,246,102,176,226,89,199,44,198,233,219,173,220,24,67,122,176,223,154,
46,40,25,190, };
static unsigned short stb__arial_48_usascii_t[95]={ 1,144,232,44,1,1,44,232,1,1,232,
232,176,201,201,44,44,176,176,78,144,78,78,176,78,78,176,176,232,232,208,
78,1,176,176,44,176,176,144,44,144,144,78,144,111,144,144,44,144,1,111,
44,144,111,111,111,144,111,111,1,44,1,232,201,189,208,78,176,78,176,44,
44,111,1,1,111,111,208,208,208,78,78,208,176,78,208,208,208,208,1,208,
1,1,1,232, };
static unsigned short stb__arial_48_usascii_a[95]={ 191,191,244,382,382,611,459,131,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,191,191,401,401,401,382,698,459,459,496,496,459,420,535,
496,191,344,459,382,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,191,191,191,323,382,229,382,382,344,382,382,191,382,
382,153,153,344,153,573,382,382,382,382,229,344,191,382,344,496,
344,344,344,230,179,230,401, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_48_usascii_BITMAP_HEIGHT or STB_FONT_arial_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_48_usascii(stb_fontchar font[STB_FONT_arial_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_48_usascii_BITMAP_HEIGHT][STB_FONT_arial_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_48_usascii_s[i] + stb__arial_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_48_usascii_t[i] + stb__arial_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_48_usascii_x[i];
            font[i].y0 = stb__arial_48_usascii_y[i];
            font[i].x1 = stb__arial_48_usascii_x[i] + stb__arial_48_usascii_w[i];
            font[i].y1 = stb__arial_48_usascii_y[i] + stb__arial_48_usascii_h[i];
            font[i].advance_int = (stb__arial_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_48_usascii_s[i] + stb__arial_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_48_usascii_t[i] + stb__arial_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_48_usascii_x[i] + stb__arial_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_48_usascii_y[i] + stb__arial_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_48_usascii_LINE_SPACING
#endif

