// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_49_usascii_BITMAP_HEIGHT        261
#define STB_FONT_arial_49_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_49_usascii_FIRST_CHAR            32
#define STB_FONT_arial_49_usascii_NUM_CHARS             95

#define STB_FONT_arial_49_usascii_LINE_SPACING          32

static unsigned int stb__arial_49_usascii_pixels[]={
    0x3e00bff1,0xff002cee,0xdd91005f,0x5300009f,0x9ddfdb97,0x00000159,
    0x2a017fe2,0x2aaaa1aa,0x5511aaaa,0x01555555,0x00001980,0x3bbb32a0,
    0x00001bcd,0xa8000330,0x0003ceec,0x5400bff6,0x0bfee2aa,0x37ffffe0,
    0x017ffc00,0x13ffffea,0xfffeb800,0xffffffff,0x00002dff,0x2200ffe4,
    0x3ffe5fff,0xf13fffff,0x5fffffff,0x000ff800,0x3ffae200,0xffffffff,
    0xeb80002e,0x10bdffff,0xff905ddd,0x003dffff,0x1006ff98,0xfff8bfff,
    0x7ffffc00,0x17ffc05f,0xffffff10,0xffc88009,0xffffffff,0xffffffff,
    0xfa80003f,0xfff8804f,0x3fffffe5,0xffff13ff,0x2005ffff,0x000bffa8,
    0xfffffb80,0xffffffff,0xa8001fff,0xffffffff,0x3fff89ef,0x7f7fffec,
    0x3a001fff,0xff1002ff,0x04ffa8bf,0x7fffe5d4,0x80bffe00,0x1bcffffc,
    0x3fffee00,0x99abceff,0xffffcba9,0x10000dff,0xf1001ffd,0x7fffcbff,
    0xdd12eeee,0x05fffddd,0x7ffffe44,0x8000cfff,0xfffffffc,0xffffedde,
    0x2a003fff,0xffffffff,0xfffaffff,0x433ffe63,0x5005ffea,0x7c400dff,
    0x1ffe85ff,0x07fff500,0xfd017ffc,0x3f2000df,0x001cffff,0x7ffffed4,
    0x4ffc8002,0x4bfff100,0x5c006fff,0xff702fff,0xffffffff,0x7f4005ff,
    0x009cffff,0x9fffffb3,0xdffff300,0x3ffaa215,0x3f63ffff,0x2fff884f,
    0x001ffe80,0x2a17ffe2,0x3fe006ff,0x0bffe05f,0x001fffc4,0x017fffec,
    0x7ffec400,0x3fe6002f,0xff80000f,0x7fdc006f,0xffffb82f,0xffffffef,
    0xffc802ff,0x26001eff,0x403ffffe,0x200dfffe,0x13fffffc,0x3f603fff,
    0x2ffd404f,0xffe80000,0x0dffb002,0xf9817ffc,0x3a2002ff,0x0000efff,
    0x07fffdc0,0x004ffd80,0x00dfff00,0x4c2fffb8,0xff1dffff,0x1fffff73,
    0x27fffd40,0xfffe8800,0xdfff500f,0x3ffff600,0x201fff33,0x7f405ffb,
    0x9000001f,0x3f600dff,0x0bffe06f,0x000fffcc,0x0009fffb,0x37ffcc00,
    0x00fffc40,0x06fff800,0x217ffdc0,0x7fc3fffe,0x0bfffd10,0x01bfffa2,
    0xbffff100,0x00bfff20,0xa9ffffcc,0x3fee07ff,0x017fea06,0xfff98000,
    0x07ffc801,0x7cc0bffe,0xff5001ff,0x000c007f,0x404fffa8,0x00006ffc,
    0x7001bffe,0x7fcc5fff,0x2a0ff87f,0xff707fff,0x500003ff,0xfb03ffff,
    0xffd800df,0x40fff53f,0x3fa07ffa,0x4000001f,0xfc805ffe,0x0bffe07f,
    0x800fffd4,0xeb805ffe,0x220bdfff,0x7fdc2ccc,0x9fff100f,0x4eee8800,
    0x7001bffe,0x7fd45fff,0x7c0ff84f,0xffe81fff,0x3600005f,0xfff84fff,
    0x7ffdc005,0x5c0fff33,0xbff506ff,0x3bba2000,0x03fff204,0x7c0fff90,
    0xfff502ff,0x1fff7003,0x7ffffd40,0xff50efff,0x07ffd07f,0x0007ffee,
    0x7fcbfff1,0x7fdc006f,0x07fff22f,0x79b703fe,0x0ffff883,0x3fea0000,
    0x27ffc47f,0x4fffea00,0xf900fff8,0x07ffa0bf,0x2fffc400,0x807fff30,
    0x3fe07ffc,0x3fff502f,0x02fff880,0x3fffffee,0xfc8effff,0x6ffb81ff,
    0x000dffd0,0x7fcbfff1,0x7fdc006f,0x07fff62f,0xf70003fe,0x80000dff,
    0x2a2ffff8,0x4c003fff,0x3ffe3fff,0x707ffd02,0x44000bff,0x7fc05fff,
    0x3ffdc05f,0x2a05fff0,0x7e401fff,0x3fff205f,0xfe988adf,0x107ffeef,
    0xff885fff,0xff88004f,0x01bffe5f,0x5c5fff70,0x0ff84fff,0x2fffec00,
    0x7fec0000,0x0bffee3f,0x47fff100,0xff985ffc,0x01fff80f,0x17ffe200,
    0xb80fffb0,0xfff00fff,0x03ffee05,0x2a05fff0,0x3603ffff,0x206fffff,
    0x7fd43ffd,0xff88003f,0x01bffe5f,0x4c5fff70,0x0ff86fff,0x27fff400,
    0x7fe40000,0x0fffee4f,0x47fff300,0xc8aefff8,0xffb84fff,0x7fc40005,
    0x7ffe405f,0x03ffea01,0xfb817ffc,0x3ffcc07f,0x03fffe88,0x27ffffc4,
    0xfc89ff90,0xf88002ff,0x1bffe5ff,0x85fff700,0x7fc3ffff,0x7fff4000,
    0xfb800002,0x3ffe65ff,0x7ffd4004,0x7ffffdc3,0x7c40efff,0x440000ff,
    0x7dc05fff,0x3fe604ff,0x05fff02f,0xf901bff6,0x3fff209f,0xffff7005,
    0x22ffdc05,0x8001fffe,0x3fe5fff8,0x7fdc006f,0x7fffe42f,0x8001ff0c,
    0x0001ffff,0x26fffb80,0x4005fff8,0xfa83fffb,0x704fffff,0x100009ff,
    0xfa80bfff,0x7ffc04ff,0x305fff06,0xff807fff,0xffff881f,0xffff5001,
    0x237fd401,0x8000ffff,0x3fe5fff8,0x7fdc006f,0xffffd82f,0x2000ffdf,
    0x001ffff8,0x6fffa800,0x0007fffc,0x2207fffb,0xf100acba,0x0d4c01ff,
    0x017ffe20,0xc80bfff5,0xfff82fff,0x00fffd82,0x7dc1ffe2,0x3e6005ff,
    0x7fd407ff,0x01fffe25,0xf2fffc40,0xfb800dff,0xfffb02ff,0x17bfffff,
    0x05ffff00,0xfff90000,0x03fffc8d,0x07ffff30,0x09ff9000,0x17fffff6,
    0x202fffc4,0xe806fff9,0xff0adfff,0x3ffae65f,0x37fcc03f,0x001fffe8,
    0x7017ffe2,0x7ffc49ff,0xfff10006,0x0037ffcb,0xb80bffee,0xfffffffe,
    0x3fa00cff,0x800003ff,0x7c45fffd,0xfd800fff,0x40003fff,0x7440fff8,
    0xefffffff,0x02fffc41,0x201bffe2,0xf2ffffd8,0x3fff65ff,0x6ffa802f,
    0x007fff88,0x2027ffd4,0x3fe62ffc,0xff10005f,0x037ffcbf,0x00bffee0,
    0x3fffff26,0xfb02efff,0x000009ff,0xf909fffd,0x36203dff,0x003fffff,
    0x6c27fe40,0xffdadfff,0x2fffc46f,0x003fffc0,0x3fe5fff9,0x03fffb2f,
    0x2617fee0,0x5c006fff,0x7fc02fff,0x13ffe60f,0x2fffc400,0xb800dfff,
    0x22002fff,0xfffffeff,0x5fffc81f,0xfff80000,0xffff883f,0xffca9acf,
    0x003fffff,0x303ffe20,0xff983fff,0x17ffe22f,0x401fffe0,0xff2ffffa,
    0x3bfff65f,0x84ffc801,0x4005fffa,0x2600fffd,0x7ffcc7ff,0xfff10005,
    0x0037ffcb,0x000bffee,0xfff931ff,0xdfff50df,0xff880000,0xffd101ff,
    0xffffffff,0x005fff9d,0x6427fe40,0xdff905ff,0x202fffc4,0xc806fff8,
    0xff0dffff,0x3fffaa5f,0x27fe401f,0x001fffd4,0xfb01fffa,0x5fff88bf,
    0xbfff1000,0x20037ffc,0x4002fffb,0x3ffea0ff,0x2ffff84f,0x3fee0000,
    0xfffd807f,0xf74fffff,0x220005ff,0xffe80fff,0x44fff302,0x7c405fff,
    0x7fcc05ff,0x42fff84f,0x200fffe8,0xff985ffb,0x3fee004f,0x3ffe605f,
    0x037ffc41,0x25fff880,0x5c006fff,0x7c002fff,0x37ffdc0f,0x0037ffe4,
    0x3ffe6017,0xd973004f,0x7fdc37bf,0xffb0001f,0x40bffe09,0xff10fff8,
    0xfff980bf,0x07ffe404,0x7d417ffc,0x3fea03ff,0x00bfff06,0x80ffffe2,
    0xfff04ffe,0x3fe2000d,0x01bffe5f,0x005fff70,0x7fcc0ff8,0xffff987f,
    0x1dffa803,0x007ffff4,0x3fff2000,0xfff98001,0x01fff880,0x3e23fff1,
    0x7fcc05ff,0x1fffc03f,0xfd02fff8,0x3ffcc0bf,0x9007ffe8,0x3603ffff,
    0x3ffa06ff,0xfff10007,0x0037ffcb,0x310bffee,0x3a03fe03,0xffd81fff,
    0x7fec00ff,0xffff74ff,0xfb000009,0xfb0001ff,0x0fffc07f,0xf11fff88,
    0xffb80bff,0x3ffea02f,0x205fff01,0x3e207ffc,0xfffc80ff,0x7fffd403,
    0x05fffb07,0x0007ffec,0xff2fffc4,0xffb800df,0x09ffd32f,0x3ff603fe,
    0xffff881f,0x3ffee02f,0xeffffeff,0x009dfb00,0x0037ffc4,0xd007ffcc,
    0x3fe605ff,0x0bfff10f,0x200fffd8,0xff00fffb,0x3ffee05f,0x20fffa00,
    0x901ffff9,0x41ffffff,0x405fffe9,0x8002fffb,0x3fe5fff8,0x7fdc006f,
    0x0dfff32f,0x3ffa03fe,0xffff500f,0xffea809f,0x200fffff,0xb003fffb,
    0xb0009fff,0xffd807ff,0x44fff503,0x7fc05fff,0x3ffe405f,0x2a05fff0,
    0x3ee00fff,0xffff706f,0xdffd7337,0xfb9dffff,0xf1009fff,0xf10009ff,
    0x37ffcbff,0x8bffee00,0xff81ffff,0x406fff80,0xdefffffa,0xfdba889b,
    0x403fffff,0xa807fffa,0x4001ffff,0xfc807ff9,0x4bffb06f,0x2605fff8,
    0x7e403fff,0x0bffe07f,0x300fffd4,0x3f205fff,0xffffffff,0xffffffd4,
    0x74005fff,0xf88006ff,0x1bffe5ff,0x45fff700,0xff85fffd,0x02fffdc0,
    0x7fffff4c,0xffffffff,0x0cffffff,0x5dfffd10,0x7ffe4c43,0xffd8004f,
    0xcfff8803,0x887ffee0,0x3ea05fff,0x7fe401ff,0x40bffe07,0x7401fffa,
    0x3ff605ff,0x2e3fffff,0xefffffff,0x7ffdc001,0x7ffc4000,0x001bffe5,
    0x7cc5fff7,0x07fc3fff,0x003ffff3,0x3fffff22,0xffffffff,0x3fffffdf,
    0xffffff10,0xffffffff,0xfff3000b,0x7fffdc00,0x444ffffc,0x3f605fff,
    0x7ffc806f,0x540bffe0,0x7d401fff,0x3ae603ff,0xfeb80bdf,0x2aa01bdf,
    0x17ffcc2a,0x97ffe200,0x5c006fff,0x7fec2fff,0x21ff0cff,0x004ffffb,
    0xffffeb88,0x262effff,0x81fffffe,0xffffffe9,0x003fffff,0x8007ffd0,
    0xfffffffc,0x05fff884,0x9007fff1,0x7ffc0fff,0x03fff502,0x005fffb0,
    0xffb00000,0x0dffd05f,0x25fff880,0x5c006fff,0xffd82fff,0xfdffdfff,
    0x0006ffff,0x9aaba988,0x3ffff200,0x3ffb6600,0x000befff,0x000dff50,
    0x0b7fff6a,0x0fff7000,0xf81fff20,0xfff302ff,0xffff1003,0x40000003,
    0xf505fffd,0x7c4003ff,0x1bffe5ff,0x05fff700,0x3ffffff6,0x04ffffff,
    0x88000000,0x4c4005fc,0x33100000,0x00100001,0x01fff400,0x3e06ffd8,
    0xfff302ff,0x3ffea005,0x4000003f,0x405fffd8,0x26004ffe,0x3ffe4fff,
    0x7ffdc006,0x3fff6e02,0x02efffff,0x40000000,0x00000008,0x00000000,
    0x0fff3000,0xf02fff40,0x3fe205ff,0x3fea003f,0x00001eff,0x05ffffb8,
    0x2007ffa8,0x3fe3fff9,0x7fdc006f,0xff93002f,0x00000159,0x00000000,
    0x00000000,0xfb000000,0x3fe2007f,0x0bffe04f,0x4006fff8,0xadfffffa,
    0x3ae60000,0x2004ffff,0xf7003ffe,0x37ffc7ff,0x0bffee00,0x8001ff00,
    0x88888888,0x88888888,0x08888888,0x00000000,0x00000000,0x01bfe600,
    0x3fffd533,0x9017ffc0,0x01339fff,0xfffffb10,0x303357df,0xffffd753,
    0xf98001bf,0xf935107f,0x7ffc3fff,0x511aaaae,0x5fffb555,0x000ff800,
    0x3ffffff2,0xffffffff,0xffffffff,0x000006ff,0x00000000,0xffd00000,
    0xfffff803,0x17ffc06f,0xffffff30,0x7ff54009,0xffffffff,0xffffffff,
    0x0002efff,0x3ee0fff2,0x7c6fffff,0x3fffffff,0xfffffff1,0x0ff8005f,
    0x3ffff200,0xffffffff,0xffffffff,0x0006ffff,0x00000000,0xa8000000,
    0xfff804ff,0x7fc01fff,0x7ffe402f,0xd98004ff,0xffffffff,0xffffffff,
    0xd00003ff,0xfffd81ff,0x7ffc1fff,0xf13fffff,0x5fffffff,0x000cc800,
    0x3777776e,0xdddddddd,0xdddddddd,0x000004dd,0x00000000,0x6fe80000,
    0x19ffff00,0x005fff00,0x009fffd3,0x7fedcc40,0xffffffff,0x400001bd,
    0x7ff44ff9,0xeee80dff,0xd12eeeee,0x3ddddddd,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x01330009,0x00099980,0x000004c4,0x00009988,
    0x40662000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xa8005eee,0x26002eee,0x31000000,0x73100000,
    0x0599dfd9,0xcca80000,0x00abceee,0x2ea62000,0x31000009,0x00001357,
    0xfa81ffe6,0xa980006f,0x2a6001aa,0x0acdeeec,0x41aaa880,0x4001fffe,
    0x5c00fffd,0x23dffffe,0xdd11eee8,0x7ff6d45d,0x20000bff,0xfffffffa,
    0x00beffff,0xfff93000,0xffffffff,0x2a00019f,0xffffffff,0xfff90003,
    0x003bffff,0x205ffb80,0x80005ffb,0x4c03fffc,0xfffffffe,0x200dffff,
    0x7dc4fff8,0x3e2004ff,0x3fe605ff,0x5fffffff,0x3e23fff3,0xffffb2ff,
    0x005fffff,0xfffffd88,0xffffffff,0x220003ff,0xfffffffd,0xffffffff,
    0x3f62004f,0xffffffff,0xfd3001ef,0xffffffff,0x7ec0009f,0x0fff603f,
    0x3fff2000,0x3ffff603,0xffffffff,0xff103fff,0x7fff889f,0x0bffee00,
    0x7fffffd4,0xfaeffffe,0x7fff11ff,0xffdffffb,0x2007ffff,0xfffffffa,
    0xffffecdf,0x98004fff,0xffffffff,0xffffedde,0xe8805fff,0xeddfffff,
    0x400fffff,0xeffffffa,0x05fffffd,0x405ffd00,0x80001fff,0xfb03fffc,
    0xddffffff,0xfffffffd,0x09fff109,0x2005fffb,0xff307ffe,0xfe983dff,
    0xf11fffff,0x85dfffff,0x02ffffd9,0x6fffffe4,0xfff93009,0x2a001dff,
    0x9befffff,0xfffc9880,0x7fec04ff,0xffe982ff,0x3ffe206f,0xffe982ff,
    0x7fc4005f,0x1fff100f,0xfff90000,0xdffff707,0x7ffe4405,0x7ffc42ff,
    0x05fffa84,0xb04fff98,0xfd80bfff,0xff11ffff,0x6401dfff,0x3e606fff,
    0x2002ffff,0x04ffffe8,0x4fffff88,0x7fff4c00,0xffff501f,0x7fff4401,
    0x1dfffb03,0x02fffd80,0xa81ffe60,0x900006ff,0xffd07fff,0x7f44009f,
    0x7ffc46ff,0x01ffff04,0x981fffc8,0xfd007fff,0x3fe23fff,0xfe800fff,
    0xfffd03ff,0x3f60001b,0x7ec02fff,0x10001fff,0x2e0dfffb,0xfa803fff,
    0xfff985ff,0xfff8801f,0x17fee006,0x0005ffb8,0x887fff90,0x98005fff,
    0x3e22ffff,0xfff904ff,0x06fff807,0x2007fff7,0xf11ffffa,0x2a009fff,
    0xffb85fff,0x6c0000ff,0xf700ffff,0x80005fff,0xd81ffff9,0xff000fff,
    0x9fff90ff,0x0fffdc00,0x203ffd80,0x00003ffd,0xfb87fff9,0xf90002ff,
    0x7ffc4bff,0x0dfff304,0xd81fffd4,0x7f4007ff,0xffff11ff,0x37ff4001,
    0x00ffffe2,0x3fffe200,0x0bffff03,0x3fff6000,0x007ffe84,0xfb03fffa,
    0x7c4003ff,0xffd004ff,0x00fffc05,0x3fffc800,0x000fffec,0x226fff98,
    0x3fa04fff,0xfffb00ff,0x01bffa01,0x223fff90,0x64005fff,0x7ffe47ff,
    0x3ee00006,0xfff986ff,0xf300000f,0xfffb05bf,0x1fffe001,0x2001fffa,
    0x3bae6fff,0xefffeeee,0xffeeeeee,0x0004eeef,0xf90ffff2,0x6c0009ff,
    0x3ffe23cc,0x0fffee04,0x4417ffe2,0x5c005fff,0xfff11fff,0xfffb8009,
    0x00bfffe1,0xffff8800,0x02fffe41,0xf5006000,0xff1005ff,0x6fff889f,
    0x0fffe800,0xfffffff9,0xffffffff,0xdfffffff,0x7ffe4000,0x07fffd43,
    0x3fe20000,0x3ffe204f,0x02fffa86,0x8009fff3,0xff11fffa,0xffa8007f,
    0x1ffff12f,0xffe80000,0x1ffffc3f,0x22000000,0x6c00ffff,0x7fc42fff,
    0xffe8006f,0xfffff91f,0xffffffff,0xffffffff,0x7e4000df,0xffff83ff,
    0x2200001d,0x7ec04fff,0x3ffec1ff,0x007fff50,0xf11fff98,0xfa8005ff,
    0xffff34ff,0xff700000,0x7fffccbf,0x80000002,0x881efffd,0xff06fffd,
    0xfff000ff,0x2aaaa63f,0xaaadffea,0xacffeaaa,0x320002aa,0xffd83fff,
    0x000adfff,0x027ffc40,0xf893ffea,0x3fe604ff,0x7fcc004f,0x07fff11f,
    0x53fffa80,0x0000dfff,0x54dfff50,0x0000ffff,0xfffb0000,0xfffb99df,
    0x3ff601df,0x3fe6000f,0x7ff402ff,0x007ffe01,0x3fffc800,0xffffffb0,
    0x800159df,0xf804fff8,0x3ffee7ff,0x17ffe201,0x23fff500,0x4004fff8,
    0xff73fffb,0x300000bf,0x7fdcffff,0x0000007f,0x7ffff540,0x403fffff,
    0x2004fffc,0x202ffffc,0xf100fff8,0x400001ff,0x3203fffc,0xffffffff,
    0x8801ceff,0xfc804fff,0x0dffb1ff,0x800dfff0,0xff11fffb,0xffc800bf,
    0x09fff92f,0xfff30000,0x02fffe4f,0x71000000,0xfffffffd,0x7d4019ff,
    0xf9801fff,0x2a03ffff,0x3fea06ff,0x7e400006,0x7f5403ff,0xffffffff,
    0xf100ceff,0xff1009ff,0x07fff17f,0x800fffd0,0xff11fffc,0xffe800df,
    0x07fffd0f,0xfff10000,0x13fff21f,0xffffff00,0x5fffffff,0xffffff30,
    0xfffffdbb,0x77ffec05,0x3fffa601,0x3fee02ff,0x013ff205,0x7fff9000,
    0x3ffb2600,0xffffffff,0x4fff882f,0xf5dffd00,0xff9001ff,0x3fe2007f,
    0xffff11ff,0x3ffe6003,0x00ffff65,0x3ffe6000,0x017fff27,0xfffffff0,
    0x85ffffff,0x80dffffa,0x02ffffd8,0x59fffff1,0xbfff9511,0x7ec05fff,
    0x0fff603f,0xfff90000,0xfb730007,0xffffffff,0x04fff887,0xffdfff50,
    0x3ffe200b,0xffff9007,0x17fffe23,0xb1fffec0,0x00009fff,0x5cffff70,
    0x7c006fff,0xffffffff,0x3e22ffff,0xfa804fff,0xff500fff,0xffffffff,
    0x3fff53ff,0xf00fff40,0x800003ff,0x0003fffc,0xffffeb98,0x3ffe23ff,
    0xffff1004,0x7e4005ff,0x7fd405ff,0xfff11fff,0xffb807ff,0x2fffe46f,
    0x7fe40000,0x1fffea6f,0x99999900,0x5fffd999,0x0037ffdc,0x4c09fff9,
    0xfffffffe,0x3fff71ff,0x403ffe20,0x00007ff8,0x003fffc8,0x7fff4c00,
    0x9fff10ff,0x7fffec00,0x7ffc4007,0xfffb81ef,0xfff11fff,0xd881bfff,
    0x7dc1ffff,0x800007ff,0x3e65fffd,0x00000fff,0xfd17ffec,0x7c4003ff,
    0x76400fff,0x20bdffff,0xdd70fffc,0xdddfffdd,0xdfffdddd,0x0009dddd,
    0x001fffe4,0xffffb800,0x009fff13,0x027fffcc,0x7ffffcc0,0xeffffedf,
    0xfff11fff,0xdbdfffff,0x107fffff,0x0001ffff,0x43fffe80,0x0003ffff,
    0xf17ffec0,0xfb000fff,0x0cc003ff,0x7e4fffb0,0xffffffff,0xffffffff,
    0x006fffff,0x88ffff20,0xd80002a9,0xfff15fff,0xfffe8009,0xffd10001,
    0x5fffffff,0x3e23fff9,0xffff9dff,0x02ffffff,0x000ffffa,0x0ffffa80,
    0x0037ffe4,0x4bfff600,0x8006fff8,0x0002fffc,0xfc9bffe0,0xffffffff,
    0xffffffff,0x226fffff,0xfff90029,0x00ffffc7,0x5bffea00,0x4004fff8,
    0x80006ffe,0xdfffffec,0x223fff91,0xffb15fff,0x8019ffff,0x000ffffb,
    0x0bfffd00,0x003ffff3,0x97ffec00,0x8006fff8,0x0002fffb,0x4c9fff30,
    0xabfffaaa,0xfffaaaaa,0xb2aaaaab,0xfb001fff,0x7ffec5ff,0x7fc40003,
    0x09fff16f,0x01fffcc0,0x03551000,0x3e23fff9,0x9ab985ff,0xffff1000,
    0xff70000b,0x3ffa05ff,0xb00000ef,0x7ffc5fff,0x7fec000f,0x032aa20f,
    0x02fffc80,0x2601fff1,0xffc807ff,0xfffd801f,0x01bfff22,0x2bfff500,
    0x2004fff8,0x0000fffc,0x3fff2000,0x00bfff11,0xffffb800,0x3fe20002,
    0x3fe605ff,0x880005ff,0x3f62fffe,0x7fc002ff,0x1fffd47f,0x01ffff00,
    0xfa81bfea,0xfffb806f,0x1fffe802,0x00bfffe6,0x14fffd80,0x22009fff,
    0x00004fff,0x8fffe400,0x0005fff8,0x3ffffd80,0xffffa800,0x7ffdc00f,
    0xf50000ef,0x7dc5ffff,0xf7000eff,0xfff88bff,0x7fff7005,0x9027fdc0,
    0xff5009ff,0xfffa80df,0x3ffffe87,0xffffa800,0x009fff10,0x003fffb1,
    0xffc80000,0x0bfff11f,0xfff10000,0x32001dff,0x002fffff,0x17fffffd,
    0x3fffaa00,0x7ff41fff,0xfff9805f,0x2fffe81f,0x03fffdc0,0xfe80fff6,
    0xfff8802f,0xffff103f,0xfffff30b,0xffb1001b,0x7ffc4bff,0xffdccb84,
    0x000005ff,0x11fffc80,0x0000bfff,0x3ffffa60,0xb988abdf,0x3fffffed,
    0x3fff6200,0x99abdfff,0xfffffedb,0xff980dff,0xff901dff,0x3fe607ff,
    0x7e4c1cff,0x7fc02fff,0x07ffe01f,0x6ffffdc0,0xffffca9a,0xffff701f,
    0x5357bdff,0xdfffffb9,0x427ffc41,0xeffffffb,0x80000000,0xff11fffc,
    0x400000bf,0xffffffd8,0xffffffff,0x70001fff,0xffffffff,0xffffffff,
    0xfc803dff,0xedefffff,0x405fffff,0xdefffffb,0x02ffffff,0x9807ffc4,
    0x3e2007ff,0xffffffff,0x5c04ffff,0xffffffff,0xffffffff,0x7ffc40ef,
    0xfffffa84,0x0000000f,0x223fff90,0x00005fff,0xfffffb80,0xffffffff,
    0x4c0000df,0xfffffffd,0xffffffff,0x3ffaa003,0xffffffff,0xfff9003f,
    0xffffffff,0x0dff5005,0x20037fd4,0xffffffe9,0x3004ffff,0xfffffffd,
    0x9fffffff,0x09fff101,0x039dffd3,0x64000000,0xfff11fff,0x4000000b,
    0xffffffea,0x0000beff,0x7fff5c40,0xacdfffff,0xfff90000,0x01bfffff,
    0xffffe980,0x9000cfff,0x7fe409ff,0xfff90004,0x0059dfff,0xfffffb50,
    0x037bdfff,0x1027ffc4,0x00000001,0x447bbae0,0x00004eee,0x57753000,
    0x00000013,0x02aeaa62,0x2a620000,0x880000ab,0x8001aba9,0x32e01cca,
    0x54c0001c,0x200000ab,0x009baaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdca80000,
    0x20002cee,0x00001aaa,0x003ffe00,0x05554c00,0x00ba9880,0x0007ffa0,
    0x00aba980,0xdcb98000,0x001acdee,0x04d5cc00,0x00d554c0,0x01555400,
    0x677775c4,0x4000c402,0xffffffd8,0x7c4001ef,0x000005ff,0x000bff30,
    0x00fffe40,0x3fffffa6,0x7fe402df,0xffc80003,0x01ceffff,0x3ffae200,
    0xffffffff,0x3b20001d,0x1effffff,0x013fff20,0x03fffe00,0xffffff98,
    0x00bee03f,0xffffff30,0x003fffff,0x002fffc4,0x3ffc8000,0x3ff20000,
    0x3fff601f,0x4fffffff,0x0017fea0,0xffffffa8,0x002fffff,0xffffffa8,
    0xffffffff,0x3a2000df,0xffffffff,0xffc80dff,0xff80004f,0xffd100ff,
    0x305fffff,0xe8005ffd,0xfdacffff,0x22006fff,0x00005fff,0x003ffd00,
    0x0fffe400,0xdfffffc8,0x04fffffd,0x20003ffe,0xdefffff9,0x03fffffd,
    0x3fffff20,0xffedceff,0x800effff,0xdffffff9,0x85fffffe,0x0004fffc,
    0xb00ffff8,0xd9bfffff,0x05fff501,0x42fffe40,0x003ffff8,0x000bfff1,
    0x0fff1000,0xfffc8000,0x2ffffb81,0x04ffffa8,0x88005ffb,0xa80dffff,
    0xd803ffff,0x00cfffff,0x17ffffaa,0x5bffff30,0x87ffff90,0x0004fffc,
    0xd00ffff8,0x2a005fff,0x3a002fff,0xff901fff,0x3fe2009f,0x8000005f,
    0x00004ffa,0x220fffe4,0x2601ffff,0xfb80ffff,0x7fec004f,0x7ffcc05f,
    0x7fffdc07,0x3ff2000d,0x3ffa05ff,0x7ffd404f,0x027ffe47,0x07fffc00,
    0x2006fff8,0x2002fffa,0x3e206fff,0xff1006ff,0x000000bf,0x00005ffb,
    0x5c1fffc8,0xfa804fff,0x6ff983ff,0x3fffe200,0x1fffc800,0x0bffff30,
    0x3ffff200,0x05fffb80,0x643fffd0,0x80004fff,0xf880ffff,0x3ea005ff,
    0xff1002ff,0x7ffcc0ff,0xbfff1005,0xff000000,0xc800001f,0x7ffc1fff,
    0xdfff001f,0x4003ffe0,0x3004fffa,0x3fa07fff,0x740005ff,0xffe84fff,
    0xfff7000f,0x027ffe49,0x07fffc00,0x0027ffc4,0x4005fff5,0xf702fffe,
    0x3e2009ff,0x001105ff,0x00dff300,0x7fe40260,0x1bffe61f,0x82fffd80,
    0xd7003ffc,0x3e2003ff,0xfff985ff,0x7dc0001f,0x3fe20fff,0x2f22004f,
    0x13fff21a,0x3fffe000,0x04fff880,0x7fff7744,0x3201eeee,0x7440efff,
    0xf1001fff,0x7fedcbff,0x8000bdff,0x2e004ffb,0x22dffffe,0x3ee1fffc,
    0x3ea003ff,0x5ffa84ff,0x26001800,0xffc84fff,0xdf00005f,0x7ffdc179,
    0xff900002,0xff00009f,0x3bbae1ff,0x6eeeffff,0x7fffffcc,0x2201ffff,
    0x3a25ffff,0x22004fff,0xfff95fff,0x03dfffff,0x801ffe80,0xfffffff9,
    0x3fff95ff,0x000fffe4,0xf10dfff1,0x800000ff,0xff81fffb,0x100002ff,
    0x007ffec0,0x4fffc800,0xffff8000,0xffffff90,0xf98fffff,0xffffffff,
    0x7ffdc01f,0x5ffffacf,0x77ffc400,0xfffffffd,0x1002ffff,0xff500fff,
    0xffffffff,0x43fffbdf,0x4000fffe,0xffd07fff,0x26000003,0xffa87fff,
    0x000001ff,0x2606ffe8,0xfff90009,0xfff00009,0x3ffff21f,0x87ffffff,
    0x9bfffb99,0xfffb0019,0x00bfffff,0xffffff10,0x3faa217f,0xfa801fff,
    0x7ffcc05f,0xfd510aef,0x7c3fffff,0x7c000fff,0xffb80fff,0x54400004,
    0xfb83fffe,0x000007ff,0x5c4bfff0,0x0ceffffd,0x013fff20,0x43fffe00,
    0xdfffa998,0x3ea01999,0xe88002ff,0x03ffffff,0xfffff100,0x7ffec01d,
    0x03ffc805,0x806fffec,0x1fffffd8,0x2001fffe,0xf980fffe,0xb980006f,
    0x02fffffd,0x000dfff7,0x9fff1000,0x3fffffa2,0xf902ffff,0xf00009ff,
    0xff101fff,0x7fd4009f,0xffb8002f,0x0001ffff,0x03ffffe2,0x007fffa0,
    0x7d401ffd,0xffd006ff,0x3fffc3ff,0x0ffff400,0x0000fff8,0x3fffffe6,
    0x3fff201e,0x98000005,0xffe8cfff,0xffffffff,0x4fffc84f,0xffff8000,
    0x04fff880,0x00bffea0,0xfffffea8,0x220006ff,0x5003ffff,0x7cc0bfff,
    0x7ffdc06f,0xffff5003,0x01bffe23,0x407fff60,0x20002ffd,0xfffffffa,
    0x9fffb01c,0xf3000000,0x5dfffbff,0xffff7313,0x4fffc83f,0xffff8000,
    0x04fff880,0x00bffea0,0x6fffffdc,0x0004ffff,0x001ffff1,0xf703fff4,
    0x7ffd809f,0x8ffff400,0x8006fff8,0xf501fffd,0x7dc0009f,0xffffffee,
    0x03fffd84,0xff980000,0x2203ffff,0x7e46fffd,0xf80004ff,0xff880fff,
    0x3fea004f,0xfffc802f,0xffffd0df,0x22037905,0x6c005fff,0xffb00fff,
    0x06ffe805,0x88fffe40,0xd8006fff,0xff101fff,0xd880000f,0x7e44ffff,
    0x000004ff,0x3fffffa8,0x47fffd00,0x0004fffc,0x880ffff8,0x2a004fff,
    0x7dc02fff,0x7fc43fff,0x3fea1fff,0x4fff887f,0x17ffe400,0x7c407ff8,
    0x7e4005ff,0xdfff11ff,0x1fffd000,0x000fff40,0x7fffdc00,0x013fff21,
    0x3fe60000,0x3ea006ff,0x3ffee6ff,0xfff80004,0x4fff880f,0x0bffea00,
    0x04ffff88,0x21dffff3,0xf884fffc,0x7dc003ff,0x5ff983ff,0x027ffcc0,
    0xf87ffee0,0xfe8007ff,0x3ff200ff,0xfb000003,0x7ffdcbff,0x88000005,
    0x4003ffff,0x3fee7fff,0x7c40004f,0xff880fff,0x3fea004f,0x3fff202f,
    0x7fffd407,0x105ffff5,0xa8005fff,0xffc83fff,0x1fffdc03,0x87ffea00,
    0xf8007fff,0x3e600fff,0x1000005f,0x3ea1ffff,0x000007ff,0x003ffff0,
    0xf70fffd8,0x88000bff,0xff107fff,0x7fd4009f,0x3fffa02f,0xffffc804,
    0xf107fffd,0xfb8007ff,0x1ffe82ff,0x027ffd40,0xe87ffea0,0x7c000fff,
    0xfff807ff,0xff000000,0x3ffe23ff,0xd500001f,0x7fff4159,0x7ffe4000,
    0x00bfff52,0x07fff980,0x4009fff1,0x3e02fffa,0xfb001fff,0x09ffffff,
    0x0013ffe2,0xf883fff9,0xfffa807f,0x7ffdc004,0x007fff21,0x805fff88,
    0x00002ffd,0x6c5fffb0,0x00003fff,0x7ecbfffb,0x7e4001ff,0xdfff31ff,
    0xfffa8000,0x09fff106,0x017ffd40,0x2001ffff,0xffffffe8,0x09fff100,
    0x40fffd80,0xf9804ffa,0x7e4005ff,0x3ffee1ff,0x3ffea002,0x04ffb804,
    0xd0009975,0x7fdc3fff,0xf880006f,0x3ff62fff,0x7fec003f,0x01fffe27,
    0x0bfff700,0x8013ffe2,0x3a02fffa,0x26001fff,0x203fffff,0x4006fff8,
    0xffd87ffe,0x0ffff002,0x21fffd80,0x2005fff9,0x9802fffc,0xffff06ff,
    0x7fff8001,0x01ffffc4,0x1bffee00,0x8009fff7,0x7ff45ffe,0x3fa0001f,
    0xfff103ff,0x7ffd4009,0x13fff602,0xdffffd00,0x3fffe201,0xdfff5001,
    0x2001fff0,0x1003fffd,0xff83ffff,0xfff000ff,0x3ffa001f,0x02fffd80,
    0x21bffe60,0x000ffffc,0x07ffff30,0x4c00dfff,0x7fe43fff,0xfa8000ef,
    0xff101fff,0x7fd4009f,0x3ffee03f,0xffe8801f,0x880effff,0xd004ffff,
    0xff983fff,0x3ffea006,0xffff9006,0x03fffc83,0x004fffa8,0x3ea0fff2,
    0x3fa006ff,0xfffd04ff,0xff88003d,0xffb80fff,0xfffd004f,0x6ffffa83,
    0x6fffe800,0x013ffe20,0x404fffa8,0x200efffe,0xffffffe8,0x7fc40eff,
    0x7e404fff,0x3ffb85ff,0x27fff400,0x3ffffea0,0x17fffc41,0x03ffff30,
    0x442ffd40,0xc804ffff,0xf500efff,0x2005ffff,0x01fffffb,0x807ffff1,
    0xfb06fffb,0x5001bfff,0x405ffffd,0x2004fff8,0xaacffff9,0x7ffffcc0,
    0xfffb510a,0xffffd9ff,0x7fffc41d,0x7ec40cff,0xffe80fff,0x7ffcc001,
    0x7fe440ef,0xfb81ffff,0xffa82fff,0x7c4004ff,0xffff307f,0xfffd301b,
    0xfffb803f,0x5119bfff,0x5fffffd7,0xbffffc80,0x7fffec41,0xfffff101,
    0x97537bdf,0x0bfffffd,0x004fff88,0x7ffffffc,0xfffffb83,0xffffffff,
    0xffffd12f,0x33ffe21d,0xfedeffff,0xf883ffff,0xff50007f,0xffdbffff,
    0x03fff9ff,0x37fffff6,0x05fffffd,0x203ffd00,0xdefffffb,0x3ffffffd,
    0xfffff500,0xffffffff,0x2007ffff,0xdffffffc,0x04fffffe,0x7fffffd4,
    0xffffffff,0xf8805fff,0x7d4004ff,0x304fffff,0xfffffffd,0xe881dfff,
    0x3fe23fff,0xffffe9bf,0x501effff,0x54000bff,0xffffffff,0x1fffa9ff,
    0x3ffffee0,0x00efffff,0x409ff700,0xfffffffa,0x001effff,0x7fffff54,
    0xffffffff,0x7fd4001d,0xffffffff,0xffd1003f,0xffffffff,0x2007ffff,
    0x8004fff8,0x05ffffea,0x3ffffb22,0x36203dff,0x9fffc45f,0xffffffd8,
    0x0fff200c,0xfff91000,0x3ea3bfff,0x7f5401ff,0x02efffff,0x037fcc00,
    0x3fffff22,0x40003fff,0xffffffc9,0x0002efff,0x3fffff62,0xa8001cff,
    0xfffffffd,0x2000beff,0x0004fff8,0x310004cc,0x03800157,0x00155300,
    0x0000332e,0x000dd4c4,0x06aea600,0x04cc8000,0x026eea60,0x2a660000,
    0x00000abb,0x009aba88,0x77553000,0x00000335,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa0000,0x2a200001,0xaaaaaaaa,0xaaaaaaaa,0x530aaaaa,0x00001555,
    0x51155554,0x00003555,0x54455553,0x530002aa,0x10001555,0x2aa65555,
    0x4400001a,0x55552aaa,0x55555555,0x55555555,0x55455555,0xa980002a,
    0xaaaaaaaa,0x019aaaaa,0x017ffe20,0xffff9800,0xffffffff,0xffffffff,
    0xffff30ff,0x3ee0000b,0x7fec1fff,0x220001ff,0x3e63ffff,0xff0007ff,
    0x70007fff,0x3fee9fff,0x6400007f,0xffff4fff,0xffffffff,0xffffffff,
    0x3e2dffff,0xc80005ff,0xffffffff,0xffffffff,0x7fc400be,0x2600005f,
    0xffffffff,0xffffffff,0x20ffffff,0x002ffffc,0x27fffc40,0x037fffc4,
    0x0bfffd00,0x8003ffff,0x06fffff9,0x12fffd80,0x0005ffff,0xf87fffc0,
    0xffffffff,0xffffffff,0x6fffffff,0x000bfff1,0xffffff90,0xffffffff,
    0x01bfffff,0x0017ffe2,0xfffff980,0xffffffff,0xffffffff,0x7ffff40f,
    0x3ffa0000,0x3ffea06f,0xffc8004f,0xfffd80ef,0x7ffdc003,0x7c000fff,
    0x3ff60fff,0xf500005f,0x7fffcbff,0xffffffff,0xffffffff,0xff16ffff,
    0xf90000bf,0xffffffff,0xffffffff,0x3e20bfff,0x200005ff,0xaaaaaaa8,
    0xaaaaaaaa,0x0fffffba,0x02ffffcc,0x1ffffb80,0x17fffe40,0x3ffff500,
    0x017ffee0,0xfffdffb0,0x7ffcc005,0x07fffcc6,0x7ffec000,0x2aaaaaa2,
    0xfffdaaaa,0xaaaaaaad,0xbfff12aa,0xfff90000,0x5555555b,0xfffb7555,
    0xfff109ff,0x0000000b,0x1ffffd80,0x05ffff90,0x3ffff880,0x1ffffd00,
    0x7ffff100,0x037ffc40,0xff7fff10,0x7fdc009f,0x2fffe84f,0x7ffc4000,
    0xfff90007,0xfff88007,0xffc80005,0xffa8003f,0x7fc42fff,0x0000005f,
    0x3ffff600,0x7ffff402,0x3fff6000,0x3ffe6006,0xfffe805f,0x0fffe805,
    0xb1fff500,0x7ec00fff,0xfffb81ff,0x7fdc0005,0xff90004f,0xff88007f,
    0xfc80005f,0xf10003ff,0xff889fff,0x0000005f,0x9ffff900,0x9ffff300,
    0x3fffee00,0x7ffdc000,0x3fff202f,0xfffc800e,0x2dff9002,0xf001fffb,
    0x3fe20fff,0x3a0000ff,0x90001fff,0x88007fff,0x80005fff,0x0003fffc,
    0xf11bfff2,0x000c0bff,0xfffa8000,0x3ff2005f,0x7fc401ff,0xfb0003ff,
    0xff501fff,0x3ea003ff,0xffd004ff,0x00fffe69,0xd817ffe6,0x30003fff,
    0x4000dfff,0x4003fffc,0x0005fff8,0x003fffc8,0x83fffea0,0x3265fff8,
    0x02cefffe,0xfff98000,0x7f4000ef,0x7fec06ff,0x3e20005f,0x7fc46fff,
    0x3e2003ff,0xff8806ff,0x017ffe2f,0xa80fffee,0x90006fff,0x40007fff,
    0x4003fffc,0xa805fff8,0x3f22eeee,0x7c0003ff,0x3fe21fff,0xfffff75f,
    0x0009ffff,0x7ffff440,0xfff98001,0xffff504f,0xffa80001,0x3fff63ff,
    0xfffe8005,0x07ffdc00,0xfb00fff9,0xfff803ff,0xfff8001f,0x3f20000f,
    0x7c4003ff,0x7fd405ff,0x7ffe44ff,0x7ffc0003,0x3bffe21f,0xfffffffd,
    0x0004ffff,0x05ffffb0,0x7fffe400,0x17fffc41,0xfffc8000,0x0ffffb8f,
    0x1fffc800,0x2a37fec0,0x7fc02fff,0xfffc806f,0x7ffd4004,0x7fe40004,
    0x7fc4003f,0x3ffea05f,0x3fffc84f,0x3ffe6000,0x7ffffc47,0xea98adff,
    0x0003ffff,0x027fffe4,0x3fffa200,0x02fffe46,0x3fffa000,0x001ffffe,
    0x807fff50,0x7fc43fff,0x3ffe204f,0x6fff9804,0x0fffec00,0x3fff2000,
    0x7ffc4003,0x7ffff505,0x00ffff20,0x46fffc80,0x0efffff8,0x01bfff60,
    0x5ffffa80,0xfff30000,0x3fffe65f,0x7cc00000,0x03ffffff,0x17ffe200,
    0xe81fff98,0x3fea06ff,0xfffd002f,0x3ffe2003,0xffc80006,0x7fc4003f,
    0xffff985f,0x0ffff203,0x7fffcc00,0x7ffffc44,0x7fffc401,0xfff98000,
    0x200000ef,0xfe8ffffc,0x000002ff,0x0bfffff7,0x0fffd000,0xfc83ffe4,
    0xfff900ff,0x3ffee001,0x7fff7004,0xfff90000,0xfff88007,0x1ffffcc5,
    0x00ffff20,0xfffff710,0x2ffff881,0x03fffb00,0xffffe880,0x74400001,
    0x4fffefff,0x7f400000,0x80001fff,0xfd01fffb,0x3ffe60bf,0x00dffd03,
    0x803fffc4,0x0000fffe,0x003fffc8,0xf32fffc4,0xf9007fff,0x55555bff,
    0xffd99555,0xf105ffff,0x32003fff,0x6c002fff,0x0002ffff,0xfffff500,
    0x000001df,0x37ffffcc,0x7ffcc000,0x02fff883,0x3e217ffe,0x7e4004ff,
    0x7fcc02ff,0xf900005f,0xf88007ff,0xffff35ff,0x3fff2005,0xffffffff,
    0xffffffff,0xffff104f,0x17ffdc00,0x7ffff900,0xfc800000,0x0001ffff,
    0x3fffe200,0x80004fff,0xffa84fff,0x1fff600f,0x0007ffea,0xc80bfff3,
    0x00001fff,0x8007fff9,0xff9dfff8,0x3f2003ff,0xffffffff,0xffffffff,
    0x3fe201ef,0x3fee006f,0xfff5002f,0x000000bf,0x009ffff1,0xfffd8000,
    0x001fffff,0x6c37fec0,0x7fdc06ff,0x03ffe41f,0x00fffe80,0x0001bffe,
    0x003fffc8,0x7ff7ffc4,0x32005fff,0xffffffff,0xeeffffff,0xfff8802c,
    0x3ffee005,0xffff9802,0x0000000e,0x0005fffb,0x7fffdc00,0x00ffffe8,
    0x03ffee00,0xf9809fff,0x2fff43ff,0x2fffb800,0x007fff50,0x1fffe400,
    0x3fffe200,0x02ffffff,0x339fff90,0x01333333,0x17ffe200,0x02fffb80,
    0x07ffff44,0xfb000000,0x000005ff,0x4cbfffe6,0x0005ffff,0xf98bffe6,
    0xfff801ff,0x00fffe24,0x82fffc40,0x0000fffd,0x00ffff20,0xffffff10,
    0x001ffff9,0x0007fff9,0x2fffc400,0x05fff700,0x02ffffd8,0x7ec00000,
    0x800002ff,0x645fffe8,0x0002ffff,0xffb93ffe,0x4dff9007,0x0000fffa,
    0xf103fff6,0x80000bff,0x4003fffc,0xb2fffff8,0xf900bfff,0x000007ff,
    0x002fffc4,0x5c05fff7,0x0003ffff,0xfffd8000,0xfd800002,0xffe80fff,
    0xfb0000ff,0x02fff4df,0xf90fffa8,0xfa8000df,0x7ffdc3ff,0x7e400002,
    0x7c4003ff,0x3fe21fff,0x7fe402ff,0x2000003f,0x2005fff8,0xf502fffb,
    0x0000bfff,0x3fff6000,0x7dc00002,0xff101fff,0x2a000dff,0x7fff17ff,
    0x47ffe200,0x80004ffe,0x7ff46fff,0xfc800007,0x7c4003ff,0xfffb85ff,
    0x3fff200f,0x22000003,0x2e005fff,0xff882fff,0x000006ff,0x0bfff600,
    0xfff98000,0x7ffdc04f,0xff88004f,0x01fffa9f,0x7fcfffa0,0xfc80002f,
    0x9fff11ff,0xff900000,0xff88007f,0xbfffd05f,0x01fffe40,0xfff10000,
    0x7ffdc00b,0x7ffff442,0x00000000,0x000bfff6,0x06fffe80,0x03ffffb0,
    0xf97ffd00,0xffc800df,0x000fff9d,0x73fff980,0x00001fff,0x007fff90,
    0x305fff88,0x3205ffff,0x00003fff,0x017ffe20,0x6c2fffb8,0x0001ffff,
    0x7fec0000,0xf900002f,0x22001fff,0x000effff,0x7ff67fe4,0x7ffcc004,
    0x00006ffb,0x7ff5bffa,0xf9000005,0xf88007ff,0x3ff205ff,0xfffc80ff,
    0x22000003,0x2e005fff,0x3fee2fff,0x000002ff,0x2fffd800,0xfffa8000,
    0x7fd4003f,0x7d4005ff,0x002fffef,0x3ffefff8,0x3fea0000,0x002fff9f,
    0x7fff9000,0x5fff8800,0x42ffff40,0x0003fffc,0x17ffe200,0x12fffb80,
    0xdddfffff,0xdddddddd,0xdddddddd,0x3ff60009,0x7c40002f,0x90005fff,
    0x4005ffff,0x0ffffff8,0xffffd800,0x2200001f,0x07ffefff,0x3ff20000,
    0x7fc4003f,0x7ffcc05f,0x1fffe42f,0xff100000,0x7fdc00bf,0xfffff12f,
    0xffffffff,0xffffffff,0x2000bfff,0x0002fffd,0x0077fff4,0x1ffffd00,
    0x7ffff400,0xfff70006,0x900000ff,0x009fffff,0x7ffe4000,0x7ffc4003,
    0xffffc805,0x00ffff20,0xfff88000,0x3ffee005,0xffffff12,0xffffffff,
    0xffffffff,0x36000bff,0x20002fff,0x001ffffc,0x37fffcc0,0x7ffff900,
    0x3ffe6000,0x9800005f,0x001fffff,0x3fff2000,0x7ffc4003,0xfffe8805,
    0x00ffff25,0xfff88000,0x3ffee005,0xffffff12,0xffffffff,0xffffffff,
    0x36000bff,0x50002fff,0x0009ffff,0x13fffee0,0x0ffffd40,0x7fffd000,
    0x3fa00000,0x000006ff,0x001fffe4,0x4017ffe2,0xf92ffffa,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555553,0x55555555,0xa8800133,0xaaaaaaaa,
    0xaaaaaaaa,0x55532aaa,0x55500003,0x555554c5,0x55100001,0x2aaa1555,
    0xaa80000a,0x220000aa,0x220aaaaa,0x5551aaaa,0x06aaa615,0x0aaaa000,
    0x6f76e540,0x440000ac,0x1001aba9,0x3f23dddd,0xffffffff,0xffffffff,
    0xfa800cef,0xffffffff,0xffffffff,0xfff95fff,0xfe80003f,0x3ffff67f,
    0xfb00006f,0x3f63ffff,0xd80002ff,0x10002fff,0x989ffffd,0xffd3ffff,
    0x13ffee3f,0x3fffe000,0x3fffea00,0x04ffffff,0xfffffb80,0x2200dfff,
    0xff91ffff,0xffffffff,0xffffffff,0xfa807fff,0xffffffff,0xffffffff,
    0xfff95fff,0xfe8000df,0x3ffff67f,0xf80000ff,0xfb1fffff,0xb00005ff,
    0x10005fff,0x309ffffd,0x3fa7ffff,0x9fff71ff,0xffff0000,0xffffd101,
    0xffffffff,0xfff5005f,0xffffffff,0x3ffe209f,0xfffff91f,0xffffffff,
    0xffffffff,0x7ffd407f,0xffffffff,0xffffffff,0xfffff95f,0x7ff40007,
    0x3fffff67,0x7d40003f,0xfb1fffff,0xb00005ff,0x88005fff,0x304ffffe,
    0x3fa7ffff,0x9fff71ff,0xffff0000,0xdffffb01,0xfffb7357,0x7fd401ff,
    0xfedeffff,0xf885ffff,0xfff91fff,0x75d4c009,0x501fffff,0x5555dfff,
    0x55555555,0x3f255555,0x001fffff,0x7ecfffd0,0x006fffff,0x7ffffec0,
    0x05fffb1f,0x5fffb000,0x7fff4400,0x3ffe603f,0x23fffd3f,0x0004fffb,
    0x5c0ffff8,0x2a03ffff,0xf106fffe,0x9103dfff,0x9907ffff,0x3fff2199,
    0x3fee0004,0xfff503ff,0x7e40000b,0x006fffff,0x7ecfffd0,0x00fffeff,
    0xfffff100,0x3fff63ff,0xffd80002,0xffd1002f,0xff9807ff,0x3fffd3ff,
    0x0013ffee,0x883fffe0,0x8804ffff,0xfe83ffff,0xffa804ff,0xff9000ff,
    0xfc80009f,0xfff506ff,0x7e40000b,0x03ffffff,0x367ffe80,0x3fffcfff,
    0xdfff5000,0x3ff63fff,0xfd80002f,0xfe8802ff,0xf9803fff,0xfffd3fff,
    0x013ffee3,0x83fffe00,0x2006fffa,0x7c45fffa,0xfb000eff,0x3f2007ff,
    0x440004ff,0xfa80ffff,0x200005ff,0xfffefffc,0x7ff4001f,0x3e7fff67,
    0xfb0005ff,0x23fffb9f,0x0002fffd,0x402fffd8,0x03ffffe8,0x27ffff30,
    0xff71fffe,0xff00009f,0x7ffe41ff,0x3ffe2003,0x01fffd47,0x00bfff30,
    0x0013fff2,0x20bfffa0,0x0005fffa,0x3abfff20,0x74006fff,0x3fff67ff,
    0x000fffc9,0x7ecfffc4,0x5fffb1ff,0xfffb0000,0x7fff4405,0x3fe2002f,
    0x3fffd3ff,0x0013ffee,0xe83fffe0,0x74001fff,0x3ff20fff,0x7ffc001f,
    0x9fff9006,0xfffd0000,0x0bfff507,0x7ffe4000,0x03ffff9a,0xfd9fffa0,
    0x3fffa9ff,0xdb7fd400,0xfffb1fff,0xffb00005,0x3ffa205f,0x7c4002ff,
    0xfffd2fff,0x013ffee3,0x83fffe00,0xf8004aa9,0x7f6dc7ff,0x3fffc000,
    0x04fffc80,0x7fffc400,0x05fffa82,0x3fff2000,0x03ffff92,0xfd9fffa0,
    0x0bfff1ff,0xfb3ffd80,0x3fff63ff,0xffd80002,0xfffe882f,0xfff0002f,
    0x47fffa5f,0x0004fffb,0x000ffff8,0x0bfff300,0x7ffcc000,0x9fff9005,
    0xfffa8000,0x5fffa80f,0x3ff20000,0x1bfffa2f,0xfb3fff40,0x3fff23ff,
    0x3fff1000,0x7ec7fff6,0xd80002ff,0x7f442fff,0x20002fff,0xffd1ffff,
    0x13ffee3f,0x3fffe000,0xff900000,0x5c00007f,0xf9004fff,0x4c0009ff,
    0xf506ffff,0x40000bff,0x3e62fffc,0xfe804fff,0x47fff67f,0x7003fff9,
    0x7ffecdff,0x005fffb1,0x45fffb00,0x01ffffe8,0x8ffff400,0xff71fffe,
    0xff00009f,0x700001ff,0x0001ffff,0x0bfffe20,0x027ffe40,0xfffffb80,
    0x0bfff501,0x7ffe4000,0x0ffffe42,0xfd9fffa0,0x17ffe1ff,0xfb1ffec0,
    0x3fff63ff,0xffd80002,0xffffd12f,0xffd00009,0x47fffa1f,0xcccefffb,
    0xcccccccc,0xfffccccc,0x7dc0000f,0x00002fff,0x801bfff2,0xcccefffc,
    0xeccccccc,0x4fffffff,0x3ffffea0,0xffffffff,0x643fffff,0xffe82fff,
    0x3fff406f,0x7e43fffb,0x7fc400ff,0x47fff60f,0x0002fffd,0xe8afffd8,
    0x01ffffff,0x87ffec00,0xff71fffe,0xffffffff,0xffffffff,0x01ffffff,
    0x7fffdc00,0x3ea00004,0x32001fff,0xffffffff,0xffffffff,0x402fffff,
    0xfffffffa,0xffffffff,0x7fe43fff,0xffff982f,0xd9fffa04,0x3fe61fff,
    0x37fdc03f,0x7ec7fff6,0xd80002ff,0xfffebfff,0x000fffff,0xfe9fff60,
    0xffff71ff,0xffffffff,0xffffffff,0x0001ffff,0x013ffff2,0xffffa800,
    0x7ffe4003,0xffffffff,0xffffffff,0xfffa800d,0xffffffff,0x3fffffff,
    0xc817ffe4,0xfd01ffff,0x0fffecff,0xfd017ffe,0x1fffd87f,0x0005fffb,
    0xffffffb0,0xbffff5ff,0x3ffe4000,0x3ee3fffd,0xffffffff,0xffffffff,
    0x0fffffff,0xffffb800,0x3e600004,0xc8006fff,0xffffffff,0xffffffff,
    0x7fd4001b,0xeeeeeeff,0xeeeeeeee,0x017ffe42,0x3a0dfffd,0x3fff67ff,
    0x807ffe41,0x7ec0fff8,0x5fffb1ff,0xfffb0000,0x3ee1dfff,0x70003fff,
    0x7fff4dff,0x33bfff71,0x33333333,0xff333333,0xf98001ff,0x00003fff,
    0x03bfffea,0x13fff200,0x7fffdccc,0x7fd4000d,0x3200005f,0x3e602fff,
    0xffe84fff,0x307fff67,0x3ee07fff,0x1fffd85f,0x0005fffb,0xdfffffb0,
    0x1ffffd81,0x26ffb800,0xff71fffe,0xff00009f,0xfe8001ff,0x200003ff,
    0x00effffb,0xfc855554,0xfe8804ff,0x2a002fff,0x00005fff,0x900bfff2,
    0xfe83ffff,0x07fff67f,0x7f417ffe,0x1fffd83f,0x0005fffb,0x1dffffb0,
    0x1dffff10,0x25ffa800,0xff71fffe,0xff00009f,0x7cc001ff,0x200006ff,
    0x00effffc,0xc8ffffc4,0xd1004fff,0x2003ffff,0x0005fffa,0x00bfff20,
    0xfd1bfffa,0x0fffecff,0x2207ffe4,0xffd80fff,0x05fffb1f,0xdfffb000,
    0x7fffd401,0x2ffd4004,0x3ee3fffd,0xf80004ff,0x2e000fff,0x00002fff,
    0x00bffffb,0x647fffe2,0x22004fff,0x800ffffe,0x0005fffa,0x00bfff20,
    0xe93fffe6,0x3fff67ff,0x43fff981,0xffb05ffb,0x0bfff63f,0x3fff6000,
    0xffffd802,0x93fe6002,0xff71fffe,0xff00009f,0x7e4001ff,0x440000ff,
    0x004ffffe,0x647fffe2,0x4c004fff,0xa806ffff,0x00005fff,0x400bfff2,
    0xfd1ffffc,0x0fffecff,0x7f45fff8,0x3fffb02f,0x000bfff6,0x00bfff60,
    0x03ffffa2,0xfd27fcc0,0x3ffee3ff,0xfff80004,0x3ffa000f,0x7f440007,
    0x44003fff,0xff91ffff,0xff90009f,0xffa809ff,0x3200005f,0x3a002fff,
    0xfffd6fff,0xc80fffec,0xfff30fff,0x47fff601,0x0002fffd,0x002fffd8,
    0x00dffff3,0xffe8ffe2,0x09fff71f,0x1ffff000,0x037ff400,0xfffff100,
    0x0ff80005,0x0009fff9,0x80bffffa,0x0005fffa,0x00bfff20,0xecffff98,
    0x3fff67ff,0x27fff301,0x3f605ffc,0x5fffb1ff,0xfffb0000,0x7ffe4005,
    0x4133004f,0xff71fffe,0xff00009f,0x4c4001ff,0xfd100009,0x80003fff,
    0x3fff27f9,0xfff30004,0x7ffd40df,0x3f200005,0x7e4002ff,0x27ffffff,
    0x3a01fffd,0x05ffd6ff,0xfd8fffec,0xd80002ff,0x74002fff,0x0002ffff,
    0x3ee3fffd,0xf80004ff,0x00000fff,0x77fff400,0x5fb80000,0x0013fff2,
    0x04ffffc8,0x000bfff5,0x017ffe40,0x7fffff40,0x07fff67f,0xffafffc8,
    0x8fffec07,0x0002fffd,0x002fffd8,0x07ffffcc,0x8ffff400,0x0004fffb,
    0x000ffff8,0x3fee0000,0x980000ff,0x3fff23ff,0x3fa20004,0xffa81fff,
    0x3200005f,0x98002fff,0x27ffffff,0x2601fffd,0x04ffffff,0xfd8fffec,
    0xd80002ff,0xb8002fff,0x2a05ffff,0xfffd0aaa,0x013ffee3,0x03fffe00,
    0x00aaaa80,0x07fffe20,0x17fe2000,0x0009fff9,0x86ffffa8,0x0005fffa,
    0x00bfff20,0x7ffffe40,0x007fff67,0x05fffffd,0xfb1fffd8,0xddddddff,
    0xdddddddd,0x0bfff69d,0x7fffec00,0x25ffff03,0xff71fffe,0xff00009f,
    0x3e2001ff,0x36001fff,0xeeeeffff,0xeeeeeeee,0x20f60eee,0x0004fffc,
    0x43ffffd8,0x0005fffa,0x00bfff20,0x7ffffe80,0x9007fff6,0xb00fffff,
    0x3ff63fff,0xffffffff,0xffffffff,0x005fffb6,0x3ffffe20,0xd2ffff81,
    0x3fee3fff,0xff80004f,0xff1000ff,0x3e6003ff,0xffffffff,0xffffffff,
    0xfc800fff,0x880004ff,0x2a0fffff,0x00005fff,0x000bfff2,0x27ffff98,
    0x4c01fffd,0xd804ffff,0xfffb1fff,0xffffffff,0xdfffffff,0x000bfff6,
    0x0effffa8,0xfe97fffc,0x9fff71ff,0xffff0000,0x3ffe2001,0xfff5001f,
    0xffffffff,0xffffffff,0xfff9001f,0x3ee00009,0x3fea5fff,0x3200005f,
    0x40002fff,0x3f67fffc,0xffe801ff,0xfffd801f,0xffffffb1,0xffffffff,
    0x3f6dffff,0x640002ff,0x7fc5ffff,0x3fffd2ff,0x0013ffee,0x003fffe0,
    0x00ffffc4,0xffffffc8,0xffffffff,0x00ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaaaaa6,0xaaaaaaaa,0xaaaaaaaa,0x55555530,0x35555555,0x40000001,
    0x2aa02aa8,0xaaaaaaaa,0x00099aaa,0x2aaaa000,0x3ee00001,0xffffffff,
    0x00ffffff,0xff8e6440,0xffffffff,0xffffffff,0x0c4002ff,0x01980000,
    0xf7004000,0xffffffff,0xffffffff,0x321fffff,0xffffffff,0xffffffff,
    0x4000000c,0x3f607ffd,0xffffffff,0x3dffffff,0x7fd40000,0x200006ff,
    0xfffffffd,0xffffffff,0x97ff4000,0xffffffff,0xffffffff,0x4402ffff,
    0xceffffdc,0xff930002,0x403bffff,0xfb31eee8,0xffb837df,0xffffffff,
    0xffffffff,0xff90ffff,0xffffffff,0xffffffff,0x70000019,0x7ec0ffff,
    0xffffffff,0xffffffff,0xfb00002e,0x0003ffff,0x3fffffa0,0xffffffff,
    0x3ee000ff,0xfffff2ff,0xffffffff,0x5fffffff,0x7ffffdc0,0x00dfffff,
    0xfffffb10,0x01bfffff,0xff35fff1,0xfb8fffff,0xffffffff,0xffffffff,
    0xf90fffff,0xffffffff,0xffffffff,0x00007fff,0x03ffffc4,0xfffffffb,
    0xffffffff,0x0005ffff,0xffffff88,0xff880004,0xeeeeeeff,0x00eeeeee,
    0x25ffff50,0xeeeeeeed,0xfeeeeeee,0xd880efff,0xffffffff,0x401effff,
    0xffffffe9,0x86ffffff,0xffeafff8,0x7dc4ffff,0xaaaaadff,0xaaaaaaaa,
    0xf90aaaaa,0x55555bff,0xffb75555,0x0007ffff,0x1fffffa0,0xaacfffd8,
    0xcaaaaaaa,0x00fffffe,0x37ffee00,0x40000fff,0x0003fff9,0xfffff500,
    0xff880005,0xfffb01ff,0x7f54439f,0x3fa00fff,0x36a1bfff,0x7c45ffff,
    0xeefffeff,0x7ffdc1ff,0xfc800004,0xfc8003ff,0x0002ffff,0x3fffffe4,
    0x005fffb0,0x03ffffc8,0x2b7ffa00,0x40003fff,0x0001fffb,0x7fffec40,
    0x740002ff,0xff502fff,0xffd803df,0xdfff904f,0x7fffc403,0x3ffffe21,
    0x3ee0e21d,0x800004ff,0x0003fffc,0x00fffff3,0x7ffffcc0,0x3fff607f,
    0xfffb8002,0xfff30005,0x00dfff15,0x00fffc80,0x3ffea000,0x002fffff,
    0x813fff20,0xb001fffe,0xff883fff,0xffa801ff,0x3fffe24f,0xfff7000f,
    0xf9000009,0x540007ff,0x8003ffff,0xffedffe8,0x0bfff607,0x1fffe200,
    0x87ffe400,0x0001fffd,0x0001bffa,0x7ffffec4,0x0002fffe,0x5c0dfff5,
    0x26004fff,0x7fdc5fff,0x3ffe005f,0x0ffffe27,0x04fffb80,0xfffc8000,
    0x7fe40003,0xffc8007f,0x207ffe8e,0x0002fffd,0x0003fffd,0x7fd4dfff,
    0x3fe0004f,0xf880004f,0xfb8effff,0xf88002ff,0x3f601fff,0x7f4001ff,
    0x0fffec7f,0xf8835500,0x2e001fff,0x00004fff,0x003fffc8,0x17fffcc0,
    0x23fff500,0x3f607ffe,0xfb0002ff,0xfa8001ff,0x7fffc4ff,0xfff98000,
    0xff980003,0x3ffee4ff,0xfffc8002,0x03fff405,0xf07ffe40,0x20000fff,
    0x000ffff8,0x0013ffee,0x0ffff200,0x3fffa000,0x9fff1004,0xfb03fff4,
    0xf10005ff,0xfb000dff,0xfffc83ff,0xfffa8003,0x57bb9511,0x1dff9801,
    0x0017ffdc,0x003fffe6,0x9999ffff,0x99999999,0x3e23fffd,0x100007ff,
    0xb800ffff,0x00004fff,0x003fffc8,0x06fffb80,0xfe8dffb0,0x3fff607f,
    0xfffa8002,0x7ffc4004,0x06fff986,0xc9fffc80,0xffffffff,0x5c076603,
    0x74002fff,0x7c403fff,0xffffffff,0xffffffff,0xfff12fff,0x3e20000d,
    0x7dc005ff,0x800004ff,0x0003fffc,0x807fff98,0x7f41fffb,0x3fff607f,
    0x7ffdc002,0x7fdc001f,0x3fffd03f,0xffffd800,0xffffffff,0xb8000eff,
    0x26002fff,0xfa807fff,0xffffffff,0xffffffff,0xfff33fff,0x3e20000b,
    0x7dc005ff,0x800004ff,0x0003fffc,0x00ffff88,0x3a0fffe6,0x3ff607ff,
    0x999999bf,0xfffeb999,0xffe8000e,0xbfff700f,0xfffff800,0xffeddfff,
    0x4000ffff,0x2002fffb,0x9804fffd,0xccccefff,0xcccccccc,0xff12cccc,
    0x220000bf,0x5c005fff,0xffffffff,0xffffffff,0x7e47ffff,0x880003ff,
    0x3a01ffff,0xfffd06ff,0x7ffffec0,0xffffffff,0x000effff,0x205fff98,
    0x000ffff8,0x17fffff1,0xbffffb10,0x2fffb800,0x3ffff100,0x0bfff100,
    0x6fff8000,0xfff10000,0xfffb800b,0xffffffff,0xffffffff,0x1fffe47f,
    0xffff8000,0x01fff901,0xfd81fffa,0xffffffff,0xffffffff,0xffc8000b,
    0x7ffec02f,0xffff5003,0xffff5005,0x7ffdc005,0xbfff7002,0x03fffc00,
    0x1fffa000,0xf8813100,0x7dc005ff,0xffffffff,0xffffffff,0x7fe47fff,
    0xff00003f,0xfff303ff,0x03fff407,0xfffffffb,0xffffffff,0x4007ffff,
    0xa807fff8,0x31006fff,0x7ec00395,0x3ee007ff,0xffd002ff,0x7ff4005f,
    0x80c4000f,0x2000fffd,0xff12fffb,0xffb800bf,0xccccccef,0xcccccccc,
    0x7ffe44cc,0xff880003,0x7ff440ff,0x03fff405,0x999bfffb,0xdb999999,
    0x009fffff,0x4013ffee,0x0002ffff,0x7fffc400,0x5fff7000,0x0ffff300,
    0x04fffd80,0x90ffff40,0x6c009fff,0xfff10fff,0xfffb800b,0xfc800004,
    0x980003ff,0xffd87fff,0x3fff400f,0x005fffb0,0x4ffffe98,0x01fffe80,
    0x00bfff90,0xfffd0000,0x3ffee003,0x3fffc802,0x7fffcc00,0xdfff7001,
    0x00ffff88,0x225fff98,0x5c005fff,0x00004fff,0x003fffc8,0x46fffa80,
    0xe802fffa,0x3ff607ff,0xfd88002f,0x3e600fff,0xeeeeefff,0xffeeeeee,
    0x000000ff,0x801fffe4,0x4402fffb,0x8000ffff,0x400efffc,0xc83ffff9,
    0xfe805fff,0x3ffe23ff,0x7ffdc005,0xfc800004,0xb80003ff,0x3fe25fff,
    0xfffd004f,0x017ffec0,0x3ffff880,0x3fffff20,0xffffffff,0x03ffffff,
    0x7fdc0000,0xfff7004f,0x5fffb805,0xffff1000,0xfff9305f,0x3ffe20df,
    0xffe981ef,0x2fffc45f,0x13ffee00,0x3ff20000,0xfd80003f,0x3ffee4ff,
    0xffffffff,0xffffffff,0x5fffb1ff,0x7ffec000,0x3ffffe05,0xffffffff,
    0x6fffffff,0x7e400000,0xff7003ff,0xfffe805f,0x3fea0001,0xffdeffff,
    0x200effff,0xdffffffa,0x0effffed,0x002fffc4,0x0013ffee,0x0ffff200,
    0xffff1000,0x7ffffdc7,0xffffffff,0xffffffff,0x005fffb1,0x837ffdc0,
    0xaaaefffa,0xaaaaaaaa,0x02ffffaa,0x2000eaa6,0x7001fffd,0x7c405fff,
    0x880006ff,0xfffffffd,0x800effff,0xffffffe8,0x880effff,0x5c005fff,
    0x00004fff,0x003fffc8,0x07fffe40,0xfffffff7,0xffffffff,0x23ffffff,
    0x0002fffd,0x6c17ffee,0xb0002fff,0x7fc0bfff,0x7f4000ff,0xff7000ff,
    0x7ffd405f,0x3ae00005,0xefffffff,0xffeb8002,0x202effff,0x4005fff8,
    0x0004fffb,0x03fffc80,0x3fffe200,0x55555444,0xaaaaaaaa,0xaaaafffe,
    0x005fffb0,0x427ffec0,0x000ffff8,0x01ffff30,0x800ffff6,0x2006fffa,
    0x3202fffb,0x00003fff,0x01357530,0x26ea6000,0xb8000000,0x00004fff,
    0x003fffc8,0x03ffff60,0x3fff4000,0x005fffb0,0x0bfffe20,0x0017ffee,
    0x209fffd0,0x000efffb,0x4005fffd,0x3a02fffb,0x00002fff,0x00000000,
    0xf7000000,0x000009ff,0x0007fff9,0x09ffff91,0x3fff4000,0x005fffb0,
    0x03ffffa0,0x000bfffa,0x20ffff70,0x804ffff8,0x4006fffc,0x3e02fffb,
    0x88001fff,0x99999999,0x55554199,0x00000000,0x9fff7000,0xff900000,
    0x7dc4007f,0x000effff,0x81fffa00,0x4002fffd,0x84ffffea,0x0007fff9,
    0x02ffff88,0x01bffff5,0x03ffffd3,0x02fffb80,0x000ffff1,0x3ffffff2,
    0x3e0fffff,0x00002fff,0xf7000000,0xdddddfff,0xdddddddd,0x32bddddd,
    0xeeeeefff,0xfffeeeee,0x000effff,0x03fff400,0xddddfffb,0xfddddddd,
    0x20bfffff,0x0004fffc,0x40bfffb0,0xdefffffc,0x1ffffffd,0x2fffb800,
    0x00dfff30,0x3fffff20,0x20ffffff,0x0002ffff,0x70000000,0xffffffff,
    0xffffffff,0x2dffffff,0xfffffffc,0xffffffff,0x000effff,0x07ffe800,
    0x3ffffff6,0xffffffff,0x00efffff,0x0003ffff,0x03fffea0,0xffffffb8,
    0x00efffff,0x05fff700,0x0017ffea,0x7fffffe4,0x3e0fffff,0x00002fff,
    0xf7000000,0xffffffff,0xffffffff,0x32dfffff,0xffffffff,0xffffffff,
    0x000002df,0xfd81fffa,0xffffffff,0xffffffff,0x3ffea03e,0x7fc00006,
    0x7e4404ff,0x3effffff,0x7ffdc000,0x07fff702,0x33332a00,0x0ccccccc,
    0x000bfffe,0x40000000,0xfffffffb,0xffffffff,0x6fffffff,0xfffffff9,
    0x9bdfffff,0x00000017,0x7ec0fffd,0xffffffff,0x2cceefff,0x03fffd80,
    0x7ffe4000,0x2aea2007,0x3ee00001,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00002620,0x00002620,0xd1000620,0x75c007dd,
    0x044001ee,0x00004c00,0xdd300130,0xdd70009d,0x0f77743d,0x76400000,
    0xee8800ee,0xddd5005e,0x777774c1,0xeeeeeeee,0x001eeeee,0xdffffd91,
    0x9700019b,0xbdfffffd,0xfd930005,0x8059dfff,0x2004fff8,0xdd11fffc,
    0x7ff64c3d,0xdb880bdf,0x881dffff,0x37261eee,0x202defff,0x4000ffff,
    0x7ffc7fff,0x0003992f,0x07fff700,0x01ffff70,0xf98fffb0,0xffffffff,
    0xffffffff,0xfffb801f,0xffffffff,0xfffd3003,0xffffffff,0xff91001b,
    0xffffffff,0x3ffe201b,0x3fff2004,0x325fff11,0xffffffff,0x7ffff446,
    0x7c44ffff,0xffff72ff,0x209fffff,0x2002fffc,0x7fc4fffa,0x5dff92ff,
    0x7fc40000,0xfffd805f,0x7ffc402f,0x7ffffcc4,0xffffffff,0x401fffff,
    0xfffffffb,0x05ffffff,0x7fffffdc,0xffffffff,0x3ffe600f,0xffffffff,
    0xff882fff,0x3ff2004f,0x95fff11f,0xffffffff,0x3ffa2bff,0xffffffff,
    0x32bffe22,0xffffffff,0xff986fff,0x3ff6005f,0x97fffc1f,0x0bfffffc,
    0x7ffe8000,0x4fffff80,0x217ffd40,0xaaaaaaa8,0xff9aaaaa,0x7fcc05ff,
    0x7e440bff,0xff502fff,0xe98839ff,0x3a03ffff,0x261bffff,0x41fffffb,
    0x2004fff8,0xff11fffc,0x159dffdf,0xd9ffff93,0xd73159ff,0x7fc4dfff,
    0x89bfffef,0x2ffffeb9,0x800fffe8,0xcc86fff8,0xffff71cc,0x0003bfff,
    0x300fffe4,0x80dfffff,0x00007ffc,0x900dfffb,0xfc807fff,0xfffb05ff,
    0xffff7005,0x07bffee0,0x46fffe88,0x2004fff8,0xff11fffc,0x7dc0dfff,
    0x301effff,0x3e25ffff,0x100dffff,0xf70dfffd,0xff7007ff,0xfc88007f,
    0x2effffff,0x3fff9800,0x3ffffee0,0x17ffe00f,0x3fff2000,0x6ffe800e,
    0x0ffff880,0x002fffcc,0xf981fffd,0xfd000fff,0x7ffc45ff,0x3fff2004,
    0x1fffff11,0x7ffffc40,0x9fffdc02,0x00fffff8,0x207fffc4,0xe806fff8,
    0x20000fff,0xffffffea,0x3fe000cf,0x2fffa06f,0xff302fff,0xfb80005f,
    0xff001fff,0x2aea00ff,0x0fffdc09,0x83fffb00,0x2004fffd,0x3e27fffa,
    0x3f2004ff,0xffff11ff,0xdfffb005,0x29fff500,0x003ffff8,0xfb03fffd,
    0x7fc403ff,0x9300005f,0xbfffffff,0x1fff9005,0xfd3fff10,0x3ffee0bf,
    0x3fea0000,0x3f6002ff,0x400004ff,0x7ffe4001,0x007fff41,0x443fffa0,
    0x32004fff,0xfff11fff,0xfff9001f,0xbfff3009,0x003fffe2,0x5417ffec,
    0x3ee04fff,0x400002ff,0xfffffeb8,0xff500bef,0x2fff505f,0xffd07ffc,
    0x7fcc000b,0x7d4003ff,0x001befff,0x7ecc0000,0x37ffc1ff,0x97ffe400,
    0x2004fff8,0xff11fffc,0x3ff200df,0xfff8802f,0x00ffff15,0xf817ffe4,
    0x3ffa06ff,0x4c000007,0xfffffffd,0x27ffc40c,0xffaaffe4,0x1fffc40f,
    0xffff8800,0xffe88004,0x0adfffff,0x95310000,0x3ffffffb,0x002fffcc,
    0xf89fffdc,0x3f2004ff,0xdfff11ff,0x07fff200,0x457ffe20,0x2e006fff,
    0xff902fff,0x9fff303f,0x22000000,0x0ffffffb,0xfe86ffd8,0x87fff12f,
    0x8000fffa,0x005fffe8,0x3ffff620,0x0befffff,0x3ff72600,0xffffffff,
    0x3ffea1ff,0xfffa8004,0x009fff14,0xf88fffe4,0xff9005ff,0xfff1003f,
    0x017ffe2b,0x302fffb8,0xff909fff,0x0000001f,0x01ffffb0,0x7c41fff7,
    0x17ffa0ff,0x2000dffb,0x000efffd,0xfffffc80,0x02ffffff,0x7fffff54,
    0xfeefffff,0x3ffee1ff,0xfff98003,0x009fff15,0xf88fffe4,0xff9005ff,
    0xfff1003f,0x017ffe2b,0x202fffb8,0xfff87ffe,0x20000006,0xffffffb8,
    0x23fff880,0x7fe46ffa,0x001fffc7,0x007fffec,0x3fb2a000,0x4fffffff,
    0xffffff50,0x32159dff,0x3fea1fff,0xffa8003f,0x09fff14f,0x88fffe40,
    0xf9005fff,0xff1003ff,0x17ffe2bf,0x02fffb80,0xfa8bffee,0x000003ff,
    0xfffffd98,0x3ffa04ff,0xf513ff65,0x3ffea3ff,0x7ffe4000,0x4000001f,
    0xfffffdb8,0x7fffcc3f,0x3f200acf,0x3ffe61ff,0xfffb8004,0x00bfff14,
    0xf88fffec,0xff9005ff,0xfff1003f,0x017ffe2b,0x202fffb8,0x3f65fff8,
    0x000000ff,0xfffffd71,0xff9005df,0x7c17ffcf,0x0dff93ff,0x2ffffb80,
    0xa8000000,0x7ec5fffe,0xfd000eff,0x7ffc45ff,0xfffc8005,0x00bfff13,
    0xf88ffff4,0xff9005ff,0xfff1003f,0x017ffe2b,0x402fffb8,0xfff17ffd,
    0x9300000b,0xbfffffff,0x7ffcc003,0xd80fff99,0x09fff5ff,0x1ffffd40,
    0x01310000,0xf1fffea0,0x7c001fff,0x7ffc2fff,0xfffd8007,0x401bffe2,
    0xf11ffff8,0x3f200bff,0xff8801ff,0x0bfff15f,0x017ffdc0,0x3eabffea,
    0x200001ff,0xffffffda,0xff0000cf,0x20dff79f,0xfff9fffb,0xffff3001,
    0x3ea00009,0x3fa002ff,0xdfff30ff,0x7fffc400,0x01ffff42,0xf8ffff30,
    0xfd801fff,0xfff11fff,0x3fff200b,0x5fff8801,0x400bfff1,0xf802fffb,
    0x06ffdcff,0xfffb8800,0x002effff,0xfdeffc80,0xbfff304f,0x3a200fff,
    0x00005fff,0x4017ffe6,0x3ea6fff8,0x3f6007ff,0x7fd42fff,0x3ff6006f,
    0x37ffec5f,0x3fffff20,0x00bfff11,0x2007fff2,0xff15fff8,0x7fdc00bf,
    0xfffc802f,0x55004fff,0x3ffee155,0x001dffff,0x3fffea00,0x3ffe02ff,
    0xe8804fff,0x00006fff,0x803fffe8,0x3e24fffc,0xfd802fff,0xfd82ffff,
    0xffb805ff,0x7ffd41ff,0xfb510adf,0x223fffff,0xf9005fff,0xff1003ff,
    0x17ffe2bf,0x02fffb80,0xffffff98,0x5ffff000,0x33fffff2,0xff000000,
    0x6c01ffff,0x802fffff,0x999ffffd,0xaaaaaaa9,0x3ee02aaa,0xf700cfff,
    0xffe83fff,0xffb301ef,0xf307ffff,0xb103dfff,0x3a07ffff,0xfeffffff,
    0xfff9efff,0x00bfff11,0x2007fff2,0xff15fff8,0x7fdc00bf,0xfffd002f,
    0x7ffc00df,0x05dff92f,0xffb00000,0xffb80dff,0xff8807ff,0xffffffff,
    0xffffffff,0x7ffe407f,0xffeddeff,0xff983fff,0xfeccdfff,0xfffbefff,
    0xfffff704,0xfffffbbf,0x7fec40bf,0x5fffffff,0x3e23fff3,0xff9005ff,
    0xfff1003f,0x017ffe2b,0x002fffb8,0x005ffff7,0xdc97fffc,0x20000001,
    0x404ffffb,0x805ffff9,0xfffffff8,0xffffffff,0xd807ffff,0xffffffff,
    0x2e01ffff,0xffffffff,0x3ffa4fff,0x3fffa607,0xffffffff,0xfffd7003,
    0x7fcc7dff,0x0bfff11f,0x007fff20,0x7c57ffe2,0x3ee005ff,0xff1002ff,
    0x7fc001ff,0x000002ff,0x3fffe200,0x2ffff802,0xfffff880,0xffffffff,
    0x07ffffff,0xfffffb30,0x30019dff,0xfffffffb,0x2fffc83b,0x7ffff5c0,
    0x8000cfff,0x20009a98,0x9005fff8,0xf1003fff,0x3ffe2bff,0x3ffee005,
    0x00000002,0x00000000,0x00000000,0x44000000,0x0001baa9,0x002aea62,
    0x55d4c000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5eeec800,0x13bbb200,0x80000000,
    0x00003eee,0x0000fff7,0x3e200000,0x5555407f,0xa86aaaa0,0x2aaa0aaa,
    0xeecb980a,0x0e2000bc,0x00000000,0x00000000,0x7fffcc00,0xffffb804,
    0xd5000000,0x27ffc001,0xfffe8000,0xffffc803,0xffffffff,0xffffffff,
    0x2037fc00,0x3fa2ffff,0xffff13ff,0x217fffc3,0xfffffffb,0x3a600bef,
    0x00000005,0x00000000,0x3fee0000,0x3fe601ff,0x400002ff,0x000fffb8,
    0x00013ffe,0x01bfffea,0x3ffffff2,0xffffffff,0x00ffffff,0x3fe02ffc,
    0x3fffa2ff,0x43ffff13,0x3f62ffff,0xffffffff,0xa889dfff,0x00005ffd,
    0x00000000,0x40000000,0x3a06fffd,0x00004fff,0x3fffff66,0x13ffe000,
    0x3fff6000,0x7fe402ff,0xffffffff,0xffffffff,0xfd06a0ff,0x3ffe2989,
    0x4ffffa2f,0x3e1ffff8,0xfff12fff,0xffffffff,0xffffffff,0x00000bff,
    0x00000000,0x88000000,0xfc83ffff,0x700006ff,0xfffffffd,0x27ffc001,
    0x3ffe6000,0x65405ffe,0xcccccccc,0xcccccccc,0x3bfe0ccc,0xfd719fb3,
    0xd17fffcd,0x3fe27fff,0x3fffe1ff,0x359fff12,0xfffffd75,0x9fffffff,
    0x00000000,0x00000000,0xfff50000,0x7fffd43f,0x3f220001,0x2effffff,
    0x04fff800,0x4f7fe400,0x00001fff,0xffff5000,0xffffdfdf,0x8bfffe3f,
    0xff83fffe,0x44bfffe0,0x3f2600df,0xffffffff,0x00000003,0x00000000,
    0x3f200000,0xffff16ff,0x3f6a0007,0x1cffffff,0x13ffe000,0x2fff8800,
    0x00009ffd,0x3fb26000,0xffffffff,0x3fffd1ce,0x2617ffec,0x8ffffc7f,
    0x36e20048,0x000bdefe,0x00000000,0x00000000,0x7fff4400,0x005fffda,
    0x7ffff5c4,0x0000beff,0x0004fff8,0xffb9ffee,0x0000000f,0x7ffed440,
    0x1fff901c,0x2e0fffe4,0x03fff45f,0x00000000,0x00000000,0x00000000,
    0x3ffffe60,0x93000eff,0xbfffffff,0x4ccc4003,0xfff99999,0x9999999d,
    0x893ffe01,0x00003fff,0xfff98000,0xfff701ff,0x7cc7ffa8,0x037fe43f,
    0x00000000,0x00000000,0x00000000,0x7ffffe40,0xffd9801f,0x00bfffff,
    0xfffffc80,0xffffffff,0x0fffffff,0x641fffa8,0x000007ff,0x4fffcc00,
    0xffa80fff,0xf137fcc5,0x0bff70bf,0x00000000,0x00000000,0x00000000,
    0x3ffffa00,0xffff9003,0xc80005bf,0xffffffff,0xffffffff,0xfe80ffff,
    0x2fff986f,0xcccccca8,0xcccccccc,0x40cccccc,0xff93ffe8,0x84ff881d,
    0x981ec5ff,0x000003ff,0x00000000,0x00000000,0xf9000000,0x32007fff,
    0x0002ffff,0xffffff90,0xffffffff,0x81ffffff,0xfd02fff9,0xffff90df,
    0xffffffff,0xffffffff,0x746ffc81,0x82ed84ff,0x3a2003ed,0x0000001e,
    0x00000000,0x00000000,0xff980000,0xc801ffff,0x02dfffff,0x55554c00,
    0xdfffaaaa,0xaaaaaaaa,0x703ffec0,0xffc83fff,0xffffffff,0xffffffff,
    0x41fc80ff,0x000004f9,0x00000000,0x00000000,0x00000000,0xfe880000,
    0x806fffff,0xffffffd9,0x000000bf,0x88009fff,0x7fc04fff,0x7fffe45f,
    0xffffffff,0xffffffff,0x00060300,0x00000000,0x00000000,0x00000000,
    0x40000000,0xffdcfffd,0xff91004f,0x03bfffff,0x4fff8000,0x0fffe400,
    0x003fff20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23bffea0,0x002ffff8,0x3ffffae2,0x0000beff,0x2004fff8,0x9806fff8,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x3ea2ffff,0xa8000fff,0xfffffffd,0x3fe0001c,0x3fee004f,0xfffb002f,
    0x066665c1,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb09fffb,0x44000bff,0xfffffffc,0xfff8002d,0x06662004,0x4c199880,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0xfff101df,0xd700005f,0x1fffffff,0x027ffc00,0x54000000,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,0x3fee02ff,
    0x300000ff,0x01fffffb,0x0027ffc0,0xfc800000,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27fff400,0x02fffec0,0x3ff22000,
    0x3ffe000f,0x00000004,0x001bff60,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffc80000,0xff8800ff,0x000003ff,0x000001d7,0x20000000,
    0x00002ffe,0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,
    0x3ffee002,0x0000001f,0x00000000,0x1aa88000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_49_usascii_x[95]={ 0,3,2,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-3,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,4,1,1, };
static signed short stb__arial_49_usascii_y[95]={ 39,7,7,7,4,7,7,7,7,7,7,13,34,25,
34,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,20, };
static unsigned short stb__arial_49_usascii_w[95]={ 0,6,12,24,22,35,28,6,12,12,15,22,6,13,
6,13,22,13,22,22,23,22,22,21,22,22,6,6,22,22,22,22,41,31,24,28,27,24,22,30,26,5,18,27,
20,31,26,31,25,32,29,26,25,26,29,41,29,29,26,10,13,10,19,26,9,22,21,21,21,22,14,21,20,5,
10,20,5,32,20,22,21,21,14,20,12,20,22,32,22,22,21,13,4,13,23, };
static unsigned short stb__arial_49_usascii_h[95]={ 0,32,12,33,40,34,33,12,42,42,14,21,12,5,
5,33,33,32,32,33,32,32,33,31,33,33,23,30,23,15,23,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,35,32,33,32,33,32,32,32,32,32,41,33,41,18,4,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,8, };
static unsigned short stb__arial_49_usascii_s[95]={ 255,162,196,177,135,213,1,216,89,1,180,
114,209,194,208,52,88,158,225,125,54,135,177,172,131,154,166,248,91,157,173,
202,47,103,78,148,26,1,31,100,175,169,202,134,113,81,54,68,228,158,1,
221,181,200,151,109,79,49,22,113,111,124,137,158,157,22,30,217,66,194,227,
191,1,249,102,207,248,89,122,45,46,24,239,1,242,68,143,196,68,1,229,
33,28,14,223, };
static unsigned short stb__arial_49_usascii_t[95]={ 1,145,236,44,1,1,78,236,1,1,236,
236,236,204,204,78,78,178,145,78,178,178,78,178,44,44,211,145,236,236,211,
145,1,178,178,78,178,178,145,44,145,145,44,145,145,145,145,44,112,1,145,
44,112,78,112,112,112,112,112,1,78,1,236,37,252,211,78,178,78,178,78,
1,112,1,1,112,44,211,211,211,44,44,178,211,78,211,211,211,236,44,211,
1,1,1,236, };
static unsigned short stb__arial_49_usascii_a[95]={ 195,195,249,390,390,624,468,134,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,195,195,410,410,410,390,712,468,468,507,507,468,429,546,
507,195,351,468,390,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,195,195,195,329,390,234,390,390,351,390,390,195,390,
390,156,156,351,156,585,390,390,390,390,234,351,195,390,351,507,
351,351,351,234,182,234,410, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_49_usascii_BITMAP_HEIGHT or STB_FONT_arial_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_49_usascii(stb_fontchar font[STB_FONT_arial_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_49_usascii_BITMAP_HEIGHT][STB_FONT_arial_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_49_usascii_s[i] + stb__arial_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_49_usascii_t[i] + stb__arial_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_49_usascii_x[i];
            font[i].y0 = stb__arial_49_usascii_y[i];
            font[i].x1 = stb__arial_49_usascii_x[i] + stb__arial_49_usascii_w[i];
            font[i].y1 = stb__arial_49_usascii_y[i] + stb__arial_49_usascii_h[i];
            font[i].advance_int = (stb__arial_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_49_usascii_s[i] + stb__arial_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_49_usascii_t[i] + stb__arial_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_49_usascii_x[i] + stb__arial_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_49_usascii_y[i] + stb__arial_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_49_usascii_LINE_SPACING
#endif

