// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT        186
#define STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_39_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_39_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_39_usascii_LINE_SPACING          25

static unsigned int stb__arial_bold_39_usascii_pixels[]={
    0xaa855540,0x26aa201a,0x05555000,0x00353310,0x9aaa9880,0xff900000,
    0x3ffea1ff,0xf70fffff,0x0fffffff,0x4c000000,0x8800009a,0x54c000aa,
    0x4ccc401a,0x99998009,0x09a98000,0x01aaa800,0x43ffe600,0x3e606ffb,
    0x7c01efff,0x3f2205ff,0x44004fff,0xffffffeb,0x0002dfff,0x543ffff2,
    0xffffffff,0xffffff70,0x0df900ff,0xffedb800,0x00cdffff,0x3ffffa20,
    0xfff8801e,0x7fffdc02,0x7fffcc03,0xffecb804,0x003dffff,0x4000bffd,
    0x3fe25ffd,0xffff302f,0x7ffc05ff,0xfffff105,0x3f66009f,0xffffffff,
    0x03ffffff,0x0ffffc80,0xfffffff5,0x3fffee1f,0x6c407fff,0xd88000ef,
    0xffffffff,0x8802efff,0xffffffff,0x037fe401,0x037fffc4,0x807ffff2,
    0xffffffe9,0x01efffff,0x8003ffe4,0x7e41fff9,0xffff306f,0x7ffc0dff,
    0xfffff705,0xfff9009f,0xdddfffff,0xdfffffff,0x7ffe4001,0xfdddd30f,
    0x3fee1fff,0x705eeeff,0x7dfffffd,0x3fffee00,0xffffffff,0x3600cfff,
    0xfffbbfff,0x0bffe205,0x0ffffec0,0x40dffff0,0xfffffffb,0xffffffff,
    0x03ffea04,0x21bffa00,0xc882fff9,0x02fffffe,0x3fe0bfff,0x203eefff,
    0xbeffffe8,0x3ff26200,0x53001fff,0x3ea01555,0xfff70fff,0xfffd880f,
    0x0effffff,0x3ffffee0,0xffffffff,0xf105ffff,0x7ffe49ff,0x00dff900,
    0x81ffffd4,0x703ffff9,0xffffffff,0xffffffff,0x3ffe20bf,0x7ffd4002,
    0x80dffd03,0xf03ffff8,0xfff10bff,0xfff3009f,0xb10003bf,0x0001ffff,
    0x0ffffa80,0xd80ffff7,0xffffffff,0xff105fff,0x415bffff,0xffffffb9,
    0x22fff982,0xf882fffa,0x7fc002ff,0xfff906ff,0xffff101f,0x5cc15bff,
    0x02ffffff,0xe8009ffd,0xff700fff,0xfffe805f,0x10bfff04,0x8803ffff,
    0x0003fffe,0x806fff98,0x2a019998,0xff70ffff,0x7ffd40ff,0xffeefeff,
    0xfffd83ff,0x7f4c02ff,0xffa86fff,0x0fffea1f,0x2001bff2,0xf81ffffc,
    0xffd06fff,0xe9805fff,0xf906ffff,0x7fd400df,0x3ffe606f,0x27ffec06,
    0xf985fff8,0x7ec01fff,0x26a201ff,0x3fffa800,0x07fffe40,0x70ffffa8,
    0x7ec0ffff,0x8efc8eff,0x7d46fffe,0x1002ffff,0xb89fffff,0x3fe61fff,
    0x17ffc43f,0x7fffcc00,0x17fffcc3,0x17ffffd4,0xfffff880,0x00fffa83,
    0x809fffb0,0x3602fffe,0xfff05fff,0x1ffff30b,0x417ffd40,0x5ffffec9,
    0x7e4ffff7,0x7ffe406f,0xffff500f,0x81fffee1,0xdf92ffff,0xfb17bfee,
    0xc800dfff,0x7d47ffff,0x3ffea2ff,0x0037fe42,0xc8dfffd0,0xfd80ffff,
    0x64006fff,0xf887ffff,0xfff002ff,0xfffc803f,0x17fff605,0x7cc2fffc,
    0x3fe00fff,0xffff985f,0xffddffff,0x07ffa25f,0x00ffffc8,0x2e1ffff5,
    0xff107fff,0x09bf23ff,0x0bffffa0,0xfffff100,0x71fffcc1,0x7fc43fff,
    0x3ee0002f,0x3ffa0fff,0xfffff05f,0xfff88005,0x4ffe80ff,0x0ffff980,
    0x03fffdc0,0x3e0bfff9,0xfffa85ff,0x1fff500f,0xefffff98,0xfffffffd,
    0x9027fe44,0x2a01ffff,0xff70ffff,0x7fffc0ff,0x3e00df93,0x8000ffff,
    0x741ffffe,0xffe99eff,0x0037fe46,0x4ffffe20,0x982ffff9,0x000fffff,
    0x81ffffe8,0xfc806ffd,0xffa807ff,0xfff901ff,0x217ffe0d,0x3607fffa,
    0x7ffcc3ff,0x3ffa61df,0x7fdc2fff,0x3ffff205,0x1ffff500,0xe81fffee,
    0x6fcaffff,0x7ffff880,0xffffb000,0xfffffa85,0x3fe22fff,0xfd80002f,
    0xffff96ff,0x1ffffe60,0x7fffec00,0x00fffb83,0x403fffec,0x703ffff9,
    0xff01ffff,0xdfff90bf,0xb07ffe20,0x3ea0dfff,0x7cc0ffff,0x3fff206f,
    0xffff500f,0x81fffee1,0xfffffffb,0xffffa806,0xfff90006,0xffff709f,
    0x6ffc87ff,0xfff50000,0x09fffd1f,0x01bfffea,0x27fffe40,0x2017ffcc,
    0x8806fffe,0xf103ffff,0xfff09fff,0x4ffff88b,0xf98dff70,0xff102fff,
    0xfff10fff,0x07fffe40,0x70ffffa8,0x7c40ffff,0xcfffffff,0x3fffee01,
    0xfff70005,0x376e60bf,0x17ffc41b,0x7fc00088,0x1ffffdff,0x0bffff70,
    0x3fffee00,0x809fff05,0x8805ffff,0x3604ffff,0xf0acffff,0x3faa2bff,
    0xff901fff,0x05fffd89,0x4c2ffff4,0x3ff206ff,0xfff500ff,0x1fffee1f,
    0xffffff50,0xf505dfff,0x2000dfff,0x004ffffc,0xb11bff20,0x2009ffff,
    0xfffffffc,0x3fffea06,0xfff90006,0x1bff609f,0x009ffff0,0x9817fffe,
    0xf2ffffff,0x3fffebff,0x3ff604ff,0x017fffc2,0x2e0ffffe,0x3ff205ff,
    0xfff500ff,0x1fffee1f,0x3ffffa60,0x444fffff,0x0007ffff,0x005ffffb,
    0x88bffe20,0x6fffffff,0xfffff980,0x3fe603ff,0xfb0007ff,0x3ee07fff,
    0x3ffe207f,0xfffd003f,0xfffe980b,0x3ebfff2f,0x7403ffff,0x3ffe62ff,
    0x3ffe201f,0x04ffd81f,0x403ffff2,0xf70ffffa,0x75400fff,0xffffffff,
    0x07ffffc4,0x7ffff400,0xdff90001,0xfedfffd8,0xffe803ff,0x7c00ffff,
    0x8000ffff,0x301ffffe,0x3e203fff,0xfd003fff,0xff980bff,0xbfff2fff,
    0x013ffffe,0x7fd43ffd,0x7ffcc07f,0x02fff80f,0x403ffff2,0xf70ffffa,
    0xfb000fff,0x3fffffff,0x80fffff4,0xffff8818,0xff88000f,0x8fffe62f,
    0xfb807ffe,0xe805ffff,0x4002ffff,0x00fffff8,0xff80fffe,0xffd003ff,
    0x7ffcc07f,0xbfff2fff,0x17fffffe,0x3ee1ffe8,0x7fdc06ff,0x07ffb86f,
    0x807fffe4,0xf70ffffa,0xf9000fff,0x9ffffd3d,0x837fffec,0x3ff20dfc,
    0xf90007ff,0x1fffa8df,0x1003ffee,0x005fffff,0x00dffffb,0x07ffffc8,
    0xfb02ffec,0x3fe009ff,0x3ffa02ff,0x3ffe1bff,0xffffd715,0xb8bff603,
    0x3e207fff,0x7fcc4fff,0x7ffe403f,0xffff500f,0x01fffee1,0xffe9bf20,
    0x3fffea5f,0x7fffc42f,0x4fffff9c,0x2fff8800,0xf707ffdc,0xff8803ff,
    0xff5007ff,0x22007fff,0x404fffff,0x3f207ffb,0xfff005ff,0x3ffe603f,
    0x45fff83f,0x904ffff9,0x7ffcc7ff,0xffff700f,0x037ffc47,0x807fffe4,
    0xf70ffffa,0x54cc0fff,0xffb9bf21,0x7fffec6f,0x3fffa61f,0x0fffffff,
    0x86ffc800,0x3ee0fffc,0x7fe402ff,0x3f6004ff,0x4c03ffff,0x00fffffe,
    0xb80fffcc,0xf8805fff,0xff500fff,0xbfff01ff,0x20dfff90,0x3fe24ffb,
    0xfff984ff,0xfffd32ff,0xffff9005,0x3fffea01,0x20ffff70,0xf90ffffc,
    0x22fffdcd,0xbffffff8,0x3ffffaa0,0x88003fff,0xffb82fff,0x07ffee0f,
    0x1fffff98,0x3fffe200,0x2e60adff,0x02ffffff,0x2607fff0,0xf9806fff,
    0x3fee07ff,0x0bfff06f,0x260ffff5,0x3ff20fff,0xffc9adff,0xffddffff,
    0xff9001ff,0x3fea01ff,0xffff70ff,0x4ffffea0,0x3fffa6fc,0xfffffc83,
    0xffffefff,0x0006ffff,0x3ea0dff9,0x3fff21ff,0x3ffaf2a0,0xb8006fff,
    0xffffffff,0xffffffff,0x3ffa005f,0x1ffff105,0x06fffb80,0x7c17fff2,
    0xfff985ff,0x47ffd00f,0xfffffff8,0xffffffff,0x2001efff,0x500ffffc,
    0x3ee1ffff,0xfff107ff,0x2edf95ff,0xf701ffff,0xffffffff,0xffffffff,
    0x7fc4003b,0xbfff103f,0xf71bffa2,0x3fffffff,0x3ffee000,0xffffffff,
    0x000cffff,0xff81fff2,0x7fe402ff,0x3fff204f,0x30bfff05,0x2e01ffff,
    0x7ff4c6ff,0xff9effff,0x00efffff,0x07fffe40,0x70ffffa8,0x7e40ffff,
    0xeeffffff,0x4405ffff,0xfffffffe,0xffffffff,0xfc800cff,0x7ffe406f,
    0x542ffffe,0x3fffffff,0x7ff44000,0xffffffff,0xfa8002ff,0xfff901ff,
    0x1fffe809,0x417fff60,0xff985fff,0xfff100ff,0x7bddb70b,0x05677ed4,
    0xfc815554,0xff500fff,0x3ffee1ff,0x7ffff407,0xffffffff,0xffdb7000,
    0xf97bdfff,0x805fffff,0x4403fff8,0x5ffffffe,0xefffff98,0x36e00002,
    0xdffffffe,0xff10000b,0x3ffe207f,0x1bffe206,0x209fffb0,0xff985fff,
    0x3fee00ff,0x9000004f,0x3f605fff,0xff500fff,0x3ffee1ff,0x7fff4407,
    0x0effffff,0x026a6000,0x01bfffa6,0xb801bff2,0x2202defd,0x000009a9,
    0x0009a980,0x806aaa00,0xf700fffd,0xffe807ff,0x0bfff04f,0x803ffff3,
    0x000dfffd,0x13fff200,0xfffff731,0x87fffd40,0x7007fffb,0x7dfffffd,
    0x5c000000,0x000002ff,0x00000000,0x00000000,0x17ffcc00,0x200fffd8,
    0xf03ffff9,0xfff10bff,0xfffd009f,0xea80007f,0xffe86fff,0x3a66ffff,
    0x0ffffeee,0xdddffff7,0x0efd880b,0x20000000,0x00000002,0x00000000,
    0x00000000,0xf10bffb0,0xfdd109ff,0x3e05ffff,0xffff05ff,0x36207dff,
    0x0bdfffff,0x7ff65440,0x7fc40dff,0x2a4fffff,0xffffffff,0xffffff70,
    0x0df900ff,0x00000000,0x00000000,0x00000000,0x20000000,0x7dc1fff9,
    0xfff980ff,0x3fe07fff,0xffff705f,0xffa809ff,0xefffffff,0xffffffee,
    0xff503fff,0xfa8bffff,0x0fffffff,0xfffffff7,0x00df900f,0x00000000,
    0x00000000,0x00000000,0x6c000000,0x1fffc4ff,0xffffff98,0x817ffe02,
    0x04fffffe,0xffffec88,0xffffffff,0x200befff,0x0deffffb,0x7fffffd4,
    0xffff70ff,0x5300ffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0xb87ffcc0,0x3fe606ff,0x7fc01dff,0x7ffdc05f,0x75cc004f,0xffffffff,
    0x22001def,0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa80000,0x44035530,0x2aa0019a,0x3531002a,0x35310000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x5540aaa9,0x54c4002a,0x54000009,0x000001aa,0x004d4c40,
    0x80000000,0x00001a98,0x009aa998,0x00000000,0x15530000,0x00199988,
    0x40000000,0x3e20fffc,0xfd5006ff,0x007fffff,0x07fff100,0x337ffb26,
    0x7fedc001,0x02efffff,0x6f7f6dc0,0xfdb70003,0x01bdffff,0x3fff2600,
    0x02dfffff,0xffecb880,0x3b22003e,0x000cefff,0x7ffffff7,0x403fffea,
    0x3defedb9,0xbfff7000,0x4c7ffe80,0xfd804fff,0xffffffff,0x7fd40006,
    0xffffb81f,0x8804ffff,0xfffffffe,0x401effff,0xffffffd8,0xfb1000ef,
    0xffffffff,0x6c4007ff,0xffffffff,0x001effff,0xffffffd3,0xffc803df,
    0x4fffffff,0x3ffff620,0xffabffff,0xfffa80ff,0x01efffff,0x17fffe20,
    0x5c5fff88,0x7e402fff,0xffffffff,0x320004ff,0xfffd87ff,0xdfffffff,
    0xffffd300,0xffffffff,0x3fa201df,0xffffffff,0x7ffd401f,0xffffffff,
    0x4c00efff,0xffffffff,0xffffffff,0x7fffd401,0x0fffffff,0xffffff70,
    0x209fffff,0xfffffffd,0xffffefff,0x7ffffdc0,0x01ffffff,0x0bffffb0,
    0x361fffcc,0x7fc01fff,0xfc98afff,0xb0000fff,0xfffa8bff,0xffffffff,
    0xffffd04f,0xffffdfff,0x3ee0bfff,0xffffffff,0x3fea05ff,0xffffffff,
    0x05ffffff,0x3fffffe6,0xffffffff,0xf301ffff,0xffffffff,0xff30dfff,
    0xfffdffff,0xff985fff,0xea9adfff,0x20ffffff,0xfffffff9,0x806fffff,
    0x05fffffd,0xfd0bffee,0xfff980ff,0x2ffff83f,0x47fff000,0x8cfffff8,
    0x0fffffd9,0x5f7fffcc,0x3fffaa21,0xffff81ff,0xffffd31f,0x3ffffa01,
    0x3ff6a1bf,0xe882ffff,0x1aefffff,0x3ffffb2a,0xffffb05f,0x7ffff4c9,
    0x67fffe40,0xbffff710,0x83ffffe8,0x0fffffe8,0x433ffff2,0x02ffffea,
    0xffffffd5,0x07ffe40b,0x980dfff1,0xfd84ffff,0xf98003ff,0x3ffea2ff,
    0xffffb82f,0x17fffdc4,0x7fffff10,0x43ffffb8,0xb84ffffa,0x201effff,
    0x85fffff9,0x03fffffc,0x0fffffe8,0x427fffc4,0x6c3ffffa,0xffd07fff,
    0x7fffc4df,0x3fffe606,0x1bfffe0f,0x313fffea,0xfffffffb,0x3bbbb2bf,
    0xeeeeffff,0x206effff,0x260fffff,0x8000ffff,0x3f20fffb,0x3ffe07ff,
    0x3fff60ff,0x7ffe400f,0x3ffff45f,0x447fffe8,0x801fffff,0x20fffffc,
    0x03fffff8,0x7fffff30,0x01ffffc8,0xfe813579,0xfff905ff,0x27fffccf,
    0x43ffffa0,0x882ffdc8,0x3e65ffff,0xffffffff,0xfffffb5f,0xffffffff,
    0x6c0fffff,0xff56ffff,0x36000dff,0x7ffec6ff,0x3ffff606,0x13ffff21,
    0x81333510,0xf906ffff,0x7fe41fff,0xdf1005ff,0xfffb8159,0x5edc006f,
    0x6ffff80a,0x3fff2000,0x4bfffb06,0x403ffffa,0x100ffffd,0x8bfffea0,
    0xfafffff9,0xfffb5fff,0xffffffff,0x0fffffff,0x77ffffc4,0x002fffff,
    0xfe89fff0,0x3ff206ff,0x3ffee2ff,0x8000beff,0x704ffff8,0x7ec3ffff,
    0x00002fff,0x00fffffa,0x3fffe000,0xfa800445,0x7fc41fff,0x3ffee2ff,
    0x7ffe402f,0x7ff4000f,0x3ffe60ff,0x2bffff0d,0xfffffffd,0xffffffff,
    0x7fd407ff,0x2fffffff,0x5fff3000,0x207fffd8,0x223ffffd,0xffffffff,
    0xff3001be,0x3fea09ff,0x3fffa2ff,0x3e00000f,0x0001ffff,0x67fffc40,
    0x0cefffc8,0x3ffffa20,0xeffffcac,0x0ffffee0,0x01ffffb0,0xffffd950,
    0x7c2ef989,0xffb05fff,0x2fffc41f,0xfffff100,0x40003dff,0x7e40fffb,
    0xff880fff,0x7fd44fff,0xffffffff,0x3fe602df,0xfff503ff,0x3ffffc7f,
    0xfff10000,0x800001ff,0xfedffff9,0x02ffffff,0x7fffffe4,0x7d40dfff,
    0x7f403fff,0x7c400fff,0x883fffff,0x0bffff01,0xff31fffa,0x3fea009f,
    0x01ffffff,0x437fec00,0xa84ffffa,0xb84fffff,0xffffffff,0xa81effff,
    0xf503ffff,0x3fe29fff,0x200007ff,0x407ffff9,0xaaaaaaaa,0x3ffea2aa,
    0xffffffff,0x7ec01fff,0x06ffffff,0x40dffff3,0x00fffff8,0x27ffffcc,
    0x2ffffc00,0x2e2fffc4,0xfd802fff,0xffffffff,0x3fe0000e,0xffffd04f,
    0xffff913b,0x3fa60bff,0xffffffff,0x7fdc1fff,0xfff503ff,0x3fffe69f,
    0x3e600006,0x7f406fff,0xffffffff,0x3ffffee7,0xffffbcff,0x3fff206f,
    0x0dffffff,0x02fffff8,0x01fffffb,0xffffffa8,0x3ffe002f,0x3fff985f,
    0x2007ffe4,0xfefffffd,0x3725ffff,0x3fe200ac,0xffff302f,0xffffffff,
    0xeb980bff,0xffffffff,0x3ffee1ff,0xffff503f,0x1ffffe69,0xfff98000,
    0x7fff407f,0x27ffffff,0x0dfffffb,0x21ffffe4,0xcdffffd8,0x41efffff,
    0x22fffffb,0xffffffd8,0x7ed65400,0xf002ffff,0xff70bfff,0x07ffe85f,
    0xa7ffffd4,0xf3fffffb,0x7d40bfff,0x3fee00ff,0xfeffffff,0x22004fff,
    0xffffffca,0x3fffea5f,0x7ffff503,0x01ffffe2,0xffff8800,0x3fffa00f,
    0x27ffffff,0x01fffffa,0xfc8bfffd,0x7fd42fff,0x7ffc46ff,0xffffffff,
    0x000fffff,0x07ffffcc,0xdaffffc0,0xffffffff,0xffffffff,0x7ffff47f,
    0x7ffffec3,0x202ffffc,0xe9807ffc,0xf9bfffff,0x20003fff,0x27ffffea,
    0x504ffff9,0x7fc5ffff,0x00000fff,0x807ffffe,0xffeeeeec,0x3ffe67ff,
    0x3fff607f,0x82ffffc7,0x4c1ffffc,0xffffffff,0x0ffffddf,0xffffc800,
    0x5ffff804,0xfffffffb,0xffffffff,0x7ffccfff,0xffffd07f,0xe80fffff,
    0x2a2005ff,0xffff50ab,0x032aa625,0x8fffff40,0x704ffff8,0x7ec5ffff,
    0x36002fff,0xfffd81ce,0xfff8004f,0x3fffe27f,0x3ffff206,0x05ffff30,
    0x20ffffe6,0xfffffff9,0x01ffffb5,0xbffff300,0x2bffff00,0xfffffffd,
    0xffffffff,0x3ffea7ff,0xffff104f,0x4409ffff,0x80003fff,0xf91ffffb,
    0x32007fff,0xff13ffff,0x3ff20bff,0x3fff21ff,0xfff1005f,0x7ffd43ff,
    0x7fc000ff,0x7fffc7ff,0x3ffff207,0x03ffff70,0x882ffffc,0x362ceedb,
    0x80207fff,0x806ffff8,0xdd95ffff,0xfddddfff,0xdddddfff,0x027fffd4,
    0xfffffff3,0x0fffd401,0xffd00c40,0x3ffe61ff,0xfffd006f,0x37fffc5f,
    0x20ffffd8,0x01fffff9,0x46ffffb8,0x04fffff8,0x23ffffc0,0x900ffffe,
    0x7fdcdfff,0xfff303ff,0x7ec000bf,0x3fbaa7ff,0xffff501f,0xbffff00b,
    0x742fffb8,0x7fcc07ff,0x3f600fff,0x201fffff,0x3a607ffc,0xff983fff,
    0x7fffc4ff,0x7ffd404f,0x7fffe47f,0x2ffffc41,0x0f7fffe4,0x7fffff50,
    0x9fffff90,0xffffb300,0x4ffffb8f,0x4cbffff0,0xf706ffff,0x5e6c7fff,
    0x3ffa009a,0x3fffea6f,0x7ffffb05,0x8bffff00,0x3e20fffd,0xfff805ff,
    0x7ec40cff,0x3fffffff,0xf80bffd0,0x3a20ffff,0x7ec0ffff,0xb80dffff,
    0x4c5fffff,0x7e46ffff,0xff881fff,0x711bffff,0x1ffffffd,0x3fffffa0,
    0x3f2a20ae,0x447fffff,0x223fffff,0x7c3ffffc,0x74c2ffff,0x3f62ffff,
    0xff506fff,0x7ffc49ff,0x7ffdc2ff,0xfff801ff,0x23fff45f,0xb804fff9,
    0xcdffffff,0xfffffffd,0x220dffff,0x7ec03fff,0xffcdffff,0xff885fff,
    0xfeffffff,0x3fffffff,0xcfffffd8,0x206ffffe,0xfffffffb,0xffffffff,
    0x3ffe602f,0xffffffff,0xffffffff,0xfffffb86,0x6fffffcf,0xefffffc8,
    0x6fffffdb,0x6fffffe4,0xffffdcab,0x7fffe41f,0xfffffcff,0xffff004f,
    0x22fffc4b,0xd002fffb,0xffffffff,0xffffffff,0x7d43ffff,0x7fc401ff,
    0xffffffff,0xfff300ef,0xffffffff,0x2a07ffff,0xffffffff,0x7dc02fff,
    0xffffffff,0x803fffff,0xffffffe9,0xffffffff,0xfe880dff,0xffffffff,
    0xfffd01ff,0xffffffff,0xffff881f,0xffffffff,0xfffd04ff,0xffffffff,
    0x7fffc00d,0x90fffea5,0x64001fff,0xffffffff,0xfff53fff,0x07ffc87f,
    0xffffff50,0xa801bfff,0xfffffffe,0x401fffff,0xfffffff9,0xfd3003ff,
    0xffffffff,0x6c4007ff,0xffffffff,0x01dfffff,0x7ffffec4,0x2202ffff,
    0xfffffffe,0xff302fff,0xffffffff,0x3a201bff,0xffffffff,0x3fe000df,
    0x3ffee5ff,0x003fff42,0x7ffffecc,0x7ec40dff,0x005ffe84,0x3fffff66,
    0x7fd4003e,0xdfffffff,0xfffb1000,0x70003dff,0xfffffffb,0x32200017,
    0xefffffff,0x75c001bc,0x00dfffff,0xfffffd50,0xeb88019f,0xdfffffff,
    0xffff5001,0xf0005dff,0x554cbfff,0x0155540a,0x026a6200,0x0d5540a0,
    0x00d4c400,0x9aa99800,0x0d4c0001,0x35510000,0x98800001,0x200001aa,
    0x20001a98,0x0000aa98,0x00026a66,0x0009a988,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x0001ffff,0x7ffe4000,0x8000000f,0xccccccc9,0x000ccccc,
    0x04001351,0x98099988,0x7fdc009a,0xff9004ff,0xaa8807ff,0x00199981,
    0x09ffff70,0xfb0004c0,0x4001ffff,0x00fffffd,0x3fffae20,0xfffb02ce,
    0x0000001f,0x007fffe4,0x01ffff40,0x3ffffff2,0x01ffffff,0x7fffffec,
    0x640faa03,0xffb16fff,0x2e01bfff,0x9004ffff,0x2a07ffff,0x34ffffff,
    0x0001ffff,0x409ffff7,0xeffffeda,0x3ffe200c,0xff5005ff,0x64005fff,
    0xffffffff,0x7ffec0df,0x0000000f,0x003ffff2,0x07ffff90,0xffffffe8,
    0x01ffffff,0x3ffffff6,0x3ffd882f,0xd1dfff90,0xffffffff,0x9ffff703,
    0x3ffff200,0xfffffc83,0xfff9cfff,0xffb8000f,0xffd884ff,0xffffffff,
    0x3fffee03,0xfffe802f,0x3ff2005f,0xffffffff,0x3fff60ef,0x0000000f,
    0x003ffff2,0x3fffff98,0x7fffffc0,0x1fffffff,0xffffff70,0xfff983ff,
    0xffff903f,0xfffffffd,0xffb81fff,0xff9004ff,0xfffc87ff,0xefffffff,
    0x8000ffff,0x444ffffb,0xffffffff,0x205fffff,0x406ffffe,0x00fffffb,
    0xffffff50,0x9fffffff,0x007fffec,0xff900000,0x7f4001ff,0x2203ffff,
    0xeeeeffff,0x901eeeee,0x755bffff,0x07ffff30,0x3ffffff2,0xffffcaad,
    0x7fffdc5f,0xffff9004,0x7ffffc47,0xfffeb9be,0xb8000fff,0x7f44ffff,
    0xfcbeffff,0x303fffff,0x207fffff,0x03fffff8,0x37ffffa0,0xfffff931,
    0x03ffff63,0xfc800000,0xf9000fff,0x407fffff,0x000ffffa,0x03ffff60,
    0x07ffff30,0x0ffffff2,0x87ffffe6,0x004ffffb,0x6c7ffff9,0xfb05ffff,
    0x0001ffff,0x5c9ffff7,0x981effff,0x900fffff,0xb01fffff,0x400dffff,
    0xb06ffff8,0x3f65ffff,0x2aa20fff,0xaa980009,0x07fffe40,0x7ffffcc0,
    0x3ff203ff,0x7f40007f,0x2a6206ff,0x099cffff,0x81bffff2,0x2e4ffffc,
    0x9004ffff,0x7fc7ffff,0xff300fff,0x70001fff,0x7ec9ffff,0x3ee02fff,
    0x3fa02fff,0x7fcc5fff,0x2a001fff,0xf503ffff,0x3ff69fff,0xfffe88ff,
    0xfb800dff,0xf92fffff,0xe8801fff,0x3fffffff,0x017fff60,0x3ffe6620,
    0x2e0999ef,0xffffffff,0x3ffff26f,0x3fffe202,0x13fffee5,0x9ffffe40,
    0x405ffff8,0x000ffffd,0x24ffffb8,0x4405ffff,0x2a04ffff,0x3a1fffff,
    0x4004ffff,0x301dcba9,0x3f67ffff,0xffffafff,0x102fffff,0xfffffffb,
    0x1ffffb9f,0xfdfffc80,0x3fe03fff,0xaccb8cff,0x3ffff200,0x23ffffff,
    0xfffffffb,0x3fff26ff,0x7fffc01f,0x13fffee6,0x9ffffe40,0x404ffff9,
    0x000ffffc,0x24ffffb8,0x4401ba99,0x6c04ffff,0xff56ffff,0x00000dff,
    0xb2ffffc8,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,0x7ffd401f,
    0x03ffff9f,0xfffffff1,0x3209ffff,0xffffffff,0x3ffee3ff,0x26ffffff,
    0x400ffffc,0x3ee7fffe,0xf9004fff,0x3fea7fff,0x7fdc03ff,0xfb8000ff,
    0x20004fff,0x401ffffc,0xfbfffff8,0x0002ffff,0x7ffff400,0xffffffb0,
    0xffff7337,0xffff98bf,0xffea9adf,0xf100ffff,0xfff15fff,0x3ffe607f,
    0xffffffff,0x7ffe40ef,0x3fffffff,0x3ffffbaa,0x3ff24eee,0x7ff401ff,
    0x3fffee7f,0xffff9004,0x0ffffea7,0x01ffff90,0x9ffff700,0x3ffee000,
    0xfff7007f,0x0bffffff,0xffb80000,0x3fff65ff,0xfff981ff,0x3fffa1ff,
    0xfffe884f,0xfffb00ff,0x0ffffe2b,0x7fffffdc,0x5fffffff,0x7fffe654,
    0xf981cccf,0xff903fff,0xfff805ff,0x3fffee6f,0xffff9004,0x13fffe67,
    0x01ffffb0,0x9ffff700,0xffff9000,0x7ff4005f,0x00ffffff,0x3fea0000,
    0x3ff61fff,0x3ff205ff,0xffff13ff,0x7fffd40f,0xffffa80f,0x07ffff10,
    0x2b7ffff2,0xfffffeb9,0x0dffff02,0x07ffff30,0x80fffff2,0x2e4ffff8,
    0x9004ffff,0x3e27ffff,0x7f405fff,0xb8000fff,0x4004ffff,0x03fffffd,
    0x7ffffcc0,0x000003ff,0x13ffffea,0x403ffffb,0xf34ffff9,0xff809fff,
    0x7fc40fff,0x3ffe22ff,0x7db9503f,0x1bfffee0,0x4037fffc,0x903ffff9,
    0x640fffff,0x3ee3ffff,0xf9004fff,0x7ffc5fff,0xfff500ff,0xf70001ff,
    0x6c009fff,0x003fffff,0xdfffff70,0x7d400000,0x6c0effff,0x2200ffff,
    0xff55ffff,0xffe807ff,0x7ffec0ff,0x1ffffc44,0x7fff4000,0x0dffff07,
    0x07ffff30,0x17fffff2,0x83ffffe6,0x004ffffb,0x5c5ffff9,0x4c0dffff,
    0x00ffffff,0x4ffffb80,0xfffff700,0xfff80005,0x000001ff,0x1dfffff5,
    0x01ffffb0,0xf76ffff8,0xfd805fff,0x3fea0fff,0x7ffc40ff,0xfd80003f,
    0xfff80fff,0xfff9806f,0xffff903f,0xff979dff,0xffa89fff,0xff9004ff,
    0xffff85ff,0xfffcacef,0x8000ffff,0x004ffffb,0x005fffff,0x1ffffd00,
    0xff500000,0x3601dfff,0x7c00ffff,0xfff76fff,0xfffd805f,0x7ffff10f,
    0xfff33333,0x0001339f,0x207ffff2,0x9806ffff,0xf903ffff,0xffffffff,
    0x81ffffff,0x004ffffa,0xa85ffffb,0xffffffff,0x0fffffff,0x3fee0130,
    0xff8803ff,0xd00002ff,0x0001ffff,0xfffffa80,0x3fff600e,0x3ffe201f,
    0x7ffff55f,0x0ffffe80,0xfffffff5,0xffffffff,0x320009ff,0xff81ffff,
    0xff9806ff,0xfff903ff,0xfffffd3f,0xff301dff,0x3f600bff,0xffb81fff,
    0xcbffffff,0xfd30ffff,0x3fee07ff,0xffa803ff,0x3a00007f,0x0000ffff,
    0x3ffffea0,0x7ffec00e,0x3ffe603f,0xbffff34f,0x0fffff80,0xfffffff5,
    0xffffffff,0x372e29ff,0x3fff603e,0x6ffff80f,0x3ffff980,0x21ffff90,
    0x04fffffc,0x07ffffe2,0x1fffff10,0x3ffffaa0,0x1ffff91e,0x417fffe6,
    0x803ffffc,0x0007fffb,0x03ffffa0,0x7ffcc000,0xffb005ff,0x7fe40dff,
    0xffff13ff,0x3ffee01f,0xffff50ff,0xffffffff,0x229fffff,0xf107ffff,
    0x3fe0dfff,0xff9806ff,0xfff903ff,0x000a981f,0x80dfffff,0x807ffffd,
    0x7fe409a8,0xffff10ff,0x3ffffa0d,0x3ccca801,0x3ffa0000,0xd00000ff,
    0x400dffff,0x85fffffd,0x20fffffa,0x40effffd,0x0ffffff9,0xfffffff5,
    0xffffffff,0x7fff49ff,0x7ffecc3f,0xdffff02f,0x9ffff300,0x03ffff20,
    0xffff9000,0x36a237bf,0x003fffff,0x07fffe40,0x21bfffff,0x07ffffd9,
    0xe8000000,0x0000ffff,0xcfffffc8,0xaaaaaaaa,0xffffffb1,0xffffb79d,
    0xffff887f,0xfffcacef,0x4000ffff,0x703ffff8,0xb7ffffff,0x40dfffff,
    0x8806ffff,0x5ddfffff,0x003ffff2,0xfffff100,0xffffffff,0x0001ffff,
    0x20ffffc8,0xfffffffb,0x04ffffff,0x03dddd50,0x3fffa000,0xfe80000f,
    0xffffffff,0xfb4fffff,0xffffddff,0x20ffffff,0xfffffffc,0xffffdfff,
    0x7ffc4000,0x3fff603f,0xffffffff,0x3fffe01e,0xfffff006,0x7ffe4fff,
    0xfb80000f,0xffffffff,0x03ffffff,0xffffc800,0x7fffff40,0x0effffff,
    0x3ffff700,0x3ffa0000,0x4c0000ff,0xffffffff,0x4fffffff,0xfd1bfffb,
    0x1dffffff,0x7ffffdc0,0xfffaafff,0x7fc4000f,0x7fec03ff,0xefffffff,
    0x37fffc00,0xfffffc80,0x3ffff27f,0xfd300000,0xffffffff,0x00005fff,
    0x303ffff2,0xfffffffd,0x5c001dff,0x0001ffff,0x01ffffd0,0xffffc800,
    0xffffffff,0xfffb4fff,0x7ffffe4b,0xfffd5004,0x3ffea3bf,0x7fc4000f,
    0xfea803ff,0x004effff,0x400dffff,0x0efffffb,0x001ffff9,0x7ffe4400,
    0x0cefffff,0x3ff20000,0xfff900ff,0x0017ffff,0x01ffffb8,0xffffd000,
    0xfff80001,0xffffffff,0x004fffff,0x440002a2,0x10000019,0x4007ffff,
    0x40009a98,0x8006ffff,0xeeeb81a9,0x1000000e,0x00015553,0x77775c00,
    0x0cd4c400,0xffff7000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ffffd00,
    0xffff9800,0x5ffffb0f,0xfffffb80,0x7fffcc05,0x43ffff75,0x00fffffe,
    0x0fffffd8,0x007fffee,0x3ffffee0,0xeeffffff,0xffff301c,0xffffffff,
    0x9fffffff,0x017fffea,0xb97fffcc,0x0fffffff,0x7ffffc40,0xdddd34ff,
    0x7fd40009,0xff9004ff,0x7e43ffff,0x7fdc3fff,0x7e4007ff,0x3fee5fff,
    0x7fec04ff,0x7dc07fff,0xfff73fff,0x7fffcc3f,0x7ffcc04f,0x7ffdc3ff,
    0xffb8001f,0xffffffff,0x985fffff,0xffffffff,0xffffffff,0xfff54fff,
    0xff3005ff,0x3ffee5ff,0x5402ffff,0x4fffffff,0x00bffff5,0x27fffd40,
    0x7ffffdc0,0x7fffe41f,0x7ffffc43,0x3fffa001,0x3fffe62f,0x7ffffc06,
    0x3ff601ff,0xffff72ff,0xfffffc83,0x3ffffa01,0x1ffffb86,0xffffb800,
    0xffffffff,0x260effff,0xffffffff,0xffffffff,0xfff54fff,0xf9801fff,
    0xfff72fff,0xc809ffff,0x4fffffff,0x00bffff5,0x27fffd40,0x3ffffee0,
    0xffffc81f,0x4ffffd83,0xfffff300,0x07ffff88,0x3fffffe6,0x3fffe03f,
    0x3ffff70f,0x0dffffd0,0x07ffffee,0x007fffee,0x3ffffee0,0xffffffff,
    0x3e64ffff,0xffffffff,0xffffffff,0xffff54ff,0xff9809ff,0xffff72ff,
    0xfe80ffff,0x54ffffff,0x000bffff,0x027fffd4,0x3ffffff5,0x0fffff20,
    0x01ffffea,0x427fffe4,0x901ffffe,0xbfffffff,0x9bfffe20,0x980aaaa9,
    0x443fffff,0x704fffff,0x0003ffff,0x339ffff7,0xfffd7333,0x4ccc1fff,
    0xfffe9999,0x999999af,0xffffff50,0x7ffcc03f,0xfffff72f,0x3e203fff,
    0x4fffffff,0x00bffff5,0x27fffd40,0xffffff98,0x3ffff202,0xfffff883,
    0xffffe802,0x3ffffc81,0xffffffd0,0x3ffea0ff,0xff90004f,0x7fec1fff,
    0x3fee06ff,0xfb8001ff,0x7dc04fff,0xd002ffff,0x5003ffff,0xdfffffff,
    0x97fffcc0,0xfffffffb,0xffff503f,0x3ea9ffff,0x20005fff,0x984ffffa,
    0x02ffffff,0x81ffffe4,0x404ffffd,0x507ffff9,0xf109ffff,0xffffdfff,
    0x5ffff903,0x100cccc4,0x2abfffff,0x202fffff,0x4c1ffffb,0xfff700aa,
    0xffff009f,0x3ffa007f,0xffa801ff,0x03ffffff,0x2e5ffff3,0xfffdffff,
    0xfbfff905,0x3fea9fff,0x2a0005ff,0x7c44ffff,0x802fffff,0x503ffffc,
    0xb80fffff,0xf104ffff,0xff50dfff,0x7ffff5ff,0x41ffffd0,0x201ffffb,
    0xeafffffa,0x5c04ffff,0xff91ffff,0xfb85ffff,0xfc804fff,0xfd004fff,
    0xf5003fff,0xffffffff,0x5ffff301,0x3effffee,0xfffd07ff,0x2a9ffff7,
    0x0005ffff,0x893fffea,0x02fffffe,0x07ffff90,0x017ffffc,0x403ffffd,
    0x640ffffe,0xfffd7fff,0x8dffff0b,0x401ffffb,0xfffffffd,0x7dc00fff,
    0xfffdafff,0x2e3fffff,0xd804ffff,0xd003ffff,0x5003ffff,0xffffffff,
    0xffff30bf,0x27fffee5,0x7c41ffff,0xffff9fff,0x0bffff54,0x7fffd400,
    0xfffffd14,0x7ffe4007,0x3fff203f,0xffff305f,0xffffc80d,0xca7fff42,
    0x7fcc7fff,0x7ffdc4ff,0x7ffc401f,0x02ffffff,0xffffffb8,0xffffffff,
    0x9ffff70f,0xfffff880,0xffffd001,0xffff5003,0x83fffff7,0xf72ffff9,
    0xfffd1fff,0x8efffa87,0xff54ffff,0x54000bff,0xffd4ffff,0xc8007fff,
    0x2603ffff,0xf707ffff,0xfa807fff,0x3fe23fff,0xffff52ff,0x17fffdc3,
    0x007fffee,0x3fffffee,0xfff7005f,0xf7359fff,0x3ee9ffff,0x3a604fff,
    0x000fffff,0x003ffffd,0xf93ffff5,0xff98dfff,0xffff72ff,0xc8bfff71,
    0xfff8cfff,0xbffff54f,0x7ffd4000,0xfffffddf,0x7fe4005f,0x7ff403ff,
    0xfffe82ff,0x7ffc400f,0x3fffea5f,0x47ffff10,0x5c0ffffd,0xb001ffff,
    0x01ffffff,0x3ffffee0,0x5ffffa83,0x99dffff7,0xffffddb9,0x7f400dff,
    0xfa801fff,0xfff89fff,0x3ffe63ff,0x1ffff72f,0xff8ffff3,0xffff8aff,
    0x0bffff54,0x7fffd400,0xffffffff,0x3ff2002f,0x7fe403ff,0x7ffc45ff,
    0xffff005f,0x237ffe4f,0x3fa5fffe,0xfffb87ff,0xfffd001f,0x7dc00dff,
    0x3fe05fff,0xffff76ff,0xffffffff,0x001dffff,0x00fffff4,0xa8ffffd4,
    0xf30fffff,0x3fee5fff,0x5ffff0ff,0x223fffe6,0xff54ffff,0x54000bff,
    0xffffffff,0x00ffffff,0x07ffff90,0x0fffff98,0x00ffffee,0xf87fffec,
    0x7fe44fff,0xbffff17f,0x03ffff70,0xffffff70,0x3fee009f,0x3ffa04ff,
    0xfffff76f,0xffffffff,0xe8003fff,0xa801ffff,0x3f61ffff,0xfff35fff,
    0x3fffee5f,0x2e9fffd0,0xfff16fff,0x3fffea9f,0x3fea0005,0xfcffffff,
    0x9004ffff,0xd007ffff,0x7f45ffff,0xf7000fff,0xfff35fff,0xffffa85f,
    0x83ffffa9,0x401ffffb,0xfffffff8,0xffb801ff,0x3ffa03ff,0xfffff77f,
    0xffffffff,0xfd00019f,0xf5003fff,0x7fc43fff,0xfff9afff,0x1ffff72f,
    0x7edbffee,0xffff14ff,0x17fffea9,0xffffa800,0xfff73fff,0xff9003ff,
    0xff7007ff,0x3ffe2bff,0x3fe6005f,0xffffbcff,0x5ffffc40,0xb81ffffc,
    0x6c01ffff,0xffffffff,0xfffb806f,0x3fffa02f,0x9dffff77,0x13579999,
    0x7fff4000,0xfffa801f,0x7fffdc1f,0x72ffffae,0x3e61ffff,0xffff8fff,
    0x29ffff12,0x005ffffa,0x3ffffea0,0x7ffff44f,0xffffc806,0xffff8803,
    0x2ffffb8f,0x77fffc00,0xfd06fffd,0xffffbbff,0x07fffee0,0xdfffffa8,
    0x404fffff,0x201ffffb,0xff77fffe,0x000009ff,0x01ffffe8,0x81ffffa8,
    0xffeffffe,0xffff72ff,0x33fffe21,0xff10ffff,0x3ffea9ff,0x3ea0005f,
    0xfa84ffff,0x6404ffff,0xb003ffff,0xffd5ffff,0xffb000ff,0x09ffffff,
    0x3fffffee,0xfff705ff,0x3ffe203f,0xffff96ff,0x7ffdc03f,0x3fffa01f,
    0x09ffff77,0xffe80000,0xffa801ff,0xfff981ff,0x72ffffff,0x7f41ffff,
    0x26ffffff,0xf54ffff8,0x4000bfff,0x205ffffa,0x01fffffd,0x00fffff2,
    0x7f7fffd4,0xb8004fff,0xffffffff,0xfffff301,0x3ee07fff,0xffb01fff,
    0x3fe23fff,0x3ee06fff,0x3fa01fff,0xffff77ff,0xe8000009,0xa801ffff,
    0xfb01ffff,0x5fffffff,0xc83fffee,0x4fffffff,0x553fffe2,0x0005ffff,
    0x813fffea,0x06fffff9,0x00fffff2,0x7fffffc4,0x98001fff,0x7fffffff,
    0x7fffffc0,0xfff701ff,0xffff503f,0xffffa89f,0xffff704f,0xbffff403,
    0x004ffffb,0x7fff4000,0xfffa801f,0xffff101f,0x3ee5ffff,0x3fe60fff,
    0x222fffff,0xff54ffff,0x54000bff,0x6404ffff,0x904fffff,0x4007ffff,
    0xfffffffd,0xfff10007,0xd80bffff,0x07ffffff,0x107fffee,0x20dfffff,
    0x81fffffd,0x201ffffb,0xff77fffe,0x000009ff,0x01ffffe8,0x01ffffa8,
    0x3fffffee,0x1ffff72f,0x7fffffc4,0x3fffe20f,0x3bffff54,0x33333333,
    0x7ffd4333,0x7ffc404f,0xffc81fff,0x3ea003ff,0x04ffffff,0x3ffffa00,
    0x7fdc03ff,0x2e05ffff,0x7ec1ffff,0xf102ffff,0xf70dffff,0x7f403fff,
    0xffff77ff,0xe8000009,0xa801ffff,0x7401ffff,0x72ffffff,0xfe81ffff,
    0x7c46ffff,0xfff54fff,0xffffffff,0x23ffffff,0x804ffffa,0x86fffffb,
    0x003ffffc,0x7ffffffc,0x3ff20001,0x4c01ffff,0x03ffffff,0xa87fffee,
    0x405fffff,0x44fffffb,0x201ffffb,0xff77fffe,0x000009ff,0x01ffffe8,
    0x01ffffa8,0x7fffffcc,0x81ffff72,0x44fffffc,0xf54ffff8,0xffffffff,
    0xffffffff,0x13fffea3,0x7fffff40,0x1ffffe43,0x3ffff200,0x7d40006f,
    0xf007ffff,0x403fffff,0xf11ffffb,0x001fffff,0x43fffffd,0x201ffffb,
    0xff77fffe,0x000009ff,0x01ffffe8,0x01ffffa8,0x2fffffc8,0xa81ffff7,
    0x442fffff,0xff54ffff,0xffffffff,0x3fffffff,0x013fffea,0x7fffffcc,
    0x0fffff20,0xfffff300,0xff880007,0xfb005fff,0xfb80ffff,0xfff91fff,
    0x3e6005ff,0x3ee6ffff,0x3fa01fff,0xffff77ff,0xe8000009,0xa801ffff,
    0x8801ffff,0xf72fffff,0xff881fff,0x7fc40fff,0xffff54ff,0xffffffff,
    0x2a3fffff,0x2004ffff,0x25fffffd,0x003ffffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfc800000,
    0x70000fff,0xffffffff,0x59ddffff,0x3ffff700,0x3fffffea,0xffffffff,
    0xffff75ff,0xffffffff,0x5cffffff,0xffffffff,0x003defff,0xfffffff1,
    0xffffffff,0x3fee1fff,0xffffffff,0x000beeff,0x7ffffdc0,0x7ffdc001,
    0xfff7004f,0x3ffffa7f,0xa8666622,0xcccccccc,0x3ccccccc,0x7dc33331,
    0xfffcdfff,0xff70000f,0xffffffff,0x1dffffff,0x8ffffdc0,0xfffffffa,
    0xffffffff,0xfffff75f,0xffffffff,0x7dcfffff,0xffffffff,0x01efffff,
    0x7fffffc4,0xffffffff,0xff70ffff,0xffffffff,0x09ffffff,0x7ffff400,
    0x7fdc004f,0xff7004ff,0x3fffa7ff,0x3ffff62f,0xffffff70,0xffffffff,
    0x3ffff2df,0x9bffff71,0x0001ffff,0x3fffffee,0xffffffff,0xf701ffff,
    0x3fea3fff,0xffffffff,0x75ffffff,0xffffffff,0xffffffff,0x7fffdcff,
    0xffffffff,0x100dffff,0xffffffff,0xffffffff,0x3ffee1ff,0xffffffff,
    0x04ffffff,0xfffff980,0x3ee000ff,0xf7004fff,0x3ffa7fff,0x3fff62ff,
    0xfffff70f,0xffffffff,0x3fff2dff,0xbffff71f,0x001ffff9,0x3ffffee0,
    0xffffffff,0x707fffff,0x3ea3ffff,0xffffffff,0x5fffffff,0xfffffff7,
    0xffffffff,0x7ffdcfff,0xffffffff,0x04ffffff,0xfffffff1,0xffffffff,
    0x3fee1fff,0xffffffff,0xffffffff,0x7ffe4003,0x2003ffff,0x004ffffb,
    0x3a7ffff7,0x3f62ffff,0xfff70fff,0xffffffff,0x3f2dffff,0xfff71fff,
    0x1ffff9bf,0x3ffee000,0x999999df,0xffffffb9,0x1ffffb81,0x33bffff5,
    0x33333333,0x3fffee13,0x9999999c,0x2e199999,0x999cffff,0xffffdaa9,
    0x333301ff,0xd3333333,0x5cbfffff,0x999dffff,0xfffc9999,0x7fc005ff,
    0x06ffffff,0x13fffee0,0x9ffffdc0,0x362ffffe,0xdd50ffff,0xdddddddd,
    0x323fffff,0xff51ffff,0xffff9bff,0x3fee0001,0xffd004ff,0xfff709ff,
    0x3fffea3f,0xfff70004,0xfb80009f,0x74c04fff,0x0006ffff,0x37ffffdc,
    0x013fffee,0x01ffffe2,0xffffffa8,0xf7001fff,0x2e009fff,0xffd3ffff,
    0x666545ff,0xfff88004,0x33332a3f,0x99ffff10,0x2601ffff,0x3ee09999,
    0xf7004fff,0xff70dfff,0x3ffea3ff,0xff70004f,0xb80009ff,0x9804ffff,
    0x003fffff,0xffffff50,0x4ffffb81,0x1ffffd00,0x3ffff600,0x004ffffb,
    0x009ffff7,0x6cffffee,0x0001ffff,0x027ffec0,0x32bfffe0,0xfd80ffff,
    0x3ee0efff,0xf3004fff,0xff70dfff,0x3ffea3ff,0xff70004f,0xb80009ff,
    0x9004ffff,0x000bffff,0x3ffffff1,0x09ffff70,0x01bfffa0,0x46ffffc4,
    0x800fffff,0x004ffffb,0x367ffff7,0x0000ffff,0x03fffea0,0x93fffd00,
    0xfc81ffff,0x7dc1ffff,0xf7004fff,0xff70bfff,0x3ffea3ff,0xff70004f,
    0xb80009ff,0x1004ffff,0x800dffff,0x3fffffe8,0x09ffff70,0x09ffff30,
    0x4bfffee0,0x803ffffc,0x004ffffb,0x327ffff7,0x00007fff,0x00bfffe2,
    0x323bbae0,0x3f20ffff,0xfb81ffff,0xe9804fff,0xfb84ffff,0xfff51fff,
    0x3ee0009f,0x9999cfff,0x19999999,0x027fffdc,0x00fffff0,0x4fffffd8,
    0x13fffee0,0xfffffb98,0xffffd001,0x037fffcc,0x4effffdc,0x99999999,
    0xf73ffffc,0x40000fff,0x0005fffd,0x43ffff20,0x01fffffb,0x55bffff7,
    0xff975555,0xf701ffff,0x3fea3fff,0xeeeeefff,0x7dc6eeee,0xffffffff,
    0xffffffff,0x13fffee0,0x0ffffe80,0xfffff700,0xffffb80b,0xffffffff,
    0x001fffff,0xe89ffff3,0x5c01ffff,0xffffffff,0xffffffff,0xfff53fff,
    0x3e60000d,0xa8002fff,0xffc9eeee,0xffffa8ff,0x3ffee02f,0xffffffff,
    0x2fffffff,0x23ffff70,0xfffffffa,0x7fffffff,0x7fffffdc,0xffffffff,
    0x3fee0fff,0x3f6004ff,0xfa801fff,0x400effff,0xfffffffb,0xffffffff,
    0x3ff6000f,0x7ffe41ff,0x7ffdc04f,0xffffffff,0xffffffff,0x00bfff53,
    0x1ffff200,0x7fffdc00,0xfaffffc9,0x5c02ffff,0xffffffff,0xffffffff,
    0x3ffee01e,0xfffff51f,0xffffffff,0xffffb8ff,0xffffffff,0x2e0fffff,
    0x2004ffff,0x402ffffd,0x1ffffff9,0xfffffb80,0xffffffff,0x8803ffff,
    0xf886ffff,0x2e00ffff,0xffffffff,0xffffffff,0xfff33fff,0xff10000b,
    0x2e0009ff,0xffc9ffff,0x4fffffff,0xfffffb80,0xffffffff,0x7dc00adf,
    0xfff51fff,0xffffffff,0xffb8ffff,0xffffffff,0x0fffffff,0x013fffee,
    0x02ffffe8,0x3fffffa2,0xffff7002,0xffffffff,0x0bffffff,0x04ffffb8,
    0x407ffffd,0xfffffffb,0xffffffff,0xff13ffff,0xf900009f,0x20001fff,
    0xfc9ffffb,0xffffffff,0x7ffdc00f,0xfffeccef,0xf7001eff,0x3fea3fff,
    0xaaaaadff,0x7dc2aaaa,0x40004fff,0x004ffffb,0x807ffffe,0x04fffffd,
    0x37fffee0,0xa9999999,0x02fffffd,0x407ffffa,0x206ffffb,0x004ffffb,
    0x7c7ffff7,0x777643ff,0x7fffc00e,0x77775c05,0x93ffff70,0xffffffff,
    0xffb809ff,0x7fec44ff,0xfb802fff,0xfff51fff,0x3ee0009f,0x40004fff,
    0x004ffffb,0x403ffffe,0x05fffffc,0x27fffdc0,0x5ffffb80,0xdfffff30,
    0xffdddddd,0x3ee03fff,0xf7004fff,0x7ffc7fff,0x07fffec2,0x05ffff50,
    0x01ffffc8,0x7fffffe4,0x200fffff,0xd04ffffb,0x805fffff,0xf51ffffb,
    0x20009fff,0x004ffffb,0x27fffdc0,0x7ffff880,0xdfffff50,0xfffb8001,
    0x3ffe004f,0xfffc80ff,0xffffffff,0x04ffffff,0x009ffff7,0xe8ffffee,
    0x7ffec2ff,0x3fff200f,0xffffc807,0x7fffe401,0x5ffffadf,0x13fffee0,
    0x7fffffc4,0x3fffee01,0x09ffff51,0x3fffee00,0x7fdc0004,0xff7004ff,
    0xfff30bff,0x70001fff,0x4009ffff,0xf82ffffe,0xffffffff,0xffffffff,
    0xfffb80ff,0xfff7004f,0x20ffec7f,0x200ffffd,0xc804fffe,0x6401ffff,
    0x3f65ffff,0xff702fff,0x7fd409ff,0x3ee06fff,0xfff51fff,0x3ee0009f,
    0x40004fff,0x804ffffb,0x43fffff8,0x2fffffe8,0xffff7000,0x3ffe2009,
    0x7ffd41ff,0xffffffff,0xffffffff,0x4ffffb83,0x7ffff700,0x3f606654,
    0x3fe607ff,0xffc802ff,0x7fe401ff,0x3ffe20ff,0xffff706f,0xffffd809,
    0xffff703f,0x13fffea3,0x7fffdc00,0x7fdc0004,0x7e4404ff,0xffd86fff,
    0x20003fff,0x004ffffb,0x81fffff7,0xaacffffd,0xcaaaaaaa,0xfb86ffff,
    0xf7004fff,0xb8007fff,0x3ffee06f,0x9000000f,0xfc81ffff,0xffb83fff,
    0x7fc404ff,0xfb81ffff,0xfff51fff,0x3ee0009f,0x9999cfff,0x99999999,
    0x9ffff709,0xf7533333,0xb83fffff,0x99efffff,0x99999999,0xfff70999,
    0x333333bf,0xfffffb53,0x7ffff88d,0x3fffe200,0x7fffdc1f,0xffff7004,
    0x03bbbae7,0xffc817fa,0x2000007f,0x440ffffc,0x5c0fffff,0xa804ffff,
    0xb86fffff,0xff51ffff,0x2e0009ff,0xffffffff,0xffffffff,0xffff73ff,
    0xffffffff,0x909fffff,0xffffffff,0xffffffff,0x3fee9fff,0xffffffff,
    0xffffffff,0x7fffe42f,0x7ffec004,0x7fffdc4f,0xffff7004,0x03ffff27,
    0x7ec05ff7,0x000005ff,0x203ffff2,0x5c4ffffb,0xb004ffff,0xb87fffff,
    0xff51ffff,0x2e0009ff,0xffffffff,0xffffffff,0xffff73ff,0xffffffff,
    0x901bffff,0xffffffff,0xffffffff,0x3fee9fff,0xffffffff,0xffffffff,
    0x1fffff83,0x7fffd400,0x3fffee0f,0xffff7004,0x83ffff27,0x7f405ffd,
    0x000004ff,0x403ffff2,0x2e1ffffe,0x1004ffff,0x41ffffff,0xf51ffffb,
    0x20009fff,0xfffffffb,0xffffffff,0xfff73fff,0xffffffff,0x6405dfff,
    0xffffffff,0xffffffff,0xfff74fff,0xffffffff,0x09ffffff,0x00dffff5,
    0x8fffffe0,0x004ffffb,0x327ffff7,0x3f20ffff,0x4ffff804,0x3f200000,
    0xff500fff,0x7ffdcbff,0x3fea004f,0x3fee5fff,0xffff51ff,0x3fee0009,
    0xffffffff,0xffffffff,0xffffff73,0x59bdffff,0xfffff900,0xffffffff,
    0x29ffffff,0xfffffffb,0xdeffffff,0x3ffff602,0xfff90003,0x7fffdcdf,
    0xffff7004,0x83ffff27,0xfff88018,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x00000002,0x2a600730,0xa980001a,0x4cc401ab,0x4ccc4019,0x55d54c00,
    0xaa880009,0x5310000a,0x98803557,0x20aa2099,0x22009998,0x26201999,
    0x00000199,0x01333331,0x204ccccc,0x99999998,0x21999999,0x0000cffa,
    0x5fea8000,0xffffb710,0x44001bff,0xfffffffd,0xffffc80b,0x1bfffa00,
    0x7fffffdc,0xfa802dff,0x03ffffff,0xfffffb50,0x3f609fff,0xffff95ff,
    0x03fffe4b,0x201ffffd,0xf007fffd,0xf8805fff,0xf705ffff,0xfd81ffff,
    0xffffffff,0xf51fffff,0x0003bfff,0xfffc8800,0xffff985f,0x3fffffff,
    0xfffffb80,0x40efffff,0x200ffffc,0x7446fffe,0xffffffff,0xfb103fff,
    0xffffffff,0x7ffdc01b,0xffffffff,0xadfffd85,0x2a4fffff,0xf881ffff,
    0xff02ffff,0x3fe009ff,0xffa802ff,0x7fcc2fff,0xffd82fff,0xffffffff,
    0xff51ffff,0x005dffff,0xfffd9800,0x7fcc5fff,0xffffffff,0x3ee04fff,
    0xffffffff,0x3f20efff,0x3fa00fff,0x7ffec6ff,0xffffffff,0xfffe81ff,
    0xffffffff,0xfffff306,0xffffffff,0xfffffd89,0x7c1fffff,0xffa83fff,
    0xffa84fff,0xfff001ff,0x3ff6005f,0x3ffa0eff,0xfffb04ff,0xffffffff,
    0x3fea3fff,0xbfffffff,0x3faa0000,0x5fffffff,0x3fffffe2,0xffffebbc,
    0xffff882f,0xfffcaadf,0x3fff23ff,0x3fffa00f,0x33fffe26,0xffff9309,
    0xfffffa8b,0xfffffb9d,0xcffffd83,0xffffdb9a,0x7ffffec7,0xfd87feff,
    0xfffc86ff,0xfffc86ff,0x3fffe007,0xfffd1002,0x3fffee9f,0xdddd900e,
    0xffffdddd,0x7fed41df,0xcfffffff,0xfff71001,0x7dffffff,0x77fffdc1,
    0xeffffb80,0x1ffffe40,0x93ffffcc,0x7401ffff,0x3fea6fff,0x9bfd00ff,
    0x0ffffe85,0x447fffd8,0xfd05fffd,0x7fec1fff,0x0530cfff,0xe81ffff5,
    0x40ffffff,0x2004fffe,0x2002ffff,0xfbfffff9,0x0001ffff,0x07fffffa,
    0x7ffff5c4,0x302dffff,0xfffffff9,0x3f6039ff,0x3f601fff,0x7ffc3fff,
    0x337f606f,0x03ffff22,0x2a6fffe8,0x001dffff,0x82ffffd4,0x103ffffa,
    0x3fff2015,0x3ffff60f,0xffff1006,0x7ffffc45,0x3ffe62ff,0x3ffe002f,
    0x7fdc002f,0x3fffffff,0x3fff6000,0xf93001ff,0xdfffffff,0x3ffffa65,
    0x00aeffff,0x202ffffc,0x224ffff9,0x0004ffff,0x401ffff9,0x3e26fffe,
    0xbdffffff,0x7fffdc00,0x9ffff102,0xffeb9800,0x3fff61ff,0x3ff6003f,
    0x3bffea4f,0x3fee4fff,0xcccca87f,0xcdffffcc,0x3a03cccc,0x6fffffff,
    0x3fff2000,0xb88003ff,0x5ffffffe,0xfffffff5,0x3fe60019,0xfff803ff,
    0x3fffea6f,0xfff90003,0x7fff401f,0x7fffff46,0x80ceffff,0xcccffffc,
    0xffffcccc,0x7fedcc05,0x20ffffff,0x002ffffd,0xfc9fffee,0x26fffaff,
    0xfc85fffd,0xffffffff,0x6fffffff,0x3ffffe20,0xf70000ff,0x0009ffff,
    0xbffffd30,0x0fffffea,0x3fffee00,0x7fffe802,0x00bfffee,0x0ffffe40,
    0x88dffff0,0xfffffffe,0x3a0cffff,0xffffffff,0x6fffffff,0xfffffc88,
    0x0fffffff,0x007ffff6,0xd1ffff88,0x3fffafff,0x82ffff88,0xfffffffc,
    0xffffffff,0x7ffdc06f,0xf50004ff,0x000bffff,0xfffffb88,0xfffff55f,
    0x7dc005bf,0xff802fff,0x3ffee7ff,0xff90003f,0x7ffc03ff,0xffeb886f,
    0xffffffff,0x3fffffa5,0xffffffff,0x7ff4c6ff,0xfdbeffff,0x3ff60fff,
    0x7f4000ff,0x5fff8bff,0xff55fff9,0xfff901ff,0xffffffff,0x80dfffff,
    0x0ffffffe,0x7fffcc00,0x36a0006f,0xffffffff,0xffffff35,0xa8017fff,
    0xf803ffff,0x3fea5fff,0xf90004ff,0x7fc03fff,0x75cc06ff,0xffffffff,
    0x57ffffb2,0x55555555,0x7fffc455,0x3fee0adf,0x3fff60ff,0x7fdc000f,
    0x33fffaef,0xfff99fff,0x3ffff20b,0xffffffff,0x2e06ffff,0x5fffffff,
    0x3fffe200,0x644000ef,0xffffffff,0x7fdc41df,0xdfffffff,0xbffff302,
    0x4ffff980,0x817fffe2,0xf90abcea,0x3e203fff,0x22006fff,0x4fffffca,
    0x003ffff9,0x13fffea0,0xb07fffe4,0x8001ffff,0xffdffff9,0x3fbffe1f,
    0xf8003fff,0x4c002fff,0xffffffff,0xffe8803f,0x2a000fff,0xfffffffd,
    0xea800cff,0xffffffff,0x7fffc0cf,0x3fffa01f,0x7ffffc2f,0x3ffffd00,
    0x40bfffea,0x266ffffa,0x3e605dca,0xfff54fff,0x2af6207f,0x07fffe41,
    0x20ffffd8,0x000ffffd,0xffffffe8,0x7ffffec7,0xff8000ff,0x7f4002ff,
    0xffffdfff,0x7fff401f,0xff3001ff,0xdfffffff,0x3f660007,0xffffffff,
    0x3bffff24,0x6ffffc81,0x0dffffc8,0x337fffd4,0xf10dffff,0x7f4dffff,
    0xff503fff,0x7fffc7ff,0xffffd81f,0x0fffff23,0x87ffffea,0x000ffffd,
    0xffffffc8,0x7ffffdc5,0xfff0006f,0x7fe4005f,0xffffb5ff,0x7fffec0d,
    0x999999bf,0xffff5099,0x0003bfff,0x3ffff220,0x3fe25fff,0xeccdffff,
    0x881fffff,0xccffffff,0x23fffffe,0xbdfffff8,0xffffffca,0x3ffffee6,
    0xffeb98ac,0x3ffee1ff,0xffdaadff,0x3fee0fff,0xfc98aeff,0x361fffff,
    0x8000ffff,0x3ffffff9,0x7fffffcc,0xffff0003,0x3ffea005,0xffff10ff,
    0xffff509f,0xffffffff,0x3feabfff,0x0000cfff,0x3fffae00,0x7fffcc5f,
    0xffffffff,0x3ffee03f,0xffffffff,0xffffd85f,0xfdffffff,0x7ffec6ff,
    0xffffffff,0x7fec43ff,0xffffffff,0x7ffc42ff,0xffffffff,0x3f62ffff,
    0xf0000fff,0xf03fffff,0x001fffff,0x00bfffe0,0x0fffffe2,0x83fffff7,
    0xfffffffa,0xffffffff,0x017dff55,0x6d400000,0xffe985ff,0xffffffff,
    0xffffa802,0x0effffff,0xfffffe88,0xfffc8eff,0xfffffd86,0x04ffffff,
    0x3ffffff2,0xf502ffff,0xdfffffff,0x6cbffff3,0x0000ffff,0x20fffff9,
    0x006ffffd,0x00bfffe0,0x41bffff6,0x20effffd,0xfffffffa,0xffffffff,
    0x00005b55,0x05c98000,0x3ffffb2a,0x362000ce,0x2effffff,0x7fffec40,
    0xdfff90ce,0x3ffff660,0xa801dfff,0xcffffffd,0x7fff4c01,0x3fff24ff,
    0x1ffffb0f,0x3ffea000,0xffff705f,0x55540007,0x7ffd400a,0xfff100ff,
    0x7ffd4bff,0xffffffff,0x0005ffff,0x00000000,0x00004d44,0x0004d4c4,
    0x80000544,0x00019a99,0x00026aa2,0x00001531,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x30019998,0x26623333,0x00d54409,
    0x4c402aa2,0x1aa88099,0x0aaa9800,0x202aa800,0xaaaaaaa9,0xaaaaaaaa,
    0x3bbbae2a,0x1fffff10,0x21bfffea,0x3001bcb9,0x2eeeeea1,0x2aaa1bbb,
    0x3333302a,0x33333333,0x01333333,0x00000000,0xfffc8000,0x7ffc402f,
    0x29fffd5f,0x3fffffe9,0x77ffffdc,0x937ffdc2,0x05ffffff,0x13fffe20,
    0xc81ffa00,0xffffffff,0xffffffff,0x43ffff26,0x50fffff8,0x7ccdffff,
    0x1cffffff,0x3ffa3f50,0x23ffffff,0x4c3ffffa,0xffffffff,0xffffffff,
    0x00003fff,0x00000000,0x037fffc4,0x74bfffee,0xfffacfff,0xf93fffff,
    0x3fffffff,0x6c77ffdc,0xffffffff,0xffffb804,0x3fec000f,0xffffff90,
    0xffffffff,0x7ffe4dff,0xfffff10f,0x5bfffea1,0xfffffffb,0xebabefff,
    0xffffd1ff,0xfb87ffff,0x7ffcc6ff,0xffffffff,0xffffffff,0x00000003,
    0xfd800000,0x3fa00fff,0x3fffa7ff,0xfffffffe,0xffffefff,0x70ffffff,
    0xfffdffff,0x3fffffff,0xffffff80,0xdf915c03,0xffff91c4,0xffffffff,
    0x7e4dffff,0xfff10fff,0x3ffea1ff,0xfffffd6f,0xffffffff,0x3fa3ffff,
    0x3fffffff,0x262fffc8,0xffffffff,0xffffffff,0x00003fff,0x00000000,
    0x03ffffa8,0x749ffff3,0x9befffff,0xffffffea,0xffffd9be,0xfffff73f,
    0xfff735bf,0x7fdc09ff,0x7c06ffff,0xd9dfcaef,0xffff91ff,0xffffffff,
    0x7e4dffff,0x3ffe0fff,0xffff50ff,0x3bbfffab,0xffffffff,0xffd1ffff,
    0x07ffffff,0x0001bff2,0x00000000,0x20000000,0xf906ffff,0x7ff41fff,
    0x7fcc0fff,0x7dc0ffff,0xfff74fff,0xfff707ff,0x7fff40bf,0xf302ffff,
    0xffffffff,0x000009ff,0x7ff47fb8,0x3fffe26f,0x54415fd4,0xfffffffd,
    0x2aaaa62f,0x3200aaaa,0x000000cc,0x00000000,0x7e400000,0xfff81fff,
    0x7ffff45f,0x5fffff02,0x2bffff10,0x205ffffb,0xf506ffff,0xdfff9dff,
    0x3fff6a20,0x02ceffff,0x37ec0000,0xff17fff2,0x100365ff,0x017bffd7,
    0x00000000,0x00000000,0x40000000,0x544ffff8,0x7f42ffff,0xfff00fff,
    0xfff101ff,0x3fffeebf,0x1ffffa03,0x7c5ffff4,0xfc801fff,0x000006ff,
    0xf70ffea0,0xfffd89ff,0x00000001,0x00000000,0x00000000,0xfb000000,
    0xfffd8fff,0x07fffe87,0xf81ffffe,0xfff75fff,0x7fff405f,0x0ffffa87,
    0xb80bfffb,0xb84ffeff,0xeeeeeeee,0xeeeeeeee,0x261bff65,0x775c2eee,
    0x0000000e,0x00000000,0x00000000,0x50000000,0x3e25ffff,0xffe84fff,
    0x3fffa07f,0x57fffe06,0x201ffffb,0xfe87fffe,0x3ffea5ff,0x1fff501f,
    0xffc87ffd,0xffffffff,0x26ffffff,0x00000cfc,0x00000000,0x00000000,
    0x00000000,0x7fc00000,0xffff75ff,0x0ffffd01,0xf037fff4,0x3feebfff,
    0x3ffa01ff,0x7fffcc7f,0x427fffc2,0xff32fff8,0x7fffe43f,0xffffffff,
    0x0626ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x47fffe40,
    0xfd05fffe,0x7ff40fff,0x3fffe06f,0x03ffff75,0x363ffff4,0xffc86fff,
    0x45e980ff,0x7ffe41ed,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf7ffff10,0x3fa05fff,0x3ffa07ff,0x3fffe06f,
    0x03ffff75,0xf33ffff4,0xff107fff,0x102209ff,0x333332a0,0xcccccccc,
    0x00003ccc,0x00000000,0x00000000,0x00000000,0x20000000,0xfffffffd,
    0x1ffffa07,0x206fffe8,0xff75ffff,0x7ff403ff,0x3ffff67f,0x1ffffb00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,
    0x3a04ffff,0x3fa07fff,0x3ffe06ff,0x3ffff75f,0x33ffff40,0x4c401333,
    0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,0xf0000000,
    0x03ffffff,0xd03ffff4,0x7fc0dfff,0xffff75ff,0x3ffff403,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1bfffff2,
    0x40ffffd0,0x3e06fffe,0xfff75fff,0x7fff403f,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc40,0x3ffff402,
    0x40dfffd0,0xff75ffff,0x7ff403ff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffd800,0x07fffe80,0xf81bfffa,
    0xfff75fff,0x7fff403f,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_39_usascii_x[95]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_39_usascii_y[95]={ 31,6,6,5,3,5,5,6,5,5,5,9,26,19,
26,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,34,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15, };
static unsigned short stb__arial_bold_39_usascii_w[95]={ 0,6,14,20,17,29,24,6,10,9,13,18,7,10,
6,11,17,12,18,17,19,18,18,17,17,17,6,7,18,18,18,19,33,26,22,23,22,20,18,25,21,6,17,24,
19,25,21,25,20,26,24,21,21,21,25,33,24,25,21,9,11,10,18,21,9,18,18,18,19,18,13,19,17,6,
10,18,6,27,17,20,19,19,13,18,12,17,19,28,20,19,17,12,4,13,19, };
static unsigned short stb__arial_bold_39_usascii_h[95]={ 0,25,9,27,32,28,27,9,34,34,13,19,11,6,
5,27,27,26,26,27,26,26,27,25,27,27,19,25,20,13,20,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,29,25,27,25,26,25,25,25,25,25,33,27,33,15,4,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,8, };
static unsigned short stb__arial_bold_39_usascii_s[95]={ 253,209,127,1,120,165,22,249,1,12,86,
197,119,162,249,47,99,242,1,224,59,79,167,224,186,59,242,216,20,100,1,
205,54,160,137,117,92,71,52,141,187,247,187,222,202,176,154,215,111,138,20,
77,132,145,1,27,68,225,115,110,241,99,67,183,173,135,20,60,39,116,98,
204,93,61,88,1,45,21,49,39,125,167,154,97,112,79,1,168,216,195,237,
41,36,22,142, };
static unsigned short stb__arial_bold_39_usascii_t[95]={ 1,117,164,36,1,1,36,117,1,1,164,
143,164,164,127,36,36,36,64,36,64,64,36,117,36,36,117,117,143,164,143,
64,1,117,117,36,117,117,117,36,117,91,64,91,91,91,91,1,91,1,117,
36,91,64,91,91,91,64,117,1,1,1,164,164,164,143,64,143,64,143,64,
36,91,91,1,117,117,164,164,143,64,64,143,143,64,143,164,143,143,1,143,
1,1,1,164, };
static unsigned short stb__arial_bold_39_usascii_a[95]={ 155,186,265,311,311,497,403,133,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,186,186,326,326,326,341,545,403,403,403,403,373,341,434,
403,155,311,403,341,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,186,155,186,326,311,186,311,341,311,341,311,186,341,
341,155,155,311,155,497,341,341,341,341,217,311,186,341,311,434,
311,311,279,217,156,217,326, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_39_usascii(stb_fontchar font[STB_FONT_arial_bold_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_39_usascii_s[i] + stb__arial_bold_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_39_usascii_t[i] + stb__arial_bold_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_39_usascii_x[i];
            font[i].y0 = stb__arial_bold_39_usascii_y[i];
            font[i].x1 = stb__arial_bold_39_usascii_x[i] + stb__arial_bold_39_usascii_w[i];
            font[i].y1 = stb__arial_bold_39_usascii_y[i] + stb__arial_bold_39_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_39_usascii_s[i] + stb__arial_bold_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_39_usascii_t[i] + stb__arial_bold_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_39_usascii_x[i] + stb__arial_bold_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_39_usascii_y[i] + stb__arial_bold_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_39_usascii_LINE_SPACING
#endif

