// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT        258
#define STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_48_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_48_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_48_usascii_LINE_SPACING          31

static unsigned int stb__arial_bold_48_usascii_pixels[]={
    0x31099980,0x26600133,0x26660000,0x4cc40009,0x30000009,0x00000133,
    0x15eeeee8,0xdddddddd,0x3bbb63dd,0x02eeeeee,0x00006620,0x00004c00,
    0x00013100,0x00019998,0x00333310,0xf34fffb8,0x3fe00dff,0x3001dfff,
    0x2005ffff,0x04ffffea,0x7f6dc400,0xefffffff,0x3e00000b,0xff36ffff,
    0xffffffff,0x3fffffe3,0x2003ffff,0x00001ffd,0x3ffb72a2,0x002bceff,
    0x7ffff5c0,0x7fcc000d,0xf900006f,0x7c400bff,0x3ffa0fff,0xffff803f,
    0xf9804fff,0x74c02fff,0x04ffffff,0xfffda880,0xffffffff,0x00beffff,
    0x7ffffc00,0xffffff36,0x3fe3ffff,0xffffffff,0x0bff6003,0x7ffdc000,
    0xffffffff,0x44001eff,0xfffffffe,0x3ff6002f,0xfd00003f,0x7e4007ff,
    0x7ffdc5ff,0x7fffc00f,0x4c02ffff,0x7402ffff,0x4fffffff,0x7fffe400,
    0xffffffff,0xffffffff,0x3fe0002f,0xfff36fff,0x3fffffff,0x3ffffffe,
    0x6dc03fff,0x1cefffff,0xfffe8800,0xffffffff,0x003fffff,0x3ffffff6,
    0x9800ffff,0x00007fff,0x003ffff1,0x10bfffe2,0xf80bffff,0x6fffffff,
    0x17fffcc0,0xffffff50,0x3a2009ff,0xffffffff,0xffeccdef,0x4fffffff,
    0xfffff000,0x3bbbba2d,0xff1fffff,0xddddffff,0x3fffa605,0x4fffffff,
    0x3fffee00,0xffffffff,0xefffffff,0x7fffcc01,0x4ffffb8c,0x03fffd80,
    0xffff5000,0x3fff2001,0x3ffff907,0x7ffff740,0x3e602fff,0x3f602fff,
    0x3eefffff,0xfffffa80,0x98800bef,0xefffffeb,0x66664000,0x3ffea03c,
    0xfffff1ff,0x3ffea009,0xffffffff,0xffb806ff,0xffffffff,0xffffffff,
    0x3600ffff,0x7fec6fff,0x7ffcc07f,0x3f200007,0xff1006ff,0x3fe607ff,
    0xff7005ff,0x7cc07fff,0x3fe02fff,0x2000efff,0x2dfffffc,0x7ffdc000,
    0x000005ff,0x8fffffd4,0x804fffff,0xfffffff8,0xffffffff,0x3fffe204,
    0x89bdffff,0xffffeca8,0x3fa04fff,0x7ffd44ff,0x3fff600f,0x3fa00003,
    0xffb004ff,0x7ff403ff,0xfff000ff,0x7fcc09ff,0x3ffe02ff,0x3ea003ff,
    0x0002ffff,0x3ffff620,0x2a000004,0xff1fffff,0xfb009fff,0xffddffff,
    0x3ffffffd,0x3fffff20,0xffc801ff,0xf01fffff,0xffa87fff,0xfff301ff,
    0x7c40000f,0xf9802fff,0x7e406fff,0xfd003fff,0x7cc09fff,0xff102fff,
    0x22005fff,0x000effff,0xffff7000,0x26666005,0x3ffea009,0xfffff1ff,
    0xffff9809,0xa9ffd8df,0x984fffff,0x0dffffff,0x3fffea00,0xfff886ff,
    0x7fffcc3f,0x07fffd02,0x7ffcc000,0xfffd800f,0x7ffcc04f,0xfffb007f,
    0x7ffcc09f,0xffff102f,0x3ffa003f,0x65cc00df,0x266620ab,0x1bfffa19,
    0x37ffffc0,0x3fffff50,0x013ffffe,0x21fffff5,0xfffb1ffd,0xffffd0df,
    0xf90001ff,0xf05fffff,0xff987fff,0xfff982ff,0x7dc00007,0xfff006ff,
    0xfff003ff,0xffb005ff,0x7fcc0bff,0xfff102ff,0xff9003ff,0x3f6601ff,
    0x92ffffff,0x7c4fffff,0xff801fff,0x3ea06fff,0xfff1ffff,0xffb809ff,
    0x47ff65ff,0x4c1abcd9,0x04ffffff,0xfffff100,0x9ffff0bf,0x81ffffa8,
    0x0003fffe,0x027ffec0,0x03ffffcc,0x04ffffd8,0x05ffffd8,0x40bfffe6,
    0x01fffff8,0x817fffc4,0xfffffff9,0xfffeafff,0x27ffd45f,0x37ffffc0,
    0x3fffff50,0x013ffffe,0x6cbffff9,0x3ea001ff,0x000fffff,0x3fffff20,
    0x45fffe86,0x4c0ffffb,0x00007fff,0x802ffff8,0x006ffffb,0x00dffff7,
    0x40bffff9,0x102ffff9,0x803fffff,0xf505fffc,0xffffffff,0xffffffff,
    0x00ffff07,0x40dfffff,0xf1fffffa,0xb809ffff,0x3f67ffff,0x3fee001f,
    0x40005fff,0x87fffff9,0x3a0ffffc,0xffe86fff,0x4c00003f,0xe800ffff,
    0x5005ffff,0x801fffff,0x206ffffc,0x302ffff9,0x801fffff,0xfa80ffff,
    0x88aeffff,0xfffffffa,0x1fffd82f,0x37ffffc0,0x3fffff50,0x013ffffe,
    0x29fffff5,0x32001ffd,0x004fffff,0x7ffffc40,0x7fffc41f,0x2ffffebf,
    0x003fffd4,0x37ffdc00,0x7ffffc40,0xffff5004,0xfffb805f,0x3ffe607f,
    0xffff502f,0x5fffa80f,0x4fffff98,0xffffff10,0x5fff901f,0x6fffff80,
    0x3ffffea0,0x09fffff1,0xffffff88,0x2001ffee,0x03fffffd,0xfffff800,
    0xffffc82f,0xe86fffff,0x00003fff,0x805fffd8,0x03fffff9,0x9fffff30,
    0xfffffa80,0x5ffff301,0x1bffff60,0xb05fffb0,0xc80dffff,0x506fffff,
    0xff807fff,0x3ea06fff,0xfff1ffff,0xff9009ff,0x5fffffff,0x7ffffc00,
    0xfe80002f,0xf703ffff,0x1bffffff,0x007fffa8,0x7ffff000,0xfffff500,
    0x3ffe2005,0xfff805ff,0xfff306ff,0xffff105f,0x7fff809f,0x0fffff88,
    0x7ffffcc0,0x09fff305,0x06fffff8,0x47ffffea,0x804fffff,0xfffffff8,
    0x200befff,0x1ffffff8,0xfffd8000,0x372604ff,0xffd02cef,0x3000007f,
    0x7003ffff,0x003fffff,0x037ffffc,0x67ffffe4,0x17fffcc0,0x3fffffa2,
    0x17ffe202,0x017ffff2,0x0fffffe2,0x201fffd4,0x206fffff,0xf1fffffa,
    0x2009ffff,0xfffffffa,0x00dfffff,0x05ffffff,0xffffd000,0x2a00009f,
    0xdb707fff,0x2e0059df,0xf7007fff,0x4001ffff,0x806ffffe,0xfffffff9,
    0x5ffff30e,0x3fffffae,0x7ffcc06f,0x7ffffc43,0xffff9802,0x5fff901f,
    0x6fffff80,0x3ffffea0,0x09fffff1,0x7ffff4c0,0xffffffff,0xfffffe81,
    0xfff80003,0x00003fff,0xd887fffd,0x4fffffff,0x05fffd80,0x0fffff90,
    0x7ffffd80,0xfffff500,0x3ffe63ff,0xfffffb2f,0xffa801df,0x7fffcc2f,
    0xfffa801f,0xfffd00ff,0xfffff803,0x3fffea06,0x9fffff1f,0xfffb8800,
    0xffffffff,0x7fffec1f,0x7c40004f,0x003fffff,0x87fffa80,0xfffffffe,
    0x7ffc04ff,0xfffb003f,0xffc800ff,0x3e6007ff,0xf31fffff,0x3ff65fff,
    0xb800dfff,0x7fdc1fff,0xff7007ff,0x7ffc0dff,0xfffff807,0x3fffea06,
    0x9fffff1f,0x7ff54000,0x6fffffff,0x2fffffe4,0x3ffe6000,0x80002fff,
    0x7d43fffe,0xffebdfff,0xfff100ff,0x3ff6003f,0x7e4007ff,0x32007fff,
    0x31ffffff,0x3f65ffff,0x801effff,0x7e40fffc,0xfb006fff,0x3e609fff,
    0xfff806ff,0x3fea06ff,0xffff1fff,0xfd80009f,0xffffffef,0x3fffea2f,
    0x2e01806f,0x00ffffff,0x3fffd400,0x3e2ffff4,0xff504fff,0x7fe400ff,
    0x7e4007ff,0xfb007fff,0x23ffffff,0xfb2ffff9,0x03ffffff,0x6c0fffc8,
    0xf005ffff,0x3607ffff,0xff803fff,0x3ea06fff,0xfff1ffff,0xd80009ff,
    0xfffe99ff,0x3ffe64ff,0x3ee03fff,0x7fffc41d,0xe80006ff,0xfff83fff,
    0x37ffec3f,0x005fffc8,0x03ffffee,0x6ffffd80,0xfffffa80,0xfff30cdf,
    0x3fff6a5f,0x7dc06fff,0x7ffec1ff,0xfffa804f,0xfffb81ff,0xfffff007,
    0x7fffd40d,0x9fffff1f,0x1ffd8000,0x897ffffa,0x07ffffff,0x5c37fffe,
    0x04ffffff,0x3fffd400,0x217fffc4,0xfd07fffc,0x7dc007ff,0x2001ffff,
    0x805ffffd,0x82fffffe,0x442ffff9,0x02fffffd,0xf90bffea,0xfd00bfff,
    0xff30ffff,0x3fe007ff,0x3ea06fff,0xfff1ffff,0x418009ff,0x3fee1ffd,
    0x7ffdc7ff,0xffb83fff,0xfffcffff,0x0000ffff,0x4c1ffff4,0x7dc1ffff,
    0x7fc40fff,0x3ea001ff,0x2001ffff,0x404ffffe,0x03fffff8,0x105ffff3,
    0x40bfffff,0x7dc3fff9,0x7d407fff,0x7c46ffff,0x3e006fff,0x2a06ffff,
    0xff1fffff,0x6cc09fff,0x3f61fffe,0x3fffe61f,0xfffffe86,0x7ffe444f,
    0xffffffff,0x7d40003f,0xfff507ff,0xffffb83f,0x03fffd40,0x3ffffe20,
    0x3fffe002,0x7ffcc03f,0xfff300ff,0x3fff205f,0x3ffe206f,0x7ffffcc5,
    0xfffff303,0x7fff4cbf,0x3ffe002f,0x3fea06ff,0xffff1fff,0x7ffcc09f,
    0x87ff65ff,0x985ffffb,0xefffffff,0x7fffe441,0x006fffff,0x03fffe80,
    0xc83ffff3,0xffc87fff,0xfff8006f,0xff1003ff,0xfb803fff,0x3e606fff,
    0xff502fff,0xffe80fff,0x7ffff40f,0xfff711df,0xfb5dffff,0x8007ffff,
    0x206fffff,0xf1fffffa,0xf809ffff,0xfb0fffff,0x7ffff43f,0xfffff903,
    0xfd9dffff,0xffffffff,0xfa80003f,0x3fe207ff,0x7ffec2ff,0x04fffe86,
    0x4ffffd80,0xfffff500,0xbffff900,0x17fffcc0,0x0fffff98,0x313ffee0,
    0xffffffff,0xffffffff,0xffffffff,0xffff0007,0x7ffd40df,0xfffff1ff,
    0xffffc809,0x71ffd9ff,0x203fffff,0xffffffd8,0xffffffff,0xcfffffff,
    0x3ffa0000,0x7fffc03f,0x22ffffc5,0x002ffff8,0x06ffffb8,0x0dffff70,
    0x0bffff90,0x817fffcc,0x01fffff9,0x2e1fffe2,0xffffffff,0xfffffeff,
    0x02ffffff,0xdfffff00,0x7ffffd40,0x09fffff1,0xffffff98,0xffecffef,
    0xfa805fff,0xffffffff,0xffffffff,0x00bfffff,0x03fffd40,0x4e7fffdc,
    0x541ffffd,0x8000ffff,0x00fffff9,0x03ffffd8,0x05ffffc8,0x40bfffe6,
    0x01fffff8,0x5427ffec,0xffffffff,0xffffff74,0x400019ff,0x206fffff,
    0xf1fffffa,0x7009ffff,0xffffffff,0xffffffff,0x3ff62001,0xffffffff,
    0xffffffff,0x2002ffff,0xf003fffe,0xffffffff,0xdfff90bf,0x7fff4000,
    0xffff802f,0xfffd800f,0x3ffe605f,0xffff102f,0xfffa803f,0xfedb882f,
    0x7fedc1cd,0x55500ade,0x3ffe2035,0x3fea06ff,0xffff1fff,0x3ff6009f,
    0xffffffff,0x8001ffff,0xfffffeca,0xfdacefff,0x03ffffff,0x01ffff50,
    0x3ffffa60,0xfe80efff,0x2e0004ff,0x4c04ffff,0xb005ffff,0x4c09ffff,
    0xf102ffff,0xb003ffff,0x0003ffff,0x7ffe4000,0xffff100f,0x7ffd40bf,
    0xfffff1ff,0x7ffe4009,0xffffffff,0x3100000e,0xf5013577,0x400dffff,
    0x4003fffe,0x3efffec8,0x00733320,0x6ffff880,0x17fffe40,0x4ffffe80,
    0x0bfffe60,0x17ffffc4,0x7ffff440,0xd8000002,0x2e02ffff,0x205fffff,
    0xf1fffffa,0x8009ffff,0xffffffd9,0x000002df,0x7ffec400,0x06666002,
    0x00031000,0x3ff20000,0x3ffa00ff,0x3ffe007f,0x3fe604ff,0x3ffe02ff,
    0xff3004ff,0x0001bfff,0xffffd300,0xfffb770b,0x7d409fff,0xfff1ffff,
    0x4c0009ff,0x00003ffe,0x6c980000,0x00000000,0x30000000,0x2207ffff,
    0x9804ffff,0x03fffffd,0x80bfffe6,0x0affffff,0xfffffa80,0x980001cf,
    0x0efffffd,0x7fffffc4,0xfff33fff,0x3fffffff,0x3ffffffe,0x36003fff,
    0x000001ff,0x00000000,0x00000000,0xfffb0000,0x3ffff20d,0x3ffffe00,
    0x2601ffff,0x3602ffff,0xffffffff,0x7fff4c04,0x09acffff,0x3ff6e620,
    0x504fffff,0xffffffff,0x3fffe61f,0xf1ffffff,0xffffffff,0x7fec007f,
    0x00000001,0x00000000,0x00000000,0x3ffff300,0x807ffff0,0xffffffff,
    0x7fffcc06,0x3fffe602,0x9004ffff,0xffffffff,0xffddffff,0xffffffff,
    0x7fe405ff,0x22ffffff,0xfffffff9,0xffff1fff,0x07ffffff,0x000ffec0,
    0x00000000,0x00000000,0x90000000,0xffa8bfff,0xffff806f,0x4c01ffff,
    0x6c02ffff,0x4fffffff,0x3fffa600,0xffffffff,0xffffffff,0x6c00cfff,
    0x4fffffff,0x7fffffcc,0xfff1ffff,0x7fffffff,0x00554c00,0x00000000,
    0x00000000,0x00000000,0x741ffff1,0xff802fff,0x802effff,0x402ffff9,
    0xffffffc8,0xfdb88004,0xffffffff,0xdfffffff,0x3ff6e002,0xcc881bdf,
    0xcccccccc,0x99999990,0x00003999,0x00000000,0x00000000,0x00000000,
    0x4d3ffee0,0xff006fff,0x4c007bff,0x3002ffff,0x009ffdb9,0xedcca880,
    0xbcdeeffe,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04ccccc4,0x33333300,
    0x09988000,0x88000000,0x4c000009,0x9981bdcb,0x33000999,0x33310133,
    0x09980003,0x10000000,0x00000133,0x00099988,0x00133330,0xf5004c00,
    0x200dffff,0x06fffff8,0x7ffedc40,0x01bcefff,0x372a2000,0x2cefffff,
    0xffff5000,0x7fc5ffff,0xf8803fff,0xffe84fff,0x7644007f,0x02efffff,
    0x3f260000,0xeeffffff,0x2a20000c,0xfffffffd,0xffd002de,0x64c0007f,
    0x2deffffe,0x07fffffc,0x7ffffdc0,0x3fff2003,0xffffffff,0x40000dff,
    0xfffffffb,0x01efffff,0x3fffff20,0xff3fffff,0xf5007fff,0xfff05fff,
    0x7fe400df,0xffffffff,0x2a00001e,0xffffffff,0x1dffffff,0x7fffd400,
    0xffffffff,0x7fe402ef,0xff50005f,0x5fffffff,0x3fffffc8,0xfffffe80,
    0xfffe9800,0xffffffff,0x003fffff,0xfffffd88,0xffffffff,0x7ec00cff,
    0xffffffff,0xffffcfff,0xfffb803f,0x7fffcc0f,0xffff9004,0xffffffff,
    0xd880001f,0xffffffff,0xffffffff,0xfffb004f,0xffffffff,0x40bfffff,
    0x8007fffa,0xfffffff9,0x7fcc0fff,0x7c406fff,0xb806ffff,0xffffffff,
    0xffffffff,0x5000dfff,0xffffffff,0xffffffff,0x3e601dff,0xefffffff,
    0xfffffffe,0xffd803ff,0xffffb87f,0xffffb802,0xffffffff,0x260006ff,
    0xfffffffe,0xffffffff,0x6403ffff,0xffffffff,0xffffffff,0xfff103ff,
    0xffd8001f,0x7fffffff,0x1fffffd0,0x7ffffdc0,0x7fffd403,0xffffffff,
    0xffffffff,0xfff9806f,0xffffffff,0xffffffff,0xffffd05f,0xffd885ff,
    0x803fffff,0xfc85ffff,0xfe801fff,0x931cffff,0x005fffff,0xffffff10,
    0xffffffff,0xffffffff,0x3fffe207,0xffefffff,0xffffffff,0x05fffd01,
    0xffffff80,0xf703aabd,0x6c07ffff,0x200fffff,0xfffffff8,0xba889bdf,
    0xfffffffe,0x7ffff403,0x988abfff,0xfffffffb,0x7fffd42f,0x3ff600ff,
    0x4403ffff,0xfe84ffff,0xfff007ff,0x3ffa0dff,0xfd8004ff,0xbeffffff,
    0xfffb530a,0x701fffff,0x19ffffff,0xfffffb50,0x3fff60df,0x3ffe2004,
    0xf1000fff,0x220dffff,0x405fffff,0xfffffffd,0xffffc801,0xff700fff,
    0x801bffff,0x6ffffffc,0x27ffffe4,0x3ffffe20,0x7ffd403f,0x5ffff82f,
    0xfffff880,0xbffff704,0xffffc800,0xe9803fff,0x83ffffff,0x02fffffd,
    0xffffffd8,0x06fffb80,0x3ffffe20,0x7ffec006,0xfffb80ff,0x3fea02ff,
    0x000dffff,0x3fffffe6,0xfffff885,0x3ff6004f,0x3f61ffff,0xd800ffff,
    0x403fffff,0x4c0ffffb,0xf004ffff,0x320dffff,0x2004ffff,0xeffffff8,
    0x3ffa2000,0x7fc46fff,0xf1006fff,0x305fffff,0x2001ffff,0x05fffff9,
    0x7ffffd40,0x7ffffd83,0x7fffff40,0xffc8000f,0x7e42ffff,0x000fffff,
    0x3fffffe2,0x1fffffe3,0x7ffffdc0,0xffffff93,0xffffffff,0xffffffff,
    0x7fffec05,0x7fffd44f,0x3fee001f,0x8002ffff,0x1ffffffa,0x1bffffe6,
    0xfffffd80,0x05ffff03,0x7ffd4cc4,0x01999dff,0x46fffff8,0x04fffff8,
    0x3fffffe2,0xfff10004,0xfff8bfff,0xc8004fff,0xfff81bdf,0xff5006ff,
    0x3ff27fff,0xffffffff,0xffffffff,0x2e02ffff,0x52ffffff,0x00ffffff,
    0x5fffffe8,0x2af76000,0xfffff880,0x3331003f,0x4fffd803,0x3ffffee0,
    0x7fffffff,0xfffffc80,0x3ffffea0,0x3fffee01,0x2e0000ff,0x226fffff,
    0x00ffffff,0x7fc40080,0xf5006fff,0x3f27ffff,0xffffffff,0xffffffff,
    0x402fffff,0xdffffffe,0x03ffffff,0x3ffffe60,0x8000001f,0xdffffffe,
    0x7dc00001,0x3fee06ff,0xffffffff,0xff9807ff,0x3ff63fff,0x7fec06ff,
    0x40005fff,0x27fffff9,0x06fffffa,0xfff10000,0x3ea00fff,0xff93ffff,
    0xffffffff,0xffffffff,0x9805ffff,0xffffffff,0x4004ffff,0x07fffffb,
    0xff900000,0xbfffffff,0xf9800015,0xff700fff,0xffffffff,0x3fa00fff,
    0xfff16fff,0xffe807ff,0x40004fff,0x1ffffff8,0x0bfffff7,0x7ffc0000,
    0xff7007ff,0x332a7fff,0xcffffecc,0xffffdccc,0xb801ccce,0xffffffff,
    0xfc8003ff,0x0006ffff,0xfffd1000,0xffffffff,0x3e00037d,0xff702fff,
    0xffffffff,0x3ee00fff,0xffa8ffff,0x7fc00fff,0x0003ffff,0x2ffffff8,
    0x09fffff9,0x7ff40000,0xfd800fff,0x3603ffff,0xffa87fff,0xfc8002ff,
    0xefffffff,0xfffb0000,0x00000bff,0x7ffffcc0,0xffffffff,0x36000cff,
    0x55304fff,0x5dfffff7,0x3e200555,0xffdbffff,0xfff805ff,0x80002fff,
    0xb3fffffe,0x009fffff,0x7ffec000,0x7fcc04ff,0x3e03ffff,0xffc85fff,
    0x3aa000ff,0xffffffff,0x3fa0003f,0x9804ffff,0xaaaaaaaa,0xf502aaaa,
    0xffffffff,0x7fffffff,0x1bffee00,0x3ffffe60,0x3ff60004,0xfffffeff,
    0x7fffc402,0xd80001ff,0xfd4fffff,0x0007ffff,0x7fffd400,0x3ff600ff,
    0xf103ffff,0xffd09fff,0x7fe400ff,0xffffffff,0xfd0001ff,0x9007ffff,
    0xffffffff,0x440dffff,0xfffffffd,0xffffffff,0x7fff9803,0xfffff980,
    0x3fea0004,0xffffffff,0xfffff800,0xfe80002f,0xffd4ffff,0x00007fff,
    0xffffff80,0x7fff4c2f,0xf503ffff,0xfff05fff,0x3ff200bf,0xffffffff,
    0x3260ffff,0x3fffa00a,0xffc804ff,0xffffffff,0xeb9806ff,0xffffffff,
    0x804fffff,0x4c01ffff,0x004fffff,0x7fffffc0,0xfd005fff,0x0007ffff,
    0x5ffffff0,0x13fffff6,0xff700000,0xfdffffff,0xffffffff,0x3fff207f,
    0x7fffcc0f,0xffffb804,0xfffbafff,0x3ff25fff,0xfffd85ff,0xffc805ff,
    0xffffffff,0x5cc006ff,0xfffffffd,0x7403ffff,0x7cc03fff,0x0004ffff,
    0x7fffffe4,0xffb002ff,0x80009fff,0x1ffffff8,0x0bfffff9,0xffb00000,
    0xffffffff,0xfffffbff,0x3fa66627,0xb9999fff,0x999bffff,0x3fffe209,
    0x3ff60eff,0xff8cffff,0xffc86fff,0xfc806fff,0xffffffff,0x40006fff,
    0xfffffec9,0x7fe406ff,0x7ffcc05f,0x4c0004ff,0x7fffffff,0x3ffff200,
    0x7cc0005f,0xf50fffff,0x000dffff,0xfffb0004,0x5fffffff,0x27fffff5,
    0xfffffffc,0xffffffff,0x2fffffff,0x3bffffee,0x7ffff440,0xfffffdff,
    0xfffffb83,0xcccca807,0xfffffdcc,0x3ee00006,0x01ffffff,0x301fffea,
    0x009fffff,0xfffffd00,0x7fd4009f,0x0000ffff,0x9fffffee,0x07fffff9,
    0x017bf700,0xffffff90,0x3ffea3ff,0xffff93ff,0xffffffff,0xffffffff,
    0x7ffec5ff,0xfff104ff,0xffffffff,0xffff301f,0x5c0003ff,0x226fffff,
    0x4002ba99,0x2ffffff9,0x07fffe20,0x4fffff98,0xfffb8000,0x26001fff,
    0x04ffffff,0xfffff100,0x7fffc4df,0xfe8003ff,0x4402efff,0x20aceecb,
    0x92fffffa,0xffffffff,0xffffffff,0x45ffffff,0x01ffffff,0x3fffffea,
    0x3a05ffff,0x006fffff,0x3ffffee0,0xffffff36,0xffffd000,0xfffe807f,
    0x3fffe603,0xfb80004f,0x4006ffff,0xfffffff8,0xfffb8000,0x7ff43fff,
    0x4c006fff,0x03ffffff,0xffff7000,0x3ffff25f,0xffffffff,0xffffffff,
    0x3fffe2ff,0xfffb807f,0x01ffffff,0x3ffffff2,0xfff70002,0x7fffcdff,
    0x7ec001ff,0x6403ffff,0x3e605fff,0x0004ffff,0x3fffffe8,0xffffa800,
    0x7cc005ff,0xa86fffff,0x03ffffff,0x3fffffa0,0x000cd4c7,0x47fffff2,
    0xffffeaa9,0xfffcaaaa,0x0aaaaacf,0x03fffffe,0x3fffff60,0x7fcc05ff,
    0x000effff,0x6fffffc8,0x17fffff6,0xffffff00,0x7fffa805,0x3ffffe60,
    0x7fd40004,0x0000ffff,0xdffffffd,0xffff5001,0x3f605fff,0x803fffff,
    0x4ffffffc,0x77ffffd4,0x7ffff402,0x5ffff80f,0x00ffffc8,0x3fffffd8,
    0xfffffa80,0x7e402fff,0x02ffffff,0xfffffd30,0x7fffdcdf,0xffb003ff,
    0x8801ffff,0xf301ffff,0x0009ffff,0x7fffffd4,0x3fe60005,0x1bffffff,
    0x7fffed44,0x3e205fff,0x9dffffff,0x7ffff540,0x7fcc0fff,0x3206ffff,
    0x986fffff,0xfd83ffff,0xff7006ff,0x2205ffff,0xfffffffd,0x7f404fff,
    0xacffffff,0x7ffed4c0,0x266fffff,0xdfffffff,0xffffd301,0x3fa00bff,
    0xfff303ff,0x3a6009ff,0xfffffedd,0x640001ff,0xffffffff,0xfffffeff,
    0x00ffffff,0x7fffffdc,0xfffeefff,0x03ffffff,0xffffffff,0xffffd97b,
    0xff505fff,0xffff05ff,0x3ffe200b,0xbabdffff,0xfffffffd,0x1effffff,
    0xffffff30,0xffdfffff,0xffffffff,0xfffb8bff,0xeeffffff,0xfffffffe,
    0xff9002ff,0x3ffe60bf,0xff1004ff,0xffffffff,0xfb10000b,0xffffffff,
    0xffffffff,0x36005fff,0xffffffff,0xffffffff,0x3fea04ff,0xffffffff,
    0x5fffffff,0x81ffff90,0x003ffff8,0x3fffffea,0xffffffff,0xffffffff,
    0xf500ffff,0xffffffff,0xffffffff,0x01bfffff,0xfffffffb,0xffffffff,
    0x4009ffff,0xf307fffa,0x4009ffff,0xffffffff,0x200000ef,0xfffffffa,
    0xffffffff,0x54000dff,0xffffffff,0xffffffff,0xffffc805,0xffffffff,
    0xfb00efff,0xfff50fff,0xffc8005f,0xffffffff,0xdbffffff,0x02ffffff,
    0x7fffff44,0xffffffff,0x03ffffff,0x3fffffa2,0xffffffff,0x4005ffff,
    0x980ffff8,0x004fffff,0x3ffffffa,0x800000ef,0xffffffd8,0xffffffff,
    0x3f620003,0xffffffff,0x2003ffff,0xffffffea,0x03ffffff,0x642ffffc,
    0x8000ffff,0xffffffe9,0x0cffffff,0x013fffee,0xffffffc8,0xffffffff,
    0x3ee003ef,0xffffffff,0x03ffffff,0x05ffff00,0x09fffff3,0x77fff640,
    0x8000001d,0xfffffeca,0x000cdeff,0xfffdb700,0x007fffff,0x7f76e4c0,
    0x400bcdef,0xd83ffff9,0x40006fff,0xffffffec,0xfd301dff,0x3f6a000b,
    0xffffffff,0x910001ce,0xffffffff,0x00017dff,0x4c27ffec,0x004fffff,
    0x00000000,0x006ae620,0xba980000,0x0000001a,0xcccc9800,0x03cccc81,
    0x2aea6000,0x00320009,0x2aea6600,0x8000009a,0x09aacaa9,0x99930000,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x0157bd95,0x3bb20000,0xb9802eee,
    0x000abdec,0xeee98000,0x555102ee,0x55555555,0x74415555,0x0004eeee,
    0xdb951000,0x22000379,0x2bceedca,0xdb951000,0x00000159,0x26666000,
    0xabdb9809,0xffd10000,0x07ffffff,0xfffb0000,0x7fdc05ff,0x3fffffff,
    0x7d400000,0xf703ffff,0xffffffff,0x43ffffff,0x05fffff8,0x7f440000,
    0xdfffffff,0x3fff2000,0x1effffff,0x3ffff200,0x001effff,0xeffecb98,
    0xff8802cd,0xffb12fff,0x009fffff,0xffffff98,0x005fffff,0x7fffec00,
    0xffffb02f,0xbfffffff,0x2a000001,0xb03fffff,0xffffffff,0x3fffffff,
    0x2fffffc4,0xff500000,0xffffffff,0xff9803ff,0xffffffff,0x74c04fff,
    0xffffffff,0x91002fff,0xffffffff,0x7c405fff,0xfe8affff,0xffffffff,
    0xfff9800e,0xffffffff,0x200006ff,0x42fffffd,0xffffffe8,0x6fffffff,
    0xff500000,0x3fa07fff,0xffffffff,0x21ffffff,0x05fffff8,0xfff90000,
    0xffffffff,0x7f401dff,0xffffffff,0x302fffff,0xffffffff,0x09ffffff,
    0xffffffb8,0xffffffff,0xffff881e,0xfffffecf,0x0fffffff,0x7fffff40,
    0xffffffff,0xfb00003f,0xfb85ffff,0xffffffff,0x04ffffff,0xfffa8000,
    0xfff883ff,0xffffffff,0x221fffff,0x005fffff,0xffffb800,0xffffffff,
    0xff905fff,0xffdfffff,0x01ffffff,0xfffffffb,0xffffffff,0x3fffea03,
    0xffffffff,0x440effff,0xffffffff,0xffffffff,0x3ee04fff,0x98bfffff,
    0x0ffffffd,0xfffd8000,0x7fff42ff,0xffb52dff,0x0001ffff,0xfffffa80,
    0xfffff983,0xffffffff,0x3fe21fff,0x00005fff,0x7fffffc4,0xffff931d,
    0xffff01ff,0x3ae23bff,0x543fffff,0x8affffff,0xffffffb8,0xfffff885,
    0xfdcacdff,0x445fffff,0xffffffff,0x3fffa60b,0xffd01fff,0xffd07fff,
    0x00005fff,0x45fffffb,0x04fffff9,0x05ffffff,0xfffa8000,0xfffb83ff,
    0x999999ff,0x7c419999,0x0005ffff,0x7ffffe40,0xfffffb05,0xfffff885,
    0xfffff306,0xffffff89,0xfffff980,0x7ffff40f,0xffd301ef,0x7fc47fff,
    0x102fffff,0x0bfffffd,0x0dfffff1,0x17ffffea,0x3fff6000,0x3fff62ff,
    0xfff900ff,0x800009ff,0x83fffffa,0x006ffffc,0x3ffffe20,0x7fc00005,
    0xf301ffff,0xfa87ffff,0x3a03ffff,0x3e26ffff,0x2e04ffff,0x224fffff,
    0x00ffffff,0x2fffffcc,0xbffffff1,0xfffff980,0xfffffb87,0x3ffffe03,
    0xffd80007,0x32a62fff,0x3fea05ed,0x26003fff,0x7d41bdcb,0xfe83ffff,
    0x20005fff,0x45fffff8,0x00abdca8,0x5fffff98,0xf5004d40,0x6401ffff,
    0x3e66ffff,0x2202ffff,0x50ffffff,0x005fffff,0x89fffff6,0x01ffffff,
    0x1fffffe8,0x17ffffe4,0x3fffffb0,0xfffd8000,0x2e0002ff,0x801fffff,
    0xfffffffa,0xfffff52f,0x7fffff07,0x7ffc4000,0xfffd15ff,0xb809ffff,
    0x003fffff,0xfffff880,0x3ffffe03,0x3ffffee4,0x7ffff401,0xfffff91f,
    0x7fffdc00,0xfffff11f,0x3fff200f,0x7ffec2ff,0x3ff201ff,0x40002fff,
    0x02fffffd,0x3ffffa00,0xffffc806,0xabffffff,0x443fffff,0x512fffff,
    0xff100157,0xfff3bfff,0xdfffffff,0x3ffff601,0xfd00002f,0x3e60dfff,
    0x3f21ffff,0x6c00ffff,0x222fffff,0x36003ba9,0xf10fffff,0x200dffff,
    0x43fffffb,0x00ffffff,0x0fffffee,0xffffb000,0xfb30005f,0xd807ffff,
    0xffffffff,0xffffffff,0x7ffd43ff,0xffffedff,0x3fe202ff,0xffffffff,
    0xffffffff,0xffffe80f,0x7bfb931f,0x3ffee005,0xfd711cff,0xffb8ffff,
    0x7ec01fff,0x0003ffff,0x5fffff88,0x17ffffe2,0x7ffffd40,0x7fffffc4,
    0x3fffee00,0x7ec0004f,0x1002ffff,0xffffffdb,0xffff9807,0xffeeffff,
    0x3fffffff,0x7fffffe4,0xffffffff,0xffff880d,0xfeffffff,0x4fffffff,
    0x8ffffff8,0xfffffffc,0xfffd800d,0xffffefff,0x7fd41eff,0x7f402fff,
    0x0004ffff,0x7fffff44,0x3ffffe23,0xffff5006,0x7fffc47f,0x7ffdc07f,
    0x6c0004ff,0x002fffff,0xfffffff5,0xffffd005,0xffd885ff,0x6c3fffff,
    0xffffffff,0xefffffff,0x7ffffc40,0x7f442fff,0x7c1fffff,0xffdfffff,
    0xffffffff,0xffffc801,0xdfffffff,0xfffff880,0x3fffe204,0x220004ff,
    0x0ffffffe,0x1fffffe2,0x7ffffdc0,0x3ffffe22,0x7fffd407,0x7ec0005f,
    0x7002ffff,0x19ffffff,0xfffffa80,0x3fff601f,0x7ffc3fff,0xffffffff,
    0x44ffffff,0xfffffff8,0x3ffffa00,0x3fffe25f,0xffffffff,0x00ffffff,
    0xffffffc8,0x3e01ffff,0x900fffff,0x0bffffff,0x3fffe600,0x7fc42fff,
    0xc800ffff,0x221fffff,0x407fffff,0x05fffffa,0x7fffec00,0xfff9002f,
    0x409fffff,0x04fffffc,0x7fffffcc,0x3ffffe23,0xfeb99bdf,0x221fffff,
    0x03ffffff,0x3fffffd4,0xfffffff1,0xfff959ff,0x6c40bfff,0xffffffff,
    0xf504ffff,0xc83dffff,0x6fffffff,0xffff9800,0xff883fff,0xe803ffff,
    0x220fffff,0x407fffff,0x05fffffa,0x7fffec00,0xdbfb002f,0x1bffffff,
    0x1fffffb0,0xfffffb00,0x7ffff4c7,0xffffd103,0x7fffc4df,0xffe800ff,
    0xfff10fff,0x881dffff,0x82fffffe,0xffffffe8,0xffffffff,0xfffffd05,
    0xfffffddf,0x800dffff,0xfffffffa,0xfffff102,0xfffa80ff,0x7ffc47ff,
    0x7fdc07ff,0x40005fff,0x02fffffd,0xffffb100,0xfffff0bf,0x3fff200f,
    0x033103ff,0x7fffff98,0x1bffffe2,0x7ffffec0,0x3fffffe1,0xffff301f,
    0xffffd0bf,0x7ff4c39f,0xff984fff,0xffffffff,0x6fffffff,0x3fffe200,
    0x3e201fff,0x0dffffff,0xfffffe98,0x7ffffc43,0x7fffdc07,0x7ec0004f,
    0x0002ffff,0x0ffffff4,0x01bffffe,0x1fffffdc,0x7ffec000,0xffff11ff,
    0x3ff200bf,0x3ffe2fff,0x7ec05fff,0x7fcc7fff,0xfd104fff,0xd301ffff,
    0xffffffff,0xbfffff7f,0x7fffec00,0x7fc401ff,0xbeffffff,0xfffffba9,
    0xfffff07f,0x7ffdc01f,0x6c0004ff,0x002fffff,0x7ffffd40,0x3ffffe25,
    0xffff5006,0xf900007f,0x3e25ffff,0x7005ffff,0x747fffff,0x404fffff,
    0x20fffffc,0x01fffffb,0x13ffffea,0xffffffc8,0xfffffa8e,0x3fffe005,
    0xff8800ff,0xffffffff,0xffffffff,0xfffff03f,0x7ffe401f,0x200403ff,
    0x02fffffe,0x7fffc400,0x3fffe26f,0xfff5006f,0x700007ff,0x227fffff,
    0x005fffff,0x47fffff7,0x03fffffd,0x0fffffdc,0x00dffffb,0x00bfffff,
    0x7dc15973,0x1003ffff,0x005fffff,0x3bffffe2,0xfffffffd,0x3605ffff,
    0x201fffff,0x12fffffd,0x809ffdb9,0x02fffffe,0xfffff800,0x3fffffc7,
    0xfffffb80,0xffb80003,0xfff13fff,0x3f200dff,0x3f22ffff,0x5c03ffff,
    0xf11fffff,0xd009ffff,0x000dffff,0x2fffffc8,0xfffff500,0x7fffc400,
    0xfffff96f,0xc807ffff,0x202fffff,0x10fffffe,0x80bfffff,0x11ffffff,
    0x805b9753,0x46fffff8,0x00fffffe,0x3fffffc8,0xc802a998,0xf12fffff,
    0x200fffff,0x21fffffd,0x04fffffb,0x87ffffdc,0x04fffff9,0x06fffff8,
    0x7ffff400,0xfff9001f,0x7fc400df,0x3faa6fff,0x801effff,0x04fffffb,
    0xf1fffffe,0x440fffff,0x10ffffff,0x80dfffff,0x45fffff9,0x02fffffd,
    0x3ffffff8,0x07fffffe,0x1fffffd0,0x3fffffe2,0x7fffc402,0x3ffe60ff,
    0x7fec06ff,0x7fffc7ff,0x7ffc406f,0x2ea665ff,0x3ffe604c,0x3f2006ff,
    0x22005fff,0x886fffff,0x7c4001aa,0xb80fffff,0x744fffff,0x702fffff,
    0xe8ffffff,0x202fffff,0x43fffffe,0x05fffffc,0x7fffffdc,0x3fffff23,
    0x3fffea05,0x3fffe26f,0x7fdc06ff,0xffd86fff,0xff103fff,0xffd8dfff,
    0x3ee01fff,0x3fa3ffff,0xf900ffff,0x0009ffff,0x7ffc4000,0x800006ff,
    0x44fffffe,0x1ffffff8,0x7fffffec,0x7ffffcc2,0x7fffe45f,0xfffc81ef,
    0x7fc41fff,0xf305ffff,0x47ffffff,0x2ffffffa,0xfffffe88,0x3ffffe22,
    0xfff305ff,0xff507fff,0xd883ffff,0x643fffff,0x80efffff,0x2ffffff9,
    0x13fffff2,0x3fffffea,0x20000000,0x06fffff8,0xfffa8000,0xffcbefff,
    0xf986ffff,0xefffffff,0xffffffff,0x7ffffcc1,0xffebbeff,0xf904ffff,
    0x37bfffff,0xffffff95,0x7ffc47ff,0xb9beffff,0x46ffffff,0xfffffff8,
    0xffc99bef,0x3a06ffff,0xbdffffff,0x6ffffffd,0xffffff98,0xfffba9bf,
    0x7fcc6fff,0xdbbeffff,0x04ffffff,0x777775c0,0xffff1001,0x200000df,
    0xfffffffd,0x1fffffff,0xffffff90,0xffffffff,0x3ffee0bf,0xffffffff,
    0x2206ffff,0xffffffff,0xffffffff,0x7fcc3fff,0xffffffff,0x41ffffff,
    0xfffffff8,0xffffffff,0x2a02ffff,0xffffffff,0x2fffffff,0xffffff70,
    0xffffffff,0xfffb01ff,0xffffffff,0x8001dfff,0x01fffffc,0xdfffff10,
    0x3a200000,0xffffffff,0x2203ffff,0xffffffff,0x0effffff,0x3fffff60,
    0xffffffff,0x7ffd401f,0xffffffff,0x3fffff9f,0xffffffb8,0xffffffff,
    0xfffff881,0xffffffda,0x805fffff,0xfffffffb,0x04ffffff,0x7fffffe4,
    0xffffffff,0xfffff103,0xffffffff,0xff90001b,0x22003fff,0x006fffff,
    0x7ffe4000,0x2fffffff,0xffffe880,0xefffffff,0xffffb800,0xdfffffff,
    0xfffd3000,0x21dfffff,0x703fffff,0xffffffff,0x2201dfff,0xf91fffff,
    0xffffffff,0x7ffcc007,0xffffffff,0xffff9002,0xffffffff,0xffff9805,
    0x4fffffff,0x3fff2000,0xff1001ff,0x0000dfff,0xffffd700,0xb8003bff,
    0xffffffff,0x7ec4002d,0x2effffff,0xfffc8800,0x3fe0ceff,0x32203fff,
    0xdfffffff,0x3ffe200c,0x3ffae1ff,0x8001efff,0xfffffec8,0x644000df,
    0xffffffff,0xff91000c,0x05bfffff,0xffffc800,0xfff1001f,0x00000dff,
    0x001ab980,0x9aba9880,0xba980000,0x2200001a,0x800000aa,0x0001ba98,
    0x00355100,0x055d4400,0xbba98000,0x26200009,0x00000aba,0x07fffff2,
    0x2aaaaa80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06f72a60,0x6c266662,
    0x001eeeee,0x1f77775c,0x5dddddd9,0x3bbae000,0xdddb2eee,0xd90000bd,
    0x2007dddd,0xeeeeeee9,0xdddd9000,0x77776c5d,0x3a20004e,0xdb2eeeee,
    0xeec8bddd,0xeeeeeeee,0xeeeeeeee,0x3ba24eee,0x80004eee,0x405eeeed,
    0x3a2001d8,0x3fffffff,0x74fffffa,0x001fffff,0x27ffffe4,0xdffffff3,
    0xffff3000,0x7fffcdff,0xfc80007f,0x9005ffff,0x7fffffff,0x3ffffe00,
    0x3ffff21f,0xf50000ff,0x3a1fffff,0x7ec7ffff,0xffffffff,0xffffffff,
    0x3e25ffff,0x0005ffff,0x07ffffe8,0x54007fee,0xffffffff,0xffffd4ff,
    0x3fffffa7,0x7ffe4001,0x7ffe44ff,0x6c003fff,0x21ffffff,0x007fffff,
    0xfffffa80,0xffffd007,0xf300bfff,0xf98fffff,0x003fffff,0xdfffffb0,
    0x23fffff4,0xfffffffd,0xffffffff,0x25ffffff,0x05fffff8,0xffffe800,
    0x1fffea87,0xfffffb80,0xcfffffff,0xfd3ffffe,0x8003ffff,0x44fffffc,
    0xfffffff8,0xffff5000,0xffff89ff,0xf880007f,0x401fffff,0xfffffff8,
    0xfffb807f,0xfffe85ff,0xff0006ff,0x7f47ffff,0x7fec7fff,0xffffffff,
    0xffffffff,0x3fe25fff,0x80005fff,0x647ffffe,0x401fffff,0xfffffff8,
    0xffffffff,0xffd3ffff,0xc8003fff,0xa84fffff,0x05ffffff,0xffffffd0,
    0x7fffff81,0xfffd0000,0xffa805ff,0x1fffffff,0x7ffffe40,0xfffffb83,
    0x7fd4000f,0x3fa0ffff,0x7fec7fff,0xffffffff,0xffffffff,0x3fe25fff,
    0x80005fff,0x647ffffe,0x401fffff,0xcffffffc,0x3ffff620,0xfffd3fff,
    0xfc8003ff,0xfb04ffff,0x805fffff,0x2ffffffb,0x07fffff8,0xffff9000,
    0xfffc809f,0x03ffffff,0x0ffffff4,0x7fffffc4,0x7ffec003,0x6665c5ff,
    0x55554c4c,0xaaaaaaaa,0xffffffda,0x3fffe23f,0xfe80005f,0x7fe47fff,
    0x3e601fff,0x203fffff,0x3ffffffc,0x03fffffd,0xfffffc80,0xfffff104,
    0x7ffc40df,0xfff05fff,0x20000fff,0x06fffffa,0x7ffffff4,0x3e205fff,
    0x3607ffff,0x006fffff,0x17fffffc,0xf9800000,0x44ffffff,0x05fffff8,
    0xffffe800,0x7ffffe47,0x3fffee01,0x7ffc406f,0xfffd3fff,0xfc8003ff,
    0x2e04ffff,0x03ffffff,0x1ffffff9,0x1fffffe0,0x7ffc4000,0x3fe207ff,
    0xffffffff,0x3fffe607,0x3ffea05f,0xf5000fff,0x000fffff,0x3ffe2000,
    0xf885ffff,0x0005ffff,0x8fffffe8,0xfffffd99,0x7fe4199a,0xfc802fff,
    0xffd3ffff,0xc8003fff,0x404fffff,0x0ffffffe,0x7fffffcc,0x3ffffe03,
    0x1bcdb987,0xfffffe80,0xfffff501,0x03fffffb,0x0fffffee,0xffffff88,
    0xffff9003,0x3333109f,0xffe80003,0x880effff,0x205fffff,0x09999998,
    0x2bfffffa,0xffffffff,0x3f61ffff,0xa801ffff,0xfd3fffff,0x8003ffff,
    0x04fffffc,0x7fffffcc,0x7fffff44,0x7ffffc06,0x3ffffee7,0x3f601eff,
    0xf903ffff,0xfff3ffff,0x3ff607ff,0x7ec01fff,0xf006ffff,0xd05fffff,
    0x000fffff,0x7fffffe4,0xffff101f,0x3ffa20bf,0x3fa1ffff,0xfffaffff,
    0xffffffff,0x3ffffe1f,0xfff9800f,0xffffd3ff,0xffc8003f,0xfc804fff,
    0xf51fffff,0x803fffff,0xfb7fffff,0xffffffff,0x3ffee05f,0xffff05ff,
    0x3ffffe9f,0xffffff05,0xfffff500,0xfffa803f,0xfffd07ff,0x3ee000ff,
    0x02ffffff,0x17ffffe2,0x7ffffff4,0x7fffff41,0xfffffffa,0x3e1fffff,
    0x3007ffff,0x3a7fffff,0x001fffff,0x27ffffe4,0x7ffff440,0xfffff8ef,
    0xffff804f,0xfffffeff,0x0fffffff,0x6fffff98,0x2fffff98,0x10fffffb,
    0x00dfffff,0x13fffffe,0x9fffff90,0x1fffffa0,0x3fffe600,0x7c404fff,
    0xfd85ffff,0xe82fffff,0xffafffff,0xffffffff,0x3fffe1ff,0xfff3007f,
    0x3fffa7ff,0x7e4001ff,0x5004ffff,0xfdffffff,0x001dffff,0xffffffff,
    0xffffddff,0x3fe09fff,0x7dc0ffff,0xff70ffff,0xffa83fff,0xf9004fff,
    0xf80dffff,0xd01fffff,0x800fffff,0xfffffff8,0xffff8805,0x7fffe45f,
    0xfffd02ff,0xffb551ff,0x15559fff,0x07fffff4,0x7ffffd40,0x3fffffd3,
    0xffffc800,0x3ff6004f,0xffffffff,0xffff002f,0x4415ffff,0x07fffffe,
    0x85fffffb,0x266ffffd,0x643fffff,0x002fffff,0x3ffffff3,0x3ffffe60,
    0x3ffffa06,0x7fff4007,0x8800efff,0x2e5fffff,0x03ffffff,0x91fffffa,
    0x403fffff,0x01fffffd,0x3fffffb8,0x03fffffd,0xfffffc80,0x3ffe2004,
    0x5fffffff,0x3ffffe00,0xfff102ff,0xff701fff,0xfff89fff,0x7fffc4ff,
    0x7ffff45f,0x3ffe000f,0xff904fff,0x7f407fff,0x36007fff,0x1fffffff,
    0xfffff100,0x3ffffeab,0x7fff403f,0x7fffe47f,0x3fff201f,0xffe803ff,
    0xfffd3fff,0xfc8003ff,0x4004ffff,0xfffffffb,0x3fe000ff,0x6c04ffff,
    0x981fffff,0x265fffff,0x6c2fffff,0x7fc7ffff,0x64006fff,0xf06fffff,
    0x401fffff,0x007ffffe,0xfffffff7,0x7ffc4005,0xffff9dff,0xffe804ff,
    0x7ffe47ff,0x3fea01ff,0x7d406fff,0xfd3fffff,0x8003ffff,0x04fffffc,
    0xfffffe80,0x7fc003ff,0x6401ffff,0xf01fffff,0x7dcfffff,0x7d40ffff,
    0xff30ffff,0x98009fff,0x41ffffff,0x06fffff9,0x03fffff4,0x7fffffcc,
    0x7fc4003f,0xffffefff,0xffd004ff,0xfffc8fff,0x7ff401ff,0xff504fff,
    0x3a7fffff,0x001fffff,0x27ffffe4,0x7fffcc00,0xff8006ff,0x6400ffff,
    0xd02fffff,0x363fffff,0xf886ffff,0xff73ffff,0xd0005fff,0xc89fffff,
    0x403fffff,0x407ffffe,0xfffffff8,0xfff88005,0xffffffff,0xfffd005f,
    0xffffc8ff,0x7ffd401f,0xca9aefff,0xffffffff,0x5fffffd3,0xffffc800,
    0xffb0003f,0xf0005fff,0x900fffff,0x205fffff,0xf2fffffc,0x3a09ffff,
    0xff95ffff,0x70001fff,0xf8ffffff,0x400fffff,0x407ffffe,0x6ffffffe,
    0xffff1000,0xffffffff,0xfffd003f,0xffffc8ff,0xfffe801f,0xffffffff,
    0x3fffffff,0x05fffffd,0xfffffc80,0xfffb0003,0xff0005ff,0xf700ffff,
    0x2a05ffff,0xfacfffff,0xf901ffff,0x3ffaffff,0xf10006ff,0x263fffff,
    0x805fffff,0x207ffffe,0xfffffffd,0xfff10000,0xffffffff,0xffd00dff,
    0xfffc8fff,0xff9801ff,0xffffffff,0xfffffdff,0x5fffffd3,0xffffd800,
    0xffb0003f,0xf0005fff,0x700fffff,0x205fffff,0xcefffff8,0x2a07ffff,
    0xff9fffff,0x20004fff,0x94fffffe,0x005fffff,0x20fffffd,0xfffffffb,
    0x3fe20001,0xffffffff,0x7402ffff,0x7e47ffff,0x3001ffff,0xfffffffd,
    0xffff53ff,0x3ffff67f,0x7fec003f,0xb0003fff,0x005fffff,0x0ffffff0,
    0x5fffff70,0x7fffff40,0x205ffffe,0xfdfffff8,0x0002ffff,0x5fffffee,
    0x007ffffe,0x50fffffd,0x7fffffff,0xfff88000,0xffaeffff,0x3a00ffff,
    0x7e47ffff,0x2001ffff,0xffffffc8,0xfffff50d,0x3fffff27,0x7fff4005,
    0xfb0002ff,0x0005ffff,0x00ffffff,0x05fffff7,0x7fffffe4,0x7403ffff,
    0xffffffff,0x220000ff,0xfcffffff,0xd005ffff,0xf88fffff,0x04ffffff,
    0xffff8800,0xfff90fff,0x7ff409ff,0x7ffe47ff,0x510001ff,0xffff5015,
    0x3fffee7f,0xff7002ff,0x0003ffff,0x0bfffff6,0x3ffffe00,0xffffb807,
    0x3ffea02f,0x1fffffff,0x7ffffe40,0x0007ffff,0xffffffd8,0x002fffff,
    0x44fffffd,0x6ffffffe,0xfff10000,0x7fc43fff,0xfd00ffff,0xffc8ffff,
    0x00001fff,0x7fffff50,0x3fffffe6,0x7ffc400f,0x20007fff,0x02fffffd,
    0x7fffff80,0xfffffb80,0x3fffe202,0x807fffff,0xfffffffa,0xa80005ff,
    0xffffffff,0x3fa007ff,0x3ff67fff,0x000fffff,0xfffff100,0xfffff70b,
    0x3ffffa0b,0x7ffffe47,0xf5000002,0x7ec7ffff,0x02efffff,0xffffffd5,
    0x7fec0007,0xf8002fff,0xb807ffff,0x402fffff,0xffffffff,0xfff8805f,
    0x03ffffff,0xfffff000,0x009fffff,0xbbfffff4,0xbfffffff,0x99999999,
    0x99999999,0xbfffff10,0x3fffffa0,0x7ffffe81,0x7fffffdc,0x00001dbb,
    0x47fffff5,0xfffffff9,0xfffeeeff,0x007fffff,0x7ffffec0,0xffff8002,
    0xfffb807f,0x7fec02ff,0x03ffffff,0xffffffb0,0x200003ff,0xfffffffc,
    0x3fa001ff,0xfff77fff,0xffffffff,0xffffffff,0x227fffff,0x505fffff,
    0xd0dfffff,0xfa8fffff,0xffffffff,0xff500003,0xffd87fff,0xffffffff,
    0xffffffff,0x7ec0003f,0x8002ffff,0x807fffff,0x02fffffb,0x7fffffdc,
    0xff7000ff,0x00ffffff,0x7fffcc00,0x4006ffff,0xf77ffffe,0xffffffff,
    0xffffffff,0x7fffffff,0x17ffffe2,0x3fffffe8,0x43fffff4,0xffffffff,
    0xf500003f,0xf907ffff,0xffffffff,0xffffffff,0xffb00009,0xf0005fff,
    0x700fffff,0x805fffff,0xfffffff9,0x3ffe6006,0x0005ffff,0x7fffffc0,
    0x7f4003ff,0xfff77fff,0xffffffff,0xffffffff,0x227fffff,0x205fffff,
    0x0ffffff9,0x21fffffa,0xfffffffc,0xf500004f,0x2a07ffff,0xffffffff,
    0x1effffff,0xfffb0000,0xff0005ff,0xf700ffff,0xf005ffff,0x09ffffff,
    0xffffff80,0x6400003f,0x0fffffff,0x7ffff400,0xffffff77,0xffffffff,
    0xffffffff,0x3ffe27ff,0x7fec05ff,0x3ffa4fff,0xfff507ff,0x0007dfff,
    0x3ffffea0,0x3ffb2203,0xefffffff,0x3600000c,0x002fffff,0x07fffff8,
    0x2fffffb8,0xfffffd80,0x7fec002f,0x0001ffff,0x7ffffcc0,0xffe8006f,
    0xffff77ff,0xffffffff,0xffffffff,0x3e27ffff,0x4c05ffff,0xd0ffffff,
    0x980fffff,0x800001aa,0x01aaaaa8,0x55755510,0x00000015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddddb000,0xdddddddd,0x0157999d,0x3bbbbb60,0xcceeeeee,0xee801acc,
    0xeeeeeeee,0xeeeeeeee,0x91eeeeee,0x005ddddd,0x3eeeee88,0xdddddddb,
    0x775c005d,0x54eeeeee,0x00399999,0xddddd900,0xeee98005,0x320deeee,
    0x02eeeeee,0x77777640,0x7777742e,0xdddddb0e,0xeeea8003,0xffffecee,
    0xffffffff,0xefffffff,0x7ffff401,0xffffffff,0x02efffff,0x3ffffffe,
    0xffffffff,0xffffffff,0xfffffd2f,0x7fc4001f,0xffff4fff,0x009fffff,
    0x7ffffff4,0xffffb5ff,0xfb00007f,0x4005ffff,0xfffffff9,0x7fffcc0f,
    0xf3000fff,0xf0dfffff,0x3a1fffff,0x002fffff,0x6fffffdc,0xfffffffe,
    0xffffffff,0x04ffffff,0x3ffffffa,0xffffffff,0xf04fffff,0xffffffff,
    0xffffffff,0x5fffffff,0x3ffffffa,0x3ffe2004,0xfffff4ff,0x200fffff,
    0xfffffff8,0xffffb5ff,0xfb00007f,0x2005ffff,0xfffffff8,0xffff901f,
    0x3fa009ff,0xf81fffff,0xfd0fffff,0x8005ffff,0xedfffffb,0xffffffff,
    0xffffffff,0x03ffffff,0xfffffffd,0xffffffff,0xf09fffff,0xffffffff,
    0xffffffff,0x5fffffff,0x3ffffffa,0xfff1001f,0x3fffe9ff,0x01ffffff,
    0xffffffa8,0xfffb5fff,0xb00007ff,0x005fffff,0xffffffd1,0xfffe803f,
    0x7dc01fff,0xf04fffff,0x3a1fffff,0x002fffff,0x6fffffdc,0xfffffffe,
    0xffffffff,0xffffffff,0xfffffe80,0xffffffff,0xffffffff,0x7fffffc1,
    0xffffffff,0xffffffff,0xffffd2ff,0x2200dfff,0xff4fffff,0xffffffff,
    0xffff9007,0x36bfffff,0x003fffff,0xfffffd80,0x7fff4402,0x9801ffff,
    0x06ffffff,0x3fffffe2,0x3ffffe06,0xfffffd0f,0xfffb8005,0xffffedff,
    0xaaaaaacf,0xfffffcba,0xffe84fff,0xaaaacfff,0xfffffcca,0x55545fff,
    0xffaaaaaa,0xaaacffff,0xfd0aaaaa,0x7fffffff,0xfffff100,0x3fffffe9,
    0xe805ffff,0xffffffff,0xfffffb5f,0xffb00007,0xfe805fff,0x01ffffff,
    0x3fffff20,0xffffb03f,0x7ffc03ff,0xfffd0fff,0xfb8005ff,0xffedffff,
    0x2e002fff,0x87ffffff,0x02fffffe,0x7ffffe44,0x7fc001ff,0x2001ffff,
    0xfffffffe,0x7fc400ff,0xffff4fff,0x0fffffff,0xffffff88,0xffb5ffff,
    0x00007fff,0x05fffffb,0x7fffffec,0x7f44002f,0x540fffff,0x04ffffff,
    0x87fffffc,0x02fffffe,0x7ffffdc0,0x2fffffed,0x7fffec00,0x7fff40ff,
    0xff7002ff,0x8005ffff,0x01ffffff,0x3fffffa0,0x4404ffff,0xff4fffff,
    0xffffdfff,0x7ffdc03f,0x5fffffef,0x07fffffb,0xffffb000,0x3fff605f,
    0x0002ffff,0xbffffff5,0xffffffe8,0x7ffffc00,0xfffffd0f,0xfffb8005,
    0xffffedff,0x7fd4002f,0x7f41ffff,0x1002ffff,0x07ffffff,0xffffff80,
    0x3fffa001,0x1fffffff,0x3ffffe20,0xbdfffff4,0x6c07ffff,0xfffcffff,
    0xffffb5ff,0xfb00007f,0xf905ffff,0x05ffffff,0xffffd800,0xffff92ff,
    0xfff005ff,0x3ffa1fff,0x5c002fff,0xfedfffff,0x4002ffff,0x1ffffff8,
    0x17fffff4,0xfffffd00,0xffff8009,0x3fa001ff,0xffffffff,0x3ffe206f,
    0xfffff4ff,0x0bffff7d,0x7d7ffffc,0xffb5ffff,0x00007fff,0x85fffffb,
    0xfffffffb,0xff880002,0xff9effff,0xf005ffff,0x3a1fffff,0x002fffff,
    0x6fffffdc,0x02fffffe,0x7ffffd40,0xfffffe87,0x3fffe002,0x7fc003ff,
    0x2001ffff,0xfffffffe,0xf103ffff,0x3fe9ffff,0xfff9efff,0xffff307f,
    0xbfffff1f,0x0ffffff6,0x3fff6000,0x3ffee2ff,0x0003ffff,0x3ffffea0,
    0xffffffff,0xfffff000,0x3ffffa1f,0x7fdc002f,0xfffedfff,0x7ec002ff,
    0xfe86ffff,0x3002ffff,0x03ffffff,0xffffff80,0x3fffa001,0xfffffdff,
    0xffff880f,0xdfffff4f,0x207ffffe,0xff6ffffb,0x3ff6bfff,0x80003fff,
    0x52fffffd,0x7fffffff,0xffb00000,0xffffffff,0x7ffc007f,0xfffd0fff,
    0xfb8005ff,0xffedffff,0xd1002fff,0x07ffffff,0x05fffffd,0xfffffb10,
    0xfff8001f,0x3a001fff,0xff8fffff,0xf885ffff,0xfff4ffff,0x3fff6dff,
    0xffffd84f,0x2bfffff3,0x03fffffd,0xffffd800,0xfffff9af,0x000007ff,
    0xfffffff1,0xf800bfff,0xfd0fffff,0x999bffff,0x99999999,0xdbfffffb,
    0xdddfffff,0xffdddddd,0x0dffffff,0x0bfffffa,0xffffe988,0xff8006ff,
    0x2001ffff,0xf77ffffe,0x885fffff,0xff4fffff,0x3feedfff,0xffff86ff,
    0xbfffff1f,0x0ffffff6,0x3fff6000,0xfffffcff,0x0004ffff,0xfffff700,
    0x8001ffff,0xd0ffffff,0xffffffff,0xffffffff,0xbfffffff,0xfffffffd,
    0xffffffff,0x3fffffff,0x3fffffa0,0xffeeeeee,0xffffffff,0xffff8004,
    0x3fa001ff,0x3ffa7fff,0x7fc46fff,0xffff4fff,0x3fffe6df,0x3fffe60f,
    0x57ffffe7,0x03fffffd,0xffffd800,0xffffffff,0x0001ffff,0xfffffd00,
    0xff0007ff,0x3fa1ffff,0xffffffff,0xffffffff,0xedffffff,0xffffffff,
    0xffffffff,0x200effff,0xfffffffe,0xffffffff,0x005fffff,0x3ffffff0,
    0x7ffff400,0x3ffffe67,0x3fffe23f,0xdfffff4f,0x717ffffc,0x7fcdffff,
    0xfffb5fff,0xb00007ff,0xffffffff,0xffffffff,0x3a00000d,0x2fffffff,
    0xfffff800,0xfffffd0f,0xffffffff,0xffffffff,0xffffdbff,0xffffffff,
    0x7bffffff,0xfffffd00,0xffffffff,0x1dffffff,0x3fffe000,0x3fa001ff,
    0x7fe47fff,0xff10ffff,0x3ffe9fff,0x3fff66ff,0x3ffff64f,0x57ffffe4,
    0x03fffffd,0xffffd800,0xfeffffff,0x003fffff,0x7fffdc00,0x8006ffff,
    0xd0ffffff,0xffffffff,0xffffffff,0xbfffffff,0xfffffffd,0xffffffff,
    0x7f40019f,0xffffffff,0xffffffff,0x3e0000df,0x001fffff,0x11fffffa,
    0x2bffffff,0xf4fffff8,0x7dcdffff,0x3ffe6fff,0x3fffe1ff,0xfffffb5f,
    0xffb00007,0x7fffffff,0xfffffff1,0x3e200001,0xffffffff,0x7ffc004f,
    0xfffd0fff,0x99999bff,0xfb999999,0xffdbffff,0x75337fff,0x7fffffff,
    0x7ffff400,0xffffffff,0x001cffff,0xffffff80,0x3fffa001,0xffffa87f,
    0xffff8aff,0xdfffff4f,0x47ffffcc,0x20fffff9,0xfb5fffff,0x0007ffff,
    0xffffffb0,0x7ffd49ff,0x00005fff,0xfffffffd,0x4003ffff,0xd0ffffff,
    0x005fffff,0xdfffffb8,0x82fffffe,0xffffffd8,0xfffe800d,0xaaaaacff,
    0x000009aa,0x0ffffffc,0xfffffd00,0x3fffff60,0x4fffff9e,0xf8dfffff,
    0xffbaffff,0x7fffc6ff,0xfffffb5f,0xffb00007,0xd09fffff,0x07ffffff,
    0xffffb800,0xffffffff,0x3fffe006,0xffffd0ff,0xffb8005f,0xfffedfff,
    0x3ffa02ff,0xe806ffff,0x002fffff,0xfff80000,0x3a001fff,0xf107ffff,
    0xffbfffff,0x3ffe9fff,0x7ffec6ff,0x4ffffecf,0xdafffffc,0x003fffff,
    0xfffffd80,0xffff304f,0x20001fff,0xfffffff8,0x4ffffffd,0xffffff00,
    0x3fffffa1,0x7ffdc002,0xffffedff,0x3ffe202f,0x7404ffff,0x002fffff,
    0xfff80000,0x3a001fff,0x2e07ffff,0xffffffff,0xffff4fff,0xffffb8df,
    0x42ffffff,0xfb5fffff,0x0007ffff,0x9fffffb0,0xfffffc80,0xffb0005f,
    0xfd19ffff,0x003fffff,0x21ffffff,0x02fffffe,0x7ffffdc0,0x2fffffed,
    0x7ffffd40,0x3ffa02ff,0x00002fff,0xfffff800,0x3ffa001f,0x7ff407ff,
    0xffffffff,0x8dfffff4,0xfffffff9,0x7ffc0fff,0xffffb5ff,0xfb00007f,
    0x8805ffff,0x2fffffff,0x7fffd400,0x3ffea6ff,0xff806fff,0xffd0ffff,
    0xb8005fff,0xfedfffff,0xc802ffff,0x0fffffff,0x5fffffd0,0xf0000000,
    0x003fffff,0x03fffff4,0x3fffffea,0xfff4ffff,0xffff0dff,0xf0dfffff,
    0x3f6bffff,0x0003ffff,0x2fffffd8,0xfffffb80,0xff1000ff,0xd83fffff,
    0x04ffffff,0x87fffffc,0x02fffffe,0x7ffffdc0,0x2fffffed,0xffffe880,
    0xfffd05ff,0x000005ff,0xffffff00,0x7fff4003,0xfffd807f,0xf4ffffff,
    0xfb0dffff,0x9fffffff,0x2bfffff0,0x03fffffd,0xffffd800,0xfffd002f,
    0x3600bfff,0x84ffffff,0xfffffff8,0x3ffffe01,0xfffffd0f,0xfffb8005,
    0xffffedff,0xfff5002f,0xfd05ffff,0x0005ffff,0xffff0000,0x7f4003ff,
    0xf8807fff,0xffffffff,0x0dfffff4,0xfffffff7,0xfffff05f,0x3fffff6b,
    0x9999999c,0x19999999,0x05fffffb,0x3ffffea0,0x7fd402ff,0x500fffff,
    0x0dffffff,0x87fffffc,0x02fffffe,0x7ffffdc0,0x2fffffed,0x3ffff200,
    0x7ff40eff,0x00002fff,0xfffff800,0x3ffa001f,0xff7007ff,0x29ffffff,
    0x986fffff,0xffffffff,0x5fffff80,0xfffffffb,0xffffffff,0x36ffffff,
    0x002fffff,0x3ffffff6,0xffff100f,0xfd805fff,0xf04fffff,0x3a1fffff,
    0x002fffff,0x6fffffdc,0x02fffffe,0x3ffffa20,0x7fff44ff,0x000002ff,
    0xffffff80,0x3fffa001,0x3ffa007f,0xff4fffff,0x3fe0dfff,0xf06fffff,
    0x3f6bffff,0xffffffff,0xffffffff,0xfffb7fff,0x7cc005ff,0x04ffffff,
    0xbffffffb,0xfffff100,0xffff03ff,0x3fffa1ff,0x7dc002ff,0xffedffff,
    0x54002fff,0x1fffffff,0x0bfffffa,0x3e000000,0x001fffff,0x01fffffa,
    0xffffff98,0xdfffff4f,0x3fffff60,0xfffff04f,0x3fffff6b,0xffffffff,
    0x7fffffff,0x05fffffb,0xfffffc80,0x7ffd41ff,0x7000ffff,0x0dffffff,
    0x21ffffff,0x02fffffe,0x7ffffdc0,0x2fffffed,0xffffc800,0x3fffa6ff,
    0x000002ff,0xffffff80,0x3fffa001,0x7fe4007f,0xfff4ffff,0x3fee0dff,
    0xff02ffff,0x3ff6bfff,0xffffffff,0xffffffff,0xffffb7ff,0xff88005f,
    0x226fffff,0x3fffffff,0x7ffff400,0x7fffc4ff,0xffffd0ff,0xffb8005f,
    0xfffedfff,0xe88002ff,0xd3ffffff,0x005fffff,0xfff00000,0x74003fff,
    0x4007ffff,0x4ffffff8,0x20dfffff,0x0ffffff9,0x2bfffff0,0xfffffffd,
    0xffffffff,0xfb7fffff,0x0005ffff,0xfffffff7,0x3fffff29,0xff98005f,
    0x3e1fffff,0xfd0fffff,0x8005ffff,0x05fffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77777440,0xeeeeec80,0xeeeeeeee,0x1eeeeeee,0xdddddddb,0xdddddddd,
    0x4bdddddd,0xeeeeeeed,0xbccdeeee,0xddd1000a,0xa8803ddd,0x0abceecc,
    0x3bbbbb60,0xeeeeeeee,0x0001bccd,0x77777440,0x5510003e,0x55555555,
    0x55555555,0x3ba20055,0x266665ee,0x33333119,0x04eeeee8,0x3fff6000,
    0xfffe80ff,0xffffffff,0xffffffff,0xfffffd1f,0xffffffff,0xffffffff,
    0x7fffff4f,0xffffffff,0x401cffff,0x1ffffff8,0x3ffffee0,0xd02fffff,
    0xffffffff,0xffffffff,0x00005dff,0x3fffffee,0xff88000f,0xffffffff,
    0xffffffff,0xfff9007f,0x7ffffcdf,0x1fffffb7,0x037ffffc,0xffffb800,
    0xfffe80ff,0xffffffff,0xffffffff,0xfffffd1f,0xffffffff,0xffffffff,
    0x7fffff4f,0xffffffff,0x03ffffff,0x3fffffe2,0xfffff881,0xffffffff,
    0x7ffff40e,0xffffffff,0xffffffff,0xffe80005,0x003fffff,0xffffff88,
    0xffffffff,0x807fffff,0x26fffff8,0xfb7fffff,0x7fc1ffff,0x80006fff,
    0xfffffff8,0xfffffe80,0xffffffff,0x1fffffff,0xfffffffd,0xffffffff,
    0x4fffffff,0xfffffffe,0xffffffff,0x105fffff,0x83ffffff,0xffffffe8,
    0xffffffff,0x7fffff45,0xffffffff,0xffffffff,0x3fe60004,0x06ffffff,
    0xfffff880,0xffffffff,0x07ffffff,0x7fffff44,0x5fffffe6,0x20fffffd,
    0x006fffff,0xfffffe80,0xfffe80ff,0xffffffff,0xffffffff,0xfffffd1f,
    0xffffffff,0xffffffff,0x7fffff4f,0xffffffff,0xffffffff,0xfffff883,
    0x7fffec1f,0xffffffff,0x3fa3ffff,0xffffffff,0xffffffff,0x002fffff,
    0xffffff90,0x88003fff,0xffffffff,0xffffffff,0x3a207fff,0x26ffffff,
    0xfb7fffff,0x7fc1ffff,0x40006fff,0xfffffffb,0xffffe80f,0xaaaaaacf,
    0xaaaaaaaa,0x9fffffd0,0x55555555,0x55555555,0x67fffff4,0xeccbaaaa,
    0xffffffff,0x7ffffc40,0x3fffe61f,0xfc98beff,0xd0ffffff,0x559fffff,
    0xf9555555,0x0bffffff,0xfffff100,0x009fffff,0xffffff88,0xffffffff,
    0x503fffff,0xffffffff,0xbfffffcd,0x20fffffd,0x005fffff,0x3ffffe60,
    0xfe80ffff,0x0002ffff,0x2fffffe8,0x3ffa0000,0xea802fff,0x44ffffff,
    0x1ffffff8,0x17ffffee,0x7fffff44,0x5fffffd1,0x3fff2200,0xfb8007ff,
    0xffffffff,0x4cc000ff,0x99999999,0xfffff999,0xffffc885,0x326fffff,
    0x9974cccc,0x3fea0999,0x3ffa0004,0x0fffffff,0x2fffffe8,0xfffe8000,
    0x200002ff,0x02fffffe,0x3fffff60,0x3fffe21f,0x3fff61ff,0x3fee00ff,
    0xfffd3fff,0x7c4005ff,0x001fffff,0x77fffff4,0x003fffff,0x7ffec000,
    0x7ffe446f,0xffffffff,0xfc800006,0xff70003f,0xffffffff,0xfffffd01,
    0xffd00005,0x00005fff,0x17fffff4,0xfffff100,0xfffff8bf,0x3ffffe0f,
    0x7fffcc06,0xfffffd5f,0xfffd8005,0x3e6001ff,0xffaeffff,0x00006fff,
    0x3ffffea0,0x7ffffe40,0x6fffffff,0xffe80000,0xfff98001,0xfffffdff,
    0xfffffe80,0xffe80002,0x00002fff,0x0bfffffa,0xfffff900,0x7ffffc1f,
    0x26e5d4c7,0x3ffffea0,0x5fffffd4,0xffffe800,0x7ffe4007,0xffff8aff,
    0x800001ff,0x83fffff8,0x9efffffc,0x006fffff,0x13ffa600,0x7ffff400,
    0x0fffffcb,0x2fffffe8,0xfffe8000,0x200002ff,0x02fffffe,0x7ffffc40,
    0x3ffffa1f,0xffc80007,0xfffd2fff,0x7cc005ff,0x4004ffff,0x90ffffff,
    0x009fffff,0xffffb000,0x3ffff20d,0x1bffffe4,0x7ffd4000,0xffc8000f,
    0xffff95ff,0xffffd01f,0xfd00005f,0x0005ffff,0x7fffff40,0xfffe8002,
    0x3fff63ff,0xff80006f,0xffd1ffff,0x2a005fff,0x02fffffe,0x3ffffea0,
    0x3ffffe65,0x2a00000f,0x901fffff,0xfff85dff,0x100006ff,0x30001bff,
    0x321fffff,0xe80fffff,0x99bfffff,0x99999999,0xffffe819,0xeeeeeeef,
    0xeeeeeeee,0x7fffff44,0xfffd8002,0x3fff24ff,0x7d40005f,0x3fa7ffff,
    0xcccdffff,0xffeccccc,0x4004ffff,0x42fffffd,0x03fffffe,0x3fffa000,
    0x40b7205f,0x006fffff,0x8000ae00,0x323ffffe,0xe80fffff,0xffffffff,
    0xffffffff,0x7fff41ff,0xffffffff,0xffffffff,0x7ffff45f,0xffc8002f,
    0x3ff25fff,0x220004ff,0x23ffffff,0xfffffffe,0xffffffff,0x002fffff,
    0x3fffffc4,0x37ffffdc,0xfffa8000,0xf00201ff,0x000dffff,0x3f200000,
    0x7fe45fff,0xffe80fff,0xffffffff,0xffffffff,0x7fffff41,0xffffffff,
    0x5fffffff,0x17fffff4,0x7fffe400,0x3fffee5f,0xffd10004,0xffe8dfff,
    0xffffffff,0xffffffff,0xffb8003f,0xff884fff,0x0001ffff,0x06ffffd8,
    0x7ffffc00,0x26600006,0x4c009999,0x640fffff,0xe80fffff,0xffffffff,
    0xffffffff,0x7fff41ff,0xffffffff,0xffffffff,0x7ffff45f,0xffb8002f,
    0x3fea6fff,0xe88003ff,0x41ffffff,0xfffffffe,0xffffffff,0x01dfffff,
    0x3fffffa0,0xfffffd01,0xff980009,0x40003fff,0x006fffff,0x3fffea00,
    0x3ffa206f,0xfffc83ff,0xfffe80ff,0xffffffff,0x1fffffff,0x7ffffff4,
    0xffffffff,0x45ffffff,0x02fffffe,0xfffffc80,0x0bfffe66,0xffffd100,
    0xfffd09ff,0xffffffff,0xffffffff,0xf3005fff,0x5c0dffff,0x00ffffff,
    0x3ffff600,0x7fc0000f,0x00006fff,0x0fffffdc,0x05ffffc8,0x01fffff9,
    0xfffffffd,0xffffffff,0xffe83fff,0xaaaacfff,0xaaaaaaaa,0x7fff42aa,
    0xfc8002ff,0x3e25ffff,0x22001fff,0x5ffffffe,0xbfffffd0,0x99999999,
    0xfffffffd,0xfffc805f,0x3fe203ff,0x0003ffff,0x0bfffff1,0xfffff000,
    0xaf7776cd,0x80eeeeec,0xa85ffffb,0x900fffff,0xd01fffff,0x005fffff,
    0xfffffd00,0x7f400005,0x8002ffff,0x45fffffc,0x1001ffff,0xbffffffd,
    0x7fffff40,0x3ffee002,0x3e206fff,0x99afffff,0xffd99999,0x90006fff,
    0x003fffff,0xdfffff00,0xdbfffffc,0x900fffff,0x7c41ffff,0xaaadffff,
    0xffffdaaa,0xffd2aabf,0x00005fff,0x05fffffd,0x7fff4000,0xfe8002ff,
    0x7fc4ffff,0xfe8800ff,0x405fffff,0x02fffffe,0x7ffffcc0,0xffff703f,
    0xffffffff,0xffffffff,0xffd0003f,0x20000dff,0x3e6fffff,0xffb7ffff,
    0x7e401fff,0x3ffe64ff,0xffffffff,0xffffffff,0xffffd6ff,0xfd00005f,
    0x0005ffff,0x7fffff40,0xffff8002,0x3fff42ff,0x7ffff440,0xffe805ff,
    0xe8002fff,0xd04fffff,0xffffffff,0xffffffff,0x009fffff,0x3fffff88,
    0xffff0000,0x7ffffcdf,0x1fffffb7,0x30fffd80,0xffffffff,0xffffffff,
    0x3adfffff,0x002fffff,0xfffffe80,0x3fa00002,0x4002ffff,0x0ffffff9,
    0x2203ffec,0x4ffffffe,0xfffffd00,0xfff90005,0xfff30dff,0xffffffff,
    0xffffffff,0x4001ffff,0x00fffffa,0xfffff000,0xbfffffcd,0x00fffffd,
    0xfffff300,0xffffffff,0xffffffff,0x3fffffad,0xffe80002,0x00002fff,
    0x0bfffffa,0xfffffd00,0x80dff90d,0x4ffffffe,0x3ffffa00,0xffd8002f,
    0xffc86fff,0xffffffff,0xffffffff,0x003fffff,0x01bffff6,0xfffff800,
    0x5bffffe6,0x00fffffd,0xfffff300,0xffffffff,0xffffffff,0x3fffffad,
    0xffe80002,0x00002fff,0x0bfffffa,0xfffffa80,0x3f20003f,0x004fffff,
    0x17fffff4,0x3fffe200,0xffff84ff,0xffffffff,0xffffffff,0x2006ffff,
    0x004fffff,0x3ffffe00,0x005ff986,0xdddd1000,0xdddddddd,0xddffffff,
    0x3ffffabd,0xfe80002f,0x0002ffff,0x3fffffa0,0xffff5002,0x54000fff,
    0x05ffffff,0xfffffe80,0x7ffe4002,0x7fd42fff,0xa8007fff,0x01ffffff,
    0x2fffff98,0x3ffe0000,0x4ffb86ff,0x22222222,0xdddb0888,0x7e4000dd,
    0xfe80ffff,0x0002ffff,0xbfffffe8,0x99999999,0x99999999,0x7fffffd0,
    0x73333333,0xfffffffd,0xdddddb07,0xffffff88,0xaaaaaabf,0xffd1aaaa,
    0x33337fff,0xff733333,0x81ffffff,0x04fffffd,0xffffff00,0xffff5009,
    0x7c00003f,0xfe86ffff,0xfffff92f,0x3affffff,0x0007ffff,0x03fffff2,
    0x0bfffffa,0x3fffa000,0xffffffff,0xffffffff,0xfffd3fff,0xffffffff,
    0xffffffff,0x3ffa0bff,0x7ffd47ff,0xffffffff,0x5fffffff,0xfffffffd,
    0xffffffff,0xffffffff,0xfffff889,0xff90001f,0xb801ffff,0x0007ffff,
    0x37ffffc0,0x7e4bffd1,0xffffffff,0xfffffd7f,0x7ffe4000,0xfffe80ff,
    0xe80002ff,0xffffffff,0xffffffff,0xd3ffffff,0xffffffff,0xffffffff,
    0x201dffff,0x6c7ffffe,0xffffffff,0xffffffff,0xffffd5ff,0xffffffff,
    0xffffffff,0xfff70bff,0x4c000dff,0x03ffffff,0x037fffe4,0x3fffe000,
    0x1ffff36f,0x7fffffe4,0xffd7ffff,0x64000fff,0xe80fffff,0x002fffff,
    0xfffffe80,0xffffffff,0xffffffff,0xfffffd3f,0xffffffff,0x07ffffff,
    0x27ffffe8,0xfffffff8,0xffffffff,0xffd5ffff,0xffffffff,0xffffffff,
    0xfd01dfff,0x0007ffff,0x6fffffe8,0x37fffec0,0x3ffe0000,0x07bfa6ff,
    0xfffffff9,0x3ffaffff,0x320007ff,0xe80fffff,0x002fffff,0xfffffe80,
    0xffffffff,0xffffffff,0xfffffd3f,0xffffffff,0x0019ffff,0x54fffffd,
    0xffffffff,0xffffffff,0xfffd5fff,0xffffffff,0xffffffff,0xfff3019f,
    0x80001fff,0x1ffffffb,0x17ffffa0,0xffff0000,0xfc8154df,0xffffffff,
    0xfffffd7f,0x7ffe4000,0xfffe80ff,0xe80002ff,0xffffffff,0xffffffff,
    0xd3ffffff,0xffffffff,0x7bdfffff,0x7fff4003,0x3ffff67f,0xffffffff,
    0x5fffffff,0xfffffffd,0xffffffff,0xfd8039dd,0x0005ffff,0xffffff88,
    0x3ffffe04,0x7fc00005,0xd7006fff,0xdddddddd,0x000000bd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xba880000,0x01bccedc,0x24c00000,0x00000032,0x2b372a60,0x26666001,
    0x99988009,0x32e60019,0x0001acdd,0xccdca988,0x9530001a,0x01799dd9,
    0x80999998,0x201bcdb9,0x00999998,0x06666620,0xb9833333,0xf71000bd,
    0xffffffff,0x000007df,0x7fc7fda8,0x8000002d,0xffffffe9,0xfff804ff,
    0xffc806ff,0x75401fff,0xffffffff,0xff90003f,0xbfffffff,0x3ff6a003,
    0xffffffff,0xfffff00e,0x7ffffdc7,0xffb81fff,0x3e005fff,0xf10fffff,
    0x3f63ffff,0x200effff,0xfffffff8,0x5fffffff,0x75c40000,0x7ffc7fff,
    0x000003ef,0xfffffff7,0x401dffff,0x806fffff,0x01fffffc,0xffffffb1,
    0x1dffffff,0x3fffa600,0xffffffff,0x7ffdc03f,0xffffffff,0xfff81fff,
    0xffffb3ff,0x87ffffff,0x0ffffff8,0xfffffa80,0x3ffffe24,0xffffffd9,
    0x7ffff406,0xffffffff,0x80005fff,0xffffffc8,0x7fffffc7,0xb00000cf,
    0xffffffff,0x05ffffff,0x01bffffe,0x07fffff2,0x3fffffa2,0xffffffff,
    0x7fd402ff,0xffffffff,0x503fffff,0xffffffff,0xffffffff,0xcfffff83,
    0xfffffffe,0x641fffff,0x803fffff,0x21fffffd,0xfdfffff8,0x03ffffff,
    0x3bfffff2,0xffffdbcc,0x30001fff,0xfffffffb,0xfffff8ff,0x001dffff,
    0x3ffffea0,0xffffeeff,0xffff06ff,0xfff900df,0xfffd03ff,0xffffffff,
    0x01ffffff,0x3fffffe2,0xffffffff,0xfff81fff,0xfeefffff,0x44ffffff,
    0xffffffff,0xfffffeff,0x7fcc5fff,0x7c406fff,0x7c46ffff,0xffffffff,
    0x3a00ffff,0x3205ffff,0x005fffff,0x7fffff54,0x7c7fffff,0xffffffff,
    0x44002eff,0x44ffffff,0x3fffffd8,0x06fffff8,0x1fffffc8,0x7fffffe4,
    0xffc988ae,0xf905ffff,0x215fffff,0xfffffeb8,0x7ffffd45,0xffffc81e,
    0x7ffffc7f,0x3e60bfff,0xe87fffff,0x200fffff,0x43fffffb,0xfffffff8,
    0x405fdcef,0x403fffff,0x801acdfe,0xffffffc8,0x2dffffff,0x7ffffe4c,
    0xcfffffff,0xffffc800,0x3fff603f,0xfffff86f,0xffffc806,0x3fffe21f,
    0x3fea05ff,0x7cc2ffff,0x300fffff,0x41ffffff,0x00ffffeb,0x8ffffff1,
    0x2fffffff,0xffffff30,0xfffffb81,0x3ffffa03,0x7fffc40f,0x00c43fff,
    0x5ffffff1,0x7ecc0000,0xffffffff,0x4400beff,0xffffffeb,0x01dfffff,
    0x01fffffe,0x87fffff1,0x806fffff,0x21fffffc,0x06fffffb,0x7fffffb8,
    0x27ffffe4,0x2f3bff60,0xd8035100,0x3e0fffff,0x404fffff,0x41fffffe,
    0x06fffff8,0x0bfffff3,0xdffffff1,0x3fffa000,0x01bdffff,0xffffea80,
    0xcfffffff,0xff930001,0xffffffff,0xfff885df,0xffe805ff,0x7fffc4ff,
    0xfffc806f,0x3fffa1ff,0xfff002ff,0x7fec1fff,0x0c401fff,0x3fa60000,
    0x3fe0ffff,0x6401ffff,0xc81fffff,0xc81fffff,0x881fffff,0x02ffffff,
    0xfffff900,0x59ffffff,0xfffff801,0x2dffffff,0x7ed40000,0xffffffff,
    0xffff30ff,0xfffb009f,0xfffff8bf,0xffffc806,0x3ffffe1f,0xfff9000f,
    0x7fff43ff,0x0000007f,0xfffffb73,0x7ffc1fff,0x7e400fff,0xf982ffff,
    0xff84ffff,0xff106fff,0x0001ffff,0x3fffffa2,0xffffffff,0xfffff00d,
    0x0017dfff,0xffb88000,0x0fffffff,0xfffffff5,0xffffffff,0xff8dffff,
    0xfd806fff,0xff11ffff,0x5c00ffff,0x3e3fffff,0x0007ffff,0xfffd9300,
    0xffffffff,0x7ffffc1f,0xffffc807,0xffffd02f,0xfffffa8f,0xfffff103,
    0xfe88000f,0xffffffff,0xf84fffff,0x01efffff,0xd5000000,0x21ffffff,
    0xfffffffb,0xffffffff,0x7fc7ffff,0xfd806fff,0xff31ffff,0x5400dfff,
    0xf14fffff,0x000dffff,0xffffe980,0xffffffff,0x3ffe0fff,0xffb807ff,
    0xff702fff,0x7fec5fff,0xff100fff,0x0000dfff,0xffffff71,0xffffffff,
    0xffffff89,0x00000aef,0x3fff6a00,0xff90ffff,0xffffffff,0xffffffff,
    0xfffff8ff,0xffffd806,0xfffff11f,0x7ffdc00d,0xffff14ff,0x540000ff,
    0xffffffff,0xffffdbdf,0x3ffffe0f,0xffffb807,0xffff102f,0x3fffe2bf,
    0x3ffe205f,0x400006ff,0xfffffeca,0x21ffffff,0xffffffff,0x00001cff,
    0xfffff710,0x2e1fffff,0xccdfffff,0xcccccccc,0x3fe0cccc,0xfd806fff,
    0xff11ffff,0x6400ffff,0x3e2fffff,0x0007ffff,0xffffff50,0xfffc837d,
    0x3fffe0ff,0xfffb807f,0x3ff202ff,0xfffa8fff,0x3fe202ff,0x00005fff,
    0x3fff6e20,0x323fffff,0xffffffff,0x000befff,0xffffda80,0x4fffffff,
    0x13ffffea,0x7fffc000,0xfffe807f,0x3fffe1ff,0xffb000ff,0x7ff43fff,
    0x9b800fff,0xfffffd00,0x7fffec07,0x3ffffe0f,0xffffb807,0x3ffe602f,
    0xffffdaff,0x7fffc406,0x0600005f,0xfffffd50,0xffffd50b,0x9fffffff,
    0xffc88003,0xffffffff,0x7fcc0bef,0x00005fff,0x00ffffff,0x43ffffff,
    0x03fffffd,0x7fffff88,0x1fffffec,0x37fffe60,0xdfffff12,0xfffffd80,
    0x1fffffe0,0x3ffffee0,0x7ffff402,0x03fffffd,0x2fffffc4,0xfedca800,
    0x7ffcc02f,0x3f6605ff,0xffffffff,0x2a00beff,0xfffffffd,0x402dffff,
    0x00ffffff,0x02af3bea,0x01ffffff,0x7fffffd4,0x3ffffea1,0x7ffec00f,
    0x7ffdc6ff,0x7fe406ff,0xfff52fff,0x7fc407ff,0x3fe0ffff,0xfb807fff,
    0x5c02ffff,0xffffffff,0x7fc400ff,0x90005fff,0x80dfffff,0x03fffffa,
    0xfffffc88,0x4fffffff,0x7fffffe4,0x1cffffff,0xfffff700,0x7ffff40b,
    0x7ffff43f,0xffff305f,0x7fc43fff,0x901effff,0x83ffffff,0x4ffffff8,
    0xffffff50,0x37ffffd4,0xffffffb0,0x3fffffc1,0x7ffffdc0,0x7fffc402,
    0x805fffff,0x05fffff8,0xfffff100,0xfea815bf,0x2001ffff,0xfffffeb8,
    0x7fc7ffff,0xffffffff,0xff8000bf,0x2a1effff,0x0ffffffd,0x7fffffe4,
    0xffff931c,0xfb83ffff,0xbcffffff,0xfffffeca,0xffff703f,0xfd759dff,
    0x449fffff,0x0cffffff,0x3fffff26,0x3fffe1ff,0xfffb807f,0xffc802ff,
    0x02ffffff,0x5fffff88,0x3fff2000,0xfeefffff,0x05ffffff,0x3fff6a00,
    0x7fc7ffff,0x2effffff,0x7ffdc000,0xffffffff,0x983fffff,0xffffffff,
    0xffffffff,0xffd81fff,0xffffffff,0x06ffffff,0x7ffffff4,0xffffffff,
    0x7fff40ef,0xfffdffff,0x2fffffff,0x01fffffe,0x0bffffee,0x3ffffe60,
    0xff1007ff,0x8000bfff,0xfffffffd,0xffffffff,0xf9300006,0xff8fffff,
    0x001dffff,0x3fffee00,0xffffffff,0x3fee04ff,0xffffffff,0xfffff9df,
    0xffffd881,0xffffffff,0x74c00eff,0xffffffff,0x81ffffff,0xfffffff9,
    0xffefffff,0x3ffe3fff,0xffb807ff,0xfd002fff,0x007fffff,0x17ffffe2,
    0x3fff2000,0xffffffff,0x00000dff,0x23fffdc4,0x000cffff,0xffff3000,
    0xffffffff,0xffff9009,0x269fffff,0x201fffff,0xfffffffb,0x003fffff,
    0x3fffff22,0x1effffff,0x3ffffee0,0xfd3fffff,0x7ffcdfff,0xffb807ff,
    0xf7002fff,0x001fffff,0x17ffffe2,0x7fe44000,0xdfffffff,0xa8000001,
    0x00177c7e,0xfec88000,0x0cffffff,0x3fffae00,0x3fe63dff,0x5c401fff,
    0xeffffffe,0xfd50001d,0x5dffffff,0x3fffa600,0x3ee0dfff,0xfff1ffff,
    0xff700fff,0x22005fff,0x005fffff,0x17ffffe2,0x2a620000,0x000009aa,
    0x00183000,0x54c00000,0x400009aa,0x000001a9,0x0026aa62,0x35551000,
    0x2a620001,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x31000000,0xeeeb8033,0x3bba24ee,
    0x3bba0eee,0x04c01eee,0x33311000,0x33330033,0x99988013,0x33331099,
    0x37b97103,0x1bdca880,0x4ccccc40,0x99999999,0x4cc19999,0x98009999,
    0x00099999,0x07ffffe2,0x4ccc4000,0x99991001,0x99999999,0x99999999,
    0x6ffd8019,0x7ffffe40,0x3ffffe25,0x3ffffe1f,0xfffdb82f,0x97000bef,
    0x01fffff9,0x37ffffcc,0x3fffff20,0x4fffff50,0xfffffff9,0x7fff441f,
    0xf703ffff,0xffffffff,0xffffffff,0xfffffe8f,0x3fff201f,0x22001fff,
    0x001fffff,0xfffff880,0xffff9802,0xffffffff,0xffffffff,0x37fe401f,
    0x3fffff20,0x3ffffe25,0x3ffffe1f,0x3fffa22f,0x2dffffff,0xff39fb10,
    0x7dc05fff,0x200fffff,0x2a6fffff,0xff57ffff,0xffffffff,0x3ffffe61,
    0xb82fffff,0xffffffff,0xffffffff,0x7fffc47f,0xfff506ff,0x88007fff,
    0x001fffff,0xfffffb80,0xffff9805,0xffffffff,0xffffffff,0x2ffdc01f,
    0x3fffff20,0x3ffffe25,0x3ffffe1f,0xfffff52f,0xffffffff,0xfffb779f,
    0x17ffffe9,0xffffffd8,0xfffff302,0x7ffffd47,0xfffffffc,0xffbeffff,
    0xffffffff,0x7ffdc1ff,0xffffffff,0x87ffffff,0x4ffffffb,0x7fffff44,
    0xfff88006,0xf80001ff,0x01ffffff,0x7fffffcc,0xffffffff,0x1fffffff,
    0x4ffb8baa,0xfffc92e2,0x3ffe25ff,0x3ffe1fff,0xfff92fff,0xffffffff,
    0xffffffff,0x3fff29ff,0x3fffe07f,0xff704fff,0x7fd43fff,0xefffffff,
    0xfffffffe,0xffefffff,0x5c6fffff,0xffffffff,0xffffffff,0xffffb07f,
    0x7ffe43ff,0x88000fff,0x001fffff,0x7ffffdc0,0x7fcc05ff,0xffffffff,
    0xffffffff,0x3ff61fff,0xc8bffaae,0xfff90fff,0x7ffc4bff,0x3ffe1fff,
    0xfff92fff,0xffffffff,0xffffffff,0x3ffea9ff,0xfff981ff,0xfb06ffff,
    0xffa8dfff,0x20cfffff,0xffffffe8,0x7ffe42ff,0x33260fff,0xcccccccc,
    0x2fffffff,0xffffff10,0x3ffffead,0xff10002f,0x80003fff,0xfffffffe,
    0x3bba200f,0xeeeeeeee,0xeeeeeeee,0xffff11ee,0xfffdffff,0x3ffee5ff,
    0x7fffc4ff,0x7ffff47f,0x59dff90f,0xfffff953,0xffffffff,0x1fffffc5,
    0x7fffffe4,0x7ffc40ff,0x7ffd44ff,0xff505fff,0x205fffff,0x01ffffff,
    0xfffffe80,0x7ffd404f,0xffffcfff,0x220005ff,0x001fffff,0x3ffffea0,
    0x0004ffff,0x3f660000,0xffffffff,0xff34ffff,0xffd85fff,0x7ffe46ff,
    0x500ff27f,0xfffffffb,0xfffd81bf,0xffffe86f,0x7d42ffff,0x7d41ffff,
    0x200fffff,0x04ffffff,0x0bfffff2,0xfffffb00,0x3ff200bf,0xffffffff,
    0x220000ef,0x001fffff,0x37ffffa0,0x000fffff,0x54400000,0xdeffffec,
    0x3ffe209b,0x7ffe41ff,0x7fffdc5f,0xb88006e6,0x501bdffd,0x441fffff,
    0xffffffff,0x7fffe44f,0xfffffa86,0x7ffffc06,0x3fff202f,0x3f2002ff,
    0x005fffff,0x7ffffff4,0x4c01ffff,0xffffffff,0xffffffff,0x501fffff,
    0xff1fffff,0x00007fff,0x7fec0000,0x3fa00eff,0x7fd40fff,0x7ffcc4ff,
    0x0000004f,0x17ffffc4,0xff9ffff5,0xffff8dff,0xffffa84f,0x7fffc04f,
    0x3fee00ff,0xf7002fff,0x01dfffff,0xfffff980,0x9803ffff,0xffffffff,
    0xffffffff,0xd01fffff,0x3ee9ffff,0x26607fff,0x99999999,0x99999999,
    0x3ff20199,0x3606ffef,0xff987fff,0x7ffc42ff,0x0000003f,0x25ffffd8,
    0xfd9ffffc,0xfff30fff,0xfff503ff,0xffe809ff,0x3ee00fff,0xa802ffff,
    0x0fffffff,0xffff7000,0x2600dfff,0xffffffff,0xffffffff,0x981fffff,
    0xf11fffff,0xf305ffff,0xffffffff,0xffffffff,0xf903ffff,0xbfff57ff,
    0x40266620,0x33301999,0x00000013,0x4fffff70,0xff77fffe,0x3ffee5ff,
    0xffff507f,0xfffe809f,0x7ffdc07f,0x7fcc02ff,0x001fffff,0x7fffff40,
    0xfff3003f,0xffffffff,0xffffffff,0xfffb03ff,0xffffd8df,0xfffff986,
    0xffffffff,0xffffffff,0xb37ffe41,0x00009fff,0x00000000,0xfffff100,
    0x2bffff13,0xfd4ffff9,0x3ea09fff,0x7403ffff,0x5c07ffff,0x202fffff,
    0xfffffff8,0x7fd40002,0x00ffffff,0xffffff98,0xffffffff,0x1fffffff,
    0x17ffffcc,0x0bffffea,0xfffffff3,0xffffffff,0x83ffffff,0x3e21fffa,
    0x555443ff,0xaaaaaaaa,0xaaaaaaaa,0x0002aaaa,0xfffd0000,0x7ffff57f,
    0x7c77fffc,0xf502ffff,0xe807ffff,0x5c07ffff,0x102fffff,0x7ffffffd,
    0xfff88000,0x05ffffff,0xcccccc88,0xdfffffcc,0x0ccccccc,0x83ffffec,
    0x4c5ffffe,0xffffffff,0xffffffff,0x881fffff,0xa81ec85e,0xffffffff,
    0xffffffff,0x7fffffff,0x70000000,0xff9dffff,0x7ffec3ff,0x07ffffbf,
    0x0fffffea,0x0fffffd0,0x2fffffb8,0xffffffd0,0xffb00009,0xffffffff,
    0xff880007,0x22001fff,0x704fffff,0x4c3fffff,0xffffffff,0xffffffff,
    0x201fffff,0x7ffd4000,0xffffffff,0xffffffff,0x0007ffff,0xfff10000,
    0x8fffffff,0xfffffffb,0x3fea05ff,0x7f403fff,0x7dc07fff,0xfd82ffff,
    0x005fffff,0xfffffb80,0x1fffffff,0x3ffe2000,0x3f2001ff,0xf101ffff,
    0x998bffff,0x99999999,0x99999999,0x40000199,0xfffffffa,0xffffffff,
    0xffffffff,0x00000007,0x3ffffffa,0x7ffcc5ff,0x02ffffff,0x0fffffea,
    0x0fffffd0,0x2fffffb8,0x7fffffe4,0xff980005,0xfffbffff,0x20006fff,
    0x01fffff8,0xdfffff10,0xfffffd80,0x00000000,0x2eee2000,0xbbbbbbbb,
    0xbbbbbbbb,0x0003bbbb,0x3ff20000,0x83ffffff,0xffffffff,0x3ffea00f,
    0x7ff403ff,0x7fdc07ff,0x3fee2fff,0x998effff,0x99999999,0xfffffd00,
    0x3ffffeab,0xff10004f,0x22003fff,0x401aaaaa,0x00aaaaa8,0x00000000,
    0x00000000,0x30000000,0xffffffff,0xfffff903,0xffa80bff,0x7f403fff,
    0x7dc07fff,0xff32ffff,0xffffffff,0xffffffff,0xffff909f,0x7ffec1ff,
    0x88001fff,0x001fffff,0x00000000,0x00000000,0x00000000,0xff800000,
    0x507fffff,0x7fffffff,0xfffffa80,0x7ffff403,0x7fffdc07,0xfffff32f,
    0xffffffff,0x89ffffff,0x3ffffff9,0x7fffffc4,0x7fc4000e,0x00001fff,
    0x00000000,0x00000000,0x00000000,0xfffc8000,0xff105fff,0x801fffff,
    0x03fffffa,0x03fffff4,0x4bffffee,0xfffffff9,0xffffffff,0x3a24ffff,
    0x506fffff,0x0bffffff,0xfffff880,0x00000001,0x00000000,0x00000000,
    0x00000000,0xffffffa8,0x3ffffa02,0xfffa806f,0x7ff403ff,0x7fdc07ff,
    0xfff32fff,0xffffffff,0xffffffff,0x7ffffe49,0x3fff600f,0x22002fff,
    0x000ccccc,0x00000000,0x00000000,0x00000000,0xff000000,0x6401ffff,
    0x803fffff,0x03fffffa,0x03fffff4,0x4bffffee,0xfffffff9,0xffffffff,
    0xff54ffff,0x8807ffff,0x0fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_48_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-2,2,3,2,3,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_48_usascii_y[95]={ 38,7,7,6,4,6,6,7,6,6,6,12,32,23,
32,6,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,42,6,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,18, };
static unsigned short stb__arial_bold_48_usascii_w[95]={ 0,8,17,24,21,36,30,8,11,12,16,23,7,12,
6,13,21,14,21,22,23,22,22,21,21,21,7,7,23,23,23,23,41,31,26,27,26,24,22,29,25,8,21,28,
22,30,25,31,24,32,28,26,26,25,30,41,29,30,26,11,13,12,21,26,11,22,23,22,23,22,16,23,21,6,
11,22,6,34,21,24,23,23,16,21,14,22,24,34,24,24,21,15,6,16,23, };
static unsigned short stb__arial_bold_48_usascii_h[95]={ 0,31,12,33,39,34,33,12,42,42,16,22,13,7,
6,33,32,31,31,32,31,32,32,31,32,32,23,30,24,16,24,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,36,31,33,31,32,31,31,31,31,31,40,33,40,18,5,7,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,10, };
static unsigned short stb__arial_bold_48_usascii_s[95]={ 251,100,205,110,145,200,135,223,1,13,188,
118,243,235,248,237,1,212,109,45,1,92,139,190,162,184,235,227,23,164,47,
206,66,158,131,58,73,48,25,166,230,221,23,162,139,108,82,26,30,167,1,
196,55,40,161,119,191,66,199,133,223,120,142,205,243,165,115,142,68,71,237,
86,97,192,108,226,249,36,188,117,230,16,235,1,1,94,210,1,93,1,71,
50,43,26,232, };
static unsigned short stb__arial_bold_48_usascii_t[95]={ 1,176,232,44,1,1,44,232,1,1,232,
233,176,200,200,1,78,176,176,78,176,78,78,176,78,78,176,176,208,233,208,
78,1,176,176,44,176,176,176,44,144,144,78,144,144,144,144,44,144,1,144,
44,144,111,111,111,144,111,111,1,44,1,233,245,190,208,78,208,78,208,44,
44,111,111,1,111,111,233,208,208,78,111,208,208,111,208,208,233,233,44,233,
1,1,1,232, };
static unsigned short stb__arial_bold_48_usascii_a[95]={ 191,229,326,382,382,611,496,163,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,229,229,401,401,401,420,670,496,496,496,496,459,420,535,
496,191,382,496,420,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,229,191,229,401,382,229,382,420,382,420,382,229,420,
420,191,191,382,191,611,420,420,420,420,268,382,229,420,382,535,
382,382,344,268,192,268,401, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_48_usascii(stb_fontchar font[STB_FONT_arial_bold_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_48_usascii_s[i] + stb__arial_bold_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_48_usascii_t[i] + stb__arial_bold_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_48_usascii_x[i];
            font[i].y0 = stb__arial_bold_48_usascii_y[i];
            font[i].x1 = stb__arial_bold_48_usascii_x[i] + stb__arial_bold_48_usascii_w[i];
            font[i].y1 = stb__arial_bold_48_usascii_y[i] + stb__arial_bold_48_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_48_usascii_s[i] + stb__arial_bold_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_48_usascii_t[i] + stb__arial_bold_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_48_usascii_x[i] + stb__arial_bold_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_48_usascii_y[i] + stb__arial_bold_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_48_usascii_LINE_SPACING
#endif

