// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_38_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_38_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_38_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_38_usascii_BITMAP_HEIGHT        184
#define STB_FONT_consolas_38_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_38_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_38_usascii_NUM_CHARS             95

#define STB_FONT_consolas_38_usascii_LINE_SPACING          25

static unsigned int stb__consolas_38_usascii_pixels[]={
    0x0c400aaa,0x10000098,0x3b27db97,0x00000bcd,0x3bae0d44,0x02eeeeee,
    0x40055440,0xeeeeeeeb,0x0fba002e,0x0d654400,0x13300000,0x00000ccc,
    0x22001553,0x31000099,0x000ccc13,0xb007ff80,0x005fa85f,0xfffffb80,
    0x5fffffb4,0x3fe60000,0x3ffff23f,0x9003ffff,0x19dffffd,0x3fffff20,
    0xf1003fff,0xffb8007f,0x00dfffff,0x93fee000,0x40002ffd,0x04ffffe9,
    0x0007ffc4,0x3fe6ffa8,0xff80001f,0x46ffd807,0x20005ffe,0x3eeffffb,
    0x5ffffdd9,0xfffb0000,0x777775cf,0x74c03fff,0xffffffff,0xeeffc80e,
    0x3002eeee,0x362005ff,0xffffffff,0xd00001ff,0x2ffcc3ff,0xffff1000,
    0x7e409fff,0x3ea0002f,0x007ffe6f,0x901ffe00,0xff981dff,0xff88004f,
    0x7ec400df,0x740000ff,0x6400ffff,0x3fea03ff,0x3ff261bf,0x01ffe40e,
    0x007fee00,0x33bfffa2,0x2ffffeca,0x37fcc000,0x80007ff4,0xffd32ffd,
    0x00bff501,0x3e6ffa80,0xf80001ff,0x3ffee07f,0x07fff501,0x006ffb80,
    0x000bffe2,0x00bfff70,0x3e207ff9,0x3fee01ff,0x001ffe45,0x3ffffb2a,
    0xff904eff,0x3ffea05f,0x7fec0006,0x004ffb82,0xffb8bff0,0x007ff442,
    0xf9bfea00,0xf80001ff,0x5fff307f,0x00fffb80,0x000fff20,0x00007ff9,
    0x3f200795,0x01ffd03f,0x7e41ff90,0xffb1003f,0xffffffff,0x07fff10f,
    0x002fffb8,0x220fff10,0x4c000fff,0x1ffcc3ff,0x0000fff2,0xfff9bfea,
    0x7ff80001,0x2009ffd0,0x36005ffd,0x7dc001ff,0x0000004f,0xfc83ffc8,
    0x7ff1003f,0x4401ffe4,0xffdeffff,0xfd87fedf,0xdffb005f,0x0ffee000,
    0x4003ffc8,0x7fc43ff9,0x0017fe63,0xff37fd40,0xff00003f,0x01fff50f,
    0x00bffe20,0x2000ffec,0x00005ffa,0x43ffc800,0x74006ff8,0x00fff26f,
    0xff87bffa,0x3ffe20c5,0x3fff7002,0x01fff000,0x20037fcc,0x7fd45ff8,
    0x0003ffa2,0xff37fd40,0xff00003f,0x02fff88f,0x007ffe40,0x2000ffec,
    0x65c05ffa,0xcccccccc,0xffc802cc,0x000ffdc3,0x7fe43ff2,0x17ffd403,
    0xfa809ff1,0xff1000ff,0xffa8005f,0x01ffd805,0xfd0fffc0,0x00fff21f,
    0x9ddb9510,0x7ffcdff9,0x2f7b6e60,0x323ffc00,0xf88006ff,0xffd803ff,
    0x2ffd4001,0x3fffffa0,0x04ffffff,0x7f43ffc8,0x3ea10206,0x807ff91f,
    0x7fcc6ffc,0x02ffdc03,0x000fffa0,0xf5003ffd,0xffa800bf,0xf33fffef,
    0xffc800df,0xffffffff,0x7ec3ffe6,0x00efffff,0x5ffd1ffe,0x1bff2000,
    0x0007ff60,0xfe80bff5,0xffffffff,0xffc804ff,0xb10ffea3,0x26ddbfff,
    0x07ff91ff,0x7d46ffd8,0x2ffe402f,0x013ff600,0x2006ff98,0x64000fff,
    0x3a4fffff,0xfd3001ff,0xfffddfff,0x47ffcdff,0xfffffffd,0x4fff00ff,
    0x0000fff9,0xe801fff3,0x7d4000ff,0xfc80005f,0x3ffc804f,0xfe983ff2,
    0xf15fffff,0x00fff25f,0x7dc5fff7,0x27fec01f,0x017ff600,0x2003ffc8,
    0x98003ffb,0x3fee0bca,0x3fffa004,0x37fecc0a,0x19ffdfff,0x413ffee2,
    0x17fee7ff,0x07ffd000,0x98006ff8,0xc80006ff,0xffc804ff,0xffd1bfa3,
    0x227ffb57,0x07ff93ff,0x93ffff98,0x7ffd00ff,0x06ffc800,0x800fff10,
    0x00007ff8,0xb801bfe2,0x3ea00eff,0x3ffffe6f,0x01fff702,0x17ff4fff,
    0x1bff2000,0x8004ff98,0x0001fff8,0x64027fe4,0xa93fe3ff,0x8bfee4ff,
    0x07ff94ff,0xddffff70,0x9ffd00ff,0x05ffc800,0x0009ff70,0x00005ffb,
    0x44007ffa,0x7d401fff,0x07fffe6f,0xf82fff88,0x007ffe7f,0x10fff500,
    0x0003fff5,0x006fffee,0x4027fe40,0x5ff33ffc,0xff907ff4,0xffca7fc3,
    0xffff9003,0xfe801dff,0x7fec004f,0x01ffd004,0x00dff300,0x009ff700,
    0x54037fd4,0x0fffe6ff,0x3e13ff60,0x01fff17f,0x27ff9800,0x00dfffff,
    0x7fffe400,0x7fe4006f,0x73ffc804,0x17fe23ff,0x9ffc1ffd,0x26003ffc,
    0xdffffffd,0x00bffb01,0xa803ffd8,0x3a0005ff,0x220001ff,0x7e4006ff,
    0x6ffa804f,0x32007ffe,0x37ff84ff,0x10000fff,0x3ffe1fff,0x100002ef,
    0x800dfffd,0xfc804ffc,0x2a1ff73f,0x13ffc3ff,0x0fff27ff,0x3fff6600,
    0x7e40cfff,0x7ff4006f,0x02ffd802,0x013fea00,0x2e1ffd80,0xffd82ced,
    0x26ffa803,0xfb801fff,0xf57ff85f,0xf10000ff,0x3fb723ff,0x10000eff,
    0x079dfff9,0x804ffc80,0x4ff93ffc,0x3fe22ffb,0x7e4bfe25,0xff50003f,
    0x41dfffff,0x3000fffb,0xf8803fff,0xff80006f,0xffa8000f,0xfffffd14,
    0x802ffe8b,0x3ffe6ffa,0x86ffb801,0x0dff57ff,0x07ffe000,0x0013ffa6,
    0x00067fdc,0x9009ff90,0xd9ff27ff,0x93fe61ff,0x7ff91ff9,0x27fee000,
    0x265fffe9,0xf9003fff,0x7ff900df,0x7ff90000,0x0fff8800,0xfffbbffb,
    0x4017ffc5,0x3ffe6ffa,0x85ffb801,0x0fff37ff,0x1fff1000,0x001ffe60,
    0x40003ff4,0xfc804ffc,0x7ecdfb3f,0xb8ffea0f,0x07ff90ff,0xd83ff200,
    0x3ffa0fff,0x07fff005,0x0001fff0,0x800dff10,0x9ff32ffd,0xffd37fc4,
    0x4dff5007,0xfc801fff,0xf17ff83f,0x980001ff,0x3fe00fff,0x7fc4000f,
    0xffc80005,0xb3ffc804,0x70ffecdf,0x937e45ff,0x360007ff,0x17ffc47f,
    0xd809fff7,0x7d400fff,0x3600004f,0xff5002ff,0x3a07fdcb,0x00fff67f,
    0xfff9bff6,0x82ffe801,0x07ffe7ff,0x0fff5000,0x4001ffe8,0x80005ffa,
    0xfc804ffc,0x7ecdfb3f,0xe87ffa1f,0x00fff24f,0x7f437f40,0x3fffe24f,
    0x7ffec40b,0x01ffe803,0x17fea000,0xd83ffe20,0x90ffc87f,0xffb80dff,
    0x007ffe6f,0xff01fff3,0x0017ffcf,0xb01bfee0,0xfa8003ff,0xfc80005f,
    0x3ffc804f,0x97fe4ff9,0xff52fffb,0x001ffe43,0x7fcc5ff8,0x7fffcc2f,
    0xffffecef,0x06ff9804,0x0ffe8000,0x3217fe40,0x87fe40ff,0xf500fff9,
    0x7ffcdfff,0x827fec01,0x17ff67ff,0x07ffd000,0x4001ffd8,0x80005ffa,
    0xfc804ffc,0x7ccff73f,0xffdefdff,0x7fe45ffd,0x4ff88003,0x4c07ffec,
    0xffffffff,0xff9003ff,0xf7000005,0x2ffcc09f,0x3fa17fdc,0x2077ff46,
    0x26ffeffb,0xf9101fff,0x9ffe01ff,0x0000fffa,0xd801fff1,0x7d4001ff,
    0xfc80005f,0x3ffc804f,0x7ff41ff7,0xffff99ff,0x403ffc86,0x7ff309bd,
    0x09fffb31,0x7ffff5c4,0xff1001cf,0x2200000f,0x3ffa07ff,0x9beff980,
    0x7fdc3ffc,0xdfffccef,0x3ffe6ff8,0xffcbacdf,0x1ffe02ff,0x20005fff,
    0xfd806ffb,0x7fd4001f,0xffc80005,0x53ffc804,0x66e443ff,0x202b7261,
    0x7fc03ffc,0xffffffff,0x2005ffff,0xb8007ffa,0x000004ff,0x3f20bff2,
    0x3fff203f,0xff906fff,0x22bfffff,0x3fffe6ff,0xefffffff,0x323ffc01,
    0xfd0005ff,0x3ffb007f,0x05ffa800,0x04ffd800,0xff33ffc8,0x7e400007,
    0x7fffc03f,0xffffffff,0xfff8003e,0x07ff4002,0xff300000,0x806ff98d,
    0x404ffffb,0x23dfffeb,0x32a26ff8,0x3dffffff,0xf98fff00,0x7d4002ff,
    0xffd800ff,0x2ffd4001,0x1ffec000,0xfd1ffe40,0x7e40000d,0x765cc03f,
    0x2cdefffe,0x1bffa000,0x02ffd418,0x7ff40000,0x01880001,0x00004c40,
    0x3e000262,0x06ffc87f,0x00bffe20,0x20017fec,0x80004ffb,0xfc801ffe,
    0x007fee3f,0x01ffe400,0x0003fec0,0x39ffff50,0x7ec1fd73,0x8000001f,
    0x00005ffa,0x00000000,0x21ffe000,0x9003fff8,0x7e400dff,0x7fe4004f,
    0x7fcc0003,0x3ffc800f,0x00017fe2,0x4001ffe4,0x400005fe,0xfffffffc,
    0x0dff34ff,0x7fc00000,0x0000000f,0x00000000,0x3ea0fff0,0x7fcc01ff,
    0x3fea001f,0xfff1000f,0xffd80005,0x87ff9005,0x80004ffd,0xf8003ffc,
    0xb800004f,0xcfffffff,0x0007ff90,0x1ffdc000,0x00000000,0xf8000000,
    0x3fff607f,0x07fff100,0x15dffd00,0x1bffea20,0x4c437b90,0x9000fffe,
    0xfff987ff,0x40b9300c,0x4c003ffc,0x000003ff,0x01599751,0x00000000,
    0x00000000,0x40000000,0x3fa207ff,0x7ff440ef,0xfff50004,0x3ff69fff,
    0x6401ffff,0xffffffff,0xfffc83ff,0x883fffff,0xeccefffe,0x3f205ffe,
    0x3fffffff,0x00015510,0x00000000,0x00000000,0x00000000,0x3ffc0000,
    0xd17ffa20,0x98000bff,0xfb4ffffe,0x7001bfff,0xffffffff,0x3fff203d,
    0x103fffff,0xfffffffd,0x7fe405bf,0x03ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c403ffc,0x0037e42f,0x25975300,0x4001abcb,
    0x2bcedcb8,0x66666540,0x4c401ccc,0x800abccb,0xccccccca,0x0000002c,
    0x00000000,0x00000000,0x00000000,0x03ffc000,0x00170298,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00001ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000fff00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04cc8000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33100000,0x00006213,0x05665d44,0x33333300,
    0x99880133,0x332a0000,0x33322004,0x80054c01,0x20000199,0xccefedb8,
    0x001ccccc,0x026aaa60,0x9ddb7510,0x1e64b955,0x02f7b6e6,0x00005300,
    0x20035951,0xfb80dfd8,0xdfff52ff,0xffa80017,0x803fffff,0xfffffff9,
    0x27fe404f,0x5fff5000,0x03ffea00,0x802fffb8,0x80001fff,0xfffffffb,
    0x02ffffff,0x7fffecc0,0xff903fff,0xffffffff,0xffb37fcd,0x001dffff,
    0x40009ff7,0xfffffffb,0x3fffa00d,0x52fffb86,0x1bffffff,0xfffff700,
    0x9809ffff,0xffffffff,0x027fe404,0x017ffa00,0x3e02ffec,0xff806fff,
    0x7e40001f,0xffdbceff,0x002fffff,0x3fffffee,0x7f443fff,0xfffeefff,
    0x23ffe6ff,0xfffffffd,0x7fe400ff,0xffd88004,0xffffffff,0xfffff981,
    0x98fffdc1,0xffffffed,0x37ffe202,0x1fffea89,0x2aaaaa20,0x7e404ffe,
    0x7dc0004f,0x7fc400ff,0x7fffc02f,0x01fff806,0x0fffe600,0x0013ffa6,
    0x2affffe6,0x3e22cca9,0xfd982eff,0x3fbffe6f,0xfff710cf,0x04ffc809,
    0x77fff440,0xffffecac,0x7ffffcc2,0x80fffdc0,0x01ffffd9,0xff10dff7,
    0xff90007f,0x04ffc809,0x1fffc400,0x201ffee0,0xf803fffc,0x360001ff,
    0x3fe605ff,0x7ff4000f,0xdff7000e,0xf37fd401,0x2e05ffff,0x3f200fff,
    0x7fe4004f,0xdfff502f,0x70bfffd0,0xf9803fff,0xffc80fff,0x009ffb04,
    0xc809ff90,0xd80004ff,0x7ff406ff,0x00595004,0x80007ffe,0x7fc02ffe,
    0x3fe2002f,0xfff1001f,0x26ffa805,0x2201ffff,0x3f202fff,0x3fe2004f,
    0x7ffd403f,0xf503cb82,0xff5003ff,0x09ffd07f,0x2000fff2,0x7e404ffc,
    0xfa80004f,0xfff101ff,0x3e000003,0x3e0001ff,0x7ff401ff,0x1ffe6002,
    0x806ffb80,0x3ffe6ffa,0x74ffd803,0xdffd9999,0x99999999,0xd802ffec,
    0xfa8006ff,0xffd001ff,0x20bff90d,0xc8002ffe,0x7fe404ff,0xfff00004,
    0x01bfee09,0x1fff8000,0x0bffe000,0x4003fff0,0x32006ffb,0xffa804ff,
    0x2007ffe6,0xfffd4ffc,0xffffffff,0x3e2fffff,0xff5002ff,0xffa8003f,
    0xfff9000f,0xc81fff70,0xc8000eff,0x7fe404ff,0x1e664c04,0xfd07ffc8,
    0x9999107f,0xf0059999,0x776d43ff,0x17ffa03d,0x4007ffa8,0x36005ffb,
    0xffa803ff,0x2007ffe6,0xfffd5ffb,0xffffffff,0x3eafffff,0xff1000ff,
    0xffa8005f,0xfff7000f,0x64bfff10,0x90001fff,0xffc809ff,0x3fffe604,
    0x85fff100,0xf980fff9,0x4fffffff,0xe88fff80,0x0effffff,0x983fffa8,
    0x5c004fff,0x3fa005ff,0x6ffa802f,0x2e007ffe,0x3ff206ff,0x0dff7004,
    0x003ffe80,0x8007ffd4,0xff706ffc,0x05fffd9f,0x027fe400,0x7c413ff2,
    0x7ec00eff,0x82ffe45f,0xfffffff9,0x9fff804f,0xfffeffff,0xdfffd06f,
    0x0dfffd99,0x00bff700,0x54017ffc,0x07ffe6ff,0xc817fee0,0xff9004ff,
    0x4ffd800b,0x07ffcc00,0x02fffc40,0x3dfffffd,0x4ffc8000,0x4427fe40,
    0xa800efff,0x3ffa0fff,0x27fe4002,0x7fffffc0,0x0bfff663,0xfffffff5,
    0x5c019fff,0xffffffff,0xffffffff,0x200fffa7,0x3ffe6ffa,0x03ffc801,
    0x6c013ff2,0x7ec004ff,0x7fcc005f,0x5d4cc40f,0x3600ffff,0x0004ffff,
    0xc809ff90,0x7ffc44ff,0x3ffe000e,0x000fff33,0xff009ff9,0x3fe03fff,
    0x5cfffc4f,0x801bceed,0xfffffffb,0xffffffff,0x00fff67f,0xfff9bff6,
    0x02ffd801,0x74013ff2,0x7e4003ff,0x7fcc006f,0xfffffb87,0xffd302ff,
    0x9930dfff,0x13ff2009,0x7449ff90,0x64000eff,0x09ffb6ff,0x009ff900,
    0x6c03ffff,0x13fe65ff,0x3bbaa000,0xeefffeee,0x325eeeee,0x7fdc06ff,
    0x007ffe6f,0x6403fff3,0xffd004ff,0x5ffc8007,0xff980544,0xfffffb87,
    0xdfff100d,0xfa89fff9,0x9ff9006f,0xd14ffc80,0x10001dff,0x3fff3fff,
    0x09ff9000,0xb805fff0,0x1bfee6ff,0xffb80000,0x3ffea005,0xdffff500,
    0x3600fffc,0x7fe405ff,0x09ffb004,0x2e4ffd80,0xff982fff,0x00dffb87,
    0xfb0effe8,0x2ffe47ff,0x404ffc80,0xffe8cffc,0x3f60000e,0x0006ffef,
    0xff009ff9,0x7ff9803f,0x26f7ffea,0x40001999,0x74005ffb,0xeffb86ff,
    0x07ffe6ff,0x007ffec4,0x64013ff2,0x7ec005ff,0xfffff13f,0xb87ff881,
    0xffa804ff,0x3fffa20f,0x2009ffb1,0x7e404ffc,0x00effedf,0x7fffd400,
    0xff90003f,0x03fff009,0x7f47ff98,0xffffffff,0x5c001def,0x7dc005ff,
    0xfffcceff,0x3fe6ffad,0xfdbacdff,0xfc802fff,0xdff9004f,0x52ffe800,
    0x883fffff,0x3ffa87ff,0x985ffc80,0xffe8ffff,0x09ff9003,0xffedffc8,
    0xff80000e,0x320007ff,0xfff804ff,0x23ffcc01,0xffffffe8,0x05ffffff,
    0x0017fee0,0x3ffffff2,0x7cdff55f,0xffffffff,0xf9001eff,0x3fee009f,
    0xfff3000f,0x3ffffe23,0x543ffc40,0xffd803ff,0xfdfff503,0x3f2003ff,
    0x67fe404f,0x000efff8,0x01fffe40,0x009ff900,0xf9803fff,0x67ffdc7f,
    0xfffdcccc,0xff7004ff,0x3fae000b,0x3fea3dff,0x3ffbffe6,0x4003dfff,
    0xf3004ffc,0x3f2005ff,0x17ffdc7f,0x74c2f744,0x3ffe802e,0x3fffff20,
    0x13ff2006,0x3e69ff90,0x640005ff,0x20000fff,0xff804ffc,0x3ffcc01f,
    0x9801fff7,0xf7007ffe,0x988000bf,0x3e6ffa80,0x001331ff,0x002ffdc0,
    0x3e00bffd,0x009883ff,0xffb00000,0xffffd809,0x13ff2003,0x7d49ff90,
    0xf10005ff,0xc80009ff,0xfff804ff,0xd3ffcc01,0x3ea005ff,0xffb801ff,
    0x2a000005,0x07ffe6ff,0xfffa8000,0x7fff5000,0x006ffd80,0xf9000000,
    0x7fc401ff,0x3f2002ff,0x27fe404f,0x0013ffee,0x0003fff6,0xf009ff90,
    0xff9803ff,0x003fff17,0x2003ffe6,0x00005ffb,0xff9bfea0,0x2200001f,
    0x3a005fff,0xfc883fff,0x2a0002ff,0x0017701b,0x101dfff3,0x01fffffd,
    0x9013ff20,0xfff909ff,0x7ffe4009,0xffc80002,0x01fff804,0xff8bffcc,
    0xdffb003f,0x017fee00,0x6ffa8000,0x00007ffe,0x79ffff90,0xff98db97,
    0xffecdfff,0x2e0005ff,0x7ff42fff,0xfffc800e,0xfffeccdf,0x9006ffff,
    0xffc809ff,0x07fffb04,0xfffd5331,0x3f200009,0x1fff804f,0xfd3ffcc0,
    0xb30137ff,0x2e005fff,0x000005ff,0xfff9bfea,0x74400001,0xffffffff,
    0xffffe887,0x002fffff,0x52ffffc0,0x2005ffff,0xfffffffd,0xfffc9eff,
    0x333332e5,0xcccceffe,0x409ff90c,0x7f42fffe,0x004fffff,0xecccccb8,
    0xccccceff,0x3007ffe0,0x7ffccfff,0xfffeffff,0x2e003fff,0x000005ff,
    0xfff9bfea,0xd7000001,0x0bffffff,0x3ffff722,0xf80001de,0x3fe65fff,
    0x366002ff,0x42dfffff,0xffd3fffd,0xffffffff,0x3f21ffff,0x3ffa204f,
    0x3ffffa2f,0xffd0001e,0xffffffff,0x7fc1ffff,0x3ffcc01f,0x3fffff66,
    0x01dfffff,0x002ffdc0,0x4dff5000,0x00001fff,0x00199880,0x000004c4,
    0xfb07ffea,0x4c4000bf,0xfffe8000,0xffffffff,0x9ff90fff,0x1ffff980,
    0x000359b9,0xffffffe8,0xffffffff,0x3007ffe0,0x32a20fff,0x00abcddc,
    0x00bff700,0x1e64c000,0x00001999,0x00000000,0x804c4000,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x33333333,0x54400133,0x400001ab,
    0x98801998,0x2001abca,0x4000dfd8,0x001aaba8,0x2ab32ea6,0x33333300,
    0x4c333333,0x33100099,0x5dd44001,0x975100aa,0x98801359,0x99999999,
    0x20999999,0x4c001999,0x06662099,0x204ccc00,0xfffffff9,0x805fffff,
    0xffffffeb,0xfdb50003,0x2201ffff,0xfffffffd,0xfffe802e,0xfffd9806,
    0x81dfffff,0xffffffc8,0x7fcc6fff,0xffffffff,0x05fff1ff,0x501bfea0,
    0xfffffffd,0x3ffa65bf,0x1dffffff,0xffffff90,0xffffffff,0x17ffdc9f,
    0x22fffa80,0x4002fffc,0x7cc3fff9,0xffffffff,0x7e405fff,0xffffffff,
    0x3ffae005,0x80ffffff,0xfffffffb,0x2604ffff,0x201fffff,0xfffffffb,
    0x7d43ffff,0xffffffff,0x7ffcc7ff,0xffffffff,0x005fff1f,0xfc81bfea,
    0xffffffff,0xffff34ff,0x7fffffff,0xffffff90,0xffffffff,0x06ffe89f,
    0x445fff88,0x74006fff,0xeff986ff,0xcccccccc,0x3fff603c,0xfffda9bd,
    0xffffd806,0x984ccdef,0xa9acefff,0x303fffec,0x101fffff,0x59dffffb,
    0x4c7ffb97,0x9aacffff,0x6447ecaa,0xcccccccc,0x5fff1fff,0x21bfea00,
    0xceffffe9,0x34ffdcbb,0x953357bf,0xeb83ffff,0xeeeeeeee,0x43ffffee,
    0x6404fff9,0xffb80fff,0xfff5003f,0x00bff305,0x03fffa80,0x6c05fff7,
    0x2001dfff,0x7ec06ffe,0x3fffa06f,0x1dfffb05,0xffd15c40,0x2000001d,
    0xfff1fff8,0x1bfea005,0x80bffff1,0x3e6003b8,0x220004ff,0xff905ffe,
    0x3ffe601f,0x03fffa03,0x4c17ffa0,0x740005ff,0x7fe404ff,0x05fff706,
    0x807fff00,0x65c07ffa,0x09fff303,0x01fff300,0x7fc40000,0x005fff1f,
    0xff91bfea,0x4000007f,0x20006ffc,0xf100fffc,0x3ffa0bff,0x27ffd406,
    0x407ffea0,0x20005ff9,0x4400fff9,0x7fc41fff,0xff98002f,0x3ffcc00f,
    0x1bff6000,0x037fdc00,0x3fe20000,0x005fff1f,0xff89bfea,0x4000003f,
    0x30007ffa,0xfa807fff,0x7ffdc2ff,0x0fffd801,0x9813ffa0,0x320005ff,
    0xfe8805ff,0x027fdc4f,0x805fff00,0x20005ffc,0x0002fffa,0x0000fff9,
    0xf1fff880,0x3ea005ff,0x03fff66f,0xff700000,0x3ffa000b,0x1fffb005,
    0x400fffe2,0xf704fff9,0x7fcc01ff,0x3ffa0005,0x7fff4c02,0x000fff45,
    0x401dff90,0x20002fff,0x20006ffc,0x0003fffa,0x47ffe200,0xf5002fff,
    0x01fffcdf,0x7fe40000,0xfffc8002,0x9fff1000,0x9001bff6,0xfff03fff,
    0x05ff9807,0x807ffe00,0x26fffffb,0x40007ff8,0x4c1efff9,0x0000fffe,
    0x80013ff6,0x003ffff8,0x3fff1000,0x5400bffe,0x1fff36ff,0xf9800000,
    0x7cc000ff,0x7dc003ff,0x01fffbff,0x22fffc40,0xf9807ffb,0x1abcccef,
    0x407ffc40,0xffefffd8,0x5c57fea7,0x403ceeec,0xc9dffffa,0x0000efff,
    0x0001fff4,0x0bbfffea,0xfff10000,0x400bffe3,0xfff56ffa,0xfb800000,
    0xfe8001ff,0xffd0006f,0x20009fff,0xff11fffb,0xfff3005f,0x7dffffff,
    0x261ffe60,0xff8bffff,0xfbdff70f,0xdfffffff,0x7fff4c05,0x0004ffff,
    0x0005fff0,0xffffff70,0xf1000019,0x0bffe3ff,0xfbb7fd40,0x9999306f,
    0xddb07999,0x001dffff,0x001fff90,0x3ffffe60,0x3ffa0000,0x200dff75,
    0xfffffff9,0x540effff,0x7ffdc7ff,0x647ffe1f,0xdeffffff,0x02fffffd,
    0x3fffffe2,0xf880001e,0x100001ff,0xbffffffb,0x7fc40003,0x005fff1f,
    0x7fe5bfea,0xfffff705,0xffff0bff,0x8005bfff,0x0003fff9,0x0027ffec,
    0x3ebffea0,0x266001ff,0xffca9999,0x3fe60eff,0x1bfffb16,0xff90fff8,
    0xff5015df,0xffd101ff,0x09ffffff,0x4c19fd30,0x00001fff,0x7ffffe4c,
    0xff10004f,0x00bffe3f,0xffdb7fd4,0xfffff705,0xdddb0bff,0x01dfffff,
    0x001bffa0,0x1fffff30,0xfffe8000,0x800005ff,0x3e62fffd,0x3ffffaff,
    0xfb0fff88,0xfff300bf,0xaefff987,0x05ffffc8,0xf12ffffc,0x000005ff,
    0x3ffffae2,0xfff88006,0x2005fff1,0xdff96ffa,0x32666620,0xf93005ff,
    0xfc801fff,0x740000ff,0x005fffff,0x7ffffcc0,0xfd000000,0x7fffc49f,
    0xff301eff,0x802ffe4f,0x3fea5ffd,0xfffe985f,0xfffff104,0x001fffc3,
    0x7ffd4000,0x7fc4004f,0x005fff1f,0x7fddbfea,0x17fee007,0x0bfff300,
    0x001fffcc,0x3f3ffee0,0x6c0002ff,0x00004fff,0xff1bff20,0x5401bfff,
    0x1bfee6ff,0xfd37fdc0,0x7ff4409f,0xfffff00f,0x0027ff47,0xffe88000,
    0x3fe2000f,0x005fff1f,0x7fd5bfea,0x17fee007,0x81ffee00,0x40006ffe,
    0xffd4fff8,0x7cc0001d,0x000000ff,0xffd1ffea,0xbff7007f,0xa8037fd4,
    0x1fff37ff,0x03fff980,0x6c7ffff5,0x000006ff,0x007ffea0,0xff1fff88,
    0x3fee005f,0x005fff15,0x20017fee,0xfb80fff9,0x6c0001ff,0xfff30fff,
    0x7fcc0009,0x2000000f,0x7fec5ffc,0x47ffd005,0xf7007ff9,0x017feebf,
    0xfb027ff4,0x7ffdc5ff,0x20000002,0x26003fff,0x7ffb0fff,0xf93ff200,
    0xff7006ff,0xfff3000b,0x007fff30,0x42fffa80,0x0001fffc,0x0001fff3,
    0x227ff400,0x4c00fff9,0x3fe20fff,0x4ffd802f,0x3a00bffb,0x3fee04ff,
    0x1bffe21f,0x7c400000,0x3ea001ff,0x017ff27f,0xff517ff4,0xbff7005f,
    0x0dff7000,0x8000dffd,0xf885fff8,0xf30006ff,0x000001ff,0x3a07fff2,
    0x7ff405ff,0x405ffc84,0xff71fff9,0xfff8801f,0x21bff602,0x000dfffb,
    0x3ffdc000,0x4bffd001,0x5400fffb,0x7ff40fff,0x2ffdc02f,0x13ffe200,
    0x0003fff7,0x701fffd8,0x30007fff,0x00001fff,0x03fffc88,0x3609fff5,
    0xff881fff,0xbffd104f,0x8077ffcc,0x500fffe8,0x3fa05fff,0x36602eff,
    0xb8801573,0x0bb25fff,0x3a0fffe4,0xff501eff,0xffff307f,0x17fee017,
    0x46ffea80,0x0003fff9,0x2027ffd4,0x4001fffe,0x4000fff9,0xecbbccdc,
    0x6c04ffff,0xfdbcefff,0x3f602fff,0xfcbaceff,0x7fe40fff,0xfdcacdff,
    0x2e622fff,0x2604fffd,0xdefffffe,0xff3fffed,0xdb99bddf,0xfc8dffff,
    0xfffdceff,0xffffa85f,0xfffecacd,0x3fffee06,0xffeccdff,0x7799bb5f,
    0x1ffffdb9,0xffffffe8,0xffffffff,0x3fffe26f,0x37ffcc00,0x03ffe600,
    0xfffffb00,0x005dffff,0x3ffffff2,0xfc801fff,0xffffffff,0xffffb00d,
    0x5fffffff,0x3fffffa8,0xfffff900,0x27ffffff,0xffffffff,0x40dfffff,
    0xfffffffc,0x3fee04ff,0xffffffff,0x7ff4c00d,0xffffffff,0xffffff5f,
    0x019fffff,0xffffffff,0xffffffff,0x017ffe4d,0x003fffc8,0x0003ffe6,
    0xfffffffb,0xfb50007d,0x0039dfff,0x7fffff54,0xffd9802e,0x80bfffff,
    0x000deffa,0x7ffff654,0xfd909bde,0xffffffff,0x7ff5c019,0x8802dfff,
    0xefffffed,0x7f6dc002,0x22dfffff,0xffffffff,0x3ffe00ce,0xffffffff,
    0xf56fffff,0x7c400bff,0xf3000fff,0x310001ff,0x00001353,0x880000c4,
    0x26200009,0x0018801a,0x8004c400,0x0019a998,0x80001330,0x10000099,
    0x4cc01353,0x000009a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x4401abb9,0x31000099,0x000ccc13,0x2a001988,0x4ccc402a,0x40998800,
    0x33001998,0x4cccc413,0x99999999,0x06660999,0x3104ccc0,0x33333333,
    0x33333333,0x4cccccc4,0x09999999,0x22001333,0x33331099,0x99800133,
    0x99999999,0xdd500999,0x3fffaa07,0xf901efff,0x3fe000ff,0x00fff14f,
    0x2e01ffe0,0x3600ffff,0xfa806fff,0x0ffffc5f,0xe9bffee0,0xffffffff,
    0x4fffffff,0xb803fff1,0x3fea2fff,0xffffffff,0x1fffffff,0xfffffffd,
    0x2bffffff,0xf7002fff,0x3ffffadf,0x00ceffff,0x3fffffe6,0x3fffffff,
    0x44ffff98,0xfffffffc,0xffa83fff,0x7fcc002f,0x001ffe1f,0xfd503ffc,
    0x6c01ffff,0x5401ffff,0x7fffc5ff,0x37fff404,0xfffffffd,0xffffffff,
    0x807ffe29,0x7d43fff9,0xffffffff,0xffffffff,0xffffffd1,0xbfffffff,
    0x5c00bffe,0xffffd6ff,0x9fffffff,0x3ffffe60,0xffffffff,0xfffffa83,
    0x59dfffd0,0x03ffff95,0xc8009fff,0x07ffc6ff,0x5437fc00,0xfffffffe,
    0x3ffff600,0x22ffd405,0x2607ffff,0x3b27ffff,0xeeeeeeee,0x14fffeee,
    0x3e203fff,0xccc985ff,0xcfffdccc,0x70cccccc,0xfffb9999,0x3e599999,
    0xff7002ff,0x3337ffad,0x3fffffdc,0xccdfff98,0x1ccccccc,0x1fffff88,
    0x3e603ff7,0x7ffd85ff,0x21fff400,0x44000ffe,0x3ffa66ff,0x0fffdeff,
    0x3fffff60,0x897fea01,0x902ffeff,0x000fffdf,0xf88fffc4,0xdffd01ff,
    0x1fff3000,0x3ffe6000,0x00bffe00,0xffeb7fdc,0xfffea883,0x007ffcc0,
    0x3ffff200,0xff9002e2,0x03fff50f,0xd07ffe60,0xf88003ff,0x3bffe25f,
    0x401fff72,0x05ffdffd,0xff897fea,0x9ff05ffc,0x64000ffd,0x3ffe25ff,
    0x00fffc81,0x00fff980,0x01fff300,0xb8017ffc,0x07ffd6ff,0x2617ffcc,
    0x80000fff,0x4000ffff,0xff81fff9,0xdff7004f,0x8003ffb0,0x1fec5ff9,
    0xd803ffee,0x00fffaff,0x7fc4bff5,0x7d40ffdb,0x0007fe9f,0x7c43fff1,
    0x7ffdc1ff,0xfff30001,0x3fe60001,0x0bffe00f,0xfeb7fdc0,0x1fffc03f,
    0x0003ffe6,0x001fff60,0x360bffe2,0xffd007ff,0x005ffb07,0x0444ff98,
    0xb007ffdc,0x09ffb3ff,0xff997fea,0x7ec2ffbb,0x0001ffd6,0xff88bff9,
    0x0bffe61f,0x0fff9800,0x1fff3000,0x8017ffc0,0x7ffd6ffb,0x4c4ffe80,
    0x80000fff,0x88005fff,0xffa81fff,0x7ffc401f,0x002ffc81,0xb8027fcc,
    0x3f600fff,0x80fff99f,0x3fe65ffa,0x3e25ff8b,0x001ffb3f,0x441fff88,
    0xffd11fff,0xff980009,0xff30000f,0x17ffc01f,0xfd6ffb80,0x3fff807f,
    0x0007ffcc,0x003fff20,0x403ffe60,0x7dc04fff,0x05ff906f,0x7ff50bfd,
    0x03ffee00,0xffd1ffd8,0x54bff509,0x21ffb3ff,0x3ffb0ffb,0x86ffc800,
    0xffb1fff8,0xff30000b,0x3e60001f,0x3ffe00ff,0x2dff7002,0x3ea03ffe,
    0x7ffcc1ff,0x75cc4000,0xb0002fff,0x7fec0dff,0x81fff406,0x7fcc3ffb,
    0x01ffd40f,0x200fffb8,0xfff51ffd,0x2a5ffa81,0x27ff53ff,0x07ff66fe,
    0x82fff880,0xffc9fff8,0xff300006,0x3e60001f,0x3ffe00ff,0x2dff7002,
    0xff503ffe,0x1fff309f,0xffffc800,0xff30002e,0x7ffd405f,0x03fff101,
    0xff70ffea,0x02ffb87f,0x401fff70,0x3ffa1ffd,0xf52ffd43,0x7c77fc5f,
    0x007ff62f,0xf106ffb8,0x01fff9ff,0x3ffe6000,0xfff30000,0x7ffffc01,
    0xffffffff,0xbffd6fff,0xfffd9755,0xbfff301d,0x99999999,0x0277fe49,
    0x0dffd100,0x2e07fff0,0x3fea06ff,0x22ffff44,0xf7001ffb,0x7fec01ff,
    0xf51ffee1,0x917fdcbf,0x641ff9ff,0xff1002ff,0x3ffe205f,0x00004fff,
    0x0003ffe6,0xf007ffcc,0xffffffff,0xdfffffff,0x3ffffffa,0x2604ffff,
    0xffffffff,0x0227ffff,0x7ffec000,0x06ffd800,0x7cc07ffb,0x3fffe64f,
    0x007ff20f,0xb007ffdc,0x2fff83ff,0xffb97fea,0x17fffe62,0x2e005ff9,
    0x3fe206ff,0x002fffdf,0x01fff300,0x03ffe600,0xeeeefff8,0xfeeeeeee,
    0xfffffd6f,0x9801dfff,0xffffffff,0x0007ffff,0x01fffd80,0x881fff50,
    0x3e600fff,0x3effee5f,0x003ff23f,0xb007ffdc,0x6ffb83ff,0xffc97fea,
    0x217fff42,0xf8802ffc,0x3fe202ff,0x01fffd9f,0x0fff9800,0x1fff3000,
    0x8017ffc0,0x9ffd6ffb,0x1bffd733,0x4d7ffcc0,0x19999999,0x00026662,
    0x000bfff2,0xffa87fff,0xd2ffc406,0x6cdff1bf,0xff7000ff,0x0ffec01f,
    0x7d4bffe2,0x70bff25f,0x7ff90fff,0x80dff700,0xfe89fff8,0x4c0000ef,
    0x30000fff,0x7fc01fff,0xdff7002f,0xfd10fffa,0x7ffcc0bf,0x7ffe4000,
    0x7ffe4003,0x6ffd8002,0x2201ffec,0x27ff15ff,0x0ffb0ffe,0x007ffdc0,
    0xff903ffb,0xfc97fead,0x427fc41f,0xff803ffb,0x7ffc403f,0x00bfff31,
    0x00fff980,0x01fff300,0xb8017ffc,0x07ffd6ff,0x2605fff3,0x64000fff,
    0x32003fff,0x50003fff,0x3fe21fff,0x76ff800f,0x4ffee1ff,0x3ee007fd,
    0x3ff600ff,0xa9fff881,0x07ff65ff,0x807ff700,0xf8807ffb,0x3ffee1ff,
    0x3fe60003,0xff30000f,0x17ffc01f,0xfd6ffb80,0x1bff607f,0x0007ffcc,
    0x400bffee,0x0002fffc,0xffa9fffc,0x3afff006,0x75bfe26f,0x3fee007f,
    0x07ff600f,0x7fd6ffe4,0x0007ff65,0xff809ff7,0xfff8803f,0x00fffec1,
    0x00fff980,0x01fff300,0xb8017ffc,0x07ffd6ff,0x260bffe6,0x5c000fff,
    0xfc802fff,0xd80002ff,0x07ffb5ff,0x3fe3ffa0,0x7f4ffec3,0x3ffee006,
    0x407ff600,0x5ffbfff9,0x70007ffa,0x7fdc09ff,0xfff8800f,0x07fff441,
    0x07ffcc00,0x0fff9800,0x400bffe0,0x7ffd6ffb,0x4c37ff40,0x54000fff,
    0x7e401fff,0x500002ff,0x1fff1fff,0x3efffa00,0x767fdc0f,0x3fee006f,
    0x07ff600f,0x5ffeffd8,0x50007ffa,0x7ffc0bff,0x3fff1004,0x00dfff30,
    0x001fff30,0x803ffe60,0xf7002fff,0x80fffadf,0x7cc2fffa,0x7d4000ff,
    0x3ff201ff,0x7c00002f,0x006ffdff,0x21bfbff6,0x05fffff8,0x803ffee0,
    0x3e601ffd,0x3fa5ffff,0x7fd4000f,0x01fff705,0x407ffe20,0x4004fffa,
    0x0000fff9,0x7c01fff3,0xff7002ff,0xd00fffad,0xfff98dff,0x7ffcc000,
    0xfffff300,0xffffffff,0xffb00bff,0x6c007fff,0xfb03ffff,0xffb09fff,
    0xffffffff,0x3f67ffff,0x7fff401f,0x003ffe5f,0x3e0bff50,0x3e2004ff,
    0x3ff201ff,0x3fe6002f,0xeeec800f,0xeeefffee,0x05fff4ee,0x7f5bfee0,
    0x7ffd403f,0x003ffe61,0x201fff30,0xfffffff9,0xffffffff,0xffffa805,
    0x3ff2000f,0xfff500ff,0xffffb09f,0xffffffff,0x07ff67ff,0x4bffff50,
    0x54000fff,0xfffb86ff,0x3ffe2000,0x0ffff401,0x00fff980,0xffffffe8,
    0x5fffffff,0x2e005fff,0x07ffd6ff,0x7ccbffd0,0x544000ff,0x3ffe602a,
    0xffffffff,0xf005ffff,0xb800dfff,0x3e206fff,0xffd83fff,0xffffffff,
    0xffb3ffff,0xbfffd003,0x20007ffc,0xffe86ff9,0x7ffc4004,0x77ffc401,
    0x0fff9800,0xfffffe80,0xffffffff,0x2005fff5,0x7ffd6ffb,0x23fff700,
    0x0000fff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999980,0x09999999,0x03333333,
    0x80cc4000,0x26660099,0x00099999,0x00999880,0x99998000,0x26666600,
    0x33100199,0x4c400001,0x11001abb,0x22000000,0xefdb9800,0xcb9800bc,
    0x00cdefee,0x99981333,0x3ffffe61,0xffffffff,0xfffffff3,0x00059dff,
    0x3fe03fee,0x3ffffe04,0x02efffff,0x0fffff00,0xfffa8000,0x3fffe05f,
    0x1dffffff,0x0009ff90,0xfffffb10,0x77c403ff,0x4c000001,0xffb100ef,
    0x05ffffff,0x7ffffff4,0x7c44ffff,0x3fffc6ff,0xfffffff3,0x27ffffff,
    0xffffffff,0x000dffff,0x7fc43fe4,0x3ffffe04,0xffffffff,0x3ffea001,
    0x100002ff,0x40bffffd,0xffffffff,0x641effff,0x540004ff,0xffffffff,
    0xfffd04ff,0x2a000005,0xfe985fff,0xfffeceff,0xfffff04f,0x9fffffdd,
    0x3a2fffc4,0x3ffe67ff,0xcccccccc,0x9bfff2cc,0xffffdb99,0x3fec007f,
    0xff01ffcc,0xfb9999bf,0x2001dfff,0x04fffffc,0xffff9000,0x5fffc0bf,
    0xfffdcbaa,0x13ff20ef,0xefff9800,0xfffda88a,0x3fffe883,0x7fe40000,
    0xeffe80df,0x81fffd80,0xfe980adf,0x17ffe1ff,0x7fccfffd,0x2fff8007,
    0x07ffff20,0x7d437f40,0x07ffe02f,0x027ffe44,0x7ffbfff8,0xfff98000,
    0x3fe05ffc,0xfff9101f,0x0027fe4d,0x204ffe88,0x3f607ffc,0x880004ff,
    0xf704fffd,0x6ffd80df,0x7fff1000,0x3f627ffc,0x01ffe66f,0x300bffe0,
    0x3e00bffd,0x01ffb85f,0xfd007ffe,0xdff500bf,0x0005fff1,0xffbaffe8,
    0x007ffe05,0x3f23fff7,0xff70004f,0x07ffd00d,0x006fffe4,0x3fffe880,
    0x1007ffe0,0x20003fff,0x3ffe5ffd,0xf337fec4,0xfff000ff,0x5fff5005,
    0xbff33330,0x5ff93333,0x1fff8333,0x403ffdc0,0x9ffb3ffc,0xaffdc000,
    0x3fe05ffb,0x3fff801f,0x20009ff9,0xfb803ffd,0x7ffd407f,0x7fcc001e,
    0x3fea01ff,0x05ffd006,0xe9bfee00,0x2ffe43ff,0xf000fff3,0x3fa005ff,
    0x7fffcc6f,0xffffffff,0x20ffffff,0x7dc01fff,0x1fff805f,0x2000fff7,
    0xff70fff9,0x00fffc0b,0xffcaffec,0x5fff0004,0x01fff100,0x02ffff98,
    0x01dfff50,0xb005ffb8,0x2a0007ff,0x0fffa6ff,0x7fccbff9,0x2fff8007,
    0x98fff700,0xffffffff,0xffffffff,0x07ffe0ff,0xa807ffb0,0x3ffe26ff,
    0x3ffe8001,0xff817fee,0x5ffc801f,0x10009ff9,0x3e003fff,0xfe8801ff,
    0x7fe403ff,0xfff9005f,0xdddddddd,0x2609fffd,0xfffffedc,0x0bff66ff,
    0x7fcc9ff7,0x2fff8007,0x81fff300,0x9bffb999,0x99eff999,0x00fffc19,
    0xc801fff5,0x27ff44ff,0x717fee00,0x7ffc0bff,0x94ffd801,0x3e0009ff,
    0xfff002ff,0x7ffec005,0x09fffb04,0x7ffffec0,0xffffffff,0x7fecc5ff,
    0xffffffff,0x302aa66f,0x3ffcc355,0x017ffc00,0x201fff98,0x5ff81ffb,
    0x440fffc0,0xf802fffc,0x3ffdc1ff,0x81fff100,0x3fe05ffb,0x2fff801f,
    0x20009ff9,0xfd004ffe,0xffb8007f,0xfffd10df,0xfffd8005,0xeeeeeeee,
    0x3e63eeee,0xccccefff,0x0006ffdc,0x7fffffcc,0x0fffffff,0x22005fff,
    0x3f202fff,0x027fc40f,0x3bbbbffe,0x800dffff,0xff987ffa,0x7ffb001f,
    0x7c0bff70,0x7fe401ff,0x009ff90f,0x007fff20,0x8007ffd1,0x7ec4fffc,
    0x7e4004ff,0x7f40004f,0x3fea01ef,0x01999886,0x3fffffe6,0x0fffffff,
    0x7c005fff,0x1ff203ff,0xff013fe2,0xffffffff,0xff9005bf,0x013ffa09,
    0x7dc1bfea,0x07ffe05f,0x917ffe44,0x220009ff,0x220bffff,0x03ffffda,
    0x05fffd10,0x0037ffee,0x00037fdc,0xa803fff3,0xffd886ff,0xdfff304f,
    0xdddddddd,0x00bffe1d,0x3603fff8,0x03ff987f,0x77777ffc,0x0dffffff,
    0x640bffe0,0x7fc407ff,0x0bff701f,0x6666fffc,0x45ffffec,0x20004ffc,
    0xfffffffa,0x1fffffff,0x1fffe980,0x0f7ffd40,0x007ffd40,0x807ffa80,
    0x3ee06ffb,0x7ff984ff,0x02fff800,0x405fff10,0x2ffa86fe,0x440fffc0,
    0x505fffea,0x7fcc0fff,0x13ff201f,0x3e05ffb8,0xffffffff,0xffc82fff,
    0x7f440004,0xbeffffff,0x7d400ffe,0xd3000eff,0xfd005fff,0x3ee000bf,
    0x7ffd407f,0x27ffcc06,0x2001ffe6,0xf3002fff,0x4cccc3ff,0xc9999eff,
    0xf8199aff,0x7fe401ff,0x05ffc82f,0xf9827ffc,0x2ffdc06f,0xfffffff0,
    0x32017bff,0x300004ff,0x7c357995,0x7ffdc07f,0x7f44000d,0x7fd403ff,
    0x7cc000cf,0xffd882ff,0xfd8806ff,0x01ffe64f,0x400bffe0,0xff30fffa,
    0xffffffff,0xffffffff,0x801fff81,0xfff84fff,0x9999999b,0xffd06ffd,
    0x33333337,0x1333dff9,0x4ccd7ffc,0x09ff9000,0x3e600000,0x3fff606f,
    0x7fec0004,0x7fff404f,0xdcaaabcf,0x6ffff45e,0xfefffdba,0x8666006f,
    0xf8007ff9,0xffb002ff,0x7ffffccd,0xffffffff,0x7c0fffff,0xffd801ff,
    0x7ffffd45,0xffffffff,0x7ffcc1ff,0xffffffff,0x6fffffff,0x40007ffe,
    0x00004ffc,0x10bff700,0x0007fffd,0x03bffee0,0xffffffc8,0x545fffff,
    0xffffffff,0x006ff8bf,0x003ffcc0,0x4c017ffc,0x4ccc3fff,0x9999cffb,
    0x81999ffe,0xfd801fff,0x7fffe45f,0xffffffff,0x7fcc4fff,0xffffffff,
    0xffffffff,0x0007ffe6,0x00027fe4,0x0fff4400,0x007fffe6,0xdfff5000,
    0x7ff6cc03,0x82dfffff,0xdfffffd9,0x000dff10,0x8007ff98,0xfe802fff,
    0x3fea00ff,0xf806fe82,0xfff801ff,0x7777ffc3,0xeeeeeeee,0x666446ff,
    0xcccccccc,0x3ccceffe,0x40007ffe,0x00004ffc,0xe84ffd80,0x00000eff,
    0x00bfff30,0x0004cd4c,0x00000133,0x8007ff98,0x3a202fff,0x7dc03fff,
    0x805ff81f,0x7dc01fff,0x3ffea1ff,0x3fff5000,0x2ffdc000,0x0003fff0,
    0x00013ff2,0x0fffd880,0x0000de88,0x002f4400,0x00000000,0x03ffcc00,
    0x2217ffc0,0x05ffffb9,0x7c40ffc8,0x1fff804f,0x89fff910,0x7c005ffc,
    0x2e0003ff,0x3ffe05ff,0x9ff90001,0xd9980000,0x0002ffff,0x00000000,
    0x00000000,0x77ffcc00,0xeeeeeeee,0xdddfff2e,0x7fffffff,0x221ff200,
    0xfff804ff,0xfffeeeee,0x2fff85ff,0x037fec00,0x40bff700,0x90001fff,
    0xdddddfff,0xb83ddddd,0xffffffee,0x000001ef,0x00000000,0x00000000,
    0xffffff98,0x3fffffff,0xffffffff,0x4003bfff,0x3ff987fd,0xffffff80,
    0x83efffff,0x4000fffa,0x0001fffa,0x7fc0bff7,0xff90001f,0xffffffff,
    0xffc83fff,0x02efffff,0x00000000,0x00000000,0x3e600000,0xffffffff,
    0xfff3ffff,0x179ddfff,0x50dfd000,0xfff005ff,0x59bdffff,0x002ffe40,
    0x001fffc4,0x3e05ffb8,0xf90001ff,0xffffffff,0xfc83ffff,0x001acdef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,0x01bdeedc,
    0xbcefdca8,0x3b72a000,0x641cdeef,0x664400cc,0xb9859914,0x9900cdfd,
    0x3deeda87,0xdb30cc98,0x16fec417,0x32a00000,0x3322004c,0x0079911c,
    0x65433320,0xcccccccc,0x3221cccc,0x997004cc,0x00988019,0x0003dd98,
    0x3fffffee,0xfd303fff,0x7fffffff,0xffffe980,0x7c3fffff,0x7fcc01ff,
    0x7e4bff37,0x81efffff,0xfffd16ff,0x7d43dfff,0x6ffff98f,0x05fffff1,
    0x401ffe20,0x5001fffa,0x3fe21fff,0x7ff88007,0x3ffffff6,0x3fffffff,
    0x201fffdc,0xe804fff9,0x7ffc405f,0x7f44005f,0xfffeffff,0xffffb83f,
    0x5fffffef,0xddffff30,0xf87ffddd,0x7fcc01ff,0x3f6bff37,0x6ffffeff,
    0xfff9fff8,0x26ffffef,0xfeff9ffa,0xfeffd8ff,0xfff1005f,0x02fffc00,
    0x7fc5ffd8,0x7fcc000f,0x3fffff67,0xffffffff,0x01fffd83,0x6c01bffa,
    0x7ffe404f,0x3fa001ff,0x6d441dff,0x0efffd43,0x20ffffa6,0x3100dffe,
    0x401fff83,0xdff37ff9,0x32219ffd,0x7ffc2fff,0x3f662fff,0xfbff52ff,
    0x3beffea9,0x2200fff0,0x3f2007ff,0x7fc400ff,0x00fff42f,0x0017fea0,
    0x2203bff6,0xff906fff,0x9fb0101f,0x7fffec10,0xfff7001f,0x9ffd0005,
    0x20fffd80,0x8000fff9,0x7cc01fff,0xfffff37f,0xf17ff605,0x3a03ffff,
    0xdfff54ff,0xd0ffffc4,0xff1001ff,0x7ffc400f,0x437fdc02,0x54002ffd,
    0x7dc004ff,0x3fea01ff,0x17ffcc4f,0x8ff227cc,0xfff70fd8,0xff1001ff,
    0xff70009f,0x7fff100f,0x8003ffd4,0x7cc01fff,0x5ffff37f,0x3e37fd40,
    0x3ee01fff,0x85fff55f,0x7fec5fff,0x07ff8801,0x202ffec0,0xffc83ffe,
    0xfb85fe83,0x3fe6003f,0xfffc802f,0x6c13ffa1,0x27f71eff,0x3f64fffa,
    0xff7002ff,0xffb0001f,0x97ff2009,0x8003fff8,0x7cc01fff,0x07fff37f,
    0x7fc7ff98,0xb7fd402f,0xfff86ffa,0x400ffec0,0x54007ff8,0xff300fff,
    0x89ff701f,0x7e40fff9,0xfff1002f,0xb7ff4009,0x2e206ffc,0xcbfbcfff,
    0x4c40bfff,0x17ff2000,0x00fffc00,0x7f46ffa8,0x3e002eff,0x7fcc01ff,
    0x100fff37,0x1fff8555,0xfabffcc0,0xd86ff84f,0xff8801ff,0x3fff8007,
    0x260bff90,0x7ffe45ff,0x800ffec2,0x44006ffe,0x0fffdfff,0xffffb880,
    0x0000bfff,0x000fffa0,0x4003ffe2,0x7fc47ff9,0x402dffff,0x7cc01fff,
    0x00fff37f,0x401fff80,0x9ff57ff9,0xffb0dff0,0x33333263,0xcccfffcc,
    0xfc81cccc,0x05fff06f,0xffd1bfe2,0x00ffe8bf,0x000fffc8,0x2fffffa8,
    0x7ffec400,0x3333200c,0x44cccccc,0x98002fff,0x3e2007ff,0x7fe440ff,
    0xf04fffff,0xff9803ff,0x000fff37,0x4c01fff8,0x09ff57ff,0x3ffb0dff,
    0x3fffffee,0xffffffff,0xff982fff,0x03ffd41f,0xeff99ffe,0x01ffe0ff,
    0x000bffea,0x005fffd8,0x7ffffecc,0xfffff01c,0xf8ffffff,0xf98002ff,
    0xff3000ff,0x7ff5c40f,0x7fc1efff,0xbffcc01f,0x40007ff9,0x7cc01fff,
    0xf09ff57f,0x23ffb0df,0xfffffffb,0xffffffff,0x9ffd02ff,0x7404ffd8,
    0xf5ff70ff,0x017fe27f,0x0009fff3,0x07ffffc4,0x677fecc0,0x41dffecf,
    0xffffffff,0x1fff47ff,0x01fff800,0x200dff50,0x0fffffb9,0xf3007ffe,
    0x01ffe6ff,0x803fff00,0x9ff57ff9,0xffb0dff0,0x26666623,0x999fffa9,
    0xf5009999,0x07ffc4ff,0x7f47ff60,0x3fe6dff5,0x17ffa204,0xffffd000,
    0xfffc80df,0x3ff27f73,0x2aaaaa3f,0x6c2aaaaa,0xff0005ff,0x3fee005f,
    0xfffb8005,0x5007ffe3,0x1ffe6fff,0x03fff000,0xff57ff98,0xfb0dff09,
    0xfff1003f,0x97ffc000,0xfc805ffb,0xf92ff8af,0x407ff51f,0x0000fffd,
    0x3fe7fff6,0x837ea04f,0x07fa63fc,0x3ffee000,0x5ffd8000,0x007ffd00,
    0xfe93ff60,0x3ffa203f,0x000fff37,0x4c01fff8,0x09ff57ff,0x3ffb0dff,
    0x00fff100,0xfeaffe40,0xbffb802f,0x2ffe67fb,0xff702ffb,0x7dc0003f,
    0x5fff52ff,0x427e4140,0xff100002,0xff5000bf,0xfffb803f,0x9ffd0000,
    0xfb02ffec,0x1ffe6fff,0x03fff000,0xff57ff98,0xfb0dff09,0xfff1003f,
    0x7ffcc000,0xf3007ff9,0xff8bfd9f,0xf981ffce,0x260003ff,0x7fec4fff,
    0x13f6001f,0xff700000,0x20d401df,0xf702fffe,0x800887ff,0x3f22fffa,
    0x7ff441ff,0x0fff37ff,0x01fff800,0xffabffcc,0xfd86ff84,0x7ff8801f,
    0x77ff4000,0xff1004ff,0xffc85ffd,0x7fc40ffe,0x3a20005f,0xfff886ff,
    0x0bfd000e,0xffd00000,0xfb999dff,0xffff987f,0xfffecacd,0xbccefc86,
    0x6fffedba,0x5f7fffc4,0x7ffbfffc,0x8000fff3,0x7cc01fff,0xf09ff57f,
    0x03ffb0df,0x000fff10,0x1fffffb8,0x1ffffe00,0x21ffffe6,0xeeeefffd,
    0x86eeeeee,0xf501fffd,0x32e00bff,0x88000003,0xfffffffc,0xfe983fff,
    0xffffffff,0xfffff904,0x1bffffff,0xffffff90,0x4dffe5ff,0x7c0007ff,
    0x7fcc01ff,0xff09ff57,0x003ffb0d,0x8000fff1,0x006ffff8,0xf82ffff4,
    0xfff85fff,0xffffffff,0x7fdc7fff,0x7ffe403f,0x00000003,0xfffdb300,
    0x64019dff,0x1deffffe,0x3ffffaa0,0x402dffff,0x1dfffffa,0x3ffcdffe,
    0x07ffe000,0x3eafff30,0xd86ff84f,0xee8801ff,0xffd80006,0x7fec003f,
    0x9fff902f,0xfffffff0,0xffffffff,0x8037ffcc,0x0002fffe,0x98000000,
    0x13300019,0x35331000,0x13310003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00266000,
    0x3bbbbbaa,0xeeeeeeee,0x77ee442e,0x88888003,0x88888888,0x08888888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0x7fdc00ff,0xffffffff,0x222fffff,0x1efffffe,0x3fe9ff50,0xffffffff,
    0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x202ffff4,0xfffffffb,0xffffffff,0x3fffffa2,0xffb81fff,
    0xfffffff3,0xffffffff,0x00dfffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6ffdc000,0x000002ff,0xf52fff98,0xffd85fff,
    0x99999992,0x99999999,0x00799999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33fe2000,0x00006ff8,0x444ffc80,0xfeacfffe,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc80000,0x0007ff70,0x82ffc800,0xffffffe8,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,0x4407ff43,
    0x99999999,0x09999999,0x32201997,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffa86fe8,0xfffffb85,
    0xffffffff,0xb98002ff,0x000000ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfa800000,0x85ffb02f,0xfffffffb,0xffffffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcc0dfd,0x555554c6,0xaaaaaaaa,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x402ffb80,
    0x00003ffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xf8805ff8,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x95000000,0x332a0039,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_38_usascii_x[95]={ 0,7,4,0,2,0,1,8,5,4,3,1,4,4,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,2,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,2,0,0,0,0,2,6,2,5,2,0,0,2,2,2,2,2,0,1,2,3,
2,3,3,1,2,1,2,2,3,3,1,2,1,0,1,1,3,3,8,4,1, };
static signed short stb__consolas_38_usascii_y[95]={ 28,1,1,3,0,1,2,1,0,0,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,32,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14, };
static unsigned short stb__consolas_38_usascii_w[95]={ 0,6,13,21,17,21,20,5,12,12,15,19,10,12,
7,16,19,17,17,16,20,16,17,17,17,18,7,10,16,17,16,13,21,21,17,18,18,15,15,18,17,15,14,18,
15,20,17,19,17,20,17,17,19,17,21,21,21,21,17,10,17,10,17,21,13,16,17,16,16,17,20,19,16,16,
15,17,16,19,16,19,17,16,17,15,17,16,19,21,19,19,16,14,4,14,19, };
static unsigned short stb__consolas_38_usascii_h[95]={ 0,28,10,25,33,28,27,10,36,36,17,19,13,4,
7,31,26,25,25,26,25,26,26,25,26,25,20,26,22,10,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,35,31,35,13,4,9,20,28,20,28,20,27,27,27,27,
35,27,27,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,39,35,8, };
static unsigned short stb__consolas_38_usascii_s[95]={ 253,1,241,36,122,196,22,245,6,19,225,
126,245,241,241,161,18,63,1,174,98,1,38,120,56,153,246,74,189,89,172,
8,89,76,58,85,17,1,229,155,193,177,122,138,137,99,81,226,119,140,211,
104,157,137,19,41,209,231,191,111,178,78,71,127,241,224,235,1,218,206,152,
132,115,98,62,60,43,106,89,18,190,173,71,38,208,54,146,166,205,78,188,
32,1,47,107, };
static unsigned short stb__consolas_38_usascii_t[95]={ 1,41,123,123,1,1,41,111,1,1,149,
149,97,157,149,1,70,97,97,70,123,70,70,97,70,123,41,70,123,169,123,
41,1,123,123,70,123,123,97,70,97,97,70,97,123,97,97,41,123,1,97,
70,97,70,97,97,70,70,70,1,1,1,169,169,134,123,1,149,1,123,41,
41,41,41,1,41,41,149,149,149,41,41,149,149,41,149,149,149,149,41,149,
1,1,1,169, };
static unsigned short stb__consolas_38_usascii_a[95]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_38_usascii_BITMAP_HEIGHT or STB_FONT_consolas_38_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_38_usascii(stb_fontchar font[STB_FONT_consolas_38_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_38_usascii_BITMAP_HEIGHT][STB_FONT_consolas_38_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_38_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_38_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_38_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_38_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_38_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_38_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_38_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_38_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_38_usascii_s[i] + stb__consolas_38_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_38_usascii_t[i] + stb__consolas_38_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_38_usascii_x[i];
            font[i].y0 = stb__consolas_38_usascii_y[i];
            font[i].x1 = stb__consolas_38_usascii_x[i] + stb__consolas_38_usascii_w[i];
            font[i].y1 = stb__consolas_38_usascii_y[i] + stb__consolas_38_usascii_h[i];
            font[i].advance_int = (stb__consolas_38_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_38_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_38_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_38_usascii_s[i] + stb__consolas_38_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_38_usascii_t[i] + stb__consolas_38_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_38_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_38_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_38_usascii_x[i] + stb__consolas_38_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_38_usascii_y[i] + stb__consolas_38_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_38_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_38_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_38_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_38_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_38_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_38_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_38_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_38_usascii_LINE_SPACING
#endif

