// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_39_usascii_BITMAP_HEIGHT        194
#define STB_FONT_consolas_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_39_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_39_usascii_NUM_CHARS             95

#define STB_FONT_consolas_39_usascii_LINE_SPACING          26

static unsigned int stb__consolas_39_usascii_pixels[]={
    0x00010331,0x98800080,0x3332a4ca,0x953ccccc,0xc9800357,0x4ccccccc,
    0x10000000,0x2a980000,0x00088000,0x00017fec,0x07ffa000,0xf5000008,
    0x17ffc9ff,0xdfff5000,0x2f443ffd,0x02f98000,0x3fffff20,0xffffff70,
    0x3fff2dff,0xff5001ef,0x0fffffff,0x004ffc80,0x33bff6e2,0x7f40000a,
    0xfdb88006,0x400bdeff,0x00006ffa,0x41bfea00,0x803effeb,0x3fe65ffa,
    0x00bffe4f,0xeefffa80,0x13ff61ff,0x3fff1000,0xffffe880,0xffff70ff,
    0x3f2dffff,0x802fffff,0xfffffffa,0x3fea007f,0xffa802ff,0x0effffff,
    0x017fe000,0xfffffd30,0xe803dfff,0x000001ff,0xfb05ffb0,0x409fffff,
    0x3e60fff8,0x0bffe4ff,0xdfff9800,0x3fea1ffe,0xfd10004f,0xfff900bf,
    0x3ea00139,0x3fee626f,0x7fd400ff,0xffc80005,0x7fec03ff,0xffeb9acf,
    0xff88000e,0x3ffee004,0xfffffeff,0x13fee02f,0x3e200000,0xadffb87f,
    0xf901fffc,0x4fff987f,0x8000bffe,0xffedfff9,0x01fffdc1,0x01bffa20,
    0x000fffe2,0x7c41bfea,0x7fd404ff,0xffa80005,0x3ff202ff,0x1dff700e,
    0xffd95300,0x2a01579d,0x260aefff,0x101ffffc,0x00001fff,0xf84ffc80,
    0x427fd47f,0xff986ff9,0x00bffe4f,0xecfff980,0xfffc81ff,0x3bff6001,
    0x06ffa800,0x40dff500,0x7d405ffb,0xf900005f,0x2ffd407f,0x3017fe40,
    0xfffffffd,0x3fa05fff,0x3fee00ff,0x0fff604f,0xfff00000,0x444ff881,
    0x1ffe85ff,0x3e3fff98,0x220002ff,0x1ffecfff,0x200dffb0,0x7001fffa,
    0x2a0009ff,0x3fe606ff,0x02ffd406,0xff300000,0x82ff400d,0xfffffffc,
    0xa82fffff,0xfc801fff,0xdff300ff,0x7dc00000,0x83ff985f,0x1ffe46ff,
    0x3e3fff88,0x220002ff,0x1ffebfff,0x007fff30,0x64009ffd,0xf50003ff,
    0x3ffc40df,0x0017fea0,0x1ffd8000,0x703ff200,0xf915dfff,0xd039533f,
    0x3e600bff,0x3ffa03ff,0xfd000002,0x0bff103f,0x37fccbff,0x7c7fff10,
    0x01a882ff,0xffebfff8,0x03fff201,0x000fffb8,0x4000fff2,0x3e206ffa,
    0x2ffd407f,0x4ccccc40,0x81999999,0x4c004ff8,0x3ffe23ff,0x4c03fec5,
    0x3a002fff,0x3fea06ff,0xf9800005,0x51ffe06f,0x0fff49ff,0x7c7fff10,
    0xfffb12ff,0x3fe01bff,0x201ffeaf,0xf104fff8,0xfc8005ff,0xff50003f,
    0x03ffc40d,0x36017fea,0xffffffff,0xffc87fff,0x25ff8001,0x7f41fffa,
    0x07ffa806,0x203ffdc0,0x00000fff,0xfb01ffec,0x1fff55df,0xf1013ff2,
    0x4fffc7ff,0xffffffe8,0xffe800ef,0x83ffdc01,0xc8006ffb,0xf50003ff,
    0x3ffc40df,0x2017fea0,0xfffffffd,0x7c47ffff,0x9bca886f,0x64bfd1b9,
    0x05ff87ff,0x4006ffb8,0x3200fffa,0x200004ff,0x2200fff8,0x3fffffff,
    0xf100dff3,0x5fffc5ff,0xfebbefff,0xffe806ff,0x17ffc401,0x4001fff4,
    0x50003ffc,0x7fc40dff,0x02ffd407,0x66666654,0x547ffdcc,0x7ffcc3ff,
    0xdfb1ffff,0xf10fffdc,0xbff9009f,0x0fffa800,0x001ffe20,0x804ffb80,
    0x21efffd8,0xff001ffe,0x7ffffc5f,0x1fffc82f,0x400fff40,0x7fc45ffe,
    0xffc8001f,0xdff50003,0x200fff80,0x00005ffa,0xffc8fff5,0x3ffffe60,
    0x99ff27ff,0x3fe65fff,0x05ffd803,0x00fffcc0,0x0000bff6,0x2000fffc,
    0x004ffb81,0xfff8bffe,0x3ffa00ef,0x00fff405,0x3ee3ffdc,0xffb0006f,
    0x3fea0005,0x00fffc06,0x0000bff5,0xdfd1ffea,0xff32ffe8,0x3fa3fe4d,
    0x2ffbafff,0x004ffe80,0x2017ffc4,0x80006ffa,0x80005ffa,0x2000fff8,
    0x3ffe2fff,0x3ffdc01f,0x2007ffa0,0x3fa1fff8,0xff98004f,0x3fea0007,
    0x077fe406,0x0005ffa8,0x7c4fff50,0x993fea4f,0x83fee5ff,0xfffffff8,
    0x5ffe801f,0x0fffcc00,0x000fff40,0x000bff60,0x000bff60,0x7ffc5fff,
    0x0fff9803,0x4007ffa0,0x3ffe2fff,0xfdaa8803,0x2a0002ff,0x7f4406ff,
    0xf509acff,0x2a0000bf,0x8ffea7ff,0x3fea1ffd,0xb103fee4,0x39ffffff,
    0x005ffd80,0x4007ffcc,0x20004ffb,0x80006ff9,0xf8005ffb,0x0bffe1ff,
    0x807ffe20,0xff001ffe,0x017ffc7f,0x16fffff4,0x1bfea000,0x3ffff220,
    0x00bff52f,0xb9ffea00,0x8dff11ff,0x1ff23ffb,0xfffffea8,0xdff901df,
    0x07ffa800,0x001fff10,0x000fff20,0x001fff10,0x7fc3fff0,0xfff8802f,
    0x007ffa01,0xff8a7ff4,0xfffe801f,0x540001df,0xfd7006ff,0x3fea5fff,
    0xff500005,0xf987fdcf,0x90ffec5f,0xfff300ff,0xf909ffff,0xffb800ff,
    0x0fff2006,0x03ffe200,0x45ffb000,0xd01dffec,0x17ffc3ff,0x202fff80,
    0xfb001ffe,0x03ffe6bf,0x3ffb2aa0,0x3ea0002f,0x7ff4406f,0xff50abcf,
    0x3ea0000b,0x5c3ff27f,0x07ff43ff,0xff100dfb,0x89ffffdd,0x2001fffb,
    0x26005ffe,0xfb8006ff,0x7d40005f,0xffffd15f,0x3ffd07ff,0x44017ffc,
    0x3fa00fff,0x9ffb001f,0x0003ffe6,0x8001fff2,0x7dc06ffa,0x17fea05f,
    0x3ffd4000,0x1ffe4ff9,0x0dfd1ffe,0x3ea7ff30,0x3fe22fff,0xfff3004f,
    0x2ffe8005,0x00fff400,0x21fff100,0xffdadffc,0xf0776c0f,0xff3005ff,
    0x01ffe80f,0x3e29ffd0,0xfd0001ff,0x3ea0005f,0x0fff406f,0x000bff50,
    0xfd9ffea0,0xf88bff27,0x4027fc6f,0x3fe22ffa,0x07ffec5f,0x0037fe40,
    0x5002ffd4,0xd8000dff,0x8dff13ff,0xff003ffc,0xdff7005f,0x001ffe80,
    0x7ffc7fff,0x7ffb0002,0x1bfea000,0x5401fff0,0x500005ff,0x937ecfff,
    0x2ffcc5ff,0xf7005ff3,0x47ffc83f,0x5c06fffa,0xf0003fff,0x3f6003ff,
    0x3ea0002f,0x50ffe65f,0x3fe009ff,0x4ffe802f,0x800fff40,0x3ffa2fff,
    0x9ff90003,0x1bfea000,0x5407ff88,0x500005ff,0x73fecfff,0x2ffec7ff,
    0x3f200ff7,0x43ffe40f,0x441dfffe,0x0006fffb,0x22013fee,0x220007ff,
    0x3fea0fff,0x2a2ffc42,0x017ffc3c,0xd003ffee,0xff3003ff,0x02ffec1f,
    0x004ffc80,0x440dff50,0x7fd407ff,0xff500005,0xff73fe4f,0x45bffeab,
    0xffb005ff,0xd10dfff0,0xfdbfffff,0x0001dfff,0x2007ffc4,0x20004ffc,
    0x7fd43ffc,0xf527fc43,0x1fffcbff,0x007fff70,0xf7003ffd,0x07ffb8df,
    0x009ff900,0x881bfea0,0x7fd407ff,0xff500005,0xf887fdcf,0xffbffeff,
    0xd000fffe,0x4fffb8df,0xfffffd10,0x001dffff,0x807ffb00,0x30000fff,
    0xbff30dff,0x3f62ffb8,0xffff0fff,0xffd9799f,0x3ffa00bf,0x43ffe801,
    0x8002fff8,0x50004ffc,0x7fc40dff,0x02ffd407,0x27ffa800,0x3ff21ffb,
    0xfffff2ff,0x21359d03,0xffc98dff,0x7ed400ef,0x002dffff,0x81bfe600,
    0x20005ffa,0xffd01ffe,0xd8dff53b,0x3ffe7fff,0xffffffff,0x3ffa003f,
    0x0fffcc01,0x4002ffec,0x50004ffc,0x7fc40dff,0x02ffd407,0x27ffa800,
    0x66dc2ffa,0x406f6e21,0xfffffffe,0x0fffffff,0x07ffe200,0x7ff40000,
    0x005ffd01,0x9813ff20,0x2fffffff,0x261fffcc,0xefffffec,0x7ff4000c,
    0x837fe401,0x4000fffa,0x50004ffc,0x7fc40dff,0x02ffd407,0x27ffa800,
    0x00004ff9,0x7ffffff4,0x0cffffff,0x04ffe800,0xbff70000,0x000dff30,
    0x2601bfe6,0x101efffe,0x01310013,0x01ffe800,0x440bffe2,0x64005fff,
    0xf50004ff,0x3ffc40df,0x0017fea0,0x3a37fdc0,0x4c00007f,0xffffedcb,
    0x20000bcd,0x0100fffc,0x40fff800,0x00003ffc,0x0004c400,0x74000000,
    0x3ff601ff,0x0fffd405,0x00bff700,0x881bfea0,0x7fd407ff,0xff900005,
    0x002ffb8b,0x07fe4000,0xfff10000,0x7f9315bf,0x1ffe4000,0x0001fff1,
    0x00000000,0x7f400000,0x1fff501f,0x00dffb00,0x80037fd4,0x3ea06ffa,
    0x2ffd406f,0x3ffe8000,0x0002ffc4,0x001ff600,0x3fffea00,0x00ffffff,
    0x5cfff100,0x000004ff,0x00000000,0x0fff4000,0x8027ff44,0x3003fff9,
    0x50005fff,0x7ff40dff,0x02ffd404,0x0fffdc00,0x00027fec,0x000dfd00,
    0x3fffea00,0x0003ffff,0x00000000,0x00000000,0x0fff4000,0x20037ff4,
    0xb002fffb,0xa8007fff,0xffd986ff,0x2ffd401f,0x7102b6e0,0x3e609fff,
    0x06d404ff,0x0017fe00,0x9db97000,0x00000017,0x00000000,0x00000000,
    0xfd83ffd0,0xfd8000ef,0xff8801ff,0xd50effff,0xdffddddd,0x3fffffae,
    0xefffa804,0xff75eeee,0xffffdddf,0x7ffcc01d,0xffdcbbdf,0x0d54000f,
    0x00000000,0x00000000,0x00000000,0xfd000000,0x07ffe43f,0x1fffb000,
    0xffffd300,0x3fffee1f,0xff96ffff,0x2a007fff,0xffffffff,0xffffff77,
    0x10019fff,0xfffffffd,0x00001bff,0x00000000,0x00000000,0x00000000,
    0xfd000000,0x00ffe43f,0x03bfa200,0x0eecba80,0xddddddd5,0x2b37aebd,
    0x3bbaa000,0x2a5eeeee,0x1cdefeec,0xeecb9800,0x00000acd,0x00000000,
    0x00000000,0x00000000,0x3a000000,0x001641ff,0x0000d880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd00000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00001ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007bb200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x31000000,0x88000013,0x9884c09a,0x4cc40019,
    0x0733ba61,0x54406660,0xff800001,0x0000801f,0x10000800,0x33333555,
    0x17fee133,0xffff1000,0xf80dffff,0x000002ff,0x1a880001,0xfffff700,
    0x3220005f,0xeffffffd,0x3fff71ff,0x337ff400,0x09ffffff,0xffb13ffc,
    0x0001bfff,0x8807ffe0,0x00002ffd,0x3ffffb66,0x7ffdc05e,0xffffffff,
    0x00bff76f,0xfffff880,0x7fc06fff,0x2200002f,0x2a0006ec,0x3a205fff,
    0xffffffff,0x7ff4c004,0xffffffff,0x09fff11f,0x98fffe20,0xefffffff,
    0xe88fff81,0xefffffff,0xfff80000,0x3ffff201,0x7ec40000,0x7fffffff,
    0xfffffd10,0xffffffff,0x0017feed,0xdddddd10,0xfff80dff,0x3ee00002,
    0x3fe0006f,0xffb02fff,0xffffb7bf,0x3ffea005,0xffdbabdf,0x1fff61ff,
    0x207ffdc0,0xffffba98,0x7d7ffc2f,0xffebbeff,0xff80006f,0x3fffa01f,
    0x7ec0001f,0xfedcefff,0x37fffb07,0x33ffff26,0x00bff73c,0x1bfee000,
    0x0005fff0,0x0037fdc0,0x4fffff88,0x443fff98,0xf8805fff,0xff100dff,
    0x17ffcc3f,0x802fff40,0x3e1ffffb,0xc82fffff,0x40001fff,0x3f201fff,
    0x20000fff,0x0204fffa,0x5407ffea,0x7fdc1fff,0xf7000005,0x2fff80df,
    0x3fee0000,0x3ffe0006,0x6ffb82ff,0x900fff90,0xfff00bff,0x405ffe83,
    0x2002fff9,0x3fe5fffa,0x3fa00eff,0x7fc0005f,0x3ff6201f,0x7ff40002,
    0x5ffd8005,0x2e2ffec0,0x000005ff,0xff80dff7,0x2e00002f,0x2a0006ff,
    0xff905fff,0x01ffe60b,0xf003fff1,0xfffb83ff,0x01fff200,0x7c3fff20,
    0x7dc01fff,0x7fc0007f,0x0000001f,0x20007ffe,0x7dc02ffe,0x02ffdc6f,
    0x6ffb8000,0x0017ffc0,0xfb999988,0x999999ef,0x06a20099,0xf706ffc8,
    0x6ffb80df,0x883fff00,0x3fa03fff,0xffa8004f,0x007fff2f,0x2001fff3,
    0x3fff09a9,0x22000000,0xf8000fff,0x7fdc02ff,0x402ffdc6,0xb8009998,
    0x7ffc06ff,0x804d5442,0xfffffffd,0xffffffff,0x7dc0003f,0x4ffe80ff,
    0x802ffe40,0xffd81fff,0x01fff306,0x27fff100,0xf8802fff,0x3fb201ff,
    0xffffffff,0x26666661,0x26000099,0xfd0007ff,0x4ffd809f,0x2602ffdc,
    0xb801ffff,0x7ffc06ff,0xfffffd32,0xfffffb09,0xffffffff,0x80007fff,
    0x7ec4fff9,0x7fec00ff,0x03fff004,0xf903fff5,0x3e2000df,0x05fff2ff,
    0x303fff10,0xfffffffd,0x3e23ffff,0x6fffffff,0x1ffea000,0x07ffe400,
    0x5c2fff98,0x3fe605ff,0xff7000ff,0xa9fff80d,0xffffffff,0x6e6665c6,
    0xcccccfff,0x80001ccc,0xfe99fffd,0xffe802ff,0x03fff003,0x3fe17ffa,
    0xff50003f,0x00bffe3f,0x3ee17ffc,0xdcabdfff,0xff11ffff,0x0dffffff,
    0x03ffd400,0x1efff880,0x5c37ffd4,0xfff305ff,0x7fdc001d,0x7e7ffc06,
    0xfffcbdff,0x37fdc03f,0xf8800000,0x1fffffff,0x007ffd00,0x7dc07ffe,
    0x3ffea0ff,0xffe98000,0x200bffe6,0x3e20fff8,0xff100dff,0x6666643f,
    0xa9806ffd,0xfffcaaaa,0xaaaaaaaa,0xfffffb00,0x01fffffd,0xff30bff7,
    0xfb8001df,0x7fffc06f,0x7fec41ef,0x037fdc07,0xff700000,0x4001bfff,
    0xff004ffd,0x3ffe203f,0x2017ff23,0xfffeccc9,0x00bffe2f,0xff91ffe6,
    0x03fff00b,0xb806ffb8,0xffffffff,0xffffffff,0xffffa82f,0x0cffffff,
    0xf98bff70,0xb8000eff,0x7ffc06ff,0xfff300ef,0x037fdc01,0xfe980000,
    0xc8005fff,0xffa805ff,0x5bff601f,0xa801fff8,0x2fffffff,0x5c017ffc,
    0x3ffe66ff,0x01fff801,0x5c037fdc,0xffffffff,0xffffffff,0x98fff82f,
    0x400acccb,0x3fe65ffb,0xf70000ef,0xffff80df,0x00fffc00,0x0000dff7,
    0xfffff500,0x7ffd05ff,0x5407ffb8,0x2a01ffff,0x6ffb8fff,0xbdfff300,
    0x05fff017,0x7d49ffd0,0x3fff006f,0x806ffb80,0xfcaaaaa9,0xaaaaaaff,
    0x2ffcc0aa,0x57fee000,0x000efff9,0xf01bfee0,0xfff005ff,0x037fdc05,
    0x05ffd300,0xff3bfff3,0x2fff83ff,0x9817ffcc,0x401fffff,0x4ffebfff,
    0x00dff300,0xfa805fff,0x17ff20ff,0x200fffc0,0x20006ffb,0xa8007ffa,
    0x20000fff,0xfff8dffb,0x7dc0000e,0x17ffc06f,0x7017ff40,0x74000dff,
    0x7f41ffff,0x3bffea5f,0xb03fff30,0xffa83fff,0x6401ffff,0x00fffeff,
    0xf00dff30,0x7fdc07ff,0x027fec3f,0x5c01fff8,0x2a0006ff,0xf98007ff,
    0x9aaaceff,0x77fdc019,0x0000ffff,0x7c06ffb8,0xffe802ff,0x01bfee02,
    0x4fffff80,0xf703ffea,0x3ffeabff,0xdffffa80,0xfe9ffffc,0x7ffc401f,
    0x3e6006ff,0xffff806f,0xffedbcce,0x03ffe85f,0xb803fff0,0x2a0006ff,
    0xfd0007ff,0xffffffff,0xfb819dff,0x03fffcdf,0x06ffb800,0x74017ffc,
    0x3fee02ff,0x3ff60006,0x17ff26ff,0x7de7ffec,0x3ffee07f,0xff0effff,
    0xfffb003f,0x7fc4003f,0xfffff805,0x3fffffff,0x2007ffd0,0x7dc01fff,
    0x3ea0006f,0x3fa0007f,0xffffffff,0x3ee2ffff,0x05fffb5f,0x06ffb800,
    0x74017ffc,0x3fee02ff,0x3fe20006,0x13ff66ff,0x7f7fff44,0x7ff5404f,
    0x3ffe0cef,0x6fffa801,0x02774400,0x7fff7ffc,0x3600ceff,0xfff004ff,
    0x06ffb803,0x01ffea00,0x65fffdc0,0xfffedccc,0x4bff71ff,0x0002fffd,
    0xff01bfee,0x5ffd005f,0x0037fd40,0xe97ffee0,0x3fe604ff,0x1001ffff,
    0x07ffe013,0x00bffea0,0x5fff0000,0xfc800266,0xfffa805f,0x037fdc01,
    0x00fff500,0x803fff50,0xf73fffc8,0x7fff44bf,0xdff70001,0x802fff80,
    0x3ea02ffe,0x7cc0007f,0x1bff64ff,0x0dffff50,0x0fffc000,0x0037ff40,
    0x17ffc000,0x0fff7000,0x01ffffa8,0x00037fdc,0xd000fff5,0x3e2009ff,
    0x8bff75ff,0x001ffff8,0x7c06ffb8,0xffe802ff,0x0bffe202,0x1fffb800,
    0xb00bffee,0x0000dfff,0x2e00fffc,0x70002fff,0x5fff0039,0x7ffc4000,
    0xfffff302,0x06ffb803,0x01ffea00,0x005fff10,0xffba7ff4,0x0ffff985,
    0x037fdc00,0x3a00bffe,0x7ffc02ff,0xfe88001e,0x7fffc45f,0xffffd882,
    0xff00004f,0x7ffd403f,0xfffb0004,0x02fff805,0x0fffec00,0x3ffbffea,
    0x037fdc01,0x00fff500,0x003fff88,0x3ee5fff3,0xdfff505f,0x37fdc001,
    0x200bffe0,0x7d402ffe,0xdcccefff,0x3ff2663f,0xfffb80ff,0xfffecdef,
    0x003fffff,0x211fff80,0x06fffd98,0xbffff100,0x002fff80,0x6ffffd40,
    0xfd8ffffc,0x37fdc01f,0x0fff5000,0x17fffd00,0x9bffee20,0x3ee05ffb,
    0x77640eff,0xefffeeee,0xfff3eeee,0x05ffd005,0xffffffb0,0x3fe67fff,
    0x3200dfff,0xffffffff,0xffff9aff,0x7ffc0001,0xffffffd1,0x3e20003d,
    0x7fc04fff,0xfb80002f,0x0effffff,0x3bb23ffb,0xefffeeee,0xa803eeee,
    0xf98007ff,0xdcefffff,0x20fffffe,0x7e405ffb,0x7ffec6ff,0xffffffff,
    0x5fff4fff,0x005ffd00,0x3fffff66,0xdfff32ef,0x3ff66005,0x2a0cefff,
    0x0000ffff,0x7ff47ffe,0x80004fff,0x7c00effb,0x500002ff,0x419dfffd,
    0xfffb1ffd,0xffffffff,0xf5009fff,0x3aa000ff,0xffffffff,0x7dc0cfff,
    0xfffd805f,0x3fffff65,0xffffffff,0x005fff4f,0x10005ffd,0x1a881333,
    0x004c4000,0xddd00000,0x06f3bf63,0x00988000,0x0001eed8,0xb0004c40,
    0xffffffff,0x09ffffff,0x000fff50,0xeffedc98,0x00000bcd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00088000,0x00011000,0x20000088,
    0x26000099,0x13310000,0x13100000,0x00000000,0x01800003,0x3bbbba20,
    0xeeeeeeee,0x372e6000,0x776c3eee,0x07bba002,0xb7100351,0x017bdfff,
    0x3ff6ea00,0x200bdfff,0xdeffedb8,0x3fb22002,0x1defffff,0x3fffb660,
    0x36e01cef,0xbeffffff,0xfdca8000,0x01beffff,0x005fff70,0x77fff654,
    0x76cc000c,0x201defff,0xfffffff8,0x01ffffff,0xfffffea8,0x1fffc4ff,
    0x545fff00,0x3a605fff,0xffffffff,0x3f62001e,0xffffffff,0xfffd107f,
    0x809fffff,0xffffffc8,0x882fffff,0xfffffffd,0xff985fff,0xffffffff,
    0xffd1003f,0xffffffff,0x7ffd401f,0xfe8802ff,0xffffffff,0xffff9003,
    0x207fffff,0xfffffff8,0x01ffffff,0x3fffffe6,0x7fc4ffff,0x3ffe003f,
    0x0bffffe2,0x3bffffee,0x02ffffff,0xfffffe98,0x87ffffef,0xddffffe9,
    0xd00effff,0xddddffff,0xfb05fffd,0xffb9dfff,0xff989fff,0xfffecdef,
    0x7fdc02ff,0xffefffff,0xfea80fff,0x402fffff,0xeefffffa,0x402fffff,
    0xdccefffe,0xf884fffe,0xf980007f,0x01abefff,0xf001fffc,0x3ffe25ff,
    0x7ffd44ff,0x3fee60ae,0x3fe601ff,0x5440adff,0x7fffc47d,0x84fffc81,
    0x201cfffc,0x7ffdc1a8,0xfffd980a,0xfa802e21,0x3ff207ff,0x5440acff,
    0x3ffaa0fd,0x02ffffff,0x20577fec,0x900efffb,0x3f605fff,0x3ffc41ff,
    0x3ffe2000,0x7ffc002e,0x8bffe003,0x742fffff,0x3ee00fff,0x3ffa04ff,
    0xfb81003f,0x3ff201ff,0x13ffe20f,0x03ffe800,0x0017ffc4,0x4c0fffdc,
    0x1002ffff,0x3ffffe61,0x802fff9a,0x7ffdc04e,0x02fff982,0x3e22ffec,
    0x7e40007f,0xff8000ef,0x3ffe003f,0x517ffea2,0xf9003fff,0xfff501ff,
    0x7ffc0005,0x23fff802,0x0000fffa,0xd003fff1,0xf10009ff,0xfffb05ff,
    0x7ff40001,0x00bffe63,0x84fff800,0xfa806ffc,0x1ffe21ff,0x1fff9800,
    0x07fff000,0x2217ffc0,0x05ffe81a,0xd07fff30,0x54000dff,0xfc800fff,
    0x01ffee7f,0x005fff00,0x20005fff,0x7fd42fff,0x6540003f,0x017ffcc0,
    0x0bffd000,0x3a009ffb,0x1ffe23ff,0x04ffc800,0x00fffe00,0x3002fff8,
    0x74005fff,0x7ffdc6ff,0x3ff60002,0xfffe9805,0x005fff51,0x202ffec0,
    0x10007ffa,0xdffd0fff,0x7cc00000,0x200002ff,0xfff85ffd,0x49ffb003,
    0x20007ff8,0x20002ffe,0x3e003fff,0xff5002ff,0x7fdc001f,0x0037fe47,
    0x700bffa0,0x225fffff,0x0000efff,0x2209fff5,0x70005ffe,0x7fff0bff,
    0x7cc00000,0x200002ff,0xfff84ffe,0x4bff9003,0x10007ff8,0x19881fff,
    0x003fff80,0x5c00bffe,0x7d4006ff,0x02ffec7f,0x407ffe00,0xffffffd8,
    0x0fffff62,0x3fffa200,0x3bffee1e,0xfff98001,0x00fffcc2,0xfff30000,
    0x3e200005,0x4ffe83ff,0x44dff700,0xeeffffff,0x3bfea02d,0xfffffeb8,
    0x07fff04e,0x8017ffc0,0x54006ffc,0x3ffa0fff,0x3fe20004,0xfffe981f,
    0x3a23ffdd,0x00beffff,0x3ffff620,0x00dfffdd,0x7ed4ccc4,0xfffa81ef,
    0x26000000,0x00002fff,0xfb01fff7,0x3fea00ff,0x3ffffe27,0x83ffffff,
    0xfffffffb,0x1effffff,0xf001fffc,0x3f6005ff,0x7fcc005f,0x00fffe1f,
    0x40fff980,0xf93ffffb,0xfffd889f,0x2001cfff,0xfffffffb,0xffffd004,
    0x3ee01dff,0xdddd107f,0x3003dddd,0x00005fff,0x2a09fff1,0x75404fff,
    0x3bba27ff,0xffffffee,0x7fffdc4f,0xfecaabef,0x3ffe0fff,0x0bffe003,
    0x0027ff40,0x7c4bffe2,0x260002ff,0x3ff627ff,0x17ff21ef,0x7fffff54,
    0xfe8800df,0x00dfffff,0xffffffe8,0x6ffd82ef,0xffffff10,0xff3003ff,
    0xfd00005f,0x7fec01df,0xeca9abef,0x2006ffff,0x24ffffc8,0x200cfffc,
    0x3fe4fffb,0x3ffe003f,0x0bffd002,0x11fff980,0x40007fff,0xffd37ff9,
    0x4ffc81bf,0x7fffecc0,0x3fee03ff,0xfffffeff,0x6e665c02,0x645ffffe,
    0xfff106ff,0x003fffff,0x0005fff3,0x401fffd8,0xffffffe8,0x5fffffff,
    0x7fff8800,0x6401bff2,0x7fff0fff,0x217ffc00,0x2ffec2a8,0x83ffe600,
    0x20004fff,0xfffbfff8,0x09ffb03f,0x3fffee20,0xefffc83f,0x7ffffb31,
    0xfff91000,0x003ffdc9,0x3003fff1,0x40005fff,0x2003fffc,0xfffffffb,
    0x004ffbad,0x2e3fff50,0xff3006ff,0x00fffe3f,0x3ea2fff8,0x1bff25ff,
    0xe8fff500,0x7c0005ff,0x01efffff,0x1000fffa,0x643ffff9,0xff704fff,
    0x320003ff,0xfff51fff,0x3ffe2001,0x2fff9801,0x7fff9000,0x2aa62000,
    0x001ffe41,0xf52fff88,0x3fe200ff,0x007fff2f,0xfff17ffc,0x1ffee5ff,
    0xd8dff700,0x740006ff,0xf804ffff,0xf50002ff,0x3ffe29ff,0x2fffd404,
    0x27fff000,0x1001fff9,0xf3003fff,0xf90005ff,0x000007ff,0x00017ff4,
    0x3fe67fff,0x4bffe007,0xf1004ffe,0x3ffe23ff,0x3fff54ff,0x22fff400,
    0x0000fffc,0x200bfff6,0x0001fff8,0x7fddbffa,0x7ffd800f,0x53ffa000,
    0x1004fff8,0xf3003fff,0xfc8005ff,0x000003ff,0x0003ffe2,0xf88fffcc,
    0xff8801ff,0x009ffb1f,0xfff1ffe6,0x3ffe25ff,0x5fff3004,0x004fffa8,
    0x401bff20,0x40006ffc,0xdff96ffc,0x03ffee00,0xd1fff400,0xf1001fff,
    0xff3003ff,0x7fe4005f,0x4000003f,0x20003ffd,0x7ffc7ffb,0x27ffa804,
    0xf7006ffc,0x4fff98df,0xc803ffec,0xfffd06ff,0x3fe20001,0x3ffe802f,
    0xaffec000,0xf7007ffc,0x3e2000ff,0x3ffe61ff,0x1fff8804,0x02fff980,
    0x007fff90,0x6ffb8000,0x3ffe6000,0x007ffdc4,0xffa97ffa,0x7ffc402f,
    0xf9809883,0x7fdc05ff,0xffff502f,0x3ff60003,0x3fff200e,0x3fe60000,
    0x03fff73f,0x000bffd0,0x3f61fff6,0x7fc404ff,0xfff9801f,0x3fffc802,
    0x32200000,0x88002fff,0xf886fffc,0xfd880eff,0x7fff40ff,0x0dffd302,
    0x37fffa00,0x37ffdc40,0x2fffff60,0xf98d9301,0xffc80dff,0x2005e44f,
    0x30ffffb8,0x2205ffff,0x4003fffc,0x881fffda,0x809dffff,0x9801fff8,
    0x7e402fff,0x99999cff,0x80199999,0xffffca98,0x999bd905,0x1dffffd9,
    0x33fffee0,0x2ffffcbb,0xdeffff98,0x2ffffecc,0xfffd1000,0xffffdbff,
    0xffd8803d,0xfeeeffff,0xfffc87ff,0xffffdcdf,0xeefffe85,0xffffeecd,
    0x7fffdc1f,0xfffdccce,0x6667745f,0xffffeecc,0x3fffea03,0xffecdeff,
    0x3fff21ff,0xffffffff,0xfff37fff,0xffffffff,0xb81fffff,0xffffffee,
    0x3ff202ef,0xffffffff,0x7ffd400c,0x2fffffff,0x3ffffaa0,0x01efffff,
    0x7ffec400,0x05ffffff,0x7ffffdc0,0x07ffffff,0xfffffff7,0x3ffa09ff,
    0xffffffff,0xff901eff,0xffffffff,0xffffd0bf,0x5dffffff,0xffffb100,
    0xffffffff,0x7ffffe43,0xffffffff,0xfffff37f,0xffffffff,0xffc81fff,
    0x03ffffff,0xffffffc8,0x26000cef,0xcefffffd,0xffec8800,0x0004efff,
    0x7fffedc0,0x910002df,0x9bfffffb,0x7fecc015,0x2e02deff,0xfffffffd,
    0xc8802dff,0xcfffffff,0xfffffd01,0x0005bdff,0xfffffdb5,0xffc817bf,
    0xffffffff,0xff37ffff,0xffffffff,0x81ffffff,0xabcdeffc,0x2a662000,
    0x31000009,0x35300003,0x22000000,0x88000009,0x26200009,0xa9988000,
    0x22000099,0x330009a9,0x00001353,0x00033530,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddd10000,0xdddddddd,0x3bbba69d,
    0xeeeeeeee,0xd94eeeee,0x9bdddddd,0x3bbae005,0x37bb2001,0x000ddd10,
    0x7764fbaa,0x1ddb005e,0x801eeed8,0x3b21eeed,0xeeeeeeee,0x26eeeeee,
    0x50006eec,0x3bb21ddd,0xeec8001e,0xddddd90e,0xdddddddd,0x00bbb61d,
    0x0001eee8,0x7fffffcc,0x55ffffff,0xffffffff,0xffffffff,0x3ffff6df,
    0x2fffffff,0x037ffc40,0x7c3fffa8,0xfb8000ff,0x3ffffb3f,0xe81fff00,
    0x7d404fff,0x3ff62fff,0xffffffff,0x2e7fffff,0xd8002fff,0x3ffe66ff,
    0x7ffc4006,0x3fffff64,0xffffffff,0x007ffd0f,0xfa817ffc,0xfff301ef,
    0xffffffff,0x3fffeabf,0xffffffff,0xfb6fffff,0xffffffff,0xfb809fff,
    0x7fc403ff,0x00fff86f,0xfb2ffc80,0xff00bfff,0x7ffff81f,0x17fffec0,
    0xfffffffb,0xffffffff,0x027ffc4f,0x3227ffc0,0x36002fff,0x3ff60fff,
    0xffffffff,0xffd0ffff,0x17ffc007,0x037fffc4,0x017ff600,0x6c01fffc,
    0xffc984ff,0x7ff401ff,0x3fff200f,0x001ffe81,0xffb2ffc8,0xff803fff,
    0x7ffffc0f,0xfffff102,0x4ccccc47,0xc9999999,0x3ffec6ff,0x07ffea00,
    0x200dfff1,0xf003fff9,0xffe807ff,0x0bffe003,0x0bffffe2,0x05ffd800,
    0xb007fff0,0x7fcc09ff,0x7ffcc05f,0x09fff305,0x20007ffa,0xfffb1ffd,
    0xfff80bff,0x2ffeffc0,0x3ffcffb8,0x1fffc000,0x8007ffee,0xff706ffc,
    0xfffb007f,0x01fffc00,0xf800fffa,0xffff02ff,0x7ec0009f,0x7fff005f,
    0x809ffb00,0xfc806ffd,0x6ffe81ff,0x000bff60,0x7fec7ff6,0x3e00fffc,
    0x33fe20ff,0xefe80ffd,0x20003ffb,0xff887ffb,0x3ffe004f,0x03fffa03,
    0x002fff98,0xfd00fffe,0x7ffc007f,0xbffff502,0x2ffec000,0x803fff80,
    0x7dc04ffd,0x7fc400ff,0x0fffdc6f,0x0005ffb0,0x3ff61ffb,0x3e04ffda,
    0x33fe20ff,0x7fcc3ffb,0x0004ffab,0x7f40fffa,0xfff3007f,0x1fffd403,
    0x800dffd0,0x7f403fff,0x3ffe003f,0x0ffff602,0x05ffd800,0xb007fff0,
    0xffb809ff,0x7fff5007,0x9013ffe2,0xfd0007ff,0x2abff61f,0xfff00fff,
    0x7c67fcc1,0x547fe46f,0xf70004ff,0x7ffdc0ff,0x06ffc801,0xa80fffe8,
    0x7c001fff,0x7ff403ff,0x0bffe003,0x002fffb8,0x4017ff60,0xfd803fff,
    0x37fec04f,0x91fffb00,0xfc801fff,0xd02a983f,0xe97fecff,0x1fff04ff,
    0xffda7fcc,0x7fd57fe0,0x7ffd0005,0x027ffc40,0x4c01fff4,0xffe84fff,
    0x3fff8005,0x001fff40,0x7e405fff,0x360000ff,0xfff005ff,0x09ffb007,
    0x001fffd4,0xfffdfff1,0x09ff7005,0xfff03ffd,0xffb97fec,0x20fff80f,
    0x7ff54ff9,0x7fccbfea,0xfffb8005,0x037ff400,0x4007ffe6,0x3ea0fffd,
    0xff8000ff,0x1fff403f,0x205fff00,0x0003fffa,0xf802ffec,0xffd803ff,
    0x6fffc884,0xffffb800,0x9ff5005f,0xf83fff88,0xf8bff67f,0x0fff83ff,
    0x7fc4ffea,0x7fccffb6,0x4ffe8005,0x01fffb80,0x8801bfee,0x3ffa5fff,
    0x7fff0004,0xaadffe80,0xaaaaaaaa,0xb3312fff,0x0000bfff,0x3e00bffb,
    0xffd803ff,0xffffeeef,0xfd0000ef,0x2a001fff,0x7ffdc4ff,0x3f66ff86,
    0x21ffee2f,0x3fea0fff,0x3fe7ff63,0x001bfe64,0x1001fff5,0x7f407fff,
    0x7fe4003f,0x00fffa8f,0x807fff00,0xfffffffe,0xffffffff,0xfffff72f,
    0xfb000019,0x3ffe00bf,0xffffd803,0x03efffff,0x37ffe400,0xd8bff300,
    0x3e21ffff,0x88bff65f,0x7ffc2fff,0xf98ffee0,0x3e61ffef,0x7ff4006f,
    0x1bffa004,0x0007ffc4,0x3fb7ffe2,0x3fe0003f,0x7fff403f,0xffffffff,
    0xf72fffff,0x00003dff,0xf802ffec,0xffd803ff,0x2fffffff,0x7ffc4000,
    0xff3004ff,0x7ff7fc4b,0xfd97fe24,0x237fe42f,0x3fee0fff,0x237fffc3,
    0x2a006ff8,0x2e000fff,0xffb80fff,0xfff70006,0xf8000dff,0x7ff403ff,
    0xccccccce,0x32fffccc,0x20000035,0xff005ffd,0x9ffb007f,0x01fffdc4,
    0xfffffd00,0xdff1003f,0x3ffcffd4,0x7fec9ff3,0xf17ffc42,0x1ffdc1ff,
    0xf10ffff2,0x7ff400ff,0x7ffc4004,0x003ffe83,0x0bffffa0,0x07fff000,
    0x2003ffe8,0x00002fff,0x00bffb00,0x3600fffe,0xfffb84ff,0xfffb8001,
    0x8806fffa,0x6dff66ff,0x49ff31ff,0xffd82ffd,0xfc83ffe6,0x07ffcc2f,
    0x5401ffe2,0xe8000fff,0x7ffc45ff,0x3fea0000,0xff80005f,0x1fff403f,
    0x7c5fff00,0x3ff20fff,0x7fec003f,0x07fff005,0x3a09ffb0,0x7c4006ff,
    0x7fff55ff,0x3e2fff00,0x2a9ff74f,0x0bff63ff,0x7fc7ffe6,0x20bff20f,
    0x7ff884ed,0x00bffd00,0xb83ffee0,0xf80006ff,0xf80003ff,0x7ff403ff,
    0x8bffe003,0x7fe47fff,0x7fec003f,0x07fff004,0x2609ffb0,0x36002fff,
    0x3ffa0fff,0xabffc00f,0x2fff11ff,0x3ff63ffa,0x3ebffb02,0x0bff60ff,
    0x003ffe00,0x0003fff5,0xfe8fffe2,0xff80003f,0xff80003f,0x1fff403f,
    0x7c5fff00,0x7ffdc7ff,0x1fff4002,0x803fff80,0x3fa04ffd,0xfff5006f,
    0x05fff987,0x3fec7ff4,0x3feabff6,0x4c0bff62,0x0fff8fff,0x2000bff6,
    0x7f400fff,0x7f40005f,0x01fff15f,0x07fff000,0x07fff000,0x2003ffe8,
    0x3ffa2fff,0x017ffdc7,0x005fff10,0x3600fffe,0x3fea04ff,0x7ffc402f,
    0x07fff906,0x27fcfff4,0x3fef7fea,0xe80bff62,0x20fffcff,0xf8002ffd,
    0x3fea00ff,0x7dc0001f,0x06ffb8ff,0x07fff000,0x07fff000,0x2003ffe8,
    0x3ffa2fff,0x18fffd46,0x00fffc80,0xb007fff0,0xffe809ff,0x0fffec06,
    0x00ffff88,0x85ff7ffb,0x1ffbfff8,0xfa80bff6,0x3a0fffff,0xff8001ff,
    0x17ffa01f,0x3ffe2000,0x0003ffda,0x0007fff0,0xe807fff0,0x3fe003ff,
    0x51bff62f,0x2fee3fff,0x04fffb80,0x200fffe0,0x7dc04ffd,0xfff502ff,
    0x5fffa80b,0x0ffdffb0,0x87ffbff6,0x7f402ffd,0x3fa0ffff,0xfff8001f,
    0x03fff501,0x37ffa000,0x00000fff,0x00007fff,0xfe807fff,0x3ffe003f,
    0xf317ff62,0x3ffee1ff,0xfffffedf,0x0fffe000,0x2013ff60,0xff885fff,
    0xffe800ff,0xffffc82f,0xfffff504,0x2017fec1,0x20fffffb,0xe8001fff,
    0xdffd01ff,0x7fdc0000,0x00006fff,0xc800fffe,0xfffeeeee,0xd0eeeeee,
    0x7fc007ff,0x317ff22f,0x3fee1fff,0xefffffff,0x1fffc000,0x4027fec0,
    0x7e41fffb,0xff3003ff,0xfffb81ff,0x3fffe02f,0x00bff60f,0xf83ffffe,
    0xfe8001ff,0x2fffa82f,0x3fe20000,0x00003fff,0xd800fffe,0xffffffff,
    0xd0ffffff,0x7fc007ff,0x113ff22f,0xffda8fff,0x0003efff,0xfb007fff,
    0xfff1009f,0x037ffccb,0x713fff20,0xfd80ffff,0x17fec7ff,0x07fffdc0,
    0xd0003fff,0xdffd05ff,0xffd00000,0x400001ff,0x36003fff,0xffffffff,
    0xd0ffffff,0x7fc007ff,0x4c00002f,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0xdddddddd,0xdddddddd,0x77777744,0x5eeeeeee,0xddddddd1,
    0x2bdddddd,0xdeeeeeed,0x200009ac,0xeeb82ee9,0xeeeeed80,0x001ccdee,
    0x07bbbb20,0x801eee80,0xddb0deed,0x79bddddd,0x3b600001,0xdd700eee,
    0x0000000b,0xfd880000,0xffff701d,0xffffffff,0x7fc4ffff,0xffffffff,
    0xfff17fff,0xffffffff,0x3fffefff,0xffffffff,0x5ff70004,0x3fe0ffb0,
    0xffffffff,0xf8001dff,0x2004ffff,0x7e402fff,0x3fffe2ff,0xffffffff,
    0x3ee0000c,0xf900ffff,0x25c000df,0xe9800000,0x3ffffe20,0xfffffb80,
    0xffffffff,0x3ffe27ff,0xffffffff,0xffff17ff,0xffffffff,0x3ffffeff,
    0xffffffff,0x7fdc001e,0xff07fe81,0xffffffff,0x4001ffff,0x06fffffa,
    0xa80bffe0,0x7ffc3fff,0xffffffff,0x88000fff,0x00ffffff,0x2000dff9,
    0x0000effb,0x43bfee00,0x84fffffa,0x99999998,0xfffb9999,0x00bffe24,
    0x003fff10,0x4c43fff8,0x02ffffea,0x3e03ff20,0x05fff06f,0x0dfffd53,
    0x7ff7fe40,0x5fff001f,0x217ffe60,0xea882fff,0x4000efff,0x0fffeffd,
    0x000dff90,0x007bffee,0x3fff2000,0xfffff70e,0xfe880009,0x17ffc46f,
    0x07ffe200,0x807fff00,0x2006fffb,0x0bff07fd,0xfb00bffe,0x3fe001ff,
    0x003fff9f,0xfd105fff,0x0bffe0df,0x009fff90,0x7fcfffd4,0x0dff900f,
    0x7fffd400,0xfb100002,0xfff98bff,0x640002ff,0x7fc41fff,0x7fc4002f,
    0x7ffc001f,0x3fff9803,0xf10ffd00,0x0bffe09f,0x005fff30,0x3ff2fff5,
    0x05fff006,0x3e01dffb,0xffd802ff,0x5fff1006,0x3201fff3,0x4c0006ff,
    0x0003fffe,0x81ffff44,0x0004fffb,0x4427ffcc,0x44002fff,0x7c001fff,
    0xffb003ff,0xcccc881f,0xdccccfff,0xf2ccceff,0xff8805ff,0x4ffc802f,
    0xf003fff5,0xfffb85ff,0x00bffe01,0x2003ffee,0xfff35ffc,0x01bff201,
    0x3fff6200,0xfff30004,0x0098805f,0x06ffe800,0x8005fff1,0x4001fff8,
    0xf3003fff,0xfff985ff,0xffffffff,0x4fffffff,0xf9805fff,0xfff800ff,
    0x200fffe1,0x3fea2fff,0x17ffc02f,0x00fffcc0,0x7cc3ffe6,0xdff900ff,
    0x7fe40000,0x3ee000df,0x00001eff,0x07fff200,0x0017ffc4,0x0007ffe2,
    0x7c007fff,0x777443ff,0xeeeefffe,0x3eeeeffe,0xfb805fff,0x7ffa806f,
    0x7c037fec,0x7fff12ff,0x005fff00,0xe803fff3,0x3ffe62ff,0x00dff900,
    0xefffb800,0xdfffc801,0x20000000,0x2204fff9,0x44002fff,0x7c001fff,
    0x3fa003ff,0x1ffcc04f,0xff80ffe4,0x3ffea02f,0x45ffc803,0x7c00fffa,
    0x0bffd2ff,0x200bffe0,0x7e407ffb,0x07ffcc5f,0x0006ffc8,0x2ffffa80,
    0x09fffb10,0xfd000000,0xfff880df,0x7ffc4002,0xaaaaaaab,0x07fff1aa,
    0x2037fec0,0xffc83ffa,0x337fff00,0x9fffb553,0x10bffe00,0xff807fff,
    0x006ffdaf,0x3600bffe,0x3fe606ff,0x07ffcc0f,0x0006ffc8,0x7fffd300,
    0x03fffe88,0xfc800000,0x7fc401ff,0xffffffff,0xfff12fff,0xffffffff,
    0x0fffe9ff,0x407ffc80,0x7fd82ffb,0x3fffffe0,0x01efffff,0xb01fff50,
    0xfff80dff,0x2000fffe,0x7dc02fff,0x3ffa01ff,0x00fff983,0x0000dff9,
    0x9ffff440,0x002ffff8,0xff980000,0xfff8804f,0xffffffff,0xffff12ff,
    0xffffffff,0x00fffe9f,0x6407ffb8,0x07fe81ff,0x3ffffffe,0x02efffff,
    0xf705ffc8,0x7ffc01ff,0x2000ffff,0xfd502fff,0x7fdc09ff,0x01fff306,
    0x0001bff2,0x45fffc80,0x001ffffa,0x7ff40000,0xffff1006,0xffffffff,
    0x37ffe25f,0xcccccccc,0x007fff2c,0x3203ffe4,0x06ff80ff,0x33337ffe,
    0x4fffffec,0x881fffc0,0x3fe03fff,0x006fffbf,0x3bbbbffe,0x05ffffff,
    0x4c07ffe2,0xff900fff,0xb100000d,0x3a609fff,0x00002fff,0x03fff900,
    0x00bffe20,0x003fff10,0x2003fff8,0x7ec06ffd,0x7c0bff07,0x3faa02ff,
    0xfff502ff,0x037ff401,0xfff55fff,0x3fffe009,0xffffffff,0x01ffec02,
    0x3201fff3,0x400006ff,0x402fffe9,0x004fffe8,0x7ffcc000,0x3ffe2004,
    0x7ffc4002,0x1fffc001,0x44bffd00,0xaffeaaaa,0xadffbaaa,0x0bffe1aa,
    0x20ffff10,0x7dc06ffc,0x5fff00ff,0x200ffff2,0xefffffff,0x7d400acd,
    0x7ffcc06f,0x00dff900,0x7fffd400,0x3fff6001,0xd000000d,0xf8800dff,
    0x7c4002ff,0x7fc001ff,0x3ffe003f,0x3ffffe23,0xffffffff,0x3e4fffff,
    0xffb802ff,0xadfff80f,0xfcaaaaaa,0x5fff03ff,0x200fffec,0x20002fff,
    0xaaacfff8,0xfffbaaaa,0xff90aaab,0x3ee0000d,0xb8000eff,0x0000efff,
    0x00fffdc0,0x00bffe20,0x003fff10,0x7003fff8,0x7fc43fff,0xffffffff,
    0xffffffff,0x200bffe4,0x7d41fffa,0xffffffff,0x05ffffff,0x7fc45fff,
    0x3ffe00ff,0x3fe20002,0xffffffff,0xffffffff,0x00dff93f,0x1bfff900,
    0x7ffd4000,0xf300001f,0xf10009ff,0xf88005ff,0x7fc001ff,0xffff003f,
    0xb84ff880,0x3ffe02ff,0x0fffa802,0x7fffffe4,0xffffffff,0x2fff80ff,
    0xf02fffcc,0x440005ff,0xffffffff,0xffffffff,0xdff93fff,0x7ff44000,
    0xf300004f,0x00005fff,0x2000dffd,0x4002fff8,0x4001fff8,0xfc803fff,
    0x7fcc02ff,0x201ffc83,0xfc802fff,0xcdfff86f,0xcccccccc,0xff83fffc,
    0x4fffb82f,0x0005fff0,0x55555544,0xffbaaaaa,0xf90aaabf,0x3a6000df,
    0x00002fff,0x027fff44,0x03fff700,0x0bffe200,0x03fff100,0x203fff80,
    0x806fffd8,0xffd83ffa,0x00bffe00,0xfa89fff3,0x3fa000ff,0x02fff85f,
    0xff05fffb,0x0000005f,0xc807ffcc,0xfb0006ff,0x000003ff,0x0007ffec,
    0x4cefffcc,0x99999999,0x0bffe219,0x03fff100,0x4c3fff80,0x0effffba,
    0xd82ffb80,0x17ffc07f,0x0efffc88,0x20037fe4,0x7fc0fffc,0xfffd102f,
    0x002fff81,0x3fe60000,0x0dff900f,0x00076c00,0x00fe4000,0xfffffd80,
    0xffffffff,0xfff11fff,0xfff88005,0xeeeeeeee,0xfffff5ee,0xffffffff,
    0x3ff2001b,0x7c07fe81,0xffeeeeff,0xf80fffff,0x7cc003ff,0x17ffc2ff,
    0x41dfff30,0x00002fff,0x03ffe600,0x7777ffe4,0x4eeeeeee,0x00000008,
    0xffe80002,0xffffffff,0x11ffffff,0x88005fff,0xffffffff,0xff7fffff,
    0xffffffff,0xfc8007df,0x406ff80f,0xffffffff,0x980cffff,0xe8001fff,
    0x17ffc5ff,0xf97ffee0,0x000002ff,0x403ffe60,0xfffffffc,0x05ffffff,
    0x00000000,0x3ffffa00,0xffffffff,0xff11ffff,0xff88005f,0xffffffff,
    0xffff7fff,0x0399ddff,0x221ff600,0x7ffc05ff,0xbceeffff,0x01bff200,
    0xf07ffe40,0xffb005ff,0x00bffe7f,0xff980000,0xffff900f,0xffffffff,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x0009aaa9,0x00035510,
    0x00135510,0x0001aa98,0x026aaaa2,0x22002666,0x40266099,0x333009a8,
    0x40135510,0x44054c19,0x4ccc40aa,0x99999999,0x00ccc099,0x31099880,
    0x99880033,0x000cccc1,0x80003333,0xffffffda,0xd8802eff,0x0dffffff,
    0x3fffae00,0x2a04efff,0xdffffffe,0xfffd9801,0x7c7fffff,0xffe802ff,
    0xec8dff12,0x7c0dffff,0x3fffa67f,0x7fcc0dff,0x4c9fff91,0x3f22ffff,
    0xffffffff,0x3e66ffff,0xff90007f,0x007ffee9,0x7f46ffe8,0xffb802ff,
    0x7f40003f,0xffffffff,0x3fe604ff,0xffffffff,0x7fff4c02,0x06ffffff,
    0xfffffff9,0x7e407fff,0xffffffff,0x017ffc7f,0xff897ff4,0xfffffd16,
    0xbffc1dff,0xfffffffa,0x5cffcc6f,0xf89fffff,0xf90fffff,0xffffffff,
    0xff8dffff,0xffd8000f,0x009fff13,0xf10bffe2,0x7cc01fff,0xe80005ff,
    0xcbabcdff,0xfa82ffff,0xfba9beff,0xff502fff,0xd977bdff,0xdfffd0df,
    0xffffb759,0x7dfff509,0x8db95555,0xfe802fff,0xd1dff12f,0xfff97dff,
    0x7dfffc9f,0xfffdacff,0x3effe63f,0xfcbffcbf,0x952ffead,0x99999999,
    0xff8bfffb,0xffe8001f,0x401fff62,0xff507ffb,0x7fff40bf,0x02b80000,
    0x2237ffcc,0xfb104fff,0xffff10df,0x3ee1c407,0xffd303ff,0x04fff81f,
    0x802fff80,0xfff12ffe,0xfd885fff,0xfffff0ff,0x7ffd881d,0xf8ffbfe6,
    0x3fee6fef,0x7ffec004,0x0017fec0,0xff50fffc,0x9ffd005f,0x417ffe40,
    0x0001fffb,0x3ffe4000,0xf101bff2,0xfffc87ff,0x7ffc4001,0x2fffc403,
    0x0001fff1,0xfd005fff,0x3fffe25f,0x3fff101f,0x403bfffe,0xff30fff9,
    0x2fffe8df,0xb8013fea,0xffc82fff,0xff02a983,0x05ffe81f,0x200fffcc,
    0x3e60fffe,0x000003ff,0x11fff980,0xf9003fff,0x27ffccbf,0x03ffe400,
    0xf10fffb8,0xff0003ff,0x5ffd005f,0x007fffe2,0x3ffe5fff,0x8fffc00f,
    0x7f42fff9,0x02ffd46f,0x704fff98,0x1ffb09ff,0xfb87ff88,0x3ff200ff,
    0x5fff9806,0x00017ffa,0x1fff8000,0x2a00fff5,0x3ffee6ff,0x4ffd8000,
    0x43fff100,0x4001efff,0xfe802fff,0x05fff12f,0x3fe7ffd0,0x2fff802f,
    0xffb0dff3,0x805ffa85,0x2a05fff8,0x7ffc45ff,0x4437fcc3,0x3fe03fff,
    0xfff7003f,0x001fff77,0x26660000,0xf71fff99,0x3fe600bf,0x001bff27,
    0xf0017ffc,0x7ffdc5ff,0xff800adf,0x2ffe802f,0x1001fff1,0x0bffe133,
    0x7ccbffa0,0x41ffd85f,0xfd805ffa,0x3fe600ff,0x237ffdc6,0xffb05ffa,
    0x03ffea0d,0xfffffd80,0x2000001f,0xffffffdb,0xff91ffff,0xffffffff,
    0x21ffffff,0x88004ffd,0x3a001fff,0x7ffe44ff,0x3e02dfff,0xffe802ff,
    0x001fff12,0x200bffe0,0xbff32ffe,0xfa83ffb0,0x7ffe405f,0x23ffc401,
    0x2e1ffffd,0xfff503ff,0x009ffb01,0x3ffffe88,0xff500000,0xffffffff,
    0x3ff63fff,0xffffffff,0xf0ffffff,0xf30007ff,0x7ec001ff,0xfffe984f,
    0xff83ffff,0x2ffe802f,0x0001fff1,0x3a00bffe,0x0bff32ff,0xffa83ffb,
    0x0fffea05,0xf887ffc0,0x3f24ffdf,0x0fffe02f,0x0003fff1,0x000ffff7,
    0x3fffe600,0xf9999aac,0x9dff91ff,0x99999999,0x3fa19999,0xff88004f,
    0x3ffa001f,0x3fff2603,0x7ffc6fff,0x12ffe802,0x20001fff,0xfe802fff,
    0xb0bff32f,0x5ffa83ff,0x00bfff10,0xffa8ffec,0x3ff66ff9,0x71bff201,
    0xf1000dff,0x0009ffff,0x01dfff00,0xff71fff8,0xffd8000d,0x5fff0005,
    0x017ffc00,0x4ffffc98,0x3a00bffe,0x1fff12ff,0x0bffe000,0x7ccbffa0,
    0x41ffd85f,0xffd05ffa,0x7fe4001d,0x3ff2dfb2,0x4c01ffd1,0x3ffa1fff,
    0xfffe8003,0x00002fff,0x200bffe2,0xfff51fff,0x6ffc8000,0x07ffd000,
    0x007ffe20,0x7cfffd10,0xfff803ff,0x001fff12,0x200bffe0,0xbff32ffe,
    0xfa83ffb0,0x1fffc85f,0x45ffdc00,0x29ff33ff,0xffe807ff,0x001fff34,
    0xfd8fffc8,0x500000ff,0xf8801fff,0x5fff31ff,0x7ffd4000,0x7ffd8003,
    0x00fff900,0x743ffea0,0x7fec05ff,0x01fff12f,0x00bffe00,0x7fccbffa,
    0x541ffd85,0x7ffdc5ff,0xcffa8002,0x3ffe1ffa,0xfa806ff8,0x00bff97f,
    0xf13fffa8,0x00001dff,0x4c01fff5,0x3f61fffe,0x3a0000ff,0x4c000fff,
    0x7cc03fff,0xf70002ff,0x03ffecff,0x225ffff9,0xf0000fff,0xffd005ff,
    0x3617fe65,0x2ffd41ff,0x0009fff3,0x1bf77fe6,0x0bff7ff9,0x3fabffe0,
    0x3fe6002f,0x2fffd45f,0x7ffcc000,0xfffff904,0x0f7ffcc3,0x7ffd4040,
    0xfb12602f,0x3fe609ff,0x4400cc6f,0x3fee6fff,0xffffc83f,0x01fff12f,
    0x00bffe00,0x7fccbffa,0x541ffd85,0xdffd15ff,0x77fc4000,0x77fcc4ff,
    0xff9003ff,0x4400fffd,0xfc80fffe,0xe80003ff,0xfdbbefff,0x41ffeeff,
    0xbceffffd,0x80fedcaa,0xcefffffd,0x7c46feec,0xecbdefff,0x7dc1ffff,
    0xedbbccdf,0x3e21ffff,0xffccffff,0xf12ffcdf,0x3e0001ff,0xffe802ff,
    0xfb0bff32,0xb5ffa83f,0xdddddfff,0x05dddddd,0xd03fffff,0x2005ffff,
    0x04fffff9,0x80bfff60,0x0001fffe,0x7fffffcc,0x3ffb4fff,0xffffff70,
    0x01ffffff,0x3fffffee,0xd886ffff,0xffffffff,0xfffb80ef,0xffffffff,
    0xffffb82f,0xff95ffff,0x003ffe25,0x4017ffc0,0xbff32ffe,0xfa83ffb0,
    0xfffffd5f,0xffffffff,0xdfffb07f,0x07ffff20,0x0ffffe80,0x09fff700,
    0x00ffff98,0x7ffec400,0x3ff62dff,0xfffdb101,0x019dffff,0x7ffff644,
    0x3ae02dff,0x03dfffff,0x3fffffaa,0x200befff,0x2effffe9,0x7fc4bff2,
    0xfff0000f,0x25ffd005,0xffd85ff9,0xfeaffd41,0xffffffff,0xc83fffff,
    0xff304fff,0x7dc001ff,0xff3005ff,0xff7001df,0x440000df,0x26000009,
    0x2000199a,0x88000998,0x99880009,0x440009aa,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x320001cc,0x76c0007f,0x9998801e,0x99999999,0x51009999,
    0x3a600003,0xffd03fff,0xffffffff,0x3fffffe5,0xffffffff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x3fa00000,0x3ee0002f,0x3fee0007,
    0xfffb806f,0xffffffff,0x74c6ffff,0x4402ffff,0x3ff62019,0xfffff83f,
    0xf2ffffff,0xffffffff,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x017ff400,0x000ff700,0x0bffffe2,0xffffff70,0xffffffff,
    0x7fffd4df,0x3fe05fff,0x7ffdc00f,0x7fffffc3,0xdd2fffff,0xdddddddd,
    0xdddddddd,0x00005ddd,0x00000000,0x00000000,0x00000000,0x8017ff40,
    0x2237d41d,0x4ffe401d,0x32600fff,0xcccccccc,0x23cccccc,0xfffdfffe,
    0x07ff885f,0x4c7fff30,0x99999999,0x00000099,0x00000000,0x00000000,
    0x00000000,0xfd000000,0x9ff7005f,0xdff52fd4,0xfb9ffcc0,0x8000004f,
    0x3f21effa,0x3fee0eff,0x3bb62006,0x00000002,0x00000000,0x00000000,
    0x00000000,0x20000000,0xea802ffe,0x8df99eff,0xd00dfffc,0x01ffe8ff,
    0x7fdc0000,0xdffffb84,0x0002fffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd0000000,0x754005ff,0xffeefdff,0x0ffea01d,0x0000dff5,
    0x703ffc80,0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x017ff400,0x7ffff540,0x06fe801d,0x55105ffb,0x55555555,
    0x26555555,0x3fa600aa,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77540000,0xfffeeeee,0x4eeeeeee,0x3dfff910,0x205ff700,
    0x7dc0fff9,0xffffffff,0x06ffffff,0x00135300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0xffffffff,0xffffffff,0xfffc88df,
    0x102effff,0xffc80dff,0x7ffffdc4,0xffffffff,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff5,0xffffffff,
    0x3ff22dff,0xfe9df9cf,0x0ffe42ef,0x887ffe20,0xaaaaaaaa,0x2aaaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0xff9005ff,0xfc97ea3d,0x0bff30ff,0x001bfee0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x200bffa0,0x237d43f8,
    0x026623e9,0x00019980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1002ffe8,0x0000df70,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,0x2e0002ff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffd0000,0x03fe4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002ffe8,0x00000662,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00007bb6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_39_usascii_x[95]={ 0,8,4,0,2,0,1,8,5,4,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,3,1,2,3,3,1,2,3,3,2,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1, };
static signed short stb__consolas_39_usascii_y[95]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,21,16,
22,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13, };
static unsigned short stb__consolas_39_usascii_w[95]={ 0,6,13,21,18,22,21,5,12,12,16,19,10,12,
7,17,19,17,18,16,21,16,18,18,18,19,7,10,16,17,16,13,22,22,17,18,19,15,15,19,18,16,14,18,
15,21,18,20,17,21,18,17,19,18,22,21,21,22,18,10,17,10,18,22,13,17,17,15,17,18,21,19,16,16,
15,18,16,19,16,19,17,17,17,16,18,16,20,21,20,20,16,15,4,15,20, };
static unsigned short stb__consolas_39_usascii_h[95]={ 0,28,10,25,34,29,28,10,37,37,17,19,14,4,
7,32,27,26,26,27,25,26,26,25,27,26,21,27,23,11,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,36,32,36,13,3,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9, };
static unsigned short stb__consolas_39_usascii_s[95]={ 250,225,241,72,125,202,1,250,19,6,128,
108,241,217,244,184,41,135,153,98,172,192,209,140,79,172,247,243,227,164,210,
62,102,112,94,22,52,36,20,115,222,205,1,135,194,118,99,1,154,144,36,
61,16,228,159,77,55,182,1,75,166,48,145,230,203,1,232,38,94,19,129,
151,207,112,86,171,190,143,126,54,76,23,108,74,224,91,202,180,223,41,163,
32,1,59,182, };
static unsigned short stb__consolas_39_usascii_t[95]={ 12,1,114,126,1,1,42,1,1,1,173,
173,99,173,126,1,71,71,71,71,126,71,71,99,71,71,71,42,126,173,126,
42,1,126,126,71,126,126,126,71,99,99,99,126,126,99,99,71,126,1,99,
71,99,71,99,99,99,99,126,1,1,1,173,173,173,152,1,152,42,152,42,
42,42,42,1,42,42,152,152,152,42,42,152,152,42,152,152,152,152,42,152,
1,1,1,173, };
static unsigned short stb__consolas_39_usascii_a[95]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_39_usascii_BITMAP_HEIGHT or STB_FONT_consolas_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_39_usascii(stb_fontchar font[STB_FONT_consolas_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_39_usascii_BITMAP_HEIGHT][STB_FONT_consolas_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_39_usascii_s[i] + stb__consolas_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_39_usascii_t[i] + stb__consolas_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_39_usascii_x[i];
            font[i].y0 = stb__consolas_39_usascii_y[i];
            font[i].x1 = stb__consolas_39_usascii_x[i] + stb__consolas_39_usascii_w[i];
            font[i].y1 = stb__consolas_39_usascii_y[i] + stb__consolas_39_usascii_h[i];
            font[i].advance_int = (stb__consolas_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_39_usascii_s[i] + stb__consolas_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_39_usascii_t[i] + stb__consolas_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_39_usascii_x[i] + stb__consolas_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_39_usascii_y[i] + stb__consolas_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_39_usascii_LINE_SPACING
#endif

