// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_41_usascii_BITMAP_HEIGHT        206
#define STB_FONT_consolas_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_41_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_41_usascii_NUM_CHARS             95

#define STB_FONT_consolas_41_usascii_LINE_SPACING          27

static unsigned int stb__consolas_41_usascii_pixels[]={
    0x01c4bdd3,0xf8871000,0xffffffff,0x3b726005,0xaa98007f,0xb9800000,
    0x1e77fd42,0x3fffe600,0x004fffff,0x00015751,0x005ff980,0x44333000,
    0x4c000099,0x98000009,0x3104c099,0x3fea0133,0x0007fd16,0xff893fa0,
    0x5fffffff,0xfffff900,0x3ff6200f,0x001dffff,0x25fffa80,0x2efffffa,
    0xfffff300,0x4409ffff,0xefffffec,0xfa80000d,0x9800004f,0x1bfee7ff,
    0xdffff000,0xd9500017,0xfbdfffff,0x0ffff43f,0xff76ffa8,0xfd80005f,
    0xdfff10ff,0x009ddddd,0xbdfffffb,0xfffff500,0x003fffff,0x1ffffe80,
    0xffffffd5,0xdddd1003,0x209fffdd,0xffffffe9,0x0001ffff,0x00017fdc,
    0xf127fec0,0x7c0003ff,0x0dffffff,0xfffff900,0x3fffffff,0xa80ffff4,
    0x3fff66ff,0xfffb0002,0x00fffc43,0x1efff980,0x33fff600,0x3fff9511,
    0x7fffc000,0xdfff702f,0x4ffd8000,0xefffffa8,0x2ffffffd,0x07ff2000,
    0xfff10000,0x005ffc81,0x3fffff60,0x3a202fff,0xdccdffff,0x3a1fffff,
    0xff501fff,0x0ffff44d,0x0bfff200,0x0003fff1,0x7001bff6,0x7dc03fff,
    0xf90000ff,0x7dc01fff,0x360001ff,0x7ffc44ff,0x7fecc0bf,0xb95000ff,
    0x7bdfffff,0xffb80001,0x00fff985,0xfffc9800,0xfffd01ff,0x0fffdc07,
    0x2a03fffb,0x7ffc46ff,0x3ffea006,0x01fff883,0x005ffd00,0x40077fcc,
    0x20003ffc,0xfe801dfc,0x3f60002f,0x17ffec4f,0x013fff60,0xffffffd3,
    0x003fffff,0xb02fff80,0x800007ff,0x540ffffc,0x7cc02fff,0x3fff61ff,
    0x30dff501,0x3a007fff,0xfff105ff,0x3ffe0003,0x3fff1001,0x0037fc00,
    0x9ffb0000,0x27fec000,0x2007fff3,0xf900fffe,0xffffffff,0x0003ffff,
    0xf5037fd4,0x900000ff,0xffe89fff,0x1fff9805,0x5403fff6,0xfffb06ff,
    0x0fffb801,0x003fff10,0x001fff10,0x90013ff2,0x000003ff,0x0017ff20,
    0x3f64ffd8,0xff5000ff,0xdfff507f,0x22bff115,0x3a0000ba,0x7ffc03ff,
    0xfe800002,0x3fff30ff,0x43fff300,0xf500fffd,0x3ffe20df,0x13ffe205,
    0x001fff88,0x800fff88,0xa8006ff8,0x000004ff,0x000bff90,0xff8a7fec,
    0x3fe2005f,0x7fffc46f,0x0013fe60,0x00fff980,0x0002ffdc,0xa8fffe40,
    0xff3007ff,0x07ffec3f,0x2e06ffa8,0xffb02fff,0x7ffc401f,0xfff88001,
    0x03ffb800,0x645ff880,0xffffffff,0xc806ffff,0x360005ff,0x5fff34ff,
    0x47ffd800,0x7d44fff9,0x3200003f,0xff8804ff,0x5400001f,0xfff72fff,
    0x87ffe600,0xf500fffc,0x5fff80df,0x403fff88,0x8001fff8,0xe800fff8,
    0x2aa880ff,0x91bfa151,0xffffffff,0x900dffff,0x6c000bff,0x1fff54ff,
    0x0fffc800,0xf707ffee,0x2200005f,0xfb001fff,0xa800009f,0xdffb2fff,
    0x87ffe600,0xf500fffc,0x7ffc80df,0x400fffb8,0x8001fff8,0x4c00fff8,
    0xfffc85ff,0x1ffa7fff,0xddddddd7,0x00dfffdd,0x4000bff9,0xfff74ffd,
    0x3fff7000,0x3227ffd4,0x700001ff,0x7cc00dff,0x200000ff,0xffb0fffc,
    0x3ffe600b,0xa81fff21,0x7fcc06ff,0x02ffec2f,0x000fffc4,0x5c03ffcc,
    0x7ffec2ff,0x3f66ffff,0xdffb0007,0x00bff900,0xfca7fec0,0xffa8007f,
    0x3fffe61f,0x0003ff60,0x0017ff40,0x0000fffa,0xfb37ffcc,0x3fe600df,
    0x81fff21f,0xff806ffa,0x0fffe25f,0x007ffe20,0x201ffe60,0x3fea0ffd,
    0x25ffd8ae,0xd8000ffd,0xffb806ff,0x3ff60006,0x000dffb4,0xfe85fff5,
    0x0fff2fff,0x1ffea000,0x01bfea00,0x3f6eaaa0,0x3ff22fff,0x3fff3007,
    0xf503ffe4,0xfff900df,0x4007ffd4,0x8001fff8,0xff805ffd,0xf70fff46,
    0x00ffe49f,0x4037fec0,0x0002fff9,0x3ffa9ffb,0xfff98006,0x7ffffc42,
    0x00006ffe,0x20009ffb,0x7c002fff,0x4fffffff,0x2007ffdc,0x2e1fffe8,
    0x3fea07ff,0x0fffb806,0x2200fff9,0x26001fff,0x4c01fffc,0x1bfe65ff,
    0x7fe47ffb,0x6ffd8001,0x17fffb00,0xb4ffd800,0xf5000fff,0xffd303ff,
    0x001dffff,0x00fff880,0x00bff900,0xdfffffe8,0x02fffa81,0x70fffff4,
    0x7fd40fff,0x1fffa806,0x2200dffb,0x7ec01fff,0x801fffff,0x3ff23ffa,
    0xf90fff43,0xffb0001f,0x3ff6200d,0xd802ffff,0x1fff94ff,0x0fffb800,
    0x3ffffee0,0x90001dff,0x44000bff,0x3a000fff,0xff801cff,0x3fff606f,
    0x1ffee1ff,0x9806ffa8,0xbffb2fff,0x07ffe200,0x19ffffb0,0xe8bfee00,
    0x07ffc1ff,0x36000ffb,0x754006ff,0xd802ffff,0x1fff74ff,0x07ffc800,
    0xffffeb88,0x7c000dff,0x6c0001ff,0x3fa004ff,0xfff7002f,0xfdffda89,
    0x1ffee1ff,0x8806ffa8,0x9ffd3fff,0x07ffe200,0xffffff90,0x23ff7005,
    0x7fc47ff8,0x8003fec7,0x36006ffd,0x01efffff,0xff74ffd8,0xffe8005f,
    0x3fff2006,0x000fffff,0x0000dff5,0x7400fff5,0xff1002ff,0xfffdbfff,
    0x5c3fff1b,0x3fea06ff,0x3fff8806,0x22009fff,0x26001fff,0x6401fffd,
    0x8fff31ff,0x37f46ff9,0x06ffd800,0x005dffb0,0x3e69ffb0,0x3e2005ff,
    0x3f6004ff,0xeffffb9f,0x03ffe800,0x05ffd000,0x800bffa0,0xfffffff9,
    0x43fff14f,0x3ea06ffa,0xfff8806f,0x200bffd2,0x8001fff8,0x7ec05ffe,
    0xa8dff30f,0x037fc5ff,0x806ffd80,0x0001fff8,0x7ff49ffb,0x3ffee007,
    0x89ffa001,0x4c03fffe,0x00000fff,0x3600dff7,0x6c4001ff,0x262dffff,
    0x3fea1fff,0x01bfea06,0x7ec7ffe6,0xfff1006f,0xfff50003,0xf50ffd80,
    0x24ffc8df,0xb0004ff8,0xff500dff,0x7fec000d,0x00fffee4,0x0017ffe2,
    0xfff88dff,0x027fec05,0x3fff1000,0x00155300,0xff980cc0,0x80aaa21f,
    0xfa806ffa,0x0dff91ff,0x007ffe20,0x803ffe60,0xdff50ffd,0x3ea3ffd8,
    0xffb0001f,0x0bff700d,0x127fec00,0x4405ffff,0x2001fffe,0xffd85ff8,
    0x07ffe207,0x9ff90000,0x00000000,0x0007ffe6,0x2e01bfea,0xfff70fff,
    0x07ffe200,0x03ffe200,0xff30ffc8,0xb1fffccf,0x7ec000ff,0x5ffc806f,
    0x13ff6000,0x437ffff9,0x05fffea8,0x6c27fcc0,0x3fee07ff,0xf9800005,
    0x000000ff,0x1fff9800,0x06ffa800,0x3ea6ffd8,0xff8801ff,0xff88001f,
    0x47ff200f,0xfe89fff8,0x09ff54ff,0x037fec00,0x0002ffe4,0xff909ffb,
    0xfffdffff,0xf50009ff,0x5fff887f,0x000bffe0,0x01fff400,0x000077ae,
    0x30fffcc0,0x7fd407db,0x23fff806,0x8804fff8,0x88001fff,0x3ee00fff,
    0x3ffff62f,0xfffffccf,0x3f60000e,0x5ffc806f,0x13ff6000,0x7fffffe4,
    0x0404ffff,0x3622ffb8,0xff503fff,0x5400000f,0x3fee06ff,0x800000ff,
    0xff11fff9,0x3fea07ff,0x0fffd406,0x2201fff6,0x88001fff,0x3ea00fff,
    0x3fffe62f,0x1fffff36,0x6ffd8000,0x005ffc80,0x9813ff60,0xcffffffc,
    0xaaced801,0xfbaaffd9,0x3f605fff,0x4000003f,0xffd02fff,0x000003ff,
    0x3ea3fff3,0xff505fff,0x86ffd80d,0x4401fffa,0x88001fff,0x3e600fff,
    0x0565cc3f,0x00015971,0x900dffb0,0x6c000bff,0xff9004ff,0xfffd800d,
    0xffffffff,0x3e606fff,0x000000ff,0xfd82ffdc,0x00001fff,0xf31fff98,
    0x3ea09fff,0x3ffe206f,0x80bfff03,0x8001fff8,0x2600fff8,0x000006ff,
    0x037fec00,0x0002ffe4,0x2a009ffb,0x36001fff,0xffffffff,0x402effff,
    0x00005ffc,0x81fff880,0x0004fff8,0x43fff300,0xf500effc,0x7ffec0df,
    0x03fff900,0x000fffc4,0x2007ffc4,0x00000ffe,0x17ffa000,0x0017ff20,
    0x1004ffd8,0x2040bfff,0xfffedca8,0x8802bdef,0x00001fff,0x209ffb00,
    0x000001a8,0x054c0ccc,0x260dff50,0x3e202fff,0x3fe206ff,0xfff0001f,
    0x03ffb803,0x3e000000,0xffd803ff,0x3ff60004,0x3fff6004,0x07f510bd,
    0x8005ff98,0x00006ffb,0x03ffe600,0x00000000,0x06ffa800,0xf500dffd,
    0x3fe207ff,0xfff0001f,0x06ff8805,0xf1000000,0xffd005ff,0x7fec0007,
    0x3ffe2004,0xffffffff,0x013fea00,0x000bffa0,0x7ffd0000,0x00000000,
    0x37fd4000,0x800fffdc,0xf880fffd,0xfb0001ff,0xbffb00df,0xb0000000,
    0xf9801fff,0x360002ff,0x74c004ff,0xffffffff,0x0ffee00e,0x00fff300,
    0xff700000,0x0000000d,0x7fd40000,0x027ffd46,0x81dfff10,0x0001fff8,
    0x4019fff7,0x9805fff9,0x90065404,0xe9807fff,0x6c0007ff,0xd70004ff,
    0x005bffff,0x98003ff9,0x000001aa,0x00155500,0x00000000,0xf99bfea0,
    0xfa8005ff,0x7ffc45ff,0x03cccccd,0xceffffe8,0xcefff984,0x7feba99a,
    0x66f7fd40,0x86ffffdc,0xffffedc9,0xcccc8802,0x004ffecc,0x64000880,
    0x000000ee,0x00000000,0x00000000,0x22dff500,0x20005fff,0x3e24fffb,
    0xffffffff,0xfffe8805,0xfff307ff,0xffffffff,0xffffa80d,0x0dffffff,
    0xffffffa8,0xffff3003,0x009fffff,0x00000000,0x00000000,0x00000000,
    0x7d400000,0x01dff76f,0x0fffb800,0xfffffff1,0x75400bff,0x2e207fff,
    0xdffffffd,0xfffc8802,0x202effff,0x00defffa,0x3ffffe60,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0x00003b26,0x26660fe4,
    0x00999999,0x40033100,0x20000998,0x1001aa99,0x99800013,0x09999999,
    0x00000000,0x00000000,0x00000000,0x20000000,0x00046ffa,0x00000200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6ffa8000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00026620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02662000,0x57730000,0x00ccc001,
    0x98000000,0x3000001a,0x554c0033,0x3331000a,0x80133333,0x00000998,
    0x31003750,0x00000033,0x2aaea620,0xcca88009,0x4c0000ab,0x017ff60a,
    0x7ffec400,0xffd802ff,0x00fffee4,0x7ecdfff0,0x3fff6a2f,0x200004ff,
    0x2601fff9,0xfffffffd,0x3a6fffff,0xffffffff,0x02ffec04,0x7ffec000,
    0x07ffd402,0xd3000000,0xffffffff,0x7fffe440,0xb0003fff,0x3ff65fff,
    0xffd00005,0x405fffff,0x3e20effa,0x3e6006ff,0x4bff63ff,0xfffffffb,
    0xf300005f,0x3ff203ff,0xffffffff,0x3fa6ffff,0x4fffffff,0x002ffec0,
    0x3fffea00,0x07ffd406,0xfd800000,0xffffffff,0xffffd107,0x009fffff,
    0x8fffffb8,0x80005ffd,0xfc88dffb,0x5fff106f,0x003fff90,0xfd83fff2,
    0xcefffcbf,0x004ffffe,0x81fff980,0x99befffb,0xeeffffeb,0x333332e5,
    0x7ec04fff,0x5400005f,0x5407ffff,0x00000fff,0xcffffb80,0x906ecbab,
    0xfb55bfff,0x6c003fff,0xfd9fffff,0xff80005f,0x40fffc0f,0xff305ffc,
    0x3ffe009f,0x7ffffec5,0x7fffc41e,0x7fcc0000,0x6fffc41f,0x01fffb00,
    0x2027ffc0,0x00005ffd,0x027fffc4,0x0003ffea,0xdfff1000,0xfff88001,
    0x04fff985,0x3fffff20,0x0005ffd8,0x7ec2ffc4,0x07ffcc2f,0x500fffd0,
    0xffd85fff,0x3fe605ff,0x7cc0003f,0x7ffdc1ff,0x0fffe200,0x404fff80,
    0x00005ffd,0xa804fd98,0x00000fff,0x00fffdc0,0x80fffd40,0x22006ffe,
    0xffb4ffff,0xff98000b,0x742ffb85,0x7fdc02ff,0x3ffec02f,0x402fffec,
    0x40006ffe,0x7e41fff9,0x5ffe806f,0x013ffe00,0x0000bffb,0xfff50000,
    0xc8000001,0xf70006ff,0x37fe40ff,0xd8b2e200,0x440005ff,0x1ffc87ff,
    0x22017ff2,0x3e205fff,0xeffd84ff,0x07ffb800,0x0fffcc00,0x36017ffa,
    0x3fe006ff,0x2ffec04f,0x40000000,0x0000fffa,0x02ffec00,0x00fffb80,
    0x00009ffd,0x54c17ff6,0x40fff801,0xfff30ffe,0x3fff2001,0x03fff500,
    0x2a00bffb,0x31000fff,0x3fff3135,0xe806ffe8,0x3fe004ff,0x2ffec04f,
    0x0000d54c,0x07ffd400,0x3fa00000,0xff30004f,0x7fff305f,0x3ff60000,
    0x3ffff6a4,0x3bff204f,0x3a4ffd9a,0x3e6002ff,0xdffb04ff,0x4017ff60,
    0x2601fff9,0xffffffed,0x7fe41fff,0x3ffe600f,0x13ffe003,0x7dc9ffb0,
    0xd03fffff,0xffffffff,0x0fffa809,0x0ffffdc0,0x009fff00,0x11bffe20,
    0x0000dffd,0xffba7fec,0x05ffffff,0xfffffff1,0x017fee1f,0x221fffa0,
    0xffb03fff,0x3ffe600b,0xfffff902,0x3fffffff,0x80efff98,0x000fffe8,
    0xfb013ffe,0xffffb19f,0xfd0bffff,0x9fffffff,0x00fffa80,0x007fffea,
    0x0009fff0,0xfaa7ffe4,0x00001fff,0x3ff33ff6,0xffffecef,0xffffb104,
    0x03ffe61b,0x0bffee00,0x3601fff7,0xff3005ff,0xfffe883f,0xfffdccdf,
    0xfffc81ff,0xfffbaabf,0x7ffc002f,0x767fec04,0xfffcdfff,0x7776c2ff,
    0x404fffee,0xf500fffa,0x26203fff,0xfff99999,0x9999999d,0xffff1009,
    0x003dfffd,0xffffd800,0x7ffc41ef,0x02aa200f,0x20007ffd,0x7f45fff8,
    0x17ff605f,0x6c3ffd40,0x3ee03fff,0xfffd81ff,0xffffffff,0x4fff8003,
    0x7ffffec0,0x37ffdc0d,0x404fff80,0xfa80fffa,0x3ea00fff,0xffffffff,
    0xffffffff,0x3ffea02f,0x0000dfff,0x5ffffd80,0x00fffe60,0x001bfee0,
    0x221fffb0,0x3f602fff,0xdff7005f,0x402fffa8,0x7dc1fff9,0xfffffdef,
    0xff0000df,0xfffd809f,0x1fff204f,0x2027ffc0,0x7d40fffa,0x7d400eff,
    0xffffffff,0xffffffff,0x3ffee02f,0x000002ff,0x2017fff6,0x44006ffe,
    0x40001fff,0xff93fff9,0x05ffd80f,0xfe8bffb0,0xfff9805f,0x988fff41,
    0xf80000aa,0x7fec04ff,0x7ffcc05f,0x04fff800,0xf507ffd4,0xd5001dff,
    0xfffddddd,0xdddddddf,0x3fff605d,0x99905fff,0x6c155003,0xfb800eff,
    0x7fec007f,0xffd00003,0xb013ffeb,0xff300bff,0x0fffcc7f,0x10fffcc0,
    0x00000fff,0x6c04fff8,0xff9806ff,0x4fff801f,0xa87ffd40,0x0000efff,
    0x0004fff8,0xfffbfffb,0x2fff887f,0x47fffa20,0xf5005ffd,0x3ea001ff,
    0x2e00006f,0x1fffafff,0x202ffec0,0x7d46ffe8,0xfff3007f,0x01fffcc3,
    0x9fff0000,0x805ffd80,0xf802fff8,0x7fd404ff,0x0efffa8f,0x9fff0000,
    0x7fff9000,0xa87fffe6,0x3ee01fff,0xbffb7fff,0x07ffe600,0x987ffe20,
    0x44002bcb,0x06ffffff,0x300effd8,0xfb83fffd,0xfff3007f,0x77fffc43,
    0x09aaabcc,0x09fff000,0x8805ffd8,0xff802fff,0x7ffd404f,0x000efffa,
    0x013ffe00,0xb8bfff10,0xff70ffff,0x7ffdc01f,0x05ffdaff,0x005fff30,
    0x7fe49ffb,0x2000dfff,0x03fffffd,0xdeffffd8,0x3ffffedc,0x3006ffc8,
    0xffc83fff,0xffffffff,0x2000cfff,0x7ec04fff,0xfff8805f,0x04fff802,
    0x7fefffd4,0x7c00004f,0x7dc004ff,0xfffc80ff,0x980fff96,0xfdbfffff,
    0xfff3005f,0x26ffa803,0xfffffffd,0x3ffea005,0xfffb006f,0xffffffff,
    0x17ff603d,0x40fffcc0,0xfffffffc,0x2fffffff,0x809fff00,0xf8805ffd,
    0xfff802ff,0x47ffd404,0x0003fffd,0x0013ffe0,0x7f40dff9,0x06ffddff,
    0xdcffffc8,0xff5005ff,0x7ffc401f,0x2a1dff31,0x3a002ffe,0xfb003fff,
    0xdfffffff,0x6ffd807b,0x83fff300,0xccadfffa,0xfffffdcc,0x4fff801f,
    0x402ffec0,0xf802fff8,0x7fd404ff,0x07fffd0f,0x13ffe000,0x40dffb00,
    0xfffffff8,0x7ffff003,0x2e00bffb,0x7fec07ff,0xf90bff24,0x7ff4009f,
    0x57ff6007,0x32000998,0xff3007ff,0x27ffcc3f,0x1ffff440,0x2027ffc0,
    0xf8805ffd,0xfff802ff,0x87ffd404,0x002fffe8,0x004fff80,0x2603ffec,
    0x00ffffff,0xfb3fffb0,0x3ff600bf,0x83bfea05,0x7fd40ffd,0x7fff7005,
    0x02ffec00,0x03ffee00,0x43fffd10,0x26006ffc,0xff805fff,0x2ffec04f,
    0x017ffc40,0x2a027ffc,0x3fe60fff,0x7c0002ff,0x7e4004ff,0x7fdc00ff,
    0x3fe005ff,0x00bffb7f,0x2205fff3,0x7ff42ffe,0x402ffc40,0x000ffff8,
    0x00017ff6,0xe805fff5,0x3fe1ffff,0x7ffc004f,0x04fff804,0x4402ffec,
    0xff802fff,0x7ffd404f,0x0ffffcc0,0x09fff000,0x05fffa80,0x077fffc4,
    0xd97ffdc0,0xffe805ff,0x217ff206,0x7fcc1ffd,0x2fffe804,0x02ffec00,
    0x037ffc00,0x43fffffb,0x2a005fff,0xff802fff,0x2ffec04f,0x017ffc40,
    0x2a027ffc,0xffa80fff,0xff0001ff,0xffd0009f,0xfff701bf,0x6cc0bfff,
    0x3ff65fff,0xfffd301e,0x03ffe603,0xff90fff2,0x7fff4c05,0x5ffd8004,
    0xfffb8000,0x7e7fed44,0x3fffa1ff,0xffffa803,0x04fff800,0x4402ffec,
    0xff802fff,0x7ffd404f,0x1dfff900,0x09fff000,0xfffff300,0xfffffddd,
    0xff87ffff,0x360dffff,0xdcdeffff,0x203ffffe,0xff302ffe,0x8dff95bf,
    0xfffffeec,0xbffb0006,0xfff10000,0x9fffdbff,0xffa87ffe,0xbabcefff,
    0x21ffffec,0xfffffffc,0xffffffff,0x100bffb4,0x3ff25fff,0xffffffff,
    0xf54fffff,0x7fec01ff,0x7fc000ef,0xff50004f,0xffffffff,0x5ffff33b,
    0x4177fffc,0xfffffffd,0x201effff,0x7e405ffc,0x41ffffff,0x3ffffffe,
    0x17ff6000,0x7ffcc000,0x3e4fffff,0x7ffdc1ff,0xffffffff,0x7fe42eff,
    0xffffffff,0xfb4fffff,0xfff100bf,0x3fffff25,0xffffffff,0x1fff54ff,
    0x0efffd80,0x013ffe00,0xfffec880,0x7fdc2def,0x0359b0ff,0xffffdb98,
    0x7cc03def,0xffb800ff,0xffe80dff,0x40000dff,0x00005ffd,0x37ffff62,
    0x440fff42,0xffffffeb,0xff902dff,0xffffffff,0x369fffff,0xff8805ff,
    0xfffff92f,0xffffffff,0x3ffea9ff,0x7fff4400,0x13ffe005,0x00198000,
    0x26600000,0x10000000,0x009a8803,0x02662000,0x00cc0000,0xaa998800,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09800000,0x2ea20000,0x2666000a,0x99999999,0x4c400199,0x000000ab,
    0x22001331,0x0009aba9,0x33553100,0xaca98800,0x3333009a,0x33333333,
    0x00266213,0x80013330,0x009aab98,0x4d5dd544,0x4cccc400,0x99999999,
    0x6c019999,0x440002ff,0xefffffec,0x7fffc00d,0xffffffff,0xfec800ff,
    0x003effff,0x3ffbb260,0x7f5403ff,0x2effffff,0xffeda800,0x02dfffff,
    0xffffffb1,0xff83dfff,0xffffffff,0xbffd4fff,0x17ffc400,0x7fffedc0,
    0x643dffff,0xffffffff,0xfff500cf,0xffffffff,0x40ffffff,0x0002fff8,
    0x3fffffa6,0x201fffff,0xffffffff,0x00ffffff,0x3fffffa2,0x4005ffff,
    0xffffffea,0xffb103ff,0xffffffff,0x7fe400bf,0xffffffff,0x7ffe446f,
    0xffffffff,0x7ffffc1f,0xffffffff,0x400bffd4,0x2202fff8,0xfffffffd,
    0x3e0fffff,0xffffffff,0xffa83fff,0xffffffff,0x07ffffff,0x000bffe2,
    0x77ffffdc,0x2fffffec,0xddddfff0,0x1ddddddd,0x3ffffa20,0xeffffdbd,
    0x7fff4400,0x2eeeffff,0x9dffffb0,0x9fffffb7,0xffffe880,0xffffedff,
    0x77fffec6,0xffeecccd,0x7fffffc1,0x4fffffff,0x4400bffd,0xff502fff,
    0xddbfffff,0x7fc1ffff,0xffdcccde,0x7fd41fff,0xffffffff,0x07ffffff,
    0x000bffe2,0x02ffffe6,0x01ffff91,0x00003fff,0xb107fffd,0x74409fff,
    0x01abffff,0x019fff50,0x403fffa6,0x0aeffff8,0x7fdcdb50,0x04c401df,
    0xd4fff800,0x7c400bff,0xfffb82ff,0xf9300aef,0x3f200541,0xc80006ff,
    0x3e203fff,0xfd8002ff,0x7fe402ff,0x01fff84f,0x1fffd400,0x403fffa0,
    0x000cfffe,0x9806ffd8,0xffb02fff,0xf82001bf,0x000006ff,0x3fa9fff0,
    0x3fe2005f,0x7fffc42f,0x40002004,0x0000fffd,0x1017ffe6,0x98005fff,
    0xfb003fff,0x1fff81ff,0x2ffec000,0x41fffcc0,0x0002fffb,0x7c013ffe,
    0xfff983ff,0xfff30005,0x20000007,0xbffd4fff,0x17ffc400,0x000ffff2,
    0x7ffd4000,0x3ffa0002,0x3ffff60f,0xffffffff,0x362fffff,0xf5000fff,
    0x1fff87ff,0x3ffe6000,0x0dffb002,0x80009ffd,0xf9804ffe,0xfffd83ff,
    0xfff50001,0x20000005,0xbffd4fff,0x17ffc400,0x000dfff3,0x7ffcc000,
    0xfff90001,0xfffffd87,0xffffffff,0xff12ffff,0x7fc400bf,0x00fffc6f,
    0x00fff900,0xb83fffa6,0xc80007ff,0x7e400fff,0x7ffcc1ff,0x3fe60005,
    0x0000004f,0x3ffa9fff,0x3ffe2005,0x007fff62,0xffb80000,0xfff30007,
    0xddddd90b,0xdddddfff,0x3e65dddd,0x7ec002ff,0x00fffc7f,0x00bffb00,
    0x43fffff7,0x80005ffd,0x100dfff9,0xff70dfff,0x7c40003f,0x00001fff,
    0xfd4fff80,0x7fc400bf,0x017ffe2f,0xffb00000,0x3ffa0009,0xfff1000f,
    0x7ffd4005,0x3ffe4000,0x80007ffe,0x36204ffe,0x22ffffff,0x00003fff,
    0xb83dfffd,0xfc81ffff,0xfd80007f,0x00003fff,0xfea7ffc0,0x3fe2005f,
    0x07fff12f,0x7d400000,0xfc8001ff,0x3e2003ff,0x3ee002ff,0xffb8007f,
    0x3bbffe0f,0xf802bcde,0xfff303ff,0x227fffdf,0xedb89fff,0x401cefff,
    0xadffffe8,0xb00efffe,0x10000fff,0x17dffffd,0xfff00000,0x8017ffa9,
    0xff32fff8,0x0000005f,0x003fff93,0x00dfff30,0x002fff88,0x2001fff2,
    0x3fe1fffa,0xffffffff,0x5fff00cf,0x29ffff70,0xfff54ffe,0xfffffffb,
    0xd8809fff,0xffffffff,0x037ff405,0xfffe8800,0x0001cfff,0x7f53ffe0,
    0x3fe2005f,0x03fff52f,0x3333332a,0xfffb80cc,0x000effff,0x001fffd0,
    0x002fff88,0x2001bff6,0x3fe2fffa,0xffffffff,0x7fc41fff,0x3fff622f,
    0x557ff62f,0xefffffff,0x5fffffee,0xfffffb80,0x7ffc01ff,0x7dc00005,
    0x1dffffff,0x4fff8000,0x4400bffd,0xfff92fff,0x3ffff201,0xfb81ffff,
    0x2dffffff,0x3fffb800,0x2fff8800,0x01bffa00,0x98bffe60,0xdaa99999,
    0x220fffff,0xfff31fff,0x5ffd81bf,0x05bffff7,0x80bfffea,0xfffffffc,
    0xfff104ff,0x7100000b,0x9ffffffd,0x7ffc0001,0x400bffd4,0xff92fff8,
    0x3fff201f,0xb81fffff,0xffffffff,0xff3001ef,0x3e2000df,0x3f6002ff,
    0xffa8007f,0x7ec4001f,0x57ffc5ff,0xd03ffffc,0x3ffee9ff,0x6fff8801,
    0xaffffe88,0x0effffea,0x0006fff8,0x7ffed400,0xf0000eff,0x17ffa9ff,
    0x72fff880,0x2a603fff,0x1fffcaaa,0xfffb5300,0xfffd003f,0x3fe20001,
    0x3ff2002f,0x7ffb8007,0xfffd1000,0xfffffff8,0x4fffe01f,0x9000fffb,
    0x7f441fff,0xfffb84ff,0x06ffe86f,0xfb300000,0x2000bfff,0xbffd4fff,
    0x97ffc400,0x2002fffa,0x8001fff9,0x5c06fffa,0x20003fff,0x2002fff8,
    0x4000fffb,0x20007ffc,0x3fa1fffb,0x400dffff,0xfff52fff,0x3ffea003,
    0x80ffff21,0x6c2ffff9,0x000007ff,0x17fffd40,0xea7ffc00,0x3e2005ff,
    0x5fff32ff,0x0fffcc00,0x2fffb800,0x00dfff30,0x02fff880,0x00bffea0,
    0x000bffd0,0xfb1fffcc,0xf3007fff,0x3ffe63ff,0x7fff3002,0x2017ffe2,
    0x7e46fffa,0x000001ff,0x027ffd40,0xfda7ffc0,0x3fe6005f,0x09fff11f,
    0x00fffcc0,0x03fff880,0x0001fffd,0x002fff88,0x8017ffe6,0x0004fff8,
    0xfc8bffea,0xff7002ff,0x0bffe21f,0xa97ffcc0,0xfd002fff,0x5fffb8ff,
    0xf8000000,0x7c4006ff,0x0dffb3ff,0xf07ffd40,0x26001fff,0x20001fff,
    0xffb84fff,0xf880003f,0x7f4003ff,0x3fee007f,0x3f20001f,0x3ffea0ff,
    0x8bffd002,0xf5005fff,0x3ffee1ff,0x1fff9000,0x007fffc4,0x3fa00000,
    0x7fcc006f,0x00fff72f,0x3ee3ffdc,0xff3004ff,0x3e60003f,0x7ffc42ff,
    0x3fe00006,0x7fdc004f,0xfff8803f,0x3fa20005,0x06ffe86f,0x6c1fff98,
    0xfd800fff,0x0bffee7f,0x643ffec0,0x00005fff,0x027ffc00,0x543ffee0,
    0xfd002fff,0x1ffff0df,0x03fff300,0x03ffee00,0x0003fffd,0x007ffec0,
    0x80bfffe0,0x001fffe8,0x20bfff60,0x2203fffa,0xff986fff,0x7ffcc03f,
    0x017ffe64,0x2217ffe6,0x000effff,0x7fe40001,0xf880532f,0x3ffe26ff,
    0x2fffb806,0x02ffffa8,0x000fffcc,0x2e2fffcc,0x00003fff,0x806fffdc,
    0x7fffe408,0x3ffaa21b,0xea80084f,0x3fe04fff,0xffe983ff,0x9fffb02f,
    0x21bffea0,0x501dffff,0x2e05ffff,0x09bfffff,0xacdb75cc,0x7ffed400,
    0x502bbea6,0xfc85fffd,0xff900eff,0x7fff40bf,0xffa80acf,0x3f26001f,
    0x3fe20fff,0xaaaaaaff,0x0aaaaaaa,0x77ffff40,0xc82feedd,0xfeffffff,
    0xb80dffff,0xfedceeef,0x4c05ffff,0xfddfffff,0x2602ffff,0xccdeffff,
    0x981ffffe,0xcdefffff,0x03fffffe,0x7fffffdc,0x6fffffef,0xddfffffb,
    0xdffffffd,0x7ffffd41,0x85fffffe,0xdefffff8,0x0fffffec,0x3ffff620,
    0xfffeefff,0xbddfb1ff,0xfffffdb9,0xffffd83f,0xffffffff,0x401fffff,
    0xfffffff9,0xff702fff,0xffffffff,0x7fffdc07,0x2effffff,0xffffd100,
    0x005fffff,0xffffffd1,0x5401dfff,0xffffffff,0x3004ffff,0xfffffffd,
    0x3f6dffff,0xffffffff,0x540dffff,0xffffffff,0x3f6203ff,0xffffffff,
    0xff7000df,0xffffffff,0x3ff63fff,0xffffffff,0xfffd80cf,0xffffffff,
    0x01ffffff,0xfffffd70,0x764c05df,0x01deffff,0x7fffffdc,0x88002dff,
    0xceffffec,0x7ff64001,0x2003efff,0xffffffeb,0xcb8000bf,0xbdeffffe,
    0xffffb509,0x19ffffff,0x7fffe4c0,0xd5001def,0x5dffffff,0xffb91000,
    0x17bfffff,0x7fffffec,0x3600ceff,0xffffffff,0xffffffff,0x9998001f,
    0x01330001,0x9aa99880,0x0cc00000,0x01530000,0x03533000,0x01330000,
    0x0cd54cc0,0x00998800,0x004cc400,0x26a62000,0x554cc400,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00099988,0x3304ccc4,0x22000133,0xb9800999,
    0x9988009a,0x26620001,0x00066609,0x10009988,0x99880333,0x06660019,
    0x40026662,0x4cc41999,0x99999999,0x21999999,0x31000998,0x4cccc133,
    0x99999999,0x10999999,0x33333333,0x43333333,0x2005fffb,0x320efff8,
    0xd0004fff,0x3ae01fff,0x0dffffff,0x00bfff60,0xf0fffdc0,0x320003ff,
    0xffb804ff,0x3ff200ff,0xff8801ff,0x2fffec0f,0x17fffcc0,0xfffffff9,
    0xffffffff,0x02fff4ff,0x9877ffcc,0xffffffff,0xffffffff,0xffff96ff,
    0xffffffff,0x7ff41fff,0xfffb001f,0x1ffff885,0x27ffd400,0x7fffff44,
    0x503fffff,0x20009fff,0x7ffc6ffe,0x7ff90002,0x7ffffd40,0x3fff200f,
    0xfff8805f,0x07ffff40,0x8bffff20,0xfffffffc,0xffffffff,0x017ffa7f,
    0x4c1ffff1,0xffffffff,0xffffffff,0xffff96ff,0xffffffff,0x7fcc1fff,
    0xfffa806f,0x0bfff705,0x40fffe80,0xcefffffa,0x01fffffd,0x1000ffff,
    0xffe89fff,0x7ffb0002,0xfffffd50,0x7fe401ff,0x7c401fff,0x7fff40ff,
    0x3ffe202f,0x3fff22ff,0xffffffff,0x3a7fffff,0x7fec05ff,0x77774c1f,
    0xefffeeee,0x74eeeeee,0xffdddddd,0x1ddddddf,0x403fffc8,0x3a00fffe,
    0xf7001fff,0xfff707ff,0x1bfff205,0x000fffec,0xfd07ffee,0x3f60007f,
    0x3fffaa2f,0x00ffffff,0x17fffff2,0xe81fff10,0x2a05ffff,0x003fffff,
    0x3a6ffd80,0x3ff205ff,0xffb8003f,0x7fdc0007,0x3ffe2007,0x7fff700f,
    0x06fffa80,0x640dfff0,0x7ffec00d,0x04fffa81,0x6c37ff40,0xfb0003ff,
    0x3fffe25f,0x0fffd8cf,0x3fffff20,0x3ffe200f,0x7fef7fc0,0xff9ffb00,
    0xff980007,0x417ffa2f,0x0004fffa,0x8000fff7,0x54007ffb,0xff885fff,
    0xfffd005f,0x2fffb805,0xfff98000,0x00dfff03,0x6c1fffc4,0xfd0004ff,
    0x06ffec3f,0x6401fffb,0x04ffedff,0xff03ffe2,0xf107ff7d,0x007ff99f,
    0x746ffd80,0xfff985ff,0x3fee0005,0x7fdc0007,0xfffd8007,0x007ffec2,
    0x206fff98,0x0005fff8,0x209fff10,0x7001fffd,0xff903fff,0x3ffa0009,
    0x3f607661,0x3ff200ff,0x100fffbd,0xeff81fff,0xffb86ff9,0x0004ffc9,
    0xfd0bffe6,0xeffe88bf,0x3fee0000,0x7fdc0007,0xfff88007,0x00fffea6,
    0x207fffb0,0x0001fffc,0x5417ffe0,0xfb003fff,0x13ff20df,0x007ffc00,
    0x200fffd8,0x9fff5ffc,0x883ffe20,0x83ffd6ff,0x09ff77fe,0x437fec00,
    0x7fec5ffe,0x7dc0000f,0x7dc0007f,0xff70007f,0x0dfff17f,0x1ffff100,
    0x004fff88,0x13ffe200,0x8806fff8,0xff703fff,0x7c06aa0b,0xffb000ff,
    0xaffe401f,0xf880fffc,0x5bfe20ff,0x3fe64ffb,0x000bff74,0x3a0fffe6,
    0x3ffee5ff,0xffb80002,0x7fdc0007,0x3ffa0007,0x001fffdf,0xc87fff90,
    0x00000fff,0xd80bffe6,0x7d400fff,0xbff701ff,0x3e0bff30,0x3ff6007f,
    0x57ff200f,0xf883fff8,0x5bfe60ff,0x3ff26ff8,0x000bff71,0x7f41fff6,
    0x07fff55f,0x1ffee000,0x0fff7000,0x7fffcc00,0x220004ff,0xff10ffff,
    0xd800007f,0x3ea00fff,0x7fec03ff,0x21bfea06,0x7c40fffc,0x3ff6007f,
    0x97ff200f,0xff887ffd,0xd97fe60f,0x54dff1ff,0xf88005ff,0xbffd03ff,
    0x0009fff1,0x003ffdc0,0x001ffee0,0x1fffff90,0xfffb8000,0x001fff94,
    0x27ffcc00,0x01bffe20,0x7cc07fff,0x3fffe86f,0xb0037fc4,0x7e401fff,
    0x0bffe65f,0x7cc1fff1,0x2b3fea5f,0x1bfea3ff,0x81fff200,0x5ffedffe,
    0x7fdc0000,0x7fdc0007,0x7fc40007,0xd00003ff,0x5fff3fff,0x7f440000,
    0xffd800ff,0x3fff500f,0x263ffcc0,0x7cc5ffff,0x3ff6006f,0x17ff200f,
    0xff88dffb,0x897fea0f,0x20ffdfff,0x44006ffa,0x3fa03fff,0x002fffff,
    0x03ffdc00,0x01ffee00,0xfffff700,0xff500001,0x000dffff,0x02fffd80,
    0x207fff50,0x7c406ffd,0x7fffdc7f,0x017fe60f,0x200fffd8,0x7fd45ffc,
    0x83ffe22f,0x7fec5ffa,0x37fd45ff,0x03fff200,0xfffeffe8,0x2e00000f,
    0x5c0007ff,0x220007ff,0x04ffffff,0xffffb000,0x6c00003f,0x22004fff,
    0xfff05fff,0x47ff8807,0x23ffcefe,0x36005ffa,0x3f200fff,0x26ffe85f,
    0x3ee0fff8,0x7fffd45f,0x003ffcc2,0xe809fff1,0x6fff9dff,0x3fee0000,
    0x7fdc0007,0x3ff60007,0x001fffef,0x5ffff980,0x3ff20000,0xffd8005f,
    0x07ffd40f,0xf987ffc0,0x2a6ffacf,0x3f6004ff,0x3ff200ff,0x12fffa85,
    0x7fdc1fff,0x987fff84,0x3f2007ff,0x7ff400ff,0x00bfff75,0x01ffee00,
    0x00fff700,0x22fffee0,0x00006fff,0x0003fff9,0x017fff20,0x217ffd40,
    0xff006ffc,0x227fee1f,0x9ff70fff,0x07ffec00,0x3a0bff90,0x1fff15ff,
    0x7e427fdc,0x07ff984f,0x009fff10,0x7fecbffd,0xfb80003f,0x7dc0007f,
    0xff88007f,0x13fff26f,0x1ffee000,0x7ffe4000,0x3fe20005,0x01fffc5f,
    0xffd1ffe8,0xffb9ffec,0x3fff6003,0x417ff200,0xff89fffb,0x213ff20f,
    0xff980aa8,0xfffc800f,0x25ffe800,0x001fffe8,0x003ffdc0,0x001ffee0,
    0xfd0bfff6,0xb80003ff,0xc80007ff,0x80005fff,0xff50fffd,0x3ffa001f,
    0x3ea4ff8a,0x007ff76f,0x9007ffec,0x7ffc0bff,0x320fff8c,0xf88004ff,
    0x7fc400ff,0xbffd004f,0x00ffff98,0x01ffee00,0x00fff700,0xa85fffa8,
    0x40006fff,0x40007ffb,0x0005fffc,0x325fff50,0x3f6006ff,0x7c2ffbaf,
    0x02ffc9ff,0x803fff60,0x3ee05ffc,0x20fff9ff,0x88004ffd,0x7e400fff,
    0xffd000ff,0x0bfff70b,0x03ffdc00,0x01ffee00,0x00ffff88,0x0007fffb,
    0x0003ffdc,0x000bfff9,0xfa7ffc40,0x3f6003ff,0xfc87fdbf,0x002ffccf,
    0xc803fff6,0x3fe205ff,0x360fffcf,0xf88003ff,0x3fe201ff,0x3ffa005f,
    0x09fffb05,0x01ffee00,0x00fff700,0x101fffec,0x0001ffff,0x4001ffee,
    0x0004fffc,0xfafffd80,0x3f2000ff,0xfa84ffcf,0x001ffcff,0xc803fff6,
    0x7fe405ff,0x3f60ffff,0xff88003f,0x3fff201f,0x17ffa001,0x017fff44,
    0x003ffdc0,0x401ffee0,0xc806fffa,0x70005fff,0xf9000fff,0x55555dff,
    0x15555555,0xfdfff500,0xffb800df,0xfff02fff,0x99883fff,0xfffe9999,
    0xf9199999,0xfff880bf,0x3ffa0fff,0x3fff0003,0x017ffe20,0x4c0bffd0,
    0x4001ffff,0x40007ffb,0xf8807ffb,0xfd002fff,0xf70005ff,0xfff000ff,
    0xffffffff,0x01ffffff,0xffffff10,0xfffb8007,0x3fff207f,0x7ffdc0ff,
    0xffffffff,0xff97ffff,0xffffb00b,0x01fff41f,0x902fff80,0xe8003fff,
    0x7fdc05ff,0x3ee000ef,0xfff9007f,0xffffffff,0x3f21ffff,0x3ea005ff,
    0x5c000fff,0xff8007ff,0xffffffff,0x0fffffff,0xfffffb00,0xfffa8001,
    0x3ffe605f,0x7ffdc0ff,0xffffffff,0xff97ffff,0xffff300b,0x01fffc1f,
    0x882fff80,0xe8005fff,0xffd805ff,0x3fee005f,0xffff9007,0xffffffff,
    0xfff31fff,0xffd8001f,0x7fdc005f,0xffff8007,0xffffffff,0x000fffff,
    0x00dffff5,0x05ffff50,0xb87ffff8,0xffffffff,0x7fffffff,0x3600bff9,
    0x3fe0ffff,0xfff0002f,0x03fff905,0x00bffd00,0x400ffffa,0xf9007ffb,
    0xffffffff,0x01ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x4cc00099,0x33333109,
    0x33100033,0x33333333,0x26661333,0x99999999,0x33310999,0x00001333,
    0x26203330,0x33333101,0x30000033,0x00001333,0x00ccccc0,0x33333331,
    0x01998800,0x9ba98000,0xd8000000,0x3e6005ff,0xffff92ff,0x17ddffff,
    0xfffffe80,0xffffffff,0xfffffff6,0xdfffffff,0x3ffffffa,0x001bceff,
    0xff837fc0,0xfffffd07,0x05bdffff,0x7fffd400,0xf5000007,0x7f40ffff,
    0xffffffff,0x3fea00ce,0xe980001f,0x1effffff,0x4000f4c0,0x26005ffd,
    0xfff92fff,0xffffffff,0x7fff407f,0xffffffff,0xfffff6ff,0xffffffff,
    0x3ffffadf,0xffffffff,0xdff10004,0x7f41bfe0,0xffffffff,0x8001efff,
    0x02fffffc,0x7ffc4000,0x3ffa07ff,0xffffffff,0xffa81dff,0x7e40001f,
    0xffffffff,0x5fff303f,0x05ffd800,0x64bffe60,0xfeeeefff,0xd03fffff,
    0xdddddfff,0x3ebddddd,0xeeeeefff,0xfd5eeeee,0xfffdddff,0x005dffff,
    0xf885ff98,0xdfffd06f,0xfffffddd,0xff8001ff,0x0004ffff,0x7ffffec0,
    0x3bfffa07,0xfffffeee,0x7ffd40ff,0x3ffa0001,0xffcbacef,0xfffa84ff,
    0x3ff6003f,0x3ffe6005,0x220fff92,0xe81ffffc,0xff8005ff,0xffe8004f,
    0xffeb9885,0x3ea002ff,0x05ff984f,0x2a20bffd,0x2006fffe,0x7ffdfffa,
    0x3fea0000,0x3a07ffdf,0x3faa05ff,0x3fea0eff,0xff70001f,0x3ffa209f,
    0xfffe980f,0x0bffb004,0xc97ffcc0,0x7fdc07ff,0x05ffe84f,0x004fff80,
    0xc805ffe8,0x2a006fff,0x4ffa83ff,0x880bffd0,0x9000ffff,0x3fff5bff,
    0xffd10000,0x740fff79,0xffd805ff,0x07ffea4f,0x17ffe200,0x4413ffe0,
    0x400dfffe,0x26005ffd,0xfff92fff,0xd0dfff00,0xff000bff,0xffd0009f,
    0x3ffee00b,0x05ff7003,0x3fa07ff7,0xfffb805f,0x17fff001,0x00009fff,
    0x3feedff9,0x017ffa07,0xfa9bffe2,0xfb8001ff,0xffc800ff,0x3fff200f,
    0x17ff601e,0x92fff980,0xffb00fff,0x00bffd0f,0x0009fff0,0x2200bffd,
    0x6440ffff,0xcdffeccc,0xcdffeccc,0x0bffd2cc,0x003fff50,0x3f61fff5,
    0x7cc0007f,0x0fff71ff,0xc802fff4,0x3ffea7ff,0x6ffc8001,0x05fff100,
    0x02ffffb8,0x4c00bffb,0xfff92fff,0xd0fffb00,0xff000bff,0xffd0009f,
    0x7ffdc00b,0x7ffffc42,0xffffffff,0xd4ffffff,0xff700bff,0x9bff200f,
    0x0001fffb,0xffb93ffa,0x017ffa07,0xfa8fffdc,0xfe8001ff,0x3ffa005f,
    0xffffa803,0x005ffd83,0x7e4bffe6,0x5fff807f,0x8005ffe8,0xe8004fff,
    0x3e2005ff,0x7ffc43ff,0xffffffff,0xffffffff,0xb00bffd4,0x3fe00bff,
    0x13ffe23f,0x07ffdc00,0x7f40fff7,0xfff7005f,0x007ffea3,0x8017ffe0,
    0xd3004ffe,0xffd89fff,0x3ffe6005,0xb80fff92,0xffe83fff,0x4fff8005,
    0x05ffe800,0x4027ffc0,0x0ffd07ff,0x2a02fff4,0xfa803fff,0x3fff41ff,
    0x17ffc400,0xfe81ffee,0xfff9005f,0x000fffd4,0xb0037fec,0x74400bff,
    0xffb0dfff,0x7ffcc00b,0x5c0fff92,0xffd06fff,0x9fff000b,0x0bffd000,
    0x805fff80,0x0fff06ff,0x4c42fff4,0x9005fffd,0xfff70dff,0x5ffd8003,
    0x3a07ffb8,0xffd005ff,0x00fffd4d,0x007ffe40,0x8006ffc8,0xfd9efffc,
    0xffffffff,0xffffffff,0x999fff92,0x1dffffb9,0x333bffa0,0xcccccccc,
    0xfffffff0,0x7fffffff,0xd0017ffa,0xff880dff,0x740dff06,0xffffffff,
    0x2003efff,0xff884fff,0x3fee004f,0x07ffb80f,0x32017ffa,0x3fea2fff,
    0xffa8001f,0xffe8805f,0xfffa8007,0xfffffdaf,0xffffffff,0xff92ffff,
    0xffffffff,0x7ff401bf,0xffffffff,0xffff1fff,0xffffffff,0x17ffa7ff,
    0x80fffb00,0xff885ff9,0x3ffffa05,0xdfffffff,0x3fff5002,0x401bffa0,
    0xf702fff8,0x2fff40ff,0x8bfff910,0x0001fffa,0x883dfffb,0x07ffffda,
    0x8f7ffe40,0xfffffffd,0xffffffff,0xffff92ff,0x01dfffff,0xffffffd0,
    0x3fffffff,0x3ffffffe,0x3fffffff,0xd800bffd,0x7fd407ff,0x204ff984,
    0xfffffffe,0x1effffff,0x903ffe40,0xfb003fff,0x3ffdc0bf,0x555dffd0,
    0xfffffb97,0x01fffa81,0xfffff100,0xffffffdf,0x7ec00dff,0x3ff60eff,
    0x3ffe6005,0x555fff92,0x801bfffb,0xaaaaeffe,0xf0aaaaaa,0xfd0009ff,
    0xffe800bf,0x41ffdc07,0x3fa04ffa,0xffb9885f,0x3fe00fff,0x3ffe604f,
    0x07ffd404,0x740fff70,0xffffffff,0xa80dffff,0x20001fff,0xffffffd8,
    0x6ffddfff,0x5fffe880,0x2005ffd8,0xff92fff9,0x0bfff50f,0x8005ffe8,
    0xe8004fff,0x7fc005ff,0x17fe406f,0xfd01ffdc,0xfffb00bf,0x0bffe60b,
    0x440dfff0,0x7dc03fff,0x3fffa07f,0xefffffff,0x07ffea02,0x3b6ea000,
    0xffb0bcee,0xffff980b,0x00bffb03,0xfc97ffcc,0x5fff707f,0x002fff40,
    0x40027ffc,0x22005ffe,0x3fe25fff,0xffffffff,0xffffffff,0x017ffa4f,
    0xfc83fff4,0xfffc807f,0x00dff901,0x7f40fff7,0x1abcccef,0x03fff500,
    0x7fc00000,0x3ffea03f,0x17ff602f,0x92fff980,0x7ff40fff,0x017ffa06,
    0x0013ffe0,0xa8017ffa,0x3fe22fff,0xffffffff,0xffffffff,0x017ffa4f,
    0x7c0fffe4,0xeeeeefff,0x3fffeeee,0xeeefff88,0xfeeeeeee,0xd2eeeeff,
    0xa8000bff,0x00001fff,0x03fff300,0x007bfff2,0x4c00bffb,0xfff92fff,
    0x817ffdc0,0xf8005ffe,0xfe8004ff,0x3ffa005f,0x3333220f,0xcccccfff,
    0x2ccccfff,0x5c017ffa,0x7fcc1fff,0xffffffff,0x86ffffff,0xfffffff8,
    0xffffffff,0xfd3fffff,0xfa8000bf,0x000001ff,0xb10dff70,0xb001dfff,
    0x7cc00bff,0x0fff92ff,0xe837ffc4,0xff8005ff,0xffe8004f,0xbfff5005,
    0x3a0fff00,0x2fff407f,0xc87ffc80,0xffffffff,0xffffffff,0x7fffc41f,
    0xffffffff,0xffffffff,0x000bffd3,0x001fffa8,0xfff98000,0x2ffff441,
    0x00bffb00,0xfc97ffcc,0x7ffdc07f,0x005ffe82,0x8004fff8,0xe9805ffe,
    0xff801fff,0xe80fff06,0xffd005ff,0x33bfff0d,0x33333333,0x3307fff5,
    0x33333333,0x33fff933,0x17ffa133,0x3fff5000,0xf8800000,0xfffa84ff,
    0x2ffec003,0x25fff300,0x7c407ffc,0x5ffe86ff,0x04fff800,0x405ffe80,
    0x804ffffb,0xff886ff8,0x02fff406,0x261fffe4,0x7c002fff,0xb80006ff,
    0x3ffa07ff,0x7fd40005,0x1000001f,0x201ffff7,0xfd8002fb,0x3fe6005f,
    0x00fff92f,0xfe85fff9,0xfff8005f,0x5ffe8004,0x3ffb2a62,0xff3005ff,
    0x80bff10b,0xb9885ffe,0xfc85fffe,0xffc8007f,0x7dc0000f,0x17ffa07f,
    0x3fff5000,0x55310000,0x05fffff9,0xffb00008,0x7ffcc00b,0x100fff92,
    0xffe8dfff,0xffff8005,0xffffffff,0xffffd6ff,0xffffffff,0x7fd4007f,
    0x404ff984,0xfffffffe,0x0effffff,0x8005fff8,0x0003fffa,0xfd03ffdc,
    0xfa8000bf,0xffffffff,0x2a5fffff,0xffffffff,0x00000cff,0x8017ff60,
    0xff92fff9,0x3fff600f,0x0017ffa1,0x3ffffffe,0x6fffffff,0xfffffffd,
    0x0039ffff,0xfa83ffb8,0x7fff404f,0xffffffff,0x5fff302e,0x1bffe000,
    0x0fff7000,0x0002fff4,0x3fffffea,0xffffffff,0x3ffffea5,0x0001efff,
    0x05ffd800,0x64bffe60,0xff3007ff,0x02fff4bf,0x7fffffc0,0xffffffff,
    0xffffffd6,0x000179bd,0x3ee0bfee,0x7fff403f,0x2cdeffff,0x007ffe40,
    0x00fffd80,0x81ffee00,0x40005ffe,0xfffffffa,0x5fffffff,0x2f3bbfea,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x2a60009a,0x55553000,
    0xa9800013,0x4c400099,0x4c00009a,0x0001aaaa,0x1a980000,0x06aa6000,
    0x4406a200,0x000000aa,0x40000000,0x80000099,0xffeb805c,0x6c04ffff,
    0xeb882fff,0xffffffff,0xfdb1000c,0x07dfffff,0x7ffff644,0xf7000cff,
    0xffffffff,0x805ffd8b,0xfff2fff8,0x7fffecc3,0x22ffd84f,0x3ffffffb,
    0xff53ff98,0x7ffdc5df,0x3fffee1f,0xffffffff,0x3ffe26ff,0xbffb0001,
    0x004ff880,0x82ffec00,0xffffffd8,0xfb81efff,0x7e40ffff,0xffffffff,
    0x7dc02fff,0xffffffff,0xffff306f,0x5dffffff,0x7ffff4c0,0x45ffffff,
    0xf8805ffd,0x23fff2ff,0xfffffffa,0x457fec6f,0xfffffffe,0x45ffcc5f,
    0xf36fffff,0x7dcfffff,0xffffffff,0x7c6fffff,0xfd0002ff,0x09ff009f,
    0x3ffa2000,0x7ff440df,0xffecabdf,0x7ffec0ff,0x7ffe41ff,0xfffdccde,
    0xffe880ff,0xfedcdfff,0xffffb86f,0xffffdcde,0xffff882f,0xfeccbbce,
    0x402ffec5,0xfff2fff8,0xb9dfff73,0x7ec7ffff,0xcdfffebf,0x262ffffd,
    0xfbefdcff,0xfbdfe9ff,0xdddd52ff,0xfddddddd,0x3ffe8bff,0x07ffd000,
    0x00107ff0,0x04ffff98,0x2e05fffb,0x7fe45fff,0x0e640fff,0x217fff20,
    0x202ffffc,0x7fffc44a,0x0ffff901,0x1003fffb,0x8805ffd8,0xbfff2fff,
    0xfe883dff,0x3ffff66f,0x7ffcc0df,0x3bfbfe66,0x4dfbff70,0xe8004ffc,
    0x7fec0fff,0x3fff0004,0x0ffa066c,0x3ea003f5,0xff303fff,0xfffb805f,
    0x13fffe21,0x7fff8800,0x0077ffcc,0x0077fec0,0xff0fffee,0x3f60009f,
    0xfff8805f,0x1dfffff2,0x6c7ffee0,0x3204ffff,0x3ffe67ff,0x3fffea2f,
    0x0013fee1,0xf905fff9,0xff1000bf,0x8bffea1f,0xdff912fe,0x3ffff700,
    0x802ffec0,0x65c44ffe,0xffc80002,0x07fffa0f,0x0fffea00,0x3e3fff40,
    0xfb0004ff,0xfff100bf,0x03bfffe5,0xfb2fff88,0xff980bff,0x8bfff30f,
    0x7dc4fffa,0x3fea005f,0x0dff704f,0xff30bff3,0x67ffeccf,0xffe9afd8,
    0x7ffec04f,0x3ffe200e,0x0dff9002,0xff980000,0x09fff31f,0x01fff200,
    0x3a1fffa8,0xd8000fff,0xff8805ff,0x01ffff2f,0x3f67fff0,0xfff9806f,
    0xa83fff31,0x7fdc0fff,0xdfff3005,0x5c3ffd40,0x6ffa87ff,0xfeeffd98,
    0x200cfffd,0x805fffe8,0x7000fff9,0x00000fff,0xf51fff98,0x360003ff,
    0x3e2005ff,0x3ffee2ff,0x3f6000cf,0xfff8805f,0x2007fff2,0xbffb1ccc,
    0x25fff100,0xffa87ff9,0x805ffb86,0x200fffe8,0x7f40fff8,0x2ffdc2ff,
    0xfffffb30,0xffe98019,0xfff5004f,0x99999999,0x01fffb99,0x76e5cc00,
    0x1fffeeee,0x4000fff7,0x7c004ffe,0x7ffec3ff,0x6c00beff,0xff8805ff,
    0x007fff2f,0x402ffec0,0xff32fff8,0x70dff50f,0xffb00bff,0x3fff003f,
    0x22ffffc4,0x75404ffc,0x5400cfff,0x2002ffff,0xfffffffc,0xffffffff,
    0xea8000ff,0xffffffff,0xffb1ffff,0x7ffc000d,0x27ffc003,0x7fffffe4,
    0xbffb02df,0x25fff100,0x20003fff,0xf8805ffd,0x0fff32ff,0xff70dff5,
    0x3fffb80b,0x5c5ffd00,0x360fffff,0xffd503ff,0x019fffff,0x003dfff7,
    0xffffffc8,0xffffffff,0x64000fff,0xeeffffff,0xb1fffeee,0x22000dff,
    0x7c003fff,0xff9304ff,0x83dfffff,0xf8805ffd,0x07fff2ff,0x02ffec00,
    0xf997ffc4,0x86ffa87f,0x3e605ffb,0x3f6005ff,0x3efbfa3f,0x50bffa3f,
    0x5fb5fffd,0x6c19fff9,0x4000efff,0x00007ffb,0x5dfff500,0xc8fffcc0,
    0x3e0007ff,0x7fc004ff,0xffda803f,0x3f60ffff,0xfff8805f,0x0007fff2,
    0x4402ffec,0xfff32fff,0xf70dff50,0x3ffe20bf,0x3ff2000e,0xff39ff14,
    0xf707ffcb,0x4bfa19ff,0x7e47fffa,0x2a001fff,0x00001fff,0x00fffe80,
    0xfb8fffcc,0xfd0000ff,0x7fc400bf,0x7f54001f,0x17ff65ff,0x7cbffe20,
    0x360003ff,0xff8805ff,0x50fff32f,0xbff70dff,0x007fffa0,0x3eebff70,
    0x3e1ffd1f,0x20f7c47f,0x0ff222fe,0x00bfffea,0x0017ffcc,0x3ffe2000,
    0x1fff9803,0x0005fff5,0xb801fff6,0x88000fff,0x3ff67ffe,0x2fffa805,
    0x40007fff,0xf8805ffd,0x0fff32ff,0xff70dff5,0x05fff90b,0x3adff500,
    0x22fff27f,0xff0186ff,0x7fcc0307,0xfff004ff,0xb910000d,0x02fff987,
    0xf11fffb8,0x70001fff,0x3a007fff,0x320006ff,0xdff90fff,0x2ffff980,
    0x40007fff,0xf8805ffd,0x0fff32ff,0xff70dff5,0x04fffa8b,0xf1fff100,
    0x4f7fcc9f,0x3fe005ff,0xffe88003,0x7fdc00df,0x3e20003f,0x3fe64fff,
    0x3ff6203f,0x3fff21ff,0xdffd0004,0x1fffc801,0x9fffa000,0xf301fffb,
    0x3fe5ffff,0x3f60003f,0xfff8805f,0xf50fff32,0x4bff70df,0x0006fff8,
    0x0ffdfffc,0x13fefffa,0x0004ff80,0x003bfff6,0x001bfffd,0xfffffc83,
    0x207fffe0,0x1fffffea,0x0bbfffe2,0x3fea2dc4,0xffd881ff,0x400d4c4f,
    0x3e64fffc,0x7fd40eff,0xfff2ffff,0x7fec0007,0x2fff8805,0xff50fff3,
    0x74bff70d,0x40000fff,0xb87feffe,0x003fffff,0x80005991,0x201ffffc,
    0xdefffffa,0x0ffedccc,0x87fffff6,0xdcdffffc,0xfffdffff,0x7ffffd41,
    0x6fffeeef,0xdfffffe8,0x0effffec,0x6777ffd4,0xfffffdcc,0x6ffffec0,
    0xfeafffec,0x007fff2f,0x402ffec0,0xff32fff8,0x70dff50f,0x3fff2bff,
    0xffffffff,0xfd83ffff,0xff984fff,0x00002fff,0xffff5000,0x7fff4c05,
    0xffffffff,0x3fffee0f,0x7ffff40f,0xff2fffff,0xfffd103f,0xdfffffff,
    0x3ffffee0,0x504fffff,0xffffffff,0x301dffff,0xffffffff,0x7cbffa5f,
    0x360003ff,0xff8805ff,0x50fff32f,0xbff70dff,0x3ffffff6,0xffffffff,
    0xffffc83f,0x1ffffd01,0x40000000,0x404ffff9,0xffffffeb,0xffd84dff,
    0xffff702f,0x7ff419df,0x3ffb6a01,0x201cefff,0xefffffd9,0x3ff6602d,
    0xdfffffff,0x7ffec402,0x3ff60dff,0x0007fff2,0x4402ffec,0xfff32fff,
    0xf70dff50,0x3ffff6bf,0xffffffff,0xffb83fff,0x3ffee07f,0x00000007,
    0x00effe88,0x03335310,0x31001530,0x98000013,0x33100019,0x33310001,
    0x26000355,0x0000009a,0x00000000,0x00000000,0x00000000,0xed880000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00000000,0x4c000000,0x220004cc,0x0998001a,
    0xddddd300,0xdddddddd,0x2662bddd,0x04cccc09,0x00013333,0x99998000,
    0x75031000,0x77777777,0x33332177,0xcccccccc,0xcccccccc,0x000002cc,
    0x3ffee000,0x37ffc003,0x4013fff6,0x2003fffd,0x30007ffb,0x2001dfff,
    0xa800fffc,0xffffffff,0xffffffff,0xf87fffb6,0x3ffe2fff,0xeffdb83f,
    0xff700002,0x7f4405ff,0x3fff61ef,0xffffffff,0xfffffff1,0xffffffff,
    0x7fffffff,0x00000000,0x0037ffc4,0xf887fff5,0x7d402fff,0x7dc005ff,
    0xffb0007f,0xff300bff,0xff5009ff,0xffffffff,0x2dffffff,0x7fc3fffd,
    0x3fffa1ff,0x3ffff623,0x3fe00dff,0x3ffa600f,0xffffb02f,0x3ffff61f,
    0x1fffffff,0xffffffff,0xffffffff,0x07ffffff,0x80000000,0xb001fffc,
    0xff501fff,0x3fe201ff,0x7dc000ff,0xffb0007f,0xfd801fff,0x0001ffff,
    0x3fff2000,0xd0ffff42,0x7fe45fff,0x0effffff,0x400fff98,0x442fffd8,
    0x72ffffff,0xbbbbbbbb,0x26661bbb,0x99999999,0x99999999,0x00000999,
    0x7fcc0000,0xfff8804f,0x17fff204,0x000fffec,0x8003ffdc,0x01fffffb,
    0x3feeffea,0x20000005,0x7f42fffc,0x3fff60ff,0x33bfff12,0xa81dfffb,
    0x3ee007ff,0x3ffe22ff,0x00002fff,0x00000000,0x3a000000,0xffa807ff,
    0x7fff401f,0x027ffd42,0x007ffb80,0x0bffffa0,0xffd0ffe8,0x20000005,
    0x7ec1fffb,0x3fff60ff,0xf70fff51,0xff715fff,0xcc98009f,0x3ffffa0c,
    0x0000000f,0x00000000,0x3fee0000,0x37fec02f,0x87fffc40,0x0005fff8,
    0x8001ffee,0x701ffff9,0x7ffcc7ff,0xb8000000,0x7fec1fff,0xb8fffe47,
    0xfff706ff,0x01ffffff,0x7ff44000,0x0000001f,0x00000000,0x7fc40000,
    0x3ffe205f,0xbfff5003,0x0003fff6,0x0007ffb8,0xf883fffc,0x04ffd86f,
    0xfffffff5,0xffffffff,0x03ffeedf,0xffc8fff9,0x409ff90f,0xfffffffa,
    0x33000002,0x00000001,0x00000000,0x3ff60000,0x1fff700f,0x6fffe400,
    0x54402fff,0xfdaaaaaa,0xaaaaaaff,0x3ffe202a,0x105ff905,0xff503fff,
    0xffffffff,0x2dffffff,0x7e40fffa,0x07ffdc6f,0x7ffe4400,0x0000001d,
    0x00000000,0x00000000,0x3ffea000,0x00bffd02,0x9fffffd0,0xfffff500,
    0xffffffff,0x40dfffff,0xf981fffd,0x17ff206f,0x3fffffea,0xffffffff,
    0x1fff56ff,0x7dc6ffb8,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x7cc37ff4,0xf88002ff,0xf5006fff,0xffffffff,0xffffffff,0xfffd50df,
    0x807ff607,0x0002fff8,0x440ccc00,0x0ccc4099,0x00000000,0x00000000,
    0x00000000,0x2e000000,0x7fe40fff,0xfff30006,0x332600df,0xffdccccc,
    0xcccccccf,0xffffff33,0x017fea09,0x0003ffea,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf1000000,0x3fff87ff,0xffff8800,0xb80004ff,
    0xff3007ff,0x7f403dff,0x9ffd001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d4dffb0,0xfd8000ff,0x02fffdff,0x03ffdc00,
    0x401acd98,0x26003cc9,0x000004cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffa8000,0x000bffb1,0x3fa7fff9,0x2e0001ff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff800000,
    0x02fff8cf,0x32fffd40,0x0001dfff,0x0001ffee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x7ffafffc,0x7fffc400,
    0x02fffdc0,0x007ffb80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff88,0x7fff4004,0x07fffb02,0x00fff700,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffa0,0x3fff2001,0x3fffe204,0x3ffdc002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffa800,0x3ffee006,
    0x7ffd400e,0x3baa000f,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe0000,0xfff3002f,0x3ff6003f,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_41_usascii_x[95]={ 0,8,5,0,2,0,1,8,6,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1, };
static signed short stb__consolas_41_usascii_y[95]={ 30,1,1,3,0,1,2,1,0,0,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,35,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14, };
static unsigned short stb__consolas_41_usascii_w[95]={ 0,6,13,22,19,23,22,6,12,12,17,20,11,13,
8,18,20,18,19,17,22,17,19,19,19,19,7,10,17,18,16,13,23,23,18,19,20,15,15,20,19,17,15,18,
16,22,19,21,18,22,19,18,20,19,23,22,23,23,19,11,18,11,19,23,14,18,18,16,18,19,22,20,17,17,
16,19,17,20,17,20,18,18,17,17,19,17,21,22,21,21,17,15,4,16,21, };
static unsigned short stb__consolas_41_usascii_h[95]={ 0,30,11,27,35,30,29,11,39,39,18,20,14,4,
8,34,28,27,27,28,27,28,28,27,28,27,22,28,24,11,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,4,9,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,30,30,21,22,28,22,21,21,21,30,21,38,42,38,10, };
static unsigned short stb__consolas_41_usascii_s[95]={ 251,244,135,94,153,20,222,149,19,6,238,
63,84,202,193,173,61,116,49,218,160,43,82,178,102,219,39,245,1,116,239,
211,60,136,117,122,73,57,41,197,1,238,161,198,202,155,135,21,183,130,21,
142,217,177,69,93,1,25,236,32,192,118,96,216,178,47,1,66,85,19,199,
104,143,161,84,179,125,176,158,83,66,225,140,104,1,122,19,215,41,44,197,
44,1,101,156, };
static unsigned short stb__consolas_41_usascii_t[95]={ 1,1,183,132,1,44,44,183,1,1,160,
183,183,183,183,1,75,104,104,75,132,75,75,104,75,132,160,44,160,183,132,
1,1,132,132,75,132,132,132,75,132,104,75,104,132,104,104,75,132,1,132,
75,104,75,104,104,104,104,75,1,1,1,183,183,183,160,44,160,44,160,44,
44,44,44,1,44,44,160,160,160,44,1,160,160,75,160,183,160,183,44,160,
1,1,1,183, };
static unsigned short stb__consolas_41_usascii_a[95]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_41_usascii_BITMAP_HEIGHT or STB_FONT_consolas_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_41_usascii(stb_fontchar font[STB_FONT_consolas_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_41_usascii_BITMAP_HEIGHT][STB_FONT_consolas_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_41_usascii_s[i] + stb__consolas_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_41_usascii_t[i] + stb__consolas_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_41_usascii_x[i];
            font[i].y0 = stb__consolas_41_usascii_y[i];
            font[i].x1 = stb__consolas_41_usascii_x[i] + stb__consolas_41_usascii_w[i];
            font[i].y1 = stb__consolas_41_usascii_y[i] + stb__consolas_41_usascii_h[i];
            font[i].advance_int = (stb__consolas_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_41_usascii_s[i] + stb__consolas_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_41_usascii_t[i] + stb__consolas_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_41_usascii_x[i] + stb__consolas_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_41_usascii_y[i] + stb__consolas_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_41_usascii_LINE_SPACING
#endif

