// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_50_usascii_BITMAP_HEIGHT        288
#define STB_FONT_consolas_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_50_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_50_usascii_NUM_CHARS             95

#define STB_FONT_consolas_50_usascii_LINE_SPACING          33

static unsigned int stb__consolas_50_usascii_pixels[]={
    0x008bfff3,0x88080000,0x000001aa,0x9954c400,0xaaaaaaaa,0x55550aaa,
    0x55555555,0x6dcc4000,0x00000bcd,0x000b76a0,0x00055530,0x00003300,
    0xaaa98000,0x000aaaa1,0x4bfff300,0x000005e8,0xfff50fe2,0x00003bff,
    0xffffd900,0x3fffff2d,0xf3ffffff,0xffffffff,0xb1000fff,0xffffffff,
    0xc800001b,0x0003ffff,0x0001bff2,0x3ffffb2a,0x00000ace,0x83fffa00,
    0x0002fffc,0x457ffe60,0x00004ffe,0x2a3ffe88,0xcfffffff,0xea800000,
    0x96ffffff,0xffffffff,0x3ffe7fff,0xffffffff,0x7ffdc007,0xffffffff,
    0xf100000e,0x001fffff,0x0017ffa0,0xfffffe88,0x01ffffff,0xff980000,
    0x2fffcc5f,0xfff30000,0x0ffffeab,0xffe88000,0x3fffea6f,0x0005ffff,
    0x7ffffd40,0xfff96fff,0xffffffff,0x3fffffe7,0x007fffff,0x7bffffb1,
    0xdffffb53,0xff500001,0x0003ffff,0x40013ffe,0xfffffffa,0x2fffffff,
    0x7ec00000,0xfffe82ff,0xff300001,0x7fffe4bf,0xffb00003,0xf73101df,
    0x0005ffff,0x6fffff40,0x1fffe41a,0x7fff8000,0x1dfffd00,0x077ffd40,
    0x3ffe6000,0xf0000fff,0xf90007ff,0xb9dfffff,0x9fffffff,0x3e200000,
    0xfff506ff,0x3e600009,0x7ffec5ff,0x7ec0002f,0xd8800fff,0x00007fff,
    0x403ffff7,0x0003fffc,0x900ffff0,0x2e009fff,0x80004fff,0x004ffffd,
    0x3fffb2a6,0x4c009bce,0x80afffff,0x2fffffc9,0xffb80000,0x3fffe03f,
    0xff980000,0xffffe85f,0xfff90000,0x7fc4003f,0xe80001ff,0x7e403fff,
    0xf00003ff,0xffa80fff,0x7fe4004f,0xdd700007,0xfff91007,0xffffffff,
    0x7ff403ff,0xffc801ff,0x800006ff,0x3200ffff,0x80003fff,0xe885fff9,
    0x98005fff,0x8002ffff,0x0002fffc,0x400ffff8,0x0003fffc,0x440ffff0,
    0xf0006fff,0x000005ff,0xfffffb80,0xffffffff,0xfff501ff,0x7fec005f,
    0x200001ff,0x4404fffa,0x80006fff,0xf305fff9,0xe8005fff,0x70005fff,
    0x00007fff,0xf900ffff,0x200007ff,0x3f607fff,0xfb0001ff,0x000000bf,
    0x7fffffec,0xffffffff,0xfffd01ff,0xffff0009,0x7f40000b,0xffd801ff,
    0x7cc0002f,0x3ff205ff,0xff5000ff,0x2a0001ff,0x40004fff,0xc806fff8,
    0x00003fff,0x3e20ffff,0x2e0003ff,0x00000fff,0xeffffb80,0x4cdffb0a,
    0xfffa81ca,0xffd8001f,0x980000ff,0xf5006fff,0x98000bff,0x3e205fff,
    0xf8804fff,0x20003fff,0x0005fffa,0x402fffcc,0x0003fffc,0x320ffff0,
    0x440007ff,0x665c3fff,0xcccccccc,0x4c1ccccc,0xfe85ffff,0x3ff6004f,
    0xff50007f,0x900007ff,0x74005fff,0x20000fff,0x5c05fff9,0x6401ffff,
    0x40006fff,0x0005fffa,0x402fffcc,0x0003fffc,0xf10ffff0,0xd00009ff,
    0xfffd89ff,0xffffffff,0x7e43ffff,0x7fff06ff,0x27fffc00,0x9ffff000,
    0xfff88000,0x7ffdc007,0x3fe60004,0xfffe805f,0x3fffe204,0x7fd40002,
    0x7cc0005f,0xffc805ff,0xff00003f,0x3fff70ff,0x9895dcc0,0xfb13ff63,
    0xffffffff,0x87ffffff,0xf884fffd,0xff1002ff,0x6c0005ff,0x40004fff,
    0x4004fffb,0x0007fff8,0x2017ffe6,0x2e07fffb,0x80006fff,0x0005fffa,
    0x402fffcc,0x0003fffc,0xfd0ffff0,0x3ffea0df,0x326fffff,0x7ffec5ff,
    0xffffffff,0x7fc3ffff,0xfff984ff,0xffff5001,0x7fec0003,0x7f40005f,
    0xfc8000ff,0xf30002ff,0xff100bff,0x3ffa05ff,0xfa80003f,0x4c0005ff,
    0xfc805fff,0xf00003ff,0xfff88fff,0xfffffb83,0x3ee4ffff,0x7ec0006f,
    0x7fff43ff,0x00fffa87,0x01ffff50,0x37ffe400,0xbfff5000,0x3ffe6000,
    0xfff30006,0x3fff600b,0x1ffff885,0xfffa8000,0x7fcc0005,0xfffc805f,
    0xfff00003,0x40fffa8f,0xfddffffa,0x3fee3fff,0x7fec0007,0x7fffe43f,
    0x003ffdc3,0x000ffff7,0x007fffb8,0x007fff60,0x01fffd80,0x05fff980,
    0x81ffff70,0x0006fffb,0x00dfff30,0x04fffa80,0x003fffc8,0xb8ffff00,
    0xfffe87ff,0xa8bfff20,0x6c0007ff,0x7fd43fff,0x3ff23fff,0x3ffee006,
    0x7fdc0007,0xf88000ff,0x540006ff,0x98004fff,0xf1005fff,0xffe85fff,
    0xf100003f,0x40001fff,0xc803fffb,0x00003fff,0xffd8ffff,0x217ffdc5,
    0x3ea1fffc,0x360000ff,0xffd83fff,0xffdaefff,0x3fff2005,0x7fd40007,
    0xff90007f,0xff00007f,0xf98001ff,0x3fa005ff,0x3ffe24ff,0x3600001f,
    0x10004fff,0x9001ffff,0x00007fff,0xfff1fffe,0xd87ffe87,0x7ffd47ff,
    0x3ff60000,0xfffe883f,0x04ffffff,0x01fffee0,0x0ffff700,0x03fffe00,
    0x3ffee000,0x7ffcc003,0x3fff6005,0x03fffe64,0xfff98000,0x3aa001df,
    0xf9005fff,0x200007ff,0x3fe67fff,0x13ffe21f,0xff51bffa,0xffd8000f,
    0xfffb103f,0x03dfffff,0x03fffea0,0x6fffc800,0x4fffa800,0xfff10000,
    0xfff9800d,0x3fff2005,0x01fffe65,0x3ffee000,0x3a3eefff,0x5fffffee,
    0x0ffff200,0x3fffc000,0x7dc1fff5,0x5fff82ff,0x0003ffd4,0x500ffff6,
    0xfffffffd,0xff9805df,0x320001ff,0xe8005fff,0x00001fff,0x800bfff6,
    0x2005fff9,0x3ea6fffb,0x000007ff,0xfffffd93,0x7fffffc9,0x7fe4002d,
    0xff00003f,0x23ffd4ff,0x7cc0fffc,0x37fdc4ff,0x3fff6000,0xfffb5003,
    0x03dfffff,0x007fffe6,0x04fffd80,0x02fffcc0,0x3ffe6000,0x3ffe6005,
    0x3ffea005,0x01bffee7,0x7fe4c000,0x3fe4ffff,0x00beffff,0x00ffff20,
    0x73fffc00,0x7ffe8fff,0x5c3fffa8,0x6c0005ff,0x5c003fff,0xffffffff,
    0xffff884f,0x3ffe0003,0x7fec003f,0xe800002f,0xf3001fff,0x7cc00bff,
    0xfff90fff,0xf500000b,0x59ddffff,0x7ffff6e4,0xff9000ef,0x3e00007f,
    0x1ffee7ff,0xff70dfff,0x05ffc83f,0x1fffec00,0x3bfff200,0x83ffffff,
    0x0006ffff,0x003ffff5,0x003fffc4,0x4fffa800,0x0bfff300,0x87fffcc0,
    0x0005fffc,0x1ffffcc0,0x3fffaa00,0x7fff9006,0x3ffe0000,0xff1bff27,
    0x1fff90bf,0x0004ffd8,0x001fffec,0x7ecd7ff6,0x7e42ffff,0xd8000fff,
    0x5c006fff,0x00003fff,0x003fffe0,0x8017ffe6,0x3ee7fffa,0x400006ff,
    0x0003fffd,0x003ffff1,0x0007fff9,0xfc9fffe0,0x17ffe25f,0x3fe1fff6,
    0x7ec0002f,0x7f4003ff,0x7fffdc4f,0x1ffffcc6,0x3fffe200,0x7fff4002,
    0x32000000,0xf9803fff,0x3ee005ff,0x3ffea6ff,0x7fc00007,0x7e40007f,
    0xffc804ff,0xff00003f,0x12ffecff,0xfff0bfff,0x00fff88d,0x1fffec00,
    0x20fffe00,0x740ffffc,0x2000ffff,0x4007fffd,0x0005fffa,0x37ffc400,
    0x02fffcc0,0x4cdfff70,0x00007fff,0x001bffe2,0x00bfff50,0x0007fff9,
    0xfc9fffe0,0x237ffc5f,0x7d46fff9,0xfd80006f,0x3e2003ff,0xfff982ff,
    0x7fffdc2f,0xfffc800e,0x7fec003f,0x8000001f,0x4c01fffd,0x32005fff,
    0x3fe65fff,0x300000ff,0x8000bfff,0xc806fff9,0x00003fff,0x7fe4ffff,
    0x3a3fffc6,0x7ff46fff,0xffd80003,0x3fe6003f,0xffff881f,0x7ffff442,
    0xfff9101e,0x7cc001df,0x000006ff,0x80bfff50,0x2005fff9,0x3e24fffd,
    0x00001fff,0x000bfff3,0x806fff98,0x0003fffc,0x7dcffff0,0x97fff47f,
    0x70fffffb,0x00001fff,0x4007fffb,0xf980fffa,0xff881fff,0xcbdfffff,
    0x0efffffe,0x17ffe400,0xfd000000,0x7fcc01ff,0xfff1005f,0x4fffe83f,
    0xfff30000,0xff98000b,0xfffc806f,0xfff00003,0x2e3ffd4f,0xcffeffff,
    0xfffeeffd,0xffb00003,0x7fdc007f,0x0ffff907,0x7fffffcc,0xffffffff,
    0x7fc4000e,0x0000007f,0x301fffdc,0x2a00bfff,0xffc87fff,0xf300007f,
    0x98000bff,0xfc806fff,0xf00003ff,0x7ffccfff,0x3ffffe20,0xfffff56f,
    0x6c0000bf,0x32003fff,0xfffa86ff,0x7ff4c05f,0xffffffff,0xfb8000df,
    0x000004ff,0x03fffc40,0x200bfff3,0xf984fffd,0x80001fff,0x0005fff9,
    0x4037ffcc,0x0003fffc,0x7ccffff0,0x7ffcc1ff,0x3fff60df,0x6c00004f,
    0x37e63fff,0x57ff609a,0xfffffea8,0xfff93000,0x0017dfff,0x007fff40,
    0x7e400000,0xfff302ff,0xffff100b,0x13fffa05,0x3ffe6000,0x7fcc0005,
    0xfffc806f,0xfff00003,0x817ffc4f,0x006a00a9,0x7ffec000,0x3ffffe63,
    0xffffffef,0x01ffffff,0x0bfff900,0xbfff3000,0x20000000,0xf306fff9,
    0xff500bff,0x7ffdc0ff,0xff980007,0x7cc0005f,0xffc806ff,0xff00003f,
    0x05fff8ff,0x00000000,0x7cc7fffb,0xffffffff,0xffffffff,0x3ea0002e,
    0x40000fff,0x0002fffd,0x3ffa0000,0x5fff981f,0x04fffe80,0x00ffffe2,
    0x0bfff300,0x6fff9800,0x03fffc80,0x8ffff000,0x0000fffc,0xfe800000,
    0x3ffe62ff,0xffffffff,0x002effff,0x3ffff880,0x3ffe2000,0x00000006,
    0x4c27ffd4,0x7dc05fff,0x7ec00fff,0x20000fff,0x0005fff9,0x4037ffcc,
    0x0003fffc,0xf98ffff0,0x000002ff,0xffff8000,0x76e5cc41,0xacdeffff,
    0x7f400001,0x0a200fff,0x001fffe4,0x7fc00000,0x7ffcc0ff,0x3fffe205,
    0xffff8802,0x3fea0004,0x7c40004f,0xffc806ff,0xff00003f,0x0bffd0ff,
    0x80000000,0x2007fff8,0x0000fffb,0x7fffd400,0x3fee60bf,0x00ffff81,
    0xc8000000,0x7fcc3fff,0x3fff205f,0x3ffee006,0xff70001f,0xff00007f,
    0xfff900ff,0x3fe00007,0x1fffb87f,0x00000000,0x801bfff2,0x00007ffc,
    0xfffff900,0xdfffffff,0x004fffa8,0xf1000000,0xfff98dff,0x3ffff305,
    0x6fffe800,0x5fffb000,0xfffd0000,0x3fffc803,0xffff0000,0x03ffff10,
    0x10000000,0x4007ffff,0x00006ffd,0x3ffffa00,0xefffffff,0x007fffa1,
    0xd8000000,0x3fe62fff,0xfffe885f,0xfff98004,0x7fcc004f,0xd80001ff,
    0x7e406fff,0xf00003ff,0x3ff20fff,0x0ea001ff,0xf5002f60,0xe800dfff,
    0x000004ff,0x7ffff540,0x9983ffff,0x00000019,0x04ccc400,0xfd0bfff3,
    0x20001dff,0x003ffffc,0x00dfffd5,0x3fffea00,0x7fff900c,0x3ffe0000,
    0x3ffffa07,0x7e4cc0ad,0xeffd805f,0xffdcaabc,0x7c001fff,0x000003ff,
    0x79b97500,0x00000015,0x98000000,0x7fec5fff,0x6c0000ff,0x5441ffff,
    0xfffffecb,0x3f600001,0x2acdffff,0x555bfff9,0x2aa15555,0xffaaaaaa,
    0x3ffa207f,0xfffeffff,0xd805ffff,0xffffffff,0x003fffff,0x00177744,
    0x00000000,0x00000000,0x7ffcc000,0x07ffff25,0x7fff4000,0x3fffea1f,
    0x0004ffff,0x7ffffc40,0xfff96fff,0xffffffff,0x3fffffe7,0x807fffff,
    0xfffffffc,0x01dfffff,0xffffffd8,0x01efffff,0x00000000,0x00000000,
    0x00000000,0x2abfff30,0x0001ffff,0x9bfffa20,0xeffffffa,0x91000002,
    0x2dffffff,0xfffffffc,0xfff3ffff,0xffffffff,0x3f6e200f,0x0adeffff,
    0x3ff6a200,0x02ceffff,0x00000000,0x00000000,0x00000000,0x8afffcc0,
    0x00002ffe,0x2a2ffe88,0x002cdeff,0xd9730000,0x3fff2dff,0xffffffff,
    0xfffffff3,0x000fffff,0x8800000c,0x00000009,0x00000000,0x00000000,
    0x7cc00000,0x00fa25ff,0x02f88000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0x000045ff,0x00000400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2fffcc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9800000,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00013553,0x3b72a600,0x45b731bc,
    0x00002aaa,0x2f3b2a20,0x55544001,0x0b333222,0x2cccc800,0xc82aaaaa,
    0xdb9882cc,0x00001bde,0x00555540,0x6f7f65cc,0xcccccccc,0x2aaaaa1c,
    0x01aaaaaa,0x00055550,0x16f64400,0x6fffffe4,0x7ecc0002,0xffffffff,
    0xff13ffff,0x000001ff,0xfffffff5,0x7ffec007,0x037fffc2,0x2ffff980,
    0x447ffffa,0x3f625fff,0x4fffffff,0x3fa00000,0x3f6603ff,0xffffffff,
    0x3fffffff,0x3ffffffe,0x8804ffff,0x0000ffff,0xfffff880,0x7ffffe44,
    0xa8003fff,0xffffffff,0x3fffffff,0x001ffff1,0xffffa800,0x803fffff,
    0xfc85fffa,0xc8001fff,0x7ff47fff,0xdfff11ff,0x3fffffa6,0x005fffff,
    0x7fffd000,0x3ffffee0,0xffffffff,0x3e3fffff,0xffffffff,0xff8804ff,
    0x800000ff,0x0ffffffd,0x3ffffff2,0x9001efff,0xbdffffff,0xffffffdd,
    0x03fffe27,0xffff0000,0x1ffffb57,0x07fffc40,0x027fffcc,0x227fffc0,
    0xf10ffffe,0xffff1dff,0xfffffdff,0xd00000bf,0xff507fff,0xb7359fff,
    0xffffffff,0x7ffffc7f,0x04ffffff,0x00ffff88,0xffff8000,0x2ea62fff,
    0xffffffdc,0x7ffec02f,0xff7101df,0x3ffe27ff,0x2e00000f,0x7fd41fff,
    0x3fff203f,0x1ffff602,0x3ffff500,0x10ffffd8,0xfffdffff,0x7ffd443b,
    0x400000ff,0x7c43fffe,0xd300efff,0x2000dfff,0x8804fffd,0x0000ffff,
    0xfffffe80,0x7fdc402f,0xf301ffff,0x3a009fff,0xfff13fff,0x6c00001f,
    0xfff886ff,0x0bfff305,0x02ffffa8,0x21bfff60,0xf10ffffd,0x05ffffff,
    0x027fffcc,0x3fffa000,0x07fffe43,0x0bfffe60,0x13fff600,0x03fffe20,
    0x3fee0000,0x2000ffff,0xb07ffffc,0x74009fff,0xfff13fff,0x7c00001f,
    0xdffd04ff,0x003fffa0,0x4017fffe,0xd83ffff8,0xff10ffff,0x9003ffff,
    0x0000ffff,0x6c3fffe8,0xfb003fff,0xfb000bff,0xff1009ff,0x000001ff,
    0x007ffff6,0x0fffff60,0x001ffff3,0xf89ffff4,0x00000fff,0x7e40fffe,
    0x3fffc87f,0x1ffff900,0x1ffff500,0x21ffffb0,0x02fffff8,0x05ffff30,
    0x7fff4000,0x00ffffc3,0x006fffb8,0x804fffd8,0x000ffff8,0x02ae6000,
    0x7fff4400,0x02fffe46,0x44ffffa0,0x0000ffff,0x6c17ffe0,0x7ffcc6ff,
    0x3ffe6005,0xfffd803f,0x4ffffb05,0x003ffff8,0x001ffffc,0x47fffd00,
    0x000ffff8,0x000ffff5,0x1009fffb,0x0001ffff,0x90000000,0x7f43ffff,
    0x7f4002ff,0xffff13ff,0x7f400001,0x89fff07f,0x4000fffe,0x4406fffe,
    0xf902ffff,0x7ffc4fff,0x7fec000f,0x3a00003f,0x3fe23fff,0xff7001ff,
    0xffb000bf,0xfff1009f,0x0000001f,0xfff50000,0x0ffffc5f,0x4ffffa00,
    0x440ffff8,0x01bdedb9,0x2e17ffe4,0x3fee2fff,0xffa8003f,0x3fee01ff,
    0x3fff207f,0x03fffe27,0x09fff900,0x676e54c0,0x43fffeab,0xb003ffff,
    0xb0009fff,0xf1009fff,0xec981fff,0x0000bdee,0xfff10000,0x3fffe27f,
    0x7fff4000,0x21ffff13,0xffffffd8,0x3fe604ff,0xfffcadff,0x01bffe66,
    0x04ffff80,0xc813fffa,0x3fe27fff,0x7e4000ff,0x7ec405ff,0xffffffff,
    0x7ec3ffff,0x7cc00fff,0xd8002fff,0xf8804fff,0xffb10fff,0x07ffffff,
    0xf3000000,0x3fe65fff,0x7f4000ff,0xffff13ff,0x3fffffa6,0x205fffff,
    0xfffffffc,0x3fffa1ff,0x3ff20001,0xffff107f,0x3fffe401,0x001ffff1,
    0x206fffb8,0xfffffffb,0xffffffff,0x6ffffcc3,0xdfffd300,0x3fff6000,
    0xffff8804,0xffffff98,0x005fffff,0x7fd40000,0xffff30ff,0x7fffd000,
    0x3e3fffe2,0xffefffff,0x2e05ffff,0x0effffff,0x0013ffee,0x05ffff30,
    0xc80dfff7,0x3fe27fff,0x7e4000ff,0xffd884ff,0xfeeeffff,0x83ffffff,
    0xacfffffb,0xfffffcb9,0xfffb0000,0xffff1009,0xddfffff3,0x03ffffff,
    0x7f400000,0x3ffe67ff,0x7ff4000f,0xdffff13f,0x5443bfff,0x200fffff,
    0x442bdcb9,0x00006fff,0xfd0bfffd,0xffb807ff,0x3fffe26f,0x7ffec000,
    0xeffffc83,0xffff7101,0xfffffb07,0xffffffff,0x7ec0005f,0xff8804ff,
    0x0cffffff,0x02ffffdc,0x7ecc0000,0x3fe23fff,0x7f4001ff,0xffff13ff,
    0x7cc05fff,0x40004fff,0x0001fffd,0x41ffff70,0x400ffff9,0x3e26fffb,
    0x74000fff,0x7fc42fff,0xffd003ff,0xffffa87f,0xffffffff,0x6c0000cf,
    0xf8804fff,0x01ffffff,0x003fffee,0x77774400,0x86ffffff,0x2001ffff,
    0xf13ffff8,0x003fffff,0x000ffff9,0x0027ffdc,0x7ffff100,0x402fffe4,
    0x3e26fffb,0x7c000fff,0x7fec0fff,0x3ffa004f,0x5bffe23f,0xbcdfedc9,
    0xffb00001,0xfff1009f,0xf8803fff,0x00001fff,0xfffffff1,0xffd01dff,
    0x7ff4009f,0xffff13ff,0x3fe6005f,0xf88002ff,0x800006ff,0x3fe6fffc,
    0xffb801ff,0x3fffe26f,0x3ffea000,0x07fffd47,0x47fffd00,0x0003fff9,
    0x7ffec000,0xffff8804,0xfffd001f,0x0e764405,0xffffff10,0x7fec05ff,
    0xfffb006f,0x3ffe27ff,0x7ffc003f,0xffd8003f,0x9800001f,0xffa9ffff,
    0xfff7006f,0x07fffc4d,0x89fffd00,0x4004fffc,0x3f23fffe,0x000002ff,
    0x027ffec0,0x017fffc4,0x207fffb0,0x02fffff8,0x157ffff1,0x5ffff300,
    0xfffffd80,0x1ffff13f,0x3fffd800,0x27ffd400,0xffd00000,0x09fffb7f,
    0x897ffea0,0x7000ffff,0xfd81ffff,0x7f4002ff,0x3fff63ff,0x40000006,
    0x8804fffd,0x2000ffff,0xf904fffc,0x101fffff,0xd000dfff,0xb103ffff,
    0x7fffdfff,0x003fffe2,0x009fff90,0x407fffc4,0xfb800018,0x0ffffeff,
    0x4bfff500,0x801ffff8,0xe82ffffd,0x74001fff,0x3fee3fff,0x99aaceff,
    0x20000199,0x8804fffd,0x2000ffff,0xfb04fffc,0x207fffff,0xb8006fff,
    0x9acfffff,0xfcaffffb,0xffff13ff,0xfffc8001,0x3fff6005,0x3ffff622,
    0xff10002e,0x00dfffff,0xf12fffd4,0x357bffff,0xffffd953,0x03fffe0b,
    0x47fffd00,0xfffffff8,0xefffffff,0xfb0000bd,0xff1009ff,0x7e4001ff,
    0xfff704ff,0x3fe0bfff,0xffb0006f,0xffffffff,0x4ffff25f,0x000ffff8,
    0x8037ffdc,0x3e65fffa,0x4fffffff,0xffff9000,0x7d4005ff,0x3ffe25ff,
    0xffffffff,0x80cfffff,0x000ffff9,0x2a1ffff4,0xffffffff,0xffffffff,
    0x7ec000cf,0xff8804ff,0x3f2000ff,0xffd104ff,0x3fe0dfff,0x3f60006f,
    0xffffffff,0x44ffff62,0x4000ffff,0x8804fffc,0xff10fffe,0xffffffff,
    0xfff30005,0xfa800dff,0x3ffe25ff,0xffffffff,0x2601efff,0xe8007fff,
    0xffc83fff,0xffffffff,0x6fffffff,0x27ffec00,0x07fffc40,0x09fff900,
    0x2fffffd4,0x0005fff8,0x6fffff5c,0x9fffec1b,0x000ffff8,0x401fffec,
    0x3f22fffc,0xfff713ff,0x3ffa000d,0x7cc002ff,0x3ffe24ff,0xffffffef,
    0xff9803ce,0x7f4000ff,0x7ffe43ff,0xccaaaabf,0xffffffec,0x3fff6005,
    0xffff8804,0x3fff2000,0x7fffec04,0x00799904,0xb0054c00,0x3fe27fff,
    0x7f4000ff,0x7fcc02ff,0x13ffe25f,0x0007fff2,0x001bfffa,0xf88b3322,
    0x33310fff,0xffff1000,0xfffe8003,0x03ffff23,0x7ffffa80,0x13fff600,
    0x03fffe20,0x04fffc80,0x017fffdc,0x40000000,0xff13fffe,0xff8001ff,
    0x7ff401ff,0x07ffe60f,0x000bffea,0x007ffff5,0xffff8800,0x3fe00000,
    0x3e2001ff,0xfff13fff,0xff70005f,0x3f6003ff,0xff8804ff,0x3f2000ff,
    0x7fe404ff,0x000001ff,0xfffe8000,0x01ffff13,0x03fffd40,0xf50ffff2,
    0xfff101ff,0xfffe8007,0xf8800007,0x00000fff,0x800ffffa,0xf53ffffe,
    0x26000fff,0xb001ffff,0xf1009fff,0x64001fff,0x7fc04fff,0x000005ff,
    0xfffd0000,0x03fffe27,0x04fffe80,0x2e1bffe6,0xfff01fff,0x7ffe4007,
    0x8800002f,0x0000ffff,0x01bfff60,0x9fffffec,0x0006fffc,0x001ffff5,
    0x2013fff6,0x000ffff8,0x4413fff2,0x200ffffd,0x00003efc,0x9ffff400,
    0x000ffff8,0x401ffff7,0xf980fffe,0xfff883ff,0xffff7002,0x7ec40009,
    0x3fffe22e,0x3e600000,0x7ec01fff,0xf93fffff,0xb0001fff,0x6c00dfff,
    0xf8804fff,0x32000fff,0x32624fff,0x202fffff,0x003ffffd,0x3ffa0000,
    0x3ffff13f,0xffffc880,0x0fffee02,0x5c2fffc4,0x6c400fff,0x0006ffff,
    0x47ffffa2,0x000ffff8,0x7ffff400,0xdfffd881,0xfff53fff,0x362001bf,
    0x2003ffff,0x8804fffd,0x2000ffff,0xffd4fffc,0x407fffff,0x07fffff8,
    0x3fa00000,0xffff13ff,0x753357bf,0x40bffffd,0x7406fff9,0xff30bfff,
    0xedccb8bf,0x01ffffff,0x3fffea00,0x1ffff15f,0xffb80000,0xfb9acfff,
    0xfffbafff,0xfffffd13,0x5533337b,0x89fffffb,0xcccccccb,0xcccefffe,
    0xfff13ccc,0x7fe4001f,0xfffffd4f,0xfff9801b,0x000007ff,0x44ffffa0,
    0xffffffff,0xffffffff,0x0ffff404,0x3ffffea0,0x641ffffe,0xffffffff,
    0x7dc0001e,0xff16ffff,0x000001ff,0xfffffffb,0x3ea5ffff,0x3ffe23ff,
    0xffffffff,0x5fffffff,0xffffffd8,0xffffffff,0xff16ffff,0x7e4001ff,
    0x9dffd4ff,0x7fffc005,0x0000005f,0xfd8ffffa,0xffffffff,0x401effff,
    0x9004fffb,0xffffffff,0xfffff905,0x200007ff,0x14fffff9,0x0001ffff,
    0x3ffff200,0x2a2fffff,0x7ec43fff,0xffffffff,0x01dfffff,0xfffffffb,
    0xffffffff,0x3fe2dfff,0x3f2000ff,0x000134ff,0x0077ffd4,0xffd00000,
    0xffd9507f,0x079dffff,0x00dfff10,0xdfffffa8,0xbdfff901,0xb8000017,
    0x3fe26fff,0x000000ff,0x37ffffae,0x1fffd41b,0xfffeeb88,0x01cdefff,
    0x7fffffec,0xffffffff,0xff16ffff,0x7e4001ff,0x200004ff,0x000002a8,
    0x26600000,0x00000001,0x0cc00662,0xa8800000,0x00000001,0x00002a60,
    0x0004cc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c00736e,
    0x00001aaa,0x95510000,0x015599bb,0x2f372a60,0x2000000a,0x80000008,
    0x00000019,0x00002662,0x00006662,0x03353100,0x04cc4000,0x2aaaaa00,
    0x7ffff401,0x5fffc801,0x80000000,0xfffffffc,0x74c04fff,0xffffffff,
    0x2e600002,0x800004fd,0xeffffeca,0x880000ac,0xffffedba,0x2a002cff,
    0xcefffffd,0x76dc0002,0xffffffff,0xdb3000cd,0x9dffffff,0xfffff803,
    0x3fffea03,0xfffc806f,0x00000005,0x3fffffea,0x04ffffff,0x3fffffee,
    0x005fffff,0x09fff900,0x7ff44000,0xffffffff,0x3ea0001f,0xffffffff,
    0x201fffff,0xffffffe8,0x8004ffff,0xfffffffb,0x1fffffff,0x7fffe440,
    0xffffffff,0xffffd00d,0x7fffdc05,0xfffc807f,0x00000005,0xfffffff1,
    0x09ffffdd,0x3fffffe6,0x2ffffffe,0xfffc8000,0xff500004,0xffffffff,
    0x0005ffff,0xfffffff9,0xffffffff,0x3fffa203,0xffffffff,0xfe8800df,
    0xffffffff,0x01ffffff,0x3fffffe2,0xffffffff,0xfffe80ef,0x3ffea02f,
    0xffc806ff,0x0000005f,0x1bffffb0,0x7f406a60,0x3ee22fff,0x0000ffff,
    0x0027ffe4,0x7ffffe40,0xfffecbef,0xd1003fff,0xdfffffff,0xfffffd99,
    0xfffff303,0xfff9559d,0xfe801dff,0xacceffff,0x1ffedcca,0x3bffffa0,
    0xffca99ab,0xffe85fff,0x7ff402ff,0xffc802ff,0x0000005f,0x03ffffa8,
    0x3fffea00,0x3ffff501,0xfffc8000,0x7fd40004,0xc880afff,0x402fffff,
    0xbffffff8,0x20fed401,0x02fffff8,0x09ffffb1,0x0e7fffe4,0xf900a880,
    0xd8803fff,0x7ec2ffff,0x64401fff,0xff9002de,0x000000bf,0x00dfff90,
    0x05fffb80,0x00ffffe2,0x09fff900,0xffffe800,0xffffc801,0x7fffe406,
    0x204c001f,0x802ffffb,0x980ffffd,0x0004ffff,0x01ffffc0,0x44fffe88,
    0x001ffffd,0xbfff9000,0xb0000000,0x80007fff,0x6c04fffd,0x40004fff,
    0x0004fffc,0x00bfffea,0x01ffffc8,0x01dffff1,0x3fffa000,0xffff1003,
    0x0ffff707,0xfff88000,0x3ff2000f,0x7fffe45f,0xf9000000,0x00000bff,
    0x05ffff00,0x4fffd800,0x017fff40,0x6666664c,0xcccefffe,0x2ccccccc,
    0x0027fff4,0xc82ffffc,0x0000ffff,0x01ffff30,0x43fffdc0,0x0005fffd,
    0x03fffd40,0x91bffee0,0x0001ffff,0x17fff200,0xf1000000,0x80003fff,
    0x7c06fffc,0xfb801fff,0xffffffff,0xffffffff,0x3ea4ffff,0xc8001fff,
    0x7cc0ffff,0x00004fff,0x0017fff6,0xe85ffff1,0x00006fff,0x007fffcc,
    0xb8bfff90,0x33327fff,0xcccccccc,0x5fffc802,0x33332600,0x3fe2000c,
    0x5c0000ff,0xf900ffff,0x3ee00fff,0xffffffff,0xffffffff,0x3f64ffff,
    0xf50007ff,0xffd87fff,0x100000ff,0x4005ffff,0x44ffffd8,0x000ffffc,
    0x3fffe200,0x3fffa004,0xf3fffdc3,0xffffffff,0xff9009ff,0x3fe600bf,
    0x44002fff,0x0000ffff,0x42ffffcc,0x002ffffb,0xfffffff7,0xffffffff,
    0x49ffffff,0x0004ffff,0xfd0ffffe,0x40000bff,0x2007fff9,0x6fffffe9,
    0x027fffdc,0x3fffa000,0xfffc802f,0x37ffd40f,0xffffffff,0xf9009fff,
    0xff300bff,0x10003fff,0x0001ffff,0x45ffffb0,0x005ffffc,0x09fff900,
    0x5ffff300,0x7ffec000,0x01ffffc4,0xdfff5000,0x3fffee00,0x7fcc7fff,
    0x00005fff,0x13ffffe6,0x03ffffc8,0x7fffffc0,0x804fffff,0x4c05fffc,
    0x001fffff,0x01ffff10,0xffff1000,0x9fffff7f,0x7fe40000,0xffa8004f,
    0x360001ff,0x3fe25fff,0x200002ff,0x4405fffb,0xfffffffd,0x7ffdc0ff,
    0x00003fff,0x5dfffff9,0x2fffff54,0x3ff60000,0xfffc804f,0x3fffe605,
    0x7fffc01f,0xffffffff,0xffffffff,0x7fdc06ff,0x3fffffff,0x7fe40000,
    0xffa8004f,0x320000ff,0x3fea6fff,0x200001ff,0x2604fffc,0xfaeffffe,
    0xffd81fff,0x00bfffff,0x7fffe400,0xffffdeff,0xd800004f,0xfc804fff,
    0xfff305ff,0xfff003ff,0xffffffff,0xffffffff,0xfd00dfff,0x01bfffff,
    0xfff90000,0xfff70009,0xffb8000f,0x1fffee7f,0xfff90000,0x3fffee09,
    0x3ffff0df,0x3fffff20,0x0002dfff,0x3fffffaa,0x002effff,0x9fffb000,
    0x0bfff900,0x03fffff3,0x3fffffe0,0xffffffff,0xffffffff,0x7fffdc06,
    0x000005ff,0x0013fff2,0x001fffee,0x21ffff70,0x0007fffc,0x21fffec0,
    0x3fffffd8,0x300ffffc,0xfffffffd,0x6c0005df,0xffffffff,0x36000002,
    0xfc804fff,0x7ffcc5ff,0x332001ff,0xffcccccc,0xccccccff,0xb103cccc,
    0xffffffff,0x13332603,0x09fff900,0x0ffff900,0xffffa800,0x00dfffb0,
    0x3fffe800,0x3bffffe6,0x01ffff81,0xfffffda8,0x2001efff,0xffffffd8,
    0x000dffff,0x4fffd800,0x25fffc80,0x01fffff9,0x3ffe2000,0x7ec0000f,
    0xffffefff,0x6fffa80f,0x27ffe400,0x3fffdc00,0x3ffee000,0x01ffff27,
    0x7fffb000,0x17ffffee,0x000ffff8,0x3fffff26,0xfa803fff,0xffcfffff,
    0x002fffff,0x27ffec00,0x9afffe40,0x001fffff,0x7fffc400,0x3ff60000,
    0xffffb3ff,0x0bfff50d,0x04fffc80,0x0ffffa80,0x3fff2000,0x03fffee7,
    0xfffd8000,0x3fffffdc,0x03fffe20,0x3ffae200,0x2a02ffff,0x10cfffff,
    0x5ffffff9,0x7fec0000,0xfffc804f,0x1fffff9d,0xff880000,0xf30000ff,
    0x7f447fff,0x7fdc4fff,0x7fe4004f,0xff98004f,0x320001ff,0x3fea6fff,
    0x200001ff,0xfffffffd,0x7fcc01ef,0xfa80007f,0xa81fffff,0x101fffff,
    0x01fffffd,0x3fff6000,0xefffc804,0x001fffff,0xffff1000,0x3ffa0001,
    0xffff885f,0x13fff23f,0x09fff900,0x3ffff100,0x7ffec000,0x0bfffe65,
    0xfffc8000,0x5004ffff,0x0000dfff,0x17ffffa2,0x003bfffe,0x0bffffb1,
    0x3fff6000,0xdfffc804,0x003ffffd,0xffff1000,0xfff10001,0x3ffea03f,
    0x7fffd1ff,0x4fffc800,0x7ffff000,0x7fffc000,0x0ffffe23,0xfffa8000,
    0x2e002fff,0x00005fff,0x71ffffa2,0x4005ffff,0x000ffffe,0x04fffd80,
    0xfd5fffc8,0x00005fff,0x01ffff10,0x0ffff500,0x9fffffb8,0x4001ffff,
    0x0004fffc,0x000dffff,0xf07fffea,0x0000ffff,0x077fffcc,0x13fff600,
    0xfff90000,0x37ffec1f,0x3fffea00,0xffd80002,0xfffc804f,0x5ffffd15,
    0xff880000,0xfb8000ff,0xffd806ff,0x06ffffff,0x04fffc80,0x1ffff900,
    0xffffb000,0x07ffffb0,0x7fffc000,0x7ffc4003,0x4c00001f,0x3fe1ffff,
    0x7c4004ff,0x80003fff,0xc804fffd,0x3fe65fff,0x00001fff,0x003fffe2,
    0x01bfff20,0x3fffffa2,0xfb8003ff,0xf30005ff,0x88007fff,0xf983ffff,
    0x00006fff,0x001fffee,0x000dfff7,0x1ffff500,0x0027fffc,0x00ffffe2,
    0x13fff600,0x317fff20,0x003fffff,0x3fffe200,0xfffa8000,0xfff8800f,
    0x8000ffff,0x0007fffa,0x003bfff6,0x206fffd8,0x004ffffd,0x5ffff100,
    0x1ffff400,0x7fe40000,0x2ffff46f,0x3fffe600,0xffd80001,0xfffc804f,
    0xeffffa85,0xff880000,0xf98000ff,0xf5002fff,0x000bffff,0x00bfffe6,
    0x77fffd40,0xffffc800,0x3fffe202,0xc80000df,0xd800ffff,0x00007fff,
    0x44ffffa8,0x001ffffc,0x001ffff6,0x027ffec0,0xb82fffe4,0x000effff,
    0x07fffc40,0x7fffc400,0xffe8800f,0xf0000fff,0x0003ffff,0x07bffffa,
    0x37fffe44,0x7ffffe40,0x7e4c00ae,0x77fffcc1,0x3ffff601,0x000ac984,
    0x3ffffee2,0x7ffffdc1,0xffffc801,0xffb00005,0xfff9009f,0x7fffe40b,
    0x3e20000e,0x90000fff,0x403dffff,0xfffffffa,0xfff70006,0x55357bff,
    0xfff309b9,0xd77bffff,0x03ffffff,0xfffffb10,0xdb99bdff,0xf903ffff,
    0x5359ffff,0x0bfffffb,0x337bffe6,0xfdccaabc,0xb02fffff,0x57dfffff,
    0xffff9533,0x200001df,0xc804fffd,0x7ec05fff,0x20005fff,0x000ffff8,
    0xfffffd10,0xffd97579,0xbfffffff,0x3fffa000,0xffffffff,0xfffd104f,
    0xffffffff,0xb8001dff,0xffffffff,0xffffffff,0xfffff701,0xffffffff,
    0x7fffcc09,0xffffffff,0x03ffffff,0x3fffffa2,0xffffffff,0x2e000fff,
    0xeccccccc,0xccccefff,0xbfff93cc,0xffffe880,0xfff10005,0x7cc0001f,
    0xffffffff,0xfbffffff,0x8003ffff,0xffffffd8,0x204fffff,0xffffffd8,
    0x004fffff,0x3ffffa20,0xffffffff,0x3fea01ff,0xffffffff,0x7ffcc03f,
    0xffffffff,0x02dfffff,0xfffffc88,0xffffffff,0x7fec000d,0xffffffff,
    0xffffffff,0x00bfff96,0x09fffff1,0x1ffff100,0xffd98000,0xffffffff,
    0xffff50cf,0x3660003f,0xffffffff,0xfeca803e,0x02ceffff,0xffb95000,
    0x59ffffff,0xffd93001,0x003bffff,0xffffdb71,0x9fffffff,0xff910001,
    0x9fffffff,0x3ff60001,0xffffffff,0xffffffff,0x00bfff96,0x13ffffe6,
    0x1ffff100,0x3f6a0000,0x1cefffff,0x0fffffb8,0x4d4c4000,0x54c00019,
    0x10000001,0x00003353,0x00026aa6,0x35555330,0x53000001,0x20000355,
    0xfffffffd,0xffffffff,0xfff96fff,0x7ffd400b,0x3e2003ff,0x00000fff,
    0x00009988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0006aa62,0x4ccc4000,0x00000000,0x00026200,
    0x00054400,0x3fffffe2,0xffffffff,0x88000fff,0xfffedcaa,0x03fffd43,
    0x16fffb80,0xffffffff,0xffffffff,0x3fffffa5,0xffffffff,0xffffffff,
    0xfffffd2f,0x3599dfff,0x3fb26000,0xdfffffff,0xca880002,0xfffffffd,
    0x322000ad,0x0001ffff,0xfffffb75,0x64c0007d,0xcefffffe,0x7fffc400,
    0xffffffff,0x000fffff,0x3fffff66,0x7d43ffff,0xf70007ff,0x3ffe2dff,
    0xffffffff,0xfd2fffff,0xffffffff,0xffffffff,0x3a5fffff,0xffffffff,
    0x01dfffff,0x3ffffe20,0xffffffff,0xff70002e,0xffffffff,0x7007ffff,
    0x03ffffff,0xffffe980,0x2effffff,0x7fffdc00,0x2fffffff,0x3ffffe20,
    0xffffffff,0xa800ffff,0xfffffffe,0x7d43ffff,0xf70007ff,0x3ffe2dff,
    0xffffffff,0xfd2fffff,0xffffffff,0xffffffff,0x3a5fffff,0xffffffff,
    0x5fffffff,0xfffff100,0xffffffff,0x6c4005ff,0xffffffff,0x4fffffff,
    0x3ffffee0,0x2e001fff,0xffffffff,0x03ffffff,0xfffffe98,0xffffffff,
    0xdffff104,0xdddddddd,0xb801dddd,0xffffffff,0x542eeeef,0x70007fff,
    0x3ba2dfff,0xeeeeeeee,0xb2ffffee,0xdddddddd,0xdddffffd,0x23dddddd,
    0xeeeefffe,0xffffffee,0xfff8803f,0xfcbaabcc,0x801fffff,0xfffffffa,
    0xfffeccef,0xffea84ff,0x1fffffff,0xfffffb00,0xfffb77bf,0x7c401fff,
    0x99bdffff,0x4ffffeca,0x006fff88,0xffffc800,0x50019aef,0x2000ffff,
    0x0006fffb,0x800bfffe,0x4007fffb,0x2603fffe,0x01fffffd,0x644005c4,
    0x5c06ffff,0x1bffffff,0xd527ed40,0xffffffff,0x36003fff,0xb101dfff,
    0x640dffff,0x2202ffff,0x440ffffe,0x00006fff,0x177fffe4,0x7fffa800,
    0xdfff7000,0x7fffc000,0x3ffee002,0x7fff4007,0xffffb803,0xfd800005,
    0x3fe207ff,0x4000efff,0xfffff718,0xffff73df,0x0ffa2003,0x0fffff40,
    0x017fffd4,0x444fffe8,0x00006fff,0x013fffe2,0x0ffff500,0x1bffee00,
    0x2ffff800,0x1fffee00,0x07fffd00,0x01bfffa0,0x3ffea000,0xffff901f,
    0xff100009,0x7fdc5dff,0x0a2001ff,0x3ffff980,0x005fffe8,0x883fffea,
    0x00006fff,0x001bfff6,0x01fffea0,0x037ffdc0,0x05ffff00,0x03fffdc0,
    0x00ffffa0,0x003fffdc,0x7fffc400,0x5ffff982,0x3ff60000,0x1ffffb83,
    0x7fc00000,0xffff84ff,0x7fffc002,0x01bffe24,0x7fffcc00,0xffa80000,
    0xff70007f,0x7fc000df,0x3ee002ff,0x7f4007ff,0xff5003ff,0x000003ff,
    0xfb05ffff,0x00001fff,0xffb8064c,0x000001ff,0x2637ffec,0x4000ffff,
    0x3e26fffc,0xb00006ff,0x00007fff,0x001fffea,0x0037ffdc,0x005ffff0,
    0x003fffdc,0x400ffffa,0x000ffffa,0x7fffcc00,0x27fffcc1,0x2e000000,
    0x0001ffff,0x37ffec00,0x001fffea,0xf89fffea,0xf00006ff,0x00001fff,
    0x001fffea,0x0037ffdc,0x005ffff0,0x003fffdc,0x400ffffa,0x0007fffc,
    0x86fffb80,0x000ffffb,0x7fdc0000,0x000001ff,0x2e2ffff4,0x98007fff,
    0xff11ffff,0xf10000df,0x40000fff,0x0007fffa,0x000dfff7,0x0017fffc,
    0x800ffff7,0x8803fffe,0x0005ffff,0x17fffc40,0x002fffe4,0x7fdc0000,
    0x000001ff,0x2a1ffffc,0x4000ffff,0xf11ffff8,0x03333fff,0x8bfff500,
    0x09bcca99,0x03fffd40,0x06fffb80,0x0bfffe00,0x07fffb80,0x01ffff40,
    0x007fffec,0xfffd3000,0x13fff609,0x2e000000,0x0001ffff,0x3fffea00,
    0x0ffffcc2,0x3fffe200,0xffffff12,0x05bdffff,0xb8bfffc8,0xfffffffe,
    0xfff501ef,0x3fee000f,0x3fe0006f,0x3ee002ff,0x7f4007ff,0x3faa03ff,
    0x98004fff,0xffdba999,0x3ffe02ff,0x0000003f,0x01ffffb8,0x3ff60000,
    0xbffff06f,0x5ffff000,0x3fffffe2,0xffffffff,0xefffd80c,0xffffffff,
    0x40cfffff,0x0007fffa,0x000dfff7,0x0017fffc,0x800ffff7,0xeeeefffe,
    0xffffffee,0xfff88004,0x0effffff,0x0bfffe20,0xeeeeee88,0x2004eeee,
    0x001ffffb,0xffff5000,0x3ffff605,0x3ffee002,0xfffff12f,0xffffffff,
    0xfffd0bff,0xddffffff,0xdfffffff,0x007fffa8,0x00dfff70,0x017fffc0,
    0x00ffff70,0xffffffe8,0xffffffff,0xfff10003,0x7dffffff,0x3fffe601,
    0x3fffe201,0x05ffffff,0x07fffee0,0x3fe20000,0x3fe206ff,0x9300cfff,
    0x45ffffff,0xcaaaaaaa,0xffffffec,0x7fffff45,0xffb881be,0x3fea3fff,
    0xff70007f,0x7fc000df,0x3ee002ff,0x7f4007ff,0xffffffff,0x40002eff,
    0xfffffff8,0xa83fffff,0x2201ffff,0xffffffff,0x3ee005ff,0x00001fff,
    0x00ffffe8,0x7fffffdc,0xffffedef,0x001fffff,0xfffffb88,0x0bbfffe5,
    0x7ffff440,0x00ffff50,0x01bffee0,0x02ffff80,0x01fffee0,0xdddfffd0,
    0x05fffffd,0x55555000,0xfffffd97,0x1ffff98b,0x3bbbba20,0x005ffffe,
    0x007fffee,0xffffb000,0x3ffee005,0xffffffff,0x1fffffff,0x3ffe6000,
    0x0ffffe7f,0x7ffff500,0x001fffea,0x0037ffdc,0x005ffff0,0x003fffdc,
    0x910ffffa,0x0009ffff,0xfffe9800,0x3fffe24f,0xfff90002,0x7ffdc00b,
    0x3600001f,0x4004ffff,0xffffffd8,0xff8aefff,0x540000ff,0xffd1ffff,
    0xffd0007f,0x1fffea9f,0x37ffdc00,0x5ffff000,0x3fffdc00,0x0ffffa00,
    0x017fffdc,0x7fec0000,0x3fffe1ff,0xfff90003,0x7ffdc00b,0xf900001f,
    0x40009fff,0xaacdcb98,0x01fffe60,0x3fffe200,0x009fffb3,0x2abfff90,
    0x70007fff,0x4000dfff,0x2002ffff,0x4007fffb,0x3603fffe,0x00006fff,
    0x49ffff00,0x0004fffe,0x400bfff9,0x001ffffb,0x4ffffc80,0x2e000000,
    0x00005fff,0x3f2bfffd,0xfb8005ff,0xffff57ff,0x3ffee000,0x3ffe0005,
    0x3fee002f,0x7ff4007f,0x3ffe603f,0x8000004f,0x3f66fffd,0xf90006ff,
    0x7dc00bff,0x40001fff,0x004ffffc,0x7fec0000,0xfd00003f,0x3ffee9ff,
    0xfffb8005,0x01ffff36,0x09fff900,0x17fffc00,0x0ffff700,0x03fffe80,
    0x007fffec,0x3fee0000,0x3fffee7f,0xfffc8001,0x3ffee005,0x3f20001f,
    0x00004fff,0x1ffff800,0xffff0000,0x01fffea5,0x457fff20,0x8001ffff,
    0x0003fffd,0x003ffff1,0x003fffdc,0x300ffffa,0x0009ffff,0x5fffc800,
    0x017fffea,0x017fff20,0x01ffffb8,0x9ffff900,0x90000000,0x0000bfff,
    0x4c3fffe6,0x4002ffff,0x3fe3fffe,0xff8002ff,0xf30001ff,0xfb800fff,
    0x7f4007ff,0xffd803ff,0x000000ff,0xfb0ffffa,0xc8003fff,0x2e005fff,
    0x8001ffff,0x004ffffd,0xffa80000,0xd00001ff,0xffe8ffff,0x3fe6005f,
    0x3fffa1ff,0x7ffdc006,0xff90000f,0xffb800df,0x7ff4007f,0xfff9803f,
    0x3000003f,0xf983ffff,0x2000dfff,0x2005fffc,0x001ffffb,0x027fffec,
    0x7cc00000,0x00005fff,0xa87ffff9,0xd000ffff,0xffb8dfff,0xff1002ff,
    0x800d49ff,0x004ffff9,0x003fffdc,0x400ffffa,0x0007fffe,0x6fffe880,
    0x3dffff90,0x17fff200,0x1ffffb80,0x3ffff600,0x40000004,0x0effffc8,
    0x7ff4c000,0xfffd04ff,0x7fec403f,0xfffe81ff,0x7ff4c03f,0x077f20ff,
    0x0fffffa8,0x3fffdc00,0x0ffffa00,0x1ffffd40,0xffd70000,0x3fe203ff,
    0x400bffff,0x2005fffc,0x001ffffb,0x009ffffb,0xb5310000,0x03ffffff,
    0x26aaaf6e,0xffffecba,0x3ffee05f,0xb989acff,0x503ffffe,0x59bfffff,
    0xffff9753,0xffffc85f,0xfffecbce,0xfb8003ff,0x7f4007ff,0x3fa003ff,
    0x2f3606ff,0xccaa99aa,0x02ffffff,0x7fffffd4,0xecaacdff,0x3f65ffff,
    0xffffffff,0xffffffff,0xffff52ff,0xffffffff,0xffffffff,0xfeeeeb89,
    0xffffffff,0x3fff201e,0xffffffff,0x6400dfff,0xffffffff,0x05ffffff,
    0x7fffffec,0xffffffff,0xffffc84f,0xffffffff,0xff70004f,0xffe800ff,
    0x3fea003f,0xffff02ff,0xffffffff,0x2007ffff,0xffffffd8,0xffffffff,
    0x3fff65ff,0xffffffff,0xffffffff,0xffffff52,0xffffffff,0x89ffffff,
    0xfffffffc,0x804fffff,0xfffffffc,0x01dfffff,0x3ffffea0,0x2effffff,
    0xffffd500,0xdfffffff,0x3fffea03,0xffffffff,0x3fee0002,0x7ff4007f,
    0x7ffc003f,0xfffff06f,0xffffffff,0xf700017f,0xffffffff,0x47ffffff,
    0xfffffffd,0xffffffff,0xff52ffff,0xffffffff,0xffffffff,0xfffc89ff,
    0xcfffffff,0xffff9000,0x3bdfffff,0x3fb22000,0x03efffff,0xfffec880,
    0x803effff,0xfffffeb8,0x40000cdf,0x4007fffb,0x4003fffe,0xf82ffffb,
    0xffffffff,0x0000beef,0x7fff6dc4,0x82ceffff,0xfffffffd,0xffffffff,
    0xff52ffff,0xffffffff,0xffffffff,0xfffc89ff,0x001bceef,0x35555310,
    0x26000001,0x400000aa,0x00009a98,0x000054cc,0x00000000,0x55330000,
    0x00001355,0x26aaa600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf7000000,0x2000bfff,
    0x3a6ffff8,0x80001fff,0xff12fffb,0xb800bfff,0x3fe64fff,0x36000fff,
    0x7c45ffff,0xffffffff,0xffffffff,0xffb3ffff,0x500001ff,0x3f63ffff,
    0x80003fff,0xfb1ffffd,0xffffffff,0xffffffff,0x1fffe63f,0xb7ffdc00,
    0xffffffff,0xffffffff,0xffffd07f,0xfffb0003,0x0ffff43f,0x7ffe4000,
    0xffffff11,0x7ffdc001,0x3ffffe64,0xffff1002,0xffff88df,0xffffffff,
    0xffffffff,0x7ffff53f,0xfffb0000,0x7ffffccd,0x3fe60000,0x3fff65ff,
    0xffffffff,0x1fffffff,0x000ffff3,0x7fdbffee,0xffffffff,0x7fffffff,
    0x0dffff30,0x4ffffa80,0x0017ffec,0x88fffe40,0x04ffffff,0xa93ffee0,
    0x005fffff,0x8dfffff7,0xfffffff8,0xffffffff,0x13ffffff,0x000bffff,
    0xc89ffff0,0x0003ffff,0xd83ffff6,0xffffffff,0xffffffff,0xffff31ff,
    0x3ffee000,0xfffffff6,0xffffffff,0x7fe40fff,0xff1003ff,0xfff90dff,
    0xff900005,0x3fffe21f,0xf7000fff,0x7ffd49ff,0xfe800fff,0x7c46ffff,
    0xffffffff,0xffffffff,0x3f63ffff,0x20000fff,0x441ffffa,0x000fffff,
    0x44ffff98,0xeeeeeeec,0xeeeeffff,0xfff31eee,0x3fee000f,0xddffff6f,
    0xdddddddd,0xfe80bddd,0xfc800fff,0xffc81fff,0xfd80003f,0xffff10ff,
    0x2e009fff,0x3fee4fff,0x4c03ffff,0x07ffffff,0xfff88000,0x3fffee1f,
    0x3ff20002,0xffff706f,0xfffd0009,0x7fdc001f,0xfff3007f,0x3fee000f,
    0x07ffff6f,0xfff50000,0xfff980bf,0x7fff704f,0xfffb0000,0x7fffffc4,
    0xffb800ff,0x37ffee4f,0x7fe406ff,0x0007ffed,0x45fffc80,0x005ffff8,
    0x813fffe0,0x000ffffe,0x00ffffea,0x00ffff70,0x001fffe6,0xffb7ffdc,
    0x000003ff,0x405ffffb,0x700ffffe,0x00007fff,0x7fc4fffd,0x03fffdff,
    0x2e4fffb8,0x1fffbfff,0x3f6fffe0,0x4400007f,0xfd81ffff,0xf30007ff,
    0x7d403fff,0x3a005fff,0xb8006fff,0xf3007fff,0x2e000fff,0xffff6fff,
    0x22000007,0xf506ffff,0x7d405fff,0xe80004ff,0x3ffe26ff,0x807fff9f,
    0x3f24fffb,0x03fff8ff,0xffb1fff5,0x6400001f,0xff705fff,0xf90005ff,
    0xffd00dff,0xff5003ff,0xf70005ff,0x3e600fff,0xf70007ff,0x3fffedff,
    0x2e000003,0x7c43ffff,0x7d405fff,0xf80004ff,0x3ffe26ff,0x807fffd7,
    0x3f24fffb,0x20dffd6f,0xfffb6ffd,0x3e200001,0xff101fff,0xfd0009ff,
    0xff3009ff,0xffd00dff,0x3ee000bf,0xff3007ff,0x3ee000ff,0x7ffff6ff,
    0xfe800000,0x3ff20fff,0x7fcc00ff,0xff80005f,0x5fffe25f,0x5c06fffb,
    0x3ff64fff,0x883fff76,0xfffb2fff,0x3f200001,0x7fec06ff,0x7fcc007f,
    0xffb001ff,0x7fdc05ff,0xf70001ff,0x3e600fff,0xf70007ff,0x3fffedff,
    0x4c000003,0xff35ffff,0xff3007ff,0x00cc40bf,0xff897ffe,0x5ffff17f,
    0xb27ffdc0,0x3ffe2dff,0xc87ffdc4,0x80001fff,0x402ffff8,0x001ffffb,
    0x801bffee,0x206ffff8,0x0004ffff,0x401fffee,0x0007fff9,0x3fedfff7,
    0x000003ff,0xeaffffc8,0xf1006fff,0x7ffc0dff,0x49fff102,0x3f27fff8,
    0x3fee06ff,0xd9bff64f,0x2fff47ff,0x0003fff9,0x00dfff90,0x009ffff1,
    0x001ffff4,0x20fffff2,0x000ffffb,0x01fffee0,0x003fffcc,0xff6fffb8,
    0x000007ff,0x3fffffa0,0x3e001fff,0xfff506ff,0x93ffe20b,0x3e27fff8,
    0xff701fff,0x537ff49f,0x3fe25fff,0x07fff22f,0xffff1000,0x3fff6005,
    0xffff1007,0xfff88003,0x7fffc47f,0x7fdc0003,0xfff3007f,0x3fee000f,
    0x07ffff6f,0x3ea00000,0x04ffffff,0xc837ffc0,0xf980ffff,0x3ffe23ff,
    0x82fffec7,0x3fa4fffb,0x57ffe26f,0x7fdc7ffb,0x7e40002f,0x3ee006ff,
    0xfb801fff,0xf70006ff,0x7fe47fff,0xfb80006f,0xff3007ff,0x555555ff,
    0xb5555555,0x3ffedfff,0x0000003f,0x1bfffff6,0x41fffa00,0x983fffff,
    0x3fe23fff,0x7fffcc7f,0x24fffb81,0x7fec6fff,0xfb89ffd7,0x220002ff,
    0x2003ffff,0x804ffff8,0x0003fffe,0x7c5bfffa,0x80002fff,0x3007fffb,
    0xffffffff,0xffffffff,0x3edfffff,0xeeeeefff,0xeeeeeeee,0xfff10001,
    0xfd0007ff,0xffff30ff,0x5fff50df,0x6c3fffc4,0xffb85fff,0x517ffe4f,
    0x3fff7fff,0x002fffb8,0x01bfff20,0x01bfff60,0x003ffff1,0x5ffffd40,
    0x0006fffc,0x00ffff70,0x3fffffe6,0xffffffff,0x6fffffff,0xffffffff,
    0xffffffff,0x3ee0003f,0x8006ffff,0x7e40fffd,0x540fffff,0x3fe22fff,
    0xffffa87f,0xf27ffdc0,0xffff0bff,0xfff70dff,0x3fe20007,0xfb8003ff,
    0x3ee01fff,0xd80006ff,0xffffffff,0xff700001,0x3fe600ff,0xffffffff,
    0xffffffff,0xffff6fff,0xffffffff,0x003fffff,0xffffff10,0xffd8009f,
    0x7efffc0f,0x7ffd43ff,0x41fffe21,0x7dc4fffe,0xbfff14ff,0x7fffff90,
    0x007fff50,0x01fffee0,0x1ffffc40,0x007fffb0,0xfffff300,0x40000bff,
    0x3007fffb,0x5555ffff,0x55555555,0x3edfffb5,0xeeeeefff,0xeeeeeeee,
    0xfffd8001,0x001fffff,0xf983fff2,0x46fff8ff,0x3e21fffb,0xfff507ff,
    0xa7ffdc1f,0xf985fff8,0xfa80ffff,0xf88004ff,0x20003fff,0xf106fffd,
    0x00001fff,0x3ffffff2,0x3ee00000,0xff3007ff,0x3ee000ff,0x7ffff6ff,
    0xf5000000,0xffff7fff,0x7ffe400d,0x7edbff21,0x3ffee1ff,0x81fffe20,
    0x3ee4fffe,0xbfff14ff,0x417fffa0,0x8004fffa,0x000ffffb,0x03fffee0,
    0x001bffea,0xfffff880,0x7dc00004,0xff3007ff,0x3ee000ff,0x7ffff6ff,
    0xf8800000,0xfff76fff,0x3fee007f,0x54fffa1f,0x3ff23fff,0x1fffe20f,
    0x70ffffb8,0x3fe69fff,0x5fff704f,0x013ffea0,0x09ffff10,0xffff8800,
    0x03fffd83,0x7ffe4000,0x5c00000f,0xf3007fff,0x2e000fff,0xffff6fff,
    0xd8000007,0x3fa1ffff,0xfb800fff,0x3fff32ff,0xfc9bffe2,0x3fffc47f,
    0x5cffffe0,0xfff34fff,0x81332209,0x4005fff9,0x000ffffb,0x46fffd80,
    0x000ffff8,0x3fffdc00,0x7fdc0000,0xfff3007f,0x3fee000f,0x07ffff6f,
    0x7fd40000,0x7ffd44ff,0xfffa805f,0xfd8dff93,0x8fffb1ff,0x5c07fff8,
    0xfff76fff,0x013ffea9,0x0bfff300,0x04ffff80,0xffff7000,0x037ffdc1,
    0x7ffdc000,0xfb800007,0xff3007ff,0x3ee000ff,0x7ffff6ff,0x3e200000,
    0xfd80ffff,0x7cc02fff,0x89ffd3ff,0xffb4fffa,0x07fff88d,0x5d7fffc4,
    0xfff54fff,0xff980009,0x3fee005f,0x100000ff,0x7ec7ffff,0x800003ff,
    0x0007fffb,0x07fffb80,0x00ffff30,0x7dbffee0,0x00003fff,0x05ffff90,
    0x03ffffe2,0xf9cfff98,0x7fff81ff,0xff88dffb,0xfffc807f,0xf74fffbd,
    0x980009ff,0x3e006fff,0x00004fff,0xf8afffec,0x00000fff,0x007fffb8,
    0x7fffb800,0x0ffff300,0x5bffee00,0x0003ffff,0x6ffff980,0x2ffffdc0,
    0xf79fff10,0x3fff20df,0x7c45ffea,0xff8807ff,0x74fffcff,0x80007fff,
    0x7006fff9,0x0001ffff,0x8ffffb80,0x0006fffa,0x0ffff700,0xfff70000,
    0x3ffe600f,0xfff70007,0x00ffffed,0x3fffa000,0xfffe801f,0xbfff102f,
    0x3ea09ffb,0x45ffedff,0xb007fff8,0x9fffffff,0x000fffee,0x00dfff10,
    0x0017fffe,0x3fffe200,0x003fffda,0xffff7000,0xff700000,0x3fe600ff,
    0xff70007f,0x0ffffedf,0xfff90000,0x3fe6009f,0xfff00eff,0x7c03fffd,
    0x44ffefff,0x3007fff8,0x9fffffff,0x000ffff2,0x00ffff10,0x003ffff7,
    0x3fffa000,0x000ffffd,0xffff7000,0xff700000,0x3fe600ff,0xff70007f,
    0x0ffffedf,0xfff98000,0x3f6000ff,0xfff04fff,0xfc80dfff,0x444fffff,
    0x36007fff,0x94ffffff,0x80007fff,0xf807fff8,0x00005fff,0x3ffffee0,
    0x000006ff,0x001fffee,0x77777764,0xeeeffffe,0xff31eeee,0x3ee000ff,
    0x7ffff6ff,0x7ff40000,0x7c4002ff,0xfe81ffff,0x4c04ffff,0x43ffffff,
    0x2007fff8,0x4ffffff9,0x0007fffb,0x407fff88,0x001ffffb,0x3ffe2000,
    0x0003ffff,0x1fffee00,0x7fffec00,0xffffffff,0x31ffffff,0x2000ffff,
    0xfff6fffb,0x3200007f,0x0005ffff,0xd0dffff7,0x003fffff,0x87ffffff,
    0x4007fff8,0xb4fffffe,0x00005fff,0x7401ffff,0x00005fff,0xfffffe80,
    0x2000000f,0x0007fffb,0xfffffffb,0xffffffff,0x3fe63fff,0xff70007f,
    0x0ffffedf,0x3ffe6000,0x3a0001ff,0x7ec3ffff,0xf9007fff,0xf885ffff,
    0x7d4007ff,0xffb4ffff,0xff00005f,0x3fee01ff,0x000001ff,0x6fffffb8,
    0x7dc00000,0xfb0007ff,0xffffffff,0xffffffff,0x1fffe63f,0xb7ffdc00,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffff4,0xffffffff,0x13ffffff,
    0xffffffff,0xffffffff,0x7fffd4ff,0xabceffff,0xf7000009,0x3ff201ff,
    0x3fffe207,0xceefffff,0x300000ac,0x00dfffff,0x01ffff10,0x27fffdc0,
    0xfffffff1,0x0379bdff,0x3ff20000,0x7cc05fff,0x80000fff,0xfd02dec8,
    0xffffffff,0xffffffff,0x3fe27fff,0xffffffff,0x7fffffff,0x3fffffea,
    0xffffffff,0x7dc0001e,0x1bff607f,0xffffff88,0xffffffff,0x640000cf,
    0x01ffffff,0x07fffc40,0x5ffff980,0x7fffffc4,0xffffffff,0x2600003e,
    0x05ffffff,0x007fffcc,0x3fffe200,0xffffe84f,0xffffffff,0xffffffff,
    0xffffff13,0xffffffff,0x7fd4ffff,0xffffffff,0x0cffffff,0x0fff9000,
    0xf102fff4,0xffffffff,0xffffffff,0x7ffc0005,0x4004ffff,0x800ffff8,
    0x40effff8,0xfffffff8,0xffffffff,0xe80002ff,0x05ffffff,0x007fffcc,
    0x3ffff600,0x7fff40ff,0xffffffff,0xffffffff,0xdffff12f,0xdddddddd,
    0x7d4ddddd,0xeeeeefff,0xffffffff,0xffd8002f,0x817ffa06,0xeeeffff8,
    0xfffffeee,0x98001fff,0x6fffffff,0x7fffc400,0xffffe800,0xeffff881,
    0xfffeeeee,0x001fffff,0x3ffffee0,0x7fcc05ff,0x7c0000ff,0x02ffffff,
    0x3ffe6000,0x3fffe25f,0x7fd40001,0x3f26207f,0x002fffff,0xff02fff4,
    0x7ffc409f,0x3fee201f,0xc8006fff,0xffffdfff,0x3ffe2001,0x7ffe400f,
    0xffff102f,0xffffb803,0xf88000ff,0x5fffdfff,0x07fffcc0,0x3fffa000,
    0x00002fff,0x883ffffa,0x0001ffff,0x803fffd4,0x06ffffd8,0x8827ffc0,
    0x3e203fff,0xfd001fff,0xf8001fff,0xfffe9fff,0x3ffe2004,0x3ffea00f,
    0x3ffe203f,0xfff9001f,0xffb000df,0x0bfff99f,0x00ffff98,0x7fffdc00,
    0x700000ff,0xf887ffff,0x40001fff,0x4007fffa,0x003ffffb,0x7cc0fffe,
    0x3fe202ff,0xff3001ff,0x7cc005ff,0xdfff96ff,0x7fffc400,0xbffff300,
    0x1ffff880,0x3ffffa00,0x3ffee000,0x80bfff96,0x000ffff9,0x1ffffd80,
    0xfff30000,0xffff10bf,0xffa80003,0xffe8007f,0xff8800ff,0x3fff503f,
    0x0ffffc40,0x09ffff00,0x9a7ffe40,0x1001ffff,0xd101ffff,0xf100dfff,
    0x4c003fff,0x1001ffff,0x3f23ffff,0x7fcc05ff,0x300000ff,0x40000157,
    0x880ffffe,0x0001ffff,0x003fffd4,0x227fffd4,0xffeeeeec,0xeeeeeeef,
    0xeeeeefff,0x03ffff12,0x027fff40,0x7c3ffff0,0xf1003fff,0xffb01fff,
    0xff1001df,0xff8003ff,0xffb003ff,0x2fffe49f,0x03fffe60,0x00000000,
    0x03ffffb8,0x003ffff1,0x07fffa80,0x8dfffd00,0xfffffffd,0xffffffff,
    0xffffffff,0x03ffff13,0x0ffffe20,0x23fffcc0,0x1006fffc,0xfb81ffff,
    0xf1001fff,0xe8003fff,0xfa805fff,0x7ffe46ff,0x7fffcc05,0x00000000,
    0xbffff100,0x0ffffc40,0x3ffea000,0xfff70007,0xfffffd8f,0xffffffff,
    0xffffffff,0xffff13ff,0x3ffe6003,0xfff9001f,0x1ffffa89,0x0ffff880,
    0x00bfffea,0x01ffff88,0x02fffec0,0x907fffe2,0xf980bfff,0x00000fff,
    0xffd00000,0x7fc401ff,0x540001ff,0x50007fff,0x54c1ffff,0xafffdaaa,
    0xffeaaaaa,0x10aaaaae,0x1003ffff,0x400bfffd,0xff82ffff,0xff8803ff,
    0xffff10ff,0xfff88007,0x7ffc001f,0x7ffe403f,0x05fffc84,0x007fffcc,
    0x40000000,0x403ffffb,0x001ffff8,0x03fffd40,0x1ffff980,0xd037fe40,
    0xff880bff,0x7ec401ff,0xf3001fff,0x3ff60fff,0xfff8806f,0x0bfffd0f,
    0x3ffff100,0x7fffc400,0x3fffe601,0x05fffc80,0x007fffcc,0x20000000,
    0x805ffff8,0xaabffff8,0xaaaaaaaa,0x3ffea1aa,0xfff10007,0x6ffd805f,
    0x1013ffe0,0x3335ffff,0xffffb753,0x7fe4003f,0xffff505f,0xffff8801,
    0x006fffd8,0x03ffff10,0x07fffe40,0x205fffd0,0x4c05fffc,0x0000ffff,
    0x7ec00000,0xf8800fff,0xffffffff,0xffffffff,0x01fffea3,0x03ffff80,
    0xff02fff4,0xfff8809f,0xffffffff,0x000bffff,0x8817fffc,0x4403ffff,
    0xfffcffff,0xff10000f,0x3ea003ff,0x3f204fff,0x3ff205ff,0x7ffcc05f,
    0x0000000f,0x3fffee00,0xffff1003,0xffffffff,0x547fffff,0x20007fff,
    0x7c04ffff,0xfff104ff,0xffff8807,0xffffffff,0x2001ceff,0x200ffff9,
    0x4406fffd,0xffffffff,0x3fe20004,0xffb801ff,0x3fe606ff,0x3ff200ff,
    0x7ffcc05f,0x0000000f,0xbffff100,0x7fffc400,0xffffffff,0x2a3fffff,
    0x20007fff,0x2204fffe,0xff303fff,0xfff8805f,0xffffffff,0x04ffffff,
    0x80bfff90,0x200ffffb,0xffeffff8,0xf10002ff,0x33335fff,0xfffff955,
    0x7fff403f,0x2fffe402,0x03fffe60,0x40000000,0x000ffffd,0x2affffe2,
    0xaaaaaaaa,0x3fea1aaa,0x3fe0007f,0x3fe204ff,0x3fff502f,0xbffff880,
    0xfdcaaaaa,0x806fffff,0x4403ffff,0x2203ffff,0xffe9ffff,0xf88001ff,
    0xffffffff,0xefffffff,0x17ffee02,0x017fff20,0x001ffff3,0xf5000000,
    0x88007fff,0x0001ffff,0x003fffd4,0x03ffff88,0x540bffe6,0x7c400fff,
    0x5c401fff,0x204fffff,0x800ffff9,0x2206fffe,0xff98ffff,0x44000eff,
    0xffffffff,0x4fffffff,0x07fffc40,0x02fffe40,0x003fffe6,0x0fbf6600,
    0x6ffff880,0xffff8800,0x7fd40001,0xff30007f,0x266665ff,0x99afffb9,
    0x9fffc999,0x7fc41999,0xff3001ff,0x3f203fff,0xff7006ff,0x3fe201ff,
    0xffff70ff,0xfff8800b,0xffffffff,0xfd801def,0xff9003ff,0xfff980bf,
    0x7cc0000f,0xb004ffff,0x0001ffff,0x003ffff1,0x07fffa80,0x3ffff500,
    0x3ffffffe,0xffffffff,0xffffffff,0x3fffe20f,0x3ffea001,0x7ffff03f,
    0x3fffe600,0x1ffff103,0x01ffffec,0x9bffff10,0x80035799,0x2006fffa,
    0x4c05fffc,0x0000ffff,0x7fffffec,0x7fffd401,0xfff10003,0xfa80003f,
    0xf90007ff,0x7fffcfff,0xffffffff,0xffffffff,0x3e20ffff,0x22001fff,
    0xf984ffff,0xeeeeefff,0xffeeeeee,0xfff106ff,0xffffe81f,0xffff1001,
    0x3fa00003,0xeeeeeeff,0xfffeeeee,0x0eeeeeff,0x001ffff3,0xffffff80,
    0x3ffe203f,0x3e20006f,0x40001fff,0x8007fffa,0x3e4ffff8,0xffffffff,
    0xffffffff,0x0fffffff,0x007fffe2,0x90bfffd0,0xffffffff,0xffffffff,
    0xf101ffff,0xff981fff,0xf8800fff,0x00001fff,0xffffffff,0xffffffff,
    0xffffffff,0x3fffe63f,0x7ff40000,0x3602ffff,0x0000ffff,0x007fffe2,
    0x0ffff500,0x5ffff900,0x206ffd80,0xf8804fff,0x7c001fff,0xfff84fff,
    0xffffffff,0xffffffff,0xfff883ff,0xffffa80f,0xffff8806,0xfff00001,
    0xffffffff,0xffffffff,0x23ffffff,0x000ffff9,0x7ffffdc0,0x3fffea06,
    0x7fc40003,0x540001ff,0x4c007fff,0xe806ffff,0x3ffe05ff,0xffff8804,
    0x3ffe2001,0x7fffcc2f,0xffffffff,0xffffffff,0xffff885f,0x9ffff900,
    0x1ffff880,0xffff0000,0xffffffff,0xffffffff,0x263fffff,0x0000ffff,
    0x01efffc8,0x00dffff1,0x3ffff100,0xfffa8000,0x3ffa6007,0xfff801ff,
    0x07fff104,0x03ffff10,0x07fffdc0,0x001bfff2,0x207fffe4,0x200ffff8,
    0x202ffffe,0x001ffff8,0xfc800000,0x7fcc05ff,0x100000ff,0xfffd8035,
    0xf880000f,0x40001fff,0x7007fffa,0x00bfffff,0x2607fff1,0xf8802fff,
    0xf3001fff,0xffd0dfff,0x3e60007f,0x7fc42fff,0x3fe200ff,0xff101fff,
    0x000003ff,0xbfff9000,0x0ffff980,0x2a000000,0x0003ffff,0x03ffff10,
    0x7fffa800,0xfffd5310,0xf1001dff,0x3fea05ff,0xfff8801f,0x7fe4c01f,
    0x7fcc0fff,0x3e0001ff,0x7fc45fff,0x7fd400ff,0xff880eff,0x000001ff,
    0x5fffc800,0x07fffcc0,0xf8800000,0xffffffff,0xffffffff,0xff15ffff,
    0xddddddff,0xdddddddd,0x777fffd4,0xffffffee,0x26005fff,0xff702fff,
    0xfff1001f,0xdb9999bf,0x3fffffff,0x00dfff90,0x0ffffc80,0x003fffe2,
    0x217ffff2,0x001ffff8,0xfc800000,0x7fcc05ff,0xeeeeeeff,0x6eeeeeee,
    0xffff9800,0xffffffff,0xffffffff,0xfffff15f,0xffffffff,0x7d4fffff,
    0xffffffff,0x3fffffff,0x0fffd400,0x1007ffb8,0xffffffff,0xffffffff,
    0x3fffa05d,0x7fcc0004,0x3ffe22ff,0xfffd000f,0xffff887f,0x00000001,
    0x405fffc8,0xfffffff9,0xffffffff,0xf98007ff,0xffffffff,0xffffffff,
    0xff15ffff,0xffffffff,0xffffffff,0x7fffffd4,0xefffffff,0xffb8000b,
    0x0fff900f,0x3ffffe20,0xffffffff,0x3fe602ef,0xf80001ff,0x3fe25fff,
    0xff1000ff,0x7fc45fff,0x000001ff,0x5fffc800,0x7ffffcc0,0xffffffff,
    0x8007ffff,0xfffffff9,0xffffffff,0x15ffffff,0xffffffff,0xffffffff,
    0x7fffd4ff,0xbcdeefff,0x7fe40001,0x01bff607,0x7fffffc4,0x1bcdefff,
    0x06fffc80,0xffff9000,0x03fffe21,0xfffff980,0x03ffff10,0x90000000,
    0xf980bfff,0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x9bdfdd97,0x54c00017,0x00abdeec,0xedba8800,0x1000acce,
    0x57bdd973,0x65d40001,0xacdeefed,0x00cccc81,0xc8b332a0,0xdb5103cc,
    0xccc8059b,0xdeeec982,0x4399701b,0xa80deec8,0xb0003ded,0x00000005,
    0x36a03b10,0xffffffff,0x000cffff,0x3fffffe6,0x0003ffff,0xfffffff7,
    0xc80dffff,0xffffffff,0x7d4004ff,0xffffffff,0x7fc45fff,0x3f2000ff,
    0xdfff14ff,0xfffffe98,0xff880dff,0x3fff625f,0xd83fffff,0xffff13ff,
    0x7ffdc1ff,0x7ec005ff,0x0000003f,0x207ffa20,0xfffffffd,0xffffffff,
    0xffffb801,0xffffffff,0xffb1000d,0xffffffff,0x3fa60fff,0xffffffff,
    0x4401efff,0xfffffffe,0x45ffffff,0x000ffff8,0x7c53fff2,0x3ffee6ff,
    0xffffffff,0x9afffc40,0xffffffff,0x7fec5fff,0xffffffd3,0x3ffffea9,
    0xff9002ff,0x00000bff,0xfffff300,0xfffffd81,0xffffedee,0x3f600eff,
    0xdcbdffff,0x00ffffff,0x7fffffdc,0xffffeeff,0xfffffa87,0xffffedff,
    0x3fa02fff,0xccdeffff,0x445fffed,0x2000ffff,0xff14fffc,0x3ffff2df,
    0xfffffeef,0x4f7ffc45,0xfeefffff,0x361fffff,0xceffbcff,0xbfff6fff,
    0x200bfffd,0x0effffe8,0xf7000000,0xfb07ffff,0x7f4c017b,0xff905fff,
    0x7fe409ff,0x3fe604ff,0x880aefff,0x7ffc47eb,0xfe980bff,0xff906fff,
    0xa88017ff,0x07fffc42,0x29fff900,0xffcefff8,0x7ff442ef,0x3ffe20ff,
    0xb83fffff,0x3f66ffff,0x3f25ffcf,0x3e2ffbff,0x7ec007ff,0x0001efff,
    0x7fffe400,0x8001301f,0xf887fffe,0xfb802fff,0xffd01fff,0x204009ff,
    0x801ffffd,0xf83ffffc,0x40003fff,0x000ffff8,0x7c53fff2,0x05ffffff,
    0x893fffe2,0x1fffffff,0x43fffee0,0x20fffffd,0x44fffffa,0x4000fffd,
    0x02fffffb,0xffd88000,0x00000eff,0x207fffcc,0x2005fffc,0xfb85fffe,
    0x20003fff,0x001ffff9,0x883ffff6,0x0000ffff,0x007fffc4,0x229fff90,
    0x04ffffff,0x225fffc8,0x00ffffff,0xd8ffffc4,0x7cc3ffff,0x7e40ffff,
    0xfa8001ff,0x0003ffff,0x3ffffa20,0xf000000d,0x7fc45fff,0x3ea000ff,
    0x7ffc47ff,0x7f40006f,0x7cc005ff,0x3fe23fff,0x440001ff,0x2000ffff,
    0xff14fffc,0x2a00bfff,0x3fe26fff,0xfd001fff,0x3fff65ff,0x4ffff987,
    0x001fffc8,0xbffffd30,0xfff30000,0x000009ff,0x2e3fffe8,0xf8005fff,
    0x3fea0fff,0x220001ff,0x8002ffff,0x7f44fffd,0x440006ff,0x2000ffff,
    0xff14fffc,0x7d400dff,0x3ffe26ff,0x3ff6002f,0x07fffb3f,0x901ffff3,
    0x40003fff,0x0effffe8,0xffff5000,0x0000005f,0x7e47fffd,0xff8004ff,
    0x3ffee1ff,0x7fcc0006,0xff70007f,0xffffd8bf,0xff10002e,0x7e4001ff,
    0xffff14ff,0x7774c003,0x03fffe25,0xb4fffc80,0xff301fff,0x3fff20bf,
    0xffd80001,0x64001eff,0x001fffff,0x55553100,0x47fffd55,0x999bfffd,
    0x99999999,0x363fffe9,0x40005fff,0x0006fffa,0xf88ffff5,0x1cffffff,
    0x3fffe200,0x3fff2000,0x03ffff14,0x3ffe2000,0x3ff2000f,0x01fffb4f,
    0x3209fff3,0x00001fff,0x05fffff7,0xdffffb10,0xfeb80001,0xffffffff,
    0x3fe3ffff,0xffffffff,0xffffffff,0x3ffa4fff,0x7dc0003f,0xf30005ff,
    0xff981fff,0xcfffffff,0x7fffc401,0x3fff2000,0x03ffff14,0x3ffe2000,
    0x3ff2000f,0x01fffb4f,0x3209fff3,0x00001fff,0x0fffffea,0x5ffffe88,
    0x7ffe4000,0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0x7fc9ffff,
    0x6c0002ff,0x10004fff,0x9103ffff,0xffffffff,0x3fe205df,0x3f2000ff,
    0xffff14ff,0x3e200003,0x32000fff,0xfffb4fff,0x09fff301,0x0007fff2,
    0xffffd300,0xfffff309,0xffd80007,0xeeefffff,0x3ffffeee,0x3ffffffe,
    0xffffffff,0x23ffffff,0x0002ffff,0x002fffe4,0x00ffff88,0x3fffff26,
    0x440dffff,0x2000ffff,0xff14fffc,0x200003ff,0x000ffff8,0x7ed3fff2,
    0xfff980ff,0x03fff904,0xffd10000,0x7ffd4bff,0x5c0003ff,0x00aeffff,
    0xff1ffff4,0x333337ff,0x33333333,0x7ffc1333,0x7dc0003f,0xf30006ff,
    0x65400fff,0x6fffffff,0x007fffc4,0x229fff90,0x0001ffff,0x01ffff10,
    0xda7ffe40,0xff980fff,0x3fff904f,0xff700000,0xffc83fff,0x10001eff,
    0x400dffff,0x3fa3fffe,0x400003ff,0x0004fffd,0x003fffd4,0x005fffa8,
    0xfffffb50,0x07fffc49,0x29fff900,0x001ffff8,0x1ffff100,0xa7ffe400,
    0xf980fffd,0xfff904ff,0xfd800003,0xf700efff,0x0005ffff,0x001ffff5,
    0xf91ffff4,0x800009ff,0x0006fffc,0x003fffcc,0x004fffc8,0x3ffffcc0,
    0x001ffff1,0xf8a7ffe4,0x00001fff,0x001ffff1,0xfda7ffe4,0xfff980ff,
    0x03fff904,0x3ffa2000,0xffa805ff,0x5c003fff,0x74006fff,0x3fee3fff,
    0x5c00006f,0x0001ffff,0x00ffffe2,0x07ffff10,0xffff5000,0x00ffffc1,
    0x14ffff98,0x0003ffff,0x03fffe20,0xb4fffc80,0xff301fff,0x3fff209f,
    0xfe980001,0x26004fff,0x005ffffe,0x8017fff6,0x263ffffa,0x0003ffff,
    0x1bfffe60,0xffffd000,0xffffb800,0xff880000,0x3fffa1ff,0xffff9802,
    0x3ffff14f,0x3fe20000,0x3f2000ff,0x1fffb4ff,0x209fff30,0x0001fffc,
    0x17ffffd4,0x7fff4400,0xffc800ef,0xfff9007f,0xfffd87ff,0x3200000f,
    0x0003ffff,0x00ffffea,0x01ffffcc,0xffff9800,0x01bfff60,0x9fffffd1,
    0x007fffe2,0x7fffc400,0x3fff2000,0x301fffb4,0x3f209fff,0x320001ff,
    0x001fffff,0x77fffe40,0x7fffd401,0x3fffa603,0x7fcc3fff,0x00003fff,
    0x3dfffff1,0xffd89500,0x7fd405ff,0x000986ff,0x237fff44,0x302ffffb,
    0x9fffffff,0x007fffe2,0x7fffc400,0x3fff2000,0x301fffb4,0x3f209fff,
    0xfb0001ff,0x0001dfff,0x3ffffee0,0x3fffe202,0xfeb99acf,0x3fffffff,
    0xefffffc8,0xa99999ab,0xff701fdc,0x579bffff,0x98fff995,0xacefffff,
    0xffffdba9,0xbdffc82f,0xca9999aa,0x441fffff,0x9acfffff,0xfcffffda,
    0xffff14ff,0x3e200003,0x32000fff,0xfffb4fff,0x09fff301,0x0007fff2,
    0x1bffffd1,0xffa80000,0x3ee03fff,0xffffffff,0xffabffff,0xfffc883f,
    0xffffffff,0x201fffff,0xfffffffb,0x7fffffff,0xffffffa8,0xffffffff,
    0xffff902f,0xffffffff,0x2e09ffff,0xffffffff,0xff99ffff,0x3ffff14f,
    0x3fe20000,0x3f2000ff,0x1fffb4ff,0x209fff30,0x2001fffc,0x04fffff9,
    0x3fa60000,0x3f205fff,0xffffffff,0x7fff50ef,0x7ffff540,0xffffffff,
    0x7ec401ff,0xffffffff,0xfb107fff,0xffffffff,0x7e401bff,0xffffffff,
    0x02ffffff,0x7fffffec,0xff31efff,0x3fffe29f,0xff100001,0x7e4001ff,
    0x1fffb4ff,0x209fff30,0x5001fffc,0x005fffff,0xffd10000,0x3a601dff,
    0x3dffffff,0x401fffd4,0xffffffdb,0x00bdefff,0xffffd950,0x8037bfff,
    0xffffffdb,0xeda803de,0xffffffff,0x2a002dff,0x3effffff,0xf8a7ffcc,
    0x00001fff,0x001ffff1,0xfda7ffe4,0xfff980ff,0x03fff904,0x3fffff70,
    0xd8000000,0x400effff,0x00000aa9,0x4cd554c0,0x33100000,0x4c400013,
    0x9980001a,0x001aaaaa,0x00d54c40,0x00000000,0x00000000,0x7fcc0000,
    0x000000ef,0x09fff700,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdf980000,0x00000000,0x000027d4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000080,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00599991,0x91666640,
    0x20000999,0x9952ccca,0x99999999,0x99999999,0x03cccca8,0x1ccccb80,
    0x006aaa00,0x019db500,0x09fff500,0x555554c0,0xaaaaaaaa,0x0aaaaaaa,
    0x88355553,0x400aaaaa,0x000001a9,0x06fffa80,0x06ffff80,0x3ffff500,
    0x0007fffc,0xc9fffec0,0xffffffff,0xffffffff,0x7fffc47f,0x3fea001f,
    0x7f4006ff,0x3ea0002f,0x4001efff,0x001ffffe,0xfffffffb,0xffffffff,
    0x323fffff,0x7c44ffff,0xd880ffff,0x00cfffff,0xff500000,0xff9000df,
    0xfb0001ff,0xfffe8dff,0xffe80001,0xfffff92f,0xffffffff,0xf50fffff,
    0x1001dfff,0x001ffffd,0x0002ffe8,0x17fffffa,0xfffffb80,0xffffb005,
    0xffffffff,0xffffffff,0x13ffff23,0x81fffff1,0xffffffe8,0xfff801ff,
    0xfffa8006,0xfff98006,0x7fc4003f,0x7ffe43ff,0xfff80002,0xfffff90f,
    0xffffffff,0x320fffff,0xc804ffff,0x8002ffff,0x20001ffd,0x1fffffff,
    0xfefff880,0xffd802ff,0xffffffff,0xffffffff,0xffff71ff,0x0fffff07,
    0xfffffffd,0x7c405fff,0xfa8005ff,0xfd0006ff,0xfa800dff,0x7fdc0fff,
    0xff80003f,0x7dc0007f,0x3fa02fff,0x3ea02fff,0x06a04fff,0x0480ffec,
    0xffffffd8,0x8effc802,0x4400fffe,0x99999999,0x99999999,0x3fee1999,
    0xffff83ff,0x77fffd47,0x2fffffdb,0x009fff30,0x00dfff50,0x07fffea0,
    0x85fffd80,0x0004fffa,0x0037ffc4,0x09ffff30,0x0fffff88,0x06fffe88,
    0x3f20ffe2,0x01ff4c0f,0x3fffffe6,0x97ffcc03,0x0004fffa,0x3fea0000,
    0xfffe82ff,0x21ffff46,0x83fffffa,0x8003fffc,0x0006fffa,0x009ffff1,
    0x20bfffe2,0x2a05fff9,0xfff300aa,0x3fe2000b,0xff5006ff,0xfff90bff,
    0x7ffe401f,0xc83ff21e,0x6400ffff,0x403fffff,0x7fec5ffd,0x0000001f,
    0x05ffff50,0x7c4dfffd,0xfff306ff,0xff957bff,0x3ea000ff,0x320006ff,
    0xf7007fff,0x3fe20fff,0x7fff106f,0x013ffea0,0x07fffec0,0x5ffffb00,
    0x017fffd4,0x4fffffaa,0xfffd37fb,0xff8801bf,0x3ea02fff,0x7ffcc1ff,
    0x00000005,0xb03ffff3,0x7fccbfff,0x3ffe604f,0xffffffff,0xfff50003,
    0x7fcc000d,0xffe802ff,0x1fffe04f,0xb837ffdc,0xc8003fff,0x4002ffff,
    0x88ffffe8,0x2004ffff,0xfcefffea,0x1dffffbf,0x3ffffa00,0x417ffa00,
    0x0002fffc,0xfff98000,0x5fffd81f,0x1013ffe6,0xfffffffd,0x7d4000bf,
    0x740006ff,0x7cc05fff,0x3fa00fff,0xfffd80ff,0x2fffc81f,0x7fffd400,
    0xfff30004,0x0dfff9bf,0x3fffaa00,0x00cfffff,0x07fffe80,0x4403ffee,
    0xec80ffff,0xeeeeeeee,0xeeeeeeee,0xfff11eee,0x9fff901f,0x8004ccc4,
    0x4ffffffb,0x26666660,0xefffb999,0x99999999,0xffff7009,0x2fffe401,
    0x107fff60,0xb09fffff,0x44001fff,0x0005ffff,0x7fffffdc,0x540000ff,
    0x00cffffe,0x7ffff300,0x013ffe20,0xfb09fff7,0xffffffff,0xffffffff,
    0x3fe23fff,0xfffc80ff,0x75100004,0xfff80137,0xffffffff,0xffffffff,
    0xf103ffff,0x7fc07fff,0x7fdc02ff,0x7fffd42f,0x07ffe87f,0x077fff40,
    0x7ffec000,0x40002fff,0xefffffc8,0xfff98002,0x3fff205f,0x1fffe800,
    0x7fffffec,0xffffffff,0x21ffffff,0xff907fff,0x0000007f,0x7fffffc0,
    0xffffffff,0xffffffff,0x3fff603f,0x0ffff506,0xd87fff50,0x41fffeff,
    0x32006fff,0x0001ffff,0x9fffff10,0x7fe44000,0xefffffff,0x7fed4c02,
    0xff300fff,0x3fea007f,0x7777646f,0xeeeeeeee,0xeeeeeeee,0x00000001,
    0x3ffe0000,0xffffffff,0xffffffff,0x2603ffff,0xfd81ffff,0xff9804ff,
    0x27ffe24f,0x7ffc4fff,0xffff7005,0x7d400007,0x000effff,0x5ffffecc,
    0xfffe9ffb,0x7fffc43e,0x3601efff,0x36000fff,0x00002fff,0x00000000,
    0x33200000,0xdccccccc,0xccccffff,0x401ccccc,0x7c44fffe,0xf8801fff,
    0x5ffea5ff,0x3fe27ffd,0xfff9804f,0x2600005f,0x5fffffff,0x3ffff200,
    0x7dcff71e,0xff11ffff,0xa807ffff,0x4c003fff,0x5100ffff,0x20035555,
    0x5dc0bcb8,0xbbbbbbbb,0xbbbbbbbb,0xbbbbbbbb,0x5000001b,0x0000dfff,
    0xf71fffee,0x7fc00dff,0x553ff66f,0xfff32fff,0xfffe8807,0xd100000e,
    0xffffffff,0x3ffee007,0xd307fe43,0x77fc4dff,0xccb800cd,0x99970004,
    0x7fffdc03,0x7ffcc02f,0x3fffe2ff,0xffffffff,0xffffffff,0x3fffffff,
    0xff500000,0x220000df,0x3fa2ffff,0x3fa003ff,0x447ffe7f,0xfff55fff,
    0xffffd805,0x3f600000,0xfffc8fff,0x01bd001f,0x5f701ffb,0x000000c4,
    0xfd300000,0x7f405fff,0xff0fffff,0xffffffff,0xffffffff,0xffffffff,
    0x2000007f,0x0006fffa,0x4d7fff60,0x2000ffff,0xffa8fffd,0x5c7ffec7,
    0x3ee01fff,0x00002fff,0x44ffffee,0x800ffffe,0x407ff600,0x00000000,
    0xfd880000,0xffa82fff,0xff2fffff,0xffffffff,0xffffffff,0xffffffff,
    0x2000007f,0x0006fffa,0x5dfffea0,0x5c004fff,0x4ffd9fff,0x7e57ffd4,
    0x3ffe607f,0x2600004f,0x7cc5ffff,0x40006fff,0x00001ffe,0x00000000,
    0x2ffffb80,0x7fffffdc,0x0000003f,0x2a000000,0x00006fff,0x7f57fffc,
    0x7d4001ff,0x81fffaff,0x6ffddfff,0x0dffff10,0x7ffc4000,0xfffb80ff,
    0x3fa0004f,0x0000002f,0x00000000,0x4c5fffd3,0x2fffffff,0x00000000,
    0x3fea0000,0x6400006f,0x6fffefff,0xefff9800,0xfffb07ff,0x3fa0bffd,
    0x00000fff,0x80bffff6,0x002ffffe,0x0005fff0,0x00000000,0x55544000,
    0x7fffff42,0x2aaaaa26,0xaaaaaaaa,0x00000002,0x01bffea0,0xffff1000,
    0x10007fff,0x09ffffff,0x3fffffea,0xeffffc84,0xcccccccc,0xc83ccccc,
    0x4404ffff,0x001fffff,0x00009998,0x00000000,0x3a200000,0x3ee0efff,
    0xffffffff,0x0007ffff,0x3ea00000,0x800006ff,0x0ffffffd,0xfffff000,
    0x7fffc05f,0xffff83ff,0xffffffff,0x5fffffff,0x077fffd4,0x77fffdc0,
    0x00000000,0x00000000,0x54c00000,0xfffffb81,0xffffffff,0x00000007,
    0x01bffea0,0x3ffea000,0x3a0005ff,0x6407ffff,0xf82fffff,0xffffffff,
    0xffffffff,0x3ffe25ff,0x3f6001ff,0x00005fff,0x00000000,0x00000000,
    0x3fffee00,0xffffffff,0x0000007f,0x0f332600,0x7ffc0000,0x360002ff,
    0x4c04ffff,0xf81fffff,0xffffffff,0xffffffff,0x3fffa5ff,0x7fc4004f,
    0x00004fff,0x00000000,0x00000000,0x99999500,0x99999999,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_50_usascii_x[95]={ 0,10,6,1,2,0,1,10,7,6,4,2,5,6,
9,2,2,3,3,4,1,4,3,2,2,2,10,6,3,3,5,7,0,0,3,2,2,4,5,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,7,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,4,3,11,5,1, };
static signed short stb__consolas_50_usascii_y[95]={ 37,2,2,5,0,2,3,2,0,0,2,11,29,21,
29,2,4,4,4,4,5,5,5,5,4,4,12,12,9,17,9,2,2,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,43,2,12,2,12,2,12,2,12,2,2,
2,2,2,12,12,12,12,12,12,12,4,12,12,12,12,12,12,1,-3,1,18, };
static unsigned short stb__consolas_50_usascii_w[95]={ 0,7,16,26,23,28,27,7,15,15,20,24,13,16,
9,22,24,22,22,20,26,20,22,23,23,23,8,12,20,22,20,16,28,28,22,23,24,20,18,24,23,20,18,23,
20,26,23,26,22,27,22,23,24,23,28,26,27,28,23,13,22,13,23,28,17,21,22,20,22,23,26,24,21,20,
19,22,20,24,21,24,22,22,22,20,23,21,25,27,26,25,20,19,5,19,25, };
static unsigned short stb__consolas_50_usascii_h[95]={ 0,36,12,32,43,36,35,12,48,48,22,25,17,5,
9,41,34,33,33,34,32,33,33,32,34,33,26,34,29,13,29,36,46,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,42,32,34,32,33,32,32,32,32,32,47,41,47,16,5,11,26,36,26,36,26,35,36,35,35,
46,35,35,25,25,26,36,36,25,26,34,26,25,25,25,36,25,47,51,47,11, };
static unsigned short stb__consolas_50_usascii_s[95]={ 254,119,210,71,156,64,72,248,23,7,128,
1,149,215,205,208,175,47,70,1,197,117,138,107,224,93,245,241,22,187,1,
1,107,121,98,151,46,25,234,22,210,189,185,150,224,80,56,124,174,180,229,
200,204,161,131,29,1,160,1,79,231,93,163,215,187,43,41,89,150,65,45,
173,219,1,136,22,198,223,201,110,127,18,178,135,100,156,26,52,101,93,80,
59,1,39,227, };
static unsigned short stb__consolas_50_usascii_t[95]={ 1,53,257,194,1,53,90,90,1,1,257,
257,257,277,271,1,90,126,126,126,194,126,126,161,90,126,194,53,227,257,227,
53,1,194,194,90,194,194,161,126,161,161,126,194,194,161,161,90,194,1,126,
90,126,126,161,161,161,161,194,1,1,1,257,271,271,227,53,227,53,227,90,
53,53,90,1,90,53,227,227,227,53,53,227,227,90,227,257,257,257,53,257,
1,1,1,257, };
static unsigned short stb__consolas_50_usascii_a[95]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_50_usascii_BITMAP_HEIGHT or STB_FONT_consolas_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_50_usascii(stb_fontchar font[STB_FONT_consolas_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_50_usascii_BITMAP_HEIGHT][STB_FONT_consolas_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_50_usascii_s[i] + stb__consolas_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_50_usascii_t[i] + stb__consolas_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_50_usascii_x[i];
            font[i].y0 = stb__consolas_50_usascii_y[i];
            font[i].x1 = stb__consolas_50_usascii_x[i] + stb__consolas_50_usascii_w[i];
            font[i].y1 = stb__consolas_50_usascii_y[i] + stb__consolas_50_usascii_h[i];
            font[i].advance_int = (stb__consolas_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_50_usascii_s[i] + stb__consolas_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_50_usascii_t[i] + stb__consolas_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_50_usascii_x[i] + stb__consolas_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_50_usascii_y[i] + stb__consolas_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_50_usascii_LINE_SPACING
#endif

