// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT        186
#define STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_37_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_37_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_37_usascii_LINE_SPACING          24

static unsigned int stb__consolas_bold_37_usascii_pixels[]={
    0x55419997,0x00720001,0x55555544,0x88000aaa,0x0c4000a9,0x5555554c,
    0x0e4002aa,0x37b6e600,0x9880001b,0x00000009,0xccc88000,0x0599970c,
    0x66664c00,0x665cc403,0x933a98ac,0x40000799,0xff11fffe,0x64005fff,
    0xff9801ff,0x1fffffff,0xffffb300,0x7ffdc005,0x3ffffee2,0x32007fff,
    0xff7001ff,0x01dfffff,0x027fdc00,0x77f65c40,0x400000ac,0x3ea5fffb,
    0x2a0006ff,0xd105ffff,0xffffffff,0x3ffeedff,0x3fa00006,0xffff11ff,
    0xfc801dff,0x7cc01fff,0xffffffff,0xffffc801,0xff1002ff,0x3fee1fff,
    0x07ffffff,0x01ffff90,0x7fffff44,0x000effff,0x8007ffb0,0xfffffffb,
    0x200002ff,0x7fc2ffff,0xf30001ff,0xff709fff,0xffffffff,0x3ffeedff,
    0x3fa00006,0xffff11ff,0xf8809fff,0x2601ffff,0xffffffff,0x7ffcc01f,
    0x5002ffff,0x2e3fffff,0xffffffff,0xffffc807,0x77fff403,0xefffdbab,
    0x2ffe8000,0xffffb100,0x9fffffff,0xfff50000,0x0bfff90d,0x3fffe600,
    0x7ffffdc4,0xfffffeef,0x00dfff76,0x0ffff400,0x3ffff662,0x7fffcc01,
    0x7ff4000f,0x7fff401f,0x7cc001ae,0xff70ffff,0xff50009f,0xffd807ff,
    0x7fff905f,0x3fee6200,0x7ec009cf,0xffffffff,0x0003ffff,0x441ffff4,
    0x8000ffff,0x224ffff9,0xc82fffff,0xfff76fff,0x7f40000d,0x3ff601ff,
    0xfff9803f,0x7ff4004f,0x3ffe201f,0x3f60000f,0x3ffee3ff,0x7ffc4004,
    0x7ffd404f,0x037fec04,0x3fffffee,0xf506ffff,0x3117ffff,0x00fffff9,
    0x07fffcc0,0x004fffd8,0x24ffff98,0x701ffffc,0x3feedfff,0x3a00006f,
    0x3ea01fff,0xff7004ff,0x7f4005ff,0x3fe601ff,0xaa80005f,0x027ffdc1,
    0x01bfff60,0x5003fffe,0xfd303fff,0xffffffff,0x3ffa0dff,0xfff900ff,
    0x3f20007f,0x3fe604ff,0xff88007f,0xffff13ff,0xb7ffdc0b,0x0006fffb,
    0x807fffa0,0x2005fff9,0x000efffe,0x5403fffd,0x00003fff,0x013ffee0,
    0x01ffffb8,0x4017ffd4,0x7c44fff8,0xffffffff,0xfa86ffff,0x7fc02fff,
    0xf88006ff,0x7f401fff,0x7c4002ff,0xfff33fff,0x7ffdc05f,0x44dfff76,
    0x2001bdca,0x2201fffe,0x26006fff,0xd003ffff,0x7dc03fff,0x2aa203ff,
    0xaaaaaaaa,0x3ffee2aa,0x3fffe004,0x86ffe804,0x45ffe880,0xdbeffffd,
    0x86db9cff,0x400ffffc,0x000ffffc,0x4037ffdc,0x4006fffb,0xf53ffff8,
    0x7dc01fff,0xdfff76ff,0x3fffffee,0x3fffd005,0x037ffc40,0x01bfff20,
    0x700ffff4,0x7cc07fff,0xffffffff,0x3fee7fff,0xfff5004f,0x7fff300f,
    0x7f77ff5c,0x7fc6ffcb,0x0fff66ff,0x017fffa0,0x007fffea,0x005fffd0,
    0x0007fffe,0x3ee5ffff,0x7fdc07ff,0x9bfff76f,0xffffffff,0xfffe801d,
    0x1bffe201,0x3ffff300,0x03fffd00,0x301fffdc,0xffffffff,0x7dcfffff,
    0xffb004ff,0xfff7009f,0x3fffff61,0x26ffbaff,0x3a3ffff9,0xfff802ff,
    0xfff9804f,0x3fea002f,0x3ff2007f,0x7ffc005f,0x0ffff92f,0xf76fffb8,
    0xffffffff,0x809fffff,0x7c01fffe,0xfe8007ff,0xffe804ff,0x3ffee01f,
    0x3fffe603,0xffffffff,0x013ffee7,0x007fffe2,0x7fd57ff6,0xb9ffffff,
    0x3ffe67ff,0x003ffe5f,0x200ffffe,0x003ffff8,0x800ffff6,0x000ffff8,
    0x7dcbfffe,0x3ee00fff,0xffff76ff,0xff515bff,0x7f401fff,0x7ffc01ff,
    0x7fe4001f,0xfffe807f,0x0bfff201,0xffff7000,0x4027ffdc,0xf006fffb,
    0x3fffa9ff,0xfa8fffca,0x3fffe0ff,0x807ff9df,0x802ffff9,0x004ffff8,
    0x001ffff3,0x003fffd8,0x7d4bfffe,0x3f601fff,0xffff76ff,0xffff509f,
    0x0ffff407,0x00ffffa0,0x01ffff30,0x101fffe8,0x0003ffff,0x2e7fffb8,
    0xfc804fff,0xff9804ff,0x93fff9af,0xfff51fff,0x7ffffec1,0xf9806fff,
    0xff002fff,0x3f2009ff,0xfa8004ff,0x3fe007ff,0xffff31ff,0x3ffff207,
    0x0bffff76,0xd027fffc,0xfb803fff,0x1001bfff,0xe801ffff,0x74c41fff,
    0x80006fff,0x3ee7fffb,0xffd804ff,0xfffb803f,0xfb1fffb8,0x83ffeaff,
    0xfffffff8,0x3e601cff,0xf8803fff,0xf8803fff,0xd0001fff,0x3a005fff,
    0x3ffa1fff,0x7ffdc0ef,0xffff76ff,0x05fffd80,0x2007fffa,0x4ffffffd,
    0x01ffff80,0xf98ffff4,0x01ffffff,0x7fffb800,0x2013ffee,0xb803fffe,
    0x4fff97ff,0xfff56ffd,0xfffffd30,0x103dffff,0x3007ffff,0x7005ffff,
    0x4000dfff,0xd006fffb,0x7fdc3fff,0xffebbeff,0xff76ffff,0xfffd80df,
    0x07fffa06,0x7ffff540,0x2fffe804,0x98ffff40,0x00bfffff,0xffff7000,
    0x4027ffdc,0xc802ffff,0x4dffb6ff,0xfff76ffe,0x7ffffe40,0xf84fffff,
    0xf9804fff,0xfe801fff,0x220002ff,0xe801ffff,0x3fe20fff,0xffffffff,
    0xff76fffe,0xfffc80df,0x07fffa07,0x3ffffee0,0xfffe804f,0x8ffff403,
    0x5ffffff9,0xfff70000,0x027ffdcf,0x400ffffc,0xdffd6ffc,0xffbafffc,
    0xffffa806,0x7c3fffff,0xfb806fff,0x7d400fff,0xc80007ff,0xfd804fff,
    0x7ffcc0ff,0xfadfffff,0xdfff76ff,0x06fffd80,0x5007fffa,0x357bffff,
    0x05fffd00,0x511fffe8,0x09ffff95,0xffff7000,0x4027ffdc,0xd802ffff,
    0x4bffd5ff,0xdff94fff,0x3fbffe00,0x360fffff,0x7401ffff,0xfd806fff,
    0x980003ff,0x5c00ffff,0xfe880ccc,0xff73ffff,0x1bffeedf,0x40bfffd0,
    0x6c01fffe,0xf8003fff,0x7f401fff,0xfff501ff,0xfb80001f,0x3ffee7ff,
    0x3fffe804,0xfd5ffd80,0x4fffe2bf,0xf9804ffe,0xfffff57f,0x27fffd45,
    0x05ffff50,0x00ffff88,0x7fffb000,0x1a980000,0xfbb7ffdc,0x3fe206ff,
    0x3ffa03ff,0x3fffc01f,0x7fffc400,0x0ffff400,0x003ffff0,0x27fffb80,
    0xd804fffb,0xfd804fff,0x2edffd5f,0xfff8bfff,0x26ffa801,0x7c4ffffb,
    0xf984ffff,0xfc807fff,0x200005ff,0x8806fffa,0x7fdc0000,0x0dfff76f,
    0x017fffdc,0xf803fffd,0xf98007ff,0xffe807ff,0x3fff601f,0x7fdc0002,
    0x13ffee7f,0x01bfff20,0x7fedbff2,0xcdffffaf,0xff7007ff,0x1ffffcc9,
    0x3fffffee,0xfffffedd,0x1ffff803,0x7ff40000,0x3bff202f,0xfff70000,
    0x41bffeed,0x406ffff9,0x2201fffe,0xc8006fff,0xfe805fff,0x3fee01ff,
    0x7dc0003f,0x3ffee7ff,0xffffa804,0xbbffe400,0xffffffff,0x9004ffff,
    0x7ffdc7ff,0xffffc81f,0xffffffff,0x6fffb803,0xffb80000,0xffff505f,
    0x3fee000b,0x7ffff76f,0xffff9533,0xfffe803f,0x1bffe201,0x0bfffe00,
    0x807fffa0,0x0003fffb,0xf73fffdc,0xff1009ff,0xffb807ff,0x7fffff17,
    0x50bffffd,0x3ff6139d,0x7ffffb8a,0x3fffff60,0x003fffff,0x0005fffd,
    0x3ffff100,0x0fffff90,0x5bffee00,0xfffffffb,0x04ffffff,0x201fffe8,
    0x4006fff8,0xd007fff9,0x7dc03fff,0x5c0003ff,0x3fee7fff,0xfffb004f,
    0x1fffa80d,0x3a67dfd3,0xffa80cef,0xffffffff,0x402fffff,0xffffffc9,
    0xfff3000c,0x6400000f,0xffb84fff,0xf70005ff,0x3ffeedff,0xffffffff,
    0xfffd002f,0x37ffc403,0x13fff600,0x00ffff40,0x0007fff7,0x2e7fffb8,
    0xf5004fff,0x7cc05fff,0x008043ff,0x7fffffd4,0xffffffff,0x3ffe2003,
    0x7fec001f,0x2000004f,0xd80ffff9,0x70001fff,0x36e2dfff,0xefffffff,
    0x3ffa000c,0x3ffe201f,0x3ffea006,0xfffd001f,0x1fffdc03,0x3ffee000,
    0x013ffee7,0x406fffe8,0x00006fff,0xfffffff5,0x03bfffff,0x09fffd00,
    0x07fffc40,0x3f600000,0x015303ff,0x04ccc400,0x00199988,0x807fffa0,
    0x2005fff9,0x2005fffe,0x2a01fffe,0x40004fff,0x3ee5fffc,0x3e6004ff,
    0x3f203fff,0x880001ff,0xffffdca9,0x20001bce,0x223ffffc,0x5fffc86b,
    0xfa800000,0x000006ff,0x40000000,0x2a01fffe,0xf9004fff,0x74001fff,
    0x3e601fff,0x740005ff,0x3fee4fff,0x7fe4004f,0xfff101ff,0x8001001f,
    0x00004ffb,0x3fffffe6,0x7fc3ffff,0x000001ff,0x005fffd0,0x00000000,
    0x0ffff400,0x007fffd0,0x005ffff7,0x201fffe8,0x101ffff8,0x3ffff980,
    0x0013ffee,0x01dfffd1,0x407bfff6,0x7ec004da,0x6400003f,0xffffffff,
    0xbddd31ff,0x5c000000,0x00004eee,0x00000000,0x9987fffa,0x00ffffeb,
    0x027fffd4,0x3fa66666,0x7fec01ff,0xbd09acff,0x7ffd4417,0x3ffee0ff,
    0x4019999c,0x80effff9,0xcfffffe8,0x004fffdc,0x00017ff4,0x7ffffdc0,
    0x00003fff,0x00000000,0x00000000,0x11fffe80,0x9fffffff,0x5ffffa80,
    0x7ffffcc0,0x4c01ffff,0x2fffffff,0xfffffffd,0xfb85ffff,0x7fffffff,
    0xeffffa80,0xffffe880,0x04ffffff,0x000fffc0,0xedcb8800,0x000000ac,
    0x00000000,0x00000000,0x223fffd0,0x0cffffff,0x02fffdc0,0x7fffffcc,
    0xfb801fff,0xfd2fffff,0xffffffff,0xffff709f,0x200fffff,0x2205fffa,
    0xfffffffd,0x554000be,0x00000002,0x00000000,0x00000000,0x74000000,
    0xfff11fff,0x7d4003bd,0xffff3005,0x003fffff,0x4bfffb22,0xfffffffc,
    0xfff701df,0x00ffffff,0x51002fd4,0x00003579,0x00000000,0x00000000,
    0x00000000,0xfd000000,0x000cc3ff,0x333000a0,0x00333333,0x55104c40,
    0x88013597,0x99999999,0x00014001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fffe800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd000000,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002aaaa0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,0x32a0001a,
    0xcc9803de,0x1555530c,0x4aaaaa00,0x30009abc,0x65c41555,0x200001bd,
    0x8803ccca,0x2ea20001,0xaaaaaccc,0x999910aa,0x2a000000,0x22ceeedc,
    0xcccccccb,0x6664c04c,0x01000003,0x200dd440,0xcfffffea,0x3fff6000,
    0x3fa00eff,0x3fffe64f,0xffff8804,0xbffffff4,0x97ffdc03,0x5ffffffc,
    0xfff70000,0x2fffb80d,0x7fffdc00,0xffffffff,0x1ffff30f,0x7d400000,
    0x7fffffff,0x3ffffff6,0x7fdc07ff,0x7100006f,0x3e6007fb,0xffb03fff,
    0x3fffffff,0xfffff700,0x3ff20bff,0x3ffff40f,0x8ffffd40,0xffffffff,
    0xafffb80d,0xfffffffd,0x5c0000ef,0x3e206fff,0xb000ffff,0xffffffff,
    0x21ffffff,0x000ffff9,0xffff7000,0x6cffffff,0xffffffff,0x37ffdc07,
    0xffff8000,0xffffb003,0xffffb81f,0x0effffff,0xfb9fffc0,0x7ffcc0ff,
    0x2ffffb82,0xf37ffec0,0xffffffff,0xffffb83f,0xffffffff,0x5c0004ff,
    0x3ea06fff,0xb801ffff,0xfcadffff,0x0eeeffff,0x001ffff3,0xffff3000,
    0x4fdd99df,0xfffffffd,0x7ffdc07f,0xfff00006,0x3ffe007f,0x3fe22fff,
    0xffb88cff,0x3fe603ff,0x3a0fffc7,0xfff105ff,0x7ffc40bf,0x3fb7323f,
    0x20efffff,0xdffffffb,0xfffffa8a,0x3fee0000,0x3ffe606f,0xfff800ff,
    0x4fffd82f,0x00ffff98,0xfffd8000,0xfc80102f,0x7fdc07ff,0xff00006f,
    0x3fe007ff,0x3ea1ffff,0xfffc85ff,0xd1bfea04,0x7ffdc5ff,0x3ffff200,
    0x1ffff700,0x7fffe440,0x3fffee5f,0xffffa84f,0x3fee0003,0x7ffec06f,
    0x6fff9803,0x30ffff30,0x0001ffff,0x09fffd00,0x3fffe400,0x01bffee0,
    0x1ffffc00,0x6ffffb80,0x5c1fffe4,0x3e605fff,0x98fffc7f,0x7cc02fff,
    0xffd03fff,0x3fea00bf,0x3ffee7ff,0x3fffe05f,0x3fee0004,0x01aa806f,
    0x40bfff50,0x7cc0ffff,0x00000fff,0x002ffff8,0x01ffff20,0x000dfff7,
    0xfff55555,0x555555bf,0x40ceeb83,0xfc84fffc,0x3fe203ff,0x21fff31f,
    0xfd005ffe,0xfff30dff,0x7fec003f,0xffff71ff,0x05fffd80,0xdbccba88,
    0x00006fff,0x206fff98,0xff987fff,0x555300ff,0xfff30055,0x7e40003f,
    0x7fdc07ff,0x2f72e26f,0xffffff82,0xffffffff,0x7d4004ff,0x7ffc46ff,
    0x7fff402f,0xff75fffd,0x3fee001f,0x7ffe41ff,0x7ffdc006,0x0dfff72f,
    0x206fffd8,0xffffffd8,0x2a66ffff,0x2aaaaaaa,0x1ffff880,0x986fffb8,
    0xf980ffff,0x9801ffff,0x0001ffff,0x701ffff2,0x3ff2dfff,0x3e0dffff,
    0xffffffff,0x4fffffff,0x7fffc400,0x0bfffd33,0xffffff30,0x05fff11f,
    0x27fffc40,0x000ffffe,0x2e3ffff7,0x7e406fff,0xfff707ff,0xffffffff,
    0x7fffecdf,0xb007ffff,0x9339ffff,0xf307ffff,0xfe881fff,0xf3002fff,
    0x40003fff,0x5c07fffc,0xfffddfff,0x3e5fffff,0xffffffff,0x4fffffff,
    0xffffc800,0x00effffc,0x1bfffb30,0x20017ff6,0x3e67fffd,0x74000fff,
    0x3fee7fff,0x7ffec06f,0xfffffb86,0xfffffeef,0x3fffff66,0xf1007fff,
    0xffffffff,0x3fe60bff,0x7fff40ff,0xdddd703f,0xdddffffd,0xc805dddd,
    0x7dc07fff,0xffffffff,0x201fffff,0x0003ffff,0x7ffffc40,0x0000dfff,
    0x00fffb81,0x1ffff980,0x440bfffb,0xfffea999,0x1bffee4f,0x88bfffd0,
    0xc82fffff,0x3ff66fff,0x07ffffff,0xffffff70,0x2019ffff,0x320ffff9,
    0x3204ffff,0xffffffff,0xffffffff,0x3fffe402,0x3ffffee0,0xfffc8adf,
    0x3fffe04f,0xfb800003,0x002fffff,0x0fffe200,0xcfffe800,0x202ffff8,
    0xfffffffa,0x3ffee0ff,0x3fffe206,0x0ffffec3,0x406fffb8,0x9807fffc,
    0xeedbdfff,0x7fcc00cc,0xffff70ff,0xffffc80b,0xffffffff,0x6402ffff,
    0x7dc07fff,0xff84ffff,0x3ffe05ff,0x5400003f,0x44ffffff,0x4002aaa8,
    0x40006ffd,0xffaffffb,0x7ffd407f,0x5c1effff,0x3ee06fff,0x7ffc2fff,
    0x3ffee05f,0x3fffe406,0x00fffe40,0x1ffff300,0x00bffff5,0xffddddd7,
    0xddddddff,0xfffc805d,0x7fffdc07,0x0dfffb05,0x001ffffc,0xfa81bff9,
    0x2fffffff,0x8017ffe6,0x0000fffa,0x7fffffc4,0x7fcc04ff,0xf703efff,
    0x3fe60dff,0x7ffcc6ff,0x3ffee02f,0x3fffe406,0x01fffec0,0x3ffff300,
    0x001dffff,0x07fffe60,0x7fffc800,0x03fffdc0,0x7c0dfff7,0xf9003fff,
    0x7fccdfff,0xffffedff,0x009fff31,0x544fffe2,0x36000bcc,0x0fffffff,
    0x077ffcc0,0x2ffffee0,0xffffca99,0x7fffd41f,0x1bffee00,0x00ffff90,
    0x99bffff9,0x4c035559,0xffffffff,0x3e60000e,0x20001fff,0x5c07fffc,
    0x3ee06fff,0x3ffe06ff,0xffff003f,0x3fff63ff,0x1fffff16,0x2009fff5,
    0xfff56ffd,0x26003fff,0x05ffffff,0x806fff98,0xfffffffb,0x84ffffff,
    0x5c07fffb,0x7e406fff,0xff9807ff,0xffffffff,0xff983fff,0x0effffff,
    0x3ffe6000,0x3f20001f,0x7fdc07ff,0x3ffee06f,0x0ffffe06,0x7fffffc0,
    0x22ffff8a,0xfceffff9,0xffa803ff,0xfffff89f,0x3fa006ff,0x8801ffff,
    0xfb805fff,0xffffffff,0xff902fff,0xfffb80ff,0x3fffe406,0xfffff980,
    0xffffffff,0x5ffffcc5,0x0005ffff,0x007fffe6,0x07fffc80,0x7037ffdc,
    0x7fc0dfff,0xffb003ff,0xfff31fff,0xffffb81f,0x4400ffff,0xdff93fff,
    0x005fff53,0x01bfffee,0x401e6644,0xfffffffb,0x2e00ceff,0x2e00ffff,
    0x7e406fff,0xfe8807ff,0xfeeeeeff,0x264fffff,0xffc8ffff,0xf30004ff,
    0x40003fff,0x5c07fffc,0x3ee06fff,0x3ffe06ff,0xffd1003f,0x1fffea5f,
    0x7fffffec,0x26ffd805,0x3ff62ffe,0xffff9004,0x5c000005,0x1a98efff,
    0x3fffea00,0x1bfff601,0x00ffff90,0x540bfffd,0x3e66ffff,0xfffd0fff,
    0xff30005f,0x640003ff,0x7dc07fff,0x3fee06ff,0x3fffe06f,0x3054c005,
    0x3a01ffff,0x402fffff,0x3fe1fffa,0x017fee1f,0x01bfffe2,0x2e003310,
    0x20006fff,0x903ffff9,0xc80dffff,0x7d407fff,0x7e400fff,0x3ffe67ff,
    0xfffff30f,0xfff98003,0x3f20001f,0x7fdc07ff,0x3ffee06f,0x3ffffa06,
    0x7fc40000,0xfff305ff,0x7f4403ff,0x90fffc4f,0xffd009ff,0x7cc003ff,
    0xffb805ff,0x7f40006f,0x7fdc0eff,0x7e406fff,0x7fe407ff,0xfffd807f,
    0x83fffe65,0x00effffb,0x07fffe60,0x7fffc800,0x037ffdc0,0x640dfff7,
    0x99beffff,0x3fa002b9,0xb99adfff,0x0effffff,0xfd0dff90,0x21fff47f,
    0xfffea999,0x7ff4003f,0x7fdc03ff,0x7dc0006f,0xfebbefff,0x406fffff,
    0x5c07fffc,0x2a04ffff,0x3e63ffff,0x7fec0fff,0x3e6005ff,0xa8801fff,
    0xfffdaaaa,0x70aaaaaf,0x7dc0dfff,0x3fe606ff,0xffffffff,0x3ffe2004,
    0xffffffff,0x985fffff,0xffc81fff,0x40fffdcf,0xffffffff,0xffff8005,
    0x7ffdc05f,0x7fc40006,0xffffffff,0x5516fffd,0xffffb555,0x22155555,
    0xcdefffff,0x6ffffecc,0x207fffcc,0x04ffffe8,0x03ffff30,0xffffff50,
    0xffffffff,0x1bffee3f,0x406fffb8,0xfffffffc,0x7d4004ff,0xffffffff,
    0x4ffffdef,0xf8827ff4,0x83ffffff,0xdfffffff,0xfffe8000,0x7ffdc04f,
    0xff980006,0xf5ffffff,0x3ffeadff,0xffffffff,0x3ea1ffff,0xffffffff,
    0x4c0effff,0xf980ffff,0x9802ffff,0xa801ffff,0xffffffff,0x1fffffff,
    0x5c0dfff7,0xea806fff,0x4fffffff,0xfffc8800,0x3f63ffff,0xdff93fff,
    0xffffe980,0xdfffff03,0x7fcc0005,0x7fdc00ef,0xd100006f,0x7c7fffff,
    0xffff56ff,0xffffffff,0xfd983fff,0xffffffff,0xffff302e,0x3fffee01,
    0x7ffcc01f,0xfffa801f,0xffffffff,0xff71ffff,0x7ffdc0df,0x2aa62006,
    0x3100001a,0x00000135,0xcb801310,0x100000ab,0x26620035,0x98000009,
    0xfff5001a,0xffffffff,0x2203ffff,0x09abcba9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00001ba8,0x00000000,0x20000000,0xcccccccb,0x543ccccc,0xcccccccc,
    0x9801cccc,0xbdeffdca,0x6554c001,0xdb3004cc,0xb98003dd,0x00acdfec,
    0x7ff664c0,0x2001bdef,0xeefedba8,0xca8801bd,0x000acefe,0x807ffff3,
    0xcdefedca,0x3fb2a201,0x001cdeff,0x66ffee54,0xfb751002,0xfd8039df,
    0xffffffff,0x7fec6fff,0xffffffff,0x3fa202ff,0xffffffff,0x7fe4c00f,
    0x407fffff,0x1fffffc8,0x3fffee00,0x802fffff,0xffffffd8,0x7005ffff,
    0xffffffff,0x7d409fff,0xefffffff,0xffffd801,0xfffe980f,0x0dffffff,
    0xffffffe8,0x400dffff,0xffffffe9,0x3ea00dff,0xffffffff,0xffffb00d,
    0xffffffff,0xfffffd8d,0x2fffffff,0xffffff50,0x01ffffff,0x7fffffec,
    0xf9107fff,0x03ffffff,0xfffffb10,0x09ffffff,0x7fffffcc,0x05ffffff,
    0x7fffff44,0x4fffffff,0xffffff90,0x805fffff,0x42ffffff,0xfffffff9,
    0xe86fffff,0xffffffff,0x3ee06fff,0xffffffff,0x7ec40fff,0xffffffff,
    0xfffb06ff,0xffffffff,0xffffd8df,0xffffffff,0xfffffc82,0xffffffff,
    0xffffe880,0x47ffffff,0xffffffc8,0xfe801fff,0xffffffff,0xe883ffff,
    0xeeffffff,0x2605fffe,0xffffffff,0x84ffffff,0xddfffffc,0x00ffffff,
    0x07fffffe,0x77bffffd,0x87fffffb,0xfedefffe,0x984fffff,0xedffffff,
    0x5c4fffff,0xffffffff,0xd84fffff,0xccccdfff,0x4003cccc,0x4c2ffff8,
    0x1befffff,0xd01fb531,0x359fffff,0xffd83333,0xffffffff,0x7fffd401,
    0xffda88ae,0xfffb87ff,0x077301df,0x67fffff4,0x9fb5310a,0x0effff88,
    0x13fffee2,0x46ffffb8,0xd02ffffa,0x0ab8bfff,0x6ffffb88,0x42ffffe8,
    0x41ffffe8,0x910adffd,0xfb0fffff,0x000005ff,0xd85ffff1,0x0805ffff,
    0x0dffffb8,0x3fffea00,0x01ffffac,0x8077fff4,0x6c2ffffc,0x0000ffff,
    0x07ffffea,0x3fff20c0,0xffffb00e,0x06775c01,0xa81bffee,0xe8007fff,
    0x3e60ffff,0xff103fff,0x03e88bff,0xb07ffff6,0x00005fff,0x45ffff10,
    0x005ffffa,0x01bfffe0,0xf986ffc0,0x3ee01fff,0x7fc02fff,0x7fffc6ff,
    0x7ff40006,0xf10000ff,0x7c407fff,0x20004fff,0x2a05fffc,0xb8006fff,
    0x7fd47fff,0x3ff600ff,0xffa8006f,0x7ffec2ff,0xf8800002,0x3ff62fff,
    0xf50002ff,0x20003fff,0x7fffcc1b,0x1ffff601,0x83ffff60,0x001ffffe,
    0x09ffff50,0x7fffdc00,0x3fffea00,0x3fee0006,0xfffb01ff,0xfff70009,
    0x07fffc8b,0x003fffdc,0x217fffcc,0x0002fffd,0x2ffff880,0x001bfffe,
    0x007fffc8,0x7fffcc00,0x17fffa01,0x87fffea0,0x03fffffd,0x0ffffc80,
    0x3fff2000,0x3ffff205,0x3e20007f,0x7e42ffff,0x44000fff,0x7e42fffe,
    0x7fd407ff,0x7d4000ff,0x7fec1fff,0x02abccdf,0x7fffc400,0x09ffff12,
    0xaffff400,0x00abdcba,0x0ffffcc0,0x009ffff0,0x545ffff3,0xbfffffff,
    0xffffb000,0xfffd8000,0xffffe984,0x640007ff,0xdadfffff,0x4003ffff,
    0x40efffea,0x201ffffa,0x001ffff9,0x207fffec,0xfffffffd,0x8000bfff,
    0xf32ffff8,0x40007fff,0xffffffff,0x00dfffff,0x03ffff30,0x00ffffe2,
    0xb0ffffe2,0xffffffff,0xfffe805b,0xccccca86,0x3fffa2cc,0x7ffffdc4,
    0x0000ffff,0x7fffffec,0x5c03ffff,0xffffffee,0xdffff304,0xffff9103,
    0x7ffcc005,0xffffd85f,0xefffffff,0x7ffc4000,0x7ffff52f,0x3ffe2000,
    0xffffffff,0x9801ffff,0xf301ffff,0xf1005fff,0xfd889fff,0xffffffff,
    0xbffff01e,0xffffffb0,0x9ffffc9f,0xafffffd8,0x9301ffff,0xfffb8059,
    0x803fffff,0xfffffffc,0x3fffa01e,0xffeccfff,0x2002ffff,0xd81ffffe,
    0xffffffff,0x000effff,0x5cbfffe2,0x0002ffff,0xfffffff1,0xffffffff,
    0xffff300d,0x3fffe603,0x9ffff002,0x3ffffee0,0x443fffff,0xfd84ffff,
    0x24ffffff,0xfe9affff,0xff88dfff,0xfff982ff,0x3ffee03f,0x04ffffff,
    0x7fffffe4,0xf981efff,0xffffffff,0x01ffffff,0x09ffff90,0xfffc9880,
    0x3e2003ff,0xfff52fff,0x3e60007f,0x221cffff,0x02fffffa,0x80ffffcc,
    0x803ffff9,0x403ffff8,0xffffffda,0x7fffc1ff,0xfffffd85,0x3fffa4ff,
    0x23fffffe,0xd81ffff8,0xd80fffff,0xffffffff,0x2a605fff,0xffffdcca,
    0xfffa81ff,0xffffffff,0xfb801fff,0x40005fff,0x005ffffa,0x4cbfffe2,
    0x0004ffff,0x407ffff1,0x404ffff9,0x101ffff9,0x3007ffff,0x2005ffff,
    0xffffffc8,0x02ffff46,0xfb27ffec,0x3dffffff,0x80ffff98,0x44fffffe,
    0xb33ffffd,0x007fffff,0x6ffffc88,0xffffd710,0x1ffff77b,0xeffffb80,
    0xffd80000,0x3fe2007f,0xffff12ff,0x7ffc000b,0x7fff404f,0x7fffcc05,
    0x13fffe01,0x07fffe60,0x3ffff600,0x1bfff60f,0xc93fff60,0x04ffffff,
    0x320ffff5,0x2a5fffff,0xfb82ffff,0x8000ffff,0x001ffffc,0x80ffff90,
    0x00effffa,0xffff9000,0x3ffe6001,0x3ffffe2f,0xfffd0000,0x6fffd809,
    0x0ffffcc0,0x00dfffd0,0x001ffff7,0x8bffffa0,0x401ffffc,0x3ee4fffd,
    0x3202ffff,0x3fa06fff,0x3ffa5fff,0x3ffee05f,0xffa8001f,0xfd0002ff,
    0x7fd409ff,0x00000eff,0x801ffff6,0x3a1ffffa,0x0004ffff,0xd80dfffd,
    0x7cc05fff,0x3f601fff,0x7f401fff,0x2e0006ff,0x3ee1ffff,0x7ec05fff,
    0x3ffea4ff,0x7fffc02f,0x3fffe204,0x80bfffe4,0x002ffff8,0x01ffffa8,
    0x1ffffa80,0x1dffff50,0x7fc40000,0x3f2005ff,0x3fea0fff,0xc8002fff,
    0xf101ffff,0xf9809fff,0x3e601fff,0x3ea04fff,0x20003fff,0x740ffffc,
    0x3602ffff,0x3fe24fff,0x3fea06ff,0x7ff400ff,0x7ffff12f,0x02ffff80,
    0x0ffffc80,0x7fffc400,0xdffff506,0x74400001,0x0763ffff,0x437fffcc,
    0x0bfffffe,0x3e60eb88,0xff905fff,0xff9805ff,0x7ff401ff,0xfff984ff,
    0x0056c46f,0x21bfffea,0x03fffffa,0xfb89fffb,0xff983fff,0x7fc405ff,
    0x3fffe0ff,0x3fffea07,0x7ffdc000,0x3f26006f,0xfa82ffff,0x2000efff,
    0xcaaabce8,0x45fffffd,0xfcaacefe,0xf983ffff,0xdeffffff,0x6c0fffed,
    0xbabeffff,0x265ffffe,0xffffffff,0x3fffffff,0x3fffffea,0xfffffedd,
    0x6f7ffcc2,0xffffdccc,0xfffd03ff,0xfb99dfff,0xff889fff,0xfb9adfff,
    0x2201ffff,0x7ec2fffd,0x989befff,0x2a6ffffc,0xcbaaaacd,0x42ffffff,
    0xfffeeee9,0xa83fffff,0xffffffff,0x2fffffff,0xfffffff1,0xd0dfffff,
    0xffffffff,0x7fdc0dff,0xffffffff,0x7fcc0fff,0xffffffff,0x3fe60fff,
    0xffffffff,0x6c3fffff,0xffffffff,0xf985ffff,0xffffffff,0x204fffff,
    0xffffffe9,0x4fffffff,0xffffffb8,0x83ffffff,0x5ffffdcc,0xffffff88,
    0xffffffff,0x3ffffee1,0xffffffff,0xfffff983,0x04ffffff,0xfffffff9,
    0xffffffff,0x3ffffe25,0x0cffffff,0xffffffe8,0x4c00dfff,0xfffffffe,
    0xe980ffff,0xffffffff,0x7ffcc1ef,0xffffffff,0xfb83ffff,0xffffffff,
    0xffff303f,0xffffffff,0x3ff2009f,0xffffffff,0xfff504ff,0x5fffffff,
    0x3fffffe0,0x3fffea03,0xffffffff,0x7ffffdc1,0x3effffff,0xffffff30,
    0x6403bfff,0xffffffff,0x2fffffff,0xfffffff1,0x64c017df,0x2effffff,
    0x7ff6dc00,0x401cefff,0xeffffffc,0xfffff302,0xffffffff,0x3f6607ff,
    0x01dfffff,0x3ffffb22,0x00cfffff,0x7fffed40,0x402cffff,0xefffffd8,
    0x3bffe00d,0xffb8800c,0x03efffff,0xfffffff7,0xf9805bff,0x0aceefff,
    0xfffffc80,0xffffffff,0x554cc2ff,0x53100009,0x26200003,0x53100019,
    0x00000003,0x0002aa20,0x04d554cc,0xaa988000,0x35100009,0x00026001,
    0x01355310,0x33553310,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01333260,0x64cf332a,0x664002cc,0x9999953c,
    0x99999999,0x332e7999,0x993000cc,0x3332a199,0x9997000c,0x66666449,
    0x4f332200,0xccccccca,0xcc8801ab,0xccb804cc,0x3332a0cc,0x33332203,
    0x666665c4,0xcccccccc,0x999911cc,0x99999999,0x33322599,0x6665c00c,
    0x99999952,0x19999999,0x403fffd4,0xff55fffc,0xfff8007f,0xffffff95,
    0xffffffff,0x3fff2dff,0xfffb002f,0x27fffccf,0x27fffc40,0x09fffff3,
    0xfcafffcc,0xffffffff,0x3f600cff,0x3ea02fff,0x7fe46fff,0x3fffa06f,
    0x7fffec3f,0xffffffff,0xfff32fff,0xffffffff,0x3fe69fff,0x7ff400ff,
    0xfffff94f,0xffffffff,0x03fffd43,0xf9afffe4,0x3e2004ff,0xffff94ff,
    0xffffffff,0x3eadffff,0xff004fff,0xfffd8bff,0x7ffe400f,0x3fffe60f,
    0xfff300ff,0x3fffff2b,0xefffffff,0xdffff300,0x0fffff40,0x5c1bfff2,
    0xfd85ffff,0xffffffff,0x32ffffff,0xffffffff,0x29ffffff,0x400ffff9,
    0xff94fffe,0xffffffff,0x7fd43fff,0xfffc807f,0x009fff35,0xfca7ffc4,
    0xffffffff,0x6fffffff,0x00dffff1,0x985ffff3,0x2204ffff,0x7cc3ffff,
    0x304fffff,0x3ff2bfff,0xffffffff,0x3f606fff,0xffa82fff,0xfffc85ff,
    0xfffff886,0xfffffd80,0xffffffff,0xffff32ff,0xffffffff,0x3ffe69ff,
    0x7fff400f,0xffffff94,0x3fffffff,0x403fffd4,0xff15fffc,0x7fc4009f,
    0x7ffc403f,0xfffd803f,0x7ffe400f,0xffffd80f,0x1ffff900,0xffffff98,
    0x5fff980f,0x5ccbfff9,0x01fffffd,0xd0dffff1,0xf903ffff,0xfffb0dff,
    0x2aaaa05f,0xfdaaaaaa,0x2200efff,0x2602ffff,0x7400ffff,0xfff94fff,
    0x3333333d,0x7fffa833,0x15fffc80,0x4400bfff,0x7c403fff,0xfb803fff,
    0x7f403fff,0xfff305ff,0xffff107f,0xfffff307,0xfff307ff,0x417fff2b,
    0x203ffffb,0x2a3ffffc,0xf904ffff,0xfffa8dff,0x7c40004f,0x4401ffff,
    0x2602ffff,0x7400ffff,0xfff94fff,0xfff5000d,0xbfff900f,0x8017ffe2,
    0x4403fff9,0x8803ffff,0x2205ffff,0x3603ffff,0xffd87fff,0xfff980ff,
    0xf986ffff,0xbfff95ff,0x02ffffc0,0x74fffff1,0xf900ffff,0x7ffc4dff,
    0xfd80006f,0xf8804fff,0x3e602fff,0x7f400fff,0xdfff94ff,0xffff5000,
    0x4bfff900,0x55445fff,0x017ffcc1,0x00ffffe2,0x503ffff4,0x4c01ffff,
    0x3e23ffff,0xff303fff,0x85ffffbf,0xff95fff9,0x7fffc0bf,0x7fffdc05,
    0x04ffffab,0xfd9bfff2,0x40001fff,0x006ffffa,0x405ffff1,0x400ffff9,
    0xff94fffe,0xff5000df,0xfff900ff,0x2a2fffcb,0x7ffcc7ff,0x7fffc402,
    0xffff7003,0x1bfff603,0xc9bfff60,0x3e607fff,0x6fffcdff,0xfcafffcc,
    0xfff105ff,0xfffd007f,0x01ffffdf,0xfab7ffe4,0x40003fff,0x01fffff8,
    0x05ffff10,0x007fffcc,0x7e53fffa,0xfa8006ff,0xffc807ff,0xb1bffa5f,
    0x7fd43fff,0x7ffc401f,0xfff3003f,0x3fffe09f,0xffff9804,0x03ffff8a,
    0x3e37ffe6,0x3fe61fff,0x0bfff95f,0x007ffff6,0x3fffffea,0x7fe403ff,
    0x6ffff8ef,0xfffd8000,0x3fe2004f,0x3fe602ff,0x99999aff,0x94fffe99,
    0x5000dfff,0xf900ffff,0x37ff4bff,0xfa93fffe,0x7fc401ff,0x3fe003ff,
    0xfff986ff,0xfffb001f,0x80ffff7d,0xffb5fff9,0xafffccbf,0xa99efffc,
    0x04fffffb,0x3fffffa0,0xfffc806f,0x00ffffde,0x7fffd400,0x7ffc4006,
    0x3ffe602f,0xffffffff,0xf94fffff,0x55555dff,0xffa85555,0xfffc807f,
    0xfa9bffa5,0x3fea6fff,0x7ffc400f,0x3ff2003f,0x7ffdc0ff,0x3ffe6007,
    0x403fffff,0xff35fff9,0x3ffe63ff,0xffffff95,0x09ffffff,0xfffff980,
    0xfffc802f,0x003fffff,0x7ffffc40,0x7ffc4001,0x3ffe602f,0xffffffff,
    0xf94fffff,0xffffffff,0xffa8bfff,0xfffc807f,0xfc9fff65,0xff51ffff,
    0xfff8801f,0x3fea003f,0x7fff42ff,0x7ffec004,0xf9807fff,0x3fff65ff,
    0x32bfff34,0xffffffff,0xa8001bff,0x03ffffff,0xffffffc8,0x6c0006ff,
    0x8003ffff,0x202ffff8,0xfffffff9,0xffffffff,0xfffff94f,0xbfffffff,
    0x807fffa8,0x3f65fffc,0x3ffffe7f,0x00fff73f,0x007ffff1,0x225ffff8,
    0x4002ffff,0x3ffffff9,0x25fff980,0xf98ffffa,0xffff95ff,0x1bffffff,
    0xffffd000,0xfc801fff,0xffffceff,0xfff50003,0x3e2000df,0x3e602fff,
    0xeeeeefff,0x4ffffeee,0xfffffff9,0xa8bfffff,0xfc807fff,0x5fff25ff,
    0x6ffdeff9,0xf100fff7,0xd8007fff,0x3fea7fff,0xfd8000ff,0xf3006fff,
    0xfffe8bff,0xf95fff9c,0xffd73dff,0xfb800bff,0x4fffffff,0xeb7ffe40,
    0x4001ffff,0x01fffff8,0x5ffff100,0x07fffcc0,0x653fffa0,0xaaaaefff,
    0x7d42aaaa,0xffd807ff,0x5dfff25f,0x8fffbcff,0xf8807ffb,0x54003fff,
    0xff91ffff,0x3e6000bf,0xf3003fff,0xfffb8bff,0xf95fff9f,0xfffd8bff,
    0xfff1002f,0x3ffffddf,0xab7ffe40,0x4006ffff,0x003ffffd,0x0bfffe20,
    0x00ffff98,0xfca7fff4,0xfa8006ff,0x7ec00fff,0x3ffee4ff,0xff99ffe8,
    0x806ffcaf,0x003ffff8,0xf9ffffc4,0x10003fff,0x2005ffff,0x7c45fff9,
    0x5fffcfff,0xf88bfff9,0xf9006fff,0xfff55fff,0x7ffe40df,0x0fffff66,
    0x37fffd40,0x3ffe2000,0x3ffe602f,0x7fff400f,0x00dfff94,0x01ffff30,
    0x2e3fffe8,0x27ff9fff,0x6ffcdffe,0x3ffff880,0xefffe800,0x000ffff9,
    0x05ffff10,0x217ffe60,0xfffffffc,0x90bfff95,0x9805ffff,0x3fa6ffff,
    0xff902fff,0x7fffc4df,0x7ffc401f,0x440000ff,0x2602ffff,0x7400ffff,
    0xfff94fff,0xfff1000d,0x7ffc407f,0x33ffea1f,0x3fff24ff,0xf8805ffd,
    0xb8003fff,0xfffcffff,0x3fe20006,0xff3002ff,0xffff10bf,0x3ff2bfff,
    0xffff885f,0x7fffec06,0x1bfffea2,0x2e37ffe4,0x6406ffff,0x0003ffff,
    0x02ffff88,0x003fffe6,0x3f29fffd,0xff0006ff,0x3f601fff,0x3fea0fff,
    0x3e62ffff,0x805fffff,0x003ffff8,0xffffff98,0x220004ff,0x3002ffff,
    0x3f60bfff,0xf95fffff,0x3ff60bff,0xfff501ff,0xffffd0df,0x0dfff909,
    0x209ffffd,0x005ffffa,0x5ffff100,0x07fffcc0,0x653fffa0,0x70006fff,
    0x359fffff,0x85ffffd5,0x87fffffa,0x05fffffe,0x03ffff88,0xfffffd00,
    0x440003ff,0x3002ffff,0x3e60bfff,0xf95fffff,0x3fe60bff,0xfffd05ff,
    0xffff305f,0x6fffc81f,0x1fffff98,0xfffffff8,0xffffffff,0x9999913f,
    0x999bffff,0x3fffe659,0xa7fff400,0x0006fffc,0x3ffffffa,0x85ffffff,
    0x85fffff9,0x04fffffc,0x03ffff88,0xfffff900,0xf88000ff,0xf3002fff,
    0x7ff40bff,0xfff95fff,0x7ffff40b,0x37fffdc1,0x8bffffb0,0xf906fffc,
    0xff88dfff,0xffffffff,0x33ffffff,0xffffffff,0x29ffffff,0x400ffff9,
    0xff94fffe,0x744000df,0xffffffff,0xff980dff,0xff982fff,0xf8804fff,
    0x30003fff,0x09ffffff,0xffff8800,0xbfff3002,0x7ffffd40,0x40bfff95,
    0x225ffffb,0x201fffff,0x21fffff9,0xf106fffc,0x7c49ffff,0xffffffff,
    0x3fffffff,0xfffffff3,0x9fffffff,0x003fffe6,0x3f29fffd,0xb80006ff,
    0xeffffffe,0x3fffe202,0xfffff00f,0xffff1007,0x7ffc0007,0x40002fff,
    0x002ffff8,0xe80bfff3,0xff95ffff,0xffff80bf,0xbffff90f,0xdffffb00,
    0x5037ffe4,0x223fffff,0xffffffff,0xffffffff,0xffffff33,0xffffffff,
    0x03fffe69,0x329fffd0,0x00006fff,0x0000d54c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x81999300,0xcca83cca,0xcccccccc,0x99932ccc,0x03579999,
    0x04cccc80,0xa873332e,0xcccccccc,0x990001aa,0x20039999,0xcccccccc,
    0xcccccccc,0x99999951,0x00013579,0x4ccccc88,0x00999930,0x00000000,
    0x6e5d4400,0x99102bcd,0xff700599,0x86ffd81f,0xfffffffc,0x73ffffff,
    0xffffffff,0x8801bfff,0x882fffff,0x322fffff,0xffffffff,0x2002efff,
    0x4ffffff9,0xfffff880,0xffffffff,0xfff92fff,0xffffffff,0x3f600019,
    0xf707ffff,0x4c000fff,0x8000000e,0xfffd504c,0x5dffffff,0x04ffff98,
    0xfe87ffb8,0xffffc85f,0xffffffff,0xfffff73f,0xffffffff,0x7fffc409,
    0xffffa84f,0x3ffff23f,0xffffffff,0xfff9004f,0xf100dfff,0xffffffff,
    0x5fffffff,0x3ffffff2,0x3fffffff,0x7fffd400,0xfff707ff,0x3fe6000f,
    0x1000001f,0xff909ffb,0xffffffff,0x7ffc45ff,0x6ffc803f,0xfc84ffe8,
    0xffffffff,0xff73ffff,0xffffffff,0x220dffff,0xd87fffff,0x323fffff,
    0xffffffff,0x02ffffff,0xffffffe8,0x7ffc400f,0xffffffff,0xf92fffff,
    0xffffffff,0x003fffff,0x3fffffa2,0xffff707f,0xffff1000,0x8800005f,
    0x643ffffe,0xeccdefff,0xf10fffff,0xfb007fff,0x07fff0df,0x333dfff9,
    0x21333333,0x999ffffb,0xfffffeba,0xfffff982,0x7ffffc1f,0x17fff23f,
    0x17ffff66,0xffffff10,0x999007ff,0x99999999,0x321fffff,0x2e626fff,
    0x00fffffe,0xffffffc8,0xffff707f,0x3fff2000,0x300004ff,0x81dfffff,
    0x3fee01cb,0x3fffe3ff,0x45ffe802,0xfc82fff8,0x7dc006ff,0x3ff207ff,
    0x7fcc0fff,0x3ea4ffff,0x324fffff,0x3fa05fff,0x7fdc06ff,0x05fffddf,
    0x3ffe2000,0x1bfff25f,0x02ffffe8,0x7dffffcc,0xfff707ff,0x7fd4000f,
    0x40005fff,0x05fffffb,0x27fff400,0xf305ffff,0xffffffff,0xffffffff,
    0x01bfff29,0x80ffff70,0x543ffffc,0x26ffcfff,0x4fffcffc,0xd817fff2,
    0x7ec07fff,0xffffbbff,0xff900000,0x7ffe43ff,0x3fffe606,0x67fff403,
    0xf707fff9,0x98000fff,0x00efffff,0xfffffc80,0xffc80003,0x07fffe5f,
    0x3fffffe6,0xffffffff,0xfff94fff,0xfffb800d,0x7fffcc07,0x7d7ffd46,
    0xf5fff0ff,0x7ffe4bff,0x1bfff605,0xf33ffff0,0x00005fff,0xc8bffff1,
    0x7fc06fff,0x3fea05ff,0x0ffff36f,0x001fffee,0x3ffffa20,0x3ff6001f,
    0x10002fff,0xbfffb333,0x4c0ffff4,0xffffffff,0xffffffff,0x0dfff94f,
    0x07fffb80,0x547fffe8,0xafff8fff,0xbffd7ff9,0x882fffe4,0x2603ffff,
    0x3ffe7fff,0xfc80004f,0x7fe41fff,0x7fff406f,0x5ffff105,0x5c1fffe6,
    0x00007fff,0x0bfffff6,0xdffffd10,0x7f644003,0xffffffff,0x203fff65,
    0xcfffcaa8,0xafffdaaa,0xdfff91aa,0x7fffb800,0x47fffc80,0xbffb7ffb,
    0x3ffabff7,0x217fff25,0x00efffe9,0xfc93fff2,0x440007ff,0xfc85ffff,
    0x7ffc06ff,0xbfff903f,0xb83fffcc,0x00007fff,0x1fffffe4,0xdfffff98,
    0x3fff2000,0xffffffff,0x00aaa65f,0xf907ffea,0x3fff20df,0xffffffff,
    0xffff70ff,0x3ffff700,0xffbbffdc,0xffd2ffef,0x77fffe4d,0xefffffee,
    0x17fff401,0x003ffff5,0x17fffe40,0x7037ffe4,0xf305ffff,0x7fcc1fff,
    0xffff707f,0xff500000,0xffa89fff,0x6c004fff,0xefffffff,0x005ffffe,
    0xb03ffee0,0x3ff20dff,0xffffffff,0xfff70fff,0xffff700f,0xf8bffe45,
    0x3fa7ffff,0x3ffff26f,0xefffffff,0x7fffc401,0x0ffffe20,0x7fffc400,
    0x0dfff906,0x03ffffe6,0xf30bfffa,0x3fee0fff,0x8800007f,0x20effffe,
    0x02fffffd,0x37fffee0,0x45fffc81,0x7dc01cb9,0x05ffe87f,0xfffffff9,
    0x21ffffff,0xa807fffb,0x3f21ffff,0x3ffffa7f,0xfc9fff65,0xffffffff,
    0x700dffff,0xffd0dfff,0x3f2000df,0xff902fff,0xfb5333ff,0xf705ffff,
    0xfff30bff,0x1fffee0f,0xffd30000,0xff701dff,0x36007fff,0x3f206fff,
    0x3ffea5ff,0x1bff204f,0x7e413ffa,0xcccccfff,0x3fee4ccc,0xfffb807f,
    0xc9bff20f,0x3f62ffff,0x3bfff27f,0xfffecccc,0xfffb06ff,0x1ffff907,
    0xffff8800,0x3ffff206,0xffffffff,0xffff885f,0x07fff980,0x000ffff7,
    0x7ffffd40,0x7fffd405,0xffff805f,0x57fffa04,0x1ffffff8,0xdffd5551,
    0xbfff5555,0x7ffe4355,0x7ffdc006,0x7fffc807,0xff337fec,0x3ffec1ff,
    0x260bfff9,0x443ffffe,0xf981ffff,0x5c002fff,0x3202ffff,0xffffffff,
    0xfb03ffff,0x3fe607ff,0xffff707f,0x3fee0000,0xf3003fff,0x401dffff,
    0xe887fffe,0xff55ffff,0x3e67ffff,0xffffffff,0xffffffff,0x01bfff24,
    0x00ffff70,0xfd8dfffb,0x22fffc6f,0xff90fffd,0x7ffdc0bf,0x7fffd45f,
    0xff999999,0x7fc005ff,0x7fe406ff,0xffffffff,0xffff300d,0xfb999999,
    0x25999fff,0x0007fffb,0x2fffffd8,0x7fff4400,0xfffb01ef,0xffd7139f,
    0x3fe6bfff,0xff33ffff,0xffffffff,0x9fffffff,0x0037ffe4,0x101fffee,
    0xfe8bffff,0x217fe46f,0xff90fffc,0xffff80bf,0x7ffffe46,0xffffffff,
    0x3fee007f,0x7fe403ff,0x001aaaff,0xfffffff3,0xffffffff,0x3fee9fff,
    0x3a20007f,0x001fffff,0xfffffb10,0xfffff505,0xffdfffff,0x7ffff4bf,
    0xffddd30f,0xffdddddf,0x7e47dddf,0x7dc006ff,0x7fe407ff,0x2fff42ff,
    0x21fff900,0x7c05fffc,0x7ffc6fff,0xffffffff,0x001fffff,0x900fffff,
    0x2000dfff,0xfffffff9,0xffffffff,0xfff74fff,0x3fe6000f,0x0000efff,
    0x3fffffc8,0xffffffd8,0x5fff8eff,0x40bfffe6,0x7d42fff8,0xfff900ff,
    0xfffb800d,0x3fffea07,0x005ffe86,0x7e47fff2,0x3fea05ff,0x3ffe64ff,
    0xffffffff,0x804fffff,0x803ffffb,0x0006fffc,0xfffffff3,0xffffffff,
    0x3fee9fff,0xff98007f,0x00005fff,0x1fffffdc,0x77ffffdc,0x3117ffe3,
    0x7ffcc015,0x903ffdc1,0xb800dfff,0xfd887fff,0xff81ffff,0x3ff2005f,
    0x0bfff91f,0x8bffffea,0xaaaefffb,0xffeaaaaa,0xfffe806f,0xdfff9007,
    0x4cccc000,0xfb999999,0x70999fff,0x2000ffff,0x0004fffc,0x1dfff300,
    0x000d54c0,0x0fffa800,0xf9037fe4,0xdddddfff,0x3ee5dddd,0xffeeefff,
    0xf04fffff,0x7dc00bff,0xdfff92ff,0xfffdb999,0xfffe8dff,0xffffc803,
    0x3fffea00,0xdfff9003,0xf3000000,0x3fee0fff,0xeeeeeeff,0x2fc86eee,
    0x74400000,0x0000000e,0x40fffb80,0x3f205ffd,0xffffffff,0xff73ffff,
    0xffffffff,0x7fc07fff,0x3fee004f,0xfffff92f,0xffffffff,0x7fffc41f,
    0xffffa801,0x3ffffa03,0xdfff9000,0xf3000000,0x3fee0fff,0xffffffff,
    0x00307fff,0x00220000,0x64000000,0x5ffe87ff,0x3fffff20,0xffffffff,
    0xffffff73,0x01bfffff,0x0027ffc4,0x3f27fff7,0xffffffff,0x7d40cfff,
    0xff1006ff,0x3fea0bff,0x3f2004ff,0x000006ff,0x707fff98,0xffffffff,
    0x00ffffff,0x00000000,0x64000000,0x4fff86ff,0x3fffff20,0xffffffff,
    0xffffff73,0x100357bd,0x5c009fff,0xfff93fff,0x79ddffff,0x13fff601,
    0x07fffd80,0x001ffffd,0x0037ffe4,0x7ffcc000,0xfffff707,0xffffffff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xacdca880,0x99530001,
    0x53001579,0x000359b9,0x799bb975,0x02aaa985,0x54caaaa6,0x377260aa,
    0x0aaa981b,0x20af72e2,0x39930aaa,0x000bcc98,0x3003332e,0x20015555,
    0x5552aaaa,0xaaa80015,0x55555542,0xaaaaaaaa,0x02aaaaa1,0x01555530,
    0xfffd8800,0x000dffff,0xfffffff9,0x3fea03ff,0x0effffff,0xffffeb80,
    0x2e1fffff,0x3f206fff,0x3fffb6ff,0xffffffb1,0x92fffb87,0x1bffffff,
    0x7fd57ffc,0xffff55ff,0x3ffa001d,0x7ffcc01f,0xfff8804f,0x07fffb4f,
    0x7c7ffe80,0xffffffff,0x2a3fffff,0x2206ffff,0x0006ffff,0x7fffff4c,
    0x202fffff,0xffffffe9,0xfc81ffff,0xffffffff,0x3ff603ff,0xffffffff,
    0x1bffee1f,0xfb6fffc8,0xffffd5ff,0x7dc7ffff,0xffffdaff,0x3fe5ffff,
    0xffffffbf,0x4ffffff9,0x03fffd00,0x00ffffd0,0x323ffff5,0x7c004fff,
    0x7fffc6ff,0xffffffff,0x7ffec3ff,0xffffb04f,0x7fc40001,0xffdcefff,
    0xff980fff,0xffffffff,0x7ffe41ff,0xffffffff,0xfffb81ff,0xfdcccdff,
    0x1bffee1f,0xfb6fffc8,0xffffffff,0x7dcfffff,0xffffffff,0xff1fffff,
    0xfffdffff,0xffffdfff,0x07fffa00,0x0bfffee0,0x5cdfffb0,0x22005fff,
    0x7ffc5fff,0xffffffff,0x7fc43fff,0x7fd41fff,0x640003ff,0x7cc2efff,
    0xffe84fff,0xa999bfff,0x3ffe61fd,0xfda89bff,0xffe85fff,0xb82600ff,
    0x3f206fff,0xffffb6ff,0x3ff219ff,0xffff72ff,0xff915bff,0x3fffe9ff,
    0x5ffffd1f,0x2003fff6,0x8801fffe,0x2205ffff,0x3e63ffff,0x3e6006ff,
    0x555544ff,0xfffdaaaa,0xfff980ef,0x3fffe26f,0x7fc40005,0xfff702ff,
    0xdffffc8f,0x3fffa000,0xffffb01f,0x27fffc45,0x1bffee00,0xfb6fffc8,
    0xff05ffff,0x3ffee7ff,0xffff84ff,0x6c9ffff5,0x3ff26fff,0xfffe801f,
    0xffff9001,0x3fffee01,0x11fffe20,0xfffa8333,0x3ffe2003,0x3ff200ff,
    0xffffb4ff,0xffc80001,0x3ffe206f,0x3ffffe0f,0x3ffe2000,0x3ffe204f,
    0x7ffffc4f,0x3ffee001,0x5bfff206,0xb03ffffd,0x3fee9fff,0xfffb05ff,
    0xd83fffed,0x3fee2fff,0xfffe801f,0xffff3001,0x17fffa07,0xfd83fffe,
    0x3ffea0ff,0xfffd1002,0xfffd005f,0x05ffff9f,0x9fffb000,0xf3333333,
    0x3fe25fff,0x7d4003ff,0x7f400fff,0x7fff45ff,0x5c00adff,0x3f206fff,
    0xdfffb6ff,0xba777640,0x3ee07fff,0x8dfff6ff,0x7fdc7ffd,0x9999951f,
    0x99bffff9,0xffd09999,0xffff30df,0x43fffd03,0x3ee3ffff,0xffb001ff,
    0x3e2009ff,0x5fffffff,0xfffd0000,0xffffffff,0x3ea7ffff,0x5c002fff,
    0xfd807fff,0x7ffd46ff,0x02dfffff,0x640dfff7,0xfffb6fff,0xfff7000b,
    0xb7ffdc0d,0x7fec6fff,0xc8fffdc7,0xffffffff,0xffffffff,0x1ffffb87,
    0xd837ffe4,0xfff52fff,0x07ffe4df,0x37fffdc0,0x3fffee00,0x00000fff,
    0xffffffff,0xffffffff,0x07fffee7,0x0ffff900,0x70ffff90,0xffffffff,
    0xfffb85ff,0x5bfff206,0x8005fffd,0x2e06fffb,0xdfff6fff,0x7dc7ffd8,
    0xffff91ff,0xffffffff,0xf10fffff,0xfff89fff,0x7fff903f,0x47fffff6,
    0xf9807ffd,0x8000ffff,0x02fffffd,0xffff1000,0xffffffff,0x3ee5ffff,
    0x64001fff,0xfc807fff,0xff9106ff,0x9fffffff,0x9037ffdc,0x3ff6dfff,
    0xffb8005f,0x3ffee06f,0xfd8dfff6,0x8fffdc7f,0xfffffffc,0xffffffff,
    0xffffb07f,0x807fffcc,0xfff4fffb,0x3ffa9fff,0x7fffc406,0xff88001f,
    0x0005ffff,0x00bfffe0,0x17fffd40,0x3fffee00,0x2fffec00,0x7fffe540,
    0xfff71fff,0xb7ffe40d,0x8005fffd,0x2e06fffb,0xdfff6fff,0x7dc7ffd8,
    0xffe801ff,0x7fcc001f,0xbfffb1ff,0x56fffd40,0xf7ffefff,0xffd809ff,
    0xfb0003ff,0x05ffffff,0x3fffa000,0xfff30004,0xffa800bf,0x7ffc01ff,
    0x7fd4004f,0xfff73fff,0xb7ffec0d,0x8005fffd,0x2e06fffb,0xdfff6fff,
    0x7dc7ffd8,0xffe801ff,0xffe8001f,0x2ffff8cf,0x33bffe20,0xafffbdff,
    0x3f203fff,0x90005fff,0xffffffff,0xf900001f,0x20001dff,0x001fffff,
    0x817fffe6,0x002ffffa,0x74ffffa8,0xf901ffff,0x3ff6dfff,0xffb8005f,
    0x3ffee06f,0xfd8dfff6,0x0fffdc7f,0x00ffff40,0x57fffdc0,0xff807fff,
    0xf8bfffff,0x02fffeff,0x01dffff5,0x9ffff300,0x00dffff5,0x9ffff500,
    0x3fff6000,0xe86602ff,0xf983ffff,0x80086fff,0xf52ffffa,0xffc85fff,
    0xfffb6fff,0xfff7000b,0xb7ffdc0d,0x7fec6fff,0x00fffdc7,0x000ffff4,
    0x7fffffc4,0xffe804ff,0xffd0ffff,0xf103ffff,0x0003ffff,0x21dffff1,
    0x004ffffd,0xeffffd80,0xdca9999b,0x7ffffc43,0xffdccdef,0x3ffffe62,
    0xffffdbbd,0x4defc42f,0x3fffea61,0xfffff10f,0xffffff79,0x17fff6df,
    0x1bffee00,0xff6fffb8,0x47ffd8df,0xe801fffb,0xb0001fff,0x1fffffff,
    0xfffffb00,0x7ffffdcd,0xffffe80f,0xeeeeeeef,0xffffd83e,0x3ffffe22,
    0x7fc40001,0xffffffff,0xffa83fff,0xffffffff,0x7ffec2ff,0xffffffff,
    0xffff885f,0xffffffff,0x7fffec5f,0xffdfffff,0x0bfffb6f,0x0dfff700,
    0xffb7ffdc,0x23ffec6f,0xe801fffb,0x30001fff,0x0bffffff,0x3fffff20,
    0x3ffffe23,0xfffff987,0xffffffff,0x7fffdc4f,0xeffffa84,0x7f4c0000,
    0xffffffff,0xffd503ff,0xffffffff,0xfffff905,0x207fffff,0xfffffff8,
    0x985fffff,0xffffffff,0xfb6fff8d,0xf7000bff,0x7fdc0dff,0xd8dfff6f,
    0x7ffdc7ff,0x1fffe801,0x3fffa000,0xff7002ff,0xffe81fff,0xfff986ff,
    0xffffffff,0x3fe64fff,0x3ff606ff,0x700005ff,0xfffffffd,0xfeb803bf,
    0x0befffff,0xfffffd30,0x7f4403bf,0xffffffff,0x3ffa202d,0x3ffe3fff,
    0x00bfffb6,0x40dfff70,0xfff6fffb,0x5c7ffd8d,0x00001fff,0x7fffdc00,
    0x3ffea007,0xffffb86f,0xfffff985,0xffffffff,0xfffff14f,0x7fffc403,
    0x4c00003f,0x00009aaa,0x80013331,0x88000aa9,0x009aaaa9,0x0006a620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00266540,0x7000e654,0x33100799,0x33333333,0x00033333,
    0x1e665c00,0x44199993,0x203ccccc,0x88888888,0x88888888,0x3baa0888,
    0xeeeeeeee,0x00000004,0x00000000,0x00000000,0xffc80000,0x7ffdc007,
    0xfff9802f,0x7ffe402f,0xffffffff,0xed987fff,0x74000cef,0x3fea5fff,
    0x7ff440ff,0xffff04ff,0xffffffff,0xffffffff,0x3ffffea3,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x006ffb80,0x03fffffc,0x07fffff4,
    0xffffff90,0xffffffff,0xfffffa8f,0xeee981ff,0x54bfffb2,0xf900ffff,
    0xfff09fff,0xffffffff,0xffffffff,0x3fffea3f,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0xff70f440,0xff01ec4b,0x5c05ffff,0x04ffffff,
    0x3ffffff2,0xffffffff,0x3ffffe27,0x7d42ffff,0x9fffb2ff,0x203fffcc,
    0x7c4ffffa,0xffffffff,0xffffffff,0xfff51fff,0xbfffffff,0x00000000,
    0x00000000,0x00000000,0x54ffd800,0x3ffeabff,0xfffffd00,0x2fffe207,
    0x5301fffb,0x55555555,0x5c555555,0xfffeffff,0x3fff62ff,0x4c9fff91,
    0xe8807fff,0x2aaa4fff,0xaaaaaaaa,0xaaaaaaaa,0x2222220a,0x00088888,
    0x00000000,0x00000000,0x00000000,0x2fbfffe6,0xffffccff,0xfffff104,
    0xe9bff209,0x000006ff,0xe987fff4,0xffeeffff,0x8ffff27f,0x2007fff8,
    0x00001999,0x00000000,0x00000000,0x00000000,0x40000000,0xffffffeb,
    0x00cfffff,0x20bfffea,0x3ea2fff9,0x000003ff,0xfd11bffe,0x7fffffff,
    0xf11fffdc,0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffea800,0x800bffff,0xe80ffff8,0xfffe85ff,0xe8800000,0xffe883ee,
    0x2e0dffff,0x7ffc2fff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffe98,0x3ffe6003,0x81fffa86,0x7e45fff9,0xffffffff,
    0x007fffff,0x84efffb8,0x7fc2fffa,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffaa0,0x00bfffff,0x107fffa6,0x7ec0bfff,
    0x3fff21ff,0xffffffff,0x20007fff,0x2aaa2008,0x000d5540,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f4c0000,0xfeffefff,0x9913ffff,
    0x907ffffd,0x7c401fff,0x3fff26ff,0xffffffff,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,0xe9cff9bf,
    0xfff12fff,0xff305dff,0xfff7009f,0x2aaaaa67,0xaaaaaaaa,0x0000002a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfa877dc0,
    0xf89bf25f,0x00003eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x87000000,0x10d46ffb,0x00000013,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,
    0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0003ffe4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_37_usascii_x[95]={ 0,7,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,3,0, };
static signed short stb__consolas_bold_37_usascii_y[95]={ 27,1,1,3,-1,1,1,1,0,0,1,8,20,15,
20,1,2,3,2,2,3,3,3,3,2,2,8,8,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12, };
static unsigned short stb__consolas_bold_37_usascii_w[95]={ 0,6,13,20,18,21,21,6,13,12,16,18,11,12,
8,18,20,17,17,17,20,17,18,18,18,18,8,10,16,16,16,13,21,21,17,18,19,15,15,19,18,16,14,18,
16,20,18,20,17,21,18,18,18,18,21,20,21,21,18,11,18,11,18,21,13,17,18,16,17,18,19,19,16,17,
15,18,17,19,16,19,18,17,16,16,17,16,20,21,20,20,16,15,5,15,20, };
static unsigned short stb__consolas_bold_37_usascii_h[95]={ 0,27,10,24,33,27,27,10,35,35,17,19,14,5,
8,30,26,24,25,26,24,25,25,24,26,25,20,26,22,12,22,27,34,24,24,25,24,24,24,26,24,24,25,24,
24,24,24,26,24,32,24,26,24,25,24,24,24,24,24,35,30,35,12,5,8,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,38,35,10, };
static unsigned short stb__consolas_bold_37_usascii_s[95]={ 251,207,87,1,128,23,1,246,92,23,1,
145,18,137,246,169,61,238,149,112,156,167,219,119,93,130,247,82,211,49,194,
66,106,97,79,200,38,22,238,41,219,202,185,164,177,58,104,1,138,147,123,
22,41,1,60,20,142,82,183,80,188,36,30,115,101,228,232,20,99,1,174,
135,212,117,64,155,194,125,108,37,80,214,91,57,229,74,164,185,224,45,207,
48,1,7,66, };
static unsigned short stb__consolas_bold_37_usascii_t[95]={ 1,1,167,121,1,40,40,121,1,1,167,
146,167,167,132,1,68,68,68,68,121,68,68,121,68,68,40,68,121,167,121,
40,1,121,121,68,121,121,95,68,95,95,68,95,121,121,95,68,121,1,95,
68,95,95,95,95,95,95,95,1,1,1,167,167,167,121,1,146,40,146,40,
40,40,40,1,40,40,146,146,146,40,1,146,146,40,146,146,146,146,40,146,
1,1,1,167, };
static unsigned short stb__consolas_bold_37_usascii_a[95]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_37_usascii(stb_fontchar font[STB_FONT_consolas_bold_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_37_usascii_s[i] + stb__consolas_bold_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_37_usascii_t[i] + stb__consolas_bold_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_37_usascii_x[i];
            font[i].y0 = stb__consolas_bold_37_usascii_y[i];
            font[i].x1 = stb__consolas_bold_37_usascii_x[i] + stb__consolas_bold_37_usascii_w[i];
            font[i].y1 = stb__consolas_bold_37_usascii_y[i] + stb__consolas_bold_37_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_37_usascii_s[i] + stb__consolas_bold_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_37_usascii_t[i] + stb__consolas_bold_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_37_usascii_x[i] + stb__consolas_bold_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_37_usascii_y[i] + stb__consolas_bold_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_37_usascii_LINE_SPACING
#endif

