// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT        228
#define STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_42_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_42_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_42_usascii_LINE_SPACING          28

static unsigned int stb__consolas_bold_42_usascii_pixels[]={
    0x80079997,0x32000c01,0x000acdef,0x76e54400,0xfffffb4f,0x000fffff,
    0x8000f726,0xf9000a98,0xffffffff,0xfff0001f,0x04c00009,0x7fffd400,
    0x00000003,0x407ffff5,0x400001a9,0x2006fffd,0x0bf505fa,0x7ffffe40,
    0xf500003f,0x369fffff,0xffffffff,0xffa8007f,0x75c005ff,0x02dfffff,
    0x3ffffff2,0x4000ffff,0x0002fff9,0x3ffffb2a,0xffd001bd,0x000000df,
    0x03ffffa0,0x0bffffee,0x217ffe60,0x5006fffd,0xffa8bfff,0xfff9005f,
    0x000bffff,0xffffffc8,0xfffffb4f,0x000fffff,0x05fffffd,0xfffffd10,
    0x3207ffff,0xffffffff,0x7d4000ff,0xd88001ff,0xffffffff,0xffb803ff,
    0x000002ff,0x27fffcc0,0x7fffffec,0x7fff403f,0x06fffd80,0x1fffffb8,
    0x0bfffff1,0xffffff90,0x260005ff,0xffffffff,0xffffffb4,0xf000ffff,
    0x807fffff,0xfffffffa,0xc83fffff,0xffffffff,0x7dc000ff,0x74c000ff,
    0xffffffff,0x4405ffff,0x0005ffff,0x7ffec000,0x7fffd41f,0x900ffffe,
    0x3f607fff,0x7fd406ff,0x7fcc2fff,0x26005fff,0x006ffffd,0x3dffffb0,
    0x00dfffb0,0x7ffff400,0x3ffe601f,0xfeb9acff,0xf7003fff,0x53001fff,
    0x357fffd9,0xfffff300,0xffffffff,0xffc80bff,0x000001ff,0x0bffff10,
    0x3ee1dffd,0xfff983ff,0x1bfff606,0x2fffff88,0x7fffff50,0xffffd800,
    0x7ffc4001,0x3fff606f,0x3e600006,0x3e205fff,0xfb00efff,0x3ee00dff,
    0xf9100fff,0xffffffff,0x7ec01fff,0xbaceffff,0x1ffffffd,0x13fffe60,
    0x7dc00000,0x7fc42fff,0x13ffe24f,0xd803fffa,0x3fa06fff,0x7d403fff,
    0x2000ffff,0x002ffff9,0x017fffcc,0x000dfffb,0x403cc980,0x200efffd,
    0x801fffe8,0xb80ffffb,0xffffffff,0x00ffffff,0x09fffff3,0x17ffffea,
    0x01ffffd0,0xfff00000,0x5fff30df,0x7dc5ffe8,0x7fec03ff,0xffff706f,
    0x3fff200b,0x7ffc006f,0x7fd4003f,0x3ff600ff,0x0000006f,0x01ffff50,
    0x009fff50,0xb81ffff7,0xffffffff,0x0fffffff,0x09ffffd0,0x1fffffa8,
    0x0ffffea0,0xff500000,0xfff307ff,0x265ffe87,0xfd806fff,0xfff986ff,
    0x3fa000ff,0x3e003fff,0x5c004fff,0x7ec07fff,0x000006ff,0x07fffd00,
    0x403fffc0,0x260ffffb,0xdeffffff,0xffecdfff,0xfffffa80,0xfffff800,
    0x37fffc04,0x3fa00000,0xff880fff,0x93ffe24f,0xd801fffe,0xffe86fff,
    0x7d4003ff,0xd000ffff,0xb8009fff,0x7ec07fff,0xddb006ff,0xdddddddd,
    0xf981dddd,0x7ec006ff,0x7fdc02ff,0x3fff20ff,0x3fff51ff,0xfffb8144,
    0xfff9005f,0xfffb80bf,0x3000002f,0x7c09ffff,0xffc8afff,0x07fff72f,
    0x31bfff60,0x000dffff,0x00fffff6,0x0027fff4,0xb01fffee,0x3a00dfff,
    0xffffffff,0x40ffffff,0x4c43fffd,0xff75511a,0xfffb805f,0x3ffffa0f,
    0x801ffee3,0x003ffffc,0x80dffff5,0x005ffff8,0xffff9000,0x7fffdc03,
    0xff36ffff,0x7fec00df,0x7fffe46f,0xfff30002,0x3ffa00df,0x7fdc004f,
    0x7ffec07f,0xffffd006,0xffffffff,0x7ffc41ff,0x3ffff60f,0xfffabfff,
    0x7fffdc03,0x8bffffe0,0x36007ffd,0x3002ffff,0xb00fffff,0x0001ffff,
    0x5ffff880,0xfffffe80,0x3fffd1ef,0x37ffec00,0x001ffffe,0x03ffffd0,
    0x00bfffd0,0x407fffb8,0xd006fffd,0xffffffff,0x41ffffff,0x3fa5fffa,
    0xbfffffff,0x5c04fff9,0x3fe0ffff,0x3ffa5fff,0x3fffa005,0xfff1001f,
    0xff9801ff,0x400004ff,0x002ffffb,0x219dffd7,0x4004fffb,0x3ea6fffd,
    0x40004fff,0x804ffffb,0x4007fffd,0x6c06fffc,0x00006fff,0x907ffffc,
    0x3fee7fff,0xafffffff,0x5c05fff9,0x3f60ffff,0xff9effff,0x3ffe004f,
    0xff1000ff,0xfd003fff,0x00001fff,0x0037fff4,0x37ffc408,0x37ffec00,
    0x003ffffb,0x7ffff880,0x2ffffc80,0x17fffa00,0x00dfffb0,0xfffff800,
    0x227fffa0,0xffadffff,0x5fff89ff,0x07fffdc0,0xfffffff7,0x22007fff,
    0x000fffff,0x007ffffe,0x00ffffea,0x7fffd400,0xffb00003,0xffb0003f,
    0x3ffff4df,0xfffe8000,0x7ffcc00f,0x7ec400ef,0x7ec02fff,0x400006ff,
    0xf10fffff,0x3ffeafff,0x223fffe7,0x7dc06fff,0x7fec0fff,0xefffffff,
    0xffff8802,0x3ffe000f,0xfff001ff,0x360000df,0x0000ffff,0x004fffb8,
    0x7cdfffb0,0x00006fff,0x003ffff9,0xbdfffffb,0x3fffb6e9,0xffd806ff,
    0x7c00006f,0xff30ffff,0x53fff2df,0xff17fff8,0xfffb80df,0x7fff440f,
    0xffffffff,0x3fffe203,0xfff1001f,0x3f2001ff,0x40001fff,0x004ffff9,
    0x06fff880,0x5bfff600,0x005ffff8,0x5ffff900,0x3ffff200,0xffffd7ff,
    0xfb001bff,0x80000dff,0xf50fffff,0x3fffa9ff,0x22ffff32,0x7dc05fff,
    0xff900fff,0xffffffff,0x3ffe05df,0xff3001ff,0x7c400fff,0x40005fff,
    0x001ffffc,0x41fffd80,0x3fff6000,0x09ffff36,0x3ffee000,0xff71002f,
    0x3ffaffff,0xb001cfff,0x0000dfff,0x70fffff8,0x3ffe7fff,0x2dfff30f,
    0x5c05fff8,0x2200ffff,0xfffffffc,0xfe82ffff,0xf3002fff,0xd800dfff,
    0x0000ffff,0x00dffff1,0x49fff500,0x404effec,0xff56fffd,0x200007ff,
    0x803ffffa,0xfffffffa,0xffffffd7,0xfffb005f,0xff80000d,0xfff90fff,
    0x54ffff15,0xfff35fff,0xffffb809,0xfffff000,0x83ffffff,0x005ffffe,
    0x00bffff9,0x04ffff98,0x5ffff700,0xfff88000,0xffffe88f,0xffb00eff,
    0x3fffeadf,0xff300004,0xff8807ff,0x119acfff,0xfffff953,0x6fffd801,
    0x7ffc0000,0x5fff90ff,0x7dcffff1,0x9fff35ff,0x0ffffb80,0xfdbfff00,
    0xc89fffff,0xd007ffff,0x0005ffff,0x000ffffd,0x001ffffa,0x6cbfff60,
    0xffffffff,0x2dfffb04,0x005ffff9,0x5ffff500,0x2ffffb80,0x9ffff500,
    0x06fffd80,0x7fffc000,0x33fffb0f,0x7fe4ffff,0x07fff74f,0x00ffffb8,
    0xf52fff88,0xf98dffff,0x5402ffff,0x0007ffff,0x005ffff5,0x03ffffa8,
    0xafffd400,0xea8dfff9,0xffd80fff,0xbffff16f,0x3fee0000,0x7fec01ff,
    0x7ff4006f,0x7ffec06f,0x7fc00006,0xfffb0fff,0x64ffff33,0xfff93fff,
    0xffffb803,0x1fffa800,0x03fffff2,0x03fffffd,0x0fffffe6,0x6ffff800,
    0x7fffec00,0x3fe20000,0x3fff70ff,0x6c0fffdc,0x3ffe6fff,0xf900006f,
    0xfe801fff,0x7e4005ff,0x7fec06ff,0x7c00006f,0xffb0ffff,0x4ffff13f,
    0xffd3fffe,0xffff700f,0x1fff7001,0x43ffffd4,0xcffffffb,0xffffba8a,
    0x320000ff,0x1001ffff,0x000bffff,0x322fffc8,0x7ffd47ff,0x26fffd82,
    0x000fffff,0x07fffd80,0x004fffe8,0x203fffdc,0x0006fffd,0x87ffffc0,
    0xfff2fffc,0x7ffff71f,0x7009fff3,0x9001ffff,0xfffb8fff,0xffffb05f,
    0xffffffff,0x80005fff,0x005ffff8,0x003ffff9,0x22fffd40,0x7fcc7ffd,
    0x6fffd82f,0x00bffff6,0xdffff100,0x09fffd00,0x07fffb80,0x0037ffec,
    0x3ffffe00,0x3a7fff70,0xffffefff,0x02ffffff,0x10ffffb8,0x4dffb059,
    0x03fffff9,0xffffffd1,0x5fffffff,0x3ff60000,0x7fc400ff,0x220006ff,
    0x7e40fffe,0x3ffee0ff,0x26fffd81,0x005ffffb,0x27fffd40,0x027fff40,
    0x01fffee0,0x000dfffb,0x0fffff80,0x3ee7fff7,0xffffffff,0x7005ffff,
    0x3e21ffff,0xffebceff,0xfffffdbe,0x3ffa200f,0xffffffff,0x2600002f,
    0x5c03ffff,0x0002ffff,0x2e0bfff2,0xffd14fff,0x9bfff60f,0x00fffff8,
    0x3ffff600,0x4fffe800,0x3fffdc00,0x01bfff60,0xfffff000,0x453ffea1,
    0xf8cfffff,0x2006ffff,0xf10ffffb,0xffffffff,0xffffffff,0x3ff26005,
    0x00beffff,0xfffe8000,0x3ffff407,0xbfff3000,0x3bfffe20,0xfb03ffff,
    0xfffd8dff,0xff10002f,0x3fa00bff,0x7dc004ff,0x7fec07ff,0x7c00006f,
    0xff30ffff,0x1f7ec4df,0x0017bfb5,0x887fffdc,0xffffffff,0xffffffff,
    0xfff88003,0x4000006f,0x302ffffb,0x0009ffff,0x7007fff4,0xdfffffff,
    0x237ffec0,0x006ffffa,0x05ffff90,0x013fffa0,0x80ffff70,0x0006fffd,
    0x87ffffc0,0x000ffff8,0xfffb8000,0xfffff10f,0xffffffff,0x7400019f,
    0x0000ffff,0x3fffe200,0x1ffffb06,0x3fff2000,0xffffa803,0x7ffec04f,
    0x4ffffe86,0x7fffcc00,0x3fffe007,0x7ffd4003,0x3fff600f,0x3e200006,
    0x7ff47fff,0x8000003f,0x220ffffb,0xffffdca9,0x0000acde,0x0effffc8,
    0x40000e44,0x441ffffc,0x0005ffff,0x03510000,0x21bfff60,0x01fffff9,
    0x0fffffa0,0x17fffc40,0x3fffe600,0x1bfff601,0xfff98000,0x37ffdc5f,
    0x7dc00000,0x7e400fff,0x5000007f,0x99ffffff,0x0000dffb,0xc89ffff1,
    0x0001ffff,0xb0000000,0x3f20dfff,0xf7005fff,0x6400bfff,0x4001ffff,
    0x205ffff8,0x0006fffd,0x13ffff60,0x009ffff1,0xfffb8000,0x37fec00f,
    0xffb00000,0xffffffff,0xfb00007f,0x7ffc1fff,0x0000006f,0x3ff60000,
    0xfffd106f,0xfff9809f,0xff7000ff,0xd0001fff,0x3609ffff,0xbb806fff,
    0x3fffea00,0xffffc82f,0x8004a803,0x400ffffb,0x00005fff,0x3ffffe20,
    0x06ffffff,0xaaaa8800,0x03555510,0x00000000,0x037ffec0,0x09fffff5,
    0x0bffffe6,0xffffeeb8,0xf50003ff,0x7ddfffff,0x3bbffff6,0x3ff26eee,
    0xffdcaace,0xff305fff,0x2215bfff,0x2e05feb9,0xffeeeeee,0x3fe200ff,
    0x4000003f,0xffffffc8,0x000004ff,0x00000000,0xffd80000,0x7ffdc06f,
    0x7ffc43ff,0x7fe405ff,0x006fffff,0x7ffffec0,0xffffb4ff,0x64ffffff,
    0xffffffff,0x200fffff,0xfffffff9,0x05ffffff,0x3ffffff2,0x2600ffff,
    0x00002fff,0x9b975100,0x00000015,0x00000000,0x3ff60000,0xfffc806f,
    0xfffd11ff,0xfff900bf,0x0001bfff,0xfffffc88,0xfffffb4f,0x7e4fffff,
    0xffffffff,0xf9801eff,0xffffffff,0x3f205fff,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0xb0000000,0x3200dfff,0x7fe44fff,0xfff9005f,
    0x8000039d,0xb4fffec9,0xffffffff,0x7fff54ff,0x02ffffff,0x7fffec40,
    0x402dffff,0xfffffffc,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00dfffb0,0x5fb827e4,0x00026200,0x21310000,0x99999998,0xcaa88199,
    0x80001abc,0x009abca8,0x33333310,0x00003333,0x00000000,0x00000000,
    0x00000000,0x037ffec0,0x000500a0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36000000,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0dfffb00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a600000,0x000002aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04026000,0x0004c400,0x00019880,0x677fcc00,0x000001ab,
    0x4c7ffff6,0x000eeeee,0x00bbbbb6,0x0af3b2e6,0x5bb70000,0xdffff100,
    0xfffa8000,0x440003ff,0xf9809aa9,0xffffffff,0xdb98005f,0xcceffffe,
    0xdddd11fe,0x7ffff5c1,0x3b22001d,0xeeefffff,0x2a04eeee,0x7fcc2efe,
    0x01efffff,0xfffd8000,0x3ffffe1f,0xffff1003,0x7ff4401f,0x01dfffff,
    0xffffd800,0x7fffc402,0x7fcc0006,0x88002fff,0xfffffffc,0x3fffe63f,
    0x05ffffff,0x7ffffe40,0xffffffff,0x13ffff11,0xfffffffd,0xfff7005f,
    0xffffffff,0x2a0bffff,0x263fffff,0xffffffff,0x200001ef,0x321ffffd,
    0x7006ffff,0x540bffff,0xffffffff,0x20001fff,0x07fffff9,0x037fffc4,
    0x3fffe600,0x7fe4002f,0xffffffff,0x3ffffe64,0x005fffff,0xffffffd3,
    0xffffffff,0x2bfffe23,0xfffffffe,0x3ea03fff,0xffffffff,0x5fffffff,
    0xffffffd0,0x7fffffcc,0x001fffff,0x3ffffb00,0x0fffffcc,0x17ffff40,
    0xffffff88,0x0effffff,0xffff5000,0xfff880ff,0x7cc0006f,0x2002ffff,
    0xfffffffb,0x3e64ffff,0xffffffff,0xfff8805f,0xfeeeffff,0xf11fffff,
    0xffffffff,0xffffffff,0x3ffffe20,0xffffdaac,0xf884eeef,0x10ffffff,
    0xfffffdb9,0x0001ffff,0x83ffffb0,0x404ffffe,0x207ffff9,0x89dffffd,
    0x03ffffea,0xfffff300,0xffff880d,0x7fcc0006,0xf3001fff,0x99dfffff,
    0xf5009fdb,0xf900bfff,0xb017ffff,0x3e23ffff,0xbfffffff,0xfffffc88,
    0x2ffffc83,0x06ffff88,0xfffffff8,0x3fff2200,0x80006fff,0x541ffffd,
    0x6407ffff,0x3e04ffff,0xff986fff,0x320005ff,0x4402ffff,0x0006ffff,
    0x0fffffc4,0xeffffd80,0x3ea00201,0x7cc05fff,0x3602ffff,0xff11ffff,
    0x360dffff,0xfd86ffff,0x3ff206ff,0x7fe401ff,0xf1005fff,0x003fffff,
    0x1ffffd80,0x02fffff8,0x407ffffe,0xd03ffff9,0x8000dfff,0xf8801cca,
    0x40006fff,0x01fffff8,0x03ffffd0,0xffff5000,0xffffd80b,0x7fffec06,
    0xdfffff11,0x3fffe601,0x27fffc0f,0x07ffff30,0x01bfff90,0x7ffffcc0,
    0xd84c4003,0xfc81ffff,0xff505fff,0x7fd40dff,0xffff02ff,0x8000000b,
    0x106ffff8,0xffff1001,0x3ffe003f,0xf500007f,0xfe80bfff,0x7ec02fff,
    0xfff11fff,0xfff801ff,0x7fffc1ff,0x3fffe605,0x00131002,0x17ffffe0,
    0xffffb930,0x03ffffff,0x01fffff3,0x405ffffb,0x984ffff8,0x0003ffff,
    0x7ffc4000,0x3fff6e5f,0x3ffe01df,0xff9800ff,0x500005ff,0xf80bffff,
    0x6c00ffff,0xff11ffff,0xffd00dff,0xfffe85ff,0xffff700f,0x20000003,
    0x105ffffd,0xfffffff9,0x03ffffff,0x10fffffa,0xf00fffff,0x7441ffff,
    0x9801ffff,0xeeeeeeee,0x7fc404ee,0xffffb5ff,0x3e05ffff,0x9800ffff,
    0x0005ffff,0x0bffff50,0x03ffffcc,0x88ffffec,0xd806ffff,0x7e43ffff,
    0xff883fff,0x000007ff,0x0fffffa0,0x3fffffe6,0xffffffff,0xffff701f,
    0x4ffffa8d,0x4ffffd80,0x09ffffd3,0x3ffffe60,0x405fffff,0xfddffff8,
    0xffffffff,0xfffff83f,0xffff9800,0xff500005,0x7fd40bff,0xffd806ff,
    0xffff11ff,0xffffb00d,0xfffff887,0xffffcacf,0x0000003f,0x85fffff5,
    0xfffffff8,0xfffffeee,0xffff101f,0x7fffec3f,0xffff8801,0x5fffffdf,
    0x3fffe600,0x05ffffff,0x7fffffc4,0xffffffff,0xffff87ff,0xffff3007,
    0x3ea0000b,0x3ea05fff,0xfd806fff,0xfff11fff,0xfffb00df,0xffff705f,
    0xffffffff,0x3000000b,0x0dfffff7,0x17fffff9,0x03ffffb0,0x89ffffe4,
    0x2006ffff,0xfffffffb,0x7cc004ff,0xffffffff,0x7ffc405f,0x88bfffff,
    0x43fffffc,0x74c7fffe,0xfffeeeee,0xeeeeeeff,0xfff5005e,0x7ffcc0bf,
    0xfffd807f,0xdffff11f,0x3ffffd00,0xffffff88,0x0cffffff,0xffb80000,
    0xffffffff,0x7ffffcc2,0x3ffff602,0x3fffe601,0x07ffff76,0xfffffe80,
    0x200002ef,0x405ffffa,0x6ffffff8,0x8dffffb0,0x7d47fffe,0xffffffff,
    0xffffffff,0xfff5006f,0x7ffc40bf,0xfffe807f,0xdffff11f,0x7ffff880,
    0xecdfffd8,0x000ceeff,0x2e02cb88,0xffffffff,0xffffd83f,0x7fffec06,
    0x7ffff401,0x00ffffe9,0x3ffffea0,0xa800007f,0x4405ffff,0x00efffff,
    0x41fffff3,0x7d47fffe,0xffffffff,0xffffffff,0xfff5006f,0xffff80bf,
    0x3fff601f,0xffff11ff,0xffffc80d,0x07fffcc6,0x3fe20000,0xffa80eff,
    0x01efffff,0x805ffffd,0x401ffffd,0xffdffffb,0x3f2005ff,0x4fffffff,
    0x017fffcc,0x0bffff50,0x0fffff88,0x0fffffc0,0xfa8ffffd,0xffffffff,
    0xffffffff,0xfff5006f,0xfffe80bf,0xffff905f,0x3ffe23ff,0x3ffe206f,
    0x7ffd44ff,0x6400000f,0xa85fffff,0x01beffff,0x007ffffc,0x007ffff6,
    0xfffffff1,0x3ee003ff,0xffffffff,0x3fffe62f,0x3ffea001,0x7ffc405f,
    0xfffe806f,0x1bfff62f,0x2ffffcc0,0xfffa8000,0x7ffd405f,0x3ff663ff,
    0xf11fffff,0x3e60dfff,0xfa86ffff,0x0001dfff,0x3fffffa0,0x7fffd41f,
    0xffff9801,0xffffd807,0xffffc801,0xf1006fff,0xff95ffff,0x3fea3fff,
    0x3ea000ff,0x7c405fff,0xfd806fff,0x3ff63fff,0xfff3006f,0x2a0000bf,
    0xf805ffff,0xfeffffff,0xffffffff,0xdfffff11,0xffffd99b,0xfff103ff,
    0xffffffff,0x3a0059bd,0x43ffffff,0x801ffff9,0x806ffffa,0x801ffffd,
    0xfffffff9,0xffff9003,0x7ffffec7,0x007fffb8,0x02ffffd4,0x01bfffe2,
    0xd8fffff6,0xf3006fff,0x0000bfff,0x017fffea,0x3fffffee,0xffdfffff,
    0xffff11ff,0xffffffff,0x7dc09fff,0xffffffff,0x02efffff,0x7fffffd4,
    0x0ffffcc4,0x37fffd40,0x0ffffec0,0xfffffe80,0x3fffe007,0x7ffff447,
    0x006fffde,0x02ffffd4,0x01bfffe2,0xd8bffff6,0xf3005fff,0x0000bfff,
    0x017fffea,0x7fffffdc,0xfffcafff,0xfffff11f,0xffffffff,0xfffb003d,
    0xffffffff,0xc805ffff,0x444fffff,0x9800cccc,0xd807ffff,0x7001ffff,
    0x007fffff,0x217fffe2,0xfffffff9,0x7d4004ff,0x7c405fff,0xfe806fff,
    0x332a1fff,0xfff3003c,0x2a0000bf,0x2005ffff,0xdfffffea,0x23ffff90,
    0xfffffff8,0x003effff,0xdddffff9,0xfffffddd,0xffe801ff,0x100002ff,
    0xd00fffff,0x2003ffff,0x00fffffb,0x09ffff30,0x3fffffea,0x7d4001ff,
    0x7c405fff,0x7c406fff,0x00007fff,0x00bffff3,0x3fffea00,0xaa988005,
    0x8ffffe40,0x98effff8,0x7dc0009a,0x2e205fff,0x402fffff,0x001ffffc,
    0x3ffffe00,0x3ffff601,0xfff8801f,0x3e6004ff,0x3f205fff,0x006fffff,
    0x05ffffa8,0x037fffc4,0x01bffff2,0x7fffcc00,0xff500005,0x00000bff,
    0x223ffffb,0x0006ffff,0x03ffffc4,0x04ffffc8,0x443ffff4,0xd000dffc,
    0x320bffff,0x01ffffff,0x0fffffd8,0x7ffffc00,0x3ffff601,0xffa8003f,
    0x7fc405ff,0x3fe206ff,0x76c44fff,0xfff3001d,0x2a0000bf,0x0005ffff,
    0x1ffffd80,0x00dffff1,0x5ffffa80,0x5ffff900,0x17fffd40,0x037fffec,
    0x3fffffa8,0x3fffff66,0x3f6201ff,0x8002ffff,0x81effffe,0xefffffd9,
    0x7ffd4000,0x7ffc405f,0xffff306f,0xffff88df,0xfff9800f,0xf500005f,
    0x0000bfff,0x23ffffb0,0x006ffff8,0x7ffffd40,0x7fffc401,0x3f6a620f,
    0xff884fff,0xf001ffff,0xfdffffff,0xffffffff,0x7fee66c3,0x0004ffff,
    0xdffffff5,0xfffffd99,0xa800bfff,0x4405ffff,0xcdefffff,0xffffffec,
    0x7ffffdc1,0xffff9804,0x77774005,0xfffffeee,0x004eeeee,0x47ffff60,
    0x006ffff8,0x7ffffc40,0x7fdc41ae,0x3fea5fff,0x305fffff,0x05ffffff,
    0x3ffffee0,0xfbffffff,0x3ffa1fff,0x05ffffff,0x7fffe400,0xffffffff,
    0x84ffffff,0xfeeeeeee,0xeeeeffff,0xfffff14e,0xffffffff,0xfff909ff,
    0xff300bff,0xff800bff,0xffffffff,0x5fffffff,0x3fff6000,0xdffff11f,
    0xfffb0000,0xffffffff,0x41dfffff,0x2efffffa,0x7fffffc0,0x3ffee000,
    0x8affffff,0x3fa1ffff,0x03ffffff,0xffff9000,0x9fffffff,0x87fffff7,
    0xffffffff,0xffffffff,0xfffff15f,0xffffffff,0x3ffea03d,0xff9803ff,
    0x7fc005ff,0xffffffff,0x5fffffff,0x3fff6000,0xdffff11f,0x3ff60000,
    0xffffffff,0x540dffff,0x3003ceff,0x0005ffff,0xbfffffd5,0xd0ffffc1,
    0x03dfffff,0xffd98000,0x21dfffff,0x21fffffc,0xffffffff,0xffffffff,
    0x3ff6e65f,0x3effffff,0x05fffc80,0x0bffff30,0xffffff80,0xffffffff,
    0x20005fff,0xf11ffffd,0x0000dfff,0x7ffffed4,0x01dfffff,0x54400011,
    0x4c40000a,0x654000aa,0x000009ac,0x01aaa980,0x3ffffe00,0xffffffff,
    0x2205ffff,0x80009a99,0x3e6001a9,0x00005fff,0x44000000,0x4ccc1999,
    0x88000009,0x9aaccaa9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffffc0,0x02880000,
    0x1bfffe20,0x04c00000,0x26200000,0x4c400001,0x01100000,0x02666000,
    0x01988000,0x02662000,0xdddddd30,0xdddddddd,0xba98001d,0xf81eeedc,
    0x00007fff,0x01ffb2a0,0x06ffff88,0xfd950000,0x0037bfff,0xffedba80,
    0x000bdfff,0xffffd973,0x50037bff,0x9bffffb9,0xfdb51001,0x3bdfffff,
    0x7ff64400,0x001dffff,0x3ffffb6e,0x7cc3deff,0xffffffff,0x00ffffff,
    0xfffffc98,0xff81ffff,0x000007ff,0x00fffff1,0x037fffc4,0x3ff62000,
    0xffffffff,0xffe98003,0xffffffff,0xfffc804f,0xffffffff,0x3ff200ff,
    0xffffffff,0x7fffdc01,0xffffffff,0x7ffdc00d,0xffffffff,0x3ffaa01e,
    0xffffffff,0x7fffcc7f,0xffffffff,0x36200fff,0xffffffff,0xfff81fff,
    0x1000007f,0x400fffff,0x006ffff8,0x3fffea00,0xffffffff,0x3fee004f,
    0xffffffff,0x3a604fff,0xffffffff,0x80ffffff,0xffffffe8,0x03ffffff,
    0x3fffffee,0xefffffff,0xfffff900,0xffffffff,0xffff901f,0xffffffff,
    0xffff98ff,0xffffffff,0xfd100fff,0xffffffff,0xfff03fff,0x200000ff,
    0x007ffff8,0x01bfffe2,0x7fffcc00,0xffffffff,0xfd805fff,0xffffffff,
    0x704fffff,0xffffffff,0xffffffff,0xfffff881,0xfffffeff,0xfff702ff,
    0xffffffff,0xff50bfff,0xfd9dffff,0xa8dfffff,0xffffffff,0x47ffffff,
    0xfffffff9,0xffffffff,0xffffe880,0xaabcdeff,0x7ffff80a,0xff100000,
    0x7c400fff,0x00006fff,0x7dfffffd,0xfffffb75,0x7ffdc03f,0xaabdefff,
    0xf984ffdc,0xcdffffff,0xfffdcaaa,0x7ffffe40,0xffff710b,0x2b3ae0df,
    0x3ffee209,0x7ff40fff,0xffa80cff,0xfff10fff,0x11339fff,0xf98fb753,
    0x40002fff,0x0dfffffd,0x7ffff800,0xff100000,0x7c400fff,0x80006fff,
    0x03fffffa,0x0bfffff5,0x3fffffe2,0x6c154403,0x00efffff,0x3fe20da8,
    0xff302fff,0x40005fff,0x21fffffb,0x407ffff8,0xf52ffffe,0x2003ffff,
    0x17fffcc0,0xffff3000,0x7fc0005f,0xc80007ff,0xfffeeeee,0xeeeeeeff,
    0x3fffe26e,0xd0009886,0xb809ffff,0xc80fffff,0x002fffff,0x3ffffea0,
    0x7fdc0004,0x7fe404ff,0x220006ff,0x263fffff,0x5c04ffff,0xff72ffff,
    0x4c000dff,0x0002ffff,0x013ffff6,0x0fffff00,0x6f7776c4,0x3fffff60,
    0xffffffff,0x3e27ffff,0x3fae5fff,0xf500dfff,0xf001ffff,0xf889ffff,
    0x0004ffff,0x037ffff4,0x3fffe200,0x7ffc401f,0x360001ff,0x3e62ffff,
    0x7e405fff,0xfff91fff,0x7cc000df,0x20002fff,0x000fffff,0x03ffffc0,
    0x85fffffb,0xfffffffd,0xffffffff,0x3ffe27ff,0xffffe8df,0xfb82ffff,
    0xf9005fff,0xffb8bfff,0x20001fff,0x03fffff9,0x7fffcc00,0xffffd806,
    0x3fa0002f,0x3fe21fff,0xff102fff,0x7ffdcdff,0xf30002ff,0x20005fff,
    0x006ffff9,0x07ffff80,0x07fffff9,0xfffffffb,0xffffffff,0x7ffc4fff,
    0xfffffedf,0x640fffff,0x5003ffff,0xfc8dffff,0x40005fff,0x007ffffa,
    0x3ffffa80,0x3ffffa60,0xf50003ff,0xffb0dfff,0xfe887fff,0x3fea3fff,
    0x000cffff,0x66ffffcc,0x5c00aabc,0x9534ffff,0xf8013799,0xffa87fff,
    0x22004fff,0x2007ffff,0xfffffff8,0xffffffff,0x7ffff44f,0xffff3002,
    0x4ffffe8f,0x7ffdc000,0xfb80005f,0xff702fff,0x09ffffff,0xffffc880,
    0xffff981f,0xfffaaeff,0x7ffc45ff,0x01cfffff,0xffffff30,0x05bfffff,
    0x3bbffff6,0xffffffff,0xfffff00c,0x5fffff98,0x7fffc400,0x3ffe2007,
    0xa8bfffff,0x7c7ffffe,0x1001ffff,0x7c1fffff,0x0003ffff,0x427fffe4,
    0xccccccc9,0xffff90cc,0xffffd885,0x205fffff,0xffffeeed,0x3ea00dff,
    0xffffffff,0xff505fff,0xdfffffff,0x7ffcc017,0xffffffff,0x7fec0eff,
    0xffffffff,0x81ffffff,0x3e27ffff,0x8006ffff,0x007ffff8,0x3fffffe2,
    0xfffff986,0x03ffffe0,0x7ffffc40,0x5fffff11,0xfffe8000,0xffffa83f,
    0xfb1fffff,0x7fd43fff,0xfffcffff,0x3fffa06f,0x005fffff,0xfffffff3,
    0xfc807fff,0xffffffff,0xff980cff,0xffffffff,0x7f46ffff,0xffffffff,
    0x6fffffff,0x3a7ffff8,0x000effff,0x07ffff88,0x3ffffe20,0xfffff00e,
    0x3ffffe63,0x3fffe000,0xfffff31f,0xfff80003,0xfffa82ff,0xd1ffffff,
    0x3f21ffff,0xff1effff,0x7ff40fff,0xefffffff,0xffff9803,0x01efffff,
    0x7fffffd4,0x41efffff,0xcbaaaaa8,0xfffffffc,0x3fffffa5,0xffdbbcef,
    0x7fc4ffff,0xfffd8fff,0xf10000ff,0x4400ffff,0x200fffff,0xf11ffffd,
    0x4001ffff,0xf31fffff,0x0003ffff,0x82fffff8,0xfffffffa,0xffffd1ff,
    0xbfffffd5,0x1bfffe21,0xffffffe8,0x00efffff,0xfffffff7,0x805fffff,
    0xffffffb8,0x001fffff,0x7fffffa8,0x077ffffe,0x3fffff44,0x3f3ffffe,
    0x0001ffff,0x01ffffe2,0x06ffff88,0xf0ffffec,0x2003ffff,0x227ffff8,
    0x002fffff,0x1fffff40,0x7f66664c,0xfffb1fff,0x7fffffff,0x05ffff98,
    0xffd75310,0xff90dfff,0xfff9bfff,0x2005ffff,0xffffffda,0xf50006ff,
    0x3fa3ffff,0x7cc02fff,0x3fe0ffff,0xffffffff,0x7fc40002,0x3e2007ff,
    0x7ec06fff,0x3ffe1fff,0xff3001ff,0xffff8dff,0x7ec0003f,0xfb004fff,
    0x3ff23fff,0x1effffff,0x04ffff98,0x3ffff200,0x3fffee2f,0x3fffa62f,
    0x22000fff,0xfffffffc,0xffff0002,0x3ffff65f,0xffffe803,0x3fffffe2,
    0x0005ffff,0x03ffffc4,0x0dffff10,0x21ffffd8,0x002ffffe,0xe8bffff3,
    0x0004ffff,0x02ffffdc,0x71ffffd8,0x9fffffff,0x1ffffd40,0x3fff6000,
    0xfffff14f,0x3ffff203,0xfe88003f,0x0004ffff,0x329ffffb,0xd804ffff,
    0x3fe3ffff,0xffffafff,0x3e20004f,0x22007fff,0x6c06ffff,0x3f61ffff,
    0xf9005fff,0xffd89fff,0x20000fff,0x00fffffa,0x51ffffd8,0x05ffffff,
    0x02ffffc8,0x7fffdc00,0x09ffff76,0x05ffffd8,0xfffff100,0x3ffa000d,
    0xffff72ff,0xffffd00b,0xbbffffc5,0x002fffff,0x0fffff10,0x37fffc40,
    0x87ffff60,0x007ffffc,0xc87ffffd,0x003fffff,0x3ffffe60,0xffffd803,
    0x1fffff31,0x3fffff00,0xfffb8000,0x3ffffb5f,0x6ffff980,0x3fff6000,
    0xff88005f,0xfff50fff,0xfff801ff,0x3fffe0ff,0x3fffff67,0xfff88001,
    0xff1000ff,0xffd80dff,0x3ffe21ff,0x7fd402ff,0x7fc40fff,0x0001ffff,
    0x03fffffa,0x43ffffb0,0x404ffffe,0x005ffffa,0x4ffffd80,0x803ffffd,
    0x006ffff8,0x13ffff60,0x3ffffa00,0x1fffffc6,0x8fffff90,0x3e27ffff,
    0x000fffff,0x02fffff8,0x0dffff10,0x41ffffd8,0x01fffffd,0x07fffff3,
    0x3ffffff2,0x7cc2a802,0x201fffff,0x2a1ffffd,0x101fffff,0x003ffffd,
    0xfffffa80,0x05ffffb2,0x54ffffa8,0x7ffd4001,0x440352ff,0x3fffffeb,
    0x1fffffdc,0x1fffffe4,0xf51ffffe,0x000dffff,0x40dffffd,0x1bfffe20,
    0x83ffffb0,0xcffffff9,0xffffba8a,0xfff100ff,0x357bffff,0xb09ff953,
    0x79ffffff,0x3fffa623,0x7ffff41f,0x7fff4c2e,0x9801305f,0x0ffffffc,
    0x03fffff7,0x4fffffe6,0x209aceff,0xfffffc98,0xddfffb0f,0xfffffffd,
    0xffff109f,0xfffddfff,0xfff0dfff,0xffff90ff,0xffd8009f,0xdcccffff,
    0x3fffe27e,0x7fffec06,0xfffffe81,0xffffffff,0x7fdc03ff,0xffffffff,
    0x884fffff,0xffffffff,0xffffffff,0x7fffd41f,0xfffedfff,0xff881fff,
    0xfffeeeff,0x21ffffff,0xfffffff9,0xffffdccd,0xfffff0ef,0xffffffff,
    0x7ec7ffff,0xffffffff,0x2a05ffff,0xffffffff,0x80ffffff,0xfd07ffff,
    0x4007ffff,0xfffffff8,0x3e27ffff,0x7ec06fff,0xfd881fff,0xffffffff,
    0x7004ffff,0xffffffff,0x09ffffff,0x3fffffa6,0xffffffff,0xfffc81ff,
    0xffffffff,0xfff102ff,0xffffffff,0xf705ffff,0xffffffff,0x43ffffff,
    0xffffffff,0xffffffff,0x7ffffec4,0x2effffff,0xffffe980,0x0dffffff,
    0x20fffff0,0x1ffffff8,0x3fffea00,0x27ffffff,0x406ffff8,0x201ffffd,
    0xfffffffc,0x4002ffff,0xffffffe8,0x04ffffff,0x7fffffe4,0xffffffff,
    0xfffff500,0x03dfffff,0x7fffffc4,0xdfffffff,0x3ffff201,0xffffffff,
    0x7ffffc1e,0xffffffff,0xfffd83ff,0x2dffffff,0x7ff64400,0x402effff,
    0x2a07ffff,0x00ffffff,0x3ffff620,0x3e26ffff,0x7ec06fff,0x6d401fff,
    0xceffffff,0x3b6e0000,0xceffffff,0xffdb3001,0x5bffffff,0xffffb300,
    0x88019dff,0xffffffff,0x1000ceff,0xfffffff9,0x3f6e05df,0xffffffff,
    0x54c403ef,0x00001aaa,0x8006aa62,0x6407ffff,0x006fffff,0x9aaaa988,
    0x37fffc40,0x07ffff60,0x009a9880,0x33530000,0x55300001,0x44000335,
    0x988001aa,0x009aaaa9,0xaaa98800,0x2a620009,0x00019aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00031000,0xd3000c40,0xdddddddd,0x227ddddd,
    0x9004eeee,0x3a63dddd,0xeeeeeeee,0xeeeeeeee,0xdddd32ee,0xdddb0001,
    0x3bbbba65,0x02bcdeee,0x9ddddb10,0x3bbbb600,0x17bbbae5,0x7dddd900,
    0x0f777774,0x07bbba60,0x40ddddd9,0x05eeeee8,0xfec88000,0x002defff,
    0x3fffb6e6,0x3fe602df,0xffffffff,0xff34ffff,0x3f600dff,0xfff51fff,
    0xffffffff,0xffffffff,0x03fffe67,0x4bfffa00,0xfffffffa,0x0cffffff,
    0x7ffffe40,0x7fffdc01,0x3fffe22f,0xfff1002f,0x7fffc1ff,0x7fcc05ff,
    0x7fff42ff,0xfff502ff,0x3faa0dff,0xfff7002e,0xbfffffff,0x7ffe4401,
    0xefffffff,0xfffff981,0xffffffff,0xdffff34f,0x3ffff600,0xffffff51,
    0xffffffff,0x267fffff,0x8001ffff,0xff51ffff,0xffffffff,0x401fffff,
    0x05fffff8,0x437ffffc,0x006ffffc,0xf89ffffb,0x00ffffff,0xd0bfffe6,
    0x209fffff,0x87fffffd,0x03fffffa,0x3fffffa2,0xffffffff,0xffffea81,
    0xffffffff,0x7fffcc0f,0xffffffff,0xffff34ff,0x3fff600d,0xfffff51f,
    0xffffffff,0x27ffffff,0x001ffff8,0xf51ffff8,0xffffffff,0x1dffffff,
    0x7ffffdc0,0xfffff701,0xfffff103,0xffff8805,0x7ffffc0f,0x3fe604ff,
    0x7fffc2ff,0xffff07ff,0xfffd0fff,0x7fec0fff,0xffffffff,0x7cc5ffff,
    0xffffffff,0x45ffffff,0xaaaaaaa8,0x4ffffdaa,0x00dffff3,0x447ffff6,
    0xfaaaaaaa,0xaaabffff,0xfff11aaa,0xfff0003f,0x3fffea3f,0xffdcaaae,
    0x7404ffff,0xff06ffff,0x7e40bfff,0x7ec06fff,0xfff84fff,0x300fffff,
    0xff85ffff,0x4c1fffff,0x47ffffff,0xfffffff8,0xfffffa80,0xfffb311d,
    0xfffc85ff,0xffca9bdf,0x8001ffff,0xf34ffffc,0x3600dfff,0xf001ffff,
    0x2001ffff,0x8001ffff,0xff50ffff,0x3fe60bff,0x7d405fff,0x7dc2ffff,
    0x2201ffff,0x302fffff,0xf01fffff,0x7fffffff,0x0bfffe60,0x9fffffff,
    0xffffffc8,0x7ffffc0f,0xfffe80ff,0x3fff605f,0x00dfd86f,0x07fffff5,
    0x9ffff900,0x01bfffe6,0x00ffffec,0x00fffff8,0x005ffff0,0x2a1ffff0,
    0x2e05ffff,0xe807ffff,0x7fc6ffff,0xfc804fff,0xffb05fff,0x3ffe09ff,
    0x307fffff,0x7c45ffff,0x46fffeff,0xffffefff,0x7ffffe40,0xfffff885,
    0x3fffe600,0x7401c41f,0x8004ffff,0xf34ffffc,0x3600dfff,0xf001ffff,
    0x2001ffff,0x4002ffff,0x3ea7fff8,0x3e605fff,0x4c00ffff,0xf72fffff,
    0x1001ffff,0x983fffff,0xf00fffff,0xffffffff,0x5ffff307,0x7eefffc4,
    0x7fff30ff,0xf901fffd,0xff301bff,0xffd00dff,0x320005ff,0x8006ffff,
    0xf34ffffc,0x3600dfff,0xf001ffff,0x2001ffff,0xcc82fffe,0x3fffc41c,
    0x40bffff5,0x007ffff8,0xf1dffffb,0x4007ffff,0x6c5ffffc,0x3e04ffff,
    0xffffcfff,0x2ffff986,0x3ef7ffe2,0x3fff93ff,0x2203fffd,0x3ffee009,
    0xfffc805f,0xff90003f,0xf9000bff,0x3fe69fff,0xffb006ff,0x3fe003ff,
    0xfd000fff,0xfff987ff,0x53fffc44,0x540bffff,0x3006ffff,0xffdfffff,
    0x44001fff,0xf10fffff,0x7c01ffff,0xfffcbfff,0x7fffcc2f,0x237ffe62,
    0xdffd5fff,0x0007fffa,0x06ffffa8,0x04ffffb8,0x9ffffb00,0xffff9000,
    0x1bfffe69,0x0ffffec0,0x0fffff80,0x87fffb00,0x7cc6fffc,0x3ffea6ff,
    0xffff105f,0x7fe4009f,0x3fffffff,0xffffc800,0x09ffff94,0xf9bffff8,
    0x7fcc6fff,0x3ffe62ff,0xff1fffd5,0x0bfffa7f,0xffff9800,0x7ffdc00f,
    0xff88005f,0xc8002fff,0xff34ffff,0x3f600dff,0xff001fff,0x36001fff,
    0x7ff43fff,0x3ffe61ff,0x97fffea6,0xfffffc98,0x3fe2000f,0x06ffffff,
    0xfffff100,0x01fffff1,0xfb3ffff8,0x7fcc3fff,0x3ffea2ff,0xff9fff95,
    0x0bfff63f,0xfffff000,0x7ffe401b,0xffb8006f,0xc8000fff,0xff34ffff,
    0x3f600dff,0xff001fff,0x32001fff,0x3fe23fff,0x3fe63fff,0x3fffea5f,
    0xffffffff,0xb8001eff,0x2fffffff,0x3fff2000,0x04ffffef,0xf53ffff8,
    0x7fccbfff,0x3ffea2ff,0xffffff34,0x01fffecd,0x3ffffa00,0xfca9adff,
    0x006fffff,0x1fffffc4,0xffffc800,0x0dffff34,0x07ffff60,0x07ffffc0,
    0x24fffc80,0x26fffffb,0x3ea5fff9,0xffffffff,0x000cefff,0xffffff30,
    0x7c40001f,0xffffffff,0x3ffff800,0x4c3ffffa,0x3ea2ffff,0x3fffe4ff,
    0x3fff64ff,0x7fcc0003,0xffffffff,0x6fffffff,0x7ffff400,0xff90000f,
    0x3ffe69ff,0xfffb006f,0x3ffe003f,0xff7000ff,0x7fffec9f,0x9fff50ff,
    0x7fffffd4,0x00efffff,0x7fffec00,0x40004fff,0xfffffffc,0x7ffff004,
    0x9a7fffdc,0x3ee2ffff,0x3fff64ff,0x3fff61ff,0xffb80003,0xffffffff,
    0x05ffffff,0x3fffff60,0x3ff20001,0xffff34ff,0x3fff600d,0xffff001f,
    0x3fee001f,0xfdfff14f,0x3ffea7ff,0x3ffffea4,0xffffffff,0xfff50001,
    0x03ffffff,0x7fffc400,0xff000fff,0xffff87ff,0x2ffff98f,0xfa8fffee,
    0x7fe47fff,0x1ded984f,0xffffea80,0xffefffff,0xff9004ff,0x80007fff,
    0xf34ffffc,0x3600dfff,0xf001ffff,0x2001ffff,0xff55fffb,0x2abfff5f,
    0x3fea4fff,0xfff715ff,0x3a000dff,0xffffffff,0x7e40005f,0x2004ffff,
    0x7e43ffff,0xfff9bfff,0x8ffff22f,0x644ffff8,0x7fcc4fff,0x95002fff,
    0x9159dddb,0x9007ffff,0x009fffff,0x9ffff900,0x01bfffe6,0x00ffffec,
    0x00fffff8,0x36bfff50,0x1ffff6ff,0x7d47fff7,0x7fd45fff,0x5c003fff,
    0xffcfffff,0x20002fff,0x00fffff9,0x10ffffe0,0xff3dffff,0x7ffe45ff,
    0x20ffff43,0x7f45fffc,0x0007ffff,0x0bffffa0,0x9fffff70,0x3ff20000,
    0xffff14ff,0x3fffa00d,0xffff000f,0x3fea001f,0x367fff6f,0xfffbafff,
    0x17fffea3,0x03fffff2,0x7ffffc40,0x0dffffd4,0x7fffc400,0x7fffc007,
    0xcffffc83,0x3f22ffff,0x3ffdc3ff,0xf12fffe4,0x01ffffff,0xffff1000,
    0x7ffdc01f,0x200004ff,0x3e3ffffd,0xff007fff,0x7fc00fff,0xf3000fff,
    0x3fff5dff,0x3f33ffea,0x3ffea2ff,0xffff885f,0xfff9003f,0x3ffea1ff,
    0xf10003ff,0xf800ffff,0xff983fff,0x2fffffff,0x000bfff6,0xff8bfff7,
    0x000fffff,0x5ffffb80,0x3ffffee0,0x7fc00004,0x3ffa1fff,0x7fc401ff,
    0x3fe005ff,0xf3000fff,0x4dff9dff,0xffcffff8,0x3fffea2f,0xfffffb05,
    0xfffff100,0xfffffe89,0xfff88000,0x7ffc007f,0xffffb03f,0x7ec5ffff,
    0x7dc002ff,0x7ffe46ff,0x980005ff,0x701fffff,0x007fffff,0x3fee00d4,
    0x3ff60fff,0x7fe405ff,0x3fe004ff,0xf1000fff,0x89ffddff,0xfffefffd,
    0x17fffea1,0x1fffffcc,0x3fffff60,0x7ffffd40,0xfff88005,0x7ffc007f,
    0xffff503f,0x7f45ffff,0x7dc002ff,0x7fec46ff,0x220000ef,0x06fffffb,
    0x07fffff7,0xb81dfb80,0x546fffff,0x80dfffff,0x00fffffc,0x03ffffe0,
    0x7ffffc40,0x7ffdc1ff,0x3ea1ffff,0x3fa05fff,0x3e606fff,0xfd04ffff,
    0x8003ffff,0x007ffff8,0xd01ffffc,0x5fffffff,0x0017fff4,0x4c1fffee,
    0x9999801a,0xffffccba,0xffb80fff,0xccccefff,0x73cccccc,0xffddffff,
    0xd03fffff,0xbdffffff,0x7ffffffd,0xfffff800,0xffff1000,0xfff10fff,
    0x7d41ffff,0x3ea05fff,0xfd02ffff,0x2a01ffff,0x006fffff,0x03ffffc4,
    0x80ffffe0,0xfffffffb,0x00bfffa2,0x00ffff50,0xffffff00,0xffffffff,
    0xfffff303,0xffffffff,0x3eedffff,0xffffffff,0xff304fff,0xffffffff,
    0x000dffff,0x001fffff,0x27fffffc,0xffffffe8,0x17fffea0,0x0dfffff0,
    0x09fffff5,0x3fffffe8,0x3fffe200,0x7fffc007,0x7ffffc03,0x3fffe2ff,
    0x7ffd4001,0xfff80007,0xffffffff,0xfff501ef,0xffffffff,0x2dffffff,
    0xfffffffb,0x4c03ffff,0xfffffffe,0x0004ffff,0x001fffff,0x17fffffc,
    0xffffffb8,0x17fffea0,0x5fffff70,0x0ffffff8,0x7ffffcc0,0xfff1000f,
    0xfff800ff,0x7ffe403f,0x3ffe2fff,0x7fd4001f,0x7c0000ff,0xffffffff,
    0x7fd402ff,0xffffffff,0x6fffffff,0x3fffff6a,0x2e000dff,0xfffffffe,
    0x3fe0001d,0x3a000fff,0x2207ffff,0x547fffff,0x4405ffff,0x2e6fffff,
    0x003fffff,0x09fffffb,0x1ffffe20,0x07ffff00,0xffffff88,0x007fffe2,
    0x01ffff50,0xfffff800,0x5000bdee,0xffffffff,0xffffffff,0x26a660df,
    0xaa980000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x8009dddd,0x265eeeea,0x5404eeee,
    0x223eeeee,0xeeeeeeee,0x5400aacd,0xeeeeeeee,0xeeeeeeee,0x17bbba4e,
    0x077776c0,0x20bbbae0,0xe880eeec,0xeeeeeeee,0x13eeeeee,0xdddddddd,
    0xbddddddd,0x3bbbbba6,0x009acdee,0x01ddddb0,0xddddd300,0x5799dddd,
    0x7fecc000,0xfff9007f,0x7e4001ff,0x3fea5fff,0x3fe205ff,0x3e60efff,
    0xffffffff,0x700cffff,0xffffffff,0xffffffff,0x3ffffcbf,0x0ffffe80,
    0x417ffec0,0xf980ffff,0xffffffff,0x34ffffff,0xffffffff,0xdfffffff,
    0x3fffffe6,0xdfffffff,0x7ffffc00,0xfffa8000,0xffffffff,0x26003eff,
    0x07fffffd,0x5fffff30,0x7ffffc00,0x17fffea2,0x1fffffd8,0x7fffffcc,
    0xffffffff,0xffffb83f,0xffffffff,0x3e5fffff,0xfd007fff,0xfd801fff,
    0x7fff81ff,0xffffff30,0xffffffff,0x3fffe69f,0xffffffff,0xfff36fff,
    0xffffffff,0x7c07ffff,0x8000ffff,0xfffffffa,0xffffffff,0x7ffe4405,
    0x2007ffff,0x004fffff,0x41fffff3,0x505ffffa,0x307fffff,0xffffffff,
    0xffffffff,0xfffffb85,0xffffffff,0x3fe5ffff,0xffd007ff,0xffe801ff,
    0x37ffc40f,0xffffff98,0xffffffff,0xfffff34f,0xffffffff,0x3ffe6dff,
    0xffffffff,0x80efffff,0x000fffff,0xffffffa8,0xffffffff,0xffc884ff,
    0x7fffffff,0x3ffff600,0xffff7006,0x5ffffa8b,0x6fffff88,0x5dffff30,
    0xffff9755,0x77543fff,0xeeeeeeee,0x4ffffffe,0x401ffffe,0x400ffffe,
    0xff987fff,0xffff305f,0x5555555f,0x3fe63555,0xaaaaafff,0xf32aaaaa,
    0x9755dfff,0xfffffffd,0x1fffff09,0xffff5000,0xfb53333b,0xfa8fffff,
    0xffffffff,0x3ea007ff,0xd801ffff,0x7d43ffff,0xffd85fff,0xff300fff,
    0x7fe40dff,0x10005fff,0x41dfffff,0xd007ffff,0x4401ffff,0xffa87fff,
    0xffff305f,0xfff3000d,0xff3000df,0x7fe40dff,0x7fc0ffff,0xa8000fff,
    0x2e04ffff,0x261fffff,0xfcffffff,0x22007fff,0x403fffff,0x40fffff8,
    0x545ffffa,0x202fffff,0x406ffff9,0x007ffffd,0x3fffffb0,0x007ffff8,
    0xa81ffffd,0xaefffbaa,0xdfffcaaa,0xfff30aaa,0xff3000df,0xf3000dff,
    0xfa80dfff,0x7fc5ffff,0xa8000fff,0x7c04ffff,0x7f42ffff,0xffff0cff,
    0xfffd800f,0x7ffd405f,0xffffa86f,0x3ffffa25,0x7fffcc05,0x7fffcc06,
    0x7fd4000f,0xfff84fff,0xfffd007f,0xfffff81f,0xffffffff,0x1fffffff,
    0x00dffff3,0x0dffff30,0xdffff300,0xfffff900,0x07ffffc3,0x7fffd400,
    0x7ffff404,0x3e0efdc2,0x5c007fff,0x6407ffff,0xfa84ffff,0x3ff25fff,
    0x7cc00eff,0xff806fff,0x22001fff,0xf06fffff,0x3a00ffff,0x7fc0ffff,
    0xffffffff,0xffffffff,0xffff31ff,0xfff3000d,0xff3000df,0xff300dff,
    0x7ffc5fff,0xfa8000ff,0x7fc04fff,0x81441fff,0x4007ffff,0x01fffff8,
    0x207ffffa,0xf35ffffa,0x3003ffff,0xf00dffff,0x4003ffff,0x01fffffd,
    0x200fffff,0x7c0ffffe,0xffffffff,0xffffffff,0xfff31fff,0xff3000df,
    0xf3000dff,0x3a00dfff,0x3fe3ffff,0xa8000fff,0x2a04ffff,0x4006ffff,
    0x8007ffff,0x304ffffe,0x2a0fffff,0xffd5ffff,0x3e6009ff,0x7c406fff,
    0x2a007fff,0x204fffff,0xd007ffff,0xaa81ffff,0xaacfffda,0xabfffeaa,
    0xffff30aa,0xfff3000d,0xff3000df,0x3f600dff,0x3ffe4fff,0xfa8000ff,
    0xff504fff,0xf8005fff,0xc8007fff,0xf706ffff,0x3ea09fff,0xfffcdfff,
    0x3fe6006f,0x7fdc06ff,0xff1006ff,0xff80dfff,0xffffffff,0xffffffff,
    0x3fff600f,0x00ffff82,0x33dffff3,0x33333333,0x77ffffcc,0xeeeeeeee,
    0xdffff32e,0x3ffff200,0x03ffffe5,0x3fffea00,0xfffeeeef,0xf8003fff,
    0x98007fff,0xd80fffff,0xf502ffff,0xffffffff,0x7fcc003f,0x3fe206ff,
    0xfb004fff,0xf803ffff,0xffffffff,0xffffffff,0x3ff600ff,0x07fff81f,
    0x3fffffe6,0xffffffff,0x3ffffe67,0xffffffff,0xffff32ff,0x3ffee00d,
    0x3ffffe6f,0xfffa8000,0xffffffff,0xf0000eff,0x2000ffff,0xf82fffff,
    0xf500ffff,0xffffffff,0x7fcc001f,0xffb886ff,0xa800ffff,0x803fffff,
    0xffffffff,0xffffffff,0x3fa00fff,0x7ffc40ff,0x3fffe606,0xffffffff,
    0x3ffe67ff,0xffffffff,0xff32ffff,0x3ee00dff,0x3ffe7fff,0xfa8000ff,
    0xffffffff,0x03ffffff,0x07ffff80,0xbffff900,0x05ffffa8,0x3bbfffea,
    0x2005ffff,0xeefffff9,0xfffffffe,0xfff8802f,0xfff006ff,0xffffffff,
    0xffffffff,0x43fffc01,0x2605fff9,0xffffffff,0x27ffffff,0xfffffff9,
    0xffffffff,0x0dffff32,0x9bfffee0,0x000fffff,0xffffffa8,0xffffffff,
    0x7fc005ff,0xf50007ff,0xffc8ffff,0x3fea03ff,0xffffadff,0xfff3003f,
    0xffffffff,0x2009ffff,0x01fffffd,0x55fffff0,0xf5555555,0x2201ffff,
    0xffa87fff,0x3ffe605f,0xffffffff,0x3fe67fff,0x99999eff,0xf3099999,
    0x3200dfff,0x3fe5ffff,0xa8000fff,0x999dffff,0xfffffca9,0x3ffe003f,
    0xff10007f,0x7ff43fff,0x3fea00ff,0xffffb5ff,0xfff3001f,0xffffffff,
    0x2a003dff,0x003fffff,0x401ffffe,0xd10ffffe,0xdffffddd,0xffffdddd,
    0x7fcc1ddd,0xf98006ff,0x98006fff,0xb006ffff,0x7fc9ffff,0xa8000fff,
    0x2204ffff,0x00fffffe,0x00fffff0,0xa7fffec0,0x406ffff8,0xf15ffffa,
    0x300dffff,0xffffffff,0x4007dfff,0x06fffff8,0x03ffffc0,0x10ffffe8,
    0xffffffff,0xffffffff,0x7cc1ffff,0x98006fff,0x8006ffff,0x006ffff9,
    0x7c5ffffd,0x8000ffff,0x404ffffa,0x01fffff9,0x00fffff0,0xb7fffdc0,
    0x403ffffb,0x2e5ffffa,0x403fffff,0xaaeffff9,0xfb00009a,0x8001ffff,
    0xd007ffff,0x3e21ffff,0xffffffff,0xffffffff,0x3fe60fff,0xf98006ff,
    0x98006fff,0x9806ffff,0x3e1fffff,0x8000ffff,0x804ffffa,0x003fffff,
    0x000fffff,0x47ffffc4,0x401ffffd,0x745ffffa,0x201fffff,0x006ffff9,
    0xfffff500,0xffff0007,0x3fffa00f,0xfffff10f,0xffffffff,0x1fffffff,
    0x037fffcc,0x37fffcc0,0x7fffcc00,0xffffd806,0x07ffffc6,0x7fffd400,
    0xfffff804,0xfffff002,0xfffe8000,0x07ffffaf,0x45ffffa8,0x06fffff9,
    0x01bfffe6,0x3fffe200,0xfff0005f,0x3ffa00ff,0xfff900ff,0x01fffd05,
    0x037fffcc,0x37fffcc0,0x7fffcc00,0x7fffd406,0x7ffffc2f,0xfffa8000,
    0x7ffd404f,0xfff000ff,0xfb8000ff,0xffffefff,0xffffa804,0xfffffc85,
    0xdffff304,0xfffb0000,0x3e0001ff,0xfd007fff,0x3f601fff,0x7fff81ff,
    0x37fffcc0,0x7fffcc00,0xfff98006,0x3fff206f,0xffff85ff,0xffa8000f,
    0x3fe204ff,0x3e007fff,0x40007fff,0xfffffff9,0xffa802ff,0xffe885ff,
    0xff981fff,0x540006ff,0xccefffff,0xcccccccc,0x1ffffe4c,0x07ffff40,
    0xf81fffe8,0x7fcc07ff,0xf98006ff,0x9999efff,0x30999999,0x533dffff,
    0xfffffd97,0xfffff03f,0x55555557,0x3fea3555,0xa9999dff,0x4ffffffc,
    0x55555554,0xaabfffff,0x3fe002aa,0x07ffffff,0x0bffff50,0x1bffffea,
    0x01bfffe6,0xfffffd00,0xffffffff,0x7fcfffff,0xffd007ff,0x3ffa01ff,
    0x37ffc40f,0x1bfffe60,0x3fffe600,0xffffffff,0xfff36fff,0xffffffff,
    0x207fffff,0xffffffff,0xffffffff,0xffffff53,0xffffffff,0xffe81dff,
    0xffffffff,0x07ffffff,0x3fffff20,0xff5005ff,0x7fec0bff,0x7fcc4fff,
    0x740006ff,0xffffffff,0xffffffff,0x1ffffe7f,0x07ffff40,0xf987fff8,
    0x7fcc05ff,0xf98006ff,0xffffffff,0x36ffffff,0xffffffff,0x1dffffff,
    0x7fffffc0,0xffffffff,0xffff53ff,0xffffffff,0xfd01ffff,0xffffffff,
    0xffffffff,0x7fffd400,0xf5002fff,0x7c40bfff,0x261fffff,0x0006ffff,
    0x7ffffff4,0xffffffff,0x3ffe7fff,0xfffd007f,0xdfff101f,0x809fff50,
    0x006ffff9,0xffffff98,0xffffffff,0xfffff36f,0xffffffff,0xfffff007,
    0xffffffff,0x3fea7fff,0xffffffff,0xd00bffff,0xffffffff,0xffffffff,
    0xffff800f,0xf5000fff,0xfb80bfff,0x3e66ffff,0x40006fff,0xfffffffe,
    0xffffffff,0x3fffe7ff,0xffffd007,0x0dfff301,0x9809fff7,0x8006ffff,
    0xfffffff9,0xffffffff,0xffffff36,0x00357bdf,0x7ffffffc,0xffffffff,
    0xfffff53f,0x59bdffff,0xfffffd00,0xffffffff,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd1000000,0x01dddddd,0x3bbbbb60,0xeeeeeeee,0x3bbb26ee,0xeeeeeeee,
    0x04eeeeee,0xeeeeed80,0x0039800e,0x00dc0000,0x00001300,0x30000220,
    0x26600003,0x31000099,0x88000033,0x7ffcc009,0xffa802ff,0x003fffff,
    0xffffffff,0xffffffff,0x7fffff4f,0xffffffff,0x4005ffff,0xfffffffb,
    0x02ffc400,0xffc80000,0xffdb7001,0x00039dff,0x3ffffb2a,0x32601cef,
    0x0ceffffe,0xffffb500,0x203dffff,0xfffffda8,0xd301dfff,0x3ee23ddd,
    0x880dffff,0x801fffff,0xfffffffc,0xfffff005,0xffffffff,0x7ff4ffff,
    0xffffffff,0x5fffffff,0x3fffe200,0x2200ffff,0x000efffe,0xfffb1000,
    0x7ff4403f,0xffffffff,0x3ffa6003,0xffffffff,0xfffff704,0x407fffff,
    0xffffffea,0x883fffff,0xffffffff,0x40efffff,0xe99ffff9,0xffffffff,
    0x7ffffc41,0xfffff801,0xff007fff,0xffffffff,0x4fffffff,0xfffffffe,
    0xffffffff,0x3f6005ff,0x0fffffff,0x3fffff60,0x4400001e,0x06fffffe,
    0xfffffff7,0x1dffffff,0x7fffe440,0xffffffff,0x7fffec44,0xffffffff,
    0xfffffa85,0xffffffff,0xfffff883,0xffffffff,0x7fffcc6f,0xfffffffb,
    0xfff87fff,0x7fcc00ff,0x2fffffff,0xaaaaaa80,0xaabfffff,0x3fffa2aa,
    0xffffffff,0x05ffffff,0xffffff50,0xfd801fff,0x002fffff,0xfffff300,
    0xfff301bf,0xffffffff,0x6c09ffff,0xffffffff,0x644fffff,0xcbdfffff,
    0x22fffffe,0xdffffff8,0x3ffdccab,0xceefff88,0xfffffccc,0x3fffe63f,
    0xffffffff,0x7fc3ffff,0xffb807ff,0x4ffffdff,0x3fffe000,0x4400000f,
    0x802fffff,0xfdffffe8,0xfb800fff,0x003fffff,0x7ffffd40,0x3fffa04f,
    0xfb989cff,0xa81fffff,0xadffffff,0x24fdaa99,0x80effff8,0x2e6ffffb,
    0x401fffff,0x01be8819,0x9bffff62,0xfffffff9,0xffffb12e,0x07fffe8d,
    0xf9ffffe8,0x20006fff,0x000fffff,0x7fffe400,0xffff9006,0x01ffff95,
    0x3ffffea0,0xff90004f,0x5405ffff,0x102fffff,0x88bffffd,0x02fffffe,
    0xffffb0c4,0x7fffec03,0x0bffffb2,0x3e200000,0x3fe67fff,0xf885ffff,
    0x7ff47fff,0x7ffc407f,0x3fffff4f,0x3fffe000,0x2200000f,0x802fffff,
    0xf95ffff9,0x4c001fff,0x0dfffffe,0x3ffff600,0x7ff401ff,0x7fdc04ff,
    0x7ffdc7ff,0x7c4002ff,0x7d405fff,0xfffb4fff,0x000001df,0x43ffffa0,
    0x0efffff9,0x41ffffd0,0x5406fffd,0xffb2ffff,0x3e0007ff,0x0000ffff,
    0x1bffff20,0x87ffff40,0x000ffffc,0x7fffff44,0x7ff4400e,0xf800efff,
    0xf800ffff,0x3f60ffff,0xa8005fff,0x4c03ffff,0xff75ffff,0x0017ffff,
    0xfffd8000,0xfffff31f,0x7fffec01,0x01bfff61,0x2e1ffffb,0x0005ffff,
    0x001fffff,0x3fffe200,0xfffa802f,0x3ffff23f,0xfffb0000,0x3a603fff,
    0x005fffff,0x00dffff1,0xe8bffffa,0x8002ffff,0xeeeffffb,0xffeeeeee,
    0xffff36ff,0x015bffff,0xd9955100,0x3fffffdd,0x01bfffe6,0xfc833331,
    0x7ffc05ff,0x3fffe26f,0xfff8000f,0x900000ff,0x100dffff,0xfc8dffff,
    0x20000fff,0x2ffffffb,0x7fffffd4,0x3ffea003,0xfffb005f,0x7ffffc7f,
    0xfffc8001,0xffffffff,0x27ffffff,0xfffffffc,0x8802dfff,0xfffffffc,
    0x31ffffff,0x000dffff,0x20099988,0x744ffff9,0x8002ffff,0x000fffff,
    0xfffff880,0xffffc803,0x07fffe41,0x3ffea000,0xfff74fff,0xb8005fff,
    0x9005ffff,0x3e69ffff,0x8000ffff,0xfffffffe,0xffffffff,0x7ffdc7ff,
    0xffffffff,0xffff700d,0xffffffff,0x3fe63fff,0x000006ff,0x07ffff20,
    0x009ffff9,0x01fffff0,0xffff9000,0xffff300f,0x1ffff909,0xfffc8000,
    0xffd31fff,0x4001bfff,0x005ffffa,0x227ffffb,0x001fffff,0xeeffffe8,
    0xeeeeeeee,0xeb885eee,0xffffffff,0xffffb86f,0xfeeeefff,0xff31ffff,
    0x00000dff,0x43ffff40,0x007ffffa,0x00fffff8,0x7fffc400,0xfffe803f,
    0xffffc80f,0xffb10000,0xe881dfff,0x00efffff,0x0dffff30,0x87ffffa0,
    0x002fffff,0x01ffffd8,0xfeb98000,0x23ffffff,0x1efffff8,0x23ffffb0,
    0x006ffff9,0xfff10000,0x3fffe0bf,0x7ffc001f,0x5c0000ff,0x400fffff,
    0x902ffffb,0x0001ffff,0xbfffffd1,0x7fffec01,0xff8801ff,0xff800fff,
    0x3ffa0fff,0xfb8005ff,0x00003fff,0x7fffecc0,0x3fffea6f,0x7fffec06,
    0x0dffff31,0x3ee00000,0xffb03fff,0xff8009ff,0x20000fff,0x04fffff8,
    0x02ffffc4,0x001ffff9,0xffffff98,0xffff7004,0xfff005ff,0xffa807ff,
    0x7ffec7ff,0x7d4001ff,0x00005fff,0xfffffb00,0x027fffe4,0x4c7ffffa,
    0x0006ffff,0xffffb000,0x3fffee01,0x7fffc006,0x3ee0000f,0x6c00ffff,
    0x3200ffff,0x2000ffff,0x3ffffffb,0x7fffd400,0x7fec04ff,0xfd100fff,
    0xffb89fff,0x0801efff,0x05fffff1,0xff700000,0x7ffecdff,0xfffb105f,
    0x3ffe63ff,0x0000006f,0x555fffff,0xffff9555,0x7ffc001f,0x3e0000ff,
    0x4404ffff,0xeeefffff,0xffffeeee,0x900eeeef,0x03ffffff,0x3fffe600,
    0xff300dff,0x2215ffff,0x0fffffe9,0xffffffe8,0xbd73109c,0x1fffffe4,
    0x017914c0,0x4fffff88,0x03ffffee,0xffffffd1,0x1bfffe63,0x3ea00000,
    0xffffffff,0xffffffff,0x3fffe003,0xff70000f,0xf9801fff,0xffffffff,
    0xffffffff,0x6c41ffff,0x01efffff,0x7fff4400,0xff900eff,0xffffffff,
    0x207fffff,0xfffffff9,0x5fffffff,0x3fffffe2,0xfedcccdf,0x33bff66f,
    0xfffdbabc,0x3fea2fff,0xfecdffff,0x1fffffff,0x00dffff3,0xfff90000,
    0xffffffff,0x0bffffff,0x07ffffc0,0xfffff800,0xffff9804,0xffffffff,
    0xffffffff,0x3fffa61f,0x00000dff,0x3ffffff6,0xfffff881,0xffffffff,
    0x7ffdc05f,0xffffffff,0x7ffd45ff,0xffffffff,0x3ff66fff,0xffffffff,
    0xfe84ffff,0xffffffff,0x1ffffdff,0x00dffff3,0xffff0000,0xffffffff,
    0x0fffffff,0x07ffffc0,0x7fffdc00,0xfff9800f,0xffffffff,0xffffffff,
    0x3fff21ff,0x000004ff,0x0bfffff9,0x3fffff62,0x02ffffff,0xfffffd30,
    0x0bffffff,0xffffffd3,0x4dffffff,0xfffffffd,0x04ffffff,0xfffffff3,
    0xfff17fff,0x3fffe63f,0x4c000006,0xeeeeffff,0xffeeeeee,0xff002fff,
    0xd0001fff,0x200bffff,0xccccccc8,0xffeccccc,0x40ccccff,0x0003fffd,
    0x2fffd400,0x7ffff540,0x8000deff,0xffffffeb,0x3ae01bef,0xffffffff,
    0x3ffb23df,0xffffffff,0x7fec401c,0xf10dffff,0x3fe63fff,0x000006ff,
    0x017fffdc,0x44ffffe8,0xff999999,0x99999fff,0x3fffea01,0x2000001f,
    0x800ffffd,0x000002fd,0x8001df30,0x00009aa9,0x0266a620,0x2aaaa600,
    0xaaa98009,0x880019aa,0x00009aa9,0x74000000,0x7000ffff,0xff8dffff,
    0xffffffff,0x07ffffff,0x017ffffa,0xfffb0000,0x0006001f,0x00110000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x400dffff,0x20fffff9,
    0xffffffff,0xffffffff,0xfffff507,0xd8000003,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x003ffffa,0xf1fffffc,
    0xffffffff,0xffffffff,0x17ffffa0,0x3f600000,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c000000,0x4001ffff,0x3e5ffffd,
    0xffffffff,0x7fffffff,0x1fffffa8,0xfd800000,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x00062008,0xe8801310,0x76404eee,0xddd31eee,0x76c001dd,0x31002eee,
    0x75c00133,0xc802eeee,0x3b24eeee,0xd70005ee,0x3bbae9dd,0xeeeeeeee,
    0x7005eeee,0x20009fff,0xc8001cb9,0x26003eee,0x99999999,0x99999999,
    0x22bdd900,0x3623effe,0x77445fff,0x3ffae0ee,0xff880dff,0x7fec06ff,
    0x3fffe1ff,0xfff1003f,0x3f6001ff,0x3a2006ff,0x200fffff,0x20fffffa,
    0x000ffffc,0xf95fffd8,0xffffffff,0x0dffffff,0x013ffee0,0x17fffea0,
    0xfffff980,0xffff9800,0xffffffff,0xb02fffff,0xfffd1fff,0xfffd13ff,
    0x7ffc4dff,0xffffe89f,0x7c42ffff,0x7ec06fff,0x3ff21fff,0xff7006ff,
    0x7ec00bff,0x7cc006ff,0xf105ffff,0xfb87ffff,0xe8001fff,0xfff94fff,
    0xffffffff,0x010dffff,0x0107fff5,0x3fffffe8,0xfffffd00,0xffff300b,
    0xffffffff,0x205fffff,0xfffcfffd,0xfffcdfff,0xff11ffff,0xffffd5ff,
    0x41ffffff,0x406ffff8,0x261ffffd,0x801fffff,0x002ffffe,0x001bfff6,
    0x0fffffee,0x217ffff6,0x002ffffa,0xf92ffff8,0xffffffff,0x0dffffff,
    0x7ffcc1d9,0xf8817622,0x807fffff,0xfffffffb,0x7fffcc02,0xffffffff,
    0xb02fffff,0xfdffffff,0xfdffffff,0x3fe29fff,0xffffffff,0x24ffffff,
    0x406ffff8,0x741ffffd,0x4c04ffff,0x4007ffff,0x0006fffd,0x41fffffd,
    0x80fffffa,0x003ffff9,0x98ffffc4,0xaaaaaaaa,0x1ffffffa,0xf897ffcc,
    0x5fff51ff,0x3ffffe20,0x3fe201ff,0x06fffaef,0x7777774c,0xeeeeeeee,
    0xffb01eee,0x3ffa3fff,0xfffb1fff,0x3ffffe2b,0xfea8bfff,0x3fe27fff,
    0x7fec06ff,0x7ffd41ff,0x7ffe407f,0x7fec004f,0xff10006f,0x3fe2bfff,
    0xff102fff,0xf88009ff,0x2e000fff,0xd83fffff,0xff8dffff,0x6ffffc9f,
    0x3fffff20,0x3fff202f,0x009fffb2,0x7ec00000,0x3ff23fff,0x3ffee4ff,
    0xffffff16,0xfffff30d,0x1bfffe21,0x03ffffb0,0x405fffff,0x001fffff,
    0x0037ffec,0x7fffff50,0x80bffffb,0x7dc5ffff,0x7ffcc5ff,0x3ffea007,
    0xfff905ff,0xfdfffdff,0x4019ffff,0x02fffffe,0x7c4dfff3,0x00001fff,
    0xffffb000,0x07fffe41,0x3e2dfff7,0xf00effff,0x3e23ffff,0x7ec06fff,
    0xffc81fff,0xfff505ff,0xffb000df,0xfd8000df,0xffffffff,0x7ffec00e,
    0x07ffff46,0x200dfff5,0x0efffff8,0x3fffee20,0xbfffffff,0xffff8800,
    0x3fffb00f,0x005fffc8,0xffb00000,0x5fffc89f,0xf8b7ffdc,0x3600ffff,
    0xff11ffff,0xffd80dff,0xfff981ff,0xfffd80ff,0x9999882f,0xefffe999,
    0x09999999,0x7ffff440,0xc801ffff,0x3fe27fff,0x3fee2fff,0xfffd005f,
    0x754003ff,0x03ffffff,0x07fffe80,0xf10bfff5,0x26605fff,0x99999999,
    0x09999999,0xc87fffb0,0x7fdc5fff,0xdffff16f,0x1ffffd80,0x80dffff1,
    0xd01ffffd,0xf887ffff,0xff507fff,0xffffffff,0xffffffff,0xfff3007f,
    0x2009ffff,0xf70ffffb,0x7e4bffff,0xffc804ff,0x26002fff,0xfffffffc,
    0x3fe2001d,0xfff885ff,0xffff700f,0xfffff981,0xffffffff,0xfb02ffff,
    0xfffc87ff,0x8b7ffdc5,0x6c06ffff,0xff11ffff,0xffd80dff,0xfff701ff,
    0xffffa8df,0xfffff504,0xffffffff,0x07ffffff,0x3fffff60,0xfff5000f,
    0x3ffff63f,0x7fffb0ff,0xfffffa80,0xfffb3004,0xffffffff,0xfff9005b,
    0x9fff901f,0x44fffe80,0xfffffff9,0xffffffff,0xfffb02ff,0x45fffc87,
    0xff16fffb,0xffd80dff,0xffff11ff,0xffffd80d,0xfffff101,0x0ffffec3,
    0xffffffa8,0xffffffff,0x803fffff,0xfffffff9,0xffff3004,0xffffff15,
    0x0bfffa7f,0x6fffff98,0xfffffd00,0xfffbfffb,0x5cc41dff,0x882ffffe,
    0x5400ffff,0x3e61ffff,0xffffffff,0xffffffff,0x87fffb02,0x7dc5fffc,
    0xffff16ff,0xffffd80d,0x0dffff11,0x01ffffd8,0x44fffff2,0x2a06ffff,
    0xfeeeeeee,0xeeeeffff,0x74402eee,0xffffffff,0xffff8802,0xffdfffbb,
    0x03ffff6f,0x3fffffa2,0xffff9000,0xf53fff17,0x7fe4bfff,0xb04fffff,
    0x36007fff,0x3ba66fff,0xeeeeeeee,0x1eeeeeee,0xc87fffb0,0x7fdc5fff,
    0xdffff16f,0x1ffffd80,0x80dffff1,0x201ffffe,0xf76ffff9,0x40007fff,
    0x0006fffd,0x7fffffec,0xf800ffff,0xfffdcfff,0xff9ffff9,0x3fff607f,
    0x3e2001ff,0x3fff31ef,0xfc87ffa2,0x101dffff,0x44005555,0x0000aaaa,
    0x7fffb000,0x5c5fffc8,0xfff16fff,0xfffd80df,0xfffff11f,0x7ffffec0,
    0x7ffff401,0x00ffffe9,0x1bfff600,0xffffb800,0x5fffffaf,0xfdfffe80,
    0x9fffb6ff,0x3ee0ffff,0x8003ffff,0x17ffcc4b,0x9bdf912e,0x00000005,
    0x36000000,0x7fe43fff,0xb7ffdc5f,0x406ffff8,0x3e1ffffd,0xfc81ffff,
    0x401fffff,0xffdffffb,0x6c0005ff,0x30006fff,0x2e7fffff,0x403fffff,
    0xfffffffc,0xffffff73,0xffff30bf,0x540000bf,0x00803fff,0x00000000,
    0x3f600000,0x7ffe43ff,0x8b7ffdc5,0x6c06ffff,0x3fa1ffff,0xfb31dfff,
    0x03ffffff,0xffffff88,0x40001fff,0x8006fffd,0x45ffffe8,0x01fffffd,
    0x3fffffee,0xfffff10f,0xfff889ff,0xaaaabfff,0x7002aaaa,0x00009fff,
    0x00000000,0xffd80000,0x2fffe43f,0x7c5bffee,0x7ec06fff,0x3ff21fff,
    0xffffffff,0x01ffffff,0xffffffc8,0xfd80006f,0xfd8006ff,0x7c40ffff,
    0x500effff,0x8dffffff,0x3ffffffd,0x7ffffff4,0xffffffff,0xddd5007f,
    0x00000007,0x00000000,0x43fffd80,0x7dc5fffc,0xffff16ff,0xffffd80d,
    0x3ffffe21,0xfbffffff,0xf9801fff,0x03ffffff,0x6fffd800,0x7fffdc00,
    0xffff703f,0x3ffe60bf,0x7fdc3fff,0x7fc2ffff,0xffffffff,0x07ffffff,
    0x00000000,0x00000000,0x7fffb000,0x5c5fffc8,0xfff16fff,0xfffd80df,
    0x7fffdc1f,0xf8afffff,0xfd001fff,0x001fffff,0x0dfffb00,0x7ffffcc0,
    0x7fffec05,0xffff882f,0x7ffc41ff,0x7ffc1fff,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x87fffb00,0x7dc5fffc,0xffff16ff,0xffffd80d,
    0xfffff981,0xffff10df,0x3ffee003,0x900005ff,0x7400bddd,0x400fffff,
    0x0ffffff8,0x06fffff8,0x81fffffb,0xffffffff,0xffffffff,0x00000007,
    0x00000000,0xffb00000,0x5fffc87f,0xf8b7ffdc,0x7ec06fff,0x2a201fff,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffa80000,0x7fff47ff,0xbfd9502f,0x75100007,
    0x7fffdc05,0x2aaa01ff,0xaaaaaaaa,0x7777772a,0x77777777,0x77777777,
    0x00000007,0x00000000,0x00000000,0x00000000,0x98000000,0x7f47ffff,
    0xffc82fff,0x101effff,0xfe989999,0xfd300eff,0x3a03ffff,0xffffffff,
    0xffff6fff,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x46ffff88,0x641ffffd,0xffffffff,0x7fff982f,
    0x37fffff4,0xfffffb10,0xfffffd03,0x2dffffff,0xffffffff,0xffffffff,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,
    0x7ffec6ff,0x3fffe21f,0x2fffffff,0xf537ffd4,0x03ffffff,0x1fffffb8,
    0x7ffffff4,0xff6fffff,0xffffffff,0xffffffff,0x000fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbffff000,0x20ffffc8,0xebcffffb,
    0x88bfffff,0x3ee5fffe,0x02ffffff,0x0ffffe98,0x3ffffffa,0x556fffff,
    0x55555555,0x55555555,0x00055555,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbffff000,0x20ffffc8,0x7ec4fffd,0xffffffff,0x3ffea2ff,
    0x1001ffff,0x88855555,0x88888888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff00000,0x7fffb89f,0x6c17fff4,0xffffffff,
    0xffffe87f,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0x7ffdc3ff,0x80ffffc7,0xfffffffc,0xfffe981f,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x7ffd43ff,0x3faa0006,0x4c01efff,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,0xfffa85ff,
    0x9a980006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33013331,0x00000013,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_42_usascii_x[95]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0, };
static signed short stb__consolas_bold_42_usascii_y[95]={ 31,2,2,4,0,1,2,2,0,0,2,9,23,17,
23,2,3,4,3,3,4,4,4,4,3,3,9,9,8,13,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,35,2,9,2,9,2,9,1,9,2,1,
1,2,2,9,9,9,9,9,9,9,3,10,10,10,10,10,10,1,-3,1,15, };
static unsigned short stb__consolas_bold_42_usascii_w[95]={ 0,7,15,23,21,24,24,7,14,14,19,21,12,13,
9,20,22,19,19,19,23,18,20,19,19,20,9,12,18,19,18,15,23,24,20,20,22,17,17,22,21,18,16,21,
17,23,21,23,20,24,21,19,21,21,24,23,23,23,19,12,20,12,21,24,15,19,20,18,20,19,22,21,19,19,
17,20,19,21,19,21,20,20,19,18,20,19,23,23,23,23,18,16,5,16,23, };
static unsigned short stb__consolas_bold_42_usascii_h[95]={ 0,30,11,27,37,31,30,11,40,40,18,21,16,6,
9,34,29,27,28,29,27,28,28,27,29,28,23,30,24,13,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,5,9,23,30,23,30,23,30,31,29,30,
39,29,29,22,22,23,31,31,22,23,29,22,21,21,21,30,21,39,43,39,10, };
static unsigned short stb__consolas_bold_42_usascii_s[95]={ 253,205,1,111,139,228,139,247,7,22,176,
87,196,67,41,207,131,233,22,154,65,214,233,45,174,1,243,65,108,231,89,
78,102,1,212,87,171,153,135,108,89,26,42,26,194,219,197,63,48,161,127,
194,81,59,1,103,149,173,69,71,186,126,209,81,51,207,184,149,94,168,213,
43,43,164,84,1,236,1,23,127,22,1,227,188,22,43,63,133,109,115,157,
54,1,37,17, };
static unsigned short stb__consolas_bold_42_usascii_t[95]={ 1,45,215,136,1,1,45,164,1,1,192,
192,192,215,215,1,77,136,107,77,164,77,77,164,77,107,107,45,164,192,164,
45,1,164,136,77,136,136,136,77,136,164,107,136,136,107,107,77,136,1,107,
77,107,107,136,107,107,107,136,1,1,1,192,215,215,164,45,164,45,164,45,
45,77,45,1,77,45,192,192,164,45,45,164,164,77,192,192,192,192,45,192,
1,1,1,215, };
static unsigned short stb__consolas_bold_42_usascii_a[95]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_42_usascii(stb_fontchar font[STB_FONT_consolas_bold_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_42_usascii_s[i] + stb__consolas_bold_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_42_usascii_t[i] + stb__consolas_bold_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_42_usascii_x[i];
            font[i].y0 = stb__consolas_bold_42_usascii_y[i];
            font[i].x1 = stb__consolas_bold_42_usascii_x[i] + stb__consolas_bold_42_usascii_w[i];
            font[i].y1 = stb__consolas_bold_42_usascii_y[i] + stb__consolas_bold_42_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_42_usascii_s[i] + stb__consolas_bold_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_42_usascii_t[i] + stb__consolas_bold_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_42_usascii_x[i] + stb__consolas_bold_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_42_usascii_y[i] + stb__consolas_bold_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_42_usascii_LINE_SPACING
#endif

