// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT        238
#define STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_43_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_43_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_43_usascii_LINE_SPACING          28

static unsigned int stb__consolas_bold_43_usascii_pixels[]={
    0x10155553,0x00000000,0x3265d4c0,0x99999999,0x26000599,0x0080002b,
    0x0d5664c0,0x66665400,0x01cccccc,0x004ccb80,0x677654c0,0x8000001a,
    0x3264cccc,0x00002ccc,0xcccba880,0xff77730a,0x04e881ff,0x00bb0000,
    0xffffff70,0x3ffffee1,0x003fffff,0x00efffd8,0x3ffb6e20,0x7fdc01bd,
    0x2001efff,0xfffffffc,0xe8003fff,0xd30006ff,0xffffffff,0x2000005f,
    0x7c4ffffa,0x00007fff,0xfffff910,0xbfffffff,0x441ffff7,0x00004ffe,
    0x8802ffec,0xfffffffe,0xffffff70,0x8007ffff,0x04fffffa,0xffffff50,
    0x7dc09fff,0x05ffffff,0xffffff90,0x0007ffff,0x7000bfff,0xffffffff,
    0x0009ffff,0x3ffffb00,0x02ffffc8,0x7ff54000,0xffffffff,0xfffbdfff,
    0x3ffffa0f,0xffb00004,0xffb00bff,0x21ffffff,0xfffffffb,0x64003fff,
    0x406fffff,0xffffffd8,0x704fffff,0xffffffff,0xffff9005,0x07ffffff,
    0x03fff880,0x7ffffec0,0xffffffff,0x100000ef,0xf10dffff,0x0000dfff,
    0x7fffffe4,0xffffffff,0x0ffffbdf,0x13ffffee,0xffffb000,0xfffa803f,
    0x222abeff,0xffbaaaaa,0x7e4003ff,0x7406ffff,0xecefffff,0x884fffff,
    0xfffffcaa,0x7ffe400f,0x0aaaaabf,0x3fff2600,0x3ffee003,0xffeeffff,
    0x003fffff,0x5ffff900,0x07ffff60,0x3ffe6000,0xbaabdfff,0xfbdffffe,
    0x7fdc0fff,0x90003fff,0x003fffff,0x007ffffd,0x07ffff10,0xfffff980,
    0x3ffff203,0x7ffec40d,0x7fec401f,0x7fe403ff,0xc88000ff,0xfffffffe,
    0x3fa02dff,0x220affff,0x07fffffb,0xffff8800,0x3fffe607,0xffe80004,
    0xff502fff,0xffff7bff,0xfffff901,0xfffa8003,0xfff001ff,0x3e2000df,
    0xa8003fff,0x3ea03fff,0x7f404fff,0xff9804ff,0x7fe404ff,0x322000ff,
    0xffffffff,0x704fffff,0x403fffff,0x03fffffb,0x7fffdc00,0x7ffff403,
    0x3fea0000,0x3ea02fff,0xfffbdfff,0xffffb00f,0x7ffc400d,0xff1002ff,
    0x220007ff,0x0003ffff,0xffff1002,0xffff1009,0x17fffa00,0x01ffff90,
    0x3ffffe20,0xffffffff,0xfff884ff,0xffd803ff,0x740006ff,0x5c00ffff,
    0x0003ffff,0x01bffff6,0xf7bffff5,0x3e201fff,0xb003ffff,0x400bffff,
    0x002ffff9,0x07ffff10,0x7fdc0000,0xffb000ff,0xfffb005f,0xffffc80d,
    0xffffb000,0xffffffff,0xff509fff,0xf7001fff,0x0003ffff,0x017fffe6,
    0x01bfffe2,0x2ffffe80,0x6ffffd40,0x200ffffb,0x01fffffa,0x07ffffd4,
    0x5ffff300,0x3ffe2000,0x2aaaaa3f,0xaaaaaaaa,0xffff81aa,0x3ffee002,
    0x7fffc805,0x07fffe40,0x7ffffdc0,0x8cfff8bd,0xffb83db9,0xff1005ff,
    0x20005fff,0x001ffffd,0x005ffff9,0x07ffffe0,0x7bffff50,0xe801ffff,
    0x7405ffff,0x4003ffff,0x002ffff9,0x47ffff10,0xfffffffe,0x3fffffff,
    0x0037ffd4,0x201bffe6,0x6407fffc,0xd800ffff,0x3e66ffff,0xff9003ff,
    0x7f4007ff,0x88003fff,0x2006ffff,0x005ffff8,0x0fffff98,0x6ffffd40,
    0x400ffffb,0x00fffff9,0x00dffff3,0x05ffff30,0x3fffe200,0x3fffffa3,
    0xffffffff,0x1ffff43f,0xb77bdb71,0x201fffef,0x6407fffc,0xe800ffff,
    0x3ea3ffff,0xffd002ff,0x7f4007ff,0xc8004fff,0x4002ffff,0x001ffffd,
    0x03ffffd4,0x5effffd4,0xd800ffff,0xf902ffff,0x30007fff,0x0005ffff,
    0xe8ffffe2,0xffffffff,0x23ffffff,0xd30ffff9,0xdfffffff,0x9003fffa,
    0xfc80ffff,0xff800fff,0x3fee5fff,0xffff000f,0x7fec005f,0xff8005ff,
    0xfa8007ff,0x54004fff,0xa807ffff,0xffbdffff,0xffb800ff,0xffff05ff,
    0xff50001f,0x220003ff,0x32e3ffff,0xcccccccc,0x2a3ffffe,0x3ffe5fff,
    0xd6ffffff,0xfc801fff,0x3f200fff,0xfe800fff,0xff92ffff,0x3ffe200f,
    0x3f2001ff,0x54005fff,0x0004ffff,0x001ffffd,0x07ffffcc,0x37fffea0,
    0x800ffffb,0x40fffff8,0x005ffffa,0x01ffff70,0x3fffe200,0xfffc8003,
    0x4ffff23f,0xfffffffb,0x3fffb5ff,0x1ffffb80,0x03ffff20,0x3fffff20,
    0x006ffedf,0x03fffff1,0x37fffe40,0x3ffffa00,0xfff70000,0x7fc4007f,
    0x7e401fff,0xfffbdfff,0xfffb000f,0xffffc85f,0xffff0002,0x7fc4000f,
    0xfc8003ff,0x3ffa3fff,0x29ffff1f,0xffb4fffd,0xfff9805f,0x3fff205f,
    0xfff9800f,0x6fffffff,0xfffff100,0x7ffec005,0x3fe6005f,0x220005ff,
    0x4006ffff,0x203fffff,0xbdfffffb,0x7000ffff,0xfd87ffff,0x22001fff,
    0x04ffffea,0x3fffe200,0xfffc8003,0x1ffff13f,0x361ffff3,0xfff93fff,
    0xffffd005,0xfffc813b,0xfff7000f,0xdfffffff,0xffff8017,0x3ff6002f,
    0x3f6004ff,0x40001fff,0x002ffffc,0x41bffff6,0xdffffffa,0x000ffffb,
    0xe89ffff5,0xe800ffff,0xefffffff,0x3fe20000,0xfc8003ff,0xfff53fff,
    0xe97fff2d,0xfff93fff,0xffff3005,0x3f27ffff,0x2e000fff,0xffffffff,
    0x3e03ffff,0x2003ffff,0x003ffffe,0x00dffff1,0xbffff300,0x7fffcc00,
    0xfffb30df,0xff7bffff,0x3e6001ff,0x7ffc5fff,0xfffd007f,0x00007dff,
    0x007ffff1,0x27ffff90,0xffb5fffb,0x97fffc7f,0x1001fffd,0x7fffffd9,
    0x003ffff2,0xfffffb10,0x3dffffff,0x09ffffd0,0x17ffffc0,0x3ffffb80,
    0xfffb0000,0x7ff4003f,0xffffffff,0xbdffffff,0x1000ffff,0x7c4dffff,
    0xfd006fff,0x019dffff,0xffff8800,0xfffc8003,0x29fff73f,0x3fe2fffe,
    0x3fffb1ff,0x3fff6600,0xfff93fff,0x3260001f,0xffffffff,0x7fec0fff,
    0xff3006ff,0x3e003fff,0x00007fff,0x013fffea,0xffffffa8,0xffdfffff,
    0xffffbdff,0x3fffe000,0x17fffe67,0x7fffff40,0x20000eff,0x003ffff8,
    0x93ffffc8,0x3ffe7fff,0x1ffff11f,0x2003fff6,0xfffffffa,0x1ffff93f,
    0xfffd8000,0x6fffffff,0x0fffffdc,0x37fffe40,0x4ffffa80,0x7ff40000,
    0x3ea000ff,0xffffffff,0xbdffff9c,0x2000ffff,0x3e66ffff,0x44006fff,
    0x04ffffe9,0x3fffe200,0xfffc8003,0x27fff93f,0xff31ffff,0x07fff4ff,
    0x67ffffc0,0x0ffffc81,0x77ff4000,0xfffffffb,0x3ffffe20,0x7fffc404,
    0xfffd002f,0xb800001f,0x4003ffff,0xefffffe9,0x7bffff32,0x2001ffff,
    0x225ffff8,0x0007ffff,0x00fffff1,0x1ffffc40,0x7fffe400,0x3e5fffb3,
    0xfff31fff,0x403fffcf,0x204ffffa,0x000ffffc,0xfb2fffc0,0xfd85ffff,
    0xd104ffff,0x200fffff,0x005ffff9,0xffff8800,0x2aa60006,0x6ffffcc0,
    0x000ffffb,0xf89ffff3,0x20007fff,0x000ffffc,0x07ffff10,0x7ffff900,
    0x7fcbfff6,0xdfff51ff,0x2017ffe2,0x200ffffb,0x000ffffc,0x98fffe20,
    0x544fffff,0xbdffffff,0xffffeca9,0xfff9003f,0x2000005f,0x002ffffc,
    0xffffa800,0x00ffffbd,0x87ffff50,0x000ffffe,0x03ffff50,0x3fffe200,
    0xfffc8003,0x25fffb3f,0xffb1ffff,0x0fffeedf,0x01ffff20,0x001ffff9,
    0x217ffcc0,0xc83fffff,0xffffffff,0x5fffffff,0xdffff100,0x7cc00000,
    0x00005fff,0xbdffffa8,0x7000ffff,0xfd85ffff,0x30002fff,0x0005ffff,
    0x00ffffe2,0x4fffff20,0xffd3fffc,0xdffff55f,0x001fffd1,0xc80ffff9,
    0x0000ffff,0xf887ffea,0xfb01ffff,0xffffffff,0x400bffff,0x003ffffb,
    0x7fff4000,0x5400000f,0xffbdffff,0xffd000ff,0xfffc83ff,0xff30005f,
    0x220005ff,0x8003ffff,0xf73ffffc,0x3fff69ff,0xffffffff,0xf9006fff,
    0xffc80fff,0x5ec400ff,0x987ffe40,0x407ffffe,0xfffffffd,0x4005ffff,
    0x000fffff,0x7ffd4000,0x5400004f,0xffbdffff,0xff8800ff,0xfff986ff,
    0xf98000ff,0x10002fff,0x0007ffff,0x2a7ffff9,0xfff54fff,0xffffdfff,
    0x32003fff,0x7e407fff,0x7c400fff,0xffecdfff,0xfffffdbf,0xffc8803f,
    0x01cfffff,0x27fffd40,0xff800000,0x400007ff,0xfbdffffa,0xfb800fff,
    0xffd03fff,0xf30005ff,0x20005fff,0x003ffff8,0x53ffffc8,0x7ff4bfff,
    0xffffb6ff,0x7fe4005f,0x7ffe407f,0x7ffc400f,0xffffffff,0x05ffffff,
    0x1ffffe80,0xffffd000,0x20000003,0x003ffffb,0x3fffea00,0x00ffffbd,
    0x00ffffe8,0x00bffff7,0x05ffff30,0x3fffe200,0xfffc8003,0x4ffff33f,
    0x910ceec8,0xc80037dd,0x7e407fff,0x7c400fff,0xffffffff,0x5fffffff,
    0xffff9000,0xfff30007,0x000000bf,0x037fffc4,0xffff5000,0x01ffff7b,
    0x05ffffa8,0x07ffffe2,0x5ffff300,0x3ffe2000,0xffd8003f,0xffff13ff,
    0x20000003,0x6407fffd,0x4400ffff,0xffffffff,0x1dffffff,0x3ffea000,
    0x903981ff,0x0005ffff,0xfffd8000,0x5100001f,0xfff73555,0x7ff4401f,
    0x7fec02ff,0x7cc006ff,0x10003fff,0x0007ffff,0x745ffffb,0x00004fff,
    0x0dfffb00,0x00ffffc8,0xfedca988,0x01acdfff,0xffff8800,0xffdbbdff,
    0x37fffc42,0x4c000000,0x0005ffff,0x7fffdc00,0x3ffff200,0xffff8805,
    0x7ffc003f,0xff10004f,0xff0007ff,0x7fd41fff,0x0000007f,0xc80bfffd,
    0x0000ffff,0x0003fff7,0x3ffff200,0xefffffff,0x0ffffee0,0x74000000,
    0x0000ffff,0x3fffee00,0xfffff300,0x3ffee001,0x3fe000ff,0x88000fff,
    0x4003ffff,0xf87ffffa,0x00004fff,0x27fffd40,0x03ffff20,0x07ffe400,
    0xffd00000,0xffffffff,0x7ffff47f,0x00000000,0x009ffff5,0x7ffdc000,
    0xfffe880f,0x7fec003f,0xfb000eff,0x8001bfff,0x753ffff8,0x7fff4401,
    0xffffc86f,0x001c8804,0x0bffffa6,0x01ffff90,0x01fff600,0xff910000,
    0x5fffffff,0x01e66644,0x32000000,0x00003ccc,0x03fffee0,0x0bffffd1,
    0xfffff100,0xfff3001d,0x4c99dfff,0xffdccccc,0x7bff73ff,0xffff9555,
    0xfff303ff,0x54415bff,0x32601ffd,0x6fffffed,0xcffffc80,0x401ccccc,
    0x00005ffe,0xdfd99100,0x00000179,0x00000000,0xfffb8000,0x7ffff40f,
    0xff50000f,0x3200bfff,0xffffffff,0xffffff70,0x3ee7ffff,0xffffffff,
    0x2a03ffff,0xefffffff,0x01ffffff,0x3fffffee,0xffc801ff,0xffffffff,
    0x027ffc03,0x00000000,0x00000000,0x80000000,0x360ffffb,0x001fffff,
    0x7ffffd40,0xfffc8805,0xff70ffff,0xffffffff,0x3ffffee7,0x4fffffff,
    0xfffff980,0xffffffff,0x3fffee01,0xf9002fff,0xffffffff,0x0999807f,
    0x00000000,0x00000000,0x00000000,0x41ffff70,0x001ffffc,0x3ffff500,
    0x7ffecc00,0xffff70ff,0x27ffffff,0xfffffffa,0x2001dfff,0xffffffe9,
    0x5c02dfff,0x00ceffff,0x3fffff20,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x0ffffb80,0x000077e4,0x0007fea0,0x2a22a988,0xaaaaaaaa,
    0x76e6541a,0x20001acd,0xabcedb98,0x03551000,0x55554c00,0x00aaaaaa,
    0x00000000,0x00000000,0x00000000,0xffffb800,0x00000b80,0x00000350,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffffb80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb800000,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0cccca80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x320001aa,
    0x20009abc,0x00aaaaa8,0x2aaaaa20,0x79999910,0x4c0aaaa8,0x0009bddc,
    0x66400000,0x000004cc,0x0000dd44,0x33332600,0xddcba803,0xaaaaaaac,
    0x1333320a,0x7f64c000,0x997001de,0xfffa8039,0x000cffff,0x3fffffe2,
    0x7fc400cf,0x32003fff,0x3e26ffff,0x3e25ffff,0xffd32fff,0x003fffff,
    0x3fb72200,0x3e24deff,0x00007fff,0x0ffffe60,0xffa80000,0x3faa05ff,
    0xffffffff,0xf11fffff,0x0000ffff,0xfffffff5,0x6fff9807,0x3ffff620,
    0x02ffffff,0xffffff10,0x6c019fff,0x2006ffff,0x7c3fffff,0x3e25ffff,
    0xfffaafff,0x2fffffff,0x3ff22000,0x7fffffff,0x01ffffe2,0xfffe8000,
    0x000000ff,0x20bffff5,0xfffffffe,0xffffffff,0xfffff11f,0xfff88000,
    0x01ffffff,0xd807fffa,0xffffffff,0x8800ffff,0xffffffff,0xff502fff,
    0xf3003fff,0xff81ffff,0x3fe25fff,0xfffffdff,0x1fffffff,0xfffe8800,
    0x7fffffff,0x01ffffe2,0x7ffc4000,0x00002fff,0x0bffff50,0xdffffff9,
    0xffffffff,0x3ffe23ff,0x7ec0007f,0xfffd9cff,0x09fff905,0x6fffffd4,
    0x5fffffcb,0xfffff880,0x1fffffff,0x09fffff0,0x0bffff90,0x449fffff,
    0xffffffff,0xfffffdef,0xffd8004f,0xffffffff,0x3fffe27f,0xf1000007,
    0x005fffff,0x3ffea000,0x7fffcc5f,0x3fff262f,0xf10aabff,0x8000ffff,
    0x7ffc6fff,0x06fff986,0x217ffff4,0x007ffff9,0x3ffaea62,0xc80effff,
    0xf807ffff,0xff82ffff,0x3fe24fff,0x21dfffff,0x0fffffe8,0x3fffea00,
    0x95310aef,0x03ffffc4,0xfffb0000,0x000001df,0x917fffea,0x2e05ffff,
    0xf883ffff,0x20007fff,0x7ec4fff8,0x1fffe87f,0x82ffffc0,0x001ffffd,
    0x3ffffea0,0xffff983f,0x3ffea02f,0xfffff07f,0x7ffffc49,0xffff105f,
    0x7fe4007f,0x3e2006ff,0x00007fff,0x07bff620,0xffa80000,0x7ffec5ff,
    0x3fffe206,0x7ffff886,0x3ffe6000,0x707ffe43,0xf9809fff,0xff704fff,
    0xa80003ff,0xd05fffff,0x6c0bffff,0xfd04ffff,0x7fc49fff,0x3600efff,
    0x2005ffff,0x002ffffd,0x01ffffe2,0x00040000,0x7ffd4000,0x2ffffc5f,
    0x21ffffa0,0x007ffff8,0xd13ffe20,0x7ffccfff,0xffff9806,0x0ffffb05,
    0x3fff6000,0xffff507f,0xffff101f,0x3fffa01f,0x3fffe23f,0x7ffdc00f,
    0x3ffe006f,0x3e2000ff,0x65447fff,0x000009bd,0x2ea60000,0xffffcccc,
    0x03ffff45,0x221bfffa,0x64c7ffff,0x3fe02cdd,0x97ffe26f,0xf001fffe,
    0xff30ffff,0x20000dff,0x01fffffb,0x705fffff,0x740bffff,0x3e23ffff,
    0xfa807fff,0xf1007fff,0x8800ffff,0xfd17ffff,0x03ffffff,0x2aaaaaa2,
    0x0002aaaa,0x3ffffff2,0x45ffffff,0x302ffffd,0xf109ffff,0x3fa2ffff,
    0x81efffff,0xffcefffd,0x9fff72ff,0x7ffff400,0x3ffffe63,0xff700002,
    0x3f201fff,0xffe85fff,0x3ff602ff,0x3ffe23ff,0xfffa807f,0xfff1007f,
    0xff8800ff,0xfffe8eff,0x82ffffff,0xfffffff9,0xa8007fff,0xffffffff,
    0x45ffffff,0x41effffb,0x82ffffe8,0xf9effff8,0xffffffff,0x7fffcc1f,
    0xff16ffff,0x7d4001df,0xffb9ffff,0x00005fff,0x81bffff6,0x20fffff9,
    0x407ffff9,0x222ffffd,0x9807ffff,0x1007ffff,0x800fffff,0xfffffff8,
    0xffffffff,0x7ffcc1ff,0x7fffffff,0x7fffdc00,0xffffffff,0xffe85fff,
    0xffdcffff,0xff105fff,0xffffffff,0x0bffffff,0xbffffff5,0x00bfffa1,
    0x3fffff60,0x005fffff,0x3fffea00,0x7fff405f,0x3fffee3f,0x7fffec04,
    0x1ffffe22,0x1bfffea0,0xf3333331,0x3333ffff,0x7c413333,0xffffffff,
    0xffffffde,0x7ffffcc4,0x007fffff,0x3fffffe6,0xffebaabd,0xfffb85ff,
    0xffffffff,0xfff100ff,0xddffffff,0x03ffffff,0x5c57b971,0x10005fff,
    0xffffffff,0x2a20007f,0xffffdcaa,0x7fdc00ff,0x3fffe6ff,0x7ffec01f,
    0x3fffe22f,0xffffb807,0x7ffffd45,0xffffffff,0x22ffffff,0xfffffff8,
    0x3fffa21d,0x333220ff,0x7ffffdcc,0x3ffffa00,0xffff502f,0xfffff88b,
    0xcfffffff,0x3fffe200,0x3e61dfff,0x4003ffff,0x000ffff8,0x3fffff60,
    0x260000df,0xffffffff,0xff8803ff,0xfff99fff,0xfffc806f,0x3fffe22f,
    0xffffe807,0x7ffffd43,0xffffffff,0x22ffffff,0x5ffffff8,0x7fffff10,
    0xfffff100,0x3fffee00,0x3ffea02f,0x6fffec5f,0x0bceeeda,0xfffff880,
    0xffffb05f,0xfffd8009,0x3ff60002,0xa82fffff,0x3e602aaa,0xffffffff,
    0x3fff2003,0x2ffffcbf,0x1ffffc80,0x01ffffe2,0x85fffff3,0xfffffffa,
    0xffffffff,0x3e22ffff,0x200effff,0x805ffffd,0x007ffff8,0x80dffffb,
    0x225ffffa,0x0001ffff,0xefffff88,0xbffff700,0x2fffdc00,0xffffb000,
    0xe83fffff,0x3e606fff,0x1dffffff,0x7fffcc00,0x007ffffe,0x443ffff9,
    0x2207ffff,0x40effffe,0xfeeeeee9,0xeeeeffff,0x3e22eeee,0x5c00ffff,
    0x8806ffff,0xd007ffff,0xa805ffff,0x3ea5ffff,0x80002fff,0x00fffff8,
    0x017fffea,0x007fffc4,0xfffffd80,0x20effffe,0x2205fffe,0x001effff,
    0x7fffff40,0xf7004fff,0x7fc43fff,0xfe980fff,0x2002ffff,0x007ffff8,
    0x03ffffc4,0x03ffffd4,0x03ffffc4,0x01fffff8,0x52ffffd4,0x337fffff,
    0xfff10001,0xfffa80ff,0xfffb005f,0x004d4c45,0x33fffff3,0x7cbfffff,
    0x3e204fff,0x80004fff,0xfffffffb,0xfff7001f,0x7fffc41f,0xffeddeff,
    0x4005ffff,0x007ffff8,0x03ffffc4,0x03ffffd4,0x03ffffc4,0x07ffffcc,
    0x97fffea0,0xfffffff8,0xcdefffff,0xfffff101,0x5ffffa80,0x25fffa80,
    0x03fffffd,0x547ffffb,0xf8cfffff,0x3e203fff,0x80003fff,0xfffffff8,
    0x3ffee006,0x3fffe20f,0xffffffff,0x4000efff,0x007ffff8,0x03ffffc4,
    0x03ffffcc,0x03ffffc4,0x03ffffd4,0x22ffffd4,0xfffffffa,0xffffffff,
    0x7fffc40d,0x7fffd407,0x7fffc405,0xfffffe88,0xffff84ff,0x7fffe40f,
    0x02ffffdf,0x001ffffc,0xfffffc80,0x3fee002f,0x3ffe20ff,0xffffffff,
    0x10003fff,0x800fffff,0x807ffff8,0x806ffffa,0x807ffff8,0x807ffffa,
    0xc85ffffa,0xffffffff,0xefffffff,0x1ffffe20,0x0bffff50,0xf93fffd8,
    0xffffdfff,0x37fffc43,0xffffffd8,0xaaa807ff,0xf300000a,0x800dffff,
    0x7c42aaa8,0xffffffff,0x0000ceff,0x01ffffe2,0x0fffff10,0x0bffff70,
    0x0fffff10,0x1fffff30,0x5ffffa80,0x77ffffe4,0xffffeeee,0x3fe24fff,
    0x7fd407ff,0x3fea05ff,0x1dfff15f,0xf993ffee,0xfd105fff,0x09ffffff,
    0x4c000000,0x002fffff,0x7fffc400,0x000aa98f,0x3fffe200,0x7ffc4007,
    0xfffe807f,0xfff8803f,0xfff8807f,0x7fe401ff,0x3ffee5ff,0x3fa600ef,
    0x3fe26fff,0x7fd407ff,0xfff105ff,0x93ffe61f,0x3e25fff8,0x3e607fff,
    0x01ffffff,0x80000310,0x006ffffe,0xffff8800,0x44000007,0x4007ffff,
    0x407ffff8,0x02fffff9,0x07ffff88,0x07fffff0,0xafffffdc,0x00fffff8,
    0x0fffff98,0x80fffff1,0x905ffffa,0x7fd47fff,0x237ff42f,0x203fffff,
    0x06fffffa,0x005fffb0,0xfffff700,0xffb10005,0x7ffff887,0x7c400000,
    0x44007fff,0x2207ffff,0x00effffe,0x07ffff88,0x0dffffb0,0x3fffffea,
    0x0dffff35,0x9ffffe60,0x407ffff8,0xa85ffffa,0x7fd46fff,0x237ff42f,
    0x83fffffe,0xffffffd8,0x7fffe403,0x3ee0001f,0x0005ffff,0x447ffffd,
    0x0007ffff,0x7fffc400,0x7ffc4007,0xffe980ff,0xf1002fff,0x2600ffff,
    0x30dfffff,0xfffffffb,0x3ffffeab,0xffffc801,0x1ffffe25,0x8bffff50,
    0x4c1fffe8,0x3fe24fff,0x7fffcc5f,0xffeddfff,0x2fffffff,0x3fffffe0,
    0xd9797004,0x01dfffff,0xfffff300,0x3ffffc4f,0x3e200000,0x44007fff,
    0xdeffffff,0xffffffed,0x3ffe2005,0x3ffa007f,0xffffffff,0x15ffffff,
    0x13dfffff,0xfffffb30,0x3ffffc45,0x17fffea0,0xf107fff9,0x3ff23dff,
    0xffffc83f,0xffffffff,0x1fffffff,0xffffff88,0xffffd004,0x003fffff,
    0x3ffffea0,0x1ffffe27,0xff100000,0xf8800fff,0xffffffff,0x0effffff,
    0xfffffff8,0xffffffff,0x7fd41fff,0xffffffff,0x25fffdcf,0xfffffffd,
    0xfffffeef,0x7ffc43ff,0x7ffd407f,0x1bffe65f,0xffffffd8,0xff900fff,
    0xffffffff,0xfffff5df,0xffffb01d,0x3ffa005f,0x01efffff,0x3fffe200,
    0x3fffe25f,0x44000007,0x4007ffff,0xfffffff8,0x3fffffff,0x3fffffe0,
    0xffffffff,0xfa81ffff,0xffffffff,0x44bfffb4,0xfffffffe,0xffffffff,
    0x7ffff884,0x2ffffd40,0x4403fffd,0xffffffff,0x7ffec402,0x262effff,
    0x886fffff,0x2004fffe,0x3ffffffe,0xfff70000,0x7fffc41d,0x44000007,
    0x8007ffff,0xfffffdb9,0x400cefff,0xffffffff,0xffffffff,0xffd301ff,
    0x7ec5dfff,0xffeb85ff,0xffffffff,0xfff100cf,0xfffa80ff,0x09fff95f,
    0xdffffb10,0xaa988003,0x55000009,0xceeb8003,0x400000ab,0x555502a8,
    0x88000005,0x0007ffff,0x00aa9988,0x7fffffc0,0xffffffff,0x9801ffff,
    0x4c0000aa,0xacdedccb,0x0000000a,0x2a620000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99991000,0x09999999,0x01999970,0x00000000,0x00055cc0,
    0x5677654c,0x32ea0001,0x1acdeeed,0x77765cc0,0x4400acde,0xaaaaaaaa,
    0x1aaaaaaa,0x2aa62000,0x951001aa,0x0179bddb,0xdb953000,0xa88379bd,
    0x51002aaa,0x3e605555,0xffffffff,0xfffe807f,0x2000001f,0x0001fdb8,
    0x00bffff2,0x7fffff4c,0x2002ffff,0xfffffffb,0x982fffff,0xffffffff,
    0x300cffff,0xffffffff,0x9fffffff,0x7ff5c400,0x405fffff,0xffffffc8,
    0x000cffff,0x7ffffec4,0x3fffffff,0x00fffff1,0x41bfffea,0xfffffff9,
    0xfe807fff,0x00001fff,0x03fffff0,0x3fffee00,0x7fdc00ff,0xffffffff,
    0x7f4c04ff,0xffffffff,0xfa82ffff,0xffffffff,0x980effff,0xffffffff,
    0x4fffffff,0xffffd980,0x05ffffff,0x3fffffe6,0xffffffff,0xffff5001,
    0xffffffff,0x3ffe29ff,0xfff5007f,0x3ffe60df,0x7fffffff,0x1ffffe80,
    0xfff00000,0x3a0003ff,0x03ffffff,0x3ffffffa,0xffffffff,0xfffe880d,
    0xffffffff,0xffa82fff,0xffffffff,0xf986ffff,0xffffffff,0x04ffffff,
    0x7fffffd4,0x05ffffff,0xffffffd1,0xffffffff,0x7fec401d,0xffffffff,
    0xf14fffff,0x2a00ffff,0x5106ffff,0xfff75555,0xfffd00ff,0x2000003f,
    0x001fffff,0xffffffd0,0x3fffee07,0xffffefff,0xfd83ffff,0xccefffff,
    0x82ffedcc,0xabcceffa,0xffffffdc,0x7ffffcc3,0xffffffff,0x3fee04ff,
    0xffffffff,0xff905fff,0x73159fff,0x07fffff9,0x7ffffff4,0xfffeeeff,
    0xffff14ff,0x3ffea00f,0x7fc4006f,0xffe807ff,0x000001ff,0x003fffff,
    0x3fffff60,0xffff882f,0x3ee20aff,0x7c47ffff,0x401effff,0x00a881a8,
    0x27ffffd4,0x2b7fffe6,0xaaaaaaaa,0xffff501a,0x00135bff,0x017ffff4,
    0x20bffffb,0xdffffffa,0x4fc98809,0x00fffff1,0x01bfffea,0x0fffff10,
    0x03ffffd0,0x3ffe0000,0xf10001ff,0x320bffff,0x201fffff,0x22fffffb,
    0x00fffffa,0x3fa00000,0x7fcc6fff,0xe80004ff,0x002effff,0x0dffff10,
    0x06ffff98,0x07fffffd,0xffff1080,0x3ffea00f,0x7fc4006f,0xffe807ff,
    0x4c0001ff,0xfffaaaaa,0xaaaaabff,0x3f6201aa,0xffff104e,0xfffb007f,
    0x7fffe4df,0x40000007,0x4c6ffffb,0x0004ffff,0x0fffffd4,0xffff3000,
    0xffff880d,0xfffffb85,0x3fe20002,0xff5007ff,0xf8800dff,0xfe807fff,
    0x2a201fff,0x3f62aaaa,0xffffffff,0xffffffff,0xfa80003f,0xb800ffff,
    0xf91fffff,0x0003ffff,0x7ffdc000,0x7fffcc5f,0x7ff40004,0x440003ff,
    0x200fffff,0x444ffffb,0x006fffff,0x3ffffc40,0x6ffffa80,0x7fffc400,
    0xffffe807,0xffffd101,0x7fffec5f,0xffffffff,0x03ffffff,0xffffc800,
    0xffff1005,0x3fffea5f,0x000001ef,0x87ffffb0,0x004ffff9,0x3ffffe20,
    0xfff80000,0xff880eff,0x7fcc1fff,0x40002fff,0x007ffff8,0x00dffff5,
    0x07ffff88,0x01ffffe8,0x87fffffb,0xfffffffd,0xffffffff,0x80003fff,
    0x003ffffd,0x4cfffffa,0xcfffffff,0x2e000001,0x4c0fffff,0x0004ffff,
    0x01ffffea,0x7fffdc00,0x3ffa63ff,0xfffa85ff,0xf880007f,0xf5007fff,
    0x8800dfff,0xe807ffff,0xfc81ffff,0xcb84ffff,0xffffcccc,0xccccccdf,
    0xfe80002c,0x3a003fff,0x3f64ffff,0xdfffffff,0x9988000a,0xffffeb99,
    0xffff981e,0x1ceeffff,0x6ffffdc0,0xdefffeb9,0xfffd801c,0xfffcefff,
    0xfff705ff,0xf10000df,0x2a00ffff,0x4006ffff,0x807ffff8,0x5c1ffffe,
    0x005fffff,0x00fffffc,0x7ffc0000,0x3f6002ff,0x3fe24fff,0xffffffff,
    0x3f6000cf,0xffffffff,0xffff300d,0xffffffff,0x3fff607d,0xffffffff,
    0x200cffff,0xffffffe8,0x205fffff,0xd05ffffd,0xdddddddd,0x1ffffe29,
    0x37fffd40,0x3fffe200,0xffffe807,0x3ffffe61,0xffff8005,0x4000001f,
    0x01fffff8,0x17ffff20,0xffffffd3,0x009fffff,0x3ffffff6,0x3e602fff,
    0xffffffff,0xd84fffff,0xffffffff,0xffffffff,0x7ffe400f,0x05ffffff,
    0x827ffff4,0xffffffff,0xfffff15f,0x3fffea00,0x7ffc4006,0xfffe807f,
    0xfffff11f,0xfff0001d,0x440003ff,0xff881cec,0x32001fff,0xc886ffff,
    0xffffffff,0x6c00efff,0xffffffff,0xff983fff,0xffffffff,0x744fffff,
    0xffffffff,0xffffffff,0x7ffd404f,0xdfffffff,0x7fffff00,0x3fffffe0,
    0xfff15fff,0x3fea00ff,0x7c4006ff,0xfe807fff,0xffe89fff,0xf0000eff,
    0x0003ffff,0x0fffffa2,0x05fffff1,0x2ffffec0,0xfffff910,0x80dfffff,
    0xfffeeeec,0x985fffff,0xca999999,0x1fffffff,0x3ffffffa,0xffca99ac,
    0xfb01ffff,0xffffffff,0xfd03ffff,0x3fe09fff,0x5fffffff,0x00fffff1,
    0x01bfffea,0x0fffff10,0xb3ffffd0,0x003fffff,0x0fffffc0,0xffffb800,
    0x7fffc1ff,0x3ff6002f,0xfb5003ff,0x9fffffff,0xfff71000,0x20007fff,
    0x23fffffc,0x405ffffe,0x84fffffa,0x9cfffffd,0xfffffffd,0x2ffffec0,
    0xffcaaaa8,0xffff15ff,0x3ffea00f,0x7fc4006f,0xffe807ff,0xfffffdff,
    0x7ffc0001,0xfb0001ff,0xe89fffff,0x2003ffff,0x002ffffe,0x7ffffe44,
    0x3a20007f,0x0007ffff,0xd97ffffa,0xd804ffff,0x7e45ffff,0x7d41ffff,
    0x644fffff,0x5005ffff,0x3e2bffff,0xf5007fff,0x8800dfff,0xe807ffff,
    0xffffffff,0xff80005f,0x90001fff,0x8dffffff,0x004ffffd,0x007ffffe,
    0x7ffffd40,0x3e60000f,0x0001ffff,0x64fffff9,0xb804ffff,0x3e26ffff,
    0xd101ffff,0x5c1fffff,0x5007ffff,0x3e2bffff,0xf5007fff,0x8800bfff,
    0xe807ffff,0xfffeffff,0x7c0002ff,0x0001ffff,0xfffffff1,0x06ffffc8,
    0x1fffff30,0x7ffe4000,0x220002ff,0x002fffff,0x4fffff50,0x805ffffc,
    0x2e7ffffa,0x4405ffff,0x2a1fffff,0x802fffff,0xf15ffffa,0x7001ffff,
    0x8009ffff,0x807ffff8,0xfe9ffffe,0x0001ffff,0x007ffffe,0xfffffa80,
    0x7ffffdc7,0xffffc801,0x7fd40007,0x20001fff,0x01fffff8,0xdffff900,
    0x03ffffdc,0xb2ffffdc,0xd007ffff,0x7c45ffff,0xa805ffff,0x3fe5ffff,
    0xfc800fff,0x44002fff,0xe807ffff,0xff89ffff,0x0000efff,0x003fffff,
    0x5ffffc80,0x27ffffc4,0x3ffffe20,0x7fdc0003,0x540007ff,0x0007ffff,
    0x993ffffa,0x402fffff,0x3a4ffffd,0xd802ffff,0x7ec2ffff,0x5402ffff,
    0x3fa5ffff,0xfe803fff,0x44001fff,0xe807ffff,0xff51ffff,0x2000bfff,
    0x003fffff,0x27fffd40,0x27ffffe4,0x6ffffe88,0xff1000dc,0x4000dfff,
    0x06fffff9,0xfffff900,0x5ffffe85,0x3ffffe60,0x13ffff22,0x1fffff10,
    0xffffff88,0x3fffea04,0x3fffff65,0x3fffea00,0x7fc4000f,0xffe807ff,
    0x3fff61ff,0xfe8004ff,0x40005fff,0x882ffffc,0xbdffffff,0xffffeca9,
    0x5efffc2f,0xfca9899a,0x543fffff,0xff931009,0x5547ffff,0xfffd7300,
    0xfff50dff,0xffb81bff,0x3ee0efff,0x880cffff,0x906ffffd,0x9dffffff,
    0xfffb3335,0x7fffccbf,0xfffb81ef,0xf88003ff,0xfe807fff,0x3fa21fff,
    0x4002ffff,0x01fffffd,0x7ff4c011,0x3fff605f,0xffffffff,0xff86ffff,
    0xffffffff,0x6fffffff,0x7fffffc4,0xfffffffe,0x7ffec4ff,0xffffffff,
    0xfd00efff,0xfdffffff,0x83ffffff,0xfffffff8,0xffffecce,0xfff103ff,
    0xffffffff,0x8bffffff,0xfffffffd,0xffffffee,0xfff10006,0xfffd00ff,
    0xffff983f,0x3ee001ff,0xccefffff,0xfb983fee,0x6c00ffff,0xffffffff,
    0x80efffff,0xffffffff,0xffffffff,0x7fffc40e,0xffffffff,0xffd85fff,
    0xffffffff,0x2600ffff,0xffffffff,0x03ffffff,0xfffffff5,0xffffffff,
    0xfffd8809,0xffffffff,0x7c45ffff,0xffffffff,0x01ffffff,0x7ffffffc,
    0xffffffff,0xfffd1fff,0xffff703f,0x7f4001df,0xffffffff,0xffff53ff,
    0x2003ffff,0xfffffffb,0x3e04ffff,0xffffffff,0x0dffffff,0xffffff88,
    0xefffffff,0xfffffb03,0x9fffffff,0xfffd1001,0xdfffffff,0xffffb805,
    0xffffffff,0x3fee004f,0xffffffff,0xd884ffff,0xffffffff,0xf801efff,
    0xffffffff,0xffffffff,0x3ffffd1f,0x3fffff60,0x3ffe6005,0xffffffff,
    0xffffff53,0xed980019,0x1dffffff,0x7fff6dc0,0xcfffffff,0x3fffe200,
    0xdfffffff,0x7fffec02,0x03efffff,0xffffd900,0x44007fff,0xfffffffb,
    0x88000cff,0xffffffec,0x5400beff,0xfffffffe,0x3ffe003e,0xffffffff,
    0x1fffffff,0x203ffffd,0x4fffffe8,0x3fff2200,0x52ffffff,0x0039dfff,
    0x01553100,0x2aaa6200,0x220009aa,0x09aaaa99,0xaaa98800,0x4000009a,
    0x00009aa9,0x04d554c4,0x2aa60000,0x3000099a,0x20003555,0xffffffff,
    0xffffffff,0xffffd1ff,0x7fffcc03,0x998002ff,0x4c40aaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xaaaaaaa8,0x2aaaaaaa,0x765cc400,0x2001bcde,0x9bcedca8,
    0x55554c00,0x55544002,0x555550aa,0x55550005,0x2aaaa235,0xaaa88000,
    0x0d554402,0x440d554c,0x002aaaaa,0x43555553,0xaaaaaaa8,0xaaaaaaaa,
    0x55510aaa,0x55555555,0x55555555,0x55555545,0x2aaaa800,0xffffff88,
    0xffffffff,0xfffd5007,0xffffffff,0x7fff4401,0x01efffff,0x0bffffea,
    0x6ffffc80,0x03fffff6,0xfffff880,0x03ffff32,0x0dfff700,0xb84fffb8,
    0xffb04fff,0xfd003fff,0x7d41ffff,0xffffffff,0xffffffff,0xfffff51f,
    0xffffffff,0x4fffffff,0x05ffffff,0x886fffe8,0xffffffff,0x07ffffff,
    0x7ffffec4,0xffffffff,0xfffff500,0x7fffffff,0x37ffff40,0xfffff880,
    0x3ffffea2,0x3ffea002,0x3fffe67f,0xfffb8002,0x1fffe406,0x981fffe4,
    0x405fffff,0x43fffffa,0xfffffffa,0xffffffff,0xfff51fff,0xffffffff,
    0xffffffff,0x7fffffcf,0x7fff401f,0xfffff886,0xffffffff,0x3ffa607f,
    0xffffffff,0xfb80ffff,0xffffffff,0x504fffff,0x005fffff,0x88dffff9,
    0x004fffff,0x897ffff6,0x8002ffff,0x6c06fffb,0xffd82fff,0x3fff602f,
    0x3ffa01ff,0x7fd40fff,0xffffffff,0xffffffff,0xffffff51,0xffffffff,
    0x7cffffff,0x04ffffff,0x4437fff4,0xeeeeeeee,0x07ffffee,0xfffffff1,
    0xffffddff,0xffff981f,0xffebacff,0xfd00ffff,0xf880dfff,0xfe82ffff,
    0x3e007fff,0x3e23ffff,0xb8002fff,0x7ec05fff,0xfffe82ff,0x3fffe201,
    0xffff706f,0xffff507f,0xffffffff,0x23ffffff,0xeeeeeee9,0xeeefffff,
    0x3fe5eeee,0x00ffffff,0x001bfffa,0x07ffff98,0x7ffffffb,0xb03f6a03,
    0x301dffff,0x209fffff,0x01fffffa,0x41bffff2,0x01fffffb,0x0fffff98,
    0x0017fffc,0x202fffe4,0xff81fffe,0x7fe400ff,0xffe82fff,0x333106ff,
    0x33333333,0x0bfffff9,0x1fffff40,0xffffff80,0x3ffa04ff,0x3e60006f,
    0xff987fff,0x1001ffff,0x0fffff98,0x3fffff20,0xbffffd00,0x3ffffe20,
    0xfffff302,0xffff7007,0x07ffff0d,0x09fff900,0xf80ffff8,0x7c400fff,
    0x7dc6ffff,0x0002ffff,0xffffff88,0x3fffa000,0xffff003f,0x740fffff,
    0x20006fff,0xe87ffff9,0x000fffff,0x13ffff60,0x13ffffa0,0x0fffffd4,
    0x037fffe4,0x017ffffa,0x20fffffa,0x8003ffff,0x7744fffc,0xeeffffee,
    0xeffffeee,0xfff704ee,0x7fff45ff,0xfb00006f,0x8005ffff,0x003ffffe,
    0xffffffff,0x3fffa07f,0x3fe60006,0x7ffd47ff,0x220004ff,0x801fffff,
    0x206ffffd,0x445ffffe,0x402fffff,0x00fffffc,0x07ffffe2,0x000ffffa,
    0xff0ffff6,0xffffffff,0xffffffff,0x7ff40bff,0xffff76ff,0xf500003f,
    0x000bffff,0x007ffffd,0x3ffbfffe,0xfffd06ff,0x7fcc000d,0x7ffdc7ff,
    0x260001ff,0x4406ffff,0x07fffffe,0x83ffffea,0x806ffffc,0x02fffff9,
    0x41ffffea,0xfe83fffe,0x3fffd85f,0x7ffffffc,0xffffffff,0x205fffff,
    0xeafffffa,0x0005ffff,0xffffff88,0xfffe8000,0xffff003f,0x05ffffb9,
    0x000dfffd,0x23ffffcc,0x006ffffc,0x27fffd40,0xffffff50,0x7ff401ff,
    0x3fffe4ff,0xffff002f,0x7ffe409f,0x9fffb04f,0x40ffff88,0x7fc3fffd,
    0xffffffff,0xffffffff,0x7ff405ff,0xffffffff,0xffd80000,0xd0002fff,
    0x2007ffff,0xff9cffff,0xfffe86ff,0x3fe60006,0x7fff47ff,0x7dc0005f,
    0xfd883fff,0xffffffff,0x3fffea00,0x6ffffb8f,0x3ffff600,0x3ffffe06,
    0x89fffb02,0x6c2ffffb,0x3ee02fff,0xfffb84ff,0x7ffcc004,0x04ffffff,
    0xffffa800,0x3fa0005f,0xff003fff,0x3fffa9ff,0x37fff41f,0xffff3000,
    0x4fffff8f,0x7ffe4000,0x7fff4c3f,0x1fffffff,0x5fffff40,0x002ffffe,
    0x03ffffea,0x81ffffe6,0x7ec4fffc,0x7ff45fff,0x3fff202f,0x03fffc83,
    0xfffffd80,0x40000fff,0x0ffffff8,0x3fffa000,0xffff003f,0x17fffea9,
    0x000dfffd,0x13ffffcc,0x007fffff,0x2ffffd80,0x3fffffee,0x02ffffcb,
    0x7fffffd4,0x44006fff,0xb83fffff,0x3205ffff,0x3fe25fff,0x7ff47fff,
    0x3fff601f,0x02fffd82,0xfffff880,0xd80003ff,0x002fffff,0x1fffff40,
    0x24ffff80,0x3a1fffff,0x20006fff,0x267ffff9,0x002fffff,0x4fffff40,
    0xefffffd8,0x07ffff91,0xffffffd0,0xfb0003ff,0xffd0bfff,0x7fe405ff,
    0x3fffea5f,0x3fffa1ff,0x0bfff601,0x0007fffa,0x3fffffe6,0x7d40004f,
    0x0004ffff,0x03ffffe8,0x5c9ffff0,0x3fa4ffff,0x260006ff,0x3e27ffff,
    0x0003ffff,0x7e7fffec,0x6c5fffff,0xa802ffff,0x6fffffff,0xffff7000,
    0xfffff88f,0x97ffee00,0x4ffffffd,0xe803fffe,0xfff81fff,0xffd8000f,
    0x00ffffff,0xfffff100,0xfd00001d,0x3e007fff,0x3fe24fff,0xfffd0fff,
    0x7fcc000d,0x7fffc7ff,0x7e40004f,0xffffffff,0xffffe82f,0xffffd001,
    0x220003ff,0x2a1fffff,0x5c06ffff,0x3ffe5fff,0x3fe6fffd,0x3ffe00ff,
    0x0ffff80f,0x7fffd400,0x005fffff,0x5fffffb0,0x3ffa0000,0xfff003ff,
    0xffffc89f,0x00dfffd3,0x3ffffcc0,0x017ffffa,0xfffff700,0x3e01dfff,
    0x5000ffff,0x00bfffff,0x4ffffe80,0x00fffff2,0x3e6dfff5,0x1ffff9ff,
    0x7fc4ffff,0xffffffff,0xffffffff,0xffe804ff,0xffffffff,0x7ffd4002,
    0x200004ff,0x003ffffe,0xf989ffff,0xfffd7fff,0x7fcc000d,0x7ffec7ff,
    0x7d40006f,0x04ffffff,0x003ffffc,0x00bffffa,0xdffff900,0x00fffff4,
    0x7e5bffea,0x27fff97f,0x3fe27fff,0xffffffff,0xffffffff,0x7fdc04ff,
    0xffffafff,0x3fe2006f,0x00006fff,0x01fffff4,0xd84ffff8,0xffeaffff,
    0x3e60006f,0x7fe47fff,0x20002fff,0x1ffffff9,0x37fffd40,0x3ffffa00,
    0x7fcc0002,0xfff98fff,0xfff9806f,0x3eabfff7,0x7fff8eff,0x3fffffe2,
    0xffffffff,0x04ffffff,0x57ffffe2,0x03fffffb,0x3fffffb0,0xffe80000,
    0xfff003ff,0xffff309f,0x00dfffdd,0x37fffdc0,0x1bffffee,0xffff8800,
    0xfffd801f,0x7ff4004f,0xf80002ff,0xffbaffff,0xff9804ff,0x12fff9ff,
    0xfff3ffff,0x7f77744d,0xeeeeefff,0x3eeeffff,0x3fffff20,0xffffff11,
    0xffffa801,0xe800004f,0xf003ffff,0x3fa09fff,0x6fffffff,0x3fff6000,
    0x7fffc45f,0x360003ff,0x4406ffff,0x000fffff,0x017ffff4,0x7fffe400,
    0x01ffffdd,0xfbffff88,0x3fff60ff,0x2e06fffb,0xffb84fff,0xfff1004f,
    0xfffb8bff,0x3fe204ff,0x00006fff,0x07ffffd0,0x413fffe0,0xfffffffa,
    0x4c02a86f,0xb83fffff,0x04ffffff,0x3fe60c98,0x3f603fff,0xe8005fff,
    0x0002ffff,0xffffffa8,0xf1007fff,0x8bffdfff,0xfffefffa,0x0ffff205,
    0x400ffff2,0x81fffffd,0x01ffffff,0x03fffffb,0x3ffa0000,0xfff003ff,
    0x7fffc09f,0xfa86ffff,0x7ffd40be,0xffd01fff,0x57bdffff,0x81fff975,
    0x0bfffffd,0x3fffff62,0xfffe8001,0xff00002f,0xbfffffff,0x3fffe200,
    0x7fc43fff,0x205fffff,0xfd82fffd,0xff9802ff,0xff705fff,0xff50dfff,
    0x9999dfff,0x99999999,0x3fffa003,0xffff003f,0x7fffdc09,0xffa86fff,
    0xffffffff,0x3ea04fff,0xffffffff,0x0fffffff,0x7fffffcc,0xfffffeef,
    0xffd0005f,0x200005ff,0xfffffffd,0x3ffe002f,0xfd80ffff,0x205fffff,
    0xfe81fffe,0xffe801ff,0x3fa01fff,0x7f42ffff,0xffffffff,0xffffffff,
    0xfffd003f,0x3ffe007f,0x3ffe204f,0xfa86ffff,0xffffffff,0x5400efff,
    0xffffffff,0x0fffffff,0xffffffb8,0x4fffffff,0x3fffa000,0xf700002f,
    0x1fffffff,0x7ffffc00,0xffff706f,0x7ff409ff,0x0ffff81f,0x7ffffd40,
    0x7fffd405,0x3fffa0ff,0xffffffff,0x3fffffff,0x7ffffd00,0x13fffe00,
    0xffffff90,0xfffff50d,0x1bffffff,0x3fff6200,0xffffffff,0xfff300ff,
    0xffffffff,0xffe80007,0x100002ff,0xbfffffff,0xffffe800,0xffff103f,
    0x7ffc09ff,0x07fff80f,0x1fffffe8,0xfffffe80,0x3fffffa4,0xffffffff,
    0x003fffff,0x007ffffd,0x3013fffe,0x0dffffff,0x3fffff6a,0x50002dff,
    0xffffffd9,0xd88015bf,0xcefffffe,0xffe80001,0x200002ff,0x3ffffffe,
    0x7ffff400,0x3fffa01f,0xfff103ff,0x0ffff10f,0x5fffffb8,0xfffff500,
    0x3ffffa1f,0xffffffff,0x03ffffff,0x07ffffd0,0x013fffe0,0x1bfffff6,
    0x0026a660,0x26a62000,0x2a620000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55530000,
    0x554c0155,0x2aaa0aaa,0xa88000aa,0xaa802aaa,0x5510aaaa,0x35555555,
    0xb9880003,0x800bcded,0x800aaaaa,0x511aaaa9,0x55555555,0x55540013,
    0xaaaaaaaa,0x5542aaaa,0xaaaaaaaa,0x10aaaaaa,0x55555555,0x55500035,
    0x55555555,0x03555555,0x07333260,0x3ffff600,0x3fffa02f,0x3fffa2ff,
    0xff98002f,0x7fdc07ff,0x3fe65fff,0xffffffff,0x22002dff,0xfffffffe,
    0x3fe00cff,0xfb800fff,0xfff14fff,0xffffffff,0x7fc405df,0xffffffff,
    0x227fffff,0xffffffff,0xffffffff,0xffffff12,0x7dffffff,0xffffe801,
    0xffffffff,0x4c03ffff,0x03fffffd,0xfffffe80,0xfffff305,0x7ffff45f,
    0xfff98002,0x3ffe207f,0x3fe60fff,0xffffffff,0x401fffff,0xfffffffb,
    0x00ffffff,0x001fffff,0x229ffff7,0xffffffff,0x2effffff,0xffffff88,
    0xffffffff,0x3fffe27f,0xffffffff,0xff12ffff,0xffffffff,0x405fffff,
    0xfffffffe,0xffffffff,0xfffb103f,0x0007ffff,0x0ffffffd,0x3fffffee,
    0x0bffffa3,0x3fffe600,0x3ffff607,0x7fffcc2f,0xffffffff,0xe880efff,
    0xffffffff,0x06ffffff,0x001fffff,0x229ffff7,0xffffffff,0xffffffff,
    0x7ffffc43,0xffffffff,0x3ffe27ff,0xffffffff,0xf12fffff,0xffffffff,
    0xbfffffff,0xfffffd01,0xffffffff,0xfc887fff,0xffffffff,0xfffe8003,
    0xffe82fff,0x3fa3ffff,0x98002fff,0xf507ffff,0xf309ffff,0xfdddffff,
    0xdfffffff,0x3fffffa0,0xfffffddf,0xffff83ff,0xfffb800f,0xfffff14f,
    0xfffffddd,0x7c43ffff,0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,
    0xfffff12f,0xfffffddd,0xdb0bffff,0xffffdddd,0x5ddddddf,0x3fffff22,
    0x03ffffff,0xffffff80,0x7fffc44f,0x3ffa4fff,0xf98002ff,0xff887fff,
    0xff306fff,0xff710dff,0xf101ffff,0xff9039ff,0xfff0dfff,0xff7001ff,
    0x3ffe29ff,0xfffd507f,0x3fe21fff,0x88000fff,0x000fffff,0x87ffff88,
    0xfffffda9,0xfffb002f,0xfffa807f,0xffffffff,0xfff8003f,0x7dc7ffff,
    0x24fffeff,0x002ffffe,0x87ffff98,0x01fffffd,0x40dffff3,0x02fffffa,
    0xffd805f3,0xffff87ff,0xfffb800f,0xfffff14f,0xfffffd80,0x1fffff12,
    0xffff1000,0xff10001f,0xffc80fff,0xfb006fff,0xff007fff,0xffd3bfff,
    0xff0007ff,0x43fffbdf,0xfffcfffd,0x0bffffa4,0x3fffe600,0x7ffffd47,
    0x3fffe603,0x7ffffc06,0x7fd40003,0x7ffc1fff,0xffb800ff,0xffff14ff,
    0xffff880f,0xfffff13f,0xfff10001,0xf10001ff,0xf900ffff,0xb007ffff,
    0x9007ffff,0x7ff43dff,0x7c4003ff,0x4fffbeff,0xff7bfff1,0x7ffff4bf,
    0xfff98002,0x3fffe27f,0x7ffcc05f,0x7ffec06f,0x7cc0004f,0x7fc1ffff,
    0xfb800fff,0xfff14fff,0xfffb00ff,0x3fffe2bf,0xff88000f,0x88000fff,
    0x8807ffff,0x806fffff,0x803ffffd,0xfffe82e8,0x7fc4003f,0x56fff8ef,
    0xfff77fff,0x17ffff4b,0x7fffcc00,0x3fffff67,0x7fffcc00,0x7ffff406,
    0x7fcc0003,0x7ffc0fff,0xffb800ff,0xffff14ff,0xffff900f,0x3ffffe2d,
    0xfff88000,0xf88000ff,0xfb007fff,0xfb00ffff,0x80007fff,0x003ffffe,
    0xfeb7ffcc,0x8fffc8ff,0x3fa6fffa,0x98002fff,0xff57ffff,0xf3005fff,
    0x7cc0dfff,0x0001ffff,0x43ffffdc,0x800fffff,0xf14ffffb,0xfb00ffff,
    0x3fe29fff,0x88000fff,0x000fffff,0x07ffff88,0x0fffff50,0x07ffffb0,
    0xffffe800,0x7ffcc003,0xff5fff96,0x9bffeadf,0x002ffffe,0x8fffff98,
    0x004ffffe,0x20dffff3,0x06fffff9,0xffffe800,0xbfffff85,0xaaaaaaaa,
    0xf14ffffd,0xfd00ffff,0x3fe27fff,0x88000fff,0x999fffff,0x09999999,
    0x01ffffe2,0x0fffffcc,0x0fffff60,0xffffd000,0xfff98007,0xffdfff56,
    0x9bffea7f,0x002ffffe,0xcfffff98,0x2006ffff,0xaafffff9,0xfffffeca,
    0x7d40001f,0xff81ffff,0xffffffff,0xffffffff,0xfffff14f,0xfffffa80,
    0x7fffff11,0x55555555,0x7fffc435,0xffffffff,0x3fe26fff,0xff1007ff,
    0xfd805fff,0x40003fff,0x003ffffe,0xff2fffd4,0x2a1fffff,0x3ffa7fff,
    0xf98002ff,0xffffffff,0x3fe6001f,0xffffffff,0x001effff,0x7ffffc40,
    0xffffff06,0xffffffff,0x229fffff,0x2607ffff,0x10ffffff,0xffffffff,
    0x7fffffff,0x7fffffc4,0xffffffff,0x3fffe26f,0xffff1007,0xfffd807f,
    0x7f40003f,0x54003fff,0x3ff65fff,0x3fe66fff,0x3ffffa7f,0xfff98002,
    0x4fffffff,0x3fffe600,0xffffffff,0xfd00002d,0x3e03ffff,0xffffffff,
    0xffffffff,0xffff14ff,0xf953333f,0x445fffff,0xffffffff,0x3fffffff,
    0x3fffffe2,0xffffffff,0x3fffe26f,0x3fffe007,0x7ffec03f,0x7f40003f,
    0x5c003fff,0x3fee5fff,0x3fe63fff,0x3ffffa7f,0xfff98002,0xfffffcff,
    0xffff3002,0xffffffff,0x3f600007,0x3e02ffff,0xffffffff,0xffffffff,
    0xffff14ff,0xffffffff,0xf889ffff,0xffffffff,0x23ffffff,0xfffffff8,
    0xffffffff,0x1ffffe26,0x7ffffc40,0x7fffec01,0x7ff40003,0x7dc003ff,
    0x3ffe24ff,0x3ffe60ff,0x5ffffd0f,0xffff3000,0x3fffffaf,0xffff9800,
    0xfffffecf,0x7e40005f,0x7c04ffff,0xb800ffff,0xff14ffff,0xffffffff,
    0x81bfffff,0xeefffff8,0xeeeeeeee,0x3ffffe22,0xfff88000,0xfff3007f,
    0xffd801ff,0x740003ff,0x4003ffff,0x7f44fffb,0x7ffcc6ff,0x5ffffd0f,
    0xffff3000,0x3ffffeaf,0xffff9805,0x3ffff626,0xff90002f,0xff00bfff,
    0xf7001fff,0x3fe29fff,0xffffffff,0xf101efff,0x0001ffff,0x01fffff1,
    0xfffff100,0x3fffea00,0xffffd807,0x7ff40003,0x7e4003ff,0x7ffe44ff,
    0x8ffffc43,0x002ffffe,0x27ffff98,0x02fffffd,0x437fffcc,0x00fffffe,
    0x7ffffe40,0xfffff005,0xffff7001,0x3ffffe29,0x2cdeffff,0x7ffffc40,
    0xfff88000,0xf88000ff,0xf7007fff,0xfb00dfff,0x80007fff,0x003ffffe,
    0x2627ffe4,0x7fc41eee,0xffffd1ff,0xfff30005,0x7fffc4ff,0x3fe600ff,
    0xfff886ff,0x3f2003ff,0x2005ffff,0x800fffff,0xf14ffffb,0x0333ffff,
    0xfffff100,0xfff10001,0xf10001ff,0xf100ffff,0xb00bffff,0x0007ffff,
    0x03ffffe8,0x01fffec0,0x47fffe20,0x002ffffe,0x47ffff98,0x05fffffb,
    0x41bfffe6,0x00fffffd,0x4fffffc8,0x7ffffc00,0xffffb800,0x0fffff14,
    0xffff8800,0xff88000f,0x88000fff,0xb807ffff,0x801fffff,0x003ffffd,
    0x1fffff40,0x0ffff600,0x5ffff100,0x00bffffa,0x1ffffe60,0x0bfffffa,
    0x837fffcc,0x03fffff9,0x27ffffe4,0x7ffffc00,0xffffb800,0x0fffff14,
    0xffff8800,0xff88000f,0x88000fff,0x4c07ffff,0x005fffff,0x007ffffb,
    0x3ffffe80,0x1fffec00,0x97fffc00,0x002ffffe,0x87ffff98,0x0ffffff9,
    0x06ffff98,0x81fffffa,0x04fffffb,0x1fffff00,0x9ffff700,0x01ffffe2,
    0xfffff100,0xfff10001,0xf10001ff,0x7dc0ffff,0x001fffff,0x007ffffb,
    0x3ffffe80,0x1ffff400,0x9ffffc00,0xaacffffe,0xaaaaaaaa,0x0fffff32,
    0x17fffff2,0x81bfffe6,0x83fffffb,0xeffffffb,0xeeeeeeee,0x3fffe1ee,
    0xfffb800f,0xfffff14f,0xfff88000,0xf88000ff,0xaaabffff,0x0aaaaaaa,
    0x55fffff1,0xffffdb75,0x333109ff,0x7ffffd33,0x5c133333,0xffcccccc,
    0xccccdfff,0x7fffd01c,0x7ffff000,0x3ffffffa,0xffffffff,0xfffff37f,
    0x3ffffa20,0x7fffcc3f,0x7ffffc06,0x7ffffcc6,0xffffffff,0x3e2fffff,
    0xb800ffff,0xff14ffff,0x88000fff,0x000fffff,0xffffff88,0xffffffff,
    0xffff12ff,0xffffffff,0xd01bffff,0xffffffff,0xffffffff,0x7fffff47,
    0xffffffff,0xff03ffff,0xff0005ff,0x3fffa7ff,0xffffffff,0xff37ffff,
    0x7fd40fff,0x3e60ffff,0x7e406fff,0x3e62ffff,0xffffffff,0xffffffff,
    0x3ffffe2f,0xffffb800,0x0fffff14,0xffff8800,0xff88000f,0xffffffff,
    0x12ffffff,0xffffffff,0x5fffffff,0x7fffff40,0xffffffff,0x3ffa3fff,
    0xffffffff,0x3fffffff,0x005ffff0,0x3a9ffff0,0xffffffff,0x7fffffff,
    0x80fffff3,0x25fffffd,0x406ffff9,0x26fffff8,0xfffffff9,0xffffffff,
    0x3ffe2fff,0xffb800ff,0xffff14ff,0xff88000f,0x88000fff,0xffffffff,
    0xffffffff,0xffffff12,0xbfffffff,0xffffe801,0xffffffff,0x3fa3ffff,
    0xffffffff,0xffffffff,0x05ffff03,0x29ffff00,0xfffffffe,0xffffffff,
    0x0fffff37,0xffffff88,0x0dffff33,0x5fffffb0,0x3fffffe6,0xffffffff,
    0x3fe2ffff,0xfb800fff,0xfff14fff,0xf88000ff,0x8000ffff,0xfffffff8,
    0xffffffff,0xfffff12f,0x15bddfff,0x3ffffa00,0xffffffff,0x3fa3ffff,
    0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaa20,0x019aaaaa,
    0x55555000,0x00000355,0x35555553,0x2aaaaaa0,0xaaaaaaaa,0x400aaaaa,
    0xbcdedca8,0x01000001,0x20000008,0x1acddba8,0xd9953000,0x0015799d,
    0x0d66e5cc,0xa80ab980,0x54402aaa,0x33321aaa,0x7ffcc2cc,0xffffffff,
    0x10001dff,0xbfffffff,0xff880000,0xb04fffff,0xffffffff,0xffffffff,
    0x3f2203ff,0xffffffff,0x7ec00004,0x0005f701,0xffffe980,0x001effff,
    0xffffffd5,0x900dffff,0xffffffff,0x7ffe403d,0x3fffe22f,0x7fffd407,
    0x13ffffe5,0xfffffff3,0xffffffff,0xfff5000b,0x000fffff,0xfffffc80,
    0xfffb04ff,0xffffffff,0x3fffffff,0xffffff70,0x3dffffff,0xffd88000,
    0x1fffdc0f,0xfffb8000,0xffffffff,0x7ffec04f,0xffffffff,0x3ff6206f,
    0xffffffff,0xffffb83f,0xffff10ff,0xffffa80f,0x13ffffa5,0xfffffff3,
    0xffffffff,0xffc800bf,0x01ffffff,0xffff3000,0x3609ffff,0xffffffff,
    0xffffffff,0x7ffcc1ff,0xffffffff,0x0000ffff,0x1fffffd3,0x17ffffee,
    0xffffb000,0xffffffff,0x3ff20bff,0xffffffff,0xff106fff,0xffffffff,
    0xfe87ffff,0xf13fffff,0xfa80ffff,0x3ffa5fff,0x7ffcc3ff,0xfedcccff,
    0x02ffffff,0x3fffffe0,0x00004fff,0xfffffffd,0x3fff609f,0xffffffff,
    0x1fffffff,0x3fffffe2,0xfffedbbd,0xfa8003ff,0x30efffff,0x1dffffff,
    0xffff5000,0xfffbbfff,0xf985ffff,0x20aeffff,0xfb06db99,0x3115dfff,
    0x41fffffd,0x3ffffffe,0x80fffff1,0x365ffffa,0x7cc2ffff,0xf9106fff,
    0x2009ffff,0xfffffff9,0xb80006ff,0xffffffff,0x9999704f,0x99999999,
    0x41fffffd,0x82fffffd,0x0fffffe8,0x3fffee00,0xffe884ff,0x4001efff,
    0x81ffffff,0x46fffffb,0x01fffffb,0xbffff300,0x27fffec0,0x5ffffffb,
    0x01ffffe2,0x6cbffff5,0x7cc2ffff,0x7f406fff,0xf7005fff,0xffff7fff,
    0x7c40001f,0xfffaffff,0xf100004f,0xff89ffff,0x3e204fff,0x9004ffff,
    0x07ffffff,0x7ffffec4,0xfff7002f,0x7fd403ff,0x3ff22fff,0x3a0006ff,
    0x2600ffff,0x3e27ffff,0x3e25ffff,0x7d407fff,0x3ff25fff,0x7ffcc1ff,
    0x7ffdc06f,0xfffd006f,0x7ffffd1f,0x7ffec000,0x4ffffaaf,0xfff90000,
    0x7ffc41ff,0x7fec00ff,0x7ec406ff,0x002fffff,0x7ffffff9,0x9ffffd00,
    0x9ffffd00,0x1fffffe4,0x7fffcc00,0xffffe805,0x113bf620,0xa80fffff,
    0x3f25ffff,0x7fcc1fff,0x7fdc06ff,0xff8805ff,0xffff96ff,0x3fea000b,
    0xffff55ff,0xff100009,0xffa89fff,0xffa807ff,0x3fa207ff,0x000effff,
    0x7fffffdc,0x7ffffc04,0xffffb801,0x3ffffea5,0xf5000bef,0xfb007fff,
    0x44003fff,0x5407ffff,0x3ee5ffff,0x7fcc0fff,0x7fec06ff,0xffa803ff,
    0xffff33ff,0x3ffa000f,0xffff50ff,0xff700009,0xffb81fff,0xff9806ff,
    0xfff307ff,0x0001bfff,0x3fffffe6,0xffff880d,0xffff5007,0xfffffe8d,
    0x200befff,0xfffffffb,0xffffffff,0x22003fff,0x5407ffff,0x3ee5ffff,
    0x7fcc0fff,0x3fea06ff,0xfd800fff,0x3ffe1fff,0x7dc002ff,0x3fea3fff,
    0x440004ff,0x984fffff,0x8807ffff,0x540fffff,0x04ffffff,0xfffe8800,
    0x7fd40eff,0xff3007ff,0xfff98fff,0xffffffff,0xffffc81d,0xffffffff,
    0x03ffffff,0x1ffffe20,0x4bffff50,0xf986eeea,0x64c46fff,0x003fffff,
    0xfd8fffff,0x22004fff,0x7d46ffff,0x40004fff,0x80fffffb,0x03fffff8,
    0x21fffff8,0x2ffffffc,0x3f620000,0x2e1fffff,0x3006ffff,0x881fffff,
    0xfffffffd,0x7ec4ffff,0xffffffff,0xffffffff,0x3fe2003f,0x7fd407ff,
    0x7cc005ff,0xffffffff,0x03ffffff,0x8bffff30,0x007ffffb,0x507ffff6,
    0x0009ffff,0x05fffff8,0x0bfffffe,0x7ffffe4c,0xffffff72,0x3a000007,
    0x51ffffff,0x200fffff,0x207ffffa,0xffffffc9,0x3f63ffff,0xccccdfff,
    0xcccccccc,0x3fe2001c,0x7fd407ff,0x66dc45ff,0x7ffffcc1,0xffffffff,
    0xff9000bf,0xfff885ff,0xffa801ff,0xfffa84ff,0x3ee0004f,0x3201ffff,
    0xdeffffff,0xfffffedc,0x3fff62ff,0x00002fff,0x7fffffe4,0x3ffffe62,
    0xffffb800,0xfff93005,0x321fffff,0x0003ffff,0xffff8800,0x7fffd407,
    0x3ffffa25,0x3ffffe64,0xffffffff,0xfe803fff,0xffe80fff,0x7f4403ff,
    0xffa80eff,0x3a0004ff,0xe805ffff,0xffffffff,0xffffffff,0x7fffdc1f,
    0x880003ff,0x1ffffffd,0x01fffff8,0x04ffffd8,0xfffffa80,0x9ffff72f,
    0xf1000000,0xfd80ffff,0x3ffa5fff,0xff31ffff,0xffdddfff,0x7fffffff,
    0x37fffc40,0x06ffffc8,0x817fffe4,0x004ffffa,0x3fffff70,0xfffff300,
    0xffffffff,0xf501ffff,0x00bfffff,0x7ffff440,0xfffd00ef,0xfff880bf,
    0xf30003ff,0x3e67ffff,0x0000ffff,0x2067fecc,0x901fffff,0x22bfffff,
    0x4fffffff,0x20dffff3,0xffffffc8,0x9ffff701,0x3ffffea0,0xbffff300,
    0x27fffd40,0xffffe800,0x3fee2005,0xdfffffff,0x300fffff,0x1dffffff,
    0xffff9800,0x3f200dff,0x3602ffff,0x000fffff,0x3fffff30,0x17ffffe2,
    0xffff9800,0x7ffffc6f,0xfffffb83,0xfffff35f,0x3ffe6bff,0x7ffd406f,
    0xfffb04ff,0x3ffe203f,0xfffd02ff,0x7ffd401f,0xffa8004f,0x88002fff,
    0x31accca9,0x880fffff,0x1efffffe,0xfffff700,0xfff1009f,0x2a239fff,
    0x42fffffd,0xffe802cc,0x7ffdc7ff,0x5cc01dff,0x3fffff61,0x3ffffa2f,
    0xffffb32e,0x3fe2bfff,0xf34fffff,0xfb00dfff,0x3fe0dfff,0xcccccfff,
    0x5fffffcc,0xffffff88,0xffffffff,0x5fffffff,0x6ffffe80,0x3ee00000,
    0xd8806fff,0x02ffffff,0x7fffffe4,0x3ffee003,0xffffffff,0xfd86ffff,
    0xdcbcceff,0x85ffffff,0xeffffffe,0xfffeedcd,0x3fffffa2,0x3fffee3f,
    0xffffffff,0x3f65ffff,0xf30fffff,0xf900dfff,0xff50ffff,0xffffffff,
    0xffffffff,0xffffff10,0xffffffff,0xbfffffff,0xfffffa80,0x36000002,
    0x2003ffff,0x3ffffffc,0xfffffd88,0xffe8001f,0xffffffff,0xfd81efff,
    0xffffffff,0x80efffff,0xfffffff9,0xffffffff,0x3fffff62,0x7ffffc3f,
    0xecffffff,0x3f625fff,0x3fe62fff,0xffd806ff,0xfffc86ff,0xffffffff,
    0x1fffffff,0x7fffffc4,0xffffffff,0x5fffffff,0x37ffff40,0xff300000,
    0xb8001fff,0x25ffffff,0xefffffe9,0x3ff20000,0xffffffff,0x3fff604f,
    0xffffffff,0x36200eff,0xffffffff,0x2e2fffff,0x40ffffff,0xfffffffa,
    0xbfffb4ff,0xf9815530,0x7c406fff,0xff84ffff,0xffffffff,0xffffffff,
    0x7fffc44f,0xffffffff,0xffffffff,0x3ffea05f,0x000002ff,0x0bfffff1,
    0x3fffe600,0xffff71ff,0x300001bf,0xfffffffb,0xffeb805b,0xffffffff,
    0x3faa002d,0xffffffff,0x7ffe40ce,0xfffd302f,0x7fec5dff,0x7fcc005f,
    0x3f6206ff,0x7cc3ffff,0xccccefff,0xffeccccc,0x555446ff,0xaaaaaaaa,
    0xadffffca,0x3ffa01aa,0x800006ff,0xffffffb8,0x3fa20001,0x7ffe41ff,
    0x31000004,0x26000155,0x09aaaaaa,0x55544000,0xaa8801aa,0x0aaa8800,
    0xff980000,0xa9999eff,0xfffffffb,0x1ffffdc0,0xfffffa80,0x7fd40000,
    0xff3004ff,0x50007fff,0xfd995555,0x05ffffff,0x03fb1000,0x00000ff2,
    0x00000000,0x00000000,0x00000000,0x3fffffe6,0xffffffff,0xffe82fff,
    0xff1001ff,0x80007fff,0x004ffffa,0x00fffffb,0x3fffffa0,0xffffffff,
    0x00c00004,0x00000006,0x00000000,0x00000000,0x4c000000,0xffffffff,
    0xffffffff,0x7ffff883,0x7ffff400,0x7fd40005,0xff9804ff,0xd0003fff,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffcc0,0xffffffff,0xfff501df,0xffc8009f,0x540007ff,0xd804ffff,
    0x0007ffff,0x3ffffffa,0x000cffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffcc00,0xcdefffff,0x7ffe400b,0x7fcc002f,0x20002fff,
    0x404ffffa,0x03fffff9,0x3ffffa00,0x0001bdee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99530000,0xa8803579,
    0x2bcdeccb,0x02aaaa20,0x2057bb95,0x37262aa9,0x166dc40a,0x4c0aaaa8,
    0x5102cddc,0x40015555,0x50aaaaa8,0x20005555,0x530aaaa8,0x55555555,
    0x15555555,0x05555554,0x55555440,0x3332a001,0xc980000c,0x930004cc,
    0x74c0017b,0xffffffff,0xfffeb87f,0xffffffff,0x3ffff983,0xffffffd3,
    0x57ffd81d,0x223fffff,0x20dfffff,0xd32ffff8,0x3dffffff,0x3fffff88,
    0x3ffff200,0x03ffff66,0x3fffe600,0xffffff92,0xffffffff,0x7ffcc5ff,
    0xffd806ff,0x2e000fff,0x0000ffff,0x006fff98,0x1fffff98,0x7fffe440,
    0x7fffffff,0xfffffff8,0x6fffffff,0x55ffffcc,0xffffffff,0x3fff61ff,
    0x5ffffff9,0x7ffffffd,0x557fffc4,0xffffffff,0x7ffec1ff,0x3ffe006f,
    0x3fff23ff,0xffa8001f,0xffff90ff,0xffffffff,0xfc85ffff,0x2a04ffff,
    0x002fffff,0x007fffdc,0x37ffc400,0x7fffec00,0x3ffe606f,0xffffffff,
    0xffff87ff,0xffffffff,0x3fe64fff,0xfffffdff,0x24ffffff,0xfffefffd,
    0xfffdffff,0x3e27ffff,0xffffdfff,0x5fffffff,0x0fffffd4,0x7ffffcc0,
    0x0bfffea0,0x9fffee00,0xfffffffc,0xffffffff,0xffffe82f,0xffff881f,
    0xffb8004f,0x24c000ff,0xb117ffe2,0xffffff80,0xffffd02f,0xffdddfff,
    0x57dff0ff,0xfff73133,0x3fe61fff,0xdfffffff,0x0ffffffc,0x5dfffffb,
    0x7ffffffd,0x221ffffb,0xffffffff,0xfffffeef,0x7ffffc1f,0xffffc804,
    0x1ffffcc5,0x37ffe400,0xfffffff9,0xffffffff,0xffff101f,0xffffb0df,
    0x3fee000d,0x7f4000ff,0xa93ffe0e,0x3ffa03ff,0xfb84ffff,0x80afffff,
    0x800b86b8,0x32fffff8,0x9fffffff,0x7ffffc41,0x1fffffb3,0x47ffffee,
    0xf11ffff8,0x3bffffff,0x1fffffcc,0x01fffff2,0x10bffffe,0x0009ffff,
    0x000bfffb,0x05fffffb,0x27ffffdc,0x03fffff5,0x3fffee00,0x3ffee000,
    0x327ffd2f,0xf500ffff,0x88bfffff,0x00efffff,0xffc80000,0xffff33ff,
    0x3ff20bff,0xffffb4ff,0x37fffd47,0x7c4bfffe,0xb05fffff,0xf989ffff,
    0x2a02ffff,0xff07ffff,0x55550bff,0x009fffd0,0x4fffffb8,0xfffffd80,
    0x4fffff89,0x3ffee000,0x3ffa000f,0xcffedfff,0x04fffffe,0x17fffff2,
    0x05fffff7,0x3ee00000,0xfff34fff,0x7fdc0dff,0xffffb4ff,0x42ffffa8,
    0xff12ffff,0x2e01dfff,0xfe85ffff,0x3f605fff,0xffd04fff,0xffffa8df,
    0x01ffff40,0xdfffff30,0x3fffe200,0x6ffffdef,0x7ffdc000,0x7f5c000f,
    0xffffffff,0xe801dfff,0x7e43ffff,0x00006fff,0x3fffee00,0x1fffff34,
    0xaffffd40,0x7d45fffd,0xffff87ff,0x1fffff12,0x2ffffd40,0x07ffffd4,
    0x07ffffc4,0x6c7fffd8,0x7fc3ffff,0xff1002ff,0x4001ffff,0xfffffff9,
    0x64c01fff,0xfecccccc,0xccccdfff,0x3faa04cc,0xdfffffff,0x3fff2001,
    0x7ffff42f,0x32600004,0xffffffed,0xfff34fff,0x7ec000ff,0x7ffd44ff,
    0x12ffff87,0xa80fffff,0xff05ffff,0xff705fff,0x7fe40bff,0x3fffe0ff,
    0x3fffe26f,0xffffd001,0xff90005f,0x07ffffff,0xffffff50,0xffffffff,
    0x80ffffff,0xffffffd8,0xfffe8003,0x7ffffc0f,0xfea80002,0xffffffff,
    0xff34ffff,0x6c000fff,0x7fd44fff,0x2ffff87f,0x80fffff1,0x905ffffa,
    0xfd0bffff,0x7dc05fff,0xfff51fff,0x3fe63fff,0xffc800ff,0x20003fff,
    0x5ffffffe,0xfffff500,0xffffffff,0x0fffffff,0x3fffff22,0x002effff,
    0x887ffff5,0x002fffff,0x7ffffe40,0xffffffff,0xffff34ff,0x7fec000f,
    0x3fffd44f,0xf897fffc,0x7d407fff,0xff305fff,0x7fcc1fff,0x7fcc07ff,
    0xffffb2ff,0x3ffea9ff,0xffffa807,0x7dc0005f,0x003fffff,0xfffffff5,
    0xffffffff,0xc98fffff,0xffffffff,0x0bffffff,0x5ffffca8,0x07fffff0,
    0x7fffe400,0xdcccceff,0xff34ffff,0x6c000fff,0x7fd44fff,0x2ffff87f,
    0x80fffff1,0x205ffffa,0x2e3ffffe,0x4404ffff,0xfff3ffff,0x3eedffff,
    0x7fcc06ff,0x0000efff,0x3fffffe6,0xcc9801ff,0xffeccccc,0xcccccdff,
    0x7ffff44c,0xfdcffebf,0xff94ffff,0x01dfffff,0x013ffffa,0x7ffffc40,
    0xffff700d,0x1ffffe69,0x4fffd800,0x7c3fffd4,0xfff12fff,0xfffa80ff,
    0x3ffee05f,0x3ffffe6f,0xcffff801,0xfffcfffa,0x04fffc9f,0x3fffffa2,
    0x3fa20001,0x6fffffff,0xfffb8000,0x3fea000f,0x29ffd1ef,0xf90ffffb,
    0x807fffff,0x00effffd,0xfffffa80,0x3fffee00,0x0fffff34,0x27ffec00,
    0x3e1fffea,0xfff12fff,0xfffa80ff,0x3ffe205f,0xffff99ff,0xbfffd006,
    0xffb5fff9,0x07fffb9f,0x1fffffec,0x3fff6000,0x4fffffff,0x7ffdc000,
    0x27ec000f,0xfe993ffe,0x33bfff23,0xffffc800,0xffc8004f,0x7fe405ff,
    0xffff34ff,0x7fec000f,0x3fffd44f,0xf897fffc,0x7d407fff,0x7e405fff,
    0xfffcbfff,0xfffb002f,0x3eefffdd,0x2fffeeff,0xbfffff70,0xfffb8000,
    0xffffdaff,0x3ee0002f,0x4c000fff,0x42fffc42,0x40004cc3,0x3ffffff9,
    0xfff90880,0x7ffe40ff,0xffff34ff,0x7fec000f,0x3fffd44f,0xf897fffc,
    0x7d407fff,0x7cc05fff,0xffffefff,0x3fff2007,0xff15ffff,0x03ffffff,
    0x0dfffff3,0xffff9800,0xfffff14f,0x3ee0001f,0x80000fff,0x0006fff8,
    0xffffc800,0x9989aeff,0xfff70fdb,0xffd887ff,0xff34ffff,0x6c000fff,
    0x7fd44fff,0x2ffff87f,0x80fffff1,0x805ffffa,0xfffffffe,0x3fee004f,
    0x362fffff,0x0fffffff,0x7fffffc4,0xcccccccd,0xffe882cc,0x7ffd46ff,
    0xf70005ff,0x00001fff,0x000ffff3,0xffff1000,0xffffffff,0x3fe61fff,
    0xfecfffff,0x4fffffff,0x00fffff3,0x227ffec0,0xff87fffa,0xffff12ff,
    0xffffa80f,0xffffb805,0x2001ffff,0xfffffff9,0x3ffffee0,0xffffd87f,
    0xffffffff,0xfd83ffff,0xfd81ffff,0x8003ffff,0x000ffffb,0x02aaa880,
    0xff500000,0xffffffff,0x7ec1ffff,0xffffffff,0x4fffedff,0x00fffff3,
    0x227ffec0,0xff87fffa,0xffff12ff,0xffffa80f,0xffff8805,0x44006fff,
    0x45ffffff,0x6ffffff8,0xffffffe8,0xffffffff,0x7ffd43ff,0xfff104ff,
    0xb8003fff,0x0000ffff,0x00000000,0x7ffffec4,0x0fffffff,0x3fffffe2,
    0xffb5ffff,0x3fffe69f,0x3ff60007,0x3fffd44f,0xf897fffc,0x7d407fff,
    0xf9005fff,0x007fffff,0x5ffffff0,0xbfffffb0,0xffffffd0,0xffffffff,
    0x7ffcc7ff,0x7fd406ff,0x54006fff,0x0000eeee,0x00000000,0xffffdb50,
    0x9105bfff,0x5bffffff,0xf9a7ffec,0x20007fff,0x7d44fffd,0xffff87ff,
    0x0fffff12,0x05ffffa8,0xffffff30,0xfffd0001,0xfff701ff,0xfffd09ff,
    0xffffffff,0x747fffff,0x801fffff,0x04fffffd,0x00000000,0x00000000,
    0x20013553,0x000aaa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x1002aaa8,
    0x99999999,0x99999999,0x00a88079,0x66664400,0x33332a0c,0x66666543,
    0x3776e00c,0xdddddddd,0x7777771d,0x77777777,0x77777777,0x00000037,
    0x00000000,0x00000000,0x00000000,0x07ffffa0,0x3ffffe60,0xffffffff,
    0xd886ffff,0x002fffff,0x3fffff10,0x437fffdc,0x0efffffb,0xffffffb0,
    0x23ffffff,0xffffffff,0xffffffff,0x4fffffff,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x806fffff,0xfffffff9,0xffffffff,0x7ff446ff,
    0x00dfffff,0x3e27ddd9,0x3ee0ffff,0xff305fff,0xfb01dfff,0xffffffff,
    0x3ffe3fff,0xffffffff,0xffffffff,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x7ffc4000,0x4c03ffff,0xffffffff,0xffffffff,0x7fffec6f,
    0x80efffff,0x3fe3fffe,0x7ffd47ff,0x3ff6204f,0x7fec0eff,0xffffffff,
    0xfffff1ff,0xffffffff,0xffffffff,0x000009ff,0x00000000,0x00000000,
    0x00000000,0xfdfffc80,0x2a200fff,0xaaaaaaaa,0xaaaaaaaa,0x3ffffe62,
    0x0effffff,0xff17fffc,0xfffa8fff,0xfffb804f,0x3bbb20ef,0xeeeeeeee,
    0x9999991e,0x99999999,0x99999999,0x00000059,0x00000000,0x00000000,
    0x00000000,0xfdb7ffcc,0x000004ff,0x5ffffe40,0xffffffb8,0x1ffffd9b,
    0xf31ffffa,0x26007fff,0x0005eeed,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0xffff12ff,0x40000003,0x7cc5fffd,0xffffffff,
    0x7fff45ff,0x1ffffcc6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffa8000,0x037ffe45,0xffd00000,0xffff307f,0x85ffffff,
    0x7c46fffd,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf883fffd,0xaa883fff,0xaaaaaaaa,0x2aaaaaaa,0x4c07bbb6,
    0xfffffffe,0x45fffd83,0x002ffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05fffb80,0x981ffff7,0xffffffff,0xffffffff,
    0x3ee0006f,0xf902dfff,0xffff0bff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff880000,0x3ffa00ff,0x7fffcc5f,0xffffffff,
    0x006fffff,0xeb801880,0xeeed83ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fec0000,0x7ffd404f,0x3fffe62f,0xffffffff,
    0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffea000,0xfffd800f,0x3bbbba26,0xeeeeeeee,0x0005eeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffffa00,0x1ffffcc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_43_usascii_x[95]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0, };
static signed short stb__consolas_bold_43_usascii_y[95]={ 31,1,1,3,-1,0,1,1,-1,-1,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,35,1,9,1,9,1,9,0,9,1,0,
0,1,1,9,9,9,9,9,9,9,2,9,9,9,9,9,9,0,-4,0,14, };
static unsigned short stb__consolas_bold_43_usascii_w[95]={ 0,8,15,23,21,24,25,7,14,15,19,22,12,14,
9,21,22,20,20,20,23,19,21,20,20,21,8,13,18,19,18,16,24,24,21,21,22,18,18,22,21,18,17,21,
17,23,21,23,20,24,21,20,21,21,24,23,24,24,20,12,21,12,21,24,15,19,21,19,20,20,23,22,19,19,
17,20,19,22,19,22,21,20,19,18,20,19,24,24,24,24,18,17,6,17,23, };
static unsigned short stb__consolas_bold_43_usascii_h[95]={ 0,31,11,28,38,32,31,11,41,41,19,21,16,5,
9,35,29,28,28,29,28,29,29,28,29,28,23,30,25,13,25,31,40,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,5,9,23,31,23,31,23,31,31,30,31,
40,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,40,44,40,11, };
static unsigned short stb__consolas_bold_43_usascii_s[95]={ 235,94,67,138,144,1,26,245,24,8,221,
198,241,99,245,191,41,231,87,122,48,143,163,72,185,93,216,63,115,23,134,
52,88,23,1,19,189,170,151,206,108,212,1,43,25,1,230,77,130,166,65,
101,208,229,89,114,162,64,187,131,213,57,1,114,83,21,149,1,191,195,125,
212,235,171,70,21,1,61,84,153,103,235,41,176,42,225,104,129,173,69,154,
39,1,113,43, };
static unsigned short stb__consolas_bold_43_usascii_t[95]={ 33,46,222,110,1,46,46,169,1,1,198,
198,198,222,181,1,110,140,140,79,169,79,79,169,79,169,169,79,169,222,169,
46,1,169,169,110,140,140,140,79,140,140,110,140,140,140,110,79,140,1,140,
79,110,79,110,110,110,110,110,1,1,1,222,222,222,198,46,198,46,169,46,
46,46,46,1,79,79,198,198,169,46,1,198,169,79,169,198,198,198,46,198,
1,1,1,222, };
static unsigned short stb__consolas_bold_43_usascii_a[95]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_43_usascii(stb_fontchar font[STB_FONT_consolas_bold_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_43_usascii_s[i] + stb__consolas_bold_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_43_usascii_t[i] + stb__consolas_bold_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_43_usascii_x[i];
            font[i].y0 = stb__consolas_bold_43_usascii_y[i];
            font[i].x1 = stb__consolas_bold_43_usascii_x[i] + stb__consolas_bold_43_usascii_w[i];
            font[i].y1 = stb__consolas_bold_43_usascii_y[i] + stb__consolas_bold_43_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_43_usascii_s[i] + stb__consolas_bold_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_43_usascii_t[i] + stb__consolas_bold_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_43_usascii_x[i] + stb__consolas_bold_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_43_usascii_y[i] + stb__consolas_bold_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_43_usascii_LINE_SPACING
#endif

