// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT        252
#define STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_44_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_44_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_44_usascii_LINE_SPACING          29

static unsigned int stb__consolas_bold_44_usascii_pixels[]={
    0x00026666,0x00000000,0x10000088,0xa8800353,0x8801bddb,0x220001aa,
    0xaaaaaaaa,0x555512aa,0x05555555,0x01555100,0x2aea6000,0x20000000,
    0x511aaaa9,0x00003555,0x30001355,0x7707ffff,0x36600000,0x3fa60000,
    0x644000ef,0x003ffffe,0x3ffffff2,0x3fea04ff,0x2000deff,0xfffffffb,
    0xfff56fff,0xffffffff,0x3fff7000,0x7ff54000,0x02dfffff,0x7ff40000,
    0xffff11ff,0xfff0000f,0x30079dff,0xfb87ffff,0x4c00003f,0xd0000eff,
    0x400dffff,0xfffffffa,0xfffe9803,0x4fffffff,0xffffff50,0x3fee007f,
    0xffffffff,0xffffff56,0x000fffff,0x0001fffb,0xffffffb1,0x009fffff,
    0x3ffe6000,0x7fffe46f,0x7ffc0002,0x03ffffff,0xb8ffffe6,0x0004ffff,
    0x1dffff30,0xffffa800,0xffa801ff,0x03ffffff,0x7fffffd4,0x5fffffff,
    0xffffffa8,0xffb803ff,0xffffffff,0xffffff56,0x000fffff,0x3000fffd,
    0xfffffffd,0x1bffffff,0xffc80000,0x7ffcc3ff,0x7fc0006f,0xffffffff,
    0xffff982e,0x3fffff63,0x7fcc0004,0x4000efff,0x2ffffffa,0xfffffe80,
    0x3e202eef,0x711cffff,0x989ffffb,0xfffffeee,0x7ffdc00f,0x5eeeeeef,
    0xfdddddd3,0xf000ffff,0xf8800dff,0xffffffff,0x5fffffff,0x3fe20000,
    0xfffd07ff,0x7fc0003f,0xffffffff,0x7ffcc1ff,0x7fffec3f,0xff10003f,
    0x0001dfff,0x1ffffff1,0xfffffb80,0x3fffa002,0x3fffa02f,0x7fff4c07,
    0x7ffdc05f,0x3fa0002f,0x654407ff,0xcdfffffd,0x7ffe401b,0xdb9aceff,
    0x01ffffff,0xffff7000,0x3fffea09,0x33320005,0xffffffee,0x3ffe60ff,
    0xffffd83f,0xffd8001f,0x20000eff,0x803ffffb,0x002ffffd,0x007ffff2,
    0x805ffff1,0x406ffff9,0x002ffffb,0x41ffffa0,0xffffffd8,0x07ffffff,
    0x3bffffe2,0xfffff900,0x3fa0000b,0x3fe00fff,0x00000fff,0x3fffff66,
    0x3fffe66f,0xffffe883,0x7ffdc006,0x980000ff,0xffd001bb,0x7fcc00ff,
    0xff7003ff,0xfffb00bf,0xffffb80f,0x3ffa0002,0xffffb87f,0xffffffff,
    0x3ff607ff,0x7ec00eff,0x0001ffff,0x02ffffd4,0x013fffee,0x3ffea000,
    0xfff30fff,0x3ffe207f,0xff3004ff,0x00005fff,0x7fffc000,0x3fff6005,
    0x3ffe6006,0x7ffe400f,0x3ffee00f,0x3fa0002f,0x7ffd47ff,0xffffffff,
    0xf307ffff,0x3007ffff,0x009fffff,0x2ffffd80,0x3ffffc40,0xffc80000,
    0xfff32fff,0x7ffdc07f,0xffe801ff,0x000005ff,0x3fffe200,0xffff1004,
    0xfffe8003,0x7fffdc02,0x3fffee01,0x3ffa0002,0x3fffe27f,0xfffecfff,
    0xf507fecb,0x2001ffff,0x006ffffe,0x1bfffe60,0x17fffec0,0x7fcc0000,
    0xfff34fff,0xfffe807f,0x7ffd406f,0x776400ff,0xeeeeeeee,0x4405eeee,
    0x7004ffff,0x3510dfff,0x3ff26a21,0x7ffd403f,0x3ffee02f,0x3fa0002f,
    0x3fff27ff,0x1bffa3ff,0x3fff2051,0x3ff2006f,0x320006ff,0x3003ffff,
    0x000dffff,0xfffff100,0x0ffffe69,0x3fffff30,0x1fffff40,0x7ffffec0,
    0xffffffff,0x7ffc407f,0xffff004f,0x7ffff4c7,0xfffbafff,0x7fffd404,
    0x3fffee02,0x3ffa0002,0x3ffff67f,0x002fffc6,0x009ffffb,0x03ffffdc,
    0xfffff880,0x3fffa000,0x4c00001f,0xf33fffff,0xfb007fff,0x3e609fff,
    0xfb007fff,0xffffffff,0x80ffffff,0x804ffff8,0xf50ffff9,0xffffffff,
    0x809fff53,0x202ffffa,0x002ffffb,0xf9ffffa0,0x3e25ffff,0x3fa004ff,
    0x2a004fff,0x000fffff,0x04ffffb8,0x2ffffd40,0x3ff20000,0xfff31fff,
    0xfff5007f,0x3fff20ff,0xfffb004f,0xffffffff,0xf880ffff,0xfb804fff,
    0xffff15ff,0x51ffffff,0xfa80bfff,0x3ee02fff,0x20002fff,0x3fa7fffe,
    0xff50ffff,0x7ffc007f,0x3ea003ff,0x8001ffff,0x001ffffe,0x00fffff8,
    0xffff9000,0x7fffccff,0xfffff003,0x3fffff05,0x26666200,0xffb99999,
    0x7fcc07ff,0xffd803ff,0xbffff93f,0xf31ffffb,0xff980dff,0x3fee03ff,
    0x3a0002ff,0x3ff27fff,0xffbaefff,0xfff1002f,0x7cc005ff,0x4002ffff,
    0x005ffffa,0x07ffff90,0xfeeee880,0x22ffffff,0x003ffff9,0xa8bffffb,
    0x0006ffff,0x7ffffa80,0x17fffdc0,0xf97fffc0,0xfff54fff,0x01fffe6f,
    0x40bffff3,0x002ffffb,0xb9ffffa0,0xffffffff,0xf1000fff,0x4005ffff,
    0x01fffff9,0x17fffec0,0xffff8800,0x7ffc4007,0x5fffffff,0x01ffffcc,
    0x46ffffa8,0x004ffffb,0xffffa800,0x3fffe207,0x7ffc400f,0x1ffff98f,
    0x3e6dfff7,0xffe807ff,0xfff702ff,0x7f40005f,0x7fff47ff,0x2fffffff,
    0xfffff100,0x7ffcc007,0x3e6000ff,0x40006fff,0x002ffffd,0x7ffffffc,
    0xfff983ff,0xfff1003f,0xffffc8ff,0xfa800002,0x2ea67fff,0x05fffffc,
    0xf76fffa8,0x7ffe4dff,0x00dfff36,0x7bfffff7,0x3fffee55,0x3ffa0002,
    0x7fffc47f,0xffffffff,0x7fffc00c,0x3fea004f,0x32000fff,0x0003ffff,
    0x037fffcc,0x3fffffe0,0xfff300be,0x7ffc007f,0x3fff60ff,0xa800002f,
    0x3f67ffff,0x0dffffff,0x95fffb80,0x7fe4bfff,0x0dfff35f,0x3fffff20,
    0xffff77ff,0x7ff40005,0xfffd887f,0xffffffff,0x3fffa03f,0x3fee004f,
    0x3e2007ff,0x0000ffff,0x01ffffe8,0x03ffffe0,0x0ffffe60,0x1ffffe80,
    0x007ffffa,0x3ffea000,0x3ffff67f,0x3ee001df,0x9fffb4ff,0xf9a7ffec,
    0x326005ff,0xf77fffff,0x40005fff,0x2a07fffe,0xfffffffe,0xe80effff,
    0x2006ffff,0x006ffffc,0x013fffee,0x7fffd400,0x3fffe004,0xffff3006,
    0x7ffec007,0x3ffffe2f,0xfa800000,0x3ff67fff,0x002effff,0x3fa9fff9,
    0x3fffa3ff,0x009fff53,0x3fffffa6,0x5ffff77f,0x7fff4000,0xfffd9807,
    0x5fffffff,0x0fffffd8,0xbfffff00,0x7ffff400,0x3fe00001,0xfd000fff,
    0x3e600dff,0x36003fff,0xff12ffff,0x00000fff,0xc9ffffea,0xffffffee,
    0x3fffc803,0x7f47fffd,0x9fff73ff,0xfffff300,0x3feebddf,0x3a0002ff,
    0xf7007fff,0xffffffff,0xfffa87ff,0xff9803ff,0xf5001fff,0x0000bfff,
    0x03ffffc8,0x00bfffd0,0x00ffffe6,0x21ffffd8,0x000fffff,0xffffa800,
    0x3ffff207,0x3fffd807,0x7fc5ffff,0x7fff92ff,0x9ffffd00,0x5ffff701,
    0x7fff4000,0x1fffb007,0xbffffff9,0x1dfffff0,0x6ffffd80,0x3ffff600,
    0x7c400002,0x31006fff,0x3e600133,0x3a003fff,0x3fe0ffff,0x00001fff,
    0x07ffffa8,0x017fffec,0x7f4bfff6,0xffff13ff,0x007fff63,0x40dffff1,
    0x002ffffb,0x01ffffa0,0xff33fff4,0xff90ffff,0x3601dfff,0x002fffff,
    0x00dffff1,0x3fff6000,0x2000002f,0x003ffff9,0xfd1ffffe,0x00005fff,
    0x0fffff50,0x03ffffa8,0xfe9fffec,0xffff73ff,0x00dfff13,0x407ffff3,
    0x002ffffb,0x01ffffa0,0x3f637ffc,0x7cc0ffff,0xacefffff,0xfffffeca,
    0x3fff2007,0x3000003f,0x200bffff,0x3e6000a8,0x3e003fff,0x7fec7fff,
    0x800003ff,0x407ffffa,0x404ffff9,0xffb4fffc,0xfffff3bf,0x009fff95,
    0x405ffff5,0x002ffffb,0x01ffffa0,0xf913ffe2,0x3ee0dfff,0xffffffff,
    0x1fffffff,0x3ffffe00,0x3a000000,0x6c01ffff,0xf3005fff,0x26007fff,
    0x7e46ffff,0x00005fff,0x07ffffa8,0x027fffc4,0x7dd3ffee,0xffffffff,
    0x02ffffff,0x02ffffa8,0x00bfffee,0x07fffe80,0x743fff98,0x3205ffff,
    0xffffffff,0x01ffffff,0x13fffee0,0xff700000,0x7fdc09ff,0xf9804fff,
    0xf9003fff,0xffa89fff,0x800007ff,0x407ffffa,0x404ffff8,0xff15fffa,
    0xfffdffff,0x2009ffff,0x202ffffa,0x002ffffb,0xe9ffffa0,0x3ffea0ac,
    0xfffffb12,0xffffc807,0xefffffff,0x7fff4001,0x4000001f,0x00fffff8,
    0x0dfffffd,0x07ffff30,0x07ffffa0,0x05fffff1,0xfffa8000,0x7ffc407f,
    0x7ffd404f,0x3fffff26,0x5fffffa8,0x3fffea00,0x3fffee02,0x3ffa0002,
    0x3ffffe7f,0xfedfffed,0x00efffff,0xffffeb88,0x98002dff,0x0006ffff,
    0xffff9000,0x3ffffa07,0xfff9807f,0xfff9803f,0xffffb06f,0xfa80000b,
    0x7c407fff,0x7cc04fff,0x3bae0fff,0x0b3b6e1c,0x5ffff500,0x17fffdc0,
    0xffffd000,0x7ffffffc,0xffffffff,0xc8000fff,0x0003ffff,0x00bffff6,
    0x7fc40000,0xfff906ff,0xff3009ff,0xff9007ff,0x3fea07ff,0x00000fff,
    0x01ffffea,0x809ffff1,0x002ffff8,0xfff50000,0x7ffdc05f,0x3fa0002f,
    0x3fffe7ff,0xffffffff,0x001effff,0x0dffff50,0x3fffe200,0x40000007,
    0xb02ffffd,0x3001dfff,0x8807ffff,0x200fffff,0x004fffff,0x3fffea00,
    0x7fffc407,0x5fffd804,0xf5000000,0x7dc03fff,0x20002fff,0x3fe7fffe,
    0xffffffff,0x002effff,0x7ffffc40,0x3f201703,0x00003fff,0x7fffd400,
    0x800aaa05,0x403ffff9,0x405ffffd,0x01fffffb,0xffff7000,0xbffff00b,
    0x1ffff500,0xf7000000,0x7dc03fff,0x20002fff,0x54c7fffe,0xeffffedb,
    0x200001bc,0xadffffff,0xff05feca,0x00001fff,0xffffd000,0x7cc00001,
    0x3ea03fff,0xe800ffff,0x0006ffff,0x09ffff90,0x00dfffd0,0x0017fffe,
    0x3fff2000,0x7fffdc07,0x3ffa0002,0x7ffcc07f,0x2a000003,0xffffffff,
    0x7d43ffff,0x00005fff,0xffff7000,0x7cc00009,0xff103fff,0x26007fff,
    0x003fffff,0x7ffffc40,0xffffd803,0xffffc801,0x80073005,0x407ffff8,
    0x002ffffb,0x01ffffa0,0x0005fff7,0xffffd800,0xffffffff,0x07ffffa0,
    0x44000000,0x000fffff,0x7ffff300,0x17ffff60,0xfffff900,0xf9005503,
    0x7003ffff,0x803dffff,0xadfffff9,0x027f5c40,0xbffffb10,0x2ffffb80,
    0x3fffa000,0x0fffe407,0x32200000,0xffffffff,0x333221ef,0x0000004c,
    0x0e6665c0,0xfff98000,0xffffc83f,0xffe8000f,0x7fdc1fff,0xfea999bd,
    0x1004ffff,0x9bffffff,0xffff5059,0xfffddfff,0x664c09ff,0x1ffffffd,
    0x6ffffdc0,0x933ccccc,0xfff99999,0x7ffd80ff,0x22000000,0x3defffec,
    0x00000000,0x80000000,0x643ffff9,0x002fffff,0xffffff30,0x7ffffdc3,
    0xffffffff,0x3fee000e,0x03ffffff,0xfffffff5,0x09ffffff,0x7fffffd4,
    0xffb805ff,0xffffffff,0xffffff56,0xe80fffff,0x000006ff,0x00000400,
    0x00000000,0x3fe60000,0x3fff23ff,0x4c0003ff,0x70ffffff,0xffffffff,
    0x003fffff,0xffffff90,0x7ffcc07f,0xffffffff,0x3ffea01c,0x800dffff,
    0xfffffffb,0xfff56fff,0xffffffff,0x002aaa80,0x00000000,0x00000000,
    0x4c000000,0x3f23ffff,0x00003fff,0x5cbffff3,0xffffffff,0x0000cfff,
    0x3fffffa6,0xfecb9803,0xa800acde,0x02efffff,0x3ffffee0,0xf56fffff,
    0xffffffff,0x000000ff,0x00000000,0x00000000,0x7cc00000,0x7fe43fff,
    0x7cc00003,0xfedb985f,0x000bceff,0x32ea6200,0x20000002,0x0009abc9,
    0xcccccc98,0x9933cccc,0x99999999,0x00000009,0x00000000,0x00000000,
    0x7fcc0000,0x003c83ff,0x000b3000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff98000,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x003ffff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeee98000,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0004cc40,0x00004400,0x0179b750,0x98aaaa20,0x002eeeee,
    0x51f7776c,0x00055555,0x00040262,0x55000998,0x00001555,0x00000300,
    0x82aaaaa0,0x000aaaaa,0xa8000000,0xeffffffd,0x04eeeeee,0xdffffdb8,
    0xffb10003,0x9005ffff,0xfff89fff,0x3ea006ff,0x3fa1ffff,0x4400ffff,
    0xfffffecb,0x3a1fecbd,0x3f262eee,0x200cefff,0x001fffff,0x3fff2000,
    0x7c000003,0x3fe1ffff,0x00001fff,0x006ffe44,0xfffffe98,0xffffffff,
    0x3fa605ff,0xefffffff,0x7fff4002,0x201fffff,0x640efff9,0x000fffff,
    0xe8dffffb,0x200fffff,0xfffffffa,0x1fffffff,0x7dd3fffe,0xffffffff,
    0x3fffff01,0x3ee00000,0x0002ffff,0x3ffffe00,0x07ffffe1,0xfffd0000,
    0xff8801ff,0xffffffff,0x5fffffff,0xffffff50,0x03ffffff,0x33fffee0,
    0x3a06ffff,0xff882fff,0xf8803fff,0x7f43ffff,0xfb107fff,0xffffffff,
    0x43ffffff,0xffbcffff,0xffffffff,0xfffff81f,0xfd000001,0x000bffff,
    0x7ffffc00,0x07ffffe1,0xfffb8000,0x7f404fff,0xfdbcffff,0xffffffff,
    0xfffff885,0xffffffef,0xffff800e,0x01fffd10,0x6c09fff9,0xa806ffff,
    0x740fffff,0xfd07ffff,0xffffffff,0x3fffffff,0x7ffffffc,0xffffffff,
    0xffff86ff,0xf000001f,0x00bfffff,0x7fffc000,0x3ffffe1f,0x3f600001,
    0x206fffff,0x40effffa,0x04ffffc8,0x077fffe4,0x05fffff7,0x645fff88,
    0x7fcc1fff,0x3fea00ff,0x7ec01fff,0xffd84fff,0xfffa87ff,0x2a20bfff,
    0x3e1fffff,0xffffffff,0xfffffb9b,0x7ffffc2f,0xfb000001,0x0007ffff,
    0x7ffffc00,0x07ffffe1,0xfffc8000,0x3f206fff,0xff102fff,0x7f401fff,
    0xffc80fff,0x7fcc04ff,0x17ffdc4f,0x200bfffa,0x204fffff,0x81fffff8,
    0xe87ffffd,0x201effff,0x3e1fffff,0x84ffffff,0x45fffff9,0x001fffff,
    0xffff1000,0xf800000d,0x3fe1ffff,0x00001fff,0x3fffffea,0x1ffff603,
    0x05ffffb0,0x417fffe2,0x405ffff9,0x7dc4fff9,0x3ffee1ff,0xffff9005,
    0x7fffdc0f,0xdffffb06,0x2fffffb8,0x0fffffc0,0x0bffffff,0x07ffffe4,
    0x003fffff,0x165c4000,0x7fc00000,0x3ffe1fff,0x400001ff,0x405ffffc,
    0x5c07fffe,0xf302ffff,0x3ea0bfff,0x7c404fff,0x7ffec6ff,0x01ffff30,
    0x3ffffe60,0x7ffffd02,0x1bffff20,0x00dffffb,0x7c3fffff,0x4c05ffff,
    0x3e1fffff,0x1300ffff,0x00000000,0xfff09880,0x7fffc3ff,0x0009981f,
    0xb0059930,0x6403ffff,0xf101ffff,0x3f20ffff,0xff802fff,0xdfff53ff,
    0x0017fff4,0x217ffffa,0x00fffff9,0xe8dffff9,0xf803ffff,0x3fe1ffff,
    0x7c401fff,0x3fe2ffff,0xfd710fff,0x00019dff,0xdb700000,0xffffffff,
    0x7fffc3ff,0xffffb30f,0x0000019f,0x827fffe4,0x407ffff8,0x542ffffe,
    0x800fffff,0xfffffffb,0xbfff72ff,0xffff5000,0xffffc81f,0x3ffff205,
    0x17ffffc6,0x0fffffc0,0x003fffff,0x7c7fffff,0xff98ffff,0x1fffffff,
    0xeeeeee88,0x002eeeee,0xfffffea8,0xffffffff,0x23ffffe1,0xfffffffb,
    0x000001ef,0x39fffff3,0x2fffff4c,0x3fffff20,0x7fffff50,0x7ffff400,
    0xfff15fff,0x3fe0001f,0x7ffc3fff,0x3ff202ff,0x3ffe65ff,0xfff801ff,
    0x3fffe1ff,0xfffe801f,0x3ffffe4f,0xfffffffa,0x7c41ffff,0xffffffff,
    0x362002ff,0xffffffff,0x1fffffff,0x3efffffe,0xffffffff,0x2000006f,
    0xeffffffc,0x0fffffff,0x7ffffc40,0x5fffffdd,0xffffc800,0x0bfffa3f,
    0xffffc800,0x1ffffea6,0x4bffff70,0x00fffffa,0x21fffff8,0x801fffff,
    0x3e3fffff,0xffffffff,0xffffffff,0x7ffffc46,0x02ffffff,0x3fffff60,
    0xffffffff,0x3ffe1fff,0xffffffff,0x03ffffff,0xfff50000,0xffffffff,
    0x3ea003ff,0xffffffff,0x54c0004f,0x02fffdc0,0x3fffe600,0x9ffffb0f,
    0x5ffffb80,0x07ffffe6,0x87ffffe0,0x401fffff,0x22fffff8,0xffffffff,
    0xffffb9bf,0x3ffe22ff,0xffffffff,0xffff5002,0x7d4417ff,0x3fe1ffff,
    0xbfffffff,0x6fffffd9,0xff980000,0xffffffff,0x6c000cff,0xefffffff,
    0xf1000002,0x00001fff,0xf17ffffd,0xb801ffff,0x3e24ffff,0xf801ffff,
    0x3fe1ffff,0x7cc01fff,0x3fe0ffff,0x984fffff,0x4c5fffff,0xfff99999,
    0xff8802ff,0x3e01efff,0x3fe1ffff,0xc84fffff,0x0007ffff,0x8dfffd80,
    0x00abcdcb,0xfffffb00,0x8000009f,0x0003fffd,0x5dffff70,0x500bffff,
    0xff89ffff,0x7dc03fff,0x3fe1ffff,0x7dc01fff,0x7ffc7fff,0x3f205fff,
    0xf800ffff,0xb802ffff,0x402fffff,0x3e1fffff,0x505fffff,0x401fffff,
    0x200cefd8,0x002ffff8,0x7fff4400,0x4c0effff,0x8001cccc,0x0006fffb,
    0x3ffffe20,0x802ffffe,0x744ffffa,0x2a05ffff,0x21ffffff,0x401fffff,
    0x7c6fffff,0x4c05ffff,0x801fffff,0x802fffff,0x806ffffd,0x3e1fffff,
    0x2205ffff,0x201fffff,0x00effffe,0x007ffff5,0x7fff4400,0x45ffffff,
    0x001ffffb,0x007fffc4,0x3fff2000,0x007fffff,0xc89ffff5,0x981fffff,
    0x1fffffff,0x807ffffe,0x42fffffc,0x401fffff,0x02fffff8,0x02fffff8,
    0x03ffffe8,0x21fffff8,0x401fffff,0x501fffff,0x09ffffff,0x33ffffe6,
    0x0009999a,0x677ffff4,0x2e3fffff,0x4001ffff,0x2e63fffd,0x98000bcd,
    0xffffffff,0xffff5004,0xfffff887,0xfffc98af,0x3e1fffff,0xd882ffff,
    0xf85fffff,0xf801ffff,0xf803ffff,0xf802ffff,0xf802ffff,0x3fe1ffff,
    0x7fc01fff,0xff701fff,0x201fffff,0xffffffff,0x3defffff,0x3ffffea0,
    0x5fffffb1,0x003ffff2,0xb16fffa8,0x05ffffff,0xfffffd00,0x3e6001ff,
    0xffd83fff,0xffffffff,0x1fffffff,0x3ffffffe,0xffffffee,0xffff80ff,
    0xfffe801f,0xffff804f,0x7ffcc02f,0xfff801ff,0x3fffe1ff,0x7fffc01f,
    0xffff501f,0x3e603fff,0xffffffff,0x3fffffff,0x23ffffe8,0x9fffffe8,
    0x2007fffe,0xfd1ffff8,0x5fffffff,0xffffb800,0x3e6005ff,0xff983fff,
    0xffffffff,0x1ffffeef,0x3ffffffe,0xffffffff,0xfffff02f,0xfffff003,
    0xfffff007,0xffffa805,0xffff800f,0x3ffffe1f,0x7ffffc01,0x3ffffa01,
    0x3fee02ff,0xffffffff,0x43ffffff,0x4c1fffff,0xffefffff,0x3f6006ff,
    0xffff53ff,0x00dffff9,0xffffff88,0x3ffe6001,0xffff302f,0xd1bfffff,
    0x7fc3ffff,0xffffffff,0x200dffff,0x401fffff,0x02fffff8,0x02fffff8,
    0x0fffffcc,0x0fffffc0,0x803fffff,0x201fffff,0x2ffffff8,0xdfffff70,
    0xffffdddd,0x3e21ffff,0xff507fff,0x5fffffff,0x9bffea00,0x3fa0fffe,
    0x3e2001ff,0x8005ffff,0x22009999,0x3ffffffd,0xf87ffffa,0xffffffff,
    0xf801deff,0x4c01ffff,0x800fffff,0x402fffff,0x01fffff8,0x21fffff8,
    0x401fffff,0x401fffff,0x80fffffa,0x01fffffa,0x3fffff62,0x0fffff32,
    0x7fffffdc,0xfff1007f,0x237ffc3f,0x2002fffc,0x01fffffc,0x2a600000,
    0xfffff81a,0x27ffffe1,0xf8001aa9,0x5c01ffff,0xf007ffff,0xf005ffff,
    0xb807ffff,0x3e1fffff,0x7c01ffff,0x4401ffff,0xff07ffff,0x3a005fff,
    0xff14ffff,0x7ec01fff,0x004fffff,0x7c49fff9,0x7ffd45ff,0xffff5003,
    0x044000bf,0x3ffe0000,0x3fffe1ff,0xff80001f,0x7fc01fff,0xff006fff,
    0xfd005fff,0x7d40bfff,0x3e1fffff,0x7c01ffff,0x4c01ffff,0xf985ffff,
    0x3a007fff,0x3fe3ffff,0x3a205fff,0x802fffff,0x7c46fffa,0x7ffdc5ff,
    0xffffa802,0xd88000ff,0x00001eff,0x7c3fffff,0x0001ffff,0x01fffff8,
    0x0bfffff2,0x17ffffc0,0x7ffffe40,0xfffff981,0x3fffe1ff,0x7fffc01f,
    0x7ffec01f,0xffff980f,0xfff9800f,0x3fff61ff,0x7e440cff,0x00ffffff,
    0x207fffa2,0x7fe47fff,0x6dd55c1f,0x01ffffff,0xdffffb00,0x3ffe0000,
    0x3fffe1ff,0xff80001f,0xfd882fff,0x2005ffff,0x802fffff,0xaffffff8,
    0xfffffc98,0x3ffe1fff,0x7ffc01ff,0xfea881ff,0xff102fff,0x5403dfff,
    0x4c6fffff,0xefffffff,0xfffffffe,0xf900efff,0x3ffa09ff,0x0ffff53f,
    0xfffffffd,0x220007ff,0x01ffffff,0xfffff800,0x07ffffe1,0x3fffe000,
    0xfffeefff,0x000fffff,0x00bffffe,0x7fffffec,0xffffffff,0x3ffe1fff,
    0x7ffc01ff,0xfffd11ff,0xd809ffff,0xefffffff,0xfffffedd,0xfffb80ff,
    0xffffffff,0xffffffff,0x06fff985,0x3fffffea,0xffe83fff,0x03ffffff,
    0x3fffe200,0xf80002ff,0x3fe1ffff,0x80001fff,0xffffffff,0xffffffff,
    0xfffffe82,0xffffffff,0x7cc5ffff,0xffffffff,0xffffbeff,0x07ffffe1,
    0x23fffff0,0xeffffff9,0xfffe8802,0xffffffff,0x201fffff,0xfffffffb,
    0xfcbfffff,0x7f44ffff,0x7ff401ff,0xd06fffff,0x1dffffff,0xfffd0000,
    0xf00001ff,0x7fc3ffff,0x80001fff,0xffffffff,0x0dffffff,0xffffffd0,
    0xffffffff,0xff30bfff,0xbfffffff,0x43ffff51,0x401fffff,0xf31fffff,
    0x8007dfff,0xffffffc8,0xbfffffff,0xfffc8800,0x20cfffff,0x92fffffd,
    0x32009fff,0x203fffff,0x02bdeffc,0x3ffe6000,0xff00002f,0x7ffc3fff,
    0x980001ff,0xffffffdb,0x7401deff,0xffffffff,0xffffffff,0xfffb105f,
    0x7fcc7fff,0x3fffe1ff,0x7fffc01f,0x0035711f,0x3fb72a00,0x002cceff,
    0x026aa620,0x4c000000,0x0000001a,0x002aa200,0xccccc800,0x03333320,
    0x26620000,0x7f4001aa,0xffffffff,0xffffffff,0x01aa9805,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75100000,0x21579bd9,
    0x000aaaaa,0x55555500,0x00155555,0x00057300,0x00aba980,0x00000000,
    0x00000000,0x2eea6000,0x4000019a,0x801aaaa9,0x9abcba98,0x00000000,
    0xfffffd88,0xffb4ffff,0x100007ff,0xffffffff,0x20005fff,0x003fffdb,
    0xffffeb80,0x4402dfff,0x000fffff,0x225fffff,0xffffffff,0x7fffffff,
    0xfedca800,0x4400ffff,0xfffffffc,0xb70003ef,0xfffffffd,0x7f6445bf,
    0xffffffff,0x7fe4402e,0xfb80000d,0xffffffff,0xffffb4ff,0xff100007,
    0xffffffff,0x3fa0005f,0x20003fff,0xffffffd8,0x203fffff,0x00fffff8,
    0x25fffff0,0xfffffff8,0xffffffff,0xfff93007,0x1fffffff,0x7ffffe40,
    0xffffffff,0xfffd3001,0xffffffff,0x7fffcc9f,0xffffffff,0xfffd00ef,
    0x4c0001ff,0xffffffff,0xffb4ffff,0x100007ff,0xffffffff,0x20005fff,
    0x003ffffe,0xffffff50,0xffffffff,0xffff101b,0x3ffe001f,0xffff12ff,
    0xffffffff,0xf900ffff,0xffffffff,0x3ee01fff,0xffffffff,0x00ffffff,
    0x7fffffdc,0xffffffff,0x3ffffe64,0xffffffff,0x7ffdc0ef,0x20004fff,
    0xcefffffe,0xfb4eccaa,0x00007fff,0xfdddddd1,0x0005ffff,0x00fffffa,
    0x3ffffe20,0xffffffff,0xff885fff,0xff000fff,0x3fe25fff,0xffffffff,
    0x207fffff,0xffffffd8,0x0fffffff,0xffffff98,0xffffecce,0x3ff606ff,
    0xffffffff,0x264fffff,0xfeffffff,0x5fffffff,0x7fffffec,0xfff50006,
    0x3f6009ff,0x00003fff,0x17ffffc0,0xffffe800,0xfffd8003,0xebaaceff,
    0x41ffffff,0x00fffff8,0x25fffff0,0xeefffff8,0xeeeeeeee,0x3ffffa06,
    0xaabcdeff,0xfffd80aa,0xfff900ef,0xfff501ff,0x357bffff,0x4c9ffb75,
    0xfc880ace,0x7e47ffff,0x006fffff,0x0dffff70,0x1ffffec0,0x3fe00000,
    0xd0002fff,0x8007ffff,0x0efffff9,0xbfffff90,0x0fffff88,0x5fffff00,
    0x017fffe2,0x3fffee00,0xff0002ef,0x7c405fff,0xfe81ffff,0x400effff,
    0xfd0002a8,0x7d43ffff,0x003fffff,0x07ffffb0,0x1ffffec0,0x3fe00000,
    0x76402fff,0xffffeeee,0xeeeeeeef,0x7fffec5e,0x7ffec00e,0x3ffe20ff,
    0xfff000ff,0x3ffe25ff,0x7c40005f,0x0005ffff,0x01ffffe2,0x70bffff6,
    0x01bfffff,0xff500000,0xffc85fff,0x3a0005ff,0x2002ffff,0x003ffffd,
    0x7fffc000,0x7ffec02f,0xffffffff,0x7fffffff,0x0fffffe6,0x3ffffe60,
    0x3ffffe24,0xfffff000,0x17fffe25,0xffff9000,0x7c40001f,0x7400ffff,
    0x3e20ffff,0x000fffff,0x3ffe0000,0x2cc981ff,0x7fffc000,0x3ff6002f,
    0x3ba603ff,0xf001eeee,0xd805ffff,0xffffffff,0xffffffff,0x3ffee7ff,
    0xffd000ff,0x7ffc4bff,0xfff000ff,0x3ffe25ff,0x7f40005f,0x80003fff,
    0x205fffff,0x546ffffa,0x004fffff,0x3fe60000,0x00000fff,0x17ffffc0,
    0x7ffffb00,0x3ffffa20,0x3ffe003f,0x7fec02ff,0xffffffff,0xffffffff,
    0x17ffff27,0x6ffffc80,0x03ffffe2,0x97ffffc0,0x005ffff8,0x3ffffe20,
    0xffd80001,0x7cc0dfff,0x7dc3ffff,0x0001ffff,0x3fff2000,0x8000005f,
    0x002fffff,0x40fffff6,0x04fffffe,0x17ffffc0,0x26666620,0x99cffffe,
    0x36199999,0x2004ffff,0x227ffffb,0x000fffff,0x225fffff,0xaaaeffff,
    0xfff50019,0x55d4c4ff,0xffff1001,0x3fee7fff,0xffc86fff,0x000007ff,
    0xfffff910,0x32200003,0xfffccccc,0xcccccdff,0x3fff63cc,0xffffc83f,
    0xfff8004f,0xfd0002ff,0x74007fff,0x2004ffff,0x10fffffa,0x001fffff,
    0x44bffffe,0xffffffff,0x3202efff,0xfebeffff,0x1effffff,0x7ffffd40,
    0xffffffff,0xffffe80e,0x65400006,0xffffeccc,0x200001ef,0xfffffff9,
    0xffffffff,0x3f66ffff,0x7fdc3fff,0xf0005fff,0x0005ffff,0x00fffffa,
    0x03fffff8,0x3ffffea0,0x1fffff11,0x3ffffe00,0xffffff12,0xffffffff,
    0xfffff907,0xffffffff,0x54019fff,0xffffffff,0x3fe04fff,0x00005fff,
    0x7fffffe4,0x00004fff,0xffffff98,0xffffffff,0x366fffff,0x3ea3ffff,
    0x0006ffff,0x00bffffe,0x1fffff40,0xfffff880,0x3ffe6002,0xffff12ff,
    0x3ffe001f,0xffff12ff,0xffffffff,0xffd85fff,0xffffffff,0x5fffffff,
    0x7ffff440,0x102fffff,0x009fffff,0xffffc800,0x0bdfffff,0x3fe60000,
    0xffffffff,0xffffffff,0x3ffff66f,0xdfffff33,0x7ffc0001,0xfd0002ff,
    0x22007fff,0x002fffff,0x47ffffe6,0x00fffff8,0x25fffff0,0xfeeeeee8,
    0xffffffff,0x3ffff62f,0xffefffff,0x02ffffff,0x3ffffff2,0x985fffff,
    0x004fffff,0x7fffe400,0xffffffff,0x44002202,0xffaaaaaa,0xaaaacfff,
    0x3ff62aaa,0xfffe8bff,0x7c0000ff,0x0002ffff,0x007ffffd,0x01fffffc,
    0x1fffff30,0x03ffffe2,0x17ffffc0,0xffff9300,0x7fff4dff,0x6cc0aeff,
    0x886fffff,0xfffffffe,0x0effffff,0x17ffffe2,0x75530000,0xfffffdb9,
    0xffe987ff,0x3fe0002f,0x36002fff,0xffdbffff,0x80001fff,0x002fffff,
    0x07ffffd0,0x27ffffc0,0xfffff500,0x07ffffc4,0x2fffff80,0xffff8800,
    0x3ffffa7f,0xffffd805,0x3fffa20f,0xfffd53ff,0xfff8bfff,0x000006ff,
    0x3ffff220,0xffff10ff,0x3e0003ff,0x2002ffff,0xfffffffd,0x00002fff,
    0x005fffff,0x0fffffa0,0x4ffffe80,0x3fffee00,0x3ffffe26,0xfffff000,
    0x3fea0005,0xfffb1fff,0xfff300bf,0x7ffe43ff,0xfffc81ff,0x3ffa1fff,
    0x000007ff,0xfffffa80,0xffffff74,0x3ffe000b,0x3f6002ff,0xffffffff,
    0xff00000f,0x20005fff,0x003ffffe,0x01bffff6,0x25ffffc8,0x00fffff8,
    0x03fffff0,0x3fffe200,0xdffff93f,0x3ffffe00,0x5fffff32,0x7ffffdc0,
    0x3fffff64,0x80000000,0xfb5ffffe,0x00dfffff,0x0bffffe0,0xdffffd80,
    0x006fffff,0x5fffff00,0x3fffa000,0x3ff2003f,0xff000fff,0xfff89fff,
    0xff8801ff,0x7c0007ff,0xff73ffff,0x3fe00fff,0xfff73fff,0xfffb00bf,
    0x7fffe4bf,0x0000004f,0x96ffffd8,0x0bffffff,0x3ffffe00,0x3fff6002,
    0xfffffbbf,0xfff80005,0xfd0002ff,0x54007fff,0x803fffff,0x42fffff9,
    0x802ffffe,0x006ffff9,0x3ffffe60,0x3fffff51,0xfffff880,0x09ffff91,
    0x4fffff50,0x0ffffffa,0x74000000,0xff35ffff,0x0005ffff,0x00bffffe,
    0xb3ffffd8,0x007fffff,0x2fffff80,0xffffb000,0xfffe800b,0x7fec00ef,
    0xfffd86ff,0xfffc805f,0x3f20005f,0x3fe67fff,0x7d404fff,0xffb0ffff,
    0xff5009ff,0xfffe8dff,0x00000dff,0xfffff100,0x27fffdc7,0xfffff000,
    0x7ffec005,0xfffff13f,0x7fc0003f,0x90002fff,0x001fffff,0x77ffffdc,
    0xfffffb00,0xfffff905,0x7fffc403,0xff70003f,0xffd8bfff,0xff101fff,
    0x7fe4dfff,0xffd806ff,0x7ffcc4ff,0x4c01efff,0xfd10003c,0xa883ffff,
    0x7fc0000a,0x36002fff,0x3e63ffff,0x000fffff,0x05fffff0,0x3fffee00,
    0xf883104f,0xacefffff,0xfffffeca,0xfffff106,0xfffa817f,0x4cdd46ff,
    0x3ffaa620,0x7cc1ffff,0x10afffff,0x5fffffd5,0x6fffffd4,0x7ffe440a,
    0xfffd82ff,0xabceffff,0x2e4ffedb,0xfc99809a,0x006fffff,0x7fffc000,
    0x3ff6002f,0x7ffe43ff,0xff0006ff,0x20005fff,0xfffffff9,0xc87feede,
    0xffffffff,0xffffffff,0x3ffff201,0xffffffff,0x7e41ffff,0xffffffff,
    0x02ffffff,0xfffffffb,0xffffffff,0xfffff889,0xffedefff,0xf306ffff,
    0xffffffff,0x9fffffff,0x7ffffffc,0xffffffff,0x000000ef,0x017ffffc,
    0x07ffffb0,0x0bfffffd,0x5fffff00,0x7ffe4000,0xffffffff,0xfffff707,
    0xffffffff,0xfff8805f,0xffffffff,0xfc84ffff,0xffffffff,0x203fffff,
    0xffffffe9,0x6fffffff,0xffffff30,0xffffffff,0x7f4c01df,0xffffffff,
    0x3e4fffff,0xffffffff,0x1fffffff,0xff800000,0x36002fff,0xf883ffff,
    0xe83fffff,0xffffffff,0xffffffff,0xffe8805f,0xffffffff,0x3fffea07,
    0xefffffff,0xfffb1000,0xffffffff,0x3fff205f,0xffffffff,0xfd8801df,
    0xffffffff,0x3ea00cff,0xffffffff,0x000dffff,0xfffffff7,0x49ffffff,
    0xffffffff,0x0cffffff,0xff000000,0x6c005fff,0xf503ffff,0xe85fffff,
    0xffffffff,0xffffffff,0x3faa005f,0x6fffffff,0x7fff6440,0x0003efff,
    0xffffffd5,0x7e4019ff,0xffffffff,0xeb8000ce,0xdfffffff,0x3ffaa000,
    0x1dffffff,0xffdc9800,0x1befffff,0x7ffffffc,0x00beffff,0x7fc00000,
    0x36002fff,0x3203ffff,0x20ffffff,0xfffffffe,0xffffffff,0x988005ff,
    0x0001aaaa,0x00003553,0x009aa988,0x2aaa6620,0x4c000009,0x400009aa,
    0x019aaa98,0x4d4c4000,0x554cc401,0x000019aa,0xffff8000,0x3ff6002f,
    0x7ff403ff,0xffd0efff,0xffffffff,0xbfffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a600000,0x0009aacb,0x002aea20,0x5dd44000,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,0x07ffffff,
    0x7fffffdc,0x004fffff,0xffffffb5,0x4c0001bf,0xffffffec,0x3ee3dfff,
    0x4002ffff,0xfd4fffff,0x8001ffff,0x267ffffc,0x0002ffff,0x7f47ffff,
    0xa801ffff,0x546fffff,0xffffffff,0xffffffff,0xffff15ff,0x9dffffff,
    0xffff8039,0xffb805ff,0x3ffe22ff,0xffffffff,0xfb83ffff,0xffffffff,
    0xc806ffff,0xffffffff,0xc8002fff,0xffffffff,0x20ffffff,0x006fffff,
    0x43ffffee,0x02fffffb,0x2fffff40,0x005ffff3,0xa8bfffe0,0x805fffff,
    0x41fffffe,0xfffffffa,0xffffffff,0xfff15fff,0xffffffff,0x3e03bfff,
    0x01ffffff,0x117fffdc,0xffffffff,0x7fffffff,0xffffffc8,0xffffffff,
    0x3fff6206,0xffffffff,0xfd3004ff,0xffffffff,0x41ffffff,0x01fffffb,
    0x49fffff0,0x05fffff9,0x3ffffe20,0x0ffffe22,0x3fffe200,0x7fffff42,
    0x3fffea01,0xffffa85f,0xffffffff,0x15ffffff,0xffffffff,0xffffffff,
    0xffffff09,0xfffb809f,0x3fffe22f,0xffffffff,0x3fe63fff,0xffffffff,
    0x206fffff,0xeffffffe,0xfffffffe,0x7fffd402,0xffffffff,0x7c0fffff,
    0xb805ffff,0x740fffff,0x2007ffff,0x20fffffb,0x003ffff8,0x41ffff88,
    0x05fffffa,0x03fffffa,0x3fffffea,0xffffffff,0xff15ffff,0xffffffff,
    0x5fffffff,0xfffffff8,0x3ffee00f,0x4ccccc2f,0xfff99999,0x3fffe3ff,
    0x4c41adff,0xfff706db,0x7e4c1bff,0x2206ffff,0xefffffff,0xfcba99ac,
    0x7ffdc0ff,0x7ffc01ff,0xfffc84ff,0xffb001ff,0xffff0dff,0xfff10007,
    0xffffb03f,0xffff503f,0x3bba609f,0xeeeeeeee,0x4ffffffe,0x57fffff1,
    0xffff9755,0x7ffc3fff,0x204fffff,0x002ffffb,0x27fffff0,0x04fffff9,
    0xffffe800,0x3fffee05,0xffff902f,0x36a005ff,0x5fffff80,0x3ffffee0,
    0xfffff980,0xfffff003,0x09ffff07,0x3ffff100,0xdfffff30,0x1fffffd0,
    0x3fee0000,0x3fe26fff,0xfb101fff,0x7fcbffff,0x0fffffff,0x05ffff70,
    0x3ffffe00,0x3fffff53,0xfffa8000,0xfffe807f,0xffff886f,0x700001ef,
    0x203fffff,0x204fffff,0x806fffff,0x81fffff9,0x8004ffff,0x900ffff9,
    0x545fffff,0x003fffff,0xfffff100,0x7fffc43f,0x3ffe201f,0x3fffe6ff,
    0x703fffff,0x0005ffff,0x64fffffe,0x001fffff,0x27ffff40,0x7ffffcc0,
    0x7ffffec1,0x7fc00002,0xffb84fff,0x3f600fff,0x6400ffff,0xfd06ffff,
    0xf30009ff,0x3e201fff,0x3fa6ffff,0x00007fff,0x13fffff6,0x03fffff1,
    0x0fffffb8,0xffffffff,0x3ffee0df,0xfff0002f,0x3ffee7ff,0x220005ff,
    0x401fffff,0x2fffffd8,0x1bffffe2,0x3fee0000,0x3fe20fff,0x7d404fff,
    0x7402ffff,0xfd04ffff,0x999309ff,0x80ffff30,0xaafffffc,0x003fffff,
    0xfffff500,0xfffff10d,0xffff9803,0xddffff1f,0xf705ffff,0x20005fff,
    0xf33fffff,0x01bfffff,0xdffff300,0xfffff980,0x3ffe63ff,0x000002ff,
    0x5c9fffff,0x400fffff,0x04fffff8,0x07ffffe2,0x6c2fffec,0x7fd41fff,
    0x7ffc407f,0xffffeeff,0xff100006,0xf103ffff,0x9803ffff,0xff1fffff,
    0xffff5dff,0x5ffff70d,0x3fffe000,0xfffff13f,0x4003bfff,0x205ffffa,
    0xfffffffc,0x3fffea4f,0x7000000f,0x3a1fffff,0xb004ffff,0x5c0fffff,
    0x3607ffff,0x7fc45fff,0x7ffd43ff,0xffffb807,0x02ffffff,0xffffb000,
    0x3ffe207f,0x7fd401ff,0xffff0fff,0x07ffffed,0x005ffff7,0x8fffffe0,
    0xfffffffb,0x5c00beff,0xe884ffff,0xffffffff,0x3ffff25f,0x33333107,
    0xf8803333,0xffabffff,0xf7000fff,0x3603ffff,0x3205ffff,0x7fd45fff,
    0x7ffd46ff,0xffffd006,0x000dffff,0x3ffffea0,0x3fffe206,0x7ffe401f,
    0x5bfffe7f,0x5c5ffffb,0x0002ffff,0xd87fffff,0xffffffff,0xf901cfff,
    0xffa89fff,0xfffeffff,0x3ffff66f,0xfffffb06,0xb803ffff,0xffdeffff,
    0x3e2003ff,0xff03ffff,0x7e405fff,0x7ffe46ff,0x3ffea0ff,0xffff5006,
    0x0003ffff,0xffffff10,0x7fffc401,0x3ffe601f,0x3fffe5ff,0x3fffff16,
    0x017fffdc,0x3fffff80,0xffffffb8,0x83ffffff,0xb13ffffd,0x37ffffff,
    0x7f4fffff,0xffb05fff,0x3fffffff,0xfffff880,0x000fffff,0x42fffff4,
    0x00fffff9,0xff1bfff2,0x7dc7ffff,0x3fa005ff,0x005fffff,0xfffffb00,
    0xffff8807,0xfffd501f,0x7fffc3ff,0x93ffff26,0x002ffffb,0x07fffff0,
    0x3fffff66,0x45ffffff,0xe9affffe,0x30efffff,0x7fcfffff,0xffb04fff,
    0x3fffffff,0xfffff700,0x90007fff,0xf90fffff,0xfb80bfff,0x3ffe66ff,
    0x3fee5fff,0xfff3005f,0x001fffff,0xfffffa80,0xffff8805,0xfecbaabf,
    0x7c4fffff,0x3fe26fff,0xfff70fff,0x3fe0005f,0x64c03fff,0xffffffff,
    0x3fff64ff,0xffffffef,0x37fffd44,0x20bffffd,0xfffffffd,0xff8801ff,
    0x00ffffff,0xfffff980,0x1fffff42,0xc9bffee0,0x0fffffff,0x2009fff7,
    0xfffffffd,0x3e20005f,0x800fffff,0xfffffff8,0xffffffff,0x6ffff86f,
    0xba7fffec,0x0002ffff,0x007fffff,0x7ffffed4,0xfff91fff,0x5fffffff,
    0x4bffff70,0x106ffffd,0xffff3333,0x3fee003f,0x0003ffff,0x893ffffe,
    0x400fffff,0x3fa7fffa,0x72fffedf,0xf5009fff,0xffffffff,0x3f60003f,
    0x1003ffff,0xffffffff,0xbfffffff,0x8dffff01,0xb8fffff9,0x0002ffff,
    0x007fffff,0xfffffd30,0x3fffee7f,0x900dffff,0x7e49ffff,0x3e007fff,
    0x1001ffff,0x00ffffff,0x7ffffc80,0x01bfffea,0x7cdfffea,0x4fffcbff,
    0xd009fff9,0xffffffff,0xf5000dff,0x400bffff,0xfffffff8,0x1effffff,
    0x21bfffe0,0xfbbffffe,0xf0002fff,0x0007ffff,0xafffffec,0xfffffffa,
    0x7fffec03,0x3ffffea3,0xfffff001,0x7ffe4003,0x7d40005f,0xffb1ffff,
    0xff3009ff,0x27ffeeff,0xff97fffa,0xfffb807f,0xffffdbff,0x3fe2003f,
    0x2000ffff,0xfffffff8,0x801acdef,0xfa86ffff,0xfffbefff,0xfff0002f,
    0x4c0005ff,0xf36fffff,0x003dffff,0x4c5fffff,0x004fffff,0x003fffff,
    0x02ffffe4,0x3fffe200,0x3fffff3f,0x1ffff300,0x7ffcfffd,0x03fffd9f,
    0x5bffffe2,0x0ffffff8,0xfffffb00,0xfff88005,0x7c0001ff,0xfff06fff,
    0x5ffffbff,0xffff1000,0xff80003f,0xfff15fff,0xff5007ff,0x7fc41fff,
    0xf800ffff,0x2001ffff,0x005ffffc,0xdffffd80,0x007ffff9,0xff3ffff1,
    0x67ffec9f,0x3202fffd,0x322fffff,0x804fffff,0x05fffffa,0xfffff880,
    0x7ffc0001,0xffff706f,0x005fffff,0x1fffff70,0x7ffc4000,0x3fff23ff,
    0x7fec00ff,0xfffb84ff,0xfff805ff,0x3f2001ff,0x80005fff,0xfbfffffb,
    0xf1004fff,0x3fff7fff,0x7ef7ffd4,0xfff102ff,0xfff88dff,0x3e201fff,
    0x000fffff,0x1fffff88,0x7fffc000,0xfffff106,0x64c5ffff,0x3fffe200,
    0x8002b27f,0x21fffffe,0x05fffff8,0x03fffff2,0x77fffffc,0x3ffffe00,
    0x3fff2001,0xf880005f,0xffffffff,0xfff1002f,0xf88fffdf,0x1fffefff,
    0x5fffffb0,0xbfffff90,0x7ffffec0,0xfff10002,0xf80003ff,0x3f206fff,
    0x2fffffff,0x442b3fe6,0x4ffffffa,0x2af3bffa,0xfffca999,0xffc87fff,
    0x3222dfff,0x204fffff,0xfffffffa,0xffba9acd,0x32001fff,0x0005ffff,
    0xffffffd0,0xff800fff,0xd84fffff,0x1fffffff,0x6fffff98,0xffffff10,
    0xfffff505,0xdddddddf,0x22bddddd,0x001fffff,0x037fffc0,0xfffffff1,
    0x7fffcc5f,0xffffffff,0x3fffa0ef,0xffffffff,0x81ffffff,0xfffffff8,
    0xffffffef,0x7fff400f,0xffffffff,0x01ffffff,0x17ffff20,0x7ffe4000,
    0x005fffff,0x7ffffffc,0xfffffa82,0xfffe80ff,0x3fee02ff,0xffd86fff,
    0xffffffff,0xffffffff,0x3fffff17,0xffff8000,0x7fffec06,0x3fe62fff,
    0xffffffff,0x7ff42fff,0xffffffff,0x02ffffff,0x3fffffea,0xefffffff,
    0xfffc8800,0xffffffff,0x001fffff,0x017ffff2,0x7fffcc00,0x4003ffff,
    0x07fffffe,0xfffffff1,0xfffffa81,0x7fffc406,0x7ffec3ff,0xffffffff,
    0x7fffffff,0x03fffff1,0x6ffff800,0x7ffffcc0,0x3ffe62ff,0xffffffff,
    0xffffe81e,0xffffffff,0xe8802eff,0xffffffff,0x54000dff,0xffffffff,
    0x0fffffff,0x3ffff200,0x3fe00005,0x00ffffff,0x7fffff40,0x3ffff605,
    0x7fff40ff,0xffb802ff,0x3f60ffff,0xffffffff,0xffffffff,0xfffff17f,
    0xfff80003,0xfffe806f,0x7e4c2fff,0x3effffff,0x3fffb6a0,0xdfffffff,
    0xffec8002,0x003dffff,0x3fffb220,0x1cffffff,0xffffc800,0x3f200005,
    0x006fffff,0x2fffffe8,0x3ffffee0,0x7ffffdc7,0x3fffe006,0x3fff65ff,
    0xffffffff,0x7fffffff,0x03fffff1,0x6ffff800,0xfffffa80,0x2aa6202f,
    0xaa988001,0x00009aaa,0x0002aa60,0x55554400,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9800000,0xfff886ff,0x7fffec07,0x3ffea03f,0x7ffec6ff,
    0xff30004f,0xfe801fff,0x3e63ffff,0xffffffff,0x9800bdef,0xffffffff,
    0xffffffff,0xfff3ffff,0xff1005ff,0x3ff61fff,0xffffffff,0x27ffffff,
    0xffffffff,0xffffffff,0x3fffffe3,0xffffffff,0xffff16ff,0x9bdfffff,
    0x6cc00057,0xff5003ef,0xffff30bf,0xfffffd80,0x3ffff605,0x7fffec6f,
    0xfff30004,0x7fdc01ff,0x7fcc5fff,0xffffffff,0x201dffff,0xfffffff9,
    0xffffffff,0xff3fffff,0xf1005fff,0x3f61ffff,0xffffffff,0x7fffffff,
    0x3ffffffe,0xffffffff,0x3ffffe3f,0xffffffff,0xfff16fff,0xffffffff,
    0x8003dfff,0x04fffff8,0xa85fffb8,0x7ec06fff,0x880fffff,0x47ffffff,
    0x004ffffd,0x1fffff30,0x3ffffe20,0x7fffcc0f,0xffffffff,0xf300ffff,
    0xffffffff,0xffffffff,0x3ffe7fff,0xff8802ff,0xfffb0fff,0xffffffff,
    0x7cffffff,0xffffffff,0x3fffffff,0x3ffffffe,0xffffffff,0xfffff16f,
    0xffffffff,0x20019fff,0x2ffffffc,0x427ffe40,0x7405fffa,0x82ffffff,
    0x7ffffffa,0x027fffec,0xfffff980,0xfffffb00,0xfffff305,0xffffffff,
    0xf301dfff,0xffffffff,0xffffffff,0x3ffe7fff,0xff8802ff,0xfffb0fff,
    0xffffffff,0x7cffffff,0xffffffff,0x3fffffff,0x3ffffffe,0xffffffff,
    0xfffff16f,0xffffffff,0x001dffff,0xbffffffb,0x83fffd80,0x7404fffb,
    0x85ffffff,0x7ffffffd,0x027fffec,0xfffff980,0xfffffb80,0xfffff305,
    0xffd95555,0x5107ffff,0xfb555555,0x5555dfff,0x3ffe3555,0xff8802ff,
    0x33310fff,0xdffffb33,0x7c333333,0xaaacffff,0x1aaaaaaa,0x2b3ffffe,
    0xaaaaaaaa,0xfffff12a,0xffd97557,0x007fffff,0xfffffff9,0x82fffd80,
    0x7c04fffc,0x87ffffff,0xffffffff,0x13ffff60,0x7fffcc00,0x7fffc40f,
    0xfff300ef,0x7ffdc0ff,0xfc8005ff,0xff005fff,0xf1005fff,0xc801ffff,
    0xf805ffff,0x0002ffff,0x005fffff,0x1fffff10,0x3ffffa20,0x7fcc00ff,
    0x2a0fffff,0xcffffaaa,0xfffeaaaa,0x7fc0aaad,0x22fffdff,0xfffdfff9,
    0x3ffff60f,0xfff30004,0xfffd81ff,0x3fe601ff,0x7fec07ff,0xfc8007ff,
    0xff005fff,0xf1005fff,0xc801ffff,0xf805ffff,0x0002ffff,0x005fffff,
    0x1fffff10,0xfffffc80,0xffffa805,0x3fffe0ff,0xffffffff,0xffffffff,
    0x5ffffc1f,0x3ff24fff,0x21ffffaf,0x004ffffd,0x1fffff30,0x1fffffd4,
    0x1ffffe60,0x1fffff70,0xffffc800,0xfffff005,0xffff1005,0xfffc801f,
    0xffff805f,0xfff0002f,0xf10005ff,0xf001ffff,0x001fffff,0xf8dffffb,
    0xffffffff,0xffffffff,0x3e21ffff,0x7fff9fff,0x3fe3fffe,0x3fff61ff,
    0xff30004f,0x3fe21fff,0xf9806fff,0x7dc07fff,0xc8007fff,0xf005ffff,
    0x1005ffff,0x801fffff,0x805ffffc,0x002fffff,0x05fffff0,0xfffff100,
    0xffff9001,0xfff5005f,0xfffff8bf,0xffffffff,0xffffffff,0x75fffe21,
    0xfff99fff,0x6c3ffff5,0x0004ffff,0x21fffff3,0x00fffffd,0x07ffff98,
    0x037fffe4,0x2ffffe40,0x2fffff80,0xfffff880,0x7fffe400,0xfffff805,
    0xffff0002,0xff10005f,0xf1001fff,0x9007ffff,0xcc87ffff,0xccffffdc,
    0xcffffccc,0x3fe20ccc,0x77fff97f,0x3ffe5fff,0x3ffff62f,0xfff30004,
    0xffff51ff,0x3fe6005f,0x3fe607ff,0xc8004fff,0xf005ffff,0x1005ffff,
    0x801fffff,0x805ffffc,0x002fffff,0x05fffff0,0xfffff100,0x3fffe001,
    0x7ff4404f,0x7ffd406f,0x07fff985,0xfabfffcc,0x27ffddff,0x3f62ffff,
    0x30004fff,0xff3fffff,0x4c00bfff,0xb887ffff,0x00ffffff,0x5ffffc80,
    0xdfffff00,0xdddddddd,0x01fffffd,0x05ffffc8,0x02fffff8,0xbfffff00,
    0x99999999,0x3ffe2399,0xffd000ff,0x3ee20bff,0x5c00ffff,0xffa85fff,
    0x7ffcc06f,0x3fffffe6,0x8ffffe5f,0x004ffffd,0xdfffff30,0x001fffff,
    0x77ffffcc,0xfffffeee,0xf90002ff,0x3e00bfff,0xffffffff,0xffffffff,
    0x7e400fff,0xff805fff,0xeeeeefff,0x7c5eeeee,0xffffffff,0x2fffffff,
    0x01fffff1,0x9bffff60,0xfffffffa,0xfffc802f,0x05fffb84,0xfb37ffd4,
    0x745fffff,0x3ff63fff,0xf30004ff,0xffffffff,0xff98009f,0xffffffff,
    0x001effff,0x17ffff20,0x7fffffc0,0xffffffff,0x00ffffff,0x02ffffe4,
    0x7ffffffc,0xffffffff,0x7fffffc7,0xffffffff,0xffff12ff,0x3ff2001f,
    0x3ffee7ff,0xb000dfff,0xff707fff,0xfffa809f,0x3ffffee6,0x8ffffa0f,
    0x004ffffd,0xdfffff30,0x003fffff,0x7fffffcc,0x1cffffff,0xfffc8000,
    0xffff005f,0xffffffff,0xffffffff,0xffffc801,0xfffff805,0xffffffff,
    0x7fffc7ff,0xffffffff,0xff12ffff,0x36001fff,0x3ee7ffff,0x4002dfff,
    0xfc82fffe,0x7fd404ff,0x3fffe26f,0x27fff45f,0x009ffffb,0x3ffffe60,
    0x06fffffa,0x3ffffe60,0xffffffff,0xffc80002,0xfff005ff,0xddddddff,
    0xffffdddd,0xfffc801f,0xffff805f,0xffffffff,0x7ffc7fff,0xeeeeeeff,
    0xf11eeeee,0x2001ffff,0x265ffffd,0x2660009a,0x9bffff99,0xcfffd999,
    0xfffb8199,0x17ffff45,0xfd93fffa,0x30004fff,0xf91fffff,0x2009ffff,
    0xbafffff9,0x2ffffffd,0x7ffe4000,0xffff005f,0xfff1005f,0xffc801ff,
    0xfff805ff,0xcccccdff,0x7fc4cccc,0x88002fff,0x000fffff,0x009ffffd,
    0xfffff880,0xffffffff,0xffffffff,0x22fffdc0,0x6c0ffffc,0x3ff65fff,
    0xf30004ff,0x3fa1ffff,0x9801ffff,0x7cc7ffff,0x0006ffff,0x02ffffe4,
    0x02fffff8,0x0fffff88,0x2ffffe40,0x17ffffc0,0xfffff800,0xfff88002,
    0xfff000ff,0xdd9107ff,0x3ffe2019,0xffffffff,0xffffffff,0x7ffe40ff,
    0x42fffcc5,0x3f65fffd,0x30004fff,0x2a1fffff,0x806fffff,0xa87ffff9,
    0x004fffff,0x17ffff20,0x17ffffc0,0x7ffffc40,0x7fffe400,0xfffff805,
    0xffff0002,0xff10005f,0xf3001fff,0xe885ffff,0x880fffff,0xffffffff,
    0xffffffff,0x640fffff,0xccc85fff,0x25fffd82,0x004ffffd,0x1fffff30,
    0x27ffffec,0x1ffffe60,0x07ffffec,0xffffc800,0xfffff005,0xffff1005,
    0xfffc801f,0xffff805f,0xfff0002f,0xf10005ff,0xb001ffff,0xd83fffff,
    0x85ffffff,0xfffdccc8,0xffcccccf,0x40ccccff,0x8005fffc,0x3f66fffd,
    0x30004fff,0x441fffff,0x01ffffff,0x41ffffe6,0x03fffffa,0xbffff900,
    0x3ffffe00,0xffff8802,0x7ffe400f,0xffff805f,0xfff0002f,0xf10005ff,
    0x9801ffff,0xf85fffff,0x07ffffff,0x985fffa8,0xfd807fff,0xfd8004ff,
    0x3fff66ff,0xff30004f,0xffb81fff,0x3e606fff,0x3fa07fff,0x8000ffff,
    0x005ffffc,0x005fffff,0x01fffff1,0x05ffffc8,0x02fffff8,0x5fffff00,
    0xffff1000,0x7ff4401f,0x7fc40fff,0x00ffffff,0x5427ffdc,0xfd806fff,
    0xfc8004ff,0x3fff67ff,0xff30004f,0xffd01fff,0x3e609fff,0x3ee07fff,
    0x8003ffff,0x005ffffc,0x005fffff,0x01fffff1,0x05ffffc8,0x02fffff8,
    0x5fffff00,0xffff1000,0x3ffee01f,0xfff04fff,0x900fffff,0xff709fff,
    0xfffd00bf,0xfff90009,0x77fffecf,0xcccccccc,0xfff31ccc,0xfff301ff,
    0xff303fff,0x7fc40fff,0xc8007fff,0xf005ffff,0x1005ffff,0x2a1fffff,
    0xffdaaaaa,0xaaaaaeff,0x0bffffe2,0x7ffffc00,0xaaaaaaac,0xfff12aaa,
    0xfb9557ff,0x1fffffff,0x3ffffee0,0xfffd803f,0x04fffc83,0x004fffe8,
    0x367fffc8,0xffffffff,0xffffffff,0x1fffff33,0x3fffff20,0x7fffcc0e,
    0x7fffe407,0x7fe4003f,0xfff005ff,0xff1005ff,0x3ff61fff,0xffffffff,
    0x27ffffff,0x002fffff,0xfffffff0,0xffffffff,0x3fffe2df,0xffffffff,
    0x401effff,0x004ffffc,0xf905fffd,0xffd009ff,0xff90007f,0x3fff61ff,
    0xffffffff,0xf33fffff,0x2201ffff,0x44ffffff,0x407ffff9,0x06fffff8,
    0x2ffffe40,0x2fffff80,0xfffff880,0xffffffb0,0xffffffff,0x7fffcfff,
    0xfff0002f,0xffffffff,0x22dfffff,0xffffffff,0x4fffffff,0x002aa200,
    0xd81ffff8,0xff803fff,0xfb8003ff,0xfffb0fff,0xffffffff,0x267fffff,
    0x200fffff,0x2ffffffa,0x01ffffe6,0x0bfffff6,0x5ffffc80,0x5fffff00,
    0xfffff100,0x3fffff61,0xffffffff,0x3ffe7fff,0xff0002ff,0xffffffff,
    0x2dffffff,0xfffffff8,0x1effffff,0xff000000,0xfffd01ff,0x7ffff005,
    0xffff7000,0x3fffff61,0xffffffff,0xfff33fff,0xffd801ff,0xff30ffff,
    0xff500fff,0x6400dfff,0xf005ffff,0x1005ffff,0x361fffff,0xffffffff,
    0xffffffff,0x0bffffe7,0x7ffffc00,0xffffffff,0xfff16fff,0xbddfffff,
    0x00000037,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01357310,0x00000000,0x00000000,
    0x4cc40000,0x00000009,0xaba88000,0x20000009,0x0006400c,0x004c4000,
    0x40130000,0x002aaaaa,0xffffeda8,0x3f603fff,0xffffffff,0xffffffff,
    0xfffff35f,0xbdffffff,0x7ec00017,0x007fffff,0xffffb300,0x7e40000b,
    0x007fffff,0x7ffffecc,0x00003fff,0x6c03bfa2,0x400001ff,0xfffffdc9,
    0x730000cd,0xdfffffdb,0x3ffff639,0x3ff62007,0xffffffff,0xfffd81ef,
    0xffffffff,0x5fffffff,0xfffffff3,0xffffffff,0xff880019,0x01ffffff,
    0x3fff6600,0x00005fff,0xfffffff1,0x3ff2200f,0xffffffff,0x4c0000ef,
    0x6c0effff,0x0002ffff,0xffffff90,0x005fffff,0x7ffffe44,0xb3ffffff,
    0x200dffff,0xfffffffa,0xefffffff,0x7ffffec0,0xffffffff,0xf35fffff,
    0xffffffff,0xbfffffff,0xffffa800,0x8003ffff,0xffffffc8,0xb00005ff,
    0xffffffff,0x3ffffa00,0xffffffff,0xf50001ff,0x5cbfffff,0x03ffffff,
    0x3fffa600,0xffffffff,0xffa805ff,0xffffffff,0xfff93fff,0xfff100df,
    0xffffffff,0xd8bfffff,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,
    0x009fffff,0x7fffffe4,0x322006ff,0xffffffff,0xa80005ff,0xffffffff,
    0xffffc807,0xffffefff,0xb8005fff,0x0dffffff,0x7fffffe4,0xfffd0005,
    0xffffffff,0x5407ffff,0xffffffff,0x93ffffff,0x200bffff,0x9bdffffa,
    0xfffffea9,0x3ffff61f,0xffffffff,0x35ffffff,0x333fffff,0xffffd733,
    0x7ffc00ff,0x0fffffff,0xfffff980,0x5fffffff,0x7ffc4000,0x07ffffff,
    0x77ffffd4,0x3fffa622,0x3f6001ff,0x204fffff,0xeffffffa,0x3ffee000,
    0xeb9acfff,0x80ffffff,0xffffffe8,0xffccaabd,0x0bffff73,0xb00f7e40,
    0x005fffff,0xfffffb80,0x0fffff31,0x0fffffe8,0xdffff980,0x802fffff,
    0xeffffff8,0x005ffffd,0x67fffe40,0x6c07ffff,0x100fffff,0x00dfffff,
    0xffffffd1,0xffff3005,0xf1003dff,0x201dffff,0x84fffffc,0x1efffffc,
    0xfffb9540,0x005c004f,0x13ffffe2,0xfffff000,0x3ffffccd,0x3ffffe60,
    0xffffb802,0x05ffffdb,0x25dfffb0,0x005ffffc,0x3ffffe60,0x407ffff8,
    0x403fffff,0x01fffffb,0x3fffffa6,0x3fa2001f,0x402fffff,0x00fffffc,
    0x23fffff4,0x06fffff9,0x4ffffa80,0xfff00000,0x5c000bff,0x262fffff,
    0x4407ffff,0x802fffff,0xfb9ffffe,0xf3007fff,0xffffc87f,0x3ffa0005,
    0xfffff2ff,0x7ffffc40,0x7fffc400,0xffff503f,0x10001dff,0x7ffffffb,
    0x27ffff40,0x7ffffd40,0x3ffffee0,0xfffa8002,0xd000003f,0x000bffff,
    0x237ffff4,0x407ffff9,0x00fffff9,0x8bffffc4,0x001fffff,0xffff9017,
    0x3fee000b,0x3fffe5ff,0x3fffea07,0xffffd007,0xfffff709,0xf90000bf,
    0x209fffff,0x801fffff,0x21fffff8,0x006ffffc,0x07ffff30,0x3ffe0000,
    0xf50004ff,0xf985ffff,0x7e407fff,0xfa806fff,0x3ffa4fff,0x640004ff,
    0x8005ffff,0x20fffff8,0x2a07ffff,0x800fffff,0x645ffffe,0x03ffffff,
    0x3ffea000,0x3e20dfff,0xf000ffff,0x7f47ffff,0x30005fff,0x0005ffff,
    0xfffff300,0x3ffa0005,0xfff986ff,0x3ffea07f,0xffd802ff,0x3fff22ff,
    0x7e40006f,0xc8005fff,0x7fc3ffff,0x3fe207ff,0xfd802fff,0xffb16fff,
    0x0005ffff,0xfffff300,0x3ffea1df,0x3ffa007f,0x3fffe4ff,0x5510004f,
    0x00000155,0x01fffffb,0xfffff500,0xfffff305,0xffd97555,0x3e009fff,
    0x3ea0ffff,0x0000ffff,0x017ffff2,0x0dffff30,0xf80fffff,0xd806ffff,
    0xff76ffff,0x000bffff,0x7fffdc00,0xffff54ff,0x7fff400f,0xfffff13f,
    0x00000007,0x7fffd400,0xffd0004f,0x3fe60dff,0xffffffff,0x002effff,
    0xf0dffff3,0x0007ffff,0x02ffffe4,0x07ffffa0,0xd01ffffe,0x83dfffff,
    0xfffffeb8,0x3ffffea7,0x400000df,0x3ffffffc,0x03ffffe6,0x17ffffc0,
    0x00bfffff,0x20000000,0x0ffffff8,0xffffa800,0xffff303f,0xffffffff,
    0x90017dff,0xfb07ffff,0x4000bfff,0x005ffffc,0x413fffee,0x4c07ffff,
    0xffffffff,0xffffffff,0x7ffcc6ff,0x0000efff,0xfffffd88,0x7fffc42f,
    0xfff8801f,0x3fffa1ff,0xff70006f,0xffffffff,0x7ec00bff,0x0002ffff,
    0x40fffffd,0xfffffff9,0xffffffff,0x7ff402ff,0xfffb81ff,0xf90000ff,
    0x2200bfff,0xf00effff,0xf900ffff,0xffffffff,0xffffffff,0xffffd10b,
    0x440005ff,0x1ffffffe,0x07fffff0,0x1fffff50,0x0fffffe4,0x7fffdc00,
    0xffffffff,0xffffb005,0x3ea0009f,0x2603ffff,0xcccfffff,0xfffffedc,
    0xfff101ff,0x3ffe60ff,0xf90002ff,0x3600bfff,0x3e02ffff,0xf9007fff,
    0xffffffff,0x9fffffff,0x3ffff620,0xf98003ff,0x00efffff,0x01fffffa,
    0x71bffffa,0x00dfffff,0xffffff70,0x0bffffff,0xbfffff90,0x7fff4000,
    0x3fe600ff,0x3f6207ff,0xf706ffff,0x7fc0bfff,0x90004fff,0x500bffff,
    0xf80bffff,0x26007fff,0xfffffffd,0x4ffffebd,0x7ffffe40,0x3fee004f,
    0x400dffff,0x05fffffb,0x0bfffff2,0xbffffff1,0xff718801,0xffffffff,
    0xffc80bff,0x20005fff,0x04fffff9,0x03ffffcc,0x0fffffec,0x017fffec,
    0x00fffff9,0x17ffff20,0x2fffffa0,0xfaaaaaaa,0xaaaaffff,0x9aa98800,
    0x0fffffe0,0x3ffffee0,0x7fe400df,0x2004ffff,0xaefffffe,0xffffda88,
    0xffff706f,0x53359fff,0x332a9fb7,0xcccccccc,0x3ff203cc,0x40005fff,
    0x00fffffd,0x03ffffcc,0x17ffffd4,0x777ffffc,0xffeeeeee,0xc8001fff,
    0x4405ffff,0xffffffff,0xffffffff,0x01ffffff,0x7fffcc00,0xfff3001f,
    0xb103dfff,0x07ffffff,0xfffffa80,0xffffffff,0x3fa01fff,0xffffffff,
    0x004fffff,0xffffc800,0x7cc0005f,0x9804ffff,0x9807ffff,0x543fffff,
    0xffffffff,0xffffffff,0xfc8003ff,0x7c405fff,0xffffffff,0xffffffff,
    0x001fffff,0x37fffdc0,0x3fffa200,0x3fa22fff,0x001fffff,0xffffffb0,
    0xffffffff,0xffff9807,0xffffffff,0x400004ff,0x05fffffc,0xffffd800,
    0xfff9800f,0xfffa807f,0x7ffe42ff,0xffffffff,0x6fffffff,0xffffc800,
    0x7fffc405,0xffffffff,0xffffffff,0x220001ff,0x003fffff,0xfffffd88,
    0x3ffffea4,0x7dc0000e,0xffffffff,0x32001eff,0xffffffff,0x0004ffff,
    0x3fffff20,0xff980005,0xf3004fff,0xfb00ffff,0xff81ffff,0xffffffff,
    0xffffffff,0x7e4000ff,0x7c405fff,0xffffffff,0xffffffff,0x001fffff,
    0x3fffff60,0x3ff20000,0xdfffb84f,0xfb100000,0x9dffffff,0x3fb66000,
    0xbdffffff,0xff900000,0x0000bfff,0x03fffff6,0x3ffffcc0,0x3fffff20,
    0x77fffcc7,0xaaaaaaaa,0x2fffffba,0x7fffe400,0x99999805,0x99999999,
    0x999fffff,0xffb88001,0x0004ffff,0x3ee04fb8,0x22000004,0x00001aa9,
    0x0019aa88,0xffffc800,0xeeeeeeff,0x304eeeee,0x00bfffff,0x57ffffcc,
    0xffecaaaa,0x7dc3ffff,0x3e004fff,0xcb85ffff,0xffeccccc,0xcccccfff,
    0x3fe20004,0xaaa807ff,0xfffedcca,0x0005ffff,0x00060060,0x00000000,
    0x20000000,0xfffffff9,0xffffffff,0xffb06fff,0x4c003fff,0xffffffff,
    0xffffffff,0xffffd85f,0x3fff6002,0xffffd87f,0xffffffff,0x007fffff,
    0x1ffffe20,0x3fffff60,0xffffffff,0x00000006,0x00000000,0x00000000,
    0xfffff300,0xffffffff,0x10dfffff,0x00bfffff,0xffffff98,0xffffffff,
    0x7fc40eff,0x7dc007ff,0x7ec1ffff,0xffffffff,0xffffffff,0x3fe20007,
    0xffd807ff,0xffffffff,0x00000cff,0x00000000,0x00000000,0xff300000,
    0xffffffff,0xffffffff,0xfffff90d,0xfff98003,0xffffffff,0xf502efff,
    0x8800bfff,0x6c4fffff,0xffffffff,0xffffffff,0x3e20007f,0xfd807fff,
    0xffffffff,0x000000df,0x00000000,0x00000000,0x7fcc0000,0xffffffff,
    0xffffffff,0x7ffffc46,0xfff98005,0xeeffffff,0x7fe401cc,0xfe8003ff,
    0x7fec6fff,0xffffffff,0x7fffffff,0x3ffe2000,0xfffd807f,0x001bdeef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00013100,
    0x00666620,0x00099980,0x0c401880,0x004cc000,0x00133000,0x801ddddd,
    0xd30eeeee,0x8005dddd,0x003eeeed,0x40026666,0x000eeeec,0x2abddd90,
    0xeeeeeeee,0xeeeeeeee,0x55555544,0x76dc000a,0x003dffff,0x3ffffb26,
    0x301dffff,0xffffffd9,0x3b2019df,0x9fff90ee,0x27fff4c3,0x98fbbba2,
    0x04fffffd,0xc98bbbba,0x00cfffff,0x801fffff,0x3e1fffff,0x2006ffff,
    0x01fffffa,0x07ffff30,0x0bffff20,0xaffff400,0xfffffffb,0xffffffff,
    0x7ffec46f,0xe9800eff,0xffffffff,0x3f6201ef,0xffffffff,0xfff82fff,
    0xffffffff,0xffd84fff,0xfffffc8f,0xffffff36,0xaffffc4b,0xfffffffb,
    0xffff81ef,0xffffff74,0xfff03dff,0xfff801ff,0x3fff21ff,0xffb000ff,
    0x7cc00dff,0xf7003fff,0x20007fff,0xff74ffff,0xffffffff,0x0dffffff,
    0x3bffffee,0x3fffea00,0xffffffff,0xfffe883f,0xffffffff,0xffff82ff,
    0xffffffff,0x7fec4fff,0xffffffbf,0xfffffe9f,0xffff11ff,0xffffff7b,
    0xff0dffff,0xffff79ff,0x0dffffff,0x801fffff,0x221fffff,0x803fffff,
    0x03fffff8,0x0ffffe60,0x27fffd40,0x7fffc400,0xffffff73,0xffffffff,
    0x7fcc0dff,0xf980efff,0xecdfffff,0x41ffffff,0xeffffffe,0x2fffedcc,
    0xeefffff8,0xfffffeec,0x3ffff62f,0xffffffff,0xffffffff,0xffffff14,
    0xffffffff,0xfff85fff,0xffffffff,0x43ffffff,0x400fffff,0x6c1fffff,
    0xa806ffff,0x000fffff,0x00ffffe6,0x02ffffcc,0x97fffcc0,0xccccccca,
    0xfffffdcc,0x7fec402f,0x7ff40eff,0x7f4c0dff,0x3fe65fff,0x5cc05fff,
    0x200bef81,0x25fffffa,0x74fffffd,0x23ffffff,0xff15fffe,0x5dffffff,
    0xbfffff51,0xfffffff8,0xfffd9bff,0x7fffc6ff,0x7fffc00f,0x7fffd41f,
    0x7ffec01f,0x7fcc004f,0xff1003ff,0xf5000dff,0xd8003fff,0x004fffff,
    0x43bfffee,0x205ffffa,0x72fffff9,0x003fffff,0xff700040,0x7ffecdff,
    0x3fffe67f,0x5bfff63f,0xfffffff8,0x7ffffb83,0x7ffffffc,0x7ffffc84,
    0x007ffffc,0x207ffffe,0x204fffff,0x01fffff8,0x1ffffcc0,0x0fffff00,
    0xfa83dddb,0x2e000fff,0x005fffff,0xd0999988,0xd801ffff,0xff93ffff,
    0x00003fff,0x3fffe600,0x8fffff67,0x647ffff8,0xfff16fff,0x3e20bfff,
    0x3fe0ffff,0xf505ffff,0x7fc1ffff,0x7fc00fff,0xffc81fff,0x3fee07ff,
    0xf98006ff,0x36003fff,0x3e60ffff,0x7fdc4fff,0x3fe6007f,0x0000efff,
    0x1bfffe60,0x57fffee0,0x2efffffb,0xf8800000,0xffb0ffff,0xffff88ff,
    0x8bfffe43,0x406fffff,0x3e0fffff,0x2205ffff,0x3e1fffff,0x7c00ffff,
    0xf981ffff,0xfd02ffff,0x30007fff,0x4007ffff,0x321ffffc,0x7e47ffff,
    0xff1006ff,0x0003ffff,0xeffffa80,0xaaaaaaaa,0xf36ffffc,0x7dffffff,
    0x53100003,0xfffff755,0x117fff61,0xfc85ffff,0xffff17ff,0xcccc803f,
    0x3ffffe0c,0x7ffffc01,0x03ffffe1,0x03fffff0,0x217ffffa,0x80fffff9,
    0xeeeeeee9,0xeeeffffe,0x2e2eeeee,0x3fa2ffff,0x3f62ffff,0xffd005ff,
    0x00007fff,0xffffff70,0xffffffff,0x7e4fffff,0xffffffff,0xd71000be,
    0xffffffff,0x3f61ffff,0x7ffc45ff,0xbfffe42f,0x01fffff8,0x7ffffc00,
    0x7ffffc01,0x03ffffe1,0x03fffff0,0x03ffffea,0x20bffff9,0xfffffffa,
    0xffffffff,0x2a3fffff,0xff33ffff,0x7f49ffff,0xffc804ff,0x00005fff,
    0xffffff90,0xffffffff,0x6c4fffff,0xffffffff,0x3200dfff,0xffffffff,
    0x0fffffff,0xf88bfffb,0x7fe42fff,0xfffff17f,0xfff80003,0x7ffc01ff,
    0x3fffe1ff,0x7fffc00f,0x3fffe01f,0x7ffffc3f,0xfffff502,0xffffffff,
    0x7fffffff,0xca7fffcc,0x27ffffff,0x5402ffff,0x00efffff,0xfffb0000,
    0xffffffff,0xffffffff,0xffffff70,0x05ffffff,0xfffffffb,0xffffffff,
    0x17fff61f,0xc85ffff1,0xfff17fff,0xf80003ff,0x7c01ffff,0x3fe1ffff,
    0x7fc00fff,0x3f201fff,0x3fea6fff,0x3fea07ff,0xffffffff,0xffffffff,
    0x3ffe23ff,0xfffffd5f,0x3fffe5ff,0x3fffe601,0x000000ff,0x2b7ffff2,
    0xaaaaaaaa,0x2602aaaa,0xfffffffd,0x3ff20fff,0xaabcffff,0x0fffffba,
    0xf88bfffb,0x7fe42fff,0xfffff17f,0xfff80003,0x7ffc01ff,0x3fffe1ff,
    0x7fffc00f,0x3ffe601f,0xffffb0ff,0x55554409,0xffffcaaa,0xaaaaaaad,
    0x4f7fffc1,0xfffdefff,0x00ffff9d,0x5fffffd1,0xfb800000,0x00005fff,
    0x7fffe540,0xfff14fff,0x3e201bff,0xffb0ffff,0xffff88bf,0x8bfffe42,
    0x001fffff,0x0fffffc0,0x87ffffe0,0x201fffff,0x01fffffb,0x45fffff4,
    0x000fffff,0x0ffffe60,0x7ffffb00,0xfff57fff,0x40ffff5f,0x04fffffd,
    0xffa80000,0x000006ff,0xfffffb10,0x3ffffead,0x3fffe200,0x8bfffb0f,
    0x642ffff8,0xfff17fff,0xf80003ff,0x7c01ffff,0x3fe1ffff,0xff503fff,
    0xb803ffff,0xffaeffff,0x4c0005ff,0x4003ffff,0xffeffffc,0xdffff89f,
    0xff706fff,0x0000dfff,0x3fffe600,0x0000002f,0x65fffffa,0x5406ffff,
    0xfb0fffff,0xfff88bff,0xbfffe42f,0x01fffff8,0x7ffffc00,0x7ffffc01,
    0x17ffffa1,0x3fffffe6,0x7ffc401f,0x2ffffeff,0x7ffcc000,0x7fdc003f,
    0x366fffff,0x5fffffff,0xffffff98,0x20000000,0x00effffe,0xffd00000,
    0x3ffeebff,0xfff701ff,0x3ff61fff,0x7fffc45f,0x8bfffe42,0x001fffff,
    0x0fffffc0,0x87ffffe0,0x8cfffffd,0xffffffd9,0xffc801ff,0x07ffffff,
    0xffff9800,0x7ffd4003,0x3ea4ffff,0x44ffffff,0xeffffff8,0xcccccccc,
    0xf500004c,0x807fffff,0x02f723b9,0x7fffff90,0x37ffffea,0x3ffff220,
    0xfffb0fff,0x2ffff88b,0xf8bfffe4,0x0001ffff,0x00fffffc,0xa87ffffe,
    0xffffffff,0xffffffff,0xfff9801f,0x004fffff,0x3ffff980,0x7fffcc00,
    0x3fe21fff,0x6c3fffff,0xffffffff,0xffffffff,0x3f600007,0xdeffffff,
    0x26fffeee,0xcceefffc,0xffffffec,0xfffff11f,0xffffddff,0x361fffff,
    0x7fc45fff,0x7ffe42ff,0x3fffff17,0xffff8000,0x7fffc01f,0x7ffff41f,
    0xbeffffff,0xd001ffff,0x3fffffff,0xfff30000,0xff88007f,0xfd87ffff,
    0x6c2fffff,0xffffffff,0xffffffff,0x3e200007,0xffffffff,0x26ffffff,
    0xfffffffc,0xffffffff,0x7ffffe42,0xcfffffff,0xffb0ffff,0xffff88bf,
    0x8bfffe42,0x001fffff,0x0fffffc0,0x07ffffe0,0xfffffff3,0xfff51bff,
    0x3fee003f,0x0006ffff,0x07ffff30,0xffffff00,0xfffff709,0xffffd83f,
    0xffffffff,0x0007ffff,0x7fffe440,0xffffffff,0x3ffff26f,0xffffffff,
    0xffe882ff,0xefffffff,0xb0ffffa8,0xff88bfff,0x7ffe42ff,0x3fffff17,
    0xffff8000,0x7fffc01f,0xfffd881f,0x3fea3fff,0xff1001ff,0x0005ffff,
    0x0bbbba60,0x3ffffa00,0xffff881f,0xffffd87f,0xffffffff,0x0007ffff,
    0xffffb300,0x5bffffff,0x7fffff54,0x0befffff,0x7ffffdc0,0x3ffea3ef,
    0x8bfffb0f,0x642ffff8,0xfff17fff,0xf80003ff,0x7c01ffff,0x2201ffff,
    0x00001aa9,0x00000000,0x00000000,0x00000000,0x2aa62000,0xa98009aa,
    0x019aaaaa,0x01aaa980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3bbbbae0,0xeeed8804,
    0x2aaa004e,0x0000000a,0x50000000,0x54435555,0xa880aaaa,0x40002cdb,
    0xaaaaaaaa,0xaaaaaaaa,0x2aaaaaaa,0x00000000,0x00000000,0x00000000,
    0x5fffffd0,0xfffffc80,0x3fffe001,0xffa80001,0xff1002ff,0xffffffff,
    0xffffffff,0x1fffffc5,0x83fffff3,0xeffffff9,0xf0cccc02,0xffffffff,
    0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,0xffffff30,
    0x3fffe601,0x7ffc003f,0xfe80000f,0xf1006fff,0xffffffff,0xffffffff,
    0x7ffffc5f,0x3ffffe62,0x3ffffe61,0xf503ffff,0x3ffe1fff,0xffffffff,
    0xffffffff,0x000fffff,0x00000000,0x00000000,0x70000000,0x10bfffff,
    0x80dffffd,0x40fffe81,0x3ff20008,0x8803ffff,0xffffffff,0xffffffff,
    0x3fffe2ff,0x3fffe22f,0x3ffffa0f,0x84ffffff,0x3fe7fffb,0xffffffff,
    0xffffffff,0x00ffffff,0x00000000,0x00000000,0x00000000,0x0ffffff6,
    0x01fffff9,0x3ff61fe4,0x8802fd47,0xffffffff,0x7fffc400,0xffffffff,
    0x22ffffff,0x7c1ffffe,0x3fe67fff,0xffffefff,0x7ffec4ff,0x3bbbbba6,
    0xeeeeeeee,0xeeeeeeee,0x000000ee,0x00000000,0x00000000,0x3fe20000,
    0xff30ffff,0x7c407fff,0xdffb0eff,0x00bfff62,0x3f6bfff6,0x999805ff,
    0x99999999,0x09999999,0xf07ffffa,0x7fe4ffff,0xfffd11ff,0xfffd7dff,
    0x0000009f,0x00000000,0x00000000,0x00000000,0x7fffd400,0xffffe8df,
    0x7fffec05,0xe9effcaf,0x5406ffff,0xfff16fff,0x0000005f,0x81ffffb0,
    0x3f67ffff,0xfffd85ff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x7ffffe40,0x00fffffe,0x7fffff54,0xffffffff,0x7ff403ff,
    0x3bfff21f,0x40000000,0xfe87fffd,0x3fffa6ff,0xfffffb04,0x000bffff,
    0x00000000,0x00000000,0x00000000,0x3a000000,0xffffffff,0x3faa002f,
    0xffffffff,0xffb803ef,0x7fffc45f,0x40000004,0xfe87fffc,0x333326ff,
    0x3ffff201,0x00005fff,0x00000000,0x00000000,0x00000000,0x3e600000,
    0x4fffffff,0xfffb3000,0x2005dfff,0xa81ffff8,0xc881ffff,0xcccccccc,
    0xcccccccc,0x1ffff21c,0x0017fff6,0x3defed98,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb80,0xd50000ef,0x7fffffff,0x9fffb001,
    0x437fff40,0xfffffff8,0xffffffff,0x3fee2fff,0x5fffd86f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x1fffffff,0x7ffdc400,
    0xffffffff,0xfff300cf,0x7ffcc01f,0x7fffc42f,0xffffffff,0x22ffffff,
    0xa982aaa8,0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff980,0xf9005fff,0xffdfffff,0x9ffffffd,0x03fffe81,0x20ffffd8,
    0xfffffff8,0xffffffff,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0xfffffffe,0xffc803ff,0xeffc9eff,0x46ffffe8,
    0x1006fffb,0x6449ffff,0xcccccccc,0xcccccccc,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fec0000,0xffffffff,0x7ffc400f,
    0x5cdffb0d,0x665c1fff,0x332a002c,0x000000cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0xfffffabf,0x6c2fb806,
    0x02f4c7ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe60000,0x3ff65fff,0x80804fff,0x0440fffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,
    0x3e20ffff,0x002fffff,0x000ffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0xffa83fff,0x4000ffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffea000,0x3ff205ff,0x4c005fff,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff100,
    0x7ffc401f,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe800000,0xa802ffff,0x01ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_44_usascii_x[95]={ 0,8,4,0,1,0,0,9,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,1, };
static signed short stb__consolas_bold_44_usascii_y[95]={ 32,1,1,3,-1,1,1,1,-1,-1,1,9,23,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,8,13,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,10,10,10,10,10,10,0,-4,0,15, };
static unsigned short stb__consolas_bold_44_usascii_w[95]={ 0,8,16,24,22,25,25,7,15,15,20,22,13,14,
10,21,23,20,20,20,24,19,21,20,20,21,8,13,19,20,18,15,24,25,21,21,23,18,18,22,21,18,17,22,
18,24,21,24,21,25,22,20,22,22,25,24,25,24,20,12,21,12,22,25,15,20,21,19,21,20,23,22,20,19,
18,21,19,22,20,22,21,21,20,18,20,20,24,24,24,24,18,17,6,17,23, };
static unsigned short stb__consolas_bold_44_usascii_h[95]={ 0,32,12,29,39,32,32,12,43,43,20,22,17,6,
9,36,30,29,29,30,29,30,30,29,30,29,24,31,25,14,25,32,41,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,38,29,30,29,30,29,29,29,29,29,41,36,41,15,5,10,24,32,24,32,24,31,33,31,32,
42,31,31,23,23,24,32,32,23,24,30,23,22,22,22,32,22,41,45,41,11, };
static unsigned short stb__consolas_bold_44_usascii_s[95]={ 255,101,152,1,146,50,24,241,24,8,87,
173,242,241,242,195,40,91,1,221,112,136,156,22,178,137,242,239,159,131,179,
239,77,65,43,199,218,199,180,64,139,161,1,70,51,26,232,88,210,169,93,
19,116,113,112,138,163,87,189,120,217,133,108,193,240,41,154,221,196,1,1,
1,218,176,40,25,47,62,106,198,132,110,85,22,67,127,148,196,62,76,221,
59,1,102,169, };
static unsigned short stb__consolas_bold_44_usascii_t[95]={ 1,47,228,144,1,47,47,174,1,1,228,
204,144,187,162,1,113,174,174,81,174,81,81,174,81,174,81,47,174,228,174,
1,1,174,174,81,144,144,144,113,144,144,113,144,144,144,113,81,113,1,144,
113,144,81,113,113,113,113,113,1,1,1,228,228,204,204,47,174,47,204,81,
47,47,47,1,81,81,204,204,174,47,47,204,204,81,204,204,204,228,47,204,
1,1,1,228, };
static unsigned short stb__consolas_bold_44_usascii_a[95]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_44_usascii(stb_fontchar font[STB_FONT_consolas_bold_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_44_usascii_s[i] + stb__consolas_bold_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_44_usascii_t[i] + stb__consolas_bold_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_44_usascii_x[i];
            font[i].y0 = stb__consolas_bold_44_usascii_y[i];
            font[i].x1 = stb__consolas_bold_44_usascii_x[i] + stb__consolas_bold_44_usascii_w[i];
            font[i].y1 = stb__consolas_bold_44_usascii_y[i] + stb__consolas_bold_44_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_44_usascii_s[i] + stb__consolas_bold_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_44_usascii_t[i] + stb__consolas_bold_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_44_usascii_x[i] + stb__consolas_bold_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_44_usascii_y[i] + stb__consolas_bold_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_44_usascii_LINE_SPACING
#endif

