// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT        265
#define STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_46_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_46_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_46_usascii_LINE_SPACING          30

static unsigned int stb__consolas_bold_46_usascii_pixels[]={
    0x301ddddb,0x00800000,0x00006000,0x005e5400,0xdb975100,0x2af3ba25,
    0xeee88001,0xeeeeeeee,0x3bbbbba3,0x004eeeee,0x0006eed8,0x57bb9510,
    0x40000001,0xd12eeeed,0x0001dddd,0x7ffff400,0x00017e40,0x0001fd80,
    0x9bfffd93,0xfd000005,0x88003fff,0x2ffffffc,0xdffffff1,0x7ffc4003,
    0xffffffff,0x3fffffe4,0x005fffff,0x0006fff8,0x7fffffdc,0x0002ffff,
    0x7fffcc00,0x3ffffa0f,0x3a000003,0x3f20ffff,0x400002ff,0x4001fffd,
    0xfffffffc,0x00000dff,0x0dfffff7,0x7ffffd40,0xfff12fff,0x009fffff,
    0x3fffffe2,0x3e4fffff,0xffffffff,0x7cc005ff,0xb10005ff,0xffffffff,
    0x0009ffff,0x7fffe400,0x37fffd45,0xffd00000,0x3ffee1ff,0x880002ff,
    0x00fffffd,0xfffffe98,0x0effffff,0xfffd8000,0xf8801fff,0xffffffff,
    0xffffff12,0xf1005fff,0xffffffff,0x7fffc9ff,0x5fffffff,0x27ffd400,
    0x7fff4c00,0xffffffff,0x0000efff,0x7ffffc40,0x2fffff81,0xffd00000,
    0x3ffe61ff,0x20002fff,0x3fffffe8,0xfffff980,0xfffffeff,0x6c0000ef,
    0x00ffffff,0xffffffc8,0x32ea0acd,0x06fffffe,0xcfffff88,0x322ccccc,
    0xffdccccc,0x322005ff,0xf8003fff,0xffffffff,0xffffffff,0x7dc00005,
    0xff706fff,0x00000bff,0x983ffffa,0x02ffffff,0xfffffb00,0xffff1007,
    0xffda83bf,0x5c0004ff,0x806fffff,0x0dfffff8,0x3fffee00,0x7ffc402f,
    0x7d40006f,0x32605fff,0xfffffffd,0x7dc03def,0x9bdfffff,0xfffffeba,
    0x3a00001f,0xf102ffff,0x0003ffff,0x1ffffd00,0xefffffa8,0x7ffd4000,
    0xffb004ff,0x7f4409ff,0xd80007ff,0x9801efff,0x000fffff,0x04ffffc8,
    0x037fffc4,0x3fffea00,0xffffd885,0xffffffff,0x3ffe207f,0xfd102fff,
    0x000bffff,0x1ffffea0,0x09ffff90,0xfffd0000,0xffff501f,0x7fc4009f,
    0xf9004fff,0xf1007fff,0x00005fff,0x7d400553,0x30003fff,0x880bffff,
    0x0006ffff,0x22ffffd4,0xfffffffb,0xffffffff,0x3ffff207,0x7ff4402f,
    0x80001fff,0x404ffffd,0x00fffff9,0x7fff4000,0xffff900f,0x3ff6003f,
    0xff1006ff,0x7e400dff,0x000005ff,0x5ffff900,0x3ffe2000,0x7ffc406f,
    0x7d40006f,0x3fe65fff,0xffffffff,0x07ffffff,0x0dfffff1,0x3ffffee0,
    0x7fcc0004,0xfe800fff,0x00003fff,0x807ffff4,0x06fffff8,0x2fffffb8,
    0x3ffff700,0x7fffd400,0x80000000,0x001ffffc,0x01ffffe0,0x00dffff1,
    0x5ffffa80,0xfffffff1,0x97dfff9b,0x3fea0ffd,0xf1003fff,0x000dffff,
    0x05ffffc8,0x0dffff50,0xfffe8000,0x3ffea00f,0x3fe204ff,0x3e005fff,
    0x44004fff,0x75c3ffff,0xeeeeeeee,0x04eeeeee,0x01ffffd8,0x1ffffe00,
    0x0dffff10,0xffffa800,0xbfffff75,0x10fffea1,0x3ffff203,0x3ffa000f,
    0x220007ff,0x001fffff,0x00bffffe,0xffffe800,0x7ffff400,0x3fffee07,
    0xfff5000f,0x4413103f,0x43fffd89,0xfffffffc,0xffffffff,0xffffd806,
    0x3ffe0001,0x7ffc407f,0x7d40006f,0xfff95fff,0x7ffdc3ff,0x3fffa002,
    0x7fec007f,0x2e0007ff,0x4006ffff,0x005ffffb,0x3ffffa00,0x7fffcc00,
    0xffffd02f,0x7fff4009,0x77fff5c6,0xfffc9ffe,0x7ffffe44,0xffffffff,
    0xffd806ff,0x3e0001ff,0x7c407fff,0x40006fff,0xfd5ffffa,0xffd8ffff,
    0x3ffe001f,0x7e4006ff,0x0000ffff,0x007ffffd,0x1fffff88,0xfffd0000,
    0xfffd001f,0xffff30bf,0x3fe2003f,0x3fff63ff,0xb8ffffff,0x7fe45fff,
    0xffffffff,0x806fffff,0x001ffffd,0x01ffffe0,0x00dffff1,0x5ffffa80,
    0x45fffffd,0x2000fffe,0x006fffff,0x0fffffdc,0x7fffd400,0xfffb0007,
    0x3a00009f,0xb800ffff,0x640fffff,0x2006ffff,0xf70ffffa,0xffffffff,
    0x31bffeef,0x55555555,0xdffffd55,0x1ffffd00,0x7fff4000,0x3ffe200f,
    0x7d40006f,0xfff95fff,0x3ffe5fff,0x3ffe2007,0x7dc005ff,0x8002ffff,
    0x004ffffd,0x1fffff30,0xfffd0000,0xfff1001f,0xffff87ff,0x3ff2003f,
    0xfffff16f,0x2afffffd,0x20006fff,0x806ffffd,0x0007ffff,0x017fffec,
    0x00dffff1,0x5ffffa80,0xfffffff5,0x400dfffd,0x05fffff8,0x7ffffd40,
    0x7ffc4002,0x3a0000ff,0x0003ffff,0x00ffffe8,0x49ffffd0,0x00fffff8,
    0x5d3fffa0,0xffb3ffff,0x1fffeadf,0xffffd800,0x7fffdc06,0x7fdc0006,
    0x3fe206ff,0x540006ff,0xfd15ffff,0xffffffff,0x7fc400bf,0x5c005fff,
    0x001fffff,0x02ffffe4,0x3fffea00,0xffe80006,0xff9000ff,0x7ffccbff,
    0x3fe2007f,0xdfffd2ff,0xf9affff4,0x360007ff,0x9886ffff,0x03fffffc,
    0x7fffc400,0x7fc409ef,0x540006ff,0x3e25ffff,0xffffffff,0xf801cfff,
    0x4006ffff,0x00fffffb,0x3ffffe20,0xfff80002,0x740002ff,0x7000ffff,
    0x7d4dffff,0x26006fff,0xff89ffff,0x3fffe3ff,0x00ffff54,0x37fffec0,
    0xfffffff9,0x2e0000bf,0xffffffff,0x0dffff16,0xffffa800,0x7ffff4c5,
    0xffffffff,0x3fffa00d,0x7fe4006f,0x7dc007ff,0x00006fff,0x00bffff9,
    0x0ffffe80,0xfffff500,0x02ffffdc,0x26ffff50,0x3fe1ffff,0xdfff54ff,
    0x7ffec000,0x3ffff26f,0x00003eff,0x7ffffed4,0xdffff16f,0xfffa8000,
    0xffff905f,0xffffffff,0x3fffa07f,0x7fec007f,0x7f4007ff,0x00003fff,
    0x01fffff1,0x7ffff400,0xffff3000,0x3ffff21f,0x3ffee004,0x21ffff56,
    0xf53ffff8,0x6c000dff,0x3f26ffff,0x01cfffff,0x7f5c4000,0xff16ffff,
    0xa8000dff,0x2205ffff,0xffffffeb,0xd82fffff,0x001fffff,0x01bffffe,
    0x0fffff98,0x3ff60000,0x3a0004ff,0x1000ffff,0x363fffff,0x2003ffff,
    0xff76fffb,0x7fffc4ff,0x00bfff52,0x37fffec0,0xfffffff9,0x2600007f,
    0xffffffff,0x0dffff16,0xffffa800,0xfffff005,0x3fffffff,0x4fffffb8,
    0xfffff300,0x7ffec009,0x4c00004f,0x0007ffff,0x003ffffa,0x8fffffc4,
    0x004ffffe,0x7e57fff2,0x3ffe67ff,0x0bfff71f,0x7fffec00,0x3faea626,
    0x0001ffff,0x7fffffc4,0xfff109ab,0xfa8000df,0xf8805fff,0xffffdeff,
    0x7fc44fff,0xf9006fff,0x2001ffff,0x01fffff8,0xfffe8000,0xffd0003f,
    0x3e6001ff,0xffb0ffff,0x7e400bff,0xffff95ff,0xc8ffffd4,0x20004fff,
    0x406ffffd,0x005ffffd,0x77fffdc0,0xdffff100,0xfffa8000,0xfffa805f,
    0xfffffd34,0xfffffb0d,0xffffa809,0x3ff2005f,0x000005ff,0x00dffff7,
    0x03ffffa0,0x3ffffcc0,0x00bffff9,0xfca7ffec,0x3ffee6ff,0x00bfffa7,
    0x6ffffd80,0x3ffffc40,0x3fff6000,0x3ffe202f,0x7d40006f,0xfb805fff,
    0x3ffe63ff,0x7fd40fff,0xf303ffff,0x003fffff,0x017ffffc,0xfff88000,
    0xfe8001ff,0xf5000fff,0x7fdcdfff,0x3f6006ff,0xdfff94ff,0xff3fffe4,
    0x6c0001ff,0xe806ffff,0x0000ffff,0x803ffffa,0x006ffff8,0x2ffffd40,
    0x217ffe40,0xf07ffffe,0xbfffffff,0xfffffdb7,0x7fd400df,0x000006ff,
    0x02ffffe4,0x07ffff40,0x5ffffb80,0x01ffffea,0xf75fffc8,0x3ffe2fff,
    0x0dfff57f,0xffffd800,0xffffd806,0x3ffa0001,0x7ffc407f,0x7d40006f,
    0xfd805fff,0x7fff40ff,0xffff306f,0xffffffff,0x001dffff,0x01fffff4,
    0x3fe20000,0x74000fff,0xb000ffff,0x7cc9ffff,0x9002ffff,0x3feedfff,
    0xffffdaff,0x04fffeaf,0x7fffec00,0xffffd806,0x3ffe0001,0x7ffc407f,
    0x7d40006f,0x74035fff,0x7ffd47ff,0x3fe604ff,0xffffffff,0x000effff,
    0x03ffffe6,0x3f600000,0x74004fff,0x8800ffff,0x7c2fffff,0x7004ffff,
    0x3fe2dfff,0xffffffff,0x01ffffff,0x7fffec00,0xffffd806,0x3ffe0001,
    0x7ffc407f,0x7d40006f,0x59ff5fff,0xc8b7ffc3,0x02ffffff,0x7fffffd4,
    0x0dffffff,0x7fffec00,0x50000004,0x800fffff,0x800ffffe,0xc87ffffb,
    0x5007ffff,0x7fecffff,0xfffdffff,0x0003ffff,0x06ffffd8,0x01ffffd8,
    0x1ffffe00,0x0dffff10,0xffffa800,0xdffffff5,0xfffdffff,0x400bffff,
    0xffffffda,0xf88001cf,0x0001ffff,0x3fffa000,0x3ffa002f,0xffd800ff,
    0xfff984ff,0xff9802ff,0xffff30ff,0x3ffff29f,0xfb00004f,0xfb00dfff,
    0x40003fff,0x4407ffff,0x0006ffff,0xfaffffd4,0xffffffff,0xffffffff,
    0xff30006f,0x40003fff,0x005ffffb,0x7fdc0000,0x3fa006ff,0x7c400fff,
    0xfd00ffff,0xf100bfff,0x76cc5fff,0x2fbae22d,0x3f600001,0xfd806fff,
    0x20001fff,0x4407ffff,0x0006ffff,0xfaffffd4,0xffffffff,0xffffffff,
    0x3fe0000d,0x20003fff,0x002fffff,0x7fc40000,0xfd001fff,0xfd801fff,
    0x3f205fff,0x4401ffff,0x0005ffff,0xffb00000,0xffb00bff,0x7c0003ff,
    0x7c407fff,0x40006fff,0xff5ffffa,0xffffffff,0x03bfffff,0xffffb000,
    0x5402e01f,0x0006ffff,0xfff90000,0x3ffa00bf,0x3fe600ff,0x3e202fff,
    0xd806ffff,0x00007fff,0xfffd0000,0xfff9009f,0x7fc0005f,0x7fc406ff,
    0x540006ff,0x2a25ffff,0xeffffecb,0x00000acd,0x3ffffff2,0x05feb99b,
    0x007ffffd,0x3e600000,0xe800ffff,0x3a00ffff,0xb806ffff,0x403fffff,
    0x002ffffa,0xff800000,0xfb803fff,0x30003fff,0x880bffff,0x0006ffff,
    0x02ffffd4,0x0001fffe,0xfffff100,0xffffffff,0xfffff985,0x00000000,
    0x00fffff6,0x403ffffa,0x01fffffb,0x1fffffd0,0x0effff80,0x20000000,
    0x01fffffa,0x06ffffa8,0x9ffff700,0x6ffff880,0x7ffd4000,0x3ffe205f,
    0xa8000006,0xffffffff,0x320fffff,0x0004ffff,0x7fd40000,0xffe807ff,
    0xfff980ff,0x3e6003ff,0x200effff,0x00effffc,0x02980530,0xfffffe88,
    0xffff8800,0x7fcc004f,0x7c403fff,0x40006fff,0x205ffffa,0x0005fff9,
    0xffff7000,0x9fffffff,0x0f7776c1,0x40000000,0x401eeeed,0x4c0ffffe,
    0x005fffff,0x5fffffb8,0x3ffffe20,0x0ff6a01d,0x4159ff50,0xffffffa8,
    0x3fff6004,0x20aabeff,0xffffdbaa,0x7fc400ff,0xaaaaafff,0x2aaaaa1a,
    0x05ffffca,0x0013ffea,0xffc88000,0x01dfffff,0x00000000,0x7ff40000,
    0x3ffe60ff,0xd0000fff,0x40bfffff,0xfffffffb,0xffffdccd,0x7fffd403,
    0xffffffff,0x7c4006ff,0xffffffff,0xffffff12,0xf1007fff,0xffffffff,
    0x7fffc9ff,0x5fffffff,0x00fffee0,0x54c00000,0x000001aa,0x00000000,
    0x43ffffa0,0x2ffffff8,0x3ffa2000,0x3ea05fff,0xffffffff,0x403fffff,
    0xfffffffa,0x1fffffff,0xffffb800,0xff12ffff,0x0bffffff,0x3ffffe20,
    0x24ffffff,0xffffffff,0x32a05fff,0x000001cc,0x00000000,0x00000000,
    0x0ffffe80,0x03fffff9,0xfffd1000,0x7fd401df,0xffffffff,0x7d402eff,
    0xffffffff,0x0001dfff,0x3fffffa6,0xfffff12f,0x7c4005ff,0xffffffff,
    0x3fffe4ff,0x5fffffff,0x00000000,0x00000000,0x00000000,0x07ffff40,
    0x0003fff9,0x077ff440,0x7ffedcc0,0x001dffff,0xfffffd71,0x0003bfff,
    0x7ff65d40,0x599dff12,0xfff88001,0xffffffff,0x3fffffe4,0x005fffff,
    0x00000000,0x00000000,0x40000000,0x640ffffe,0x8800001f,0x510000ee,
    0x88000135,0x0009aa99,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffa00,0x00000080,0x00000022,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01ffffd0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd00000,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00333310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x88000099,0x80000000,0x0001aba9,0x013579d9,
    0x777774c0,0x77744004,0xdddd53ee,0x0cc0009d,0x33100010,0x3bbbb600,
    0x98000003,0x000001cc,0x0eeeee98,0xec880000,0xeeefffff,0x884eeeee,
    0x00deffec,0x01bddd30,0xfffffd88,0x36000cff,0xcfffffff,0xfffff800,
    0x3fee000f,0xfff72fff,0x2ea00bff,0xdeffffed,0xddb1fedb,0xfffeb8bd,
    0xffd00cef,0x000009ff,0x03ffffc8,0x7fcc0000,0x3aa01fff,0x7e4403ef,
    0xffffffff,0x6fffffff,0x7fffffcc,0xffe801ff,0x7ffd403f,0xffffffff,
    0xffffb002,0x019fffff,0x1fffffe4,0xdffffd00,0x2fffffdc,0x3ffff620,
    0xffffffff,0xdfffd1ff,0x3fffffa2,0xfe80efff,0x00004fff,0x3ffffe60,
    0x2000001f,0x01fffff9,0x0bfffff7,0x7fffffec,0xffffffff,0x3fe26fff,
    0x6fffffff,0x037ffe40,0x3fffffea,0x1fffffff,0xfffffd80,0x02ffffff,
    0x0dfffff1,0x3ffffe60,0x3ffffea3,0x3fffea05,0xffffffff,0xffd1ffff,
    0xffffd1ff,0x1dffffff,0x04ffffe8,0x3fee0000,0x0003ffff,0x3fffe600,
    0xffff881f,0xffb82fff,0xffcdefff,0xffffffff,0x2ffffee6,0x303ffffc,
    0xe803ffff,0xedefffff,0x806fffff,0xfffffffd,0xb01fffff,0x003fffff,
    0x41fffff9,0x05fffffa,0xfffffff7,0xffffffff,0x3fffa3ff,0xffffffef,
    0x45ffffff,0x004ffffe,0x3ffee000,0x00003fff,0x3ffffe60,0xfffff981,
    0x7ffc44ff,0xffea84ff,0x3a099cff,0x3fee0fff,0x7fffd05f,0xfffffb80,
    0x7ffffe41,0x66554c01,0xfffffffe,0xffffa80f,0xffff804f,0x7fffd45f,
    0xffff884f,0xa989beff,0xd1fffffd,0xffffffff,0xffffd79f,0x7fff43ff,
    0x2000004f,0x0ffffff9,0x3e600000,0xf981ffff,0x44ffffff,0x206ffffa,
    0xf06ffffb,0xfff98fff,0x06fffc86,0x02ffffd8,0x007ffffd,0x3ffff6a0,
    0xffff05ff,0xfffa80ff,0x7ffcc2ff,0xfffc84ff,0x3fe605ff,0xfffd1fff,
    0xf905ffff,0x7f49ffff,0x00004fff,0x17fffdc0,0x3e600000,0xf881ffff,
    0x42ffffff,0x203ffffc,0x41fffff8,0x7c46fff9,0x7ffcc7ff,0xffff801f,
    0xffff900f,0xffd80009,0xfc80ffff,0x3601ffff,0xf987ffff,0x7cc4ffff,
    0x4c06ffff,0xfd1fffff,0x405fffff,0xd0ffffff,0x0009ffff,0x01551000,
    0xff300000,0x3ee03fff,0xfd85ffff,0x7ec01fff,0x7fc42fff,0x37ffc46f,
    0x200ffffa,0x00fffff8,0x005ffffb,0xfffffd00,0xfffff103,0x3fffe209,
    0xffff984f,0x7fffe43f,0x7ffcc02f,0xffffd1ff,0xfffc807f,0xffffd1ff,
    0x00006209,0x98000000,0x3fffff31,0x81f7f540,0x403ffffd,0xf81ffffe,
    0x3fea0fff,0x1bffee5f,0x2fffff80,0x1fffff88,0xfffc8000,0xfffb03ff,
    0x3ffea0ff,0xfff981ff,0x7ffec3ff,0xfff9806f,0xffffd1ff,0xffff500b,
    0x3ffffa5f,0x3fffb2a3,0x000000ce,0xffb93000,0xffffdfff,0xf700003f,
    0x7c40dfff,0xffd07fff,0xfffd319f,0x07fffe67,0x5ffffd80,0x06ffffc8,
    0xffff5000,0x3ffea09f,0xfffd82ff,0xffff106f,0xffffe87f,0xffff9805,
    0x9ffffd1f,0xfffff300,0x4fffffa7,0xfffffffc,0xdddb00ef,0xdddddddd,
    0xffb10001,0xffffffff,0x0003ffff,0x5fffff30,0xdffffb10,0x3ffffee0,
    0x3fa6ffff,0x7dc004ff,0x3f62ffff,0x0002ffff,0x5fffff70,0x2fffffc0,
    0x0bffffe2,0x1fffffc4,0x013ffffe,0x47ffffe6,0x804ffffe,0xd4fffff8,
    0xffb7ffff,0xffffffff,0xfffff01d,0x1fffffff,0xffffb800,0xffffffff,
    0x0001ffff,0xffffffb0,0xffffd959,0x7fff403f,0xf72fffff,0x3a000dff,
    0xfeafffff,0x0004ffff,0x3fffffa0,0x3ffff201,0x3fffee0f,0x3fffe207,
    0x3fffe62f,0xfff9803f,0xffffd1ff,0xffff1009,0x3ffffa9f,0xffffffff,
    0xf85fffff,0xffffffff,0x2a000fff,0xffffffff,0xffffffff,0xf100001f,
    0xffffffff,0x807fffff,0xefffffc8,0x03ffff11,0x3fffea00,0x3fffffff,
    0xff910000,0xf980ffff,0x3fa3ffff,0x7fc04fff,0x3fe62fff,0xf9803fff,
    0xffd1ffff,0xff3009ff,0x3ffa7fff,0xcfffffff,0xffffffeb,0x7fffffc1,
    0x00ffffff,0xffffff10,0xfb53137d,0x0003ffff,0x3fffff20,0xffffffff,
    0x2aea2004,0x027fff41,0x3ffff600,0x002fffff,0xffb99970,0x005fffff,
    0x26dffffd,0x401fffff,0x222fffff,0x804fffff,0xd1fffff9,0x5009ffff,
    0x3a3fffff,0x2fffffff,0x4fffffc8,0x6d555554,0x000fffff,0x0bfffffb,
    0x0fffffcc,0x7ffcc000,0xffffffef,0x200000cf,0x000efffb,0x7ffffd40,
    0x20000cff,0xfffffffd,0xf5005fff,0xff91ffff,0xfff00dff,0xffff83ff,
    0xfffa804f,0xffffd1ff,0xffff7009,0x3ffffa1f,0x3ffe02ff,0xfb800fff,
    0xa800ffff,0x406fffff,0x01fffff9,0xffb00544,0x04d54cdf,0x7fc40000,
    0x5c0002ff,0xffffffff,0x0aaaa981,0xffffffb0,0xf8009fff,0xfffbffff,
    0xfff803ff,0x7fff41ff,0x7ff4406f,0xfffd1fff,0xfffd009f,0x7ffff4ff,
    0x7ffe403f,0xffb801ff,0xfc800fff,0x4c02ffff,0x101fffff,0x881bfffb,
    0x0005ffff,0x7ffec000,0x7fdc0004,0xffffffff,0x17fffe40,0xffffffc8,
    0xfc8002ef,0xffffffff,0xffff800f,0x7fffec1f,0x3fffa01f,0xfffd1fff,
    0xfffa809f,0x3fffa5ff,0xfffa805f,0xffb802ff,0xfd800fff,0xf9806fff,
    0xf901ffff,0xf98dffff,0x0000ffff,0xffff5000,0x7fd40001,0xffffffff,
    0x7fffec6f,0xdffff901,0x7cc00015,0xffffffff,0xffffd004,0xfffffa83,
    0xffffd885,0xfffd1fff,0x7ffcc09f,0x3ffa1fff,0xff9804ff,0xfb803fff,
    0xe800ffff,0x9805ffff,0xf01fffff,0x45ffffff,0xcffffff8,0x009aaaaa,
    0xffff8800,0x44004c42,0xd8efffff,0x364fffff,0xf900ffff,0x00007fff,
    0x3ffffffa,0xffd001ff,0xffff01ff,0xff935bff,0x3fffffff,0x077ffffa,
    0xffffff73,0x4ffffe87,0xfffff880,0xffffb804,0xffff800f,0xfff9804f,
    0xfff881ff,0x7ec6ffff,0xffffffff,0x0cefffff,0x5fffd800,0x13ffffae,
    0x0fffffb8,0x7fffffd1,0xb81ffffe,0x0002ffff,0xffffff70,0x7ff400df,
    0xfffb80ff,0xffffffff,0x1fffffff,0xfffffffd,0xffffffff,0xffffd0df,
    0xffff1009,0xfff7009f,0xff9801ff,0xf9803fff,0xff01ffff,0x88ffffff,
    0xfffffffe,0xffffffff,0x3fea003f,0xffffb0ff,0xfd01dfff,0xff889fff,
    0xfffaffff,0x3ffee07f,0xf100002f,0x05ffffff,0x07fffec0,0x7fffff44,
    0xfbffffff,0xffd1ffff,0xffffffff,0x03dfffff,0x009ffffd,0x07fffff3,
    0x1fffff70,0xfffff980,0xffff9803,0xffff501f,0xffa81fff,0xffffffff,
    0x3fffffff,0x2ffff880,0xfffffff7,0xffff09ff,0xffff505f,0x09ffffff,
    0x00f77754,0xffff9000,0xeec800df,0x3ff6206e,0xbfffffff,0xd1fffff8,
    0xffffffff,0x07ffffff,0x027ffff4,0x0fffffd4,0x7ffffdc0,0x7fffc400,
    0xfff9804f,0x3ff201ff,0x3ea0ffff,0xeeeeffff,0xffffffee,0x7fec00ff,
    0x9ffff15f,0x41ffff93,0x00fffff9,0xfffffff7,0x000003ff,0x7fffec00,
    0x8000002f,0xdffffffc,0x3fffff11,0x3ffffffa,0x0cefffff,0x27ffff40,
    0x7ffffdc0,0xffffb800,0xffff800f,0xfffa804f,0x7ff401ff,0x3ffe66ff,
    0x7f4c03ff,0x2a02ffff,0xff50ffff,0x1fffe8bf,0x07ffffe6,0xffffffd8,
    0x0000006f,0x3ffffe20,0x40000006,0x7cc0aba8,0xffd1ffff,0x155519ff,
    0xffffe800,0xffffe804,0xffff7007,0xfffd001f,0xffe880df,0x7e401fff,
    0x3ffa5fff,0xff1005ff,0x3e209fff,0x3fee2fff,0x17ffe43f,0x00fffffe,
    0x7ffffffd,0x00399300,0x7ffff400,0x5530003f,0xff980000,0xfffd1fff,
    0xfd00009f,0xfa809fff,0x7005ffff,0x001fffff,0x03fffffb,0x7ffffff4,
    0x7fffec01,0x5fffff13,0x7ffffc00,0x8bfff903,0x7dc2fffc,0x7fff43ff,
    0x3fe600ff,0x6402ffff,0x0004ffff,0x5fffffd8,0xdfffb000,0x3e600001,
    0xffd1ffff,0xd00009ff,0x4c09ffff,0x01ffffff,0x1fffff70,0xfffff500,
    0xffffb10b,0x7cc03fff,0x3fe66fff,0xf5003fff,0xf503ffff,0xffc81fff,
    0x17ffe43f,0x3ffffff2,0x3ffee60b,0x301fffff,0x03ffffff,0x3ae66660,
    0x00efffff,0xfffffb80,0xff300005,0x3ffa3fff,0xe80004ff,0x4c1dffff,
    0x3ffffffb,0x3fffee00,0xffff000f,0xff935bff,0x3fffffff,0xfffff710,
    0xefffff83,0x7fffd400,0xfffe887f,0x45fffa83,0x7441fffe,0xffffffff,
    0xffffffff,0xfc80ffff,0x004fffff,0xfffffffb,0x20003fff,0x07fffffd,
    0xffff3000,0x3ffffa3f,0xffe80004,0xffffffff,0x86ffffff,0xc9999998,
    0x999fffff,0x7fdc0999,0xffffffff,0xffffffff,0xffffddb1,0xfffb07ff,
    0x757bdfff,0xffffffd9,0x0dfff903,0x22ffffe6,0xf307fffc,0xffffffff,
    0xffffffff,0xff90dfff,0x2007ffff,0xfffffffd,0x360002ff,0x007fffff,
    0xfffff300,0x13ffffa3,0x3fffa000,0xffffffff,0xd81effff,0xffffffff,
    0xffffffff,0x7ff444ff,0xffffffff,0x1ffffcbf,0xdfffffff,0x3fffe205,
    0xffffffff,0x82ffffff,0x200ffff9,0xfffffffd,0x3faa03ff,0xffffffff,
    0xfffd9eff,0x7ffcc5ff,0xfb001fff,0x1bffffff,0xfffb8000,0x300005ff,
    0x3a3fffff,0x0004ffff,0xffffffe8,0xffffffff,0x3ffff603,0xffffffff,
    0x84ffffff,0xffffffd8,0xfff93fff,0x3ffffe3f,0xffe8803f,0xffffffff,
    0xd01dffff,0xf9807fff,0x5fffffff,0xfffff700,0x7445dfff,0x5c3fffff,
    0x2003ffff,0x2efffffd,0x3ff60000,0x300000ef,0x3a3fffff,0x0004ffff,
    0xfffeca88,0x0cefffff,0x7ffffec0,0xffffffff,0x204fffff,0xdffffffc,
    0x47fffee1,0x0009acde,0x7ffffe4c,0x01dfffff,0x401bfff2,0x3fffffd8,
    0xaba98800,0x55100001,0xaaa88001,0x26000000,0x4c00002b,0xfd1fffff,
    0x00009fff,0x02aa6660,0xfffffb00,0xffffffff,0x009fffff,0x00015751,
    0x99880000,0x000019aa,0x002a6200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x18000000,
    0x0fbbbb60,0xdddd7000,0x76c00009,0xeeeeeeee,0x000000ee,0x32a60000,
    0x2000abde,0x001aaaaa,0x41555551,0xaaaaaaaa,0xaaaaaaaa,0xa9880002,
    0x2a6002aa,0x0abceecb,0xd9530000,0x000379bd,0xfffec980,0xffd2deff,
    0xc80009ff,0x0006ffff,0x3fffffe0,0x00ffffff,0x03edcc00,0xffffb800,
    0x02ffffff,0x03fffff8,0x5fffff10,0x7ffffffc,0xffffffff,0x6dc4007f,
    0xfffffffe,0x7ffecc00,0xcfffffff,0xffeb8000,0xffffffff,0x6cc0003f,
    0xffffffff,0xffffd4ff,0xffc80009,0x200006ff,0xffffffff,0x0000ffff,
    0x00fffff5,0xffffd880,0xffffffff,0x7ffffc04,0xffff1003,0x7ffffc5f,
    0xffffffff,0x93007fff,0xffffffff,0x7e401fff,0xffffffff,0x001fffff,
    0xffffffd1,0x9fffffff,0x7ffcc000,0xffffffff,0x9ffffd4f,0xfffc8000,
    0x3e00006f,0xffffffff,0x70000fff,0x000fffff,0x7fffffcc,0xffffffff,
    0xffff00df,0x3fe2007f,0x3ffe2fff,0xffffffff,0x807fffff,0xfffffffb,
    0x00ffffff,0xfffffff7,0xffffffff,0xfffa803f,0xffffffff,0x0004ffff,
    0x3ffffffa,0xd4ffffff,0x0009ffff,0x06ffffc8,0x33332000,0xfffffecc,
    0xfff70000,0x3e2000ff,0xffffffff,0xffffffff,0x7fffff05,0x3fffe200,
    0x3ffffe2f,0xffffffff,0x7e407fff,0xffffffff,0x980fffff,0xceffffff,
    0xfffffeca,0x3fff206f,0xffffffff,0x004fffff,0xffffff90,0x7b753359,
    0x013ffffa,0xdffff900,0xf7000000,0x0001ffff,0x01ffffee,0x7ffffe40,
    0xfeca9bdf,0xf81fffff,0x1003ffff,0x7c5fffff,0xeeeeffff,0x5eeeeeee,
    0x3fffff60,0x99abcdff,0xffff9019,0x7fff403f,0xffff107f,0x3359dfff,
    0x009ffb55,0x3fffffe0,0xffffd000,0xffc80009,0x000006ff,0x0fffffb8,
    0xffff7000,0xfff1000f,0x3a203fff,0xf85fffff,0x1003ffff,0x7c5fffff,
    0x0000ffff,0xffffff98,0xffd0000c,0xffa80bff,0xffd81fff,0x8803ffff,
    0xff88002a,0x3a002fff,0x0004ffff,0x037fffe4,0x7fdc0000,0x70000fff,
    0x000fffff,0x05fffff9,0xfffffe88,0x1fffffc0,0xfffff880,0x03ffffe2,
    0x3fffa000,0x7c0001ff,0xf802ffff,0x7cc1ffff,0x002fffff,0xfffa8000,
    0x3fa000ff,0x99884fff,0x7fffe400,0xb8000006,0x400fffff,0xfeeeeeeb,
    0xeeeeffff,0x3e25eeee,0x7006ffff,0xf89fffff,0x1003ffff,0x7c5fffff,
    0x0000ffff,0x27ffffd4,0x7fffc000,0x7ffc403f,0x7fff40ff,0x000003ff,
    0x0fffff70,0x3ffffe80,0x3bffffae,0xdffff904,0xeeeeeb80,0xfff7001e,
    0xffc801ff,0xffffffff,0xffffffff,0x3fffee7f,0xfff3003f,0xffff8dff,
    0xfff1003f,0x7fffc5ff,0x7ec0000f,0x00006fff,0x01dffffd,0x23ffffe4,
    0x0ffffff9,0xf9000000,0xe800ffff,0xfd8bffff,0xefffffff,0x37fffe40,
    0xffffff30,0x7ffdc007,0x7fe400ff,0xffffffff,0xffffffff,0x3ffff27f,
    0x3ffa000f,0x7fffc7ff,0xfff1003f,0x7fffc5ff,0x7fc0000f,0x00005fff,
    0x1dfffff9,0x7fffff50,0x4fffffa8,0x32000000,0x4007ffff,0xfebffffe,
    0xffffffff,0x7fffe45f,0xfffff106,0xffb8009f,0x7e400fff,0xffffffff,
    0xffffffff,0x3fffa7ff,0x7fec007f,0x7fffc7ff,0xfff1003f,0x7fffc5ff,
    0x400099af,0x43fffff8,0x22000998,0xbfffffff,0xdfffff70,0x5fffff70,
    0x64000000,0x4007ffff,0xfffffffe,0xffffffff,0x3fff21ff,0xfffe886f,
    0xfb8005ff,0x4c00ffff,0xffdaaaaa,0xaaaabfff,0x3ffe2aaa,0x7e4006ff,
    0x3fe0ffff,0xf1003fff,0x7fc5ffff,0xffffffff,0x3ea00bdf,0xfebaffff,
    0x03efffff,0xffffffa8,0xfffffeff,0xffffd80e,0x4400001f,0xfecccccc,
    0xccccffff,0x3fa3cccc,0xffffffff,0xffffffcc,0x1bffff25,0x17fffff6,
    0x7fffdc00,0xff70000f,0xff800fff,0x5c006fff,0x3e1fffff,0x1003ffff,
    0x7c5fffff,0xffffffff,0x80cfffff,0xfffffffb,0xffffffff,0x7fd401ef,
    0xffffffff,0xffd00dff,0x00001fff,0xffffff98,0xffffffff,0x26ffffff,
    0xfffffffe,0x7ffffc42,0x1bffff26,0x1dfffff9,0x3ffee000,0xf70000ff,
    0x4400ffff,0x005fffff,0x17ffffdc,0x007fffff,0x8bffffe2,0xffffffff,
    0xefffffff,0x7ffffe40,0xffffffff,0x402fffff,0xffffffe9,0x7fc06fff,
    0x00007fff,0xffffff98,0xffffffff,0x26ffffff,0x2ffffffe,0x4fffff90,
    0x2a6ffffc,0x00efffff,0x3fffee00,0xff70000f,0x7c400fff,0x4005ffff,
    0x23fffffa,0x003fffff,0x45fffff1,0xffffffff,0xffffffff,0x3ffff20e,
    0xffffffff,0x0fffffff,0x3ffff620,0x1effffff,0x7fffff88,0xff980000,
    0xffffffff,0xffffffff,0x3fffa6ff,0x3fea03ff,0xfff90fff,0x3fffe6df,
    0x5c0001ff,0x000fffff,0x0fffff70,0x5fffff80,0x7fffdc00,0x3ffffe2f,
    0xffff1003,0x4ccccc5f,0xfffdbaa9,0x3f64ffff,0xbdffffff,0xffffdbaa,
    0xfff305ff,0xffffffff,0xfff05fff,0x00000fff,0xfdddddd1,0xdddfffff,
    0x74bddddd,0x4c05ffff,0xf91fffff,0xfff1dfff,0x00003fff,0x01fffff7,
    0x3fffee00,0x7fffc007,0x7fdc006f,0x3ffe2fff,0xff1003ff,0x10005fff,
    0x4dfffffd,0x03fffffd,0x3fffffdc,0x7fffffcc,0xffffffcc,0x7fffc2ff,
    0x000000ff,0x1fffff20,0x9ffffd00,0xfffff980,0xddffff91,0x005fffff,
    0x3fffee00,0xff70000f,0xfe800fff,0x64006fff,0x3e1fffff,0x1003ffff,
    0x005fffff,0x3ffffa20,0xfffff90f,0xffffb001,0x7fffcc3f,0x3ff221ff,
    0x7f46ffff,0x0001ffff,0x3fff2000,0x7ff4007f,0x7fcc04ff,0xfff91fff,
    0x9fffffff,0x7fdc0000,0x70000fff,0x800fffff,0x007ffffd,0x07ffffec,
    0x007fffff,0x07ffffe6,0xffffc800,0xfffff72f,0xffff5001,0x7fffec5f,
    0xffff500f,0x7ffe47ff,0x000002ff,0x1fffff20,0x9ffffd00,0xfffff980,
    0xffffff91,0x001fffff,0x3fffee00,0xff70000f,0xfc800fff,0x2001ffff,
    0x7c6fffff,0x3003ffff,0x001fffff,0x7ffffd40,0x3fffff73,0xfffff300,
    0x3ffffe67,0x7fffd402,0x3fffee5f,0x0000005f,0x01fffff2,0x09ffffd0,
    0x1fffff98,0xf7dffff9,0x001dffff,0xfffff700,0x3fee0001,0x7dc007ff,
    0x3004ffff,0xe89fffff,0x5004ffff,0x000fffff,0x2fffffa8,0x05fffff5,
    0x5fffff30,0x01ffffee,0x537ffff4,0x03ffffff,0x3f200000,0x74007fff,
    0x4c04ffff,0xf91fffff,0x3ff6dfff,0x80005fff,0x00fffffb,0xfffff700,
    0xffff8800,0xfff9006f,0xfffd83ff,0xfff7005f,0xfc8000df,0xff30ffff,
    0xf500bfff,0x3f23ffff,0xf9006fff,0x7fc4ffff,0x0005ffff,0xffff9000,
    0xfffe800f,0x7ffcc04f,0xffff91ff,0x3ffffe2d,0x7dc0003f,0x0000ffff,
    0x01fffff7,0xfffffd80,0x7fffd404,0xffffc85f,0xffff801f,0x3e60005f,
    0x7fc6ffff,0x6c00ffff,0x3f27ffff,0xfb007fff,0xffb8bfff,0x4004ffff,
    0xfffc8000,0x7ff4007f,0x7fcc04ff,0xfff91fff,0x7fffccdf,0x2e0002ff,
    0x000fffff,0x7fffff50,0xffff9800,0xfff303ff,0xff503fff,0x6401bfff,
    0x002fffff,0xfffffd30,0xfffffb89,0x3fffee05,0x3fffea5f,0x7ffcc03f,
    0xffff83ff,0x2201efff,0xfc8004eb,0x74007fff,0x4c04ffff,0xf91fffff,
    0xffb8dfff,0x0001ffff,0x01fffff7,0x3fffe600,0xffe8005f,0xdbdfffff,
    0x5ffffffe,0x3fffffa0,0xfda989be,0x6d45ffff,0xba9999ab,0xeffffffe,
    0xffffff80,0xffda89ae,0x3e61ffff,0x0acfffff,0x7fffffd4,0xfffffa81,
    0xdcceffff,0x8004ffff,0x007ffffc,0x027ffff4,0x47ffffe6,0xd86ffffc,
    0x00efffff,0xfffffb80,0xfff10000,0x73107fff,0xffffff30,0xffffffff,
    0x7d401fff,0xffffffff,0xffffffff,0x7ffffdc0,0xffffffff,0xff700fff,
    0xffffffff,0x07ffffff,0xfffffffb,0xffffffdf,0x7ff409ff,0xffffffff,
    0x04ffffff,0x7ffffc80,0x7ffff400,0x7fffcc04,0xdffff91f,0xffffff10,
    0x2666620b,0xfffffc99,0x00999999,0xffffffe8,0x07ffffff,0xfffffff3,
    0xdfffffff,0xffffb003,0xffffffff,0xff707fff,0xffffffff,0x803fffff,
    0xfffffffd,0x5fffffff,0xfffffd10,0xffffffff,0xff700bff,0xffffffff,
    0x009fffff,0x0fffff90,0x4ffffe80,0x7ffffcc0,0x0dffff91,0x3fffffea,
    0xfffffd84,0xffffffff,0x804fffff,0xfffffff9,0x207fffff,0xffffffe8,
    0x004fffff,0x7fffffdc,0x1effffff,0xffffff70,0x7fffffff,0x3ffee001,
    0xffffffff,0x7fec402f,0xffffffff,0x3000cfff,0xfffffffd,0x07ffffff,
    0xfffff900,0xffffe800,0x7fffcc04,0xdffff91f,0x7ffffe40,0x7fffec2f,
    0xffffffff,0x04ffffff,0xffffff70,0x00ffffff,0xffffffb7,0x220005bf,
    0xfffffffd,0x7fdc03ef,0xffffffff,0xfb30003d,0x9fffffff,0x7fecc001,
    0xcfffffff,0xfd970000,0x7bffffff,0x3ff20001,0x7f4007ff,0x7cc04fff,
    0xff91ffff,0xffe80dff,0x3f61ffff,0xffffffff,0xffffffff,0x3f22004f,
    0xffffffff,0x55d44006,0x4c400000,0x98001aba,0x009aaaa9,0x55cc4000,
    0x99800009,0x00009aba,0x019aa880,0xffff9000,0xfffe800f,0x7ffcc04f,
    0xffff91ff,0xffff880d,0xfffb0eff,0xffffffff,0x9fffffff,0x75531000,
    0x00000355,0x00000000,0x00000000,0x00000000,0x00000000,0x1fffff20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32ea2000,0x02bcdeee,0x55555550,
    0x55555555,0xca988015,0x1abceeed,0xddba8800,0x400000ac,0xcceedba9,
    0xaaaa981b,0xaaa8000a,0x2aaaa2aa,0xa98000aa,0x5510aaaa,0x54000355,
    0x55511aaa,0x22001555,0x442aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x80002aaa,
    0xfffffffd,0x403fffff,0xfffffffe,0xffffffff,0xffff9102,0xffffffff,
    0x3ffea00b,0x1effffff,0x3ff66000,0xffffffff,0xfff50dff,0xf9800bff,
    0x3f64ffff,0x8003ffff,0x267ffffe,0x0004ffff,0x6c7ffff1,0x004fffff,
    0x8bfffffb,0xfffffff9,0xffffffff,0x7545ffff,0x7fc403ef,0xffffffff,
    0xd00fffff,0xffffffff,0x5fffffff,0xffffff70,0xffffffff,0xffff900b,
    0xffffffff,0xfff90005,0xffffffff,0x7f41ffff,0x2001ffff,0x20fffffd,
    0x05fffffb,0x7ffffc40,0x13fffe25,0x7fffc400,0x3ffffe63,0x7ffcc01f,
    0x7fcc0fff,0xffffffff,0xffffffff,0x3fffee5f,0x3ffe205f,0xffffffff,
    0xe80effff,0xffffffff,0x2fffffff,0x7fffffdc,0xffffffff,0x3ff6205f,
    0xffffffff,0x3004ffff,0xfffffffd,0xffffffff,0x7fffd41f,0xfff3005f,
    0xfff889ff,0x2a000fff,0x222fffff,0x0005ffff,0xd85ffff3,0x405fffff,
    0x84fffffd,0xfffffff9,0xffffffff,0xff15ffff,0x205fffff,0xeefffff8,
    0xfffffffe,0xffffe84f,0xffffffff,0x3fe62fff,0xffffffff,0x05ffffff,
    0x3ffffffa,0xfffffedf,0x7fd402ff,0xffffffff,0xffffffff,0x7fffff40,
    0xffffe800,0xffffe80f,0x3ff6002f,0x7ffc0fff,0xff30005f,0xfff885ff,
    0xff301fff,0xf301ffff,0xffffffff,0xffffffff,0x3ffe6bff,0xd104ffff,
    0x3f660159,0x9887ffff,0x99999999,0x22fffffa,0xbefffffe,0x05db9880,
    0x3ffffff5,0xfffffd98,0x7ffff406,0x989bcfff,0x40fffcba,0x04fffffa,
    0x1fffffcc,0x4fffffb8,0x3ffffe00,0x05ffff86,0x3ffff300,0xbfffff90,
    0x3fffff60,0x99999103,0xb9999999,0x27ffffff,0xfffffff9,0xffd00004,
    0x20001fff,0x12fffff9,0x01ffffff,0xffffd000,0x7fff403f,0xfff702ff,
    0x2001bfff,0xfffe80da,0x3ffa00ff,0xff300fff,0x2600dfff,0xf83fffff,
    0x50006fff,0xf103ffff,0x983fffff,0x007fffff,0x7fffec00,0x3fffe26f,
    0x00002fff,0x03fffff7,0x3fffe600,0xfffff32f,0xff300009,0xf9805fff,
    0xf886ffff,0x003fffff,0x3fffea00,0xffff304f,0xfffe807f,0xffb800ff,
    0xffe81fff,0xff50006f,0x3fee03ff,0x7fec5fff,0x00003fff,0x3fffffee,
    0x7ffffdc0,0x3ea00005,0x0001ffff,0x25fffff3,0x04fffffb,0xffffd800,
    0xffff7007,0xffffc83f,0xe800005f,0xe80fffff,0x400fffff,0x03fffffc,
    0x06ffffe8,0x000dfffd,0x803fffea,0x31fffffe,0x00dfffff,0x7fffc400,
    0xdfd503ff,0xfb800007,0x0000ffff,0x25fffff3,0x0ffffffa,0x3ffe2000,
    0xfe8804ff,0x7fc3ffff,0x0001ffff,0xfffffa80,0x7ffffd43,0xffffa803,
    0x7ffc405f,0xfffb04ff,0x206aaa0d,0x200ffffa,0xb6fffffa,0x005fffff,
    0x7fffec00,0x0000005f,0x17ffffa0,0xffff9800,0xfffff12f,0x260003df,
    0x401fffff,0xfffffffa,0x3ffffe25,0x3a000005,0x7ec7ffff,0xf000ffff,
    0xa80fffff,0xb01fffff,0xff30ffff,0xffff70df,0xfffffd00,0x0bfffff9,
    0x7ffdc000,0x00000fff,0xfffd8800,0x260001ff,0x3e2fffff,0xdfffffff,
    0x7ffd4002,0x7ffe407f,0x2a6fffff,0x002fffff,0x3ffea000,0xffff33ff,
    0x7fec007f,0x3f201fff,0x3f207fff,0xfffb87ff,0x3fffdc0f,0x7ffffcc0,
    0x01ffffff,0xffff1000,0x000007ff,0x65d4ccc4,0x01ffffff,0x7fffcc00,
    0x3fffee2f,0x0befffff,0x7ffffa80,0xfffffd30,0x7dcfffff,0x0001ffff,
    0x7ffff400,0x0fffff96,0xfffffa80,0x3ffffe04,0x1ffff205,0x70bffffa,
    0x3600ffff,0xffffffff,0x3600005f,0x005fffff,0x7ffd4000,0xdfffffff,
    0xff980000,0x7fec2fff,0xffffffff,0x3fee01df,0xfffb86ff,0xffffffff,
    0x3fffff27,0xfffff980,0x401fffff,0xfafffffa,0x4003ffff,0x06fffff8,
    0x05fffff3,0x223fffe4,0x645fffff,0xf1006fff,0xffffffff,0x3ee00001,
    0x000fffff,0x7ffd4000,0xafffffff,0xff980000,0x7ec42fff,0xffffffff,
    0xfc80dfff,0x3f625fff,0xfbcfffff,0x3ff67fff,0xfff307ff,0x3fffffff,
    0xfffffd00,0x000fffff,0x03fffffa,0x03ffffee,0x20ffffb8,0x47fffffb,
    0x2006fffc,0xfffffffc,0xff100004,0x0005ffff,0xffff5000,0xffffffff,
    0xff980009,0xff702fff,0xffffffff,0xffd85fff,0xffff55ff,0x3fee5fff,
    0x3fffa7ff,0xffff307f,0x03ffffff,0xffffff50,0x20007fff,0x82fffffb,
    0x405ffffe,0x360ffffb,0x22ffffff,0x2005fffc,0xfffffffc,0xffb00004,
    0x0000bfff,0x3fffea00,0xffffffff,0xf30000ef,0xb805ffff,0xfffffffe,
    0x3f61ffff,0xfffcdfff,0x3ee0dfff,0x3ffa7fff,0xfff307ff,0x3fffffff,
    0x3ffffa00,0x20007fff,0x44fffff9,0x03fffff8,0x887fffd4,0x4fffffff,
    0x4017fff2,0xfffffff9,0x5c0001ff,0x00ffffff,0x00055d40,0x7ffed4c0,
    0x30005fff,0x005fffff,0x3fffff26,0x3f26ffff,0xffffffff,0xfffc83ff,
    0x3ffff66f,0xcccc880f,0x01fffffd,0xffffff50,0xfe80007f,0x7fd47fff,
    0x7d400fff,0xfff51fff,0x7ecffffd,0xffb004ff,0xdfffffff,0x7ffc4000,
    0x22002fff,0x002ffffe,0x3fffe600,0xf98002ff,0x4002ffff,0xfffffeb8,
    0xffff72ff,0x03dfffff,0xc97ffff6,0x001fffff,0x03fffff3,0x7fffff40,
    0xffc80006,0x3ff21fff,0xff9806ff,0x5fffb1ff,0x3f63ffff,0xffa804ff,
    0xffffffff,0xffb0002f,0xe800bfff,0x00ffffff,0x3ffea000,0xf98004ff,
    0x0002ffff,0x3ffffff2,0xffffff54,0xffe809ff,0x3ffea4ff,0xff3002ff,
    0x54003fff,0x003fffff,0xfffff980,0x13ffffa3,0x47fffe60,0xfffd6fff,
    0x013fff69,0x33fffffa,0x006fffff,0xffffffa8,0x3ffe6000,0x0003ffff,
    0x37ffffc0,0x7fffcc00,0x7ec0002f,0xff35ffff,0x005fffff,0x4c7fffff,
    0x005fffff,0x03fffff3,0x7ffffcc0,0xfff00002,0x3ffe2dff,0xff8801ff,
    0x4fffaaff,0x3fadfff9,0x7fdc03ff,0xfffd5fff,0x7c4009ff,0x002fffff,
    0x7fffffd4,0x7c00004f,0x8006ffff,0x01fffffb,0x7fffd400,0xfffff16f,
    0xfff5001d,0x7ffc45ff,0xf9800fff,0x2001ffff,0x02fffff9,0xffffb000,
    0xfffff71f,0x3fffe200,0xf31fffca,0xfffd1fff,0x7fffc407,0xffff51ff,
    0x3f6001ff,0x8004ffff,0xfffffff8,0x3e200003,0x8004ffff,0x00fffffc,
    0x7fffcc00,0x3ffffa4f,0xfffd800f,0xffffe86f,0xfff9804f,0x3e6001ff,
    0x0002ffff,0x5fffff50,0x009ffffb,0x3abfffe2,0x7fffc7ff,0x202fffeb,
    0x45fffffc,0x05fffffe,0xefffffa8,0xfffb0000,0x00001fff,0x17ffffe4,
    0x3fffe200,0xfb80007f,0x3ea2ffff,0x4c05ffff,0x983fffff,0x03ffffff,
    0x0fffffcc,0xfffff300,0x3e200005,0xfffcffff,0x3fe002ff,0x44fffcff,
    0xfffdfffc,0xffff102f,0xfffa83ff,0x3e201fff,0x001fffff,0x3ffffa20,
    0x3ee00001,0xd11fffff,0xffffc805,0x002b765f,0x7fffffdc,0x7fffff40,
    0xfffff301,0x7fffec0d,0xff300dff,0x4c003fff,0x002fffff,0x3ffff600,
    0x00ffffff,0x3fffffe0,0x7ffd42ff,0xb01fffff,0x20bfffff,0x06fffffe,
    0x13fffff6,0x055cc000,0x266ab320,0xfffcaa99,0x3e24ffff,0xea99acff,
    0x22ffffff,0xacdefffd,0xffffccaa,0xffa86fff,0x732dffff,0x07ffffff,
    0x7fffffc4,0xecabdeff,0x001fffff,0x0bffffe6,0xfffb8000,0x05ffffff,
    0x7fffffc0,0xfffff07f,0xff303fff,0x2603ffff,0x83ffffff,0xfffffffa,
    0xffffffff,0x0007ffff,0x7ffffff4,0xffffffff,0x7ffc45ff,0xffffffff,
    0x7fec5fff,0xffffffff,0xefffffff,0xfffffd00,0xffffffff,0xff700dff,
    0xffffffff,0xffffffff,0x7ffcc003,0x200002ff,0xfffffff8,0x7f4003ff,
    0xb05fffff,0x1fffffff,0x9fffffd0,0xfffffd80,0x7fffe40f,0xffffffff,
    0x7fffffff,0x7fff4000,0xffffffff,0x440effff,0xffffffff,0x40ffffff,
    0xfffffffd,0xffffffff,0x3fa201ff,0xffffffff,0x2005ffff,0xfffffffa,
    0xffffffff,0x3e6001ff,0x0002ffff,0x7fffff40,0x74000fff,0x02ffffff,
    0xfffffff5,0xfffffa81,0x7ffcc00f,0x7fe44fff,0xffffffff,0xffffffff,
    0x7f40007f,0xffffffff,0x102effff,0xffffffff,0xb01bffff,0xffffffff,
    0xbfffffff,0x3fff2003,0xffffffff,0xffd88003,0xffffffff,0x000effff,
    0x0bffffe6,0xfff90000,0x000dffff,0x1ffffffb,0x3ffffe20,0x7fff40ff,
    0xffb004ff,0x7e43ffff,0xffffffff,0xffffffff,0x740007ff,0xffffffff,
    0x8802deff,0xffffffeb,0x3b2a01df,0xffffffff,0x8000cfff,0xffffffda,
    0x540002ce,0xffffffed,0x8001ceff,0x02fffff9,0x7ffcc000,0x8004ffff,
    0x05fffffd,0x3fffffec,0x3fffffee,0xffff3000,0x7ffe4bff,0xffffffff,
    0xffffffff,0xa9980007,0x0009aaaa,0x04d54c40,0xbaaa9800,0x000009aa,
    0x00026ea2,0x9aba9800,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0xaaaaaaaa,0x2a000009,0xaa880aaa,
    0x5555502a,0x2aa60055,0x2aaa60aa,0x554c01aa,0x554c2aaa,0x540002aa,
    0xa801aaaa,0x542aaaaa,0xaaaaaaaa,0xaa880019,0xaaaaaaaa,0xaaaaaaaa,
    0x55551aaa,0x2aa20035,0x55530aaa,0x55555555,0x25555555,0xaaaaaaaa,
    0xaaaaaaaa,0xfffff01a,0xdfffffff,0x7fc0005b,0xfffb82ff,0xfffffd07,
    0xfff9003f,0x7fffe45f,0x7fff407f,0x7ffe46ff,0x3e20007f,0x4c03ffff,
    0x22ffffff,0xfffffff8,0x1cffffff,0xfffff980,0xffffffff,0xffffffff,
    0x09ffffd3,0x3ffffea0,0xffffff90,0xffffffff,0x3ffaffff,0xffffffff,
    0x03ffffff,0xffffffff,0xdfffffff,0xfff88005,0x6fffb81f,0xffffffd0,
    0xffff900b,0x7ffffe45,0xffff101f,0xfffc8dff,0x3e20007f,0x7403ffff,
    0x444fffff,0xffffffff,0xefffffff,0x3fffe601,0xffffffff,0xffffffff,
    0x9ffffd3f,0x3fffea00,0xfffff90f,0xffffffff,0x3fafffff,0xffffffff,
    0x3fffffff,0xfffffff0,0xffffffff,0x7cc00bff,0xffc80fff,0xffffd05f,
    0xfc803fff,0x3ff62fff,0xf504ffff,0xc8ffffff,0x0007ffff,0x0fffffe2,
    0x6fffffc8,0xffffff88,0xffffffff,0xff300fff,0xffffffff,0xffffffff,
    0x3ffa7fff,0xff5004ff,0x3ff21fff,0xffffffff,0x7fffffff,0xfffffffd,
    0xffffffff,0x3fffe07f,0xffffffff,0x03ffffff,0x20ffff50,0xfd04fffd,
    0x09ffffff,0x22ffffc8,0x6ffffffd,0xffffffb0,0x7ffffc8f,0x3ffe2000,
    0xfff303ff,0xff103fff,0xffffffff,0xdfffffff,0xfffff301,0xffffffff,
    0xffffffff,0x13ffffa7,0x7ffffd40,0xffffff90,0xffffffff,0x3ffaffff,
    0xffffffff,0x03ffffff,0x33bfffff,0xffffb753,0xf5003fff,0x3ffa0fff,
    0xffffd04f,0x6401ffff,0x3f62ffff,0x40ffffff,0xfffffff8,0x3ffffe47,
    0xffff1000,0x3fffa07f,0xfff103ff,0x955337ff,0x7fffffff,0x26666660,
    0xcfffffa9,0x09999999,0x009ffffd,0x43ffffea,0xfa999998,0x999cffff,
    0xffffd199,0x5555555d,0x3e035555,0x2604ffff,0x05fffffe,0xf06fffb8,
    0x3fa07fff,0x3fffffff,0x8bffff20,0xfffffffe,0x7ffffd43,0x3ff20fff,
    0x220007ff,0xb83fffff,0x205fffff,0x02fffff8,0x13fffff6,0x3fffe200,
    0xfffd003f,0x3fea009f,0x7c400fff,0x7403ffff,0x0005ffff,0x09fffff0,
    0x6fffff98,0xffdaaaa8,0xfaaaaaef,0x0aaacfff,0xfffffffd,0x7ffe40ff,
    0x37fffa2f,0x7fec5fff,0x20ffffdf,0x007ffffc,0x3ffffe20,0x7ffffcc3,
    0x3ffe200f,0x3fe202ff,0x88006fff,0x003fffff,0x009ffffd,0x03ffffea,
    0x7fffff10,0x5ffffe80,0xffff0000,0xfffb009f,0xfffe81ff,0xffffffff,
    0xffffffff,0xffffd2ff,0x207fffff,0x3e2ffffc,0xffffbfff,0x3ebfffe0,
    0x3ff21fff,0x220007ff,0x743fffff,0x402fffff,0x02fffff8,0x03fffff4,
    0x7ffffc40,0xffffd003,0x3ffea009,0x7fc400ff,0x7f403fff,0x00005fff,
    0x009fffff,0x83fffff7,0xfffffffe,0xffffffff,0xd2ffffff,0xfff9ffff,
    0x3fff20df,0x27fffe2f,0xff52fffe,0x3ffff3df,0x03ffffe4,0xfffff100,
    0x7ffffdc7,0xffff8805,0x7ffec02f,0xff88007f,0xfd003fff,0x2a009fff,
    0x400fffff,0x03fffff8,0x02fffff4,0xfffff800,0xffffb804,0x7ffff41f,
    0xffffffff,0xffffffff,0x3ffffd2f,0x905fffff,0x7fc5ffff,0x4fffc9ff,
    0xff37fff9,0x7ffe43ff,0x3e20007f,0xff13ffff,0x1001dfff,0x805fffff,
    0x006fffff,0x3fffff88,0x9ffffd00,0x3fffea00,0x7ffc400f,0x7ff403ff,
    0xf00005ff,0x9009ffff,0xd81fffff,0xeffffeee,0xfffeeeee,0xfd1eeeef,
    0xfff91fff,0xffff90df,0x27fffe25,0xffd7fffa,0x5ffff31f,0x03ffffe4,
    0xfffff100,0x3fffff67,0xffff1001,0x7ffd405f,0xf88004ff,0xd003ffff,
    0x2009ffff,0x00fffffa,0x1fffffc4,0x17ffffa0,0x7fffc000,0xfffd804f,
    0x7ffc407f,0x6fffb81f,0x23ffffa0,0x41fffff9,0xf12ffffc,0x3ffe3fff,
    0xf16fffaf,0x7fe45fff,0x220007ff,0xfbbfffff,0x2004ffff,0x02fffff8,
    0x1ffffff7,0xffff1000,0x3ffa007f,0xccccceff,0xfffdcccc,0x7fc400ff,
    0x7f403fff,0x00005fff,0x809fffff,0x05fffffa,0x407fffcc,0x3a05fffc,
    0xffb0ffff,0xfffc8bff,0x3ffff12f,0x3ffbfff6,0x7ffff13f,0x03ffffe4,
    0xfffff100,0x0dfffff9,0xfffff880,0xfffccaac,0x0003ffff,0x07fffff1,
    0x3fffffa0,0xffffffff,0x0fffffff,0x7ffffc40,0x7ffff403,0xccccccce,
    0x3fe03ccc,0x3a604fff,0x403fffff,0xfb07fffa,0x7ff409ff,0xffff50ff,
    0x7fffe41f,0x21ffff32,0xfffffffb,0x47ffff11,0x007ffffc,0x3ffffe20,
    0x01ffffff,0x7ffffc40,0xffffffff,0x20002fff,0x03fffff8,0xffffffd0,
    0xffffffff,0x01ffffff,0x3fffff88,0x7fffff40,0xffffffff,0x3ffe06ff,
    0x7e4c44ff,0x805fffff,0xfd07fffb,0x7ff409ff,0x3fffa0ff,0x3ffff24f,
    0x21ffff32,0x6ffffff8,0xc8ffffe2,0x0007ffff,0x3fffffe2,0x004fffff,
    0x7fffffc4,0xefffffff,0x7c40000b,0xd003ffff,0xffffffff,0xffffffff,
    0x8801ffff,0x403fffff,0xfffffffe,0xffffffff,0x3ffffe06,0xffffffff,
    0x800fffff,0xff06fffb,0x7ff407ff,0x3ffee0ff,0xffff90ff,0x83fffea5,
    0x44fffffe,0x3f24ffff,0x20007fff,0xfcfffff8,0x001fffff,0x3fffffe2,
    0x3fffffff,0xfff10000,0x3fa007ff,0xffffffff,0xffffffff,0x7c400fff,
    0x7403ffff,0xffffffff,0x6fffffff,0x3fffffe0,0xffffffff,0xf9002fff,
    0x3ffe0bff,0x3fffa02f,0x7ffffc0f,0x25ffff93,0x320ffffa,0x7c1fffff,
    0x3ff24fff,0x220007ff,0xfabfffff,0x2006ffff,0xeefffff8,0x5fffffff,
    0xfff88000,0xffd003ff,0x33333bff,0xfff73333,0xff8801ff,0x7f403fff,
    0xffffffff,0x06ffffff,0x3ffffffe,0xffffffff,0xdddd100d,0xdddfffff,
    0xddffffdd,0x7fff41dd,0x7fffe40f,0x25ffff97,0x7cc7fffa,0xfff86fff,
    0x3ffff25f,0x3fe20007,0xfffd3fff,0x3e2009ff,0xf712ffff,0x007fffff,
    0xfffff880,0xffffd003,0x3ffea009,0x7fc400ff,0x7f403fff,0x00005fff,
    0xffffffff,0x03bfffff,0xffffff88,0xffffffff,0xffffffff,0x03ffffa0,
    0x95fffff1,0x3ee5ffff,0xffff87ff,0x25ffff84,0x007ffffc,0x3ffffe20,
    0xffffff33,0xffff1003,0xffff985f,0x220000ff,0x003fffff,0x009ffffd,
    0x03ffffea,0x7fffff10,0x5ffffe80,0xffff0000,0x135999df,0x7fffc400,
    0xffffffff,0xffffffff,0x3fffa0ff,0xffffd80f,0x72ffffce,0xffb0ffff,
    0xbffff03f,0x03ffffe4,0xfffff100,0x7ffffe47,0x7ffc400e,0xfffb82ff,
    0x220004ff,0x003fffff,0x009ffffd,0x03ffffea,0x7fffff10,0x5ffffe80,
    0xffff0000,0xf100009f,0xffffffff,0xffffffff,0x741fffff,0xf980ffff,
    0xfffeffff,0x0ffff92f,0x3fa03331,0x3fff26ff,0x3e20007f,0x7f43ffff,
    0x4404ffff,0x882fffff,0x00ffffff,0xfffff100,0x3fffa007,0xfff5004f,
    0xff8801ff,0x7f403fff,0x00005fff,0x009fffff,0x3eeaaa00,0xaaaabfff,
    0xaaaefffd,0x07ffff42,0xffffffd8,0xfff92fff,0x3ffa000f,0x3ffff26f,
    0x3fe20007,0x7fd43fff,0x2202ffff,0x902fffff,0x009fffff,0x3ffffe20,
    0xffffd003,0x3ffea009,0x7fc400ff,0x7f403fff,0x00005fff,0x009fffff,
    0xffff3000,0x0bfff901,0x00ffffe8,0xfffffff5,0x3fff25ff,0xfffd0006,
    0x3ffffe4f,0xffff1000,0xffffb07f,0x3fe201ff,0xff102fff,0x0001ffff,
    0x07fffff1,0x13ffffa0,0x7ffffd40,0x7fffc400,0x7fff403f,0xff00005f,
    0x00009fff,0x20ffff50,0x7404fffd,0x3a00ffff,0xffffffff,0x00dfffb2,
    0xc9ffffa0,0x0007ffff,0x0fffffe2,0x3fffffe2,0xfffff105,0x7fffec05,
    0xff88003f,0xfd003fff,0x2a009fff,0x400fffff,0x03fffff8,0x02fffff4,
    0xfffff800,0xfb800004,0xfffd07ff,0xffffe807,0x3fffee00,0xffb2ffff,
    0x3f6000df,0x3fff27ff,0xeeeeeeff,0x12eeeeee,0x207fffff,0x2ffffffb,
    0x2fffff88,0x3ffffe60,0x7fc4000f,0xfd003fff,0x2a009fff,0x950fffff,
    0xfff99999,0x99999bff,0x17ffffa9,0x7fffc000,0xb800004f,0xfff06fff,
    0xfffe807f,0x7fffc00f,0xffd2ffff,0x3f6000df,0xfff90fff,0xffffffff,
    0x27ffffff,0x03fffff8,0x3ffffffa,0x7ffffc40,0x7ffff402,0x7fc4003f,
    0xfd003fff,0x2a009fff,0xf90fffff,0xffffffff,0xffffffff,0x17ffffaf,
    0x7fffc000,0xc800004f,0xfff05fff,0xfffe805f,0x7ffe400f,0xffd2ffff,
    0x3f6000bf,0xfff90fff,0xffffffff,0x27ffffff,0x03fffff8,0x3fffffe6,
    0x7ffffc45,0x7fffd402,0x7fc4007f,0xfd003fff,0x2a009fff,0xf90fffff,
    0xffffffff,0xffffffff,0x17ffffaf,0x7fffc000,0xd800004f,0xff884fff,
    0x7ff401ff,0x7fc400ff,0xfd2fffff,0x36000bff,0xff90ffff,0xffffffff,
    0x7fffffff,0x0fffffe2,0xffffff90,0x7ffffc45,0xfffff802,0x3fe2003f,
    0xfd003fff,0x2a009fff,0xf90fffff,0xffffffff,0xffffffff,0x17ffffaf,
    0x7fffc000,0xe800004f,0xff984fff,0x7ff400ff,0xffd800ff,0xfff2ffff,
    0x3f2000bf,0xfff91fff,0xffffffff,0x27ffffff,0x03fffff8,0x7fffffc4,
    0xfffff10f,0xffff7005,0x7fc400df,0xfd003fff,0x2a009fff,0xf90fffff,
    0xffffffff,0xffffffff,0x17ffffaf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555000,
    0x55555555,0x55455555,0x9aaaaaaa,0x4c400000,0x00abcedb,0x5555554c,
    0xaaaaaaaa,0x2a2aaaaa,0xaaaaaaaa,0x2000019a,0xaaaaaaa8,0x65400001,
    0x00001ccc,0x5555554c,0xb9530002,0x0001579d,0xc8036600,0xfe800002,
    0xffffffff,0x6fffffff,0x3ffffffe,0x3cefffff,0xfffd5000,0x19ffffff,
    0x3fffff20,0xffffffff,0x15ffffff,0xffffffff,0x19ffffff,0x7ffdc000,
    0x0005ffff,0xfffffd30,0x7cc00007,0x06ffffff,0x7ffff4c0,0x004fffff,
    0x077fd400,0x00027fe4,0x3fffffa0,0xffffffff,0x3ffe6fff,0xffffffff,
    0x001effff,0xffffffb1,0x3fffffff,0xffffff90,0xffffffff,0x22bfffff,
    0xffffffff,0xffffffff,0xffd8000d,0x007fffff,0x7fffecc0,0x00003fff,
    0x3ffffff6,0xff91006f,0xffffffff,0x00003dff,0x41dffff7,0x005ffffc,
    0x3ffffa00,0xffffffff,0x3fe6ffff,0xffffffff,0xcfffffff,0x3fffea00,
    0xffffffff,0x7e40efff,0xffffffff,0xffffffff,0xffff15ff,0xffffffff,
    0x00bfffff,0xfffffff0,0xb10005ff,0xffffffff,0x2a00007f,0xffffffff,
    0xffffd006,0xffffffff,0x40001fff,0x4ffffffc,0xdffffff5,0xffd00001,
    0xffffffff,0x4dffffff,0xffffffff,0xffffffff,0x3ffa06ff,0xffffffff,
    0x45ffffff,0xfffffffc,0xffffffff,0xff15ffff,0xffffffff,0xffffffff,
    0x7ffd4009,0x04ffffff,0x3ffff220,0x3fffffff,0xfff88000,0x06ffffff,
    0xffffffb8,0xfffffeef,0xd88005ff,0x0dffffff,0x3fffffee,0x7f40001f,
    0xaaaaefff,0x2aaaaaaa,0x273ffffe,0xfffecba9,0xf103ffff,0x1137dfff,
    0xfffffff7,0x7ffffe41,0xffffffff,0x15ffffff,0x885fffff,0xffffffc9,
    0x3fff2007,0x07ffffff,0xffffff30,0x7fffffff,0xfff90000,0x0dffffff,
    0xffffff98,0x7fffd443,0x3a2001ff,0x04ffffff,0xfffffff5,0x7ff40005,
    0x3e0005ff,0x2603ffff,0x0fffffff,0x4407ff50,0x02ffffff,0xffffe800,
    0xfffff11f,0x7fffc405,0xfff000ff,0xfffffbff,0x3fffe003,0xffffbfff,
    0x7cc0003f,0xfffcffff,0x7ffec06f,0x3fea02ff,0xf3005fff,0x05ffffff,
    0xfffffe98,0xffd0003f,0x7c000bff,0x4403ffff,0x04fffffe,0x3fee006e,
    0x40003fff,0x25fffff9,0x02fffff8,0x17ffffe4,0x7ffffcc0,0x03fffff9,
    0x19ffff90,0x07fffff1,0xffffe800,0x06ffffac,0x02fffff4,0x0ffffff4,
    0x3ffffee0,0xfd1001ff,0x00bfffff,0x0bffffd0,0x7ffffc00,0xffff9803,
    0x4c0000ff,0x005fffff,0x7ffffec0,0x3ffffe21,0x7fffd402,0xfffb801f,
    0xdffffd5f,0x837fe200,0x03fffff8,0x3fffee00,0x6ffffa8f,0x3ffffe20,
    0xffffb803,0x3fff202f,0x8000efff,0xeffffffc,0x3fffa000,0x3fe0005f,
    0xfd003fff,0x0005ffff,0x4fffff98,0x3ffe6000,0x7ffc46ff,0x7fdc02ff,
    0xfe800fff,0xfff93fff,0x072001ff,0x0fffffe2,0x7fffc400,0xdffff52f,
    0x7ffffcc0,0xffff8802,0xfffd884f,0x40005fff,0xeffffffb,0xffffd001,
    0x7ffc000b,0xff7003ff,0x80007fff,0x03fffff9,0x3ffff600,0x7fffc42f,
    0x7ffec02f,0xfff8806f,0xffff50ff,0xf880005f,0x0003ffff,0x54bffffb,
    0x2606ffff,0x803fffff,0x45fffff8,0xffffffe8,0xff500003,0x005fffff,
    0x00bffffd,0x1fffffc0,0xfffff880,0x7fdc0004,0x30002fff,0x10dfffff,
    0x405fffff,0x02fffffb,0x46ffffa8,0x005fffff,0x7ffffc40,0xfff98003,
    0x3ffea0ff,0x3ffe206f,0xfff004ff,0x7ffccdff,0x0002ffff,0x7ffff4c0,
    0x7ff403ff,0xaaaaaeff,0x20aaaaaa,0x003fffff,0x0bfffff1,0xfffff800,
    0xffb0000f,0xff105fff,0x53337fff,0xbfffffd7,0x3ffff600,0x3ffffec4,
    0x3ffe2000,0xfe8003ff,0x7fd43fff,0x7ffc06ff,0xff800fff,0xfff56fff,
    0x0003ffff,0x3fffa200,0x3fa04fff,0xffffffff,0x1fffffff,0x00fffffe,
    0x06fffff8,0x3fffee00,0xff10004f,0x3e20dfff,0xffffffff,0x4fffffff,
    0x3ffffe00,0x7ffffdc2,0x3fe20001,0x5c003fff,0xfa86ffff,0x7ec06fff,
    0x301effff,0x2ffffffb,0xffffffd8,0xf5000005,0x03dfffff,0x7ffffff4,
    0xffffffff,0x3fffe1ff,0x3ffa003f,0xf30007ff,0x001fffff,0x3fffff20,
    0xfffff102,0xffffffff,0x260019ff,0x4c0fffff,0x004fffff,0x3ffffe20,
    0x3ffe2003,0xfffa81ff,0x7ffd406f,0xdcceffff,0xffffffff,0x7ffffe46,
    0x200000ef,0xeffffffb,0x7ffff400,0xffffffff,0x3fe1ffff,0x3a003fff,
    0x8007ffff,0x3fffffe8,0xffff1000,0x7ffc40df,0xffffffff,0x04ffffff,
    0x05ffffc8,0x00dfffff,0x7ffffc40,0x3fff6003,0xffff504f,0xffffb00d,
    0xffffffff,0x0bffffff,0xdffffff7,0xffb00003,0x200bffff,0xfffffffe,
    0xffffffff,0x3ffffe1f,0x3fffe003,0xffd8006f,0x20005fff,0x03fffffc,
    0x3fffffe2,0xffffffff,0x7406ffff,0xf903ffff,0x0001ffff,0x0fffffe2,
    0x37fffd40,0x0dffff50,0xfffffd10,0xffffffff,0x2609ffff,0x2fffffff,
    0xfffd1000,0x74007fff,0x999effff,0x19999999,0x01fffffc,0x5fffff88,
    0x7fffec00,0xf10000ef,0x880fffff,0x442fffff,0xfffffea9,0xffff103f,
    0x3ffea03f,0xf10003ff,0x2007ffff,0x202ffffe,0x006ffffa,0xffffff71,
    0xfffdffff,0x7f4c09ff,0x003fffff,0x7fffffcc,0x7ff4002f,0x3e0005ff,
    0x1003ffff,0x009fffff,0x77ffffe4,0x3ff20000,0x7c403fff,0x5c02ffff,
    0x80ffffff,0x207ffffb,0x05fffff8,0xfffff100,0xffff9007,0xffffa80b,
    0x6e5c4006,0xf88bcefe,0x4403ffff,0x5ffffffd,0xfffff500,0xfd0003ff,
    0x4000bfff,0x003fffff,0x07fffff5,0x3fffff20,0x3e20000e,0x400fffff,
    0x02fffff8,0x1fffffd8,0xaeffffd8,0xffaaaaaa,0x10007fff,0x807fffff,
    0xeefffff8,0xfeeeeeee,0xeeeeffff,0xffa80001,0xfb002fff,0x01dfffff,
    0x7fffffe4,0xffd0000e,0x7c000bff,0xb003ffff,0x005fffff,0x1ffffff9,
    0xfffc8000,0xff8804ff,0xfb802fff,0xff83ffff,0xffffffff,0xffffffff,
    0xff88002f,0x7c403fff,0xffffffff,0xffffffff,0x02ffffff,0xffffc800,
    0x3fee000f,0x441effff,0xdffffffd,0x3ffa0000,0x3e0005ff,0x9803ffff,
    0x00ffffff,0x77ffffe4,0x7fc40000,0x8800ffff,0x802fffff,0x43fffffb,
    0xfffffffa,0xffffffff,0x8004ffff,0x03fffff8,0x7fffffc4,0xffffffff,
    0xffffffff,0xfe80002f,0xa8004fff,0x2fffffff,0xffffffd1,0xffd00009,
    0x7c000bff,0xd803ffff,0x403fffff,0x0efffffc,0xfffb8000,0xff1004ff,
    0xfb005fff,0xfc83ffff,0xffffffff,0xffffffff,0xf88006ff,0x4403ffff,
    0xffffffff,0xffffffff,0x2fffffff,0x7ffe4000,0xf30001ff,0x225fffff,
    0x03ffffff,0xffffd000,0x7ffc000b,0x7fe403ff,0x7e406fff,0x000effff,
    0xfffff880,0xfff1000f,0xff9805ff,0x7f40ffff,0xffffffff,0xffffffff,
    0x44001fff,0x403fffff,0xfffffff8,0xffffffff,0xffffffff,0x3fee0002,
    0x40006fff,0x4c2fffe8,0x0001ffff,0x17ffffa0,0xfffff800,0xfffea883,
    0x3f202fff,0x000effff,0xfffff700,0x7ffc4009,0x3faa02ff,0x7cc6ffff,
    0x9999ffff,0xfb999999,0x4003ffff,0x03fffff8,0xfff70000,0x710000df,
    0x3fffffff,0x0ff60000,0x000077cc,0x3bffffa0,0xcccccccc,0x3ffe3ccc,
    0xfedccdff,0x6fffffff,0x3fffff20,0xffffffff,0x206fffff,0x00ffffff,
    0x3ffffe20,0xfedccccd,0x42ffffff,0x006ffffb,0x17ffffe2,0x3bbbbbae,
    0xeefffffe,0x0005eeee,0x037fffdc,0x7f6e6654,0xffffffff,0x0c00002f,
    0x00000260,0x3ffffffa,0xffffffff,0x3fffe6ff,0xffffffff,0x00cfffff,
    0xfffffff1,0xffffffff,0x2e0dffff,0x005fffff,0x7fffffc4,0xffffffff,
    0xfd84ffff,0x74004fff,0x640fffff,0xffffffff,0xffffffff,0x5c0007ff,
    0xc806ffff,0xffffffff,0x04ffffff,0x00000000,0x3fffa000,0xffffffff,
    0x3e6fffff,0xffffffff,0x2effffff,0x7ffffc40,0xffffffff,0x06ffffff,
    0x03fffffd,0xfffff880,0xffffffff,0xf885ffff,0x4001ffff,0x42fffffc,
    0xfffffffc,0xffffffff,0x40007fff,0x806ffffb,0xfffffffc,0x02efffff,
    0x00000000,0x7fff4000,0xffffffff,0x3e6fffff,0xffffffff,0x00cfffff,
    0xffffff88,0xffffffff,0xb86fffff,0x005fffff,0xffffff88,0xffffffff,
    0xfff501df,0xff5000ff,0xffc89fff,0xffffffff,0xffffffff,0x7fdc0007,
    0xffc806ff,0xffffffff,0x0000003f,0xd0000000,0xffffffff,0xffffffff,
    0x7fffffcd,0x0aceefff,0x3fffe200,0xffffffff,0x6fffffff,0x1fffffe8,
    0xffff8800,0xdeffffff,0x7fe400bc,0xff0005ff,0xffc8ffff,0xffffffff,
    0xffffffff,0x7fdc0007,0xffc806ff,0x0aceeeff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x40000019,0x33000018,0x99980000,0x26200019,
    0x30000099,0x00019801,0x00004cc4,0x6c009988,0x4c03eeee,0xd30eeeee,
    0x8009dddd,0x03eeeee8,0x00666620,0x4eeeeea8,0x7ff6dc40,0x0003deff,
    0x7fffee54,0x4c01cdff,0xdeffffec,0x7ff5c002,0xdeffffff,0xfffb7100,
    0x17dfffff,0x54bbbae0,0x7d43effe,0x776c4fff,0x7fff5c6e,0xdddb04ef,
    0xffffeb8b,0xfffff04e,0xffff9809,0x3ffffe0f,0x3fee000f,0x3a002fff,
    0x5000ffff,0x409fffff,0xffffffe9,0x001effff,0x7fffff54,0x03ffffff,
    0x3ffffff2,0x400dffff,0xfffffffb,0x81ffffff,0xfffffffd,0x3fffffff,
    0xf9afffc8,0xf72fffff,0x7cbfffff,0xfe88ffff,0xdfffffff,0x8b7fff40,
    0xfffffffe,0x7fffc0ef,0x7ffcc04f,0x3fff20ff,0x3fa003ff,0x74006fff,
    0x3000ffff,0x209fffff,0xfffffffc,0x3fffffff,0xffffd880,0xffffffff,
    0xfffe883f,0xffffffff,0xfffb02ff,0xffffffff,0xffb03fff,0xffffffff,
    0xc87fffff,0xfffebfff,0xfff8dfff,0xff1fffff,0xfffd3fff,0xbfffffff,
    0xe8ffffe8,0xffffffff,0x7fffc5ff,0x7ffcc04f,0x3ffe20ff,0xff3006ff,
    0xe8007fff,0x3000ffff,0xb07fffff,0xffffffff,0xffffffff,0x7fff4403,
    0xffffffff,0x7fc43fff,0xfeefffff,0x40ffffff,0xfffffffb,0xfffffeee,
    0xfffffd81,0xfffffeef,0x3ff20fff,0xffffffef,0xfffffeff,0xffff4fff,
    0xffffffdf,0x43ffffff,0xffeffffe,0xffffffff,0x3fffe1ff,0x7ffcc04f,
    0x7ffec0ff,0xffc801ff,0x74000fff,0x1000ffff,0x987fffff,0xdfffffff,
    0xfffffdcb,0x3fff206f,0xccdeffff,0x7dc3ffee,0x6443ffff,0x7c4fffff,
    0x00bfffff,0xdfb03b73,0xffd30137,0x7fe49fff,0xff9affff,0xfaafffff,
    0xffff5fff,0x57dfffff,0x4bfffffb,0xfffffffe,0xffffccff,0x3fffe5ff,
    0x7ffcc04f,0x7ffd40ff,0xfff804ff,0xfe8005ff,0xf1000fff,0xfe85ffff,
    0xf304ffff,0x307fffff,0x1dffffff,0xff1164c0,0x7e405fff,0xff30ffff,
    0x8000bfff,0xffd1000a,0x7ffe4dff,0x3fffa2ff,0x3fffa1ff,0xfffffff6,
    0xffffd05f,0x7fffff4f,0x7ffc42ff,0x3fffe6ff,0x7ffcc04f,0xffff80ff,
    0x7ffd407f,0xfe8002ff,0x3e000fff,0x3ea2ffff,0x4c04ffff,0xe87fffff,
    0x004fffff,0x09ffff90,0x3fffff88,0x07fffff7,0xfb800000,0x3ff27fff,
    0x7ffec6ff,0xbffff46f,0x3fffffff,0x4fffff70,0x2ffffffe,0x4fffff90,
    0x404fffff,0x80fffff9,0x01fffffc,0x01fffff6,0x07ffff40,0x3fffff00,
    0x07ffffec,0x7fffff40,0x3ffffe60,0xfff0000f,0xffb003ff,0x3ffea9ff,
    0x00001fff,0x3fffea00,0x5ffff90f,0x42ffffd8,0xfff7fffd,0x7cc09fff,
    0xffd0ffff,0x7d407fff,0xfff0ffff,0xff9809ff,0xff880fff,0xff104fff,
    0x20009fff,0x000ffffe,0xe87ffffa,0x5005ffff,0x543fffff,0x003fffff,
    0x1fffff10,0xbffff900,0x3fffffe2,0x000002df,0x0fffffa8,0xd81ffff9,
    0xffd87fff,0xbfffff7f,0xfffff980,0x0bffffd1,0x1fffff98,0x809fffff,
    0x00fffff9,0x20fffffb,0x81fffffa,0xaaaaaaa8,0xabfffffa,0x21aaaaaa,
    0x3e0ffffe,0x3003ffff,0x645fffff,0x000fffff,0xffffff30,0xffffffff,
    0x6cffffff,0xffffffff,0x750002df,0xfffffdb9,0x3f21ffff,0xfffd87ff,
    0xf7fffd87,0x0009ffff,0x04ffffe8,0x8fffffcc,0x404fffff,0x00fffff9,
    0x05fffff5,0x20dffffb,0xfffffff9,0xffffffff,0x24ffffff,0xf10ffffd,
    0x2007ffff,0x23fffff8,0x007ffffd,0x3ffffee0,0xffffffff,0x27ffffff,
    0xfffffff8,0x01cfffff,0xfffffeb8,0xffffffff,0x0ffff90f,0xfb0ffffb,
    0x3fffefff,0x7f40004f,0x7cc04fff,0xfff1ffff,0xff9809ff,0x3fe00fff,
    0x7fc45fff,0xff302fff,0xffffffff,0xffffffff,0x554c9fff,0x3fffea2a,
    0x3ffe002f,0x3fffe4ff,0x3f20006f,0xffffffff,0xffffffff,0x7fec47ff,
    0xffffffff,0xfff103ff,0xffffffff,0x21ffffff,0xfd87fffc,0xfffd87ff,
    0x09fffff7,0xffffe800,0x7fffcc04,0x9fffff1f,0xfffff980,0x3ffff200,
    0x3fffee0f,0x3fffe607,0xffffffff,0xffffffff,0xfff3004f,0x3e2005ff,
    0x3fa3ffff,0x20007fff,0xfffffffc,0xffffffff,0xb506ffff,0xffffffff,
    0xfe889fff,0xffffffff,0xffffffff,0xb0ffff90,0xffb0ffff,0x3ffffeff,
    0x7ff40004,0x7fcc04ff,0xffff1fff,0xfff9809f,0x3fe600ff,0x3ffa3fff,
    0x3fe604ff,0xffffffff,0xffffffff,0xf1004fff,0x2007ffff,0x22fffff9,
    0x00fffffd,0xfffff700,0x5c400000,0xfffffffd,0x3fffa1ff,0xfa80aeff,
    0xff90ffff,0xffffb0ff,0x3effffb0,0x0004ffff,0x027ffff4,0x47ffffe6,
    0x404fffff,0x00fffffa,0x9b7ffff4,0x001fffff,0x07ffff40,0xffff0000,
    0x3fea009f,0x3ff21fff,0x50002fff,0x001fffff,0xfd710000,0x229fffff,
    0x406fffff,0x90fffffa,0xffb0ffff,0xffffb0ff,0x013ffffe,0x9ffffd00,
    0xfffff980,0x09ffffd1,0x7fffffc4,0x7fffd400,0x6ffffc8f,0xfffe8000,
    0x3a00000f,0x800fffff,0x5c7ffffd,0x006fffff,0x5fffff10,0xc8000000,
    0xf56fffff,0xa805ffff,0xf90fffff,0xfffb0fff,0x2ffffb0f,0x004fffff,
    0x27ffff40,0x3ffffe60,0x0dffffb1,0x3fffffa2,0xffff800f,0x3fffffbf,
    0xfffe8000,0x3600000f,0x403fffff,0x46fffff9,0x3ffffff9,0xfffff000,
    0x8000000d,0x76fffff8,0x403fffff,0x0fffffe8,0xfb0ffff9,0xfffb0fff,
    0x13ffffef,0xffffd000,0xffff9809,0xfffff91f,0xffffd881,0xfc800fff,
    0xffffffff,0xfe80000f,0x00000fff,0x3fffffe6,0xfffff302,0xffffb03f,
    0x2a801bff,0x13fffff2,0x54000800,0xf54fffff,0x260bffff,0x0ffffffe,
    0xfb0ffff9,0xfffb0fff,0x13ffffef,0xffffd000,0xffff9809,0xfffff71f,
    0xffff939f,0x001fffff,0xfffffff3,0x200009ff,0x000ffffe,0x7fffec00,
    0xfca9bdff,0x104fffff,0xffffffff,0xffb9559b,0x7ffffc49,0xb9880aef,
    0x02f7ee4d,0x7ffffcc4,0xfffff32f,0x3fee217f,0x90ffffff,0xffb0ffff,
    0xffffb0ff,0x013ffffe,0x9ffffd00,0xfffff980,0xffffff11,0xffffffff,
    0x2001ffff,0xfffffffe,0xfd00001f,0x00001fff,0xffffff88,0xffffffff,
    0x3ee00fff,0xffffffff,0x44ffffff,0xfffffffa,0xfffffeff,0x3fffee5f,
    0xfffedeef,0x3e0fffff,0xefffffff,0xffffffff,0xffff90ff,0xb0ffffb0,
    0x3ffeffff,0x740004ff,0x4c04ffff,0x321fffff,0xffffffff,0xfffcbfff,
    0xfff7000f,0x000dffff,0x07ffff40,0x7fdc0000,0xffffffff,0x801fffff,
    0xfffffffd,0x4fffffff,0xffffffd8,0xffffffff,0x3fffee5f,0xffffffff,
    0x7d41ffff,0xffffffff,0xfffddfff,0x0ffff90f,0xfb0ffffb,0x3fffefff,
    0x7f40004f,0x7cc04fff,0x3a21ffff,0xffffffff,0x1ffff93f,0x3fffe200,
    0x00003fff,0x003ffffa,0x7ff4c000,0xffffffff,0x3aa000df,0xffffffff,
    0xf504ffff,0xffffffff,0x5cbfffff,0xffffffff,0x1fffffff,0xffffffb0,
    0x3f29ffff,0xfff90fff,0x0ffffb0f,0x3feffffb,0x40004fff,0x404ffffe,
    0x81fffff9,0xdffffffc,0x03ffff21,0xfffffc80,0x3600000f,0x0000eeee,
    0x7fff5c00,0x002dffff,0x3ffffae0,0x00bdffff,0x3ffffb22,0x2defffff,
    0x3fffff66,0x2dffffff,0xfffffa80,0x3ff21dff,0xffff90ff,0xb0ffffb0,
    0x3ffeffff,0x740004ff,0x4c04ffff,0x201fffff,0x0000aba9,0x00000000,
    0x00000000,0x0002aea6,0x26aa6200,0x2ea60001,0x88009aaa,0x9aabaaa9,
    0xaba88000,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6f777754,0xeeee9800,0x3bbbb25e,0x3bb60002,
    0x3bbba65e,0xeeeeeeee,0x804eeeee,0x0005eeeb,0x26000298,0x74001aaa,
    0xeeeeeeee,0xeeeeeeee,0xddddb1ee,0xeeeeeb8b,0x006ae600,0x40131000,
    0x4eeeeeea,0x44444440,0x88888888,0x88888888,0xffe80088,0xfe805fff,
    0x3f21ffff,0x20004fff,0x3ea6ffff,0xffffffff,0xffffffff,0x6fffc805,
    0x3ffa6000,0x7fc4004f,0x3e000fff,0xffffffff,0xffffffff,0xffffd1ff,
    0xfffffc8d,0xfffffc80,0x6c40002e,0xf500dfff,0x40bfffff,0xffffffff,
    0xffffffff,0xffffffff,0x7ffc401f,0x3ee03fff,0x7dc4ffff,0x10005fff,
    0x7d4bffff,0xffffffff,0xffffffff,0x5fffb805,0x3fffa000,0x3f2004ff,
    0x2005ffff,0xffffffff,0xffffffff,0xfffb1fff,0xffffb8df,0xfffffd87,
    0x3ea04fff,0x3ffa0fff,0xd100efff,0x20bfffff,0xffffffff,0xffffffff,
    0xffffffff,0xfffb801f,0xff980fff,0xffa86fff,0xf30006ff,0x7fd49fff,
    0xffffffff,0x5fffffff,0x3ffea064,0x7cc01b85,0x00ffffff,0xffffff98,
    0xffff002f,0xffffffff,0x3fffffff,0x717ffff6,0xfc8fffff,0xffffffff,
    0xffff705f,0x3ffffee1,0x7fe404ff,0xfff85fff,0xffffffff,0xffffffff,
    0x01ffffff,0xbfffffb0,0x3fffffd0,0x0fffff30,0x3fffea00,0x3bbbba63,
    0xffeeeeee,0x3ee2ffff,0x93ffea1e,0x7d405fd8,0x04ffffff,0xffefffe8,
    0x5555006f,0x55555555,0x15555555,0x517ffff2,0xff8fffff,0xffffffff,
    0x7fec0dff,0x3ffff27f,0xfa806fff,0x7fc5ffff,0xffffffff,0xffffffff,
    0x1fffffff,0xfffff100,0x7fffdc7f,0x3fffe03f,0xfff70007,0xfd10005f,
    0x7c49ffff,0xfff33fff,0x0bfffea7,0xffffff98,0x7ffdc05f,0x04ffff8e,
    0xf9000000,0xffa89fff,0x3ffea6ff,0xfffebaef,0xfff71eff,0x7fffecdf,
    0xd1006fff,0x4ccbffff,0x99999999,0x99999999,0x01999999,0x7ffffcc0,
    0xfffff98f,0x7ffffc05,0x41e664c1,0x001ffffb,0x6fffffd8,0x77ffffe4,
    0xffcbfff9,0x7ec06fff,0x206fffff,0xf72ffff8,0x00001fff,0xffff7000,
    0x5ffff989,0x883ffff2,0xfffffffd,0x2e2fffff,0x4fffffff,0x0ccccc00,
    0x00000000,0x3fffff20,0x0fffffee,0x17fffec0,0x903ffff6,0x7000ffff,
    0x81ffffff,0xffffffd9,0xffffffff,0xffe802ef,0x3f205fff,0x7fff45ff,
    0x80000005,0x4c3ffffb,0x3f65ffff,0xfffb05ff,0xffffffff,0xffffff88,
    0x0000000f,0x80000000,0xfffffffe,0xfc802fff,0x7ffc3fff,0x7ffec3ff,
    0x7ffcc007,0x32602fff,0xffffffff,0x2002efff,0x04fffff9,0xa83ffff3,
    0x0002ffff,0x7ffd4000,0x7fffc43f,0x817fffa4,0xfffffffd,0xffe982ff,
    0x000002ff,0x00000000,0xffffff10,0x2e00bfff,0x3ea4ffff,0x7f46ffff,
    0x3e2005ff,0x003fffff,0xffffff91,0x3e0003bf,0xfd02ffff,0x3ffa0bff,
    0xffff00ff,0xffffffff,0x3fffffff,0x10bfffea,0x4cc9ffff,0x7fdc0099,
    0x401fffff,0x00000aba,0x00000000,0x7fffdc00,0x5000ffff,0x7ecbffff,
    0x3e1fffff,0x3a004fff,0x005fffff,0x3fffff26,0x88002dff,0xa81fffff,
    0xf300ffff,0x3fe09fff,0xffffffff,0xffffffff,0x5ffff31f,0x007ffff0,
    0xabdcb880,0x00000000,0x00000000,0xffffe800,0x3e6003ff,0x3ffe6fff,
    0x3fe4ffff,0xff9003ff,0x3001dfff,0xfffffffb,0x005dffff,0x427fffdc,
    0x404ffff8,0xf81ffffd,0xffffffff,0xffffffff,0x555511ff,0x03555501,
    0x00000000,0x00000000,0x2e000000,0xffffffff,0xffff1000,0x3ffffeaf,
    0xffff16ff,0xffff5005,0xfea803ff,0xffffffff,0x3fffffff,0x3ffff260,
    0x1ffff906,0x6ffff880,0xfffffff8,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x80000000,0xfffffff9,0x3fe005ff,0xfffc8fff,0xfa9ffffe,
    0x7cc01fff,0x803fffff,0x9dfffffc,0xfffbbfff,0x3bb626ff,0x81ffffff,
    0x003ffff8,0xa87ffff9,0xaaaaaaaa,0xaaaaaaaa,0x000000aa,0x00000000,
    0x00000000,0xfe800000,0xffffffff,0xfffb003f,0xf3ffff3f,0xfff79fff,
    0x7ff4401f,0xf1005fff,0x3fe67fff,0x5fffd33f,0x7fffffcc,0xfffb00df,
    0x7ffc400d,0x000000ff,0x00000000,0x00000000,0x00000000,0xffff9000,
    0xffffffbf,0xffff9003,0x3f6ffff7,0x7fffceff,0x7ffffec0,0x0f7dc006,
    0x6c49fff3,0x7fffcc5f,0x000001ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff500,0x3fffff2b,0x7ffdc00e,0xf54fffff,0xdfffdfff,
    0x7ffffdc0,0xa838000f,0x41a85fff,0x801abce9,0xccccccc9,0x02cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc4,0x3fffffa0,
    0x7fffd404,0xff12ffff,0x0bffffff,0x3fffffe6,0x3ee00002,0x000005ff,
    0x7fffffcc,0x4fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffff40,0x7ffffcc3,0x3ffe602f,0x7ec7ffff,0x84ffffff,0xfffffff8,
    0xeeeeeeee,0xffc805ee,0x4000006f,0xfffffff9,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17fffff2,0x7fffffe4,0xfffff100,
    0xfffa89ff,0xfc82ffff,0xffffffff,0xffffffff,0x4ccca807,0x7cc00000,
    0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,0xf5000000,
    0x401fffff,0x06fffffe,0x3ffffffe,0x7ffffc42,0xfffc81ff,0xffffffff,
    0x07ffffff,0x80000000,0xfffffff9,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0x80000000,0x2ffffff8,0x7ffffcc0,0xffffd03f,0x3fff60ff,
    0xffc80fff,0xffffffff,0x7fffffff,0x00000000,0x33333330,0x01333333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bfffffd,0x3fffff20,
    0xffffc81f,0xffff505f,0x3fff20ff,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_46_usascii_x[95]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1, };
static signed short stb__consolas_bold_46_usascii_y[95]={ 34,2,2,4,0,1,2,2,0,0,2,10,25,19,
25,2,4,4,4,4,4,4,4,4,4,4,10,10,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,38,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,11,11,11,11,11,11,1,-3,1,16, };
static unsigned short stb__consolas_bold_46_usascii_w[95]={ 0,8,16,25,22,26,26,7,15,15,20,23,13,15,
9,22,24,21,21,20,25,20,22,21,21,22,9,13,19,21,19,16,26,26,22,22,24,18,18,23,22,19,18,23,
19,24,22,25,21,26,23,21,23,23,26,25,26,26,21,13,22,13,23,26,16,21,21,20,22,21,24,23,20,20,
19,22,20,23,20,23,21,22,20,19,21,20,25,26,25,25,19,18,6,18,24, };
static unsigned short stb__consolas_bold_46_usascii_h[95]={ 0,33,12,30,40,34,33,12,44,44,20,23,17,6,
10,37,31,30,30,31,30,31,31,30,31,30,25,32,26,14,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,42,37,42,15,6,10,25,33,25,33,25,33,34,32,33,
43,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,47,42,11, };
static unsigned short stb__consolas_bold_46_usascii_s[95]={ 249,122,155,23,153,25,52,247,24,8,74,
223,95,109,197,203,63,139,45,1,161,163,184,67,207,187,241,242,210,133,230,
79,40,112,89,229,20,1,232,88,189,212,22,117,97,72,49,113,1,176,141,
41,165,139,139,166,192,112,219,125,226,139,109,224,207,88,176,25,219,46,1,
1,26,198,67,47,70,110,155,1,154,131,134,68,91,176,197,27,1,96,54,
87,1,106,172, };
static unsigned short stb__consolas_bold_46_usascii_t[95]={ 1,49,238,150,1,49,49,212,1,1,238,
212,238,254,238,1,118,181,181,118,181,84,84,181,84,181,118,49,181,238,181,
49,1,181,181,84,181,181,150,118,150,150,118,150,150,150,150,84,150,1,150,
118,150,84,118,118,118,118,118,1,1,1,238,238,238,212,49,212,49,212,84,
49,84,49,1,84,84,212,212,212,49,49,212,212,84,212,212,238,238,49,238,
1,1,1,238, };
static unsigned short stb__consolas_bold_46_usascii_a[95]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_46_usascii(stb_fontchar font[STB_FONT_consolas_bold_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_46_usascii_s[i] + stb__consolas_bold_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_46_usascii_t[i] + stb__consolas_bold_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_46_usascii_x[i];
            font[i].y0 = stb__consolas_bold_46_usascii_y[i];
            font[i].x1 = stb__consolas_bold_46_usascii_x[i] + stb__consolas_bold_46_usascii_w[i];
            font[i].y1 = stb__consolas_bold_46_usascii_y[i] + stb__consolas_bold_46_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_46_usascii_s[i] + stb__consolas_bold_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_46_usascii_t[i] + stb__consolas_bold_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_46_usascii_x[i] + stb__consolas_bold_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_46_usascii_y[i] + stb__consolas_bold_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_46_usascii_LINE_SPACING
#endif

