// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_49_usascii_BITMAP_HEIGHT        204
#define STB_FONT_courier_49_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_49_usascii_FIRST_CHAR            32
#define STB_FONT_courier_49_usascii_NUM_CHARS             95

#define STB_FONT_courier_49_usascii_LINE_SPACING          23

static unsigned int stb__courier_49_usascii_pixels[]={
    0x000d5400,0x2b800600,0x20000100,0x2a600029,0x99999931,0x66664661,
    0x000a22cc,0x40c400cc,0x04400009,0x00660000,0x00000000,0x66654000,
    0xcccccccc,0x1003cccc,0x400007ff,0x0dd000fd,0x200017a0,0x6c003ffe,
    0xffffd5ff,0x7fdba3ff,0xf70fffff,0x06f88005,0x004f86d8,0x7fffedc4,
    0xea8000bd,0x002effff,0x33bffb22,0x00ffcc00,0x37bfffae,0x3fffee02,
    0xffffffff,0xf1005fff,0x2200007f,0x01be006f,0x20000fec,0x9003ffb8,
    0x266215df,0x2dd1fc99,0x209999ef,0x36000ff8,0x446e803f,0x3fa6004f,
    0xeffeccef,0x3bfee001,0x803ffcbc,0xffedfff9,0x13ff202f,0x6effffdc,
    0xfb80dffe,0x9999999a,0x05f99999,0x0007ff10,0x4400bf20,0x5f9800ef,
    0x01fe0000,0x7dc01be2,0x2017edd1,0xdf5004fc,0x9f11be00,0x02bfee00,
    0x200ffea2,0xfd880dfc,0x82bfea03,0xfb02ffa8,0x15ffb09f,0xb81dfb10,
    0x27c4001f,0x003ff880,0xc806f880,0x8cfffffe,0x001fd849,0xa803f900,
    0x23f7003f,0xf100bf6e,0x07fd001f,0x07f317e0,0x1003ff90,0x2fcc09fd,
    0x5ff03f40,0x6407fcc0,0x06fdc4ff,0x1ea2fdc0,0x800bee00,0xb8000099,
    0x3bfa602f,0xefffebbc,0x0027cc0f,0x5c02fa80,0x23f7002f,0x3600bf6e,
    0x03fd404f,0x1fcc5f88,0x8003be60,0x3fb01fe8,0xf703f300,0x909f9007,
    0x003889ff,0x40000fec,0x000000fd,0x2207f880,0xfd5103fe,0x001fd01f,
    0xb805f500,0x23f7002f,0x2600bf6e,0x027f407f,0x17d44f88,0x20007fa0,
    0x04f986f9,0x01fe13e0,0x7fdc3fc4,0x3fa80003,0x02fc4000,0xfb800000,
    0x200ff203,0x4fa80ff9,0x02fa8000,0xfb8017dc,0x8017edd1,0x3ff302fe,
    0xf70fe600,0x0027d405,0x0fd85fb0,0x9f71ba00,0x2e17e400,0x880003ff,
    0x7d40004f,0x00000002,0x037c01fd,0x3fa01f70,0x17d40000,0x5c00bee0,
    0x017edd1f,0xdfb05fc8,0x2e1fcc00,0x003fe01f,0x3747f880,0x3f91ba00,
    0x2a27d400,0x980002ff,0x7ec0003f,0x26666620,0x09999999,0x204fa800,
    0x004004f8,0xa80007f7,0x017dc02f,0x3edd1fb8,0x03fe6005,0xfa800ffe,
    0xf880fe42,0x0fd80004,0x6e98017e,0x3e2003ec,0x0017fd45,0x00007e40,
    0xfffff1be,0xffffffff,0x01fd0005,0x000027c4,0xf50001fe,0x002fb805,
    0x2fdba3f7,0xf513fe00,0x17dc005f,0x1fcc03f2,0x997dc000,0x7ff5c04f,
    0x4003746f,0x00ffcc6f,0x001be600,0xcc987f50,0xcccccccc,0x7d4002fd,
    0x0006f804,0x0001fdc0,0x2fb805f5,0x5ba3f700,0x37f4005f,0xa9803ff2,
    0xaaacfdaa,0x70aaabfe,0xf300003f,0x7d40fea7,0x7c6ecdef,0x4c7e8005,
    0x2e0001ff,0x640001ef,0x3ea0000f,0x007f4002,0x00006fdc,0x20006f88,
    0x17dc02fa,0x2dd1fb80,0x3fec005f,0xfff01ff6,0xffffffff,0x32dfffff,
    0xf880000f,0xff305f74,0x13e26e87,0xf983f600,0xb995000f,0x00001dfd,
    0xfa8000df,0x017e6002,0x01bdffc8,0x0017e400,0x7ec04f98,0x3a3f7000,
    0xfc800bf6,0x301bfa0f,0x557fd555,0x15555ff5,0xf80001f6,0x3fd05f75,
    0x027c4dd0,0xff107e40,0xffff1001,0x300001df,0xfa80009f,0x007f6002,
    0xbffffb30,0x6f880039,0x403fe000,0x3ee007f8,0x0017edd1,0x2ffc3ff7,
    0x1be1f600,0x80000fd8,0x985f75f8,0x7c4dd04f,0x20fc8004,0x51000ff8,
    0x003dffd9,0x0001fc80,0xf98017d4,0x75cc0005,0x2001ffff,0xf70001fc,
    0x3ff2619f,0x747ee002,0xfa800bf6,0x009ff12f,0x205f87e8,0x980001fc,
    0xfb85f73f,0x27c4dd02,0x3e07e400,0x7fe40007,0x01fa0002,0x400bea00,
    0x400002fc,0x3003ffb9,0x7ec000bf,0x009ffd5f,0x3edd1fb8,0x9ffcc005,
    0x74003ff8,0xf502fc46,0x5f500005,0x05f70bee,0x004f89ba,0x03fc0fc8,
    0x00ffdc00,0x00027c40,0x7c4017d4,0x22000006,0x3fb002fe,0x19ff7000,
    0x800bff26,0x17edd1fb,0x225ff500,0x37c004ff,0x3f9813e2,0x71fb8000,
    0xd06f985f,0x4002fc4d,0x0006e87d,0x70009f30,0xf500003f,0x005f9005,
    0x04f88000,0x8800bf30,0x0ff300ff,0xf6e8fdc0,0x1ffb800b,0xbf0017fe,
    0x3e204f98,0x0fe80006,0x03fd05f7,0x8006f8dd,0x0003b86e,0x36001fa0,
    0x5f500007,0x0006f880,0x400dd000,0x3e6000fe,0x8007ec04,0x17edd1fb,
    0x741ff900,0x3fffa06f,0xffffffff,0x7e46ffff,0x93ee0002,0xcff982fa,
    0x3f47e99a,0x0002fc00,0x000fdc00,0x20000bf1,0x1fdc02fa,0x20006e00,
    0x13ea007d,0x5c02fa80,0x23f7002f,0xd800bf6e,0x703fec7f,0xddffdddb,
    0x7ddddfdd,0x0000ff88,0x81fd41ff,0xffffffe9,0x88003f64,0x8000004f,
    0x3ea004f9,0x5f500002,0x44007f80,0x06f8004f,0xa8007f40,0x017dc02f,
    0x3edd1fb8,0x237f4005,0xf3000ffc,0xc802fb87,0x3fc8004f,0x2a6027cc,
    0x3f21ccbc,0x00fee002,0x0fea0000,0x0000fd80,0x7dc05f50,0x07fc4003,
    0x8009f700,0x5f5003fa,0x7002fb80,0x02fdba3f,0xff313fe0,0x70fe6003,
    0x9fd1003f,0x4437e400,0xf980005f,0x007fa006,0x07ee0000,0x00005f80,
    0x0fe80bea,0x0fffc400,0x80037dc0,0x05f5007f,0xf7002fb8,0x002fdba3,
    0x7fd03ff3,0xf90bea00,0x37fa2003,0x8077ec00,0xfd00007e,0x00bf3003,
    0x0ff10000,0x00017d40,0x3ea05f50,0xfef88004,0xba999bdf,0x70001efe,
    0x05f5007f,0xf7002fb8,0x002fdba3,0x1bee0ff9,0x3f217d40,0x3ffa2000,
    0xfecb99bd,0x0017dc05,0x2202fd40,0x1dda81fe,0xfd000332,0x007e4003,
    0x205f5000,0x7f0000fe,0xffffff91,0x880007ff,0x02fa806f,0xfb8017dc,
    0x8017edd1,0x3ff103fe,0x7d83f700,0xfffd5000,0x1007dfff,0x360000df,
    0x213f604f,0xf90ffff9,0xfe98019f,0x0037c004,0x260bea00,0x2200005f,
    0x001bffb9,0x500bf200,0x02fb805f,0x7dba3f70,0x01ff3005,0x7e4027ec,
    0x20003ec1,0x000acffc,0x40001fe4,0xc99befe8,0xffb80dfe,0x3ffee3ff,
    0xfdb99abc,0x17c4003f,0x0bea0000,0x000007f6,0x4000037c,0x17d406f8,
    0x5c00bee0,0x017edd1f,0x3ea027ec,0x740fc807,0x3bf20007,0x27f40001,
    0xf900b660,0x409fffff,0x440ffff9,0xffffffdb,0x000000ef,0x30bea000,
    0x400000bf,0x9000006f,0x00fe405f,0x7dc00fea,0x2017edd1,0xfe800ff8,
    0x3743ec03,0x6fff4c00,0x220acded,0xdff984eb,0x3ff9531b,0x13775100,
    0x00179300,0x00157953,0x50000000,0x001fd85f,0x001be000,0x882fc400,
    0x06f8807f,0x7dba3f70,0x004fc805,0x87d80df3,0x7fcc005f,0xffffffff,
    0x02fffeff,0xffffffb1,0x000003df,0x00000000,0x32000000,0x001be20f,
    0x000df000,0x710fec00,0x3f2007ff,0x555510ae,0x77dba3fb,0x3e20aaaa,
    0x0ff6000f,0x005f86e8,0x2055efd4,0x03dfeca9,0x379b9730,0x00055400,
    0x2eeee000,0xbbbbbbbb,0x003bbbbb,0xc8dd0000,0x4000002f,0x2000006f,
    0x0bbfa5f9,0x3abff900,0xd1ffffff,0x3fffffeb,0x8005f70f,0x20ea06f8,
    0x0000001b,0x54000000,0x0004ffff,0xf819ff91,0xffffffff,0xffffffff,
    0xb8000007,0x00037c4f,0x00026c00,0x0cc3f600,0x54c6a000,0x330aaaaa,
    0x8aaaaaaa,0x03300028,0x00000000,0x50000000,0x1dfb57df,0x3ff636c0,
    0x7fffc5ff,0xffffffff,0x007fffff,0x077e4000,0x0000002a,0x44000000,
    0x00000003,0x00000000,0x00000000,0x40000000,0x77e40efa,0x3e24fc80,
    0x220fffff,0x88888888,0x88888888,0x332e0000,0x5ffecccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1dd00000,0x6ccbfea0,
    0xfffff85f,0x00000006,0x3ffffe20,0x0003dfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf5002600,0x2e09ffff,0x3a23ffff,
    0xffffffff,0xffffffff,0xefffffff,0x4ccccc01,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x016edc40,0xdb103322,
    0xdddddddd,0xdddddddd,0x3ddddddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,
    0x00100000,0x88199988,0x001bdeca,0x0002a980,0xcccb8800,0x76dd4002,
    0x999981bd,0x066664c0,0xb9100000,0x2a0005bd,0xcccccccc,0x8001bccc,
    0x4b880000,0xdb730000,0xd9805bff,0x001ceffe,0x0efffedc,0x8fffffc0,
    0xffffffd8,0xb0001dff,0x000000df,0x009ffff9,0x3fffff62,0x3ffe1fff,
    0x3fffe0ff,0x5000001f,0x1bfd79ff,0xffffc800,0xffffffff,0xfeca8805,
    0x71000cef,0x8000dffd,0xedefffe9,0x3fff207f,0x803fffdd,0xfedeffe8,
    0x6e64c04f,0x0adfe89f,0x00bff6a2,0x0001bf60,0x27cccc00,0x04effd40,
    0x3be5ff73,0x64cc42cc,0x8800001f,0x0274c0cf,0x26667f20,0x09999999,
    0x6f7ff440,0x7302fffe,0x0dfbfffd,0x567fdc00,0xefd80440,0x205fe981,
    0xfe884fe8,0xff7f7005,0x05ff7005,0x0006fd80,0x027c4000,0xd100bfe6,
    0x2e00bf7f,0xd800001f,0x8007ee07,0x300000fc,0x3fea07ff,0x56fffc44,
    0xb1000dd0,0xf70003ff,0x207fb00b,0x1fec02fd,0x00fffdc0,0x4001ff30,
    0x000006fd,0x3a027c40,0x3ffa001f,0x003f7005,0xf809f000,0x003f2003,
    0x003be600,0x02a85fd1,0xbfb000dd,0x1df10001,0x981ff100,0x0fe8805f,
    0x001ffdc0,0x31001fe4,0x80000001,0x13ee04f8,0x00bff300,0x000007ee,
    0x04d803f1,0x00003f20,0x7c4003f6,0x00dd000f,0x20005fb8,0x3ee003fa,
    0xa8007ec1,0x037dc04f,0x0000bd00,0xf1000000,0x8003f409,0x3f7005fc,
    0x07f00000,0x3f2003f8,0x27c40000,0x400bee00,0x3fe2006e,0x07ee0000,
    0x3743f980,0xf701be00,0x03ec0009,0x00000000,0x0bf027c4,0x4017ea00,
    0x800001fb,0x007ea06d,0x40000fc8,0x7cc000fa,0x400dd003,0x640002fd,
    0x0fe6001f,0x0fc800bf,0x8000fee0,0x000001fb,0x59db7300,0xf304f881,
    0x17e60009,0x5cc0fdc0,0x3001bced,0x00bd307f,0x00000fc8,0x00bf1000,
    0x2fcc01ba,0x017cc000,0x27c43f70,0xb80fe600,0x3ea0002f,0x99999882,
    0x7e400009,0x5fffffff,0x1fcc13e2,0x005f8800,0x7ffe43f7,0x004fffff,
    0xdfb59ff5,0x40fc8001,0x00000199,0x6e801fcc,0x0005f700,0x6e8017a0,
    0x7d4005f8,0x000fee05,0x7fc41fc8,0x006fffff,0x435dfd10,0xf88dfda8,
    0x0009f104,0x7dc017e6,0x4415dfb1,0x8801efea,0x2203efed,0xeb9fc83a,
    0x02efffff,0x02fc8000,0x3fa00dd0,0x9f900000,0xdb09f900,0x206fe800,
    0x360005fb,0x99999507,0xfd1000df,0xf3df7009,0x80037c09,0x5f7005fb,
    0xff9009fb,0xb5100001,0xfff909ff,0xffb979bf,0x7cc00009,0x401ba006,
    0xceeb987f,0x01bfb002,0x3ee0bfb1,0x0dff7001,0x40007fdc,0x374006f8,
    0x001fec00,0x6c09fff3,0x5fd8000f,0x07fff700,0x8002fdc0,0x02cffda8,
    0xe880b7f2,0xe880005f,0x01ba001f,0xfff997e2,0x800dfffe,0xfeddeffb,
    0x01be603f,0xb81f77e6,0xfd8005ff,0x00374002,0x2e001be6,0x1be604ff,
    0x00bff700,0x20017fee,0xb71002fd,0x040039ff,0x0005fb00,0x20017f44,
    0x34f8806e,0x7ec417ff,0x7ff4400e,0x400effff,0x3bea04fb,0x3fee07d8,
    0x13f2003f,0x7001ba00,0x3fa0003f,0x801fe404,0x7005fff9,0xf10001ff,
    0x77edc40d,0x8000001c,0xd10006f8,0x0dd0007f,0x3df19f10,0xd3027dc0,
    0xf953359f,0x1efc801d,0x7ec3bf26,0xbfb5f700,0x077ec401,0x20037400,
    0x3f20006d,0x00dfe804,0x017e3bee,0xb0002fdc,0xcefeb88f,0x80000001,
    0x744001fc,0x0dd0003f,0x007fb7e0,0x3be607f6,0x007fa601,0xdffffffb,
    0x3f703f41,0x2aaf7ff2,0x000cffdb,0x5f800dd0,0x013ea000,0x26f3ff62,
    0xbf0efeca,0x0013ee00,0x2fbe1fc8,0x0026a601,0x017d4000,0x0007fd10,
    0xfff80374,0x88bf1002,0xff8800ef,0x5eed4400,0x3ee07f80,0x3ffff6a1,
    0x40002eff,0x0fe6006e,0x004f9800,0x3fffffea,0xb802fc4e,0x3ea0002f,
    0x3ffa6002,0x800004ff,0xfd1003f9,0x06e80007,0xe800dfd0,0x3000fd46,
    0xf100005f,0x980fdc0d,0x000009bb,0x1fc400dd,0x009f3000,0x20157510,
    0x05f7005f,0x8017d400,0xbf912dfa,0x4f980000,0x003fe880,0xfb006e80,
    0x6c7d8003,0x004f8007,0x2e03fa80,0x0000001f,0x17a00374,0x004fa800,
    0x4017e000,0x320004fb,0x04f8800f,0x400007f1,0x7fcc02fa,0x0dd00003,
    0x9000bee0,0x4002fc1f,0xfe80007d,0x0007ee01,0x00dd0000,0x320006c8,
    0x1000004f,0x17ee009f,0x5007d800,0x0036c03f,0x4c03f700,0x200002ff,
    0x09f1006e,0x02fc7d80,0x20003ec0,0x0fdc06fb,0x3a000000,0x017d4006,
    0x0027fc40,0x002fa800,0x30003ff7,0x017200bf,0x740000f5,0x05ff300f,
    0x006e8000,0x8df001fa,0x05f8007d,0x003fe200,0x000003f7,0x44006e80,
    0x7e4000ef,0xb000004f,0x3fee001f,0x01fe8006,0x47a80b90,0x5fa80019,
    0x0005ff50,0x5c00dd00,0x87f5003f,0x3ea002fc,0x0ff60004,0x00007ee0,
    0x000dd000,0x7d4009f7,0x800004fe,0x3ee006fc,0x3f2004fe,0x803ea003,
    0x0027ec6d,0xff501ff1,0x3a000003,0x007f4006,0x07fc43f4,0x0007fc40,
    0xb802ff4c,0x0000001f,0xfe800374,0x46fe400e,0x2200004f,0x2e000efc,
    0x200dfc9f,0x44006fd8,0x887f104f,0x7d401efe,0x01efa83f,0x6e800d40,
    0x80f7d400,0xdf503fd8,0x017f4c03,0x201ffe40,0xccdfdcca,0x000001cc,
    0xfd8001ba,0xeba89acf,0x9ddff14f,0xccccc980,0x800effec,0xf71feeeb,
    0xf951159f,0x3ea0009f,0x40df711d,0x99aceffc,0xf983ffdb,0x25f8000e,
    0xfeeeeeec,0x4eeeeeef,0x5359ff50,0xfb809ff7,0xfda99acf,0x5357903f,
    0x003dffb9,0xfffffffd,0x5c0009ff,0xfeeeeeee,0xeeeeeeef,0x7ffed404,
    0x3e23efff,0x3200efff,0xefffffff,0x3fff6003,0x3fffaa1f,0x0002ffff,
    0x27ff7fd4,0x7fff64c0,0xf500efff,0xdddddddd,0xbfdddddd,0x7ffffff4,
    0xffffffff,0x3fffa606,0xd1002fff,0x1dffffff,0x7fffff40,0x26000bdf,
    0x09999999,0x7ffec000,0xffffffff,0x006fffff,0x0002b2e6,0x09999880,
    0x54400000,0x00001acc,0x0002aa62,0x002af2a2,0xfffffff5,0xffffffff,
    0x000000bf,0x000de5cc,0x00abba88,0x00159510,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3b2a6000,0x99980ace,0x26666209,0x99988009,0x99993099,0x32a00003,
    0x00000ccc,0x55554c00,0x332a0099,0x0003cccc,0x00001980,0x00099970,
    0x31000066,0x4c000035,0x01100001,0x3ffff200,0xf10effff,0x3f61ffff,
    0x201fffff,0x5ffffff9,0x005ffffd,0xfffff100,0x20000001,0xffffffe9,
    0x7fc41eff,0x006fffff,0xfffdb880,0x300002ef,0x1001ffff,0x9dfffffb,
    0x7ecc0e61,0x02efffff,0x7fff5c40,0x00642def,0x003dffd3,0x886bbfa6,
    0xef89ffc9,0x3fee62cc,0xccb802cc,0x73311bff,0x2200005f,0x0000fd99,
    0xadffb800,0x1edccaaa,0xe9999988,0x7fd40006,0xeffeccef,0x57ec0002,
    0x7fdc00fd,0xffedccde,0x3fae0fca,0xfecbccef,0xffb800df,0xffedcdef,
    0x3a03f98d,0x8805ffff,0xffa803ff,0x0fe404fb,0x5027cc00,0x9000005f,
    0x8000001f,0x00000ff9,0x320006e8,0xff7102ef,0x53ea0005,0x3bee00fd,
    0x3fffaa02,0x98073fe0,0x7fe405fe,0x9ff9100a,0x3ffe209f,0x7ec00fff,
    0x3ffe2002,0x002fc404,0x5f5007ec,0x1f900000,0xfc800000,0xdd000003,
    0x03bf6000,0x000ffea0,0x807ec3fa,0xe8800ef9,0x8017e0ff,0x1df902fe,
    0x13ffa600,0x06ffffe8,0x54002fd4,0x1fc804ff,0x5013e600,0x9000005f,
    0x8000001f,0x000000fe,0xbf5000dd,0x00ff9800,0x0fd8fee0,0x4c001fb0,
    0x8017e0ff,0x06f986f8,0x204ff880,0x402ffffa,0xfb0000fd,0x00bf1009,
    0x3ea007ec,0xfc800002,0x7c000000,0x3a000006,0x07fc4006,0x802fd400,
    0x807ec6f8,0x0fe8006f,0x1fb000f2,0x70002fe8,0x0055009f,0xfb8001be,
    0x003f9004,0x5f5009f3,0x1f900000,0x6f800000,0x1ba00000,0x0007f900,
    0x7e400ff4,0x7c407ec2,0x007b8004,0x3e61fb80,0x0fe60005,0x04f88000,
    0x4013e600,0x0fd805f8,0x3102fa80,0x80133333,0x3b2a20fc,0x98800acd,
    0x999ef999,0x00099999,0x7c400dd0,0x27d40006,0x3f617e60,0x2000df00,
    0x1fb80000,0x700003ee,0x7cc00001,0x13e60003,0x2601fc80,0x05f5005f,
    0xfffffff1,0xf70fc80b,0x3dfffdff,0xfffffe80,0xffffffff,0x6e8000ff,
    0x000fea00,0x3fd01fa0,0x3f601fb0,0x00000000,0x0006d8dd,0xf8800000,
    0x13ea0005,0x3605f880,0x05f5001f,0x2f37ff6a,0x7e47e401,0x3fee21be,
    0x33332601,0xccccccff,0xdd0002cc,0x000fdc00,0xfa80fe40,0x2601fb04,
    0x000000ef,0x17e1fd40,0x00000000,0xf9000374,0x81fc8009,0x3ea005f9,
    0x007ff302,0x404fefc8,0x37c006f9,0x0dd00000,0x00007e40,0x0fe817dc,
    0x7dc01fb0,0x000000cf,0x3e60ffc8,0x00000003,0x0003fb00,0xf10013fa,
    0x4003fb0b,0x1ffb82fa,0x04ffc800,0x7c003f70,0x3a000006,0x001fa006,
    0x7dc1fd40,0x3003f603,0x157bfffb,0x3faa0000,0x001fd40e,0x2aaa6000,
    0x0ef9802a,0x027fe400,0xbf10fe40,0x642fa800,0xf90000ef,0x01fcc009,
    0x00000df0,0x0df00374,0x113e6000,0x00fd80df,0xffffb730,0xc880039f,
    0x7f503fff,0xfd800000,0xf7003fff,0x7ffd400b,0x25f88004,0x7d4001fc,
    0x001bfb12,0x20007e40,0x01be005f,0x006e8000,0x4c0001ba,0x2017ec3f,
    0x530000fd,0x4005ffd9,0x7d403ffc,0x22000003,0x4006ffff,0x36201efd,
    0x0004f9ef,0x00bf13f9,0x9fd15f50,0x01f90000,0x3e005f80,0x3a000006,
    0x001f6006,0xbf31fdc0,0x0001fb00,0x4013fa60,0x3f9800fc,0x3ea00000,
    0xc8002fff,0xcb9acdff,0x009f15ff,0x07f37e20,0x3ff3ea00,0xfc80000e,
    0x002fc000,0x400000df,0x07f2006e,0xe8bf2000,0x00fd800f,0x07f62000,
    0x22003f20,0x2000005f,0x0005fffc,0x3fffffa6,0x013e23ef,0x005ffc80,
    0xdf9fff50,0x0fc80001,0xf002fc00,0x7400000d,0x00bea006,0x7d43f600,
    0x9999999d,0x0009fd99,0x200fe600,0x01be007b,0xffff8000,0xb9880000,
    0x009f101b,0x000ffc40,0xdf71efa8,0x07e40001,0xf8017e00,0x3a000006,
    0x013e6006,0x7dcdf100,0xffffffff,0x24ffffff,0x037c0000,0x007f4000,
    0x7ffcc000,0x40000003,0x220004f8,0x3ea0006f,0x0002fdc2,0x5f8001f9,
    0x0001be00,0x74006e80,0x3f20001f,0x33333263,0xfecccccc,0x0013e1cc,
    0x800007d8,0x800004fa,0x00006ffc,0x004f8800,0x8000bf20,0x05fc82fa,
    0x8001f900,0x01be005f,0x006e8000,0x88002fcc,0x360000ff,0x0037c40f,
    0x00000df0,0x880007f6,0x000fff42,0x27c40000,0x006f8800,0xfc817d40,
    0x00fc8005,0xdf002fc0,0x37400000,0x0017e400,0x200017ec,0x0ffc40fd,
    0x0027cc00,0x00ef8800,0xf10fe880,0x000000bf,0x40013e20,0x540002fc,
    0x017f202f,0xf8001f90,0x001be005,0x8006e800,0x36003ff8,0xfd80005f,
    0x0077fc40,0xa803ff10,0x2a000ced,0x3e6000ef,0x003fea3f,0x7c400000,
    0x06f88004,0x402fa800,0x3f2005fc,0x002fc000,0x400000df,0xff30006e,
    0x0efe8809,0x40fd8000,0x801efff8,0x7dc03fe9,0x5c006fff,0xffa803ff,
    0x00001a82,0x013e2000,0x0000bf20,0x3f200bea,0x001f9005,0x1be005f8,
    0x06e80000,0x33bf6200,0x5ffdb98a,0x03f60000,0x5bff59f1,0xffb53113,
    0xffffb009,0xffb8003f,0xfdb98ace,0x000001ef,0xcccc8800,0x263ccefc,
    0xffcccccc,0x2e001ccc,0x2202feee,0x2deeffed,0x3bbffb6a,0xffdd900d,
    0x3bb627dd,0xeeeeffee,0xd702deee,0xffdddddd,0x7ddddddd,0xfffff900,
    0x80005dff,0xdeffeeec,0x7fec4ba2,0x1dffffff,0xdffff700,0x3ff22000,
    0x04ffffff,0x20000000,0xfffffffb,0xfff90fff,0xffffffff,0x7ffec00b,
    0x3ffe602f,0x3f23ffff,0x80efffff,0xffffffe8,0xffffff34,0xffffffff,
    0x3fff607f,0xffffffff,0x005fffff,0x006b32a2,0x3fffa200,0x4403ffff,
    0x00abcca9,0x00bcc980,0xacca9800,0x00000000,0x33333100,0x33310333,
    0x01333333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xec800098,0x81deeeee,
    0xeeeeeed9,0x00012204,0xeeeedb80,0xeeeeeeee,0x777775c4,0xacdeeeee,
    0x3bb66001,0x200ceeee,0xeeeeeec8,0x3bbbb21d,0x36a01dee,0x23deeeee,
    0xeeeeeeed,0xeeeeeeee,0x3b6a5eee,0x64404eee,0x642deeee,0xeeeeeeee,
    0x110004ee,0x3ffaa000,0x320defff,0x7ffffc41,0xffb83fff,0x00ffffff,
    0x000003f5,0x3ffffffa,0xffffffff,0x3fffffa0,0xffffffff,0xffb800df,
    0x00ffffff,0x3fffffe6,0xffff13ff,0x6407ffff,0x6fffffff,0x3ffffffe,
    0xffffffff,0x3f66ffff,0x200fffff,0x4ffffff9,0x3fffffe2,0x00ffffff,
    0x07bffa60,0x6ffffd40,0x9cfffedc,0x007f204f,0x2e013e60,0x0000002f,
    0xfc800dd0,0x3ff6a601,0x001ba002,0x3fa81be0,0x40fb8000,0x2037c05f,
    0x003fd86e,0x3a004fc8,0xffe80006,0xffb805ff,0xffb5101b,0x00fe409f,
    0x5c027cc0,0x0000002f,0xfc800dd0,0x03ff5001,0x80007f20,0x13e603fa,
    0xf03f2000,0x7406f80b,0x001fe886,0xdd001bea,0xfff88000,0x3ee00fff,
    0x3fea001e,0x0007f204,0x3ee013e6,0x00000002,0x1fc800dd,0x401be600,
    0x360004f8,0x013e200f,0x17e1f600,0x06e80df0,0xf1001df3,0x06e8001f,
    0xffffe800,0x003fe606,0xfc813f20,0x04f98001,0x00002fb8,0x800dd000,
    0x7e4001fc,0x001fb001,0xbf00bf10,0xd004cc40,0x6f80bf0d,0xbf703740,
    0x0003fd00,0xf50000dd,0x7f405fff,0x09f10002,0x4c000fe4,0xc999884f,
    0x999999bf,0x00000999,0x3f200374,0x01fcc001,0xb8003fa8,0x206e802f,
    0x17e03ffc,0x80df017e,0x01fe406e,0x3a0007f9,0x0aa00006,0x8000bf30,
    0x007f201b,0x3fa13e60,0xffffffff,0x07ffffff,0x00374000,0xf50007f2,
    0x0037c007,0x07d803f4,0x7c417ffe,0x37c05f84,0x3fa01ba0,0x0005fa81,
    0x000001ba,0x00005f90,0x8001fc80,0xccc984f9,0xcccccdfd,0x0002cccc,
    0x32003740,0x17ec001f,0x4003f900,0x1f9004f9,0x20fb9f30,0x405e83f8,
    0x4037406f,0x3be60ff8,0x01ba0000,0x1ff00000,0xfc800000,0x04f98001,
    0x00002fb8,0x800dd000,0x3e6001fc,0x027cc006,0x2e003f90,0xfbafb81f,
    0x0983f982,0x022037c0,0xfe8b7d40,0x03740001,0xdf100000,0xf9000000,
    0x09f30003,0x00005f70,0x001ba000,0x3ee003f9,0x07e8002f,0xfa801be0,
    0x4f88fd82,0xf0002fa8,0xfc80000d,0x80003fdc,0x0000006e,0x000013e6,
    0x20007f20,0x2fb804f9,0xd0000000,0x01fc800d,0x03ffd731,0x200bee00,
    0x3ea003fa,0x21ba6f82,0xdf0001fb,0xffb00000,0x1ba0000b,0xf9800000,
    0xc8000003,0x4f98001f,0x0002fb80,0x00dd0000,0xeeeeefc8,0x00cffffe,
    0x2017e200,0x3e6000fd,0x1f91fd43,0xf0000fc8,0xf500000d,0x3a00003f,
    0x20000006,0x000003f9,0x98001fc8,0x02fb804f,0xdd000000,0xffffc800,
    0x00efffff,0x401fb000,0x7c4005f8,0x7f50fe44,0x3e0007d8,0x7c400006,
    0x80000eff,0x0000006e,0x00000fe6,0x20007f20,0x2fb804f9,0x003a2000,
    0xf9001ba0,0x013fee03,0x701fcc00,0x8bf0005f,0x3745f87e,0x000df000,
    0x5fbafd80,0x006e8000,0x0cffc880,0xe9803f98,0xffffffff,0x001fc81e,
    0xfb804f98,0x0bea0002,0x9001ba00,0x2ff4c03f,0x206e8000,0x4dd0007e,
    0x7c7d85f8,0x01be0005,0x364fb800,0x3740003f,0xfd87a200,0x4f885fff,
    0xeeeed980,0xc80effee,0x4f98001f,0x0002fb80,0x3a000bea,0x00fe4006,
    0x00017f62,0x13e607ee,0x5f73ec00,0x027c5f70,0x0000df00,0x3fd11bea,
    0x00374000,0x7ffc4fe6,0x06f80fff,0x5027c400,0x7f50005f,0x0005f700,
    0x740017d4,0x00fe4006,0x40003fd8,0x01fc85f8,0x07ecf900,0x04f8a7cc,
    0x0001be00,0x3e603fe2,0x0dd0000f,0x3fe3f980,0x0fb06fff,0x204f8800,
    0xfc8003f8,0x002fb801,0x1000bea0,0x1fc800bf,0x003fd100,0x37c0fd80,
    0x3e1f7000,0x1fcdbe06,0x000df000,0x7d405fd0,0x00dd0005,0x3fee3f98,
    0x05f903ff,0x2027c400,0x0ff8005e,0x0002fb80,0xf5000bea,0x01fc8009,
    0x0001be60,0x01fd47f5,0x9f33f500,0x17d47e40,0x000df000,0xfc804fc8,
    0x006e8004,0x2ee21fcc,0x003be600,0x32027c40,0x1be6001f,0x0001fd40,
    0xfd8005f5,0x00fe4002,0x0000ff20,0x0007ecdf,0x03f75f30,0x00fddfd4,
    0x4000df00,0x3fa005fa,0x00374002,0xb8000fe6,0x9f10004f,0x800ef980,
    0xf3000ff9,0x77d4000d,0x00bf5001,0x88003f90,0x320000ff,0x0004f89f,
    0x203f5fcc,0x000fcdf8,0x44001be0,0x3e2000ff,0x01ba000f,0x80007f30,
    0xf88003fd,0x01efa804,0xd000ffe6,0xbd71005f,0x2a027fd4,0xfc8000ff,
    0x04fa8001,0x3f33e600,0x6fc40001,0x7dfd805f,0x0037c000,0x98001fe8,
    0x01ba006f,0x80007f30,0x1001efe8,0x3ea009f7,0xfdb98acf,0xff98003f,
    0xdba9899c,0x7f442fff,0xfdb98ace,0x3bb2001f,0x01deeeff,0x003bdfd0,
    0x000dffd0,0x200fffe0,0xb5007ffb,0xddffdddd,0xdb103bdd,0x405bddff,
    0xdeffeeda,0xfddddb10,0xdddddddf,0x07fddddd,0x37fee000,0xdb9989ac,
    0x2a002eff,0xeffffffe,0x3fa60001,0xefffffff,0x3ffee00b,0x000dffff,
    0x7ffffff4,0xff3003ff,0xff70005f,0x3fa00007,0x6ff9801f,0xfffff700,
    0x5fffffff,0xfffffd10,0x7ffdc07f,0xfd10efff,0xffffffff,0xffffffff,
    0x400007ff,0xffffffd9,0x0002dfff,0x006b32a2,0xbccb9800,0xca88001a,
    0x000000ac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13599753,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdddd7000,0xb303bddd,
    0x545bdddd,0x00ceeeed,0x37bbbb22,0x3bbbbae2,0xeeeeeeee,0x7776d43e,
    0xeed982de,0x77643dee,0xeeeeeeee,0x36600abc,0xeeeeeeee,0xeeeeeeee,
    0x7775c6ee,0xeeeeeeee,0x4eeeeeee,0x3bbbbb66,0x00aceeee,0x3bbbbb20,
    0xeeeeeeee,0x77775c3e,0xceeeeeee,0xedb800ab,0xed9805ee,0x00ceeeee,
    0x3ffffffa,0xfffb83ff,0x3ff65fff,0x2600ffff,0x24ffffff,0xfffffffe,
    0x6fffffff,0x7fffffe4,0xfffffa84,0x3fffe26f,0xffffffff,0xfb80cfff,
    0xffffffff,0xffffffff,0x7fff47ff,0xffffffff,0x5fffffff,0x3fffffee,
    0xffffffff,0xffffd803,0xffffffff,0x7fff44ff,0xffffffff,0x7402ffff,
    0x403fffff,0xfffffffa,0x03f9001f,0x501ff440,0x3fb000bf,0x8006e800,
    0x2fc001fc,0x98807e40,0x7c01ffea,0x40fb0005,0x7c4001fc,0x5440bf05,
    0x3600dfec,0x13ea000f,0x26200fc8,0xf7005ffb,0x7c4001ff,0x01fc8004,
    0xb005ff30,0x27d4005f,0x40037400,0x2fc001fc,0xb8007e40,0x017e00ef,
    0x3f903ec0,0xf05f8800,0x07fe400b,0xf1000fd8,0x007e401f,0xb803fd88,
    0x22005fcf,0x1fc8004f,0x002ff980,0xf1001ff1,0x0dd0001f,0x8003f900,
    0x00fc805f,0x5f817ee0,0x640fb000,0x2fc4001f,0x7dc005f8,0x2001fb04,
    0x07e402fd,0x7003fa00,0x2003fb5f,0xfc8004f8,0x00ffd401,0x36013ea0,
    0x0dd0002f,0x8003f900,0x00fc805f,0x5f807ec0,0x640fb000,0x2fc4001f,
    0xfd8005f8,0xa800fd81,0x00fc805f,0x2e017d40,0x1006f8af,0x3f90009f,
    0x00077dc0,0x3ea02fd8,0x01ba0005,0xf0007f20,0x001f900b,0x0bf02fb8,
    0xfc81f200,0xf04f8001,0x0df1000b,0xef8801fb,0x000fc800,0x3ee027cc,
    0xf1007f92,0x03f90009,0x80003bf2,0xfe880ef8,0x01ba0000,0xf0007f20,
    0x001f900b,0x0bf03f98,0xfc80a600,0xf01a8001,0x0bf2000b,0x03fd00f9,
    0x70003f20,0x22fb805f,0x27c400fe,0x6c0fe400,0xa80000df,0x002fc84f,
    0x64003740,0x02fc001f,0x2e0007e4,0x640bf01f,0x03f90003,0xbf000362,
    0x113e2000,0x004fb803,0xfb0003f2,0x2a2fb801,0x027c404f,0xfb10fe40,
    0xfd80000b,0x00017e61,0x3f2001ba,0x402fc001,0x3f4000fc,0x037c0bf0,
    0xf501fc80,0x005f8005,0xf3001be0,0x00fc800d,0x2e017f20,0x100fec2f,
    0x3f90009f,0x00013fa2,0x0fe9be20,0x006e8000,0x7c001fc8,0x000fc805,
    0x05f817ee,0x7e4001be,0x8005f701,0x1f60005f,0x000fe880,0x2a2007e4,
    0x5f7005fd,0x3e206f98,0x89fc8004,0x0003fffe,0x3fccfb80,0x00dd0000,
    0xdddddf90,0xfddddddd,0x001f900b,0xff803bf2,0x6feeeeee,0xdddf9000,
    0x005fdddd,0x320005f8,0x07f9000f,0xddddf900,0x9ffffddd,0x6417dc00,
    0x009f102f,0x75ff7f90,0x00003dfd,0x0005ffd8,0x32001ba0,0xffffffff,
    0x05ffffff,0x75100fc8,0xff803ffd,0x6fffffff,0xffff9000,0x005fffff,
    0x320005f8,0x05fa800f,0xfffff900,0xdfffffff,0x20bee005,0x4f880ff8,
    0x1fffc800,0x0000ffdc,0x0001ff10,0x64003740,0x02fc001f,0x7fffffe4,
    0x003fffff,0x0037c0bf,0x5f701fc8,0x0005f800,0xff1003f2,0x03f20001,
    0xefeba988,0xa817dc00,0x004f884f,0xf301ffc8,0x7400001d,0x37400006,
    0x000fe400,0x3bf2017e,0xbcdeeeee,0xf817e000,0x03f90006,0xbf000bee,
    0x403ec000,0x320002fd,0x3f62000f,0x80bee00e,0x027c41fe,0x2600fe40,
    0x3a00005f,0x37400006,0x000fe400,0x03f2017e,0x40bf0000,0x3f90005e,
    0xf0007ea0,0x02fc000b,0x900013ee,0x7f70001f,0xf3017dc0,0x8004f88b,
    0x2fc801fc,0x00dd0000,0x8006e800,0x2fc001fc,0x00007e40,0x008817e0,
    0x0403f900,0x0017e010,0xdf301fcc,0x7e40be00,0x40dd0000,0x17e402fb,
    0xf90009f1,0x00ff1003,0x0001ba00,0xf9000dd0,0x805f8003,0x400000fc,
    0x9000005f,0x0fe0003f,0x7dc0017e,0x2007fa01,0x01f904f8,0x5c07f200,
    0x137c402f,0x3f90009f,0x000fee00,0x00001ba0,0x3f9000dd,0xc805f800,
    0x7c00000f,0xf9000005,0x09f10003,0x3fa000bf,0x2007f900,0x01f904f8,
    0x5c0bea00,0x14fb802f,0x3f90009f,0x00037c00,0x20000374,0x1fc8006e,
    0x6402fc00,0x7c00000f,0xf9000005,0x09f10003,0xbf9000bf,0x88017ea0,
    0x001f904f,0x7dc03f20,0xf11fd002,0x03f90009,0x0000fe40,0xd00001ba,
    0x03f9000d,0xfc805f80,0x2fc00000,0x1fc80000,0xf84f8800,0x07fdc005,
    0x10007fc4,0x003f209f,0xfb81ba20,0xf1bf3002,0x03f90009,0x0002fcc0,
    0xd00001ba,0x03f9000d,0xfc805f80,0x2fc00000,0x1fc80000,0xf84f8800,
    0x0bfea005,0x220017ec,0x001f904f,0x2e03fe88,0x2bf6002f,0x1fc8004f,
    0x0007f400,0x80000dd0,0x1fc8006e,0x6402fc00,0x7c00000f,0xf9000005,
    0x09f10003,0xffb300bf,0x0013ea03,0x07e413e2,0x04fea880,0xf10017dc,
    0x3b2009ff,0x2deeefee,0x16f77d40,0xfeeeed98,0x02deeeef,0x3bbbbbb2,
    0xeeeeeeff,0x3bfbb6a4,0xeed982de,0x3b23eeff,0xeeeeeffe,0xed9800de,
    0xeeeeeffe,0x7764003e,0xeeeeeeff,0xeeeeeeee,0xdffdb34f,0xffdddddd,
    0x77dc01bf,0xeeeeeeee,0x24feeeee,0xeeeffeec,0xfeeeeeee,0x3bb203ff,
    0x402deeef,0xfd004ffb,0x7fffffff,0x09ffff00,0x3fffffea,0x03ffffff,
    0x3ffffffa,0xffffffff,0x3ffffee6,0xfffa83ff,0xfd15ffff,0xffffffff,
    0xff5003df,0xffffffff,0xffe800bf,0xffffffff,0xffffffff,0xfffff54f,
    0x9dffffff,0xffff7003,0xffffffff,0x7f49ffff,0xffffffff,0x0adfffff,
    0x7fffff40,0x4fe803ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1f7775c0,0x77774c00,
    0x3bbb6604,0x003eeeee,0x47372a00,0x00001101,0x00800000,0x20000440,
    0xcdeeecb9,0x32a20000,0x041bcded,0xdedba880,0x730000ac,0x80379dd9,
    0x01999998,0x06666660,0x1bffffa0,0x3ffff600,0xffff700f,0x00dfffff,
    0xffffb100,0x7fd03fff,0x00000000,0x4009f910,0xfc98005d,0xfffeffff,
    0xffb8003f,0xcfffffff,0x7d400fb8,0xffffffff,0x3ff62004,0x0dffffff,
    0xffffffb0,0xffff5003,0x3fa009ff,0x3e6002fb,0x2a0007dc,0x0001fcaf,
    0x6cc5f7f4,0x5dff303f,0x00000000,0x8003bfee,0xefd8006e,0x7f5440ac,
    0x5dfd1004,0xeffea883,0x7ffb100f,0x1efea883,0x056ffd40,0x305ffb51,
    0x00799fd7,0x2fbf32e2,0xdf1fd000,0x3ecfe400,0xf31fb000,0x2fdc0009,
    0x3dff7000,0x20000000,0x8002ffea,0x0088006e,0xd100bf60,0x3fea009f,
    0x019fd00f,0x2a03ff50,0xffa802ff,0x0003f702,0x3a001fcc,0xf1003f97,
    0x44001f6b,0x8001fa5f,0x440001fd,0x0000dffc,0x7ffd3000,0x00374000,
    0x027c4000,0xf5000bf2,0x009f901f,0xff886fa8,0x03fe2000,0xb8000bea,
    0x8bf4001f,0xb2fb805f,0x8bee000f,0xfd0002fb,0x7ecc0000,0x000000cf,
    0x0019ffb1,0x00006e80,0x7cc0df00,0x81fd0005,0xf70005f9,0x8002fd87,
    0x04f885fa,0x1f601991,0x0fd9fa00,0x00fb3740,0x0bf11fa0,0x0003f600,
    0x07ffd500,0x7fe44000,0xdd00001d,0x3a000000,0x0007f606,0x00fec3dc,
    0x27ccff00,0xd03fb000,0x40bfee0d,0x27e8006e,0x8fea03f9,0x4f98007d,
    0xb8000fd8,0x7000003f,0x80005dff,0x0002effb,0x80003740,0x37419998,
    0x00000df0,0xfc8000dd,0x40003f70,0x80fc82fa,0x4f885ffe,0x3f47e800,
    0x03ec1fb0,0x7d40fe40,0x00dd0003,0xeffc8000,0x7ff54001,0xdd000002,
    0x7fed4000,0xfdefffff,0x0009f106,0xcccef880,0xcccccccc,0x91fdcccc,
    0x7c40001f,0x7c41fb84,0x17d40fdd,0x3ea3f400,0x3ec4f982,0xdf037c00,
    0x00fe6000,0xff910000,0xffe9801b,0x74000003,0xffea8006,0xecccbcde,
    0x07f306ff,0xfff98000,0xffffffff,0xffffffff,0xf0000dd3,0xfb87f30d,
    0x0fdc3faa,0x37c3f400,0x01f60fe4,0x7e407f50,0x0ff98001,0xd9800000,
    0x7ec40cff,0x980000cf,0xf9999999,0x9999999e,0x0067fd41,0x07f306f8,
    0x9cf88000,0x99999999,0x99999999,0xf0000fd0,0x4fd17e0b,0x8003ec5f,
    0x221fb87e,0x4007d85f,0x13e600fd,0x5fffd880,0x2a000000,0xfff72fff,
    0x3fa00003,0xffffffff,0xffffffff,0x003ff36f,0x09f106e8,0x00dd0000,
    0x000fc800,0x3ec13e60,0xf07ecbf1,0x21fa000b,0x20bee5f8,0x17e2007d,
    0x74401fa0,0xb82fc9ef,0xa80002ef,0x7fdc2efe,0xc980001e,0xfccccccc,
    0xcccccccf,0x0005f91c,0x0037c0dd,0x0007ec00,0x0005f700,0x0fc817d4,
    0x89fd45f7,0x0fd0003f,0xd83743f2,0x00bee007,0x3f200bee,0xfd03fe23,
    0x74c0005d,0x3f2203ff,0x000000df,0x0fd00374,0xfd81ba00,0x7dc00001,
    0x3e600004,0x03fa0005,0xf87e97d4,0x20005f56,0xf59f307e,0xe801f607,
    0x00bf1007,0x4c9f50dd,0x3620006f,0xb3000cff,0x000019ff,0x7e801ba0,
    0x206fb800,0x260006f9,0x0002fd84,0x2000ff20,0x33e204fb,0xc8fc84f8,
    0x0fd0000f,0xd807f7ec,0xffff1007,0xffffffff,0x27cc01ff,0x07f71fd8,
    0x1bff9100,0x3ffaa000,0x6e800003,0x400ff200,0x6406ffd8,0xffc8004f,
    0x0007fc40,0x07fa0e4c,0xe806f980,0xbfa82fbe,0x1fa0006d,0x3604ffa8,
    0xdddf7007,0xdddddddd,0x0fdc07fd,0x01fd6f88,0x01effb80,0x5dff5000,
    0x03740000,0xf500df50,0xfd00dfbf,0xffd5001b,0x00ffea03,0x2617fecc,
    0xffc804ff,0x07efd801,0x80017fbe,0x0066407e,0x01ba00fb,0x1fb81ba0,
    0x017f7ee0,0x002ffea8,0x3dff7000,0x00dd0000,0x989befc8,0xfd2ffecb,
    0xfb101bdd,0x9731359f,0x9801bffd,0x989abefe,0x02fffdca,0x1157dfd3,
    0x001dfd95,0xfc813fee,0x1fa0003f,0x201f6000,0xfb8003f9,0xe807f501,
    0xfe9800ff,0x8000003f,0x000dffc8,0x2e001ba0,0xffffffff,0x3ffffa0c,
    0x3fffea01,0x00cfffff,0x7ffffdc0,0x002dffff,0xfffffff7,0xff98007f,
    0x007fe602,0x80007e80,0x00fc807d,0xf104f880,0x406fc80d,0x000cffd8,
    0x7ecc0000,0x6e8000cf,0x99751000,0x98000035,0x009accba,0x5e5d4c00,
    0x2a60000a,0x00001acc,0xfd000000,0x00fb0000,0x7ec000bf,0x2e09f700,
    0xfc882fff,0x000001df,0x1fff5400,0x0001ba00,0x00000000,0x00000000,
    0x00000000,0x07e80000,0x5407d800,0x3ea0002f,0x22bbf602,0xefe9efca,
    0x005dfb1d,0xb8000000,0x1ba003ff,0x00000000,0x00000000,0x00000000,
    0x80000000,0x7d80007e,0x00007ec0,0xffc80bf1,0xff50efff,0x0000aa5f,
    0xb8800000,0x0006a001,0x00000000,0x00000000,0x00000000,0xdb100000,
    0x01bdddff,0xeffeeec8,0xdffdb31d,0x6c401bdd,0x1deffeee,0x00379710,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,
    0x1fffffff,0x3ffffa20,0xfff53fff,0x401dffff,0xffffffe8,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99988000,0x99998801,0xddd95000,0x4c40439b,0x22009999,
    0x22099999,0x99999999,0x80999999,0x20099998,0x33101cb9,0xceeca883,
    0x0999800a,0x2a073b6a,0x4cc02dec,0x20099999,0x19999998,0x2e003100,
    0xa983cccc,0x00002aaa,0xff800000,0x3e601fff,0x5c06ffff,0xffffffff,
    0x7f43faef,0x980fffff,0x26ffffff,0xfffffffc,0x5fffffff,0x37ffffcc,
    0x77ffffdc,0x47fffe22,0xfffffffa,0x3ffee01f,0xfffffd8e,0x3fffff62,
    0xfffff904,0xff301fff,0x09ffffff,0x3f600fb0,0xffd84fff,0x0ae005ff,
    0x7ffffcc0,0x3ffffe60,0x0ff664c1,0x1bf332e0,0x981bffc8,0x5cc4fffc,
    0x2a02cdff,0x321bffdc,0xccccccdf,0x83ffcccc,0x226fccca,0xfa8acffd,
    0x27fb2a1f,0x2e21befc,0xf97101ff,0x3aa39fdf,0xd51cfd9f,0xfd97103f,
    0x6540599b,0x00bcefdc,0xff9007d8,0xfff887ff,0xff3001ff,0xffff1003,
    0xfffff88f,0x0007ee00,0x03fe60df,0x5413fe60,0xfe8800ef,0x9001fc82,
    0x4dba009f,0x1d980dff,0x405fefb8,0xffe807f8,0x83fffa84,0x27d405fa,
    0x000fe400,0x7fdc01f6,0x7ffd42ff,0xffd1005f,0xffff001d,0x0fffff0d,
    0x7c001fb8,0x4007f906,0x3bea04fc,0x40bfa200,0x5fb801fc,0x3febba00,
    0xbff70002,0xd007ee00,0x17fe20bf,0x0fe806f8,0x001be200,0x7fcc01f6,
    0x7ffe41ff,0x75fb000f,0xfffd00bf,0x0bfffd0b,0x7c001fb8,0x8003f906,
    0x0ffd403f,0xf5017fcc,0x800df500,0x0001fffe,0xf88017ee,0x3a03f404,
    0x201f600f,0x3ee003fb,0x1f601102,0x3fffe208,0x027fff40,0x13f24fc8,
    0x909fffb0,0xfb809fff,0x9837c001,0x3000005f,0x0ffcc3ff,0x077d4000,
    0x003bfa00,0x8003f700,0x2037405f,0x803ec07e,0x81fa006f,0x9f60bdfe,
    0x3e0ffda8,0x7ffc47ff,0x86fa800f,0x3ff202fe,0x3fffb83f,0x2000fdc0,
    0x2fbf606f,0x7cc00001,0x001ff99f,0x000ff980,0x80000ee8,0x2fc001fb,
    0x0fd01ba0,0x5f9007d8,0x5409f500,0xfebefffd,0x43efffda,0x7fdc6ffe,
    0x0ff9803f,0xf700ff88,0xfff503ff,0x001fb805,0x3fee037c,0x01bcdeff,
    0x3fffe600,0xff880001,0x00dd0001,0x0007ee00,0x406e80bf,0x803ec07e,
    0x0fd805f8,0xfffdb880,0xb00befff,0x7ffd8bff,0x201fe880,0xff980efa,
    0x1fff980f,0x2000fdc0,0xdca8806f,0x02effffe,0x007ff700,0x005fd100,
    0x80003740,0x2fc001fb,0x0fd01ba0,0x3f6007d8,0x0017e601,0x003bff22,
    0xfff13ff2,0x007fb007,0xfff10bf7,0x003ffe20,0x6f8003f7,0x3f2a6000,
    0x7fd4004f,0x6c0002ff,0x3740003f,0x01fb8000,0x1ba02fc0,0x07d80fd0,
    0xfc813e60,0xeff88001,0x3ffb802f,0x3201bfe6,0x0ff6004f,0x7ff81bfe,
    0x4001fb80,0x9100006f,0x3bea00bf,0x0002fe88,0xd00009fb,0x3ee0000d,
    0x202fc001,0x203f406e,0x07ec007d,0xd80037c4,0x400ff9af,0x3ff21ffa,
    0x0037c402,0x13f61fa2,0xfb805fd8,0x0037c001,0x5003f200,0x17f441df,
    0x0013f200,0x80003740,0x2fc001fb,0x0fd01ba0,0x7d4007d8,0x8002fb83,
    0x017ee4fb,0x009f71be,0x9818000a,0x0032200c,0xdf0007ee,0x26000d50,
    0x03bee02f,0x5c00bfa2,0x8018805f,0xf700006e,0x405f8003,0x203f406e,
    0x87e8007d,0x6f98007e,0x30003fd8,0x00000000,0x1fd40000,0xf90df900,
    0x05f50005,0xe8803bee,0x037d403f,0x37400fb8,0x01fb8000,0x1ba02fc0,
    0x07d80fd0,0x3ea2fb80,0x81fe8003,0x00000fe8,0x2aaaaa60,0xaaaaaaaa,
    0x0aaaaaaa,0x37cc0000,0x437fec40,0xfd8005fc,0x800efb80,0xdf303fe8,
    0x007ee001,0x2e0000dd,0x02fc001f,0x80fd01ba,0x6f88007d,0xd10003f6,
    0x000f4c05,0xffffb000,0xffffffff,0xffffffff,0x00007eab,0xff9807fa,
    0xdffc86fd,0x84fd8800,0x22000efc,0x07fcc3fe,0xe803f700,0x3f700006,
    0x7405f800,0x3603f406,0x33f90007,0x0000009f,0x54400000,0xaaaaaaaa,
    0xaaaaaaaa,0x5ff30aaa,0xdff98000,0x2ffeca8a,0x3f23bdff,0x88abcffe,
    0x5c5ffca9,0x04eeeffe,0x3bffbbb2,0xddddffd3,0xdddddddd,0x3bbb223f,
    0xeeeeeffe,0xdb503eee,0x201bddfd,0x0deffed9,0x3bdffdb3,0xb03bdfd0,
    0x44003bdf,0x0001feef,0x00000000,0x26000000,0x540004ff,0xdfffffff,
    0x547fffe0,0xfffffd36,0xf905dfff,0x01dfffff,0xffffffd1,0x3fffffe9,
    0xffffffff,0xffff31ff,0xffffffff,0x3ee09fff,0x01ffffff,0x3ffffff7,
    0x3fffffea,0x82fffe82,0x4002fffd,0x00005ffd,0x00000000,0xe8800000,
    0x5440005f,0x80001bcc,0x1abccba8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37f62000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x000003fd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffec00,0xffffffff,0xffffffff,0x00004c04,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x332a0000,
    0xcccccccc,0xcccccccc,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_49_usascii_x[95]={ 0,10,5,3,4,3,5,10,12,6,0,3,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,3,
3,4,3,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,3, };
static signed short stb__courier_49_usascii_y[95]={ 36,8,9,7,7,9,13,9,9,9,9,12,29,22,
30,6,8,9,8,8,9,9,8,9,8,8,17,17,12,19,12,10,8,11,11,10,11,11,11,10,11,11,11,11,
11,11,11,10,11,10,11,10,11,11,11,11,11,11,11,9,6,9,8,46,7,17,9,17,9,17,9,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,17,17,17,17,17,17,9,9,9,20, };
static unsigned short stb__courier_49_usascii_w[95]={ 0,6,16,19,18,20,17,6,8,8,17,20,10,20,
8,18,18,18,18,18,17,18,18,17,18,18,8,11,21,22,21,16,17,26,23,22,22,22,22,23,22,18,23,24,
22,26,25,22,21,22,25,20,20,24,26,26,24,22,18,8,17,8,18,27,8,21,24,21,24,21,20,23,23,20,
15,21,20,26,22,20,24,24,21,18,20,23,24,24,22,22,17,9,2,9,20, };
static unsigned short stb__courier_49_usascii_h[95]={ 0,29,13,32,34,28,24,14,33,33,17,23,14,4,
7,34,29,27,28,29,27,28,29,28,29,29,20,24,23,9,23,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,32,25,27,25,26,25,25,25,25,25,33,34,33,13,2,8,20,28,20,28,20,27,28,27,28,
37,27,27,19,19,20,28,28,19,20,26,20,19,20,19,28,19,33,33,33,7, };
static unsigned short stb__courier_49_usascii_s[95]={ 238,212,237,132,36,178,55,200,123,114,182,
117,207,223,214,17,193,237,218,219,160,199,1,238,20,39,244,239,95,218,73,
199,175,28,201,216,159,136,113,1,68,49,71,1,221,1,225,137,91,152,95,
178,175,25,121,148,196,26,182,105,55,93,218,223,241,138,153,160,104,182,95,
129,71,83,1,49,116,130,107,204,58,1,85,25,50,1,157,225,44,26,67,
83,102,73,193, };
static unsigned short stb__courier_49_usascii_t[95]={ 30,1,178,1,1,39,152,178,1,1,178,
152,178,31,31,1,1,39,39,1,69,39,39,1,39,39,98,69,152,192,152,
69,1,152,126,69,126,126,126,98,126,126,98,126,98,152,126,69,126,1,98,
69,98,98,98,98,98,126,126,1,1,1,178,36,192,152,39,152,39,152,69,
39,69,39,1,69,69,178,178,152,39,69,178,178,98,178,178,152,178,69,178,
1,1,1,31, };
static unsigned short stb__courier_49_usascii_a[95]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_49_usascii_BITMAP_HEIGHT or STB_FONT_courier_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_49_usascii(stb_fontchar font[STB_FONT_courier_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_49_usascii_BITMAP_HEIGHT][STB_FONT_courier_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_49_usascii_s[i] + stb__courier_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_49_usascii_t[i] + stb__courier_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_49_usascii_x[i];
            font[i].y0 = stb__courier_49_usascii_y[i];
            font[i].x1 = stb__courier_49_usascii_x[i] + stb__courier_49_usascii_w[i];
            font[i].y1 = stb__courier_49_usascii_y[i] + stb__courier_49_usascii_h[i];
            font[i].advance_int = (stb__courier_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_49_usascii_s[i] + stb__courier_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_49_usascii_t[i] + stb__courier_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_49_usascii_x[i] + stb__courier_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_49_usascii_y[i] + stb__courier_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_49_usascii_LINE_SPACING
#endif

