// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT        148
#define STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_37_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_37_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_37_usascii_LINE_SPACING          17

static unsigned int stb__courier_bold_37_usascii_pixels[]={
    0x004ccb80,0x0ae20000,0x57100000,0x01881500,0x2ea0e4c0,0x66665c01,
    0x7176402c,0x665c407d,0x00801ccc,0x3772a200,0x0020001b,0x00440008,
    0x10001000,0xfffd0000,0x0007f901,0x0007fe40,0x3f25fb00,0xd1ff601f,
    0xffd300bf,0x02fffd4d,0x5ffffffd,0xff9bff20,0xffffb02f,0x3b2207ff,
    0x2e003dff,0xefffffff,0xffd93001,0xdfb1017b,0x3ffb2205,0x98001dff,
    0x203dffdb,0x0defffda,0x0fffe800,0x0007ffcc,0x002ffe80,0x36dff700,
    0x3ffe02ff,0xd00fff31,0x7fdcffff,0xfffd04ff,0xff305fff,0x07fff49f,
    0x7fffffec,0xffffe983,0x7ec404ff,0xffffffff,0x7ffcc03f,0x5c0effff,
    0xffb86fff,0x4fffffff,0xfffff300,0xfd885fff,0x3fffffff,0x07776400,
    0x00027ffc,0x456fffcc,0x3ffa0001,0x7c07ffd4,0x0fff51ff,0x41cfffa8,
    0xfd07ffeb,0x320599bf,0x3fea1fff,0xfccb883f,0x7ffcc3ff,0x04ffebad,
    0x2f7ffff6,0x02ffffec,0xfffffff3,0xfffe8bff,0x3fffee1f,0x3fffffff,
    0x7ffffd40,0x7ec3ffff,0xffffffff,0x5c00002f,0x30000fff,0xfffffffb,
    0xff5000bf,0x40fffa1f,0xff51fff8,0x04ffd80d,0x7f40fffc,0x7ffc402f,
    0x806ffe85,0x7fec3ffd,0xf707fd82,0xff501bff,0xfffd01ff,0x7fffd73b,
    0xb0fffff4,0x95137fff,0x2a01fffd,0x89bdffff,0x77ffd43b,0xffffda9b,
    0x3e200000,0xfa8003ff,0xffffffff,0x7f4000ff,0x40fffa5f,0xff70fff8,
    0x03ffe80d,0x7f417ffc,0x7ffe402f,0x02fffb81,0xff11ffec,0x307fea07,
    0xf880bfff,0x7ffcc5ff,0x366ffd82,0x3ea0ffff,0x5fff301e,0x03ffff50,
    0x541fff60,0xaaa82fff,0x2aaaaaaa,0x8007ffc8,0xfddffffe,0x2001ffff,
    0x3fa1fffa,0x4fff303f,0x7f405ffb,0x17ffc03f,0xf1017ff4,0x7ffc0dff,
    0x91ffec06,0x1ffc01ff,0x2003fff2,0x3f61fffb,0x1fff105f,0x021ffff2,
    0xf113ff60,0x74003fff,0x3ffa03ff,0x7fffff44,0x887fffff,0x26003fff,
    0xff982fff,0x3ff6000f,0x981fff45,0x17ff27ff,0xf807ffd0,0x2ffe82ff,
    0x80bffea0,0x3601fffb,0x81bf63ff,0x7ff43fe8,0x8bffa003,0x3f601fff,
    0x0ffff92f,0x90fffa00,0xe8003fff,0x3ffa03ff,0x7fffffc3,0xb07fffff,
    0x7dc00dff,0x017ee05f,0x742fff98,0x7f6543ff,0xffffeeff,0x07ffd02d,
    0xfe82fff8,0x1fff202f,0x407fff10,0x13fa3ffd,0xf0ffffb2,0x7e4003ff,
    0x01fff14f,0xffba7fdc,0xffc8006f,0x13ffe21f,0x41bff200,0x64c1fffa,
    0xfeeeeeee,0x5fff307f,0x03ffe600,0x6ffd8000,0x3e63ffe8,0xffffffff,
    0xe82fffff,0x7ffc03ff,0x202ffe82,0xff806ffd,0x8fff604f,0x3ffa63ff,
    0x3fe23fff,0xaffdc007,0x7d407ff9,0x0bfff56f,0xfffdcb88,0x4fffcc5f,
    0x203efed9,0x98befffa,0x8006fffc,0x3f607ff9,0x3ffa006f,0x20001bdf,
    0xfe82fff8,0x3fffe23f,0xffffffff,0x2ffe82ff,0x7417ff40,0x3ffe02ff,
    0x05ffe805,0x7fc4fff6,0x3afbffa1,0x01ffea3f,0x3eadff50,0xbffd407f,
    0x6405fff9,0x0effffff,0x7fe7ffd4,0x901effff,0xffffffff,0xf30003ff,
    0x7ffcc0ff,0xffff7001,0x8005bfff,0xffd06ffc,0xeffeb987,0x1bdfffcc,
    0x00fffed4,0xe833fff6,0xfff102ff,0x0fffb007,0xff89ffec,0x7f47ff51,
    0x003ffe63,0xff55ffb8,0x37ffa80f,0xfc809fff,0xb86fffff,0xffffffff,
    0xff00ffff,0x9fffffff,0x1ffe6000,0x400bffd0,0xfffffffb,0xff8801ef,
    0x07ffd03f,0xfff93ff2,0x6ffffa82,0x6ffff980,0x7cc0bffa,0xffc802ff,
    0x27ffb00f,0x8df91ff8,0x3ffe23fe,0x53ff2001,0x7d407ffa,0x07fff17f,
    0xfffeda88,0x7fffdc5f,0xfffeabff,0xfffffc85,0x001fffff,0x5407ff98,
    0x22001fff,0xfffffeda,0x3ffe400e,0x3607ffd0,0x07ffe4ff,0x017fffea,
    0xe9bfffe6,0xfff302ff,0x1fff7005,0x7c4fff60,0xfe8df91f,0x8027ff43,
    0xff33fff8,0x26ffa80f,0x44003fff,0x3ea4fffe,0xffc86fff,0x3fffea1f,
    0xffffebad,0x3ffcc000,0x002fff40,0x9fffd510,0x01fffc40,0x3f607ffd,
    0x03fff13f,0x007fffae,0x743bfffb,0xfff102ff,0x0fffb007,0xff89ffec,
    0x7f47ff51,0x00fffdc3,0xf887ffe4,0x3fee00ff,0x0007ffa5,0xff137fec,
    0xfff101ff,0x407fff45,0x4003fffb,0xfb807ff9,0x02e600ff,0x5c0bffb0,
    0x3fa00fff,0x3ffb6a3f,0xefffeeef,0x05fff01d,0xfe83ffe8,0x13ffe02f,
    0xd81bffa0,0x45ff13ff,0x4ffdfffe,0x0077ffc4,0xfe87fff7,0x93ff201f,
    0x260005fa,0x3ffe0fff,0x453ff603,0x3fa03fff,0x7fcc005f,0x09fff007,
    0x3ee02ffc,0x13ffe06f,0x7f47ffd0,0xffffffff,0xfd05ffff,0x2fff807f,
    0x3a02ffe8,0xfff805ff,0xe8fff604,0x3fffa63f,0x7fd40fff,0x3f620aff,
    0x4ffc86ff,0x000fffe0,0xe87ffe00,0x3ff603ff,0x401fff34,0x4c006ffb,
    0xff7007ff,0x3fff301f,0xa82fff40,0x7f400fff,0x3ffff63f,0xffffffff,
    0x07ffd04f,0xfe82fff8,0x1fff602f,0x407fff10,0x13f63ffd,0x40f7776e,
    0xfefffffc,0xa81fffff,0xffb80fff,0x4c00000f,0x7ffec7ff,0x23fff880,
    0x3f602fff,0x7fcc005f,0x7fff1007,0x39ffff50,0x7fffd931,0x2017ffa0,
    0x7dcc3ffe,0xfffcabff,0x0fffa00a,0xfd05fff0,0x7ffdc05f,0x07ffee01,
    0x3ee3ffd8,0xffb80005,0xefffffff,0x5dfff100,0x013fff22,0xa880ef4c,
    0x7fcc5fff,0x3ff661df,0x2bbff61f,0x0bffee60,0x00fff300,0x7d43ffe4,
    0xffffffff,0xff506fff,0x7ffd003f,0x2a1fff10,0xffe806ff,0x417ffc03,
    0x3e202ffe,0x3ffa05ff,0x51ffec06,0x100003ff,0x9dfffffd,0xfffff500,
    0xa81fffff,0x3fff60cd,0xffffeeef,0xfffd81ff,0x5fffffff,0x77ffffd4,
    0x00ffffff,0x003ffcc0,0xf887fff1,0xffffffff,0xffd00dff,0x0fffa00b,
    0xffb9ffe6,0x03ffe805,0x7f417ffc,0x7ffe402f,0x03fffa81,0xff11ffec,
    0xff30000b,0x15105dff,0xffffffb0,0xfff883ff,0x3ffffea3,0x1fffffff,
    0xfffffd10,0xf501dfff,0xffffffff,0xff30001d,0x6ffc800f,0xffecadb8,
    0x3e602dff,0xffd001ff,0x64fff307,0xffe805ff,0x417ffc03,0x7c402ffe,
    0xfffe85ff,0x21ffec00,0xfe984ffb,0x3fffe600,0xfdbdffff,0xfffd705f,
    0x3ffa03df,0x7fffed42,0x400dffff,0xffffffc8,0x7ffecc04,0x0000ceff,
    0x9800dff9,0xfe802fff,0x6ffd803f,0x20fffa00,0x3ff27ffa,0x1effc804,
    0xd01fff70,0x6c0137ff,0x3fea0fff,0x3fa6604f,0xdfffe83f,0x200fffed,
    0xfffffffe,0x05ffffff,0x22005544,0x2aa6201a,0x9880009a,0x4c0009aa,
    0x440000aa,0xd8004fff,0xffe806ff,0x17ffcc03,0x505ffb00,0x27fecdff,
    0x2ffffd40,0x209ffff3,0x0efffffe,0x364fff98,0xffb80fff,0xd883ffff,
    0x1fffffff,0x3ffffe20,0xffffffff,0x0000000e,0x00000000,0xaaa80000,
    0x1ffffdba,0x2fff9800,0x201fff40,0x6c006ffc,0x5ffa82ff,0x6400bff6,
    0x3fee7fff,0xfffd01ff,0x3f207fff,0x40fffe6f,0x3ffffffe,0x0b332a20,
    0x10566d40,0x00017d95,0x00000000,0x00000000,0x3ffffffa,0x20003fff,
    0x7e405ffe,0x3ffe201f,0x077d4003,0xdd30fec4,0x27f5c001,0x74017fd1,
    0x00efffff,0x04fc8bf6,0x3fffffaa,0x00000003,0x00000000,0x00000000,
    0x3fe20000,0x3fffffff,0x2ffcc000,0xf1017e60,0x000000df,0x00000000,
    0x00266662,0x26620000,0x00000099,0x00000000,0x00000000,0x54000000,
    0x0aceeeed,0x01950000,0x00e54000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000400,
    0xdedca800,0x1555550c,0x31aaaa88,0x0059bdb9,0x9ef76dcc,0x000aaaa9,
    0x033332a0,0x66666644,0x000bcccc,0x66654004,0xcccccccc,0x155302cc,
    0x66664c00,0x55440002,0x555101aa,0x99995035,0x14400003,0xcfffec88,
    0x3b2a2000,0xfffd3003,0xfff9ffff,0xffff8dff,0xfffffdef,0x7dc01eff,
    0xefffffff,0x000fffff,0x1fffffb8,0xffffff30,0x80bfffff,0xceffedb8,
    0xfffffc80,0xffffffff,0x7ffff4c4,0xffff8803,0x3e20004f,0x445fffff,
    0x25ffffff,0x02fffffa,0x3fff7000,0x7fffff44,0x3b2a02ff,0xb803ffff,
    0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0xfffd02ff,0xffffffff,
    0x0003ffff,0x03fffff7,0x3fffffe6,0x205fffff,0xffffffe8,0x7ffe42ff,
    0xffffffff,0x3ffe24ff,0x4402ffec,0x004fffff,0x3ffffe20,0x7fffcc6f,
    0x3ffea6ff,0xf00002ff,0x3fe29fff,0xffffffff,0xfffffe81,0x7fd403ff,
    0xffdbbdff,0x41ceffff,0xfffffeda,0xfffecace,0x7fffdc1f,0xffffcbac,
    0x20003dff,0x301fffca,0x99999fff,0x3e601799,0xffffffff,0x3bfee1ff,
    0xfccccccc,0x837f24ff,0xeb9807fb,0x540004ff,0xb81cfffe,0x4c1dfffe,
    0x0002fffb,0x327fffd0,0xfd9aefff,0x7ffcc7ff,0x203fffff,0xb01ffff8,
    0xb805ffff,0xf503ffff,0x7ffccdff,0xffff980d,0x3fe00004,0x0fff301f,
    0x77fff400,0x6fffdb9b,0xf880bfe6,0x20bf62ff,0xff9000ff,0xff500009,
    0x37fec03f,0x000bffa0,0x445f6cc0,0xff984fff,0x4defec2f,0x3ea03ffe,
    0x7fec01ff,0x7ffdc02f,0x8fffdc04,0x2a00fffb,0x00004fff,0x7cc07ffe,
    0xff30007f,0x3ffee05f,0xff700661,0xfe81fe8f,0x09ff9001,0x1bffa000,
    0x201fffcc,0x00002ffe,0x407ffea0,0xfd806ffd,0x1bff203f,0x00bffe60,
    0xd001fff7,0x13ff67ff,0x4013ffa0,0x0bdeeca8,0x3e603fff,0xff70007f,
    0x03fff80b,0x3227fec0,0x003fcc4f,0x37269ff9,0xf3002cde,0xdffb05ff,
    0x915ffd00,0x00059bdb,0x2a06ffb8,0xffd807ff,0x00fff603,0x2e017ffc,
    0xff9006ff,0x200bffa9,0xfa804ffd,0xcfffffff,0xff301fff,0x39dfdb9f,
    0x20076c40,0x22003ffe,0x7fcc2fff,0x004ffcad,0x3ff7bff2,0x00efffff,
    0x7cc6ffe8,0xffe803ff,0xfffffffe,0x3fee0004,0x03ffe606,0x6407ffb0,
    0xffa806ff,0x7ffdc02f,0x9fffc401,0xfd803ffe,0x7ffe404f,0xffffffff,
    0xfff301ff,0x9fffffff,0xfff98000,0x1ffee002,0x2fffffd4,0x3f20dd93,
    0xffffffff,0x4c02ffff,0x3ff62fff,0xffffd006,0xbfffffff,0x3ffea000,
    0x03fffd01,0x2a03ffd8,0x7f403fff,0x7fdc02ff,0x7ffe405f,0x880bff91,
    0x3ea04fff,0xfcabcfff,0x301fffff,0xffffffff,0x20009fff,0x000fffe8,
    0xb8813ffa,0xfffc9acd,0xffff906f,0xffb759df,0xffd801ff,0x005fff36,
    0x33bffffa,0x00ffffca,0x83fff880,0x403ffffb,0x3e203ffd,0x6c41cfff,
    0x5c02ffff,0xb82dffff,0x3fea6fff,0x3fff202f,0x3dfff104,0x3ffffb10,
    0x5effffc0,0x01ffffd9,0x1ffff440,0x05fff100,0xdffff950,0x7ffe4037,
    0xbfff503f,0xdafff980,0x3fa006ff,0xfff80dff,0x8fbbaa02,0xc88cfffd,
    0x404fffff,0x7d403ffd,0xfeceffff,0x402fffff,0xfffffffb,0x1fffffdc,
    0x221ffff4,0x704ffffd,0xfe801fff,0x0b2601ff,0x0037ff44,0x00bfffd1,
    0x2a07ffb8,0x0beffffd,0x09fff900,0x401fffb8,0x2ffffffd,0x813ffa00,
    0x3f204ffd,0x3ffe20ff,0xffffffff,0x1ffec04f,0x7ffffd40,0xffffffff,
    0x7fffdc02,0xffffffff,0xffff981f,0xffffffef,0x09ffb04f,0x003fff30,
    0x007ffc80,0x00bfffd3,0xf309ffd0,0xb737dfff,0xfff90059,0x00bffa00,
    0x0dfffff3,0x202ffe80,0x3fe04ffc,0xffff983f,0x2ffeffff,0x801ffec0,
    0xffffffd9,0x402ffebe,0xfffbdffb,0x200cffff,0xfffffffa,0xd04fffff,
    0xff1005ff,0xf980003f,0x7fcc01ff,0xf88005ff,0xbdf982ff,0xbfffff30,
    0x037fe401,0xd804ffc8,0x4002ffff,0x3f202ffe,0x0dff304f,0x6ffffec4,
    0x6c01fff8,0x54c003ff,0x3ffa2bcc,0x52ffdc02,0x20015797,0xffffffd8,
    0xff04ffcb,0x3ffe005f,0xfff80001,0x3fffea01,0xfff70004,0x577fc400,
    0x3f205ffc,0x9ff9005f,0x0dfff300,0x405ffd00,0xff904ffc,0xfb866003,
    0x3ffd807f,0x7ff40000,0x02ffdc02,0x0d54c000,0x3f609ff9,0xfff9803f,
    0x7fc40001,0xffff900f,0x7ff40007,0x11bee004,0x3ff203ff,0x07ffd007,
    0x005fff50,0x6405ffd0,0x09fd04ff,0x17ffe600,0x000fff60,0x805ffd00,
    0x00005ffb,0x40fffa00,0x6c00fffc,0x01301fff,0x360fff70,0x0002ffff,
    0x800bffe2,0x02fd82fd,0xa807fff9,0xfe801fff,0xffd0006f,0x427fe405,
    0x98000ff9,0xd800efff,0x400003ff,0x7dc02ffe,0x0000005f,0x2203fff5,
    0xd982efff,0x640bffff,0xfb880bff,0x7ff445ff,0x5c0001ff,0x7e4007ff,
    0xd882fe83,0xb80cffff,0xfa805fff,0xe98002ff,0xfd880bff,0x017dc0df,
    0xfffd9831,0xd333101f,0x013339ff,0xfff55300,0xffb51039,0x8000355d,
    0xfebaaaa8,0x7fd407ff,0xfffeefff,0x24ffffff,0xeefffffd,0x20ffffff,
    0x9afffff8,0x0bb99999,0x002fff40,0xffa83bee,0x7fffff40,0xffeeefff,
    0x55440fff,0x0afffeaa,0x3ffff600,0x3ffee2ff,0x80624fff,0xfffefff9,
    0xffd02fff,0xffffffff,0x7ec007ff,0x6fffffff,0x7ffffffc,0xf30004ff,
    0xffffffff,0xfff7003f,0xffffffff,0x7c4fffff,0xffffffff,0x7fcc2fff,
    0xffffffff,0x7c02ffff,0xfe8001ff,0x4c3ffedf,0xffffffff,0xffffffff,
    0xffffff82,0x1005ffff,0xbfffffff,0x7ffffff4,0x3ffea007,0x02efffff,
    0xfffffff1,0x0dffffff,0x7fffff40,0x3fe27fff,0x5fffffff,0xffff5000,
    0x003fffff,0x7ffffec4,0xeffffaef,0x7fffe442,0x980cffff,0xffffffff,
    0x04ffffff,0x880027dc,0x903ffffd,0xff9bfffd,0x019fffff,0xfffffff1,
    0x6400ffff,0x21dffffe,0x2effffea,0x7fffec00,0xfec803ff,0xffffffff,
    0x326002ef,0x2deeeeee,0x777776d4,0x2e0000ce,0x01bdeeed,0x2aea6200,
    0x2aa60000,0x7fcc019a,0xffffffff,0x0004ffff,0x01553000,0x0d5d4c00,
    0x77776d40,0x0002deee,0x30000000,0x00000135,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x013332e2,0x0005cc00,0x332ea200,0xccb801ac,0x3332a004,
    0x10001ccc,0x0037bb95,0x566ee5c4,0xcccb8000,0xbd973002,0x26000c59,
    0xaaaaaaaa,0xaaaa880a,0xaaaa980a,0x9bb71001,0x71006217,0x80459bd9,
    0xaaaaaaa9,0xfffb0aaa,0xf00001ff,0x5c0000bf,0xffffffff,0x1fffa01f,
    0x7ffffdc0,0xfb8003ff,0x1effffff,0x3ffff6a0,0x2002ffff,0x404ffffa,
    0xfffffffa,0x8804feff,0xffffffff,0x3e65ffff,0x24ffffff,0x6fffffff,
    0x3ffffae0,0x04fedfff,0xfffffff9,0xfff87fdd,0xffffffff,0xffffccff,
    0x7cc0000f,0xf700007f,0xffffffff,0x3fff409f,0xfffffa80,0x362003ff,
    0xffffffff,0xfffc82ff,0xffffffff,0xffff8803,0x3fff204f,0xffffffff,
    0xfffa807f,0xffffffff,0x3fffee6f,0xfff36fff,0x901fffff,0xffffffff,
    0xfb0dffff,0xffffffff,0x7ffccdff,0xffffffff,0xffca8dff,0x7cc0000f,
    0xf880007f,0xeeccefff,0x3bb601ff,0x3332a005,0x36003fff,0xecbdffff,
    0x7e43ffff,0xfeccefff,0x7e400fff,0xfb04ffff,0xb979dfff,0x200fffff,
    0xffffffec,0x3622dfff,0x22dfffff,0x3effffec,0xceffffc8,0x7ffffedb,
    0x5f7fffdc,0x47ffffec,0xffffffeb,0x221dffff,0x40000fff,0x80007ff9,
    0x0000fffa,0xffe80000,0xbfff7003,0x1ffff501,0x4c06ffe4,0x3e204fff,
    0xa84fffff,0xb100dfff,0x54000fff,0xffc807ff,0x81fff804,0x700efffb,
    0xfff8ffff,0x7fff980e,0x403ffe80,0x0000fff8,0x55fff953,0x00155555,
    0x0000bff7,0x3ffa0000,0x5fff8803,0x72fffc40,0x7fec05ff,0x37fff605,
    0xefff84ff,0x037fcc00,0x00fff500,0xff009ff9,0x1dfff03f,0x267ffb80,
    0x3ee01fff,0x3ffe806f,0x307ffc40,0xa8155555,0xffffffff,0x106fffff,
    0x55dffb55,0x54c03555,0x000aaaaa,0x9007ffd0,0xf5001fff,0x037623ff,
    0xf506ffb8,0x89ff97ff,0xb000fffb,0x7d40007f,0x4ffc807f,0x4c1fff80,
    0xf8800fff,0x03ffe25f,0xe804ff88,0x7fc403ff,0xfffff70f,0x7ffdc1ff,
    0xffffffff,0xfff80fff,0xffffffff,0xfffa85ff,0x0002ffff,0xfd007ffd,
    0x7ff4007f,0x27ff4003,0xff96ffe8,0x006ffc89,0x7fd40000,0x04ffc807,
    0x7dc1fff8,0x076a006f,0x4c01bffd,0x07ffd002,0xf90fff88,0x43ffffff,
    0xefffedb8,0x82deeeee,0xfffffff8,0x86ffffff,0xfffffffb,0x7ffd0002,
    0x003fff00,0x98027fe4,0xfb81fffe,0x89ff92ff,0x00004ffd,0x03ffd400,
    0x7c027fe4,0x27fec1ff,0x7ffe4000,0x20001bdf,0x7c403ffe,0xffff90ff,
    0x7fcc05bd,0xddb50007,0xdddddfff,0xddb71039,0x20005fff,0x7c403ffe,
    0x7fdc007f,0x7ffed406,0x5fff886f,0xfff13ff2,0x80000005,0xfc807ffa,
    0x1fff804f,0x00017ffc,0xffffffd8,0x3a000bdf,0x7fc403ff,0x2ffffd9f,
    0x00fff300,0x00bff700,0x005ffd00,0x300fffa0,0xfa800fff,0x3fff607f,
    0xffc80dff,0xf13ff20f,0x4ccc03ff,0x00100999,0xf900fff5,0x3fff009f,
    0x0001fff8,0x3fffff20,0xd002ffff,0xff8807ff,0x01efffff,0x001ffe60,
    0x0017fee0,0x000bffa0,0x2201fff4,0x2e000fff,0x3ff605ff,0xfff302ef,
    0x7c4ffc89,0xfffa81ff,0x20efffff,0x7fd404fd,0x04ffc807,0x7fc1fff8,
    0xa800001f,0xfffffffc,0x03ffe803,0x7fffffc4,0x7fcc000e,0xffb80007,
    0xffe80005,0x7ffd0002,0x003fff00,0xfb027fe4,0xfffe809f,0x3a27fe40,
    0xfffc82ff,0x12ffffff,0xffa80dff,0x04ffc807,0x7ec1fff8,0x4000003f,
    0x07fffca8,0x4403ffe8,0x0dffffff,0x03ffcc00,0x02ffdc00,0x017ff400,
    0x803ffe80,0xf1004ffd,0x7fd407ff,0x3fffea00,0xffffeeee,0x309ff90c,
    0xfffffffb,0x203ffccb,0xfb807ffa,0x1fff805f,0x00027fdc,0x3e6006e2,
    0x7ff401ff,0x7fffc403,0x2000efff,0x80007ff9,0x80005ffb,0xd0002ffe,
    0xff7007ff,0xfff9003f,0xfc800801,0xffffffff,0xff53ffff,0x1ffe600d,
    0xfa80fff3,0xfffa806f,0x21ffe600,0x2001fff8,0x4007fec0,0x7f404ffd,
    0x7ffc403f,0x01efffda,0x100fff30,0x005ffb80,0x002ffe80,0x2007ffd0,
    0x2a00effe,0x00003fff,0xfffffff9,0x23ffffff,0x9804fff8,0x3ffcc7ff,
    0x2013ff60,0x3604fff8,0xdffd06ff,0x21ff7001,0x7c404fff,0x7ff403ff,
    0x87ffc403,0x801ffffc,0x5443fff8,0x3ee06fec,0xfe80005f,0xffd0002f,
    0x3ffe6007,0x3ff220af,0x2600006f,0xaaaaaaaa,0x7e40dffe,0xca881eff,
    0x7ffcc7ff,0x3ff620bd,0xfffb002f,0x7ffecc39,0x7ffff502,0x5fffb301,
    0x827bfffe,0x41fffeb9,0xbffe9998,0x3ea20999,0x3ffee0ff,0x7ffc01af,
    0xffffeeff,0x7e4cc0ff,0x019999ef,0x3fa66662,0x881999bf,0xbffe9999,
    0x3ee01999,0xfffeffff,0xeb801fff,0xb310002d,0x3ffa0bff,0xfffeffff,
    0x7fcc7fff,0xfffeffff,0x3e2004ff,0xfffeffff,0x7fd405ff,0xffeeffff,
    0x3ffe7fff,0xfffeffff,0x7ff45fff,0xffffffff,0xffffbbff,0x7ffffc0f,
    0xfff502ff,0xffffffff,0x7ffffcc9,0xffffffff,0x7ffffdc1,0xffffffff,
    0xfffff70f,0xffffffff,0x3ffee01f,0x0effffff,0x07fffa80,0xfffffd80,
    0x7fec41ff,0xffffffff,0x7fe444ff,0xffffffff,0xffe98004,0x0dffffff,
    0xfffffa80,0x0dffffff,0x3ffffff6,0x0effffff,0x3fffffe6,0xefffffff,
    0x20fffffd,0xfffffff9,0x3fffaa04,0x5c1cffff,0xffffffff,0x743fffff,
    0xffffffff,0xd2ffffff,0xffffffff,0x05ffffff,0x7ffffec4,0x3fe2003e,
    0xfff8006f,0x303fffff,0xfffffffb,0x75c4017f,0x03dfffff,0x7fffe400,
    0x5cc002ff,0xdffffffd,0xfdacea83,0x02efffff,0xffffffd9,0xb35bffff,
    0xec81ffff,0x801dffff,0x2009aba9,0xffffffd8,0x40dfffff,0xffffffea,
    0x0dffffff,0xffffffd5,0x1bffffff,0x002aa600,0x8000d440,0xdfffffeb,
    0x9aa98800,0x1a988000,0xaa980000,0x55100000,0x55310001,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x40155555,0xa81aaaa9,0xaaaaaaaa,0x2a61aaaa,
    0xaaaaaaaa,0x0aaaaaaa,0x3015554c,0x26035555,0x9aaaaaaa,0xaaa98000,
    0x02aaa600,0x80d5554c,0x80aaaaa8,0xaaaaaaa8,0x5551001a,0x35553015,
    0x30008800,0x55555555,0x15555555,0xaaaaaa98,0xaaaaaaaa,0x7fcc1a80,
    0xfffffaef,0x7ffc44ff,0x7fc7ffff,0xffffffff,0x3ff64fff,0xffffffff,
    0x21ffffff,0x81fffffe,0x7ffffffe,0x3fffffe6,0x0dffffff,0xffffff80,
    0x7ffffc45,0x7ffffc4f,0x3fea0fff,0x364fffff,0xffffffff,0xf302efff,
    0x7cbfffff,0x00ffffff,0x26f7ffe4,0x7fffffc4,0xffffffff,0xfff10fff,
    0xffffffff,0x445fffff,0x3fe25fff,0xfffffcdf,0x7ffcc6ff,0x3e1fffff,
    0xffffffff,0x3f64ffff,0xffffffff,0x1fffffff,0xdffffff1,0xffffff88,
    0xffff51ff,0xffffffff,0x7fcc05ff,0x7d47ffff,0x266fffff,0xffffffff,
    0x3fffff21,0x3fffe6ff,0xffffffff,0xfffb85ff,0xfff37fff,0x2203ffff,
    0xfffffffe,0x7ffffcc2,0xffffffff,0xff50ffff,0xffffffff,0x45ffffff,
    0x3e0ffffb,0xfffd8cff,0xfec82dff,0x7fc4efff,0xffffffff,0x3ff64fff,
    0xffffffff,0x21ffffff,0x3fffffeb,0x77ffff5c,0x3fffb224,0xffffffff,
    0x3ff201ff,0xffd82fff,0x7fe41dff,0x6c44efff,0x22efffff,0xffffffda,
    0x4fffffff,0x6ffffec4,0x3ffffae2,0x3ffff604,0xec81ffff,0xffffffff,
    0x0fffffff,0x3fffffb2,0xffffffff,0x1bffe62f,0x7fcc7ffd,0x6ffd802f,
    0xf105fff0,0x7fec1fff,0x3e17ff44,0xfffc81ff,0x5fff00ff,0x4c17ff40,
    0x4406fffc,0xfc81fffe,0x3ff604ff,0x0bffa003,0x5c437fd4,0xfe81fffe,
    0x13ff202f,0x98cfff88,0x7fec01ee,0x07ffc404,0x3e01fff4,0x0e6d42ff,
    0xffd0bff6,0x3fff880b,0xfd05fff0,0x4ffd85ff,0x3fe17ff4,0xffffc81f,
    0x05fff05f,0xf7017ff4,0xff8801ff,0x3ffee0ff,0x227fe405,0x7ffc2ccc,
    0x40dff501,0xfe84fff8,0x13ff202f,0x000fff98,0x4404ffd8,0xffe80fff,
    0x017ff403,0xfa83ff90,0x3fee00ff,0x907ffa07,0xffb09fff,0x7c2ffe89,
    0xfffc81ff,0xfff82fff,0x80bffa02,0xa801fff8,0xff98efff,0x7fdc00ef,
    0x89bffe65,0xff500fff,0x85ffc80d,0x3f202ffe,0x3ffe604f,0x4ffd8001,
    0x0ffd0654,0x4770fffa,0x2e000ffd,0x4fff80ff,0xc813ffe0,0x2fffd47f,
    0x7f43ffc8,0x407ff42f,0xfffedffc,0xd017ffc0,0x7fdc05ff,0x3ffee007,
    0x800ffffd,0x3fee6ffa,0x0fff31ff,0x36037fd4,0x2ffe85ff,0xd013ff20,
    0xfb000dff,0x51ffd49f,0x8fffa05b,0x07b32ffb,0xf907fa80,0x3ffea0ff,
    0xff305400,0x3fe601df,0x3217ff40,0x3bff905f,0xfff8bfff,0x20bffa02,
    0x005fffd8,0x7fffffe4,0x4fff3002,0xf53ffffe,0x37fd40ff,0xd07fff50,
    0x333337ff,0xa809ffb3,0x6c003fff,0xffdaadff,0x33ffa004,0x003ffdaa,
    0xf8837c40,0x5ffd82ff,0x7fff4400,0xffe80401,0x3ff20082,0x7c3fff95,
    0x3ffa02ff,0xffffdccd,0xfd8001ff,0x22003fff,0xfff98fff,0x0dff76ff,
    0x2a237fd4,0xe80ffffc,0xffffffff,0x6c04ffff,0x2660ffff,0xfffffb00,
    0x7400bfff,0xffffffff,0x01b80004,0xff31bff6,0xffd8005f,0x3fa0003f,
    0x7fe4002f,0xff9bffa5,0x3fffa02f,0xefffffff,0xfff90000,0xfff8003f,
    0xffffffc9,0x2a05ffc9,0xffffffff,0xfd02ffff,0xffffffff,0x7ec09fff,
    0xff36ffff,0xffffb05f,0x400bffff,0xfffffffe,0x8000004f,0x3f21fffa,
    0x7fdc007f,0x7f40004f,0x7fe4002f,0x7d3ffea5,0x3ffa02ff,0xffffffff,
    0xfff50000,0x7c001fff,0xecffeaff,0x04ffdbff,0x3fffffea,0x203fffff,
    0xfffffffe,0x904fffff,0x7fffdfff,0xfb0bfff7,0xbfffffff,0x7ffff400,
    0x9804ffff,0xfd0000bc,0x01fffc9f,0x30dfff30,0x3ffa007b,0x2ffe4002,
    0x3fe7fff6,0x37ffa02f,0x4ffffccc,0xffff9800,0x3a006fff,0xc9fffdff,
    0x03ffeeff,0x3fffffea,0x7400dfff,0x3ff202ff,0x369fff04,0x2fffefff,
    0x3ee4ffd8,0x3ffa004f,0x810fff23,0x0006fff9,0xff71fff7,0x3fe2001f,
    0x0ffd80ff,0x002ffe80,0x3e22ffe4,0x02fffeff,0xff50bffa,0x7c4009ff,
    0xfffb9fff,0xffffb005,0x3fffe6df,0x3fea02ff,0x0009aaaf,0xfc80bffa,
    0x0fff984f,0x3ffffff1,0xf993ff60,0x3ffa002f,0xfd87fea3,0x03fffee4,
    0x2fffe200,0x36005ffe,0xfff02fff,0x05ffd003,0xa85ffc80,0x02ffffff,
    0x3a60bffa,0xfd002fff,0x7ffe45ff,0xffffc803,0x3ffffa4f,0x1bfea01f,
    0x05ffd000,0x7d427fe4,0x7fffd47f,0x113ff606,0x3ffe8003,0x4dff1044,
    0x0006fff8,0x3ffffff2,0x9fff9001,0x400fffc0,0x64002ffe,0xfffb05ff,
    0x7ff405ff,0x1ffff102,0x84fffc80,0x5c02fffe,0x321fffff,0x200fffff,
    0x40006ffa,0x3f202ffe,0xbfff884f,0x033fffa0,0x00027fec,0x2601fff4,
    0x015c47ff,0x3fffe600,0xfff5006f,0x3333333d,0x26203fff,0x019bffe9,
    0x813bff90,0x02fffff8,0x2037ffd3,0x701dfffa,0x3e20dfff,0x3ea01fff,
    0x7fcc7fff,0x3ee207ff,0x000999ff,0x202fffa6,0xe80dffd8,0xfffeffff,
    0x6c42ffff,0x00999cff,0x4dfff4c0,0xfa999999,0x2000007f,0x003ffffe,
    0xfffffff9,0x3fffffff,0xffffffd0,0x2605ffff,0x4fffffff,0x217fffdc,
    0xfffffff8,0xffffc82f,0x3ffffe66,0x3ffe60ef,0xff306fff,0xfffd09ff,
    0x3ffff20d,0x806fffff,0x4ffffffd,0x3ffffffa,0x7ffffcc4,0x5fffffff,
    0xffffffd1,0xf1009fff,0xffffffff,0xffffffff,0x7d400000,0xf9000fff,
    0xffffffff,0x883fffff,0xffffffff,0xff704fff,0xd0ffffff,0xffa85fff,
    0x04ffffff,0x2e1ffffd,0x1fffffff,0x3ffffff2,0xffff881f,0x05fffc81,
    0xffffffff,0x7c403fff,0x37ffffff,0xffffffff,0xfffffb30,0x263bffbd,
    0xffffffff,0xffa807ff,0xffffffff,0x07ffffff,0x7ffc0000,0x3fff2004,
    0xffffffff,0xfec81fff,0xdfffffff,0xffffb101,0xfff305df,0xffffd885,
    0xff101dff,0x7ffec49d,0x7fec44ff,0x3fe04eff,0xbfff307f,0x3ffffaa0,
    0xc804ffff,0x22effffe,0x2effffec,0x006aaa60,0x3ffffff2,0xd8802eff,
    0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa6000,0x4000aaaa,
    0xa801aaa9,0x55500aaa,0x13555555,0xaaaa8800,0x98001aaa,0x2a600aaa,
    0x555440aa,0x4001aaaa,0x40aaaaaa,0xa80aaaa8,0x00000002,0xa8002e20,
    0x2aaa2001,0xaaaa981a,0x3b6ea201,0x2a003cee,0xfff98aaa,0xffffffff,
    0x7fffc01d,0x7ffc406f,0x3ffe65ff,0xffffffff,0xff9802ef,0x06ffffff,
    0x7fffffc0,0x7ffffc44,0xfffff94f,0x801fffff,0xfffffff9,0xfffff52f,
    0x177fd49f,0x10000000,0x2e00fff9,0xff9800ff,0x7fe43fff,0xff705fff,
    0xffffffff,0x6fff9805,0xfffffff5,0x09ffffff,0x3fffffe6,0x3fffee01,
    0x3fffee7f,0xffffffff,0x7fdc04ff,0x2fffffff,0xfffff300,0xffffa8df,
    0xffffd6ff,0x05ffffff,0xffffffb8,0xffff94ff,0x7ffdcdff,0x000001ef,
    0x7ffffdc0,0x02ffd800,0x3fffffa8,0x2fffffec,0xffffffe8,0x201fffff,
    0xf912fffb,0xffffffff,0x3209ffff,0x205fffff,0x22efffff,0xfffffec8,
    0xffffffff,0x3fff6202,0x005fffff,0x0bffffae,0x5bffffb1,0x3fffff66,
    0xc8804eff,0x1dfffffe,0x5bfffff1,0x7ffffec4,0x4000000d,0x2fffffea,
    0x007ffd00,0x10ffff6e,0x20bffdd9,0xbacdeffb,0x3605fffd,0x5ffb86ff,
    0x2fffeb98,0x1fffff90,0x5fffff50,0x4417ff40,0x2007ffea,0x0ffffffc,
    0x07fff400,0x2017ffdc,0x20003ffe,0xffc82ffe,0x3fa602ff,0x000cffff,
    0x7fff4c00,0x3a000cff,0x7ec003ff,0x17fee03f,0x37fdc008,0xb82fff88,
    0x3fe605ff,0xffff906f,0xffffd09f,0x17ff405f,0x001fff30,0x3fff3ffe,
    0x7ffc4003,0x02fffcc5,0x0001fff4,0xffd85ffd,0xfd5001ff,0x0007ffff,
    0xfffffb10,0xffd0003b,0x3ffd8007,0x2017fee0,0xfaaaba98,0x0dff507f,
    0xf5017fee,0xfff905ff,0x7fcc1fff,0x3a02ffff,0x3fe202ff,0xfffa801f,
    0x8006ffc9,0x3fa3fffb,0xffe800ff,0x3ffa0003,0x1dfffd12,0xffff7000,
    0x910005df,0x03dfffff,0x01fff400,0xb80fff60,0x3fa605ff,0xffffffff,
    0x203ff907,0xfd805ffb,0xfdffc85f,0x3bff63ff,0x3fa02fff,0xfffb102f,
    0x457ff600,0xd8002fff,0xfffb8fff,0x07ffd002,0x4d7ff400,0x000dfffe,
    0x3ffff220,0xff7001ef,0x0005ffff,0x8007ffd0,0x3ee03ffd,0xffff905f,
    0xffffffff,0xfb817fa0,0x6ffb805f,0xffcdffc8,0xff5fff17,0x67ff405f,
    0xfffdbaaa,0xfff8804f,0x0017ff62,0x3ffbffe2,0x3ffa005f,0x3ffa0003,
    0x005ffffc,0x3fff6200,0xfd500dff,0x8007ffff,0xffffffd8,0xefffffff,
    0x407ffb03,0xffc85ffb,0xfffeffff,0x1ff887ff,0x2017fee0,0xffc87ff9,
    0xfcafff8d,0x405fff7f,0xfffffffe,0x800effff,0x7fd47ffc,0xffb8000f,
    0x2000ffff,0x20003ffe,0xfffffffe,0xf9800003,0x223fffff,0x0dfffffe,
    0xffffc800,0xffffffff,0xfd80ffff,0x17fee03f,0x037dfff1,0x9f30fff5,
    0x805ffb80,0xffc87ff9,0xfffdffb5,0xe80bffe7,0xffffffff,0xf801ffff,
    0x3fff84ff,0xffffb000,0x3ffe8005,0x3fffa000,0x004fffff,0x3fffaa00,
    0xffd983ff,0x4000dfff,0xfffffffa,0xffffffff,0x209ffb07,0x7d45ffd8,
    0x3fee00ff,0xff700107,0x0fff300b,0x3fe6bff9,0xfff0ffff,0x7ffff405,
    0xffffffff,0x3ffea02f,0xffeccccd,0xfff10006,0x7ffd000b,0xffd02980,
    0x9ffff9ff,0xffd98000,0x4c00cfff,0x0cfffffe,0x2aaaa200,0xaaacffea,
    0x3bff201a,0x3ffff220,0x20fffdc6,0x1ffffea8,0x0bff7000,0xf90dff70,
    0x7ffff4bf,0xe80bffe4,0xff9302ff,0x3ff601ff,0xffffffff,0xfd0002ff,
    0xffd0007f,0x41ffcc07,0xfb11effe,0x910007ff,0x03bfffff,0xfffffa80,
    0x7f40003f,0x7fd4003f,0xfffffeff,0xff32ffff,0xffffdfff,0x05ffffff,
    0x805ffb80,0xffc84ffd,0x83fffea5,0x3fa02fff,0x7ffd402f,0xfffff882,
    0xffffffff,0x7ffd0005,0x07ffd000,0x7f42ffdc,0x07ffe82f,0x3ffff220,
    0x5c0002ef,0x02efffff,0x007ffd00,0xffffffb0,0x9fffffff,0x7fffffdc,
    0xffffffff,0x7fdc004f,0x1fffc405,0x3fa2ffe4,0x017ffc5f,0xfb005ffd,
    0xdfff909f,0xfddddddd,0xfd0001ff,0xffd0007f,0x42ffdc07,0xff982ffe,
    0xfffb803f,0x00003fff,0x3fffff22,0x7ff4001e,0xfffb0003,0xfffb9fff,
    0xfffea83b,0xfffbdfff,0x7dc001df,0x3ffe605f,0x45ffc80f,0x7ffc0aa9,
    0x00bffa02,0x3fe13ffa,0x3ffe803f,0x03ffe800,0x203ffe80,0xffe85ffb,
    0x01fff702,0x3fffffaa,0x3000000c,0x1bfffffb,0x00fffa00,0x01aba880,
    0x13575300,0xffc80000,0xfdba999e,0xff902fff,0x7cc4013b,0xffd303ff,
    0x95333337,0xfb85fffd,0x32200aff,0x98801eff,0x019bffe9,0x5fff4cc4,
    0xfc999999,0x5fff4c5f,0x1cfff881,0x67ffffd4,0x50000000,0x01fffffd,
    0x0007ffd0,0x00000000,0xffff8800,0xffffffff,0xfff984ff,0xfe84ffff,
    0x226fffff,0xffffffff,0xffffffff,0x3ffffea6,0x7ff444ff,0x3606ffff,
    0xffffffff,0xfffb82ff,0xffffffff,0xf15fffff,0x5fffffff,0x2fffffc8,
    0x003bfff7,0x3ea00000,0xfc800fff,0x0000001f,0x40000000,0xfffffffa,
    0x03ffffff,0xfffffff7,0xfffff88f,0xfff71fff,0xffffffff,0x641dffff,
    0x7fffffff,0x7fffffcc,0xfff881ff,0xffffffff,0xfffffe85,0xffffffff,
    0xfff75fff,0x889fffff,0xb14fffff,0x0000005b,0x400fae00,0x000005e9,
    0x00000000,0xfffffd88,0x00acdfff,0x3fffff62,0xfffec82e,0x3ff624ef,
    0xffffffff,0xfd982cef,0xc82effff,0x04efffff,0x3fffffae,0xea81dfff,
    0xffffffff,0x5fffffff,0xffffffb1,0xbfff903b,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x95100000,0x500037bd,0x0057bdb9,
    0xbdeedca8,0xcb880198,0x0312ceee,0xdb135551,0x2b7b223b,0x8d554c00,
    0x802ceedb,0x441aaaa9,0x880aaaaa,0x6d42aaaa,0x571000ce,0x55555300,
    0xaaaaa883,0x5555541a,0xaaaaaaaa,0x0aaaaa81,0x06aaaa60,0xcda800c0,
    0xfffffb01,0xd3005fff,0xdfffffff,0xfffe9805,0x1fffffff,0x3ffffee0,
    0x22ffffff,0xffeffff9,0xffffdfff,0xfff701ff,0xffffffbf,0x3fea01bf,
    0x3fa3ffff,0x7cc7ffff,0xe98fffff,0x805fffff,0x3f600ffc,0x23ffffff,
    0xfffffffe,0x3fffffa3,0x4fffffff,0x7fffffec,0xfffffb80,0x02fcc02f,
    0x361bffe6,0xffffffff,0x3ff203ff,0xffffffff,0xffff305f,0xffffffff,
    0x3ffffa07,0xffffffff,0x3ffffea4,0xffffffff,0xf907ffff,0xffffffff,
    0x2e0bffff,0x23ffffff,0x0ffffffe,0x3fffffea,0xfffffffd,0x17ff403f,
    0xffffffd0,0x7ffff47f,0x3ffa4fff,0xffffffff,0x7fff44ff,0xffc80fff,
    0x2203ffff,0x3ee03ffe,0xffb10fff,0xffb759df,0xfff507ff,0xffd959df,
    0xfffb05ff,0xfff9759d,0xffff909f,0xfffd9779,0xfffeb8bf,0xfffffbcf,
    0x881fffbb,0xcefffffc,0x82fffeca,0x0fffffc8,0x0bbfffea,0x3ffffb6e,
    0xffebefff,0x017ff403,0x9dfffd93,0x7fffe4c1,0x3bffa0bd,0xffffeeee,
    0x7ffecc2f,0x9115532d,0x4019fffd,0x102ffffd,0x7fe4bfff,0xfffd103f,
    0x0ffffc43,0x40ffff98,0x3f203ffe,0x6fffcc2f,0x0bfff300,0x7ec5fff7,
    0x0bffa1ff,0x80dfffd8,0x3e603ffe,0xff98dfff,0xff8805ff,0x1541efff,
    0x2ffe8b2a,0xfff01771,0x827ffc09,0x7fcc2ffd,0xfff102ff,0xf927ffc3,
    0xfffc80bf,0x35101fff,0xf804ffe8,0x3ffee4ff,0x1fffcc02,0x06b3fff6,
    0xdffb0571,0x707ff900,0x4ffc8bff,0xfb017ff4,0x2ffe40bf,0x3bfffa20,
    0x1003ffff,0x001bffff,0xffbffff1,0x0bfffdbf,0xf701fff7,0x1fee01ff,
    0x805ffff5,0xfff53ffe,0x701fff4f,0xdfffdfff,0x1ffe6001,0xf937fe40,
    0xddddddff,0x8bfffddd,0xfffffffa,0x3ffa02ce,0x80ee8802,0x7fe45ffb,
    0xb017ff44,0x7fdc07ff,0xffffb005,0x7c4005ff,0x3e2003ff,0xffffffff,
    0xf885ffff,0x5fff84ff,0x3ffea040,0x5ffc802f,0xf15ffffb,0x3fe603ff,
    0x5fffb8ef,0x00bff700,0x7f43ffe6,0xffffffff,0x86ffffff,0xfffffffb,
    0xfff80eff,0xffb80001,0x3a27fe45,0x3ff602ff,0x017fee03,0x03ffffe8,
    0x007ffc40,0x3ffff660,0x0cffffff,0x5c1fff90,0x2a001fff,0x5002ffff,
    0xffff1fff,0x20fff5bf,0x320ffff8,0xfb804fff,0xfff1005f,0x3fffffa1,
    0xffffffff,0xdb7107ff,0x5fffffff,0x0007ffc4,0x322ffdc0,0x17ff44ff,
    0x5c07ffb0,0xfd8805ff,0x003fffff,0x0003ffe2,0x7ffffdc4,0xfff8801d,
    0x8017ffa4,0x002ffffa,0x3ff7ffe2,0x6ffdffff,0xb05fffd0,0xf9807fff,
    0xffa800ff,0x2abbff26,0xaaaaaaaa,0x9814c2aa,0x745fffca,0xb80002ff,
    0x27fe45ff,0xfd80bffa,0x17fee03f,0xfdfffd10,0x22009fff,0x20000fff,
    0x0ffffffb,0x51fff900,0x2a003fff,0x8002ffff,0xfcfffffe,0x984fffff,
    0xfd103fff,0xbffd00df,0x24fff880,0x0003fffa,0xf300bfe6,0x37fe41ff,
    0xff705500,0x744ffc8b,0x3ff602ff,0x817fee03,0xf35fffe9,0xf100bfff,
    0x260001ff,0x5fffefff,0xd7fff100,0x3ea00bff,0x3fc82fff,0x3fffff20,
    0x2fffffc9,0xe8809fd0,0xfffc803f,0xffffb81e,0x0e7fff41,0x2e2dcb98,
    0x4c40cfff,0x3ea0fffc,0x3aa02eff,0x37fe42ff,0xffd17ff2,0x33ffa607,
    0x20bff900,0x445ffffa,0x880effff,0x999fffa9,0xffe80099,0x02fffb8f,
    0xffffff90,0xffff5003,0xff333337,0x7fffd40d,0x1fffff16,0x00100040,
    0x77ffffe4,0x82fffffe,0xeffffff9,0x6fffffee,0x3ffffff2,0x6fffffee,
    0xefffffc8,0xffffffee,0xffffff12,0x47ffff25,0x360ffffe,0x22ffffff,
    0x2ffffff9,0x3ffffffa,0x3fffff62,0x3ffffa4f,0xffffffff,0x8bffe203,
    0xf1005ffd,0x100bffff,0xffffffff,0x40ffffff,0x363ffff8,0x00006fff,
    0x3fff2000,0x1fffffff,0x3ffffea0,0xffffffff,0x3ffffea5,0xefffffff,
    0xfffffb00,0xbfffffff,0x7fffffd4,0x27ffff94,0xf12ffffe,0x4bffffff,
    0x4ffffffb,0xfffffff3,0x7fffffc9,0xfffff16f,0xffffffff,0x443fc80d,
    0x3f2001ee,0xf8801fff,0xffffffff,0x7407ffff,0x3fea0fff,0x0000004f,
    0x7fffed40,0xf9001cef,0xffffffff,0xfded885b,0x3fffffff,0xffffea80,
    0x442dffff,0x91dffffd,0x3fa1bfff,0x7ff5c4ff,0x3f621dff,0x3b21dfff,
    0x2a1dffff,0x22effffe,0xffffffec,0x002effff,0x7fc40000,0xfff1006f,
    0xffffffff,0xffc80fff,0x002fff85,0x26000000,0x260000ab,0x0009aaba,
    0x00d5dd4c,0x555d4c40,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77640000,0x03bbb61e,
    0x2000de54,0x2eea202c,0xbbbbbbbb,0xbbbbbbbb,0xdddddd81,0x3ddddddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0xffffffff,
    0xefffffff,0x743fff92,0xffd887ff,0x445704ff,0xffff04ff,0xffffffff,
    0xffffffff,0xfffff8bf,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x40000000,0xfffffff9,0xffffffff,0x1fff76ff,0x7f43ffe4,
    0x20dfffff,0x3fea2ffc,0x3fffe20e,0xffffffff,0xffffffff,0x7ffffc6f,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffffe,0xffffffff,0xb8fff53f,0x7ffe46ff,0xc9efffed,0x7f4c2fff,
    0x3bbb6a1e,0xeeeeeeee,0xceeeeeee,0x4cccccc1,0x09999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x33333333,0x41333333,
    0x7fd46ff8,0xfb2fff44,0x0dffffff,0x00017f62,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x262ffc00,0x42fd43ff,
    0x0efffffb,0x00000dc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c44fe80,0x7ed4002f,0x000000be,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0xeeeeeeed,
    0xdeeeeeee,0x3fe0ff61,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffcc,0xffffffff,0x07ee6fff,
    0x000001f6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffe200,0xffffffff,0x045fffff,0x00000010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaa200,
    0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_37_usascii_x[95]={ 0,7,4,1,2,2,3,7,8,3,2,1,6,2,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,6,1,-1,1,0,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,1, };
static signed short stb__courier_bold_37_usascii_y[95]={ 27,5,7,4,4,6,8,7,6,6,6,8,22,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,12,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,33,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14, };
static unsigned short stb__courier_bold_37_usascii_w[95]={ 0,6,12,17,15,16,15,5,8,9,15,18,8,15,
6,15,15,15,16,16,15,16,15,15,15,15,6,8,20,19,20,14,15,22,19,18,19,19,19,19,20,15,20,20,
18,22,21,19,18,19,21,16,18,20,22,21,20,19,16,8,15,8,15,24,7,18,20,18,21,18,17,19,20,16,
14,18,16,22,19,18,20,20,18,16,18,19,20,21,19,20,16,10,4,10,17, };
static unsigned short stb__courier_bold_37_usascii_h[95]={ 0,23,10,27,28,22,20,10,27,27,15,19,11,4,
5,28,23,22,22,23,21,22,23,22,23,23,16,19,19,11,19,21,25,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,25,20,21,20,21,20,20,20,20,20,27,28,27,12,4,6,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,27,27,27,8, };
static unsigned short stb__courier_bold_37_usascii_s[95]={ 254,198,21,69,32,167,187,250,118,127,157,
189,247,85,249,48,182,17,134,205,126,117,222,151,238,1,243,247,168,1,147,
111,146,64,44,204,1,223,203,142,166,240,162,126,107,21,60,91,147,162,82,
223,41,183,1,125,104,87,24,109,16,137,233,60,52,228,184,56,95,20,39,
75,226,57,1,1,74,75,98,1,54,33,138,39,20,208,173,211,118,205,194,
87,64,98,34, };
static unsigned short stb__courier_bold_37_usascii_t[95]={ 1,1,135,1,1,30,76,76,1,1,118,
97,97,135,118,1,1,30,30,1,54,30,1,30,1,30,76,30,97,135,97,
54,1,97,97,54,97,76,76,54,76,54,54,97,97,97,76,54,76,1,76,
54,76,54,76,76,76,97,76,1,1,1,118,135,135,97,30,118,30,118,54,
30,30,54,1,54,54,118,118,118,30,30,118,118,54,97,118,118,118,30,118,
1,1,1,135, };
static unsigned short stb__courier_bold_37_usascii_a[95]={ 314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_37_usascii(stb_fontchar font[STB_FONT_courier_bold_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_37_usascii_s[i] + stb__courier_bold_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_37_usascii_t[i] + stb__courier_bold_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_37_usascii_x[i];
            font[i].y0 = stb__courier_bold_37_usascii_y[i];
            font[i].x1 = stb__courier_bold_37_usascii_x[i] + stb__courier_bold_37_usascii_w[i];
            font[i].y1 = stb__courier_bold_37_usascii_y[i] + stb__courier_bold_37_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_37_usascii_s[i] + stb__courier_bold_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_37_usascii_t[i] + stb__courier_bold_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_37_usascii_x[i] + stb__courier_bold_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_37_usascii_y[i] + stb__courier_bold_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_37_usascii_LINE_SPACING
#endif

