// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT        162
#define STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_39_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_39_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_39_usascii_LINE_SPACING          18

static unsigned int stb__courier_bold_39_usascii_pixels[]={
    0x04eee980,0x000c0000,0x001dc800,0x65408800,0x2a05dc01,0x332a000b,
    0xddddb710,0x3bbbaa1d,0x05ed42ce,0xcedba800,0x0620001b,0x00999880,
    0x0004cccc,0x2a200031,0x2661bccb,0x54000099,0x77d45fff,0x43fd3000,
    0x400006fd,0x00006ff8,0xff997fcc,0x993fea06,0xfd8804ff,0xffff75ff,
    0x3fea1fff,0xf10fffff,0x4c003fff,0xfffffffe,0x3fb2000d,0x3f602eff,
    0x540effff,0x03ffffff,0x37fffb22,0xffff7003,0xfff5bfff,0x7fff4bff,
    0x2fffd403,0x7401bffa,0x0fffe5ff,0x7ffa8000,0x7ff40000,0x640fff55,
    0x1bff26ff,0x57ffff20,0xfffffffb,0xffffff50,0x3fffe21f,0xfffc801f,
    0xffffffff,0x7ffec402,0xf882ffff,0x42ffffff,0x7ffffffd,0xfffffd10,
    0x7f440bff,0xffffffff,0x0fffffff,0x9805fffb,0x7fe44eee,0x7ffdc02f,
    0x001fff63,0x67ffed40,0x26000189,0xfff53fff,0xfb2ffec0,0xfff880bf,
    0x3732a0cf,0xfff50fff,0xfda83999,0x7fdc04ff,0xffecdfff,0x3fa00fff,
    0xfffdabef,0xfffffd82,0x7fffd40e,0xffe883ff,0x4fffffff,0xdfffffd0,
    0xffffffff,0x7ffe49ff,0x7fc40001,0x3ffe207f,0x0fffea0f,0xfffe9800,
    0x04ffffff,0x21fffb00,0x3f607ffa,0x017ff65f,0xa803fff5,0xfff50fff,
    0x81bff200,0x883ffff9,0xf706fffd,0x0bff10bf,0xd00fffea,0x3f201fff,
    0xffd9cfff,0x7ffe41ff,0x7ffe4c1e,0xfffb83ff,0xffd80000,0x9fff703f,
    0x000dffd0,0x3fffffe6,0x007fffff,0x2a4fff98,0x3ffa07ff,0x5013ffa4,
    0xff500fff,0x01ffea1f,0xfd03ffdc,0xffc803ff,0x00efe84f,0x7ff40ff9,
    0x13ffe606,0x206fffc4,0x3e64fff8,0x3ee00eff,0xffa82fff,0x99999987,
    0x3e609999,0xfffd06ff,0x05fff501,0xfffffd00,0x1ffffffb,0x0fffc800,
    0xfe81ffea,0x013ffa4f,0xf500fff5,0x1ffea1ff,0xb83ffdc0,0xfd003fff,
    0x1ffd41ff,0x2a03ff30,0xffd03fff,0x3ffee01f,0x54dff901,0xfd802fff,
    0x6ff882ff,0x3fffffee,0x6c6fffff,0x7fd42fff,0x1bffa04f,0x1bfff300,
    0x007ffc98,0x2a27ffc4,0x3ffe07ff,0x500fffe3,0xff500fff,0x01ffea1f,
    0xfd83ffdc,0x3fe6006f,0x807ff22f,0x3fa02ff8,0x4fff987f,0x8817ff60,
    0xfff90fff,0x0bffea00,0xfffd2ffc,0xffffffff,0x45fff98d,0x2e00fffe,
    0x2a001fff,0x3fe00fff,0x7ffe4005,0x223ffd40,0xccdfffca,0x500bdfff,
    0xff500fff,0x01ffea1f,0xfe83ffdc,0x7ff4003f,0x6dc1ff63,0x3ea02fff,
    0x7fff43ff,0x00fffe00,0x3ff65ffd,0x5fff3005,0xffb93fa0,0xffffffff,
    0x47ffe86f,0xff805fff,0x3fe2005f,0x0006201f,0xf50bfff1,0xffffe8ff,
    0xffffffff,0x7ffa81ff,0x50fffa80,0x3ee00fff,0x2fff887f,0xd2ffec00,
    0xfffea8df,0x7ff402ff,0x813ffea7,0x6c02fff8,0x1fff74ff,0x05fff700,
    0x26660ff6,0x6ffd9999,0xf30fffd8,0xff7009ff,0x7ff4003f,0x700001cf,
    0xff503fff,0x7ffffc4f,0xffffffff,0x7ffa82ff,0x50fffa80,0x3ee00fff,
    0x0fff987f,0xf37fdc00,0x7fffcc9f,0x7d402ffd,0x1fffd3ff,0x00fffc40,
    0x7fcdbff2,0x7ffcc05f,0x001f702f,0xfb86ffc8,0x7fff51ff,0x0bfff100,
    0x7ffffdc0,0xf0001bdf,0x3fea0bff,0x7fffedc7,0xefffffff,0x07ffd884,
    0xf50fffa8,0x3fea00ff,0x0fffcc2f,0xf9bff200,0x22fffa4f,0xfe802ff8,
    0x04fffaff,0x200fffc4,0x3ffa6ffc,0x7fe441ef,0x00002fff,0x7d437fe4,
    0x3fff73ff,0x03fff200,0xfffffd80,0x2002efff,0xf502fffb,0x3ffea0ff,
    0x201fff50,0x805ffffc,0xff50fffa,0x3ffe200f,0x5fff11ff,0x25ffd800,
    0x4bff14ff,0xfa802ff8,0x00ffffff,0x200fffc4,0x3fa26ffc,0xfffeffff,
    0x002fffff,0x437fe400,0xffb4fff9,0x3fe2001f,0x7ed4004f,0x3fffffff,
    0x40dffd00,0xff507ffa,0x883ffd4f,0x801fffff,0xff50fffa,0x7ffe400f,
    0x013ffe5f,0x7fc7ffd0,0x7c43ff34,0xfffd002f,0xff1007ff,0x6ffc803f,
    0x7fffffc4,0xffffffff,0x7e400002,0x5fff886f,0xd800fffd,0x88000fff,
    0xfffffdba,0x17ffd401,0x2e0fff50,0x1ffee7ff,0x03ffffe8,0xf50fffa8,
    0x3fa200ff,0x3ff63fff,0xfff5000f,0xff8a7fc5,0x400bfe24,0x00fffffa,
    0xd805fff0,0xfff705ff,0xff5bffff,0xc800005f,0xfff886ff,0x001fffb4,
    0x001fffcc,0x27ffdc40,0x501bffa0,0xfda88fff,0xfffdaaff,0x1bffaa02,
    0x543ffea0,0xff5007ff,0xfff9839f,0x6fff8805,0x9ffd27fc,0x4005ff13,
    0x2003fffe,0x7f403ffe,0x32e6204f,0x5fff10ab,0xffc80000,0x93fffa86,
    0xd8003fff,0x1f5c07ff,0x302fff40,0xfa807fff,0x3fffee7f,0xffffffff,
    0xfff702ff,0x21fff500,0xf7007ffa,0x7fff40ff,0x3fffa204,0xff327f42,
    0x009fffff,0x0007fff4,0xff809ff9,0x3e20003f,0x400002ff,0xffb86ffc,
    0x05fff72f,0x03fff980,0xfd007ffe,0x3ffec0bf,0xfd3ffd40,0xffffffff,
    0x20bfffff,0xfa807ffa,0x0fff50ff,0x881ffee0,0x30aeffff,0xb0bffff7,
    0xfffe98bf,0xff5007ff,0xffa8007f,0x3fff700f,0x7ffc4000,0x7e400002,
    0x0fffc86f,0x0007fff3,0x3e60dffd,0xff500dff,0x3ffe609f,0x27ffa803,
    0xffffffea,0x2effffff,0x500fff50,0x3fea1fff,0x0fff7007,0xffffff98,
    0x0effffff,0xba886fb8,0xfd001bcb,0xf88001ff,0xffe884ff,0x7fc40006,
    0x6400002f,0x7ffe86ff,0x0017ffe2,0x260bffea,0xaacfffff,0x01fffffc,
    0x5001fffb,0xffd10fff,0x1bffd33b,0x807ffa80,0xff50fffa,0x1ffee00f,
    0x3ffffa60,0x204fffff,0x20000ffa,0xfffb9998,0xffd8000c,0xfffb8aef,
    0x3310002f,0x00017fff,0x2237fe40,0x7ffc6fff,0xffe8000f,0xfffff886,
    0xffffffff,0x09fff104,0x741ffea0,0x13ffa4ff,0x201ffea0,0xff50fffa,
    0x1ffee00f,0xfffffc80,0x7fc402df,0xfffb0004,0x3fffffff,0xffff8800,
    0x05ffffff,0xffffe880,0x0005ffff,0xfc8dff90,0x7ffe42ff,0xfffb8003,
    0xffffff82,0x03ffffff,0x4003fff2,0xfff07ffa,0x401fffc7,0xfa807ffa,
    0x0fff50ff,0x401ffee0,0x0cffffe8,0x0ffd8288,0x3ffe2020,0xffffffff,
    0xfffa8005,0x005fffff,0xffffff50,0x0001ffff,0x7c4dff90,0xfff887ff,
    0xdfff0007,0xffb55b50,0x44039fff,0x2a005fff,0x5fff07ff,0x5401fffc,
    0x7d400fff,0x0fff50ff,0x201ffee0,0xffffffe8,0x5ffdbcef,0x5c0f7fcc,
    0xffffd86f,0x02ffffff,0xffffb300,0x744000bf,0xffffffff,0xffd00004,
    0x81fffe49,0x8003fffd,0xa801fffb,0xff7007ff,0x7fd4003f,0x22fff887,
    0xf9802fff,0x7fd403ff,0x00fff50f,0x900dffd1,0xffffffff,0x0dffffff,
    0xfdbdfff9,0x26620dff,0x00099999,0x0006a600,0x99999880,0x3ea00001,
    0xffff12ff,0x1bffe601,0x17ffe200,0x201ffea0,0x4005fff8,0xff887ffa,
    0x05fff11f,0x4bffffe0,0xffffffd9,0xffffff50,0x4ffffd8b,0xfffffe80,
    0xffffffff,0xffff901f,0x0001dfff,0x00000000,0x30000000,0xfffb5333,
    0x13ffee1f,0x005fffb0,0x803fff90,0xfb807ffa,0x7d4001ff,0x1fff887f,
    0x2001fff1,0xf96ffff9,0x21ffffff,0xfffffffa,0x1dffff31,0x37bdf500,
    0x5bffb733,0x9bd95100,0x00000005,0x00000000,0xffff7000,0x47ffffff,
    0x4400fffe,0x88005fff,0x7cc04fff,0x6ffe806f,0x05ff8800,0x05fd8bfb,
    0xa9fffd40,0x0fffffff,0xfffffff5,0x006fffc1,0x00000000,0x00000000,
    0x00000000,0xffffff00,0xfc87ffff,0x7ff5002f,0x17ff2000,0x3e013fa0,
    0x310002ff,0x00010080,0x2aaa20cc,0x2aaa22aa,0x001501aa,0x00000000,
    0x00000000,0x00000000,0xfffff700,0x026037df,0x80003100,0x001001dc,
    0x000013ae,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00999980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40220000,0x2e619998,
    0x00009bcc,0x40000133,0x95300099,0x2662159b,0x01310009,0x80098800,
    0x005eeeda,0xdddddd00,0x017bdddd,0x77764c00,0xeeeea81e,0xeeeeeeee,
    0x002002ee,0x80013100,0x20002bb9,0x3f60effc,0xffeaffff,0x803fffff,
    0xffffffb8,0xfd98000d,0xb103efff,0x9fffffff,0x01dffffd,0x33ffffae,
    0xfffb3000,0xff1019ff,0x0000ffff,0x3ffffffe,0x004fffff,0x3fffffa0,
    0xfffffb81,0xffffffff,0x3b2a203f,0x7edc000f,0x4403efff,0x01effffd,
    0xa7fffc40,0xfffffff8,0xffffffff,0xfff500df,0x7fffffff,0x3fff6200,
    0x542fffff,0xffffffff,0xffffffff,0xfffffd82,0x7e401fff,0xffffffff,
    0x7ffffc42,0xfff00007,0xffffffff,0x7f40009f,0xfb81ffff,0xffffffff,
    0x4c3fffff,0x0fffffec,0x3ffff600,0xb01effff,0x1fffbbff,0x7fffdc00,
    0x3fffff66,0xffeeffff,0xff986fff,0xffffffff,0x7f4402ff,0xffffffff,
    0x3ffffe22,0xfffffede,0xffd86fff,0xffffffff,0xfffff700,0x83ffffff,
    0x007ffdb9,0x99bfff00,0x01799999,0x7fedc400,0xcfffa81f,0xfccccccc,
    0x3fff63ff,0x800fffff,0xffffffe8,0x540fffff,0x13fa21ff,0x6ffffb80,
    0xbfffffb8,0x3fffaa20,0x577ffe43,0x7fffdb99,0x3ffffa20,0x6c3c98bd,
    0x74c0dfff,0xa80cffff,0xeb9cffff,0xff986fff,0xfeb9adff,0xfff706ff,
    0x3ffe0000,0x30000002,0xff103fff,0x1fffa80b,0xfffffff1,0xffb001ff,
    0xff935bff,0x85fc8bff,0x3ea006fb,0xffa86fff,0x3fe202ff,0x0ffe60ff,
    0x881fffc8,0x800efffe,0x2204fffa,0xfd04ffff,0xfffb01ff,0x02fffb83,
    0xf703fffb,0x3e0000ff,0x000002ff,0x203fff30,0x7fec00b9,0x5deffe46,
    0x7c400fff,0x3ffa05ff,0x260ff60f,0x3fe6006f,0xfffa85ff,0x2fff9805,
    0x3fe20044,0xdfffd83f,0x1fff7000,0x84fffa80,0xf104fff8,0x6ffd8bff,
    0x20bffea0,0x32e67ffb,0xff8009bc,0x5100002f,0x3e615997,0x220001ff,
    0x54084fff,0x7d400fff,0x3fea01ff,0x321bee2f,0x3fe6005f,0xfffa84ff,
    0x09fff002,0x85fff100,0x4005fff9,0xf8805ffd,0xfff984ff,0xb1bff202,
    0x7fc40bff,0xafffb83f,0xfffffffe,0x55fffc02,0x2002bddc,0xfffffffc,
    0x001fffad,0x007ffea0,0x1003ffea,0xfff007fd,0x44effc47,0x22002ffc,
    0xfa83ffff,0xffd000ff,0xfffb0009,0x00fffd81,0x8027ff40,0xffa84fff,
    0x1ffea00f,0x3201fff7,0xffb81fff,0xffffffff,0xff00dfff,0xffffffff,
    0x7ff4c01b,0xffffffff,0x20001fff,0xf5006ffd,0x002001ff,0xf707ffee,
    0xa89fffff,0x3fffe03c,0x03fffa83,0x802fff88,0x6fffebaa,0xb735fff8,
    0x3ff60159,0x4fff8805,0x203fff88,0x3e60fffe,0x3ea21dff,0xfff707ff,
    0xffddffff,0x3fe0bfff,0xffffffff,0xffe881ff,0xfffeefff,0x0001ffff,
    0x2009fff1,0x0000fffa,0x20fffd10,0xa8beffe9,0x3e07fffd,0xffa82fff,
    0x7ff401ff,0x7fffc00f,0x7c40ffff,0xffffcbff,0xfffb82ff,0x27ffdc00,
    0xf906fff8,0xffc85fff,0xffffefff,0xffff702f,0xffff507f,0xfffffd07,
    0x0dffffdb,0x883dfff9,0x01fffffd,0x03fff500,0x003ffea0,0x3fffa200,
    0xffda8804,0x3a00ceff,0xffa81fff,0xfea83fff,0x7fcc05ff,0x983fffff,
    0xffffffff,0x7cc4ffff,0x3fe606ff,0xfffb04ff,0xfffffa87,0xfffffe83,
    0x2e04ffff,0x2201ffff,0x7dc0ffff,0x7fecc2ce,0x17ffe63f,0x03ffff70,
    0x01bff600,0x000fffa8,0x37fff440,0xffffb510,0x3f60037d,0xfffa81ff,
    0xffeeffff,0xd800efff,0x1fffffff,0x7fffffd4,0x1fffffef,0x8577ffe4,
    0x4fffffb8,0x9dffff10,0x9ffffffd,0xfffffe88,0x2e04ffff,0xfa804fff,
    0xfd0001ff,0x07ffdcdf,0x00ffff40,0x027ffc40,0x001fff50,0x77fff440,
    0xffffda80,0x640019be,0xffa80fff,0xffffffff,0x2000efff,0xffffea98,
    0x3ffffe61,0xdfff711d,0xfffffe88,0xffffffff,0x3fffee04,0xffffffff,
    0x7ffffec3,0x03fffffe,0x2003fff7,0x50003fff,0x2ffecfff,0x01fffb80,
    0x01fffa80,0x003ffea0,0x77fffcc0,0xbefff980,0x0dfffd88,0x507ffc80,
    0xfffb5fff,0x0007ffff,0xf8bfff90,0xfc80ffff,0x7ff4c1ff,0xffffffff,
    0x7fd404ff,0xffbfffff,0x3bffee1f,0xffff930b,0x00fff703,0x8002ffec,
    0xffd1fff9,0x3ffe6007,0x6ffd8001,0x07ffd400,0x7fffd400,0x982ee00e,
    0x0fffffff,0xa82ffcc0,0x332a27ff,0x2000009b,0x7ff47ffd,0x5fff302f,
    0x3ffffee0,0x04ffeaef,0x8cefdc88,0x7fec7ffa,0x7fff700f,0x001fff70,
    0x40013ffa,0xffd1fff9,0x3ffea009,0x7ffc4001,0x7ffd4004,0x7ffdc000,
    0xdfd0005f,0x2017faa5,0xfff500cb,0xa8000000,0x3ff60fff,0x027ff405,
    0xfe82aea6,0x3a20003f,0x2fffc6ff,0x2e17ffe0,0xf8802fff,0xf50002ff,
    0x037fe4ff,0x001fffc8,0x000fffd4,0x8003ffea,0x004ffffd,0xf983ff10,
    0x7d40000f,0x0000007f,0xf907ffcc,0x3fe201ff,0xff10003f,0x7ec0005f,
    0x3ffe23ff,0x42ffec02,0x400ffffb,0x0aa1fffd,0xf537ff40,0xff9807ff,
    0x7ec001ff,0xffa8006f,0xffe8800f,0x2a0003ff,0x003fd06f,0x007ffa80,
    0x7fec0000,0x827ffd46,0x0002fffb,0x0001fff9,0xd0bfffb1,0x7fc40dff,
    0x7ffed43f,0x3aa20bff,0x3fee4fff,0x7f5441ae,0x7fff43ff,0x7ffe441d,
    0xf1001bff,0xf50009ff,0xfe9801ff,0x40002fff,0x7fc40ff9,0x3ee20000,
    0x800099ff,0xa881cff9,0xfe83fffd,0xff931bff,0x4cc401ff,0x6fffeb99,
    0x64c46e20,0xf706ffff,0x2e617bff,0x3fe1fffe,0xffffffff,0x6fffffff,
    0x7fffffdc,0x6fffffff,0xffffff88,0xffffffff,0xfa805fff,0xaa9801ff,
    0xaabfffca,0x3fffe20a,0xaaaaaacf,0xcff804eb,0x980ff910,0x7ffec4fd,
    0x006fffff,0x7fffffe4,0xefffffff,0xfffffa80,0x03ffffff,0x3ffffff6,
    0xf101ffff,0xffffffff,0x3fe201ff,0xffffffff,0x3ffe65ff,0xffffffff,
    0x81efffff,0xfffffffe,0x500effff,0xffffffff,0xffffffff,0x0dff700f,
    0xffffffd0,0x7fffffff,0x3fffffe2,0xffffffff,0x7ffd402f,0x6c02fffd,
    0xfff11fff,0x5fffffff,0x7fffc400,0xffffffff,0x3ffee00d,0x05ffffff,
    0x3fffffe6,0x2201ffff,0xffffffff,0x7f4400cf,0xffffffff,0xffffec85,
    0xffffffea,0x3fae203f,0x2fffffff,0xfffff900,0xffff7bff,0x3db1005d,
    0xffffff00,0xffffffff,0x3ffffe2b,0xffffffff,0xffa803ff,0xfb802fff,
    0x7fffec7f,0x8006ffff,0xffffffd9,0xd5004fff,0x07ffffff,0xffffffb0,
    0xff70017b,0x003bffff,0x7ffff6c4,0x510003ef,0x88003577,0x0009aaa9,
    0x01557530,0xd5000000,0xffffffff,0x3e23bfff,0xffffffff,0x04ffffff,
    0x00155510,0x4cc4054c,0x00009999,0x555554c4,0x55530001,0x99988003,
    0x2aa60001,0xaa880001,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xedb88000,0x200002ee,0x0003eeea,0xccdecca8,
    0x0015c401,0x09dddb70,0x3bb6e000,0x40006eee,0x01bcedba,0x6f6e5c40,
    0xdd30002c,0x2a2003dd,0x061cdeec,0x55555300,0x10355555,0x10355555,
    0x00355555,0x239bdd97,0x3ffff218,0x2e00003f,0x20004fff,0xffffffe9,
    0xff901fff,0xfff50001,0x30000bff,0xffffffff,0x3ffa6000,0x00dfffff,
    0x7ffffecc,0x4001efff,0x402ffffe,0xffffffe8,0x004ffeff,0xfffffffb,
    0x4cbfffff,0xffffffff,0xffffff50,0x3ffea0ff,0xffefffff,0x7fffff92,
    0x7fdc0000,0xff10004f,0xffffffff,0x0bffa09f,0x3fffea00,0xf980005f,
    0x07ffffff,0xfffffc80,0x01efffff,0xfffffff7,0x003fffff,0x0bffffee,
    0xffffff98,0x6fffffff,0xffffff00,0xffffffff,0x7fffffdc,0xffff92ff,
    0xfb83ffff,0xffffffff,0xf9515fff,0x400007ff,0x0003eeea,0xd9dffffb,
    0x3e03fffd,0x950003ff,0x0000bffd,0x3ff732e6,0x7ffdc007,0xfffecdff,
    0xfffb81ff,0xfffeceff,0xfff8806f,0xff702fff,0xfd9bdfff,0x200fffff,
    0xffffffeb,0x223effff,0x5ffffffd,0x3fffffa6,0x7fffcc4f,0xffffdcdf,
    0x03fff86f,0x80000000,0x00205fff,0x80007fff,0x00005ffc,0x400fff50,
    0x883ffff9,0xfb86fffd,0x7ec409ff,0x7fe402ff,0xf982ffff,0xf500bfff,
    0xc8000fff,0xffb806ff,0x1fff9807,0x40bfffd8,0xf86fffd8,0x000003ff,
    0x7ffc4000,0xff988002,0x999999cf,0x05ffc800,0xfff50000,0x0ffff400,
    0x513ffee0,0x7fc40dff,0x3ffe604f,0xfd82fffe,0xffb802ff,0x7fe40006,
    0x07ffb806,0xf81fff98,0x7ff405ff,0x443fff86,0x44009999,0x00199999,
    0x2fffea62,0xd1019999,0xffffffff,0x809fffff,0x99735ffc,0x2a000137,
    0xff7007ff,0x3ff6007f,0x201ff40f,0x3fa05ffd,0x42fff9ff,0x1004fff9,
    0xc80009ff,0xffb806ff,0x1fff9807,0x2017ffc4,0xfff84ffa,0x3fffff63,
    0xfffe885f,0xf9007fff,0xffffffff,0xfa87ffff,0xffffffff,0x407fffff,
    0xfffdeffc,0x8001efff,0xfb007ffa,0x7fcc00df,0x7c40082f,0xfff504ff,
    0xf70bffe9,0x144003ff,0x37fe4000,0x403ffdc0,0xfe81fff9,0x80cc805f,
    0xfff13fff,0xa81fffff,0x7fffffff,0xffffff00,0xffffffff,0xffffe88d,
    0xffffffff,0x7ffe404f,0xffffffff,0x7fd4001f,0x07ffd007,0x004ffe80,
    0x40fffec4,0xff0ffff8,0x06ffc85f,0xf9000000,0xfff700df,0x03fff300,
    0x037dfff7,0x7c7fff00,0x85ffffff,0xffffffe8,0xffff9007,0xffffffff,
    0x3fe6205f,0x199999cf,0xfffff900,0xdffffddf,0x07ffa800,0x8005fff0,
    0x71005ffc,0x320dffff,0x3ffe3fff,0x0027ff42,0xffc80000,0x07ffb806,
    0x881fff98,0xdffffffe,0xbfff801b,0x1cffffd8,0xffb99880,0x7fd4c007,
    0x019999bf,0x0007fff0,0x0dffffc8,0x003fff22,0x9807ffa8,0x5c001fff,
    0x7ec407ff,0x981fffff,0x7ffc6fff,0x001fff42,0xffc80000,0x07ffb806,
    0x101fff98,0xfffffffd,0x7ffc07ff,0x02ffffed,0x00fff500,0x003fff10,
    0x001fffc0,0x40ffff20,0x2002fff8,0xf8807ffa,0x7dc001ff,0x7ffd406f,
    0xffb00eff,0x42fff83f,0xd9303ffe,0x85bddddd,0xffc802c9,0x07ffb806,
    0x401fff98,0xffffffdb,0xffff05ff,0x0003ffff,0x4003ffd4,0x0001fff8,
    0x0000fffe,0xfe80bff9,0x3fea004f,0x05fff007,0x405ffd80,0x202efffa,
    0xff85fffa,0x427ff42f,0xfffffff8,0x1ffa1fff,0x201bff20,0xf9807ffb,
    0x32a001ff,0x85fffffe,0x0fffffff,0x3ffd4000,0x0fffc400,0x07fff000,
    0x05ffc800,0x50027ff4,0x3fa00fff,0x7ff4004f,0x037fc403,0x4cd7fff4,
    0x643fff99,0xffff05ff,0x23ffffff,0x6401fff8,0xffb806ff,0x1fff9807,
    0x3ffea000,0xffffff87,0x2a0000ef,0xf88007ff,0x3e0001ff,0x640003ff,
    0x7ff405ff,0x1ffea004,0x007ffe40,0x802fffa8,0x7fd402eb,0xffffffff,
    0xff70ffff,0x3332e60d,0x3e22fffd,0x7fe401ff,0x0fffa805,0x207ffd40,
    0xff1005d9,0xfffff85f,0x0000efff,0x1000fff5,0x40003fff,0x40003fff,
    0x7f405ffc,0x3fea004f,0xbfff5007,0x0dfff100,0xfffa8000,0xffffffff,
    0xfff32fff,0x1ffee005,0xd803fff1,0xff8804ff,0x37fe404f,0xf801ffe4,
    0x5fffc3ff,0x01ffffe8,0x007ffa80,0x001fff88,0x1013ffe0,0x17ff2015,
    0x4009ffd0,0x32007ffa,0x3a204fff,0x00002fff,0x7fffffd4,0xefffffff,
    0x007fffe0,0xff11ffee,0x7ffcc03f,0x1ffff002,0x217ffea0,0x5c01fffe,
    0x7ffc2fff,0x3ffffd13,0x07ffa800,0x01fff880,0x2bbffa00,0xfffd9510,
    0xd017ff20,0x7d4009ff,0x7ff4007f,0xff730aef,0x00000bff,0x33333331,
    0x505fff33,0x4139ffff,0x47ffeca9,0x0bdffff8,0x01ffff93,0x33fffee0,
    0x1ffff731,0x59ffffd0,0x3fffae61,0x7fff510f,0xabffffd8,0x65555440,
    0xaaaaafff,0x7fdd5440,0x0aaaaacf,0xfffffb80,0xffffffff,0x3bffaa21,
    0x7ffd440a,0x555440ad,0xaaafffca,0xfff300aa,0xffffffff,0x3aa001df,
    0x510001df,0x9019fff7,0xffffffff,0x8fffffff,0xfffffff8,0x01ffffff,
    0x7ffffec0,0x03ffffff,0xfffffffd,0x7fffffff,0x0fffffee,0xfffffff7,
    0x3ffffee7,0xffffffff,0xffff10ff,0xffffffff,0xffd001ff,0xffffffff,
    0xffffd89f,0x7fffc6ff,0x3fee4fff,0xffffffff,0x300fffff,0xfffffffd,
    0xff8009ff,0xfa8004ff,0x0fffffff,0xffffffc8,0x3fffffff,0xfffffeb8,
    0x001fffff,0xfffffd88,0x3203ffff,0xffffffff,0x364fffff,0x643fffff,
    0x4fffffff,0xfffffffb,0xffffffff,0x3ffffea5,0xffffffff,0xffc8802f,
    0x1cefffff,0x7fffffc4,0xffff30ff,0x7fecffff,0xffffffff,0x402fffff,
    0xeffffffb,0xfffd8002,0xfffc8003,0x102fffff,0xffffffd9,0xfb5005df,
    0x039dffff,0xffffa800,0x74c01eff,0xfffffc9d,0x7ecc1dff,0x7ecc3fff,
    0xb31dffff,0xffffffff,0xc89dffff,0xffffffff,0x4004ffff,0x801acaa8,
    0x3effffeb,0x77ffff64,0x3ffff662,0xffffffff,0x2aa2004e,0x1a980001,
    0xfffb1000,0x4c009fff,0x00009aaa,0x00001553,0x00135510,0x09aaa980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9dd95100,0x2a206217,0x2201aaaa,0x981aaaaa,
    0xaaaaaaaa,0x261aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x15554c0a,0x35555510,
    0x2aaaaaa0,0x80009aaa,0x2201aaa9,0x5300aaaa,0x26015555,0x880aaaaa,
    0xaaaaaaaa,0x5553001a,0x55555555,0x0aaaaa01,0x006aaaa2,0x54000060,
    0xfffffffe,0x3ee3ffcf,0x0fffffff,0x7fffffd4,0x3fff60ff,0xffffffff,
    0x3fff23ff,0xffffffff,0x21ffffff,0x84fffffe,0xfffffffa,0xfffff10f,
    0xffffffff,0x3fffe007,0x7fdc0fff,0x7fc4ffff,0x43ffffff,0xfffffffd,
    0x3fffff25,0xefffffff,0xfffffd01,0xffffffff,0x7ffffc47,0xffff51ff,
    0xfd300fff,0x0007dbff,0xfffffff9,0x4dffffff,0xfffffffc,0x7fffe42f,
    0x3f61ffff,0xffffffff,0x3f23ffff,0xffffffff,0xffffffff,0xffffff11,
    0xffffc83f,0xff51ffff,0xffffffff,0x403fffff,0xfffffff9,0x7ffffec2,
    0x3fffe66f,0x7fc5ffff,0x27ffffff,0xfffffffe,0x4fffffff,0x7fffffc4,
    0xffffffff,0x3ffffea5,0xffff93ff,0x7dc03fff,0x0fffffff,0x3ffff200,
    0xfffedcef,0x3ffa27ff,0xe985ffff,0x45ffffff,0xfffffffd,0x23ffffff,
    0xfffffffc,0xffffffff,0x3fff21ff,0x7ecc6fff,0x225fffff,0xfffffffd,
    0xffffffff,0x3ffff200,0x7ffcc0ef,0x7fec2eff,0x5c1effff,0x3ffffffe,
    0x3fffffaa,0xffffffff,0x7fff5c3f,0xffffffff,0x3fff621e,0xffb30dff,
    0x7cc0bfff,0xffffffff,0xffff5000,0xfffd3017,0x07fff30f,0x6c1bffa0,
    0xfff305ff,0x237fe41f,0x7fcc7ffb,0xffffa81f,0x3fff103f,0x4c2ffe40,
    0x405fffeb,0xd03fffe8,0x7ec09fff,0x7ffc005f,0x85fff102,0x1ffffdb8,
    0x003ffd40,0xfe80bffb,0x7ffec04f,0x001efdac,0x200ffffa,0xffb07ffe,
    0x7fff300f,0x2217ff60,0x7e42ffff,0x23ffdc6f,0xfa81fff9,0x880fffff,
    0x3f201fff,0x3fff405f,0x17fffc40,0x9017fff2,0xaaa98dff,0x407ffe20,
    0x2a02fff8,0x7d403fff,0x3ff6007f,0x027ff405,0x00313ffe,0x2007fff0,
    0xff505ffa,0xfffd805f,0xd09ffb00,0xff907fff,0x4c7ffb8d,0xffa81fff,
    0xf885ffff,0x3ff201ff,0x07ffd405,0x8ffffcc0,0x400efffb,0x7fec7ffb,
    0x03ffe62f,0x2017ffc4,0x7d405ffe,0x3ff6007f,0x027ff405,0x00013ffe,
    0x4003fff3,0x3ffe02fe,0x13ffe205,0x7e43ffb8,0xbff905ff,0x7c47ffb8,
    0xfffa80ff,0x7c42fffd,0x3ff201ff,0x03ffdc05,0xf5dfff70,0xf5003fff,
    0x7fffc1ff,0x881ffea5,0x7ec02fff,0x3ffd405f,0x80bffb00,0x7ec04ffe,
    0x2e0000ff,0x800007ff,0xf701fffb,0x664403ff,0x03bffea0,0x3ee1ffd4,
    0x506fe87f,0xffff1fff,0x00fffc41,0x7dc0bff9,0x7e4005ff,0x02ffffff,
    0x2a3fff30,0xf70fffff,0x7ffc40ff,0x0fffea02,0x400fff50,0x7f405ffd,
    0x7ffcc04f,0x3ff60005,0xf8800004,0xdffd04ff,0xffff3000,0x5c0ba803,
    0x01b987ff,0x3feefff5,0x07ffe24f,0x999effc8,0x2ffffeca,0xffffd800,
    0x3fe2003f,0xfffffb2f,0x881bff25,0xfd302fff,0xffa805ff,0x3fff6007,
    0xfeeeeeee,0x7fc404ff,0xff0002ff,0x2000007f,0x7d40fffd,0x744002ff,
    0x20003fff,0xa8007ffb,0x3fffa7ff,0x403fff11,0xfffffffc,0x003fffff,
    0x0dffff10,0xf17fff00,0x36bfffff,0x3fe205ff,0xffdbaacf,0xfa805fff,
    0x3ff6007f,0xffffffff,0x3a204fff,0xd30fffff,0x7ffc019b,0xf3000003,
    0x7ffd87ff,0x4fffd800,0x3ffdc000,0x33ffd400,0x3fe2dfff,0x3fff201f,
    0xffffffff,0x3ff20001,0x74002fff,0xdfffacff,0x4ffe8fff,0x3ffffe20,
    0xefffffff,0x07ffa800,0x3fffff60,0xffffffff,0xffffd104,0x3fff2bff,
    0x013ffa03,0x6ffe8000,0x0013ffe2,0x060dfff7,0x007ffb80,0x7e47ffa8,
    0x1fff8bff,0x3fffff20,0x006fffff,0x3ffffea0,0x3f6001ff,0xf9effddf,
    0x03fffaff,0x3fffffe2,0x00cfffff,0x400fff50,0xcccceffd,0x04fffccc,
    0xffbbfff7,0x09fffd7f,0x0002ffec,0x23fff700,0x2000fffc,0xd80ffff9,
    0xfff7005f,0x0fff5000,0xfff5fffd,0x4f7fe403,0x5ffffb99,0xffff9800,
    0x000efffc,0x9fffdff9,0x3fffbffa,0x3fffe202,0x01cdefff,0x003ffd40,
    0xfe80bffb,0x2bffd04f,0xfffffff8,0x3fff200c,0xf1000000,0x17ffebff,
    0x2ffff880,0x800fff88,0xa8007ffb,0xfff987ff,0x3201ffff,0xfffa85ff,
    0x3fe2005f,0xbfff92ff,0x3fffee00,0xffff71ff,0x7fc403ff,0x2a00002f,
    0x3f6007ff,0x27ff405f,0xf517ffc4,0x801fffff,0x4004fff9,0xfff9001a,
    0x4005fff7,0xf304fffe,0xff7003ff,0xfff5000f,0x3fffff20,0x17ff201f,
    0x01ffff4c,0x6c4fffe8,0xfa804fff,0x3e67ffff,0x200fffff,0x0002fff8,
    0x801ffea0,0x7f405ffd,0x3fff884f,0x02ffffe4,0x803fffd8,0x9800ffe8,
    0x06ffffff,0x817fff20,0xb801fff9,0xfa8007ff,0xffff107f,0x7fe403ff,
    0x3fffe605,0x2fffec00,0x01ffff44,0x13ffffea,0x80fffffd,0x0002fff8,
    0x801ffea0,0x7f405ffd,0x5dfff04f,0x33fffea1,0xfffe8801,0x3ee621ae,
    0xfd002fff,0x2007ffff,0xaabffffa,0xfffbaaaa,0xff955301,0x8801555f,
    0x40aafffc,0x81fffffa,0x2aeffea8,0x15dfff70,0x2ffffc88,0x17ffff70,
    0x3ffffe60,0x3ffffdc1,0x59fff730,0x54c00355,0xaafffcaa,0x7f5440aa,
    0x7d440aef,0x7e40adff,0xffffffff,0x8802ffff,0xfffffffe,0x06ffffff,
    0x3ffffea0,0xffff7000,0xffffffff,0xffb03fff,0xffffffff,0x3ffe603f,
    0x6c1fffff,0x7c41ffff,0x7fffffff,0x4fffffb0,0xfffffff9,0x7ffffec3,
    0xfff880ff,0xffff987f,0xfffff906,0x00bfffff,0xfffffffd,0x47ffffff,
    0xfffffffe,0xffffff51,0xffffd09f,0xffffffff,0x3ffa200b,0xffffffff,
    0xfff8004f,0x3fee004f,0xffffffff,0xe81fffff,0xffffffff,0xff703fff,
    0x87ffffff,0x541ffff8,0xffffffff,0xfffe881f,0xfffff71f,0xffff8bff,
    0xff01ffff,0x3ffa09ff,0xffffd05f,0x0fffffff,0xffffff88,0xffffffff,
    0xffffff15,0x3fff27ff,0xf907ffff,0xfdbfffff,0x544003bf,0xefffffec,
    0xff90002d,0x7fdc003f,0xffffffff,0xa81fffff,0xfffffffe,0xfb100dff,
    0x01bfffff,0xf903fff7,0x09dfffff,0xb1277fcc,0x83bfffff,0x4effffea,
    0x40bfffa0,0xb504fffb,0xffffffff,0xffd7005d,0xffffffff,0x7ff5c3bf,
    0xfb30dfff,0x405dffff,0x000aaa98,0x09aa8800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55530000,0x55555555,0x98155555,0xaaaaaaaa,0x0aaaaaaa,
    0xaaaaaaa8,0x54c0009a,0x555002aa,0x2aaaa035,0x01aaaaaa,0x55555500,
    0x53000155,0x55440355,0xaaa880aa,0x001aaaaa,0x0d555554,0x4055554c,
    0x000000a9,0x005c4000,0xfffff800,0xffffffff,0xf11fffff,0xffffffff,
    0xffffffff,0x7ffffc43,0xceffffff,0x7ffffc00,0x7ffd400f,0x3ffe65ff,
    0xffffffff,0xf8800dff,0xffffffff,0x7fff4004,0x7fdc0fff,0x3ee4ffff,
    0xffffffff,0xfff9806f,0x366fffff,0x24ffffff,0x0003fff9,0xfd880000,
    0x13ff607f,0xffffff98,0xffffffff,0xff51ffff,0xffffffff,0x3fffffff,
    0x7fffffd4,0xffffffff,0xfffff302,0xfffd809f,0x3ffea7ff,0xffffffff,
    0x5403ffff,0xffffffff,0x3fe2007f,0x6c2fffff,0x26ffffff,0xfffffffd,
    0x5400ffff,0xffffffff,0xffffff0f,0x7fffdcdf,0x0000002e,0xfffffc88,
    0x1ffffa80,0x3fffff20,0xffffffff,0x3f61ffff,0xffffffff,0x1fffffff,
    0x3fffff62,0xffffffff,0xffff902f,0x3fe601ff,0x3623ffff,0xffffffff,
    0x1fffffff,0x3ffff620,0x002fffff,0x37fffff2,0x7ffffcc0,0x3fffa62e,
    0x03efffff,0xfffffd88,0x3fff24ff,0x3f622eff,0x001effff,0xfff70000,
    0x3ee07fff,0xfb802fff,0xfff9807f,0x405ffc81,0xfa81fff8,0xffdb987f,
    0xfff700ff,0x3ff207ff,0x3f602fff,0xffca885f,0x3fe2006f,0x8005ffff,
    0xfb02fffd,0xff9005ff,0xffd8000d,0xffffd885,0x3fffaa02,0x00000dff,
    0xfffffd50,0x7ff4403b,0x0fff7006,0x903fff30,0xff880bff,0x07ffa81f,
    0xb82fffe4,0x886fffff,0x02ffffff,0xf9017ff6,0x7fdc00ff,0x000fffdf,
    0x207fffc4,0x9005fffa,0xd8000dff,0x7ff445ff,0xff7001ff,0x0019ffff,
    0x3fff6600,0x26002eff,0x1ffee001,0x07ff882a,0x4150bff9,0xffa80fff,
    0x1fffe807,0xffffffb8,0x7ffffdc2,0x17ff602f,0x003fff50,0x3fe3bffe,
    0xffa8004f,0x3fffe25f,0x0dff9000,0x25ffd800,0x00effff9,0x7fffe440,
    0x220003ff,0x2ffffffc,0xfb800000,0xb07fec7f,0x17ff209f,0x82fe4dfd,
    0xf8807ffa,0xfffb84ff,0x7ffc6fff,0x3602fffe,0x7ff405ff,0x5fff5007,
    0x4001fff6,0xffb2fffd,0x7fe4005f,0x7fec0006,0x1dffff55,0x7fec4000,
    0x2002efff,0xffffffc8,0x20000003,0x7ff47ffb,0xbff90042,0x8007ffc4,
    0xfd007ffa,0x7fff70bf,0x3fea3fff,0x202fffbf,0xeb985ffd,0xfb005fff,
    0x17ffd4ff,0x7fffc400,0x4005fffb,0x40006ffc,0xfffbdffd,0x2600005f,
    0x1efffffe,0x7ffffdc0,0x000000cf,0x7ffffdc0,0x2003ffff,0xfffffffc,
    0xff5001ff,0x1bff200f,0x3fe3ffee,0xf1dffd5f,0x7fec05ff,0xffffffff,
    0xf8800fff,0x2fff44ff,0xffffa800,0x64000fff,0x6c0006ff,0x6fffffff,
    0xfd500000,0xa81bffff,0x1dfffffe,0x70000000,0xffffffff,0x7fe4007f,
    0x1fffffff,0x00fff500,0x3ee1ffee,0xf7fff97f,0x5fff17ff,0x7ffffec0,
    0x5fffffff,0x81fff700,0x0000fffb,0x05fffffb,0x00dff900,0xfffffd80,
    0x00005fff,0xfffffc88,0x3fff623f,0x00002fff,0x3ffee000,0x03ffffff,
    0x3fffff20,0x5001ffff,0x3ee00fff,0x17ffb87f,0x2fffffff,0x3602fff8,
    0xffffffff,0x804fffff,0xff885fff,0xff10004f,0x32000bff,0x6c0006ff,
    0xffffffff,0x2e00005f,0x0cffffff,0xfffffd30,0x7fc0003d,0xff7001ff,
    0x5fff999f,0x577fe400,0x001fffba,0x3200fff5,0x7ffb86ff,0x53fffff6,
    0x3602fff8,0xccccceff,0x05ffffec,0x3fffffea,0x07ffffff,0x03ffee00,
    0x037fe400,0x3f603b62,0xffea9fff,0x7540006f,0x01dfffff,0xfffffd50,
    0xff98001b,0x3fee004f,0x000fff47,0xfff8bff9,0x3ea02e60,0xbffb007f,
    0x7ccfff70,0xff10ffff,0x2ffec05f,0x03fffe60,0x7fffffec,0x2fffffff,
    0x0fff5000,0x037fe400,0x3f60ffee,0x7ffec0ef,0xffd98003,0x0002efff,
    0x9ffffff7,0x3fff2001,0x1ffee000,0xfc800bf5,0xf11fdc5f,0x0fff50bf,
    0x2e0fffe0,0x7fff47ff,0x80bffe25,0xfa805ffd,0xfff883ff,0xffffffff,
    0x50005fff,0x64000fff,0x7fe406ff,0x885ffd85,0x22007fff,0x2ffffffc,
    0xffc88000,0xe803ffff,0x7dc002ff,0xf900007f,0xfff500bf,0x900fff50,
    0xff705fff,0x21fffa8f,0x3602fff8,0xffd005ff,0x57fff709,0xf9555555,
    0xf50001ff,0x7e4000ff,0x2ffe406f,0xfa82ffec,0x7e4403ff,0x003fffff,
    0xfffd8800,0xff302eff,0xfff7000b,0x3ff20000,0x87ffa805,0x7e407ffa,
    0xfff706ff,0xff883330,0x17ff602f,0x20fffe20,0xf8805fff,0xfa8004ff,
    0x3f20007f,0x2ffe406f,0xfb02ffec,0x3fea01ff,0x000cffff,0x7ff4c000,
    0x7dc1efff,0x7ed4001f,0x00aaaaff,0x3bff6a20,0xaaaaaaaa,0x7e447ffc,
    0xdcaaabff,0x880fffff,0x00aafffd,0x19fff751,0xaeffea88,0xfecaaaaa,
    0x3ee21fff,0x5100acff,0x8015fffd,0xbfffcaa9,0x554400aa,0xaaaafffd,
    0x25ffeaaa,0x1aeffea8,0x0adfff98,0x37ffffea,0x40000001,0x0fffffea,
    0xff0013fa,0xffffffff,0xfff1007f,0xffffffff,0x4fffffff,0xfffffff8,
    0xffffffff,0xfffff982,0x7fd40fff,0x30ffffff,0xffffffff,0xffffffff,
    0x7fffdcbf,0x7dc0ffff,0x0fffffff,0xffffff90,0x205fffff,0xfffffffb,
    0xffffffff,0xffff35ff,0xfb0dffff,0x3ee7ffff,0x00002eff,0x7ffdc000,
    0x800df10f,0xfffffff9,0xa804ffff,0xffffffff,0xffffffff,0x3fffea7f,
    0xffffffff,0xfff701ef,0xb85fffff,0xffffffff,0xffffff52,0xffffffff,
    0x7fe41bff,0x42ffffff,0xfffffffc,0xffffd02f,0x9fffffff,0x3fffff60,
    0xffffffff,0xff55ffff,0x1fffffff,0x5fffff98,0x00000b72,0x3eb88000,
    0x7640005c,0xffffffff,0xfff9001d,0xffffffff,0xc8ffffff,0xffffffff,
    0x6c402bde,0x84efffff,0xefffffd8,0x3ffff624,0xffffffff,0xffd981ce,
    0xd984efff,0x04efffff,0x3fffff6a,0x300dffff,0xfffffffb,0xffffffff,
    0x3fff62bf,0xfd03efff,0x00003bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02e60000,0x4cc40200,0x33331009,0x99973001,0x4c000159,0x10000acb,
    0x00359973,0x37999750,0xcba88002,0x98800acc,0x44599519,0x33000bcb,
    0x2f32a213,0x3331000a,0x02666201,0x81333310,0x26201cb9,0x99880199,
    0xbff10019,0x8f7fdc00,0x86ffffe8,0x04fffffe,0xffffffb1,0x20019fff,
    0xffffffd9,0xff7000ce,0x09ffffff,0xfffffd50,0x401ffdff,0xffffffc8,
    0x221ffdff,0xffcfffff,0xffffbcff,0xfff300ef,0xfffff7df,0x7fcc05df,
    0x3a25ffff,0xd05fffff,0x269fffff,0x43effffe,0x1ffffffc,0xffffff90,
    0x07ffa803,0x557fffe0,0x4c6fffff,0x04ffffff,0xfffffffb,0x300bffff,
    0xffffffff,0x74401dff,0xffffffff,0xffb01eff,0xffffffff,0x3fea05ff,
    0xffffffff,0x3fee3fff,0xffffffff,0xffffffff,0xfffff905,0xffffffff,
    0x3ffee05f,0xff50ffff,0x981fffff,0xcdffffff,0xffffffff,0x3fffffe1,
    0xfffff04f,0xffa809ff,0xffff1007,0x3ffffa2b,0xfffffd86,0xfffff704,
    0x7fffffdd,0x7ffffd40,0xefffffee,0xffffe880,0xfffffeef,0x7fffd40f,
    0xffffeeef,0xffff883f,0xffffeeff,0x3ffa24ff,0xfffeffff,0xffffefff,
    0xffffe980,0xfffeefff,0xffe880ff,0x7ff44fff,0xffb05fff,0xffffffff,
    0x5c9fffdf,0x01ffffff,0x3ffffff7,0x007ffa80,0xb107ffee,0x3a620dff,
    0x26ea04ff,0x04fff980,0x109ffff3,0xd81dfffb,0x220aefff,0x644fffea,
    0x5c40afff,0xffe82fff,0x7f5440df,0xfffb84ff,0x5ffff50e,0xc80bffe6,
    0x220dffff,0x2e02fffb,0xf30dffff,0x8803dfff,0xffffffe9,0x881bb30b,
    0x3fea3fff,0x01bff60f,0x2003ffd4,0x1bff2018,0x0009ffb0,0xf906ffc8,
    0xffc803ff,0x3bffe62f,0x3fffa200,0x807fff61,0x7fdc0dfb,0x7ffc404f,
    0x20fffb84,0x7fc2fff9,0x3fff202f,0x00fffe04,0xf7dffff3,0x4001dfff,
    0x01effffe,0xfb2fff40,0x27ffc5ff,0x007ffa80,0x037fe400,0x91013ff6,
    0xfdddffdb,0x0fffe0df,0xf72fffc0,0x555559ff,0x9fff7555,0x6fffffdc,
    0x7e4021ac,0x5ff7006f,0xf98fff70,0x17ffc1ff,0xe80dff90,0xfe9804ff,
    0x05ffffff,0x05fffe80,0x22dff900,0xff36ffff,0x3fea005f,0x7e400007,
    0x27fec06f,0xfffffc88,0x86ffffff,0x9000fff9,0x7ffecfff,0xffffffff,
    0x745fffff,0xffffffff,0x9ffd00df,0xfb815400,0x0fffcc7f,0xfc80bffe,
    0x27ff406f,0xffffe880,0xffd0004f,0x7fd4000b,0xfffffb8f,0x4c0fffb8,
    0xffdccccb,0x0acccccf,0x06ffc800,0xfe827fec,0xffffffff,0xffb86fff,
    0x3ffe6007,0xffffffd1,0xffffffff,0xffb88fff,0xffffffff,0x002fff83,
    0x98fff700,0x7ffc1fff,0x01bff202,0x6c009ffd,0x002fffff,0x0009ffd0,
    0x7f57ffc4,0xffdcffff,0x7ffffd46,0xffffffff,0xc8007fff,0x7fec06ff,
    0xfffffd84,0xfffdcbbd,0x00fff986,0x7ecfff50,0xffffffff,0x7fffffff,
    0xffd97310,0xff85ffff,0xf700003f,0x1fff98ff,0xf9017ffc,0x4ffe80df,
    0xffffe880,0xe8004fff,0x740004ff,0xfffffeff,0x5c4fffff,0xffffffff,
    0xffffffff,0x7fe4000f,0x227fec06,0x202efff8,0xfff06ffc,0x97ff6007,
    0x999afffb,0x99999999,0x88076e19,0x7ec5fffa,0xf700005f,0x1fff98ff,
    0xf9017ffc,0x4ffe80df,0x7ffff440,0x005ffffc,0x00027ff4,0x3ffffff2,
    0x2ffffffa,0x7ffff644,0xffffffff,0xfc8003df,0x3ffee07f,0x00fffd44,
    0x360dffd3,0x7e402fff,0x3ffe63ff,0xff10000e,0x1fff700d,0x8017ffdc,
    0x7ffb84d9,0x3e0fffcc,0x3ff202ff,0x027ff406,0x21dffff3,0x00effffa,
    0x0009ffd0,0x4fffffa8,0x01fffffd,0x003ffd40,0xf5019db3,0x3aa217ff,
    0x2a0dffff,0x2a20cfff,0x0afffffd,0x0effffd4,0x1ffffd31,0xabefffc8,
    0x97f6dcc0,0x20affffa,0x47ffeba8,0x81dffff8,0x22fffc98,0x261fffc8,
    0x3fe0bfff,0x7ed440cf,0xfe980aef,0xfffb80df,0x7ffd40ff,0xd55302ef,
    0x55555bff,0x3ffe2001,0xffff71ff,0x7ffa800f,0x13fffa00,0x3fffffe2,
    0xffffffff,0xfffff13f,0xffffffff,0xfa85ffff,0xffffffff,0xfd00efff,
    0xffffffff,0x2edfffff,0xffffffff,0x84ffffff,0xfffffff9,0xfffffffe,
    0xffffff32,0x9ffffe6d,0x361fffff,0x46ffffff,0x3ffffffc,0x3ffffffe,
    0x3ffffe66,0x7fff45ff,0xffffffff,0xffd003ff,0x7fffc4df,0x3ffd4005,
    0x6ffff880,0xffffff70,0xffffffff,0x7ffffcc9,0xffffffff,0xff984fff,
    0xffffffff,0x3ff6200e,0xffffffff,0xfff34fff,0xffffffff,0x7fd40bff,
    0xffffffff,0x3fee4fff,0xff37ffff,0x3ffe3fff,0x3fffe2ff,0x3fa1ffff,
    0xf14fffff,0x1fffffff,0x3fffffea,0x3fffe26f,0xffffffff,0xff9005ff,
    0x3fffd87f,0x03ffd400,0x407fffb0,0xeffffffb,0x41dfffeb,0xffffffe9,
    0xdffffdbe,0xfffd9301,0x20017dff,0xfffffffa,0x7e41cfff,0xffffffec,
    0xfc8801ef,0xffffffff,0x7ffec41c,0xdfff32ef,0x22ffffc9,0x4effffea,
    0x6ffffed4,0x3ffffae1,0x7fffe43e,0x7ff5c2df,0xffffffff,0xff5001df,
    0x1fffa81f,0x03ffd400,0x4c006e60,0x30000abb,0x00035795,0x0006ea20,
    0x33577310,0xacaa9800,0xa9880009,0x0009aacb,0x00000000,0x00000000,
    0x00000000,0xfff50000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x4cc006ff,0x33100999,
    0x33310333,0x33333333,0x19500133,0x00144000,0xca899995,0xeeeeeeee,
    0xbeeeeeee,0x993bbaa1,0x06205eee,0x0007ae00,0x11111110,0x11111111,
    0x55301111,0x55555555,0x00001555,0x00000000,0xfb801764,0x25ffffff,
    0xffffffe8,0x3ffff22f,0xffffffff,0x2ffc404f,0x005fb000,0xf88ffffa,
    0xffffffff,0xffffffff,0x97ffea6f,0xe986fff9,0xb0204fff,0x3f6605ff,
    0x3ffff60c,0xffffffff,0xffffffff,0x3ffffa3f,0xffffffff,0x0000003f,
    0x00000000,0x3fffffa0,0xfff50fff,0x64bfffff,0xffffffff,0x404fffff,
    0x90007ffa,0xf8803fff,0x7ffc47ff,0xffffffff,0x5fffffff,0xff13ffe6,
    0xffffa8bf,0x7fdc0dff,0xd09ffb10,0x3fe69fff,0xffffffff,0xffffffff,
    0x3fa7ffff,0xffffffff,0x0003ffff,0x00000000,0x3fee0000,0x744fffff,
    0x2effffff,0x3ffffff2,0x3fffffff,0x003ffd40,0x077fffd4,0x307fff50,
    0x99999997,0x99999999,0x1fffc417,0xff993ffa,0x1effffff,0xfc87fff7,
    0x3fffe25f,0x3fffffa6,0xffffffff,0xffffffff,0x3bbbbb25,0xeeeeeeee,
    0x00000002,0x00000000,0x206fff98,0xc80dfff9,0xb9999dff,0x5c44ffff,
    0xa89ffea1,0x3fffe602,0x3ff206ff,0x40000006,0x7fec1fff,0x273fff63,
    0xffdffffe,0x2ffb80ff,0x530bfff2,0x55555555,0x55555555,0x00000155,
    0x00000000,0x80000000,0xf901fffc,0x3fea03ff,0x27fffcc3,0x7e6ffff4,
    0x3fffebff,0xfeffff88,0x5ffd04ff,0xe8000000,0x17fe40ff,0x7ec49ff9,
    0x02ffffff,0x01730326,0x00000000,0x00000000,0x00000000,0x0bfff100,
    0x440bfff1,0x3ffea0cc,0xffff884f,0xffffffff,0xfffe85ff,0x43fffe8c,
    0x4c406ff9,0x99999999,0x80999999,0x1ffb87fc,0x7fdc0ee2,0x00002fff,
    0x00000000,0x00000000,0x00000000,0x3fff9000,0x002fffb8,0x027fffd4,
    0xfffffff5,0x81bfffff,0x3e65fffd,0x3fee2fff,0x3ffffa02,0xffffffff,
    0x5c3fffff,0x00ffa86f,0x005edcc0,0x00000000,0x00000000,0x00000000,
    0xf1000000,0x6fff8bff,0x7fffd400,0xfff93004,0x7017dfff,0xfa81dfff,
    0x0dfb0fff,0x7fffffcc,0xffffffff,0x7d46ffff,0x0006f885,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf71fffc8,0x7d4005ff,0xe8004fff,
    0x203fffff,0xf700ffff,0x007febff,0xfffffffb,0xffffffff,0x201707ff,
    0x0000001a,0x00000000,0x00000000,0x00000000,0xf8800000,0x0dfff5ff,
    0x27fffd40,0xfff900c4,0x3a03ffff,0x7fe401ff,0x4cc00334,0x99999999,
    0x00019999,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0x002fffcf,0x109ffff5,0xfff307ff,0x20dfff5d,0x177001b8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x0dffffff,
    0x3bfffea0,0xffcaaaaa,0x91fffe86,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05fffffb,0x3fffffe0,
    0xffffffff,0x743ffd87,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x2006ffff,0xffffffff,0x87ffffff,
    0x03c883c8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0x3fffe003,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_39_usascii_x[95]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,2, };
static signed short stb__courier_bold_39_usascii_y[95]={ 28,5,7,4,4,6,8,6,5,5,6,8,23,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,13,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,34,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14, };
static unsigned short stb__courier_bold_39_usascii_w[95]={ 0,6,13,17,16,17,16,5,8,8,16,19,8,15,
6,16,16,16,17,17,16,17,16,16,16,16,6,9,21,21,21,15,15,23,20,19,20,20,20,20,21,16,21,21,
19,23,22,21,18,21,22,17,19,21,23,23,21,21,17,9,16,9,16,25,7,19,21,19,21,18,18,20,21,17,
14,19,17,23,20,19,21,21,19,17,19,20,21,22,21,21,16,10,5,10,17, };
static unsigned short stb__courier_bold_39_usascii_h[95]={ 0,24,10,28,29,23,21,12,29,29,15,20,11,4,
6,29,24,23,23,24,22,23,24,23,24,24,17,20,20,11,20,22,26,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,28,29,28,12,5,6,17,23,17,23,17,22,24,22,22,
30,22,22,16,16,17,24,24,16,17,22,17,16,16,16,24,16,28,28,28,8, };
static unsigned short stb__courier_bold_39_usascii_s[95]={ 250,1,125,91,51,234,233,250,25,16,60,
1,94,198,165,68,211,199,216,30,156,142,48,182,103,86,21,241,219,103,197,
140,173,109,88,1,43,22,1,173,211,194,194,175,155,64,83,118,175,151,106,
238,63,216,21,151,129,133,45,130,34,120,77,172,157,49,120,126,160,89,39,
65,78,21,1,1,100,146,170,69,8,228,213,108,58,28,21,233,191,189,43,
109,85,140,139, };
static unsigned short stb__courier_bold_39_usascii_t[95]={ 14,32,143,1,1,32,80,1,1,1,143,
125,143,143,143,1,1,32,32,32,57,32,32,32,32,32,125,103,103,143,103,
57,1,103,103,80,103,103,103,57,80,80,57,103,103,103,80,57,80,1,80,
57,80,57,80,80,80,103,80,1,1,1,143,143,143,125,32,125,32,125,57,
32,57,57,1,57,57,125,125,125,32,1,125,125,57,125,143,125,125,1,143,
1,1,1,143, };
static unsigned short stb__courier_bold_39_usascii_a[95]={ 331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_39_usascii(stb_fontchar font[STB_FONT_courier_bold_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_39_usascii_s[i] + stb__courier_bold_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_39_usascii_t[i] + stb__courier_bold_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_39_usascii_x[i];
            font[i].y0 = stb__courier_bold_39_usascii_y[i];
            font[i].x1 = stb__courier_bold_39_usascii_x[i] + stb__courier_bold_39_usascii_w[i];
            font[i].y1 = stb__courier_bold_39_usascii_y[i] + stb__courier_bold_39_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_39_usascii_s[i] + stb__courier_bold_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_39_usascii_t[i] + stb__courier_bold_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_39_usascii_x[i] + stb__courier_bold_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_39_usascii_y[i] + stb__courier_bold_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_39_usascii_LINE_SPACING
#endif

