// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT        166
#define STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_40_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_40_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_40_usascii_LINE_SPACING          19

static unsigned int stb__courier_bold_40_usascii_pixels[]={
    0x002aaa80,0x2007d700,0x006000a8,0x20100188,0x20726000,0xaaa88009,
    0x04ea81aa,0x400ee200,0x00aaaaa9,0x80006a60,0x00bdeca8,0x00000000,
    0x5edc4000,0x00f332a0,0x0003fffe,0x001fff30,0x3f600ffd,0x3ffa200e,
    0xb13fa206,0xfff300bf,0x200effd8,0xfffffff9,0x000fffe2,0xf302ffe4,
    0x05ffffff,0xfffffe98,0x3fe6003e,0x002fffff,0x5bdffd95,0x30b3332e,
    0x91199997,0x019bfffd,0x325fffd8,0xff805fff,0x6c0000ff,0x7c400fff,
    0x7fc401ff,0xffff102f,0x9ffea03f,0x7401fff8,0xfff10fff,0x3fe601df,
    0x3a5fffff,0xfb0007ff,0x3fee05ff,0x102fffff,0xfffffff9,0xf9801bff,
    0xffffefff,0x3fff6202,0xfeefffff,0xff13ffff,0xfffbffff,0x05ffffff,
    0x43ffffe2,0xf804fffa,0x20000fff,0x9805fff8,0x7c403fff,0xfffb02ff,
    0x3ffdc0bf,0x5c03fff5,0x7fec5fff,0xfff305ff,0x7dc5ffff,0xf98002ff,
    0xffd306ff,0xd105ffff,0xffffffff,0x2203ffff,0xf710bfff,0x3ffe60ff,
    0xffffffff,0x14ffffff,0xffffffff,0xffffffff,0xffff50bf,0x0fffe63f,
    0x000aaaa0,0x403fff90,0xefffffda,0x7ffc43dc,0x03dfff02,0x3ea7ffc8,
    0x3ffa00ff,0x7ffd981f,0x137fff30,0x001bffe0,0x101ffff4,0xb05fff53,
    0x5359ffff,0x20dffff7,0xff704ffc,0xfffff883,0xffffebbd,0x2a0cefff,
    0xffffffed,0xffffdbce,0x7fffcc3f,0x05fff10f,0x7c400000,0x3ff205ff,
    0xffffffff,0x0bffe21f,0x200fffe2,0x3fee6ffc,0x17ffea07,0x981fffa8,
    0x7dc02fff,0xfa8002ff,0xff8806ff,0x77ffd42f,0x9fffd101,0x2206ff88,
    0x7ffec3ff,0xfffd880e,0x7ffd405f,0xfff702ff,0x7fffc43f,0x007ffe0f,
    0xffc80000,0xffff501f,0xffffffff,0x417ffc47,0xd802fff8,0x1ffee6ff,
    0x202fffe8,0xf981fff9,0x7fc402ff,0xffd0006f,0xfff8805f,0x03fffe22,
    0xa8bfffa0,0x2ff403ff,0x880dfff3,0x5405fffe,0x5c01ffff,0x7ffc5fff,
    0x887ff47f,0xccccccca,0x2000cccc,0x3e06fff8,0xdaabefff,0x3e23ffff,
    0xfff882ff,0x25ffd802,0xff307ffc,0xfff980df,0x02fff981,0x001fffc8,
    0x405fffa8,0x3ee2fff8,0xff3002ff,0x00ffdcbf,0x7fdcdfd3,0xfff9802f,
    0x37ffd405,0x7c6ffd80,0x3fec7fff,0xfffffff9,0x003fffff,0x9817ffdc,
    0x3fa05fff,0x0bffe22f,0x200bffe2,0x3ff25ffe,0x05fffb06,0x981fff98,
    0xf8802fff,0xff0005ff,0x7fc401ff,0x01bff62f,0x7ecdff90,0x7ffec40f,
    0x01fff26f,0x5405ffe8,0xf7002fff,0x7fff41ff,0xffb37e46,0xffffffff,
    0x7fc003ff,0x3ffea06f,0xf117aa01,0xfff105ff,0x3fff6a05,0xffffffff,
    0x1fffa1df,0x207ffe60,0xb002fff9,0x90003fff,0x7c405fff,0x13ffa2ff,
    0x21fff500,0x7ffd46fe,0x3ff26fff,0x17ffa006,0x005fff50,0xfd83ffee,
    0x12fdc5ff,0xddddddd9,0x2003fffd,0x2203fffa,0x4000dfff,0xf882fff8,
    0xffff02ff,0xffffffff,0x7ffcdfff,0x1fff9806,0x002fff98,0x0009fff3,
    0x4407fff7,0xfff12fff,0xfff98005,0x7fccbfd1,0x2a6febef,0xf9801fff,
    0x7fd405ff,0xdffb005f,0x444fffd8,0x7fcc001d,0xfffd001f,0xbffffd00,
    0xfff10015,0x05fff305,0x3ffffffa,0xffffffff,0x00bfff15,0xf305fff3,
    0x7ec005ff,0x7d4000ff,0x3fe204ff,0x03fff32f,0xd3fff880,0xb1ffecbf,
    0x7fffc4df,0x3fffa200,0x7fffd405,0x27ffe403,0x0013fff2,0x00fffcc0,
    0x401fffd4,0xfffffff9,0xfff102df,0x1fffda85,0xbfff9710,0x59dfff99,
    0x013ffea1,0x30bbffe2,0x4c005fff,0x44004fff,0x3e205fff,0x5fff12ff,
    0x2fff8800,0x237fcbfd,0x7ffec6fd,0x3fee20bf,0x7d405fff,0x4c1dffff,
    0x5c1ffffe,0x00003fff,0xd003fff3,0x2a001fff,0xffffffff,0x7ffc41ef,
    0x1bffff62,0xf8bffe60,0xfffb83ff,0xffffb003,0x017ffccd,0x003fffa0,
    0x440ffff0,0x3ffe2fff,0x7ffd4003,0x3fe2bfd0,0x7ec37ec4,0xffffffff,
    0x405fffff,0xfffffffa,0xffffffff,0x02fffa81,0x3fff3000,0x04fff980,
    0x7ffedc40,0x220fffff,0x3ffe2fff,0xff9803ff,0x05fff11f,0x2005fff9,
    0x30fffffa,0xa8005fff,0x74003fff,0x3fe207ff,0x017ffe2f,0x7f4fff90,
    0xdfb1ffa5,0xfffffd10,0xffffffff,0xffffa80b,0xffffffff,0xfff502ff,
    0x3e600003,0x7fec01ff,0x5cc0000f,0x225ffffd,0x3ff22fff,0xffa806ff,
    0x05fff11f,0x2007fff7,0x265ffffe,0xe8002fff,0x7fc007ff,0x3ffe207f,
    0x00bfff22,0xfd37ffc4,0x4df7fe4b,0x3faa06fe,0xdaefffff,0x7fd405ff,
    0xfffffcaf,0x7fc00cff,0x3e600007,0x3fe601ff,0x2002004f,0x3e27ffe8,
    0x7fe442ff,0xffb7301f,0xbfffb99f,0x27ffd415,0x0efffc40,0x000bffe6,
    0x400fffea,0x2205fff8,0x3fe22fff,0xfffb006f,0x3fa37ec5,0x01ffffff,
    0xb0d6654c,0xffa80bff,0x5797511f,0x002e2001,0x1fff9800,0x007fff20,
    0x7d4037dc,0x5fff11ff,0x905fff30,0xffffffff,0x4dffffff,0x9805fff8,
    0xff981fff,0xfff0002f,0x3ffea00d,0x0bffe204,0x201dfffb,0x645fffd8,
    0x7ffec47f,0x40002fff,0x7d405ffd,0x000001ff,0x3fe60000,0xbfff101f,
    0x01fffc00,0x7c43fff2,0xfff882ff,0xfffffd82,0xffffffff,0x1bffe0ff,
    0x207ffe60,0x0002fff9,0x7005fff7,0x7c407fff,0x7ff442ff,0xfd731bff,
    0xffa81fff,0x1aaaa880,0x5ffd8000,0x00fffd40,0x00000000,0x3203fff3,
    0xf1001fff,0x3e605fff,0x3ffe27ff,0x82fff882,0xffffffd9,0x3effffff,
    0x4c03fff4,0xff981fff,0xff10002f,0xfff900df,0x17ffc403,0x7fffffc4,
    0x2fffffff,0x0002ff98,0x17ff6000,0x003fff50,0x40000000,0xf881fff9,
    0x3e2006ff,0xdaceffff,0x224fffff,0xff882fff,0x37fec02f,0x7e40fff7,
    0x7fcc02ff,0x2fff981f,0x3fff2000,0x07fffc01,0x205fff10,0xffffffe8,
    0x3e00efff,0x8000006f,0x00effd99,0x026bffee,0x0dfd8800,0xfff30000,
    0x05fff703,0x7ffffc40,0xffffffff,0x417ffc46,0x6c02fff8,0x1fff25ff,
    0x406fff98,0xf981fff9,0x220002ff,0x3ee05fff,0x7fc404ff,0x7ffdc02f,
    0x400befff,0x00402ffc,0xfffffc80,0x3f21efff,0xefffffff,0xfffb8000,
    0xff300003,0x0dfff03f,0xfffffd00,0x1bffffff,0x882fff88,0x7f402fff,
    0x01bff25f,0x4c05fffd,0xff981fff,0x7e40002f,0xfffd01ff,0x2fff8803,
    0x77fffec0,0xff881501,0x02fea82f,0x7ffffc40,0xf14fffff,0xffffffff,
    0xff30009f,0x2600003f,0x7fdc1fff,0xac98002f,0xdfffffc9,0x05fff102,
    0xe805fff1,0x1bff64ff,0x40dfff50,0xf981fff9,0x440002ff,0xffa85fff,
    0xfff8805f,0x3ffff602,0xfcbdefff,0x7ffdc0ff,0x1fffeddf,0xffffe800,
    0x3a2fffff,0xffffffff,0x3510001f,0x7fe40000,0x006ffe87,0x0bffe200,
    0x205fff10,0x3e00dfff,0x17ff64ff,0x20bfffa0,0x980fffc8,0x80002fff,
    0x7f40fffd,0xff8802ff,0xffff702f,0xffffffff,0xff705fff,0x07ffffff,
    0x55554c00,0xaa980aaa,0x000aaaaa,0x7c000000,0x7ffd46ff,0x3e200003,
    0x7fc402ff,0xffffb02f,0xe8fffe09,0xffa805ff,0x7fffdc5f,0xfffff306,
    0xf30003bf,0x7ffd49ff,0xffffb106,0x3ffa05ff,0xffffffff,0x2205ffff,
    0x00bdeeca,0x00000000,0x10000000,0xfff93333,0x0fffe89f,0x3fe20000,
    0x7ffc402f,0xfffff102,0x745fff01,0xffd003ff,0x3fffe21f,0xffff302f,
    0x2000bfff,0xffb0fffd,0x3ffee03f,0xf502ffff,0xb73559df,0x00039fff,
    0x00000000,0x00000000,0x7fffff54,0x7c0effff,0x800003ff,0xfe801fff,
    0x3ffe600f,0x5c1ff907,0xff3001ff,0x02fffe8f,0x3fffffe6,0xff30003f,
    0x813fee3f,0xfffffff9,0x00400202,0x00000000,0x00000000,0xffffe800,
    0x80efffff,0x000005fb,0x2a200ffb,0x40153001,0x40008808,0x055440a8,
    0x33333220,0x75c0001b,0x5c400d44,0x001ccccc,0x00000000,0x00000000,
    0x32000000,0xefffffff,0x0000000b,0x000002a0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02aaaaa2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02000000,0xaaaaa800,0x00aaaaaa,0x59bdb950,
    0x30001000,0x20599997,0x01ccccb9,0x05676544,0xbd971000,0xeca88037,
    0x553002cd,0x51000055,0x55555555,0x00555555,0x06aaaa20,0x66f6dcc0,
    0xaa980002,0xec880019,0xca8cefff,0x7f40accc,0xffffffff,0x3fee05ff,
    0x2effffff,0x27ffec40,0xffffff00,0xffff985f,0xff501fff,0x009fffff,
    0xfffffd98,0xffd304ff,0x401bffff,0x00fffffe,0x7fffd400,0xffffffff,
    0xfa8007ff,0x4405ffff,0xfffffffc,0x7ecc001e,0x2effffff,0xfffffa80,
    0xfffeffff,0x7fff45ff,0xffffffff,0xffffd80f,0x2fffffff,0xffffff50,
    0xfff8801d,0x7d43ffff,0x82ffffff,0xfffffffa,0xff3004ff,0xffffffff,
    0xffffff30,0xf301ffff,0x001fffff,0xfffffa80,0xffffffff,0xffd8007f,
    0x3a205fff,0xffffffff,0xff7001ff,0xffffffff,0xffffc80f,0xffffffff,
    0x7f46ffff,0xffffffff,0xfffa85ff,0xffffdeff,0x77fc40ff,0x804ffb8a,
    0x0cefffea,0x4ffffeb8,0xdeffff98,0x401ffffe,0xdffffff9,0x7fc44ffc,
    0xfffeefff,0xffffb06f,0xfa80001f,0xffffffff,0x007fffff,0x5ffffe98,
    0x3fffff60,0x0efffffd,0x7ffffcc0,0x07ffffff,0x33bfffe6,0xfffffdba,
    0x7ff41cef,0x9999999d,0x07fff700,0xa89fff93,0x03fd40ff,0x405fff88,
    0xf902fffc,0xfffa87ff,0x3fffe606,0x7dc040ad,0x3faa1dff,0x3fee03ff,
    0x7cc0000f,0x999999ff,0x006ffe99,0x417ffa20,0x4c2efff9,0x6403fffe,
    0xa99bdfff,0xfd101ccb,0x3fee07ff,0x3ffa07ff,0x3b910004,0x22fffc40,
    0x03ff04fc,0x407fff20,0xf106fff8,0x3fee0bff,0xffff981f,0x7fffc005,
    0x06fff880,0x0003ffea,0xf1013f60,0xe80007ff,0xfff705ff,0x17ffe605,
    0x000dffd0,0x2027ffd4,0x3a07fffb,0x000004ff,0x7dc7ffc8,0x000ff885,
    0x320bfff1,0xff902fff,0x1fffc01f,0x0027fff4,0xb817ffe2,0xff501fff,
    0x0200001f,0x007ffee0,0x20bffd00,0x7ec06ffd,0x27ffc07f,0x0fff7000,
    0xe81fffa0,0x000224ff,0x517ffa00,0x07fc83ff,0x20fffe40,0x3606fff8,
    0x7fe405ff,0x027ffcc5,0x017ffcc0,0x2a05fff1,0xfec88fff,0x0000cdff,
    0xb80dffd0,0xd1deffed,0x3ff20bff,0x1bffa00f,0xdfff9971,0x03799999,
    0x9006ffd8,0x7ff40fff,0x2dfffede,0x7fec4000,0xbdffd83f,0x44003ffe,
    0x7fe46fff,0x13ffa02f,0xfd8fff70,0xf98001ff,0x3fe203ff,0xbfff504f,
    0xffffffff,0xf980005f,0xffd303ff,0xdbffffff,0x3fea0bff,0x9fff503f,
    0xffffffd8,0xffffffff,0x017ffa00,0xfd03ffe4,0xffffffff,0x326001bf,
    0x0effffee,0xfffffe88,0x807fae64,0xff11fffc,0x3fff80df,0xf0fffcc0,
    0x3ff6edff,0x3ffe00ce,0x17fffa05,0x7fffffd4,0xffffffff,0x3fee0005,
    0xffffa81f,0xffffffff,0xfff105ff,0xff9515bf,0xfffe83ff,0xffffffff,
    0x3f201fff,0xfffb007f,0x7fffff40,0x06ffffff,0xffffffd0,0xcecb803f,
    0xffffec99,0x5bffe201,0x2202fffc,0x7cc02fff,0x33ffe1ff,0xfffffffe,
    0x01fffd01,0x20dffff7,0xeffffffa,0xffffecac,0xdffd0002,0x9fffff10,
    0xfffffb77,0x7ffcc0bf,0xffffffff,0xffeec983,0xdeeeeeef,0x17ffdc03,
    0x81fffe60,0xbbeffffd,0x803ffffe,0xefffffff,0xfff93000,0x90015bff,
    0xdfff7fff,0x02fff880,0xf88fffcc,0xffffffff,0xfb81ffff,0xff712eff,
    0x3ea0ffff,0xf702ffff,0x98001fff,0xffd83fff,0xffe880df,0x7fe405ff,
    0x6fffffff,0x009fff00,0x0ffffc40,0x07fffe88,0x2602b762,0x5400fffe,
    0x6ffffffd,0x3ffff2a0,0x44000adf,0x2fffffff,0x017ffc40,0x7cc7ffe6,
    0xcdffffff,0xfd06ffff,0xffffdfff,0xf501ffff,0xfb803fff,0x7dc004ff,
    0x7ffd41ff,0x7fff4405,0x3fffa205,0x1fffffff,0x004fff80,0x5ffffdc0,
    0xfffff731,0xff50000f,0x7dc4005f,0x7fe45fff,0xaa9adfff,0xfffc8000,
    0xff8806ff,0x7ffcc02f,0xbfffff11,0x1fffec41,0x7fffffcc,0x06ffffff,
    0x2009fff5,0x74006ffd,0xfffb86ff,0x5fffa800,0x3fffffa0,0x0fffffec,
    0x0027ffc0,0x7fffff40,0xffffffff,0xfff00007,0xffd10007,0x37ffe21f,
    0x9ffffd12,0xffff8800,0x7fff002f,0x21fffa80,0x880fffff,0xfb105fff,
    0xfb7fffff,0x3ffea09f,0x0fff7002,0x41fffcc0,0x3e006ffd,0xfff705ff,
    0xfffd985d,0x027ffc05,0x7ffec400,0xffffffff,0xfd00007f,0x3ea000bf,
    0xf10aa2ff,0x09fffdff,0x06fffc80,0x7017ff60,0xfffd8fff,0x01fffa02,
    0xf117bb75,0x3fea07ff,0xfff5001f,0x3fff2001,0x004ffe81,0x7ec17ffa,
    0xfff101ff,0x04fff80f,0x3ffea000,0xffcbffff,0xffd00007,0x7ffc0009,
    0x70f7ec04,0x7ec005ff,0x3ee002ff,0x37fec06f,0xf701fff2,0xfb0001ff,
    0x3fea03ff,0xfff7001f,0x837ff400,0x3e005ffd,0xbfff05ff,0x01fffb80,
    0x00013ffe,0xb86aea20,0x880007ff,0x20003fff,0x7fc04fff,0x3004fe82,
    0x8800dfff,0xff102fff,0x2fffb89f,0x001fff60,0xa81bfff2,0xfb004fff,
    0x3fe600df,0x1fff904f,0x0bfff300,0xf5013ffe,0x7ffc03ff,0x40000004,
    0x17706ffe,0x43fff900,0xfff70008,0x407fc403,0xffb005fb,0xfff0005f,
    0x03fff60d,0x220dfff3,0x22005fff,0x200efffd,0x402ffffa,0x9004fffb,
    0x3ea03fff,0x7f4405ff,0xfffb05ff,0x03fff401,0x00013ffe,0x4fff9800,
    0x19bfffb8,0xdfffb531,0x84ceffcc,0x7fffda98,0xfd82ff80,0xff533304,
    0x3ee000df,0xffb31eff,0x3fff60bf,0xffeb98bd,0x4455cc3f,0x1fffffba,
    0xffffb510,0x3662139f,0xd000ffff,0xffd80dff,0x3ee60aef,0x41beffff,
    0x89cefffa,0x44fffdb9,0xefffcca8,0x001bcccc,0x32666660,0xfa82ffff,
    0xffffffff,0x2e1fffff,0xffffffff,0x03ffffff,0x3ea1efd8,0x7fffe42f,
    0x04ffffff,0xfffffe80,0x301fffff,0xffffffff,0xfff0dfff,0xffffffff,
    0x3fffe205,0xffffffff,0x02ffffff,0x809fff30,0xfffffff8,0xffffffff,
    0x3fa22fff,0xffffffff,0x3fe21fff,0xffffffff,0x4004ffff,0xfffffffc,
    0x3f605fff,0xffffffff,0x7fc42fff,0xffffffff,0xf1001fff,0x8bfffdff,
    0xfffffff8,0x8007ffff,0xfffffff9,0x7fd401ff,0xffffffff,0x7ffffc41,
    0x201effff,0xfffffff9,0xffffffff,0x3e6003ff,0xfe9800ff,0xffffffff,
    0x3fffffff,0x7ffffec4,0x4c0effff,0xffffffff,0x06ffffff,0x3ffffe20,
    0x805fffff,0xffffffea,0xf9300cff,0xffffffff,0xfe98001b,0xffd04fff,
    0xffffffff,0x3f62000b,0x001effff,0xffffffb3,0x3ffae019,0x9002efff,
    0xfb5ffffd,0x1bffffff,0x007f9000,0xffffffb8,0xffffeaef,0xfffd900d,
    0x3201bdff,0xfffffffe,0x001dffff,0x7ffffff4,0x4c4003df,0x4001aaba,
    0x02aabaa9,0x00ab9800,0x5555554c,0x300001aa,0x22000137,0x10009aba,
    0x00000357,0x01359551,0x4c000000,0x0000abba,0x000ab988,0x4c000000,
    0x0001aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0aaaa200,0x0d555440,
    0xaaa98000,0x00000aaa,0x55553000,0x53000000,0xb7300003,0x400037bd,
    0x2002aaaa,0x10002ca8,0x20003553,0x0001aa98,0x0004d544,0x0066a620,
    0x1bffea00,0x3ffffea0,0xfff80005,0x002fffff,0x4000ffcc,0x07fffff8,
    0xffd30000,0x8007dfff,0xfffffff9,0x7d4000df,0x2a205fff,0x002fffec,
    0x7fffffd4,0x7102dabe,0x9ffffffd,0x3fae6001,0xea9dffff,0x7ff65403,
    0x4dacefff,0x37ffd400,0x7ffffec0,0x7fcc0005,0x02ffffff,0x001ffe40,
    0x3fffffdc,0x3f220000,0xffffffff,0xfffa800d,0xffffffff,0x3fffa000,
    0xfffd985f,0x1002ffff,0xfffffffd,0xd88fffff,0xffffffff,0x36201fff,
    0xffffffff,0x700fffff,0xffffffff,0x003fffff,0x4037ffd4,0x05ffffea,
    0xffffd800,0x74002fff,0xe88005ff,0x0007ffff,0x3ffffa20,0xffffffff,
    0x3fffea01,0xfffffdff,0xffff7005,0xfffff0bf,0x2005ffff,0xfffffffd,
    0x21ffffff,0xfffffffa,0x80efffff,0xffffffe8,0xffffffff,0xfffffd82,
    0xffffffff,0x2aa2003f,0x3fa2002a,0x2600005f,0x002fffa9,0x0002fff4,
    0x000fff91,0x67fffec0,0xffffb99a,0x9fffd00f,0x7fff5443,0x7fffc402,
    0xfffe85ff,0x802fffef,0x9adffffb,0x1fffffb9,0x2f7fffea,0x4ffffc99,
    0xbdffffe8,0xffffca99,0x7fffec3f,0xfea999bd,0x00003fff,0x017ffa00,
    0x3ffe2000,0x2fff4002,0x1fff2000,0x7ffd4000,0xfffb101e,0x0bfff109,
    0x2027ffcc,0x5ffffffd,0xf88acd98,0xffd802ff,0xfffd101f,0x007ffd43,
    0xffb8ffff,0x3fa601ff,0x3ffea3ff,0x7ffdc01f,0x20000003,0x00005ffe,
    0x802fff88,0xcefffcb9,0x02cccccc,0x0003ffe4,0x007fffc4,0x260fffec,
    0x7ec00fff,0x3ffe606f,0x1005ffde,0xff005fff,0xfffa809f,0x701bfe21,
    0x7ff41fff,0xfff9801f,0x007fffa2,0x2600fff4,0x1ccccccb,0x897ffa00,
    0x02ccccca,0x00bffe20,0xfffffff1,0xffffffff,0x47ffe405,0x03dfffeb,
    0x002fffb8,0xb70bfff3,0x0dffd005,0x7ecffff4,0xfff1005f,0x09fff005,
    0x5b70ffd0,0x11fffa80,0x74007fff,0x7fff50ff,0x202fd400,0xfffffff8,
    0x3ffa002f,0x3fffff65,0xff1003ff,0xfff9805f,0xffffffff,0x3203ffff,
    0xffffffff,0x3600efff,0x7e4006ff,0x3e60007f,0xfff704ff,0x4017ff69,
    0xc802fff8,0x54402fff,0x3ffa0000,0x007ffea6,0x3fee3d98,0x9800001f,
    0xffffffff,0x97ffa002,0xfffffffe,0x5fff1004,0xfffdb700,0xbddddddf,
    0xffffc807,0xffffffff,0x09ffd00e,0x00fffa80,0x2fffe880,0xb0ffff88,
    0x3e200bff,0xffa802ff,0x000aceff,0x3fff6200,0x001fff24,0x001fff60,
    0xeeedb800,0x3a002fff,0x3fff65ff,0x1000ceef,0xe8005fff,0x640005ff,
    0xbcefffff,0x882ffffd,0x4c002fff,0x44002fff,0xf906fffe,0x2ffec7ff,
    0x02fff880,0xffffff90,0x200059df,0x1fffffd9,0x00017ffa,0x00017ffa,
    0x2fff8800,0x237ffa00,0x004ffffe,0x005fff10,0x0005ffe8,0x427fffe4,
    0xf984fff8,0xff8001ff,0x3fa2003f,0xff980fff,0x02ffec6f,0x002fff88,
    0x3fffffee,0x1001ffff,0x5ffffffd,0x0004ffe8,0x0004ffe8,0x3ffe2000,
    0x3bffa002,0x002fffff,0x00bffe20,0x000bffd0,0x202fffc8,0xff887ffd,
    0x7fc4002f,0xfff3002f,0x3ffa01ff,0x02ffec2f,0x002fff88,0x7ffff64c,
    0x8803ffff,0x81dfffff,0x80004ffe,0xfb504ffe,0x5bffffff,0x17ffc400,
    0xfffffd00,0x880003ff,0x74002fff,0x640005ff,0x7fdc07ff,0x007fff07,
    0x800fffa8,0x01effffa,0xfb0bfff5,0x3fe200bf,0x2a20002f,0x1fffffdb,
    0x0f7ffc40,0x000bffd0,0x3a0bffd0,0xffffffff,0x3fe2006f,0x3ffa002f,
    0x0002ffff,0x002fff88,0x0002fff4,0xf701fff2,0x17ff60ff,0x00fff700,
    0x01dffff7,0x2b3fffe2,0x1effeaaa,0x02fff880,0x3ff22000,0x0ffe803f,
    0x003ffec0,0xd837fe40,0xffffffff,0x3fe2005f,0x3ffa002f,0x002fffff,
    0x017ffc40,0x0017ffa0,0xb80fff90,0xfff907ff,0x3ffe2005,0x7fffe406,
    0x3ffea00e,0xffffffff,0x7c404fff,0x7f4c02ff,0x0dffb001,0xf7005930,
    0xa80003ff,0x332607ff,0x005fffcc,0x0017ffc4,0xfffdfffd,0x7c40007f,
    0x7f4002ff,0x7e40005f,0x3ffdc07f,0x006fff98,0x6c05fffb,0xa805ffff,
    0xffffffff,0x06ffffff,0x2017ffc4,0xf9005ffc,0x880000ff,0x54006fff,
    0x09fff10b,0x001fffc0,0x800bffe2,0xfff95ffe,0x3e20009f,0x7ec002ff,
    0x8154406f,0x7dc07ffc,0x3ffee07f,0xfffb100e,0x3fffa20b,0xfff5004f,
    0xffffffff,0xf8805dff,0x7ff402ff,0x7ffcc03f,0xfd800006,0xfc800dff,
    0x0bfffa5f,0x001fffc0,0x800bffe2,0x3fee5ffe,0xf88005ff,0x7e4002ff,
    0xd9511bff,0xff909fff,0x07ffb80f,0x8dffffec,0x0ffffeb9,0x2fffff98,
    0xffd80000,0x5fff1005,0xeffffe80,0xfffd731b,0x8002009f,0xacffffe8,
    0xfffd7511,0x77fffccd,0xfd95309b,0x65cc07ff,0xcdfffdcc,0x7dcc1bcc,
    0x7ffd45ff,0x5cc0acef,0xdfffcccc,0x2a01bccc,0xffffffff,0x225fffff,
    0x41bfffda,0x1bfffda8,0xffffff10,0x5fffffff,0xdfffff10,0xb9999999,
    0xd971005f,0x99505dff,0x99bfff99,0x7ffec159,0xffffffff,0x4c00efff,
    0x36003ffe,0xffffffff,0x42ffffff,0xfffffffb,0xffffffff,0xfffff703,
    0xffffffff,0x3ffee9ff,0x7ffc45ff,0x3ee7ffff,0xffffffff,0x04ffffff,
    0x3ffffff2,0x21efffff,0xfffffffd,0x3fffff60,0xffb101ff,0xdfffffff,
    0x3fffe201,0xffffffff,0x7cc05fff,0x4fffffff,0x3ffffff6,0x7fffffff,
    0x3ffffff2,0xefffffff,0x7fffd801,0x7fffec00,0xefffffff,0xfffff701,
    0xffffffff,0x3fff203b,0xffffffff,0xff96ffff,0xffa8bfff,0x90ffffff,
    0xffffffff,0xdfffffff,0xfffffb80,0x7c42dfff,0x2fffffff,0x3ffffffe,
    0x7ffd403f,0x4404efff,0xffffffff,0x7fffffff,0x7ffffd40,0x3ffe6fff,
    0xffffffff,0xdb31ffff,0xfffffd73,0x7dc005ff,0xda8005ff,0xefffffff,
    0xffec8803,0x0cffffff,0x7fffecc0,0xffffffff,0xfffb31df,0xfffd90bf,
    0x7fecc7df,0xffffffff,0x8801dfff,0x4009bca9,0x4effffeb,0x7fffff54,
    0x5731000d,0x3ffe2001,0xffffffff,0xc807ffff,0x1dfffffe,0x3fffff6a,
    0x3effffff,0x09aba980,0x00353000,0x0aba9880,0x55d44000,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeec88000,0x2e0cefff,0x0ceffffe,0x7fffecc0,0xceeeffff,
    0x3ffffae0,0x1bceeeff,0xdfffb500,0xdffd7019,0x7fffe47b,0xffffffff,
    0x914eeeff,0x19ddfffd,0xdffffd70,0x7ffed43b,0xffeb80ce,0x7fedc3de,
    0x6441deff,0x23eefffe,0xfffffec8,0x2e003def,0x3deffffe,0x37bffb22,
    0xffffda83,0xdeefffff,0xb805cc02,0xffffffff,0xffffff54,0xffd80bff,
    0xffffffff,0xfff53fff,0xffffffff,0x4401bfff,0x3fffffff,0x7fffffd4,
    0xfffff92f,0xffffffff,0x3f2bffff,0x3fffffff,0x7fffffcc,0xffff16ff,
    0xffa87fff,0xf32fffff,0xdfffffff,0xffffffc8,0xffff93ff,0x5fffffff,
    0xfffff500,0x3f25ffff,0x42ffffff,0xffffffff,0x0fffffff,0x505fffd0,
    0xffffffff,0x3ffffe67,0x7ec04fff,0xffffffff,0xff32ffff,0xffffffff,
    0x01ffffff,0x3fffffe2,0x7fffcc3f,0xfff91fff,0xffffffff,0x2bffffff,
    0xfffffffb,0x7fffcc2f,0x3fe4ffff,0x543fffff,0x1fffffff,0xfffffff1,
    0xffffb8bf,0xff92ffff,0xffffffff,0xfff3003f,0x23ffffff,0xfffffffc,
    0x7fffff41,0xffffffff,0xbffff307,0x33fff6a0,0x7fe5cc2c,0x54400aef,
    0xfffdcccc,0x75cc2ccd,0xdccccfff,0x205fffff,0x04ffffc9,0x43bffff7,
    0xdcccfffc,0xfcccdfff,0x3ff6e5ff,0xb7302cef,0x4417bfff,0x704ffffb,
    0x9839ffff,0x0bccfffe,0xfffecca8,0x3f732a22,0x001bccff,0x33fffae6,
    0x3fffe21b,0xccb881cf,0xccdfffcc,0xfff101bc,0x7ffdc09f,0x04ffe800,
    0x0fffcc00,0x883ffe40,0x401fffea,0xe80ffffb,0xffc85fff,0x20fffcc7,
    0xfff85ffe,0x3fff9006,0x837ffd40,0x3204fffc,0x7ec007ff,0x7ffd406f,
    0x7fe40000,0xffffe886,0x7ffc4002,0x6ff5c002,0x03ffee00,0x0013ffa0,
    0x003fff30,0xf980fff9,0xffd803ff,0x37ffe46f,0x7cc7ffc8,0x2fff41ff,
    0x200fffe4,0xd805fff8,0x7fd43fff,0x3ffdc06f,0xfd0fbba6,0xfffa80bf,
    0x7fe40000,0x7ffffcc6,0xfff88001,0x2e000002,0xfe800fff,0x7cc0004f,
    0xffc801ff,0x04fff807,0x2ebfffd0,0xf900ffff,0x1fff98ff,0x7c42fff4,
    0x7fdc05ff,0xfff8802f,0x3ffff11f,0x20fffa80,0x7fc6fffc,0x7ffd404f,
    0x7fe40000,0x3bfffea6,0xfff10000,0x5c000005,0xfe800fff,0x7cc0004f,
    0xffc801ff,0x17ffd407,0xdfffe880,0x2e01ffff,0x7ffcc6ff,0xd827fe41,
    0x3fa00fff,0x3fea007f,0x09fff96f,0x7c3fff30,0x3fe1ffff,0x7ffd403f,
    0x7fe40000,0x1dffff76,0x7ffc4000,0x2e000002,0xfe800fff,0x7cc0004f,
    0xffc801ff,0xffff9107,0x7ffcc001,0x4403ffff,0x7ffcc3ff,0xa80ffd41,
    0xff303fff,0xffd8007f,0x006fffdf,0x3e65fff1,0xff13ffff,0xfffa805f,
    0x7fe40000,0x05ffffcf,0x2fff8800,0x3ee00000,0xffe800ff,0x7fcc0004,
    0xfffc801f,0xfffecccc,0xfa8004ff,0x1004ffff,0x03fff303,0x6ffe8011,
    0x001fffb0,0xffffff88,0x3ffe001f,0xdfffff93,0x5007ffe6,0x80001fff,
    0xfffffffc,0xf880002f,0x000002ff,0x2003ffee,0x40004ffe,0xc801fff9,
    0xffffffff,0x0003ffff,0x003ffffa,0x03fff300,0x0bffee00,0x000bfff1,
    0x0fffffea,0x3e9fff00,0xa9ffffff,0x7d400fff,0x640000ff,0xffffffff,
    0x7c40002f,0x262002ff,0x7fdc0099,0x4ffe800f,0xf9804ea8,0xffc801ff,
    0xffffffff,0x3f20002f,0x0006ffff,0x000fffcc,0x5c5fff88,0x20001fff,
    0x8006fffc,0xfff9dffe,0xffbbfffc,0x0fffa807,0x3ff20080,0xffffffff,
    0x3fe20003,0x3ff6002f,0x7ffdc03f,0x84ffe800,0x7cc00ffe,0xffc801ff,
    0xffffffff,0xff70002f,0x00bfffff,0x00fffcc0,0x41fff900,0x40006fff,
    0x8002fff8,0xfffceffd,0xffceffe8,0x0fffa807,0xfc82fec0,0xfff91fff,
    0x3e20005f,0xff1002ff,0xfff500df,0x89ffd001,0x4c02fff8,0xfc801fff,
    0x7fff447f,0x7fcc002f,0x3fffeaff,0x3fff3000,0x7ffcc000,0x007fff54,
    0x02fff880,0xfffffc80,0xfdfff75f,0xfff500df,0x07ffc401,0x2a07ffe4,
    0x10006fff,0x2a005fff,0xf9801fff,0xfff802ff,0x017ffc43,0x2007ffea,
    0xffb07ffc,0x3e2003ff,0xfff33fff,0xff30005f,0xfe80003f,0x01fffd7f,
    0x2fff8800,0xffffb800,0xffff33ff,0xff500bff,0x7ffcc01f,0x906ffc81,
    0x10007fff,0x36005fff,0xff1005ff,0xfff980df,0x017ffc42,0x6401ffee,
    0x3ff207ff,0xffe800ff,0x7fffd45f,0x7ffcc001,0x7fd40001,0x004fffcf,
    0x02fff880,0xfffffa80,0x3ffffa0f,0xfffa804f,0x07ffe600,0xfe81bff2,
    0xff88007f,0x1fff002f,0x17fff400,0x40ffff98,0x2203fff8,0xf9005fff,
    0xfffd80ff,0x37ffec05,0x00efffc8,0x007ffe60,0x3ffffe00,0x880001ff,
    0x98002fff,0x5c6fffff,0x803fffff,0x2600fffa,0xffc81fff,0x0fffea06,
    0x05fff100,0x8007ff50,0x8beffffa,0x83ffffb9,0x2ceffff8,0x07ffff73,
    0xcfffeb88,0xffff880b,0x7ffe4c2c,0xffff303f,0x6e5cc03d,0x02ccdfff,
    0xfffff900,0x65cc000b,0xaccdfffc,0xffff8800,0x7fffcc3f,0xfb97302f,
    0x999999ff,0x443fffb9,0x0bcfffeb,0x0acfffe8,0x7e666544,0x0acccdff,
    0xc80037e4,0xffffffff,0xff106fff,0xffffffff,0xf8809fff,0xffffffff,
    0xfffff981,0xffffff33,0xffffb8bf,0xffc84fff,0xffffffff,0xff88005f,
    0x90002fff,0xffffffff,0x3e00bfff,0xfe80ffff,0xffb81fff,0xffffffff,
    0xffffffff,0xffffff31,0xffa83fff,0x3f60ffff,0xffffffff,0x7fc7ffff,
    0x3ff20001,0xdfffffff,0x3fffaa00,0x3fffffff,0xfffffa80,0xf703ffff,
    0x3feebfff,0x647fffff,0x5fffffff,0xffffffe8,0x006fffff,0x00ffffb0,
    0x7ffffec0,0x07ffffff,0x20dfffd0,0xd80ffffb,0xffffffff,0xffffffff,
    0xffff51ff,0xd05fffff,0x7c3fffff,0xffffffff,0x20ffffff,0xe980002b,
    0x03ffffff,0x3ffff260,0x32002dff,0xcffffffe,0x477ff600,0xdfffffd8,
    0x7fffecc2,0xffd981df,0xdfffffff,0xfff50002,0x7ecc0007,0xffffffff,
    0xfffb002e,0x1fffe207,0x7ffffecc,0xffffffff,0x3b21ffff,0x04efffff,
    0xa89dfff5,0xfffffffe,0x003effff,0x55cc4000,0x5d440000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33bfffae,0x3bfffae0,0x3fff260c,0xcdeeffff,
    0x3ff6a00b,0xffffffff,0x24eeefff,0xffffffeb,0xeeffffff,0x7fff5c4e,
    0x1bceefff,0xfffffc80,0xeeffffff,0x77ffed45,0xffffd702,0x3fae039d,
    0x04efffff,0x77ffedc0,0xeeffd800,0x7fff5c0c,0xceffffff,0x99730003,
    0x00000133,0x3ffffea0,0xffff34ff,0x7fecbfff,0xffffffff,0xf882ffff,
    0xffffffff,0xffffffff,0xfffff55f,0xffffffff,0x7d4bffff,0xffffffff,
    0x200dffff,0xfffffffc,0x27ffffff,0xfffffff8,0x7ffffcc0,0xff985fff,
    0xffffffff,0xffff1000,0xff8807ff,0x3ea3ffff,0xffffffff,0x01efffff,
    0x3fffff20,0xfb8002ff,0xffff3004,0x3fe29fff,0x324fffff,0xffffffff,
    0x4fffffff,0xfffffff8,0xffffffff,0xfff35fff,0xffffffff,0x4bffffff,
    0xfffffff9,0xffffffff,0xfffff902,0xffffffff,0xffffff8f,0x7fffc45f,
    0xf984ffff,0xffffffff,0xfff1003f,0xfc80ffff,0x263fffff,0xffffffff,
    0xffffffff,0xffffc801,0x8004ffff,0xd3000fff,0xb9859fff,0x220bfffe,
    0xccefffca,0xfffffecc,0x7ffedcc2,0xcccccccc,0x2e65fffc,0xccccfffe,
    0x5fffcccc,0x66fffecc,0xfffffdcc,0xcfffc80f,0xffeccccc,0x7fedcc6f,
    0x65cc2fff,0x300aefff,0xfffff997,0x7ecc00df,0xf102ffff,0x305fffff,
    0x999fffd7,0xfffffd99,0x7fffd401,0x001fffff,0x0017ffc4,0xfb80dff9,
    0x27ffc07f,0x06fffc98,0xd001fff5,0xfff90bff,0x30bffb00,0x3a603fff,
    0xffc86fff,0x3ffff306,0x3ffffea0,0x017ff606,0xffffff88,0x3fee001f,
    0xff706fff,0xfc80dfff,0x3ff2206f,0x3fff202f,0x0001bb12,0x4005fff1,
    0x7dc06ffc,0x27ffc07f,0x203fff60,0xd800fffa,0x7ffc85ff,0x985ffd80,
    0x3a201fff,0x7fe42fff,0x3ffff886,0x3ffffea0,0x0bffb04f,0x7d7ffdc0,
    0x3ee005ff,0xe82fffff,0x406fffff,0x7c406ffc,0x3ffa04ff,0x3e200005,
    0x3f2002ff,0x3ffdc06f,0x3013ffe0,0xff503fff,0x7066441f,0xfff907ff,
    0x3fee4c88,0x01fff983,0x3237ffcc,0xfffe85ff,0x7fffd404,0xffd81fff,
    0x5bffa005,0x7000fffd,0x8bffffff,0x6ffffffa,0x2037fe40,0x3604fff8,
    0x00000fff,0x4005fff1,0x7dc06ffc,0x27ffc07f,0x207ffea0,0x3ee0fffa,
    0x2033223f,0x7fec7ffc,0xf3019912,0xff9003ff,0x21ffd41f,0xa806fffc,
    0x6fffbfff,0x5005ffd8,0x3fe67fff,0xfff7003f,0x7f43fffb,0x406ffdff,
    0x32206ffc,0x3ee02fff,0x100004ff,0x64005fff,0x99999fff,0x407ffc99,
    0x7f404fff,0x5fff507f,0x00bffb33,0x4ccfffe4,0xf3004ffe,0xff5003ff,
    0x7d42983f,0xfa800fff,0x3fffd8ff,0xd802ffec,0x3ffa0fff,0x3fff7006,
    0x3fe69fff,0x406ffdcf,0x9999fffc,0x0fffffdb,0x00ffffc0,0x17ffc400,
    0xfffff900,0xffffffff,0x04fff80f,0x20bfffd3,0xfffffffa,0x3f2006ff,
    0xffffffff,0x3fff3004,0x05fff100,0x02ffff98,0xf11fff50,0x7fec1fff,
    0x5fff8805,0x400fffdc,0xfffb7ffb,0xfb1fffb1,0xfffc80df,0xffffffff,
    0x7f4402ff,0x36e006ff,0xfffeeeee,0x0bdeeeee,0x7fffffe4,0x7fffffff,
    0x7777ffc0,0xefffffee,0xfffff500,0x400dffff,0xfffffffc,0xff3004ff,
    0x3ffe003f,0x3fffa203,0x3ffea004,0x6cbfff70,0xffb805ff,0x2fffc41f,
    0xfabffdc0,0xb5fffdff,0xffc80dff,0xffffffff,0x3a202fff,0x3e4fffff,
    0x3ffea3ff,0xffffffff,0x44ffffff,0xfffffffc,0x07ffffff,0x7ffffffc,
    0x01ffffff,0x3fffffea,0x32006fff,0xffffffff,0xfff3004f,0x0fffe003,
    0x005fffd8,0xfd07ffd4,0x17ff65ff,0x267fffa0,0x0fffd999,0xfd3ffdc0,
    0x363fffff,0x7fe406ff,0xffffffff,0xe882ffff,0x9fffffff,0xf50ffff9,
    0xffffffff,0xffffffff,0xaafffc87,0xffdaaaaa,0x7ffffc07,0x0cffffff,
    0x4d7ffd40,0x2005ffd9,0xe999fffc,0xff3004ff,0xfff3003f,0x3bffee05,
    0xff501a80,0x7fffcc1f,0x5405ffd8,0xffffffff,0x403fffff,0x3fea7ffb,
    0x3ff66fff,0x57ffe406,0xfecaaaaa,0x7fdc2fff,0xcefffadf,0x76547fff,
    0xefffeeee,0xc83deeee,0x7fdc06ff,0x777ffc07,0x001bcdee,0x7dc1fff5,
    0x3ff2003f,0xb31ffec7,0x03fff307,0x301fff70,0xf703ffff,0x1fff505f,
    0xfdcfffc8,0x7ffec05f,0xffffffff,0x7fdc06ff,0x17ffffc7,0xfc80dffb,
    0xfffc806f,0xf937fec5,0x01dfffff,0x00bffe20,0x5c06ffc8,0x7ffc07ff,
    0xffa80004,0x0037220f,0x6c47ffc8,0x307ff60c,0xf9003fff,0xffff10ff,
    0x213ff607,0xfe80fffa,0x205fffff,0xfffffff8,0xffffffff,0x71ffee01,
    0xffd8dfff,0x037fe406,0x7fc7ffe8,0x7ffff43f,0x3fe2002f,0x3ff2002f,
    0x03ffdc06,0x00013ffe,0x0003ffea,0x401fff20,0x7fcc3fff,0x7ffd401f,
    0x04fffe85,0x3ea17ffa,0xfff980ff,0x3ee05fff,0xaaaaabff,0x05fffaaa,
    0xff11ffee,0x06ffd87f,0xa8037fe4,0x3ffe0fff,0x7ffffcc5,0x3ffe2000,
    0x1bff2002,0xf80fff70,0xa80004ff,0x80000fff,0xff007ffc,0x1fff987f,
    0x07fffee0,0xe80dfff9,0xfffa85ff,0xfffff900,0x037ffc0b,0x700fffc8,
    0xfd800fff,0x37fe406f,0x747ffd80,0xe989bfff,0x000aefff,0x1005fff1,
    0x837fffd5,0x1bfffea8,0x677ffdcc,0x51000bcc,0x9999fffb,0x3ae20015,
    0xcccccfff,0x3fffcccc,0x337fff22,0xffffeccc,0x7fffcc3f,0xcccccccd,
    0x7e4c5fff,0x7c41bcff,0xc985ffff,0x101befff,0x85bfffb7,0x1bcfffd9,
    0xfffd9510,0xfffd7105,0x99999999,0xfa8bffff,0xffffffff,0x1006ffff,
    0xfd005fff,0x27ffffff,0xfffffff8,0xfffff91f,0x01ffffff,0xfffffff0,
    0x100dffff,0xffffffff,0xffffffff,0x3ffe67ff,0xffffffff,0xfa85ffff,
    0xffffffff,0x25ffffff,0xfffffff9,0x7fffd43f,0x7ffffdc5,0x7fc42fff,
    0x54ffffff,0xffffffff,0xfffff885,0x3fe65fff,0xffffffff,0xffffffff,
    0xfffffd81,0xffffffff,0x2fff8801,0x7ffffc40,0xfff35fff,0x367fffff,
    0xffffffff,0x7c402fff,0xffffffff,0xffa807ff,0xffffffff,0xffffffff,
    0xffffff53,0xffffffff,0x3fffea07,0xffffffff,0x3fea5fff,0x84ffffff,
    0x7e45fffd,0x3fffffff,0x7fffffd4,0xffff76ff,0xf989ffff,0x6fffffff,
    0x3fffffea,0xffffffff,0x3ee02eff,0xfdefffff,0x3fe003ef,0xffeb800f,
    0x3b21dfff,0x30dfffff,0xfffffffb,0x3ae009df,0xffffffff,0xffd9002e,
    0xffffffff,0x47ffffff,0xffffffec,0x200abdef,0xfffffffa,0xffffffff,
    0x7ffffe45,0xfff881df,0x7fffecc5,0xfec80dff,0xb12dffff,0x1bffffff,
    0xfffffd90,0xfffec85b,0xffffffff,0x531003ce,0x70000357,0x0000009d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04000008,0x00000000,0x00000000,
    0x00002000,0x65cc164c,0xccb884cc,0x000004cc,0x30000000,0x3603dddd,
    0x000000cf,0x07bae000,0x3fffb2a2,0x4c000cef,0xadffffed,0x765400ba,
    0x000bdeff,0xefffedb8,0x8800b99c,0x0acefeca,0x466664c0,0xfb51effc,
    0xffb805bf,0x3fffe65f,0xffffe87f,0x999500ff,0x3bfff6a9,0x99973003,
    0x77f64479,0xdfff900b,0x0ffffea0,0x50000000,0xfa89fffd,0xffffffff,
    0xfd8804ff,0xffffffff,0xffb104ff,0x7fffffff,0x3fffa600,0xffffffff,
    0x7fffdc06,0x504fffff,0xffffffff,0xffffbfff,0x7ffc0bff,0xffff50ff,
    0xffffd0ff,0xfff701ff,0xfffffbff,0x7c403dff,0xf76fffff,0x05ffffff,
    0x2603fffd,0x02efffff,0x74c00000,0x643fffff,0xffffffff,0x7403ffff,
    0xffffffff,0xfa86ffff,0xffffffff,0x2e00efff,0xffffffff,0x00ffffff,
    0xfffffff7,0xf50bffff,0xffffffff,0xffffffff,0x3ff605ff,0x7ff6dc6f,
    0xffeed987,0xffffb80f,0xffffffff,0xff100fff,0xffdfffff,0x8dffffff,
    0x4c05fff8,0x1efffffe,0x6c400000,0x83ffffff,0xacdefff9,0x207fffec,
    0xbceffffa,0x46ffffdc,0xcefffff8,0x4fffffdb,0x9fffff30,0xfffffb77,
    0xffff701f,0xfffb959d,0xfffd70bf,0xffffb7df,0x0bfff79f,0x5c077f62,
    0x7fdc07ff,0xffec880f,0xfdbcefff,0x36a04fff,0xfffffffe,0x47ffdbff,
    0x7001fffa,0x1bffffff,0xfc880000,0x00cfffff,0xfff90062,0x03fff201,
    0x3a2ffec4,0xf500efff,0xffd03fff,0x7ffd409f,0x7fffd40f,0x9fffd302,
    0x21dfff50,0x362ffff8,0x5c0006ff,0x7fdc07ff,0x3ffee00f,0x0dffd04f,
    0x3fffff20,0x360e4c2f,0x644005ff,0x0cffffff,0xfffb8000,0x8000dfff,
    0xfff31998,0x33ffee03,0x21dd8809,0x400efff9,0x7dc6fffa,0xffb804ff,
    0x01fffd87,0x543fff44,0x7ffc1fff,0x0037fe44,0x701ffee0,0x7dc01fff,
    0x3ff203ff,0xffff9007,0x7ffc001d,0xffb10000,0x0007ffff,0x3fffffaa,
    0x7ecc001e,0xffffffff,0xffff301f,0x0159bdff,0x3337ffee,0xeccccccc,
    0x3ff20fff,0x0bff1006,0x2e007fff,0x7fd41fff,0x227ffc0f,0x40006ffc,
    0x7dc07ffb,0x3fee00ff,0x07ffdc07,0x027ffe40,0x0013fe60,0x3ffffa60,
    0xfd3002ef,0x005dffff,0xfffffd88,0x1fffffff,0x3ffffee0,0xd84fffff,
    0xffffffff,0xffffffff,0x017ffa1f,0xfff98188,0x7fff1001,0x7c0fffa8,
    0x37fe44ff,0x1ffee000,0x401fff70,0x7dc07ffb,0xffc800ff,0x0ffb8006,
    0x3faa0000,0x101effff,0x7ffffffb,0xfffd1000,0xffffffff,0xfd9803ff,
    0xffffffff,0x3ffff61e,0xffffffff,0x3e3fffff,0xb80003ff,0x3a000fff,
    0x7ffd45ff,0x3227ffc0,0x5c0006ff,0x7fdc07ff,0x1ffee00f,0x001fff70,
    0xb000dff9,0x2000009f,0xdffffffb,0xfffff910,0x3600019f,0xaacfffff,
    0x01fffdca,0x3fb72a60,0x3ff26fff,0xffffffff,0x3fffffff,0x00013ffa,
    0x8007ffe6,0x7fd43fff,0x227ffc0f,0x40006ffc,0x7dc07ffb,0x3fee00ff,
    0x07ffdc07,0x0037fe40,0x800001cc,0xffffffc8,0x3fffee0c,0x88000dff,
    0x2601ffff,0x5d701fff,0x1fffd880,0x0005fff5,0x000dff90,0x4017ffa0,
    0x7d40fffb,0x27ffc0ff,0x0001bff2,0x2a03fff7,0x2e00fffe,0x7fdc07ff,
    0x6ffc800f,0x00000000,0x3fffffee,0xfff9100d,0x40019fff,0x2602fffa,
    0xf881fffd,0x7fc400ff,0x5ffff14f,0x7fd40400,0x5d91004f,0x404fffc8,
    0xfa86fffa,0x27ffc0ff,0x6c41bff2,0xfff302df,0x3ffae63b,0xf700bfff,
    0xfffb80ff,0x06ffc800,0xa8000000,0x1efffffe,0xffffb100,0x3e6007ff,
    0xb530adff,0x15bfffff,0x4e7fffd4,0xfffd7510,0x6ffffdc7,0x3b6e621b,
    0x3ffa20ef,0x5ccc1aef,0x7fcc6fff,0xb310aeff,0xc987ffff,0x3fe0bfff,
    0x3fff21df,0x3fffec0a,0xfffffff0,0xffffffff,0xfffda88f,0xfffd981b,
    0x7665440b,0xcccccfff,0x4000000a,0xefffffe9,0xffd30002,0xd005dfff,
    0xffffffff,0xffffffff,0x7ffffd4f,0xffffffff,0x7ffec0ff,0xffffffff,
    0x7c42ffff,0xffffffff,0x86ffffff,0xfffffff9,0x43ffffff,0x7ffffff9,
    0x64bffffe,0x7f45ffff,0xff500fff,0xffffffff,0x6c1fffff,0x1fffffff,
    0x3fffffea,0x7fffff47,0xffffffff,0xb1000006,0x07ffffff,0x3ffaa000,
    0x2601efff,0xffffffff,0xffffffff,0xfffff10f,0xffffffff,0xfffb103f,
    0xffffffff,0xff301fff,0xffffffff,0x2201dfff,0xfffffffe,0xffb82fff,
    0xff1fffff,0x3ff29fff,0x7ffdc7ff,0x7fffd405,0xfffccfff,0x7ffffc3e,
    0x3fee3fff,0x3e0fffff,0xffffffff,0x00ffffff,0x3ff22000,0x000cffff,
    0xffffb800,0xfb301dff,0x79ffffff,0xc87dffff,0xfffffecf,0xe9803fff,
    0xffffffff,0x32200bdf,0xffffffff,0xec8802ef,0x1cefffff,0xdffffb10,
    0x86ffffc7,0x982efffc,0x2ee6002b,0x7f54001a,0x220dffff,0x43effffd,
    0xffffffea,0x03efffff,0x3ffee000,0x0000dfff,0x7ffe4400,0x2a204fff,
    0x80001abb,0x01abcaa8,0xaaca9880,0xa9880009,0x0009abcb,0x00157310,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0x00001eff,0x7ffec400,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x002efffa,0x74c00000,0x99954fff,0x99999999,0x99930999,
    0xccb88379,0xccb882cc,0x32a00acc,0x2a20bccc,0x41bccccc,0xbcccccb8,
    0x00006001,0x4ccc0004,0x99999999,0x54409999,0x555542aa,0x00bcb880,
    0x80005c40,0xcccccccb,0x44cccccc,0x000003ec,0x86ed4000,0xfffffffc,
    0x47ffffff,0xfffffffa,0x3fffffe0,0x7ffff43f,0xfff704ff,0x7fecffff,
    0x20ffffff,0xffffffff,0x06fd800f,0x800fcc00,0xfffffffc,0xffffffff,
    0xfff50dff,0x42ffff8f,0x02fffffa,0x0f7e4173,0x362efd88,0xffffffff,
    0x007fffff,0x00000000,0x3fffff20,0xffffffff,0x7ffffdc7,0xffff11ff,
    0xffe89fff,0xf905ffff,0x21ffffff,0xfffffffe,0xfffff11f,0xf001ffff,
    0x220001ff,0x7c400ffe,0xffffffff,0xffffffff,0xdfff12ff,0x2e1fffe8,
    0x3fffffff,0xff12ffd4,0xffffb05f,0x7fffffec,0x7fffffff,0x00000000,
    0x3fff2000,0xfffeeeee,0x7fe445ff,0x7fdc4fff,0x6cc0cfff,0x331cefff,
    0x3fffb623,0x3ffb262e,0x7ed43eff,0x802defff,0x0002fff9,0x801dfffb,
    0xfffffffe,0xffffffff,0x3ffe0fff,0xa87ffec5,0xffffffff,0x8dfff55f,
    0x7f43ffe8,0x99950fff,0x99999999,0x00000999,0x5c000000,0xfff986ff,
    0x3ffa205f,0xffff32ff,0x4fff803f,0xfa8fffe6,0x3ffa01ff,0x3fffa00f,
    0x3ffe6000,0xfffc8002,0xaa9805ff,0xaaaaaaaa,0xe81aaaaa,0x3ffdc4ff,
    0x3ee7fffb,0xffffffff,0x23ffd883,0x0005fffb,0x00000000,0x7fcc0000,
    0x2ffffcc4,0x7fffec40,0x00effffd,0x3f26ffd8,0x1fff26ff,0x209fff50,
    0x2e04fffa,0xfff98bdf,0x203fdb8a,0xfffffffb,0x80000004,0x7fd43ffd,
    0xf50ffee6,0x09ffffff,0x0dc45fb8,0x00000000,0x80000000,0x7fffcc39,
    0x7ffe4005,0x000dffff,0x3fe1fff7,0xbffd1fff,0x01fffd00,0x7c01fffd,
    0xfffeffff,0x80fffffe,0xffbffff9,0x000002ff,0x2617fe40,0x8814c5ff,
    0x004ffffe,0x00000001,0x00000000,0xfff50000,0x3ee000bf,0x4004ffff,
    0xffaafff9,0xfff8cfff,0x3fffa803,0x2027ffd4,0xfffffffe,0x87ffffff,
    0xf53ffff8,0x95103fff,0x99999999,0x15999999,0x7c41ffb8,0xaba8004f,
    0x00000000,0x00000000,0x2a000000,0x0005ffff,0xdfffffb1,0xcfff8001,
    0xaffffffd,0xfd001fff,0x7fff41ff,0x7ff5c400,0xffffffff,0x7fff440c,
    0x07fffdc4,0x3ffffffe,0xffffffff,0x3ea1ffff,0x0005ff07,0x00000000,
    0x00000000,0x2a000000,0x0005ffff,0xffffffd1,0x7ec003ff,0xffefffff,
    0x2007ffef,0xff33fffa,0xfd98009f,0x201dffff,0xfb05fffc,0x7ffc4dff,
    0xffffffff,0xffffffff,0x7ec1be22,0x7ffff5c0,0xffffffff,0xefffffff,
    0x0000000c,0x00000000,0xfff50000,0x4015109f,0xeaffffe9,0x7002ffff,
    0xf3ffffff,0x00dfffff,0xffb7ffe8,0xffd0001f,0x7c01ffff,0x3fa00eff,
    0x3ffb21ff,0xffffffff,0x85ffffff,0xff302008,0xffffffff,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x209ffff5,0xfff307fd,0x3ff621df,
    0xff9803ff,0xfff96fff,0xfb8009ff,0x05fffdff,0xfffffc80,0x3ff605ff,
    0x037f4400,0x00000000,0xfffffff1,0xffffffff,0xffffffff,0x00000005,
    0x00000000,0xffffa800,0xfccccccf,0x3fee22ff,0x7fc41fff,0x7c01cfff,
    0xff13ffff,0xf0005fff,0x03ffffff,0x8efff980,0x2602fffe,0x00031000,
    0x30000000,0x99999997,0x99999999,0x00399999,0x00000000,0x00000000,
    0xffffffff,0x5fffffff,0x7ffffffc,0x3ffffe1f,0x3f601fff,0x3ff60fff,
    0xfb8000ff,0x8005ffff,0xff11fffd,0x000000df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffffc,0xffffffff,0xffffff12,0x3ffe23ff,
    0x202fffff,0x7d45fffb,0x3e0006ff,0x8001ffff,0x7fd43ffc,0x00000005,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffffffff,0x2fffffff,
    0x3bffffae,0x7ffff5c4,0x7ffcc04e,0x004fff82,0x017ffee0,0x05302a80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_40_usascii_x[95]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,5,8,5,2, };
static signed short stb__courier_bold_40_usascii_y[95]={ 29,6,7,4,4,6,9,7,6,6,6,8,24,17,
24,4,6,6,6,6,6,6,6,6,6,6,13,13,8,13,8,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,5,36,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,6,6,6,15, };
static unsigned short stb__courier_bold_40_usascii_w[95]={ 0,7,13,17,17,17,17,5,9,9,17,19,8,15,
7,17,17,17,17,17,16,17,17,16,17,17,7,9,21,21,21,16,15,23,21,19,20,20,20,20,21,17,21,22,
20,24,22,21,19,21,22,18,19,21,23,23,21,21,17,9,17,9,17,25,7,20,22,20,21,19,19,20,21,17,
14,20,17,24,21,19,22,21,20,17,19,21,22,23,21,21,16,11,5,11,18, };
static unsigned short stb__courier_bold_40_usascii_h[95]={ 0,24,11,29,30,24,21,11,29,29,16,21,11,4,
6,30,24,23,23,24,23,24,24,24,24,24,17,20,21,12,21,23,26,21,21,23,21,21,21,23,21,21,22,21,
21,21,21,23,21,28,21,23,21,22,21,21,21,21,21,29,29,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,17,16,16,16,24,16,29,29,29,8, };
static unsigned short stb__courier_bold_40_usascii_s[95]={ 255,241,189,70,34,58,218,249,88,138,131,
236,243,238,230,16,98,157,122,40,140,22,116,175,214,134,170,242,23,167,1,
194,180,147,196,211,85,64,43,231,1,224,23,201,180,171,124,100,23,158,45,
175,90,1,110,156,68,134,106,110,120,148,149,203,222,45,152,104,192,84,232,
1,78,1,1,19,40,145,200,125,218,196,222,66,58,178,108,84,62,76,45,
58,52,98,203, };
static unsigned short stb__courier_bold_40_usascii_t[95]={ 1,1,147,1,1,33,106,1,1,1,147,
106,128,147,147,1,33,59,59,33,59,33,33,33,33,33,128,83,128,147,128,
59,1,106,106,59,106,106,106,59,106,83,83,83,83,106,106,59,106,1,83,
59,83,83,83,83,83,83,106,1,1,1,147,156,147,128,33,128,33,128,33,
33,59,59,1,59,59,128,128,128,1,1,128,128,59,128,147,147,147,33,147,
1,1,1,147, };
static unsigned short stb__courier_bold_40_usascii_a[95]={ 339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_40_usascii(stb_fontchar font[STB_FONT_courier_bold_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_40_usascii_s[i] + stb__courier_bold_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_40_usascii_t[i] + stb__courier_bold_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_40_usascii_x[i];
            font[i].y0 = stb__courier_bold_40_usascii_y[i];
            font[i].x1 = stb__courier_bold_40_usascii_x[i] + stb__courier_bold_40_usascii_w[i];
            font[i].y1 = stb__courier_bold_40_usascii_y[i] + stb__courier_bold_40_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_40_usascii_s[i] + stb__courier_bold_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_40_usascii_t[i] + stb__courier_bold_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_40_usascii_x[i] + stb__courier_bold_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_40_usascii_y[i] + stb__courier_bold_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_40_usascii_LINE_SPACING
#endif

