// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT        178
#define STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_42_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_42_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_42_usascii_LINE_SPACING          20

static unsigned int stb__courier_bold_42_usascii_pixels[]={
    0x02aaa980,0x80000000,0x0032e000,0x8801a880,0x2602880a,0x554014c1,
    0x800aaaaa,0x00edc1db,0x1555554c,0x4c000000,0x000001aa,0x00000000,
    0x320004c0,0xffa86fff,0x40000001,0xffa804fe,0xfff70004,0x20ffd809,
    0xffa85ff9,0x409fff74,0xfffffffd,0xa9bff201,0x3fe00fff,0x407fffff,
    0x00bdfeca,0x7fffec40,0x44001eff,0x00acfeca,0x2a017754,0x03ceffec,
    0x00bffd30,0x7437ffe4,0x000006ff,0x003fff20,0x9000dff9,0x440fffff,
    0x3fee3fff,0xfb7ffc87,0x3f609fff,0x03ffffff,0x7dcffff3,0xfff305ff,
    0x220fffff,0xeffffffe,0xffff7000,0x09ffffff,0x3ffffa20,0xff503fff,
    0xffd505ff,0x3dffffff,0x2ffffc80,0x0dfff900,0x0005fff9,0xffff1000,
    0x01fffb00,0x7ffffcc0,0x8fffe604,0xffd87ffd,0x5fffff57,0xffffffb0,
    0x3fffa01f,0x0bfffe24,0x7ffffff4,0xffffe887,0x401ffffe,0xfffffffd,
    0x00efffff,0x3fffffa2,0xfd83ffff,0x7fe45fff,0xffffffff,0x3ff601ff,
    0x553003ff,0xdfff3055,0xf7000000,0x3f6207ff,0xecefffff,0x33ffee03,
    0x1fffcc01,0xffb0fffb,0x27ffe44f,0x04cfffec,0x81ffff30,0x2206fffc,
    0xe87ffd99,0x3f262eff,0x3ffee05f,0xfdb9acef,0x3fa05fff,0xfffdefff,
    0x7fffc0ff,0x3fffe67f,0xffffedff,0x3ffea06f,0x6c00000f,0x00001fff,
    0x407fffc0,0xfffffffa,0xb00fffff,0xf5001fff,0x37ff45ff,0x7f43ffec,
    0x07ffd86f,0x109fffb0,0xb005ffff,0xfff98fff,0x260ffd00,0x2e04ffff,
    0xfa82ffff,0x7fec0eff,0x7ffff45f,0x03bffe66,0x07fffd51,0x000015c4,
    0x005fffa8,0x3ffee000,0xfffff884,0xffffffff,0x00fffb02,0xfe8bffea,
    0x87ffd86f,0xffd86ffe,0xffff9807,0x0dfffb00,0xfd8fffb0,0x0bfee01f,
    0x200ffffa,0x740ffff9,0xffd00fff,0x7fffec1f,0x2a027e45,0x20004fff,
    0xaaaaaaa8,0xfe82aaaa,0x000001ff,0xfb01fffd,0xf957dfff,0x3605ffff,
    0xff7007ff,0x42fffc3f,0xffe87ffd,0x807ffd86,0x2605fffc,0x6c01ffff,
    0x1bfe67ff,0xfa89ff10,0x3f2006ff,0x3ffea4ff,0x8fffea04,0x005ffffc,
    0x001bffe0,0x7fffffd4,0x87ffffff,0x0005fffa,0x05fffa80,0x2a03ffff,
    0xffb01fff,0x3ffee00f,0x3613ffe1,0x6ffe87ff,0x4407ffd8,0x6c01ffff,
    0x7ec04fff,0x013fea7f,0xffc89ff1,0x7ff4001f,0x003ffee6,0x7fe4dfff,
    0xf10004ff,0x32000bff,0xffffffff,0xfd07ffff,0x800001ff,0xf881fffe,
    0x37ec04ff,0x440fffb0,0xeefffedb,0x0bdffffe,0xffd0fffb,0x80fffb0d,
    0xa806fff9,0x7ec06fff,0x20ffee7f,0x44fffed8,0xc8006ffd,0x1fff67ff,
    0xfb9fff60,0xb0003fff,0x20007fff,0xfffffff9,0x707fffff,0x00009fff,
    0xf02fffcc,0x80100dff,0x3f607ffd,0xffffffff,0xb4ffffff,0xdffd0fff,
    0xb80fffb0,0xf8804fff,0x7fec07ff,0xf707ff27,0xf89fffff,0xfb8005ff,
    0x0dffd1ff,0x2a1fff90,0x8802ffff,0xffffebaa,0x4cc40000,0xffd99999,
    0x03fffe07,0x7ffec000,0x3ffffa01,0xffb0001c,0x7ffff40f,0xffffffff,
    0xfffb5fff,0xfb0dffd0,0xfffc80ff,0x1ffff003,0xfb3ffec0,0xeffffb8f,
    0x3ffe24ff,0xfff98003,0x700bfff2,0x3fe63fff,0x7fd402ff,0x02ffffff,
    0x0006aaaa,0xf703ffe4,0x300007ff,0xf980dfff,0xbdffffff,0x6fff8801,
    0x3ffff6a0,0xffffffff,0x0fffb1df,0xfd81fffb,0x7ffec07f,0x3fffd002,
    0xfb3ffec0,0x45fffc4f,0x3fe64ff8,0xff98003f,0x00bfff3f,0x3e63fff7,
    0x7ec01fff,0x04ffffff,0x003fffea,0x103ffe40,0x0000ffff,0x7005fffb,
    0xffffffff,0xff9105df,0x3fa00bff,0x07ffea6f,0x3f21fff6,0xffb1dfff,
    0x0ffff80f,0x07fffb00,0xffb3ffec,0xff127fdc,0x027ffc49,0xf8fffd40,
    0xffb805ff,0x1ffff11f,0xfffffa80,0xffb01fff,0x7e40007f,0x7ffe407f,
    0x3fe20003,0x3f66006f,0xffffffff,0x7ffffe44,0x4bfff001,0xfd81fffb,
    0xffff887f,0x40fffb5f,0x2007fff8,0x3604fffb,0xc9ff67ff,0x13fe20ff,
    0x9000dfff,0x3ffe1fff,0x1fffb805,0x4401fffe,0xfffffdca,0x006fff81,
    0x203ffe40,0x0006fff8,0x000ffff2,0x3fffb2a2,0x3ff22fff,0xff001fff,
    0x07ffdcbf,0x7c43ffec,0xffb5ffff,0x3fffc40f,0x09fff700,0xffb3ffec,
    0xff10ffe4,0x01fffd89,0xff3fff40,0xfff700bf,0x003fffc1,0x47fffe98,
    0x0001fffa,0x6c03ffe4,0x88002fff,0x00007fff,0x4dfffd71,0x05ffffc8,
    0x324fff88,0xffd80fff,0xdffffc87,0xf80fffb1,0xf9000fff,0x7fec07ff,
    0xffa9ff67,0xa89ff10d,0x2e005fff,0x3ffa5fff,0x47ffc807,0x20006ffd,
    0x321fffe8,0xc80004ff,0xff9807ff,0xffb8006f,0x0055003f,0x3a21fffa,
    0xfd9106ff,0xffffffff,0x7ec5bfff,0x0fffd87f,0x3a03ffec,0xfd002fff,
    0x7fec03ff,0xffd1ff67,0xd0bff9bf,0xf3007fff,0x7fec1fff,0x37ff400f,
    0x0000bfea,0x7fc7fff7,0xfc80000f,0xfffb007f,0x7ffc4005,0x2ffc800f,
    0x80fffc80,0xff907ffd,0xffffffff,0x6cffffff,0x6ffe87ff,0x6407ffd8,
    0xff003fff,0x7fec01ff,0xf983fee7,0x1fffffff,0x027fffdc,0xb87ffff5,
    0x3e202fff,0x000885ff,0x34fff880,0x200005ff,0xf3007ffc,0x7dc00bff,
    0xffd004ff,0x0ffff00d,0x7dc1fff6,0xffffffff,0x27ffffff,0xffe87ffd,
    0x407ffd86,0x8804fffb,0x7ec07fff,0x107fea7f,0x1ffffffb,0x7dffff90,
    0xffffb733,0x0dfff10d,0x0017ffe4,0x5fff3000,0x800017f2,0x3a007ffc,
    0xfd001fff,0x3fe001ff,0xfda81eff,0xfffb06ff,0x3ffb6e20,0xffffeeef,
    0x1fff61be,0x3f61bffa,0x7ffd407f,0x6fffa805,0xf13ffec0,0x0cccc05f,
    0x3fffff60,0xefffffff,0x07fffb00,0x800dfff3,0xfe8800a8,0x001b50ff,
    0x03ffe400,0x00bfff50,0x4009fff5,0xdeffffff,0x1ffffffd,0x700fffb0,
    0x7ffc3fff,0xd0fffb05,0xfffb0dff,0x1ffff880,0x027ffec0,0xbff1fff6,
    0x7fe40000,0xffffffff,0x7fffcc05,0xffffb99c,0xff981103,0xa9999acf,
    0x006ffffd,0x3ffe4000,0x03fffa00,0x003fffd0,0x7ffffff4,0x4fffffff,
    0x201fff60,0x3fe1fffb,0x0fffb04f,0xffb0dffd,0xbfffb00f,0x07fffcc0,
    0xfd1fff60,0x4c00003f,0xdffffffe,0xffff9002,0x0bffffff,0xffa93ff2,
    0xffffffff,0x641fffff,0x3f200002,0x7fdc007f,0x3ffea04f,0x7ffe4005,
    0xffffffff,0x3ffec03f,0x887ffe40,0xffb04fff,0xb0dffd0f,0xff500fff,
    0x3ff201ff,0x7ffd805f,0x2202ffd4,0xffff5000,0x402a017f,0xfffffffd,
    0xffff105f,0x7ffffec1,0xefffffff,0x002ffcc0,0x007ffc80,0xd00ffff8,
    0x88003fff,0xfffda8bb,0xfd800bef,0x7ffc807f,0x6c0fffe2,0x6ffe87ff,
    0xd007ffd8,0xff109fff,0xffb003ff,0x20bffd0f,0x7dc00ffb,0xdfffffff,
    0x00fffcab,0xbfffffd9,0x446ffe80,0xffffffeb,0x3f204fff,0x7c0000ef,
    0xfb8006ff,0xfff984ff,0x3f600006,0x7fe4007f,0x3ffec02f,0x3607fff3,
    0x7ffcc7ff,0x007ffd85,0xc81ffff5,0xfb006fff,0xffff30ff,0x1ffffd9d,
    0x7ffffcc0,0xffffffff,0x54402fff,0x02aa001b,0xaabbaa98,0x3fff7001,
    0x3ffea000,0xfff88004,0x17ffec0f,0xfffb0000,0xffffa800,0x4fffb02e,
    0xfb02fff9,0x3fff66ff,0xffffd83f,0xffd00cef,0x7fffc49f,0xffffb702,
    0x3ffe60ff,0x02ffffff,0x7fffffe4,0xffffffff,0x0000006f,0xf5000000,
    0x64c003ff,0x0002ffff,0x7cc7fff9,0x400006ff,0xd8007ffd,0xfd06ffff,
    0x0fffd4df,0xffb7ffd8,0xffb01fff,0x207fffff,0x3ee7fff9,0xfff305ff,
    0x440fffff,0x0ceffeca,0xdffffa80,0xffffecbc,0x000000cf,0x20000000,
    0x76443fe9,0xffffffff,0xf10000ef,0x7ffe4fff,0x7e400002,0xffd0006f,
    0x0ffee0df,0x7fdc0dff,0x03dfff96,0x3ffffff6,0x9bff202f,0xf100fffa,
    0x0fffffff,0x15100000,0x00554c40,0x00000000,0xf9030000,0xffffffff,
    0xc80001df,0xdffd0fff,0xff500000,0x66540009,0x2a20a600,0xc886e400,
    0x3bb200bd,0xb803deee,0x200edc1d,0x6eeeeeca,0x00000000,0x00000000,
    0x00000000,0xfffffff9,0x00001bff,0x2ffb93fa,0x17500000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ddddb71,
    0x02000003,0x00000022,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdca88000,0x2aaa2cee,0xaaa980aa,0x9ddb711a,0xb7300037,0x2aa39bfd,
    0x80000aaa,0x201aaaa9,0xaaaaaaa9,0x0000aaaa,0x55554400,0xaaaaaaaa,
    0x04c02aaa,0x00019800,0xcefedb88,0x7fee4402,0x654002ce,0x0001defe,
    0x5000d951,0xfffffffd,0xffffff5d,0x7fffff47,0xffffffcc,0xf9000dff,
    0xbfffffff,0x09fffffd,0x7ffff400,0x3fff604f,0xffffffff,0xfb73005f,
    0x3e6039bf,0xffffffff,0x86ffffff,0x02ffffd8,0x007fffa0,0x7ffffe40,
    0xff704fff,0x1bffffff,0xffffd880,0x4400dfff,0x07fffeca,0x7ffffe40,
    0xffffffff,0xff35ffff,0xffffffff,0xffffffff,0x7fff4c05,0xffffffff,
    0x007fffff,0xffffff10,0x7fffec09,0xffffffff,0x7fff4407,0x984fffff,
    0xffffffff,0x6fffffff,0x7fffffc4,0xfffa804f,0x7f44005f,0xffffffff,
    0xfffffd87,0x00ffffff,0xffffffd1,0xb301dfff,0xffffffff,0x7fffe400,
    0xfffffeff,0x22ffffff,0xfffffffd,0xfffeefff,0xffd00fff,0xfffddfff,
    0x7fffffff,0x7ffe4000,0x3ff604ff,0xffffffff,0x3fa204ff,0xffffffff,
    0x7fffcc6f,0xffffffff,0x7fec6fff,0x01ffda8c,0x02ffffdc,0xffffff30,
    0xb87ffbbf,0xfeefffff,0xfb05ffff,0xfffdffff,0xfffb0bff,0x00ffffff,
    0x877fffea,0xfffffda8,0xfff5101d,0x5c415fff,0xfc86ffff,0xffb83fff,
    0x0001ffff,0x813ffe60,0x9999fffd,0x22009999,0xeeffffff,0x224fffff,
    0x9999bfff,0x5fffa999,0x3fa0bfe6,0x7fff4405,0xffff1001,0x4408839f,
    0x221cffff,0x4c2ffffb,0x910bffff,0xfd83ffff,0x7fffffff,0x09ffff00,
    0x05ffffc8,0x0f7fffc4,0x47ffff30,0x201ffff8,0x006ffff9,0x04fff800,
    0x0001fff6,0x417dfff9,0x21ffffc9,0xffb807fd,0x5c1fea3f,0x0053006f,
    0x17ffff44,0x0dfff300,0x3627ffe4,0xff503fff,0x1bdd98bf,0xf300fffb,
    0x3f600dff,0x7fc405ff,0xff9802ff,0x0fffea5f,0x01bffee0,0x13ffe000,
    0x0007ffd8,0x9007fffc,0x00187fff,0x7d41fffb,0x000df707,0x3fffee00,
    0x7ffdc002,0x1bffe202,0x7401fffd,0xfd800fff,0xfffb807f,0xbfff5003,
    0x07fff880,0xfc9fffa0,0xff8800ff,0x32a2006f,0x3fe1cded,0x1fff604f,
    0x3fff8800,0x02fffc40,0x22fffc40,0x5fe82ff9,0xfff00000,0xff70003f,
    0x7ffc405f,0x2037ffc5,0xd801fffb,0xffc807ff,0x3ffe000f,0x27ffc405,
    0x21fff700,0x3a007ffd,0xff5006ff,0x5dffffff,0x7ec09fff,0xceedcaff,
    0x005fc802,0x7000bfff,0xffb07fff,0x03ffd539,0xfff50000,0x3fe6000b,
    0x3fff205f,0x202fffc3,0xd803fffa,0xffb807ff,0xfff3001f,0x5fff880b,
    0xc9fff600,0x3fe007ff,0x7fec406f,0xffffffff,0x3604ffff,0xffffffff,
    0x00001eff,0x0009fff7,0xf101fffd,0x87ffffff,0x20000dc9,0xb952fffd,
    0xfff8037b,0x3fee21cf,0x7fff41ff,0x13fffa00,0x201fff60,0xb005fff9,
    0xf880bfff,0xf9801fff,0x3ffee5ff,0x6fff8801,0x7ffffec0,0xffffffef,
    0x3ff604ff,0xffffffff,0x440003ff,0x4002fffe,0x2206fff8,0xb52efffc,
    0x0005ffff,0x7f4ffff4,0x203fffff,0xeefffffa,0xd84fffff,0xff902fff,
    0xffb00bff,0x3fffe00f,0x7fffe404,0x7fffc405,0x3ffe601f,0x1bffe63f,
    0x81bfff60,0x40dffffa,0x4fffffe9,0x3fffff20,0xfffffeef,0xffd10000,
    0xff7000df,0x2a22007f,0x2dfffffd,0x7fffc000,0xffffffff,0x3fff205f,
    0x6fffffff,0x81dfff70,0x06fffffa,0x5007ffd8,0x137dffff,0xfffffd73,
    0xffff880b,0xca99acff,0x740effff,0x3f204fff,0xff106fff,0xffc805ff,
    0x3fe604ff,0x7ff440bf,0xfe88005f,0xe8001fff,0x54400fff,0xbdfffffd,
    0x7c002200,0xffffffff,0x503fffff,0xffffffff,0x7ff40bff,0xfffeacff,
    0xfd807fff,0x3fee007f,0xffffffff,0x405fffff,0xfffffff8,0xffffffff,
    0xffff980f,0xffeb99be,0xff506fff,0x3ffa009f,0x400c404f,0x2001fffe,
    0x02ffffe9,0x06fff880,0x3fffff6a,0xffd800ad,0x7fffc01e,0xffb32eff,
    0xfff981ff,0xffffffff,0xffff303f,0xffffffff,0xfffb00ff,0xffffc800,
    0xffffffff,0x7fc405ff,0xffffffff,0x201effff,0xfffffffc,0x6fffffff,
    0x001fff90,0x0013ffea,0x017ffd40,0x2fffff98,0x7fff7000,0x37ffffe0,
    0x03dedb8a,0x809ffff5,0x906ffffe,0x7fc49fff,0xfc9adfff,0xf502ffff,
    0xdfffffff,0xfb00bffd,0xfb1000ff,0x39ffffff,0xf880bfff,0xfffeabff,
    0x7003ffff,0xffffffff,0x20dfffff,0x26007ffd,0x00004fff,0x5007fff1,
    0x005fffff,0x807fff40,0x3fa62dfe,0x5c0effff,0x6406ffff,0xf301ffff,
    0x7ffd4bff,0xbfff900e,0x7fffec40,0x03fff8bf,0x0007ffd8,0x82af2ea2,
    0x7c405fff,0x32ea63ff,0xfe98001a,0xd9dfffff,0xdffd06ff,0x27ffc400,
    0x9fff0000,0xfffffb80,0x3fe20001,0xffe8006f,0x445ffebd,0x5c02ffff,
    0x7f404fff,0x0ffff27f,0x007fff88,0x7ffdc353,0x07ffd801,0x7ffc0000,
    0x1fffc405,0x73100000,0x37ff4157,0x000fffc8,0x0009fff5,0x80fffe20,
    0x00effffd,0x1fffdc00,0x507fee00,0x1ba885ff,0x02fffa80,0xffd3ffec,
    0x1fff900f,0xffff3000,0x0fffb001,0xfff80000,0x1fffc405,0x88000000,
    0xff705fff,0x3ff6007f,0xf500004f,0xffd105ff,0x00001dff,0x8001fffd,
    0x07ff06fc,0x5fff9800,0xd9bffe20,0x7ec00fff,0xff98007f,0xffb003ff,
    0xf800000f,0x7fc405ff,0x0000003f,0x207fff70,0x402ffff8,0x904ffffb,
    0xfff1005d,0xfffe981f,0xf100005f,0xfb000dff,0x2213f609,0x3fffa001,
    0x4bfff702,0x2604fffb,0x5c005fff,0x2005ffff,0x00007ffd,0x202fffc0,
    0x0003fff8,0x7fe4c000,0x3fee01ff,0xb999adff,0xcffffffe,0x2fbffee2,
    0xffca999a,0x7ffd44ff,0x000804ff,0x0007fff7,0x7ff10ff9,0x801effd8,
    0x9bdffffa,0x22ffffeb,0x9adffff9,0x3ffffca9,0x654d66cc,0x106fffff,
    0xfffdddb7,0x037bdddf,0xfffd9100,0x5c19ffff,0xfffffffd,0xd980002d,
    0xffffffff,0xffd805ff,0xffffffff,0xffffffff,0xffffff53,0xffffffff,
    0xfffff81f,0xeeeeeeef,0xfe802ffe,0xf98000ff,0x1ffb30cf,0x027fffd4,
    0xffffffe8,0xc85fffff,0xffffffff,0x740effff,0xffffffff,0xff900eff,
    0xffffffff,0x000fffff,0xfffffff7,0x3fe29fff,0xffffffff,0x7ec0000f,
    0xffffffff,0xffb1005f,0xffffffff,0x9fffffff,0x7fffffec,0x1effffff,
    0xfffffff8,0xffffffff,0x5ffe805f,0x3fff2000,0x7dc3fffe,0xd1005fff,
    0xffffffff,0x3fee01df,0xffffffff,0xfffffd05,0x4019ffff,0xfffffffd,
    0xffffffff,0x7ffd4000,0x4fffffff,0xfffffff1,0x0000ffff,0xfffffffb,
    0xd30009ff,0xbfffffff,0x1bfffff5,0xfffffc98,0x3e03ffff,0xffffffff,
    0x6fffffff,0x000eea80,0x7ffffdc0,0x2ffff883,0x3fff2200,0xa803ffff,
    0xeffffffd,0x3fffa603,0x9800cfff,0xfffffffd,0x03efffff,0xddddb500,
    0x64c17bdd,0xbdeeeeee,0xdb880001,0x001bdeee,0xabcb9880,0x2a620000,
    0xf8009aba,0xffffffff,0x6fffffff,0x88000000,0x5d400aba,0x75310000,
    0x2a600035,0x5d44001b,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,0x00001555,
    0x00d5554c,0x81555551,0x00aaaaa8,0xaaaa8800,0x01000002,0xa9880000,
    0x20009aaa,0x4000aaaa,0x2aaaaaa9,0x35530000,0x55310000,0x26000015,
    0x100009aa,0xf8035553,0x003fffff,0xfffffd00,0xffff70bf,0x3fe21fff,
    0x0001ffff,0x3fffffd4,0x27f40000,0x7e440000,0xefffffff,0x3ffff802,
    0x3ffffa00,0x20007fff,0xffffffd8,0x7f4c002d,0xbaefffff,0xfdb9802e,
    0xb9cfffff,0xffd7103e,0x307fffff,0x07ffffff,0xffff1000,0xffb0ffff,
    0x2a7fffff,0x01ffffff,0x7fffe400,0x4c00007f,0x400007ff,0xfffffff8,
    0xf807ffff,0xf1003fff,0xffffffff,0x3ffee000,0x4fffffff,0xfffff900,
    0xffffffff,0xfffffc80,0xffffffff,0x3fff220f,0xffffffff,0x7fffec0e,
    0xfb00003f,0x509fffff,0x1fffffff,0x3fffffa2,0x7f4c0001,0x00007fff,
    0x000fffdc,0xfffffd00,0x0fffffff,0x007ffff0,0x7fffffe4,0xffd8007f,
    0xffffffff,0x3ee00eff,0xffffffff,0xb00fffff,0xffffffff,0x5fffffff,
    0x7fffffcc,0x5fffffff,0x03fffa88,0x3ffea000,0x7ffec00f,0x3fff7104,
    0x3f620000,0x5c00007f,0x00001fff,0x359ffff3,0x005bb975,0x00015555,
    0x0fffb333,0xeffffb80,0xfffdb9ac,0xffff306f,0xffb735bf,0xff903fff,
    0x9537bdff,0x45fffffd,0xbdeffff9,0x3ffffeb9,0x003fff98,0x17ffec00,
    0x01ffff10,0x000fffd4,0x00fff900,0x1fffb800,0xfff70000,0x00000005,
    0x01fff600,0x04ffff98,0x20ffffee,0x2a05fffc,0x7d41ffff,0x7e405fff,
    0x3fe62fff,0x3ffee03f,0x03fff986,0x7ffcc000,0x0ffff206,0x003fff50,
    0x03ffe400,0xffda9800,0xaaaaaabf,0x3fff2002,0x00000000,0x00fffb00,
    0x401ffff4,0x740ffff9,0x7e400fff,0x7ffec0ff,0x5fff9005,0x7401fff8,
    0xfff987ff,0x79ddb713,0xfffd8003,0x0ffff882,0x44fffd40,0x01bceedb,
    0x261fff20,0xd00aaaaa,0xffffffff,0x1fffffff,0x3ff6aa20,0x1aaaaabf,
    0xaaaaa980,0x7ec0002a,0xfff5007f,0x7ffe400d,0x4037ff45,0xfff86ff9,
    0x3ffe2006,0x64037dc1,0x7fcc0fff,0xfffffccf,0x3000cfff,0xff90dfff,
    0xfff5007f,0xfffffffd,0x3ff2005f,0x3ffffe27,0x7fcc1fff,0xffffffff,
    0x83ffffff,0xfffffffb,0x6fffffff,0x3fffffa0,0x6c0007ff,0xff9007ff,
    0xffe8003f,0x017ffe47,0x3fe20edc,0x2fe4004f,0x3fffe000,0x7ffffcc0,
    0xffffffff,0xffb001ef,0x3fffc45f,0xfffffa80,0xffffffff,0x27ffc804,
    0xfffffffa,0xffffd84f,0xffffffff,0xffd80eff,0xffffffff,0x880fffff,
    0xffffffff,0x7fec0007,0x0dffb007,0x41fff900,0x0adffff9,0x17ffd400,
    0x22000000,0xf986fffd,0xefffffff,0x0ffffffe,0x26fff980,0x5003fffd,
    0xdfffffff,0x01ffffff,0x3e27ffc8,0x1fffffff,0x5fff9310,0x01333333,
    0x7fffffd4,0xffffffff,0x3ffff205,0x40007fff,0xff007ffd,0xff5000bf,
    0xffffd83f,0x400aceff,0x00007ffc,0x3ffee200,0xfff982ff,0xffa82fff,
    0xffb005ff,0x0ffff37f,0x7ffffd40,0x3fff660b,0x8bffe402,0x09effffe,
    0x03fff700,0xffd99800,0x0999999f,0xfe999880,0x7ec0007f,0xfff8807f,
    0xfff98003,0xfffffd83,0xd03effff,0x00000dff,0xfffff930,0x3ffe609f,
    0x3fa200ef,0xff9803ff,0x03fffdff,0x0bfffea0,0x202fffc4,0xfffafffc,
    0xfb8004ff,0x900001ff,0x00001fff,0x0003ffec,0x2201fff6,0x98003fff,
    0xff703fff,0xffffffff,0x00dffd09,0xfffb0000,0x7cc07fff,0xf9801fff,
    0xffb005ff,0x800fffff,0x7402fffa,0x7fe406ff,0x03ffffff,0x03fff700,
    0x3fff2000,0x3f600000,0x7ec0007f,0xbfff007f,0x3fff5000,0xfffdba80,
    0x7f46ffff,0x8000006f,0x00cffffd,0x002fffcc,0x2200fffb,0x03ffffff,
    0x00fffd40,0xf901fff6,0x03ffffff,0x0fffdc00,0xfffc8000,0x3f600000,
    0x7ec0007f,0xdffb007f,0x1fff9000,0xffeb9800,0x1fff61ff,0x3ee00000,
    0xff3001ff,0x7fe4009f,0xfff9000f,0xff5000ff,0x7ffd803f,0x7ffffe40,
    0x2e0002ff,0x00001fff,0x0001fff9,0x003ffec0,0x401fff60,0x4001fffc,
    0x014c7ffe,0x649fff70,0x00001fff,0x0027fcc0,0x4007fff3,0x1000fffb,
    0x0007ffff,0xd803fff5,0x7fe407ff,0x03ffffff,0x03fff700,0x3fff2000,
    0x3f600000,0x7ec0007f,0xfff5007f,0x7ffdc00d,0x8013fe65,0x3fea6ffe,
    0x8000005f,0x7fcc0028,0x3ff6005f,0x3ffe6007,0xfff50007,0x07ffd803,
    0x7f5fffe4,0xb8004fff,0x00001fff,0x0001fff9,0x003ffec0,0x801fff60,
    0x9803fffe,0x3f20ffff,0xff8800ff,0x17fff46f,0x003bb100,0x7ffcc000,
    0xfff8800f,0x3fff6006,0xfff50003,0x07ffd803,0xfd8bffe4,0x5c004fff,
    0x26203fff,0x3ff200cc,0x3600000f,0x6c0007ff,0x3e6007ff,0x3ea04fff,
    0x7fec3fff,0x7fe401ef,0x7fffdc5f,0x6fff9804,0x3e600000,0x2200efff,
    0x3003fffe,0x4000ffff,0x6c01fffa,0x7fe407ff,0x6ffffec7,0xdfff3000,
    0xffd95357,0x7fe409ff,0x3600000f,0x6c0007ff,0x7dc007ff,0xb9abefff,
    0xd86ffffd,0xabdfffff,0xffffeba9,0xfffffd83,0xfdba99ac,0x31005fff,
    0x3ffae600,0x99abffff,0x06ffffca,0x00ffff60,0x3fff7220,0x7fe540bd,
    0x7e543cff,0xfffc87ff,0x7c01bdef,0xffffffff,0x265fffff,0xeffffedb,
    0x00adeeee,0xffdddd95,0x5bddddff,0x77776541,0xeeeeffff,0xfffb00ad,
    0xffffffff,0xfff901df,0xffffffff,0x220bffff,0xfffffffe,0xffffffff,
    0x1fffe801,0x3ffffe20,0xffffffff,0x81ffffff,0xffffffda,0x2000deff,
    0xfffffffd,0x3ffffe24,0xfff71fff,0xfff90fff,0x980fffff,0xffffffff,
    0xf10effff,0xffffffff,0x09ffffff,0xfffffff5,0xffffffff,0x3fffea9f,
    0xffffffff,0x2e04ffff,0xffffffff,0x3fee04ff,0xffffffff,0x400dffff,
    0xfffffffc,0x00dfffff,0x04ffffa8,0x3fffffe6,0xffffffff,0xf881efff,
    0xffffffff,0x3e004fff,0x6fffffff,0x3fffffea,0xffff93ff,0xffffb0ff,
    0x9801ffff,0xfffffffd,0x7ffc41cf,0xffffffff,0xfb85ffff,0xffffffff,
    0x5fffffff,0xfffffff7,0xffffffff,0xffd880bf,0x402effff,0xffda9ed8,
    0x01efffff,0x3ffff260,0x003dffff,0x00bfffe2,0x79ffffd7,0xffffffff,
    0xfffff807,0x4fffffff,0x3fff6a00,0x7f642dff,0xb10cefff,0xb30fffff,
    0x07dfffff,0x4d65d440,0x7fff5c00,0xffffffff,0xffc881df,0xffffffff,
    0x911dffff,0xfffffffd,0x3bffffff,0x00dd4c00,0x55d4c400,0x54c00009,
    0x200009bb,0x00000ba8,0x00357953,0x3bbbb6e6,0x000bdeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x98001aaa,0x32000aaa,0x2dfffffe,0x3fffff66,
    0xfec800cf,0xffffffff,0xff910cef,0x103bffff,0xbffffff9,0xffffeb83,
    0xffda83ef,0xf70cefff,0xffffffff,0xffffffff,0x7ffed4bf,0xffc882df,
    0x7edc3eff,0xff002fff,0xeb819dff,0xffffffff,0x2000bcef,0xfffffffb,
    0x6fffffff,0xffffd000,0xffd91009,0xd57dffff,0xfffff509,0x3f61ffff,
    0x5fffffff,0x7ffffd40,0xffffffff,0xfffffb4f,0xff90dfff,0x4dffffff,
    0xfffffff9,0x7fffc2ff,0xf73fffff,0xffffffff,0xffffffff,0x3fffe2bf,
    0xffd86fff,0xf12fffff,0x00dfffff,0x9ffffff7,0x7fffffcc,0xffffffff,
    0xfff7003f,0xffffffff,0x7000dfff,0x809fffff,0xfffffff9,0x1fffffff,
    0x7fffffd4,0x3fff67ff,0x404fffff,0xfffffffa,0x3fffffff,0xfffffff7,
    0xffff90df,0x7ccbffff,0xffffffff,0x7fffffc1,0xfff73fff,0xffffffff,
    0xbfffffff,0x7ffffffc,0xfffffc86,0xffff11ff,0xfe803fff,0x264fffff,
    0xffffffff,0xffffffff,0xffffb806,0xffffffff,0x7c4006ff,0x204fffff,
    0xfffffffa,0xffffffff,0xefffda83,0x3b6e21ce,0x800befff,0xffeeeeda,
    0x643deeff,0x1bdffffd,0xfffedb88,0x7ff540ce,0xb982ceef,0x23ffffee,
    0xeeeefffb,0xeeeeffff,0x3f265fff,0xd881ffff,0x4c2dffff,0x05fffffd,
    0x3fffffea,0x7ff6540b,0xffeeeeef,0x5c04ffff,0xeeeeefff,0x06ffffee,
    0x7ffffe40,0xffff704f,0xf97537bf,0x2607ffff,0xf8802fff,0xc80004ff,
    0xff800fff,0xffd000ff,0x7ffe403f,0x37ff4000,0xfb03ffee,0x0bfff0ff,
    0x105ffff7,0x540bffff,0x00ffffff,0x0dfffffb,0x501fffa8,0x401ffff9,
    0xf701fffb,0x4c003fff,0x4fffffff,0x04ffff88,0x81fffec4,0x8802fff9,
    0x80004fff,0xb800fffc,0xf9803fff,0x7fdc06ff,0x0555541f,0xff717ffe,
    0x87ffd81f,0xff905fff,0xfffe83ff,0x3ffea00e,0xff984fff,0x5406ffff,
    0x7ec01fff,0x3fee02ff,0xffff981f,0x7fff4002,0xfc84fffc,0xff3005ff,
    0x3ffe605f,0x4fff8802,0xfffc8000,0x6fff8800,0x02fffc80,0xf117ffd4,
    0x7fc45fff,0x07ffdc4f,0x3fe1fff6,0x3fff605f,0x1ffff90e,0xfffffa80,
    0x7ffe40ff,0x7d406fff,0x7fcc01ff,0x3ffee04f,0x27fffc40,0x3bffea00,
    0x7c44fff9,0x7ec006ff,0x0bffe607,0x013ffe20,0x03fff200,0x017ffec0,
    0x300ffff1,0x7fdc7fff,0x3ffe65ff,0x207ffdc3,0xfff87ffd,0x3fffa204,
    0x01ffffbd,0xffefffa8,0x3fffe23f,0x7d406fff,0x7fd401ff,0x1bfe602f,
    0x001bfffa,0xf15ffff1,0xfffa89ff,0x200a8004,0x8802fff9,0x80004fff,
    0x3000fffc,0x7dc0bfff,0xff8804ff,0x3ffff64f,0x85fff50f,0xffd86ff9,
    0x402ffd87,0xfffffff9,0xfff5003f,0x7dcffff7,0x06ffebff,0x700fffd4,
    0xc801ffff,0x7fffe42d,0x7ffe4000,0xc89fff15,0x00002fff,0x802fff98,
    0x0004fff8,0x000fffc8,0x7403fffa,0xff000fff,0x3fffe2bf,0x3fff72ff,
    0xffb03950,0x2007910f,0x4ffffffa,0x2bffea00,0xfff2fffc,0x80dffd1f,
    0x2a21fffa,0x05ffffeb,0x5ffff500,0xffff8800,0xd89fff11,0x000007ff,
    0x1005fff3,0x00009fff,0x4001fff9,0xf984fffb,0x3fa005ff,0xfffff76f,
    0x03fff2bf,0x00fffb00,0x3fffee00,0x7ffd4006,0xfaefff9a,0x0dffd4ff,
    0xffffffa8,0xefffffff,0xfff98000,0xffd8003f,0x13ffe24f,0x0000dffd,
    0x00bffe60,0x5413ffe2,0x1fff9001,0x3fffc400,0x0017ffec,0x3ff6fffb,
    0xfd8fffef,0xffd8007f,0xffb00007,0x54001fff,0xfffb2fff,0x3fa3ffff,
    0x7ffd406f,0xffffffff,0xfd10004f,0xf5000bff,0x7fc41fff,0x037ff44f,
    0x99999951,0x3ffe6037,0x4fff8802,0xc801ffc8,0x64000fff,0x3fe22fff,
    0x7fe4006f,0xfbefff9f,0x07ffeaff,0x007ffd80,0xfffffc80,0xff5000ef,
    0x3fffe65f,0x1bffa5ff,0xffffff50,0x00dfffff,0x077ffec0,0x1ffff400,
    0xfd13ffe2,0x3ffe20df,0x5fffffff,0x802fff98,0xfe84fff8,0xfffc804f,
    0x7ffcc000,0x00fffee6,0xff9fff70,0xfbfff17f,0xfb000dff,0xfb8000ff,
    0x5fffffff,0x45fff500,0x22fffffe,0x7d406ffe,0xfecccdff,0xb8004fff,
    0xea81ffff,0x0dfff704,0xfc89fff1,0xffff507f,0x0fffffff,0x1005fff3,
    0xfff07fff,0x1fff900b,0x3fffd000,0x0003fffe,0xfffffff5,0x3fffffa1,
    0xffd8005f,0x3fe60007,0xffff8bff,0x2fffa804,0xd1bfffea,0xffa80dff,
    0xffffc81f,0x3ffe6003,0x85ffd03f,0xfffffff8,0xcfffffff,0x201fff70,
    0xfffffffe,0xfff883ff,0x2fffa804,0xc805fff8,0xf50007ff,0x9fff59ff,
    0xffff3000,0x7ffdcdff,0xd8004fff,0xf10007ff,0x7fd4bfff,0x7fd402ff,
    0x17fffc2f,0xf501bffa,0x3ff203ff,0xff8802ff,0x3ffe04ff,0x7ffffcc4,
    0xffffffff,0x7fff34ff,0x7d4ccc40,0x3ffa03ff,0x7ffec00e,0x805fff80,
    0x20005ffe,0xfffeffff,0xfff88001,0x3fe23fff,0x8003ffff,0xd0007ffd,
    0xff70dfff,0x7fd403ff,0x42f75c2f,0x7d406ffe,0x3ff201ff,0x7ff400ff,
    0x3ffe206f,0x7ffffcc4,0xffffffff,0x3fffe4ff,0x7fff3000,0x06fffe40,
    0xf06fffc8,0x7e401dff,0x320004ff,0x06ffffff,0x3ffffe00,0x7ffff40f,
    0xffd8002f,0xfffd8007,0xffffb00f,0x0bffea01,0x80dffd00,0x6c01fffa,
    0x3f205fff,0x3e200fff,0x777444ff,0xfeeeeeee,0x3f20beff,0xf9801eff,
    0x3fe203ff,0xeb9adfff,0xff01ffff,0x7335bfff,0x003ffffd,0x7ffffc40,
    0x3fe0002f,0xffb86fff,0xca801fff,0xeeffffee,0xffb500ad,0xf9105dff,
    0x5417dfff,0x0bdefffd,0xffffd950,0xffec9817,0xe880bdef,0x260bdfff,
    0xeeefffff,0xfffeeeee,0xfff10004,0x3ffffa09,0xecb99abd,0x4c03ffff,
    0xffffffff,0x3e04ffff,0xffffffff,0x001fffff,0x7ffffd80,0x7fff4000,
    0xffff883f,0x7ffdc00f,0xffffffff,0xffffa84f,0x7f41ffff,0x55ffffff,
    0xffffffff,0xfffff70d,0x7fccdfff,0x6fffffff,0xbfffff30,0x7fffffcc,
    0xffffffff,0x2e2004ff,0x0befffed,0x7fffffcc,0xffffffff,0xffa803ff,
    0xffffffff,0x7ffecc03,0xffffffff,0xff500001,0xd80009ff,0xfd01ffff,
    0xff900fff,0xffffffff,0xfff70bff,0xf85fffff,0x5fffffff,0xfffffff7,
    0xffff70ff,0x7d4fffff,0xffffffff,0x3ffff207,0x3ffffe66,0xffffffff,
    0x3a004fff,0xffffffff,0xffffe984,0xffffffff,0xf91000cf,0x03dfffff,
    0x7fffdc40,0x0001ceff,0x007fff40,0x1bfff200,0x807fffb8,0xffffffd8,
    0x881dffff,0x4effffec,0xfffffda8,0xffff911d,0xfb105bff,0x85bfffff,
    0xffffffec,0x6fff402d,0x3ffffe62,0xffffffff,0x3a004fff,0xffffffff,
    0x3fff6a05,0x0befffff,0x26ea6000,0x5cc40000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffff6a,0x531001df,
    0x00001357,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffd7000,0x6d43bfff,0x4c4effff,
    0xfffffffd,0x82dfffff,0x3dffffeb,0x3bffff22,0x3ffb220c,0xdeffffff,
    0x7fed402c,0xffffffff,0x5fffffff,0x3fffffae,0xffffffff,0x7f5c4fff,
    0xefffffff,0xfda800ac,0xf9105fff,0x43bfffff,0xffffffeb,0x02cdffff,
    0x7fffedc0,0x4002ffff,0xfffffec8,0x1002dfff,0x3ea39999,0xffffffff,
    0x3fffffe6,0x3fff62ff,0xffffffff,0x3e60ffff,0x0fffffff,0xfffffffb,
    0x7ffffe4b,0xffffffff,0xffff01ef,0xffffffff,0xbfffffff,0x3fffffe6,
    0xffffffff,0x3e64ffff,0xffffffff,0x203fffff,0xfffffff8,0xfffffd82,
    0xfff56fff,0xffffffff,0x001bffff,0xfffffff1,0xc800bfff,0xffffffff,
    0x8800ffff,0xff32ffff,0xdfffffff,0x7ffffffc,0x3ffff62f,0xffffffff,
    0x7ffcc7ff,0xf90fffff,0x49ffffff,0xfffffffb,0xffffffff,0xfffff83f,
    0xffffffff,0x35ffffff,0xffffffff,0xffffffff,0x7ffcc9ff,0xffffffff,
    0x880effff,0xffffffff,0x7ffffe40,0xfff35fff,0xffffffff,0x01ffffff,
    0xffffff88,0x000fffff,0x3fffffee,0x007fffff,0xca87fffe,0x1bdefffe,
    0x37ffffea,0x7776dc42,0xeeeeffff,0xfffea81b,0x3f6e21ce,0x2e20bfff,
    0xeeeffffd,0xffffffee,0x7fff5cc1,0xeeeeeeef,0x2a5fffee,0xeeefffec,
    0xffeeeeee,0x7ffed44f,0xfffeeeee,0xd9306fff,0x889fffff,0xbffffedb,
    0x3fffb2a0,0xffeeeeee,0xc9806fff,0xfffffeee,0x36e2003f,0xeeffffee,
    0x3ffa001c,0x1fffb80f,0x2fffff98,0x03ffec00,0x007ffee0,0xfd80dffd,
    0xffd7107f,0x3ffe20df,0x0bfff004,0xf003fff5,0xfff109ff,0x3ffee607,
    0x3ffe604f,0x3fe01fff,0x3ffee05f,0xffff5101,0xfffd8003,0x20006fff,
    0x0004fff8,0x7dc1fff6,0x7ffd41ff,0xfd8001ff,0x7fdc007f,0x37ff401f,
    0x101fff60,0xf101ffff,0x3fe009ff,0x1fffa85f,0x884fff80,0x7dc03fff,
    0xff300fff,0x7c0dffff,0x3fee05ff,0x7ffdc01f,0x3ffe2003,0x002fffce,
    0x009fff10,0xb837fe40,0x3fee1fff,0xb0001eff,0xfb800fff,0x7ff401ff,
    0x03ffec06,0x440fffe4,0x41b84fff,0xffa83ffd,0xfd05c41f,0x7fff107f,
    0x09fff900,0x3fffffe6,0x0bfff04f,0x200fffdc,0x2004fff9,0xff9bfffb,
    0xff10005f,0x7dc0009f,0x3fff705f,0x03bffff2,0x07ffd800,0x00fffdc0,
    0xfb01bffa,0xfff500ff,0x89fff103,0x3fea0ffe,0x21fffa81,0x3bea6ff8,
    0x03fff880,0x260fffd0,0xffffdfff,0x205fff81,0x6c01fffb,0x3a002fff,
    0xfffd0fff,0xfff10001,0x7fd40009,0xb5fff704,0x001bffff,0x007ffd80,
    0x200fffdc,0x7ec06ffe,0xfffd807f,0x44fff880,0x50043fff,0x7fd43fff,
    0xff88020f,0xfff9003f,0x97fff303,0xfff0dfff,0x0fffdc0b,0x7ffff5c4,
    0xbfff5000,0x001fffd4,0x0027ffc4,0x2e07ff30,0xffffffff,0xffb00006,
    0xfffb800f,0xeeeeeeee,0x7ec06fff,0x7ffe407f,0xdffff106,0x009fffdd,
    0x7777ffd4,0x1001fffe,0x2e007fff,0xff982fff,0x3fffe8bf,0xf702fffc,
    0xfdddddff,0x007fffff,0x3e0fffec,0xf88006ff,0x220004ff,0xfff702ff,
    0x07ffffff,0x0fffb000,0xfffffb80,0xffffffff,0x7ffec06f,0xffba9999,
    0xff102fff,0xffffffff,0x7ffd4009,0x1fffffff,0x07fff100,0x20fffe60,
    0xff53fff9,0x2fffc1ff,0xffffff70,0xffffffff,0x37ffc400,0x0017ffe4,
    0x0013ffe2,0x3ee01fb0,0xffffffff,0x7ec0004f,0x7fdc007f,0xffffffff,
    0x6c06ffff,0xffffffff,0x203fffff,0xfffffff8,0x2a004fff,0xffffffff,
    0xff1001ff,0x3fe6007f,0x3fff983f,0xff97fff6,0x3ffee05f,0xffffffff,
    0xf7005fff,0xfff307ff,0xfff8800b,0x20080004,0xeafffffb,0x0004ffff,
    0x7001fff6,0xffffffff,0x0dffffff,0xffffffd8,0x03ffffff,0x777fffc4,
    0x2004fffe,0xeeeefffa,0xf1001fff,0x3e6007ff,0xfff982ff,0x4bfffe23,
    0x3ee05fff,0xfeeeeeff,0x05ffffff,0xccdfffe8,0x0ffffccc,0x13ffe200,
    0x20007260,0x2e0efffb,0x0002ffff,0xb800fffb,0x7f401fff,0x7ffec06f,
    0xdfffffff,0x4fff8800,0x5001fffc,0x7fd43fff,0xff88041f,0xfff7003f,
    0x87fff303,0xff8ffffb,0x3ffee05f,0x3fff2601,0x3ffea03f,0xffffffff,
    0x22003fff,0x7c404fff,0xffb8007f,0x6fffb81f,0x0fffb000,0x01fffb80,
    0x36037ff4,0xaaaaafff,0x7ffc4001,0x0007ff44,0x7c43fff5,0x4437e47f,
    0xfb003fff,0x3ffe60ff,0xfcfffd83,0x3fee05ff,0xfffb801f,0x3ffff605,
    0xffffffff,0x3e2007ff,0x7fd404ff,0x7fdc001f,0x7fffb01f,0x0fffb000,
    0x01fffb80,0x36037ff4,0x100007ff,0x03709fff,0x41fffa80,0x0fffc0b8,
    0x200fffe2,0xf306fff8,0xfff107ff,0x5c0bffff,0xfd001fff,0xfff101ff,
    0xffffffff,0x005fffff,0x5013ffe2,0xb8003fff,0xff101fff,0xffb000ff,
    0xfffb800f,0x037ff401,0x0001fff6,0x0027ffc4,0x01fffa80,0x443fff98,
    0x74403fff,0xff304fff,0x3ffee07f,0x3ee05fff,0xff9001ff,0x7fff701f,
    0x0bfff100,0x013ffe20,0x8003fff5,0x3201fffb,0x6c003fff,0x7dc007ff,
    0x7ff401ff,0x03ffec06,0x4fff8800,0xfff50000,0x7fff3003,0x103fff88,
    0x01dfffd3,0xe80fffe6,0x205fffff,0x9801fffb,0xffd07fff,0x3ff6001f,
    0xfff8800f,0x0fffd404,0xfffec980,0x7fc40bde,0x2e21beff,0xffffeeed,
    0x440bdeee,0x1befffec,0x3ffff6a2,0x7ffe542c,0x00bdeeef,0xffffb710,
    0x0015bddd,0x3bfffae6,0xeeeeeeee,0x3263fffe,0xeeeeefff,0x1ffffffe,
    0xbdfffb50,0xffff9837,0xffec985f,0xeeeeeeef,0x45ffffee,0xbdffffda,
    0xffeda880,0x76540cef,0xeeeffffe,0xfffeeeee,0xffff9801,0xc85fffff,
    0xb0ffffff,0xffffffff,0x8dffffff,0xfffffffe,0xfffff90f,0x3fee3fff,
    0xffffffff,0xfffd006f,0xffffffff,0xffff1009,0xffffffff,0x7fffffff,
    0x3fffffe6,0xffffffff,0xfff303ff,0x90ffffff,0xf98bffff,0xffffffff,
    0xffffffff,0x3ffee0ff,0xc86fffff,0xffffffff,0x3ffffee5,0xffffffff,
    0x01ffffff,0xffffffa8,0xff886fff,0xffd1ffff,0xffffffff,0x7c1fffff,
    0xffffffff,0xffffffb0,0x3fff27ff,0xffffffff,0x7ffc400f,0xffffffff,
    0xfff9805f,0xffffffff,0xffffffff,0xffffff53,0xffffffff,0x7ffd403d,
    0x40ffffff,0x545ffff8,0xffffffff,0xffffffff,0x7ffe41ef,0xd87fffff,
    0xffffffff,0x3fffff27,0xffffffff,0x01ffffff,0xfffffd90,0x3ff205bf,
    0x3ff664ef,0xffffffff,0x7ed42dff,0x263effff,0xcefffffd,0xfffffb10,
    0x005bffff,0x3fffff6a,0x001dffff,0xffffffd9,0xffffffff,0x7f647fff,
    0xefffffff,0xfd9001bc,0x207dffff,0xec85fffa,0xffffffff,0x02ceffff,
    0xffffffb3,0xfffb305b,0x6c45bfff,0xffffffff,0xffffffff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x54018bcb,0x81dffffd,
    0x3effffd9,0x7776e4c0,0x530198ac,0x2aa01555,0x98802aaa,0x1cdeeedb,
    0xdb951000,0x006239bd,0xacdedba8,0x36e60001,0x54400ace,0xaaaaaaaa,
    0x002aaaaa,0x0deb8800,0x005dd100,0x000067e4,0xffffd300,0xff101fff,
    0xb0dfffff,0x5fffffff,0xfffffd30,0x45ffffff,0x2ffffff8,0x7fffffc4,
    0x3fff6207,0xefffffff,0x3ffee001,0xfeffffff,0x7ff5404f,0x0dffffff,
    0xffffb100,0x205bffff,0xfffffffa,0x7fffffff,0x7fdc0000,0xff7004ff,
    0x3ffea00b,0x400000cf,0xfffffff9,0xffff03ff,0xffb0dfff,0xa83fffff,
    0xffffffff,0x2a4fffff,0x42ffffff,0x7ffffffa,0x3ffffee0,0xefffffff,
    0x7fff4400,0xffffffff,0x3ff607ff,0xffffffff,0x7fd403ff,0xffffffff,
    0xfffa84ff,0xffffffff,0x00007fff,0x7fffffd5,0x01fff600,0x7fffffcc,
    0x3fa00003,0xffffffff,0xffff9301,0xfffb101d,0xfff8859f,0xfffeffff,
    0x7ff46fff,0x7f442fff,0x2607ffff,0xeeffffff,0x405ffffe,0xeffffffe,
    0xffffffff,0xfffffc80,0xffffffef,0xffff301f,0xffffddff,0xfffa89ff,
    0xffffffff,0x40006fff,0xffffffd9,0x1fff6004,0xfffffa80,0x4c0002ef,
    0xfb89efff,0xfffa801d,0x9fffd00f,0x2b7ffea0,0x2fffe4c0,0x817ffdc4,
    0x407ffd98,0xf981abca,0x3fee07ff,0x75cc0cff,0x7d40ffff,0x220adfff,
    0x886fffeb,0x40afffff,0x22ffffe9,0x999afffa,0x0effffb9,0xfff91000,
    0x8003bfff,0x44007ffd,0xeffffffc,0xfff70001,0x7e400085,0xfffb85ff,
    0x0fffee06,0x2a05ff70,0x7ec02fff,0xf900007f,0xfff101ff,0xfff8803f,
    0x3fffe20f,0x7fff4405,0x077ffdc4,0x997fff20,0xfff987ff,0xc88000ef,
    0x1effffff,0x0fffb000,0x3fff6200,0x4000dfff,0x0002fffb,0x31ffff44,
    0x4c03ffff,0x9bceffff,0xff5004c0,0x7ffd805f,0xbd975100,0x01fffb99,
    0x2009fff7,0x7fd46ffb,0xfff1005f,0x00fffd8f,0xfd8ffff0,0x77fffcc4,
    0xfffb8000,0x0002ffff,0x0003ffec,0x3fffffa6,0xff3000cf,0xf50000df,
    0x3ffa1fff,0xfffd804f,0x3dffffff,0x02fffa80,0x2203ffec,0xfffffffc,
    0xc80fffff,0x91000fff,0xffffb83b,0xffffffff,0x20ffffff,0x32004fff,
    0x7cc02fff,0x4000efff,0xffffffea,0xffb00003,0x3aa0000f,0x03ffffff,
    0x007fffd0,0x9dfff900,0x2200dfff,0xfffffffd,0x2a01efff,0x7ec02fff,
    0x3ffe607f,0xffffffff,0xffd80fff,0xffb00006,0xffffffff,0xffffffff,
    0x00bffe65,0x204fff98,0x00effffa,0x3ffff660,0x98000cff,0xffeaaaaa,
    0x0aaaaaaf,0xffffb800,0x7dc02eff,0x80000fff,0xfffffffe,0x7f64c001,
    0xffffffff,0x05fff502,0xf107ffd8,0xffffffff,0x01ffffff,0x0000dffd,
    0x3ffffff6,0xffffffff,0xff53ffff,0xfff8005f,0xdffff504,0x3ff22001,
    0x001dffff,0xffffff88,0xffffffff,0x8002ffff,0xffffffc8,0xffff981e,
    0x02b3226f,0x7ffffcc0,0x4c02003f,0x7ffffcba,0x805fff50,0xffd07ffd,
    0x4cc17bff,0xfc80fffd,0xf700007f,0x99999bff,0x99999999,0x027ffc39,
    0x505fff30,0x001dffff,0x3fffffa2,0x3ea0005f,0xffffffff,0xffffffff,
    0x3ea0004f,0x21ffffff,0xfffffff9,0x00bfff53,0x037fffe4,0x3600df90,
    0xffa81fff,0x3ffec02f,0x007fffc4,0x2e03ffee,0x08002fff,0x0077ffcc,
    0x0fffec00,0x07fff440,0x03bfffea,0x7fdc0b6a,0x002effff,0xffffff88,
    0xffffffff,0x8001ffff,0xffffffd8,0x3fffe20d,0xfc9ffffe,0x3a000fff,
    0xf1001fff,0xfa8019ff,0xfff983ff,0xffffb304,0x409fff50,0x80ffffc8,
    0x001ffff9,0xffe87fd5,0x0262005f,0x403ffff7,0x545fffd8,0x880effff,
    0x3f2207ff,0x01dfffff,0xaaaaa880,0xaaaafffe,0xfc88001a,0x81efffff,
    0xfc8dfffa,0x5ffffeff,0x03ffec00,0x7fffff30,0xffb95335,0x3ffe05ff,
    0xffdb99bf,0x221cffff,0x99abffff,0xffffffdb,0x7ffe41be,0xa9899adf,
    0x4c7fffdb,0x9bdfffff,0xfffdba99,0x3fffa20f,0xfba99adf,0x3ea2ffff,
    0xeeeeffff,0x01fffeee,0x7ffffecc,0xd80000cf,0x700007ff,0x5dffffff,
    0xd07ffe40,0x09ffffff,0x00fffb00,0x7fffffcc,0xffffffff,0x3fff606f,
    0xffffffff,0x360fffff,0xffffffff,0xffffffff,0xffffd87f,0xffffffff,
    0xffc85fff,0xffffffff,0x42ffffff,0xffffffd8,0x3fffffff,0x7fffffec,
    0xffffffff,0xffd3002f,0x0007ffff,0x0007ffd8,0x7fffff54,0x6ffe803f,
    0x7fffffcc,0x7ffd8001,0x7ffffc00,0xffffffff,0x3fa200ef,0xffffffff,
    0x20ffffff,0xffffffe8,0xffffffff,0x7f440fff,0xffffffff,0x700effff,
    0xffffffff,0x0dffffff,0x7fffffec,0xd83fffff,0xffffffff,0x2fffffff,
    0x7fffd400,0xb0002fff,0x26000fff,0xcffffffe,0x1fffb000,0x06ffffb8,
    0x00fffb00,0xfffddfb8,0x02efffff,0xfffffd10,0xdfffb7bf,0xffff9107,
    0xff97dfff,0x75407dff,0xffffffff,0xfd8802df,0xffffffff,0xfdb802df,
    0x0bdfffff,0xffffffb0,0xffffffff,0x3ee0005f,0x02efffff,0x003ffec0,
    0x3fffff62,0x7e4000df,0xfca9beff,0x001cefff,0x0003ffec,0x2ab2eaa2,
    0x79510001,0x54400015,0x0000abcb,0x57995530,0x2a600013,0x0009aacb,
    0x0006ee60,0x20000000,0xffffffc8,0xfffb000d,0x7fffdc00,0x10001eff,
    0xffffffff,0x0dffffff,0xfffeeca8,0x000bdeef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x09fffffb,0x401fff60,0x2efffffa,
    0xfffa8000,0xffffffff,0xff500fff,0xffffffff,0x00000bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfea80000,0xff7004ff,0x3ffe600b,
    0x4c00003f,0xdffffffe,0x2e03effd,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x3620019b,0x2fae001e,
    0x26000000,0x8000abba,0xffffffc8,0x001dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55544000,0x7bdd950a,
    0x55551003,0x545bdb31,0x3000adec,0x44155555,0x4001cedb,0xaaa80018,
    0xaaa880aa,0x555100aa,0x55530035,0x55551035,0x55510155,0x44003555,
    0xfffe8000,0x86aaaa26,0x2a0aaaa8,0xfffffffd,0xffffffff,0x06a203ef,
    0x7fcc0000,0xfffecfff,0x2603ffff,0xffdfffff,0xfffdcfff,0x7ec02fff,
    0xf72fffff,0x01dfffff,0x2007ff50,0xfffffff8,0x3ffffe63,0x7ffec2ff,
    0x3f606fff,0x326fffff,0xffffffff,0x3ffffe63,0xdb007fff,0x7ffc4001,
    0x3fffe22f,0x43fffea3,0xfffffff8,0xffffffff,0xc82fffff,0x0402ffff,
    0x3fffee00,0xffffffff,0xff705fff,0xffffffff,0xffffffff,0x3fe203ff,
    0xfecfffff,0x5fffffff,0x005ffc80,0xfffffff5,0x7ffffdcb,0x7fffc4ff,
    0xff01ffff,0x23ffffff,0xfffffffe,0x3fffee5f,0x401fffff,0x2e005ffc,
    0xfff86fff,0x1fffe61f,0xffffffff,0xffffffff,0x7445ffff,0x84ffffff,
    0x22003ff9,0xffffffff,0xfffffeef,0xffffe881,0xffffefff,0x4ffffeff,
    0x3fffff20,0xefffffff,0x6c00ffff,0xfd1007ff,0x443fffff,0x1fffffff,
    0x7fffffe4,0x3fffee05,0x3ffee5ff,0x222fffff,0xffffffff,0x7fffd406,
    0x5fffb004,0x441fffd0,0x764c6fff,0xeeeeeeee,0xdeeeeeee,0x7ffffec3,
    0xff30dfff,0xff7000df,0x64419fff,0x3ee05fff,0x3ff64fff,0x1bffe3ff,
    0xffff7310,0x36639fff,0x7ffd804f,0x7fffd400,0x3fffa62f,0x3ffe203f,
    0x897bb20e,0xd302fffc,0x26015fff,0x400affff,0x2ffffff9,0x906fff80,
    0xbfff0fff,0x2e000000,0xffdbffff,0xffffbeff,0xfffa8004,0x1bffe02f,
    0x5c5fffa8,0x7ff43fff,0xffff5006,0x366003ff,0x2fffb0bd,0x2602dda8,
    0xf9bffffe,0xd802ffff,0x3ffe0fff,0x01fff61f,0x5c0bfff5,0xf8805fff,
    0x1fffffff,0x407ffe60,0xffd86ffb,0x90000004,0x7fdc5fff,0x0effffff,
    0x3fffa800,0x503ffec0,0xffb85fff,0x037fec0f,0x0effffa8,0x3ffffa00,
    0xffdfffee,0x7f4407ff,0xffffffff,0x3fff7001,0xf97fffea,0xffe806ff,
    0x3fffd01f,0xbdfffd00,0x3201ffff,0x3fea05ff,0x003ffc85,0x5fd10000,
    0xffffff50,0x3ea0001d,0x7fec02ff,0x0bffea07,0xfd81fff7,0xfff5006f,
    0xfffd0009,0xffffffff,0x3600ffff,0x0effffff,0x4fffe600,0x98fffffd,
    0xfb804fff,0xfffa85ff,0xffffd805,0x0efffe88,0x2601ffe8,0x2ffb84ff,
    0x7ffffed4,0xffffffff,0x4003efff,0x00cfffd8,0x0bffea00,0x540fffb0,
    0x7fdc2fff,0x037fec0f,0x002fffa8,0xfffffd88,0xefffffff,0x3fffe001,
    0xff8001ff,0xfffff8df,0x02fffbbf,0xe81fffd0,0x7dc01fff,0x3fe21fff,
    0x2ffc45ff,0x2a0ffe20,0x3ffe21ff,0xffffffff,0xffffffff,0x0188002f,
    0x5fff5000,0x207ffd80,0x7dc2fffa,0x37fec0ff,0x02fffa80,0x3ff6e200,
    0x00beffff,0x3ffffa20,0x6c001eff,0xffffcfff,0x0fffdeff,0x49fff700,
    0x4c05fffa,0xf983ffff,0x3fea4fff,0x882fe801,0x7fffc0ff,0xffffffff,
    0xffffffff,0x00000002,0x2017ffd4,0x3ea07ffd,0x7ffdc2ff,0x8037fec0,
    0x0002fffa,0xffffff98,0x7ff44003,0x2fffffff,0x3fffee00,0xffffdfff,
    0x7fc006ff,0x3fffd0ff,0x04fffd80,0x443fffea,0x4095002e,0xeeec983b,
    0xeeeeeeee,0x02deeeee,0xa8000000,0x7ec02fff,0x3ffea07f,0x207ffdc2,
    0xf5006ffd,0x880005ff,0xffffffff,0xffff3001,0xfffff35f,0x3ffe6007,
    0xfffacfff,0x5c004fff,0xfffacfff,0x05ffd806,0x0006ffc8,0x00000000,
    0x00000000,0x402fffa8,0x3ea07ffd,0x7ffdc2ff,0x8037fec0,0x0002fffa,
    0x7e77ffec,0xffa806ff,0x3fa21fff,0xff004fff,0x3fa3ffff,0x8002ffff,
    0xfffeffff,0x004c8802,0x9951072e,0x99999999,0x99999999,0x4cc43799,
    0x99999999,0x00009999,0xb9100000,0x8819bfff,0x41bfffeb,0x22dfffda,
    0x361cfffb,0x5c40bfff,0xeefffeed,0x400bdeee,0xfd0ffff9,0x3f2607ff,
    0x5c0dffff,0x02dfffff,0x737fffec,0x001fffff,0xffffff70,0x8000000d,
    0xfffffff8,0xffffffff,0xffffffff,0xfffff93f,0xffffffff,0x000000df,
    0x3ffff600,0x7fec5fff,0x3ea7ffff,0x72ffffff,0x361fffff,0x7ec6ffff,
    0xffffffff,0x406fffff,0x3e62fffb,0xffff04ff,0x7d4bffff,0x1fffffff,
    0x8ffffee0,0x007ffff8,0xffffff10,0x80000005,0xfffffffa,0xffffffff,
    0xffffffff,0xfffff95f,0xffffffff,0x000000df,0x3ffffa00,0x7ff47fff,
    0xf70fffff,0x27ffffff,0xb1fffffb,0x741fffff,0xffffffff,0x07ffffff,
    0x7d41ff44,0xffff881e,0x3ee5ffff,0x2fffffff,0x03fffe60,0x000bfffb,
    0x037fffe4,0xfd800000,0xffffffff,0xffffffff,0x91efffff,0xffffffff,
    0x0dffffff,0x20000000,0xdfffffda,0x7fffed42,0x3ffb223e,0xfff70cff,
    0x6fffec9d,0x7fffed42,0xffffffff,0x8000002d,0xdfffffeb,0x3fffb221,
    0xfff804ef,0x03fffa85,0x3fffe200,0x00000002,0x44444444,0x88888888,
    0x44088888,0x88888888,0x00888888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_42_usascii_x[95]={ 0,8,4,2,3,2,4,8,9,4,3,1,7,3,
8,3,3,3,1,2,2,2,3,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,6,2, };
static signed short stb__courier_bold_42_usascii_y[95]={ 30,5,7,4,4,6,9,7,6,6,6,8,25,17,
25,3,5,5,5,5,6,6,5,6,5,5,13,13,8,14,8,7,5,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,3,6,5,37,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,15, };
static unsigned short stb__courier_bold_42_usascii_w[95]={ 0,6,14,18,17,18,17,6,10,9,17,20,9,16,
6,17,17,17,18,18,17,18,18,17,17,18,6,9,22,22,22,17,16,25,22,21,21,21,21,22,22,17,22,23,
21,25,23,22,20,22,24,19,20,22,25,24,22,22,18,9,17,10,17,26,8,21,23,20,22,20,20,22,22,18,
15,21,18,25,22,20,23,22,21,18,20,22,23,24,22,22,17,11,4,10,19, };
static unsigned short stb__courier_bold_42_usascii_h[95]={ 0,26,11,30,31,25,22,12,30,30,17,22,11,5,
6,32,26,25,25,26,24,25,26,25,26,26,18,21,22,11,22,24,29,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,29,22,24,22,23,22,22,22,22,22,30,32,30,13,5,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,24,18,17,17,17,25,17,30,30,30,9, };
static unsigned short stb__courier_bold_42_usascii_s[95]={ 254,218,190,83,53,224,68,248,128,139,72,
24,180,207,243,35,200,57,187,225,1,168,1,206,20,38,243,244,1,205,45,
238,160,200,177,216,131,109,87,19,43,25,65,1,226,183,153,173,66,177,209,
196,139,42,88,114,160,86,234,118,17,149,162,180,244,151,1,173,145,194,114,
122,48,135,1,71,154,24,1,215,98,75,50,109,93,128,138,113,90,25,236,
71,102,107,228, };
static unsigned short stb__courier_bold_42_usascii_t[95]={ 1,1,158,1,1,34,135,112,1,1,158,
135,158,170,53,1,1,34,34,1,87,34,34,34,34,34,34,1,135,158,135,
61,1,112,112,61,112,112,112,87,112,112,87,112,112,87,112,61,112,1,87,
61,87,87,87,87,87,135,87,1,1,1,158,170,23,135,61,135,34,135,61,
34,61,61,1,61,61,158,158,135,34,34,158,135,61,135,158,158,158,61,135,
1,1,1,158, };
static unsigned short stb__courier_bold_42_usascii_a[95]={ 356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_42_usascii(stb_fontchar font[STB_FONT_courier_bold_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_42_usascii_s[i] + stb__courier_bold_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_42_usascii_t[i] + stb__courier_bold_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_42_usascii_x[i];
            font[i].y0 = stb__courier_bold_42_usascii_y[i];
            font[i].x1 = stb__courier_bold_42_usascii_x[i] + stb__courier_bold_42_usascii_w[i];
            font[i].y1 = stb__courier_bold_42_usascii_y[i] + stb__courier_bold_42_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_42_usascii_s[i] + stb__courier_bold_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_42_usascii_t[i] + stb__courier_bold_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_42_usascii_x[i] + stb__courier_bold_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_42_usascii_y[i] + stb__courier_bold_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_42_usascii_LINE_SPACING
#endif

