// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT        202
#define STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_44_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_44_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_44_usascii_LINE_SPACING          21

static unsigned int stb__courier_bold_44_usascii_pixels[]={
    0x05999900,0x00000051,0x0dcc0cc0,0x106e6000,0x13aa0037,0x4c04eb80,
    0x0acccccc,0x260eecc0,0x02cccccc,0x0ae205dc,0x00000400,0x00035751,
    0x20026666,0x02009999,0xff800000,0x2ffd44ff,0x54000000,0x3ffe65ff,
    0x7f4c001f,0x07ffa3ff,0x2007ffe0,0x2a04fff9,0xffffffff,0x4bfff100,
    0xfffffffe,0x917fee04,0x32a009ff,0x0003dffe,0xfffffff9,0xfff7001b,
    0xf901dfff,0x41dfffff,0x2a02dfd9,0xf0002dfd,0xffd89fff,0x0000001f,
    0xff73fff4,0x22003fff,0xf35fffff,0xff9809ff,0xfff9803f,0xffff501f,
    0x3205ffff,0xfff16fff,0x409fffff,0x7ffc7ffd,0xffffc806,0x3000efff,
    0xfffffffd,0x7c407fff,0x2fffffff,0x7fffffc4,0x3fffe3ff,0xffff880f,
    0xffff0007,0x05fffb89,0x3ea00000,0x3ffe25ff,0xffb007ff,0x3fe65fff,
    0x7ffdc04f,0xfffe800d,0xfffff505,0x3fe60dff,0x3fff62ff,0x3a04ffff,
    0x3ffe27ff,0x7fffec06,0x00effffe,0x7fffffdc,0x5fffffff,0x3fffffa0,
    0xfffe81ff,0xff51ffff,0xff507fff,0x90003fff,0xff885999,0x000001ff,
    0x885fffd0,0x801ffffb,0x260bffff,0xff904fff,0xdbdfffff,0x3ffff505,
    0x55bfff50,0x3fffe401,0x7ffdd544,0x89fffe04,0x3f205fff,0x3faa0bff,
    0x3ffe604f,0xfdbaceff,0x9103ffff,0x2039ffff,0x1effffb8,0x13ffffee,
    0x003ffffc,0xbfff9000,0xf5000000,0x7fdc0dff,0x7ffcc03f,0x44fff985,
    0xffffffe8,0xd07fffff,0xff50bfff,0xfff1009f,0xfff9807f,0x99bffe04,
    0xff104fff,0x1bfe607f,0x02ffffe8,0x03ffffd1,0x201ffff4,0x5c0ffff9,
    0x503fffff,0x00003bfb,0x07fffc40,0x3f600000,0x3fea03ff,0x7ffcc03f,
    0x44fff984,0xfffffffe,0x81ffffff,0x541ffffb,0xfc804fff,0xff9807ff,
    0x9bffe04f,0xf704fff9,0x0ffe80bf,0x00efffc8,0x00efffc8,0x401ffff5,
    0xfa84fffd,0x0003ffff,0x33333310,0xc8133333,0x00004fff,0x01fffe60,
    0x9807fff5,0xff984fff,0x3fffee4f,0xfffecbef,0xffff01ff,0x04fffa8b,
    0x01ffffc4,0x8827ffcc,0x3fea5fff,0x03fff03f,0x7cc2ffb8,0x3a001fff,
    0x3fa04fff,0xfff303ff,0xffff301f,0xe880005f,0xffffffff,0x7c46ffff,
    0x00000fff,0x807fffb0,0x4c03fffa,0xff984fff,0x17fff64f,0x807ffecc,
    0x2a0ffffb,0x7dc04fff,0xf9800fff,0xfff304ff,0x41fffd4b,0xfa807ff8,
    0x27ffdc3f,0x17ffea00,0x80ffff98,0xf304fffd,0x0003ffff,0xffffffa8,
    0x6fffffff,0x003fffd8,0xffff8800,0x1fffd400,0x213ffe60,0x3fe4fff9,
    0x3fe200ff,0x3fffe206,0x013ffea2,0x2009fffb,0x5c44fff9,0xdccefffd,
    0x260bdfff,0xfb7306ff,0xfffc87ff,0x7ffe8000,0x21fffec0,0x100ffff9,
    0x001fffff,0xfffff980,0xffffffff,0x07fff986,0xfffc8000,0x3fffa804,
    0x427ffcc0,0x3fa4fff9,0x054400ff,0xa8ffffa0,0x7f404fff,0xff3002ff,
    0x7fffdc9f,0xffffffff,0xff53ffff,0xfffff709,0x07ffe87f,0x01fff900,
    0xb07fffcc,0xff809fff,0x80000fff,0xccccccb9,0xb06fffcc,0x00007fff,
    0x007fffc4,0x201fffd4,0xf984fff9,0x3fff64ff,0x6c0000ae,0x3fea4fff,
    0x7fffc04f,0x9fff3001,0x7fffffec,0xffffffff,0x85ff75ff,0xfffffffd,
    0x0037ffc3,0x402fffb8,0xff34fffd,0xfff801ff,0x0000007f,0xfa837ffc,
    0x200006ff,0x5005fffc,0xfa809fff,0xfff984ff,0x3ffffe64,0xb8002bdf,
    0x3fea6fff,0x3ffe604f,0xfff3000f,0x7ffffd49,0xffffffff,0x3ff92fff,
    0x5d77ffdc,0x3ffe63ff,0xfff50005,0xffff9807,0x804fffd8,0x9706fffe,
    0x20000999,0x3fa06fff,0x880002ff,0x3001ffff,0x8817ffff,0x982fffeb,
    0x7fe44fff,0xdfffffff,0xffff5002,0x5027ffd4,0x4c00ffff,0x6d444fff,
    0xfeaacfff,0x3f20abff,0xa8bffe1f,0x3ffe23ff,0xfff70006,0xbfffb005,
    0xb001ffff,0x3fe0dfff,0xf00004ff,0x7fd40dff,0xfb80006f,0x7f4005ff,
    0xff11ffff,0xf301ffff,0xfff709ff,0xbfffffff,0xffff9801,0x409fff50,
    0x2005fffb,0xf904fff9,0x3fff43ff,0xff11ffc8,0x7c3ffa8d,0xf90007ff,
    0xff3003ff,0x009fffff,0x2617fff2,0x0000ffff,0xe80dfff0,0x40002fff,
    0x4001ffff,0x54fffffa,0x209fffff,0x7104fff9,0xfffffffb,0xfff880df,
    0x09fff51f,0x0027ffec,0x3609fff3,0x3ffa1fff,0x263ff907,0x1ffd44ff,
    0x0003fffa,0xd801fffa,0x00ffffff,0x909fff90,0x00005fff,0x2e037ffc,
    0x20006fff,0x8006fffa,0x12fffffd,0x01ffffff,0x2009fff3,0xfffffdb9,
    0x3fffe203,0x409fff50,0x2005fffc,0xfb04fff9,0x37ffc1ff,0xff11ffc8,
    0x643ffa8f,0x54004fff,0x26006fff,0x004fffff,0x3e13ffee,0x400005ff,
    0xff806fff,0xfd0001ff,0xf98005ff,0x6441cfff,0xf982ffff,0xf90004ff,
    0x7fd40dff,0x13ffea7f,0x006fffb8,0x5313ffe6,0xf557fffd,0xfc815dff,
    0x4b7ffa1f,0x7fc43ffa,0x3fa001ff,0x7ec003ff,0x22000fff,0x7fcc1fff,
    0x7c00000f,0xffb806ff,0xffa8005f,0xff98006f,0x7ffd404f,0x14fff983,
    0x3fe003db,0x3ffee07f,0x813ffea6,0x2007fff9,0xff34fff9,0xffffffff,
    0x49ffffff,0x3fe62ffb,0x85ffffff,0x800efffd,0x8006fffc,0x8004fffe,
    0x3ffb83eb,0xfff80000,0xffff8806,0x7fff4001,0xfffa8002,0x27ffcc03,
    0xfba7ffcc,0xfffd006f,0x527ffe40,0x7c409fff,0xf3001fff,0x3fff29ff,
    0xffffffff,0x2a7fffff,0x7ffd43ff,0x4c1fffff,0x102fffff,0x005ffffd,
    0x00ffffa8,0x037f4000,0x6fff8000,0x09fff900,0x03fffcc0,0x03fffa80,
    0x4c27ffcc,0xfffb4fff,0x6fffb807,0xa8ffffa0,0x7fc04fff,0xff3002ff,
    0x3fffe69f,0xffffffff,0x3e25ffff,0xffec884f,0xfff504ff,0xfb759dff,
    0x000bffff,0x0009fffd,0x001ff880,0x0dfff000,0x03fffe20,0x01fffec0,
    0x03fffa80,0x4c27ffcc,0xfffd4fff,0x7ed443bf,0x3fe04fff,0x3ffea2ff,
    0x1ffff404,0x24fff980,0xcefffca8,0x1befffdc,0x00005ff8,0x3fffffee,
    0x4fffffff,0xffffa800,0x7c400000,0x3e000003,0x3f6006ff,0xff9804ff,
    0xf50000ff,0xff9807ff,0x4fff984f,0xfffffffd,0xfffffffd,0x3fffea01,
    0x013ffea0,0x200ffff7,0xf984fff9,0x3ffea5ff,0x003ff603,0xfffea800,
    0x3fffffff,0x7776dcc0,0x02cfffff,0x00001500,0x0dfff000,0x07fffcc0,
    0x013fff60,0x03fffa80,0x4c27ffcc,0xfffb4fff,0xffffffff,0x7f405fff,
    0x7ffd44ff,0x7fffc404,0x4fff9803,0x2e4fff98,0x3f202fff,0xd800004f,
    0xcfffffff,0xffffe801,0xffffffff,0x3ffe6000,0x40000002,0x6c006fff,
    0x3e203fff,0x20000fff,0x4c03fffa,0xff984fff,0xfffff74f,0xdfffffff,
    0x7fffd403,0x027ffd41,0x4037ffec,0xfa84fff9,0x3ffee4ff,0x07ffe202,
    0x3a200130,0x202effff,0x7ffffc0a,0xffffffff,0x3fff2002,0x40000006,
    0x4c006fff,0x3f207fff,0x540004ff,0x7cc03fff,0xfff984ff,0x3ae62ea4,
    0x802cffff,0xfa85fffe,0xff9804ff,0x7fcc02ff,0x3fffa84f,0x9007fff2,
    0xfb103fff,0xffff100f,0x359dffff,0x75c1fff9,0xffffffff,0x7d4005ff,
    0x000003ff,0x017ffe60,0x20ffffa0,0x000ffff8,0x017ffec0,0x303bffe2,
    0xf9809fff,0xff3004ff,0xfff505ff,0x3fff6009,0x27ffcc06,0xf917ffdc,
    0xfe8803ff,0xffeddeff,0xfffe806f,0xffffffff,0x883fffff,0x19999999,
    0x006e6000,0xffb00000,0xff50007f,0xbfff70df,0x7ffdc000,0xffe800ff,
    0xfff30cff,0x4fff9809,0x0dfffb00,0x3bbbffea,0xffff302d,0x7f7764c5,
    0xfffb84ff,0x003fff62,0x3fffffa2,0x5401ffff,0xffffffff,0xffffffff,
    0x0000000f,0x40000000,0x01ffffc9,0x85fffd00,0x0001ffff,0x0bfffff5,
    0x3ffffea0,0x809fff34,0x8804fff9,0xf501ffff,0x3fffffff,0xe97fff60,
    0x4fffffff,0x361fffc8,0x2e2007ff,0x0bffffff,0xfffff980,0xffffecde,
    0x00001eff,0x00000000,0xfddddd95,0x000dffff,0xf737ffdc,0x5c000bff,
    0x000effff,0x453fffee,0x7cc03fff,0xff9803ff,0x3ffea05f,0x102fffff,
    0x7ffcdfff,0x984fffff,0x3fee0fff,0x00260005,0x880de4c0,0x0002cdca,
    0x00000000,0x3ffffea0,0x0effffff,0x3fff4000,0x0005fffb,0x00277ec4,
    0x2e1dfda8,0xfff800df,0x80bf9001,0xeffffffa,0x50f74c04,0x9ffffffd,
    0x2ea07260,0x00000000,0x00000000,0x00000000,0x3fffffee,0x000effff,
    0x2a5ff980,0x000005ff,0x80000000,0x000003da,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd8800,0x001befff,0x14c0c400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x104cccc0,0x00359b95,
    0x10000100,0x41579973,0x80009999,0x06000000,0x3372a600,0x0266661b,
    0x80000100,0x66544000,0x400003cc,0xccccccc9,0x001bcccc,0x99997100,
    0xeec80805,0x7ffe40ee,0xfffd9eff,0x001effff,0x5efff654,0x7ffdc000,
    0xf9bfffff,0x202effff,0xdefffeda,0x3b6a0002,0x4c03ffff,0xfffffffe,
    0xffffffad,0x3ffb2a03,0x644001de,0x01defffe,0x3fffffe2,0x7dc00005,
    0xffffffff,0x0004ffff,0x7fffffcc,0x47dfd304,0x7cc7fffd,0xffffffff,
    0xffffffff,0xffd800cf,0x01ffffff,0xfffffe98,0xffffffff,0xea86ffff,
    0xffffffff,0x3aa000df,0xffffffff,0xfffff703,0xffffffff,0x320fffff,
    0xffffffff,0xffff5004,0x019fffff,0xbffffff3,0xffb80000,0xffffffff,
    0x40006fff,0x4ffffffb,0x23ffffd0,0xff86fffc,0xffffffff,0xffffffff,
    0x7ffec05f,0x1fffffff,0x3ffffe60,0xffffffff,0x44ffffff,0xfffffffb,
    0x00ffffff,0xffffffc8,0xfb86ffff,0xffffffff,0xffffffff,0xffffc85f,
    0x05ffffff,0x7fffffdc,0xd06fffff,0x00bfffff,0xffffb800,0xffffffff,
    0x7440003f,0x884fffff,0xf73fffff,0xf9710bff,0x59ffffff,0xfffffb53,
    0x3ffff607,0x6ffffeef,0x37ffffa0,0xfffeb99b,0x20acefff,0xeffffff8,
    0x5fffffee,0x7ffffec0,0x43ffedff,0x9bfffff9,0xfffffb99,0x7dc0acff,
    0xfffeffff,0xff304fff,0xfffdffff,0x26209fff,0x00005fff,0x5567ffdc,
    0x002aaaaa,0x7ffdc400,0x1ffffb04,0xf013ffea,0x401dffff,0x441ffffd,
    0x7cc3ffff,0xffc83fff,0x3fea03ff,0xff104fff,0x3fee07ff,0xfffb01ff,
    0x808837ff,0x100efffe,0x40dffffd,0x2a2effff,0xe80ffffd,0x2a0befff,
    0x101ffffd,0x0000bfff,0x002fffb8,0xff980000,0x3bd7104f,0x201fffc4,
    0xd006ffff,0xffc89fff,0xffff304f,0x02ffff88,0x04ffffb8,0xfb003bf2,
    0xfff707ff,0x7cc001df,0x7c400fff,0xff706fff,0x7fff40df,0x0ffffc44,
    0x207ffff0,0x0005fff8,0x017ffdc0,0x7cc00000,0xff0004ff,0xffff805f,
    0xdfff1003,0x007fffc4,0x7cc5fffb,0x3f6007ff,0x800404ff,0x7c45fff9,
    0x4000efff,0x7003fffa,0x3f20dfff,0x3fe201ff,0x2fffcc7f,0x413ffee0,
    0x2a25fff8,0x2001acdc,0x0002fffb,0x5e65cc40,0x013ffe62,0x200fffc0,
    0x2000ffff,0xff50fffe,0xfff9809f,0x00fffee5,0x004fffa8,0x89fff500,
    0x000efffc,0x002fffc8,0x360dfff3,0x7f400fff,0x3ffea0ff,0x2fffd404,
    0xd9dfff88,0xefffffff,0xafffb801,0x009bcca9,0x7ffffe40,0xfffabeff,
    0x1ffb0004,0x006fff80,0xfb87ffec,0x7fc402ff,0x0bffee6f,0x04fff980,
    0x5fffd000,0x00ffffc4,0x01fffd80,0x20dfff10,0xfb807ffe,0x3ffe22ff,
    0x3fff600f,0xfffff103,0xffffffff,0xffb809ff,0xffffffff,0xffe9803f,
    0xffffffff,0x0004ffff,0xfff00ff9,0x7ffc001f,0x007fff27,0xffa9fffe,
    0x3ff2004f,0x2a60004f,0x2e0ffffe,0x2ea26fff,0x7ffdc009,0xdfff3002,
    0x803fff60,0x743fffe8,0xff504fff,0x3fe203ff,0xffffffff,0x05ffffff,
    0x3fffffee,0x0dffffff,0xffffff50,0xffffffff,0x2e0009ff,0xffff806f,
    0xbfff9006,0x4007ffec,0xff10fffd,0xff3003ff,0xfc8009ff,0x2fffffff,
    0x74dfffe4,0x00dfffff,0x2009fff5,0xf906fffc,0x7fe405ff,0x7ffd44ff,
    0xfffcadff,0x3fe205ff,0x9acfffff,0x3fffffba,0xffffff70,0xbfffffff,
    0xbfffff10,0xfffd7335,0x20009fff,0xfff801c8,0xf9100dff,0x7ff45fff,
    0x1fffb007,0x017ffff4,0x09fffff5,0x7ffffcc0,0xffd84fff,0xffffffdf,
    0xff881fff,0x7fcc01ff,0xfff506ff,0x3fffe60d,0xffffc85f,0xefffffff,
    0x3fffe200,0xffb100df,0xfff301ff,0xfb5337bf,0xffd85fff,0x3fee02ff,
    0x00004fff,0xffffff80,0xffcaabcf,0x7ff45fff,0x1fffb007,0x77ffffc4,
    0xfffdbaab,0x22004fff,0xffffffff,0xfffffe84,0xffffffff,0xffffd80f,
    0xfffff502,0x7ffff40d,0xfffff913,0x3fffe0ff,0x2fffffff,0x77fffc40,
    0x4fffe800,0x64017b70,0x3fe27fff,0xffb801ff,0x06a204ff,0x3fe00dc4,
    0xffffffff,0x85ffffff,0xfb007ffe,0xfff981ff,0xffffffff,0x004fffff,
    0x7ffffed4,0x7fff44ff,0xffbdffff,0xff885fff,0xdbabdfff,0x06ffffff,
    0x3fffffe6,0xffffffff,0xfffffc87,0x0effffff,0x07fffe20,0x037ffcc0,
    0x8ffff400,0x2004fffa,0xf704fffe,0xfffb8dff,0x3ffffe06,0xffffffff,
    0xffe80dff,0xfffd800f,0xffffea80,0xffffffff,0x220004ff,0x23fffffa,
    0x0dfffffd,0x417fffdc,0xfffffffa,0xffffffff,0x7fffe406,0xffffffff,
    0x7fffdc5f,0xffffddff,0x3ffe205f,0x3fff4007,0x7ffdc000,0x005fff92,
    0xf827ffe4,0x3fe2ffff,0xfff02fff,0xfffff91d,0x7ec03dff,0xffe800ff,
    0x7fffdc07,0xff9befff,0xd880004f,0x3fee7fff,0xffb00fff,0x3ffea09f,
    0xffffffff,0xfa806fff,0xaeffffff,0x3fe24fff,0x7e40beff,0xff103fff,
    0xffd800df,0x7d40001f,0x1fffb3ff,0x27ffd400,0x1fffffc4,0x205fffff,
    0x2a626fff,0xfc800abc,0xfff802ff,0x57753006,0x027ffcc3,0x3ffff000,
    0x80bfffea,0x2205fffa,0xfffffffc,0x006fff9c,0x27bffb91,0x3ea2fffb,
    0x3f600fff,0xfff105ff,0xfffd800d,0x7fd40000,0x01fffb4f,0x827ffd40,
    0x320ffffc,0x3fe07fff,0xf700006f,0xff8807ff,0xf300005f,0x400009ff,
    0xff33fffc,0xffff00bf,0x26f2a600,0x00dfff10,0x1ffff100,0x2027ffe4,
    0xf107fff9,0x7c001fff,0xb80007ff,0xfff72fff,0x7ffe4005,0x202b2604,
    0x7ffc02b9,0xff300006,0xfffb80df,0xff300004,0x5400009f,0xfff13fff,
    0x7fff880d,0xfffa8000,0xffe80004,0x0fffec6f,0x407fff40,0x004ffff8,
    0x010bfff7,0x31fffe80,0x3001dfff,0x0009ffff,0x0dfff000,0x7fff4000,
    0x1ffff102,0x3fe60000,0x3200004f,0x3ffe1fff,0x3ffee01f,0xffd80005,
    0x7ec0002f,0x7fdc1fff,0x7ffcc03f,0xfffff106,0xffffb807,0x400efec2,
    0x7f47fffc,0x3a600dff,0x0004ffff,0x06fff800,0x3ffee000,0x5fffd80e,
    0x3fe60000,0x0059304f,0xf71fffee,0xfd101dff,0x4c0009ff,0x000ffffc,
    0x5fffff50,0x01ffff30,0x2a27ffec,0xffffffed,0xfeba9ace,0x7fd45fff,
    0xbaaacdff,0x43fffffc,0xbcfffff9,0xffffdbaa,0x000bdfff,0x3ffae600,
    0x002deeff,0x67ffff40,0x1ffffeba,0x3b6e2000,0x0bdffffe,0x579dfff1,
    0xffff9755,0xffff889f,0xfffdbbdf,0x76d401ff,0xffffeeee,0x33b6605f,
    0xffffecba,0x3fffe03f,0xfebaaacf,0x3fe22fff,0xffffffff,0xffffffff,
    0x7ffcc0ff,0xffffffff,0xf905ffff,0xffffffff,0xffffffff,0x200009ff,
    0xfffffff8,0x0003ffff,0x3fffffe6,0x003fffff,0x7fffff40,0xf34fffff,
    0xffffffff,0x1dffffff,0xffffff70,0x07ffffff,0xffffffa8,0x405fffff,
    0xfffffffd,0x5405ffff,0xffffffff,0x4c4fffff,0xffffffff,0xffffffff,
    0xff700dff,0xffffffff,0x5c01bfff,0xffffffff,0xffffffff,0x100004ff,
    0xffffffff,0x80009fff,0xfffffffa,0xf80003ff,0xffffffff,0x3fff25ff,
    0xffffffff,0x7fdc04ff,0xffffffff,0xffffc805,0x05ffffff,0xffffffc8,
    0x3002efff,0xffffffff,0x3ae07fff,0xfdadffff,0x2fffffff,0xffffb880,
    0x01efffff,0xfffffb10,0xfff79fff,0x00001bff,0x7fffff64,0x0000dfff,
    0xfffffda8,0xd500003e,0xffffffff,0xfffda83d,0x3effffff,0xffffd500,
    0x22005dff,0xdffffffd,0xffd1001b,0x007fffff,0xffffdb10,0x80005bff,
    0x00abcba8,0x57955300,0x26200013,0x0001acca,0x26620000,0x00001999,
    0x0002ae60,0x4cccc400,0x54c40099,0x000aabcb,0x03577510,0x04cccc00,
    0x35953000,0x2a200001,0x000000ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66666440,0xcccccccc,0x00003ccc,0x80001000,0xb9800099,
    0x0001cccc,0x09999500,0xcba98000,0x02000aab,0x332e2000,0x400002cc,
    0xccccccc9,0x75100002,0x31000015,0x20015795,0xfffffff8,0xffffffff,
    0x7654405f,0xfb730004,0x20019dff,0x00dffffc,0xffffff50,0x32000007,
    0x00007fff,0xffffffd5,0xfc805fff,0xff10000f,0x0009ffff,0x7ffffe40,
    0x40004fff,0xfffffffb,0x7e44000d,0xadffffff,0xfff881ec,0xffffffff,
    0x445fffff,0x4ffffeca,0xffffd800,0x403fffff,0xfffffffe,0xffffc801,
    0x000003ff,0x000ffff9,0xffffff90,0x01ffffff,0x8001fffc,0x4ffffffa,
    0x3ffa0000,0x04ffffff,0xffffd300,0x05ffffff,0x3ffffea0,0xffffffff,
    0xfffff886,0xffffffff,0xff915fff,0x09ffffff,0x7fffec40,0x5fffffff,
    0x915bff90,0xfd300dff,0x0007ffff,0x1ffff200,0xffff5000,0xffffffff,
    0x2fffc40f,0xffffd000,0x5c00009f,0xffffffff,0xfffb8004,0xffffffff,
    0x7fcc05ff,0xffffffff,0xf80fffff,0xaaaaadff,0x5fffcaaa,0xfffffff9,
    0x3a2009ff,0xfeefffff,0xf82fffff,0x02ffa85f,0x07fff710,0x332a0000,
    0x7f40004c,0xcaaaceff,0x3e202dec,0x440005ff,0x0004fffa,0xffa99980,
    0x7fcc004f,0xdbacefff,0x104fffff,0x59fffffd,0xffffffb7,0x005ffb01,
    0x3f25fffb,0xffffffff,0xffff5004,0xfffeb889,0x40bfe60f,0x3ea003ff,
    0x000003ff,0xff880000,0x440000ff,0x80005fff,0x0004fff9,0x27ffcc00,
    0x3ffffa00,0xffffd102,0x3ffff503,0x3ffff620,0xf1003500,0x3fa21fff,
    0x4fff99bd,0x07fffb00,0x317fffc4,0x13fa03ff,0x03fffa80,0x00000000,
    0x004fff98,0x6fffd4c0,0x09999999,0x04fff980,0x7fcc0000,0x3ff2004f,
    0xffc800ef,0x4fffc86f,0x00ffff80,0x2fffd400,0x027ffcc0,0xb806fff8,
    0x3fe24fff,0x002ffa84,0x220fffea,0x10009999,0x01333333,0xfffa9880,
    0x0199999d,0x7fffffe4,0xffffffff,0x7ffcc05f,0x359b9514,0xfff98000,
    0xffff3004,0x7fff4003,0x007ffec4,0x00037fe4,0x4017ffec,0x9004fff9,
    0xff3003ff,0x0bffd8bf,0x4001ffd5,0x3aa3fffa,0x0effffff,0xffffff50,
    0x3a2009ff,0xffffffff,0x84ffffff,0xfffffff8,0xffffffff,0x3fe602ff,
    0xfffffddf,0x30000dff,0x2e009fff,0x54004fff,0x7fdc6fff,0x3fe8803f,
    0x7ffc4000,0xfff9800f,0x40022004,0x7c43fffc,0x2fffefff,0xffa81544,
    0x3ffffa3f,0xfd03ffff,0x9fffffff,0x3ffff200,0xffffffff,0xfe80ffff,
    0xffffffff,0x0fffffff,0x3ffffe60,0xffffffff,0xff98000e,0xfff9004f,
    0xfffd0001,0x0cffff98,0xf5000000,0x3e600bff,0x800004ff,0x881ffff8,
    0x12fffffe,0x503fffb5,0x7fec7fff,0x01ffffff,0xfffffffb,0x3fea009f,
    0xffffffff,0x106fffff,0x9dfffb97,0x37999999,0xfffff980,0xffffffff,
    0xff98006f,0xfffd004f,0x3fff2000,0x7fffff41,0x00000ace,0x005fffb0,
    0x0013ffe6,0xffffd100,0x4d5dcc01,0xdfffffdb,0x13fffa80,0x79fffffd,
    0x66654403,0x2004fffd,0xefffdcc9,0x0bcccccc,0x05fff880,0xffff9800,
    0xfdb9acff,0x4c000fff,0xff004fff,0x3ee000df,0x7ff442ff,0xdfffffff,
    0xff100002,0x3e6001ff,0x200004ff,0x02ffffe8,0xffffdb88,0x3ea00bef,
    0xffffabff,0x260000ef,0x30004fff,0x00009fff,0x000bfff1,0x5fffff30,
    0x00ffff20,0x009fff30,0x000bfff1,0x220fffea,0xfffffffd,0x0000efff,
    0x002fffd4,0x0009fff3,0x3ffffa60,0x3ffae203,0x000bdfff,0xfffdfff5,
    0x300009ff,0x20009fff,0x0004fff9,0x005fff88,0x0efff980,0x017ffe60,
    0x009fff30,0x4001bffe,0x2a02fffb,0xfffffffd,0x20001fff,0x2002fffd,
    0x0004fff9,0x4fffff98,0xfffffd50,0x0015335b,0x3fffffea,0x300003ff,
    0x20009fff,0x0004fff9,0x005fff88,0x04fff980,0x4006fff8,0xd004fff9,
    0x32000fff,0x73001fff,0xffffffd9,0x3ffe2000,0x3fe6000f,0x7d40004f,
    0x3a04ffff,0xd88adfff,0x400dffff,0xfffffffa,0x3e600003,0xf30004ff,
    0x100009ff,0x0000bfff,0xf009fff3,0xf9800dff,0xff9004ff,0xffd0001f,
    0x7e44000f,0xa8002fff,0x4c005fff,0x20004fff,0x03fffffb,0xfd105654,
    0x01ffffff,0x7fffffd4,0x300002ff,0x20009fff,0x0004fff9,0x005fff88,
    0x04fff980,0x4006fff8,0x7004fff9,0xa8009fff,0x16dc6fff,0x09fff500,
    0x05fffb00,0x04fff980,0xfffff900,0x7fec0005,0x06ffc89c,0x3fffffea,
    0x80003fff,0x0004fff9,0x0009fff3,0x00bfff10,0x09fff300,0x800dfff0,
    0x3004fff9,0x4003ffff,0x3e64fffe,0x3fe000ff,0x7fc4006f,0x7cc000ff,
    0x6c4004ff,0x001fffff,0x2e13fe20,0xfff501ff,0x9fffff39,0xfff98000,
    0xfff30004,0xff100009,0xf30000bf,0xfff009ff,0xfff9800d,0x3fff2004,
    0xfffc800e,0x027ffdc6,0x006fffa8,0x002fffdc,0x0027ffcc,0x1dffffd1,
    0x1ffa8000,0xf503ff88,0x3ffa27ff,0x260005ff,0x30004fff,0x00009fff,
    0x440ffff1,0xf981eeb9,0xfff804ff,0x7ffcc006,0x7fff4004,0xfffd102f,
    0xffffc85f,0x3ffe600c,0x7fec004f,0xff98002f,0xfff3004f,0x00001dff,
    0x3fe01ff5,0x47fff503,0x0dffffe8,0x4fff9800,0x9fff3000,0x3ffe0000,
    0xfecaacef,0xf985ffff,0xfff804ff,0x7ffcc006,0x7ffcc004,0xfdbaceff,
    0xfc85ffff,0xacdfffff,0xfffffeca,0x3ffe2001,0xff98000f,0xfffb804f,
    0x019805ff,0xfa84ff88,0x7ff6dc1f,0xffffe83f,0x76dc2dee,0xffffeeee,
    0x20bdeeee,0xfffeeec9,0xbdeeeeef,0xffff9000,0xffffffff,0x7f6ccbff,
    0x6443dfff,0x44effffe,0xfeeeeedb,0xdeeeefff,0xffff700b,0xffffffff,
    0xfff701bf,0xffffffff,0x007fffff,0x405fffa8,0xfeeeedb8,0xceeeefff,
    0x3fffffa1,0xeeeeeeee,0xfd802ffe,0x8dfd50bf,0x3ffffffb,0x7fffffc4,
    0xfff50fff,0xffffffff,0x49ffffff,0xfffffffe,0xffffffff,0x3fffa003,
    0xffffffff,0x3fff60df,0x321fffff,0xffffffff,0xffffff52,0xffffffff,
    0x74c09fff,0xffffffff,0x3fe602ff,0xffffffff,0x003fffff,0x401fffa8,
    0xfffffffb,0xffffffff,0x3fffffa6,0xffffffff,0xf8804fff,0x1fffffff,
    0x7fffffdc,0x7ffffc43,0xff50ffff,0xffffffff,0x9fffffff,0x7ffffffc,
    0xffffffff,0x3ee2004f,0xffffffff,0xffffe81c,0x3f62ffff,0x3fffffff,
    0xfffffff5,0xffffffff,0xff7009ff,0x01bfffff,0xff937d90,0x19ffffff,
    0x027e4000,0x7fffffe4,0xffffffff,0x3ffffa7f,0xffffffff,0x1005ffff,
    0x03dffffd,0x7ffffd91,0xfffffd70,0xfffec87b,0xffffffff,0x36a0dfff,
    0xffffffff,0x00ceffff,0xaccaa880,0x7fed4009,0x6cc4efff,0x0cefffff,
    0x3fffffb2,0xffffffff,0x2a2000df,0x300000ab,0x00035775,0xfd910000,
    0xffffffff,0x7f45bfff,0xffffffff,0x5fffffff,0x00ddcc00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa9800000,0x20001abb,0x01abba98,0x99997000,0x00000003,0x15595300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffffffb8,
    0x03ec8bff,0x3fffff6a,0x20002eff,0x82fffffa,0xefffffec,0x3fffae0c,
    0x5c01dfff,0xfffffffd,0x2004ebbe,0xffffffda,0x0cefffff,0xffffffb3,
    0x3ff6a09d,0x5c2dffff,0xdffffffe,0xffffec81,0x3f6a0cef,0xb504efff,
    0xb87dffff,0xffffffff,0xffffffff,0x3fea5fff,0xffffffff,0x805fffff,
    0xfffffffa,0xffffffff,0x7ffff5c0,0x5fffffff,0xffff8800,0x7ffd42ff,
    0x13ffffff,0xffffffff,0x3ff620bf,0xffffffff,0x8800ffff,0xffffffff,
    0x4fffffff,0xfffffffb,0xffff05ff,0x4cffffff,0xffffffff,0x7fffd45f,
    0xf14fffff,0x5fffffff,0xffffff88,0x3ffee2ff,0xffffffff,0xffffffff,
    0x3ffffea5,0xffffffff,0x7fdc05ff,0xffffffff,0x42ffffff,0xffffffff,
    0x04ffffff,0x7ffffe40,0x7fffd42f,0xf13fffff,0xffffffff,0xffffd30b,
    0xffffffff,0x3e005fff,0xffffffff,0x94ffffff,0xffffffff,0xfffff03f,
    0x7ccdffff,0xffffffff,0x7ffffd45,0x3fe4ffff,0x42ffffff,0xfffffff8,
    0x3fffee1f,0xffffffff,0x5fffffff,0x3fffffea,0xffffffff,0x3ffea05f,
    0xecabdeff,0x42ffffff,0xbdefffff,0x1fffffdb,0xfffff100,0xffd705ff,
    0x5417dfff,0xcefffffd,0x7ffffcc0,0xfecbabdf,0x5003ffff,0xfffffffb,
    0x219dffff,0xfffffed8,0xfffb303d,0xfb83bdff,0x0cefffff,0xfffffdb8,
    0x3ff6a0cf,0xff504fff,0xfb87dfff,0xffffffff,0xffffffff,0x3ffea5ff,
    0xffffffff,0xf105ffff,0x4c05ffff,0x7c2ffffe,0xfd100eff,0x3f600bff,
    0x02ffffff,0x200bfff1,0xfd03fffa,0xfa803fff,0x80003fff,0xfd007fff,
    0x7fc003ff,0x3fee01ff,0xfff8002f,0x3fffee06,0xbffff304,0x50fffee0,
    0xff887fff,0x0fffea5f,0x01ffffd8,0x005ffff9,0xfd0bfffa,0xfffa80bf,
    0xffffa806,0xf102fffd,0x3ea00bff,0xfffb83ff,0xfff7001f,0xfff00005,
    0x3ffee00f,0xdfff5005,0x43fffa80,0x7c409998,0x7fe405ff,0x7ffc42ff,
    0xfff700ef,0x43fffa87,0x3ea5fff8,0xfff703ff,0x7fffc05f,0x3ffee002,
    0x4017fe41,0xfe807ffe,0x2fffbcff,0x00bfff10,0x3e0fffea,0x22002fff,
    0x80000fff,0xf1007fff,0xfd001fff,0xff9805ff,0x3fffe44f,0x2013ffe6,
    0x3a1ffffd,0x2e00ffff,0x7fd43fff,0x2fffc43f,0xf307fff5,0x7d409fff,
    0x7c4007ff,0x1003307f,0xfb80ffff,0xfffb8fff,0x0bfff102,0x30fffea0,
    0x3000ffff,0x3e000039,0x3f6007ff,0x7fcc03ff,0xfff9807f,0x0fffff45,
    0x1007fff5,0xfb1ffffd,0xfa805fff,0x7ffd42ff,0x127ffc43,0xff885fff,
    0x7fdc06ff,0x0a88005f,0x7ffe4000,0x3fffe206,0x205fff73,0x5005fff8,
    0xffb87fff,0x0000004f,0x007fff80,0x901fffe6,0xf1009fff,0x7ffccdff,
    0x3ffee4ff,0xffff1002,0x007fffff,0xfa81fff3,0x3fff83ff,0x3fa077ec,
    0x7e400fff,0x000002ff,0xffffe980,0x9bfff203,0xf102fffb,0x3ea00bff,
    0x7ffe43ff,0x00000002,0x4007fff8,0xf102fffe,0x3e001fff,0x3fff27ff,
    0x3fff27ff,0x3ffe6001,0x2005ffff,0xfffa85fd,0x080efb83,0x02ffffc8,
    0x000fffd8,0x3faa0000,0x2606ffff,0x3ee1ffff,0xfff102ff,0x3ffea00b,
    0x007ffec3,0x7c000000,0x7dc007ff,0xfff705ff,0x7fff400b,0xfffffff0,
    0x003fff63,0xdfffff70,0x3ea01000,0x400103ff,0x003ffffa,0x0001fffb,
    0xffff1000,0x7401bfff,0x7fdc5fff,0xbfff102f,0x0fffea00,0x0001fffb,
    0xfff00000,0xffff000f,0x05fffd03,0x4cfffec0,0x4fffffff,0x1000fffd,
    0x007fffff,0x1fffd400,0x3ffe6000,0x3ff6005f,0x8000000f,0x3ffffff9,
    0x07fffd40,0x440bffee,0xf5005fff,0xfffd87ff,0xffffb300,0x4c5bffff,
    0xfff001ed,0xfff9000f,0x06fff989,0x657ffe40,0x7fffcfff,0xd000ffff,
    0x03ffffff,0x3ffea000,0x3fa20003,0x36000eff,0x00000fff,0xcffff980,
    0x7fffc400,0x02fffb83,0x200bfff1,0x7ec3fffa,0xfffd00ff,0xdfffffff,
    0xf8027fe4,0xf98007ff,0x3ff60fff,0x7fdc003f,0xe8ffffbf,0x6fffafff,
    0x7fffe400,0x0000ffff,0x003fffa8,0x07ffff60,0x2fffc80c,0xff000000,
    0x3ff2007f,0xdaaaabff,0xff103fff,0x3fea00bf,0x0fffdc3f,0xffffffd8,
    0x3fa6ffff,0xffff007f,0x3fff6000,0x01ffff13,0xfefffa80,0xdfff76ff,
    0x5c00bfff,0xfffcffff,0xfa80006f,0xf70003ff,0x3fa07fff,0x27ffdc0f,
    0xfb800000,0xfff8800e,0xffffffff,0x441fffff,0xf5005fff,0xfff985ff,
    0xdddd9303,0x743dfffd,0xfff007ff,0x3fea000f,0x0bfff76f,0xfffff300,
    0x3ffe27ff,0x3004ffff,0x3e6bffff,0x40005fff,0x8003fffa,0x104ffff9,
    0xff885fff,0x088001ff,0x3e200000,0xffffffff,0x4fffffff,0x9007ffe8,
    0xff883fff,0x7fdc006f,0x03fff43f,0x0005fff8,0x3fe7fffe,0xf88001ff,
    0x21ffffff,0x3ffffffe,0xeffff880,0x0ffffee0,0x3fffa800,0x7fffc400,
    0x0fffea06,0x003bfff6,0x0002ffa8,0xfffff100,0xffffffff,0xff905fff,
    0xfff9807f,0x07fffd07,0x21fffdc0,0xfa807ffe,0x2e0004ff,0x6fffffff,
    0x3fffe000,0x7ffdc6ff,0x74402fff,0xfc80ffff,0x50002fff,0xe8007fff,
    0x2a00ffff,0xff984fff,0xfc802fff,0x000006ff,0x33333332,0xcfffeccc,
    0x7ffff501,0x17fffe60,0x067fffd4,0x0ffff220,0x5405fffd,0x0002ffff,
    0x3fffffe2,0x3fa0003f,0x7c43ffff,0x401fffff,0x202ffffd,0x001ffffe,
    0x003fffa8,0x00bffff2,0x2e09fff5,0xbcefffff,0xffffdcaa,0x0351004f,
    0xfff70000,0xffffd805,0xfffdbabe,0x3ff600ff,0xbabcdfff,0x3fffffed,
    0x67fffff4,0xffffdbab,0x7ec0000e,0x000fffff,0x3fffff60,0xfffffd81,
    0xffffd700,0xffd7019f,0x5c019fff,0xefffeeed,0xf880bdee,0xeeeeffff,
    0xfffeeeee,0x3ffff204,0xffffffff,0xc800efff,0x80007fff,0xefffeedb,
    0xfffd100b,0xffffffff,0xfff8805f,0xffffffff,0x43ffffff,0xfffffffe,
    0x0effffff,0xfff98000,0x640004ff,0xf706ffff,0x3ea0ffff,0x5fffffff,
    0x7fffffd4,0xfff305ff,0xffffffff,0xfff107ff,0xffffffff,0x09ffffff,
    0xffffffa8,0x4fffffff,0x3ffffe00,0x3fea0002,0x3fffffff,0x3ffff620,
    0x02ffffff,0xfffff910,0xffffffff,0xffc8817f,0xffffffff,0x200000df,
    0x001ffffe,0x27fffdc0,0x07ffff88,0xfffffff5,0xffffa8bf,0xf506ffff,
    0xffffffff,0xf109ffff,0xffffffff,0xffffffff,0xffd71009,0x5bdfffff,
    0xffffc800,0x3fee0000,0x4fffffff,0xfffffa80,0x88000dff,0xffffffec,
    0xd5002eff,0x7bffffff,0xff700000,0xf70000bf,0x7ec03fff,0x3fb206ff,
    0xc81dffff,0x1dfffffe,0x3ffffb20,0x0cefffff,0xffffff88,0xffffffff,
    0x44004fff,0x0001bcaa,0x0000ab98,0x7ffff644,0x22000cef,0x00001aba,
    0x04d5dd4c,0x03753000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99980000,0xffeb8009,0xff3005ff,
    0xeb819fff,0xffffffff,0x4003ceef,0xffffffeb,0x7fff644e,0x7fe444ef,
    0xffffffff,0xeb82dfff,0x20ceffff,0xcfffffdb,0x3fffb220,0xdeffffff,
    0x7fed402c,0xffffffff,0xffffffff,0x3ffffae5,0xffffffff,0x5c4fffff,
    0xfffffffe,0x7002cdff,0x01fffffb,0x3fffff6a,0xfff701df,0xfff8807f,
    0xd800ffff,0x25ffffff,0xfffffff9,0xffffffff,0xfff9802f,0x2fffffff,
    0xfffffff5,0x7fffe45f,0xffffffff,0x7fc46fff,0x14ffffff,0xffffffff,
    0x7ffffdc9,0xffffffff,0xffd01dff,0xffffffff,0xffffffff,0x3fffe6bf,
    0xffffffff,0x4fffffff,0x3fffffe6,0xffffffff,0x3ffe202e,0xf885ffff,
    0xffffffff,0x1ffffb06,0xfffff880,0x7fc404ff,0x264fffff,0xffffffff,
    0xffffffff,0x7ffcc04f,0x2fffffff,0xfffffff5,0x7fffe45f,0xffffffff,
    0x7fc46fff,0x14ffffff,0xffffffff,0x7ffffdc9,0xffffffff,0xfe82ffff,
    0xffffffff,0xffffffff,0xffff35ff,0xffffffff,0x9fffffff,0x7fffffcc,
    0xffffffff,0xfff105ff,0x885fffff,0xffffffff,0x7ffff05f,0x3fffaa00,
    0x3f200fff,0x40cfffff,0xffffffdb,0xffffffff,0x7edc02ff,0x43dfffff,
    0x3dfffffd,0x7ffff5c4,0xefffffff,0xfffea81c,0x3f6a0bef,0x220cffff,
    0xffffffdb,0xffffffff,0x7f64c0ff,0xffffffff,0xffffffff,0x3ffff6e5,
    0xffffffff,0x5c4fffff,0xfffffffd,0xffffffff,0xffffb504,0xfda81fff,
    0x81cfffff,0x4006fff9,0x3ffffff9,0x3fffffe0,0x27ffcc06,0x0ffffd50,
    0x413ffe60,0x03fffffa,0x027ffcc0,0x013ffe60,0xb80bfff1,0xf7102fff,
    0x7f40bfff,0xfff1007f,0x09fff30b,0x209fff30,0xd7306fff,0x4405ffff,
    0x04ffffff,0xc813ffe6,0x4c002fff,0x06ffffff,0xdffffff7,0x04fff980,
    0x00ffffc4,0x5c27ffcc,0x002fffff,0x004fff98,0x2027ffcc,0x5c05fff8,
    0x7d402fff,0x3ffa07ff,0xbfff1007,0x009fff30,0x3e09fff3,0x7f4406ff,
    0x3fe207ff,0x301fffff,0x7f409fff,0xff98006f,0xe82fffff,0x06ffffff,
    0x4027ffcc,0x9803fffb,0x7fec4fff,0x30001fff,0x98009fff,0x7c404fff,
    0x7fdc05ff,0xfffe802f,0x20fffd01,0x984fff81,0x20884fff,0xff03fff8,
    0xfff100df,0x3ffe207f,0xf306ffff,0x3fe209ff,0xff98002f,0x546fffff,
    0x6fffffff,0x027ffcc0,0x401fffdc,0xfb14fff9,0x0001dfff,0x0027ffcc,
    0x1013ffe6,0xfb80bfff,0xffb802ff,0x8fffd02f,0x7fec5fe8,0x44fff982,
    0x3ffa2ffa,0x00dfff01,0x441bffea,0xffffefff,0x04fff983,0x2000dff5,
    0xfffcfff9,0x2ffff61f,0x7cc06fff,0x7fcc04ff,0xff9800ff,0xffffe8cf,
    0x7cc0000d,0x7cc004ff,0x7fc404ff,0x7ffdc05f,0x0fffd802,0xfb8fffd0,
    0x980d40ff,0x7fec4fff,0xfff00545,0x7fffc00d,0xbdfff880,0x7cc0ffff,
    0x5ffb04ff,0x3ffe6000,0xf35fffbc,0xdfff1fff,0x04fff980,0x0dffff91,
    0x3fbffe60,0x0005ffff,0x009fff30,0xaadfff98,0xffbaaaaa,0x7ffdc05f,
    0x37ffdc02,0x555fffd0,0x4003fffb,0xaaadfff9,0x7c007fff,0x3f6006ff,
    0xfff881ff,0x98bfffd5,0xbff04fff,0x7ffcc000,0xc9ffff8c,0xdfff4fff,
    0xcefff980,0xfffffecc,0xff3002ff,0x9fffffff,0x3fe60000,0x7fcc004f,
    0xffffffff,0x405fffff,0x9102fffb,0x7409ffff,0xffffffff,0x3e6001ff,
    0xffffffff,0x7ffc007f,0x3ffee006,0x35fff882,0x7cc7ffff,0x03dd04ff,
    0xa7ffcc00,0xfffdfffc,0x80dfff0f,0xfffffff9,0x1effffff,0x3fffe600,
    0x05ffffff,0x4fff9800,0x7fffcc00,0xffffffff,0x7dc05fff,0xfeeeeeff,
    0x406fffff,0xfffffffe,0x26001fff,0xffffffff,0x7fc007ff,0x3fee006f,
    0x5fff883f,0x4c3ffff2,0x00004fff,0x453ffe60,0x5fffffff,0xf301bffe,
    0xffffffff,0x8001bfff,0xfffffff9,0x0005ffff,0x0027ffcc,0x3fffffe6,
    0xffffffff,0x7ffdc05f,0xffffffff,0x7f400eff,0xffffffff,0x3fe6001f,
    0xffffffff,0x37ffc007,0x07fff700,0xfe8bfff1,0x9fff35ff,0x7cc00000,
    0x3fff64ff,0x3ffe1fff,0x7fffcc06,0xffffffff,0xfff98005,0xfffd89ff,
    0x3e60005f,0x7cc004ff,0xaaaaadff,0x05fffbaa,0x7fffffdc,0x0cffffff,
    0xaafffe80,0x001fffda,0x2ab7ffe6,0x4007fffa,0x32006fff,0xff882fff,
    0x7fffcc5f,0x704fff9a,0x7cc0003b,0x3ffe64ff,0x37ffc6ff,0x277ffe60,
    0xffffe999,0x7ffcc005,0x7fffdc0e,0xfff30002,0xfff98009,0x2fffc404,
    0x3ffffee0,0x01cdefff,0xf71fffa0,0x7cc001ff,0x37fec4ff,0x7ffc02e2,
    0x3fffa006,0x85fff880,0xffaefffc,0x05ffd04f,0x13ffe600,0xf85ffffd,
    0x7fcc06ff,0xffff904f,0x7ffcc00b,0x0dfff904,0x13ffe600,0x09fff300,
    0x405fff88,0x199bfffb,0x3fff4000,0x30017fa2,0xffa89fff,0xff83ffc2,
    0x3ffe006f,0x0bfff107,0xffdffff1,0x3ffe609f,0xfff98004,0x437ffd44,
    0x7cc06fff,0x3ff204ff,0xff3003ff,0x3ffa209f,0xff98003f,0x7fcc004f,
    0x7ffc404f,0x17ffdc05,0xfffd0000,0x3e600060,0x4c0884ff,0xfff82fff,
    0xbfff7006,0x417ffe20,0xfffffffa,0x37ffa604,0x3ffe6000,0xf82ccc84,
    0x7fcc06ff,0x7ffec04f,0xfff9801f,0x1fffe604,0x13ffe600,0x09fff300,
    0x405fff88,0x0002fffb,0x001fffa0,0x04fff980,0xf07fff50,0xff700dff,
    0x3fe205ff,0x3fff605f,0x6c404fff,0x3e6006ff,0xff8004ff,0x7ffcc06f,
    0x6fffe804,0x04fff980,0x001fffec,0x0013ffe6,0x8809fff3,0x7dc05fff,
    0x200002ff,0x00007ffe,0x4013ffe6,0xff83fffa,0xff95106f,0x7fc40bff,
    0x3ffe205f,0xf9004fff,0xfeb8803f,0x303defff,0xbffffdd9,0xfffeda83,
    0xff103def,0xdb83bdff,0x3deffffe,0xdeffff98,0x3bbb6e23,0xeeeffffe,
    0x7f6cc1ce,0x2a0bdfff,0x4effffed,0x77fff6dc,0x000beeee,0xdffffd93,
    0x4007bddd,0xeffffeda,0xeeeeeeee,0x36e3fffe,0xeeeeffff,0xffffffff,
    0xffffb700,0xffb817bd,0x26004fff,0xffffb802,0xe82fffff,0xffffffff,
    0x3ffffe67,0x502fffff,0x4cdfffff,0xffffffff,0xfffe82ff,0xfff91fff,
    0xffffffff,0xfe8dffff,0x4fffffff,0xfffffff1,0x3ffee5ff,0xffffffff,
    0xfffd005f,0xffffffff,0xfff1005f,0xffffffff,0xffffffff,0x3fffe67f,
    0xffffffff,0x301effff,0xffffffff,0xffffd07f,0xf7000009,0xffffffff,
    0xfffffd05,0x3e61ffff,0xffffffff,0x3fff603f,0x3fffe66f,0x82ffffff,
    0x2ffffffa,0xfffffff9,0xffffffff,0xffffff8d,0xfff14fff,0x27ffffff,
    0xfffffffb,0x005fffff,0xfffffffd,0x005fffff,0xfffffff3,0xffffffff,
    0x267fffff,0xffffffff,0xdfffffff,0x3fffea00,0x984fffff,0x0004ffff,
    0xfffec880,0xfb504eff,0x85bfffff,0xffffffeb,0x7ffc404e,0x7fff642d,
    0x3a04efff,0x3224efff,0xffffffff,0x42dfffff,0xffffffda,0x3fff6e0c,
    0xd910ceff,0xffffffff,0x36a003bf,0xffffffff,0x3ae004ef,0xffffffff,
    0xffffffff,0x3ffae3ff,0xefffffff,0xfd9001bd,0x019dffff,0x0013fff2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a200000,0x30018acc,0x4c401333,0x88000999,0x40001bcb,
    0x1bcdcb98,0x7fff5c04,0xefffffff,0x6d4001cd,0xffffffff,0xffb50007,
    0x36e07dff,0x224effff,0xffffffec,0x2001dfff,0x00001dfc,0xf9100000,
    0x2fdc001b,0x3ffee000,0x3606ffff,0xa85fffff,0x06fffffe,0xfffffb50,
    0x44007bff,0xfffffffc,0x262fecff,0xffffffff,0xffffffff,0xffff000c,
    0x5fffffff,0xfffff000,0xff885fff,0x72ffffff,0xffffffff,0x200bffff,
    0x00dffff9,0x20000000,0x004ffffb,0x4000bffe,0xfffffffd,0xfff982ff,
    0xffe85fff,0xc806ffff,0xffffffff,0x5401efff,0xffffffff,0x26ffffff,
    0xfffffff9,0xffffffff,0xfff006ff,0xffffffff,0xffff000b,0xf885ffff,
    0x2fffffff,0xfffffff7,0x009fffff,0x3fffffe6,0x0000000c,0x3ffffea0,
    0xfff3004f,0xfff70009,0x1fffffff,0xffffff10,0xfffff90b,0xfffe80df,
    0xffffffff,0xff501fff,0xffffffff,0xb8ffffff,0xfffffffd,0xffffffff,
    0xffd9804f,0xffffffff,0x7fecc000,0xff503fff,0x5c47bfff,0xfffffffe,
    0x2e000cef,0x3fffffff,0x4c000000,0x5ffffffe,0x13ffe600,0x37fffa00,
    0x201efeaa,0x85fffcb9,0x6fffcca8,0x3fffff20,0xffdba9ac,0x7fc40eff,
    0xb99adfff,0x07fffffd,0x2209fff3,0x00ffffca,0x7ffffcc0,0xf30004ff,
    0x3e205fff,0xfd004fff,0xb10000ff,0x5dffffff,0xd9800000,0x2effffff,
    0x27ffcc00,0x1bffe200,0x7fc40051,0x6fff805f,0x1bffff10,0x27fffdc0,
    0x007bfff6,0x260ffff9,0xfe804fff,0x7ec002ff,0x07fffdff,0x3ffff200,
    0x06fffd80,0x001fffa0,0xffffe980,0x00001eff,0x7ffffe44,0xf30002ff,
    0xf98009ff,0x440005ff,0xff805fff,0xbfff706f,0x9bffee00,0x001ffff9,
    0x3e60dffd,0xffa804ff,0x3fe2003f,0x2fffd8ff,0x3fffa000,0x0ffffdc5,
    0x00fffd00,0xfffd5000,0x0001bfff,0xffffff70,0xf980007f,0x7c4004ff,
    0x20000fff,0xf805fff8,0xfffb06ff,0x7fffc001,0x009fff50,0xf9827fdc,
    0xffe804ff,0x3fee002f,0x0bfff55f,0x7fffcc00,0x09ffff12,0x007ffe80,
    0x3ffee000,0x000cffff,0xffffffa8,0x980000cf,0xd8004fff,0x20005fff,
    0xf805fff8,0xbfff06ff,0x2fffc800,0x8003fff9,0x3ffe6029,0x3fff2604,
    0x3ffa001f,0x03fffe1f,0xffffc800,0x006fffd8,0x0007ffe8,0x7ffe4400,
    0x3003ffff,0xbffffffd,0x7cc00003,0xf98004ff,0x10002fff,0xff00bfff,
    0x9fff30df,0x4fff9800,0x0001fffb,0xadfff980,0xffffcaaa,0x3ea005ff,
    0x7ffe46ff,0x7ff40004,0x01ffffff,0x007ffe80,0xffb10000,0x205dffff,
    0xffffffd8,0xfd70002e,0xffffffff,0x9dffffff,0xfffff501,0xfff10001,
    0x0dfff00b,0x800bfff1,0xffb3fffa,0x9800001f,0xffffffff,0x0effffff,
    0x0ffff600,0x000ffff1,0xffffff98,0xffd0003f,0x8000000f,0xffffffd9,
    0xffff911e,0x40005fff,0xfffffff9,0xffffffff,0x7d44ffff,0x2e5fffff,
    0xff102eff,0xdfff00bf,0x003fffa0,0xf71fffc8,0x800005ff,0xfffffff9,
    0xffffffff,0xffff1001,0x05fffb01,0xffffb800,0x3fa0006f,0x0000007f,
    0x7fffff54,0x3ffee0cf,0x000cffff,0xffffff30,0xffffffff,0x547fffff,
    0xffffffff,0x20ffffb3,0x4405fff8,0xff906fff,0x3fea00bf,0x1bffe67f,
    0x7cc0a600,0xffffffff,0x1fffffff,0x9dfffb80,0xfffb9999,0xffe80005,
    0x3a0001ff,0x000007ff,0xfffffd30,0x3f2203bf,0x03ffffff,0xddddb700,
    0xddffffdd,0x7c17bddd,0xfffcefff,0x07ffff9f,0x2203fffe,0x306ffffc,
    0x401bffff,0x7c4ffffb,0x8800dfff,0xff984ffd,0xcaaaaadf,0x1fffffec,
    0x7fffff40,0xffffffff,0x7d40000f,0x740004ff,0xfd8807ff,0x7fec4004,
    0x002effff,0xffffffb1,0x4c00005d,0xf3004fff,0x7fff4dff,0x202effff,
    0xbabefffe,0xfffffffd,0xffffd82d,0xfecaabcf,0x7d40ffff,0x9abdffff,
    0xffffdcaa,0x04fff987,0x04ffffa8,0x3fffffea,0xffffffff,0x7cc0004f,
    0x740004ff,0xffa807ff,0xfff91007,0x0007ffff,0x3fffffa6,0x980001ef,
    0xf7004fff,0x7ffc45ff,0x5c02ffff,0xffffffff,0xffffffff,0x7fff440f,
    0xffffffff,0xff702fff,0xffffffff,0x09ffffff,0x2009fff3,0x3606fff9,
    0xffffffff,0x7fffffff,0x7ffcc000,0x7ff40004,0x1fffb807,0x7ffffdc0,
    0x80000cff,0xffffffea,0x3e60000d,0xffb004ff,0xffffb83f,0xfff9007f,
    0xffffffff,0x101fffff,0xfffffffb,0x803dffff,0xfffffffc,0x5fffffff,
    0x009fff30,0x4407ffec,0xeeeeffff,0xffeeeeee,0x3e60002f,0x740004ff,
    0xffc807ff,0xfffd501f,0x0001bfff,0xfffff700,0x300019ff,0x2e009fff,
    0xffd84fff,0x3f2004ff,0x9cffffff,0x403dffff,0xfffffec9,0x326003df,
    0xffffffff,0x3e601cff,0x3fa004ff,0xfffb80ff,0xbfff3004,0x7ffcc000,
    0x7ff40004,0x1fffc807,0x7fffff4c,0x000001df,0x7ffffe44,0x7cc003ff,
    0xff5004ff,0xfd957dff,0x005bdfff,0x000d65cc,0x02f2a200,0x97531000,
    0x30013559,0x91009fff,0x3fa0dfff,0x3fa001ff,0xf30000ff,0xe80009ff,
    0xffc807ff,0x3ffff21f,0x00002eff,0x7ffec400,0x3000efff,0x6c009fff,
    0xffffffff,0x06ffffff,0x00000000,0x00000000,0x3ffffb6e,0xfeeeeeee,
    0x224fffff,0xdeffffec,0xfffd9303,0xda803bdf,0xeffffeee,0xb7100bde,
    0xddffffdd,0xffdddddd,0x3ffe63ff,0x00003fff,0x7ff4c000,0xf3004fff,
    0x7c4007ff,0xffffffff,0x00ffffff,0x00000000,0x80000000,0xfffffff9,
    0xffffffff,0x320effff,0xffffffff,0xfffff81f,0x2606ffff,0xffffffff,
    0x704fffff,0xffffffff,0xffffffff,0x3e23ffff,0x0000cfff,0x3aa00000,
    0x3e003fff,0x644001ff,0xcfffffff,0x0002dffe,0x00000000,0xf3000000,
    0xffffffff,0xffffffff,0xfffd81bf,0x82ffffff,0xffffffff,0x3ffe607f,
    0xffffffff,0xfff704ff,0xffffffff,0xffffffff,0x00675c3f,0x00000000,
    0x5c0019b7,0x2620004e,0x0000aaca,0x00000000,0x80000000,0xffffffec,
    0xdeffffff,0xfffb301c,0x2a09dfff,0xdffffffd,0x7fff5c02,0xdfffffff,
    0xfffd9100,0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26f72a62,0x32aa0000,
    0x0010accd,0x5e6e65cc,0x4ccc4002,0xb9859950,0x262002cd,0x336ea099,
    0x9998001b,0x04ccc401,0x02666620,0x80379751,0x10009998,0x4c403333,
    0x4c401999,0x33301999,0x33333333,0x20013333,0x700000a8,0xffffffff,
    0x7f54005d,0xdfffffff,0xffb500ef,0xdfffffff,0xfffe8805,0xdffffddf,
    0xefffffd9,0x3fffa201,0xffffeadf,0xfd800dff,0x5c5fffff,0x0effffff,
    0x7fffffdc,0x3ffffee6,0xffffb84f,0x3f600eff,0x2a5fffff,0xffffffff,
    0x7ffffdc5,0x3fe65fff,0xffffffff,0x006fffff,0x40001ffd,0xffffffe9,
    0x00dfffff,0x7ffffff4,0x3fffffff,0xffffff98,0x4fffffff,0x3ffffee0,
    0xffffffff,0xefffffff,0xfffff700,0xffffffff,0x7d405fff,0x1fffffff,
    0x3ffffffa,0x7ffff44f,0xfffe9eff,0x7c3fffff,0x4fffffff,0xffffff50,
    0x3fffa3ff,0x21ffffff,0xffffffff,0xffff32ff,0xffffffff,0xf100dfff,
    0x260005ff,0xffffffff,0x06ffffff,0x3ffffff6,0xffffffff,0xfffff985,
    0xffffffff,0xffff502f,0xffffffff,0xffffffff,0x3ffe607f,0xffffffff,
    0x206fffff,0xfffffff8,0x7ffffe46,0x7ffec3ff,0xffffffff,0x0fffffff,
    0x3ffffff6,0xffff102f,0x3f21ffff,0x7fffffff,0x7fffffe4,0xfff30fff,
    0xffffffff,0x500dffff,0x10009fff,0x59dffffd,0xfffffb73,0xdffff109,
    0xffb53359,0x3ff20bff,0xea99abce,0x32605fff,0xc9bfffff,0xb9cfffff,
    0x32605fff,0xacffffff,0x3ffffda9,0x3ffff260,0x7fffcc3f,0xcca882ef,
    0xffffffff,0x46ffd9be,0x2cffffb8,0x32635551,0x221cfffe,0xbefffeca,
    0x7ffedc41,0x3fe61bcf,0xecccccef,0x802fffff,0x8004fffa,0x403ffffd,
    0x541ffffd,0x7cc05fff,0x440003ff,0x7cc06fff,0x3fe22fff,0x37ffc3ff,
    0x3ffffe20,0x09fff702,0x7fffff50,0x17ffffe6,0xffffff80,0xb00b983f,
    0x7fdc3fff,0x07fff45f,0x80dfff70,0xf106fffb,0xfff307ff,0xbdc883ff,
    0x549fff50,0xfff101dc,0x3ff6007f,0x7fffcc5f,0x02faa01b,0xd0999880,
    0xff980fff,0x37ffc45f,0x22037ffc,0x2201ffff,0xf3006fff,0xfffbffff,
    0xff8007ff,0x0001efff,0x7f47fff7,0xfff10fff,0x5ffff00d,0x017fffc0,
    0xff983ffd,0xffc81fff,0xdfffcdff,0x506ffffd,0x9999ffff,0xf9999999,
    0xfffd0fff,0x159bdfff,0xfffeb800,0x7fffffff,0x227ffcc0,0xff86fff8,
    0x7ffc406f,0x06fff805,0x3ffffa60,0x8002ffff,0x000dffff,0x4d7ffe60,
    0xf53fffff,0xff7009ff,0x3ffee0df,0x260dc406,0xb01fffff,0xffffffff,
    0xffffffff,0x3ffffee0,0xffffffff,0x40ffffff,0xfffffff9,0x400effff,
    0xffffffea,0x07ffffff,0x2227ffcc,0xfff86fff,0x2fffc406,0x0037ffc0,
    0x3fffffa2,0xfff0001f,0x3fe0000d,0xfffff97f,0x00bfff2d,0x7c17fffc,
    0x98002fff,0x201fffff,0xffffffe9,0xffffffff,0xfffffb02,0xffffffff,
    0x05ffffff,0xffffffb3,0x207fffff,0xfffffffb,0x7fffffff,0x227ffcc0,
    0xff86fff8,0x7ffc406f,0x06fff805,0x7fffec40,0xff0001ef,0x360000df,
    0xffff9fff,0xfffe9fff,0xdfff7000,0x006fffb8,0x1fffff98,0xffff9500,
    0x05bfffff,0xffffffc8,0xffffffff,0x202fffff,0xffffdca8,0x7cc4ffff,
    0xcdffffff,0x07ffffee,0x2227ffcc,0xfff86fff,0x2fffc406,0x0037ffc0,
    0xffffffd1,0xff0003ff,0x2e0000df,0xffffdfff,0x7fffdfff,0x3fffe200,
    0x00bfffa1,0x3fffff50,0x3fffa000,0xf5000fff,0x55555dff,0x55555555,
    0x201a8155,0x7fffdb98,0x0df7fff4,0x980fffd0,0x7fc44fff,0x06fff86f,
    0x402fffc4,0xd3006fff,0xfffdffff,0xff8005ff,0xf300006f,0xf7ffffff,
    0x0bffffff,0x55fffb80,0xa800dfff,0x001fffff,0xffffff50,0x3fe2009f,
    0xb00003ff,0x3f6005ff,0xffff12ff,0x0fffd003,0x444fff98,0xfff86fff,
    0x2fffc406,0x4037ffc0,0x54fffff9,0x009fffff,0x00037ffc,0xfffffff0,
    0xffffff91,0xfff88007,0x02fffe9f,0x3ffffea0,0x2207fb01,0xfffeffff,
    0xfffb002f,0x2ea2005f,0x017fffc1,0xf99fffec,0x3ee206ff,0x7cc07fff,
    0x7ffc44ff,0x406fff86,0xf805fff8,0x7fd406ff,0x7fcc2fff,0xff005fff,
    0x6c0000df,0xf35fffff,0x003fffff,0xffffff90,0x7fd400df,0xff501fff,
    0x3bfff60f,0x007fffd8,0x7dfffff1,0xffb75535,0x3fe21fff,0xa9acefff,
    0x1fffffca,0x2b3bfffe,0xfffffdba,0x75c2deff,0xf11cffff,0x7fc3bfff,
    0x76c42dff,0xa83effff,0x42dffffd,0xffffffd9,0x7ffff4c3,0x3bb223ef,
    0xeeeffffe,0x2000ceee,0x22fffffb,0x007ffffe,0xffffff10,0x3fea007f,
    0xeeeeffff,0x41ffffee,0xd11ffff9,0x2a007fff,0xffffffff,0xffffffff,
    0xfffff11f,0xffffffff,0xffc89fff,0xffffffff,0xffffffff,0xfffff50f,
    0x3ffe2dff,0x3fffe7ff,0x3fff60ff,0x221fffff,0xffffffff,0x3fffffe0,
    0x3ffa1fff,0xb2ffffff,0xffffffff,0xbfffffff,0x7fffcc00,0x2ffffdc7,
    0xffff9000,0x7fe400ff,0xffffffff,0x41ffffff,0x7cc3fff8,0x3a6001ff,
    0xffffffff,0x46ffffff,0xfffffffe,0x5fffffff,0xffffffb0,0xffffffff,
    0x3ee1ffff,0x16ffffff,0x7cffffff,0x3a0fffff,0xffffffff,0x3ffffe62,
    0x3ffe0fff,0x20ffffff,0xfffffffe,0xfffffb2f,0xffffffff,0xff800bff,
    0x7ffc44ff,0x3e20003f,0x2003ffff,0xfffffffc,0xffffffff,0x303d981f,
    0x3ee00059,0xffffffff,0xeea82cef,0xfffffffc,0x7dc01dff,0xdfffffff,
    0x3dffffea,0x3ffffb22,0xbffff11d,0x1effffc5,0x3fffff66,0xfffeb84e,
    0x7fed43df,0x6cc3efff,0x24efffff,0xffffffd9,0xdfffffff,0x7ffec001,
    0x01fffc81,0x3fffe400,0x3ffff200,0xffffffff,0x0001ffff,0x2ea20000,
    0x00019abc,0x13599753,0x665d4400,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x15555400,0x710aaaaa,0x99999999,0x99999999,0x00000379,0x33333310,
    0x33333333,0x13333333,0xeeeeeea8,0xeeeeeeee,0x0000004e,0x00000000,
    0x00000000,0x00000000,0x13ea0000,0x237fff40,0x7f47fffd,0xffffffff,
    0xffffffff,0xec881fff,0xfd8002df,0xffffffff,0xffffffff,0x2effffff,
    0xfffffff5,0xffffffff,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x3ffe6000,0x5fffd802,0xf137ffe4,0xffffffff,0xffffffff,0xfa87ffff,
    0x105fffff,0x3ffea19b,0xffffffff,0xffffffff,0x56ffffff,0xffffffff,
    0xbfffffff,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd100,
    0x4fffc803,0x322fffdc,0xffffffff,0xffffffff,0x3e60efff,0xefffffff,
    0x4d7ffa20,0xffffffff,0xffffffff,0xffffffff,0xbbbbb34f,0xbbbbbbbb,
    0x000009bb,0x00000000,0x00000000,0x00000000,0xffd00000,0x5401ffff,
    0x7fd43fff,0x3333304f,0x33333333,0xf8813333,0xffffffff,0xfffe89ef,
    0x33332e65,0xcccccccc,0xcccccccc,0x00000acc,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb00,0x3e601dff,0x7ffc42ff,0x20000003,
    0xf91ffffb,0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0xfffbffff,0x3ffe20bf,0x002fff81,0x3fea0000,
    0x7fffdc1f,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffffa80,0x209ffff7,0xffe80fff,0xaaaaa881,0xaaaaaaaa,
    0xca81aaaa,0xfffff301,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0xfc8dffff,0x7fe82fff,0xffb0ffb0,0xffffffff,
    0xffffffff,0xc88001ff,0x00001bee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01ffffd0,0xd83ffffb,0x88ff906f,0xffffffff,
    0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x2203ffff,0x7d46fffe,0xfd09f303,0xffffffff,
    0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f600000,0x7fcc02ff,0x4c00007f,0xcccccccc,0xcccccccc,
    0x000000ac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa60000,0x07ff3003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x08000800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_44_usascii_x[95]={ 0,8,5,2,3,2,4,9,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2, };
static signed short stb__courier_bold_44_usascii_y[95]={ 32,6,8,5,5,7,10,8,7,7,7,9,26,19,
27,4,6,6,6,6,7,7,6,7,6,6,14,14,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,39,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,16, };
static unsigned short stb__courier_bold_44_usascii_w[95]={ 0,7,14,19,18,19,18,6,9,10,18,21,9,17,
7,18,18,18,18,19,18,19,18,18,18,18,7,10,23,23,23,18,17,26,23,22,22,22,22,23,23,18,22,24,
22,26,25,23,21,23,25,19,21,23,26,25,24,23,19,10,18,10,18,27,9,22,24,21,23,21,21,23,23,19,
15,22,19,26,23,21,24,23,21,19,21,23,24,25,23,23,18,11,5,11,19, };
static unsigned short stb__courier_bold_44_usascii_h[95]={ 0,27,12,31,32,26,23,12,32,32,17,23,13,4,
6,33,27,26,26,27,25,26,27,26,27,27,19,23,23,12,23,25,30,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,30,24,25,24,25,24,24,24,24,24,32,33,32,14,5,7,19,26,19,26,19,25,27,25,25,
34,25,25,18,18,19,27,27,18,19,25,19,18,18,18,27,18,32,32,32,10, };
static unsigned short stb__courier_bold_44_usascii_s[95]={ 252,233,85,147,85,58,169,247,126,104,233,
147,239,172,247,36,26,20,39,69,43,195,89,1,151,132,239,241,123,100,99,
24,167,25,1,1,190,167,144,86,98,79,110,54,76,1,213,209,122,185,28,
233,211,62,133,160,186,52,233,115,17,136,66,144,239,43,170,234,215,1,121,
108,165,101,1,78,189,66,93,212,1,45,141,23,143,188,189,163,117,209,214,
67,79,55,124, };
static unsigned short stb__courier_bold_44_usascii_t[95]={ 1,1,186,1,1,64,142,36,1,1,167,
142,117,186,49,1,36,64,64,36,91,36,36,64,36,36,36,1,142,186,142,
91,1,142,142,91,117,117,117,91,117,117,91,117,142,117,117,64,117,1,117,
64,91,91,91,91,91,142,91,1,1,1,186,186,131,167,36,142,36,167,64,
36,64,64,1,64,64,167,167,142,36,36,167,167,64,142,167,167,167,1,167,
1,1,1,186, };
static unsigned short stb__courier_bold_44_usascii_a[95]={ 373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_44_usascii(stb_fontchar font[STB_FONT_courier_bold_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_44_usascii_s[i] + stb__courier_bold_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_44_usascii_t[i] + stb__courier_bold_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_44_usascii_x[i];
            font[i].y0 = stb__courier_bold_44_usascii_y[i];
            font[i].x1 = stb__courier_bold_44_usascii_x[i] + stb__courier_bold_44_usascii_w[i];
            font[i].y1 = stb__courier_bold_44_usascii_y[i] + stb__courier_bold_44_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_44_usascii_s[i] + stb__courier_bold_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_44_usascii_t[i] + stb__courier_bold_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_44_usascii_x[i] + stb__courier_bold_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_44_usascii_y[i] + stb__courier_bold_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_44_usascii_LINE_SPACING
#endif

