// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT        212
#define STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_45_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_45_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_45_usascii_LINE_SPACING          21

static unsigned int stb__courier_bold_45_usascii_pixels[]={
    0x03333100,0x00000000,0x00000000,0x00154000,0x00035000,0x000002a2,
    0x00000802,0x95100000,0x10000159,0x17930000,0x20015710,0xd887fffe,
    0x0000003f,0xefc89f90,0xfb30000c,0x01efa87f,0x5003ffc8,0xfffffffd,
    0x20017ff4,0x3fe27ffa,0x01dfffff,0xff117fe2,0x3b2e0009,0x0002ceff,
    0xffffffd1,0xfeca800b,0x9970beff,0xffc81799,0x3ffea0ff,0xfffe801f,
    0x01fffb87,0x7d400000,0xffff32ff,0xffb8001d,0x3ffe0fff,0x05ffe806,
    0xffffffd0,0x3fffe6ff,0xffff1000,0x3ffffe25,0x3f205fff,0x3ffee1ff,
    0x3ffaa000,0x1effffff,0x3fffa200,0x805fffff,0xffffffe8,0xfffecfff,
    0x3ffe0fff,0x3fffa4ff,0xfffe805f,0x05fffb87,0x7f400000,0xffff32ff,
    0x3e6001df,0x7fc7ffff,0x6fff806f,0xfffffd00,0x7fffcfff,0xffff9005,
    0x3ffffe21,0x3f604fff,0x3fff61ff,0xfffc8801,0xffffffff,0xfff8804f,
    0xfffeaadf,0x3fffee05,0xffffffff,0x2fffffff,0x4dfffff5,0x805ffffe,
    0xf887fffe,0x00001fff,0x1ffff300,0x17ffffdc,0xeffffd80,0x883fffc1,
    0xadffffda,0xeec980a9,0x3ee7fffe,0x7c401fff,0x3fe24fff,0x00bdeeff,
    0xfe87fff6,0xffd800ff,0xffffffff,0x6404ffff,0xff980fff,0xffffa80f,
    0xffffefff,0x6fffffff,0x9bffffea,0x001ffffb,0x13fff600,0x7ec00000,
    0xfff704ff,0x3fffa009,0x30ffff01,0xffffffff,0xf003ffff,0x7ffc4fff,
    0x7ffe405f,0x1bffe20f,0x41fffd00,0x5c00fffe,0x20bfffff,0x1fffffb9,
    0x403fff10,0x7fc42ffd,0x2e21bfff,0xbffffffd,0x7ffffcc0,0x0005dcc6,
    0x3fffe600,0x4c000000,0xf300ffff,0x3fe00bff,0x1fffe07f,0xfffffff5,
    0x07ffffff,0xfc8ffff0,0xff101fff,0xfff889ff,0x7fff4006,0x101fffe0,
    0x401dffff,0x80efffe9,0x7d404ffc,0x7fffec4f,0x7fffec01,0xffff880f,
    0x0000005f,0x0027ffec,0x3fff6000,0x17ffe204,0xf03fffc0,0x7ffc4fff,
    0xffffffff,0xff805fff,0x7fffc47f,0x3ffff705,0x006fff88,0x3fe3fffc,
    0x7fff407f,0xfffd1005,0x003fff0b,0x7ffc4dff,0xfffd002f,0x3fffe01f,
    0x9971004f,0x99999999,0xfff98199,0x1000000f,0x4403ffff,0xff005fff,
    0x3fffc0ff,0x239ffff7,0x5ffffda8,0xc87fff80,0xfe80ffff,0xfff885ff,
    0x3fffc006,0xfa81bffe,0x2a001fff,0x3e20ffff,0x7fcc00ff,0x01fffe66,
    0x00ffff98,0x007fffff,0xfffffff1,0x3fffffff,0x007fffd0,0x3fff2000,
    0x2fffc405,0x207fff80,0x3ff67fff,0x3ffe204f,0x87fff803,0x543ffff8,
    0xf881ffff,0x7fc006ff,0x1bffe27f,0x004fffb8,0x262fffd8,0xffd506ff,
    0x7ffdcdff,0x7fffc004,0x7ffffd00,0xfffff500,0xffffffff,0xffff503f,
    0xff100000,0xff8803ff,0xffff005f,0xfd3fffc0,0xefb801ff,0x07fff800,
    0xfb8bfffb,0xfff106ff,0xffeb880d,0xffffffff,0x7ec2dfff,0xfa8001ff,
    0x17fea3ff,0xffffffb1,0x01fffdcd,0x403fffe0,0x002ffffd,0xfffffffd,
    0x03ffffff,0x000ffffa,0x0dfff700,0x00bfff10,0xff81fffe,0x0ffff67f,
    0xffff0000,0xb1bfff20,0x3e20bfff,0x7fdc06ff,0xffffffff,0x0fffffff,
    0x4001fffa,0x3ee5fff9,0x7fffec3f,0x3fe66ffe,0x3fe6006f,0xfffb00ff,
    0x5544003f,0xfeaaaaaa,0xfff701ff,0x7c40000d,0xf8802fff,0xfff005ff,
    0x73fffc0f,0x017dffff,0x0ffff000,0xfd1fffee,0x3fe207ff,0x7ffe406f,
    0xffffffff,0x11ffffff,0x4000dfff,0x3fee6fff,0x473ffee2,0x7fffc6ff,
    0xfffe8803,0xffff900f,0xfd800003,0x3ffe01ff,0xf700002f,0x3e200dff,
    0xff9807ff,0x9fffe06f,0xfffffff8,0xf8000bdf,0xfff307ff,0x17fffc1f,
    0x406fff88,0xffffffd8,0xffffffff,0x1bffe23e,0x27fff800,0x3ffa2ffb,
    0x3f637fc3,0xd300cfff,0x201fffff,0x440ffffb,0xfd8000aa,0x3fee01ff,
    0xfd00006f,0x7fc005ff,0x64c0beff,0x3e05ffff,0x7ffcc7ff,0xefffffff,
    0x1fffe002,0x98ffffc4,0xf101ffff,0x7dc00dff,0x3ffee3ff,0x01fffe03,
    0x737ffc40,0x07ffc5ff,0xffd11bfe,0xb9579fff,0x1fffffff,0x51fffea0,
    0x8003ffff,0x2201fffd,0x0001ffff,0x0037ffd4,0x17ffffee,0x03ffffff,
    0x6c43fffc,0xffffffff,0xfff004ff,0x9ffffc0f,0x100ffffa,0x5c00dfff,
    0x3ff23fff,0x3fffe02f,0xfff98000,0x7c4bfee5,0x886ff86f,0xfffffffe,
    0xffffffff,0xffff500f,0x05ffffd8,0x00fffec0,0x0017fff2,0x007fffd0,
    0x7fffff88,0x1bffffe6,0x440ffff0,0xffffffdb,0xfff803ff,0x53fffa07,
    0x2207fffb,0x32006fff,0x3ff22fff,0x3fffa02f,0xfffb8002,0xfe8bfee3,
    0x9837fc2f,0xfffffffe,0xffffffff,0x8dfff300,0x005ffffe,0x200fffec,
    0x001ffff8,0x01ffff50,0xfffffd80,0x7fffff44,0x01fffe02,0xffffca88,
    0x3fffc00f,0x2a5ffff0,0xf100ffff,0x7e400dff,0x3fff62ff,0x1bffee01,
    0x5ffff100,0xff917fdc,0x0dff339f,0xfffffea8,0xfffe8cff,0x50fffa00,
    0x8005ffff,0xc801fffd,0xd0005fff,0xf0007fff,0x2a039fff,0x3e05fffd,
    0x880047ff,0x7c02ffff,0xfff107ff,0x3fffe23f,0x0dfff101,0xfffecb88,
    0xdfffeccd,0xffff880a,0x3fff2003,0x3a1ffd46,0xffffffff,0xacba9801,
    0x007fff41,0x2ee60793,0xfffd8000,0xffff9801,0x7ffcc000,0x7fc4000f,
    0xfff8806f,0x45fffe06,0xff9003fe,0x7fff807f,0x41ffff50,0xf102ffff,
    0x7fcc0dff,0xffffffff,0x0fffffff,0x02ffffc8,0x42ffffb8,0x7ec44ff9,
    0x04ffffff,0x1fffd000,0x40000000,0xb001fffd,0xd8009fff,0x88004fff,
    0xff005fff,0xbfffc0df,0xc800fffb,0x7fc03fff,0xffff707f,0x104fffe8,
    0x7dc0dfff,0xffffffff,0xffffffff,0xfffff883,0xffffb104,0x5417fe0b,
    0x00ceeeec,0x1fffd000,0x05dc4000,0x0fffec00,0x0ffff980,0x1ffff300,
    0xbfff1000,0x81fffe00,0xfffb7fff,0xffff880b,0x83fffc02,0x7ec5fffc,
    0xfff105ff,0x7fffc40d,0xffffffff,0x300fffff,0x7bffffff,0xffffffb7,
    0x001ffa01,0xffe80000,0xff50000f,0xfd8003ff,0x3fa001ff,0xff9003ff,
    0x3e2000bf,0xfff005ff,0xdbfffc0f,0x11aeffff,0x1fffffb7,0xd07fff80,
    0xffb89fff,0xdfff106f,0xffff5300,0x5ffff755,0xffff5003,0xffffffff,
    0x7fe401df,0x00000002,0xa801fffd,0x5ffffd81,0x0fffec00,0x0ffff500,
    0x03ffff10,0x17ffe200,0xf03fffc0,0x3fff6fff,0xffffffff,0xf802ffff,
    0xfff987ff,0x7fffcc2f,0x06fff882,0x44dfff10,0x4c006fff,0xfffffffe,
    0x5c00dfff,0x000006ff,0xfff99950,0xff88379f,0x7fffec5f,0x7ffec005,
    0x7fff4001,0x2fffe403,0xbfff1000,0x81fffe00,0xfff97fff,0xffffffff,
    0x3e009fff,0xfffd87ff,0x0dfffd06,0x200dfff1,0x3e26fff8,0xf70005ff,
    0x7bffffff,0x0bffe200,0x5c000310,0xffffffff,0x3fee0fff,0x3ffea0ff,
    0x7fec001f,0x7fd4001f,0x3ffe206f,0x3e20001f,0xfff005ff,0xabfffc0f,
    0xffffffff,0x002fffff,0xff31fffe,0x3fee07ff,0x7ffc42ff,0xbfff3006,
    0x002fffcc,0x7fffff44,0x2e03100b,0xff703fff,0x3ff60005,0xffffffff,
    0x1bffe22f,0x20002ee2,0x8001fffd,0xf702ffff,0x98000dff,0xff005fff,
    0x3fffc0ff,0xffb71173,0x80015bff,0x7fec7fff,0x7fffc07f,0x037ffc46,
    0x2a5fff98,0x44004fff,0xfffffffe,0xffda9bde,0xbffffd04,0x05ffffd9,
    0x3fffea00,0x86ffffff,0x000002b8,0x0001ffff,0x3e0dfff7,0x40002fff,
    0xd004fffb,0x3fe03fff,0x6fff807f,0x9fffe000,0x404ffff8,0x221ffffb,
    0xf5006fff,0x7ffd49ff,0x7ffec004,0xffffffff,0x107fffff,0xfffffffd,
    0x300009ff,0x15555555,0x50000000,0x2000dfff,0x5c2ffff8,0x20006fff,
    0x03ffffea,0x3bffff90,0xf807fff8,0xb71006ff,0x64ffffdd,0x4400ffff,
    0x3e25ffff,0x0bdeefff,0x2e4fffa8,0x26003fff,0xffffffff,0xffffffff,
    0x7ff5c03f,0x0002dfff,0x00000000,0xfffea880,0x3ff20004,0x1ffff46f,
    0xffff9800,0xff3000ff,0xfff8ffff,0x06fff806,0xffffffb0,0x3fffe2ff,
    0xffff7004,0x3ffffe21,0xffb84fff,0x0bffee3f,0xfffff880,0xfffffeef,
    0x22004fff,0x00000099,0x98000000,0xffdccccb,0x0001ffff,0x547fffe2,
    0x20007fff,0x02fffffa,0x7ffffd40,0x201bffe0,0xff006fff,0x2fffffff,
    0x4006fff8,0xff11fffe,0x0bffffff,0x7cc3fff1,0x6d4000ff,0xecb881bc,
    0x000000cd,0x00000000,0x3fffe600,0xffffffff,0xffc80002,0x07fff93f,
    0x0dffd800,0x7ffb5000,0xd802ffa8,0xff7004ff,0x64ffffff,0x744001ef,
    0x3fffe25f,0x9302efff,0x00039505,0x00000000,0x00000000,0x7ffdc000,
    0xffffffff,0xfd100002,0x01bfea3f,0x00000400,0xd3000402,0x9988001b,
    0x00041999,0x26666020,0x00000099,0x00000000,0x00000000,0x74400000,
    0xdfffffff,0x4400001b,0x0005cc0a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55544000,0x0000002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x20000008,0x01ccdca8,0xabccba88,
    0x00000000,0x01599510,0x79999510,0x6665cc03,0xca9800ac,0x0000abcc,
    0x26660000,0x20000009,0x002bdca8,0x32a20000,0x3f6e4ccc,0x8003ceff,
    0xdffffdc8,0x17999952,0x3fff6a00,0x2e05ffff,0xffffffff,0x7fffd402,
    0xffffffff,0xffe9804e,0x201effff,0xfffffffd,0xfffffb82,0x3faa05ff,
    0x3fffffff,0x7fffffc0,0xffffffff,0x3ff21fff,0x00006fff,0xfffffe88,
    0xb73002ff,0x019bfffd,0x3ffffffe,0xfffffffb,0xf7001eff,0xffffffff,
    0xffffffdd,0x7ffec403,0x1fffffff,0x7fffff44,0x205fffff,0xfffffffa,
    0x1fffffff,0x3ffffe60,0x881fffff,0xffffffff,0xfffffe84,0xfffb07ff,
    0xffffffff,0x3fffe01d,0xffffffff,0xf31fffff,0x00dfffff,0xfffe8800,
    0x05ffffff,0x3fffffaa,0x4c3fffff,0xffffffff,0xffffffff,0x36204fff,
    0xffffffff,0xffffffff,0xffd303ff,0xffffffff,0xffffd83f,0xffffffff,
    0xfffff504,0xffffffff,0x3ffe601f,0xffffffff,0xffffc80f,0xffa81fff,
    0xd84fffff,0xffffffff,0xf06fffff,0xffffffff,0xffffffff,0x3ffffe23,
    0x2200006f,0xfffffffe,0xfe84ffff,0xffffffff,0x7f44ffff,0xffffffff,
    0xffffffff,0xfff903ff,0xffffdfff,0xffffffff,0xfffff101,0x7d7359df,
    0xdfffffb8,0xfffffdba,0xeffffa82,0xdeeeeeee,0x3ffffa02,0xffffcaac,
    0x7ffff304,0xffffd880,0xfffff880,0xffeb99ac,0xffff83ff,0xeeeeeeee,
    0x2a1ffffe,0x006fffec,0x3ffff200,0xffffdacf,0x7ffffc2f,0xffffffff,
    0x7fd442ff,0x20aeffff,0x1fffffb9,0x177fffd4,0x3fffff22,0xffd101cf,
    0x74001dff,0xe880dfff,0xffa85fff,0x7cc0004f,0xffa81fff,0xfff901ff,
    0x7ffff00d,0x0077ff40,0xfb0dfffb,0xfff100bf,0x037ffc0f,0xffff8800,
    0x5fffe883,0x0deffffc,0x41ffffaa,0x00dfffff,0xf1bfffe6,0xfa80bfff,
    0x3601ffff,0x000dffff,0x807fffe2,0xfa87fffa,0x6c0004ff,0x3f603fff,
    0xfff104ff,0x7ffdc05f,0x401e4407,0xea87fff8,0xfffb801e,0x01bffe04,
    0x2fffdc00,0x43ffff10,0x7cc07ffe,0xfff81fff,0xfff3007f,0x3fffe63f,
    0xffffc800,0xbffff301,0xbfff3000,0x81ffff00,0x0004fffa,0x803fffe2,
    0x3207fff9,0x3fe06fff,0x400003ff,0x0000fffe,0xf017fff4,0x00020dff,
    0xc805fff9,0x3ff24fff,0x2fffd805,0x004ffff8,0x7d4ffff6,0xff1004ff,
    0x3ff603ff,0xff10005f,0xfff880df,0x27ffd40f,0x9fff5000,0x03fffd00,
    0x20bfffe2,0x0007fffb,0x03fffc40,0x1fffe600,0x6dcdfff0,0x403cefff,
    0x5401fffd,0x3ba65fff,0x3fffb802,0x000ffff8,0x7e53ffea,0x3fa002ff,
    0xfff881ff,0x3fe0001f,0x3ff202ff,0xdfffa86f,0x0bdffedc,0x00fffee0,
    0xc80bfff2,0x7fc46fff,0x200003ff,0x005fffe8,0x027ffdc0,0x3feffffe,
    0xefffffff,0x03fffb01,0x006fff98,0x20ffffa0,0x2000ffff,0xff94fffa,
    0x7ff4005f,0x6fffa81f,0x037bd971,0x0befffd8,0x13fffee2,0x3fffffea,
    0x02ffffff,0x7005fff9,0x7c407fff,0x3fee2fff,0x54c0006f,0x2fffffca,
    0x7fff4000,0x7ffffc02,0xffffffff,0xffc83fff,0x7fff402f,0xfff90007,
    0x5ffff03f,0x97ffe400,0x2003fffb,0xfb81ffff,0xffffabff,0x3e204fff,
    0xfedfffff,0xa80effff,0xffffffff,0xd84fffff,0xfa801fff,0x7fe404ff,
    0x7ffff16f,0x7ffec000,0x004fffff,0x03fffcc0,0x7ffffffc,0xfffffeff,
    0x7ffd43ff,0x3fffee05,0x3faa000f,0xfff05fff,0xff5003ff,0x3ffe61ff,
    0xffff5006,0xfdfff903,0xffffffff,0x3ffe601d,0xffffffff,0xffff501f,
    0xffffffff,0xfffd85ff,0x4fffa801,0x57fffc40,0x0006fffb,0x3fffffe2,
    0xb80006ff,0xff805fff,0x20aeffff,0x0fffffb8,0x20bfffe2,0x1ffffff9,
    0x7fffe440,0xfff01fff,0x7dc05fff,0x3fe26fff,0x7f4403ff,0xffd81fff,
    0xffffffff,0x3a05ffff,0xffffffff,0x7ffc05ff,0x7ff541cf,0x3fff60ff,
    0x4fffa801,0xfefffb80,0x40003fff,0xfffffffe,0x7f40002f,0xfff802ff,
    0x7f4405ff,0x7ffe45ff,0xfffd99bf,0x7c03ffff,0x0effffff,0x3fffffe0,
    0xfecbbcef,0x7e40ffff,0xfd304fff,0xfb03ffff,0x39ffffff,0x05fffff7,
    0xfffffffb,0x409fffff,0x7fc402b8,0x3fff63ff,0x4fffa801,0xfffff880,
    0x500006ff,0xffffffd9,0x3fe60003,0xffff007f,0xfff3001d,0x7fff441f,
    0xffffffff,0x7fc02fff,0xf803ffff,0xffffffff,0xffffffff,0xdffffd01,
    0xffffb779,0xff903fff,0xd881dfff,0x7fdc6fff,0xfcbbcfff,0x0002ffff,
    0x365fffa8,0xfa801fff,0xff7004ff,0x0007ffff,0x3fffee00,0xffc8000f,
    0xffff005f,0x7ffe4005,0x7ffffcc2,0xffefffff,0x7fffc01f,0xffff000b,
    0xffffffff,0x4c03dfff,0xffffffff,0xffffffff,0xfffffa81,0x1ffff301,
    0x037fffe2,0x01ffffa2,0x9bffe200,0xb802fffc,0xf1003fff,0x000dffff,
    0xffff9800,0xfffe8003,0x1ffff002,0x27ffdc00,0x7ffffec4,0x07ffe9ef,
    0x4004ffd8,0xffb8ffff,0x03ffffff,0xfffffd30,0xffffffff,0xffff303f,
    0x1ffff807,0x403ffff3,0x001ffff9,0x2e7fff80,0xfc803fff,0x3ee002ff,
    0x00003fff,0x05fffb80,0x03fffcc0,0x800ffff0,0x2a05fff9,0xff32cedc,
    0x3bb300bf,0x47fff800,0x001abba9,0xffffff70,0x3fffb3bf,0x00dfff10,
    0x3ee7fff9,0xffe805ff,0xff80002f,0x17ffea7f,0x003fffa0,0x006fffc8,
    0xfff10000,0xfffc800f,0x3fffe005,0x3ffea000,0xfffb0004,0xf8000009,
    0x000007ff,0x20abca98,0xff01fffd,0xffd801ff,0x05fff92f,0x007fff70,
    0x26fff880,0x200ffff8,0x2007fff9,0x002ffff8,0x3ffe0000,0x7fff4007,
    0x3fffe002,0x3fff2001,0xfffc8002,0x4000001f,0x00007fff,0xffff8000,
    0x07fffb00,0xa8ffffc4,0xfe805fff,0x2000c1ff,0x7ec4fffb,0x3ff604ff,
    0x3ff2003f,0x0000006f,0x8013ffe6,0x4007fff9,0x3006ffff,0x8003ffff,
    0x003ffffc,0x7fff8000,0x40000000,0x2a06fffa,0xc882ffff,0x3fe27fff,
    0x3fee02ff,0x0177f47f,0x21ffffd4,0xc82ffff9,0x1000ffff,0x0005ffff,
    0x2a002f6a,0x2002ffff,0x4005fffc,0x00dfffff,0x01bfffaa,0x5ffffea8,
    0x002ae200,0x000ffff0,0x3aa20000,0x7f404fff,0xfdbdffff,0x7f44ffff,
    0xcaacefff,0x2a5ffffe,0xacceffff,0xfffffcca,0xbffffb06,0x9ffffb77,
    0xd9999510,0x0059ffff,0xccffff88,0xfffccaab,0x3a000fff,0xdb802fff,
    0xffffffff,0xffdcaabc,0x3f620fff,0xfffedbbd,0x3ea006ff,0x5c402fff,
    0xcccffffc,0x7300000a,0xfffb9999,0xf9803fff,0xffffffff,0xfe986fff,
    0xffffffff,0x3e20efff,0xffffffff,0x0fffffff,0xffffff10,0x01dfffff,
    0xfffffffd,0x005fffff,0x7fffffc4,0xffffffff,0x3e6002ff,0xff8807ff,
    0xffffffff,0xffffffff,0x7ffe42ff,0xffffffff,0x3ff6000e,0x7ffc04ff,
    0xffffffff,0xff980004,0xffffffff,0xff5002ff,0xffffffff,0x3ffa203d,
    0xffffffff,0xffffa80d,0xffffffff,0x7fcc02ef,0xdfffffff,0xffffff00,
    0xbfffffff,0xffffb800,0xffffffff,0x7c4000ef,0xff9803ff,0xffffffff,
    0xffffffff,0xffffb82f,0x03ffffff,0x2ffffa80,0x3ffffe60,0x06ffffff,
    0xffffb800,0x2fffffff,0x7ffecc00,0x8804ffff,0xffffffec,0x7f5c404e,
    0xffffffff,0x3ff66003,0x6405ffff,0xffffffff,0x8001ffff,0xffffffda,
    0x000cffff,0x5c00bf70,0xd9effffe,0xffffffff,0x3fff600c,0x000cffff,
    0x2002ee20,0xfffffffd,0x80003fff,0xffffffe8,0x20001bdf,0x009acba8,
    0x01bb9880,0x59755300,0xb9800013,0x554c001b,0x01aaaaaa,0xcaa98800,
    0x00001aac,0x2a200000,0x2001abcb,0x0009bca9,0x2a200000,0x01aaaaaa,
    0xaaa88000,0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26662000,0x00200001,
    0x00133330,0x99988000,0x99980009,0x44000009,0x00999999,0x00000000,
    0x007bdb91,0x20000000,0x001acdb9,0x44000000,0x75c0001a,0x0007ffff,
    0x3ffffb6a,0x7fec1cef,0x00006fff,0x17fffd40,0xffffd880,0xd300004f,
    0xdfffffff,0x3b2e0000,0x4002cdff,0xeffffffa,0x3fa00000,0xd8805fff,
    0xefffffff,0xfeda8001,0x06a1ceff,0x01dfff70,0xfffff100,0xfb1000ff,
    0xffffffff,0x3ffea5ff,0x00006fff,0x17fffd40,0xfffffb80,0xfb00004f,
    0xdfffffff,0xffea8000,0x1effffff,0xcefff880,0x00006fff,0x0bfffff7,
    0xffffff98,0x004fffff,0xfffffff7,0x5ffdbfff,0x1fffff40,0xfffff800,
    0xffe8007f,0xffffffff,0xffff34ff,0x00000dff,0x02ffffa8,0xffffff50,
    0x3f200009,0x6fffffff,0xfff91000,0xffffffff,0x2ffd807f,0x0001ffdc,
    0x3fffffe2,0x3fffea05,0xffffffff,0x3ff6203f,0xffffffff,0x105fffff,
    0x009fffff,0x3fffb260,0x7ffdc007,0xffffefff,0x3fb2a1ff,0x000006ff,
    0x017fffd4,0x9fffdb70,0x36e20000,0x06fffeee,0xfffffb00,0xffffffff,
    0x82ffc0bf,0x640005ff,0x05ffffff,0x59fffff1,0xfffff953,0x3ffffa03,
    0xffffffff,0x3206ffff,0x0000ffff,0x4007fff8,0x981dfffd,0xfff100a9,
    0x0000000d,0x3ffea000,0x7c000004,0xfb8006ff,0x260bffff,0x82fffffb,
    0xdf902ff9,0x7ffcc000,0xf705ffff,0x3e203fff,0xffc85fff,0x2621bfff,
    0x06fffffc,0x00005ed4,0x4007fff8,0x0000ffff,0x001bffe2,0x40000000,
    0x0004fffa,0x037ffc00,0x3bfffe20,0x3fffa600,0x81ffc40f,0x360006fe,
    0x5fffffff,0x805fffd0,0x7cc6fffb,0x4c00efff,0x0006fffe,0x7fff8000,
    0x1bffe200,0xdfff1000,0x00000010,0x9fff5000,0xff800000,0x7ff4006f,
    0xffd1006f,0x30ffd09f,0x2a0009ff,0xfffbffff,0x00bffd05,0xfd83fffe,
    0xf5000eff,0x40000dff,0x3deffecb,0x7301fffe,0x99ffff99,0x80379999,
    0xfb56fff8,0x80059dff,0xccccccb9,0xfffa8003,0x66665cc4,0xfff8002c,
    0x3ffe6006,0x3fea001f,0x77fd41ff,0x00fffc9b,0x3bfffd00,0x3660bfff,
    0xfff8800d,0x3ffff10f,0x04ffe800,0xfffe9800,0xfbffffff,0x3fe607ff,
    0xffffffff,0x01ffffff,0x3fffffe2,0x4fffffff,0xfffff900,0x5000dfff,
    0x7fd49fff,0x05ffffff,0x0037ffc0,0x0009fff7,0xfb05fffb,0x85ffffff,
    0x3ee02ec9,0xfff98fff,0xff700005,0x3fffd4df,0x00f7d400,0x3ffff200,
    0xffffffff,0x3ee07fff,0xffffffff,0x4fffffff,0x3ffffe20,0xffffffff,
    0x7ff400df,0x06ffffff,0x24fffa80,0xfffffffc,0x7ffc007f,0x3fff2006,
    0xfffa8001,0xdffff504,0x3ffff263,0x7ffff105,0x0017ffe6,0x93fffe20,
    0x0005fffb,0x3fee0000,0xffefffff,0x07ffffff,0x3fffffe2,0xffffffff,
    0x3fe201ff,0xffffffff,0x402fffff,0xfffffffa,0xffa8006f,0x3fffea4f,
    0x4004ffff,0x3a006fff,0xf10007ff,0x89880bff,0xffffffca,0xdfffb00c,
    0x002fffcc,0x3ffffa20,0x00ffff21,0x7c400000,0x220bffff,0x7fffffea,
    0xfffba980,0x1aaaaaaf,0xfffff880,0x3ff6a0bf,0x7555005f,0x5000dfff,
    0x3fe69fff,0x00abffff,0x006fff80,0x8001bffe,0x6d407fff,0x2cffffff,
    0x17fffcc0,0x000bfff3,0x1fffff44,0x0007fff6,0x77775400,0x03bfffa2,
    0x7ffffd88,0x1bffe200,0xffff1000,0x3ffe201d,0xfff88007,0xfffa8006,
    0xefffffbc,0x7ffc0000,0xdfff1006,0x3fffc000,0x3ffff6a2,0x3a001cff,
    0x7fcc5fff,0xff30005f,0xffb09fff,0x2000003f,0x3e66fffd,0xf8801fff,
    0x22007fff,0x40006fff,0x400efff8,0x4001fffe,0x8006fff8,0xfffffffa,
    0xf00004ff,0x7fc00dff,0xff10007f,0x7fffdcdf,0xbcb99cef,0x7fffdc01,
    0x02fffcc1,0x7ffffcc0,0x03fffb05,0xfff10000,0x27ffd43f,0x0ffff500,
    0x037ffc40,0x1bffe200,0x007fff60,0x00dfff10,0xffffff50,0x400007ff,
    0x36006fff,0x98000fff,0x3ffa5fff,0xfffb11ce,0x3fe209ff,0xfff984ff,
    0x7ffd4005,0x3ff604ff,0xa800002f,0x7fe44fff,0x3fe2002f,0x3fe2007f,
    0x7c40006f,0xffd806ff,0x7fc4001f,0xffa8006f,0x006fffff,0x037ffc00,
    0x005fff90,0x4c7fff70,0xffffe81b,0xffc85fff,0xdccccdff,0x9002efff,
    0x809fffff,0x0003fffb,0x40fffd80,0x4001fffd,0x22007fff,0x40006fff,
    0xd806fff8,0x44001fff,0xa8006fff,0xffffffff,0xff00000e,0x7fd400df,
    0x7fc4006f,0xffc802ff,0x85ffb31c,0xffffffff,0xffffffff,0x7fffec06,
    0xfffa803f,0xff800005,0x2fffc82f,0x1fffe200,0x06fff880,0x37ffc400,
    0x00fffec0,0x01bffe20,0x3ffffea0,0x000effff,0x006fff80,0x00ffffe2,
    0x00efffc8,0xff886ff8,0x7fffffc5,0xffffffff,0xfe880fff,0x1002ffff,
    0x0005ffff,0x0bff5031,0x8013ffee,0x2007fffa,0x0006fff8,0x4037ffc4,
    0x4001fffd,0x8006fff8,0xffb5fffa,0x80003fff,0x5c006fff,0xb802ffff,
    0x8802ffff,0x8df902ff,0xffffffff,0xffffffff,0xffffe985,0x7fe4001f,
    0x3a6001ff,0x80ffe46f,0x001ffff9,0x400ffffd,0x0006fff8,0x4037ffc4,
    0x4001fffd,0x8006fff8,0x3f24fffa,0x0001ffff,0x2001bffe,0x204ffffd,
    0x005ffffd,0x3f207ff1,0x55555546,0xfffbaaaa,0xffffa81e,0xf88000ef,
    0x400cffff,0x3e2ffffb,0x7fff404f,0x3ff6201e,0x3e2007ff,0x440006ff,
    0xfd806fff,0x7c4001ff,0xfa8006ff,0x7ffdc4ff,0xff0002ff,0xff1000df,
    0xb77bffff,0x01ffffff,0x7c437fc0,0xff30005f,0xffff70bf,0x0b9801bf,
    0xffffff98,0xffecbbce,0xbf10ffff,0xfffff100,0xffb7559b,0x5bffffff,
    0xfffffd98,0xffffffff,0xfffd302d,0xfd90bdff,0xb85dffff,0xfffffffe,
    0xdfffffff,0x7ffff5c2,0xfffffc84,0x3fae0cef,0xffffffff,0x02dfffff,
    0x3fffffea,0xefffffff,0x67fe4001,0x005ffb51,0x7ffffedc,0x3fffa2df,
    0xffffffff,0x706fffff,0xffffffff,0xffffffff,0x7fdc0007,0xffffffff,
    0xffffffff,0x3fffa0ff,0xffffffff,0xfd07ffff,0x7fffffff,0x7fffffd4,
    0x3ffe66ff,0xffffffff,0x0fffffff,0x9ffffff7,0xffffffd0,0x3ffe69ff,
    0xffffffff,0x0fffffff,0x3ffff620,0x0dffffff,0xffffd000,0x4c009fff,
    0xffffffff,0x3ffffa7f,0xffffffff,0x300fffff,0xfffffffd,0x03dfffff,
    0xffff5000,0xffffffff,0x1fffffff,0x7ffffff4,0xffffffff,0xffffd07f,
    0x7d47ffff,0x7fffffff,0x3fffffe6,0xffffffff,0xff70ffff,0xfd09ffff,
    0x9fffffff,0x3fffffe6,0xffffffff,0xb800ffff,0xefffffff,0x7ec40002,
    0x4003ffff,0xfffffff9,0x3fffa7ff,0xffffffff,0x01ffffff,0x7ffffed4,
    0x0003dfff,0x7fffe440,0xff9dffff,0x6d43dfff,0xffffffff,0x02dfffff,
    0xdfffffb3,0xfffec819,0x7f5c2dff,0xffffffff,0x23dfffff,0x4ffffec8,
    0xfffffd98,0x3ffae0ce,0xffffffff,0x003dffff,0x000ddcc4,0x05654c00,
    0xfffeb800,0x3fa2dfff,0xffffffff,0xffffffff,0x77531001,0x00000015,
    0x02af2ea6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4a880000,0x00000000,
    0x98000000,0xcccccccb,0x8801cccc,0x440000cc,0x1bccccca,0xcccccb98,
    0x3333260a,0xcccccccc,0xcccccccc,0x33332a20,0x1abccccc,0xccca8800,
    0x2e601bcc,0x881bcccc,0x0acccccb,0x33332e20,0x555500ac,0x65440015,
    0x40007ffe,0xdeffedb9,0x2200330b,0x2deffedb,0x7fe4002a,0xffffffff,
    0x6c07ffff,0x220004ff,0xffffffff,0x3ffff23f,0xf50fffff,0xffffffff,
    0xffffffff,0x3fe21fff,0xffffffff,0x00dfffff,0xfffffff0,0xfffd0bff,
    0x5cdfffff,0xffffffff,0xffffb82f,0x4c2fffff,0x8806ffff,0xffffffeb,
    0xffd30007,0xffffffff,0xfb807ffd,0xffffffff,0xf800ffff,0xffffffff,
    0x1fffffff,0x001bffe0,0xffffffb8,0x3ffe6fff,0x2fffffff,0xfffffff5,
    0xffffffff,0x2a1fffff,0xffffffff,0xffffffff,0x7ffd403f,0x0fffffff,
    0x3fffffe2,0xffb1ffff,0x9fffffff,0xffffffb0,0xffb89fff,0x7fd402ff,
    0x7fffffff,0xffffa800,0xffffffff,0x3f605fff,0xffffffff,0x802fffff,
    0xfffffffc,0x6fffffff,0x003fffc0,0xffffff10,0x7fe47fff,0x0fffffff,
    0xfffffff5,0xffffffff,0x7c1fffff,0xffffffff,0xffffffff,0x3ffe202f,
    0x85ffffff,0xfffffffe,0x3fffea6f,0xb82fffff,0xffffffff,0x2ffff41f,
    0x7ffffe40,0x4007ffff,0xfffffffb,0xffffffff,0xffff707f,0xffffffff,
    0x22009fff,0xffdaaaaa,0xf801aacf,0x440007ff,0x0aaffffa,0xffffaa88,
    0x56fffd42,0xaefffbaa,0x0fffeaaa,0x577ffdcc,0xffdcbaaa,0x36201fff,
    0x01aadfff,0x3fff6aa6,0xffffb984,0x32a200ac,0x440affff,0xa801ffff,
    0xffceffff,0x3fee007f,0x220aceff,0x87ffffd9,0x1ceffff8,0x3ffffee6,
    0x7fe40004,0x7ffc002f,0xff880007,0x3ffe006f,0x44fffa87,0xfd86fff8,
    0xfff880ff,0x7fffcc06,0x27ffdc04,0x0fffe400,0x009fffb0,0xa827ffec,
    0x2a005fff,0x1fffe0ab,0x77fffc40,0x7fffb800,0x00ffffa8,0x013fffa2,
    0x05fff900,0xfffcca88,0xcccccccf,0x7ffc401b,0x1fffe006,0xf113ffea,
    0xfffb0dff,0x0dfff101,0x80dfff70,0x6445fffa,0x7fec0ccc,0x3ffe601f,
    0xfff8800f,0x3fff900f,0xffff0000,0x3bfff200,0x17ffe000,0x200ffff2,
    0x0003fffb,0x2017ffe4,0xfffffffd,0xffffffff,0x3ffe204f,0x1fffe006,
    0xf113ffea,0xfffb0dff,0x0dfff101,0x301fffe0,0xffb8dfff,0x7fff42ff,
    0x1ffff400,0x02fffe40,0x00009fff,0x2201fffe,0x4001ffff,0xffc82ffb,
    0xfff8802f,0x7fe40001,0x7fffc02f,0xffffffff,0x206fffff,0x2006fff8,
    0xffa87fff,0x37ffc43f,0x4407ffec,0xfa806fff,0x7fc405ff,0x7ffff47f,
    0x403fffc5,0xf806fffb,0xff302fff,0x3e00001f,0xff9807ff,0x0130007f,
    0x003bffea,0x20000b6a,0x6402fffc,0xffffffff,0xffffffff,0x1bffe202,
    0x887fff80,0x7fc41fff,0x06ffb86f,0xa80dfff1,0xf803ffff,0x3ffe27ff,
    0xfff10fff,0xffff100d,0x37ffd403,0x0009ff70,0x403fffc0,0x0005fffb,
    0x7fffff00,0x20000003,0x8802fffc,0xaaffffaa,0x802aaaaa,0x2006fff8,
    0x7b507fff,0x10dfff10,0x3fe203b9,0xffda986f,0xfe800fff,0xffff70ff,
    0x3ffe65ff,0xbfff9005,0x01ffff40,0x00001ffb,0x6403fffc,0x00002fff,
    0xffffff90,0x000157bf,0x05fff900,0x007fff80,0x06fff880,0x001fffe0,
    0x001bffe2,0x7fffffc4,0xffffffff,0xfffb003f,0x3fffffa3,0x09fff55f,
    0x03fffe60,0x803fffe6,0x400002fd,0xfd807fff,0x000001ff,0x3fffffee,
    0x402dffff,0x3fff2000,0x3fffc002,0x7ffc4000,0x1fffe006,0x1bffe200,
    0x7fffc400,0xffffffff,0x3f2001ff,0xffff8aff,0xffb8ffff,0x3ffa003f,
    0x4fffc83f,0x00000c40,0x6c03fffc,0x4c401fff,0x00999999,0x7fffffdc,
    0x984fffff,0xff9003ff,0xfff8005f,0xff880007,0x3ffe006f,0xfff88007,
    0xfff10006,0xffffffff,0xfb8001ff,0xcfffbbff,0xffcafffe,0x3fea002f,
    0x7fffc46f,0x00000001,0xfb00ffff,0x3fa603ff,0xffffffff,0x3f6a200e,
    0xffffffff,0x01bff20d,0x0017ffe4,0x0001fffe,0x801bffe2,0x88007fff,
    0x10006fff,0xffffffff,0x005fffff,0xfecfffa8,0xdfffbaff,0x4001fffd,
    0x3ee2ffff,0x0a8806ff,0x7ffc0000,0x1fffc807,0xffffff90,0x007fffff,
    0x7fff6544,0x3fffa3ff,0x2fffc800,0x03fffc00,0x37ffc400,0x00ffff00,
    0x00dfff10,0x21bffe20,0x02fffffb,0x3fbffe60,0xffff17ff,0x8001fffd,
    0x3fa5fffc,0xefd802ff,0x3fe00001,0xfffb807f,0xfffff503,0x05ffffff,
    0x7fff4c00,0x003fffa6,0x000bfff2,0x0000ffff,0x4401fffe,0x88006fff,
    0x10006fff,0x3e60dfff,0x1001ffff,0xbfffffff,0x7fffffec,0xfff88007,
    0x07fffa8f,0x005fff50,0x01fffe00,0xa813ffe6,0xfffeeeec,0x0027e42f,
    0x7f43fffa,0xffd800ff,0x7ffc000f,0xffb00007,0xfff5001f,0xfff10009,
    0x3fe2000d,0x3ffe606f,0xfff000ff,0x7dc5ffff,0x007fffff,0xfb9fffb0,
    0x7dc009ff,0xf80004ff,0xfff007ff,0xfff8001f,0x00fffcc7,0x3a5fff90,
    0x7c400fff,0xff8007ff,0xf900007f,0xfe880bff,0xf88003ff,0xf10006ff,
    0xff980dff,0xfff005ff,0x7c41ffff,0x006fffff,0xffffff50,0xf98001ff,
    0x7c0005ff,0xffb007ff,0xfff800bf,0x02fffdc7,0xd1ffff88,0x26019fff,
    0x8005fffe,0x3101ffff,0x3e60bfd7,0xe880dfff,0x8000ffff,0x0006fff8,
    0x700dfff1,0xd005ffff,0xb0bfffff,0x00bfffff,0x7fffff40,0xfd10005f,
    0x7fc0007f,0xfff3007f,0xfa8805df,0x7ffdc7ff,0x3f6601ef,0xfffd0fff,
    0xfb759bff,0x0003ffff,0x557ffffb,0xffffffd9,0x3fffee05,0xfffdbbcf,
    0xfb7002ff,0xffffffff,0x7edc05bf,0x0cefffff,0xbdffff90,0x7ffffec0,
    0xfffffb82,0x3fee0004,0x0002ffff,0xf00017e4,0x7e400fff,0xacdeffff,
    0xffffffdb,0x7ffffdc7,0xfdcabdef,0x3fa5ffff,0xffffffff,0x001fffff,
    0xffffff50,0xffffffff,0x7ffec01f,0xffffffff,0xfff3005f,0xffffffff,
    0x3fe60fff,0xffffffff,0x3ffffa05,0xffff902f,0xffff101f,0x7c40007f,
    0x0006ffff,0x3fb22000,0xffffffff,0xfd03efff,0xffffffff,0xffffffff,
    0xffffffb8,0xffffffff,0x3ae20eff,0xffffffff,0x40001fff,0xfffffffc,
    0x02ffffff,0xffffffc8,0x2004ffff,0xfffffff9,0x07ffffff,0xfffffff3,
    0x7cc0bfff,0xf703ffff,0x7ec0bfff,0x40002fff,0x003ffffc,0x3fee0000,
    0xffffffff,0x02ffffff,0xfffffff7,0xbfffffff,0xfffff983,0xffffffff,
    0x36a00dff,0xceffffff,0xfd500000,0xbfffffff,0x7f4c0015,0x01efffff,
    0xffffeb80,0x2dffffff,0x3ffffae0,0x6400dfff,0xf500ceff,0x7dc07fff,
    0x40001fff,0x000ffff9,0x3fee0000,0xffffffff,0x02ffffff,0x3ffffb22,
    0x00cfffff,0x3fee2fb2,0x1effffff,0x05654c00,0x95300000,0x00001379,
    0x00137751,0x00000000,0x00000000,0x00000000,0x91000000,0xfffffffd,
    0x09dfffff,0x9acb9880,0x5d4c0001,0x000009ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x97300000,
    0x5c401599,0xa881bccc,0xcccccccc,0x6544001b,0x80bccccc,0x01bcccb9,
    0x99999951,0x00157999,0x99999951,0x15999999,0x2f333260,0xbcccb981,
    0x3332e601,0x332e600a,0x997301bc,0x99999999,0x99999999,0x66665443,
    0xcccccccc,0x444ccccc,0xccccccca,0x00000abc,0xfffd8002,0xfb82ffff,
    0x24ffffff,0xfffffff9,0x006fffff,0xfffffff1,0x7ff47fff,0x4c5fffff,
    0xffffffff,0x3fffffff,0xffffff50,0xffffffff,0xfffe81ff,0x3f24ffff,
    0x86ffffff,0xfffffffd,0xfffffc82,0x7ffe44ff,0xffffffff,0xffffffff,
    0x3ffffe2f,0xffffffff,0x0fffffff,0xfffffff1,0x9fffffff,0xffd70001,
    0x3e207b9f,0x5fffffff,0xffffffe8,0x3ffff27f,0xffffffff,0xfffa800f,
    0x5fffffff,0xfffffff1,0xffffb8ff,0xffffffff,0x641effff,0xffffffff,
    0xffffffff,0x3ffffe63,0x3ffa7fff,0x41ffffff,0xffffffff,0xfffffe84,
    0x7fffc7ff,0xffffffff,0xffffffff,0xfffff52f,0xffffffff,0x1fffffff,
    0x3fffffea,0xffffffff,0xfd1003ff,0x7fffffff,0x3fffff60,0xfffb82ff,
    0x3e64ffff,0xffffffff,0xf1006fff,0xffffffff,0x7ffff45f,0x7fcc4fff,
    0xffffffff,0xffffffff,0x3ffffea0,0xffffffff,0x7ff40fff,0x324fffff,
    0x6fffffff,0xffffffd8,0xffffc82f,0x7fe44fff,0xffffffff,0xffffffff,
    0x3fffe2ff,0xffffffff,0xffffffff,0x3fffffe0,0xffffffff,0xfe804fff,
    0xffffffff,0x3fffa605,0x3fff203f,0xaaa881df,0x1aacfffe,0xfffb9800,
    0x7fdc0aae,0x5101cfff,0x555bfff9,0xffffd975,0xbaaaa88d,0xaaaaffff,
    0x3bffee02,0xffea880a,0x3ff6603f,0x3ff202ff,0xd5100cff,0x55557fff,
    0xffb55555,0xfffb985f,0xaaaaaaae,0x40ffffaa,0xaaaffffa,0xfffffdba,
    0x3ffee03f,0x1fffffff,0x7ffff440,0x6ffff980,0x07fff600,0x3ffe6000,
    0xfffff905,0x3ffea005,0x7fffdc04,0x06fff802,0x02fffcc0,0x400fffec,
    0xf106fffe,0x3600bfff,0xf9000fff,0xfff105ff,0x3fffa00d,0x407fff80,
    0x00ffffe9,0x2a19fffd,0xff3000df,0x7fc41dff,0x36000fff,0x80001fff,
    0xfd85fff9,0x2002ffff,0xd804fffa,0xff804fff,0x7fcc006f,0xfffd805f,
    0xffff9801,0x0ffffd84,0x01fffb00,0x207fff20,0xd006fff8,0x3ffe0fff,
    0xfffe8807,0x00ffff04,0x3fffea00,0x07ffffa5,0x03fffb00,0xbfff3000,
    0x7ffffec4,0x7ffd4001,0x6fff9804,0x006fff80,0x402fffcc,0x9001fffd,
    0x7d43ffff,0x36002fff,0x16440fff,0x7c41ffea,0x21c986ff,0xfff06ffc,
    0x3ffe600f,0x0ffff80f,0xfff70000,0x5ffffb9f,0x3fffb000,0xfff30000,
    0x3ffffa2b,0xffa8000e,0xfff8804f,0x06fff806,0x02fffcc0,0x000fffec,
    0x3e2dfffd,0x6c005fff,0x7ffc0fff,0x4413fa21,0x7fd46fff,0x7c0bfe66,
    0x3f6007ff,0xfffe83ff,0x3f600004,0x4fffffff,0x3fffb000,0xfff30000,
    0xbfffff3b,0x3fea0001,0xfffb804f,0x06fff804,0x02fffcc0,0x000fffec,
    0xfb9ffff3,0xd8001fff,0x3fe60fff,0x3e20083f,0x7ffe46ff,0x1fffe000,
    0x84fffb80,0x001ffffa,0x3ffffa00,0x360005ff,0x80001fff,0xfffffff9,
    0x540005ff,0x7d404fff,0xff802fff,0x7fcc006f,0xeeeeeeff,0x01ffffee,
    0x7ffffdc0,0xd8002fff,0xfeeeefff,0x7c4004ff,0xffeeefff,0x3fe001ff,
    0x3fe6007f,0xdfffd05f,0x7f440000,0x0000efff,0x0007fff6,0x3ffffe60,
    0x002fffff,0x213ffea0,0xeffffda9,0x06fff800,0x7ffffcc0,0xffffffff,
    0xe8001fff,0x05ffffff,0xfffffb00,0x009fffff,0xffffff88,0x001fffff,
    0x8801fffe,0xffb86fff,0x0ccc4fff,0x3fffe200,0x360000ef,0x80001fff,
    0xfffffff9,0x0002ffff,0xfffffff5,0xffffffff,0x1bffe001,0xfffff300,
    0xffffffff,0x10003fff,0x01ffffff,0x3ffff600,0x04ffffff,0x7ffffc40,
    0x01ffffff,0x001fffe0,0xffb8ffff,0xf11fffff,0x3a001fff,0x05ffffff,
    0x07fff600,0xff9804c0,0xfffdffff,0xfa8003ff,0xffffffff,0x001fffff,
    0x3001bffe,0xffffffff,0xffffffff,0x3fee0003,0x360002ff,0xffffffff,
    0x7c4004ff,0xffffffff,0x3fe001ff,0x7ffc007f,0x3ffffee7,0xfff76fff,
    0xfff9007f,0x009fffff,0x007fff60,0x3e607ff2,0xff51efff,0xa8005fff,
    0xffffffff,0x000cffff,0x20037ffc,0x999efff9,0xffd99999,0x3fe0001f,
    0x7ec0007f,0xffa99aff,0x7fc4004f,0xffd999ef,0x3ffe001f,0x3ffe6007,
    0x2bbfffa5,0xffdcffff,0x7fdc02ff,0xffffccff,0xfffd8002,0x84fff801,
    0x440efff9,0x4006fffe,0xfffffffa,0x0001bcef,0x9800dfff,0xfd805fff,
    0x3e0001ff,0x6c0007ff,0x3fe20fff,0x7fc4002f,0x07ffdc6f,0xfff01991,
    0x7ffdc00f,0x5cdfff14,0xffffffff,0x7fffcc03,0x07ffffa6,0x03fffb00,
    0x986fff88,0xff305fff,0x7d4005ff,0x000004ff,0x9800dfff,0xfd805fff,
    0x3e0001ff,0x6c0007ff,0x77dc0fff,0x7ffc4000,0x321fec46,0x7fff84ff,
    0x4bfff600,0x7ec4fffb,0x405fffff,0x20fffff8,0x00fffff8,0x007fff60,
    0xf30dfff1,0x7fdc0bff,0x3fea006f,0xf000004f,0xf9800dff,0xffd805ff,
    0x3fe0001f,0x7ec0007f,0x200000ff,0x2006fff8,0xfff86ffe,0xffff3007,
    0x10ffff23,0x05ffffff,0x0fffff44,0x037fffcc,0x803fffb0,0xf986fff8,
    0x7ff405ff,0xfff5003f,0x3e000009,0x7cc006ff,0xffd805ff,0x3fe0001f,
    0x7ec0007f,0x200000ff,0x2006fff8,0xfff87fff,0xffffa807,0x21bffea5,
    0x407ffffa,0x202ffffd,0x005ffffa,0x8803fffb,0xff986fff,0x7ffd405f,
    0xfffa800f,0xff000004,0xff9800df,0xfffd805f,0x3ffe0001,0x7fec0007,
    0x2200000f,0x3e006fff,0x7fff87ff,0xffff9530,0x7fffc41f,0xfffecbdf,
    0x7f645eff,0xa82dffff,0x3efffffe,0x3ffffb22,0xffffffff,0x26ffffff,
    0xffffffdb,0xfffe80ce,0x7f5c1dff,0xffffffff,0xfec8802d,0xffffffff,
    0x74c3efff,0x1dffffff,0x3fffff26,0x7ed401ef,0xffffffff,0x7ecc02df,
    0xffffffff,0x36e000ce,0xffffffff,0xffffffff,0x3ffae7ff,0xffffffff,
    0x82ffffff,0xfffffffc,0xffffffff,0xffffff53,0xfff88fff,0x71ffffff,
    0xffffffff,0xffffffff,0x3e6dffff,0xffffffff,0xffffa84f,0x3ffea6ff,
    0xffffffff,0x7fdc00ff,0xffffffff,0x22ffffff,0xfffffffe,0x3ffff66f,
    0x2206ffff,0xffffffff,0x00ffffff,0x3ffffffa,0x05ffffff,0xffffff30,
    0xffffffff,0x2fffffff,0xfffffff9,0xffffffff,0x3ffa03ff,0xffffffff,
    0xff54ffff,0x8fffffff,0xfffffff8,0xffff72ff,0xffffffff,0xffffffff,
    0x3ffffe6d,0xd04fffff,0x54dfffff,0xffffffff,0x400fffff,0xfffffffb,
    0xffffffff,0x3ffffa2f,0x3fa6ffff,0x7fffffff,0x3ffffe20,0xffffffff,
    0x3fffa00f,0xffffffff,0xfff3005f,0xffffffff,0xffffffff,0x3fffe6ff,
    0xffffffff,0xb801efff,0xdfffffff,0x320ceffd,0x2dfffffe,0xfffffda8,
    0x3ffb223e,0xffffffff,0xffffffff,0x3ffffae6,0xf700cfff,0xec83bfff,
    0xffffffff,0xec8802df,0xffffffff,0x544effff,0xdffffffd,0x3ffff661,
    0x6dc02dff,0xffffffff,0x6cc02dff,0xffffffff,0x2e001dff,0xfffffffe,
    0xffffffff,0x3fae7fff,0xffffffff,0x44002cee,0x000abca9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xccccccc8,0xcccccccc,0x6665440c,0xbccccccc,0x9730000a,
    0x19999999,0x33326000,0x665cc04c,0xca80accc,0x2e003ccc,0xb882cccc,
    0x00000001,0x00000154,0x4000a600,0x01000000,0x13333100,0x7ffffcc0,
    0xffffffff,0x3fe20fff,0xffffffff,0x02efffff,0x3fffff60,0x003fffff,
    0xffffffe8,0xfffff904,0x7fc1ffff,0x800fffff,0x7ffffff8,0x000f7ffc,
    0x7fe40000,0x80000003,0xa806ffea,0x2cdfffec,0x7ee54400,0x803effff,
    0x202ffffc,0xfffffff9,0xffffffff,0x3fffea0f,0xffffffff,0x005fffff,
    0xffffffff,0x9800dfff,0xffffffff,0xfffffe81,0xff33ffff,0x007fffff,
    0xfffffff7,0x3ffffe65,0x0000000d,0x00017ffa,0xfffd9800,0xffb100ff,
    0xdfffffff,0xffff9005,0xffffffff,0x7fffd405,0x3fffe601,0xffffffff,
    0x3e20ffff,0xffffffff,0xffffffff,0xfffd804f,0xffffffff,0x7fff4001,
    0xfc86ffff,0xffffffff,0x3fffffa0,0xffff807f,0x3fa27fff,0x00cfffff,
    0xfff80000,0x88000007,0x6ffffffc,0xffffff70,0xbfffffff,0x7ffffcc0,
    0xffffffff,0xffff301f,0x77ffcc01,0xfbaaaaaa,0xb980ffff,0xaaaaefff,
    0xfffffcba,0xfaaa9802,0x05ffffff,0xffffa980,0xfaa883ff,0xff702fff,
    0x5405ffff,0x83ffffff,0xffffffd8,0x4000003f,0x00007fff,0x3ffff220,
    0xff504fff,0xffdfffff,0x409fffff,0xefffffff,0x07fffffe,0x980ffff1,
    0x3f605fff,0x3e602fff,0xffd805ff,0x7fcc005f,0x00ffffff,0xffffff00,
    0x7fff401f,0xfffff300,0x7fff40df,0x36601fff,0x2effffff,0xfff00000,
    0x2e00000f,0xdfffffff,0xfffff300,0x3ee62159,0xb301ffff,0xff503579,
    0x3ffe01ff,0x2fffcc06,0x03ffffb8,0x402fffcc,0x4006fff9,0xffdcfffd,
    0xfff0003f,0x740bffff,0xff300fff,0x305fffff,0x3fffffff,0xffffd500,
    0x00003dff,0x0007fff8,0x7ffff540,0x7f401eff,0x7cc02fff,0x80006fff,
    0xfd02fffd,0xfff980bf,0x5ffff984,0x05fff980,0x007fff88,0x2a7fffe2,
    0xf0006fff,0x5fffffff,0x403fffa0,0xfffffff9,0xfffffd85,0x3ee001ff,
    0x0dffffff,0xffff0000,0x3f660000,0x02efffff,0x02ffff88,0x05ffff30,
    0x35797530,0x3607fff9,0xfff804ff,0x77fffc42,0x5fff9800,0x05fffc80,
    0xf9bffee0,0xf8001fff,0xffffdfff,0x00fffe80,0xfffdfff3,0x7fffc43f,
    0x4001fffe,0xffffffc8,0x7c0000cf,0x440007ff,0xfffffffc,0x3ffea003,
    0xeeeeeeef,0xffffeeee,0xffff9103,0xffffffff,0x00fff207,0xffd033aa,
    0x3e6003ff,0x3f2205ff,0x3a003fff,0x3fee2fff,0xfff8005f,0x84ffff8f,
    0xf300fffe,0xbfffbbff,0x7e6fffe4,0x910001ff,0x7fffffff,0x99999880,
    0x999ffff9,0xffb80199,0x00cfffff,0x7ffffdc0,0xffffffff,0x85ffffff,
    0xfffffffb,0x3fffffff,0x0005ff70,0x017fffe4,0xddffff30,0xfffffddd,
    0x7fcc00df,0x7fffc47f,0xbfffc000,0x741ffffb,0xff300fff,0x1ffff3bf,
    0xf93ffff1,0x980003ff,0xeffffffd,0xfffffd82,0xffffffff,0xa84fffff,
    0xdfffffff,0xfff90000,0xffffffff,0xffffffff,0xfffffb8d,0xffffffff,
    0x3ff503ff,0x3ffea000,0x7fcc004f,0xffffffff,0x001fffff,0x3613fff6,
    0x7c003fff,0x3fffa7ff,0x807fff46,0xffd5fff9,0x2dfff79f,0x0001fffc,
    0xffffff50,0x3ffe61df,0xffffffff,0xffffffff,0xffffd10f,0x80003fff,
    0xfffffffb,0xffffffff,0x3ea6ffff,0xacefffff,0x3fffeecc,0x2000ff10,
    0x006ffff9,0xffffff98,0xffffffff,0xfff1005f,0xdfff501f,0x27fff800,
    0x3a4ffff9,0xff300fff,0x3fffeabf,0xff92ffff,0xf500003f,0x1bffffff,
    0x7fffffc4,0xffffffff,0x4c6fffff,0xeffffffd,0x3fe60002,0x999999ef,
    0x99999999,0x3bfffa09,0x3ffee00b,0x20002603,0x00ffffe8,0xfffff980,
    0xffffffff,0x5c00efff,0xaaaaffff,0x01ffffaa,0xf91fffe0,0x3ffa3fff,
    0xbfff300f,0x7ffffff4,0x007fff27,0xffffea80,0x97301eff,0xfff99999,
    0x7999999f,0x3fffaa01,0x8001efff,0x005ffff8,0x1ffff880,0x03fffc80,
    0xfffd8000,0x4c05502f,0x9999efff,0xffffba99,0x7fff406f,0xffffffff,
    0x3e005fff,0xfffe87ff,0x201fffd6,0x3ee5fff9,0x323fffff,0x98001fff,
    0xeffffffd,0x7ffc0002,0x7fdc0006,0x00dfffff,0x27fffe40,0x10bca980,
    0x5c01ffff,0x003fffff,0x7fffdc00,0x209ff703,0x9005fff9,0x2601ffff,
    0xffffffff,0xffffffff,0x0ffff000,0xfd7ffff3,0x3fe601ff,0x7ffffc5f,
    0x07fff20f,0xffffc880,0x00003fff,0x0000dfff,0xffffff91,0x7f40019f,
    0xaabcffff,0xfffffdcb,0x37ffffe4,0xffffdcab,0x00ceffff,0x7fffcc00,
    0x41bffa05,0x2005fff9,0xfb02fffd,0xffffffff,0x7fffffff,0x41fffe00,
    0xfffffffc,0xbfff300f,0x44ffffb8,0x7001fffc,0x9fffffff,0x7fc00001,
    0x2200006f,0xfffffffd,0xffff3003,0xffffffff,0x5cbfffff,0xffffffff,
    0xffffffff,0x20004fff,0x00effff8,0x7cc1fffe,0x3e6005ff,0xfff885ff,
    0xcccccccf,0x06fffccc,0x220ffff0,0xffffffff,0x8bfff300,0x640ffff8,
    0x7d401fff,0x0dffffff,0xfff80000,0xe9800006,0x2effffff,0xffffd880,
    0xffffffff,0x7fe42fff,0xffffffff,0xffffffff,0x3ffa0004,0x7ffc01ff,
    0x0bfff307,0x427ffdc0,0x2005fffb,0xf801fffe,0x3fea07ff,0x300fffff,
    0x5550bfff,0x03fff905,0x3fffffaa,0x000001ef,0x0001bffe,0xffffea80,
    0xfa801eff,0xffffffff,0xd500bdff,0xdfffffff,0x9dffff97,0x3ff20001,
    0xfff803ff,0x0bfff307,0x5ffff730,0x005fffd0,0x402fffdc,0x7ec07fff,
    0x300fffff,0x9000bfff,0xff903fff,0x005dffff,0xdfff0000,0xf7000000,
    0x07ffffff,0x2b32a620,0x5d40009a,0x0000abcc,0x7ffffc00,0xffffffff,
    0x6dc7ffff,0xffffffff,0xffffffff,0xfd910fff,0x019dffff,0xfffffd91,
    0xfffd70bd,0xf883bfff,0x440fffff,0xefffffec,0xffec880c,0xf30cefff,
    0x007fffff,0x7ffc0000,0x10000006,0x1ffffff9,0x00000000,0x7c000000,
    0xffffffff,0xffffffff,0x3ffffe67,0xffffffff,0x2fffffff,0x3ffffff2,
    0xffd83fff,0x3fffffff,0x3fffffe6,0xffb86fff,0x7fdc0fff,0x4fffffff,
    0xffffffb8,0xfff13fff,0x0000019f,0x004ffd80,0x7ec40000,0x000007ff,
    0x00000000,0x7fffffc0,0xffffffff,0x3fe67fff,0xffffffff,0xffffffff,
    0x7fffec2e,0xd84fffff,0xffffffff,0x3fffe63f,0xd06fffff,0xfb81ffff,
    0xffffffff,0xfffffc84,0x3aa4ffff,0x0000000c,0x0003bd30,0x37260000,
    0x00000002,0x40000000,0xffffffff,0xffffffff,0x7fff5c7f,0xffffffff,
    0xb103ceff,0x9dffffff,0xffffb101,0xeb819dff,0x1dffffff,0x81ffff30,
    0xfffffec8,0xfec880ce,0x00ceffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000010,0x00100000,0x00040000,
    0x00000040,0x54400080,0x7303cccc,0x88399999,0xcccccccc,0xcccccccc,
    0x33333260,0xccb981bc,0xca81bccc,0x4401bccc,0x01bcccca,0xc9800000,
    0x9beffffe,0x2e6000ba,0x001bdffd,0x3fffb2e0,0x00b88bdf,0x89999973,
    0x81dffec9,0xd8bcccb9,0x3fae2eff,0xcb8804ff,0xffdb33cc,0xff8805bd,
    0xfa86ffff,0x42ffffff,0xfffffff8,0xffffffff,0xfffff91f,0x7d43ffff,
    0xffffffff,0x3fffff64,0x3ff604ff,0x803fffff,0x10001efa,0xfffffffb,
    0x00bfffff,0xfffffff9,0x4c007fff,0xfffffffe,0x40ffffff,0xfffffffc,
    0xfffffd88,0x3ffe64ff,0xfffffeff,0xfffffedf,0x3ffe206f,0xffffcfff,
    0x300dffff,0x0dffffff,0xfffffff9,0xfffff885,0xffffffff,0xfffd1fff,
    0x47ffffff,0xfffffffc,0x3fffe6ff,0x3e06ffff,0x6fffffff,0x004ffe80,
    0xffffff88,0xffffffff,0x3fffa207,0xffffffff,0x7fe400ef,0xffffffff,
    0x742fffff,0xbfffffff,0xffffffff,0xffff71ff,0xffffffff,0xffffffff,
    0x3ffea09f,0xffffffff,0x00ffffff,0x0dfffffd,0xfffffff3,0xfffff885,
    0xffffffff,0xfff71fff,0x41ffffff,0xfffffff8,0x3fff23ff,0x2e02ffff,
    0x2fffffff,0x006fff80,0xffffffe8,0xffffffff,0xfffe880f,0xffffffff,
    0x3ee06fff,0xfeffffff,0x3fffffff,0x7fffffdc,0xffffffff,0xff14ffff,
    0xffffffff,0xffffffff,0xf101ffff,0xffffffff,0xffffffff,0x7ffdc409,
    0x3ff6a606,0x77ffc42f,0xffcaaaaa,0x6d442fff,0x8809efff,0x0adffff9,
    0x0bfffe88,0xfb993bb6,0xf8800eff,0x7c4006ff,0x4c0acfff,0xd80ffffd,
    0x20aeffff,0x5ffffea8,0xbfffff98,0x3ffb2a20,0xfaa883ff,0xdfffffff,
    0xa83ffb32,0xf12fffff,0x7f49ffff,0x3fe601ff,0x260bffff,0x4407fffc,
    0xfc806fff,0x4fff82ff,0x2fffff98,0x03fffe60,0x00ffffa8,0xf51fffe4,
    0x7fdc1fff,0xff88103f,0x3e60186f,0xffb806ff,0x4ffff986,0x7fffec40,
    0x077fff40,0x0ffffe20,0xffffffd0,0x7fcc0207,0x7fff41ff,0x017ffe44,
    0x03fffff1,0x1007fffc,0xf900dfff,0x3ff905ff,0x2fffff98,0x04fffd80,
    0x2013fff6,0x3f65fffa,0x3ff64fff,0x67ffcc1f,0xb56fff89,0x7ffc0dff,
    0x7701abef,0x017ffee0,0x262fffe8,0x5001ffff,0xfe803fff,0x8001efff,
    0xfe85fff9,0x7ffe40ff,0x3fffe202,0x0fffec00,0x00dfff10,0x2605fff9,
    0x7ffffcc0,0xffff3002,0x1ffff301,0x2ffff100,0x27fffff8,0x7e40ffff,
    0xffffffff,0x2fffffff,0xffffffb0,0x8017bdff,0x2000fffd,0x3ea5fff9,
    0x7f4004ff,0xdfffe806,0xfff30000,0x81fffd0b,0x2202fffc,0xfc806fff,
    0x3fe202ff,0xfffc806f,0xffff3002,0xffd8005f,0x4fffd84f,0x23fffa00,
    0xaffffffb,0xfb86fff9,0xffffffff,0x1fffffff,0xfffffd10,0x09ffffff,
    0x40037ffc,0x3ff27fff,0x0008002f,0x0001fffd,0x742fffcc,0x7fe40fff,
    0x3ffe202f,0x2fffc806,0x01bffe20,0x200bfff2,0x02fffff9,0x0ffff980,
    0x003fffe6,0xfeafffc8,0xfbdfffff,0xfff704ff,0xffffffff,0xd7003dff,
    0xffffffff,0xff983dff,0xffd8005f,0x03fffb0f,0x7ff40000,0x3e60000f,
    0xfffe85ff,0x017ffe40,0x900dfff1,0x7c405fff,0xffc806ff,0x7ffd402f,
    0x3a0002ff,0x3ff64fff,0x7fd4005f,0xffffffef,0x02fffeff,0x7ffff64c,
    0x8000beff,0xfffedca9,0x7fc0ffff,0xfff8006f,0x00bfff27,0xfffe8000,
    0x3fe60000,0x0fffe85f,0x1017ffe4,0xf900dfff,0x7fc405ff,0xfffc806f,
    0x3fffea02,0x2a00102f,0xff98ffff,0x7c4001ff,0xdcffffff,0x0fffffff,
    0xfffffb00,0x0ee2007f,0x3fffee60,0x00fffec3,0x549fff50,0x00004fff,
    0x003fffa0,0x85fff980,0x7e40fffe,0x3fe202ff,0xfffc806f,0x1fffe202,
    0x05fffb10,0x0bffffea,0x740077dc,0xfffdcfff,0xfffd0005,0xfff53fff,
    0x2e00dfff,0xffffffff,0x03ffc801,0xb8dfff50,0x8800efff,0x3e22ffff,
    0x44001fff,0x7fff401b,0x3fe60000,0x0fffe85f,0x1017ffe4,0xf900dfff,
    0xfff805ff,0xfffc881f,0xfffa82ff,0xfff102ff,0xffff5007,0x0003ffff,
    0x9bfffff2,0x04fffffe,0xedffff98,0xff806fff,0x7dc00cff,0x7ffc46ff,
    0x3fea02ef,0x7ffc0fff,0xff7002ef,0x7fff401f,0x3fe60000,0x0fffe85f,
    0x1017ffe4,0xf900dfff,0xffd805ff,0xffdbacef,0x0cffffff,0xfffffff5,
    0xffffffff,0x3ffa00bf,0x0005ffff,0x8fffffea,0x02fffffb,0x98efffd8,
    0x7c03ffff,0xaccfffff,0xffffecaa,0xfffffc84,0xffecaacd,0xff983fff,
    0xaabcefff,0xfffffdcb,0xffffd913,0xffffffff,0x7ff6407b,0x3ffa2dff,
    0x3fff23ef,0x3ffa20cf,0xd985efff,0x00cfffff,0xfffffff5,0xffffffff,
    0x3fff29ff,0xffffffff,0x005fffff,0x3ffffff5,0x7ffc4000,0x3ffe20ff,
    0x7fc400ff,0x3ffee1ff,0x7ffffc06,0xffffffff,0xfb00ffff,0xffffffff,
    0x40bfffff,0xfffffffa,0xffffffff,0xffffb0ff,0xffffffff,0xf701ffff,
    0x4fffffff,0x92fffffe,0x6c9fffff,0xffffffff,0x7fffff43,0x3fee04ff,
    0xffffffff,0x94ffffff,0xffffffff,0xffffffff,0x7fff400b,0xff80006f,
    0xfffd85ff,0x07ffd007,0xfd809ffb,0xffffffff,0x01efffff,0x7fffffdc,
    0x03ffffff,0xffffffb8,0xffffffff,0x3ffff61f,0xffffffff,0xfb81ffff,
    0x0fffffff,0x25fffffd,0x24fffffc,0xfffffffe,0x7ffff44f,0x7dc04fff,
    0xadffffff,0x90cefffd,0xffffffff,0xffffffff,0x7ffd400b,0xfd80002f,
    0xfffa82ff,0x40571005,0xcee9802b,0xfffffffe,0x326002ef,0xdffffffe,
    0x3f22000b,0xffffffff,0xffd982ef,0xffffffff,0x9103efff,0x45bffffd,
    0x324efffe,0x260cffff,0xcefffffd,0x7fffecc0,0x973000ce,0x00000157,
    0x00000000,0x00000000,0xa9800000,0x001abccb,0x00ddcc40,0x65d4c400,
    0x0000aabc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x981bcccc,0x00accccb,0x00000000,
    0x7ffff400,0x0ffffee0,0x80000a98,0x88888888,0x88888888,0x10088888,
    0x11111111,0x01111111,0x00000000,0x00000000,0x00000000,0xffffff10,
    0x7ffd43ff,0x4006ffff,0x3f6a003d,0xffffffff,0xffffffff,0x3fff22df,
    0x17fffd47,0x0f7fff4c,0x7fff6400,0xffffffff,0xffffffff,0x3ea4efff,
    0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,0x7ffffcc0,
    0x3ff23fff,0x00ffffff,0x2005ff90,0xffffffff,0xffffffff,0x2e6fffff,
    0x7fcc6fff,0x7ffdc1ff,0xfb03ffff,0x7ffffd49,0xffffffff,0xffffffff,
    0xf52fffff,0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0xfffffd00,0xffff88df,0xf5005fff,0xff003fff,0xffffffff,0xffffffff,
    0x7fd4dfff,0x3fffc45f,0x3fffffee,0x7fec3fff,0xfffff51f,0xffffffff,
    0xffffffff,0x2a5fffff,0xffffffff,0xffffffff,0x00000001,0x00000000,
    0x00000000,0xffff5000,0x7ff441df,0xf3001eff,0x801dffff,0xffffffd9,
    0xffffffff,0x261cefff,0xfff84fff,0x3ffffe27,0x9cfffffc,0x2e0ffffd,
    0xfffffffd,0xffffffff,0xdfffffff,0x2eeeee63,0xbbbbbbbb,0x00000bbb,
    0x00000000,0x00000000,0x22000000,0x99effffe,0x005fffff,0x3fffffe2,
    0x0000006f,0x41fffc40,0x3fee6ffe,0xffff31ff,0x09ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb1000000,0xffffffff,0xfe8009ff,
    0x4fffffff,0x40000000,0xffd82fff,0x107ffe24,0xfffffffd,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffffc8,0x7ec003ff,
    0xfffdbfff,0x0000003f,0x2e07ffa0,0x005c43ff,0x0bfffff9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x2ffffffb,0x7fffdc00,
    0x0bffffa4,0x6666664c,0xcccccccc,0xfc81bccc,0x02ffa80f,0x017b9500,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xffffffd8,
    0x3ffea004,0x7fff445f,0x7ffff41f,0xffffffff,0xffffffff,0xf983fdc5,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0xfffffffe,0x7fc400df,0xff980eff,0xfff10eff,0xffffffff,0xffffffff,
    0x02d88fff,0x00000132,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0xfeeffffe,0x3200efff,0x2a00ffff,0x3f63ffff,0xffffffff,
    0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffcc000,0xfffb14ff,0x3fee03ff,0xfffb801f,0x55555441,
    0xaaaaaaaa,0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7d400000,0xfd83ffff,0xc882ffff,0x0fae001d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ed40000,
    0x20cfffff,0xffffffd8,0x0000001d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0x323fffff,0xffffffff,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff800,0x3ee2ffff,0x6fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffda80,
    0x7f6444ef,0x001dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_45_usascii_x[95]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2, };
static signed short stb__courier_bold_45_usascii_y[95]={ 33,7,9,5,5,8,10,8,7,7,7,10,27,19,
28,4,7,7,7,7,7,7,7,7,7,7,15,15,10,15,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,40,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,15,15,15,15,15,15,7,7,7,17, };
static unsigned short stb__courier_bold_45_usascii_w[95]={ 0,7,14,20,18,18,18,6,10,10,18,22,9,18,
7,18,18,18,19,20,19,20,18,19,18,18,7,10,24,24,24,17,17,26,23,22,22,22,23,23,24,18,23,25,
22,26,25,24,21,24,25,20,22,24,26,26,24,24,20,10,18,10,18,28,8,22,24,21,24,21,21,23,24,20,
16,22,20,26,23,22,24,24,21,20,22,23,24,25,24,24,18,12,5,12,20, };
static unsigned short stb__courier_bold_45_usascii_h[95]={ 0,27,11,32,33,26,24,13,33,33,18,23,13,5,
6,34,27,26,26,27,26,27,27,27,27,27,19,23,23,13,23,26,30,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,31,24,26,24,25,24,24,24,24,24,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,25,19,18,18,18,27,18,33,33,33,9, };
static unsigned short stb__courier_bold_45_usascii_s[95]={ 248,240,70,151,88,163,236,244,129,118,234,
151,240,135,248,37,109,1,202,153,182,88,50,174,69,219,248,245,174,45,126,
238,197,46,22,222,213,190,166,20,116,97,65,49,26,99,73,138,75,172,160,
44,137,112,213,186,1,141,1,140,18,107,26,106,240,221,194,45,1,199,26,
26,48,73,1,94,117,89,116,22,1,215,67,1,89,140,183,208,1,128,164,
69,82,56,85, };
static unsigned short stb__courier_bold_45_usascii_t[95]={ 28,1,192,1,1,66,121,146,1,1,171,
146,94,192,21,1,37,94,66,37,66,37,37,37,37,37,1,66,146,192,146,
37,1,146,146,66,121,121,121,94,121,121,94,121,121,146,146,66,121,1,94,
94,94,94,94,94,121,121,146,1,1,1,192,192,108,146,37,171,66,146,66,
37,66,66,1,66,66,171,171,171,37,1,171,171,94,171,171,171,192,37,171,
1,1,1,192, };
static unsigned short stb__courier_bold_45_usascii_a[95]={ 381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_45_usascii(stb_fontchar font[STB_FONT_courier_bold_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_45_usascii_s[i] + stb__courier_bold_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_45_usascii_t[i] + stb__courier_bold_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_45_usascii_x[i];
            font[i].y0 = stb__courier_bold_45_usascii_y[i];
            font[i].x1 = stb__courier_bold_45_usascii_x[i] + stb__courier_bold_45_usascii_w[i];
            font[i].y1 = stb__courier_bold_45_usascii_y[i] + stb__courier_bold_45_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_45_usascii_s[i] + stb__courier_bold_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_45_usascii_t[i] + stb__courier_bold_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_45_usascii_x[i] + stb__courier_bold_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_45_usascii_y[i] + stb__courier_bold_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_45_usascii_LINE_SPACING
#endif

