// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT        218
#define STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_47_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_47_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_47_usascii_LINE_SPACING          22

static unsigned int stb__courier_bold_47_usascii_pixels[]={
    0x13333100,0x005b5000,0x0c020000,0x00020000,0x4cccc402,0x00044099,
    0x2e205d40,0x4ccc400b,0x40000999,0x54400000,0x10003300,0x00379d95,
    0x00000000,0x13fffea0,0x01fff300,0x7fc40000,0x003ffa26,0x00dfd100,
    0x74cbfff2,0x4fffffff,0x000fbfee,0x3f637fec,0x7ffe406f,0x000dffff,
    0x9bfffd95,0xffe80003,0x0027fdc2,0xfffffffb,0xedb98007,0x2aaa2cef,
    0x500001aa,0x8009ffff,0x0002fffb,0x4bfff600,0x0004fffb,0x101fffdc,
    0x36dffffd,0xffffffff,0x13ffffe4,0x1ffff500,0x9027fffc,0xffffffff,
    0xfffd8809,0x0dffffff,0x5fff9800,0xd803fff4,0xffffffff,0xffd8804f,
    0xaeffffff,0x0fffffff,0x7ffd4000,0x7fe4004f,0x1000003f,0x3e63ffff,
    0x20000fff,0x3603fffc,0xf95fffff,0x9fffffff,0x1ffffff4,0x6ffff880,
    0x807fffec,0xfffffffc,0x3ffee03f,0xffffffff,0x7d4002ff,0x3ffe26ff,
    0xefffe807,0x3ffffc9b,0x3ffffea0,0xffffffff,0x03ffffff,0x7fffd400,
    0xfff95004,0x015359ff,0xdfff9000,0x004fffe8,0x40ffff20,0x0dfffff9,
    0xfffffd91,0x7fff4c9f,0xfff7007f,0xffff987f,0xfffff905,0x3ee017df,
    0xffffffff,0x02ffffff,0x897ffea0,0x7d407fff,0xdff703ff,0x3ffffe60,
    0xffffffff,0x1fffffff,0x4ccc4000,0x7fec4009,0xffffffff,0x220000ff,
    0x7dc3ffff,0x90000fff,0x3ee07fff,0xfc800eff,0xfff984ff,0xfffe801f,
    0x3ffffd07,0x007fff90,0x37ffffe6,0xfffd730a,0x3ee001ff,0x3ffe65ff,
    0x02fff406,0x3fa03ff6,0xa99befff,0xfffffffc,0x000002ce,0xffffe880,
    0xffffffff,0x3f20002f,0xfff887ff,0xff90003f,0x3fff207f,0x9fff9004,
    0x00bfffa0,0x207ffff5,0xc85ffffa,0xfd003fff,0xfc807fff,0xf7005fff,
    0x7ffcc9ff,0x03bfea06,0xfc87ff70,0x3a604fff,0x000fffff,0x3f600000,
    0xffffffff,0x004fffff,0x07ffff10,0x001ffff2,0xc81fffe4,0xf9003fff,
    0x3ff609ff,0x7fff402f,0x3fffa00f,0x1fffe40f,0x0ffffe40,0x3ffffa80,
    0x23fffc80,0x3605fffa,0xffa804ff,0x02ffffc5,0x07ffffcc,0x55554400,
    0xaaaaaaaa,0x77fffcc2,0xfffc989b,0xf70004ff,0x3e201fff,0xc8003fff,
    0xff903fff,0x3ff2007f,0x5fffb04f,0x27fffcc0,0x13fffea0,0x8807fff9,
    0x4004ffff,0x400ffffd,0x3ea3fffd,0x3ffa05ff,0x25ffa803,0x000ffff9,
    0x001ffff9,0xffffffd8,0xffffffff,0x03fffee0,0x002fffb8,0x809ffff0,
    0x8006fffc,0xf903fffc,0x3f2007ff,0xfffb04ff,0x7fffec05,0x6fffe800,
    0x201fffe4,0x000ffffa,0x00ffffc4,0xfb8bfff6,0x3ffe04ff,0xfffd9501,
    0x02fffd4b,0x01ffff30,0x7ffffcc0,0xffffffff,0x3fff20ff,0x00fff804,
    0x0ffffb80,0x17fffc40,0x0ffff200,0x801fffe4,0xfb04fffc,0x7ffc05ff,
    0xfff7004f,0x1fffe43f,0x00ffff20,0x41fffe40,0xdfffecb9,0xcefffecc,
    0x21ffe20b,0xffffffd8,0x013fff25,0x00ffff88,0x7fffffc0,0xffffffff,
    0x17fff20f,0xfd0000c0,0x3f6009ff,0x7e4006ff,0xfff903ff,0x3fff2007,
    0x05fffb04,0x00ffffe2,0x917fffcc,0xfd807fff,0xf70002ff,0xfff989ff,
    0xffffffff,0x26ffffff,0x7fc46ff9,0x25ffffff,0x2004fffb,0x000ffff8,
    0x77776dcc,0xffffeeee,0x33fffea0,0xf5000001,0x26001fff,0x2002ffff,
    0xf903fffc,0x3f2007ff,0xfffb04ff,0x3fffe605,0xffff1001,0x01fffe47,
    0x0003fffe,0x2e37ffcc,0xffffffff,0xffffffff,0x8bff51ff,0xfabefffd,
    0x1bffea5f,0x0ffffa80,0x3fe00000,0x3ffa20ff,0x01bdffff,0xbfffd000,
    0x5fffd800,0x0ffff200,0x801fffec,0xfb04fffc,0x3fee07ff,0x3fe000ff,
    0x3fff24ff,0x1fffe203,0x7fff8800,0x7fffffc4,0xffffffff,0x3fea6fff,
    0x98bffea5,0x3ffe25ff,0xfffb001f,0x4000001f,0x7d40ffff,0xffffffff,
    0xf30002df,0xa8003fff,0x9001ffff,0xff507fff,0x3f2005ff,0xfff904ff,
    0xffff905d,0x6fffe800,0x880ffff2,0x0000ffff,0x260ffff3,0xaaaffffb,
    0x41acffff,0x3fee5ffa,0x3e2ffcc6,0x5c00efff,0x000fffff,0x3fffe000,
    0xfffff980,0x0dffffff,0x37ffec00,0x5fffe800,0x47fff900,0x0ffffffa,
    0x09fff900,0x3bffffea,0x01bfff61,0x64ffff90,0x7fc03fff,0xf50001ff,
    0x7fcc0dff,0x0ffffc7f,0x3f65ffa8,0x22ffcc2f,0x82effffa,0xffffffd8,
    0x3e000000,0xd7100fff,0xffffffff,0x3e6001df,0x50002fff,0x9001ffff,
    0x7ff47fff,0x32003fff,0x3f604fff,0x3fe4ffff,0x7dc005ff,0xfff90fff,
    0x2fffe807,0x9fff7000,0x237ffcc0,0xf500ffff,0x227fe4bf,0xffd85ff9,
    0xfdcdefff,0x0fffffff,0x3fe00000,0xba8800ff,0x5ffffffd,0x0dfffb00,
    0x4fffe800,0x23fffc80,0x04fffffe,0x813fff20,0x24fffffe,0x4005ffff,
    0xf90ffffb,0xffd807ff,0xffd0005f,0x7ffd407f,0x03fffe26,0xff52ffd4,
    0x42ffcc3f,0xffffffe8,0xffffffff,0x000000ff,0x0003fffe,0x07ffff4c,
    0x0bfffe20,0xffff7000,0x3fffc801,0x3fffffa6,0x9fff9001,0x3ffffea0,
    0x1bfff60d,0x4ffff900,0x4c03fffc,0x4002ffff,0x201ffffb,0x3e25fffa,
    0x3fea07ff,0x677fff45,0xfb105ffd,0xffffffff,0x01ffffff,0x7ffc0000,
    0x4006e60f,0x401ffff8,0x0006fffc,0x809ffff0,0xe983fffc,0xf9002fff,
    0x3ff209ff,0xfffc80ef,0x7fff4007,0x00ffff26,0x801bfffa,0xb85ffff8,
    0xfffffffe,0xdfffffff,0x2637fc43,0xffffffff,0x3ffea01f,0xf8cfffff,
    0x00000fff,0x4c3fffe0,0xfb000fff,0x7fc407ff,0x700003ff,0x6401ffff,
    0xff903fff,0x3ff2007f,0x7fffb04f,0x03fffee0,0x24ffff80,0xa803fffc,
    0x400effff,0x40ffffe8,0xfffffff9,0xffffffff,0x3ffc1fff,0x7fffff44,
    0xb98803ff,0x3ffe09ac,0x2000000f,0xff70ffff,0xfff1009f,0x7ffdc05f,
    0x3e200007,0x3f203fff,0xfff903ff,0x3fff2007,0x05fffb04,0x007fffea,
    0x91ffffc4,0x36007fff,0x502fffff,0x509fffff,0xffffffff,0xffffffff,
    0x0ffe83ff,0x59999730,0x3fe60000,0x4000007f,0xff90ffff,0xffc805ff,
    0x3ffe00ff,0x6400003f,0x3f207fff,0xfff903ff,0x3fff2007,0x05fffb04,
    0x00ffffe2,0x917fffcc,0x22007fff,0xdffffffe,0xffffffdc,0x3ffff606,
    0xffffffff,0xfc84ffff,0x0000002f,0x00bfff90,0xffff8000,0xdfffff90,
    0xffd75357,0x7fdc0bff,0x400000ff,0x902ffff8,0x3f207fff,0xff9003ff,
    0x3fff609f,0x17fffe02,0x07fffdc0,0x4007fff9,0xffffffe8,0x5fffffff,
    0x7fffd300,0x1bfff933,0x002ffdc0,0x7fd40000,0x000003ff,0xfc87fffc,
    0xffffffff,0x0fffffff,0x013fffa0,0x7ffe4000,0x07fff906,0x400ffff2,
    0xfb04fffc,0x7fec05ff,0xfff800ff,0x1fffe46f,0x3fff2200,0xffffffff,
    0x7fff4003,0x013fff22,0x0003fff3,0xaaaaa980,0x1ffffffc,0x7fc00000,
    0xffff70ff,0xffffffff,0x7d405fff,0x00000fff,0x05ffff30,0x3207fff9,
    0xf9003fff,0x3ff609ff,0x3ffea02f,0x7ffdc04f,0x1fffe42f,0xffff9800,
    0x001cffff,0x321fffe8,0xfd803fff,0x8019805f,0xfffffffe,0x002fffff,
    0xffff8000,0xffffff10,0xdfffffff,0x5fffe801,0x7ec00000,0xfffc86ff,
    0x07fff903,0x413fff20,0x7402fffd,0x3a00ffff,0xffc87fff,0xff90003f,
    0x4403bfff,0x0ffffc01,0x3007fffb,0xb101dfff,0x7fcc03ff,0xffffffff,
    0x000002ff,0x20ffff88,0xfff930b8,0xf50039df,0x00003fff,0x1ffff980,
    0xc81fffe4,0xf9003fff,0x3ff609ff,0x7ffdc02f,0xffff504f,0x07fff907,
    0xfffff900,0x5159bfff,0x7fc09ffb,0x3fff60ff,0xffff9002,0xffffdb9d,
    0xfffff803,0x02dfffff,0xff500000,0x3ff200ff,0x3ff6003f,0x0000005f,
    0xfc8bfffd,0xfff703ff,0x3fff200b,0x03ffff04,0x01ffffd0,0x901ffffd,
    0xb8007fff,0xffffffff,0xffffffff,0xffff107f,0x002fffe8,0x3ffffff2,
    0x8803ffff,0x1ccccccb,0xd8000000,0xf9005fff,0x3e6007ff,0x00001fff,
    0x3ffff500,0x981fffe4,0x20beffff,0xfffeccb9,0x3ffff224,0xfffb800f,
    0x7fffd43f,0x9bfff904,0x7fc40379,0xffffffff,0xffffffff,0x8ffff104,
    0x4001fffe,0xffffffea,0x0000002d,0xff500000,0x3f2007ff,0xffb003ff,
    0x000000df,0x324fffe8,0x3fa03fff,0xff74ffff,0x49ffffff,0x05fffffe,
    0xb1ffffa0,0x3201ffff,0xffffffff,0x3ffffe02,0xffffffff,0x300effff,
    0xfff8dfff,0x5530000f,0x00000135,0xaa980000,0xffffdaaa,0xff9000ff,
    0xfff1007f,0x0000005f,0x70ffffa8,0x74407fff,0xffb6ffff,0x29ffffff,
    0x0ffffff8,0x3fffe600,0x80ffffe0,0xfffffffc,0x37fea04f,0x3f6e61ab,
    0xff802dff,0x037fec5f,0x00000000,0xfff00000,0xffffffff,0x7d4005ff,
    0xffb801ff,0x0000006f,0x225fffd0,0x74400fff,0xfff53fff,0x6c9fffff,
    0x8000dfff,0x7fe46ffb,0x7fffe405,0x0001ffff,0x36600040,0x00ee440d,
    0x00000000,0xffa80000,0xffffffff,0x6c4002ff,0xfff3005f,0x00000005,
    0xa883ffea,0x106a2000,0x35555555,0x40001a98,0x30033029,0x15555555,
    0x00000000,0x00000000,0x00000000,0xffffff10,0x005bffff,0x36a00040,
    0x00000002,0x00000e54,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x333332e2,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x710aaaaa,0x0159bdd9,0x4cccccc0,0x00999999,0xeedba880,0x2aaaa0bc,
    0x4cccc41a,0x99999999,0x98019999,0x0acdedcb,0x10000000,0x80155555,
    0x00aaaaa8,0x22005b91,0x000acecb,0xeedca880,0x2666602c,0x18000001,
    0x7fffec00,0xffffcaff,0x803fffff,0xfffffff9,0x3fffffff,0xfffff500,
    0xff39ffff,0x3a1dffff,0xffffffff,0xffffffff,0xfffb300f,0x07ffffff,
    0x0ef7edc0,0x3ffff200,0xffb04fff,0x989fffff,0x2206ffff,0xfffffffe,
    0xfc88000d,0x5fffffff,0x7fffffec,0xf9000001,0xff3007df,0xffffffff,
    0xffffffff,0x7fcc03df,0xffffffff,0x200fffff,0xffffffd8,0xffffffff,
    0xfd3fffff,0xffffffff,0xffffffff,0xfffff901,0xdfffffff,0xffffe980,
    0x3fe004ff,0x0fffffff,0x7fffffc4,0x7ffe47ff,0xffe881ff,0xefffffff,
    0x3ffea000,0xffffffff,0xffffff31,0x5000003f,0x001fffff,0xffffffff,
    0xffffffff,0x201fffff,0xfffffff9,0x7fffffff,0x7fffff40,0xffffffff,
    0x1fffffff,0xfffffffd,0xffffffff,0xfffb81ff,0xffffffff,0x3fa04fff,
    0x3fffedff,0xfffffd00,0x3ffe0dff,0x7c6fffff,0x444fffff,0xfffffffe,
    0x9005ffff,0xffffffff,0x3e21ffff,0x01ffffff,0xfffc8000,0xdb9802ff,
    0xefffffff,0xfffdb9ac,0xfff306ff,0xffffffff,0x7e405bff,0xa9bdffff,
    0xfffffffd,0x3ffa1cef,0xffffffff,0x0fffffff,0x677ffffc,0xffffca9a,
    0x0cffb82f,0x2003ffa6,0xbeffffc8,0xffff7300,0xffff817f,0x7ffe44ff,
    0xffebabef,0x7fec02ff,0xa9ceffff,0x7f6543ec,0x00001fff,0x0fffff98,
    0x7ffff400,0x3ffa00df,0xfff984ff,0xffa80007,0x3ee01eff,0xc80fffff,
    0xff7007ff,0x7fffb0df,0x2ffffc40,0x7dc07ff4,0x3ff6002f,0xfff8806f,
    0xffffd04f,0x7fffc47f,0x0ffffb05,0x67ffffdc,0xffff0000,0x32000003,
    0xe8002eff,0x8804ffff,0x4c0ffffe,0x80007fff,0x800efffe,0x80fffffc,
    0xfb004ff9,0x3b9109ff,0x0dfff700,0x3fe209ff,0x3ffe2004,0x7ffe403f,
    0xffffb00f,0x3fffdc5f,0x05ffff10,0x07fffff5,0x1ffff800,0x00400000,
    0x1ffffd00,0x3fffe200,0x03fffcc2,0x3fffe200,0x3fff6003,0x4400200f,
    0x0001ffff,0x40ffff88,0x7ff105ff,0x6fffc800,0x13fffe20,0x1fffffc8,
    0x900ffffa,0xffd0bfff,0xf00007ff,0x00003fff,0x7f400000,0x7ec005ff,
    0x7ffcc3ff,0x7fcc0007,0x3ea000ff,0x80000fff,0x0006fffb,0xb0dfff50,
    0x5ff901ff,0xffff8800,0x1ffff903,0x7ffffe40,0x00ffff11,0x541ffff1,
    0x0002ffff,0x223ffff0,0x0acdeecb,0xe8000000,0x5c002fff,0x7fcc5fff,
    0xcddca9ff,0x7ffdc00a,0x7ffc4005,0xfe80000f,0x880004ff,0xfa85fffe,
    0xdff912ef,0x3fff2000,0x4ffff887,0x7ffffdc0,0x00dfff30,0xfe87fffe,
    0x200006ff,0xffc9ffff,0x3fffffff,0x74000000,0x64003fff,0x7fcc3fff,
    0xffffffff,0x3fea04ff,0x7fcc006f,0x440000ff,0x8001ffff,0xfffeb998,
    0xffffb02f,0x7503ffff,0x7fffc401,0x07fffe43,0x9ffffea0,0xd005fffb,
    0x3fe25fff,0x2aee63ff,0x7fffc000,0xffffffff,0x000effff,0xfffd0000,
    0x3fe2001d,0x7ffcc1ff,0xffffffff,0xff881eff,0x3f6001ff,0x40000fff,
    0x4006fffb,0xffffffd8,0x7fe405ff,0xb511efff,0xfc809fff,0xfff10fff,
    0xfff3009f,0x27ffe4ff,0x33fffd80,0xff51ffff,0x001dffff,0x3ffffffe,
    0xffffffff,0x00000fff,0x5ffffe80,0x1ffffd00,0xffffff98,0xffffffff,
    0x1ffffd06,0xfffff700,0xffe80001,0x7fe4004f,0x06ffffff,0x51599730,
    0x5ffffffb,0x3ffff880,0x001ffff9,0x64dffff3,0xf9004fff,0x3ffea7ff,
    0xffffffde,0xff802fff,0xacffffff,0xfffffca9,0xe8000005,0x01efffff,
    0x0bffffd5,0x337ffffe,0xffffecaa,0xfffffb84,0xffffb103,0x440001ff,
    0x4001ffff,0xfffffffc,0x6dc4005f,0x2dffffff,0x3ffff200,0x004ffff9,
    0x64bffff1,0xf9004fff,0x3ffee7ff,0xffffffff,0x7c02ffff,0x00dfffff,
    0x07ffffb1,0x01fffff1,0xfffffd00,0xfdb9bdff,0x540bffff,0xfb100cff,
    0xff903fff,0xdb9dffff,0xffffffff,0x7fdc0001,0xfd88007f,0x4fffffff,
    0x7ffedc40,0x0002cfff,0xfffffff1,0x7fc001ff,0x3fff25ff,0x7fff9004,
    0x3ffffff2,0xfffeceff,0x7fffc06f,0xfffd004f,0x5ffff50f,0x3fffa000,
    0xffffffff,0x00efffff,0x3fffa000,0xfffffb03,0xffffffff,0x0001ffff,
    0x0027fff4,0xfffb5310,0xffd709ff,0x0039ffff,0x3ffff200,0x7c004fff,
    0x3ff24fff,0xfff9004f,0x3ffffee7,0x7ffdc2ef,0x3fffe04f,0xfff1000e,
    0x5fffd83f,0x3fffa000,0xfffffffe,0x000dffff,0x2fffdc00,0xffffff90,
    0xffdfffff,0x220001ff,0x0001ffff,0x3ffffea0,0x3fffff21,0x7dffd71c,
    0x3ffe2000,0x4000ffff,0x3ee3fffe,0xffb004ff,0x3fffe67f,0xfff900ff,
    0x27fffc0f,0x0ffff600,0x0003ffff,0x6ccffff4,0xefffffff,0xf3000001,
    0xfc880dff,0xaeffffff,0x000ffff8,0x00ffff70,0xffff1000,0x10e77dc7,
    0xdffffffd,0xfff90001,0xfb0009ff,0x7ffdc5ff,0x5fffd005,0x0bffffe2,
    0x00ffff88,0x8005ffff,0x3ea4fffb,0x740004ff,0x2a621fff,0x000009ac,
    0x03fffc40,0x0abca988,0x0007fffc,0x004fffe8,0xbfff9000,0x9fffb008,
    0x000bfff9,0x01fffff1,0xa8dff300,0xff006fff,0x7fffc1ff,0x1fffe804,
    0x003ffff0,0x325fffa8,0xe80006ff,0x00001fff,0xfff98000,0x7fc00006,
    0xf88000ff,0x00001fff,0x00ffff30,0x6c41bff5,0x7cc002ff,0x20004fff,
    0xffff8828,0x3fffcc00,0x2007fffa,0xff02fffd,0xfc8007ff,0x0bffe3ff,
    0x3fffa000,0x00000001,0x005fffb8,0x07fffc00,0x3fffdc00,0xff300000,
    0x3ff900df,0x8009ff10,0x000ffffd,0x9fffb000,0x45fffd80,0x4404fffd,
    0xff01ffff,0xfe800bff,0x0bff32ff,0x3fffa000,0x0d400001,0x7fffd100,
    0xfff80000,0xffe8000f,0x2000004f,0xd803fffd,0x01bfa06f,0x04ffff98,
    0x3fea0000,0xfff300ff,0xffffb83f,0x3fffee00,0x5fffff00,0x3ffff200,
    0x0001ff90,0x007fffa0,0x1dffe800,0x7fffecc0,0x7fc00001,0x7c4000ff,
    0xea801fff,0xffd9802e,0xffd801ff,0x400bff00,0x000ffffd,0x7fffc000,
    0x7fffcc0e,0xeffff886,0x7fffe981,0xffffff10,0x3ff22019,0x00bf64ff,
    0x3ffaa600,0x0001aacf,0x3bffffe6,0xffeeccce,0x80004fff,0xffffbaa9,
    0x3fee001b,0xffff007f,0xdb9999dd,0x00dfffff,0x3ea0ffee,0xaaaa884f,
    0x0adffffb,0x406ea000,0xcdfffffa,0x02fffffd,0xbffffff7,0x5fffffb9,
    0xfffffec8,0xcccdffff,0x0efffffe,0x3a000062,0xffffffff,0xf0000fff,
    0xffffffff,0xdfffffff,0xfffd0000,0xffffffff,0x9fffb001,0xffffd100,
    0xffffffff,0x2003ffff,0xc88cfff8,0x7fe40fff,0xffffffff,0xfb0006ff,
    0x3ff605ff,0xffffffff,0x3ffa203f,0xffffffff,0x7ffcc5ff,0xffffffff,
    0xffffffff,0x800001ff,0xfffffff9,0x003fffff,0xfffffd30,0xffffffff,
    0xf980001b,0xffffffff,0xfd803fff,0xff5000ff,0xffffffff,0x003dffff,
    0xffffffa8,0xffff83ff,0xffffffff,0xff8002ff,0xffb105ff,0x7fffffff,
    0xffffd100,0x1dffffff,0xffffff88,0xffffffff,0x01efffff,0x3ffe0000,
    0xffffffff,0x6d40000f,0xffffffff,0x200001ef,0xffffffff,0x9801ffff,
    0x64c002fd,0xffffffff,0x20003eff,0x2fffffea,0xffffffb0,0x1fffffff,
    0x5fffb000,0xffffec80,0x2e2003ef,0xffffffff,0x3fff6e02,0xffffbaff,
    0x003fffff,0xccb88000,0x1bcccccc,0x2a620000,0x0009abcb,0xccca8800,
    0x01bccccc,0x54c00000,0x00aaccca,0x57751000,0x66654401,0xbccccccc,
    0x06ea0000,0x00aca880,0x55e54c00,0x2a600001,0x0001abcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdca88000,0x00002cde,0x06666620,0xcdeca880,0x99800002,
    0x33300009,0x33100033,0x00000333,0x33333331,0x99988001,0x00000019,
    0x00000020,0x00133333,0x18800110,0x7ffffd40,0x0002efff,0x3ffffa20,
    0xfff9007f,0x005dffff,0x7fffe440,0x002defff,0x400fffff,0x7fffffe8,
    0x3fa20000,0x3fffffff,0x3ffff600,0x000000ff,0xbfffd950,0x54000057,
    0x403fffff,0xffffedb8,0x7ffe403d,0xfffffd84,0x05ffffff,0xffff7000,
    0xffb00fff,0xffffffff,0xfff70007,0xffffffff,0xffff005f,0x7ffdc00f,
    0x00007fff,0x3ffffff2,0xf5003fff,0x01ffffff,0xfd880000,0xffffffff,
    0xfe80000d,0xb303ffff,0xffffffff,0xff303dff,0x7fdc3fff,0xffffffff,
    0x80003fff,0x7ffffffa,0x7ffffec0,0x2fffffff,0x3fffee00,0xffffffff,
    0xffff804f,0x3ffe6007,0x00007fff,0x3fffffee,0xf1003fff,0x01ffffff,
    0x7fdc0000,0xffffffff,0x20001fff,0x3ffffffb,0xffffffc8,0xffffffff,
    0x7ffffdc2,0xdfffff33,0xfffff959,0xb700003f,0x540ffffd,0xcabfffff,
    0x00ffffff,0xffffff88,0xffffffff,0x7ffff802,0x7ff6dc00,0x5c00007f,
    0xffffeeed,0x3fb6a003,0x00000fff,0xffffff70,0xffffffff,0xff10007f,
    0xb07fffff,0xffffffff,0x1fffffff,0x87ffffc4,0x501ffffd,0x0009ffff,
    0x03fffc40,0x501dfffd,0x5009ffff,0x3305ffff,0x26600375,0xf1000199,
    0x00000fff,0x007fff90,0x003fffe0,0x3ffe6000,0xd730adff,0x003fffff,
    0xffffffd8,0xffffd83f,0x3ff261bd,0x6ff5c5ff,0x013fffa2,0x000dfffb,
    0x83fffc40,0x201ffff9,0x400ffffb,0x0005fffc,0xf1000000,0x00000fff,
    0x007fff90,0x003fffe0,0x3fffa000,0x7ffe403f,0x3fe6006f,0x83ffffff,
    0x6402fffd,0x8800ffff,0x5400ffff,0x0000ffff,0x20ffff10,0xf805fffa,
    0x7ec03fff,0x000002ff,0xfff10000,0x9000000f,0x20007fff,0x0000ffff,
    0x17fffe40,0x3ffffa80,0xbffffd00,0xff707fff,0xfff8801f,0xffff001f,
    0x7fffa803,0xeedca880,0xffff10bc,0x013ffee0,0x2213fff2,0xacfffeaa,
    0x001aaaaa,0x55555553,0xfff10003,0x5555510f,0xff900015,0x3fe0007f,
    0xbdd970ff,0x3e200159,0x6c004fff,0x5c00ffff,0xffcaffff,0x06ff983f,
    0x007fffb0,0xb013fffa,0xfb80bfff,0xffffffff,0x907fff9c,0xf5009fff,
    0xfffe8bff,0xffffffff,0x300fffff,0xffffffff,0xff10007f,0xffffc8ff,
    0x4003ffff,0x0003fffc,0xfff9ffff,0x03ffffff,0x01ffff50,0x2ffff880,
    0x5bfffe20,0x3103fffc,0x3fffe200,0xffff9002,0x3fffea03,0xffffb104,
    0xffffffff,0x3ea0ffff,0xffe805ff,0x3fffea6f,0xffffffff,0x903fffff,
    0xffffffff,0xff10007f,0x7fffc4ff,0x006fffff,0x001fffe4,0xfffffff8,
    0xffffffff,0x1fffe402,0x3fffc800,0x47ffff20,0x0003fffc,0x01ffffc8,
    0xffffff10,0xfffff959,0xffff101f,0xffffffff,0x20ffffff,0x6406fff9,
    0x3e27ffff,0xffffffff,0xffffffff,0xfffff501,0x0007ffff,0xff8ffff1,
    0x5fffffff,0x1fffe400,0xfffff800,0xffffffff,0x3f600fff,0xf50002ff,
    0x3fe60bff,0x3fff24ff,0x3fa60003,0x54006fff,0xffffffff,0xb01fffff,
    0x359fffff,0xfffffd95,0x3ffe20ff,0xffff303f,0x76dcc1ff,0xeeeeffff,
    0x5401ceee,0xffffeeec,0xfff88003,0x3ffffe67,0x4000bdef,0x0003fffc,
    0x9fffffff,0xffffd737,0x0ffffc07,0x6fff9800,0x41ffffd0,0x8003fffc,
    0xffffffda,0xfffc8002,0xffffffff,0xbffff504,0x3fff2201,0x3ff207ff,
    0x7ffdc2ff,0x3602ffff,0x00002fff,0x003fffc8,0xf77fff88,0x003fffff,
    0x03fffc80,0xdfffff00,0x17fff201,0x003fffc4,0x50ffff10,0xfc87ffff,
    0x3aa003ff,0x2fffffff,0xfffe8800,0xffffffff,0x6ffff80e,0xfffff900,
    0x7ffffc40,0xffffffde,0x3f602fff,0x800002ff,0x8003fffc,0xffcffff8,
    0x0000efff,0x003fffc8,0x80bffff0,0x3e07fff9,0x10000fff,0xff88ffff,
    0xfffc86ff,0x3fff2003,0x7101efff,0xfffe817b,0xffffffff,0x7ffcc5ff,
    0x3ffa001f,0x7ffd407f,0xffffffff,0x3601ffff,0x00002fff,0x003fffc8,
    0xffffff88,0x00005fff,0x000ffff2,0x4007fffc,0xfd00ffff,0x2a0003ff,
    0x7fe46fff,0xfffc81ff,0x3fff2003,0x7ffc02ef,0x3ffff67f,0xffd510ae,
    0x7ffd49ff,0x7ffdc005,0xffffa807,0xffcfffff,0x7ffec07f,0xfc800002,
    0xf88003ff,0x3fffffff,0x7fe40000,0xfff0003f,0xffff001f,0x0bfff201,
    0x27ffdc00,0x20bffff1,0x2003fffc,0xa804fffa,0xff2fffff,0xffe80bff,
    0x13fff27f,0x0ffff500,0x3ffffa20,0x6fff99ef,0x017ffec0,0x7ffe4000,
    0xfff88003,0x005fffff,0x1fffe400,0x0ffff800,0x00ffff80,0x000bfff7,
    0xfd8ffffa,0xffffffff,0x1dffffff,0x00fff880,0xafffffa8,0x400ffff9,
    0xfb0ffff8,0xf98007ff,0x4c4007ff,0x3fff21ab,0x17ffec04,0x7fe40000,
    0xff88003f,0xefffffff,0xff900000,0x3fe0007f,0xfff800ff,0xffff300f,
    0xfffa8005,0x3ffffa1f,0xffffffff,0x3006ffff,0x7ffc0039,0x0bfff77f,
    0x5cbfff60,0x54004fff,0x00007fff,0x805ffff5,0x0002fffd,0x03fffc80,
    0xdffff880,0x00efffff,0x3fffc800,0x1ffff000,0x01ffff00,0x0077fff4,
    0x45ffff88,0xfffffffe,0xffffffff,0x2000006f,0xff70aca8,0x3ff600bf,
    0x0dfff32f,0x07fffd80,0xffff9800,0x7ffec00e,0xfc800002,0xf88003ff,
    0xfffd17ff,0xc80003ff,0xf0003fff,0xff001fff,0x7fcc01ff,0x74400eff,
    0x7f40ffff,0xffffffff,0x2effffff,0x88000000,0x4c01ffff,0xff10ffff,
    0x3ea009ff,0x40007fff,0x01fffffa,0x002fffd8,0x3fffc800,0x7fff8800,
    0x3fffffa2,0x3ff20002,0xfff0003f,0xffff001f,0xffffb801,0xffff502f,
    0x3333107f,0xfb333333,0x000009ff,0x7417b710,0xd100efff,0xffc8dfff,
    0xf9100dff,0x401fffff,0xffffd300,0x6ccc405f,0x9999bfff,0x33310009,
    0x339fffb3,0xff980133,0xffffd87f,0x4cc401bf,0x9cfffd99,0x7c400999,
    0x7c401fff,0xfd801fff,0xdcdfffff,0x06ffffff,0x3ff66200,0x32e2004f,
    0xffff000b,0x7ffffe4f,0xfffeccce,0xfffe84ff,0xfdccceff,0xffffffff,
    0x37ffa24f,0xffffffdc,0xfffd303f,0xffffffff,0x3205dfff,0xfffffffe,
    0xffffffff,0x7fffec3e,0xfffff07f,0x7641bfff,0xffffffff,0xefffffff,
    0x7ffffcc3,0x7fcc2fff,0x02ffffff,0x3fffffa2,0xffffffff,0xfe98000d,
    0x2effffff,0x3ffffc40,0x7ffffd40,0x3fffff62,0xffffffff,0xfffff305,
    0xffffffff,0xffffffff,0x3ffffee3,0x4fffffff,0x3fffffa0,0xffffffff,
    0xff986fff,0xffffffff,0xffffffff,0xfffff50f,0xffff30ff,0x269fffff,
    0xffffffff,0xffffffff,0x3ffa0fff,0x47ffffff,0xfffffffd,0xfffb807f,
    0xffffffff,0x3ffa0003,0x6fffffff,0x7ffffd40,0x7fffd402,0x7fffe42f,
    0x4fffffff,0x7ffff4c0,0xffffffff,0x1fffffff,0xfffffff3,0xd803dfff,
    0xffffffff,0xffffffff,0xfffff886,0xffffffff,0x2a7fffff,0x87ffffff,
    0xfffffff9,0xffff14ff,0xffffffff,0x1fffffff,0x7ffffff4,0x7ffec7ff,
    0x007fffff,0xffffffb3,0xd80003bf,0xffffffff,0xffff806f,0xdfffd007,
    0x3ffff6e0,0x2002dfff,0xfffffffb,0xffff9cff,0x7ffe43df,0x002effff,
    0xffffff93,0xffffffff,0x3ff6e03b,0xffffffff,0x42dfffff,0x07ffffeb,
    0xdfffffb7,0x7ffedc19,0xffffffff,0x4c2dffff,0xdffffffd,0x7fffecc2,
    0x98002dff,0x00000aca,0x3fffff66,0xa8801dff,0x32a000ab,0x15953002,
    0xcba88000,0x220001ac,0x0001acba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000018,
    0x002bcedb,0x00000400,0x20000060,0x51003ca8,0x15999999,0xccccca88,
    0x951000ac,0x99999999,0x90015999,0x2600005b,0x401bcccb,0x01bcccca,
    0x03799973,0x1bcccc98,0x0f3332a0,0x3ffb6e00,0x01512dff,0xfffffd88,
    0x8000efff,0xffffeca9,0x800350ad,0xeffffed9,0x8803710c,0x04fffeca,
    0xffffff88,0x3fe27fff,0xffffffff,0x7fffcc00,0xffffffff,0x2a00ffff,
    0xd80007ff,0x5fffffff,0xffffffd0,0xffffd89f,0xffd05fff,0x209fffff,
    0x003ffffe,0x3fffffa6,0x7ffeffff,0x3ffffa20,0x3fffffff,0xffffb100,
    0xdfffffff,0xfd3007ff,0xffffffff,0x885ffdbf,0xffffffeb,0xfffb804f,
    0x2fffffff,0xfffffff5,0xfc805fff,0xffffffff,0x2fffffff,0x00bfff20,
    0xffffff00,0xff981fff,0x47ffffff,0xffffffff,0x7fffcc0f,0xf887ffff,
    0x2e006fff,0xffffffff,0x1fffffff,0xfffffe98,0xffffffff,0x7fff4401,
    0xffffffff,0x5c05ffff,0xffffffff,0xffffffff,0x3ffffe64,0x804fffff,
    0xfffffff8,0xfff10fff,0x1fffffff,0xfffff980,0xffffffff,0x3f600fff,
    0x6c0002ff,0x6fffffff,0xfffffff0,0xffffd8bf,0xffd06fff,0x509fffff,
    0x2005ffff,0xfffffff9,0xffffffff,0xfffff83f,0xffebaabe,0xff300fff,
    0xffffffff,0xdfffffff,0x7ffffe40,0xffffffff,0x3ee6ffff,0xffffffff,
    0xff71004f,0x881599ff,0xbffffdca,0x99971000,0x9bffff99,0xffd80159,
    0xd980002f,0x2206ffff,0x01cffffe,0x1dffffd5,0x3ffffe20,0xdfff902d,
    0x7ffff400,0xffb5309d,0xffa87fff,0x3fee04ff,0xfff983ff,0x510aceff,
    0x0dfffff7,0x3bffffea,0xffd7311b,0x7fccdfff,0xfffedfff,0x7fffc004,
    0xffff3000,0x7ff40000,0x7fec001f,0x3a00002f,0xf300ffff,0xd100bfff,
    0x2e05ffff,0x200effff,0x3002ffff,0xb807ffff,0x7ec3ffff,0xffe806ff,
    0xffffe85f,0xfffd8803,0xfffff886,0xffffc804,0xf90de546,0xff8009ff,
    0xff3000ff,0x740000ff,0x55001fff,0x5559fffd,0x40035555,0xd06ffff9,
    0x2001ffff,0x41fffff9,0x00fffff9,0x801bffe6,0xd006fffa,0xffd87fff,
    0xfffa801f,0x27fffd47,0x0bfff300,0x009ffff7,0x8037ffe4,0x4004fffc,
    0x3000ffff,0x0000ffff,0x200ffff4,0xfffffffb,0xffffffff,0xff7002ff,
    0xfffc87ff,0x7fd4002f,0xfff10fff,0xffb803ff,0x3fee001f,0xfff7004f,
    0x003fe983,0xfe8ffff3,0xfd8005ff,0x5fffe83f,0x27ffcc00,0x04fffc80,
    0x007fffc0,0x007fff98,0x07fffa00,0xffffffd0,0xffffffff,0x7400bfff,
    0xff31ffff,0x2e000bff,0xfe8effff,0xfd803fff,0x7fcc005f,0x9fb000ff,
    0xff900040,0x7fffc4df,0x82b88002,0x002ffff9,0x9002ffd8,0xf8009fff,
    0xf3000fff,0x40000fff,0x6401fffe,0xffffffff,0xffffffff,0x3fe2003f,
    0xfffe8eff,0x3f20000f,0xffffffff,0x1fff8804,0xeffff800,0x40000002,
    0x2a4ffff8,0x00007fff,0x00ffffb8,0x2001a880,0x4004fffc,0x3000ffff,
    0x0000ffff,0x200ffff4,0xffffedb8,0xeeeeeeee,0xffb8002c,0x2ffffeff,
    0xfffd8000,0x5005ffff,0x32000bff,0xbdffffff,0x22000001,0x2e1ffffe,
    0x00005fff,0x006fffb8,0x3ff20000,0x7ffc004f,0xfff3000f,0x7f40000f,
    0x7ec001ff,0x000002ff,0x3ffffff6,0xd100005f,0x01dfffff,0x0003fee0,
    0xffffffd8,0x001befff,0xffffd100,0x03fffc89,0xfffc8000,0x20000003,
    0x4004fffc,0x3000ffff,0x0000ffff,0x000ffff4,0x000bfff6,0xffff8800,
    0x00000fff,0x0bffffea,0x0000b880,0xffffffc8,0x00efffff,0x3fffa600,
    0x3fffc86f,0xffd80000,0x0000003f,0x0013fff2,0x2001ffff,0x9507fff9,
    0x7fff4003,0x7ffec001,0x5c000002,0x002fffff,0x3fffe200,0x00000eff,
    0xfffd5000,0xdfffffff,0xfff30003,0xff901dff,0x76dc407f,0x2ceeeeee,
    0x000ffff6,0xfffc8000,0x7fffc004,0xffff3000,0x400fff50,0x4001fffe,
    0x0002fffd,0x5fffd800,0x7ff40000,0x006fffff,0x100000ae,0xfffffd95,
    0x54003fff,0x00efffff,0x7407fff9,0xffffffff,0xfffb2fff,0x40000007,
    0x4004fffc,0x3000ffff,0xff90ffff,0x3ffa003f,0x7fec001f,0x8000002f,
    0x0003fffc,0x3fffff60,0xa804ffff,0x00000dff,0x3fffee60,0xfff7004f,
    0x7dc01bff,0xfff104ff,0xffffffff,0x13fff29f,0xfc800000,0x7fc004ff,
    0xff3000ff,0x5fffb0df,0x07fffa00,0x05fffb00,0xff900000,0x2e00007f,
    0xfd8effff,0xfe803fff,0x04c000ef,0xdfff9100,0xfffff900,0xbfff300b,
    0x7ffffec0,0x51ffffff,0x0000dfff,0x27ffe400,0x0bfff600,0x42fffd40,
    0xf002fffd,0xd8001fff,0x00002fff,0x03fffc80,0xffffa800,0xffffd10f,
    0xfffe8805,0x03ffd001,0x00ffff80,0x9fffffb1,0x1fffe200,0xf7555510,
    0x7fcc1fff,0x000001ff,0x009fff90,0x004fffc8,0xfb07fff9,0xff1005ff,
    0xffb000ff,0x0000005f,0x0007fff9,0x1fffff88,0x07ffffcc,0x01fffec0,
    0x0017ffe2,0xd105fffd,0x007fffff,0x004fffe8,0x7437ffcc,0x50006fff,
    0x3ff20019,0x7fd4004f,0x7fdc01ff,0xfffd82ff,0x5fffc802,0x3fffd800,
    0x20003100,0x0003fffc,0x0fffffa2,0x077fffd4,0x007ffdc0,0x005ffff5,
    0x303fffee,0x05ffffff,0x3ffff900,0x37ffcc00,0x06ffffd4,0x01fff900,
    0x009fff90,0x3ffffe88,0x6ffffb88,0x17dfffb0,0x9ffffb10,0xdfff9000,
    0x06ffda80,0xfffb3310,0xd8001339,0x6404ffff,0x5005ffff,0x7fd401fd,
    0x7100dfff,0xfb8fffff,0x001fffff,0xbffffd10,0x7fe54401,0xffffb06f,
    0xffe9807f,0xffc802ff,0xff98004f,0xfecdefff,0xb00fffff,0x9dffffff,
    0xffffffd9,0xfff50001,0xfd9999ff,0x405fffff,0xffffffea,0x02efffff,
    0x7fffffec,0x7fec40df,0x005fffff,0xfffff500,0xfd99bfff,0x5c7fffff,
    0x9affffff,0xb9999999,0xffff980c,0xfdcceeff,0x06ffffff,0xffffffd1,
    0xfffdb9bd,0x2660ffff,0x9cfffc99,0xff700199,0xffffffff,0x7ec07fff,
    0xffffffff,0x01ffffff,0xffffd100,0xffffffff,0x7fc01fff,0xffffffff,
    0x2a06ffff,0xffffffff,0x7fffdc3f,0x002fffff,0xfffffa80,0xffffffff,
    0x7ec5ffff,0xffffffff,0xffffffff,0xfffff905,0xffffffff,0x4c0dffff,
    0xfffffffe,0xffffffff,0x7fffec2f,0xffffffff,0xfa804fff,0xffffffff,
    0xfda802ff,0xffffffff,0x40001eff,0xfffffff9,0x2effffff,0x7fffff40,
    0xffffffff,0x3fffe606,0x542fffff,0xffffffff,0xf880002f,0xffffffff,
    0x4fffffff,0xffffffd8,0xffffffff,0x3a607fff,0xffffffff,0x0cffffff,
    0x7fffec40,0xffffffff,0x7ffd40df,0xffffffff,0x02ffffff,0xfffffd88,
    0x4c000dff,0xfffffffc,0x2200003d,0xfffffffd,0xb5002dff,0xffffffff,
    0xb803bfff,0x4efffffe,0xfffffd90,0x5c00007d,0xfffda8de,0x00dfffff,
    0xfffffffb,0xffffffff,0xda801fff,0xfffffffe,0x4c000bef,0xfffffffc,
    0xff503def,0xffffffff,0x3fffffff,0x1aca9800,0x77510000,0x88000003,
    0x009accba,0x00000000,0x00000000,0x79551000,0xfffb0035,0xffffffff,
    0x1fffffff,0xabca9800,0x53000009,0x20013797,0xffffffeb,0xefffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33260000,0xcccccccc,0xcccccccc,0x32e60ccc,0x401bcccc,0xbcccccc9,
    0x66665440,0x95100acc,0x90599999,0x99999999,0x99999999,0xccccca88,
    0x65440acc,0x5101bccc,0x99999999,0x00035799,0x99999951,0x59999999,
    0x3332e601,0x665440ac,0x95102ccc,0x99999999,0x73001379,0x99999999,
    0x99999999,0x2aa23999,0xffff52aa,0xffffffff,0xffffffff,0x3fffee1f,
    0xd05fffff,0xffffffff,0x7ffffc5f,0x4c1fffff,0xffffffff,0x3fffe26f,
    0xffffffff,0x3e0fffff,0xffffffff,0x3fffe67f,0xff85ffff,0xffffffff,
    0x03ffffff,0xffffff10,0xffffffff,0xffe81fff,0x20ffffff,0xffffffff,
    0x7ffffc46,0xffffffff,0xff702fff,0xffffffff,0xffffffff,0x3fe25fff,
    0xffff57ff,0xffffffff,0xffffffff,0x3ffffa1f,0x40ffffff,0xfffffff8,
    0xfff55fff,0x7fffffff,0xffffffc8,0xff11ffff,0xffffffff,0x1fffffff,
    0x3fffffea,0xf71fffff,0xffffffff,0xffffff98,0xffffffff,0x5c02ffff,
    0xffffffff,0xffffffff,0x3fffe22f,0xf53fffff,0xffffffff,0x7ffffd43,
    0xffffffff,0x741effff,0xffffffff,0xffffffff,0x3e2fffff,0xfff56fff,
    0xffffffff,0xffffffff,0x3ffea1ff,0x05ffffff,0xfffffffd,0x3ffe23ff,
    0x1fffffff,0x7fffffcc,0x3fe27fff,0xffffffff,0x0fffffff,0xfffffff1,
    0x7fd4ffff,0x85ffffff,0xffffffff,0xffffffff,0x3e201fff,0xffffffff,
    0xffffffff,0x7fffff40,0x3ffe0fff,0x447fffff,0xffffffff,0xffffffff,
    0x3ff20fff,0xffffffff,0xffffffff,0x3ffa2fff,0x9ffff55f,0xbfffd999,
    0xffff9999,0x7fffdd41,0x32a202ce,0x42bffffe,0xccefffd8,0xd997100b,
    0x7c41bfff,0xcccccfff,0x7ffffdcc,0x7fffe544,0x7fec0acc,0x5101dfff,
    0x999ffff9,0xffffd999,0x65c401df,0xefffeccc,0x500acccc,0x8159ffff,
    0xbffffca8,0xfffca880,0xedcccccf,0x4c5fffff,0xccefffeb,0xcccccccc,
    0x3f62ffff,0xdfff54ff,0xf07fffb0,0xffb01fff,0xffe800df,0x3ffea04f,
    0xfffd0005,0x07fff885,0x07ffffa2,0xb00ffff8,0x007fffff,0x1007fffc,
    0x007ffff9,0x007fff90,0x001ffff0,0x8801ffff,0x6c407fff,0xfc82ffff,
    0x3f6004ff,0x3fff22ff,0xb0dfff53,0xfff07fff,0xffff301f,0x3ffea003,
    0x3ffe600f,0x81aaa986,0x7c41ffff,0x3ff607ff,0x7ffc03ff,0x7fff440f,
    0x7fc002ff,0xffe800ff,0xffc8005f,0xfff8003f,0xffff800f,0x3fffc400,
    0x27fffc40,0x0027ffe4,0x7dc5fffb,0xdfff52ff,0xf07fffb0,0x3fa01fff,
    0xffb004ff,0xfff880bf,0x47ffff87,0xf80ffff8,0xfff707ff,0xffff00bf,
    0x7ffff4c1,0xfff8001f,0xfffa800f,0xfffc8006,0xffff8003,0x0ffff800,
    0x03fffc40,0xc85fffc8,0x82884fff,0x3ea0fffc,0xbfff31ff,0xf07fffb0,
    0x3ee01fff,0x7c400fff,0xff802fff,0x3ffea0ff,0x3ffe21ff,0x30dffd07,
    0x001dffff,0x3e61ffff,0x000effff,0x001ffff0,0x000dfff7,0x0007fff9,
    0xf001ffff,0xf8801fff,0xff3007ff,0x9fff90df,0x7d46ff98,0x87ffcc6f,
    0xfd83fff8,0x6ffd83ff,0x01ffffc0,0x401bfff2,0x3f21ffff,0x3e64ffff,
    0x7ff706ff,0x1fffff88,0x51ffff00,0x01dfffff,0x07fffc00,0x0ffffa60,
    0x0ffff200,0x03fffe00,0x003fffe0,0x200ffff1,0xfc84fffb,0x7ffe44ff,
    0x3e2054c0,0x40ffec7f,0xfa83fffd,0x7ffe403f,0x1ffffc06,0x22fffe80,
    0x27ffffff,0x2205fffa,0x2ffffe80,0x33fffe00,0x005fffff,0x00ffff80,
    0x1fffff91,0x7fff9000,0x7ffff000,0x55555555,0x8801ffff,0xf9807fff,
    0xffc82fff,0xffeaaadf,0x1bfe002f,0x3fffd802,0xff100110,0x3fea05ff,
    0xffb000ff,0x3fffea7f,0xfff71fff,0xfffc8009,0x7ffc004f,0x3fffffff,
    0xffff8000,0xffedcccc,0x0005ffff,0x0007fff9,0xffffffff,0xffffffff,
    0xfff8801f,0x7fffdc07,0xffffc80f,0x2fffffff,0x0017f600,0x0007fffb,
    0x20bfffb0,0x2005fffe,0xff94fffc,0x329fffff,0x2a003fff,0x8006ffff,
    0xffffffff,0x40003fff,0xffffffff,0x4fffffff,0x3fff2000,0xffff8003,
    0xffffffff,0x400fffff,0xcccffff8,0xfffffecc,0xffff903f,0x5fffffff,
    0x000ecc00,0x000ffff6,0x03fffea0,0x003ffff3,0xffafffdc,0xb7fffdff,
    0x26005fff,0x000fffff,0xfffffff8,0x004fffff,0x3fffffe0,0xffffffff,
    0x7fe40002,0xfff8003f,0xffffffff,0x00ffffff,0x7fffffc4,0xffffffff,
    0x3fff204f,0xffffffff,0xd8000002,0x00003fff,0xfc89ffff,0x7d4006ff,
    0xffffaeff,0xfe9ffff8,0xfe8801ff,0xf0002fff,0xf93fffff,0x0009ffff,
    0x3ffffffe,0x05ffffff,0x3fffc800,0xeffff800,0xeeeeeeee,0x4400ffff,
    0xffffffff,0x03ffffff,0x777fffe4,0x002ffffe,0xfffd8000,0xff700003,
    0x7fffc4ff,0x7ffcc003,0xfb5fffdf,0x3ffff9ff,0x7ffffb00,0x7c037aa0,
    0x3a60efff,0x8002ffff,0xccccffff,0x04fffffd,0x1fffe400,0x07fffc00,
    0x007fffc0,0x3fffffe2,0x0dffffff,0x44fffc80,0x0001fffc,0x3fffd800,
    0xfff10000,0x3fffee5f,0x7ffc4000,0xf52fffff,0x1fffffff,0x5ffffb80,
    0x7c13ffa0,0xff880fff,0xff8006ff,0xfffb80ff,0x320003ff,0xf8003fff,
    0xff800fff,0x7fc400ff,0xabccccff,0x7ffe4001,0x003ffdc4,0xfffd8000,
    0x3f600003,0x9fffd6ff,0x3fffe000,0xff10ffff,0x80ffffff,0x00effff9,
    0x3e0dfff1,0xff500fff,0xff8005ff,0xfff300ff,0x320007ff,0xf8003fff,
    0xff800fff,0x7fc400ff,0x3200007f,0x2da84fff,0xfb000000,0x400007ff,
    0xffbffff9,0xfd0001ff,0xd8bfffff,0x06ffffff,0x07ffffe2,0xf07fff98,
    0x7ec01fff,0x7fc006ff,0x3fe600ff,0xc8001fff,0xf8003fff,0xff800fff,
    0x7fc400ff,0x3200007f,0x00004fff,0xfffd8000,0x7f400003,0x05ffffff,
    0x3ffff600,0x7ffd42ff,0x3fa05fff,0x7cc03fff,0xffff07ff,0x7fffc401,
    0x3fffe003,0x7fffd400,0xfffc8006,0xffff8003,0x0ffff800,0x03fffc40,
    0x9fff9000,0x20000000,0xcfffd998,0xb8000099,0x2fffffff,0x3fff2000,
    0x7fc40fff,0xf904ffff,0x3333bfff,0xfff53333,0x3ffff30f,0x7fffe401,
    0x7ffc4009,0x7fe400af,0x4ccc04ff,0x99cfffd9,0x7ffc4009,0x7ffc401f,
    0x7ffcc01f,0x0009999f,0x9dfffc88,0x00000199,0x7fffff5c,0x1effffff,
    0x3ffe2000,0x40007fff,0x05fffffb,0x07fffffb,0x3ffffffe,0xffffffff,
    0x3ff27fff,0x4effffff,0xffffff88,0x7fff642e,0x204fffff,0x0efffffd,
    0x3ffffff6,0xffffffff,0x7fffcc4f,0x7644ffff,0x2fffffff,0x7fffffe4,
    0x01efffff,0xfffffd98,0x05ffffff,0xfff88000,0xffffffff,0x40006fff,
    0x03fffffc,0x7fffd400,0xffff503f,0x3fffe05f,0xffffffff,0x37ffffff,
    0xffffffff,0xff903fff,0x7ccdffff,0xffffffff,0xfff101ff,0x3fea7fff,
    0xffffffff,0x1fffffff,0x3ffffffa,0xfff32fff,0x4dffffff,0xfffffffa,
    0x06ffffff,0xffffffd8,0x3fffffff,0xfff80000,0xffffffff,0x40005fff,
    0x00fffff9,0x7fffcc00,0xffff100f,0x3fffe03f,0xffffffff,0x37ffffff,
    0xffffffff,0xff101fff,0x7c4dffff,0xffffffff,0x3fea01ff,0xfff53fff,
    0xffffffff,0x43ffffff,0xfffffffe,0xffff11ff,0x4cffffff,0xffffffff,
    0x805fffff,0xfffffffd,0x02ffffff,0xffda8000,0xffffffff,0xd80001df,
    0x80005fff,0x406ffff8,0xf00ffffd,0xffffffff,0xffffffff,0x7ffedcff,
    0x203dffff,0x41dffffc,0xffffffdb,0xffd803df,0x3ffae0ce,0xffffffff,
    0x6cc3dfff,0x3effffff,0x7ffffedc,0x7ff5c2df,0xffffffff,0xffc9801d,
    0xffffffff,0x0000003e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8800000,0xcccccccc,0xcccccccc,
    0x665444cc,0xbccccccc,0x66540009,0x2a201ccc,0x0acccccc,0x66666544,
    0x9bcccccc,0x99730000,0x07999999,0x00020000,0x99999951,0x80037999,
    0x04cccca8,0x56666640,0x00001a80,0x00b88000,0xfffff800,0xffffffff,
    0x7fffffff,0x7ffffffc,0xefffffff,0xffffe803,0x3ffe06ff,0x0fffffff,
    0x3ffffffe,0xffffffff,0x3f2001ef,0xffffffff,0x300000ff,0x597bfffb,
    0x3ffffe60,0xffffffff,0x3fffe003,0xf5002fff,0x41ffffff,0x0002effe,
    0xfff10000,0x7fcc0001,0xffffffff,0xffffffff,0x3ffe67ff,0xffffffff,
    0x01efffff,0xfffffff3,0xffff307f,0x27ffffff,0xfffffffa,0xffffffff,
    0xff004fff,0xffffffff,0x700007ff,0xffffffff,0xffff705f,0xffffffff,
    0x3fe600df,0x006fffff,0xfffffffb,0x3ffffe65,0x0000001e,0x0017ffdc,
    0x3fffffe0,0xffffffff,0x47ffffff,0xffffffff,0xffffffff,0xfffd02ff,
    0xf03fffff,0xffffffff,0x3fffe21f,0xffffffff,0x3fffffff,0xfffffc80,
    0x07ffffff,0x7fffd400,0x84ffffff,0xfffffff9,0x03ffffff,0x3fffffe0,
    0x7fcc01ff,0x20ffffff,0xdfffffff,0x90000000,0x80007fff,0xdffffca8,
    0xcccccccc,0x5447fffc,0xcccdffff,0xffffffdc,0xffca881f,0xa886ffff,
    0x0bffffcc,0x7fffe544,0xedcccccc,0x801fffff,0xfffeccb9,0x0002ffff,
    0xfffffff1,0x2203ffff,0xefffdccb,0x44001bcc,0x5ffffffc,0x7ffffe40,
    0x7fec40cf,0x00cfffff,0x7fe40000,0x3e00003f,0xf8800fff,0xfffd07ff,
    0x7ffe4c03,0x7fff406f,0x3e203fff,0xfff807ff,0x7ffcc00f,0xffe8004f,
    0x005fffff,0x17ffff70,0x4001bfd3,0x0005fffb,0xffffff98,0xffff101f,
    0x75403fff,0x3fffffff,0x3f200000,0x200003ff,0x8800ffff,0xffd07fff,
    0xfff7003f,0x7fff407f,0xf100ffff,0xfff00fff,0xfff9001f,0xfff9800b,
    0x00ffffbf,0x84fffc80,0xfffb8001,0xff980005,0x704fffff,0x3fffffff,
    0xfffff700,0x00005dff,0x007fff90,0x07fffc00,0x1bffe0cc,0x800ffff4,
    0x3a06fffd,0x5fffffff,0x00ffff10,0x3001ffff,0xd800ffff,0xfffd6fff,
    0xfffb0007,0x3ee00007,0x980005ff,0xffffffff,0xffffff80,0xf91001ff,
    0x3dffffff,0x7fe40000,0x3e00003f,0x7fe40fff,0x7413ff23,0xf1001fff,
    0x3fa05fff,0x2ffffeff,0x807fff88,0xd800ffff,0x22005fff,0xff72ffff,
    0xff9000ff,0x2e0000df,0x80005fff,0xfffffff9,0x7fffd43f,0x4001ffff,
    0xffffffc8,0xc80000df,0x00003fff,0xff03fffe,0x3a01a8bf,0x3a001fff,
    0xffd04fff,0x1ffffd3f,0x807fff88,0x5c00ffff,0x2004ffff,0x3e27fffb,
    0x4c002fff,0x0003ffff,0x005fffb8,0xcffff980,0x7ff47fff,0x01fffedf,
    0xffffb300,0x00019fff,0x001fffe4,0x57ffff00,0x00ffff75,0x001fffe8,
    0x7417fff2,0xfffa9fff,0x3fffc44f,0x55ffffc0,0xfffcbaaa,0x3a000fff,
    0x7fec4fff,0xffd8005f,0x5c0000ff,0x80005fff,0xff8ffff9,0xffff33ff,
    0x003fffd3,0xffffea80,0xd9303fff,0xfffddddd,0xdddddddf,0x7ffc0039,
    0xffffffff,0x7fff4007,0x3ffea001,0x23fffd06,0x221ffffd,0xff807fff,
    0xffffffff,0x02ffffff,0x07fffe60,0x001ffff3,0x06ffffd8,0x2fffdc00,
    0x7ffcc000,0x36dfffb7,0xfffd5fff,0x3ee00003,0x2effffff,0x3fffffe2,
    0xffffffff,0x06ffffff,0x3fffffe0,0x007fffff,0x000ffff4,0x3a0dfff3,
    0xfff11fff,0x3fffc4df,0x7fffffc0,0xffffffff,0x3f6001ff,0xfffd05ff,
    0x7ffe4009,0x3ba63fff,0x7ffdc03c,0xff980005,0x7ffff37f,0x3fa5ffff,
    0x100001ff,0xfffffffb,0x3fffe61b,0xffffffff,0xffffffff,0xffff000f,
    0xffffffff,0x1fffe800,0x1bffe600,0xf70ffff4,0x3fe27fff,0xffff807f,
    0xffffffff,0x801fffff,0x702ffff8,0x3200ffff,0xffffffff,0x03ffff91,
    0x002fffdc,0xb3fffcc0,0xdfffffff,0x000ffff4,0x7ffffdc0,0xffc81eff,
    0xffffffff,0xffffffff,0x3ffe004f,0xfffeeeef,0x7fff4007,0x3ffea001,
    0x83fffd06,0xf88ffffd,0xfff807ff,0xeeeeeeef,0x2fffffff,0x77fffdc0,
    0xffeeeeee,0x7fdc02ff,0x6fffffff,0x409ffffd,0x3005fffb,0xffff307b,
    0x7fffffd4,0x07fffa3f,0xffffa800,0x9802efff,0xffd99999,0x199999cf,
    0x0ffff800,0x00437ffc,0x4003fffd,0xfd04fffc,0xfff883ff,0x07fff8df,
    0x400ffff8,0x07ffffd9,0x7ffffff4,0xffffffff,0x7ffec05f,0xdffffa8e,
    0x201fffff,0xf005fffb,0xfff985ff,0x7fffff47,0x00ffff47,0x7ffff540,
    0x80003fff,0x0003fffc,0xd03fffe0,0x1efb8bff,0x001fffe8,0x740ffff6,
    0xffb81fff,0x07fffcff,0x000ffff8,0x203ffff7,0xfffffff9,0xffffffff,
    0x3ffe00ff,0x3ffff60f,0x5c00efff,0xf9805fff,0x7ffcc5ff,0x7ffffdc7,
    0x00ffff44,0xfffffb30,0x000019ff,0x000ffff2,0x40ffff80,0x4ffe83c8,
    0x001fffe8,0x7407fffe,0xffd01fff,0x00ffffff,0x4001ffff,0xfb03fffc,
    0xffffffff,0xffffffff,0x1bffe609,0xfffffff1,0xbfff7007,0x8dfff500,
    0xff87fff9,0x7ff40fff,0xffc8801f,0x00dfffff,0x7ffe4000,0x3fe00003,
    0xff1000ff,0x3fffd0df,0x3ffff600,0x03fffd00,0x3fffffe6,0xffff807f,
    0x3ffee000,0xcffff885,0xaaaaaaaa,0x507fffca,0xff50dfff,0x7001ffff,
    0xf500bfff,0xfff98dff,0x85fffb87,0x5c01fffe,0xefffffff,0xf9000001,
    0x400007ff,0x3000ffff,0xffd0ffff,0xffe8803f,0x3ffa04ff,0x3fff201f,
    0xff807fff,0x3fa000ff,0xfffb84ff,0x7fffc007,0x3ffff882,0x06ffffd8,
    0x00bfff70,0xf98dfff5,0x133307ff,0x203fffd0,0xfffffffa,0x4000002e,
    0x0003fffc,0x35ffff10,0x33333333,0xfd0ffff5,0x333337ff,0xdffffd73,
    0x1afffe80,0xffffff10,0xffff980f,0x99999999,0x2ffffdb9,0x00dfffe8,
    0x0bfffb10,0x37fffffa,0xffffffec,0xff73306f,0x333333bf,0x8dfff733,
    0x009ffff9,0x5fffd310,0xffffffb0,0x0000007f,0x000ffff2,0xfffffd90,
    0xffffffff,0x4fffffff,0xfffffffc,0xffffffff,0xff900fff,0x09ffffff,
    0x0ffffff5,0x3ffffff2,0xffffffff,0x0fffffff,0xffffffb3,0x3fae05df,
    0x0effffff,0x3fffffea,0xffffffff,0x3fff63ff,0xffffffff,0xffffffff,
    0xffffb16f,0x2a07dfff,0xfffffffe,0xfffff31d,0x0000019f,0x01fffdc0,
    0xfffff300,0xffffffff,0xffffffff,0x3ffffe6f,0xffffffff,0x301effff,
    0xffffffff,0xfffb05ff,0xffff30ff,0xffffffff,0xffffffff,0x7fffec3f,
    0x887fffff,0xffffffff,0x7ffe44ff,0xffffffff,0xff73ffff,0xffffffff,
    0xffffffff,0x3ff2dfff,0xffffffff,0xffffff80,0x3fe5ffff,0x00000dff,
    0x0fff9800,0x3ffe2000,0xffffffff,0xffffffff,0xffff17ff,0xffffffff,
    0x401bffff,0xfffffff9,0xff881fff,0xfff987ff,0xffffffff,0xffffffff,
    0x7fffec1d,0xf07fffff,0xffffffff,0xfffd309f,0xffd9ffff,0x3ffea19d,
    0xffffffff,0xffffffff,0xffff76ff,0x20ffffff,0xfffffffe,0x0736a4ff,
    0x90000000,0xb700009d,0xffffffff,0xffffffff,0x7edcffff,0xffffffff,
    0x7000bdef,0xdffffffb,0x3fffdc07,0xfffffdb8,0xffffffff,0xd9102cde,
    0x5bffffff,0x3ffff6a0,0x2600ceff,0x000abcba,0xffffffd7,0xffffffff,
    0x22dfffff,0xffffffec,0xfffb302d,0x0019dfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xba880154,0x20bdeeed,0x76dd4001,0x80009bce,
    0xbdefecc9,0x73100331,0x179ddddb,0xdb710000,0x440017bd,0x100aaaaa,
    0x01555555,0x0d55554c,0x02f7b6e6,0x05555544,0x2aaaa880,0x2aaaaa20,
    0x55555100,0x00000001,0x0bfff500,0xffffffb8,0x6fedffff,0xffffea80,
    0x003fffff,0xffffffd3,0x07ffffff,0x3fffff66,0x0cffffff,0x7ffec400,
    0x0dffffff,0x7fffff40,0xffffc81f,0xff981fff,0xb14fffff,0x5fffffff,
    0xffffffb8,0x7fff405f,0x7ec2ffff,0x43ffffff,0xfffffffc,0x00000004,
    0xfffffd30,0xffffd101,0xffffffff,0x36203fff,0xffffffff,0x202effff,
    0xfffffffc,0x6fffffff,0xfffffff0,0xbfffffff,0x7fffdc00,0xffffffff,
    0xffff302f,0xfff03fff,0xb03fffff,0x9fffffff,0xfffffff5,0x7ffc1fff,
    0x01ffffff,0xfffffff5,0x7fffccdf,0x7fc7ffff,0x0fffffff,0x20000000,
    0xffffffd9,0xfffff886,0xffffffff,0xe883ffff,0xffffffff,0x1fffffff,
    0xffffffa8,0xffffffff,0xfffff07f,0xffffffff,0xff7009ff,0xffffffff,
    0x107fffff,0x3fffffff,0xffffffd0,0xffff703f,0xffffffff,0x9fffffff,
    0x7fffffec,0x3ffe207f,0x7c4fffff,0x4fffffff,0x7fffffec,0x0000006f,
    0xfffff910,0xffb01bff,0x95379fff,0x7ffffffd,0xdfffffb0,0xfffb7359,
    0xfffd0dff,0xd75359df,0x2e0fffff,0x9abcefff,0x07fffeb9,0x77ffffcc,
    0xffeca9ac,0xdb981fff,0xb881ffff,0x01ffffed,0xffffdd95,0xb59fffff,
    0x7dc45fff,0x511befff,0x3fb26155,0x64c0bfff,0x40ffffff,0xcffffff9,
    0x80000000,0xfffffffb,0xffff701e,0xfffc801b,0x7fffdc3f,0x7fff400f,
    0x0ffffc3f,0x81bffe60,0xfff98008,0x3fffe00f,0x7ffe403f,0x7fff407f,
    0x1fffe801,0xfffffc80,0x164c0cff,0x6c4fffc8,0x7fe44fff,0x7ffd404f,
    0xfff30eff,0x00003fff,0xfffd5000,0xf805ffff,0x3a006fff,0x7ffc2fff,
    0xfe8801ff,0x3ffe0fff,0x77d400df,0xffd00002,0x3ffe605f,0xfff5002f,
    0x7fff403f,0x1fffe801,0xfffffc80,0xff50002f,0x7fffc4df,0x017fff47,
    0x7fffff4c,0x0efffffb,0x4c000000,0xfffffffe,0xffff8803,0x3ffea000,
    0x2ffffe20,0x99999999,0x2ffff999,0x3ffffff6,0x00009acd,0xdffffd97,
    0x205ffffd,0x4005fffb,0x3a03fffd,0xfe801fff,0xffc801ff,0x20000eff,
    0xf70ffff8,0x3e25ffff,0xd1000fff,0xffffffff,0x000001bf,0x7fffec40,
    0x5000cfff,0x7000bfff,0xffffa85b,0xffffffff,0xffffffff,0x3ffffe64,
    0x3effffff,0xffffd500,0xffffffff,0x3fff605f,0x7ffcc001,0x07fffa05,
    0x007fffa0,0x0017fff2,0xe97fff40,0xf55fffff,0xfb000dff,0x09ffffff,
    0x64400000,0xdfffffff,0x7ffdc001,0x3f200004,0xffffffff,0xffffffff,
    0x7f545fff,0xffffffff,0x3f601eff,0xffffffff,0x82ffffff,0x0007fff8,
    0x7f40ffff,0xffe801ff,0xfffc801f,0xff900004,0xfffff39f,0x9fff91ff,
    0xffff1000,0x00000dff,0x7ffffdc0,0x90001eff,0x00007fff,0x7fffffe4,
    0xffffffff,0x06ffffff,0xffffffb5,0xb07fffff,0xffffffff,0xffffffff,
    0x0ffff105,0x03fffe00,0x400ffff4,0xc801fffe,0x00004fff,0xff9dfff5,
    0xfd7fffff,0xe88005ff,0x5fffffff,0x75400000,0x2effffff,0x7ffd4000,
    0x3ea00005,0xffffffff,0xffffffff,0xa8806fff,0xfffffecb,0x3fffee0f,
    0xa9989adf,0xd02ffffb,0x98003fff,0x3fa06fff,0xffe801ff,0xfffc801f,
    0xff100004,0xfdffffff,0x1fffffff,0x7fff4400,0x0effffff,0xfd880000,
    0x0cffffff,0x7ffcc000,0x3e200006,0x00002fff,0x2a005db1,0x3f63ffff,
    0xfe801fff,0xfff902ff,0xfffd800b,0x07fffa04,0x007fffa0,0x0013fff2,
    0xfffffe80,0xfffff8ff,0x3e6007ff,0xffaeffff,0x0001efff,0xffffd300,
    0x80007fff,0x8004ffff,0x7fffc2da,0xfc80001f,0xff7000ff,0x17fffcdf,
    0x17fffd40,0x03ffff98,0x03ffff90,0x2017fff4,0x801ffffb,0x0004fffc,
    0x3fffff20,0xfffff94f,0x3fea00bf,0xfd10dfff,0x0005ffff,0x7fffd400,
    0x0002efff,0x03bffffb,0x43fffd30,0x02fffffa,0xd0ceca98,0x9805ffff,
    0xff15fffe,0x7f5407ff,0x3e03ffff,0x100dffff,0x80fffffb,0xf705fffd,
    0x403fffff,0x9cfffc99,0x80009999,0x1ffffffa,0x7ffffff3,0xfffff700,
    0xffffd10b,0x8000007f,0xfffffffb,0x7f44001e,0xbcdeffff,0xfffffecc,
    0x7fffe43f,0xeccbcdff,0xf4ffffff,0x9bdfffff,0xffffd997,0x7ffff47f,
    0xfffecbdf,0xdfffffff,0x7ffffd40,0xffecccef,0x5c02ffff,0xecceffff,
    0xffffffff,0xfffb11df,0xffffffff,0x4007dfff,0x46fffff8,0x01fffffe,
    0x3fffffaa,0x7ffdc2ff,0x002effff,0x3ff22000,0x00dfffff,0x3ffffe20,
    0xffffffff,0xe80fffff,0xffffffff,0xffffffff,0xfffffd5f,0xffffffff,
    0xff98dfff,0xffffffff,0xffffffff,0xfffb84ff,0xffffffff,0x8803ffff,
    0xffffffff,0xffffffff,0xffff94ff,0xffffffff,0x001fffff,0x227ffffc,
    0x407ffffb,0xffffffff,0x7ffffc7f,0x0007ffff,0xfffd9800,0x000cffff,
    0xfffffff3,0xffffffff,0x7ffe401d,0xffffffff,0xf91fffff,0xffffffff,
    0x1bffffff,0xffffff70,0xffffffff,0x209fffff,0xfffffffa,0x01efffff,
    0x3ffffe60,0xffffffff,0xff94ffff,0xffffffff,0x1fffffff,0x7fffec00,
    0x2ffffc41,0x3fffffa0,0x7ff46fff,0x06ffffff,0x3a600000,0x3fffffff,
    0x3fffaa00,0xdfffffff,0xfffb1002,0xffffffff,0xdcfd885b,0xffffffff,
    0x7f4c01df,0xcfffffff,0xceffffe9,0x3ff6e200,0x0bdfffff,0xfffe9800,
    0xfe9cffff,0xd910ceff,0xffffffff,0x05bfffff,0x06fffb80,0x9807fffb,
    0xdffffffd,0x7fffecc1,0x00001dff,0xffffa800,0x2002efff,0xabcccaa9,
    0x53100009,0x01355999,0xcccba880,0x54c0009a,0x0002accc,0x01797300,
    0x66544000,0x0000001a,0x00000000,0x00000000,0x5c000000,0x4fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b6e2000,0xeeeeeeee,
    0xeeeeeeee,0x000000bd,0xcc880000,0xcccccccc,0x0ccccccc,0x32200000,
    0x40ffffff,0x0aaaaaaa,0x55555510,0x55555015,0x55555555,0x40015555,
    0xaaa88000,0x9ddb930a,0x2aa60017,0x87bdb32a,0x001deedb,0x3fa00040,
    0xffffffff,0xffffffff,0x3f25ffff,0x7ffc4fff,0xffb501ff,0xff100039,
    0xffffffff,0x1fffffff,0xb3000000,0x7fdcdfff,0x3fffffff,0x7fffffe4,
    0x7ffc3fff,0xffffffff,0x00ffffff,0x2005fe88,0xdafffffe,0xffffffff,
    0x3fffe202,0xfffffcff,0xfffffead,0x3f50004f,0x7ffffc00,0xffffffff,
    0xffffffff,0x3fffea7f,0x07fffec3,0x3fffff62,0x8872e03f,0xffffffff,
    0xffffffff,0x0000000f,0xffe87766,0x7fffffff,0x3fffffe2,0x7fc7ffff,
    0xffffffff,0x0fffffff,0x01fffa80,0xffffffa8,0xffffffff,0xff904fff,
    0xffffffff,0xffffffff,0x8005ffff,0x9000eff9,0xffffffff,0xffffffff,
    0x4c7fffff,0x7e42ffff,0xfffe87ff,0xc84fffff,0xfff10fff,0xffffffff,
    0x01ffffff,0x90000000,0xffffffff,0xffffd89f,0x7c5fffff,0xffffffff,
    0xffffffff,0x3fffc800,0xfffff880,0xffffffff,0xa81fffff,0xffffffff,
    0xffffffff,0x07ffffff,0x1bfffe20,0xaaaaa880,0xaaaaaaaa,0x881aaaaa,
    0x7dc1ffff,0x7ffec6ff,0x5fffffff,0x887ffff2,0x88888888,0x08888888,
    0x00000000,0xffffdb71,0xfdc8819b,0x40bdefff,0xeeeeffff,0xffffffee,
    0x7fff9004,0x3fff2600,0xb9bcffff,0x505ffffd,0x7dfffffb,0xbfffffd5,
    0x01ffff75,0x3fffffa0,0x00000005,0x503fffe0,0x7fccbfff,0xfffb9eff,
    0xffffdeff,0x00000006,0x98000000,0x5402ffff,0x3a01ffff,0xff980fff,
    0x90104fff,0x40107fff,0x01fffffe,0x440ffff7,0x2e0effff,0x7f44ffff,
    0xffd802ff,0x003fffff,0xfd000000,0x9fff30ff,0x3077ffcc,0xffffffff,
    0x000003ff,0x00000000,0x01bfff60,0xc80bfffd,0xfff985ff,0xefd884ff,
    0x27fff91c,0xfd04ffca,0x7c401dff,0xff100fff,0xfffa81ff,0x02fffd86,
    0x7fffffdc,0x00002fff,0x6ffd8000,0x643fff88,0xffe880ef,0x001fffff,
    0x00000000,0x3fe60000,0xfff501ff,0x1dd8803f,0x27ffffcc,0xffffffb8,
    0xfffeffff,0xffe81fff,0xfffe801f,0x0ffff101,0xfb0bfff5,0x7fd405ff,
    0xffffafff,0xfffb301f,0xffffffff,0xffffffff,0x05ffc83b,0x00105fff,
    0x03bffff9,0x00000000,0xfd000000,0x3ffa0bff,0x3e60005f,0x2a04ffff,
    0xffffffff,0xffffffff,0x1fffe81f,0x01fffe80,0xf50ffff1,0xfffb0bff,
    0x3fffe605,0xdffff71f,0xfffffd01,0xffffffff,0xffffffff,0xb04ffb8d,
    0x440003ff,0x000000aa,0x00000000,0x3fffea00,0x0ffffd41,0xffff9800,
    0xfffc804f,0xffffffff,0xfd03ffff,0xffd003ff,0x3ffe203f,0x85fffa87,
    0xe882fffd,0x7e42ffff,0xfff85fff,0xffffffff,0xffffffff,0x7fcc7fff,
    0x001ff902,0x00000000,0x00000000,0x17fffa00,0x000dfffd,0x13ffffe6,
    0xfffdb880,0xadffffff,0x07fffa00,0x407fffa0,0xfa87fff8,0xfffd85ff,
    0x4ffffd82,0x89ffffb0,0xffffffeb,0xffffffff,0x82efffff,0x0bf500ff,
    0x00000000,0x00000000,0x7ffd4000,0x5ffff31f,0xffff5000,0x7cc0009f,
    0x00ffffff,0x003fffd0,0x2203fffd,0xffa87fff,0x2fffd85f,0x02ffffcc,
    0x03ffffd1,0x33333331,0x33333333,0x00440133,0x00000002,0x00000000,
    0x3a000000,0xfffb5fff,0xfff5000d,0x02a209ff,0xffffffd0,0x3ffa009f,
    0xfffe801f,0x0ffff101,0xfb0bfff5,0xfffb85ff,0x7ffc400e,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x7dffffd4,0x54002fff,0x204fffff,
    0xff900fff,0x5fffffff,0x03fffd00,0x203fffd0,0xfa87fff8,0xfffd85ff,
    0x0077f442,0x5cc6ff98,0xcccccccc,0xcccccccc,0xbccccccc,0x00000001,
    0x00000000,0x00000000,0x7ffffff4,0x7fd4006f,0x9999dfff,0x82fffb99,
    0xf8effff9,0x7c00ffff,0xff802fff,0xfff101ff,0x0bfff50f,0x0607fffb,
    0xff302200,0xffffffff,0xffffffff,0xffffffff,0x0000003f,0x00000000,
    0x00000000,0x7ffffdc0,0x3e6002ff,0xffffffff,0xffffffff,0x0ffffd84,
    0x307ffff3,0xffffffff,0xfffff907,0x3ff621bf,0x3ea5ffff,0x3f63ffff,
    0x0001efff,0xfffff700,0xffffffff,0xffffffff,0x09ffffff,0x00000000,
    0x00000000,0xf8000000,0x006fffff,0x7fffffd4,0xffffffff,0xffe84fff,
    0x27ffe42f,0x7fffffec,0x3fe60fff,0x74ffffff,0xffffffff,0x3ffffea5,
    0xfffffb0f,0x2200000b,0xffffffff,0xffffffff,0xffffffff,0x00001fff,
    0x00000000,0x00000000,0x7ffdc000,0x7d4003ff,0xffffffff,0xffffffff,
    0xb03ffa84,0xfffb01df,0x41ffffff,0xfffffff9,0xfffff74f,0x3fea5fff,
    0xffb0ffff,0x0000bfff,0xbbbbb980,0xbbbbbbbb,0xbbbbbbbb,0x000002bb,
    0x00000000,0x00000000,0x3fffe000,0xfffa8006,0xffffffff,0x04ffffff,
    0x64c01002,0x2dffffff,0xeffffdb8,0xfffd910c,0x7ffd47df,0x3fff62df,
    0x000000cf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_47_usascii_x[95]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,2,0,0,-1,0,0,3,6,10,6,2, };
static signed short stb__courier_bold_47_usascii_y[95]={ 34,7,8,5,5,7,10,8,7,7,7,10,28,20,
29,4,7,7,7,7,7,7,7,7,7,7,15,15,10,16,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,42,6,15,7,15,7,15,7,14,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,17, };
static unsigned short stb__courier_bold_47_usascii_w[95]={ 0,8,15,21,19,19,19,7,11,11,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,25,18,18,27,24,23,23,23,23,24,25,19,24,26,
23,27,26,25,22,25,26,21,23,25,27,27,25,25,19,10,19,10,19,29,9,23,25,22,25,22,21,24,25,21,
17,23,21,27,23,23,25,25,22,19,23,24,26,26,25,25,19,12,5,12,21, };
static unsigned short stb__courier_bold_47_usascii_h[95]={ 0,28,13,33,35,28,25,13,34,34,19,24,13,5,
6,35,28,27,27,28,27,28,28,28,28,28,20,24,24,13,24,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,34,35,34,15,5,8,20,28,20,28,20,27,29,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,19,19,19,28,19,34,34,34,10, };
static unsigned short stb__courier_bold_47_usascii_s[95]={ 249,163,192,183,19,117,129,248,122,134,74,
227,240,230,248,39,172,93,23,95,209,27,192,75,1,47,248,238,1,166,201,
229,205,101,76,69,25,1,224,44,175,155,139,101,149,173,49,183,201,157,128,
1,1,113,25,53,214,188,81,146,59,98,146,166,240,93,212,27,21,50,67,
224,157,89,1,111,135,118,94,117,1,49,166,73,164,141,27,189,216,137,54,
85,79,109,208, };
static unsigned short stb__courier_bold_47_usascii_t[95]={ 1,38,196,1,1,38,150,124,1,1,197,
150,96,196,88,1,38,96,96,38,67,38,38,38,67,67,67,38,176,196,150,
67,1,150,150,96,150,150,124,96,124,124,96,124,150,150,150,67,124,1,124,
96,124,96,124,124,96,96,124,1,1,1,197,210,110,176,38,176,67,176,67,
1,67,67,1,67,67,197,197,176,38,38,176,176,96,176,197,176,176,38,197,
1,1,1,196, };
static unsigned short stb__courier_bold_47_usascii_a[95]={ 398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_47_usascii(stb_fontchar font[STB_FONT_courier_bold_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_47_usascii_s[i] + stb__courier_bold_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_47_usascii_t[i] + stb__courier_bold_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_47_usascii_x[i];
            font[i].y0 = stb__courier_bold_47_usascii_y[i];
            font[i].x1 = stb__courier_bold_47_usascii_x[i] + stb__courier_bold_47_usascii_w[i];
            font[i].y1 = stb__courier_bold_47_usascii_y[i] + stb__courier_bold_47_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_47_usascii_s[i] + stb__courier_bold_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_47_usascii_t[i] + stb__courier_bold_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_47_usascii_x[i] + stb__courier_bold_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_47_usascii_y[i] + stb__courier_bold_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_47_usascii_LINE_SPACING
#endif

