// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT        222
#define STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_48_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_48_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_48_usascii_LINE_SPACING          23

static unsigned int stb__courier_bold_48_usascii_pixels[]={
    0x00002a00,0x02f77744,0x00004020,0xb8336a00,0x2000004e,0x5c41cdb8,
    0x000000bd,0x3bbbaa00,0x6cc0bdee,0x77776543,0x262005ee,0x0000accb,
    0x00026a20,0x0004cc40,0x1ffe8000,0xfff88000,0xdfb1007f,0x0013fea1,
    0xafffc400,0x0004fff9,0x7fffe980,0x017fffe4,0x441eea80,0xfff704fd,
    0x44bfffff,0xfff54fff,0x00dfffff,0xffffffd1,0x220007ff,0x2efffffd,
    0xffeda800,0xdd91dfff,0x00017bdd,0x0009fff1,0x0fffff10,0x74ffff60,
    0x00003fff,0xf56fffc8,0x00001fff,0x7fffffc4,0x3fffffe1,0x6fff8002,
    0x5c0fffd4,0xffffffff,0x65bffea7,0xffffffff,0x7fffdc06,0xdfffffff,
    0x3ffe6000,0x03ffffff,0xfffff910,0xfdbfffff,0x00bfffff,0x00dfff50,
    0xfffff100,0x7ffff500,0x003ffff6,0xffff8800,0x013fffe3,0xffffe800,
    0x7fffe46f,0x3e2000ff,0x3ff60fff,0xffffb83f,0x3ea4ffff,0xffff36ff,
    0x220dffff,0xfffffffe,0x2fffffff,0xfffff980,0x03ffffed,0x7fffffcc,
    0xffffffff,0x07ffffff,0x77ffe440,0xccc80001,0xfffe804c,0x9ffff50f,
    0x7fe40000,0x3fff20ff,0xf880000f,0xb302dfff,0x4005ffff,0x7f47fff9,
    0xfffb82ff,0x7d40aaae,0x2aaa26ff,0xfb06fffc,0xb9dfffff,0x1fffffff,
    0x5ffffc40,0x03fff620,0x7fffffc4,0xffffffff,0x4fffffff,0xffffb300,
    0x3bfbffff,0xfa800000,0x7ff44fff,0x880000ff,0x7c44ffff,0x80003fff,
    0xb007fffa,0x4c009fff,0x7ff47fff,0x5fffb82f,0x037ffd40,0xf50dfff5,
    0x2607ffff,0x206ffffe,0x3602fffb,0xfffd02ff,0x764c37ff,0xadffffff,
    0xffff5000,0xffffffff,0x800000bf,0x5c0ffffe,0x0004ffff,0x80ffffb8,
    0x0007fffd,0x006fffa8,0x400bfff7,0x7fc6fffa,0xfffb81ff,0x37ffd405,
    0x88dfff50,0x801effff,0xf04ffffc,0xff9809ff,0xeffffb85,0x3fffa200,
    0x3e6004ff,0xffffffff,0x007fffff,0x3ffe6000,0xfffff05f,0xffe80001,
    0xffff305f,0xffa80007,0xfff7006f,0x7ffd400b,0x40ffffc6,0x5405fffb,
    0x3ea06fff,0x7fff46ff,0x3ff6000f,0x3ffdc1ff,0xfe87ff80,0xfd1006ff,
    0x74009fff,0xddefffff,0x47ffffff,0xeeeeedb8,0x2eeeeeee,0x80ffffec,
    0x004ffffb,0x07fffea0,0x006fffd8,0x037ffd40,0x005fffb8,0xf897ffee,
    0xffb80fff,0x7ffd405f,0x9bffea06,0x003ffff9,0x227fffc4,0xff005ffd,
    0x7fffc41f,0x3ffe6003,0xfff3004f,0xfda881bf,0x7fff47ff,0xffffffff,
    0x3fe63fff,0x3fe205ff,0x3a0007ff,0x7cc05fff,0x20002fff,0x7006fffa,
    0x5c00bfff,0x3fe25fff,0xfffb80ff,0x37ffd405,0x54dfff50,0x70006fff,
    0xffe8dfff,0x7ffd4403,0x03fffea0,0x09ffff00,0x03fffee0,0x7c4bffd0,
    0xffffffff,0x23ffffff,0x401ffffc,0x002ffffc,0x01ffffa8,0x006fffe8,
    0x01bffea0,0x002fffdc,0x7cc9fff9,0xfff707ff,0x6fffa80b,0xc9bffea0,
    0x10004fff,0xfff8ffff,0xfffff902,0x37ffdc1f,0x27ffec00,0x05fffc80,
    0x7ec1dea8,0xffffffff,0x363fffff,0xf9806fff,0xe8003fff,0xf5006fff,
    0x20003fff,0x7006fffa,0xec80bfff,0xffffffff,0xdfffffff,0x80bfff70,
    0x2a06fffa,0x3ff66fff,0x3fe0002f,0x1fff11ff,0xfffffe98,0x3ffe60ff,
    0xffff8007,0xffff5004,0xaa880001,0xeaaaaaaa,0x3ffe3fff,0xffff005f,
    0xfff9800b,0x3ffa002f,0xff50005f,0x3fee00df,0x3ffea05f,0xffffffff,
    0x4fffffff,0xa80bfff7,0x3ea06fff,0x3fffe6ff,0x3ffa0001,0x88dff32f,
    0xffefffff,0x1ffffc0f,0x9ffff700,0x3fffe600,0x00000acf,0x44ffff60,
    0xd004ffff,0xd800dfff,0x5c006fff,0x8001ffff,0x7005fffb,0x7d40dfff,
    0xffffffff,0xffffffff,0x0bfff74f,0x206fffa8,0xff16fffa,0x6c0001ff,
    0xdff33fff,0xf1dfffd8,0xfffd81ff,0xfffa802f,0x3f2004ff,0xdeffffff,
    0x3600000a,0xfff33fff,0x3ff6007f,0x3fe6007f,0xff8003ff,0x322005ff,
    0x5004ffff,0x205bffff,0xfffffffd,0xffffffff,0xbfff70df,0x06fffa80,
    0xff9bffea,0x3a0001ff,0xdff32fff,0x3e1fffc4,0x7ffd40ff,0xfc880dff,
    0x004fffff,0x3fffffa2,0x02efffff,0x3fffd800,0x003ffff5,0x003ffff2,
    0x003fffe4,0x00ffffb8,0xffffffa8,0xffff1002,0x7fcc0bff,0xffd99aff,
    0xfffb81df,0x37ffd405,0x74dfff50,0x20002fff,0xff31ffff,0x7c3ffd4d,
    0xfffb80ff,0xffddffff,0x4fffffff,0xffffc800,0x5fffffff,0x7ffec000,
    0x01ffff93,0x0bfffea0,0x0ffffe20,0x7fffc400,0xffffd804,0x7fd4005f,
    0xf100ffff,0x7fe41fff,0xbfff704f,0x06fffa80,0xfd9bffea,0xf10004ff,
    0x3fe61fff,0x3e13fee6,0xfff900ff,0xffffffff,0x09ffffff,0x3ff6e200,
    0x4fffffff,0x3fff6000,0x00ffffb3,0x01ffffcc,0x007fffe4,0x1ffff900,
    0xfffffc80,0x3ff6000f,0x3e206fff,0x3ff60fff,0xbfff703f,0x06fffa80,
    0xfc9bffea,0xf70006ff,0x37fccfff,0xff81fff5,0x3ffee00f,0xffffffff,
    0x004fffff,0xfffb7300,0x20003fff,0xffb3fffd,0x7fd400ff,0x7fc402ff,
    0x440004ff,0x4403ffff,0x04fffffc,0xbfffff30,0x3fffcc03,0x5c0ffff6,
    0x7d405fff,0x3fea06ff,0x3fffe26f,0x7ffc4004,0x89bfe65f,0x3fe1cfff,
    0x7fe4400f,0x8befffff,0x0004fffd,0x9ffff500,0x3fff6000,0x03ffff73,
    0x07fffee0,0x01ffff70,0xffff9000,0x2fffec00,0x0ffffa80,0x7fffd4c0,
    0xbfffe999,0x05fffb80,0x5037ffd4,0xffd8dfff,0x3f6001ff,0x3fe60fff,
    0x77fffe46,0x2001fffd,0x6c1abba9,0xb5004fff,0x7ffe4007,0xfffb0005,
    0x0bfffea7,0x07fffe40,0x013fffe0,0x7fffcc00,0xdfff5003,0x17ffee00,
    0xffffffd8,0xffffffff,0x3fee1eff,0x7ffd405f,0x1bffea06,0x03fffff3,
    0x3ffffd88,0xffe87ff8,0x06ffffff,0x7ffec000,0x2fff8804,0x0ffff500,
    0x4ffff600,0x003ffff9,0xb80dfffd,0x0001ffff,0x01bfff60,0x8037ffd4,
    0xf305fffb,0xffffffff,0xffffffff,0x2fffdcbf,0x81bffea0,0xfc86fffa,
    0xa80bffff,0xd06ffffe,0xfff701ff,0x000dffff,0x04fffd80,0x006fffa8,
    0x000bfffd,0xff8ffff6,0xfff004ff,0xfffe80bf,0x7cc00005,0xfa802fff,
    0xff7006ff,0x3ffe60bf,0xffffffff,0x5fffffff,0x5017ffee,0x7d40dfff,
    0xfffb06ff,0xffd9dfff,0x203fffff,0x75101ffd,0x00015995,0x04fffd80,
    0x0dffffc8,0x13fffee0,0x1fffec00,0x100dfffd,0x5409ffff,0x0001ffff,
    0x06fffe80,0x006fffa8,0x5c0bfff7,0xfffffffd,0xffffffff,0x17ffee0c,
    0x40dfff50,0x3a06fffa,0xffffffff,0x01efffff,0x0000ffee,0x3ff60000,
    0xfffc804f,0xbaabcfff,0x00fffffe,0x47fffb00,0x400ffffd,0x202ffffa,
    0x0006fffe,0x5ffff500,0x06fffa80,0x00bfff70,0xf993fff2,0x3fee07ff,
    0x7ffd405f,0x1bffea06,0xffffff70,0x01bfffff,0x0007ffa8,0xd5530000,
    0x4015bfff,0xfffffffb,0xffffffff,0x3f60003f,0x3ffea3ff,0x7fff403f,
    0xffff300f,0x74000005,0x7d405fff,0xff7006ff,0x3ff600bf,0x1fffe63f,
    0x405fffb8,0x2a06fffa,0xe8806fff,0xdfffffff,0x7fff1003,0x5c000000,
    0xffffffff,0xff503fff,0xffffffff,0x009fffff,0x43fffd80,0x500fffff,
    0x6c09ffff,0x00006fff,0x0ffffd40,0x00dfff50,0x4017ffee,0x3ea3fffd,
    0x3fee06ff,0x7ffd405f,0x1bffea06,0x3ffffea0,0xfc80c02f,0x054400ef,
    0x3fffa000,0xffffffff,0xfdfff107,0xffffffff,0xfb00005f,0xfffc87ff,
    0xffffb03f,0x3fffe603,0xe8000002,0x3ea05fff,0xff7006ff,0x3ffa00bf,
    0x1bffea2f,0x405fffb8,0x2a06fffa,0x7d406fff,0xefffffff,0xfffc88ac,
    0x0f7ffc40,0x0004ffc8,0x7fffffec,0x205fffff,0xffd710a8,0x000039ff,
    0x2217fffc,0xf987ffff,0x3f605fff,0x000007ff,0x01ffff70,0x003fffe6,
    0x4013fff6,0x3ee2fffe,0x3fee05ff,0x7ffd405f,0x1bffea06,0xffffffa8,
    0xffffffff,0xfb83ffff,0xfecdefff,0x40005fff,0xeeeeedb8,0x8000bdee,
    0x0006fffa,0x07fffd40,0x21ffffe4,0x102ffffd,0x0007ffff,0x7fffc000,
    0x3ffffe04,0xfffeb80c,0xffff002f,0x02fffdc3,0x999ffff7,0x26fffa85,
    0xfffdccb8,0x3ffffa06,0xffffffff,0x00ffffff,0xfffffff7,0x0003dfff,
    0x50000000,0x0000dfff,0x837fff4c,0x266ffff8,0x3206ffff,0x0000ffff,
    0x3ffee000,0xffffb00f,0xffffc8ff,0xfff000ff,0x27ffe43f,0xffffff70,
    0x7ffd4bff,0xffffff56,0x7ff40dff,0xffffffff,0x3fffffff,0x7ffff540,
    0xff00bfff,0xffffffff,0x9fffffff,0x7fd40000,0x2aa2006f,0xfffebaaa,
    0x3ff204ff,0xffff92ff,0x3fffe205,0x40000004,0x204ffff8,0x21fffffe,
    0x02ffffff,0x41ffff10,0x2e03fffd,0xffffffff,0x2dfff50f,0xfffffffc,
    0x3ffea06f,0xdb9899bd,0x001dffff,0x006aaea2,0x3ffffffe,0xffffffff,
    0x200004ff,0xb005fffa,0xffffffff,0x880bffff,0xffd4ffff,0x7ffd40bf,
    0x0000000f,0x206fffc8,0x646fffe8,0x4002ffff,0x7fdc7ffe,0x3ffee01f,
    0x225fffff,0xfff53fff,0x00dfffff,0x00044001,0x3ffe0000,0xffffffff,
    0x04ffffff,0x3ffe2000,0xffff9803,0xffffffff,0x3fff3005,0x9803fff2,
    0x00003fff,0x9ffd1000,0x50177100,0xb3000159,0x03ec883d,0x6666664c,
    0x4c2b882c,0x3ccccccb,0x00000000,0xffff8000,0xffffffff,0x004fffff,
    0x00ffec00,0x7fffffc4,0x004fffff,0x02ea0dcc,0x000136a0,0x17930000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xec980010,
    0x01bdeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40006620,0x544000a8,
    0x53100001,0x10000035,0x00013553,0x00001353,0x00155310,0x001aa880,
    0x0000c400,0x20009a98,0xeeeeeee8,0x2ceeeeee,0x3ae60000,0x4c02eeee,
    0x52eeeedb,0x9dfffffb,0xbfff9001,0xffffd980,0x6cc003df,0xefffffff,
    0x3ae20001,0x04ffffff,0x7ffff644,0xdddd73ff,0xffa8017b,0x00dfffff,
    0xffffd910,0x5100019f,0x2000dfd9,0xfffffdb9,0xfff8804f,0xffffffff,
    0x0002ffff,0xfffffff0,0xfffff807,0xffffedff,0x03ffffff,0x0bffffe6,
    0x7fffffcc,0x4400efff,0xfffffffd,0x000cffff,0x7fffffdc,0xd503ffff,
    0xffffffff,0xfffffdff,0x3ffa20df,0xffffffff,0x7fff4403,0x03ffffff,
    0xffffeb98,0xffa8006f,0xffffffff,0x3ffe202e,0xffffffff,0x0004ffff,
    0xffffff98,0x3ffe603f,0xffffffff,0xffffffff,0xfffc80ef,0xfff985ff,
    0xffffffff,0x3fffa206,0xffffffff,0xfb1005ff,0xffffffff,0xfff90bff,
    0xffffffff,0xffffffff,0xffff881f,0xffffffff,0xffff303f,0xffffffff,
    0x3fffee05,0x006fffff,0x7fffffdc,0x2fffffff,0xffffff10,0xffffffff,
    0x3a00003f,0x03ffffff,0x7ffffff4,0xffffffff,0x86ffffff,0x47fffffd,
    0xeffffff9,0x03ffffff,0xfffffffb,0xffffffdd,0xfffe8807,0xffefffff,
    0x7fffd42f,0xffffefff,0xffffffff,0xfffffd84,0xfffffeef,0xfffff81f,
    0xffffffef,0x7fffcc1f,0x06ffffff,0x3ffffee0,0xfffffeff,0xfff880ff,
    0xaaaaaabf,0x800001aa,0x03fffea8,0xffffea98,0x9510adff,0xd89fffff,
    0x646fffff,0x74c4ffff,0xfe80ffff,0xfb80bfff,0x3a207fff,0x1bdfffff,
    0xfff106a2,0xfd983bff,0x0adfffff,0x1effffb8,0x37fffe44,0x837fffee,
    0x46ffffea,0xfffffffa,0xf1006fff,0x8819ffff,0x885ffffd,0x0000ffff,
    0x7fec0000,0x3ff6003f,0x7cc04fff,0x3f21ffff,0x3e25ffff,0xff103fff,
    0xdff509ff,0xffffb801,0xfffffb01,0xfffd8005,0x7ffdc03f,0x3ff604ff,
    0x3ff600ff,0x3fffa0ff,0x3ffff205,0x5677ff41,0x5006fffb,0xc805ffff,
    0x7c40ffff,0x00000fff,0x7ffec000,0x3fff6003,0xfff3004f,0x7fffdc9f,
    0x1ffff25f,0x20ffff70,0x3ffa0028,0xffffb83f,0xfff8002f,0xfffb004f,
    0x7fff409f,0x7fffcc04,0x01ffff32,0x985fffe8,0x037ffd40,0x005fffd8,
    0xf883ffff,0x00000fff,0x6c04cc40,0x36003fff,0x2001ffff,0x3ee6fffc,
    0x3fe4ffff,0x7fc403ff,0xd80002ff,0xfff83fff,0xf98001ff,0xf1000fff,
    0x7fc09fff,0xffe801ff,0x0dfff53f,0x00ffff70,0x401bffea,0xb000fffb,
    0xff887fff,0x0000c0ff,0x7ffff6d4,0x7fffb0cf,0x37ffec00,0x3fffe600,
    0x7fffff50,0x003fffe2,0x0013fff6,0x83ffff10,0x002ffffa,0x00dfff50,
    0x204fffe8,0x4403fffe,0xff72ffff,0xfff100bf,0xfff5001f,0x016dc00d,
    0x42ffff88,0xedcffff8,0x001cefff,0x3fffff62,0xfecfffff,0x3f6003ff,
    0xff8003ff,0xffff31ff,0x1fffe65f,0x02fffdc0,0xffffd100,0x00dfffd0,
    0x027ffe40,0x813fff60,0x6407fffc,0xff70ffff,0xfff100bf,0xfff5003f,
    0x5c00000d,0x7c41ffff,0xffffffff,0xa803ffff,0xffffffff,0xffffffff,
    0x3ff6003f,0x7fcc005f,0x3fffe27f,0x0dfff52f,0x01bffea0,0x7fed5544,
    0x7fc44fff,0xbdb733ff,0x7ffdc057,0x7fff4005,0x3fffea04,0x7ffdcc2d,
    0x1fffe66f,0x0bffff60,0x01bffea0,0x7ffc4000,0xffff887f,0xffffffff,
    0x3fe606ff,0xffffffff,0xffffffff,0x3fff6003,0x3ff6001f,0x7ffffc5f,
    0x00bfff71,0x201fffe6,0xfffffff8,0xfff986ff,0xfffffc9f,0xff980dff,
    0x7ffc007f,0x7ffec04f,0xfffedfff,0x3fe21fff,0x3fee01ff,0xfa803fff,
    0x800006ff,0x04ffffe8,0xffffffff,0x9fffffff,0x3bffffa0,0x3ffee60a,
    0x2003ffff,0x00fffffd,0x43ffffc8,0xf70fffff,0x3e600bff,0xffb807ff,
    0x0fffffff,0xfeffffa8,0xffffffff,0x7fffc41e,0xffff9003,0xfffe8809,
    0xffffffff,0x6fffe83f,0xffffff10,0xdfff500b,0xfe880000,0x3f606fff,
    0x730acfff,0xc83fffff,0x4404ffff,0x03fffffe,0x3fffff60,0xfffd303f,
    0xfffe81ff,0x017ffee7,0x403fffcc,0xfffffff9,0xfffb82ff,0xffffffff,
    0xfe86ffff,0x7cc01fff,0xb804ffff,0xffffffff,0xff506fff,0x3f223dff,
    0x06ffffff,0x006fffa8,0x3fffe600,0x372200ef,0x7fffcc02,0x037fffc6,
    0x3fffff88,0x3ffff600,0xfedeffff,0x81ffffff,0x3ee7fffd,0xff3005ff,
    0x3f6a00ff,0x2fffffff,0x7fffffdc,0xffebadff,0x7ffcc4ff,0xfff903ff,
    0xf8809fff,0xffffffff,0xfb04ffff,0xffffffff,0x0fffffff,0x00dfff50,
    0x3fffe600,0x400000ef,0x3e67fffb,0x2e000fff,0x2003ffff,0xfffffffd,
    0xffffffff,0xfffb02ff,0x02fffdcd,0x007fff98,0xffffe988,0x3fffea1f,
    0x7f441eff,0x7fe40fff,0xfeceffff,0x4fffffff,0x3ffffa20,0xffffedef,
    0xfff883ff,0xffffffff,0xa806ffff,0x80006fff,0x0efffffa,0xfff00000,
    0x1bffea3f,0x7ffff100,0x77ffec00,0xffffffff,0x3202efff,0x3fee6fff,
    0xfff5006f,0xffc8000d,0x3ffe25ff,0xff100fff,0xfffd07ff,0xffffffff,
    0x409fffff,0x81effffd,0x80fffffb,0xffffffd8,0x5fffccff,0x06fffa80,
    0x7fffe400,0x000000ef,0x7e4bfffa,0xff8004ff,0x3f6003ff,0xfffc8bff,
    0x802fffff,0x3ea4fffa,0xff7007ff,0xf90000bf,0xffff8fff,0x7ffe402f,
    0xfffff904,0xffffffff,0x7ffc09ff,0x7ffd405f,0x3ffae03f,0xffff2eff,
    0xdfff5009,0x7ffec000,0x00000dff,0xc9fffec0,0xe8004fff,0x36003fff,
    0x2a623fff,0x740009bb,0x3ffe60ef,0xfffc800f,0xff980004,0x3fffa1ff,
    0x5fffa805,0x3ffffa60,0xffc9dfff,0xffff104f,0x9fff9001,0xfa826600,
    0xfa801fff,0xe88006ff,0x004fffff,0xfffd0000,0x017ffee5,0x07ffff10,
    0x01fffec0,0xff008000,0xffd005ff,0x3a00007f,0x3ff63fff,0xfffa803f,
    0xbcb98806,0x13fff20a,0x8037ffd4,0x0006fffa,0x00dffff1,0x001bffea,
    0x7fffffd3,0x22000000,0xff30ffff,0x7d4001ff,0x36003fff,0x00003fff,
    0x37ffe400,0x03fffee0,0x7fffc000,0x01bfff21,0x0017fff6,0x81ffff40,
    0x7006fffa,0x1000dfff,0x005ffffd,0x801bffea,0x2ffffffa,0x002b8800,
    0x3e3fffec,0xf1006fff,0x4007ffff,0x0003fffd,0x7ffcc000,0x3fffe02f,
    0xff500004,0xffffa8ff,0x3fffe202,0xff980004,0xfff101ff,0xfff8807f,
    0x7f54003f,0x2a005fff,0xf7006fff,0x003fffff,0x00bbffa0,0x89ffffb3,
    0x01effffb,0x3fffffee,0xfffb000b,0x00000007,0x885ffffd,0x5c1ffffe,
    0x64c00cff,0xfe84ffff,0x6c40bfff,0x0002ffff,0x03fffec4,0x40bffffa,
    0x41ffffd8,0xfffd9809,0x26600fff,0x9efffb99,0x7fe40999,0x999affff,
    0x3db99999,0x3fffffe2,0xffeedcde,0xfd80ffff,0xccdeffff,0xfffffffe,
    0x5102efff,0x3559fffd,0x2b2a0000,0xfffff980,0xfffffdce,0xefffff85,
    0xffeedcce,0xfa82ffff,0xecefffff,0x806fffff,0xebaaaaa8,0x405fffff,
    0xeefffffb,0xfffffedc,0x7677ff47,0xefffffff,0xfffffb00,0xffffffff,
    0x3ff63dff,0xffffffff,0xffffffff,0x3fffffa1,0xffffffff,0xff102fff,
    0xffffffff,0xffffffff,0xffb0dfff,0xffffffff,0x7dc0003f,0xfff905ff,
    0xffffffff,0xffff881d,0xffffffff,0x204fffff,0xfffffffc,0x00ffffff,
    0x7fffffe4,0x0effffff,0xfffffc80,0xffffffff,0x3fffea2f,0xffffffff,
    0xffff500e,0xffffffff,0x36dfffff,0xffffffff,0xffffffff,0x3ffa23ff,
    0xffffffff,0x4402efff,0xfffffffd,0xffffffff,0x7cc5ffff,0xffffffff,
    0x20005fff,0x900ffffe,0xffffffff,0x3fee01df,0xffffffff,0x804fffff,
    0xfffffffd,0x4402ffff,0xffffffff,0x000effff,0x3fffffee,0x42ffffff,
    0xfffffff8,0x4c02efff,0xffffffff,0xffffffff,0xfffffb5f,0xffffffff,
    0x309fffff,0xfffffffb,0xa8007fff,0xfffffffe,0xffffd9df,0x7ffc40ce,
    0xffffffff,0x3ee0003f,0x7edc05ff,0x00dfffff,0x7ffffe4c,0x1dffffff,
    0x3fffaa00,0x000cffff,0xfffffffd,0x0001bfff,0xffffffb5,0x3ee019df,
    0x3fffffff,0x3fff6e00,0xffffffff,0xffb0ceff,0xffffffff,0xffffffff,
    0x65d4c409,0x400009ac,0x0abccb98,0x3bb26000,0x3deeeeee,0x02b98000,
    0x000ddcc0,0xbcccaa98,0x54c0001a,0x40009acb,0xeeeeeeb9,0x2200001b,
    0x22001bca,0x0009acba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd8000000,0xeeeeeeee,0xeeeeeeee,0x3773103e,0xdd930001,0x00003ddd,
    0xdeeedb88,0xddb5101b,0xeca859dd,0x0000eeee,0x77776400,0x00540000,
    0xca880000,0x0abcceed,0xeeeeec98,0xca800001,0x4eeeeeee,0x32ea6000,
    0xffd00abc,0xffffffff,0x9fffffff,0xffffff50,0x7ffc4005,0x0002ffff,
    0x7ffffec0,0xffc80fff,0x31ffffff,0x3fffffff,0xfe800000,0x10001fff,
    0x00001fff,0xfffffb80,0x23ffffff,0xfffffff8,0x7d400002,0xffffffff,
    0x7f644006,0xcfffffff,0x7fffff40,0xffffffff,0x7dc4ffff,0x2fffffff,
    0xfffff500,0x800005ff,0xffffffff,0xffffe81f,0xff73ffff,0x003fffff,
    0xfffe8000,0xff50001f,0x4000005f,0xfffffffe,0x50ffffff,0x5fffffff,
    0xffb80000,0x6fffffff,0xffffb300,0xffffffff,0x7ffff45f,0xffffffff,
    0x224fffff,0xfc99cfff,0xffd000ff,0x0005ffff,0xfffffc80,0xfff706ff,
    0x223fffff,0x1fffffff,0x7f400000,0x70001fff,0x00009fff,0x3fffff20,
    0xffffffff,0x7fffff47,0x4400002f,0xffffffff,0xfff9006f,0xffffffff,
    0x3f63ffff,0xaaaaacff,0xffffaaaa,0x2a0bff23,0x2a2004ff,0x0002ffff,
    0xeffff980,0x7ffe4401,0xffa980cf,0x000001ff,0x0066665c,0x04fffc80,
    0xfff88000,0xeccabcff,0xfa883ffe,0x00002fff,0xff955530,0x3ff200df,
    0xdcdeffff,0xf76fffff,0x3fe600ff,0x81ffa1ff,0xfe8005ff,0x000002ff,
    0x003ffff7,0xf00dfffd,0x00003fff,0x64000000,0x00004fff,0x01ffffa8,
    0x2fffe800,0xf5000000,0x3f200dff,0xd880aeff,0x5b72ffff,0x1bfff200,
    0x37ec0bff,0x17fff400,0xffd00000,0xfffa80bf,0xffff802f,0x00000001,
    0x3fff2000,0xfb800004,0xd00005ff,0x00005fff,0x1bffea00,0x01fffe40,
    0x013fffe2,0x21ffff40,0xff880ffd,0xfffe8005,0x00019882,0x00ffffdc,
    0x200dfffd,0x0001ffff,0x22000000,0xfffffeda,0xdeeeeeee,0x3ff2001b,
    0xfd00004f,0x01a985ff,0x7ffd4000,0x3fff5006,0x0bfff900,0x3ffff300,
    0xfb83ffc8,0xffe8004f,0xffffb52f,0xd00019df,0x3ea0bfff,0xff002fff,
    0x76d443ff,0x401beeee,0xeeeeeeca,0xfff9004e,0xffffffff,0x0fffffff,
    0x7ff76dcc,0xeeeeeeff,0xffe800bd,0xffffd9af,0xa80004ef,0x32006fff,
    0xfff5004f,0xfff9000f,0x5dfff10d,0x001fffd5,0xfd9fffd0,0xffffffff,
    0xffb8007f,0xfffe81ff,0x3fffe006,0x3fffff21,0xf500ffff,0xffffffff,
    0x3fffa00d,0xffffffff,0x1fffffff,0xffffff88,0xffffffff,0xfe805fff,
    0xffffffff,0x000effff,0x01bffea0,0xfffe8000,0xffff8006,0xfffff503,
    0xec983fff,0x3ffffa05,0xffffffff,0x000dffff,0xf51bfffa,0x7c005fff,
    0x3ffa1fff,0x2fffffff,0xffffff90,0x2e00dfff,0xffffffff,0xffffffff,
    0xffff306f,0xffffffff,0x00ffffff,0xfffffffd,0xffffffff,0x3fea0003,
    0x9000006f,0x8009ffff,0x201ffff9,0x0effffe8,0x1ffffd93,0x3fffffa0,
    0xffffffff,0x2005ffff,0x3a2ffffa,0x7c006fff,0x3ff21fff,0x07ffffff,
    0x3fffffe2,0x22006fff,0xaefffdaa,0x0aaaaaaa,0x7fffff40,0xffffffff,
    0xfe803fff,0xffffffff,0x06ffffff,0x0dfff500,0xffea8000,0x64000fff,
    0x31006fff,0xffff9313,0x7f407dff,0x0aefffff,0x3fffff26,0x3fffa003,
    0x05ffff56,0x51ffff80,0x57ffffff,0x2aaa6003,0x0006fffc,0x0009fff9,
    0x3ff6aa60,0xaaaaaaef,0xfffd000a,0x2e215dff,0x001ffffd,0x006fffa8,
    0xfffeb880,0xf8003fff,0x2a004fff,0xeffffffc,0xfffe801b,0x7f4c03ff,
    0xf5000fff,0xfffd5fff,0xffff000d,0xffffff93,0xff500003,0x3f2000df,
    0x800004ff,0x0004fffc,0x0bffffd0,0x01ffffc4,0x037ffd40,0x3fffe600,
    0x8003ffff,0x401ffff9,0xffffffda,0x7f4000be,0xf3004fff,0x74009fff,
    0xffffffff,0xffff8002,0x0efffffe,0xfff50000,0x3ff2000d,0xc800004f,
    0x00004fff,0xd00bfffd,0x50009fff,0x8000dfff,0xeffffffa,0xfff90001,
    0x3fff220d,0xa98befff,0x7fff4000,0x3ff2000f,0x3fea005f,0x006fffff,
    0xfffffff0,0x80000bff,0x0006fffa,0x0009fff9,0x09fff900,0x3fffa000,
    0x4fffc802,0x6fffa800,0x7ffd4000,0x7c0002ef,0xff904fff,0x3ee17bff,
    0xd002ffff,0x98009fff,0x74007fff,0x02ffffff,0xffffff00,0x000009ff,
    0x000dfff5,0x0013fff2,0x13fff200,0x7fff4000,0x4fffc802,0x6fffa800,
    0x7ffc4000,0xff980005,0x5bd301ff,0xfffffe81,0xffe804ff,0x7fc4003f,
    0x3ea000ff,0x0006ffff,0x3ffffffe,0x400002ff,0x0006fffa,0x0009fff9,
    0x09fff900,0x3fffa000,0x4fffc802,0x6fffa800,0x2ffe8000,0xfffc8000,
    0xfff90006,0x05fffb59,0x003fffe8,0x001ffff8,0x017ffff4,0xffffff00,
    0x0007ffff,0x037ffd40,0x04fffc80,0xfffc8000,0xffd00004,0xfff9005f,
    0xfff50009,0x06a0000d,0x7fffc000,0xeff98004,0x2037fcc0,0x4004fffe,
    0x8007fff9,0x0006ffff,0x7eeffffc,0x0004ffff,0x00dfff50,0x013fff20,
    0x3fff2000,0xffd00004,0xfff9005f,0xfff50009,0x0000000d,0x1ffff980,
    0x03ffa800,0x7f401ffb,0x32000eff,0x5c006fff,0x0002ffff,0xfc8ffffc,
    0x0004ffff,0x006fffa8,0x00dfff90,0x7fe400d4,0xfd00004f,0xff9005ff,
    0xff50009f,0x000000df,0x6fffc800,0x01ff9000,0xfe807fea,0xf3005fff,
    0xf8009fff,0x80006fff,0x3ee1ffff,0x000dffff,0x01bffea0,0x0ffffd40,
    0x07fff930,0x004fffc8,0x05fffd00,0x009fff90,0x00dfff50,0xf8000000,
    0x70004fff,0x3ff205ff,0xffffd300,0x3f2203bf,0x2000ffff,0x002ffffb,
    0x0ffffcc0,0x3bffffea,0x4cccc019,0x99efffb9,0x7cc00999,0xdccdffff,
    0x6ffffffe,0xfffc9988,0x0199999d,0x0ffffe20,0x1bfffb10,0x5cccccc0,
    0x9999efff,0x9b710009,0x7fd40005,0xf30001ff,0x0fff10bf,0xfffffff9,
    0xd99bdfff,0x05ffffff,0x3eaaaaa2,0x0009ffff,0xffffffd8,0xfffffc81,
    0x7fe44fff,0xffffffff,0xefffffff,0x3ffff600,0xffffffff,0x3fa64fff,
    0xffffffff,0x05ffffff,0x3fffffe6,0xfffe85ff,0x7e47ffff,0xffffffff,
    0xffffffff,0x7fff400e,0xff90002f,0xfd8000df,0xffeb8adf,0x7ffffcc3,
    0xffffffff,0xffffffff,0xfffff704,0xffffffff,0x7ffd4001,0x7c41ffff,
    0xffffffff,0xfffff10f,0xffffffff,0x09ffffff,0x7fffff44,0xffffffff,
    0x3ffff60c,0xffffffff,0xd02fffff,0xffffffff,0x7fffdc3f,0xf13fffff,
    0xffffffff,0xffffffff,0x7fc409ff,0x70004fff,0x80005fff,0xfffffff8,
    0xffff886f,0xffffffff,0xffffffff,0x3ffffe03,0xffffffff,0x3fea004f,
    0xe81fffff,0xffffffff,0xfffff10f,0xffffffff,0x07ffffff,0xfffffc88,
    0x80beffff,0xfffffffc,0xffffffff,0xfffb01ff,0x43ffffff,0xfffffffb,
    0xffff13ff,0xffffffff,0x7fffffff,0x1ffffd80,0x09f91000,0x3ff62000,
    0x36e04fff,0xebafffff,0xffffffff,0x7ffec00d,0xffffffff,0x75c003ff,
    0xa81fffff,0xdffffffd,0x7fffed42,0xffffffff,0x000cefff,0x35799751,
    0xfffd9100,0xffffffff,0x64c07bff,0x3dffffff,0x7ffff644,0x3f6a0cef,
    0xffffffff,0xceffffff,0x00ab9800,0x00000000,0x00015973,0x2b32ea60,
    0xdb710009,0xdddddddd,0x0000007b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x000accb9,0x79995300,
    0x75100005,0x00035799,0x2f7776c0,0x00000000,0x5e65d440,0x0000000a,
    0x00000000,0x00000000,0x00000000,0xfffffd10,0x20007fff,0xffffffe9,
    0x01deacff,0xfffffd98,0xfe9aefff,0x7ffd4003,0xffd907ff,0xa89dffff,
    0xfffffffd,0xfed9801d,0xdfffffff,0x64003fda,0xfffffffe,0x1dffffff,
    0x3fffff66,0xfb303eff,0x7dffffff,0xfffffeb8,0xfeb80dff,0x1dffffff,
    0x3fffff6a,0xfffb303e,0xf7009dff,0xffffffff,0x6c001bff,0xffffffff,
    0x04ffffff,0x7fffffe4,0xffffffff,0x3fe2007f,0xfa87ffff,0xffffffff,
    0x3ffffe3f,0x406fffff,0xfffffffa,0xffffffff,0xfff3000f,0xffffffff,
    0x6cbfffff,0xffffffff,0xfffd80ff,0x0fffffff,0xfffffff3,0xff889fff,
    0xffffffff,0x3fffffa5,0xffd81fff,0x02ffffff,0xffffffd1,0xffffffff,
    0xffffb005,0xffffffff,0x3a20dfff,0xffffffff,0xffffffff,0xfff9001f,
    0xff50ffff,0xffffffff,0x7fffffc7,0x2e06ffff,0xffffffff,0xffffffff,
    0xfff5002f,0xffffffff,0x6cdfffff,0xffffffff,0xfffd81ff,0x0fffffff,
    0xfffffff3,0xff889fff,0xffffffff,0x3fffffe5,0xffe81fff,0x02ffffff,
    0xdffffffb,0xffffffb9,0x7ffdc03f,0xfedcceff,0xd07fffff,0xbdffffff,
    0xffffffb9,0xff3005ff,0x20ffffff,0xfffffffd,0x3ffaa0df,0x01efffff,
    0xfffffff9,0xffffd99b,0x6c005fff,0xffffffff,0x1effffff,0x3fffffe2,
    0xfd304fff,0x7fffffff,0xffffffd8,0xfec81dff,0x1effffff,0x3fffffaa,
    0xffff305f,0x3ea0bfff,0xd303ffff,0x7c0dffff,0xd102ffff,0xf90fffff,
    0x2017ffff,0x2fffffea,0xfffffd80,0x7ffc07ff,0x74c401bf,0x3ee03fff,
    0x201bffff,0x02fffffa,0xc9999980,0x0099dfff,0x03bfffa2,0x7fffdc40,
    0x3bffee02,0xf7310019,0x7fdc0dff,0x3f200fff,0x3e206fff,0xc801efff,
    0xf984ffff,0xfd803fff,0x7ffcc7ff,0xff9002ff,0xffa805ff,0x07fffeff,
    0x0017fff4,0x7c05fffd,0x1001ffff,0x0005ffff,0x017fff20,0x00ffffb8,
    0x01bfff60,0x000ffff5,0x9017ffee,0x701dffff,0x401dffff,0x000ffffe,
    0x507ffff6,0x2a00dfff,0x7fe46fff,0x3e2002ff,0x7f401fff,0x7fffafff,
    0x017fff40,0x205fffd0,0x002ffffb,0x0007ffec,0x05fffc80,0x13fffe20,
    0x1ffffc40,0x03fffe60,0xc81dddd7,0xfd804fff,0x7fcc5fff,0x3e601fff,
    0x44003fff,0x7d45ffff,0x3fa007ff,0x27fffc3f,0x03ffe400,0x26ffffee,
    0x7f407fff,0x3fa002ff,0xffff02ff,0xbff10009,0x7fe40000,0x7fe4005f,
    0xfff7007f,0xfff8801f,0x7ffff41f,0x01fffec2,0x14ffffe8,0x805fffff,
    0x0006fffa,0xf88ffff7,0x93003fff,0x7fffd417,0x3fe98000,0x5bfffe20,
    0x7407fff9,0x3a002fff,0xff882fff,0x310002ff,0xffc80000,0x7fcc005f,
    0xfff802ff,0xffff004f,0x7ffffcc5,0x017fff45,0xbfffff88,0x804ffffe,
    0x0004fffc,0xd81ffff1,0x00adffff,0x06fffb80,0x3f600400,0xfff31fff,
    0x2fffe80f,0x0bfffa00,0x003fffea,0xc8000000,0xe8005fff,0x7d406fff,
    0xfd001fff,0x7ffe47ff,0x3ffe0fff,0x3fe6002f,0x5fffffff,0x05fffb00,
    0x0ffffc00,0x3fffffea,0xc800bcef,0x00005fff,0x97fffe60,0x7407fff9,
    0x3a002fff,0xffb82fff,0x0000006f,0x2fffe400,0x7fffd400,0x1bfff601,
    0x23fffd80,0x2ffffffe,0x0007fffe,0xfffffff5,0x3ffe001d,0x3f60001f,
    0xfffa83ff,0xffffffff,0x9fff901c,0x7f400000,0x3fe60fff,0x7fff407f,
    0x3fffa002,0x04fffc82,0x40000000,0x0005fffc,0x2609ffff,0x2002ffff,
    0xff34fffc,0x22bfffff,0x8000ffff,0x0ffffffc,0x1ffff100,0x7ffe4000,
    0xfffff304,0x9fffffff,0x009fff90,0x3ffee000,0x3fffcc3f,0x00bfffa0,
    0xc82fffe8,0x00004fff,0x7fe40000,0xff70005f,0xfff901ff,0xfffb800f,
    0xffffff95,0xffff31ff,0x3ffe6000,0x7fc005ff,0x360001ff,0x2e203fff,
    0xfffffffe,0x3f20dfff,0x800004ff,0x986ffff8,0x7f407fff,0x3fa002ff,
    0xfffc82ff,0x3fff2604,0x1dffffff,0xc800fb22,0x10005fff,0xff07ffff,
    0xfa8009ff,0x9fffd6ff,0xff55ffff,0xff1000df,0x009fffff,0x0017ffec,
    0x003ffff0,0x3fff72a2,0x3f25ffff,0x800004ff,0x982ffffc,0x7f407fff,
    0x3fa002ff,0xfffc82ff,0x3ffff604,0x6fffffff,0x4003ffea,0x0005fffc,
    0xf71bfff6,0x98001fff,0xfff9ffff,0xbdfffd9f,0xe8005fff,0xffffffff,
    0x9fff9002,0x3ffe2000,0x3260000f,0xf70fffff,0x80000dff,0x99effff9,
    0x7fffb999,0x017fff40,0x505fffd0,0x7f40bfff,0xffffffff,0xfff90fff,
    0x3fff2005,0x3fe60005,0x3fffa1ff,0xfff88005,0xf56fffdf,0x9fffbfff,
    0xffffd800,0x01fffffe,0x00ffffa8,0x87fffb80,0x7fcc002a,0xffff52ff,
    0xffd80000,0xffffffff,0x05ffffff,0x4005fffd,0xf982fffe,0x3faa06ff,
    0xffffffff,0x0ffff63f,0x02fffe40,0x57fffa00,0x002ffff9,0xfffffff0,
    0x3fffe29f,0x2003ffff,0xa8effffb,0x400effff,0x004ffff9,0x22ffffc4,
    0x64002ffe,0xfff15fff,0x7400007f,0xffffffff,0xffffffff,0x3fffc82f,
    0x1ffff100,0x003fffe0,0xffd33331,0x3fffd87f,0x09fff900,0xffffb800,
    0x006fffd8,0x3fffffe0,0x3fff61ff,0x5002ffff,0x643fffff,0xd806ffff,
    0x2001ffff,0x220ffffd,0x64006fff,0x3ff66fff,0xd98001ff,0xfffffd0b,
    0xffffffff,0xf703ffff,0x3ea00dff,0x3ff607ff,0xffe8005f,0x1fffec2f,
    0x02fffd80,0x7fffc400,0x003ffffc,0x3fffffa0,0x7fffd47f,0xf8801fff,
    0xfd82ffff,0x7c405fff,0x4402ffff,0x543ffffd,0x1004ffff,0x7cc9ffff,
    0x2001efff,0xffd4fffa,0xffffffff,0x09dfffff,0x013fffe6,0x40bffff3,
    0x003ffffb,0x3617fff4,0xfa803fff,0x80000fff,0xfffffffc,0x3f60000f,
    0x444fffff,0x1fffffff,0x7ffff440,0xffffd103,0xffffa807,0xffe980cf,
    0xfffa86ff,0xf700aeff,0xfc85ffff,0x200dffff,0x06ffffc9,0x07fff980,
    0x0dffffe8,0x7ffffd44,0x7ffff401,0x3f2a202e,0x7fec2fff,0xff901cff,
    0x20000fff,0xfffffff9,0x7fe40005,0xfd81ffff,0x200fffff,0x06ffffd8,
    0x17ffffcc,0x3fffff20,0xffffddef,0xffa81fff,0xdeffffff,0xffffffed,
    0xfffffd06,0xffdbbdff,0x007fffff,0x7fffdcc4,0x7fffc400,0xfffeceff,
    0xf8803fff,0xeeffffff,0xffffffdc,0x7ffec2ff,0xfeceffff,0x002fffff,
    0x3ffffa00,0x5c0001ff,0x507fffff,0x40ffffff,0xfffffffd,0xffffc81e,
    0x3602ffff,0xffffffff,0x01efffff,0xfffffff3,0xffffffff,0x3a201fff,
    0xffffffff,0xffffffff,0xfffd1004,0x80bfffff,0xfffffffa,0x06ffffff,
    0x3ffffee0,0xffffffff,0x642fffff,0xffffffff,0x4fffffff,0x7fd40000,
    0x80006fff,0x04fffffa,0x0dfffff1,0x3fffffea,0x7fc45fff,0x6fffffff,
    0x7ffffd40,0x0dffffff,0x7fffffc0,0xffffffff,0xfc801dff,0xffffffff,
    0x002fffff,0x3ffffff2,0x4c02ffff,0xfffffffe,0x98004fff,0xfffffffd,
    0xdfffffff,0xffffb502,0xffffffff,0x3e000007,0x0003ffff,0x2fffff98,
    0x17ffff60,0x7fffffcc,0x7fc44fff,0x6fffffff,0xffffd880,0x5003efff,
    0xfffb51bd,0x05dfffff,0xfffeb880,0x0cdfffff,0x7fffdc00,0x01ffffff,
    0xffffff70,0x980003df,0xffffffed,0x1001cfff,0xfffffff7,0x0000037d,
    0x003fffe4,0x7ffff880,0x27fffd40,0xfffffb70,0xffb5019d,0x003bffff,
    0x001bca98,0x332a6200,0x9800009a,0x000abcaa,0x7fff6440,0x8003dfff,
    0x0009bca9,0x59753000,0x98800035,0x00000acb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,0xffffffff,
    0xffffffff,0x7fff5c9f,0x3f6002ff,0x5c1dffff,0xfffffffe,0x1cdeffff,
    0x7fff5c00,0x5c4effff,0x4efffffe,0xfffffff8,0xffffffff,0x7ff643ff,
    0xffffffff,0x541dffff,0xdffffffd,0x3ffff6a0,0x7f640dff,0xffffffff,
    0x200cdeff,0xffffffd9,0xffffffff,0x26ffffff,0xffffffeb,0xffffffff,
    0x803fffff,0xfffffff9,0xffffffff,0x14ffffff,0xbfffffff,0x3fffe200,
    0x3fe26fff,0xffffffff,0xdfffffff,0xffff9800,0x2fffffff,0xfffffff1,
    0xffff85ff,0xffffffff,0x263fffff,0xffffffff,0xffffffff,0x7ffffc5f,
    0x3fa4ffff,0x4fffffff,0x3fffffe6,0xffffffff,0xffb04fff,0xffffffff,
    0xffffffff,0x3fe2dfff,0xffffffff,0xffffffff,0xf9803fff,0xffffffff,
    0xffffffff,0xff34ffff,0x03ffffff,0xffffff90,0x7fffccdf,0xffffffff,
    0x1fffffff,0x7ffffcc0,0x33ffffff,0xffffffff,0xfffff87f,0xffffffff,
    0x3ea3ffff,0xffffffff,0xffffffff,0x7fffffc5,0x3ffe4fff,0x24ffffff,
    0xfffffff9,0xffffffff,0x7ec0efff,0xffffffff,0xffffffff,0xff16ffff,
    0xffffffff,0xffffffff,0xf3007fff,0xffffffff,0xffffffff,0x7e49ffff,
    0x05ffffff,0x7fffffc4,0x7ffe42ef,0xffffffff,0xefffffff,0x7fffe400,
    0x20dfffff,0xfffffffc,0x7ffffc0d,0xffffffff,0x7ec3ffff,0xffffffff,
    0x1dffffff,0x7fffffdc,0x3ffaa0df,0x641effff,0xffffffff,0xffffffff,
    0x7fecc5ff,0xffffffff,0xffffffff,0x3ffb26ff,0xffffffff,0xffffffff,
    0xfff9803f,0xffc9999f,0xfc9999ef,0x7ffcc4ff,0x2e00ffff,0x06ffffff,
    0x4dffffc4,0xffba9999,0xf1005fff,0x36037fff,0x204fffff,0x999affff,
    0xffffa999,0x7333301f,0x3333dfff,0x3ffff801,0x27ffec40,0x2bfffe20,
    0xfca99999,0xb883ffff,0x9999efff,0xfb999999,0xffe886ff,0x999999bf,
    0x3fffe999,0x87fff980,0xfc85fffb,0x7ffc44ff,0x3a04ffff,0x05ffffff,
    0x802fffe8,0x2007fffe,0xe881ffff,0x403fffff,0xd101ffff,0x4005ffff,
    0x8006fffa,0xc801ffff,0xff804fff,0x7fc401ff,0xfff707ff,0x7ffd400d,
    0x05fffd06,0x00ffff60,0x2e1fffe6,0xffc85fff,0x7fffc44f,0xfa80ffff,
    0x05ffffff,0x802fffe8,0x001ffff9,0xe983ffff,0x802fffff,0xfb01ffff,
    0xa8009fff,0xf8006fff,0xfc801fff,0xfff804ff,0xfffb801f,0x6fffb80f,
    0x1bffea00,0x8017fff4,0x9802fffd,0xffb87fff,0x4fffc85f,0x7fffffc4,
    0xfffe83ff,0xe805ffff,0xfd002fff,0x3fe005ff,0x3ffe61ff,0xff001fff,
    0xfff701ff,0xff5000df,0xfff000df,0xfff9003f,0x3ffff009,0x0bfffe00,
    0x261bffee,0x27ffc43d,0xb82fffe8,0x07ffee1d,0x21bffe60,0xfb85fffb,
    0x7ffc44ff,0x4c6fffef,0xfffeffff,0x2fffe805,0x0ffff980,0x23ffff00,
    0x0efffffa,0x21bff200,0x00fffff9,0x06fffa80,0x01ffff80,0x804fffc8,
    0xf001ffff,0xff705fff,0x2fff88df,0xfe80f7e4,0x37fe42ff,0x7c00bfd1,
    0xfffb84ff,0x41fff985,0xffaffff8,0x3fff62ff,0x805fffbe,0x5402fffe,
    0x2006fffe,0xffc9ffff,0x4000dfff,0x7fc42ed9,0x50002fff,0xf000dfff,
    0xf9003fff,0xfff009ff,0xfff3003f,0xdfff701f,0x084fffa8,0x217fff40,
    0x0040fffd,0x2e037aa0,0x9d905fff,0xd1ffff10,0x3fe2dfff,0x5fffbbff,
    0x82fffe80,0xfffffd98,0x3fffe003,0x05fffffe,0xfffe8000,0x3ea0003f,
    0xff8006ff,0xcccccdff,0x4fffeccc,0x01ffff80,0x837fff44,0xcccffffb,
    0x8005fffd,0xeeeefffe,0x0002ffff,0x2fffdc00,0x7fffc400,0xc9ffffa8,
    0xffb8ffff,0xfffe805f,0xffffeeee,0x000effff,0x3ffffffe,0x0000efff,
    0x17ffff20,0xdfff5000,0xfffff000,0xffffffff,0xf009ffff,0x32203fff,
    0x703fffff,0xffffffff,0xd000bfff,0xffffffff,0x00005fff,0x05fffb80,
    0x0ffff880,0xfffbfffd,0x17ffee9f,0x3fffffa0,0xffffffff,0xfff8004f,
    0xffffffff,0xfa80001f,0x0000efff,0x0037ffd4,0x7ffffffc,0xffffffff,
    0xfff804ff,0xffeeeeef,0x205fffff,0xfffffffb,0x8005ffff,0xfffffffe,
    0x0002ffff,0x2fffdc00,0x7fffc400,0xffffff70,0x3ffee1ff,0xffffe805,
    0xffffffff,0xfff0003f,0xffffffff,0x4c0003ff,0x001fffff,0x06fffa80,
    0xffffff80,0xffffffff,0xff804fff,0xffffffff,0x406fffff,0xfffffffb,
    0x8005ffff,0xfffffffe,0x0002ffff,0x2fffdc00,0x7fffc400,0xffffff10,
    0x2fffdcbf,0x7fffff40,0xffffffff,0xffff0001,0xfffd33df,0xd10003ff,
    0x0407ffff,0x0dfff500,0x9bffff00,0xd9999999,0xff009fff,0xffffffff,
    0x7007ffff,0xb999ffff,0xd000bfff,0xf999bfff,0x00005fff,0x05fffb80,
    0x0ffff880,0x3ffffff2,0x017ffee1,0x2ab3fffa,0xffffffba,0xffff8001,
    0x7fffdc0e,0xfffd8006,0x09fd304f,0x01bffea0,0x007fffe0,0x2013fff2,
    0xffffffff,0x000dffff,0xfa8dfff7,0xfe8004ff,0x7ffec2ff,0x00000c41,
    0x000bfff7,0x441ffff1,0x5c6fffff,0xfe805fff,0xffd882ff,0x7c001fff,
    0xffb01fff,0x7dc005ff,0x3ee06fff,0xffa800ff,0xfff8006f,0xfffc801f,
    0xcffff804,0x0001aaaa,0xf88dfff7,0xfe8002ff,0x3ffe42ff,0x00017fe6,
    0x002fffdc,0x207fffc4,0x5c2ffffd,0xfe805fff,0x3ff602ff,0x3e000eff,
    0xfd101fff,0x3e600dff,0x3600ffff,0xfa802fff,0xff8006ff,0xffc801ff,
    0xffff804f,0x3ee00001,0x02c886ff,0x05fffd00,0x1fff9073,0xfff70000,
    0xfff1000b,0x6fff981f,0x805fffb8,0x6c02fffe,0x2005ffff,0x2601ffff,
    0x4403ffff,0x402fffff,0xa802fffe,0xf8006fff,0xfc801fff,0xfff804ff,
    0x2e00001f,0x00006fff,0x002fffe8,0x000bfff6,0x017ffee0,0x03fffe20,
    0x17ffee00,0x00bfffa0,0x05ffffd1,0x007fffe0,0xe80ffff9,0xe803ffff,
    0xfa802fff,0xff8006ff,0xffc801ff,0xffff804f,0x3ee00001,0x800006ff,
    0x2002fffe,0x0002fffe,0xdfff9331,0x3e600333,0x10019fff,0x80dfff73,
    0x09bffff9,0x3ffffe20,0x7fffcc01,0xfff1009b,0xffc8139f,0x99999eff,
    0xfffe9999,0xfb999982,0x09999eff,0x2ffffe20,0x3fff6200,0x3ffe600d,
    0x001999af,0x3dfff710,0x40001333,0x99bfffe9,0x99999999,0x4002fffe,
    0xffffffeb,0x05ffffff,0xffffffd1,0x3fa609ff,0x4fffffff,0x7fffffe4,
    0xf500dfff,0xc89fffff,0xffffffff,0xfffd80df,0xffd0dfff,0xffffffff,
    0xffffffff,0x7ffffec5,0xffffffff,0x3fe61eff,0x0effffff,0x3fffffaa,
    0x7ffec6ff,0xffffffff,0xffd3004f,0xffffffff,0x7e4003df,0xffffffff,
    0xffffffff,0x4002ffff,0xffffffff,0x1fffffff,0xffffffc8,0xfc81ffff,
    0xffffffff,0xfffff31f,0x07ffffff,0x7fffffe4,0xffffff30,0x307fffff,
    0x7fffffff,0x3ffffffa,0xffffffff,0xff52ffff,0xffffffff,0xbfffffff,
    0x7ffffff4,0x3ffe4fff,0x3fffffff,0xfffffff3,0x3fffffff,0xfffffb00,
    0xffffffff,0x3ffe600d,0xffffffff,0xffffffff,0x74002fff,0xffffffff,
    0x81ffffff,0xfffffffb,0xffb80fff,0xffffffff,0xffffff10,0x807fffff,
    0x10fffffe,0xffffffff,0x3f605fff,0xfd2fffff,0xffffffff,0xffffffff,
    0x3fffe65f,0xffffffff,0x3a5fffff,0xffffffff,0x3ffffa3f,0xf33fffff,
    0xffffffff,0x001fffff,0xfffffff9,0x0bffffff,0x3ffffe20,0xffffffff,
    0xffffffff,0x7ecc002f,0xffffffff,0xd9103dff,0x7bffffff,0x3fffb220,
    0x6dc3dfff,0xefffffff,0xdfff9803,0x7fffedc2,0x2603efff,0x3a3effff,
    0xffffffff,0xffffffff,0x3ff6e2ff,0xffffffff,0x260cefff,0xeffffffd,
    0x3fff660c,0x6dc4efff,0xffffffff,0x91002dff,0xfffffffd,0x40019dff,
    0xffffffda,0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2b260000,0x2e0bda80,0xfffffffe,0x01bcefff,0xfffffd70,0x7ffed40b,
    0x5c2dffff,0xfffffffe,0x3defffff,0xfffd9800,0x1fffffff,0xfffb5000,
    0x36607dff,0x44efffff,0xffffffec,0x002dffff,0x0001f754,0x30000000,
    0xb80019fb,0x360000df,0x3fa0ffff,0xfff89fff,0xffffffff,0x00cfffff,
    0x3fffffe2,0xfffd02ff,0x4dffffff,0xfffffff9,0xffffffff,0x36002eff,
    0xffffffff,0xd0004fff,0xffffffff,0xfffffd01,0x3fea5fff,0xffffffff,
    0x2000ffff,0x002effff,0x20000000,0x03ffffc8,0x00fffe20,0x7ffffcc0,
    0x9fffff34,0xfffffff3,0xffffffff,0x3e205fff,0xffffffff,0xfffffe80,
    0x3e66ffff,0xffffffff,0xffffffff,0xffb003ff,0xffffffff,0xfd0001ff,
    0x3fffffff,0xffffffd0,0x3ffea5ff,0xffffffff,0xf1000fff,0x03dfffff,
    0x40000000,0xffffffc8,0x3ffea004,0xfff50005,0x3ffe6bff,0xffff95ff,
    0xffffffff,0x03ffffff,0x3fffffae,0xffea84ff,0x42efffff,0xfffffffc,
    0xffffffff,0x9801ffff,0xfffffffe,0x8003ffff,0xffffffea,0xfffff504,
    0xfffd8bff,0xffffffff,0x7fe4003e,0x00dfffff,0x5c000000,0xefffffff,
    0x3ffea000,0x3ffa0006,0x3fffa1ff,0x67fff41f,0xfdb99999,0x200effff,
    0xffffffe8,0xfffd3101,0xffff8807,0xa999999b,0x006ffffd,0x3fff2662,
    0x0006ffff,0x01ffffe6,0x809ffff9,0x9ffffb99,0x3aa00009,0xcfffffff,
    0x40000000,0xffffffea,0xffa8004f,0x2e20006f,0x66dc42de,0x03fffd81,
    0x04ffffd8,0x7ffffff4,0x1fffec06,0x00ffffc0,0x007fffe4,0x7f7fff40,
    0x20001fff,0x304ffffb,0x400dffff,0x0007fff9,0x7ffffdc0,0x00003fff,
    0xffffd980,0x0000dfff,0x000dfff5,0xffd80000,0xfffb003f,0x7fff401f,
    0x3604ffff,0xff803fff,0xff8801ff,0x7cc002ff,0xfffeafff,0x7fec0004,
    0xfffe81ff,0x3fe6001f,0x7000007f,0xdfffffff,0x91000005,0xdfffffff,
    0xffa80003,0x0000006f,0x01fffec0,0x04ffff88,0x3ffffffa,0xfffb01ff,
    0x3ffff007,0x5ffff100,0x6fffd800,0x001ffff7,0x77fffc40,0x13fffee0,
    0x0ffff300,0x7e440000,0x1effffff,0xfff70000,0x005dffff,0x1bffea00,
    0xb0000000,0x64007fff,0x3fa07fff,0x6ffffcff,0x007fffb0,0x9003ffff,
    0x4001ffff,0xf13ffff8,0x80007fff,0xf34ffffb,0x3000dfff,0x0000ffff,
    0xffffb300,0x0001bfff,0x3fffffea,0x400003ff,0x0006fffa,0x7fec0000,
    0x3fea003f,0xfffd00ff,0x07ffff95,0xf007fffb,0x64403fff,0x4007ffff,
    0x320ffffb,0x80006fff,0xfeaffffd,0x98001fff,0x00007fff,0x3fffaa00,
    0x000cffff,0xffffffd5,0x4400019f,0xffb99999,0x199999ef,0xfb000000,
    0x7c4007ff,0xffd01fff,0x3ffffa5f,0x01fffec0,0x666ffffc,0xffffedcc,
    0x7f4002ff,0x7ffcc5ff,0x7c40001f,0xffffffff,0xfff30003,0x0000000f,
    0xfffffff5,0x7fecc07f,0x00dfffff,0x3fffae00,0xffffffff,0xdfffffff,
    0x36000000,0x74003fff,0xffd02fff,0x3fffea5f,0x01fffec5,0x7ffffffc,
    0xffffffff,0x7fcc004f,0xfffe81ff,0xffa80004,0x006fffff,0x01fffe60,
    0xfb800000,0x2effffff,0x3fffff22,0x40001eff,0xfffffff8,0xffffffff,
    0x83ffffff,0x00099998,0x003fffd8,0xe817fff4,0x3ff62fff,0x3fff62ff,
    0xfffff803,0xffffffff,0x2000efff,0xf706fffd,0x00001fff,0x3ffffffb,
    0x7ffcc000,0x00000007,0xffffffb1,0xfffb83bf,0x002effff,0x7ffffc40,
    0xffffffff,0xffffffff,0x1ffffe83,0x3fffd800,0x17fff400,0x222fffe8,
    0xfb0fffff,0xfff007ff,0xffffffff,0x1dffffff,0x7ffff100,0x0ffffe20,
    0x3ffe2000,0x4c0003ff,0x00007fff,0x7ffe4400,0x202effff,0xffffffc8,
    0x2e0001ef,0xfffffffe,0xffffffff,0x7cc0ceff,0xdb885fff,0x3fffd81c,
    0x0ffffc00,0x542fffe8,0xffb4ffff,0xffff007f,0xd999999b,0x1dfffffd,
    0xfffffb80,0xffffffff,0x700006ff,0x0000dfff,0x200ffff3,0x70003fd9,
    0xffffffff,0x7fec4005,0x01dfffff,0xfffa8000,0xfffb8006,0xffffe80f,
    0x01fffec2,0x01ffff30,0x360bfffa,0xffd9ffff,0xffff803f,0xfffea801,
    0x7fff403f,0xffffffff,0x001fffff,0x06fffa80,0x7fff9800,0x00fff900,
    0xfffffea8,0x260003ff,0xfffffffe,0x2a00000c,0xe8006fff,0xff983fff,
    0x7fec5fff,0x3fea003f,0x3fffa06f,0xeffff882,0xf803fffd,0x3a001fff,
    0x3e605fff,0xffffffff,0xffffffff,0xffa80004,0xf980006f,0xffd007ff,
    0xffd3003f,0x019fffff,0x3ffaa000,0x003fffff,0x0dfff500,0x06fff880,
    0x8bfffff1,0x2003fffd,0x3a05fffd,0xff702fff,0x07ffffff,0x003ffff0,
    0x807fffcc,0xfffffffd,0xffffffff,0x40000fff,0x0006fffa,0x007fff98,
    0x4405fffd,0xfffffffd,0x7000001d,0xffffffff,0xffa80005,0x7fdc006f,
    0x3fff601f,0x1fffec1f,0x3ffffc80,0x80bfffa0,0xfffffffe,0x1ffff803,
    0x0ffffc00,0x4dffffc4,0x99999999,0x003ffff9,0x037ffd40,0x3fffcc00,
    0x82fffe80,0xffffffc8,0x000002ef,0xfffffc88,0x50001eff,0xd800dfff,
    0xbc9804ff,0x03fffd80,0x06ffffc8,0x3017fff4,0x7fffffff,0x03ffff00,
    0x83fffdc0,0x000ffffb,0x001bfff2,0x00dfff50,0x0ffff300,0x70bfffa0,
    0xffffffff,0x00000005,0xffffffb1,0xfa8001bf,0x3e2006ff,0xe80000ff,
    0x9999cfff,0xffffeba9,0x7fff401f,0xfff9009b,0xf9807fff,0x9999bfff,
    0xffdaa999,0xffe885ff,0xf51001df,0x40015fff,0xefffb998,0x4cc00199,
    0x999ffffb,0xff999999,0x3fff62ff,0x0003ffff,0xfe980000,0x01ffffff,
    0x01bffea0,0x0002ffa8,0x7fffffe4,0xffffffff,0x3603ffff,0xffffffff,
    0x7fff440e,0xfff903ff,0xffffffff,0xffffffff,0x7ff4c7ff,0x04ffffff,
    0xffffffd3,0xfea809ff,0xffffffff,0x7ec05fff,0xffffffff,0xffffffff,
    0xff12ffff,0x0019ffff,0xa8000000,0x04fffffe,0x017ffe60,0x40005fb8,
    0xfffffff9,0xffffffff,0x3e603fff,0xffffffff,0xffffa84f,0xffff983f,
    0xffffffff,0xffffffff,0x7fffec5f,0x81ffffff,0xfffffffd,0x3fa01fff,
    0xffffffff,0x502fffff,0xffffffff,0xffffffff,0x45ffffff,0x001dfffe,
    0x40000000,0x002ffffb,0x1001fffc,0xff100005,0xffffffff,0x3dffffff,
    0xfffff980,0xb03fffff,0xf107ffff,0xffffffff,0xffffffff,0xffb07fff,
    0xffffffff,0xfffffb01,0x401fffff,0xfffffffd,0x1fffffff,0xffffff50,
    0xffffffff,0xffffffff,0x000eecc5,0x00000000,0x70007d71,0x0000019d,
    0x3fff6e00,0xefffffff,0x36e001ce,0xceffffff,0x7ffff100,0x3ffff6e0,
    0xffffffff,0x100bceef,0xffffffd9,0x3fb2207b,0x03dfffff,0x7ffffecc,
    0x3dffffff,0x7ffff5c0,0xffffffff,0xffffffff,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15995100,0x9a980001,0x4cc00001,
    0x53000000,0x98000013,0x000009a9,0x00013530,0x26019880,0x44000009,
    0x00000099,0xb7300660,0x2a05dddd,0x04eeeeed,0x0777774c,0x3ffffee0,
    0x91002fff,0xbfffffff,0x26005b55,0xdfffffed,0xd710000b,0x39ffffff,
    0xfecb8800,0x0cffffff,0x3fb6a000,0x8adfffff,0xeeca80bc,0xffffc8ee,
    0xdffffb12,0xeedb9805,0xfffff92e,0x32a0019f,0x544eeeee,0x80cffffe,
    0x2fffffff,0xffffffb8,0x7ffe405f,0x7ffec05f,0x06ffffff,0x7ffffe44,
    0xffffffff,0x3ff2200f,0xffffffff,0x7fd4003f,0xffffffff,0xffb800df,
    0xffffffff,0x44004fff,0xfffffffd,0x3fffffff,0x7fffffd4,0xdffffffe,
    0xffffffff,0xfffff102,0xffffffbf,0xa805ffff,0x6fffffff,0xffffffd3,
    0x7ffcc1ff,0xfd82ffff,0x05ffffff,0x00fffff4,0xfffffff7,0xfd80ffff,
    0xffffffff,0x02ffffff,0xfffffff5,0xdfffffff,0xffffb003,0xffffffff,
    0xfff805ff,0xffffffff,0x5003ffff,0xffffffff,0xffffffff,0xfffffc8d,
    0xffffffff,0xffffffff,0xfffa80ff,0xffffffff,0x1fffffff,0x3fffff20,
    0xffffceff,0x45ffffff,0x2ffffffe,0xffffffa8,0x3ffe205f,0x3ffe205f,
    0xffffddff,0x3fffee01,0xffffffff,0xf883ffff,0xffffffff,0x6fffffff,
    0x7ffffec0,0xffffffff,0x3f601fff,0xffffffff,0x01ffffff,0x7fffffcc,
    0xffffffff,0x7fcc7fff,0xffffffff,0xffffffff,0xd03fffff,0xffffffff,
    0xffffffff,0x7ffcc0df,0xffffffff,0xffffffff,0x7ff54c0f,0xfb55102f,
    0x7fdc0bff,0x3fea00ff,0x033a61ff,0x59dfffd0,0x7fff5441,0xffffe83f,
    0xf9510ace,0x2e07ffff,0x09dfffff,0x3ffffee6,0x79db300e,0xfffb8835,
    0x7fff403f,0x32e61aef,0x507ffffe,0x21bfffff,0x0dfffffc,0x4c0bfffb,
    0xbefffffe,0xffffb510,0xffca9805,0x2effffff,0x740bffb3,0xfb802fff,
    0x3ff605ff,0x7ffe404f,0x3ffe0005,0xfffb802f,0x77fffe41,0x7fffcc00,
    0x7fffc40f,0x7ff4402f,0xb00003ff,0x7dc09fff,0xf8804fff,0x3fe07fff,
    0x7ffcc5ff,0x37ffd45f,0x37ffffa0,0x0ffffe00,0x7ffffd40,0x803103ff,
    0xb802fffe,0x3fe05fff,0x7fdc00ff,0x3fa0006f,0x6401bfff,0xeffff82d,
    0xffff5000,0x2ffffb8b,0x17fff600,0x21353100,0x3e05fffb,0x2a006fff,
    0x3fe05fff,0x7ffc40ff,0x37ffd40f,0x017fffa0,0x4013fff2,0x1efffffa,
    0x7fff4000,0x5fffb802,0x009fff30,0x005ffff5,0x3fffff20,0x00acdeff,
    0x567fffc4,0xaaaaaaaa,0x46fffdaa,0x4005fffe,0x4407fff9,0xffffffec,
    0x105fffff,0x8001ffff,0x3fe03ffe,0x7ffc40ff,0x06fffa87,0x4017fff4,
    0x5005fffb,0x001dffff,0x05fffd00,0x20bfff70,0xd000fffc,0x0001dfff,
    0x3ffffffa,0x02efffff,0xfffffff5,0xffffffff,0x41ffffff,0x8002ffff,
    0xc882fffd,0xffffffff,0x05ffffff,0x000dfff5,0xfff80571,0x3fffc40f,
    0x2037ffd4,0xb802fffe,0xf5005fff,0x40000dff,0xb802fffe,0xffd05fff,
    0x7ffd4007,0xf910004f,0xffffffff,0xfc81bfff,0xffffffff,0xffffffff,
    0xff11ffff,0xf90001ff,0xffe889ff,0xffffffff,0x705fffff,0x0000bfff,
    0x207fffc0,0xfa87fff8,0x7ff406ff,0xfffb802f,0xdfff5005,0x7ff40000,
    0xfffb802f,0x007ff885,0x17ffffec,0xffb91000,0xffffffff,0x7fffdc3f,
    0xffffffff,0xffffffff,0x1ffff12f,0x9fff9000,0xffffffd8,0xffffffff,
    0xfff905ff,0x7c000009,0x7fc40fff,0x6fffa87f,0x017fff40,0x802fffdc,
    0x0006fffa,0x00bfffa0,0x2617ffee,0x3f6003ff,0x20ffffff,0x2001efff,
    0xfffdcb98,0x3ffe64ff,0xeeeeeeef,0xeeeeeeee,0x3fffe1ee,0xfffe8002,
    0x3ffffee1,0x3666209c,0xff505fff,0x400000df,0x7c40ffff,0xfffa87ff,
    0x17fff406,0x02fffdc0,0x006fffa8,0x0bfffa00,0x417ffee0,0x3ff6002c,
    0x35ffffff,0x6c4dffff,0xffb1003f,0x7fffc4ff,0x7f400004,0x2e000eff,
    0x7fec7fff,0xffb801ff,0xffff105f,0x3e000003,0x7fc40fff,0x6fffa87f,
    0x017fff40,0x802fffdc,0x0006fffa,0x013fff60,0x00bfffd5,0xfffff700,
    0xf75ffffd,0x7fdcffff,0xfff1001f,0x7ffff45f,0x3ea00003,0xf5005fff,
    0xfff8bfff,0xffe9803f,0x3fffa05f,0x1dd98006,0x881ffff0,0xffa87fff,
    0x7fff406f,0x5fffb802,0x0dfff500,0x7ffe4000,0xfffea80f,0xbd7105ff,
    0x77ffec05,0xefffff88,0x3fa3ffff,0x2200cfff,0x261ffffc,0x00bfffff,
    0x41ff65cc,0x02effffe,0x5fffff91,0x204ffff8,0xefffffea,0xdffff901,
    0xfffb1005,0x3ffff10b,0x40ffff88,0x100efffa,0x8017fffd,0x2205fffc,
    0x9efffb99,0x00099999,0x6fffffd4,0xffffffec,0x7f44ffff,0xfff02fff,
    0x7fffd43f,0x7f41ffff,0xcdefffff,0xfffffedc,0xfffffb87,0xfedccdef,
    0x40ffffff,0xfffffff9,0xffffedcd,0xfffd85ff,0xffedceff,0xffffffff,
    0xffffd84f,0xedccdeff,0x27ffffff,0xffffffe8,0xfffff10e,0x3fffea1d,
    0x3fffe65f,0xfb85ffff,0x24ffffff,0xffffffe8,0xffffffff,0xfd1000df,
    0xffffffff,0xffffffff,0x3fffe61f,0x7fff985f,0xffffffc8,0xfffffd86,
    0xffffffff,0xfb01ffff,0xffffffff,0xffffffff,0xffff503f,0xffffffff,
    0x3e60dfff,0xffffffff,0xffffffff,0x7440ffff,0xffffffff,0xffffffff,
    0x3fffee3f,0xff14ffff,0x3ea7ffff,0xfb2fffff,0xffffffff,0xffffff85,
    0xfff90fff,0xffffffff,0x07ffffff,0x7ffff440,0xffffffff,0xf10fffff,
    0xf309ffff,0xfe881fff,0xfb83ffff,0xffffffff,0x2effffff,0x7ffffdc0,
    0xffffffff,0x3a604fff,0xffffffff,0x5403ffff,0xffffffff,0xffffffff,
    0xe880ffff,0xffffffff,0x3fffffff,0x7fffffdc,0xffff13ff,0x3ffea5ff,
    0xfffb1fff,0x83ffffff,0xfffffffe,0xfffff70f,0xffffffff,0x8007ffff,
    0xffffffe8,0xffffcadf,0x7fffec2d,0x19ffff01,0x2fffffa8,0xffdcfc88,
    0xefffffff,0x3ff62002,0xffffffff,0xb5001bdf,0xbffffffd,0x3f660037,
    0xdfffffff,0xdfffffba,0x7ffed402,0xefffffff,0xfffd900b,0x3fe219df,
    0x3fea3eff,0x3b223dff,0x83dfffff,0xdfffffd9,0x3fffb222,0xffffffff,
    0x20004eff,0x00abcca8,0x40159300,0xdefffffd,0xfffffffe,0xccaa803f,
    0x40001abc,0x9abccba9,0xca880000,0x54c0001b,0x000abccc,0x66554400,
    0x0001aacc,0x00000000,0x00000000,0x00000000,0x7ffc4000,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff50,0xffffffff,0xddb730ff,0xd95037bd,
    0x80059ddd,0x2e2002c9,0x01beeeed,0x77776dc4,0x77776c1b,0xeeeeeeee,
    0x2e23eeee,0xbdeeeeed,0xeeeeda81,0x00001cee,0x33333100,0x33333333,
    0x3e033333,0x9932ffff,0xccca8799,0x02aa203c,0x00008800,0x7fffec40,
    0xfffcdfff,0xfffff81d,0x7fdc7fff,0x02ffffff,0x400bffe0,0xfffffffd,
    0x3fffa00f,0x3a0fffff,0xffffffff,0xffffffff,0x3fffff24,0x7dc7ffff,
    0xffffffff,0x0036001f,0xfffffea8,0xffffffff,0x5fffffff,0xa8fffff4,
    0x7dc5ffff,0xfd884fff,0x4000dfff,0x00003ff8,0x1abcba88,0x3fffe600,
    0x360fffff,0xffffffff,0x9fff3004,0x3ffffe00,0x3e02ffff,0xffffffff,
    0x3fffffa2,0xffffffff,0x3ffa4fff,0xffffffff,0x3fffff61,0x003fffff,
    0x3e001df9,0xffffffff,0xffffffff,0x23ffffff,0xf30ffffd,0xffa89fff,
    0x7ff4c3ff,0x701fffff,0x3ffe21bf,0x00000005,0xfffffd00,0xfff989ff,
    0x001fffff,0x200bfff7,0xfffffffc,0x7fffdc07,0x3fa0ffff,0xffffffff,
    0x4fffffff,0x3fffffee,0x7fcc5fff,0xffffffff,0x5fffa800,0xfffffd00,
    0xffffffff,0xffffffff,0x3fffe45f,0x987ffff1,0x3e22ffff,0xffffffff,
    0x27ffdc1f,0x001dfff5,0x30000000,0x87fffffd,0xbffffff8,0x3ffee000,
    0x3ffa2005,0x3bba61ef,0x3fffee64,0xacfffe83,0xfffcaaaa,0xfca885ff,
    0x8809bfff,0x1affffea,0xfffff300,0xfffb5009,0xffffffff,0xffffffff,
    0x6fffb89d,0x2217fffc,0x3fa1ffff,0xffffffff,0xffff72ff,0x1fffe989,
    0x00000000,0xfffffd88,0xffffff34,0x7055c403,0x2b98bfff,0xc8dfff70,
    0x3ea0ffff,0xfffb07ff,0xfffff301,0xffff880b,0x7fffc404,0x3ffe2003,
    0x0002ffff,0xff500000,0x1fffe8bf,0xf30ffff8,0xfd11dfff,0xffffffff,
    0xffd101ff,0x0000003f,0x3fff2000,0xfffffeff,0x3ffe201e,0xefffbbdf,
    0x83ffffca,0x3e0ffff9,0x3f23ffff,0xdff705ff,0xbfffff30,0x3ffff200,
    0x3ffff200,0x3fffa000,0x001fffff,0xf9800000,0x7ffe44ff,0x227ffe80,
    0x7ec0efff,0xffffffff,0x027fe402,0x00000000,0xfffffff7,0xfb801dff,
    0xffffffff,0xffffffff,0x25ffff06,0x26fffffa,0x2a03fffe,0x7fffcc0b,
    0x3fe2005f,0xfff104ff,0x7fec009f,0xfffffeff,0x00000000,0x2e1fffc4,
    0xdffb07ff,0xf700dea8,0x05ffffff,0x000032a0,0xf5000000,0x0bffffff,
    0x3ffffe60,0xffffffff,0xfb04ffff,0x3fff69ff,0xfff89fff,0x7fcc001f,
    0xc8005fff,0xfc80ffff,0xf7000fff,0xff91dfff,0x4c401dff,0x99999999,
    0x99999999,0x50bffe01,0x3fee0dff,0xffd30005,0x000003bf,0x00000000,
    0xffffffd1,0x7fecc003,0xffffffff,0x2e02efff,0xfff8efff,0xffacffff,
    0x3e6000ff,0x0005ffff,0x889ffff1,0x5004ffff,0x6c1fffff,0xea85ffff,
    0xffffffff,0xffffffff,0xfe85ffff,0x82ffcc1f,0x40004ffa,0x00000098,
    0x00000000,0xffffffd1,0xa88005ff,0xfffffffd,0xff9800be,0xfffffcff,
    0x6fffcfff,0x3fffe600,0x7e40005f,0x3ff20fff,0xff9800ff,0x7f442fff,
    0x7ffc4fff,0xffffffff,0xffffffff,0x7e43ffff,0x827fc40f,0x00002ff9,
    0x00000000,0x3a600000,0xffffffff,0xf88003ff,0x03ffffff,0x7fffffc0,
    0xfffffdff,0xf3004fff,0x000bffff,0x29ffff10,0x004ffff8,0x207ffffd,
    0x22fffff8,0xfffffffe,0xffffffff,0x2fffffff,0x0ec837d4,0x2ea21b60,
    0xbbbbbbbb,0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x7ffffcc0,0xfffffd9f,
    0x7fff4004,0x001fffff,0x3ffffff6,0xfffffd9f,0xffa802ff,0x0aa05fff,
    0x8ffffc80,0x800ffffc,0x404ffffa,0x2a6ffff9,0xfffffffd,0xffffffff,
    0x504effff,0xf8800003,0xffffffff,0xffffffff,0xffffffff,0x000005ff,
    0xfff50000,0x7fe41dff,0xc800dfff,0xfffdffff,0xff7000ef,0x3eadffff,
    0x00ffffff,0x2fffffd4,0x2009ff90,0xffcffff8,0xff3004ff,0x3fea00bf,
    0x0000005f,0x5c000000,0xffffffff,0xffffffff,0xffffffff,0x0000ffff,
    0x7dc00000,0xf706ffff,0x403dffff,0xf96ffff9,0x26009fff,0x23ffffff,
    0x06ffffff,0x77ffffd4,0xf9999999,0x3f6006ff,0x1fffffff,0x0017ee00,
    0x00001bd5,0x00000000,0xffffff98,0xffffffff,0xffffffff,0x006fffff,
    0x2a000000,0xffffffff,0x7ffffcc4,0xfd80dfff,0x3ffa1fff,0xfff000ff,
    0x7fdc1fff,0x3e604fff,0xffffffff,0xffffffff,0xfff3000f,0x000bffff,
    0x00000000,0x00000000,0x37776e60,0xdddddddd,0xdddddddd,0x000bdddd,
    0x3e000000,0xffffffff,0x3ffff61f,0xc83fffff,0x7fc42fff,0x3ffa006f,
    0x7ffc45ff,0x3fea02ff,0xffffffff,0xffffffff,0x3fff6000,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffe,0x3fff20ff,
    0x82ffffff,0xdd303fd8,0x7ffe4005,0xffffd82f,0x3fffea01,0xffffffff,
    0x00ffffff,0x3ffffe60,0x00000005,0x00000000,0x00000000,0x00000000,
    0xfd980000,0x42dfffff,0xfffffec8,0x0000003e,0x507fffa8,0xfa80ffff,
    0xffffffff,0xffffffff,0x7fec000f,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_48_usascii_x[95]={ 0,9,5,2,3,3,4,9,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,6,2, };
static signed short stb__courier_bold_48_usascii_y[95]={ 35,7,9,5,5,8,11,9,7,7,8,10,29,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,10,16,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,5,8,6,43,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18, };
static unsigned short stb__courier_bold_48_usascii_w[95]={ 0,7,15,21,19,20,20,7,10,10,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,26,18,19,28,25,23,24,24,23,25,25,19,25,26,
24,28,27,25,23,25,27,21,23,26,28,27,26,25,20,11,19,10,19,30,9,24,26,23,26,23,22,25,25,21,
17,24,21,28,24,23,26,26,23,20,23,25,26,27,25,25,20,12,5,13,21, };
static unsigned short stb__courier_bold_48_usascii_h[95]={ 0,29,12,34,36,28,25,13,35,35,19,25,13,4,
6,35,29,28,28,29,27,28,29,28,29,29,20,24,25,14,25,27,32,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,33,26,27,26,27,26,26,26,26,26,34,35,34,15,5,8,21,28,21,28,21,27,29,27,27,
36,27,27,20,20,21,29,29,20,21,27,20,19,19,19,28,19,34,34,34,10, };
static unsigned short stb__courier_bold_48_usascii_s[95]={ 252,28,198,128,1,21,1,190,39,50,48,
213,244,225,244,61,36,164,184,56,73,205,78,1,124,144,248,237,187,164,160,
237,205,80,54,49,1,224,200,120,150,130,146,82,135,25,26,1,176,179,54,
27,1,93,172,201,229,109,109,150,81,168,144,214,236,91,42,116,227,43,166,
98,189,120,21,95,215,140,169,67,1,225,194,22,142,218,117,68,22,69,96,
101,162,114,214, };
static unsigned short stb__courier_bold_48_usascii_t[95]={ 1,38,201,1,1,68,179,201,1,1,201,
152,179,31,193,1,38,38,38,38,97,38,38,68,38,38,152,152,152,201,152,
68,1,152,152,97,152,125,125,97,125,125,97,125,152,125,152,97,125,1,125,
97,125,97,97,97,97,152,125,1,1,1,201,212,201,179,68,179,38,179,68,
38,68,68,1,68,68,179,179,179,38,1,179,179,68,179,201,201,201,68,201,
1,1,1,201, };
static unsigned short stb__courier_bold_48_usascii_a[95]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_48_usascii(stb_fontchar font[STB_FONT_courier_bold_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_48_usascii_s[i] + stb__courier_bold_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_48_usascii_t[i] + stb__courier_bold_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_48_usascii_x[i];
            font[i].y0 = stb__courier_bold_48_usascii_y[i];
            font[i].x1 = stb__courier_bold_48_usascii_x[i] + stb__courier_bold_48_usascii_w[i];
            font[i].y1 = stb__courier_bold_48_usascii_y[i] + stb__courier_bold_48_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_48_usascii_s[i] + stb__courier_bold_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_48_usascii_t[i] + stb__courier_bold_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_48_usascii_x[i] + stb__courier_bold_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_48_usascii_y[i] + stb__courier_bold_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_48_usascii_LINE_SPACING
#endif

