// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT        238
#define STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_49_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_49_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_49_usascii_LINE_SPACING          23

static unsigned int stb__courier_bold_49_usascii_pixels[]={
    0x2aaaaa00,0x00000000,0x55029800,0x00880000,0x2e202ee0,0x40620002,
    0xbc880001,0xaaaaa880,0x0076e0aa,0x55555551,0x00880001,0x00000000,
    0xd0000000,0x8005ffff,0x00001eea,0x7c7ffb80,0x900003ff,0xff9007ff,
    0x007fff0d,0x30ffffa8,0x0003bfff,0x744bfff1,0xffffffff,0x405fff70,
    0xfffffff9,0x3726006f,0x01cdffff,0x7f6dc400,0xb88001bd,0x000acefd,
    0x3ffffa00,0x2fff4002,0x3e200000,0xfff51fff,0xf880001f,0x7fc00fff,
    0x3ffe61ff,0x3ffee006,0xffffb4ff,0xffd8003f,0x3fffee7f,0xfb0fffff,
    0x3e601fff,0xffffffff,0xffffc802,0x03ffffff,0xfffff700,0x64005fff,
    0xffffffff,0xffd00005,0x7c4005ff,0x000007ff,0x887fffdc,0x0003ffff,
    0x007fffc4,0xfb87fffe,0xff3006ff,0x3f27ffff,0x000fffff,0x54bffff5,
    0xffffffff,0x9ffff70f,0x3ffffe60,0x2601ffff,0xfffffffe,0x01efffff,
    0x3ffffee0,0x802fffff,0xfffffffc,0x80005fff,0x002ffffe,0x003fffe2,
    0xffff8000,0x03fffec5,0x3fffe200,0x3fffe200,0x017ffee1,0x67ffffec,
    0xfffffb10,0x3fffa009,0x7fff5c2f,0xff10ffff,0xff301fff,0x07bfffff,
    0x7fffffcc,0xffffffff,0xffc801ff,0xfeb9adff,0x3ff202ff,0xffffffff,
    0x440004ff,0x98009999,0xceffffec,0x80000baa,0x4c1ffffb,0x0003ffff,
    0x803fffe2,0x320ffff8,0xff005fff,0x362019ff,0xf9806fff,0xf8806fff,
    0x3ff20fff,0xfff984ff,0x3ffa000f,0xb98acfff,0x06fffffc,0x8077ffc4,
    0xff505ffd,0xf9559fff,0x0003ffff,0xfffc8000,0xffffffff,0xfe80007f,
    0xfffd06ff,0x7fc4000d,0x3fe600ff,0x3fff20ff,0xffff8804,0x3fffd401,
    0x17fffec0,0x07fffc40,0x81fffff1,0x000ffff9,0x03dffff9,0x27ffff4c,
    0x403fff90,0xffb07ff8,0xfff303ff,0x000000df,0x7fffffec,0xffffffff,
    0x3fea0001,0xfff502ff,0x3e20005f,0x3e600fff,0x7ffec7ff,0xffff8804,
    0x3fffcc00,0x1bfffe60,0x07fffc40,0x313ffff2,0x5001ffff,0x001bffff,
    0x05ffffb1,0xd005fff1,0xfff983ff,0x3ffee03f,0x4ccc401f,0x99999999,
    0x7fffdc09,0xffffffff,0x20003fff,0x7406fffe,0x10006fff,0x5401ffff,
    0x7ff47fff,0xfff8803f,0x7ffcc00f,0x7fffe407,0xffff1002,0x7ffff981,
    0x007fffcc,0x007ffffc,0x0fffff10,0x3200fff7,0x7ffec3ff,0x4ffff806,
    0xfffffd50,0xffffffff,0x7ffffc4d,0xffba99ad,0x50003fff,0xa805ffff,
    0x8002ffff,0x200ffff8,0x7f47fffa,0xff8803ff,0x7fcc00ff,0x3ffe207f,
    0x3fe2006f,0xfffd80ff,0x3fffe62f,0x7fffcc00,0xfffb8003,0x037fec1f,
    0x7fc4ffc8,0xffb803ff,0xfffff07f,0xffffffff,0x7ffccdff,0x3ffa204f,
    0xffb0001f,0x3ffe00ff,0xff88006f,0xfda980ff,0xffaaafff,0x2200acff,
    0x4c00ffff,0x3ea07fff,0x22003fff,0xf980ffff,0x3fe65fff,0x7fdc00ff,
    0x3fa0006f,0x27ff42ff,0x9fffb730,0x00ffffc4,0x407fffcc,0xfffffffe,
    0x6fffffff,0x003fffee,0x2000fff5,0x003ffff9,0x003ffff7,0x40ffff88,
    0xffffffff,0xffffffff,0xfff105ff,0xfff9801f,0x3ffff207,0x3ffe2001,
    0xdffff00f,0x007fffcc,0x0013fff2,0x7c4fffc8,0xffd882ff,0x3e64ffff,
    0xf8800fff,0xfea81fff,0xffffffff,0x3ee6ffff,0xba800fff,0xfffb0000,
    0x3fe2001f,0x7c4005ff,0x3fea0fff,0xffffffff,0xffffffff,0xffff880f,
    0x3fffcc00,0x00ffffb0,0x00ffff88,0x7ccffffd,0x7f400fff,0x2e0003ff,
    0x3fe25fff,0x7fffd41f,0x3ea4ffff,0x3fe007ff,0x266202ff,0xfb999999,
    0x3ffe66ff,0x000000cf,0x013fffe2,0x03ffff90,0x07fffc40,0xfffffff1,
    0xffffffff,0x3e20dfff,0x7cc00fff,0x3ffa07ff,0x7fc4006f,0xfff900ff,
    0x3fffe61f,0x0ffffc00,0xffff5000,0x3e23ffcc,0xffddffff,0x01bffee4,
    0x002fffe8,0x237ffdc0,0xbdfffffe,0x32000009,0x4000ffff,0x004ffff8,
    0x503fffe2,0xddffffd9,0xbdffffdd,0x3ffea037,0xffff9807,0x5ffff881,
    0x7fffc400,0x5ffff700,0x803fffe6,0x001ffff8,0x99fffe60,0x7ffec7ff,
    0x5c9ff90b,0x3a006fff,0x40002fff,0x7d46fffb,0xffffffff,0x220001be,
    0x0004ffff,0x001ffff9,0x803fffe2,0x3ea3fffe,0x7ed407ff,0xf8806fff,
    0x261dffff,0x4004ffff,0x500ffff8,0x3e67ffff,0x7fc00fff,0x2a0002ff,
    0x3fe66fff,0x3227ffc7,0x3ffee4ff,0x3fffa006,0x7fdc0002,0xffffb86f,
    0xefffffff,0xfffc8001,0xff10000f,0x3e2009ff,0x3fe00fff,0x3ffea2ff,
    0x3fffea07,0xff9003ff,0x3ea3ffff,0x44003fff,0xf100ffff,0x3fe69fff,
    0x7ff400ff,0x3f20003f,0x9ffe65ff,0x7e40fff9,0x1bffee4f,0x02fffe80,
    0x37ffdc00,0xfffffe98,0x03ffffff,0x17fffe20,0xffffb000,0xffff1001,
    0x17fffc01,0x640dfff7,0x007fffff,0x3fffffe2,0x03ffff73,0x0ffff880,
    0x4d7fffe0,0x6c00ffff,0x20005fff,0x3e64fffd,0x21ffe67f,0x3fee4ffc,
    0x3ffe006f,0x7dc0002f,0x6dc406ff,0xffffffff,0xfff7001f,0xf980003f,
    0xf8803fff,0xff100fff,0x7ffdc3ff,0x3fffea06,0xff9003ff,0x3ea3ffff,
    0x44002fff,0xf100ffff,0x3fe69fff,0x7fdc00ff,0xf98001ff,0x3fe62fff,
    0x90bffe27,0x7ffd49ff,0x3fffe007,0x7fdc0001,0x6544006f,0x006fffff,
    0x000bffff,0x01ffff60,0x103fffe2,0x57ffff75,0x15dfffb5,0x3ffff6a0,
    0xffff8806,0x3ffe61df,0x7fc4004f,0xfff500ff,0x3fffe67f,0x7fffc400,
    0xfffe8006,0xd1ffe60f,0x3f217dff,0x3fffe64f,0xffff8800,0x7fdc0000,
    0x7ec0006f,0x7d400fff,0x00002fff,0x807ffff5,0x3a0ffff8,0xffffffff,
    0xffffffff,0x3ffea05f,0xffff8807,0x5ffff881,0x7fffc400,0x5ffff700,
    0x003fffe6,0x00fffff2,0x43ffffb8,0x3e60fff8,0xfffeffff,0x07fffe25,
    0x01fffea0,0x9bffee00,0xf3000dfb,0xfe803fff,0x400006ff,0x4406fffe,
    0xff30ffff,0xffffffff,0xffffffff,0x3ffe203f,0x7ffcc00f,0x1bfffe07,
    0x1ffff100,0x43ffff20,0x800ffff9,0x03fffff8,0x06ffffc8,0xffb83fff,
    0x2fffffff,0x2013fffa,0x0006fffc,0xf16fffb8,0x3e2009ff,0x3ea02fff,
    0x00002fff,0x017fffd4,0x221ffff1,0xffffffff,0xffffffff,0xff100fff,
    0xff9801ff,0x3fff607f,0x7ffc4007,0xffffb00f,0x007fffcc,0xdfffffb8,
    0xffffe981,0x05ffb02f,0xffffffd3,0x7fffdc3f,0x3fffe200,0xffb80003,
    0x1ffff56f,0x3ffff700,0x037fff40,0xfffe8000,0x3fffe206,0x3ffbb2a0,
    0xfffeeeff,0x2202ceef,0x4c00ffff,0x3f207fff,0x22000fff,0xff00ffff,
    0x7ffccdff,0x3ff2000f,0xfeefffff,0x04ffffff,0xa880fff2,0x7c40aaaa,
    0x3f605fff,0x80000fff,0xff76fffb,0x7d405dff,0x3e607fff,0x00003fff,
    0x03ffff70,0x403fffe2,0x7fc6fffb,0xff1002ff,0xff9801ff,0x3ffee07f,
    0x3fe2003f,0xfff980ff,0x3fffe65f,0x7ffec000,0xffffffff,0x7d403fff,
    0xf900005f,0xffb09fff,0x200009ff,0xff76fffb,0x779dffff,0x7fffffd9,
    0x03fffec0,0x3ffe0000,0xffff105f,0x17fff201,0x2005ffff,0x400ffff8,
    0x2207fff9,0x2006ffff,0xd80ffff8,0x3e62ffff,0xa8000fff,0xffffffff,
    0x9801ffff,0x80000fff,0xeffffff8,0x0ffffffe,0xfff70000,0x3ffffeed,
    0xffffffff,0x3e606fff,0x00003fff,0x0ffffdc0,0x807fffc4,0x7fc5fffc,
    0xff1001ff,0xff9801ff,0x7ffec07f,0xfff1002f,0xffff881f,0x07fffcc6,
    0xfffd8800,0x00beffff,0x0013ffe0,0x7ffffd40,0x1fffffff,0x3fee0000,
    0xfffff36f,0xffffffff,0x7e401dff,0x00000fff,0x2ffffc40,0x807fffc4,
    0x3e24fffd,0xf1000fff,0xf9801fff,0x7fd407ff,0xff1006ff,0xfffc81ff,
    0x7fffcc3f,0xfff30000,0x44017fff,0x03fff700,0xffb80350,0xffffffff,
    0x7dc00001,0x3bffe6ff,0xffffffff,0x7fc404ff,0x000004ff,0x81ffff90,
    0xb00ffff8,0x7fcc9fff,0xff1000ff,0xffa801ff,0xfffe807f,0xfff8802f,
    0x3fffe20f,0x0ffff987,0xffff9800,0x0bceffff,0x3e07ffb5,0xfd502fff,
    0xffda801f,0x001dffff,0x5fffc800,0xffda8854,0xc800adff,0x0000ffff,
    0xffff1000,0x0ffff889,0x4c7fffd0,0x7c007fff,0x7dc02fff,0xffa807ff,
    0xff8806ff,0x3fff20ff,0xffff984f,0x7ffcc000,0xffffffff,0x7fffffff,
    0xbfffff50,0x1ffffdb9,0x00ddcc00,0xfff10000,0xfff1007f,0x3fe2001f,
    0x000005ff,0x07fffec0,0x201ffff1,0x3ea2fffe,0x7f4007ff,0x6cc1dfff,
    0xd005ffff,0xa883ffff,0x0ffffccc,0x01fffff1,0x999ffff3,0xfffd8015,
    0xffffffff,0x5fffffff,0x3ffffea0,0x03ffffff,0x00000000,0x003ffff9,
    0x001ffff1,0x007fffee,0xff300000,0x7ffc47ff,0x5ffff00f,0x0037ffd4,
    0x3fffffee,0xffffff72,0x3ffea005,0x3fffe25f,0xf70fffff,0x3e609fff,
    0xffffffff,0x3ffffa00,0xffffffff,0x00ffffff,0x7fffff4c,0x00001dff,
    0x26666000,0xfffffda9,0xffff1007,0x3fffe001,0x00000005,0x7c4ffffb,
    0xffb00fff,0x27ffc41f,0x7fffec00,0xfffffb4f,0xfffd800b,0x3ffffee7,
    0xffb0ffff,0x3fe601ff,0x3fffffff,0x33bffea0,0xffeca9ab,0x2000bfff,
    0x00aacba9,0x32000000,0xffffffff,0x002fffff,0x001ffff1,0x003ffff3,
    0x3e600000,0x3ffa2fff,0x20ff6606,0xb0000efb,0x3ee5ffff,0x88004fff,
    0x3fe65fff,0x0fffffff,0x4c05fff7,0xffffffff,0x004c401f,0x00001a98,
    0x00000000,0xfffffff1,0x05ffffff,0x006ffe80,0x000bfff1,0xffc80000,
    0x0033220f,0x26000000,0x0ded42db,0x81791000,0xeeeeeeb9,0x10072e0e,
    0x7bdddddd,0x00000003,0x00000000,0x3fffe000,0xffffffff,0x3ffc8002,
    0x0037ae00,0x91000000,0x0000005b,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb5000000,0x7bffffff,0x00980003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a600000,0x4cc1acdc,0x00000199,
    0x26620000,0x26660019,0x4ccc4009,0x332ea209,0x0000009b,0x00000000,
    0x59bb9530,0x00ccccc1,0x04000000,0x50000000,0x059dffb9,0x3ffff200,
    0xf99dffff,0x805fffff,0xceffedc8,0x6f5c400b,0xffffea82,0xffb105ff,
    0xb85dffff,0x8cfffffe,0xfffffffc,0xa80000df,0x02deffec,0xcefeca88,
    0xffd30002,0x57ffffff,0x1bffffff,0x03b2a200,0x3bffae00,0x2e20000c,
    0xfd300bee,0xdfffffff,0x3ffa6003,0xffffffff,0xffffffef,0xfffb302f,
    0x5fffffff,0x1fffff40,0x3ffffffa,0xfffb82ff,0x227fffff,0xffffffff,
    0xffffffff,0x0003ffff,0xffffffd7,0x7fd40bff,0x1effffff,0x3ffff200,
    0xffffffff,0x3fffffff,0x3fffae60,0x3f62000f,0x01ffffff,0xbffffb00,
    0xffffff70,0x07ffffff,0xffffffb8,0xffffffff,0x3fffffff,0xffffffb8,
    0x5fffffff,0x6fffff98,0x7ffffff4,0xfffb82ff,0x227fffff,0xffffffff,
    0xffffffff,0x005fffff,0x3fffffa2,0x81ffffff,0xfffffffb,0xe802ffff,
    0xffffffff,0xffffffff,0x6dc3ffff,0xffffffff,0x3fff6000,0x00ffffde,
    0x7ffffc40,0x3fffe60f,0xffffffff,0xfff302ff,0xfd9bffff,0xffffffff,
    0xffa81bff,0xffffffff,0x5c3fffff,0x21ffffff,0xffffffea,0xffffb105,
    0xfeb85dff,0xffffffff,0xffffddef,0xfa803fff,0xffffffff,0x7dc0ffff,
    0xffffffff,0x2e01ffff,0xcdffffff,0xffffffec,0xf10dffff,0xffffffff,
    0x3ea001ff,0x3ff221ef,0xfffe8005,0x3fffe27f,0xfebaabef,0x7440ffff,
    0x981effff,0xfffffffb,0x3ffff601,0xfebaabcf,0x3f21ffff,0xd81fffff,
    0x8800ffff,0x4405ffff,0xdffffffd,0xffffc980,0x3ffea01f,0xb9beffff,
    0x7ffc42ed,0xffebbdff,0xff307fff,0x3a609fff,0x81ffffff,0xfffffffa,
    0x9000ffff,0x1ffe05ff,0x3fffee00,0x13fffee3,0x43ffffd8,0x805ffffc,
    0x07fffffa,0x006fffe4,0x5c9ffff7,0x80ffffff,0x804ffff9,0x801ffffc,
    0x03fffffd,0x06ffffc8,0x5ffffff3,0x7ffe4001,0xfffd983f,0xffffe83f,
    0x7fff4402,0xffff107f,0x1ffffbff,0xc81ffa00,0xb88001ff,0x7fffec0b,
    0x3fffe200,0x037fff45,0x0fffff50,0xd004fc88,0x7fd4bfff,0x3f607fff,
    0x3e200fff,0xfb005fff,0x6400bfff,0x7441ffff,0x001fffff,0x405ffff8,
    0xff86fffe,0xff3004ff,0x6ed40fff,0x1ffff11b,0xc81ffa00,0x400001ff,
    0xd804fffe,0x3fe27fff,0x7f4003ff,0x800007ff,0x3e67fffa,0x2607ffff,
    0x3204ffff,0xb001ffff,0x4003ffff,0x642ffff8,0x001fffff,0x01ffff88,
    0x30ffffd4,0x4001ffff,0x8007fffc,0x000ffff8,0x3fe05ff9,0xff800007,
    0xffb803ff,0x3fffea7f,0x7ffdc000,0xfc800007,0x3ffe66ff,0x7fec06ff,
    0xfff880ff,0x3ff6005f,0xffd8006f,0x3fffe24f,0xff30000e,0x3ffe00ff,
    0x1bffea3f,0x0ffff700,0x1ffff100,0x87bfea00,0x0005ffc8,0x06fffd80,
    0x2a5ffff8,0xa8007fff,0x00007fff,0x127fff44,0x80bfffff,0xc84ffff9,
    0x2001ffff,0x8005fffd,0x3ee5fffc,0x20002fff,0x9006fffa,0x7fe49fff,
    0x7fd4005f,0xff88007f,0x3f6000ff,0xffffdeff,0x20001880,0x202ffffb,
    0x223ffffb,0x4000ffff,0x0007fffc,0x3ffffa60,0x2fffffc2,0x07fffec0,
    0x00bffff1,0x007fffd8,0x3a3fffe8,0x00987fff,0x00ffff30,0x54bffff1,
    0x5c007fff,0x88007fff,0x2000ffff,0xffffffd8,0x3ff6e21e,0xfff10003,
    0x7e4c17ff,0x7fc0ffff,0x3e6005ff,0x30007fff,0xfffffddb,0xfffff0bf,
    0xffff3009,0x0ffffe49,0x3ffff600,0x3ffee003,0x53fffe1f,0x2dffffea,
    0x07fffe20,0x4fffff90,0x000ffff9,0x001ffff6,0x003fffe2,0x33bff6a0,
    0xffffeb88,0x3ea0003f,0xffffffff,0xd82fffff,0x9804ffff,0x007fffff,
    0xffffff88,0xfe80efff,0xfb003fff,0xfff11fff,0xffb000bf,0xf5005fff,
    0x7fc4ffff,0xffffdaff,0x3e04ffff,0x3ea04fff,0x3e0fffff,0xf3005fff,
    0x1000ffff,0x0001ffff,0xffffd710,0x2a605bff,0xff902aaa,0xffffffff,
    0x3fe609ff,0xc882efff,0x07ffffff,0xfffff980,0xfb02ffff,0x26007fff,
    0xffdcffff,0xfd8001ff,0x81dfffff,0x3fffffd9,0x3fffffe6,0xffffffff,
    0xffff906f,0xffffd305,0x7ffec3ff,0x7ffc403f,0xf88007ff,0x30000fff,
    0xffffffd7,0xffd8015b,0xfff504ff,0xffffffff,0x7ffd405f,0xffeeffff,
    0x7fffffff,0xfffff000,0x901dffff,0x4005ffff,0xfffffffd,0xffb0005f,
    0xdfffffff,0xfffffffd,0xfffffa89,0xffffffff,0xff883fff,0xfda9cfff,
    0x2fffffff,0x37ffffe2,0xfffffb80,0xff88007f,0x2e6000ff,0xdffffffe,
    0x7fffc002,0xfffff306,0xffffffff,0x7ffd403f,0xffffffff,0x07ffffff,
    0x3ffb2a00,0x640effff,0x2001ffff,0xfffffff8,0xffb0001f,0xffffffff,
    0xbfffffff,0xffffff50,0xff7319ff,0xff501fff,0xffffffff,0x85ffffff,
    0xfffffffb,0xffffffed,0xf88007ff,0xe9800fff,0xacffffff,0xa801bca9,
    0xf882ffff,0xbbdfffff,0x0ffffffd,0x3ffffaa0,0xefffffff,0x00007fff,
    0x1bffffea,0x001ffff7,0xffffffc8,0x3ff60005,0xffffffef,0x03ffffff,
    0xdffffff1,0xbffff301,0x3fffff20,0xffffffff,0xfffd81ff,0xffffffff,
    0x007fffff,0x00ffff88,0x1cffffc8,0x3bfffff2,0x17fff200,0x06ffffec,
    0x2ffffec4,0x7ffffdc0,0xff98cfff,0x4400007f,0x2a1ffffe,0x4000ffff,
    0x1ffffff8,0x3fff6000,0xffffeb8c,0x7c00cfff,0x201fffff,0x2a07fffc,
    0xffffffff,0x00ffffad,0xfffffff7,0xffffffff,0xfff1000f,0x39b1001f,
    0xffffffd0,0x3ffe03ff,0xdffff00f,0x0ffffd00,0x0d5dcc40,0x001fffe6,
    0x3fffe200,0x017ffe23,0x2ffffe40,0x3fff6000,0x0d5dd4c4,0x7ffffd00,
    0x0ffff880,0x3fffb220,0x0ffff92d,0xfffffd88,0xfff9aeff,0xfff88007,
    0x7dc0000f,0xffeb9cff,0x03fff986,0x003ffff1,0x001ffff3,0x3fffcc00,
    0xffd80000,0x00f7dc5f,0x1ffffd80,0x7ffec000,0x7ec00004,0xfff006ff,
    0x2204003f,0x2004ffff,0x261acca9,0x88007fff,0x0000ffff,0x3603ffe2,
    0x37fe42ff,0x00ffff50,0x0017fffc,0x0ffff300,0x3fee0000,0x4c00006f,
    0x0005ffff,0x004fffd8,0x2fffe400,0x02ffff80,0xffffd100,0x7dc00003,
    0xf88007ff,0x20000fff,0xff504ff9,0x201ffe89,0x801ffff9,0x001ffff9,
    0x1fffe600,0x7fe40000,0x6c00004f,0x0000ffff,0x004fffd8,0x7fffd400,
    0x7fffc400,0xfffb0001,0xe80000bf,0x88005fff,0x0000ffff,0xff80bfea,
    0x2013fe65,0xd805ffff,0x00007fff,0x203fffcc,0x7fcc0008,0x200002ff,
    0x005ffff9,0x09fffb00,0xfff88000,0x7ffe405f,0xffe98007,0x00000fff,
    0x00ffffee,0x03fffe20,0x04ff9800,0x77d49ff3,0xffffd800,0xfffb880b,
    0x9880005f,0x09ffffb9,0x401dffb8,0x0fffffb8,0x33331000,0x005ffffb,
    0xbfffb300,0x20000133,0x81cffffc,0xa86ffffc,0xffffd981,0x4c4002ff,
    0xfffc9999,0x54401fff,0xffffbaaa,0x000aaaab,0xfb01fff1,0x5000b85f,
    0xddffffff,0xffffffdb,0x7f440005,0xffffffff,0x3fffe0ef,0xfeedeeff,
    0x85ffffff,0xffa81cca,0xffffffff,0xc8002fff,0xffffffff,0x40002fff,
    0xfffffff8,0xffffffed,0x76ffff41,0xffffffff,0x3ffee002,0xffffffff,
    0x7fec03ff,0xffffffff,0x05ffffff,0x517fff90,0x0000dffd,0xfffffffb,
    0xbfffffff,0xfffc8000,0xffffffff,0x3ffffe3f,0xffffffff,0x540effff,
    0x7f40ffff,0xffffffff,0x4006ffff,0xfffffff8,0x006fffff,0xfffffb80,
    0xffffffff,0x7ffffcc4,0xffffffff,0x7fff4002,0xffffffff,0x7ffcc03f,
    0xffffffff,0x1fffffff,0xfffffd00,0x00003fff,0x3ffffff2,0x04ffffff,
    0xffffb800,0xffffffff,0x3ffffea2,0xffffffff,0xffc80eff,0x7fff42ff,
    0xffffffff,0x7c4006ff,0xffffffff,0x00006fff,0xfffffff7,0xf109ffff,
    0xffffffff,0xd00019ff,0xffffffff,0xf1007fff,0xffffffff,0xffffffff,
    0x7fe4001f,0x0001efff,0x7fff6cc0,0x001defff,0xfffd9100,0x09dfffff,
    0xfffffd71,0x05dfffff,0x207fffcc,0xffffffd9,0x01dfffff,0xffffda80,
    0x01dfffff,0x3ff66000,0x01efffff,0x3fffffea,0x20000cff,0xffffffd9,
    0x6d4001be,0xffffffff,0x3dffffff,0x1bca8800,0xa8800000,0x00000abb,
    0xa9800000,0x0aabccba,0x00177100,0x00000000,0x51000000,0x40035797,
    0x000abcba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54c00000,0x55502aaa,0x55555555,0x55555555,0x35555510,0x2aa00000,
    0xaaaaaaaa,0x80001aaa,0x0099aa98,0x0d555544,0xa9800000,0x88001aaa,
    0x000aaaaa,0xaaaa8800,0x00002aaa,0x7edcc000,0x00001cde,0xffffff70,
    0x3ffff60d,0xffffffff,0x747fffff,0x03ffffff,0xffff0000,0xffffffff,
    0x70007fff,0xffffffff,0xfffe85bf,0x00003fff,0x7ffff900,0xffffe800,
    0x200002ff,0xffffffe8,0x22000fff,0x8000cffc,0xfffffffc,0x00000dff,
    0x7ffffff4,0xfffffb06,0xffffffff,0x7ccfffff,0x03ffffff,0xffff0000,
    0xffffffff,0x4c00ffff,0xfffffffe,0xf52fffff,0x07ffffff,0x3f200000,
    0x2a003fff,0x2fffffff,0x3fea0000,0xffffffff,0x3fff6000,0x7fec005f,
    0xffffffff,0x200002ff,0x6ffffffd,0xffffffb0,0xffffffff,0x7fc4ffff,
    0x003fffff,0xfffff000,0xffffffff,0x3e200dff,0xffffffff,0xf14fffff,
    0x07ffffff,0x3f200000,0x26003fff,0x2fffffff,0x3fe60000,0xffffffff,
    0xffff1000,0xfd1001ff,0xffffffff,0x001fffff,0x3ffb2200,0xfffb06ff,
    0xffffffff,0x8fffffff,0x3fffffda,0xfff00000,0xffffffff,0x2003bfff,
    0xfffffffd,0x2fffffff,0x3fffff6a,0x90000003,0x8007ffff,0x2fffffdb,
    0x7edc0000,0x0fffffff,0x3ffffa00,0xffffb006,0xff9557bf,0x0000dfff,
    0x20dfff50,0xb002fffb,0x7f40dfff,0x000003ff,0x0005ffff,0x3dffff00,
    0x01cba988,0x000ffffa,0x4ccc4000,0x3fa00009,0x000002ff,0x00ffff88,
    0x0bfffee0,0x3bfffe20,0xffffb101,0xfa800005,0xfff306ff,0x3fffe200,
    0x0ffffa03,0x7ffc0000,0x4c00002f,0x0001ffff,0x003fffe8,0x00000000,
    0x005fffd0,0xfff10000,0xaa88001f,0xffff7000,0xfffe8803,0x7d400004,
    0x000c06ff,0x401ffff5,0x0003fffe,0x05ffff00,0xfffa8000,0xffd00007,
    0x0000007f,0x3fa00000,0x000002ff,0x00ffff88,0xffd80000,0xfff7004f,
    0x32e6200d,0x3fea0abd,0x3600006f,0x7f406fff,0x32ea23ff,0x7c0009bc,
    0x00002fff,0x3ffff731,0x00133333,0xa89ffff4,0x0009bccb,0x26666660,
    0x3fa00019,0x333302ff,0x3e200013,0x00000fff,0x00eff980,0x80ffff70,
    0xffffffd8,0xfffa9dff,0xff100006,0xffe807ff,0xffffc8bf,0x000dffff,
    0x2a65ffff,0xeb8009bc,0xffffffff,0x4fffffff,0xccfffe80,0xffffffff,
    0x7ffec004,0x00ffffff,0x45fffd00,0xffffffd8,0x7c4001df,0x00000fff,
    0x40015100,0x2a05fffe,0xffffffff,0xfffeffff,0xff500006,0xffe801ff,
    0xffffffef,0x02ffffff,0xfffffff8,0x00efffff,0xfffffff1,0xffffffff,
    0xfe803fff,0xffffffff,0x00dfffff,0xffffffa8,0x0000ffff,0x7dc5fffd,
    0xffffffff,0x7ffc4005,0x0000000f,0xffff5000,0x3ffff207,0xffffffff,
    0x006fffff,0x0dfffb00,0xffffffd0,0xffffffff,0xff80bfff,0xffffffff,
    0xf883ffff,0xffffffff,0xffffffff,0x7fff401f,0xffffffff,0xa806ffff,
    0xffffffff,0xfd0000ff,0x7ffdc5ff,0x05ffffff,0x07fffc40,0x00000000,
    0x17ffff44,0x7fffffd4,0xffffecde,0x0006ffff,0x03ffff88,0xffffffe8,
    0xffedceff,0x3e03ffff,0xffffffff,0x84ffffff,0xffffffeb,0xffffffff,
    0xfffe804e,0xfddfffff,0x803fffff,0xfffffffc,0xfd0000ff,0x7ffd45ff,
    0x01dfffff,0x07fffc40,0x00000000,0x17ffffa2,0x37ffffe2,0xfffff900,
    0xf50000df,0xfd001fff,0x01bfffff,0x1fffffb1,0x3fffffa0,0xffffeeef,
    0xf73101ff,0x33333fff,0x7ff40013,0xfa81efff,0x22006fff,0x0ffffa99,
    0x5fffd000,0x3fffffee,0x3e20001b,0x00000fff,0x3fa60000,0xfd80ffff,
    0xfa803fff,0x0006ffff,0x006fffd8,0x07fffffd,0x0bffff70,0x40b7ffee,
    0x406ffffc,0x0007fffa,0x09ffffd0,0x007fffd8,0x01ffff30,0x2ffffa00,
    0x1ffffffc,0xfff88000,0x0000000f,0xfffff300,0x3fffe03f,0x3fff2005,
    0x7c40006f,0xfd003fff,0x6c009fff,0x7500ffff,0xffff9001,0x3fffd405,
    0xfffe8000,0xffffa805,0xfff98000,0xffd0000f,0xdfffffff,0x3e200001,
    0x22000fff,0x0000beeb,0xffffffa8,0x1ffff301,0x6fffe800,0x7ffd4000,
    0xfffd000f,0x7fc4001f,0xd00002ff,0x7d407fff,0xd00007ff,0xf3007fff,
    0x30001fff,0x0001ffff,0x3ffffffa,0x400005ff,0x000ffff8,0x017ffff2,
    0xfffff700,0x7ffd403f,0xfffd8006,0x7fec0006,0x3ffa006f,0xffe8005f,
    0xf900003f,0x7fd40bff,0xfd00007f,0xff3007ff,0xf30001ff,0x20001fff,
    0xfffffffe,0xf8800006,0xf1000fff,0x001fffff,0x3fffff20,0x7ffe400e,
    0xfffb8005,0x3fe20006,0x3fa003ff,0xfc8004ff,0x700005ff,0x7d40dfff,
    0xd00007ff,0xf3007fff,0x30001fff,0x0001ffff,0x3ffffffa,0x00000dff,
    0x003fffe2,0x07fffff8,0xfffffb00,0xfff9001d,0xfff7000b,0x7fdc000d,
    0x3fa001ff,0xfc8004ff,0x500004ff,0x7d40dfff,0xd00007ff,0xf3007fff,
    0x30001fff,0x0001ffff,0x3ffffffa,0x0000efff,0x01ffff10,0x27fffdc0,
    0x3fffa200,0x3ea005ff,0xfd8007ff,0x360006ff,0x74006fff,0xe8006fff,
    0x00003fff,0x540bfff7,0x00007fff,0x3007fffd,0x0001ffff,0x001ffff3,
    0x2b7fffa0,0x01efffff,0xffff8800,0x0e64c000,0x3fffe600,0x7c4004ff,
    0x22002fff,0x0006ffff,0x007ffff1,0x01ffffe8,0x07fffe60,0x7ffec000,
    0x1fffea04,0x7fff4000,0xffff9803,0xfff98000,0xffd0000f,0x3fffe65f,
    0x440001ff,0x0000ffff,0xffff5000,0x3e0007ff,0xd000ffff,0x000dffff,
    0x007fffee,0x1dffffd0,0xffffd100,0x00066441,0x405ffff5,0x0007fffa,
    0x007fffd0,0x001ffff3,0x01ffff30,0x8bfffa00,0x2fffffe9,0x3ffe2000,
    0x8000000f,0x2ffffffc,0x3ffea000,0x3faa03ff,0x00afffff,0x037ffec0,
    0xffffd510,0x7fdc05ff,0x7ff43fff,0x3f2200cf,0x5440ffff,0xaaffffca,
    0x8801aaaa,0x01cfffe9,0x27fffee2,0x2aaaa600,0xaabffffb,0x3ea201aa,
    0x7f442fff,0x00acffff,0x3eeaaaa6,0xaaaabfff,0x3f200001,0xaacfffff,
    0xdbaaaaaa,0xffffd81d,0xffeddeff,0xffffffff,0xfff1006f,0x3ff6007f,
    0xffffffff,0xfffeddef,0x7fc45fff,0xedefffff,0xfffffffe,0x3ffffa62,
    0xffffffff,0xf302ffff,0xdfffffff,0xffffffb0,0xfffc87ff,0xffffffff,
    0x3fffffff,0x7ffffff4,0xfffffa82,0x3f21efff,0xffffffff,0xffffffff,
    0xfc80003f,0xffffffff,0xffffffff,0xfffe884f,0xffffffff,0xffffffff,
    0xffa802ff,0xff9800ff,0xffffffff,0xffffffff,0xfe80ffff,0xffffffff,
    0x5fffffff,0x7fffffec,0xffffffff,0xffd06fff,0x7fffffff,0x7fffffcc,
    0xff10ffff,0xffffffff,0xffffffff,0x3ffea1ff,0xfd82ffff,0xffffffff,
    0xffffff15,0xffffffff,0x01ffffff,0xffffc800,0xffffffff,0x07ffffff,
    0xffffff91,0xffffffff,0x03ffffff,0x009fff30,0x3fffffe2,0xffffffff,
    0x0dffffff,0xfffffb10,0xffffffff,0xfffc819f,0xffffffff,0x05ffffff,
    0xfffffffb,0x7ffc45ff,0x47ffffff,0xffffffff,0xffffffff,0x3fe66fff,
    0xc82fffff,0xffffffff,0x3ffffe4f,0xffffffff,0x07ffffff,0xffffc800,
    0xffffffff,0x07ffffff,0x7fffff4c,0xffbaefff,0x2003dfff,0x2e000dfb,
    0xabfffffd,0xfffffffd,0xf93001ef,0xffffffff,0x3b2201bf,0xffffffff,
    0x0cefffff,0xffffd910,0xffb507df,0xa85bffff,0xfffffffd,0xffffffff,
    0x7fedc1df,0xec882fff,0x0cefffff,0x3fffff6a,0xffffffff,0x0001dfff,
    0xffffffc8,0xffffffff,0x1007ffff,0x03579953,0x00000000,0x79975100,
    0x26200013,0x01abccba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01100000,0x01980000,0x004c4000,0x00198000,
    0x004cc000,0xaaa98000,0x995100aa,0x30379999,0x59999997,0x332a2001,
    0xcccccccc,0x5400accc,0x300000ce,0x01599997,0x5e6665c4,0x0d555541,
    0xfffb9300,0x800037bf,0xfffffed9,0xa801731c,0xdfffffed,0xb9510002,
    0x25bfffff,0x644001b8,0xbefffffe,0x20003730,0x82fffffe,0xfffffff8,
    0x3fee3fff,0xffffffff,0xffffe800,0xffffffff,0x3e00ffff,0xc80003ff,
    0xffffffff,0xfffff980,0x3ff64fff,0xff9004ff,0xffffffff,0xffb10009,
    0xffffffff,0xf910fffd,0xffffffff,0x5c001bff,0xffffffff,0x2fffffff,
    0xffffd880,0xcfffffff,0x5c002fff,0x82ffffff,0xfffffffa,0x3ffa6fff,
    0xffffffff,0x7fffcc03,0xffffffff,0x303fffff,0x0000bfff,0xffffffff,
    0xffff907f,0x7e4fffff,0x74c03fff,0xffffffff,0x000effff,0xfffffff3,
    0xffffffff,0x7fffdc3f,0xffffffff,0xfd801fff,0xffffffff,0x4fffffff,
    0x7ffffcc0,0xffffffff,0x2004ffff,0xfffffff8,0xfffff882,0x2e3fffff,
    0xffffffff,0xfff800ff,0xffffffff,0x00ffffff,0x000dfff5,0xffffffb0,
    0xfff503ff,0x5cbfffff,0x2602ffff,0xffffffff,0xffffffff,0x7fff4401,
    0xffffffff,0x322fffff,0xffffffff,0x6fffffff,0x3ffffa20,0xffffffff,
    0x206fffff,0xfffffffa,0xffffffff,0x32006fff,0x2fffffff,0xdffff730,
    0xdd95059d,0x0037ffff,0x3bbbb6e2,0xdeeffffe,0x3ffea01b,0xda880006,
    0x202fffff,0xadfffffa,0x07fffea0,0xcfffffe8,0xfffca98a,0x3f200fff,
    0x989bffff,0xffffffca,0x3fffff22,0xffb989bd,0xff884fff,0x8aceffff,
    0xffffeba9,0xffff106f,0x73137bff,0xdffffffb,0x3fffe600,0x7402ffff,
    0x2e003fff,0x00006fff,0x003fffe6,0x006fffa8,0x7fffec00,0x3fffee02,
    0x1ffff105,0x3bffff20,0x3fffa601,0x3fffe04f,0x3ffa600f,0x3ffee2ff,
    0x7fffc406,0xeffffc87,0xffffa800,0xfffffd06,0xfffe9803,0xfffd006f,
    0x805fffff,0x2003fffe,0x0006fffb,0x03fffe60,0x7fffdcc0,0x19999999,
    0x7fffc400,0xffff880f,0x1fffe00f,0x06ffffd4,0x7fffec40,0x2ffff981,
    0x2ffff980,0x2013ffea,0x220ffffb,0x000fffff,0x2a17fff2,0x001fffff,
    0x201bfffe,0xffcffffa,0x7ff402ff,0x3fee003f,0x2600006f,0x2600ffff,
    0xfffffffd,0xffffffff,0xff7000df,0xfffd0bff,0x6fff805f,0x01fffff0,
    0x37fffc40,0x003fffd4,0x7c41fffd,0xff8801ff,0x3fff62ff,0x7fc4001f,
    0xffffd83f,0x7ffdc001,0x7fffc404,0x02ffff8f,0x001ffff4,0x000dfff7,
    0x07fffcc0,0xffffff90,0xffffffff,0x4009ffff,0x2e3ffffd,0xd805ffff,
    0xfff985ff,0xffb8003f,0x7ffc42ff,0xdff5001f,0x26003930,0x3fe2ffff,
    0xd50004ff,0xffff8819,0xfff88003,0x7fffe402,0x805ffff3,0x2003fffe,
    0x0006fffb,0x03fffe60,0xffffffc8,0xffffffff,0x2004ffff,0x88fffff8,
    0x800fffff,0xffa84ffc,0x3fa0006f,0xfffe83ff,0x0051001e,0x3ffff600,
    0x05ffff31,0xfff50000,0x36a0001f,0x7fffc403,0x00bfffe6,0x4007fffd,
    0x0006fffb,0x03fffe60,0xfffffd98,0xffffffff,0x4000dfff,0xfddffffa,
    0xf7002fff,0x9fff907f,0x7ffe4000,0xfffffc84,0x000001bd,0x3ffffe44,
    0x001ffff5,0xdfff7000,0xfb000000,0x7ffc5fff,0x7fff402f,0x3ffee003,
    0x3e600006,0x73000fff,0x3333ffff,0x80003333,0xfffffffd,0x3fea005f,
    0x03fffd82,0x1bffee00,0x3fffffa2,0x00acdfff,0xfffb8800,0x3fee2fff,
    0x9000006f,0x0000bfff,0x5ffffa80,0x2017fffc,0x2003fffe,0x0006fffb,
    0x03fffe60,0x06fffa80,0x7fc40000,0x00ffffff,0x3e03fe20,0x20002fff,
    0xd107fffa,0xffffffff,0x0003bfff,0xffffff93,0x5fffc8bf,0xff900000,
    0x800000bf,0x7c0ffffe,0x7f402fff,0x3ee003ff,0x000206ff,0x001ffff3,
    0x0037ffd4,0x7ffd4000,0x88002fff,0x1ffff880,0x3ffe6000,0xfffb100f,
    0xffffffff,0x7fc4005f,0x83ffffff,0x8805fffc,0x99999999,0x027ffe40,
    0xfff70000,0x5ffff09f,0x03fffe80,0x21bffee0,0x3000efe8,0x4001ffff,
    0x0006fffa,0xffffb000,0xfd000009,0x540005ff,0xb8806fff,0xfffffffe,
    0xf1004fff,0x03dfffff,0x8817fff2,0xfffffffe,0xff90efff,0x2000009f,
    0x80fffff8,0x7402ffff,0x2e003fff,0xffa86fff,0xfff3002f,0x7fd4001f,
    0x0000006f,0x001ffff1,0x9fffb000,0x7ffe4000,0x6dcc4005,0x2fffffff,
    0xeffff880,0x2fffe402,0xffffff90,0x27ffffff,0x0005fffc,0x5ffff900,
    0x00bfffe0,0x4007fffd,0xfc86fffb,0xff3004ff,0x7d4001ff,0x000006ff,
    0x01ffff10,0x17dd7100,0x002fffdc,0x009fffb0,0xffffb300,0x1fffa009,
    0x037ffd40,0xfffffff7,0x2e7fffff,0x00007fff,0xafffff98,0xfffaaaaa,
    0x7ffec03f,0x3ffee003,0x04fffc85,0x01ffff30,0x037ffd40,0xff880000,
    0xfc8000ff,0x3fea5fff,0xf98001ff,0x5e442fff,0x7ffe4000,0x07ff7006,
    0x81fffe20,0xfffffec8,0xf50dffff,0x00001fff,0xffffffd8,0xffffffff,
    0xff902fff,0x7fec00bf,0x4fffc84f,0x0ffff300,0x06fffa80,0xff100000,
    0xf88001ff,0xf10fffff,0xd000dfff,0xfe81ffff,0x7fc4004f,0x011001ff,
    0x02ffff80,0x46fffb80,0x005ffff8,0x7fffec00,0xffffffff,0x506fffff,
    0x1001ffff,0xf905ffff,0x3ee009ff,0x7d4005ff,0x000006ff,0x01ffff10,
    0xfffffd00,0x03ffffc8,0x13fffee0,0x001ffff1,0x00ffffcc,0xfffb0000,
    0xffb8001f,0xffffc86f,0x2ed88002,0x3ffffff6,0xffffffff,0xff105fff,
    0xfe880dff,0xffc80fff,0xfff9804f,0x7fd4004f,0x173000ff,0xffff1000,
    0xfff70001,0xffffd07f,0xffff9009,0xbffff50d,0x3fffa001,0x2000000f,
    0x00dffffa,0x21bffee0,0x03fffff8,0x43fffa60,0xfffffffd,0xffffffff,
    0x3ff600ce,0x75441eff,0xf904ffff,0x7105bfff,0x005fffff,0x03ffff98,
    0x03ffff26,0x3feeaa60,0x001aabff,0x7cc02ee2,0x981dffff,0x81fffffd,
    0xbffffffa,0xffffd501,0xb000000d,0x019fffff,0x3fffb2a2,0xfffff706,
    0x3ee6015d,0x0002ffff,0x2005ffff,0xeffffffe,0x6ffffffe,0x3fffff20,
    0xfffedeff,0xf0005fff,0xb9bdffff,0xfffffffd,0x7fffd407,0xffffffff,
    0x200002ff,0xfffffffb,0xffffffee,0xffff504f,0xdbdfffff,0x3fffffff,
    0x17bb7100,0x7fffc400,0xfdeeffff,0x6fffffff,0x3fffff60,0xffedefff,
    0x006fffff,0x7fffd544,0xffff3003,0xffffffff,0x7fe403ff,0xffffffff,
    0x00efffff,0xfffff700,0xffffffff,0x7f401fff,0xffffffff,0x006fffff,
    0x7fffe400,0xffffffff,0x3fe603ff,0xffffffff,0xffffffff,0xffff9004,
    0xfffa800b,0xffffffff,0x6fffffff,0x7ffffec0,0xffffffff,0x2001efff,
    0xfffffffe,0xfd8802ff,0xffffffff,0xfc9800ef,0xffffffff,0x0000dfff,
    0x7fffffec,0xefffffff,0x7fffe401,0xffffffff,0x800005ff,0xffffffe9,
    0x801effff,0xffffffff,0xffffffff,0x3ffa002f,0xc88007ff,0xffffffff,
    0xbeffffff,0xffffb800,0xffffffff,0x7d4004ff,0xffffffff,0x3fee006f,
    0x03ffffff,0xfffeb880,0x002cefff,0x3fffea00,0x1cffffff,0xfffd9100,
    0xdfffffff,0x40000019,0xfffffffc,0xbd5000ce,0xfffff931,0x0009ffff,
    0x009ffff7,0x7fff64c0,0x2effffff,0xffeb8800,0xceffffff,0xfff98002,
    0x5fffffff,0xacba8800,0x73100000,0x00000159,0x9acccaa8,0x00000000,
    0xa8800000,0x00000abb,0x2af2ea62,0x5dcc0001,0x54400001,0x0009abcb,
    0x59955100,0x36e00003,0xceffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e600000,0x200acccc,0x1bcccca8,0x66666644,
    0xcccccccc,0xcccccccc,0x33332e60,0x2a200acc,0x1bcccccc,0x66666544,
    0x32e601bc,0x40accccc,0xcccccca8,0x000acccc,0x66666544,0xcb981bcc,
    0x5101bccc,0x99999999,0x00135999,0x99999510,0x99999999,0x32e60159,
    0xb981bccc,0x00accccc,0x0bbbbba2,0xffffffd8,0xfff980ff,0x264fffff,
    0xffffffff,0xffffffff,0x70ffffff,0xffffffff,0xfff301ff,0x7fffffff,
    0x7ffffffc,0xffc84fff,0x7fffffff,0x3fffffe2,0xffffffff,0x3fffe000,
    0x3fffffff,0x3ffffff2,0xfffe85ff,0xffffffff,0x002effff,0x3ffffffe,
    0xffffffff,0xfffd87ff,0x2a4fffff,0xffffffff,0x3fffea06,0x3fffe00f,
    0xc83fffff,0xffffffff,0x3ffffe67,0xffffffff,0xffffffff,0xfffffd0f,
    0x707fffff,0xffffffff,0x3ffeadff,0x7fffffff,0xfffffff8,0xff72ffff,
    0xffffffff,0x2007ffff,0xfffffffa,0x3fe6ffff,0xffffffff,0x3ffffe60,
    0xffffffff,0x01efffff,0x7fffffd4,0xffffffff,0x7fc1ffff,0x7fffffff,
    0x3ffffff6,0xffb01fff,0xffd807ff,0x82ffffff,0xfffffffa,0x3fffe65f,
    0xffffffff,0xffffffff,0xffff70ff,0x03ffffff,0xfffffff3,0x3fe25fff,
    0xffffffff,0xfffffd85,0xf10fffff,0xffffffff,0x003fffff,0x3fffffe2,
    0x363fffff,0xffffffff,0xffffff85,0xffffffff,0x00ffffff,0x3fffffe2,
    0xffffffff,0xffe87fff,0x24ffffff,0xfffffffb,0x3fffe07f,0xffeb8807,
    0x3ea02fff,0x20aeffff,0xeeeffff9,0xeeffffee,0x0ffffeee,0x3fffff2e,
    0x36e601bd,0x43cfffff,0xeeffffd9,0xeca880ac,0x41dffffe,0xfffeedb9,
    0x001bdeef,0x7fffedcc,0x7fc42cee,0x80adffff,0xeffffdb8,0xffeeeeee,
    0x4c05ffff,0xffeeeedb,0xbdeeeeff,0xffffb880,0x76540ace,0x300cffff,
    0x4007ffff,0x04ffffe8,0x03bffff2,0x261fffe6,0x7c40ffff,0xffc80fff,
    0x3e2000ff,0x3ea04fff,0x3e0007ff,0xf8802fff,0x00000fff,0x440ffffa,
    0x03fffffe,0x00ffffa0,0x05ffffd5,0x1ffff100,0x7fffd000,0x0ffff300,
    0x006fffb8,0x3fffff88,0x0fffffb8,0x30ffff30,0xf881ffff,0xff980fff,
    0x3ee003ff,0x3e601fff,0x99980fff,0x7fffc409,0xffff8801,0x3fa00000,
    0xffe983ff,0x74002fff,0xf9803fff,0x88004fff,0x8000ffff,0x9803fffe,
    0x7f407fff,0xf50002ff,0x7cc3ffff,0x2601ffff,0xff987fff,0x7ffc40ff,
    0xdfffd00f,0x37fff400,0x07fffe20,0x987ffff7,0x8800ffff,0x0000ffff,
    0x50ffffa0,0x03ffffff,0x07fffd00,0x017fff60,0x03fffe20,0x0ffffa00,
    0x81fffe60,0x0006fff8,0x47ffffdc,0x03fffff8,0x4c3fffcc,0x7c40ffff,
    0xff500fff,0xff5003ff,0xfff005ff,0xffffe85f,0x03fffd46,0x00ffff88,
    0x3fffa000,0x3ffffee3,0xffd0001e,0x3ff2007f,0xff88006f,0xfe8000ff,
    0xff9803ff,0x3ffea07f,0xffc80002,0xffffeeff,0x6fff8804,0x80ffff98,
    0x7fc07fff,0xffd805ff,0xfffd007f,0x7ffffc47,0x1bffee0f,0x07fffc40,
    0xfffd0000,0x3fffff27,0x3fa0000e,0xff8803ff,0xf88003ff,0xe8000fff,
    0xf9803fff,0x3ff207ff,0x3f600006,0x6fffffff,0x213ffa00,0xd80ffff9,
    0x7fe405ff,0x3fe200ff,0xffb003ff,0x7fffdc9f,0x3fff23ff,0xffff1005,
    0x7f400001,0xffffdbff,0x740000df,0x7d403fff,0x8001ffff,0x000ffff8,
    0x803fffe8,0x3a07fff9,0x200001ff,0xffffffe8,0x2ee2000e,0x0ffff980,
    0x4400bb88,0x3203ffff,0x9000ffff,0x7ff4bfff,0x3f66ffff,0xff1004ff,
    0x400001ff,0xfffffffe,0xd00006ff,0x33339fff,0xfffffd95,0x3fe2000d,
    0xfe8000ff,0xffffffff,0x7fffffff,0x000bff10,0xfffff100,0x9800003f,
    0x0000ffff,0x207fffd8,0x2005ffff,0xff16fffb,0x21ffffff,0x1003fffe,
    0x0001ffff,0x7fffff40,0x004fffff,0xfffffe80,0xffffffff,0x10000eff,
    0x0001ffff,0xfffffffd,0xffffffff,0x002e40ff,0xffff9800,0x400001ff,
    0x000ffff9,0x2ffffa80,0x01ffffa8,0x5dfffea0,0xffffffff,0x005ffff3,
    0x003fffe2,0xffffe800,0x5fffffff,0x7fff4000,0xffffffff,0x0000dfff,
    0x003fffe2,0x3fffffa0,0xffffffff,0x00007fff,0xffff8800,0x0000ffff,
    0x03fffe60,0x7fff4000,0x06fffe85,0x47fffcc0,0xffddfffe,0x05ffff6f,
    0x03fffe20,0x7ff40080,0xfffeffff,0x3a0005ff,0xffffffff,0x004fffff,
    0x0ffff880,0xffffe800,0xffffffff,0x2e07ffff,0x7400001d,0xffffffff,
    0xf300000e,0x00001fff,0x987fffee,0x4003ffff,0xffaffff9,0xffffaaff,
    0x001ffffa,0x001ffff1,0x7f407ffa,0xff71efff,0x2000bfff,0xfffffffe,
    0x05ffffff,0xffff8800,0xfffe8000,0xaaaaaaad,0x207fffca,0x00003fff,
    0xfbdffffb,0x0000bfff,0x003fffe6,0x7fffc400,0x03ffff24,0xdffff100,
    0xff11ffff,0x1ffffbff,0x3fffe200,0x3fff9800,0x81dfffd0,0x02ffffe8,
    0x9cfffe80,0xffffd999,0x7c40005f,0xe8000fff,0xf9803fff,0x3fee07ff,
    0x7dc0004f,0xfe88ffff,0x80004fff,0x000ffff9,0x3ffff200,0x04ffff88,
    0xffffff00,0x7ffecbff,0x2007ffff,0x800ffff8,0xfd05fffb,0x3fe607ff,
    0xfe8006ff,0xfff503ff,0x44000bff,0x8000ffff,0x9803fffe,0x7dc07fff,
    0xa8000eff,0x221fffff,0x002fffff,0x07fffcc0,0xfff30000,0x3ffff77f,
    0x3fffa000,0x3ea3ffff,0x06ffffff,0x03fffe20,0x41bffee0,0x2e03fffe,
    0x4002ffff,0x2a03fffe,0x003fffff,0x01ffff10,0x07fffd00,0x00ffff30,
    0x001dfff5,0x1fffffcc,0x0fffffd4,0xffff3000,0xfe800001,0x6fffeeff,
    0x3fff6000,0x3e20ffff,0x05ffffff,0x03fffe20,0x41bffee0,0x7403fffe,
    0x74006fff,0x7d403fff,0x8001ffff,0x000ffff8,0x803fffe8,0x1007fff9,
    0x2200dffd,0x204ffffe,0x00fffffb,0x1ffff300,0xffa80000,0x02ffffff,
    0x3ffff200,0xfffd86ff,0x22004fff,0xb800ffff,0xffd06fff,0xfff9807f,
    0x3ffa003f,0xfffb803f,0xff88006f,0xfe8000ff,0xff9803ff,0x3f62007f,
    0xfffd8806,0x7ff400ff,0x53000eff,0x57ffff75,0x3e000035,0x07ffffff,
    0x7fffdc00,0xfffa83ff,0x54403fff,0xabffffba,0xdaaaaaaa,0x75446fff,
    0x201adfff,0x01affffd,0x37fffaa2,0x7ffe401a,0x555101df,0x57ffff75,
    0x26201555,0x201dfffe,0x09ffffc8,0x3fa00200,0x3fffffff,0xffffffa8,
    0xff500eff,0xffffffff,0x0003dfff,0xffffffc8,0x7fd40004,0xf880ffff,
    0x202fffff,0xfffffffe,0xffffffff,0x26ffffff,0xfffffffd,0xff981fff,
    0x6c3fffff,0xffffffff,0x3ffa02ff,0x3f60ffff,0xffffffff,0x5fffffff,
    0x7fffffcc,0x3fa62fff,0x3fffffff,0xfff50000,0x0fffffff,0xfffffffd,
    0x3ffa07ff,0xffffffff,0x0005ffff,0x7fffffc4,0x7fcc0000,0x3f606fff,
    0xf501ffff,0xffffffff,0xffffffff,0x26dfffff,0xffffffff,0xffd05fff,
    0x7ccfffff,0xffffffff,0x3fe606ff,0xff34ffff,0xffffffff,0xffffffff,
    0x7fffff43,0x3f66ffff,0xffffffff,0xf980000f,0xffffffff,0xfffffd86,
    0xfb02ffff,0xffffffff,0x009fffff,0xbffffb00,0xfff10000,0x7fd407ff,
    0xff301fff,0xffffffff,0xffffffff,0x3e2dffff,0xffffffff,0xfff504ff,
    0x7fc4dfff,0xffffffff,0x7ffdc05f,0xffff14ff,0xffffffff,0x41ffffff,
    0xfffffffd,0x3fff25ff,0x07ffffff,0x3ff6e000,0x981cffff,0xdfffffec,
    0x3ffb2603,0xffffffff,0xa80000ce,0x0002ffff,0x01fffff0,0x00fffff8,
    0x3fffff6e,0xffffffff,0x6fffffff,0x3fffff6e,0x3a00ceff,0x541dffff,
    0xfffffffd,0xffe800ce,0x3ff6e0ce,0xffffffff,0x4c2dffff,0xefffffec,
    0x3ffb220c,0x001dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccca880,0xaccccccc,
    0xccb98009,0xcccccccc,0xcccccccc,0x332a21cc,0xcccccccc,0xcccccccc,
    0x6665444c,0xaccccccc,0x66544001,0x5cc03ccc,0x0acccccc,0x66666544,
    0xaccccccc,0x99510009,0x44003999,0x00accccc,0x666665cc,0x0001cccc,
    0x99999999,0x99999999,0x00000099,0x3ffffffe,0xffffffff,0xfff702ef,
    0xffffffff,0xffffffff,0x7ff45fff,0xffffffff,0xffffffff,0x7fff47ff,
    0xffffffff,0xe802efff,0x1fffffff,0xffffff50,0x7fc1ffff,0xffffffff,
    0xdfffffff,0x7ffffc00,0x3f2005ff,0x00ffffff,0xfffffff7,0x000bffff,
    0x3ffffffe,0xffffffff,0xfb7007ff,0x403979ff,0xfffffffa,0xffffffff,
    0x7ec0dfff,0xffffffff,0xffffffff,0xf32fffff,0xffffffff,0xffffffff,
    0x7ccfffff,0xffffffff,0xffffffff,0xffff300d,0x360dffff,0xffffffff,
    0xffff53ff,0xffffffff,0x5fffffff,0x3ffffea0,0xf8800fff,0x3fffffff,
    0xffffffb0,0x03ffffff,0xffffff00,0xffffffff,0xe880ffff,0xffffffff,
    0xffff100f,0xffffffff,0xdfffffff,0xffffffb8,0xffffffff,0xffffffff,
    0x3fffffe2,0xffffffff,0x7fffffff,0x7ffffffc,0xffffffff,0xff01ffff,
    0x7fffffff,0xffffff70,0x3e23ffff,0xffffffff,0xffffffff,0xff881fff,
    0x04ffffff,0xffffffb8,0xfff701ff,0xffffffff,0xfff0009f,0xffffffff,
    0x0fffffff,0x7fffff44,0x203fffff,0xeffffdb9,0xffeeeeee,0x6544ffff,
    0xeeeffffe,0xeeeeeeee,0x2e22ffff,0xeeeffffd,0xeeeeeeee,0x75c47fff,
    0xeeeeffff,0xfffffffe,0xffdb880e,0xa80fffff,0xcffffeec,0x7ffedcc1,
    0xeeeeeeef,0x0ffffffe,0xfffffc88,0x7ff400ff,0x401dffff,0xfffeeeca,
    0x8007ffff,0xeeeeffff,0xffffeeee,0x3fff207f,0xffffffff,0x7fffd001,
    0xfffffb80,0x07fffa81,0x817fffc0,0x5003fffd,0x3f60ffff,0x3ee604ff,
    0x6c05ffff,0x05ffffff,0x403fffd4,0x4403fffe,0x103ffffd,0x7fffffff,
    0x7ffffd40,0xfb8001ff,0x2fffffff,0x17fffc00,0x3fffff30,0x3bfffe20,
    0x01effc9b,0x00ffffa0,0x20ffffe6,0x4007fffa,0xfb02ffff,0x3ea007ff,
    0xfffb07ff,0xfffd1009,0x7ffec03f,0x2a02ffff,0xfe807fff,0xfff003ff,
    0x3ffe209f,0x3607ffff,0x1fffffff,0xefffe800,0x4005fffe,0xd102ffff,
    0x4c07ffff,0x1541ffff,0x1ffff400,0x85fffc80,0x4007fffa,0xfb01fffe,
    0xf30207ff,0x3ff60dff,0xfff1004f,0x7ffec0bf,0x500fffff,0xfd00ffff,
    0x3ee007ff,0xfff106ff,0x305fffff,0xffffffff,0xfff98003,0x1ffffbaf,
    0x0bfffe00,0x02ffffec,0x001bffee,0x03fffe80,0x50dfff50,0xfd50ffff,
    0x207ffb85,0x6443fffd,0x13ffe0ef,0x0027ffec,0x203ffff7,0xfffffffd,
    0xffff505f,0x07fffd00,0x417fffa0,0xfffffff8,0xffffc86f,0x4001ffff,
    0xff17fffc,0x7ec009ff,0xfffb81ff,0x7fd400ef,0xd00001ff,0x32007fff,
    0xffa85fff,0x46fff87f,0x3f601dc8,0x7ffdc3ff,0x6c033662,0x22004fff,
    0xfb03ffff,0xffffd9ff,0x0ffff505,0x007fffd0,0x209ffff7,0xffcffff8,
    0x3ffe21ff,0x01ffffcf,0x93fffe20,0x2007fffc,0xff987ffb,0xf8801fff,
    0x00005fff,0x1007fffd,0xf507ffff,0xfff88fff,0xffd8000f,0x27ffe43f,
    0x13fff600,0x09fffd00,0x3e73fff6,0xffa86fff,0xfffe807f,0xfffb3103,
    0x3fe203ff,0x5ffff9ff,0x3e7fffee,0x2e001fff,0x3e61ffff,0x2a002fff,
    0x7fffc41c,0x3ff2002f,0xe80003ff,0x74403fff,0xfa81ffff,0xffffffff,
    0xd8000fff,0xffffffff,0x6c004fff,0x64004fff,0xffb05fff,0x3ffff29f,
    0x03fffd44,0x7ffffff4,0xffffffff,0x3fe203ff,0xffffc9ff,0x3ebffff1,
    0x3a001fff,0xffe86fff,0xfe80005f,0x44004fff,0x000fffff,0x4e7fff40,
    0xffca9999,0xff506fff,0xffffffff,0xfb0001ff,0xffffffff,0xfd8009ff,
    0x7dc004ff,0xfffb06ff,0x0fffff49,0xd00ffff5,0xffffffff,0xdfffffff,
    0x9ffff880,0xfacffff8,0xffff1fff,0x3ffe6003,0xffffa82f,0x3ff20001,
    0xfd8006ff,0x4c45ffff,0xfffe8009,0xffffffff,0x500effff,0xffffffff,
    0x0001ffff,0xfffffffb,0x8009ffff,0x4004fffd,0xfb06fffb,0x7ffcc9ff,
    0x1fffea6f,0x3fffffa0,0xffffffff,0x3e204fff,0xfff91fff,0x7cdfffdf,
    0xf9001fff,0x7ffc0fff,0xff50004f,0x44001fff,0xfffffffd,0x01bfff23,
    0xfffffffd,0xffffffff,0x7fffd401,0xffffffff,0xfffd8000,0xffffffff,
    0x7ffec004,0x7ffdc004,0x89fffb06,0xf53ffffd,0xffd00fff,0xffffffff,
    0x9fffffff,0x47fffe20,0xfffffff9,0x07fffe2f,0x37fffe20,0xfd999999,
    0xf98007ff,0x4002ffff,0xfffffffe,0xfffff0ff,0x7ffff405,0xffffffff,
    0xfffa804f,0xfffbaaaf,0xffd8000f,0xffdaaadf,0x7fec004f,0x7fe4004f,
    0x9fffb05f,0x8fffff88,0xe807fffa,0xaaaadfff,0xffffcbaa,0xfff884ff,
    0x3ffff61f,0x7fffc7ff,0xffffb801,0xffffffff,0x2002ffff,0x03ffffe8,
    0xffff502a,0x3dffff9f,0x405fffff,0xfffffffe,0x000cefff,0xff0ffff5,
    0x3f6000df,0x7ffdc3ff,0xfd80dc43,0x7f4004ff,0xfffb03ff,0xbffff509,
    0xd00ffff5,0x2e007fff,0xf887ffff,0x3fea1fff,0x7fc3ffff,0xffe801ff,
    0xffffffff,0x05ffffff,0x17ffff60,0x3f21ffe8,0xfffb0eff,0x1bffffdf,
    0x4e7fff40,0x50000999,0xffb0ffff,0x3ff60009,0x0fffcc3f,0x3f60bffe,
    0x3e2004ff,0xffb02fff,0x3fff609f,0x807fffdf,0x2003fffe,0x442ffffa,
    0x7f41ffff,0x7fc0ffff,0x7fcc01ff,0xffffffff,0xffffffff,0xffffb801,
    0x9fff300e,0xd11ffff4,0x9fffffff,0x07fffd00,0x7ffd4000,0x40005307,
    0x1503fffd,0xd84fff98,0x2a004fff,0xfb00ffff,0x3fe209ff,0x07ffffff,
    0x003fffe8,0x2227ffec,0x7d41ffff,0xfff84fff,0x7ffec01f,0xffffffff,
    0x4fffffff,0x7ffffcc0,0x5bffea01,0x4c0ffff8,0x1fffffff,0x03fffe80,
    0x3ffea000,0xfb000007,0x7d4007ff,0xfffd86ff,0xffff5004,0x27ffec0d,
    0xffffff70,0xfffd00ff,0xfffc8007,0x0ffffc45,0x7c07fffc,0x3e201fff,
    0x2e004fff,0x3e207fff,0x5c03ffff,0xfff16fff,0xffff905f,0x3ffa00df,
    0x2a00003f,0x00007fff,0x007fffb0,0x6c37ffd4,0xfa804fff,0x3601ffff,
    0x7f404fff,0x807fffff,0x2003fffe,0x443ffff8,0x0001ffff,0x5c03ffff,
    0x2000ffff,0xd02ffff8,0x7009ffff,0x7ff4dfff,0x7ffcc0ef,0x2a201dff,
    0xaaadfffe,0xfc98000a,0x2aaaafff,0x7ff54000,0xaaaaaadf,0xfffcaaaa,
    0x6fffec46,0xebaaaaaa,0x204fffff,0x1adfffe8,0xffffff30,0x7ff5440f,
    0xaaaaaadf,0xffffdaaa,0x7fffcc1f,0xaa8800ab,0xd303ffff,0x0015dfff,
    0x3dfffd51,0x7ffffe41,0xaaaaaaab,0x326fffda,0xedefffff,0xffffffff,
    0xfffffd86,0xefffffff,0xfffe9800,0xffffffff,0x7fe4004f,0xffffffff,
    0xffffffff,0x3ff66fff,0xffffffff,0xffffffff,0x3ffff606,0xc82fffff,
    0xb07fffff,0xffffffff,0xffffffff,0x4cdfffff,0xfffffffe,0xfffb00ef,
    0x25ffffff,0xfffffffa,0xfe880eff,0xffffffff,0xffffffd1,0xffffffff,
    0x744dffff,0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0xfffd804f,
    0xffffffff,0xf3000fff,0xffffffff,0xffffffff,0x26dfffff,0xffffffff,
    0xffffffff,0xff300dff,0xffffffff,0x3ffffa0d,0xfffff987,0xffffffff,
    0xffffffff,0x3ffff20f,0x83ffffff,0xfffffffa,0xfffd6fff,0x7fffffff,
    0xffffff70,0x3fabffff,0xffffffff,0xffffffff,0x7fffcc6f,0xffffffff,
    0x3e22ffff,0xffffffff,0x803fffff,0xfffffffc,0x0fffffff,0xfffff100,
    0xffffffff,0xffffffff,0x3fffe2df,0xffffffff,0x403fffff,0xfffffff8,
    0xff505fff,0xfff10fff,0xffffffff,0xffffffff,0xfffb819f,0x2fffffff,
    0xffffff98,0xffb5ffff,0xffffffff,0xfffff505,0x3abfffff,0xffffffff,
    0xffffffff,0xffc886ff,0xfbffffff,0xfda83eff,0xffffffff,0xd91003ef,
    0xffffffff,0xa8005bff,0xfffffffd,0xffffffff,0x2a6fffff,0xfffffffd,
    0x0adeefff,0xffffb700,0x6c019dff,0xfb707fff,0xffffffff,0x79dfffff,
    0x3ffb2203,0x203effff,0xffffffdb,0xffd910ce,0x407dffff,0xffffffeb,
    0xffffd0ce,0xffffffff,0x0dffffff,0x0d665d44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00aa0000,0x00002a80,0x50000000,0x6654c005,0x0001abcd,0x599b9530,
    0x95300003,0x1000159b,0x98013333,0x20019999,0x1bcddca9,0x32a20002,
    0x8000acdd,0x372a1999,0x166e540b,0x9ffb0000,0x7fffb000,0x00000000,
    0x17ffee00,0xfffffdb8,0x01dfffff,0xffffc880,0xdbefffff,0xfff7004f,
    0x1bffffff,0xffffeb80,0xffffb04f,0xea801fff,0xffffffff,0xa801efde,
    0xfffffffd,0x7ec402df,0xffeaffff,0xffe99eff,0x0001ffff,0x4007fff8,
    0x2efffff8,0x00000000,0xfffffd50,0xfffffb01,0xffffffff,0x7fd4005f,
    0xffffffff,0x00ffffff,0x3fffffaa,0x3fffffff,0xffffff10,0xffff509f,
    0x2201ffff,0xfffffffe,0x4fffffff,0x3ffff620,0xffffffff,0xffff700d,
    0xffffffff,0xffffffff,0x40001fff,0x000ffff8,0x7ffffffc,0x0000001e,
    0xffffd300,0x3ffa0fff,0xffffffff,0x801fffff,0xfffffffc,0xffffffff,
    0xfff702ff,0xffffffff,0xf10dffff,0x09ffffff,0xfffffff5,0xfffd101f,
    0xffffffff,0x220dffff,0xfffffffe,0xefffffff,0xfffffb80,0xffffffff,
    0xffffffff,0x220006ff,0x4000ffff,0xffffffe8,0x000000df,0xffffb100,
    0x3201dfff,0xceffffff,0x5fffffdc,0x7ffffd40,0xfffecdef,0x983fffff,
    0xefffffff,0xffffffdc,0xfffeb83f,0xfffb04ff,0xf901ffff,0x9bdfffff,
    0xfffffffd,0x3fffffa0,0xfffedcef,0xfd886fff,0xcfffffff,0xeffffffe,
    0x00ffffec,0x1ffff100,0x3ffea000,0x00cfffff,0xf9100000,0x5fffffff,
    0x01359500,0x103ffff4,0x01dffffd,0x3ffffee6,0x7ffffc43,0xffc980ae,
    0xfb100fff,0xfa8809ff,0xffd80fff,0xfd500aef,0xfff90dff,0x3ee209ff,
    0x3e04ffff,0x3e24ffff,0x3e25ffff,0x10001fff,0x0001ffff,0xffffffb8,
    0x000003ff,0x7fffffdc,0x000003ff,0x201ffff3,0x004ffffc,0xd85ffff7,
    0x800effff,0x205ffffc,0x8804fffd,0xfe80ffff,0xff8805ff,0x7fffc44f,
    0xfff9801f,0xffff00ff,0x0bffff0b,0x0005ffff,0x003fffe2,0x3fff2200,
    0x002effff,0x7fff5400,0x000cffff,0x2f2ea620,0x1ffff9aa,0x00bffff0,
    0x7c1fffe8,0x2000efff,0xb01ffffc,0xf1009fff,0xffb01fff,0x20357dff,
    0xfffb81b8,0x3fe6002f,0xffff04ff,0x05ffff03,0x0005ffff,0x003fffe2,
    0xfffd9800,0x001effff,0x7ffff4c0,0x0001dfff,0x3fffff66,0xffffffff,
    0x1ffff881,0x237fd400,0xeeeffff8,0xeeeeeeee,0x02ffffee,0x1009fffb,
    0xf501ffff,0xffffffff,0xfe8037bd,0xfc8005ff,0xffff06ff,0x05ffff03,
    0x0005ffff,0x003fffe2,0x3ffaa000,0x00dfffff,0x7fffec40,0x0002efff,
    0x3fffff62,0xffffffff,0xfffa81ff,0x50310007,0xffffffff,0xffffffff,
    0x209fffff,0x8804fffd,0xf900ffff,0xffffffff,0x3e03dfff,0xa8002fff,
    0xfff07fff,0x5ffff03f,0x405ffff0,0xbaaaaaa8,0xaaabffff,0x40000aaa,
    0xfffffffa,0x7e4400cf,0x2fffffff,0x7ff44000,0xffffffff,0x81ffffff,
    0x0006fffb,0x7ffffdc0,0xffffffff,0xffffffff,0x09fffb05,0x01ffff10,
    0x7fffff54,0x3fffffff,0x00ffffc4,0x07fffc40,0x7c0ffffc,0xfff82fff,
    0xffffb02f,0xffffffff,0xffffffff,0xff70000b,0x07ffffff,0x3fffffee,
    0xd00003ff,0xdfffffff,0xffffffdd,0xdfff703f,0xffa80000,0xffffffff,
    0xffffffff,0xffb06fff,0xfff1009f,0xdb75001f,0xffffffff,0x7fffc4bf,
    0xfff98002,0x1ffff80f,0xf82ffff8,0xff882fff,0xffffffff,0xffffffff,
    0x0000ffff,0xfffffe88,0xffd10eff,0x01dfffff,0x3ffee000,0xf3100cff,
    0xff303fff,0x980000ff,0xcccdffff,0xcccccccc,0xb03ccccc,0xf1009fff,
    0x80201fff,0xfffeca98,0x3fffe0ff,0xfffb8004,0x03ffff07,0xff05ffff,
    0x3ffa05ff,0xffffffff,0xffffffff,0x980006ff,0xfffffffd,0x7fff4c1e,
    0x001dffff,0x1ffffd80,0x1ffff880,0x005ffff0,0x6ffff800,0x3f600000,
    0xff8804ff,0x37f440ff,0x7ffff300,0x00ffffec,0x0bffff30,0x3e07fffe,
    0xfff82fff,0xddd9302f,0xffffdddd,0x7bdddddd,0x7e440003,0x2effffff,
    0x7ffff540,0x0000cfff,0x200ffffe,0x01ffffd9,0x003ffffd,0x7ec4fd88,
    0x00005fff,0x80dfffb0,0x40ffffea,0x2003fffb,0x3e66fffd,0x8800ffff,
    0xf02ffffe,0xfff03fff,0x5ffff05f,0x3ffe2000,0x7000000f,0xffffffff,
    0xfffb8007,0x003fffff,0x01dffff0,0xfffffb51,0xfff7017f,0xc88019ff,
    0x3e22ffff,0x401dffff,0x01efecb9,0x503ffff7,0x5ffffffd,0x1effffd8,
    0x3fffee20,0x7fffff44,0x3fffee04,0xffff306f,0x07ffff07,0x0007ffff,
    0x003fffe2,0xffff5000,0x0019ffff,0x3ffff220,0x4002ffff,0xdffffffd,
    0xffffffed,0x41efffff,0xfffffffc,0xfffedcde,0x7d42ffff,0xdeefffff,
    0xfffffeec,0xfff304ff,0xfffdbdff,0xffffffff,0x3fffffa3,0xfeecdeff,
    0x442fffff,0xefffffff,0xfffffedd,0x7ff440ff,0x3e2fffff,0x3e2fffff,
    0x002fffff,0x007fffc4,0xfffea800,0x000dffff,0xffffb100,0x2005dfff,
    0xfffffff8,0xffffffff,0x84ffffff,0xfffffffd,0xffffffff,0xffc80eff,
    0xffffffff,0xffffffff,0x3ffffa04,0xffffffff,0xb5ffffff,0xffffffff,
    0xffffffff,0x3ffe609f,0xffffffff,0xc81fffff,0xffffffff,0x3fffffe6,
    0x3fffffe6,0x7ffc4006,0x6cc0000f,0xefffffff,0xd3000001,0xbfffffff,
    0xffff3003,0xffffffff,0xffffffff,0xffffb107,0xffffffff,0x5401dfff,
    0xfffffffe,0xffffffff,0x3ffa201e,0xffffffff,0x4fffffff,0xfffffff7,
    0xffffffff,0xffd8809f,0xffffffff,0xff700dff,0x4bffffff,0x25ffffff,
    0x05ffffff,0x07fffc40,0xfffc8800,0x002effff,0xffd50000,0x019fffff,
    0xfffffd88,0xff9befff,0x200cefff,0xffffffd9,0x01cfffff,0x3fffff20,
    0xceffffff,0xfffb1002,0xf37dffff,0x2219dfff,0xffffccfc,0x0cffffff,
    0x3ffb2a00,0x02ceffff,0xeffffeb8,0x3bfffe0c,0x3bfffe1c,0x7fc4001c,
    0xfb8000ff,0x3fffffff,0x70000000,0xffffffff,0x99951007,0x80000357,
    0xbcccca98,0x2600009a,0x19abccba,0x65d44000,0x300000ab,0x13579995,
    0xcca88000,0x0000000a,0xf1000000,0xd8001fff,0xcfffffff,0x00000000,
    0x7ffffe44,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fffe20,0xffffff10,0x0000001b,0xfffd8800,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x017ffa00,
    0x07bfffa0,0x00000000,0x0dfffd30,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe9800000,0xdd98001d,0x00000002,0x0eed4000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33310000,0x55ee5cc1,0x4ccc4000,0x99998001,0x19998800,
    0x00999980,0x0cccccc4,0x4cccccc0,0x99999800,0x1bdca881,0x33333310,
    0x33333333,0x08800333,0x004c0000,0x66665cc0,0xcccccccc,0x1bcccccc,
    0x20ccccc4,0x00199998,0xffffd900,0xfffffd39,0xfd5009ff,0x01bfffff,
    0x7ffffec4,0xffeb81ef,0xfd84ffff,0x42efffff,0xffffffe9,0xfffd84ff,
    0x42efffff,0xffffffd8,0xffff910f,0xffe81bff,0xffffffff,0x0fffffff,
    0x007ff700,0x001ba200,0xfffffff9,0xffffffff,0x9fffffff,0x23ffffd4,
    0x00fffffa,0x7fffcc00,0xffffffff,0x01efffff,0x3ffffffa,0x3ff203ff,
    0x46ffffff,0xfffffff8,0x3ffea2ff,0x6c7fffff,0xffffffff,0x3ffea2ff,
    0x6fffffff,0x7fffffdc,0xffffb8ff,0x746fffff,0xffffffff,0xffffffff,
    0xdfff000f,0x3ff60000,0x3fffe005,0xffffffff,0xffffffff,0x3fe67fff,
    0x7ffc47ff,0xf980007f,0xffffffff,0xffffffff,0x3fffa06f,0x203fffff,
    0xfffffffb,0x7fffc46f,0x261fffff,0xffffffff,0x7ffffec7,0x261fffff,
    0xffffffff,0x7ffdc6ff,0xffdfffff,0xffffffff,0x3ffffa3f,0xffffffff,
    0x800fffff,0x0007fff8,0x03ffffc8,0xffffffb0,0xffffffff,0xffffffff,
    0x86ffff8b,0x0006ffff,0xffffff90,0xffbbffff,0x2a07ffff,0xdffffffe,
    0x7ffff400,0xffb81eff,0xd84fffff,0x2effffff,0x7ffffecc,0xffd84fff,
    0x2effffff,0x7ffffec4,0xffffffff,0x23ffffdd,0xfffffffe,0xffffffff,
    0xfff3006f,0x7dc0001f,0x802fffff,0xeeeeedb8,0xeeeeeeee,0x0bdeeeee,
    0x7427fff4,0x00005fff,0x77ffffec,0x6fffe981,0x237ffe40,0x740ffff8,
    0xfc805fff,0x220effff,0x03fffffe,0x03ffffa8,0x0bffffc8,0xffffa980,
    0x261dffff,0x3ffa0efc,0xb99999cf,0x00efffff,0x01ffff30,0x3fffe600,
    0x0001ffff,0x3f600000,0xfffd83ff,0x7ec00004,0x7dc05fff,0x7fd407ff,
    0x7fffdc7f,0x017fffc3,0xffffffa8,0xffffff99,0x3fffa002,0x6ffff806,
    0x7fffcc00,0x20203fff,0xf981fffc,0xc80effff,0xfff31cef,0x0ffb261f,
    0xffffff88,0x0000efff,0xff900000,0x5fff905f,0xffd80000,0xfff9805f,
    0x3ffe200f,0x3ffffa1f,0x03fffe66,0xfffff980,0x1fffffff,0x7fffd400,
    0x3fffee03,0x7ffcc002,0x98001eff,0xfff986ff,0xff980eff,0xfffdefff,
    0xffffffdf,0xffffe880,0x06ffffed,0x70000000,0xff703fff,0xd800003f,
    0xf8804fff,0x7f400fff,0xffff33ff,0x3ffee3ff,0xffe88007,0x0effffff,
    0xdfffd000,0x037fff40,0x6ffffcc0,0x20a20000,0x0efffff9,0xffffff50,
    0xffffffff,0xfb03ffff,0x3fa2dfff,0x2a204fff,0xaaaaaaaa,0xaaaaaaaa,
    0xffa80aaa,0x0fffa80f,0x7fec0000,0xfff8804f,0x7ffe400f,0xffffff95,
    0x017fff69,0x7ffff440,0x20000dff,0xa82ffffa,0x8002ffff,0x000ffff9,
    0xffff9800,0x7fec00ef,0xffffffff,0x84ffffff,0x20effffc,0x83fffff9,
    0xfffffffb,0xffffffff,0x3fffffff,0xf883ffcc,0xd800007f,0xf8804fff,
    0x7d400fff,0xffff8fff,0xfff8ffff,0xfb10003f,0x00bfffff,0x0dfffd00,
    0x000dfffd,0x003fffe6,0xffff3000,0x366001df,0xffffffff,0xa81cffff,
    0xa81fffff,0x7c2fffff,0xffffffff,0xffffffff,0x87ffffff,0x1bfe06ff,
    0x3ff60000,0xfff8804f,0x7ffc400f,0xffffffcf,0x1ffffcff,0xfffe8800,
    0x00efffff,0x3fffea00,0x0ffffea2,0x7fffcc00,0x3e600000,0x000effff,
    0xfffffd30,0xfff803bf,0x3fee02ff,0x3ffa0fff,0xffffffff,0xffffffff,
    0xfe86ffff,0x0017f604,0x13fff600,0x03fffe20,0x3fffffa0,0xffffdeff,
    0x98007fff,0xfffffffe,0x0001efff,0xfe9bfffa,0x260007ff,0x0000ffff,
    0xdfffff30,0x7fcc0001,0x00ffffff,0x00ffffea,0x98bffff2,0xffffffec,
    0xffffffff,0x81ceffff,0x032600c9,0x3ff60000,0xfff8804f,0xfffc800f,
    0xffabffff,0x005fffff,0x7fffffcc,0xffffffa9,0xfff70001,0x7ffff55f,
    0x7ffcc000,0xfa80000f,0x500effff,0xfffe8039,0x205fffff,0x2004fff8,
    0x00007ffd,0x00000000,0x7ffec000,0xffff8804,0xffffa800,0xffff0fff,
    0x54007fff,0x20efffff,0x2ffffff9,0xdffff000,0x000ffffd,0x00ffff98,
    0x7fffd400,0x3ffea05f,0xbffff900,0x407ffffb,0xbb8003c9,0x05ee5400,
    0x33333000,0x33333333,0x00033333,0x6ffff4c0,0x7fffd401,0xffff8802,
    0x3fff25ff,0xb8801fff,0x80ffffff,0xcffffff8,0x7ffdc000,0x003fffff,
    0xfffbaa88,0x1aaaaabf,0xfffffa80,0xaaaaaabf,0xf982fffd,0xff88efff,
    0x00000fff,0xfffe9800,0x40cc03ff,0xffffffff,0xffffffff,0xf980007f,
    0xffffffff,0x7ffffcc0,0x7fc01fff,0x3e62ffff,0x400fffff,0xfffffffb,
    0x3ffa20ef,0x03ffffff,0x7fffffc0,0x3a2000ff,0xffffffff,0xffffffff,
    0xfffff103,0xffffffff,0x909fffff,0x7d43ffff,0x00003fff,0x7fffd400,
    0xf705ffff,0xfffff8bf,0xffffffff,0x0007ffff,0xffffffd8,0x7fec4fff,
    0x05ffffff,0x43ffffec,0x806ffffe,0xffffffff,0x3ffea3ff,0x07ffffff,
    0x7ffffdc0,0x7fe4003f,0xffffffff,0x7fffffff,0xffffff30,0xffffffff,
    0xf509ffff,0xfff907ff,0x40000003,0xfffffff9,0x3ee0dfff,0x3ffe1fff,
    0xffffffff,0x07ffffff,0xffffc800,0x643fffff,0xffffffff,0x7fffdc03,
    0x4ffffa84,0xfffffe80,0x3e61ffff,0xffffffff,0x7ffc4006,0x5c000fff,
    0xffffffff,0xffffffff,0xffff306f,0xffffffff,0x09ffffff,0x2db80f6e,
    0x74000000,0xffdeffff,0xffb9efff,0x666647ff,0xcccccccc,0x004ccccc,
    0xfffec880,0x6440ceff,0x0ceffffe,0x0ffffc40,0x802ffff8,0xffffffc9,
    0xfffdb83d,0x8001dfff,0x004ffffc,0xfffffd70,0xffffffff,0x3fe603bf,
    0xffffffff,0xffffffff,0x00000004,0x7ffcc000,0xffff50df,0x7fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x42fffc00,0xfffffff9,0x555104ff,0x55555555,0x55555555,
    0x00155555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74409930,0x84ffffff,0xffffffe8,0xffffffff,0xffffffff,
    0x001effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9ffd7000,0x3fffee05,0xffffffff,0xffffffff,0xffffffff,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04000000,0x7ffffd40,0xffffffff,0xffffffff,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffd7,0xffffffff,0xffffffff,0x00019dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_49_usascii_x[95]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,7,2, };
static signed short stb__courier_bold_49_usascii_y[95]={ 36,7,9,6,5,8,11,9,8,8,8,11,30,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,11,17,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,5,8,7,44,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,19, };
static unsigned short stb__courier_bold_49_usascii_w[95]={ 0,8,16,22,20,20,20,6,11,10,20,24,10,20,
8,20,20,20,21,21,20,21,20,20,20,20,8,11,26,26,26,19,19,28,25,24,24,24,24,25,26,20,25,27,
24,28,27,26,23,26,27,22,24,26,28,28,26,26,20,11,20,11,20,30,10,24,26,23,26,23,22,25,26,22,
17,24,22,29,24,24,26,26,23,20,23,25,27,28,26,26,20,12,6,12,22, };
static unsigned short stb__courier_bold_49_usascii_h[95]={ 0,30,13,35,37,29,26,14,35,35,19,25,13,5,
7,36,30,29,29,30,28,29,30,29,30,30,21,25,25,13,25,28,33,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,34,26,28,26,27,26,26,26,26,26,35,36,35,15,5,8,21,29,21,29,21,28,30,28,28,
38,28,28,20,20,21,30,30,20,21,27,21,20,20,20,30,20,35,35,35,10, };
static unsigned short stb__courier_bold_49_usascii_s[95]={ 253,71,224,89,19,223,233,247,138,162,155,
1,240,220,247,40,232,202,1,49,122,98,134,50,1,155,241,244,53,197,26,
51,212,183,128,97,75,50,25,71,213,192,170,136,111,154,100,1,1,185,164,
28,28,143,53,82,1,220,212,173,61,150,176,220,240,80,71,105,23,129,120,
176,143,170,1,193,218,225,1,200,107,22,110,179,196,153,82,26,55,80,134,
112,82,125,197, };
static unsigned short stb__courier_bold_49_usascii_t[95]={ 1,40,210,1,1,40,157,101,1,1,210,
184,130,224,116,1,1,40,71,40,101,71,40,71,40,40,71,40,184,210,184,
101,1,157,157,101,157,157,157,101,130,130,101,130,130,157,157,101,157,1,130,
101,130,101,130,130,130,101,157,1,1,1,210,230,144,184,71,184,71,184,71,
40,71,71,1,71,71,184,210,184,40,40,210,184,101,184,210,210,210,40,210,
1,1,1,224, };
static unsigned short stb__courier_bold_49_usascii_a[95]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_49_usascii(stb_fontchar font[STB_FONT_courier_bold_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_49_usascii_s[i] + stb__courier_bold_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_49_usascii_t[i] + stb__courier_bold_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_49_usascii_x[i];
            font[i].y0 = stb__courier_bold_49_usascii_y[i];
            font[i].x1 = stb__courier_bold_49_usascii_x[i] + stb__courier_bold_49_usascii_w[i];
            font[i].y1 = stb__courier_bold_49_usascii_y[i] + stb__courier_bold_49_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_49_usascii_s[i] + stb__courier_bold_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_49_usascii_t[i] + stb__courier_bold_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_49_usascii_x[i] + stb__courier_bold_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_49_usascii_y[i] + stb__courier_bold_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_49_usascii_LINE_SPACING
#endif

