// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT        254
#define STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_50_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_50_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_50_usascii_LINE_SPACING          23

static unsigned int stb__courier_bold_50_usascii_pixels[]={
    0x3ffff200,0x01000005,0x00017500,0x04000000,0x00300110,0xca800600,
    0x0b7220ce,0x500159d7,0xddddddd9,0x77777745,0x44000bde,0x00abdcb9,
    0x2aea2000,0x002ea000,0x32000544,0x0005ffff,0x001efd80,0x5c00fff7,
    0x000002ff,0x3ea1bfe6,0x1fff304f,0x1bfea000,0x97ffff20,0xff51fffd,
    0x7cc01dff,0xffffffff,0x3fffffe3,0x32004fff,0xffffffff,0x3f20001e,
    0x01efffff,0x80ffffea,0x004fffe8,0x017ffff2,0x9fff7000,0x07fff600,
    0x03fffe20,0x7fec0000,0x07fff42f,0x0037ffe4,0x017fffc4,0x4ffffff9,
    0xff92fffe,0x2a01dfff,0xffffffff,0x3ffffe3f,0xa806ffff,0xfffffffe,
    0x000cffff,0x3fffff62,0xfd01ffff,0x7e40ffff,0x9001ffff,0x000bffff,
    0x05ffff80,0x007ffff0,0x007ffff1,0x3fffa000,0x07fffe24,0x00fffff2,
    0x05ffffb0,0x3fffffea,0x4cffffe4,0x05ffffff,0xfffffff1,0x7fffc7ff,
    0x403fffff,0xfffffffc,0xffffffff,0xfffe8801,0xffffedff,0x7ffffcc2,
    0xffffd02f,0x3bae007f,0x200004ee,0x802ffffb,0x01dffffa,0x007fffe8,
    0x7fffd000,0x40ffffcc,0x00fffff8,0x0fffff30,0x16ffffe4,0xc88ffffe,
    0x4c07ffff,0x3ffffccb,0x3337fffe,0x7ffdc00a,0xfeddffff,0x806fffff,
    0x4c1dfffd,0x7fd47ffe,0xf904ffff,0x0003ffff,0x3fa00000,0x3f2206ff,
    0xffffffff,0x7fd40dfd,0x800003ff,0x3e63ffff,0xffb00fff,0x3f6009ff,
    0x3fa03fff,0xffff05ff,0x3ffff307,0x1ffffc00,0x4005ffff,0x1efffff9,
    0xfffffb88,0x17ffe604,0x2a1fff88,0x03ffffff,0x009fffd1,0x2a000000,
    0xd303ffff,0xffffffff,0xd07fffff,0x0000dfff,0x545ffff0,0xf300ffff,
    0x9801ffff,0x200fffff,0xff03ffff,0xfff107ff,0x7ffc005f,0x0bfffe3f,
    0x5ffffe80,0xfffff980,0x01dffb02,0x3e63ffc8,0x403fffff,0x00000028,
    0x3ffff400,0xffffff88,0xffffffff,0xffffb86f,0x3e200002,0x3fea2fff,
    0x7ffec07f,0x7ffe404f,0x7fffc04f,0x07ffff03,0x005ffff1,0xff1ffffc,
    0x3f2005ff,0x22004fff,0x4c0fffff,0xfa802fff,0x3fffe25f,0x260002ff,
    0xcccccccb,0x00cccccc,0x7ffff300,0x3fffff20,0xffffeeef,0xffff07ff,
    0x7c40000d,0x3fee1fff,0x7ffd407f,0xfff100ff,0xfff801ff,0x7ffff03f,
    0x05ffff10,0xf1ffffc0,0xf1005fff,0x7000dfff,0xfb89ffff,0xff9800ff,
    0x7fffffc7,0xfff90001,0xffffffff,0x0003ffff,0x203ffff6,0x03fffff8,
    0x20dffff7,0x001ffffb,0x3ffff300,0x4037ffdc,0x902ffffe,0xf009ffff,
    0x3fe07fff,0xfff883ff,0x3ffe002f,0x0bfffe3f,0x0bfffe60,0x2ffff400,
    0x5401bff2,0x7fffc7ff,0xff0000ff,0xffffffff,0x03ffffff,0x9ffff300,
    0x13fffe60,0x209fff30,0x005ffff8,0x1ffff300,0x4037ffe4,0xf06ffffa,
    0xf001ffff,0x3fe07fff,0xfff883ff,0x3ffe002f,0x0bfffe3f,0x01bffee0,
    0x47fffa80,0x36e05ffe,0x7f47ffff,0x0000ffff,0xfffffffb,0xffffffff,
    0xfffb0003,0x3ffea01f,0x1ffd800f,0x07ffff20,0x7f764c00,0xffeeefff,
    0x203defff,0xf987fffe,0xff005fff,0x3ffe07ff,0xffff883f,0x3fffe002,
    0x00bfffe3,0x0017fff2,0x20ffff98,0xfe983fff,0x6c7fffff,0x0007ffff,
    0x3bbbb6e2,0xfffeeeee,0x7fc4001f,0x3fe605ff,0x001002ff,0x00bffff1,
    0xffffff10,0xffffffff,0x205fffff,0x541ffffd,0xf003ffff,0x3fe07fff,
    0xfff883ff,0x3ffe002f,0x0bfffe3f,0x00ffffa0,0x45ffff00,0x7fd41fff,
    0x47ffffff,0x006ffffd,0xfff10000,0xffc8003f,0x3fe201ff,0x0000bfff,
    0x01ffffb0,0xfffffa80,0xffffffff,0x04ffffff,0xb85ffff9,0xf002ffff,
    0x3fe07fff,0xffff03ff,0x7fffc005,0x00bfffe3,0x000bfffe,0x227fffd0,
    0x3fe20fff,0x7ffaacff,0x837fffe4,0x00aaaaa8,0x3ffff100,0x7fffc400,
    0xffffc805,0x001bceff,0x09ffff30,0xffffff00,0xffffffff,0x203fffff,
    0x6c3ffffa,0xa801ffff,0xff02ffff,0x3ffe07ff,0xfff000df,0x17fffc7f,
    0x017fffc0,0x4ffffa00,0x3f20fff8,0x1ffe62ff,0x20bffff7,0x006ffffb,
    0x07fffe20,0x1ffffb80,0xfffff880,0x2cffffff,0x7fffec00,0xfeb98000,
    0xffccceff,0x200acdff,0x744ffff9,0x7dc07fff,0xf00fffff,0x3f607fff,
    0x400dffff,0x3fe3ffff,0xfff802ff,0x7fc0003f,0x1fff12ff,0x3e62fff4,
    0x7fffd47f,0x3ffffd04,0x7ffc4000,0x3ffe001f,0x3fa2006f,0xffffffff,
    0xf3000dff,0x40007fff,0x7fc5fffd,0xff1002ff,0xffff8dff,0x3fffea06,
    0x3ffe04ff,0xffff303f,0xfff80bff,0x0bfffe3f,0x017fffa0,0x1ffff980,
    0x3e21fff1,0x3ffcc1ff,0x213fffea,0x004ffff8,0x0ffffc40,0x2ffffb80,
    0xfffeb800,0xffffffff,0xffffd000,0x7fff4000,0x07fffe24,0x27ffff80,
    0x205ffff9,0x1ffffffb,0x80ffffe0,0x06fffffe,0xff1ffffc,0xffb005ff,
    0x7d4000df,0x3ffe27ff,0xf30bffe0,0xffff98ff,0x0ffffb83,0x7ffc4000,
    0xfffd001f,0xcb88000d,0xfffffffe,0xffff5006,0x3ffa0007,0x3fffe23f,
    0x3fffa001,0x9ffff30f,0x7ffffc40,0x3fffe06f,0xfffff703,0xffff807f,
    0x00bfffe3,0x00bfffea,0x137fff40,0x7ff41fff,0x223ffcc5,0xfd82ffff,
    0x880002ff,0xa801ffff,0x0003ffff,0xffffca80,0xfffd002f,0x3ffe000d,
    0x3fffe63f,0x3fffe000,0x17fffe27,0xffffd710,0x0ffffe03,0x0e7ffff4,
    0xf1ffffc0,0x3e005fff,0x4000ffff,0x223ffffb,0x3fee0fff,0x7ff98bdf,
    0xf887ffd8,0x100005ff,0xd003ffff,0x0800ffff,0x7fffcc00,0xffff7004,
    0xf9951005,0xfb99bfff,0x80379fff,0x7c5ffff8,0xf1007fff,0x3fe05fff,
    0xffff03ff,0x7fffc007,0x00bfffe3,0x02ffffdc,0x0dffff30,0xffe83fff,
    0x1fffffff,0x7d416ecc,0x100000ff,0xa803ffff,0x2003ffff,0x36001ffc,
    0x3e005fff,0xfe806fff,0xffffffff,0xffffffff,0x3ffe602f,0x7ffff44f,
    0x7ffff000,0x40ffffe0,0x2002ffff,0x3fe3ffff,0xff1002ff,0xb801bfff,
    0xe82fffff,0x7ff442ff,0x06ffffff,0x001ffec0,0x3ffff100,0x0ffffd80,
    0x0dfff100,0x037ffec0,0x05ffff70,0x7fffffcc,0xffffffff,0x205fffff,
    0x6c3ffffb,0xf001ffff,0x3fe07fff,0xfff883ff,0x3ffe002f,0x0bfffe3f,
    0xfffffa80,0x7fecc0af,0xff905fff,0x3ffff207,0x7c003fff,0x4400006f,
    0x2601ffff,0x2004ffff,0x802ffffa,0x004ffff9,0x01bfffe2,0xffffffff,
    0xffffffff,0x7e407fff,0x7fdc1fff,0xfff002ff,0x3fffe07f,0x2ffff883,
    0x8ffffe00,0x4002ffff,0xfffffffb,0xffffffef,0x9ff700ef,0x09999880,
    0x00ffcc00,0x3ffe2000,0x3fff601f,0x3fea000f,0x3aa04fff,0x4002ffff,
    0x201ffffc,0xffffedb9,0xfffffeee,0x7fec02ce,0x7ffd40ff,0xffff003f,
    0x0ffffe07,0x00bfffe2,0x3e3ffff8,0xc8002fff,0xffffffff,0x0dffffff,
    0x001bfe60,0x000dc000,0x7fffc400,0x9ffff101,0xffffa800,0xecccefff,
    0x006fffff,0x05ffff88,0xc8ffff50,0xf1005fff,0xff30ffff,0x3fe00dff,
    0xffff03ff,0x5ffff107,0x1ffffc00,0x0005ffff,0x3fffffa6,0x04ffffff,
    0x002fff88,0x002dc980,0x3fe20000,0xfff901ff,0xffa8003f,0xffffffff,
    0x1fffffff,0xffff9000,0xffff7003,0x005fffd8,0x209ffff9,0x802ffffe,
    0xff03ffff,0xfff107ff,0x7ffc005f,0x0bfffe3f,0xffff9000,0x0039ffff,
    0x00037ff4,0x00bfffe2,0x7fc40000,0xfff881ff,0xff88005f,0xffffffff,
    0x02ffffff,0x3fffe600,0x6fffb804,0x4027ffec,0x00fffff8,0x00dffff7,
    0x3e07ffff,0xff883fff,0x3fe002ff,0x3fffe3ff,0x3fa20002,0x401dffff,
    0x07fff501,0xfff50530,0x000000bf,0x207fffe2,0x001ffffc,0xfffbffd0,
    0xbfffffff,0xffb00001,0xffc801ff,0x1ffff46f,0x2ffffdc0,0x3fffff10,
    0x03ffff80,0xf107ffff,0x7c005fff,0x3ffe3fff,0xfd10002f,0xbdffffff,
    0x3bff2237,0x04fffe80,0xf887ffb3,0x00002fff,0x1ffff500,0x06ffff88,
    0xf9304c00,0x0017dfff,0x7fffcc00,0x2fffe404,0x200ffffe,0x401fffff,
    0x405ffffc,0xff04fffe,0xfff507ff,0x7ffc003f,0x0bfffe3f,0x3fffe200,
    0xffffffff,0x3fffffff,0xdfffff98,0x4ffffedc,0x0001bb88,0x3fff6000,
    0x2ffffb87,0xfff00000,0x2000007f,0x200ffffe,0x7fc5fffd,0x7fdc02ff,
    0xff8806ff,0x3f201fff,0x7fc2dfff,0x3ff223ff,0x65cc07ff,0x3e3ffffc,
    0x0accdfff,0xfffffc80,0xffffffff,0x01ffffff,0xfffffff3,0x001dffff,
    0x26000000,0xff85ffff,0x000006ff,0x000ffffe,0x7fffd400,0x13fff603,
    0xe805ffff,0x9002ffff,0x4c0bffff,0x24ffffff,0xff33ffff,0x7c0bffff,
    0xffffffff,0x3fffffe3,0x7ec03fff,0xffffffff,0xffffffff,0x7fecc04f,
    0x0bffffff,0x22000000,0xfba99999,0x7d43ffff,0x00002fff,0x00ffffe0,
    0xfffe8000,0x8ffffa07,0x201ffff8,0x006ffffa,0x03ffffe2,0x7fffffb8,
    0x7e4bfffa,0x500fffff,0xffffffff,0x7ffffc7f,0x5406ffff,0xaaceffff,
    0xfffffeca,0x32a6002e,0x00002acc,0x7fff5400,0xffffffff,0x7fffe85f,
    0x7fc00000,0x000002ff,0x40ffffea,0x7f42fffc,0x7ffec07f,0x7fdc001f,
    0x7fe403ff,0x3fff65ff,0x3dffff51,0x7ffffc40,0x3fe3ffff,0x5fffffff,
    0x8801a880,0x00001ab9,0x20000000,0xffffffff,0x985fffff,0x0003ffff,
    0x0fffec00,0x3fa00000,0xbfd305ff,0xb805ff50,0xb0004fff,0x73003fff,
    0x16e4419b,0x5400f76e,0xeeeeeeec,0x3bbbbba2,0x00000bde,0x00000000,
    0x3fe00000,0xffffffff,0xfff105ff,0x5000000d,0x00000dff,0x009fff50,
    0x0f6e0000,0x02dc8800,0x00000000,0x00000000,0x00000000,0xb8000000,
    0xfffffffe,0x77dc01bd,0x30000001,0x40000005,0x00000ceb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00199998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01100000,0x04000000,0x00200000,0xcccb9800,
    0x65cc00ac,0x2000accc,0x0002acb8,0x4d65d4c4,0x4c400000,0x2000abca,
    0x0009aca8,0x0d65cc40,0xabb98000,0x005cc000,0x3ff72600,0x9970ceff,
    0x2e603799,0x36a3cccc,0x02cdfffe,0x7ff65400,0x33322def,0xffc81bcc,
    0x02ffffff,0xfffffffd,0x7fec401f,0x003fffff,0x7ffffe44,0x0001dfff,
    0x7ffffed4,0x7f6405ff,0x00cfffff,0x7ffff4c0,0x2000cfff,0xfffffec8,
    0x7fcc03ff,0xf70005ff,0xffffffff,0xfffffd9f,0xffffe8bf,0xfffeadff,
    0x0dffffff,0x7fff4c00,0xaeffffff,0x5fffffff,0x7ffffffc,0xfff985ff,
    0x04ffffff,0xffffffd1,0x3600bfff,0xffffffff,0x8004ffff,0xffffffe9,
    0xfb03ffff,0xffffffff,0xffb1005f,0xffffffff,0xffd3005f,0xffffffff,
    0x3fff603d,0x3a6001ff,0xffffffff,0xffffffff,0xff30ffff,0xffffffff,
    0xffffffff,0x32007fff,0xffffffff,0xffffffff,0x360fffff,0xffffffff,
    0xffffff03,0xfd105fff,0xffffffff,0x7f4409ff,0xffffffff,0x004fffff,
    0x3fffffee,0x45ffffff,0xffffffd8,0x01ffffff,0x7ffffff4,0x2fffffff,
    0x3ffffe60,0xffffffff,0xfffff81f,0xfff1003f,0xffffffff,0xffffffff,
    0xffff8dff,0xffffffff,0xffffffff,0x7fe403ff,0xffffffff,0xffffffff,
    0x7e446fff,0x203dffff,0xefffffc9,0xfffffd02,0xffffffdf,0x3fffee03,
    0xfffeefff,0xc801ffff,0xffffffff,0x6c2fffee,0xfeffffff,0x00ffffff,
    0xfffffff7,0xfffffffd,0xfffff501,0xfffffdff,0xfff90dff,0x3f6001ff,
    0xa9bdffff,0xffffffdb,0x5cc1bdef,0xfffffffe,0xfecabcef,0x501fffff,
    0x7bdfffff,0xfffffd75,0x017bdfff,0x00bfffee,0x807ffff4,0x21effffa,
    0x06ffffb8,0x03bffff9,0x0dffffb1,0xffffffb8,0x306e20bd,0x4c7fffff,
    0x84fffffc,0x0bfffff9,0x2fffff4c,0x177ffff4,0x27ffffd4,0x00fbff62,
    0x17ffffd4,0xffffff70,0x3fff2007,0x3a204fff,0x440effff,0x00dfffff,
    0xffffff91,0xffff1007,0xffff500d,0x77fff407,0x7ffff700,0x007fff30,
    0x201ffffd,0x0dfffffa,0x7fffe400,0xffffd101,0x3ffffb81,0x1ffffe20,
    0x80bffff3,0x107ffff8,0xfffe8003,0xfffa801f,0xff9003ff,0xd1005fff,
    0xfd87ffff,0xfb004fff,0x2007ffff,0x402ffffb,0x500ffffe,0xe805ffff,
    0x37306fff,0x3fffea00,0xfffff881,0xffff0004,0xffff9809,0x07fffec3,
    0x87ffff20,0x800ffffc,0x000ffffa,0x4ffff880,0x3ffff200,0xffff9003,
    0x7ffc400b,0x3ffff45f,0x3ffff600,0xffff1003,0x7fffd40d,0x1bfff603,
    0x07fffea0,0x7fffc000,0x5ffffc82,0xffff1000,0xdfffd003,0x804fffe8,
    0x2e3ffff8,0x3e003fff,0x80002fff,0x000ffff9,0x00ffffe6,0x017fffe4,
    0x89ffff20,0x4004ffff,0x003ffffa,0x40bfffee,0x200ffffe,0xf003ffff,
    0x00007fff,0x883ffff5,0x0006ffff,0x003fffe6,0xfb1fffee,0xff500dff,
    0x2fe445ff,0x5ffff300,0xfff70000,0xfff8800f,0xfff9003f,0xfff3000f,
    0x3fffea1f,0x7ffc4000,0x7ffc003f,0xffffb86f,0x17fffc03,0x04fffe80,
    0x7fff4400,0x2ffffb87,0x3ffe6000,0xfff9800f,0x3fffee0f,0x7ffff401,
    0xffd80000,0xb80000ff,0xf8006fff,0xf9003fff,0xf3000dff,0x3fea1fff,
    0x7c4000ff,0x5c003fff,0x7f43ffff,0x3e600fff,0xfb001fff,0x99800bff,
    0x5fffffb9,0x227fffe8,0x4400acb9,0xe801ffff,0x3e61ffff,0x3ea05fff,
    0x80006fff,0x006ffff8,0x1ffff500,0x7fffc400,0xffff9003,0xfffb8001,
    0x0bfffe26,0x7ffff500,0xdffff000,0x01ffffdc,0x801fffea,0x5006fffc,
    0xffffffff,0xffff01df,0xfffff919,0x7ffc03df,0x7ffdc03f,0x7ffec3ff,
    0xfdbaabff,0x0002ffff,0x27ffff44,0xfff88000,0x3fea002f,0xff9003ff,
    0x7cc00dff,0x7ff45fff,0xfd1000ef,0x70007fff,0x3fe7ffff,0x7d400fff,
    0x3f2007ff,0xfff006ff,0x1fffffff,0xd9ffff10,0xffffffff,0x3fffa07f,
    0xffff300f,0xfff889ff,0xffffffff,0x40004fff,0x0effffe8,0x3ffe0000,
    0xff8800ef,0xf9003fff,0x801bffff,0x43fffff9,0x00effffc,0x7fffff44,
    0xffff0003,0x07ffff7f,0x00ffff50,0x4037ffe4,0xfffffff8,0xfff306ff,
    0xffffffff,0x507fffff,0xa81bffff,0x5ffffffe,0xffffff98,0x05ffffff,
    0x7fffcc00,0x400001ff,0x405ffffc,0x3fffffd8,0xfffff900,0xfc9815ff,
    0xe886ffff,0x41cfffff,0xffffffb9,0xff70003f,0x1fffffff,0x0ffff500,
    0x037ffe40,0xffffffb8,0xff985fff,0xffffffff,0x0ffffffe,0xcfffffd8,
    0xffffffeb,0xfffb86ff,0xffffffff,0xf30000ef,0x403fffff,0x1001dfeb,
    0x05dfffff,0xfffffff5,0x3fff2007,0xffffffff,0xefffffff,0xfffff300,
    0xffffffff,0x07ffffff,0x7ffff400,0xf5003fff,0x7e400fff,0x2a2006ff,
    0xfffffedb,0x7ffffcc4,0xfb10bfff,0xff10bfff,0xffffffff,0x8dffffff,
    0xfffffffa,0x6fffffff,0xffffa800,0x3fee01ff,0xf5000fff,0xddffffff,
    0xffffffff,0x3ff2007f,0xffffffff,0xffffffff,0x7fffcc00,0xffffffff,
    0x03ffffff,0x3fffee00,0xf5000fff,0x7e400fff,0x6c0006ff,0x7c3fffff,
    0x206fffff,0xa81ffffd,0xffffffff,0x5fffefff,0x3fffffe6,0xfffda9ab,
    0x3ee005ff,0x401fffff,0x03fffffe,0x3fffff20,0xffffffff,0x9003ffff,
    0xfffddfff,0xffffffff,0x3fa6001b,0xffffffff,0x3ffffeff,0x7fff4000,
    0x3e6003ff,0xfb000fff,0x50000bff,0xfe8bffff,0x2201ffff,0xb103ffff,
    0xbfffffff,0x649ffff1,0x300dffff,0x003fffff,0x3dfffff9,0xfffffb00,
    0xfffa8005,0xffffffff,0x003fffff,0x3aabfff9,0xdfffffff,0xffd50001,
    0x23bfffff,0x0003ffff,0x07ffffdc,0x5ffff100,0x13fffa00,0x7ffec000,
    0x27fffec7,0x027ffec0,0x4b3bf72a,0x3a2ffffa,0xfa806fff,0x36202fff,
    0x00efffff,0x0dffff50,0x3fff6200,0xe8bfffff,0xf9003fff,0xba988bff,
    0x2200001a,0x7c09aba9,0x40003fff,0x003ffffb,0x003ffff8,0x0007ffff,
    0x87fffea0,0x9006fffc,0x8000dfff,0x3e27fffe,0xfb002fff,0x3fa209ff,
    0x000dffff,0x00016dc4,0x41acca98,0x9003fffe,0x0000bfff,0x3fe00000,
    0x220003ff,0x0007ffff,0x500dfffb,0x0003ffff,0x717fffc0,0x3200ffff,
    0x20006fff,0x265ffffd,0x9000ffff,0xff30dfff,0x0009ffff,0x40000000,
    0x002ffff8,0x000bfff9,0x3e000000,0x20003fff,0x003ffffc,0x05ffff50,
    0x006fffe8,0x3fffe600,0x0bfffe60,0x013fff60,0x7ffffe40,0x0bfffe20,
    0x227fff40,0x3ffffffb,0x00000000,0x7fffdc00,0xbfff9000,0x00000000,
    0x00ffffe0,0x3ffffc40,0x3fffe000,0x3fffee06,0x44001882,0xff85fffe,
    0x3ea00eff,0x4c003fff,0x83fffffd,0xa806fffe,0x3f22ffff,0x002fffff,
    0x016ff5c0,0x3fa20000,0x3f2006ff,0x000005ff,0xffff0000,0x33331007,
    0x009ffff9,0xeffffb80,0x37fffdc0,0x20177fdc,0x3ffffeb8,0xbeffffb8,
    0x7ffffd40,0x93105541,0x0bffffff,0x077ffff2,0x87ffffdc,0xdffffffc,
    0xaaaaaaaa,0x7fdc3fda,0x20000fff,0xb9999998,0x004fffff,0x33dfffb1,
    0x00000001,0xffff9988,0xfffd500c,0xffffffff,0x7f40009f,0xffefffff,
    0xfe83ffff,0xeeefffff,0xfffffffe,0xfffff00f,0xffffddff,0xfffe89ff,
    0xffffffee,0x3fe605ff,0xeeefffff,0x26ffffff,0xfffffffc,0xffffffff,
    0x3fa0ffff,0x8003ffff,0xffffffd9,0x0effffff,0x7ffff5c0,0x03efffff,
    0x7e400000,0xffffffff,0x7fff42ef,0xffffffff,0x30000fff,0xffffffff,
    0x3a09ffff,0xffffffff,0xffffffff,0x3ffe602f,0xffffffff,0x3fe60eff,
    0xffffffff,0xfb804fff,0xffffffff,0x20ffffff,0xfffffffc,0xffffffff,
    0x3f62ffff,0x8001ffff,0xfffffffd,0x00efffff,0x7fffffc4,0x0fffffff,
    0xf3000000,0xffffffff,0xffe8ffff,0xffffffff,0x0001ffff,0x3fffffea,
    0x2604ffff,0xffffffff,0xffffffff,0xffffa802,0xefffffff,0xfffffe81,
    0x00dfffff,0x3ffffee0,0xefffffff,0x7ffffe41,0xffffffff,0x23ffffff,
    0x006ffff9,0xffffffb0,0x01dfffff,0xffffff10,0x1fffffff,0x26000000,
    0xffffffff,0x7547ffff,0xffffffff,0x0004ffff,0xfffffe98,0xeb8803ef,
    0xffffffff,0x2000ceff,0xffffffc8,0x3fe603ff,0x1dffffff,0xffd93000,
    0x07bfffff,0x3ffffff2,0xffffffff,0x443fffff,0x260001cb,0xfffffffe,
    0x7e4001be,0xffffffff,0x000004ff,0x7ffffec0,0x03efffff,0x33333331,
    0x00000333,0x00159953,0x332eaa20,0x40000aac,0x09accba8,0x35797500,
    0xb9880000,0x000000ac,0x80000000,0x00999998,0x99998800,0x00000999,
    0x4cccc000,0x00009999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeeeed8,0xceeeeeee,0x6dc00002,
    0x202fffff,0x4fffffda,0xba800000,0x000001bc,0x3b2006a2,0xeeeeeeee,
    0xeeeeeeee,0x6e54002e,0x0acceefe,0x3fffee00,0x7fed4006,0x00004fff,
    0x00001a80,0x0dfffff0,0x3ffffffa,0xffffffff,0xf500001f,0x05ffffff,
    0x3fffffe2,0x2000004f,0xdfffffe9,0xd9300000,0xffb007ff,0xffffffff,
    0xffffffff,0x3ffaa007,0xffffffff,0xfff7003f,0x7fc400df,0x004fffff,
    0x27fec000,0x3fe60000,0xffd02fff,0xffffffff,0x007fffff,0x3ffff200,
    0xff502fff,0x009fffff,0x3ffe6000,0x00ffffff,0xfffdb980,0xfd803fff,
    0xffffffff,0xffffffff,0xfffb803f,0xffffffff,0xfb800fff,0x26006fff,
    0x4fffffff,0x7fc00000,0x5c00006f,0x3a06ffff,0xffffffff,0x0fffffff,
    0xfff30000,0x7405ffff,0x04ffffff,0xdffd0000,0x0bffd715,0x7ffff540,
    0x803fffff,0xfffffffd,0xffffffff,0x7cc03fff,0xffffffff,0x007fffff,
    0x00dffff7,0xffffffe8,0x26000004,0x0000ffff,0x07ffff60,0xccefffe8,
    0x1bcccccc,0xf5300000,0xa9805fff,0x0004fffe,0xd05ffb80,0xff1003ff,
    0xffffffff,0xfff9007f,0x9999999d,0x5ffffb99,0xfffffd80,0xffedcbbc,
    0xddd5003f,0xd530009d,0x00009fff,0x07fffcc0,0xffff0000,0x3fffe80b,
    0x00000000,0x2005ffff,0x0004fffd,0x702ffc80,0xff3005ff,0xffffffff,
    0xfff5007f,0x3ffee005,0x7fffc00f,0x00000006,0x4fffd800,0x3e600000,
    0x00000fff,0x803ffff5,0x0003fffe,0xfff00000,0x3ff6005f,0xd800004f,
    0x13fe207f,0x677fff40,0x003ffff9,0x7f4009d9,0x7fc406ff,0x000002ff,
    0xffd80000,0x2000004f,0x000ffff9,0x0bfff900,0x007fffd0,0xf0040000,
    0x36005fff,0x00204fff,0xb80ffe40,0x26a003ff,0x01ffffc0,0xfff98000,
    0x7ffcc03f,0x0000001f,0xfffd8000,0x22000104,0xcffffdca,0xbccccccc,
    0x0fffe801,0x03fffe80,0xd9710000,0x7c39dfff,0xfb002fff,0x7f6d49ff,
    0x7002cdff,0x3ffa0bff,0xfff80001,0x7000003f,0x7301ffff,0x9bffffb9,
    0x01799999,0x33333260,0xb0001ccc,0x3b6a9fff,0x801cdfff,0xfffffffa,
    0xffffffff,0x3e205fff,0xffd004ff,0xbddb959f,0xfd300057,0xffffffff,
    0x05ffff3b,0x2b7fff60,0xfffffffe,0x7c400dff,0xffd52dff,0x3fe0000b,
    0x000003ff,0xfb0dfffd,0xffffffff,0xffffffff,0xfffff807,0x002fffff,
    0xfddfffb0,0xffffffff,0xffffd807,0xffffffff,0x0fffffff,0x001fff50,
    0x3ffffffa,0x0dffffff,0xfffff900,0xffffffff,0x2005ffff,0xfffffffd,
    0xffffffff,0x7fd402ff,0x0fffffff,0x3e002ca8,0x00003fff,0x43ffff98,
    0xfffffff8,0xffffffff,0x3ea06fff,0xffffffff,0xffb0002f,0xffffffff,
    0x409fffff,0xfffffffb,0xffffffff,0x3f606fff,0x3ffa004f,0xffffffff,
    0x6c02ffff,0xffffffff,0xffffffff,0xffb002ff,0xffffffff,0xffffffff,
    0xfffea807,0x3f6a1eff,0x3fe007ff,0x800003ff,0xe80ffffb,0xffffffff,
    0xffffffff,0x3ffe204f,0x2fffffff,0xffffb000,0xffffffff,0x5407ffff,
    0xeffffeed,0xdeeeeeee,0x03ffe01b,0xfffffe80,0xffffffff,0xfff701ff,
    0x97559dff,0xffffffff,0x3fff6005,0xaaceffff,0xffffffdb,0x66e54400,
    0xffffda8a,0x3fe005ff,0x800003ff,0x7306fffe,0xdffffddb,0x7bdddddd,
    0xeeec9801,0x002ffffe,0xffffffb0,0xfff957bf,0xf3001fff,0x00001fff,
    0xfc8003d9,0xbbceffff,0x86fffffd,0x04fffff8,0x3fffff62,0xfffb002f,
    0x74c07fff,0x2005ffff,0xfffffda8,0x7c001cef,0x00003fff,0x01ffffcc,
    0x01ffff98,0x3ffe0000,0xffb0002f,0x3201bfff,0x9802ffff,0x0000ffff,
    0x3fe60000,0xffd101cf,0xfffd87ff,0xfffb003f,0x3f6005ff,0xb002ffff,
    0x4407ffff,0xffffffda,0x3e0001be,0x00003fff,0x007fffe4,0x01ffff98,
    0x3ffe0000,0xffb0002f,0xff9809ff,0xff9803ff,0x000000ff,0xf1001800,
    0xfff8dfff,0x3fe2005f,0xfb002fff,0x44009fff,0x5c45ffff,0xeffffffd,
    0xff00001b,0x800007ff,0x2006fffe,0x001ffff9,0x3fffe000,0xfffb0002,
    0x3fffe00b,0xffff9803,0x7fe40000,0x000007ff,0xf99fffee,0x5c001fff,
    0xb002ffff,0x8001ffff,0x3e66fffc,0x8befffff,0x001bddc9,0x00ffffe0,
    0xffff9800,0x3ffe6003,0x2000001f,0x0002ffff,0x2009fffb,0x9803fffe,
    0x0000ffff,0x037fffdc,0xfff30000,0x1fffee3f,0x3fffe600,0xdfffb002,
    0xffff5000,0x2f7ffee1,0x3fffff20,0xfff0004f,0x6400007f,0x2000ffff,
    0x001ffff9,0x3fffe000,0xfffb0002,0x3fffa009,0xffff9803,0x7fcc0000,
    0x000005ff,0xfc97fffc,0xf88006ff,0xfb002fff,0xf3000bff,0x055c3fff,
    0x7fffffec,0xff8005ff,0x200003ff,0x4006fffe,0x001ffff9,0x3fffe000,
    0xfffb0002,0x3fffa009,0xffff9803,0x7fc40000,0x000004ff,0xfb97fffc,
    0xf88006ff,0xfb002fff,0xf3000dff,0xf7001fff,0xff7117ff,0xfff8007f,
    0xf300003f,0x98007fff,0x0001ffff,0x0bfffe00,0x27ffec00,0x03fffe80,
    0x00ffff98,0x3ffff800,0x3e600000,0xfff51fff,0xffa8001f,0xffb002ff,
    0xff7000ff,0x3ffa00ff,0x006ff981,0x001ffffc,0x0ffffc80,0x7fffcc00,
    0x3e000001,0xb0002fff,0x3a009fff,0xf9803fff,0x80000fff,0x0002fffe,
    0x9fffee00,0x004ffff8,0x017ffff4,0x03ffffd8,0x17fffa20,0xe81bfe20,
    0x7ffc007f,0xfd00003f,0xf3000dff,0x00003fff,0x017fffc0,0x04fffd80,
    0x007fffd0,0x005ffff3,0xffb02f26,0x1dc8803f,0x3fffe200,0x17ffff46,
    0xfffffc80,0xffffb002,0x3ff6003f,0xff9803ff,0x003ff204,0x003ffff8,
    0x3ffff980,0xffff9800,0x3e000001,0xb0002fff,0x3a009fff,0xf8803fff,
    0x7100dfff,0xfc89fffd,0x7ff400ff,0x3f2201df,0x7cc3ffff,0x300dffff,
    0x9ffffffd,0x7ff54405,0x500cffff,0x00dffffd,0xffd037fc,0x3ffff800,
    0xfffc8000,0x7553000f,0x5557ffff,0x51001555,0xfff55555,0x3555559f,
    0x3fffaa20,0xff53009e,0xe8013bff,0xeeefffff,0xfffffffe,0x403ffdc7,
    0xffffffff,0xfffffeee,0xfff905ff,0xfdddffff,0xffffffff,0xffe87fff,
    0xffffffff,0xfffeeeff,0x2001ffff,0xffa82ffe,0x55555106,0x555bffff,
    0xffe80035,0xfff9806f,0xffffffff,0x06ffffff,0x3ffffff2,0xffffffff,
    0x260fffff,0xffffffff,0x7fffd41f,0x200fffff,0xfffffffa,0xffffffff,
    0x037fd44f,0x7fffffec,0xffffffff,0x3fa00fff,0xffffffff,0xffffffff,
    0x3e67ffff,0xffffffff,0xffffffff,0x003fffff,0x4cefffd4,0xfd82fffd,
    0xffffffff,0xffffffff,0xffff8802,0xffffc803,0xffffffff,0x81ffffff,
    0xfffffff8,0xffffffff,0x3a3fffff,0xffffffff,0x7ffff45f,0x404fffff,
    0xfffffffc,0x3fffffff,0xb005ff98,0xffffffff,0x3bffffff,0xfffff700,
    0xffffffff,0xbfffffff,0x7fffffc4,0xffffffff,0x2effffff,0xffff9000,
    0xf309ffff,0xffffffff,0xffffffff,0x3ffe00bf,0xffff7006,0xffffffff,
    0x01ffffff,0x3ffffffe,0xffffffff,0x362fffff,0xffffffff,0x7ffff44f,
    0x803fffff,0xffffffea,0x100adfff,0x644009ff,0xffffffff,0x44002eff,
    0xfffffffd,0xffff8bff,0x7ed41cef,0xfd9cffff,0xffffffff,0xffb80003,
    0xf103ffff,0xffffffff,0xffffffff,0x3baa009f,0xffd71001,0xffffffff,
    0x405bffff,0xffffffd9,0xffffffff,0x76443dff,0x0cefffff,0x7ffffe4c,
    0x26000bef,0x00abccca,0x40007b20,0x9abccaa9,0x54c40000,0x0001accc,
    0xccba8800,0x400001ab,0x400acca8,0xffffffda,0xffffffff,0x000000ce,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffda8000,
    0x00004fff,0xfffffda8,0x00003fff,0x055ee5cc,0xdba88000,0x80002bcd,
    0xaccecca8,0x2ea20000,0x000abcec,0xeeeeea80,0x4cccc404,0x4ccc4009,
    0x26200019,0x002bcddb,0x4cccc400,0x19999999,0x7fffcc00,0x00004fff,
    0x7fffffc4,0x0003ffff,0xffffff90,0x20005dff,0xffffffd8,0x0dfbbeff,
    0xffffc880,0xa9dfffff,0xfd7103ff,0xffffffff,0xffe80007,0xfd905fff,
    0x5bffffff,0xfffffec8,0xd9001dff,0xffffffff,0x007fd7bf,0xfffffea8,
    0xffffffff,0xffa801df,0x004fffff,0x7fffd400,0x03ffffff,0x7fff5400,
    0xffffffff,0x7ffdc004,0xffffffff,0x5c03ffff,0xffffffff,0xffffffff,
    0x7fffe447,0xffffffff,0xfb8001ef,0x985fffff,0xffffffff,0x3ffea6ff,
    0x6fffffff,0x7ffff440,0xffffffff,0x74007fff,0xffffffff,0xffffffff,
    0xfffff006,0x000009ff,0xfffffffd,0x640007ff,0xffffffff,0x0effffff,
    0xfffffa80,0xffffffff,0x3f605fff,0xffffffff,0xffffffff,0x3fffee1f,
    0xffffffff,0x2000efff,0xfffffff8,0xfffffa85,0x2e7fffff,0xffffffff,
    0x3fe606ff,0xffffffff,0xffffffff,0x3fffe001,0xffffffff,0x006fffff,
    0x13fffaa6,0x554c0000,0x03ffffaa,0xfffff700,0xfffdbdff,0x4c01ffff,
    0xdeffffff,0xffffffed,0xffff906f,0xffd9dfff,0x3fffffff,0x7fffffdc,
    0xfffedcef,0x3f6004ff,0x05ffffff,0xfffffffb,0x7ff447ff,0x2fffffff,
    0xffffff50,0xfffdbbff,0x005fffff,0x7fffffdc,0xffffffff,0xfe8002ff,
    0x000004ff,0x00ffffe0,0x3ffffe20,0xfffb881e,0x3ff605ff,0xfb881dff,
    0xfa86ffff,0x80aeffff,0xffffffc8,0x33fffee1,0xffffa80a,0xfff9801f,
    0x205fffff,0x19dfffe8,0x3ffe6620,0x3ffe603f,0xb301bdff,0x005fffff,
    0xd3333330,0x01339fff,0x27fff400,0xff000000,0xfd0007ff,0xf300bfff,
    0x3e05ffff,0xf9806fff,0x7fc46fff,0x9800efff,0x2a1ffffe,0xfb806fff,
    0xfe803fff,0x5fffffff,0x027ffec0,0x80bfffe0,0x005ffffd,0x00bfffee,
    0x4fffe800,0xfffd0000,0x40000009,0x4003ffff,0x004ffffc,0x03ffffe2,
    0x005ffff3,0xf717fff6,0x4001dfff,0x221ffffa,0xff004fff,0xffb809ff,
    0x5fffddff,0x027ffec0,0x40bfffe0,0x006ffff9,0x000ffff8,0x13fffa00,
    0x7fff4000,0xccccc984,0x3fe0001c,0x3e2003ff,0x4000ffff,0x4c4ffffb,
    0x3000ffff,0xffe87fff,0xff8000ff,0x01ffd87f,0x40dfff90,0xd8fffff8,
    0x7ec05fff,0x7fc004ff,0xfffd02ff,0xff70001f,0xfe80000d,0xd00004ff,
    0xfff89fff,0x07ffffff,0x07ffff00,0x17fffcc0,0x6fffe800,0x004ffff8,
    0xff8837f2,0xf70003ff,0x880060bf,0x3205ffff,0xffb4ffff,0xfffd80bf,
    0x7fffc004,0x0bffff02,0x0005d400,0x13fffa00,0x7fff4000,0x3ffffea4,
    0x002fffff,0x003ffff8,0x001bffee,0xd87fffa8,0x000dffff,0x03fffea0,
    0x00029800,0x09ffff90,0xd9bfffe6,0x7ec05fff,0x7fc004ff,0xfff982ff,
    0x0000003f,0x4fffe800,0xfffd0000,0x7ffffc49,0x000fffff,0x003ffff8,
    0x0017fff2,0x41ffff88,0xeffffffa,0x3ee000ac,0x000007ff,0xfffd8800,
    0xfffb01ff,0x2fffec5f,0x013fff60,0x505ffff0,0x0001ffff,0xfd000000,
    0x200009ff,0x3ea4fffe,0xceefffff,0xffff0001,0x7fff4007,0x7ffc0003,
    0xffffc82f,0xbdffffff,0x1bfff200,0x98000000,0x5ffffffc,0x8dffff50,
    0x6c05fffd,0x7c004fff,0xffb82fff,0x0000006f,0x9fffd000,0x3ffa0000,
    0xfffff94f,0x3e00007f,0x3e003fff,0x40002fff,0xf703fffe,0xffffffff,
    0xf901bfff,0x00000bff,0xffffd500,0x3a01bfff,0x7ec1ffff,0x7fec05ff,
    0x7ffc004f,0x6fffc82f,0x00000000,0x009fffd0,0x37fffa00,0x1ffffffd,
    0x3ffe0000,0x3ffe003f,0x7f40002f,0x3faa03ff,0xffffffff,0x7fe41eff,
    0x0000005f,0xfffffff8,0x3fff204f,0x5fffd84f,0x027ffec0,0x20bfffe0,
    0x9806fffc,0xcccccccb,0x000a880b,0x0027fff4,0xfffffe80,0x000effff,
    0x1ffffc00,0x07fffd00,0x2ffff800,0xfffdb980,0x1fffffff,0x0017fff2,
    0x3ffe0000,0x2201dfff,0xd80fffff,0x7ec05fff,0x7fc004ff,0xfffc82ff,
    0x7ffffc06,0x5fffffff,0x8007ffe2,0x0004fffe,0xffffffd0,0x00000bff,
    0x800ffffe,0x0005fffc,0x007fffe2,0x3ffb2e60,0x3fee6fff,0x0000007f,
    0x01efffe8,0x03ffffd8,0xd80bfffb,0x7c004fff,0xffb82fff,0x3ffea06f,
    0xffffffff,0x7fff50ff,0x27fff400,0xfffe8000,0x001fffff,0x7ffff000,
    0x37ffdc00,0xffff5000,0x3fea0000,0xfff50fff,0x0000001f,0x801fffc8,
    0xccfffff9,0xfffecccc,0xfffb00ae,0xffff8009,0x07fff982,0x3fffffe2,
    0x27ffffff,0x2005fffc,0x0004fffe,0xffffffd0,0x00005fff,0x007ffff0,
    0x01ffffcc,0x46fffe80,0x44001dd9,0xff33ffff,0x000005ff,0x005fe980,
    0xfffffffb,0xffffffff,0x3ff20fff,0x3fe2005f,0xfff881ff,0x3ff6a01f,
    0xefffffff,0x017fff21,0x003fffe8,0xfffffd00,0x007fffff,0x3ffff800,
    0x3fffe200,0x7fdc000f,0x37ff44ff,0x2fffec00,0x001dffff,0x00100000,
    0x7fffffec,0xffffffff,0xfb82ffff,0x3ea006ff,0x3ffa07ff,0xfff0004f,
    0x5fffc85f,0x0bfffe00,0x7fff4000,0xfffffe9e,0x3fe00004,0x7dc003ff,
    0x26005fff,0x7c46ffff,0x7c002fff,0x3fee5fff,0xf70004ff,0x4000003b,
    0xfffffffd,0xffffffff,0xff980fff,0xffb002ff,0x7ffe40df,0xfff8001f,
    0x2fffe42f,0x0ffff980,0xfffd0000,0x3ffff629,0xff00005f,0xfb0007ff,
    0xa801bfff,0x4c2fffff,0x002effff,0x447ffff9,0x00dfffff,0x0bfffb10,
    0x77640000,0xeeeeeeee,0x1cfffffe,0x1fffff10,0x4ffffd80,0x3bfffe60,
    0x7fffc001,0x037ffe42,0x03ffff44,0x9fffd000,0xdfffffd8,0x7ffc0000,
    0xff88003f,0x4c0affff,0x85fffffc,0xdffffff9,0xfffea80a,0x7ffd41ff,
    0x9881bfff,0x06fffffb,0x20000000,0xb805fffd,0x20bfffff,0xeffffda8,
    0x7fffe400,0xca9809df,0x642ffffe,0x41cfffff,0x5fffffa8,0xfea88000,
    0xfffc84ff,0x100aaeff,0xff555555,0x55555bff,0xffffa803,0xfffeffff,
    0x980fffff,0xffffffff,0xfffffeff,0xff905fff,0xdfffffff,0xffffffff,
    0x3b6e005f,0x5100001c,0x01dfffd5,0xffffffb0,0xffffffdd,0x3ffa003f,
    0xeeffffff,0xffffffff,0x7fffe42f,0xffeeffff,0x000fffff,0x7fffff40,
    0xffff884f,0x645fffff,0xffffffff,0xffffffff,0x3ee00fff,0xffffffff,
    0x00dfffff,0xfffffff1,0xffffffff,0x6401dfff,0xffffffff,0xffffffff,
    0xfff7003f,0xd80001ff,0xffffffff,0x7ff4406f,0xffffffff,0x26004fff,
    0xffffffff,0xffffffff,0x7fdc2fff,0xffffffff,0x01ffffff,0x7fffd400,
    0xffb84fff,0xffffffff,0xffffff11,0xffffffff,0x07ffffff,0xfffffe98,
    0x03ffffff,0xffffffe8,0xffffffff,0xfa800cff,0xffffffff,0x01efffff,
    0x3fffff60,0x3fe60001,0xffffffff,0x7fe4401f,0xffffffff,0xfc88002f,
    0xffffffff,0x1cffffff,0xfffff910,0xdfffffff,0xff300003,0x509fffff,
    0xffffffff,0x7fff41ff,0xffffffff,0xffffffff,0xffff7002,0x003bffff,
    0x3f227b66,0xffffffff,0xfda8001d,0xefffffff,0xffa8003d,0x440006ff,
    0xffffffff,0xd3000fff,0xbfffffff,0xec880001,0xffffffff,0x2a000bff,
    0xfffffffe,0x5c00003d,0x04fffffd,0xffffffb7,0xfffd985b,0xffffffff,
    0x03efffff,0x0acba880,0x5d4c0000,0x00009abc,0x9bccaa88,0xca880000,
    0xfb500002,0x5bffffff,0x59751000,0x44000003,0x019accb9,0x1bca9800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc00000,0x22001999,0x40099999,0x00999998,
    0x03333330,0x00333310,0x3004ccc4,0x33333333,0x33333333,0x10133333,
    0x80013333,0x88019998,0x99999999,0x22000009,0x00999999,0x1004cccc,
    0x33333333,0x33333333,0x26662013,0x99999999,0x30028819,0xfffffffb,
    0x3fae01bf,0x4effffff,0x7fffff64,0xfd882eff,0xdfffffff,0x7fffed41,
    0xfd700dff,0x989dffff,0xffffffff,0xffffffff,0x24ffffff,0x4fffffeb,
    0x7ffffc00,0x7ff5c2df,0xffffffff,0x000cdeff,0x7fffff5c,0x3622dfff,
    0x4effffff,0xffffffe8,0xffffffff,0x7f5c3fff,0xffffffff,0x0dffffff,
    0xfd803ffb,0xffffffff,0xffff884f,0x1fffffff,0xfffffff3,0xfb81ffff,
    0xffffffff,0x7ffff45f,0xf884ffff,0xffffffff,0x3ffffe62,0xffffffff,
    0xffffffff,0xfffff14f,0x2e001fff,0x6fffffff,0x3fffffe2,0xffffffff,
    0x1003ffff,0xffffffff,0x7fdcdfff,0x3fffffff,0x7ffffff4,0xffffffff,
    0x3fe23fff,0xffffffff,0xffffffff,0x405fff94,0xfffffffd,0xff884fff,
    0xffffffff,0xfffff51f,0x81ffffff,0xfffffffc,0x7ffc6fff,0x85ffffff,
    0xfffffff9,0x3ffe62ff,0xffffffff,0xffffffff,0xfff34fff,0x007fffff,
    0x3ffffffa,0x3fffe67f,0xffffffff,0xefffffff,0x7fffcc00,0x7fffffff,
    0x3ffffff2,0x7ff43fff,0xffffffff,0x3fffffff,0x3fffffe6,0xffffffff,
    0xfb15ffff,0x3fe609ff,0xefffffff,0xfffff901,0xfe8bffff,0xffffffff,
    0xffffe884,0x5c2fffff,0xffffffff,0xfffffb01,0xfff98dff,0xffffffff,
    0xffffffff,0x3ff64fff,0x807fffff,0xfffffff9,0x7fffe43f,0xffffffff,
    0x5fffffff,0xfffffd80,0x263fffff,0xffffffff,0x7ffff40e,0xffffffff,
    0x643fffff,0xffffffff,0xffffffff,0x6fffe41e,0xffffd300,0x3f260013,
    0xf700bfff,0x00333fff,0xdfff9331,0xfffffb80,0x7ffff403,0xffff980e,
    0xfff9999a,0xfe9999bf,0x7ffc44ff,0x6c03ffff,0x06ffffff,0x4efffecc,
    0xfeba9999,0x3003ffff,0x033bfffd,0x9fffffd1,0x33fffa01,0xc9999999,
    0x301fffff,0xffff3333,0x40133339,0x2a06fffb,0x4002ffff,0x4c06fffe,
    0x0001ffff,0x700bfff9,0x203fffff,0x00fffffc,0xf01ffff3,0xffb05fff,
    0xffff889f,0x3e206fff,0x05ffffff,0x804fffd8,0x006ffffa,0x4c13fff6,
    0x03ffffff,0x3027fff4,0x005fffff,0x003ffff8,0x202fff98,0x2005ffff,
    0x403ffff9,0x441ffff8,0xfd82cccc,0xffb004ff,0xffb81dff,0x3e601fff,
    0xfff80fff,0x4fffd82f,0x7fffffc4,0xfff902ff,0xb00bffff,0x36009fff,
    0xb000ffff,0xff509fff,0xd005ffff,0x3a209fff,0x8004ffff,0x0003ffff,
    0xffc80991,0xffb001ff,0xfff001ff,0xffffa85f,0x03fffe87,0x9bffffa0,
    0x02fffff9,0x407fffcc,0xfd82ffff,0x7ffc44ff,0x885fffff,0xffffffff,
    0x4fffd805,0x5ffff100,0x13fff600,0x3ffffff7,0x0ffffa00,0x037fffec,
    0x03ffff80,0x7fc40000,0xff8804ff,0xfff005ff,0xffffd87f,0x1ffffc1f,
    0xfffff100,0x9fffff19,0x1ffff300,0xb05ffff0,0xff889fff,0x1fffffff,
    0x7fffffdc,0xffd805ff,0xfff5004f,0x3ff6003f,0x3ffff24f,0x3f2001ef,
    0xfffb81ff,0xff0000ff,0x000007ff,0x01ffffb0,0x01ffffb8,0x449fffd0,
    0x24ffffff,0x002ffff8,0x7fffffcc,0x2005ffff,0xfff06fff,0x5fff705f,
    0xfbffff88,0x7ff45fff,0x05fffcef,0x804fffd8,0x006fffe8,0x7ed3fff6,
    0x000effff,0x7d43ffcc,0x0001ffff,0x000ffffe,0x3ffea000,0x7fff403f,
    0x3fff6006,0x3ffffea5,0x3fffe67f,0xfffa8001,0x00efffff,0x7c13ff20,
    0xff982fff,0x7fffc40f,0x50ffffda,0xff97ffff,0xfffb00bf,0xffffb809,
    0x3ff6003f,0xfffffedf,0x20a20005,0x03fffff8,0x1ffffc00,0xfe800000,
    0x3fea06ff,0x3f2003ff,0x3fff66ff,0xff51ffff,0x2e0001ff,0x0fffffff,
    0x3e019800,0x05102fff,0x26bfffe2,0xffd4ffff,0x17fff2ff,0x2bbfff60,
    0xfffecbaa,0x2001ffff,0xfffffffd,0x00001fff,0x05ffffe8,0x3ffff800,
    0xf7000000,0x3f603fff,0x2e000fff,0xfff17fff,0x2e9fffff,0x40007fff,
    0x02fffffd,0xffff0000,0xfff10005,0x3ffffa5f,0xf93ffffa,0xffb00bff,
    0xffffffff,0x03dfffff,0xfffffd80,0x02ffffff,0x3fff2000,0xf80000ef,
    0x00003fff,0xbffff100,0x09ffff10,0x8ffffa80,0xffeffffa,0x0dfff97f,
    0x7fffcc00,0x000005ff,0x0005ffff,0x2a5ffff1,0xffffffff,0x0bfff90f,
    0xffffffb0,0xffffffff,0xffb0001b,0xffffffff,0x500005ff,0x003fffff,
    0x0ffffe00,0xfd800000,0x7fe40fff,0x7cc001ff,0xfffd9fff,0xd9ffffae,
    0x10005fff,0xffffffff,0xff000009,0xf10005ff,0x7ff45fff,0x324fffff,
    0xfd805fff,0xffffffff,0x0006ffff,0x3ffffff6,0x3ffffffc,0x3ffe6000,
    0x200002ff,0x0003ffff,0x3ffe6000,0x2ffffc3f,0x7fffc400,0xf8cffffb,
    0xfffecfff,0xfffd0004,0x07ffffff,0xffff8000,0xfff88002,0x3fffee2f,
    0x3ff21fff,0xfffd805f,0xffffffff,0xb0002fff,0x221dffff,0x02fffffd,
    0xffffe880,0x8002ea04,0x0003ffff,0x7fff4000,0x0bfffea6,0x77fffc00,
    0xffb1ffff,0x07ffffff,0xdffffb00,0x03fffff7,0x7fffc000,0xfff88002,
    0x3fffe22f,0x7ffe45ff,0x4fffd805,0xfffffea8,0xfffd8002,0xffffc80e,
    0xfffd8006,0x1bff206f,0x03ffff80,0x7dc00000,0xfffd2fff,0x7ff4000f,
    0x2a7fffff,0xffffffff,0x7ffdc002,0xffff71ff,0x3e00001f,0x88002fff,
    0x7e42ffff,0x7e42ffff,0xffd805ff,0xfffb104f,0xfd8005ff,0x3ffa04ff,
    0x3ee002ff,0x3a00ffff,0xff000fff,0x000007ff,0xdffff880,0x003ffff9,
    0x3fffff60,0x3ffe24ff,0x002fffff,0x0bffffea,0x01dffffb,0x5ffff000,
    0xffff1000,0x6ffff885,0x805fffc8,0x6c04fffd,0x000fffff,0x8813fff6,
    0x3006ffff,0x805fffff,0xf002ffff,0x00007fff,0xffff9000,0x001ffffd,
    0x7ffffe40,0x7ffec1ff,0x3001ffff,0x209fffff,0x005ffffe,0x02ffff80,
    0x2ffff880,0xc82eeec8,0xfd805fff,0xffe804ff,0x3f6006ff,0x7fd404ff,
    0x7fc403ff,0xff803fff,0xfff002ff,0x0000007f,0xffffff30,0xb8000bff,
    0x87ffffff,0xfffffffa,0xfffe8800,0x3ffe205f,0x7c0004ff,0x88002fff,
    0x0002ffff,0xb00bfff9,0xf1009fff,0x2007ffff,0xe804fffd,0x7f407fff,
    0xff005fff,0x3fe005ff,0x000003ff,0xfffffb00,0xa80003ff,0x04ffffff,
    0x0fffffff,0xfffffb30,0xffffc803,0x553000bf,0x559ffff5,0xfff50015,
    0x5100359f,0x03dfffb5,0x3bfffaa2,0x3fe600aa,0x5101bfff,0x155bfffd,
    0x33fffea0,0x7fffe41a,0xaaaaaabf,0x2ffffbaa,0x7d555544,0xaaaadfff,
    0xa8000001,0x06ffffff,0xffff9800,0xfffb02ff,0xffe80dff,0x85ffffff,
    0xfffffff9,0x3fea03ff,0xffffffff,0xf305ffff,0xffffffff,0x3fff203f,
    0x46ffffff,0xfffffffd,0x3ee04fff,0x6c5fffff,0xffffffff,0xfffd03ff,
    0x3f61ffff,0xffffffff,0xffffffff,0x3fff62ff,0xffffffff,0x01ffffff,
    0x7ffc0000,0x80003fff,0x07fffff8,0x17ffffea,0xffffffa8,0x7e40ffff,
    0xffffffff,0x3ffff607,0xffffffff,0xffc80fff,0xffffffff,0xffffff05,
    0x265fffff,0xffffffff,0x3600ffff,0x31ffffff,0xffffffff,0xf701ffff,
    0x27ffffff,0xfffffffd,0xffffffff,0xff32ffff,0xffffffff,0xffffffff,
    0xb800000b,0x000fffff,0xbfffff00,0x4fffff80,0x3ffffe60,0x540fffff,
    0xffffffff,0x3fff206f,0xffffffff,0xff707fff,0xffffffff,0x3ffffa09,
    0x11ffffff,0xffffffff,0xf880dfff,0xf10fffff,0xffffffff,0x7ffc0dff,
    0xffb2ffff,0xffffffff,0xffffffff,0x3fffe25f,0xffffffff,0x04ffffff,
    0x7fc40000,0x200004ff,0x402fffff,0x403ffffd,0xffffffdb,0xfffd702d,
    0x44039dff,0xffffffec,0x02dfffff,0xfffffd91,0x366019df,0xdfffffff,
    0x7fffed43,0x801dffff,0x542dfffa,0xfffffffd,0x3fee01df,0x3ff63eff,
    0xffffffff,0xffffffff,0x3fff6a2f,0xffffffff,0x000cefff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01333310,0x80199988,0x99999998,0x26000099,0x99999999,
    0x99999999,0x99880999,0x99999999,0x99999999,0x33331009,0x00033333,
    0x01333310,0x06666620,0x26666620,0x00099999,0x4ccccc00,0x00009999,
    0x40033330,0x00009998,0x3ffff6a0,0x7f642eff,0x40dfffff,0xffffffeb,
    0xdeffffff,0x3ff6200c,0xffffffff,0xffffffff,0x3fae6fff,0xffffffff,
    0xffffffff,0x7f5c2fff,0xffffffff,0x000aceff,0xffffffd7,0x7fff6401,
    0x5c2dffff,0xfffffffe,0xdeffffff,0xffd88002,0xffffffff,0x3f660006,
    0x00dfffff,0xdfffffd7,0xffd00009,0x1fffffff,0x3fffffea,0x3fe24fff,
    0xffffffff,0xffffffff,0xfffff903,0xffffffff,0xffffffff,0x3fffe2df,
    0xffffffff,0xffffffff,0x3ffe22ff,0xffffffff,0x02ffffff,0x7fffffc4,
    0xfff305ff,0xdfffffff,0x7fffffc4,0xffffffff,0x001effff,0x3ffffff2,
    0x02ffffff,0xfffffd00,0xff109fff,0x5fffffff,0xffff8000,0x50ffffff,
    0xffffffff,0x7fffcc9f,0xffffffff,0xefffffff,0x7ffffe40,0xffffffff,
    0xffffffff,0xfffff16f,0xffffffff,0xffffffff,0x7fffcc5f,0xffffffff,
    0x0effffff,0xffffff10,0xff505fff,0xffffffff,0x7ffffccf,0xffffffff,
    0x1fffffff,0xfffff900,0xbfffffff,0x3fffa000,0x985fffff,0xffffffff,
    0x7dc0003f,0x4fffffff,0x7fffffec,0x7ffe41ef,0xffffffff,0xffffffff,
    0x7ffff4c5,0xffffffff,0xffffffff,0x3ffff26f,0xffffffff,0xffffffff,
    0x7fffe42f,0xffffffff,0x0effffff,0xffffff90,0xffb01fff,0x7fffffff,
    0xffffffd8,0xffffffff,0x00ffffff,0xfffffe98,0x0fffffff,0xffffa800,
    0xfb01ffff,0x1dffffff,0x3ffa0000,0x3e6201df,0x6cc04fff,0x9999dfff,
    0xffffeba9,0xfffa882f,0x999999af,0xfffc9999,0xdfffd986,0x99999999,
    0x02ffff99,0x333dfffb,0xffffb753,0xfd980bff,0x104fffff,0x07ffff33,
    0x9dfffe98,0xfcaa9999,0x2005ffff,0xffff9998,0x0003ffff,0x07ffffe6,
    0x19ffffd0,0xffd80000,0xfffd004f,0xbfffb007,0xdffff500,0x07fffe60,
    0x06fffb80,0x400bfffb,0xf902ffff,0xff500bff,0xfd805fff,0x01ffffff,
    0x401ffffc,0x8804fffd,0x0007fffe,0xfffffff7,0xfb8000df,0x3ea06fff,
    0x00006fff,0x009fffb0,0x200ffffa,0x7005fffd,0xf301ffff,0x5c003fff,
    0xffb06fff,0x7ffc00bf,0xbfff902f,0x3fffe600,0x7fffec06,0x7fc06fff,
    0xffd803ff,0xfff5004f,0xffd0003f,0x5ffff7df,0xfffd8000,0xffff884f,
    0xb000001f,0x3a009fff,0xfd803fff,0xff1005ff,0xfff303ff,0x9817103f,
    0xffb04fff,0xfb06a0bf,0x3ff201ff,0x3fee005f,0x3ff602ff,0x03ffffff,
    0x200ffffe,0x1004fffd,0x8005ffff,0xff3ffff9,0x88000bff,0x6c1fffff,
    0x0004ffff,0x13fff600,0x01ffff40,0x002fffec,0xf305ffff,0xffa83fff,
    0xb02fff87,0xfe88bfff,0x81bfee3f,0x4005fffc,0x3606fffe,0xffffefff,
    0x7ffff01f,0x09fffb00,0x03ffff60,0x1ffff900,0x003ffff2,0xdffff500,
    0x037fffd4,0x3ff60000,0xfffd004f,0xbfffb007,0x3fffe600,0x1ffff980,
    0x220fffec,0x3fff601b,0x22fffcc5,0x7ffe4029,0x7ffe4005,0x37fff607,
    0xf06ffffb,0xfb007fff,0xff7009ff,0xf8800fff,0x3fe65fff,0xd80003ff,
    0xff8cffff,0x00001fff,0x4efffec0,0x99999999,0xd803ffff,0xe8805fff,
    0xff307fff,0xfd5557ff,0xfb0007ff,0xf9555dff,0xf9000fff,0xfa800bff,
    0xffb00fff,0x3ffffabf,0x03ffff83,0x99dfffd8,0xffeca999,0x5c003fff,
    0x7f42ffff,0x880006ff,0xffefffff,0x000003ff,0xffffffd8,0xffffffff,
    0xfd803fff,0x7f4c05ff,0xff305fff,0xffffffff,0xfb0007ff,0xffffffff,
    0xf9000fff,0xf9800bff,0xffb01fff,0x3fffe6bf,0x1ffffc0f,0x7ffffec0,
    0xffffffff,0xe8005fff,0xffa86fff,0xa80002ff,0xffffffff,0xb0000006,
    0xffffffff,0xffffffff,0xfffb007f,0xb975555d,0x01ffffff,0x3fffffe6,
    0x03ffffff,0xfffffd80,0x07ffffff,0x05fffc80,0x02ffff80,0x7e4bfffb,
    0x7ffc5fff,0xfffd803f,0xffffffff,0x002fffff,0x81ffffcc,0x0005ffff,
    0xffffffb0,0x0000003f,0x3ffffff6,0xffffffff,0xfd803fff,0xffffffff,
    0x1fffffff,0x3ffffe60,0x3fffffff,0xffffd800,0x7fffffff,0x5fffc800,
    0x2ffff800,0xe8bfffb0,0x3fe2ffff,0xffd803ff,0xffffffff,0x2fffffff,
    0x3ffff200,0x1ffff900,0xfff10000,0x00007fff,0x7fffec00,0xffffffff,
    0x803fffff,0xfffffffd,0xffffffff,0x7fffcc02,0xffffffff,0xfffd8003,
    0xffffffff,0xfffc8007,0x7ffc4005,0xbfffb02f,0x0fffff98,0xb007ffff,
    0xffffffff,0xffffffff,0xff1005ff,0x99999fff,0x07ffffb9,0x3ffea000,
    0x0000006f,0x4cefffec,0xf9999999,0xfd803fff,0xffffffff,0x800cffff,
    0x99affff9,0x003fffe9,0x545fffd8,0xc8007fff,0x4c005fff,0xfb00ffff,
    0xfff90bff,0x0ffffe9f,0x277fff60,0xca999999,0x01ffffff,0x7fffffdc,
    0xffffffff,0x200006ff,0x0003ffff,0x7ffec000,0x7fffd004,0xfffffb00,
    0x379dffff,0x7fffcc00,0x00fffec1,0x22fffec0,0x5c46fff9,0xbfff901c,
    0x7fffb800,0x217fff60,0xf9fffff8,0xfd803fff,0xfb1004ff,0xfe809fff,
    0xffffffff,0xffffffff,0xfff00002,0x0000007f,0x004fffd8,0xb007fffd,
    0x0000bfff,0x41ffff98,0xb0006ff9,0xff90bfff,0x907ffc85,0xd800bfff,
    0x3f605fff,0xfff505ff,0x07ffffdf,0x009fffb0,0x206fffd8,0xfffffff9,
    0xffffffff,0x00005fff,0x0007ffff,0xfffd8000,0x7fffd004,0x0bfffb00,
    0xfff98000,0x4000301f,0x1305fffd,0x903fffd0,0x4c00bfff,0x3604ffff,
    0x3f605fff,0x3fffffff,0x04fffd80,0x07fffcc0,0xeeffffc8,0xeeeeeeee,
    0x000ffffe,0x03ffff80,0x7ec00000,0xffd004ff,0xfffb007f,0xf980000b,
    0x00001fff,0x005fffd8,0x6417fffc,0xf3005fff,0x6c05ffff,0x3e205fff,
    0x3fffffff,0x04fffd80,0x0ffffcc0,0x027fffc4,0x07ffff10,0x7ffff000,
    0xd8000000,0xfd004fff,0xffb007ff,0x980000bf,0x0001ffff,0x05fffd80,
    0x417fffc0,0x9805fffc,0x405fffff,0x5c05fffd,0x3fffffff,0x04fffd80,
    0x83fffec0,0x001ffffb,0x0037ffec,0x01ffffc0,0xea980000,0x100adfff,
    0x13bffff5,0xdfffd510,0x00055555,0x2ffffee6,0x0001aaaa,0x5dfffd51,
    0x55555555,0x85ffff55,0xaaefffd8,0xffecbaaa,0x2200efff,0x0aaefffe,
    0xffffffd0,0x7ff54407,0xaaaaaadf,0xffffccaa,0xfffe985f,0xca8801af,
    0x009bffff,0xfff55530,0x001555bf,0xffff3000,0xe89fffff,0xffffffff,
    0x3ffff60f,0xffffffff,0xfff3003f,0xffffffff,0x6c001fff,0xffffffff,
    0xffffffff,0x22ffffff,0xfffffffd,0xffffffff,0x3a01ffff,0xffffffff,
    0xffff984f,0xfffb03ff,0xffffffff,0xffffffff,0x7fd45fff,0xffffffff,
    0xfffffb01,0x980dffff,0xffffffff,0x05ffffff,0x7fff4000,0x0fffffff,
    0xfffffff5,0x3fe69fff,0xffffffff,0xb007ffff,0xffffffff,0x07ffffff,
    0x3ffffe60,0xffffffff,0xffffffff,0xffff32ff,0xffffffff,0x3dffffff,
    0x7ffffcc0,0x80ffffff,0x83fffffc,0xfffffff9,0xffffffff,0x4fffffff,
    0x7ffffff4,0xf885ffff,0xffffffff,0x3ff602ff,0xffffffff,0x001fffff,
    0x3ffff600,0x267fffff,0xffffffff,0xffff13ff,0xffffffff,0x3ee00dff,
    0xffffffff,0x002fffff,0xfffffff1,0xffffffff,0xffffffff,0x3ffffe25,
    0xffffffff,0x400cffff,0xfffffff8,0x3fa07fff,0xff883fff,0xffffffff,
    0xffffffff,0xffd82eff,0xffffffff,0xfffff884,0x01ffffff,0x3fffffee,
    0xffffffff,0x2200000f,0xffffffec,0x7ffedc2d,0x6d43efff,0xffffffff,
    0x1001ceff,0xffffffd9,0x007dffff,0xfffffda8,0xffffffff,0xffffffff,
    0x3ffff6a2,0xefffffff,0x36a000bd,0xdfffffff,0x3fffea01,0xffffb503,
    0xffffffff,0x4059bdff,0xfffffec8,0xfb500cef,0x7bffffff,0xfffec880,
    0xffffffff,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x99999999,0x00000001,
    0x00000000,0x00000000,0x23795300,0x00100000,0x00004000,0x00000800,
    0x00000440,0x40000440,0xffffffec,0x01dfffff,0x005f74c0,0x00000000,
    0x0013f660,0x0000ff66,0x7fffff44,0x26001eff,0xdfffffec,0x2000b98a,
    0xcefffdca,0x5c40001b,0x1ceffffd,0xfb951000,0x03bdffff,0xffb95000,
    0x0d45bdff,0x3ffffe60,0xffffffff,0x7ff4005f,0x000003ff,0xfd980000,
    0x64002fff,0x40000fff,0xfffffffa,0xd9805fff,0xffffffff,0x806fffff,
    0xffffffd9,0x000dffff,0xffffffc8,0x002effff,0xffffffb1,0x3bffffff,
    0xfffd3000,0xffffffff,0x7d405fff,0xffffffff,0x005fffff,0x3fffffe2,
    0x0000002e,0xfffc8800,0x74004fff,0x20002fff,0xfffffff8,0x4c06ffff,
    0xffffffff,0xffffffff,0x3ffff200,0xffffffff,0xfd3003ff,0xffffffff,
    0xb009ffff,0xffffffff,0x1fffffff,0x3fff2200,0xffffffff,0x405fffff,
    0xfffffffd,0x01efffff,0x7ffffe40,0x00001eff,0xfff70000,0x003fffff,
    0x003ffff8,0x3fffff60,0x01fffffe,0x3fffffe2,0xffffffff,0xffb02fff,
    0xffffffff,0x07ffffff,0xffffff98,0xffffffff,0x7fec06ff,0xffffffff,
    0x006fffff,0xfffffffb,0xffffffff,0x33100fff,0x337ffff3,0x7fd40001,
    0x0dffffff,0x50000000,0xfffffffd,0xfff0001b,0x7fc0007f,0xbfb11eff,
    0xffffb801,0xfcaabcef,0xb82fffff,0xceffffff,0xffffecaa,0xfff100ff,
    0x7559dfff,0x9ffffffb,0x77fffd40,0xffca9abc,0x7dc01fff,0xabcfffff,
    0xfffffcaa,0xfff8007f,0x5c00002f,0xffffffff,0x0000000c,0xffffffd3,
    0x7c0003df,0x30003fff,0x0103ffff,0x01bfff60,0x307fffea,0x01bfffff,
    0x2fffff44,0x2fffffd8,0x3ffff620,0x4004c01f,0x202ffffa,0x0cfffff8,
    0x3ffffe40,0x17fffc00,0x7e440000,0x3fffffff,0x36200000,0xefffffff,
    0xfff80002,0xff30003f,0x6c0003ff,0xb800ffff,0xfffd85ff,0xffd1005f,
    0xfff887ff,0xff7000ff,0x40000bff,0x3604fffe,0x2003ffff,0x8006fffe,
    0x0002ffff,0x3fff6600,0x002effff,0x3fff2200,0x003fffff,0x0ffffe00,
    0x7fffc400,0x3ff20004,0x09bcefff,0xffff0188,0xfff8800d,0x7fffe45f,
    0x7ffec002,0xdcba800f,0xffebcdee,0x3fffe04f,0x7ffd4005,0xffff8004,
    0xa8000002,0xfffffffe,0x7dc0001e,0xcfffffff,0x7fc00000,0x360003ff,
    0x0001ffff,0xfffffff1,0x037bffff,0x7fffffcc,0xffffffff,0x7fffffff,
    0x002ffff4,0x01ffffc4,0xffffffd5,0x9fffffff,0x07fffe20,0x007bf600,
    0x00bfffe0,0xffa80000,0x0dffffff,0x7fff5400,0x000dffff,0x7ffff000,
    0x7ffcc000,0x3ea0006f,0xffffffff,0xa80cffff,0xffffffff,0xffffffff,
    0x20ffffff,0x0003ffff,0xd309fffd,0xffffffff,0x9fffffff,0x03fffe60,
    0xf0000400,0x00005fff,0xffff7000,0x8019ffff,0xffffffe9,0x220001ef,
    0xeeeeeedb,0xeeeeffff,0x2201ceee,0x004fffff,0x3ffff220,0xffffffff,
    0x7fffdc1e,0xffffffff,0xffffffff,0xffff11ff,0x3ff60005,0x7fffc45f,
    0xffffffff,0x704fffff,0x0000ffff,0x3fffe000,0x00000002,0xffffff91,
    0xffb107ff,0x05dfffff,0xffffd000,0xffffffff,0xffffffff,0xfffd103f,
    0x66443fff,0xdba8801b,0xfffffffe,0x3ffea1ff,0xffffffff,0xffffffff,
    0x3ffe2fff,0xffd0003f,0x7fff449f,0xedcdefff,0x04ffffff,0x000ffff5,
    0x3ffe0000,0x0000002f,0x7ffffe40,0x3fe24fff,0x0fffffff,0xfff88000,
    0xffffffff,0xffffffff,0x7f444fff,0x0effffff,0x507ffff5,0xfeca9801,
    0x3fe24fff,0xaaaaacff,0xaaaaaaaa,0x3fa0aaaa,0xf98005ff,0x3fee3fff,
    0x6c00bfff,0xff104fff,0x000003ff,0x05ffff00,0x26000000,0xfffffffe,
    0xfffc881e,0x003fffff,0xfffffd80,0xffffffff,0xffffffff,0x7fffff41,
    0xff94ffff,0x7ffc4fff,0x3fff6000,0x07ffffc7,0x3ff20000,0x7f4003ff,
    0x3ff60fff,0xffb001ff,0x7fffc09f,0x00020004,0x0017fffc,0xd8800053,
    0xffffffff,0xfffc8802,0x002fffff,0x33332a20,0xdffffccc,0x1bcccccc,
    0x57ffffd4,0xffafffff,0x3fee6fff,0x3fea005f,0x3fff21ff,0x010000ef,
    0x05fffff1,0xbffffb10,0x804ffff8,0x04ffffc9,0x00fffff6,0x005ff910,
    0x002ffff8,0x1000dff7,0xfffffff9,0xfb30007f,0x5dffffff,0x3fe00000,
    0x7e4003ff,0xfff50eff,0x3bffffff,0x5fffffec,0xffff7100,0x7fff441f,
    0x2e600bef,0xfd84ffed,0x881dffff,0x1ffffffb,0x40fffff4,0xfffffd98,
    0xffa80adf,0x4c02dfff,0x006ffffa,0x8017fffc,0x2000fffe,0xfffffffb,
    0x540000cf,0xfffffffe,0x7c00001d,0x74003fff,0x7fe44fff,0xd87fffff,
    0xffffffff,0xffffeeee,0xfff986ff,0xeeeeffff,0xfffffffe,0xffffe80f,
    0xffeeefff,0xc83fffff,0xdeffffff,0xffffffff,0xb85fffff,0xffffffff,
    0xfffffede,0x7c006fff,0xff002fff,0xfd5005ff,0x3bffffff,0xffb80000,
    0x0cffffff,0xffff0000,0x7ffc4007,0xffffe82f,0xfffc84ff,0xffffffff,
    0x0fffffff,0xffffff70,0xffffffff,0x101fffff,0xfffffffd,0xffffffff,
    0x3fffa209,0xffffffff,0xffffffff,0xfffc81ff,0xffffffff,0x2fffffff,
    0x17fffc00,0x02ffff80,0x3fffffa6,0x00001eff,0x3ffff220,0x0003ffff,
    0x003ffff8,0x4c27fffc,0x81ffffff,0xfffffffa,0xffffffff,0x7f4c01df,
    0xffffffff,0x3fffffff,0x3ffff220,0xffffffff,0x7ffcc02f,0xffffffff,
    0xffffffff,0xfff900ff,0xffffffff,0x005fffff,0x005ffff0,0x220bfffe,
    0xfffffffd,0x0000002f,0x3fffff62,0x20003fff,0x4003ffff,0x441ffffd,
    0x1afffffe,0x7f667e44,0xffffffff,0x7fdc001e,0xffffffff,0x3000bdff,
    0xfffffffb,0x220017df,0xfffffffc,0xfffd9cff,0x64402dff,0xffffffff,
    0x0002efff,0x400bfffe,0x7e42ffff,0x3fffffff,0x20000000,0xffffffe9,
    0xff8001ef,0x7dc003ff,0xfeefffff,0xffffffff,0xccca9803,0x40000aac,
    0xaacccba8,0x54400009,0x001acccb,0x3332ea20,0x8800002a,0xaccdcba9,
    0xaa88000a,0xaacffffa,0xfbaaaaaa,0x3ff62fff,0x00cfffff,0x50000000,
    0xfffffffd,0xffff8003,0xfffe8003,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0xfd000000,0xffffffff,0xffffffff,0x225fffff,
    0x1dffffff,0x00000000,0xffffff70,0xfffe8009,0xffe88002,0xffffffff,
    0x006fffff,0x00000000,0x00000000,0x00000000,0xfa800000,0xffffffff,
    0xffffffff,0x22ffffff,0x002efffe,0x80000000,0x02ffffc8,0x007ffe40,
    0xfffff700,0xfffb9fff,0x0000003b,0x00000000,0x00000000,0x00000000,
    0xfffff300,0xffffffff,0xffffffff,0x16ecc5ff,0x00000000,0x01f5c400,
    0x001f6c40,0x5e654c40,0x0000000a,0x00000000,0x00000000,0x00000000,
    0xffdb8000,0xffffffff,0xffffffff,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000400,0x00000020,0xcb980040,0x2e603ccc,0x402ccccc,
    0x0accccb9,0x59999730,0x3332e601,0x993000bc,0xb8815999,0x0acccccc,
    0x99999730,0xcccb8159,0xcccccccc,0x02cccccc,0x40077220,0x41ccccc8,
    0x882ccccc,0xd89cccca,0x3b223eff,0x9800cfff,0xd913cccb,0x0039dfff,
    0x66666544,0x7ff6541c,0xffffd02e,0x3ffa0bff,0x204fffff,0xfffffffd,
    0x7fffec2f,0x7e41ffff,0x3fffffff,0x7fffffc0,0xfff70fff,0x3fffffff,
    0xffffffe8,0x3f60ffff,0xffffffff,0xffffffff,0x1fff2003,0x7ffffc40,
    0x17ffffc1,0x3fffffe6,0xdffffffd,0xfffffffb,0x3fffa00f,0xffffbeff,
    0x804fffff,0xfffffff8,0xffffd32f,0xff98bfff,0x985fffff,0xffffffff,
    0xfffff104,0x7c4bffff,0xffffffff,0x7fffffc4,0x3ea06fff,0xffffffff,
    0xffffffd3,0x7c4bffff,0xffffffff,0x3fff63ff,0xffffffff,0x03ffffff,
    0x007fffa0,0x207ffffc,0x641ffffe,0xffffffff,0xffffffff,0x6fffffff,
    0xffffff30,0xffffffff,0xb80dffff,0xffffffff,0xffffffca,0x7fc4ffff,
    0xf05fffff,0x9fffffff,0x7fffff40,0x7fec1fff,0x42ffffff,0xfffffffd,
    0x3ffe203f,0x91ffffff,0xffffffff,0xfffe85ff,0x1fffffff,0x3ffffff6,
    0xffffffff,0x3e003fff,0xfd002fff,0xfff90fff,0xffffa81f,0xffffffff,
    0xffffffff,0xff03ffff,0xffffffff,0xffffffff,0x7ffcc07f,0xffffffff,
    0xffffffff,0x3fae60ff,0xb7305fff,0x409ffffd,0xffffffc9,0xfffff986,
    0xffb882ef,0x530bdfff,0x3fb2a155,0x2e22dfff,0xdeffffed,0xfffec983,
    0x7ec2ceff,0xeeeeefff,0xeffffffe,0x3fffe000,0xdfffb002,0x20ffff70,
    0xffffffda,0xfffffbad,0xffffbaef,0xffff9304,0x957bffff,0x01fffffd,
    0x7fff7654,0xcfffffff,0x206fffca,0xb005fffc,0xf3009fff,0x4c9fffff,
    0x04fffffe,0xf87fffb8,0x7fdc3fff,0x3fe200ff,0xff9805ff,0x3ff604ff,
    0xffff304f,0x02aa01df,0xa985ffff,0x42fffe40,0x7c06fffa,0x7f43ffff,
    0x7fe45fff,0x7ffe406f,0xff700dff,0x3e2003ff,0xdfffffff,0x900ee440,
    0x3600bfff,0xd1004fff,0xf5bfffff,0x007fffff,0xa87fffe6,0x7ec6ffff,
    0xffc806ff,0x7fec01ff,0x3fea00ff,0xffff982f,0xfffd00ef,0x5ffff15b,
    0x43fffd93,0xf984fffb,0x7ffc05ff,0x6fffd84f,0x406fffb8,0x404ffffc,
    0x003ffff8,0xfffffff1,0xffc80007,0xfffb005f,0x7fec4009,0xffffffff,
    0x7ffc002f,0x3ffff63f,0x13fffe1f,0x17fffe20,0x05ffff98,0x2606ff44,
    0x00efffff,0xfffffff3,0xffffffff,0x7fccbfff,0x4fff882f,0x417fffc0,
    0xfb85fffd,0x7fe406ff,0xfffd006f,0x3ffe2009,0x80001eff,0xb005fffc,
    0x90009fff,0xffffffff,0xffb0003d,0x3fffe2bf,0xffff14ff,0x3fff2005,
    0xffffb01f,0x3e602003,0x200effff,0xfffffff8,0xffffffff,0x3fe24fff,
    0x07fff01f,0xd82ffff8,0xffb85fff,0x7ffe406f,0x9fffd005,0x3fffe200,
    0xf900000d,0x3f600bff,0xf70004ff,0x01dfffff,0x5fffee00,0xfffffffb,
    0x00ffffb8,0x0bffff10,0x00bffff3,0x7ffffcc0,0xffea800e,0xffffffff,
    0xf83fffff,0x5ffd00ff,0x82ffff80,0xfb85fffd,0x7fe406ff,0xfffd005f,
    0x3ffe2009,0x3200002f,0xfb005fff,0xd10009ff,0x5fffffff,0x3ffe6000,
    0xfffffe9f,0x6fffdaff,0x7fffec00,0x0ffffec1,0xffff9800,0x64c000ef,
    0xfffffffe,0xfd00adff,0x00ffe40f,0x360bfffe,0xffb85fff,0x7ffe406f,
    0x9fffd005,0x3fffe200,0x3f200002,0xffb005ff,0xfe88009f,0xffffffff,
    0xffff0003,0xfffffffb,0x09ffffdf,0x5ffff980,0x017fffe2,0x7ffffcc0,
    0x7e40000e,0x00ffffff,0x3ea05fb8,0x2ffff807,0xb85fffd8,0x7e406fff,
    0xffd005ff,0x3fe2009f,0x200002ff,0xb005fffc,0x4c009fff,0xffffffff,
    0x8004ffff,0xfffffffd,0xffffffbf,0xfd8002ff,0xfff91fff,0xff30003f,
    0x0001dfff,0xffffff98,0x013004ff,0xfff80098,0x5fffd82f,0x406fffb8,
    0xd005fffc,0x22009fff,0x0002ffff,0x01bfff20,0x8027fff4,0xaffffffa,
    0xdfffffd8,0x3ffee000,0xff8cffff,0x01ffffff,0xdffff980,0x005ffff8,
    0xefffffa8,0x4019b300,0xffffffe8,0x00002fff,0x17fffc00,0x5c2fffec,
    0x7e406fff,0xffd005ff,0x3fe2009f,0x200002ff,0x200ffffc,0x04ffffd9,
    0xffffffa8,0x7ffffe41,0xfff3000e,0x3f23ffff,0x007fffff,0x37ffff60,
    0x4001ffff,0x0efffffa,0xd813ffe0,0xffadffff,0xbbb80fff,0xbbbbbbbb,
    0x1bbbbbbb,0x6c17fffc,0xffb85fff,0x7ffe406f,0x9fffd005,0x3fffe200,
    0x3ea00002,0xfd983fff,0x00dfffff,0xffffff91,0x3ffff603,0xfff002ff,
    0x7fccdfff,0x0005ffff,0x3fffffe6,0x7d4006ff,0xaabfffff,0xfffcaaaa,
    0xfffff106,0x13ffff21,0x3ffffffe,0xffffffff,0x3fe63fff,0x7fec0cff,
    0x7ffdc0ef,0xffd9881f,0x3a601aef,0x5300dfff,0x59ffff75,0x00155555,
    0xffffff88,0xffffffee,0x5c5fffff,0xffffffff,0x7fffec1f,0x400fffff,
    0x43fffffe,0x03fffffe,0x7fffec00,0x22002fff,0xffffffff,0xffffffff,
    0xfff707ff,0x6fffe83f,0xfffffff8,0xffffffff,0xfff8bfff,0x363fffff,
    0x2e5fffff,0x30efffff,0xffffffff,0xffffd03f,0x7fc4bfff,0xffffffff,
    0x6fffffff,0x7fffec00,0xffffffff,0x1fffffff,0x3ffffffe,0x3fe25fff,
    0xffffffff,0x7fffe403,0x7fffdc0f,0x7cc0001f,0x006fffff,0x7fffffc4,
    0xffffffff,0xf107ffff,0xfff107ff,0xffffff07,0xffffffff,0xff97ffff,
    0x4fffffff,0x1ffffffd,0x7ffffff7,0x3ffffff6,0x7fd46fff,0x1fffffff,
    0xfffffff7,0xffffffff,0xd8005fff,0xffffffff,0xffffffff,0x3fff60ff,
    0x43ffffff,0xffffffff,0x7fd402ff,0xfff886ff,0xfd00007f,0x8005ffff,
    0xfffffff8,0xffffffff,0x2e607fff,0x5c0ae202,0xbbbbbbbb,0xbbbbbbbb,
    0xfffffb9b,0x3ff66fff,0xff70ffff,0x3f25ffff,0xffffffff,0x7ffffcc5,
    0xff50ffff,0xffffffff,0xffffffff,0xfff90003,0xb39fffff,0x985bffff,
    0xefffffec,0x7ffed40b,0x8803dfff,0xfb03ffff,0x20000bff,0x006ffffa,
    0xffffff88,0xffffffff,0x0007ffff,0x40000000,0xcfffffeb,0x37ffff61,
    0x37fffee2,0x3fffb223,0xdb80ceff,0x42dfffff,0xffffffdb,0xffffffff,
    0x5cc0003d,0x00001acc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfec98000,0xffffffff,
    0xffffffff,0x00003dff,0x88888800,0x88888888,0x88888888,0x00000888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05a80000,0x7ffffec0,
    0xffffffff,0xffffffff,0xffb102ff,0xb100019d,0xffffffff,0xffffffff,
    0xffffffff,0x00007dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe60000,0x3fffe004,0xffffffff,0xffffffff,0xfa83ffff,0x01ffffff,
    0xfffb8b26,0xffffffff,0xffffffff,0xffffffff,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffc400,0xffff9002,0xffffffff,
    0xffffffff,0xffb81fff,0x2fffffff,0xf72fffa8,0xffffffff,0xffffffff,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80000,0x51001fff,0x55555555,0x55555555,0xff503555,0xffffffff,
    0x7fffd47f,0xfffffd15,0xffffffff,0xffffffff,0x09ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd8000000,0x0fffffff,0x00000000,
    0x2b7ffffe,0xbdfffffe,0x442fffff,0x99999999,0x99999999,0x99999999,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffb8,
    0x00000eff,0xfff98000,0x3fffa25f,0x6fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0xffffffff,0x00000bff,
    0x17ffa000,0x7fffffe4,0x00000eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff9800,0xfffff9cf,0x3332e604,0xcccccccc,
    0xcccccccc,0x5c03b80a,0x0effffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x2a5ffffe,0xc82fffff,0xffffffff,
    0xffffffff,0x1fffffff,0x9fd93000,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x077fffec,0x07ffffee,0xffffffff,
    0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff900000,0x3f601fff,0x3f60ffff,0xffffffff,
    0xffffffff,0x01ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffc400,0x7fff401f,0x3bb6e25f,0xeeeeeeee,
    0xeeeeeeee,0x000002ce,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x8803ffff,0x0005fffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x22003ffe,
    0x00001ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x00a88001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_50_usascii_x[95]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,4,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-2,-1,0,0,3,10,3,5,3,-2,9,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,11,7,2, };
static signed short stb__courier_bold_50_usascii_y[95]={ 36,7,9,5,5,8,11,9,7,7,8,10,30,21,
30,4,7,7,7,7,8,8,7,8,7,7,16,16,10,17,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,4,8,6,44,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18, };
static unsigned short stb__courier_bold_50_usascii_w[95]={ 0,8,16,22,20,21,21,7,11,11,20,24,11,19,
8,20,20,20,21,22,20,22,20,20,20,20,8,11,26,26,27,19,19,29,26,25,25,25,24,26,26,20,26,27,
25,29,28,26,24,26,28,22,24,27,30,29,27,26,21,12,20,11,20,31,9,25,27,24,27,24,23,26,26,22,
18,25,22,29,25,24,27,27,24,21,24,26,27,28,26,26,21,13,5,12,22, };
static unsigned short stb__courier_bold_50_usascii_h[95]={ 0,30,13,36,37,29,26,13,36,36,19,26,14,5,
7,38,30,29,29,30,28,29,30,29,30,30,21,25,26,13,26,28,33,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,34,27,28,27,28,27,27,27,27,27,35,37,35,16,6,8,22,29,22,29,22,28,31,28,28,
38,28,28,21,21,22,31,31,21,22,28,21,20,20,20,30,20,35,35,35,11, };
static unsigned short stb__courier_bold_50_usascii_s[95]={ 244,235,236,83,41,80,107,243,118,106,215,
82,243,236,240,20,111,102,218,132,146,1,155,123,197,176,240,244,55,130,27,
126,215,186,159,100,104,78,53,195,1,224,222,174,1,115,130,50,28,188,145,
77,90,167,1,32,62,216,202,175,62,163,109,180,245,201,52,227,24,151,144,
1,191,168,1,1,27,1,31,176,28,56,57,129,218,82,165,136,109,84,193,
130,144,150,157, };
static unsigned short stb__courier_bold_50_usascii_t[95]={ 27,1,215,1,1,72,187,87,1,1,215,
187,72,229,62,1,40,72,40,40,102,72,40,72,40,40,40,1,187,236,187,
102,1,159,159,102,159,159,159,102,159,131,102,131,187,131,159,102,159,1,131,
102,131,102,131,131,131,159,131,1,1,1,236,236,131,187,72,187,72,187,72,
40,72,72,1,102,102,215,215,187,40,40,215,187,72,215,215,215,215,40,215,
1,1,1,236, };
static unsigned short stb__courier_bold_50_usascii_a[95]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_50_usascii(stb_fontchar font[STB_FONT_courier_bold_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_50_usascii_s[i] + stb__courier_bold_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_50_usascii_t[i] + stb__courier_bold_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_50_usascii_x[i];
            font[i].y0 = stb__courier_bold_50_usascii_y[i];
            font[i].x1 = stb__courier_bold_50_usascii_x[i] + stb__courier_bold_50_usascii_w[i];
            font[i].y1 = stb__courier_bold_50_usascii_y[i] + stb__courier_bold_50_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_50_usascii_s[i] + stb__courier_bold_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_50_usascii_t[i] + stb__courier_bold_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_50_usascii_x[i] + stb__courier_bold_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_50_usascii_y[i] + stb__courier_bold_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_50_usascii_LINE_SPACING
#endif

