// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_41_usascii_BITMAP_HEIGHT        184
#define STB_FONT_times_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_41_usascii_FIRST_CHAR            32
#define STB_FONT_times_41_usascii_NUM_CHARS             95

#define STB_FONT_times_41_usascii_LINE_SPACING          27

static unsigned int stb__times_41_usascii_pixels[]={
    0x015c6200,0x26005d10,0x0000310b,0x001ca800,0xba988000,0x0001abcc,
    0x00000000,0x00000035,0x00000000,0x00007900,0x50000000,0x00ff221d,
    0xdd300be2,0xf9003c83,0x03ffffff,0x3fe7ff98,0x007fffff,0x9acdfda8,
    0x00bedba9,0xfdb73000,0x0000379d,0xfdb80079,0x17a0004e,0xfedba800,
    0xd7001bde,0x75c40000,0x21cefffe,0x3b620058,0x4405e880,0x80bea02f,
    0x554c00ec,0x401ffcaa,0xdff0fffa,0x40055555,0x71002eeb,0x74c0007d,
    0xffdabcef,0x5c4000df,0x00aceffd,0x3bf233f2,0x007dc000,0x5677f4c0,
    0x00dffdb9,0x20000fcc,0x9bdeffd9,0x6ddffdba,0x401bd100,0x0be204fa,
    0x7dc02fcc,0x0ffd4002,0xbff17640,0x0bb62000,0x006ec400,0x980fff20,
    0xf7002ffd,0xffd7bbbf,0x745fb83b,0x0be6004f,0x07ff9100,0x2017fec4,
    0x3ea0004e,0x7f4c01ef,0x00db007f,0x17c407fe,0xfb002fe8,0x0ffd4003,
    0x005ff800,0x0000ee98,0xfd1005b8,0x3ff6003f,0xc86fe404,0xff0ffea3,
    0x000ffb85,0xfe8800bd,0x9ff9001f,0xc80035c0,0x32000eff,0x02fc807f,
    0x3e209fb0,0x000ff982,0x2a001df1,0xff0001ff,0x05fa800b,0x401ec000,
    0x74003ffd,0x3ff502ff,0x98fea1e4,0x17fcc1ff,0x20007e40,0x74003ffd,
    0x03f102ff,0x00effb80,0x2a00fe80,0x1bfa007f,0x7fdc17c4,0x017ee001,
    0x8000ffd4,0x3e2005ff,0xe8800005,0x03ffea01,0x01fff500,0xe83c8dfb,
    0xf307fee3,0x02f9809f,0x007ffd40,0x403ffee0,0x3fe2004e,0x1f30001f,
    0xf0027fc0,0x20be20ff,0x22003ffb,0xffa801ff,0x0bff0001,0x00007f40,
    0xff104b80,0x3fe0007f,0x647ff84f,0x3ff23b83,0x2027fc41,0x7fc4004e,
    0xfff0003f,0xe801ae0b,0x6c0005ff,0x003ff501,0x7c41bfe6,0x004ffa82,
    0x7d402ff4,0xbff0001f,0x800bf200,0x440981a8,0x01fff907,0x07fff200,
    0x41e45ffd,0x307fee3a,0x076409ff,0x03fff600,0x0fffdc00,0x7d400fc4,
    0x4c0002ff,0x400dfd00,0x5f105ffa,0x800bff30,0x7d401ffc,0x26ea801f,
    0x5f8805ff,0xd99fb100,0x5b03ff71,0x000ffff0,0x3227ffd4,0x00790dff,
    0xff985ff5,0x0003f303,0x4000fffd,0x9d04fffa,0x00fffb00,0x27fcc000,
    0x207ff700,0x6ff882f8,0x027fd400,0x64407fea,0x17fe6fff,0x2a007f20,
    0x3fb220df,0xff887906,0x3e20006f,0x7ffd45ff,0xf8803c8e,0x40ffd43f,
    0xf88004e8,0x260006ff,0x0f705fff,0x006fff88,0x0fff2000,0x102ff980,
    0x017fe05f,0xa80dff30,0xfd5701ff,0x402ffcdf,0x06fa806f,0x12e09ffd,
    0x000bfff3,0xfe87fff8,0x9003eeff,0x905fd89f,0x3fe6000d,0x3e20005f,
    0x03f107ff,0x002fffd4,0x07ffd000,0xf101fe80,0x000bfa05,0x5403fff1,
    0x7fcc01ff,0xf5017fe6,0x00ffa807,0x16a05ffb,0x0009fff7,0x440ffff8,
    0x004ffffe,0x077d47f6,0xb8000fd4,0x40004fff,0x9d00ffff,0x027ffdc0,
    0x55555510,0x3ffe1555,0x817dc002,0x00ff02f8,0xa80fffe0,0x7fc401ff,
    0xfb017fe6,0x017fc401,0x22640ffd,0x0003fffc,0x440ffff4,0x00dffffd,
    0x0dfeec88,0x00404f88,0x0007fff9,0x701fffe8,0x1fffe40f,0xfff95100,
    0xff117dff,0x6f88003f,0x7f705f10,0x13ffe000,0x4401ffa8,0x017fe6ff,
    0x06fd80dd,0x89b02ffc,0x0003fffc,0x700ffff4,0x003fffff,0x441b6004,
    0xfc83dfec,0x740003ff,0x3f100fff,0x013fff20,0x237ffdc0,0x8000fff9,
    0x17c40be8,0xe8000baa,0x3fea04ff,0xf37fc401,0x206f80bf,0x3e602ffa,
    0xf70fe03f,0xf80009ff,0x74c00fff,0x0003ffff,0xfe881fa8,0xffa89f72,
    0x7fc0004f,0xb827407f,0x30004fff,0xffa89fff,0x3ae20007,0x3aa5f10c,
    0x7ec0000c,0x07fea05f,0x5ff9bfe0,0xdfd02fc0,0x300ffc80,0x5fffb83f,
    0x3ffe2000,0xfffd9007,0x7c40009f,0xfe89fb03,0x017ffe62,0x06fff880,
    0xfffa83dc,0xfff10005,0x00fffb87,0x443b6600,0x0007f92f,0x540bffb0,
    0x6ff801ff,0x4f8817fe,0x4407ff30,0x21aa06ff,0x0006fff9,0x4017ffe6,
    0x3ffff9bc,0x260db000,0x13fe41ff,0x4000dfff,0x4404fff9,0xffff881f,
    0x7fff0000,0x000fffa8,0x2f885b90,0x80007b22,0x3ea04ffd,0x26ff801f,
    0x0fe205ff,0xf900ffe4,0xe81e409f,0x2a0007ff,0x79002fff,0x003fffa2,
    0x3ee01f70,0xd07fdc0f,0x54000fff,0x4e803fff,0x005fffd0,0xf30fffe0,
    0xfb0003ff,0x3f20be20,0x7ffd0001,0x400ffd40,0x017fe6ff,0x81ff609f,
    0xf302fff9,0x0bffee01,0x037fe400,0x7ffc4790,0x80fe2002,0x7fd40ffc,
    0x00bffea2,0x8037fe40,0xbfff507b,0x0fffe000,0x8005fff1,0x05f103fb,
    0x3e000df1,0x3fea02ff,0x3e6ff801,0xf82fc05f,0xffdd106f,0x3fa01ec0,
    0xff88006f,0x90f2002f,0x2f4009ff,0x3ea1ff60,0x037fec3f,0x00fffc40,
    0xffb01f88,0xfff0003f,0x005fff07,0x5f101fe8,0x20007fa0,0x3ea01fff,
    0x26ff801f,0x82f405ff,0x4f440fff,0x00d706fe,0x8005fff1,0x20d06ffc,
    0x01ffd43c,0x7e400fb8,0x217fd40f,0x4002fff9,0x74004ffc,0x0dfff304,
    0x907fff00,0x7cc007ff,0x205f102f,0x7c4004ff,0x3fea00ff,0x3e6ff801,
    0xc83e405f,0x7cbaa3ff,0x041eb85f,0x2006ff98,0x1f00eff8,0x2ffa8790,
    0xa802f980,0x0ffdc0ff,0x10037fe4,0xb8001fff,0x13ffea07,0x507fff00,
    0x7dc009ff,0x105f103f,0xf9800dff,0x0ffd404f,0xbff37fc0,0xfa82f980,
    0x362ffeff,0x81db30ff,0x37fee069,0x077f4c00,0xc87907f0,0x05e800ff,
    0xfc85ff30,0x1bff700f,0x00dff980,0x2a02f880,0x3e005fff,0x6ff883ff,
    0x413fea00,0x5ff982f8,0x00ffd400,0x3e007fea,0x2017fe6f,0xbfff905e,
    0xeffffa81,0xea805b03,0xffa881ef,0x207fc00d,0x00bfe63c,0xfc8003f2,
    0x2601ffc4,0x5cc0aefe,0x6c0003ff,0x7ffecc04,0xffea80ad,0x01ff901d,
    0x4417fe60,0x04ffa82f,0x54037ec0,0x6ff801ff,0x3ee017fe,0x55005100,
    0x50035403,0xfffbdfff,0x3ffe003b,0x3fea790b,0x002f9803,0x5fd8bfd8,
    0x3bffb200,0x001dfffe,0xb5007b80,0xfdbbffff,0xf88019ff,0xdff1002f,
    0x3ee0be20,0x3fe2003f,0x01ffa802,0x17fe5ff8,0x00013a20,0x2000ba00,
    0x03fffffc,0x77ff64c0,0x000dffee,0x6d40009d,0x260003df,0x00000aba,
    0x26000644,0x009abcaa,0xf002fdc0,0x20be20df,0x32002ffb,0x3ff5006f,
    0x3e4ff880,0x05f3005f,0x02ec0000,0xfffff500,0x2a620001,0x000001de,
    0x00000000,0x00000000,0x3fd00000,0x4417fa00,0x01ff982f,0x54003fe0,
    0x7fc401ff,0xb8017fe3,0xd800000f,0xfe980005,0xc80006ff,0x00000003,
    0x00000000,0x00000000,0x01be2000,0x2f8817f4,0x5001ff88,0x7fd4003f,
    0xf17fc401,0x1ec800bf,0x0bd10000,0x7fec4000,0x15c0005f,0x00000000,
    0x00000000,0x00000000,0x300fe600,0x817c40bf,0x3f9804fa,0x30ffd400,
    0x7fc6f981,0x03fb8005,0x002f5400,0x5ffd9800,0x00000000,0x00000000,
    0x00000000,0x88000000,0x803b603d,0x03f602f8,0xa8003f98,0x47ff91ff,
    0x02ffc2fb,0x00bee980,0x000bbaa0,0x3bf22000,0x77777102,0x77777777,
    0x00777777,0x00000000,0x00000000,0xb8000000,0x2006f544,0x67dc02f8,
    0x64006d40,0x1fffffff,0x5f9dfff9,0xfffffff0,0x6fed400f,0xcba999ab,
    0x000002ee,0xbccca880,0xffffff30,0xffffffff,0x000dffff,0x00000000,
    0x00000000,0x53000000,0x7c400732,0x10db8802,0x5554c007,0xb710aaaa,
    0x2aa019bf,0x002aaaaa,0xefedcb88,0x00001acd,0x00040000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000f44,0x00000000,0x00012e20,0x10000000,0x00000097,
    0x40000000,0x9d002ed8,0x1000be20,0x003bffb5,0xbdfdb700,0x3fb66003,
    0xf70001ce,0x677f6dc0,0x32a01a0a,0x91003dfe,0x405bdffd,0x0005ffda,
    0x01efed40,0x6ffc9800,0xfeec9800,0x01640ace,0x1ff65cc0,0xff90bba6,
    0x540fe00d,0x3ff2000f,0x002ffcad,0x713bfd50,0x7dc01bfd,0x03ffffff,
    0xfe984e80,0xeffecbdf,0x2ffa207e,0x200effb9,0xff911bfb,0xfffdd81b,
    0xff500005,0x001df939,0x37ffee40,0xbfffb500,0x79df9535,0x7ecc005f,
    0xdffb00ad,0x400fffe8,0x00f901f9,0x3e60ffdc,0x7fcc000f,0x260bf900,
    0xffffccff,0x07e2001f,0xd1019ff1,0x3ba60fff,0xa81ffd80,0x0bff703f,
    0x00017ff2,0xdf703fea,0xffa80001,0x39ff9006,0x1fffe440,0x803ffc80,
    0x7ff46ffc,0x807d400f,0xdff1005d,0xd000bfa0,0x17fcc09f,0x3fea0ba2,
    0x21ee004f,0x7f4407fe,0x2207fd07,0x00ff86ff,0x3ea03ffa,0x7cc0005f,
    0x00bfd02f,0x406ff980,0x2004ffd8,0x6c403ffa,0xb91001ef,0x807ffd83,
    0x400fe06c,0x7f903ffa,0x00ffcc00,0x405913fe,0x3a007ffc,0x401ffcc4,
    0x07fb87e8,0xff31ffe4,0x41ffe405,0x40005ffa,0x3fea07fd,0x3fe20001,
    0x02ffe406,0x36027dc0,0x900001ff,0x0bd00fff,0x7dc00be2,0x005ff04f,
    0x3a017fd4,0x3e600c5f,0x1f8800ff,0xc8017fdc,0x4406fe87,0xbff30fff,
    0x4c37fdc0,0x260005ff,0x2ffc05ff,0x0dff1000,0x0007ffd4,0x3fee04e8,
    0x3ee00002,0x503f806f,0x3fee001f,0x000efa86,0xff013fe6,0x0bfd0005,
    0x3ff21ee0,0xf88f3005,0x2fff805f,0xffb81ffe,0x005ff985,0xd00fff20,
    0x220003ff,0xfff106ff,0x82dc0009,0x00005ff9,0x2202ffd4,0x400f901f,
    0x3a20fffa,0xfff8002f,0x001ff302,0x3a005ff0,0x02fffa84,0x05ffa8f0,
    0x3a63ffd8,0x20fff203,0x20005ff9,0x7e401ffe,0xff10003f,0x07ffee0d,
    0xfd058800,0x9800001f,0x3bba64ff,0xeeeeefee,0x404eeffe,0xff53fff9,
    0x3ff60005,0x003fe81f,0xf1004f98,0x7ffff103,0x6ffb8300,0x004ffc80,
    0x7cc0fff4,0x37bf265f,0x03fff302,0x5c04ffb8,0xff8befec,0x00fffd06,
    0xbff90100,0xff100000,0x766664c7,0xfccccccf,0xfe803ccd,0x220dfdef,
    0x2eeeeeee,0xb1ffffc4,0x1760007f,0x3f607b80,0x2001efff,0xfb807ffa,
    0x3fea006f,0x2ebff304,0x83ffffff,0x5c00fffa,0x7fd106ff,0xdffff731,
    0x00bfff10,0x5fff1000,0x0000554c,0x09d00bfe,0xf7000be2,0x3e605dff,
    0xf300bfff,0x03db9fff,0x8003f600,0x7fff404e,0xf9800dff,0x7fe400ff,
    0x81bf6006,0xcdfbdff9,0x5c3ffffd,0x7d400fff,0x81fe887f,0xfa86fffa,
    0x800004ff,0xffc8fffa,0x0000dfff,0x1fc405ff,0x5c000fa8,0x3200ffff,
    0xff9802ff,0xa8000fff,0x8801fffe,0x7ff4401f,0x4403ffff,0x7ec04fff,
    0x3ff3005f,0x06fffcc0,0xb83fffe6,0xffa807ff,0x3204fe87,0xfffb86ff,
    0xfc800004,0xeb99bfff,0xe8000eff,0x407e601f,0x3fa6006c,0x3204fffe,
    0x3fe6005f,0xd3001eff,0x09ffffff,0x3ee006b8,0x02ffffff,0xd803fff2,
    0x5fb004ff,0x205ff980,0x3f24fff9,0xfffa807f,0xa803fea0,0xfffc86ff,
    0xfd800003,0xfff880cf,0x00fd8005,0x005e81ee,0xfff15ff9,0x003fa03f,
    0x7ffef744,0x36a2001f,0x3a02ffff,0x7fec4004,0xf105ffff,0xfd881dff,
    0x3f9803ff,0x405ff980,0x3ff26ffd,0x0fffa806,0xff101bfa,0x07fff90d,
    0x3fff0000,0x217ffd40,0x80f902b8,0x200fe06d,0x3fee1efd,0x003f886f,
    0x3ff21df3,0xfa8001ff,0x03f105ff,0x3fffa600,0xffd305ff,0xff9dd9bf,
    0x00b9003f,0xf3017fe6,0x03ffdcff,0xff33ffdc,0x86ff880b,0x0005fffb,
    0x00fffcc0,0xfff17ffe,0x9988d70d,0x99999de9,0x40999bfa,0xffe80ffd,
    0x8803644f,0x7ffdc1fe,0xffa8000f,0x0000d707,0x07fffff7,0x4f7ffb22,
    0x1f006ffd,0x017fe600,0x3ea1fff1,0x7ffb807f,0xf1013fee,0xdfff50df,
    0xffa80000,0x37fe400f,0xa85ffff5,0x7ffffd45,0xffffffff,0x3fee6fff,
    0x3ffff505,0x7ec007ea,0x05fff704,0x20bffa00,0xb100004e,0x1000ffff,
    0xb1005fff,0x02ffcc00,0xff987ffc,0x37fdc00f,0xf8809ff9,0x7fff886f,
    0x7fcc0000,0x27ffa807,0x4c5ffff8,0x57dccc44,0x9ed99999,0x3ffe0999,
    0x3bfff603,0xff1003f8,0x02ffe405,0x4c2ffc80,0x000d401f,0x8003fffd,
    0x93007ffc,0x02ffcc00,0xfff13ffc,0x24ffd801,0x7c405ffd,0x3ffff06f,
    0xfff80000,0x23ffcc00,0x1446c9a8,0x02740f70,0x4401fff5,0x006efffe,
    0xfd007fee,0xff50001f,0x4b806b81,0x0fffe200,0x02fff880,0x7cc00550,
    0x45ff805f,0x7f402ffd,0x01bff22f,0x3ee0dff1,0x400002ff,0x7c402ffe,
    0x000fa06f,0x701fc0d9,0xf9807fff,0x36003fff,0x1ffb807f,0xe87fa800,
    0x4007b804,0x2e003ffd,0x002004ff,0x880bff30,0x27fd44ff,0xff71ffe0,
    0x37fc401f,0x000dffd0,0x0fff20c8,0x2209ff30,0x8274000f,0x3ff201f9,
    0xfffc806f,0x7e4a603f,0x07fcc00f,0x261fdc00,0x01fb801f,0x4007ff60,
    0x00006ff9,0x202ffcc0,0x6ff81ffa,0xf313fe60,0x7fc409ff,0x0fffee06,
    0x3e61dc00,0x0ffd405f,0x102984d8,0x803ea05f,0x201ffffa,0x3fffffe8,
    0x0bfe65d0,0x1000df70,0x200d70dd,0xf9800efb,0xbfd1006f,0x002a8001,
    0xfd017fe6,0x403fee07,0xffd80ffd,0x0dff100f,0x002fffc8,0x2ffb8354,
    0x3a613f20,0x985ffb84,0x880d901f,0xb81efffe,0xffffc9ef,0x6c6eb9be,
    0x10ffc06f,0x0fec05b9,0xffb80274,0x0ffec00e,0x0027f440,0x98027fe4,
    0xbf700eff,0xf985fc80,0xffff302f,0x1fffe883,0x0fffee01,0xfd007640,
    0x503be20d,0x1fff603b,0x804d81ee,0xcefffff9,0x7fdc3ffd,0x41ffffff,
    0x64c0dfd8,0x77ffd42f,0x80dea99b,0xff7001f9,0x6cc159ff,0xffa802ff,
    0xdfff0002,0x3fffa200,0x01bf710a,0x7f4c7fb0,0x7fffd402,0xfffbedcd,
    0x3fe602ef,0xb7319cff,0x9ff100bf,0x00077441,0x36c2ffdc,0x366007f0,
    0x1effffff,0xbffffd50,0x66ffdc03,0xffb00dfe,0x407dffff,0x276e006c,
    0xffefffdb,0xfb7300df,0xfc80007d,0x7f54003f,0x002ffeff,0x33fbfb22,
    0xfffd3001,0x5bff13df,0x3ff72200,0x01dfffff,0x377ff620,0x14c0004e,
    0x039102b8,0x01bba980,0x8002aa20,0x88009a98,0x57000aaa,0x54c04c00,
    0x564009bc,0x26000009,0x2a620001,0x0cc0000a,0x41551000,0x4c0000b8,
    0x00009aca,0x00002a62,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65440000,0x40000002,
    0xb800005a,0x4ccccccc,0x00000000,0x000b5000,0x00000000,0x332a072a,
    0x22cccccc,0xcccccccb,0x9999502c,0x3332a599,0x01cccccc,0x66666644,
    0x805b880c,0x366006c8,0x00cfffde,0x2b3bbb22,0x3ffe4400,0x3fe60000,
    0x04ffffff,0x4efff654,0x5da806c8,0x80b7fae6,0x0007ffc9,0x001a6000,
    0x221bfe60,0xaeffffda,0x3fffea20,0xb5100adf,0x2e215fff,0xacfffffe,
    0xfffda800,0x37fe4c3e,0x00dff910,0xfff98fe2,0x265df504,0x4eeeeffd,
    0x00fffdb5,0xffffd800,0x3600ffff,0xfffc9acf,0xfff7106f,0x3ffffe6b,
    0xffedb84f,0x20000007,0x4c0001fd,0x3fa00fff,0x3fe601ff,0x3fe001ff,
    0x17fff601,0x207ff400,0x886fffdc,0x806ffffc,0x7ff986e8,0xfc80ff98,
    0x7cc3eeef,0x2600007f,0xcccccccf,0x103fd103,0x2ee0dfff,0xcef8dffe,
    0x303ffffd,0x00000fff,0x0013fe20,0xf700bb20,0xffc805ff,0x09f1000f,
    0x006fff98,0x7d405fb0,0xff90986f,0x20bf900d,0x05fe82ea,0xff80bff1,
    0x1b600007,0x7017f400,0xffa80dff,0x7ffcc1ee,0x00fff00f,0x3ff20000,
    0x0000000f,0x9809fff1,0xf5002fff,0x1fffb003,0x405f8800,0x7cc06ff9,
    0x05fe806f,0xd027fcc0,0x07ff80ff,0x005f1000,0xf980df70,0x7ffcc06f,
    0x09fff501,0x00001ffe,0x01ffffc0,0xffb00000,0x0bffd00f,0x7d401f20,
    0x7d4002ff,0x037fc401,0x3e01bfe2,0x7fdc004f,0x80bff604,0x900007ff,
    0x9ff1000d,0x406ff880,0x7f405ff9,0x00fff06f,0xfdf50000,0x000000df,
    0x200fffd4,0xf800fffb,0x1bffa004,0xf100dd00,0x6ff880df,0x0027fc40,
    0xfd817fea,0x01ffe02f,0x33bfe200,0x07ff3002,0x4c06ff88,0x7fd405ff,
    0x000fff07,0xff5dd000,0x0000003f,0x26027ffc,0x7d402fff,0x3ffee001,
    0x007f3001,0xf880dff1,0x27fd406f,0x81bfe200,0x3fe01ffd,0xffc80007,
    0x5c03ffff,0x7fc402ff,0x02ffcc06,0x3e03ffe6,0x4000007f,0x0bffd2f9,
    0x7e400000,0x7ffdc07f,0x20036405,0x9005fff8,0xdff1001f,0xa86ff880,
    0xcceffdcc,0x1ffe803c,0xff80dff0,0xccccc987,0x7fffc43c,0x900effff,
    0xff8805ff,0x02ffcc06,0x3e03ffe2,0x16fedc7f,0xfb9f6000,0xd50000ff,
    0x3ffe600d,0x3ffffa02,0x2000fe00,0xf800fffc,0x0dff1004,0xeb86ff88,
    0xeeefffee,0x0efe8805,0x3e007fdc,0x7fff507f,0xd7331013,0xb03fffff,
    0xff8805ff,0x02ffcc06,0x7ff83ffc,0x7fffffd1,0x893e2000,0x26003fff,
    0x2006fffc,0x9f104ffe,0x3ea07fff,0xfff88001,0x800fd404,0x7c406ff8,
    0x27fd406f,0xcffe8800,0xf800dfea,0x01bf507f,0xffffd300,0x403ffc81,
    0x7cc06ff8,0x06ff805f,0x359d1fff,0x0001fff9,0x7ffc81f7,0x3ffaae00,
    0x1fff2006,0x37fec7dc,0x360006d8,0x037407ff,0x880dff10,0x7fd406ff,
    0x77d10004,0x7c003599,0x004f987f,0x44fffb80,0x7c406ffb,0x2ffcc06f,
    0x7c17fe20,0xffd81eff,0x985f8003,0x54002fff,0x3e6006ff,0xf55e82ff,
    0x03f881ff,0x0bffea00,0xf1001fcc,0x6ff880df,0x0027fd40,0x40001f44,
    0x027d47ff,0x1fff7000,0x1017ffd4,0xff980dff,0x817fcc06,0xff500fff,
    0x01fa800b,0x8800bffd,0x7f4006ff,0xf897c45f,0x007d43ff,0x41bffa00,
    0x3e2000fc,0x37fc406f,0x0013fea0,0x200007fa,0x00fee7ff,0x0bff6000,
    0x3603dffd,0x7fcc06ff,0xf02fec06,0x2ffcc0ff,0xfa81ba00,0x3e2001ff,
    0x7fdc006f,0xfd83ee0f,0x00036c6f,0x220fffdc,0x7fc4004f,0x037fc406,
    0x10013fea,0x55799fff,0xfff00355,0x00000bee,0x3ea1ffcc,0xda89bfff,
    0x7cc06ffc,0x3ff102ff,0xf303ffc0,0x17cc00bf,0x8013ffe0,0x44006ff8,
    0x517a2fff,0x0fe23fff,0x3ffe2000,0x2000fdc5,0x7c406ff8,0x27fd406f,
    0x3fffe200,0xffffffff,0xf9fff00b,0x4000007f,0xfffc84ff,0xff8affff,
    0x7fffcc06,0x2017f441,0x3fe207ff,0x333f2006,0xfecccccc,0xff1000ff,
    0xbffb000d,0x3ffe0be6,0x00001f54,0x6e83fff2,0x06ff8800,0x2a037fc4,
    0xe98004ff,0xffffffff,0xfff06fff,0x0003fff5,0x5c0bf600,0xf12fffff,
    0xdff980df,0x1efdcffb,0x2207ff80,0xdf1006ff,0xdddddddd,0x2007fffd,
    0xa8006ff8,0x907c8fff,0x001b6fff,0x34fff880,0xff10005f,0x06ff880d,
    0x40027fd4,0xaa9988e9,0x81ffdcaa,0x1fff97ff,0x1fb00000,0x7c41a980,
    0xaffcc06f,0x2000aaa8,0x3fe207ff,0x001f7006,0x4401bff6,0xf88006ff,
    0xf304ebff,0x0007f5ff,0xf97ffd80,0x1bfe2000,0xa80dff10,0x7cc004ff,
    0x20fe6001,0x1bff67ff,0x01fe0000,0x406ff880,0x80005ff9,0x3fe207ff,
    0x400bd006,0x8801fffa,0xfb0006ff,0x7fc03fff,0x00000fff,0x27dfffcc,
    0x06ff8800,0x2a037fc4,0x374004ff,0x7fc16c00,0x013ffe27,0x002f9800,
    0x301bfe20,0xf0000bff,0x37fc40ff,0x2000fd40,0xf8805ffe,0xff50006f,
    0xfffc80ff,0xfd000005,0x20003fff,0x7c406ff8,0x27fd406f,0x800df900,
    0x47ff80f8,0x1803fff9,0x40004e80,0x7cc06ff8,0xff80005f,0x01bfe207,
    0x3ee001ba,0x7fc400ff,0x3ffe0006,0x1fffcc04,0xffb80000,0x3e20006f,
    0x37fc406f,0x8017fee0,0xd3004ffd,0x703ffe05,0x7f403fff,0x00ee981e,
    0x037fcc00,0x00017fe6,0xff981ffe,0x001fd406,0x2027ffcc,0x20006ff8,
    0xfe801ffc,0x2000000f,0x20002fff,0x7c406ff8,0x2ffdc07f,0x9ffff300,
    0xfb553355,0x03ffe207,0x7403fff6,0xfdbcffff,0xff300004,0x06ffa80f,
    0x07ffc400,0x7407ff98,0xfff0001f,0x3ffcc03f,0x00df3000,0x000017ee,
    0x8000ff90,0x7dc07ff9,0xffd102ff,0x7f54003f,0xffffffff,0x3ffea00d,
    0x1ffff982,0xefffffa8,0x3200001c,0x3f601fff,0x2a0001ff,0xff902fff,
    0x9ff9103f,0xffff3000,0x3ffee03d,0x00fa0001,0x000017c4,0x00013e20,
    0xe883fff9,0x5efffffe,0xffffffb3,0x32a0039d,0x01bcefee,0x3fffffae,
    0xffffd33e,0x155307df,0xffc80000,0xd12effff,0x7dffffff,0x7fff5400,
    0xffd93eff,0x3f21dfff,0x805fffff,0xffffffe9,0xfffd71ff,0x50003dff,
    0x0005c001,0x0005c000,0xfffffea8,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x666665c0,
    0x2603cccc,0xcccccccc,0x00000001,0xcccc9800,0xcccccccc,0xccccc883,
    0x930ccccc,0x00399999,0x6666664c,0x999930cc,0x55599999,0xcccca801,
    0xcccccccc,0x1ccccccc,0x59999993,0x332e0000,0x9930cccc,0x59999999,
    0x10001355,0x99999999,0x98800799,0xadfffffc,0x3fae6200,0x80009cff,
    0x326007fa,0xc802cefe,0xffffffff,0x5305ffff,0x37dffffd,0x7fffdcc4,
    0xd731000e,0x4c437fff,0xffffffeb,0x902effff,0xffffffff,0xffffffff,
    0x2e627fff,0x000fffff,0x77fffcc0,0x3fae621b,0xffefffff,0x4c000eff,
    0xbeffffeb,0x3f20000a,0xf88004ff,0x3e20001f,0xffc8807f,0x00dfffff,
    0xfffffff1,0x05ffffff,0x007fff88,0x000bfffb,0xff100ff1,0x3f2a23bf,
    0x9efd84ff,0x4c3ffd40,0xffa83feb,0x6c0003ff,0xf8807fff,0x7f4c0dff,
    0xff0003ff,0x200001ff,0x0002fffa,0xfd8000dd,0xfffd807f,0x06fffffe,
    0x5559bdf7,0x01ff7555,0x200bffd0,0x004fffe8,0xfff006f8,0x3bffee09,
    0xffa81760,0x220fe207,0x0006ffff,0x017fffe2,0xf9027ffc,0xfd0009ff,
    0x4c0000df,0xd0001fff,0x7fdc000d,0x56fd407f,0x13fffa60,0x2fd4017a,
    0x005ffe80,0x00bffff2,0x3fa00bd0,0x3fff604f,0xffa80b64,0xef825407,
    0x90002fff,0x200bffdf,0x3a204ffe,0x6c001fff,0x200005ff,0x0001fff9,
    0x3e6000dd,0x2f407ffb,0x983fffa0,0x00bf6005,0x90027fec,0x003fffff,
    0xffe802f4,0x9fffe604,0x03ffd406,0x7f674122,0xdf88006f,0xfd004ffd,
    0xfffc809f,0x2ffec003,0xfff30000,0x01ba0003,0x07ffaf40,0xff3003e2,
    0xf0004c3f,0x3ff6001f,0x3ebf2004,0xbd000fff,0x813ffa00,0x010ffff8,
    0x0807ffa8,0x5fff59d0,0xfd9fb800,0x9ffd004f,0x05fffa80,0x002ffec0,
    0x03fff300,0x2001ba00,0x40fff0fc,0x5ffd003a,0x017ea000,0x2004ffd8,
    0x0dfff97c,0x7f4017a0,0x7fff404f,0x0fff5001,0xffea7400,0xfdafc005,
    0x9ffd004f,0x04fffa80,0x002ffec0,0x03fff300,0x3001ba00,0x003ffc5f,
    0x001ffd80,0x6c005f90,0x9f2004ff,0xe804fffd,0x09ffd005,0x000ffff8,
    0x4000fff5,0x03fff54e,0x7fecbee0,0x09ffd004,0x003fffc8,0x0002ffec,
    0x003fff30,0xe8801ba0,0x0003ffc4,0x20007fd8,0x3f6000ff,0x89f2004f,
    0x7403fffe,0x09ffd005,0x0037ffc4,0x4000fff5,0x017ffe4e,0x09ffb374,
    0x8813ffa0,0x4000ffff,0x00005ffd,0x0007ffe6,0x0db00374,0x20000fff,
    0xf50005fe,0x4ffd800b,0xff11f200,0x02f403ff,0x3204ffe8,0x2a003fff,
    0x3a0007ff,0x003ffee4,0x27fec5f5,0x204ffe80,0x8002fffd,0x00005ffd,
    0x0007ffe6,0x1fa80374,0x80007ff8,0x90002ff8,0xffd8007f,0x261f2004,
    0xbd00ffff,0x413ffa00,0x4005fffa,0x20007ffa,0x13ffe24e,0x4ffd8fd0,
    0x509ffd00,0x0003fffd,0x00017ff6,0x001fff98,0x7f100dd0,0x0001ffe0,
    0xf8001bea,0x7fec000f,0x5c1f2004,0x0bd06fff,0x26b7ffa0,0x0cfffca9,
    0x03ffd400,0xffc89d00,0xd87f300f,0xffd004ff,0xdfffdb9d,0x7ec00017,
    0x2600005f,0xd0001fff,0x7c0db00d,0xfe80007f,0x0bf30001,0x009ffb00,
    0xfff903e4,0x3a00bd0b,0xfffedeff,0xf50001cd,0x274000ff,0x6c0fffe2,
    0x027fec0f,0xecceffe8,0x80000fff,0x00005ffd,0x0007ffe6,0x03ee0374,
    0x40007ff8,0x320004fb,0xffd8003f,0xd01f2004,0x05e87fff,0x0009ffd0,
    0x01ffea00,0xffc84e80,0xfd84f887,0x9ffd004f,0x002fffc4,0x002ffec0,
    0x03fff300,0xf9817a00,0x003ffc02,0x8000bf10,0xfd8000ff,0x01f2004f,
    0x745ffff1,0x09ffd005,0x3fea0000,0x213a0007,0x7e43fff9,0x004ffd80,
    0xffa89ffd,0x7ec0003f,0x2200005f,0xd0001fff,0x7c02f40b,0x3b60007f,
    0x17e60000,0x027fec00,0xff300f90,0x4017a1ff,0x00004ffe,0x000fff50,
    0x6ffd8274,0x7fec17e2,0x09ffd004,0x0003fffb,0x0002ffec,0x005fff10,
    0x7fd413e0,0xffffffff,0x01ffffff,0x80001f90,0xfb0003fc,0x03e4009f,
    0xe8efffa8,0x09ffd005,0x3fea0000,0x413a0007,0x3f72fff9,0x4013ff60,
    0xfe884ffe,0x3f60006f,0x7c00005f,0xf88003ff,0xfffff503,0xffffffff,
    0xf7003fff,0x1ff00003,0x0fff6000,0x32007c80,0x005edfff,0x00009ffd,
    0x001ffea0,0x3ffa04e8,0x7fec0bf6,0x09ffd004,0x0013ffe6,0x8002ffec,
    0x00bffd03,0x32605f50,0xcccccccc,0x0cccfffc,0x0000fd40,0xb0002fcc,
    0x3e4005ff,0x3ffff600,0x09ffd005,0x3fea0000,0x813a0007,0x02fdfffa,
    0x74013ff6,0x3fee04ff,0xffd8002f,0x903b8005,0xd8001fff,0xff80000f,
    0x00be6007,0x001fe400,0x4001ffb0,0x7f44007c,0xffd005ff,0x2a000009,
    0xd0000fff,0x6fffe809,0x8027fec0,0x7ec04ffe,0x7ec000ff,0x07c4005f,
    0x002fff88,0x400013f2,0x5f3007ff,0x3fa01200,0x745fc800,0x03ec006f,
    0x02fffcc0,0x0004ffe8,0x01fff700,0xf7017e00,0xffe805ff,0x09ffd005,
    0x006fff88,0x20037fec,0x7ffdc06c,0x00efc802,0x00fff000,0x7b1005f5,
    0x8805f980,0x07fe2fff,0x2000fd00,0xff005ffa,0x200000bf,0x0001fffb,
    0x0fff00df,0x200dfff0,0xfa805fff,0xfd000dff,0x3fa200ff,0xdfffb803,
    0xdffb731a,0x7fc00001,0x777fd407,0xfeeeeeee,0x01fe400f,0xf98effe8,
    0x5ffd4003,0x05fb8000,0x17fffe44,0x3faa0000,0x22000cff,0x7dc02ffc,
    0x3ffee203,0x3ff2202f,0xffc802ff,0xf7100bef,0x9999dfff,0x3fffd999,
    0x3fff6600,0x03efffff,0x07ff8000,0x3fffffea,0x6fffffff,0x5000fe80,
    0x009fffff,0x3fffff22,0x2ec001df,0xfffffd98,0x40004fff,0xffffffeb,
    0x3f6602df,0x80cfffff,0xffc880f8,0x0cffffff,0xffffffb3,0x7f4019ff,
    0x3226ffff,0xffffffff,0xffffffff,0xa988006f,0x0001aacb,0x441ffe00,
    0xffffffff,0x03ffffff,0x4c001e44,0x000000ab,0x00001800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33260000,0x4ccccccc,
    0x66666644,0x999103cc,0x99999999,0x33333320,0x333263cc,0x0ccccccc,
    0x6666664c,0x99934ccc,0x99999999,0x47999999,0xccccccc8,0xcccccccc,
    0x664c2ccc,0xcccccccc,0x00009aaa,0x3333332e,0xcccccccc,0x99930ccc,
    0x79999999,0x95001355,0x99999999,0x66664c07,0x3320cccc,0xcccccccc,
    0xeb988001,0x81adffff,0xaeffffb9,0x3fff6a00,0x301bffff,0x15dfffd5,
    0x7fff54c4,0xb9881adf,0x1acfffff,0xffffd731,0xffdddddd,0xfdb98dff,
    0xeeeeefff,0x45ffffee,0xffffeb98,0xffffefff,0x7f4002cf,0xffffffff,
    0x4fffffff,0x3fffae62,0xffeeeeff,0xf7100bef,0x15dfffff,0x7ffecc40,
    0x7ed4c1bf,0x009cffff,0x3ffe2016,0x2fff8806,0xffffc800,0x07ff5005,
    0x00dfff10,0x202fffcc,0x4404fff8,0x3ffe06fd,0x40bf7005,0x209dfff8,
    0xefffdb98,0x137ff001,0x06fff980,0xa813ffe2,0x2201ffff,0x000ffffd,
    0x7400f7fc,0x79800fff,0x00bfff00,0x40003df7,0xb007fffc,0x7ffc007f,
    0x3ffe2005,0x04fff804,0x7ff40f90,0xf016e005,0xff7009ff,0x2f8809ff,
    0x07fffa00,0xb009fff0,0x7c403fff,0x22001fff,0xffb001ff,0x401f600f,
    0x7d404ffe,0xfd80000e,0x27d403ff,0x013ffa00,0xf007fff0,0x1e2009ff,
    0x2005ffd8,0x27ff4069,0x3fffe880,0xfc801a20,0xffe803ff,0x6ffe8804,
    0x02fffd40,0x64007f90,0x7fc807ff,0x409ffd00,0x00000ef9,0x201ffff1,
    0xfe8005f8,0x7ffc004f,0x04ffe803,0x5ffd8120,0x3fa02400,0x3fe2004f,
    0x009301ff,0x4017ffe6,0xf7004ffe,0xffd803ff,0x05f8802f,0x2037fe40,
    0xfd007ffa,0x03be609f,0xfff30000,0x001dd10b,0x8009ffd0,0xfe803fff,
    0xfb00004f,0xe80000bf,0x7dc004ff,0x003106ff,0x001fffd1,0x54013ffa,
    0x7c403fff,0x7e400fff,0x37fe4000,0xcffffc88,0x9ffd03cc,0x0001df30,
    0x0ffff200,0x3a0003fb,0x7fc004ff,0x4ffe803f,0xbffb0000,0xffe80000,
    0xfffe8004,0x3ff20001,0x3ffa002f,0x5fff5004,0x09fff500,0x64001fcc,
    0xfdd706ff,0x209dddff,0x77d44ffe,0x74000000,0x05f70fff,0x027ff400,
    0x200fffe0,0x02c04ffe,0x8805ffd8,0x09ffd004,0x09fff700,0x17ffea00,
    0x009ffd00,0xd801fff6,0x0dd01fff,0x01bff200,0x7f401ffe,0x003bea4f,
    0x3fe60000,0x0004f9df,0x20027ff4,0xfe803fff,0xd803404f,0x049805ff,
    0x0009ffd0,0x000ffff3,0x001dfff1,0x8804ffe8,0x22005fff,0x1fb86fff,
    0x0dff9000,0x3a00fff0,0x01df74ff,0x7e400000,0x80006fff,0x7c004ffe,
    0xffe803ff,0x6c01b204,0x04e805ff,0x0009ffd0,0x000ffff1,0x0003fffb,
    0xf9809ffd,0x54001eff,0x13e64fff,0x06ffc800,0xfd007ff8,0x005ff79f,
    0xffd00000,0xfd00003f,0x333333bf,0xfff33333,0x9dffd007,0x0dffb999,
    0x2abbff60,0x4fecbaaa,0x009ffd00,0x003fffe0,0x004fffb8,0x335bffd0,
    0x9fffb753,0x7ffec000,0xc8000db1,0x7ff806ff,0xffdffd00,0x000003ff,
    0x06fff980,0xffffe800,0xffffffff,0x803fffff,0xfffffffe,0xfb006fff,
    0xddddddff,0x3a009fff,0xfd0004ff,0x3e2003ff,0x3a0006ff,0xffffffff,
    0x000cffff,0x2fbffe20,0x7e40001f,0x07ff806f,0xff99ffd0,0x000003ff,
    0x1ffffd40,0x37ffa000,0x99999999,0x03fff999,0xd304ffe8,0x17ff600d,
    0x3a009f50,0xfd0004ff,0x3fa001ff,0x3a0001ff,0x2ea20dff,0x00cffffc,
    0x9ffff700,0xdff90000,0x200fff00,0xfff94ffe,0x0000003f,0x1fffdbf1,
    0x27ff4000,0x00fffe00,0x68813ffa,0x00bffb00,0x3ffa0097,0xffff0004,
    0x0ffff200,0x09ffd000,0x0ffffe88,0x1fffb000,0xdff90000,0x200fff00,
    0x3ff24ffe,0x000001ff,0x7ffcdba2,0x3ffa0006,0x1fffc004,0x2027ff40,
    0x0bffb006,0x3fa00930,0xff98004f,0xfff9806f,0xffe80005,0xbfffb004,
    0x1ffee000,0x37fe4000,0xe803ffc0,0x7ffe44ff,0xb000001f,0x1fffe41f,
    0x04ffe800,0x401fffc0,0x00c04ffe,0x3005ffd8,0x013ffa00,0x017ffea0,
    0x001fffd1,0x009ffd00,0x007fffe2,0x001ffee0,0x4037fe40,0xffd007ff,
    0x3ffff909,0x2fb80000,0x001fffe8,0x4004ffe8,0xfe803fff,0xfb00004f,
    0xe80000bf,0xfc8004ff,0x7fe402ff,0xfd00002f,0x7ff4009f,0xffb8003f,
    0xff900007,0x00fff00d,0x7e413ffa,0x00001fff,0x3fe609f3,0xffe8006f,
    0x1fffc004,0x0027ff40,0x005ffd80,0x13ffa010,0x0dfff300,0x005fffa8,
    0x4ffe8144,0x13fff200,0x01ffee00,0x037fe400,0xfe803ffc,0x3fff204f,
    0x7c40001f,0x1fffe405,0x013ffa00,0xd007fff0,0x200009ff,0xa8005ffd,
    0x009ffd03,0x201fffd8,0x000ffff8,0x4ffe815c,0x07fff600,0x01ffee00,
    0x037fe400,0x20107ffc,0x7e404ffe,0x10001fff,0xfe8801dd,0x3fa001ff,
    0x7ffc004f,0x04ffe803,0x0bffb000,0xfd01f880,0x7fd4009f,0x7ffec04f,
    0xd01e8002,0x7fc009ff,0xff70007f,0x3f20000f,0x3ffd806f,0x13ffe0b1,
    0x0bffff20,0x003fd100,0x003bffea,0x2002fff4,0xff803fff,0xfd00004f,
    0x06d800bf,0x5c013ffa,0x7dc04fff,0x7b8004ff,0x4013ffa0,0x0004fffc,
    0x0000fff7,0x2e01fff2,0xf00fffff,0x3fa00bff,0xb1003fff,0xffe800bf,
    0xbfff005f,0x27ffc400,0x002fffc0,0x006ffe80,0xfff80ff2,0x77ff4404,
    0x37ffc401,0xf037d400,0xfc8809ff,0x320004ff,0x80000fff,0xfb007ffd,
    0xff9105bf,0xffd003ff,0x2015dfff,0x2006fffa,0x1dfffff8,0x3ffff910,
    0xdfff9100,0x3fff2201,0x7d40001f,0xaaaacfff,0x0fffcbaa,0xcffffc88,
    0xffecbaab,0xfffd004f,0x55555559,0xbffd9755,0x9ffff910,0xff975559,
    0x540005ff,0x000cffff,0x0ffffea0,0x7ecc0440,0x4effffff,0xffffffb8,
    0x3f26ffff,0x05ffffff,0x3fffffa2,0xfb31ffff,0x9dffffff,0xffffd981,
    0xfb34efff,0x9dffffff,0x7ff64400,0xffffffff,0x46ffffff,0xffffffd9,
    0xacdeffff,0xfff70009,0xffffffff,0xffffffff,0x7fffecc7,0xffffffff,
    0x0000bcee,0xffffffd9,0x7e4003bf,0xdfffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3332e000,0x99904ccc,0x00000199,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1e666640,0x01666664,0x665c0000,0x9950cccc,0xb8399999,
    0x0001cccc,0x2fffff26,0x05ffb301,0x0000fa80,0x875c4000,0x400002ea,
    0x32202fd8,0x9803effd,0x01bdffed,0x3bfb6e20,0xfd73000c,0x3ae0059b,
    0x4c6acdff,0xb986ffe9,0x6d404fff,0x01efed47,0x43dfffb3,0xadfffea8,
    0x05ffe440,0x9fb33ed4,0xb807ffd8,0x0fa8002f,0x91000000,0x7ff449ff,
    0xfc80000b,0xbefa80ff,0x901effda,0xffd715df,0x35dd3005,0x4405ffd7,
    0xffca9bef,0x4c5f7404,0xff506ffc,0x427fe40d,0xd17fffb8,0x807fffff,
    0xff305ffd,0x21fcc03f,0xf57fffb8,0x7fc45fff,0x0036c01f,0x00000fa8,
    0x05ffecc0,0x01cffd98,0x21fff200,0xfffb82fb,0x7c0ffdc0,0x17ea00ff,
    0x2207ffea,0xeffb80fe,0xf881fc80,0x40dff306,0xdaa84ffa,0xaade8fff,
    0x2600fffe,0x3ff606ff,0x2aa1ee02,0xfbe8fffd,0x27fdc2ff,0x20007f10,
    0x000000fa,0x4005dfd5,0x002dffc8,0x7c42ec88,0xd13ffa06,0x0bff20ff,
    0xfe807fc4,0x202fe84f,0x0ff84ffd,0x3fe20d70,0x813fe606,0xd81efff8,
    0x7fec03ff,0x40bff301,0x3ffe204e,0x3e20ae0e,0x01f700ff,0x0003ea00,
    0x1dffc880,0x77f5c000,0x5fb00003,0x3a3ffe40,0x07ff706f,0xffc813f6,
    0x3007fe43,0x7fc43fff,0x3e20d102,0x13fe606f,0x2e01fff0,0x7fd404ff,
    0x01fff104,0xfff803f1,0x13ff2003,0xf5000274,0xfb300001,0x8000019f,
    0x000cffda,0x5557ff10,0x3fff9555,0xffb816d4,0x402ff983,0x806fe829,
    0x7ffc5ffd,0x3fe20502,0x013fe606,0x7fd40fff,0x707ff805,0x0d709fff,
    0x8800fff0,0x0fd40fff,0x001f5000,0x01f7f540,0x7e4c0000,0x7cc001df,
    0xcccccccf,0x8801cccc,0xfa83fffc,0xff88001f,0x46ffb805,0x000dfffc,
    0x7cc0dff1,0x03ffc04f,0xf900dff1,0xfff7d05f,0xfff007d0,0x87ff9000,
    0x7d40006d,0x7fdc4000,0x0000002d,0x02effb88,0x0000ff50,0x7fe67ed4,
    0x001ffb83,0xa804ffa8,0x3fe60fff,0x4400dfff,0x3fe606ff,0x103ffc04,
    0xff300dff,0x5ffb6a8b,0x7fc007cc,0x7ff88007,0x50000fe2,0x7fcc001f,
    0x0000001e,0x01fff500,0x0000ffb8,0xff717f54,0x005ffb07,0x300bff90,
    0xfe881fff,0x2203ffff,0x3fe606ff,0x103ffc04,0x3fa00dff,0x7fd4fa0f,
    0x7fc01365,0x7ffb0007,0xffa803ee,0xffffffff,0xffffffff,0x0bbfae0f,
    0x50000000,0xf7007dfd,0x7dc0003f,0x41ffdc0e,0xc8003ffc,0xff8806ff,
    0x3fffaa07,0x0dff105f,0x3e027fcc,0x1bfe207f,0xfa9ffdc0,0x3e23ffa0,
    0x00fff001,0x3a3ffe60,0x55554404,0xabfcaaaa,0x02aaaaaa,0x0019ffb5,
    0x3ee20000,0x3ea002df,0xfc81004f,0x707ff706,0x42600bff,0xf9807ffb,
    0xfffb805f,0x06ff882f,0xff017fe6,0x037fc40f,0x89b6ff88,0x006abffb,
    0xd8001ffe,0x0001fdff,0x40000fa8,0x001dffc9,0x9ff93000,0xfff30003,
    0x3e63b003,0x07ff704f,0x8803fff5,0x007ffea6,0x81447ff3,0xff05ffe8,
    0x02ffcc0f,0xff881ffe,0x2fff6006,0x777fc40f,0x01ffe003,0x06fff980,
    0x001f5000,0x3bfee200,0xfb500002,0x4400017f,0x35405fff,0x3ee07ff7,
    0x5fff883f,0x3ffa2640,0x10ffd404,0x83ffc40d,0xfe880ffe,0x03ffc05f,
    0x5400dff1,0xffb05fff,0x3ffc001f,0x0fff6000,0x007d4000,0x77f54000,
    0x75c4000b,0x298002ef,0x80efffb8,0x1bfee3f9,0x64127fe4,0xfb885fff,
    0x007ffd41,0x01f889fb,0x7fec1bf6,0x3fefaa0d,0x81ffe00f,0x7c006ff8,
    0xbff501ff,0x007ff800,0x0003fd40,0x00001f50,0x067fecc0,0x073ff220,
    0x42ffd400,0xcbdffffe,0x7ffc46fe,0x57ffba63,0x3fffe21c,0x03ffcace,
    0x3e20bffd,0x3a06f885,0xffff304f,0xfff33ffd,0xfff983df,0x00fff300,
    0x7fc05fc8,0x0fffc002,0x0013e000,0x0000fa80,0xdffc8800,0x05ffecc1,
    0x3fff6000,0x7ffff4c0,0xfe80efff,0xf9afefff,0xfe983fff,0x05ffffff,
    0xd30effec,0x5dff101d,0x7dc06fa8,0xff30efff,0x3ffee03b,0x03fff902,
    0x32017cc0,0x7ffd4007,0x07ea0004,0x00fa8000,0x2e200000,0x05df50fe,
    0x2ffd4000,0xbfffffb0,0x3fff2201,0x80fffa0d,0x3fffffd8,0xfdfff900,
    0x3be2017d,0x0cfecfff,0xb8815500,0xffffd500,0x3ffae7df,0x7001efff,
    0x2a005100,0x4ffffffe,0x0006d800,0x00007d40,0x330a8000,0x0a600000,
    0x002aa620,0x001804c4,0x00026aa2,0x04002aa2,0x00015553,0x00000000,
    0x00000000,0x0be60000,0x01f50000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x200001ba,0x66540028,
    0xc884cccc,0x0000cccc,0x66540000,0x910ccccc,0x32019999,0xcccccccc,
    0x4c03cccc,0x0000000c,0x0b980000,0x7fffffd4,0xffffffff,0x310fffff,
    0x00020033,0x0002a204,0x1f915991,0x00000000,0x33fffee2,0x03df9301,
    0xdfb51f6a,0x7dfb7017,0x3ffaa201,0x77fd42ff,0x3bbbfe02,0xfffeeeee,
    0x001ffc03,0xfb1003d0,0x2a17f445,0x3ffee0ef,0x33333262,0xcccccccc,
    0x50cccccc,0x32205fff,0x2002dfff,0x000fff46,0x07fffffb,0x00000000,
    0xb803fff5,0x7ff5c41f,0xfffffb17,0x7ffff44d,0xfffd805f,0x2202fcc0,
    0x2fff403f,0x0013fe20,0x7d4037dc,0xd1bfea7f,0x7fff47ff,0x70000005,
    0x9ff109ff,0x019fffb9,0x7fff32dc,0x7fffe400,0x00000005,0x00bffa00,
    0xffb7509b,0xfb339d1f,0x359d17ff,0x8807fff5,0x076c4fff,0xff901e20,
    0x3a0aa81f,0x1002e63f,0xfb807fbf,0xf1fff27f,0x7ffe49ff,0x0000000f,
    0x10bb0ff9,0x215bffd7,0x7ffc2eb8,0x33b22001,0x00000000,0x02ffd400,
    0x7fc403f1,0xfffb81ef,0x06ffa82e,0xf71fff98,0x540b1003,0x7fcc1fff,
    0x3ea3f90e,0x647e405f,0x9bfea00f,0x7ff46ffb,0x00fcd543,0x3fb00000,
    0x7e4c01f8,0x884fffff,0x0000000a,0x80000000,0x0d701fff,0x2601fff0,
    0xff101fff,0x3bff200f,0x880002f9,0xffd03fff,0x3feef51d,0x44be604f,
    0x97fe604f,0x7fec4ff9,0x0000d502,0x224e8800,0x66e54004,0x00000002,
    0x00000000,0x5f04ffb8,0xf80fff00,0x1ffe00ff,0x05fffe80,0x0bffd000,
    0x75fff644,0x7403dffc,0xff00fd46,0x2e1ffc49,0x547b01ff,0xffffffff,
    0xffffffff,0x0d100fff,0x00000000,0x00000000,0xfff10000,0xff007a81,
    0x00ffe80f,0x4c003ffa,0x80001fff,0x1000fffc,0x2005bfd7,0x206e81fb,
    0x20ffc2fe,0x41f307fa,0xaaaaaaa8,0xaaaaaaaa,0x0200aaaa,0x00000000,
    0x00000000,0x7fec0000,0xfe8026c3,0x007ff407,0x64001ffd,0x540006ff,
    0x93001fff,0x017bfddd,0x3f9827c4,0x0fd83fb0,0x0f6437c4,0x00000000,
    0x00000000,0x00000000,0x7fcc0000,0x74003e26,0x07ff407f,0x2001ffd0,
    0x004ffff8,0x007fff10,0x3d39fff7,0xf901dfff,0x5c07e401,0x89f07c87,
    0xccca80be,0x004ccccc,0x00000000,0x00000000,0x80000000,0x00b91ffe,
    0x3fa03ff4,0x03ffa00f,0x7ffc6740,0x5ffe8001,0x73fff980,0x313ffa2f,
    0x84f8807f,0x7b05a86a,0x7fffdc00,0x0006ffff,0x00000000,0x00000000,
    0xb8000000,0x4005f5ff,0x7ff407fe,0x003ffa00,0x0fffb9b2,0x03fff200,
    0xfd8ffa20,0x6e87fd11,0x1883f700,0x00130188,0x7fffffdc,0x000006ff,
    0x00000000,0x00000000,0xff880000,0x7f4007bf,0x007ff407,0xfa801ffd,
    0x802ffec1,0x2201fffa,0x113fe043,0x3a001fb8,0x00000006,0x11111111,
    0x00000000,0x00000000,0x00000000,0x1fffe400,0xd01ffa00,0x7ff401ff,
    0x220be200,0x7c402fff,0x01d403ff,0x7c409ff1,0x017cc004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01fff300,0x200fff80,0x3fa00ffe,
    0x40bd100f,0x3a00fffb,0x03d805ff,0x000017f4,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbfb00000,0x03fff000,0xfd00fff4,0x813f603f,
    0xc80efff9,0x99999fff,0x802fda99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000fd400,0x4c0fffea,0xff303fff,0xffff987f,
    0xfffffc86,0x3fffe66f,0xffffffff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x7fff4c00,0xffd53eff,0x3aa9dfff,
    0x03efffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_41_usascii_x[95]={ 0,4,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0, };
static signed short stb__times_41_usascii_y[95]={ 32,6,6,6,5,6,6,6,6,6,6,9,28,22,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,16,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,38,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,9,15,15,15,15,15,15,6,6,6,19, };
static unsigned short stb__times_41_usascii_w[95]={ 0,5,11,18,16,29,27,5,11,11,14,21,7,10,
5,11,17,10,17,15,18,16,17,16,15,16,5,6,21,21,21,14,33,27,23,23,26,22,20,26,26,12,15,28,
22,33,28,25,20,25,26,17,21,27,27,35,27,27,22,8,11,9,17,20,7,16,19,15,18,15,16,17,19,9,
11,19,9,29,19,17,19,18,13,13,11,19,19,27,19,19,16,11,3,11,21, };
static unsigned short stb__times_41_usascii_h[95]={ 0,27,12,27,30,28,27,12,34,34,16,21,11,4,
5,27,27,26,26,27,26,26,27,26,27,27,19,25,19,8,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,34,25,27,25,26,26,26,25,25,25,34,27,34,14,2,8,19,27,19,27,19,26,26,26,26,
34,26,26,18,18,19,26,26,18,19,24,18,18,18,17,25,17,34,34,34,6, };
static unsigned short stb__times_41_usascii_s[95]={ 191,1,169,7,144,161,26,163,1,41,130,
21,181,189,241,86,168,1,48,70,29,67,229,66,54,116,87,247,43,189,65,
133,84,143,179,205,129,106,85,229,58,231,83,1,232,171,99,191,128,118,205,
98,149,1,217,181,30,203,156,75,217,53,145,144,211,109,148,126,186,93,12,
29,123,171,63,47,245,63,194,142,103,84,242,160,244,174,43,214,93,1,113,
29,25,13,219, };
static unsigned short stb__times_41_usascii_t[95]={ 29,36,164,36,1,1,36,164,1,1,164,
144,164,173,164,36,36,64,91,36,91,64,36,91,36,36,144,36,144,164,144,
36,1,64,118,36,118,118,118,1,118,118,91,118,91,91,91,1,91,1,91,
36,91,91,64,64,118,118,118,1,1,1,164,32,164,144,36,144,36,144,64,
64,64,64,1,64,64,164,144,144,64,64,144,144,118,144,164,144,164,144,164,
1,1,1,164, };
static unsigned short stb__times_41_usascii_a[95]={ 148,197,242,296,296,493,461,107,
197,197,296,334,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,165,165,334,334,334,263,546,428,395,395,428,362,329,428,
428,197,231,428,362,527,428,428,329,428,395,329,362,428,428,559,
428,428,362,197,165,197,278,296,197,263,296,263,296,263,197,296,
296,165,165,296,165,461,296,296,296,296,197,231,165,296,296,428,
296,296,263,284,119,284,320, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_41_usascii_BITMAP_HEIGHT or STB_FONT_times_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_41_usascii(stb_fontchar font[STB_FONT_times_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_41_usascii_BITMAP_HEIGHT][STB_FONT_times_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_41_usascii_s[i] + stb__times_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_41_usascii_t[i] + stb__times_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_41_usascii_x[i];
            font[i].y0 = stb__times_41_usascii_y[i];
            font[i].x1 = stb__times_41_usascii_x[i] + stb__times_41_usascii_w[i];
            font[i].y1 = stb__times_41_usascii_y[i] + stb__times_41_usascii_h[i];
            font[i].advance_int = (stb__times_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_41_usascii_s[i] + stb__times_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_41_usascii_t[i] + stb__times_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_41_usascii_x[i] + stb__times_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_41_usascii_y[i] + stb__times_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_41_usascii_LINE_SPACING
#endif

