// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_45_usascii_BITMAP_HEIGHT        226
#define STB_FONT_times_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_45_usascii_FIRST_CHAR            32
#define STB_FONT_times_45_usascii_NUM_CHARS             95

#define STB_FONT_times_45_usascii_LINE_SPACING          29

static unsigned int stb__times_45_usascii_pixels[]={
    0x20400000,0x00088000,0x98000008,0x00000000,0x99999995,0x33332a19,
    0x10004ccc,0x00001573,0x26000088,0xc880001b,0x00002201,0x4000000c,
    0x00006c09,0x3663ff70,0x00dd001c,0x0000b726,0xfddffd95,0x000017bf,
    0x7ffdcee0,0xf91fffff,0x0fffffff,0x7fff6d40,0x000cdfff,0x64001f40,
    0x000efeff,0x0db01ba0,0x0ff5c400,0x1f700000,0x00002e98,0x4e98bfff,
    0xfb806e80,0x3f220002,0xc98809be,0x100001df,0x3ffb009d,0x40007ff2,
    0x31acffd8,0x003dffd9,0x80073a20,0x3ff70dfc,0x803f7000,0x64c001fa,
    0x0001ffff,0x7441b600,0x7f40000d,0x405f884f,0x00fe406e,0x01dfd880,
    0x0003fb80,0xfd8027dc,0x003ff91f,0x803fff50,0x1003ffe8,0xdffffffb,
    0x03fea017,0xf9800bff,0x8009f004,0x01fffebc,0x07f10000,0x00007744,
    0x3f2019b3,0xfa81ba04,0x1df30006,0x0de88000,0x003fb800,0x7fe47ff6,
    0x77fe4001,0x17ff6000,0x7d3bff70,0xd0bfff73,0x03ff90df,0xdb003740,
    0x3ffe6000,0xf7000001,0x006f9801,0x0ffcc000,0x5ff106e8,0x01bf7000,
    0x002ec000,0xfb000fe6,0x007ff23f,0x001fffa8,0xb827ffc4,0xd88fa1ff,
    0x42ffc47f,0xf9003ffb,0x00fd4003,0x00fffc40,0x005d8000,0x00000bf9,
    0x0dd04ff8,0xb0007fea,0x1000009f,0x1fe2005d,0x647ff600,0xfd1001ff,
    0x3ee000bf,0x2ffc41ff,0x98ff10fa,0x4ffa84ff,0x8003f980,0xfff0004f,
    0xf1000003,0x0ffe2007,0x7fcc0000,0x3f20dd05,0x13ee002f,0x0f980000,
    0x8003fe80,0x3ff91ffd,0x07fff200,0x46fff800,0x41f42ffb,0x427fdc7a,
    0x5e806ffa,0x000db000,0x00007ffe,0xc8003ee0,0x5000007f,0x41ba0fff,
    0xf3003ffd,0x9000000d,0x00ffb807,0xf91ffd80,0xfff3003f,0xffd8000b,
    0xd0fff63f,0xffa8f107,0x405ffa84,0xf50000fc,0x3fff0003,0x0bb00000,
    0x003ffa80,0x06ffb800,0x17ff20dd,0x0000ff40,0x3a034c00,0xffb0005f,
    0x2007ff23,0x0004fffd,0xfb37ffdc,0x8f03e8bf,0xffa85ff9,0x000fe604,
    0xff0009f0,0x8800003f,0x7fc4003f,0x03c98007,0x1ba0bff9,0x64037fdc,
    0x7f5c004f,0x20bd914e,0x07ff501e,0x647ff600,0xffe801ff,0x7c40003f,
    0xfff70fff,0xf8281f41,0x03ffb86f,0x90000bd1,0x3fff000d,0x000acc98,
    0x6c0007dc,0xfd5002ff,0x0fff609f,0x7ffa8374,0x2a007f80,0xf77911ee,
    0x6c0f207f,0xfb0001ff,0x007ff23f,0x000bfffe,0x447fffe0,0x07d1ffff,
    0x7ec3fec0,0x001f900f,0x8003f500,0xfff51fff,0x74005fff,0xbff90005,
    0xfffffb80,0x205ffd04,0x0fff306e,0xf5004fa8,0x3ffdd01d,0x3fe212e0,
    0xffb0000f,0x3007ff23,0x0003ffff,0x745ffff0,0x03eaffff,0xf88bfe20,
    0x005f503f,0x20027c00,0xfffa9fff,0x803fffff,0xf70003f8,0xff3080ff,
    0x07ff609f,0x0dff0374,0xfb801fe8,0x0dff900f,0x3ffe42d4,0x23ffb000,
    0x7d401ffc,0x80000fff,0x3e24fffe,0x003fffff,0x7f4c77cc,0x000bf104,
    0x7c006c80,0xa9acfbff,0x401ffffd,0xf50000fb,0x3fa003ff,0x01ff704f,
    0x04ff81ba,0x3ea01be6,0x13ff202f,0x7ffd86a8,0x47ff6000,0x7dc01ffc,
    0xd00007ff,0xff98bfff,0x4000efff,0x202dfeb9,0x004c00fd,0x7c003f50,
    0xff901fff,0x005e80df,0x00fffea0,0xfd027fec,0x7cc1ba05,0x00fee00f,
    0xfd809ff1,0x3a16e02f,0x360006ff,0x03ff91ff,0x00ffffb8,0x4fffd800,
    0xfffffe88,0xf5000002,0x3fbf6205,0x009f002d,0x3a00fffc,0x5f102fff,
    0x7ffcc000,0x09ffb004,0x06e837cc,0x1fc805fb,0x2007fec0,0x426407ff,
    0x20005fff,0x3ff91ffd,0x1ffffa80,0xfffe8000,0x3fffee03,0x4400004f,
    0x4cffa04f,0x07c801fe,0x5007ffe0,0x3ee07fff,0x3fe20000,0x9ffb005f,
    0x740cf980,0xd802fb86,0x13fea00f,0xd80bff30,0x027ffc43,0x323ffb00,
    0x7fcc01ff,0xf80002ff,0x7cc02fff,0x000effff,0x3601db00,0x007fd46f,
    0x7fc007e6,0x4ffe801f,0x88000bd0,0xfb005fff,0x9f91009f,0x67dc5ba1,
    0xd80fd000,0x7fe400ff,0x3e60fc03,0x360003ff,0x03ff91ff,0x03ffff88,
    0x7fffc400,0xfffee801,0x5c0000ef,0x07ff301f,0x09f00bff,0x2007ffe0,
    0x2f885ffd,0x6fff8000,0x009ffb00,0xf36e9fe4,0x03fc001b,0xf880dff3,
    0x21ea00ff,0x0004fff9,0x7fe47ff6,0x4fffd801,0x7ffcc000,0xff57d006,
    0x20001fff,0x3fee04f8,0xc807fe82,0x03fff007,0xf70dff90,0xfff00001,
    0x13ff600b,0x6e833ae0,0x7c013f22,0x00fff206,0x4c80dff9,0x004fff98,
    0x7e47ff60,0xfffb801f,0x7fd40006,0x227d003f,0x0004fffe,0x1ffc80dd,
    0x4c00ffe8,0x1fff801f,0xe84ffc80,0xff880005,0x9ffb004f,0x6e80fc80,
    0x6f805e88,0x8807ffa0,0x3e204fff,0x05fff881,0x647ff600,0xfe8801ff,
    0x3a0001ff,0x8fa006ff,0x8007ffe8,0x7ff401fb,0x802ffd81,0x1fff804f,
    0x443ffc80,0xf980002f,0xffb003ff,0xe827e409,0xe80bf706,0xb01ffe07,
    0x2ec05fff,0x000dfff0,0xffc8ffec,0xbfff3001,0x3ffea000,0xf70fa002,
    0x7cc001ff,0x81ffe804,0x7c802ffd,0x801fff80,0x07dc2ffd,0x7ffd4000,
    0x09ffb002,0x37407fe2,0x3602ff88,0x0fff880f,0x01ffd7b0,0xffe803ea,
    0x3ff60006,0x4003ff91,0x8001fffa,0x20385ffe,0x0fffc43e,0x3200dd00,
    0x1ffe81ff,0x7c01f980,0xffe801ff,0x80002f40,0xb001fffb,0x3ff209ff,
    0x7fc0dd00,0x7c07f205,0xff4d82ff,0x900fe60d,0x6c000fff,0x03ff91ff,
    0x005ffc80,0x1e82ffdc,0x0fff07d0,0xb800fe40,0x0ffe82ff,0xff809f00,
    0x1ffcc01f,0x40000be2,0x36006ffb,0x3ffb04ff,0x7fc41ba0,0x640fe607,
    0x5eb8aeff,0x7f50dff1,0x3ffd4150,0x23ffb000,0xd8001ffc,0xfc800eff,
    0x740fa05f,0x8037fcc3,0x3e6003f9,0x02ffc44f,0xfff80f90,0x5c2fec01,
    0xf900000f,0x7fec007f,0x207ffd04,0x0fff306e,0xfff306e8,0xffe89fff,
    0x982fda8a,0x000fff86,0x3f23ffb0,0xfd50001f,0xfea8815f,0x407f404f,
    0x017fdc3e,0xfb8006e8,0x000ffdc6,0x7ffc03f3,0x01ff700d,0x740000bd,
    0x3f6000ff,0x09ffb04f,0x37fd41ba,0x7dc07ee0,0xffa81dff,0x7d00bfff,
    0x0007ffb0,0x7fe47ff6,0x7fdc0001,0xbffffeff,0xe85fe800,0x4013fe63,
    0xf90000fc,0x007ff71b,0x7fdc09f0,0xbf910aef,0x0005f301,0x0013fe20,
    0x3f209ffb,0x2e0dd05f,0x27c405ff,0x26600260,0xf9835400,0xffb0005f,
    0x0007ff23,0x3ffff220,0x3fa000ff,0x517d0aef,0x3e6009ff,0x7ed40003,
    0xf90001df,0xffffc880,0x3ee03fff,0xff500000,0x3ffd8003,0x3a0dff70,
    0x009ffb06,0x000001f9,0xfd80fe20,0x3ffb0007,0x00007ff2,0x5fffffb8,
    0x3ff6e200,0x1effefef,0x00006200,0x19300000,0x02aea600,0x80000ee0,
    0xfd8005fd,0x0dff302f,0x1ffec1ba,0x00006e80,0xf880db00,0xffd8001f,
    0x0003ff91,0xffffe980,0xba988002,0x00000adf,0x00000000,0x00000000,
    0x01df1000,0x203ffb00,0x0dd05ff8,0x4400bfee,0x4000004f,0x5fb800ed,
    0x91ffd800,0x000003ff,0x03ffffb1,0x3003e800,0xdddddddd,0xdddddddd,
    0x0009dddd,0x00000000,0x3fb00000,0x03ff6000,0x6e81ffc4,0x4003ff30,
    0x800003fa,0x36000ed8,0x7fec002f,0x0003ff91,0x7fff5400,0x00fa0001,
    0x7777774c,0xeeeeeeee,0x03eeeeee,0x00000000,0x54000000,0x3f60002f,
    0xe81bea04,0x0013f606,0x00001bf5,0x200037a2,0x3f6000fe,0x003ff91f,
    0xffd50000,0x00000007,0x00000000,0x00000000,0x09f50000,0x1fd09d50,
    0xdd00fec0,0x4003fc40,0x20002fe8,0x20004fc8,0x554c0dd8,0x91ffeaaa,
    0x555559ff,0x36600000,0x00000aef,0x00000000,0x00000000,0xfb800000,
    0x5dfff002,0x2fb80fea,0x3a603740,0x9ff70004,0x33f66003,0x1d700000,
    0x7fffffdc,0xffff91ff,0x0000ffff,0x05995300,0x00000000,0x00000000,
    0x00000000,0xfc800332,0x302fefff,0x0dd001db,0x0005db10,0x333bbf6a,
    0x0cffedcb,0x1d980000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00c00000,0x0acdb980,0x64001750,0x00ea2004,0xdccaa880,0x000009ac,
    0x00000300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00088000,0x0055cc40,0x2a660000,0x00701aab,0x00880044,
    0x08015000,0x00004400,0x0002a600,0x64000100,0x4c012a02,0x530001aa,
    0x59300135,0xfea80000,0xffda8002,0x0cdfffff,0xfeb88000,0xcfffffff,
    0xfb500f11,0x04fd9807,0x02ffe800,0xda803ff7,0x8800004f,0x02efffeb,
    0x3bfae600,0x0fe6000b,0x7f4c06d8,0x400dffff,0xfedfffc8,0x5fff301d,
    0xffc88000,0x362002ff,0x7510acff,0x40003dff,0x21bdeffc,0xfffffb98,
    0xffffb880,0xfffeb883,0x7fcc0004,0x0bfff05f,0x09fffd71,0xdff98000,
    0x0007fd31,0xfffb57db,0x807ea009,0x3ffea04f,0x00efffff,0xe9839ff3,
    0x5fffb83f,0x7eddc000,0xff7002ff,0xffe8803d,0x7ff44003,0xffd8800d,
    0xffdba80f,0xffcba83f,0x7dc0004f,0x9ffd07ff,0x9fff9750,0x7fcc0000,
    0x003ff984,0xfffb03f2,0x440f9003,0x59ff103f,0x09ffff95,0x7cc09fd1,
    0x17ffc42f,0xfff88000,0x0effc802,0x01bff200,0x002fffcc,0x3e00ffe4,
    0x7ff403ff,0x7fd40004,0x0199107f,0x0004ffe8,0x6c03ffa0,0x4fc801ff,
    0xb007ffb0,0xd80fd40d,0x0fffd104,0xfd801ff9,0x0001b987,0x2017ffc0,
    0x4001fff9,0x4404fff8,0x20005ffe,0x7ff402fd,0x027fec03,0x1bffe600,
    0x13ff6000,0x1ffd4000,0x880bff10,0x199103ff,0x7e409f00,0x7cc04a80,
    0x02ffc2ff,0x00007fdc,0x02fff800,0x0017ffa2,0xb00fffe4,0x88000fff,
    0x1fff402f,0x0013ff20,0x00bfff10,0x009ffb00,0x007ffa00,0x7cc01ffd,
    0xf880002f,0x0141ba03,0x3e23ffe8,0x1ffb806f,0xfd000000,0x7ffe405f,
    0xfff10001,0x0fffea0d,0xb00f6000,0xffc807ff,0xfff80004,0xffd80004,
    0xffa80004,0x05ffc807,0x0000bfee,0x04f807ea,0x107fec00,0xfd801fff,
    0x20000007,0xff502ffe,0xfc8000bf,0xffff83ff,0x04980000,0x3201ffec,
    0xf80004ff,0xd80003ff,0xc80004ff,0xffa806ff,0x05ff900f,0x201f9000,
    0x740003f9,0x05ffe86f,0x000027fc,0x205ffd00,0x0004fffc,0x2a37ffd4,
    0x00004fff,0x00fff600,0x00009ff9,0x00005ffd,0x00009ffb,0xf300bffd,
    0x3ffa03ff,0x2aaa2002,0xaaaafeaa,0x1aacfcaa,0x40ffc400,0xf704fffb,
    0x8800003f,0xffd1bcca,0x0ffffa05,0xffff3000,0x01fffec1,0xffb00000,
    0x04ffc807,0x13333333,0x2602ffd8,0x27fec02c,0x1002f2a2,0xf100bfff,
    0x266625ff,0x1999bffe,0x3ffffe60,0xffffffff,0x004fffff,0xff8817d4,
    0x0ffcc4ff,0xdfb10000,0xffd9ffb9,0x0bfffe05,0xffff1000,0x0bfffe23,
    0xfd800000,0x27fe403f,0x77fffec4,0x40ffe42c,0x6c03ffea,0x3fff24ff,
    0x3fe603ff,0xfff8804f,0xffffff73,0x800fffff,0x01ba02f9,0x5403f980,
    0xf98effff,0x2200001e,0xfffd83fe,0xffff982f,0xfff80001,0x3ffff33f,
    0x6c000000,0x7fe403ff,0x807bfe04,0x3fee0ffb,0x7ec03fff,0xffddfb4f,
    0x3fea01ff,0xfff8804f,0xffd33314,0x80033337,0x013e01fb,0x0067fcc0,
    0x3fbfffea,0x7c400004,0x3fffa03f,0x0ffffa82,0xffff8000,0x00ffff54,
    0x99999950,0xffb07999,0x04ffc807,0xff5009f7,0x07fff308,0x0ddcffd8,
    0x5417ffa2,0xff003fff,0x0bffa0bf,0x4c0f9000,0x36e2002f,0x402fffff,
    0x02fffff9,0x07fec000,0x705fff50,0x0000ffff,0x7dd7fffa,0x988007ff,
    0x1dfffffb,0xc807ffb0,0x04fc84ff,0x7f40df50,0x7ffec03f,0x01fff504,
    0x2005fff7,0xffd06fff,0x06e80005,0xeb8007ea,0x2fffffff,0x7ffffdc0,
    0xff300003,0x2fff8807,0x00ffffa8,0x4fffe800,0x001ffff7,0x03fffdc0,
    0xf900fff6,0x003fc89f,0xffe817e6,0x027fec03,0xf703fff1,0xff1005ff,
    0x0bffa0bf,0x204f8800,0x3660007c,0x2e07ffff,0x5ffffecf,0xd805d910,
    0xffe802ff,0x1ffff982,0xffff8000,0x03ffff52,0x37ffcc00,0x900fff60,
    0x017ec9ff,0xfd813e20,0x27fec03f,0x2a07ffe0,0xf8803fff,0x5ffd05ff,
    0x017cc000,0xd50000dd,0xbf907fff,0x427fffec,0xf105fffd,0xffd003ff,
    0x5ffff105,0xffff0000,0x0bfffe23,0x5fff8800,0x201ffec0,0x2fd8cffc,
    0x6c09f000,0x7fec03ff,0x417ffc04,0x8803fff9,0xffd04fff,0x0fdc0005,
    0x200009f0,0x7e45fff9,0x3ffffc86,0x03ffffe2,0x7401ffe6,0xfffd02ff,
    0xff880007,0x3fffe0ff,0x3fe20004,0x1ffec05f,0x3fb7ff20,0x07d0002f,
    0x3601ffec,0x7ffc04ff,0x04fff882,0xd03fff98,0x7cc005ff,0xffffffff,
    0xffffffff,0xffb0004f,0xb80ffd4d,0x3f60ffff,0xffb83fff,0x05ffd007,
    0x0013fff6,0xd8dfff30,0x20006fff,0x6c05fff8,0x7fe403ff,0x000fffec,
    0x3ff602d8,0x027fec03,0x7fc0bffe,0xfffa804f,0x005ffd01,0x677e6644,
    0xcfeccccc,0x0002cccc,0x3fecdff7,0x513fff20,0xff909f15,0x5ffd001f,
    0x01bffea0,0x87fff700,0x001ffff9,0x80bfff10,0x7e403ffd,0x0efff8cf,
    0xfb00dc00,0x4ffd807f,0xd817ffc0,0xffb805ff,0x00bffa07,0xf9027c40,
    0xff980000,0xb00bff15,0x0fe20bff,0x2007ffee,0x3f602ffe,0x3a0001ff,
    0xfffb06ff,0x3fe2000b,0x1ffec05f,0x7cd3ff20,0x400005ff,0x7ec03ffd,
    0x17ffc04f,0xc807ff98,0x3ffa05ff,0x05f30002,0x400002f4,0x09ff53ff,
    0x2e0fff50,0x2fffa80f,0x202ffe80,0x0005fff8,0x2203fff5,0x8002ffff,
    0x6c05fff8,0x7fe403ff,0x00fffee4,0x03ffd800,0x3e027fec,0x3ffa02ff,
    0x017ff401,0x20005ffd,0x013e01fb,0x23ff1000,0xff004ffa,0x7cc13a0b,
    0xffe806ff,0x0fffdc02,0x027ff400,0x001bfff2,0xb017ffe2,0xffc807ff,
    0x017ffec4,0x03ffd800,0x3e027fec,0x3fee02ff,0x01bfe203,0x20005ffd,
    0x00be607c,0x4cbf7000,0x9ff005ff,0x7f405e98,0x7ff402ff,0x06ffe802,
    0x8037fe40,0x000efffc,0xb017ffe2,0xffc807ff,0x07fff444,0x6c02f660,
    0x7fec03ff,0x017ffc04,0xffb81bfa,0x017ffc01,0x3ee05e80,0x3e200000,
    0x007ff40f,0x3fb87fea,0x0efffa80,0x007fff10,0x1003bff2,0xc8009ffb,
    0x1000efff,0xfe80bfff,0x2ffec04f,0x8077ffcc,0xfd04fff8,0x4ffd809f,
    0x2017ffc0,0xff883ff8,0x03fff804,0x3204f880,0x05dfd007,0x3e607fa2,
    0x11fec04f,0xfffd8007,0x7fff4c1f,0x74c0098e,0x75cc1bff,0xd30001ef,
    0x2603bfff,0x401dfffc,0x7f405fff,0xbfff706f,0x41bffea0,0x7f405fff,
    0x1fffc05f,0xd517fcc0,0xfff1009f,0x05f30009,0x7fc402f4,0xfcaabeff,
    0x37fe600d,0x0004fc80,0xeffffd88,0xfffeafed,0xec8800df,0xefffefff,
    0xda80000c,0xfeeeffff,0xa800bfff,0xf300ffff,0xff101fff,0xfff01dff,
    0x1ffff507,0x03fffe60,0x8037ffdc,0x2effffc9,0x5ffffb00,0x200fb800,
    0xfff7004f,0x005bffff,0x3737ff62,0x400001ef,0x1efffffc,0x00017ffd,
    0x000d654c,0x32aa6000,0x50009abc,0xdffffffd,0x3ffffae5,0xffd33eff,
    0x447dffff,0x7fff541b,0xfd51efff,0x25dfffff,0xfffffffd,0x006a6006,
    0x3fffffa6,0xa802eeff,0x80072204,0x0009aaa8,0x004d54c0,0x2ae60000,
    0x000015c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00dd4c40,0x55d44000,
    0x53000009,0x06603575,0x4406ea60,0x55100002,0x01551001,0x33333310,
    0x26662013,0x99730019,0x9800e445,0x0565c40c,0x2000a200,0x00009aa8,
    0x006f32e6,0x9100164c,0x05dfffff,0xbbfb3000,0x0003dffd,0xffffff93,
    0x01ec39ff,0xdffffff7,0x40013239,0x03dffdb8,0x77ff7f64,0x3fffee03,
    0xfd702dff,0xffb80bff,0xffcfffde,0x8fff5402,0x3fffffe9,0x007fc880,
    0x3fffffaa,0x3fa6000e,0xabefebad,0xfff10aaa,0x3dfd1007,0x0007ff22,
    0x7d40bfb8,0xfb1003ff,0xeb9837df,0xe884feef,0xeca89bff,0x4004ffff,
    0x000cffc8,0x3f6619fb,0x3ffa204f,0x05ff005f,0x2e227ec4,0xf902ffff,
    0xff33ffff,0x09ffffff,0x01ffff22,0x7fffffec,0xfb803fff,0x7fff441f,
    0xfff53fff,0x03ffb00d,0x26000ff9,0x3ffea05f,0x1fffcc02,0x84fffb80,
    0x3ee00ffe,0x3a2004ff,0xfd1002ff,0x817fee07,0x9805fff9,0x0bfe205f,
    0x102fffb8,0x37abffee,0xffffea9b,0x3ffbb221,0xfffb807f,0xfffffece,
    0x413fe602,0x0aaafffa,0xa807fff1,0x1ff306ff,0x807fb000,0x3ee06ffd,
    0x7d4002ff,0x01ffe45f,0xa8027fdc,0x36000eff,0x17ff406f,0x700fff90,
    0x037ec05f,0x100bffe2,0x3609dfff,0xfb0c6fff,0xbef980ff,0x7ffff440,
    0x403ffd00,0x57101ffe,0x207ff900,0xf8001ff8,0x7ffdc06f,0x02fff980,
    0xff8bf700,0x09f7000f,0x001fff30,0x2a01ffcc,0x3fe206ff,0x5037402f,
    0xfff003ff,0x09fff005,0x817fffc4,0x7e407ffb,0x1fffec01,0x3600fff8,
    0xd80004ff,0x1ff504ff,0x0fff8800,0x10bffea0,0x8000dffd,0x01bfe66e,
    0x7cc04f88,0x7ec002ff,0x3ffe802f,0x981bff20,0x01ffa03f,0x7c017ff4,
    0x7fdc01ff,0x0fff503f,0xff9803e8,0x0fff985f,0x001bff20,0x6c1bffa0,
    0xffb0006f,0x0fffd407,0x0007fff2,0x7ffd4d70,0x88136000,0xf8004ffe,
    0xffd801ff,0x0bffe206,0xff8807e4,0x05ffd006,0x8803fff0,0xff504fff,
    0xb002c40f,0xfff10fff,0x037fdc03,0x07ffec00,0x40007fe6,0x3ee01ffa,
    0x3fffc47f,0x3e678000,0x12e004ff,0x8006ffc8,0xb800fff8,0x7fe407ff,
    0x2605f886,0xffd005ff,0x03fff005,0x2a0dfff0,0x002207ff,0xfd05ffc8,
    0x2ffe405f,0x7ffe4000,0x000bfee3,0xffc80110,0x02fffdc5,0x7ffc2800,
    0x038800df,0x0007fff3,0x5003fff3,0x7cc03fff,0x00fdc1ff,0x3a00bff7,
    0xfff802ff,0x06ffe801,0x0000fff3,0xfc81ffdc,0x0bff606f,0x3ffe6000,
    0x221efd8e,0x2aaaaaaa,0x3fff1000,0x002fffe8,0xffffb000,0x7ec0005d,
    0xfa8000ff,0xff9802ff,0x2ffec02f,0xdff901ba,0x00bffa00,0x36007ffe,
    0xfff305ff,0x7fe40000,0x03ffd102,0x0000bff1,0x1ffffff4,0x7fffff44,
    0xff70004e,0x1ffff887,0xfd100000,0x001bffff,0x935fff88,0x22059ddb,
    0xf9803fff,0x7fcc03ff,0xb807f31f,0xffd007ff,0x03fff005,0x2609ff90,
    0x200007ff,0x36200ffe,0x37fae2ff,0x3ee00000,0x7f400fff,0x7c0001ff,
    0xffff986f,0x22000000,0x3fffffff,0x33ffea00,0xffffeefd,0x00dfff05,
    0xb007fff5,0x003f2bff,0xd001fff5,0xfff005ff,0x05ffb003,0x0001ffe6,
    0xf8804ff8,0x01defffe,0x7ff4c000,0x7fdc03ff,0x7fd40003,0x0ffffa80,
    0x74400000,0x2fffffff,0xcffffd80,0x1bfff220,0x700bfffa,0xf3005fff,
    0x3009f3ff,0xfd009fff,0x5fff005f,0x203ffd00,0x00007ff9,0x5d300ff5,
    0x88000004,0xffffcefc,0x001bf200,0x7dc0bfa0,0x000007ff,0x3ffffee0,
    0x3fe01eff,0x3ff600ef,0x37ffcc3f,0x007fff20,0x00fffff4,0x007fffc4,
    0x3e00bffe,0x7fc402ff,0x01ffe605,0x2017fc00,0x000005f8,0xfd0effa8,
    0x0ff40bff,0x80fea000,0x0007fffb,0x7fec4000,0xf03fffff,0xff880bff,
    0x7ffe40ff,0xffffd985,0xdfff5000,0x77ffdc00,0x2fffe881,0x404fff80,
    0x3e600ffc,0xfb80007f,0x00efc805,0x205ed400,0x7fd45ffa,0x04f982ff,
    0x4c05d800,0x0000ffff,0xffe98000,0x7c42ffff,0xffc805ff,0xffffc82f,
    0xfffcfedd,0x1fff4006,0x3ffffa00,0xfebebaac,0xffff802f,0x807ff101,
    0x40007ff9,0xfff006f8,0x999bdddf,0x3ffe2057,0x7417fea4,0x36c0ffff,
    0x007c4000,0x007fffe2,0xfb800000,0x261fffff,0xf9804fff,0xffb503ff,
    0xfff717df,0x0ffa8005,0x7fffcc00,0xffd3ffff,0xdffff005,0x804fe883,
    0x40007ff9,0xffb000fd,0xffffffff,0xffa85dff,0x05fff16f,0xa93fffe6,
    0x4a80001f,0x05ffff00,0x88000000,0x7c5ffffd,0xfff004ff,0xffd03009,
    0x09f1000f,0x3fffa200,0x0bffa2ef,0x3f6bffe0,0x002ffedf,0x4000fff3,
    0x7e4001fc,0xffffffff,0x3e23ffff,0x1fff93ff,0x57fffe40,0x700004f8,
    0x3fffa007,0x28800004,0x3fffec00,0x7c013ffa,0xfa8004ff,0xfb8004ff,
    0x5d440001,0x802ffe80,0x57531fff,0x7ff98001,0x005f7000,0x2aa669b0,
    0x6feccbaa,0xfff88dc4,0x7fff4405,0x200006de,0xfff5001c,0xb300000d,
    0x3fffd000,0xe8037fec,0xfe8003ff,0x6e8000ff,0xfe800000,0x1fff802f,
    0xfff30000,0x005f5000,0xfb000bb0,0x2fffcc03,0x7ffffcc0,0x00e00001,
    0x003fffd0,0x01e65100,0xb8bffee0,0xffd007ff,0xfff98005,0x02fa8001,
    0xffe80000,0x01fff802,0x0fff3000,0x8003f980,0xf98002fb,0x1bffee00,
    0x2ffffe40,0x80000040,0x0006fffa,0x02f98744,0x307ffcc0,0xff001fff,
    0xffd8001f,0x00dd0003,0x3ffa0000,0x01fff802,0x0fff3000,0x10027cc0,
    0x20003fe6,0x7ffd406a,0xffff001f,0x001e80bf,0x7fffd000,0xf316c000,
    0x7ff9800d,0x4404ffc8,0x7e4003ff,0x5c18805f,0x0000002f,0xff005ffd,
    0x2a00005f,0x9f3007ff,0xffd96c00,0x00fcc005,0x03bfffe2,0xfffffe88,
    0x806b80ef,0x22000cda,0x8003fffe,0x02ffcc5d,0xd107ff90,0x7fdc01ff,
    0x13fea000,0x3b7ffea0,0x0000006f,0x3e00fffe,0x500002ff,0x9f300fff,
    0x64fb5100,0x4402dfff,0xff9003fc,0xfb885dff,0xffffd8af,0x02ffccef,
    0x0027ffc4,0x077fffa2,0x3e613a60,0x7d400eff,0x17fe605f,0x7000ffc4,
    0x3f6005ff,0x000effff,0xfff10000,0x3fff8807,0xfff50000,0xfffffa80,
    0xffffffff,0x3fffa24f,0xeecceeff,0x7f4002ef,0xffefffff,0x7ffe40ef,
    0x804fffff,0x8006fffa,0xbdffffc8,0x3ffdb99a,0x9dffff30,0x3ff66217,
    0x67fdc00d,0x4007fa20,0x2001efd9,0x00dffffa,0xfb300000,0x98815fff,
    0x01affffd,0x1ffff400,0xffffffa8,0xffffffff,0xfffea81f,0x03ffffff,
    0x3fffee00,0x2a02efff,0x04fffffe,0x000fffe0,0xfffffd98,0x200cffff,
    0xffeb99e9,0x02efffff,0x3b7ffa60,0x36e600df,0x30001dff,0x00000179,
    0x666665c0,0x99911ccc,0x03999999,0xffffec80,0xff11efff,0xffffffff,
    0x80ffffff,0x9acddca9,0xb9880000,0x5c4001bc,0x544000ac,0x2aa00001,
    0x1001abcb,0x57975105,0x55440003,0x13577000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffea0,0x3f22ffff,
    0xffffffff,0x3ffffa04,0x3fff27ff,0x5effffff,0x7ffff5c0,0x20005fff,
    0x3e6000aa,0xffffffff,0xffffff93,0x5003ffff,0xdfffffff,0x3fffff60,
    0x003effff,0x2a0001c0,0x0fffffff,0x7fff5c00,0x7c44efff,0xffffffff,
    0xfb3fffff,0xffffffff,0x5405445d,0x202fffff,0x03fffffb,0x407fff20,
    0x0dffffd9,0x7ffe4c00,0x7fe40001,0x3fff6001,0x447fffff,0xaefffffb,
    0x3fee2000,0xfe9802ef,0x0001dfff,0x80002f98,0x06ffffc8,0x1bff9300,
    0x3ffffee0,0xffffffff,0x7fff4c1f,0x0fff81df,0x807fffb8,0x4007fffc,
    0x7c401ff8,0x20001fff,0x4c0002ff,0xf1001fff,0xffffffff,0x3fffea07,
    0x3ff60003,0x3ffe6001,0x3f200007,0x3ea00005,0x20005fff,0x3ffa01ff,
    0xffffffff,0xff507fff,0x3ffe60df,0x07fff883,0x00ffff88,0x7c017e20,
    0x740007ff,0x7f40000f,0x5f9001ff,0x15555555,0x01ffff40,0x8009fb00,
    0x0006fff8,0x001fff10,0x7fffd400,0x40fd0003,0xaaacdff9,0x4feaaaaa,
    0x20bfff30,0xfb03fffa,0xffb005ff,0x17dc005f,0x007ffe80,0x00007ec0,
    0x003ffff9,0xa80007f1,0x20006fff,0xff88006f,0xf700005f,0x400009ff,
    0x02fffff9,0x3f207e80,0x407fe001,0xf305fff8,0x3fea05ff,0xfffa805f,
    0x801f6004,0x40007ffe,0x3ea0007d,0xc801fffb,0xffd00007,0x7f50003f,
    0xbfff1000,0x3ffa0000,0x2600007f,0x00ffffff,0x1f883ec0,0x881fea00,
    0x3fe04fff,0x1fffe01f,0x803fffc0,0x3fa004f8,0x3ec0007f,0xff5f8800,
    0x03f8803f,0x9fff7000,0x001fb000,0x00bfff10,0xfffff500,0x3e600005,
    0x00efffeb,0x00cc1f60,0xf8813f60,0x1ffa04ff,0x005fff90,0x7003fff9,
    0x7ff4003f,0x03ec0007,0xfff0fd80,0x1befc803,0x7ffc4000,0x17e2000f,
    0x2fffc400,0x7cfec000,0x300006ff,0xbffff17f,0x0003ec00,0x7c403ff0,
    0x1bf604ff,0x00bfff30,0xb009fffb,0x7ffe800f,0x003ec000,0x3fff17dc,
    0x7ffffc40,0xf90000df,0x7e4007ff,0xfff10001,0x4f98000b,0x0003fffb,
    0x3fe67f30,0x0fb004ff,0x01fea000,0x5c09fff1,0xfffe804f,0x3fffe200,
    0x0027c407,0x0001fffa,0x4f8800fb,0xf900fffc,0x7fffffff,0xdfff3000,
    0x00037c00,0x000bfff1,0xfff51fc8,0x7f300009,0x017fffdc,0xc80003ec,
    0x7ffc404f,0x200fea04,0x2a02fffb,0x202fffef,0x7f4001fb,0x3ec0007f,
    0xff03ba00,0x7f6e403f,0x0dffffff,0x17ffec00,0x0001fd40,0x000bfff1,
    0x3ffa37c4,0x7cc0000f,0x0ffffe43,0x40001f60,0x7fc401ff,0x007e204f,
    0xd817ffe2,0x205fff9f,0xffe8006d,0x03ec0007,0xfff03f70,0x7fdcc003,
    0x54006fff,0xfd805fff,0x3fe20000,0x3ee0005f,0x01fffdc2,0x360fe600,
    0x3600efff,0x7fa80007,0x04fff880,0xffe8007c,0xfd4f880f,0x09f101ff,
    0x00fffd00,0xf3007d80,0x007ffe09,0x3ffff220,0x7fff4004,0x0013e201,
    0x00bfff10,0x7fc43f40,0x7cc0006f,0x5fffe883,0x20001f60,0xff8804fc,
    0x2e00004f,0x2fb83fff,0xf705fff7,0xfffd0003,0x007d8000,0x0fffc0dd,
    0xffff5000,0x7ffdc003,0x0007f204,0x00bfff10,0x7ec0fea0,0x260001ff,
    0xffff303f,0x0001f609,0x3e2007fe,0x200004ff,0x7d85fff8,0x3a17ffe2,
    0xfffd0006,0x807d8000,0x3ffe00fc,0x7fd40001,0x3fe2004f,0x00df00ff,
    0x0bfff100,0x4c03f600,0x20005fff,0x3fea03f9,0x007d83ff,0x8803fcc0,
    0x32204fff,0xfffb001c,0x3fa27c41,0x00fe20ff,0x003fff40,0x7f501f60,
    0x001fff80,0x006ffc80,0x541fffe4,0xf880003f,0xf88005ff,0x07fff404,
    0x403f9800,0x6c1ffffc,0x27e40007,0x04fff880,0x5401bff6,0x07ee3fff,
    0x7dc7fff7,0xfffd0001,0x207d8000,0xfff805f8,0xff880001,0x7ffc4007,
    0x0000fe86,0x005fff88,0x7dc01fc8,0xf30003ff,0xffffb007,0x20003ec1,
    0xff1002ff,0x7fffc09f,0x4dfff000,0x6fff886e,0xfe8001ba,0x3f40007f,
    0xff001fb0,0x3600003f,0x7ec000ff,0x013e62ff,0x2fffc400,0x5557fc00,
    0xffbaaaaa,0x7f30007f,0xdfffd100,0xf30003ec,0x7ffc400f,0x017ff204,
    0xf88fffd8,0x11fffb04,0x7ec0007f,0x3a0000ff,0xfffff306,0xffffffff,
    0x000dffff,0x54003fdc,0x07f25fff,0x7ffc4000,0x7ffdc004,0xffffffff,
    0x8002ffff,0xff1003f9,0x001f6bff,0x22004fc8,0x15404fff,0x2fffea00,
    0xfff501fb,0x40001f77,0x0000fffd,0x7ffd41be,0xffffffff,0x06ffffff,
    0x0017ea00,0x6f8ffff4,0x3fe20000,0x03f4003f,0x00bfff30,0x4c007f30,
    0x07dbffff,0x800bfe00,0x0004fff8,0xdddfff00,0x777ffc40,0x7fdc0006,
    0x9f30002f,0x3bbbba60,0xffeeeeee,0x0005eeef,0x5c000ff2,0x02facfff,
    0x3ffe2000,0x00fe6002,0x003fffb0,0x5c003f98,0x007fffff,0x8800ff30,
    0x00004fff,0x07ffff90,0x03ffffd8,0x27ffd400,0x002fb800,0x003fff00,
    0x0003f600,0x3f7fffc4,0x3fe20000,0x03f6001f,0x09fff500,0x8003f980,
    0x007ffffc,0x88009f90,0x00004fff,0x01ffff30,0x00ffffa8,0x07ffe800,
    0x0001fd00,0x0007ffe0,0x0000fea0,0x009ffff9,0x3fe20d40,0x09f1000f,
    0x03fffa00,0x0003f980,0x000ffffd,0xf1000bfa,0x00000bff,0xf8037ff4,
    0x500006ff,0xd8007fff,0x3e00003f,0x057101ff,0x80005f88,0x001ffff8,
    0x7c45ffb0,0x07f2004f,0x27ffe400,0x0009f300,0x001fffe2,0x26001fe6,
    0x00005fff,0x400ffee0,0x00003ffc,0x2013fff6,0x00005fe9,0xfe80fffc,
    0x0dfa82df,0xdffb0000,0x3fffc000,0x22001df5,0x3ea0007f,0xf7000fff,
    0x7fcc000b,0x04fc8007,0x06fffa80,0x3fe20000,0x01ff3000,0xfffc8000,
    0xfdb98ace,0x800004ff,0xff901fff,0x7fdbbfff,0xffa80000,0x3ff60002,
    0x4003f94f,0x220005fd,0x8804ffff,0x0000affe,0xfd000ff5,0xffea8005,
    0x000003ff,0x0bf0017a,0x3f6a0000,0xffffffff,0xf000001d,0x3fa203ff,
    0x01cdffff,0x00fd0000,0xffffe980,0xff91002e,0x3ee0005f,0xe81cffff,
    0xeffffffe,0x007c8001,0xfb003fcc,0xffffffff,0xa800005d,0x00154001,
    0x2eaa2000,0x0000aacc,0x00fffc00,0x00006aa6,0x00015400,0x2002bb98,
    0xfffffffc,0xffff9004,0x00bfffff,0x00140000,0x00000f26,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff700,0xffffffff,0xffffffff,0x3ffffa67,0xdeefffff,
    0x7ff4402b,0xffffffff,0xffe98006,0xefffffff,0x7ffffe40,0xf980ffff,
    0x03ffffff,0x3ffee000,0xfd31efff,0xffffffff,0xffffb01d,0x25dfffff,
    0xfffffff8,0x981fffff,0xffffffff,0xfffff71f,0x80bfffff,0xfffffffb,
    0xffffd14f,0xffffffff,0x9fffffff,0x777fffdc,0xeefffeee,0x4ffffeee,
    0x7ffffdc4,0xeffffeef,0x7ffdc401,0x80001cff,0x2fffffa8,0xcffffc80,
    0xfffc8800,0x3e00006f,0x2202ffff,0x02fffffa,0x9ffffd30,0x3fff2a01,
    0x8801ffff,0x881dfffd,0x3ffffffc,0x7fffdc00,0xffea880b,0xccccccef,
    0x24ffedcc,0xff701efc,0x9fd3105f,0x10bfff60,0x007fffd5,0x000bfff9,
    0x09fffb00,0x007bfee0,0x0bffffa0,0x3ffea000,0xfff9005f,0xfffa8009,
    0xfffd1006,0x7fdc009f,0xffffa802,0x3dff0006,0x07fff700,0x1d92fdc0,
    0x017ffdc0,0x3ff209d1,0xffff302f,0x4fffa80b,0xffc80000,0xdfe8803f,
    0xfffb0000,0xfd0000df,0x2e007fff,0x4c003fff,0x22005fff,0x000ffffe,
    0x7e4005fd,0x44000fff,0xff5001ff,0x25d8007f,0x7ffdc04c,0xfb82d402,
    0x3fe602ff,0x3fea02ff,0xb800003f,0xfd802fff,0x77e40005,0x20002fff,
    0x03fffefa,0x005fff70,0x005fff88,0x01ffffcc,0x740027dc,0x5c004fff,
    0x3fea003f,0xb2d4003f,0x2fffb803,0xffb82c40,0x7fff402f,0x0fffea06,
    0x3fee0000,0x02fe402f,0x7fdfdc00,0x3f60005f,0x7003fffb,0x88005fff,
    0xa8004fff,0x2a00ffff,0xff30005f,0x3e2003ff,0x7ffd4006,0x03344003,
    0x005fff70,0x0bffee03,0x40ffff90,0x0003fffa,0x02fffb80,0x400017f2,
    0x1fffd9fb,0xfadf9800,0xff7003ff,0xff88005f,0xffb0004f,0x03be20bf,
    0x6fffc800,0x8003fb00,0x0003fffa,0x2fffb800,0x3ffee000,0x7fffdc02,
    0x07fff500,0xfff70000,0x0017f205,0xffa9fb80,0x9fd8005f,0x7003fffa,
    0x88005fff,0x10004fff,0xfd07ffff,0xffd00003,0x04fa807f,0x03fffa80,
    0xffb80000,0x3ee0002f,0x7fdc02ff,0x3ffea07f,0xfb800003,0x05fd82ff,
    0xe8fdc000,0x22000fff,0x07fff55f,0x00bffee0,0x009fff10,0x07fffd40,
    0x200005f9,0x100ffff9,0x3ea000df,0x035003ff,0x0bffee00,0x2fffb800,
    0x037ffe40,0x0007fff5,0x85fff700,0x800005fd,0x9fff51fb,0xfa97e400,
    0xff7003ff,0xff88005f,0x7e40004f,0x009f75ff,0x5fffc800,0x20003f90,
    0x9003fffa,0x3fee0005,0x3ee0002f,0x7ff402ff,0x3ffea04f,0xfb800003,
    0x0bfb12ff,0x87ee0000,0x8800fffe,0x0fffea6f,0x017ffdc0,0x013ffe20,
    0x9fffd100,0x200000df,0x7cc3fffe,0x3fea0004,0x005d003f,0x00bffee0,
    0x02fffb80,0x501bffee,0x00007fff,0xd15fff70,0x400000bf,0x3ffee1fb,
    0x2a2fb803,0xf7003fff,0xf88005ff,0x980004ff,0x000fffff,0xffff3000,
    0x00007f41,0x8807fff5,0xf70002fc,0x5c0005ff,0xff702fff,0xffa803ff,
    0xb800003f,0x4ffebfff,0x3ee00000,0x01fffe21,0x7fff51fe,0x33ffee00,
    0xaaaaaaaa,0x4fffbaaa,0xfff90000,0xc800000d,0x05f75fff,0xefffa800,
    0xfeeeeeee,0xf70002ff,0x5c0005ff,0xbaacdfff,0x801dfffd,0x0003fffa,
    0xfefffb80,0x00004fff,0xffc83f70,0x50fea03f,0x2e007fff,0xffffffff,
    0xffffffff,0x00004fff,0x000ffffa,0xffff8800,0xa80005fb,0xccccefff,
    0x02fffecc,0x05fff700,0x67ffdc00,0x2cdefedc,0x0fffea00,0x3fee0000,
    0x4ffffdaf,0x1fb80000,0xd037ffc4,0x3fffa81f,0x05fff700,0x04fff880,
    0xffff3000,0x4000003f,0x00fffffa,0x3fffa800,0x0002fc80,0x0005fff7,
    0x0017ffdc,0x07fff500,0xfff70000,0x13ffff65,0x03f70000,0xf505fff9,
    0x07fff509,0x00bffee0,0x009fff10,0xff9df100,0x800000df,0x0003fffd,
    0x007fff50,0x7dc000ba,0x2e0002ff,0x00002fff,0x000fffea,0x8bffee00,
    0x004ffffd,0x2607ee00,0x0fd86fff,0x003fffa8,0x8005fff7,0x0004fff8,
    0xffe88fe8,0x2000003f,0x0002fffa,0x007fff50,0x7dc000b2,0x2e0002ff,
    0x00002fff,0x000fffea,0x0bffee00,0x009ffff9,0x6c07ee00,0x17e61fff,
    0x801fffd4,0x4002fffb,0x0004fff8,0xfff517e4,0x2000003f,0x0002fffa,
    0x007fff50,0x7dc00066,0x2e0002ff,0x00002fff,0x000fffea,0x0bffee00,
    0x013ffff2,0x4c07ee00,0x07f65fff,0x801fffd4,0x4002fffb,0x0004fff8,
    0x3ff213ee,0x5000006f,0x00005fff,0x000fffea,0x3ffee000,0x3fee0002,
    0x2a00002f,0x20003fff,0x05fff701,0x013ffff2,0x7403f700,0x05f89fff,
    0x400fffea,0x4002fffb,0x0004fff8,0x3fe20bf3,0x800003ff,0x0002fffa,
    0x007fff50,0xfff70000,0x7fdc0005,0x2a00002f,0x30003fff,0x0bffee0b,
    0x04ffffc8,0xa807ee00,0x02fccfff,0x400fffea,0x4002fffb,0x8004fff8,
    0x3ea00ef8,0x00001fff,0x0017ffd4,0x03fffa80,0x2e009100,0x20002fff,
    0x0002fffb,0x00fffea0,0xffb816c0,0x7ffe402f,0x3f70004f,0x6ffffe80,
    0x01fffd40,0x002fffb8,0x0027ffc4,0x7ec00ff4,0x400006ff,0x0002fffa,
    0x007fff50,0x7dc00f60,0x2e0002ff,0x00002fff,0x000fffea,0x7fdc03ea,
    0xfffc802f,0x1fb8004f,0x17fffdc0,0x00fffea0,0x0017ffdc,0x0013ffe2,
    0x3e2007fb,0x00004fff,0x000fffea,0x01fffd40,0xb8007d40,0x20002fff,
    0x0002fffb,0x013ffea0,0x7dc0bd30,0xffb002ff,0xfc800bff,0x07fff801,
    0x003fffa8,0x8005fff7,0x2005fff9,0x7d4005fd,0x00002fff,0x0007fff7,
    0x013ffea0,0x6400bf10,0x20003fff,0x0004fffd,0x03bffee0,0x80ffee20,
    0x1003fffd,0x03dfffff,0x2e00ff60,0xffb803ff,0xfff9004f,0xfffa8007,
    0x2ffd8806,0x7fffc400,0xfc80001f,0x700004ff,0x54009fff,0xff3003ff,
    0x50005fff,0x005fffff,0xfffff300,0xdddddddf,0x101ffffd,0x03fffff7,
    0xffffff30,0x3ea0159f,0x7fc401ef,0x7fffcc00,0xff7100af,0x2a003fff,
    0x203ffffe,0x005ffffa,0x7fffffd4,0xff30001c,0x00015fff,0x67ffffcc,
    0xccbaaaab,0x2600fffe,0xffffffee,0x3a600eff,0xfffffffe,0x3a2000ef,
    0xfffffffe,0xffffffff,0x7f4c6fff,0xffffffff,0x7fff440e,0xffffffff,
    0xffffdd34,0x82640dff,0xfffffee8,0xfd31efff,0xffffffff,0xffffb01d,
    0x25dfffff,0xfffffffc,0x7ff5c05f,0x5fffffff,0xfffdd100,0x03dfffff,
    0x3fffba20,0xffffffff,0x5fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffffffe9,
    0xcdeeffff,0xf90000ac,0xffffffff,0xffffffff,0x3ffa61ff,0xffffffff,
    0x00abcdee,0x7fffff4c,0xdeeeffff,0xfe98002b,0xffffffff,0xffffffff,
    0x0000405f,0x000000c4,0x00000000,0x4ccccc40,0x26666209,0x99881999,
    0x033ae199,0x7ffffdc4,0xfffecdef,0x2000ceff,0xeeeffffc,0xfeeeeeee,
    0xfb882fff,0xbbcdefff,0x0dffffdc,0x7fffdc40,0xfffecdef,0xb88000df,
    0xcccdffff,0xfffedccc,0x0000ea05,0xd30007ea,0x00000017,0x0fc88000,
    0x9ffffff7,0x7ffffed4,0xfffeb85f,0x01ffff55,0x101fffec,0x07ffffd5,
    0x80033f60,0x6c05fffd,0x2e202fff,0xd802ffff,0xff702fff,0x360007ff,
    0xe8801fff,0x000fa05f,0x10007ea0,0x00019ffd,0xd9800000,0x7ff445ff,
    0xdfff701f,0x7ec5ff00,0x3ee03fff,0xff9002ff,0x0bb00bff,0x0efffb80,
    0x017ffdc0,0x00ffffc4,0x980bffee,0x8003ffff,0x2001fffb,0x007f306e,
    0x0003f500,0x0077ff6a,0xd5000000,0x3ea019ff,0x3ff602ff,0x2a2fc405,
    0x2e06ffff,0x26002fff,0x7404ffff,0x3ffe6001,0xfffb801f,0xdfff5002,
    0x02fffb80,0x007fffdc,0x007ffee0,0x3ff886a8,0x01fa8000,0x77fe4c00,
    0x20000002,0x00beffb8,0x2a04ffd8,0x0fd407ff,0x703e4dcc,0xa8005fff,
    0x1a03ffff,0x09fffd00,0x00bffee0,0x202fffe8,0x4402fffb,0x4002ffff,
    0x4001fffb,0x003ffe86,0x0001fa80,0x17fff710,0x32600000,0x54002dff,
    0x7ffc07ff,0x3601b602,0x0bffee06,0x3ffff600,0x7e400900,0x3ee006ff,
    0x3f2002ff,0x3fee03ff,0xfffe802f,0x7ffdc004,0x3fa20001,0x00999cff,
    0x0001fa80,0x1cffea80,0xffb50000,0x7fc00039,0x17ffa02f,0x3e2017c4,
    0x0bffee03,0x3fffe200,0x7fcc0003,0x3ee001ff,0x3f2002ff,0x3fee03ff,
    0xfffe802f,0x7ffdc004,0xfff50001,0x0bffffff,0x0003f500,0x6ffecc00,
    0xfeb88002,0xc80000bf,0xfff305ff,0x900f701f,0x2fffb80d,0xdfff9000,
    0x7ff44000,0x7fdc003f,0x3ffa002f,0x3ffee01f,0x2ffff802,0x0fffdc00,
    0x26620660,0x0999cffd,0x001fa800,0xffc88000,0x7e4400be,0x400002ef,
    0xdd80fff9,0x04e84ffd,0x3ee00f64,0xf50002ff,0x20003fff,0x8005fffc,
    0x1002fffb,0xfb80dfff,0x7fcc02ff,0x7dc000ff,0x01dc01ff,0x0000fff6,
    0x000007ea,0xcffeb880,0x0effecc0,0xffd00000,0xffa9f987,0xea80fcc7,
    0xfffb800d,0xfff30002,0xff50007f,0xf70001ff,0xfd1005ff,0xffb807ff,
    0x3ffa202f,0xffb8004f,0x201f401f,0x2a203ffd,0xaaaaaaaa,0xaaaaabfc,
    0x00002aaa,0xf30fffb8,0x000005ff,0x6c8dff70,0x06c8bffe,0xffb8002e,
    0x3fe0002f,0x7c4004ff,0x70002fff,0xe9805fff,0xfb805fff,0xffb102ff,
    0x3ee000bf,0x7f9301ff,0x203ffd80,0xfffffff9,0xffffffff,0x00ffffff,
    0xbffb3000,0x2dffd983,0x3e200000,0x645f10ff,0x000fe5ff,0x02fffb80,
    0x17fffa00,0x0bfffb00,0x77ffdc00,0xfecccccc,0xf7003fff,0xffc985ff,
    0x2e0003ff,0xeeeeefff,0x6c03ffff,0x2aa203ff,0xcaaaaaaa,0xaaaaaabf,
    0xa80002aa,0x4400cffe,0x000beffc,0x94ffd800,0xa8fff98d,0x3332600f,
    0x17ffdc03,0xbfffb000,0x7fffdc00,0x3fee0000,0xfffeefff,0x000bffff,
    0xffddfff7,0x0015bfff,0xeefffb80,0x3fffeeee,0x001ffec0,0x0000fd40,
    0x7dff7100,0xfeb88001,0x200000cf,0x83f8effa,0x805dbffe,0x2e00fffd,
    0x20002fff,0x1004fffe,0x0005ffff,0x882fffb8,0xdffffdb9,0x67ffdc00,
    0x03fffdaa,0x3fff7000,0x3601fdc0,0xa80003ff,0x9800001f,0x0002dffc,
    0x03bffb50,0x37ffe000,0xffffb80f,0x05ffd002,0x0017ffdc,0x007ffff0,
    0x0013fffa,0x00bffee0,0x07ffffea,0x222fffb8,0x0001ffff,0x401fffb8,
    0x1ffec03c,0x00fd4000,0x9ffb5000,0x26000003,0x0002effc,0x8827ffe4,
    0x22007fff,0x3fee05fe,0xff10002f,0xff9003ff,0x2e0000df,0xd3002fff,
    0x7dc0dfff,0x7ffd42ff,0xffb80006,0x201dc01f,0x80003ffd,0x440001fa,
    0x000bffeb,0xff710000,0xf300017f,0x7fe401ff,0x03fcc004,0x0005fff7,
    0x003fffea,0x003ffff3,0x0bffee00,0x3ffffa80,0x905fff70,0x80009fff,
    0x4c01fffb,0x01ffec01,0x000fd400,0x02effc88,0x54000000,0x4001cffe,
    0x7fcc04fe,0x01fa8000,0x0005fff7,0x201bffee,0x0003fffe,0x00bffee0,
    0x04ffff88,0x3a05fff7,0x20002fff,0x0001fffb,0x0003ffd8,0x44001fa8,
    0x0001cffd,0x6cc00000,0xf7000dff,0x000bd003,0xfffb825c,0xfff88002,
    0x7ffe402f,0x2e010006,0x74002fff,0xff706fff,0x3ffe205f,0xff70000f,
    0xfb00003f,0xf500007f,0x0bf98003,0x00000000,0x8007e440,0x00350038,
    0xfff70080,0xfff90005,0xffffa80b,0x70498000,0xe8005fff,0xff704fff,
    0x7ffdc05f,0xfff70005,0xffb00003,0x3f500009,0x00000000,0x01000000,
    0x00000000,0x05fff700,0x1ffff980,0x0bfffe20,0xfb816400,0x7fc002ff,
    0xfff701ff,0x3fffd805,0x1fffb800,0x6ffc8000,0x3ea00054,0x00000001,
    0x00000000,0x00000000,0x05fff700,0x27fff440,0x017fff60,0xfb80fc40,
    0x3ee002ff,0x3fee07ff,0x7ff4402f,0x7fdc002f,0xfb80002f,0x004a8aff,
    0x00000188,0x00000000,0x00000000,0x3fee0000,0xfff5002f,0xfffb807f,
    0x0fb0000f,0x8017ffdc,0x203ffff9,0x9802fffb,0x2000ffff,0x0002fffc,
    0x6fffff88,0x00000000,0x00000000,0x00000000,0xff900000,0xffd8805f,
    0x7fc402ff,0xd88002ff,0x3fff206f,0x7ffe4402,0x7ffe402f,0xffff7004,
    0x3fff6003,0xff300003,0x0000039f,0x00000000,0x00000000,0x00000000,
    0x9dfffff3,0xffffb959,0x3ffa007f,0xccccccff,0xfedccccc,0xfff305ff,
    0x9779bdff,0x01dffffb,0x2fffff98,0x9ffffd00,0x3ffee205,0x200001ff,
    0x00000001,0x00000000,0x00000000,0xe9800000,0xfffffffe,0xbdeeffff,
    0x3ffee001,0xffffffff,0xffffffff,0x3fba63ff,0xffffffff,0x1bdeefff,
    0x3fffba60,0x00efffff,0x3fffffe2,0xffffd32f,0x01dfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x006f2e60,
    0x01333333,0x00333333,0x01bccb98,0x15999510,0xabcba800,0x99998890,
    0x33300999,0xca980333,0x793002bc,0x99881ca8,0x99999999,0x33109999,
    0x98333333,0x44009999,0x0de5443c,0x00379510,0xbca83c98,0x500a8800,
    0x9dfb3003,0x3205fffd,0xd82ffffd,0x801fffff,0xfffeeff9,0xbff9100d,
    0x801ffff9,0xffecdfe8,0x7fff547f,0xfb903eff,0x3fa209ff,0x01efffce,
    0x3e69ffd5,0x7ff42fff,0xffffffff,0xfd31ffff,0x44bfffff,0x504ffffd,
    0x7fd49ffb,0x7e40efff,0xa805ffff,0x3fee4ffe,0x7fc03fff,0x01ffec0f,
    0xfe883ff5,0x3ffea04f,0x07fff202,0x74c39f70,0xffd80eff,0x03bfee20,
    0x7e4c0fe8,0x0dfff907,0x7dc07fe0,0x0fffe40e,0x19fffff7,0xe8bffffd,
    0x99999abf,0x884fffb9,0xff05fffe,0x3fffea0b,0xfd9df94f,0x6f7ec9ff,
    0xf703fffe,0x3f29ffff,0x01ffffef,0xff87fff3,0x05ff306f,0xf817ffa2,
    0x3fe602ff,0x40fee01f,0x7dc4fff9,0x09ffd04f,0x07e80ff2,0x2201bffa,
    0x20ff503f,0x4c26fff8,0xc8adcfff,0x201f42ff,0x2206fff8,0x7cc0ffff,
    0x7ffc4205,0x7fe40dcc,0x7e40dd9f,0xff3081ff,0x7443bb9f,0xfff306ff,
    0x42fffc47,0x7d405fe8,0x5ffd02ff,0x80fffc40,0x7fe406f8,0x40fff61f,
    0x7fd05ffc,0xff503d40,0x80fb801f,0x3f603ff8,0xfffd80ff,0x007c0444,
    0x5007fffa,0x0ee89fff,0x07fffb00,0xf01ffffc,0xffe805ff,0x0fff503f,
    0xff0bffe6,0x07ff70bf,0x3a0dffd0,0x7ffc02ff,0xb809f901,0x3ff23fff,
    0x20bff701,0x203c06ff,0x27403fff,0x7d407fc8,0x1dffb06f,0xff901600,
    0x3ff6005f,0x4003f91f,0x7ec04ffc,0x1ffec05f,0x8813ff60,0xfff00fff,
    0xd84ffd83,0xffb802ff,0x02ffe82f,0xff80fffc,0xaaaaaaac,0x3225fffc,
    0x41bfee03,0x0301effd,0x2607ffb8,0x00dff01f,0x04ffd806,0x9fff5000,
    0x77ffc400,0x7e4003fa,0x2ffe404f,0xb013ff20,0xfff809ff,0xf90ffd01,
    0x03fff07f,0xd09fff30,0xfff805ff,0xccdff881,0xcccccccc,0xff93003c,
    0x3ffea0df,0x7c4000cf,0x20db02ff,0x80005ff9,0x80004ffd,0x8006fff8,
    0x005ffffa,0x6404ffc8,0x7fe405ff,0x027fec05,0x7ec0bffe,0x4c1ffa86,
    0xf8800fff,0x2ffe85ff,0x4c0fffc0,0x400002ff,0x6ffccfeb,0xfffffd10,
    0x7fec0019,0xf502f886,0xfb00009f,0xfb00009f,0x320001ff,0xc8001fff,
    0x7fe404ff,0x02ffe405,0xfd013ff6,0x213ee05f,0x7fdc0ff9,0xdfff000f,
    0xf805ffd0,0x4ffa81ff,0x7ff70000,0xb1037fdc,0x03ffffff,0x707ffe60,
    0x02ffdc0f,0x027fec00,0x0bfff200,0x0dffd000,0x809ff900,0x7e405ffc,
    0x27fec05f,0x4c0bffa0,0xf90df03f,0x3fa003ff,0x02ffe85f,0x7d40fffc,
    0x6c40005f,0x37fdc0ef,0x7ffff540,0x9ffd003f,0x3fee04e8,0xffd80006,
    0x3fe60004,0x7cc0004f,0x64004fff,0x7fe404ff,0x02ffe405,0xfd013ff6,
    0x40be205f,0x2fffa85e,0xd07ffd00,0xfff805ff,0x006ff981,0x5c17fa20,
    0x3ee006ff,0xa803ffff,0x01f50fff,0x0007ffd4,0x0013ff60,0x0037ffc4,
    0x3fef7a20,0x3ff2001f,0x02ffe404,0xfb017ff2,0x2ffe809f,0x41ec03e0,
    0xd004fff9,0x5ffd03ff,0x881fff80,0x92003fff,0xff701ffe,0xffc8020d,
    0x7fff006f,0xfff30176,0x36126007,0xfb0004ff,0xd80001ff,0x00dffd0e,
    0x32027fe4,0x7fe405ff,0x027fec05,0x0000bffa,0x00ffff10,0x7fec1ffe,
    0x80fffc03,0x77007fff,0xfb81bfe6,0xfb80d06f,0xffc801ff,0x7c402f8e,
    0x03b007ff,0x70009ffb,0x02805fff,0xfff30fdc,0x13ff2009,0xc80bff90,
    0x7fec05ff,0x017ff404,0x7ffdc000,0x82ffc402,0x3e604ffc,0xfff901ff,
    0xb8fcc01b,0xff700fff,0xf8807e0d,0xff8801ff,0xffb006ef,0xb06b80bf,
    0xf98009ff,0x205804ff,0xfffb83f9,0x04ffc802,0x3202ffe4,0x7fec05ff,
    0x417ff404,0xccccccc9,0x3ffe03cc,0x807fe406,0xfd506ffc,0x3fe205ff,
    0x7dc41eff,0x20bffea5,0xf866ffe9,0x007fe405,0x003fffd8,0x30bffff1,
    0x3ff607fb,0x3ffe2005,0x3e20f006,0x03fffa05,0xc80bff90,0x7fe405ff,
    0x027ff405,0x3ea0bffe,0xffffffff,0x13ffea06,0xf501ffc4,0x3f2239ff,
    0x818dfff9,0xdffffffb,0x3e60fffe,0xbf913fff,0x7cb75fff,0x017fa03f,
    0x000fffa8,0x3bfffff2,0x3605ffec,0x3f6006ff,0x07b800ff,0x7fcc01fd,
    0x37fec05f,0x9017ff20,0xfff80dff,0x41fffc04,0xfffffffa,0x7fcc06ff,
    0x0bfe61cf,0x3fffff60,0xfffff1ff,0xffff7019,0xb03fffff,0x3dffffff,
    0x41dffff1,0xefb84fff,0x02ff4000,0x7ffffe40,0xf300efff,0xf7007fff,
    0x55555bff,0x88dfb955,0x3e200ffd,0xf980dfff,0xff101fff,0x3fe603ff,
    0xfff501ff,0x3ffee01f,0xaaaaa886,0x8802aaaa,0xbefffffd,0xfffd1001,
    0x5f7fc1bf,0x7fff4c00,0xfb100dff,0xffd89fff,0x7fff7c0d,0x000cffdd,
    0x50001fb8,0x07ffffff,0x3fffffea,0xfff104ff,0xffffffff,0x7ccdffff,
    0xfc83ffff,0x35ffffff,0xdffffffd,0x3ffffaa7,0xffd53eff,0x2a5dffff,
    0xefffffff,0xffffffb2,0x000001df,0x0000ab98,0x07202ae2,0x02aea200,
    0x1300d440,0xaba98820,0x01220000,0x026ee600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000200,0x33322002,0xcccccccc,0xcccccccc,0x135300cc,0x0000a000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40002fe8,
    0xff3003f9,0xffffffff,0xffffffff,0xfe881fff,0x2002dfff,0x00000069,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,0xfe80009f,
    0x3333000f,0x33333333,0x33333333,0xd97bfd03,0xc8039fff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,0x5fdc0009,
    0x0000004f,0x9301f700,0x4417dfff,0x000001fb,0x00000000,0x00000000,
    0x00000000,0x00000000,0xca800000,0x7931ffc2,0x3f2bf100,0x00000001,
    0xfda803e8,0x04ffdeff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c9fff00,0x03fff51f,0x0df10fd8,0xd0000000,0xffeb8800,
    0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0x3eaf95ff,0x3e600fff,0x00017dc3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x76440000,0xffbdbeff,0x837401df,
    0xfff300fe,0xffffffff,0xffffffff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6d440000,0x7001beff,0x413e605f,
    0xccccccc8,0xcccccccc,0x00cccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fbff6a2,0x405f8800,0x000000fc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6fff5c00,0x0cfffbda,0xf8801fb0,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbdd3fff6,0xf986fffa,
    0x005f7004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0x7d43fa4f,0x003741ff,0x000001ba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff11ed40,
    0x3ee26cc5,0x01fcc002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x26c404ff,0x000dc800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0000bfa2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00002000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_45_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_45_usascii_y[95]={ 36,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,9,8,9,8,8,17,17,12,18,12,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,43,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,17,17,17,17,17,17,7,7,7,22, };
static unsigned short stb__times_45_usascii_w[95]={ 0,6,12,20,17,32,30,5,12,12,16,23,7,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,23,23,23,16,36,29,25,25,28,24,21,28,29,12,16,30,
24,36,30,27,22,27,28,19,23,29,29,39,29,29,24,10,12,10,19,22,7,17,20,16,20,16,17,19,21,10,
12,21,10,32,21,18,20,20,14,14,12,21,20,29,20,21,18,12,2,12,23, };
static unsigned short stb__times_45_usascii_h[95]={ 0,29,13,29,34,30,29,13,38,38,18,23,11,4,
5,30,29,28,28,29,28,28,29,28,29,29,20,26,21,9,21,29,38,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,37,30,37,15,2,8,20,30,20,30,20,29,28,29,29,
38,29,29,19,19,20,28,28,19,20,26,20,20,20,19,28,19,38,38,38,7, };
static unsigned short stb__times_45_usascii_s[95]={ 254,112,240,189,156,174,1,249,93,1,130,
145,247,240,249,241,152,197,210,210,71,91,95,217,227,114,250,244,193,167,169,
32,56,156,55,49,1,231,110,50,141,236,139,73,48,104,186,22,25,128,81,
75,1,41,109,1,171,201,30,117,207,106,147,174,247,59,220,113,1,42,171,
230,130,119,14,90,79,185,218,1,176,155,130,77,132,20,92,217,164,133,145,
43,40,27,191, };
static unsigned short stb__times_45_usascii_t[95]={ 1,40,186,40,1,1,71,101,1,1,206,
158,158,200,115,1,40,71,71,40,101,101,71,101,40,71,71,40,158,206,158,
71,1,101,158,71,158,130,158,40,130,101,101,130,130,130,101,40,130,1,158,
71,130,101,101,101,130,130,158,1,1,1,206,32,170,186,1,186,40,186,40,
71,40,40,1,40,40,186,186,186,71,71,186,186,158,186,186,158,186,71,186,
1,1,1,206, };
static unsigned short stb__times_45_usascii_a[95]={ 163,217,265,325,325,542,506,117,
217,217,325,367,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,181,181,367,367,367,289,599,470,434,434,470,397,362,470,
470,217,253,470,397,578,470,470,362,470,434,362,397,470,470,614,
470,470,397,217,181,217,305,325,217,289,325,289,325,289,217,325,
325,181,181,325,181,506,325,325,325,325,217,253,181,325,325,470,
325,325,289,312,130,312,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_45_usascii_BITMAP_HEIGHT or STB_FONT_times_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_45_usascii(stb_fontchar font[STB_FONT_times_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_45_usascii_BITMAP_HEIGHT][STB_FONT_times_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_45_usascii_s[i] + stb__times_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_45_usascii_t[i] + stb__times_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_45_usascii_x[i];
            font[i].y0 = stb__times_45_usascii_y[i];
            font[i].x1 = stb__times_45_usascii_x[i] + stb__times_45_usascii_w[i];
            font[i].y1 = stb__times_45_usascii_y[i] + stb__times_45_usascii_h[i];
            font[i].advance_int = (stb__times_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_45_usascii_s[i] + stb__times_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_45_usascii_t[i] + stb__times_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_45_usascii_x[i] + stb__times_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_45_usascii_y[i] + stb__times_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_45_usascii_LINE_SPACING
#endif

