// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_48_usascii_BITMAP_HEIGHT        244
#define STB_FONT_times_48_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_48_usascii_FIRST_CHAR            32
#define STB_FONT_times_48_usascii_NUM_CHARS             95

#define STB_FONT_times_48_usascii_LINE_SPACING          31

static unsigned int stb__times_48_usascii_pixels[]={
    0x00000000,0x00000000,0x00000000,0x55510000,0x22555555,0xaaaaaaaa,
    0x06620002,0x00180000,0x00000980,0x000002a6,0x1b000000,0xfe980000,
    0x80073624,0x2a2000fc,0x5cc0004d,0xdefffedc,0x4000000b,0xfffff52b,
    0x3feedfff,0x06ffffff,0x3ffb6ea0,0x0002ceff,0x30001f30,0x007ffffb,
    0x6c06f880,0xfc980007,0x174c0004,0xfff90000,0x800de983,0x9f5000fc,
    0x7f540001,0x53109abc,0x00007df9,0x2aa23d88,0x76ffcaaa,0x55555dff,
    0xdffb1005,0xfffd757b,0xf980003d,0xa7fc4001,0x20004ffa,0x0fd401fd,
    0xfffda800,0x4f980004,0xfffb0000,0x9007b603,0x05f9001f,0x2fff2200,
    0x0f754000,0x00f5c000,0xff76ff98,0x3fea000b,0x3faa202f,0x764c003f,
    0x01ceffff,0x3fee27f4,0x03fa8002,0xe8004f88,0x004ffffd,0x003dd100,
    0x204fe980,0x3f200ef9,0x0037dc00,0x0002fe98,0x20003fb8,0x3e6001fc,
    0x00bff76f,0x001dff90,0x0037ffa2,0x7f9dff91,0x907dffd9,0x6ff883ff,
    0x0037c400,0x7cc000fb,0x200004ff,0x80000ef9,0x204fe800,0x3fe200fc,
    0x0efa8002,0x0fe60000,0x000bee00,0x3feedff3,0x7ffec005,0x7ffc4000,
    0x47bfa206,0x3ffea0f9,0xfe83ff40,0x03f6001f,0x0001fa80,0x00013ffe,
    0x0000bf90,0x403fee00,0x3ff200fc,0x06fe4000,0x0fcc0000,0x000bf300,
    0x3feedff3,0x3ffea005,0xfff50004,0x987ff207,0x107fcc0f,0x3ff60fff,
    0x007f5003,0x20004f88,0x00004ffe,0x00004fe8,0x902ffc80,0x07ff401f,
    0x0009f900,0x800eb800,0x98001ff8,0x0bff76ff,0x03fffe20,0x0fffe800,
    0x3e637fcc,0x3e60fc80,0x09ffb07f,0x2000bf10,0x3fa0007d,0xa800004f,
    0x000001ff,0xfc827fec,0x007ffe00,0x000037d4,0xfe803d80,0xdff30005,
    0x64017fee,0x40004fff,0x7dc6fffb,0x4c07cc5f,0x41bfea0f,0xfd805ffc,
    0x05f50000,0x013ffa00,0x17fe2000,0xffd00000,0x4403f209,0xf8802fff,
    0x0000001f,0x3ffa80d5,0x2dff3000,0xf9805ffb,0x40000fff,0x323ffff8,
    0x807cc7ff,0x41ffe60f,0x7dc04ffd,0x027c0002,0x004ffe80,0x03ffd000,
    0x7ffc0000,0x7c01f903,0x3fd804ff,0x22033000,0x7ec03f00,0xff30000f,
    0x2017feed,0x0007fffc,0x5cbfffd0,0x03e61fff,0x0fff1074,0xf880fff6,
    0x07d80005,0x009ffd00,0x17fee000,0x403f6600,0xf902fff8,0x02fff401,
    0x91001bea,0x3ee7fbdf,0x2609904f,0x260006ff,0x0bff76ff,0x00dfffb0,
    0x9bfff200,0x3e65fff8,0x03ffa000,0xfe807ffa,0x2fa80000,0x44ffe800,
    0x001bdec9,0x800fff98,0x00fffeb8,0x3203fff5,0x1bff600f,0x54003fd0,
    0x3a3621ef,0x20d501ff,0x20004ffc,0xbff76ff9,0x0bffff00,0x3ffee000,
    0x3bfffa0f,0x32000f98,0x37fc41ff,0x00005f70,0x7f40027c,0xffffd14f,
    0xf88007ff,0x7fd403ff,0xf500ffff,0x03f201ff,0x2606ffb8,0x3bee007f,
    0x07ffea80,0x3ffe21e6,0x3fe60003,0x880bff76,0x0004ffff,0x43ffff50,
    0xfaeffffc,0x22ff4000,0x9f301ffb,0x07d80000,0xe8cffe80,0xffffffff,
    0x2fffc005,0x0fffe820,0x640fff30,0x17fea00f,0xf7004fc8,0x2fffc03f,
    0xfff50f10,0x7fcc0007,0x980bff76,0x0003ffff,0x85ffff50,0x0ffffffd,
    0xb97f4400,0x03ba03ff,0x05f50000,0xeedffe80,0xfffea88b,0x3ffa003f,
    0x3fff2007,0xc817fe00,0x0ffe600f,0xfb801ff8,0x3ffe203f,0xf903e202,
    0x4c0005ff,0x0bff76ff,0x02ffffa8,0xffff3000,0xfffffb09,0xeb88001b,
    0x3f201dff,0xf8000801,0x7fff4004,0xffffb104,0x0ffff400,0x00fffb80,
    0x7e403fea,0xa81bee00,0x5ff8806f,0x007ffcc0,0x3fffb0f3,0xb7fcc000,
    0x7d405ffb,0x00003fff,0x207ffff3,0x1efffffc,0xf3001000,0x77fe4c09,
    0x00fb001c,0xe805ffe8,0xfb003fff,0x3ee005ff,0x1fec00ff,0x3fe00fc8,
    0x2013ee02,0x7d401ffd,0x743d406f,0x20000fff,0xbff76ff9,0x4ffff980,
    0xfff50000,0x7ff4c05f,0x00003fff,0x7fc40dd0,0x5001ff73,0x7ff4005f,
    0x5fffa804,0x07fff900,0x003ffea0,0x03f203f6,0x3f200fdc,0x02ffdc03,
    0x2e01ffec,0x007fff86,0xfbb7fcc0,0x7ffcc05f,0xf700005f,0xd8803fff,
    0x005fffff,0x880fe400,0x077e44fe,0xfd002fc0,0x3ffe009f,0x9fff9006,
    0x03ffea00,0xf905f5c0,0x800dd981,0x7ff402fc,0x01fff801,0x3fffc26c,
    0x5bfe6000,0x7c405ffb,0x00006fff,0x001ffff9,0xbffffff3,0x9f300001,
    0x260ffec0,0x07c805ff,0x4013ffa0,0xf7007ffd,0x3ea009ff,0x322000ff,
    0x7fc1f93f,0x807f6001,0xfa806ffa,0x217c407f,0x0006fff8,0xffbb7fcc,
    0x7fffd805,0xfffb0000,0x367e600d,0x0006ffff,0x3fe03744,0x500fff07,
    0x3ffa005f,0x1fff9004,0x07fff700,0x003ffea0,0xfc856ecc,0x002fae60,
    0xffd803fa,0x04ffe803,0x7ffc43d4,0x7fcc0007,0x700bff76,0x0001ffff,
    0x007fffd0,0x7ffdc3e6,0x3f20003f,0x41ffe201,0x5f800ffe,0x009ffd00,
    0x6401ffee,0xf5002fff,0x5f7001ff,0x3b601f90,0x8807f400,0x7dc01fff,
    0x826c02ff,0x40007fff,0xbff76ff9,0x7ffff100,0xfff88000,0xb83e6006,
    0x8000ffff,0x7fd403fa,0x005ffd06,0x3ffa00f9,0x0dff9004,0x007fff20,
    0x2007ffd4,0x01f904fb,0xfd803be2,0x80fff301,0x200ffff8,0xffff01fa,
    0x7fcc0001,0x200bff76,0x0007fffb,0x001fffe4,0xfffd81f3,0x037c4001,
    0xfd837fdc,0x02fa804f,0xb004ffe8,0x3f6009ff,0xff5000ff,0x07fcc01f,
    0x3f200fc8,0x5407f205,0x7f6c06ff,0xd027406f,0x40003fff,0xbff76ff9,
    0x1ffff400,0x6fff8800,0x2a07cc00,0x6c002fff,0x6ffa800f,0x2007ffd0,
    0x4ffe805f,0x007ffd00,0xa801fffa,0x3fa00fff,0x9803f206,0x05f702ff,
    0x6c03ffee,0x3204ffbc,0x3fff200f,0x3fe60001,0x400bff76,0x0007fff9,
    0x5b03fff9,0x3fe03e60,0x0fea002f,0xe83ffc40,0x1f9002ff,0x004ffe80,
    0x3e001fff,0x3ea006ff,0xdff100ff,0xf5007e40,0x40fea0bf,0x5d82fffa,
    0x3f207ff9,0x17ffd402,0x2dff3000,0x4c005ffb,0x54004fff,0x09b01fff,
    0x3ffe03e6,0x00bf1000,0xfff07ff8,0x00be6003,0xf7009ffd,0x7ffc005f,
    0x3ffea004,0x40fff500,0x3fee00fc,0x7c41be06,0x5fc9cfff,0xf910fff2,
    0x7fc45503,0x3e60003f,0x00bff76f,0x01bfff30,0x403fff90,0x981f306d,
    0x3f6007ff,0x0ffec000,0xf0017fe6,0x04ffe80b,0x22005fe8,0x2a000fff,
    0xff500fff,0x803f201f,0x3f206ffc,0xfffff901,0xaeffa87f,0xf881efca,
    0x0027ff41,0x3eedff30,0xf710005f,0xda8835df,0x7ec00cff,0x7e40f983,
    0x05f7002f,0xc89fd100,0x7e4001ff,0x0ffffa00,0x2000ffd8,0x54005ffa,
    0xff300fff,0x803f205f,0x3e605ffd,0x33ffee04,0xdffffb01,0x7dc2e405,
    0x3e60006f,0x00bff76f,0xffffc880,0x00cffffe,0xf985ffb0,0x4013fee0,
    0x220005f8,0x2ffc8cff,0x202f9800,0x0adfffe9,0x8001bfb3,0x54001ffc,
    0xff100fff,0x803f207f,0x3f404fff,0x033000c0,0x3fa03f30,0xff30000f,
    0x0017feed,0x7ffff440,0x7ec002ff,0x8f989dff,0x2003ffc9,0x440000fe,
    0x001dffeb,0x3aa017e0,0x2fffffff,0x00dff000,0xf80fff50,0x01f904ff,
    0x2a01fffc,0x0000003f,0x3fea05d8,0xdff30003,0x00017fee,0xdfffff90,
    0xfff95000,0x3bffffdf,0x00009800,0xa8000040,0x2ee62004,0x3e60000a,
    0xffa8002f,0x827fec06,0xfff100fc,0x003f9005,0x0fdc0000,0x40017fa0,
    0xbff76ff9,0xff700000,0x40009fff,0x01cfdaa9,0x00000000,0x00000000,
    0x09fb0000,0x017fea00,0x3f207ff9,0x003ffa00,0x000007f4,0x4c00fdc0,
    0xf98001ff,0x00bff76f,0x3ffe6000,0x980002ff,0x5551000f,0x55555555,
    0x55555555,0x00000555,0x00000000,0xb8001be6,0x7fdc04ff,0x6c01f901,
    0x37e2007f,0x32000000,0x1bee001f,0x5dbfe600,0x000005ff,0x0bffff22,
    0x001f3000,0x3fffffea,0xffffffff,0x7fffffff,0x00000000,0x1fb00000,
    0x0ffdc000,0xfc817f60,0x00bfe600,0x0001ee98,0x8001fc80,0x7cc003fd,
    0x00bff76f,0xff910000,0x1440007f,0x55555100,0x55555555,0x55555555,
    0x00000005,0xfb000000,0x90373003,0x0ff880bf,0xf9003f20,0x3fd8800b,
    0x3fd50000,0x00fec000,0x3eedff30,0x0000005f,0x007bfee2,0x00000000,
    0x00000000,0x44000000,0xfff001ed,0x6401fe87,0x007e402f,0x5c0007f4,
    0xa8000bef,0x700003fe,0xffffa83f,0xff76ffff,0x0dffffff,0xdca80000,
    0x00000acd,0x00000000,0x00000000,0x004e8800,0x2fbfffe2,0x3b2201fd,
    0x000fc801,0x710005f9,0x98335bfd,0x003ffcba,0x262e9800,0xcccccccc,
    0x99999933,0x00000799,0x0000a880,0x00000000,0x00000000,0x001d8000,
    0xdffffea8,0x017d9100,0x98003f20,0xb30002ed,0xfffffffd,0x0000059b,
    0x00000590,0x00000000,0x00000000,0x00000000,0x00000000,0x00131000,
    0x15300011,0x00006000,0x0000d4c4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01988000,
    0x4c400000,0x0310099a,0x00000000,0x00000180,0x22000000,0x00000000,
    0x4c015300,0x0066000a,0x7f930000,0x003ec000,0x3ffff726,0x0000acef,
    0x7ffff540,0x2a1befff,0x07eb8804,0x0001fd50,0x220bff50,0x75c403fd,
    0x22000007,0x00ceffeb,0xefdb8800,0x07e4001d,0xea801f90,0x002effff,
    0x3fffaa00,0x09f10003,0x33bff620,0xeffdca9a,0xffc80001,0xba99bdff,
    0x05eceffd,0x81ffff26,0x00ffffc9,0x1fffe800,0x981fffc8,0x0007fffc,
    0x35dff500,0x20003df9,0xfffccee8,0x01fa004f,0xfffd80dd,0x004fffff,
    0xffffde80,0x03f50003,0x803fff70,0x0003ffe9,0x003dffd1,0x20dfffd3,
    0x07fffeeb,0x1ffffdd5,0xfff88000,0x1fffd83f,0x3ffff75c,0x7fdc0000,
    0x001ffb82,0x3fe23744,0x0bf001ff,0x3ff605f8,0xfffffece,0xff500004,
    0x1f60007f,0x003bff60,0x0077fec4,0x01dfff30,0x806ffb80,0xfe807ffe,
    0x440000ff,0xe984ffff,0x3fff404f,0x3fea0000,0x003ff605,0xff982fd8,
    0x03f9805f,0x5fe40fe6,0x7fffec40,0xff880000,0x4f88003f,0x007ffe40,
    0x8037ff40,0x0005fff9,0x3f201ff2,0xfffb807f,0xfff80000,0x3200203f,
    0x400007ff,0x3ea00ffe,0x1ff9004f,0x200bfea0,0x07ee02fa,0xffd00be2,
    0x3e00007f,0xfa8003ff,0x13ffe601,0x1fffdc00,0x01bffe20,0x2e01fa00,
    0xffb807ff,0xfe80000f,0x5c0002ff,0x200007ff,0xff806ffb,0x07fe800f,
    0x0fc80044,0x0f203f60,0x013ffe60,0x01fffc00,0xff1036c0,0x7c0001ff,
    0x3f601fff,0xa80002ff,0x3ffdc00f,0x007ffdc0,0x0ffff400,0x1ffee000,
    0x4fff8000,0x804ffd80,0x200007ff,0x0037407e,0x0017ffc0,0x003fff80,
    0xffb027c4,0xfb80009f,0xfff506ff,0x0f40000d,0x201ffee0,0x0000fffb,
    0x000fffd8,0x003ffdc0,0x02fff980,0x200fffc8,0x00007ff9,0x05f8817e,
    0x007fe800,0x00fffe00,0x3e603f70,0x80000fff,0xfe83ffff,0x200003ff,
    0x3ffdc01a,0x007ffd40,0x03ffe400,0x03ffdc00,0x1fffc800,0x02fffa80,
    0x0001ffea,0x7f5027cc,0x5ff88000,0x3ffe0000,0x7036c003,0x0000ffff,
    0xf317fffa,0x00000fff,0x00fff700,0x0001fff5,0x000fff70,0x000fff70,
    0x003fffa0,0xb80fffe6,0x744007ff,0xeefeeeee,0xefeeeeee,0xfa8005ee,
    0x36e6000e,0x7fff2dee,0xb027c400,0x0000dfff,0xf91ffff6,0x00000dff,
    0x00fff700,0x5301fff5,0x85555555,0x36606ffa,0x23ffdc07,0x402ceda8,
    0x800ffff8,0x2a24fff8,0xaafffdaa,0x3fe602aa,0xffffffff,0xffffffff,
    0x0fd8006f,0x2b3ff200,0x3fffdfec,0xe807ee00,0x00005fff,0x7c1ffff9,
    0x00005fff,0x07ffb800,0x980fffa8,0x2cdffffd,0x2e22ffcc,0x7dc07ffe,
    0x3fffe67f,0x3fe205ff,0xfff1007f,0x7ffffd4b,0x07ffffff,0x37406e80,
    0x007f2000,0x7440dfd8,0x2003ffff,0x3ffe206d,0xf700004f,0x3fe23fff,
    0x000004ff,0x807ffb80,0xf100fffa,0x7fc403df,0x3ffffee4,0xabffdc07,
    0xffffddff,0x0ffff301,0x89bffe20,0x9fffc999,0x44001999,0x013e205f,
    0x00cffc80,0x3a207fe8,0xf1003fff,0x7fffcc09,0xff500003,0x3ffe67ff,
    0xcc98003f,0xcccccccc,0x807ffb82,0xfb00fffa,0x08ffe009,0xf701fffa,
    0xf885f5ff,0xfff506ff,0x3fffc00d,0x000fff90,0x7cc07f30,0x7fe4c003,
    0x2e01ffff,0x7fdc03ff,0x03f7003f,0x017fffd4,0xffff9800,0x05ffff54,
    0xffd53100,0x7013bfff,0xff500fff,0x007fb01f,0xffc817fc,0x77ffdc07,
    0x03fff701,0x400bfff5,0xf900ffff,0xf70000ff,0x000fdc03,0xffffffd5,
    0xdff103ff,0x07fff300,0xff501b60,0x200007ff,0xf53ffff9,0x80007fff,
    0x406ffff8,0xfa807ffb,0x0bf620ff,0x2e05fd00,0x7fdc07ff,0x3ffe200f,
    0x05fffa82,0x40ffff10,0x80007ffc,0x03f600fd,0x7ffdcc00,0x5ffc87ff,
    0x007fff00,0xff8807f1,0x500004ff,0x3e63ffff,0x80004fff,0x5c04fffd,
    0xffa807ff,0x005fd10f,0x3ee03fb0,0x3ffdc07f,0x4c1fffc0,0xf1005fff,
    0x7fe40fff,0x06e80007,0x44000374,0x7c3ffffd,0xfff004ff,0x003f7007,
    0x000bffff,0x43fffee0,0x005ffff8,0x03fffd80,0x5403ffdc,0x1fe88fff,
    0x201f9000,0x7dc07ffb,0x3fff807f,0x006fff88,0x640dfff1,0x440007ff,
    0x013e205f,0x5fffc800,0x400fffe2,0x6e803fff,0x0dfffd00,0x3fff2000,
    0x037fffc7,0x1fffe400,0x201ffee0,0x6ff9fffa,0xb81ee000,0x7fdc07ff,
    0x03fff807,0x2600dfff,0x3f206fff,0x7744007f,0xeeeeffee,0xeeeefeee,
    0xff10005e,0x17ffccff,0x403fff80,0xff9003f8,0x360000ff,0x7fec5fff,
    0x640001ff,0x7dc03fff,0xfffa807f,0x0004fffd,0x3ffdc0d5,0x201ffee0,
    0xfff03fff,0x3ffe600f,0x01fff204,0xffffff30,0xffffffff,0x00dfffff,
    0xf73ffe40,0x3fe007ff,0x00fdc03f,0x00ffffb8,0x3fffe800,0x027fffd4,
    0x0ffff200,0x500fff70,0xfffd1fff,0x40b30005,0x7dc07ffb,0x3fff807f,
    0x200fffb0,0x3202fffb,0x6c0007ff,0x001f600f,0xb9bfea00,0xff004fff,
    0x006e807f,0x001ffff4,0x41bffe20,0x0006fffe,0x201fffe4,0xfa807ffb,
    0xffff88ff,0x700c4001,0xffb80fff,0x03fff807,0x9003fff5,0x7e401fff,
    0x3740007f,0x00001be0,0xffa97fe2,0x7fff005f,0x2001fc40,0x0007fff9,
    0x980fffe4,0x0003ffff,0x700ffff2,0xff500fff,0x3bffea1f,0x3ee00000,
    0x3ffdc07f,0xf01fffc0,0xffb007ff,0x07ffc80b,0x8813e200,0x8800004f,
    0x3ffe64ff,0x07fff006,0x6c000fdc,0x10003fff,0xfd809fff,0x90000fff,
    0xfb807fff,0xfffa807f,0x017fff20,0x07ffb800,0x7c03ffdc,0x3ff203ff,
    0x02fff805,0x0003ffe4,0x17d407f3,0x7fd40000,0x017fffc0,0xdd027ffc,
    0x3ffe2000,0xfff90007,0xfffe8801,0xfff90005,0x07ffb807,0x6c0fffa8,
    0x00004fff,0xfb80fff7,0x3fff807f,0x301ffe20,0xff900bff,0x0fdc000f,
    0x00003f70,0xff909fb0,0x9fff00df,0x8000fe20,0x4004fffa,0x1001fffb,
    0x000bfffd,0xb807fff9,0xffa807ff,0x7fff440f,0x81ff4c02,0x7dc07ffb,
    0x3fff807f,0xb01ffd40,0xff9003ff,0x07ec000f,0x04c00fb0,0xf8837d40,
    0x3e605fff,0x01f705ff,0xdffe8800,0x0dffd800,0x7fff4400,0x3ff6000e,
    0x7ffe403f,0x07ffdc00,0x00ffffcc,0xf903fffd,0x7fe401ff,0x27ffc00f,
    0x5407fe40,0xffb003ff,0x0374000f,0x7ff401ba,0x01bf501c,0x0f7fffdc,
    0x2bffffee,0x0001ba19,0x21beffb8,0x03ffeb98,0x7fffd400,0xfff9301d,
    0xffd8017d,0x7ffe401f,0x1ffff901,0x20bfffe0,0x3201fffd,0x3e200fff,
    0xdfb005ff,0x00fff223,0x001fffe8,0x3e204f88,0xffff8804,0x3fdbabdf,
    0xfffff700,0xfff3dfdf,0x0fe23bff,0xfdb30000,0x9dfffdff,0x6dc00003,
    0xffefffff,0x1002dfff,0x440bffff,0xf305ffff,0xf905ffff,0xffff10ff,
    0x3fffe60b,0x3ffff204,0xfffd7001,0x7dc003bf,0x4001dfff,0x0be603f9,
    0x7ffffd40,0x4001deff,0xdffffff9,0xb819fff0,0x2000000f,0x001bcb98,
    0x97550000,0x40033579,0xffffffe9,0xffff70ef,0x2a1dffff,0xffffffff,
    0xfd505d45,0x2dffffff,0xfffffffa,0xfffe88ef,0x002effff,0x22001551,
    0xfffffffe,0xc9801eef,0x80032600,0x001abaa8,0x81595100,0x000ee02c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0004cc40,0x00662000,0x0006a600,
    0x00d4c400,0x01988006,0x22000014,0x00260009,0x5555554c,0x555500aa,
    0xca880155,0x7b30cefd,0x71136600,0x100059dd,0x33332e01,0x1ccccccc,
    0xffffb800,0x200001ef,0xefffffd8,0x3bfaa003,0x0004efff,0x3ffffae2,
    0x3e20beff,0x3fff2200,0xd30aceff,0xfdca8000,0x36e201df,0x200cefff,
    0xefffffea,0xfffb500b,0x77fd401b,0xffdfffdc,0x3ffae203,0x3fffff65,
    0xbf71005f,0x7fff5cc0,0x88001cff,0xfea9bffe,0xfb80002f,0x3bf660bf,
    0x82fba201,0x000effe9,0x2b7fff22,0xdffcba9a,0xff501fdb,0xfffb779f,
    0x2000dfdf,0x801beffa,0xfc99bff9,0x7fec02ff,0x7ff000ff,0xb80efd80,
    0xf903ffff,0x3f6bffff,0x6fffffff,0x17fff220,0x13fffe20,0x81ffe800,
    0x20000ffc,0x3ee00ffb,0x403fb00f,0xa800fffe,0x4400cfff,0xa81ffffc,
    0xfd300dff,0xe8800dff,0x3e6004ff,0x3ffe881f,0x03fffe20,0xfd01be20,
    0x3fffc80b,0x37ffea10,0xfea99cfb,0x7e443fff,0xd005ffff,0x20005fff,
    0xff306ffc,0x3fe60007,0xb86fe803,0x7ffcc06f,0x17ffe405,0x0bffea00,
    0xd100dff1,0x7cc00dff,0x3e6002ff,0x3ffe603f,0x0fffea01,0xfb80fea0,
    0x7ffcc01f,0xeeffe803,0xffffd881,0x3ff26ee0,0xfffd005f,0x3ffa0003,
    0x0013fa02,0x64007fe4,0x03fec1ff,0xc807ffec,0x70002fff,0x2ffd85ff,
    0x401bf600,0x4000fffa,0x7ec00ffd,0x37ff405f,0xf8807f40,0xfff8805f,
    0x1fffe803,0x0ffffe20,0xd005fff8,0x10003fff,0x7fc05fff,0x1ffd0004,
    0xf87ff700,0x7fe402ff,0x5fff982f,0x21fe4000,0x22000fff,0xfff9806f,
    0x2ffcc002,0x017ffcc0,0x4c03fff5,0x0bff604f,0x401fffc0,0xfc805ffd,
    0x3ffa05ff,0x3fffd005,0x7fff3000,0x000bfea0,0x64017ffc,0x2fff42ff,
    0x10fffee0,0x0001fffd,0x3fe23f88,0x0374002f,0x0013ffe6,0x74013ff6,
    0x7ff406ff,0xf807f205,0xfff001ff,0x0bffb007,0x40dfff10,0xfd005ffd,
    0xf30003ff,0x1bf60bff,0x05ffd800,0xffb87fe8,0x0fffdc06,0x0013fff2,
    0xfff326c0,0x406b800b,0xd0006ffe,0x3f6007ff,0x3fee00ff,0x440df01f,
    0xff000fff,0xbffb007f,0x81fffe00,0xfd005ffd,0xf10003ff,0x5ff70fff,
    0x7ffdc000,0x213fe203,0x7e402fc8,0x2ffff87f,0xf8930000,0x26003fff,
    0x07ffee06,0x027ffc00,0x402fffb8,0x3fa85fff,0x801ffe60,0xfd803fff,
    0xfffd005f,0x017ff601,0x000ffff4,0xb12ffff8,0x980003ff,0xfb02ffff,
    0xfe80001f,0x7fffd45f,0xb0600000,0x4009ffff,0x0dfff103,0x17ffe600,
    0x01fffd40,0xfd07ffee,0x07ffdc01,0x803fff80,0xfb005ffd,0x2ffec0ff,
    0x01fffe80,0x3bfff900,0xaaa83dfd,0xb02aaaaa,0xfc87ffff,0x7cc0000f,
    0x7ffec0ff,0x54000006,0x01efffff,0x13fff200,0x2fffcc00,0x04fff980,
    0xf32fffc4,0x1fffb809,0x007fff00,0x3200bffb,0x3ff606ff,0x3fffd005,
    0x3ffe6000,0xff702fff,0x407bffff,0xf94ffffe,0xfb00001b,0x9ffff07f,
    0xf9000000,0x019fffff,0x21ffff00,0x03dffedb,0x4c01fffe,0xfc805fff,
    0x803f90ff,0xf002fffa,0xffb007ff,0x17ff600b,0xd005ffd8,0x40003fff,
    0x400ffffe,0x800efffa,0xfeffffe8,0xff300003,0x9ffff10b,0x36000000,
    0x3fffffff,0x3bffe600,0xffffeffb,0xfffe80df,0x5fffa801,0xf4fff880,
    0x9fff300d,0x00fffe00,0x74017ff6,0x3ff604ff,0x3fffd005,0x3ffee000,
    0xfff802ff,0x3ff62000,0x00001eff,0xff301ffb,0x000007ff,0x7ffffe40,
    0xfc802eff,0x74c2efff,0x7ec0efff,0xffb805ff,0xfff9004f,0xff1005f9,
    0xfff001ff,0x0bffb007,0xd807ffe0,0xffd005ff,0xfe98003f,0x00ffffee,
    0x4000ffe2,0x02fffffe,0x80ffcc00,0x003ffffa,0x7f4c0000,0x0dffffff,
    0x80ffffa0,0x444fffe8,0x6401ffff,0xf1002fff,0x6c00ffff,0x7cc05fff,
    0xffd803ff,0x05ff9806,0xe802ffec,0x32001fff,0xffff55ff,0x0037d40b,
    0x7ffe7ec4,0x360003ff,0x3ffea02f,0x0000002f,0xffffff70,0x3ffa05ff,
    0x7ffcc00f,0x7fffe41f,0xffffc881,0x3fff2001,0x3ffe6004,0xffe980df,
    0xfffd803f,0x007fec00,0x74017ff6,0xfb001fff,0xffffd87f,0x8005f902,
    0xfff52fe9,0xf10007ff,0xffff9809,0x00000003,0x3fffff62,0xffff82ff,
    0x3fffd800,0xbdffffd8,0xffffdfdb,0x3ffe6000,0x7ffe4001,0x9fdbbdff,
    0xfd803fff,0x3fe605ff,0x05ffd803,0x003fffd0,0xff305ffb,0x4f881dff,
    0x227f4400,0x02fffff9,0x7c4035c0,0x00004fff,0xffe98000,0x3e21ffff,
    0xff5007ff,0x3ffea0bf,0xff99dfff,0x6fd8005f,0xffffb000,0x3fe3ffff,
    0xfffd803f,0x1ffd41cf,0x005ffd80,0xd803fffd,0x3ff607ff,0x0076c4ff,
    0x7441bfa0,0x2000ffff,0xffff002d,0x0000000b,0x7ffffdc0,0x803fffc7,
    0x4c06fff8,0x3ff209bb,0x2fb8001f,0x3ffee000,0x3ffe0dff,0xadffd803,
    0x1fffdfff,0x017ff600,0x300ffff4,0x7c409fff,0x5f71ffff,0x03ffa800,
    0x013fffe2,0xffb000e8,0x800000df,0x7ffc4000,0x1fffa1ff,0x007fff80,
    0x001bffe0,0x440003f4,0xfff80aba,0x15ffd803,0x00015973,0x3a00bffb,
    0x3f601fff,0x7fd401ff,0x004f9eff,0x4c01ffd8,0x1e006fff,0x1ffffb80,
    0x01e00000,0x8ffffe60,0xd000fffc,0x2e000dff,0x98002fff,0x0000004f,
    0xfb007fff,0xd80000bf,0xffd005ff,0x3ffe203f,0xffffb007,0xf88001df,
    0xfff7007f,0xf0016200,0x00007fff,0x5c0007c0,0x3fee5fff,0x9ffd001f,
    0xbfff1000,0x003f6000,0x7ffc0000,0x05ffd803,0x2ffec000,0x01fffe80,
    0x001ffff3,0x09ffffd1,0x00dff300,0x4003ffe6,0x7ffdc000,0x1b00000f,
    0x7cc0017c,0x3ffe64ff,0x07ffd003,0x01dff900,0x000bf300,0x1fffc000,
    0x002ffec0,0x017ff600,0xa80ffff4,0x3002ffff,0x007fffff,0x01ffe215,
    0x00006ff8,0x027fffc0,0x1be1e400,0x217ffc00,0xff004ffe,0xff98001f,
    0x3fd0001f,0x7c000000,0xffd803ff,0x7ec00005,0xfffd005f,0x3fffe203,
    0xfffd1006,0x07c409ff,0x3e001fff,0x4000005f,0x002ffffa,0x0bfe1ae0,
    0x81fff300,0x4401fff9,0x7c4004ff,0x7ec402ff,0x005fd9bd,0x7ffc0000,
    0x05ffe804,0x2ffec000,0x01fffe80,0x013ffffe,0xffffbff5,0x45d883bf,
    0xf8804ffb,0x4fe9801f,0xffffb800,0x80fb8003,0x36002fff,0xbff704ff,
    0x000ffc80,0x2007ffa2,0xeffffffc,0x20000000,0xe804fff8,0x400006ff,
    0xf8805ffd,0x3ea03fff,0x109dffff,0x3ea3ffb5,0xedffffff,0x1ffe81ff,
    0xd801fec0,0xb8002fff,0x801dffff,0xfff00ed9,0xdff7007f,0x302ffe80,
    0x74c003ff,0xff7000ef,0x0001dfff,0xfffa8000,0x3ffe600e,0x3a00001f,
    0xffd806ff,0x3f202fff,0xffffffff,0x7fcc0dff,0x3fffffff,0x107ffb10,
    0x7f4009fb,0xd30003ff,0x359dffff,0x01bffb73,0x6f7ffffc,0xbffd530b,
    0xbefe8801,0x4003bea0,0x8004ffc9,0x000cfffd,0x3f720000,0x12ceffff,
    0xffffffb9,0xfa80009b,0xfed83fff,0xffffffff,0xfffe981e,0x201dffff,
    0xffffffd8,0xdfffa803,0x4001dfed,0x0000fffb,0x7ffffedc,0x801cffff,
    0xfffca89f,0x02ffffff,0x7efffe40,0x36e600ce,0x0000bfff,0x00000262,
    0x26666600,0x26609999,0x19999999,0xfffea800,0x01efffff,0xcca98000,
    0xcc98001a,0x54c4000a,0x2600009a,0x2200000b,0x09acccaa,0x65cc0e00,
    0x20001abc,0x5000aa98,0x00001359,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64c00330,0xcccccccc,0x33332e0c,0x01cccccc,
    0x33333332,0x7ee5402c,0xccb803de,0xcccccccc,0x6664c02c,0x03cccccc,
    0x0004cc00,0x3333332a,0x99952ccc,0x99999999,0x66666400,0x99503ccc,
    0x99999999,0x05000059,0x077aa000,0x5c00bb66,0x03effffe,0x7fffdcc4,
    0x6cc40bff,0x0affffff,0x7ffecc40,0xdfd300ad,0x99ffd515,0x75c47999,
    0x09dfffff,0x3fff6a00,0x640000af,0x3e2002ff,0xffffffff,0xfff9511f,
    0x0035dfff,0x7ffffe4c,0x3faa201c,0x009dffff,0x001f9800,0x43fffc40,
    0x2600fffe,0xfffffffe,0xffb801ef,0xffd803ff,0xff8003ff,0x427fcc06,
    0xfffffff8,0x6ffff886,0x0ffe4000,0x7ffcc000,0x3fff2002,0x06ffffff,
    0x01fffff5,0x0fffd400,0x1bfffa00,0x09f90000,0xffff9800,0x0bfffe21,
    0x7fffffc4,0x00ffffff,0x803ffff8,0x002ffff9,0x3a201ff8,0x3ffee07f,
    0xffb009ab,0xfa80009f,0xfe880006,0xdf1002ff,0xdddddddd,0x3fffec05,
    0x13fe2000,0x13fff200,0xfff88000,0x7ff40000,0x207ffd86,0x988adffd,
    0x806ffffd,0xb005fffc,0x88009fff,0x2ffe405f,0x009fff10,0x0007fff9,
    0x80005f98,0x002ffffc,0x980003f7,0x0001ffff,0x64001be6,0x00004fff,
    0x000fffee,0x71017710,0x017e6019,0x807ffff7,0x800ffff9,0x4006fffa,
    0x7ff403fa,0x03fff404,0x001fffe4,0x00017e60,0x05fffbf5,0x0000bf10,
    0x0013fffa,0x90002fc8,0x00007fff,0x0037fff4,0x2e400000,0x05fffc80,
    0x002fffe8,0x4003ffff,0x7ffc00fd,0x03ffec04,0x001fffe4,0x80017e60,
    0x2fff9ef8,0x0001fb80,0x00ffff50,0x90003fc0,0x00007fff,0x0bffffea,
    0xd0000000,0x3ffe2001,0x5fffb807,0x07fffb00,0x3e017e20,0x7fe405ff,
    0x7ffe400f,0x2fcc0003,0xf13fb000,0x6f8805ff,0x7ffc0000,0x4fa8002f,
    0x3fff2000,0xbfb00003,0x0000bfff,0x00244000,0x2201fff6,0xa800ffff,
    0xf7006fff,0x0dffb005,0xc806ffc8,0x40003fff,0xf70005f9,0x00bffe27,
    0x015bfff7,0x6fffb800,0x000fe800,0x00ffff20,0x3e3be200,0x00000fff,
    0x32000000,0xffb006ff,0xfff9007f,0x01fb003f,0x401fff70,0xfc804ffd,
    0x4c0003ff,0x5f88005f,0xf00bffe2,0x3dffffff,0x3ffe2000,0x17e6001f,
    0x7fff9000,0x25f90000,0x0004fffd,0x20000000,0xf5004ffc,0xffd00bff,
    0x5f8809ff,0x09fff100,0x2003ffe2,0x0003fffc,0x74002fcc,0x0bffe20f,
    0xffffffb8,0x90003fff,0x6400bfff,0x7e40002f,0x440003ff,0x1fffe67f,
    0x00000000,0x002ffd80,0x401ffff1,0x07fffef9,0xd10017dc,0xffd883ff,
    0x7fff9002,0x05f98000,0x3e217dc0,0x372e02ff,0xfffffffe,0x7fcc000d,
    0x6f8800ff,0xfffc8000,0x1fdc0003,0x000bfffa,0x40000000,0x36000fff,
    0x3f203fff,0x201fffe9,0x744000fd,0xdffcacff,0x3fff2001,0x2fcc0003,
    0xf109f300,0x544005ff,0x06fffffd,0x04fffe80,0x80003fb8,0x0003fffc,
    0x3fee07f4,0x0000006f,0x4ff88000,0x37ffd400,0x3ffeedf0,0x000bf104,
    0x79b977d1,0xfff90003,0x5f980007,0x2203ba00,0x30002fff,0x009ffffd,
    0x807fffa8,0xc80000fe,0x20003fff,0xffff04f9,0x00000003,0x00ffc800,
    0x80ffff80,0xffff14f9,0x3000bee0,0xc800007f,0x40003fff,0x3f9005f9,
    0x00bffe20,0x3ffff900,0x2ffff800,0x00017e60,0x001fffe4,0x3f203fb0,
    0x000004ff,0x3fe20000,0xfff90002,0x7f43f907,0x007e82ff,0x00007fc4,
    0x00ffff20,0x500bf300,0x7ffc409f,0xffc80002,0x7fdc005f,0x00bf206f,
    0x1fffe400,0x206f8800,0x000ffff9,0x80000004,0x260005fc,0x46f86fff,
    0x7c45fffb,0x67fdc004,0x3f200000,0x4c0003ff,0x037c405f,0x000bffe2,
    0x0037ff40,0x207fffe2,0x200006f8,0x0003fffc,0xffd805f9,0xdfb1003f,
    0x007fd505,0x00077cc0,0xa87fffa0,0x7fffc43f,0xb000bee0,0xdfffffff,
    0x00179ddd,0x0007fff9,0x7ec05f98,0x17ffc400,0xfff98000,0x7ffe4000,
    0x0003fb85,0x00ffff20,0x7d403fc0,0xff9006ff,0xffff85ff,0x01fd0000,
    0x9fff9000,0x7fec07ec,0x2001fa2f,0xfffffffa,0xcfffffff,0x0fffee00,
    0x409f3000,0xff8803fa,0x3a00002f,0x7cc001ff,0x07f40fff,0xfff90000,
    0x39f50007,0x33333333,0xd003ffff,0x7c4bffff,0xd8001fff,0xf300002f,
    0x41be2dff,0x9f15fffa,0x3ffea000,0xffffffff,0x3ee05fff,0x540004ff,
    0x99ff104f,0x99999999,0x1999bfff,0x07fe4000,0x27fff400,0x80000bf3,
    0x8003fffc,0xfffffffe,0xffffffff,0xffffc805,0x01bff60f,0x0000bf20,
    0xf53fffd0,0x3fffe207,0x70001fb8,0x5555311d,0x1fffb997,0x013ffee0,
    0x2a07f500,0xffffffff,0xffffffff,0x20000fff,0xf50007fb,0x00fecfff,
    0x3fff2000,0x56fcc003,0xaaaaaaaa,0x00ffffba,0x41fb9b98,0x3fa8002a,
    0xffb80000,0x3600fdcf,0x007ebfff,0x90003f50,0x3ffea07f,0x17dc0005,
    0xffffffa8,0xffffffff,0x000fffff,0x80017ee0,0x6f8afffe,0xffc80000,
    0x0fec002f,0x0ffff600,0x0001f900,0x00009f30,0x3ffffe20,0x7fffd405,
    0x4f98004f,0x207f1000,0x0007fff8,0xaa8807ec,0xaaaaaaaa,0xaacfffba,
    0x3f60000a,0x3fee0003,0x0003fbef,0x01fffc80,0x2001be20,0x4007fff9,
    0x2aaaa26f,0x004f9800,0x7ffec000,0xffff802f,0x2fe8001f,0x403f1000,
    0x0002ffff,0x40000ff1,0x0002fff8,0x80003be0,0x0ffffff8,0xffc80000,
    0x017e4007,0x02fffe80,0xffd83f50,0x02fcc03f,0xf5000710,0xf9001fff,
    0xf7000fff,0x176000df,0x00bfff70,0x0000ff60,0x002fff88,0x0003f900,
    0x09ffff90,0x20664400,0x22006ffc,0x3ee0007f,0x3fa806ff,0x4c0bffd0,
    0x01ec005f,0x02fffc40,0x004fff98,0x00cfffc8,0xd001db10,0xb8005fff,
    0x4400006f,0xbb302fff,0x004fa801,0x3ffff300,0x37fec000,0xb8007ff2,
    0x3e20004f,0xfb102fff,0x07ff4405,0x4cccf7cc,0xeba99999,0xffb0000f,
    0x0fffc005,0x7fffcc00,0xa999abdf,0x3000efdb,0x3007ffff,0x00003ffb,
    0xb02fff88,0xd8859fff,0x6c00004f,0x7c0006ff,0x0ffa2fff,0x002ff880,
    0x837fff40,0xff9800be,0x7ffffd42,0xffffffff,0x2a0005ff,0x37e4007f,
    0xfffb3000,0xffffffff,0xfd10005f,0x73379dff,0x001dfffb,0x5fff1000,
    0x3ffffee0,0x001efedf,0x03ffa800,0x7fffe400,0x64006f99,0x6c0000ff,
    0x0003ffff,0x3fea5fa8,0xffffffff,0x02ffffff,0x20027c00,0x980004f9,
    0xfffffffc,0x220000bd,0xffffffeb,0x0002efff,0x0bffe200,0xffffffd8,
    0x000000bd,0x100003fa,0x19fffffd,0x3fff2600,0xff50000d,0x0039ffff,
    0x3ffe7b80,0xffffffff,0x00ffffff,0x4000dc00,0x9800000c,0x0000009a,
    0x57999553,0x10000003,0xa8805fff,0x000000aa,0x80000aa0,0x2001acb8,
    0xfffffffc,0xfff5001e,0xbfffffff,0x001c8000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32a00000,
    0x02cccccc,0xccccc880,0xcb82cccc,0xcccccccc,0x933ccccc,0x99999999,
    0x99999999,0x44999999,0xcccccccc,0x0abccccc,0x66666440,0x3ccccccc,
    0x99991000,0x99999999,0x99999950,0x32207999,0x04cccccc,0xccca8000,
    0x9912cccc,0x99999999,0x3332e099,0xcccccccc,0x09802401,0x3fffaa62,
    0xb50001ff,0x1013dfff,0xffffffff,0x9fffffff,0x3fffffea,0xffffffff,
    0xffffffff,0x7ffed40f,0xffffffff,0x6cc00dff,0x9cffffff,0x64c00009,
    0x1bffffff,0x3ffff260,0x2a6009df,0x02fffffd,0x3ffe2000,0xc9809dff,
    0x1bffffff,0x7fff5c40,0x4c00acff,0x02ffd807,0x01dffff7,0x203fe400,
    0xfffffffb,0xffffffff,0x335bff71,0x7fffd333,0xfd753333,0x3fff201f,
    0xffb731af,0xff5005ff,0x000009ff,0x007fffee,0x0077ffc4,0x37fffec0,
    0xfff70000,0x3fee00ff,0x7c4002ff,0x36005fff,0x37ffc407,0x0bffff70,
    0x202fd400,0xeeeeeffe,0x7ffeeeee,0xffb013ee,0x0ff4403f,0x206fff98,
    0x404ffffb,0x001ffff8,0xffff3000,0x02ffdc00,0xfffff700,0x3fa00005,
    0xf3005fff,0x3a000fff,0xf3002fff,0x6fff980f,0x27ffff40,0x204f9800,
    0x3a001efa,0x3601ae4f,0x7c401fff,0x0dfff301,0x03ffffc8,0x0007fffc,
    0x7fff9800,0x007ff300,0xfffffa80,0xffa80005,0xf3004fff,0x36000fff,
    0xf8802fff,0x7ffc407f,0x7ffff405,0x4f98002f,0x98003b60,0x201321ff,
    0xd801fffd,0x0dfff101,0x01fffff0,0x0007fffc,0x6fff8800,0x003fe880,
    0xfffdf980,0x7f40001f,0x1004fffd,0x2000dfff,0x4401fffd,0xff807ffe,
    0x7f7f404f,0x4c001fff,0x001d104f,0x00e47fb8,0x400fffec,0xdfff102b,
    0x3ffffb00,0x003fffc0,0xdfff1000,0x003fe880,0xff99f300,0x7cc000bf,
    0x004fffbd,0x000dfff1,0xa807fff6,0xaaaffffe,0x01fff41a,0x3fffe3fa,
    0x13e6000f,0x7f400044,0xfffb0004,0xff880003,0xfffb806f,0x1fffe03f,
    0xff880000,0x0ffa206f,0x8cf98000,0x0000ffff,0x9fff73fb,0x1bffe200,
    0x0fffec00,0xffffffb8,0x7e43ffff,0xfabf401f,0x26006fff,0x2200004f,
    0xfb0001ff,0x880003ff,0xf9806fff,0x3fe03fff,0x2000007f,0xd106fff8,
    0x9800009f,0x09fffb4f,0x3eedf300,0xff1004ff,0x3f6000df,0xffb801ff,
    0x00ffb807,0xffff73f4,0x013e6009,0x007fb800,0x007fff60,0x0dfff100,
    0x05ffff50,0x0003fffc,0x0dfff100,0x00007fd1,0x3fe69f30,0x7e4000ff,
    0x009fff72,0x001bffe2,0x400fffec,0xf9807ffb,0x7e47e807,0xf9803fff,
    0x3fa00004,0x3ff60004,0x7c40001f,0xffb806ff,0x3ffe00ff,0x22000007,
    0x7fcc6fff,0xf3000003,0x01fffec9,0x7fdcdf10,0xfff1004f,0x3ff6000d,
    0x7ffb801f,0xe805f880,0x1ffffe87,0x00027cc0,0x0001ff88,0x0007fff6,
    0x00dfff10,0xf80dfffd,0x000007ff,0xf99bffe2,0x2000003f,0x3ffe64f9,
    0xb8ff2007,0xf1004fff,0x36000dff,0xfb801fff,0x009f007f,0xffff10fd,
    0x027cc01f,0x007fb800,0x00fffec0,0x1bffe200,0x03ffff70,0x0007fff8,
    0x5bffe200,0x00003ffa,0x3fa27cc0,0xff8803ff,0x013ffee0,0x0037ffc4,
    0x801fffd8,0x5b007ffb,0x3e60fd00,0x3e606fff,0x9fd00004,0xfffd8000,
    0x7fc40001,0x3ffee06f,0x7fff804f,0x3e200000,0x2fffaeff,0x7cc00000,
    0x037ffd44,0x3fee27dc,0xfff1004f,0x5555555f,0xfd555555,0xff7003ff,
    0x7e80000f,0x17fffea0,0x400027cc,0x40001ff8,0x0001fffd,0x567fffc4,
    0xffffdb99,0x0ffff002,0x7fc40000,0x2fffffff,0x3e600000,0x02fffe84,
    0x3fee07f4,0xfff1004f,0xffffffff,0xffffffff,0xff7003ff,0x7e80000f,
    0x1ffffe40,0x400027cc,0xd80007fb,0x40001fff,0xfecffff8,0x00bdefff,
    0x001fffe0,0xefff8800,0x02fffff9,0x09f30000,0x540dfff7,0x4fffb84f,
    0x3ffff100,0x33333333,0xfffd3333,0x0fff7003,0x807e8000,0x4c2ffffd,
    0xfd80004f,0xffd80004,0x7c40001f,0x000186ff,0x0003fffc,0x2dfff100,
    0x02fffff9,0x04f98000,0x3a03ffff,0x4fffb81f,0x0dfff100,0x07fff600,
    0x101ffee0,0x0fd009fb,0x3ffffd10,0x200027cc,0x80001ff8,0x0001fffd,
    0x0037ffc4,0x03fffc00,0xfff10000,0x7ffffccd,0x7cc00002,0x0bfff704,
    0x3fee0bf3,0xfff1004f,0x3ff6000d,0x7ffb801f,0x01fffe40,0x7fcc01fa,
    0x09f30eff,0x007fb800,0x03fffb00,0x6fff8800,0xfff80000,0x22000007,
    0x7fcc6fff,0x00002fff,0x7fc413e6,0x80fec1ff,0x1004fffb,0x2000dfff,
    0xb801fffd,0x7fec07ff,0x003f404f,0x26bffff5,0x7ec0004f,0xffb00004,
    0xf880003f,0x800006ff,0x00007fff,0x21bffe20,0x02fffff9,0x409f3000,
    0x3e64fffc,0x13ffee06,0x037ffc40,0x01fffd80,0x5407ffb8,0x3f401fff,
    0x3fffee00,0x20004f9c,0x00001ff8,0x0003fffb,0x006fff88,0x07fff800,
    0x3fe20000,0xffff306f,0xf300005f,0x7fffc409,0x7dc05f90,0xff1004ff,
    0x3f6000df,0xffb801ff,0x800b9807,0xffd8007e,0x0004fcff,0x80001fea,
    0x0001fffd,0x0037ffc4,0x03fffc00,0x7c40aa00,0x3fe606ff,0x40002fff,
    0x7fec04f9,0x5c06f8cf,0xf1004fff,0x36000dff,0xfb801fff,0x200000ff,
    0xffd0007e,0x40009fff,0x200004fd,0x0001fffd,0x0037ffc4,0x03fffc00,
    0x7c403a00,0x7fcc06ff,0x20002fff,0x7fcc04f9,0x5c03fcff,0xf1004fff,
    0x36000dff,0xfa801fff,0x001222ff,0xf10007e8,0x0009ffff,0x00007fe2,
    0x001fffd8,0x037ffc40,0x3fffc000,0x440d5000,0xf9806fff,0x0002ffff,
    0xffb009f3,0xfb801fff,0xff1004ff,0x3f6000df,0xff8801ff,0x001daaef,
    0x98001fe0,0x0004ffff,0x80000ff5,0x0002fffd,0x003fffcc,0x07fffc00,
    0x301fc400,0x2600dfff,0x003fffff,0xfa804f98,0xfb804fff,0xff1004ff,
    0x3f6000ff,0xffb002ff,0x80007fff,0x7dc0007f,0xfb0004ff,0xfe800009,
    0x4c0002ff,0x00007fff,0x00ffffc4,0x9807fa60,0x2a007fff,0x004fffff,
    0xfe802fcc,0xffc800ff,0xfff3004f,0x3ffa000f,0xffd1002f,0xf880007d,
    0x7e40001f,0xff88004f,0x7fc00001,0x5c0004ff,0x0000ffff,0x13fffe60,
    0x037fdc40,0x003fffee,0xefffffd8,0x00df7000,0x6c013fea,0xf5006fff,
    0x88001fff,0x4003ffff,0xd8800008,0x40002dff,0xfa8004fd,0x7e400007,
    0x000bffff,0xdfffff98,0xfe880002,0xeeefffff,0xfffffeee,0x3ffa604f,
    0xf8800dff,0xdfffffff,0x9fff300a,0x003ff003,0x39fffff7,0x7ffff4c0,
    0x3ff6000e,0x00002fff,0x3fffb600,0x0006ffff,0xfb0009d1,0xfd900009,
    0xffffffff,0xffe9803d,0xffffffff,0x7f744006,0xffffffff,0xffffffff,
    0x7f4c1fff,0xffffffff,0xffffd05e,0xffffffff,0x3ffffa69,0x2e04efff,
    0x3fffae05,0x3effffff,0xfffffdd3,0x360ddfff,0xfffffffe,0x00002eff,
    0x40000000,0x1cc80018,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33320000,0xcccccccc,
    0x999900cc,0x21999999,0xccccccca,0x4c02cccc,0xcccccccc,0x3333322c,
    0xcccccccc,0xcccccccc,0xccccc884,0xcccccccc,0x0001aabc,0x6666664c,
    0xcccccccc,0x22cccccc,0xccccccc8,0xcccccccc,0x991001ab,0x99999999,
    0x01379999,0x33332200,0xcccccccc,0xcccccccc,0x9dd95004,0x3b260015,
    0xefffffff,0x3f66201b,0x221aefff,0xffffffe9,0xf73001bf,0x3039ffff,
    0xddfffff9,0xffdddddd,0x6d40ffff,0xffffffff,0xffffffff,0x7d4000bd,
    0xffffffff,0xffffffff,0xfda80fff,0xeeffffff,0xbefffffe,0xfffda800,
    0xffffffff,0x20004fff,0xefffffc9,0xffeeeeee,0xb100ffff,0xfffb79ff,
    0xffe98009,0x7c002fff,0xffb803ff,0x90004fff,0xf5003fff,0x64400fff,
    0x7fdc00ff,0x2a219aff,0x2fffffdb,0x2b3fee00,0xffff5001,0xffffc805,
    0x3fffaa00,0xfff7002f,0x7f4c413f,0x20001eff,0x9806fffc,0xf980fffa,
    0xdffe884f,0x3ffa2000,0x3e6004ff,0x3ff2002f,0xf70003ff,0x3fe2003f,
    0x0fc8007f,0x03fffcc0,0xdffffe98,0x002fb800,0x02ffffc4,0x803fffcc,
    0x803ffffa,0x5c06fff9,0x0003ffff,0x400dfff3,0x7fc40fe8,0x1bffe205,
    0xfffff100,0x001ff400,0x0037fff4,0x7c003fe8,0xf88007ff,0x3fffcc01,
    0x3ffff200,0x8005c806,0x800efffd,0x2007fff9,0x400ffffb,0xd806fff9,
    0x8001ffff,0x4006fff9,0x07fec1fa,0x00fffee0,0x09ffff50,0x20009f90,
    0x003ffff9,0x7c002fd4,0x3b0007ff,0x07fff880,0x4ffffa80,0x2e0016c0,
    0x1001ffff,0xd800ffff,0x7c405fff,0xff8806ff,0xf98005ff,0x1e8006ff,
    0x7c01bfe6,0x64000fff,0x2a01ffff,0x7e40006f,0x3a001fff,0xfff8000f,
    0x80150007,0x0007fff8,0x407ffffb,0x3fe2000d,0x3e2004ff,0x7dc007ff,
    0x7fc407ff,0xfffd006f,0xfff3000f,0x5c15000d,0xff7005ff,0xffd0009f,
    0x03fe20df,0x3fffa000,0x007f9006,0x001fffe0,0x7fff8800,0xffff1000,
    0x3a00140f,0x44006fff,0x4c007fff,0x2200ffff,0xfb006fff,0x98001fff,
    0x80006fff,0xf3004ffd,0xf3000bff,0x3fd07fff,0x3fe60000,0x37cc03ff,
    0x0ffff000,0x7fc40000,0x3ee0007f,0x80002fff,0x001ffffc,0x003fffc4,
    0x101fffea,0x3600dfff,0x98007fff,0x80006fff,0xf1003fff,0x2e000fff,
    0x3f61ffff,0x7e400003,0x3fa00fff,0x3ffe0001,0x80126007,0x0007fff8,
    0x002ffffc,0x0ffffe60,0x1fffe200,0x0bfffb00,0x006fff88,0x000dffff,
    0x300dfff3,0x0fffe607,0x00ffff80,0x2dfffd00,0x000005fb,0x2e0bfffd,
    0x7fc0003f,0x012a007f,0x007fff88,0x07ffff40,0xfffe8800,0xfff10005,
    0xffff800f,0x37ffc402,0x1ffffcc0,0x37ffcc00,0xffb82540,0x3ffa004f,
    0x3fe20007,0x000efdff,0xffff3000,0x0006f885,0x2007fff8,0x3fe2004d,
    0x7e40007f,0x90001fff,0x0001ffff,0x401fffe2,0x807fffd8,0x4406fff8,
    0x0006fffe,0xb00dfff3,0x13ffea09,0x006ffe80,0x7ffffdc0,0x64000001,
    0x3f60ffff,0xfff80001,0x009f7007,0x003fffc4,0x0bfffee0,0x3fffea00,
    0x3fe20002,0xffe8807f,0xff8801ff,0x3ff6206f,0xf30001ef,0x7e4c0dff,
    0x0dfff304,0x0027ff40,0x037ffec0,0x7f440000,0x009f55ff,0x3bfffe00,
    0xfeeeeeee,0x3e2004ff,0x540007ff,0x4003ffff,0x005ffff8,0x6ffffc40,
    0xfecccbcc,0x1000cfff,0xf930dfff,0x0001bfff,0x777fffcc,0x4ffffeee,
    0x01ffff10,0x000bffe0,0x13fffe20,0x3ea00000,0x00ffbfff,0xdffff000,
    0xffdddddd,0x7c4009ff,0x4c0007ff,0x4004ffff,0x000ffffd,0x7ffffc40,
    0xffffffff,0x22000cff,0xfeeeffff,0x000befff,0xfffff980,0xffffffff,
    0x0ffff604,0x0007ffc0,0x7ffffd40,0xd8000001,0x002fffff,0x01fffe00,
    0x88013f22,0x40007fff,0x003ffff9,0x00bfffee,0x3fffe200,0x7f65cc40,
    0x8801efff,0xfcccffff,0x00002fff,0x881bffe6,0x3fe604fc,0x5ff9806f,
    0xeef88000,0x00006fff,0x5ffff880,0x7ffc0000,0x80136007,0x0007fff8,
    0x017fffdc,0x04ffff88,0xffff1000,0x3fffee00,0x7ffc403f,0x07fffd46,
    0xfff98000,0x6404d806,0x7ec03fff,0xfe80000f,0x04ffff99,0xffc80000,
    0x7c00003f,0x12a007ff,0x07fff880,0x7fffe400,0xdfffd000,0x7fc40000,
    0x3fe6007f,0x3e201fff,0xfffd86ff,0xff300006,0x809500df,0x302fffe8,
    0xb00005ff,0x7fffdc7f,0x5c000001,0x00003fff,0x3003fffc,0x7ffc4009,
    0x7fec0007,0xfff7007f,0x4400003f,0x4c007fff,0x2206ffff,0xfe886fff,
    0x980003ff,0x49806fff,0x37fffb00,0x000bfee2,0x3fa13ee0,0x00000eff,
    0x00fffee0,0x0ffff000,0x7fc40000,0x7f40007f,0xff9806ff,0x400003ff,
    0x8007fff8,0x101fffff,0x3e60dfff,0x40001fff,0x0006fff9,0xffffeb80,
    0x80001cff,0xfff306f9,0x4000009f,0x0003fffb,0x003fffc0,0xffff1000,
    0x7ffcc000,0xfffe803f,0xf8800006,0xfc8007ff,0xff102fff,0x7ffdc0df,
    0x3e60000e,0x000006ff,0x002af2a2,0x007fc400,0x003ffff7,0x3ffee000,
    0x7fc00003,0x0440007f,0x007fff88,0x01bfffa0,0x003ffff2,0xff880540,
    0xffb8007f,0xfff102ff,0x5fffd80d,0x3ffe6000,0x00000006,0x05fd0000,
    0x01dfffd0,0xfff70000,0xff800007,0x0f40007f,0x007fff88,0x03ffff70,
    0x02ffffa8,0x7c403a00,0xfc8007ff,0xff100fff,0xfff880df,0xff30002f,
    0xa88000df,0xaaaaaaaa,0xfb00001a,0x3ffe6009,0xb800005f,0x00003fff,
    0x0003fffc,0x7ffc40d7,0xfff88007,0x7ffc404f,0x1aa0005f,0x007fff88,
    0x205fffe8,0xa806fff8,0x8001ffff,0x0006fff9,0x7fffffcc,0x0004ffff,
    0x5c005fc8,0x0002ffff,0x01fffe40,0x1fffe000,0x1027cc00,0x8800ffff,
    0x400efffe,0x000ffffd,0xff881760,0x7fd4007f,0x3fe203ff,0xfff9007f,
    0xff98001d,0x7cc0006f,0xffffffff,0x7e40004f,0xfff8000f,0x200001ff,
    0x0004fffc,0x007fffc0,0xf300ff40,0x7dc00fff,0x5c00dfff,0x0002ffff,
    0xff980ff2,0x3fe6007f,0x3e600eff,0x3fa007ff,0x7cc005ff,0x4c0007ff,
    0xeeeeeeee,0x910004ee,0x36000dff,0x000fffff,0x0bfffd00,0x7ffcc000,
    0x3faa001f,0x3fffd406,0x3fff6620,0xfff8804f,0xf910004f,0x7ffdc05f,
    0xfffc8807,0x7fd400ef,0xff3001ff,0x2e001bff,0x0000ffff,0x51000000,
    0x005fffff,0xffffff98,0x2e0001cf,0x01bfffff,0x7fff4c00,0xcccccdff,
    0x3fffeecc,0x3ffffa60,0xfedccdef,0x000cffff,0xdddffffd,0xdddddddd,
    0x3fffffdd,0x3ffffa60,0xedccceef,0x803fffff,0x2dffffe9,0xfffff700,
    0x7ff4c059,0x00000dff,0x7fe40000,0x2fffffff,0x7ffffd40,0x05ffffff,
    0x3ffffae0,0x03efffff,0x3ffffa20,0xffffffff,0xffffffff,0x7ff74c0f,
    0xffffffff,0x01bdeeff,0x7ffffd40,0xffffffff,0xffffffff,0x7fff4c7f,
    0xffffffff,0xabdeefff,0x3ffba600,0x6fffffff,0xfffffd80,0xfffd31ff,
    0xddffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00035c00,0x25500000,
    0x000000b8,0x2aaaaaa6,0x2aaaaa0a,0x5440aaaa,0x5552aaaa,0x55105555,
    0x40015555,0x02cefdca,0x37fb7220,0x36e000ab,0x469abdee,0xaaaaaaa9,
    0x5555501a,0xedb98015,0xfb3003de,0x0982dd98,0x32000260,0x00000007,
    0xf9a7f5c4,0x800000cf,0xcffffffa,0x3ffff6e0,0x76440cef,0xfd953fff,
    0xfb710dff,0xd3005fff,0xbfffd9bf,0xbdffc801,0x401ffffc,0xfebbdfe8,
    0x7fecc6ff,0x501befff,0x2019fff9,0xfeccdfd8,0xfeb882ef,0x3ffff67f,
    0x3a0fff21,0x3e4001ff,0x88000000,0x2e0bfffc,0x0001dffe,0x05fffd80,
    0x201ffff2,0xff880ff9,0x7ffe406f,0x206fd402,0x900ffff9,0xffc885ff,
    0x207fa00e,0xff506fe9,0x3fa005ff,0x20bfea02,0x3ee1fffd,0xff77ffff,
    0x7ffc9fff,0x027ffcc6,0x00001f20,0x5dffb300,0x2effda80,0x3fe20000,
    0x37ff405f,0xfd01fd40,0xfffa80df,0xa81be602,0xffa85fff,0x09fff107,
    0x6f8817ea,0x00bfff20,0xff9817e2,0x4dfff302,0xd5fffd10,0x223ffb31,
    0x7fdc7fff,0x03e4005f,0xfea80000,0x64c001df,0x0000cfff,0x5c07ffc8,
    0x3ec00fff,0x101bff60,0x7f405fff,0x17ffec01,0xfe81bff2,0x80df905f,
    0x3ffe206c,0x200fb804,0x7ffc06fd,0xefffc80f,0x3ffe04c1,0x027ffd46,
    0x00001f20,0x0cfffc88,0x7fdc4000,0x260001cf,0x3e202fff,0x13e203ff,
    0x880dff90,0xdf502fff,0x89fff900,0x3f604ffb,0x01ffd05f,0x3ff6034c,
    0x2a05e807,0x7fdc02ff,0x07fff707,0xf317ffe0,0x7c8007ff,0xfd980000,
    0x000002ef,0x005dffd5,0xd017ffa0,0x07dc0dff,0x101bff20,0x3fa05fff,
    0xaaaaaaae,0x445fffda,0x3ff201dd,0x05fff906,0x3ffe601c,0xe80be602,
    0x0a8801ff,0x400fff70,0xfff83ffd,0x003e4003,0x3bffd500,0x26000000,
    0x000beffd,0x4c03ffee,0xbd01ffff,0x80dff900,0xff02fff8,0xffffffff,
    0x00ffffff,0x06fffb88,0x019ffff5,0x81bffa00,0x03ffc07c,0x07ffb800,
    0x3a0bff20,0x3e4001ff,0x3fee2000,0x000000cf,0x9fff9100,0x7fff1001,
    0x17ffbb60,0x3f200be2,0x7ffc406f,0x005ff882,0x37f6a000,0x3fe06ffe,
    0x000cffff,0x440fffdc,0x1ffe603f,0x3ffdc000,0x901ff500,0x7c8001ff,
    0xdff93000,0x00000017,0x6fff5c00,0x437fe401,0x0fffbaf8,0xffc803e4,
    0x17ffc406,0x00037fcc,0xc8e7f540,0x3fa206ff,0x003fffff,0x2e17ffe2,
    0x1ffea00f,0x3ffdc000,0x2e0ff300,0x2666666f,0x9fd99999,0x99999999,
    0x09fff109,0x00000000,0x203fffa8,0xbe41fff9,0x27c3fff8,0x406ffc80,
    0xfa82fff8,0x2600007f,0x7fe40dfe,0xffffb806,0xf9000dff,0x405e81ff,
    0x0000fffb,0x4007ffb8,0x26bf306f,0xffffffff,0xffffffff,0x24ffffff,
    0x002effea,0x44000000,0x400cffeb,0x8fe24ffe,0x07ea6ffd,0x2037fe40,
    0xf982fff8,0x980000ff,0xdff904ff,0x3fff2200,0xf9800eff,0x00be63ff,
    0x0003fff5,0x800fff70,0x227f104e,0xaaaaaaaa,0xaaaafeaa,0x81aaaaaa,
    0x00beffd9,0x22000000,0x000bfffc,0x07dcfff7,0x1b63fff5,0x406ffc80,
    0xf882fff8,0x20c003ff,0x3f205ffa,0x7ecc006f,0xfb004fff,0x4c0364df,
    0x14004fff,0x2003ffdc,0x000be03c,0x440001f2,0x000cfffc,0x3f660000,
    0xf88002ef,0xfd09f2ff,0x4007f19f,0x7c406ffc,0xffff02ff,0xff1a2001,
    0x37fe405f,0x7ffdc038,0x5fff5006,0x3fe007f1,0x075000ff,0x0000fff7,
    0x01f20000,0x3ffae000,0x2000001d,0x001cffea,0x7deffec0,0xfbfffb80,
    0x1ffee000,0x205fff10,0x9004fffd,0x007ffcc7,0x0760dff9,0x003fff90,
    0x03ef7ffa,0x027fff40,0x7ffb80e8,0x00000000,0x400000f9,0x002effda,
    0x7fff9100,0x3ea00001,0xff105fff,0xfa800bff,0x7ffdc07f,0xbffff302,
    0x3ea0fb80,0x3ff603ff,0xf8809b06,0xff7000ff,0x7d4009ff,0x36c03fff,
    0x0007ffb8,0x0f900000,0xf9300000,0x300017ff,0x0005dffb,0x07fffe00,
    0x002fffd8,0xd817ffcc,0x3603fffe,0x10aeffff,0xff989fb7,0xffff906f,
    0x400fd854,0x3e2007fe,0x74001fff,0x4c0bffff,0xfff701fe,0x00000003,
    0x00000f90,0x67ffdc40,0xdffea801,0x64000001,0x7fd405ff,0xfff88007,
    0x9dea89cf,0x41a9ffff,0xfffffff8,0xf886ffff,0xeb8aefff,0x6cbfffde,
    0xff981bf6,0x37fec003,0x7fffcc00,0x3fffeeff,0x00bfff20,0x32000000,
    0x00000007,0x885bffd5,0x000cfffb,0x5ff30000,0x0009ff00,0x3fffffea,
    0xfffff15f,0xfffd3019,0x01dfffff,0x3fffffee,0xdffff54f,0x2177fec1,
    0x98005fd9,0xf30003ff,0xffffffff,0x7fffcc0b,0x0000000e,0x00003e40,
    0x3ff66000,0x007dff14,0x1ba00000,0x00007e40,0x47fffff9,0x800beff8,
    0x4ffffffd,0xeffffb80,0x037ffa21,0xdbfffddb,0x740007ff,0x3620000f,
    0x02efffff,0xfffffff5,0x000005ff,0x0001f200,0x9e440000,0x000002d9,
    0x8800d400,0x37500003,0x20005910,0x20009bb9,0x02600a98,0x2aeea604,
    0x014c0000,0x1bba8800,0x00000000,0x003e4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03e40000,
    0x00000000,0x4c000000,0xaaaaaaaa,0x1aaaaaaa,0x55555551,0x55554c35,
    0x0fd9802a,0x8056f6d4,0x002dedb8,0x764c3ed4,0x0000002d,0x04000200,
    0x66666644,0xcccccccc,0xcccccccc,0x00000002,0x00000000,0xfb000000,
    0xffffffff,0x25ffffff,0xffffffc8,0x3fff662d,0xffd7104e,0x3fffa21f,
    0x7fdc1fff,0x4405ffff,0x3e67ffeb,0x005fffff,0x0000ee98,0x32000fc8,
    0x3fe60bff,0xffffffff,0xffffffff,0x0004ffff,0x00000000,0x00000000,
    0x0339fb00,0xd82fffe4,0xff01ffff,0x7fffd40b,0xcdff98ff,0x3f25fffe,
    0x3ffffddf,0xffffff70,0x3ff77fe6,0x7e4002ff,0x7c40002f,0xfff5004f,
    0x000000bf,0x00000000,0x00000000,0x4d800000,0x0efffa80,0x213fffa0,
    0xfd0405fa,0xfb05f5ff,0x883d95ff,0x2080fffe,0x0afaffff,0x001fffa2,
    0x80007ffb,0xc801fefd,0x000fffff,0x00000000,0x00000000,0x00000000,
    0xff100b60,0xff8803ff,0x03be20ff,0x0efffb80,0x1bffff10,0x00bffe60,
    0x203dfff9,0x1501fffb,0x04c1ffc8,0x5f9cfa80,0xfffff980,0x00000002,
    0x00000000,0x00000000,0x003a0000,0x2007fffb,0x3f66fffa,0x7ffdc000,
    0x037fec00,0x2e01fffc,0x3e200fff,0x4ffc82ff,0x7f443fe6,0x326e801f,
    0x9ab8802f,0x0000004f,0x00000000,0x00000000,0x20000000,0x4005fffb,
    0x2fbafffd,0x0fffa800,0x4037fec0,0x7dc04fff,0x3fff807f,0x3e5fffd8,
    0x07fffd16,0x1be22fc8,0x0005f500,0x00000000,0x00000000,0x00000000,
    0x3bffe600,0x7ffc4000,0xf50004ff,0xffc801ff,0x04ffe806,0x7c03ffdc,
    0xfff883ff,0xfe8ce8df,0x2fc406ff,0xfb0027d4,0x3bbbba21,0xeeeeeeee,
    0xeeeeeeee,0x0000003e,0x00000000,0x00000000,0x00ffffc4,0x07fffa80,
    0x03ffea00,0xd00dff90,0xffb809ff,0x03fff807,0x337bfb2a,0xd801ceff,
    0x001fd01f,0x7ffcc9f1,0xffffffff,0xffffffff,0x00004fff,0x00000000,
    0x00000000,0x1fffec00,0x3fff2000,0xfff50002,0x06ffc801,0x5c04ffe8,
    0xfff807ff,0x7ffb3003,0x027d4001,0x5e880bf3,0x00000000,0x00000000,
    0x00000000,0xff700000,0xf70000bf,0x50001fff,0xfc801fff,0x4ffe806f,
    0x403ffdc0,0x26203fff,0xbdfeefeb,0x400fe800,0x09f702fc,0x80002660,
    0x00000008,0x00000000,0x00000000,0x001dfff3,0xfffdf980,0xfffa8005,
    0x037fe400,0x2e027ff4,0xfff807ff,0x3ffff903,0x5dfff77b,0x2200bf20,
    0x801dc86f,0x0beffffb,0x00016c00,0x00000000,0x00000000,0x7fffc400,
    0x96e80001,0xa8007fff,0x7e400fff,0x4ffe806f,0x403ffdc0,0xffc83fff,
    0x3eabd0ef,0x37cc0fff,0x0007f700,0x3ff77ff2,0xf8801dff,0x00000000,
    0x00000000,0xd8000000,0x80002fff,0x3fffa0fc,0x3ffea001,0x037fe400,
    0x2e027ff4,0xfff807ff,0x30effd83,0x17ffd4ff,0xfd0007f6,0x0bf98001,
    0x5f7ffe4c,0x0006d880,0x00000000,0x00000000,0x5fffb800,0x3ea00c80,
    0x037ffcc2,0x801fff50,0xfe806ffc,0x3ffdc04f,0x4c1fffc0,0x87fee0cd,
    0x027d44d9,0x2002fcc0,0x7f5c406d,0xffcacdff,0x00000001,0x00000000,
    0x4c000000,0x1b006fff,0x7dc13e60,0xff5004ff,0x6ffc801f,0x404ffe80,
    0xff807ffb,0x3ff2003f,0x000dd802,0x74001d90,0x3ff26002,0x0002ffff,
    0x00000000,0x00000000,0x7fffc400,0xd101f001,0x2fffe80d,0x01fffb80,
    0x7c037fe4,0x7fdc05ff,0x04fff807,0x000fffa0,0x1c000000,0x15773000,
    0x00000000,0x00000000,0xfb000000,0x1f2005ff,0x3ea017ec,0x7e400fff,
    0x7fec01ff,0x06fff807,0x1007ffec,0x5c00bfff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0xb8000000,0xaaaaefff,0x7febaaaa,0x201ffec4,
    0x01effffa,0x40bfffd1,0x203ffffa,0x501ffffc,0x6409ffff,0x2001ffff,
    0x00000019,0x00000000,0x00000000,0x00000000,0xf8800000,0xffffffff,
    0x7fffffff,0x1fffffe6,0x7ffffff4,0xfffd30ff,0x323dffff,0xffffffff,
    0x3fffffa6,0xfff52fff,0x11dfffff,0xfffffffd,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_48_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_48_usascii_y[95]={ 38,8,8,8,6,8,8,8,7,7,7,12,33,26,
33,7,8,8,8,8,8,9,8,9,8,8,18,18,13,19,13,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,45,8,18,7,18,7,18,7,18,7,7,
7,7,7,18,18,18,18,18,18,18,12,18,18,18,18,18,18,7,7,7,23, };
static unsigned short stb__times_48_usascii_w[95]={ 0,6,13,21,18,34,32,5,13,13,16,24,7,12,
5,13,20,12,20,18,21,17,19,19,18,19,6,7,24,24,24,17,37,31,27,27,30,26,23,30,31,13,17,32,
26,38,32,29,23,29,30,20,25,31,31,41,31,31,26,10,13,10,20,24,8,19,22,17,21,18,18,20,22,10,
13,22,11,34,22,20,22,21,15,14,13,22,22,31,22,22,19,13,3,13,24, };
static unsigned short stb__times_48_usascii_h[95]={ 0,31,14,31,36,32,31,14,41,41,19,24,13,4,
6,32,31,30,30,31,30,30,31,30,31,31,21,28,22,9,22,31,41,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,39,29,31,29,30,30,30,29,29,29,39,32,39,16,3,8,21,32,21,32,21,31,30,31,31,
41,31,31,20,20,21,30,30,20,21,27,21,21,21,20,30,20,41,41,41,7, };
static unsigned short stb__times_48_usascii_s[95]={ 209,133,242,214,165,184,1,249,99,1,177,
1,215,233,249,23,174,228,1,236,117,139,120,34,34,140,247,239,26,223,51,
53,61,207,150,71,92,65,209,67,203,241,189,131,104,164,1,37,80,135,178,
99,54,85,157,22,1,33,123,124,219,113,194,184,247,150,233,208,1,131,195,
64,151,140,15,110,98,119,154,233,205,183,226,170,235,108,185,76,96,160,76,
47,43,29,223, };
static unsigned short stb__times_48_usascii_t[95]={ 34,43,200,43,1,1,76,139,1,1,222,
200,222,192,154,43,43,76,108,43,108,108,76,139,76,76,108,108,200,222,200,
76,1,108,170,76,170,170,170,43,139,76,108,139,139,139,139,43,139,1,170,
76,139,108,108,108,170,170,170,1,1,1,222,34,130,200,1,200,43,200,43,
108,43,43,1,43,43,222,222,170,76,76,200,200,139,200,200,200,222,76,222,
1,1,1,232, };
static unsigned short stb__times_48_usascii_a[95]={ 173,231,283,347,347,578,539,125,
231,231,347,391,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,193,193,391,391,391,308,639,501,463,463,501,424,386,501,
501,231,270,501,424,617,501,501,386,501,463,386,424,501,501,655,
501,501,424,231,193,231,325,347,231,308,347,308,347,308,231,347,
347,193,193,347,193,539,347,347,347,347,231,270,193,347,347,501,
347,347,308,333,139,333,375, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_48_usascii_BITMAP_HEIGHT or STB_FONT_times_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_48_usascii(stb_fontchar font[STB_FONT_times_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_48_usascii_BITMAP_HEIGHT][STB_FONT_times_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_48_usascii_s[i] + stb__times_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_48_usascii_t[i] + stb__times_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_48_usascii_x[i];
            font[i].y0 = stb__times_48_usascii_y[i];
            font[i].x1 = stb__times_48_usascii_x[i] + stb__times_48_usascii_w[i];
            font[i].y1 = stb__times_48_usascii_y[i] + stb__times_48_usascii_h[i];
            font[i].advance_int = (stb__times_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_48_usascii_s[i] + stb__times_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_48_usascii_t[i] + stb__times_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_48_usascii_x[i] + stb__times_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_48_usascii_y[i] + stb__times_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_48_usascii_LINE_SPACING
#endif

