// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_36_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_36_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_36_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT        162
#define STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_36_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_36_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_36_usascii_LINE_SPACING          23

static unsigned int stb__times_bold_36_usascii_pixels[]={
    0x00000000,0x00000000,0x00000000,0x66640000,0x99951ccc,0x01880799,
    0x00000000,0x13100000,0x00000000,0x20000000,0x88000ceb,0xdeffedcb,
    0x29f7000b,0x70003deb,0x4ae005db,0xb980002b,0x0abdefec,0xfffd9980,
    0x139fff93,0x000fe440,0x9bd97530,0x32600135,0x003fa0cf,0xbdfdff90,
    0x10059999,0xbdffdb75,0x3e002b85,0x001bf707,0x8017ffea,0x21abefd9,
    0x401deca9,0x3bf664fb,0x19ff3000,0xed87d500,0xffd88001,0xfffda9be,
    0x7fff1002,0xd701fff2,0x039dffdf,0x2fbff620,0x02fffda9,0x2e4fffd8,
    0xfff1003f,0x3ffff629,0x7ffdc04f,0xffdba9bd,0xf5002fcd,0x0bfff509,
    0x01ffff20,0x80073f62,0x13ee03fb,0xf1003bfe,0x0bf200df,0xf70017e4,
    0x3fe60bff,0x7fc400df,0x20fff93f,0x57a8dfe8,0x7dc05fff,0xfff105ff,
    0x3ffe201b,0x401be27f,0x7fd47ffe,0x7ff4c00f,0x3ff6601f,0x05f9002f,
    0x200ffff9,0x4c04fffa,0xd10001ff,0x3213ee09,0x7fe403ff,0x405fb802,
    0xffd802ff,0x7ffd406f,0x3ffe200f,0x360fff93,0x7c4f50ff,0xdfff902f,
    0x0ffffb80,0x47ffff88,0x7fd400fe,0x2fffc46f,0x03ffff50,0x400bff60,
    0x9fff507f,0x005ed400,0x80001df5,0x84fb81f8,0x7fc06ffc,0x0ffd403f,
    0xa807fee0,0xd801ffff,0x3e205fff,0x0fff93ff,0x23d4bff5,0xfffa82f9,
    0xfffd800f,0x8dffff05,0x7fe403fc,0x0ffff85f,0x03ffff88,0x4c017ec0,
    0x02f6a05f,0x0df10000,0x5c354000,0x06ffd84f,0xf3027ffc,0xfff100df,
    0x1bfffe20,0x1ffffd40,0xf93fff88,0x4fff90ff,0x7c42e87a,0xf3006fff,
    0xffd07fff,0x405f989f,0xff85fffc,0xfffd80ff,0x17c4000f,0x00017e40,
    0x01fe8000,0x81b00088,0x5ffe84fb,0x902fff40,0x3f2005ff,0xffffd83f,
    0xffff1003,0x7fff101f,0x3f21fff2,0x550f55ff,0x03ffffd8,0x1fffff10,
    0xf82fffc8,0x3ffea00f,0x437ffc45,0x005ffffb,0x1fd00590,0x3b660000,
    0x3fc85eee,0x4d7ff4c0,0x21cc2eed,0x4fff84fb,0x8837fec0,0xf5000fff,
    0xfffff0df,0x7fff4003,0x3fff883f,0xff30fff9,0x200f9dff,0x001fffff,
    0x50fffffa,0x5f901fff,0x446fff80,0xffe83fff,0x310004ff,0xd985f980,
    0xd005eeee,0x0df0dfff,0xf9b2ffb8,0x5c5883ff,0x1fffc44f,0x641ffee0,
    0x3e2007ff,0x3ffe62ff,0x3f6001ff,0xff884fff,0x20fff93f,0x07fffffe,
    0x1fffff98,0x3ffff600,0x983ffc44,0x7ff4c05f,0x2217ff21,0x002fffff,
    0x40fee000,0x006fffe8,0xfa8dfff9,0xc93ff203,0xb8d06fff,0x0fffc44f,
    0x7c1ffea0,0x7fc006ff,0x3fffea6f,0x3ff6000f,0xfff886ff,0x2e0fff93,
    0x1effffff,0x3ffffea0,0x3fff6000,0x205ff86f,0x9ff9007f,0x3e607ffb,
    0x0001ffff,0xd803fa00,0xf7006fff,0x00fe8dff,0x7e41fff5,0x5c1b04ff,
    0x01ffe84f,0x7c427fd4,0x7f4005ff,0x3ffff27f,0x7ffe4007,0x3fff887f,
    0x7dc0fff9,0x03ffffff,0x01fffff9,0x3ffffe40,0x5fb01fec,0x3777b700,
    0xfffffb80,0xf1000000,0x6fffc80d,0x4dfff900,0xfff105f8,0x02fffe87,
    0x5427dc1b,0x7fe403ff,0x05fffa81,0xc87fff40,0x4007ffff,0x40fffffc,
    0xff93fff8,0xffffa80f,0x7e40dfff,0x64007fff,0xfb87ffff,0x8813ea01,
    0xffc8006d,0x00000fff,0xfc807f70,0xff9006ff,0xc81fccdf,0x7ffc0fff,
    0x09f71e07,0x7c403bee,0x9fff701f,0x1fffe800,0x01fffff7,0x3ffffe40,
    0xfc9fffc4,0xffd8807f,0x7dc6ffff,0x2000ffff,0xa87ffffc,0x81fe200f,
    0xfb8006fc,0x0001ffff,0xc803fb00,0xf9006fff,0x417d4dff,0x7cc5fff8,
    0xb8d305ff,0x93f6604f,0x3201cfc8,0x6c004fff,0xfff52fff,0x7ec003ff,
    0xff885fff,0x00fff93f,0x7fffffdc,0x3ffffea3,0x3fff6001,0xd807885f,
    0xffff881f,0x0acccccd,0x17ffffcc,0xfffff930,0x6f889dff,0x06fffc80,
    0x5cdfff90,0x2fffb81f,0xb81fffec,0x22027dc4,0x019f51fc,0x004fffc8,
    0xf99fffec,0x2002ffff,0x884ffffe,0xfff93fff,0x7ff7d400,0x3ffe67ff,
    0x3f6001ff,0x00d04fff,0xfff109f5,0xffffffff,0xfffff85f,0xffff8803,
    0x009f505f,0x200dfff9,0x3ee6fffc,0x20fffe80,0xb00ffff8,0xb104fb83,
    0x4fc8819f,0x013ffee0,0x745fffb0,0x2002ffff,0x881fffff,0xfff93fff,
    0x7f47d400,0x3ffa0fff,0x3fe002ff,0x20001fff,0xfffb06f8,0xffffffff,
    0x7fffec3f,0xffffd004,0x2007f607,0x9006fffc,0x0fccdfff,0x3f23fffc,
    0x70d306ff,0x017f609f,0x3fea0bfd,0x7ff4004f,0x3fffea1f,0xffff3004,
    0x4fffe20b,0x82987ffc,0x83fffa7a,0x004ffffa,0x00bffff3,0x3201fd00,
    0xffffffff,0x3fee3fff,0xffb005ff,0x01fe05ff,0x8037ffe4,0x3e26fffc,
    0x537ffc43,0xd109fffb,0xf909f703,0x3ffb805f,0x005fff98,0x3a07fff4,
    0xc800ffff,0xf100ffff,0x1fff27ff,0xfc9ea16a,0xffffe87f,0xffffb800,
    0x70039501,0xadfc887f,0xfeb99999,0x7fffec3f,0xffffd800,0x9004fa82,
    0x3200dfff,0x227c6fff,0xea8ffff9,0x4d82fffa,0xfff09f70,0x86ffa803,
    0x4005fff8,0xff987ffe,0x7fc403ff,0x3fe203ff,0x50fff93f,0x3ee7a81f,
    0xffff985f,0x7fffcc03,0x07fff903,0x7fdc6f88,0x441ff800,0xd804fffe,
    0xfc82ffff,0xdfff9002,0x1bfff200,0xfffff0bb,0x83fff53f,0x4fb8d44c,
    0x2017ffc4,0xfe80fffb,0x7ffc006f,0x1fffd105,0x01fffe40,0x7e4fffe2,
    0x20dfa87f,0x403ff67a,0x200fffe8,0x3e02fffe,0xfe806fff,0x700bff20,
    0x3ffa60df,0x7ffec02f,0x2007f82f,0x7007fffc,0x87b8dfff,0x3e1ffffd,
    0x43da9dff,0xf113ee68,0xffc807ff,0x01fff507,0x807ffe60,0x441fffe8,
    0x8802fffd,0xfff93fff,0x2a3dff50,0x802ffc8f,0x64c1fffc,0x7f401eff,
    0x3fc805ff,0x266fffa2,0x804fcb98,0x40adfffb,0x41ffffe8,0x3fa005f9,
    0xfb800fff,0x444e86ff,0x7e4c0dfc,0x5c5901bd,0x04fff84f,0xfd037fec,
    0x3fea003f,0xfff93005,0x017dffdd,0x64fffe20,0xfeb887ff,0x0dfffeff,
    0x3ffb6a00,0x00bdfffe,0x801fffa8,0xeec985f9,0x001acdff,0x3bfffb62,
    0x01cfffee,0xfd3005f9,0x807fffff,0xf986fffb,0x58800001,0x7ff427dc,
    0x027ffc05,0x36009ff5,0xfe8001ff,0x88006fff,0xfff93fff,0x1fca9880,
    0x15530000,0x000a2000,0x00000055,0x13555530,0x00015500,0xbfff7000,
    0x00001b20,0x84fb81d1,0x7fc06ffc,0x07fec03f,0x0017fe20,0x1fffffcc,
    0x4fffe200,0x2a007ffc,0x00000007,0x00000000,0x00000000,0x15000000,
    0xe817ffea,0x3d300004,0xff709f70,0x02ffe809,0x32027f44,0x7e40005f,
    0x2001ffff,0xff93fff8,0x000c400f,0x00000000,0x00000000,0x00000000,
    0xfab7e400,0x376204ff,0x03a60000,0x7fec27dc,0x027fdc02,0xf8807f44,
    0xfc80000e,0x800befff,0xff93fffa,0x0000001f,0x00000000,0x00000000,
    0x00000000,0xff37fd80,0x07f7001f,0x200dd980,0x1ffcc4fb,0x800ffc80,
    0x77cc0ee9,0x3aa00000,0x4cefffff,0x9fffff64,0x03defffc,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x005ff73f,0x20d676c4,0x801deb98,
    0x7df914fb,0x0cffb800,0x5d31eb80,0x65400000,0x002bcded,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1beeca80,0xd9751000,0x00179bdf,
    0x01aaa7dc,0x000dcc00,0x00000061,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa87f880,0x02013004,0xd7004400,
    0x41bddddd,0x9005eeed,0x98599999,0x003ccccc,0x00beda80,0x1efed440,
    0x9ddd7000,0x04fb8001,0xefeda800,0x2a00000d,0x0abdffed,0x3fb22162,
    0xda801def,0x06a2defe,0x7f90bf50,0x77ffed40,0xed987d31,0xffd74eee,
    0x3fff205b,0x00bf706f,0x1ffffe4c,0x037fffcc,0xd35ff700,0xffb1009f,
    0x901dffff,0xaff4419d,0xf3001ffc,0xfd88000d,0x01fffebe,0x7fffe400,
    0xcefecbcf,0x54e7d45e,0xb105fffe,0xff9539df,0x3fc803d9,0xffb01fd8,
    0x1ffeff47,0x677fffc4,0x03ffffdf,0x2a0ffffd,0xfff8000f,0xdfff903f,
    0x93fee000,0x7f402ff9,0x5fffffff,0xfb27ffd4,0x01bfe65f,0x20000ff4,
    0x3ffa0ffd,0xffd30005,0x3fea039f,0x883fe65f,0xfe84ffff,0x05ffd106,
    0x0ff82fd8,0x7cc5ffc8,0xffb03fff,0x3fe61dff,0xfffa81ff,0x0005b81f,
    0x3207ffff,0x88006fff,0x7ffc1fff,0xf737d900,0x6c1fffff,0xfff36fff,
    0x00fffe23,0xa80009f7,0x7ffdc5ff,0x7ffd4000,0x5ff8805f,0xffd0bff6,
    0x17fe41ff,0xf805fd10,0x5c37c40f,0xfff82fff,0xffff903f,0x06fffc81,
    0x3d0bfffd,0x3fffa000,0x0dfff903,0x81fff900,0x0e986fff,0x21ffffe8,
    0xff75fffc,0x17ffe23f,0x0000ef98,0x3e637fe4,0x3e2000ff,0x26006fff,
    0x917ffe5f,0x7fc5ffff,0x017cc01f,0x09f50ff1,0xff01ffff,0x3ff207ff,
    0xffff986f,0x0ffffb80,0xfe8001a6,0xfff903ff,0xfffd000d,0x40fffe81,
    0xffff5009,0xd9fffdc1,0x3ffe1fff,0x0007fa06,0x883fffa0,0x7f4006ff,
    0x64000fff,0xf517ff65,0x3fe23fff,0x202d804f,0x43fc85fa,0xff07fff8,
    0x3ff207ff,0xffff886f,0x4ffff881,0x741800f2,0xff903fff,0x7c0088df,
    0xfffe87ff,0x2fffc001,0x7e47ffe2,0xdfff11ff,0x00013ee0,0xf71ffff4,
    0x7fd4003f,0x598006ff,0xff707b66,0x7fffccff,0xff515404,0xffffffff,
    0x3ea9ffff,0xffff07ff,0x1bfff207,0x40ffffe2,0x1f0ffffc,0x5fffda80,
    0x3207fffd,0xfff96fff,0xffff307b,0x007fffd0,0x74077fcc,0x4bffee7f,
    0xf884fff8,0xfb00000e,0x1df91dff,0xffffe800,0x20030004,0x7fc5fffd,
    0x8202efff,0xfffffffa,0x4fffffff,0x3e0dfff9,0xff903fff,0x3fffe0df,
    0x7ffff304,0xfff980b5,0xffffedac,0xddfff903,0x87ffff9d,0xfe87fffa,
    0x3f2004ff,0x44bf900e,0xfff32fff,0x0003fd03,0x7ffffdc0,0xff98002d,
    0x00003fff,0x03bffe20,0xdffffffb,0x40ff8003,0xfffd86f9,0x07ffff06,
    0x7c1bfff2,0x3f603fff,0x2202deff,0x7fec5fff,0xfff903ff,0x7fff447f,
    0x21fffee2,0x7005fffe,0x3ea07fff,0xfa9ffdc3,0x004fb84f,0x7fffcc00,
    0xeeeea80f,0x3fffea5e,0x2000001f,0xf880dffb,0xdfffffff,0xa87f8800,
    0x7fffc84f,0x207ffff0,0xf886fffc,0x3ea02fff,0x7f407fff,0x7ffc41ff,
    0xdfff903f,0x64ffff70,0xffe87fff,0x3ff2207f,0xf884ffff,0xfeaffb81,
    0x000ef883,0x3fffee00,0xfff104ff,0xfffffc85,0x3e000000,0x7ffcc04f,
    0x03ffffff,0x1fe42fd4,0xf83fffdc,0xff903fff,0xffff10df,0x4fffe801,
    0x03fffe20,0x640ffffa,0xff986fff,0xffffb0ff,0x80ffffd0,0xffffffeb,
    0x2aa20383,0x105fd00a,0xf3005795,0xfffff35f,0x3213f605,0x000fffff,
    0x005f5000,0x3fffffa6,0x3f205fff,0xf881fd83,0xfff82fff,0xdfff903f,
    0x00dfff50,0x4c03fff7,0xffd07fff,0x3fff207f,0x2ffff886,0xfd0ffffb,
    0x3ea00dff,0x0006ffff,0xfa84fb80,0x701efcaf,0x7ffe45ff,0x906f80ef,
    0x003fffff,0x000b6000,0x3ffffff2,0x3aaa24ff,0xffaaaacf,0x3ff61aab,
    0x7fffdc5f,0x7ffff903,0x801fffd8,0x7dc06ff8,0xfffd07ff,0x1bfff207,
    0xfca7fffc,0xfffe87ff,0x3ffa2005,0x077260ff,0x303be200,0x07ffcdff,
    0xff11ffea,0x1fa8dfff,0x5fffff70,0x03a00000,0x7ffe4400,0x3fea7fff,
    0xffffffff,0x3a24ffff,0xfedbefff,0xff903fff,0xff939fff,0x1fe4009f,
    0x41bfff20,0xf903fffe,0x3ffe0dff,0x0ffff54f,0x8009fffd,0xf12ffff9,
    0xd8001fff,0x24ffe82f,0x3fe25ffe,0xffffb87f,0x5407d15f,0x003fffff,
    0x3300b000,0x7fffecc0,0xdffdd31f,0xddffdddd,0xfffd887d,0x07ffff4f,
    0x3a3bfff2,0x4004efff,0x7fe400f9,0x7fffd07f,0x41bfff20,0xff32ffff,
    0x7fffd0ff,0x1fffb000,0x013fffea,0xff884fb8,0xa9fffa4f,0xfd81ffff,
    0x05dcffff,0x04ffffe8,0x2a000000,0xffffa804,0x7e42fd44,0x41351003,
    0xf903ffff,0x00d44dff,0xfb804a80,0xfffd07ff,0x1bfff207,0x443fffe2,
    0xffe87fff,0xffb8001f,0x0bfffe67,0x4c07fc40,0x3ff64fff,0x9ffff90f,
    0x3fffffa0,0xfffb800f,0x0000006f,0x7dc01ea0,0x41fe44ff,0x7c0001fe,
    0xff903fff,0x571000df,0xffa801e8,0xfffe80ff,0x0dfff903,0xfd8ffff1,
    0x7fff40ff,0x5ff98000,0xb0037fec,0x3ffea05f,0x643fff64,0x881fffff,
    0x05fffffe,0x7ffff441,0x300cc001,0x02fa8039,0xfd87fff0,0x0000ff82,
    0xc81ffffc,0xd8006fff,0x200b32ff,0x443ffff8,0xf903ffff,0xfff50dff,
    0x41fff989,0x2db83fff,0x2203fee0,0x813ee001,0x3fa4fff8,0x3fffea7f,
    0xfff980ff,0x0b21efff,0x00dffff3,0xffb817d4,0x03fea03f,0xff03ffe0,
    0x0006f981,0x903ffff8,0xf000dfff,0x800769ff,0x360ffffc,0xf904ffff,
    0xffc81fff,0x4c5ffb05,0xfff987ff,0x002fe80c,0x400ff880,0x3ffa4ffe,
    0x3ffffa25,0xff931bff,0xfdffffff,0x3fffea0b,0x203fb805,0x2a06fffe,
    0x3ee00eff,0x5c37c43f,0xff80004f,0xfffb04ff,0xfff9000d,0xffb0009d,
    0xfff9d9df,0xffc817ff,0x3bfe64ff,0xfc97f600,0xffff881f,0x02fd98cf,
    0x005fb000,0x7ffcdff5,0x7ffffcc0,0x8aefffff,0xeffffffe,0x3fffa200,
    0xdd9511bf,0x6fffd803,0x0bfffea0,0x3ea13fea,0x0003fc85,0x82ffffc4,
    0x000ffffe,0x001f75c4,0x29ffffb0,0x40acdffe,0xfbff73fc,0xffb0019d,
    0x7dc01dfd,0x0cffffff,0x0bf70000,0x7dcffdc0,0xfffb102f,0xf905dfff,
    0x2001dfff,0xffffffda,0xf9800cef,0x2bea02ff,0xffddffca,0x5035301e,
    0x36200015,0x1fffffff,0xdffffff3,0x0000000b,0x002a0a98,0x01531026,
    0x8002a600,0x00009aa9,0x0007fc40,0x00337b26,0x2006aa62,0x10000aa8,
    0x00035553,0x20620054,0x0000aaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66664400,0x004ccccc,0x0066e5c4,
    0x66664c00,0xcccccccc,0x9bdb9501,0x37b26003,0x3326000b,0xcccccccc,
    0x333332a4,0x332600cc,0x9912cccc,0x99999999,0xccccca87,0x9999953c,
    0x33265999,0x4ccccccc,0x0ccccc98,0x99999997,0x332e0599,0x9950cccc,
    0x59999999,0x33333260,0x33333264,0x3fffea03,0x004fffff,0x0039ffb5,
    0x817bfdb7,0xfffffffc,0x4c0fffff,0xffc9befe,0x39fd100d,0x9800bff9,
    0x1dfffffe,0x7ffff4c4,0x7fdcc06f,0x3fea60ae,0x881bffff,0x109effc9,
    0x5ffffff9,0x7fffe4c1,0xfb300aff,0x7ffe445f,0x2201bfff,0x223fffd9,
    0xdffffffb,0x6ffe4c01,0x37fffd41,0xffffffb0,0xd8803fff,0xfd1004ff,
    0xfd17ff2d,0xffffffff,0xfff98dff,0x442ffec1,0x27ff47fe,0x3fffe600,
    0x7ffec00f,0x1fd805ff,0x1bffff20,0xfe807ec0,0x3f606fff,0xf9806fff,
    0xfffff902,0x8077cc00,0x04fffffa,0x7ec0bf10,0xfff106ff,0x0dffffff,
    0x003fff98,0x7fe53ffa,0x3ffffe0f,0x3fffffff,0x7d437ff4,0x2ffec2ff,
    0x800fffee,0x00fffff9,0x7fffffd4,0x2e03dc03,0x9006ffff,0x7fffd40f,
    0xffff500f,0x207a803f,0x02fffff8,0xfd805f30,0xb800ffff,0x3fff200f,
    0x9999f706,0x4c059999,0x2a004fff,0x7fd34fff,0x66f7ffcc,0x20ffdccc,
    0xf887fff9,0x3ffe64ff,0x07fffcc4,0x7ffff880,0xfffffa80,0x01aa01ff,
    0x00bffff7,0xfffd01ae,0x7fff407f,0x2026c04f,0x005ffffc,0xfff100d9,
    0x3f8809ff,0x837ffdc0,0x3e20004e,0x7e4005ff,0x0fdc04ff,0xff51bf20,
    0x9fff05ff,0x2227ffdc,0x1002ffff,0x500fffff,0xffffff7b,0xf701a601,
    0x2e00bfff,0x7fffdc06,0x3fffee06,0x3003e207,0x003fffff,0x3fee005f,
    0x1b200fff,0x21bffee0,0x360002f8,0x6c002fff,0x0ec04fff,0x3e61ffc0,
    0x7fc46fff,0x13fff61f,0x4013fffe,0x807ffff8,0xfffff95a,0xf701a60d,
    0x2e00bfff,0x7fffc406,0xffff101f,0x401ae05f,0x404ffffd,0x7ffc006a,
    0x03f104ff,0x70dfff70,0x039bdfff,0x00ffff30,0x809fffb0,0x80ff9800,
    0x50dfffff,0xfffe8dff,0x05fffe85,0x0fffff10,0x7fff4b50,0x406984ff,
    0x005ffffb,0xfffb00d7,0x3ffe209f,0x005d05ff,0x03ffffea,0x7dc002e8,
    0x4d81ffff,0x0dfff700,0xfffffffd,0x7ffec01b,0xb02bccac,0x9dfffffd,
    0x837e4000,0x9efffffc,0x7ff40dfe,0x7fffd86f,0xfffff100,0x7f44b500,
    0x34c3ffff,0x17fffee0,0x7d4035c0,0xff707fff,0xf981ffff,0x3fffa000,
    0x000f303f,0x517ffffa,0x3fee001f,0x7fffcc6f,0x83ffffff,0xfffffff8,
    0x76c0dfff,0x04efffff,0xe80ffe00,0x3fffffff,0xb0ffffb0,0x2200ffff,
    0xa807ffff,0x7ffffcc5,0xf701a61f,0x2e00bfff,0xffffd006,0xfffd5d07,
    0x4005c87f,0xb06ffffb,0x3fea0007,0x00fa1fff,0x646fffb8,0xffffffff,
    0x7fd42fff,0xfffa8bff,0x9fffb06f,0x1ff98000,0x3ffff620,0xffb80dff,
    0x7fff42ff,0xffff1006,0xf50b500f,0x261fffff,0x7fffdc06,0x200d7005,
    0x4c6ffffb,0x8dffff77,0x7fc4001f,0x07cc2fff,0xffffd000,0xf7001aed,
    0xcaaa8dff,0xffffffec,0x3fffee0f,0x0ffffe60,0x0013fff6,0x3a00df90,
    0x0effffff,0x20dfffe8,0x1005fffe,0x500fffff,0x3ffff20b,0xfb80d35f,
    0xd7005fff,0x3fffe200,0x7fc5361f,0x00d51fff,0x17ffff20,0xf9800099,
    0x01fbffff,0x037ffdc0,0xfffffd98,0x21ffff23,0xfd86fffe,0x7c0004ff,
    0xfdfc803f,0x986fffff,0xfecfffff,0xf1004fff,0xb500ffff,0x7ffffec0,
    0x7fdc069c,0x0d7005ff,0xa7fffec0,0x3fff60f8,0x20007b4f,0x10fffff9,
    0xfb00001f,0x000bffff,0x800dfff7,0x365ffff9,0xffc87fff,0x4fffd87f,
    0x07fe6000,0xfd16fe98,0xb105ffff,0xfff9dfff,0x3fe2003f,0x05a807ff,
    0x3fffffa2,0x7ffdc06d,0x00d7005f,0xbbffffd4,0x7ffffd45,0x360000f8,
    0x0b74ffff,0x3ffe2000,0xfb8001ff,0xe88006ff,0x3fff27ff,0x7fffdc0f,
    0x027ffec0,0xf80df900,0x3ffa23ff,0xc84c04ff,0x22006fff,0xa807ffff,
    0x7fffcc05,0x7fdc06ff,0x0d7005ff,0xbffffe80,0xfffff81e,0x7d40006d,
    0x01f8ffff,0x3fffa000,0xffb8001f,0xff50006f,0x07fffd4b,0xb03fffea,
    0x40009fff,0x3fea04fe,0x7fffc42f,0x3fffe006,0x7c41b882,0x5a807fff,
    0xfffffa80,0x7fffd406,0x800b9005,0x06fffffb,0x05fffff9,0xffffd000,
    0xe80000dd,0x8001ffff,0x0006fffb,0x7fcc7ff1,0x7ffd41ff,0x04fffd86,
    0x403ff300,0xfd81fffc,0xff5007ff,0x7fff10bf,0x03ffffc4,0xffb802d4,
    0x7fc406ff,0x09b005ff,0xfffff880,0xfffff303,0xff700001,0x00005fff,
    0x01ffffe8,0x06fffb80,0xff03fa00,0xfffa85ff,0x04fffd84,0xd80df900,
    0xffa81fff,0xdffb006f,0x4dfff701,0x806ffff8,0x3ff6005a,0xffff806f,
    0x0007f006,0x401ffffb,0x0004fffe,0x0dffff10,0xfffd0000,0xff70003f,
    0x02dd88df,0x3ff217e2,0x17ffd44f,0x0027ffec,0x7e404fe8,0xfff982ff,
    0x1effd804,0x4cbfff70,0xb804ffff,0x3ffa2006,0xffffd806,0x0007dc00,
    0x2027ffd4,0x0001fffb,0x00ffff20,0x3fffa000,0xffb8002f,0x6fffe46f,
    0x3f605b80,0x13fee0ff,0x0027ffec,0x2200ffcc,0xffc84fff,0x6ffec00e,
    0x87ffe600,0x800ffffa,0x7fc4007d,0xffff9806,0x007f500e,0x200fff40,
    0x00006ff8,0x0003ffc4,0x2fffff80,0x7fffc800,0x67ffffdc,0x74405da9,
    0x0bfd13ff,0x002ffff4,0xfa8037e4,0x3ffa21ff,0x0fbfaa01,0xfb0ffdc0,
    0xff1003ff,0x06f98007,0x7dfffd10,0x009fb733,0xb005fb80,0xb000007f,
    0x3000009f,0x009fffff,0x81ffffd0,0xdffffffc,0xbfd91003,0xfff809df,
    0x4fe8006f,0x37ff6600,0xc980cffd,0xa8001dff,0x1dfffefe,0x7ffff540,
    0x01ae004f,0xfffffd88,0x80001dff,0x1f5002f8,0x1f500000,0x37260000,
    0xefffffff,0x7ff4c03c,0x4c43ffff,0x440000aa,0x7ff6400a,0x2003ffff,
    0x988000aa,0x04d401aa,0x1aa98000,0x50000000,0x57551000,0x28000013,
    0x00001400,0x00000050,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0xcccccccc,
    0x3333261c,0x00802ccc,0x01999997,0x33332200,0xcccccccc,0x65c2cccc,
    0x8000cccc,0xcccccccb,0xcccccccc,0x99931ccc,0x00599999,0xccccccb8,
    0x3333264c,0x04cccccc,0x33333220,0xb81ccccc,0x2ccccccc,0x33333326,
    0x9aabcccc,0x99993000,0x29999999,0xccccccca,0x3aa02ccc,0x0cffffff,
    0x9dfffc98,0xe983c400,0x0000ffff,0x9bdffff3,0xfffff999,0xfffe983f,
    0xffe8000f,0xffffeeef,0xffffeeef,0x3fffea23,0x3e2006ff,0x81dfffff,
    0xffffffa8,0xe988001c,0x01dfffff,0x5bfffd31,0xffffa981,0xfffeccef,
    0xea8801ef,0x41cfffff,0xffffffa8,0xfff8800b,0x7fc01fff,0xb81f6003,
    0x0000ffff,0x2a019ff5,0x704fffff,0x0001ffff,0xffd81bfd,0x1ffd42ff,
    0x7fffffdc,0xfffd7001,0xffb803ff,0xa80007ff,0x800fffff,0xfc802ffc,
    0xffb84fff,0xff5003ff,0xffc80fff,0x7d4006ff,0x2606ffff,0x1fee004f,
    0x00ffffa8,0xe807f700,0x2a06ffff,0x8000ffff,0xffffb06e,0xd507f305,
    0x00bffffb,0x3ffffefa,0x7fffd400,0xff980006,0xef9807ff,0xffff7000,
    0x3ffff209,0xffffa802,0x7fffe407,0xfffd8005,0x00bd03ff,0xf303ffd4,
    0x20001fff,0x7ffe405b,0x3fea02ff,0x2e8000ff,0x05ffffb0,0x3e7aa0f6,
    0x5400ffff,0x07ffff8f,0x06ffffa8,0xffff9800,0x006fcc07,0x09ffff50,
    0x017fffe2,0x01bfffe6,0x009ffff7,0xffffff10,0x7000ec81,0x7cc0ffff,
    0x90000fff,0x7fffcc05,0x7ffd405f,0x2058000f,0x502ffffd,0x3ffad507,
    0x466c04ff,0xa807ffff,0x0006ffff,0x07ffff98,0x2a000fee,0x3e04ffff,
    0x4c00ffff,0x5c06ffff,0x0004ffff,0x4bfffff5,0xff9000fa,0x45dddfff,
    0x0c0ffff9,0x7ff40380,0x7d400fff,0x18000fff,0x0bffff60,0xff56a818,
    0x47c40fff,0x807ffff8,0x006ffffa,0x7ffff980,0x20005f90,0x204ffffa,
    0x402ffffe,0x406ffff9,0x004ffffb,0x3fffff20,0xd3001f9b,0xdddffffd,
    0x47fffcc5,0x004fffd8,0x3ffffea0,0xffffa803,0x3bbbbaa0,0x3fff6005,
    0xf354002f,0x2e05ffff,0x0fffff15,0x0dffff50,0xffff3000,0x001ee88f,
    0x13fffea0,0x01fffff8,0x037fffcc,0x013fffee,0xffffe880,0xfb8003ef,
    0x3fe607ff,0xffffeaff,0xff88004f,0xf5006fff,0xff881fff,0x7fec001e,
    0x354002ff,0x20dffff7,0xfffff11f,0xdffff500,0xfff30000,0x00774cff,
    0x3fffea00,0xfffff304,0xdffff300,0x4ffffb80,0x7ffcc000,0xf70006ff,
    0x7fcc0fff,0xfff32fff,0xffc8001f,0xf5001fff,0xdf881fff,0xfffd8000,
    0x1354002f,0xa83fffff,0x1ffffe26,0x1bfffea0,0x3ffe6000,0x03fff57f,
    0xffffa800,0x5ffffb04,0xdffff300,0x4ffffb80,0xfffc8000,0xfb8003ff,
    0x3fe607ff,0x7fffc3ff,0x3ffe6002,0x3ea004ff,0x02ec0fff,0x5ffffb00,
    0x7ec6a800,0x11ec5fff,0x500fffff,0x000dffff,0x9fffff30,0x001dffff,
    0x27fffd40,0x5dfffd33,0x3fffe600,0xeeeeeeef,0x004ffffe,0xfffffd00,
    0xfffb8001,0x3fffe607,0x01ffffc0,0x1fffffd0,0x7fffd400,0xb0001720,
    0x8005ffff,0x7fffcc6a,0x7c41f10f,0xfa807fff,0x80006fff,0xfffffff9,
    0x0005ffff,0x3fffffea,0x02ffffff,0x7ffffcc0,0xeccccccc,0x0004ffff,
    0xdfffff70,0x7fffb800,0x03fffe60,0x2007fffd,0x02fffffb,0x87fffd40,
    0x6c0001fc,0x4002ffff,0xffffe86a,0xfff88993,0xfffa807f,0xf980006f,
    0xffd8ffff,0x50003fff,0xfb3bffff,0x8001ffff,0x406ffff9,0x004ffffb,
    0xfffdf980,0x3ee003ff,0x3fe607ff,0x7fff40ff,0xffff8803,0xffa8005f,
    0x06ffd8ff,0x7fffec00,0x54354002,0x1f8fffff,0x03ffffc4,0x037fffd4,
    0x7fffcc00,0x3fffffa7,0xfffa8002,0xfffff14f,0xfff9800d,0x7ffdc06f,
    0x7c40004f,0x3fffffd3,0x1fffee00,0x40ffff98,0xd803fffe,0x800fffff,
    0x6ffffd43,0x0004ffff,0x00bffff6,0x3ffe0d50,0xff885dff,0xffa807ff,
    0x062006ff,0x89ffffe6,0x00ffffff,0x27fffd40,0x07fffff5,0x37fffcc0,
    0x13fffee0,0x7cc9d000,0x7006ffff,0x7cc0ffff,0x7ff40fff,0x7ffd403f,
    0x478803ff,0xfddffffa,0xb0001fff,0x8005ffff,0xffff706a,0xffff105f,
    0xffff500f,0x4c16400d,0x7d47ffff,0x000effff,0x913fffea,0x003fffff,
    0x01bfffe6,0x009ffff7,0x7fdc3640,0xfb803fff,0x3fe607ff,0x7fff40ff,
    0x3fffe203,0xa8d7006f,0xff88ffff,0xfb0006ff,0xa8005fff,0xfffff106,
    0x1ffffe20,0x1bfffea0,0xff981f80,0xfffb87ff,0x3ea005ff,0xffe84fff,
    0xff3006ff,0xffb80dff,0xf70004ff,0x3ffffa01,0x7ffd401f,0x3fffe607,
    0x01ffff40,0x03fffff9,0xfff517e0,0x3fffea1f,0xfffd8004,0x0354002f,
    0x2207fffb,0xa807ffff,0x5006ffff,0xffff303f,0x3ffff60f,0xfff5003f,
    0xffff309f,0xfff3009f,0xfffb80df,0x1fa8004f,0x3ffffe60,0x7fffcc06,
    0x7ffcc370,0x1ffff40f,0x4fffff98,0xfa89f900,0x3ff20fff,0x7ec001ff,
    0x54002fff,0x03ffe606,0x07ffffc4,0x1bfffea0,0x2603fa20,0xd107ffff,
    0x005fffff,0x209ffff7,0x02fffffb,0x037fffcc,0x017fffee,0xf900bf30,
    0xd809ffff,0x543defff,0x7fc1ffff,0xfffd04ff,0xfea801ff,0x7fffd43f,
    0x3bfffe21,0x3fffa000,0x03dc003f,0xff9817fa,0x7dc00fff,0x74407fff,
    0xffff507f,0x7fffcc0f,0x7fdc03ff,0x3ff605ff,0x3ea00fff,0x7e407fff,
    0x2e005fff,0xffa806ff,0x2203ffff,0xfb83effc,0x3fe22fff,0xfffb85ff,
    0x99999cff,0x3ffffda9,0x217fffe4,0x005ffffb,0x0bfffff1,0x501ff440,
    0x7ffdc03f,0x7fec02ff,0x9999cfff,0x906fffcb,0x403fffff,0x3fffffff,
    0x3bffff60,0xfffff100,0x3fff201d,0x3ffa01ff,0x7dc00fff,0x41cfffff,
    0xffffffd8,0x80400eff,0xbffffffd,0xeffffff9,0xffffff10,0xffffffff,
    0x6c5fffff,0x13ffffff,0x3ffffffd,0x3ffff6e0,0x301cefff,0x0bfffffb,
    0x3ff72216,0x24dfffff,0xfffffec9,0xffffffff,0x3b225fff,0xdfffffff,
    0x3ffffaa2,0xb33effff,0xdffffffd,0xffff505b,0x3fb267ff,0x4dffffff,
    0xfffffd95,0x00005bdf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc880000,0xbccccccc,0x3322019a,
    0xcccccccc,0x3ccccccc,0x99999993,0x99999999,0xccca8599,0xabcccccc,
    0x3326001a,0xcccccccc,0x99999933,0x35579999,0x00dc0000,0x009b3000,
    0x0103fd40,0x06f7f6e0,0x00054c00,0x00818000,0x262017b5,0xeefffffe,
    0x880bffff,0xefffffe9,0xffffeeee,0x3fffaa26,0xfeeeeeff,0xfb884fff,
    0xfeefffff,0x8802dfff,0xcffffffa,0x7fffd4c1,0xfffffeef,0x4f80004f,
    0xffea8000,0xfff10004,0x203dfd50,0xffffffe9,0x02fd8003,0x3f5c0000,
    0x7d43dfd3,0x3ea00fff,0x3fa25fff,0xff501fff,0x7fdc0fff,0x6ffffa86,
    0x409ffb10,0x544ffffd,0x800dffff,0x407ffffb,0x5c4ffffb,0x000effff,
    0x0001ff50,0x13ffffaa,0x43ffec00,0xf885fffe,0xffffffff,0x017ec003,
    0x7fe4c000,0x97fffa6f,0x203ffffe,0x445ffff9,0x980effff,0x4407ffff,
    0xffffa86e,0x9027d406,0xf309ffff,0xa801ffff,0x5406ffff,0xfb84ffff,
    0xd0005fff,0xeb8007ff,0x04fffffe,0x47fffb80,0xd86ffff8,0xfffffeff,
    0x3f6000ff,0x36a00002,0x3e22dfff,0x3ff27fff,0x3fe206ff,0xfffc85ff,
    0xffff983f,0xfa86b807,0x4e806fff,0x13fffee0,0x037fffcc,0x01bfffea,
    0x109ffff5,0x001fffff,0x007fff98,0x9ffff504,0xffff9800,0x43fffd87,
    0xff910af9,0x6c005fff,0x5c40002f,0xb01cffff,0x7f4c9fff,0x3fe207ff,
    0xfffb85ff,0xffff985f,0xfa868807,0x5c286fff,0x3fffee04,0x3ffff604,
    0x3fffea04,0x7fffd406,0x5ffffd04,0xffffd800,0xfff10002,0x7744009f,
    0xec887fff,0xfd81640b,0x36004fff,0xfb30002f,0x91007dff,0x1be1019d,
    0x85ffff88,0x986ffffa,0x8b07ffff,0x6ffffa83,0xf701c468,0x7d409fff,
    0xf500ffff,0xfa80dfff,0xfff04fff,0x7c4003ff,0x0006ffff,0x8013fffe,
    0x07fffadd,0x3fea0080,0x3f6002ff,0x3fae2002,0x00001dff,0x3e204f98,
    0xffb85fff,0xfff984ff,0xa805987f,0x3cc6ffff,0x3fffee00,0x7ffffc04,
    0xdffff503,0x4ffffa80,0x06ffff88,0x7fffee40,0xfff0001f,0x23ee009f,
    0x0007fffa,0x00ffff80,0x2200bf60,0x00bffffc,0x03f20000,0x85ffff88,
    0x982ffffd,0x5c87ffff,0x6ffffa80,0x3ee003dc,0x7f404fff,0xff505fff,
    0xffa80dff,0xfffc84ff,0x27e2003f,0x005ffffd,0x009ffff0,0x3ffea5f3,
    0x7c400007,0x7774c6ff,0xeeffeeee,0xf55eeeee,0x00003fff,0x4401fb80,
    0x7cc5ffff,0xff305fff,0x05fb8fff,0x26ffffa8,0x7dc007f9,0x7ec04fff,
    0xff506fff,0xffa80dff,0xffb314ff,0x5b8005df,0x01fffff3,0x09ffff00,
    0x3fea4e88,0x5400007f,0x7fd43fff,0xffffffff,0x27ffffff,0x0befffda,
    0x0f6c0000,0xaffffc40,0x03ffffa8,0x2fffffe6,0xa805ffec,0xfdcfffff,
    0x7fdc007f,0x7fec04ff,0xfff507ff,0xfffa80df,0xefffffff,0x745f0002,
    0x8004ffff,0x6c04ffff,0x03fffd46,0x1bff2000,0x26666662,0x9999bfd9,
    0xffc88199,0x80001cff,0x3fe20019,0xffffffff,0x7ffcc00c,0x5ffffeff,
    0xfffffa80,0x4007fffd,0x404ffffb,0x507ffffc,0xa80dffff,0xdcbeffff,
    0x002dffff,0xffff51aa,0xfff8001f,0x503ea04f,0xb930ffff,0x0ffe8003,
    0x002fd800,0x3bfff6a0,0x01edc402,0x3fffe200,0x2000999e,0x2a7ffff9,
    0xffa805fd,0x01fea6ff,0x09ffff70,0x06ffffd8,0x80dffff5,0x444ffffa,
    0x006ffffe,0xfffff07d,0xffff8007,0xf505f104,0xfff88fff,0x5ff3003f,
    0x00bf6000,0x3fff2600,0xfffd80cf,0x3fe20003,0x260005ff,0x5e87ffff,
    0x6ffffa80,0x3ee003dc,0x7f404fff,0xff505fff,0xffa80dff,0xfffd04ff,
    0x707980bf,0x800dffff,0xbd04ffff,0xff733333,0x3fee33ff,0x9fd006ff,
    0x017ec000,0x3ffaa000,0xffff12df,0x7fc4000f,0x260005ff,0x5987ffff,
    0x6ffffa80,0x3ee003c4,0x7fc04fff,0xff504fff,0xffa80dff,0xfff704ff,
    0x576c03ff,0xfffbaaaa,0x3fe002ff,0xfff884ff,0xffffffff,0xffff37ff,
    0x04fb803f,0x0017ec00,0x7ffc9800,0x0017fffa,0x05ffff88,0x3fffe600,
    0xff500b07,0x2e0d0dff,0x4ffffb80,0x17ffffc0,0x06ffffa8,0x827fffd4,
    0x02fffff9,0xddddddf1,0x0bffffdd,0x427fffc0,0xfffffff8,0x27ffffff,
    0x202ffffc,0x400205f9,0x000002fd,0xfff535c4,0x7fc40003,0x260005ff,
    0x0707ffff,0x0dffff50,0x7fdc1a05,0x3fea04ff,0x3fea05ff,0x7fd406ff,
    0xfff104ff,0x013207ff,0x03fffff3,0x213fffe0,0xfffffff8,0x47ffffff,
    0x3e203f90,0x6c00ea05,0x0000002f,0x10000310,0x000bffff,0x03ffffcc,
    0xdffff500,0x7dc1aa00,0x3fa04fff,0x3ea01fff,0x7d406fff,0xff504fff,
    0x3f103fff,0xbffffb00,0x13fffe00,0x4ccccccc,0x019ffffb,0x4cf6c0dd,
    0x02fa9999,0x00003d90,0x80000000,0x005ffff9,0x1ffffe60,0xffffa800,
    0x705f9806,0x2609ffff,0x5403ffff,0x5406ffff,0xf904ffff,0x1b20dfff,
    0x7ffffd40,0x4ffff800,0x7fffa800,0x7e40be60,0xffffffff,0x0000000f,
    0x00000000,0x037fffd4,0xfffff500,0x7ffd4000,0x27fd407f,0x85ffffc8,
    0x802fffe9,0x407ffffa,0xb86ffffb,0x980fffff,0x3ffe004f,0x7fc404ff,
    0xfa8004ff,0x09d307ff,0x3fffffea,0x0007ffff,0x00000000,0xfffc8000,
    0xf90000ff,0x0003ffff,0x33fffff2,0xffeba999,0xffffd03f,0xfff9535f,
    0x3ff2001b,0x3f601fff,0xdb9bffff,0x980cffff,0xfd000ffe,0x5c05ffff,
    0x000fffff,0x543fffd4,0xffff303f,0xbfffffff,0x00000000,0x22000000,
    0xffffffec,0xec8803df,0xdfffffff,0xffec9804,0xffffffff,0x22ffffff,
    0xfffffeca,0x0adeffff,0xfffec980,0xb33dffff,0xfffffffd,0x0179ddff,
    0x37fffff2,0xfffec881,0x32a6ffff,0xfffffffe,0xfff5003d,0x3e20170f,
    0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000440,
    0x88000620,0x02620000,0x4c001100,0x04400040,0xbdddddd7,0xdaf77641,
    0x3aa6eeee,0x75c2eeee,0xd93eeeee,0x227ddddd,0x4000deed,0x0000c009,
    0xeeeb8018,0xeeeeeeee,0xdddddb14,0xbdddb19d,0x02666621,0x0001dfa8,
    0x3ffff660,0xffd8803d,0xc8801cef,0x202efffe,0x03ffefd8,0x373bfff2,
    0x3bbbbae3,0x5c5ffb31,0xf707ffff,0x47fffd8b,0xc82ffffa,0x7e43ffff,
    0x0ef83fff,0x47bbbbb2,0x221efffc,0xc80dfffd,0xd88eeeee,0xf900cfff,
    0xffd3335b,0x7fec45ff,0x417fc4ff,0x2604fffc,0x000befff,0x2a19f910,
    0x3e604fff,0x05ff90ef,0xffba7f44,0x14ff981f,0x1dfb0bff,0xfb87ff71,
    0xfff99fff,0x3ffff46f,0x7fdc0fa8,0x7fffc47f,0x8bfffd02,0xe84ffff8,
    0xaffffc82,0x8ffffffe,0x5ffffef9,0xd5ffff90,0x209fffff,0xffffa85c,
    0x7ffff885,0xffd80be2,0x7ffdc406,0x7e4001cf,0x17fff42f,0x3e1fffcc,
    0x7ff881ff,0xf117ffe2,0x22ffc8ff,0x27cc4ff8,0x3abfffe6,0x7d45fffe,
    0x84c81fff,0xff87fffa,0xfff702ff,0x7ffff81f,0xfffa8344,0x3fffa3ff,
    0xffff31fe,0xfffff503,0x07fffea5,0x3fffa0b2,0xffff500f,0x3f600f67,
    0xffb5001f,0xff0017df,0x4fffd8df,0x6c0fffd8,0x7fe40fff,0x907ffec5,
    0x6ffa89ff,0x9707ffee,0x3effff88,0xfff03dd5,0xf503f0bf,0xffff0fff,
    0x3fffe205,0x3ffffe63,0x7fcc12e2,0x7ffe43ff,0x17fff41f,0x217fffcc,
    0x8182ffff,0x403ffffb,0x05bffffe,0x10013f60,0x039ffff9,0xd83fffe2,
    0x7fcc5fff,0x2fffc87f,0xf513ffe2,0x1fffccdf,0x7e47ffe6,0x221c3fff,
    0x2006ffff,0x2a0ffffb,0x0ffff505,0x6c05ffff,0x3ab26fff,0x407a4fff,
    0x5c1ffff8,0xffe87fff,0xffff983f,0x01ffffc0,0x037fffc4,0x07ffffcc,
    0x8001b600,0x82efffea,0x7ff43eea,0x37ffdc5f,0xf527ffe4,0xa85109ff,
    0x7fcc3fff,0xfffff32f,0x3ffe201b,0x3fe2004f,0x540b64ff,0xfff87fff,
    0x3ffea02f,0xfff71f1f,0xff881a6f,0x7ffdc1ff,0x84fffe87,0x740ffff9,
    0xfd803fff,0xfb002fff,0x88003fff,0xfc980001,0x7dc04fff,0x7e45ffff,
    0xfffc86ff,0x017fff26,0x7fffffdc,0x3a4fffff,0x81efffff,0x003ffff8,
    0x69bfffe4,0x21fffea0,0x7c02ffff,0xf15acfff,0x40795fff,0x5c1ffff8,
    0xffe87fff,0xffff984f,0x01ffff40,0x017fffea,0x05ffff98,0x22000000,
    0xf707fffc,0x8bfffb5f,0xfc86fffd,0x3fff67ff,0x9fffb006,0x7fffcc00,
    0x7fc41fff,0x7cc002ff,0x203cafff,0xff87fffa,0x7fe402ff,0x3ff62dff,
    0x3e200fdf,0x7fdc1fff,0x4fffe87f,0x40ffff98,0x7403fffe,0x4000ffff,
    0x201ffffc,0x88888888,0xffc98000,0x7f440bff,0x8bfffb1e,0xfc86fffd,
    0x3fff27ff,0xbfff9007,0xfffe9800,0x7ffc46ff,0xffe8001f,0x3ea00fef,
    0xffff87ff,0x7fffcc02,0x37fffd47,0x07fffe20,0xfd0ffff7,0xfff309ff,
    0x3fffe81f,0x0ffffee0,0x3ffffa00,0xfffff105,0x5400ffff,0x302dfffe,
    0x7fec3fff,0x37ffdc5f,0xf737ffe4,0xf7003fff,0x36000fff,0x220fffff,
    0x8001ffff,0x404ffffa,0xff87fffa,0xffe802ff,0x7fffc44f,0x7fffc403,
    0x43fffdc1,0xf984fffe,0x7ff40fff,0xffff103f,0xccb8120d,0xf881ffff,
    0x7fffffff,0x7fffe440,0x3ffe200c,0x22fffec7,0xfd87fffa,0x3ffea4ff,
    0xfffa806f,0x20dc202f,0x222ffffb,0x0001ffff,0x9803ffff,0x3e60ffff,
    0xfb802fff,0xfffc81ff,0x7fffc400,0x43fffdc1,0xf984fffe,0x7ff40fff,
    0xffffb03f,0x3a609505,0x86ffff88,0xfffffff8,0xfffb507f,0x3fea005d,
    0x3fff60ff,0xd87ffe85,0x7ff40fff,0x3e2983ff,0x2c80ffff,0x3fff50d7,
    0x00ffffc4,0x805ffb80,0xf12ffff8,0x1007ffff,0x3fe60dff,0xffff8805,
    0x43fffdc1,0xf984fffe,0x7ff40fff,0xffffa83f,0xe883f985,0x0bfffee2,
    0x26666666,0x3ffae219,0x7d4001cf,0xfffcefff,0x7fd436ff,0x427ffc1f,
    0x9cfffffa,0x7ffe45b8,0x25c98cff,0x47ff83fa,0x001ffff9,0x2005ff10,
    0xbfeffffc,0xb005ffff,0x017f407f,0x217fffcc,0xfe87fffc,0xfffa85ff,
    0x27fffc1f,0x987ffff4,0x7442ffc9,0x3fffe60f,0x3ea0000f,0x10000bef,
    0x55ffffff,0xb83dffff,0x17fee5ff,0xffffffc8,0xfffd80ef,0x2a0effff,
    0x5ff50cff,0x03ffffa8,0xb001b200,0x3fe5ffff,0xfa805fff,0x2003f200,
    0x6c3ffffb,0x3e21ffff,0xffb86fff,0x3ffe62ff,0x7fffdc5f,0xffffffff,
    0x5bfffb12,0xffffffd5,0x0b6a0007,0x7ff54000,0x07bff60c,0x7fef7fd4,
    0xffffa803,0x3ff200df,0x7cc0ceff,0x42ffeffd,0xdffffffc,0x00188000,
    0x00001a88,0x80288051,0x4ffffffc,0x5ffffffb,0xdffffff3,0x3fffff61,
    0xfffff9bf,0x000000ef,0x00000000,0x02004000,0x00055440,0x26000d44,
    0xa886200a,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00bea000,0x55555551,0x55555555,
    0x00044055,0x88888886,0x88888888,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb3007b60,0x03bd705d,0xfa80fff0,0xffffffff,
    0x7fffffff,0x2cfffd98,0xfff9acc0,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffa80000,0x07fff404,0xb80dfff3,
    0x3a603fff,0xeeeeeeee,0x6eeeeeee,0x7fffffd4,0x34d80bef,0xffffffff,
    0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c409ff3,0x3fee2fff,0xbff100ff,0x000001ff,0x5cc56f40,0xbbdffffe,
    0x000001fe,0x00000000,0x00000000,0x00000000,0x00000000,0x14400000,
    0x7c1a87fe,0x3fea1fff,0x757f606f,0x0000004f,0x3f6a01f1,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2d72fff8,
    0x3fa1ffd8,0x3ffe20ff,0x2a1ff305,0x999881ff,0x99999999,0x26199999,
    0xdedb8804,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff0000,0xffff3937,0x7437fe43,0x87fd03ff,0xfffa85fd,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6cc00000,0xeeeeeeee,0x427fd42d,0x7fa81ffc,0x7d42ff98,0xffffffff,
    0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2201674c,0x07fa82ff,0x1bf205ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f900000,0x7f4019f1,
    0xfb85f880,0x00ffe206,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8ffec000,0x0d700eff,0x07fe21f4,0x0001ff70,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x326ff980,0x405303ff,0x80154c0a,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x3fe62fe8,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02000000,0x00000022,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_36_usascii_x[95]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_36_usascii_y[95]={ 28,5,5,6,5,5,5,5,5,5,5,8,23,18,
23,5,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,6,32,5,12,6,12,6,12,5,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,5,5,5,16, };
static unsigned short stb__times_bold_36_usascii_w[95]={ 0,7,14,16,15,29,25,5,10,10,14,18,7,11,
6,10,15,12,15,15,15,15,15,15,15,15,7,7,18,19,18,14,29,24,21,21,23,21,19,24,25,12,17,26,
21,31,23,24,19,24,24,16,20,23,24,33,24,24,22,7,10,7,15,18,8,15,17,13,17,13,13,15,17,9,
10,18,9,26,17,15,17,17,13,11,11,17,16,24,16,16,14,10,3,10,18, };
static unsigned short stb__times_bold_36_usascii_h[95]={ 0,24,12,23,26,24,24,12,30,30,14,18,11,5,
6,24,23,22,22,23,22,23,23,23,23,23,17,22,17,8,17,24,31,22,22,24,22,22,22,24,22,22,23,22,
22,22,23,24,22,29,22,24,22,23,23,23,22,22,22,28,24,28,12,4,7,17,23,17,23,17,23,24,22,23,
31,22,22,16,16,17,23,23,16,17,22,16,16,16,15,23,15,30,31,30,6, };
static unsigned short stb__times_bold_36_usascii_s[95]={ 253,172,16,111,131,1,31,249,68,79,1,
200,246,243,249,232,217,147,184,233,160,1,17,47,63,79,238,176,219,47,1,
79,12,122,100,57,63,41,21,207,225,87,95,173,151,119,113,147,1,90,200,
94,98,137,195,161,1,220,56,123,180,115,31,86,243,20,199,52,181,66,33,
191,38,243,1,79,245,166,193,36,146,128,92,80,26,123,106,141,226,164,211,
57,42,46,67, };
static unsigned short stb__times_bold_36_usascii_t[95]={ 1,1,146,33,1,33,33,33,1,1,146,
105,105,136,46,1,33,105,105,33,105,58,58,58,58,58,105,105,105,146,128,
33,1,105,105,33,105,105,105,1,82,105,58,82,82,82,58,1,105,1,82,
33,82,58,58,58,82,58,82,1,1,1,146,146,128,128,33,128,33,128,58,
1,82,1,1,82,58,128,128,128,33,33,128,128,82,128,128,128,128,33,128,
1,1,1,146, };
static unsigned short stb__times_bold_36_usascii_a[95]={ 130,173,289,260,260,520,433,145,
173,173,260,296,130,173,130,145,260,260,260,260,260,260,260,260,
260,260,173,173,296,296,296,260,484,376,347,376,376,347,318,405,
405,202,260,405,347,491,376,405,318,405,376,289,347,376,376,520,
376,376,347,173,145,173,302,260,173,260,289,231,289,231,173,260,
289,145,173,289,145,433,289,260,289,289,231,202,173,289,260,376,
260,260,231,205,115,205,270, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_36_usascii(stb_fontchar font[STB_FONT_times_bold_36_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_36_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_36_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_36_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_36_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_36_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_36_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_36_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_36_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_36_usascii_s[i] + stb__times_bold_36_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_36_usascii_t[i] + stb__times_bold_36_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_36_usascii_x[i];
            font[i].y0 = stb__times_bold_36_usascii_y[i];
            font[i].x1 = stb__times_bold_36_usascii_x[i] + stb__times_bold_36_usascii_w[i];
            font[i].y1 = stb__times_bold_36_usascii_y[i] + stb__times_bold_36_usascii_h[i];
            font[i].advance_int = (stb__times_bold_36_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_36_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_36_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_36_usascii_s[i] + stb__times_bold_36_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_36_usascii_t[i] + stb__times_bold_36_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_36_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_36_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_36_usascii_x[i] + stb__times_bold_36_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_36_usascii_y[i] + stb__times_bold_36_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_36_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_36_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_36_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_36_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_36_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_36_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_36_usascii_LINE_SPACING
#endif

