// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT        246
#define STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_47_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_47_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_47_usascii_LINE_SPACING          30

static unsigned int stb__times_bold_47_usascii_pixels[]={
    0x00039500,0x6e554c40,0x0000abcd,0x26f62bd9,0x95100000,0x26510009,
    0x99988001,0x33109999,0x00133333,0x2b372a60,0x3a000001,0x32e60004,
    0xa80001bc,0xaa9801ee,0x1aaaaaaa,0x1555554c,0xf80032e2,0x40005fff,
    0xceffffda,0x0befffdc,0xfb9ff600,0x30000dff,0x4005dffb,0x19f31fc8,
    0x7fff5c00,0xfff95fff,0x4009dfff,0xfeffffec,0x000cefff,0x6ffedcc0,
    0xfd8800ac,0x004ffcbf,0x4017fe20,0xfffffffa,0x7fed42df,0x3ffee3ff,
    0xfffa804f,0x5c4000ff,0x4401cfff,0xb003feb9,0x1dff70ff,0x2fffa800,
    0x20ffdc00,0xa8003fe8,0xff95ffff,0xe98009ff,0x510bdfff,0x005ffff9,
    0xdfbfff70,0x203bfffd,0x3fa5ffe8,0xffb0006f,0x7ff44001,0x7e406fff,
    0x7ffff40f,0xffffd807,0x3fea003f,0xf910002e,0x07fd801b,0x2003fffb,
    0x4003fff9,0xfd100efc,0xffff000b,0x03ffff2b,0x5ffffc80,0x6ffffd40,
    0x2ffe8800,0x7fff557e,0x22fffd85,0x4004fffc,0xa8003ffa,0x407fffff,
    0x7ffcc3fa,0x7d402fff,0x9000ffff,0x200007ff,0x3f600fe9,0x0bfff507,
    0x003fffa0,0x4401ffb8,0x7f4004ff,0xffff95ff,0xfffd1001,0x3fee00df,
    0x7f401fff,0x3f62fc3f,0x7fffd46f,0x07fffee1,0x002ffc40,0x5fffffd0,
    0x3e607e40,0x803fffff,0x8804fffe,0x00001ffe,0x1ff606e8,0x403fffc4,
    0x2007fff9,0xf7005ffb,0x7ff4007f,0x0ffff95f,0x3fffffa0,0x3fff6000,
    0xfff700ff,0x6fe85f81,0x507fffe4,0x2007ffff,0x20000ffd,0x05fffffa,
    0x3ffe613a,0x73002fff,0x1bfd1001,0x3e600000,0x260ffb04,0x5c02ffff,
    0xa800ffff,0x3e001fff,0xffd002ff,0x1ffff2bf,0x3ffffee0,0x7ffcc004,
    0xffff05ff,0x6f985f83,0x507ffff4,0x5009ffff,0xd00007ff,0x301fffff,
    0x3fffe03f,0x800000ff,0x00000efd,0x7ec0fdc0,0x5ffff707,0x1ffffb80,
    0x037ffc40,0x003fff20,0x7e57fffa,0x7fcc07ff,0x8001ffff,0x42ffffff,
    0x7c4ffff8,0xfff8db05,0x3ffea0ff,0x2ffc406f,0xfffb8000,0x206c84ff,
    0x007ffffe,0x01ffb800,0x09d00000,0x3ff20ffb,0x7fd400ff,0x7fdc02ff,
    0x7fd4002f,0xfffe804f,0x80ffff95,0x07fffffe,0xfffffb00,0x7fffd41f,
    0x35417e2f,0xa83ffffe,0x6405ffff,0x100000ff,0x81ffffff,0x3fff203f,
    0x2aaaa05f,0xf980aaaa,0x3b26003f,0x1533311d,0x0ffb0f30,0x201ffff6,
    0x403ffff8,0x8000ffff,0x7400ffff,0xfff95fff,0x7fffd40f,0xf50004ff,
    0x447fffff,0xf3ffffff,0x3ffa040b,0x3ffea1ff,0x0ffea04f,0xfff90000,
    0x007d47ff,0x407ffff5,0xffffffea,0x2006fd81,0xfb7dfffb,0x5f103fff,
    0xffd07fd8,0x3ffe00df,0x3ffee04f,0xfffd0007,0x5fffe809,0x5c0ffff9,
    0x03ffffff,0xfffff300,0xfffff8bf,0x2005fdff,0x2e1ffffc,0xf102ffff,
    0x100000bf,0x6cdfffff,0x7fffcc05,0xffffe801,0x00ffc41f,0x792ffec4,
    0x740fffff,0xff83fec3,0xffd005ff,0x7fff40bf,0xfff90005,0x7fff401f,
    0x40ffff95,0x2ffffffd,0xffff3000,0xfffb8dff,0x005fffff,0xc8bfffe6,
    0x3f206fff,0xb000000f,0xf15fffff,0x0ffff005,0x3fffff20,0x44037dc1,
    0x3ea0fffe,0x3604ffff,0xff83fec4,0xffb003ff,0x3ffea0bf,0xff70004f,
    0x7ff407ff,0x0ffff95f,0x7ffffff4,0xfff10002,0xfe81ffff,0xdfffffff,
    0x7fff9000,0xa80fffec,0x000003ff,0x37ffffe6,0xdffb007b,0x3fffee00,
    0x401ffc1f,0x7cc2fffd,0x2e02ffff,0xfd83fec5,0xff9002ff,0x3fff207f,
    0xff50003f,0x7ff40bff,0x0ffff95f,0x3fffffe2,0xff10001f,0x883fffff,
    0xfffffffe,0xffb002ff,0x40fffe2d,0x00005fe8,0xfffffe80,0x9ff7004f,
    0x3fffee00,0x003fea1f,0xf70dfff7,0x5401ffff,0xfb83fec6,0xffb003ff,
    0x3fff601f,0xff30003f,0x7ff40dff,0x0ffff95f,0x3fffffe6,0x3fe0000f,
    0xb02fffff,0xffffffff,0xfd5001bf,0x6401bffd,0x000000ff,0xffffffa8,
    0x05ff3000,0x3ffffee0,0xf3017ee1,0xff907fff,0x45a80bff,0x3ff607fd,
    0x3fff8806,0x0bffffa0,0x7fffcc00,0x57fffa07,0xf307fffc,0x01ffffff,
    0x7ffffc00,0x3fee02ff,0xefffffff,0x20026000,0x2e603ffa,0x0001bded,
    0x00dfffff,0xb8007fc4,0x321fffff,0x7ffec04f,0xffffd80f,0x3f625c03,
    0x00ffec07,0xff013fee,0x20005fff,0x00fffff9,0x3f2bfffd,0xfff107ff,
    0x0003ffff,0x7ffffffc,0x7fff4401,0x00ffffff,0x17fa2000,0xfd9effb8,
    0xffc8003f,0x3fc002ff,0xfffff700,0xf301fec3,0x3fe0bfff,0x1e401fff,
    0xf9101ff6,0xffd9819f,0x7fffc403,0xff10002f,0x3fa03fff,0xffff95ff,
    0x7fffffc0,0xff10002f,0x001fffff,0x3fffffee,0x200004ff,0xff900ffc,
    0x13ffe63f,0x1ffff100,0x2006d800,0x21fffffb,0x3ff202fe,0xfffa82ff,
    0x6c1e807f,0xfd71007f,0x400b7ee3,0x01fffff9,0xfffff100,0x57fffa05,
    0x3607fffc,0x03ffffff,0xfffff300,0xfff800ff,0x01ffffff,0x03ffa800,
    0xff8ffff3,0x7ec002ff,0x05c8004f,0x3ffffee0,0x7c407fe1,0xfe80ffff,
    0x3cc04fff,0xc9803fec,0x39ff51ff,0xfffff300,0x3fe20003,0xffd02fff,
    0x1ffff2bf,0xffffffc8,0xfff50004,0xf800dfff,0xffffffdd,0x7f440003,
    0x1bfffa06,0x800dfffd,0xa8001ff9,0x3ffee003,0x403fe1ff,0x986ffffa,
    0x402fffff,0x407fd84c,0xc883ffe8,0xfff805ff,0xf10002ff,0x3a03ffff,
    0xfff95fff,0x7fffcc0f,0xf70004ff,0x005fffff,0xffffb5f8,0xfc8000bf,
    0xffff100f,0x0ffffd8d,0x00037400,0xffffb800,0x5c07fe1f,0xfd85ffff,
    0x2200ffff,0x207fd81f,0x5401ffe8,0x7ffc05ff,0xf30002ff,0x3a01ffff,
    0xfff95fff,0xffffd80f,0xff90006f,0x0170dfff,0xffffb2fc,0x7fcc000d,
    0x3fffe603,0x17fffec5,0x0000be00,0x7fffdc00,0x640bfa1f,0x7dc3ffff,
    0x6405ffff,0x220ffb05,0xff006ffe,0x7fff40bf,0xff30002f,0x7ff40fff,
    0x0ffff95f,0xffffff98,0x7ffc4001,0x02e81fff,0xffffa97e,0xdfd10005,
    0x5ffffa80,0x01ffffec,0x00000f50,0x7ffffdc0,0x7ec13f61,0x33e63fff,
    0x2603ffff,0x20ffb00f,0x9003fffa,0x3f203fff,0x30003fff,0x740dffff,
    0xfff95fff,0xffff900f,0xffb800bf,0x0bd05fff,0x3fffe2fc,0x1ff90003,
    0x6ffff980,0x217fffec,0x026c0ceb,0x00cfeb80,0x1fffffb8,0x7ff417f2,
    0xf95f35ff,0x3e605fff,0x6c1ff602,0xf9002fff,0x3fee09ff,0xf50003ff,
    0x7f40bfff,0xffff95ff,0xffffd100,0x7ff4001f,0x1fd00fff,0xffff17e0,
    0x7ff30003,0xdffff100,0x20ffffd8,0x3e24fffa,0xfffb8000,0xfffb805f,
    0x41be61ff,0xfffffffd,0x01ffffb5,0x361507f3,0x7ffff07f,0x1bfff600,
    0x02ffffcc,0x3ffffb80,0x657fffa0,0xb1007fff,0x2009ffff,0x00effffa,
    0x32fc17fa,0x20009fff,0x3fa006fe,0x7ffec6ff,0x93fffec7,0x3ffe000b,
    0x7dc00fff,0x7fc1ffff,0xfffffc80,0xffff50ef,0xf982fc83,0x3fe0ffb0,
    0xffd005ff,0x7ffec0bf,0xfffb0006,0x5fffe80f,0x800ffff9,0x404ffffc,
    0x00effffa,0x2fc2fff4,0x0001dffb,0x54001ff9,0x7ffc7fff,0x7fffdc2f,
    0x88000fb9,0x02ffffff,0x0fffffdc,0x3fe20bf2,0xffe85fff,0x01dfdcff,
    0xe83fec7b,0xff006fff,0x7fd409ff,0xffd0007f,0xfffe807f,0x00ffff95,
    0x5bfffd70,0x3fff2a21,0xfffd004f,0xd5bf159d,0x30001bff,0xfb0007ff,
    0x3ffe23ff,0xfffff885,0x3f60003f,0xfb806fff,0x7c41ffff,0x3dfb880f,
    0x7bdfd910,0x3f635401,0x0ffffb07,0x07ffff30,0x001fffe8,0x400ffff8,
    0xff95fffe,0x64c000ff,0xffffffff,0x22000aef,0xffffffdb,0x0002dfff,
    0x44001bfa,0xffd8dffd,0xdff9300d,0xfe980005,0xffb802ff,0x5fc81fff,
    0xe8000000,0xfb83fec2,0x7d400fff,0x7d402fff,0x7d4003ff,0xffe804ff,
    0x0ffff95f,0xfffd1000,0x00007fff,0x3df95531,0x3ff90000,0xffda8000,
    0x000002df,0xb800aa00,0x881fffff,0x000002fe,0x1ff61720,0x017fffd4,
    0x003fffee,0xd001bffa,0xfd001fff,0x3fff2bff,0xff300007,0x000dffff,
    0x00017e00,0x000004cc,0x00000002,0x7fd40000,0xff301fff,0x90000001,
    0x20ffb01d,0x401ffff9,0x1007fffb,0x26003fff,0xfd001fff,0x3fff2bff,
    0x3f200007,0x003fffff,0x0004e800,0x00000000,0x00000000,0x7ffcc570,
    0x37ea00ff,0x36000000,0x20ffb00d,0x8807fff8,0x26007fff,0xffb006ff,
    0x7fff4005,0x00ffff95,0x7fff4400,0x00002fff,0x00000000,0x00000000,
    0xffb00000,0x1ffffe65,0x000bfea0,0xd80bb100,0x9fff507f,0x07fffa00,
    0x402ff980,0x7c003ff9,0xfff95fff,0x4400001f,0xbffffffe,0xbbbb9800,
    0xbbbbbbbb,0xbbbbbbbb,0x0000002b,0x00000000,0xa7ffc400,0x003ffff8,
    0x0001bfd3,0xd805fb88,0x0dffb07f,0x027ffcc0,0x4c0bfea0,0x7c4004ff,
    0xfff95fff,0xb000001f,0x9fffffff,0xffa85355,0xffffffff,0xffffffff,
    0x00004fff,0x00000000,0xffd80000,0x00dfff14,0x002ffc88,0x001dfc88,
    0xffc88ffb,0x7f44000e,0x366000cf,0x00f7d43f,0x3ffff660,0x3bffff95,
    0xf9300000,0xffffffff,0xfffffa8f,0xffffffff,0xffffffff,0x00000004,
    0x00000000,0xc9eff980,0x10001fff,0x1579dff9,0x37f72ea6,0x93fec001,
    0x40005dff,0x004fffd8,0x02ea9f54,0x777775c0,0xdddd74ee,0x00009ddd,
    0x57995310,0x22222013,0x88888888,0x88888888,0x00000008,0x00000000,
    0xfffd5000,0x2000019f,0xfffffec9,0x0001acde,0x00d5cffb,0x00ea2000,
    0x000008c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00008000,
    0x00022000,0x00033100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0bdeedb8,0x2aa20f4c,
    0x222aaaaa,0x0003dedb,0x00d554c0,0x53100000,0x405799d9,0x004ed81b,
    0x5e6e5d40,0xcc98000a,0x00199501,0x33333333,0x23333333,0x99999998,
    0x33100099,0x01333333,0x56776e54,0x09999999,0x4013b200,0xfdbdfffc,
    0x883ff71f,0x7ffffffc,0xfffffff7,0x3b6e0003,0xffffefff,0x200000be,
    0xfffffed9,0x22dfffff,0x07fc81f9,0xffdfd500,0x8007ffff,0xff901ffb,
    0x3fff7200,0xffffffff,0xffffd34d,0x001fffff,0xffffffd7,0xfffd307f,
    0xffffff7b,0x22005fff,0x7ec403ff,0x77fec2ff,0xff101fff,0xbdf5ffff,
    0x01dfffff,0x6ffff4c0,0xfffb510b,0xf900005f,0x4415dfff,0xfeffffb9,
    0x02ff981f,0xf7077e40,0x001dffff,0x6fe81ff6,0xffffb800,0x3a205fff,
    0x6fffffff,0x3fff6200,0x7ffff501,0xffffffe8,0x3ff5002f,0x86fffe80,
    0x1ffffff8,0x3fffffe0,0x3fffa63f,0xfff9005f,0xfff9809f,0xe98000df,
    0x7002ffff,0x203fffff,0x3ea004ff,0xffff984f,0x0dfd005f,0x40013fe2,
    0x0ffffffe,0x7ffff440,0x7c004fff,0xffff102f,0x3ffff50d,0x3f600133,
    0x7fffdc06,0xfffffb03,0x7ffff403,0xffff984f,0x3ffa202f,0xff3006ff,
    0x64003fff,0x002fffff,0x80ffffcc,0x3fe007fc,0xffffd06f,0x4ff8805f,
    0x0007ff30,0x1ffffff6,0x7ffffcc0,0x36002fff,0xffffd00f,0xbffff109,
    0x409ff000,0x00fffff8,0x03fffff9,0x07fffff4,0x06fffff8,0x03bffff6,
    0xfffffd80,0xffffb800,0xff30003f,0x07fea03f,0x07fffe60,0x13fffff2,
    0x2e07ff30,0xfb0001ff,0x200fffff,0xfffffff9,0x0f9001ff,0x81fffffc,
    0x001fffff,0xfa807fea,0x3f207fff,0x3a01ffff,0x3207ffff,0xb80fffff,
    0x003fffff,0x2fffffcc,0x3ffffe20,0x7fd40006,0x2013fe01,0xb84ffffa,
    0x405fffff,0xff901ffb,0x7ffec000,0xbf3007ff,0xdfffffff,0x260f9001,
    0xf03fffff,0x4005ffff,0x7fe407fc,0x3ff206ff,0x3fa01fff,0x3ee07fff,
    0x7c41ffff,0x001fffff,0x2fffffe8,0x3fffff60,0x1fd80003,0x7c01bf60,
    0xffb83fff,0x7ec04fff,0x001bfa07,0x7fffffd8,0xffb3f300,0x00bfffff,
    0x3ffe60f9,0xffff03ff,0x27fc007f,0x1bffff60,0x1fffffc8,0x1fffffa0,
    0x3fffffb8,0x3ffffff4,0xffffc800,0xfffb80ff,0x80000fff,0x3fea01f9,
    0x0effb801,0x2fffffc8,0xff037f40,0x7fec0009,0xf3007fff,0x3fffffa3,
    0x03e404ff,0x207fffff,0x001fffff,0xff805ff3,0x3f205fff,0x3a01ffff,
    0x2a07ffff,0x2a4fffff,0x04ffffff,0xfffff700,0xffff887f,0x200007ff,
    0x0ffe201e,0xffb00c40,0x77744fff,0xeeefffee,0xeeeffeee,0x7ffec001,
    0x3f3007ff,0x3fffffe2,0x81f202ff,0x884ffffc,0x2006ffff,0x7fcc07fc,
    0x3f205fff,0x3a01ffff,0x2a07ffff,0x2e5fffff,0x03ffffff,0xfffff300,
    0xffffa8bf,0x200006ff,0x006fd800,0x9fffff00,0x7fffffc4,0xffffffff,
    0x002fffff,0x3fffffec,0x3e61f980,0x1fffffff,0x7fcc0f90,0xfff985ff,
    0x17fa004f,0xbfffff50,0x7ffffe40,0x3ffffa01,0x3fffea07,0x3ffff63f,
    0xf10002ff,0xc8dfffff,0x05ffffff,0x7dc00000,0x7dc0000f,0x7fc45fff,
    0xffffffff,0xffffffff,0x7fec002f,0xf3007fff,0xfffffb83,0x07c80eff,
    0x207fffdc,0x2004fffc,0x7cc02ff9,0x3205ffff,0x201fffff,0x207ffffe,
    0x22fffffb,0x2ffffffe,0xffff1000,0xfffd8fff,0x00003fff,0x01ffc400,
    0x37fffa00,0x207fd800,0x6c0006fe,0x007fffff,0xfff903f3,0xf90bffff,
    0x7fffd500,0x005fffb3,0x4400ffb8,0x206fffff,0x01fffffc,0x81fffffa,
    0x10fffffb,0x3fffffff,0x3ffe2000,0x3fe1ffff,0x002fffff,0x5fe80000,
    0x3ffea000,0x41bfa003,0x40004ff8,0x07fffffd,0x3fa03f30,0x43ffffff,
    0x3ff2007c,0x000bdfff,0xfd005fe8,0x7e40ffff,0x3a01ffff,0x3207ffff,
    0x3e67ffff,0x01ffffff,0x3ffffe00,0xffff12ff,0x00003fff,0x01ff7000,
    0x007bf600,0xf304ff88,0xfd80007f,0x3007ffff,0x3ffe203f,0x322fffff,
    0x225d7007,0x7fc40001,0xffff7003,0x3fff203f,0x3ffa01ff,0x3ffa07ff,
    0x3ffe66ff,0x0000ffff,0x3ffffffe,0xffffff32,0x0000003f,0x0005ff30,
    0x98001bf1,0x3ff703ff,0xfffd8000,0x3f3007ff,0x7ffffcc0,0x80f90fff,
    0x00002fe9,0x88007fdc,0x884fffff,0x01fffffe,0x0ffffffa,0x8bffffe2,
    0xfffffff8,0x3ffe0001,0xff11ffff,0x005fffff,0x3fa00000,0x00eb8005,
    0x901ffb80,0xfb0000ff,0x200fffff,0x7fd401f9,0xf96fffff,0x001ffe80,
    0x0037ec00,0x33ffffee,0xffffff30,0x7fff403f,0x3f623fff,0xfff85fff,
    0x0002ffff,0xfffffff1,0x7fffffc1,0xeee8803f,0xeeeeeeee,0x1ff203ee,
    0x40013200,0xdfd00ffd,0xfffb0000,0x3e600fff,0xffffc801,0x207cdfff,
    0x99befff9,0x44001999,0xfb8003ff,0xdfffffff,0x01fffffc,0x2ffffffa,
    0xfffffcff,0xffffd80e,0xf10003ff,0xf8ffffff,0x04ffffff,0x3ffff220,
    0x401bffff,0x6c002ff9,0xffff1002,0xffffffff,0x5fffffff,0xffffd800,
    0x03f3007f,0x3fffff60,0x3f207fff,0xffffffff,0x403dffff,0x70001ffa,
    0x27ffffff,0x01fffffc,0x55fffffa,0x0befffff,0xffffff90,0x3fe60009,
    0x7e45ffff,0x005fffff,0xffffffd8,0x013fe003,0x3e200190,0xffffffff,
    0xffffffff,0x7ec002ff,0x3007ffff,0x3fa2003f,0x07ffffff,0x3fffffee,
    0xffffffff,0x0dfb00ef,0x83773000,0x01fffffc,0x31fffffa,0xff300177,
    0x0009ffff,0x3fffffee,0x7ffffcc2,0xffc8006f,0x2002ffff,0x000007fc,
    0x3bffbba2,0xfffeeeee,0x441eeeee,0xffffb01b,0x07e600ff,0xfffff980,
    0x3fe207ff,0xffffffff,0x06ffffff,0x000009ff,0x1fffffc8,0x1fffffa0,
    0x3fff6000,0xfb0006ff,0x3a0dffff,0x007fffff,0xffffffb8,0x07fea001,
    0x3ee00000,0x00ffb01f,0xfb0bfff9,0x200dffff,0x7d4001f9,0x407fffff,
    0xffffffe9,0xffffffff,0x00ffd40f,0x3ff20000,0x3fa01fff,0x80007fff,
    0x1ffffff8,0xffffe800,0xffff302f,0xfb8003ff,0x001fffff,0x000027fc,
    0xfd03fec0,0xffff880d,0x7fffec1f,0x03f3006f,0xfffff900,0xdfff700f,
    0xfffffddd,0x7fc85fff,0xfc800000,0x3a01ffff,0x0007ffff,0xbfffff90,
    0xffffa800,0x7ffdc05f,0x7dc005ff,0x001fffff,0x644037ec,0x7f4003ef,
    0x809ff106,0x43fffffb,0x04fffffd,0x20003f30,0x207ffffd,0x9801ffea,
    0x7fc1fffe,0xc8000004,0x201fffff,0x007ffffe,0xffffd100,0x7ff4001f,
    0xfc800fff,0x2001ffff,0x1ffffffb,0x00ffd400,0x00fffff6,0xf9827fc4,
    0x7ffd403f,0x7fff40ff,0x3f3002ff,0x3ffa2000,0x5fff107f,0x4c6ff800,
    0x000002ff,0x1fffffc8,0x1fffffa0,0xffe88000,0xff5004ff,0x74003fff,
    0x000effff,0x3ffffff7,0x03ff8800,0x1bffffe6,0xb817fcc0,0x7fc401ff,
    0xffff84ff,0x7f5000ef,0x7ffc4000,0x05fff307,0x3227fc40,0x0000007f,
    0x05fffffb,0x03fffffc,0x3ffa2000,0x7fd404ff,0xb8001eff,0x801effff,
    0x1ffffffb,0x206fd800,0x07fffffa,0x3603ff70,0xfff5007f,0xfffff983,
    0x017f6001,0x40fff500,0x8800fffe,0x05fe85fe,0xff880000,0xa80dffff,
    0x02ffffff,0xfffb8000,0xfb710adf,0x80009fff,0x9dffffd8,0x7fff5c40,
    0xb8000bef,0x3ffe00ff,0xffb004ff,0x90037f40,0xfd315dff,0x5c003fff,
    0x0001cfff,0xfd881fee,0xaa9aadff,0xf982ffdb,0x2000002f,0xffffffea,
    0xfff14fff,0x9dffffff,0xeb880000,0xffffffff,0x00001cef,0x3fffff66,
    0xdfffffff,0x7c40000b,0x3ffea03f,0x0bfd001e,0x30013fe2,0xfffffffd,
    0xffd5003b,0x07dfffff,0x2201f600,0xeffffeec,0xff700abc,0x00000001,
    0x00000000,0x332aa200,0x00001abc,0xcccba980,0x000019ab,0x1a803cb8,
    0x88166400,0x530001cc,0x00015797,0x04800000,0x97000200,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5cc00000,0x310002bc,0x33333333,0x88001333,0x19999999,
    0x2a620000,0x2666664b,0x88000199,0x99999999,0x19999999,0x6e54c000,
    0x800001bc,0x09abba98,0x57971000,0x32ea2000,0x00480acc,0x5e6654c0,
    0x9800dc01,0x2effeffe,0x7fffec00,0xffffffff,0x7ff4c002,0x001fffff,
    0x37ffae20,0x3ffffa0a,0xc80007ff,0xffffffff,0x7fffffff,0xfffb1000,
    0x0019ffff,0xdfff9100,0x2007ffff,0xfffefec8,0x3fee003e,0x1cfffeff,
    0xf91000f1,0xffffffff,0x017c459d,0xe887ffd4,0xff1004ff,0xffffffff,
    0x44000fff,0x01ffffff,0xbfffd980,0x3fffe600,0xfe80007f,0xffffffff,
    0x05ffffff,0x8aeffa80,0x005ffffc,0x0efffdc0,0x403ffff7,0x3f62fffa,
    0x7f4c05ff,0x3f6620cf,0x22007fff,0xadfffffd,0xfffdb999,0x7d402ffe,
    0x7ffd44ff,0xffffb804,0xffffffff,0x7fe40004,0x64001fff,0xd000dfff,
    0x000fffff,0xffffff88,0xffffffff,0x7c4002ff,0x7ffd43ff,0xff50003f,
    0xfff501ff,0xdfff501d,0x06ffff98,0xf5013ffa,0x3e600fff,0x401dffff,
    0x02ffffe9,0x207fffe2,0x7401ffff,0xffffffff,0x0001ffff,0x0fffffe4,
    0x5fffe880,0x7ffff400,0x7fd40007,0xffffffff,0x007fffff,0xe80fffd8,
    0x88005fff,0x3e05ffff,0x7fc45fff,0xfffc83ff,0x0fffc83f,0x807ff980,
    0x05fffffb,0x017ffe40,0x3e0ffff7,0x3e205fff,0xffffffff,0x80006fff,
    0x01fffffb,0x05ffff98,0x7ffffe80,0x7ffe4000,0xffffffff,0x4005ffff,
    0xc80ffff9,0xc8006fff,0x3604ffff,0x7fdc7fff,0xfffa82ff,0x3ffe61ff,
    0x01fee005,0x0bfffff5,0x80bff600,0xfd07ffff,0x3ee03fff,0x9999999b,
    0x80000999,0x01fffffb,0x02ffffc4,0x7ffffe80,0x77ff4000,0xaaaaaacc,
    0x4002fffa,0xb81ffffa,0xe8004fff,0x3207ffff,0x3f60ffff,0xff982fff,
    0x3fea4fff,0x03ec007f,0x1ffffff3,0x817f4000,0xb07ffffa,0x3a07ffff,
    0x80000007,0x01fffffb,0x007ffff4,0x7ffffe80,0x00f7c000,0x8007ff98,
    0xc83ffffc,0xf8001fff,0x901fffff,0x7fc1ffff,0xff882fff,0x3ff27fff,
    0x3ea003ff,0xffffe880,0x7dc0003f,0xdffff902,0x17ffff60,0x000013e6,
    0x3fffee00,0x3fff201f,0x3fa0005f,0x20007fff,0x3ee001f9,0xffc8005f,
    0x4ffe86ff,0xffffb000,0x3fffa0bf,0x3ffffe65,0xffffff02,0x3fffff63,
    0x701f1002,0x01ffffff,0xd02f8800,0x360dffff,0xfc87ffff,0x0009bcef,
    0x0cdec980,0x03fffff7,0x0bffffe6,0xffffe800,0x073b6e67,0x7f400198,
    0xffc8002f,0x3fee1fff,0x3fee0004,0xff84ffff,0x3ffee2ff,0xfffd03ff,
    0x3ffee7ff,0x3800cfff,0xdfffffd0,0x40b20000,0xb06fffff,0xe83fffff,
    0xffffffff,0xfffb8003,0xffbaffff,0xff901fff,0xe8000fff,0xff97ffff,
    0x003fffff,0x01fff100,0xfffff500,0x005dfb5b,0xfffff980,0xfff50dff,
    0x7fffe41d,0xffffb03f,0x3fffe69f,0x8003ffff,0x4ffffffa,0x7c400000,
    0xfb06ffff,0x7cc5ffff,0xffffffff,0xff9002ff,0xdfb539ff,0x103fffff,
    0x959fffff,0xd0037bdb,0x9fdfffff,0x1ffffff7,0x5ffb8000,0xffff1000,
    0x0005dfff,0x7fffff40,0x4ffe9eff,0x4fffffb8,0x9fffff90,0x7ffffffc,
    0x36003fff,0x02ffffff,0x7fcc0000,0xffb06fff,0x7fe47fff,0xffffffff,
    0x3ea01eff,0xffd86fff,0xfb81ffff,0xffffffff,0x7403ffff,0x20efffff,
    0x0effffd8,0x0bffa000,0xffffe800,0x7776406f,0xf884eeee,0xffffffff,
    0xfff302ff,0x3ff20bff,0x3fea4fff,0xffffffff,0xffff802e,0x00002fff,
    0x7ffffd40,0xfffffb06,0x7fffffc7,0xffffffff,0xffffd00f,0xffffd105,
    0xffffd03f,0xfffb57df,0x7ff40bff,0xff880fff,0x10005fff,0x20001fff,
    0xfffffffb,0x3fff2203,0xfd300bef,0xdfffffff,0x3fffe201,0xfffc80ff,
    0x7ffdc3ff,0xffffffff,0x3fffe01d,0x00001fff,0x7ffffd40,0xfffffb06,
    0x3ffffea9,0xffffffff,0xfffa86ff,0x3ffee07f,0xffff81ff,0xffffc87f,
    0xffffd02f,0x7ffff40f,0xbff70007,0xfbff7000,0x01ffffff,0x800effd8,
    0xffffffe8,0xffb01eff,0xffb05fff,0xff905fff,0xffffffff,0xfff105ff,
    0x0001ffff,0xffffa800,0xffffb06f,0xcaa9889f,0xfffffffd,0x7ffe44ff,
    0x3ffee06f,0x7ffc41ff,0xfff887ff,0xffe80fff,0x3ff207ff,0xe8000fff,
    0x3a6002ff,0xffff52ff,0xffc80dff,0x3ffe6001,0x1fffffff,0xefffff88,
    0x7ffffec0,0xfffff701,0x7fffffff,0xffffff98,0x4000001f,0x06fffff9,
    0x07fffffb,0x3ffff220,0x7fec7fff,0x3fee06ff,0x7fcc1fff,0xffd06fff,
    0xffd05fff,0x7fdc0fff,0x44002fff,0xf5000fff,0xfffe85ff,0x3fa03fff,
    0xbff91004,0xffffffff,0xffff701d,0xfffd77df,0x6c401fff,0xffffffff,
    0x3fe62fff,0x002fffff,0x7ffc4000,0xfffb06ff,0xf70003ff,0x7c1fffff,
    0x2e05ffff,0x541fffff,0x706fffff,0xd07fffff,0x5c0fffff,0x004fffff,
    0xa802ffdc,0xff987fff,0x882fffff,0xffd1006f,0x3ffffa6d,0xff304fff,
    0xffdfffff,0x2600bfff,0xfffffffd,0x7fffc6ff,0x00003fff,0x6fffff80,
    0x1fffffb0,0x3ffee000,0xffff12ff,0x7ffdc0bf,0x7ffd41ff,0xfff506ff,
    0xfffd0bff,0x7ffd40ff,0x7ec005ff,0xfff8803f,0xffff905f,0x1fc83fff,
    0x3ffff880,0x3fffffa2,0x3b2a206f,0xffffa9ce,0x7f4c002f,0x3fffffff,
    0x3ffffffe,0xe8000004,0xfb06ffff,0x8000ffff,0xf33ffffb,0x5c0bffff,
    0x441fffff,0x307fffff,0xd0dfffff,0x540fffff,0x004fffff,0x2003ffe2,
    0x106ffffc,0xffffffff,0x6c00fea1,0x7440ffff,0x00ffffff,0x6ffffd80,
    0xfea8006c,0x364fffff,0x06ffffff,0xffd80000,0xfffb06ff,0xfd0000df,
    0x3ffe65ff,0x3fee05ff,0xfff81fff,0xfff307ff,0xfffd0bff,0x7ffd40ff,
    0x3ee002ff,0xfffd005f,0x3fe603ff,0xf9efffff,0xffff1006,0x3fffe20f,
    0x7c4003ff,0x1ec3ffff,0x3ffff600,0x3fffe66f,0x000007ff,0x06ffffc8,
    0x00bffffb,0x23fff700,0x06fffff8,0x07ffffee,0x03fffff6,0x0fffffe2,
    0x81fffffa,0x00fffffa,0x200fff60,0x3ffffff8,0x3ffffea0,0x5000ffff,
    0x6c0dffff,0x004fffff,0x42ffffdc,0x7f44005d,0x7ff46fff,0x0000ffff,
    0x7fffcc00,0x7ffffb06,0xfff30000,0x07fffff8,0x07ffffee,0x07ffffee,
    0x40fffffc,0x207ffffe,0x007ffffb,0x2003ffe2,0x6ffffff9,0x7ffffe40,
    0xf7000eff,0x7d40bfff,0x4003ffff,0xd80ffffe,0x7fcc000f,0x7ffdc4ff,
    0x80004fff,0x3ffff400,0x00ffffd8,0x43ff8800,0x00fffffe,0x03fffff7,
    0x05fffff3,0x20fffff1,0x207ffffe,0x005ffffc,0x4401bfea,0x5fffffff,
    0x7ffffec0,0x21501eff,0x206ffff9,0x02fffff8,0x0bffff20,0x7c002fec,
    0xffd82fff,0x40007fff,0x7ffdc058,0x4fffe80f,0x800ceeb8,0x7fd40ffb,
    0xffb03fff,0x3fa03fff,0xff884fff,0xfffd05ff,0x7ffec0ff,0x3ff6002f,
    0x3fffa003,0x7404ffff,0xffffffff,0xff887d43,0x7ffc07ff,0xff9000ff,
    0x7fec05ff,0x7fffc002,0xfffff880,0xdf10004f,0x03fffd00,0xf881ffff,
    0x7403ffff,0xfffff01f,0xffffb81f,0xfff302ff,0xffff30df,0x3ffffa03,
    0xffff880f,0x3ffe2005,0x3ffee000,0x81dfffff,0xffffffea,0x3fedffff,
    0x80ffffec,0x003ffffa,0x803dfff9,0x3001fffd,0x7cc05fff,0x003fffff,
    0x4400f7d4,0x7fd44fff,0xffff983f,0x7ecc1eff,0x3fffea02,0xfefb88cf,
    0x3205ffff,0x7e42ffff,0x3ffa03ff,0xffc84fff,0x3ea000ef,0xffd8006f,
    0xffffffff,0xfdcfffdc,0xffffffff,0xfffe886f,0x0bfff905,0x1bfff910,
    0x7ffffb00,0x009ffd00,0x9fffffb1,0x2fecc401,0x4bffe200,0x3602ffe9,
    0xdfffffff,0xa801efdc,0xffffffff,0xffffffba,0xdfff703f,0x00fffea3,
    0x7ffbdffd,0x03bffea1,0x007ffb00,0xfffffb10,0x9fffffff,0x7ffffdc1,
    0xd300efff,0x32219fff,0x64c04fff,0x2001cfff,0xaefffffd,0x01fff4c0,
    0x3ffffee0,0xfecaacdf,0xb30002ff,0x03dfffff,0xfffffc88,0x4002dfff,
    0x2fffffea,0x359dfff7,0xefffd980,0xfe801cef,0x3ffffea3,0xf88003ff,
    0x2a0000ff,0xfffffffe,0xfff300cf,0x7001bfff,0xfffdffff,0x3fae203d,
    0xd8000bef,0xfffca88e,0x00dfffee,0xfffb5100,0xbfffffff,0x2e600001,
    0xbaa8000a,0x40000aac,0x0d4c1ba8,0x17751000,0x9880b800,0x20001acb,
    0x00003cc9,0x01379753,0x001654c0,0x09acba98,0x0004d540,0xcba805c0,
    0x000009bc,0x2f32ea62,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x4c00accb,
    0x99999999,0x88099999,0x99999999,0x33333311,0x01333333,0x99999998,
    0x26666219,0x09999999,0x26666662,0x00999999,0x86666666,0x19999998,
    0x33330000,0x33333333,0x33331013,0x44133333,0x99999999,0x44009999,
    0x19999999,0x26666662,0x99999999,0x99999999,0x19710099,0x7fffdc00,
    0x3b603fff,0xffffffff,0xec81deff,0x4effffff,0xfffffff7,0x807dffff,
    0xffffffed,0xfffff70f,0x45dfffff,0xffffffec,0x104effff,0x4dfffffd,
    0xfffffffb,0xffe80001,0xffffffff,0xffec83ef,0x22efffff,0xfffffffb,
    0x403effff,0xffffffe9,0xfffff70e,0xffffffff,0xffffffff,0xff30bfff,
    0xfe8807ff,0xffffffff,0x7fff4406,0x1000efff,0x9101fffd,0xbfffffff,
    0xfffd1000,0xfffd881b,0x2a02ffff,0xffffffff,0x5ffd1000,0xfffffd10,
    0x3e600003,0xffffffff,0xffffa801,0x3ffea00c,0x001fffff,0x20f7fec4,
    0xcceffffb,0xffffffdc,0xfffeccce,0xffffd85f,0x3fffa206,0xffffffff,
    0x7fffdc04,0x7c4003ff,0x7fff402f,0x70003fff,0x7fcc05ff,0x400fffff,
    0x7ffffffa,0x902fdc00,0x003fffff,0x7fffcc00,0xd000ffff,0x3ee007ff,
    0x01ffffff,0xb81ffa80,0xff981eff,0xe883ffff,0xffff85ff,0xbffb01ff,
    0xffffffd9,0x7fd401ff,0x8003ffff,0x7fd400ff,0x0005ffff,0xffb00bf7,
    0xd005ffff,0x03ffffff,0xf700fe40,0x0003ffff,0xfffffb80,0x9ff004ff,
    0xffffe800,0xfc8004ff,0x201ff703,0x3ffffff9,0x3f217f60,0x7f306fff,
    0xfffffb30,0x7ffd403f,0xe8002fff,0xffffd007,0xfb0001ff,0xffff3001,
    0xff700bff,0x4009ffff,0x7ffdc06e,0x800001ff,0xfffffffe,0x002fdc01,
    0x7fffffcc,0x1be2000f,0x3e602fb8,0x203fffff,0xfff985f8,0x4407d02f,
    0x02ffffff,0x3fffffea,0x007d8002,0x9ffffff7,0x005f8800,0x3ffffffa,
    0x7fffc400,0x7f1007ff,0xfffffb80,0xf8800001,0x06ffffff,0x40003be6,
    0x5ffffffd,0xb807f600,0x7fffcc06,0x02e403ff,0x00a20175,0x03fffff6,
    0xffffffa8,0x007d8002,0xfffffff1,0x00fdc001,0xffffff70,0xffffb007,
    0x1f7005ff,0xfffffb80,0xf7000001,0x09ffffff,0x880003fa,0x1fffffff,
    0x5c04f980,0x7fffcc04,0x02cc03ff,0x7fd40000,0x7fd405ff,0x8002ffff,
    0x3ff2007d,0x2003ffff,0x7fc4005e,0xa807ffff,0x05ffffff,0xffb805e8,
    0x00001fff,0x3fffff60,0x00fec1ff,0x7fffe400,0x0fe805ff,0x3e600cc0,
    0x803fffff,0xb8000003,0x5401ffff,0x02ffffff,0x22007d80,0x06ffffff,
    0x90003f50,0x05ffffff,0xfffffff0,0x4017cc01,0x41fffffb,0xaaaaaaa8,
    0xfff1000a,0x7dcdffff,0xff100003,0x405fffff,0x300002fb,0x07ffffff,
    0xaaaaaa80,0x3f60002a,0xffa801ff,0x8002ffff,0x7fec007d,0xe801ffff,
    0xfff30006,0xfa80bfff,0x03ffffff,0x7fdc01f2,0x7e441fff,0x00ceffff,
    0x3ffffea0,0x004fabff,0x7fffdc00,0x0df106ff,0x7ffcc000,0x64003fff,
    0x07ffffff,0x03fff300,0x3ffffea0,0x07d8002f,0x7ffffcc0,0x017cc05f,
    0xfffffd00,0x7ffec01f,0xf106ffff,0x3ffee009,0xfff301ff,0x7fec0007,
    0x05ffffff,0xfffd0000,0x3f905fff,0x7fcc0000,0x8003ffff,0x07fffff8,
    0x4ffff880,0xfffff500,0x0fb0005f,0xfffffd00,0x0036c01f,0x3ffffee0,
    0xfb7f303f,0x503fffff,0x3fee003f,0xff501fff,0xff880003,0x00ffffff,
    0xfff50000,0x4f98dfff,0x7fcc0000,0x0003ffff,0x00fffffd,0x7ffffe4c,
    0x7fd400ef,0x8002ffff,0xffb8007d,0xf104ffff,0xff880007,0xf907ffff,
    0xffffff51,0x5c00dd09,0xd01fffff,0x2a00003f,0x4fffffff,0x3fa00000,
    0x3a3fffff,0x4c00000f,0x03ffffff,0xfffffd00,0x3ffff200,0x01ffffff,
    0x3fffffea,0x007d8002,0xfffffff0,0x00003f20,0x3ffffff2,0x3ffe4f82,
    0x1fc47fff,0xfffff700,0x0003fb03,0xfffffd80,0x000001ff,0xfffffff5,
    0x00005f51,0xffffff30,0x3ffa0007,0x36a007ff,0xffffffff,0x3fffea06,
    0x7d8002ff,0xffff9000,0x04f885ff,0xffff3000,0x21fa8bff,0x2ffffffc,
    0xfb8003ee,0x7ec1ffff,0xf8800001,0x06ffffff,0x3ff60000,0x06fcffff,
    0xfff30000,0x20007fff,0x007ffffe,0xfffffe88,0xfff502ff,0xb0005fff,
    0x3fe2000f,0x7dc6ffff,0x3fa00000,0x3a0fffff,0x7ffffcc6,0x70017a5f,
    0x6c3fffff,0x2000004f,0xfffffffb,0xf3000004,0x3fffffff,0x3e600000,
    0x003fffff,0x0fffffd0,0x7fffec00,0xfff504ff,0xb0005fff,0x7fec000f,
    0x17a1ffff,0xfff70000,0x0be67fff,0x3ffffffa,0x5c002f98,0xfb1fffff,
    0x000003ff,0xfffffff3,0x000003ff,0x3ffffff6,0x26000005,0x03ffffff,
    0xfffffd00,0xfffd8000,0xfff505ff,0xd0005fff,0x7fcc000d,0x3f55ffff,
    0xff880000,0x0f97ffff,0x3fffffee,0xfb8007db,0xffdaffff,0x400006ff,
    0xfffe8ee8,0x00006fff,0xffffff10,0x4c000009,0x03ffffff,0xfffffd00,
    0xfff88000,0xfff505ff,0xd0005fff,0xffe8000d,0x05e8ffff,0xfff90000,
    0x207f7fff,0xfffffff8,0xffb8004f,0xffffffff,0x200004ff,0xffff30fe,
    0x00009fff,0xffffff10,0x4c000009,0x03ffffff,0xfffffd00,0xfff70000,
    0x3ffe607f,0xf8002fff,0x7fdc0006,0x02fdffff,0xfff30000,0x401fffff,
    0xfffffffc,0xfffb8001,0xffffafff,0xc80001ff,0x7fffe42f,0x00001fff,
    0x7fffffc4,0x26000004,0x03ffffff,0xfffffd00,0xfff30000,0x3ffe603f,
    0xf8003fff,0xfff80005,0x0006ffff,0x7ffff400,0x7fcc05ff,0x0006ffff,
    0x25fffff7,0x06fffffb,0xe81fdc00,0x0effffff,0x3fe20000,0x0004ffff,
    0x3fffe600,0xfd0003ff,0x0000ffff,0x201ffff1,0x3ffffff8,0x001fcc00,
    0x7ffffe40,0x4000003f,0x1ffffffb,0xfffffe80,0xfff70003,0x7ffec3ff,
    0xf30004ff,0x7fffcc0b,0x00004fff,0x3fffffe2,0x26000004,0x03ffffff,
    0xfffffd00,0x3ffe0000,0x7ffff405,0x17e4005f,0x7ffc4000,0x000007ff,
    0x6fffff88,0xfffff700,0x3fee0001,0x3fe21fff,0x4002ffff,0xffc806f9,
    0x002fffff,0xfffff100,0x4000009f,0x3ffffff9,0xffffd000,0x007dd50f,
    0xb801fff3,0x006fffff,0x80001be6,0x003ffffd,0xfff90000,0x3fe2007f,
    0x2e0005ff,0x5c1fffff,0x00ffffff,0x2003fd10,0xfffffffe,0xff880000,
    0x0005ffff,0x3fffe600,0xfd0003ff,0xfff0ffff,0x7fe401bf,0xffff8802,
    0xff8805ff,0x3e600002,0x00000fff,0x1ffff300,0x17ffec00,0xffff7000,
    0xffffb05f,0x9fd100bf,0x7fffd400,0x80005fff,0x5ffffff8,0x3e600000,
    0x003fffff,0x8fffffd0,0x2efffff8,0x2003ff98,0xcffffff9,0x03fea880,
    0x4ffe8000,0x74000000,0x7d4004ff,0x7e40007f,0xf982ffff,0x203fffff,
    0x4003ffe8,0xfffffffe,0x7fcc0003,0x0006ffff,0x3fffea00,0xfd0004ff,
    0xfc81ffff,0xabdfffff,0xa8001efd,0xeffffffe,0x03fffebc,0x3ff50000,
    0xb8000000,0xff8001ff,0x3fa60004,0xe80dffff,0x42ffffff,0x1effffb8,
    0xfffff300,0x0017ffff,0xfffffd10,0x000007ff,0xfffffff3,0xffa8005f,
    0x6c44ffff,0xffffffff,0xfc80003e,0xffffffff,0x000000cf,0x000002fc,
    0x8002fc40,0xf70001fc,0xffffffff,0x7fffff45,0xfff96fff,0x1ddfffff,
    0xffffff30,0x3fffffff,0xfffdd700,0xffffffff,0x220001dd,0xfffffffe,
    0x02efffff,0x3fffffe2,0x5441ffff,0x0001abca,0x79995300,0x00000135,
    0x000006a0,0x8000dc00,0x00000039,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99980000,0x99999999,0x00000009,0x2f372ea2,
    0x4ccccc40,0x4c000099,0x01999999,0x33333333,0x80001333,0x99999999,
    0x4cccc199,0x99999999,0x33000099,0x33333333,0x4c403333,0x99999999,
    0x4ccccc01,0x99999999,0x99999999,0x99999980,0x99999999,0x881d4000,
    0xffffffee,0xffffffff,0x0001bdef,0xff7dff50,0x7ffd43ff,0x0002ffff,
    0x7ffffff4,0xfffec887,0x04ffffff,0x3fffea00,0x0cefffff,0xfffffd91,
    0x7bdfffff,0x3ffb2000,0xffffffff,0x3ffb205f,0x06ffffff,0x3fffffea,
    0xffffffff,0x3fffffff,0x7ffff644,0xdeffffff,0x6ffb8802,0xffffe880,
    0xeccaacff,0x01efffff,0x43fff600,0x7445fffd,0x002fffff,0xfffffa80,
    0x7fff4407,0x0007ffff,0x3ffffffa,0x7f4400ff,0x01ffffff,0x7ffec000,
    0x2002ffff,0x02fffff9,0xdfffffb8,0xfaaaaaab,0x06ffffff,0x7fffff44,
    0xf91002ff,0x2e00dfff,0x01ffffff,0x5ffffff7,0xffff9000,0x207fffec,
    0x02fffffc,0xffffd000,0xffff500f,0x0005ffff,0xfffffdf3,0x3fea007f,
    0x0004ffff,0xfffff980,0xffe8006f,0xfff7000d,0xfffb8017,0xa801ffff,
    0x05ffffff,0xfffffc98,0xfff5006f,0x7d403fff,0x001fffff,0xb9bfffe6,
    0xffb85fff,0x00002fff,0x00fffffd,0xfffff9f3,0x7f9000df,0x05ffffff,
    0x3ffffe60,0x8800003f,0x05ffffff,0x0027fd40,0x22007ff2,0x4fffffff,
    0xfffff300,0x7fecc09f,0x06ffffff,0xffffff50,0xffffd803,0x3fee006f,
    0x80e4c6ff,0x02fffffb,0xffffb000,0xfd5f300f,0x003fffff,0x7ffd6fc4,
    0xf3002fff,0x007fffff,0xffff1000,0x7d400bff,0x2fd8002f,0xfffffb00,
    0x3e6001ff,0x204fffff,0xffffa9bd,0xff5006ff,0xb803ffff,0x01ffffff,
    0x0dffff90,0xfffffb80,0xffb00002,0x5f300fff,0xbffffff5,0x7d4fdc00,
    0x002fffff,0x7ffffff3,0xff100000,0x2009ffff,0xd0001efb,0x3ffe600b,
    0x2002ffff,0x4ffffff8,0x3fffea00,0xfff5006f,0xfa803fff,0x003fffff,
    0x00fffffd,0x2fffffb8,0xfffb0000,0x25f300ff,0x0ffffffe,0x3feadd00,
    0x3002ffff,0x07ffffff,0xfff10000,0xfb009fff,0x1740001b,0xfffffe80,
    0x7fc4006f,0x2004ffff,0x06fffff9,0xffffff50,0xffff9803,0xffd004ff,
    0xfb800fff,0x0002ffff,0x0fffffb0,0x3fee5f30,0x9804ffff,0xfffff52f,
    0x3fe6005f,0x0003ffff,0xfffff880,0x13fa204f,0x5c01a000,0x1fffffff,
    0x7fffc400,0x3e6004ff,0x5006ffff,0x03ffffff,0xffffffa8,0x3faaa603,
    0x02aaffff,0x2fffffb8,0x002fbb26,0x03ffffec,0xfff897cc,0x7c807fff,
    0x3fffffea,0xffff3002,0x000007ff,0x9ffffff1,0x000bfe60,0x7fc40040,
    0x004fffff,0xffffff88,0x3ffe6004,0xff5006ff,0xc803ffff,0x01ffffff,
    0x3ffffff2,0xb805ffff,0xf92fffff,0x005fffff,0x00fffffb,0x7ffe45f3,
    0x3e202fff,0x3ffffea4,0xfff3002f,0x00007fff,0xffffff10,0x003df709,
    0xffd80000,0x0006ffff,0x9ffffff1,0x7fffcc00,0xfff5006f,0xfe803fff,
    0x200fffff,0xfffffcca,0xfb803ccf,0xffdbffff,0x00ffffff,0x03ffffec,
    0xfff317cc,0x7dc0dfff,0x3ffffea0,0xfff3002f,0x00007fff,0xffffff10,
    0x000efc89,0x7fd40000,0x002fffff,0xffffff10,0x7ffcc009,0xff5006ff,
    0x4c03ffff,0x02ffffff,0x1fffffa0,0xfffff700,0x3ffe63df,0x7fec05ff,
    0x2f9807ff,0x7fffffec,0xffa8bd01,0x3002ffff,0x07ffffff,0xfff10000,
    0x3fa29fff,0x000002ff,0x3ffffe20,0x220005ff,0x04ffffff,0x3ffffe60,
    0xffff5006,0x3fea03ff,0x4004ffff,0x007ffffe,0x7fffffdc,0x3ffffe40,
    0x1fffff60,0xff50be60,0xf50bffff,0xfffffa85,0xfff3002f,0x00007fff,
    0xffffff10,0xfffffd39,0x20000001,0xfffffffc,0x3fe20000,0x2004ffff,
    0x06fffff9,0xffffff50,0xffb75535,0x0003bfff,0x00fffffd,0x2fffffb8,
    0x0fffffc8,0x1fffff60,0x3fa0be60,0x6c0fffff,0xfffffa86,0xfff3002f,
    0x00007fff,0xffffff10,0xfffffffd,0x8000001d,0xfffffff9,0x7fc40003,
    0x2004ffff,0x06fffff9,0xffffff50,0xffffffff,0x740003bf,0x4007ffff,
    0x82fffffb,0x01fffffb,0x01fffff6,0x3fee0be6,0x3e23ffff,0xfffffa83,
    0xfff3002f,0x00007fff,0xffffff10,0xffffffdf,0x800000bf,0x6ffffffe,
    0xfff88000,0x26004fff,0x006fffff,0x5ffffff5,0xffffffb3,0x7f40001d,
    0x5c007fff,0xb82fffff,0x201fffff,0x807ffffd,0xfff882f9,0x03ee7fff,
    0x3fffffea,0xffff3002,0x000007ff,0xbffffff1,0x3ffffff2,0x7000003f,
    0x3fffffff,0xfff10000,0x4c009fff,0x006fffff,0x3ffffff5,0x3fffffa2,
    0x3fa0004f,0x5c007fff,0xb82fffff,0x201fffff,0x807ffffd,0xfff902f9,
    0x413e5fff,0x2ffffffa,0xfffff300,0x1000007f,0x49ffffff,0xfffffffe,
    0x7c400002,0x04ffffff,0xffff1000,0x7cc009ff,0x5006ffff,0x43ffffff,
    0xfffffff9,0xfffd0002,0xffb800ff,0xffb82fff,0x3f601fff,0xf9807fff,
    0xfffff302,0x2a03f5df,0x02ffffff,0xffffff30,0xf1000007,0x449fffff,
    0xffffffff,0x3f600000,0x00ffffff,0xfff88040,0x26004fff,0x006fffff,
    0x3ffffff5,0xffffffc8,0xffe8000f,0x7dc007ff,0xfb82ffff,0x3601ffff,
    0x9807ffff,0x3fff602f,0x2a06efff,0x02ffffff,0xffffff30,0x41220007,
    0x4ffffff8,0x7fffffcc,0xa80000ef,0x2fffffff,0xf881dc00,0x004fffff,
    0x1bffffe6,0x7ffffd40,0xffffe81f,0xfe8005ff,0x5c007fff,0xb82fffff,
    0x201fffff,0x807ffffd,0x3fea02f9,0x202fffff,0x2ffffffa,0xfffff300,
    0x12e0007f,0x7fffffc4,0xfffffb84,0x440005ff,0x5ffffffe,0xf102d800,
    0x009fffff,0x37ffffcc,0xfffffa80,0xffff881f,0x74003fff,0x4007ffff,
    0x82fffffb,0x01fffffb,0x01fffff6,0xffd00be6,0xfa80ffff,0x002fffff,
    0x7ffffff3,0x4413a000,0x04ffffff,0xfffffff9,0x7fe40007,0x000fffff,
    0xff880fc4,0x2004ffff,0x06fffff9,0xffffff50,0x3fffee03,0x3a001fff,
    0x4007ffff,0x82fffffb,0x01fffffb,0x01fffff6,0xff700be6,0xfa807fff,
    0x002fffff,0x7ffffff3,0x207f3000,0x4ffffff8,0x3fffffa0,0xf98001ff,
    0x03ffffff,0xf100fc80,0x009fffff,0x37ffffcc,0xfffffa80,0x3fff601f,
    0x3a006fff,0x4007ffff,0x82fffffb,0x01fffffb,0x01fffff6,0xff100be6,
    0xfa801fff,0x002fffff,0x7ffffff3,0x205fb000,0x4ffffff8,0x3ffffe20,
    0x74000fff,0x06ffffff,0x2207f980,0x04ffffff,0x3ffffe60,0xffff5006,
    0x7fc403ff,0x004fffff,0x00fffffd,0x2fffffb8,0x1fffffb8,0x1fffff60,
    0x3200be60,0xfa805fff,0x002fffff,0x7ffffff3,0x01ffb800,0xbffffff1,
    0xfffffa80,0xf7000eff,0x03ffffff,0x207fe880,0x4ffffff9,0x3fffe600,
    0xfff5006f,0xfa805fff,0x02ffffff,0x07ffffe8,0x7ffffdc0,0xfffffb82,
    0x3ffffa02,0x802f9807,0xb801fff9,0x02ffffff,0xffffff30,0x7ffdc009,
    0xfffff100,0xfff900bf,0x100dffff,0x9fffffff,0x6fff9800,0x3ffffe60,
    0x3fe6004f,0xf7006fff,0x007fffff,0xfffffff9,0xfffff801,0x7ffe4007,
    0xfffc83ff,0x3ffa02ff,0x7e400fff,0x00dfb006,0x3ffffff2,0xffff5003,
    0xc9801dff,0x3e607fff,0x806fffff,0xfffffff8,0x3ff600df,0x000fffff,
    0x0bffffb3,0x7fffffd4,0x3ffee005,0x7cc00fff,0x1fffffff,0xfffffe80,
    0xfff502ef,0x30017fff,0x1dfffffd,0x7fffffcc,0xffffa80d,0xff700cff,
    0x3fa8039f,0xfffffa80,0x7cc01fff,0xefffffff,0xffdccccc,0xd107ffff,
    0x7fffffff,0xfffff980,0x40aeffff,0xfffffffa,0xccccccce,0xffffffec,
    0xfffd104f,0x5005ffff,0xbfffffff,0xffffe881,0xffffffff,0xffff300e,
    0x7dcfffff,0xffffffff,0x3ffee05f,0xa9ffffff,0xffffffff,0xfffff11f,
    0x223fffff,0xfffffffe,0xe981a02f,0xffffffff,0xd11effff,0xffffffff,
    0xffffffff,0xdfffffff,0xfffffee8,0x0effffff,0x3fffffe2,0xffffffff,
    0x3fffffa2,0xffffffff,0xffffffff,0x3fa23fff,0xffffffff,0x3b22efff,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99980000,0x99999999,0x33310999,
    0x33333333,0x99998333,0x99999999,0x99999999,0x26660999,0x99999999,
    0x99999999,0x4c409999,0x99999999,0x30000199,0x33333333,0x00001333,
    0x00566544,0x99999998,0x00999999,0x03800000,0x97000000,0x016ecc09,
    0xffffffd9,0x25bfffff,0xfffffed9,0x0cefffff,0x3fffffb2,0xffffffff,
    0xffffffff,0xffffd914,0xffffffff,0xffffffff,0xffed985f,0xffffffff,
    0x01bdefff,0x3ffffb60,0xffffffff,0x2000bcee,0xffffffd8,0x7ff6c01e,
    0xffffffff,0xacefffff,0xf9800000,0x40000000,0xff907ffb,0xfe8809ff,
    0x02ffffff,0x7fffffcc,0xffd800ef,0xccceffff,0xffffeccc,0xfffe884f,
    0xccccefff,0xfffffecc,0x3fffe602,0xfdccdfff,0x004fffff,0x7fffffec,
    0xffffedcd,0x7fcc00cf,0xffffffff,0xfffe8801,0xfdcccfff,0x01efffff,
    0x027ec000,0xff300000,0x3fffe0ff,0x7fcc00ff,0x9005ffff,0x07ffffff,
    0x3ffffe60,0x7fec404f,0xffff504f,0xfea809ff,0x7fe402ff,0xea81ffff,
    0x001effff,0x7ffffff3,0xffffffa8,0xfffff102,0x5fffffff,0xfffff500,
    0xffffb05f,0x200005ff,0x0000fff8,0xfffe8800,0xfffff987,0x7ffcc02f,
    0xf7004fff,0x005fffff,0x3fffffe2,0x09fd3004,0x3fffffe6,0x05ff9004,
    0xffffffb8,0xffffb101,0xfff1009f,0xff507fff,0xfd03ffff,0xffffffff,
    0xf300ffff,0x205fffff,0x2ffffffc,0xfffc8000,0xd8000003,0xff07ffff,
    0x8801ffff,0x04ffffff,0xffffff70,0x3ffe2003,0x26004fff,0xffff304f,
    0x7ec009ff,0x7fffdc02,0x3fe201ff,0xf803ffff,0xb03fffff,0xa8dfffff,
    0xfeb9adff,0x01ffffff,0x7fffffcc,0x3ffffe02,0x7c40005f,0x00006fff,
    0x7ffffd40,0x9ffff907,0xfffff100,0x3fee009f,0x1001ffff,0x09ffffff,
    0xff104d80,0x4009ffff,0x7fdc02f9,0x5401ffff,0x01ffffff,0x1ffffffc,
    0xffffffb8,0x7e403ba1,0x404fffff,0x2ffffff9,0x3fffff60,0x3ee0000f,
    0x0002ffff,0xfffff100,0x16ecc0ff,0xfffff880,0xfff7004f,0x22003fff,
    0x04ffffff,0xff8825c0,0x3504ffff,0xffb805d0,0xf801ffff,0x406fffff,
    0x03ffffff,0x5ffffff5,0xffd003e6,0xf980bfff,0x202fffff,0x2ffffffb,
    0x3fffa000,0x000006ff,0xfffffdfd,0xff880000,0x7004ffff,0x03ffffff,
    0x3ffffe20,0x9307204f,0x3ffffe20,0x5905b04f,0xfffffb80,0xfffc801f,
    0x3fe02fff,0xf303ffff,0x229fffff,0xffffa800,0x7ffcc04f,0x3f202fff,
    0x002fffff,0xffffff50,0xc800003f,0x7ffffdaf,0x7fc40000,0x7004ffff,
    0x03ffffff,0x3ffffe20,0x8007a04f,0x4ffffff8,0x801105d0,0x1ffffffb,
    0xfffffa80,0x3fffe05f,0xfff503ff,0x98007fff,0x403fffff,0x2ffffff9,
    0x3fffffa0,0xffd0001f,0x00bfffff,0xfda7d400,0x00007fff,0x7fffffc4,
    0xffff7004,0x3e2003ff,0x104fffff,0x7fc4003f,0xf884ffff,0xfff70002,
    0x3e003fff,0x00ffffff,0x07ffffff,0x3fffffee,0x7ffc4001,0x7fcc01ff,
    0x3e02ffff,0x005fffff,0xfffd7f30,0x00001fff,0x7ffecdf1,0x4400007f,
    0x04ffffff,0xffffff70,0x3ffe2003,0x3f704fff,0x7fffc400,0x02fc84ff,
    0xfffff700,0x3ffe003f,0xff03ffff,0x3607ffff,0x006fffff,0x06ffff98,
    0xffffff98,0xfffffb02,0x5f60001d,0x4ffffffb,0x21fe8000,0x007ffffd,
    0x7fffc400,0xff7004ff,0x2003ffff,0x4ffffff8,0x2001ffa8,0x4ffffff8,
    0x80017fd4,0x1ffffffb,0xfffffd00,0x3fffe09f,0xfff983ff,0xa8002fff,
    0x9803ffff,0x42ffffff,0xdfffffe8,0x29f10000,0x7ffffff8,0x21fe4000,
    0x007ffffd,0x7fffc400,0xaaaaadff,0xfffdaaaa,0xf1001fff,0x229fffff,
    0x001fffca,0x3fffffe2,0x2fffc98c,0xffff7000,0x3f6003ff,0xf04fffff,
    0x987fffff,0x03fffffe,0x0dfff900,0x3ffffe60,0xfffdcccf,0x40001bef,
    0x3fff20fc,0x50003fff,0xffffb0bf,0x2001980f,0xfffffff8,0xffffffff,
    0xffffffff,0xffff1001,0xffffffff,0x7c4003ff,0xffffffff,0x0002ffff,
    0x3ffffff7,0x3ffff600,0xffff05ff,0xff975bff,0x0003dfff,0x800ffffc,
    0xfffffff9,0xdfffffff,0x3e20000a,0x7ffffcc4,0xef88006f,0x7ffffd80,
    0x01dffd50,0xffffff10,0x5555555b,0xfffffb55,0x3fe2003f,0xffceffff,
    0x2001ffff,0xeffffff8,0x02ffffec,0xfffff700,0x3ff2003f,0xff05ffff,
    0xffffffff,0x0003bdff,0x003fffa8,0x3fffffe6,0xfffca99b,0x8001dfff,
    0xfffd81fb,0x6c002fff,0xffffb01f,0xfffff10f,0xfff8801f,0xf7004fff,
    0x003fffff,0x3fffffe2,0x07ffb264,0xfffff880,0x0bffa24f,0x7fffdc00,
    0xffb001ff,0x3e09ffff,0x99cfffff,0x74000019,0x7cc005ff,0x882fffff,
    0x3ffffffe,0xfa82f400,0x005fffff,0xffd80fee,0xfffc87ff,0x7c404fff,
    0x004fffff,0x3ffffff7,0x3fffe200,0x1ff884ff,0x3fffe200,0x17fc44ff,
    0xffffb800,0xffd001ff,0x3e07ffff,0x003fffff,0x3bfee000,0x7ffcc000,
    0xfd102fff,0x005fffff,0xffe80bea,0x9801ffff,0x7ffec05f,0xffffc87f,
    0x7fc406ff,0x7004ffff,0x03ffffff,0x3ffffe20,0x003f504f,0x7fffffc4,
    0x0002fa84,0x3ffffff7,0x3ffffe00,0xffff01ff,0x000007ff,0x0003bfe2,
    0x3fffffe6,0x3fffe602,0x6e800fff,0x7ffffdc0,0xcdfe804f,0xfecccccc,
    0x31ccffff,0x0fffffff,0xffffff88,0xffff7004,0x3e2003ff,0x204fffff,
    0x3fe2001f,0xf884ffff,0xfff70002,0x3e003fff,0x00ffffff,0x07ffffff,
    0x3ff60000,0xfff30001,0xff805fff,0x403fffff,0xcccccef9,0xfffffdcc,
    0x7ffc00ff,0xffffffff,0x3fffffff,0x1bffffee,0xffffff10,0x3ffee009,
    0xf1001fff,0x409fffff,0x3fe2001d,0x5d04ffff,0xffb815c0,0x8801ffff,
    0x06ffffff,0x0ffffffe,0x3fee0000,0xff300401,0xd805ffff,0x04ffffff,
    0x7fffffec,0xffffffff,0x7fc03fff,0xffffffff,0xffffffff,0x80bf9083,
    0x4ffffff8,0xfffff700,0x3fe2003f,0x3204ffff,0x3ffe2001,0x05904fff,
    0xfffb80fc,0xfb801fff,0x202fffff,0x03ffffff,0x0ffcc000,0xfff30340,
    0xfb805fff,0x205fffff,0xff1003f8,0xf80fffff,0xffffffff,0xffffffff,
    0x00ffa03f,0x9ffffff1,0x3fffee00,0xff1001ff,0x0409ffff,0x3fffe200,
    0x7a8004ff,0x3ffffee0,0xfffe801f,0x7ffc05ff,0x00003fff,0x32007fe2,
    0x3fffe606,0x7fec02ff,0x3203ffff,0x3ff6000f,0x3602ffff,0xeeeeeeee,
    0xeffffffe,0x01ff102e,0xffffff88,0xffff7004,0x3e2003ff,0x004fffff,
    0x3fffe200,0x7e8004ff,0x3ffffee0,0x7ffd401f,0x7fc00fff,0x0003ffff,
    0x2aab3fa0,0x4febaaaa,0x3ffffe60,0x7fffc02f,0x9f102fff,0xffff9800,
    0xd80006ff,0xb807ffff,0xfff8803f,0xf7004fff,0x003fffff,0x3fffffe2,
    0x3e600005,0x004fffff,0xff702fec,0xe803ffff,0x803fffff,0x03ffffff,
    0xffff9000,0xffffffff,0x7ffcc07f,0x3e602fff,0x206fffff,0xfe8002fc,
    0x002fffff,0x3ffffec0,0x4c017e60,0x04ffffff,0xffffff70,0x3ffe2005,
    0x00005fff,0x3fffffe6,0x9ffb1004,0x7ffffdc0,0x3fff202f,0xff8802ff,
    0x0003ffff,0xffffffb8,0xffffffff,0x3fffe601,0xfff302ff,0x2201ffff,
    0xfb8000ff,0x006fffff,0x3ffffec0,0x54009f50,0x05ffffff,0xffffff90,
    0x3ffe6007,0x00006fff,0x3fffffea,0x3fee200e,0x3ff203ff,0xd883ffff,
    0x000effff,0x9ffffff3,0xfff98000,0xffffffff,0x2a00ffff,0x85ffffff,
    0xeffffff9,0x007ffa01,0x3ffffe20,0x360003ff,0xbd07ffff,0x7ff44003,
    0x403fffff,0xfffffffa,0x7ff4401f,0x003fffff,0xffffe880,0xcccdefff,
    0xffffffed,0xfffff502,0xfdb9bfff,0x4005bfff,0xffffffe8,0xff10002f,
    0xffffffff,0x40dfffff,0xffffffe9,0xffffdcef,0x3aa02eff,0x4000dfff,
    0xfffffffb,0xffb0002f,0x40020fff,0xffffffe8,0x3effffff,0xffffffd5,
    0x3dffffff,0x7fffff74,0x3effffff,0x3fffa200,0xffffffff,0xffffffff,
    0x3aa1ffff,0xffffffff,0xceffffff,0x7ffec002,0xffffffff,0x3fa001ef,
    0xffffffff,0x45ffffff,0xffffffe8,0xffffffff,0x6402bcde,0xefffffff,
    0x3fffaa03,0xffffffff,0x7fec000f,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55100003,0x00000003,0x00000000,0x2aaaaaa6,0x2aaaa60a,0x6e4402aa,
    0x20b51bde,0x73002dd9,0x0017bddb,0x05ef6dd4,0xaaaaaa98,0x554c1aaa,
    0x2a202aaa,0x01cefedb,0x5bdb7500,0x164c0001,0x001f3000,0x003ff980,
    0xd9800000,0x00005d13,0x7ffff540,0x3ffaa1ff,0xf500ffff,0xffffdbff,
    0xbffff70b,0x6effec40,0x4402ffff,0xfffbdffd,0xfffffa81,0x6cc2dfff,
    0xf503ffff,0xffffdbdf,0x7ff4400b,0x03effdcf,0x017ffc40,0x0000fe80,
    0x0001ffcc,0xfeb88000,0x39fff13f,0x3fa00000,0xff81ffff,0xf880ffff,
    0x3ff262ff,0xfffffe85,0x23ffe880,0x302ffffd,0x7fcc5fff,0xffffd03f,
    0x0ffc80ff,0x641ffd88,0x9804ffff,0x3f20dfff,0x3ee004ff,0xfc8005ff,
    0x7cc0000f,0x0000003f,0x7ffffe4c,0xdfffff12,0xfd800005,0xfd81ffff,
    0xfd80ffff,0x98df907f,0x42ffffff,0x7d46ffe8,0xff887fff,0x0fffd86f,
    0x7fffffa8,0xfd81fdc0,0xfffff06f,0x7fffcc05,0x1ffffc41,0x03fff980,
    0x007ffd40,0x00ffe600,0x7f540000,0x440cffff,0xcfffffeb,0xffc80000,
    0xffd81fff,0xfff80fff,0xff0dd02f,0xfc81ffff,0x7ffc43ff,0x7ffe40ff,
    0x04fffb83,0x05fffffd,0x7fcc07ec,0xffff83ff,0x3fff605f,0x3ffffb07,
    0x007ffe00,0x00ffff98,0x01ffcc00,0xff910000,0x2005dfff,0xdfffffd9,
    0x3ff20002,0xffc81fff,0x7fcc0fff,0x86a82fff,0x445ffffb,0xfd82ffff,
    0x3fe60fff,0xfffa82ff,0xffffa80f,0x209f105f,0xe86ffffc,0xf306ffff,
    0x3ee0dfff,0x3f624fff,0xf71bee0c,0xffffa83d,0x7cc0000f,0xa800003f,
    0x1cfffffd,0xfff71000,0x80017fff,0x81fffffc,0x40fffffc,0x4ffffff9,
    0x05bb3038,0x503ffff9,0xffd89fff,0xfffa81ff,0xffffd02f,0x201f501f,
    0xe86ffffa,0xfd06ffff,0x3ee0bfff,0x3fee6fff,0x225f13ff,0x3ee5fffe,
    0xaabfffff,0x7fcc001a,0xd7100003,0x017fffff,0x7fed4000,0x9002dfff,
    0x903fffff,0xf01fffff,0x3dffffff,0xffff0000,0x206a203f,0x980ffffe,
    0xf703ffff,0xbd09ffff,0x82fffc80,0xf06ffffe,0x2a0bffff,0xf50fffff,
    0x27a7ffff,0x94fffff9,0xffffffff,0x9800bfff,0x4c0003ff,0x2dfffffc,
    0x64400000,0x0befffff,0x3fffff20,0xfffffc81,0xfffffc80,0x20002fff,
    0x02fffff8,0xefffff80,0xfffeeeee,0xffff104f,0x001f98ff,0xffffd503,
    0xffff10df,0x3ffea09f,0x3fff21ff,0xfffefeff,0xecc88cff,0xcccfffff,
    0x7fcc002c,0xffd50003,0x00019fff,0xffd50000,0xf903bfff,0xf903ffff,
    0xf101ffff,0xffffffff,0x3fe60009,0x44003fff,0xccdfffff,0x3ccccccc,
    0x3fffff20,0x54001b22,0xffffecfe,0xfffffa86,0xfffff504,0x45eb8307,
    0x3ffff200,0x5555100f,0xff755555,0x5555555b,0x3ffe2355,0x00003eff,
    0xff930000,0xffc87fff,0xffc81fff,0xfd100fff,0x9fffffff,0xffff5000,
    0xffa800bf,0x80002fff,0x26fffff9,0x7f54002f,0xdffffd3f,0x9fffff50,
    0x3ffffea0,0x2747dc04,0xfffffc80,0xfffff100,0xffffffff,0xffffffff,
    0x3fffe27f,0x000001df,0xfff93000,0xfffc87ff,0xfffc81ff,0x3f6200ff,
    0x0fffffff,0x7fffcc00,0x7fcc006f,0x00003fff,0x53fffffb,0x7fec400f,
    0x3ffffa2f,0xfffff986,0xfffff704,0x5d7fa607,0x7fe402ef,0xff100fff,
    0xffffffff,0xffffffff,0x64c7ffff,0x0befffff,0xa8000000,0x1cfffffe,
    0x1fffffc8,0x0fffffc8,0xfffffb80,0x7c4003ff,0x4007ffff,0x05fffff8,
    0xffff5000,0x26009dbf,0x7f42fffe,0xff886fff,0xff704fff,0xff705fff,
    0x13ffe67f,0x0fffffc8,0x55555510,0x5bff7555,0x55555555,0x3fffaa03,
    0x00001cff,0x7fffe440,0x3f200bef,0xfc81ffff,0x8180ffff,0x5fffffe9,
    0x3ffe0310,0x7c003fff,0x000fffff,0xfffffd00,0xffd1001f,0xffffd0ff,
    0x3ffffe0d,0xfffff705,0x41ffff03,0xf901ffff,0x0001ffff,0x0003ff98,
    0xfffff930,0xa800005d,0x1dfffffd,0xfffff700,0xfffff903,0xfb101f01,
    0xfd88dfff,0x7ffec1df,0x7f4006ff,0x4404ffff,0xffffb803,0xfff9005f,
    0xffffd0bf,0x3ffff60d,0xfffff905,0xc8bfff10,0xff902fff,0x80001fff,
    0x00003ff9,0x7ffff5c4,0x710000cf,0x17fffffd,0xffffb800,0x7fff441f,
    0x203f80ff,0x7ec4ffff,0x7fcc6fff,0x2a04ffff,0x3ffffea4,0x005d100f,
    0x03fffff1,0x1fffffa0,0x0ffffff1,0x41bfffe6,0x903ffffc,0x6fe883df,
    0x3fffff20,0x7fcc0000,0x26000003,0x2dfffffd,0xffff9300,0x4c0005bf,
    0x743fffff,0x80ffffff,0xfff901ff,0x7ffffc45,0x7fffec1f,0x0fdc1cff,
    0x3ffffffa,0x9002ec41,0x7c00dfff,0xcadfffff,0x07ffffff,0x203ffff2,
    0x0407fffe,0xfff90020,0x980001ff,0x000003ff,0xffffeb88,0xffea80bf,
    0x0001cfff,0x5fffffd0,0xffffdfd5,0x03ffd03f,0x7cc1dffb,0x442fffff,
    0xffffffff,0xfa83ffef,0xceffffff,0x26000ffe,0x32003fff,0xffffffff,
    0xcfffffdc,0x7fff441e,0x0ffffcc3,0x3f200000,0x0000ffff,0x0001ffcc,
    0x3ff6a000,0xfff12fff,0x00005dff,0xffffff30,0xffff93df,0xfffe819f,
    0x0fffb8ad,0x06ffffd8,0xffffffd1,0x7cc07fff,0xffffffff,0xffd8001f,
    0x3ffe6000,0xff31efff,0x2205ffff,0xfd12effd,0x000003df,0x1fffff90,
    0x3ff98000,0x10000000,0x3e27fff7,0x00001cff,0x7ffff540,0xfffff90d,
    0x7676c3ff,0x01efffff,0x805fffd3,0xcefffffd,0xfffe9801,0x0000cfff,
    0xb50009f5,0xeb817dff,0xfc802eff,0x0dffffff,0xf9000000,0x0001ffff,
    0x0003ff98,0x3da80000,0x000017d1,0x00ab9800,0xba882e00,0x0053000a,
    0x0000bb98,0x0002aee6,0x88000320,0x80008800,0x0000aca8,0xfffc8000,
    0x4c0000ff,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0x4c0000ff,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,
    0x000ee1ff,0x00000266,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe20000,0x05b9dfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff50000,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77fed400,0x0000001c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x55555555,0x55555554,0x2aaa62aa,
    0x2aaaa0aa,0x51aaaaaa,0x4c355555,0x0aaaaaaa,0x002fb6e6,0x2aaaaaaa,
    0xaaaaaaaa,0x2aaaaa22,0x3b6e60aa,0xeca880ac,0x2aa200bd,0x4c0aaaaa,
    0x2a000ceb,0x0198001c,0xc9805e44,0x22164c02,0xeeeeeeee,0xeeeeeeee,
    0x02eeeeee,0xfa80c400,0x3effffff,0x3ffffff2,0x3ff662df,0x3fff20df,
    0x91cfffff,0x4c5dffff,0x2ffffffe,0x7ffffff9,0x7ffffc40,0xffffeeef,
    0x3ff666ff,0xff73ffff,0x4c1dffff,0x2ffffffe,0xfffff910,0x7fffe47f,
    0x0dff1005,0x17ffecc0,0x20ffffd4,0xc80ffffc,0xff10ffff,0xffffffff,
    0xffffffff,0x7e47ffff,0xc881ffff,0xff882eff,0xfa83ffff,0xb00fffff,
    0x3ffa207f,0xefc87fff,0x3ffff600,0xfffffdbf,0xff100fff,0xfff9813b,
    0xffc82fff,0xeefcbfff,0xf35fffff,0xffffffdf,0x7fffe401,0xfffff93f,
    0xfffb001f,0x3fffe007,0x7ffec1ff,0x7ffffc5f,0x7ffffc43,0xffffff13,
    0xffffffff,0xffffffff,0x3ffffd87,0x0fffffb8,0x5fffffa8,0x5fffffd0,
    0xff301b60,0xfd85ffff,0x7fffdc00,0xfff31eff,0x17e20bff,0x5fffffe8,
    0xffffff50,0x7fffe43f,0xff30cfdf,0x7d40bfff,0xffabffff,0x9807ffff,
    0x400fffff,0x5ffffffa,0x33fffffc,0xa8bfffff,0x005fffff,0xffb00000,
    0xffffd0df,0x3fffa07f,0xfffb80ff,0x007f04ff,0x4dfffff9,0xffb801fa,
    0x7ec0ffff,0x3f107fff,0x3ffffee0,0xffff500f,0xfff883ff,0xffe84fff,
    0x3fe606ff,0xc8cfcfff,0xfe804fff,0x5c04ffef,0x47ffffff,0x226fffff,
    0x444fffff,0x004fffff,0x3f600000,0x7fffc1ff,0xfff704ff,0xfffb07ff,
    0x01f30fff,0xffffff10,0x2e009d15,0xc82fffff,0x880fffff,0xfffff106,
    0x7ffd409f,0xffff03ff,0x3fff60df,0x3ffe607f,0x15c45fff,0x7ceffd40,
    0x3fe200ff,0x360fffff,0x7fc4ffff,0xfff82fff,0x000002ff,0x0fffa200,
    0x01fffff9,0x1bffffe2,0xfffffdf1,0x2e005c85,0x6cefffff,0x3fffee00,
    0xffffb82f,0x3f60101f,0x5406ffff,0xf03fffff,0x320dffff,0x300fffff,
    0x03ffffff,0xd87ff400,0x7f5405ff,0x3f20ffef,0x7ff43fff,0xfffd80ff,
    0x0000000f,0x2237f440,0x6c04fffd,0x2e0fffff,0x5fffff9e,0x3fa001fc,
    0x001fffff,0x0bffffee,0x07ffffee,0xfffff980,0x7ffd402f,0xffff03ff,
    0x3fff20df,0xfff300ff,0x5c000fff,0x3ffe24ff,0x8ff51801,0x5c0ffff9,
    0xff707fff,0x7fffc4df,0xffffffff,0xffffffff,0x7f4403ff,0xa800a981,
    0x3a3fffff,0x1fffffd4,0xf50003ea,0x001fffff,0x17ffffdc,0x0fffffdc,
    0xfffffd00,0xffff500b,0x3fffe07f,0xffff906f,0x3ffe601f,0xf10006ff,
    0x6ffb81ff,0x3e17f200,0xfff987ff,0x49fff305,0xfffffff8,0xffffffff,
    0x3fffffff,0x00009880,0x36fffff8,0x3fffee3f,0x2000bb3f,0x04fffffe,
    0x3ffffee0,0xfffffb82,0xffff7001,0xff5001ff,0x3fe07fff,0xff906fff,
    0x3e601fff,0x0005ffff,0x3fa07ffb,0x03ff002f,0x3fe09ffb,0x8bffe02f,
    0xeeeeeee8,0xeeeeeeee,0x2eeeeeee,0x64000000,0x6b9fffff,0x3bffffe2,
    0xf30002f8,0x001fffff,0x0bffffee,0x07ffffee,0x3ffffe20,0xfff5004f,
    0x3ffe07ff,0xfff906ff,0x3fe601ff,0x98003fff,0x3fea06ff,0x705f9807,
    0x3ff605ff,0x003ff600,0xddd00000,0xdddddddd,0x7fcc000d,0x6c3edfff,
    0x07cfffff,0x7fffec00,0xfff7004f,0xfff705ff,0xffb003ff,0x5400dfff,
    0xf03fffff,0x320dffff,0x300fffff,0x007fffff,0xe805ffd0,0x3ba203ff,
    0x201ff300,0x37dc06fb,0x00b332a0,0xffff8640,0x7fffffff,0x7fff4000,
    0x7fd40fff,0x0004ffff,0x7fffffec,0xffffb800,0xffffb82f,0x7ffcc01f,
    0x2a002fff,0xf03fffff,0x320dffff,0x300fffff,0x007fffff,0x9805ffa8,
    0x5e980fff,0x3e606f80,0x8827cc04,0xdffffffd,0x3e1f3002,0xffffffff,
    0x5c0007ff,0xf05fffff,0x005fffff,0x7ffefd40,0xffb805ff,0xffb82fff,
    0x7f401fff,0x0a05ffff,0x0fffffea,0x837ffffc,0x00fffffc,0x07fffff3,
    0x001ffe80,0x2ec89ffb,0x2f809900,0xffd02f80,0xdfffffff,0xff3ec017,
    0xffffffff,0xf88000ff,0xf902ffff,0x4000ffff,0xffff8bf8,0x7fdc01ff,
    0xffb82fff,0x3ee01fff,0x100fffff,0xfffff50b,0x3ffffe07,0xfffff906,
    0x3fffe601,0x3fee003f,0x3ffe2004,0x00000061,0x37fea000,0xfffffcaa,
    0x3f662dff,0x2aaaaaa5,0x002aaaaa,0x07fffe80,0x013fffe6,0x3ff25e80,
    0x7dc06fff,0xfb82ffff,0xf101ffff,0x407fffff,0xffffa85c,0xfffff03f,
    0x3ffff20d,0xffff300f,0x4cc4007f,0x04cc4000,0x00000000,0x6d403f60,
    0xffffffff,0x00000fff,0x3ffee000,0x0ffff404,0x220fc800,0x02ffffff,
    0x0bffffee,0x07fffff2,0x37ffffec,0xff509f50,0x3fe07fff,0xffb06fff,
    0x3ea03fff,0x0003ffff,0x00000000,0x5f800000,0xffffb880,0x0002ffff,
    0x7fc40000,0x37fdc01f,0xd84fb800,0x00ffffff,0x07fffff9,0x05fffff9,
    0x5ffffff3,0x707ff710,0x109fffff,0x20dfffff,0x01fffffd,0x09fffff7,
    0x00000000,0x80000000,0x64c001f8,0x0000cefe,0xffb00000,0x009ff100,
    0xb85ffc98,0x0dffffff,0x7fffff4c,0x3fffe60e,0x7ff40dff,0xcaaaffff,
    0x443ffffd,0x1efffffd,0x7fffffdc,0x7ffffd43,0x7fec40cf,0x0000efff,
    0x00000000,0x00000000,0x00000000,0x004fa800,0x7f4003fb,0xe9beffff,
    0xffffffff,0xfffff73f,0xff53ffff,0x3fffffff,0x3fffffee,0xffffffff,
    0x3ffea2ff,0xd3ffffff,0xffffffff,0x3fffff6f,0xff51ffff,0xdfffffff,
    0x00000000,0x00000000,0x00000000,0x19000000,0x00012600,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_47_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_47_usascii_y[95]={ 37,8,8,8,8,8,8,8,8,8,8,11,30,25,
30,8,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,43,7,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,10,17,17,17,17,17,17,8,8,8,22, };
static unsigned short stb__times_bold_47_usascii_w[95]={ 0,8,17,21,19,38,33,8,13,13,17,24,9,13,
8,12,19,16,19,19,19,19,19,20,19,19,8,9,24,24,24,17,38,31,27,28,29,27,25,32,33,16,21,34,
27,40,30,31,24,31,32,20,26,30,31,43,31,31,28,9,12,9,19,23,10,20,22,17,22,17,17,20,22,12,
13,23,12,34,22,19,22,22,18,15,14,22,21,31,21,21,19,12,3,13,24, };
static unsigned short stb__times_bold_47_usascii_h[95]={ 0,30,15,30,32,31,30,15,38,38,17,24,15,5,
8,30,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,39,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,37,29,30,29,30,30,30,29,29,29,37,30,37,16,4,9,21,30,21,30,21,29,30,29,29,
39,29,29,20,20,21,30,30,20,21,28,21,21,21,20,30,20,38,39,38,8, };
static unsigned short stb__times_bold_47_usascii_s[95]={ 255,246,191,143,165,185,128,182,85,99,238,
16,172,234,245,239,1,238,144,1,224,21,64,107,162,182,130,244,41,209,66,
125,15,192,164,223,89,61,35,79,1,221,165,157,129,88,187,47,119,133,1,
202,216,21,52,84,152,184,192,123,112,113,152,165,234,197,84,139,41,157,34,
218,52,243,1,128,75,98,55,218,24,1,133,114,1,91,175,1,33,224,78,
72,54,58,209, };
static unsigned short stb__times_bold_47_usascii_t[95]={ 1,1,223,41,1,1,72,223,1,1,194,
194,223,233,223,41,72,134,164,103,164,72,72,72,72,72,194,164,194,223,194,
41,1,164,164,72,164,164,164,41,164,134,41,134,134,134,41,41,164,1,134,
72,103,103,103,103,103,103,134,1,41,1,223,34,223,194,72,194,72,194,134,
41,134,103,1,103,134,223,223,194,41,41,223,194,194,194,194,223,223,1,223,
1,1,1,234, };
static unsigned short stb__times_bold_47_usascii_a[95]={ 170,226,377,340,340,679,566,189,
226,226,340,387,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,226,226,387,387,387,340,632,490,453,490,490,453,415,528,
528,264,340,528,453,641,490,528,415,528,490,378,453,490,490,679,
490,490,453,226,189,226,395,340,226,340,378,301,378,301,226,340,
378,189,226,378,189,566,378,340,378,378,301,264,226,378,340,490,
340,340,301,268,150,268,353, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_47_usascii(stb_fontchar font[STB_FONT_times_bold_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_47_usascii_s[i] + stb__times_bold_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_47_usascii_t[i] + stb__times_bold_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_47_usascii_x[i];
            font[i].y0 = stb__times_bold_47_usascii_y[i];
            font[i].x1 = stb__times_bold_47_usascii_x[i] + stb__times_bold_47_usascii_w[i];
            font[i].y1 = stb__times_bold_47_usascii_y[i] + stb__times_bold_47_usascii_h[i];
            font[i].advance_int = (stb__times_bold_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_47_usascii_s[i] + stb__times_bold_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_47_usascii_t[i] + stb__times_bold_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_47_usascii_x[i] + stb__times_bold_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_47_usascii_y[i] + stb__times_bold_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_47_usascii_LINE_SPACING
#endif

