// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT        270
#define STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_48_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_48_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_48_usascii_LINE_SPACING          31

static unsigned int stb__times_bold_48_usascii_pixels[]={
    0x00000600,0x00135310,0x0a855300,0x13100000,0x00042000,0x26620000,
    0x66540000,0x934ccccc,0x09999999,0x80002a80,0x20000099,0x80000aa9,
    0x06200a98,0x0fffae00,0x3bae2000,0xffffffff,0xffc8001c,0x00b7ffa0,
    0x1fff9300,0xd56c8800,0x51000003,0xdfffffb9,0x9880059b,0x77ffffda,
    0x337fffff,0x2bfea200,0x7ff4c001,0x40002efe,0x40005ff8,0x4fffffea,
    0x220027d4,0x001fffff,0x57bffb50,0x372a6213,0x3f2003ef,0x2fff540f,
    0x2effc800,0x20efb800,0x00000dfb,0x5bfffff5,0x3dffffb5,0x3fffe000,
    0x07ffff77,0x7ffff5c0,0x5c02dfff,0xbffd0fff,0x07fec000,0xfffe8800,
    0xc9efe98a,0x7dc004ff,0x4004ffff,0x000cfffb,0x4006fec4,0xffd00ffc,
    0x7fe4001b,0x5fe88007,0x0007ff50,0x17fffec4,0x19ffff50,0x7fffe800,
    0x003ffff7,0xfd17dfd3,0x19ffff93,0x2e4fffa8,0xb8004fff,0xf30002ff,
    0xff983fff,0x4004ffff,0x03fffffb,0x005ffb10,0x805ff500,0xff700ffc,
    0x3fee00bf,0x7f44003f,0x017fd405,0x7ffffd40,0xffffb803,0x3ffa002f,
    0x3ffff77f,0x20effb80,0x3fffa27e,0x31ffff41,0x4003ffff,0x20005ff8,
    0xf906fffe,0x8009ffff,0x00fffff8,0x000efe98,0x807f6200,0xff100ffc,
    0xffd001ff,0xffe8001f,0x01ffd801,0x3ffffea0,0x3fff2004,0xffb001ff,
    0x3fffeeff,0x0bffe201,0x1ffe88fd,0x88bfffee,0x2005ffff,0x90000ffd,
    0x2e07ffff,0x004fffff,0x801dfd98,0x00005ffa,0xffc81ba0,0x5ffff100,
    0x1ffff980,0x017ff600,0x4007ffc4,0x07fffff8,0x6fffff80,0x2ffffb00,
    0x201ffffb,0x3f41fffd,0xff90ffc4,0x7ffc45ff,0x5ff7007f,0x3ffe2000,
    0xfff501ff,0x000009ff,0x0009ff10,0x904f9800,0x3fe601ff,0x7fd404ff,
    0xff9002ff,0x7fec003f,0x7ffec00e,0xfc8004ff,0xd804ffff,0xfff77fff,
    0x7fffc03f,0x1fc83f43,0x88bffffa,0x400fffff,0x20005ff8,0x00fffffa,
    0x09fffff3,0xdfd00000,0x2e000000,0x00ffc80f,0x807ffff5,0x803ffff9,
    0x4006fff8,0x2a04fffa,0x02ffffff,0xfffffa80,0x7ffec01f,0x03ffff77,
    0x83bfffe6,0x7c3f307e,0x3e21ffff,0x6c01ffff,0x320000ff,0x2607ffff,
    0x004fffff,0x07fe4000,0x40006600,0x00ffc83e,0x805ffff7,0x804ffff8,
    0x4003fffc,0x880ffff8,0x07ffffff,0xfffff100,0xfffd80df,0x03ffff77,
    0x3bffffe6,0xd0640fd0,0x7c45ffff,0x7dc07fff,0x7ec0002f,0x3e607fff,
    0x9004ffff,0x5ddddddd,0x4005ff50,0xc88efffa,0x0d505ecc,0x3f601ff9,
    0xff800fff,0x7fc406ff,0xfe8001ff,0xfffa83ff,0x20005fff,0x1ffffffe,
    0x5dffff60,0xf101ffff,0xd3ffffff,0x7ffe400f,0x3fffe62f,0x017fe206,
    0x3ffffe00,0x3fffe606,0xff71004f,0xfd07ffff,0x77fe400b,0xffffacca,
    0xfc83f305,0xffffd00f,0x1ffff600,0x01ffff90,0x0ffff900,0x9ffffff7,
    0x7ffec000,0x3f603fff,0xffff77ff,0x7ffff403,0x2007ffff,0x262ffffb,
    0x3604ffff,0x4c0000ff,0x206fffff,0x04fffff9,0x7ffffe40,0x400ffcc3,
    0x3e26ffe8,0x103ffffd,0x00ffc85f,0x200dffff,0x100ffffc,0x000dffff,
    0xb0ffffee,0x09ffffff,0x7fffec00,0x3ff604ff,0x3ffff77f,0x7ffffcc0,
    0x2002ffff,0x3ea3fffe,0xff700fff,0xff300005,0x7cc0dfff,0x4004ffff,
    0x43fffffa,0xfe8806fc,0x7fff41ff,0x90fa00ff,0x3ffa01ff,0xfff7005f,
    0x7fffd40d,0xfff30005,0xffffe8df,0x320003ff,0x05ffffff,0x7ddffff6,
    0x7e401fff,0xffffffff,0xbfff3004,0x8817ffdc,0x100005ff,0x40ffffff,
    0x04fffff9,0x7ffffd40,0x6c01ffc3,0xffe84fff,0x226c06ff,0xff700ffc,
    0x3fea009f,0x3fff204f,0xff10004f,0x7ffc4fff,0x0002ffff,0x3fffffee,
    0x5ffff607,0x801ffffb,0xfffffffb,0xe9801eff,0x2fff8aff,0x0003ff60,
    0x7fffff80,0x3ffffe60,0x7ffd4004,0x03fea3ff,0x01ffff70,0x809fffff,
    0x807fe44c,0xb006fff9,0x7ec03fff,0x10004fff,0x261fffff,0x2fffffff,
    0x3ffee000,0xfb00ffff,0x3ffeefff,0xfff5001f,0x7fffffff,0xbfdb7100,
    0x17fd4017,0xfe800440,0xf300ffff,0x8009ffff,0x23fffffa,0x7fc405fb,
    0xfff985ff,0x21ec01ff,0x3ea00ffc,0x7fc400ff,0x7fff403f,0xff10004f,
    0x3fe23fff,0x002fffff,0x3ffffee0,0x3fff607f,0x03ffff77,0x7fffec40,
    0x004fffff,0x05ff8800,0x37fffb22,0x3fffea01,0xffff303f,0xffa8009f,
    0x13f23fff,0x05ffff90,0x00fffff5,0x00ffc85d,0x32027fdc,0xfff803ff,
    0xf10003ff,0x7fc5ffff,0x003fffff,0x3fffff20,0x3fff606f,0x03ffff77,
    0xfffff700,0x0009ffff,0x500ffd80,0x3ffa5fff,0x3ffffe04,0xfffffb06,
    0xfffa8009,0x80ff63ff,0x80fffff8,0x805ffffc,0x007fe41f,0x705fff4c,
    0xf1005bff,0x0007ffff,0xd1fffffc,0x09ffffff,0x7fffe400,0x3ff605ff,
    0x3ffff77f,0x3ffe2000,0x01ffffff,0x05ff5000,0xfa9bffe6,0xfff504ff,
    0x3fa63bff,0x004fffff,0x1fffffd4,0x7fdc05fd,0xfff885ff,0x43cc03ff,
    0x26000ffc,0x01bf74fc,0x7ffffcc0,0x3ffe0003,0x3fff64ff,0x20005fff,
    0x4ffffffd,0x5dffff60,0x0001ffff,0x3ffffffa,0x880005ff,0x3ffa05ff,
    0x3fffe24f,0xfffff501,0xfff5dfdf,0xfa8009ff,0x3fe3ffff,0x3ffffe01,
    0xfffffb82,0x7e426400,0xdfb5000f,0x00fbfa65,0x1fffffc4,0xfffff000,
    0x7ffffdc9,0x3fa0006f,0x202fffff,0xff77fffd,0x740003ff,0xffffffaf,
    0xffd80007,0x7ffff500,0x206ffff8,0x4fffffea,0x09fffff3,0xfffffa80,
    0x7c407fe3,0xff80ffff,0x1e806fff,0x4400ffc8,0xfd503ffe,0xffff003f,
    0x7fc0007f,0x3fe23fff,0x0006ffff,0x1bfffffe,0x2effffb0,0x0001ffff,
    0x7fffd5fa,0x2a0000ff,0x3ff203ff,0x7fffc3ff,0x41ba8807,0x04fffff9,
    0x7ffffd40,0x7cc0bfa3,0xffa87fff,0x35404fff,0x2200ffc8,0x7c402ffe,
    0x7ff401ff,0xf10003ff,0xfc85ffff,0x000fffff,0xffffff88,0xbfffec02,
    0x201ffffb,0xfa9fa00c,0x0001ffff,0xfd80bff1,0x7ffc3fff,0x260000ff,
    0x004fffff,0x1fffffd4,0x3fee07fd,0x7ff4c6ff,0x3e201fff,0x401ff902,
    0xfd007ffe,0x7fec01ff,0xf10004ff,0xf883ffff,0x004fffff,0x6fffffc8,
    0x77fffd80,0x7403ffff,0xfff1fa03,0x360001ff,0x7ff400ff,0x7fffc3ff,
    0x3e60001f,0x4004ffff,0x23fffffa,0xfff905fd,0x7fdf44df,0x026407ff,
    0x3ea01ff9,0xff7004ff,0x7ffe409f,0xff10004f,0xff701fff,0x8800ffff,
    0x01ffffff,0xf77fffd8,0x37403fff,0xfffc8fd0,0x7ff50006,0x7ffffb00,
    0x00fffff8,0x3fffe600,0x7fd4004f,0x1bee3fff,0x4fffffe4,0xffff9dd8,
    0xc803b206,0xfff900ff,0x3ffee009,0x3fffee06,0xfff30005,0x7ffec0ff,
    0x3ee003ff,0xb004ffff,0x3feeffff,0x07fa01ff,0x3fff23f4,0x5ff88004,
    0x7ffff700,0x007ffff8,0x7ffffcc0,0x7ffd4004,0x41fe63ff,0xfffffffc,
    0x4ffff98f,0x21503d90,0xffd00ffc,0x3ff200bf,0xfff100ff,0x3ea000df,
    0x7e404fff,0x8800efff,0x003fffff,0x7ddffff6,0x3fa01fff,0x7fc7e80e,
    0xfd8000ef,0xfff5000f,0x7fffc47f,0x7fcc0005,0x54005fff,0x743fffff,
    0xffffa81f,0x3ffa1fff,0x40774c6f,0x403ff25b,0xb006fffe,0xfd80ffff,
    0xf90007ff,0xf7001fff,0x4401dfff,0x002ffffe,0xfbbfffec,0x3fa01fff,
    0xf73f40ef,0xf50005ff,0xffd8007f,0x3fffe64f,0x7fd40001,0x54005fff,
    0x5c3fffff,0xffffd03f,0xffffb81d,0xf103fece,0xd807fe43,0xfd007fff,
    0xff980dff,0xfd8000ff,0x36a005ff,0x261bffff,0x01effffb,0x77fffd80,
    0x7403ffff,0xe8acffff,0x01effe9f,0x005ff880,0x2e6fff88,0x80004fff,
    0x0ffffffc,0x3fffea00,0x80ffc43f,0xd500ceea,0xc8059dff,0xc807fe44,
    0x4401ffff,0xd805ffff,0xe8002fff,0x88001fff,0xfffffffc,0x0001cfff,
    0x7ddffff6,0x2e201fff,0xfffffffd,0x20004eff,0x30000ffd,0xfff17ffd,
    0x76440007,0xffffffff,0xfffa800d,0x06fb83ff,0xf8800000,0xa807fe40,
    0x4c02ffff,0x9804ffff,0x4c005fff,0x80005fff,0x6ffffffc,0xfffb0000,
    0x07fffeef,0xffcaa980,0x7d40000a,0x6440003f,0x001dfffe,0x99999980,
    0x50019999,0x207fffff,0x000003fe,0x3f20f620,0xffff300f,0xffffa807,
    0x1fffd002,0x0fffe400,0x7ffc4000,0x0002ffff,0xf77fffd8,0x40003fff,
    0x3100007e,0x01000003,0x00000000,0x2fffff98,0x0001ff10,0x20bd1000,
    0xff100ffc,0xffa807ff,0xfd1001ff,0x3fe2005f,0x2a00003f,0x06ffffff,
    0x7fffe800,0x003ffff7,0x00003f40,0x00000000,0x54000000,0x3ffffe62,
    0x003be602,0x04e88000,0xff803ff2,0xfff800ff,0x3fe2000f,0x09ff9007,
    0xfffb0000,0x8000bfff,0xff77fffe,0x000003ff,0x00000000,0x00000000,
    0xf12ffd80,0xa803ffff,0x800002ff,0x7fe404e8,0x0dfff300,0x00bfff60,
    0x8807ff30,0x000004ff,0x3ffffff2,0xfff0000d,0x3fffeeff,0x00000002,
    0x00000000,0x20000000,0x3fe4fff8,0xfd1005ff,0x9100001b,0x1ff9007f,
    0x007fff20,0x002fffcc,0xe8817fd4,0x8000005f,0xfffffffb,0x200989ad,
    0xf77ffffb,0x0001dfff,0x00000000,0x00000000,0x27ff4000,0x4001ffff,
    0x0002ffc8,0x2003bf91,0xffb80ffc,0x7f44001f,0x6cc000bf,0x01ff4c4f,
    0xf9100000,0xffffffff,0xfffeb8bf,0xfff77fff,0x000dffff,0x00000000,
    0x00000000,0x1dff5000,0x0007fff7,0x2b37ff22,0x7edd4c41,0x7fe4001d,
    0x073ffee0,0x7ffec400,0xaf54000c,0x00000cf9,0xd9751000,0x0003579b,
    0x00000000,0x00000000,0x00000000,0xdfffff70,0xb5100005,0xfffdffff,
    0x200019bd,0x2b360ffc,0x2e600000,0x2650001d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x000009a9,0x026a6620,0x02a98000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00351000,0x99800188,0x00026600,
    0x0004cc40,0x00098000,0x0a988000,0x04c00500,0x09a98000,0x54400000,
    0x0028009a,0x372ea000,0x1acdefff,0x77774400,0xfb70eeee,0x44019fff,
    0x3002effd,0x3fe607ff,0x3f620003,0x003fffff,0x7fedc400,0x00000cff,
    0xfffffd71,0x798157bf,0x7ffff540,0x7f54000d,0x01dfffff,0x7f65cc00,
    0xbdffffff,0x00003540,0x6fffff54,0xeffffdaa,0x3ff26001,0xffc8ffff,
    0x206fffff,0x00fffffc,0xf702ffb8,0x3ee0005f,0xffffecff,0xfc80000e,
    0xfffeaaef,0x3f260004,0xccdeffff,0xeabdfffe,0x39ffb107,0x3007ffd7,
    0xffd539fd,0x8001bfff,0xceffffc8,0xfffdcaab,0x0006ebbd,0x3ffff620,
    0x3fffea02,0x7fffc004,0xfdacfcff,0xff04ffff,0x9007ffff,0x3ff201ff,
    0x6ffc8000,0x02ffffdc,0x83fff600,0x005ffff9,0xefffffb8,0x3fffea02,
    0x8fffb07f,0x2203fff9,0xfffa85fe,0x3ea005ff,0x4403ffff,0x06fffffd,
    0xffff5000,0xfff3007f,0x3fa005df,0x542fffff,0x4c2fffff,0x05ffffff,
    0x3fa07fe8,0xfff98007,0x0ffffd84,0xbfff9000,0x09ffff90,0x3ffff620,
    0x3ff2003f,0x4fffc87f,0xb02fffe8,0x3ff60dff,0x6c403fff,0x000effff,
    0x01bfffe6,0x3fffea00,0x3fee004f,0xfe801fff,0xfd04ffff,0x7c41ffff,
    0x804fffff,0x17fe05ff,0x0bfffa00,0x00bfffe6,0x13fffe60,0x07ffffe6,
    0x3fffffa0,0x7ffc8002,0x40ffffcc,0xff06fffd,0xfff503ff,0x7f440dff,
    0x8000ffff,0x0006fff9,0x3fffffc4,0x7ffffc00,0xffffe806,0xffff700f,
    0xfffff85f,0x1ffcc03f,0x4003ff98,0x883ffff8,0x8001ffff,0xf03ffffc,
    0xd80dffff,0x004fffff,0xffb1ff60,0xfff901ff,0xffff985f,0xfffff984,
    0x3ffff207,0x3e60002f,0x7ec0006f,0x8004ffff,0x04fffffb,0x07fffff4,
    0x4fffff98,0x0ffffff4,0x540bfee0,0x7d4002ff,0xfff04fff,0x3ffa000f,
    0xffff03ff,0x3fee03ff,0x0000ffff,0xfff89fe2,0xfffb80ff,0x7fffc45f,
    0xfffff986,0xffffa80f,0xfb80007f,0x3fea0006,0x8002ffff,0x1ffffff9,
    0x3fffffa0,0xfffff300,0xfffffc8b,0x807fe400,0x5c000ffc,0xfa87ffff,
    0xff0003ff,0x3fa07fff,0xf883ffff,0x004fffff,0x3fea7d80,0xffb80fff,
    0xfffd87ff,0xfffff983,0xfffff886,0xdf00004f,0x3ffe2000,0x10007fff,
    0x0dffffff,0x07fffff4,0x7fffff88,0x237fffdc,0xffe99999,0xfe999999,
    0xf500099f,0xfc85ffff,0xff30005f,0x3f609fff,0xfc86ffff,0x001fffff,
    0x3ff27a80,0xfff707ff,0xbec883ff,0xfffffa80,0xfffffd84,0xd700001f,
    0x3ffea000,0x20005fff,0x1ffffffe,0x1fffffd0,0x3ffffe20,0x3fffe60f,
    0x3ffffe24,0xffffffff,0x05ffffff,0xbfffff30,0x0001ffe4,0x09fffff7,
    0x1bfffff2,0xfffffff1,0xfd1c0000,0x3ee0ffff,0x8003ffff,0x41fffffb,
    0xfffffff8,0x01600000,0x7ffffdc0,0x3f60004f,0xd02fffff,0x401fffff,
    0x40ffffff,0x3e22ffff,0xffffffff,0xffffffff,0xff1005ff,0xbff9ffff,
    0xffb80003,0xff705fff,0xffb8ffff,0x0005ffff,0xfffff880,0xfffff707,
    0xfffd000b,0xffff50bf,0x00000fff,0x3fff6000,0x20004fff,0x4ffffffc,
    0x1fffffd0,0x3fffffc0,0x9107ffec,0x9bffd999,0xbffd9999,0x7f400799,
    0x00cfffff,0x33333331,0x7fffd413,0xffff505f,0x7ffec1ff,0x00004fff,
    0x7fffff88,0xdfffff70,0xffffa800,0xfffff905,0x000000df,0x3ffffa00,
    0x320003ff,0x05ffffff,0x01fffffd,0x17ffffe2,0x3201bfee,0x1ff900ff,
    0x3fff2000,0x3e602fff,0x2fffffff,0x1fffffe6,0x3fffffd4,0x3ffffffe,
    0xf9800003,0xf707ffff,0x800dffff,0x3604fffd,0x05ffffff,0x88000000,
    0x3fffffff,0x3fff2000,0xffd07fff,0x3e601fff,0xf984ffff,0x07fe804f,
    0x26001ffa,0xfffffffd,0x7ffe400f,0xffff80af,0xfffa82ff,0x7fffc6ff,
    0x00002fff,0x7fffff98,0xffffff70,0x17ffcc00,0x3fffffe0,0x0000004f,
    0xfffff980,0x2e0002ff,0x0fffffff,0x0fffffe8,0x5fffff30,0xf007ff10,
    0x02ffc0bf,0xf97ffb10,0x80bfffff,0x2e02fff8,0xb85fffff,0x225fffff,
    0x2fffffff,0xffa80000,0xff707fff,0x6400ffff,0x7fc400ef,0x003fffff,
    0xf8800000,0x02ffffff,0x3fffee00,0xfffd07ff,0x3fee01ff,0x5ff01fff,
    0x304ff980,0x3ea007ff,0xffff11ef,0x7c405fff,0xfffe804f,0x7ffe43ff,
    0x3ffe64ff,0x0003ffff,0xfffffa80,0xfffff707,0x017e200f,0x7fffffc4,
    0x0000003f,0xffffff00,0x7e40007f,0xd06fffff,0x20bfffff,0x205ffffe,
    0x7fdc00fd,0x003ff502,0xfa87fff9,0x01ffffff,0xd3001ff5,0xfbdfffff,
    0x45ffffff,0xfffffff8,0xf9800004,0xf707ffff,0x200dffff,0xff1000fa,
    0x007fffff,0x3a000000,0x04ffffff,0x3ffff200,0xfffd05ff,0x7dc1bfff,
    0x3200ffff,0xffb33307,0xfb333335,0xb813333f,0xfe80ffff,0x80efffff,
    0x362002fc,0xfdffffff,0xff87ffff,0x005fffff,0xffff8800,0xffff707f,
    0x01ae009f,0xfffffff0,0x3ffae007,0xffffffff,0xffb001ef,0x000bffff,
    0x7fffffec,0xfffffd04,0xfffdbff7,0x86a803ff,0xfffffff8,0xffffffff,
    0x3e25ffff,0xff306fff,0x98dfffff,0x9510004f,0xffff3179,0xffffd09f,
    0x00000dff,0x41fffffe,0x03fffffb,0xfe800970,0x004fffff,0x7ffffec4,
    0x5c000dff,0x05ffffff,0x3ffff600,0xfffd02ff,0xfffd31ff,0x710039ff,
    0xffffff10,0xffffffff,0x6cbfffff,0x900fffff,0xbfffffff,0x00001ba2,
    0x07fffff2,0x3ffffff2,0xfd000007,0x3ee0ffff,0x5002ffff,0xfffb8003,
    0x88006fff,0x0fffffff,0xffff8800,0x3e0006ff,0x206fffff,0x20fffffe,
    0x00001ba8,0x9dffb991,0xbffb9999,0x7f479999,0x3602ffff,0xcfffffff,
    0x800001fd,0x105fffff,0x1fffffff,0xffb00000,0x3fee0fff,0x00001fff,
    0x3ffffe20,0xfff0007f,0x4000ffff,0x0ffffffc,0xffff9800,0x3ffa02ff,
    0x00000fff,0x40bfee00,0x3e202ffb,0x205fffff,0xffffffe8,0x800004ff,
    0x00fffffa,0x3ffffff6,0xfb800002,0xff707fff,0x00001fff,0xfffffd80,
    0xfff8001f,0x20006fff,0x4ffffff8,0xffffb800,0x7fff406f,0x200000ff,
    0x807fe400,0x3e600ffc,0x01ffffff,0x3fffffe2,0x800004ff,0x401ffffd,
    0x6ffffffa,0x7c410000,0xfb80ffff,0x22006fff,0xfff88000,0xf8004fff,
    0x006fffff,0x7ffffdc0,0xfffe8007,0x7ff402ff,0x40000fff,0xd02dffc8,
    0x03ff40ff,0x7ffffffc,0x3ffe600f,0x00dfffff,0xfffc8007,0xfff9004f,
    0x80003fff,0x7fffec3c,0x3ffffb80,0x0cffc880,0x7fffcc00,0x7fc000ff,
    0x0006ffff,0x2fffffe8,0x3fffea00,0xfffe804f,0x5c0000ff,0xff07ffff,
    0x017fe20b,0x3ffffffa,0x3fea00ef,0x2effffff,0xff9002ec,0xfe8007ff,
    0x000effff,0xffa85f90,0xfffc81ff,0xffff9006,0xfff7000b,0xff8007ff,
    0x0006ffff,0x0dffffb0,0x3ffffa20,0xffffd004,0xfe80001f,0x7cc2ffff,
    0x07ff303f,0xffffff50,0xda817dff,0xffffffff,0x00ffdfff,0x05ffff90,
    0xffffd100,0xfd8800df,0x07fffd03,0x1005fffb,0x01ffffff,0xfffff900,
    0x7fffc005,0x200006ff,0x00effffd,0x13ffffa2,0xfffffe80,0x7ffc0001,
    0x7fdc3fff,0x005ff701,0x3ffffff2,0xfeddffff,0xfffffbdf,0x03ffffff,
    0x0efffc88,0x7ffe4000,0x5cc02eff,0x3fa201ff,0x2fffc46f,0xfffff980,
    0xfd30001f,0x3e007fff,0x006fffff,0x7fff5400,0xffb511be,0x4c003dff,
    0x03ffffff,0x7fffe400,0x807fe40f,0x36000ffc,0xffffffff,0x261dffff,
    0xfffffffe,0x7fe4c04f,0x200001df,0xeffffffa,0xfffdbabc,0xffe8800d,
    0x04ffd98b,0x37ffff40,0x7ffdc000,0x2a209bff,0x1cfffffc,0xfb700000,
    0xffffffff,0x6c4005bf,0xffffffff,0xfd10004d,0x0dfd07ff,0x4c003ff4,
    0xfffffffe,0x3ff201df,0x7103efff,0x0017dffd,0x7fe4c000,0xffffffff,
    0x7e44003e,0x003effff,0x02ffff98,0xfff91000,0xffffffff,0x000039ff,
    0x65d54400,0x0000aabc,0x33333333,0x98000333,0x4059900b,0x260003cc,
    0x001abcba,0x5006ee62,0x00000135,0x332ea600,0x80000aac,0x80000bb9,
    0x2000002a,0xaccccba9,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00004cc4,
    0x2201a988,0x22a98000,0x000001aa,0x00000033,0x02200098,0x66640000,
    0x002ccccc,0x2e026a60,0xeeeeeeee,0x77774c5e,0x220001ee,0x00310019,
    0xcccccca8,0x03cccccc,0x7ffffec4,0xccccccde,0xfffd9103,0x02c85bff,
    0x3f66fd80,0x3ae00007,0x002effff,0x77f6d400,0x3fb2200c,0x001defff,
    0xffff7300,0xeb800bff,0x21dfffff,0xffffffd8,0xffc980bf,0x7f40002e,
    0x3ff2201f,0xfffd002e,0xffffffff,0x7ffdc09f,0xffffb8bf,0xfa86ffff,
    0xfcb9acff,0x002fbcff,0xff527fc4,0xffa80003,0x5fffffff,0x7fe44000,
    0x7e4401cf,0xffdaaeff,0x700000df,0x00bfffff,0x7dd3ffa6,0xfffd86ff,
    0x7fc407ff,0x7fe40001,0x3ffee01f,0xfff8806f,0xffffffff,0xfff900ff,
    0xffffa85f,0x7fdc4eee,0xfff9100f,0xffa8005f,0x0013fe21,0xffffffa8,
    0x004fffff,0x0dfffd88,0x3fffe880,0x00ffffa8,0xffff9800,0xfff8805f,
    0x7ffff71f,0xffffff88,0x0017e201,0x03ffff50,0x17fffff4,0x3ffffee0,
    0x5fffffff,0x0fffff50,0x209ffff1,0xa804fff9,0x6c002fff,0x006fd87f,
    0xffffff30,0x3fffffff,0x7fff4c00,0x3fff6003,0xbfffd00f,0xfff30000,
    0xffd00bff,0x3ffee1ff,0xffffc81f,0x007ea04f,0xfffff880,0x3ffff601,
    0x7fff401f,0xffffffff,0xffffd02f,0x3ffffa0b,0x00fffe82,0x8007ff70,
    0x1ffb84ff,0x11bfe800,0xfffffff5,0x3ffee007,0x3fea004f,0x3fee05ff,
    0x4c0001ff,0x405fffff,0x20fffff9,0xff103efd,0x3201ffff,0x7ff40006,
    0x3ea01fff,0x7cc06fff,0xeeeeeeee,0xff105eee,0x3f60bfff,0x7fcc4fff,
    0x1fec007f,0x105ff500,0xfb8007ff,0xfffff100,0xfff900bf,0xffc8009f,
    0x3fea07ff,0x4c0003ff,0x405fffff,0x00fffffb,0xfffffd80,0x40007f03,
    0x1ffffffc,0x0067f5c0,0x20000bf2,0x04fffff9,0xb8dffffb,0x2001ffff,
    0x3f2003f8,0x001bfa07,0xfffd801d,0x7fd404ff,0xfe8004ff,0xf501ffff,
    0x80009fff,0x05fffff9,0x07ffffec,0x7fffcc00,0x000fa86f,0xffffff30,
    0xe800003f,0xff100007,0x3f209fff,0x7fe46fff,0x3a000eff,0x817fe003,
    0x00000ffb,0x17ffffcc,0x1fffff10,0xffffd000,0x3ffea09f,0x3066002f,
    0x80bfffff,0x00fffffd,0xfffffd00,0x10005d85,0xfffff9df,0x7cc00003,
    0xfd00001d,0x3f609fff,0x7fe43fff,0x7000efff,0x0bfe6007,0x0003ff88,
    0x07ffff80,0x02ffffec,0xfffffc80,0x7fffc82f,0xffffca80,0xfffff98d,
    0x7fffec05,0xff50000f,0x17c4dfff,0xfb9fd800,0x0001ffff,0x3bffff20,
    0x5c000acd,0xfd05ffff,0xffa83fff,0x00cfffff,0xffc80044,0x002ff400,
    0x3fffe600,0x3fffea01,0xff50002f,0xd83fffff,0x36204fff,0xefeeffff,
    0x85fffffa,0xfffffeeb,0xf8006eef,0xf71fffff,0x5cfee000,0x441fffff,
    0xeeeeeeee,0xffffff00,0x4007ffff,0x887ffff8,0xf886ffff,0xffffffff,
    0xbfd00003,0x001ff900,0x0f7fe400,0x9fffff60,0xff100098,0x27ffffff,
    0x200dfff9,0x263ffffe,0x5ffffffe,0xffffffc8,0x8007ffff,0xd5fffffb,
    0x4bf30009,0x81fffffb,0xffffffc9,0xfffffa80,0x2fffffff,0x5ffff300,
    0x00dfffb8,0xfffffffb,0x40007fff,0xf9803ff9,0xf500002f,0xff8805ff,
    0xfffcdfff,0x7dc00dff,0xdfffffff,0x7dc03ffd,0xff986fff,0x9885ffff,
    0x9fffffd9,0xff880019,0x01faffff,0xf707f440,0x7c03ffff,0xd80fffff,
    0xffffffff,0x00efffff,0xadfffd88,0x4403fffe,0xfffffffe,0x8001efff,
    0xff000ffb,0xff50000b,0x7dc07fff,0xffffffff,0x402fffff,0xfffffffd,
    0x7c401fff,0xf502ffff,0xd80bffff,0x000fffff,0x7ffffe40,0x2fd8006f,
    0x0fffffdc,0x1fffffd0,0xfffffff0,0xffffffff,0x7ffd400b,0x3000bdff,
    0xffffffff,0x001bffff,0xf90037f4,0x3ae2000f,0x4fffffff,0x9fffffd0,
    0x3ffffa63,0x7ffe402f,0x04ffffff,0x07ffffd4,0x5fffff98,0x7ffffec0,
    0x7fcc0000,0x4003ffff,0xfffb84fb,0x3ff601ff,0x774c0fff,0xfffffffe,
    0x03ffffff,0x00002ec8,0xfffffff3,0x03dfffff,0x4007ff10,0xa8002ffa,
    0xffffffff,0xffff86ff,0x7ffc40ff,0xffb806ff,0xdfffffff,0xfffff900,
    0x7ffffcc0,0x7fffec05,0xfd80000f,0x2000ffff,0xfff706f9,0x7fec03ff,
    0x98800fff,0xffffffeb,0xfd300fff,0xd8800007,0xffffffff,0x5c01ffff,
    0x7fc001ff,0x3f6a0004,0x2fffffff,0x3fffffe2,0xfffffd80,0x7fffd403,
    0x05ffffff,0x40fffffb,0x05fffff9,0x07ffffec,0x7ffd4000,0x07f4004f,
    0x1fffffb8,0x3fffff60,0xffc98000,0xd02fffff,0x000007ff,0x3fffffaa,
    0x407fffff,0xfd8006fd,0xffb80007,0x266fffff,0x707fffff,0x20dfffff,
    0xffdcffe9,0x84ffffff,0x206fffff,0x05fffff9,0x07ffffec,0xfffe8000,
    0x80bf2001,0x01fffffb,0x03fffff6,0xfffe8800,0xfff984ff,0x999999be,
    0x7f540000,0xffffffff,0x009ff103,0x0003ff50,0xffffff30,0x7ffffd4f,
    0xfffff107,0x4dfff30f,0xfffffffc,0x3fffe20f,0x3ffe606f,0x7fec05ff,
    0x00000fff,0x5400dff7,0x7ffdc05f,0x3ff601ff,0x40000fff,0x86ffffe8,
    0xfffffffc,0xceffffff,0xffb80041,0x07ffffff,0x10003ff5,0x200009ff,
    0x0ffffffa,0x0ffffff3,0x07fffffc,0xb89ffff3,0x2fffffff,0x1bffffe6,
    0x5fffff98,0x7ffffec0,0xff100000,0x777f4007,0xfeeeeeee,0x85eeffff,
    0x00fffffd,0xfffe8800,0xfffffa87,0xffffffff,0x00762fff,0xffffffc8,
    0x007fd80f,0x0001bf60,0x47ffffd8,0x00ffffff,0x43ffffff,0xb81ffffd,
    0x24ffffff,0x07fffff9,0x17ffffe6,0x1fffffb0,0x07e40000,0xfffffd00,
    0xffffffff,0xfb0dffff,0x0001ffff,0x21bffea0,0xfffffff8,0xffffffff,
    0x8009b1ff,0x1ffffffa,0x20004ff8,0x00001ffb,0xe8dffff1,0xd01fffff,
    0x7c4fffff,0xfb00ffff,0x7c4dffff,0x2607ffff,0x405fffff,0x00fffffd,
    0x00176000,0xfffffffd,0xffffffff,0xfffb0dff,0x200001ff,0xd304fff8,
    0xffffffff,0x7fffffff,0x3ea001b6,0x7d41ffff,0x3e20002f,0x3e00003f,
    0x7fe44fff,0xffd02fff,0x7ffd4dff,0x3ffea07f,0x3ffe0fff,0xff300fff,
    0xfd80bfff,0x0000ffff,0xe8003f10,0xffffffff,0xffffffff,0xffffd86f,
    0x3a00000f,0x3fea01ff,0xffffffff,0xfb5fffff,0xfffd0003,0x000ff90f,
    0x0000dfd0,0x2e1fffec,0xb03fffff,0x7d49ffff,0x3e207fff,0x7ec6ffff,
    0xf302ffff,0xd80bffff,0x000fffff,0x0d70336a,0x99999700,0xfffd9999,
    0xfb079bff,0x0001ffff,0xe9837f40,0xfd9802ff,0x00dfb5ff,0xf0dfff90,
    0xf70000bf,0x3600001f,0x7fcc0fff,0xffd04fff,0x7ffcc5ff,0x7ffec07f,
    0x7fffcc5f,0xffff705f,0xfffd80bf,0xff3000ff,0x0003e8bf,0x3fffee00,
    0x3fff601f,0xdffb80ff,0x02ff9801,0xd8009fff,0x09ffb2ff,0x43fffc80,
    0x80002ff9,0xfea83ff8,0x1fff800c,0x0dffffb0,0xf03ffffa,0x6c03ffff,
    0xfe83ffff,0x7cc1ffff,0x406fffff,0x00fffffd,0x21ffff90,0x4000006a,
    0x01fffffb,0x03fffff6,0x09fffff1,0xff304fc8,0x7fd8007f,0x800bfff6,
    0xffc85ffe,0xbfd00000,0x01dffff0,0xf1027fd4,0xff01ffff,0xfff909ff,
    0x3ffe205f,0xffff305f,0xfdf711df,0x403fffff,0x00fffffd,0x33ffff70,
    0x8000005f,0x01fffffb,0x07fffff6,0xfffffff3,0x405fc885,0x7000fffe,
    0x7ffec5ff,0xeffc804f,0x0005fe80,0xf883ff20,0x883fffff,0xffb805fe,
    0x7ffcc4ff,0x3bfffa06,0x0ffffa80,0x3ffffe60,0xfff9cfff,0xe80effff,
    0x001fffff,0xbffffff1,0xf7000000,0x7403ffff,0xc82fffff,0xefffffff,
    0x9802ffdc,0x99acfffe,0x0efeb999,0x77ffffec,0x6ffecc0a,0x003ff980,
    0x90bfe600,0x7dffffff,0x4005ffb5,0xd32ffffa,0x74401bff,0xf710dfff,
    0xd3003dff,0x269fffff,0x09bcefff,0xffffff98,0x3ff6a004,0x0000004f,
    0x03fffff7,0x3fffffea,0xffffc80d,0x00beffff,0x7fffecc0,0x02cdefff,
    0x3ff263db,0x2efffeff,0x0003fee0,0xc88bff00,0xffffffff,0xf930004f,
    0x05bffdff,0x77fffd40,0x8002ffff,0x2e20aca8,0xffffb801,0x06ffffff,
    0x00000620,0xfffff700,0xfffff883,0x303fffff,0x00155975,0x00d4c400,
    0x32e60170,0xcb801abc,0xca800003,0x59955104,0x22000013,0x40001bba,
    0x009acba9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000062,0xcc800004,0x00cccccc,0x33332a00,0x3ccccccc,
    0x33333326,0x1ccccccc,0x99999930,0x64030009,0xcccccccc,0x983ccccc,
    0xcccccccc,0x9999952c,0x99999999,0xccccca80,0x65c03ccc,0xcccccccc,
    0x541ccccc,0xcccccccc,0xcccccccc,0xb3001881,0x017bffff,0x00b60000,
    0x3fff2600,0x20000fff,0xffffffc8,0x2620aeff,0xfffffffb,0x51009aef,
    0x003bfff9,0x98807f54,0xfffffffb,0x2a601adf,0x21befffd,0xffffffc8,
    0x4009bfff,0xffffea98,0xfda8801e,0xcfffffff,0xffffd809,0xffffffff,
    0x3221ffff,0x3f202eff,0xffffffff,0x7cc00001,0x3fa00005,0x0000ffff,
    0xffffffa8,0x7ffd402f,0x4003ffff,0xf71005fe,0xf9001fff,0x00dfffff,
    0x4403ffd0,0x5fffffff,0x7fff1000,0x3fffa000,0x7fc05fff,0xffffffff,
    0x46ffffff,0x80fffffc,0xfffffffc,0x0001ffff,0x0007ff20,0x7fffff40,
    0xffd00000,0xb007ffff,0x09ffffff,0x4401fd80,0x0ffffffc,0xfffffa80,
    0x5fb8005f,0xfffffb80,0x3fa0006f,0x3ff20004,0x2603ffff,0xffffffff,
    0xffffffff,0x3ffffe24,0x7fffdc3f,0xffffffff,0xf880000f,0xb00004ff,
    0x001fffff,0x3fffea00,0xff9806ff,0x4007ffff,0x3ff2606e,0x00ffffff,
    0xffffff98,0x04fa8004,0xffffff88,0x1ff0001f,0x7ffdc000,0x3ea02fff,
    0xffffffff,0x1fffffff,0x3fffffe2,0x37fffe23,0xfffffffe,0xfb80003f,
    0x80000fff,0x00fffffd,0x3fffe000,0xfe800fff,0x002fffff,0x37f607f3,
    0xfffffffe,0xffff9800,0xf98004ff,0xffff9003,0xf50009ff,0xffb80007,
    0x3202ffff,0xffffffff,0x6fffffff,0x0fffffd8,0xfd3073ee,0x00dfffff,
    0x7fffff00,0xfffb0000,0x400001ff,0x4ffffffc,0xfffffb80,0x01f9005f,
    0xfffff702,0xfff3001f,0x30009fff,0x3fe2007f,0x000fffff,0x5c0003ec,
    0x02ffffff,0x2006f7fa,0xff984ffd,0x1027c4ff,0x1fffffff,0x7ffd4000,
    0xd80007ff,0x000fffff,0x3fffe200,0xff8807ff,0x800fffff,0x3fe2005f,
    0x9800ffff,0x04ffffff,0x2003f980,0x3ffffffd,0x000fe600,0x3ffffee0,
    0x00bf102f,0x2a01fff8,0x54024c0b,0x00ffffff,0x3ffffa00,0x6c0002ff,
    0x440fffff,0xffb0000a,0xb005ffff,0x07ffffff,0x7c002fa8,0x800fffff,
    0x4ffffff9,0x003f9800,0x3fffffe6,0x003f2006,0x3fffee00,0x00d502ff,
    0x0007ffa8,0x7fffc400,0x3e60007f,0x06ffffff,0x7fffec00,0xbfffd70f,
    0x7fd40017,0xd805ffff,0x06ffffff,0x7fc003ec,0x9800ffff,0x04ffffff,
    0x4003f980,0x2ffffffe,0x0004f880,0xffffff70,0xb0002205,0x000009ff,
    0x0dffffd0,0x7ff7ec00,0x0001ffff,0x27fffff6,0xfffffffd,0x3ffe000e,
    0x2200ffff,0xffffffff,0x0009f101,0x01ffffff,0xffffff30,0x07f30009,
    0xfffffa80,0x00fb805f,0xffff7000,0x400005ff,0x00001fff,0x3fffff80,
    0xf77f3000,0x00bfffff,0x7ffffec0,0xfffb8aef,0x3f2005ff,0x204fffff,
    0xfffffdfb,0x003f704f,0x1ffffff0,0xfffff300,0x7f30009f,0xfffff000,
    0x05f801ff,0x3ffee000,0x00002fff,0x0000fff5,0x3ffffe00,0x11f90000,
    0x1fffffff,0x3fff6000,0xfff885ff,0xff1004ff,0x740fffff,0xffffff8e,
    0x2000dd07,0x00ffffff,0xffffff98,0x03f98004,0xfffffc80,0x007ea04f,
    0xffffb800,0x900002ff,0x000009ff,0x09ffff30,0xfc93e200,0x004fffff,
    0x1fffffb0,0x3fffff60,0xffffb001,0x25f505ff,0x2ffffffd,0xf8001fcc,
    0x800fffff,0x4ffffff9,0x003f9800,0xffffff88,0x000dd00f,0xfffffb80,
    0xff00002f,0x0000005f,0x001ffff7,0xff987ee0,0x000fffff,0x0fffffd8,
    0x7fffff50,0x3fffea00,0x2a7d85ff,0x45ffffff,0xff0000fc,0x3001ffff,
    0x09ffffff,0x0007f300,0x3ffffff6,0x0002f983,0x7ffffdc0,0xfa80002f,
    0x0155007f,0x0bfffa00,0xfd85f800,0x003fffff,0x0fffffd8,0x9fffff30,
    0x7ffffc00,0xf0fe20ff,0x41ffffff,0x3fe0005f,0x9800ffff,0x04ffffff,
    0x0003f980,0xdffffff3,0x00000db0,0x5ffffff7,0x9ff90000,0x2ffffb80,
    0x27ffcc00,0x505f5000,0x0dffffff,0xfffffb00,0x3fffe201,0x3ff2006f,
    0x3f24ffff,0x7ffffe40,0x0005f53f,0x07fffffc,0x7ffffcc0,0x3f98004f,
    0x3fffa000,0x0fe21fff,0x3fee0000,0x0002ffff,0x2202fff8,0x01ffffff,
    0x001bff60,0x7ff40dd0,0x4002ffff,0x00fffffd,0x1ffffff1,0x3fffe200,
    0x2617e7ff,0xb6ffffff,0xfff8000f,0xf9800fff,0x004fffff,0x20003f98,
    0x5ffffffa,0x000003f2,0x3fffffee,0x7fcc0002,0x7fffe407,0xff5006ff,
    0x7cc0001d,0x3fffee02,0x7ec006ff,0x3e00ffff,0x001fffff,0x3ffffff6,
    0xffd01faa,0x09f5ffff,0xfffff800,0xfff9800f,0xa8004fff,0x7fc0003f,
    0xf88fffff,0xf7000004,0x005fffff,0x405ffc80,0x7ffffffc,0x00fff880,
    0x2203ec00,0x1fffffff,0x3ffff600,0x3fffe00f,0x3ea000ff,0x6edfffff,
    0x3ffffee0,0x40001fff,0x00ffffff,0xffffff98,0x02fa8004,0x7fffe400,
    0x000fbcff,0xffff7000,0xf80005ff,0x7fcc02ff,0x401fffff,0x40001ffd,
    0xeeeeeff9,0xfffffeee,0x3f6005ff,0xf100ffff,0x000fffff,0xffffffff,
    0x7fffc407,0x80006fff,0x00ffffff,0xffffff88,0x02fa8005,0x7fffc400,
    0x0005ffff,0x3ee02f6a,0x001fffff,0x401ffe60,0x0ffeffeb,0x1007fee0,
    0xeeefc801,0xfeeeeeee,0x00ffffff,0x1fffffb0,0x3ffffe20,0xfffc8006,
    0xfd807fff,0x003fffff,0xffffff80,0xffff8800,0xfc8005ff,0xffd80001,
    0x001fffff,0x70ffffb0,0x03ffffff,0x02ffe400,0x303fd460,0x05b003ff,
    0xfb0027c4,0x009fffff,0x03fffff6,0x1fffffc4,0x7fffc400,0xff9804ff,
    0x0000ffff,0x0ffffff8,0xffffff00,0x00fd000b,0x3fffe600,0xf10005ff,
    0xfb85ffff,0x001fffff,0x000bffe0,0xff882fe4,0x201fa801,0x3e6000fc,
    0x007fffff,0x01fffffb,0x03ffffe6,0x7fffec00,0xfffd000f,0x3e0000bf,
    0x000fffff,0x0ffffffb,0x0006f880,0x3fffffa0,0xfff70002,0xfffc89ff,
    0x260007ff,0x3e0007ff,0x99dfb01f,0xfd999999,0x002fc40f,0x7ffffff4,
    0xffffd803,0xffff700f,0x7fd4000b,0x3ee005ff,0x00002fff,0x01ffffff,
    0x3ffffea0,0x0bfa001f,0xfffa8000,0x3e60006f,0x7e41ffff,0x0005ffff,
    0x40017ff2,0xfff905fa,0xffffffff,0x1fe40dff,0x7fffd400,0xffd807ff,
    0xffb02fff,0xf80001ff,0x22002fff,0x00007fff,0x1ffffff1,0x7ffff400,
    0x6fd800ef,0xfff80000,0x7fc0002f,0xfffd84ff,0x3a0002ff,0xe88002ff,
    0xffffa80e,0xffffffff,0x3ff104ff,0x3fffe000,0x7ec03fff,0xf986ffff,
    0x80002fff,0xd8006ffc,0x100004ff,0x03ffffff,0x7ffffc40,0xdf9301ef,
    0xf9000001,0xf50000ff,0xfff885ff,0x260005ff,0x4c000fff,0xfff980ee,
    0xffffffff,0xfb03ffff,0x3f60005f,0x00ffffff,0x3ff3bff6,0x5fffd31c,
    0x3fe20000,0x1ffa8003,0xfff50000,0x88005fff,0xfffffffe,0x0efffdcd,
    0xff100000,0x3ee00007,0xffd98bef,0x640005ff,0x764005ff,0xfffff103,
    0xffffffff,0xfea83fff,0x4c000eff,0xffffffff,0x4c9fb01e,0xcffffffe,
    0x7ec00001,0x00df0000,0x3fffe600,0x8001ffff,0xffffffeb,0x0001dfff,
    0x000fd800,0x3fff6600,0x002effff,0x002ffe80,0x3fffa014,0xffffffff,
    0x320fffff,0xffffffff,0x7ffff405,0xffffffff,0x95301b85,0x00000157,
    0x2a8000e6,0x3ffb2000,0xffffffff,0x4c001eff,0x0aacccca,0x26000000,
    0x51000003,0x00035997,0x00333220,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66664c00,
    0x00cccccc,0xcccccc88,0x99910ccc,0x99999999,0x59999999,0x99970003,
    0x99999999,0x00335799,0xcccccc88,0xcccccccc,0xcccccccc,0x66666440,
    0x03cccccc,0x66665400,0x0ccccccc,0x99999991,0x99999999,0x66664000,
    0xcccccccc,0x999300cc,0x79999999,0x99999990,0x800c4019,0xffffffb9,
    0xb53005ff,0x9837dfff,0xffffffba,0xffffeeef,0x000cffff,0xfffff731,
    0xffffffff,0x2a005dff,0xefffffff,0xffeeeeee,0x205fffff,0xffffffb9,
    0x10000fff,0xffffffff,0x3ee6037f,0xefffffff,0xb980000a,0xffffffff,
    0x2a6201ae,0xacffffff,0xffffd980,0xffc881ff,0xfff5002e,0x007fffff,
    0xc801ffd8,0x43ffffff,0xfffffd98,0x7fcc002f,0x9315ffff,0x05ffffff,
    0x1cffffa8,0x7ffffec0,0xffa800ff,0x03ffffff,0xfffff700,0x2e005fff,
    0x0fffffff,0xff980000,0x001fffff,0x00f7ffd4,0x1ffffff8,0x0fffffc8,
    0xfffff500,0x4c005fff,0xfff3005f,0x7d407fff,0x003fffff,0x2ffffffc,
    0x7fffffd4,0x03bfee01,0x3ffffea0,0xbf1003ff,0x0fffffff,0x3ffbba00,
    0x3000ffff,0x0dffffff,0x7ffc0000,0xc8007fff,0x36000dff,0xf81fffff,
    0x003fffff,0xfffffff1,0x3e2001ff,0xffff3004,0xffc807ff,0x2000ffff,
    0x05ffffff,0x1ffffff9,0x2003bf20,0xfffffff8,0x3afe2006,0x02ffffff,
    0x7ff5fcc0,0x1000ffff,0x0bffffff,0x7ffc0000,0x54007fff,0xfd8003ff,
    0x7c41ffff,0x004fffff,0xfffffff1,0x3e200dff,0xffff3003,0xff8807ff,
    0x2004ffff,0x05fffffe,0x9ffffff3,0x64003f60,0x1fffffff,0x3eafe200,
    0x006fffff,0x7fff47ec,0xf1000fff,0x00bfffff,0x7fffc000,0x3ea006ff,
    0xffb0002f,0xffb03fff,0x22003fff,0xfffffebf,0x07f005ff,0x3ffffe60,
    0xffff803f,0x3fa007ff,0xf105ffff,0x20dfffff,0xfff3004d,0x8009ffff,
    0xfffff3f8,0x3e2003ff,0xffffffd4,0x3ffe2001,0x00005fff,0x3fffffe0,
    0x01df9006,0x7fffec00,0xffff981f,0x26be2004,0xffffffff,0x3003f803,
    0x07ffffff,0xffffffd0,0x3fffa001,0x3ffe05ff,0x03d07fff,0x3fffffa0,
    0x7c4000ff,0xffffff93,0x747ee009,0x00ffffff,0xffffff10,0x7c00000b,
    0x406fffff,0x80005fd8,0x01fffffd,0xf10002ea,0x3ffffea5,0x1fc01fff,
    0xfffff980,0xfffe803f,0xfd000fff,0x740bffff,0x80ffffff,0xffff7005,
    0x10005fff,0x3fffe27f,0x6e800fff,0x3ffffffa,0xffff1000,0x00000bff,
    0x37fffffc,0x0007fd30,0x3fffff60,0xf8800001,0x3fffff22,0x0fe00fff,
    0x7ffffcc0,0xffff803f,0x3fa007ff,0x3e05ffff,0x006fffff,0x3ffffe20,
    0xf10005ff,0x7ffffec7,0xd17d403f,0x01ffffff,0x3ffffe20,0x2000005f,
    0x06ffffff,0x00005ff5,0x0fffffec,0x17c40000,0x3ffffff6,0x400fe06f,
    0x3ffffff9,0x7ffffcc0,0x3ffa005f,0xff105fff,0x000bffff,0x7fffffec,
    0x7f10000f,0x7fffffcc,0x3fa3ec06,0x000fffff,0xbffffff1,0x7fc00000,
    0xfc86ffff,0x6c00000e,0x001fffff,0x442f8800,0xfffffffe,0x26007f04,
    0x03ffffff,0x7fffffdc,0x3fffa002,0xfff705ff,0x20003fff,0xfffffffa,
    0x0fe20003,0x5ffffffd,0xffd0fe20,0x2001ffff,0x5ffffff8,0x3fe00000,
    0x3626ffff,0x800001ff,0x01fffffd,0x82f88000,0xfffffff8,0x3003f83f,
    0x07ffffff,0x7fffffcc,0x7fff4004,0xfff885ff,0x10004fff,0xdfffffff,
    0x43f88000,0x5ffffffa,0xffe81f90,0x1000ffff,0x0bffffff,0x7ffc0000,
    0xffd16fff,0x800001df,0x01fffffd,0x02f88000,0xfffffff5,0x3003f83f,
    0x07ffffff,0x3fffffee,0xfffe8004,0x7ff4c5ff,0x20003fff,0xfffffffc,
    0x1fc40001,0x7ffffffc,0xffe85f81,0x1000ffff,0x0bffffff,0x7ffc0000,
    0xfffaefff,0x00005fff,0x0fffffec,0x17c40000,0xffffff70,0x801fc1ff,
    0xeffffff9,0xffffeccc,0xd0000cff,0xb9dfffff,0x5bfffffd,0x7ffcc000,
    0x0004ffff,0xffc83f88,0x7d44ffff,0xfffffe81,0xfff1000f,0x0000bfff,
    0x7fffffc0,0xffffffff,0x3600004f,0x201fffff,0x2f880029,0x7ffffec0,
    0x400fe5ff,0xfffffff9,0xffffffff,0x7f40000f,0xffffffff,0x0000bcee,
    0xffffffe8,0xf880000f,0xfffff883,0x741b60ff,0x00ffffff,0xffffff10,
    0x7c00000b,0xedffffff,0x2fffffff,0xfffb0000,0xffd303ff,0x17c4007f,
    0x7fffff40,0x2007f4ff,0x3ffffff9,0xfffffff3,0xffe80009,0x00005fff,
    0x7ffffdc0,0x100002ff,0x3fff607f,0x07f33fff,0x3ffffffa,0xffff1000,
    0x00000bff,0xbffffffc,0xfffffff8,0xfd80001f,0xfc81ffff,0x1000ffff,
    0xfff1005f,0x7f7fffff,0x3fffe600,0x3ffee3ff,0x0001ffff,0x17fffffa,
    0xff880000,0x005fffff,0x4c0fe200,0x96ffffff,0x7ffff40f,0xff1000ff,
    0x000bffff,0x7ffffc00,0x3fffea6f,0x0000efff,0x0fffffec,0x3fffffe2,
    0x005f1003,0x3fffffe6,0xf3003fff,0xd87fffff,0x0fffffff,0xffffd000,
    0x400000bf,0xfffffffd,0xf100c000,0x7ffff407,0x3a04faff,0x00ffffff,
    0xffffff10,0x7c00000b,0x5c6fffff,0x5fffffff,0x7ffec000,0x7ffc41ff,
    0xf1003fff,0x7ffdc005,0x003fffff,0x7ffffff3,0xffffff88,0xffd0005f,
    0x0000bfff,0x3ffffea0,0x078003ff,0xffa80fe2,0x00ffffff,0x3ffffffa,
    0xffff1000,0x6c000bff,0x3ffffe01,0xffffd86f,0x20004fff,0x81fffffd,
    0x00fffffd,0xc8005f10,0x3fffffff,0xfffff300,0xffff507f,0xd0005fff,
    0x00bfffff,0x3fffa000,0x98006fff,0xf00fe207,0x0bffffff,0xffffffe8,
    0xffff1000,0x22000bff,0x3fffe01f,0xffe886ff,0x002fffff,0x3fffffb0,
    0x07fffd30,0x40017c40,0x3ffffffe,0xfffff300,0x3fff607f,0x4000ffff,
    0x05fffffe,0xfffc8000,0x8001ffff,0x00fe206c,0x5ffffff9,0xfffffe80,
    0xfff1000f,0x2000bfff,0x3ffe00fa,0xff306fff,0x03ffffff,0xfffffb00,
    0x40014c03,0xf88002f8,0x003fffff,0x7ffffff3,0x3ffffa20,0x7f4006ff,
    0x0005ffff,0x7ffffcc0,0xf88005ff,0x100fe205,0x00dfffff,0x1ffffffd,
    0x3fffe200,0xfd0005ff,0xffffff80,0x3fffea06,0x4000efff,0x01fffffd,
    0x02f88000,0xfffff300,0x3ffe6007,0x3e603fff,0x03ffffff,0x3fffffa0,
    0x7f400005,0x00ffffff,0x2204fd80,0xfffd803f,0xfffe803f,0xf1000fff,
    0x00bfffff,0xff80df50,0x6406ffff,0x5fffffff,0x7fffec00,0x4444441f,
    0x00888888,0x540007f3,0x3003ffff,0x07ffffff,0xffffffc8,0xffff001f,
    0x40000bff,0xfffffffb,0x3ffc8003,0x2600fe20,0xe800ffff,0x00ffffff,
    0xffffff10,0x5fe8800b,0x7fffffc0,0xffffe807,0x36004fff,0x7c1fffff,
    0xffffffff,0x4fa82fff,0x7ffe4000,0xffff3003,0xffd009ff,0x001dffff,
    0x0bffffff,0x3ffe2000,0x4006ffff,0x202fffd8,0xffd004f9,0x3fffa009,
    0xf3000fff,0x00dfffff,0x202fffcc,0x07ffffff,0xffffff88,0xffb003ff,
    0xfff83fff,0xffffffff,0x006fd82f,0x003ffd80,0xbffffff5,0xfffff100,
    0xff880bff,0x0006ffff,0xffffffb0,0x3f22003f,0x3201ffff,0xffa800ff,
    0xfffff001,0x3ea003ff,0x01ffffff,0x27fffd44,0xffffff10,0xfffb001f,
    0x007fffff,0x85fffffd,0xffffffff,0x7dc2ffff,0x20002dff,0xf9803fe8,
    0x3fffffff,0xfffffb80,0xfd881dff,0x0cffffff,0x3ffe6000,0xccceffff,
    0xffedcccc,0x01ffffff,0x003bfff7,0xff9100df,0x01dfffff,0xfffffe98,
    0xccccdfff,0xfffffffd,0xffffd103,0x4401bfff,0xfffffffd,0xff501dff,
    0x7c1bffff,0xffffffff,0xffe9afff,0x04ffffff,0x2207f300,0xfffffffe,
    0x02ffffff,0x3ffffff6,0xffffb4ff,0xffffffff,0xffd0007f,0xffffffff,
    0xffffffff,0x1fffffff,0x7fffff44,0x0ae04fff,0xfffffed8,0xefffffff,
    0xfffffd10,0xffffffff,0xffffffff,0xfee85fff,0xffffffff,0x7fe42fff,
    0xffffffff,0xff10ffff,0xffffffff,0x26666667,0x00999999,0x05500000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66664000,0xcccccccc,0x333323cc,
    0xcccccccc,0x999954cc,0x80005999,0xcccccccc,0xcccccccc,0xcccccccc,
    0x99999910,0x99999999,0x99999999,0xcccc9879,0xcccccccc,0x001aaccc,
    0xcccccca8,0x9900001c,0x99999999,0x79999999,0x99930015,0x99999999,
    0x99999999,0x03999999,0xd8000153,0xfffb9801,0x0aefffff,0xfffffb98,
    0x221aefff,0x3ffffffb,0xffb98000,0xffffffff,0xffffffff,0x7dcc0fff,
    0xffffffff,0xffffffff,0xc9886fff,0xffffffff,0xffffffff,0xff71002c,
    0x0007ffff,0x3ffee660,0xffffffff,0x0effffff,0x3ffffee0,0xffffffff,
    0xffffffff,0x3aa2ffff,0x70003fff,0x7fd4003f,0x800fffff,0xfffffffa,
    0x3ffff201,0x2600003f,0x06ffffff,0x3ffffaa6,0xfffff500,0x7fdcc0df,
    0x7fec06ff,0x2a23ffff,0x0dfffffc,0xfffff900,0xf7000007,0x449fffff,
    0xffffffea,0x3bfff701,0xffffff81,0x7fff4c46,0x3fffffe2,0x0ffc4003,
    0xfffff100,0x3fe200ff,0x5c07ffff,0x003fffff,0x7ffffc00,0xfff7006f,
    0x3fffe201,0xfd8806ff,0x7ffdc06f,0xfd303fff,0x7007ffff,0x007fffff,
    0xffff3000,0xffb109ff,0xf707ffff,0x7fffc07f,0x3ff606ff,0xffffff52,
    0x1ffe800f,0x3fffe200,0x3fe006ff,0x5406ffff,0x003fffff,0x7ffffc00,
    0x3fe2006f,0xfffff100,0x37e400df,0x3ffffea0,0x3ffe203f,0x7dc04fff,
    0x0003ffff,0xfffff880,0x3fffa04f,0x2fdc0fff,0x3fffffe0,0xfa97ec06,
    0x01ffffff,0x003fff90,0x6ffffff8,0x3ffffe00,0x7ffd406f,0x400003ff,
    0x06ffffff,0xf8807dc0,0x006fffff,0xff501be2,0xa807ffff,0x02ffffff,
    0x0fffffea,0x3fe20000,0x2e04ffff,0x42ffffff,0x7ffc00fb,0x7cc06fff,
    0x3fffffe2,0xfffc802f,0x7ffc001f,0x3e006fff,0x406fffff,0x03fffffa,
    0x7fffc000,0x7c4006ff,0xfffff100,0x35c040df,0x3ffffea0,0xfffd803f,
    0xff501fff,0x00007fff,0xffffff10,0x7fffcc09,0x4035c5ff,0x06ffffff,
    0x3ffaa2e8,0x36201ffe,0x001fffff,0x37fffffc,0xffffff00,0xffffa80d,
    0x7c00003f,0x406fffff,0xff100e81,0x260dffff,0x7d406985,0x803fffff,
    0x5ffffffa,0x7fffff50,0xff100000,0x4409ffff,0x47ffffff,0xffff803b,
    0x82c806ff,0x2201ff30,0xeffffffe,0x7fc06eee,0x2006ffff,0x06ffffff,
    0x1fffffd4,0xff800144,0x2606ffff,0xff100b85,0x2a0dffff,0xffa80b05,
    0x8803ffff,0x0fffffff,0x3fffffa8,0xff880000,0x2604ffff,0x06ffffff,
    0xffffff00,0xff70000d,0x3ffffa20,0x7fffffff,0x7fffffc0,0x3fffe006,
    0x7fd406ff,0x3fb23fff,0x3e001dff,0x206fffff,0x7fc4005c,0xb906ffff,
    0x3ffea000,0xfb003fff,0x507fffff,0xd07fffff,0x9ddddddd,0xfffff880,
    0x3ffee04f,0xf0004fff,0x00dfffff,0x2207fd00,0xfffffdaa,0x7c02aaac,
    0x006fffff,0x1bfffffe,0x7fffff50,0xffffffd1,0x3ffe001f,0x17a06fff,
    0xfffff100,0x0017e0df,0x7fffffd4,0xffff7003,0xfff50dff,0xff7107ff,
    0x88015bff,0x04ffffff,0x3ffffffa,0xffff0000,0x88000dff,0xfff9006f,
    0xff8003ff,0x2006ffff,0x06ffffff,0x6fffffd4,0xffffdcfe,0xffff005f,
    0x17ea0dff,0xfffff100,0x00bf70df,0x3ffffea0,0xfff7003f,0xfa81ffff,
    0x3a03ffff,0x3e2002ff,0xb04fffff,0x03dfffff,0x7ffffc00,0x7ec0006f,
    0xffff9001,0xfff8003f,0x3e006fff,0x406fffff,0xeffffffa,0x3fffff20,
    0xfffff802,0x05ffb86f,0x7ffffc40,0x02ffd46f,0xfffffa80,0xfff5003f,
    0xfa83ffff,0xf103ffff,0xff88005f,0x7544ffff,0x00cfffff,0x7ffffc00,
    0xdb10006f,0x7ffe4001,0x7fc001ff,0xcccfffff,0xfccccccc,0x406fffff,
    0x0ffffffa,0x1fffffcc,0x7fffffc0,0xfffdca9f,0x7ffc4005,0xfdcaefff,
    0xf50005ff,0x007fffff,0x3fffffe6,0x7fffd42f,0x003fd03f,0xffffff10,
    0xffffffdf,0x7c00005d,0x006fffff,0x4000ceb8,0x01fffffc,0x7fffffc0,
    0xffffffff,0xffffffff,0x7ffd406f,0xfff983ff,0xfff804ff,0xffffffff,
    0x44005fff,0xffffffff,0x005fffff,0xffffff50,0x3ffe6007,0x7d43ffff,
    0xfd83ffff,0xfff10001,0xffffffff,0x037dffff,0xfffff000,0x005000df,
    0x7ffffe40,0x7fffc001,0x99999eff,0xfff99999,0x7d406fff,0xf983ffff,
    0xf804ffff,0xbaffffff,0x005ffffe,0x7fffffc4,0x5fffdbae,0xffff5000,
    0x3e6007ff,0x42ffffff,0x43fffffa,0x220001fd,0x44ffffff,0xffffffc9,
    0x3fe0001d,0x0006ffff,0x7ffe4000,0x7fc001ff,0x2006ffff,0x06ffffff,
    0x1fffffd4,0x2fffffcc,0x7fffffc0,0x02ffe4c6,0x3ffffe20,0x02ffd46f,
    0xfffffa80,0xfff5003f,0xfa81ffff,0x3f63ffff,0x3e20000f,0x504fffff,
    0x5fffffff,0x3fffe000,0x220006ff,0x3ff2000a,0x7c001fff,0x006fffff,
    0x1bfffffe,0x7fffff50,0xbfffff30,0xffffff00,0x0017f20d,0xdffffff1,
    0x2000bf70,0x3ffffffa,0xfffff500,0xffff50ff,0x17fff67f,0xffff8800,
    0x3fe604ff,0x000fffff,0x6ffffff8,0xfffd8800,0xffff9004,0xfff8003f,
    0x3e006fff,0x406fffff,0x83fffffa,0x05fffff9,0x6ffffff8,0xf10017a0,
    0x20dfffff,0xff50005f,0x2007ffff,0x6ffffffb,0xbfffffa8,0x02fffffd,
    0xfffff100,0xfffd809f,0xf8006fff,0x006fffff,0x2fffffb8,0xfffffc80,
    0x7fffc001,0x3fe006ff,0x5406ffff,0x983fffff,0x805fffff,0x06ffffff,
    0xff100172,0x360dffff,0xffa80405,0x9003ffff,0x09ffffff,0xfffffff5,
    0x01ffffff,0xfffff100,0xfffb809f,0xf8007fff,0x006fffff,0x5fffffe8,
    0xfffffc80,0x7fffc001,0x3fe006ff,0x5406ffff,0x983fffff,0x805fffff,
    0x06ffffff,0xff10016a,0x2e0dffff,0x7d41a205,0x003fffff,0x5ffffffb,
    0xffffff50,0xbfffffb3,0xffff1000,0xff9809ff,0x001fffff,0x37fffffc,
    0x7ffff400,0xfffc805f,0x7fc001ff,0x2006ffff,0x06ffffff,0x1fffffd4,
    0x2fffffcc,0x7fffffc0,0x10016206,0x0dffffff,0x505b8126,0x07ffffff,
    0xffffff10,0x3fffea0d,0xfffff13f,0xff88007f,0x4404ffff,0x1fffffff,
    0x7ffffc00,0xffb8006f,0xfc802fff,0x4002ffff,0x06ffffff,0x3fffffe0,
    0x7fffd406,0xffff983f,0xffff805f,0x400006ff,0x6ffffff8,0x2a09d000,
    0x03ffffff,0xffffffb8,0xfffff501,0x7ffffdc7,0x3fe2000f,0x5404ffff,
    0x0fffffff,0x7ffffc00,0xfd88006f,0xff7005ff,0x40085fff,0x06ffffff,
    0x3fffffe0,0x7fffd406,0xffff983f,0xffff805f,0x400006ff,0x6ffffff8,
    0x503fb800,0x07ffffff,0x9ffffff0,0x7ffffd40,0x7ffffec3,0x3ffe2006,
    0x7e404fff,0x006fffff,0x6ffffff8,0x002a2000,0x3fffffb8,0xffff0166,
    0x7fc00dff,0x5406ffff,0x983fffff,0x805fffff,0x07ffffff,0x7ffc4000,
    0x54006fff,0xfff502ff,0xfb807fff,0x200effff,0x43fffffa,0x3ffffff8,
    0xfffff100,0xfffe809f,0xf8002fff,0x006fffff,0x7f440000,0x0eb9efff,
    0x3ffffe20,0x3ffe006f,0x7d407fff,0xf984ffff,0xf805ffff,0x007fffff,
    0x7fffc400,0x3ea006ff,0xfff501ff,0x7d409fff,0xb804ffff,0xa83fffff,
    0x01ffffff,0xffffff88,0x3ffff605,0xff0003ff,0x000dffff,0xfff30000,
    0x9805ffff,0x07ffffff,0xffffff30,0x7ffdc01f,0xfffa84ff,0x7fc406ff,
    0x000fffff,0x3fffe600,0x75401fff,0x3f207fff,0x885fffff,0x02fffffb,
    0x9fffff70,0x3fffffa0,0x7ffd400e,0xfd987fff,0x004fffff,0xffffff30,
    0x0000000f,0x073fff26,0xfffffd10,0x74401bff,0xdfffffff,0xffffe980,
    0x3ff622ff,0xd102ffff,0xbfffffff,0xfd100001,0xbfffffff,0xfffdb999,
    0x3ea0dfff,0xefffffff,0xeffffedc,0xffd3000b,0xf903dfff,0x03bfffff,
    0x3fffffa6,0xfffddfff,0x000cffff,0xfffffd10,0x00001bff,0x2200c000,
    0xfffffffe,0x25efffff,0xfffffffe,0x75efffff,0xffffffff,0xfffff17f,
    0x774bffff,0xffffffff,0x4005efff,0xffffffe8,0xffffffff,0xffffffff,
    0x3fffaa5f,0xffffffff,0x00bdefff,0x7ffffdc0,0x3f24ffff,0xffffffff,
    0xfffffd13,0xffffffff,0x01579ddf,0xffffd100,0xffffffff,0x000000bd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xcccccccc,0x400ccccc,0xcccccccc,0x33333323,
    0xcccccccc,0x666664c0,0x220ccccc,0xcccccccc,0x03cccccc,0x0005ff80,
    0x00a00000,0x80000544,0x000009a9,0x88000353,0x5440000a,0x00144281,
    0x7edc4000,0xdfffffff,0xfdb98009,0x3261cfff,0xffffffff,0xb98809df,
    0x1aefffff,0xfffff730,0x0015dfff,0x00017fe0,0xff910000,0x7fffec40,
    0x76d4004f,0x02efffff,0x7fff6440,0xb3000cff,0x159dfffd,0x3fffea00,
    0x7c47cadf,0x000000bf,0xffffffd8,0xffd0002f,0x7fffdc01,0x7002ffff,
    0x54007fff,0x0fffffff,0x02ffc000,0xda800000,0xff507fff,0x1dff717f,
    0x9befd880,0x02ffffeb,0xd37fff30,0xa801ffff,0xfda9dfff,0x7fe401ff,
    0x7fffdabe,0x16ffffc4,0xff100000,0x00bfffff,0x3600bfe0,0x3fffffff,
    0x007ff500,0xffffff88,0x5ff80006,0x22000000,0x3efffffb,0x742fffb8,
    0xff500fff,0xffff881f,0x7ffcc01f,0x3bfffea2,0x8bfff900,0x502ffff8,
    0xfe885fff,0x7fffe40f,0x00000bef,0xffffffb8,0x2fd4000f,0xfffff880,
    0xfd801fff,0xfff88005,0x80006fff,0x000005ff,0xfffffd98,0xdfff302d,
    0x209fff50,0xfd81fffe,0x3e607fff,0xffff87ff,0xffffa82f,0x0ffffc82,
    0x880fffe8,0xffd700ff,0x0003bfff,0xfffffe80,0x07f4005f,0xfffff500,
    0x6fa80dff,0xffff1000,0xf0000dff,0x200000bf,0xfffffeb8,0x7ffec00c,
    0x0ffff884,0x42ffffcc,0x00fffffc,0xfd09fffb,0xffd09fff,0xfff501ff,
    0xffff88bf,0x9801f505,0xbefffffc,0xffa80000,0x001fffff,0xfb0007f7,
    0x07ffffff,0x40003be2,0x6ffffff8,0x05ff8000,0x7fe4c000,0x5003efff,
    0x3e07ffff,0x7fdc4fff,0x7fe40fff,0xff981fff,0xfffc83ff,0x7fffd42f,
    0xfffff307,0x7ffffcc1,0x1001e80d,0x9fffffd7,0xffd80003,0x8805ffff,
    0xff10006f,0x03ffffff,0x440003fd,0x06ffffff,0x005ff800,0xffffd500,
    0xfd8003bf,0xfff02fff,0xffff88bf,0xfffffc86,0x2ffffd81,0xe85ffc88,
    0xf106ffff,0x7c45ffff,0x42ffffff,0xfda80009,0x002effff,0xffffff30,
    0x01fc803f,0x3fffea00,0x17e46fff,0x3ffe2000,0x80006fff,0x220005ff,
    0xbffffffc,0xfffd0000,0x3fffe03f,0x41dfda86,0x1fffffd8,0x02fffff8,
    0x7fffc022,0xffff106f,0xfffff87f,0x00004fff,0x3ffffee2,0x7ec001cf,
    0x206fffff,0xc80004f9,0x3fffffff,0x100007f7,0x0dffffff,0x00bff000,
    0xfffffb50,0xff00005b,0xffffffff,0x00ffffff,0x7ffffe44,0x7ffc41ff,
    0xf88004ff,0xf106ffff,0xfa8bffff,0xefffffff,0x6d400000,0x02dfffff,
    0xffffff10,0x003fa05f,0x3fffa200,0x05fbffff,0xffff1000,0x3ba20dff,
    0xeeeeeeee,0xeeeeefff,0xff15eeee,0x0003bfff,0x3ffffe20,0xaaaaaaac,
    0x64400aaa,0xffffccff,0x7fffcc1f,0xffa8005f,0xff106fff,0xffb0ffff,
    0x3fffffff,0xfb300000,0x6400ffff,0x86ffffff,0x200003fa,0xfffffff9,
    0x2200006f,0x06ffffff,0xfffffff1,0xffffffff,0xffffffff,0x3fffffa2,
    0xf980001c,0x0003ffff,0x327fff70,0x4c1fffff,0x006fffff,0x5fffffa8,
    0xffffff10,0x3fffff60,0x0000efff,0x3ffff6a0,0x3fe2005f,0x223fffff,
    0xc800006f,0x3fffffff,0x3fe20000,0xf106ffff,0xffffffff,0xffffffff,
    0xa8ffffff,0x2efffffd,0x3ffe6000,0x440005ff,0x3f22fffd,0x7c41ffff,
    0x8007ffff,0x05fffff9,0x0ffffff1,0x7fffffdc,0x440003ff,0xcffffffb,
    0xfffb8000,0x3f90ffff,0x3fa00000,0x01ffffff,0xffff1000,0xf0000dff,
    0xb88000bf,0x0cffffff,0x7fffc400,0x3e60006f,0x7fe43fff,0xfff81fff,
    0x44001fff,0x106fffff,0x80dfffff,0xfffffff9,0xffb30006,0x0005dfff,
    0xffffffd0,0x00009f39,0x7ffffcc0,0x100006ff,0x0dffffff,0x00bff000,
    0x7ffed400,0x3e002dff,0x001fffff,0x0ffffe88,0x0fffffe4,0x2ffffff4,
    0x7ffffc00,0xfffff306,0xffd88389,0x1000ffff,0x9fffffd7,0x7d400003,
    0xfeffffff,0x64000000,0x3fffffff,0xfff88000,0x80006fff,0x800005ff,
    0xffffffc8,0x7ffec00b,0x644806ff,0xfc86ffff,0xfc81ffff,0x001fffff,
    0x83ffffe4,0x42fffff9,0xffff701f,0xffc9803f,0x000befff,0xffffd000,
    0x00007fff,0xfffff500,0x80003fff,0x6ffffff8,0x05ff8000,0x7f540000,
    0x301dffff,0x07ffffff,0x3fffa26c,0x3ff620ff,0xff881fff,0x300effff,
    0x7fffc41d,0xdffff507,0x7fec09d0,0x3ff6a07f,0x0001dfff,0xffff9800,
    0x00000fff,0x7fff7cc0,0x0006ffff,0x7fffffc4,0x5ff80006,0x93000000,
    0x17dfffff,0xffffffe8,0x3e07e443,0xcbefffff,0x2fffffff,0xffffff90,
    0x41fd415d,0xb81ffffb,0xfe82ffff,0x8bfff502,0xffffffb8,0x0000000b,
    0x3ffffff4,0x3a200000,0xfffffb8f,0x220004ff,0x06ffffff,0x005ff800,
    0x75c40000,0x7cc7ffff,0xdfffffff,0xffc82ffd,0xbdffffff,0x4cefffff,
    0x7fffff44,0x05ffefff,0x88bfffd1,0xfd04ffff,0x3fff703f,0x6fffffc4,
    0x00000002,0x1ffffffa,0x3fb00000,0x7ffffff4,0xff10001f,0x000dffff,
    0x0000bff0,0x7fe4c000,0xffffe887,0x302fffff,0x5fffffff,0x2ffffff4,
    0xfffffd88,0xd805ffff,0xff913fff,0x7ffec05f,0x85fff51c,0x000cfff8,
    0xfe800000,0x0007ffff,0xf10bf200,0x0dffffff,0x3fffe200,0xf80006ff,
    0x0000005f,0xb106b880,0x3dffffff,0xceffda80,0x277fed40,0x7ffffe40,
    0x3ee002df,0x1effffff,0x7ff67ec0,0xe882efff,0x00000002,0x7fffff40,
    0xf5000007,0x3fffee09,0x88004fff,0x06ffffff,0x005ff800,0x00000000,
    0x000d65cc,0x00220022,0x0006ea60,0x00377510,0x02ee6054,0x00000000,
    0x3ffffa00,0x9800007f,0x7ffec05f,0x4001ffff,0x6ffffff8,0x05ff8000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffa0,
    0x7c400007,0x7ffc400f,0x4006ffff,0x6ffffff8,0x00998000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffa0,0xd100000f,
    0x3fee003f,0x004fffff,0x3fffffe2,0x00000006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffffffd,0x17fa0000,0xfffffd00,
    0x3e2005ff,0x106fffff,0x55555555,0x55555555,0x00555555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e000000,0x01ffffff,0x27ff4400,
    0x3fffea00,0x9800ffff,0x07ffffff,0xfffffff5,0xffffffff,0x0fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0xfffffffd,
    0xfb98000e,0x1002ffff,0xfffffffb,0x7f4405df,0x0cffffff,0x7fffffd4,
    0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0xffffffee,0x3eefffff,0xfffffc80,0xd01effff,0xffffffff,
    0x744fffff,0xffffffff,0x515effff,0x55555555,0x55555555,0x00055555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeeeb80,0x7445eeee,0x001eeeee,0x3ae00a20,0x22eeeeee,0xeeeeeeea,
    0x81300003,0xeeeeeeeb,0xddddb1ee,0x743ddddd,0x0005eeee,0x544002a2,
    0xeeeee800,0xd95eeeee,0x441ddddd,0xeeeeeeee,0xeeeeeeee,0x00011002,
    0x880004c0,0xffc88000,0x80cfffff,0x2a2effc8,0x2eeeeeee,0x077fffb2,
    0x7ffffdc4,0x7fff542f,0x777544ff,0x75c3eeee,0x3ff625ff,0x220effff,
    0xdffffffc,0x867fe440,0xeeeeeee9,0x3bfffae3,0xfffec884,0x3ff2602d,
    0x222fffff,0x441bfffc,0xcccdefff,0xfffffffc,0x02ffc800,0x007fc800,
    0x00effec4,0x7ffffe40,0x07fe200f,0x3fffffaa,0xfffffd8b,0x3ff601ff,
    0xffb82fff,0xfe984fff,0x3f64ffff,0x7ec1ffff,0xfd05ffff,0x2209ffff,
    0xfffea86f,0xffffb4ff,0x7f449fff,0x02ffffff,0x7fffffe4,0x88077cc1,
    0xfff303ff,0xf1007fff,0x98000dff,0x2e003fff,0x8005ffff,0x1ffffff8,
    0xfc817e60,0xcfedffff,0x06fffffd,0x0bfffff2,0x13ffffea,0xa7ffffd4,
    0x3ffffffd,0x3fffffc4,0x6fffffa8,0x3ea05f30,0xcfedffff,0xafffffeb,
    0xfffccff9,0x7f400fff,0x7e45ffff,0xe813e200,0x006fffff,0x000ffff3,
    0x00ffffd8,0x1fffffd0,0xffff9000,0x00fdc09f,0xdffffff7,0x2fffffc8,
    0x5fffff70,0x9fffff50,0x3ffffe60,0xffffefbc,0xffffd81f,0xffff982f,
    0x207b81ff,0xfffffffa,0x3ffffe21,0x7ffdc5ff,0x7fcc03ff,0x5f31ffff,
    0xf701f880,0x003fffff,0x00027ff4,0x09fffff5,0x3fffffe0,0xfff88000,
    0x0dd00fff,0xefffffa8,0x7ffffd40,0xfffff703,0xfffff505,0x3fffe609,
    0xffb13fef,0x3fffea0b,0xffffb85f,0x204e84ff,0x1ffffff9,0x5fffffe8,
    0x4fffff98,0xfffffd80,0x0d100bd5,0x3fffffe2,0xfb839305,0x002ee21f,
    0x3ffefffa,0xffffd801,0x3ff60006,0x2f883fff,0x7ffffd40,0xfffff983,
    0xfffff704,0xfffff505,0x3fffe609,0x401886ff,0x40fffffe,0x7fffffce,
    0xff300fcc,0x3f609fff,0xf881ffff,0x8805ffff,0xfdffffff,0x7fe40000,
    0xf980ffff,0x4df10dff,0x5c06fff9,0x0bffb4ff,0x0bffff90,0x7fffcc00,
    0xa807c86f,0x983fffff,0x704fffff,0x505fffff,0x209fffff,0x2ffffff9,
    0xffff9000,0x7f47cc7f,0x1b21ffff,0x9fffff30,0x3fffff60,0xfffff881,
    0xffff9005,0x980005ff,0x03ffffff,0x21fffff7,0xfffff53d,0x43ffe201,
    0x5402fff8,0x0003ffff,0x17fffff4,0x3fea00fe,0xff983fff,0xff705fff,
    0xff505fff,0x3e609fff,0x000fffff,0xdfffff30,0xffffbae4,0xf300fa4f,
    0x3609ffff,0x881fffff,0x006fffff,0x7ffffff1,0xfffe8000,0x3fe206ff,
    0xcbdbffff,0x205fffff,0x7fdc3ffc,0x7fffc406,0x7fdc0001,0x03ea5fff,
    0x3ffffea0,0xfffff983,0xfffff705,0xfffff505,0x3fffe609,0x7f40007f,
    0x25f1ffff,0x37fffff8,0xfff9803f,0xfff904ff,0xfff103ff,0x7dc00dff,
    0x000fffff,0xffffff70,0xccdb8803,0xccccefcc,0x1ffe602c,0x3a01fffc,
    0xf00007ff,0x3a3fffff,0xffff5004,0xffff307f,0x3ffee0bf,0xfffa82ff,
    0xfff304ff,0xb8000dff,0xfacfffff,0x3fffff60,0xff9806ca,0xff904fff,
    0xff103fff,0x4400dfff,0x03ffffff,0xfffff880,0x3720005f,0x7fec001e,
    0x01fff502,0x0002ffe4,0xcfffffc8,0xff5001f9,0xff307fff,0x3ee0bfff,
    0xfa82ffff,0xf304ffff,0x000bffff,0xffffff88,0x7fffd45d,0xf9803fdf,
    0xf904ffff,0xf103ffff,0x800dffff,0x0ffffffb,0x7fffec00,0xe98000ff,
    0x5003fa8f,0xffe80dff,0x00ffe604,0x7fffc400,0x2a006dff,0x983fffff,
    0x705fffff,0x505fffff,0x209fffff,0x04fffff9,0xffffd800,0xffff82ff,
    0xf9800fff,0xf904ffff,0xf103ffff,0x800dffff,0x4ffffffd,0x3fffe600,
    0xfb8003ff,0x03dff16f,0x4c01ffe8,0x3fe00fff,0x3f600001,0x002fffff,
    0x0fffffea,0x17ffffe6,0x17ffffdc,0x27ffffd4,0x4fffff98,0xfffa8000,
    0xfff907ff,0x3e600bff,0xf904ffff,0xf103ffff,0x400dffff,0xfffffcfa,
    0xfffd000f,0x40540dff,0x3fa4fffc,0xbff702ff,0x817ff600,0x4c00007d,
    0x007fffff,0x1fffffd4,0x2fffffcc,0x2fffffb8,0x4fffffa8,0x9fffff30,
    0x3ffe0000,0xfff304ff,0x3e6007ff,0xf904ffff,0xf103ffff,0x200dffff,
    0xffffd4f8,0xfff7009f,0x07403fff,0xf90ffffc,0xfff10bff,0x3ffe2001,
    0x00009501,0x07ffffd0,0xfffffa80,0xfffff983,0xfffff505,0xfffffb07,
    0x3fffe609,0xf900004f,0x7f403fff,0xf3000fff,0x3209ffff,0x881fffff,
    0x006fffff,0x7fffccdb,0x3fe201ff,0x2605ffff,0x46ffe80f,0xfc84fff9,
    0x7fdc004f,0x40000006,0x000ffffb,0x1fffffd4,0x2fffffcc,0x4fffff98,
    0x7fffffe4,0xfffff304,0x3e600009,0x7fdc06ff,0x3fe6005f,0xffb04fff,
    0xff103fff,0xf700dfff,0xfffffe83,0x3ffff605,0x0ff100ff,0x3ae07766,
    0x0000000d,0x7c000000,0xfa8005ff,0xf984ffff,0x3a05ffff,0xdabfffff,
    0x5fffffdf,0xbfffff30,0x7ff40000,0x17ffc403,0xfffff300,0x3ffff60b,
    0xffff881f,0x42fd406f,0x3ffffffa,0xffffff98,0x00dfd503,0x00000000,
    0x90000000,0xf70003ff,0xf509ffff,0x440dffff,0xffffffff,0xffffffaa,
    0xfffffa81,0x3ee00005,0x07fd800f,0x7ffffd40,0xfffffd06,0xfffff305,
    0x1bff260f,0x3fffffe6,0x7ffff42f,0xfccbabff,0x00006fff,0x00000000,
    0x6f880000,0xfffe9800,0x3f621fff,0x202fffff,0x1effffea,0xfffffff5,
    0x7fffec49,0x100001ff,0x17ea00df,0xffffd880,0x7ffcc2ff,0x3621efff,
    0x43ffffff,0x4efffffe,0xfffffffd,0x3ffeedff,0xffffffff,0x005fffff,
    0x00000000,0x70000000,0xfffb8003,0x8bffffff,0xffffffff,0x055cc05f,
    0xffffa800,0x01efffff,0x2002b800,0xfff5001c,0x2bffffff,0xfffffffd,
    0xffff9aff,0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x26011001,0x99999999,0x99999999,0x2e199999,0x000ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4067fecc,0x221dffd8,0xffffffff,0xffffffff,0x27ffffff,0x04fffff8,
    0x2b7bfb22,0x002dc000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ffffec0,0x12ffffe4,0xffffffff,0xffffffff,0x8fffffff,
    0x306ffff9,0xffffffff,0x013e003b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff100,0xffffff0d,0x33333221,0xcccccccc,
    0xcccccccc,0xffff984c,0xfffffe81,0x0befffff,0x00007f50,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x86fffff8,0x00ffffff,
    0x26000000,0x77dc4fff,0xfffda88b,0xa9adffff,0x00000ffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xd85fffff,0x0006ffff,
    0xff980000,0xa8807ec6,0xfffffffe,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x907ffffd,0x0009ffff,0x3ea00000,
    0x4c013e1f,0xfffffffc,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f200000,0xffa81fff,0x4cccc2ff,0x99999999,0x99999999,
    0x1ca80199,0x950003d1,0x000039bb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x107fffa8,0x7c41ffff,0xffffffff,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5fff8800,0xf11bffa0,0xffffffff,0xffffffff,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0fffa000,0x6444ffc8,0xcccccccc,0xcccccccc,0x004ccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03ff7000,
    0x00017fd4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e203fcc,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbf000000,0x0000fd00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x025c0164,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_48_usascii_x[95]={ 0,3,3,0,1,3,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_48_usascii_y[95]={ 38,8,8,8,8,8,8,8,8,8,8,12,31,25,
31,8,8,8,8,8,8,9,8,9,8,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,44,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,10,18,18,18,18,18,18,8,8,8,22, };
static unsigned short stb__times_bold_48_usascii_w[95]={ 0,8,18,21,20,38,34,8,13,13,18,24,9,13,
8,13,20,17,19,20,19,20,20,20,20,20,8,9,24,24,24,18,39,31,28,28,30,27,26,33,33,16,22,35,
28,41,31,32,25,32,32,21,27,30,31,43,32,31,29,10,13,9,20,24,10,20,23,18,23,18,17,20,22,12,
13,24,12,34,22,20,23,23,18,15,15,22,22,31,21,22,19,13,4,13,24, };
static unsigned short stb__times_bold_48_usascii_h[95]={ 0,31,15,31,33,32,31,15,39,39,18,24,15,6,
8,31,31,30,30,31,30,30,31,30,31,31,22,29,22,11,22,31,40,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,38,29,31,29,30,30,30,29,29,29,37,31,37,16,4,8,22,30,22,30,22,30,31,29,30,
40,29,29,21,21,22,31,31,21,22,29,21,21,21,20,30,20,39,40,39,8, };
static unsigned short stb__times_bold_48_usascii_s[95]={ 254,58,1,67,170,191,89,238,88,102,198,
83,242,242,242,44,174,121,1,72,200,233,93,225,114,124,242,246,108,20,229,
195,15,21,185,145,129,101,74,214,17,66,202,193,164,122,1,1,66,116,33,
22,214,139,170,77,33,1,92,159,58,149,217,83,45,152,53,173,135,133,159,
1,51,220,1,160,229,121,24,192,34,230,70,213,1,47,1,89,156,177,178,
74,55,60,56, };
static unsigned short stb__times_bold_48_usascii_t[95]={ 1,42,250,42,1,1,42,228,1,1,228,
198,168,160,184,74,42,106,106,74,74,74,74,106,74,42,137,106,198,250,198,
42,1,106,168,42,168,168,168,42,168,198,106,137,137,137,137,42,137,1,137,
74,168,106,106,106,198,198,137,1,74,1,228,223,250,198,106,198,74,198,74,
74,168,74,1,168,137,228,228,198,42,1,228,198,168,228,228,228,228,74,228,
1,1,1,250, };
static unsigned short stb__times_bold_48_usascii_a[95]={ 173,231,385,347,347,694,578,193,
231,231,347,395,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,231,231,395,395,395,347,645,501,463,501,501,463,424,539,
539,270,347,539,463,655,501,539,424,539,501,386,463,501,501,694,
501,501,463,231,193,231,403,347,231,347,386,308,386,308,231,347,
386,193,231,386,193,578,386,347,386,386,308,270,231,386,347,501,
347,347,308,273,153,273,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_48_usascii(stb_fontchar font[STB_FONT_times_bold_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_48_usascii_s[i] + stb__times_bold_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_48_usascii_t[i] + stb__times_bold_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_48_usascii_x[i];
            font[i].y0 = stb__times_bold_48_usascii_y[i];
            font[i].x1 = stb__times_bold_48_usascii_x[i] + stb__times_bold_48_usascii_w[i];
            font[i].y1 = stb__times_bold_48_usascii_y[i] + stb__times_bold_48_usascii_h[i];
            font[i].advance_int = (stb__times_bold_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_48_usascii_s[i] + stb__times_bold_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_48_usascii_t[i] + stb__times_bold_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_48_usascii_x[i] + stb__times_bold_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_48_usascii_y[i] + stb__times_bold_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_48_usascii_LINE_SPACING
#endif

