// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_44_latin1_BITMAP_HEIGHT        458
#define STB_FONT_arial_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_44_latin1_FIRST_CHAR            32
#define STB_FONT_arial_44_latin1_NUM_CHARS            224

#define STB_FONT_arial_44_latin1_LINE_SPACING          29

static unsigned int stb__arial_44_latin1_pixels[]={
    0xa8155510,0xcc8000aa,0x55544001,0x00332602,0x665d4400,0x440001ab,
    0x801abcba,0x40002cc9,0xbcccba98,0x5000001a,0x26201999,0x015e6419,
    0x3312cc98,0x99833333,0x00099999,0x5000aaaa,0x33103555,0x43fff503,
    0x4003fff8,0x6c000ffb,0x7f403fff,0x7ed40004,0xffffffff,0xfffc8003,
    0x201dffff,0x88004ffa,0xfffffffc,0x01cfffff,0xfffe8800,0x4fff501f,
    0x00effff8,0xffaa7fd4,0xf31fffff,0x05ffffff,0x0ffffee0,0x0ffff980,
    0x7d43ffdc,0x3ffe21ff,0x0ffe6003,0x0bfff300,0x0003ff50,0xffffffd3,
    0x5fffffff,0x3ffffa00,0x02ffffff,0x4c009ff5,0xfffffffd,0xffffffff,
    0x360001ef,0x501fffff,0x7ffc4fff,0x7fd406ff,0xffffff54,0x3fffe63f,
    0xf9802fff,0x002fffff,0xf70fffee,0x3fff50ff,0x001fffc4,0xfb000dfd,
    0x3fa001df,0x7ffdc006,0xedccdeff,0x402fffff,0xb9cefffc,0xa80ffffd,
    0xffb004ff,0x3357bfff,0xfffb7533,0xf30007ff,0x20157bff,0x6e547ffa,
    0x3ea02fff,0x99fff54f,0x33322199,0x4402fffc,0xfffadffe,0x1fff2000,
    0x9930fff7,0x0e664419,0x002ffb80,0x000fffc4,0x32009ff5,0x201dffff,
    0x01ffffd9,0x260bfff3,0xffa85fff,0x7fff4404,0x2e2000be,0x000dffff,
    0x5401bfee,0x3ff606ee,0x553fea05,0x3e000fff,0x7fec02ff,0x00dffb0f,
    0x3ee3ffe8,0x8000007f,0xc8006ff8,0xfe8002ff,0x7ffcc00f,0x3ff2002f,
    0xfffa80ff,0x21fff600,0x3a204ffa,0x80003fff,0x2005fffc,0x00003ffd,
    0xf5037fd4,0x03ffea9f,0x202fff80,0x3e22fffb,0x3a2005ff,0x01ffee7f,
    0x3fee0000,0x80000003,0x3a204ffa,0xd8002fff,0xffb83fff,0x0fffd406,
    0x7c413fea,0x00001eff,0x400fffea,0x00002ffe,0xf503ffcc,0x03ffea9f,
    0x002fff80,0x2e000000,0x000007ff,0x0000fff8,0xfff88000,0x09fff700,
    0x1bffe200,0x8807ffea,0x4ffa8099,0x001bffb0,0x5fff3000,0x005ffd00,
    0x07ff9800,0x7fd53fea,0x3ffe000f,0x00013312,0x4c40ccc4,0x3ffee099,
    0x2000aaa8,0x7d40aaa8,0x1555105f,0x05554400,0xfd03ffd8,0x6c0001ff,
    0x7fc40dff,0xf50000ef,0x1dff509f,0x0df6dc40,0x3fee0ccc,0x02ffe806,
    0x4c055510,0x3fea07ff,0x001fff54,0xffe97ffc,0x3fee0006,0x17ffd41f,
    0x3ffefff7,0x1ffee005,0xff80fffa,0x3fee005f,0x21ffea07,0x0004fff9,
    0x3fee00c4,0xfa8001ff,0x0fffc44f,0xfffffc88,0x1fff30ff,0x7402ffd8,
    0xff5001ff,0x03ffcc0f,0x3fea9ff5,0x3ffe000f,0x000dffd2,0x2a0fffdc,
    0x3fee2fff,0x001fff97,0xff313ffa,0x7ffe401f,0x09ffd000,0x3217ffc4,
    0x00003fff,0x7ffff900,0x44ffa800,0xfd103ffc,0xdfffffff,0xf50fff71,
    0x1fff80bf,0x40fff500,0xf500fff8,0x03ffea9f,0xfd2fff80,0x7dc000df,
    0x7ffd41ff,0x7cdffee2,0xff8802ff,0x037fdc1f,0x200bffe6,0x6c01fff8,
    0x7ffec4ff,0x90000002,0x03dfffff,0xf893fea0,0xfffd106f,0xdff73159,
    0x3fa0bffd,0x07ffe00f,0x103ffd40,0x3ea01fff,0x01fff54f,0xfe97ffc0,
    0x3ee0006f,0x7ffd41ff,0xfe9ffee2,0x6ffb805f,0xe804ffd8,0xffb805ff,
    0x46ffc806,0x0000fffe,0x6fff4c00,0x804fffff,0x3fea4ffa,0x07fffb03,
    0x0fffffe6,0xff00ffe4,0x3fea003f,0x807ffc07,0xfff54ffa,0x97ffc001,
    0x20006ffe,0x7d41fffb,0x9ffee2ff,0x7400fffb,0x3fff83ff,0x00fffb80,
    0x5c01fff4,0x3ffa0fff,0x54000007,0xffd32fff,0x7d405dff,0x203ff64f,
    0x6403fffb,0xf702ffff,0x3ffe205f,0x0fff5000,0xf501fff8,0x03ffea9f,
    0xfd2fff80,0x7dc000df,0x7ffd41ff,0xf89ffee2,0x3fe603ff,0x1fffcc0f,
    0x01fffc40,0x5001fff3,0x7ffc5fff,0x6c000006,0xfffb81ff,0x9ff504ff,
    0x3e21bfe2,0xff8806ff,0x7ff500ff,0x801bfea0,0x7ec07ffa,0x29ff503f,
    0x2000fffa,0xdffd2fff,0x7ffdc000,0x717ffd41,0x6ffd8fff,0x2a17ff20,
    0xfb002fff,0x2ffe40df,0x22fff980,0x00007fff,0x881ffe20,0x986ffffe,
    0x07ff52cc,0x2005fff7,0x3e606fff,0x05ffd04f,0x203ffd40,0xfa80fffb,
    0x01fff54f,0xfe97ffc0,0x3ee0006f,0x7ffd41ff,0xf51ffee2,0x3ffe01ff,
    0x01fffa82,0x201fff50,0xf1002fff,0x7fff47ff,0xf5000000,0xfff700df,
    0x5ff700bf,0x400dffd0,0x3ee05ffe,0x7ffecc2f,0x1ffea000,0x5077ffa0,
    0x3ffea9ff,0x4bffe000,0x20006ffe,0x7d41fffb,0x1ffee2ff,0x3ea0fffe,
    0x1fff707f,0x41fffc00,0x7c007ffa,0x3fff64ff,0xf3000001,0xff3001ff,
    0xffc805ff,0x01fffc41,0x6c07fff0,0x3fffa1ff,0x7fd4000e,0xfffe8807,
    0x7d53fea7,0x3fe000ff,0x00dffd2f,0x20fffdc0,0x3ee2fffa,0x86ffc87f,
    0xff904ffd,0x6ffc800f,0x4004ffd8,0x3ff24fff,0x2000002f,0xf3004fff,
    0xffd80bff,0x017ffcc0,0x201fff98,0x2fff47ff,0x07ffa800,0xfa9fff20,
    0x01fff54f,0xfe97ffc0,0x3ee0006f,0x7ffd41ff,0x261ffee2,0x3fe21fff,
    0x0fff701f,0x21fff980,0x4001fff8,0x3fea4ffe,0xbd80004f,0x027ffe41,
    0x7407ffd8,0x1fffa87f,0x01fff500,0xffd1bfe6,0xff50007f,0x3ffa600f,
    0x7d53fea7,0x3fe000ff,0x00dffd2f,0x20fffdc0,0x3ee2fffa,0x49ffd07f,
    0x3ee06ffb,0xffe8007f,0x001bfee4,0xff88fffe,0x7d40005f,0x7fff45ff,
    0x3ffcc01e,0xf703ffa0,0x7fe400ff,0x713fee06,0x8009fffd,0xfa807ffa,
    0x3fea3eff,0x001fff54,0xffe97ffc,0x3fee0006,0x17ffd41f,0x3ee0fff7,
    0x80fff67f,0x4000fffa,0x3ff67ffb,0x2fff8003,0x0007ffec,0x883fffb0,
    0x204fffff,0x7ec06ffb,0x07ffcc0f,0x827ffc40,0xf500fff9,0x7d4003ff,
    0x3fff807f,0xff54ffa8,0x7ffc001f,0x000dffd2,0x2a0fffdc,0x3fee2fff,
    0x13fff107,0x7cc01fff,0x7c4001ff,0x0fff89ff,0x17ffc400,0x0017ffea,
    0x8837ffcc,0x81effffe,0x3fea3ffe,0xf883ff94,0xffd801ff,0x2fff882f,
    0x0027fec0,0xfa80fff5,0x29ff506f,0x2000fffa,0xdffd2fff,0x7ffdc000,
    0x717ffd41,0x7fec0fff,0x4406ffac,0xd8002fff,0x06ffacff,0x81fff980,
    0x4003fffe,0x403fffe8,0x8cfffffb,0x7d46ffe8,0xd05ff74f,0xff9809ff,
    0x7ff440ff,0x07ff9805,0xb01ffea0,0x3fea05ff,0x001fff54,0xffe97ffc,
    0x3fee0006,0x17ffd41f,0x7d40fff7,0x803ffdef,0xa8003fff,0x03ffdeff,
    0x307ffb80,0x2009ffff,0x006fffd8,0xffffffb1,0x9ff507ff,0x3f213fea,
    0xfff500ff,0xfffd88ff,0x0fff8800,0x80fff500,0xff501fff,0x003ffea9,
    0xffd2fff8,0x7fdc000d,0x17ffd41f,0xff80fff7,0xc800ffff,0xff0005ff,
    0x0001ffff,0x7dc0bffb,0x40acffff,0x0effffc8,0x7fffdc00,0x9ff500ff,
    0x3e207ffc,0x3f221fff,0xc9cfffff,0x2002ffff,0xf5000fff,0x7ffc40ff,
    0x2a9ff500,0x3e000fff,0x0dffd2ff,0x07ffe400,0xfb8bffea,0x7ffe407f,
    0xfff5005f,0x3fff2000,0xfff0005f,0xffffb805,0xfffeefff,0x0001ffff,
    0x09ffffb1,0xffd93fea,0xfffff983,0xffbbfffe,0x0effffff,0x00fffc00,
    0x2207ffa8,0xff500fff,0x003ffea9,0xffb2fff8,0x7fec000f,0x17ffd40f,
    0xf980fff7,0x3e002fff,0xf98001ff,0x88002fff,0xfa800fff,0xffffffff,
    0x000dffff,0x3ffffa80,0x3ea4ffa8,0xffff506f,0x3fe65fff,0x00dfffff,
    0x001fff80,0x7c40fff5,0x9ff500ff,0x8003ffea,0xfffb2fff,0x3ffec000,
    0xf717ffd4,0xfffd00ff,0x04ffd800,0x00fffd00,0x0017fee0,0xffffffb5,
    0x00003bff,0x40ffff98,0x7ff44ffa,0x7bfb7104,0xbdffe981,0x20155501,
    0xf5002ffe,0x3ffc40ff,0x3ea9ff50,0x3fe000ff,0x03fff72f,0x21bffe00,
    0x3ee2fffa,0x3ffd807f,0x037fcc00,0x003ffd80,0x0005ffd0,0x004dffdc,
    0x3fe60000,0x227fd42f,0x0003fff9,0x1fffb000,0x400bffa0,0x3e207ffa,
    0x53fea07f,0x2000fffa,0xfff32fff,0xfff50009,0x05fff509,0x03ffe200,
    0x00bffa00,0x001fff10,0x000dff30,0x0000ffc8,0xd007fdb1,0x4ffa89ff,
    0x002fffc8,0x7ffe4000,0x00bffa02,0xf303ffdc,0xa7fd40ff,0x2000fffa,
    0x3ffe2fff,0x7ff4002f,0x2fffa82f,0x0bff7000,0x017fea00,0x000bff70,
    0x0000bff2,0x001bffff,0xd00bffd0,0x4ffa89ff,0x019fffb0,0xffe98000,
    0x17ff402f,0x207ffb80,0x3ea07ff9,0x01fff54f,0xf917ffc0,0x32003fff,
    0xff506fff,0xff10005f,0x7f40005f,0xfff1000f,0xdff10005,0x3f220000,
    0xffc8005f,0x3ffea01f,0xb027fd42,0x0007ffff,0x5ffff910,0x009ffb00,
    0xfa81bff2,0x53fea06f,0x2000fffa,0x3fe22fff,0x221bdfff,0x2fffffb9,
    0x005fff50,0xdffd5113,0x4ffa8000,0xffd51130,0x3fee000d,0x3e600002,
    0x7cc000ff,0x2a20bfff,0xffa87ffe,0x7fffdc04,0x51000adf,0x01bffffb,
    0x007ffee0,0x220bffd3,0x3ea04ffe,0x01fff54f,0x2617ffc0,0xffffffff,
    0xffffffff,0x0bffea03,0x3fffffa0,0xfc80001f,0xffffe80f,0xf88001ff,
    0x5540005f,0x006ffecb,0xdfffff50,0x07fffffb,0xd3009ff5,0xdfffffff,
    0xffdb999b,0x005dffff,0xefffff88,0xffffdf30,0x7fff7445,0x53fea01f,
    0xfffffffa,0xffffff31,0xfffd105f,0xffffffff,0xffa805ff,0xfffd802f,
    0x100002ff,0xfffb0bfd,0x320005ff,0x7c0000ff,0x01ffffff,0x3fffee00,
    0x01ffffff,0x4c009ff5,0xfffffffd,0xffffffff,0x2e0003ff,0xf71fffff,
    0xf88dffff,0x5404ffff,0xffff54ff,0x3fe63fff,0x202fffff,0xffffffda,
    0xa800beff,0xfc802fff,0x00002dff,0x3f20ffd4,0x10002dff,0x880005ff,
    0x00ceffff,0xfffc8800,0x2a00ceff,0x988004ff,0xffffedca,0x00acefff,
    0xffffa800,0x09ffffb1,0x007ffff1,0x3ba69ff5,0xd31eeeee,0x03dddddd,
    0x35555310,0x20000001,0x00000098,0x02620262,0x00331000,0x00000000,
    0x4c400330,0x44000009,0x00000199,0x04c41988,0x88006660,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02200000,0x8000154c,0x000aaaa8,0x00020000,0x4cccccc4,
    0x00199999,0x0015554c,0xaa980000,0x2000002a,0x00002aa9,0x0015554c,
    0x5554c000,0x01998802,0xfb300000,0x2ffc17bf,0xfffb0000,0x40000009,
    0x76cc00ef,0xffffffff,0x01ffffff,0x0bfffa20,0x3a000000,0x00003fff,
    0x0bffff30,0x7ffc4000,0x4000001f,0xa801ffff,0x000007ff,0xffffff88,
    0x003ffeef,0x07fff400,0x7cc00000,0x3fff2207,0xffffffff,0x01ffffff,
    0x037ffc40,0x3e600000,0x000005ff,0x7ffffff1,0x7fd40000,0x2000005f,
    0x5003fffb,0x00000fff,0xfd77ff70,0x000dffff,0x09fff100,0xbf900000,
    0x3ffffa20,0xffffffff,0x01ffffff,0x02fffa80,0x3f600000,0x2000006f,
    0xfff9effd,0x3ee00001,0x000000ff,0x5400bfff,0x000007ff,0x75c45fe8,
    0x2000002e,0x0000fff9,0xc81ff400,0xffffffff,0xffe9999f,0x2e00019c,
    0x000006ff,0x001fff30,0x3ffee000,0x001fff91,0x027fec00,0x77fdc000,
    0x1ffea000,0x00000000,0xfb800000,0x2000003f,0xff980ff8,0x7fffffff,
    0x0003ffd8,0x0005ff90,0x05ffb000,0x3fea0000,0x037ff43f,0x03ffa000,
    0x1ffd0000,0x07ffa800,0x54400000,0x0009accb,0x00000000,0x320df500,
    0xffffffff,0x03ffd87f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x003ffd40,0x7ff54000,0xcfffffff,0x99800001,0x40000009,0xfffb04fd,
    0x0fffffff,0x80007ffb,0x09accba8,0x75100000,0x00013599,0x332ea200,
    0x2620009a,0x26200009,0x00266219,0x2a199880,0x000007ff,0x3fffff22,
    0xffffffff,0xf700000d,0x00001fff,0x3ffbb6e6,0xfffffd01,0xfb0fffff,
    0xfd50007f,0xffffffff,0xd5000039,0xffffffff,0x5000039f,0xfffffffd,
    0xfd0039ff,0x7dc000df,0x0dffd1ff,0x8fffdc00,0x32e27ffa,0x98002cee,
    0xdefffffe,0xfffffecc,0xfe80001e,0x40003fff,0xfffffffc,0xfffe80ef,
    0x87ffffff,0x22003ffd,0xfffffffc,0x0dffffff,0xfffc8800,0xffffffff,
    0x88000dff,0xfffffffc,0x0dffffff,0x001bffa0,0xfd1fffb8,0x7dc000df,
    0x2fff51ff,0xfffffffa,0xfff5002e,0x7dc405ff,0x0001ffff,0x1bffffe6,
    0x7fff4400,0xfffffeff,0x7ffffec2,0xfd87ffff,0xffd3003f,0xd99bdfff,
    0x03dfffff,0x7ffff4c0,0xffeccdef,0x2001efff,0xefffffe9,0xffffeccd,
    0xdffd01ef,0x7ffdc000,0x000dffd1,0xfa8fffdc,0xeffffcff,0x402fffff,
    0x00cffff8,0x0dfffd10,0x7e7fe400,0xfe8001ff,0xffd0adff,0x7fdc3fff,
    0x7fffffff,0xa803ffd8,0x202fffff,0x1fffffb8,0xfffffa80,0x3ffee202,
    0xffa801ff,0x2e202fff,0xe81fffff,0x2e0006ff,0xdffd1fff,0x7ffdc000,
    0xdfffff51,0x7fffd443,0x0ffff201,0x27ffec00,0xd9fff800,0x7dc005ff,
    0x57fc45ff,0x3fe24fff,0x7fffffff,0x4403ffd8,0x000cffff,0x80dfffd1,
    0x00cffff8,0x0dfffd10,0x0cffff88,0xdfffd100,0x000dffd0,0xfe8fffdc,
    0x3ee0006f,0xffff51ff,0x3ffe601b,0x0dfff306,0x7fffc400,0xbffd4001,
    0x2000fffb,0x7dc0ffff,0x5c1fffb6,0xffffffff,0x403ffd87,0x0003fffc,
    0x6409fffb,0xb0003fff,0x7e409fff,0xfb0003ff,0x6ffe89ff,0x3ffee000,
    0x000dffd1,0xfa8fffdc,0x7dc00fff,0xfffe82ff,0x7fd40001,0x7fec004f,
    0x007fff14,0x360bffe6,0x83bdf33f,0xfffffffc,0x203ffd87,0x0006fff9,
    0x207fffe2,0x0006fff9,0x207fffe2,0x0006fff9,0xe87fffe2,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x009fff51,0xff30fffe,0x3e0000bf,0x3e2007ff,
    0x1bff62ff,0x407ffe40,0x3ea001ff,0xd87fffff,0x3ffa03ff,0x7d40001f,
    0xfffe84ff,0x7fd40001,0x1fffe84f,0x7ffd4000,0x001bffa4,0xfd1fffb8,
    0x7dc000df,0x1fff51ff,0x517ff200,0x00005fff,0x4007fff2,0x3ea0fffb,
    0xffd801ff,0x0007fa87,0xb0fffb73,0x3fe607ff,0xff00005f,0x5fff98ff,
    0xffff0000,0x005fff98,0x74ffff00,0x2e0006ff,0xdffd1fff,0x7ffdc000,
    0x400fff51,0x7fdc6ffb,0xf500001f,0x3fa007ff,0x05fff84f,0xfc86ffe8,
    0x7fcc0004,0x503ffd87,0x00005fff,0xfa87fff2,0x900002ff,0x7fd43fff,
    0xf900002f,0x1bffa3ff,0x1fffb800,0x4000dffd,0xff51fffb,0x7ffd400d,
    0x003fff20,0x27ffcc00,0x40fffcc0,0x7400fffc,0x02fe84ff,0x43ffcc00,
    0xff703ffd,0x2a00003f,0x3fee3fff,0xf500001f,0x7ffdc7ff,0xff500001,
    0x01bffa7f,0xd1fffb80,0x5c000dff,0xbff51fff,0x0fffcc00,0x0000fffd,
    0x402fffc4,0xff306ffd,0x5ffe807f,0x00007fcc,0x3f61ffe6,0x1fff903f,
    0x3fe60000,0x03fff24f,0x7ffcc000,0x003fff24,0xa7ffcc00,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x00bff51f,0xff07ffcc,0xf80000df,0x7fc406ff,
    0x1bffa04f,0xfb8dffb0,0xff980006,0xd03ffd87,0x40000fff,0x3fa5fff8,
    0x2200007f,0x3ffa5fff,0x3e200007,0x0dffd5ff,0x8fffdc00,0x20006ffe,
    0xff51fffb,0x3ffd400d,0x00017ffe,0xb80dfff0,0x3ee00fff,0x3ff202ff,
    0x54c1fec7,0x7ff98009,0xff03ffd8,0xf80000df,0x1bffe6ff,0xdfff0000,
    0x00037ffc,0x7f5bffe0,0x3ee0006f,0x0dffd1ff,0x8fffdc00,0x2e007ffa,
    0x3fffc5ff,0xfff30000,0x06ffe80b,0x702fffc4,0x3fe21fff,0x805ffe81,
    0xffd87ff9,0x00bfff03,0x26fff800,0x00005fff,0xfff37ffc,0xff80000b,
    0x00dffd6f,0xe8fffdc0,0x2e0006ff,0xfff51fff,0x13ff6003,0x0000fffd,
    0x3027ffd4,0xfb007fff,0x3fe201ff,0xf10ff54f,0xff3005ff,0x207ffb0f,
    0x00007fff,0xff97ffe6,0x2600007f,0x3ffe5fff,0x3e600007,0x0dffd5ff,
    0x8fffdc00,0x20006ffe,0xff51fffb,0xfff300bf,0x01fffd85,0x7fff7000,
    0x66fffe40,0xdccccccc,0x3f603fff,0xd84fc9ff,0xff3007ff,0x207ffb0f,
    0x00007ffe,0xfe93ffea,0x2a00007f,0x3ffa4fff,0x3ea00007,0x0dffd4ff,
    0x8fffdc00,0x20006ffe,0xff51fffb,0xffd803ff,0x17ffdc0f,0xfffc8000,
    0x3ffffe01,0xffffffff,0x2607ffff,0x42ffefff,0x3003fffc,0x7ffb0fff,
    0x007fff60,0x1fffdc00,0x0003fffb,0xd8fffee0,0x00001fff,0x3fa7fff7,
    0x3f20006f,0x0dffd0ff,0x87ffe400,0x82fffffa,0x883fffd8,0x80005fff,
    0x2a06fff8,0xffffffff,0xffffffff,0x3fee02ff,0xfebabfff,0x3e6004ff,
    0x03ffd87f,0x0005fff7,0xb87fff20,0x00002fff,0x7dc3fff9,0x900002ff,
    0x3ff63fff,0x3ff60007,0x00fffb0f,0xa87ffec0,0xbdffffff,0x05ffffdb,
    0x000bfff6,0x407fff90,0xaaaafffd,0xbaaaaaaa,0x7dc05fff,0xffffffff,
    0x7fcc005f,0x103ffd87,0x0000bfff,0xf88dfff1,0x880005ff,0x7fc46fff,
    0xf880005f,0x1fff66ff,0x27ffd800,0x20007ffd,0x3fea7ffd,0xffffff9f,
    0x7d404fff,0x260006ff,0xf100ffff,0xfd0009ff,0xff9801ff,0x02efffff,
    0xd87ff980,0x3ff603ff,0x7e40002f,0xfffd83ff,0x7fe40002,0x2fffd83f,
    0x7ffe4000,0x007ffee3,0xf737ffc0,0x3e0003ff,0x5ffea6ff,0xbeffffd8,
    0xbfffb001,0xfffd1000,0x0fffdc07,0x27ffdc00,0x2eaffe20,0x3e60000a,
    0x03ffd87f,0x001bffea,0x80ffff98,0x0006fffa,0x203fffe6,0x0006fffa,
    0x983fffe6,0xa8004fff,0x3fe64fff,0xffa8004f,0x21ffea4f,0xf88000a9,
    0x5001efff,0xe80bffff,0xf10006ff,0x6fb80fff,0x7fcc0000,0x403ffd87,
    0x8005fffd,0x203fffe8,0x8005fffd,0x203fffe8,0x8005fffd,0xf83fffe8,
    0x74002fff,0x7ffc2fff,0x7ff4002f,0x01ffea2f,0x3ffe6000,0x54409bff,
    0x00effffc,0x000fffe6,0x202fffc8,0x400004fd,0xffd87ff9,0x7fffc403,
    0xfff5001e,0xfff880bf,0xff5001ef,0xff880bff,0xf5001eff,0x3f20bfff,
    0xf9001fff,0xfff90dff,0x3ff2003f,0x03ffd46f,0xffe88000,0xffeeffff,
    0x00dfffff,0x0007ffe4,0x40bfff30,0x400002ff,0xffd87ff9,0xffff9803,
    0x654409bf,0x800effff,0x9bfffff9,0x7ffe5440,0xff9800ef,0x4409bfff,
    0x0effffca,0xbfffff10,0x7fdcc437,0xff882fff,0x221bdfff,0x2fffffb9,
    0x0003ffd4,0xffff9100,0xffffffff,0x3ffe007f,0xffe80006,0x007fa81f,
    0x87ff9800,0xd1003ffd,0xddffffff,0xbfffffff,0x7ff44001,0xffeeffff,
    0x00dfffff,0x3ffffa20,0xffffeeff,0x4c00dfff,0xffffffff,0xffffffff,
    0x3fffe603,0xffffffff,0xfa83ffff,0x8000007f,0xffffffb8,0x5000beff,
    0x00007fff,0xf909fff7,0xf300000b,0x07ffb0ff,0x7fffe440,0xffffffff,
    0xf910003f,0xffffffff,0x0007ffff,0x3fffff22,0xffffffff,0x3ffa2003,
    0xffffffff,0xe8802fff,0xffffffff,0x502fffff,0x00000fff,0x9aaa9880,
    0xfffd8000,0xff880000,0x002fe87f,0x87ff9800,0x88003ffd,0xfffffffb,
    0x80000bef,0xffffffb8,0x0000beff,0xfffffb88,0x000befff,0xfffffb50,
    0x0017dfff,0xfffffda8,0x200befff,0x00007ffa,0x00000000,0xb8000000,
    0x8800000d,0x2eec85ee,0x554c4000,0x0000009a,0x026aaa62,0xa9880000,
    0x000009aa,0x26aaaa62,0xa9880000,0x50009aaa,0x00000ddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x8000005e,0x0000aaaa,0x03555100,
    0xaaaa8000,0x50000002,0x00003555,0x0002aaa2,0x980d5554,0x40000aaa,
    0x0002aaa9,0x7443ddd3,0x440002ee,0x44055100,0x4c001aaa,0x4000006f,
    0x0006fffa,0x3ffffa00,0x3e600000,0x00000fff,0x07fffc40,0x7ff44000,
    0x7c4000ef,0xff881fff,0x7c0006ff,0x30001fff,0x7fc45fff,0xf910003f,
    0x3fe439df,0x009fff50,0xbffffd95,0xe8000017,0x00000fff,0xdfffff90,
    0x7d400001,0x000004ff,0x0017ffe4,0xfffffd80,0x7ffe4005,0xfffffd02,
    0x3fee0009,0x3e60003f,0x3ffe22ff,0xfffd0003,0xbffdffff,0x027ffd40,
    0xffffffb1,0x0005ffff,0x007ffea0,0x7ffd4000,0x0005ffda,0x007ffe40,
    0xfff88000,0xff700004,0x009ffd3f,0x6413ffe2,0x3fff9fff,0x05fff800,
    0x17ffcc00,0x0007fff1,0xffb59ff1,0x5403ffff,0xfd104fff,0xffffffff,
    0x00005fff,0x00007ffd,0x453ffe20,0x00003fff,0x00027fec,0x005ffc80,
    0x27fff300,0xb802fff9,0xfff506ff,0x007ffea5,0x000effb8,0x40000000,
    0x7ed447fb,0x6664c00c,0x5dfffb02,0xfffb1df3,0x7d40001f,0x2000005f,
    0x3ee0effe,0x200002ff,0x0000ffe8,0x0077fc40,0x2fffc400,0xf007fff2,
    0xfff101ff,0x00fffd8b,0x8001ffd0,0x20000998,0x00001998,0x7fd40000,
    0xfa9be24f,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x20006ffe,0x3331fffb,0x4cc40001,0x7ffe4001,0xfff1be21,
    0x9998000f,0x30000000,0x22000133,0x99999999,0x99999999,0x26620999,
    0x98800009,0x33331099,0x33333333,0x13333333,0x40099988,0x31009998,
    0x33333333,0x33333333,0x37ff4133,0x3fff7000,0x0007fffe,0x530fffd4,
    0x11bff603,0x0fffc8df,0xffff7000,0xb8000001,0x8000ffff,0xfffffffe,
    0xffffffff,0x3ea3ffff,0x40000fff,0xffd3fffe,0xffffffff,0xffffffff,
    0x2fffa87f,0x817ffd40,0xfffffffe,0xffffffff,0x3fa3ffff,0x3ee0006f,
    0xdffff1ff,0x3ffea000,0x7fc17f21,0x2237c43f,0x7f400009,0x00003fff,
    0x1fffff40,0x7ffff400,0xffffffff,0x3fffffff,0x002fffec,0x74bfff70,
    0xffffffff,0xffffffff,0x7fd43fff,0x7ffd402f,0xfffffd02,0xffffffff,
    0x47ffffff,0x20006ffe,0xfff1fffb,0xf50009ff,0x837e43ff,0x37c46ffe,
    0x7fcc0000,0x00006fff,0x3ffffe60,0xfffe8006,0xffffffff,0xffffffff,
    0x17fffc43,0x7fffc400,0x3fffffa0,0xffffffff,0x43ffffff,0x5402fffa,
    0xffd02fff,0xffffffff,0xffffffff,0x037ff47f,0x23fff700,0x01ffffff,
    0xb0fffd40,0x3fff20df,0x0001be20,0x3ff3ff20,0x9000001f,0x03fff9ff,
    0x99effe80,0x99999999,0x80999999,0x000ffffa,0x3a17ffec,0x99999eff,
    0x99999999,0x7fd40999,0x7ffd402f,0x33dffd02,0x33333333,0x41333333,
    0x20006ffe,0xfff1fffb,0x4001dfff,0x3f61fffa,0x49fff507,0x800006f8,
    0x5ffd9fff,0xfff00000,0x800bffb3,0x00006ffe,0x017fff60,0xe85fffb8,
    0x800006ff,0x5402fffa,0xffd02fff,0xfe80000d,0x3ee0006f,0xfffff1ff,
    0x7d4009ff,0x41ffa1ff,0x89dfffe8,0x5400006f,0x1fff77ff,0xffa80000,
    0x001fff77,0x00037ff4,0x5ffff100,0x1ffff100,0x000dffd0,0x05fff500,
    0xd02fffa8,0x80000dff,0x20006ffe,0xfff1fffb,0x003fffd9,0xfe87ffea,
    0xfffd100f,0x0001dfdf,0xf8a7fec0,0x400003ff,0xfff14ffd,0x37ff4007,
    0x3ee00000,0x7ec00fff,0xdffd02ff,0xff500000,0xfffa805f,0x00dffd02,
    0x06ffe800,0x47ffee00,0xfffacfff,0xfffa800e,0x8803ffe1,0xfffffffe,
    0x220000bd,0x3ff62fff,0x3e200006,0x1bff62ff,0x006ffe80,0xfffd8000,
    0x13ffea04,0x0006ffe8,0x02fffa80,0xe817ffd4,0x400006ff,0x20006ffe,
    0xfff1fffb,0x013fff29,0xff87ffea,0xffda801f,0x02ffffff,0x41fff700,
    0x0001fffa,0x541fff70,0xfd001fff,0x000000df,0x103ffff1,0x7401dfff,
    0x800006ff,0x5402fffa,0xffd02fff,0xfe80000d,0x3ee0006f,0x29fff1ff,
    0x401ffff8,0xff11fffa,0x7e44003f,0x05ffffff,0xf84ffe80,0xd00005ff,
    0xbfff09ff,0x01bffa00,0x7fdc0000,0x1fffd86f,0x0037ff40,0x17ffd400,
    0x40bffea0,0x00006ffe,0x00037ff4,0x3fe3fff7,0x3bffea4f,0x47ffea00,
    0x4002fff8,0xfffeaef8,0x3fe6004f,0x0fffc81f,0x7ffcc000,0x00fffc81,
    0x0006ffe8,0x3fff6000,0x013ffea3,0x0001bffa,0x00bffea0,0x3a05fff5,
    0x400006ff,0x20006ffe,0xfff1fffb,0x04fffc89,0x7cc7ffea,0x7c4003ff,
    0x07fffea6,0x9837fec0,0x40003fff,0xff306ffd,0xdffd007f,0x33333333,
    0x13333333,0x7fffc400,0x200dffd0,0x9999effe,0x99999999,0xffa80999,
    0x7ffd402f,0x33dffd02,0x33333333,0xe8133333,0x2e0006ff,0x9fff1fff,
    0x02ffff88,0x3e63fff5,0x7c4003ff,0x027ffd46,0xd027ffc4,0x44000dff,
    0x3fa04fff,0xfffe806f,0xffffffff,0x3fffffff,0x6fffdc00,0xd001fffb,
    0xffffffff,0xffffffff,0xfff507ff,0x2fffa805,0xffffffd0,0xffffffff,
    0xfe87ffff,0x3ee0006f,0x09fff1ff,0x501dfff5,0x3fea3fff,0x37c4004f,
    0x5c02fffc,0x3ee00fff,0xf70002ff,0x7fdc01ff,0x7fff402f,0xffffffff,
    0x3fffffff,0xffffd800,0x3fa003ff,0xffffffff,0xffffffff,0x2fffa83f,
    0x817ffd40,0xfffffffe,0xffffffff,0x7ff43fff,0x3fee0006,0x209fff1f,
    0xfa84fffc,0x9fff51ff,0x1be20a60,0x3a01fff6,0x7fc406ff,0xffd0005f,
    0x5fff880d,0x7fffff40,0xffffffff,0x003fffff,0x6fffff88,0x7ffff400,
    0xffffffff,0x83ffffff,0x5402fffa,0xffd02fff,0xffffffff,0xffffffff,
    0x006ffe87,0x7c7ffee0,0xfff104ff,0x1fffa85f,0xfa8bfff7,0x437c40ff,
    0x7cc07ffc,0xffd803ff,0x7fcc000f,0xfffd803f,0x01bffa00,0x7dc00000,
    0x74000fff,0x800006ff,0x5402fffa,0xffd02fff,0xfe80000d,0x3f20006f,
    0x09fff0ff,0x5077ffd4,0x3fee3fff,0x17ffcc5f,0x3ff61be2,0x6fffe405,
    0xcccccccc,0x4003fffd,0xcccdfffc,0xffdccccc,0x1bffa03f,0xf8000000,
    0xfe8005ff,0xa800006f,0x7d402fff,0xdffd02ff,0xffd80000,0x3ff60007,
    0x809fff0f,0x3ea4fffd,0xbfff71ff,0xf88bffd0,0x027ffc46,0x3ffffffe,
    0xffffffff,0x7fc007ff,0xffffffff,0x7fffffff,0x001bffa0,0xfff80000,
    0x6ffe8005,0xffa80000,0x7ffd402f,0x00dffd02,0x07ffd800,0xf9fff600,
    0x7fc404ff,0x3fff52ff,0x3217ffee,0x1be21fff,0x5405fff9,0xffffffff,
    0xffffffff,0xff5002ff,0xffffffff,0xffffffff,0x01bffa05,0xff800000,
    0xffe8005f,0xfa800006,0x7fd402ff,0x0dffd02f,0xfffb8000,0xdfff0001,
    0x54027ffc,0xffa8ffff,0x0bfff71f,0x225ffff3,0x17ffee6f,0x555fffb0,
    0x55555555,0x200bfff7,0xaaaafffd,0xbaaaaaaa,0xffd05fff,0x0000000d,
    0x4002fffc,0x00006ffe,0x402fffa8,0xfd02fffa,0x980000df,0xa8004fff,
    0x3ffe4fff,0x9fffb004,0x3ee3fff5,0xfff705ff,0xfd7df9bf,0x7c401fff,
    0xfe8004ff,0x7fc400ff,0xffe8004f,0x06ffe80f,0x3e000000,0xfe8005ff,
    0xa800006f,0x7d402fff,0xdffd02ff,0xfff00000,0xffe8005f,0x013ffe2f,
    0x7effffc4,0x9ddd51ff,0x7ffffd40,0x1effffff,0x00fffdc0,0x027ffdc0,
    0x0007ffee,0x3a13ffee,0x000006ff,0x017ffe00,0x001bffa0,0x0bffea00,
    0x205fff50,0x00006ffe,0x01ffffc8,0xf8dfff90,0x3ea004ff,0x01ffffff,
    0xffffb500,0x2009ffff,0x10006ffe,0xfe80ffff,0xff10006f,0x0dffd0ff,
    0x7c000000,0xfe8005ff,0xa800006f,0x7d402fff,0xdffd02ff,0xff100000,
    0x4437bfff,0x2fffffb9,0x20027ffc,0x1ffffffd,0x4005ddd5,0x000affc9,
    0x000fffe6,0x302fffc8,0x40007fff,0x7f42fffc,0x0000006f,0x0017ffe0,
    0x0001bffa,0x00bffea0,0x3a05fff5,0x000006ff,0xfffffff3,0xffffffff,
    0x09fff07f,0xfffff880,0x07fff51f,0x8006f880,0x0000fffc,0x6417ffe6,
    0x20000fff,0x7f45fff9,0xaaaaaaef,0xaaaaaaaa,0xff0002aa,0xffd000bf,
    0x5555555d,0x55555555,0x2fffa855,0x817ffd40,0xaaaaeffe,0xaaaaaaaa,
    0xd102aaaa,0xffffffff,0x205fffff,0xa8004fff,0xf51fffff,0xf88007ff,
    0x6fff8006,0xfffe8000,0x006fff81,0x21fffe80,0xfffffffe,0xffffffff,
    0x000fffff,0x8005fff8,0xfffffffe,0xffffffff,0x2a0fffff,0x7d402fff,
    0xfffd02ff,0xffffffff,0xffffffff,0x7fed401f,0xbeffffff,0x013ffe00,
    0x8ffffec0,0x4003fffa,0x7d4006f8,0xb80003ff,0x7fd44fff,0xfb80003f,
    0x3fffa4ff,0xffffffff,0xffffffff,0xfff8000f,0xfffe8005,0xffffffff,
    0xffffffff,0x0bffea0f,0x205fff50,0xfffffffe,0xffffffff,0x800fffff,
    0x09aaaa98,0x009fff00,0x87fffe20,0x00000088,0x003fff60,0x1fffe200,
    0x0001fffb,0x74ffff10,0xffffffff,0xffffffff,0x8000ffff,0xe8005fff,
    0xffffffff,0xffffffff,0x3ea0ffff,0x7fd402ff,0xffffd02f,0xffffffff,
    0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xed85ddd0,
    0x0800004e,0x00006aa0,0x40000040,0x775c4eec,0x22776c05,0xd9005eec,
    0x06eea8bd,0x00000000,0x32ea2000,0x80001abc,0x40000cc8,0x90000cca,
    0x3ffe0079,0x002fff43,0x5bffd500,0x000ffe61,0x07dfb300,0x2fff4000,
    0xff01fff2,0x06ffd8bf,0xfb8dffb0,0x8800007f,0x01abccaa,0xb8800f54,
    0xfffffffe,0x88000cff,0x20000ffe,0x10005ff9,0x3fe009ff,0x02fff43f,
    0xffffa800,0x1fffefff,0x37e20000,0x00003fb9,0xffc8bffd,0x22fffc07,
    0xfb006ffd,0x07ffb8df,0x3ff6a000,0xcfffffff,0x4037fcc0,0xfffffffa,
    0x4fffffff,0x3fffa600,0xffd10000,0x3fea0001,0x87fff002,0x00005ffe,
    0xffd75dfb,0x0000bfff,0x0035c7b8,0x645ffe80,0x7ffc07ff,0x8037fec5,
    0x7fdc6ffd,0xfe980007,0xffffffff,0xff33ffff,0xfffc803f,0xedccefff,
    0x00dfffff,0x3fffff62,0x5ffb0000,0x03fec000,0x80000000,0x764c3ff8,
    0xc800002d,0x00007d46,0x00000000,0x00000000,0x7fffffdc,0xfffedcde,
    0x01fffeff,0x0f7fffec,0xdffff910,0x377ffe01,0xfa8000ff,0x7fc0004f,
    0xcba88005,0x000009ac,0x00000000,0x002ec3f3,0x4cccccc4,0x99999999,
    0x10099999,0x00001333,0x00001333,0x0bbfffee,0xfffffc88,0x7ffd402f,
    0x3fa6003f,0x23bf05ff,0x44000ffc,0x4c0006ff,0xfd5003ff,0xffffffff,
    0x30000039,0x00000133,0x03ffbfd0,0xfffffd00,0xffffffff,0x07ffffff,
    0x000bffea,0x01ffff70,0xffff9800,0x3ffa6004,0x7ffc407f,0xfe88001f,
    0x7e4082ff,0x7fec000f,0x7fdc0001,0x7ffe4401,0xffffffff,0x00000dff,
    0x001ffff7,0xfffb8000,0xffe8000f,0xffffffff,0xffffffff,0x5fff503f,
    0xfffe8000,0x7f40003f,0xfd8002ff,0x3f203fff,0x260004ff,0x6400ffff,
    0x3ee000ff,0xfe80003f,0x7fff4c07,0xfeccdeff,0x001effff,0x3ffffe80,
    0x7f400000,0xe8003fff,0xffffffff,0xffffffff,0xff503fff,0x7cc0005f,
    0x0006ffff,0x0017ffee,0x1ffffff2,0x000ffff8,0x017ffe40,0x4c003ff2,
    0x880005ff,0x3fea04ff,0x2e202fff,0x001fffff,0x3ffffe60,0x26000006,
    0x006fffff,0x999effe8,0x99999999,0x50099999,0x40005fff,0x1fffcffc,
    0x3fffd000,0xbdffb800,0xffa83fff,0xf880003f,0x7fe405ff,0x01ffd000,
    0x05ff5000,0x033fffe2,0x37fff440,0xf9ff9000,0x000003ff,0x3fff3ff2,
    0x37ff4001,0xff500000,0x7fc0005f,0x005ffd9f,0x004fff98,0x7c477fd4,
    0xfffd87ff,0xffd00000,0x07fe401f,0x0017fe40,0x900ffc80,0x20007fff,
    0x0004fffd,0xbffb3fff,0x3fe00000,0x005ffd9f,0x00037ff4,0x05fff500,
    0x5dffea00,0x64000fff,0x26001fff,0x3ff60eff,0x03fffc0f,0x3fff9000,
    0x2007fe40,0x00004ffa,0x7fcc1bfe,0x3e20006f,0x54001fff,0x1fff77ff,
    0xffa80000,0x001fff77,0x00037ff4,0x05fff500,0x453ff600,0x74003fff,
    0xf3000fff,0xfffb83ff,0x0037ffc1,0x05fff500,0xf1007fe4,0x200001df,
    0xffd03ff9,0xfa80003f,0x7ec004ff,0x07fff14f,0x4ffd8000,0x4007fff1,
    0x00006ffe,0x00bffea0,0xd8bffe20,0x7f4006ff,0xfff1007f,0x47fff503,
    0x0005fff8,0x80fffea0,0x3f600ffc,0x2e00001f,0xfff981ff,0xfff00005,
    0x7ffc400f,0x001bff62,0x22fff880,0x3a006ffd,0x000006ff,0x000bffea,
    0xfa83ffee,0x3fe001ff,0xffe8806f,0x49fff302,0x0004fff9,0x813ffe60,
    0xff700ffc,0xfd800007,0x05fff507,0x3fff2000,0x1fff7001,0x000fffd4,
    0x20fffb80,0xd001fffa,0x00000dff,0x0017ffd4,0x7fc27ff4,0xfff1005f,
    0x07ffb00b,0xf32fffc4,0x400009ff,0x0003fff9,0x64c1bfe6,0xf801cded,
    0x3fff705f,0x3fea0000,0x9ffd003f,0x000bfff0,0x3e13ffa0,0xffd005ff,
    0x5400000d,0x4c002fff,0xffc81fff,0xfff8800f,0x027fec05,0xf897ffe2,
    0x200005ff,0x0002fffb,0x3f603ffa,0x05ffffff,0x7e40ffea,0x300000ff,
    0xf3009fff,0xfff903ff,0xff980001,0x0fffc81f,0x99effe80,0x99999999,
    0x20099999,0x4002fffa,0xff306ffd,0x3ffe007f,0x017ff206,0xff13ffe6,
    0x640000df,0x90001fff,0xdff905ff,0x09fffb79,0x7f403ff2,0x2200007f,
    0xfd805fff,0x7fff306f,0x6ffd8000,0x007fff30,0xfffffffd,0xffffffff,
    0x7d407fff,0x3e2002ff,0x3ffa04ff,0x0fffd006,0x54017fee,0x7ffc3fff,
    0x3f600007,0xff30007f,0x81fff10b,0xdfd07ffa,0x0037ffc0,0x01bffe00,
    0x7409fff1,0x220006ff,0x3fa04fff,0xfffe806f,0xffffffff,0x3fffffff,
    0x00bffea0,0x200fffb8,0xd802fffb,0xeffa87ff,0x5fff7000,0x000fffc8,
    0x00dffd00,0x101dff10,0x1bfe0575,0xff813fe2,0x7c00005f,0x7fdc06ff,
    0x3ffee00f,0xfff70002,0x17ffdc01,0x3fffffa0,0xffffffff,0x203fffff,
    0x2002fffa,0x7c406ffe,0xffc805ff,0x03bfe62f,0x40fffd80,0x0004fffa,
    0x005fff98,0x0001ffd8,0xff707ff5,0x03fffc05,0xbfff3000,0x406ffe80,
    0x0005fff8,0xf880dffd,0x7ff405ff,0x2a000006,0xf3002fff,0xffb007ff,
    0xfff9801f,0x003fff35,0xf837ffc4,0x1c801fff,0x005fffd0,0x0004ffa8,
    0xfb01ffd1,0x07ffe80f,0x3ffea000,0x0fffe604,0x003fff60,0x007fff30,
    0x7401fffb,0x000006ff,0x400bffea,0xcccdfffc,0xffdccccc,0xfffe803f,
    0x4001fff9,0xf903fffd,0xff980bff,0x17ffee2e,0x00dff100,0x40fffea0,
    0x7fec05ff,0xf700001f,0x7fe407ff,0xccccccdf,0x03fffdcc,0x66fffe40,
    0xdccccccc,0x3fa03fff,0x2000006f,0xf002fffa,0xffffffff,0xffffffff,
    0xffff500f,0xf98005ff,0x3fa00fff,0x3ff203ff,0xffffadff,0x0fff4000,
    0x1fffe400,0x5c03ff98,0x00002fff,0x7c03fff9,0xffffffff,0xffffffff,
    0x7fffc007,0xffffffff,0x207fffff,0x00006ffe,0x00bffea0,0x3fffffea,
    0xffffffff,0xd802ffff,0x4003ffff,0x402fffe8,0x00dffff9,0xffffffd7,
    0xffb8005f,0x7fec4003,0x07ff201f,0x00bfff10,0x0dfff100,0x7fffffd4,
    0xffffffff,0x5002ffff,0xffffffff,0xffffffff,0x3ffa05ff,0x2a000006,
    0xfd802fff,0xaaaaaaff,0xffbaaaaa,0xfff9805f,0xff7000df,0x3ee00bff,
    0x881bffff,0x05fffffd,0x002ffcc0,0x003bffa6,0x3f600ffd,0x640002ff,
    0x3f603fff,0xaaaaaaff,0xffbaaaaa,0xfffb005f,0x55555555,0xbfff7555,
    0x001bffa0,0x2fffa800,0x027ffc40,0x007fff40,0x3ffffff6,0xffda881b,
    0x26000eff,0xefffffff,0xfffffffe,0xfd1002ff,0x7fc4001f,0x4ff8804f,
    0x0dfff500,0x7fffcc00,0x09fff100,0x01fffd00,0x004fff88,0xe80fffe8,
    0x000006ff,0x700bffea,0x70003fff,0x7e409fff,0xfffffedf,0xfffffeef,
    0xb10005ff,0xffffffff,0xffffffff,0xffd805df,0x7fff4002,0x0eeeeeee,
    0x6c005ff5,0x88005fff,0x2e03fffe,0xb8001fff,0x7dc04fff,0xfb8001ff,
    0x6ffe84ff,0x3ea00000,0x7ff402ff,0xfff10006,0xb9bfee0f,0xffffffff,
    0x003fffff,0xffffc980,0x912dffff,0x2a0bffff,0x7d4004ff,0xffffffff,
    0x01ff90ff,0x77fffc40,0xffff5001,0x06ffe80b,0x0ffff100,0x0006ffe8,
    0xfd0ffff1,0x400000df,0x2602fffa,0x20003fff,0x7c42fffc,0x7f6440ef,
    0x2dffffff,0x53100000,0x7ec40355,0x06ff886f,0xccccca80,0x50cccccc,
    0xff300055,0x88137fff,0x0effffca,0x00fffe60,0x02fffc80,0x0007fff3,
    0x3a17ffe4,0xaaaaaeff,0xaaaaaaaa,0xff502aaa,0x7ffe405f,0x3fe60000,
    0x800e985f,0x0009aaa9,0x30000000,0x0000005d,0x44000000,0xeffffffe,
    0xfffffffe,0x7ffe400d,0x3fe60000,0x1fff905f,0x7ffcc000,0x7fffff45,
    0xffffffff,0x0fffffff,0x202fffa8,0x80006fff,0x0001fffe,0x00000000,
    0x00000000,0x00000000,0x7ffffe44,0xffffffff,0x0dfff003,0x3fffd000,
    0x000dfff0,0x743fffd0,0xffffffff,0xffffffff,0xfa80ffff,0xfff502ff,
    0xff700007,0x0000009f,0x00000000,0x00000000,0x22000000,0xfffffffb,
    0xf5000bef,0x700007ff,0xffa89fff,0xfb80003f,0x3fffa4ff,0xffffffff,
    0xffffffff,0x2fffa80f,0x001fffb0,0x0ffff100,0x00000000,0x00000000,
    0x00000000,0x55310000,0xfb000135,0x100001ff,0xffd8ffff,0xf880000f,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cc88000,0x1e644000,0x2aaa6000,0x79730002,
    0x54400015,0x40000aaa,0x0001aaaa,0x0006aaaa,0x06aaaa00,0x44001e5c,
    0x8000acba,0x80001cc9,0x5d440000,0xc880002a,0xffe8803c,0x7fec0000,
    0x7ff40001,0x3fae002f,0x03ffffff,0x13fff600,0xdfff7000,0x7ffd4000,
    0x7c400007,0xff900fff,0x7ff4c001,0x74004fff,0x6440006f,0x74c003ef,
    0x02ffffff,0x007ff600,0x001fffd3,0x001ffdc0,0x013ffea0,0xffffffd8,
    0x0005ffff,0x001fffd1,0x01fffd80,0x0fffee00,0xfffc8000,0x00bfea02,
    0x7f7fffcc,0xff5005ff,0xaee80007,0x3fa003fb,0x07ffecef,0x407ff700,
    0x0fffffd8,0x0bff3000,0x0dffd000,0x5f7ffe40,0x4ffffca9,0x7fff1000,
    0xbffd0000,0x6ffd8000,0xfff10000,0x04ff8809,0x2a19ffb0,0xfe801ffe,
    0x07cc0006,0x3ff200d5,0x001ffe42,0xff017fe6,0x001ffbbf,0x0003ffa0,
    0x001fff30,0xe817ffe6,0x2a0007ff,0x880007ff,0x40001fff,0x80003ffe,
    0xfd005ffb,0x0dff100f,0xfa80dff3,0x3dc0002f,0x2a6003e6,0x004ffa83,
    0x3e007ff4,0x001ff91d,0x0005ff90,0x4003ffb0,0x2a01fffb,0x20001fff,
    0x80003ffb,0x40005ff9,0x40006ff8,0x9000fff8,0xffa803ff,0xe80ffd03,
    0xf880006f,0x10001b22,0x64003ffd,0x640802ff,0x7d4000ff,0x0000004f,
    0x202ffec0,0x0000fff8,0x00000000,0x00000000,0x00ffe600,0x3f605ff9,
    0x05ff700f,0x3b7f6000,0xff30002f,0x7d4003df,0xff90004f,0x77fc4001,
    0x00000000,0x2a027ff4,0x000007ff,0x00000000,0x00000000,0x7e405ff8,
    0x03ffb02f,0x00001bfa,0x400019b5,0x000cfffb,0x0001dff1,0xd8003ff2,
    0xa80001ff,0x01acdecb,0x6c03fff8,0x4c4004ff,0x1acdedcb,0x400aaa60,
    0xa9802aa8,0x401aceec,0x51002aa9,0x01ffb055,0xfd817fe4,0x02ffb81f,
    0x00000000,0x05ffd953,0x0003ffb0,0xb8007fe4,0x4c0003ff,0xfffffffe,
    0x3ffe00cf,0x03ffe603,0xfffffa80,0x704fffff,0x3ea00fff,0x3ff6207f,
    0x04ffffff,0x5401ffee,0x2ffb87ff,0x740ffee0,0x06ff80ff,0xb9731000,
    0x000359bd,0x7dc07ff8,0x7e40003f,0x6ff8800f,0x7ffdc000,0xffffffff,
    0x05fff01e,0x8802fff4,0xfffffffd,0xb86fffff,0xff5007ff,0x3fffea0f,
    0xefffffff,0x007ffb81,0xff10fff5,0x427fd409,0xffb87ff8,0xffa80002,
    0xffffffff,0xffb00804,0x01bfe603,0x003ff200,0x80003ffa,0x11bffff9,
    0x01ffffb5,0x3ea05fff,0xffb000ff,0x2e6213bf,0x7dc3ffff,0xfff5007f,
    0x39ffff30,0x3ffff262,0x803ffdc0,0xdfd07ffa,0x5c0fff80,0x37fc44ff,
    0x3ff62000,0xffffffff,0x6ff886ff,0xd01fff88,0x900001ff,0xffc801ff,
    0x3fa20002,0x3fee01ef,0x02fff85f,0x2200bffd,0x7c404fff,0x3ffdc6ff,
    0xd87ffa80,0x3ea01fff,0x3ffdc4ff,0x907ffa80,0x7fdc01ff,0x0fffd9cf,
    0x00017fdc,0x4277fff6,0x3ffffb98,0xa89cffb8,0xff907ffd,0x3f200005,
    0x17fe600f,0x3fff9000,0x85fff700,0xff882fff,0xdff9002f,0x71fff200,
    0x3ea00fff,0x17ffd47f,0x707ffd40,0x3ea00fff,0x07ff507f,0xffffffd8,
    0x037fc42f,0x13ffe200,0x20dfff10,0xfffffffe,0x05ff981f,0x03ff2000,
    0x00077f44,0x4017ffe0,0x7fc6fff8,0x4fff882f,0x007b9500,0xfb83ffee,
    0xfff5007f,0x2005ffe8,0x3fee4ffe,0x0fff5007,0x75c02ffc,0xfc80dfff,
    0x7e40001f,0xfff9006f,0x3ffff220,0xeff880df,0x40000000,0xea801ffd,
    0x0fffc41e,0xf8fff700,0xfffb02ff,0x2a000005,0x3fee0fff,0x8fff5007,
    0x32003fff,0x1ffee5ff,0xb03ffd40,0x004400ff,0x9710bff1,0x6e54079d,
    0x1fff7003,0x6c009880,0xeea801ff,0x7fd40001,0x1fff9804,0x0007ffd4,
    0x7fc1fff5,0xffff502f,0x9880001b,0x20ffffdb,0xf5007ffb,0x5fffccff,
    0x99999999,0x2e7ffc99,0xff5007ff,0x00ffdc0f,0x41ffc800,0xefffffe8,
    0xff500001,0xf500001f,0xfff3009f,0x7fc40003,0xffff8806,0x003ffdc1,
    0xff87ffe6,0x3ffea02f,0x953001ef,0xfffffffb,0x3ffdc1ff,0x2a7ffa80,
    0xffffffff,0xffffffff,0x0fff70ff,0x981ffea0,0x880004ff,0x7ffc45ff,
    0x00ffffcf,0xffdb9880,0x440000ff,0xff8806ff,0x3a0001ff,0x7f4401ff,
    0x7fe41fff,0x7ffc4006,0x300bffe2,0x407ffffd,0xffffffea,0x0fffefff,
    0x5401ffee,0x3ffee7ff,0xffffffff,0x1fffffff,0x2a00fff7,0x37fc07ff,
    0x0ffe4000,0x64433ff2,0x654c04ff,0xfffffffd,0x740000ff,0x7f4401ff,
    0x70001fff,0xffb007ff,0xffc83ffd,0x7ffcc007,0x200bffe2,0x83ffffd8,
    0xfffffffc,0xfffa8acd,0x401ffee0,0x3fee7ffa,0xcccccccf,0xcccccccc,
    0x200fff70,0x7e407ffa,0x3e20000f,0x80fff85f,0xfea80ffe,0xffffffff,
    0x0000fffe,0x3600ffee,0x001ffeff,0xc805ff98,0x41ffbcff,0x2000fffb,
    0x3fe1fffa,0x3fee002f,0x7fffe47f,0xfff700ac,0x803ffdc1,0x3fea7ffb,
    0xfb80000f,0xfff7007f,0x002ffa80,0xf307ff60,0x07ff20bf,0xfffffff9,
    0xfff5159b,0x3fe60001,0xbcffc805,0x744001ff,0x7fdc00ff,0xf983ff75,
    0x3ee001ff,0x0bffe0ff,0x43fff500,0xc800efff,0x3fee0fff,0x4fff9007,
    0x0002fff8,0x9007ffb8,0xff880fff,0xbff30005,0x2e09ff50,0x3fff23ff,
    0xff700acf,0xfd10001f,0x5ffb801f,0xc8003ff7,0x7fd402ff,0xf107fee6,
    0x7ec007ff,0x017ffc7f,0xf9a7ffc0,0xffb002ff,0x03ffd41f,0x7fc7ffe8,
    0x2aea004f,0x401ffea1,0xfe807ffe,0x3ffb0007,0x2e09ff70,0x3bffe3ff,
    0x0fffc800,0x02ffd800,0xff737fd4,0x27fd4003,0xb83bfe60,0x6ffe81ff,
    0x89fff300,0x40282fff,0xfff75ffe,0xffff1003,0x00fffd41,0xfd1fffe2,
    0xff1001ff,0x0fffd4df,0x01fffe20,0x30007fee,0x3fea09ff,0x267ff704,
    0xfb002fff,0xfa8001ff,0x77fcc04f,0x4007fee0,0xfe806ff8,0xffdaaacf,
    0x3ffea0ac,0x1fffd803,0xfd717ffc,0x4fffe609,0x4403fffa,0x260ffffe,
    0x7ec05fff,0x7ffcc7ff,0x3fffd805,0xb017ffe6,0xf300ffff,0xffd8007f,
    0x20bff300,0xfff72ffc,0xffff1003,0x37fc4001,0x5567ff40,0x00acffda,
    0x7400ffec,0xffffffff,0x7fec1fff,0xfffd104f,0x645fff0b,0x7ec42fff,
    0xffff31ff,0x7fffec01,0x1ffff41f,0x3ffffec4,0x406fffe4,0xe87fffc8,
    0xfd883fff,0xff007fff,0x27fcc00b,0x3a0fff10,0x7fff50ff,0xffffe880,
    0x07ff6000,0x3fffffa0,0x01ffffff,0x5c00ffee,0xfecccccc,0x7fcc0cdf,
    0xfdbbceff,0xff80efff,0x6fffec2f,0x44ffffcb,0xabdffffd,0xffdfffeb,
    0x7fffd42f,0xbfffecdf,0xfff887ff,0xffdbbdff,0xffa81fff,0xffecdfff,
    0xb007ffbf,0x3f6001ff,0x1ffe400f,0xff997fea,0x3ff600ff,0xf7001fff,
    0x332e007f,0xdffecccc,0x0bff300c,0x07fee000,0xfffffd88,0x205fffff,
    0x7f442fff,0x5fffffff,0xfffffe88,0xfb2fffff,0xffff90bf,0x3e5fffff,
    0xfffb107f,0xffffffff,0x7fffe403,0xff2fffff,0x0bfee00f,0x2013fea0,
    0xfebefff8,0x7ffec0ff,0xffebabdf,0x802fffdf,0x00005ff9,0xfe803ff7,
    0xf700000f,0xffd7003f,0x8037dfff,0xfc882fff,0x403fffff,0xfffffffb,
    0x03ffee0c,0x3fffffaa,0x501ffe1d,0xfffffffd,0x3ffaa007,0x3fe1dfff,
    0x09ff1007,0x2001ffd0,0xfffffffa,0xffffe882,0xb2ffffff,0xffd00bff,
    0x3ee00001,0x0bff201f,0x0cc98000,0x000d4c00,0x1aa98800,0x04d54c00,
    0x01a98000,0x26aa6000,0x06a60000,0x02aa8000,0x20027fd4,0x00cefec8,
    0x7fffffdc,0x3ffee0cf,0x00bff200,0x00cca800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04d54c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54400000,0x330001aa,0x53000033,0x0aaa8855,0x1aaa8800,
    0x85553000,0x3000aaa8,0xaaa88555,0x2aaaa000,0x32200001,0x0599102c,
    0x00155540,0x0aaaa600,0x0d554400,0x55544000,0x3f600001,0x98001fff,
    0x3220efff,0x1fff7006,0x000fffd4,0x017fffec,0x2a3ffdc0,0xf9001fff,
    0x1fffa8ff,0x1fffea00,0x4ffa8000,0x4007ff50,0x0000fffe,0x00bfffa0,
    0x0ffffec0,0x3fff6000,0xfb80001f,0x000fffff,0xdafffe88,0xfb801fff,
    0x3ffea0ff,0x7ffdc001,0x5c000fff,0x7ffd47ff,0x8fff9001,0x4001fffa,
    0x0003fffb,0x3205ff70,0x3fa002ff,0x500000ff,0x20009fff,0x0ffffffb,
    0xffff7000,0x540001ff,0x6ffdafff,0x3fff2000,0xf7001dff,0x7ffd41ff,
    0x3ffe6001,0x4006ffcb,0x7fd47ffb,0xfff9001f,0x001fffa8,0x0007ffd8,
    0x3601ffb0,0x3fa000ff,0xd00000ff,0x26000bff,0x6ffcafff,0xafff9800,
    0x10006ffc,0x3fe2bfff,0xfea8004f,0x54003fff,0x6664c4cc,0xbffd1000,
    0x5002fff4,0xccc98999,0x89995000,0x0000ccc9,0x00007ffd,0x37fc0fff,
    0x01332e00,0x07ffd400,0xafffc400,0x2005ffe8,0xff15fff8,0xffd0009f,
    0x1fffd41f,0xefffeb80,0x00000fff,0x7ffec000,0x00fffea0,0x00000000,
    0xdff10000,0x5ff88000,0x000bff10,0xffb00000,0x3ff60003,0x0fffea0f,
    0x507ffec0,0x00007fff,0xfffb8000,0x00bffd0b,0x00000000,0x00000000,
    0x00000000,0x13fea000,0x0001ffd4,0x00000000,0x00000000,0x00000000,
    0xff883e88,0x0000003f,0x00000000,0x00000000,0xb8000000,0x3ff902ff,
    0x02aa9800,0x00000000,0x00000000,0x801554c0,0x31002aa8,0x03ffee35,
    0xcdecba80,0x9750001a,0x000359bd,0x2b3bb2a6,0xcb988001,0x001acded,
    0xacdecba8,0x55554c01,0xaaabffea,0xaabffeaa,0x06ffc800,0x77654c00,
    0x530001ac,0x00359dd9,0xbdb97310,0x3ee00359,0xfff5007f,0xffffec80,
    0x805fffcf,0xffffffe9,0xd3000cff,0xffffffff,0x3f620019,0x4fffffff,
    0x3fffea00,0x04ffffff,0xfffffd30,0x32019fff,0xffffffff,0xffffffff,
    0xc802ffff,0xb10005ff,0xffffffff,0x7fec4009,0x04ffffff,0x3ffffea0,
    0x804fffff,0xf5007ffb,0x3ffa20ff,0xffffffff,0x3fee01ff,0xffffffff,
    0x7fdc01ef,0xffffffff,0x7fd401ef,0xffffffff,0x3f6201ef,0xffffffff,
    0x7dc06fff,0xffffffff,0xffc81eff,0xffffffff,0xffffffff,0xffd802ff,
    0xfffa8004,0xffffffff,0x7ffd401e,0xffffffff,0x3ff6201e,0xffffffff,
    0x7fdc06ff,0x0fff5007,0x37bffff3,0xbfffff95,0x2ffffe60,0xffffb511,
    0x3fffe601,0xfffb511b,0x3ffe601f,0xff9311cf,0x3ff601ff,0xf73109df,
    0x3e607fff,0xb511bfff,0xa981ffff,0xadffcaaa,0xcffdaaaa,0x7cc00aaa,
    0x7cc002ff,0x9311cfff,0x2601ffff,0x311cffff,0x201ffff9,0x109dfffd,
    0x07ffff73,0xa803ffdc,0xfffd87ff,0xffffd103,0x1effe881,0x217ffee0,
    0x201effe8,0xfb05fffb,0x7fd403ff,0x4fff884f,0x437ffc40,0x201effe8,
    0xc805fffb,0x3ff902ff,0x0fffd800,0x0fffec00,0x209fff50,0x2a01fffd,
    0xff884fff,0x7ffc404f,0x01ffee06,0x3ea3ffd4,0xffe803ff,0x0fffe42f,
    0x217ffdc0,0xb801fffc,0x7fd42fff,0xfffa802f,0x8037fe40,0xffc87ffc,
    0xfffb801f,0x807fec02,0x36000ffe,0x54003fff,0xfa802fff,0x7ffd40ff,
    0x0fffa802,0xc8037fe4,0x3fee07ff,0x8fff5007,0xf3006ffe,0x5fff8bff,
    0x8dfff100,0xf1005fff,0x5ffe8dff,0x513ffa00,0x3ee007b9,0x2fffc0ff,
    0x06fff880,0xdff03ffc,0x2fffec00,0x02fff400,0xfe89ffd0,0x3ffa005f,
    0x801ee544,0xf700fffb,0x3fea00ff,0x00fffe27,0x3e27ffd8,0x3ee001ff,
    0x07ffe27f,0x7c7ffb80,0x3f2003ff,0xfa80005f,0x3ffe20ff,0x1ffee001,
    0xf305ff88,0xffd1009f,0x3fe000bf,0x3ff2003f,0x001fffc5,0x0000bff9,
    0x2e01fff5,0xff5007ff,0x00fffccf,0x7d4fff90,0x3ea000ff,0x1fff50ff,
    0x87ffd400,0x999bfff9,0xc9999999,0x988007ff,0x20ffffdb,0x2000fffa,
    0xf500fffa,0x0ffee07f,0x017fffa0,0x4dfffcc0,0x99999999,0x3e67ffc9,
    0x99999bff,0xffc99999,0xdb988007,0xf700ffff,0x3fea00ff,0x003ffea7,
    0xf70fffb8,0xff9800ff,0x00fff71f,0xf51fff98,0xffffffff,0xffffffff,
    0x6e54c01f,0xffffffff,0x01ffee0f,0x203fff30,0xff902ffc,0x4fffc803,
    0x3ffea000,0xffffffff,0x0fffffff,0xfffffff5,0xffffffff,0x54c01fff,
    0xffffffdc,0xff700fff,0x9ffea00f,0x54007ffb,0xdff91fff,0x2fff8800,
    0x8800dff9,0xfff72fff,0xffffffff,0x3fffffff,0xfffffd50,0xfffdffff,
    0x0037fe41,0x654bffe2,0xccdffecc,0xccfffccc,0xfff31ccc,0xffb8000b,
    0xffffffff,0xffffffff,0xffffff71,0xffffffff,0xd503ffff,0xffffffff,
    0x201fffdf,0xf5007ffb,0x03ffdcff,0x647ffea0,0x7cc007ff,0x0fff92ff,
    0x72fff980,0x99999fff,0x99999999,0xfffc8199,0x8acdffff,0x3f20fffa,
    0x7fcc007f,0xfffff92f,0xffffffff,0x5fffffff,0x0003ffee,0x999fff70,
    0x99999999,0x3ee19999,0xccccccff,0xcccccccc,0x7fffe40c,0xa8acdfff,
    0xff700fff,0x9ffee00f,0x2000fffa,0xff70fffb,0x7fd4001f,0x01fff71f,
    0xa8fffd40,0x00000fff,0x159ffff9,0xb83ffee0,0x2a000fff,0xfff91fff,
    0xffffffff,0xffffffff,0x01bff65f,0x7fd40988,0xfa80000f,0x900000ff,
    0x0159ffff,0x5c03ffee,0xff9007ff,0x00fffccf,0x7ccfff90,0x3ee001ff,
    0x3fff30ff,0x87ffdc00,0x0002fff8,0x001dfff0,0x7cc1fff9,0x3ee001ff,
    0xf73310ff,0x9333339f,0x333337ff,0x8013ffa1,0xff10fffb,0xf100005f,
    0x200005ff,0xc800efff,0xff500fff,0x9fffa00f,0x2003fff8,0x3fe25ffe,
    0x3ff6003f,0x00fffe27,0x7fc7ffd8,0x2aea004f,0x00bffe61,0xf107ffec,
    0x7ec007ff,0x03ff907f,0xfb007ff2,0x7ff400df,0x0027ffc6,0xfff83575,
    0x86aea004,0xb002fff9,0x3ea01fff,0x7fc401ff,0x037ff47f,0x743fffa8,
    0xff3006ff,0x06ffe89f,0xe89fff30,0xf8800fff,0x3ffee6ff,0xffff8801,
    0x8037ff40,0xfb04fff9,0x01ffa01f,0x2007fff2,0x7f44fff9,0xff8800ff,
    0x07fff46f,0x737ffc40,0xf1003fff,0x3e601fff,0x7fec05ff,0x1fffd47f,
    0x5437ff40,0xfd803fff,0x7ffd41ff,0x1fffd803,0x402fffcc,0x3ea3fffd,
    0x7f4403ff,0x7fd40fff,0xfffd803f,0x220dff01,0xff9806ff,0xfffe806f,
    0x02fffcc1,0x261fffec,0xfd805fff,0x3ffea3ff,0x7fff4403,0x3fffa00f,
    0xffffd883,0x04fffe87,0x205fffd1,0xd104fffd,0x3f60bfff,0xffd104ff,
    0x3fff20bf,0xfffc880d,0x07fffcc7,0x3fffffb0,0x209fffb0,0x105fffe8,
    0x3fe60bff,0xdfff9004,0x9fffd303,0x037fff20,0x41ffff22,0x880dfffc,
    0x7cc7fffc,0x3f600fff,0x2a01ffff,0xecdfffff,0x87ffbfff,0xacefffe8,
    0x05ffffdb,0x33bfffe6,0xeffffdbb,0xdffff300,0xffffb779,0x3ffe201d,
    0xffdbbdff,0xffd81fff,0xfebabdff,0x82fffdff,0xbceffff9,0x0effffdb,
    0x2e07ff50,0x3fa003ff,0xfeddefff,0x3e205fff,0xdbbdffff,0x101fffff,
    0x77bfffff,0x03fffffb,0x57bffffb,0xffbfffd7,0xfffc805f,0xf2ffffff,
    0x7ffec0ff,0x3fffffff,0xffffd880,0x05ffffff,0xfffffd88,0x805fffff,
    0xffffffd8,0x101fffff,0xfffffffd,0x3ff65fff,0xffffb105,0x0bffffff,
    0xf901ffc8,0x7e44003f,0xffffffff,0x7ec400cf,0xffffffff,0x7ec401ff,
    0xffffffff,0xffd101ff,0xffffffff,0x2017ff65,0xdfffffea,0xb701ffe1,
    0x1bffffff,0xfffeb800,0x4001beff,0xefffffeb,0x7f54001b,0x03ffffff,
    0xffffff70,0x7ffdc19f,0x3fffae00,0xd801beff,0x0ffd00ff,0x3ffb6600,
    0x4001deff,0xffffffea,0x7f54003f,0x03ffffff,0xffffff70,0x7ffdc19f,
    0x006a6000,0x00aa9800,0x00353000,0x000d4c00,0x01355300,0x026aa600,
    0x03530000,0x54055500,0x3100002a,0x554c0000,0xa9800009,0x5300009a,
    0x00000135,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00379951,0x5554c000,0x85553002,
    0x8000aaa8,0x20000098,0x00abcba8,0x99751000,0x2a200357,0x2a2000aa,
    0x131000aa,0x2a200000,0x0009accb,0x80002662,0x44001998,0x32000019,
    0x1effffff,0xffe80000,0xfff9002f,0x000fffa8,0xbfffff91,0x3f660007,
    0x1dffffff,0xfffb5000,0x07ffffff,0x400bfff0,0x6cc07ffb,0x02ceffff,
    0x7fff5400,0x1cffffff,0x006ffe80,0x007ffee0,0xdffffdb5,0x3fa20005,
    0xffffffff,0x3ea00001,0x3f2004ff,0x07ffd47f,0x7ffffd40,0x4005ffff,
    0xfffffffb,0x2003ffff,0xffffffe9,0x2fffffff,0x003fff20,0xd8827ff4,
    0xffffffff,0xfc88004f,0xffffffff,0x200dffff,0x20006ffe,0x3201fffb,
    0xffffffff,0x7ec000df,0xffdaadff,0x3a00006f,0x7e4005ff,0x07ffd47f,
    0x3bfffea0,0x05ffffdc,0x59ffff50,0x3ffff953,0xfffff700,0xffdb99bd,
    0x3e605fff,0xff8802ff,0xffffb01f,0xbfffdb9b,0x7fff4c00,0xfeccdeff,
    0xd01effff,0x5c000dff,0xfe881fff,0xffdcefff,0x3e6005ff,0xfffb83ff,
    0xffa80002,0x6654000e,0x006664c4,0x903ffff1,0xf980bfff,0xff301eff,
    0x7fe401ff,0x36601dff,0xfd01ffff,0xdff700bf,0x033fff20,0x2013fff2,
    0x02fffffa,0x3ffffee2,0x006ffe81,0x207ffee0,0x440cfffd,0x7003fffd,
    0xff101fff,0xfd00009f,0x0000003f,0x007ffe40,0x6401fff7,0x7d401fff,
    0xfff302ff,0x7fe4005f,0xfffb80ff,0x41fff400,0x6405fff8,0x7fc407ff,
    0xd1000cff,0xffd0dfff,0x7fdc000d,0x2fffcc1f,0x401fffa0,0x3fa06ffd,
    0x0000005f,0xf1000000,0xfff009ff,0x02ffec09,0xe885ffe8,0xd8002fff,
    0xff883fff,0x3ffe603f,0x00fffb80,0x900fffc4,0x20007fff,0x7f44fffd,
    0x3ee0006f,0x77fec1ff,0x0fffdc00,0x407ffdc0,0x0002fff8,0x00000000,
    0x003fff70,0x7fc0fff9,0xbdf7004f,0x009fff70,0x41bffe20,0x3f206ffd,
    0x0bffd05f,0x4c13ffa0,0x20006fff,0x3a1ffff8,0x2e0006ff,0x3fe21fff,
    0xeef8801f,0x4fffa802,0x0007ffa8,0x37b72e62,0x2aa601ac,0x85551002,
    0xf3006ffc,0xfff105ff,0x3fa00009,0x360000ff,0xffa80dff,0x05fff00f,
    0x7c00ae62,0xfffd04ff,0xffa80003,0x01bffa4f,0x21fffb80,0x00005ffc,
    0x317fff40,0x20009fff,0xfffffffa,0xff704fff,0x1ffea00f,0x7c009ffd,
    0xbfff03ff,0xfff30000,0x01880009,0xfa83fff8,0x2200007f,0xff981fff,
    0xff00005f,0x037ff4ff,0x43fff700,0x00003ffe,0x57fffd40,0x000dfffc,
    0x7ffffec4,0x6fffffff,0x5007ffb8,0x7ffc4fff,0x17ffa003,0x00037ffc,
    0x001fffe4,0x6ffc8000,0x0004ffd8,0x541fff60,0x00002fff,0x3fa3fff9,
    0x3ee0006f,0x07ffe1ff,0xc800004c,0x4fffffff,0xbfffb000,0x3fee6213,
    0x3ffdc3ff,0x227ffa80,0x36003fff,0xfffb06ff,0xffd80001,0x0000002f,
    0x7c43fff3,0x980001ff,0xf703fffc,0x200003ff,0xffd3fffa,0x7fdc000d,
    0x443ffe1f,0x1dffffdb,0x7fff4000,0xf10002ff,0xff8809ff,0x03ffdc6f,
    0x3e67ffa8,0x3f6002ff,0x5fff706f,0xfffe8000,0x20000000,0x3fee4ffe,
    0x3f6a0006,0x3202ffff,0x00000fff,0x3fa9fff3,0x3ee0006f,0x2fff11ff,
    0xffffffe8,0xc88003ff,0x005fffff,0x401bff20,0x7fdc7ffc,0x4fff5007,
    0x2002fff9,0x33227ffc,0xcccefffd,0xffd002cc,0x8000000f,0x3ff67ffb,
    0xfff30003,0xfe803fff,0x2200007f,0xdffd5fff,0x7ffdc000,0xfd1fff31,
    0xffffddff,0x7fdc00bf,0x03ffffff,0x007b9500,0xfb83ffee,0xfff5007f,
    0x000fffd4,0x7fc4fff9,0xffffffff,0xfff004ff,0x8000000d,0xff89fff8,
    0xff50000f,0x019fffff,0x0001bffe,0x3fadfff0,0x3ee0006f,0xdfff51ff,
    0xffa817ff,0xffb802ff,0xffffbbff,0x80000081,0x3ee0fffa,0xfff5007f,
    0x000fffd4,0x7fc4fff9,0xffffffff,0xfff004ff,0x0000000f,0xdff59ffb,
    0x555cc000,0x80efffec,0x00005fff,0xffeb7ffc,0x3fee0006,0xfffff71f,
    0x7fff4403,0x3bfff200,0x83ffff21,0x0001dffa,0xffffb731,0x803ffdc1,
    0x3fe67ffa,0x3ff2001f,0x7fdcccc7,0x009999af,0x001fffd0,0xffa80000,
    0x0003ffde,0x86fffc80,0x00007fff,0x7f57ffe6,0x3ee0006f,0xffff71ff,
    0x7fff5007,0x03bffe60,0xfd97fffa,0xca9800ff,0xfffffffd,0x1ffee0ff,
    0xf13ffd40,0x7ec005ff,0x3ffe606f,0x3ff60003,0x0000001f,0x0ffffff8,
    0xff900000,0x07ffe85f,0x3ffea000,0x000dffd4,0xfa8fffdc,0x3fa006ff,
    0x3fffb05f,0x33fffe20,0x5406fff8,0xfffffffe,0x20fffeff,0xf5007ffb,
    0x02fff8ff,0x881bff60,0x20003fff,0x0002fffc,0xfffc8000,0x2000005f,
    0x7ec6fff8,0x700001ff,0x3ffa7fff,0x3ff20006,0x0bfff30f,0xf837fec0,
    0x7fcc07ff,0x03fffdff,0x3ffffff2,0xffa8acdf,0x01ffee0f,0x3fe3ffd4,
    0x3ffa003f,0x07ffe205,0x4fffa800,0x01bd8000,0x05ffff30,0xffd80000,
    0x017ffdc7,0x1fffc800,0x4000fffb,0xff10fffd,0x7fdc007f,0x04fff887,
    0xffffffb8,0xffff900f,0x3fee0159,0x01ffee0f,0x3fa3ffdc,0x3ffa004f,
    0x01ffe604,0x0bfff100,0x5fffa800,0x00fffd00,0xfff90000,0x02fffc41,
    0x37ffc400,0x4000fffb,0x7ffc7ffd,0x1ffee004,0x4013ffe6,0x03fffffc,
    0x2003bffe,0x3ee0fffc,0xfff9007f,0x1006ffd8,0x7dc05fff,0xfd80005f,
    0x360000ff,0xfb001fff,0x3722007f,0x3ff6001e,0x02fffd87,0x1fffe400,
    0x0003fff7,0xffd1bffe,0x2ffe400d,0x003fffc4,0x201ffffd,0xb002fff9,
    0x7fd41fff,0x8fffd007,0xb800fffa,0x3fe00fff,0xfa80000f,0xf30005ff,
    0x3e200dff,0xff1000ff,0x7ff4007f,0x06fffa85,0x3fffe600,0x013ffe60,
    0x913ffea0,0x7f400fff,0x5fffd03f,0xffffd100,0x3fff701d,0x1ffff100,
    0x200fffd4,0xff87fff8,0x6ffe803f,0x000bff20,0x03fffe80,0x1ffff440,
    0x005ffb80,0x98037ff4,0xffb04fff,0xfd1000bf,0xffff07ff,0xfffe8005,
    0x017ffc42,0xb80fffcc,0x7cc05fff,0x0effffff,0x201fffd4,0x20ffffe8,
    0x6c05fff9,0xffb87fff,0x3ffea00e,0x00bff902,0xffff9800,0xfffb1004,
    0x3ffe200d,0x7ffdc002,0x0fffe803,0x3dffff10,0x3fffea00,0x3ffff905,
    0x1bfff200,0x200fffe4,0x7f407ffe,0x7dc40dff,0xffffefff,0x3fffe60e,
    0x3ffff600,0x1ffff41f,0x3ffffec4,0x4077ffc4,0xfb06fffa,0xbdffddff,
    0x05b98359,0x33ffffee,0x7ffe440a,0x511300ef,0x2000dffd,0xd303fffe,
    0xf9807fff,0x409bffff,0xeffffca8,0xfffff100,0x7dcc437b,0xf102ffff,
    0xfb103fff,0xff9805ff,0xffecefff,0xfff54fff,0x7ffec1df,0xffebabdf,
    0x542fffdf,0xecdfffff,0x07ffbfff,0x77bffff7,0x501ffffd,0xffffffff,
    0xfdffffff,0x7dc01fff,0xeeffffff,0x1fffffff,0x3fffffa0,0xff10001f,
    0xfb759dff,0x2200bfff,0xeffffffe,0xfffffffe,0x7ffcc00d,0xffffffff,
    0x403fffff,0xbceffffb,0x002ffffc,0xffffffd1,0xfa85ffff,0x7ff446ff,
    0xffffffff,0xf90bffb2,0xffffffff,0xfa81ffe5,0xffffffff,0x3fffe01f,
    0xffffeeff,0x3fffffff,0x7ffffd40,0xffffffff,0x7ffec00d,0x4c0002ff,
    0xfffffffe,0x44003fff,0xfffffffc,0x03ffffff,0x3ffffa20,0xffffffff,
    0xfff3002f,0x7fffffff,0xfffd9000,0x26019dff,0xfff700ef,0x5c19ffff,
    0xfea80fff,0x3e1dffff,0x7fecc07f,0x400cffff,0xb880adfc,0xdffffffd,
    0xfffb5002,0x03bfffff,0x0b7fff20,0xfffb8000,0x000dffff,0x3fffee20,
    0x00beffff,0xffffb500,0x017dffff,0xffffd880,0x40002cef,0x30009a98,
    0x13553003,0x06a60000,0x9aa98000,0x40031000,0x000aaaa8,0x026aa660,
    0x0004c400,0x35551000,0x53100000,0x00001355,0x4d5554c4,0x55100000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x00135999,0x2f2e6000,0x2200000a,
    0x22000019,0x30000019,0x01359995,0x3b2e2000,0x2aaa0acd,0x4cc40000,
    0x26660001,0x00033310,0x65d4c000,0x100009bc,0xdddddddd,0x00dddddd,
    0x7ffffe4c,0x001dffff,0x7fff6440,0x03efffff,0xffffd880,0xd98004ef,
    0x01dfffff,0x7ffe4c00,0x1dffffff,0x3fff2000,0xff1fffff,0xfa80003f,
    0xff10007f,0x01ffea9f,0xff930000,0xdfffffff,0x7fcc001b,0xffffffff,
    0xd8807fff,0xeeefffff,0x01efffff,0xfffffa80,0xffffffff,0xfff7001e,
    0x3dffffff,0x3ffff200,0x00dfffff,0x7fffec40,0xffffeeef,0x7ec001ef,
    0xffffffff,0x001fffaf,0x003ffd40,0xf54fff88,0x200000ff,0xffffffd8,
    0xffffffff,0xffff7002,0xffffffff,0xfffa80ff,0xfd7100bf,0x7d4007ff,
    0xdceeffff,0x1ffffffe,0x6ffffe40,0x1ffffecc,0x77ffff40,0x0efffedc,
    0x7ffff500,0x3ffae201,0xfff9003f,0x3fee615d,0x0001ffff,0x8003ffd4,
    0xff54fff8,0xd300000f,0x9dffffff,0xffffffb9,0xeffc801b,0xaaaaaaaa,
    0x3ff202aa,0x7fd4002f,0xfff8805f,0x3faa00cf,0x3fe607ff,0xfffa81ef,
    0x3bfff206,0x06fffa81,0x002fffc8,0x202fffd4,0x300efff9,0x003ffffd,
    0x007ffa80,0x2a9fff10,0x400007ff,0x1bfffff9,0x3fffee20,0x01fff406,
    0x077fd400,0x4ffd8800,0x01fffd40,0x205fffb0,0x2a00fffd,0xff983fff,
    0x3fe600ef,0x3bfea03f,0xffb10000,0x07ffec09,0x07fffe60,0x0fff5000,
    0x53ffe200,0x00007ffa,0x00f7fff4,0x03ffff30,0x00017ffc,0x00017fe6,
    0xf9017fec,0xff8800bf,0x07fff04f,0xfb0bffd0,0xff9003ff,0x017fe60f,
    0xffd80266,0x009ffd02,0x0007fff6,0x000fff50,0x7d53ffe2,0x3200007f,
    0x10005fff,0x3e20bfff,0x740000ff,0x3bbb20ff,0x201bcdee,0xfff00ffe,
    0xfff90007,0x005fff10,0xfff0dff9,0x3ffe200b,0x880ffe81,0x2effffdb,
    0xf881ffd0,0xff5001ff,0xfa80003f,0xff10007f,0x01ffea9f,0x7fffcc00,
    0x3ff20000,0x07ffa80f,0x217fd400,0xfffffffd,0x7ff304ff,0x0017ffe0,
    0xf103bbea,0xff9005ff,0x03fff88d,0xf50fffa0,0xffff305f,0x305ffffd,
    0xfff987ff,0x3fff3000,0x5ef6dc40,0x001ffea1,0xfaa7ffc4,0x37b2a27f,
    0xfffc801b,0x7fc40002,0x05ffc83f,0x6c37ec00,0xecbaaaef,0x0df904ff,
    0x0003fff6,0x013ffa00,0xff313ffa,0x7fec005f,0x7c437ec5,0xfd510aff,
    0xb8df901f,0x3e2007ff,0xfff701ff,0xf51dffff,0x3e2000ff,0x2fff54ff,
    0xfffffffa,0x1fffe00e,0xb0154000,0x32ea27ff,0x3fe200ab,0x3a05fd82,
    0x05ff307f,0x001bfff7,0x0fffb800,0x307ffea0,0x6c003fff,0x0bfe27ff,
    0x74403ffa,0x22ff985f,0x7c006ffd,0xfffd81ff,0xceffffff,0xf10007ff,
    0x3ffea9ff,0xfffffffb,0xff982fff,0x0000005f,0xfff95fff,0x701bffff,
    0x817f60ff,0x9fd00ffb,0xbfffff10,0xd1000015,0xff703dff,0x5fff10df,
    0x73fff400,0x05ff30ff,0x9fd03d98,0x1003ffe4,0xffc83fff,0xff730aef,
    0x2000ffff,0xff54fff8,0x2615ffff,0x5c1ffffc,0x00004fff,0xfffff880,
    0xffffffff,0xd82fe42f,0x81bf605f,0xfff305fc,0x037dffff,0x7ffec400,
    0x3fffedde,0x8013ffe0,0x17f27fff,0x20001fee,0x1ffee5fc,0x21fff980,
    0x300dfff9,0x000fffff,0x7d53ffe2,0xf500efff,0xfffc8bff,0x98000002,
    0xacefffff,0x1fffffdb,0x2fec13f6,0x7017fdc4,0x7ff440df,0xefffffff,
    0xffb8000b,0x02ffffff,0x4007fff4,0xfb0ffffb,0x000bfb09,0x7fd4df70,
    0xfff3000f,0x007ffe43,0x001fffee,0xfaa7ffc4,0x7dc00fff,0x3fff61ff,
    0xb8000001,0xb101ffff,0x1ff4dfff,0xffffffd8,0x7d405fff,0xfffeb807,
    0xdfffffff,0xfffc8801,0x3fffffff,0x017ffea0,0x21fffff1,0x04ff83fe,
    0x227fa800,0xf9003fff,0x27ff43ff,0x007fff80,0x2a9fff10,0xf8804fff,
    0x1fffa4ff,0xaaaaaa80,0x20aaaaaa,0xd801ffeb,0x07fd3fff,0x3ffffff6,
    0x7fa800cf,0x3ff6e600,0x3fffffff,0x37fffe60,0xfffeba9b,0x37fffa05,
    0xfffffa80,0xff07fd0f,0xff500009,0x400fffd8,0x3e1ffff8,0xff7001ff,
    0x3fe2000f,0x01fff54f,0xfe9bff20,0x3ff6007f,0xffffffff,0x7c40000f,
    0x209fb6ff,0xffc99dfd,0x06fb800c,0x3ffae600,0xf883ffff,0x3ee02fff,
    0xfff305ff,0xfffbbdff,0x7ecfff5d,0x0005fd84,0x7fc46fb8,0x3ff6205f,
    0x1fff31ff,0x01ffea00,0xaa7ffc40,0x3ee007ff,0x03fff67f,0x7ffffec0,
    0x00ffffff,0x97ffd800,0x117f60bf,0xbf900bff,0x3ee20000,0x7e40ffff,
    0xffc801ff,0xfffd302f,0x2abfffff,0x217f27ff,0x17b007fc,0xff90bf90,
    0x7f5443df,0xff51ffff,0x3ffcc00f,0x4fff8800,0x5400dff5,0xfff90fff,
    0x3fff6001,0xffffffff,0xffb80000,0xd80ffb8f,0x03ffa85f,0x000027fc,
    0x88ffffa2,0x3a005fff,0x7fe405ff,0x3ee3dfff,0x503fee7f,0xffc807ff,
    0xfb04ff82,0xffffffff,0x323fffbf,0x3e2007ff,0xff10007f,0x017fea9f,
    0xf71fff98,0x200005ff,0x0000fffb,0xf89fffa8,0xb05fd83f,0x3fea03ff,
    0x0004cc41,0x7ccbfff0,0x3f2002ff,0x0351007f,0xff89bff2,0x301ffd83,
    0x3ff50dff,0x7ffffdc0,0xfff9afff,0x400fff71,0x10007ff8,0x3fea9fff,
    0x3ffea006,0x00bfff30,0x03ffee00,0x3ffee000,0xbfb0df90,0x6c1bfe20,
    0x27ffc45f,0x4fff9000,0x2001fffa,0x0000fffb,0x7e44ffd8,0x9bfff986,
    0x81fffdb9,0xdb9805fd,0xff30bdee,0x03ffea1f,0x263ffcc0,0x7ffc401a,
    0x400dff54,0x7ff47ffb,0xff700007,0x0732a21f,0x267ffc80,0x02fec3ff,
    0xffa87ff7,0x006fff82,0x4c3ffee0,0x2e001fff,0x40000fff,0x7cc2fff8,
    0xfffe983f,0xa82fffff,0x500002ff,0x3fe21fff,0xfff5001f,0x26027ff4,
    0xfff53fff,0x237fe400,0x0003fffc,0xf10fffb8,0x7f4009ff,0x90ffec6f,
    0x25ed809d,0xffd06ff8,0x3f60003f,0x0fffe25f,0x5c6ffc80,0xff7003dc,
    0x03ffb01f,0x33bfff6e,0x306ff880,0x7ffb8001,0xc801fff4,0x17ff67ff,
    0x2a7fff50,0xfd001fff,0xffff88bf,0x7fdc0001,0x01bffa0f,0x221fffd4,
    0x40001ffe,0xf500ffe8,0x88001dff,0x7ff43fff,0x17ffa006,0x3a00dff9,
    0xffd105ff,0x74400803,0x5ffd00ff,0x8bffd100,0xf8806ffd,0x1fff27ff,
    0x2a5fff70,0xfa804fff,0xfffb82ff,0xfd30001e,0x7ffe41ff,0x37ff4403,
    0x003fff98,0x805fff50,0x001ffffe,0xc81ffff3,0xfc804fff,0x7ffcc2ff,
    0x0fffe402,0x007fff30,0x80bffea0,0xfc807ffd,0x7ffd42ff,0x3fffe403,
    0x2207fff7,0x3fea7fff,0x7ff401ff,0x3ffff606,0x3ff22003,0x3fa20fff,
    0xffd303ff,0x7ffcc05f,0xff93001d,0xfff3005f,0x4c1379ff,0x05ffffca,
    0x6409fffd,0xffd04fff,0x3fff203f,0xdfff9804,0xfff93001,0xcfffb805,
    0x0dfff701,0x6413fff2,0x7fc7ffff,0x3faa23ff,0x3ffea5ff,0xffe881ff,
    0x3ffa201f,0x109bdfff,0xfffffb75,0xffff307f,0xfffb759d,0xffb1007f,
    0x531357df,0x01dfffd7,0x7ffffd40,0xffffffff,0x3e606fff,0xcbbdffff,
    0x300effff,0xb79fffff,0x400bffff,0xabefffd8,0xffeba989,0xffb000ef,
    0xffb9bfff,0x7ec03fff,0xfecaceff,0x7dc7ffef,0xfffeffff,0x77fd46ff,
    0xfdbbefff,0xf9005fff,0xffffffff,0xffffffff,0x7ff54019,0xffffffff,
    0x7ff5c002,0xffffffff,0xd30004ff,0xffffffff,0x009fffff,0xffffffd3,
    0x801bffff,0xfffffffa,0x70005fff,0xfffffffd,0x009fffff,0xfffffe88,
    0x01efffff,0xffffffe8,0x87ff8dff,0xfffffffc,0x7fd40eff,0xfffffe8d,
    0x54003fff,0xfffffffe,0x1effffff,0x3fffee00,0x0000deff,0x3fffff6a,
    0x00002dff,0xffffffb5,0x80037bff,0xfffffffb,0x3f62002e,0x01efffff,
    0xfffda800,0x002dffff,0x7fffecc0,0x22002dff,0x4ffffffb,0x3ea0fff1,
    0x0cefffff,0xfb15ffa8,0x003dffff,0x7fffe4c0,0x02cdffff,0x02aa6200,
    0x2a620000,0x40000009,0x000aaa99,0x03553100,0x9aa98800,0x31000000,
    0x00000135,0x00002662,0x80002aa6,0x00009a98,0x00000d4c,0x004d54c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x26200013,0x22000099,0x99999999,
    0x99999999,0x00999999,0x00266600,0x04cc4000,0x19880000,0x546a6000,
    0x555001aa,0x00026663,0x33333000,0x13333333,0x33333000,0x13333333,
    0x13331000,0x3f206662,0xfd8000ff,0x360002ff,0xffffffff,0xffffffff,
    0x05ffffff,0x1ffff700,0x3f660000,0x01dfffff,0x1fff1000,0x29ff3000,
    0xfd003fff,0x017ffe9f,0xffff0000,0xffffffff,0x3e005bff,0xffffffff,
    0x02dfffff,0x2a5fff50,0xfff887ff,0x7ffcc005,0x3fe60006,0xffffffff,
    0xffffffff,0x005fffff,0x07ffffd0,0xfffd8800,0xcfffffff,0x7ff40000,
    0x7fc4000f,0x007fff4f,0x7ffd3ffa,0x7c000005,0xffffffff,0xefffffff,
    0x7ffffc03,0xffffffff,0x5403efff,0xfff52fff,0x007ffee0,0x001fffd8,
    0x3fffff60,0xffffffff,0xffffffff,0xf98005ff,0x0006ffff,0x677ffff4,
    0x05ffffec,0x3fffee00,0x7fff4000,0x2007fff4,0xbfff4ffe,0xff800000,
    0xffffffff,0xffffffff,0xfffff01f,0xffffffff,0x03ffffff,0x7d4bffea,
    0x1bffa07f,0x02fffcc0,0x3dfff100,0x339fff53,0x33333333,0x90001333,
    0x03fff9ff,0x37fff200,0x3fffe980,0xffff9800,0x3ff6000f,0x07fff4ff,
    0x7fd3ffa0,0x4000005f,0x9999efff,0xfeb99999,0xff80efff,0x999999ef,
    0xfffdb999,0xfffa80ef,0x540ddd32,0xfe802fff,0x320000ff,0x3fe62fff,
    0x0000003f,0x3ff67ffe,0xfff98005,0x0fffe804,0x7ffff400,0xffea800f,
    0x7fff4fff,0x7d3ffa00,0x000005ff,0x2002fffc,0xf86ffffa,0x754005ff,
    0xffa86fff,0xffe8002f,0x27ffd407,0xdfff1000,0x003fff98,0xfff50000,
    0x0003ffee,0x3001fff9,0x64005fff,0x00fffeff,0x3fffff22,0x07fff4ff,
    0x7fd3ffa0,0xaaaaaaef,0x80019aaa,0x88005fff,0x7fc2ffff,0xff88005f,
    0x7ffd42ff,0xfff98002,0x03fffa03,0x2fffc800,0x001fffcc,0x4ffd8000,
    0x8007fff1,0x3e005ffe,0xff5004ff,0x201fff5d,0xdbfffffa,0x07fff4ff,
    0x7fd3ffa0,0xffffffff,0x1cffffff,0x00bfff00,0xf1bffea0,0x26000bff,
    0x7fd46fff,0xffb0002f,0x5fff701f,0x7ffc4000,0x03fff986,0xff880000,
    0x01bff62f,0x4007fff0,0xf8805ffe,0x0fff99ff,0x23dfffb0,0x7fff4ffd,
    0x7d3ffa00,0xffffffff,0xffffffff,0x5fff805f,0x3fffa000,0x0017ffe2,
    0x2a2fffd8,0x55512fff,0x09fff100,0x8000dfff,0xf982fffc,0x000003ff,
    0x2a0fffb8,0x88001fff,0x13ffe000,0x7cd3ff60,0x7ffb00ff,0xfff4ffd8,
    0x53ffa007,0xeeeeffff,0xffffeeee,0x7fc04fff,0x3e60005f,0x17ffe4ff,
    0x4fffa800,0x7d4bffea,0xfff9007f,0x00fffdc3,0x0dfff100,0x000fffe6,
    0x13ffa000,0x00017ffe,0x05fff300,0x3e66ffb8,0x017900ff,0x3ffe9ffb,
    0x29ffd003,0x26005fff,0x202ffffe,0x40005fff,0x3ffe6fff,0x7ffc0005,
    0x54bffea6,0xff1007ff,0x17ffe2bf,0x7fff7000,0x00fffe60,0xfff30000,
    0x01fff903,0x7fec0000,0x3ffe200f,0x003ffe60,0x7fd3ff60,0x9ffd004f,
    0x20017ffe,0x3e06fffc,0x6c0005ff,0xbfff0fff,0xfffd8000,0x2a5fff50,
    0x3ea007ff,0x0fffc9ff,0x37ffc000,0x339fff30,0x33333333,0x7ec00133,
    0x7fff306f,0x3ea00000,0x7ff404ff,0x007ffcc3,0xffa7fec0,0x9fff004f,
    0x40017ffe,0xff00ffff,0xfc8000bf,0x0bfff0ff,0x0fffd800,0x3ea5fff5,
    0x7ff4007f,0x0004fffd,0x301fffdc,0xffffffff,0xffffffff,0x3ffe200b,
    0x01bffa04,0x3ffe6000,0x17ff200e,0x0003ffe6,0x7ffd3ff6,0x29fff005,
    0x90005fff,0x55543fff,0xaaaaefff,0x7e401aaa,0x0bfff1ff,0x1fffc800,
    0x3ea5fff5,0x9999707f,0xffffffb9,0x0599999b,0x301fffe0,0xffffffff,
    0xffffffff,0x3ffee00b,0x0bffee00,0xfff88000,0x3ffe602f,0x00fff980,
    0xff4ffd80,0xfff100df,0x0017ffe9,0xff1fffd4,0xffffffff,0xb807ffff,
    0xbfff2fff,0xfffb8000,0x2a5fff52,0xfffd07ff,0xffffffff,0x9fffffff,
    0x07fff700,0xffffff98,0xffffffff,0xffd005ff,0x5fff880d,0xffd10000,
    0x7ff4409f,0x01fff302,0x3e9ffb00,0x7dc00fff,0x0bfff4ff,0x8bffea00,
    0xffffffff,0x03ffffff,0xff8fffe4,0x7e40005f,0x5fff51ff,0x7f41ffea,
    0xffffffff,0xffffffff,0xfffe804f,0x67ffcc00,0x99999999,0x98009999,
    0xfd803fff,0x4c0000ff,0x6404ffff,0x3fe605ff,0xffd8000f,0x40dffff4,
    0xff4ffff9,0x3f2000bf,0x3e6661ff,0x99999eff,0x7fec0099,0x00bfff1f,
    0x50fffd80,0x3fea5fff,0x55555507,0x55bffd55,0x80355555,0xaaadfffa,
    0xffbaaaaa,0x9000003f,0x9999bfff,0xfffb9999,0x7fd40007,0x7fd404ff,
    0x3ffe600f,0x4ffd8000,0x419fffff,0x4fffffa8,0x1000bfff,0x3e01ffff,
    0x740005ff,0xbfff0fff,0x7ffe8000,0x7d4bffea,0xffd0007f,0xffe80009,
    0xffffffff,0x03ffffff,0xffff0000,0xffffffff,0x00ffffff,0x0ffffee0,
    0x805fff10,0x8000fff9,0xffff4ffd,0xfffbdfff,0x3fe9ffdf,0x7ec4005f,
    0x3ffe05ff,0x7ffc0005,0x0017ffe7,0x7d4dfff0,0x0fff52ff,0x013ffa00,
    0xfffffa80,0xffffffff,0x0003ffff,0xfffffa80,0xffffffff,0x002fffff,
    0x017fffe4,0x7fffffdc,0xffffffff,0xb007ffff,0x33ffe9ff,0xfffffffe,
    0xfff4ffbc,0xfca9880b,0x3e00ffff,0x220005ff,0x3ffe5fff,0x3fe20005,
    0x4bffea5f,0xffd07ffa,0xffffffff,0xffffffff,0x77fff409,0xeeeeeeee,
    0x003fffee,0xafffd800,0xaaaaaaaa,0x05fffbaa,0x07ffff60,0x7ffffdc0,
    0xffffffff,0x007fffff,0x3ffe9ffb,0x9fffffb3,0x7ffd3fee,0xffffffff,
    0xffffffff,0x02fffc02,0x47fff700,0x20005fff,0x3ea3fffb,0x0fff52ff,
    0x3ffffffa,0xffffffff,0xf504ffff,0x7cc009ff,0x400003ff,0x8004fff8,
    0xd800fffe,0x2000efff,0xfffffffb,0xffffffff,0xfb007fff,0x88fffe9f,
    0xfff801a9,0xffffffff,0x1effffff,0x005fff80,0x41ffff10,0x10005fff,
    0x7d41ffff,0x0fff52ff,0x3bbbbbb2,0xeeeffffe,0xfd03eeee,0x7cc001ff,
    0x400003ff,0x8001fffb,0x6c04fffb,0x4000dfff,0x99999998,0xfffa9999,
    0xfb00199a,0x00fffe9f,0xffffff80,0xffffffff,0x3fe002de,0xff90005f,
    0x05fff8bf,0x89fff900,0xff52fffa,0x3ffa000f,0xfff98004,0x7ffcc004,
    0x7f400003,0xff10006f,0x7ffdc0ff,0x30000005,0xb0001fff,0x0fffe9ff,
    0x9efff800,0x09999999,0x17ffe000,0x3fffe600,0x002fffc1,0x207fffcc,
    0xff52fffa,0x3ffa000f,0xfffd8004,0x7ffcc001,0x3e600003,0x320003ff,
    0xff882fff,0x0000006f,0x0003ffe6,0x7ffd3ff6,0x3ffe0003,0x7c000005,
    0x322005ff,0xff84ffff,0x3f22005f,0xffa84fff,0x00fff52f,0x0013ffa0,
    0x000bfff3,0x555bfff3,0x55555555,0xffc81555,0x3e60000f,0xfffd85ff,
    0xaaaaaaac,0x002aaaaa,0x001fff30,0x3fe9ffb0,0x3fe0003f,0x4000005f,
    0xaaaaefff,0xffeccaaa,0xfff05fff,0x5555555d,0xfffffd99,0x4bffea0b,
    0xd0007ffa,0xfd8009ff,0xf98001ff,0xffffffff,0xffffffff,0x037ffc1f,
    0x0ffff400,0xfffffff3,0xffffffff,0x26000dff,0xd8000fff,0x07fff4ff,
    0x02fffc00,0x3ffe0000,0xffffffff,0xdfffffff,0xffffff00,0xffffffff,
    0x540bffff,0xfff52fff,0x13ffa000,0x05fff980,0xfffff300,0xffffffff,
    0x543fffff,0x80003fff,0x3ee4fffb,0xffffffff,0xffffffff,0xfff30006,
    0x9ffb0001,0x8000fffe,0x00005fff,0x7fffffc0,0xffffffff,0x7fc01dff,
    0xffffffff,0x2dffffff,0xa97ffd40,0xfd0007ff,0x7fe4009f,0xff30002f,
    0xffffffff,0xffffffff,0x007ffec3,0x3fffc400,0xfffffffb,0xffffffff,
    0x26000dff,0xd8000fff,0x05ddb4ff,0x02fffc00,0x3ffe0000,0xffffffff,
    0xf000ceff,0xffffffff,0x0399ddff,0x54bffea0,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33331000,0x33333333,0x13333333,0x4cccccc4,0x99999999,0x26621999,
    0x99999999,0x20000199,0x09accba8,0x00026620,0x88019988,0x2a09bddb,
    0x886aa22a,0x002ceeca,0x540bdb88,0x133300ee,0x26662000,0x00666209,
    0x98555500,0x033312aa,0x7fff4000,0xffffffff,0xffffffff,0x3fffff63,
    0xffffffff,0xfd1fffff,0xffffffff,0x9dffffff,0xffc88003,0x04ffffff,
    0x4000dffd,0xd701fffb,0x1dffffff,0x5ffa9ffe,0xfffffff5,0x3fee005d,
    0xfe9befff,0x09fff107,0xdfffd100,0x003ffd41,0xf917ffa0,0x01ffeaff,
    0xffffe800,0xffffffff,0x3fffffff,0x3ffffff6,0xffffffff,0xffd1ffff,
    0xffffffff,0xffffffff,0xfff5001b,0xffffffff,0x06ffe85f,0x07ffee00,
    0x3bfffff6,0x7ff9efff,0x3fef7fea,0xfffffeff,0xfeffe802,0x05ffffff,
    0x8009fff1,0x40efffe8,0x40007ffa,0x7fe45ffe,0x000fff57,0x7fffff40,
    0xffffffff,0x23ffffff,0xfffffffd,0xffffffff,0xfffd1fff,0xffffffff,
    0xffffffff,0xffff980b,0xffeb99ad,0x1bffa0ff,0x1fffb800,0x10f7ffe4,
    0x4ffffff7,0x1efffffa,0x07fffea2,0xd711ff98,0x22019fff,0x22004fff,
    0xa80efffe,0x740007ff,0xbffe45ff,0x00007ffa,0x2667bffa,0x99999999,
    0x36099999,0x99999fff,0x99999999,0x01bffa19,0xffffd988,0x5fffd103,
    0xd37ffdc0,0x5c000dff,0x3fe61fff,0xfff300df,0x7fffd4ff,0xdfff300d,
    0xa88264c0,0x27ffc400,0x5fffe880,0x001ffea0,0xca879970,0x00fff54c,
    0x037ff400,0x1fff6000,0x37ff4000,0x6fffb800,0x009fff70,0x3fa5fff9,
    0x3ee0006f,0x3fff21ff,0x3fffdc00,0x801ffff5,0x0002fffb,0x27ffc400,
    0x2ffff440,0x001ffea0,0xfff50000,0x7ff40000,0x7ec00006,0xfd00007f,
    0x7ec000df,0x7ffd80ff,0x753ffe00,0x2e0006ff,0x3ffa1fff,0x4fffd004,
    0xf004fffa,0x000007ff,0x404fff88,0x805fffe8,0x00007ffa,0x03ffd400,
    0x0dffd000,0x7ffd8000,0xdffd0000,0x7ffd4000,0x004fff82,0x7ff5bff6,
    0x3fee0006,0x00bffe1f,0xff53ffdc,0x3ff2001f,0x6e5cc405,0x2201acde,
    0x3a204fff,0xf5005fff,0x000000ff,0x0007ffa8,0x001bffa0,0x00fffb00,
    0x01bffa00,0x44fff980,0x2002ecc8,0xdffd6ffd,0x7ffdc000,0x001fff31,
    0xffa9ffea,0x1bfee007,0xffffffa8,0xf104ffff,0x3fa209ff,0x3ea005ff,
    0xaaaa807f,0x01555101,0xdba8fff5,0xfe800ace,0x6c00006f,0xd00007ff,
    0x5c000dff,0x00003fff,0x7ff4fffe,0x3fee0006,0x01fff51f,0xfa9ffe60,
    0x3fea006f,0x7ffec40f,0xffffffff,0x4fff886f,0x04fffe88,0x203ffd40,
    0x2205fffc,0xffa81fff,0xfffffd37,0xffe809ff,0x7ec00006,0xfd00007f,
    0x7ec000df,0x500001ff,0x3ffa3fff,0x3fee0006,0x00fff91f,0xff53ffc4,
    0x7ffcc00b,0x4efffec1,0xffff7310,0x44fff887,0x004ffff8,0x3207ffa8,
    0x7c405fff,0xfffa81ff,0xfffffffb,0x3fa03fff,0x6c00006f,0xd00007ff,
    0x2e000dff,0x00007fff,0x7f4dfff3,0x3ee0006f,0x0fff71ff,0xf53ffc40,
    0x7fcc00bf,0x13ffe20f,0x88dfff10,0x3fe24fff,0xf50004ff,0x3fff20ff,
    0x1fff8805,0xffffffa8,0xfffc99ac,0x3dffd02f,0x33333333,0x81333333,
    0x9999fffd,0x99999999,0x006ffe81,0x3ffff662,0xff980002,0x3fffa1ff,
    0xcccccccc,0xfdcccccc,0x1fff51ff,0xa9ffe600,0x3ea006ff,0x037fe47f,
    0x7c47ffc8,0xffff14ff,0x3ea0001f,0x5fffc87f,0x03fff100,0x01dffff5,
    0x7417ffe6,0xffffffff,0xffffffff,0x7ffec3ff,0xffffffff,0x740fffff,
    0xeeeeefff,0xffffeeee,0x80004fff,0x742ffff9,0xffffffff,0xffffffff,
    0xf31fffff,0x3ea003ff,0x01ffea7f,0x6545ffb8,0xfff7003d,0x467ffc41,
    0x05ffffff,0xc8fff500,0x22004fff,0xffa81fff,0x7fec01ff,0xfffffd07,
    0xffffffff,0xd87fffff,0xffffffff,0xffffffff,0x7fffff40,0xffffffff,
    0x002fffff,0x2ffff980,0xffffffe8,0xffffffff,0x1fffffff,0x5c00fffe,
    0x3ffea7ff,0x09ffb001,0x1fff5000,0x7fefffc4,0x03ffffff,0x2e7ffa80,
    0x44004fff,0xffa81fff,0xfffa804f,0xfffffe80,0xffffffff,0x6c3fffff,
    0xffffffff,0xffffffff,0x7fffff40,0xffffffff,0x0000bdff,0x02ffff88,
    0xddddfffd,0xdddddddd,0x43fffddd,0xff007ffd,0x2fffd4ff,0x017ffcc0,
    0x7fedcc40,0x3ffe20ff,0xff9bffff,0x7d4001ff,0x09fff77f,0x03fff100,
    0x3005fff5,0xffd03fff,0xfd80000d,0x999999ff,0x81999999,0xaaaaeffe,
    0x2ffffdcb,0x7fec0000,0x1bffa02f,0x1fffb800,0x700fffe2,0x7fd4ffff,
    0x7fec01ff,0x6e54c00f,0xffffffff,0x3fffe20f,0x3ffee2ff,0x3fea000e,
    0x01ffffcf,0x81fff880,0x9801fffa,0xffe81fff,0x7ec00006,0xfd00007f,
    0xffe880df,0xf300005f,0xffe807ff,0x3fee0006,0x27ffe41f,0x27ffffc8,
    0x82fffffa,0x203fffd8,0xffffffea,0x0fffefff,0x0bffffe2,0x8017fffa,
    0xfffffffa,0xff88006f,0x0fffa81f,0x81fff980,0x00006ffe,0x0003ffec,
    0x8806ffe8,0x0005fffe,0xe806ffb8,0x2e0006ff,0x7f441fff,0xfecaceff,
    0x3ea7ffff,0xbbdfffff,0x205ffffd,0xfffffffc,0xfffa8acd,0x0bfffe20,
    0x01ffffc4,0xefffffa8,0x44003fff,0xffa81fff,0x3fff3007,0x000dffd0,
    0x007ffd80,0x00dffd00,0x00ffffe2,0x009ffb00,0x4000dffd,0xfb01fffb,
    0xbfffffff,0x7fd4fff7,0xffffff9f,0x3f204fff,0x700acfff,0x7fc41fff,
    0x7ffd404f,0xfffa801f,0x03fffd3f,0x40fffc40,0xf3007ffa,0xdffd03ff,
    0xffd80000,0xffd00007,0x7ffcc00d,0x3fa0002f,0x6ffe804f,0x3ffee000,
    0x3fffae01,0x4fff54ff,0xffb17ffa,0xf8037dff,0xfc800eff,0x3ffe20ff,
    0x6fffd804,0x23fffa80,0x2006fff9,0xfa81fff8,0xfff3007f,0x00dffd03,
    0x07ffd800,0x0dffd000,0x0ffffc80,0x07fff000,0x000dffd0,0x400fffdc,
    0x7fd40a98,0x261ffea7,0xfff3000a,0x3fff6005,0x013ffe20,0x013fffe2,
    0xff90fff5,0x3fe2007f,0x07ffa81f,0xd03fff30,0x80000dff,0x00007ffd,
    0xd000dffd,0x0000bfff,0x01bffa00,0x01fffb80,0x53ffd400,0x70000fff,
    0xf1003fff,0x7fc41fff,0xfff3004f,0x3ffd405f,0x801fffe8,0xfa81fff8,
    0xfff3007f,0x00dffd03,0x07ffd800,0x0dffd000,0x5ffff300,0xfd000000,
    0x7dc000df,0x540001ff,0x1ffea7ff,0x3ffea000,0x7fff4403,0x13ffe20f,
    0x0ffffc80,0x260fff50,0xf8806fff,0x7ffa81ff,0x03fff300,0x0000dffd,
    0x0007ffd8,0x000dffd0,0x003ffff2,0xdffd0000,0x7ffdc000,0x7fd40001,
    0x001ffea7,0x03fffe60,0x1fffffd8,0x0013ffe2,0x2a0dfffd,0x3ff207ff,
    0x7ffc403f,0x007ffa81,0xfd03fff3,0x555555df,0x55555555,0x3ffec555,
    0x6ffe8000,0xfffd1000,0x7ffc400b,0x06ffe806,0x07ffee00,0x4fff5000,
    0x00007ffa,0x57bffffb,0xffbfffd7,0x27ffc45f,0x3fffe600,0x207ffa84,
    0x201ffff8,0xfa81fff8,0xfff3007f,0xfffffd03,0xffffffff,0x1fffffff,
    0x0001fff6,0x00037ff4,0x005ffff5,0x201bffe2,0x20006ffe,0x0001fffb,
    0xff53ffd4,0x3a20000f,0xffffffff,0x4bffb2ff,0x8004fff8,0x541ffffb,
    0x7fd407ff,0x3ffe206f,0x007ffa81,0xfd03fff3,0xffffffff,0xffffffff,
    0x3ff61fff,0xffd00007,0xffd8000d,0xfff1006f,0x0dffd00d,0x0fffdc00,
    0x9ffea000,0x00007ffa,0x7fffffdc,0x3ffee0cf,0x009fff10,0x83ffff60,
    0xfd807ffa,0xfff103ff,0x00fff503,0x3a07ffe6,0xffffffff,0xffffffff,
    0xffb0ffff,0x3fa0000f,0x7c40006f,0xf8804fff,0xffe806ff,0x3fee0006,
    0x74c0001f,0x01bbaa6e,0x4d54c000,0x7ffc4000,0xfff10004,0x03ffd4bf,
    0x40ffffc4,0xfa81fff8,0xfff3007f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b6e6000,
    0x988000bc,0x2660abcb,0x54400009,0x99980aaa,0x98000099,0xaaa80999,
    0x0013331a,0x100ccc40,0x26603555,0x99999999,0x99980019,0x99999999,
    0xdb880000,0x00774c0b,0x26662030,0x4ccccc40,0x99999999,0x00999999,
    0x3ffff660,0x000cffff,0x1ffffff9,0x0013ffe2,0x217fff20,0x005fffff,
    0x37fffd40,0x7c3fffe6,0x50001fff,0x3f603fff,0xfff81fff,0xffffffff,
    0x202dffff,0xfffffff8,0xcfffffff,0x7ffd4002,0xffd9beff,0x904e9800,
    0xffc89fff,0xffffffff,0xffffffff,0xfff7004f,0xffffffff,0xffff700d,
    0x7ffc4fff,0xffb00004,0xfffff81f,0x3f60000f,0x7fec6fff,0x1bfffe1f,
    0x0fffd400,0x77ffffe4,0x7fffffc0,0xffffffff,0xf883ffff,0xffffffff,
    0x4fffffff,0x3fbffa00,0x05ffffff,0xf904ffb8,0xfffc89ff,0xffffffff,
    0xffffffff,0xffffa804,0xfffd711c,0x7fffc40b,0x3fe23cce,0xd100004f,
    0xffff89ff,0xf10002ff,0x7c4dffff,0x7fffc3ff,0xffa8004f,0x57ffd41f,
    0x7ffc5ffd,0xffffffff,0xffffffff,0x7ffffc42,0xffffffff,0x8805ffff,
    0xffd712ff,0xffb001bf,0x13fff209,0xfffffff9,0xffffffff,0x8809ffff,
    0x3601ffff,0xff501fff,0x7ffc407f,0x3e600004,0x3fffe0ff,0xf70005ff,
    0x7e4dffff,0xfffff85f,0x7fd4001f,0x53ffe21f,0x3fe4fff8,0x999999ef,
    0xfffb9999,0x3ffe21ff,0x9999999d,0x5ffffca9,0xa88264c0,0x13ff6000,
    0x2227ffe4,0x99999999,0xfa999999,0x7dc02fff,0x7fcc02ff,0x1fff704f,
    0x027ffc40,0x93fea000,0x0fffefff,0xffffd800,0x01dff16f,0x1dffffff,
    0x0fffd400,0x7d41dffd,0x0bfff2ff,0x5fffe880,0x8013ffe2,0x0007fff9,
    0x4ffd8000,0x009fff90,0x3fffa200,0x06ffc803,0x3209dfb0,0x7fc407ff,
    0x0000004f,0x5fff7fff,0xdeff8800,0x3fe006ff,0x004fffff,0x0007ffea,
    0x000bfff0,0x7c4ffff1,0x7d4004ff,0x000002ff,0xc827fec0,0x00004fff,
    0x200bfffd,0x00003ffe,0xf101bff2,0x000009ff,0x3f2fffe0,0x7fdc005f,
    0x2006ffdb,0xfffecfff,0x3fff5001,0x5fff8000,0x3fffb000,0x0013ffe2,
    0x2009fff1,0x1acdecba,0x7ff55440,0x3ff22aae,0xfd80004f,0x3fe006ff,
    0x54c0002f,0xaaafffda,0x027ffc42,0x15551000,0x7fcdfffc,0x3ffa000f,
    0x5516ffd8,0x59fff015,0x5001dfff,0x2a203fff,0xbfff00aa,0x3ffee000,
    0x009fff13,0x9809fff0,0xfffffffe,0xfff300cf,0x21ffffff,0x0004fffb,
    0x007fffe4,0x001fff88,0x7ffffe40,0x7c46ffff,0x200004ff,0x3fe1fff8,
    0x005fff3f,0x7fedbfe2,0xf03fff16,0x3fff29ff,0x1fffa804,0x203fff10,
    0x50005fff,0x3fe27fff,0x7fc4004f,0x3ffee02f,0xffffffff,0xffff981e,
    0xf70fffff,0x540007ff,0x2001ffff,0x0000fffa,0x7fffffe4,0x7fc46fff,
    0x2200004f,0x3ffe1fff,0x200bff93,0xdffb3ffb,0x3e07ffe2,0xffff14ff,
    0x1fffa803,0x203fff10,0x70005fff,0x3fe23fff,0x7fdc004f,0xffff300f,
    0x3ff6a237,0xfe9980ff,0x3ea199df,0xf30003ff,0xa8007fff,0x40000fff,
    0x9effc998,0x7ffc4099,0x3e200004,0x4fffe1ff,0xe800fff9,0x2dffb0ff,
    0xff81fff8,0x3bffea4f,0x07ffea00,0xf80fffc4,0xfd0005ff,0x3ffe21ff,
    0x3ffee004,0x3dffd104,0x02fffdc0,0x3e609ffb,0xe88002ff,0x98005fff,
    0x00001fff,0xf101bff2,0x400009ff,0x3fe1fff8,0x00bffe3f,0x7fecbff1,
    0xf03fff16,0xfffc89ff,0x07ffea04,0xf80fffc4,0xfc8005ff,0x3ffe26ff,
    0xaaaaaaad,0x04fffeba,0x2007fff2,0xfb02fffb,0x3ffe609f,0xfffd8002,
    0xfff10006,0x804d4005,0x7c406ffc,0x200004ff,0x3fe1fff8,0x017ff23f,
    0x7fec5ff7,0xf03fff16,0xfff889ff,0x3fff502f,0x407ffe20,0x2a005fff,
    0x221ffffe,0xffffffff,0xffffffff,0x02fffc03,0xb06fff88,0x3fe209ff,
    0x7fe4001f,0x3e0000ff,0xff5004ff,0x0dff901f,0x004fff88,0x87ffe200,
    0x3fe63fff,0x83ffa00f,0xfff16ffd,0x509fff03,0xf501dfff,0x3fe203ff,
    0xdffff01f,0xfddddddd,0x89ffffff,0xfffffff8,0xffffffff,0xfff101df,
    0x3ffdc003,0xf104ffd8,0x7d4003ff,0x40001fff,0xc800fffd,0xdff906ff,
    0x04fff880,0x3ffe2000,0xff0fffe1,0x17fe605f,0x3fe2dffb,0x04fff81f,
    0xf509fff9,0x3fe203ff,0xfffff01f,0xffffffff,0x107fffff,0xffffffff,
    0xffffffff,0xfff509ff,0x7ffd4001,0x204ffd80,0xf1000fff,0x00007fff,
    0x9809fff3,0xff903fff,0x4fff880d,0x3fe20000,0x90fffe1f,0x3fee0bff,
    0xf8b7fec2,0x4fff81ff,0x85ffff10,0xf101fffa,0x3ffe03ff,0xffffffff,
    0x00cfffff,0x8809fff1,0x4ffffca9,0x2003ffdc,0xfd81fff9,0x03ffe04f,
    0x13fffa20,0xfffc8000,0x1dffd304,0x101bff20,0x00009fff,0xff0fffc4,
    0x0fff987f,0xffd87fe8,0xf03fff16,0x7fd409ff,0x3ffea0ef,0x03fff101,
    0x3333bffe,0x09abcccc,0x04fff880,0x0ffffd40,0x8800dff9,0xffd82fff,
    0x401ffa04,0x0006fffd,0x77fffc40,0xffffcbbc,0x01bff201,0x0009fff1,
    0xf0fffc40,0x5fff07ff,0xfd85ff98,0x03fff16f,0xfd809fff,0x3ffea4ff,
    0x03fff101,0x00017ffe,0x009fff10,0x64bfff50,0x7cc007ff,0x4ffd82ff,
    0x2e01ffa0,0x0000ffff,0xffffd880,0x02ffffff,0x22037fe4,0x00004fff,
    0xff87ffe2,0x45ffc83f,0xffd82ffc,0xf03fff16,0xff8809ff,0x3fff52ff,
    0x407ffe20,0x00005fff,0x0027ffc4,0xf73fffc4,0x7d4001ff,0x4ffd81ff,
    0xf501bf60,0x00003fff,0xffffea80,0xfc800cff,0x7ffc406f,0x3e200004,
    0x0fffe1ff,0xff83ffe6,0x22dffb07,0xfff81fff,0xffffa804,0x101fffa8,
    0x3fe03fff,0x4400005f,0xd0004fff,0x3fe61fff,0x3fee001f,0x04ffd80f,
    0xff881bf6,0x000002ff,0x006bfee0,0x880dff90,0x00004fff,0xff87ffe2,
    0x27ffd03f,0xffb04ff9,0x207ffe2d,0xfb004fff,0x3fff59ff,0x407ffe20,
    0x00005fff,0x0027ffc4,0x3e27ffe8,0x3f6003ff,0x09ffb07f,0xfe882fe4,
    0x000004ff,0x005ffec0,0x101bff20,0x00009fff,0xff0fffc4,0x57ff207f,
    0xffb01ffc,0x207ffe2d,0xf1004fff,0x3fffbfff,0x407ffe20,0x00005fff,
    0x0027ffc4,0x3a2fffc4,0xff3006ff,0x17ff609f,0x5fffd800,0xc8000000,
    0x2002fffd,0x7c406ffc,0x200004ff,0x3fe1fff8,0x1fff303f,0x7fec0fff,
    0xf03fff16,0x7d4009ff,0x01ffffff,0x3e03fff1,0x400005ff,0x8004fff8,
    0x7d44fffb,0xffd803ff,0x0bffb01f,0x3bffee00,0x00000000,0xc801bfe6,
    0x7fc406ff,0x2200004f,0x3ffe1fff,0x3f7ffa03,0x5bff604f,0xff81fff8,
    0x7fec004f,0xf101ffff,0x3ffe03ff,0x7c400005,0x7dc004ff,0xffd81fff,
    0xfffd104f,0x0fffe40b,0x3fffea00,0x00000000,0x9003ffdc,0xff880dff,
    0xaaaaaadf,0x1aaaaaaa,0x3e1fff88,0x3ff203ff,0x3f601fff,0x03fff16f,
    0x88009fff,0x01ffffff,0x3e03fff1,0x400005ff,0xaaadfff8,0xfcaaaaaa,
    0xf304ffff,0xb779dfff,0x401dffff,0x1ffffffb,0x3e27fff7,0xaaaacfff,
    0xaaaaaaaa,0x4002aaaa,0x4ffffede,0x01bff200,0xfffffff1,0xffffffff,
    0xfff107ff,0x301fffc3,0xd80dffff,0x3fff16ff,0x0009fff0,0x03fffff5,
    0x7c07ffe2,0x400005ff,0xfffffff8,0xffffffff,0x6c405fff,0xffffffff,
    0xfe8805ff,0xff72ffff,0x3fffe67f,0xffffffff,0xffffffff,0x3fe2007f,
    0x4005ffff,0x7c406ffc,0xffffffff,0xffffffff,0x21fff883,0x7f403fff,
    0x7fec04ff,0xf03fff16,0x360009ff,0xf101ffff,0x3ffe03ff,0x7c400005,
    0xffffffff,0xffffffff,0x3ffae003,0x001befff,0x53ffff62,0xff33fffb,
    0xffffffff,0xffffffff,0xc800ffff,0x8001bccc,0x7c406ffc,0xffffffff,
    0xffffffff,0x21fff883,0x7e403fff,0x7fec01ff,0xf03fff16,0x220009ff,
    0xf101ffff,0x3ffe03ff,0x7c400005,0xffffffff,0x02cdefff,0x000d4c00,
    0x3ee09880,0xffff33ff,0xffffffff,0xffffffff,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13331000,0x33310000,0x00cccc41,0x10666200,0x88001333,0x98001999,
    0x26666099,0x99999999,0x99999999,0x00666219,0x01998800,0x3b20b326,
    0x77777444,0xeeeeeeee,0x530eeeee,0x66664155,0xcccccccc,0x2ccccccc,
    0x00399700,0xa8540000,0x0000ffff,0xf11ffff4,0x20005fff,0x7d45fffa,
    0x7ec003ff,0x22000fff,0x3ffe3fff,0xffffffff,0xffffffff,0xfff91fff,
    0xff100007,0x3fff60bf,0x5ffaadff,0x7fffffc4,0xffffffff,0xff70ffff,
    0x00001c7f,0x0fffa009,0xdd973000,0x877d4379,0x0005fffd,0x2a17ffee,
    0x4000ffff,0x440efff8,0x7c005fff,0x2002ffff,0x3fe1fffb,0xffffffff,
    0xffffffff,0xff11ffff,0xf70000df,0xfff303ff,0xfffffffd,0xfffff885,
    0xffffffff,0xf70fffff,0x0001c7ff,0x3ffa0090,0xffb10003,0x5bffffff,
    0x7ffc4bff,0xff88002f,0xfff900ff,0xfffe800b,0x00fffd01,0x27ffffd4,
    0xf8fffb00,0xffffffff,0xffffffff,0x361fffff,0x40000fff,0xdf906ffe,
    0x1ffffe4c,0xaaaaaaa8,0xfdaaaaaa,0x3ffee4ff,0x480000e3,0x007ffd00,
    0xffffff50,0xdfffffff,0x0ffffa81,0x17ffec00,0x00ffffa0,0x701fffe4,
    0x32001fff,0x007ffeff,0x33317ffa,0xfd333333,0x333333ff,0xfffa8333,
    0x3fe60003,0x2059703f,0x44000029,0x664c5fff,0x80000e1c,0x07ffd004,
    0xcffff980,0xfffeb889,0xbfffb03f,0x2fffdc00,0x0ffffcc0,0x017ffea0,
    0x2005fff3,0x1fffaffe,0x03fff880,0x007ffd80,0x000dfff0,0x0007ffe4,
    0xfd000000,0x01c001df,0x3a009000,0x7ec003ff,0x3ff202ff,0xfff880ff,
    0xfff8802f,0xfff7000f,0x7fffc40d,0x04fff800,0xffd7ff88,0x1fff5007,
    0x0fffb000,0x07fff200,0x02fffc00,0x90000000,0x38003fff,0x40120000,
    0x2a003ffe,0x3e603fff,0xf703ffff,0xfd801fff,0x7ec002ff,0xfffd04ff,
    0x1bff6003,0x7dd7fee0,0x6ffc805f,0x0fffb000,0x13ffe600,0x0bffea00,
    0xdb983551,0x80000bce,0x8004fff9,0x01200003,0xd001fff4,0x7f440dff,
    0x3607ffde,0x3ea04fff,0xf88004ff,0x7fe42fff,0x3fee003f,0x9ffec00f,
    0x7400fff9,0xfb0004ff,0x7f4000ff,0xffd8007f,0xf35ffa87,0x7fffffff,
    0xfffe8000,0x00038000,0x7fffdd20,0xffffffff,0x20ffffff,0x3f603fff,
    0x00fffa9f,0x103ffff1,0x0001dfff,0x543bffea,0x4c005fff,0x7fc01fff,
    0x80bffe1f,0x0002fff8,0x4000fffb,0x2001fffb,0xfa84fff8,0xfffff9df,
    0x005fffff,0x005fff70,0x480000e0,0xfffffff7,0xffffffff,0x3fe21fff,
    0x25ff702f,0x2e01fff8,0xffd86fff,0x7e40001f,0xffff8cff,0x3fff8000,
    0xfb1bfe60,0x7ffd409f,0xfffb0000,0x7ffc4000,0x3ffee004,0xffeffa80,
    0xffca99bf,0x7c4002ff,0x0e0005ff,0xff748000,0xffffffff,0xffffffff,
    0x207ffe61,0x7ffc4ff9,0x1fffec03,0x0009fff5,0xfdfffd10,0x360003ff,
    0x3fee05ff,0x9037fdc4,0x6c000dff,0x6c0007ff,0x3fa007ff,0xffff505f,
    0x3ffee01b,0x7ffdc005,0x000e0002,0x33331480,0x37ffd333,0x5c333333,
    0x7f440fff,0x404fff86,0xfd0ffff8,0x4c0000df,0x04ffffff,0x81ffea00,
    0x7fc42ffe,0x07ffd00f,0x03ffec00,0x0bffea00,0x40bffe20,0x400ffffa,
    0x74007ffd,0x1c0006ff,0x20090000,0xf7003ffe,0x0ffd81ff,0xb803fff8,
    0xfffbdfff,0x7dc00001,0x40006fff,0xf881fff8,0x3ffe80ff,0x001fff88,
    0x001fff60,0x2017ffa0,0x3ea07ffb,0xffb803ff,0xfff5000f,0x00380007,
    0x7f401200,0xfff3003f,0x4417fdc5,0xfb002fff,0x007fffff,0xffff1000,
    0xffd00009,0x20dff507,0xffa85ffc,0x7fec0007,0xffb80007,0x27ff400f,
    0x005fff50,0x2001fff5,0x0000fffd,0x0900001c,0x400fffa0,0xff34fff8,
    0x03ffe609,0x7ffffc40,0xfb000006,0x0005ffff,0xfc85ffc8,0x0fff503f,
    0x8000bff9,0x80007ffd,0x2603fff8,0x3ea01fff,0xff9801ff,0xfff8800f,
    0x00380005,0x7f401200,0x3ffe003f,0x2e05ff8d,0x7dc007ff,0x00000fff,
    0xffffffb8,0x3ea0000f,0x01fff86f,0xfe83fff1,0x7ec0003f,0xfb00007f,
    0x37fe40df,0x003ffea0,0x2003ffe6,0x0001fffb,0x12000038,0x001fff40,
    0x1ffdfffb,0x01bffe20,0x0017ffe0,0x37ffe600,0x0005fffc,0xf983ffe2,
    0x1fff407f,0x0001fff1,0x0007ffd8,0x101fff50,0xfa807fff,0xfff3007f,
    0x0dffd001,0x71fffdc0,0x80240000,0x2a003ffe,0x201fffff,0x8002fffc,
    0x00005fff,0x447fffc4,0x0003fffe,0xffb8bffa,0x52ffdc05,0xb0000dff,
    0x40000fff,0xffa83fff,0x3ffd400f,0x00fff980,0x001fffcc,0x01c7fff7,
    0x3a009000,0x7ec003ff,0xfd881eff,0xff0004ff,0xd80000bf,0x3fe63fff,
    0xf90001ff,0x017fec9f,0xffc9bfe6,0xffd80004,0x3f200007,0x04ffd86f,
    0x3007ffa8,0xfc801fff,0x7fdc007f,0x80000e3f,0x98000004,0xbbefffff,
    0x006ffffd,0x0017ffe0,0x85fffb80,0x0006fffc,0x3fe2dff5,0x0fff800f,
    0x00005ffb,0x0000fffb,0xf10fffcc,0xff5003ff,0x3ffe600f,0x027ffc00,
    0x38fffee0,0x4c520000,0x99999999,0x99999999,0x7ffff441,0xffffffff,
    0x3fe0000d,0xf300005f,0x3fa01fff,0xf88004ff,0x00dff57f,0x7ffcbff6,
    0xffd80000,0x7f400007,0x01bfee4f,0x9803ffd4,0x3e600fff,0xf90003ff,
    0x900001c5,0x3fffffee,0xffffffff,0x3f60ffff,0xffffda9f,0x80002eff,
    0x80005fff,0x202fffe8,0x002ffff9,0xffc9ffe8,0x37ff7004,0x20000bff,
    0x00007ffd,0xffd37fdc,0x1ffea007,0x007ffcc0,0x0003fff5,0x000383fa,
    0x7fffdd20,0xffffffff,0x20ffffff,0x554c42fd,0x7fc00001,0xfd80005f,
    0xffb804ff,0x7dc000ff,0x001ffebf,0x7ff7bff1,0x3ff60000,0x7c400007,
    0x0fff89ff,0x00fff500,0xc803ffe6,0x88000fff,0x00001c6f,0x3ffffee9,
    0xffffffff,0x0c0fffff,0x7c000000,0x5c0005ff,0x36006fff,0x4c005fff,
    0x007ffdff,0x0ffefff4,0x7ffd8000,0xffd80000,0x2005ffbb,0xf3007ffa,
    0x7ff401ff,0x4fe88007,0x66666674,0xcccccccc,0x0004cccc,0x00000000,
    0x00bfff00,0x0ffffcc0,0x7ffff100,0xfffff800,0x7ffe4005,0x3600007f,
    0x800007ff,0x2ffeeff9,0x01ffea00,0xf007ffcc,0xf7000bff,0x00000007,
    0x00000000,0x3ffe0000,0x3ffa0005,0xffa8003f,0x3f6001ff,0x54003fff,
    0x0005ffff,0x001fff60,0x7ffff400,0x3ffd4006,0x00fff980,0x40013ffe,
    0xccccca81,0xcccccccc,0xcccccccc,0x9999951c,0x99999999,0x99999999,
    0x00000019,0x40017ffe,0x0005fffc,0x801bfff2,0x000ffffb,0x017fffc4,
    0x0fffb000,0x3fee0000,0x7d4003ff,0xfff3007f,0x0fffe201,0xfffc8000,
    0xffffffff,0xffffffff,0xfff91fff,0xffffffff,0xffffffff,0x00003fff,
    0x017ffe00,0x03fffea0,0xfffe8800,0xdfff3004,0x3fffa000,0x3f600000,
    0x1000007f,0x0001ffff,0x00000000,0x3bbae000,0xeeeeeeee,0xeeeeeeee,
    0xddd71eee,0xdddddddd,0xdddddddd,0x00003ddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37bb6ea2,0xdba880ac,0x88002cde,0xacdedcb9,0xdb730001,0x53000179,
    0x80359dd9,0x51002aa9,0x765c4055,0x8000abde,0x1acdecba,0xb50d5440,
    0xaaaa817b,0x1aaa8800,0xb7306aa2,0x6dcc037b,0x555103ce,0x15544001,
    0x22035551,0xfffb80cc,0x2fffffff,0x3fffffea,0xf5002eff,0xffffffff,
    0x3f66009f,0xcfffffff,0xfffd8800,0x204fffff,0xf5007ffb,0x3fff20ff,
    0x03ffffff,0xfffffd30,0x2e019fff,0xffffb4ff,0x2fffdc7f,0x50ffff40,
    0x3ffe6bff,0x220effff,0xeffffffe,0x01fffc41,0x7dcdff90,0xffe883ff,
    0x3ffffa20,0xffffffff,0xffffffcb,0x202fffff,0xffffffd8,0x06ffffff,
    0x7fffffdc,0x406fffff,0xfffffffa,0xb81effff,0xff5007ff,0xfffffb0f,
    0x1bffffff,0x7ffffdc0,0x1effffff,0xffccffb8,0x7ec0ffff,0x3ff202ff,
    0x56ffd43f,0xffffffff,0xfffff15f,0xd81fffff,0x3fe006ff,0x0fffee3f,
    0x741fffd3,0x2609cfff,0xfffffffc,0xfff5309d,0x3fff603f,0xff73109d,
    0x3fea07ff,0xfd711cff,0x3fe60bff,0xf9311cff,0xffb81fff,0x8fff5007,
    0x261cfffb,0x303fffeb,0x2237ffff,0x40ffffda,0xefffeffb,0xfff886fe,
    0x5fffa80f,0xeffeffa8,0xfffea99c,0xb99beffc,0x7d44fffe,0xffa801ff,
    0x4fffee0f,0x0fffffd8,0xb803fff3,0x203fffff,0xf886ffe8,0x7fc404ff,
    0xffff886f,0x07fff601,0xa807fff6,0x7fdc4fff,0x8fff5007,0x7fc05ffe,
    0xeffe886f,0x17ffee01,0x41dffff7,0xbfff5018,0x80efff88,0x106ffffa,
    0x20bfffff,0xff87fff8,0x5ffd803f,0xff8e664c,0xfb0ffddf,0x3ffe00bf,
    0xfff8805f,0x8037fe42,0xffb87ffc,0x7ffcc02f,0x017ffd44,0xf707ffd4,
    0x3fea00ff,0x007ffe27,0xfc81fff5,0xffb801ff,0x3fffee2f,0x7ffec000,
    0x407fff62,0x200ffffa,0x200ffffc,0xffc87ffb,0x17ffc406,0xff91df80,
    0x400bb721,0x9000fffe,0x3dca89ff,0x81fff700,0xfb006ffc,0x05ffe89d,
    0xfb93ffa0,0xfff5007f,0x401fffc4,0x0bfff009,0xb9bffe20,0x88004fff,
    0xffb8fffe,0x3ffea03f,0x27ffd403,0x307ffea0,0x7dc03fff,0xf902007f,
    0x7ec0001f,0x3fea006f,0xffa80006,0x01fff40f,0x01fffc00,0x7dcbff90,
    0xfff5007f,0x00bfffe8,0x01fff880,0xfb9ffee0,0xf30002ff,0x0bfffbff,
    0x401fffa8,0x4c02fff9,0xffe81fff,0x013ffa04,0x000ffc80,0x3fff6ea2,
    0x9999999d,0x07ffa999,0xffdb9880,0x17ffc0ff,0x3ffe6000,0x9999999b,
    0x27ffc999,0xf5007ffb,0xffffb8ff,0xf5001bdf,0x7d4001ff,0x3fff70ff,
    0x7ffe4000,0x7d400fff,0x7fcc00ff,0x7ffc401f,0x307ffb81,0x40003fff,
    0x97100ffc,0xfffffffd,0xffffffff,0xffffffff,0x7ee54c03,0xffffffff,
    0x007ffe20,0xfffff500,0xffffffff,0x2e1fffff,0xff5007ff,0xfffff90f,
    0x5c059fff,0x7cc007ff,0x1fff71ff,0xfffe8000,0xfffa802f,0x07ffcc00,
    0x207ffe20,0xfb82fff8,0x7e40006f,0x7fff540f,0xffffffff,0xffffffff,
    0xffffffff,0xffffea82,0xffefffff,0x03ffea0f,0xffff7000,0xffffffff,
    0x23ffffff,0xf5007ffb,0x3ffee0ff,0x2fffffff,0x4006ffc8,0xff72fff8,
    0xff70000f,0xff5001ff,0x1fff300f,0x01fff880,0xffd0bffb,0xffc80007,
    0x3ffffee0,0xffb1bdef,0x9999999d,0x39999999,0xffffffc8,0xffa8acdf,
    0x03ffea0f,0x9fff7000,0x99999999,0x21999999,0xf5007ffb,0xfeca80ff,
    0x44ffffff,0x4c007ffc,0xfff72fff,0xfff88000,0xffa805ff,0x0fff9807,
    0x80fffc40,0x3e60fffa,0x640000ff,0xffff90ff,0x3ff6015b,0xff900005,
    0x2e0159ff,0x3fe60fff,0x7d40001f,0xb80000ff,0xff7007ff,0x7edcc00f,
    0x3ee3ffff,0x3ea000ff,0x0fff71ff,0xffffd800,0x7fd402ff,0x0fff9807,
    0x00fffc40,0x7fe45fff,0xffc80005,0x200dfff0,0x00005ffe,0x9001dfff,
    0x7fc41fff,0x826a002f,0x0002fff8,0x9007ffb8,0x22000fff,0x3e65fffc,
    0x3ee001ff,0x0fff70ff,0x5fffd400,0x2a00fffd,0xff9807ff,0x7ffc400f,
    0xf97ff201,0xc80002ff,0x3fffa8ff,0x00ffff00,0xff315e54,0x3ff6005f,
    0x027ffc0f,0x3e0fffa8,0x2ea004ff,0x01ffea1a,0x7313fff4,0x9fffa007,
    0x2003fff8,0x3fee7ffd,0xfff10007,0x817ffe2b,0xf9807ffa,0x7fc400ff,
    0x3ffe601f,0x0007ffa8,0xff91ff90,0xfff7001f,0xfff1003f,0x00fffdcf,
    0x207fffc4,0xc800fffd,0x7fff46ff,0x6fff8800,0x1007ffea,0x7fe4ffff,
    0x8fff7007,0xf3006ffe,0x3ffdc9ff,0x0fffe800,0x540fffee,0xff9807ff,
    0x7ffc400f,0x657ff401,0x000004ff,0x9805fff7,0x00ffffff,0xf51fffe4,
    0xfe8807ff,0x7fcc0fff,0x7ffcc04f,0x02fffcc3,0xf31fffec,0xffd80bff,
    0x0bffe67f,0xf517ffa0,0xffb007ff,0x03ffdc3f,0x41fffdc0,0xfa81fffe,
    0xfff9807f,0x0fffc400,0x3ff7fee0,0xff50001f,0x6fffa87f,0x3fbffe60,
    0xfa881fff,0x3fe60fff,0x3ff600ff,0xffc81fff,0xdffd304f,0x1bfff901,
    0x0ffff910,0xb107fffd,0xfe8fffff,0x3fee02ff,0x4fffd82f,0x8bfffd10,
    0x4c007ffb,0xff106fff,0x0fff50df,0x801fff30,0x4401fff8,0x806fffff,
    0xff53fffb,0xffffb07f,0xffffb75b,0x3bfffea7,0xfffffdbc,0xdffffd81,
    0xdfffebab,0xff882fff,0xfcbbceff,0xff101fff,0xfb77bfff,0xf503ffff,
    0xfd9bffff,0x98fff7ff,0xaaceffff,0x80dfffec,0xbceffff9,0x0effffdb,
    0x2003ffdc,0x2e00fffe,0x7fd44fff,0x0fff9807,0x00fffc40,0x01ffffec,
    0xfa9fffdc,0xffe883ff,0xefffffff,0x7ffffcc1,0x01ffffff,0xffffffd1,
    0x3f65ffff,0xfffb105f,0x5fffffff,0xffffd880,0x1fffffff,0x3fffff20,
    0xfff2ffff,0xffffff50,0x809fffff,0xffffffd8,0xf705ffff,0x7fe400ff,
    0xfffe803f,0x201ffea1,0x4400fff9,0xfa801fff,0xfb800fff,0x7fff53ff,
    0x7ffffe40,0xd9100cdf,0x07ffffff,0x3ffffee0,0x3fee0cff,0x3ffaa00f,
    0x000cffff,0x3fffffaa,0xfd5003ff,0x7c3bffff,0xfff9107f,0x005bffff,
    0x7fffff5c,0x3fee01be,0xdfff5007,0x3fffe600,0x300fff50,0xf8801fff,
    0xfff001ff,0x3ffee00b,0x2aa60003,0x9a988001,0x35530001,0xa9800001,
    0xa980001a,0x2600009a,0x9980001a,0x980000aa,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55540000,0x02aa9801,0x2a22aa88,
    0x676dcc1a,0x2aaa200b,0xaaaaaaaa,0x040aaaaa,0x00181000,0x30000000,
    0x00066600,0xf885ff90,0x0400086f,0x3f21bfe2,0x3220002f,0x4c0003cc,
    0x333003cc,0x00fff901,0xb803fffb,0x57fea6ff,0xfffffff9,0xffff703f,
    0xffffffff,0x7cc3ffff,0x20ed8003,0x00000bee,0x375c4000,0x007ffc40,
    0xe85ff980,0x00fd41ff,0x7fdc2f98,0x007ffc44,0x05fff880,0x07ffec00,
    0x213ffe60,0x7c01fff9,0x7ec03fff,0x277fea3f,0xffffffff,0xfffb85ff,
    0xffffffff,0xf31fffff,0x3fb667ff,0xdffb0cef,0x033fffa1,0x93000000,
    0xf100dfff,0xd10001ff,0x4ffb81ff,0x200fffd4,0x7f42fff9,0x02ffd41f,
    0x05fff880,0x3fffe200,0x27ffcc04,0x2a03fff8,0x2205ffff,0x3fea1fff,
    0xa99bfffe,0x442ffffc,0xaaaaaaaa,0x5fffcaaa,0x3fbfffa2,0xefffffff,
    0x3ffa5fff,0x0002dfff,0x7ffed400,0xff8806ff,0xffc8000f,0x207ffcc4,
    0x301ffffa,0xfa85ffff,0x02ffe86f,0x05fff880,0x3ffff200,0x27ffcc07,
    0x3205ffd8,0x2a07ffff,0x7ffd46ff,0xfff700df,0x7fd4000b,0xfffe886f,
    0xffffffff,0x7e444fff,0x0befffff,0xfd710000,0x017fffff,0x001fff10,
    0x740fffa8,0xfff503ff,0xffff983f,0x989ffb02,0x98000fff,0x3e000099,
    0x203ffdff,0xf504fff9,0x77ff40ff,0x9ff901ff,0x00ffffa8,0x8003ffec,
    0x100efff9,0x315bffff,0x80dfffd5,0xffffffda,0xf930001c,0x05bfffff,
    0x00fff880,0x90fffe20,0xffa80dff,0xffff31ff,0x17ffcc05,0x0001bff6,
    0x6ffdc000,0x3e606ff9,0xfff104ff,0xf9dff103,0x07ffe07f,0x7007fff5,
    0x88001fff,0x2600fffe,0x3f603fff,0xff93007f,0x005dffff,0x3fffffaa,
    0xf10001cf,0x7ec001ff,0x17ffcc6f,0x5ffffdc0,0xc802ffff,0x3fe20fff,
    0x66664c3f,0xcccccccc,0x204ccccc,0x5ffd1ffe,0x80fffe20,0xffa84ffd,
    0xf985ffab,0x2fffa87f,0x00fffa80,0x07fffa20,0x8809ff70,0x5c001ffe,
    0xbffffffe,0x7fffe440,0x80002eff,0x7000fff8,0xffe85fff,0x3ffee005,
    0x1002ffff,0xffc8bfff,0x3fffee1f,0xffffffff,0x80ffffff,0x3fee6ffa,
    0x80bffe05,0xffc86ffb,0xfc87ff89,0x1fffa84f,0x00fff980,0x00ffff60,
    0x2e003ff6,0x930003ff,0x29ffffff,0xcffffffc,0x6665c001,0xcfffcccc,
    0x13cccccc,0xffc8bfff,0x7fdc001f,0x5c002fff,0x3fe22fff,0x3fffee6f,
    0xffffffff,0x80ffffff,0x3fe23ffd,0x01ffb01f,0x3e07ffc4,0xd07ffa7f,
    0xfff505ff,0x1fff3001,0x13fff200,0x401ffe20,0x40006ff9,0xd6fffeb8,
    0x0017dfff,0x3fffffa0,0xffffffff,0xfd16ffff,0x2fffb8df,0x7fffcc00,
    0x7fe4001f,0x97ffe21f,0xeeeeeeea,0xeeeeeeee,0x7fcc0eee,0x827fe40f,
    0xffe807fc,0xfc97fe62,0x41ffe23f,0xf3007ffa,0xff7001ff,0x3fe200bf,
    0x0dff3007,0xfffb5000,0x0b7fffad,0xffffe800,0xffffffff,0x266fffff,
    0x7fec3fff,0x3ffe6006,0x3001ffff,0xffd87fff,0x0000000f,0xff30bff9,
    0x009d501f,0x7fdcbff9,0xfb97fea3,0x0fff505f,0x003ffe60,0x800dfff5,
    0xfb800ffe,0xd710004f,0x36bfffff,0x0befffff,0x77776400,0xeefffeee,
    0x644eeeee,0x3fe20fff,0xfff9803f,0x01ffffcf,0x7cc5ffd8,0x000002ff,
    0x203fff10,0x40003ffe,0x3ff67ff9,0x6c3ffe21,0xfff502ff,0x03ffe600,
    0x00efff98,0x4027fdc0,0x4c001ffe,0xcffffffc,0x7fffe4c1,0x80001cff,
    0x4000fff8,0x7fd44ffe,0x3ffe600f,0x3ffff52f,0x207ffd40,0x44004ffe,
    0x2e005fff,0x3fea06ff,0x00aaaa87,0x7ff8fffc,0xfff2ffe8,0x01ffea01,
    0x8807ffcc,0x8001ffff,0x3202fff9,0x3aa007ff,0x0bffffff,0x7fffdc40,
    0x20002eff,0x4000fff8,0x7ec0fff9,0xffff304f,0x1ffffa85,0xfa85ffd0,
    0xff88006f,0x3ffe005f,0x217ffc03,0x6405fffc,0x85ff9bff,0x5ffacffc,
    0x401ffea0,0xe880fff9,0x20002fff,0x311cffff,0x880dfffd,0xeffffffc,
    0xffd50002,0x0019ffff,0x000fff88,0x7c45ffb8,0x7ffcc1ff,0xffff702f,
    0x445ffb83,0x88001fff,0xf5005fff,0xffc801ff,0x01fffd86,0x3fefbfea,
    0xfceffa83,0x1ffea03f,0x407ffcc0,0x0003fffe,0x3ffffff6,0xffffffff,
    0xffffda84,0x00001cff,0xffffff93,0x3fe2005b,0xffb0000f,0x5c6ffa83,
    0x7dc02fff,0x3ffe23ff,0x001ffdc0,0x004eee88,0xd1009dd9,0xffe881dd,
    0x3bffe204,0xffff01ff,0x7fd401ff,0x1fff3007,0x004fffd8,0xfffffd10,
    0xffffffff,0x7fec9fff,0x000bffff,0xfff71000,0xf100bfff,0x220001ff,
    0x2ffc86ff,0xfb8017dc,0x2217fe43,0x000006ff,0x10000000,0x7ec01fff,
    0x3f607fff,0x7d406fff,0xfff3007f,0x027ffe41,0x29fff300,0x9dffffda,
    0xfd0effe8,0x00005dff,0xfffea800,0x0fff8806,0x0732a000,0x00307991,
    0x41e64418,0x00000cca,0x00000000,0xfb813fe6,0x3ee05fff,0x7d403fff,
    0xfff3007f,0x3bfffe61,0xfffffffe,0x3ea6ffff,0xdd101104,0x000e7f41,
    0x32600000,0xfff8806f,0x00000000,0x00000000,0x00000000,0x88010000,
    0x2603ffff,0x5401ffff,0xff3007ff,0x3fffe61f,0xffffffff,0x0c6fffff,
    0x05408800,0x00000000,0x155400a2,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0x7ffc00ff,0x07ffa806,0x261fff30,0xffffffff,0xffffffff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x155d4400,0xacccb980,0xaaba9800,0xacba8800,
    0x8132e001,0xeeeeeeec,0xeeeeeeee,0xdddd94ee,0xdddddddd,0x109ddddd,
    0x4cc05795,0xb8666209,0x1aa83fff,0x88000000,0x0000aaaa,0x00000000,
    0x98000000,0x2ffffffe,0x3fffff60,0xffd304ff,0x2019ffff,0x4ffffffa,
    0x740dfb00,0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,0xfb8dffff,
    0x440effff,0x3ffa5fff,0x87fff70f,0x2e203ff8,0x001cdeec,0x5fffb835,
    0x00000000,0x00000000,0xd9dffd00,0x3fee0fff,0x2fffecdf,0xffefffe8,
    0xfffb85ff,0x806fffff,0x3ffa05fd,0xffffffff,0x6fffffff,0xfffffffd,
    0xffffffff,0x7ffd4dff,0x220effdb,0x3ffa5fff,0x87fff70f,0xfd302ffa,
    0x7dffffff,0xf88bf201,0x000006ff,0x00000000,0xff900000,0x443ffc85,
    0x7fcc0eff,0x2a27fd45,0x3fe20fff,0xfffb88cf,0x49f90e42,0x555550b8,
    0x55555555,0x2adffb55,0xaaaaaaaa,0xaaaaaaaa,0x887ff12a,0x3ffe24fe,
    0x5c3fffa5,0x7fec3fff,0x3ffe61ef,0xffffffff,0xfffdbbdf,0x003ffee2,
    0x00000000,0x00000000,0x7fd41d4c,0xe80f64c4,0x4077647f,0x3ff21ffd,
    0x267ff882,0x9cfbaeff,0x80003ffd,0x00006ffb,0xf701ff50,0xd2fffc4d,
    0x2fc81fff,0x2a6ffa88,0xffedffff,0xffffffff,0x3ffe2fff,0x00000002,
    0x00000000,0xfe880000,0x3aa2001f,0x3ff4007f,0xffc81ffa,0xffffff90,
    0x00bfffff,0x00dff700,0x413ee000,0xfff10ff8,0x207ffecb,0x3ffe00fe,
    0xb883df51,0xfffffffd,0x13fea4ff,0x00000000,0x00000000,0xdfff3000,
    0x7f65c403,0x2007ffff,0x37fc4ffb,0x5cc5ff70,0xbdfffffd,0xfb800009,
    0x5000006f,0xf1fe60df,0x3ffe49ff,0xcaa99be2,0x0950fffe,0xffffd710,
    0x0001103b,0x00000000,0x00000000,0x019fff70,0x3ffffff2,0xf9007fff,
    0x2ffc41ff,0x2e07ff50,0x00004fff,0x0006ffb8,0xb03ff100,0x22ffe8bf,
    0x3fa25ffb,0x3fffffa4,0x0980003f,0x00000000,0x00000000,0x53000000,
    0xfb85ffd9,0xfd09beff,0xfffd880f,0x2e06ff81,0xcffa82ff,0x400004ff,
    0x33316ffb,0x33333333,0x41333333,0xfea9cffc,0x30ffe41f,0x21fdc9ff,
    0x01dffffe,0x00000000,0x00000000,0x00000000,0x747ff800,0x0ffd01ff,
    0x806fffcc,0x3ff207fe,0xfcaffcc0,0x2e00003f,0xffffd6ff,0xffffffff,
    0xd8dfffff,0x82ffffff,0x3fe20ffb,0x530000c3,0x92aa9835,0xffffffff,
    0x000000df,0x00000000,0x01000000,0x6ff87ff6,0x2e0fff70,0x7ec04fff,
    0x47ff882f,0xff10fff8,0x2e00003f,0xffffd6ff,0xffffffff,0x50dfffff,
    0x2601bdfb,0x001ed85e,0x917ffa00,0x3fff6fff,0x06ffffff,0x00000000,
    0x00000000,0x10dff100,0x7ff43fff,0x07fffd42,0x200bffee,0xd50bfff9,
    0x87d307ff,0x200002fa,0xfffd4eea,0xffffffff,0x0dffffff,0x00000000,
    0x645ffe80,0xffffb7ff,0x00dfffff,0x00000000,0x00000000,0x44e7fdc0,
    0x7dc7ffda,0xefffdeff,0x3ffea0ff,0x0aaaaaac,0x7f7fffe4,0x040206ff,
    0x00000000,0x00000000,0xffd00000,0x757ffc8b,0x77777777,0x00000007,
    0x00000000,0xffe80000,0x81ffffff,0x9efffffc,0x3ffa3ff9,0xffffffff,
    0xfffffb83,0x000000df,0x00000000,0x00000000,0x1e65c000,0x0001332a,
    0x00000000,0x00000000,0xfff91000,0x5cc01bff,0xa8d541bc,0xffffffff,
    0x97303fff,0x0000057b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_44_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,1,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_44_latin1_y[224]={ 35,6,6,6,4,6,6,6,6,6,6,11,31,23,
31,6,6,6,6,6,6,7,6,7,6,6,14,14,11,15,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,40,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,14,6,6,11,6,
6,6,6,6,6,16,15,23,6,2,6,11,6,6,6,14,6,19,34,6,6,16,6,6,6,14,-1,-1,-1,0,
1,0,6,6,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,12,5,-1,-1,-1,1,-1,6,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,6,7,6,6,6,7,6,13,13,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_44_latin1_w[224]={ 0,5,12,22,20,31,25,5,10,10,13,19,5,11,
5,11,20,11,19,20,21,20,20,20,20,20,5,5,19,19,19,19,37,28,23,26,24,22,20,27,23,5,16,25,
19,28,23,28,22,29,25,24,24,23,26,37,27,26,24,9,11,9,17,24,8,20,19,19,19,20,13,19,18,5,
9,18,4,29,18,20,19,19,12,18,11,18,20,29,20,20,19,12,4,13,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,18,21,20,23,
4,20,11,30,14,18,19,11,30,24,12,20,13,13,8,17,22,5,9,8,14,18,31,31,33,19,28,28,28,28,
28,28,38,26,22,22,22,22,8,8,13,11,28,23,28,28,28,28,28,17,29,23,23,23,23,26,22,21,20,20,
20,20,20,20,33,19,20,20,20,20,8,8,13,11,20,18,20,20,20,20,20,20,20,18,18,18,18,20,19,20,
 };
static unsigned short stb__arial_44_latin1_h[224]={ 0,29,11,30,36,31,30,11,38,38,13,20,10,4,
4,30,30,29,29,30,29,29,30,28,30,30,21,27,20,12,20,29,38,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,3,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,8,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,29,37,30,20,29,
38,38,5,30,15,18,12,4,30,3,11,24,15,16,7,29,37,5,10,15,15,18,31,31,31,30,36,36,36,35,
34,35,29,38,36,36,36,34,36,36,36,34,29,35,37,37,37,36,35,18,32,37,37,37,35,36,29,30,30,30,
30,29,30,31,22,29,30,30,30,30,29,29,29,29,30,28,30,30,30,29,30,16,24,30,30,30,30,38,37,38,
 };
static unsigned short stb__arial_44_latin1_s[224]={ 251,220,195,146,1,1,1,246,22,54,128,
131,208,236,247,244,67,135,93,158,113,235,232,165,57,78,241,186,111,162,91,
71,118,64,163,110,217,1,24,207,91,242,170,176,35,64,102,179,140,182,45,
32,94,208,119,56,28,1,226,198,243,208,228,192,246,35,187,56,150,76,21,
130,233,248,169,202,251,190,31,135,135,115,156,116,208,97,220,1,169,137,50,
156,193,179,224,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,
192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,251,247,1,
88,70,1,113,92,224,99,84,151,142,236,1,217,182,214,99,70,246,147,20,
247,214,247,113,188,88,212,54,169,227,22,51,30,123,59,25,65,80,176,130,
88,242,153,162,111,188,223,43,72,101,198,1,170,152,130,154,218,199,103,165,
141,163,27,231,155,104,33,1,1,203,189,210,83,55,93,126,221,20,146,125,
120,62,187,41,207,235,184,224,1,48,33,178,1, };
static unsigned short stb__arial_44_latin1_t[224]={ 31,336,440,183,78,151,214,419,1,1,440,
419,440,449,412,115,214,276,276,214,276,245,214,366,245,245,396,366,419,440,419,
306,1,276,336,214,276,306,306,245,306,276,245,306,336,336,336,214,336,115,306,
245,366,214,366,366,366,366,336,1,150,1,419,392,431,396,245,396,245,396,336,
245,306,276,1,306,1,396,419,396,306,306,396,396,336,396,396,419,396,214,419,
1,1,1,440,366,366,366,366,366,366,366,366,366,366,366,366,366,366,366,366,
366,366,366,366,366,366,366,366,366,366,366,366,366,366,366,366,366,31,78,40,
214,419,276,1,1,449,245,440,419,440,449,245,392,440,366,440,440,440,276,40,
108,440,396,440,419,150,115,151,183,39,78,78,115,115,115,276,1,78,78,78,
115,1,78,78,115,276,78,40,40,40,39,115,419,115,40,40,1,78,78,276,
150,150,214,183,306,183,151,396,336,150,183,183,183,336,336,336,306,183,366,183,
150,183,336,183,419,366,150,150,183,214,1,40,1, };
static unsigned short stb__arial_44_latin1_a[224]={ 175,175,224,350,350,560,420,120,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,175,175,368,368,368,350,640,420,420,455,455,420,385,490,
455,175,315,420,350,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,175,175,175,296,350,210,350,350,315,350,350,175,350,
350,140,140,315,140,525,350,350,350,350,210,315,175,350,315,455,
315,315,315,210,164,210,368,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,175,210,350,350,350,350,164,350,
210,464,233,350,368,210,464,348,252,346,210,210,210,363,338,175,
210,210,230,350,526,526,526,385,420,420,420,420,420,420,630,455,
420,420,420,420,175,175,175,175,455,455,490,490,490,490,490,368,
490,455,455,455,455,420,420,385,350,350,350,350,350,350,560,315,
350,350,350,350,175,175,175,175,350,350,350,350,350,350,350,346,
385,350,350,350,350,315,350,315, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_44_latin1_BITMAP_HEIGHT or STB_FONT_arial_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_44_latin1(stb_fontchar font[STB_FONT_arial_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_44_latin1_BITMAP_HEIGHT][STB_FONT_arial_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_44_latin1_s[i] + stb__arial_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_44_latin1_t[i] + stb__arial_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_44_latin1_x[i];
            font[i].y0 = stb__arial_44_latin1_y[i];
            font[i].x1 = stb__arial_44_latin1_x[i] + stb__arial_44_latin1_w[i];
            font[i].y1 = stb__arial_44_latin1_y[i] + stb__arial_44_latin1_h[i];
            font[i].advance_int = (stb__arial_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_44_latin1_s[i] + stb__arial_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_44_latin1_t[i] + stb__arial_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_44_latin1_x[i] + stb__arial_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_44_latin1_y[i] + stb__arial_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_44_latin1_LINE_SPACING
#endif

