// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_49_latin1_BITMAP_HEIGHT        560
#define STB_FONT_arial_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_49_latin1_FIRST_CHAR            32
#define STB_FONT_arial_49_latin1_NUM_CHARS            224

#define STB_FONT_arial_49_latin1_LINE_SPACING          32

static unsigned int stb__arial_49_latin1_pixels[]={
    0x703332e0,0x10001999,0x22000bff,0x2202cccc,0xfff005ff,0x75300005,
    0x99ddfdb9,0x50000015,0xd9100355,0xb95009fd,0x000399dd,0x776e5cc0,
    0xdf001acd,0x3fe0059d,0x0180002f,0x2aaaaaa2,0x3bbb60aa,0x83fffb03,
    0x8001fffe,0x90001ffc,0xb801ffff,0xfff802ff,0x3fae0002,0xffffffff,
    0x002dffff,0x0bfff100,0x4fffffa8,0x3ffffa60,0x001dffff,0xffffd710,
    0x3bffffff,0xdfffff80,0x017ffc00,0x203fea00,0xfffffff8,0x13fffa2f,
    0x3a0fffec,0x54001fff,0xf10004ff,0x3e003fff,0x7ffc00ff,0x7fe44002,
    0xffffffff,0xffffffff,0x7c40003f,0x3fe205ff,0xf504ffff,0xffffffff,
    0xa8003fff,0xffffffff,0xdfffffff,0xffffff00,0x02fff80b,0x883fe400,
    0xffffffff,0x413fffa2,0x7f41fffd,0x3a2001ff,0xf90000ff,0x7d4007ff,
    0x17ffc04f,0xfffff700,0x333579df,0xfffff975,0x220001bf,0x3f205fff,
    0x881bcfff,0xbadfffff,0x00fffffd,0xffffff90,0xfffdb9df,0x7501dfff,
    0x401ffff9,0x40002fff,0xddd104fe,0x745fffdd,0xdd904fff,0x0eeec81d,
    0x013ff200,0x02fffc40,0xf00fff40,0x3f2005ff,0x001cffff,0x7ffffed4,
    0xfff88002,0x01bffa05,0x2037fff6,0x805fffe8,0x0cfffffd,0x3ffffaa0,
    0x1fffd405,0x0005fff0,0x70017fc4,0x665c5fff,0x0000002c,0x0007ffcc,
    0x000effc8,0x3e06ffa8,0xffd802ff,0x880002ff,0x002ffffd,0x7fff1000,
    0x01ffff00,0x203fffcc,0x00dffffb,0x17ffff20,0x7c0bfff0,0x2e0002ff,
    0x3ee000ff,0x000002ff,0x13ff6000,0x00aaa800,0x40bffa00,0x3a202fff,
    0x0000efff,0x07fffdc0,0x7fcc0000,0x7ffc402f,0x1fffe805,0x0bffff30,
    0x3ffff200,0x81bff600,0x20002fff,0x7dc005fd,0x000002ff,0x3fff1000,
    0x00000000,0x3fe0dff9,0x3fff602f,0x26000004,0x00006fff,0x801fff98,
    0xeb806fff,0xfffd01cd,0xffe8000b,0x1bff604f,0x0002fff8,0xf7000ffe,
    0x000005ff,0x1bff2000,0x40000000,0xff81fff9,0x7fff502f,0xa8000c00,
    0x00004fff,0x400fffcc,0x0001fffe,0x01ffff98,0x7fffdc00,0x40fff900,
    0x4c002fff,0x4001ffb9,0x7fc2fffb,0x00bddd14,0x885ddd50,0x3a204fff,
    0xea8005ee,0x3ffa02ee,0xd02fff85,0xfd700bff,0x64417bff,0x7ffdc2cc,
    0x4eee8800,0x003fff50,0x003ffff7,0x05fffc80,0x179df000,0xf81fff20,
    0x6dcc02ff,0x00ffffff,0x217ffdc0,0x3fffa4ff,0x7ffec001,0x00fffdc0,
    0x0007fffa,0x6401fffb,0x7ffc0fff,0x00fffb82,0x3fffffea,0xfff50eff,
    0x007ffd07,0x2a0bfff1,0xfb001fff,0x40007fff,0x0002ffff,0x3ff20010,
    0x40bffe07,0xfffffff9,0x2001efff,0x3e22fffb,0x13ffee5f,0x85fff880,
    0xfb806ffe,0x3e2004ff,0x7fcc05ff,0x217ffc3f,0x2e02fff8,0xffffffff,
    0xfffc8eff,0x806ffb81,0xf505fff8,0x3a2003ff,0x000dffff,0x00ffffd4,
    0x3f200000,0x0bffe07f,0x3fffffee,0x3fffffee,0x45fff700,0x3fe26ff8,
    0x3fee007f,0x27ffc42f,0x03fffc40,0x005fff70,0xfff8bfff,0x902ffe42,
    0x115bffff,0xffddffd3,0x0bffe20f,0x20bfff10,0x1001fffa,0x7ffffffd,
    0x3fffdc00,0x5c000000,0x3ffe07ff,0x6ffffd42,0xfffff70b,0xfff7005f,
    0x3637fcc5,0xfd002fff,0x7fff50ff,0x0bfff600,0x803fff40,0x7ffc7ffd,
    0xa817ffc2,0x3603ffff,0x206fffff,0x7c403ffd,0xfff705ff,0xdfff7001,
    0x03dfffff,0x00dfff70,0xff700000,0x8bffe01f,0xe85ffff8,0x05fffbdf,
    0x262fffb8,0x7ffd47ff,0x4fff9805,0x002fffc8,0x300bfff5,0x32009fff,
    0x3ffe1fff,0x441ffe62,0x4403fffe,0x204fffff,0x7c404ffc,0xfff705ff,
    0x25fffd00,0x4ffffffa,0x02fffe40,0x7d400000,0x5fff00ff,0x2077ffdc,
    0xfffb3ff8,0x2fffb801,0x3fe1ffea,0x7fe400ff,0x1fffe81f,0x03fffe00,
    0x003fff90,0xff93ffee,0x413ff22f,0x7005fffc,0x5c05ffff,0x7fc405ff,
    0x0dffb05f,0x441fffa8,0x1efffffd,0x009fffb0,0xff300000,0x8bffe05f,
    0xfa81fffe,0x07fff50f,0x2a2fffb8,0x7fe40fff,0x37ffc03f,0x000ffff8,
    0xf00ffff2,0x7d400dff,0x8bffe4ff,0xff881fff,0xff5001ff,0x7fd401ff,
    0x2fffc406,0x201fffcc,0x3ea04ffc,0xd83fffff,0x00003fff,0x0dfff000,
    0x7fc4bffe,0xa8df906f,0xfffb8009,0x303ffee2,0x7d40dfff,0xfff883ff,
    0x7ffcc007,0x0fffea06,0x05fffa80,0xfb83ffc4,0x3e6005ff,0x7fd407ff,
    0x2fffc405,0x2007ffec,0x6c402fff,0x642fffff,0x00004fff,0x5fff9000,
    0x3ea5fff0,0x09ff05ff,0x17ffdc00,0xfd03fff7,0x3ff601ff,0x6fff880f,
    0x0fffe800,0x001fffb0,0x2037ffcc,0xffd06ff9,0x7fc4003f,0x27fdc05f,
    0x4d7ffe20,0x403fffeb,0x5003fff8,0x643fffff,0x00004fff,0x3fffa000,
    0x25fff0ad,0xf984fffb,0x3ee0001f,0x3fff22ff,0x83fffb81,0xf305fff8,
    0xf7000bff,0xfff107ff,0xfff8800b,0x437fd406,0x4007fff8,0x6404fffa,
    0x7fc402ff,0x5ffffb5f,0x01bffe00,0x25ffff98,0x0005fffb,0x3f620000,
    0x5fff2fff,0x2e0bfff2,0x7dc0007f,0x3fff22ff,0x86fff882,0xf302fffa,
    0xf10009ff,0xfff50dff,0xffff0005,0x985ffb80,0x5c006fff,0x7fc02fff,
    0x7ffc400f,0x003fffb5,0x0017ffec,0x7d4ffff3,0x000007ff,0x2fffc800,
    0x3ff25fff,0x005fe81f,0xb17ffdc0,0x3f605fff,0x3ffec1ff,0x00bfff30,
    0xb07fff60,0x3e000fff,0x7fe407ff,0x05fffa84,0x007ffec0,0xf100fff3,
    0x3fff6bff,0xfff5001e,0x7ff4007f,0x3ffff11f,0x33aa0000,0xfffa800a,
    0x325fff2f,0x7fc42fff,0x7fdc0003,0x0ffff62f,0xf127ffd4,0x7fc409ff,
    0xff50005f,0x27ffc49f,0x37ffc400,0x2a13ff20,0x74003fff,0x7fec07ff,
    0x5fff8805,0x03ffffd5,0x37ffff20,0x1fffa800,0x000ffff6,0x02fffec0,
    0x437ffff2,0xfff72fff,0x000ffa87,0xd17ffdc0,0x7fc07fff,0x07ffee7f,
    0x006fff88,0xfb9fffe0,0xf88001ff,0x7fdc05ff,0x04fff985,0x817ffee0,
    0x8801fff9,0x7f445fff,0xffb000ff,0xfb807fff,0x3ffee0ff,0xff880006,
    0x3fe602ff,0x52fff84f,0x6fd89fff,0xf7001330,0x7fff45ff,0x47fff204,
    0xff806ffd,0x3f20006f,0x0dffb1ff,0x93ffe600,0xdff51eed,0x4017ffe0,
    0x203ffff8,0xf1004ffe,0xfff50bff,0x7ffe4007,0xffd01eff,0x3ffff88d,
    0x7ffdc000,0x07ffe406,0xff997ffc,0xe827fc6f,0x7fdc07ff,0x17fffe2f,
    0xf8bfff88,0xffe803ff,0x3fe20007,0x03fff8bf,0x47fff300,0xfff32fff,
    0x401fffa0,0xb01ffffc,0x7c400dff,0xbffd05ff,0xffffa800,0x3ff624ff,
    0xffffc81f,0xfff30000,0x3fff807f,0x7fc5fff0,0x03ff30ff,0xb809fff3,
    0x3ffe2fff,0x77ff405f,0xd800fffa,0x20000fff,0xfffaeffe,0xfff70000,
    0xf897ffc5,0xfffc80ff,0x7fffd403,0x05fffb07,0x82fffc40,0x88007ffc,
    0xaefffffd,0x3a02fffe,0x4001efff,0x00fffff8,0x7c07ffea,0x3fff22ff,
    0x3f20ff95,0x7fdc02ff,0x17fffe2f,0xffdfff50,0x3ffee00b,0x3fea0002,
    0x0005ffef,0xff83fff6,0x20fffa2f,0x901ffff9,0x41ffffff,0x005fffe9,
    0xb82fffc4,0x50000fff,0xfffffffd,0xfffa803b,0xff7002ff,0xfb803fff,
    0x5fff00ff,0x757fffc4,0x7fffa85f,0x22fffb80,0x4405ffff,0x02ffffff,
    0x009fff10,0x7ffffc40,0x3fe0002f,0x717ffc5f,0x3fee0dff,0xfeb99bff,
    0xceffffef,0x004ffffd,0x505fff88,0x80001fff,0x06fffffc,0x3ffffee0,
    0xd75119bf,0x005fffff,0x7fc0fff9,0x7fffdc2f,0x7ffdc2ff,0xfffb801f,
    0x017fffe2,0x01fffff6,0x000dffd0,0x07ffffd8,0x0fffe600,0x7fcc5fff,
    0xffff902f,0x3a9fffff,0xffffffff,0xff10002f,0x3ffea0bf,0xfe980001,
    0x2a005fff,0xffffffff,0xffffffff,0xfff9003f,0x6c17ffc0,0xdcdfffff,
    0x003fffff,0x7fc5fff7,0xff9805ff,0x7dc004ff,0x260000ff,0x0004ffff,
    0xff07ffea,0x05ffe85f,0x3ffffff6,0x3fffee3f,0x0001efff,0x5417ffe2,
    0x00001fff,0x013ffff6,0xfffffea8,0xffffffff,0x3ff2001d,0x40bffe07,
    0xfffffffc,0x2003ffff,0x3fe2fffb,0xffd005ff,0xff98003f,0x7f40002f,
    0x360001ff,0x2fff86ff,0x301fffd4,0x7017bfd7,0x4037bffd,0x3e202aaa,
    0xfff505ff,0xfc800003,0x4c001fff,0xfffffffc,0xc8002eff,0x3ffe07ff,
    0x3fffea02,0x000dffff,0x9917ffdc,0x3fa00799,0xffd0006f,0xffe8000d,
    0x3fe20006,0x82fff83f,0x0002fffd,0xfffd8000,0x17ffe202,0x000fffd4,
    0x1fffe400,0x7fff3000,0xfc800015,0x0bffe07f,0xbcbbffa8,0xff700009,
    0xf980005f,0xf50003ff,0x260003ff,0x20003fff,0xfff07ffb,0x3ffff105,
    0x6c000000,0x7c405fff,0xfff305ff,0x0fedb803,0x05fff980,0x017fe200,
    0x07ffc800,0xfc80bffe,0x7dc00007,0x333322ff,0x0fffc801,0x13ffa000,
    0x07ffe400,0x07ffd000,0x7d40bffe,0x00003fff,0x2fffec40,0x827ffcc0,
    0x6402fff9,0xf8803fff,0x2e0006ff,0x0002efff,0x3e06ffd8,0x17fe02ff,
    0xfff70000,0x00ffffc5,0x0013ffe2,0x000fff50,0x0009fff1,0xff03ffcc,
    0x7ffd405f,0x800001ef,0x005ffffb,0x2207fff3,0x7d403fff,0xffb806ff,
    0x2a60003f,0x0003fffc,0xff02fff4,0x0bfe605f,0xfff70000,0x00ffffc5,
    0x003fffb1,0x007ffd00,0x00fffec4,0x407ffb00,0x7d402fff,0x00adffff,
    0x3ffae600,0x3ee004ff,0x3ffe03ff,0x4ffff806,0x07fffe20,0x3ffdc000,
    0x9fff1000,0xb817ffc0,0x400000ff,0x3fe2fffb,0x3732e1ff,0x0005ffff,
    0x5c0fff30,0x5ffffdcc,0x1bfe6000,0x1005fff0,0xdffffffb,0x53303357,
    0xbfffffd7,0xfc9a8801,0x3f201fff,0xa8099cff,0x309dffff,0x00dffff5,
    0x3fffa200,0x3aa66000,0x3fe01fff,0x00bfd02f,0xdaaaa880,0x37762fff,
    0x3fffee1d,0x00000eff,0x7dc0fff2,0x00efffff,0x007ffa00,0x54005fff,
    0xfffffffe,0xffffffff,0x2effffff,0xfffff700,0xfff980df,0xff904fff,
    0xffffffff,0x20001dff,0xfffffdcd,0x7fffc005,0x7ffc06ff,0x003ff882,
    0x7ffffc40,0xf5002fff,0x001fffff,0x01ffd000,0x1ffffff5,0x27fd4000,
    0x0017ffc0,0x7ffffecc,0xffffffff,0x003fffff,0x7fffffec,0xffffc801,
    0x3ffee04f,0x5fffffff,0x7fffc000,0x4000efff,0x01ffffff,0x7d417ffc,
    0x7c40001f,0x2fffffff,0x9dffd300,0x26000003,0xffe984ff,0x740001ce,
    0x5fff006f,0x6dcc4000,0xffffffff,0x0001bdff,0x01bffffd,0x27fff4c0,
    0x3fffb220,0x80002cef,0x02deffee,0x19ffff00,0x105fff00,0xd1000095,
    0x3ddddddd,0x00008800,0x40331000,0x26000008,0x13330009,0x26200000,
    0x30000009,0x13100001,0x00018800,0x98000000,0x4ccc0009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x00001555,0x0055554c,0x2aa00000,
    0x200002aa,0x002aaaa8,0x55530000,0x55555555,0x55543555,0x2a1aaaaa,
    0x000001aa,0x00d554c0,0x55440000,0x5100002a,0x2aa65555,0x200000aa,
    0x005ffff8,0x7fffc400,0x20000005,0x002ffffa,0x7fffec00,0xc8800000,
    0xfffffffe,0xffffffff,0x3ffffe5f,0xfff13fff,0x4000000b,0x02fffff8,
    0x7fec0000,0xb80004ff,0xff31ffff,0x40000bff,0x000efffb,0xffff9800,
    0xd0000001,0x00009fff,0x09fffd10,0xfffb8000,0xffffffff,0xffffffff,
    0x3fffffe5,0xbfff13ff,0x74000000,0x00ffffff,0xfff70000,0x80007fff,
    0x7d43ffff,0x00000fff,0x0003ffff,0x2fffdc00,0x7d400000,0x000006ff,
    0x003fffe2,0x7fffec00,0xffffffff,0xffffffff,0x3bbfffe5,0xbfff12ee,
    0x32000000,0xeffebfff,0x7cc00000,0x1fffcdff,0xbfff7000,0x013ffee0,
    0x0bffee00,0x3f200000,0x000001ff,0x0007fff4,0x3ffe6000,0xffa80004,
    0xffffffff,0xfffaaaab,0x3ffe1aad,0x17ffe206,0x3ea00000,0xbfff35ff,
    0x7fc40000,0x1fffd0ff,0x1dffd000,0x007ffec0,0x013ffa00,0xffd80000,
    0x26000005,0x00001fff,0x01fff700,0x7fffc400,0x1fffffff,0xff04fff8,
    0x7ffc40df,0x44000005,0x3f20ffff,0xb00003ff,0x7fd47fff,0x7fd4006f,
    0x4ffe800f,0x13326000,0x91000000,0x40000099,0x00002cca,0x00e65c00,
    0xfffff500,0x03ffffff,0x3fe09fff,0x3ffe206f,0x5c000005,0x66442ccc,
    0x4c0000cc,0xccb83ccc,0x332e001c,0x09991002,0x00000000,0x00000000,
    0x00000000,0xff900000,0xffffffff,0x09fff03f,0xf881bffe,0x000005ff,
    0x00000000,0x00000000,0x73100000,0x0599dfd9,0x03555300,0x45555000,
    0x0001aaa9,0x8002aaa8,0xcefecb98,0xffd8002c,0xffffffff,0x04fff81f,
    0x7c40dfff,0x003105ff,0x000d554c,0x00155540,0x77f65cc4,0x550002cc,
    0x55540155,0x3fea000a,0xffffffff,0xf9000bef,0xf00009ff,0x3ff21fff,
    0xff80004f,0xff5000ff,0xffffffff,0x3e0017df,0xffffffff,0xfff81fff,
    0x40dfff04,0x36e5fff8,0x00bfffff,0x0013fff2,0x003fffe0,0x7fffffd4,
    0x0befffff,0x07fffa00,0x801fffe8,0xffffffd8,0xffffffff,0xfffc803f,
    0xfff80004,0x09fff90f,0x1ffff000,0xffffd880,0xffffffff,0xfe803fff,
    0xffffffff,0x4fff81ff,0x440dfff0,0xffd8dfff,0x2fffffff,0x009fff90,
    0x01ffff00,0xfffffd88,0xffffffff,0xffd003ff,0x7fff403f,0x7fffd401,
    0xfecdffff,0x04ffffff,0x0027ffe4,0xc87fffc0,0x80004fff,0x2a00ffff,
    0xffffffff,0xfffffecd,0x7fe404ff,0xffffffff,0x04fff81f,0x7c40dfff,
    0xffffeeff,0x3ffffffe,0x004fffc8,0x00ffff80,0x3fffffea,0xfffecdff,
    0xe804ffff,0x3fa01fff,0x3ff201ff,0x3009dfff,0x1dfffff9,0x013fff20,
    0x43fffe00,0x0004fffc,0x900ffff8,0x13bfffff,0x3ffff260,0xfff700ef,
    0xffffffff,0x209fff03,0x3e206fff,0x42efffff,0x42ffffd9,0x0004fffc,
    0x900ffff8,0x13bfffff,0x3ffff260,0x3ffa00ef,0x3fffa01f,0xfffff301,
    0x7ff44005,0xfff904ff,0xfff00009,0x13fff21f,0x3fffe000,0xfffff980,
    0x3ffa2002,0xfff104ff,0xffffffff,0x209fff03,0x3e206fff,0x200effff,
    0x7e46fffc,0xf80004ff,0xff980fff,0x22002fff,0x204ffffe,0x3a01fffe,
    0xffd01fff,0x360001bf,0xfc82ffff,0xf80004ff,0xfff90fff,0xfff00009,
    0xbfffd01f,0x3ff60001,0xfff702ff,0x3fffffff,0x3e09fff0,0x3fe206ff,
    0xfe800fff,0x3fff23ff,0xfff80004,0xdfffe80f,0xfffb0000,0x3fffa05f,
    0x07fffa01,0x003fffee,0x1ffffb00,0x004fffc8,0x90ffff80,0x00009fff,
    0xfb81ffff,0x40000fff,0xb00ffffd,0xffffffff,0x09fff03f,0xf881bffe,
    0xf5004fff,0x7ffe4bff,0xfff80004,0x7fffdc0f,0x7fec0000,0xfffe80ff,
    0x07fffa01,0x007ffff1,0x7ffff100,0x004fffc8,0x90ffff80,0x00009fff,
    0x7c41ffff,0x80003fff,0x203ffff8,0xfffffffb,0x04fff81f,0x7c40dfff,
    0x3a000fff,0x3fff26ff,0xfff80004,0x3fffe20f,0xff880003,0xfffe83ff,
    0x07fffa01,0x000dfff9,0x237ffdc0,0x0004fffc,0xf90ffff8,0xf00009ff,
    0x7fe41fff,0x2e00006f,0x64c06fff,0x81fffffe,0xfff04fff,0x2fffc40d,
    0xc9fff200,0x80004fff,0x3f20ffff,0x200006ff,0xfe86fffb,0x3ffa01ff,
    0x17fffc1f,0xfff10000,0x27ffe43f,0x7fffc000,0x009fff90,0x41ffff00,
    0x0002ffff,0x07fffe20,0x0fffdc40,0xff827ffc,0x3ffe206f,0x7ffdc004,
    0x009fff91,0x41ffff00,0x0002ffff,0x07fffe20,0x7403fffd,0x3fe21fff,
    0x400000ff,0x3f23fffe,0xf80004ff,0xfff90fff,0xfff00009,0x3fffe21f,
    0x7f400000,0x3ea003ff,0x4fff81ff,0x440dfff0,0x54003fff,0xfff92fff,
    0xfff00009,0x3fffe21f,0x7f400000,0x7fff43ff,0x87fffa01,0x0007fff9,
    0x25fffb80,0x0004fffc,0xf90ffff8,0xf00009ff,0x3fe61fff,0xb800007f,
    0x2a005fff,0xfff81fff,0x40dfff04,0x4002fff8,0xff94fffa,0xff00009f,
    0x3ffe61ff,0xfb800007,0x7fff45ff,0x87fffa01,0x0006fffa,0x26fffa80,
    0x0004fffc,0xf90ffff8,0xf00009ff,0x3fea1fff,0xa800006f,0x2a006fff,
    0xfff81fff,0x40dfff04,0x4003fff8,0xff93fffa,0xff00009f,0x3ffea1ff,
    0xfa800006,0x7fff46ff,0x87fffa01,0x0005fffb,0x27fff980,0x0004fffc,
    0xf90ffff8,0xf00009ff,0x3fee1fff,0x9800005f,0x2a007fff,0xfff81fff,
    0x40dfff04,0x4004fff8,0xff93fffb,0xff00009f,0x3ffee1ff,0xf9800005,
    0x7fff47ff,0x87fffa01,0x0004fffc,0x27fff980,0x0004fffc,0xf90ffff8,
    0xf00009ff,0x3ff21fff,0x9800004f,0x2a007fff,0xfff81fff,0x40dfff04,
    0x4005fff8,0xff92fffc,0xff00009f,0x3fff21ff,0xf9800004,0x7fff47ff,
    0x87fffa01,0x0003fffe,0x0ffff880,0x0009fff9,0x321ffff0,0x80004fff,
    0xffd0ffff,0x1000007f,0x2001ffff,0xff81fffa,0x0dfff04f,0x0037ffc4,
    0x7e43fffa,0xf80004ff,0xfffd0fff,0xf1000007,0x7ff41fff,0x3fffa01f,
    0x00ffff61,0x3ffe6000,0x013fff27,0x43fffe00,0x0004fffc,0xfb0ffff8,
    0x000007ff,0x400ffff3,0xff81fffa,0x0dfff04f,0x00ffffc4,0x325fff98,
    0x80004fff,0xffb0ffff,0x3000007f,0xffe8ffff,0x3fffa01f,0x013fff61,
    0x3ffee000,0x013ffee7,0x43fffe00,0x0004fffb,0xfb0ffff8,0x000009ff,
    0x400ffff7,0xff81fffa,0x0dfff04f,0x02ffffc4,0x2e3fffd8,0x80004fff,
    0xffb0ffff,0x7000009f,0xffe8ffff,0x3fffa01f,0x017fff21,0x3fff2000,
    0x013ffee6,0x1ffff100,0x0013ffee,0x21ffff10,0x0005fffc,0x06fffc80,
    0x207ffea0,0xfff04fff,0x7fffc40d,0x7ffdc03f,0x027ffdc6,0x3fffe200,
    0x00bfff90,0xdfff9000,0x201fffe8,0x3ee1fffe,0x800007ff,0x3ee5fffd,
    0x440005ff,0x3fee7fff,0x7c40005f,0x3ffee7ff,0xfd800007,0x3ea005ff,
    0x4fff81ff,0x440dfff0,0x0dffffff,0x0ffffec4,0x0017ffee,0x5cffff10,
    0x00007fff,0x745fffd8,0x3fa01fff,0x3ffe21ff,0x7400000f,0x3fea3fff,
    0x7cc0005f,0x3ffea7ff,0x7fcc0005,0x3fffe27f,0x7f400000,0x3ea003ff,
    0x4fff81ff,0x440dfff0,0xffffffff,0xfffffede,0x05fffa83,0x3fffcc00,
    0x001ffff1,0x3fffe800,0xd00ffff4,0xffe83fff,0x2a00003f,0x3e60ffff,
    0x540006ff,0x3fe66fff,0x7d40006f,0x7fff46ff,0x3ea00003,0x2a000fff,
    0xfff81fff,0x40dfff04,0xff9dfff8,0xffffffff,0x0dfff302,0x6fffa800,
    0x001ffff4,0x1ffff500,0x201fffe8,0x7dc1fffe,0x00000fff,0xf88bfffd,
    0x5c0007ff,0x3fe25fff,0x7dc0007f,0x7ffdc5ff,0xfd00000f,0xfa800bff,
    0x4fff81ff,0x440dfff0,0xffb15fff,0x4019ffff,0x0007fff8,0x2e2fffdc,
    0x0000ffff,0xd0bfffd0,0x7f403fff,0x7ffc41ff,0xfb80005f,0xffe82fff,
    0x3fa0001f,0x7fff43ff,0x3ffa0001,0x7fffc43f,0xffb80005,0x7d4002ff,
    0x4fff81ff,0x440dfff0,0xab985fff,0xfffd0009,0x7ff40003,0x7fffc43f,
    0xffb80005,0xfffe82ff,0x07fffa01,0x00bfffee,0x5ffff880,0x01dfff90,
    0x3ffff500,0x00efffc8,0x1ffffa80,0x02ffffb8,0x3fffe200,0xfffa8005,
    0xf04fff81,0x7fc40dff,0x3200005f,0x8000efff,0xb81ffffa,0x0002ffff,
    0x417fffe2,0x3a01fffe,0xffb01fff,0xf50007ff,0x2a01ffff,0x8006ffff,
    0xfa86fffe,0xe8006fff,0x3f606fff,0xa8003fff,0x000fffff,0xf81fffa8,
    0xdfff04ff,0x02fffc40,0xffff5000,0xfffd000d,0x7fffec0d,0xfffa8003,
    0xfffd00ff,0x0ffff403,0xefffff88,0xffff9000,0xfffd805f,0xfea800df,
    0xffb02fff,0xd5001bff,0x4405ffff,0x00efffff,0x5fffff90,0x3ffea000,
    0xf04fff81,0x7fc40dff,0x6c00005f,0x800dffff,0x02ffffea,0x3bffffe2,
    0xffff9000,0x7fff405f,0x07fffa01,0xfffffe98,0xdb988abd,0x03fffffe,
    0xffffff88,0xecba9bde,0x205fffff,0xeffffff8,0xfecba9bd,0x9805ffff,
    0xbdfffffe,0xfedb988a,0x0003ffff,0x3e07ffea,0xdfff04ff,0x02fffc40,
    0x3ffe2000,0xa9bdefff,0xfffffecb,0xfffe9805,0x988abdff,0xfffffedb,
    0x0ffff403,0x803fffd0,0xffffffd8,0xffffffff,0x2a001fff,0xffffffff,
    0xffffffff,0xfffa805f,0xffffffff,0x05ffffff,0x3ffff620,0xffffffff,
    0x001fffff,0x40fffd40,0xfff04fff,0x2235555d,0x00005fff,0xffffffa8,
    0xffffffff,0x22005fff,0xfffffffd,0xffffffff,0xffe801ff,0x3fffa01f,
    0xffff7001,0xffffffff,0x10001bff,0xfffffffd,0x7fffffff,0x7fff4400,
    0xffffffff,0x70003fff,0xffffffff,0x1bffffff,0xfff50000,0x209fff03,
    0xffffffff,0x00bfff13,0x3ffa2000,0xffffffff,0x0003ffff,0xfffffff7,
    0xbfffffff,0x3fffa001,0x07fffa01,0xffffd500,0x017dffff,0xfffb5000,
    0x7dffffff,0x3f6a0001,0xffffffff,0xa80000be,0xfffffffe,0x00000bef,
    0x3e07ffea,0xffff04ff,0x3e27ffff,0x000005ff,0x7ffffed4,0x00beffff,
    0xfffea800,0x0befffff,0x0ffff400,0x003fffd0,0x4d5dd4c0,0x26000000,
    0x019abbaa,0x5d54c000,0x000019ab,0x26aeea60,0xd3000000,0x7ddd01dd,
    0x3bbbbba0,0x9ddd12ee,0x4c000000,0x019abbaa,0x2ea60000,0x000009ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55300000,0x00000155,0x02aaaa88,0x00066000,
    0x2aaaa000,0x55400000,0x3000002a,0x00015555,0x2aaaa200,0x20000002,
    0x00002aaa,0x35555100,0x07776c00,0x4003bbb6,0x005ffff9,0x7ffdc000,
    0x3e00001f,0x2000000f,0x005ffffc,0x3ffff600,0xfe800005,0x000006ff,
    0x007fffec,0x7fec0000,0x000005ff,0x00ffffc8,0xf03fffa0,0x54001fff,
    0x0000ffff,0x0ffffe00,0x7fd44000,0xa800000b,0x04ffffff,0xffffb800,
    0x200003ff,0x000ffffa,0xfffe8000,0x5c000004,0x03ffffff,0x3fe20000,
    0x7f4002ff,0x7fffc0ff,0x7ffdc000,0xf7000004,0x88000bff,0xfffffffc,
    0x880000cf,0xfffbefff,0x3fe60002,0x02fffcef,0x3fffd000,0x22000000,
    0x0000ffff,0x9dfff300,0x00003fff,0x013fff20,0xf03fffa0,0xb0001fff,
    0x00001fff,0x001dffd0,0x7ffffdc0,0x2fffffff,0x7fff4000,0x003fffd1,
    0x23fffd10,0x0000fffe,0x001fffd4,0x3fe60000,0x8800004f,0xffd0fffe,
    0x8800001f,0x70005fff,0x99990999,0x27ff4000,0x3fea0000,0x3ee0001f,
    0xfffeffff,0x002fffff,0x4c9fffb0,0x4000efff,0x3e63fffd,0x740006ff,
    0x000005ff,0x01fff700,0xfffd8000,0x01bffe63,0x1fff7000,0x00000000,
    0x004cc880,0x01665c00,0xbffff300,0x3fee7fe3,0x44000fff,0xcca84ccc,
    0x3326002c,0x2cccb84c,0x19991000,0x40000000,0x00001ccb,0x2e133326,
    0x00002ccc,0x00007332,0x000aaaa8,0x00000000,0x3ffa0000,0xe887fc3f,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0x54c03fff,0xaaaaaaaa,0xaaaaaaaa,0x530aaaaa,0x55555555,0x55555555,
    0x4c155555,0x0ff87fff,0x001fffea,0x006aaaa0,0x15555000,0x55540000,
    0x0000001a,0x000d5554,0x55555530,0x55555555,0x55555555,0x02aaaa61,
    0xaaaa8000,0x03fffd02,0x7fffffdc,0xffffffff,0xffffffff,0xffffff70,
    0xffffffff,0xffffffff,0x427ffd41,0x7fffc0ff,0x3fea0001,0x400006ff,
    0x0001fffe,0x0dffff50,0x7d400000,0x20006fff,0xfffffffb,0xffffffff,
    0x0fffffff,0x00bffff3,0x3fffee00,0x03fffd01,0x7fffffdc,0xffffffff,
    0xffffffff,0xffffff70,0xffffffff,0xffffffff,0x40fffe41,0x5e6dc0ff,
    0x3ff60001,0x00001fff,0x0007fffa,0x7ffffec0,0xb0000001,0x003fffff,
    0x3ffffee0,0xffffffff,0xffffffff,0x3ffff20f,0x7fc40002,0x3ffa04ff,
    0x3ffee01f,0xffffffff,0xffffffff,0xfff70fff,0xffffffff,0xffffffff,
    0x7fec1fff,0x000ff81f,0xffff1000,0x400009ff,0x0001fffe,0xffffff88,
    0x88000004,0x04ffffff,0xfffff700,0xffffffff,0xffffffff,0xffffe81f,
    0x3ffa0000,0x7fff406f,0x37ffee01,0xaaaaaaaa,0xaaaaaaaa,0xbfff70aa,
    0x55555555,0x55555555,0x7ffdc155,0x0000ff84,0xfbfff700,0x200001ff,
    0x0001fffe,0xffdfffb8,0x4000000f,0xfffdfffb,0xfffb8000,0xaaaaaaad,
    0xaaaaaaaa,0x7fcc0aaa,0xf70005ff,0xfe803fff,0x3fee01ff,0xb800004f,
    0x00004fff,0xf0dfff30,0x2000001f,0xfffadffe,0xffd00003,0xfd00003f,
    0x07fff5bf,0xffe80000,0x003fffad,0x004fffb8,0x7ffe4000,0x7fc4002f,
    0xffe803ff,0x3ffee01f,0xfb800004,0x000004ff,0xff0ffffe,0xf3000001,
    0xdfff15ff,0x3ffa0000,0x7cc0001f,0x6fff8aff,0x3e600000,0x6fff8aff,
    0x4fffb800,0xfe800000,0x36000fff,0xfd006fff,0x7fdc03ff,0xb800004f,
    0x00004fff,0x33ffff20,0x00001ff0,0x361fff90,0x80001fff,0x0001fffe,
    0xfd87ffe4,0x000001ff,0x3f61fff9,0x7dc001ff,0x000004ff,0x04ffff98,
    0x01ffff70,0x807fffa0,0x0004fffb,0x04fffb80,0x7fec0000,0x00ffdfff,
    0x6fff8000,0x0013ffea,0x007fffa0,0x54dfff00,0x00004fff,0x7d4dfff0,
    0x7dc004ff,0x000004ff,0x03ffff90,0x03ffff88,0x807fffa0,0x0004fffb,
    0x04fffb80,0xffd80000,0xbdffffff,0xffa80000,0x07fffc4f,0x3fffa000,
    0x3fea0001,0x07fffc4f,0x3fea0000,0x07fffc4f,0x09fff700,0x7f400000,
    0x7fec06ff,0x7ff4005f,0x3ffee01f,0xfb800004,0x000004ff,0xfffffd70,
    0x0019ffff,0x20fffec0,0x0003fffc,0x000ffff4,0xc83fffb0,0x00003fff,
    0x320fffec,0x2e003fff,0x00004fff,0x3fffe600,0x1ffff504,0x1fffe800,
    0x013ffee0,0x3ffee000,0x40000004,0xffffffc9,0x88002eff,0xff986fff,
    0x7f40006f,0xf10001ff,0xfff30dff,0x7c40000d,0xfff986ff,0x3ffee006,
    0x40000004,0x441ffffc,0x8002ffff,0x2e01fffe,0x00004fff,0x004fffb8,
    0xff100000,0x3ffffffd,0x3fffb800,0x003fffd0,0x00ffff40,0x03fffb80,
    0x0003fffd,0x40fffee0,0x7001fffe,0x00009fff,0xfffe8800,0x02fffe46,
    0x01fffe80,0x0013ffee,0x13ffee00,0xf8000000,0xffffc98f,0x7fff4006,
    0x0bfff700,0x0ffff400,0x0fffe800,0x00bfff70,0x03fffa00,0x802fffdc,
    0x0004fffb,0xfff98000,0x1ffff32f,0x3fffa000,0x3fffee01,0xffffffff,
    0xffffffff,0x7ffffdc7,0xffffffff,0x7fffffff,0x541ff000,0x3004ffff,
    0x7c40bfff,0xd0000fff,0x30003fff,0x7c40bfff,0x40000fff,0x2205fff9,
    0xb800ffff,0xffffffff,0xffffffff,0x8007ffff,0xfe8ffffc,0x3a0002ff,
    0x3ee01fff,0xffffffff,0xffffffff,0x7fdc7fff,0xffffffff,0xffffffff,
    0xff0007ff,0x06fffb81,0x805fff90,0x0003fffd,0x0003fffd,0xd805fff9,
    0x40003fff,0x6c02fffc,0xfb803fff,0xffffffff,0xffffffff,0x88007fff,
    0xfffefffe,0x7ff40004,0x3ffee01f,0xffffffff,0xffffffff,0x7fffdc7f,
    0xffffffff,0xffffffff,0x81ff0007,0x8807fff9,0xfa807fff,0xfd0006ff,
    0xf88003ff,0xffa807ff,0x3e20006f,0xffa807ff,0xfffb806f,0xffffffff,
    0xffffffff,0xff50007f,0x001dffff,0x01fffe80,0x333bffee,0xcccccccc,
    0x44cccccc,0xcccefffb,0xcccccccc,0x104ccccc,0x203fe033,0x5c01fffe,
    0xff004fff,0xfd0005ff,0xfb8003ff,0xfff004ff,0x3ee0005f,0xfff004ff,
    0xfffb805f,0xccccccce,0xcccccccc,0x3f20004c,0x0001ffff,0x201fffe8,
    0x0004fffb,0x04fffb80,0xffe98000,0xfb01ff04,0xffe803ff,0xfff9001f,
    0xfffd000b,0xfffe8003,0xbfff9001,0x3fffa000,0xbfff9001,0x04fffb80,
    0x44000000,0x0004ffff,0x403fffd0,0x0004fffb,0x04fffb80,0xfff98000,
    0xfd01ff06,0x7fcc01ff,0xeeeeeeff,0xfffeeeee,0x7ff4000f,0x3fe6001f,
    0xeeeeeeff,0xfffeeeee,0x7fcc000f,0xeeeeeeff,0xfffeeeee,0x3ffee00f,
    0x00000004,0x002fffd8,0x03fffd00,0x0027ffdc,0x27ffdc00,0xfff80000,
    0xf80ff81f,0x7fe406ff,0xffffffff,0xffffffff,0x7ff4003f,0x3ff2001f,
    0xffffffff,0xffffffff,0x7fe4003f,0xffffffff,0xffffffff,0x3ffee03f,
    0x00000004,0x002fffd8,0x03fffd00,0x0027ffdc,0x27ffdc00,0xffd80000,
    0x5c0ff85f,0x7fc05fff,0xffffffff,0xffffffff,0x7f4006ff,0x3fe001ff,
    0xffffffff,0xffffffff,0x7fc006ff,0xffffffff,0xffffffff,0x3fee06ff,
    0x0000004f,0x02fffd80,0x3fffd000,0x027ffdc0,0x7ffdc000,0xf3000004,
    0x0ff87fff,0x807fffe6,0xaaaefffa,0xaaaaaaaa,0x02ffffaa,0x007fffa0,
    0x5577ffd4,0xaaaaaaaa,0x2ffffaaa,0x5dfff500,0x55555555,0xffff5555,
    0x13ffee05,0x20000000,0x0002fffd,0x403fffd0,0x0004fffb,0x04fffb80,
    0x3ff60000,0x21ff0cff,0x404ffffb,0x0002fffd,0x400bfffb,0xb001fffe,
    0x20005fff,0xb005fffd,0x20005fff,0xf705fffd,0x000009ff,0x5fffb000,
    0x3ffa0000,0x3ffee01f,0xfb800004,0x000004ff,0x6fffffec,0xfffffdff,
    0x7fffc406,0xfff30000,0x3ffa001f,0xfff8801f,0xff30000f,0xff8801ff,
    0xf30000ff,0xff701fff,0x0000009f,0x05fffb00,0x3fffa000,0x13ffee01,
    0x3fee0000,0x8000004f,0xfffffffd,0x804fffff,0x0005fffb,0x8027fff4,
    0xb801fffe,0x40005fff,0x5c04fffe,0x40005fff,0xfb84fffe,0x000004ff,
    0x2fffd800,0xfffd0000,0x27ffdc03,0x7fdc0000,0x0000004f,0xffffffb7,
    0x3a005dff,0x40002fff,0xd007fffb,0xfd003fff,0xb80005ff,0x7f407fff,
    0x5c0002ff,0xffb87fff,0x0000004f,0x02fffd80,0x3fffd000,0x027ffdc0,
    0x7ffdc000,0x80000004,0x00acffc9,0x01fffe60,0x3fffe200,0x1fffe802,
    0x03fffcc0,0x7fffc400,0x0ffff302,0xffff1000,0x04fffb85,0xd8000000,
    0x00002fff,0x5c03fffd,0xeeeeffff,0xeeeeeeee,0x75eeeeee,0xddddffff,
    0xdddddddd,0x0bdddddd,0x8000ff80,0x0004fffc,0x00bfffb0,0xc803fffd,
    0x00004fff,0x320bfffb,0x00004fff,0xfb8bfffb,0xeeeeefff,0xeeeeeeee,
    0x005eeeee,0x005fffb0,0x07fffa00,0xffffffb8,0xffffffff,0xffffffff,
    0xffffff76,0xffffffff,0xffffffff,0x00ff800d,0x01ffff80,0xffff5000,
    0x1fffe801,0x00ffffc0,0xffffa800,0x01ffff80,0xffff5000,0x7ffffdc1,
    0xffffffff,0xffffffff,0xffb0006f,0x3a00005f,0x3ee01fff,0xffffffff,
    0xffffffff,0xf76fffff,0xffffffff,0xffffffff,0x00dfffff,0x54000ff8,
    0x00006fff,0x2027fffc,0x2a01fffe,0x00006fff,0x2a27fffc,0x00006fff,
    0xf727fffc,0xffffffff,0xffffffff,0x00dfffff,0x00bfff60,0x3ee00000,
    0xffffffff,0xffffffff,0xf76fffff,0xffffffff,0xffffffff,0x00dfffff,
    0x6c000cc8,0x00003fff,0x203fffe4,0x3601fffe,0x00003fff,0x363fffe4,
    0x00003fff,0xf73fffe4,0xffffffff,0xffffffff,0x00dfffff,0x00bfff60,
    0x0fff8000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf3000000,0x008000bf,0x20000662,0x74c4eee9,
    0x000004ee,0xb0000000,0xdddb0ddd,0x08800000,0x00002660,0x00998030,
    0x40eeed80,0x0000eeed,0x3607776c,0x00000eee,0x2000fff2,0x41cfffd8,
    0x40000ffd,0x7cc5fff9,0x000005ff,0x00019fd5,0x87fff800,0x00007fff,
    0x17dfff70,0x0002ffcc,0x42dfffc8,0xe8002ffb,0x7ff40fff,0x7f40000f,
    0x7fff40ff,0x3fa00000,0x7fc4001f,0xcbefffff,0x980007ff,0x7fcc5fff,
    0xd800005f,0x000ffcdf,0x1fffe000,0x0001fffe,0x3ffffee0,0x3ffebdff,
    0xfffd8000,0xffbcffff,0xffe8001f,0x07fff40f,0x3fffa000,0x007fff40,
    0x07ff8800,0xfdfffc80,0x4fffffff,0xfff98000,0x02fffcc5,0x88fe2000,
    0x2000003f,0xfff87fff,0x7c400007,0xffffeeff,0x0000ffff,0x7fefffd4,
    0x06ffffff,0x81fffd00,0x0000fffe,0x3a07fff4,0x00000fff,0xd0009ff5,
    0x7ff543ff,0x80000cff,0x6443ccc8,0x400003cc,0x0006c87c,0x21333200,
    0x00004ccc,0xf932ffd4,0x0005dfff,0x6d45ff90,0x000dffff,0xb8199970,
    0xb80004cc,0x665c0ccc,0xfb00000c,0x9990005f,0x0002ee60,0x00000000,
    0x2f41fa80,0x00000000,0xcc980000,0x001ca881,0x20332e00,0x00000bb9,
    0x00000000,0xff000000,0x0000001f,0x35553000,0x55550000,0xb86fc000,
    0x4000002f,0xcefecb98,0x0000002c,0x00000000,0x5554c000,0xaaaaaaaa,
    0xaaaaaaaa,0x20000aaa,0x0001aaaa,0x006ff980,0x7f65cc40,0xc8002cce,
    0x80004fff,0x0000ffff,0x00dffff7,0x7ffd4000,0xffffffff,0x000000be,
    0x0006aaaa,0x001aaa98,0x2e2aaa80,0xffffffff,0xffffffff,0x00ffffff,
    0xdffff500,0xff700000,0x3fea0009,0xffffffff,0xf9000bef,0xf00009ff,
    0x20001fff,0x006ffffa,0xfffd8800,0xffffffff,0x0003ffff,0x6ffffa80,
    0x3fff2000,0x7f40001f,0x3fffee7f,0xffffffff,0xffffffff,0xfb0000ff,
    0x0003ffff,0x001ffe80,0x7ffffec4,0xffffffff,0xffc803ff,0xff80004f,
    0xfb0000ff,0x0003ffff,0x7ffffd40,0xffecdfff,0x004fffff,0x7fffec00,
    0xff90001f,0xe8000dff,0x3ffee7ff,0xffffffff,0xffffffff,0x88000fff,
    0x04ffffff,0x1ffe2000,0xfffff500,0xffd9bfff,0x809fffff,0x0004fffc,
    0x000ffff8,0xffffff88,0xff900004,0x2013bfff,0xefffffc9,0xff880000,
    0x0004ffff,0x07fffff9,0x73fff400,0x5555bfff,0x55555555,0x01555555,
    0xfbfff700,0x200001ff,0x32005ffa,0x09dfffff,0xfffff930,0x3fff201d,
    0xfff80004,0xffb8000f,0x000fffdf,0x7ffffcc0,0x3ffa2002,0xb80004ff,
    0x0fffdfff,0xffffc800,0xfd0001ff,0x27ffdcff,0x20000000,0xfffadffe,
    0xff900003,0x3ffe6007,0x3a2002ff,0xf904ffff,0xf00009ff,0xd0001fff,
    0x7fff5bff,0xfffe8000,0xffb0000d,0xe80005ff,0x3fffadff,0xffffc800,
    0xfd0006ff,0x27ffdcff,0x30000000,0xfff15fff,0x3fa0000d,0xfffd000f,
    0x3f60001b,0xffc82fff,0xff80004f,0x7cc000ff,0x6fff8aff,0x3ffee000,
    0x7ec0000f,0x30000fff,0xfff15fff,0xfff9000d,0x0007ffff,0x7fdcfffd,
    0x0000004f,0x6c3fff20,0x40001fff,0xf7006ff9,0x80001fff,0x640ffffd,
    0x80004fff,0x4000ffff,0xffb0fffc,0xff10003f,0x100007ff,0x0007ffff,
    0x7ec3fff2,0x7e4001ff,0x1ffffeff,0x73fff400,0x00009fff,0x37ffc000,
    0x0009fff5,0x8804ffb8,0x0003ffff,0x43ffff88,0x0004fffc,0x000ffff8,
    0xff537ffc,0xff90009f,0x5c0000df,0xf0006fff,0x7ffd4dff,0x7ffe4004,
    0x006fffea,0xff73fff4,0x0000009f,0xf13ffea0,0x40001fff,0xfc802ffd,
    0x200006ff,0x7e46fffb,0xf80004ff,0x2a000fff,0x7ffc4fff,0x7ffc000f,
    0x2200002f,0x4001ffff,0x7fc4fffa,0x3f2000ff,0xffff9aff,0x9fffa003,
    0x0004fffb,0xfffb0000,0x03fffc83,0x401ffe00,0x0002ffff,0x87fffe20,
    0x0004fffc,0x000ffff8,0xf907fff6,0x7c4007ff,0x00000fff,0x001ffff4,
    0xf907fff6,0x7e4007ff,0xffff92ff,0x9fffa003,0x0004fffb,0xfff88000,
    0x06fff986,0x00bff300,0x001ffff1,0x3fffe800,0x0013fff2,0x003fffe0,
    0x4c37ffc4,0x26006fff,0x00007fff,0x005fffb8,0x261bffe2,0x32006fff,
    0x3ffa2fff,0xfffd006f,0x0027ffdc,0x7fdc0000,0x3fffd03f,0x07ff9000,
    0x00ffff30,0xbfff7000,0x0027ffe4,0x007fffc0,0xd03fffb8,0x2a003fff,
    0x00006fff,0x006fffa8,0x740fffee,0xf9001fff,0x7ffcc5ff,0x7ffe804f,
    0x0013ffee,0x3ffa0000,0xbfff700f,0x03ffd000,0x00dfff50,0xdfff5000,
    0x0027ffe4,0x007fffc0,0x700fffe8,0x2e00bfff,0x00005fff,0x007fff98,
    0x5c03fffa,0xf9005fff,0xfffc85ff,0x3fff401f,0xfffffff7,0xffffffff,
    0x00ffffff,0x102fffcc,0x4001ffff,0xf7007ff8,0x00000bff,0x7e4ffff3,
    0xf80004ff,0xf9800fff,0x3fe205ff,0xffc800ff,0x9800004f,0xf3007fff,
    0x7fc40bff,0xffc800ff,0x6fffe82f,0xf73fff40,0xffffffff,0xffffffff,
    0x6400ffff,0x7ec02fff,0x3ea003ff,0xfff9004f,0xf3000009,0x7ffe4fff,
    0xfff80004,0xfffc800f,0x1fffec02,0x01ffff40,0x7ffc4000,0xfffc800f,
    0x1fffec02,0x417ffe40,0x204ffff9,0x3fee7ffe,0xffffffff,0xffffffff,
    0xff1007ff,0xfff500ff,0x17fec00d,0x03fffe80,0xfff88000,0x09fff90f,
    0x1ffff000,0x07fff880,0x806fffa8,0x0003fffd,0x07fff980,0x807fff88,
    0xc806fffa,0xff902fff,0x3ffa03ff,0x33bffee7,0xcccccccc,0x4ccccccc,
    0x09fff700,0x00bfffe0,0xd8007ffc,0x00003fff,0x2e7fff98,0x80004fff,
    0x5c00ffff,0xff004fff,0xffd805ff,0xb800004f,0xfb807fff,0xfff004ff,
    0xfffc805f,0x1bfffa02,0xff73fff4,0x0000009f,0x800ffff4,0x9805fffc,
    0x3f6006ff,0x800004ff,0x3ee7fffb,0x440004ff,0x7400ffff,0xf9001fff,
    0xffc80bff,0xc800005f,0xfe806fff,0xff9001ff,0xfffc80bf,0x3fffe602,
    0x2e7ffe84,0x00004fff,0xdffff300,0xdddddddd,0x01ffffdd,0x2003ffb8,
    0x0005fffc,0x26fffc80,0x0005fffb,0x203fffc4,0xeeeffff9,0xeeeeeeee,
    0x2e00ffff,0x00007fff,0x405fffd8,0xeeeffff9,0xeeeeeeee,0x3200ffff,
    0x7e402fff,0x7ff41fff,0x013ffee7,0x7fe40000,0xffffffff,0xffffffff,
    0x0fff403f,0x0ffff700,0xfffb0000,0x02fffd4b,0x1fffe600,0xffffff90,
    0xffffffff,0x407fffff,0x000ffff8,0x1ffff400,0x3fffff20,0xffffffff,
    0x03ffffff,0x200bfff2,0x7f46fffe,0x13ffee7f,0x7fc00000,0xffffffff,
    0xffffffff,0x3fe206ff,0x7ffc4007,0x7400000f,0x3fe63fff,0x7d40006f,
    0x7ffc06ff,0xffffffff,0xffffffff,0x7fff406f,0x3ea00003,0x7fc00fff,
    0xffffffff,0xffffffff,0x3ff206ff,0xfff9802f,0xb9fffa4f,0x00004fff,
    0xaefffa80,0xaaaaaaaa,0xffffaaaa,0x00bff502,0x007fffd0,0x7fffd400,
    0x01fffe20,0x0bfff700,0x5577ffd4,0xaaaaaaaa,0x2ffffaaa,0x03fffee0,
    0x7fff4000,0x77ffd405,0xaaaaaaaa,0xfffaaaaa,0x5fff902f,0x3ffff200,
    0x7dcfffd1,0x000004ff,0x002fffd8,0x20bfffb0,0xb8003ffc,0x0000ffff,
    0xd0bfffd0,0x40003fff,0x3603fffe,0xb0002fff,0x7c40bfff,0x80005fff,
    0x402ffffb,0x0002fffd,0x320bfffb,0x3a002fff,0xfffd6fff,0x0027ffdc,
    0x3ffe2000,0xff30000f,0x199701ff,0xffff1000,0xff70000b,0xfff905ff,
    0xff50001d,0x3fe203ff,0xf30000ff,0x7dc01fff,0x20002fff,0x405ffff8,
    0x000ffff8,0x01ffff30,0x4005fff9,0xfecffff9,0x13ffee7f,0xff700000,
    0xfe8000bf,0x000004ff,0x005ffff7,0x2ffffc40,0x06ffffa8,0x06fffe80,
    0x0017ffee,0x809fffd0,0x003ffffd,0x0fffffa8,0x02fffdc0,0x13fffa00,
    0x000bfff2,0xfffffff9,0x027ffdcf,0x3ffa0000,0x7dc0002f,0x999887ff,
    0x19999999,0x0fffff60,0x3fffea00,0x3fff600f,0xfea800df,0x3fa02fff,
    0x5c0002ff,0x7c407fff,0x000effff,0x05fffff9,0x005fffd0,0x87fffb80,
    0x8002fffc,0x7ffffffe,0x0013ffee,0x7fff9800,0xfff88000,0x7fffe42f,
    0x0fffffff,0xdfffff10,0x3fff2001,0x7fc402ff,0x9bdeffff,0xffffecba,
    0x3ffe605f,0xff880007,0x7f4c02ff,0x8abdffff,0xfffedb98,0xff9803ff,
    0xf880007f,0x7fe42fff,0xff98002f,0x3ee7ffff,0xeeeeefff,0xeeeeeeee,
    0x645eeeee,0x00004fff,0xfc8bfffb,0xffffffff,0x3fa600ff,0x8abdffff,
    0xfffedb98,0xff5003ff,0xffffffff,0xbfffffff,0x04fffc80,0xbfffb000,
    0xffffb100,0xffffffff,0x003fffff,0x0013fff2,0x22fffec0,0x0002fffc,
    0x4ffffff9,0xfffffffb,0xffffffff,0x6fffffff,0x000ffffc,0x0ffffa80,
    0x3ffffff2,0x400fffff,0xffffffd8,0xffffffff,0x44001fff,0xfffffffe,
    0x3fffffff,0x01ffff80,0xffff5000,0x3ffee001,0xffffffff,0x2000dfff,
    0x0001ffff,0x41ffff50,0x0002fffc,0xb9fffffa,0xffffffff,0xffffffff,
    0x26ffffff,0x0006fffa,0x527fffc0,0x99999999,0x2e001999,0xffffffff,
    0x0dffffff,0x3ff6a000,0xefffffff,0xfffa800b,0x7fc00006,0x754004ff,
    0xffffffff,0x7d4000be,0x400006ff,0x3f24ffff,0x260002ff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x366fffff,0x00003fff,0x003fffe4,0xffd50000,
    0x7dffffff,0xa9800001,0x0019abba,0x001fffec,0x1ffff200,0xabba9800,
    0x3f600009,0x400003ff,0x3f27fffc,0x640002ff,0x00007fff,0x00000000,
    0x00000000,0x26aeea60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca800000,
    0x1bcdeeec,0x00000000,0xdd500300,0x3fa00001,0xbb95003f,0x20000399,
    0x5000fffa,0x200001dd,0xa800fff9,0x0003ceec,0x0000bff6,0x800000cc,
    0x44000019,0xffffffeb,0x002effff,0xdb973000,0xc80359bd,0x3ffee04f,
    0xffb80000,0xffff8805,0x0004ffff,0x8017ffc4,0x0000fffb,0x802fff88,
    0xeffffffc,0x37fcc001,0x3ffae000,0xdd10bdff,0x3faa005d,0xb80002ef,
    0xffffffff,0xffffffff,0xeb880001,0xffffffff,0xffb82eff,0xffffc81f,
    0x7fcc0000,0x7ff4400f,0x4ffffddf,0x13ff6000,0x07fffe40,0x27fec000,
    0x77fffec0,0x2001ffff,0x50002ffe,0xffffffff,0x7fff13df,0x366bbe00,
    0x3f20000f,0xdeffffff,0xffffffed,0x3ea0003f,0xffffffff,0x1effffff,
    0xea85fff5,0x000fffff,0x00bffa20,0xfb03bfee,0x3ee000df,0xffea806f,
    0x40000fff,0xf9806ffa,0xffd50cff,0x1bfea00b,0x7fffd400,0xffffffff,
    0xb803fffa,0x8001fc0f,0x9cfffffe,0xffffb300,0xff70009f,0xbbffffff,
    0xfffffffd,0xfc87fffb,0x00fffdff,0x017ff200,0x7d416dd4,0xff88007f,
    0x7ffe401f,0x0000fffd,0x2007ffe2,0xff884ffd,0x1ffe802f,0xffff9800,
    0xffd510ae,0xb007ffff,0x9000db0f,0x003dffff,0x1fffff4c,0xfffffb00,
    0x3f660139,0x84ffffff,0x1ffd1dfd,0x3bfea000,0xffb00000,0x7ffd0009,
    0x3a3bfb00,0x3a0000ff,0xff8803ff,0x09ffb01f,0x0005ffa8,0x401bfffd,
    0x03fffffc,0x0fe21fa8,0x9ffff500,0x3ffa2000,0xffb800ff,0x2a002fff,
    0x706ffffe,0x000ffe83,0x001fff88,0x77ff64c0,0x2ffe4000,0x7ff41b80,
    0xbff70000,0x03ffe600,0x3a02ffdc,0xfa8001ff,0xffb006ff,0x3fe007ff,
    0x2000feab,0x006fffe8,0x2ffffc40,0x37fffe20,0xfff88000,0xffd001ff,
    0x9ffb0001,0xfffb0000,0xfff30009,0x7ff40001,0xfff98000,0x0fff5000,
    0xf5037fdc,0x3f2000bf,0xff3002ff,0x366007ff,0x5c001dff,0x0001ffff,
    0x01ffffa8,0x001ffffa,0x5fffffd8,0x001ffd00,0x0006ffb8,0x19fffff0,
    0x0bffa200,0x01ffd000,0x02ffe880,0xa81ffea0,0x3ffa07ff,0xdffb0001,
    0x3fffd800,0x80004400,0x0005fffe,0x413fff60,0x002ffff9,0xfffdffb0,
    0x1ffd003f,0x07ffcc00,0xf9510000,0x3ff600ff,0xffe80004,0x27fec000,
    0x81ffe600,0xff506ffb,0x7ffc000b,0x7ffdc005,0x004c4003,0x03fffe20,
    0xfffa8000,0x0dfff907,0x23fff200,0xe805fffd,0x3fa000ff,0x2000003f,
    0x7d402ffe,0xe80000ef,0x3ea000ff,0x7c4000ef,0xbff900ff,0x0007ffa0,
    0x0027ffc4,0x700fffea,0xdfffffd9,0xfffb805b,0x7c400006,0xfff82fff,
    0xffb8001f,0x3ffff51f,0x000ffe80,0x0000bff9,0x02ffe401,0x0003fff1,
    0x4003ffa0,0x0001fff8,0x3fa05fff,0x05ffb83f,0x0fffea00,0x07fff300,
    0x3fffffa6,0x0dffffff,0x00bfffb0,0x7fffb000,0x007fffa8,0x7c2fffa8,
    0x7f402fff,0xfffa800f,0xfff10000,0x09fff103,0x0001fff4,0x2001ffd0,
    0x20003ffd,0xff985ffc,0x01fff80f,0x0bffee00,0x07fff100,0xfffffff7,
    0xffffffff,0x09fffd01,0xfff90000,0x06fffc89,0x41fffcc0,0x7403fffc,
    0x7fc400ff,0x7ec0002f,0x3ff661ef,0x0dff702f,0x0ffe8000,0x006ffb80,
    0x577ffc40,0xb84fffc8,0x5c0005ff,0x4c003fff,0x7fd43fff,0x74c41cff,
    0xfe83ffff,0x800002ff,0x7e45fffb,0x3e6005ff,0xfff704ff,0x00ffe809,
    0x00027fec,0x7fffffcc,0xf305ffff,0x800001ff,0x7cc00ffe,0xb80000ff,
    0xffffffff,0x07ffc40e,0x3ffe6000,0x7ffd4004,0x017ffec3,0x7c3fffdc,
    0x00001fff,0x6c6fffb8,0xd1004fff,0x7fdc0bff,0x07ff405f,0x000dff70,
    0x7ffff4c0,0x3fa04fff,0xe800002f,0x7ff400ff,0x3ea00002,0x704fffff,
    0x100009ff,0xb800bfff,0x3fe63fff,0x3ffa005f,0x3fffe20f,0xfa800001,
    0x7fff46ff,0x5ffe8803,0x03fffd40,0x7cc02aaa,0x2aa601ff,0x99730019,
    0x7fe40157,0x006aa005,0xfc802aaa,0x06aa005f,0x01597510,0x9803ffe2,
    0xffff801a,0x3fff6000,0x007ffee3,0x7c1fffd8,0x00002fff,0x7c6fffc8,
    0xfd802fff,0x7fcc00ef,0xfe80007f,0xffff703f,0x00007fff,0x000effa8,
    0x0000bffb,0x4003bfea,0x00005ffd,0x7ec13ff2,0x3205ffff,0xf3003fff,
    0x00607fff,0xe83fff90,0x00003fff,0x745fffd8,0x7ec03fff,0xffa800ef,
    0x7e40007f,0xffff905f,0x00bfffff,0x07ffe200,0x02fffe40,0x0fffc400,
    0x05fffb80,0x1fff1000,0xfffffe88,0xff881eff,0xffd800ff,0x980003ff,
    0x7ec1fffd,0x800004ff,0x7ec4fffe,0x3ff203ff,0xfff7000f,0x7fcc000d,
    0xcfffa80f,0x2fffeb9a,0x4ffd8000,0xbffff500,0x9ffb0000,0x3fffea00,
    0xff900005,0x5bfffb09,0x320dfffb,0xb101efff,0x007fffff,0x7fee54c4,
    0x7e41ffff,0x800005ff,0x7e43ffff,0xfff704ff,0x7ffe4003,0xffd10005,
    0x217ff605,0x0004fff8,0x98037fdc,0x005fffff,0x8037fdc0,0x05fffff9,
    0x0fff8800,0x260fffcc,0xff882fff,0xca9acfff,0x3fffffff,0x3fff7260,
    0xffffffff,0x37ffd41f,0x3fe20000,0x7ffdc1ff,0x02fffa85,0x027ffec0,
    0x204ffd80,0xffb00ba9,0x7fcc0007,0xfff8800f,0x20005ffe,0x8800fff9,
    0x05ffefff,0x84ffc800,0xff905ffc,0x3fffa20d,0xefffffff,0xea82fffc,
    0xffffffff,0x1fffeeff,0x002ffff8,0x1fffee00,0x983fffe6,0xf8003fff,
    0xa8002fff,0x440006ff,0x20000fff,0xe8803ffe,0x05ffacff,0x00fffa00,
    0x3eb3ffa2,0x7c40005f,0x2ffe80ff,0xd80fff30,0xffffffff,0xa85fff74,
    0xffffffff,0xfff90ace,0x0dfff903,0xff9805c0,0xffff04ff,0x013ffe67,
    0x01fffea0,0x007ffe20,0x00bffb00,0x802ffe40,0xbff55ffd,0x17ff2000,
    0xfaaffec0,0x7ec0005f,0x05fff04f,0x3003ffe2,0x437bfd97,0x3e61fffb,
    0x00acffff,0x2607fff2,0xa803ffff,0x7ff41dff,0xfff700ff,0x00bffd1d,
    0x09ffff10,0x007ffd00,0x0fffec40,0x0fffa800,0x50effc80,0xf3000bff,
    0xff9001ff,0x017fea1d,0x80fff980,0xf101fff8,0x200003ff,0x3f61fffc,
    0xfd000eff,0x3ff605ff,0x7fec00ff,0xffff74ff,0x7fffc409,0x90005fff,
    0x8003ffff,0x20005ffb,0x001ffff9,0x005fff10,0x7d41fff7,0x7fc4005f,
    0xfffb802f,0x0017fea0,0x3e03ffd8,0xfff101ff,0x3f600003,0x3fffe0ff,
    0x3fffe000,0xfffff102,0x7fffdc05,0x0effffef,0x7ffffdc0,0xff98000e,
    0x7cc005ff,0xf70000ff,0x40001dff,0xfa804ffd,0x2ffd41ff,0x013ff600,
    0xf507ffea,0x3e6000bf,0x3ffa00ff,0x41fff302,0x22004efd,0x3fe66fff,
    0x3fe2006f,0x3fea02ff,0x75404fff,0x0fffffff,0x7ffffd00,0xffff5000,
    0x7f44001d,0xffb0002f,0xfb8000bf,0xfff9006f,0xffffffff,0xdff500ff,
    0x3ffff200,0xffffffff,0x1ffec007,0x540fff60,0x7ffdc7ff,0x9fffb003,
    0x003fffd4,0x805ffffb,0xdefffffa,0xfdba889b,0x003fffff,0x37fffff6,
    0xfffd8800,0x7e4001ff,0xfe88005f,0x440003ff,0xf9001fff,0xffffffff,
    0xf880ffff,0xff9001ff,0xffffffff,0x7cc00fff,0x6ffc807f,0xfa8bffb0,
    0xffa807ff,0x3ffe21ff,0xfffd802f,0xfe9802ff,0xffffffff,0xffffffff,
    0x7e400cff,0xcfffffff,0xfdb9889b,0x002fffff,0x00077fd4,0x000fffec,
    0x001fff40,0x55555553,0x8055dff9,0x26003ffe,0xcaaaaaaa,0x2002aeff,
    0xf8803ffd,0x3fee0cff,0x7fff441f,0x3f2621ae,0xffe84fff,0xffb301ef,
    0x2007ffff,0xffffffc8,0xffffffff,0x03fffffd,0xffd7fff7,0xffffffff,
    0x3dffffff,0x1fff8800,0xffffc800,0x6fffffff,0x005ffc80,0x02ffd400,
    0x0002ffdc,0x0017fea0,0x5c00fff3,0xfffcffff,0xffff104f,0xffffffff,
    0x3fe60bff,0xfeccdfff,0xfffbefff,0x7f5c4004,0xefffffff,0x3ffffa62,
    0x8bffea1f,0xffffffea,0xcfffffff,0x4ffd8000,0xffff8800,0xffffffff,
    0x07ffcc06,0x3fea0000,0x07ffcc05,0x3fea0000,0x1fff4005,0x3ffff200,
    0x74c04fff,0xffffffff,0x7dc03fff,0xffffffff,0x1fffa4ff,0xaba98800,
    0x3ff2009a,0x0fffa0ff,0x7fffff5c,0x000befff,0x000dff70,0x33333326,
    0x03cccccc,0x000bffa2,0x80b32600,0x0002ffe8,0x002cc980,0x4001bfea,
    0x02dfffda,0x3fffb660,0x3000beff,0xfffffffb,0x2fffc83b,0x88000000,
    0x027445fc,0x09aba988,0x09998000,0x00000000,0x00003331,0x19988000,
    0x00000000,0x00004cc4,0x98800004,0x54c40000,0x000000ab,0x01100000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00333322,0xc84ccc80,0x000004cc,
    0x33322000,0x2600004c,0x00bceedb,0x99930000,0x33000059,0x55550000,
    0x91000403,0x00009999,0x2cccc980,0x33322000,0x3a00000c,0x0006ffff,
    0xff03fffe,0xfd9000ff,0x01ffb05b,0x0ffffdc0,0xfffb1000,0x07ffffff,
    0xfffb0000,0xf930001d,0x03bfffff,0x5ffff500,0x5c006eb8,0x0002ffff,
    0x3ffff600,0x3ffa0000,0x80000eff,0x5ffffffc,0x1ffff000,0x4007fff8,
    0xcffffffe,0x8007ffaa,0x0005fffc,0xfffffff3,0x00bfffff,0x7fffcc00,
    0x7fec4001,0xffffffff,0x7f44000d,0xffffbbff,0x7ffe4001,0xf1000006,
    0x40003fff,0x5ffffffc,0x7ffdc000,0x003fffac,0x7c0ffff8,0x3f2007ff,
    0xffffffff,0xd0004fff,0x88003fff,0x9acfffff,0x03fffffc,0x5fffb000,
    0xfffe9800,0xffffffff,0xffb0006f,0x003bffff,0x007fff60,0x3fff2000,
    0x3fea0003,0x03fffadf,0x1dfff300,0x0007fff6,0xed81dddb,0x3ffa006e,
    0xfffff931,0x3a20001d,0x7ec005ff,0xff700dff,0xf10000ff,0xfd0009ff,
    0x6d437fff,0x4005ffff,0x1fffffc8,0x7ff44000,0x7c400005,0x220004ff,
    0xffb0ffff,0xfe88005f,0x3ffe22ff,0x0000000f,0xb885ee80,0x980001cd,
    0x3e001fff,0x7f400fff,0x640001ff,0xfc8006ff,0x3e201eff,0xd9801fff,
    0x3fffffff,0xfff98000,0x3f200001,0x7f40006f,0x3ffe22ff,0x2aa6000f,
    0x1aaa982a,0x00000000,0x30000000,0x3e600355,0xffb805ff,0x5540001f,
    0x7fc4000a,0xffa801ff,0x7ffec04f,0x1fffe8bf,0x1aa98000,0x2aaa0000,
    0x2aa20000,0x1aaa982a,0x00000000,0x00000000,0x00000000,0x200fffee,
    0x0000fffc,0x3fee0000,0x3ffe005f,0x21f7e407,0x000efff8,0x00000000,
    0x00000000,0x00131000,0x00131000,0x00131000,0x80031000,0xe802fffc,
    0x100007ff,0xffd80013,0x06aa001f,0xffa80a20,0x0c40005f,0x01880000,
    0x00310000,0x7ff65c00,0x002defff,0xffffecb8,0xb8002def,0xefffffec,
    0xdc88002d,0x02ceffff,0x200fffe4,0x0003fffa,0xfffffd97,0xfff805bd,
    0x98000007,0xfd8bcdca,0x326001ff,0x2ceffffe,0xffb91000,0x00059dff,
    0x3ffffb26,0xe98002ce,0xffffffff,0x9800dfff,0xfffffffe,0x800dffff,
    0xffffffe9,0x00dfffff,0xffffff70,0x201bffff,0x7400fffd,0xe98007ff,
    0xffffffff,0xf880dfff,0x000007ff,0x3fffffe6,0x06fffeff,0xfffffc88,
    0x00dfffff,0x3ffffee0,0x00dfffff,0xfffff910,0x01bfffff,0x3ffffee0,
    0xffffffff,0x3fee00ff,0xffffffff,0x200fffff,0xfffffffb,0xffffffff,
    0x3fff6200,0xffffffff,0xfffd81ef,0x0fffea00,0xfffff700,0xffffffff,
    0xfff881ff,0xf9000006,0xffffffff,0x405fffff,0xfffffff9,0x2fffffff,
    0x7fffec40,0xffffffff,0x7ffcc01e,0xffffffff,0x7d402fff,0x4c41cfff,
    0x503ffffe,0x8839ffff,0x03ffffe9,0x839ffff5,0x3ffffe98,0x33ffff60,
    0x3fffaa21,0x07ffec0f,0x001fffd0,0x0e7fffd4,0x3ffffa62,0x02fffcc3,
    0x7ffec000,0xfeba9bdf,0x3a06ffff,0x261bffff,0x01fffffb,0x873ffff6,
    0x0ffffea8,0x2fffffa0,0x3fffee61,0x3fff601f,0x7fffb802,0x005fffb0,
    0x360ffff7,0xfb802fff,0xfff507ff,0xfffd803d,0x807ffec4,0x4003fffa,
    0xb802fffd,0x7fc47fff,0x5400005f,0x2e03ffff,0xb81fffff,0x2201efff,
    0xf506fffe,0xfd803dff,0xfff704ff,0x7ff4403d,0xbfff306f,0x07fff400,
    0x8017ffe6,0x7cc0fffe,0x3fa005ff,0xfffe80ff,0x3fffb001,0xd807ffec,
    0x26001fff,0x3a005fff,0x7ffc0fff,0x7f400006,0xffa802ff,0x7ffcc3ff,
    0xfffd000f,0x03fffd05,0x307fff60,0x2001ffff,0xfb82fffe,0x3f6001ff,
    0x7ffdc1ff,0x3fff6001,0x00fffdc1,0xb83fffb0,0x26004fff,0x3ff65fff,
    0x3fffb00f,0x0fffdc00,0x83fffb00,0x44007ffe,0x5fffb809,0x1bfff600,
    0x4009fffb,0x7dc7fffa,0x3e6004ff,0x7ffec5ff,0x3ffea004,0x32000c07,
    0x00601fff,0x403fff90,0x7ffe4001,0x00fffec1,0xfd9fffa0,0xfff700ff,
    0x0006000b,0xfd83fff9,0x3ee000ff,0x3fffa2ff,0x3ffe2001,0x03fffa0f,
    0x41fffd00,0x4001fffd,0x7ff47ffe,0x7ff4000f,0xb300000f,0x00003fff,
    0x007fff66,0x7ffecc00,0x003fff41,0xfd87ffe4,0xfff100ff,0x000001df,
    0x20fffecc,0x2004fffc,0x3fe0fffd,0xffd8006f,0x01bffe1f,0xe8bfff20,
    0xfc8007ff,0x1bffe0ff,0x0bfff200,0xfb953100,0x003fffff,0xffdca988,
    0x4001ffff,0xfffdca98,0x7ffc1fff,0xcccccccf,0xffeccccc,0x01fffb1f,
    0x17ffffdc,0x32a62000,0x1ffffffd,0x007fffc4,0xf12fffcc,0xf9000dff,
    0x3ffe65ff,0xfffb8005,0x333fffe3,0xcccccccc,0x31fffecc,0x7000bfff,
    0xc9807fff,0xfffffffd,0x401fffff,0xfffffdc9,0x1fffffff,0x7ffee4c0,
    0xffffffff,0x3fffe21f,0xffffffff,0xffffffff,0x801fffb2,0x0dfffffb,
    0xfffb9300,0xffffffff,0xbfff903f,0x47fffd00,0x8005fff9,0xff53fffb,
    0xff50009f,0x3fffe29f,0xffffffff,0xffffffff,0x009fff52,0x209fff50,
    0xffffffea,0xffeeffff,0xfffd501f,0xdfffffff,0x2a03fffd,0xfffffffe,
    0xfffeefff,0x3ffffea1,0xffffffff,0x3fffffff,0x3001fffb,0x01dfffff,
    0x7fffff54,0xfeefffff,0xfff881ff,0xffe981ef,0x27ffd45f,0xa7ffd400,
    0x8003fffb,0xff55fff9,0xffffffff,0xffffffff,0x3ffee7ff,0xfff98003,
    0xfffffa85,0x90acefff,0xff503fff,0x9dffffff,0x07fff215,0x3fffffea,
    0xf90aceff,0x7ffcc3ff,0xccccccce,0xcccccccc,0x01fffb2c,0x3ffff620,
    0xffffa80f,0x0aceffff,0x2a03fff9,0xddffffff,0x40effffe,0x8004fffa,
    0xff53fffb,0xff50007f,0x3bffe69f,0xcccccccc,0xcccccccc,0x007fff52,
    0x989fff50,0x0acfffff,0x307fff20,0x159fffff,0x20fffe40,0xacfffff9,
    0x87fff200,0x0005fff8,0x003fff60,0x89ffff70,0xacfffff9,0x07fff200,
    0xfffffe88,0x80efffff,0x8005fff9,0xff32fffc,0xff70009f,0x17ffe29f,
    0xfff98000,0xfffb8004,0x077ffec4,0x42fffe80,0x000efffd,0xfd85fffd,
    0xfd000eff,0x7fff85ff,0x3ff60000,0xffa8000f,0x3fff60ff,0xfffd000e,
    0xfffd7005,0x4405dfff,0xd8006fff,0xfff11fff,0xfff9000b,0x003fffc7,
    0x0bfff100,0x87fff900,0x2000ffff,0x7fc2ffff,0x3fe000ff,0x7fffc2ff,
    0x3fffe000,0x007fff42,0x3ff60620,0xffd0000f,0x07fffc3f,0x05ffff00,
    0x04e7fdc0,0x007fff80,0x3e0fffe8,0xfd8007ff,0x3fffa2ff,0xf80c4000,
    0xfd8007ff,0x3ffe62ff,0x3ffe2006,0x1bffe62f,0x2ffff880,0x801bffe6,
    0x6c2ffff8,0x74004fff,0xfffb1fff,0x3ff20001,0x0dfff32f,0x17fffc40,
    0x017ffb00,0x017ffec0,0xe8dfff50,0x26003fff,0x7fec7fff,0x7ff4004f,
    0x0ffffa1f,0x47fff980,0x2007fffa,0x2a2ffffd,0x36007fff,0x3ea2ffff,
    0x3f6007ff,0x7fcc2fff,0xff7001ff,0x07ffecdf,0xffd013aa,0x1fffea1f,
    0x2ffffd80,0x3ffffe00,0xdfff5004,0x17fff400,0x801bffea,0x7cc5fffd,
    0xf7001fff,0xfffa8dff,0x3fff6006,0x17fffc45,0x7ffffec0,0x0bfffe22,
    0x3fffff60,0x0bfffe22,0x3fffff60,0x0efffc82,0x1ffffcc0,0x7f41fffb,
    0xfff503ff,0x17fffc4f,0x7ffffec0,0xfffa8002,0x9fffd001,0x0dfff900,
    0x2017fff6,0xc81ffffb,0x4c00efff,0xfd83ffff,0xffb805ff,0xfffe81ff,
    0xfffb301e,0xffe87fff,0xffb301ef,0xfe87ffff,0xfb301eff,0x107fffff,
    0x305fffff,0xd8dffff9,0x3fe60fff,0x7ff542ff,0x77fff44f,0xffffb301,
    0x3e0007ff,0xff3004ff,0xfd301dff,0x3e603fff,0xd881efff,0xf103ffff,
    0x9305ffff,0x260dffff,0x881effff,0x303ffffd,0x99bfffff,0xf7dffffd,
    0xfff989ff,0xffeccdff,0x4fffbeff,0x6fffffcc,0xeffffecc,0xf504fffb,
    0xfbdfffff,0x81dfffff,0x7d40fffd,0xfffdffff,0xfff986ff,0xffeccdff,
    0x4fffbeff,0xfdb98980,0x3a6003ff,0xfddfffff,0x403fffff,0xdffffffb,
    0x5ffffffd,0x7ffffd40,0xfffffdef,0x3fee00ef,0xffddffff,0x5c05ffff,
    0xffffffff,0x3ffa4fff,0xfffffb87,0x24ffffff,0xffb87ffe,0xffffffff,
    0x81fffa4f,0xffffffd8,0x80efffff,0xfc80fffd,0xffffffff,0xffff700e,
    0x9fffffff,0x2a03fff4,0xefffffff,0x7ff44000,0xffffffff,0xffd3001e,
    0xffffffff,0x3f62007f,0xffffffff,0xe9800eff,0xffffffff,0xb3003fff,
    0xbfffffff,0x82fffc83,0xffffffd9,0x7ffe41df,0xffffd982,0x7e41dfff,
    0x7f5c02ff,0x2effffff,0x403fff60,0xffffffea,0xfffd9803,0x641dffff,
    0x3ee02fff,0x00dfffff,0x3fff7200,0x0004efff,0xffffffd7,0xd700019f,
    0xdfffffff,0xffd70005,0x019fffff,0x15753100,0x2a620000,0x100000ab,
    0x00015753,0x26aea600,0xa9800000,0x988001ab,0x00000aba,0x01579753,
    0x9ba98000,0x2a600000,0x200001ab,0x0009aba9,0x03575300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcb819997,0x3b20004c,0x540004ee,0x0002cccc,
    0x06666440,0x09997000,0x80009999,0x02ceedca,0xfff30000,0x4037fd40,
    0x003cccc8,0x32133320,0x540004cc,0x4001cccc,0xfd83dfec,0xfffd000f,
    0x00fffe81,0x0bfffb00,0xdfffd000,0xffe80000,0x3a0006ff,0x7ffc0fff,
    0xfd88000f,0x1effffff,0x7fdc0000,0x017fee05,0x00ffffe4,0xf87fff80,
    0x740007ff,0x74005fff,0xacffffff,0x3a007ffa,0x7ff40fff,0xffb0000f,
    0xf10000bf,0x00005fff,0x3ffffff2,0xfffd0005,0x00ffff81,0x7ffffcc0,
    0x01ffffff,0x0fff6000,0x2003ffd8,0x0005fffd,0xfff0ffff,0x7fd4000f,
    0x3ee000ef,0xffffffff,0x3a005fff,0x7ff40fff,0xffb0000f,0x260000bf,
    0x80006fff,0xffacfffa,0xffe8003f,0x07fffc0f,0x3ffffa00,0x6ffffdac,
    0x3ffa0000,0x007ffe02,0x00fffe88,0xf87fff80,0x3a0007ff,0x74001fff,
    0xfff932ff,0x6c001dff,0x776c0eee,0x9950000e,0x54000059,0x20002fff,
    0xfb0ffff9,0xed8003ff,0x7776c0ee,0x3fff2000,0x3ffff885,0xfff88000,
    0x01fff100,0x04fff880,0xd86eed80,0xf50006ee,0xdb0005ff,0x039b710b,
    0x00000000,0x64000000,0xd10006ff,0x7fc45fff,0x000000ff,0x3fffd000,
    0x013fff20,0x81ffe600,0x30006ffa,0x00001fff,0xffd00000,0x00000009,
    0x00000000,0x50000000,0x53000155,0x55530555,0x00000003,0x881bffe0,
    0x80006fff,0x3ee05ffb,0x2a60005f,0x0000000a,0x01554400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0x3ffe607f,0xffd80005,
    0x00fff603,0x00000000,0x00000000,0x00000c40,0x40000188,0x0003fff9,
    0x00004c40,0x00000c40,0xe8000188,0xff702fff,0xfd00009f,0x0fffc05f,
    0x00000000,0x00000000,0xfffec980,0x30002cef,0x9dffffd9,0xffa80005,
    0x65c0002f,0xdefffffe,0xfdc88002,0x002cefff,0xffffb910,0xf900059d,
    0xfe881dff,0xdd7001ff,0xdfffdddd,0xffdddddd,0x3a29dddf,0x3ae003ee,
    0x7ddd11ee,0x8f775c00,0x2003eee8,0x9101eeeb,0xffffffff,0x22001bff,
    0xfffffffc,0x0000dfff,0x0003fff7,0x3fffffa6,0x0dffffff,0xfffff700,
    0x01bfffff,0x7ffffdc0,0x00dfffff,0x97fffe20,0x004fffe8,0x3ffffff2,
    0xffffffff,0xffffffff,0x009fff16,0xf88fffe4,0x3f2004ff,0x9fff11ff,
    0x0fffe400,0x7fffffcc,0xffffffff,0x7fffcc02,0xffffffff,0xfd8002ff,
    0xfb8000ff,0xffffffff,0x00ffffff,0x3fffff62,0xefffffff,0x7ffec401,
    0xffffffff,0x3ee001ef,0xfffacfff,0x7fe4005f,0xffffffff,0xffffffff,
    0xff16ffff,0x7fe4009f,0x09fff11f,0x88fffe40,0x32004fff,0xffe81fff,
    0x3ee61bff,0x3a01ffff,0x261bffff,0x01fffffb,0x01fffe20,0x33fffea0,
    0x7fff4c41,0x3fff603f,0x3faa21cf,0x3f600fff,0x2a21cfff,0x000ffffe,
    0x3ffffff6,0xa98005ff,0xdffeaaaa,0xfeaaaaaa,0xf12aaacf,0x7e4009ff,
    0x9fff11ff,0x8fffe400,0x2004fff8,0x7dc1fffc,0x3a201eff,0xff706fff,
    0x7f4403df,0x3f6006ff,0xfd8004ff,0xffb802ff,0xdfff507f,0x4fffd803,
    0x03dfff50,0x004fffd8,0x3fffffa2,0x7400003f,0x3ffe01ff,0x09fff101,
    0x88fffe40,0x32004fff,0xfff11fff,0x7ffe4009,0x03fffe61,0x217fff40,
    0x000ffff9,0x9005fffd,0x3000dfff,0x7400bfff,0xffe80fff,0xfffb001f,
    0x03fffd03,0x007fff60,0x7fffffdc,0x7c400001,0xfff100ff,0x13ffe201,
    0x11fffc80,0x64009fff,0xfff11fff,0x7ffe4009,0x013fff61,0x6c7fffa8,
    0x2a004fff,0x7ec07fff,0xb8002fff,0x36001fff,0x7fdc1fff,0x3fe6004f,
    0x27ffdc5f,0x0bfff300,0xfffffea8,0x400006ff,0x3ea06ffa,0x3ffe206f,
    0x3fff2004,0x009fff11,0xf88fffe4,0x3f2004ff,0x3fffa1ff,0x7fff4000,
    0x003fffa0,0x201fffd0,0x002ffffd,0x7e400180,0x7ffec1ff,0x3fff4001,
    0x0007fff6,0x7dc0fffd,0xfffdffff,0x2e00004f,0x3ff205ff,0x13ffe204,
    0x11fffc80,0x64009fff,0xfff11fff,0x7ffe4009,0x001bffe1,0xff8bfff2,
    0xffc8006f,0xffffd82f,0x80000002,0x741fffd9,0xfc8007ff,0x1fffa0ff,
    0x03fff200,0x437ffff2,0xc82ffffe,0x3ff6001b,0x80fff603,0x2004fff8,
    0xff11fffc,0x7fe4009f,0x09fff11f,0x98fffe40,0xb8005fff,0xfff33fff,
    0xfff7000b,0x1ffffd87,0x4c400000,0xfffffdca,0x67fffc1f,0xcccccccc,
    0x1fffeccc,0x3333fffe,0xcccccccc,0x5c1fffec,0x7c43ffff,0x3ea1ffff,
    0xffd007ff,0x00fffc03,0x4009fff1,0xff11fffc,0x7fe4009f,0x09fff11f,
    0xa8fffe40,0xa8004fff,0xfff54fff,0xfff50009,0x0ffffd49,0x6e4c0000,
    0xffffffff,0x3e21ffff,0xffffffff,0xffffffff,0xfff12fff,0xffffffff,
    0xffffffff,0x7fffc45f,0xdffff304,0x013fff21,0x4403ffe2,0x7fc407ff,
    0x3ff2004f,0x09fff11f,0x88fffe40,0x32004fff,0xfff71fff,0xfff30007,
    0x00fffeeb,0xe97ffe60,0x00002fff,0x7fffff54,0xfeefffff,0x3ffea1ff,
    0xffffffff,0xffffffff,0xfffff53f,0xffffffff,0x7fffffff,0x203fffe4,
    0xff5ffffa,0xddd705ff,0xddddfffd,0xddfffddd,0x3fe29ddd,0x3ff2004f,
    0x09fff11f,0x88fffe40,0x32004fff,0xfff51fff,0xfff50007,0x00fffea9,
    0x453ffea0,0x00006fff,0x7fffffd4,0xf90aceff,0x7ffcc3ff,0xccccccce,
    0xcccccccc,0x9dfff32c,0x99999999,0x59999999,0x4027fff4,0xffdffffc,
    0xffff907f,0xffffffff,0xffffffff,0x3ffe2dff,0x3fff2004,0x009fff11,
    0xf88fffe4,0x3f2004ff,0x9fff31ff,0x9fff7000,0x0013ffe6,0x7d53ffee,
    0x4c4004ff,0xfffff980,0x3ff200ac,0x17ffe21f,0xfff88000,0x7fc00005,
    0xffb001ff,0x209fffff,0xfffffffc,0xffffffff,0x6fffffff,0x4009fff1,
    0xff11fffc,0x7fe4009f,0x09fff11f,0x88fffe40,0xc8005fff,0xfff13fff,
    0xfff9000b,0x00bffee7,0x6c7fff70,0xd000efff,0xfff85fff,0x7fc00007,
    0x7c00007f,0xd1000fff,0x01ffffff,0x3ffeaaa6,0xfaaaaaab,0xaaaaabff,
    0x00bfff12,0xf88fffec,0x3f6005ff,0xbfff11ff,0x0fffec00,0xb000ffff,
    0x7ffc5fff,0xfffd8007,0x009fff72,0x3e1fffe8,0x3e000fff,0x7ff42fff,
    0x80c4000f,0x4000fffe,0x3fffd018,0x7fffcc00,0xfff1003f,0x01ffe601,
    0x8017ffe2,0xff11fffe,0x7ff400bf,0x0bfff11f,0xd0ffff40,0x4c007fff,
    0x7ff47fff,0x3fe6003f,0x1bffe67f,0x27fff880,0x2006fff9,0x6c2ffff8,
    0x74004fff,0x3ff61fff,0x7ff4004f,0x13fff61f,0xdffffd00,0x0dff5001,
    0xf8037fd4,0xff1006ff,0x37ffc3ff,0x1ffff880,0x4401bffe,0x3ea1ffff,
    0x3f6006ff,0x7ffd45ff,0x3fff6006,0x01ffffc5,0x2a5fffd8,0x36007fff,
    0x7cc2ffff,0xf7001fff,0xfff98dff,0xfff7001f,0x1ffffb8d,0xffffe880,
    0x7dc00eff,0x13ff204f,0x00ffffc0,0xf0ffffec,0xfb003fff,0x7ffc3fff,
    0xfffd801f,0x2fffec1f,0x0ffffdc0,0x402fffec,0x5c1ffffb,0x6402ffff,
    0x3e21ffff,0xfd802fff,0xfc82ffff,0x7cc00eff,0xffc83fff,0x7fcc00ef,
    0xfffe83ff,0x3ffa200e,0x0effffff,0xe80fff60,0xffb002ff,0xfffc80df,
    0x3fff61ff,0x7fffe406,0x1bfff61f,0x3fffff90,0x1effff98,0x3ffffd88,
    0x3dffff30,0x7ffffb10,0x37ffff60,0xfffd510a,0xdfffd05f,0x3fff6603,
    0xff883fff,0xfc982fff,0xff106fff,0xf9305fff,0x3e60dfff,0x510affff,
    0xd9fffffb,0x201dffff,0x3fe01fff,0xfff5001f,0x36a215bf,0x21ffffff,
    0x0adffffa,0xfffffb51,0x7fffd43f,0xffb510ad,0xf703ffff,0xfbbfffff,
    0x80bfffff,0xdffffffb,0x5ffffffd,0x3ffffa20,0xffffffff,0xffff304f,
    0xfffd99bf,0x09fff7df,0x3fffffea,0xffffffde,0x3ffea00e,0xfffdefff,
    0x2e00efff,0xffffffff,0x12ffffff,0x81dffffd,0xf300fff8,0xffe800ff,
    0xfffeffff,0x41fff9ef,0xeffffffe,0xff9effff,0x7ffff41f,0xeffffeff,
    0xd301fff9,0xffffffff,0x26007fff,0xfffffffe,0x7003ffff,0xffffffff,
    0xfb805dff,0xffffffff,0x1fffa4ff,0xfffffd88,0x0effffff,0xffffd880,
    0xefffffff,0xfffe9800,0xefffffff,0x1ffff440,0xf5037fd4,0xfd8800df,
    0xffffffff,0x883fff35,0xfffffffd,0x3fff35ff,0xfffffd88,0xff35ffff,
    0xffeb803f,0x00cfffff,0xffffeb80,0x4000cfff,0xefffedc8,0x3f66003d,
    0x1dffffff,0x2017ffe4,0xffffffeb,0xeb8002ef,0xefffffff,0x7f644002,
    0x03dfffff,0x7e417f62,0x13ff204f,0x7fff5c00,0x3fe63eff,0xfffd701f,
    0x7fcc7dff,0xfffd701f,0x7fcc7dff,0x2ea6001f,0x2600001a,0x00001aba,
    0x4c40000c,0x00000aba,0x01357530,0x2aea6000,0x98800009,0x01c000ab,
    0x65c03995,0x4c40001c,0x8800009a,0x800009a9,0x00009a98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000ba988,0x19999300,0xcc880000,0x260002cc,0x00000aba,
    0x8000004c,0x98000018,0x000009ab,0x7776e544,0x000001bc,0x37bbb2a6,
    0x880000ac,0xd0009ba9,0x980003ff,0xdffffffe,0xffd10002,0x80000dff,
    0x000ffffc,0xffffffc8,0xd70001ce,0x447bffff,0xddd11eee,0x7fff6d45,
    0xd90000bf,0x3dffffff,0xffda8000,0xffffffff,0x980000be,0xfffffffe,
    0x000dffff,0xffffffa8,0x7fe403ff,0x3ff60003,0xffffffff,0xfffd8004,
    0x00004fff,0x003ffff1,0xffffffa8,0x002fffff,0x3fffffe6,0xfff35fff,
    0x6cbffe23,0xffffffff,0x3fa2002f,0xffffffff,0x74c000df,0xeeffffff,
    0x4fffffff,0x3fff6000,0xffffffff,0x1003ffff,0xfffffffb,0x2a03dfff,
    0xf90005ff,0xffbbffff,0x5c009fff,0xfffbcfff,0xffc80003,0x7fcc003f,
    0xffddefff,0xfa803fff,0xffefffff,0x1fffaeff,0xffb7fff1,0xfffffdff,
    0xfff3007f,0xfffdbfff,0x7dc00bff,0x300adfff,0x01dffff9,0xfffffd80,
    0xfffeeeff,0x4404ffff,0xddfffffe,0x00fffffe,0xb8001fff,0xfa82ffff,
    0xf9804fff,0x3fffa6ff,0x3fe20001,0x7fc4005f,0xffa80dff,0x3fe603ff,
    0x7f4c1eff,0xf11fffff,0x85dfffff,0x02ffffd9,0x0b7fffe6,0x00fffff2,
    0x019fffb1,0x2fffea80,0xdffff700,0x7ffe4405,0x3ff602ff,0xffe982ff,
    0x05ffb06f,0x0ffffc40,0x01ffff30,0x30ffff44,0x0001ffff,0x0003bff2,
    0x980bfffb,0x3f607fff,0x7fec05ff,0xfff11fff,0x7e401dff,0x3ffa06ff,
    0x7ffd404f,0x0fffec07,0xfffb1000,0x9fffd003,0x7fff4400,0x1ffff506,
    0x1ffff440,0x70027fdc,0xf5009fff,0x554c07ff,0x1aaa982a,0x01555000,
    0x0ffff880,0x81fffc80,0xd007fff9,0x3e23ffff,0xe800ffff,0xffb83fff,
    0xfffd005f,0x03bfee03,0x77fdc000,0x17ffe200,0x3fffe600,0x03fffb82,
    0x985fffa8,0x3fe006ff,0xfff001ff,0x0000000d,0xff500000,0x3fe6009f,
    0x3fffb83f,0x3ffff500,0x013fffe2,0x742fffd4,0xf7000fff,0xfff309ff,
    0x4ccccc41,0xffc80099,0x0bffee05,0x2fffe400,0x8007ffec,0xfff07fff,
    0xdfff3001,0x17ffec00,0x80000000,0xfeb80018,0xfff1001f,0x00fffb0b,
    0xf11fffe8,0x74001fff,0x7ffc46ff,0x2af22004,0x741ffe81,0xffffffff,
    0x3ffa00df,0x03fffb02,0x1bffe600,0xe801fffa,0xffc80fff,0x3fffb803,
    0x93ffea00,0x2003eee8,0x4c01eeeb,0xceffffec,0x3000c002,0xffd09fff,
    0xfffc800d,0x00bfff11,0x7dc7ffc8,0x200002ff,0xffe84ffa,0xffffffff,
    0x0bff101e,0x0013fff2,0xfd83ccd8,0xfff000ff,0x017fea0f,0x8007fff2,
    0x3e26fff8,0x3f2004ff,0xff9101ff,0xffffffff,0x7000001b,0xff883fff,
    0x7fdc005f,0x09fff11f,0x21fffb80,0x0000fffd,0x3a03ff60,0xa99999ff,
    0x3f606ffe,0xffffa80f,0xf5000000,0xff1005ff,0x1ffe209f,0x003fffa0,
    0x7c4ffff0,0x3f2004ff,0xfff981ff,0xffffffff,0x00002fff,0x261fffe6,
    0x54004fff,0xfff11fff,0xfffa8007,0x981bffa2,0xbff10009,0xfd01ffa0,
    0x13fe603f,0x00effffc,0x7ffc4000,0x7ffec00f,0x007ffa02,0x8001ffff,
    0xff10ffff,0x7fe4009f,0xffffe81f,0x3ffee61b,0x440001ff,0xa83fffea,
    0x4c003fff,0xfff11fff,0xfffa8005,0xb897ffe4,0x0ceffffd,0x740bfee0,
    0x1ffdc07f,0x3f60dfd0,0x00adffff,0x3fff6000,0xfffd881e,0x027fdc06,
    0x2001fffe,0xff10fffe,0x7fe4009f,0x77ffdc1f,0x3fffa201,0xfdb98006,
    0xf302ffff,0xf98009ff,0x7fff11ff,0x3fffa800,0x3a29fff1,0xffffffff,
    0x01ff902f,0xffb01ffa,0xb03fe405,0xdfffffff,0xd8000159,0xdcceffff,
    0x400effff,0x7fc06ff9,0xffe8007f,0x09fff11f,0x30fffe40,0x2001ffff,
    0x2002fffe,0xeffffff9,0x17ffe201,0x23fff500,0x4004fff8,0xff33fffb,
    0xffffd19f,0x9fffffff,0x7f40ffb0,0x03ffea07,0x3200ffb8,0xffffffff,
    0x0001ceff,0xffffffd5,0x7c007fff,0xfff100ff,0xfffb000d,0x013ffe23,
    0x361fffc8,0x2a004fff,0x2a007fff,0xcfffffff,0x01bffe01,0x223fff70,
    0x64005fff,0xfff32fff,0x135dfffb,0x3fffff73,0x3fa06fe8,0xfedccccf,
    0x7fd402ff,0x7fff5401,0xffffffff,0xd71000ce,0xffffffff,0x3f60019f,
    0xdfff102f,0x3fffb000,0x8013ffe2,0x3fa1fffc,0x7f4000ff,0xdf7000ff,
    0x9ffffffd,0x001fffa0,0x3e23fff9,0x7f4006ff,0xffff30ff,0x7ec407ff,
    0x02ff46ff,0xfffffffd,0xf5003dff,0x3b26005f,0xffffffff,0x7cc02fff,
    0xeddfffff,0x802fffff,0xff104ffa,0xffb000df,0x13ffe23f,0x21fffc80,
    0xc8006fff,0x20002fff,0x84ffffd8,0x1003fffc,0x3e23ffff,0xf3001fff,
    0x7ffd4bff,0xffd003ff,0xd037ec7f,0xffffddff,0x0ffdc003,0x7fedcc00,
    0x3fffffff,0x1bffff50,0x5ffffb10,0x107ff880,0xd000dfff,0x3fe21fff,
    0x3ff2004f,0x0bfff31f,0x07fff700,0xffff7000,0x07fff883,0x23ffff90,
    0x005ffff8,0x7cc7fffb,0x2a006fff,0x1ff26fff,0x7f4c7fe8,0x1ff9001f,
    0xfd730000,0x887fffff,0xa804ffff,0x7400ffff,0xffff01ff,0x1fffd000,
    0x8013ffe2,0xff51fffc,0xff50009f,0x3600009f,0xffc85fff,0x7ffd405f,
    0xffff11ff,0xfffb807f,0x1ffffc46,0xb9fffe00,0x0ffd00ff,0xb001fff3,
    0x300000ff,0x41fffffd,0x2006fffb,0x6404fffc,0xffff03ff,0x1ffff000,
    0x8013ffe2,0xff71fffc,0xff30007f,0x220000bf,0x7c40ffff,0xfb81efff,
    0xf11fffff,0x81bfffff,0x81ffffd8,0x4001ffff,0xff50fffd,0x541ffa07,
    0x7fc405ff,0x2e000005,0x3fa3ffff,0x3e2001ff,0x3e600fff,0x1fffd05f,
    0x27fff800,0x2004fff8,0xff51fffc,0xff50007f,0x7c00009f,0xff981fff,
    0xffedffff,0x11fffeff,0xffffffff,0xfffffdbd,0x03fffa07,0x45fff900,
    0x0ffd06fe,0xf701ffec,0x02a9885f,0x5fffd800,0x2001fffe,0x7c01fffd,
    0xfffc80ff,0x3ffe2001,0x013ffe25,0xf31fffc8,0xf70009ff,0x400009ff,
    0xd102fffd,0xffffffff,0x23fff95f,0xff9dfff8,0xffffffff,0x07fff602,
    0x43fff900,0x7fe82ffb,0x403ffe60,0xffff87fe,0x7fd40001,0x0dfff16f,
    0x05fff900,0xfb82ffd8,0x3ea002ff,0x3ffe24ff,0x3fff6005,0x00bfff11,
    0x547fff90,0xfe8004cb,0x7f6401ff,0xf91dffff,0x3ffe23ff,0xfffffb15,
    0xffd8019f,0x7fec003f,0x2077fc47,0x7fe407fe,0xd84ffb85,0x40003fff,
    0xff16fff8,0xff7000df,0x4ffb805f,0x005fff98,0xf88bfff2,0x3fa005ff,
    0x1fffe1ff,0x8bfff600,0x4000ffff,0x22007fff,0xfffc81aa,0x30bfff11,
    0x2e001357,0x74004fff,0x5ffc85ff,0x3e203ff4,0x3ffe62ff,0x06fffc80,
    0x2fffd400,0x8001ffff,0x4c00fffd,0xffff06ff,0x3fffe001,0x8037ffc0,
    0x3a1ffff8,0x26003fff,0x7fec7fff,0x3fe6002f,0x3200006f,0xfff11fff,
    0xff80000b,0x3fe6006f,0x47ffd03f,0x99880198,0x205ffd10,0x002ffff9,
    0xd93fff60,0x7c002fff,0xffd007ff,0x07fff901,0xf09fff50,0xfb003fff,
    0x7fd43fff,0x3ff6006f,0x37ffd45f,0x09fffd00,0x7ffe4000,0x00bfff11,
    0x4fffb800,0x03fffd00,0x0013ffe2,0x013ffa60,0x007ffffd,0x41ffff50,
    0x000efffb,0x200bfff7,0xff883ffc,0x3fe602ff,0xfffd81ff,0x7fffe406,
    0x2fffec1f,0x0ffffdc0,0x013fffe2,0x003bfff2,0x1fffc800,0x000bfff1,
    0x3ffff880,0x037ffdc0,0x003bffea,0x02fffdc0,0x6fffffcc,0xfffd8800,
    0x5fffe85f,0x1ffff980,0x20bff500,0xa82ffffb,0xf504ffff,0x2215bfff,
    0xffffffda,0x77fffcc1,0xffffd881,0xbffff303,0xffffd301,0xfc800003,
    0xbfff11ff,0xff900000,0xfd8837ff,0xe9801fff,0x8801dfff,0x004fffeb,
    0x3fffffee,0xdca9abde,0x80efffff,0x01dffff9,0x007ffff9,0xfb03ffc4,
    0xffbbffff,0xfe80bfff,0xffefffff,0x1fff9eff,0xffffffb8,0xffffffdd,
    0x7fffdc05,0xffffddef,0x800003ff,0xff11fffc,0x200000bf,0xdffffffc,
    0x04fffffe,0x3ffff620,0xdcbaabce,0x002fffff,0xffffffb8,0xffffffff,
    0x3200efff,0xdeffffff,0x05fffffe,0x201ffe80,0xfffffffb,0x4400efff,
    0xfffffffd,0x3fff35ff,0x3ffffa60,0x3fffffff,0xfffff500,0x3dffffff,
    0x3f200000,0xbfff11ff,0x7d400000,0xffffffff,0xd50003ff,0xffffffff,
    0x019fffff,0x7fff4c00,0xffffffff,0xa800cfff,0xfffffffe,0x0003ffff,
    0xea809ff7,0x2effffff,0x7fff5c00,0x3fe63eff,0x7ff5c01f,0x00cfffff,
    0x7fffe440,0x0003ffff,0x8fffe400,0x0005fff8,0x7ffec400,0x001cffff,
    0xfffec980,0x002dffff,0x7ffed400,0xbdefffff,0xfffc8001,0x00dfffff,
    0x01bfe600,0x001aba98,0x004d4c40,0x2aea6000,0x75300001,0x00000137,
    0x447bbae0,0x00004eee,0x26aea200,0x26000000,0x000009a9,0x37555300,
    0x4c400001,0x00000aba,0x00001332,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x73100000,0x00000135,
    0x9dddb951,0x2a600037,0xa80001aa,0xb98002aa,0x1acdeedc,0x0bddd100,
    0x05ddd500,0x0d554c00,0xbddb9500,0x2aaa0037,0x40000001,0xcefecb98,
    0x9990002c,0x15555099,0xffffc800,0x0001dfff,0xfffffda8,0x0befffff,
    0x13fff200,0x3fffe000,0xffeb8800,0xffffffff,0xfffe801d,0x7ffec001,
    0x3ff20000,0xfffb803f,0x1dffffff,0x017ffe20,0x7fd40000,0xffffffff,
    0x2a000bef,0x7f42ffff,0xfd3001ff,0xffffffff,0x3a60009f,0xeeffffff,
    0x4fffffff,0x09fff900,0x1ffff000,0xfffffa80,0xffffffff,0x3ee00dff,
    0x3e2004ff,0x640005ff,0x3a203fff,0xffffffff,0xf103ffff,0x00000bff,
    0xfffffd88,0xffffffff,0x3ee003ff,0x7fff46ff,0xffffa801,0xffffdeff,
    0x7fdc005f,0x9300adff,0x801dffff,0x0004fffc,0x200ffff8,0xfffffffc,
    0xffffedce,0xff100eff,0x7fdc00ff,0x7e40002f,0x3ff603ff,0xfca9bdff,
    0xf881ffff,0x000005ff,0x3fffffea,0xfffecdff,0x2004ffff,0x3fa2fffd,
    0x7fc401ff,0xfe982fff,0xfd8805ff,0x54000cff,0x3202fffe,0x80004fff,
    0xfb00ffff,0x4019ffff,0x05ffffea,0x400bfff6,0x80007ffe,0xf903fffc,
    0x36205fff,0x7c40ffff,0x000005ff,0x3bfffff9,0x3fff2601,0xfd000eff,
    0x0ffff4df,0x03bfff60,0x805fffb0,0x0001fffd,0x407fff62,0x0004fffc,
    0xb80ffff8,0x000dffff,0x417ffff2,0x9805fffa,0x80004fff,0xf883fffc,
    0xfe802fff,0x7ffc43ff,0xf9800005,0x2002ffff,0x04ffffe8,0x3a5fff10,
    0x3e601fff,0xf8801fff,0x3fee06ff,0xf700000e,0xfff901df,0xfff00009,
    0xffff981f,0xfff90005,0x3fffe01f,0x0fffe400,0x7ffe4000,0x05fffa83,
    0x88dfff10,0x00005fff,0x00dfffe8,0x5ffffb00,0x746aa600,0x3f201fff,
    0x3ee004ff,0xfff981ff,0x37b2a200,0x17ff201c,0x0013fff2,0xd03fffe0,
    0x8000bfff,0xf904fffe,0xfff807ff,0xff900006,0x7fff707f,0x07fff400,
    0x000bfff1,0x0ffffb80,0x7ffec000,0xffd0000f,0x7ffec03f,0x3ffe2001,
    0x501ffe84,0xffffffff,0x0bffa03b,0x0009fff9,0x4c1ffff0,0x0001ffff,
    0x407fffdc,0x2a06fff9,0x00003fff,0xfb07fff9,0x65c003ff,0x3ffe20ab,
    0x88001105,0x0003ffff,0x03ffff88,0x03fffd00,0x4003fff4,0x7fd46fff,
    0xbffff504,0x03ffffd9,0xffc8bff1,0xff80004f,0x3fff20ff,0x9df00005,
    0x3fffa017,0x01fffb00,0x3fff2000,0x02fffe83,0xbfff1000,0x6ffffedc,
    0x7ffe400b,0x3ee00006,0x776406ff,0x03fffd0e,0x001bffe2,0xfd83fffa,
    0x2fffa80f,0xb06ffd88,0x7ffe41ff,0xfff80004,0x0bfffe0f,0xb8004000,
    0xff883fff,0x3200005f,0xffd83fff,0xf100003f,0x3fff2bff,0x01efffff,
    0x000bfffe,0x1ffff880,0x743fff60,0xff101fff,0xffd000df,0x217fe23f,
    0x7401fff8,0x4ff982ff,0x0013fff2,0x543fffe0,0x0001ffff,0x7ffc4000,
    0x02fffa86,0x3fff2000,0x04fffc83,0xdfff1000,0xfffffffb,0xf105ffff,
    0x00001fff,0x203fffe8,0xffd0fffd,0x3fffc03f,0x8ffffc00,0xffa82ffb,
    0x01bd8804,0x7ffe4dfd,0xfff80004,0x0ffff70f,0x36000000,0x7fec1fff,
    0x7e400007,0xfffa83ff,0xff100006,0x217fffff,0x1ffffea8,0x003fffcc,
    0x2fffdc00,0x3a1fffb0,0x3f601fff,0x3e6000ff,0x1ff92fff,0x0001ff90,
    0xffc9ff20,0xff80004f,0xdfff70ff,0x20000000,0x3e24fffa,0x400004ff,
    0xf883fffc,0x80000fff,0x0efffff8,0x517fff60,0x0000dfff,0x40dfff50,
    0xffd0fffd,0x7ffe403f,0x3fff2004,0x3a0ffb2f,0x2e00007f,0x9fff90ff,
    0xffff0000,0x017fff21,0xff800000,0x07ffee7f,0xfff90000,0x7ffd5547,
    0xaaaaaacf,0xffff1000,0xfffd001f,0x02fffdc3,0x7ffcc000,0x43fff607,
    0x2a01fffe,0x9801ffff,0xfd3fffff,0x001bfe0d,0xf91ffa80,0xf00009ff,
    0x3ff61fff,0x0000004f,0x6c7fff20,0x800006ff,0x3fe3fffc,0xffffffff,
    0x1001ffff,0x2007ffff,0x3f25fffa,0x800004ff,0x3607fff9,0xfffd0fff,
    0xefffd803,0x3fffa601,0x10bfd2ff,0x40000bff,0xfff92ffa,0xfff00009,
    0x0ffff61f,0x88000000,0xfff8bfff,0xfc800003,0x3fffe3ff,0xffffffff,
    0xff1001ff,0x7f4001ff,0x0ffffa7f,0x3fe20000,0xfffb00ff,0x007fffa1,
    0x59fffff1,0xbfff9511,0x1bf65fff,0x000037fc,0x3ff23ff7,0xff80004f,
    0x9fff90ff,0x80000000,0xfffaeffe,0xfc800000,0x3bbba3ff,0xeeeeffff,
    0xff1000ee,0xffd800bf,0x07fffb0f,0xfff30000,0x87ffec0f,0xa801fffe,
    0xffffffff,0xffa9ffff,0x3a0ff91f,0x3200007f,0x9fff70ff,0xffff0000,
    0x013fff21,0xf5000000,0x00bffdff,0x3fff2000,0x07fff603,0x9fff1000,
    0x2fffc800,0x0009fffb,0x0ffff700,0xfe87ffec,0xfd3001ff,0xffffffff,
    0x5c7ffee3,0x1ffd80ff,0xb03ef880,0x27ffdcff,0x3ffe2000,0x0bfff70f,
    0x88000000,0x02ffffff,0xfff90000,0x1fffe407,0x3ffe2000,0x7ffdc003,
    0x00bfff93,0xdfff9000,0xe87ffec0,0x64001fff,0x0bdffffe,0x7d43fff2,
    0x05ffa83f,0xf885ffc8,0x17ffee5f,0xffff1000,0x003fffd4,0x7ec00000,
    0x00007fff,0x80ffff20,0x0002fffb,0x0017ffc4,0x7dcfffea,0x800007ff,
    0x3605fffd,0xfffd0fff,0x00cc0003,0x6fe8fffb,0x4c07ffd0,0xffb81fff,
    0x017ffea2,0x4ffff300,0x001ffff8,0x0159d500,0x13fffe60,0xffc80000,
    0x3fff203f,0x7fc40000,0x7fdc003f,0x1ffff12f,0xffe80000,0x3fff603f,
    0x003fffd0,0x37ffc000,0x3e60bfee,0xeb88adff,0xffd04fff,0x006fff98,
    0x237ffd40,0x0003fffd,0x00bfffb0,0x000ffff4,0x3f200531,0x3ff603ff,
    0xff880007,0x7fe4004f,0x0ffffa1f,0xfffa8000,0x3fff600f,0x003fffd0,
    0x3ffe6000,0x4077fc44,0xffffffe9,0xff705fff,0x07fff889,0x2fffdc00,
    0x001bffee,0x0bfffe20,0x006ffe80,0x2003fff6,0x3e02fffd,0x880004ff,
    0x6c004fff,0x3fee0fff,0xd00000ff,0xfd80bfff,0x3fffd0ff,0x00655440,
    0x905fff90,0x3f220bff,0x02efffff,0xfd01fff3,0x740003ff,0x7fc43fff,
    0x5c0003ff,0x26006fff,0x32003fff,0xfd801fff,0xfff502ff,0xff100001,
    0xffe800df,0x2ffffc47,0x7ffdc000,0x7ffec02f,0x403fffd0,0x2003fffa,
    0xfd00ffff,0xaaa9807f,0x0bffa201,0x0077ffe4,0x0ffffd40,0x007fffe4,
    0x3ffff980,0x03fff200,0x02fffb80,0xd01fffe8,0x200005ff,0x001ffff8,
    0xf70dfff5,0x40005fff,0x805ffff8,0xffd0fffd,0x7ffc403f,0x7fff7005,
    0x027ffc40,0x27ff4c00,0x0dffff50,0x0dfffd00,0x00f7fff4,0x3ffffe20,
    0x9fff1000,0x6fffa800,0x83fffd40,0x00005ffd,0x013fffe2,0xd80ffff4,
    0x8003ffff,0x00fffffa,0xfd0fffd8,0xffe803ff,0x7ffdc02f,0xefffa807,
    0xfff70000,0xffffb00b,0xffd5001b,0x7fd405ff,0xf7002fff,0x2003ffff,
    0x001fffd8,0x81ffffc4,0x445ffff8,0xbba9fffe,0xf881001a,0x6404ffff,
    0x3e205fff,0x000effff,0x05fffff9,0x743fff60,0x7cc01fff,0x64c1cfff,
    0x3002ffff,0x003bfffd,0x09fffd71,0x3ffffe20,0xcba9bdef,0x05fffffe,
    0xffffffb8,0xfd75119b,0x5c05ffff,0x5ffffdcc,0xffff7000,0xfff9535b,
    0x7ff443ff,0xffffffff,0xb999bdef,0x3ffe21fd,0x6c40cfff,0x4c00ffff,
    0xbdfffffe,0xfedb988a,0x2003ffff,0xffd0fffd,0xfff7003f,0xffffbdff,
    0xd88005ff,0xabceffff,0xffffdcba,0x7fd4002f,0xffffffff,0x5fffffff,
    0x3fffea00,0xffffffff,0x403fffff,0xeffffffb,0xfff10000,0xffffffff,
    0xfff889ff,0xffffffff,0xffffffff,0x3ffe24ff,0xedeffffc,0x003fffff,
    0xffffffb1,0xffffffff,0xd8003fff,0xfffd0fff,0x3fff2003,0xffffffff,
    0x3faa0002,0xffffffff,0x000cffff,0xfffffd10,0xffffffff,0xfd50007f,
    0xffffffff,0x003bffff,0x1ffffff5,0xffe98000,0xffffffff,0xfffffb04,
    0xffffdb9b,0xdfffffff,0x74dfffc4,0xffffffff,0xffb8001e,0xffffffff,
    0x000dffff,0xfd0fffd8,0x74c003ff,0xcfffffff,0xd9300000,0xbfffffff,
    0x6d400005,0xffffffff,0x40000bef,0xffffffc9,0x2002efff,0x01ceffe9,
    0x3fff2000,0x202cefff,0x2a00bffa,0xfffffffc,0x4fffe22d,0xffffffd8,
    0x7540000c,0xffffffff,0x360000be,0xfffd0fff,0x75310003,0x00000035,
    0x00013533,0x77553000,0x00000335,0x02aeea66,0x00011000,0x0aba9800,
    0x26000a00,0x0000abba,0x00001553,0x26aeea60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7775c000,0x13bb6001,0x3bb32a00,0x0000abce,0x2aaa6000,0xaaa80000,
    0xaaaaaaaa,0xaaaaaaaa,0x02aaaaaa,0x2aaaaaa6,0x9aaaaaaa,0xaaa98000,
    0x00000001,0x006aaaa0,0x76e54000,0x4c00acde,0xaaaaaaaa,0xaaaaaaaa,
    0x90aaaaaa,0x7c003fff,0xf93005ff,0xffffffff,0x00019fff,0x1fffc800,
    0x7ffcc000,0xffffffff,0xffffffff,0x06ffffff,0x3ffffff2,0xffffffff,
    0xf9000cff,0x000007ff,0x3ffea000,0x5400006f,0xffffffff,0x3fee04ff,
    0xffffffff,0xffffffff,0xff90ffff,0x7ffc003f,0x7ffec405,0xffffffff,
    0x004fffff,0x3fff2000,0x7fec0001,0xffffffff,0xffffffff,0x6fffffff,
    0x3fffff20,0xffffffff,0x00cfffff,0x001fffe4,0xfd800000,0x0001ffff,
    0xfffffe88,0xffffffff,0xfffffb82,0xffffffff,0xffffffff,0x03fff90f,
    0x302fffc0,0xffffffff,0xffffdbbd,0x0000bfff,0x007fff20,0xfffff980,
    0xffffffff,0xffffffff,0x206fffff,0xfffffffc,0xffffffff,0x203fffff,
    0x0003fffc,0xff880000,0x0004ffff,0xbeffffd8,0xffffdb9a,0x7fffdc0f,
    0xffffffff,0xffffffff,0x3fff90ff,0x82fffc00,0xbefffffa,0xffc98809,
    0x00004fff,0x001fffc8,0x2b7fff60,0xabffffba,0xaaaaaaaa,0x202aaaaa,
    0xaaadfffc,0xdbaaaaaa,0x03ffffff,0x0007fff9,0xff700000,0x001fffbf,
    0x1ffffdc0,0x8dfffd50,0xaaadfffb,0xaaaaaaaa,0x0aaaaaaa,0x4003fff9,
    0xff885fff,0x4c004fff,0x001ffffe,0x0fffe400,0xffff9800,0x007fffc1,
    0xfffc8000,0x7fec4003,0xffc82fff,0x0000003f,0xfadffe80,0xf10003ff,
    0xf1009fff,0x7fdc7fff,0xc800004f,0x3e001fff,0xfffd85ff,0xfb10001f,
    0x80000dff,0x0001fffc,0xff0bfffb,0x000001ff,0x000ffff2,0x43ffffcc,
    0x0003fffc,0x7fcc0000,0x06fff8af,0x0dfff500,0x72fffd40,0x00009fff,
    0x003fff90,0x3ee2fffc,0x40002fff,0x001ffff9,0x07fff200,0x3fffe200,
    0x00ffff81,0xfff90000,0x7fd40007,0x7ffe43ff,0xffffffff,0x00beefff,
    0x1fff9000,0x0007fff6,0x800ffff2,0x3ee7fff8,0x800004ff,0x2001fffc,
    0x7ffc5fff,0xfb00005f,0x098009ff,0x003fff90,0x20bfff90,0x0000ffff,
    0x07fff900,0x7fffe800,0x7fffffe4,0xffffffff,0x002dffff,0xf537ffc0,
    0xfd0009ff,0xfe8003ff,0x9fff70ff,0xff900000,0x7ffc003f,0x03fffe65,
    0x6ffcc000,0xfffeb802,0x3fff22df,0x7ffc4001,0x1ffff01f,0x3f200000,
    0x4c0003ff,0x3f22ffff,0xffffffff,0xffffffff,0x50003fff,0xfff89fff,
    0x554c000f,0x7fff8004,0x0013ffee,0x07fff200,0x325fff80,0x00005fff,
    0xfff9800c,0x95ffffff,0xc8003fff,0x3fe06fff,0x000000ff,0x0007fff9,
    0x649fffb0,0xccccefff,0xfeeecccc,0x002fffff,0x641fffd8,0x00003fff,
    0x97ffe600,0x0004fffb,0x01fffc80,0xff97ffe0,0x000003ff,0xfffffa80,
    0xdeffffff,0x22001fff,0x3e02ffff,0x00000fff,0x007fff90,0x4dfff700,
    0x4003fffc,0x0fffffd8,0x1bffe200,0x001bffe6,0xfffc8000,0x013ffee3,
    0x3fff2000,0x57ffe002,0x002ffff9,0x7fcc0000,0xd510aeff,0x03ffffff,
    0x037ffe40,0x0003fffe,0x1fffe400,0x7ffcc000,0x00ffff27,0x27fffdc0,
    0x07fff700,0x0007fffa,0x3ffee000,0x13ffee0f,0x3ff20000,0xfff1002f,
    0x03fffeab,0xfb000000,0x36201bff,0x001fffff,0x805ffff1,0x0000ffff,
    0x07fff900,0xffff1000,0x00ffff21,0x05fffd80,0x403fffa0,0x0005fffb,
    0x7fffdc00,0x027ffdc2,0x7ffe4000,0xbfff1002,0x001fffee,0xfff50000,
    0x3fffa00d,0xfff7001f,0xfffff00d,0xffffffff,0x30bfffff,0x39fffb33,
    0x03333333,0x647fffe0,0x20003fff,0x3007fffb,0x7c40bfff,0x00000fff,
    0x09ffff70,0xfffffff7,0xffffffff,0xc8ffffff,0xf5004fff,0x3fff2bff,
    0x40000005,0x5003fffb,0x2003ffff,0xf802ffff,0xffffffff,0xffffffff,
    0xfffff85f,0xffffffff,0xff800fff,0x7fff91ff,0x7ffc4000,0xfffc801f,
    0x1fffec02,0x7fe40000,0xfff704ff,0xffffffff,0xffffffff,0x5fffc8ff,
    0x2bfff700,0x4004fffc,0xffffffff,0x362fffff,0x7f4007ff,0xffb801ff,
    0xffff006f,0xffffffff,0x0bffffff,0xffffffff,0xffffffff,0x3ffff001,
    0x000ffff2,0x803ffff0,0xa807fff8,0x00006fff,0x027fffdc,0xfffffff7,
    0xffffffff,0xc8ffffff,0x4c02ffff,0xff95ffff,0xfff800bf,0xffffffff,
    0x1bffa2ff,0x03fff900,0x007ffff0,0x3333fffe,0xcccccccc,0xeee83ccc,
    0xeeeeffff,0x400eeeee,0xf91ffff8,0x440007ff,0x5c00ffff,0xff004fff,
    0x200005ff,0x403ffff9,0xcccefffb,0xcccccccc,0x644ccccc,0x100fffff,
    0x2ebffffd,0x7c006fff,0xffffffff,0xff12ffff,0xffc800bf,0x7ffdc01f,
    0x3fffe006,0xf9000000,0x300007ff,0x3f21ffff,0x2a0003ff,0xfe807fff,
    0xff9001ff,0x3a0000bf,0xfb803fff,0x800004ff,0xcefffffc,0xffffd931,
    0x1fffeabf,0x99999900,0x5fffd999,0x0013ffe6,0xe803fff7,0xeeeeffff,
    0xffeeeeee,0x000000ff,0x0007fff9,0x64ffff50,0x10003fff,0x980bfffd,
    0xeeeeffff,0xfeeeeeee,0x40000fff,0x7006fff9,0x00009fff,0xffffff90,
    0xffffffff,0x3fe6bffd,0x400000ff,0xff72fffd,0xffa8007f,0x3ffea01f,
    0xffffffff,0xffffffff,0xf9000000,0x700007ff,0x7fe4ffff,0xfd88003f,
    0x7e401fff,0xffffffff,0xffffffff,0x5c0003ff,0xf7002fff,0x000009ff,
    0xffd5fff9,0x93ffffff,0x7fffcbff,0x7ec00003,0x9fff52ff,0x1fffa800,
    0x3fffffa0,0xffffffff,0x00ffffff,0xfff90000,0xffb00007,0x1fffe4bf,
    0x7fe54cc0,0xff804fff,0xffffffff,0xffffffff,0x640006ff,0xf7000fff,
    0x000009ff,0xfb13fff9,0x323dffff,0x3fff25ff,0x7ec00006,0x9fff52ff,
    0x1fffb800,0xffffff50,0xffffffff,0x01ffffff,0x3ff20000,0x7c40003f,
    0x3ff22fff,0xffffffff,0xffffffff,0x7d400fff,0xaaaaaeff,0xaaaaaaaa,
    0x0002ffff,0xb801fffa,0x00004fff,0x4c1fffc8,0xff3000ab,0x400003ff,
    0xff32fffd,0xffc800bf,0x7fffd01f,0x1ffff000,0x3f200000,0x640003ff,
    0x3f20ffff,0xffffffff,0xffffffff,0xfd800cff,0xfb0002ff,0x74000bff,
    0x3ee006ff,0x800004ff,0x0001fffc,0x01dfffd0,0x3fff6000,0x001fffe2,
    0xf503fffb,0xf0001fff,0x00001fff,0x00ffff20,0x5ffff880,0x7fffffe4,
    0xffffffff,0x1001dfff,0x0001ffff,0x003fffe6,0x0004cc40,0x0009fff7,
    0x03fff900,0x3ffe6000,0xe880005f,0x3ff62fff,0xfff1003f,0x9fffb03f,
    0x3fffe000,0xf9000000,0x6c0007ff,0x7e41ffff,0xccccceff,0x009abccc,
    0x05fffb80,0x27fff400,0x2e000000,0x00004fff,0x001fffc8,0x3fffee00,
    0xff50000e,0x7fd45fff,0xfff9006f,0xffff983f,0xffff0000,0x32000001,
    0x88003fff,0xc84ffffc,0x00003fff,0x02fffe80,0x3fffdc00,0x2e000000,
    0x00004fff,0x001fffc8,0x7ffff400,0xfd5000bf,0xe83fffff,0x7d404fff,
    0x7ec1ffff,0x3e0004ff,0x00000fff,0x007fff90,0x7ffffdc4,0x3fffc80e,
    0x7cc00000,0x880007ff,0x8002ffff,0x7000aaaa,0x00009fff,0x003fff90,
    0xfffd8800,0x99abdfff,0xfffffedb,0xff980dff,0x7e440eff,0x261fffff,
    0x0001ffff,0x3bbbfffe,0xeeeeeeee,0x902eeeee,0xdddddfff,0xfffddddd,
    0x201dffff,0x0003fffc,0x27ffe400,0xfffd8000,0x7ffc4005,0xfff7001f,
    0xdddddddf,0xdddddddd,0x3ff2bddd,0x7000001f,0xffffffff,0xffffffff,
    0xfa803dff,0xfedfffff,0x1fffcfff,0x0017fff6,0xfffffff0,0xffffffff,
    0x207fffff,0xfffffffc,0xffffffff,0x200dffff,0x0003fffc,0x0ffffc00,
    0xfffa8000,0x3fe2000f,0xff7001ff,0xffffffff,0xffffffff,0x3f2dffff,
    0x000001ff,0x3fffff66,0xffffffff,0x3ea003ff,0xffffffff,0x11fffa9f,
    0x0003ffff,0xfffffff8,0xffffffff,0x903fffff,0xffffffff,0xffffffff,
    0xff90019f,0x4000007f,0x0006fffa,0x027fffc0,0x03ffff10,0x3ffffee0,
    0xffffffff,0xffffffff,0x03ddd76f,0xd7100000,0xffffffff,0x1000159b,
    0xbffffff9,0x647ffea3,0x80005fff,0xffffffff,0xffffffff,0xf903ffff,
    0xffffffff,0x17bdffff,0x1fffe400,0xffb00000,0xc800007f,0x22007fff,
    0x7001ffff,0xffffffff,0xffffffff,0x0dffffff,0x20000000,0x00abaa98,
    0x5d4c4000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55500000,0x55555555,0x40013355,
    0x0000aaaa,0xa98aaaa2,0xa80001aa,0x262002aa,0x70001aba,0xffffffff,
    0x1fffffff,0x5555554c,0xaaaaaaaa,0x5400099a,0x20000aaa,0x20aaaaa8,
    0x2aa1aaa8,0x2200002a,0x2aa3cccc,0x006aaa2a,0x2aaaa200,0x3fffff61,
    0xffffffff,0xfb803dff,0x360005ff,0x3fee5fff,0xff80004f,0x7fdc00ff,
    0x0dffffff,0x3ffff600,0xffffffff,0x3ff20fff,0xffffffff,0xffffffff,
    0xffd800ce,0xfd10002f,0xff889fff,0x0bfff14f,0x7ffe4000,0x2bfff10f,
    0x0005fff8,0x23ffff98,0xfffffffd,0xffffffff,0x3e202eff,0xa8001fff,
    0x3ee1ffff,0xf80004ff,0xff500fff,0xffffffff,0x3fa009ff,0xffffffff,
    0x20ffffff,0xfffffffc,0xffffffff,0x03ffffff,0x0017ffec,0x27ffff44,
    0xf8a7ffc4,0x100005ff,0x7c45ffff,0xbfff15ff,0xfff30000,0x7fffec7f,
    0xffffffff,0x2fffffff,0x01bffea0,0x713fffa0,0x00009fff,0xf501ffff,
    0xdbdfffff,0x80bfffff,0xeeeffff8,0xeeeeeeee,0x3ffff20e,0xffffffff,
    0xffffffff,0x3ff603ff,0x7f44002f,0xff104fff,0x17ffe29f,0x7ffe4000,
    0x8afffc44,0x80005fff,0x363ffff9,0xaaaacfff,0xfecaaaaa,0x3a00ffff,
    0x2a002fff,0x7dc0ffff,0xf80004ff,0x7fc40fff,0xfc881eff,0x3e603fff,
    0x640003ff,0x26004fff,0xfffffeba,0x05fffb01,0x7ffff440,0x53ffe203,
    0x0005fff8,0x885fff88,0xfff15fff,0xff30000b,0x7ffec7ff,0x7ffe4002,
    0x3ffe603f,0x3fffa006,0x04fffb83,0x0ffff800,0x4027fff4,0x700ffffa,
    0x80003fff,0x0004fffc,0x40ffffee,0x1002fffd,0x807ffffd,0xff14fff8,
    0xf70000bf,0x7c4001df,0x980005ff,0x3f63ffff,0xfb8002ff,0x7fec05ff,
    0xfffb803f,0x09fff706,0x1ffff000,0x0077ffc4,0x903fffd8,0x80001fff,
    0x0004fffc,0xd837ffe4,0xe8802fff,0x8803ffff,0xfff14fff,0x5550000b,
    0xfff88001,0xff980005,0x3fff63ff,0xfff88002,0x7fffc407,0x3fffe200,
    0x09fff702,0x1ffff000,0x001fffd4,0x3a0bfff3,0xc80006ff,0x40004fff,
    0xd80ffff8,0x74402fff,0x1003ffff,0x3fe29fff,0x0000005f,0x02fffc40,
    0x7fffcc00,0x00bfff63,0x00ffff40,0xc813fff2,0x3ee05fff,0xf80004ff,
    0x3ff20fff,0x7ffc001f,0x009fff06,0x09fff900,0x5fffd000,0x405fffb0,
    0x02ffffe8,0x453ffe20,0x00005fff,0x7ffc4000,0x7c400605,0x3ff63fff,
    0xffb0002f,0xfff8801f,0xffff881f,0x13ffee01,0x3fffe000,0x003fb6e0,
    0xf30ffff0,0x900007ff,0x00009fff,0xfb07fffd,0x3fa205ff,0x44002fff,
    0xfff14fff,0xdddd500b,0x40777645,0xff14eee8,0x7ff64cbf,0xff102cef,
    0x7ffec5ff,0xfff88002,0xbfff7006,0x809fff90,0x0004fffb,0x000ffff8,
    0x0bfff300,0x2a23fff5,0x400abddc,0x0004fffc,0x417fffc4,0xe882fffd,
    0x8002ffff,0xff14fff8,0xfffa80bf,0x07ffec4f,0xf8afffc4,0xffff75ff,
    0x209fffff,0x3f62ffff,0xfa8002ff,0x3fa004ff,0x3ffe62ff,0x7ffdc00f,
    0xfff80004,0xf700000f,0xfff909ff,0xffffff93,0x7fe407ff,0x7d40004f,
    0xffd80fff,0x7fff442f,0xff10002f,0x17ffe29f,0x84ffffa8,0xf880fffd,
    0xdfff15ff,0xfffffffb,0xff09ffff,0x7ffec3ff,0x7ffdc002,0x3fea001f,
    0x0ffff66f,0x013ffee0,0x03fffe00,0x3ffe2000,0xffffd82f,0xffffffff,
    0xffc80eff,0x3e60004f,0xffb06fff,0x7fff445f,0x3e20001f,0xbfff14ff,
    0x0ffffea0,0x4407ffec,0xfff15fff,0x315bffff,0x87ffffd5,0x3f61fffe,
    0x99999bff,0xffeb9999,0xfd8000ef,0x6fff9aff,0x9dfff700,0x99999999,
    0xf9999999,0x00001fff,0x3e0dfff9,0xdfffffff,0xffffffed,0x027ffe40,
    0xfffffb80,0x25fffb01,0x04ffffe8,0xa7ffc400,0xf985fff8,0x3f603fff,
    0xfff880ff,0xdfffff15,0x37ffec01,0xfd83fffa,0xffffffff,0xffffffff,
    0xff30000e,0x05fffbdf,0x3ffffee0,0xffffffff,0xffffffff,0x40000fff,
    0x881ffffa,0x80bfffff,0x45ffffd8,0xcccefffc,0xeccccccc,0x4fffffff,
    0x22bfff60,0x1ffffffe,0x3ffe2000,0x98bfff14,0x6c03ffff,0xff880fff,
    0xfffff15f,0xffff8803,0xd83fff60,0xffffffff,0xffffffff,0x4cc400bf,
    0xfffd9999,0x9999efff,0x7ffdc099,0xffffffff,0xffffffff,0x000fffff,
    0x0ffffea0,0x017fffd4,0x917fffd4,0xffffffff,0xffffffff,0x805fffff,
    0xffebfffd,0x00ffffff,0x29fff100,0x3e65fff8,0xfd803fff,0xfff880ff,
    0x05ffff15,0xd87fff60,0x7ffec7ff,0xffffffff,0xffffffff,0x3ffff203,
    0xffffffff,0xffffffff,0x7ffffdc6,0xffffffff,0xffffffff,0x30000fff,
    0x440dffff,0x36001ca9,0x3ff27fff,0xffffffff,0xffffffff,0xffd800df,
    0xfaffffff,0x10005fff,0x3fe29fff,0x5ffff35f,0x03fff600,0x7c57ffe2,
    0xf9001fff,0x3ffe45ff,0x3337fff6,0xdccccccc,0x04fffffe,0xfffffff9,
    0xffffffff,0xb8dfffff,0x9999dfff,0x99999999,0xffff9999,0xfffa8000,
    0x000000ef,0x321ffff1,0xffffffff,0xffffffff,0x7fec001b,0xf70effff,
    0x10007fff,0x3fe29fff,0x3ffff9df,0x03fff600,0x7c57ffe2,0x3ee007ff,
    0x1bfee2ff,0x8005fffb,0x84ffffe9,0xfffffffc,0xffffffff,0x5c6fffff,
    0x80004fff,0x4000ffff,0x00effffb,0x7ff40000,0x09fff91f,0x3fffee66,
    0x7fec000d,0x7ec0efff,0x44001fff,0xfff14fff,0x0bfffffd,0x407ffec0,
    0xff15fff8,0x7fdc00df,0xb1bfee2f,0x10005fff,0x001ffffb,0x000fffb0,
    0x0009fff7,0x001ffff0,0x077fffe4,0x7e400000,0x9fff93ff,0xffffd100,
    0x7ffec005,0xfff880ef,0x3e2000ef,0xffff14ff,0x05ffffff,0x203fff60,
    0xff15fff8,0x7fdc00bf,0xb17fea2f,0x20005fff,0x003ffff8,0x8007ffd8,
    0x0004fffb,0x000ffff8,0x00bffffb,0x7fdc0000,0x09fff94f,0x3ffffa20,
    0xdfffb001,0x7fffd401,0x3ffe2004,0xffffff14,0x001ffff9,0xf101fffb,
    0x3ffe2bff,0x3ffee005,0xfb17fea2,0x6c0005ff,0xd8005fff,0xfb8007ff,
    0xf80004ff,0x74400fff,0x0004ffff,0x7ffe4000,0x009fff93,0x07ffff44,
    0x017ffec0,0x017fffec,0xf14fff88,0x3f65ffff,0xffd805ff,0x5fff880f,
    0x400bfff1,0x3e62fffb,0x17ffec4f,0xdfff7000,0xffffffc8,0xffffffff,
    0x46ffffff,0x0004fffb,0x200ffff8,0x03ffffe8,0x003aa980,0xf91fffd8,
    0xf98009ff,0xfd806fff,0xfe8802ff,0xf8800fff,0xffff14ff,0x17fffc43,
    0x203fff60,0xff15fff8,0x7fdc00bf,0xb13fe62f,0x40005fff,0x7e45fffb,
    0xffffffff,0xffffffff,0x7fdc6fff,0xff80004f,0xfff100ff,0x3e0005ff,
    0x74000fff,0xfff90fff,0xfff90009,0xfffd809f,0xffff3002,0x9fff100d,
    0x2e17ffe2,0x3600ffff,0xff880fff,0x0bfff15f,0x117ffdc0,0xfffd87ff,
    0x3ff60002,0x7fffe44f,0xffffffff,0xffffffff,0x027ffdc6,0x07fffc00,
    0x0fffff44,0x7fffb000,0x37ffd400,0x0009fff9,0x80bffffa,0x2002fffd,
    0x404ffffc,0xff14fff8,0x3fffa0bf,0x03fff605,0x7c57ffe2,0x3ee005ff,
    0x204cc2ff,0x0002fffd,0x005ffff1,0x000fffb0,0x0009fff7,0xd01ffff0,
    0x0001dfff,0x00efffb8,0x645fffd0,0x30004fff,0x6c0dffff,0x74002fff,
    0x2202ffff,0xfff14fff,0x3fffe60b,0x01fffb02,0x3e2bfff1,0x3ee005ff,
    0xffb002ff,0x3fa0005f,0xd8000fff,0xfb8007ff,0xf80004ff,0x7fdc0fff,
    0x880000ff,0xc804ffff,0x7fe46fff,0x3f20004f,0xffb04fff,0xff98005f,
    0xff100fff,0x17ffe29f,0x80ffffc8,0xf880fffd,0xbfff15ff,0x17ffdc00,
    0x02fffd80,0x7ffff540,0xfffb0004,0x9fff7000,0xffff0000,0x0ffffc41,
    0xfff50000,0xffd301bf,0xfffc83ff,0x3fa20004,0xffd81fff,0xffb8002f,
    0xfff105ff,0x017ffe29,0xfb0bfffd,0xfff101ff,0x017ffe2b,0x2a2fffb8,
    0x3ff60aaa,0xeeeeeeef,0xffffeeee,0x360005ff,0xfb8007ff,0xf80004ff,
    0x3ff60fff,0xeeeeeeff,0xeeeeeeee,0xffffc80e,0xffffddef,0xfffc81ff,
    0x7fd40004,0xfffd86ff,0xfffb0002,0x9fff107f,0x3017ffe2,0xfd85ffff,
    0xfff880ff,0x00bfff15,0xff17ffdc,0x7ffec5ff,0xffffffff,0xffffffff,
    0x3f60000e,0xffb8007f,0xff80004f,0xffff30ff,0xffffffff,0xffffffff,
    0x3fffee01,0xefffffff,0x09fff900,0xffffb000,0x02fffd87,0xfffff100,
    0x14fff883,0xf900bfff,0x7fec1fff,0x5fff880f,0x400bfff1,0x3fe2fffb,
    0x3fff62ff,0xffffffff,0x3effffff,0x7ffd8000,0x4fffb800,0xffff8000,
    0xffffff50,0xffffffff,0x01ffffff,0x7ffffe44,0x7e403eff,0x880004ff,
    0x360fffff,0x20002fff,0x20effffa,0xff14fff8,0xffd100bf,0x07ffecbf,
    0xf8afffc4,0x3ee005ff,0x3fffe2ff,0x3fffff62,0xefffffff,0x00002cce,
    0x2001fff6,0x0004fffb,0xf90ffff8,0xffffffff,0xffffffff,0x22001fff,
    0x32001aba,0x00004fff,0x6cbffff7,0x40002fff,0x225ffffc,0xfff14fff,
    0x3ffea00b,0x01fffb2f,0x3e2bfff1,0x3ee005ff,0x3fffe2ff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05999700,0xdddd7100,0x02aaaa59,0x64400000,0x5555531c,
    0x2a200003,0x4400aaaa,0x03555301,0x45555000,0xaaaaaaa9,0x09aaaaaa,
    0xaaaa9800,0xaaaaaaaa,0x970019aa,0xcccb8199,0x22000000,0xaaaaaaaa,
    0xaaaaaaaa,0x9002aaaa,0x003fffff,0x7fffffcc,0x05fffb3f,0x3fa00000,
    0xfffffb2f,0x3f60000d,0x2e01ffff,0xffff902f,0xffe80003,0x3fffff27,
    0xffffffff,0x9000cfff,0xffffffff,0xffffffff,0x7ff4017d,0x0ffff41f,
    0x03bddb10,0xfffa8dff,0xffffffff,0xffffffff,0xfffa805f,0x8800ffff,
    0xfffffffe,0x005fffb2,0xfff70000,0x3fffff65,0xff80000f,0xe981ffff,
    0xfff902ff,0xfe8000df,0x3ffff27f,0xffffffff,0x0cffffff,0x7ffffe40,
    0xffffffff,0x0dffffff,0x741fffe8,0xff301fff,0x937dffff,0xfffa8bff,
    0xffffffff,0xffffffff,0x7ffc405f,0x806fff9e,0xcdfffffd,0x05fffb0e,
    0xffa80000,0xffffb2ff,0xa80007ff,0x81ffffff,0xf902fffa,0x0007ffff,
    0xff93fff4,0xffffffff,0xffffffff,0x7fe407ff,0xffffffff,0xffffffff,
    0xfffe85ff,0x80ffff41,0xfffffffe,0x542fffff,0xffffffff,0xffffffff,
    0x7405ffff,0xfff52fff,0x2fffe809,0x00bfff60,0xfffa8000,0xffffb2ff,
    0xd8000dff,0x81ffffff,0xf902fffa,0x003fffff,0xfc9fffa0,0xaaaaadff,
    0xffdbaaaa,0xf903ffff,0x55555bff,0xfb755555,0xec89ffff,0x777640ee,
    0x50eff880,0x09fffffb,0x555dfff5,0x55555555,0x40555555,0x7ec4fffc,
    0x3ffe02ff,0x17ffec06,0x7ec40000,0xfb2fffff,0x01fffdff,0x3fffe200,
    0xffa81fff,0xffff902f,0x3a000dff,0x3fff27ff,0xfffc8003,0xfffc82ff,
    0xfffa8003,0x400002ff,0xdc983ee9,0xbfff500b,0x54400000,0x55440aaa,
    0xbfff102a,0x02fffd80,0x7ffd4000,0xfb2fffff,0x07fff9ff,0x3bffea00,
    0xffa81fff,0xffff902f,0xd0007fff,0x7ffe4fff,0xfff30003,0x7fff90ff,
    0x3ffe2000,0x0000004f,0xbfff5000,0x00000000,0x13ffe200,0x005fffb0,
    0x3fff6200,0xb2fffeff,0xbfff3fff,0x33ff6000,0xfa81fffd,0xfff902ff,
    0x003ffffd,0x3f27ffe8,0x2a0003ff,0x7e43ffff,0x320003ff,0x00006fff,
    0xff500000,0x000000bf,0x3fe20000,0x7ffec04f,0xff880002,0xffb8efff,
    0x93fffb2f,0x88001fff,0xfffd9fff,0xfffddd11,0x3f23dddd,0x6fffeaff,
    0x93fff400,0x80007fff,0x7e47fffc,0x2a0003ff,0x0000ffff,0x20026000,
    0x0005fffa,0x77764000,0x3fbbae00,0x46eeefff,0x0002fffd,0x24ffff98,
    0xffb2fffb,0x07fff53f,0xfb6ffa80,0x3ffe63ff,0x1fffffff,0xff35fff9,
    0x7f4007ff,0x0ffff27f,0xffff3000,0x01fffe45,0x07fffe00,0x88077764,
    0x37261eee,0x502defff,0x0000bfff,0x0fffd800,0x3fffff20,0x6c7fffff,
    0x80002fff,0x7dc1dff9,0x3fffb2ff,0xb0017ffe,0x3fff67ff,0xffffff31,
    0x3f23ffff,0xffff92ff,0x9fffa003,0x0003fffc,0x324fffe8,0x40003fff,
    0xfb01ffff,0x3fe201ff,0xfffff72f,0xf509ffff,0x00000bff,0x00fffd80,
    0x3ffffff2,0x7ec7ffff,0x980002ff,0x5fff701d,0x7e47fff6,0xff1000ff,
    0x87fff63f,0x9bfffb99,0x8bfff219,0xd006fffe,0x7ffe4fff,0xffb80003,
    0x0ffff26f,0x7fff9800,0x403fff60,0xffcafff8,0xffffffff,0x2fffd46f,
    0x36000000,0x26200fff,0x99dfffa9,0x17ffec19,0x7dc00000,0x3fffb2ff,
    0x400fffe6,0x3ff66ffb,0x2fffa81f,0x4c5fff90,0xe804ffff,0x3fff27ff,
    0xff980003,0x0ffff27f,0x6fffc800,0x403fff60,0xfffefff8,0xffeb989b,
    0x3ffea2ff,0x40000005,0x1000fffd,0xfd809fff,0x000002ff,0xfb2fffb8,
    0x2fffc3ff,0x363ffd80,0xffa81fff,0x5fff902f,0x01ffffc8,0xff93fff4,
    0xf100007f,0x3ff21fff,0xff30003f,0x7fec09ff,0xffff100f,0x3fa201bf,
    0x3ffea6ff,0x40000005,0x1000fffd,0xfd809fff,0x000002ff,0xfb2fffb8,
    0x7ffe43ff,0x07ffc400,0xf503fffb,0x3ff205ff,0x6fffe82f,0xf93fff40,
    0x100007ff,0x3f23ffff,0x5c4003ff,0x200fffff,0xf100fffd,0x8801ffff,
    0xff50ffff,0xffffffff,0xffffffff,0xfffb0007,0x3ffe2001,0x17ffec04,
    0x7dc00000,0x3fffb2ff,0x201fffcc,0x7fec6ffb,0x2fffa81f,0x305fff90,
    0x7409ffff,0x3fff27ff,0xfff00003,0x37fff23f,0xaaaaaaaa,0xfffffecc,
    0x7ffec02f,0x7ffff100,0x47fffa00,0xfffffffa,0xffffffff,0xd8003fff,
    0xf1000fff,0xffd809ff,0x8000002f,0xffb2fffb,0x05fff83f,0x3f61fff4,
    0xfffa81ff,0x05fff902,0x407ffff2,0x3ff27ffe,0xff00003f,0x3fff23ff,
    0xffffffff,0xffffffff,0xfffd804f,0x1ffff100,0x4bfff600,0xfffffffa,
    0xffffffff,0xd8003fff,0xf1000fff,0xffd809ff,0x8000002f,0xffb2fffb,
    0x0fffc83f,0xd81fff10,0xffa81fff,0x5fff902f,0x837fff40,0x3ff27ffe,
    0xf880003f,0xfff90fff,0xffffffff,0xdfffffff,0x3fff6003,0x0ffff100,
    0xa97ffe40,0xeeeeffff,0xeeeeeeee,0xfd8002ee,0xff1000ff,0xfffd809f,
    0xb8000002,0xfffb2fff,0x03fff983,0xffb0bff7,0x5fff503f,0x80bfff20,
    0xe84ffff9,0x3fff27ff,0xff980003,0x3ffff27f,0xffffffff,0x002ceeff,
    0x8807ffec,0x2e006fff,0xfff52fff,0x8000000b,0x1000fffd,0xfd809fff,
    0x000002ff,0xfb2fffb8,0xbfff03ff,0x360fffa0,0xffa81fff,0x5fff902f,
    0x1ffffc80,0xff93fff4,0xf500007f,0x7ffe4dff,0x9999999c,0xfd800009,
    0xfff100ff,0x7ffdc00b,0x00bfff52,0xffd80000,0xfff1000f,0x2fffd809,
    0xfb800000,0x3fffb2ff,0x881fff90,0xffd80fff,0x2fffa81f,0x005fff90,
    0xfe8dfffd,0x0ffff27f,0x3ffee000,0x00ffff25,0x7fec0000,0xbfff100f,
    0x97ffdc00,0x0005fffa,0x7ffec000,0x9fff1000,0x02fffd80,0xffb80000,
    0x03fffb2f,0xfb87fff3,0x3fffb05f,0x205fff50,0x9802fffc,0x3fa4ffff,
    0x0ffff27f,0x3fff6000,0x00ffff24,0x7fec0000,0xbfff100f,0x97ffdc00,
    0x0005fffa,0x7ffec000,0x9fff1000,0x02fffd80,0xffb80000,0x03fffb2f,
    0xffd17ffe,0x07fff605,0x640bffea,0xf9002fff,0x3ffa3fff,0x00ffff27,
    0x7ffff100,0x001fffe4,0xfffd8000,0x0bfff100,0xa97ffdc0,0x00005fff,
    0x07ffec00,0x04fff880,0x0017ffec,0x7ffdc000,0x203fffb2,0xff30fffc,
    0x3fff601f,0x02fffa81,0x4005fff9,0xffd6fffe,0x01fffe4f,0x3ffff200,
    0x00ffff20,0x7fec0000,0xbfff100f,0x97ffdc00,0x0005fffa,0x7ffec000,
    0x9fff1000,0x02fffd80,0xffb80000,0x03fffb2f,0x7e4fffe6,0x3fff605f,
    0x02fffa81,0x4005fff9,0xfecffff9,0x0ffff27f,0xffff8800,0x01fffe44,
    0xffd80000,0xbfff100f,0x97ffdc00,0x0005fffa,0x7ffec000,0x9fff1000,
    0x02fffd80,0xffb80000,0x03fffb2f,0xffeb7ff4,0x07fff602,0x640fffea,
    0x64002fff,0x7fffffff,0x000ffff2,0x40ffffd8,0x0003fffc,0x1fffb000,
    0x017ffe20,0xf52fffb8,0x00000bff,0x00fffd80,0x809fff10,0x0002fffd,
    0x2fffb800,0x6403fffb,0x07ffafff,0x540fffec,0xff904fff,0xffd0005f,
    0x7e4fffff,0xc88003ff,0xfc84ffff,0x000003ff,0x201fffb0,0x2005fff8,
    0xff52fffb,0x000000bf,0x000fffd8,0xd809fff1,0x00002fff,0xb2fffb80,
    0x7cc03fff,0x404fffff,0xf981fffd,0x90aacfff,0x30005fff,0x4fffffff,
    0x2003fffc,0xefffffb8,0x03fffc80,0xffb00000,0x3ffe201f,0x3ffee005,
    0x00bfff52,0xffd80000,0xfff1000f,0xefffd809,0xeeeeeeee,0x04eeeeee,
    0x365fff70,0x7f401fff,0x6c02ffff,0xfff01fff,0x3f27ffff,0xf90002ff,
    0x7e4fffff,0xeeeeeeff,0xffffeeee,0xf900efff,0x000007ff,0x403fff60,
    0x2005fff8,0xff52fffb,0x000000bf,0x000fffd8,0xd809fff1,0xffffffff,
    0xffffffff,0xff7006ff,0x07fff65f,0x0fffff90,0x203fffb0,0x4ffffffa,
    0x0005fff9,0x93fffff4,0xffffffff,0xffffffff,0x6401dfff,0x00003fff,
    0x01fffb00,0x8017ffe2,0xff52fffb,0x000000bf,0x000fffd8,0xd809fff1,
    0xffffffff,0xffffffff,0xff7006ff,0x07fff65f,0x09ffff30,0x403fffb0,
    0x95ffffea,0x40005fff,0x327ffff9,0xffffffff,0xffffffff,0xffc802df,
    0x0000003f,0x2201fffb,0x2e005fff,0xfff52fff,0x8000000b,0x1000fffd,
    0xfd809fff,0xffffffff,0xffffffff,0xfff7006f,0x007fff65,0x2007fffa,
    0x3001fffd,0x17ffe413,0x3fff2000,0x3fffff27,0xefffffff,0x32000bcd,
    0x00003fff,0x01fffb00,0x8017ffe2,0xff52fffb,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xaaaaaaa8,0xaaaaaaaa,0x0aaaaaaa,0x00155553,0x15555400,
    0x00355551,0x45555300,0x0002aaa8,0x00155553,0x26555510,0x00001aaa,
    0x00155544,0xa80aaa20,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaaaa,0xffffffff,
    0xffffffff,0x3a25ffff,0x02001eee,0x3ffffe60,0xffffffff,0xffffffff,
    0xbffff30f,0x3fee0000,0x7ffec1ff,0x3e20001f,0x3fe63fff,0xfff0007f,
    0xf70007ff,0x3ffee9ff,0x7e400007,0x6c0004ff,0x3ffe07ff,0xffffffff,
    0xffffffff,0xff6fffff,0xffffffff,0xffffffff,0x3ffe25ff,0x23ddd11f,
    0x01beffd9,0xfffffff3,0xffffffff,0x1fffffff,0x017fffe4,0x3fffe200,
    0x6ffff884,0x3fffa000,0x01ffff85,0x7ffffcc0,0xfffd8006,0x05ffff12,
    0x7fffc000,0x3fee0000,0x3fffe07f,0xffffffff,0xffffffff,0xfff6ffff,
    0xffffffff,0xffffffff,0x3fffe25f,0xf35fff11,0x20ffffff,0xfffffff9,
    0xffffffff,0x0fffffff,0x007ffff4,0x0dfffd00,0x027fffd4,0x077ffe40,
    0x001fffec,0x3fffffee,0x7fffc000,0x017fff60,0x2fffd400,0xffff1000,
    0x7ffffc0f,0xffffffff,0xffffffff,0xdddb6fff,0xdddddddd,0xdffffddd,
    0x47fffe21,0xffeafff8,0x5104ffff,0x55555555,0x75555555,0x981fffff,
    0x0005ffff,0x803ffff7,0x002ffffc,0x407fffea,0x4005fffb,0x2fffeffd,
    0x1bffe600,0x001ffff3,0x05fffb00,0x7ffff400,0x2aaaaa07,0xffdaaaaa,
    0xaaaaaadf,0x40002aaa,0x641ffff8,0xfff10ccc,0xffddfffd,0x6c000003,
    0xf901ffff,0x88005fff,0xd003ffff,0x1001ffff,0x4407ffff,0x22006fff,
    0x4fffbfff,0x13ffee00,0x000bfffa,0x00ffff10,0x7ffffe40,0xffc80007,
    0x0000003f,0x4005fffd,0x1dfffff8,0x800000e2,0x402ffffd,0x000ffffe,
    0x801bfff6,0x805ffff9,0xe805fffe,0xf5000fff,0x0fffb1ff,0x40fffec0,
    0x0005fffb,0x0027ffdc,0xffffff98,0xffc80007,0x8000003f,0x4004fffc,
    0x00fffff8,0x3f200000,0xf9804fff,0xf7004fff,0xb8001fff,0x3202ffff,
    0xc800efff,0xf9002fff,0x07ffeedf,0x883fffc0,0x0000ffff,0x0007fffa,
    0x3fb7ffa2,0xfc80007f,0x000003ff,0x0037ffd4,0x01ffffc4,0xff500000,
    0x7e400bff,0x7c401fff,0xb0003fff,0xf501ffff,0x2a003fff,0xfd004fff,
    0x0fffe69f,0x817ffe60,0x0003fffd,0x000dfff3,0x3fa3bff2,0xfc80007f,
    0x000003ff,0x007fffe2,0x07fffe20,0x7cc00000,0x4000efff,0x6c06fffe,
    0x20005fff,0x446ffff8,0x2003ffff,0x8806fff8,0x3ffe2fff,0x3fffb805,
    0x01bffea0,0x01fffe40,0xe8fffd40,0xc80007ff,0x00003fff,0x017fff20,
    0x07fffc40,0x74400000,0x8001ffff,0x504ffff9,0x0001ffff,0x23ffffa8,
    0x8005fffd,0x5c00fffe,0x3ff20fff,0x1fffd807,0x00ffffc0,0x007fffc0,
    0xe93ffe20,0xc80007ff,0x00003fff,0x01ffff30,0x1fffe200,0x7ec00000,
    0x20002fff,0x441ffffc,0x0002ffff,0x71ffff90,0x0001ffff,0xd803fff9,
    0x7ffd46ff,0x037ffc02,0x0027ffe4,0x0013ffea,0xffd1bff6,0xff90000f,
    0x2000007f,0x0003fffe,0x0017ffe2,0x3fff2000,0x7440004f,0x7fe46fff,
    0x7400005f,0xffffefff,0xfff50001,0x43fff807,0x2204fff8,0xf9804fff,
    0x7ec006ff,0x7dc001ff,0x3fff41ff,0x7ffe4000,0xf9800003,0x440007ff,
    0x00005fff,0x2ffffd40,0xfff98000,0x1ffff32f,0xff980000,0x003fffff,
    0x817ffe20,0xfe81fff9,0x3ffea06f,0x3fffd002,0x1bffe200,0x07fff300,
    0x0000fffd,0x0007fff9,0x09fffb00,0x5fff8800,0x3e600000,0x0000efff,
    0x23ffff20,0x0002fffe,0xfffff700,0xffd0000b,0x83ffe40f,0xf900fffc,
    0x3ee001ff,0xff7004ff,0xffe8007f,0x00fffd06,0x07fff900,0xfff88000,
    0x7c40001f,0x000005ff,0x03ffffd1,0xffe88000,0x004fffef,0x7fff4000,
    0xfb80001f,0xbffd01ff,0x40fffe60,0x22006ffe,0xfd007fff,0x7e4001ff,
    0xfffd00ff,0xfff90000,0xfb800007,0x880005ff,0x00005fff,0x05ffffb0,
    0x3fea0000,0x000effff,0x3ffe6000,0x980006ff,0xff883fff,0x17ffe02f,
    0x0013ffe2,0x9805fff9,0x26005fff,0x3fa03fff,0xfc80007f,0x400003ff,
    0x0002fffe,0x005fff88,0xffffc800,0x64000003,0x001fffff,0x3ffe2000,
    0x0004ffff,0xfa84fff8,0x3ff600ff,0x01fffa87,0x02fffcc0,0x4007fff2,
    0x7405ffe8,0xc80007ff,0x00003fff,0x001fffe6,0x02fffc40,0x3ffea000,
    0x8000005f,0x004ffff8,0x7ffec000,0x001fffff,0x6c37fec0,0x7fdc06ff,
    0x03ffe41f,0x00fffe80,0xd801bffe,0x7f400fff,0xfc80007f,0x200003ff,
    0x4003fffc,0xff10aaaa,0x4c0000bf,0x000effff,0xfffb0000,0x5c000005,
    0xffe8ffff,0x2e0000ff,0x7ffc0fff,0x1fffcc04,0x40017ffa,0xf502fffb,
    0x3ea007ff,0xffe802ff,0xffc80007,0xf100003f,0x44001fff,0xff11ffff,
    0x220000bf,0x000ffffe,0x3ff60000,0x3000002f,0x3e65ffff,0x20005fff,
    0x3e62fff9,0xfff801ff,0x00fffe24,0x82fffc40,0x8800fffd,0xfd004fff,
    0xf90000ff,0x200007ff,0x4005fffb,0xf11ffff8,0x20000bff,0x002ffffd,
    0x7fec0000,0x8800002f,0x7e45fffe,0x20002fff,0x3fee4fff,0x4dff9007,
    0x0000fffa,0xf103fff6,0x3ee00bff,0xffffffff,0xffffffff,0x4001ffff,
    0x0003fffc,0x003fffd0,0x11ffff88,0x0000bfff,0x007ffff7,0xffb00000,
    0xb000005f,0xfd01ffff,0x20001fff,0x3ffa6ffd,0x1fff5005,0x0001bff2,
    0xfb87fff5,0xff7002ff,0xffffffff,0xffffffff,0xc8003fff,0x80003fff,
    0x8006fff8,0xf11ffff8,0xa8000bff,0x0005ffff,0xfffb0000,0xfb800005,
    0xff101fff,0x2a000dff,0x7fff17ff,0x47ffe200,0x80004ffe,0x7ff46fff,
    0x3ffee007,0xffffffff,0xffffffff,0x7e4001ff,0xa80003ff,0x40005fff,
    0xbfff10ff,0x7ffc4000,0x0000006f,0x00bfff60,0xffff9800,0x7fffdc04,
    0xfff88004,0x001fffa9,0x7ffcfffa,0xffc80002,0x09fff11f,0x55555440,
    0xaaaaaaaa,0xaaaafffe,0x7ffe4000,0xffc80003,0x3e60003f,0xe8800007,
    0x0000ffff,0x3ff60000,0x3a00002f,0xfb006fff,0xd0003fff,0x0dff97ff,
    0xf9dffc80,0x980000ff,0xfff73fff,0xd0000001,0x90000fff,0x00007fff,
    0x0005fffd,0x99952fdc,0x00ccca81,0x003ffffb,0xfd800000,0x900002ff,
    0x2001ffff,0x00effff8,0x7f67fe40,0x7fcc004f,0x0006ffbf,0x7f5bffa0,
    0x0000005f,0x0000fffd,0x0007fff9,0x003ffff0,0xfc8ffe60,0x7ffec1ff,
    0x2ffffb81,0x80000000,0x0002fffd,0x03ffffa8,0x2ffffd40,0x3fbfea00,
    0xff8002ff,0x0003ffef,0x3e7ffea0,0x000002ff,0x000fffd0,0x007fff90,
    0x07fff880,0xc8bff100,0x7fec1fff,0x7fffc41f,0xeeeeeeef,0xeeeeeeee,
    0x0004eeee,0x0005fffb,0x05ffff88,0x5ffff900,0x7fffc400,0xfd8000ff,
    0x0001ffff,0x3fbffe20,0x0000007f,0x0001fffa,0x000ffff2,0x00dfff30,
    0x7fe41ec0,0x0fffec1f,0x3fffffe2,0xffffffff,0xffffffff,0xfb0005ff,
    0xe80005ff,0x0000efff,0x003ffffa,0x06ffffe8,0xfffff700,0xff900000,
    0x00009fff,0x03fff400,0x1fffe400,0x3ffea000,0xeb800005,0x777641ee,
    0x7ffffc41,0xffffffff,0xffffffff,0xb0005fff,0x40005fff,0x001ffffc,
    0x37fffcc0,0x7ffff900,0x3ffe6000,0x9800005f,0x001fffff,0x3ffa0000,
    0xffc80007,0x7dc0003f,0x000003ff,0xfff88000,0xffffffff,0xffffffff,
    0x005fffff,0x005fffb0,0x13fffea0,0x7ffdc000,0xfff5004f,0x7f40003f,
    0x000003ff,0x000dfffd,0x7ffe8000,0xfffc8000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0xaaaaaaaa,0xaaaaaaaa,0x000aaaaa,0x0000aaaa,
    0x20000000,0x18800099,0x13100000,0x03300000,0x00310000,0x00098800,
    0x00018800,0x74002600,0x2ae01eee,0x99999999,0x99999999,0x2002a999,
    0x00006ffd,0x13600988,0x3ffb2e20,0x881cefff,0xdfffffdc,0xfd970001,
    0x05bdffff,0xffff9300,0x10003bff,0x9dffffb9,0xfec88005,0x00cdefff,
    0xfffec980,0x74402cef,0x3f7261ee,0x3e02deff,0x02e02fff,0x00530000,
    0x00037fec,0x7fffedc4,0x13fee2df,0xffffffa8,0x22ffffff,0xfffffffa,
    0x3000dfff,0xfffffffd,0x001bffff,0xffffffb1,0x001bffff,0x3fffffee,
    0x800dffff,0xfffffffb,0x1003ffff,0xfffffff9,0x2201bfff,0xfff72fff,
    0x09ffffff,0xb80bfffe,0x14c00000,0x00dffb00,0xfffffa80,0xfbefffff,
    0xfff900ef,0xffffffff,0xfffb7fff,0xffffffff,0xffb801df,0xffffffff,
    0x200fffff,0xffffffe9,0x06ffffff,0x7ffffec4,0xefffffff,0x3fffee01,
    0xffffffff,0x7ffcc05f,0xffffffff,0xff882fff,0xfffffcaf,0x86ffffff,
    0x2e02ffff,0x14c00000,0x00dffb00,0x3ffff620,0xffffffff,0xff701fff,
    0x544139ff,0xfffffffe,0x3faa21bf,0x3fea06ff,0x74c41cff,0x3a03ffff,
    0x2a1bffff,0x205ffffd,0x21cffffd,0x0ffffea8,0x0bffff98,0x17fffe44,
    0x37ffffd0,0x7ffffdcc,0x7f7ffc41,0xeb989bff,0x6642ffff,0x002e01cc,
    0x40053000,0x90006ffd,0x215bffff,0x5ffffea8,0x007bffa0,0x3bfffffa,
    0x17ffec00,0x802fffd8,0xf907fffb,0x7c403dff,0xffa81fff,0x7fec01ef,
    0x3fffc84f,0x82fffe40,0x201efffb,0x446fffe8,0x00dfffff,0x00dfffd1,
    0x000005c0,0xffd800a6,0xfff98006,0x7ffec03f,0x3fffa81f,0xfffff500,
    0xdfff1001,0x00bfff30,0x2207fff4,0xa801ffff,0xffe84fff,0xfffb001f,
    0x806ffe83,0x4c0ffff8,0xd000ffff,0x7fc45fff,0x7c400fff,0x70000fff,
    0x29800001,0x01bff600,0x00ffffa0,0x0bfffff3,0x2001fffb,0x003ffff9,
    0xf707ffea,0x7ec003ff,0x7ffdc1ff,0x1fffe005,0x4009fff7,0x7fc5fff9,
    0x3575007f,0x04fffd81,0x89fffea0,0xd003ffff,0x20003fff,0x4c00000b,
    0x1bff6002,0x0dfff500,0xffefff88,0x4003101f,0x000ffff8,0x180fffe2,
    0x0fffe400,0x8007fff6,0xfffd81aa,0x3fff4001,0x0013fff6,0x003fffa0,
    0x221fffd0,0xb000ffff,0x20005fff,0x4c00000b,0xdddddd32,0xddffffdd,
    0x45dddddd,0x7402fffc,0x3fffbaff,0xfff30000,0x9fff000f,0x3f660000,
    0x3fffc1ff,0xfffd0000,0x1fff9000,0x5f7fffd4,0xdfff0001,0x5fff9000,
    0x801fffe2,0x0002fffc,0x98000017,0xffffff52,0xffffffff,0x45ffffff,
    0x3200fffd,0x9fff34ff,0xecb98800,0xccffffff,0xcccccccc,0x006fffcc,
    0x7fee54c4,0x3e21ffff,0x200007ff,0xccccffff,0xcccccccc,0x3a21fffe,
    0xdfffffff,0xfff9800a,0xfffb8005,0x00dfff13,0x0017ffdc,0x400000b8,
    0xfffff529,0xffffffff,0x5fffffff,0xf503fff4,0x05fff8df,0x7fffedcc,
    0xffffffff,0xffffffff,0x7fffffff,0x7ffee4c0,0xffffffff,0x1bffe21f,
    0x7ffc4000,0xffffffff,0xffffffff,0x7ffec42f,0xbeffffff,0x09fff500,
    0x29fff500,0x2005fff8,0x0002fffb,0x98000017,0xdddddd32,0xddffffdd,
    0x45dddddd,0xff106fff,0x06fff81f,0xffffffd1,0xfffbffff,0xffffffff,
    0xffffffff,0xfffd503f,0xdfffffff,0x7cc3fffd,0x500005ff,0xffffffff,
    0xffffffff,0x3207ffff,0xffffffff,0xffb82fff,0xff98003f,0x0bfff15f,
    0x017ffdc0,0x00000b80,0xffb0014c,0x7ffc400d,0xd03ffd05,0xfff30fff,
    0x57bdffff,0x66677ffc,0xcccccccc,0x540ccccc,0xffffffff,0xfff90ace,
    0x02fffc43,0xefff9800,0xcccccccc,0xcccccccc,0x7ff65402,0x44ffffff,
    0x8003fffa,0xff14fffa,0x7fdc00bf,0x0170002f,0x00298000,0x8801bff6,
    0xffc86fff,0xa8ffff03,0x09beffff,0x001bffe0,0xfffff300,0x7fe40159,
    0x037ffc1f,0x5fff8800,0x44000000,0xffffffdb,0x013ffe63,0x453ffee0,
    0x2e005fff,0x70002fff,0x29800001,0x01bff600,0xfa8dfff0,0xbfff105f,
    0x004fffd8,0x000dfff1,0x0efffd80,0x85fffd00,0x44007ffe,0x07fff809,
    0x54000000,0x3e25fffe,0xfc8005ff,0xbfff13ff,0x17ffdc00,0x0000b800,
    0xfb0014c0,0xffe800df,0x403bfe67,0x3e24fff9,0x3e6006ff,0x9a8007ff,
    0x00ffff81,0xb0bfffe0,0x5c001fff,0x3ffa2fff,0x00c4000f,0x3ea00131,
    0x3fffc7ff,0x97ffec00,0x2005fff8,0x0002fffb,0x98000017,0x1bff6002,
    0x15fff900,0x7d403ffd,0x3ffea3ff,0x3ffee004,0x3fe6002f,0x1bffe66f,
    0x2ffff880,0x0027ffe4,0x7ec1fffb,0x7f4004ff,0x5fff51ff,0x07fff400,
    0x4007fffd,0x3e27fff9,0x3ee005ff,0x170002ff,0x02980000,0x001bff60,
    0xffb9fff7,0x1fffe807,0x401bffee,0x0efffff8,0x47fffb00,0x2007fffa,
    0x442ffffd,0x9800ffff,0x7fcc5fff,0xff7001ff,0x2fffccdf,0x46fff880,
    0x2006fffa,0x3e25fffd,0x3ee005ff,0x2aaaa2ff,0x00002e00,0x7ec00530,
    0x7fcc006f,0x5c05ffff,0x7fcc6fff,0x7f4401ff,0x00efffff,0x223fffdc,
    0xd802ffff,0xc82fffff,0xfe805fff,0xfffc83ff,0x7ffcc00e,0x1ffff43f,
    0x427ffe40,0xb805fffd,0x3e21ffff,0x3ee005ff,0x3fffe2ff,0x00002e02,
    0x7ec00530,0xffc8006f,0x3ea00eff,0xfff81fff,0xfeb980df,0xefffebff,
    0x7ffe440a,0xefffe82f,0xffffb301,0xfff107ff,0xffd303df,0x3ffe20bf,
    0xffc982ff,0xfffb86ff,0xfff700cf,0xffff303f,0xfffb103d,0x5fff887f,
    0x8bffee00,0x2e02ffff,0x14c00000,0x00555500,0x7fffff10,0x9ffff910,
    0x3ffffea0,0xfffffdcd,0xffffd10d,0xffffdbdf,0x3ffe607f,0xffeccdff,
    0x4fffbeff,0xffffff50,0xdffffdbb,0x7fffd401,0xffffdeff,0xff900eff,
    0xfdbbdfff,0x5c07ffff,0xddffffff,0x85ffffff,0x2005fff8,0x3fe2fffb,
    0x002e02ff,0x00053000,0xfffe8000,0xffedefff,0x7dc06fff,0xffffffff,
    0xfffb03ff,0xffffffff,0xffffb807,0x4fffffff,0xe881fffa,0xffffffff,
    0xd8800eff,0xffffffff,0x6c00efff,0xffffffff,0x9801ffff,0xfffffffe,
    0xf103ffff,0x7dc00bff,0x3fffe2ff,0x00002e02,0x33326530,0xcccccccc,
    0xcccccccc,0x7fffe41c,0xffffffff,0xd9800cff,0xceffffff,0x7ffedc01,
    0x000cffff,0xffffffb3,0xfffc83bf,0x7fff5c02,0x8002efff,0xffffffeb,
    0x366002ef,0xefffffff,0x7f5c000c,0x0cffffff,0x017ffe20,0x002fffb8,
    0x80000170,0xfffff529,0xffffffff,0x5fffffff,0xfdaaffd4,0x1dffffff,
    0x1ba98800,0x2aea2000,0x2a620001,0x000000ab,0x00013753,0x026aea60,
    0xbaa98800,0x2a600001,0x000001ab,0x02e00000,0x2a530000,0xffffffff,
    0xffffffff,0x3ee2ffff,0x55d4c40f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000170,0xfffff529,0xffffffff,
    0x5fffffff,0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65c00000,0xcccccccc,0xcccccccc,0x0002dccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04c00044,0x00fbba20,0x001eeeb8,0xeeec8000,
    0x5eee8800,0x41ddd500,0xeeeeeee9,0xeeeeeeee,0xddd31eee,0xddd70009,
    0x02f77643,0x009ddd90,0x00000000,0x00000000,0x77447754,0x3ffb261e,
    0xdb880bdf,0x881dffff,0x32004fff,0x00001fff,0xfff70ea8,0xffff7007,
    0x8fffb001,0xfffffff9,0xffffffff,0x3ffe1fff,0x7ffc000f,0x27fffcc7,
    0x07fffdc0,0x00000399,0x9500025c,0x41ffec00,0x3ee06ffa,0x2fff88ff,
    0xfffffff9,0xfffe88df,0x444fffff,0x32004fff,0x00001fff,0x221fff71,
    0xfd805fff,0x7c402fff,0x7ffcc4ff,0xffffffff,0x1fffffff,0x800bfff2,
    0xfb84fffa,0x3e601fff,0x7fe42fff,0x5c00002e,0x65d444ff,0x027fd41a,
    0x7c437fd4,0xfff902ff,0x95fff11f,0xffffffff,0x3ffa2bff,0xffffffff,
    0x013ffe22,0x001fffc8,0x7fffecc0,0x01fffa0f,0x013ffffe,0xa885fff5,
    0xaaaaaaaa,0xffff9aaa,0x02fffcc5,0x203fffb0,0x3a06fffd,0xffc84fff,
    0x0000bfff,0x4e7fffc4,0xeffffffd,0x02ffffaa,0x360bffe2,0xffea85ff,
    0xfff88fff,0x98aceffe,0xfecffffc,0xfeb98acf,0x3ffe26ff,0x3fff2004,
    0xffd70001,0x641fffff,0x3e601fff,0x6406ffff,0xb00007ff,0x3fa0dfff,
    0xff8800ff,0x3ffe206f,0x6fffc83f,0xffffff70,0x540003bf,0xffffffff,
    0xffffffff,0x7fec04ff,0x40fffb86,0xfffdfffc,0x6fffff88,0x3ffffee0,
    0xffff301e,0x013ffe25,0x001fffc8,0x3fffff22,0xff982eff,0x3ffee03f,
    0x3fe00fff,0xfc80005f,0xff700eff,0xfff7007f,0xffffa807,0x07fffea1,
    0xfffffc88,0x50002eff,0xffffffff,0xffffffff,0x1fffb809,0x6c27ffc4,
    0x11ffd1df,0x401fffff,0x02fffff8,0xf89fffdc,0x3f2004ff,0xfda801ff,
    0x1cffffff,0xd037ffc0,0x05fff7ff,0x000bffe6,0x03ffff70,0x4037ffc4,
    0xc800fffe,0xfff16fff,0x7f54007f,0x0cffffff,0x7fffe400,0x3ffee21c,
    0x7ffcc06f,0x80fffe85,0x447ff41b,0xd802ffff,0xfa806fff,0x9fff14ff,
    0x0fffe400,0xffffeb88,0x9000beff,0xff101fff,0x20bffd3f,0x0000fffb,
    0x00bfffea,0x8807fff6,0xd1005fff,0xfffb5fff,0x3f26000b,0x2dffffff,
    0x03fffd00,0x007fffcc,0xfb81fffd,0x3fa003ff,0x0ffff88f,0x04fffc80,
    0xf15fff98,0x7e4009ff,0x7fe4c1ff,0x01dfffff,0x82fffa80,0xfff97ffa,
    0x0017ffa0,0x03ffff98,0x409fff50,0x2002fffb,0xfffffff9,0x5c40000e,
    0xeffffffe,0x7fff500b,0x09fff500,0xf30ffff2,0xfe800dff,0x06fff88f,
    0x005fff90,0x3e2bfff1,0x3f2004ff,0xfffb31ff,0x0017ffff,0x427ffc40,
    0xfff55ffc,0x03fff881,0x9ffff100,0x06fff800,0x2001fffa,0x1ffffffc,
    0x7ecc0000,0x0cffffff,0xb0037fe4,0xfff30dff,0x03fffd0d,0xf88ffe80,
    0xff9006ff,0xfff1003f,0x013ffe2b,0xf91fffc8,0x005bffff,0x437fec00,
    0xfff12ffe,0x00fffa87,0x5fffe880,0x1fffc800,0x004fff98,0x07ffffd0,
    0x7dc40000,0x740fffff,0x3f2005ff,0x3fffe87f,0x002fffdc,0x7fc47ff4,
    0xfff9005f,0xbfff1003,0x8013ffe2,0xff91fffc,0x000005ff,0x7c41fff7,
    0x17ffa0ff,0x2000dffb,0x000efffd,0xc84fff98,0x90000fff,0x0007ffff,
    0x3fff6000,0x027ff40f,0xc81fff50,0x7fcc5fff,0x7f4000ff,0x05fff88f,
    0x003fff90,0x3e2bfff1,0x3f2004ff,0xffff91ff,0x400005bf,0x3ea3fff8,
    0x23ffe46f,0xd8003fff,0x0000ffff,0x3fe1fffa,0xff30006f,0x0003ffff,
    0x3ffee200,0x7ff40fff,0x1fff2005,0x2e0ffff4,0x74004fff,0x5fff88ff,
    0x03fff900,0x22bfff10,0x32004fff,0xffb31fff,0x017fffff,0x4bffd000,
    0x7fd44ffd,0x01fff51f,0x1ffffc80,0x7ffdc000,0x00fffea2,0x3ffffa20,
    0x400006ff,0xffffffd9,0x07ffc84f,0x441bff60,0xffd86fff,0x3ffa001f,
    0x005fff88,0x1003fff9,0x3fe2bfff,0x3ff6005f,0x7ffe441f,0x001dffff,
    0xff9fff20,0x93fff82f,0xfb800dff,0x80002fff,0x3f65fff8,0xfd8000ff,
    0x4fffdcff,0x7f5c4000,0x02efffff,0x200fffea,0x2e04fffa,0x7fc43fff,
    0x3ffa005f,0x005fff88,0x1003fff9,0x3fe2bfff,0x3ffa005f,0xffd7101f,
    0x017dffff,0x99fff980,0xffd80fff,0x4009fff5,0x003ffffa,0x45fff600,
    0xa8005fff,0xff88efff,0xc98002ff,0xdfffffff,0x5fffd001,0x07fffcc0,
    0x703fff60,0x3a005fff,0x5fff88ff,0x03fff900,0x7cbfff10,0xff1006ff,
    0xfb5003ff,0x39ffffff,0x5e7ffc00,0xfff706ff,0x2003fff3,0x004ffff9,
    0x57ffd400,0x4001fffa,0x2a2ffff8,0x5000ffff,0xfffffffb,0xffc80019,
    0xf9309dff,0xf100dfff,0xdffb09ff,0x222aaa00,0xf9005fff,0xff1003ff,
    0x0ffffcbf,0x0ffffec0,0xffff9100,0x9005bfff,0x09ffbdff,0x3ff7ffe6,
    0xfffd1007,0x3e00000b,0x06ffdcff,0x84fffd80,0x2205fffd,0xfffffffb,
    0xff70002e,0xffffffff,0x09ffffff,0x881fff50,0x88003fff,0xf9005fff,
    0xff1003ff,0x37ffecbf,0x3fffff20,0xffd70001,0x401fffff,0x2ffffffa,
    0x3fffffe0,0xfffe8804,0x32000006,0x04ffffff,0x077ffdc0,0x417fffc4,
    0xfffffffb,0x3ee0001d,0xffffffff,0xffffffff,0x5ffc804f,0x000fffa8,
    0x802fffc4,0x8801fffc,0x3fea5fff,0xb510adff,0x03ffffff,0xfffd9800,
    0x7ffc00ff,0x3f600fff,0xd802ffff,0x9999ffff,0xaaaaaaaa,0xff9802aa,
    0x2000ffff,0x202ffff9,0x640ffffb,0x00cfffff,0x7fffc400,0xfffffd9b,
    0xffffa9df,0x0fff4402,0x20027fec,0x9005fff8,0xf1003fff,0xfffe8bff,
    0xffffefff,0x001fff9e,0x1fff9100,0x6ffffd80,0x3ffffdc0,0x7ffffc40,
    0xffffffff,0x07ffffff,0x0dffffd0,0x04fffe80,0x645fffd8,0x00002eff,
    0x2621ffd4,0x7fd40aba,0x03553004,0x88005551,0xf9005fff,0xff1003ff,
    0xfffd88bf,0x35ffffff,0x00003fff,0xfb801d70,0x7cc04fff,0xf8805fff,
    0xffffffff,0xffffffff,0xff7007ff,0x7e4005ff,0xf8800fff,0x07723fff,
    0x03a80000,0x00012a00,0x7fc40000,0xfff9005f,0xbfff1003,0x3ffffae0,
    0x3ffe63ef,0x00000001,0x00bfffe2,0x200bfffe,0xfffffff8,0xffffffff,
    0x1007ffff,0x2001ffff,0x002ffff9,0x007fffee,0x00000000,0x00000000,
    0x02fffc40,0x801fffc8,0x4405fff8,0x000009a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007ddd00,0x00000000,0x30003333,0x80090005,0x88007ffb,0x02ceeedc,
    0x399bb950,0x33bb2e00,0x3b326003,0x000002cc,0x07ff8800,0x20000000,
    0x500cdedb,0x7c001555,0x7e4004ff,0x06ffa84f,0xffff8800,0x0bfe6001,
    0x2005fd80,0x2003fffe,0xfffffffc,0xfff100ef,0x409fffff,0xffffffe9,
    0x3ffa201e,0x21efffff,0xfffffffc,0xffffffff,0x400fffff,0x7fe406ff,
    0xffffffff,0xffffffff,0x7ff4c0ff,0xff83ffff,0x3fe002ff,0x7fc4004f,
    0x04ffd82f,0x7fffc400,0xffff3001,0xbfffb005,0xdffff500,0x3fffee00,
    0x86fffecd,0xfddfffe8,0xff984fff,0xffffffff,0xdffffd01,0x321fffff,
    0xffffffff,0xffffffff,0x7c00ffff,0x7ffe405f,0xffffffff,0xffffffff,
    0x3bffa20f,0x7c2fffdb,0x3e002fff,0xfb8004ff,0x7ffc40ff,0x3fe20002,
    0x3f6001ff,0x3f602fff,0xfd802fff,0x4402ffff,0xff983fff,0x077fdc1f,
    0x3fa1bff6,0xffc88cff,0x2fffb85f,0x64fffee2,0xffffffff,0xffffffff,
    0x06a0ffff,0x322989fd,0xffffffff,0xffffffff,0x3f20ffff,0x07ff442f,
    0x4005ffff,0xd0004fff,0xfff90bff,0x3fe20001,0x7ec001ff,0xffd82fff,
    0xff9802ff,0x4c05ffef,0x3ff606fd,0x5416dd42,0x7ffd47ff,0x42fff880,
    0xffd04ffd,0x333332ab,0xcccccccc,0x0ccccccc,0x67ecfbfe,0x32a6feb8,
    0xcccccccc,0xdccccccc,0x17fe0fff,0xfff17fd4,0x7ffc005f,0xfff50004,
    0x05fff885,0x00666600,0x17fffec0,0x005ffffb,0x3fe7bff2,0x6401001f,
    0x7ec003ff,0x01ffe44f,0x80209ff9,0x00003ffd,0xfffffa80,0xfffffefe,
    0x3ee00001,0x03ff10ff,0xffff1ff4,0x27ffc005,0x1fffb000,0x002fffb8,
    0x7ec00000,0xfffdbfff,0xfff1002f,0x8013ffa5,0xfffdca98,0xfec9803f,
    0x0ffec0ef,0x800bff50,0x0000fff8,0xffec9800,0xefffffff,0x2e00001c,
    0x3ff10fff,0xfff1ff40,0x7ffc003f,0x3fe60004,0x0fffe85f,0x4cccccc4,
    0x99999999,0x00999999,0x3ffffff6,0x3ee002ff,0x03ffee7f,0xfffffd70,
    0xb007ffff,0x3fe09fff,0x1bfe601f,0x05ffe880,0xa8800000,0x001cfffd,
    0x3ffee000,0x7d417fe0,0x89fffa2f,0x99999999,0x9999dfff,0x7e401999,
    0x7ffd43ff,0x7ffffd45,0xffffffff,0x2fffffff,0x7ffffec0,0x7ffc002f,
    0x80fffe24,0xdffffffe,0xf803ffdc,0x7c0cffff,0x3fe600ff,0xdfff5007,
    0x00000001,0x07ffffe6,0xffb80000,0x107ff20f,0x7fe41ffd,0x3fffff26,
    0xffffffff,0x0fffffff,0x03fffe20,0x7d47fffb,0xffffffff,0xffffffff,
    0x7c402fff,0x4004ffff,0x7e41fffa,0xbfff907f,0x03ffc815,0x8fff9510,
    0x3ea01ffe,0xfffc806f,0x0000000e,0xff3fff30,0x2000001f,0x3e20fffb,
    0xfffdbeff,0xf92ffdc2,0xffffffff,0xffffffff,0xfb801fff,0x7ffcc5ff,
    0xfffff50f,0xffffffff,0x5fffffff,0xfffffd80,0x3ffa002f,0x82fff986,
    0x3fa04ffe,0xffe8003f,0xb80fff62,0x3f6204ff,0x999504ff,0x99999999,
    0x99999999,0x3ffe8819,0x0001dff9,0x81fff700,0xffffffe9,0x323ff983,
    0xffffffff,0xffffffff,0x7400ffff,0x7fdc2fff,0x2aaaa25f,0xaaaaaaaa,
    0xaaaaaaaa,0x3ffff600,0x9802ffff,0xffd02fff,0x205fff0d,0x0103fffb,
    0xff72ffe4,0x81fff40d,0x202fffe9,0xfffffffc,0xffffffff,0x640fffff,
    0x27ff46ff,0x7fdc0000,0x9dfb700f,0x987ba201,0xaaaaaaaa,0xaaaadfff,
    0x2a00aaaa,0x7fc45fff,0x000000ff,0x5ffffb00,0x805ffffb,0x3ee07ffd,
    0x2ffec1ff,0x127fffd4,0xff103fff,0x6fffc49f,0x41bffaa2,0x401efff9,
    0xfffffffc,0xffffffff,0xc80fffff,0x0027cc1f,0x0fffb800,0x40000000,
    0x40004fff,0x7e40fffe,0x998002ff,0xffb00019,0x7ffec5ff,0x9fff102f,
    0x545fff80,0xffddffff,0x7ec4ffff,0x3ff661ef,0x7fffd42f,0x82ffffee,
    0x999efff8,0xff909999,0xffffffff,0xffffffff,0x0c0601ff,0xff700000,
    0x0000001f,0x004fff80,0x30bffee0,0x1000bfff,0x8003ffff,0xd82ffffd,
    0xfc82ffff,0x7fe401ff,0x7fffec0f,0x6ff8bfff,0x7fffffcc,0xf705ffff,
    0x5fffffff,0x3fffff60,0x06ffffff,0x00000000,0x00000000,0xff000000,
    0x3e20009f,0xeffd84ff,0xfff88000,0x3ff6001f,0x3ff602ff,0x3ffe22ff,
    0x4fff9806,0x0cdfeda8,0xfd30332e,0x09ffffff,0xceffed88,0xfffff100,
    0xdfffffff,0x00000000,0x00000000,0x20000000,0xb0004fff,0xfff50dff,
    0x3fe20003,0xff3001ff,0xffb005ff,0x17ffdcbf,0x00fffd80,0x99730000,
    0x00000157,0x2aaaaaa2,0x02aaaaaa,0x00000000,0x00000000,0xff000000,
    0xff30009f,0x09ffd03f,0x7fffc400,0x0bfea001,0x4c45fd80,0x26620019,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0xd0009fff,
    0xdff709ff,0x33330000,0x00055000,0x80000009,0x5cc01aa8,0x000bceec,
    0x333260e2,0x33332e1c,0x30aaaa80,0x55555555,0x55555555,0x55555555,
    0x44444443,0x88888888,0x88888888,0x00000008,0x9fff0000,0x86ffa800,
    0x0001fff8,0x00000000,0x50aaaa80,0x55541555,0x01ffc81a,0x3fffffee,
    0x2600beff,0x5fffe85e,0x41ffffcc,0xff92ffff,0xffffffff,0xffffffff,
    0x2dffffff,0xfffffffc,0xffffffff,0xffffffff,0x0000006f,0x4fff8000,
    0x40555400,0x00001aa8,0x00000000,0xf1ffff88,0x7ff45fff,0x207fe83f,
    0xfffffffd,0x89dfffff,0x545ffda8,0xfa80ffff,0x7ffc0fff,0xfffff92f,
    0xffffffff,0xffffffff,0x3ff2dfff,0xffffffff,0xffffffff,0x06ffffff,
    0x00000000,0x00000000,0x00000000,0x7fc40000,0x5ffff1ff,0x221ffff4,
    0x220bffff,0xffffffff,0xffffffff,0x745fffff,0x3f201fff,0x7fffc3ff,
    0x77777732,0x77777777,0x77777777,0x3776e577,0xdddddddd,0xdddddddd,
    0x004ddddd,0x00000000,0x00000000,0x00000000,0x7ffc4000,0x45ffff1f,
    0x5443fffe,0x3e26ffeb,0xeba9acff,0xffffffff,0x3e64ffff,0xffd803ff,
    0x017fffc6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffff880,0x7f45ffff,0x3fe203ff,0x401bf12f,0xffffffc9,0x7fec3fff,
    0x0bffa005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ff00000,0xfe8bfffe,0x3fee03ff,0x4400912f,0x0bdefedb,0x44002aa8,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffe9fe6,0x54bfff61,0xfffffecd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffc97ee0,0x47fff20f,
    0xfffffffc,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb8ffe60,0x73ffd47f,0x017ddffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7fd45ff8,0x0037fcc5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ff883d8,0x00005ff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ed82ed8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_49_latin1_x[224]={ 0,3,2,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-3,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,4,1,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
4,1,1,0,1,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,3,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,4,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_49_latin1_y[224]={ 39,7,7,7,4,7,7,7,7,7,7,13,34,25,
34,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,20,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,16,7,7,12,7,
7,7,7,7,7,17,16,25,7,2,7,12,7,7,7,16,7,21,38,7,7,17,7,7,7,16,-1,-1,-1,0,
1,0,7,7,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,14,6,-1,-1,-1,1,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_49_latin1_w[224]={ 0,6,12,24,22,35,28,6,12,12,15,22,6,13,
6,13,22,13,22,22,23,22,22,21,22,22,6,6,22,22,22,22,41,31,24,28,27,24,22,30,26,5,18,27,
20,31,26,31,25,32,29,26,25,26,29,41,29,29,26,10,13,10,19,26,9,22,21,21,21,22,14,21,20,5,
10,20,5,32,20,22,21,21,14,20,12,20,22,32,22,22,21,13,4,13,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,21,24,22,26,
4,22,13,33,15,20,22,13,33,26,13,22,14,14,9,19,24,6,10,9,16,20,34,34,36,21,31,31,31,31,
31,31,42,28,24,24,24,24,9,8,14,13,31,26,31,31,31,31,31,20,32,26,26,26,26,29,25,23,22,22,
22,22,22,22,37,21,22,22,22,22,9,8,15,13,22,20,22,22,22,22,22,22,23,20,20,20,20,22,21,22,
 };
static unsigned short stb__arial_49_latin1_h[224]={ 0,32,12,33,40,34,33,12,42,42,14,21,12,5,
5,33,33,32,32,33,32,32,33,31,33,33,23,30,23,15,23,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,35,32,33,32,33,32,32,32,32,32,41,33,41,18,4,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,41,33,22,32,
42,42,5,33,17,21,14,5,33,4,12,27,17,17,7,32,41,5,11,17,17,21,34,34,34,33,40,40,40,39,
38,39,32,42,40,40,40,38,40,40,40,38,32,39,41,41,41,40,39,19,35,41,41,41,39,40,32,33,33,33,
33,33,33,34,25,33,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,19,27,33,33,33,33,42,41,42,
 };
static unsigned short stb__arial_49_latin1_s[224]={ 249,247,96,167,51,174,138,248,24,60,195,
1,89,240,164,240,1,53,80,68,160,103,135,210,219,1,243,232,55,172,179,
187,78,155,1,85,139,210,228,1,53,245,137,156,32,67,112,203,167,1,126,
192,184,58,130,88,58,28,1,144,242,238,89,198,154,110,181,133,32,155,17,
210,226,220,120,190,184,1,222,199,113,91,239,178,99,34,133,78,156,114,111,
131,211,197,120,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,249,249,216,
156,202,26,73,145,239,24,109,225,211,240,158,171,234,25,157,125,144,235,119,
249,109,246,140,24,139,67,102,47,153,121,74,124,208,60,54,168,1,26,185,
183,245,236,106,240,97,156,87,1,204,1,92,68,34,33,60,177,33,210,129,
93,69,117,1,47,24,232,72,140,70,208,92,115,235,211,1,193,162,207,185,
45,231,1,24,45,48,192,234,24,213,37,155,1, };
static unsigned short stb__arial_49_latin1_t[224]={ 40,374,546,238,86,168,238,527,1,1,527,
527,546,159,545,125,272,407,374,272,440,374,272,440,272,306,473,440,502,527,502,
340,1,340,374,306,407,340,407,340,374,306,306,374,407,407,407,306,407,168,374,
272,440,306,440,440,440,440,440,44,272,1,527,545,545,473,306,473,340,473,407,
168,374,374,1,374,374,502,473,473,272,272,440,473,407,502,502,502,502,306,502,
1,1,1,545,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,40,1,1,
306,502,374,1,1,465,306,527,502,527,159,272,545,527,473,527,527,545,339,44,
34,545,502,527,527,168,168,168,238,86,86,86,127,127,127,340,1,86,86,86,
127,44,44,86,86,340,127,44,44,44,127,127,527,168,44,44,44,127,86,340,
204,238,204,204,204,204,168,473,204,204,204,238,238,306,374,407,407,204,407,204,
272,204,238,238,527,473,238,238,272,238,1,44,1, };
static unsigned short stb__arial_49_latin1_a[224]={ 195,195,249,390,390,624,468,134,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,195,195,410,410,410,390,712,468,468,507,507,468,429,546,
507,195,351,468,390,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,195,195,195,329,390,234,390,390,351,390,390,195,390,
390,156,156,351,156,585,390,390,390,390,234,351,195,390,351,507,
351,351,351,234,182,234,410,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,195,234,390,390,390,390,182,390,
234,517,260,390,410,234,517,388,281,385,234,234,234,404,377,195,
234,234,256,390,585,585,585,429,468,468,468,468,468,468,702,507,
468,468,468,468,195,195,195,195,507,507,546,546,546,546,546,410,
546,507,507,507,507,468,468,429,390,390,390,390,390,390,624,351,
390,390,390,390,195,195,195,195,390,390,390,390,390,390,390,385,
429,390,390,390,390,351,390,351, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_49_latin1_BITMAP_HEIGHT or STB_FONT_arial_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_49_latin1(stb_fontchar font[STB_FONT_arial_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_49_latin1_BITMAP_HEIGHT][STB_FONT_arial_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_49_latin1_s[i] + stb__arial_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_49_latin1_t[i] + stb__arial_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_49_latin1_x[i];
            font[i].y0 = stb__arial_49_latin1_y[i];
            font[i].x1 = stb__arial_49_latin1_x[i] + stb__arial_49_latin1_w[i];
            font[i].y1 = stb__arial_49_latin1_y[i] + stb__arial_49_latin1_h[i];
            font[i].advance_int = (stb__arial_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_49_latin1_s[i] + stb__arial_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_49_latin1_t[i] + stb__arial_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_49_latin1_x[i] + stb__arial_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_49_latin1_y[i] + stb__arial_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_49_latin1_LINE_SPACING
#endif

