// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT        597
#define STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_49_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_49_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_49_latin1_LINE_SPACING          32

static unsigned int stb__arial_bold_49_latin1_pixels[]={
    0x03ffffe0,0x205ffffd,0x0005fffa,0x7ffffcc0,0xcb88001f,0x802cdeee,
    0xf33ffff9,0x5c007fff,0x0007feed,0xfdd99550,0x000579bd,0x079ddff0,
    0xffff1000,0x55555500,0x33320000,0x54002ccc,0xaaaaaaaa,0xfff8002a,
    0x7fff40ff,0x3fffe02f,0x3f600002,0x4002ffff,0xffffffc8,0x2602efff,
    0xff33ffff,0xfd5007ff,0x000fffff,0x7ffffe4c,0xffffffff,0xff0002df,
    0x005dffff,0x027ffe40,0x03fffffc,0x7fffd400,0x7f4000ef,0xffffffff,
    0xffff8005,0x7ffff40f,0x3ffff202,0xff980000,0x44002fff,0xfffffffe,
    0x304fffff,0x3e67ffff,0x7dc03fff,0x07ffffff,0x7fff5c40,0xffffffff,
    0xffffffff,0x7fffc002,0x8002ffff,0x801ffff9,0x007fffff,0xeffffd80,
    0xfffe8000,0x05ffffff,0x0fffff80,0x017ffff4,0x009ffff1,0x7ffff900,
    0xffffb000,0xffffffff,0xfff307ff,0x3fffe67f,0x3fffe203,0x2007ffff,
    0xfffffff9,0xffffffff,0xffffffff,0xffff000d,0x000dffff,0x200bfffb,
    0x007fffff,0x7ffffcc0,0xfffd0000,0x0bffffff,0x1fffff00,0x02ffffe8,
    0x00ffffec,0x9ffff100,0xffff5000,0xfffdbfff,0xf983ffff,0xfff33fff,
    0x7ffdc07f,0x007fffff,0xfffffff7,0x54c3357b,0xfffffdcb,0xfff801ff,
    0x02ffffff,0x0bfffe60,0x3fffffc0,0x3fff6000,0x3fa0001f,0xffffffff,
    0x99998005,0x09999881,0x2ffffd40,0x9fff9000,0x3fff2000,0x3f660dff,
    0x7cc3ffff,0xfff33fff,0x7ffec07f,0x4019adff,0xefffffd8,0xfc88000b,
    0x401fffff,0xffffea99,0x3ff6004f,0x3ffe007f,0x220007ff,0x0001ffff,
    0x577ffff4,0x00002aaa,0x7ffc0000,0x550000ff,0x7f400055,0xfa81ffff,
    0x7cc6ffff,0xfff33fff,0x7fff407f,0x7ff4006f,0x00002eff,0x1dffffb3,
    0x7ffffc00,0xffff3005,0x4cccc009,0x3ae00019,0xe80002ee,0x0006ffff,
    0xc8000000,0x0003ffff,0x7ff40000,0x9db03fff,0xfff98559,0x7ffff33f,
    0x2fffffc0,0xdffff900,0xf5000001,0x7400bfff,0xd006ffff,0x0003ffff,
    0x00000000,0x6ffffe80,0x00000000,0x7ffffa80,0x40000000,0x0ffffffc,
    0xffff3000,0x0ffffe67,0x04fffff8,0x09ffff50,0x2e000220,0x9002ffff,
    0x500dffff,0x000fffff,0x6e540000,0x00abdeee,0x6ffffe80,0xeeeeb800,
    0x3bae004e,0xfff03eee,0xeeeb85ff,0x3ae004ee,0x7cc3eeee,0x01ffffff,
    0x3ffff980,0x407ffff3,0x803fffff,0x204ffff8,0xceffeca8,0x8b333321,
    0x9006fffd,0xb00dffff,0x8009ffff,0x006eeeed,0x3fffff62,0xdfffffff,
    0xffffd000,0xfff3000d,0x3e001fff,0xb01fffff,0xf98bffff,0x000fffff,
    0x03ffffff,0xfffffff9,0xfff98009,0x7ffff33f,0x1fffffc0,0x037fff40,
    0xfffffff5,0xffff15ff,0x7fffc47f,0xffffc801,0xfffff807,0x7fffc002,
    0xfff5007f,0xffffffff,0x005fffff,0x00dffffd,0x3fffffa0,0xffff9803,
    0x3ffee06f,0xffffe87f,0xfff9803f,0xfff106ff,0x03dfffff,0x4ffffe60,
    0x203ffff9,0x403fffff,0x501ffff9,0xffffffff,0xffffbfff,0x4fffa85f,
    0x7ffffc80,0x7ffffcc0,0x7fffc000,0x7fec407f,0xffffffff,0xffffffff,
    0x3fffa00d,0xff70006f,0xf900bfff,0x5407ffff,0x5c1fffff,0x805fffff,
    0x03fffffc,0xfffffff7,0xf3009fff,0x3fe67fff,0x3ffe03ff,0x7fe402ff,
    0xffff504f,0xfffdbdff,0x81ffffff,0xb807fff8,0x6407ffff,0x8007ffff,
    0x207fffff,0xffffffe8,0xffffffff,0x1fffffff,0x0dffffd0,0x3fffe200,
    0x7ffc00ff,0x3e600fff,0x7c43ffff,0x400fffff,0x80ffffff,0xfffffffb,
    0x01efffff,0x4cffffe6,0xf103ffff,0x4405ffff,0xfb80ffff,0x540dffff,
    0x6fffffff,0x801ffff0,0x00fffffb,0x01bffffa,0x1fffffe0,0xffffffc8,
    0xfdccefff,0xffffffff,0xdffffd06,0x7ffec000,0x3fe603ff,0x7c405fff,
    0xfd85ffff,0x2603ffff,0xb85fffff,0xffdfffff,0x3fffffff,0x27ffff30,
    0x503ffff9,0x401fffff,0xf885fffb,0x2a05ffff,0x05ffffff,0xa803fffb,
    0x101fffff,0x00bfffff,0x0ffffff0,0x3fffffea,0x3f6201ef,0x83ffffff,
    0x006ffffe,0x3ffffea0,0x3ffff205,0xffff802f,0xffffa87f,0x3fff205f,
    0xffff82ff,0xffffd34f,0xf30bffff,0x3fe67fff,0xfffb03ff,0xfffe80ff,
    0x6ffffc82,0xfffffe80,0x05fff703,0x4fffff88,0x9fffff30,0xfffff000,
    0xfffff10f,0x2e001bff,0x0fffffff,0x037ffff4,0x3ffffe00,0xffffd00f,
    0x3fffe00f,0xfffff07f,0x3fffa01f,0xffff987f,0xfffffc87,0x7fcc4fff,
    0xffff33ff,0xfffff307,0x87fff80d,0x02fffff8,0x1fffffd8,0x007fff50,
    0x03fffffb,0x07fffff5,0xffffff00,0xffffff90,0xfff5000b,0xffe8bfff,
    0x640006ff,0x983fffff,0x004fffff,0x01fffffd,0x07fffff9,0x09fffff3,
    0x20dffff7,0xfffffffa,0xfff3002f,0x7ffd447f,0x3e202fff,0xfffc85ff,
    0xfff9007f,0x3ff201ff,0xfffa802f,0x3ee1beff,0x8002ffff,0xf87fffff,
    0x00ffffff,0xfffffd00,0x7ffff43f,0x7fcc0006,0xffc85fff,0xfb001fff,
    0xf301ffff,0xf90bffff,0xf903ffff,0x2201ffff,0xfffffffe,0xffff9800,
    0xffffffb3,0xfff980df,0x4fffff84,0xdffffb00,0x007fff40,0xffffffe8,
    0xfffff74f,0xffff0005,0xffff98ff,0x2a0004ff,0x23ffffff,0x006ffffe,
    0xfffffe80,0x37ffff40,0xfffff900,0x3ffffa03,0x7ffff40f,0xfffff906,
    0xffffc807,0xff9802ff,0xffffb3ff,0xfa801dff,0x7ffc43ff,0xffd003ff,
    0x3fe209ff,0x3fa2007f,0xf94fffff,0x0003ffff,0xc8ffffff,0x00ffffff,
    0x7ffff400,0x3ffffa4f,0xffb80006,0x3fe63fff,0x2e004fff,0x701fffff,
    0x4c7fffff,0x704fffff,0x07ffffff,0x4fffffb8,0x3ffff980,0x0dfffffb,
    0x30bffee0,0x003fffff,0x07fffff1,0x001bffea,0x9fffffd1,0x03fffff6,
    0x3ffffe00,0x7ffffec7,0xffc80006,0x3ffa5fff,0x880006ff,0x2e5fffff,
    0x001fffff,0x07ffffee,0x2fffffc4,0x03fffff7,0x3fffffe2,0x7ffec04f,
    0xfff9806f,0xfffffb3f,0xfff9007f,0xfffffa83,0xffff9800,0x9fff901f,
    0xffffc800,0xffff94ff,0xfff0001f,0xfffe8fff,0xb80005ff,0x3a6fffff,
    0x0006ffff,0x1fffffb0,0x01bffffa,0x1fffff70,0x7ffffec0,0x0dffffd0,
    0xffffffc8,0xfff700ef,0xfff3009f,0x3ffff67f,0x7e404fff,0x7ffe41ff,
    0xfff7007f,0x3ffe20ff,0x3ff6001f,0xf74fffff,0x0003ffff,0xf8ffffff,
    0x004fffff,0xfffffa80,0x1bffffa7,0x7ffd4000,0xffff9aff,0x7fe4003f,
    0x3ea00fff,0xff9affff,0x74403fff,0xffffffff,0x2ffffc83,0x3ffff980,
    0xfffffd93,0x7ffdc03f,0x3ffffe42,0x7ffffc40,0x0bfffd06,0x7ffffcc0,
    0xfff70bcf,0xff0003ff,0xfff8ffff,0x80003fff,0x1ffffff9,0x00dffffd,
    0x7ffffc00,0x0fffffbd,0x7fffe400,0xfffff807,0x0fffffbd,0xffffe880,
    0xf30dffff,0x3a21ffff,0xfff32eee,0xffff907f,0x7ffd40bf,0x7ffffd43,
    0x7fffdc00,0xffffd84f,0x3fffa000,0xfffa82ff,0xff8002ff,0x7ffc7fff,
    0x80003fff,0x2ffffff9,0x00dffffd,0x7fffe400,0x05ffffef,0x6ffffd80,
    0xfffffc80,0x005ffffe,0x3fffffa2,0xfffbffff,0x3ffe64ff,0x7ffff33f,
    0x1fffffa0,0x4c4fff98,0x202fffff,0x2ffffff8,0x027fffdc,0x17ffffe0,
    0x1fffffcc,0x7ffffc00,0x7fffffc7,0xffa80004,0xffd0ffff,0x40000dff,
    0xfffffff9,0xe8002fff,0x9804ffff,0xffffffff,0xfc8002ff,0xffffffff,
    0x7cc5ffff,0xfff33fff,0x3ffea07f,0xfff100ff,0xfffff88d,0x3ffff606,
    0xfff711ff,0x7cc001df,0xf102ffff,0x0009ffff,0xd8ffffff,0x005fffff,
    0xfffffb80,0x1bffffa7,0xfffd0000,0x00ffffff,0x7fffff10,0x3ffffa00,
    0x0007ffff,0x3fffffa6,0x985fffff,0xff33ffff,0x3fe607ff,0x3fa01fff,
    0x7ffe41ff,0xea88bfff,0xdfffffff,0x1ffffffc,0x7fffd400,0x3fffa00f,
    0xfff8004f,0x7ffe47ff,0xc80006ff,0x3a6fffff,0x0006ffff,0x7ffffdc0,
    0x98004fff,0x001fffff,0xfffffff7,0xc880009f,0xffffffff,0xffff980f,
    0x07ffff33,0x0bffffe2,0xe85fffb8,0xffffffff,0xffffffff,0xffffffff,
    0xfffb8001,0x7ffe407f,0xfff8006f,0x7ffdc7ff,0xd80007ff,0x3a5fffff,
    0x0006ffff,0x7ffffc40,0xb8001fff,0x2007ffff,0xfffffff8,0xd500001f,
    0xdfffffff,0x27ffff30,0x103ffff9,0x405fffff,0x4c0ffff8,0xffffffff,
    0xffffefff,0x0dffffff,0xffff7000,0xffffa80f,0x7ffc000f,0x7ffd47ff,
    0x20002fff,0x4ffffff8,0x01bffffa,0x3fff6000,0x90006fff,0x800bffff,
    0x6ffffffd,0xffc80000,0x4c4fffff,0xff33ffff,0x7ffc07ff,0x7fec03ff,
    0xfffd885f,0xfd1effff,0x7dffffff,0xfffc8000,0x7ffc407f,0x7fc002ff,
    0x7fc47fff,0x0006ffff,0x3ffffff2,0x1bffffa2,0x3fea0000,0x0003ffff,
    0x005ffffd,0xffffffa8,0xf5000003,0x98ffffff,0xff33ffff,0x7ffc07ff,
    0x7fcc03ff,0xfd9504ff,0xfec9859d,0x2aa01cee,0x3ff201aa,0xffd806ff,
    0x7fc004ff,0xffe87fff,0x8002ffff,0xfffffff8,0x1bffffa0,0x3fe60000,
    0x8000ffff,0x007ffff8,0xffffff98,0x80440000,0x1ffffff8,0x4cffffe6,
    0x3e03ffff,0xc803ffff,0x0003ffff,0x3ffa2000,0x3ff200ef,0xffa806ff,
    0x7fc006ff,0xff987fff,0x001fffff,0x3fffff62,0x7ffff43f,0xfd800006,
    0x0006ffff,0x009ffff7,0xdfffffb0,0xffec9800,0x3fff205f,0x3ffe63ff,
    0x7ffff33f,0x27ffffc0,0x3ffffe80,0xe8800000,0x6c01ffff,0xf006ffff,
    0x2001ffff,0x07fffff8,0xfffffff9,0xfffd3007,0xffd0dfff,0x80000dff,
    0x3ffffff9,0xffffb000,0xfff98003,0x4c003fff,0x01ffffff,0x45fffff9,
    0xf33ffff9,0x7fc07fff,0xf1006fff,0x003dffff,0x3ffaa000,0xffe804ff,
    0xff9006ff,0x3ea005ff,0xf107ffff,0xbfffffff,0x7fe54435,0x81ffffff,
    0x006ffffe,0x3fffa200,0x88000fff,0x4006ffff,0xffffffe8,0xfffe8000,
    0x7fc40dff,0x3e61ffff,0xfff33fff,0x7fff407f,0xfa800bff,0x01cfffff,
    0xfffd5000,0xfc880bff,0x1005ffff,0x5c0bffff,0xffffffca,0x3fffee06,
    0xffffffff,0xffffffff,0xfffd05ff,0x3a2000df,0xfffffdcc,0xf70003ff,
    0x74403fff,0xfffffdcc,0xf70003ff,0x7bffffff,0xfffffffb,0x33ffff98,
    0x6407ffff,0xffffffff,0x7fff4c07,0x00acffff,0xffffb710,0x7fc07fff,
    0x3fffffff,0x3ffff600,0xfffff880,0x6404ffff,0xffffffff,0xffffffff,
    0xd00dffff,0xdddfffff,0xfff1009d,0xffffffff,0x3ffa0001,0x7ffc405f,
    0xffffffff,0x3ff60000,0xffffffff,0x4c2fffff,0xff33ffff,0x7fc407ff,
    0x07ffffff,0xffffff90,0xdddfffff,0xffffffdd,0x803fffff,0xffffffff,
    0x3fe2000f,0xfffa83ff,0x02ffffff,0xfffffe98,0xffffffff,0x7402ffff,
    0xffffffff,0xffff005f,0x05ffffff,0x3fffe600,0xfffff800,0x002fffff,
    0x7ffff440,0xffffffff,0xffff984f,0x07ffff33,0xffffffc8,0x3fa6007f,
    0xffffffff,0xffffffff,0x0cffffff,0xffffff80,0xfc8004ff,0xfffc86ff,
    0x004fffff,0x7fffffe4,0xffffffff,0xfffe800d,0x05ffffff,0xffffffd0,
    0x6c0005ff,0xfd004fff,0x5fffffff,0x3f220000,0xffffffff,0xfff303ff,
    0x3fffe67f,0x7ffec403,0x88007fff,0xffffffeb,0xffffffff,0x4002dfff,
    0xcfffffff,0xfff88000,0x7fffec2f,0x30006fff,0xffffffb9,0x40059dff,
    0xfffffffe,0xffb005ff,0x0017dfff,0x07fffc40,0xfffffd80,0x800000be,
    0xfffffed8,0x3fe600ce,0xffff33ff,0x3ff66007,0x440007ff,0xffffeecb,
    0x0bcdefff,0xfffff000,0xfa800019,0x7ffe45ff,0x0000acef,0x01575310,
    0x77776c00,0x004eeeee,0x000004c4,0x00013331,0x00000131,0x80013100,
    0x26609999,0x98800099,0x20000019,0x80000098,0x00000999,0x9880cccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66666640,0xaa880002,
    0xaaaaaaaa,0x66664c01,0x2a0000cc,0x0002aaaa,0x55531000,0x55555555,
    0x00155555,0x99999930,0x66400001,0x00003ccc,0x3ccccc80,0x00000000,
    0x666665c0,0xf9800002,0x0007ffff,0xffffff88,0xd803ffff,0x003fffff,
    0x1fffffe0,0xf9300000,0xffffffff,0xffffffff,0xffb0001f,0x00007fff,
    0x7fffffe4,0x32000002,0x02ffffff,0xdf000000,0x7fffcc07,0x800000ff,
    0x03fffffa,0x7fffc400,0x03ffffff,0x0fffffb0,0x7ffffc00,0x36000007,
    0xffffffff,0xffffffff,0x4000ffff,0x03fffff9,0x3ffea000,0x000fffff,
    0xffff9800,0x0000ffff,0x27fcc000,0x3ffffe60,0xf5000003,0x8000dfff,
    0xfffffff8,0x3a003fff,0x0003ffff,0x00ffffff,0x3fff6000,0xffffffff,
    0xffffffff,0x7ec000ff,0x00004fff,0x3fbfffe2,0x00005fff,0x7f7fff44,
    0x00005fff,0x00ffe400,0x037fffd4,0xfff70000,0x7c40005f,0xffffffff,
    0x3fa2003f,0xff0006ff,0x0000ffff,0xffffff70,0xffffffff,0xffffffff,
    0x7ffc4001,0x6c00005f,0xffb8ffff,0x200003ff,0xfb9ffffd,0x00003fff,
    0x801ffa00,0x002ffffa,0x3ffee000,0x4ccc0006,0x3fffffa9,0x7fff4400,
    0xffff8002,0x4400007f,0xffffffff,0xffffffff,0x0fffffff,0x17fff200,
    0xfff70000,0x7fffec5f,0xffa80001,0x3fff63ff,0x8000001f,0x5c005ff8,
    0x00006fff,0x00f77640,0xffff3000,0xdb10007f,0xfff0009d,0x80000fff,
    0xfffffffa,0x99dfffff,0x19effffb,0x02f76c00,0x3bb62000,0x7776c44e,
    0x76c40004,0x776c44ee,0x8000004e,0xb8002ffb,0x00001eee,0x30000000,
    0x007fffff,0x3fe00000,0x00007fff,0x7fffffe4,0x24ffffff,0x005ffffa,
    0x00000000,0x00000000,0x00000000,0x00001ffb,0xdca80000,0x00abdeee,
    0xffff3000,0x2aaaaa7f,0xaaa8001a,0x3ffe0aaa,0x002607ff,0xffffffd0,
    0x49ffffff,0xa85ffffa,0x001aaaaa,0x0aaaaaa8,0x03555555,0x55555500,
    0xdb950001,0x00157bdd,0xf9998000,0x5554006f,0x40000aaa,0xffffffd8,
    0x0dffffff,0x3ffe6000,0xffffd3ff,0xff88007f,0x3fe0ffff,0x3b227fff,
    0x802cefff,0xffffffff,0x2a4fffff,0xfe85ffff,0x4003ffff,0x0ffffff8,
    0x07fffffd,0xfffff880,0xffb1000f,0xffffffff,0x00001bff,0xfffffdb7,
    0xfff800bf,0x20002fff,0xfffffffa,0xffffffff,0xff30002f,0x3ffa7fff,
    0x44003fff,0x20ffffff,0xd37fffff,0xffffffff,0xffffe809,0xffffffff,
    0x17fffea4,0x0ffffffa,0xfffff100,0x3ffffa1f,0x7fc4003f,0xa800ffff,
    0xffffffff,0xffffffff,0xffd30002,0xffffffff,0x3ffe001b,0x88002fff,
    0xfffffffd,0xffffffff,0x4000dfff,0xd3fffff9,0x007fffff,0xffffff88,
    0x3fffffe0,0xfffffffb,0xb00effff,0xffffffff,0x7d49ffff,0xffe85fff,
    0x44003fff,0xd0ffffff,0x007fffff,0xffffff88,0x3fff6200,0xffffffff,
    0xdfffffff,0x3fff2000,0xffffffff,0xff802fff,0x4002ffff,0xffffffe8,
    0xffffffff,0x1fffffff,0x3fffe600,0xfffffd3f,0xfff88007,0x3ffe0fff,
    0xffffffff,0xffffffff,0xfffff905,0x9fffffff,0x42ffffd4,0x03fffffe,
    0x7ffffc40,0xfffffd0f,0xfff88007,0xfd100fff,0xffffffff,0xffffffff,
    0x9003ffff,0xffffffff,0xffffffff,0xfffff801,0x7fe4002f,0xefffffff,
    0xfffffdcc,0x2006ffff,0xd3fffff9,0x007fffff,0xffffff88,0x3fffffe0,
    0xfdbbcfff,0x82ffffff,0xfffffff8,0x2a4fffff,0xfe85ffff,0x4003ffff,
    0x0ffffff8,0x07fffffd,0xfffff880,0xffff900f,0x99dfffff,0xfffffffb,
    0xff980dff,0xdcdfffff,0x5fffffff,0x7fffffc0,0x3ffea002,0x201effff,
    0xffffffd8,0xfff3003f,0x3fffa7ff,0x7c4003ff,0x3e0fffff,0x1effffff,
    0xfffffe98,0xfffff706,0x49ffffff,0xe85ffffa,0x003fffff,0x7fffffc4,
    0x7fffffd0,0xffff8800,0xfffa80ff,0x201effff,0xffffffd8,0x3fff603f,
    0x3ffa0eff,0x01ffffff,0x0bfffffe,0x7ffffc40,0xf7000dff,0x01ffffff,
    0x7fffff30,0x0ffffffa,0xfffff100,0x7ffffc1f,0x3fe600ff,0xfd02ffff,
    0xffffffff,0x7fffd49f,0xfffffe85,0x7ffc4003,0xfffd0fff,0xf88007ff,
    0x440fffff,0xdfffffff,0xffff7000,0xff501fff,0x7c41ffff,0xfffffccf,
    0x3ffffe05,0xfff9002f,0x5000bfff,0x0bffffff,0x7fffff30,0x0ffffffa,
    0xfffff100,0x7ffffc1f,0xfffd804f,0x3fee04ff,0x4fffffff,0x217fffea,
    0x03fffffe,0x7ffffc40,0xfffffd0f,0xfff88007,0x7fe40fff,0x8005ffff,
    0x5ffffffa,0x4fffffc8,0x77cd7fdc,0x7ffc01ac,0xff002fff,0x001fffff,
    0x3fffffa0,0x7ffcc01f,0xffffd3ff,0xff88007f,0x3fe0ffff,0xa801ffff,
    0x405fffff,0xfffffdc9,0x3fffea4f,0xfffffe85,0x7ffc4003,0xfffd0fff,
    0xf88007ff,0x7c0fffff,0x00ffffff,0xfffffd00,0xffffd83f,0x007fec1f,
    0xffffff80,0xffff9802,0x2a0004ff,0x03ffffff,0x9fffffcc,0x03fffffe,
    0x7ffffc40,0x3ffffe0f,0xfff9800f,0x7ec006ff,0x3fea4fff,0xfffe85ff,
    0x7c4003ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x3fffffe6,0x3fea0004,
    0x7f43ffff,0x3e20ffff,0x3fe0005f,0xc802ffff,0x00ffffff,0x7ffff400,
    0x7ffcc04f,0xffffd3ff,0xff88007f,0x3fe0ffff,0xf1007fff,0x800fffff,
    0x2a4ffffc,0xfe85ffff,0x4003ffff,0x0ffffff8,0x07fffffd,0xfffff880,
    0x3ffff20f,0x740000ff,0x7c4fffff,0x7d47ffff,0x3fe0003f,0xd802ffff,
    0x006fffff,0xfffffc80,0x7fffcc05,0xfffffd3f,0xfff88007,0x3ffe0fff,
    0x3fe007ff,0x2000ffff,0x2a4ffffc,0xfe85ffff,0x4003ffff,0x0ffffff8,
    0x07fffffd,0xfffff880,0x3ffff60f,0xfc80006f,0x3e25ffff,0x7e47ffff,
    0x3fe0000f,0xe802ffff,0x005fffff,0xfffffb80,0x7fffcc06,0xfffffd3f,
    0xfff88007,0x3ffe0fff,0x3fe007ff,0x64007fff,0x3ea4ffff,0xffe85fff,
    0x44003fff,0xd0ffffff,0x007fffff,0xffffff88,0x3fffffa0,0xffb80005,
    0x3fe26fff,0x3fe0ffff,0x7ffc0006,0xff802fff,0x0004ffff,0x7fffffa8,
    0x7ffffcc0,0x7fffffd3,0xffff8800,0x3fffe0ff,0xff8800ff,0x64006fff,
    0x3ea4ffff,0xffe85fff,0x44003fff,0xd0ffffff,0x007fffff,0xffffff88,
    0x3fffffe0,0xffa80004,0x7ffc7fff,0x9ff31fff,0xffff8000,0xfff802ff,
    0x80003fff,0x1ffffff9,0x3ffffe60,0x7fffffd3,0xffff8800,0x3fffe0ff,
    0xff9802ff,0x64005fff,0x3ea4ffff,0xffe85fff,0x44003fff,0xd0ffffff,
    0x007fffff,0xffffff88,0x3fffffe0,0xff980003,0x3fa1ffff,0xff92ffff,
    0x801abb83,0x02ffffff,0x3ffffff8,0xfff98000,0x3e602fff,0xffd3ffff,
    0x88007fff,0x20ffffff,0x05ffffff,0x4fffffc8,0x7fffe400,0x17fffea4,
    0x0ffffffa,0xfffff100,0x3ffffa1f,0x7fc4003f,0x3fe0ffff,0x0003ffff,
    0xffffff98,0x3fffff62,0xfff0ffd5,0x3fe01dff,0xf802ffff,0x004fffff,
    0xfffffa80,0x3ffe600f,0xffffd3ff,0xff88007f,0x3fe0ffff,0x201fffff,
    0x3ffffff8,0x7fffe400,0x17fffea4,0x0ffffffa,0xfffff100,0x3ffffa1f,
    0x7fc4003f,0x3fe0ffff,0x0004ffff,0xffffffa8,0x3ffffea0,0x7d45ffaf,
    0x3e06ffff,0x802fffff,0x05fffffd,0xffffb800,0x7ffcc07f,0xffffd3ff,
    0xff88007f,0x3fe0ffff,0x81ffffff,0x6fffffe8,0xffffc800,0x17fffea4,
    0x0ffffffa,0xfffff100,0x3ffffa1f,0x7fc4003f,0x3f60ffff,0x0005ffff,
    0x7fffffb8,0xfffffff8,0x3ffe62ff,0x3fe02fff,0xc802ffff,0x006fffff,
    0xfffffc80,0x7fffcc06,0xfffffb3f,0xfff88007,0x3ffe0fff,0xbdffffff,
    0xfffffeb9,0xffc8002f,0x3ffea4ff,0xffffd85f,0x7fc4003f,0xffb0ffff,
    0x88007fff,0x20ffffff,0x06fffffc,0xffffc800,0xffffb86f,0xfecbffff,
    0x00ffffff,0x0bfffffe,0x3ffffee0,0xffd80007,0x7cc05fff,0xffb3ffff,
    0x98007fff,0x20ffffff,0xffffffff,0xffffffff,0x90006fff,0x7d49ffff,
    0xffd85fff,0x4c003fff,0xb0ffffff,0x007fffff,0xffffff98,0x3ffffee0,
    0xffd80007,0xffb05fff,0xffffffff,0x05ffffff,0x2ffffff8,0xfffffa80,
    0x3e20002f,0x404fffff,0xb3fffff9,0x009fffff,0xffffff98,0x3fffffe0,
    0xfffffffc,0x001fffff,0x49ffff90,0xd85ffffa,0x004fffff,0x7fffffcc,
    0x9fffffb0,0xffff9800,0x3ffea0ff,0x20002fff,0x4ffffff8,0xffffff10,
    0xffffffff,0xffff007f,0xff1005ff,0x000dffff,0x7fffffe4,0x7fffcc02,
    0xfffff93f,0xfffa800b,0x7fffc7ff,0xfffff57f,0x001bffff,0x27fffe40,
    0x90bffff5,0x00bfffff,0x7fffffa8,0x17fffff2,0xfffff500,0xfffff88f,
    0x3f20006f,0x202fffff,0xffffffd8,0x03ffffff,0x5ffffff0,0x3ffffa00,
    0xf88002ff,0x00ffffff,0x9fffffcc,0x0ffffffb,0x3ffff200,0x7ffffc6f,
    0x3ffffa67,0xc80004ef,0x3ea4ffff,0xffb85fff,0x2000ffff,0x26fffffc,
    0x0ffffffb,0x3ffff200,0xffffe86f,0xf88002ff,0x00ffffff,0xffffffa8,
    0x2000cfff,0x02ffffff,0xffffff30,0x7ec4003f,0x803fffff,0x53fffff9,
    0x0bffffff,0x3ffffe20,0x7ffffc5f,0x00155307,0x7fffe400,0x17fffea4,
    0x3fffffea,0xffff1005,0x7ffd4bff,0xf1005fff,0x30bfffff,0x3fffffff,
    0x7ffec400,0xf3003fff,0x013575bf,0x3ffffe00,0x3ff2002f,0x803fffff,
    0xffffffe9,0xffff3006,0x3fffe27f,0xfd802fff,0x7c3fffff,0x0007ffff,
    0x7ffe4000,0x3fffea4f,0xfffff885,0xffd802ff,0x3e23ffff,0x02ffffff,
    0xffffffd8,0xfffff903,0xfd3007ff,0x00dfffff,0x0000ffe4,0x5ffffff0,
    0x7fffc400,0x21adffff,0xfffffca8,0xf3001fff,0x7e47ffff,0x1cffffff,
    0xfffffda8,0xfffff87f,0x40000007,0x2a4ffffc,0xf905ffff,0x39ffffff,
    0xfffffb50,0xffff90ff,0xb5039fff,0x0fffffff,0x7fffffc4,0x2a21adff,
    0xfffffffc,0x1ffa001f,0xffff0000,0xfb8005ff,0xffffffff,0xffffffff,
    0x005fffff,0x8fffffe6,0xfffffff8,0xffffffff,0x83ffffff,0x007fffff,
    0x7fe40000,0x3ffea4ff,0xffff105f,0xffffffff,0xffffffff,0xffff107f,
    0xffffffff,0xffffffff,0xfffb807f,0xffffffff,0xffffffff,0x26005fff,
    0x400004ff,0x02ffffff,0xfffffc80,0xffffffff,0xdfffffff,0xddddd100,
    0xc87fffff,0xffffffff,0xffffffff,0xfff07fff,0x00000fff,0x4ffffc80,
    0x817fffea,0xfffffffc,0xffffffff,0x3207ffff,0xffffffff,0xffffffff,
    0xf9007fff,0xffffffff,0xffffffff,0x4001bfff,0x00002ffb,0x17fffffc,
    0xfffe9800,0xffffffff,0x02ffffff,0x7fffffc4,0xfb83ffff,0xffffffff,
    0xffffffff,0xfffff01e,0x8000000f,0x2a4ffffc,0x5c05ffff,0xffffffff,
    0xffffffff,0x7fdc01ef,0xffffffff,0xefffffff,0x3ffa6001,0xffffffff,
    0x2fffffff,0x007fd800,0xfffff800,0x7e40002f,0xffffffff,0x00dfffff,
    0xffffff88,0xd303ffff,0xffffffff,0x09ffffff,0x07fffff8,0x7e400000,
    0x3fea4fff,0xfe9805ff,0xffffffff,0x004fffff,0x3fffffa6,0xffffffff,
    0x3f20004f,0xffffffff,0x00dfffff,0x005ff880,0xfffff800,0xc980002f,
    0xfffffffd,0x22002cef,0xffffffff,0x3b2203ff,0xffffffff,0xff801dff,
    0x00007fff,0x7fffe400,0x17fffea4,0x7fff6440,0xdfffffff,0xfec88001,
    0xffffffff,0x980001df,0xffffffdc,0x0002ceff,0x0000bfea,0x3fffffe0,
    0x98800002,0x20000aba,0xeeeeeee8,0x51002eee,0x03557755,0x4ccccc80,
    0x54000000,0x3262cccc,0x88003ccc,0x1aabbaaa,0x2aa20000,0x001aabba,
    0x5d4c4000,0x4c00000a,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ea20000,
    0x00abceed,0x664c0000,0x0000cccc,0x33333200,0x9800002c,0x001ccccc,
    0x6664c000,0x00000ccc,0x1666665c,0x1ccccca8,0x99993000,0x2e000039,
    0x002ccccc,0x81555550,0x000aaaa9,0x3fffff20,0x0dffffff,0xffb00000,
    0x00009fff,0x7ffffcc0,0x4400000e,0x0ffffffe,0x7e400000,0x0004ffff,
    0x3ffffe60,0xffff880e,0xe88006ff,0x00efffff,0xffff9800,0xfff0007f,
    0xfffd83ff,0xfe98002f,0xffffffff,0x003fffff,0x7fffc400,0x4000004f,
    0x00effffd,0xfffc8000,0x0005ffff,0xffffc800,0xfb00000f,0x3a01dfff,
    0x4fffffff,0x7fffec00,0x00005fff,0x07fffff5,0x3fffff00,0x02ffffd8,
    0x7ffffdc0,0xffffffff,0x000effff,0xbffff900,0xf9800000,0x0000ffff,
    0xeffffa80,0x0003ffff,0xffffd800,0xff980003,0xff700fff,0x3ffffdff,
    0x3fffea00,0x002ffffe,0xdffff500,0xfffff000,0x2ffffd83,0x3ffffa00,
    0xffffffff,0x6fffffff,0xfff88000,0x8000005f,0x001ffffd,0xffff8800,
    0x01ffffd5,0xffb00000,0xf90000ff,0x3e603fff,0xfff8cfff,0x7fc400ef,
    0xfffe8dff,0xf700000f,0xf8005fff,0x7ec1ffff,0xf7002fff,0xdfffffff,
    0xffffd99b,0x0009ffff,0x006fffb8,0xfff88000,0xb000001f,0x3e21ffff,
    0x00006fff,0x3fffe880,0x3ffe2000,0x3fffa01f,0x13fffe66,0x21ffffd0,
    0x005ffff8,0x1bffee00,0x1ddddb00,0x02eeeec8,0xffffff88,0xffb300df,
    0x003fffff,0x006f76c0,0x775c0000,0x5000002e,0xea85dddd,0x00002eee,
    0x05eed880,0x0bbbaa00,0x41eeeeb8,0x501eeeeb,0xea83dddd,0x00002eee,
    0x0007bbb2,0x7e400000,0x003fffff,0x9ffffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55540000,0x4c000aaa,
    0x03ffffff,0x7fffff40,0x2aaa0007,0x20002aaa,0xaaaaaaaa,0xaaaaaaaa,
    0x0aaaaaaa,0x2aaaa000,0x000002aa,0x2aaaaaa0,0x55540002,0x55400aaa,
    0x5500aaaa,0x55555555,0x55555555,0x54155555,0xaaaaaaaa,0xaaaaaaaa,
    0x00aaaaaa,0x0bfffffe,0xfffffd00,0xffb8001f,0x8000bdff,0xfffffff8,
    0xfffd0001,0xffffffff,0xffffffff,0x20007fff,0xfffffff8,0x88000001,
    0x1fffffff,0x3fffe000,0x7ffc02ff,0xffd02fff,0xffffffff,0xffffffff,
    0x7f47ffff,0xffffffff,0xffffffff,0x203fffff,0x02ffffff,0x7fffffc0,
    0x0ac88003,0xfffb8000,0x0005ffff,0xfffffffd,0xffffffff,0x7fffffff,
    0x3ffee000,0x0005ffff,0xffffb800,0x20005fff,0x02ffffff,0x17fffffc,
    0xffffffe8,0xffffffff,0xffffffff,0x3fffffa3,0xffffffff,0xffffffff,
    0x3fffe03f,0x3e2002ff,0x000fffff,0xfe800000,0x0fffffff,0xffffe800,
    0xffffffff,0xffffffff,0xfd0003ff,0x1fffffff,0xfe800000,0x0fffffff,
    0xfffff000,0xffff805f,0xfffd02ff,0xffffffff,0xffffffff,0x7ff47fff,
    0xffffffff,0xffffffff,0x3e03ffff,0x002fffff,0x1fffffea,0x20000000,
    0xfffffff9,0xfe8003ff,0xffffffff,0xffffffff,0x003fffff,0xffffff98,
    0x00003fff,0x3ffffe60,0x0003ffff,0x05ffffff,0x2ffffff8,0xffffffd0,
    0xffffffff,0xffffffff,0x7fffff47,0xffffffff,0xffffffff,0x3fffe03f,
    0x3ee002ff,0x0006ffff,0xffc80000,0x6fffffff,0xffffe800,0xffffffff,
    0xffffffff,0xfc8003ff,0xffffffff,0x32000006,0xffffffff,0xfff0006f,
    0xff805fff,0xfd02ffff,0xffffffff,0xffffffff,0x747fffff,0xffffffff,
    0xffffffff,0x03ffffff,0x0bfffffe,0xfffffc80,0x00000006,0x7fffffc4,
    0x001fffff,0x1ffffff4,0x44000000,0xffffffff,0x00001fff,0xffffff88,
    0x001fffff,0x2ffffff8,0x7fffffc0,0xfffffd02,0xfe800007,0x0003ffff,
    0x7ffffc00,0x3ff6002f,0x00005fff,0x7ffd4000,0xffffffff,0x7fff4005,
    0x000003ff,0xfffffa80,0x05ffffff,0xfffa8000,0xffffffff,0xffff8005,
    0x7ffc02ff,0xffd02fff,0x00007fff,0x3fffffe8,0x7fc00000,0x2002ffff,
    0x04fffffe,0x74000000,0xffcfffff,0x2000ffff,0x03fffffe,0xfe800000,
    0xfffcffff,0x00000fff,0x67fffff4,0x00ffffff,0x7fffffc0,0x7ffffc02,
    0xffffd02f,0xe800007f,0x003fffff,0x7fffc000,0x3f6002ff,0x0005ffff,
    0x3fe60000,0xfffd7fff,0x7f4007ff,0x0003ffff,0x7ffcc000,0xffffd7ff,
    0x4c00007f,0xfd7fffff,0x8007ffff,0x02ffffff,0x17fffffc,0x3fffffe8,
    0x7ff40000,0x00003fff,0x7fffffc0,0x3fff2002,0x000006ff,0x3ffff200,
    0xfffff74f,0x7fff400d,0x000003ff,0x7ffffe40,0xdfffff74,0x7fe40000,
    0xfff74fff,0xff800dff,0x7c02ffff,0xd02fffff,0x007fffff,0xffffe800,
    0x4000003f,0x02ffffff,0x3ffffee0,0x00000007,0x47fffffe,0x1ffffff8,
    0xfffffd00,0x80000007,0x11ffffff,0x03ffffff,0x3fffe000,0xffff11ff,
    0x7fc003ff,0x7c02ffff,0xd02fffff,0x007fffff,0xffffe800,0x4000003f,
    0x02ffffff,0x3ffffea0,0x002a0007,0x7ffffd40,0x7ffffec6,0xffffd005,
    0x3333339f,0x33333333,0xfffa8003,0x7ffec6ff,0xa80005ff,0x6c6fffff,
    0x005fffff,0x0bfffffe,0x5ffffff0,0x3fffffa0,0x9999999c,0x19999999,
    0xcfffffe8,0x99999999,0x01999999,0x2ffffff8,0x3fffe200,0xf88001ff,
    0x36001bef,0x543fffff,0x00ffffff,0xffffffe8,0xffffffff,0x1fffffff,
    0x3ffff600,0x7fffd43f,0x6c0000ff,0x543fffff,0x00ffffff,0x5ffffff0,
    0xffffff80,0xfffffd02,0xffffffff,0xffffffff,0xfffffe83,0xffffffff,
    0xffffffff,0x7ffffc01,0x7ffc002f,0xa8005fff,0x01efffff,0x7fffffc4,
    0x7ffffc40,0xfffe803f,0xffffffff,0xffffffff,0xff1001ff,0xf881ffff,
    0x003fffff,0x3ffffe20,0x7fffc40f,0xfff003ff,0xff805fff,0xfd02ffff,
    0xffffffff,0xffffffff,0xfe83ffff,0xffffffff,0xffffffff,0x7c01ffff,
    0x002fffff,0x7fffffec,0x7fff4001,0xffb807ff,0xffb05fff,0xfd00dfff,
    0xffffffff,0xffffffff,0x2003ffff,0x05fffffb,0x0dfffffb,0x7fffdc00,
    0xffffb05f,0x3ffe00df,0x7fc02fff,0xfd02ffff,0xffffffff,0xffffffff,
    0xfe83ffff,0xffffffff,0xffffffff,0x7c01ffff,0x002fffff,0x7fffffc4,
    0x3fff2005,0xfe803fff,0xf502ffff,0x803fffff,0xfffffffe,0xffffffff,
    0x01ffffff,0x5fffffd0,0x3ffffea0,0xffd0001f,0x3ea05fff,0x801fffff,
    0x02ffffff,0x17fffffc,0xffffffe8,0xffffffff,0x1fffffff,0x7ffffff4,
    0xffffffff,0x1fffffff,0x7fffffc0,0xfffb8002,0x5400efff,0x0fffffff,
    0x7ffffcc0,0x3fffe00f,0x7ff405ff,0xffffffff,0xffffffff,0xf9801fff,
    0x200fffff,0x05ffffff,0xfffff980,0x3fffe00f,0xfff805ff,0x7fc02fff,
    0xfd02ffff,0xffffffff,0xffffffff,0xfe83ffff,0xffffffff,0xffffffff,
    0x7c01ffff,0x002fffff,0xffffffd0,0x7ecc437f,0x05ffffff,0x5fffffc8,
    0x7ffffe40,0x3fffa00f,0x99999cff,0x99999999,0xfff90019,0xffc80bff,
    0x4000ffff,0x05fffffc,0x7fffffe4,0x7ffffc00,0x7fffc02f,0xfffd02ff,
    0x333339ff,0x33333333,0xffffd033,0x3333339f,0x33333333,0xfffff003,
    0x3ea0005f,0xffffffff,0xffffffff,0x4400efff,0xacffffff,0xfcaaaaaa,
    0x203fffff,0x03fffffe,0x7fc40000,0xaaacffff,0xfffcaaaa,0x22003fff,
    0xacffffff,0xfcaaaaaa,0x403fffff,0x02ffffff,0x17fffffc,0x3fffffe8,
    0x7ff40000,0x00003fff,0x7fffffc0,0x3fee0002,0xffffffff,0xffffffff,
    0xfffb800f,0xffffffff,0xffffffff,0x3ffa06ff,0x00003fff,0x7ffffdc0,
    0xffffffff,0xffffffff,0x3ffee006,0xffffffff,0xffffffff,0x7ffc06ff,
    0x7fc02fff,0xfd02ffff,0x0007ffff,0xfffffe80,0x7c000003,0x002fffff,
    0x7ffff4c0,0xffffffff,0xd001ffff,0xffffffff,0xffffffff,0x03ffffff,
    0x0ffffffa,0xffd00000,0xffffffff,0xffffffff,0x2003ffff,0xfffffffe,
    0xffffffff,0x1fffffff,0x3fffffe0,0x7ffffc02,0xffffd02f,0xe800007f,
    0x003fffff,0x7fffc000,0x900002ff,0xffffffff,0x019fffff,0x3ffffe60,
    0xffffffff,0xffffffff,0xfffd05ff,0x000007ff,0x7fffffcc,0xffffffff,
    0xffffffff,0xfff9805f,0xffffffff,0xffffffff,0x3e05ffff,0x402fffff,
    0x02ffffff,0x07fffffd,0xfffe8000,0x000003ff,0x17fffffc,0xfd950000,
    0x9fffffff,0xfffc8001,0xffffffff,0xffffffff,0xe80fffff,0x003fffff,
    0x3fff2000,0xffffffff,0xffffffff,0x400fffff,0xfffffffc,0xffffffff,
    0xffffffff,0xfffff00f,0xffff805f,0xfffd02ff,0x800007ff,0x03fffffe,
    0x7ffc0000,0x00002fff,0xcfffca88,0x3ffe0000,0xeeeeefff,0xeeeeeeee,
    0x83ffffff,0x03fffffe,0x3ffe0000,0xeeeeefff,0xeeeeeeee,0x03ffffff,
    0x77fffffc,0xeeeeeeee,0xffffeeee,0xffff03ff,0xfff805ff,0xffd02fff,
    0x00007fff,0x3fffffe8,0x7fc00000,0x0002ffff,0xfffffc80,0xfa8001ef,
    0x000fffff,0x6fffffe8,0x3fffffe8,0xff500000,0x0001ffff,0x0dfffffd,
    0x7fffffd4,0xfffe8000,0xffff06ff,0xfff805ff,0xffd02fff,0x00007fff,
    0x3fffffe8,0x7fc00000,0x0002ffff,0xffdcdd80,0x6c000fff,0x005fffff,
    0xffffff70,0xfffffe83,0x9999999c,0x99999999,0xffffd819,0xff70005f,
    0x3603ffff,0x005fffff,0xffffff70,0xffffff03,0xfffff805,0xffffd02f,
    0x3333339f,0x33333333,0x7fff4333,0x99999cff,0x99999999,0x3fe01999,
    0x0002ffff,0x7fffd000,0x7fffc400,0xf10002ff,0xe8bfffff,0xffffffff,
    0xffffffff,0x47ffffff,0x2ffffff8,0xffff1000,0xfff10bff,0x20005fff,
    0x5ffffff8,0x2ffffff8,0x7fffffc0,0xfffffd02,0xffffffff,0xffffffff,
    0x7ffff4ff,0xffffffff,0xffffffff,0x3ffe07ff,0x00002fff,0x09fff900,
    0x7ffffdc0,0x7fec0007,0x3fa0ffff,0xffffffff,0xffffffff,0x5c7fffff,
    0x007fffff,0x7ffffec0,0x7fffdc0f,0x7ec0007f,0x7c0fffff,0x402fffff,
    0x02ffffff,0xfffffffd,0xffffffff,0xffffffff,0x7ffffff4,0xffffffff,
    0xffffffff,0x3ffffe07,0x8000002f,0x002ffff9,0x13fffffa,0xffff5000,
    0x7fff47ff,0xffffffff,0xffffffff,0x7ff47fff,0x40004fff,0x3ffffffa,
    0x27fffff4,0x3ffea000,0x7ffc3fff,0x7fc02fff,0xfd02ffff,0xffffffff,
    0xffffffff,0x74ffffff,0xffffffff,0xffffffff,0x07ffffff,0x0bfffffe,
    0xceee8000,0x06fffffd,0x3ffffe60,0xff80001f,0x3fa6ffff,0xffffffff,
    0xffffffff,0x267fffff,0x01ffffff,0xfffff800,0x3fffe66f,0xf80001ff,
    0x7c6fffff,0x402fffff,0x02ffffff,0xfffffffd,0xffffffff,0xffffffff,
    0x7ffffff4,0xffffffff,0xffffffff,0x3ffffe07,0x3e00002f,0xffffffff,
    0x3ff6000c,0x00006fff,0x3ffffff9,0x3ffffffa,0xffffffff,0xffffffff,
    0x3fffff67,0xff900006,0x3f63ffff,0x0006ffff,0xffffff90,0x7fffffc3,
    0x7ffffc02,0xffffd02f,0xffffffff,0xffffffff,0x7fff4fff,0xffffffff,
    0xffffffff,0x00007fff,0x7f764000,0x0000bdef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0d555440,0x00aaaaa2,0x015cc000,0x88000997,0x5441aaaa,
    0x00002aaa,0x99999950,0xab980000,0x00199500,0x20d55544,0x002aaaa8,
    0x05555540,0x006aaaa6,0x06ee2000,0x70016644,0x005ddddd,0x45ffffa8,
    0x007ffff9,0x7fff5400,0x1bfe61cf,0xffff7000,0x7ffff98b,0xffd00000,
    0x00003fff,0x37ffffa6,0x00fff10a,0x45ffffa8,0x007ffff9,0x17fffec0,
    0x013ffff2,0xffff9000,0x1ffe417d,0xfffff900,0xfffa8007,0x7fffcc5f,
    0x3e200007,0xffffffff,0x0005fffe,0x22ffffdc,0x007ffff9,0xffffa800,
    0xf100002f,0xffffffff,0x800ffffd,0x4c5ffffa,0x0007ffff,0x217fffec,
    0x004ffffc,0x3fffee00,0xffeeffff,0x3ff2002f,0x54003fff,0x7cc5ffff,
    0x00007fff,0x3ffffff2,0x3fffffff,0x7ffdc000,0x7fffcc5f,0xfe800007,
    0x00003fff,0x3fffffea,0x4fffffff,0x7fffd400,0x3ffffcc5,0x3fff6000,
    0x7fffe42f,0x3fe00004,0xffffffff,0x2000ffff,0x03fffffc,0x2ffffd40,
    0x01ffffe6,0x8bffd800,0xfffffeb9,0xffb80005,0x7ffcc5ff,0x5400007f,
    0x0003ffff,0x4c67fdc0,0xefffffdb,0x7ffd4000,0x7fffcc5f,0x7fec0007,
    0x7ffe42ff,0xf100004f,0xff9513ff,0x8007ffff,0x03fffffc,0x27777540,
    0x017bbba2,0x80eec800,0x0001cdb9,0x89dddd50,0x005eeee9,0x27ffec00,
    0x775c0000,0x01ddb881,0x9dddd500,0x05eeee88,0x77776400,0x1f7775c1,
    0x4ee88000,0x0017b950,0x7fffff90,0x00000000,0x00000000,0x00000000,
    0x4eee8800,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccccc40,
    0x372a0000,0x00abdeee,0x6e540000,0x00abdeee,0xaaaaaa80,0xaaaa8001,
    0x000000aa,0x55553000,0x55300035,0x2aaa1555,0xaaaaaaaa,0xaaaaaaaa,
    0x0000aaaa,0x0aaaaaaa,0xaa800000,0x0002aaaa,0xfd880000,0xffffffff,
    0x0000dfff,0xfffffb10,0xbfffffff,0x3fffa001,0x7c4003ff,0x2a0fffff,
    0x01aaaaaa,0x2aaaaa00,0xffffb0aa,0xffb000df,0x3ffa1fff,0xffffffff,
    0xffffffff,0x0003ffff,0xfffffff1,0x10000003,0x3fffffff,0x66644000,
    0x7ffd4000,0xffffffff,0x002fffff,0x7ffffd40,0xffffffff,0xfe802fff,
    0x4003ffff,0x0ffffff8,0x3fffffee,0xfff70006,0x7fecbfff,0x4004ffff,
    0xd0fffffd,0xffffffff,0xffffffff,0x07ffffff,0x3fffee00,0x00005fff,
    0xfffffb80,0x2a0005ff,0xb1001fff,0xffffffff,0xffffffff,0x88001bff,
    0xfffffffd,0xffffffff,0x3a00dfff,0x003fffff,0x7fffffc4,0x7fffff40,
    0x7fc4003f,0x360fffff,0x1fffffff,0x3ffff600,0xfffffd0f,0xffffffff,
    0xffffffff,0x3fa0007f,0x0fffffff,0x7f400000,0x0fffffff,0x5fff7000,
    0xffffd100,0xffffffff,0xffffffff,0x3fa2003f,0xffffffff,0xffffffff,
    0xfd01ffff,0x8007ffff,0x0ffffff8,0x7fffffcc,0x3ff6000f,0x7ec3ffff,
    0x05ffffff,0x3fffff60,0xffffffd0,0xffffffff,0xffffffff,0xfff30007,
    0x07ffffff,0x7fcc0000,0x3fffffff,0x5fff9000,0xfffff900,0xb99dffff,
    0xffffffff,0x3ff200df,0xefffffff,0xfffffdcc,0xfd06ffff,0x8007ffff,
    0x0ffffff8,0xffffffc8,0xffff3004,0xfffb0dff,0x005fffff,0x43fffff6,
    0xfffffffe,0xffffffff,0x3fffffff,0xffffc800,0x006fffff,0x3fff2000,
    0x06ffffff,0x07fff900,0xffffffa8,0x3f6201ef,0x03ffffff,0x7fffffd4,
    0x3f6201ef,0x83ffffff,0x03fffffe,0x7ffffc40,0xfffe880f,0xfe801fff,
    0xd81fffff,0xffffffff,0xfffd800f,0xffffd0ff,0x0000007f,0xffffff10,
    0x003fffff,0xffff1000,0x3fffffff,0x9fffb000,0x7ffffc40,0xf7000dff,
    0x01ffffff,0x3fffffe2,0xff7000df,0xe81fffff,0x003fffff,0x7fffffc4,
    0xfffff500,0xfffa80df,0xffb04fff,0x9fffffff,0xfffffb00,0x3fffffa1,
    0x80000003,0xfffffffa,0x0005ffff,0xfffffa80,0x05ffffff,0x05fffe80,
    0x3ffffff2,0xfffa8005,0xff905fff,0x000bffff,0xbffffff5,0x3fffffe8,
    0x7fffc400,0x3ff600ff,0xf103ffff,0x40dfffff,0xfffffffd,0x7ec01fff,
    0xffd0ffff,0x00007fff,0xffffd000,0xffffff9f,0xfe800001,0xfffcffff,
    0x7c000fff,0x3fe06fff,0x000fffff,0xffffffd0,0xffffff03,0x3fa0001f,
    0x3a1fffff,0x003fffff,0x7fffffc4,0x3fffe200,0xffc80fff,0x3602ffff,
    0xffffffff,0x7fec06ff,0xfffd0fff,0x000007ff,0xfffff980,0x7fffffd7,
    0x7fcc0000,0xfffd7fff,0xff8007ff,0xfff306ff,0x40009fff,0x3ffffffa,
    0x7fffffcc,0x3fea0004,0x3fa3ffff,0x4003ffff,0x0ffffff8,0x7ffffdc0,
    0x7fffc44f,0x7fec05ff,0xffffffff,0x3fff603f,0xffffd0ff,0x0000007f,
    0x4fffffc8,0x0dfffff7,0x7ffe4000,0xffff74ff,0x7fc400df,0xfff907ff,
    0x80001fff,0x44fffffe,0x0ffffffc,0x7fff4000,0x3fffa4ff,0x7c4003ff,
    0x800fffff,0x1ffffffe,0x3ffffff6,0x7fffec00,0xffffffff,0xfffffb00,
    0x3fffffa1,0x40000003,0x11ffffff,0x03ffffff,0x3fffe000,0xffff11ff,
    0x3e6003ff,0xfd80ffff,0x0006ffff,0x5fffffc8,0x37ffffec,0x7ffe4000,
    0x3fffa5ff,0x7c4003ff,0x800fffff,0x6ffffff9,0x5ffffff5,0xfffffb00,
    0xbffffff5,0x3fffff60,0x9fffffd0,0x33333333,0x03333333,0xfffffa80,
    0x7ffffec6,0xffa80005,0x7fec6fff,0xf5005fff,0xfd03ffff,0x000bffff,
    0xdfffff70,0x5fffffe8,0xfffb8000,0x3fffa6ff,0x7c4003ff,0x000fffff,
    0x5ffffff9,0x0bfffffd,0x3fffff60,0xffffffc8,0xfffffd81,0xffffffd0,
    0xffffffff,0x3fffffff,0x7fffec00,0x7fffd43f,0x6c0000ff,0x543fffff,
    0x00ffffff,0x1fffffb8,0x4ffffff8,0xfffa8000,0x7fffc7ff,0xa80004ff,
    0x3a7fffff,0x003fffff,0x7fffffc4,0x3fffa000,0xffffffff,0xfffb000f,
    0xffff11ff,0xfffb0dff,0x3fffa1ff,0xffffffff,0xffffffff,0xff1001ff,
    0xf881ffff,0x003fffff,0x3ffffe20,0x7fffc40f,0xffb803ff,0xfff82fff,
    0x80003fff,0x1ffffff9,0x0ffffffe,0x3ffe6000,0xfffd1fff,0xf88007ff,
    0x000fffff,0x3fffffe6,0x003fffff,0x43fffff6,0x3ffffffa,0x87ffffec,
    0xfffffffe,0xffffffff,0x01ffffff,0xbfffff70,0x3fffff60,0x3fee0006,
    0xffb05fff,0xf900dfff,0xff07ffff,0x0007ffff,0xffffff30,0x7fffffc5,
    0xff980003,0xffd2ffff,0x88007fff,0x00ffffff,0x7ffffec0,0x4006ffff,
    0x20fffffd,0x0ffffffd,0x43fffff6,0xfffffffe,0xffffffff,0x01ffffff,
    0x5fffffd0,0x3ffffea0,0xffd0001f,0x3ea05fff,0x401fffff,0x84fffffd,
    0x04ffffff,0xffffa800,0x3fffe0ff,0xa80004ff,0xd0ffffff,0x007fffff,
    0xffffff88,0x7ffc4000,0x01ffffff,0x7ffffec0,0x3ffffe60,0x3ffff65f,
    0xfffffd0f,0xffffffff,0xffffffff,0xffff3003,0x7ffc01ff,0x98005fff,
    0x00ffffff,0x17fffffe,0xbfffffd0,0xbfffffb0,0xfff70000,0xfffd8fff,
    0xb80005ff,0x3a7fffff,0x003fffff,0x7fffffc4,0xfffa8000,0x8004ffff,
    0x40fffffd,0x2ffffffc,0x21fffffb,0x9cfffffe,0x99999999,0x00199999,
    0x0bfffff9,0xffffffc8,0x7ffe4000,0x7fe405ff,0x3a00ffff,0xc85fffff,
    0x006fffff,0xfffffc80,0x7ffffe46,0xffc80006,0x3ff66fff,0x44003fff,
    0x00ffffff,0xfffffb00,0xffb0001f,0xffd01fff,0x3ff6dfff,0xfffd0fff,
    0x000007ff,0xffffff88,0xaaaaaaac,0x3ffffffc,0x3fffe200,0xaaaaacff,
    0xfffffcaa,0x3fffa03f,0xfffb85ff,0xd80007ff,0x5c5fffff,0x007fffff,
    0xfffffd80,0x3fffff65,0x7ffcc003,0x90000fff,0x00bfffff,0x3fffff60,
    0xfffffa80,0xfffffdcf,0x7fffffd0,0xfb800000,0xffffffff,0xffffffff,
    0x2006ffff,0xfffffffb,0xffffffff,0x06ffffff,0x17fffffa,0x3fffffea,
    0x3fe20002,0x7d44ffff,0x002fffff,0x3ffffe20,0x3ffff64f,0x7fcc004f,
    0x0000ffff,0x0bfffff9,0x3ffff600,0xffffb00f,0xfffffdff,0x3fffffa1,
    0x74000003,0xffffffff,0xffffffff,0x01ffffff,0xffffffd0,0xffffffff,
    0xffffffff,0x3ffffa03,0xffff885f,0x320006ff,0x42ffffff,0x6ffffff8,
    0x3fff2000,0x3ff22fff,0x54005fff,0x007fffff,0x3fffff20,0xfffb0005,
    0x3fe201ff,0xffffffff,0xffffd0ff,0x4000007f,0xfffffff9,0xffffffff,
    0xffffffff,0xffff9805,0xffffffff,0xffffffff,0xffd05fff,0x3fa0bfff,
    0x002fffff,0xffffff88,0xffffe80f,0xf88002ff,0x20ffffff,0x0ffffffb,
    0x3ffff200,0x3f20006f,0x0005ffff,0x01fffffb,0x7fffffdc,0xfd0fffff,
    0x0007ffff,0x7fffe400,0xffffffff,0xffffffff,0x6400ffff,0xffffffff,
    0xffffffff,0xffffffff,0xfffffe80,0xfffff305,0x6c4003ff,0x03ffffff,
    0xfffffff3,0x7fec4003,0x7d43ffff,0x005fffff,0xbffffff1,0x7ffe4000,
    0xfb0005ff,0xe801ffff,0xffffffff,0xffffd0ff,0x4000007f,0xeeffffff,
    0xeeeeeeee,0xfffffeee,0x7fffc03f,0xeeeeeeff,0xfeeeeeee,0xc83fffff,
    0x204eeeee,0xfffffffc,0xfffe9803,0x7e406fff,0x03ffffff,0xfffffe98,
    0xffff886f,0xfd802fff,0x003fffff,0x3fffff20,0xfffb0005,0xff9801ff,
    0xffffffff,0x7fffffd0,0x3ea00000,0x000fffff,0x6fffffe8,0x3ffffea0,
    0xffe8000f,0x00006fff,0xfffffff1,0x654435bf,0xffffffff,0x7fffc401,
    0x21adffff,0xfffffca8,0xff901fff,0x039fffff,0xffffffb5,0xffc8000f,
    0xb0005fff,0x001fffff,0xfffffff9,0x3fffa1ff,0x99999cff,0x99999999,
    0xffd81999,0x70005fff,0x03ffffff,0x17fffff6,0x7fffdc00,0x700001ff,
    0xffffffff,0xffffffff,0x0bffffff,0x3ffffee0,0xffffffff,0xffffffff,
    0x3ffe205f,0xffffffff,0xffffffff,0x640003ff,0x005fffff,0x1fffffb0,
    0xfffff100,0x3fa1ffff,0xffffffff,0xffffffff,0x447fffff,0x02ffffff,
    0xfffff100,0xffff10bf,0x220005ff,0x05ffffff,0x3fff2000,0xffffffff,
    0xffffffff,0x3f2000df,0xffffffff,0xffffffff,0x6400dfff,0xffffffff,
    0xffffffff,0x80007fff,0x05fffffc,0xfffffb00,0x3ffea001,0xfd0fffff,
    0xffffffff,0xffffffff,0xb8ffffff,0x007fffff,0x7ffffec0,0x7fffdc0f,
    0x7ec0007f,0x000fffff,0x3fffa600,0xffffffff,0x02ffffff,0xffffd300,
    0xffffffff,0x005fffff,0x7fffffdc,0xffffffff,0x0001efff,0x5fffffc8,
    0xffffb000,0x7fec001f,0xfd0fffff,0xffffffff,0xffffffff,0xe8ffffff,
    0x004fffff,0x7ffffd40,0x7ffff43f,0x7d40004f,0x003fffff,0xffffc800,
    0xffffffff,0x80000dff,0xfffffffc,0xdfffffff,0xffe98000,0xffffffff,
    0x0004ffff,0x3fffff20,0xfffb0005,0x7cc001ff,0xd0ffffff,0xffffffff,
    0xffffffff,0x4fffffff,0x1ffffff9,0xffff8000,0x3ffe66ff,0x80001fff,
    0x06ffffff,0xfb930000,0xdfffffff,0x98000059,0xffffffdc,0x0002ceff,
    0x7ffff644,0x1dffffff,0x7fe40000,0xb0005fff,0x001fffff,0xffffffc8,
    0xffffffd0,0xffffffff,0xffffffff,0x7ffffecf,0xff900006,0x3f63ffff,
    0x0006ffff,0xffffff90,0x10000003,0x00015753,0xba988000,0x2000000a,
    0xaabbaaa8,0x32000001,0x005fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09ff7000,0x37300000,0x88000000,
    0xabdeecba,0x00000001,0x00055000,0x40000000,0x02ceedb8,0x0bfff900,
    0x01f76c00,0x01bdd300,0x00031000,0x013fee00,0xffe98000,0x000001ef,
    0x7fffffe4,0x0dffffff,0x75100000,0x1579bdd9,0x000ffea0,0xeffedc98,
    0x40000bcd,0xfffffffa,0x3fe2001e,0xf90001ff,0x740009ff,0x2a0004ff,
    0x0bdfffed,0x017bbbae,0x39dffd73,0xffd00000,0x0000dffb,0x3ffffa60,
    0xffffffff,0x00003fff,0x3ffffff2,0x0cffffff,0x013fffe6,0xffffeb88,
    0xcfffffff,0xfffb8001,0x0fffffff,0x0bfff900,0xffff9100,0x3fea0009,
    0xffb0000f,0x3fffffff,0x41fffff2,0xfffffffb,0x00003fff,0x3fe21ff3,
    0x7e400001,0xffffffff,0xffffffff,0x260000ef,0xfffffffe,0xffffffff,
    0x1fffff9c,0xfffff700,0xffffffff,0x4001bfff,0xfecfffff,0xf8804fff,
    0x22001fff,0x4ffffffc,0x07ffd000,0xffffd300,0x5fffffff,0x88fffff9,
    0xfffffffd,0x00dfffff,0x322fe400,0xd100004f,0xffffffff,0xffffffff,
    0x003fffff,0xffffff90,0xffffffff,0xffffffff,0xffb1005f,0x3357bfff,
    0xfffff975,0xfff7003f,0x7fffe43f,0x2fffe400,0x3ffffe00,0xb8004fff,
    0xfd0006ff,0xffffffff,0xfffdffff,0xffffd8ff,0xffffffff,0x4c0005ff,
    0x0017fc7f,0xfffffc80,0xdcceffff,0xffffffff,0x3fa2006f,0xffffffff,
    0xffffffff,0x03ffffff,0xcffffe98,0xfffb5000,0xfffd807f,0x17fffcc6,
    0x03ffff10,0xfdefff80,0x7c4004ff,0xfa8002ff,0xbcffffff,0xffffffdb,
    0x3ffea7ff,0xffffffff,0x003fffff,0x7fe7ff40,0xff300007,0x03dfffff,
    0x7ffffec4,0xff9003ff,0xbfffffff,0xffffd979,0x009fffff,0x01bfffd1,
    0x3fffee00,0x17fffa02,0x407ffff1,0x8005fffc,0x9fff72ef,0x05ffc800,
    0xfffffd00,0xfffd301d,0x7ffcffff,0xcffbcfff,0x06fffffc,0x3fffe200,
    0x80001fff,0xdffffffe,0xffff7000,0xf9801fff,0x1effffff,0x3ffff620,
    0xfd804fff,0x980003ff,0xff00fffe,0xfff889ff,0xffff104f,0xfb830003,
    0x3e6004ff,0xfb8001ff,0x200fffff,0x7ffffff8,0x27fffff3,0xfff94ffb,
    0x2e0003ff,0x5fffffff,0x7ffdc000,0xb8005fff,0x05ffffff,0x7ffffff4,
    0x3fff6005,0x2e00ffff,0x26663fff,0x00999999,0x7c1bffe2,0xfff84fff,
    0xbfff905f,0x3fee0000,0x3ff6004f,0xfff90004,0xff9009ff,0x3feaffff,
    0x9ff70fff,0x07bfffe6,0x7ffff400,0x0000ffff,0x3ffffffe,0xfffd0000,
    0x3ee03fff,0x004fffff,0x3fffffee,0xfff104ff,0x7ffffccb,0x03efffff,
    0xff07fff3,0xfff889ff,0xffff884f,0xff700001,0x3fea009f,0xffb0000f,
    0xf3003fff,0x3f2fffff,0x3fee5fff,0x20000664,0xfffffff9,0xf30003ff,
    0x009fffff,0x7ffffd40,0xffff883f,0xf5000fff,0xffffffff,0x1fff701f,
    0x7fffffcc,0x04ffffff,0xffd0fff9,0xffff88bf,0x05fffc83,0x3ffee000,
    0x07ffd004,0x7ffff400,0xfff8800f,0xffff77ff,0x0027fdcf,0x7fffe400,
    0x006fffff,0xffffff50,0xffe80001,0xff984fff,0x3004ffff,0xffffffff,
    0xfff07fff,0xbcfff987,0xffffeccc,0x42fff882,0x7d47fffd,0x7fc42fff,
    0x200001ff,0xb804fffb,0x7c0006ff,0x2007ffff,0xf57fffff,0x3ee5ffff,
    0x4400004f,0xffffffff,0xb8001fff,0x007fffff,0xfffffd80,0xfffffa85,
    0xfff8800f,0xffffe9ff,0x07ffd44f,0x5c0bffe6,0xff904fff,0x3ffffa8b,
    0x81ffffd1,0x0005fffc,0x027ffdc0,0x000bffe2,0x7fffff88,0x3ffffe00,
    0xffffff37,0x0009ff77,0xfffffa80,0x05ffffff,0xfffffc80,0xffb80006,
    0xffb86fff,0xe8806fff,0xff92ffff,0xffd8dfff,0x02fff985,0x7cc1bffe,
    0x7fff40ff,0x3fffffff,0x00ffffc4,0x3ffee000,0x037fe404,0x3fffe200,
    0xff8800ff,0x3ffa7fff,0x4fffffff,0x7ff40000,0xffffcfff,0x7f4000ff,
    0x0005ffff,0x7fffffa8,0x5fffffd8,0x7ffff440,0x3ffffea2,0x4c1fff47,
    0x3fe02fff,0x07ffe04f,0xfffffff3,0xfff90dff,0xf700000b,0x7fc409ff,
    0xff80001f,0x9801ffff,0x2a7fffff,0xffffffff,0x300002ef,0x3affffff,
    0x003fffff,0x1ffffffc,0x7ffcc000,0x7ff41fff,0x7ec04fff,0x7fd43fff,
    0x3fe0ffff,0x2fff981f,0x403fff90,0xfe882ffe,0x884fffff,0x0001ffff,
    0x04fffb80,0x00017ff6,0x17fffff4,0x7ffffdc0,0x7fffff47,0x1cffffff,
    0x3fff2000,0xffff74ff,0xfff800df,0x80003fff,0x1ffffff9,0x1ffffffc,
    0x09ffffb0,0x3ffffff3,0x7cc07ffc,0xfeeeeeff,0x7ec06fff,0x2f2a603f,
    0xbfff900a,0x0004cc40,0x4c06aaa2,0x4cc00fff,0x7fffec01,0xfffe806f,
    0x7fec47ff,0xffffffff,0xff0004ff,0x3e23ffff,0x001fffff,0x13fffffa,
    0x3ffea000,0x7ffc1fff,0xff903fff,0x3fe60bff,0xff11ffff,0xffff301f,
    0xbfffffff,0x04ffc801,0xffff8800,0xffffea81,0x7400002e,0xffd504ff,
    0xf301bfff,0x407fffff,0x7ffffffc,0xffffff90,0x1dffffff,0x7fffd400,
    0x7fffec6f,0x3ff6005f,0x80005fff,0x0ffffffb,0x27fffffc,0x037fffdc,
    0x1ffffff5,0x7cc0fffc,0xffffffff,0x7ffb000d,0xfff90000,0xfffffb0b,
    0x0000bfff,0x3203ffea,0xffffffff,0xffffe81f,0x3f660cff,0x07ffffff,
    0x3fffff22,0x06ffffff,0x3fffff60,0x7ffffd43,0xfff9000f,0x90000dff,
    0x81ffffff,0x45fffffe,0x00effffa,0x1fffffee,0xff305fff,0xfffb515f,
    0x0bffa00b,0xffff1000,0xfffffb83,0x003fffff,0xa83ffe80,0xffefffff,
    0xfffa86ff,0xffffffff,0xffffffff,0xffff9007,0x07ffffff,0xffffff10,
    0xfffff881,0xfff7003f,0xb0000fff,0xb0ffffff,0x4cffffff,0x400fffff,
    0x46fffffc,0xff983ffd,0x27ffe42f,0x000fffc0,0x117fff20,0xd53dffff,
    0x0001ffff,0xfd837fdc,0x3ffe24ff,0xffffc81f,0xffffffff,0x07fffffd,
    0xffdbff70,0x700fffff,0x20bfffff,0x06fffffd,0xffffff50,0xf100b803,
    0x90bfffff,0x11ffffff,0x003fffff,0x8bfffffb,0xff986ffc,0x1fffe82f,
    0x003ffea0,0x1ffff880,0x50ffffdc,0x0007ffff,0x7c0bffe2,0x7fec1fff,
    0xffff902f,0x29ffffff,0x007fffff,0x3fea9ff7,0x7400ffff,0x502fffff,
    0x03ffffff,0xffffff10,0x067fcc0b,0x3ffffff2,0xfffffa83,0x2ffffeaf,
    0xffffff00,0x41fff989,0xfa82fff9,0x3ff606ff,0x7fe40005,0x7fffc85f,
    0x004ffff8,0x100bff90,0x03ffff03,0x7fffffdc,0x3fffe3ff,0x9ff7007f,
    0x0fffffdc,0xffffff30,0x7ffffc01,0xfffd005f,0x3f603fff,0xff88cfff,
    0x880fffff,0xffffffff,0xf7002fff,0xd05fffff,0xfff989ff,0x05fffb02,
    0x0003fff1,0x40ffffc4,0xff86fffd,0xf88005ff,0xf90001ff,0x95100dff,
    0xff817bdd,0x54c46fff,0xf893fee0,0x3202ffff,0x405fffff,0x0ffffffc,
    0xfffff980,0x7ffc40ef,0xfffeffff,0x3f604fff,0xffffffff,0xffff1003,
    0xff701fff,0x17ffcc3f,0x40ffff98,0x40006ffd,0xfd05fffc,0xfffd0dff,
    0x9ffb000d,0x3fff6000,0x2200001f,0xfaefffff,0x3ee3ffff,0x7ffff44f,
    0xfffff101,0x5555559f,0xffffff95,0x3fff2007,0x74c1efff,0xffffffff,
    0x7cc06fff,0x4fffffff,0x3ffff200,0xfff103ff,0x0bffe61d,0x2e4fffd8,
    0x20002fff,0xd01ffff8,0xffd0dfff,0xff9800df,0x7f44000f,0x9a883fff,
    0x7ffcc000,0xffff8dff,0x993fee6f,0x700fffff,0xffffffff,0xffffffff,
    0x00dfffff,0x3fffffe2,0x7fcc1bff,0xffffffff,0xffffd802,0xd8800fff,
    0x06ffffff,0x332fffcc,0x4ccc4013,0x00bfff31,0x05fffc80,0x3e1bfff6,
    0x74005fff,0x7cc003ff,0xf502ffff,0x805ddfff,0xd4fffffa,0x2e5fffff,
    0x3fff24ff,0x3fffa07f,0xffffffff,0xffffffff,0xf7001fff,0xffffffff,
    0xfffffddf,0x00bfffff,0x3fffffe6,0xfd5103ff,0x03ffffff,0x01dfff90,
    0xefffb800,0x3fe20000,0x3ff201ff,0x4ffff87f,0x01ffea00,0x3fffff50,
    0x7ffffc40,0xfff300ff,0x3ff25fff,0xffbbffff,0x9fffff54,0x3ffffe60,
    0xffffffff,0xffffffff,0x3f2005ff,0xffffffff,0xffffffff,0x803fffff,
    0xfffffffb,0xfeddefff,0xffffffff,0x3fff6004,0xfd88002f,0x40001fff,
    0x5c05fffc,0x3ea1ffff,0x3e003fff,0x3ea002ff,0xf800efff,0xdfffffff,
    0xffffedbb,0x3ffe26ff,0xdfffffff,0x0ffffffe,0xffffff90,0xffffffff,
    0xffffffff,0x74c001ff,0xffffffff,0xffffffff,0x02efffff,0xfffffff5,
    0xffffffff,0xffffffff,0xffd8001b,0xc9802eff,0x001effff,0x0ffffc40,
    0x57ffffc0,0x00fffffb,0x400dff70,0xabfffff9,0x7d40aaaa,0xffffffff,
    0xffffffff,0x7fffd41f,0xffffffff,0x3e03ffff,0xeeefffff,0xeeeeeeee,
    0xffffffee,0xfffc8003,0xffffffff,0xffffffff,0x3e61efff,0xffffffff,
    0xffffffff,0x02ffffff,0x3fffee00,0xdcbbceff,0x0dfffffe,0xfffc8000,
    0xffff7006,0x07ffffff,0x007ffe20,0xffffffc8,0xc83fffff,0xffffffff,
    0xffffffff,0xfffff904,0xffffffff,0x7ffd409f,0xe8000fff,0x006fffff,
    0xfffdb930,0x55bfffff,0xffffffff,0x3ffffe21,0xfffffc89,0xffffffff,
    0x980000df,0xfffffffe,0xffffffff,0xff100003,0x7e4003ff,0x4fffffff,
    0x017ff200,0xfffffff0,0x207fffff,0xfffffffb,0x2effffff,0x7ffffdc0,
    0x2fffffff,0x7ffffec0,0xfff70005,0x00003fff,0x206aaea6,0x4fffffd8,
    0x10bfffe6,0xfffffff9,0x00059dff,0xffff9300,0x5bffffff,0xffc80000,
    0xfda8006f,0x2002efff,0x2000fff9,0xeeeeeee9,0x402eeeee,0xfffffeda,
    0x22003def,0xfffffffd,0x7fc400be,0x0002ffff,0xbffffff1,0x20000000,
    0x440ffffa,0xaa9803fe,0x000000ab,0x66e654c0,0x000000ab,0x00013333,
    0x31000188,0x00000013,0x00066000,0x0dffd980,0x3fffee00,0x7ec0007f,
    0x000fffff,0x3ae00000,0x00007103,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0x7f4004ff,0x0004ffff,0x7fffffd4,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0x7ffcc009,0x80001fff,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09ff7000,0x7ffffec0,0xff900006,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00035530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2cddca80,
    0x3eec8000,0x0fbb6000,0x0dee9800,0x00000000,0xec980000,0x03100002,
    0x40000998,0x7fc00019,0x7fec1fff,0xfe8803ff,0x0003ffff,0x7ffffec0,
    0x7ec40002,0x01efffff,0x01fff500,0x13fff200,0x04ffe800,0xdb930000,
    0x0179bdff,0xfffb0000,0x260003ff,0x5c0bfffd,0x6dc004ff,0x2dfffffe,
    0x7ffffc00,0x1ffffec1,0xfffff880,0x3ee00007,0x00ffffff,0x3ffff600,
    0x000fffff,0x8003ffe8,0x04ffffc8,0x01fff500,0x7f5c4000,0xffffffff,
    0x00001cff,0xbfd79ff3,0xffff5000,0xff79dfff,0x3fa6007f,0xffffffff,
    0xfff002ef,0xfffd83ff,0x3fe6003f,0x80002fff,0xfffffff9,0xff30005f,
    0xfffd77df,0x6ffb8009,0x7ffe4400,0xd0004fff,0x400007ff,0xfffffffb,
    0xffffffff,0x640000df,0x003fe24f,0xffffffd0,0x3fffffff,0xfffff900,
    0xffffffff,0xffff005f,0xffffd83f,0x7ffcc003,0xfe80006f,0xffffceff,
    0xfffc8003,0x01bffea1,0x002fff88,0x7ffffffc,0xffb8004f,0xfb100006,
    0x359bffff,0xffff9753,0x740003ff,0x000ffc3f,0x3f6f3ffe,0x05ffffff,
    0xffffffc8,0xffffffff,0x7ffc01ff,0x7ffec1ff,0xffa8003f,0x320002ff,
    0xffb1ffff,0x260001ff,0x027ffe42,0x000dff90,0xfffbdfff,0xfff88009,
    0xfe980002,0x5000cfff,0x007ffffd,0x7dc3bee0,0x2ffc4006,0x0177fe4c,
    0x7fffffc4,0xffffdcdf,0x4cc06fff,0x99988199,0xff500009,0x3ea000df,
    0x3fe23fff,0x440006ff,0x00efffed,0x003fff10,0x3fee5df0,0x7fe4004f,
    0xfe880005,0x70000dff,0x0005ffff,0x7ffffff1,0x00133000,0x7fffec00,
    0xfffa81ef,0x00002fff,0x55540000,0x55550002,0x15555305,0x7ffcc000,
    0x3f6000ff,0xb830005f,0x26004fff,0x80001fff,0x0003fffd,0x00fffe98,
    0x3fffd980,0x00000000,0x1ffffff5,0x7ffffec0,0x00000005,0x00000000,
    0xff700000,0x3001dfff,0x00001fff,0x8013ffee,0x80004ffd,0x4c03fffb,
    0xf100accb,0x44000dff,0x98800002,0x3f200099,0x4c04ffff,0x0009acef,
    0x0004ccc4,0x01333100,0x4ccc4000,0x54c00000,0x00ffffc9,0x00027ff4,
    0x009fff70,0x0003ffea,0x20bfff10,0xffffffd8,0x7fff504f,0x13331000,
    0x7f644000,0x3dffffff,0x7ffffec0,0x91000001,0xfffffffd,0xec88007b,
    0xdfffffff,0x7f644003,0x3dffffff,0xffd80000,0x3ffea02f,0x3ee00000,
    0xffd004ff,0xff700007,0xffff501f,0x0bffffff,0x2201fff2,0xffffffec,
    0x3f6003df,0xffffffff,0xfd00efff,0x0003ffff,0xfffffb00,0xdfffffff,
    0xffffb001,0xffffffff,0xfffb001d,0xffffffff,0x554001df,0x4fffc84c,
    0x000fffa0,0x09fff700,0x000dff70,0x220fffe0,0xdabdffff,0xf884ffff,
    0x3ff602ff,0xffffffff,0x7ec00eff,0xffffffff,0x80efffff,0x00ffffff,
    0x7ffec000,0xffffffff,0x3600efff,0xffffffff,0x0effffff,0x3fffff60,
    0xffffffff,0xffd000ef,0x3fffe85f,0x000dff70,0x09fff700,0x002fff88,
    0x80fffa80,0xf884fffd,0xffc80fff,0xfffffb05,0xffffffff,0x3ff201df,
    0xffffffff,0x46ffffff,0x07fffff8,0x7ffe4000,0xffffffff,0x906fffff,
    0xffffffff,0xffffffff,0x3ffff20d,0xffffffff,0x9006ffff,0xfd79ffff,
    0xff103fff,0x7000005f,0xfc809fff,0xfb00006f,0x1bffe0bf,0x982dffa8,
    0x7fe40fff,0xffffffff,0x86ffffff,0xeffffff8,0xffffcaac,0x7ffc1fff,
    0x00000fff,0xdffffff1,0xffff9559,0xff883fff,0xaaceffff,0xfffffffc,
    0x7ffffc41,0xffcaacef,0x001fffff,0xfffffffd,0x3ff205ff,0xf7000005,
    0x7fc409ff,0xfd00001f,0x5fff305f,0xfff80180,0x3ffffe21,0xffcaacef,
    0x5c1fffff,0x205fffff,0x42ffffff,0x01fffffe,0xffff7000,0x7fffc0bf,
    0x7ffdc2ff,0x3ffe05ff,0x7fdc2fff,0x3fe05fff,0x1002ffff,0xdffffffb,
    0x07ffe205,0x7fdc0000,0x17ff604f,0x1fff8000,0x000fffa8,0x2e2ffe80,
    0x205fffff,0x42ffffff,0x00ffecb9,0x0ffffff2,0x05fffffb,0x26035770,
    0x200ffecb,0x43fffffc,0x00ffecb9,0x0ffffff2,0x01ffd973,0x1fffffe4,
    0x2f32e600,0x027fec02,0x1002aa98,0x3e603555,0x553000ff,0x203ffe05,
    0x00007ffc,0x65cc7ffb,0x3f200ffe,0x0803ffff,0x7ffffd40,0x7ffffe43,
    0xfffff805,0x2a00400e,0x803fffff,0x7fffd400,0x5400803f,0x003fffff,
    0x7ffcc000,0x6fff9800,0x7ff40000,0xdfff1004,0xb01fff10,0x20000fff,
    0x00404ffc,0x0fffffea,0xffeb8800,0x7fd44fff,0x2a00ffff,0x006fffff,
    0x3fffae20,0x220004ff,0x4fffffeb,0x3fae2000,0x0004ffff,0x01fff400,
    0x037fff44,0x1fff5000,0xdfffd100,0x3603ffe0,0xb00007ff,0x220007ff,
    0x4fffffeb,0x3ff6e600,0x4fffffff,0xefffffe8,0xfffff981,0x36e6003f,
    0xffffffff,0x36e6004f,0xffffffff,0x36e6004f,0xffffffff,0x2000004f,
    0xfb006ffa,0x0000dfff,0xd801fff4,0xff06ffff,0x1fff703f,0xffe80080,
    0xffb73002,0x9fffffff,0x7fff5c40,0xffffffff,0xfffa84ff,0xebbdffff,
    0x0fffffff,0x3fffae20,0xffffffff,0x3ae204ff,0xffffffff,0x204fffff,
    0xfffffeb8,0xffffffff,0x3e000004,0xffc802ff,0x00006fff,0x3200dff7,
    0xb06fffff,0xfff507ff,0x056fcc05,0x7101fff8,0xfffffffd,0x09ffffff,
    0x3fffffee,0xffffffff,0xfffb04ff,0xffffffff,0x405fffff,0xfffffffb,
    0xffffffff,0xffff704f,0xffffffff,0x2e09ffff,0xffffffff,0xffffffff,
    0xf7000004,0xfff500df,0x0000dfff,0x5005fff1,0x0dffffff,0x3e217ff2,
    0x3ff606ff,0x0fffa82f,0xffffffb8,0xffffffff,0xfffb84ff,0xacefffff,
    0x04fffffa,0xffffffd1,0xffffffff,0x7fffdc07,0xaaceffff,0xb84fffff,
    0xffffffff,0xffffaace,0xffffb84f,0xaaceffff,0x004fffff,0x1fff8800,
    0x7dfffcc0,0xc80006ff,0xff9805ff,0x306fffbf,0xff703fff,0xdfff70bf,
    0x2e17ff60,0xffffffff,0xffffaace,0x7fffdc4f,0x7cc0adff,0x5c04ffff,
    0xffffffff,0x2e03ffff,0xadffffff,0x7ffffcc0,0x7ffffdc4,0x7fcc0adf,
    0x7fdc4fff,0x40adffff,0x04fffff9,0x5ffc8000,0xfafff440,0x440006ff,
    0x74401fff,0x0dfff5ff,0xfe827ff4,0xfffdceff,0xfff982ff,0x7ffffdc1,
    0x7fcc0adf,0x7ff44fff,0x3ea03fff,0x9804ffff,0xfffffffd,0x7ff400cf,
    0x3ea03fff,0x7f44ffff,0x2a03ffff,0x744fffff,0x203fffff,0x04fffffa,
    0x7ffcc000,0xf37ff400,0xd8000dff,0xffd804ff,0xb81bffe6,0xfe881fff,
    0xffffffff,0xd0dffb03,0x407fffff,0x24fffffa,0x06fffff8,0x27ffffd4,
    0xdffd7100,0x3ffe2007,0x7fd406ff,0x3fe24fff,0x7d406fff,0x3e24ffff,
    0x5406ffff,0x004fffff,0x027fec00,0xff83fff2,0x3e60006f,0x7fe400ff,
    0x81bffe0f,0x700efff8,0x5dffffff,0x10bffee0,0x80dfffff,0x24fffffa,
    0x05fffffa,0x27ffffec,0xfffffb00,0xffa801df,0x7ec05fff,0x3ea4ffff,
    0x6c05ffff,0x2a4fffff,0x405fffff,0x04fffffd,0x3ffea000,0x33ffee00,
    0xaefffaaa,0x3ffe8002,0x567ffd40,0x2aefffaa,0x80bfff30,0x2a01aba9,
    0xffa85fff,0x7ec05fff,0x3e64ffff,0x700fffff,0x09ffffff,0x7fee6f40,
    0x7fcc06ff,0xf700ffff,0x4c9fffff,0x00ffffff,0x9ffffff7,0x7fffffcc,
    0xfffff700,0x7400009f,0x7fe403ff,0xffffffff,0x2a000fff,0xffc807ff,
    0xffffffff,0xff900fff,0xb80001df,0xf980efff,0x700fffff,0x49ffffff,
    0xdffffff8,0x3ffff261,0x20004fff,0x201ffff8,0xdffffff8,0x3ffff261,
    0x3fe24fff,0x261dffff,0xfffffffc,0x3ffffe24,0x3ff261df,0x004fffff,
    0x00dff700,0xfffffff9,0x01ffffff,0x4017ffc0,0xfffffffc,0x00ffffff,
    0x00bffff6,0x3ffff620,0xfffff101,0x7fe4c3bf,0x744fffff,0xefffffff,
    0xffffffff,0x6c0005ff,0x7f402fff,0xfeffffff,0xffffffff,0x7ffff45f,
    0xffffefff,0x45ffffff,0xfffffffe,0xfffffffe,0x80005fff,0xb802fff8,
    0xfeeeeeee,0x000eefff,0x2e00dff7,0xfeeeeeee,0x400eefff,0x0beffffd,
    0x7fffecc0,0x7fff401e,0xfffeffff,0x5fffffff,0x7fffffcc,0xeeffffff,
    0x0007ffff,0x01ffff51,0xffffff98,0xeeffffff,0x7cc7ffff,0xffffffff,
    0xfffeefff,0x7fffcc7f,0xffffffff,0x07ffffee,0x05ffc800,0x0dfff000,
    0x01fff880,0x0dfff000,0xfffffb80,0xedcbcdef,0x00dfffff,0xffffff98,
    0xeeffffff,0xfb87ffff,0xffffffff,0xfffff74f,0x67774405,0x04fffffe,
    0xffffff70,0x3ee9ffff,0x7dc2ffff,0xffffffff,0xfffff74f,0xfffffb85,
    0xf74fffff,0x0005ffff,0x000fffc4,0x006fff80,0x0002ffe4,0x000dfff0,
    0xffffffd3,0xffffffff,0xffb8007f,0xffffffff,0x5fffff74,0xfffffb10,
    0x7ffcc5df,0x3fe605ff,0x4fffffff,0x7ffec400,0x3e62efff,0xd885ffff,
    0x2effffff,0x17ffffe6,0x3fffff62,0x3ffe62ef,0x360005ff,0x200004ff,
    0x26004eed,0x00000fff,0x80017bb6,0xffffffc9,0x002dffff,0x3ffff620,
    0x3fe62eff,0x26205fff,0x200001ba,0xceffeed8,0x2620000b,0x200001ba,
    0x0001ba98,0x006ea620,0x99980000,0x00000000,0x00009988,0x98000000,
    0x0abcdcca,0x2a620000,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff98000,0x00001fff,0x03555553,0x7cc00006,
    0x001fffff,0x67776e4c,0x6400001c,0x004fffff,0x33006200,0xffff8001,
    0x7fffec1f,0xff880003,0x8003ffff,0x0ffffff8,0x7fffc400,0x1fffff87,
    0x15555550,0xfffffa80,0x3f600005,0x3aa3ffff,0xffb00007,0x54005fff,
    0xfffffffe,0x80001dff,0xfffffff9,0x7e440001,0x7fcc1cff,0x7fffc006,
    0x7fffec1f,0xffb80003,0xb0004fff,0x0dffffff,0x7ffff880,0x01fffff8,
    0x05ffffff,0x3fffff50,0x7fdc0000,0xfffedfff,0x7fc40002,0x2e003fff,
    0xffffffff,0x002fffff,0x3ffffa20,0x0000efff,0xfffffff1,0x0bffd79f,
    0x1fffff80,0x01ffffec,0x7ffffc00,0xfff70004,0x007fffff,0x43ffffc4,
    0xf01fffff,0x005fffff,0x013fffee,0xffff5000,0x00039fff,0x07ffff90,
    0x7ffffd40,0xffffffff,0xfb0000ff,0xffff7fff,0x3ff2000b,0xffffffff,
    0x7c003fff,0x7ec1ffff,0x40003fff,0x005ffffa,0xbbffff10,0x2003ffff,
    0xf87ffff8,0xff01ffff,0x4005ffff,0x000ffffb,0x3fff2200,0x100005ff,
    0x8009ffff,0xfffffffe,0xfffffffe,0xfffa8004,0x5ffff93f,0x5bffb000,
    0xffffffd9,0xffff000f,0xffffd83f,0x7ff40003,0x3fa0005f,0xfff88eff,
    0xfff1006f,0xfffff0ff,0x3ffffe03,0x7fe4002f,0xc880004f,0xffffffff,
    0xffc80004,0x7fd4005f,0x3a62ffff,0x006fffff,0x22ffffc4,0x000ffffd,
    0x764c3ff4,0x330003ef,0x33310333,0x7d400013,0x90000eff,0x7cc3ffff,
    0x33004fff,0x33330333,0x7ffffc03,0xaaa8002f,0x7fdc0002,0xffffabff,
    0x5540003f,0xffc8002a,0xffa84fff,0x4c007fff,0x5440aaaa,0x44001aaa,
    0x00000009,0x98000000,0x20000aaa,0xa982aaaa,0x000002aa,0xffffff00,
    0x00000005,0x7e43efb8,0x0002ffff,0x3ff60000,0xff881fff,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe00,0x0098002f,
    0x74051000,0x000fffff,0x740004c0,0xa80fffff,0x003fffff,0x00013100,
    0x00098800,0x004c4000,0x99988000,0x04c00000,0x00980000,0xffffff80,
    0xffec9802,0x0001cdff,0x26f36e62,0x05fffff9,0x7fff64c0,0xfe801cdf,
    0xffd07fff,0x20001fff,0xefffffc9,0x4c0001bd,0xdefffffc,0x64c0001b,
    0xbdefffff,0xfd910001,0x7bffffff,0xffd93000,0x00039bff,0x3ffffb26,
    0xfff801cd,0x7e402fff,0xffffffff,0xffb8004f,0xfedfffff,0x9001ffff,
    0xffffffff,0xfff809ff,0xfff987ff,0xd88006ff,0xffffffff,0x88003fff,
    0xfffffffd,0x8003ffff,0xffffffd8,0x003fffff,0x7fffffec,0x0effffff,
    0xfffff900,0x009fffff,0xffffffc8,0x7c04ffff,0x102fffff,0xfffffffd,
    0x01dfffff,0xfffffb10,0xffffffff,0xfe880dff,0xffffffff,0xff00efff,
    0xffb0ffff,0xa8005fff,0xffffffff,0x1effffff,0xfffff500,0xffffffff,
    0x3ea003df,0xffffffff,0x01efffff,0xffffffd8,0xffffffff,0x3ffa200e,
    0xffffffff,0x74400eff,0xffffffff,0xf00effff,0x205fffff,0xfffffffe,
    0xffffffff,0x3fffe200,0xffffffff,0x02ffffff,0x3ffffffa,0xffffffff,
    0xfffff80f,0x7ffffc47,0x7ffd4006,0xffffffff,0x01ffffff,0x7fffffd4,
    0xffffffff,0x7d401fff,0xffffffff,0xffffffff,0x3ffff201,0xffffffff,
    0x3a06ffff,0xffffffff,0x0fffffff,0x3fffffa0,0xffffffff,0xffff80ff,
    0xfffb82ff,0xfcabdfff,0x203fffff,0xfffffffd,0xffffffff,0xff705fff,
    0x957bffff,0x07ffffff,0xc8ffffff,0x003fffff,0x3fffffe2,0xfffedeff,
    0x2206ffff,0xffffffff,0xfffffede,0x3fe206ff,0xdeffffff,0xfffffffe,
    0xfffff106,0xff9559df,0x703fffff,0x7bffffff,0xffffff95,0x3fffee07,
    0xffcabdff,0xff83ffff,0x7c42ffff,0x882fffff,0x80fffffe,0xfffffffa,
    0xffff730a,0xf881ffff,0x882fffff,0x40fffffe,0x747fffff,0x004fffff,
    0x3ffffff6,0x7ffec40d,0xffb03fff,0x881bffff,0x3ffffffd,0xffffffb0,
    0xfffd881b,0xffb83fff,0x3fe05fff,0x7c42ffff,0x882fffff,0x40fffffe,
    0x2ffffff8,0xfffffe88,0x7fffffc0,0x7ffffec2,0x3fffe603,0x7fffc43f,
    0xff300eff,0xd85fffff,0x203fffff,0x43fffff9,0x747fffff,0x00efffff,
    0xffffff88,0x7fffe404,0x7ffc40ff,0x7e404fff,0x440fffff,0x04ffffff,
    0x7fffffe4,0x7ff65cc0,0x3ffff200,0x7fffec3f,0x3ffe603f,0x7ffec3ff,
    0x3fe603ff,0x7ffc3fff,0x7ffc2fff,0xffd807ff,0x7ffdc7ff,0x7d400fff,
    0x7c5fffff,0xd807ffff,0x7fc7ffff,0x7fdc7fff,0xb805ffff,0x006fffff,
    0x87ffffff,0x06fffffb,0x7ffffff0,0x6fffffb8,0xffffff00,0xfa801007,
    0x7fc3ffff,0xfd807fff,0x7ffc7fff,0xffd807ff,0x7fffc7ff,0x3ffe22ff,
    0xffb806ff,0x3ff20fff,0xfb004fff,0x7c4dffff,0xb806ffff,0x3e0fffff,
    0x7c47ffff,0x05ffffff,0x17fffff4,0xfffffb80,0x7fffff45,0xffff7002,
    0xffffe8bf,0xfff7002f,0x44000bff,0x4fffffeb,0x1bffffe2,0x3ffffee0,
    0xdfffff10,0xfffff700,0x7fffffc1,0x3ffffe62,0xaaaaaaae,0x1fffffca,
    0x0bfffffa,0x7ffffd40,0x3ffffe67,0xaaaaaaae,0x1fffffca,0x21fffffe,
    0xfffffffa,0x3ffffe05,0xfff3001f,0xffff8dff,0xff3001ff,0xfff8dfff,
    0xf3001fff,0x400dffff,0xfffffdb9,0x3e64ffff,0xaaaeffff,0xffcaaaaa,
    0xfff31fff,0x55555dff,0xffff9555,0x7ffffc3f,0x3fffea2f,0xffffffff,
    0xffffffff,0x3fffffe2,0xffff3001,0x7fffd4ff,0xffffffff,0xffffffff,
    0x1fffffe2,0x7fffffdc,0xffff884f,0xff1000ff,0x7fc4ffff,0x1000ffff,
    0x44ffffff,0x00ffffff,0xffffff10,0x7fff5c40,0xffffffff,0x3ffea4ff,
    0xffffffff,0xffffffff,0xfffff52f,0xffffffff,0x5fffffff,0x17fffffc,
    0xfffffff9,0xffffffff,0x225fffff,0x00ffffff,0xffffff10,0x3fffff21,
    0xffffffff,0x2fffffff,0x81fffffe,0xfffffffc,0x7ffffcc3,0x7fffc007,
    0xffff30ff,0xfff800ff,0xfff30fff,0xff800fff,0xfb80ffff,0xffffffff,
    0x4fffffff,0x3ffffff2,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,
    0x7fc5ffff,0x3ee2ffff,0xffffffff,0xffffffff,0x3ffe3fff,0xf1000fff,
    0x7dcfffff,0xffffffff,0xffffffff,0x3ffe3fff,0x7fe407ff,0x220fffff,
    0x007fffff,0x9fffffe2,0x07fffff8,0x3ffffe20,0x3ffffe27,0x3ffe2007,
    0xfffb87ff,0xacefffff,0x24fffffa,0xfffffffb,0xffffffff,0xf73fffff,
    0xffffffff,0xffffffff,0x7ffc7fff,0x3fea2fff,0xaaaadfff,0xaaaaaaaa,
    0x3fffa1aa,0xff5001ff,0x7fd4dfff,0xaaaadfff,0xaaaaaaaa,0x3fffe1aa,
    0xfffb807f,0x7ffc4fff,0xf3000fff,0xff8dffff,0x3000ffff,0xf8dfffff,
    0x000fffff,0x8dfffff3,0xdffffffb,0x7fffcc0a,0x3fffea4f,0xaaaaaadf,
    0xaaaaaaaa,0xbfffff51,0x55555555,0x43555555,0x22ffffff,0x05fffff9,
    0xffffb000,0x3fee007f,0x3fe64fff,0x00005fff,0x00ffffff,0x1bfffff2,
    0x05ffffff,0x3ffffea0,0x7fffffc5,0xffff5002,0xfffff8bf,0xfff5002f,
    0xfffe8bff,0x3fea03ff,0x3fe64fff,0x80005fff,0x05fffff9,0xfffff000,
    0x7fffc45f,0xc800806f,0x006fffff,0x47fffffd,0x06fffff8,0xffff8008,
    0xfff1007f,0x7fe41fff,0xfd006fff,0xfc87ffff,0xd006ffff,0xc87fffff,
    0x006fffff,0x47fffffd,0x06fffff8,0x27ffffd4,0x0dfffff1,0xfff88010,
    0x800806ff,0x42ffffff,0x02fffffe,0x0af7bfe2,0x5ffffff3,0xfffffb80,
    0x7ffff41f,0x3bfe202f,0x7fffc2bd,0x3ffa007f,0x3fe60fff,0x5402ffff,
    0x41ffffff,0x2ffffff9,0x7ffffd40,0x7fffcc1f,0x7fd402ff,0x3ea1ffff,
    0x6c05ffff,0x744fffff,0x202fffff,0x42bdeff8,0x02fffffe,0x0af7bfe2,
    0x85ffffff,0x0ffffffa,0xdfffffb0,0xffffffb0,0x3fffee07,0xfffa84ff,
    0xffb00fff,0xfff8dfff,0x21d887ff,0x87fffff8,0x3fffffff,0xffffff70,
    0x3ffffe09,0xfff703ff,0x3fe09fff,0x703fffff,0x89ffffff,0x0ffffff9,
    0xffffff70,0xfffffa89,0xffffb00f,0xffffa8df,0xfffb00ff,0xffff8dff,
    0xfffe82ff,0xf950bfff,0x105fffff,0xdfffffff,0xffffd959,0x7ff40dff,
    0x950bffff,0x85ffffff,0x227fffff,0xfebbfffc,0xfa86ffff,0xceffffff,
    0xfffffeca,0x3ffea06f,0xcaceffff,0x6ffffffe,0x3ffffea0,0xfecaceff,
    0x886fffff,0x1dffffff,0x3fffff26,0xfffe84ff,0xf950bfff,0xd05fffff,
    0x17ffffff,0x3fffff2a,0x7ffffc2f,0xffffa82f,0xffffffff,0x2e06ffff,
    0xffffffff,0xffffffff,0x3ffea02f,0xffffffff,0xf86fffff,0xfd17ffff,
    0xffffffff,0x3f205fff,0xffffffff,0xffffffff,0x7fffe401,0xffffffff,
    0x401fffff,0xfffffffc,0xffffffff,0xfffd01ff,0xfffdffff,0xbfffffff,
    0xffffff50,0xffffffff,0x3fea0dff,0xffffffff,0x86ffffff,0x02ffffff,
    0xfffffff5,0xdfffffff,0xffffb801,0xffffffff,0xfa802fff,0xffffffff,
    0x80efffff,0x267fffff,0xffffffff,0x7ec05fff,0xffffffff,0x02ffffff,
    0xffffffb0,0xffffffff,0x3ff6005f,0xffffffff,0x202fffff,0xfffffff9,
    0xfeefffff,0xff507fff,0xffffffff,0x401dffff,0xfffffffa,0xefffffff,
    0xffffff80,0x3fffa202,0xffffffff,0xffd3000e,0xffffffff,0x744001bf,
    0xffffffff,0xff00efff,0xffa8ffff,0xefffffff,0xffffa800,0xffffffff,
    0x7fd4000d,0xffffffff,0x54000dff,0xffffffff,0x800dffff,0xfffffffb,
    0xfff74fff,0x3fa205ff,0xffffffff,0xe8800eff,0xffffffff,0xff00efff,
    0x8805ffff,0xffffffdc,0xd70002df,0xdfffffff,0x37220007,0xdfffffff,
    0x7ffffc02,0xfffec987,0x5c4003ff,0xfffffffe,0x2e20002d,0xfffffffe,
    0x2e20002d,0xfffffffe,0x7ec4002d,0x22efffff,0x05fffff9,0x3ffff722,
    0x4002dfff,0xfffffdc8,0x7fc02dff,0x4002ffff,0x0009aba8,0x02aea600,
    0x2ea20000,0x0000009a,0x00006aa6,0x002aea62,0x2ea62000,0x8800000a,
    0x0000aba9,0x001ba988,0x2aea2000,0x51000009,0x00001357,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bb2e600,0x00001bce,0x50dfffd0,0x2207ffff,0x04fffffe,
    0xfffd0000,0x4c0009ff,0xb00001ba,0x007fffff,0x42ffffe8,0x004ffffc,
    0xfffffd80,0xfffb0005,0x00000bff,0x8000d5cc,0x0efffffb,0xffffc880,
    0x00dfffff,0x3ffe2000,0xffffc85f,0x3fffa202,0x400000ff,0x05fffffa,
    0xffffea80,0x50002eff,0x3fffffff,0x7ffff400,0x27fffe42,0x3ffe6000,
    0x740005ff,0x001fffff,0xfffd9100,0x4005dfff,0x00ffffff,0xffffff98,
    0x1fffffff,0xfff30000,0xffffd07f,0xfffe8801,0x7400004f,0x8005ffff,
    0xfffffffb,0x44004fff,0xffffffff,0x3fffa006,0x7fffe42f,0x7fec0004,
    0x40000eff,0x04ffffe8,0xffff9800,0x4fffffff,0xfffffb80,0xfffe8801,
    0xffffffff,0x80000fff,0xf81ffffb,0xf3007fff,0x0001ffff,0x1bfffe60,
    0x3ffff600,0xffffffff,0xfffb000d,0x09ffff9f,0x0bffffa0,0x009ffff9,
    0x77fffc40,0xfd100000,0x40001fff,0xfffffffa,0x0effffff,0x07ffffa0,
    0x7ffffe40,0xfffebbdf,0xd80004ff,0x7cc0ffff,0x26005fff,0x0003ffff,
    0x01dfffb0,0xfffffc80,0xffffffff,0xfffb804f,0x3ffffb2f,0x5ffffd00,
    0x04ffffc8,0x3ffff200,0x7c400000,0x30004fff,0xffffffff,0xbfffffff,
    0x0bfffea0,0xfffffe80,0x7ffffd82,0xfffe8000,0x3ffffa86,0x37ffcc00,
    0x7ffcc000,0x7fc4000e,0xfccfffff,0x01ffffff,0xd13fffe6,0x8801dfff,
    0x4c409999,0x10000999,0x0003ffff,0x3fffe600,0xfffd8000,0xffdbefff,
    0xe82fffff,0x7c002fff,0xf306ffff,0x0001ffff,0x42ffffc4,0x002ffffc,
    0x000aaa98,0x005554c0,0x7ffffe40,0xfffffd86,0x0aaaa605,0x006aaaa2,
    0x10000000,0x00003555,0x00aaa980,0x7ffffc40,0x7fff441f,0x1aaa85ff,
    0xfffff800,0xfffff107,0x7fcc0003,0xfffd83ff,0x0000000f,0xff000000,
    0xf105ffff,0x000fffff,0x00000000,0x00000000,0xf7000000,0x2e07ffff,
    0x006fffff,0xffffd800,0xffffb83f,0x99995006,0x9bffffb9,0xfffff999,
    0x00000799,0x4c000000,0x206fffff,0x02fffffd,0x00000000,0x13100000,
    0x98800000,0xfff90000,0x3fe201ff,0x00007fff,0xffffffb8,0x3ffffee1,
    0xffff9004,0xffffffff,0xffffffff,0x3bbb6dff,0xeee9806e,0xddddb4ee,
    0xdddd300d,0x7fffdc9d,0x3ffee04f,0x3bbb64ff,0xeee9806e,0xddddb4ee,
    0xdddd300d,0xff93009d,0x037bdfff,0xfffc9800,0x001bdeff,0x3e01d4c4,
    0xed85ffff,0x1000eeee,0x1fffffff,0x3ffffff9,0x3ffff200,0xffffffff,
    0xffffffff,0xfffff6ff,0xffff300f,0x3ffffebf,0xffff9807,0x3ffff25f,
    0x3ffea03f,0x3fffe5ff,0xfff9807f,0xfffff5ff,0xffff300f,0x7fec40bf,
    0xffffffff,0xfd88003f,0xffffffff,0x800003ff,0x83fffff9,0x00fffffe,
    0x3ffffea0,0xffffffff,0x3fff2003,0xffffffff,0xffffffff,0xffff6fff,
    0xfff300ff,0x3fffebff,0xfff9807f,0x3fffa5ff,0x3fe602ff,0x3ffe6fff,
    0xff9807ff,0xffff5fff,0xfff300ff,0x3fea0bff,0xffffffff,0x001effff,
    0xfffffff5,0xdfffffff,0x3a200003,0xe80fffff,0x000fffff,0x7fffffec,
    0x004fffff,0x7fffffe4,0xffffffff,0xffffffff,0x0ffffff6,0xbfffff30,
    0x01fffffe,0x97ffffe6,0x01ffffff,0x9fffffe2,0x807fffff,0xf5fffff9,
    0x300fffff,0x50bfffff,0xffffffff,0xffffffff,0xfffa803f,0xffffffff,
    0x01ffffff,0xfff73100,0x3fa09fff,0x4000ffff,0xfffffff8,0x88002fff,
    0xfffc9999,0xff9999af,0xf0999eff,0x300fffff,0x3ebfffff,0x9807ffff,
    0x3e5fffff,0x201fffff,0x0ffffff8,0x00ffffff,0x2bfffff3,0x807fffff,
    0x45fffff9,0xfffffff8,0xffffedef,0x3e206fff,0xefffffff,0xffffffed,
    0xfff0006f,0x407fffff,0x00fffffe,0x3ffffa60,0x000effff,0x3ffff600,
    0x2ffffc40,0x07fffff8,0x5fffff98,0x00ffffff,0x4bfffff3,0x01ffffff,
    0x3fffffe2,0x0ffffff0,0xbfffff30,0x01fffffe,0x17ffffe6,0xbffffffb,
    0xffffd881,0xfffb03ff,0xd881bfff,0x03ffffff,0x7ffffc40,0x7ff402ff,
    0xf9000fff,0xffffffff,0x400003ff,0xfa86ffff,0xfff03fff,0xff300fff,
    0x3ffebfff,0xff9807ff,0xfff15fff,0x7c401fff,0xff0fffff,0xf300ffff,
    0x3febffff,0xf9807fff,0x3e25ffff,0x404fffff,0x0ffffffc,0x7fffffc4,
    0x7fffe404,0x3e6000ff,0x0bffffff,0x3fffffa0,0xffffd800,0xffffffff,
    0xff100006,0xfff90bff,0x3fffe03f,0xfff9807f,0xfffff5ff,0xffff300f,
    0x3fffe2bf,0x3fe200ff,0xfff1ffff,0xff300fff,0x3ffebfff,0xff9807ff,
    0x3fee5fff,0xff006fff,0xfb87ffff,0xf006ffff,0x007fffff,0x7fffffd4,
    0xffd03fff,0xfd801fff,0xfeffffff,0x7c5fffff,0xfa800ace,0xffd83fff,
    0xffff00ff,0xfff300ff,0x3fffebff,0xfff9807f,0xffff15ff,0x7fc401ff,
    0xfff0ffff,0xff300fff,0x3ffebfff,0xff9807ff,0x3ffa5fff,0xf7002fff,
    0xfe8bffff,0x7002ffff,0x00bfffff,0x7fedde5c,0xfe84ffff,0x2e00ffff,
    0x9fffffff,0xfffffff8,0x9fffff53,0x1ffffb80,0x206ffff8,0x807fffff,
    0xf5fffff9,0x300fffff,0x22bfffff,0x01ffffff,0x3fffffe2,0x0ffffff0,
    0xbfffff30,0x01fffffe,0x97ffffe6,0x01ffffff,0xdfffff30,0x1ffffff8,
    0xfffff300,0xff98000d,0x7f41ffff,0xf100ffff,0x41dfffff,0xfffffff9,
    0x1fffffd9,0x7ff66654,0xfcccccff,0xccccefff,0x0ffffff3,0xbfffff50,
    0x01fffffe,0x97ffffea,0x01ffffff,0x3fffffe2,0x0ffffff0,0xbfffff50,
    0x01fffffe,0x57ffffea,0x0ffffff8,0xfffff100,0x7ffffc4f,0xfff1000f,
    0x50000fff,0xe8dfffff,0x900fffff,0x20ffffff,0xeffffffb,0xc87fffff,
    0xffffffff,0xffffffff,0xf6ffffff,0x500fffff,0x3ebfffff,0xa807ffff,
    0x3e5fffff,0x201fffff,0x27fffff8,0x807fffff,0xf5fffffa,0x500fffff,
    0x26bfffff,0x007fffff,0x87fffffc,0x07fffff9,0x7fffffc0,0xfff80000,
    0x3ffa0fff,0xffb00fff,0x7e409fff,0xffffffff,0xfffc84ff,0xffffffff,
    0xffffffff,0xffff6fff,0xffa801ff,0xffff5fff,0xffa801ff,0x3ffa5fff,
    0x3e602fff,0x3fe6ffff,0x5400ffff,0xff5fffff,0xa801ffff,0xf15fffff,
    0x400fffff,0x27fffff8,0x07fffff8,0x3ffffe20,0xffb00007,0x7ff45fff,
    0xfff00fff,0xfe805fff,0xffffffff,0xffffc81f,0xffffffff,0xffffffff,
    0xfffff6ff,0xfffa801f,0xfffff5ff,0xfffa801f,0x3fff65ff,0x3fea03ff,
    0x3ffe5fff,0x7d400fff,0xfff5ffff,0xfa801fff,0x3fe5ffff,0x3000ffff,
    0xf8dfffff,0x000fffff,0x0dfffff3,0x3fff6000,0x3fffa3ff,0xffff00ff,
    0xff8801ff,0x4fffffff,0xffffff90,0xffffffff,0xffffffff,0x3fffffed,
    0x7fffdc00,0xffffff5f,0xffffb801,0x3ffff25f,0x3ffee04f,0x3fffe4ff,
    0x7fdc00ff,0xffff5fff,0xffb801ff,0x3ffe5fff,0xf5002fff,0xff8bffff,
    0x5002ffff,0x44bfffff,0x804fecca,0x22fffffe,0x00fffffe,0x05fffffd,
    0xffffff30,0x266203ff,0x999ffffe,0x9dffffa9,0xfff09999,0xfc803fff,
    0xfff5ffff,0xfc803fff,0x3ea5ffff,0x3606ffff,0x3e2fffff,0x401fffff,
    0xf5fffffc,0x803fffff,0x25fffffc,0x06fffffc,0x7fffffd0,0x6fffffc8,
    0xfffffd00,0x7ffffc47,0x7fffc406,0x3fffa0ff,0xfffb00ff,0xfd300bff,
    0x3dffffff,0x86ffff80,0x403ffffa,0x02fffffe,0x3fffffe6,0x5fffffd5,
    0x7ffffcc0,0x7ffffc5f,0xffff982f,0x7ffff47f,0x3ffe602f,0xfffd5fff,
    0x7fcc05ff,0x3e65ffff,0x402fffff,0x1ffffffa,0x7fffffcc,0x7fffd402,
    0x7fff41ff,0x3ff202ff,0x7ff47fff,0xff700fff,0x6409ffff,0xffffffff,
    0xff102fff,0xfff909ff,0xfffd803f,0xfe880eff,0xfb5fffff,0x101dffff,
    0xbffffffd,0x6fffffd8,0x5fffffe8,0x77ffffec,0xffffe880,0xffffb5ff,
    0xffd101df,0xff8bffff,0x703fffff,0x09ffffff,0x3ffffffe,0xfffff703,
    0xffff709f,0xfff705ff,0xffe89fff,0x3fa00fff,0xbcefffff,0xffffffdc,
    0xffffffff,0x7fffd40d,0x07fffd83,0xffffffb8,0xffec98be,0xf75fffff,
    0x17dfffff,0xfffffd93,0xfff98bff,0xffccffff,0x5c1fffff,0xbeffffff,
    0xffffec98,0xfff75fff,0x9317dfff,0xfffffffd,0xfffffa8b,0xfecaceff,
    0x206fffff,0xfffffffa,0xfffecace,0xff106fff,0x99ffffff,0xdffffffd,
    0xfffffe81,0x3fffe600,0xffffffff,0xffffffff,0x44ffffff,0xf81ffffc,
    0xf9806fff,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,0xbfffffff,
    0xffffff90,0xffffffff,0xfffff309,0xffffffff,0x2bffffff,0xfffffff9,
    0xffffffff,0xfc85ffff,0xffffffff,0xffffffff,0x7fffe401,0xffffffff,
    0x201fffff,0xfffffffa,0xffffffff,0xffffe81f,0x7ffd400f,0xffffffff,
    0xfbcfffff,0x40efffff,0x440ffffd,0x5004ffff,0xffffffff,0xffd3dfff,
    0x7ffd4bff,0xffffffff,0x5ffffe9e,0xffffffb0,0x1dffffff,0x3ffffea0,
    0x9effffff,0x2a5ffffe,0xffffffff,0xffe9efff,0xfffb05ff,0xffffffff,
    0x2005ffff,0xfffffffd,0xffffffff,0xffffc802,0xffffffff,0xfffd03ff,
    0xfb1001ff,0xffffffff,0x7443dfff,0xff80ffff,0xfffa86ff,0x3fee003f,
    0xefffffff,0x8bffffd0,0xfffffffb,0xfffd0eff,0x7ffdc0bf,0x4fffffff,
    0xfffffb80,0xfd0effff,0xffb8bfff,0xefffffff,0x0bffffd0,0x7fffffd4,
    0x0dffffff,0x7fffd400,0xffffffff,0x3fee000d,0xffffffff,0x3ffa01ef,
    0x2e000fff,0xfffffffe,0x3fee03ef,0x4ffff882,0x01ffffb8,0x7fffedc0,
    0x7fff43df,0xfffdb85f,0x7ff43dff,0x7ed405ff,0x02efffff,0x3ffff6e0,
    0x7fff43df,0xfffdb85f,0x7ff43dff,0x75c405ff,0xdfffffff,0x3ae20002,
    0xdfffffff,0xff910002,0x07ffffff,0x1fffffd0,0x2eea2000,0x40e6000a,
    0xa82cccc9,0x40004ccc,0x400001a9,0x000001a9,0x00006ea6,0x000006a6,
    0x00000353,0x0055d4c4,0x5d4c4000,0x4400000a,0x00009bba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffd4000,0x0260000f,0xeeeeeb80,0x3bbae004,0x2aaaa3ee,
    0x0000002a,0x001aba88,0xeeedb980,0x0000abce,0x03577530,0x01ffffc0,
    0x09ba8800,0xa9800000,0x4002aaaa,0x40000001,0x7746fffc,0x36e23eee,
    0x402cefff,0x0ffffff9,0xffffff00,0x3ffffe23,0x50000006,0xfffffffb,
    0xfff70007,0xffffffff,0x910001bf,0xffffffff,0xfffd8019,0x3f620005,
    0x0cefffff,0xff700000,0xc980dfff,0x21bdfffe,0x006eeeea,0x227fff40,
    0xf34fffff,0xffffffff,0xffffe809,0xfff9803f,0x3ffe26ff,0x000006ff,
    0xffffffc8,0x801effff,0xffffffe9,0xffffffff,0xff7000cf,0xffffffff,
    0x7fdc07ff,0xff70007f,0xffffffff,0x7000003f,0x40dfffff,0xfffffffb,
    0xffff72ff,0x7fc4000f,0x7fffc2ff,0xfffff9cf,0x0effffff,0xbfffff70,
    0xfffff900,0x7ffffc47,0x22000006,0xfffffffe,0x00ffffff,0x3fffffe6,
    0xffffffff,0xb805ffff,0xffffffff,0x03ffffff,0x001ffff3,0xffffffd8,
    0x3fffffff,0x7fdc0000,0xfd886fff,0xffffffff,0xffffbaff,0x3fea0007,
    0x7fffc0ff,0xffffffef,0x5fffffff,0xffffff10,0xfffff801,0x3fffe20f,
    0x1000006f,0xffffffff,0xdfffffff,0x7fffff40,0xffffffff,0x03ffffff,
    0x3fffffe6,0xffffffff,0xffff01ff,0x7ffdc005,0xffffffff,0x0003ffff,
    0x3ffffee0,0xfffffc86,0xffffffff,0x007ffffe,0x21ffff20,0xffffffff,
    0xfffeccef,0xfb02ffff,0x4c07ffff,0x445fffff,0x006fffff,0xffffb000,
    0xfff97dff,0xf305ffff,0x7bffffff,0xffff9755,0x3a03ffff,0xbeffffff,
    0xffffffea,0x09fffb05,0x3ffffe20,0xfffebcef,0x0000ffff,0xdfffff70,
    0xffffff98,0xfffdbcef,0x007fffff,0x217fffa0,0xffffffff,0xfffffa82,
    0xffff506f,0x7ffe40bf,0x7ffc42ff,0x800006ff,0x3ffffff9,0x4fffffc8,
    0xdfffffc8,0x3fff6200,0xfff03fff,0xff303fff,0x3ee0ffff,0xffb006ff,
    0xff50bfff,0x000bffff,0x3ffffee0,0x7ffffec6,0xfffe883f,0x10007fff,
    0xff07ffff,0x403fffff,0x2ffffff9,0x1ffffff0,0x1fffffa0,0x1bffffe2,
    0x3ff60000,0xff104fff,0xffd0ffff,0xd1003fff,0x30bfffff,0x40dfffff,
    0x81fffffe,0x800ffff9,0x00ffffff,0x1ffffff7,0xfff70000,0x7ffccdff,
    0x3e202fff,0x007fffff,0x03ffff30,0x0bffffff,0x9fffffb0,0x3fffff20,
    0xfffff983,0xfffff884,0x22000606,0x01ffffff,0x82af37b6,0x06fffff8,
    0x3ffffee0,0xfffffa87,0x3fffea03,0x5ffff02f,0xfffff880,0x7ffffc04,
    0xfb80002f,0x3ee6ffff,0xc806ffff,0x007fffff,0x20ffff70,0x01ffffff,
    0x5fffffa8,0xbfffff30,0x3fffff90,0xdfffff10,0x77fff644,0xfffa802c,
    0x880005ff,0x02ffffff,0x99bddd30,0xfffff881,0x3fffea03,0x9fffd00f,
    0xfffffa80,0x7fffe403,0xfb80004f,0x3f26ffff,0x8803ffff,0x007fffff,
    0x20bfffb0,0x00ffffff,0x6fffff98,0x3fffffa0,0x37ffff40,0x6fffff88,
    0xfffffff5,0xffb809ff,0x00004fff,0x3dffffff,0xffd00000,0x7fec0dff,
    0x3ff206ff,0x7ffdc06f,0x7fdc02ff,0x80006fff,0x26fffffb,0x02fffffd,
    0x0ffffff0,0x0ffffe00,0x03fffffc,0x7fffff88,0x3ffffee0,0x3ffffe63,
    0xfffff104,0xffffff7f,0x01dfffff,0x0ffffff6,0xfd800351,0xbeffffff,
    0xff900000,0xff303fff,0x7d409fff,0x3ee00fff,0x5402ffff,0x007fffff,
    0xfffffb80,0x3fffffe6,0xffffd001,0xfff3000f,0x3fffe03f,0x3ffe007f,
    0xff100fff,0x7fdcbfff,0xff101fff,0xffffffff,0xffffffff,0x3fffa0bf,
    0xffff92ff,0xff5005df,0xffffffff,0x2000159d,0xdffffff9,0xfffffdaa,
    0x3ffe201f,0x3ffea02f,0x7fdc03ff,0x0000ffff,0x37ffffdc,0x01ffffff,
    0x1fffffa0,0x1fffee00,0x07fffff8,0x1fffffe0,0x1fffffb0,0x81bffffa,
    0xfffffff8,0xffdbbcff,0xf82fffff,0xfeafffff,0xdfffffff,0x7fffe400,
    0xffffffff,0x54000bdf,0xffffffff,0x00efffff,0x204fffe8,0x04fffff9,
    0x7fffffe4,0x7fdc0001,0x3ffa6fff,0xff000fff,0xb000ffff,0x7fc0bfff,
    0x8800ffff,0x406fffff,0x9afffffa,0x203fffff,0xfffffff8,0xffff980e,
    0xffff86ff,0xffffffff,0x00efffff,0x7ffffff4,0xffffffff,0x362001df,
    0xffffffff,0x3f2005ff,0x3fe206ff,0x7fc07fff,0x001fffff,0x7ffffdc0,
    0x3fffff66,0xfffff001,0xffff000f,0x7ffffc07,0xfff9802f,0xfff805ff,
    0xffffbdff,0x3ffe200f,0x2600ffff,0x22ffffff,0xfffffff8,0xffffffff,
    0x6c405fff,0xffffffff,0xffffffff,0xfff91001,0xbfffffff,0x3ffea001,
    0x7fffec07,0xffff903f,0x80003fff,0x26fffffb,0x02fffffc,0x7fffff98,
    0x7fffcc00,0x3ffffe01,0xfffc805f,0xffc804ff,0xffffefff,0x7fffc405,
    0xffe804ff,0x3fe24fff,0xaeffffff,0xfffffb98,0xffe9802f,0xffffffff,
    0x402fffff,0xfffffffa,0x3fffffff,0x1ffff880,0x3ffffe60,0xfffb31cf,
    0x005fffff,0xfffffb80,0x3ffffee6,0xffffc805,0x7fdc007f,0x7fffc07f,
    0x3e201fff,0x803fffff,0xfffffff9,0x7c402fff,0x800fffff,0x25fffffa,
    0xfffffff8,0xfffff505,0x7f5cc00f,0xffffffff,0xf303ffff,0xbbffffff,
    0x7ffffffd,0x07fffd00,0xffffffc8,0xffffffff,0x0001ffff,0x37ffffdc,
    0x3ffffff3,0x7ffffc40,0x7fec007f,0x7fffc06f,0xd881ffff,0x006fffff,
    0x3ffffffa,0xff8807ff,0xf3007fff,0xff8dffff,0x201fffff,0x01fffffd,
    0xfffdb880,0xffffffff,0xffffff80,0xfffffb83,0x7ffe401f,0xffffe805,
    0xffffffff,0x001fffff,0x7ffffdc0,0x7fffff46,0xfffe980e,0x7c007fff,
    0x7fc04fff,0xcfffffff,0xffffecaa,0x3ee002ff,0x4fffffff,0xfffff880,
    0xffff3007,0xfffff8ff,0x7ffd406f,0x980002ff,0xfffffffb,0x7fffcc3f,
    0x3ffee04f,0x7fd405ff,0xfff9007f,0xf3ffffff,0x003fffff,0xfffffb80,
    0x7ffffcc6,0xffcaacff,0x07ffffff,0x0bfffe20,0xfffffff0,0xffffffff,
    0x800dffff,0xfffffff8,0xfff8801f,0xff1006ff,0xfff8ffff,0x7cc05fff,
    0x0004ffff,0x3ffff220,0x7ffdc6ff,0x7ff402ff,0x3e200fff,0xb5001fff,
    0x11bfffff,0x01ffffff,0xffffb800,0xffffd86f,0xffffffff,0x07ffffff,
    0x03fffea0,0x9ffffff0,0xffffffff,0x0003ffff,0xdffffffb,0x3fffe200,
    0xfff1007f,0xfffe8fff,0x7fc404ff,0x75515fff,0xfb000bb9,0xfe8fffff,
    0xfd807fff,0x7c01ffff,0x98003fff,0x7fffcc0a,0x0066207f,0x0bfffff7,
    0xfffffff1,0xff9fffff,0x6400ffff,0xff806fff,0xfff57fff,0x1bffffff,
    0x3ffea000,0xf1003fff,0x200fffff,0x46fffff9,0x05fffffc,0xafffffc4,
    0x0ffffff9,0x7fffd400,0x3fffe27f,0xfffc805f,0x7fec02ff,0x2a00005f,
    0x225fffff,0x406fffee,0x05fffffc,0xffffffd1,0x3ffe7fff,0x3fa007ff,
    0xfff804ff,0x3ffa67ff,0x0004efff,0x7fffffcc,0xffff1000,0xff5003ff,
    0xffb8bfff,0x7cc06fff,0x3fe4ffff,0x4003ffff,0x27fffffa,0x06fffff8,
    0x1fffffc8,0x03fffdc0,0xffff9000,0x7fffc49f,0x7ffe407f,0x7fe405ff,
    0x3e1dffff,0x1007ffff,0xf005ffff,0x260fffff,0xb00000aa,0x00dfffff,
    0x7fffffc4,0xffffd804,0x7fffc44f,0x3fea01ff,0x3ff62fff,0x2000ffff,
    0x46fffffd,0x807fffff,0x00fffffe,0x40ffffcc,0x405eccaa,0x41ffffff,
    0x00ffffff,0x13fffffa,0xf80d5440,0x5007ffff,0xf001ffff,0x000fffff,
    0x3ffe6000,0x22003fff,0x1fffffff,0x3ffffe60,0xffffe82f,0x3fffa05f,
    0x3ffea1ff,0xf7005fff,0xd8bfffff,0x203fffff,0x07fffff9,0xb07ffff0,
    0x205fffff,0x87fffffa,0x04fffffd,0x5ffffff3,0x7ffc0000,0xff9007ff,
    0x3ffe00df,0x000007ff,0xfffffe88,0x3fe2000f,0x81ffffff,0x6fffffe8,
    0xffffff70,0xfffff709,0xfffff88d,0xd980afff,0x1fffffff,0x7fffffdc,
    0xffffe881,0xfffb005f,0xfffff70b,0xffff981d,0xfffc83ff,0x3a60cfff,
    0x00ffffff,0x3fffe000,0xfffd007f,0x3fffe009,0x4400007f,0xffffdcce,
    0x44003fff,0xffffffff,0xfffbaacf,0x3a02ffff,0xceffffff,0xffffffec,
    0xfffffa82,0xfeefffff,0xffffffff,0xfffff886,0xffbaadff,0x001fffff,
    0xf10ffff7,0x7bffffff,0xdffffffb,0x3ffffe20,0xffffffff,0x0004ffff,
    0x3fffffc0,0x17fffc40,0x7fffff80,0x7fc40000,0xffffffff,0x7fc4000f,
    0xffffffff,0xffffffff,0x7ffcc05f,0xffffffff,0x3205ffff,0xffffffff,
    0xffffffff,0xf300ffff,0xffffffff,0x7fffffff,0x7fffcc00,0xfffffd80,
    0xffffffff,0x3ff202ff,0xffffffff,0x00ffffff,0x7fffc000,0xfffa807f,
    0xffff000f,0xf00000ff,0xffffffff,0xff10005f,0xfff97fff,0xffffffff,
    0xfff3003d,0xffffffff,0xfd801dff,0xffffffff,0xffffffff,0x7ffdc01f,
    0xffffffff,0xf8006fff,0xfe882fff,0xffffffff,0x4401ffff,0xffffffff,
    0x1fffffff,0xfff80000,0xffc807ff,0x3ffe007f,0x800007ff,0xfffffffe,
    0xff10002f,0x3fee7fff,0xdfffffff,0x3ffa2000,0xffffffff,0x3ffaa004,
    0xffffffff,0x000dffff,0xfffffff7,0x009fffff,0x413fff60,0xffffffe9,
    0x000dffff,0xffffffb1,0x03ffffff,0x3ffe0000,0xffe807ff,0x3ffe005f,
    0x800007ff,0xbefffffd,0x3fe20000,0x3f6a3fff,0x003effff,0x3ffffb20,
    0x70002eff,0xfffffffd,0x0005bfff,0xffffff91,0x40003bff,0x5c06fffb,
    0xefffffff,0xffd50003,0x17dfffff,0x7fc00000,0xcc807fff,0x332001cc,
    0x00004ccc,0x00002620,0x0aa98000,0x55cc0000,0x4cc00001,0x001aabca,
    0x2aea6200,0x99300001,0x2ea60099,0x2200001a,0x0019aba9,0x99990000,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x95000000,0x157bdddb,0x55555000,0x55500035,
    0x4c001555,0x02cdeecb,0x36ea2000,0x000abcee,0x76e5c400,0x00abcdef,
    0x2aa00000,0x80002aaa,0xaaaaaaa8,0xaaaaaaaa,0xaaaaaaaa,0x800aaaaa,
    0x9accca98,0x01980000,0xffffb100,0xffffffff,0x3ffa001b,0x44003fff,
    0x00ffffff,0x7ffffec4,0x002effff,0x3fffff20,0x0dffffff,0x7ff5c000,
    0xffffffff,0x00000cff,0x7fffff80,0xfffc8000,0xffffffff,0xffffffff,
    0xffffffff,0x3ff6200f,0xefffffff,0x3fc88001,0xffffa800,0xffffffff,
    0xe802ffff,0x003fffff,0x7fffffc4,0x3fffea00,0xffffffff,0x7f4c004f,
    0xffffffff,0x003fffff,0xfffffe98,0xffffffff,0x00004fff,0x3fffffc0,
    0x3ffe2000,0xffffffff,0xffffffff,0xffffffff,0xffc880ff,0xffffffff,
    0x7000dfff,0x44007fff,0xfffffffd,0xffffffff,0x3a00dfff,0x003fffff,
    0x7fffffc4,0xfffff300,0xffffffff,0x3ee007ff,0xffffffff,0xffffffff,
    0xfff7000e,0xffffffff,0xffffffff,0x7c00000b,0x0007ffff,0x7fffffdc,
    0xffffffff,0xffffffff,0x0fffffff,0xffffffe8,0xffffffff,0x3fa600ff,
    0xd1003fff,0xffffffff,0xffffffff,0x203fffff,0x03fffffe,0x7ffffc40,
    0xfffff00f,0xffffffff,0xe803ffff,0xffffffff,0xffffffff,0xfc806fff,
    0xffffffff,0xffffffff,0x0004ffff,0xffffff00,0xffff8000,0xffffffff,
    0xffffffff,0xffffffff,0x7ffe40ff,0xffefffff,0x06ffffff,0x0ffffff2,
    0x7ffffe40,0xdcceffff,0xffffffff,0xffffd06f,0xff88007f,0xf980ffff,
    0x31dfffff,0xbffffff9,0x7ffffdc0,0xeccdefff,0xffffffff,0x3fffea04,
    0xcdefffff,0xffffffdc,0x00003fff,0x07fffff8,0x3fffee00,0xfffdaaef,
    0xffffffff,0xffffffff,0x3ffee0ff,0x5c42efff,0x05ffffff,0x07fffff9,
    0xffffff50,0x7ec403df,0x83ffffff,0x03fffffe,0x7ffffc40,0xffffc80f,
    0xffff503f,0x3ffe20ff,0x300dffff,0xfffffffb,0xfffff103,0xfb807fff,
    0x06ffffff,0xffff8000,0x3fa0007f,0x3f22ffff,0x0004ffff,0x3fffffe0,
    0x7fffcc04,0xfffc80ff,0x7fc403ff,0x00dfffff,0xffffff70,0xffffe81f,
    0x7fc4003f,0xfe80ffff,0x3600ffff,0xc81fffff,0x03ffffff,0xffffffb0,
    0xfffffd09,0x3e2001df,0x02ffffff,0x7fffc000,0xff50007f,0xffc8dfff,
    0x00004fff,0x0dfffff3,0x3ffffee0,0xfffffc82,0x7fffe403,0xfa8005ff,
    0x745fffff,0x003fffff,0x7fffffc4,0x7ffffc40,0x66f7dc05,0x7fffcc1b,
    0x7f4003ff,0x7cc7ffff,0x006fffff,0xffffff98,0xf00c4005,0x000fffff,
    0x0ffffffa,0x09fffff9,0x3ffee000,0xff3002ff,0x3ba69fff,0xeeffffff,
    0x7fffc3ee,0xd0000fff,0x43ffffff,0x03fffffe,0x7ffffc40,0x7fffc40f,
    0xfd00004f,0x001fffff,0xbdffffb8,0x3fffff20,0xffb0001f,0xb50059bf,
    0x419bfffd,0x007fffff,0xffffffa8,0x7ffffe40,0xb9500004,0x7cc00ffd,
    0xff55ffff,0xffffffff,0x7ffcc9ff,0x20004fff,0x3ffffffa,0x0ffffffa,
    0xfffff100,0xfffff01f,0x3fe0000b,0x8003ffff,0x3fe00ac8,0x0005ffff,
    0xd88002a2,0xffffffff,0xffffff1f,0xffffb000,0xffff909f,0x4000009f,
    0x3ffee000,0xffff53ff,0xffffffff,0x7ffffe49,0x7f40000f,0x3fa4ffff,
    0x4003ffff,0x0ffffff8,0x07ffffd8,0xffff8800,0x000000ff,0x3ffffff5,
    0x4c000000,0xfffffffe,0xfffbffff,0x7cc007ff,0xc80fffff,0x004fffff,
    0xe8800000,0xf50fffff,0xffffffff,0x7fec9fff,0x80006fff,0x25fffffc,
    0x03fffffe,0x7ffffc40,0xffffc80f,0x7d40001f,0x0007ffff,0x3fffee00,
    0x000000ff,0x3fffffa0,0xffffffff,0x007fffff,0x2fffffec,0xdfffffc8,
    0x99999999,0x00199999,0xffffd100,0x7fffd4df,0xffffffff,0x3fffffa4,
    0xffb80005,0x3ffa6fff,0x44003fff,0x80ffffff,0x03fffffb,0x7fffdc00,
    0x2000006f,0x07fffffc,0x3ee00000,0xbcffffff,0xffffffdb,0x3e2007ff,
    0x901fffff,0xffffffff,0xffffffff,0x0000ffff,0xffffffd3,0x3ffff203,
    0x3fffe03f,0xa80004ff,0x3a7fffff,0x003fffff,0x7fffffc4,0xffffffb0,
    0xffffffff,0xfff9005f,0x00000dff,0x37ffffec,0xff000000,0x303dffff,
    0xfffffffd,0x7fffe400,0x3fff206f,0xffffffff,0xffffffff,0x7fd40007,
    0x203fffff,0x03fffffc,0x0ffffffe,0x3ffe6000,0xfffd1fff,0xf88007ff,
    0xfb0fffff,0xffffffff,0x05ffffff,0xbfffffb0,0x7f400000,0x8805ffff,
    0xeeeeeeee,0x2e2eeeee,0x00ffffff,0x3fffffe6,0xffff1007,0x7fe405ff,
    0xffffffff,0xffffffff,0x3ea0007f,0x03ffffff,0x1fffffe4,0x7ffffff0,
    0xfff30000,0x3ffa5fff,0x44003fff,0xb0ffffff,0xffffffff,0x5fffffff,
    0xfffffd00,0x74000009,0x805fffff,0xfffffff9,0x23ffffff,0x04fffffc,
    0x7fffffd8,0xfffff900,0xffffc80d,0xffffffff,0x7fffffff,0xffff5000,
    0xf9005fff,0x7c07ffff,0x004fffff,0xfffffa80,0xfffffd0f,0xfff88007,
    0xfffb0fff,0xffffffff,0xb005ffff,0x00bfffff,0x7ffec000,0xff9806ff,
    0xffffffff,0x3ff63fff,0xfa801fff,0x8807ffff,0x03ffffff,0x7fffffe4,
    0xffffffff,0x007fffff,0xffffff88,0xfff9002f,0x7fec07ff,0x80005fff,
    0x27fffffb,0x03fffffe,0x7ffffc40,0xfdddd90f,0xdddfffff,0xff9003dd,
    0x0000dfff,0x7ffffe40,0xffff9807,0xffffffff,0x3ffffe3f,0xfff9800f,
    0xffb807ff,0x6400ffff,0x99dfffff,0x99999999,0xc8001999,0x01ffffff,
    0x3fffff20,0x3ffff203,0xfc80006f,0x3f66ffff,0x4003ffff,0x0ffffff8,
    0xbfffff30,0x7ffdc000,0x000007ff,0x1ffffff2,0x3ffffe60,0xffffffff,
    0x1fffffe3,0x7ffffc40,0xfffff807,0xeeeeeeff,0xffffffee,0x20000004,
    0x01fffffd,0x7ffffe40,0x3fffee03,0xfd80007f,0x3f65ffff,0x4003ffff,
    0x0ffffff9,0x7fffff50,0x7ffd4000,0x2a0007ff,0x3fffea00,0x554401ff,
    0xfffaaaaa,0xfff13fff,0x7fc00fff,0x7d407fff,0xffffffff,0xffffffff,
    0x0004ffff,0x3fffe000,0xffc8003f,0x3ea03fff,0x002fffff,0x3ffffe20,
    0x3ffff64f,0x7fcc004f,0xf900ffff,0x0005ffff,0x7fffffc4,0xeff88001,
    0x7fffc41b,0x7c0004ff,0x3e3fffff,0x1007ffff,0x80ffffff,0xfffffffe,
    0xffffffff,0x04ffffff,0xff300000,0x90003fff,0x407fffff,0x6ffffff8,
    0x3fff2000,0x3ff22fff,0x54005fff,0x207fffff,0x00fffffe,0x7ffffc00,
    0xffa8005f,0x3f61efff,0x000fffff,0x3fffffe0,0x3fffffe3,0xffff9800,
    0x3ffea07f,0xffffffff,0xffffffff,0x00004fff,0xfffff500,0xfff90001,
    0xffe807ff,0x8002ffff,0xfffffff8,0x3ffffee0,0x3ff2000f,0xff306fff,
    0x00009fff,0x3ffffffb,0xffffe800,0x7fffd47f,0x3e0004ff,0x363fffff,
    0x801fffff,0x07fffffa,0x3ffffffa,0xffffffff,0xffffffff,0x50000004,
    0x001fffff,0x7fffff90,0xfffff980,0x362001ff,0x43ffffff,0x5ffffffa,
    0xfffff100,0xfffd10bf,0x100001ff,0x0bffffff,0x7ffffe40,0x7fffc43f,
    0x98002fff,0x23ffffff,0x04fffffc,0x7fffffd8,0xffffff30,0x9999999b,
    0xffffd999,0x0000009f,0xff700000,0xf9007fff,0x07ffffff,0xfffffd30,
    0xffff10df,0xfb005fff,0x887fffff,0x01fffffe,0x3ffee000,0x5400efff,
    0x0fffffff,0xffffffa8,0xffb1004f,0x5c7fffff,0x00ffffff,0x3fffffe6,
    0xfffffb07,0xfffd800f,0x000004ff,0xfb800000,0x8804ffff,0xffffffff,
    0x3f2a21ad,0x1fffffff,0xffffff90,0xffb5039f,0xe88fffff,0xedefffff,
    0x220aceff,0x3ffa04da,0x21bfffff,0xfffffd98,0x3ff605ff,0x9befffff,
    0x3fff2e60,0x23ffffff,0xeffffff8,0xffffe880,0xfff987ff,0x6c004fff,
    0x99dfffff,0x99999999,0x00099999,0x09fffff5,0xfffff700,0x2e09d9bf,
    0xffffffff,0xffffffff,0x05ffffff,0x3fffffe2,0xffffffff,0x3fffffff,
    0x7fffffe4,0xffffffff,0x0fffffff,0xffffff50,0xffffffff,0x1dffffff,
    0x7ffffc40,0xffffffff,0xffffffff,0x7dc2ffff,0xacffffff,0xffffffca,
    0xfffc87ff,0x6c000fff,0xffffffff,0xffffffff,0x005fffff,0x09fffff5,
    0xfffff300,0x640bffff,0xffffffff,0xffffffff,0x400dffff,0xfffffffc,
    0xffffffff,0xf987ffff,0xffffffff,0xffffffff,0x2e04ffff,0xffffffff,
    0xffffffff,0xe9800fff,0xffffffff,0xffffffff,0x02ffffff,0xfffffffd,
    0xffffffff,0xff88ffff,0x8005ffff,0xfffffffd,0xffffffff,0x05ffffff,
    0x9fffff50,0x3fffa000,0x406fffff,0xffffffe9,0xffffffff,0x2e002fff,
    0xffffffff,0xffffffff,0xfffb01ef,0xffffffff,0xffffffff,0xffe980ff,
    0xffffffff,0x01ffffff,0x3ffff620,0xffffffff,0xdfffffff,0x3fffe600,
    0xffffffff,0x47ffffcb,0x1ffffffc,0xffffd800,0xffffffff,0xffffffff,
    0xfff5005f,0x2e0009ff,0xffffffff,0xffff9007,0xffffffff,0x30001bff,
    0xfffffffd,0x9fffffff,0xfffffa80,0xfffffedd,0xffffffff,0xffffc803,
    0xffffffff,0xd70000cf,0xffffffff,0xbfffffff,0x3ffa2003,0x2fffffff,
    0x44fffff9,0x06ffffff,0xfffffb00,0xffffffff,0xffffffff,0x3ffea00b,
    0x2a0004ff,0x5effffff,0x3ff72600,0xceffffff,0x76440002,0xffffffff,
    0xfd001dff,0xfb751017,0x7dffffff,0x3fb2a001,0xcfffffff,0xf9300000,
    0xffffffff,0x200015bf,0xdfffffec,0x9fffff21,0x2ffffffb,0xffffb000,
    0xffffffff,0xffffffff,0x3fea00bf,0x80004fff,0x00009ba9,0x00aba988,
    0x2aa20000,0x001aabba,0x54c00098,0x800009aa,0x0009aba9,0x5d4c4000,
    0x000019ab,0x0000d544,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa0000,0x26001aaa,0x2e2aaaaa,0x801eeeee,0x006eeeee,0x2aaaaaa0,
    0x22000002,0x0001aba9,0x3ddddd70,0x2aaaaa00,0x5400001a,0xaaaaaaaa,
    0xaaaaaaaa,0x20aaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,0x4033332e,
    0xaaaaaaaa,0x19aaaaaa,0x3ffee000,0xfd000fff,0x7e4bffff,0xf802ffff,
    0x0007ffff,0xfffffff1,0x64400003,0xffffffff,0x3f20001e,0xd002ffff,
    0x007fffff,0xffffe800,0xffffffff,0xffffffff,0x3fff63ff,0xffffffff,
    0xffffffff,0xfff1005f,0x3ffa03ff,0xffffffff,0x3effffff,0x7fffc400,
    0xffa803ff,0x3f21ffff,0xf802ffff,0x0007ffff,0xfffffff7,0x3ee0000b,
    0xffffffff,0x8000cfff,0x02fffffc,0x7fffffd0,0xffe80000,0xffffffff,
    0xffffffff,0x3f63ffff,0xffffffff,0xffffffff,0xfb005fff,0x3a03ffff,
    0xffffffff,0xffffffff,0x32003fff,0x807fffff,0x45fffffe,0x02fffffc,
    0x07fffff8,0xfffffd00,0x80001fff,0xfffffffb,0x6fffffff,0xffffc800,
    0xfffd002f,0x800007ff,0xfffffffe,0xffffffff,0x3fffffff,0x3ffffff6,
    0xffffffff,0x05ffffff,0xffffffa8,0xfffffd01,0xffffffff,0xbfffffff,
    0x3fffe200,0x3fe603ff,0x7e41ffff,0xf802ffff,0x8007ffff,0xfffffff9,
    0x260003ff,0xffffffff,0xffffffff,0x7ffe4004,0xffd002ff,0x00007fff,
    0xffffffe8,0xffffffff,0xffffffff,0x3fffff63,0xffffffff,0x5fffffff,
    0x7ffffd40,0xfffd01ff,0xffffffff,0xffffffff,0x3f200bff,0x3606ffff,
    0xc85fffff,0x802fffff,0x007fffff,0xffffffc8,0x10006fff,0xffffffff,
    0xffffff9b,0x7e4003ff,0xd002ffff,0x007fffff,0xffffe800,0xffffffff,
    0xffffffff,0x3fff63ff,0xffffffff,0xffffffff,0x3ffee05f,0xd01fffff,
    0xffffffff,0xffffffff,0x03ffffff,0xffffff10,0xfffff305,0xffff903f,
    0xffff005f,0xff8800ff,0xffffffff,0xffa8001f,0x540bffff,0x04ffffff,
    0x26666620,0xffffd000,0x555555bf,0x3a003555,0x003fffff,0x7fffec00,
    0x4400004f,0xfffffffd,0xfffd01ff,0x64c407ff,0x6fffffff,0xfffff900,
    0xfffffb0d,0x3ffff20b,0xffff802f,0x7fd4007f,0xffffffff,0xffc8005f,
    0x3ea04fff,0x0006ffff,0x3fffa000,0xffffffff,0x1dffffff,0x3fffffa0,
    0x7ec00003,0x0004ffff,0xfffff710,0x03ffffff,0x0ffffffa,0x7fffecc0,
    0xff8803ff,0x3e62ffff,0x901fffff,0x005fffff,0x00ffffff,0xcfffffe8,
    0x00ffffff,0x7fffff40,0x7ffffc00,0x33322007,0xffd001cc,0xffffffff,
    0xffffffff,0x3fffa0bf,0x400003ff,0x04fffffd,0xffffa800,0xffffffff,
    0xffffd01f,0xfff8007f,0xc800ffff,0x325fffff,0x205fffff,0x02fffffc,
    0x07fffff8,0x3ffffe60,0x7fffffd7,0x7fff4400,0xfffe807f,0xff1000ff,
    0x3a005fff,0xffffffff,0xffffffff,0xfe85ffff,0x0003ffff,0x7ffffec0,
    0xffb80004,0xffeeffff,0xffd01fff,0xb8007fff,0x03ffffff,0xffffff88,
    0xffffff89,0x3ffff201,0xffff802f,0x3ff2007f,0xfff74fff,0x44000dff,
    0x7ffc4029,0x3e6007ff,0xd001ffff,0xffffffff,0xffffffff,0xe89fffff,
    0x003fffff,0x7fffec00,0xfb80004f,0xffb4ffff,0x3fa03fff,0x8003ffff,
    0x05fffffe,0x9fffff90,0x0bfffff7,0x2fffffc8,0x7fffff80,0x3ffffe00,
    0xfffff11f,0x8000003f,0x05fffffb,0x1ffffee0,0xfffffe80,0xffeeeeee,
    0xffffffff,0x3ffffa0f,0x6c00003f,0x004fffff,0x2ffffb80,0x07fffff6,
    0x1ffffff4,0x7fffdc00,0xfff1007f,0xffffdfff,0xfffc803f,0x7fc403ff,
    0xf5007fff,0xfd8dffff,0x0005ffff,0x7ffff400,0xffd1004f,0x7f400dff,
    0x4403ffff,0xfffffffb,0x3fffffa4,0x9999999c,0x19999999,0x4fffffd8,
    0xbffb8000,0x7ffffec0,0xfffffd01,0xfff50007,0x32003fff,0xffffffff,
    0xffc805ff,0x7c403fff,0xb007ffff,0xa87fffff,0x00ffffff,0xfff30000,
    0xd1003fff,0x009fffff,0x1ffffff4,0xfffffa80,0x3ffffa6f,0xffffffff,
    0xffffffff,0x7fffec1f,0xccccccef,0x42cccccc,0x3fff602a,0xfffd01ff,
    0xf10007ff,0xb03fffff,0xfffddddd,0xdfffffff,0x641ddddd,0x404fffff,
    0x07fffff9,0xffffff88,0x7ffffc40,0x8800003f,0x04ffffff,0xfffffe88,
    0x3ffa001f,0x36003fff,0x3a7fffff,0xffffffff,0xffffffff,0x6c1fffff,
    0xffffffff,0xffffffff,0x7ec004ff,0x3321ffff,0xeffffffc,0x00cccccc,
    0x5ffffff1,0xffffffd0,0xffffffff,0x1fffffff,0x3fffffe4,0x3ffffee0,
    0xffffb807,0xffffb05f,0x880000df,0x0ffffffe,0x7ffffcc0,0x7f4003ff,
    0x2003ffff,0x0ffffffb,0xfffffffd,0xffffffff,0x83ffffff,0xfffffffd,
    0xffffffff,0x6c004fff,0x3e1fffff,0xffffffff,0x1fffffff,0xffffff10,
    0xfffffd05,0xffffffff,0xffffffff,0x7ffffe41,0xffff101f,0xffd00fff,
    0x3ea05fff,0x001fffff,0xffffd100,0xffa807ff,0x004fffff,0x3fffffe8,
    0x3fffea00,0xffffd0ff,0xffffffff,0xffffffff,0xffffd83f,0xffffffff,
    0x04ffffff,0x7ffffec0,0x3fffffe1,0xffffffff,0x3ffe01ff,0xffe83fff,
    0xffffffff,0xffffffff,0x3ff20fff,0xd80effff,0x07ffffff,0x7fffffcc,
    0x3ffffe00,0xe880005f,0x05ffffff,0x7fffffd4,0xffd0003f,0x6c007fff,
    0x3a7fffff,0xffffffff,0xffffffff,0x6c1fffff,0xffffffff,0xffffffff,
    0x7ec004ff,0x3fe1ffff,0xffffffff,0x01ffffff,0x5ffffff1,0xddddddb0,
    0xdffffffd,0x1ddddddd,0x7fffffe4,0xfffcacff,0x407fffff,0x05fffffc,
    0x7fffffe4,0x3fe60000,0x00efffff,0x3fffffe2,0x3fa0002f,0x2003ffff,
    0x25ffffff,0x9cfffffe,0x99999999,0xd8199999,0xccefffff,0xcccccccc,
    0x7ec002cc,0x2661ffff,0xcfffffe9,0x20199999,0x1ffffff9,0xfffff800,
    0x7ffe4007,0xffffffff,0xffffffff,0x3fffe207,0xaaaaacff,0xfffffcaa,
    0xff30003f,0x01dfffff,0xffffffd8,0x7ff40001,0xd8803fff,0x23ffffff,
    0x03fffffe,0x7ffec000,0x000004ff,0x1fffffd8,0x7fffffd0,0xffff3000,
    0xff0001ff,0xc800ffff,0xffdfffff,0xfeffffff,0x3ee07fff,0xffffffff,
    0xffffffff,0x8006ffff,0xfffffff8,0x7ffcc00e,0x80001fff,0x9cfffffe,
    0xfba99999,0x2fffffff,0x0ffffffa,0xfffb0000,0x000009ff,0x3fffffb0,
    0x3fffffa0,0xfffa8003,0x999706ff,0xffff9999,0x999999ff,0xffffc899,
    0xfffffdaf,0x7ffffbcf,0x3fffffa0,0xffffffff,0xffffffff,0x3fe2001f,
    0x005fffff,0x07fffff7,0x3fffa000,0xffffffff,0xffffffff,0x7fff45ff,
    0x400003ff,0x04fffffd,0xffd80000,0xffd01fff,0x90007fff,0x20bfffff,
    0xfffffffe,0xffffffff,0x20ffffff,0x8afffffc,0xf73ffffe,0x3e60ffff,
    0xffffffff,0xffffffff,0x05ffffff,0xffffff10,0x7fec00bf,0x36001fff,
    0xffd0abcd,0xffffffff,0xffffffff,0xffe81dff,0x00003fff,0x27ffffec,
    0x7ec00000,0xfd01ffff,0x0007ffff,0x09ffffff,0x3ffffffa,0xffffffff,
    0x0fffffff,0x8bfffff2,0x90000ab8,0xffffffff,0xffffffff,0xffffffff,
    0xffffd001,0xfd800bff,0x3000ffff,0x3a7fffff,0xffffffff,0xffffffff,
    0xfe80ffff,0x0003ffff,0x7ffffec0,0xd8000004,0xd01fffff,0x007fffff,
    0xffffff98,0xfffffd02,0xffffffff,0xffffffff,0x7ffffe41,0x7fc00002,
    0xeeeeffff,0xeeeeeeee,0x3ffffffe,0x7ffffec0,0xffb8005f,0xfb002fff,
    0x3fa1ffff,0xffffffff,0xffffffff,0xfffd00cf,0x800007ff,0x04fffffd,
    0xffd80000,0xffd01fff,0x4c007fff,0x07ffffff,0x3ffffffa,0xffffffff,
    0x0fffffff,0x0bfffff2,0xfffa8000,0xe8000fff,0x206fffff,0x6ffffffb,
    0xffff3000,0xffb801df,0x3ffa6fff,0xffffffff,0x0bdeffff,0x7fffff40,
    0x7ec00003,0x0004ffff,0xffffd800,0xffffd01f,0x3fea007f,0x203fffff,
    0x99999998,0x99ffffff,0x64199999,0x002fffff,0x3ffff600,0xff70005f,
    0xf103ffff,0x9bffffff,0x99999999,0x7fff4199,0xfc881eff,0x3a3fffff,
    0x003fffff,0x7ffff400,0x999999cf,0x99999999,0x3fff6199,0x000004ff,
    0x1fffffd8,0x9fffffd0,0x75533333,0xfffffffb,0x7fc0001f,0x64007fff,
    0x002fffff,0xfffff100,0x3e20005f,0xb85fffff,0xffffffff,0xffffffff,
    0x3fe60fff,0xcdefffff,0xfffffffe,0x3ffffa0e,0x7400003f,0xffffffff,
    0xffffffff,0x27ffffff,0x04fffffd,0xffd80000,0xffd01fff,0xffffffff,
    0xffffffff,0x0003ffff,0x07fffff8,0x7ffffe40,0xff700002,0x8000ffff,
    0x0ffffffd,0x3fffffe2,0xffffffff,0x40ffffff,0xfffffffa,0xffffffff,
    0x7fff40ff,0x400003ff,0xfffffffe,0xffffffff,0x7fffffff,0x13fffff6,
    0x3f600000,0xfd01ffff,0xffffffff,0xffffffff,0x0007ffff,0x0ffffff0,
    0xfffffc80,0xffd00002,0x80009fff,0x3ffffffa,0x3fffffea,0xffffffff,
    0x80ffffff,0xfffffffb,0xefffffff,0xfffffe81,0x7f400003,0xffffffff,
    0xffffffff,0x367fffff,0x004fffff,0xfffd8000,0xfffd01ff,0xffffffff,
    0xffffffff,0x3e00003d,0x4007ffff,0x02fffffc,0xffff9800,0xf80001ff,
    0x326fffff,0xffffffff,0xffffffff,0x9100ffff,0xffffffff,0x7f409fff,
    0x0003ffff,0x7fffff40,0xffffffff,0xffffffff,0x3ffff67f,0x8000004f,
    0x01fffffd,0xfffffffd,0xffffffff,0x00005dff,0x07fffff8,0x777775c0,
    0xffd80001,0x00006fff,0x3ffffff9,0x3ffffff6,0xffffffff,0x00ffffff,
    0x6ff6e544,0xffe800ac,0x00003fff,0x7ffffff4,0xffffffff,0xffffffff,
    0x3fffff67,0xd8000004,0xd01fffff,0xffffffff,0x9bdfffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x22039999,0x83ffffff,0x20aaaaaa,0x002aaaaa,
    0xffffd000,0x2aaaa03f,0x555550aa,0x3fe00005,0x7ff40fff,0xca9802ff,
    0x530abdee,0x00035555,0x55555553,0x7fffd403,0xffffffff,0x4cc44fff,
    0x00000999,0x55555555,0x55555555,0x40000033,0x03fffff9,0x1bffffe6,
    0x83fffffa,0x007fffff,0xffffc800,0xffe80eff,0xfffd0fff,0xf00001ff,
    0xfe81ffff,0x7ec02fff,0x5fffffff,0x09fffffb,0xfffffa80,0x3ee00fff,
    0xffffffff,0x44ffffff,0x05fffffc,0xffffb000,0xffffffff,0x39ffffff,
    0xffe80000,0x7cc03fff,0x7f42ffff,0x3fe0ffff,0x00007fff,0x7fffffd4,
    0xfffe84ff,0xffffd0ff,0xff00001f,0xffe81fff,0x3ff602ff,0x4fffffff,
    0x09fffffb,0x7ffffd40,0x7ec00fff,0xffffffff,0x44ffffff,0x05fffffc,
    0xffffb000,0xffffffff,0xffffffff,0x3f20000b,0x803fffff,0x746ffffa,
    0x3e0fffff,0x0007ffff,0x3bfffe20,0x742ffffd,0xfd0fffff,0x0001ffff,
    0x81fffff0,0x902ffffe,0xffffffff,0x3fff65ff,0xff3004ff,0x03ffffff,
    0xffffffd0,0xffffffff,0xffffc89f,0xfb00005f,0xffffffff,0xffffffff,
    0x000bffff,0xffffff98,0xfff5003f,0x7ffff43f,0x3ffffe0f,0x3f600007,
    0xfffd0fff,0x7ffff41f,0xfffffd0f,0xfff00001,0xfffe81ff,0xffffd02f,
    0x21fdbfff,0x04fffffd,0xffffff98,0xff8801ff,0xffffffff,0x44ffffff,
    0x05fffffc,0xffffb000,0xffffffff,0xffffffff,0x22000bff,0xfffffffe,
    0x3ffee003,0x3fffffa5,0x1fffffe0,0x7ffdc000,0x3fffe22f,0x3fffffa5,
    0x1fffffd0,0x33330000,0x13333103,0x3fffffe0,0x3ffff603,0x7ffc404f,
    0x001fffff,0x9bfffff3,0x99999999,0xffffc859,0xfb00005f,0xddddffff,
    0xfffddddd,0x01ffffff,0xfffff900,0xa8007fff,0x3fffa2aa,0x3fffe0ff,
    0x5500007f,0x55530555,0x26666215,0x3fffffa1,0x00000000,0x7ffffc40,
    0x3fff600f,0x3fa204ff,0x01ffffff,0x3ffffee0,0x3ff20000,0x00005fff,
    0x09fffffb,0x3ffffaa0,0x7d4002ff,0xffffffff,0xffd00003,0x7ffc1fff,
    0x000007ff,0xffd00000,0x00001fff,0xff880000,0x7ec07fff,0xd104ffff,
    0x5fffffff,0xffffc800,0x7fe40007,0x00005fff,0x09fffffb,0xfffffe80,
    0x3ffe2005,0x3fffffff,0xfffd0000,0x7fffc1ff,0x0000007f,0xfffd0000,
    0x002201ff,0x3e200000,0x6c06ffff,0xb04fffff,0x5fffffff,0xffffd000,
    0xffc8000d,0x00005fff,0x09fffffb,0xfffffb80,0x3fff6006,0x3fffffff,
    0xdddddb00,0x3fffffa1,0x1fffffe0,0xeeeeee98,0x3bbb600d,0xdddb00ee,
    0x3fffa1dd,0x3fb6a0ff,0xb000cdff,0x201ddddd,0xffffeeea,0x21eeeeff,
    0x84fffffd,0xfffffffd,0xffff0002,0xfc80009f,0x0005ffff,0x9fffffb0,
    0xffff9800,0xfff5004f,0xfffff7ff,0x3fffa007,0xffffd0ff,0x7ffffc1f,
    0xfffff107,0xffe803ff,0xffd00fff,0x3ffa1fff,0xffd88fff,0x1effffff,
    0xfffffe80,0xfffff700,0xffffffff,0x7ffffec5,0x7ffffe44,0xf10002ff,
    0xb737ffff,0xc80159df,0x005fffff,0xfffffb00,0xfffc8009,0xff8802ff,
    0xfffaafff,0xffd003ff,0x3ffa1fff,0x3ffe0fff,0xffe887ff,0xe802ffff,
    0xd00fffff,0x3a1fffff,0xfeafffff,0xffffffff,0x7ff401ff,0xff700fff,
    0xffffffff,0x7fec5fff,0x3ff24fff,0x003fffff,0x3ffffea0,0xffffffff,
    0x3fff202f,0xb00005ff,0x009fffff,0x0ffffff8,0x5ffffd80,0x07fffff5,
    0x3fffffa0,0x1fffffd0,0x43fffffc,0x2ffffffe,0xfffffd00,0x3ffffa01,
    0xfffffd0f,0xffffffff,0x80bfffff,0x00fffffe,0xfffffff7,0x45ffffff,
    0x74fffffd,0x7fffffff,0xfffb8000,0xffffffff,0xf904ffff,0x000bffff,
    0x3fffff60,0xfffb8804,0xfa805fff,0xff50ffff,0x3a007fff,0xfd0fffff,
    0x7fc1ffff,0x7fec7fff,0x2003ffff,0x00fffffe,0x21fffffd,0xfffffffe,
    0xfffdbbdf,0x3a01ffff,0x700fffff,0xffffffff,0x6c5fffff,0xfacfffff,
    0x4fffffff,0x7ffec000,0xffffffff,0xc84fffff,0x005fffff,0xfffffb00,
    0xffffffff,0xffffffff,0xffff1009,0x7fffd45f,0xfffd003f,0x3fffa1ff,
    0x3fffe0ff,0x3ffff27f,0x7f4003ff,0xfd00ffff,0x3fa1ffff,0x80ffffff,
    0x4ffffff9,0x3fffffa0,0xffff8800,0x7ffec06f,0xfffffeff,0x001fffff,
    0x3fffffe0,0xffffefff,0x7e41ffff,0x0005ffff,0xffffffb0,0xffffffff,
    0x07ffffff,0x17ffff60,0x07fffff5,0x3fffffa0,0x1fffffd0,0xbbfffffc,
    0x04ffffff,0xfffffe80,0xfffffd00,0x3fffffa1,0x3fff201f,0x3ffa05ff,
    0xf8800fff,0x6c06ffff,0xffffffff,0xffffffff,0xfff10006,0xfb819fff,
    0x646fffff,0x005fffff,0xfffffb00,0xffffffff,0x3dffffff,0xfffff700,
    0xfffffa81,0xffffd003,0x3ffffa1f,0x3ffffe0f,0xffffffaf,0xfffd0004,
    0x3ffa01ff,0xfffd0fff,0xffa809ff,0x3fa05fff,0x8800ffff,0x406fffff,
    0xfffffffd,0xffffffff,0xb88003ff,0x2602ffec,0x22ffffff,0x05fffffc,
    0xffffb000,0xffffffff,0xffffffff,0x3fe203df,0xffa82fff,0xfd003fff,
    0x3fa1ffff,0x3fe0ffff,0xffffffff,0x3a0006ff,0xd00fffff,0x3a1fffff,
    0x402fffff,0x06fffff9,0x03fffffa,0x3ffffe20,0x7fffec06,0xfcffffff,
    0x00ffffff,0xffb00000,0x7fe49fff,0x00005fff,0xfffffffb,0xffffffff,
    0xffffffff,0xbffffb03,0x3ffffea0,0xffffd003,0x3ffffa1f,0x3ffffe0f,
    0xffffffff,0xfffd0000,0x3ffa01ff,0xfffd0fff,0xff9803ff,0x3fa06fff,
    0x8800ffff,0x406fffff,0xfffffffd,0xffff73ff,0x00000bff,0x3ffffea0,
    0x3fffff25,0xffb00005,0x5555bfff,0xfd975555,0x41ffffff,0x00fffffb,
    0x07fffff5,0x3fffffa0,0x1fffffd0,0x7ffffffc,0x05ffffff,0xfffffd00,
    0x3ffffa01,0xfffffd0f,0xffff9803,0x3fffa06f,0xff8800ff,0x7ec06fff,
    0x4fffffff,0x7ffffff4,0x98000003,0x326fffff,0x005fffff,0xfffffb00,
    0xfffc8009,0xfff14fff,0x99999dff,0xbfffffb9,0x3fa03999,0xffd0ffff,
    0x7ffc1fff,0xffffffff,0xe8002fff,0xd00fffff,0x3a1fffff,0x400fffff,
    0x06fffff8,0x03fffffa,0x3ffffe20,0x7fffec06,0xffa84fff,0x000fffff,
    0x7ffc4000,0x3fff27ff,0xb00005ff,0x009fffff,0xffffff90,0xffffff11,
    0xffffffff,0xffffffff,0x3ffffa05,0xfffffd0f,0x7fffffc1,0xffffffff,
    0xfffe8006,0xfffd00ff,0x3fffa1ff,0x7fc400ff,0x3fa06fff,0x8800ffff,
    0x406fffff,0x4ffffffd,0x3fffff60,0x4000005f,0x26fffff9,0x05fffffc,
    0xffffb000,0xff50009f,0xff13ffff,0xffffffff,0xffffffff,0x3a05ffff,
    0xfd0fffff,0x7fc1ffff,0xe8ffffff,0x003fffff,0x07fffff4,0x0fffffe8,
    0x01fffffd,0x6fffff88,0x3fffffa0,0xffff8800,0x7ffec06f,0x7fcc05ff,
    0x802fffff,0x00ccaa98,0x2fffffd4,0x0bfffff9,0x3fff6000,0xf88004ff,
    0xf8bfffff,0xffffffff,0xffffffff,0xd02fffff,0x3a1fffff,0x3e0fffff,
    0x30ffffff,0x01ffffff,0x7fffff40,0xfffffd00,0x3fffffa1,0x7fffc400,
    0x3fffa06f,0xff8800ff,0x7ec06fff,0xc804ffff,0x0fffffff,0x7fffff40,
    0x7fffe403,0x3ffff24f,0xfb00005f,0x0009ffff,0x5ffffff5,0xfffffff1,
    0xffffffff,0x5fffffff,0x3fffffa0,0x1fffffd0,0x0ffffffc,0x13fffff6,
    0xfffffe80,0xfffffd00,0x3fffffa1,0x7fffc400,0x3fffa06f,0xff8800ff,
    0x7ec06fff,0x8804ffff,0x5fffffff,0x7ffffe40,0x3fffe207,0x3fff21ff,
    0xb00005ff,0x009fffff,0xffffff90,0x99999911,0xfb999999,0x999bffff,
    0x3ffffa03,0xfffffd0f,0x3fffffc1,0x7fffffc4,0xffffd001,0x3fffa01f,
    0xffffd0ff,0xfff8801f,0x3ffa06ff,0xf8800fff,0x6c06ffff,0x004fffff,
    0xfffffff7,0x7fffcc05,0x7ec40cff,0x7e45ffff,0x0005ffff,0x9fffffb0,
    0xffffa800,0x2a0006ff,0x003fffff,0x21fffffd,0x20fffffe,0x907fffff,
    0x00bfffff,0x03fffffa,0x87fffff4,0x00fffffe,0x37ffffc4,0x1fffffd0,
    0xfffff100,0xffffd80d,0x3ffa004f,0x200fffff,0xfffffffe,0xffffebac,
    0x7ffe41ff,0x99999dff,0x99999999,0xffffb099,0x3333339f,0xfffd7555,
    0x0009ffff,0x1fffffd4,0xfffffe80,0x1fffffd0,0x83fffffc,0x2ffffff8,
    0xfffffe80,0xfffffd00,0x3fffffa1,0x7fffc400,0x3fffa06f,0xff8800ff,
    0x7ec06fff,0x2004ffff,0xfffffff9,0x3fffe204,0xffffffff,0xfc84ffff,
    0xffffffff,0xffffffff,0xffb3ffff,0xffffffff,0xffffffff,0x03ffffff,
    0x7fffd400,0xfffd003f,0x3fffa1ff,0x3fffe0ff,0x3ffee07f,0xffe806ff,
    0xffd00fff,0x3ffa1fff,0x7c400fff,0x3a06ffff,0x800fffff,0x06fffff8,
    0x27ffffec,0x3ffff600,0x3ea01fff,0xffffffff,0x903fffff,0xffffffff,
    0xffffffff,0x367fffff,0xffffffff,0xffffffff,0x2fffffff,0x7ffd4000,
    0xffd003ff,0x3ffa1fff,0x3ffe0fff,0x7ff407ff,0x7f403fff,0xfd00ffff,
    0x3fa1ffff,0x4400ffff,0x206fffff,0x00fffffe,0x6fffff88,0x7ffffec0,
    0x7ffc4004,0x5406ffff,0xfffffffe,0x3202ffff,0xffffffff,0xffffffff,
    0xfb3fffff,0xffffffff,0xffffffff,0x007fffff,0xfffff500,0x3fffa007,
    0xffffd0ff,0x7ffffc1f,0x7fffd407,0x3ffa00ff,0xffd00fff,0x3ffa1fff,
    0x7c400fff,0x3a06ffff,0x800fffff,0x06fffff8,0x27ffffec,0x7fffe400,
    0xfb804fff,0xceffffff,0x7fffe401,0xffffffff,0xffffffff,0xfffffb3f,
    0xffffffff,0xbfffffff,0x3ea00005,0xd003ffff,0x3a1fffff,0x3e0fffff,
    0xe807ffff,0x204fffff,0x00fffffe,0x21fffffd,0x00fffffe,0x37ffffc4,
    0x1fffffd0,0xfffff100,0xffffd80d,0xffd0004f,0x003fffff,0x0026ea62,
    0xffffffc8,0xffffffff,0x3fffffff,0xfffffffb,0xffffffff,0x00017bdd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55000000,0x35555555,0xaaaaa800,0x5530aaaa,0x30003555,
    0x2a155555,0xaaaaaaaa,0x019aaaaa,0xaaaaaa80,0xaaaaaaaa,0x44000099,
    0x5404cc01,0x001aaaaa,0x0aaaaaa8,0x02aaaaaa,0x55555553,0x55555555,
    0x15555555,0x55555554,0x2aaa0001,0x3b60aaaa,0xdd90eeee,0xfd003ddd,
    0xdfffffff,0x7fffcc00,0xfb2fffff,0x000dffff,0x21fffffb,0xfffffffe,
    0xffffffff,0xffd003ef,0xffffffff,0x9fffffff,0x7fe44003,0x2ffcc1cf,
    0x27ffffec,0x7ffffc00,0x3ffffe1f,0x7fffe43f,0xffffffff,0xffffffff,
    0x3ffee1ff,0x70006fff,0x8bffffff,0xb0fffffe,0x3a5fffff,0xfe8fffff,
    0xffffffff,0xffff9000,0x365fffff,0x04ffffff,0x7ffffec0,0xffffffd0,
    0xffffffff,0x807fffff,0xfffffffe,0xffffffff,0x8804ffff,0xffffffff,
    0xd85ffebc,0x004fffff,0x1ffffff8,0x0ffffffe,0xfffffff9,0xffffffff,
    0x3fffffff,0xffffffe8,0x7ffc4003,0x7f40ffff,0xffb0ffff,0x3ffa5fff,
    0xfffe8fff,0x02ffffff,0xffffffd0,0x3ff65fff,0x001fffff,0x43fffff6,
    0xfffffffe,0xffffffff,0x205fffff,0xfffffffe,0xffffffff,0x405fffff,
    0xfffffffc,0x83ffffff,0x04fffffd,0xffffff80,0x3fffffe1,0x7ffffe43,
    0xffffffff,0xffffffff,0x7fffcc1f,0x36000fff,0x83ffffff,0xb0fffffe,
    0x3a5fffff,0xfe8fffff,0xffffffff,0xffff8804,0xb2ffffff,0xbfffffff,
    0x7fffec00,0xfffffd0f,0xffffffff,0xffffffff,0x3ffffa0b,0xffffffff,
    0xffffffff,0x37ffa04f,0xfffffeca,0xffffb06f,0xfff0009f,0x7ffc3fff,
    0x7fe43fff,0xffffffff,0xffffffff,0xfc81ffff,0x004fffff,0xdffffff3,
    0x3fffffa0,0x5fffffb0,0x23fffffa,0xfffffffe,0xffa806ff,0xffffffff,
    0xffffffb2,0x3f6005ff,0xffd0ffff,0xffffffff,0xffffffff,0xfd03ffff,
    0xffffffff,0xffffffff,0x201fffff,0xfec987ff,0x3fff603e,0xff8004ff,
    0x3fe1ffff,0x7e43ffff,0xffffffff,0xffffffff,0x881fffff,0x1ffffffe,
    0xfffffe80,0xffffd01f,0x3ffff61f,0xfffffd2f,0xffffffd1,0xc801ffff,
    0xffffffff,0xffffb2ff,0x001fffff,0x21fffffb,0x03fffffe,0x3ffff662,
    0xffe86fff,0x75403fff,0x4fffffff,0x00001330,0x09fffffb,0xffffff00,
    0x7fffffc3,0xff700003,0x407fffff,0x6ffffffa,0x7ffffd40,0x2666204f,
    0x26666219,0xfffffd09,0xffffffd1,0xe805ffff,0xffffffff,0xffffb2ff,
    0x009fffff,0x21fffffb,0x03fffffe,0xfffffb30,0xffffe87f,0xfff7003f,
    0x0000dfff,0xfffffb00,0xffff0009,0x7fffc3ff,0xa80003ff,0x5fffffff,
    0xfffffd80,0xffff103f,0x00000dff,0x7ffff400,0x04ffffdf,0x37ffffe2,
    0xfb2fffff,0xffffffff,0xfffd803f,0xffffd0ff,0x7fc4007f,0x3a0fffff,
    0x003fffff,0x1ffffffe,0xd8018800,0x004fffff,0x1ffffff8,0x0bfffffe,
    0xffff1000,0x2200dfff,0x0fffffff,0xffffffc8,0x4c000002,0xffd19999,
    0xffff7fff,0x7fffd40f,0x2fffffbf,0xfffffffb,0xfd80dfff,0xffd0ffff,
    0xb8007fff,0x23ffffff,0x03fffffe,0x3fffff20,0x9ddddb0f,0xefffeca8,
    0xffffd80c,0xfff8004f,0x3ffa1fff,0x20001fff,0xffffffe8,0x3fee000f,
    0x7c44ffff,0x005fffff,0xfffe8000,0xffffe8ff,0x1fffff9f,0x7bffff90,
    0x365fffff,0xffffffff,0x3f603fff,0xffd0ffff,0xd0007fff,0x74bfffff,
    0x003fffff,0x3fffffea,0x2bffffd0,0xffffffd8,0x7fec1fff,0xf8004fff,
    0x3a1fffff,0x001fffff,0x3fffff60,0xfe8001ff,0x361fffff,0x00ffffff,
    0xffe80000,0xfffe8fff,0x7fffff7f,0x2fffffa0,0xb2fffffb,0xffffffff,
    0x3601ffff,0xfd0fffff,0x0007ffff,0x4ffffff9,0x03fffffe,0x3fffff20,
    0x37ffffa7,0xffffffe8,0x362fffff,0x004fffff,0x1ffffff8,0x03fffff6,
    0x7fffdc00,0x30003fff,0x2dffffff,0x2ffffffa,0xfd000000,0xffd1ffff,
    0x3fff6fff,0xffff885f,0xfffffb9f,0x5fffffb2,0x0bffffff,0x43fffff6,
    0x03fffffe,0xfffffa80,0xfffffd1f,0x7fffc007,0x3fffa5ff,0xffffffef,
    0x6fffffff,0x13fffff6,0x3ffffe00,0x3ffff21f,0xfff50007,0x0009ffff,
    0xffffffc8,0x5fffffea,0x3a000000,0xfe8fffff,0xfff77fff,0xffff50ff,
    0x3ffffeef,0x1fffffb2,0x3ffffff9,0x1fffffb0,0x0ffffffa,0x3fffe600,
    0xffffd1ff,0xffd1007f,0x7f47ffff,0xefffffff,0xfffffdbb,0xffffb2ff,
    0xffffffff,0xffffffff,0x7dc3ffff,0x88007fff,0x6fffffff,0xfffd0000,
    0xffffffff,0x0000001f,0x47fffff4,0xf37ffffe,0xfc83ffff,0xfff75fff,
    0x3fff65ff,0xffff88ff,0xfffd86ff,0xffffd0ff,0xff10007f,0x3fa5ffff,
    0x999cffff,0xfffca999,0x3a2fffff,0x0fffffff,0xffffffa8,0xffffffb3,
    0xffffffff,0xffffffff,0x7ffd43ff,0x7f44006f,0x00ffffff,0xffff3000,
    0x7fffffff,0xc8000000,0xfe8ddddd,0x3ffe7fff,0x7fffc3ff,0xfffff73f,
    0x3fffff65,0xffffff50,0xfffffd87,0x7fffffd0,0xffff1000,0x3fffa5ff,
    0xffffffff,0xffffffff,0x7fff46ff,0x3f601fff,0xffb4ffff,0xffffffff,
    0xffffffff,0x43ffffff,0x005ffffa,0x7fffffec,0x6c00001f,0xffffffff,
    0x0000006f,0x7ffff400,0x97ffff67,0x71fffff9,0x365fffff,0x360fffff,
    0x20ffffff,0xd0fffffd,0x007fffff,0xffffff10,0x3fffffa7,0xffffffff,
    0xefffffff,0x7fffff40,0x7fffd404,0xfffffb5f,0xffffffff,0xffffffff,
    0x7fcc3fff,0x3f2004ff,0x02ffffff,0xfff88000,0x01ffffff,0x40000000,
    0x2e7ffffe,0x3ee7ffff,0x3fee7fff,0xfffb2fff,0x7ffcc1ff,0x3ff65fff,
    0xfffd0fff,0xf10007ff,0x3a5fffff,0xffffffff,0xffffffff,0xfe81ffff,
    0x4c02ffff,0xfb5fffff,0xffffffff,0xffffffff,0x3fffffff,0x027fffc4,
    0xffffffa8,0x2000004f,0xfffffffa,0xfffd0004,0x3fff61ff,0xffe802ff,
    0x3ffe67ff,0xffffb1ff,0x7ffffdcb,0x1fffffb2,0xffffffc8,0x1fffffb2,
    0x0ffffffa,0x3fffe200,0xffffd2ff,0xffffffff,0x3bffffff,0x3fffffa0,
    0x7fffcc01,0xfffffb6f,0x33333339,0xfff33333,0xfff83fff,0xfff9803f,
    0x0005ffff,0xffffd800,0xfd0000ff,0x3f61ffff,0xe802ffff,0x7fc7ffff,
    0xffff4fff,0x7fffdc7f,0xfffffb2f,0xfffffd01,0x3fffff6d,0x7fffffd0,
    0xffff3000,0x3fffa3ff,0xffffffff,0x00ceffff,0x0ffffff4,0x3ffffe60,
    0x9fffffb6,0xfffff000,0x2ffff83f,0x7ffff440,0x00000eff,0xfffffc80,
    0x3ffa0005,0xfffb0fff,0xffd005ff,0xfffd8fff,0xfffff9ef,0x3ffffee1,
    0x1fffffb2,0xffffff50,0x1fffffb9,0x0ffffffa,0x3fffea00,0xffffd0ff,
    0x1333339f,0x3fffa000,0x7fc400ff,0xfffb6fff,0xff0009ff,0xfe83ffff,
    0x7fec01ff,0x001fffff,0xfff90000,0x74000bff,0xfb0fffff,0xd005ffff,
    0xfb8fffff,0xfffcffff,0x7fffdc7f,0xfffffb2f,0x3ffff601,0xfffffeff,
    0x7fffffd0,0xffff9000,0x7ffff4ff,0x7400003f,0x400fffff,0xb6fffff8,
    0x009fffff,0x3ffffff0,0x201fffd8,0xfffffffc,0x20000002,0x05fffffc,
    0x3ffffa00,0xfffffb0f,0xffffd005,0xfffff98f,0x5c5fffff,0xfb2fffff,
    0x2201ffff,0xffffffff,0xffd0ffff,0xd0007fff,0x74bfffff,0x003fffff,
    0x7ffff400,0x7ffc400f,0xffffb6ff,0xfff0009f,0xffc83fff,0xffff500f,
    0x00007fff,0xffffc800,0x3fa0005f,0x3ff67fff,0xfe802fff,0xfff87fff,
    0x3fffffff,0x97ffffdc,0x00fffffd,0x3fffffee,0xfd0fffff,0x8007ffff,
    0x2ffffffb,0x0ffffffa,0xfffd0000,0xff8801ff,0xfffb6fff,0xff0009ff,
    0xfb83ffff,0xffff307f,0x0000bfff,0xffff9000,0xf10000bf,0x3a0000df,
    0xfd87ffff,0xffffffff,0x7ffffdc1,0x1fffffb2,0xfffffe80,0xfd0fffff,
    0x4007ffff,0x7ffffff8,0x1ffffff4,0x3ffa0000,0x7c400fff,0xffb6ffff,
    0xf0009fff,0x003fffff,0xfffffe88,0x000000ef,0xfffffc80,0xffa80005,
    0xfffff986,0xffffd01f,0xfffff70f,0xff70ffff,0x3ff65fff,0x7cc00fff,
    0xffffffff,0xfffffd0f,0x3ffaa007,0x7f43ffff,0x0003ffff,0x7fffff40,
    0x7fffc400,0xfffffb6f,0xffff0009,0xfd8003ff,0x00ffffff,0xf9000000,
    0x000bffff,0xf909ff90,0x7405ffff,0xf987ffff,0x5fffffff,0x2fffffb8,
    0x01fffffb,0xffffff90,0x3ffa1fff,0x9999cfff,0xfffebaa9,0x740effff,
    0x003fffff,0x7ffff400,0x7ffc400f,0xffffb6ff,0xfff0009f,0x7fec3fff,
    0xfff71fff,0x3337ffff,0x33333333,0x00333333,0x3fffff20,0x3f620005,
    0x7ffc40ff,0x7ff403ff,0xffff07ff,0xf707ffff,0x3f65ffff,0x8800ffff,
    0xffffffff,0xfffffd0f,0xffffffff,0xffffffff,0xffffd03f,0xe800007f,
    0x400fffff,0xb6fffff8,0x009fffff,0x3ffffff0,0x8fffffec,0xfffffffb,
    0xffffffff,0xffffffff,0xff90007f,0x2000bfff,0xc82ffff8,0xe804ffff,
    0xfb07ffff,0x03ffffff,0x25fffff7,0x00fffffd,0xffffff50,0x3fffa1ff,
    0xffffffff,0xffffffff,0xfffd02ff,0x800007ff,0x00fffffe,0xb7ffffc4,
    0x04fffffd,0xffffff80,0x3fffff61,0xffffff71,0xffffffff,0xffffffff,
    0x32000fff,0x005fffff,0x220bffa0,0xd004ffff,0x2e0fffff,0x07ffffff,
    0x25fffff7,0x00fffffd,0x3fffff60,0xffffd0ff,0xffffffff,0xbfffffff,
    0x7ffff403,0x7400003f,0x400fffff,0xb6fffff8,0x009fffff,0x3ffffff0,
    0x8fffffec,0xfffffffb,0xffffffff,0xffffffff,0xff90007f,0x4000bfff,
    0xfff700ca,0x7fff400b,0xffff307f,0x3fee0bff,0xfffb2fff,0x7cc001ff,
    0xd0ffffff,0xffffffff,0xffffffff,0xffd005df,0x00007fff,0x0fffffe8,
    0x7ffffc40,0x9fffffb6,0xfffff000,0x7fffec3f,0xfffff71f,0xffffffff,
    0xffffffff,0x2000ffff,0x05fffffc,0x2eea0000,0x7fff4003,0x3fffe07f,
    0xfff703ff,0x3fff65ff,0x7e4000ff,0xfd0fffff,0xffffffff,0x59bdffff,
    0x7ffff400,0x7400003f,0x400fffff,0xb6fffff8,0x009fffff,0x3ffffff0,
    0x8fffffec,0xfffffffb,0xffffffff,0xffffffff,0xff90007f,0x0000bfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55500000,0x80035555,0x2aaaaaa8,0x0d555554,
    0x55555500,0x55540035,0x2aaa0aaa,0x40002aaa,0x22aaaaa9,0xaaaaaaaa,
    0x9aaaaaaa,0x55500019,0x55555555,0x55555555,0x22555555,0xffffffff,
    0xffffffff,0x5003ffff,0x40079999,0xaaaaaaa9,0xaaaaaaaa,0x00aaaaaa,
    0xff500080,0x800dffff,0x4ffffffc,0x37ffffe4,0xfffff880,0xff3006ff,
    0x7ec1ffff,0x000fffff,0x3fffffa0,0x3fffff66,0xffffffff,0x0cefffff,
    0xffffff00,0xffffffff,0xffffffff,0x3ffe2dff,0xffffffff,0xffffffff,
    0xfffb003f,0x4d5c00bf,0x99999999,0x99999999,0xddd12a99,0x3ff225dd,
    0x3f600bdf,0x004fffff,0xfffffff3,0xfffffa81,0xffff5007,0x7001ffff,
    0xa8dfffff,0x03ffffff,0xfffff100,0x7fffec7f,0xffffffff,0xffffffff,
    0xffff804f,0xffffffff,0xffffffff,0xff16ffff,0xffffffff,0xffffffff,
    0x3f6007ff,0x2e005fff,0x94c00000,0x8bfffff8,0x2ffffffe,0x3ffffe20,
    0xffe801ff,0xf882ffff,0x801fffff,0xfffffffc,0xfffc802f,0xffff84ff,
    0xf70006ff,0x6c1fffff,0xffffffff,0xffffffff,0x04ffffff,0x7ffffffc,
    0xffffffff,0xffffffff,0xfffff16f,0xffffffff,0x7fffffff,0x3ffff600,
    0x0002e005,0x3fe25300,0xfffdbfff,0x5c00ffff,0x06ffffff,0x7fffffdc,
    0x3ffffe05,0xfffe803f,0x804fffff,0x82fffffe,0x0ffffffc,0xffffd800,
    0x7fffec6f,0xffffffff,0xffffffff,0x3fe03fff,0xffffffff,0xffffffff,
    0x16ffffff,0xffffffff,0xffffffff,0x2003ffff,0x005ffffd,0x3000002e,
    0x3ffffe25,0xfffffffe,0xffffd005,0x3fe207ff,0x200fffff,0x05fffffd,
    0x7fffffc4,0x7c406fff,0x980fffff,0x03ffffff,0x7ffffc40,0x7fffec3f,
    0xffffffff,0xffffffff,0x3fe07fff,0xffffffff,0xffffffff,0x16ffffff,
    0x99999999,0xffd99999,0x6c007fff,0x2005ffff,0x4c00000b,0xffffff12,
    0x5fffffff,0x3fffe600,0xffd80fff,0x5c03ffff,0x406fffff,0xfffffffb,
    0x3e600fff,0x3a07ffff,0x006fffff,0x7fffffdc,0x7ffffec0,0xfffb3004,
    0x0005ffff,0x27ffffec,0x3e200000,0x4005ffff,0x005ffffd,0x3000002e,
    0x3ffffe25,0x7da9cfff,0x7fffdc00,0x7ffd45ff,0xf9806fff,0x200fffff,
    0xfffffffd,0x3ee02fff,0x3205ffff,0x01ffffff,0x3fffff60,0xfffffd85,
    0x7ffdc004,0x20004fff,0x04fffffd,0x7fec0000,0xfd8006ff,0x2e005fff,
    0x94c00000,0xfffffff8,0xffd00002,0x7f43ffff,0x000fffff,0x05ffffff,
    0x7ffffffc,0x3604ffff,0x203fffff,0x3ffffff9,0xfffff100,0xffffb05f,
    0xff88009f,0x0005ffff,0x13fffff6,0xffa80000,0xaaa81fff,0xffeaaaaa,
    0xaaaaaeff,0x0002e2aa,0x3fe25300,0x0006ffff,0x3ffffe60,0xfffff76f,
    0x7fec007f,0xff303fff,0xffff7fff,0x7fffc0df,0x7ff401ff,0xf5006fff,
    0xb01fffff,0x009fffff,0xdfffffb0,0x7ffec000,0x000004ff,0x09fffff1,
    0x3ffffffe,0xffffffff,0x27ffffff,0x4c00000b,0xffffff12,0xfc800005,
    0xffdfffff,0x4006ffff,0x05fffffb,0xb3fffff7,0x101fffff,0x00ffffff,
    0x3ffffff7,0xfffffb00,0x3ffff60b,0xffe8004f,0x20005fff,0x04fffffd,
    0xfffb0000,0x7fffc0df,0xffffffff,0xffffffff,0x00002e7f,0x3ffe2530,
    0x00001fff,0x7fffff44,0x1fffffff,0x7fffcc00,0xffffb07f,0x3ffffeef,
    0xfffffa82,0xffff8805,0x7fc404ff,0xfb02ffff,0x8009ffff,0x4ffffff8,
    0x3fff6000,0x800004ff,0x02fffffa,0x3ffffffe,0xffffffff,0x27ffffff,
    0x4c00000b,0xffffff12,0xf5000001,0xffffffff,0x3e0009ff,0xf81fffff,
    0xff35ffff,0xff909fff,0x36007fff,0x406fffff,0x07fffffa,0x13fffff6,
    0xfffffb00,0x7ec0005f,0x0004ffff,0x6ffffe80,0x7fffffc0,0xffffffff,
    0x7fffffff,0x3000002e,0x3ffffe25,0x36000007,0xffffffff,0xfd0000ef,
    0xf985ffff,0x3fe3ffff,0xffd86fff,0xf5001fff,0x403fffff,0x04fffffd,
    0x33fffff6,0x99999999,0xfffffea9,0x7ec0006f,0x0004ffff,0x7ffffcc0,
    0x7ffffc03,0xffffffff,0xffffffff,0x000002e7,0x3fffe253,0x2000007f,
    0xfffffff8,0x320002ff,0x5c4fffff,0x320fffff,0x7c0fffff,0x2007ffff,
    0x4ffffff8,0xffffff10,0x7fffec03,0xffffffff,0xffffffff,0x40001fff,
    0x04fffffd,0x7ffec000,0x4ccc00ff,0xffd99999,0x99999eff,0x0002e199,
    0x3fe25300,0x00007fff,0x7ffffdc0,0x540005ff,0x746fffff,0x7d46ffff,
    0x3e62ffff,0x4005ffff,0x07fffffd,0x0dfffff5,0xffffffd8,0xffffffff,
    0xffffffff,0xffd80003,0x00004fff,0x17ffffe6,0x3fff6000,0x002e005f,
    0x3e253000,0x0007ffff,0x7ffff400,0x40006fff,0x27fffff8,0x44fffff8,
    0x24fffff8,0x03fffffb,0x7ffffd40,0xffffd81f,0x7ffec03f,0xffffffff,
    0xffffffff,0xb00001ef,0x009fffff,0x7fffe400,0xfd80001f,0x2e005fff,
    0x94c00000,0x07fffff8,0x3fee0000,0x3fffffff,0x7fff4000,0xffff51ff,
    0xffffd05f,0x7ffffe4d,0xffff8001,0xffff84ff,0x7fec00ff,0xffffffff,
    0xefffffff,0x6c00002c,0x004fffff,0xfffff100,0x3f60000d,0x2e005fff,
    0x94c00000,0x06fffff8,0xfff10000,0xffffffff,0x7fe40003,0xfff93fff,
    0xfff901ff,0x3fffa1ff,0xfc8000ff,0x7d47ffff,0xd806ffff,0xfeefffff,
    0xffffffff,0xb000001e,0x009fffff,0x3fffee00,0xfb00003f,0x5c00bfff,
    0x94c00000,0x06fffff8,0xfffd0000,0xffffffff,0x7fd4000d,0xfffd5fff,
    0x3ffea0df,0xffff8aff,0xff30006f,0x7ec3ffff,0xd803ffff,0x224fffff,
    0xffffffc9,0xd800002f,0x004fffff,0xfffffb00,0x3f600001,0x2e005fff,
    0x94c00000,0x06fffff8,0xfffb8000,0xffffffff,0xf10003ff,0xff1dffff,
    0x3e209fff,0xff9cffff,0x20004fff,0x24fffffe,0x00ffffff,0x4fffffd8,
    0xffffff30,0xd800009f,0x004fffff,0xbfffff00,0x7fec0000,0x02e005ff,
    0x22530000,0x006fffff,0x7fffc400,0xffffbfff,0xf0001fff,0xff7fffff,
    0x7f405fff,0xfffbefff,0x320002ff,0xf57fffff,0x200bffff,0x04fffffd,
    0x3fffffea,0x3600004f,0x004fffff,0xfffffa80,0x3f600001,0x2e005fff,
    0x94c00000,0x06fffff8,0x7ffec000,0xfff75fff,0x2000dfff,0xfffffffd,
    0x3200ffff,0xffefffff,0x20000fff,0xaffffff9,0x02fffffc,0x9fffffb0,
    0xfffffc80,0xb00002ff,0x009fffff,0xfffff900,0xaa980000,0x02e002aa,
    0x22530000,0x006fffff,0x3fffea00,0x3ffa0fff,0x8003ffff,0xfffffffb,
    0x7cc06fff,0xffffffff,0xfe80006f,0xfffdffff,0xfb000fff,0xd009ffff,
    0x1fffffff,0xfffb0000,0xd00009ff,0x000dffff,0x0b800000,0x894c0000,
    0x006fffff,0xfffff100,0xfff987ff,0x4001ffff,0xfffffff9,0xff803fff,
    0xffffffff,0xffb80004,0xffffffff,0x3ff6005f,0xf9804fff,0x05ffffff,
    0xffffd800,0x7c40004f,0x4004ffff,0xcccccccc,0xcccccccc,0x2e4ccccc,
    0x14c00000,0xfd800000,0x905fffff,0x0dffffff,0xffffff00,0xb003ffff,
    0xffffffff,0xf100005f,0xffffffff,0x7ec005ff,0x7004ffff,0x5fffffff,
    0xfffd8000,0x4c0004ff,0x003fffff,0x7ffffffc,0xffffffff,0x27ffffff,
    0x4c00000b,0xa8000002,0x0fffffff,0xfffffd10,0xffd8007f,0x07ffffff,
    0xffffff70,0x00001fff,0x3ffffff6,0x6c007fff,0x004fffff,0x3ffffffa,
    0x3f60000f,0x0004ffff,0x0fffffd4,0x3ffffe00,0xffffffff,0xffffffff,
    0x000002e7,0x80000053,0xfffffff8,0x7fffd403,0x2e001fff,0xffffffff,
    0xffff3005,0x000dffff,0x7ffffd40,0x4004ffff,0x04fffffd,0x3ffffe20,
    0x360004ff,0x004fffff,0x7ffffdc0,0x7fffc000,0xffffffff,0xffffffff,
    0x33332e7f,0xcccccccc,0xcccccccc,0x4000002d,0x6ffffffd,0xfffffb00,
    0x7fcc00df,0x03ffffff,0x3fffffe0,0x200005ff,0xfffffff8,0x7ec001ff,
    0x4004ffff,0xfffffffb,0xfffb0001,0xc80009ff,0x000fffff,0x7ffffffc,
    0xffffffff,0x07ffffff,0x00000000,0x7fffd400,0xf1001fff,0x07ffffff,
    0x3ffffe20,0x36001fff,0x3fffffff,0x7fec0000,0x006fffff,0x4fffffd8,
    0xffffe800,0xfb0006ff,0x0009ffff,0x07ffffd8,0xffffff80,0xffffffff,
    0x7fffffff,0x00000000,0x3ffe2000,0x4004ffff,0xfffffffa,0xffffd001,
    0xfb800fff,0x01ffffff,0x7ffd4000,0x8003ffff,0x04fffffd,0xfffff880,
    0xfd8003ff,0x0004ffff,0x03fffff4,0x00000000,0x00000000,0x7fffe400,
    0xfb0006ff,0x00dfffff,0x3ffffff2,0x7ffcc005,0x00007fff,0xfffffff0,
    0xfffb0003,0x2e0009ff,0x0fffffff,0x7fffec00,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04c00000,0x00001b10,0x33100000,
    0x30000013,0x31000003,0x00000003,0x19880010,0x0004cc00,0x00098800,
    0x00000008,0x00000980,0xfffedb88,0x3ff61cef,0x3fffe002,0x6440007f,
    0xfffffffe,0xdb70003d,0x05bfffff,0xffffb500,0x0017dfff,0x9f710000,
    0xffffda80,0x6442deff,0x2dfffffe,0x3ff26000,0x01bdefff,0x00002df8,
    0x3ffb2600,0x0001cdff,0x7fffffdc,0xfddfffff,0x3fe003ff,0x20007fff,
    0xfffffffd,0x00efffff,0xfffffd30,0x05dfffff,0xfffffd50,0x9fffffff,
    0x32600000,0xff504fff,0xffffffff,0xfff75dff,0xdfffffff,0x7fec4003,
    0xffffffff,0x77ffc03f,0x2000000b,0xfffffffc,0x88004fff,0xfffffffe,
    0xffffffff,0x7ffc004f,0xfb0007ff,0xffffffff,0x01dfffff,0xffffffc8,
    0xffffffff,0x3fffea02,0xffffffff,0x00004fff,0x3fffffaa,0xfffffa84,
    0xffffffff,0xffffffff,0x2fffffff,0xfffffa80,0xffffffff,0xffff01ef,
    0x000019ff,0x7fffff44,0xefffffff,0xffff1000,0xffffffff,0x00bfffff,
    0x0ffffff0,0xfffff900,0xffffffff,0x7e40dfff,0xffffffff,0x1fffffff,
    0xffffff88,0xffffffff,0x20003fff,0xffffffb8,0x7ffcc4ff,0xffffffff,
    0xffffffff,0xffffffff,0x3ea01fff,0xffffffff,0xffffffff,0xffffff81,
    0x80001dff,0xfffffffe,0xffffffff,0xffffd800,0xffcaceff,0x00ffffff,
    0x3fffffc0,0x3fffe200,0xfcaaceff,0x81ffffff,0xfffffff8,0xfffffdcd,
    0xfffc86ff,0xb9899cff,0x06fffffe,0xffffc980,0x44ffffff,0xdffffffc,
    0xfffffdbb,0xacefffff,0x6ffffffd,0xffffff10,0xfffdbdff,0xff0dffff,
    0xffffffff,0x3ee0005d,0xabdfffff,0x3ffffffc,0x7ffffdc0,0xffff703f,
    0xff8009ff,0x5c007fff,0x205fffff,0x82ffffff,0x1efffffd,0xffffffa8,
    0x2fffff42,0xffffff10,0x3ff6a003,0xffffffff,0x3ffe22ff,0xffd00fff,
    0x209fffff,0x83fffffd,0xdffffffd,0x7fffec40,0x7ffec3ff,0xffffffff,
    0xff1000cf,0xd105ffff,0x201fffff,0x2ffffff8,0xfffffd10,0x000001ff,
    0xffecb980,0x3ffff200,0x7fffd43f,0x3ff600ff,0x7ffc5fff,0x5ed405ff,
    0xfeb8800a,0xffffffff,0x5440beff,0x2e03fedb,0x05ffffff,0x237ffff4,
    0x4ffffff8,0x7ffffe40,0x7ffe4c0f,0xffffffff,0x7fec01df,0x3e603fff,
    0xf503ffff,0x740bffff,0xffffffff,0x00000004,0x7ffd4008,0x7ffe43ff,
    0x77cc04ff,0x7ffc09ac,0x000adfff,0x7fffe440,0xffffffff,0x2004001c,
    0x2ffffff8,0x7ffffd40,0x3ffffee0,0xfffff006,0x7fed407f,0xffffffff,
    0xffff02ef,0xfffb00ff,0x3fff20ff,0xfffb01ff,0x4bfffff9,0xaaaaaaaa,
    0xaaaaaaaa,0x002aaaaa,0x3fffae20,0x7ffec4ff,0xb00001ff,0xffffffff,
    0x6d40037d,0xffffffff,0x0002dfff,0xfffda880,0x7cc00fff,0x3fa3ffff,
    0x7002ffff,0x00bfffff,0xfffffd71,0x17ffffff,0x1bffffe2,0x3ffffee0,
    0xfffffd80,0xf3fffc80,0x7fcfffff,0xffffffff,0xffffffff,0x26007fff,
    0xffffffdb,0x7ff44fff,0x00001fff,0xfffffff7,0x15bfffff,0x7fffffc0,
    0x00beffff,0x3b6e6000,0xffffffff,0xaaaaaaaf,0x4fffffba,0x07fffffe,
    0x7ffffcc0,0x7fed4006,0xffffffff,0xdfffff34,0x55555555,0x03fffff9,
    0x70ffffff,0x7ff49fff,0xffff0fff,0xffffffff,0xffffffff,0x7f5c40ff,
    0xffffffff,0x7fc4ffff,0x0000ffff,0x3fffff20,0xffffffff,0xffff80cf,
    0x001cffff,0x3fff6a00,0xffffffff,0xffffffff,0xffffffff,0xfffff15f,
    0x3fe2001f,0x10007fff,0xffffffd7,0x3fffea9f,0xffffffff,0xffffffff,
    0x7ffffc42,0x22fffd46,0xf1fffffd,0xffffffff,0xffffffff,0x2e0fffff,
    0xffffffff,0xffffffff,0x3ffffe24,0xfd800007,0xffffffff,0x42ffffff,
    0x1fffffff,0x3faa0000,0xffffffff,0xffffffff,0xffffffff,0xf35fffff,
    0x800fffff,0x00ffffff,0x7fffe400,0xffff94ff,0xffffffff,0xffffffff,
    0xffffff05,0x2077ffcc,0xf0fffffd,0xffffffff,0xffffffff,0xf70fffff,
    0xdfffffff,0xfffff559,0xffffff89,0xc9800000,0xffffffff,0x21ffffff,
    0xffffffff,0x7d40002e,0xffffffff,0xfffffabd,0xffffffff,0x6fffffff,
    0x0ffffff1,0x7ffffc40,0xfd710007,0x29ffffff,0xfffffffb,0xffffffff,
    0xe83fffff,0xe88fffff,0xffe80fff,0x3fffe7ff,0xffffffff,0xffffffff,
    0x7fffdc7f,0x7cc0adff,0x7f44ffff,0x0001ffff,0x3ff6a200,0xffffffff,
    0x3ffffe6f,0x1cffffff,0x7fffcc00,0x7c41cfff,0xaaafffff,0xaaaaaaaa,
    0x3ffe2aaa,0xf3000fff,0x800dffff,0xffffffda,0xff54ffff,0x5555bfff,
    0x55555555,0xfff90355,0x3fffd5ff,0x9bffffe0,0xaaaaaaaa,0xaaaaaaaa,
    0x742aaaaa,0x203fffff,0x44fffffa,0x02fffffd,0x0001abb8,0x3ffff6e2,
    0x3f667fff,0xffffffff,0xc800beff,0x00dfffff,0x0ffffff3,0x3fffe000,
    0xff5002ff,0x7100bfff,0xffffffff,0x2617ffff,0x005fffff,0x7fffdc00,
    0x702fffff,0x009fffff,0x7fc40000,0x7d406fff,0x7e44ffff,0xf805ffff,
    0x300effff,0x7fdc4015,0x6440ffff,0xffffffff,0x201cffff,0x00fffffe,
    0x3fffffea,0x32004401,0x006fffff,0x07fffffd,0x7ffffed4,0x2effffff,
    0x6fffff88,0x3e200080,0x3fffffff,0xffffff10,0x40000005,0x05fffffa,
    0x27ffffec,0x3fffffea,0x3fffea00,0x3ffb6e6f,0xfffe804f,0x3fae00ff,
    0xffffffff,0x7fc0beff,0x7e407fff,0x405fffff,0x20acdffd,0x2ffffff9,
    0x7ffffd40,0x7ffe441f,0xffffffff,0x7ff401df,0x3e202fff,0x3202bdef,
    0x04ffffff,0xbfffffd1,0xfffff800,0x3ffe6007,0xff700fff,0xfd09ffff,
    0x303dffff,0x47ffffff,0x0ffffffb,0x3ffffe20,0xfffb5006,0xffffffff,
    0x7ffffc5f,0xffff302f,0x2a05ffff,0x41ffffff,0x3fffffff,0xffffff70,
    0xfffffd89,0xcfffffff,0xffff5000,0x3ff601ff,0x3e206fff,0xbeffffff,
    0xfffffca9,0x7fc000ff,0x22007fff,0x1dffffff,0x3fffff26,0xfffa84ff,
    0xebbdffff,0x0fffffff,0x3fffffe2,0x7ff4c1be,0x4c004fff,0xfffffffc,
    0x3ff64fff,0x2e22efff,0xfffffffe,0xfca89cff,0xa85fffff,0xefffffff,
    0xffffecac,0xffff86ff,0xbeffffff,0xfffe8000,0xf950bfff,0x805fffff,
    0xfffffffb,0xffffffff,0xff8002ff,0x74007fff,0xefffffff,0xffffffff,
    0xfffb05ff,0xffffffff,0x705fffff,0xffffffff,0xffffffdf,0x220001ff,
    0xfffffffb,0x3fffee4f,0xfffeffff,0xffffffff,0xffffffff,0xf901ffff,
    0xffffffff,0xffffffff,0xffffff03,0x80005bff,0xfffffffa,0xffffffff,
    0x7ffc406f,0xffffffff,0x03ffffff,0xffffff00,0xffff9800,0xffffffff,
    0x07ffffee,0xffffffd1,0xffffffff,0x7fffe407,0xffffffff,0x0001ffff,
    0xfffffd50,0xfffffe89,0xffffffff,0xffffffbe,0xffffffff,0x7ffec02f,
    0xffffffff,0xff02ffff,0x0039ffff,0x7fffd400,0xffffffff,0x3a200eff,
    0xffffffff,0xdfffffff,0x3ffe0000,0xfb8007ff,0xffffffff,0xfffff74f,
    0x7fffdc05,0xffffffff,0xffffb803,0xffffffff,0x800002ef,0x4c4fffc9,
    0xfffffffe,0x3623ffff,0xffffffff,0x5002ffff,0xffffffff,0x401bffff,
    0x000bffff,0xfffd1000,0xffffffff,0xfffc801d,0xfffffd51,0x00007dff,
    0x00ffffff,0x3ffff620,0x3fe62eff,0x6cc05fff,0xffffffff,0x3ae2000c,
    0xffffffff,0x8000002e,0xff704fb8,0x19dfffff,0x3ffff6a0,0x000befff,
    0x7ffff5c4,0xf802dfff,0x0000002e,0xfffffb91,0x6c005bff,0xaba9882f,
    0x00000000,0x1ba98800,0x26200000,0x800009ab,0x01aaba98,0x02000000,
    0x00157530,0x03357510,0x2ea62000,0x000c000a,0x2a200000,0x500009ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdb000000,0xd300dddd,0x0009dddd,
    0x02600062,0x00620000,0x3bbbbb62,0x7776c00e,0x3baa0dee,0xeeeeeeee,
    0xeeeeeeee,0x55554001,0xddd7001a,0x754007dd,0xdd94eeee,0xed801ddd,
    0x6c00eeee,0x0e05eeee,0xa800b800,0x0bdeeeed,0x03fffffc,0xafffffcc,
    0x21eeeee9,0xbdfffec9,0xfffdb880,0xdddb02ce,0xffeca89d,0xff700cef,
    0x640bffff,0x42ffffff,0xfffffffb,0xffffffff,0x7c002fff,0x3003ffff,
    0x00ffffff,0x97ffffec,0x02fffffa,0x3fffffe2,0x3fffe602,0x00bf905f,
    0x2201df90,0xfffffffe,0x3fffe0ff,0xfff9807f,0xffff35ff,0x3fffee3f,
    0x220effff,0xfffffffe,0xffffe84f,0xfffffb15,0x3603ffff,0x82ffffff,
    0x5ffffff9,0xffffffb8,0xffffffff,0x4002ffff,0x003fffff,0x0bfffffa,
    0x3ffffe20,0x3ffffe27,0x3fffea04,0x3fee04ff,0xffc82fff,0xdffdb35f,
    0x17fff25b,0x7fffffec,0xff0effff,0xf300ffff,0x3e6bffff,0xffd9ffff,
    0xffffffff,0xfffff98e,0x43ffffff,0xe8dffffe,0xffffffff,0xff882fff,
    0x220fffff,0x0efffffe,0xffffffb8,0xffffffff,0x4002ffff,0x003fffff,
    0x17ffffee,0x3ffffee0,0x3ffffec4,0xffffff90,0x7fffec0d,0x7fffdc0f,
    0xffffffff,0xffffffff,0x6ffffcc5,0x2ffffecb,0x00ffffff,0x2bfffff3,
    0xfffffff9,0xffffffff,0xffffefff,0xffffffff,0x3ffffa1f,0xfffffffe,
    0x06ffffff,0x9ffffff5,0x7fffffe4,0xfffff701,0xffffffff,0x003fffff,
    0x03fffff8,0x3ffffe20,0x7fff400f,0x7ffdc0ff,0xfffd01ff,0xf101ffff,
    0xf90bffff,0xffffffff,0xffffffff,0xec989fff,0x7fffc46f,0x0ffffff3,
    0xbfffff30,0x3fffffe6,0xffcaceff,0xffffffff,0xffffdbbe,0x3fffa5ff,
    0xbbefffff,0xfffffffd,0xfffffb02,0xfffff53f,0x4ccc407f,0xfa999999,
    0x03ffffff,0x3fffff80,0x7fffe400,0x3ffe603f,0xfff885ff,0xfff883ff,
    0xa82fffff,0x902fffff,0xffffffff,0xffffffff,0x881009ff,0xfff3fffe,
    0xff300fff,0x3fe6bfff,0xa83fffff,0xffffffff,0xfffffc81,0x3fffffa7,
    0xfffa80ff,0xfd103fff,0xffddffff,0x0000dfff,0xffffffd1,0x3ffe0009,
    0x7cc003ff,0x3206ffff,0xd02fffff,0xf50dffff,0x9fffffff,0x1fffff90,
    0x7ffffe40,0xffffffff,0x51005fff,0x7fffffd9,0x01fffffe,0x57ffffe6,
    0x5ffffff9,0x3fffffa0,0xffff304f,0x7ffff4ff,0x3ff601ff,0x3e604fff,
    0xffffffff,0x80000fff,0x5ffffffd,0x3fffe000,0xffe8003f,0xfff01fff,
    0x7fdc0fff,0x7fe40fff,0x86ffffff,0x405fffff,0xdffffffb,0xfffffc9a,
    0x7ff5c05f,0x3fffffff,0x00ffffff,0x2bfffff3,0x0ffffff9,0x3fffff60,
    0x7ffffc07,0xfffffd0f,0xffffa809,0x7ffe405f,0x2fffffff,0xfffd8000,
    0x5100efff,0xf5555555,0x555bffff,0xf7055555,0xf509ffff,0x4c09ffff,
    0x742fffff,0xfffeffff,0x3fffe60f,0x7fff403f,0xffd880ff,0xfe880fff,
    0xffdfffff,0xfffff3ff,0xffff300f,0x3fffe6bf,0x7ffe407f,0x7ffc05ff,
    0xfffd0fff,0xff9805ff,0xfe805fff,0x5fffffff,0xfffc8000,0x2200ffff,
    0xffffffff,0xffffffff,0x885fffff,0xd87fffff,0x401fffff,0x224ffffe,
    0xffcdffff,0x3ffee2ff,0x3fe200ff,0x3ea04fff,0xfd82ffff,0xfd0acfff,
    0x3fffe7ff,0xfffa807f,0xffff35ff,0xfffc80df,0x7ff404ff,0xfffd0fff,
    0xff9803ff,0xf8806fff,0x0effffff,0x7ffdc000,0x4401ffff,0xffffffff,
    0xffffffff,0x905fffff,0x443fffff,0x806fffff,0x2a7ffffc,0xffabffff,
    0x3fff64ff,0x7ffcc06f,0x7ff400ff,0xffff83ff,0x9ffffc44,0x807fffff,
    0x35fffffa,0x80bfffff,0x03fffffc,0x87fffff4,0x01fffffe,0x37ffffcc,
    0xfffffd80,0x7d40006f,0x02ffffff,0xffffff88,0xffffffff,0x5fffffff,
    0x9fffff30,0x17ffffdc,0x7ffffcc0,0x13ffffb1,0x3e2dffff,0x5403ffff,
    0xc806ffff,0x7c44ffff,0x7fdc2fff,0xfffff3ff,0xfffa801f,0xffff35ff,
    0xfffc80bf,0x7ff403ff,0xfffd0fff,0xff8801ff,0xfa806fff,0x4fffffff,
    0xffff3000,0x22007fff,0xffffffff,0xffffffff,0x205fffff,0x3a7ffffe,
    0x2007ffff,0xff3fffff,0x7fff4fff,0xfffffa8f,0x7fffcc01,0x7fffc01f,
    0xeffff83f,0xfffffc9a,0x1ffffff3,0xfffffa80,0xbfffff35,0xfffffc80,
    0x7ffff403,0xfffffd0f,0xffff8801,0x7ffc406f,0x1fffffff,0x7fffc400,
    0x22004fff,0xffffffff,0xffffffff,0x205fffff,0x9afffffb,0x004fffff,
    0x277ffff2,0x3f25ffff,0xfffcafff,0xfff8806f,0x3fea04ff,0xffd82fff,
    0xffffffff,0xfffff4ff,0xfffb801f,0xffff35ff,0xfffc80bf,0x7ff403ff,
    0xfffd0fff,0xff8801ff,0x7ec06fff,0xffffffff,0xfd1000ef,0x00bfffff,
    0xaaaaaa88,0xdfffffaa,0x2aaaaaaa,0x3ffffe20,0x1fffffbc,0x3fffea00,
    0x23ffffbf,0xffcffff9,0xfb004fff,0xd305ffff,0x220fffff,0xefffffff,
    0xfff5fffb,0xfc803fff,0xff35ffff,0xfc80bfff,0x7403ffff,0xfd0fffff,
    0x8801ffff,0x206fffff,0xfffffffb,0x005fffff,0xbffffffb,0x3fe00000,
    0x40003fff,0xfefffffc,0xf8006fff,0xffffffff,0x7ffffc1f,0x001fffff,
    0xfffffff5,0xfffffd57,0x7f64409f,0x57bb63ef,0x02fffffe,0x3fffffe6,
    0xbfffff35,0xfffffc80,0x7ffff403,0xfffffd0f,0xffff8801,0xffff306f,
    0xffff99ff,0xffc805ff,0x0006ffff,0x3ffffe00,0x7fcc0003,0xffffffff,
    0xfffd8003,0xd87fffff,0xffffffff,0x3fff2007,0xffffffff,0x005fffff,
    0xffffd800,0xffe880ef,0xff35ffff,0xfc80bfff,0x7403ffff,0xfd0fffff,
    0x8801ffff,0xd06fffff,0x22dfffff,0x0fffffff,0xffffff70,0x3333333f,
    0x80033333,0x003fffff,0xfffffe80,0x50007fff,0xffffffff,0xfffff70b,
    0x2e009fff,0xffffffff,0xffffffff,0x400005ff,0xeffffffb,0xfffec98b,
    0xff35ffff,0xfc80bfff,0x7403ffff,0xfd0fffff,0x8801ffff,0xc86fffff,
    0x21ffffff,0x5ffffffa,0xffffff98,0xffffffff,0x007fffff,0x01fffffc,
    0x7fffdc00,0x0004ffff,0xfffffff1,0xffff307f,0x7003ffff,0xffffffff,
    0xffffffff,0x000bffff,0x7ffffcc0,0xffffffff,0x35ffffff,0x80bfffff,
    0x03fffffc,0x87fffff4,0x00fffffe,0x37ffffc4,0x3fffffe6,0xfffffd84,
    0x7fffcc3f,0xffffffff,0x7fffffff,0x7ffffc00,0xff880003,0x01ffffff,
    0x3ffff600,0xfff01fff,0x200fffff,0xfefffffa,0xefffffff,0x005fffff,
    0x7fffd400,0xefffffff,0x35ffffe9,0x80bfffff,0x03fffffc,0x87fffff4,
    0x00fffffe,0x37ffffc4,0xdfffffd1,0xfffff101,0x7ffcc3ff,0xffffffff,
    0xffffffff,0x7fffc007,0xf900003f,0x00dfffff,0xfffffb80,0x3fff607f,
    0x2a004fff,0xdb715fff,0x3fea39bd,0x7000005f,0xffffffff,0x3fffa1df,
    0xfffff35f,0xffffc80b,0x7fff403f,0xffffd0ff,0xfff8801f,0x3fff26ff,
    0x3ea02fff,0x266fffff,0xffffffff,0xffffffff,0x7c007fff,0x0003ffff,
    0xffffff30,0xff880007,0x2e05ffff,0x02ffffff,0x4002fd40,0x000005fa,
    0x7ffffedc,0x7ffff43d,0xbfffff35,0xfffffc80,0x7ffff403,0xfffffd0f,
    0xffff8801,0xfffff56f,0xfffb009f,0x3fe69fff,0xffffffff,0xffffffff,
    0x5554007f,0x200001aa,0x00fffffe,0xffffe800,0x3ffe202f,0x030007ff,
    0x00001400,0x0006a600,0x2fffffcc,0x3fffff20,0x7ffff403,0xfffffd0f,
    0xffff8801,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80093000,0x00000049,0x7fffec00,
    0x00000003,0x81f76c00,0x0bceecb8,0x79d97300,0x9bb95003,0xfffc8005,
    0x00000000,0xedb88000,0x2aaa01cd,0x20001aaa,0x221ffffc,0x7c44ffff,
    0xbff1005f,0x45ffff50,0x005ffff8,0x7ffffc40,0xffff1006,0xffffffff,
    0xffffffff,0x7ffec0bf,0xfffffb84,0x36202fff,0x4fffffff,0xfffffb10,
    0x3ee003df,0x7fc400ff,0xffffffff,0xffffffff,0x3ffe5fff,0xfff507ff,
    0x3e09ffff,0x003fffff,0x89ffff30,0x220ffffe,0x4405ffff,0xfe84ffff,
    0x3fee0fff,0x320003ff,0x02ffffff,0xffffff88,0xffffffff,0x5fffffff,
    0x4ffffc88,0x7fffffe4,0xe883ffff,0xffffffff,0xffffd84f,0x800fffff,
    0xf8807ffa,0xffffffff,0xffffffff,0x3fe5ffff,0xffb87fff,0x5fffffff,
    0x3ffffff8,0xfffe8800,0x3ffff20f,0x3ffffe23,0xffff105f,0xfff989ff,
    0x7ffff45f,0xfff88000,0x8806ffff,0xffffffff,0xffffffff,0x225fffff,
    0x4ffffffc,0x3fffffe6,0x40ffffff,0xcabffffb,0x3e61ffff,0xffebbeff,
    0x3ea1444f,0x7fc4286f,0xffffffff,0xffffffff,0x3ffe5fff,0x7ffc47ff,
    0xfffffdff,0x7fffffc3,0xfffc8003,0x3fffe63f,0x7ffffcc6,0x7ffc45ff,
    0xfd84ffff,0x3fea2fff,0xfc8006ff,0x1fffffff,0x7ffffc40,0xffffffff,
    0xffffffff,0x3fffffe5,0x3fff64ff,0xfffc88bf,0x1ffff45f,0xfc8ffff6,
    0x3ffea1ff,0xf9977dc6,0x43fd715f,0xfffffff8,0xffffffff,0x25ffffff,
    0x6c7fffff,0x3ea0cfff,0x7fffc7ff,0x7d4003ff,0x3fa26fff,0xff982fff,
    0xf15fffff,0x09ffffff,0x83ffffe2,0x003ffffd,0x3fffffe2,0x7c405fff,
    0xffffffff,0xffffffff,0x3fe5ffff,0x24fffdef,0xfd83ffff,0x6e6547ff,
    0x417ffec0,0x27ffe429,0x3efbfffa,0x4ffffcdf,0x3fffffe2,0xffffffff,
    0x5fffffff,0xd1fffffe,0x3ff20fff,0x3ffffe1f,0x3fe2003f,0x3ff22fff,
    0x3fe605ff,0xffdfffff,0x404fffff,0x265ffffc,0x001fffff,0xfffffff7,
    0x64403fff,0xcccccccc,0xcccccccc,0x3be3cccc,0x269fff72,0xfa81ffff,
    0xf1000fff,0x6c401fff,0x260efffe,0xffffffff,0x26ffffff,0xccccccc8,
    0xcccccccc,0x25ffffec,0x226fffff,0xff304fff,0x7ffff45f,0x3ff6002f,
    0x3ffea5ff,0x7fcc01ff,0xffffffff,0xf8804fff,0x3f23ffff,0xff006fff,
    0xfffd7fff,0x0000009f,0x7ffdc180,0x01ffff54,0x005ffff3,0x80bfffd1,
    0x80fffff9,0xfffffeb9,0x03ceffff,0x7ffec000,0x45ff985f,0xff304fff,
    0x7fffec5f,0xfff7001f,0x3ffe23ff,0xff3004ff,0xffffffff,0x7fdc009f,
    0xfff10fff,0xffb809ff,0xfffb8fff,0x000000ff,0x3ffee000,0x01ffff54,
    0x805ffff3,0x00effffa,0x77ffffdc,0x7fffd400,0x4000001f,0xb85ffffd,
    0x7fff44ff,0x21fffd80,0x00fffffb,0x4fffff88,0x03fffff6,0xfffff980,
    0x8004ffff,0x2e6ffffe,0x201fffff,0xf15ffffe,0x0009ffff,0x7dc00000,
    0xffff34ff,0x3ffff503,0x77fffdc0,0xfc9a9801,0xfd100fff,0x0009ffff,
    0xffffd800,0x643ffe85,0xf912dfff,0xfffa8fff,0xfffb007f,0x3ffea1ff,
    0xfa8004ff,0x06ffffff,0xfffff500,0x37ffffc7,0x1fffffa8,0x03fffff2,
    0x33333322,0xcccccccc,0x3ccccccc,0x453ffee0,0xfc82ffff,0xff900fff,
    0x20001dff,0xe882fffd,0x3fffcfff,0x3f600000,0x3f625fff,0xffff886f,
    0x2fffffff,0x02ffffc4,0x3fffffa8,0x01bffffa,0xffffff30,0x7000bfff,
    0x223fffff,0xd05fffff,0xf98dffff,0xf883ffff,0xffffffff,0xffffffff,
    0x2e05ffff,0x3ffa4fff,0x3ffe60ef,0xffffb06f,0x84caa809,0x7444fffc,
    0xfffd2fff,0x36000005,0xff35ffff,0x3fea03ff,0x4fffffff,0x007dddb0,
    0x87ffffe4,0x03fffff9,0xffffff10,0x00bfffff,0x27ffffc4,0x01dffffb,
    0x07fffff3,0x10dffffd,0xffffffff,0xffffffff,0x40bfffff,0x3ea4fffb,
    0xffddffff,0xffd81fff,0xffe803ff,0x1ffff42f,0xfa97fff6,0x00000fff,
    0x15ffffd8,0xe9805dff,0x02ffffff,0xffd10000,0x7ffe49ff,0x7fc400ff,
    0xffffffff,0xfb005fff,0x7fccdfff,0xffb01fff,0xff701fff,0xff885fff,
    0xffffffff,0xffffffff,0x3ee05fff,0x7ffec4ff,0x5fffffff,0xffffffa8,
    0x323fffff,0xfebcffff,0xffd81fff,0x00177ec1,0xffffd800,0x75000ee5,
    0x00001599,0xfffff980,0x13ffffa0,0xffffff88,0xffffffdf,0x7ffcc05f,
    0x3fffa1ff,0xffff304f,0x3ffe20bf,0x7ffc46ff,0xffffffff,0xffffffff,
    0x3fee05ff,0x7ffec44f,0xb04fffff,0xffffffff,0xffe87fff,0x2fffffff,
    0x032212e0,0xffd80000,0x000005ff,0xf9000000,0x7fccbfff,0xff880fff,
    0xf34fffff,0x0bffffff,0x71fffff4,0x6c0dffff,0x201fffff,0x21fffffc,
    0xfffffff8,0xffffffff,0x05ffffff,0x5413ffee,0x01deffed,0xfffffff1,
    0x887fffff,0xeffffffd,0x00000002,0x3ffff600,0x00000005,0x3ffa0000,
    0x3ffee1ff,0x7fffc45f,0x7fcc4fff,0xa85fffff,0x3e25ffff,0xf101ffff,
    0x980dffff,0x005fffff,0x54400000,0x000801aa,0x55555551,0x20355555,
    0x002bccb9,0x00000000,0x00000000,0xff980000,0x7fff46ff,0x3fffe61f,
    0xfff304ff,0xfff0bfff,0x7ffe41ff,0x2666203f,0x99980099,0x00000199,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb800000,0x3fe22fff,
    0x7ffcc5ff,0x7ffcc04f,0xffffb85f,0x17fffe22,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x23ffff40,0x4c2ffffb,
    0xff3004ff,0xbffff10b,0x00ffffd8,0x1555554c,0x06aaaaaa,0x00d66544,
    0x5d4404c0,0xaa982cdc,0xaaaaaaaa,0x3ffff20a,0xffffe85f,0x9ffffe41,
    0x99999998,0x99999999,0x99999999,0x22222209,0x88888888,0x88888888,
    0x00000888,0x26000000,0x65c1cccc,0x004983cc,0xccca824c,0x3333220c,
    0xffffc802,0x7ffffc7f,0x7fff4c4f,0x801cffff,0xfffd80fb,0x3f20efff,
    0xffffffff,0x7ffec0ff,0x7fff41ff,0x7fffe41f,0xffffff53,0xffffffff,
    0xffffffff,0x3ffea9ff,0xffffffff,0xffffffff,0x004fffff,0x00000000,
    0x00000000,0x20000000,0x47fffffc,0x24ffffff,0xfffffffb,0x40beffff,
    0xde80ffd9,0x26ffffdc,0xfffffffc,0xfd80ffff,0x7ff45fff,0x7ffe41ff,
    0xfffff53f,0xffffffff,0xffffffff,0x3fea9fff,0xffffffff,0xffffffff,
    0x04ffffff,0x00000000,0x00000000,0x00000000,0x1ffffff2,0x29ffffff,
    0xfffffffb,0xffffffff,0x0fffffee,0x1ffff880,0xfffffff9,0xd101ffff,
    0x7f41ffff,0x7fe41fff,0xffff53ff,0xffffffff,0xffffffff,0x3ea9ffff,
    0xffffffff,0xffffffff,0x4fffffff,0x00000000,0x00000000,0x00000000,
    0x3fffff20,0x7fffffc7,0xffffff94,0xffffffff,0xffffffff,0x3fff6001,
    0xffffff92,0x201fffff,0x3a4fffe8,0x7e41ffff,0x99933fff,0x99999999,
    0x99999999,0x26599999,0xdddddddd,0xdddddddd,0xdddddddd,0x00000003,
    0x00000000,0x00000000,0x3ffff200,0x7ffffc7f,0xfffff94f,0xffffffff,
    0xffffffff,0xffa8801f,0xffff91ff,0x1fffffff,0x87fffc40,0x98819998,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0x7ffff46f,0x159ff93f,0x3ffff262,0xffffffff,0x3b3bba23,0x2a5fffff,
    0xcccccccc,0x5c400ccc,0x000001bb,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9800000,0x7e45ffff,0x3f92ffff,0xffffb500,0xf881dfff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff8800,0x7fffdc3f,0x8800150f,0x100acecb,0x79dffdd9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff4000,0x7fffcc2f,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fec0000,0x7ffc40ff,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x75c00000,0xdddb06ee,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_49_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,2,1,2,1,0,3,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,4,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,3,3,3,3,0,2,0,
 };
static signed short stb__arial_bold_49_latin1_y[224]={ 39,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,16,7,7,12,7,
7,7,7,6,7,17,15,24,6,1,7,9,7,7,7,16,7,20,39,7,7,17,7,7,7,16,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,13,6,-1,-1,-1,0,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,11,15,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_bold_49_latin1_w[224]={ 0,8,17,24,22,36,30,8,12,12,17,23,8,13,
7,14,22,15,22,22,24,23,22,22,22,22,7,8,22,23,22,23,42,32,27,28,27,25,22,30,26,8,21,29,
23,31,26,32,25,33,29,27,26,26,31,42,30,31,26,11,14,12,22,26,11,22,24,23,24,22,16,23,21,7,
13,22,7,35,21,25,24,24,16,22,15,21,24,35,24,24,22,15,6,16,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,23,24,24,25,
6,22,15,34,16,20,23,13,34,26,15,23,14,14,10,22,26,7,13,10,16,21,36,35,37,23,32,32,32,32,
32,32,44,28,25,25,25,25,11,10,15,15,31,26,32,32,32,32,32,22,32,26,26,26,26,31,25,24,22,22,
22,22,22,22,36,23,22,22,22,22,11,11,16,16,25,21,25,25,25,25,25,23,25,21,21,21,21,24,24,24,
 };
static unsigned short stb__arial_bold_49_latin1_h[224]={ 0,32,12,33,39,34,33,12,42,42,16,23,15,7,
7,33,33,32,32,33,32,32,33,31,33,33,23,31,25,17,25,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,36,32,33,32,33,32,32,32,32,32,41,33,41,18,5,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,9,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,41,33,23,32,
42,42,6,34,17,21,16,7,34,5,14,30,17,17,7,32,41,7,9,17,17,21,34,34,34,32,40,40,40,39,
39,38,32,41,40,40,40,39,40,40,40,39,32,39,41,41,41,40,40,21,35,41,41,41,40,40,32,33,33,33,
33,33,33,34,25,33,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,25,26,33,33,33,33,42,41,42,
 };
static unsigned short stb__arial_bold_49_latin1_s[224]={ 249,163,67,32,1,159,1,239,177,26,172,
129,214,124,248,1,101,205,83,220,1,180,91,164,142,180,240,231,121,90,207,
216,117,50,228,86,60,156,182,115,136,245,203,150,204,1,33,1,88,57,107,
114,137,34,75,32,1,199,172,237,165,34,67,166,138,51,66,74,146,230,133,
232,94,86,190,46,38,23,59,181,16,225,235,98,240,1,153,178,81,41,106,
101,94,160,85,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,249,245,213,
61,214,1,87,64,150,76,239,1,190,124,124,193,223,187,142,157,240,27,99,
248,110,114,125,45,39,196,1,106,122,30,89,212,179,24,171,1,208,63,182,
153,237,155,166,234,221,126,1,204,180,34,1,22,91,47,126,153,67,94,130,
73,204,176,227,134,181,111,144,157,1,50,199,222,26,243,69,116,24,114,194,
168,98,124,150,27,1,57,79,124,146,39,74,1, };
static unsigned short stb__arial_bold_49_latin1_t[224]={ 1,446,583,278,169,169,278,564,1,1,564,
539,564,583,446,312,278,380,380,278,413,413,312,479,312,312,446,446,512,564,512,
346,1,380,413,346,446,380,380,346,446,244,312,413,413,446,446,346,446,169,479,
312,479,346,479,479,479,446,446,1,312,44,564,583,583,512,312,512,346,512,413,
169,413,413,1,413,413,539,539,512,312,312,479,512,346,539,539,539,539,312,539,
1,1,1,583,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,1,128,44,
346,539,380,1,1,583,209,539,564,564,583,169,583,564,479,564,564,470,380,44,
454,583,564,564,564,209,169,209,380,86,86,86,128,128,169,346,86,86,86,86,
128,44,86,86,86,380,128,44,1,44,128,128,564,169,44,44,44,128,128,380,
244,209,244,209,209,209,209,512,209,244,244,244,244,413,278,413,413,244,446,278,
278,244,244,244,512,512,278,278,278,278,1,44,1, };
static unsigned short stb__arial_bold_49_latin1_a[224]={ 195,234,333,390,390,624,507,167,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,234,234,410,410,410,429,684,507,507,507,507,468,429,546,
507,195,390,507,429,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,234,195,234,410,390,234,390,429,390,429,390,234,429,
429,195,195,390,195,624,429,429,429,429,273,390,234,429,390,546,
390,390,351,273,196,273,410,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,195,234,390,390,390,390,196,390,
234,517,260,390,410,234,517,388,281,385,234,234,234,404,390,195,
234,234,256,390,585,585,585,429,507,507,507,507,507,507,702,507,
468,468,468,468,195,195,195,195,507,507,546,546,546,546,546,410,
546,507,507,507,507,468,468,429,390,390,390,390,390,390,624,390,
390,390,390,390,195,195,195,195,429,429,429,429,429,429,429,385,
429,429,429,429,429,390,429,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_49_latin1(stb_fontchar font[STB_FONT_arial_bold_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_49_latin1_s[i] + stb__arial_bold_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_49_latin1_t[i] + stb__arial_bold_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_49_latin1_x[i];
            font[i].y0 = stb__arial_bold_49_latin1_y[i];
            font[i].x1 = stb__arial_bold_49_latin1_x[i] + stb__arial_bold_49_latin1_w[i];
            font[i].y1 = stb__arial_bold_49_latin1_y[i] + stb__arial_bold_49_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_49_latin1_s[i] + stb__arial_bold_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_49_latin1_t[i] + stb__arial_bold_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_49_latin1_x[i] + stb__arial_bold_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_49_latin1_y[i] + stb__arial_bold_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_49_latin1_LINE_SPACING
#endif

