// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_43_latin1_BITMAP_HEIGHT        477
#define STB_FONT_consolas_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_43_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_43_latin1_NUM_CHARS            224

#define STB_FONT_consolas_43_latin1_LINE_SPACING          28

static unsigned int stb__consolas_43_latin1_pixels[]={
    0x2aaa3555,0x00000001,0x55555555,0x2aaa6155,0x01aaaaaa,0x22553100,
    0x500009aa,0x00000999,0x00ced880,0xbdedb980,0x2a000001,0x2001cccc,
    0x02a600aa,0x0d544000,0x01553000,0x7ff45510,0x4007ffd3,0x002f885c,
    0x3ffffffe,0xfffb2fff,0x09ffffff,0x7fffecc0,0x9fffff16,0x3ffe4001,
    0xf1000000,0x4400dfff,0xfffffffe,0x5c00002f,0x2003ffff,0xfb80fffb,
    0xb80001ff,0x360004ff,0x7fc402ff,0x3a7ffd6f,0xff7003ff,0x00fff44b,
    0xfffffff8,0xfffb2fff,0x09ffffff,0x3fffff20,0xfffff16f,0x3f2003ff,
    0x0000007f,0x07ffffea,0x3bfffee0,0x02fffffd,0xdfff7000,0xffff8003,
    0x04ffff84,0x03ffc800,0x007ffa00,0xfd7ffffb,0x00fffa7f,0xf893ffee,
    0xcc801fff,0xfffccccc,0x999dffb2,0xf5005999,0x279bdfff,0xffffdcc8,
    0x7ffc800f,0x2a000000,0x401fffff,0x4c0cfffc,0x0002fffb,0x006fffdc,
    0x41ffff40,0x0004fffe,0x0002ffd8,0xfd003ffe,0x7ffd9fff,0xf500fffa,
    0xfff30bff,0x3e20001f,0x0bffb2ff,0x2fffe800,0x9fff9100,0x00fff900,
    0xffe80000,0x7ffd405f,0x07ffdc02,0x3fffb800,0x3bfea000,0x00eff980,
    0x01ffe800,0x9fffa880,0x3ffff200,0xffd3ffe9,0x77ffcc07,0x1dfff500,
    0x5fff1000,0x80017ff6,0x8003fffa,0xfc807ffe,0x0000007f,0x30067644,
    0x32003fff,0x550003ff,0x02000035,0xf8000060,0xfb7000ff,0xffffffff,
    0x27ff901b,0x7ffd3ffe,0x007fff40,0x0013ffee,0x7ecbffe2,0x3ee0005f,
    0xff50007f,0x7ffc801f,0x00000000,0x000fffa0,0x00000dff,0x00000000,
    0x01ffe200,0x3fffffaa,0x0fffffff,0x3a7ffd00,0xfff703ff,0x3fff6005,
    0x7ffc4001,0x000bffb2,0x80037fe4,0x6401fff9,0x000007ff,0xdff70000,
    0x03ffb000,0x00000000,0xb8800000,0x3ee00eff,0xffefffff,0x000ffffe,
    0x3ffa7ffd,0x05fff883,0x01bffe20,0x365fff10,0x360005ff,0xf10005ff,
    0xffc805ff,0x00155107,0xffd00000,0x9ff70003,0x00000000,0xb5000000,
    0xffffffff,0xbffff989,0x5cc5ff90,0x27ffd000,0xffd83ffe,0x7fe4001f,
    0x3fe2003f,0x00bffb2f,0x002ffec0,0x402fff88,0x3b227ffc,0x203effff,
    0xfffffffa,0x84ffffff,0x10006ffa,0xfffa8dff,0x7ffc4005,0x02fffd46,
    0x81bffe20,0xffffffd8,0x7f47ffff,0x0ffec2ff,0xfd3ffd80,0x30fffa7f,
    0x10009fff,0x4400ffff,0xbffb2fff,0x2ffec000,0x2fff8800,0xe8bffe40,
    0xffffffff,0xfffff503,0xffffffff,0x205ffb09,0x7c510aa8,0x0ffff86f,
    0x0fffee00,0x8003fffe,0xf503fffb,0xffffffff,0x7fc4fffd,0x00ffe86f,
    0x3fa7ffd0,0xd87ffd3f,0x70000fff,0x22005fff,0xbffb2fff,0x2ffec000,
    0x2fff8800,0x7cf7fe40,0xfffeefff,0xfffa83ff,0xffffffff,0x3ffc44ff,
    0x77fffec4,0x321ffa6f,0x3a003fff,0xffc80fff,0x3ffa003f,0xffff880f,
    0x515ffb1e,0x427ffd4b,0x3fa007ff,0x3a7ffd3f,0x3ffe23ff,0x3fe20005,
    0xfff1005f,0x0017ff65,0x0005ffd8,0xc805fff1,0x0dffffff,0x01ffff22,
    0xa89fff00,0x7ffcc4ff,0x3a5fffff,0x7ffcc0ff,0xbfff1006,0x01bffe60,
    0xd82fffc4,0x7ff44fff,0x8dfff501,0x3a006ff8,0x27ffd4ff,0x3fea3ffe,
    0x7ec0002f,0xff8800ff,0x00bffb2f,0x0027fec0,0x402fff88,0x03fffffc,
    0x000bfff2,0x7e44fff8,0x5f7ff42f,0x3f64fffb,0x1fffd80f,0x02fffb80,
    0x2007fff6,0xfa82fffb,0x0fff86ff,0x43ffff10,0x3a005ff9,0x27ffd4ff,
    0x3ff63ffe,0xffb80007,0xfff8802f,0x000bffb2,0x00027ff4,0xfc807fff,
    0x7c403fff,0x3e0005ff,0x07ff44ff,0x7f41dff7,0x207ff63f,0xe804fffa,
    0x7fd407ff,0x7ffe804f,0x883fffb0,0x7ff407ff,0x09ff53ff,0xfea7ff40,
    0x7c7ffd3f,0x880005ff,0xf8805fff,0x0bffb2ff,0x0bffe200,0x06ffe800,
    0x8027ffe4,0x20007ffe,0x3fe24fff,0x3e17ff47,0x07ff21ff,0x3007fffc,
    0xff009fff,0x7fcc01ff,0x0dffd04f,0xf880dff3,0xffdeffff,0x53ffe003,
    0x7ffd3ffe,0x000fffe6,0x4037ff40,0xffb2fff8,0xffb1000b,0xffa8000d,
    0xfff900cf,0x07ffe400,0x24fff800,0x3fe65ff9,0x907ffc47,0x3ff203ff,
    0x3fff202f,0x2fffc801,0x207fff20,0xfa85fff8,0xfff9804f,0x003fffff,
    0x7ff57ffe,0x3ea59973,0xb00002ff,0xff100fff,0x017ff65f,0x3fffb32a,
    0xfc80001f,0x90ccefff,0x7dc00fff,0xff0000ff,0x71ffd49f,0x7ff98bff,
    0xf9807fec,0x3ffa06ff,0xdfff3006,0x9837ff40,0xffb83fff,0xfffb1003,
    0x003bffff,0x3ffabfff,0x07ffee03,0x7ffe4000,0x97ffc400,0xfc805ffd,
    0x000befff,0x3fff6a00,0x0fff91ff,0x00fffdc0,0x2e4fff80,0x13ff63ff,
    0xffd8dff5,0x03fffa00,0x800fffe6,0xf980fffe,0xfff503ff,0x005ffb07,
    0xfffffc98,0x3fe01dff,0x407ffd5f,0x0000fffb,0x803fff90,0xffb2fff8,
    0xffff900b,0x400005bf,0x1fffffeb,0x5400fff9,0xf0001fff,0x17fe49ff,
    0xffc85ffd,0x2a03ff45,0xffc84fff,0x3fea000f,0x0fffc84f,0xd09fff30,
    0x220003ff,0xffffffff,0x3abfff03,0x3ff203ff,0xf700000f,0xff8803ff,
    0x00bffb2f,0xffff9753,0xffb00007,0x321559df,0x3ee007ff,0xff0000ff,
    0xf17fe49f,0x3ffd83ff,0x7fc03ffc,0x05fff87f,0xf87fff80,0x3fe205ff,
    0x00fff85f,0xfbdff300,0xff07ffff,0x80fffabf,0x0000fffc,0x803fff70,
    0xffb2fff8,0xffd1000b,0x7d40001f,0x3ff202ff,0x1fff2007,0x24fff800,
    0x3ffe1ffd,0xf117ff41,0xfff900df,0x017ffd45,0x517ffe40,0xff805fff,
    0x1ffe20ff,0x34ffa800,0x443ffffb,0x7ffd6fff,0x00fffdc0,0x0fffc800,
    0xd97ffc40,0xf30005ff,0x6c0007ff,0x7fe405ff,0x1bff6007,0x24fff800,
    0xfff11ffd,0x2a1fff83,0xff9803ff,0x01fff65f,0xb2fffcc0,0xff900fff,
    0x037fcc9f,0xd87ff700,0x3fe24fff,0x407ffd6f,0x0002fffa,0x100fff90,
    0x3ff65fff,0x3ffa0005,0x3ffe0004,0x03ffe403,0x004fff88,0xfd93ffe0,
    0xa8bffe1f,0x3ff21fff,0x1fffd001,0x0009fff1,0x7c47fff4,0xff8804ff,
    0x0bff55ff,0x217fe400,0x3e26fff8,0x07ffd6ff,0x001fffcc,0x807ffd80,
    0xffb2fff8,0x7fec000b,0x3ffe0005,0x03ffe402,0x001fffc8,0xfc93ffe0,
    0xe8bffe2f,0xdff11fff,0x57ffdc00,0x0001fffb,0x3eebffee,0xffb001ff,
    0x89ff9dff,0x3ffb005a,0x7c4fffd0,0x07ffd6ff,0x0027ffcc,0x806ffe80,
    0xffb2fff8,0x7fec000b,0xfff10005,0x07ffc805,0x004fffa8,0xf727ffc0,
    0x477fec5f,0xd8cffefc,0x3e2003ff,0x06ffedff,0x6fffc400,0x22006ffe,
    0xfffffffd,0x007ffeee,0xfff01ffd,0xebfffc4d,0x47ffd3ff,0x80006fff,
    0x8803fff9,0xbffb2fff,0x2ffec000,0x2fff8800,0x05fffe40,0x07fffe44,
    0x93ffe000,0x3fea3ffb,0xffe8ffff,0xc8005fff,0x03ffffff,0xffffc800,
    0xfd8003ff,0xffffffff,0xfff007ff,0x4c9fff50,0x7ffd7fff,0xffc8fffa,
    0x7dc0001f,0xff8801ff,0x00bffb2f,0x002ffec0,0x402fff88,0xeefffffc,
    0x1fffffee,0x4fff8000,0xffb13fea,0x3ffee5ff,0xf98000ef,0x000fffff,
    0xfffff980,0xf930000f,0x9dffffff,0x7fc404c7,0x0ffffd46,0x3faffff3,
    0x547ffd3f,0x40003fff,0xf1006ffe,0x17ff65ff,0x05ffd800,0x05fff100,
    0xffffffc8,0x0dffffff,0x9fff0000,0x6542ffcc,0x00ddc40b,0x3ffffa00,
    0x3fa00004,0x80004fff,0x201afff8,0xfbabcefc,0xfffecaef,0xbfffcc3f,
    0x7ffd3ffe,0x0006fff8,0x4013ffe2,0xffb2fff8,0x7fec000b,0xfff10005,
    0xefffc805,0x2cefffff,0x7ffc0000,0x001ffe24,0xffb80000,0x200000ff,
    0x000ffffb,0x807ff880,0xfffffffc,0xffffffff,0xd7fff984,0x0fffa7ff,
    0x0005fff9,0x4007fff2,0xffb2fff8,0x7fec000b,0xfff10005,0x27ffc805,
    0x00000099,0xfd0fffe2,0x0000005f,0x013ffee0,0x9fff7000,0x3fe60000,
    0xffffc805,0xffffffff,0x999101df,0x7f4fffa9,0x37ffcc3f,0x27ffcc00,
    0x25fff100,0x20005ffd,0x10005ffd,0xfc805fff,0x0000007f,0x2e17ffcc,
    0x000005ff,0x1ffff880,0x3fe20000,0x500001ff,0x731009ff,0xbffffdd9,
    0x3a000379,0x07ffd3ff,0x8007fff9,0x2000fffd,0xffb2fff8,0x7fe4000b,
    0xfff10006,0x07ffc803,0x7dc00000,0x7ffc40ff,0x40000000,0x0005fffc,
    0x02fffe40,0x07ff7000,0x00fff400,0xd3ffe800,0x3ffa07ff,0xfff5000f,
    0xfff88007,0x000bffb2,0x8003ffdc,0x6400fff9,0x000007ff,0x41fffe20,
    0x0000effc,0xffff5000,0x7d400001,0x00000fff,0x8000bff6,0x00000fff,
    0x3ffa7ffd,0x0bfff503,0x00dffd10,0x365fff10,0x2a0005ff,0xd8002fff,
    0xffc807ff,0x02880007,0x817ffec4,0x1005fff9,0x3fee0005,0x200001ff,
    0x001ffffb,0x00fff400,0x007ff880,0x74fffa00,0x3ff603ff,0x7ffec03f,
    0xfff88001,0x000bffb2,0x00ffffc4,0x00bfff70,0x0000fff9,0x5557bff3,
    0x80bffff9,0x41befffa,0xb806fd99,0xffffeccc,0x332e0003,0x03ffffec,
    0x0fff8000,0x0dff3000,0x9fff4000,0x3a203ffe,0xff902fff,0xaaaa807f,
    0xb2fffbaa,0x55555dff,0xfff70035,0x2a2557bf,0x0ffffeba,0x007ffc80,
    0xfffff980,0x0effffff,0xfffff980,0x6fffffff,0xfffffd80,0x6c0003ff,
    0x3fffffff,0xff880000,0x3fea0007,0x3fa00005,0x807ffd3f,0x5c1ffff8,
    0xff804fff,0xffffffff,0xffffffb2,0x3a009fff,0x16ffffff,0x7fffffff,
    0x01fff200,0x3fffe600,0x03ffffff,0x7ffff4c0,0x01cfffff,0xdfffffd8,
    0xffd80000,0x0000dfff,0x00026600,0x3a000000,0x07ffd3ff,0x4cdfff30,
    0xff004fff,0xffffffff,0x3fffff65,0x2004ffff,0x16fffffa,0x03dfffff,
    0x00266540,0x9db97300,0x98000157,0x001accdb,0x00d5ef5c,0x57bd7000,
    0x00000003,0x00000000,0xffd3ffe8,0x07fe6007,0x66400bfb,0xcccccccc,
    0x99999971,0x88005999,0x9913cba9,0x00000355,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fa00000,0x007ffd3f,0x00048154,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,
    0x007ffd3f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4fffa000,0x00003ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32e59970,
    0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00bff500,0x80000000,
    0x00000ab9,0x26f76e62,0xddb10000,0x000001bd,0x277774c0,0xbddd5000,
    0x00000001,0x80b72200,0x362003ec,0x0000deee,0x0000a980,0x0017fe40,
    0x40bbff6a,0xfd10000c,0x00009fff,0xfffffffb,0xb10001df,0x0001dfff,
    0xffff3000,0x7fd40007,0x0000efff,0x40bbff6a,0xfffb000c,0x05fff903,
    0x77ffec40,0x3f200000,0x200002ff,0x2e000fff,0x1effffff,0x0001df91,
    0x7ffdbffd,0x3ffa6000,0xffffffff,0xff90001f,0x000001df,0x00ffffcc,
    0xfbfff700,0x70003fff,0x3dffffff,0x2003bf22,0xfd82ffff,0xfc8004ff,
    0x80000eff,0x007ffff9,0x00dff300,0x7f6fffd4,0x6fffffff,0x21ff9800,
    0xfa8006fc,0xfdceffff,0x003fffff,0x01dfff50,0xfff30000,0x7e40001b,
    0xfffb13ff,0x7ffd4003,0xffffffed,0xff9006ff,0x5fff501f,0x3ffea000,
    0x7d40000e,0x2000ffff,0xfdcedb98,0x3be6003f,0x3ffffa60,0xfa8000ef,
    0x2003fd47,0x80cffff8,0x00ffffe8,0x05999100,0x79990000,0xccc98000,
    0x00cccb81,0x74c1df30,0x00efffff,0xc98072a0,0x66440002,0x7c40002c,
    0x36006fff,0xffffffff,0x80cc002f,0x000adeca,0x7ec5ff30,0x7ffe4006,
    0x7fff4405,0x00000004,0x00000000,0x03300000,0x002b7b2a,0x00000000,
    0xfd300000,0xffd3001d,0xffffffff,0x0000005f,0x37ff6000,0x22002ffe,
    0xf1006fff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff500000,0xfd77dfff,0x0007ffff,0xb1000000,0x8009ffff,0x2002fffc,
    0x4003fffc,0x09bddb98,0xdb988000,0x800009bd,0x09bddb98,0x00000000,
    0x5eedcc40,0x2aa60009,0x55544002,0x7c400000,0x7ec0cfff,0x000fffff,
    0x4deedcc4,0x2a600000,0xfff8000a,0x7ffcc007,0x3fff6006,0x00efffff,
    0xfffffb00,0x0001dfff,0x3ffffff6,0xa9800eff,0x51000aaa,0xffb00155,
    0x1dffffff,0x00fffb00,0x002fffa8,0x2fffe400,0xfffdfff8,0x3fff6005,
    0x00efffff,0x55554c00,0x3ffe2001,0x7fff8004,0xffffe980,0x1fffffff,
    0x3fffa600,0xffffffff,0x3ffa6001,0xffffffff,0x7ffdc01f,0xfff5005f,
    0x7fff4c01,0xffffffff,0x03ffec01,0x00bffea0,0xf881ffe6,0xbff506ff,
    0x803ffff3,0xffffffe9,0x001fffff,0x17ffffe0,0x02fff980,0x00fffd80,
    0x3bffffea,0xfffffecb,0xffffa802,0xfffecbef,0xffa802ff,0xfecbefff,
    0x2e02ffff,0x801fffff,0xf500fffa,0xd97dffff,0x405fffff,0x54007ffd,
    0xf9802fff,0x3fff207f,0x365ff902,0x3ea03fff,0xecbeffff,0x002fffff,
    0xffffffa8,0x5fff5000,0x3fff9000,0x33fffe20,0xffffd880,0x3fffe200,
    0xfffd880c,0x3ffe200f,0xffd880cf,0xfff700ff,0xff500bff,0xffff101f,
    0xfffb1019,0x1fff601f,0x05fff500,0x7c0fff30,0x3ffe07ff,0x20bfff30,
    0x80cffff8,0x00ffffd8,0x7ffffe40,0xfff7002f,0xfff90003,0x17fff203,
    0x09fffd10,0x202fffe4,0x204fffe8,0x4405fffc,0xf704fffe,0x801fffff,
    0xfc80fffa,0x7f4405ff,0xfffb04ff,0x2fffa800,0x107ffa80,0x3e60bfff,
    0x83fffc6f,0x4405fffc,0x4004fffe,0x5fffdfff,0x01fff900,0x05fff700,
    0x200dfff1,0x880ffff8,0xf1006fff,0xff101fff,0x3fe200df,0xfffb80ff,
    0x7d404fff,0x7ffc40ff,0xffff1006,0x00fffb01,0x802fffa8,0xff307ffa,
    0x0ffee07f,0xf881fffd,0xff1006ff,0x3ea001ff,0x0fffd9ff,0x00fffd80,
    0x82fffa80,0x2002fffc,0xfc83fffc,0x3f2002ff,0xfffc83ff,0x3fff2002,
    0xfbfffb83,0x3fea00ff,0x17ffe40f,0x07fff900,0xa800fffb,0x97302fff,
    0xf501fffd,0x3ffa05ff,0x20fffec1,0x2002fffc,0x9003fffc,0x3ffeefff,
    0x1fffd802,0x1fffb800,0x4007fff8,0xff86fff9,0x7fcc007f,0x07fff86f,
    0x437ffcc0,0xfff8fffb,0x03ffea04,0x9800ffff,0xffd86fff,0x7ffd4007,
    0x7fffec42,0xffb80fff,0x86ff881f,0x7fc2fffc,0x7fcc007f,0x9fff006f,
    0x2017ffe2,0x8001fffc,0x7c40fffc,0xff8005ff,0x2fffc47f,0x23fffc00,
    0x8005fff8,0xffb87fff,0x201fffb7,0x3e20fffa,0xff8005ff,0x07ffd87f,
    0x117ffd40,0xffffffff,0x1fff901f,0xf709ff50,0x7ffc45ff,0x7fff8005,
    0x22fffa80,0xfb807ffe,0xfd8002ff,0x7ffcc0ff,0x7ffd8003,0x001fffcc,
    0x3e63ffec,0xfd8003ff,0x37ffb87f,0x3ea07fff,0x3ffe60ff,0x7ffd8003,
    0x4007ffd8,0x3f62fffa,0xd801aeff,0xffd80fff,0x22fffb82,0x8003fff9,
    0xfc807ffd,0x17ffdc7f,0x00fffea0,0x2a1fffa0,0xc8002fff,0x3fea0fff,
    0xffc8002f,0x0bffea0f,0x03fff200,0x7ff4fff7,0x41fff507,0x8002fffa,
    0x7ec0fffc,0x7fd4007f,0x0dfff32f,0x81fffd80,0xfff707ff,0x017ffd43,
    0x007ffe40,0xff317ffe,0xfffa80bf,0x7ffc4005,0x01fffb86,0x21fffc80,
    0x8001fffb,0x3ee1fffc,0xfc8001ff,0x3ffdc1ff,0xf505fff5,0x7ffdc1ff,
    0xfffc8001,0x003ffec1,0x7dcbffea,0x7e4002ff,0x2ffd42ff,0x2e0fffc8,
    0xc8001fff,0x3e601fff,0x7ffe82ff,0x07fffc40,0x07fff700,0x0001fff9,
    0x7e45fff7,0xfb8000ff,0x3fff22ff,0xfffb8000,0x3e3ffdc2,0xfffa86ff,
    0x003fff20,0xb0bffee0,0xfa800fff,0x3fff92ff,0x2fffc800,0xfd817fe4,
    0x07ffe47f,0x17ffdc00,0x901fff90,0xfc805fff,0x3fa003ff,0xfffd80ff,
    0xfffa8000,0x003fff62,0xd8bffea0,0xa8000fff,0x7fdc2fff,0x217ffdc7,
    0x3f60fffa,0xfa8000ff,0x3ffec2ff,0x4bffea00,0x4002fffd,0x7f43fffb,
    0x8dffd00f,0x8000fffd,0x3e02fffa,0xfff305ff,0xefff9809,0x4fffb800,
    0x001fffb0,0x6c3fff70,0xb8000fff,0x3ff61fff,0xffb8000f,0x23ffdc1f,
    0x7d46fff8,0x3fff60ff,0xfffb8000,0x003ffec1,0x7e4bffea,0x7cc004ff,
    0x1bfe64ff,0x362fffc4,0xb8000fff,0xff301fff,0x3fffc07f,0x077fff40,
    0x01ffff70,0x0007fff2,0xfc83fff2,0xfc8001ff,0x3fff20ff,0xfffc8001,
    0x643ffdc0,0x3fea1fff,0x07fff20f,0x03fff200,0xa800fffb,0xfff52fff,
    0xffff000d,0x5c0ffee1,0x7fe43fff,0xffc8001f,0x1fff900f,0x017ffe40,
    0x2fbfffe6,0xffff9511,0x17ffdc07,0x23ffec00,0x8002fffb,0x7fdc7ffd,
    0xffd8002f,0x887ffb87,0x3fea5fff,0x0bffee0f,0x21fff600,0x54007ffd,
    0x3ffa2fff,0x7fec004f,0x203ffd4f,0x7dc0fffe,0xfd8002ff,0x1bffe07f,
    0x009fff50,0xfffffff5,0x05ffffff,0x003fffa8,0x7d46ffe8,0xfe8003ff,
    0x1fffd46f,0x437ff400,0xff907ffb,0x83ffea3f,0x8003fffa,0xffd86ffe,
    0x7ffd4007,0x0ffffea2,0x9ffffa80,0xfff707ff,0x07fff507,0x20dffd00,
    0xf803fff9,0xff5007ff,0xffffffff,0xfff3005f,0xfff8800b,0x02fffcc5,
    0x317ffe20,0x8800bfff,0xffb85fff,0x2bfff107,0x3e60fffa,0x7c4005ff,
    0xfffc85ff,0x3ffee000,0x7ffffe41,0xdfffd003,0xfff709ff,0x17ffe60f,
    0x0bfff100,0x2ab3fff2,0xfeaaaaaa,0xb51002ff,0x17dfffff,0x3fffe200,
    0x3ffee000,0x07fffc43,0x87fff700,0x000ffff8,0x2e0fffee,0x3ff607ff,
    0x20fffa8f,0x000ffff8,0x2e0fffee,0x32001fff,0xfff907ff,0x01bdffff,
    0x5ffffff3,0x3ffff2a2,0x1ffff103,0x1fffdc00,0xfffffff8,0xffffffff,
    0xf98004ff,0xf90003ff,0x7f4005ff,0xfffc80ff,0x3fffa002,0x02fffc80,
    0x203fffa0,0x3e607ffb,0x0fffabff,0x0017ffe4,0xf501fffd,0x7ec005ff,
    0x3ffea06f,0x701fffff,0xfdffffff,0x807fffff,0x2002fffc,0xf980fffe,
    0xffffffff,0xffffffff,0xdffd0007,0x3ffe6000,0xfffb800e,0x1dfff303,
    0x07fff700,0x003bffe6,0x5c0fffee,0x7fec07ff,0x4c0fffaf,0xb800efff,
    0xff303fff,0x3fe600bf,0x7ed4405f,0x2a01ffff,0xffffffff,0xf9801eff,
    0xfb800eff,0xfff903ff,0xffffffff,0x3fffffff,0x5fff9000,0x3fff6000,
    0x3ffea00e,0x3fff600f,0x3ffea00e,0x3fff600f,0x3ffea00e,0x0fff700f,
    0xffdfffa8,0xefffd80f,0x3fffea00,0x0bfffa00,0x01fffd10,0x065d4c40,
    0x3fffff20,0x2000ceff,0x200efffd,0xf00ffffa,0xfa800dff,0xfa8004ff,
    0x2e982eff,0x7dffff30,0x3fff2a23,0x7ffcc03f,0xf9511bef,0xf9807fff,
    0x511befff,0x407ffff9,0xfe807ffb,0x980fffff,0x11beffff,0x07ffff95,
    0x0cffff98,0x04fffea8,0xfff80000,0x20001aa9,0x1beffff9,0x7ffff951,
    0x00fffe60,0x00ffff10,0x3bffff20,0x00fffedd,0xfffffff5,0x07ffffff,
    0x3ffffea0,0xffffffff,0xffff5003,0xffffffff,0x7ffb807f,0xfffffa80,
    0xffff500f,0xffffffff,0x3ff6007f,0xffeeffff,0x00006fff,0x006ff980,
    0x7fffd400,0xffffffff,0x3fff203f,0xfffd8001,0xffe88001,0xffffffff,
    0x3fffa602,0x1effffff,0x7fff4c00,0x1effffff,0x7fff4c00,0x1effffff,
    0x007ffb80,0x01fffffd,0x7fffff4c,0x001effff,0x7fffffdc,0x004fffff,
    0x7ff70000,0xfd300000,0xffffffff,0x6fff803d,0x9fff7000,0x7ffdc000,
    0x800dffff,0xfffffdb8,0x710000ce,0x9dfffffb,0x36e20001,0x0cefffff,
    0x00fff700,0x03ffffee,0xffffb710,0x200019df,0xfffffed8,0x000001de,
    0x0007ffa0,0x7fedc400,0x400cefff,0x0004fff9,0x000dfff1,0x01357530,
    0x000d4400,0x001a8800,0x00351000,0x801ffee0,0x000fffff,0x00000d44,
    0x00009a98,0x09990000,0x54400000,0x7ffe4001,0x3ffa0001,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xec80b722,0x3a600003,0x50004eee,0x0001bddd,0x80000000,
    0x1accecb9,0x99930000,0x774c0001,0x530004ee,0x379bddb9,0x0004cc98,
    0xddd30000,0xdc88009d,0x000fb202,0x207fff60,0x0002fffc,0x03ffff98,
    0xfffff500,0x36a0001d,0x01902eff,0x3fffaa00,0x3effffff,0x37fe4000,
    0xffff3000,0xff910007,0x7fffffff,0x002fff88,0x7fcc0000,0xfd8003ff,
    0xfffc81ff,0x7ffc0002,0x4fffd82f,0x7ffcc000,0xff70001f,0x03ffffbf,
    0xfffffb80,0x1df911ef,0xffffc800,0xffffffff,0x3fe20006,0xff30002f,
    0xf30003ff,0xffffffff,0xbffb07ff,0x4c000000,0x0001ffff,0xfb05ffff,
    0xc80009ff,0xffa80fff,0x3e60002f,0x90000dff,0x3f627fff,0xff5001ff,
    0xfffffdbf,0x4400dfff,0xdffffffe,0x06fffedc,0x01ffee00,0x06fffcc0,
    0xdfffe800,0x2ba99899,0x000fff98,0xfff98000,0x3f20000d,0xfffa80ff,
    0x1ca80002,0x0000b260,0x40007999,0xcb81ccc9,0xef9800cc,0x3ffffa60,
    0x3fa000ef,0x2600bfff,0x3fa0006c,0x9990003f,0x7fdc0007,0x3fa0003f,
    0x8000004f,0x00003ccc,0x164c0395,0x00000000,0x00000000,0x01980000,
    0x0015bd95,0x017fffdc,0x7fd40000,0x0000000f,0x003ffec0,0x001ffee0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x0000ffff,
    0x0bffb000,0xd0000000,0x88000fff,0x00002fff,0x00000000,0x55300000,
    0xaaa88005,0x001554c0,0x5302aaa2,0xaa880055,0x0000000a,0x004fffc8,
    0xfff30000,0x2aa60003,0xf90001aa,0xc80007ff,0x550006ff,0x4c000355,
    0x26001aaa,0x0001aaaa,0x4007ffd8,0x7ec2fffa,0x7fd4007f,0x03ffec2f,
    0x00bffea0,0x01aaaa98,0x07fffc40,0xfc800000,0x3fe0006f,0x50005fff,
    0x0007ffff,0x000fffcc,0x007fffdc,0x07fffc40,0xbfffff00,0xfffb0000,
    0x2fffa800,0x2003ffec,0x7ec2fffa,0x7fd4007f,0x3ffe002f,0x7d4005ff,
    0x000004ff,0x007fff10,0x3ffffea0,0xff90000f,0x20001bff,0xd0005ffd,
    0x90009fff,0x54007fff,0x00ffffff,0x03ffec00,0xb0bffea0,0xfa800fff,
    0x3ffec2ff,0x0bffea00,0x7ffffd40,0x3fee000f,0x0000002f,0x0001fff7,
    0x3ffffff2,0xfff98002,0x8003ffff,0x8000fffa,0x000ffffa,0x001fffe6,
    0x5ffffff9,0x7ffd8000,0x17ffd400,0x5001fff6,0xffd85fff,0x7ffd4007,
    0xffff9002,0x7e4005ff,0x000001ff,0x0009ffd0,0x7ffefffc,0x7ffcc005,
    0x1effffff,0x01fffc00,0x04fffd80,0x00bfff60,0xfffbfff0,0xffd8000b,
    0x7ffd4007,0x003ffec2,0xfb0bffea,0xffa800ff,0xbfff002f,0x6c00bfff,
    0x00000fff,0x01fff980,0xb3fff500,0x22001fff,0xff90efff,0x5c009fff,
    0xf30007ff,0xf3003fff,0xfa800dff,0x0fffd9ff,0x1fff6000,0x85fff500,
    0x54007ffd,0x7fec2fff,0x7ffd4007,0x9fffa802,0xd000fffd,0x00000fff,
    0x0017ff60,0xff77ffc8,0x3fee005f,0x7fff4c1f,0xff8800ef,0xff90002f,
    0xfffb00bf,0x7ffc8003,0x0005fff7,0x2003ffec,0x7ec2fffa,0x7fd4007f,
    0x03ffec2f,0x00bffea0,0x7fddfff2,0xffff002f,0xf1000000,0x7c0005ff,
    0xbfff14ff,0x817ffa00,0x00effffb,0x0005ffd8,0x403ffff1,0x8005fff9,
    0xfff14fff,0x7fec000b,0x7ffd4007,0x003ffec2,0xfb0bffea,0xffa800ff,
    0x4fff802f,0x200bfff1,0x00007fff,0x006ffb80,0xe8bffea0,0xfff007ff,
    0xffff9809,0x1fff9804,0xdfff7000,0x007fff40,0xe8bffea0,0x360007ff,
    0x7d4007ff,0x3ffec2ff,0x0bffea00,0xa800fffb,0x7d402fff,0x1fffa2ff,
    0x007fff40,0x3ffe0000,0x3ff20003,0x017ffdc7,0x44037ff4,0xe801fffe,
    0x3e0004ff,0xffa82fff,0xffc8004f,0x017ffdc7,0x007ffd80,0x3617ffd4,
    0x7d4007ff,0x3ffec2ff,0x0bffea00,0xfb8fff90,0xffd802ff,0x2000001f,
    0x0000fffa,0xff317ffe,0xfffb00bf,0x7fff5001,0x01fff500,0x1bffea00,
    0x0003fffa,0xff317ffe,0x3f6000bf,0x7fd4007f,0x03ffec2f,0xb0bffea0,
    0xfa800fff,0x7ffc02ff,0x02fffcc5,0x0017ffe4,0x09ffd000,0x17ffcc00,
    0x5403fff4,0xf800efff,0xfff005ff,0x7ff40007,0x0fffea2f,0x0bffe600,
    0x4001fffa,0x54007ffd,0x7fec2fff,0x7ffd4007,0x003ffec2,0x980bffea,
    0xffe82fff,0x5fffb807,0xff300000,0x7e40003f,0xfffc80ff,0xefffd802,
    0x02fff400,0x0006ffc8,0xfe9bffe6,0xff90006f,0x5fff901f,0x0fffb000,
    0x42fffa80,0x54007ffd,0x7fec2fff,0x7ffd4007,0x03fff202,0x100bfff2,
    0x0003ffff,0x00dff900,0x305fff80,0xd1009fff,0x2207ffff,0xf1004fff,
    0x6c0003ff,0xfffbafff,0xbfff0002,0x013ffe60,0x001fff60,0xfd85fff5,
    0x7fd4007f,0x03ffec2f,0x80bffea0,0xff305fff,0xfffb009f,0xf880000b,
    0x260002ff,0x3fe03fff,0xffd1007f,0xffc81bff,0x3ff6001f,0x3fe20005,
    0x006ffeef,0x407fff30,0xd8007fff,0x7d4007ff,0x3ffec2ff,0x0bffea00,
    0xa800fffb,0xff302fff,0x3fffc07f,0x17fffd40,0xfff70000,0xfffc8000,
    0x0bfff200,0xfffffc80,0x00bfff74,0x000fffa8,0x3fffff20,0xff90001f,
    0x7ffe401f,0x3ffec002,0x0bffea00,0xa800fffb,0x7fec2fff,0x7ffd4007,
    0x01fff902,0x4017ffe4,0x004ffffe,0x27ff4051,0x1bffe000,0x009fff50,
    0xfffffe98,0xd0006fff,0x440009ff,0x005fffff,0x501bffe0,0xd8009fff,
    0x7d4007ff,0x3ffec2ff,0x0bffea00,0xa800fffb,0xfff02fff,0x4fffa80d,
    0xffffe880,0xb5310abe,0x3ffea0df,0x3fe60000,0x7fff803f,0xffff7000,
    0x5c000bff,0x5c0007ff,0x0000ffff,0xf007fff3,0xfd800fff,0x7fd4007f,
    0x03ffec2f,0xb0bffea0,0xfa800fff,0xfff982ff,0x07fff803,0xfffffd10,
    0xffffffff,0x017ff60d,0x59fff900,0xd5555555,0x20005fff,0x03ffffc8,
    0x0bffe200,0x5fff8800,0x3fff2000,0xaaaaaaac,0x002fffea,0x8003fff2,
    0x7e41fffb,0x3ee000ff,0x7ffe41ff,0x3ffee000,0xacfffc81,0xeaaaaaaa,
    0xb1002fff,0xffffffff,0xf10dffff,0xf80005ff,0xffffffff,0xffffffff,
    0x7fd40004,0x320001ff,0x7c0006ff,0x3e0005ff,0xffffffff,0xffffffff,
    0x3ffee004,0x1fff2001,0x8007ffee,0xffb87ffc,0x3ff2001f,0xffffff07,
    0xffffffff,0x88009fff,0xeffffffb,0xdff901bc,0xfff98000,0xffffffff,
    0x07ffffff,0x3fffb800,0x3ffe6000,0x3ffe0001,0xfff30005,0xffffffff,
    0x0fffffff,0x017ffd40,0xf50dffb0,0x7ec005ff,0x2fffa86f,0x21bff600,
    0xfffffff9,0xffffffff,0xf70007ff,0x3e0015ff,0x640003ff,0xffffffff,
    0xffffffff,0x440001ff,0x40004fff,0x20004ffe,0x90005fff,0xffffffff,
    0xffffffff,0x3e6003ff,0xff3005ff,0xbfff30bf,0x17ffe600,0x4017ffe6,
    0xfc85fff9,0xffffffff,0xffffffff,0xffc8001f,0x3ffea006,0x7ffc0000,
    0x7ffd4006,0x7fcc0004,0x7d40002f,0xff0000ff,0x3fe000bf,0x7fd4006f,
    0x3ffa004f,0x7ff4402f,0x5fffd00f,0x0fffe880,0x805fffd0,0xf80fffe8,
    0x7d4006ff,0xfe8004ff,0x3ffa004f,0x7fcc0004,0x7fc4003f,0x3a20007f,
    0x80000fff,0xf0003fff,0xf3000bff,0xf88007ff,0x3e6007ff,0xea80cfff,
    0x3e604fff,0xea80cfff,0x3e604fff,0xea80cfff,0xff984fff,0x7fc4003f,
    0x7fc4007f,0xfff3001f,0xffc80003,0xffd8001f,0x55e7d41f,0xfffca999,
    0xf700005f,0x3fe000df,0xffc8005f,0xffd8001f,0x3ff6001f,0xffeeffff,
    0xfd806fff,0xfeefffff,0xd806ffff,0xeeffffff,0x906fffff,0xb0003fff,
    0x54003fff,0x3f6007ff,0xff80005f,0xff70006f,0xffffa89f,0xffffffff,
    0x3e200004,0xff8002ff,0xfff8005f,0xfff70006,0xfffb8009,0xffffffff,
    0x3ffee004,0xffffffff,0x3ffee004,0xffffffff,0x01bffe04,0x027ffdc0,
    0x2009ff70,0x0002fff8,0x0027ffcc,0x546fff88,0xffffffff,0x00003eff,
    0x8005ffd8,0x4c005fff,0x10004fff,0x1000dfff,0xdfffffdb,0xdb10003b,
    0x3bdfffff,0xffdb1000,0x403bdfff,0x0004fff9,0x400dfff1,0x93000998,
    0xf9000099,0x740003ff,0x32a21fff,0x1cdeeeed,0x32600000,0xfff8004c,
    0x7ffe4005,0x3ffa0001,0x54c0001f,0x4c000009,0x4000009a,0xf90009a9,
    0x740003ff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xea800000,0x00000dee,0x99997531,0x54009999,
    0x4000deee,0x3b202dc8,0x7776c403,0x8000000d,0x004eeee9,0x4eeee980,
    0x9016e440,0xddb1007d,0x440001bd,0x000deeed,0x77754000,0xccc9800d,
    0x3fea0004,0x0000efff,0x3fffffaa,0x07ffffff,0xdfffff50,0x7ffec001,
    0x02fffc81,0x077ffec4,0xff300000,0x300007ff,0xb007ffff,0xff903fff,
    0xffb1005f,0x440001df,0x000efffd,0xffff5000,0xffa801df,0xff70007f,
    0x03ffffbf,0xffffea80,0xffffffff,0xfffb807f,0x001ffffd,0xfb05ffff,
    0x3f2009ff,0x00000eff,0x01ffff98,0xffff9800,0x5ffff001,0x009fffb0,
    0x0077ffe4,0x3bfff200,0x7dc00000,0x1ffffdff,0x01fffea0,0x44ffff20,
    0x5001fffd,0xffffffff,0xfffd555d,0x13fffc80,0x9003fffb,0xff501fff,
    0x7fd4005f,0x200000ef,0x000dfff9,0x0dfff980,0x03fff200,0x000bffea,
    0x001dfff5,0x0efffa80,0xfff90000,0x07fff627,0x0037ffd4,0x2e073326,
    0x7c400ccc,0xffffffff,0x303ffec5,0x99703999,0x03950019,0x4400164c,
    0x00002ccc,0x0000f332,0x0003ccc8,0x164c0395,0x2ccc8800,0xccc88000,
    0xcc980002,0x0cccb81c,0x006fffa8,0xfe800000,0xffffffff,0x003ffec5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x0006fffa,0x7fcc0000,0xffffffff,0x003ffec5,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0006fff9,0x00d5554c,
    0xffffff50,0xfd8bffff,0x5555507f,0x55555555,0x2aaa0555,0xaaaaaaaa,
    0xa882aaaa,0xaaaaaaaa,0x02aaaaaa,0x55555551,0x55555555,0x55555405,
    0xaaaaaaaa,0xaaa882aa,0xaaaaaaaa,0x2a02aaaa,0xaaaaaaaa,0x02aaaaaa,
    0x06aaaa60,0x55554400,0xaaaaaaaa,0x7fcc2aaa,0x7fc0006f,0x32005fff,
    0xffffffff,0x3ffec5ff,0xffffffd8,0xffffffff,0xfffffb06,0xffffffff,
    0xffff50df,0xffffffff,0x3ea0ffff,0xffffffff,0x07ffffff,0x3ffffff6,
    0xffffffff,0xfffffa86,0xffffffff,0x3ff607ff,0xffffffff,0x2006ffff,
    0x005fffff,0xffffff50,0xffffffff,0x5fff98ff,0x3ffea000,0xf9000fff,
    0xffffffff,0x07ffd8bf,0xfffffffb,0xdfffffff,0x3fffff60,0xffffffff,
    0xffffa86f,0xffffffff,0xff507fff,0xffffffff,0x40ffffff,0xfffffffd,
    0x6fffffff,0xffffffa8,0xffffffff,0x3fff607f,0xffffffff,0xf5006fff,
    0x001fffff,0xffffff50,0xffffffff,0x5fff98ff,0x3fff2000,0xf7002fff,
    0xffffffff,0x07ffd8bf,0xddddfffb,0x9ddddddd,0x3bbfff60,0xeeeeeeee,
    0xeeee984e,0xeeffffee,0xdd306eee,0xffffdddd,0x40dddddd,0xeeeefffd,
    0x4eeeeeee,0xeeeeee98,0xeeeeffff,0x3fff606e,0xeeeeeeee,0xf9004eee,
    0x005fffff,0xdddddd30,0xddddffff,0x5fff98dd,0x37ffe000,0xf5005fff,
    0xffffffff,0x07ffd8bf,0x0000fffb,0x0001fff6,0x00bfff00,0x02fffc00,
    0x003ffec0,0x17ffe000,0x01fff600,0x6fffc000,0x00005fff,0x8802fffc,
    0x50005fff,0xfffb3fff,0xffff1001,0x8bffffff,0xffb07ffd,0x3f60000f,
    0x4000007f,0x00005fff,0x20017ffe,0x00007ffd,0x002fffc0,0x0003ffec,
    0x6cfffd40,0x00000fff,0x44017ffe,0x90005fff,0x3ffeefff,0xffff7002,
    0xd8bfffff,0xfffb07ff,0x3ff60000,0x7c000007,0x200005ff,0xd8005fff,
    0x000007ff,0x4002fffc,0x00007ffd,0xff77ffc8,0x7c00005f,0xff1005ff,
    0x3fe0009f,0x0bfff14f,0x7fffff40,0x7fec5fff,0x00fffb07,0x01fff600,
    0xbfff0000,0x7ffc0000,0x7ffd8005,0x7fc00000,0xffd8005f,0xff800007,
    0x0bfff14f,0x2fffc000,0x04fff880,0x22fffa80,0x22007ffe,0xfffffffe,
    0xd83ffec5,0xb00007ff,0x00000fff,0x0005fff8,0x0017ffe0,0x0001fff6,
    0x00bfff00,0x000fffb0,0x22fffa80,0x00007ffe,0x44017ffe,0xc8004fff,
    0x7ffdc7ff,0x7ff54002,0x7fec5fff,0x00fffb07,0x01fff600,0xbfff0000,
    0x7ffc0000,0x7ffd8005,0x7fc00000,0xffd8005f,0x7e400007,0x17ffdc7f,
    0x5fff8000,0x013ffe00,0xf317ffe0,0x2a000bff,0x7ec5edcb,0x0fffb07f,
    0x1fff6000,0xfff00000,0x7fc0000b,0xffd8005f,0x7c000007,0xfd8005ff,
    0x7c00007f,0x7ffcc5ff,0xfff00005,0x27ffc00b,0x0bffe600,0x0001fffa,
    0xb07ffd80,0x20000fff,0x00007ffd,0x002fffc0,0x00bfff00,0x000fffb0,
    0x05fff800,0x007ffd80,0x0bffe600,0x0001fffa,0xf002fffc,0xfc8007ff,
    0xfffc80ff,0xfb000002,0x3fff60ff,0xeeeeeeee,0xffb01eee,0xdddddddf,
    0x8003dddd,0x00005fff,0x20017ffe,0xeeeefffd,0x1eeeeeee,0x02fffc00,
    0x777ffec0,0xeeeeeeee,0x3fff201e,0x02fffc80,0x05fff800,0x000fffe0,
    0x3e60bfff,0x000004ff,0x3f60fffb,0xffffffff,0xb02fffff,0xffffffff,
    0x05ffffff,0x005fff80,0x017ffe00,0x3fffff60,0xffffffff,0x7ffc002f,
    0xfffd8005,0xffffffff,0x3fe02fff,0x9fff305f,0xbfff0000,0x01fffc00,
    0x407fff30,0x00007fff,0x360fffb0,0xffffffff,0x02ffffff,0xfffffffb,
    0x5fffffff,0x05fff800,0x17ffe000,0x3ffff600,0xffffffff,0x7fc002ff,
    0xffd8005f,0xffffffff,0xf302ffff,0x7ffc07ff,0xfff80007,0x0fffe005,
    0x00fffc80,0x000bfff2,0x41fff600,0xaaaafffd,0x0aaaaaaa,0x555fffb0,
    0x55555555,0x5fff8001,0x3ffe0000,0xfffd8005,0xaaaaaaaa,0x7c000aaa,
    0xfd8005ff,0xaaaaaaff,0x900aaaaa,0x7e401fff,0x7c0002ff,0x000005ff,
    0x5406fff8,0x00004fff,0xfb07ffd8,0x360000ff,0x000007ff,0x0002fffc,
    0x000bfff0,0x0000fffb,0x005fff80,0x0007ffd8,0xa80dfff0,0x40004fff,
    0x00005fff,0x01fffcc0,0x0003fffc,0xd83ffec0,0xb00007ff,0x00000fff,
    0x0005fff8,0x0017ffe0,0x0001fff6,0x00bfff00,0x000fffb0,0x007fff30,
    0x8000ffff,0x04005fff,0x33fff200,0xaaaaaaaa,0x0002fffe,0xd83ffec0,
    0xb00007ff,0x00000fff,0x0005fff8,0x0017ffe0,0x0001fff6,0x00bfff00,
    0x000fffb0,0x559fff90,0xfd555555,0x7c0005ff,0xfd1005ff,0x3ffe007f,
    0xffffffff,0x04ffffff,0x37ff4000,0x0007ffd8,0x000fffb0,0x05fff800,
    0x17ffe000,0x01fff600,0xbfff0000,0x0fffb000,0xfffff000,0xffffffff,
    0x0009ffff,0xd802fffc,0x4c01ffff,0xffffffff,0xffffffff,0x7c00007f,
    0xfffb04ff,0x3ff60000,0x7c000007,0x200005ff,0xd8005fff,0x000007ff,
    0x4002fffc,0x40007ffd,0xfffffff9,0xffffffff,0x3e0007ff,0xfff005ff,
    0xffc807ff,0xffffffff,0xffffffff,0xff100001,0x1fff607f,0x3ffec000,
    0x3fe00000,0x3e00005f,0xfd8005ff,0x4000007f,0xd8005fff,0x640007ff,
    0xffffffff,0xffffffff,0xff0001ff,0x3ffa00bf,0x7ffc02ff,0x7ffd4006,
    0xfc800404,0xfffb01ff,0x3ff60000,0x7c000007,0x200005ff,0xd8005fff,
    0x000007ff,0x4002fffc,0x40007ffd,0x54006fff,0xf0004fff,0x3e600bff,
    0x7fcc05ff,0x7fc4003f,0x07be207f,0x205fffb8,0x00007ffd,0x0000fffb,
    0x005fff80,0x017ffe00,0x001fff60,0x0bfff000,0x00fffb00,0x01fffcc0,
    0x01fffe20,0x002fffc0,0xff900351,0xffb0003f,0x3fff603f,0xffdb9acd,
    0x3ff600ff,0x9999999f,0xfb009999,0x333333ff,0x10133333,0xff333333,
    0x333333bf,0x26666620,0x999dfff9,0x3ff60199,0x9999999f,0x98809999,
    0xfff99999,0x0199999d,0x2667fff6,0x99999999,0x007fff20,0x407fff60,
    0xf9999998,0x99999dff,0x7ffc0001,0xfff70006,0xffffb109,0xffffffff,
    0xffffd807,0xffffffff,0xfffb06ff,0xffffffff,0xff50dfff,0xffffffff,
    0x20ffffff,0xfffffffa,0xffffffff,0x3ffff607,0xffffffff,0xfffa86ff,
    0xffffffff,0x3607ffff,0xffffffff,0x26ffffff,0x70006fff,0x3ea09fff,
    0xffffffff,0x07ffffff,0x13ffe600,0x37ffc400,0xfffffd50,0xb001bfff,
    0xffffffff,0x0dffffff,0x3ffffff6,0xffffffff,0xfffffa86,0xffffffff,
    0xfff507ff,0xffffffff,0x6c0fffff,0xffffffff,0x86ffffff,0xfffffffa,
    0xffffffff,0x3ffff607,0xffffffff,0x9fff36ff,0x3ffe2000,0xfffff506,
    0xffffffff,0x64000fff,0x20001fff,0x4c01fffe,0x02bceecb,0x3fffff60,
    0xffffffff,0xffffb06f,0xffffffff,0xfff50dff,0xffffffff,0x2a0fffff,
    0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,0xffffa86f,0xffffffff,
    0x3f607fff,0xffffffff,0xf96fffff,0x740003ff,0xffa81fff,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02ae6000,0x15973000,0x0aa80060,
    0x00002a60,0x00005999,0x1cccca80,0x33bf7220,0x09993000,0x0066665c,
    0xaa988000,0x05540001,0x54001530,0x002a600a,0x66f76e54,0x66665402,
    0xfffd1000,0xff10009f,0xf987ffff,0x0fffb804,0x001fffb8,0x07ffffb0,
    0x3fee0000,0x3fe603ff,0x402fffff,0x2203fff8,0x000ffffd,0x3fffee00,
    0xffffffff,0x3ffee06f,0x01fffb80,0xb80fffb8,0x3a601fff,0xffffffff,
    0xffff701e,0x3bffa001,0x22003ffe,0xfffffffe,0x01fffcbe,0x7c27fffc,
    0xd8004fff,0x03ffffff,0x7ffdc000,0x3ffe201e,0x00ffffef,0x5c01bff2,
    0x0000ffff,0x7fffffd4,0xffffffff,0x3fffe06f,0x04ffff84,0xf84ffff8,
    0xff704fff,0xffffffff,0xfff703ff,0x3ff5001f,0xf7003fe4,0xfffb539f,
    0xd005ffff,0xffd07fff,0xffd8009f,0x03fffb8e,0xbfff7000,0x25ffc801,
    0xf503ffe9,0x74c001ff,0x10000fff,0x757bffff,0xfffffffb,0x1ffff40d,
    0x4027fff4,0xfe83fffe,0xfff984ff,0xfdb989bf,0xfffa86ff,0x88df9007,
    0x132001ff,0x0fbfffaa,0x4077fd40,0x1000eff9,0x7d41bffb,0x5c0003ff,
    0xfd003fff,0x85ffb83f,0x8003ffe8,0x000fffd8,0x503fffe8,0x2a00dfff,
    0xff980eff,0xeffa800e,0x80eff980,0x3600fffe,0x7fd41fff,0x8ff9007f,
    0x00001ff9,0x040002a6,0x2a6000c0,0x1555302a,0x0d554000,0x987ff880,
    0x6ffc86ff,0x15554000,0x13ffe600,0x005fff90,0x4000c004,0xff501800,
    0xfffa807f,0x03fffcc2,0xe99cff98,0x0000006f,0x00000000,0x00000000,
    0x10fff100,0xfff98fff,0x00000001,0x1007ffee,0x00009fff,0x80000000,
    0xf9807ffb,0x7ffcc3ff,0x3fff2006,0x00001fff,0x00000000,0x00000000,
    0x3ffe0000,0x3a37fcc0,0x000004ff,0x03ffe400,0x0005fff8,0x00000000,
    0x5c037fec,0x7fc41fff,0x7f5c006f,0x440001df,0x0009aaa9,0x00355100,
    0x01aa8800,0x0d544000,0xb85fff00,0x1bff24ff,0x0d544000,0x03fff600,
    0x0013ffe0,0x01355531,0x3a000000,0x7fcc05ff,0x5fff886f,0x40001000,
    0xfffffda8,0x8003ffff,0xfffffed9,0xdb30002e,0x05dfffff,0x3ffb6600,
    0x6402efff,0xffb8bfff,0x03fff31f,0x7ff6cc00,0xb802efff,0x7cc01fff,
    0x6d4402ff,0xffffffff,0x7ffc803f,0x23fff500,0x3ee05ffe,0xfff01fff,
    0x554c400b,0x7dc0009a,0xffffffff,0x5001ffff,0xffffffff,0x54001bff,
    0xffffffff,0x2a000dff,0xffffffff,0xff100dff,0x49ffffff,0x20004ffe,
    0xfffffffa,0x2600dfff,0x7f406fff,0x7fdc01ff,0xffffffff,0x3f201fff,
    0xfff5007f,0x6417ffa3,0x2601ffff,0x36a20099,0xffffffff,0xfff7003f,
    0xffdd9ddf,0xff900dff,0xffb97bff,0x3f200dff,0xfdcbdfff,0xf9006fff,
    0xfb97bfff,0x74c0dfff,0x2e3fffff,0x90000eff,0xb97bffff,0xd80dffff,
    0x6c40dfff,0xfb804fff,0xeeceefff,0x3206ffff,0xff5007ff,0x217ffa3f,
    0x000efffc,0xfffff700,0xffffffff,0x01ceb803,0x813fffaa,0x880efffa,
    0x5403fffe,0xe880efff,0x7d403fff,0xfe880eff,0x65cc03ff,0x0bffe20a,
    0x77ffd400,0x3fffe880,0x3ffffe60,0x6ffffede,0x4039d700,0x904fffea,
    0x3ea00fff,0x8bffd1ff,0x7005fff9,0x7fdc0fff,0xfeeceeff,0x00006fff,
    0xe81bffe6,0xffe806ff,0x1bffa00f,0x803fffa0,0xfe806ffe,0xfd0000ff,
    0x7f40009f,0xfffe806f,0xfffffd00,0x19ffffff,0xff300000,0x1fff20df,
    0xe8fffd40,0x7ffdc5ff,0x0bffb001,0xd500e75c,0x00009fff,0xfb83ffec,
    0xff9801ff,0x3fff704f,0x09fff300,0x2007ffee,0x8004fff9,0x0000fffb,
    0x3003fff7,0xff709fff,0xbfffd93d,0x80000039,0xff907ffd,0x3ffea00f,
    0xfc8bffd1,0xfff000ff,0x3e600005,0x200006ff,0xff80fffb,0x3ffa005f,
    0x00bfff05,0xff82fff4,0x3ffa005f,0x7ffc4005,0x3ffe0002,0x17ffa005,
    0x0000fffa,0x3fee0000,0x07ffc80f,0x3a3fff50,0x7ffd45ff,0x0fff9803,
    0x3ff60000,0x3ee00007,0x7ffc40ff,0x1bff6004,0x8013ffe2,0xff886ffd,
    0x3ff6004f,0x2ffec006,0x9fff1000,0x237fec00,0x0002fff8,0xffb80000,
    0x07ffc80f,0x3a3fff50,0x7ffcc5ff,0x37fd402f,0x3fee0000,0x2a62000f,
    0xfffdaaaa,0x4dfffcc0,0x99999999,0xf987ffd9,0x99999bff,0xffd99999,
    0x9bfff987,0x99999999,0x2007ffd9,0x0c40fffa,0x9bfff980,0x99999999,
    0x7c47ffd9,0x00000eff,0xaaaa9880,0xc80fffda,0xff5007ff,0x217ffa3f,
    0x203ffffc,0x00004ffc,0x2007ffdc,0xffffffc9,0x40ffffff,0xfffffffa,
    0xffffffff,0x7fd40fff,0xffffffff,0xffffffff,0x7ffffd40,0xffffffff,
    0x800fffff,0x3ae2fff8,0x2a01efff,0xffffffff,0xffffffff,0x7fff40ff,
    0xccccceef,0x64c0009a,0xffffffff,0xfc80ffff,0xfff5007f,0x6c17ffa3,
    0x880dffff,0x98800099,0xffdaaaaa,0xfffb100f,0xffffffff,0xffb81fff,
    0xffffffff,0xffffffff,0x7ffffdc0,0xffffffff,0x5c0fffff,0xffffffff,
    0xffffffff,0xffd800ff,0x3fffff65,0xfff702ff,0xffffffff,0x1fffffff,
    0xffffff98,0xffffffff,0x7fec401d,0xffffffff,0xfc80ffff,0xfff5007f,
    0xc817ffa3,0x000effff,0xffffc980,0xffffffff,0xbffffb00,0xfb555559,
    0xfffa81ff,0xcccccccd,0x84cccccc,0xcccdfffa,0xcccccccc,0xfffa84cc,
    0xcccccccd,0x04cccccc,0xf50fffa8,0xffff79ff,0x9bfff501,0x99999999,
    0x2a099999,0xffffffff,0x2fffffff,0x37ffff60,0xfdaaaaac,0x7ffc80ff,
    0x23fff500,0x7d405ffe,0x0000efff,0xffffffb1,0xffffffff,0x1dfff701,
    0x40fffb80,0x0002fff9,0x00bffe60,0x2fff9800,0xff100000,0x217ff47f,
    0xff983ffe,0x2600002f,0xccaaefff,0xfffffecc,0xefffb81f,0x07ffdc00,
    0xa803ffe4,0xbffd1fff,0xbffff300,0x3fff6000,0xaaaaacdf,0xfe80fffd,
    0xffb800ff,0x27ffc40f,0xfff10000,0x7c400009,0x000004ff,0x7fc4dff9,
    0x884ffc86,0x00004fff,0x001dfff1,0xd07ffff3,0xf7001fff,0xfff901ff,
    0x47ffea00,0xf3005ffe,0xb8001fff,0x5c00efff,0xfff80fff,0x1fff7005,
    0x000bfff0,0x005fff80,0x02fffc00,0x7ffcc000,0x2a17fe61,0xbfff06ff,
    0x3fee0000,0x3fee001f,0x05fff85f,0x701fff70,0xfd001fff,0x17ffa3ff,
    0x01fffc80,0x007fff40,0x2207ffdc,0xe8805fff,0xffd80fff,0x3600002f,
    0x00002fff,0x000bfff6,0xa87ffd00,0x5ff986ff,0x005fffb0,0x00fffb00,
    0x445fff88,0xe8805fff,0xffa80fff,0x7ffec01f,0x00bffd1f,0x0017ffd4,
    0x5c017ffe,0xfff80fff,0x7fffdc06,0xffff980f,0xff300000,0x200001ff,
    0x000ffff9,0x30dff900,0xffa81fff,0x1ffff304,0x7fff8000,0x1fffd400,
    0x2e037ffc,0x980fffff,0x3f605fff,0xffd1ffff,0x7ffe400b,0x3ffe2001,
    0xfffe8805,0x84fffe80,0xffffffd9,0x9ffff900,0xfc807300,0x39804fff,
    0x27fffe40,0xff981cc0,0x85fff01f,0x3f202ffe,0x39804fff,0x003fffd8,
    0xd01ffff3,0xfb309fff,0x201fffff,0x6cc3ffff,0xd1fffeff,0xb8808bff,
    0xf8006fff,0x7fdc06ff,0xffa80fff,0xfffdefff,0x00fffbff,0xffffffd1,
    0xfffddb9d,0xffffe880,0xfeedceff,0x7ff4407f,0xedceffff,0xffd07ffe,
    0x6fffe409,0x4406ffeb,0xeffffffe,0x87ffeedc,0xbceffffb,0xffdb9999,
    0xfff502ff,0xffffbdff,0x201fff7f,0xeefffffb,0xfff8efff,0xfd8bffd1,
    0xfffffeee,0xfffe8001,0xffffd984,0xfff900ff,0x1bffffff,0xc801fff1,
    0xffffffff,0x9007ffff,0xffffffff,0x200fffff,0xfffffffc,0xc87fffff,
    0x7f4406ff,0x01ffffff,0xffffff90,0x0fffffff,0x3ffffff2,0xffffffff,
    0x7ffe403f,0x8dffffff,0x3600fff8,0xffffffff,0x3a3fff0e,0x7ffec5ff,
    0x002fffff,0xdfffff50,0xf7fffffb,0x7f5401ff,0x223dffff,0xd9800fff,
    0xfffffffe,0x366003df,0xfffffffe,0x366003df,0xfffffffe,0x7ffcc3df,
    0xfffc8801,0x6cc000df,0xfffffffe,0x3faa03df,0xffffffff,0xd5000cff,
    0x47bfffff,0x5c00fff8,0x43efffff,0xbffd1fff,0xefffffd8,0x7e40000c,
    0xffffffff,0x00fff88d,0x00003530,0x04cd54c0,0x9aa98000,0x53000009,
    0x00001335,0x00000cc0,0x00133553,0xdedcca88,0x20000aac,0x400001a9,
    0x00001aa8,0x00002662,0x3ffffaa0,0x3ffe23df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x35300000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332a0000,0xc8800004,0x00001ccc,
    0x01999300,0x0033332e,0x200aa800,0x640000a9,0x100002cc,0x00000155,
    0x35100000,0x32e01303,0x00000ccc,0x40166640,0x8001abca,0x00007ffc,
    0x81ffff70,0x00000cb9,0x2201fff7,0x000ffffd,0x80fffb80,0x0001fffb,
    0x807ffffb,0x3b224ffc,0x003effff,0x677ff654,0x6dc40001,0xddffffff,
    0xffb100ff,0x000001ff,0x00fffff6,0x5bfffff9,0x01fff200,0xfffd8000,
    0x0ffffece,0xfff70000,0xffffb801,0x7ffc0000,0x4ffff84f,0xffffd800,
    0x3ff203ff,0xfffffd15,0xb1007fff,0xffffffff,0x3fea0009,0xffffffff,
    0x7dc00fff,0x00000fff,0x7fffffec,0x3ffff203,0x6400dfff,0x800007ff,
    0xfffffca8,0x000fffff,0x01fff700,0x01fffd30,0x1ffff400,0x0027fff4,
    0x3ee3bff6,0xbff903ff,0xfddfffd3,0xe807ffff,0xffffffff,0x7e4003ff,
    0xeeceffff,0x800fffff,0x000fffe9,0x71dffb00,0x36a07fff,0xfffffffe,
    0x01fff202,0xffffd000,0x9dffffff,0x7dc00005,0xfb1000ff,0x2a0001ff,
    0xff980eff,0xffb1000e,0x1fffd41b,0x7fffffe4,0x3fff220d,0x3bffee07,
    0xffffd989,0xffff7000,0x3fff6605,0xfffb1000,0x7ec40001,0x3ffea0df,
    0xfffc8803,0xfff901ff,0xffe80000,0x0fffffff,0xff700000,0xaaa8001f,
    0x40040002,0x1554c001,0x640aaa98,0x203fffff,0xff02fffc,0x3fff20df,
    0xefff8803,0x07ffdc00,0x00aaaa00,0x302aa980,0x22001555,0xc80ffffd,
    0x400007ff,0xfd8abdfe,0x000005ff,0x0001fff7,0x00000000,0xf9000000,
    0xf8807fff,0xfff885ff,0x09fff303,0x003fff70,0x0001fff7,0x00000000,
    0x3fffa200,0x007ffc83,0xfe880400,0x800002ff,0x0000fffb,0x00000000,
    0xfc800000,0xffd004ff,0x05fff50f,0x22027ffc,0xf7005fff,0x000001ff,
    0x00000000,0x643fffcc,0x155107ff,0xff710000,0x440001ff,0x1fff719a,
    0x2aaa6200,0x51000009,0x00000035,0x007ffc80,0xf503fff2,0x3fe207ff,
    0x7ffcc03f,0x1fff7002,0x01aa8800,0x55531000,0xff000013,0x7ffc81ff,
    0x3ffffb22,0x36e6003e,0x4fffffff,0x3ff72200,0xfffeffff,0xfffb5100,
    0x07ffffff,0xffffb500,0x32007dff,0xff5007ff,0x01fff23f,0x440fffb8,
    0xff905fff,0xfffa803f,0x1fff7001,0xffffb500,0x44007dff,0xffffffda,
    0x20003fff,0x7e41fffd,0xffffd17f,0x5007ffff,0xffffffff,0xf5003fff,
    0xffffffff,0x2e01ffff,0xffffffff,0x801fffff,0xffffffd8,0x400dffff,
    0xf5007ffc,0x1fff23ff,0x81fffb80,0x7d41ffff,0xffb805ff,0xfff7000f,
    0x7ffec401,0xdfffffff,0xffffb800,0xffffffff,0xffc8001f,0x4f7fe41f,
    0xffeeffff,0x3f203fff,0xfeefffff,0x7e405fff,0xfedeffff,0x700fffff,
    0xd9ddffff,0x80dffffd,0xdfffffe9,0x1ffffffd,0x401fff20,0xff91fffa,
    0x7ffd400f,0x26fffb81,0x800ffffb,0x2e007ffc,0xfd300fff,0xffbbffff,
    0xb803ffff,0xeceeffff,0x006ffffe,0xfc87ffe8,0x20dfffff,0x907fffc8,
    0xb015ffff,0x3ea03fff,0xfb302fff,0x33ae01ff,0x3fffaa01,0x37fffa04,
    0x5fffe980,0x401fff20,0xff91fffa,0x7ffdc00f,0xdbfffd00,0x2003dfff,
    0x7000fffc,0x3fa01fff,0xfe980dff,0x675c05ff,0x3fffaa01,0x3ffea004,
    0xfffffc86,0x0bfff203,0x401dfff1,0xf885fffa,0x7dc00eff,0x980000ff,
    0xff706fff,0xffe8809f,0x0fff902f,0x647ffea0,0x3f2007ff,0x3ffe607f,
    0x000dffff,0x4003ffee,0xfb80fffb,0x7f4404ff,0x300002ff,0x9980dfff,
    0xc82ffffc,0x4403ffff,0x7fe45fff,0xfffe800f,0x00fffe40,0x0007ffdc,
    0x887ffd80,0xf3006fff,0x3ff20dff,0x3fff5007,0xd801fff2,0x7ff406ff,
    0xb8002eff,0xfb001fff,0xfff881ff,0xdfff3006,0x7fec0000,0xfffffc87,
    0xff904fff,0x3ffa009f,0x017ffe27,0x3e17ffdc,0xff7005ff,0x2e00001f,
    0x7fd40fff,0x3ff6003f,0x07ffc80f,0x323fff50,0xff1007ff,0x3ffa609f,
    0xa880efff,0x7ffd41aa,0xffffb803,0x01fffd40,0x001fffb0,0x03ffee00,
    0xfffffff7,0x03ffe405,0x2a1fff90,0xf1001fff,0x7ffc4bff,0x1fff7002,
    0x3fee0000,0x03ffe40f,0x207ffea0,0xf5007ffc,0x1fff23ff,0x40fffe40,
    0xfffffff9,0x2fff985f,0x2037ffc4,0x40fffffa,0x54007ffc,0x00001fff,
    0xfb81fff7,0xc802bdff,0x3ee007ff,0x1fff70ff,0x537ffc00,0x2e003fff,
    0x22000fff,0xfdaaaaa9,0x37fec0ff,0x0fffe600,0x5401fff2,0xfff91fff,
    0x09fff500,0xf35ffff3,0xff989fff,0x2fffd81f,0xffffff30,0x006ffd81,
    0x001fffcc,0xb5555531,0xffb81fff,0x3ffe4007,0x23fff700,0x74007ffc,
    0x3ffee7ff,0x1fff7000,0xffffc980,0xffffffff,0x002fff40,0x3213ffe2,
    0xff5007ff,0x2ffff23f,0xffffc880,0x22fffd80,0x2a2ffffa,0xff981fff,
    0x3ff262ff,0x740fffcf,0x7c4005ff,0x7e4c04ff,0xffffffff,0x7fdc0fff,
    0x3ffe4007,0x23fff500,0x6c006ffe,0xfff90fff,0x07ffdc00,0xfffffd88,
    0xffffffff,0x02fffc0f,0x6427ffc0,0xff5007ff,0x3ffff23f,0xffffeeef,
    0xfff982ff,0x1ffffc84,0x3a01fff7,0xffefffff,0x0fffaaff,0x4002fffc,
    0xfb104fff,0xffffffff,0xa81fffff,0x7e4006ff,0x3fee007f,0x00fffd0f,
    0x3f27ffd8,0xff7000ff,0x3fff601f,0xaaaaacdf,0x7fc0fffd,0x7fc4005f,
    0x07ffc83f,0x323fff50,0xffffffff,0x700dffff,0x3f603fff,0x7ffd8eff,
    0x7ffffec0,0xfff51fff,0x005fff81,0xd81fffc4,0xaacdffff,0x0fffdaaa,
    0x20037fd4,0x32007ffc,0x3fff67ff,0x9fffa000,0x7000fffb,0xff701fff,
    0xffb801df,0x037ff40f,0x20bffe60,0xf5007ffc,0x3fff23ff,0xcefffffe,
    0x07ffe402,0xfdfffe88,0xfec804ff,0x3ee1ceff,0x37ff40ff,0x0bffe600,
    0x003bffee,0xfa81fff7,0x7fe4006f,0x9bff6007,0x2001fffb,0x3fea5fff,
    0xfffb001f,0x01fffd01,0xc81fff70,0x7d4007ff,0x7ffc81ff,0x23fff500,
    0x06667ffc,0x80fffb00,0xfffffff9,0x402a2001,0x7e40fffb,0x7fd4007f,
    0x0fffe81f,0x00fffb80,0x1fff2000,0x527ffc40,0x26007fff,0x3fea3fff,
    0xfffb803f,0x05fff80f,0xb81fff70,0x3a002fff,0xffb80fff,0xfffe800f,
    0x000fff91,0x803fff90,0x06fffffa,0x7ffdc000,0x017ffdc0,0xf01fffd0,
    0x3ee00bff,0x200000ff,0xf9007ffc,0x7ffc43ff,0xfffd800f,0x01bffe21,
    0x81fffff5,0x8805fff8,0x7cc0fffe,0xff3006ff,0x3ffea09f,0x7fffec01,
    0x000fff91,0x007fff70,0x007ffff9,0x0fffb800,0x8037ffcc,0xf884fff9,
    0xfe8805ff,0x000100ff,0xf500fff9,0xfff909ff,0x5fffa809,0x301fffd8,
    0x01ffffff,0xfb80dfff,0xfd80ffff,0x7f4c04ff,0xfff300ff,0x7fffec0b,
    0x00fff91f,0x3ffff300,0xfffffc80,0x3ee00000,0xfffd80ff,0x7fff4c04,
    0x80dfff00,0x40fffffb,0x2000dffb,0x880bfffc,0x880ffffc,0x440dffff,
    0x981ffffc,0x3262ffff,0x0fffbfff,0x984fffe8,0x0ffffffd,0x0dffff88,
    0x1ffffd44,0x30ffffe0,0x3fffdffb,0x0001fff2,0x05ffffec,0xfffffd51,
    0x5c0000df,0xff880fff,0x7d440dff,0x3fa03fff,0xffd984ff,0x3e60ffff,
    0x32005fff,0xeeefffff,0x01fffffe,0x3fffffee,0x2fffffee,0x3fffffa0,
    0xf89ffffe,0xfffa80ff,0xffffdeff,0x700fffbf,0xddffffff,0x00bfffff,
    0xddfffff7,0xfff1dfff,0x001fff23,0x7ffffc40,0xfffffeff,0x004fffff,
    0x01fff700,0x3fffffee,0x5fffffee,0x7ffffd40,0xbfffffde,0x3fee0fff,
    0x3ee007ff,0xffffffff,0x9800dfff,0xffffffff,0xfd802fff,0x1fffffff,
    0x3201fff1,0xffffffff,0x0fff88df,0x3ffffa60,0x02ffffff,0x3fffff60,
    0xfff0efff,0x001fff23,0xffffe980,0x53ffffff,0x0007ffff,0x401fff70,
    0xffffffe9,0x9002ffff,0xffffffff,0x1fff11bf,0x02ffffd4,0x3fff6a20,
    0x002cefff,0x7ffff644,0x32000bff,0x21cefffe,0x2a00fff8,0x3dfffffe,
    0x1003ffe2,0xdfffffd9,0xff700019,0xff87dfff,0x00fff91f,0xfffd5000,
    0xfc819dff,0x40001fff,0x4400fffb,0xefffffec,0x7f54000c,0x223dffff,
    0x7fec0fff,0x9880001f,0x54c00000,0x54400009,0x54c00000,0x53000001,
    0x54400003,0x332a001a,0x44000004,0x00000009,0x000ccc98,0x00000d4c,
    0x4c000353,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x001cccca,0x001ccb80,
    0x40000000,0x201cccca,0x000ccccb,0x0b332000,0x2b2e6000,0x00000300,
    0x65400000,0x90001ccc,0x22000599,0x9999502a,0x00199999,0xffff7000,
    0x3fe00007,0x07ffc80f,0x000fff90,0x0ffffee0,0x1ffffb10,0xffb00000,
    0x220007ff,0x43ffffff,0xfffa84f9,0x7ffc4005,0x7fdc0006,0xfb0003ff,
    0xa8007fff,0x7ec0efff,0xffffffff,0x7dc00001,0x00001eff,0x3f20bff5,
    0xfff9007f,0xfff70000,0x7fdc003d,0x200000ff,0x3ffffffd,0x7fff4400,
    0xfcbeffff,0xffff81ff,0x3ffee000,0x3fee0003,0xfb0001ef,0x007fffff,
    0x17ffffe2,0xfffffffb,0x400003ff,0x000dfffb,0x40bff200,0xf9007ffc,
    0xfb8000ff,0x98000dff,0x0000fffe,0xfb8effd8,0x3ee003ff,0xfffda9cf,
    0xf902ffff,0x7f4007ff,0xf70000ff,0x20001bff,0xffb8effd,0xfffa803f,
    0x5554c7ff,0x01fffdaa,0x7fff7000,0x55530000,0x3f201fff,0xfff9007f,
    0x7ffdc000,0x7ec40003,0xb10000ff,0x7fd41bff,0x2132003f,0x03efffea,
    0x401bffe6,0x0005fff8,0x0007fff7,0xa837ff62,0x7cc03fff,0x7006ffff,
    0x00003fff,0x80006aaa,0xffffffeb,0x1fff206f,0x003ffe40,0x00035550,
    0x00155540,0x5302aa98,0x20000155,0xffb000a9,0xfff7003f,0x2aaa0005,
    0x2aa60001,0x01555302,0x03ffffd8,0x003fff70,0x22000000,0xfffffffd,
    0xfc81efff,0xfff9007f,0x00000000,0x00000000,0x00000000,0xd009fff5,
    0x00000fff,0x00000000,0x800fbf22,0x0001fffb,0xff980000,0xffccefff,
    0x7e41ffff,0xfff9007f,0x00000000,0x00000000,0x00000000,0x9803fffe,
    0x00004fff,0x00000000,0xffb80000,0x4c40001f,0x20009aaa,0x2a0cfffe,
    0x46ffffff,0xf9007ffc,0x000000ff,0x00000000,0x0000d544,0x0006aa20,
    0xc80bfff2,0x20001fff,0x00001aa8,0x00000000,0x0007ffee,0xfffffb51,
    0xb807ffff,0xffd83fff,0x323fffea,0xff9007ff,0x07ffc80f,0x903fff50,
    0x3ea00fff,0xfda801ff,0x03efffff,0xffffb500,0x26007dff,0x3fa06fff,
    0xfda8006f,0x03efffff,0x3fffff60,0x0001ffff,0x3ffee000,0x7ffdc001,
    0xffffffff,0xfff881ff,0x3e6fff05,0x1fff26ff,0x203ffe40,0xf5007ffc,
    0xfff903ff,0x07ffea00,0xfffffd88,0x00dfffff,0xfffffb10,0x01bfffff,
    0x301fffd0,0x44007fff,0xfffffffd,0xd800dfff,0xffffffff,0x0000001f,
    0x0007ffee,0x9ddffff7,0x0dffffdd,0xf505fff7,0x8fffe4bf,0xf9007ffc,
    0x7ffc80ff,0x03fff500,0x2a00fff9,0xfd301fff,0xffbbffff,0x9803ffff,
    0xddfffffe,0x01ffffff,0x6427ffd4,0xd3000fff,0xfbbfffff,0x803fffff,
    0xfffffffd,0x000001ff,0x007ffee0,0x54039d70,0x7e44fffe,0x45ffb07f,
    0xff93fffa,0x1fff200f,0x200fff90,0xfc81fffa,0xfff5007f,0x37fffa03,
    0x5fffe980,0x06ffff40,0x02ffff4c,0x7fc3fffc,0x3ffa005f,0xffe980df,
    0xff70005f,0x0000003f,0x000fffdc,0xdfff3000,0xff06ffd8,0x93fff98f,
    0x3f200fff,0x3ffe407f,0x81fffa80,0xf5007ffc,0xfff703ff,0xfffe8809,
    0x09fff702,0x02fffe88,0xf517ffe4,0x3ee005ff,0x7f4404ff,0xfb8002ff,
    0x000001ff,0x007ffee0,0xfffb0000,0xfa85ffe8,0xa7ffc45f,0xf9007ffc,
    0x7ffc80ff,0x03fff500,0x2a00fff9,0x7fc41fff,0xfff3006f,0x0dfff10d,
    0x01bffe60,0x7ecbfff3,0xfff1007f,0x3ffe600d,0xfffb8006,0x20000001,
    0x0001fffb,0x07ffdc00,0xffb09fff,0x329fff05,0x7c400fff,0x7fe407ff,
    0x3fff5007,0x200fff90,0x7d41fffa,0x3f6003ff,0x7ffd40ff,0x3fff6003,
    0x47fff400,0x5004fff8,0x6c007fff,0x5c000fff,0xb8001fff,0x3ee000cd,
    0x000001ff,0xff07ffdc,0x01fff0bf,0x3ff27fff,0x7fff401f,0x1fff200f,
    0x40fffd40,0xf5007ffc,0x7ffc83ff,0x0fffd400,0x5001fff2,0xfb803fff,
    0x1fffbaff,0x00fff900,0x001fffa8,0x000fffdc,0x007ffff6,0x000fffdc,
    0x55554c40,0x3a0fffda,0x2ffd46ff,0xfc97ffc4,0x3ff605ff,0x3f201fff,
    0xfff5007f,0x00fff903,0xfb07ffea,0xff9800df,0x037fec3f,0x00fffe60,
    0xffdbfff1,0x37fec00d,0x0fffe600,0x03fff700,0x7ffffc40,0x3fff7005,
    0x3ff26000,0xffffffff,0x1fff60ff,0xff505ffb,0x3ffff23f,0x7efff4c3,
    0x3ff205ff,0x3fff5007,0x200fff90,0x7f41fffa,0x7fc4005f,0x02fff44f,
    0x013ffe20,0x3ffffff2,0x17ffa003,0x09fff100,0x01fffb80,0x3ffffe20,
    0xfffb800f,0x7fec4001,0xffffffff,0x3f20ffff,0x03ffe1ff,0x7e43fff6,
    0xffefffff,0xffffd5ff,0x00fff907,0x3207ffea,0xff5007ff,0x05fff83f,
    0x7c4fff80,0xff8005ff,0xfff9804f,0x3e000fff,0xff8005ff,0x7fdc004f,
    0x7fec001f,0xfb801fff,0x7ec001ff,0xaaacdfff,0x20fffdaa,0xff56fff9,
    0x4bfff10b,0xfffffffc,0xff50dfff,0xfff909ff,0x07ffea00,0x5401fff2,
    0x7ffc1fff,0x7ffc4005,0x002fffc3,0x400fffe2,0x004ffffe,0x2002fffc,
    0x4003fff8,0x4001fffb,0x02fffff8,0x001fffb8,0x003bffee,0xfe81fff7,
    0x42ffdcff,0x320fffe8,0xffffadff,0x4fffa83e,0x5007ffc8,0xff903fff,
    0x3ffea00f,0x0037ff41,0xfd0bffe6,0xff9800df,0xfff7002f,0xffe8001f,
    0x7ffcc006,0x7ffdc002,0xfffb8001,0xfffb800f,0x3fffa001,0x0fffb800,
    0x7fffffcc,0x3fffa60f,0x3137fe44,0x32031003,0xff5007ff,0x0fff903f,
    0x907ffea0,0xfa800fff,0x3ffe41ff,0x07ffea00,0x027ffdc0,0x003ffe40,
    0x0007ffea,0x0003fff7,0x200ffff3,0x2001fffb,0xf7005fff,0xfff701ff,
    0xfffb9fff,0xffc81bff,0xfb800007,0xffe800ff,0x0fffb81f,0x41fffe80,
    0x2002fffb,0x7dc0fffe,0x3fa002ff,0xff8800ff,0xfb8001ff,0x3fa002ff,
    0x7dc000ff,0xfa8001ff,0xff7005ff,0x3fe2003f,0xffe8805f,0xffff500f,
    0x7fffffff,0x001fff20,0x07ffea00,0x03ffffb0,0xd803fff5,0x7cc1ffff,
    0xff3006ff,0xdfff309f,0x13ffe600,0x02fffe40,0x06fff980,0x009fff30,
    0x003fff70,0x00fffe88,0x003fff70,0x2e037ffc,0x200fffff,0xfffffff8,
    0x3ff201de,0xf9800007,0x3ff605ff,0xff981fff,0x3fff605f,0xfffd81ff,
    0x7fff4c04,0x09fffb00,0x00fffe98,0x00ffffa8,0x13fff600,0x01fffd30,
    0x03fff700,0x1ffff540,0x03fff700,0x427fff40,0xffffffd9,0x2b7fea00,
    0x3ff2001a,0xff000007,0xffd987ff,0xff01fffe,0xffd987ff,0xf881fffe,
    0x5440dfff,0x2203ffff,0x440dffff,0x803ffffa,0x001ffffb,0x6ffffc40,
    0x7fffd440,0xfff70003,0xfffec803,0x7dc004ff,0x3ea001ff,0xffdeffff,
    0x0fffbfff,0x000bff60,0x0003ffe4,0xfffffb80,0xf8efffee,0xfff701ff,
    0xdfffddff,0x2e03fff1,0xeeffffff,0x805fffff,0xeffffffb,0x85fffffe,
    0xfffecccb,0xf700003f,0xfddfffff,0xa80bffff,0xffffffff,0xffffffff,
    0x3dffffb3,0x3ffffea0,0xffffffff,0xff903fff,0xbfffffff,0x401fff11,
    0x320007ff,0x000007ff,0x3ffffff6,0x3fff0eff,0x7ffffec0,0xfff0efff,
    0x7fff4c03,0x2fffffff,0x3fffa600,0x2fffffff,0xffffffb0,0x9800007f,
    0xfffffffe,0xfa802fff,0xffffffff,0x3fffffff,0xa8079dfb,0xffffffff,
    0xffffffff,0x3fffaa03,0x3fe23dff,0x0bff500f,0x03ffe400,0x3fee0000,
    0x7fc3efff,0x7ffdc01f,0x7ffc3eff,0x7ff64401,0x000cefff,0xffffec88,
    0x3f600cef,0x000dffff,0xffd91000,0x0019dfff,0x3fffffea,0xffffffff,
    0xa80013ff,0xffffffff,0xffffffff,0x00353003,0x001cca80,0x001332a0,
    0x0d544000,0x35510000,0x35300000,0x35300000,0x55ef5c00,0x40000001,
    0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd5000,0x02664c00,
    0x4007ffd5,0x32e04cc9,0x00000ccc,0x54016f64,0x900004cc,0x00159dfd,
    0x0002664c,0x10e66654,0x00003999,0x53005540,0xacb98001,0x20000300,
    0xcceeedca,0xd302a883,0x2007ffff,0xe983fff8,0x1003ffff,0x6c407fff,
    0x0000ffff,0x03ffff90,0x0007ffc8,0xbffffff0,0x0fffe200,0xffff7000,
    0x03fff887,0xfff70000,0x03fff701,0xffffff10,0x0004f987,0x3fffffa6,
    0x7fd47fff,0xfffb10ef,0x32007fff,0x7fec46ff,0x9003ffff,0x3ee00dff,
    0x80000fff,0x404fffff,0x00007ffc,0x3fffd99b,0x00dff900,0x1efffb80,
    0x003fff88,0x9ffff000,0x809ffff0,0xffffffe8,0x1fffcbef,0xffffb800,
    0x27ffffff,0x15fffff8,0x7ffdbfff,0x81fff500,0xffedfff8,0x0fffa803,
    0x3fffa600,0x7ffc0000,0x7fe404ff,0xf8800007,0x7fd403ff,0x3ee0000f,
    0xff100dff,0x2000007f,0xfe83fffe,0x7fdc04ff,0xffffda9c,0x88002fff,
    0x99adffff,0x3fea4ca9,0x47727fff,0x74403ffe,0x23b903ff,0x74403ffe,
    0xd88003ff,0x20000fff,0x401ffffc,0x00007ffc,0x00fffdc4,0x0007ffd1,
    0x201fffdc,0x0003fff8,0x01dff500,0x9001dff3,0xdfffd509,0x3ff60007,
    0x3fe6003f,0x3fa06fff,0x37fe403f,0x807ffd00,0x40006ffc,0x40002aaa,
    0xfc801ddb,0xf500007f,0xc803ffff,0x540006ff,0xff8801aa,0x4000003f,
    0x00001800,0x880002a6,0xd8005fff,0x3a03ffff,0x3fe603ff,0x3ffa001f,
    0x07ffe603,0x00000000,0x07ffc800,0xffff5000,0x3fe605df,0x0000001f,
    0x001fffc4,0x00000000,0x4c000000,0x88002fff,0x7f403efc,0x13ffa03f,
    0x407ffd00,0x00004ffe,0x40000000,0x00007ffc,0xdfff7551,0x0013ffa0,
    0x3fe20000,0x0000003f,0x00000000,0x1fffa800,0xfe800000,0x0dff903f,
    0x207ffd00,0x00006ffc,0x80000000,0xaa887ffc,0xffb8000a,0x037fe41f,
    0xf8800000,0x000003ff,0x10000000,0x40001555,0x0000fffb,0x83ffe800,
    0x8001fff9,0xff983ffe,0x7fec001f,0x1fffffff,0xfffffd80,0x6401ffff,
    0x3ff627ff,0x8201efff,0x7cc7ffe9,0x7ec001ff,0xffffffff,0x1fffc401,
    0x0ffffe40,0xffffffb0,0x64003fff,0x3ff624ff,0x8002ffff,0x0000fffb,
    0x83ffe800,0xd0004ffe,0x9ffd07ff,0xffffb000,0x003fffff,0xfffffffb,
    0xffc803ff,0xffffff57,0xff107fff,0xe89fffff,0xfd8004ff,0xffffffff,
    0x1fffc401,0x07ffff20,0xffffffb0,0x64003fff,0xffff54ff,0x007fffff,
    0x000fffb8,0x3ffe8000,0x00077fdc,0x7dc3ffe8,0xfd8000ef,0xffffffff,
    0xffffd801,0x401fffff,0xfffafffc,0xfffffdef,0x7ffffc40,0x077fdc3f,
    0x7fffec00,0x401fffff,0x3203fff8,0xd801ffff,0xffffffff,0x3ff2001f,
    0xedffffad,0x000fffff,0x0003ffee,0x82662000,0x0002fff8,0xff882662,
    0x5c00002f,0x20001fff,0x6401fffb,0x0cffffff,0x2227ffec,0x440abccb,
    0x00002fff,0x200fffdc,0xf903fff8,0x80003fff,0x2001fffb,0x3ffffffc,
    0x545fffd8,0xffffffff,0xffffffff,0x00002fff,0x0009ffd0,0x013ffa00,
    0x3ffee000,0x3fee0001,0x7ffe401f,0x3ffe02ff,0x9ffd0007,0xff700000,
    0xfff8803f,0x1ffffc83,0xfffb8000,0x3fff2001,0x3ffe02ff,0x7ffffd47,
    0xffffffff,0x02ffffff,0xfffb8000,0xfb800000,0x800000ff,0x0001fffb,
    0x9007ffee,0xc805ffff,0x5c000fff,0x00000fff,0x401fffb8,0x7dc3fff8,
    0x00000fff,0x4003fff7,0x402ffffc,0x3ea0fffc,0xffffffff,0xffffffff,
    0x400002ff,0x0002fff8,0x02fff880,0xfff70000,0x7fdc0003,0x7ffe401f,
    0x1fffb803,0x0bffe200,0x7fdc0000,0x7ffc401f,0x03bffee3,0xfffb8000,
    0x3fff2001,0x1fffb803,0x01fff700,0xfb000000,0x200000bf,0x00005ffd,
    0x007ffee0,0x01fffb80,0xa803ffe4,0x36001fff,0x000005ff,0x1007ffee,
    0x3fee7fff,0x400000ef,0x2001fffb,0xf5007ffc,0x3ee003ff,0xd88000ff,
    0x3ea003ff,0x800000ff,0x4c40fffa,0xffb80000,0x3ee0001f,0x7fe401ff,
    0x3fff5007,0x03ffea00,0xffb80000,0x7ffc401f,0x00efffbb,0xfffb8000,
    0x1fff2001,0x00fffd40,0x000fffb8,0x03ffffe8,0x5c2fff88,0x4005ffff,
    0x3aa2fff8,0x0003ffff,0x0007ffee,0x401fffb8,0xf5007ffc,0xff1003ff,
    0xffffb85f,0x3fee0005,0x7ffc401f,0x000ffffe,0x3fff7000,0x03ffe400,
    0x001fffa8,0x8001fff7,0x06fffff9,0x7c45ffd8,0x4005ffff,0x3fee5ffd,
    0x003fffff,0x003fff70,0x00fffdc0,0x5401fff2,0xfd801fff,0x7fffc45f,
    0x3ee0005f,0x7fc401ff,0x04fffdbf,0xfff70000,0x3ffe4003,0x01fffa80,
    0x001fff70,0x7fffffa8,0x207ffd40,0x05ffeffd,0x883ffea0,0x7ffdabff,
    0x3fff7000,0x7ffdc000,0x03ffe401,0x401fffa8,0x7ec0fffa,0x0005ffef,
    0x1007ffee,0xffd17fff,0x7000009f,0x64003fff,0xff5007ff,0x3fee003f,
    0x7fc4000f,0x3e205fff,0x6ffd43ff,0xf1005ffb,0x441307ff,0xb8001fff,
    0x20001fff,0x6401fffb,0xff5007ff,0x7ffc403f,0x7deffd43,0x3ee0005f,
    0x7fc401ff,0x7ffff13f,0xffb80000,0x3ff2001f,0x3fff5007,0x03ffee00,
    0x3bffea00,0x11bff200,0xbff71fff,0x01bff200,0x0007ffc4,0x000fffdc,
    0x803fff70,0xf5007ffc,0x7fe403ff,0x5c7ffc46,0x2e0005ff,0x7c401fff,
    0x3ffe63ff,0x2e00002f,0x32001fff,0xff5007ff,0x3fee003f,0x3510000f,
    0x41fff980,0xbff73ffd,0x03fff300,0x00bffb10,0x007ffee0,0x01fffb80,
    0xa803ffe4,0xff301fff,0x73ffd83f,0x5c000bff,0x7c401fff,0x7ffd43ff,
    0xf700002f,0x7e4003ff,0xfff5007f,0x3ffee003,0x74000000,0x37fd43ff,
    0xfd00bff7,0xffd1007f,0x3ee0001d,0x2e0001ff,0x7e401fff,0xfff5007f,
    0x50fffa03,0x2ffdcdff,0x3fff7000,0x83fff880,0x001ffffb,0x01fffb80,
    0x401fff20,0x7001fffa,0x00001fff,0x6c37fe40,0xffeeeeff,0xdff903ef,
    0x1dfff300,0x7ffdc000,0x3fee0001,0x3ffe401f,0x81fffa80,0xffd86ffc,
    0xefffeeee,0xfffb8003,0x1fffc401,0x01ffffc8,0x0fffdc00,0x00fff900,
    0x4007ffea,0x0000fffb,0x03fff300,0xfffffffb,0xff309fff,0xfffb803f,
    0xffb80004,0x3ee0001f,0x7fe401ff,0x3fff5007,0xd81fff98,0xffffffff,
    0xfb8004ff,0x7fc401ff,0x3fff603f,0x3ee0000f,0x3f2001ff,0xfff5007f,
    0x3ffee003,0xfd000000,0x3bbb209f,0x3efffeee,0x5c04ffe8,0xccccefff,
    0xfffff502,0xffffffff,0x3fea7fff,0xffffffff,0x93ffffff,0x3ea00fff,
    0x27ff41ff,0xeeeeeec8,0xf503efff,0xffffffff,0x7fffffff,0xd00fffe2,
    0x5401dfff,0xffffffff,0xffffffff,0x007ffc83,0x2003fff5,0x0000fffb,
    0x006ffc80,0xf905ffb8,0xfff900df,0x209fffff,0xfffffffa,0xffffffff,
    0xfffff53f,0xffffffff,0x3ff27fff,0x3fff5007,0x40037fe4,0x7d405ffb,
    0xffffffff,0x3fffffff,0x8807fff1,0x500efffe,0xffffffff,0xffffffff,
    0x00fff907,0x4007ffea,0x0000fffb,0x00fffcc0,0x4c2ffdc0,0xfc801fff,
    0x4fffffff,0xffffff50,0xffffffff,0x3ffea7ff,0xffffffff,0xf93fffff,
    0x3fea00ff,0x03fff31f,0x80bff700,0xfffffffa,0xffffffff,0x07fff13f,
    0x0dffff30,0x3fffffea,0xffffffff,0x7ffc83ff,0x03fff500,0x003ffee0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01554c00,0x002aaa20,0x26f76e62,0xb7300000,
    0xaa800159,0xaaaaaaaa,0x2000aaaa,0xbcdecb98,0x32ea2001,0x00abcdee,
    0x55554c00,0xaaaaaa80,0xaaaaaaaa,0xddb95102,0x4000359b,0x000004b9,
    0x3599d973,0x33531000,0x07ffd800,0x017ffd40,0x3ffffff6,0x98000eff,
    0xfffffffe,0xffe800df,0xffffffff,0xea802fff,0xffffffff,0x3f6604ff,
    0xffffffff,0x36a000ff,0x2fffffff,0xffffffd8,0x7fffffff,0xffffffd8,
    0x001dffff,0x00037fec,0xfffffd50,0x807dffff,0xffffffdb,0xffd802df,
    0x7ffd4007,0xffffd302,0x3fffffff,0x7fffdc00,0xefffffff,0x7ffff401,
    0xffffffff,0x3ff6202f,0xffffffff,0xffc80fff,0xffffffff,0xeb800fff,
    0xffffffff,0xffffd82f,0xffffffff,0xffffe87f,0xffffffff,0x1bff6003,
    0x7ffe4000,0xffffffff,0xfffd106f,0xbfffffff,0x00fffb00,0xa82fffa8,
    0xcbefffff,0x02fffffe,0x1bdfffc8,0x5ffff951,0x77777640,0xfffeeeee,
    0xfffff502,0xffd99bff,0xfffc81ff,0xccaaccef,0x7ec00ffd,0xeeffffff,
    0xfffd81ee,0xeeeeeeee,0xcefe86ee,0xfffcbaab,0xffb001ff,0xfe88000d,
    0xdcdfffff,0xfb86fffe,0xeeefffff,0xfd805fff,0x7fd4007f,0x7fffc42f,
    0xfffd880c,0x3fff600f,0x7fff4403,0x7fd40002,0xffffa82f,0x3f2600af,
    0x0bfffea0,0xffb004c0,0x40013bff,0x40004ffd,0x7fec4009,0xdffb006f,
    0xfffe8000,0x1b2600bf,0x03dffff3,0x3f601726,0x7fd4007f,0x2fffe42f,
    0x13fffa20,0x8017ffcc,0x0006ffd8,0x7417ffd4,0x0000efff,0x0007fffa,
    0x0f7ffec0,0x04ffd800,0xff100000,0x3ff600ff,0x3fee0006,0x3a0002ff,
    0x00004fff,0x5001fff6,0x7fc45fff,0xfff1006f,0x07ffb01f,0x005ffd00,
    0x217ffd40,0x0005fffb,0x002fffc4,0x05fff980,0x027fec00,0xffb00000,
    0xdffb003f,0x3ffe2000,0x3ee0000f,0x400005ff,0x54007ffd,0x3ff22fff,
    0x3ff2002f,0x83ffd43f,0x2a1accba,0x2a0006ff,0x3fe22fff,0x4c0000ff,
    0x00004fff,0x0001fffb,0x0004ffd8,0x3fff2000,0x3fffff21,0xffffffff,
    0x642fffff,0x40004fff,0x0000ffff,0x003ffec0,0xff8bffea,0x7fcc007f,
    0x21fff46f,0xffffffe8,0x000fffa0,0xf917ffd4,0x100009ff,0x0000ffff,
    0x0005fff3,0x0009ffb0,0x7ffec000,0x3fffff20,0xffffffff,0x222fffff,
    0x0000ffff,0x0013ffe2,0x01fff600,0x225fff50,0xf8005fff,0x07ffc7ff,
    0xfffffff1,0x02ffdc1f,0x22fffa80,0x0000fffe,0x007ffff0,0x007ffb80,
    0x009ffb00,0x7ffc0000,0x7ffffe46,0xffffffff,0x2a2fffff,0x40004fff,
    0x0003fff9,0x007ffd80,0xf997ffd4,0xfd8003ff,0xb1bfe67f,0x2e219fff,
    0x001bfe60,0xff17ffd4,0x640000df,0x0004ffff,0x0001bff6,0x00027fec,
    0x2fffc800,0x00dffb00,0x005fff70,0x01fffb80,0x7ffd8000,0x97ffd400,
    0x8002fffa,0xff50fffc,0x00fffccb,0x8003ffc4,0xff12fffa,0x440000bf,
    0x03fffffe,0x514fff80,0x057bddb9,0xbcceffd8,0x100001aa,0x4005fff9,
    0xc8006ffd,0x40001fff,0x0000fffc,0x007ffd80,0xfb97ffd4,0xfc8001ff,
    0x49ff71ff,0x3e007ffb,0xfa8000ff,0x7fff32ff,0x55555540,0x7f4c0aaa,
    0x01cfffff,0xfccfff88,0xffffffff,0xffffb01e,0x39ffffff,0xdb999100,
    0x8003dfff,0xd8006ffd,0x40000fff,0x0001fffc,0x007ffd80,0xfc97ffd4,
    0xfb8000ff,0x47ff92ff,0x3a005ffc,0xfa8001ff,0x5fff72ff,0x7fffffc0,
    0xff901fff,0x03bfffff,0x7fffffcc,0xffffffff,0xfffd82ff,0xffffffff,
    0x7ffcc04f,0x002fffff,0x8006ffd8,0x80007ffe,0x0002fffb,0x007ffd80,
    0xfd97ffd4,0xfa8000ff,0x45ffb2ff,0x36003ffd,0xfa8002ff,0x5fff92ff,
    0x7fffffc0,0x32601fff,0xefffffff,0xfffff980,0xeb9899be,0x65c0ffff,
    0xfeedcccc,0x2604ffff,0xffffffff,0x3f6003ff,0xfff8006f,0xffa80007,
    0xd800003f,0x7d4007ff,0x1fffb2ff,0x3fff7000,0xffc8fff2,0x07ffa004,
    0x4bffea00,0x3a02fffb,0xfffeeeee,0xfffb8801,0x7d43ffff,0xfd802eff,
    0xd98004ff,0x5103ffff,0xfff99555,0x3f600bff,0xfff8006f,0xff980007,
    0xd800006f,0x7d4007ff,0x3fff92ff,0x1fff9000,0xffb93fee,0x01ffe006,
    0xa97ffd40,0x5c003fff,0x54001fff,0x22fffffe,0x1002fffa,0x4000ffff,
    0x0006fffc,0x007ffff5,0xd000dffb,0x00001fff,0x0007fffb,0x007ffd80,
    0xfb97ffd4,0xfd8002ff,0x997fe67f,0xf8803fff,0xff50006f,0x13ffe65f,
    0x03fff700,0x3fffea00,0x07fff30f,0x00fffe40,0x00fffd00,0x07fffc40,
    0x001bff60,0x0007fff6,0x0bfffea0,0x7ffd8000,0x97ffd400,0x8003fffa,
    0x3fe26ffe,0x67fffec6,0x3fe60fdb,0xfff50005,0x017ffe25,0x003fff70,
    0x9ffff440,0x2004fff8,0x0002fffb,0x0007fff2,0x402fffb8,0xc8006ffd,
    0x00002fff,0x13bffffd,0xc805da88,0x2e000fff,0xfff31fff,0xfff8800b,
    0xf30fffc5,0x1fffffff,0x80027fe4,0x3fe2fffa,0x3ee000ff,0x540001ff,
    0x3ffe5fff,0x3ffea004,0x3fee0003,0x3e60002f,0x7fec04ff,0xfffb8006,
    0xfb100005,0xfdffffff,0xf700bfff,0x7e4003ff,0x3fffe27f,0x3ffee000,
    0x222ffe43,0x0dfffffc,0x0003fff1,0xfd87ffee,0x3ee004ff,0x440001ff,
    0x3ffe6fff,0x3ffee005,0x3ff20001,0x3e60000f,0x7fec03ff,0xfff98006,
    0x3600001f,0xffffffff,0xfa805fff,0x3f6002ff,0x17ffe46f,0x81fffd00,
    0x3101fff8,0x00bff701,0x307ffe40,0x2001ffff,0x0001fffb,0xfd2fffc4,
    0x3f2001ff,0x3a0000ff,0x5c0007ff,0x7ec01fff,0xffb0007f,0x8800009f,
    0xfffffffb,0xff9801ce,0xfff3005f,0x0efff98b,0x03fffb80,0x8800bff9,
    0x10001fff,0xffb0ffff,0x3fee00bf,0x7d40001f,0x3ffea3ff,0x6fff8803,
    0x3ffee000,0x3fa20005,0xfffb807f,0xfff98000,0xa800002f,0x00019fff,
    0x8805fffd,0xfd80fffe,0x3ea00eff,0xff100fff,0xff3001df,0x801910bf,
    0xf884fffc,0x5c00efff,0x20001fff,0x741ffff8,0x7e400eff,0xf50002ff,
    0x40001fff,0xa804fffd,0xb0005fff,0x2009ffff,0x6ffc8028,0x7ffcc000,
    0xffea80cf,0xffff304f,0x3f2a237d,0x7d403fff,0x3ea01eff,0xff880eff,
    0xffb311ac,0x3ff201ff,0x4c1acfff,0x9d91fffc,0xf9310135,0xff709fff,
    0xffb103ff,0x220188bf,0x41ffffda,0x7fdc4008,0xff1005ff,0x131019ff,
    0xdfffff10,0x36a62157,0x4ffe806f,0xfffd8000,0xfffeefff,0x7fd406ff,
    0xffffffff,0xf3003fff,0xd97bffff,0x201bffff,0xfffffff8,0x402fffff,
    0xfffffffb,0xffffffff,0xffffff91,0xffffffff,0x7fff40bf,0xfffecdff,
    0x7ffcc0ef,0xfffffeee,0xfffc82ff,0xfffffeee,0x2e000eff,0xeeffffff,
    0xfd302fff,0xffffffff,0x880dffff,0x00001fff,0xfffffff7,0x2009ffff,
    0xffffffe9,0x4001efff,0xffffffe8,0x4403ffff,0xffffffff,0xd1001eff,
    0xffffffff,0x323fffff,0xffffffff,0x04ffffff,0xffffffc8,0x980cffff,
    0xffffffff,0xf900dfff,0xffffffff,0x20007fff,0xfffffffd,0x7dc02fff,
    0xffffffff,0x7cc06fff,0x4400007f,0xefffffed,0x6dc4001d,0x0cefffff,
    0x3fb2a000,0x001bdfff,0xfffffd71,0x9700019d,0xfffffffd,0xffeda85b,
    0xefffffff,0x3f6a000b,0x01dfffff,0x3fffffe6,0x6401deff,0xffffffff,
    0x980003ee,0xfffffffd,0xfdc9801e,0xadffffff,0x02ffdc00,0x26a60000,
    0x2a200000,0x26000001,0x99880000,0xa9800000,0x2660009a,0x00009aaa,
    0x40013510,0x009aa998,0x9aa99880,0x44000001,0x40001999,0x40009998,
    0x00000998,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5e6ee5cc,0x6dcc0002,0x800009bd,
    0x0abddca8,0x00355530,0x50155530,0x15555555,0x05553000,0xaa800000,
    0xaaaaaaaa,0x2aaaa1aa,0xaaaaaaaa,0x2aaaaaaa,0x55555555,0x55555555,
    0x2aaaaaa6,0x3000009a,0x00579d95,0x55555553,0x55555555,0xfffffd50,
    0x0017ffff,0x7fffffe4,0x910004ff,0xffffffff,0xffff981b,0x3ffe2000,
    0x7fffc40f,0xdeffffff,0x07ffc802,0x3e200000,0xffffffff,0xfff13fff,
    0xffffffff,0xffffffff,0x3fffff6b,0xffffffff,0xfffffb6f,0x3bdfffff,
    0xffffc800,0x201effff,0xfffffffd,0x5fffffff,0x7fffffec,0x06ffffff,
    0xfffffd88,0x00dfffff,0x3ffffe60,0x3fffffff,0x0027ffec,0xf107fff9,
    0xffffffff,0x401bffff,0x00007ffc,0x3fffee00,0xffffffff,0x9999df13,
    0x99999999,0x36bfb999,0xffffffff,0xb6ffffff,0xffffffff,0x019fffff,
    0xfffffe98,0x03ffffff,0xfffffffb,0xbfffffff,0x5effffe4,0xffffda99,
    0x3fffa204,0xfffcbacf,0xffd000ef,0xfb7559df,0xfff889ff,0xfff8800f,
    0xdffff106,0xfffffddd,0x3ff207ff,0x20000007,0xcefffffe,0xf11ccccc,
    0x5f88000b,0xddddfffb,0x9ddddddd,0x3bbbfff6,0xffffffee,0xffff502f,
    0xfffb77bf,0xfffb03ff,0xdddddddd,0x3fe69ddd,0x7ffcc05f,0xbfffb00f,
    0x0ffffa20,0x813fff20,0xfff705d8,0x3fffb00b,0x413ffe20,0x2fffffa8,
    0xaaafffc8,0x4000019a,0x5ffdeffa,0x5d45f880,0xafc4009a,0xb0007ffd,
    0x7dcc0fff,0xf981ffff,0xffb103ff,0x1fffb0df,0x1fff9000,0x05fff700,
    0x880bfff3,0x7c407fff,0xe80006ff,0x3e601fff,0x3fe204ff,0x7fec404f,
    0xffffc86f,0xcfffffff,0x7fec0000,0x8805ffdb,0x7fffe45f,0x36bf101d,
    0xfb0007ff,0xffb100ff,0x007aa0df,0xd83ffff1,0xd8000fff,0xff3006ff,
    0x1fff907f,0x07fff700,0x0017ffcc,0x037ffd40,0x4401fffd,0xfb004fff,
    0xfffc87ff,0xffffffff,0x88000cff,0x5ffd8fff,0x6545f880,0x885fffed,
    0x00fffb5f,0x801fff60,0x0002fffd,0x3617ffe4,0xd8000fff,0xff5007ff,
    0x5fff885f,0x81bffe00,0x0001fffb,0x505fffb0,0xf8807fff,0xff3004ff,
    0x7ffe41ff,0xfffeeeee,0x4000efff,0xbffb5ffb,0x980bf100,0xafc44ffd,
    0xb0007ffd,0x7cc00fff,0x20000fff,0x7ec4fffa,0xfb8000ff,0xffe801ff,
    0x17ffdc1f,0x0ffffa80,0x001fff90,0x1bffe200,0x2201bffe,0x36004fff,
    0x3ff22fff,0x3fff2207,0x7ffc005f,0x100bffb2,0x3ff600bf,0x7fed7e21,
    0xfffb0007,0x2fffd800,0x3ffe6000,0x007ffec4,0x077ffc40,0x90dfff30,
    0x3f200fff,0xfb01ffff,0xc80000ff,0x3fee3fff,0xfff8801f,0x3ffea004,
    0x201fff23,0x003ffff9,0x7fecfff5,0x005f8805,0xafc47ff1,0xb0007ffd,
    0xfa800fff,0x2a0003ff,0x7fec3fff,0xffd0000f,0xfff705ff,0x0dffb03f,
    0xfffffe88,0x0fffb02f,0xfffd0000,0x009fff11,0x8013ffe2,0x3f24fff9,
    0xfff5007f,0x93ff600b,0xf8805ffd,0x897fe005,0x00fffb5f,0x001fff60,
    0x0009fff3,0x3617ffdc,0x10000fff,0x33bffffd,0x203ffffd,0x3ea05ffe,
    0x3fffefff,0x000fffb0,0x97fff500,0x22001fff,0x22004fff,0x3ff25fff,
    0x1fffa007,0xd83ffe20,0x5f8805ff,0x449ff100,0x00fffb5f,0x001fff60,
    0x000bfff1,0x3607fff4,0x20000fff,0xffffffe8,0x3e00dfff,0xfff905ff,
    0x49fff1bf,0x9fffd999,0x19999999,0xffffd800,0xeee803ff,0xeeeeffff,
    0xc9bffe02,0x3f6007ff,0x7fe400ff,0x777ffec5,0xbf10eeee,0x887ff200,
    0xddfffb5f,0xdddddddd,0x01fff63d,0x001bffe0,0x6c27ffd4,0xaaaabfff,
    0x00aaaaaa,0xfffffff7,0x89fff00b,0x23ffffe8,0x3ffe5fff,0xffffffff,
    0x000fffff,0x37ffffcc,0xffffff80,0x202fffff,0x3ff27ffe,0x3fff2007,
    0x217ffc01,0xfffffffd,0x10bf10ff,0x89fffb99,0xffffb5f8,0xffffffff,
    0x1fff65ff,0x01fffa00,0x03fffe20,0x3ffffff6,0xffffffff,0xffffc880,
    0x100dffff,0x7fd47fff,0x7ffc1eff,0x3fffffe5,0xffffffff,0xfc8000ff,
    0xff001fff,0xffffffff,0x7fff405f,0x400fff90,0x2a00fffd,0xfffd87ff,
    0x10ffffff,0xffff30bf,0x36bf105f,0xffffffff,0xb2ffffff,0xfd000fff,
    0xffd000ff,0x3fff607f,0xffffffff,0x7fcc0fff,0xffffdfff,0x7fff01ff,
    0x413ffff2,0x3bba4fff,0xeeeeffff,0x000eeeee,0x005fff88,0x37ffeeaa,
    0x3e00aaaa,0x1fff27ff,0x406ffe80,0xffd84ffd,0x2199999e,0x9ff985f8,
    0x7ed7e200,0xaaaaaaff,0xfb0aaaaa,0xfff000ff,0xfffd800f,0x3bfff604,
    0xeeeeeeee,0x3ffea0ee,0xfff910df,0xbffd05ff,0x205ffffd,0xfb04fff8,
    0xf90000ff,0xffffffff,0x1fffffff,0x013ffe20,0x327fff88,0xff5007ff,
    0x7ffcc0bf,0x805ffd81,0x07f985f8,0xfffb5f88,0x1fff6000,0x0dfff100,
    0x037ffec0,0x0003fff6,0x40ffffe6,0x40ffffe9,0xeffffffe,0x0fffe200,
    0x0003ffec,0x7fffffe4,0xffffffff,0xfff100ff,0x7ffcc009,0x201fff26,
    0x200ffff8,0xffb06ffc,0x10bf100b,0x2bf100ff,0xb0007ffd,0xf9800fff,
    0xff9006ff,0xffd801df,0xffd8000f,0x7ff4403f,0x7fffec4f,0xfff9804f,
    0x00fffb02,0xddddd700,0xdddffffd,0x3e201ddd,0x3ea004ff,0x1fff24ff,
    0x07ffff70,0xfb03fff8,0x0bf100bf,0xbf100991,0x4001fff6,0x54007ffd,
    0xfc804fff,0xfd800eff,0x7c4000ff,0xff3006ff,0xffffc8df,0x3fff7002,
    0x001fff60,0x0bfff000,0x09fff100,0x917ffec0,0x99999fff,0x0bfffffd,
    0xffffffa8,0x05ffffff,0x40005f88,0x0fffb5f8,0x01fff600,0x803fffb0,
    0x000efffc,0x8001fffb,0x2004fffa,0x7fdc7fff,0x3ffa003f,0x01fff607,
    0xbfff0000,0x9fff1000,0x3fffe600,0x3fffff20,0xffffffff,0xffffe803,
    0xffffffff,0x505f8805,0x36bf1001,0xfb0007ff,0x7fcc00ff,0x7ffe407f,
    0x3ff6000e,0x7fdc000f,0x3ffa003f,0x1bffe20f,0x01fffcc0,0x0000fffb,
    0x005fff80,0x004fff88,0xfc89fffb,0xffffffff,0xf9800dff,0xffffffff,
    0x8805ffff,0x02ffc85f,0x7ffdafc4,0x0fffb000,0x027fff40,0x001dfff9,
    0x000fffd8,0x802fffcc,0xfc86fff8,0xffc801ff,0x1fff600f,0x3bbaa000,
    0xeffffeee,0x100eeeee,0xf7009fff,0xffc81fff,0x0abccccf,0x4f7fe400,
    0xfd999999,0x85f8805f,0x7c404ffe,0x000fffb5,0x6401fff6,0xf900efff,
    0xb0001dff,0x88001fff,0xc801ffff,0xff884fff,0x3ff200ff,0x3ffec05f,
    0x7ffdc000,0xffffffff,0x100fffff,0x74409fff,0xfc83ffff,0x3e00007f,
    0x7fec03ff,0xb85f8805,0xafc401ff,0xb0007ffd,0xfe980fff,0xff902fff,
    0x360001df,0xd8000fff,0x980bffff,0xb01ffffc,0xc985dfff,0x9981ffff,
    0x999fffd9,0x99999999,0xfffffb81,0xffffffff,0xff100fff,0xd97533bf,
    0x207fffff,0x00007ffc,0xd801fff7,0x5f8805ff,0xbf100110,0x2667fff6,
    0x99999999,0x333fffb0,0xffffd975,0x3fff205f,0xaaaaaabf,0xb0aaaaaa,
    0x10001fff,0xddfffffd,0x5ffffffd,0x7fffec40,0xffffffef,0xffffff01,
    0xffffffff,0x800fffff,0x88005fff,0xffffffff,0x02ffffff,0x0001fff2,
    0x6c02fff4,0xffffffff,0x000bf15f,0xfffb5f88,0xffffffff,0x3ff6dfff,
    0xffffffff,0x3a01ffff,0xffffffff,0xffffffff,0x01fffb0f,0x3fffa200,
    0xffffffff,0xfff9002f,0x1dffffff,0x7fffffc0,0xffffffff,0x4007ffff,
    0x88005fff,0xffffffff,0x400bffff,0x80007ffc,0xd802fff9,0xffffffff,
    0xfffff15f,0xffffffff,0x2bffffff,0xfffffffd,0x6fffffff,0xfffffffb,
    0x017dffff,0xffffffe8,0xffffffff,0xfffb0fff,0xfd980001,0x2effffff,
    0xfffdb800,0x7c00bdff,0xffffffff,0xffffffff,0x7ffc007f,0xfff88005,
    0x2cceefff,0x01fff200,0x01fff200,0x7fffffec,0xfff15fff,0xffffffff,
    0xffffffff,0x3fffff6b,0xffffffff,0xfffffb6f,0x00399ddf,0x7ffffff4,
    0xffffffff,0xfffb0fff,0x4c400001,0x2000009a,0x000000a8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55555440,0x20009aaa,0x0000aaaa,0x54c6aaa6,0x5544002a,
    0x5555510a,0x55555555,0xa9800555,0x26001aaa,0xaaaaaaaa,0xaaaaaaaa,
    0x00aaa62a,0x800aaaa8,0xaa880aa9,0x006aaa02,0x555554c0,0x0009aaaa,
    0x2f3b2e60,0x5554c009,0x019aaaaa,0xffffffa8,0x00cfffff,0x0027ffe4,
    0x323fffb0,0x7d4007ff,0xffff52ff,0xffffffff,0xf800ffff,0x2005ffff,
    0xfffffffb,0xffffffff,0x1fff67ff,0x02fffe40,0xf982ffd8,0xbfff106f,
    0x3fff2000,0xffffffff,0x3fa6003e,0x1fffffff,0x3fffff20,0x1dffffff,
    0xffffff50,0x9fffffff,0x037ffcc0,0x64dfff00,0x7d4007ff,0xffff52ff,
    0xffffffff,0x5400ffff,0x00ffffff,0xffffff70,0xffffffff,0x7fecffff,
    0x6fffb807,0x207ffa00,0xff105ffa,0x3f2000bf,0xffffffff,0x201fffff,
    0xffffffc8,0x903fffff,0xffffffff,0x83dfffff,0xeeeefffa,0x3ffffffe,
    0x007fffe0,0xc93ffea0,0x7d4007ff,0xdddd32ff,0xddffffdd,0x6400dddd,
    0x02ffffff,0xffffff70,0xffffffff,0x7fecffff,0x7fffcc07,0x03ffa000,
    0x7c413fee,0xf90005ff,0xddddddff,0x01ffffff,0x2afffff6,0x4ffffca9,
    0xcccfffc8,0xfffffedc,0x07ffea0f,0x0ffffecc,0x003fffc8,0x321fffd8,
    0x7d4007ff,0xfff802ff,0xfff80005,0x0005fffd,0x25fff800,0x3e207ffd,
    0x7c001fff,0x09ff907f,0x0017ffe2,0x2e03ffe4,0xfa85ffff,0xff300dff,
    0x7ffc81ff,0x77fffdc0,0x803fff50,0xf304fffd,0xff000dff,0x07ffc8df,
    0x017ffd40,0x0002fffc,0x3f67ffea,0x000000ff,0xfd87ffee,0x3fff607f,
    0x3ffc4002,0xf103ffc8,0x32000bff,0xff9807ff,0x7fffc47f,0x27ffcc00,
    0x2201fff2,0xff54fffe,0xfff9803f,0x03fffe05,0x43fffa80,0x54007ffc,
    0xff802fff,0x7e40005f,0x05fff77f,0x7ffc0000,0xc83ffec5,0x98004fff,
    0x5ffb06ff,0x017ffe20,0x803ffe40,0x3ea1fffd,0xffd003ff,0x03ffe41f,
    0xf55fff98,0xfff003ff,0x1fffe40f,0x83fff900,0x54007ffc,0xff802fff,
    0x7fc0005f,0x0bfff14f,0x3fee0000,0x43ffec2f,0x9005fffa,0x9fffb999,
    0xbfff9999,0x3fe27999,0xff90005f,0x3fff200f,0x007ffee1,0xf917ffd4,
    0x7ff400ff,0x003fff57,0x7cc0dfff,0x3fe006ff,0x07ffc86f,0x017ffd40,
    0x0002fffc,0x7f45fff5,0xd000007f,0xfffb0dff,0x006fff98,0x3ffffffe,
    0xffffffff,0xf15fffff,0x32000bff,0xffb007ff,0x007ffd8f,0xfc8fffe2,
    0x3ff2007f,0x01fffa9f,0x202fffcc,0x9800ffff,0xffc83fff,0x7ffd4007,
    0x05fff802,0x71fff200,0x00005fff,0xd82fffb8,0x3ffa27ff,0x3ffe000f,
    0xffffffff,0xffffffff,0x0bfff15f,0x01fff200,0x3fa2fff4,0x7ffc007f,
    0x801fff24,0xffa9fffc,0x7ffe401f,0x1fffe403,0x40fffe40,0x54007ffc,
    0xff802fff,0x3fe0005f,0x2fffcc5f,0x3ffa0000,0x6cfffb06,0x4c001fff,
    0x9cffd999,0x9fffa999,0xfff10999,0x3ff2000b,0x3fffb807,0x0007ffec,
    0x7fe4bfff,0x5fff6007,0x2e01fffa,0xf9806fff,0xffe805ff,0x00fff906,
    0x802fffa8,0x30005fff,0xffd05fff,0x7dc0000f,0xfffb02ff,0x000bffee,
    0x260bff60,0x3fe206ff,0xff90005f,0x7ffe440f,0x02fffb85,0xfc9bffa0,
    0x3ffe007f,0x337fff56,0xffffd753,0x3fffe003,0x0fffe600,0x7777ffe4,
    0xeeeeeeee,0xf802fffe,0xf90005ff,0xfff901ff,0x3fa00005,0x3fff606f,
    0x0004fffa,0xf503ffd0,0x7ffc40bf,0xfff90005,0xffdddddd,0x3fea09ff,
    0x3ffa006f,0x401fff27,0xff53fffc,0xffffffff,0x64003dff,0x3ee02fff,
    0xfff901ff,0xffffffff,0x5fffffff,0x00bfff00,0x4c17ffe0,0x80004fff,
    0x3603fffa,0x06ffffff,0x03ffe000,0xf8813fee,0xf90005ff,0xffffffff,
    0xfe807fff,0xd7100dff,0x7fe4ffff,0x6fffb807,0x3fffffea,0x002dffff,
    0x205fff98,0x3f206ffe,0xffffffff,0xffffffff,0x5fff802f,0x3fff9800,
    0x001fffe0,0xb01fffa0,0x5fffffff,0x1ffe0000,0xf101ffe4,0x32000bff,
    0xffffffff,0x03ffffff,0x9dfffff3,0xfffffd99,0x43ffe4df,0xffffeb99,
    0x3bbffea1,0x00dffffe,0x20ffff00,0x3203fff8,0xaaaabfff,0xfcaaaaaa,
    0xfff802ff,0xfffc8005,0x0bfff200,0x3fffa800,0x7cfffec0,0x40000fff,
    0xff907ff8,0x2fffc407,0xafffc800,0xffdcbaaa,0xff504fff,0xffffffff,
    0x64dfffff,0xffffffff,0x42ffffff,0x7d41fffa,0xc8000fff,0xffb82fff,
    0x1fff200f,0x05fff500,0x000bfff0,0xfa80dfff,0x3a0004ff,0xffd807ff,
    0x01dfff77,0x837fcc00,0x3e202ffd,0xf90005ff,0xffc880ff,0xff9102ff,
    0x17dfffff,0x7fe4bffd,0xffffffff,0xffa80cff,0x5fff981f,0x5fff9800,
    0x6406ffe8,0x7d4007ff,0xfff802ff,0x7ffcc005,0x07fff803,0x07fff500,
    0x7ecfffb0,0x2aa005ff,0xaaeffcaa,0xacffeaaa,0x3ffe21aa,0xfff90005,
    0x1bfff200,0x826aa620,0x3f23fff8,0xefffffff,0x3fea01bc,0x5fff901f,
    0x8ffff000,0x6403fff8,0x7d4007ff,0xfff802ff,0x7ffe4005,0xaaaaaaac,
    0x002fffea,0x800fffe8,0x3fa27ffd,0xff8803ff,0xffffffff,0xffffffff,
    0x3ffe24ff,0xfff90005,0x07fffc00,0x3ffe6000,0x267fff22,0x7fd40009,
    0xffff101f,0x5fff9000,0x2007ffdc,0x54007ffc,0xff802fff,0x7ffc005f,
    0xffffffff,0x04ffffff,0x027ffd40,0x7cc7ffd8,0x7c401fff,0xffffffff,
    0xffffffff,0x3fe24fff,0xff90005f,0x7ffec00f,0x7fdc0001,0x01fff20f,
    0x03fff500,0x001fffe4,0xfe93ffe6,0x7ffc806f,0x17ffd400,0x002fffc0,
    0xfffffff3,0xffffffff,0xfe800fff,0xffb000ff,0x1ffff70f,0xfd999980,
    0xfa9999cf,0x209999ff,0x0005fff8,0x6c00fff9,0x20000fff,0x7e43fff8,
    0x7d40007f,0x3fe601ff,0xfff8006f,0x007fff17,0xa800fff9,0xff802fff,
    0x3ff2005f,0xffffffff,0xffffffff,0x9fff5001,0x83ffec00,0x4006fffd,
    0xff982ffd,0x2fffc406,0x07ffc800,0x001fffa0,0xf90dffb0,0xfa8000ff,
    0x7fec01ff,0x7fe4002f,0x00fffb9f,0x4007ffc8,0xf802fffa,0x3fe005ff,
    0x7fd4006f,0xfffd004f,0x3ffec001,0x009fffd0,0x7d40fff4,0x7ffc405f,
    0xfff90005,0x17ffea00,0x2fffc800,0x0007ffc8,0x200fffd4,0x4006fff9,
    0xffdcfff9,0x0fff9006,0x02fffa80,0x3005fff8,0x88007fff,0xfa807fff,
    0x7ec004ff,0x3ffe607f,0x1fff002f,0x8809ff70,0x90005fff,0xff300fff,
    0xf70005ff,0x3f20bfff,0x7d40007f,0xffe801ff,0x7ffc002f,0x9003ffff,
    0xfa800fff,0x333312ff,0x33bfff33,0xffc83333,0xffd8001f,0x7fff401f,
    0x3ffec000,0x07fffea0,0x7e41ffe0,0x7ffc403f,0x9999999d,0xff909999,
    0x5533333f,0x207ffffb,0xfccaa999,0x900effff,0xa8000fff,0xfa801fff,
    0x7e4006ff,0x000fffff,0xa800fff9,0xfff52fff,0xffffffff,0xff8fffff,
    0xff70006f,0x7ffd409f,0x7ffd8005,0x0efffc80,0x641ffe20,0x7fc403ff,
    0xffffffff,0xf94fffff,0xffffffff,0x209fffff,0xfffffff9,0x6402efff,
    0x540007ff,0xfd001fff,0x7cc005ff,0x2006ffff,0x54007ffc,0xfff52fff,
    0xffffffff,0x7ccfffff,0xf10004ff,0x7ff40dff,0xffd8001f,0xbfffd007,
    0xd837fcc0,0x7fc402ff,0xffffffff,0xf94fffff,0xffffffff,0x4c03bfff,
    0xffffffff,0xfff9003f,0xfffa8000,0xdfff5001,0xfffff800,0x1fff2003,
    0x25fff500,0xfffffffa,0xffffffff,0x007fff27,0x81fffe80,0x0005fffa,
    0x2200fffb,0xf503ffff,0x07ffa0bf,0xffffff10,0xffffffff,0x3ffff29f,
    0x1bcdefff,0xcefff980,0x320009ab,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,
    0x4c000355,0x2aa61aaa,0xaaa8001a,0x00d5540a,0x4c355300,0x51002aaa,
    0x44001555,0x54403ccb,0xaaaaaaaa,0xaaaaaaaa,0x555532aa,0x2aaa2001,
    0x55530000,0x55544055,0xaaaaaaaa,0x02aaaaaa,0x01300013,0x002ccc80,
    0x07fffdc0,0x7fffc400,0x03fffe60,0x86fffa80,0x20003fff,0x3ff24ffd,
    0xffc800ff,0xff7002ff,0xff880bff,0xffffffff,0xffffffff,0xbffff76f,
    0x03ffea00,0x3fffe200,0x3ffe606f,0xffffffff,0x47ffffff,0xe8004fc8,
    0x3ffe002f,0xffe80004,0xffc8004f,0x5fffc83f,0x3ffff100,0x0009fff0,
    0xffb27fec,0xfff007ff,0xfea805ff,0x4405ffff,0xffffffff,0xffffffff,
    0xfff76fff,0xff5003ff,0xff90001f,0x7cc0dfff,0xffffffff,0xffffffff,
    0x00ffff47,0x009fff90,0x00013ffe,0x003fffea,0x107fff98,0x9005ffff,
    0x3fa09fff,0x3f60004f,0x3ffff63f,0x7fffd406,0xfffd502f,0x880bffff,
    0xeeeeeeee,0xeeeeffff,0xfff74eee,0xff500bff,0xff98001f,0x2606ffff,
    0xffffffff,0xffffffff,0x37ffd47f,0x0efff980,0x009fff00,0x13fff600,
    0x02fffd80,0x301bffea,0x7ec0dfff,0x3fa0005f,0x3ffffa3f,0x3bff601f,
    0x7ff543ff,0x5fffefff,0x5fff8000,0xfffff700,0xfffa801f,0x77ff4000,
    0x00006ffe,0xc82fffe8,0x79534fff,0x07fffa13,0x004fff80,0x3ffff300,
    0x0dfff300,0x407fffb0,0x3601fffe,0x3a0005ff,0x33ffa2ff,0xbff104ff,
    0xfff87ffb,0xfff99dff,0xfff80005,0xffff7005,0xffa809ff,0x3ff2000f,
    0x006ffe9f,0x2fffe400,0xffdfffd0,0xffffffff,0x4fff8007,0x3ff20000,
    0xfffd805f,0xffff8801,0x04fffb80,0x0002ffe4,0x7ff45fff,0xff706ffa,
    0xfb87ffb7,0x3ffe62ef,0xfff80005,0x7fff7005,0x7d401fff,0xff3000ff,
    0x01bffa7f,0xffff9800,0x3fffe200,0xffffffff,0xfff8005f,0x3e200004,
    0x3e601fff,0x3ee005ff,0x7ffc45ff,0x37fe400f,0x43fff000,0x1fff8fff,
    0xffd8ffe8,0x7cc17444,0xf80005ff,0xff7005ff,0x409fff1f,0xd000fffa,
    0x37ff4dff,0xfffd0000,0xffff7005,0xfffffbbf,0x9fff0005,0xffb80000,
    0x3fffa06f,0x7fff4000,0x00bfff62,0x8001bfee,0x3ffe1fff,0x7cc4ffc8,
    0x009ff95f,0x002fffcc,0x802fffc0,0xfffb7ffb,0x03ffea01,0xe87ffee0,
    0x900006ff,0x3a00bfff,0xffd83fff,0xaaaaa85f,0xadfffaaa,0x00aaaaaa,
    0x82ffff80,0x8004fffa,0xff56fff9,0x3fee00bf,0x22033107,0x5ffe0fff,
    0x7fe47ff9,0x400bff92,0x0005fff9,0x7005fff8,0x3ffe6fff,0x01fff503,
    0x744fff88,0x980006ff,0xa800ffff,0x3fa04fff,0x7fff41ff,0xffffffff,
    0x3fffffff,0x6fffa800,0x000fffe8,0xfd9fff90,0x3ea001ff,0x05ffb07f,
    0x7fc4fff1,0xff8bffa7,0x8017ff27,0x0005fff9,0x7005fff8,0x3fff4fff,
    0x400fffa8,0xffe86ffd,0xffe80006,0xfffb002f,0x17ffdc01,0x3ffffffa,
    0xffffffff,0x0003ffff,0x7d45fffd,0x220003ff,0x3fffffff,0x41ffe600,
    0xff984fff,0xfb9ffe27,0x649ff55f,0x3e6005ff,0xf80005ff,0xff7005ff,
    0x417ffd4f,0x2a00fffa,0xffe81fff,0x7fdc0006,0x3ffa005f,0x1fffcc06,
    0x3333332e,0xcccefffc,0x0001cccc,0x7f4dfff3,0xfa80006f,0x4006ffff,
    0x7d40fff9,0x7ff987ff,0xff89ffe6,0x2e1ffc8f,0x3e6006ff,0xf80005ff,
    0xff7005ff,0xa86fff8f,0xff100fff,0x1bffa09f,0xffff9800,0x17ffe000,
    0x009fff10,0x0004fff8,0x2bfff600,0x0002fffb,0x03ffffb0,0x40fff880,
    0x542ffffd,0x1ffe66ff,0x8dff5ffb,0x26006ffb,0x80005fff,0xf7005fff,
    0x2fffb8ff,0xd807ffd4,0xffd00fff,0x7ff4000d,0x7ffc002f,0x27ffc405,
    0x013ffe00,0xfff88000,0x0006ffee,0x0fffffa0,0x83fff100,0x545fffff,
    0x1ffe66ff,0x87fffff5,0x26006ffb,0x80005fff,0xf7005fff,0x6fff88ff,
    0x5407ffd4,0x3fa02fff,0xff70006f,0xfff000bf,0x3fff980d,0x027ffc00,
    0x3ff20000,0x0001ffff,0xffffff70,0x1fff8001,0x3fff7fea,0xfa97fee0,
    0x7fffc47f,0x03ffdc0f,0x00bfff30,0x00bfff00,0x3f21ffee,0x3ffea1ff,
    0x405ffe80,0x98006ffe,0x8000ffff,0x7dc07ffe,0x7fc002ff,0x4000004f,
    0x05fffff8,0xffff1000,0xf800bfff,0x27ff22ff,0x3fee2fff,0x361bfea5,
    0xffa85fff,0x3ffe6007,0xfff80005,0x0fff7005,0x7d4bfff1,0x7ffe40ff,
    0x037ff400,0x017fff40,0x03fffc80,0x0003fffa,0x00009fff,0x1ffff700,
    0x3ff60000,0x02fffeaf,0xff8bffa0,0x7dcbff97,0x21bfee4f,0xfa82fffa,
    0x3fe6007f,0xff80005f,0xfff7005f,0x547fff20,0x3fe60fff,0x6ffe802f,
    0x2fffdc00,0xffff3000,0x09fff903,0x009fff00,0xfff10000,0x3ea0000b,
    0xffff35ff,0x4fffa001,0xfff34ff9,0xfb93ff21,0x01fff06f,0x2001fff5,
    0x0005fff9,0x7005fff8,0x3fe20fff,0x41fff55f,0x9999effe,0xffe99999,
    0x1009999e,0x0001ffff,0xbcffffd8,0x00ffffeb,0x004fff80,0xbfff0000,
    0xfff10000,0x27ffec3f,0xf93ffd80,0xc9fffc5f,0x1bfee3ff,0x07ffd400,
    0x05fff980,0x05fff800,0x6c0fff70,0xfffa8fff,0xffffff10,0xffffffff,
    0x7fffffff,0x00bfffa0,0x3ffffa00,0xffffffff,0x3eed8004,0xff000000,
    0xfb0000bf,0xfff889ff,0x4ffd801f,0x5ffc8fff,0x7fe45ffb,0xfff30006,
    0x3ffe6001,0xfff80005,0x0fff7005,0x7d5fffcc,0xffff10ff,0xffffffff,
    0xffffffff,0xbfff707f,0xfff90000,0xffffffff,0x00005fff,0xff000000,
    0xfa8000bf,0xffb80eff,0xcffc806f,0x7fcc5ff9,0x322ffd8f,0xf30005ff,
    0x3e6003ff,0xf80005ff,0xff7005ff,0xafffd80f,0xfff10fff,0xffffffff,
    0xffffffff,0xfff887ff,0x7d40000f,0xdeca8cff,0x0ffff89c,0x00000000,
    0x002fffc0,0x05ffff10,0x2027fff4,0x2ffcdffb,0xffdbffe8,0x0017ff61,
    0x800fffcc,0x0005fff9,0x7005fff8,0xffa80fff,0x000fffdf,0x4037ff40,
    0x0002fffd,0x007fffcc,0x0037ffdc,0x20000000,0x20005fff,0x4c05fffc,
    0x2e01ffff,0x907fedff,0x43ffbdff,0x30005ffd,0x26003fff,0x80005fff,
    0xf7005fff,0xfffd00ff,0x80001fff,0x7dc06ffe,0xe80005ff,0x3a002fff,
    0xfff33fff,0xffffffff,0x0dffffff,0x2fffc000,0xffffa800,0x6fffd801,
    0x3ffffea0,0xfffff305,0x02ffec1f,0x22fff880,0xbaaaaaa8,0xaaaaefff,
    0x3ffe002a,0x0fff7005,0xffffff50,0xffe80001,0x3fffe206,0xaaaaaaab,
    0x20aaaaaa,0x4c005fe9,0xfff30cff,0xffffffff,0x0dffffff,0x2fffc000,
    0x7fff4400,0xffff1004,0x3fffea07,0x3fffa02f,0x17ffa0ff,0x17ffc400,
    0xfffffff3,0xffffffff,0x7ffc00ff,0x0fff7005,0x3fffffa0,0x7ff40000,
    0x3ffff206,0xffffffff,0x81ffffff,0x41a8000b,0xfffffff9,0xffffffff,
    0x200006ff,0xc8005fff,0x2000efff,0x980ffffb,0x5c07ffff,0x7f47ffff,
    0xff10004f,0x7fffcc5f,0xffffffff,0x2007ffff,0xf7005fff,0x3fee00ff,
    0x40000fff,0x3f206ffe,0xffffffff,0xffffffff,0x0000001f,0x00000000,
    0x4005fff8,0x002ffff9,0x985fffe8,0x4405ffff,0x7fc7ffff,0xff10004f,
    0x7fffcc7f,0xffffffff,0x2007ffff,0xf7005fff,0x7ffc00ff,0x740000ff,
    0x3ff206ff,0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20003551,0x2201aa98,0x5440001a,0xa9880001,
    0x800009aa,0x00019a98,0x2a620000,0x20001aaa,0x00001aa8,0x00000000,
    0x00003510,0x1f442ec4,0x3b660000,0x02efffff,0xfffffda8,0x3fffa64f,
    0xff98005f,0x6d44005f,0xffffffff,0x7edc003f,0x2dffffff,0x2a00fff9,
    0xfb301fff,0xffffffff,0x3ff6a009,0x203effff,0xfffffff9,0xffffffff,
    0x037ffec5,0xa89fffd0,0x0000efff,0xd127ff44,0x20000bff,0xfffffffa,
    0xf100dfff,0xffffffff,0xffffff39,0xffe800bf,0x3ee002ff,0xffffffff,
    0x4401ffff,0xfffffffe,0xfff95fff,0x07ffea00,0xffffffb1,0x809fffff,
    0xffffffd8,0x980dffff,0xffffffff,0x5fffffff,0x027fff44,0x2637ffdc,
    0x006fffff,0x97fffe60,0x00efffe9,0x3ffff200,0xffffdcbd,0x9bdff106,
    0xffffffd9,0x07fffb9d,0x1fffffc0,0xdffff700,0xffffdd9d,0x7fffdc0d,
    0xfffeeeff,0x200fff95,0x7ec1fffa,0xdccdefff,0x3a604ffe,0xfddfffff,
    0x4c1fffff,0xffffffff,0x5fffffff,0x01ffff98,0x703fffe6,0x01ffffff,
    0x9ffff700,0x3dfffd10,0xdfff5000,0x7fffd101,0x3f605b10,0x7fec5fff,
    0x3fff6006,0x33ae001f,0x3fffaa01,0xeffff984,0x3f2b9301,0xfff5007f,
    0x06fffd43,0xffe80660,0xffe980df,0x3e20005f,0xff701fff,0x3ffa01df,
    0xffffc82f,0x7e4001ff,0x7ec02fff,0x74002fff,0xffe806ff,0x7fd4000f,
    0x7ffc40ff,0x7ffb1001,0x7cc00000,0xfffe86ff,0x3ffe4004,0x21fffa80,
    0x80007ffd,0x4404fffb,0x0002fffe,0xd805fffb,0xffb84fff,0xffff504f,
    0x7ec400ff,0xf7001eff,0x2e007fff,0xf9801fff,0x7c4004ff,0x7ffd06ff,
    0x00000800,0xb8fffb00,0xc8005fff,0xff5007ff,0x037ff43f,0x1bffe200,
    0x037ffcc0,0x027ffe40,0x317fffc4,0xfc80dfff,0xd1002fff,0x8001dfff,
    0x804ffffa,0x3a005fff,0xff8005ff,0x09ffb04f,0x00000000,0xff83ffee,
    0xfc8000ff,0xfff5007f,0x00fffec3,0x07fff500,0x007ffec0,0x00dfff50,
    0xe87fffcc,0xc9800fff,0xfff3000b,0x74c000bf,0xf100dfff,0x7ec009ff,
    0xffe8006f,0x00bff903,0x20000000,0xff10fffb,0x3f20009f,0xfff5007f,
    0x1ffffdc3,0x07ffc800,0x00fffd40,0x00ffff88,0x66fffe40,0x00002fff,
    0x07ffff70,0xfffd1000,0x7fff303d,0x33333333,0x00fffb33,0x9ffd5531,
    0xffb55555,0x0000000b,0x555554c4,0xff30fffd,0x3f20007f,0xfff5007f,
    0xfffffe83,0x3ff6001c,0x7ffcc006,0x5fffd003,0x3fffa000,0x2a004fff,
    0x7fe400bc,0x400002ff,0x542ffffd,0xffffffff,0xffffffff,0xffd980ff,
    0xffffffff,0x6fffffff,0xfffffff3,0xffffffff,0x260dffff,0xfffffffc,
    0xf70fffff,0x320003ff,0xff5007ff,0xfffe883f,0x401cffff,0x44005ffe,
    0xfc804fff,0x220003ff,0x006fffff,0x203bfff6,0x01efffd8,0xfff70000,
    0x7fffdc7f,0xffffffff,0x40ffffff,0xfffffffc,0xffffffff,0xff36ffff,
    0xffffffff,0xffffffff,0xfffd88df,0xffffffff,0xfff90fff,0x3ff20001,
    0x3fff5007,0x3ffffee0,0xff01efff,0xfff000bf,0x5fffb809,0xfffc8000,
    0xfff7001f,0xfffd0bff,0x8000001f,0xf53ffffb,0x99999bff,0x99999999,
    0xcffff989,0xacffeaaa,0x1aaaaaaa,0xfffffff3,0xffffffff,0xfd8dffff,
    0xaaacdfff,0x90fffdaa,0x20003fff,0xf5007ffc,0xfda803ff,0x83ffffff,
    0x44005fff,0x3e603fff,0x40000eff,0x06fffff9,0xffffffb0,0x1dfffd10,
    0x3e600000,0x3fe64fff,0xfd00002f,0x7ffd01df,0x99999800,0x99999999,
    0x20999999,0x400efffb,0xff50fffb,0x3f20005f,0xfff5007f,0x3f6a2003,
    0x7f41ffff,0x7fcc006f,0xfffd102f,0xfe880003,0x804fffff,0x07fffffd,
    0x007ffff6,0xffff7000,0x04fff887,0x4fff8800,0x0009ffd0,0x3fa00000,
    0xffb800ff,0x07fff30f,0x01fff200,0x000fffd4,0x22ffff4c,0x54007ffc,
    0xffb01fff,0xfb00007f,0x7fffb7ff,0xfffffa80,0x7fffe405,0xff900002,
    0x3ffe03ff,0xff980005,0x0bffd01f,0x20000000,0xf7005fff,0x3ffe21ff,
    0xfff70006,0x3fffd001,0x3ffe2000,0x017ffdc6,0x701fffd0,0x0000bfff,
    0x3e2bfff7,0x7e401fff,0xfa800dff,0x20004fff,0x00efffd8,0x000bfff6,
    0x301fff50,0x0000ffff,0xfff10000,0xfffd100b,0x01ffff41,0x00fffd40,
    0x007ffff6,0x4c7ffe80,0xf3006fff,0xfff309ff,0xff30000d,0x7ffd41ff,
    0x00d4400e,0x37fffe60,0x7ff4c000,0x7fcc00df,0x260000ff,0x7f442fff,
    0x00002fff,0xf800bbf2,0x7fdc06ff,0x3fe60fff,0x7cc002ff,0x3ff605ff,
    0x50001fff,0xffb0dfff,0xffe9809f,0x7fffc40f,0x7fc40000,0xfffd82ff,
    0x22000005,0x000efffe,0x009ffff5,0x027fffe4,0x3ffe21cc,0x3ffff625,
    0x400501ff,0x000ffffc,0xb309fffd,0x81ffffff,0x09dffffc,0xfff2ed44,
    0xeffd987f,0x35911fff,0x3fffe980,0x0dffff88,0x1ffffd44,0x0017fff4,
    0x827fff40,0x004fffe8,0x3ff62000,0x7fdc01ff,0x744003ff,0xceffffff,
    0xd87ffeed,0xfffdffff,0xceffff8b,0x3e007fed,0x5003ffff,0xfbdfffff,
    0xfff7ffff,0xffffe881,0xffffefff,0x3ffffee5,0xf8efffee,0xffff11ff,
    0xffdddddf,0x7fdc0dff,0xffeeffff,0xffb85fff,0xffffffff,0x42ffffff,
    0x4c06fffc,0x0002ffff,0x7fffe400,0x3ffffb03,0x7ffe4000,0xffffffff,
    0xffff987f,0x3fea4fff,0x07ffffff,0x0bffffa0,0xfffffc80,0xf88dffff,
    0xfff700ff,0xffffffff,0xfffffd8b,0xfff0efff,0x3ffffe23,0xffffffff,
    0xfffe9805,0x2fffffff,0xffffff90,0xffffffff,0x7ffd45ff,0xfffc801f,
    0x4000000f,0x224ffffb,0x000efffe,0xfffed980,0x03dfffff,0x07dfffd3,
    0xffffffb5,0x7ffd4009,0xffea8006,0x3e23dfff,0x3b2200ff,0xceffffff,
    0xfffffb81,0x88fffc3e,0xffffffed,0x2001cfff,0xfffffec8,0x3ff200ce,
    0xffffffff,0x12ffffff,0x4009ffff,0x0006fffe,0x5fff9800,0x0037ffe6,
    0x4d54c000,0x02a20009,0x0004d4c0,0x80002b98,0x800001a9,0x22001998,
    0x260001aa,0x0009aa99,0x00035300,0x00000000,0x80000000,0x04f985e8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04010000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x0135100a,0x0006aa00,0x000aaa88,0x015e65cc,0xbcdcca88,
    0x33320001,0x65cc0002,0x0000acde,0x99500000,0x20000001,0x8815c01b,
    0x20002fff,0xfff56ffd,0xfff8800b,0x6c57fe26,0x7fe44fff,0x13ff61ff,
    0x7fffffb7,0x6c49ff90,0x02ffffff,0x7fffff4c,0x3ff601ef,0x0effffff,
    0x04fff800,0xffffb100,0x9807ffff,0x016a001e,0x5001ffc8,0x7bdfffd9,
    0x541bfa60,0xfff00fff,0x7ff40007,0x003fffe4,0x223fffb8,0xffffb5ff,
    0x3fffee7f,0xd93ff66f,0xffffffff,0xfaa7fe45,0xffffffff,0xfffff503,
    0x205fffff,0xfffffffd,0xff8006ff,0xffa8004f,0xfeca9bdf,0xfff980ef,
    0x05ffa801,0x2001ff70,0xfffffffe,0x7ffcc0ff,0x05fff884,0x40009ffd,
    0x3ff23fff,0x3ffa003f,0x2b7fe20f,0x9dffedff,0x1fffdeff,0xffb19ffb,
    0xffffdbdf,0x7d6ffe45,0xfffedfff,0x7ffc40ff,0xfffb99af,0x4c1bc80e,
    0x4002fffc,0x54004fff,0x3ea00eff,0x7ffe40ff,0x3ffea01f,0x3ee0220f,
    0xffe8180f,0x6fffffff,0xa81fffb8,0xffd82fff,0xfff10005,0x037ffcc5,
    0x445fff98,0xf13feeff,0x7f4bfbdf,0xfdbffb4f,0xfffb83df,0x3fffff26,
    0x5fffd83f,0x4c07ffe4,0xf8003fff,0x7fc003ff,0x3fe2004f,0x159ddd75,
    0x3f217fe2,0xffa81fff,0x217e41ff,0x17e447fa,0x3ffea06e,0x0effd80f,
    0x640fffd8,0xf30006ff,0xfffe83ff,0x2fffc801,0x22ffffc4,0x360fffff,
    0xffffb4ff,0x7ffec09f,0x5fffff91,0x3e3fffc0,0x3ff603ff,0x4ffd8005,
    0x027ffc00,0x3f21ffb0,0xf50fffff,0xffff905f,0x0ffffd43,0x5437ffe6,
    0x1bffa67f,0x80fffc80,0xf884fff8,0x3ffd44ff,0xfa80eeb8,0x7ffdc0ff,
    0x86fff804,0x741ffff8,0x7fe43fff,0x09ffffb5,0xf92fffa8,0xfc805fff,
    0x3fff10ff,0x3037fe40,0xfffddb97,0x4fff8009,0x645ff100,0x6c7ff13f,
    0xffff905f,0x03ffff53,0x35ffff71,0x3bfff2df,0x1bff6003,0xb82fffa8,
    0x3fe61fff,0x83fff80f,0xff887ffb,0x7ffcc07f,0x85fff883,0xffc87ffe,
    0x00bfffb5,0x3f25fff3,0xffb803ff,0x01fff31f,0x6cc3ffdc,0xffffffff,
    0x7ffc004f,0xc8ff5004,0xfa8ff23f,0x3ffff207,0x4401ffff,0xeffefffb,
    0x31002eff,0xc805fff9,0xffe80fff,0x307ffe26,0xff90dfff,0x0bfff20d,
    0x880fffd8,0xffe81fff,0xfb5ffc83,0x3fe600ff,0x00fff93f,0x7cc7ffea,
    0x3fee00ff,0x67fff446,0x04ffeccc,0x8027ffc0,0x45fe46fb,0x3fe60ffa,
    0x3ffff200,0x2e2001ff,0x02efffff,0xffffffb0,0x9fff1003,0x7c7fff30,
    0x7ffe42ff,0x827fec1f,0xf105fff9,0x3fe20bff,0x83ffe81f,0xdffb5ffc,
    0x7ffc8000,0x23fff500,0x3602fff8,0x7ffe44ff,0x264ffc80,0xffffffff,
    0xffffffff,0x8bfb6fff,0x82effffc,0x7fec02ff,0xc88002ff,0x2002ffff,
    0xdffffffd,0x0fffdc01,0xfd07ffec,0xfffff87f,0xd01fff44,0xff501fff,
    0x3ffe205f,0xc83ffe81,0x0dffb5ff,0x07ffc800,0x7c3fff50,0xfff105ff,
    0xb04ffd87,0x7ffcc9ff,0xffffffff,0xffffffff,0xdfc8bf96,0x7fc40efd,
    0x3fffea01,0xf91001ff,0x5dffffff,0xffdb9700,0x3e603fff,0xfffa83ff,
    0xf327fec2,0xfe8fffbf,0x3ffee02f,0x207ffd82,0xfe81fff8,0xb5ffc83f,
    0xc8000dff,0xff5007ff,0x6fffdc3f,0x21bffa62,0x7ec46ffd,0x3ffe64ff,
    0xffffffff,0xffffffff,0x3fc8ff56,0x07fa89fb,0x3fffffea,0x3f2201ff,
    0xfaefadff,0x5c003eff,0xffd06fff,0x217ffa0d,0x3ff25ffc,0x3fe1ffe9,
    0x3ffe201f,0x027ffc45,0xfd03fff1,0x2bff907f,0x40006ffd,0xf5007ffc,
    0xfffe83ff,0x1fffffef,0xdcefffc8,0x4c4fffff,0xf9999999,0x99999dff,
    0x43ff3099,0x41ff33fc,0xfff506fc,0x3ffff93f,0x27ffff30,0xfffb17f9,
    0x7ffe800d,0xc80fffc8,0xffb80fff,0x7fddffa6,0x801fff14,0x3ee0fffd,
    0x3fe200ff,0x83ffe81f,0xdffb5ffc,0x7ffc8000,0x83fff500,0xffffffe9,
    0xffd101ef,0xff59ffff,0x4fff8009,0xfc97fa00,0x7fc53f63,0x1ffffa83,
    0x207ffff2,0x1fea0dfe,0x4c007ff5,0x7fcc6fff,0x3fff983f,0x3e6fff30,
    0x26fff34f,0xff9807ff,0x01bffa3f,0xfd03fff1,0x2bff907f,0x40006ffd,
    0xf5007ffc,0x3b6e03ff,0x4400bdef,0xd12cefda,0xfff8007d,0x4ffe6004,
    0x23fea3fc,0xfffa86fe,0xffffc81f,0x7fd41541,0x44042440,0x225fffea,
    0xffd05fff,0x47ffc40d,0x3ffa2ffc,0xd006ffaa,0x3ffe6dff,0x0fffc402,
    0x7e41fff4,0x00dffb5f,0x007ffc80,0x0003fff5,0x80000000,0x64004fff,
    0x4c098bff,0x7d41ffea,0x3f201fff,0xfb801fff,0xfff9800f,0xeffffffe,
    0x203ffea0,0x7c01fffa,0x5c7fe9ff,0x05ffbdff,0xf93fff70,0xfff100ff,
    0x907ffd03,0x1bff6bff,0x0fff9000,0x007ffea0,0x00000000,0x0009fff0,
    0x4c15dffb,0xf983fffb,0xffd801ff,0x1ffc800e,0xfffff980,0x880effff,
    0x0136602d,0x13ff3ffa,0x7ff9fff1,0x33ffe200,0xf8804ffe,0x3ffe81ff,
    0xffb5ffc8,0xffc8000d,0x3fff5007,0x2aaaaaa2,0x2aaaaaaa,0x2aaaaaa2,
    0x2aaaaaaa,0x013ffe00,0x7ffffd40,0x201effff,0x3b6001f9,0x03ff9000,
    0xfffffd30,0x000003bd,0x7ffffec0,0xfffffe82,0x3fff6002,0xf8801fff,
    0x3ffe81ff,0xffb5ffc8,0xffc8000d,0x3fff5007,0x3fffffe6,0x6fffffff,
    0x3fffffe6,0x6fffffff,0x013ffe00,0xfffdc880,0x000003de,0x00331000,
    0x00000000,0x1fffff20,0x0fffffdc,0xfffff500,0x3ffe200d,0xc83ffe81,
    0x0dffb5ff,0x07ffc800,0x263fff50,0xffffffff,0x266fffff,0xffffffff,
    0x006fffff,0x00013ffe,0x00000098,0x00000000,0x80000000,0x104ffffb,
    0x001fffff,0x03fffff8,0xd03fff10,0xbff907ff,0x0001bff6,0x2a00fff9,
    0x55511fff,0x55555555,0x55544555,0xaaaaaaaa,0x3b6002aa,0x0000003e,
    0x00000000,0x00000000,0xfff98000,0x3fffa02f,0xfffc8007,0xfff1000f,
    0x907ffd03,0x1bff6bff,0x0fff9000,0x007ffea0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x800dc02c,
    0x1001eeeb,0x0179dd97,0x001ee440,0x00005554,0xccc88000,0xcccccccc,
    0x53cccccc,0xcc989999,0x055400cc,0x00001530,0x20399995,0x000ccccb,
    0x0059d971,0x99995000,0x43999999,0x2defedb8,0x01dff700,0x2e01bff3,
    0x801fffff,0xfffffffb,0xfffd003f,0x3fe6001d,0xfff7005f,0xffffffff,
    0x25ffffff,0xfffffff9,0xffffffff,0xffff76ff,0x00ffffa8,0x2e03ffee,
    0x20001fff,0x203ffffb,0x00ffffd8,0x7fffffcc,0x3332200e,0x7fffe400,
    0x72ffffff,0xffffffff,0x7ffc401d,0x86ffe885,0xfffffffb,0x7fffe401,
    0x04ffffff,0x1fffffd4,0x2ffffe80,0xfffffb80,0xffffffff,0xff32ffff,
    0xffffffff,0xdfffffff,0xf31fffee,0x7fc01fff,0xffff84ff,0xfff70004,
    0x3fee003d,0xfff300ff,0x03ffffff,0x9003ffe6,0xffffffff,0xffff75ff,
    0x0bffffff,0x6407ffec,0x3fa20fff,0x1fffffff,0x833ffea0,0x201fffe9,
    0x06fffffa,0x6ffeffb8,0xfffffb80,0xffffffff,0x5512ffff,0x55555555,
    0x55555555,0xf31bffea,0xffe80fff,0x4fffe83f,0xdfffb800,0x7ff4c000,
    0xefffd80f,0x81ffffec,0x98807ffb,0x99999999,0x535bfb09,0x503ffff9,
    0xff505fff,0x5dffb05f,0x7c03fff7,0x3ffe04ff,0x3fffe205,0x7ffc407f,
    0x4404ffe8,0x99999999,0xffa99999,0x5000002f,0xff88dfff,0x77fd407f,
    0x00eff980,0x01fffdc0,0x1fffb100,0x321fffcc,0x3622ffff,0x000006ff,
    0x3fff6051,0x42fffc42,0xd505fff8,0x80fffd45,0x2e00fff8,0x7fd406ff,
    0x3f200fff,0x01fff33f,0xfff10000,0x26000005,0x7fc45fff,0x3001006f,
    0x06aaa000,0x15554000,0xf901fff5,0xfff9dfff,0x0000005f,0xc87fff50,
    0xffd80fff,0x3fea000e,0x0fff501f,0x400fffa8,0x2206fffd,0x2ffe46ff,
    0x7fc40000,0x3000002f,0xfff0bfff,0x0000000d,0x80000000,0x3ee07ffb,
    0x6fffffff,0x90000000,0x7fcc5fff,0x1fffa83f,0x0fffd400,0x5407ffb8,
    0x7dc00fff,0x3ff605ff,0x017ffc42,0x3ffe2000,0x55555512,0x55555555,
    0x3fe25555,0x06fff84f,0x00000000,0x65400000,0x7ffd403c,0x0000dfff,
    0xfff98000,0xf837ff46,0xfa8004ff,0xfff501ff,0x806ffd80,0xf303fffc,
    0x1bfee0df,0xfff10000,0x3ffffe65,0xffffffff,0xff16ffff,0x0bfff09f,
    0x00000000,0x00000000,0x0057b950,0x3e600000,0x7fd42fff,0x0fffc82f,
    0x0fffd400,0x203fff88,0x7cc05fff,0x3ffa06ff,0x013ffa01,0x2fff8800,
    0xfffffff3,0xffffffff,0x1fffcdff,0x0002fff4,0x00000000,0x00000000,
    0xa8000000,0xfb03ffff,0x1bffa0df,0x03fff500,0x6c17ffec,0xf5100fff,
    0x3ee03fff,0x7ffd405f,0x55100001,0x3bbba215,0xeeeeeeee,0x265eeeee,
    0x09988099,0x00000000,0x00000000,0x00000000,0x3ffffc80,0x213ffe20,
    0x2003fff9,0x2201fffa,0xfedeffff,0xfed83fff,0xf103ffff,0xffb003ff,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x0fffff44,
    0x40fffdc0,0x5001fffb,0xea803fff,0xffffffff,0xbfffff03,0x027fe401,
    0x442fff98,0x88888888,0x2aaaa088,0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,
    0x00000000,0x00000000,0x00000000,0x06ffffcc,0x20dffd00,0x4c40effe,
    0xafffb999,0xfd900999,0x7c019dff,0x7c402cdf,0x3f2000ff,0xffff50ef,
    0xffffffff,0x7ffffffc,0xffffffff,0xffffffff,0x00000004,0x00000000,
    0x00000000,0x3ee00000,0xaaaaefff,0xff981aaa,0x5fff883f,0x7fffffd4,
    0x03ffffff,0x00020008,0x3ea00000,0xffffffff,0x3fffe7ff,0xffffffff,
    0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,0x3ffffffa,
    0x03ffffff,0xf701fff9,0x7ffd41ff,0xffffffff,0x0000003f,0xa8000000,
    0xffffffff,0x33327fff,0xcccccccc,0xcccccccc,0x0002cccc,0x00000000,
    0x00000000,0x00000000,0x3fffffa0,0x3fffffff,0x6c019d10,0xeeeeea83,
    0x2eeeeeee,0x00000000,0x99880000,0x99999999,0x00000019,0x00000000,
    0x00000000,0x00000000,0xeec80000,0xeeeeeeee,0x000002ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_43_latin1_x[224]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,1,
10,2,0,0,4,3,2,5,2,0,4,2,5,5,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_43_latin1_y[224]={ 31,1,1,3,-1,1,1,1,-1,-1,1,9,24,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,31,9,-1,3,4,3,
-4,1,1,3,3,11,17,17,1,2,1,5,0,0,1,9,1,15,31,1,3,11,1,1,1,9,-4,-4,-4,-5,
-4,-6,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-5,-4,-4,-4,-5,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_43_latin1_w[224]={ 0,7,14,23,20,24,23,6,13,13,18,21,12,14,
8,19,21,19,19,18,23,18,20,20,20,20,8,11,18,19,17,14,24,24,19,20,21,16,16,21,20,18,16,19,
17,22,20,22,19,23,20,19,21,20,24,23,24,24,20,11,19,11,20,24,15,19,19,17,19,20,23,21,18,18,
17,20,18,21,18,21,19,19,18,18,20,18,22,23,22,22,18,16,4,17,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,18,21,21,22,
4,19,19,24,15,18,19,14,20,18,16,20,14,14,20,20,19,8,6,15,16,18,24,24,24,14,24,24,24,24,
24,24,24,20,20,20,20,20,21,21,21,21,23,22,23,23,23,23,23,18,22,22,22,22,22,24,19,19,21,21,
21,21,21,21,23,17,22,22,22,22,21,21,21,21,20,21,22,22,22,22,22,21,21,21,21,21,21,23,19,23,
 };
static unsigned short stb__consolas_43_latin1_h[224]={ 0,31,11,28,37,31,31,11,41,41,19,21,15,5,
8,35,29,28,28,29,28,29,29,28,29,28,23,30,25,11,25,31,39,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,4,9,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,29,23,22,22,22,31,22,40,44,40,9,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,28,26,28,
44,35,9,29,21,18,11,5,20,8,15,26,18,19,9,31,35,8,7,17,21,18,30,30,30,31,35,35,35,36,
35,37,28,35,35,35,35,35,35,35,35,35,28,36,36,36,36,37,36,19,37,36,36,36,36,35,28,31,31,31,
31,31,31,33,23,29,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,23,31,31,31,31,31,39,39,39,
 };
static unsigned short stb__consolas_43_latin1_s[224]={ 249,243,142,153,228,114,149,248,11,25,203,
141,68,102,245,116,22,98,219,169,161,150,129,112,1,215,247,224,1,122,20,
238,136,87,195,209,197,180,239,87,47,68,70,133,177,75,140,22,236,73,1,
109,118,1,22,51,26,1,185,51,181,39,81,117,198,105,1,125,42,38,223,
162,92,73,118,158,236,48,89,181,129,173,70,162,188,143,25,1,222,156,203,
63,1,80,214,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,249,249,209,
44,206,66,6,161,157,45,125,16,102,102,163,237,51,228,1,222,177,45,26,
245,248,35,108,237,1,26,111,239,196,136,1,70,226,48,133,95,175,132,46,
67,88,110,221,153,89,169,97,121,145,24,192,184,1,216,24,47,1,201,113,
228,62,1,216,23,184,1,59,230,139,91,68,45,51,136,202,179,21,201,193,
179,110,133,84,83,23,88,66,107,206,161,98,185, };
static unsigned short stb__consolas_43_latin1_t[224]={ 33,121,453,346,1,157,191,157,1,1,430,
430,453,465,413,84,316,375,316,286,375,286,286,346,316,346,255,223,404,453,404,
191,1,346,346,286,316,316,316,286,346,346,286,346,346,375,375,286,346,46,346,
286,375,286,346,375,375,375,375,1,84,1,453,465,453,404,191,404,191,404,255,
157,255,255,1,255,223,430,430,404,191,191,430,404,286,404,430,430,404,223,404,
1,1,1,453,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,
316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,316,33,1,1,
316,375,316,1,84,453,286,430,453,453,465,430,453,453,375,453,430,453,223,121,
404,169,453,430,430,255,255,255,46,121,84,121,84,84,46,316,84,121,121,121,
121,121,121,121,121,316,46,46,46,46,46,46,430,46,46,84,84,84,84,316,
157,191,223,191,157,157,157,404,286,157,157,157,157,255,255,223,255,191,255,191,
223,223,223,191,404,223,223,223,191,157,1,1,1, };
static unsigned short stb__consolas_43_latin1_a[224]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_43_latin1_BITMAP_HEIGHT or STB_FONT_consolas_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_43_latin1(stb_fontchar font[STB_FONT_consolas_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_43_latin1_BITMAP_HEIGHT][STB_FONT_consolas_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_43_latin1_s[i] + stb__consolas_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_43_latin1_t[i] + stb__consolas_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_43_latin1_x[i];
            font[i].y0 = stb__consolas_43_latin1_y[i];
            font[i].x1 = stb__consolas_43_latin1_x[i] + stb__consolas_43_latin1_w[i];
            font[i].y1 = stb__consolas_43_latin1_y[i] + stb__consolas_43_latin1_h[i];
            font[i].advance_int = (stb__consolas_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_43_latin1_s[i] + stb__consolas_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_43_latin1_t[i] + stb__consolas_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_43_latin1_x[i] + stb__consolas_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_43_latin1_y[i] + stb__consolas_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_43_latin1_LINE_SPACING
#endif

