// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_44_latin1_BITMAP_HEIGHT        497
#define STB_FONT_consolas_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_44_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_44_latin1_NUM_CHARS            224

#define STB_FONT_consolas_44_latin1_LINE_SPACING          29

static unsigned int stb__consolas_44_latin1_pixels[]={
    0x26621331,0x20362000,0x2000001c,0x26620bc9,0x09999999,0x33333331,
    0x10000333,0x40000983,0x0000aaa9,0x2aaa0000,0x220000aa,0x80001bb9,
    0x00000800,0x20000ccc,0x7e400099,0x00dff96f,0xfc83bfa2,0xb800001f,
    0xffd0efff,0xbfffffff,0x3ffffff2,0xa8007fff,0xf11fffec,0x8005bdff,
    0x0000fffc,0xfffb0000,0x3aa0005f,0x2dffffff,0x077f4c00,0x0002ffd8,
    0x000fff88,0x800bff50,0xdff96ffc,0x4bfff600,0x000ffff8,0x7ffffc00,
    0xffffffd3,0x3ff2bfff,0x7fffffff,0x3fff6200,0xfff11fff,0x2003dfff,
    0x0000fffc,0xfffd8000,0xfc88000e,0xffffffff,0x3ff6003f,0x7fffb85f,
    0x7ff98000,0x13fee000,0x32dff900,0xffd806ff,0x77ffd43f,0xff100000,
    0x3bb29fff,0x5fffeeee,0xddddfff9,0x7f400ddd,0x11efffff,0xfffffffd,
    0x1fff9001,0xd8000000,0x30004fff,0x3159fffd,0x007fffb7,0x321bfffa,
    0x0000ffff,0x00037fd4,0xc8007ff9,0x0dff96ff,0x704fffc8,0x0001dfff,
    0x0fffffa0,0x7e57ffa0,0xfb80007f,0x4400afff,0x805fffea,0x0000fffc,
    0x3fff6000,0xffd10002,0x7ffdc03d,0x3fffb803,0x005fff98,0x005ffb80,
    0x000bff60,0x3ff2dff9,0x17ffee06,0x009fff90,0x13ffa600,0xfcafff40,
    0xff80007f,0xfe8000ff,0x7fe401ff,0x0000000f,0x0003bdd7,0x4006ffec,
    0x95006ffc,0x001e4c05,0x004ffc80,0xfffdb751,0xc80379dd,0x0dff96ff,
    0x003bffe2,0x0007fffa,0x3a000980,0x0fff95ff,0x3fff9800,0x5fff3000,
    0x00fffc80,0x00000000,0x007ffdc0,0x0003ffd0,0x36000000,0xffa802ff,
    0xffffffff,0x7fe404ff,0x320dff96,0xf3002fff,0x00000dff,0xcafff400,
    0x540007ff,0x20001fff,0x7e403fff,0x000000ff,0x3e200000,0x7dc002ff,
    0x0000004f,0x03ffd000,0x7fffff44,0xffffffff,0xcb7fe404,0xfff986ff,
    0x7ffe4005,0x00000003,0x3ff2bffd,0x7fdc0007,0x7ff40007,0x07ffe404,
    0x00000000,0x00bff900,0x000fff10,0x2e600000,0x1cefffec,0xacffffe8,
    0xecbaeffb,0xcb7fe404,0xfffe86ff,0x7ffc4001,0xcccc880f,0xcccccccc,
    0xbffd004c,0x0001fff2,0x8000fff7,0x7e405ffe,0x36e620ff,0x32600bde,
    0xca8003cc,0x7ffc42cc,0x3ffd0000,0x001e664c,0x10166654,0xfffffffd,
    0x7fe47fff,0x17fea0ef,0x65bff200,0x7ffd46ff,0xfff70004,0xfffff307,
    0xffffffff,0x57ffa00f,0x40007ffc,0x40007ffb,0x7e405ffe,0xffff30ff,
    0x2205ffff,0x4000ffff,0x7dc1fffe,0x3f20005f,0x3fffe22f,0x7fff4000,
    0xfffff701,0x7fffffff,0x2e17fffc,0xfc8004ff,0xd8dff96f,0x20000fff,
    0xff986fff,0xffffffff,0xfd007fff,0x01fff2bf,0x00fff700,0x405ffe80,
    0xffa8fffc,0xffffffff,0x07fffb02,0x437ffcc0,0xdb882ffe,0xf72dbace,
    0x3fffd87f,0x1bffe600,0x677fffe4,0x3fdbeffc,0xfb0dfff1,0xff90005f,
    0xff1bff2d,0xfd8000df,0x666441ff,0xeccccccc,0xffd007ff,0x001fff2b,
    0x000fff70,0x6405ffe8,0xefffbfff,0xffffebab,0x06fffa80,0x30ffff20,
    0xfff30fff,0x2a3fffff,0x7ffd44ff,0x3fff2006,0x4ffff983,0x51893fee,
    0xffd0bfff,0xdff90003,0xffa9bff2,0x7d40003f,0x360004ff,0xffd007ff,
    0x001fff2b,0x000fff70,0x6405ffe8,0x03ffffff,0x3e09fffb,0xfd001fff,
    0x4ffb81ff,0x7fffffcc,0x9ff50fff,0x003ffff0,0x3a03fffa,0x7fe42fff,
    0x1ffff103,0x8000fff8,0xdff96ffc,0x0007ffe4,0x003fffc0,0x200fffb0,
    0xfff95ffe,0x7ffc8000,0x2ffec000,0x3fffff20,0x1fffe201,0x4027ffe4,
    0xfc85fff9,0x86fff42f,0x3fe67ffc,0x04fffc85,0xb85fff98,0xffe85fff,
    0x97fffe02,0x90007ff8,0x9bff2dff,0x00006fff,0x0001fffb,0x7401fff6,
    0x0fff95ff,0x06ffd800,0x03ffe400,0x00bffff2,0x220bfff2,0xfc807fff,
    0x0ffe82ff,0xfc83bfee,0x21bfe66f,0xc807fff8,0xffd82fff,0x01fff81f,
    0x2bffffee,0x90006ff9,0x5bff2dff,0x0005fff8,0x003fff70,0x401fff60,
    0xfff95ffe,0x7ffc4000,0x7fd40003,0x3fff203f,0x7fff5003,0x00bfff60,
    0xff10ffff,0x6c3ffe8f,0x1bfe24ff,0x2017ffec,0xffd07fff,0x003ffe0f,
    0xfffffffb,0x3f2000bf,0x26dff96f,0x00004fff,0x0005fff7,0x7401fff6,
    0x0fff95ff,0x3fffaa00,0xffe80000,0xfffc80cf,0x9fff1000,0x817ffea0,
    0xfa84fffa,0x03ffe25f,0x7fcc7ffd,0x0bfff505,0x4427ffd4,0xff985fff,
    0xffff9007,0x0003dfff,0x3ff21331,0x007fff56,0x0fffea00,0x03ffec00,
    0xff95ffe8,0x3ffaa00f,0x0001efff,0xfffffd10,0x03fff29d,0x02fffc40,
    0x3201ffff,0xffa81fff,0x3e1ffea4,0x17fe62ff,0x900ffff8,0xff303fff,
    0x0dff509f,0x7ffff4c0,0x0002dfff,0xffab7fe4,0xf300002f,0x360009ff,
    0xffd007ff,0x401fff2b,0x02fffffb,0xffd50000,0x3fff2bff,0x1bffe000,
    0xf03fffc8,0x3fee0dff,0xf117ff23,0x27fd43ff,0x207fff90,0xff306fff,
    0x0bff709f,0xffffb300,0x0001bfff,0x7fddbff2,0xf100001f,0x36000bff,
    0xffd007ff,0x401fff2b,0xdffffffb,0x3ee00000,0xf95fffff,0x7fc001ff,
    0x3ffe605f,0x03fffa86,0x7fec7ff9,0x2a3ffcc4,0x3fe603ff,0x3fffa86f,
    0x90bfff10,0x740009ff,0xffffffff,0x6ffc8001,0x0005fff7,0x013ffe20,
    0x803ffec0,0xfff95ffe,0x36a66200,0x00006fff,0x335bfff9,0x003fff21,
    0x2027ffc4,0x7ec1fffe,0x5ff900ff,0x3ee1fff4,0x01ffdc6f,0xfb07fffa,
    0x7ffc01ff,0x003ffd87,0x3f6bffe0,0x4001ffff,0xfff56ffc,0x3e600007,
    0xfb0003ff,0x3ffa00ff,0x000fff95,0x001fffdc,0x80fffe60,0x3000fffc,
    0xfa807fff,0x3ffe24ff,0xe8bff605,0x2ffe43ff,0xf5007ff6,0x7ffc49ff,
    0x17fff405,0x40007ffa,0x3faa7ff8,0x7e4006ff,0x09fff36f,0x3ffea000,
    0xfffb0003,0x657ffa00,0x740007ff,0x640006ff,0x7fe407ff,0xfff5000f,
    0x1ffff003,0xd80bffee,0x0fffe1ff,0x7fe89ffb,0x21ffff00,0x5c02fffb,
    0x3fe0efff,0xff30000f,0x0ffff88d,0x45bff200,0x00005fff,0x0005fff7,
    0x7401fff6,0x0fff95ff,0x07ffc800,0x037fec00,0x4003fff2,0xc800fffe,
    0xfffd2fff,0x3a2ffd80,0x3ffe24ff,0x4013fe24,0xffd2fffc,0x3fffe00f,
    0x007ff89f,0x3217fea0,0x32002fff,0x1bffe6ff,0x7ffe4000,0xfffb0000,
    0x657ffa00,0x5c0007ff,0x740007ff,0x7fe405ff,0xfffa800f,0xbfff3004,
    0xc809fff3,0x93ff62ff,0x3f24fffc,0xfff3002f,0x009fff3b,0x33ffffee,
    0x0f6a26ff,0x2e0ffee0,0x33103fff,0xfe9bff21,0xf80000ff,0x360006ff,
    0xffd007ff,0x001fff2b,0x000fff70,0x6405ffe8,0x74400fff,0x3a000fff,
    0x1fffcfff,0xf91ffdc0,0xfdff75ff,0x01dff73f,0x7e7fff40,0x3f2001ff,
    0xefffffff,0xc803ffff,0xfffc82ff,0x32dff901,0x3ffee6ff,0x7fcc0003,
    0x3f60004f,0xbffd007f,0x0001fff2,0x8000fff7,0x7e405ffe,0xfb881cff,
    0x5c003fff,0x06ffffff,0x3e64ffa8,0xfbafffff,0x001fffff,0x7fffffdc,
    0xfffb8006,0xffffffff,0x1ffd803f,0x903fffc4,0x9bff2dff,0x0006fff8,
    0x000fffe4,0x200fffb0,0xfff95ffe,0x7ffb8000,0x2fff4000,0x3fffff20,
    0xfffffeef,0xff88004f,0xa802ffff,0x7ffdc4ff,0xfffff14f,0xfff10005,
    0x20005fff,0xfffffeb8,0x0331bcef,0xfe983ffa,0x3ff205ff,0xfd8dff96,
    0x3e0000ff,0x6c0007ff,0xffd007ff,0x001fff2b,0x000fff70,0x6405ffe8,
    0xffffffff,0x001effff,0x1bffff20,0x4c2ffcc0,0x02ca80bb,0x7fffe400,
    0xffd00006,0x6ffe4017,0xcbfffabc,0x00effffe,0x7fe5bff2,0x027ffd46,
    0x04fffa80,0x03ffec00,0xff95ffe8,0xffb8000f,0x7ff40007,0x77ffe405,
    0x3defffff,0xfff98000,0xfff1003f,0x00000001,0x00ffffe6,0x00fffc00,
    0x3ffffff2,0xffffffff,0x7fe400ef,0xff0dff96,0xfd0003ff,0xe80001ff,
    0xffd006ff,0x001fff2b,0x000fff70,0x6405ffe8,0x03330fff,0xfff30000,
    0x3ffd800f,0x30000000,0x0000ffff,0x32007ffc,0xffffffff,0x02efffff,
    0x3f2dff90,0x5fffa86f,0x17ffdc00,0x2fffc000,0xf95ffe80,0xfb8000ff,
    0x7f40007f,0x7ffe405f,0xd8000000,0x54003fff,0x000006ff,0x07fffb00,
    0x1ffe6000,0x7f6e5cc0,0x02bcefff,0xfcb7fe40,0x5fffb06f,0x1bffe200,
    0x3ffe2000,0x2bffd004,0x40007ffc,0x0000fffa,0xf9013ffa,0x000001ff,
    0x00ffffa8,0x001fff80,0x7fd40000,0x500000ff,0x64000dff,0x640003ff,
    0x0dff96ff,0x003bffe2,0x0007fff6,0x00bfff60,0xffcafff4,0x7fcc0007,
    0x3fe0001f,0x7ffe403f,0x26000000,0x0002ffff,0x0001dff9,0x3ffe6000,
    0x2e00002f,0x360005ff,0x640002ff,0x0dff96ff,0x202fffdc,0x2204fffb,
    0x6fffb802,0x657ffa00,0x440007ff,0x50004fff,0xfc805fff,0x000000ff,
    0x009fffd3,0x077ffcc0,0x98000980,0x0004fffe,0x001ffe40,0x0003ffd0,
    0xff96ffc8,0x5fffd80d,0x80bfff50,0x999acff8,0x01ffffda,0x7e57ffa0,
    0xfe80007f,0x7c4002ff,0x7e400fff,0xa80000ff,0xffffdbaa,0xffa80006,
    0xea880aef,0x5d55401f,0x006ffffd,0x02ffd800,0x003ffe00,0x32dff900,
    0x7f4406ff,0x7ffcc3ff,0x7ffc400e,0xffffffff,0x9999883f,0xf95ffe99,
    0x333333ff,0x3ffea003,0x4cc19adf,0x03ffffca,0x000fffc8,0xfffffd80,
    0x00000dff,0xddfffff5,0x03fffffd,0xffffffd8,0x800000df,0x10001ffe,
    0x90000fff,0x1bff2dff,0x4bfffa20,0x800efff8,0xfffffff8,0xfd01efff,
    0xffffffff,0x3fffff2b,0x2007ffff,0xfffffffd,0xffffff11,0xff9001df,
    0xfb00001f,0x005fffff,0xffff3000,0x7dffffff,0xffffd801,0x000002ff,
    0x00002aaa,0x7fe40000,0x200dff96,0x7fec5fe8,0x3b6e2000,0x402cdeff,
    0xfffffffe,0xffff95ff,0x00ffffff,0xffffffa8,0xffffff11,0x7775c007,
    0xefc80000,0x00000acd,0x77765440,0x3f2001cc,0x0000acde,0x00000000,
    0x6ffc8000,0x4c00dff9,0x0001d80d,0xeeec8000,0x74eeeeee,0xdddddddd,
    0x751000dd,0x3ba23dd9,0x00000abc,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff96ffc8,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x0dff96ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x000dff96,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d7bae00,0x000005ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00153100,0x66640000,0x35310000,0x99910000,
    0x00000199,0x1e4c0395,0x99991000,0xb7100001,0x0062059d,0xc98072a0,
    0x97000003,0x22003999,0x000ccccc,0x00aaaa88,0x9ffff700,0x98000001,
    0x6cc006ff,0xcefffffe,0xffd30000,0x400001df,0xf881fffb,0xe88005ff,
    0x001fffff,0x3ffffe60,0x07fa21ef,0x81fffb80,0x0005fff8,0x17fffec0,
    0x3fffa600,0x7fcc000e,0xfb8001ff,0x005fffff,0x27fdc000,0xfffff500,
    0x03ffffff,0x77ffec00,0xffd00000,0xffff509f,0xfffe8800,0x8001ffff,
    0xffffffe8,0x3fffddff,0x13fffa00,0x001fffea,0x0efffd80,0x3fff6000,
    0x3fe2000e,0xff8001ff,0x0003fee5,0x02ffe800,0xffffff90,0x5fffffff,
    0x7ffd4000,0xfc80000e,0xfff883ff,0x3ffa6006,0x2fffe89e,0x85ffd400,
    0xfffffffa,0x7ffe4004,0x06fff883,0x9fffb000,0x3fea0000,0xff1000ef,
    0xf88003ff,0x00bfe21f,0x4d54c400,0xffb007ff,0x2e6159ff,0x002ffffe,
    0x03bffa60,0x09d91000,0x9800ef54,0xffc85fff,0x41d4002f,0x03effec8,
    0x204ec880,0x80001dea,0x0002fffd,0x077ff4c0,0x0ffffc40,0x98ffe200,
    0x260001ff,0xffffffed,0xfff9805f,0x3ffa202f,0x0000006f,0x00000000,
    0x00000000,0x00000088,0x00000000,0x20000000,0x000ffff8,0xfebcffd8,
    0x3fea0006,0xffffffff,0x7ffec02f,0xfffe8802,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc40000,0xe88000ff,0x001fffff,
    0xffffffb0,0x7fffffff,0x017ffe60,0x005fffa8,0x0006a620,0x00000000,
    0x00006a62,0x000d4c40,0x01a98800,0x35310000,0x00000000,0x000ffff8,
    0x003376e0,0x67fffec0,0xfffff30a,0x5fffb05f,0x7fffc400,0x3fb66001,
    0x00ceffff,0x001fff90,0x9806fff8,0xefffffed,0x3660000c,0xcefffffe,
    0x3b660000,0x0cefffff,0x3fb66000,0x00ceffff,0x001fff90,0x3fe6fff8,
    0x000000ff,0x7fffcc00,0xfffffc82,0x07fff86f,0x02fffd80,0xffffff50,
    0x003fffff,0x8001fff9,0x7d406fff,0xffffffff,0xfa8001ff,0xffffffff,
    0xfa8001ff,0xffffffff,0xfa8001ff,0xffffffff,0xffc801ff,0x7ffc000f,
    0x003fffe6,0x3ffffe40,0x17ffec00,0xfffaffe8,0x13ffe23f,0x0fffea00,
    0x3fffff60,0xffffffff,0x07ffe402,0x81bffe00,0xfffffffd,0x02ffffff,
    0x3fffff60,0xffffffff,0x3fff6002,0xffffffff,0x3f6002ff,0xffffffff,
    0x6402ffff,0x7c000fff,0x1fffe6ff,0xfffff800,0x3fe6001f,0x2dff305f,
    0x3e66fffc,0xf98003ff,0x7fec04ff,0xd730acff,0x6405ffff,0x7c000fff,
    0xfffb06ff,0x3ae6159f,0xd802ffff,0x30acffff,0x05ffffd7,0x59ffffb0,
    0x3fffae61,0xfffd802f,0xfd730acf,0x7e405fff,0x7fc000ff,0x01fffe6f,
    0x7ffffd40,0x3ff6004f,0x29ff702f,0xf50ffff8,0xf10005ff,0x7fcc0bff,
    0x3fa202ff,0x3ff206ff,0x7ffc000f,0x2ffff986,0x1bfffa20,0x05ffff30,
    0x037fff44,0x80bfffe6,0x406fffe8,0x202ffff9,0x206fffe8,0x4000fffc,
    0x3ffe6fff,0xfff90007,0x7c00ffff,0x3ff607ff,0x5cbfff22,0x88002fff,
    0x3f606fff,0xfe8802ff,0xfff901ff,0x6fff8001,0x802fffd8,0x201fffe8,
    0x8802fffd,0x3601fffe,0xe8802fff,0x3f601fff,0xfe8802ff,0xfff901ff,
    0x6fff8001,0x4001fffa,0xfffccfff,0x5fff8801,0xfb8fff10,0x3fff94ff,
    0x1fffe000,0x002fffcc,0x320bfff5,0x7c000fff,0x7ffcc6ff,0x3ffea005,
    0x0bfff305,0x82fffd40,0x2005fff9,0xf305fffa,0x7d400bff,0xfff905ff,
    0x6fff8001,0x2001fffa,0xffaafffa,0xfff9804f,0xa8bff503,0xfffb5fff,
    0x3ffe0003,0x05fffb06,0x07fffc40,0x0007ffe4,0xffb1bffe,0x7fc4005f,
    0xfffd80ff,0x3ffe2002,0x2fffd80f,0x3fffe200,0x02fffd80,0x03fffe20,
    0x0003fff2,0x7ff4dfff,0xfffc8007,0x500dfff0,0x3f607fff,0xafffcc2f,
    0x8002fffc,0xff05fff8,0xffb000ff,0x1fff905f,0x46fff800,0xd8007fff,
    0xfff82fff,0xfffd8007,0x007fff82,0xf82fffd8,0xfd8007ff,0xfffc82ff,
    0x37ffc000,0xf000dffd,0x7ffecbff,0x17ffdc01,0x7c40fff8,0x5fff96ff,
    0x9fff1000,0x00bfff10,0x907fff50,0xf8001fff,0x3ffe26ff,0xfffa8005,
    0x02fffc43,0x21fffd40,0x8005fff8,0x7c43fffa,0xfa8005ff,0xfffc83ff,
    0x37ffc000,0x9800dffd,0x3fea2fff,0x7ffe404f,0xf06ff981,0x3ffeefff,
    0xfff98003,0x03fff984,0x84fff980,0x4000fffc,0x3fe66fff,0xff98003f,
    0x1fffcc4f,0x27ffcc00,0x000fffe6,0xf313ffe6,0xf30007ff,0xfff909ff,
    0x6fff8001,0x9001bff6,0x7fc41fff,0x7ffec06f,0xf03ffc81,0x3ffeadff,
    0xfffb8004,0x03fffa83,0x85fff880,0x4000fffc,0x3fea6fff,0xff88003f,
    0x1fffd45f,0x2fffc400,0x000fffea,0xf517ffe2,0xf10007ff,0xfff90bff,
    0x6fff8001,0xf001bff6,0xfffb0dff,0x17ffe403,0x7c40fff4,0xffff35ff,
    0x3fffb000,0x005fff70,0x90dfff10,0xf8001fff,0x3ffee6ff,0xfff88002,
    0x017ffdc6,0x237ffc40,0x8002fffb,0x7dc6fff8,0xf88002ff,0xfffc86ff,
    0x37ffc000,0x4c00dffb,0xffb83fff,0x3fff204f,0x983ffc43,0x3ffe4fff,
    0x3fe2001f,0x3fff906f,0x1fffe000,0x0003fff2,0x7fe4dfff,0xfff0001f,
    0x01fffc8f,0xc8ffff00,0xf0001fff,0xfffc8fff,0xffff0001,0x001fff90,
    0x3f66fff8,0x3ff2005f,0x6fff880f,0x713ffee0,0x3fe609ff,0x13fff23f,
    0x03fffb80,0x0003fffb,0x3f21bffe,0x7fc000ff,0x07fff66f,0x237ffc00,
    0x0001fffd,0xffd8dfff,0xfff0001f,0x01fffd8d,0x90dfff00,0xf8001fff,
    0x13bb26ff,0x206fff80,0xf501fffe,0x2ffd89ff,0x445fff70,0x9802ffff,
    0x3f207fff,0xf88002ff,0xfffc85ff,0x37ffc000,0x0005fff9,0xfc8bfff1,
    0xf88002ff,0x7ffe45ff,0xfff88002,0x017ffe45,0x42fffc40,0x4000fffc,
    0x40006fff,0x2e03fff9,0xff103fff,0x03ffc4df,0xfd83fffd,0x3e601fff,
    0x3ee03fff,0xf88002ff,0xfffc84ff,0x37ffc000,0x0005fff7,0xfb89fff1,
    0xf88002ff,0x7ffdc4ff,0xfff88002,0x017ffdc4,0x427ffc40,0x4000fffc,
    0x40006fff,0x2601fffc,0x3fa06fff,0x0bff51ff,0x221fffe2,0x8acfffff,
    0x5ffffca8,0x01fffd40,0x41fffcc0,0x4000fffc,0x3fea6fff,0xff98003f,
    0x1fffd43f,0x1fffcc00,0x000fffea,0xf50fffe6,0xf30007ff,0xfff907ff,
    0x6fff8001,0xfff00044,0x3fffd00d,0x65bfff20,0xfff703ff,0x3fffe607,
    0xffffffff,0xfff9805f,0xfffb8004,0x00fffc82,0xf337ffc0,0xf70009ff,
    0xfff985ff,0xfffb8004,0x027ffcc2,0x217ffdc0,0x8004fff9,0xfc82fffb,
    0x7fc000ff,0x037ff66f,0x009fff30,0x2607fff9,0xfffaffff,0x06fff980,
    0x7fffffcc,0x005fffff,0x000ffff3,0xf903fffb,0x7c4003ff,0x3ffe64ff,
    0xfffd8007,0x03fffcc1,0x20fffec0,0x8007fff9,0x7cc1fffd,0xfd8007ff,
    0xfffc81ff,0x3ffe2001,0x09ffff74,0xccdfffc8,0xfdcccccc,0x3ff606ff,
    0xf986ffff,0xb5002fff,0x39ffffff,0x1ffff800,0x1fffe200,0x0017ffdc,
    0xff87fff3,0x3e2001ff,0xffff07ff,0x7ffc4003,0x03ffff07,0x83fffc40,
    0x2001ffff,0xf707fff8,0x7cc005ff,0xffffb3ff,0xfffff80d,0xffffffff,
    0x100fffff,0x29ffffff,0x6ffffca8,0x6ffe8800,0x3ffee000,0x3ffee004,
    0x07fff503,0x217ffd40,0x2004fffb,0xf703fffb,0x7dc009ff,0xfff703ff,
    0x7ffdc009,0x09fff703,0x81fffdc0,0x2003fffa,0xff92fffa,0x7fcc09ff,
    0xffffffff,0xffffffff,0x3fffea03,0xffffffff,0xf90000df,0x220003ff,
    0x9802ffff,0x3e206fff,0x3fa007ff,0x7ffc40ff,0xfff9802f,0x3fffe206,
    0x6fff9802,0x0bfffe20,0x81bffe60,0x802ffff8,0x2206fff9,0x3a007fff,
    0xffd10fff,0x7ffe401d,0xeeeeeeee,0x6fffeeee,0x7ffffcc0,0x03ffffff,
    0x2fffdc00,0xffff9000,0x7fffcc03,0x27ffec02,0x827ffe40,0x201ffffc,
    0x402ffff9,0x201ffffc,0x402ffff9,0x201ffffc,0x402ffff9,0x201ffffc,
    0x402ffff9,0xc804fffd,0x01984fff,0x8007fff8,0x5c00ffff,0xefffffff,
    0xf880001c,0x0b703fff,0x67ffffcc,0xfffca88a,0xfff8806f,0xffd981ef,
    0x3ffe606f,0xca88acff,0x9806ffff,0x8acfffff,0x6ffffca8,0xfffff980,
    0xffca88ac,0xff9806ff,0xa88acfff,0x806ffffc,0x81effff8,0x006fffd9,
    0x013ffe60,0x00ffff20,0x03555ffd,0x3fee0000,0xfedcdeff,0x3ffa603f,
    0xffffffff,0xf9000dff,0xfddfffff,0x805fffff,0xffffffe9,0x0dffffff,
    0xffffd300,0xffffffff,0x3fa6001b,0xffffffff,0x3000dfff,0xfffffffd,
    0x01bfffff,0x3fffff20,0xfffffeef,0x3f20002f,0xfa8002ff,0x3fe206ff,
    0x20000007,0xfffffffd,0x74406fff,0xffffffff,0xfa8003ff,0xffffffff,
    0xd1000eff,0xffffffff,0xd10007ff,0xffffffff,0xd10007ff,0xffffffff,
    0xd10007ff,0xffffffff,0xf50007ff,0xffffffff,0x80001dff,0x20007fff,
    0xf500ffff,0x000000bf,0xffffffa8,0x36e003ff,0x1ceffffe,0x3fb22000,
    0x03efffff,0xfffdb700,0x800039df,0xeffffedb,0x6dc0001c,0x1ceffffe,
    0x7f6dc000,0x001cefff,0x3fffb220,0x0003efff,0x004fff98,0x40ffff60,
    0x00003ffd,0x7b975000,0x54400015,0x22000001,0x4000009a,0x000001a8,
    0x000006a2,0x00001a88,0x00006a20,0x0009a880,0x17ffe400,0xdfff5000,
    0x00033320,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x019abcba,0x3332e000,
    0xcc88001c,0x200000cc,0xaaaaaa98,0x5530000a,0x50000033,0x1ca80355,
    0x4000f260,0x102cedb8,0x66644003,0x000000cc,0x1ccccb80,0x33332200,
    0x2600000c,0xfffffffe,0xfb00007f,0x10005fff,0x03fffffd,0x3ffb6e00,
    0xffffffff,0xffd95002,0x05bfffff,0x5fff1000,0x40fffdc0,0x4005fff8,
    0xeffffff9,0x8007fa21,0x00efffe9,0x3f600000,0x98002fff,0x000efffe,
    0xfffffc80,0x007fffff,0x0efffd80,0xfffe8800,0x2001ffff,0xfffffffb,
    0x2fffffff,0x7fffec40,0xffffffff,0x7fe40002,0x27fff407,0x003fffd4,
    0xffffffd1,0x7fffbbff,0xdfffb000,0xb0000001,0x0001dfff,0x00efffd8,
    0x3fffee00,0x7eccbbcd,0x7ffec000,0xffd30004,0x5fffd13d,0xffffe880,
    0xeeeeffff,0x3e602fff,0xffffffff,0x002fffff,0x2027ffc0,0xf883fffc,
    0x3ea006ff,0xffff50bf,0x40009fff,0x000efffa,0x3fff6000,0x3ea00004,
    0x98000eff,0x0001efff,0x0bfff600,0x2fffcc00,0xb017ffe4,0xffffffff,
    0x02fffa8f,0x59fffff7,0x3feea623,0x3fea0002,0x2764400f,0x8003bd50,
    0xffec883a,0xe980003e,0x00000eff,0x002fffd8,0xeffe9800,0x7ffdc000,
    0x00000002,0x80000000,0xfffffffb,0x7ffd47ff,0xeffff882,0x00035001,
    0x0002fff4,0x10000000,0x00000001,0x00000000,0x6c000000,0x00000fff,
    0x00000000,0xfffff800,0x547fffff,0xffd82fff,0x000000df,0x005fff30,
    0x00000000,0x00000000,0x00000000,0x64000000,0x00002fff,0x00000000,
    0x7fffcc00,0x47ffffff,0x7cc2fffa,0x00000fff,0x01bff200,0x00000000,
    0x00000000,0x00000000,0x50000000,0x0003ffff,0x0007ffe4,0xff91bffe,
    0xfff8001f,0xffffff76,0xfa8fffff,0x7ffec2ff,0x20000003,0x0003fff8,
    0x00fffff9,0xffffc800,0x7e400007,0x32007fff,0x20006fff,0x3206fffb,
    0xffffffff,0x1fffffff,0x0bffffa0,0x07ffe400,0x91bffe00,0xf8001fff,
    0xffff96ff,0x8fffffff,0x3e22fffa,0x00000fff,0x03ffee00,0x7ffffc00,
    0x3e00001f,0x001fffff,0x3ffffe00,0xfff1001f,0xff10007f,0x7fe403ff,
    0xffffffff,0x201fffff,0x1dfffffb,0x07ffe400,0x91bffe00,0xf8001fff,
    0xffff76ff,0x8fffffff,0x3ea2fffa,0x000004ff,0x0027ff40,0xffffffa8,
    0xff500004,0x0009ffff,0x3ffffea0,0x3fee004f,0x7dc000ff,0x7fe405ff,
    0xffffffff,0x901fffff,0xffffffff,0x7ffe4009,0x37ffc000,0x0003fff2,
    0x3feadfff,0xffffffff,0x717ffd47,0x00007fff,0x0fffd400,0xffffc800,
    0x900007ff,0x0fffffff,0x3fff2000,0x7c007fff,0x22004fff,0x6400ffff,
    0x9999afff,0x01999999,0xff7dfff7,0x9003dfff,0xf8001fff,0x7ffe46ff,
    0xb7ffc000,0xfffffff9,0x7fd47fff,0x0bfff22f,0xfd800000,0x3fe0005f,
    0x01fffccf,0xccfff800,0x80001fff,0xfffccfff,0x3ffea001,0xfff9000f,
    0x1fff9009,0xfff88000,0x3ffff226,0x7ffe404f,0x37ffc000,0x0003fff2,
    0x7ff4dfff,0x7fffffff,0xfb17ffd4,0x000003ff,0x00bffe20,0x557ffd40,
    0x40004fff,0xffaafffa,0x7d40004f,0x4fffaaff,0x27fff400,0x07fffc40,
    0x007ffe40,0x03fff200,0x17ffffa6,0x000fffc8,0x3f237ffc,0x7fc000ff,
    0x3fffe66f,0x547fffff,0x3ffa2fff,0x0000000f,0x4000fff9,0xfff0fffc,
    0xffc8000d,0x00dfff0f,0xf0fffc80,0xf9800dff,0x7e400fff,0xff9003ff,
    0xfe80001f,0x7ffe406f,0x1fff904f,0x46fff800,0x4000fffc,0x7fdc6fff,
    0x47ffffff,0x3fe2fffa,0x000000ff,0x003fff88,0xfd97ffe0,0x3e0001ff,
    0x3fff65ff,0x3ffe0001,0x007fff65,0x40bfffb0,0x2006fff9,0x0000fffc,
    0x5402fffc,0xfc81ffff,0x7fc000ff,0x07ffe46f,0x21bffe00,0xffffffea,
    0xd17ffd47,0x00003fff,0x01fff700,0x8bffe600,0x0004fffa,0x7d45fff3,
    0xf30004ff,0x7ffd45ff,0x7ffc4004,0x5fffb01f,0x07ffe400,0x3fff6000,
    0x6fffa800,0x000fffc8,0x3f237ffc,0x7fc000ff,0x3ffee06f,0x7ffd47ff,
    0x00bfff62,0x3ffa0000,0x3ff20005,0x1bffe20f,0x07ffe400,0x000dfff1,
    0xf883fff2,0xfc8006ff,0xfff986ff,0x7ffe4006,0x7fe40000,0xfffd003f,
    0x001fff90,0x7e46fff8,0x7fc000ff,0xca98806f,0x917ffd44,0x00007fff,
    0x01fff980,0x21bffe00,0x8001fffd,0xffd86fff,0xfff8001f,0x01fffd86,
    0x17fffc40,0x0007fff6,0x0001fff9,0x02ffff88,0x641fffb8,0x7c000fff,
    0x7ffe46ff,0x37ffc000,0x7ffd4000,0x013fff22,0xdffb0000,0x7ffcc000,
    0x04fffb83,0x41fffcc0,0x4004fffb,0xfb83fff9,0xfb8004ff,0x3ffe66ff,
    0xfffc8005,0x9999999a,0xff700999,0xffb807ff,0x07ffe40f,0x91bffe00,
    0xf8001fff,0xa80006ff,0x3fea2fff,0x2000007f,0x0002fff8,0x2203fff2,
    0x64006fff,0xff880fff,0x7fe4006f,0x6fff880f,0x5fffd000,0x0003fffa,
    0x3ffffff2,0xffffffff,0x3ffff206,0x0fffb00e,0x8001fff9,0x7fe46fff,
    0x7ffc000f,0xffa80006,0x3fffe22f,0xf7000003,0xff8000ff,0x3fffa06f,
    0x1bffe001,0x001fffe8,0xfe81bffe,0xfa8001ff,0x4fffaeff,0xffff9000,
    0xffffffff,0xffb80dff,0x7fd43fff,0x0fffc84f,0x237ffc00,0x4000fffc,
    0x80006fff,0x7e42fffa,0x000006ff,0x40009fff,0x2e03fff9,0xf3003fff,
    0x7fdc07ff,0xfff3003f,0x1fffdc07,0xffffe800,0x90000fff,0xffffffff,
    0x0dffffff,0xdffffd30,0x01dfff55,0x8001fff9,0x7fe46fff,0x7ffc000f,
    0xffa80006,0x7fffcc2f,0x7d400005,0x320000ff,0x3e601fff,0xff9006ff,
    0x7ffcc03f,0x3fff9006,0x037ffcc0,0xfffff980,0x3f20003f,0x000000ff,
    0xfffffff9,0x3ff203ff,0x7ffc000f,0x007ffe46,0x001bffe0,0x20bffea0,
    0x00effffd,0x7ff40350,0x7ffc0005,0x1fffe806,0x806fff80,0xf801fffe,
    0xffe806ff,0xffb0001f,0xc8000dff,0x00000fff,0x3ffff620,0x3ff200ef,
    0x7ffc000f,0x007ffe46,0x001bffe0,0x40bffea0,0xbdfffffd,0xffca9989,
    0x05fff302,0x27ffcc00,0x01fffe40,0x2013ffe6,0x4c03fffc,0xfc804fff,
    0xf10003ff,0x80005fff,0x0000fffc,0xffffa800,0x3fff200e,0x37ffc000,
    0x0003fff2,0x0000dfff,0x2205fff5,0xfffffffe,0x2fffffff,0x000dff90,
    0xccdfffc8,0xfdcccccc,0x7fe406ff,0xccccccdf,0x06fffdcc,0x666fffe4,
    0xfdcccccc,0x3a0006ff,0xc80007ff,0x00000fff,0xbfffd100,0x00fffe40,
    0xc89fff10,0x22001fff,0x80004fff,0x2201fffa,0xfffffffc,0x82ffffff,
    0x0003fff8,0x7ffffffc,0xffffffff,0x3fe00fff,0xffffffff,0xffffffff,
    0x3ffffe00,0xffffffff,0x000fffff,0x000fffd0,0x001fff90,0x7fc40000,
    0x3ffee07f,0x3ffe6002,0x017ffdc3,0x007fff30,0x01fff700,0xffffd710,
    0x20157bff,0x0000fffb,0x3fffffe6,0xffffffff,0xf303ffff,0xffffffff,
    0xffffffff,0x3ffe607f,0xffffffff,0x3fffffff,0x0fffd000,0x1fff9000,
    0xd8000000,0xff500fff,0x7fd4007f,0x1fffd42f,0x05fff500,0x0fffb000,
    0x0cfff980,0x013ffa00,0xddfff900,0xdddddddd,0x20dfffdd,0xeeeefffc,
    0xeeeeeeee,0xff906fff,0xdddddddf,0xfffddddd,0x3ffa000d,0xffc80007,
    0x0000000f,0xf1037ff4,0x7f400fff,0x7ffc40ff,0x3fffa007,0x3e600100,
    0x7d4005ff,0x3ea000ff,0x7c0001ff,0xff8007ff,0x7fff80ff,0x0ffff800,
    0x8007fff8,0x8000ffff,0x80007ffe,0x0000fffc,0x3fff2000,0x27ffec04,
    0x827ffe40,0xc804fffd,0x3ba04fff,0x3fffa602,0x37fe4001,0x01bff600,
    0x09fff300,0x87fff900,0x8004fff9,0x7cc3fffc,0xfc8004ff,0xfe8003ff,
    0xfc80007f,0x4c0000ff,0x99999bcf,0x00ffffeb,0x0f7fffc4,0x037ffecc,
    0x03dffff1,0x40dfffb3,0x9acefffc,0x04ffffca,0x004ffe80,0x000bffe2,
    0x005fff90,0xc8dfff50,0xa8002fff,0x7fe46fff,0xffa8002f,0xffe8006f,
    0xffc80007,0x999999af,0xf9819999,0xffffffff,0x9001ffff,0xddffffff,
    0x05ffffff,0xffffffc8,0xffffffee,0x3ffff602,0xffffffff,0x7fc4000e,
    0x3ff2001f,0xfff80007,0x3ffe0007,0x01fffe0f,0x20ffff80,0x20007fff,
    0x4000ffff,0x80007ffe,0xfffffffc,0xffffffff,0x7ffffcc1,0x0dffffff,
    0x7fffd400,0xefffffff,0xffff5000,0xdfffffff,0xfffd5001,0x07ffffff,
    0x01ffe600,0x0009fff0,0x004fff98,0x4cffff60,0x20004fff,0xff33fffd,
    0x7ec0009f,0x7f4003ff,0xfc80007f,0xffffffff,0x41ffffff,0xffffecb8,
    0x20000bde,0xfffffec8,0xc88003ef,0xeffffffe,0xedba8003,0x0000bcef,
    0x9800aaa2,0x40000ccc,0x0002fffc,0x7e5bffea,0x2a0002ff,0xfff96fff,
    0x7fd40005,0x7ff4006f,0xffc80007,0xffffffff,0x001fffff,0x51000000,
    0x88000013,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x80039999,0x102cedb8,
    0x00555303,0x33220000,0x950000cc,0x401e4c03,0x00ccccc8,0x99700000,
    0xc8800399,0x50000ccc,0x01e4c039,0x0cccc880,0xcb800000,0x77541ccc,
    0x7fec0003,0x7cc002ff,0x21efffff,0x7fcc1fe8,0x4000002f,0x1fffffe8,
    0x0fffdc00,0x402fffc4,0x00efffe9,0x7fec0000,0x744002ff,0x001fffff,
    0x440fffdc,0x44005fff,0x01fffffe,0x3ff60000,0x7ffcc2ff,0xffb0004f,
    0xe88001df,0xffffffff,0xd83fffdd,0x000005ff,0x3fffffa2,0x3fa001ff,
    0xfffa84ff,0x3fff6007,0xb000000e,0x8001dfff,0xffffffe8,0x3ffa001f,
    0x7fffa84f,0x3fffa200,0x0001ffff,0x0efffd80,0x06ffffc8,0x04fffd80,
    0x217ff500,0xfffffffa,0x03fff504,0xffd30000,0x5fffd13d,0x0ffff200,
    0x001bffe2,0x001dfff5,0x4fffd800,0xeffe9800,0x02fffe89,0x107fff90,
    0x2600dfff,0xfe89effe,0x200002ff,0x3204fffd,0x4006ffff,0x0002fffd,
    0x7f6441d4,0x7ff403ef,0x7cc00004,0xfffc85ff,0x04ec8802,0x200077aa,
    0x000effe9,0x05fffb00,0x0bfff300,0x1005fff9,0x6f5409d9,0x5fff9801,
    0x002fffc8,0x02fffd80,0x017fffc4,0x00000000,0xffb80044,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00599100,
    0x00000000,0x7fff1000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c000000,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x8007ffff,
    0x005ffffb,0x3e613ffa,0xc80001ff,0xffffffff,0x1fffffff,0xffffff90,
    0xffffffff,0xffff303f,0xffffffff,0x3207ffff,0xffffffff,0x1fffffff,
    0xffffff98,0xffffffff,0xfff983ff,0xffffffff,0x003fffff,0x01fffff2,
    0x7ffffcc0,0xffffffff,0x2aa63fff,0x7fffc002,0x7dc001ff,0xd001ffff,
    0x3ffa09ff,0xffc80005,0xffffffff,0x901fffff,0xffffffff,0x3fffffff,
    0xffffff30,0xffffffff,0x3ff207ff,0xffffffff,0x981fffff,0xffffffff,
    0xffffffff,0xfffff983,0xffffffff,0x3e003fff,0x001fffff,0xffffff98,
    0xffffffff,0x17fee3ff,0xfffffa80,0x7fdc004f,0xfd005fff,0x3ffea09f,
    0x7fe40000,0xffffffff,0x901fffff,0xffffffff,0x3fffffff,0xffffff30,
    0xffffffff,0x3ff207ff,0xffffffff,0x981fffff,0xffffffff,0xffffffff,
    0xfffff983,0xffffffff,0xf5003fff,0x009fffff,0xffffff30,0xffffffff,
    0x37fe47ff,0xfffff900,0xffb800ff,0xe800ffff,0x3ffe04ff,0x7fe40004,
    0x999999af,0x32019999,0x9999afff,0x01999999,0x3a666666,0x99999fff,
    0x5fff9009,0x33333333,0x4ccc0333,0x9fffe999,0x30099999,0xffd33333,
    0x1333333f,0x3ffff200,0x330007ff,0xfffd3333,0x41333333,0x3e006ffc,
    0x1fffccff,0x3fffee00,0xffe804ff,0x01fff204,0x01fff900,0x3fff2000,
    0x74000000,0xfc8007ff,0x000000ff,0x0003fff4,0x000fffd0,0xff99fff0,
    0x7400003f,0xff9007ff,0x3ffea00d,0x004fffaa,0x3ff7ffee,0x27ff400f,
    0x005fff10,0x007ffe40,0x0fffc800,0x7f400000,0xffc8007f,0x4000000f,
    0x00007ffe,0x0001fffa,0xff55fff5,0x7400009f,0xff9007ff,0x3fff200d,
    0x400dfff0,0xfffafffb,0x027ff404,0x8001bff6,0x0000fffc,0x001fff90,
    0x7ffe8000,0x0fffc800,0x7f400000,0x3a00007f,0x640007ff,0xdfff0fff,
    0x7ff40000,0x0fffb007,0xfd97ffe0,0xff7001ff,0x01fffb1f,0x2a027ff4,
    0x90001fff,0x00001fff,0x0003fff2,0x0fffd000,0x01fff900,0xffe80000,
    0x3fa00007,0x7fc0007f,0x07fff65f,0x3fff4000,0x807ffd80,0x3ea2fff9,
    0xff7004ff,0x07fff51f,0x74027ff4,0xf90004ff,0x200001ff,0x0000fffc,
    0x03fff400,0x007ffe40,0x3ffa0000,0x3fa00007,0x3e60007f,0x3ffea2ff,
    0xffd00004,0x1fff600f,0x883fff20,0xf7006fff,0x1fffe1ff,0xb804ffe8,
    0xc8000fff,0x00000fff,0x0001fff9,0x07ffe800,0x00fffc80,0x7ff40000,
    0x3fa00007,0x3f20007f,0x3ffe20ff,0xffd00006,0x1fff600f,0x361bffe0,
    0xfb801fff,0x5fff70ff,0x2013ffa0,0x8003fff8,0x0000fffc,0x001fff90,
    0x7ffe8000,0x0fffc800,0x7f400000,0x3a00007f,0x3e0007ff,0xfffd86ff,
    0xffe80001,0x0fffb007,0xb83fff98,0xfb804fff,0xdfff10ff,0x4013ffa0,
    0xc8006ffc,0x9999afff,0x00999999,0x266bfff2,0x99999999,0x7ffe8000,
    0xafffc800,0x99999999,0xfe800099,0x3a00007f,0xf30007ff,0xfff707ff,
    0xffd00009,0x3fffa00f,0x03fff200,0x201bffe2,0x3f20fffb,0x4ffe82ff,
    0x05fff300,0xfffffc80,0xffffffff,0x3fff206f,0xffffffff,0xe8006fff,
    0xfc8007ff,0xffffffff,0x006fffff,0x0007ffe8,0x001fffa0,0x4407ffe4,
    0x80006fff,0xfd007ffe,0x7ffc01ff,0x07fffa06,0x441fff70,0xffe86fff,
    0x17ffa004,0xfffff900,0xffffffff,0x7ffe40df,0xffffffff,0xe8006fff,
    0xfc8007ff,0xffffffff,0x006fffff,0x0007ffe8,0x001fffa0,0xfd037ffc,
    0xe80003ff,0xffd007ff,0x3ffe601f,0x0fffee03,0xc81fff70,0x7ff41fff,
    0x3ffea004,0x3fff2000,0xffffffff,0x3f206fff,0xffffffff,0x006fffff,
    0x8007ffe8,0xfffffffc,0x6fffffff,0x07ffe800,0x1fffa000,0x0fffe600,
    0x003fffb8,0x803fff40,0xf900fffe,0x7fcc03ff,0x7ffdc06f,0x22fffc40,
    0x7c004ffe,0x3f2004ff,0x900000ff,0x00001fff,0x007ffe80,0x000fffc8,
    0x3fff4000,0xfffd0000,0x3fff9000,0x037ffcc0,0x01fffa00,0xf80ffff4,
    0xffe806ff,0x3ffee01f,0x21fffd80,0x5c004ffe,0x3f2007ff,0x900000ff,
    0x00001fff,0x007ffe80,0x000fffc8,0x3fff4000,0xfffd0000,0x0dfff000,
    0x003fffd0,0x803fff40,0xf981ffff,0xffc804ff,0x3ffee03f,0x25fff980,
    0x44004ffe,0xf9003fff,0x200001ff,0x0000fffc,0x03fff400,0x007ffe40,
    0x3ffa0000,0x3fa00007,0x7fcc007f,0xfffc804f,0x3ffa0003,0x3ffff007,
    0x99bfff90,0xfb999999,0x7fdc0dff,0x1fffd00f,0x20013ffa,0xf9006ffd,
    0x200001ff,0x0000fffc,0x03fff400,0x007ffe40,0x3ffa0000,0x3fa00007,
    0x7fe4007f,0xccccccdf,0x06fffdcc,0x01fffa00,0x7c0ffffc,0xffffffff,
    0xffffffff,0x1fff700f,0x753ffea0,0xf98004ff,0xffc801ff,0xf900000f,
    0x000001ff,0x8007ffe8,0x0000fffc,0x03fff400,0x0fffd000,0xffffff80,
    0xffffffff,0x0000ffff,0x3e00fffd,0x7fcc2fff,0xffffffff,0xffffffff,
    0x01fff703,0xffebfff4,0xbffd0004,0x01fff900,0x3fff2000,0x74000000,
    0xfc8007ff,0x000000ff,0x0003fff4,0x400fffd0,0xfffffff9,0xffffffff,
    0xd0003fff,0x3fe00fff,0x7ffe42ff,0xeeeeeeee,0x6fffeeee,0x401fff70,
    0xffebfffa,0xfff70004,0x0fffc801,0xfff90000,0xe8000001,0xfc8007ff,
    0x000000ff,0x0003fff4,0x400fffd0,0xeeeefffc,0xeeeeeeee,0xd0006fff,
    0x3fe00fff,0x3fffc2ff,0x07fffc00,0x2007ffdc,0x4ffeeffe,0x0fffe000,
    0x001fff90,0x03fff200,0xffd00000,0xfff9000f,0xe8000001,0x200007ff,
    0x3e007ffe,0xff8007ff,0xfe8000ff,0xdddd007f,0x027ffcc5,0x41fffe40,
    0x5c00fffb,0x04ffffff,0x01fff200,0x0001fff9,0x003fff20,0xfffd0000,
    0x1fff9000,0xfe800000,0x3a00007f,0xff3007ff,0xff90009f,0xffd0007f,
    0xff90000f,0xff50005f,0x1fff70df,0xffffff00,0x7fc40009,0x3fff202f,
    0x9999999a,0x3f201999,0x99999aff,0x20199999,0xfe999999,0x999999ff,
    0x35fff900,0x33333333,0x4cccc033,0x99fffe99,0x33009999,0xfffd3333,
    0x41333333,0x8002fffc,0x2606fffa,0xffe99999,0x0999999f,0x00ffff00,
    0x207fffc0,0xb800fffb,0x004fffff,0x9037fec0,0xffffffff,0x3fffffff,
    0x3fffff20,0xffffffff,0xfff981ff,0xffffffff,0x903fffff,0xffffffff,
    0x3fffffff,0xffffff30,0xffffffff,0xfff307ff,0xffffffff,0x7c7fffff,
    0x3e0007ff,0xff980fff,0xffffffff,0x03ffffff,0x004fff98,0x70ffff60,
    0xf1001fff,0x0009ffff,0x901fffa8,0xffffffff,0x3fffffff,0x3fffff20,
    0xffffffff,0xfff981ff,0xffffffff,0x903fffff,0xffffffff,0x3fffffff,
    0xffffff30,0xffffffff,0xfff307ff,0xffffffff,0x267fffff,0x20004fff,
    0xf983fffd,0xffffffff,0x3fffffff,0x02fffc80,0x1bffea00,0x2001fff7,
    0x004ffffc,0x902ccc80,0xffffffff,0x3fffffff,0x3fffff20,0xffffffff,
    0xfff981ff,0xffffffff,0x903fffff,0xffffffff,0x3fffffff,0xffffff30,
    0xffffffff,0xfff307ff,0xffffffff,0x327fffff,0x20002fff,0xf986fffa,
    0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00110000,0x00026200,
    0x00080080,0x00008008,0x0002aa98,0xaaaaa800,0x0af2e600,0x20355500,
    0x000aaaaa,0x00800800,0x01555550,0xaa800000,0x40000aaa,0x003ffffa,
    0x3dfffd70,0xfd300970,0x0bff601d,0x403bfa60,0x50002ffd,0x0007ffff,
    0x7fffec00,0x3ffff202,0xffa801ef,0xfffd301f,0x2600001d,0xffb00efe,
    0xfffe9805,0x0000000e,0x005ffffb,0xfffffb80,0x7fdc004f,0x89dfffff,
    0x7ec04ffb,0xfffb85ff,0x5fffd807,0x007fffb8,0xffffffa8,0xfd800003,
    0x3f600eff,0x0fffffff,0x00fffe20,0x01dfffb1,0xbfffb000,0x00ffff70,
    0x01dfffb1,0xffd80000,0x440000ef,0xffc88dff,0xbfff5001,0xfffffff9,
    0xffe803ff,0xffffc86f,0x37fff400,0x007fffe4,0xf9bfff50,0x400007ff,
    0x5404fffd,0xffb8afff,0x1bff204f,0x0efffb80,0x7fff4000,0x0ffffc86,
    0x1dfff700,0x3f600000,0x500004ff,0x04fe81ff,0x6441fd10,0x01ffffff,
    0x983fffb8,0xfb805fff,0xfff983ff,0x3ffea005,0x00fffee4,0x0bfff600,
    0xf50fffa0,0x3ffe60ff,0x7ff4c001,0x3ee0000e,0xfff983ff,0x7ff4c005,
    0x6c00000e,0x00002fff,0x9fd03fee,0xc980c400,0x2a000bdd,0x00f2602c,
    0x32602ca8,0x3bb66003,0x02eeea83,0x077bae00,0x2207ffc0,0xffe80fff,
    0xddb10004,0x2ca8000b,0x4000f260,0x0005eed8,0x0077bae0,0x47ff3000,
    0x00003ff9,0x00000000,0x00000000,0x00000000,0x7c1ffe20,0x37fe41ff,
    0x00000000,0x00000000,0x00000000,0x37bff600,0x00000eff,0x00000000,
    0x00000000,0x00000000,0x203ffe20,0x3fe60fff,0x0000001f,0x00000000,
    0x00000000,0x7ec40000,0x0001efff,0x00000000,0x00000000,0x00000000,
    0x42fff800,0x7ff47ff8,0x00000004,0x00000000,0x00000000,0x32ea0000,
    0x32a20002,0x0cceffed,0x00ccca80,0x20079990,0xacdfdca8,0x32a20000,
    0x000acdfd,0x37f72a20,0x7fec00ac,0xc97ff20d,0x20000fff,0xacdfdca8,
    0xdca88000,0x00cceffe,0x7f6e5440,0x4000ccef,0xeffedca8,0x000000cc,
    0xffe98000,0xffffffff,0x3ff200cf,0xbfff000f,0xfffff700,0x0005ffff,
    0xfffffff7,0xf70005ff,0xffffffff,0x7fffcc05,0xf31fffec,0x5c0005ff,
    0xffffffff,0xffd3002f,0xffffffff,0xfe98019f,0xffffffff,0x74c00cff,
    0xffffffff,0x0000cfff,0x3ffb72a2,0xf5000cce,0xffffffff,0x201dffff,
    0xf000fffc,0x7ec40bff,0xffffffff,0xd8800dff,0xffffffff,0x8800dfff,
    0xfffffffd,0x900dffff,0x7fffffff,0x8002fff4,0xffffffd8,0x00dfffff,
    0x7fffffd4,0xefffffff,0x3fffea00,0xffffffff,0x3fea00ef,0xffffffff,
    0x4000efff,0xffffffe9,0x00cfffff,0x55e77fd4,0xffffda99,0x01fff905,
    0xe817ffe0,0x988adfff,0x804ffffb,0x88adfffe,0x04ffffb9,0x8adfffe8,
    0x4ffffb98,0x37fffaa0,0x003ffee1,0x56ffff40,0xffffb988,0x677fd404,
    0xffda99ab,0x3fea05ff,0xda99abce,0x2a05ffff,0x99abceff,0x05ffffda,
    0x7ffffd40,0xffffffff,0x006e600e,0x203fffea,0xf000fffc,0x3fee0bff,
    0x3ffa604f,0x3ffee01f,0x3fffa604,0x13ffee01,0x01fffe98,0x2fff8808,
    0x9fff7000,0x0ffff4c0,0xf5003730,0x2e601fff,0xffffa801,0x50037300,
    0x4001ffff,0x9abceffa,0x5ffffda9,0x3ff20000,0x0fffc82f,0x10bfff00,
    0xf300bfff,0x3fe20bff,0xfff9805f,0x0bfff105,0x00bfff30,0x0017ff60,
    0x402fffc4,0x0005fff9,0x00bfff20,0x17ffe400,0xfffc8000,0x006e6002,
    0x003fffea,0x1fffcc00,0x8007ffe4,0xffc85fff,0xfffb001f,0x03fff901,
    0x203fff60,0xb001fffc,0xb8001fff,0x90000fff,0x36003fff,0x00000fff,
    0x0007fff3,0x00fffe60,0x1fffcc00,0xff900000,0x2200005f,0xffc84fff,
    0xbfff000f,0x400dfff0,0xff81fffb,0x3fee006f,0x06fff81f,0x007ffee0,
    0x003fff88,0x801bffe0,0x0001fffb,0x009fff10,0x13ffe200,0x7ffc4000,
    0x26000004,0x00003fff,0xf909fff1,0x3fe001ff,0x04fff85f,0x20bffea0,
    0x2a004fff,0xfff82fff,0x3ffea004,0x1bff6002,0x09fff000,0x017ffd40,
    0x4fff8800,0xfff10000,0x3e200009,0x000004ff,0x4013ffe2,0xcccccba9,
    0xfc84fffc,0xfff000ff,0xadfff98b,0xaaaaaaaa,0x4c3fffca,0xaaaadfff,
    0xfcaaaaaa,0x7ffcc3ff,0xaaaaaaad,0x3fffcaaa,0x41fff500,0x4c01ab98,
    0xaaaadfff,0xfcaaaaaa,0x753003ff,0xff999999,0x2ea6009f,0xffcccccc,
    0x9753004f,0xfff99999,0x44000009,0x75404fff,0xffffffff,0xfc84ffff,
    0xfff000ff,0xfffffa8b,0xffffffff,0x544fffff,0xffffffff,0xffffffff,
    0x7ffd44ff,0xffffffff,0x4fffffff,0x23fff880,0x0efffffb,0xffffff50,
    0xffffffff,0xa809ffff,0xfffffffe,0x404fffff,0xffffffea,0x04ffffff,
    0x7fffff54,0x4fffffff,0x32ea6000,0xfffccccc,0xffffd104,0xffffffff,
    0xfff909ff,0x17ffe001,0xfffffff7,0xffffffff,0xffb89fff,0xffffffff,
    0xffffffff,0x7ffffdc4,0xffffffff,0x804fffff,0x3ff26ffd,0x80ffffff,
    0xfffffffb,0xffffffff,0xfd104fff,0xffffffff,0x209fffff,0xffffffe8,
    0xffffffff,0xffffd104,0xffffffff,0xd50009ff,0xffffffff,0x3a09ffff,
    0x99acffff,0x4fff9999,0x000fffc8,0xffa8bfff,0xaaaaaadf,0xaaaaaaaa,
    0x56fffd41,0xaaaaaaaa,0x541aaaaa,0xaaaadfff,0xaaaaaaaa,0x7fd401aa,
    0x39fff31f,0xf509fff9,0x55555bff,0x55555555,0x3fffa035,0x99999acf,
    0xfd04fff9,0x33359fff,0x09fff333,0x2b3ffffa,0xff999999,0x3fa2004f,
    0xffffffff,0xb84fffff,0x4400efff,0xffc84fff,0xbfff000f,0x004fff98,
    0x13ffe600,0xfff98000,0xf1000004,0x27fec9ff,0xf303ffea,0x800009ff,
    0x400efffb,0xfb84fff8,0x7c400eff,0xfffb84ff,0x7ffc400e,0x3fffa004,
    0x99999acf,0xfd84fff9,0xff8800ff,0x1fffb84f,0x88bfff00,0x00005fff,
    0x0017ffe2,0x05fff880,0xdff90000,0x7c41ffe8,0x7ffc41ff,0x7ec00005,
    0xff8800ff,0x0fffd84f,0x84fff880,0x8800fffd,0xf7004fff,0xf8801dff,
    0x7fff84ff,0x09fff100,0x9003fff7,0xfff0bfff,0x7c00001f,0x00000fff,
    0x0003fffe,0x83fff300,0xffe80fff,0x00ffff82,0x1fffe000,0x427ffc40,
    0xf1007fff,0xffff09ff,0x13ffe200,0x007ffec0,0x2227ffc4,0xd8806fff,
    0xffa84fff,0x7ffdc03f,0x4fffc85f,0x3ff20000,0x3200004f,0x00004fff,
    0x7fc27ff4,0x81ffe80f,0x0004fffc,0x00dfff10,0x889fffb1,0xd8806fff,
    0x7fc44fff,0xffd8806f,0xffff004f,0x13ffe200,0x9803fffe,0x984fffff,
    0x3ee06fff,0xf885ffff,0x00002fff,0x005ffff1,0x3fffe200,0xff900002,
    0x07ffd01d,0xff101fff,0x200005ff,0x2600ffff,0xf84fffff,0x3e600fff,
    0xff84ffff,0x3fe600ff,0xf8804fff,0xfd8806ff,0xfffd84ff,0x7ffe4c0e,
    0xffd04fff,0x7fec41bf,0xf705ffef,0x9803bfff,0x3ffee01a,0x0d4c01df,
    0x3bffff70,0xf981a980,0xbffb02ff,0x2e06ffb8,0x401dffff,0xfffb01a9,
    0xfffc981d,0xffd84fff,0x7fe4c0ef,0xfd84ffff,0x7e4c0eff,0x004fffff,
    0x4c01ffff,0x984fffff,0xfeefffff,0xffecffff,0xfffff504,0x95ffffdd,
    0x7fec0bff,0xeeeeffff,0x6c03ffff,0xeeffffff,0x03ffffee,0x7fffffec,
    0xffffeeee,0x204ffe83,0xfcbffff9,0x7fec02ff,0xeeeeffff,0xf303ffff,
    0xffddffff,0x9ffd9fff,0xdfffff30,0xd9fffffd,0xfff309ff,0xffffddff,
    0x009ffd9f,0x303bfff6,0x9ffffff9,0x3ffffee0,0xfb1effff,0x7ffe409f,
    0x92ffffff,0xffb80bff,0xffffffff,0xfb803fff,0xffffffff,0xb803ffff,
    0xffffffff,0x5c3fffff,0x7e400fff,0x04ffffff,0xffffff70,0x7fffffff,
    0x7ffffdc0,0xfb1effff,0x3ffee09f,0x1effffff,0x3ee09ffb,0xffffffff,
    0x009ffb1e,0x3bffffe6,0xecfffffe,0x3fa604ff,0x20ceffff,0x7d404ffd,
    0x20cfffff,0xc8805ffc,0xfffffffe,0x91001cef,0xfffffffd,0x220039df,
    0xffffffec,0x3e61ceff,0xff7002ff,0x88005dff,0xffffffec,0x4c01ceff,
    0xcefffffe,0x9813ff60,0xcefffffe,0x9813ff60,0xcefffffe,0x8013ff60,
    0xfffffffb,0x9ffb1eff,0x0006a600,0x00353100,0x26a62000,0x31000019,
    0x00003335,0x00666a62,0x00988000,0x33531000,0x0d4c0003,0x06a60000,
    0x03530000,0x3fa60000,0x20ceffff,0x00004ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000353,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555000,0x2aa60001,0xba980002,
    0x40000abc,0x80000098,0x00000800,0x20013310,0x000aaaaa,0x0aaaaa80,
    0x026a6000,0x554c0000,0x54000002,0x3bae01aa,0xffb00004,0x2a0005ff,
    0x0003ffff,0xfffffff5,0xeb8003bf,0x4b81efff,0x03bfa600,0x00017fec,
    0x4013fee0,0x00efffe9,0x7fff4c00,0xff70000e,0x00017bff,0x07ffff50,
    0x3fe20000,0xffff704f,0xffd8000b,0xf50000ef,0x007fffff,0x7fffff44,
    0x02ffffff,0xffffff70,0x9ff713bf,0x17fff600,0x001fffee,0x003ffd00,
    0x077ffec4,0x3ff62000,0xfb8000ef,0x0cffffff,0xffff5000,0x000007ff,
    0x3e09fff1,0x001fffff,0x009fffb0,0x66fffd40,0xfd003fff,0xfd779fff,
    0xa801ffff,0xfffcdfff,0x01ffffff,0x90dfffd0,0x0001ffff,0x001ffe20,
    0x0077ffdc,0x77ffdc00,0x7ffdc000,0x02efffff,0x66fffd40,0x00003fff,
    0x4427ffc4,0x02ffffff,0x02fffd80,0x93ffea00,0x6403fffb,0xc880cfff,
    0x74404fff,0x3fff220f,0x2e001fff,0xff983fff,0x2e00005f,0x260004ff,
    0x0000effe,0x00effe98,0xffeb9980,0xf5002fff,0x7ffdc9ff,0x3e200003,
    0xffff04ff,0xeb8001ff,0x260001de,0xeea83eed,0xdfff102e,0x00bfff00,
    0x37726031,0x2ca8000b,0x4000f260,0xffefecb9,0x6c40001f,0x100005ee,
    0x0000bddb,0x03ffffd5,0xa83eed98,0x00002eee,0x2a09fff1,0x0003ffff,
    0x00000000,0x00bffea0,0x0001fffa,0x00000000,0x3fffa200,0x04ffffff,
    0x00000000,0x74400000,0x00005fff,0x3e200000,0x32e204ff,0x00000001,
    0x7dc00000,0xfff800ff,0x00000005,0x5c000000,0xffffffff,0x001effff,
    0x00000000,0x3fe20000,0x000001ff,0xfff10000,0x00000009,0x00000000,
    0x2e01fff6,0x00004fff,0x00000000,0x37fffee0,0xfffff99b,0x000000ef,
    0x00000000,0x00ffff60,0x40000000,0x0004fff8,0xbfd95300,0x98000159,
    0x0acdfeca,0x2037ff40,0x000ffffb,0x66ff654c,0x54c0000a,0x00acdfec,
    0x85ffff10,0xfffefff9,0x03332a04,0x801e6640,0xacdfeca9,0xffb80000,
    0x0ccca85f,0x00799900,0x79bdb953,0x00009fff,0xfffffd88,0x8003ffff,
    0xffffffd8,0x3fa03fff,0x3fff606f,0x3f62001f,0xffffffff,0xffd88003,
    0x3fffffff,0x81fffc80,0xfff9cffb,0x1fff900f,0x017ffe00,0xffffffb1,
    0x80007fff,0xfc85fff9,0xfff000ff,0x7fffd40b,0xffffffff,0x3ea00004,
    0xffffffff,0x5000efff,0xffffffff,0xd01dffff,0x3ffa0dff,0x3ea000ef,
    0xffffffff,0x5000efff,0xffffffff,0x201dffff,0xfd05fff9,0x0ffff23f,
    0x8007ffe4,0x3ea05fff,0xffffffff,0x0000efff,0xf909fff5,0x3fe001ff,
    0xfffd885f,0xffffffff,0x500004ff,0x359dffff,0x0dffffb7,0x9dffff50,
    0xffffb735,0x90dffd0d,0xa800bfff,0x9aceffff,0x06ffffdb,0xceffffa8,
    0xffffdb9a,0x05fff706,0x7fc4fff3,0x1fff906f,0x417ffe00,0xaceffffa,
    0x6ffffdb9,0x7fff9000,0x001fff90,0x3fa17ffe,0xba9bcfff,0x004ffffd,
    0x3ffff880,0x0ffffea0,0x03ffff88,0xd0ffffea,0xfff88dff,0x7ffc4006,
    0x3ffea03f,0x3ffe203f,0x3ffea03f,0x07ffc83f,0xfff89ff7,0x01fff907,
    0x2217ffe0,0x2a03ffff,0x4003ffff,0xc80ffffb,0xff000fff,0xdfffc8bf,
    0x13ffe200,0x3fff2000,0xffff9803,0x07fff900,0x41ffff30,0x7fcc6ffe,
    0x7fe4003f,0xfff9803f,0x7fff900f,0x1ffff300,0xfd06ffd8,0x07ffe83f,
    0x2001fff9,0xffc85fff,0xfff9803f,0xcbaa880f,0x903ffffe,0x3e001fff,
    0x3ffe25ff,0x4fff8805,0x7ffc4000,0x3fff2006,0x06fff883,0xe8ffff20,
    0x7ffd46ff,0x3ffe2004,0x3fff2006,0x06fff883,0xd0ffff20,0xfff30bff,
    0x901fff90,0x3e001fff,0x7ffc45ff,0x3fff2006,0xfffffa83,0x3f205fff,
    0xfff000ff,0x00fffecb,0x7027ffc4,0x3fea07bd,0x3fe6003f,0x3fffa85f,
    0x97ffe600,0x7fc46ffe,0xff5000ff,0x7fcc007f,0x3fffa85f,0x17ffe600,
    0xff70bfff,0x01fff909,0x2001fff9,0x7fd45fff,0x3fe6003f,0xffffa85f,
    0x7e401eff,0xfff000ff,0x802fffcb,0xf904fff8,0xff909fff,0xfff8001f,
    0x00fffc86,0xfd37ffc0,0xdfffd0df,0x1fff9001,0x86fff800,0x4000fffc,
    0x7ff46fff,0xc81ffe86,0xfff907ff,0x17ffe001,0x8001fff9,0xff986fff,
    0x3f2001cf,0xfff000ff,0x00fffe2b,0xe827ffc4,0x6c0fffff,0xfe8007ff,
    0x07ffd87f,0x3a7ffe80,0xfff886ff,0x7fec02ff,0x7ffe8007,0x8007ffd8,
    0x7ff47ffe,0xd83ffcc7,0xfff906ff,0x17ffe001,0xd000fffb,0xfff30fff,
    0xfffc8003,0x2bfff000,0x1002fffa,0x3fa09fff,0x7f43ffff,0xffd8006f,
    0x037ff40f,0xe87ffec0,0xfff306ff,0x7ff409ff,0xfffd8006,0x0037ff40,
    0xfb07ffec,0x27fdc3ff,0xf905fff8,0x3fe001ff,0x037ff45f,0x207ffec0,
    0x4001fff9,0xf000fffc,0x3ffeebff,0x9fff1001,0x3ffffee0,0x0037ffc4,
    0x3e07ffe4,0xfc8006ff,0x0dffd0ff,0x2fffff44,0x8006fff8,0x7fc0fffc,
    0xffc8006f,0x8fffee0f,0xffa81ffe,0x1fff903f,0xf17ffe00,0xf9000dff,
    0xfff981ff,0x7ffe4000,0x2bfff000,0x1001fffc,0x7f409fff,0x7ff45fff,
    0x7ffd8007,0x8007ffe8,0x3ffa7ffd,0x7ffec406,0x07ffe84f,0xe87ffd80,
    0xfd8007ff,0x7fffc47f,0xfd07ff98,0x3ff201ff,0xbfff000f,0x8007ffe8,
    0xff887ffd,0x7fe4000f,0xbfff000f,0x4007fff2,0x2604fff8,0x7ec3ffff,
    0x7f4000ff,0x0fffd86f,0xd37ff400,0x3ee00dff,0x7fec1fff,0x7ff4000f,
    0x00fffd86,0x6c37ff40,0x4ffcefff,0x203fffc8,0xf000fffc,0xfffd8bff,
    0x37ff4000,0x00077744,0x4003fff2,0xfff75fff,0x3ffe2005,0x17fffc04,
    0x8007fff2,0xfc85fff8,0x3e2001ff,0x1bffa5ff,0x44fffc80,0x2001fffc,
    0xfc85fff8,0x3e2001ff,0xfff885ff,0x3661ffff,0x7dc06fff,0xfff001ff,
    0x01fffc8b,0x017ffe20,0x3ffee000,0x2bfff001,0x5002fffa,0x7c409fff,
    0x7fdc0fff,0x3fee004f,0x4fffb83f,0x8fffee00,0x22006ffe,0x7fdc6fff,
    0x3fee004f,0x4fffb83f,0x0fffee00,0x7fffffcc,0xffffffee,0x0fffdc01,
    0x22fffe40,0x2004fffb,0x0003fffb,0x01fffb80,0xf35fffc8,0xff500bff,
    0x7fe409ff,0xffff883f,0x1fffd000,0x01ffff10,0xe83fffa0,0x7fc006ff,
    0x7fffc46f,0x1fffd000,0x01ffff10,0x803fffa0,0xffffffe9,0x800dffff,
    0x5c03fffa,0x7c45ffff,0xfd000fff,0x026201ff,0x0fffea00,0x4bffff70,
    0x7cc07fff,0xc884ffff,0x3f206fff,0x36200dff,0x3f203fff,0x36200dff,
    0x7ff43fff,0x3ffe6006,0x0dfffc84,0x0ffff620,0x00dfffc8,0x00ffff62,
    0x7ffffffc,0x3e6002df,0x3fee06ff,0xffc85fff,0x3f6200df,0xfff503ff,
    0xfff98005,0x3fffee06,0x0ffff25f,0x7fffffc4,0xffffdb54,0x7ffc401d,
    0x3aa20aef,0x7c406fff,0x220aefff,0xe86fffea,0x540446ff,0xf882fffe,
    0x220aefff,0x406fffea,0x0aeffff8,0x1bfffaa2,0x54f7fcc0,0x3fa00009,
    0x3f620dff,0x885ffeff,0x20aeffff,0x06fffea8,0x00fffff1,0x41bfffd0,
    0xffefffd8,0x2ffffe25,0xd9fff930,0x3fff29ff,0xff5004ff,0xffddffff,
    0x5003dfff,0xddffffff,0x03dfffff,0xffb8dffd,0x4ffffffe,0x3ffffea0,
    0xfffffeef,0xfffa801e,0xfffeefff,0xf7001eff,0x5400009f,0xfeefffff,
    0x5ffcafff,0xffffff50,0xdfffffdd,0x3fffe603,0x7fd4001f,0xfffeefff,
    0x645ffcaf,0xffefffff,0x29ffb4ff,0x001ceffc,0x7fffff44,0x004fffff,
    0x7fffff44,0x204fffff,0x7fdc6ffe,0x0cffffff,0x7ffff440,0x04ffffff,
    0x7ffff440,0x04ffffff,0x000fff40,0x3ffff200,0xf92fffff,0x7ff440bf,
    0xffffffff,0x7fffc404,0xffc8000f,0x2fffffff,0xff90bff9,0x49ffffff,
    0x00114ffd,0x3fffae00,0x0002deff,0x3fffffae,0x7ff402de,0x7ffffdc6,
    0x75c001de,0x2defffff,0x3ffae000,0x002defff,0x00037fcc,0xfffffa80,
    0x17ff20cf,0x3ffffae0,0xf7002def,0x540007ff,0x0cffffff,0x75c17ff2,
    0x6c2cffff,0x000004ff,0x00004d44,0x0004d440,0x00333100,0x004d4400,
    0x04d44000,0x05993000,0xa9880000,0xa8800001,0x15100009,0x2a620000,
    0x1a880001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xcccefedc,0x201ccccc,
    0x0001aaaa,0x00555300,0x00015553,0x55540000,0xcb9800aa,0x80000abd,
    0x54002ccb,0x54c001aa,0x5c40002a,0x9970001b,0x1aaa8005,0x005665cc,
    0xa88d5540,0xfea81aaa,0xffffffff,0x202fffff,0x300ffffc,0xfff50003,
    0xfffc807f,0x00000000,0x805ffffb,0xffffffe9,0xff70003f,0x7d4009ff,
    0x3ea001ff,0x30003fff,0x4005ffff,0x004ffffb,0xff07ffea,0x400bffff,
    0xff31fffa,0xfffc87ff,0xffffffff,0x402fffff,0xca9efffd,0x54003ffe,
    0x03ffffff,0x0003fff2,0x3ff60000,0x7fdc00ef,0xffffffff,0x3ffaa004,
    0xf1004fff,0x7d4007ff,0x003fffff,0x06ffffd8,0xfffffea8,0x7fff1004,
    0xfffffff0,0x7fff1005,0x51ffffcc,0x4c17ffff,0xaabffffd,0x7fffcc00,
    0x03ffffff,0x337ffea0,0xff903fff,0x0000001f,0x804fffd8,0xcbdffff8,
    0x802fffff,0xfffffff9,0x0dff9004,0x66fffd40,0x6c003fff,0x4c07ffff,
    0x4fffffff,0x20dff900,0x017ffe60,0xff11bff2,0x7fffc5ff,0x0ffff201,
    0xffffdb50,0x5dffffff,0x93ffea00,0xfc83fffb,0x000000ff,0x00bfff60,
    0x641fffec,0xfd005fff,0x009ffb1b,0x2003fff3,0x3ee4fffa,0x3f2003ff,
    0xfe805fff,0x804ffd8d,0xf001fff9,0xff9807ff,0x7fffc41f,0x009fff32,
    0xfd80ffff,0xffffffff,0x3660009c,0xeeea83ee,0x007ffe42,0xeeb80000,
    0x3ffe001d,0x0ffff106,0x4ffd8660,0x004ffe80,0xd507ddb3,0x7ec005dd,
    0x219800ef,0xfe804ffd,0x3b32604f,0x7f400eff,0x3ffff04f,0x2007ffee,
    0x3600fffd,0xffdcefff,0x0000005f,0x001fff90,0x80000000,0x3604fff8,
    0xd8000fff,0x7fe404ff,0x00000006,0xb0000c40,0xffc809ff,0x7fffd406,
    0x3ff200cf,0x47fffe06,0xc800fffc,0x2ee00fff,0x17fffc41,0x64000000,
    0x00000fff,0x7cc00000,0x3ff604ff,0x9ffb0007,0x00fffcc0,0x00000000,
    0x13ff6000,0x401fff98,0x7ffffee9,0x403fff30,0xff90ffff,0xfffb005f,
    0x7ffd4000,0x0000000f,0x0007ffe4,0x20000000,0x3e05fff8,0xfb0005ff,
    0x27ff409f,0x00000000,0x7fec0000,0x013ffa04,0x20bfff20,0x7f404ffe,
    0x9fff50ff,0x06fff880,0x7ff654c0,0x544005ff,0xcceffedc,0x41fff900,
    0x0bdedb98,0x00ccca80,0xff079990,0xfff901ff,0x3ff60007,0x01fff904,
    0x66666540,0xa802cccc,0xcccccccc,0xffd8002c,0x01fff904,0x85fff700,
    0x7400fffc,0x3ffe27ff,0x3fff201f,0xffff7003,0x05ffffff,0xfffffd30,
    0x19ffffff,0xf30fffc8,0x5fffffff,0x00fffc80,0xfb0bfff0,0xfffb8bff,
    0x3ff60006,0x02fff984,0x7ffffe40,0xc804ffff,0xffffffff,0xffd8004f,
    0x02fff984,0xffcbac88,0x3ffe60ff,0x45eec802,0x20bffffb,0x006fffd9,
    0xfffffffb,0x500dffff,0xffffffff,0x41dfffff,0xffa8fffc,0xffffffff,
    0x03fff202,0x442fffc0,0xfd8affff,0x20000eff,0xffe84ffd,0xfffc8005,
    0x04ffffff,0xffffffc8,0xd8004fff,0x5ffe84ff,0xfffff100,0x5ffe85ff,
    0xfff88000,0xffffffff,0x7f4400ff,0xcaacdfff,0x5402fffe,0x99abceff,
    0x25ffffda,0xfffbfffc,0xfffebabe,0x1fff900f,0x417ffe00,0xfffffffb,
    0x640000ef,0x7ffdc3ee,0xccca8000,0x04fffdcc,0xdccccca8,0xc8004fff,
    0x7ffdc3ee,0xffff1000,0xfffb83bf,0x5fff3000,0x7ffffff4,0x00cfffff,
    0x00efffc8,0x980dfff3,0xfffa801b,0xfffff90f,0x3fff607f,0x01fff904,
    0xe817ffe0,0x03ffffff,0x7fc40000,0x4c00002f,0x20004fff,0x0004fff9,
    0x00bffe20,0xff880660,0x3fee002f,0x2a3ffee7,0x01bceeec,0x00bfff30,
    0x0003fffb,0xc97ffe40,0x201fffff,0xf907fff8,0x3fe001ff,0xfffd305f,
    0x000001ff,0x000bffb0,0x09fff300,0x27ffcc00,0xbffb0000,0x3f600000,
    0x7fec005f,0x0013ff65,0x00fffd80,0x004fffa8,0x4fffe600,0x802ffffc,
    0xfc82fffc,0xfff000ff,0xfffff70b,0x332e07ff,0x3fee0004,0x9800000f,
    0x20004fff,0x0004fff9,0x001fff70,0x1fff7000,0x23fff800,0x00004fff,
    0x400bfff1,0x00007ffe,0x7e53ffe2,0xff5003ff,0x1fff907f,0x717ffe00,
    0xfffbffff,0x0dffd05f,0x0fffe200,0x7fcc0000,0x3e60004f,0x880004ff,
    0x00003fff,0x003fff88,0xff0fffc4,0x500005ff,0x6c005fff,0x00001fff,
    0x3f29fff1,0xff1000ff,0x1fff909f,0x997ffe00,0xffb1ffff,0x5ffe83ff,
    0x0dffb000,0x7fcc0000,0x3e60004f,0xd80004ff,0x000006ff,0x5000dffb,
    0xfffd8fff,0xccdeeeff,0x3fee01ac,0x3fee001f,0x9753002f,0xfff99999,
    0x003fff29,0x642fffc4,0xff000fff,0x0ffff4bf,0x41dfffd1,0xa8004fff,
    0x4cc40fff,0x3e600019,0x260004ff,0x40004fff,0x2a20fffa,0xf50002bb,
    0x999881ff,0x4c1aa881,0xffffffff,0x3fffffff,0x000fffc8,0x500fffea,
    0xfffffffd,0x329fffff,0x3e000fff,0xfffc86ff,0x2bfff000,0xf985fff9,
    0xfff15fff,0xfff88007,0x7ffffcc3,0xfff30001,0x7fcc0009,0x3e20004f,
    0x3ffee3ff,0x22002fff,0x7fcc3fff,0x4c001fff,0xffffffff,0x5fffffff,
    0x2003ffec,0xd104fff9,0xffffffff,0x29ffffff,0x2000fffc,0xffc85fff,
    0xbfff000f,0x540bffee,0xffacffff,0x7fec002f,0xfffffe86,0xfff30001,
    0x7fcc0009,0x3f60004f,0x3fffe26f,0xb001ffff,0xfffd0dff,0x744003ff,
    0xccbabfff,0xffffffdc,0x003fff64,0xd03fffa8,0x3359ffff,0x9fff3333,
    0x4003fff2,0xfc84fff8,0xfff000ff,0x803fff2b,0xffeffffc,0x3fea000f,
    0x7effe41f,0xf30001ff,0x4c0009ff,0x50004fff,0xafb83fff,0x804fff99,
    0x7e41fffa,0x001fffdf,0x001fffd1,0x64ffffb1,0x2e001fff,0xffb82fff,
    0x7fc400ef,0x01fff94f,0x20fffe60,0xf000fffc,0x3fff6bff,0x7fffec01,
    0x3e2004ff,0x7ffcc4ff,0x0001fff9,0x0009fff3,0x0027ffcc,0x0827ffc4,
    0x2202ffe4,0x7fcc4fff,0x001fff9f,0x4005fff7,0xf71ffff8,0x7e4005ff,
    0xfffd81ff,0x4fff8800,0x2001fff9,0xfb81fffa,0xfff001ff,0x00bfff2b,
    0x3fffffd1,0x437fe400,0xfff8affe,0xfff30001,0x7fcc0009,0xffc8004f,
    0x13ffa006,0xfd0dff90,0x03fff15f,0x003fff60,0x2a3fffb0,0x3e005fff,
    0xffff07ff,0x53ffe200,0xd000fffc,0xff701fff,0xfff9003f,0x017ffeab,
    0x01ffffe6,0x5c1fff98,0x3fff15ff,0x3ffe6000,0x3fe60004,0x7fcc004f,
    0xfff9001f,0x0fffcc01,0x7fc57fee,0xfffd001f,0x7fff8001,0x007fffe2,
    0x2213ffea,0xd8806fff,0xfff94fff,0x9fff5001,0x00fffea0,0x26bffff7,
    0x5c02ffff,0x004fffff,0xff889ffd,0x03fff10f,0x13ffe600,0x4fff9800,
    0x027ff400,0x402fffc8,0x7fc44ffe,0x03fff10f,0x013fff60,0x5c5fffd8,
    0x2600efff,0xff00ffff,0x7fcc01ff,0xfff94fff,0xfffe8801,0x0dfff300,
    0x2fffffdc,0x43bffff9,0xfffffda8,0x7fe402ff,0x7fffdc0e,0x0fffffff,
    0x27ffcc00,0x9fff3000,0x077fe400,0x07fffa20,0xb81dff90,0xffffffff,
    0x7dc00fff,0x441adfff,0x0effffb9,0x42ffffe8,0x04ffffa8,0x303bfff6,
    0x9ffffff9,0x2073fff2,0x03ffffb8,0x106ffff4,0xbffdfffb,0xffffffe8,
    0xefffffff,0xf301ffff,0xfff705ff,0xffffffff,0x26666601,0x99cfffa9,
    0x26661999,0xcfffa999,0x4c199999,0x7cc02fff,0x7cc00dff,0xfffb82ff,
    0xffffffff,0xffffc800,0xffffffff,0xf500ffff,0xfddfffff,0x980bffff,
    0xfeefffff,0xffecffff,0xffffff94,0xffffffdd,0xffff5009,0x5ffffddf,
    0xfd88bff9,0xffffffff,0xfffe88df,0x04ffe80e,0xf9999993,0xf3019bff,
    0xffffffff,0xffffffff,0x3fffffe6,0xffffffff,0x27ff47ff,0x33fffe60,
    0x7f40cccc,0x9999304f,0x19bfff99,0x3fffee00,0xffffffff,0x7f4400bf,
    0xffffffff,0xfff7004f,0x3dffffff,0x7fdd3ff6,0xffffffff,0x32001eff,
    0xffffffff,0x20bff92f,0xefffffda,0x7fffcc1d,0x007ffdc5,0x807ffe20,
    0xfffffff9,0xffffffff,0xfffff37f,0xffffffff,0x7fdcffff,0x7ffcc00f,
    0x20ffffff,0x4000fffb,0x0001fff8,0xdfffdb95,0xd700059b,0x3bffffff,
    0xfffe9800,0x3f60ceff,0x7ff6544f,0x003defff,0xffffff50,0x02ffe419,
    0x20000cc4,0x8002fff9,0x2601fff8,0xffffffff,0xffffffff,0xffffff37,
    0xffffffff,0x3ffe6fff,0xffff9802,0xf30fffff,0xf10005ff,0x000003ff,
    0x9a980000,0x35300000,0x06620000,0x35310000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x200ef644,
    0x000aaaaa,0x55540000,0x155530aa,0x1aaa8000,0xccca8000,0x1ccc8800,
    0x55555530,0x80003555,0x65400098,0x76dcc43c,0x008000bd,0x4c000008,
    0x09aabcba,0xdedca880,0x003da9ab,0x03ffff60,0x0efffe98,0xfb000000,
    0x7fe45fff,0x3e20000f,0xc80004ff,0xf9800fff,0xfff903ff,0x09ffffff,
    0x3fffae00,0x7e44b81e,0x3fffe66f,0x3002ffff,0x3f601dfd,0x7540002f,
    0xffffffff,0x3fffea04,0xffffffff,0x3ffe0004,0x7ec402ff,0x00000eff,
    0x077ffec0,0x0003fff2,0x004fff88,0x00fffc80,0x903fff98,0xffffffff,
    0xff70009f,0x13bfffff,0x7fe49ff7,0xffffff56,0xb005ffff,0xff70bfff,
    0x3a2000ff,0xffffffff,0xfff904ff,0xffffffff,0x7c0009ff,0x7002ffff,
    0x0001dfff,0x13fff600,0x0007ffe4,0x009fff10,0x01fff900,0x207fff30,
    0xfeeeeeeb,0x7d4004ff,0xffffcdff,0x321fffff,0xefffafff,0xffffebab,
    0x37fff400,0x007fffe4,0x77fffec0,0x44fedccc,0xbcffffe8,0xffffdaa9,
    0x3ff20004,0x7f4c006f,0x400000ef,0x3202fffd,0x20000fff,0x0004fff8,
    0x800fffc8,0x4003fff9,0x4004fff9,0x3f220fe8,0x641fffff,0x03ffffff,
    0xb809fffb,0xff983fff,0xffa8005f,0x7e4002ff,0x3e200dff,0x5c0004ff,
    0xd88000cc,0x200005ee,0x6401deeb,0x20000fff,0x0004fff8,0x800fffc8,
    0x4003fff9,0x8004fff9,0x7bb93018,0xfffff901,0x3fffc403,0x93016540,
    0x3ffa0007,0x7fc4002f,0xfff8805f,0x00000004,0x00000000,0x003fff20,
    0x04fff880,0x0fffc800,0x03fff980,0x027ffcc0,0xfc800000,0xfc802fff,
    0x000002ff,0x06fff800,0x01fffc80,0x004fff88,0x00000000,0x32000000,
    0x20000fff,0x0004fff8,0x800fffc8,0x4003fff9,0x0004fff9,0xfff90000,
    0x3ffea007,0x00000003,0x0027ffc4,0x4017ffe2,0x0004fff8,0x00005554,
    0x00000000,0x0003fff2,0x004fff88,0x00fffc80,0x003fff98,0x0027ffcc,
    0xffc80000,0xfff1000f,0x00000009,0x003fff98,0x801fffcc,0x0004fff8,
    0x2a00fffc,0xcccccccc,0x6654002c,0x2ccccccc,0x107ffe40,0x017bddd7,
    0x2009fff1,0x3f24cccb,0xff9800ff,0x7fcc003f,0x332a004f,0x6f775c43,
    0x0fffc80b,0x0bfff100,0x3333332a,0x40002ccc,0x4003fffa,0x1002fffa,
    0x80009fff,0x7e402fff,0xffffffff,0x7ffe4004,0x04ffffff,0xfb87ffe4,
    0x2fffffff,0x4027ffc4,0x321ffffd,0xf9800fff,0x7cc003ff,0x3f2004ff,
    0x3fffee6f,0x7e42ffff,0x3fe000ff,0xffff906f,0x009fffff,0x03fffa80,
    0x00fffdc0,0x004fff88,0x2017ffc0,0xfffffffc,0x7e4004ff,0xffffffff,
    0x47ffe404,0xfffffffc,0x3fe21fff,0x7ffec04f,0x07ffe41f,0x01fffcc0,
    0x013ffe60,0xff96ffc8,0xffffffff,0x007ffe43,0x320bfff0,0xffffffff,
    0x7d40004f,0x7e4003ff,0xff1001ff,0xff80009f,0x6665402f,0x04fffdcc,
    0x66666540,0x6404fffd,0xdfffdfff,0x6fffebaa,0xc813ffe2,0xfc81ffff,
    0xff9800ff,0x7fcc003f,0x3ff2004f,0xaadfffce,0x326fffeb,0xf1000fff,
    0x332a09ff,0x4fffdccc,0xaaaaa880,0xaadfffca,0x22aaaaaa,0x1001fffc,
    0x40009fff,0x0002fff8,0x0009fff3,0x013ffe60,0x5ffffff9,0x23fffd10,
    0xf904fff8,0x3f203fff,0xff9800ff,0x7fcc003f,0x3ff2004f,0xe881ffff,
    0xfff91fff,0x3ffe6001,0x7ffcc003,0xffff9804,0xffffffff,0x6fffffff,
    0x400bffee,0x4004fff8,0x3ffffdc9,0x9fff3000,0x3fe60000,0x7ffe404f,
    0x3fee01ff,0x09fff13f,0x403ffff9,0x9801fffc,0x4c003fff,0x32004fff,
    0x200fffff,0xff93fffb,0x3fea001f,0x7fcc001f,0xfff9804f,0xffffffff,
    0xffffffff,0x00bffea6,0x8027ffd4,0xffffffd8,0xff30003f,0x2600009f,
    0x7e404fff,0x7c401fff,0x9fff14ff,0x01ffffc8,0x400fffe4,0x4003fffe,
    0x2004fff9,0x401ffffc,0xff94fff8,0x3ffa001f,0x7fcc000f,0xccc8804f,
    0xdfffdccc,0xcccccccc,0x017ffe63,0x013fffea,0x3fffffe2,0x30002eef,
    0x00009fff,0x9013ffe6,0x3e005fff,0x9fff15ff,0x007fffe4,0x201fffe4,
    0x004ffffc,0x0027ffcc,0x2005fff9,0xfff95fff,0x9fff5001,0x9fff3000,
    0xfffa8000,0x7fff8003,0x7ffffcc0,0xefffd804,0xf300000a,0x200009ff,
    0x6404fff9,0xff000fff,0x53ffe2bf,0x000efffc,0x640dfff9,0x005fffff,
    0x0027ffcc,0x2001fff9,0xfff95fff,0xfffe9801,0xfff98000,0x7fd40004,
    0xffc8003f,0xffff104f,0xff8809ff,0x400000ff,0x0004fff9,0x809fff30,
    0xf000fffc,0x3ffe2bff,0x00efffcc,0x37ffff20,0x3bbff660,0x26002fff,
    0x32004fff,0xff000fff,0x33fff2bf,0xffffb881,0xfff30002,0xffa80009,
    0xff98003f,0xff930bff,0x809fff9f,0x0004fffa,0x04fff980,0x9fff3000,
    0x00fffc80,0x3e2bfff0,0x2ffffeff,0x7fffe400,0xffffffff,0x0fffffb9,
    0x04fff980,0x003fff20,0xffcafffc,0xffeeffff,0x0004ffff,0x0013ffe6,
    0x007fff50,0x3fffff20,0xff4ffffe,0xfffb809f,0xf9800003,0x300004ff,
    0xfc809fff,0xfff000ff,0x2b3ffe2b,0x2001ffff,0xfffffffc,0x3fa1efff,
    0xf9800fff,0x3f2004ff,0xfff000ff,0x3fffff2b,0xefffffff,0x7fcc0001,
    0x7d40004f,0x320003ff,0xffffffff,0x9013ffe4,0x00007fff,0x009fff30,
    0x13ffe600,0x001fff90,0x7fc57ffe,0x1ffff94f,0x27fff200,0x40cffffe,
    0x800fffd8,0x2004fff9,0xf000fffc,0x3fff2bff,0xdefffffe,0xff300003,
    0xfa80009f,0x5c0003ff,0x42cffffe,0x7dc04fff,0x800005ff,0x0004fff9,
    0x809fff30,0xf000fffc,0x3ffe2bff,0x03bfff64,0xa89fff20,0x20013001,
    0x2004fff9,0xf000fffc,0x3fff2bff,0x00003330,0x013ffe60,0x07fff500,
    0x406a2000,0x4c04fff8,0x00007fff,0x004fff98,0x09fff300,0x000fffc8,
    0x3fe2bfff,0x77ffec4f,0x07ffe400,0x7cc00000,0x3f2004ff,0xfff000ff,
    0x003fff2b,0x7fcc0000,0x7d40004f,0x000003ff,0x009fff10,0x000bfffd,
    0x04fff980,0x9fff3000,0x00fffc80,0x3e2bfff0,0x7ff444ff,0x7ffe406f,
    0x98000000,0x32004fff,0xff000fff,0x03fff2bf,0x7cc00000,0x540004ff,
    0x00003fff,0x09fff100,0x09ffff50,0x7ffcc000,0xff300004,0xfffc809f,
    0x2bfff000,0xf884fff8,0x3f205fff,0x000000ff,0x004fff98,0x4003fff2,
    0xfff95fff,0x20000001,0x0004fff9,0x001fffd4,0xfff88000,0xffff7004,
    0x9800017f,0x00004fff,0xc809fff3,0xff000fff,0x13ffe2bf,0x82ffffcc,
    0x0000fffc,0x4fff9800,0x03fff200,0xfcafffc0,0x000000ff,0x009fff30,
    0x03fffa80,0xff100000,0x7fe4009f,0x2cdeffff,0x53333330,0x33339fff,
    0x26666033,0x9cfffa99,0xff919999,0x3ffe001f,0x409fff15,0xc84ffffa,
    0x00000fff,0x2a666666,0x9999cfff,0x0fffc819,0x32bfff00,0x00000fff,
    0x54cccccc,0x9999cfff,0xfff50019,0x20000007,0x4004fff8,0xfffffffa,
    0xffff984f,0xffffffff,0xf987ffff,0xffffffff,0x7fffffff,0x2001fff9,
    0xfff15fff,0xffffb809,0x007ffe43,0xffff9800,0xffffffff,0xfc87ffff,
    0xfff000ff,0x003fff2b,0xffff9800,0xffffffff,0x5007ffff,0x00007fff,
    0x13ffe200,0x3ffae200,0xff984fff,0xffffffff,0x87ffffff,0xfffffff9,
    0xffffffff,0x01fff97f,0x7c57ffe0,0xffc804ff,0x3fff23ff,0xff300000,
    0xffffffff,0x0fffffff,0x2001fff9,0xfff95fff,0x7cc00001,0xffffffff,
    0x7fffffff,0x07fff500,0x3e200000,0x4c0004ff,0xf983ecca,0xffffffff,
    0x7fffffff,0xffffff98,0xffffffff,0x1fff97ff,0x457ffe00,0xfb004fff,
    0x3bae5fff,0xf300000e,0xffffffff,0xffffffff,0x001fff90,0x775d7ffe,
    0x2600000e,0xffffffff,0xffffffff,0x7fff5007,0x22000000,0x00003eee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99300000,0x99500079,0xa9880059,0x4c400000,0x0001aaaa,
    0x54c00000,0x1000099a,0x00000353,0x55300000,0x00000035,0x10000000,
    0x00135553,0xf1000c00,0xe8001fff,0xca801fff,0xbceffffe,0xffd98000,
    0xefffffff,0xfffffd82,0xffffffff,0xffdb7006,0x17bfffff,0xfffed980,
    0x6400ceff,0x7c000fff,0x3fae06ff,0x1dffffff,0x3b326000,0xfc86fffe,
    0xffffffff,0x543fffff,0xfffffffd,0xa8000cff,0x36000ffd,0x26003fff,
    0x6c406fff,0xffffffff,0xb3001eff,0xffffffff,0xfb09ffff,0xffffffff,
    0x980dffff,0xfffffffe,0x204fffff,0xfffffffa,0x3201ffff,0x7c000fff,
    0xffea86ff,0xffffffff,0x3aa000ef,0xffffffff,0xfffffc86,0xffffffff,
    0x7fffec3f,0xffffffff,0x7ffe4003,0x3ffea000,0x3fff2006,0x3fffa603,
    0xfffdbbdf,0x7fcc02ff,0xfeefffff,0xfd84ffff,0xffffffff,0x2e06ffff,
    0xffffffff,0x04ffffff,0xfffffffb,0x05ffffff,0x0003fff2,0xff98dfff,
    0xfeddefff,0x9805ffff,0xfffffffe,0xffc86fff,0xffffffff,0x7ec3ffff,
    0xffeeefff,0x2002ffff,0x4000fffc,0xd001ffff,0x3e601fff,0x3a602fff,
    0xfd103fff,0x22015dff,0x999883ca,0xf9999999,0xfffd06ff,0x54c359ff,
    0xffd84feb,0xd730acff,0xf905ffff,0xff8001ff,0x3fffa26f,0xffff700b,
    0x7fffcc07,0x999abcef,0x99effc80,0x99999999,0x80566409,0x00ffffea,
    0x001fff90,0x804fffc8,0x3a05fff9,0xe8800eff,0xffc80fff,0x0000005f,
    0x7dc37ffc,0x3000dfff,0x2ffff985,0x1bfffa20,0x0003fff2,0x7fd4dfff,
    0xfffa804f,0xdffff305,0xdff90003,0x22000000,0x9002fffe,0x88001fff,
    0xfc807fff,0xdff702ff,0x7ff44001,0x00fffe84,0x7fc00000,0x7fffc46f,
    0xffd80003,0xffe8802f,0x07ffe41f,0xc9bffe00,0xff000fff,0x3fffa0df,
    0x3ff20003,0x20000006,0x9004fffb,0xb0001fff,0xff805fff,0x5fff107f,
    0x7fcc0440,0x1bffe20f,0x3e000000,0x7ffec6ff,0xff980004,0x3fea005f,
    0x07ffe45f,0xd9bffe00,0x3fa007ff,0x4fffa87f,0x37fe4000,0xf3000000,
    0xccca8bff,0xccfffecc,0x3ccccccc,0x502fffd4,0x3ee09fff,0xfffd886f,
    0x97ff62df,0x0006fff9,0x6fff8000,0x003fffe6,0x0bfff600,0x0ffff880,
    0x0003fff2,0x7fdcdfff,0xfff9801f,0x006ffe86,0x006ffc80,0x3fe60000,
    0x7fffe44f,0xffffffff,0x86ffffff,0xf900ffff,0x3ffe03ff,0x7ffffd42,
    0x3ffe63ff,0x007fffe0,0xfff00000,0x027ffecd,0x07fff800,0x22fffd80,
    0x4000fffc,0x3fe66fff,0xfffc805f,0x017ffcc4,0x037fe400,0xff700000,
    0xffffc87f,0xffffffff,0x86ffffff,0xff03fffc,0x1ffe20df,0x999ffff3,
    0x21ffe87d,0x001efffd,0x3ffe0000,0x003fffa6,0x17ffe200,0x8fffea00,
    0x4000fffc,0x7ff46fff,0x3ffea04f,0x07ffdc0f,0x37fe4000,0xfd000000,
    0xccca81ff,0xccfffecc,0x3ccccccc,0xa86fff98,0xff303fff,0x80effd8d,
    0xf517fec0,0x0007ffff,0x9bffe000,0x00006fff,0x0007fff3,0x7e49fff3,
    0x7fc000ff,0x7fffdc6f,0x3fff621e,0x06ffd82f,0x3f200133,0x0000006f,
    0x4007fff9,0x0000fffc,0xfb07fffa,0x3fea01ff,0x007ffe25,0x3f227fe4,
    0x00bfffff,0x3ffe0000,0x00bfff16,0x0fffea00,0x97ffe200,0x4000fffc,
    0xffc86fff,0xfffbdfff,0x9fff01ef,0x3fffff6a,0x3ff203ef,0xbcdeffff,
    0x3aa60000,0x64002fff,0x20000fff,0x3e24fffa,0x3fee05ff,0x801bfea4,
    0xffb85ffb,0x01dfffff,0x6fff8000,0x5c09fff3,0xcccccccc,0x005fff73,
    0x64dfff10,0x7c000fff,0xfff506ff,0x1bffffff,0x3fbffe20,0xffffffff,
    0xffc80eff,0xffffffff,0xfff801df,0x00efffff,0x00fffc80,0x87fffc00,
    0x3202fffb,0x17fee3ff,0x306ff980,0xfffffffd,0x7c00005d,0x7fff76ff,
    0x7ffffec0,0xfff95fff,0x3ffe0003,0x003fff27,0x440dfff0,0xfffffffe,
    0x3fffe201,0xfeeeffff,0x640fffff,0xffffffff,0x402fffff,0xffffffff,
    0x7e4000bd,0x640000ff,0xfffd2fff,0x2e3ffc80,0x3ea005ff,0x7fecc06f,
    0x00dfffff,0x76fff800,0x7ec07fff,0x5fffffff,0x0003fffb,0xffc9bffe,
    0x7ffc000f,0xffffd306,0x01bfffff,0x39fffff3,0x17fffea0,0x55333331,
    0x5fffffd9,0x7fffffc0,0x002fffff,0x0003fff2,0xf3bfff30,0xffb809ff,
    0x801bfea4,0x91005ffb,0x3fffffff,0x6fff8000,0x5409fff5,0xfffaaaaa,
    0x005fff95,0x64bfff10,0x7c000fff,0xfffb86ff,0xffffcaff,0x7ffd40ef,
    0xfff8800d,0xfe98001f,0x98800fff,0x3fffffca,0x01fff900,0x9fffd000,
    0xfa803fff,0x03ffe65f,0x0027fe40,0x77ffff5c,0x3ffe0000,0x009fff36,
    0x3eebfff0,0xf88002ff,0x3fff24ff,0x37ffc000,0x113fffee,0x41fffffb,
    0x2004fff9,0x0004fffb,0x005fffd1,0x07fffee0,0x003fff20,0x3fffee00,
    0xff9806ff,0x20f7ffc6,0x017fec08,0xbffff900,0xb7ffc000,0x8005fff8,
    0xfff55fff,0xfff30007,0x007ffe47,0xf99bffe0,0x3ee02fff,0x3fe24fff,
    0x3fe2004f,0x3ee0005f,0x2e0004ff,0xfc805fff,0x880000ff,0x02ffffff,
    0x7dc7ff88,0x3fecefff,0x0000fff4,0x001fffee,0x3fe6fff8,0xfff8006f,
    0x009fff35,0x645fff70,0x7c000fff,0x3fff66ff,0xffffa803,0x0017ffe0,
    0x4000dfff,0x0006fff9,0x201bffe2,0x0000fffc,0x0dffff90,0x361fffc0,
    0x3fffffff,0x0003ffe6,0x007fffe0,0xfd37ffc0,0xff8005ff,0x0ffff35f,
    0x43fffb00,0x2001fffc,0xff14fff8,0x7fec00df,0x01bffe2f,0x000ffff0,
    0x0037ffc4,0x201fffa0,0x0000fffc,0x07ffff30,0x543ffdc0,0x21cefffe,
    0x00005ffd,0x0005fff9,0x7e49fff1,0x7fc005ff,0x07fffe5f,0x47fff880,
    0x2002fffb,0xff33fff9,0x7fdc00bf,0x01fffa4f,0x005fff88,0x013ffea0,
    0x00dfff00,0x0001fff9,0x01fffe60,0x080fffe0,0x001fff10,0x03fff600,
    0x8fffea00,0x001ffff8,0xffb97ffe,0x3fee004f,0x1fffd43f,0x25fff500,
    0x2004fffa,0x3f63fffb,0xff3002ff,0x7e40007f,0x220002ff,0xfb805fff,
    0xb00001ff,0x70007fff,0xd8003fff,0x100004ff,0x2000ffff,0x7dc2fffd,
    0xff001eff,0x7fffc4bf,0x6fff9802,0x007fff88,0x7cc3fffa,0x3f6006ff,
    0x3ffe61ff,0x5fffb005,0x3ffe6000,0x3f20000f,0xffa803ff,0xfa80003f,
    0xf0000fff,0xd1003fff,0x00081fff,0x44bfffd0,0x7ffd401e,0x5fffff06,
    0xc8bfff00,0x2601ffff,0xfb02ffff,0xff9009ff,0x3ffff89f,0x0ffffa80,
    0x2017ffec,0x0005fffa,0x007fffd3,0x077ffdc0,0x07fffcc0,0xffff3000,
    0x7fcc0005,0xfd300bff,0x7bf907ff,0xfc998333,0x3e20efff,0xc9889bdf,
    0xf502ffff,0x157bffff,0x22fffdcc,0xacfffff9,0xffffca88,0x3fffe206,
    0xfffd981e,0xdffffc86,0xffffc881,0x3ffffa84,0x41ffff90,0xfb310098,
    0x09889fff,0x3fffae60,0x3ffa000f,0x205302ef,0x004fffe9,0xffffe880,
    0xffffdcce,0xffff901f,0xffffffff,0xf883ffff,0xffffffff,0x75405fff,
    0xffffffff,0x85ffffff,0xffffffe9,0x0dffffff,0x7ffffe40,0xfffffeef,
    0xffffb02f,0xffffddff,0x7fec0bff,0xffedefff,0x7fc42fff,0xffffeeff,
    0xffb85fff,0xffffeeff,0x4002ffff,0xfffffff9,0xaaaefffe,0x06ffffdb,
    0x3ff62000,0xffffffff,0x3fff200e,0xffffffff,0xf881dfff,0xffffffff,
    0xfb1003ff,0xffffffff,0x2209ffff,0xfffffffe,0x2a003fff,0xffffffff,
    0x2200efff,0xfffffffd,0x804fffff,0xfffffffb,0xf881efff,0xffffffff,
    0xff702eff,0xffffffff,0x200019ff,0xfffffffb,0xfffdefff,0x000dffff,
    0xffdca800,0x9802ceff,0xffffffed,0x400cffff,0xfffffeb8,0xca8001ce,
    0xfffffffe,0xedb800bd,0x01ceffff,0xfffec880,0x2003efff,0xffffffd9,
    0x26000cff,0xefffffed,0x3fffe203,0x02deffff,0x7fffffdc,0x000cefff,
    0xffffc880,0xffdcffff,0x0002ffff,0x00066000,0x26aaa660,0x0ccc0000,
    0x55440000,0x54400019,0xa8800001,0x98800009,0x100001aa,0x4c400153,
    0x8001aaa9,0x01aaa998,0x33300000,0x66f7e413,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03355300,0x001a9800,0x03551000,0x00000000,
    0x44000000,0xacdeedba,0x00000000,0x00000000,0x00000000,0xdd700000,
    0x3b2a0009,0xdfffffff,0xffec9802,0x0003efff,0x7ffffec4,0x7fdc0cef,
    0xffa8006f,0xfffff05f,0x157bdfff,0x3ffa2000,0xffffffff,0x003fff90,
    0x7fec0000,0xffffffff,0x3fffe27f,0xffffffff,0xffffffff,0xffffff91,
    0xffffffff,0x3ffff23f,0xabceffff,0xffff7000,0x7fec400b,0xffffffff,
    0x3fe602ff,0xffffffff,0xfff70005,0xffffffff,0x03fffe85,0x80ffff40,
    0xffffffff,0x004fffff,0x7fffffdc,0x90ffffff,0x00003fff,0x3fffe200,
    0xffffffff,0x3ffffe27,0xffffffff,0x1fffffff,0xfffffff9,0xffffffff,
    0x3fffff23,0xffffffff,0xfffff803,0xfff9801f,0xffffffff,0xff502fff,
    0xfffddfff,0x5c001dff,0xeeefffff,0x262fffff,0x7000ffff,0x7fc09fff,
    0xffffffff,0x802effff,0xbdfffffd,0x90ffdcaa,0x00003fff,0x3fffee00,
    0xffffffff,0x0001be27,0x7ffe47f6,0xffffffff,0xff91ffff,0xffffffff,
    0x203dffff,0x2ffffff8,0x7ffffdc0,0xf75311ac,0xffff505f,0xffffa817,
    0xffff1005,0x213faa09,0x8804fffd,0x3e00ffff,0xa9999eff,0x3fffffdc,
    0x13fffea0,0x3ff21710,0x0000001f,0x1fffbfff,0x088df100,0xfc8fec00,
    0x99999aff,0x32199999,0x9999afff,0xfffffdca,0xffffff02,0x7fffc401,
    0xd035001e,0x7c405fff,0xfd801fff,0x103803ff,0xc801ffff,0x7fc02fff,
    0x7ff4c06f,0xfff880ff,0xffc8002f,0xcdeeeeef,0xfa80001b,0x00fffbef,
    0x7fdc6f88,0x8fec02ce,0x0000fffc,0xa801fff9,0xa80fffff,0x6c03ffff,
    0x0000dfff,0x401fffd4,0x4405fffa,0x80006fff,0x2605fffb,0xff805fff,
    0xfffb006f,0x0bfff90b,0x3ffff200,0xffffffff,0x3f60002e,0x00fffbcf,
    0x7fdc6f88,0xfb02efff,0x003fff23,0x007ffe40,0x827ffec4,0x7cc01cb8,
    0x80000fff,0xd000fffd,0x7cc01fff,0xd00003ff,0x3f603fff,0xfff801ff,
    0xffff1006,0x00ffff83,0xfffff900,0xffffffff,0xf88001df,0x0fffb8ff,
    0x5306f880,0xfb07fff9,0x003fff23,0x007ffe40,0x01ffff88,0x1fffec00,
    0x7ffcc000,0x3ffee005,0x0bffea03,0x7ffd4000,0x04fffa86,0x400dfff0,
    0x3e25fffc,0x320005ff,0xa999afff,0x5fffffcb,0xbaffe400,0xf8800fff,
    0x2ffe8806,0xfffc8fec,0xfff90000,0x7ffe4001,0x3fe20005,0xb80000ff,
    0xf7002fff,0x7dc0bfff,0x200001ff,0x7f43fffd,0xfff000ff,0x7ffc400d,
    0x013ffe67,0x01fffc80,0x027fffdc,0x3ee5fff0,0x6f8800ff,0xd8bff100,
    0x01fff91f,0x03fff200,0x07fff880,0x13ffea00,0x7ffe4000,0x7ffec400,
    0x3ff206ff,0x2200001f,0x3fee7fff,0x3ffe002f,0x7fff4006,0x007fff70,
    0x00fffe40,0x007fffdc,0xff73ffd4,0x0df1001f,0x3f63fec0,0x001fff91,
    0x003fff20,0x000fffd0,0x001fffdc,0x407ffd80,0xffffffe9,0x07fff206,
    0xfff90000,0x00bfff17,0x4006fff8,0xff91fffd,0x7e40005f,0xffb001ff,
    0x9ffb003f,0x4007ffdc,0x3f2006f8,0x7e47f60f,0xf90000ff,0xfd8001ff,
    0xf90001ff,0x200005ff,0x3ee06ffe,0x7ffdefff,0x007fff20,0x3fffa000,
    0x9801fffc,0x99efff99,0x3ff20099,0x07fff72f,0x0fffe400,0x03fffb80,
    0xf70fffc4,0xdf1001ff,0x3637fc00,0x35fff91f,0x33333333,0x07ffe413,
    0x0bfff200,0x0fffec00,0x5fff8000,0x4ffffd88,0x6641fff9,0xccdfffec,
    0x02cccccc,0x7ffffd40,0xffff004f,0x9fffffff,0xa9fffe40,0x20004fff,
    0x3001fffc,0xfc80bfff,0x7fffdc6f,0x225fffff,0xffc9806f,0xffc8fec3,
    0xffffffff,0x3f26ffff,0x7e4000ff,0xfd0003ff,0x200001ff,0x7fcc5fff,
    0x3fee2fff,0x3ffffe1f,0xffffffff,0xd8004fff,0x000effff,0xffffffff,
    0x7dc09fff,0xbfff34ff,0x7ffe4000,0xbfff3001,0x5c3fff80,0xffffffff,
    0x7c1be25f,0xd85fffff,0xfffff91f,0xffffffff,0x07ffe4df,0x13ffee00,
    0x07fffc00,0x4fff8000,0x03bfffee,0x7fc3fff7,0xffffffff,0x04ffffff,
    0x2ffff980,0x3ffffe00,0x04ffffff,0x7c53ffee,0x90001fff,0x2a003fff,
    0x3ea03fff,0x7ffdc0ff,0x25ffffff,0xdfff06f8,0x647f605b,0xffffffff,
    0x26ffffff,0x4000fffc,0x0883fffb,0x00ffff40,0x8dfff800,0x904ffffd,
    0x66641fff,0xcccdfffe,0x202ccccc,0xeaaaaaa9,0xaaaaafff,0x37ffc01a,
    0x8ffff200,0x0005fffc,0x2003fff9,0x3a02fffc,0xfffb85ff,0xf06f8800,
    0x23fb003f,0x0000fffc,0x8001fff9,0x3623fffc,0xffb00eff,0x3a00005f,
    0xfffffeff,0x81fff602,0x0001fffc,0x7fffffdc,0xffffffff,0x7ffc04ff,
    0x7ffec006,0x33fffe22,0x7ffe4000,0xffff8801,0x03fff300,0x1001fff7,
    0x007fe0df,0x7ffe47f6,0xfff90000,0xfffd8001,0x1bffff62,0x001fffe4,
    0xfffffd80,0x7fec00ef,0x07fff206,0xffff7000,0xffffffff,0xf809ffff,
    0x7f4006ff,0x7ffe41ff,0x64c41bff,0x03fff90f,0x03fffe88,0x7dc1bff2,
    0x6f8800ff,0xfb003ff0,0x003fff23,0x007ffe40,0x447fffa0,0x81ffffff,
    0x0004fffb,0x9fffff90,0x81bffa00,0x0001fffc,0x6666664c,0xccccffff,
    0x7ffc02cc,0x3fffc006,0xffffffc8,0x0fffffff,0x2203fff9,0x405ffffb,
    0x9999cfff,0x800fffc9,0x015506f8,0x3ff23fb0,0xff90000f,0xfff8001f,
    0x3ffffe27,0x7fffa82f,0xfff70000,0x3fe2005f,0x3fff205f,0x3a000001,
    0x3e0007ff,0x3ea006ff,0x3fee05ff,0xffffffff,0xdfff90ff,0xffffdddd,
    0x7d401dff,0xffffffff,0x8800ffff,0xfd80006f,0x001fff91,0x003fff20,
    0x745fffb8,0x880fffff,0x0003ffff,0x004fffa8,0xc80bffee,0x00001fff,
    0x001fffa0,0x2006fff8,0x4403fffe,0xffffffeb,0x3fff22df,0xffffffff,
    0xffe803ff,0xffffffff,0xf8800fff,0x36007706,0x01fff91f,0x03fff200,
    0x43ffff80,0x201fffe8,0x0006fffc,0x400fffd0,0x7e407ffe,0x000001ff,
    0x8001fffa,0xf5006fff,0x22001fff,0x9009cfff,0xffffffff,0x3003bdff,
    0xffffffff,0x01ffffff,0xff70df10,0x323fb009,0x90000fff,0x2e001fff,
    0x3300efff,0xffff8801,0xffb80004,0xfffa803f,0x0fffe403,0x3ffee000,
    0xffffffff,0x404fffff,0xfb806fff,0x2a003fff,0x7e401fff,0x1acccdff,
    0x07ffc800,0x4007ffdc,0x6ffc86f8,0xff91fd80,0x3f20001f,0xffb800ff,
    0x700002ff,0x001dffff,0xffff106a,0x7fffd403,0x0fffe400,0x3ffee000,
    0xffffffff,0x404fffff,0x36206fff,0x4006ffff,0xfc806ffc,0x880001ff,
    0x7dc04fff,0x6f8800ff,0xd802ff98,0x01fff91f,0x03fff200,0x5ffffe88,
    0x3fe20000,0x89bcffff,0x82ffca99,0x20bffffc,0x03ffffb8,0x5fff9333,
    0x33333333,0xffb81333,0xffffffff,0x04ffffff,0x55577ffc,0xfffffecb,
    0x7ff4000d,0x1fffc804,0xfffb8000,0x07ffdc01,0x00037c40,0xfffc8fec,
    0x9999999a,0x3ff21999,0xedcaaabf,0x005fffff,0xfffd8800,0xffffffff,
    0xff902fff,0xffffffff,0x7ffc07ff,0xffffffff,0xffffffff,0x1fffa002,
    0xfffff800,0xffffffff,0xfff0004f,0x3fff9005,0xdffd0000,0xfffff700,
    0x223fffff,0xfd80006f,0xffffff91,0xffffffff,0x3ffff23f,0xffffffff,
    0x000003ff,0x7fffffd4,0x2fffffff,0x3ffffee0,0x402fffff,0xffffffff,
    0xffffffff,0x3a002fff,0x3e0007ff,0xffffffff,0x0001cfff,0x3200fff3,
    0x40001fff,0xb803fff9,0xffffffff,0xffff11ff,0xffffffff,0xffffffff,
    0x3fffff23,0xffffffff,0xffff91ff,0xffffffff,0x00000039,0x3fffb6e2,
    0x801befff,0xdffffeda,0xffff801c,0xffffffff,0x2fffffff,0x01fffa00,
    0xffffff80,0x000bcdee,0x80155440,0x0001fffc,0x4007ffe4,0xfffffffb,
    0xfff11fff,0xffffffff,0xffffffff,0x3ffff23f,0xffffffff,0xfff91fff,
    0x599ddfff,0x00000000,0x000026a6,0x00000351,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff50000,0x9dffffff,0x3fae0007,0x01dfffff,
    0x7fffe400,0x3fff2007,0xeeffffff,0x7ffe401c,0xfff8800f,0x7fffe46f,
    0xffffffff,0xfff71fff,0xffffffff,0x7fffffff,0x0007fff2,0xf700dfff,
    0x0bffa09f,0x7fffffcc,0xffffffff,0x1fff93ff,0x7fffd100,0x00037ffc,
    0xfffffff5,0x05ffffff,0x3ffffa20,0x03ffffff,0x3ffffe00,0xfff9001f,
    0xffffffff,0x3f203dff,0xfb803fff,0x7fe46fff,0xffffffff,0xf71fffff,
    0xffffffff,0xffffffff,0x07fff27f,0x00dfff00,0x3fe07ff9,0xffff301f,
    0xffffffff,0x3f27ffff,0xffd800ff,0x037ffc5f,0xfffff500,0xffffffff,
    0xfffa809f,0xfffdceff,0xfa8005ff,0x004fffff,0xfffffff9,0xffffffff,
    0xdffffb03,0xdffffd00,0xffffffc8,0xffffffff,0xfffff71f,0xffffffff,
    0x327fffff,0x7c001fff,0xffd806ff,0x201fff03,0xfffffff9,0xffffffff,
    0x01fff93f,0xf86fffc8,0x2a0006ff,0x9999cfff,0x2fffffba,0x09fffd10,
    0x007fffea,0xffffff90,0x3fff200f,0xda99999a,0x6c0effff,0x201fffff,
    0x47fffff9,0x999bfffc,0x19999999,0x2aaaaaa6,0xaaaaaaaa,0xff92fffd,
    0xfff8003f,0x82ffe806,0x4cc07ff8,0xfffe9999,0x90999999,0x7d401fff,
    0xfff80eff,0x3fea0006,0x7ffec03f,0x07fff907,0x005fff98,0x7fe67ffc,
    0xfffc801f,0x7fffcc01,0x7feffec2,0x3f7ff204,0x17ffe47f,0x74000000,
    0x3fff27ff,0x37ffc001,0x4c0fff40,0xfd0007ff,0xfff900ff,0x3fffe201,
    0x00dfff01,0x01fffd40,0x303fffe2,0x3200dfff,0xf5001fff,0x9fff55ff,
    0x03fff900,0xe89fff70,0x207ffbff,0x47ffafff,0x0002fffc,0x7ffd4000,
    0x007fff23,0xf00dfff0,0xdff501ff,0x1fffa000,0x403fff20,0x3e02fffe,
    0x2a0006ff,0xfd803fff,0x7ffd41ff,0xbfff3002,0x43fff200,0xfc806fff,
    0xff9801ff,0x7cfff45f,0xdffa81ff,0x3f20fff9,0x000002ff,0x907fff40,
    0xf8003fff,0x7fc406ff,0x00bff707,0x201fffa0,0xfd80fffc,0x7ffc03ff,
    0x3fea0006,0xfffc803f,0x00fffe42,0x200dffd0,0x3ff65fff,0x7ffe401f,
    0x4fff9801,0x7fe4fffc,0xf9affd84,0x3fff20ff,0x20000002,0x7e43fffa,
    0x7fc001ff,0x7ffffc6f,0xffffffff,0xffffffff,0x07ffe801,0x5c0fffc8,
    0xff805fff,0x3ea0006f,0xffd803ff,0x07ffec1f,0x00fffb00,0x7d45fff3,
    0x7fe404ff,0xfffa801f,0x7ccfffc2,0x9bffc47f,0x3ff20fff,0x0000002f,
    0xf903fffa,0xff8003ff,0x7ffffc6f,0xffffffff,0xffffffff,0x07ffe801,
    0x260fffc8,0xff006fff,0x7d4000df,0xfff803ff,0x0fffec0f,0x01fff900,
    0x220fffc8,0x7e406fff,0xffd801ff,0xff0fff87,0x9a7fdc5f,0x3ff21fff,
    0x0000002f,0xf909fff5,0xff8003ff,0x77776c6f,0xeeeeefff,0xeeeeefff,
    0x07ffe801,0xf10fffc8,0x3e001fff,0x2a0006ff,0x7e403fff,0xfffc85ff,
    0x3ffee002,0x437ffc01,0x3201fffd,0x7e401fff,0x7ffc45ff,0x7f4bff90,
    0x43fff11f,0x0002fffc,0x1fffd000,0x003fff90,0x5c06fff8,0x3ffd04ff,
    0x1fffa000,0x743fff20,0x3e001fff,0x2a0006ff,0xf9103fff,0xff701fff,
    0x7fdc00bf,0x3ffe602f,0x04fffb83,0x3107fff2,0x81dfffd7,0xff30fff8,
    0x44dff11f,0x3ff21fff,0x8000002f,0xf904fff9,0x333335ff,0xff333333,
    0x3ffc80df,0x0003fff0,0x3201fffa,0xfffc8fff,0x37ffc002,0xbfff5000,
    0xfffdb999,0x3fe203ff,0xfd8801ff,0x3ff203ff,0x6fff880f,0x3fffff20,
    0xffffffff,0x41fff103,0x3ffbaffe,0xfc8bffe2,0xeeeeeeff,0x003eeeee,
    0x201fffd0,0xfffffffc,0xffffffff,0x7ec06fff,0x01fff03f,0x01fffa00,
    0x3ff3fff2,0xfff8003f,0x3fea0006,0xffffffff,0x7dc01dff,0x4c40bfff,
    0x02fffffc,0xfe81bffe,0xfff901ff,0xffffffff,0xff3017df,0x76ffdc1f,
    0x17ffc0ff,0xfffffff9,0x9fffffff,0x9fff3000,0x7ffffe40,0xffffffff,
    0x406fffff,0xff882ffe,0x3ffa0007,0xffffc807,0xf8000fff,0x2a0006ff,
    0xffffffff,0x3a001eff,0xfeffffff,0xffffffff,0x07fff302,0xc81fffdc,
    0xffffffff,0x2fffffff,0x3e23ffcc,0xff85ffff,0x3ffff22f,0xffffffff,
    0xfd8004ff,0x3ff201ff,0xffffffff,0xffffffff,0x40fffc06,0x20006ff9,
    0xfc807ffe,0x06fffdff,0x006fff80,0x2b7ffea0,0x04ffffcb,0x3ffff220,
    0xdeffffff,0xff901fff,0x7ffcc03f,0x35fff906,0xffb53333,0x7fd45fff,
    0x2ffffd87,0x3f23fff8,0xaaaaacff,0x001aaaaa,0x202fffcc,0x999afffc,
    0x99999999,0x7fc06fff,0x06ffa80f,0x01fffa00,0x3fa7fff2,0x7fc004ff,
    0x3ea0006f,0xfffd83ff,0x7f6cc005,0xf72defff,0x3ffe01ff,0x1fffe806,
    0x401fffc8,0x50ffffe8,0xfff50fff,0xc8fffe0f,0x00002fff,0x007fff60,
    0x8003fff9,0x3e206fff,0x0bff707f,0x03fff400,0x7c47ffe4,0x3e003fff,
    0x2a0006ff,0xffb03fff,0x04c0005f,0xf307ffd8,0xff9009ff,0x3fff907f,
    0x7fffd100,0x7fc1ffee,0x47fff04f,0x0002fffc,0x0bfff300,0x003fff90,
    0x3326fff8,0xccfffdcc,0xceffeccc,0xfd000ccc,0xfff900ff,0x07fffea1,
    0x0037ffc0,0x207fff50,0x0006fff9,0x20bfff00,0xcccdfffc,0xffdccccc,
    0x1fffc86f,0x29fff700,0xdd707ffb,0xc93ffe03,0x00002fff,0x003fffb0,
    0x8003fff9,0x3ffe6fff,0xffffffff,0xffffffff,0xffd000ff,0x1fff900f,
    0x0077ffe4,0x00037ffc,0x6c07fff5,0x00003fff,0xf81fffcc,0xffffffff,
    0xffffffff,0x0fffe40f,0x75fff980,0x74000fff,0x3fff24ff,0xf9800002,
    0xff9006ff,0xfff8003f,0x3fffffe6,0xffffffff,0x0fffffff,0x00fffd00,
    0xfd81fff9,0xfff805ff,0x3fea0006,0x3ffe603f,0x7ec00007,0xffff306f,
    0xffffffff,0x87ffffff,0x5001fffc,0x3ff29fff,0x3ffa0006,0x00bfff25,
    0x3fff6000,0x3fff9002,0x26fff800,0xdffc9999,0xffe99999,0x2001999b,
    0xfc807ffe,0x7ffc40ff,0x37ffc04f,0x7fff5000,0x03fffd80,0x3fff9000,
    0x3bbfff20,0xeeeeeeee,0x646fffee,0xf7001fff,0x1bff25ff,0x25ffe800,
    0x0002fffc,0x037ffcc0,0x003fff90,0x3206fff8,0x3fff03ff,0x3fff4000,
    0x407ffe40,0x202ffff9,0x20006fff,0x4c03fffa,0x80006fff,0x3e05fffb,
    0xff8007ff,0x3fff20ff,0xffff8801,0x000dff90,0xff92fff4,0xd800005f,
    0x32002fff,0x7c001fff,0x3ff606ff,0x001fff03,0x403fff40,0xf700fffc,
    0x3fe01fff,0x3ea0006f,0xffe803ff,0xfd50002f,0x3e601fff,0xfc8004ff,
    0x3fff23ff,0x7ffec401,0x001bff65,0x3f26ffd8,0x200002ff,0x4006fff9,
    0x4001fffc,0x3fa06fff,0x07ff882f,0x03fff400,0xb007ffe4,0x3fe0dfff,
    0x3ea0006f,0xffa803ff,0x7533306f,0xdfffffb9,0x17ffe405,0x37ffd400,
    0x3335fff9,0xffffb753,0x037fec1d,0x64dffb00,0x00002fff,0x000bfff6,
    0x8003fff9,0x3fe06fff,0x06ff981f,0xd3333330,0x33333fff,0x03fff213,
    0x85fffe88,0x9999efff,0x19999999,0x400fffea,0x7c42fffe,0xffffffff,
    0xfff803ff,0x3ffe0007,0xfffff90f,0xffffffff,0x5ffe81df,0x9bff6000,
    0x0002fffc,0x00dfff30,0x003fff90,0x3e06fff8,0x6ffa80ff,0xfffff980,
    0xffffffff,0xfff93fff,0xffff9801,0x7fffffc3,0xffffffff,0x7fff50ff,
    0x1bffee00,0xfffffff1,0xf3001bff,0x6c0009ff,0xfff93fff,0xffffffff,
    0x3ffa05df,0x3ff60005,0x00bfff27,0x1fffec00,0x0fffe400,0x41bffe00,
    0xff707ff8,0xffff300b,0xffffffff,0x3f27ffff,0xffb800ff,0x3fffe1ff,
    0xffffffff,0xff50ffff,0x7ffc007f,0x3bffe22f,0x20009acd,0x0002fffc,
    0x7e5bffea,0xeeffffff,0x7ff402cc,0x3ff20005,0x00bfff27,0x1fffe600,
    0x0fffe400,0x41bffe00,0xff907ff9,0xffff3009,0xffffffff,0x3f27ffff,
    0xffb000ff,0x3fffe1ff,0xffffffff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x19988000,0x00000000,
    0x26000000,0x000001aa,0x7dc00000,0x2601ffff,0xffffffff,0xffffffff,
    0xdfff93ff,0x7ffdc000,0x07fffdc6,0x13fff600,0x40009fff,0xffb0fff9,
    0x7c40009f,0x3ee006ff,0x7c400fff,0xffffffff,0xffffffff,0xfff92fff,
    0xbdffffff,0x37220017,0x0dffffff,0x17fffee0,0x004ffe80,0xffffff10,
    0x7fffcc03,0xffffffff,0x13ffffff,0x0007ffff,0xd03ffff1,0x54009fff,
    0xfff86fff,0x3fe60004,0x0dfff50f,0x27ffdc00,0x7ffffdc0,0x7ffc400f,
    0xffffffff,0xffffffff,0xfffff92f,0xffffffff,0x7ffd4019,0xffffffff,
    0xfffff703,0x13ffa003,0x7fffec00,0x3fe601ff,0xffffffff,0xffffffff,
    0x03fffee3,0x0bfff700,0x007fffe6,0x20bfffe2,0x20005ffe,0x3fe27ffa,
    0xfb0001ff,0x7f5403ff,0x00ffffff,0x7fffffc4,0xffffffff,0x92ffffff,
    0xffffffff,0x3fffffff,0xffffffb0,0x5ffffffd,0xbfffff70,0x013ffa00,
    0x3ffffea0,0x2aa201ff,0xaaaaaaaa,0xffffcaaa,0x027fffc0,0x01ffff10,
    0x4037ffe4,0xfb05fffc,0x7d4000bf,0x1fffec7f,0x37ffc400,0xfffffea8,
    0x9800ffff,0xe9999999,0x99999fff,0xfff90999,0xffda9883,0x3fee0fff,
    0x3ea21bff,0x7dc0ffff,0x800fffff,0x44004ffe,0xfffcdfff,0xfe800001,
    0xfffa83ff,0xfff9000f,0xffff8809,0x3fffe603,0x00dffb00,0x2a3ffdc0,
    0xa8006fff,0xffe84fff,0xfff9efff,0xfe80000f,0x3ff2007f,0x7ff4c01f,
    0x006fec6f,0xb87fffd1,0x04ffffff,0x4004ffe8,0xffc8fffd,0x6400001f,
    0x3fa05fff,0xff8804ff,0xffa800ff,0xfffd00ff,0x037fe405,0x88dff700,
    0x4000ffff,0xfc81fffd,0x3ffe2eff,0xfe80000f,0x3ff2007f,0xfff9801f,
    0xfb801c0f,0x7ffdc5ff,0x7400fffd,0x3ea004ff,0x3fff93ff,0x7fcc0000,
    0x3fe600ff,0x7fe400ff,0x3ff6003f,0x5fffb84f,0x003ffe40,0xfb0dff70,
    0x7c4007ff,0x7ff306ff,0x001ffff0,0x00fffd00,0x800fffe4,0x0002fffc,
    0xfb8ffff1,0x04fffaff,0xd0027ff4,0x7ffe4dff,0x3fa00001,0xffd803ff,
    0x3ffe605f,0x7ffc4006,0x3fffe21f,0x03ffdc00,0x50bff900,0x5400dfff,
    0x02e03fff,0x0007fffc,0x003fff40,0x2003fff9,0x0004fffa,0xfb83fffe,
    0x0fffd8ff,0x4013ffa0,0x3f21fffc,0x900001ff,0x2200bfff,0xfb01ffff,
    0xf70005ff,0x7ffe4dff,0x07ffb803,0x213ff200,0x000ffff8,0x0003fffb,
    0x0003fffe,0x801fffa0,0x3001fffc,0x4000bfff,0x7fdc7fff,0x03fffa8f,
    0x26013ffa,0x7fe44fff,0xf980001f,0x32000fff,0xff986fff,0x3fa0006f,
    0x6fff9bff,0x01fff500,0x3f603993,0x7fffb04f,0x01bffe00,0x00ffff80,
    0x07ffe800,0x007fff20,0x0027ffcc,0xfb8dfff0,0x0ffff0ff,0x74027ff4,
    0xfffc86ff,0xffe80001,0x7fc4003f,0x7ffec2ff,0x3fe60001,0x01fffeff,
    0x901fff30,0x3ff60bff,0x0bfff503,0x007fff50,0x007fffc0,0x03fff400,
    0x003fff90,0x000fffee,0x2e2fffcc,0xfff70fff,0x013ffa05,0xf903fff7,
    0xb80003ff,0x70005fff,0x7fccdfff,0xfc80005f,0x004fffff,0x3e07ffe6,
    0xffe80fff,0x1ffff103,0x01fffc80,0x03fffe00,0x1fffa000,0x01fffc80,
    0x003fffb0,0x70bfff60,0x3fe21fff,0x09ffd06f,0xc827ffc4,0x20001fff,
    0x000ffff9,0x74bfffa0,0x80000fff,0x0efffff8,0x07ffe200,0xd07ffff3,
    0x7fec05ff,0x37ffc02f,0x3fffe000,0xffe80000,0x3fff2007,0x5fffb801,
    0xdfff3000,0x641fff70,0xffe82fff,0x81bff604,0x0001fffc,0x000ffffa,
    0xf5dfff50,0x400009ff,0x003ffffb,0x320fffc4,0xff86ffff,0x3ffea02f,
    0x0fffe605,0x1ffff000,0xfffd0000,0x0fffe400,0x1ffff910,0xffff1000,
    0x41fff705,0xfe86fff8,0x3fff704f,0x00fffe40,0x06fffb80,0xffffd000,
    0x00001fff,0x07fffff4,0xd0bffe00,0xf81fffff,0x3fe201ff,0x3fff207f,
    0x7ffc0000,0xfe80000f,0x3ff2007f,0xccaaaabf,0x003fffff,0x209fffb0,
    0x7e40fffb,0x27ff41ff,0x2027ffc4,0x8001fffc,0x000ffff9,0xfffff300,
    0x5c00007f,0x04ffffff,0xf317ffc0,0xf87ffdbf,0x7fec01ff,0x0dffd02f,
    0x1ffff000,0xfffd0000,0x7fffe400,0xffffffff,0xfb0002ff,0x7fdc0dff,
    0x2fffc40f,0x3f613ffa,0x7fe400ff,0xffe8001f,0x6c00003f,0x0006ffff,
    0x3ffffe20,0x3a001fff,0x2ffee3ff,0x3fe26ffc,0x7ffd400f,0x03fff984,
    0x0ffff800,0x7ffe8000,0x3ffff200,0xffffffff,0xff90000c,0x7fdc01df,
    0x1fffd80f,0xff513ffa,0xfff9005f,0xfffb8003,0xf8800006,0x00002fff,
    0x3eeffff6,0x3fa006ff,0x263ffa3f,0xfff10fff,0x7fff8801,0x000fffb8,
    0x00ffff80,0x07ffe800,0x3fffff20,0x00abceff,0x3bfff200,0x07ffdc00,
    0xfd2fffcc,0xaefff89f,0xaaaaaaaa,0xaaacfffd,0x3fffe202,0xfd000000,
    0x540000ff,0x3ffa6fff,0x9ffb004f,0xfff9bfe6,0x200fff13,0x7f41fffd,
    0xff00006f,0xd00001ff,0x7e400fff,0x000001ff,0x001dfff9,0x3a01fff7,
    0x9ffd0fff,0xfffffff8,0xffffffff,0x07ffffff,0x000ffff6,0x07ffe800,
    0xffff1000,0x0ffffcc3,0xfbaffec0,0x4dbff23f,0xff5007ff,0x1fffcc9f,
    0xffff8000,0xffe80000,0x3fff2007,0xfc800001,0xf7000eff,0x3fea01ff,
    0xf89ffd4f,0xffffffff,0xffffffff,0xf707ffff,0x00000dff,0x0007ffe8,
    0xb0bfffb0,0xf900dfff,0x983ffabf,0x6ff99fff,0x4ffff100,0x0000fffc,
    0x001ffff0,0x00fffd00,0x000fffe4,0x3bfff200,0x3ffee000,0x75fffa00,
    0x777744ff,0xeeeeeeee,0xeeefffee,0xffff886e,0x74000000,0xa80007ff,
    0xf880ffff,0x7e403fff,0xe86ff8ef,0x06ffacff,0x747fff60,0x200006ff,
    0x0000ffff,0x2007ffe8,0x0001fffc,0x03bfff20,0x01fff700,0x7f5fffd4,
    0xfc80004f,0xffd801ff,0x8000003f,0x40007ffe,0x203ffff8,0x200ffffb,
    0x3ffbeffb,0xffafffb8,0x3ffea005,0x003fff9c,0x03fffe00,0x1fffa000,
    0x01fffc80,0xdfff9000,0xfff70001,0xeeffe801,0xc80004ff,0x7dc01fff,
    0x000006ff,0x000fffd0,0x806fffc8,0x2a05fffe,0x81ffdfff,0x5ffdfff9,
    0x3bffe200,0x0000fffb,0x003fffe0,0x01fffa00,0x001fffc8,0x0efffc80,
    0x1fff7000,0xfffffb80,0xfc80004f,0x3fe201ff,0xcccccdff,0xcccccccc,
    0x3fff4003,0xffff5000,0xffff3003,0x3fffea05,0x3fffa06f,0x7ec004ff,
    0x006fffff,0x55555544,0xaabffffa,0x3a000aaa,0x3f2007ff,0x640001ff,
    0xcccdffff,0xcccccccc,0x01fff72c,0x9ffffff0,0xfff90000,0x7fffe403,
    0xffffffff,0x05ffffff,0x003fff40,0x00bfffd0,0x407fffe4,0x03fffff9,
    0x13ffffee,0xfffff500,0xff98007f,0xffffffff,0x2fffffff,0x01fffa00,
    0x001fffc8,0x7fffff40,0xffffffff,0xff74ffff,0xfff7001f,0x900009ff,
    0x7e403fff,0xffffffff,0xffffffff,0x7ff4005f,0xfff90007,0x7fc4001f,
    0xfff985ff,0x3fe201ff,0x44003fff,0x00ffffff,0x7ffffcc0,0xffffffff,
    0x2002ffff,0x32007ffe,0x40001fff,0xfffffffe,0xffffffff,0x1fff74ff,
    0xfffff100,0xff900009,0x7ffe403f,0xffffffff,0x5fffffff,0x03fff400,
    0x1ffffcc0,0x7fffdc00,0x37fffc42,0x1fffff40,0x7fffec00,0xfff98006,
    0xffffffff,0x02ffffff,0x801fffa0,0x0001fffc,0x7ffffff4,0xffffffff,
    0xfff74fff,0x3fff2001,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09988000,0x00000000,
    0x540e2000,0xa9800001,0xcdeefedc,0xfb951002,0x6540159b,0x999000cc,
    0xbfdb7307,0xcedb9837,0x3baa0002,0x32a20003,0x0cceffed,0xedba8800,
    0x3000acde,0x159bfd95,0x7fec0000,0x01ec4006,0x0000f4c0,0x3ea27f4c,
    0x9100002f,0xffffffff,0xfb801fff,0xffffffff,0x01fff902,0xe897ffe0,
    0xffffffff,0xffffff52,0xfff5000b,0xfe98005f,0xffffffff,0xe8800cff,
    0xffffffff,0x3f6200ff,0xffffffff,0xffb00003,0x7ffdc00d,0x67ff4001,
    0xfff50000,0x3fffe67f,0x7fcc0003,0xffffffff,0xfb100fff,0xffffffff,
    0xffc81bff,0xbfff000f,0x7fffffc4,0xfffcffff,0x005fffff,0x02ffffec,
    0x3ffffea0,0xffffffff,0x3ffee00e,0xffffffff,0xffff500f,0xffffffff,
    0xfd80001d,0x3ff2006f,0x3fee006f,0xff70006f,0xfffb89ff,0x3fa0004f,
    0x9999beff,0xfd00edba,0x73115bff,0xfc89ffff,0xfff000ff,0x4d5ffc4b,
    0xffffffa8,0x1fffd99c,0x3ffff600,0x77fd4005,0xfda99abc,0xffb05fff,
    0x9557bfff,0xff501ffb,0xb7359dff,0x000dffff,0x4006ffd8,0x4083fffe,
    0x000ffff8,0x03ffffd8,0x01dffff3,0x04fffb80,0x27ffdc00,0x43fffd30,
    0xf000fffc,0x30144bff,0xf88dffff,0x3e6004ff,0x4c001fff,0xfffa801b,
    0x7fffd40f,0x2205c404,0x2a03ffff,0x0003ffff,0x3001bff6,0xff95ffff,
    0xfffd7bdf,0xffe88005,0x7f4401ff,0x32001eff,0x20000fff,0x9805fff8,
    0x3ff25fff,0xbfff000f,0x2ffff800,0x4007ffc8,0x00001cc9,0x22fffc80,
    0x002ffff8,0x00ffff20,0x003fffe6,0x0037fec0,0x7fffffd4,0xffffffff,
    0x7ff4c004,0xfb1000ef,0x36005fff,0x20000fff,0xb001fffc,0x3ff21fff,
    0xbfff000f,0x07ffe800,0x0001fff5,0x4c000000,0x3ff23fff,0x3e20005f,
    0x3f2006ff,0xfb0003ff,0x3f2000df,0xffffffff,0x54006fff,0x0005ffff,
    0x007ffff9,0x000bfff7,0x70037ffc,0x3ff23fff,0xbfff000f,0x06ffc800,
    0x0001fff3,0x44000000,0x3ffe4fff,0x3ea0000f,0x3e6003ff,0xfb0005ff,
    0x3ee000df,0xeb9acfff,0x2e006fff,0x0004ffff,0x027fffdc,0x0bbfffe6,
    0x013ffe00,0xf92fffa8,0x3fe001ff,0x7fe4005f,0x03fff306,0x00000000,
    0xf8a7ffc4,0x640005ff,0x7c000fff,0xddd906ff,0xffffdddd,0xbddddddd,
    0x20bfffa0,0x802fffe8,0x002ffffc,0xbffff300,0x7fffdc01,0xf9802cff,
    0xaaaaadff,0xffcaaaaa,0x01fff93f,0x4417ffe0,0xffeccca9,0xfcccccce,
    0x555512ff,0x55555555,0x55555555,0xccba9801,0x4fffcccc,0x0009fff3,
    0x8007ffd8,0xffb07ffe,0xffffffff,0xffffffff,0x09fff50f,0x102fffd4,
    0x003dfffb,0xfffe8800,0x3ffee01e,0x01cfffff,0xfffffff5,0xffffffff,
    0x3ff29fff,0xbfff000f,0xffffff70,0xffffffff,0x225fffff,0xffffffff,
    0xffffffff,0xd502ffff,0xffffffff,0x3ee9ffff,0x740003ff,0xfd8006ff,
    0xfffd80ff,0xffffffff,0x7fffffff,0x401fffc8,0xfd306fff,0x00001dff,
    0x3ffff620,0x3fff6202,0x40dfffff,0xfffffffb,0xffffffff,0xfff94fff,
    0x17ffe001,0xfffffffb,0xffffffff,0x225fffff,0xffffffff,0xffffffff,
    0x7442ffff,0xffffffff,0x94ffffff,0x80005fff,0xc8006fff,0xaaa80fff,
    0xffeaaaaa,0xaaaaaaaf,0x807ffd82,0xffb07ffe,0x000005ff,0x06ffff88,
    0xffffdb88,0x3fea0fff,0xaaaaaadf,0xaaaaaaaa,0x001fff91,0xffa97ffe,
    0xfc999aef,0x999999ef,0x3ffe2199,0xffffffff,0xffffffff,0x7ffff42f,
    0x999999ac,0xfff74fff,0xffe80007,0x7ffd8007,0x0dffb000,0x00dfff00,
    0x3201fffb,0x0003ffff,0xbffff300,0xfeb88001,0x3fe66fff,0xfc80004f,
    0xfff000ff,0xc83fff4b,0x000006ff,0x7ffdc000,0x7ffc400e,0x009fff34,
    0x00fffd80,0x0037ff40,0x8006ffd8,0xfd807fff,0x3fea00ff,0x400005ff,
    0x004ffffb,0x1ffffa80,0x000bfff1,0x003fff70,0x7fc57ffe,0x0dff904f,
    0x80000000,0x8800fffd,0xfff14fff,0xffc8000b,0x3fe2001f,0xffb0005f,
    0xfffd000d,0x00fffd00,0x01dffff3,0xffff9000,0x7e400005,0x3fffe2ff,
    0x7fdc0000,0xfffc801f,0x205fff35,0x0000fffc,0x3fe00000,0xfff1007f,
    0x00ffffc9,0x09fff700,0x01fffdc0,0x006ffd80,0x201fffd8,0x1005fff9,
    0x003dfffd,0x3ffff620,0x7d400001,0x3fff23ff,0x7fd40004,0x7ffdc03f,
    0x03fff35f,0x005fffd1,0x10002000,0xb100dfff,0x7fec9fff,0x3e20005f,
    0xfd000fff,0x360001ff,0xfb8006ff,0x3ff205ff,0x3f62002f,0x44002fff,
    0x000efffe,0x1fffd800,0x00bfffe2,0x06fff980,0x57ffffee,0xfe83fff8,
    0x00005fff,0x2002ffe4,0x2600ffff,0x224fffff,0x000cffff,0x01bfff90,
    0x01fffec4,0x00dffb00,0x09ffff10,0x000dfff9,0x00fffff2,0x06ffffd4,
    0x004dec40,0x70dfff93,0x803bffff,0x7fff41a9,0x3fff620d,0x3ffe5ffe,
    0xfdffb10e,0x00660bff,0x03ffffb8,0x03bfff60,0xffffff93,0xfffffb89,
    0x07e4c41b,0x2bbfffe2,0x3fffaa20,0x7fec0006,0xfff90006,0xffffbbdf,
    0x7dc0009f,0x7dc05fff,0x22004fff,0xeeffffff,0x1ffffffe,0xffffffb0,
    0xffffdddd,0xfffffa87,0xcaffffee,0x3fff65ff,0xfd5fffef,0xffdbdfff,
    0x7ffec009,0x3fe6006f,0xfffeefff,0x84ffecff,0xfffffffd,0x80ffffff,
    0xeffffffa,0x1efffffe,0x1e654000,0x7fff4400,0xffffffff,0x260001ff,
    0xc80effff,0x4003ffff,0xfffffff8,0x1effffff,0x7ffffdc0,0xffffffff,
    0xfffffc83,0xff92ffff,0x7ffffc4b,0x3ffe25ff,0x04ffffff,0x17ffff20,
    0xfffff700,0x363dffff,0xfff504ff,0xffffffff,0x3ffa201f,0xffffffff,
    0x00000004,0xffffffb0,0xfffdffff,0xfe88000d,0xffb11eff,0x320003ff,
    0xfffffffe,0x22002dff,0xffffffec,0xf501ceff,0x419fffff,0x7f4c5ffc,
    0xfc983eff,0x01dfffff,0x03fffe20,0x3fffa600,0x3f60ceff,0x3f6e204f,
    0x2dffffff,0xffffeb80,0x00002def,0xfff70000,0x47332a6b,0x0004fffc,
    0x88fffec4,0x0000effe,0x35553330,0x2a620000,0x4c400199,0x2a20001a,
    0x03551001,0x00554400,0x000d4c00,0x00999800,0x0026a200,0x99999980,
    0x99999999,0x3e609999,0xf8800fff,0x80002fff,0x06f441fc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xffffffff,0x1ffff45f,0x1ffff500,0x02010000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0xffffffff,0xffffffff,
    0x1bf622ff,0x007bf600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe2000,0xffffffff,0x2fffffff,0x288001a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcc880000,0x3220001c,0x2a6601cc,0xcccb8019,
    0x33322003,0x9999911c,0x99999999,0x332a1999,0xcdedb883,0x07999301,
    0x45999500,0x3bf623cc,0x40deeb83,0x75c43cca,0x4000bdee,0x000001a9,
    0x77310000,0x10000015,0x09fff000,0x0fffd400,0x3fffff6a,0xff500cff,
    0x3f6005ff,0x3ffe25ff,0xffffffff,0xf90fffff,0x7ffec4bf,0xf883ffff,
    0x74000fff,0x5bfe1fff,0x23fffff9,0x20fffffd,0x3fee6ffc,0x02ffffff,
    0x7fffff54,0xffb0000d,0xfea8000f,0x03ffffff,0xfb302f54,0x5ffe8001,
    0x3ffee000,0x7ffffe40,0x900effff,0xb801ffff,0x3e20efff,0xffffffff,
    0x0fffffff,0x3fa2bff9,0xffffffff,0x02fffd83,0xf1bffe60,0x3ffffadf,
    0xfffff77f,0xcb7fe49f,0xffffffff,0xffd881ff,0x2fffffff,0x07ffd800,
    0x3bfff200,0x0dfffecd,0x882fffa8,0x6c005fff,0x320006ff,0xbdfc87ff,
    0x4fffebaa,0x817fffa0,0x441ffff8,0xcccccccc,0xffffdccc,0xff3dff90,
    0xffb557ff,0xfffa81ff,0x3fff2005,0x7fdf7fc2,0xff9fffaa,0x327ffd9c,
    0xdfffceff,0x6fffebaa,0xcdefffc8,0x000ffffe,0x4003ffec,0x880dffe8,
    0xfd81fffb,0xfffb80ff,0x1fff2002,0x86ffd800,0x1bffa009,0x03ffff88,
    0x0007fffb,0x21fffe88,0x4ffffffc,0xf07fffb0,0x3e001fff,0xffff87ff,
    0x3fbffa1f,0x643ffea5,0x81ffffff,0x261fffe8,0xffa85fff,0x7fec005f,
    0xaffc8007,0x74c1aaa9,0x5fff886f,0x001fffd0,0x4c41ffee,0x0bffd009,
    0x80fff700,0x5c0ffffa,0x80005fff,0x7e43fffd,0x2603ffff,0xffc85fff,
    0xfffa803f,0x45ffff84,0x260ffffd,0xfff90fff,0x7fdc01ff,0x81bff63f,
    0x6c007ffc,0x7d4007ff,0xfffff72f,0x20ffe61d,0xf983fffa,0xff5004ff,
    0x09ff701f,0x4c00fffe,0x807ffb99,0x3e26fffc,0x40000eff,0xfc85fffc,
    0xfe803fff,0x6fff986f,0x81fffd80,0x7e40ffff,0x7ffc44ff,0x03ffff91,
    0x3e4fff88,0x3fe603ff,0x3ff6001f,0x72ffc007,0x4bfd75df,0xffd80ffc,
    0x1fffb80f,0x81fff980,0xfff07ffe,0x3fff2605,0x007fffff,0x3f67fffd,
    0x540001ff,0xfc80efff,0xffd004ff,0x07fffa0f,0xf06fff88,0xfff90bff,
    0x91fff881,0x3e005fff,0x5fff15ff,0x017ffc40,0x400fffb0,0x97ee1ff8,
    0x0bfe27fa,0x7417ffa2,0xfff006ff,0x2ffff885,0x540fffc4,0xffffffff,
    0xff1007ff,0x07fff9ff,0xffff8800,0x01fff901,0x541332e0,0x3ea04fff,
    0x5fff03ff,0xf10bff90,0x3fff23ff,0x2bfff000,0x2202fff9,0x36002fff,
    0x3ea007ff,0xfb97ee0f,0xf9827f45,0xfff983ff,0x43ffe804,0x4c5ffffb,
    0x7fcc0fff,0x3fea09ef,0x3ffea007,0x80005fff,0x3203fffe,0x00000fff,
    0xfd03fffc,0x3ffe01ff,0x885ffc82,0xfff91fff,0x57ffe001,0x2602fff8,
    0x55511fff,0xffd55555,0x5555555f,0xf71bf215,0xd83ffb9d,0x1bffa05f,
    0x6c03fff4,0x7fff44ff,0x43ffd47f,0xfa80fffb,0x7fec007f,0x40000fff,
    0x6404fffc,0x00000fff,0x4417ffe4,0x3fe05fff,0x85ffc82f,0xff91fff8,
    0x3ffe001f,0xc817ffe5,0x3ffe27ff,0xffffffff,0xffffffff,0xfb8df92f,
    0xfc80efff,0x03fff706,0x9005fff7,0x6ffc4bff,0x3fee2ffd,0xb06ffd86,
    0xfa800fff,0x40004fff,0xc806fffa,0x00000fff,0x5c2fffcc,0x3fe01fff,
    0x85ffc82f,0xff91fff8,0x3ffe001f,0x207fff65,0x3e24fff8,0xffffffff,
    0xffffffff,0x8ff72fff,0x84fe9dfb,0xfff984fe,0x05fff884,0x7dcdff70,
    0x325ffbbf,0xfffc85ff,0x1ffffaa2,0xfffff980,0xff30002f,0xff9001ff,
    0xd000001f,0xffe81fff,0x417ffc06,0xff885ffc,0x01fff91f,0xf997ffe0,
    0xfb9aefff,0x3fe20fff,0xffffffff,0xffffffff,0x41ff32ff,0x83ff15fb,
    0x6ffe83ff,0x001fffb0,0xffd9ffea,0xfb0fff88,0xffff309f,0xfffbffff,
    0x3fffa200,0x4001ffff,0x002fffe8,0x0001fff9,0x47fff700,0x7c03fff9,
    0x5ffc82ff,0xf91fff88,0x3fe001ff,0x7fffe45f,0x02ffffff,0x007ffd80,
    0x4bf71ffc,0x07fea5fd,0xf503fff9,0x7cc007ff,0x26ff88ff,0x5ffd3ffe,
    0x3fffff20,0x200fff4f,0xffacfffd,0x3f6000ef,0x3f2004ff,0x800000ff,
    0x3f26fff8,0x7ffc00ff,0x885ffc82,0xfff91fff,0x17ffe001,0x3fffffea,
    0xfb0001ef,0xffc800ff,0x7fccbf71,0x7cc5ff88,0xfff884ff,0x7ffc4006,
    0x3ee3ffb9,0x403fff5f,0x2a0acdc9,0xfffb802a,0x017fff66,0x002fffdc,
    0x0003fff2,0x8fffec00,0xff805fff,0x85ffc82f,0xff91fff8,0x3ffe001f,
    0x79b75105,0xffd80003,0x8efe8007,0x6df6c4ea,0x3ffe20ff,0x03fffb06,
    0xfb5fff00,0x4fffc41f,0x00000fff,0x1ffff980,0x00ffffa2,0x001ffff3,
    0x000fffc8,0x7fff3000,0xf005fff5,0xbff905ff,0x323fff10,0xff000fff,
    0x000000bf,0x8007ffd8,0x2201eff9,0x7fcc3ffe,0x4fff881f,0xf9ffb000,
    0xf9ffd0df,0x000000ff,0x307ffff1,0x2203ffff,0x8001ffff,0x0000fffc,
    0x33bffa00,0xfff007ff,0x10bff905,0x3ff23fff,0xbfff000f,0xd8000000,
    0xf50007ff,0xb7357bff,0x2e207fff,0x00035c03,0x07fffff9,0x0dfffff7,
    0x99999991,0x39999999,0x40bfffb0,0xd80ffffc,0x9999cfff,0x09999999,
    0x0001fff9,0x7fffdc00,0xfff004ff,0x10bff905,0x3ff23fff,0xbfff000f,
    0x33333322,0xcccccccc,0x1fff6001,0xfffd8800,0x00efffff,0xb8000000,
    0x880fffff,0x885fffff,0xffffffff,0x42ffffff,0x400ffffc,0x7d46fffe,
    0xffffffff,0x6fffffff,0x0001fff9,0x7fffc400,0xfff000ff,0x10bff905,
    0x3ff23fff,0xbfff000f,0x3fffffe2,0xffffffff,0x1fff6002,0x3b6e6000,
    0x00002bdf,0x3fea0000,0x3ff606ff,0xfff884ff,0xffffffff,0x3fea2fff,
    0xff9802ff,0x3ffee4ff,0xffffffff,0xf96fffff,0x000001ff,0x05ffffd8,
    0x320bffe0,0xfff885ff,0x001fff91,0x7fc57ffe,0xffffffff,0x2002ffff,
    0x00007ffd,0x00000000,0x3fffe600,0x3fffee03,0xaaaaa883,0xaaaaaaaa,
    0xbffff10a,0x7fffdc00,0xffffff73,0xffffffff,0x3fff2dff,0x54000000,
    0x2002ffff,0xffc82fff,0x91fff885,0x3e001fff,0x555515ff,0x55555555,
    0x65c00155,0x0000004c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0001aa88,
    0x00280001,0x65d44018,0x2ea200bc,0x001bcdcc,0x001665c4,0xd9100000,
    0x9731003b,0x00000135,0x05555440,0x54c6aaaa,0xaaaaaaaa,0xaaaaaaaa,
    0xaaa80002,0x800800aa,0x4ffa8000,0x405dd000,0x02fdc2fb,0xf9109f50,
    0x1bffffff,0xffffffb0,0xb8803dff,0x0004ffff,0x2000dffd,0x102ffffe,
    0xfffffff9,0xfffff105,0xffffffff,0x2a5fffff,0x7fc1ffff,0xffff74ff,
    0xffffffff,0x00dfffff,0x2ffffd80,0x8077f4c0,0x26002ffd,0xfb8003ff,
    0xfff982ff,0x00bfff74,0x7cc9fff5,0xffffffff,0xffffd86f,0x80efffff,
    0xffffffb8,0xfffb8004,0x7fc4003f,0xff986fff,0xffffffff,0x7ffffc45,
    0xffffffff,0xf52fffff,0xfff81fff,0xfffff73f,0xffffffff,0x000dffff,
    0x0077ffec,0x5c2fffec,0x26007fff,0x7cc003ff,0xfffd05ff,0x17fffe61,
    0x21ffffa8,0xecceffe8,0x6e43ffff,0xfffcaaab,0x7fffdc2f,0x4004ffff,
    0x0ffffff8,0x3fffe200,0x7fff41ff,0xffffbaac,0x3ffffe22,0xffffffff,
    0xf32fffff,0xfff81fff,0xfffff73f,0xffffffff,0x000dffff,0x8013fff6,
    0xfc86fffe,0x06d40fff,0x7910bfe2,0x203fffa0,0x7cc1fffc,0xffa85fff,
    0x81d881ff,0x2005fffc,0x7f44fffa,0x4fffcfff,0x75ffe400,0x7ec004ff,
    0x3f22ffff,0xffe881ff,0x2666660f,0x99999999,0xf3099999,0xfffd0fff,
    0xffb00005,0xfffb000d,0xfffb8005,0x85fff983,0x3fe22ffe,0x703ffa61,
    0xff305fff,0x3ffe609f,0x3fffea5f,0xfff88001,0x3ffe6006,0xf89f7d42,
    0x3e2004ff,0x03fff36f,0x7ffffc40,0x980fffe2,0x00001fff,0x21fffe20,
    0x0002fffe,0x4006ffd8,0x0001deeb,0x1e4c0595,0x86ffff4c,0xffff91ff,
    0x82fffc45,0x7cc06ffe,0xfffadfff,0xff10001f,0x3f6200df,0x7c4280ff,
    0x3f6004ff,0x01bff22f,0x23ffff70,0x7c01fff8,0x000003ff,0x361fffe2,
    0x80001fff,0x00006ffd,0x40000000,0xffafffea,0x40cfffeb,0xfc80fffd,
    0xff9800ff,0x01ffffff,0x13fff200,0x7ffee654,0xfff1001f,0x1bfe6009,
    0x4007fff1,0x3ea7fff9,0x7ff400ff,0x7c000004,0xfffd86ff,0xffd80001,
    0x00000006,0xfd700000,0x19ffffff,0x507fff50,0x4c007fff,0x01ffffff,
    0x3fffea00,0xfffff900,0x7fc4007f,0x5ffd004f,0x001fff70,0xf99bffea,
    0x3fe200ff,0x9999912f,0x99999999,0x7c399999,0xfffc86ff,0xffd80000,
    0x00000006,0x7dc00000,0x3600cfff,0xffd80fff,0x7fdc000f,0x2e0005ff,
    0x3202ffff,0xefffffff,0x4fff8801,0x205ffb80,0xfd004ffe,0x7ffc43ff,
    0x47ffee02,0xfffffff8,0xffffffff,0x3ffe2fff,0x00fffc85,0x06ffd800,
    0x00000000,0x3ffee000,0xf300bfff,0xfff109ff,0x7ffd4009,0xd8005fff,
    0x4403ffff,0xfffeb999,0x7ffc400f,0x0fffc404,0x403fff50,0xf84fffe9,
    0xffd00eff,0x7ffffc4d,0xffffffff,0x362fffff,0x6eea84ee,0x13310000,
    0x00000000,0xfff70000,0x9fffdffd,0x03fff701,0x5005fff5,0xffffffff,
    0x3ffa200b,0x360002ff,0x7c402fff,0x7fe404ff,0x46ffd805,0x5ffffedb,
    0x35dfff50,0x43fffd53,0xccccccc8,0xcccccccc,0x00001ccc,0x00000000,
    0x00000000,0x3e7ffff7,0xcffffa9f,0xd837ff40,0x3ea00fff,0xfff99fff,
    0x7ffd405f,0x640000ef,0x7c403fff,0x3fe204ff,0xfff9800f,0x3fffffa3,
    0x7fffec03,0x04ffffff,0x00000000,0x00000000,0x00000000,0x8877ffcc,
    0xfffb11ff,0x84fff985,0xf505fff8,0x7fcc3fff,0xfff905ff,0xf100007f,
    0xf8803fff,0x3ff604ff,0x3fff2004,0x019dffd0,0x3ffffee0,0x00002eff,
    0x00000000,0x00000000,0xf9000000,0x542ff887,0x3fff905f,0xa87fff50,
    0xf981ffff,0x7fe45fff,0xeeeeefff,0x266ae5ee,0x6fffecb9,0x7e666644,
    0x13ccceff,0x44001999,0x00132ccc,0x5eee5440,0x00000002,0x00000000,
    0x00000000,0x4c044000,0x100882ff,0x3f60dfff,0xffff51ff,0x7fffcc03,
    0x3fffff65,0x7fffffff,0xfffffff1,0xf981ffff,0xffffffff,0x00006fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffe6000,0x07ffea00,
    0x7c4fffe2,0xff9801ff,0x3ffff61f,0xffffffff,0xffffff17,0xf3019fff,
    0xffffffff,0x2aa0dfff,0x18000aaa,0x26200000,0x99999999,0x81664c09,
    0x5dc42cdb,0xbbbbbbbb,0x333331bb,0x33333333,0x33333333,0x00000333,
    0x7d400000,0x19b0003f,0x3a206540,0x307e6001,0x55555555,0x66455555,
    0x00acceee,0x2aaaaaa2,0x02aaaaaa,0x01dfffd3,0x3bfffb50,0xffb80000,
    0xffffffff,0x17fffee5,0x4c7ffffb,0xffffffff,0xfff3ffff,0xffffffff,
    0xffffffff,0x001fffff,0x00000000,0x0000fbaa,0x00000000,0x00000000,
    0xfd880000,0x3ee00eff,0x04ffffff,0x2e02ffec,0xffffffff,0xffff15ff,
    0x3ffea5ff,0xfff30fff,0xffffffff,0x3ffffe7f,0xffffffff,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x501dfff7,
    0xffffffff,0x27ff40bf,0x333332a0,0xf52ccccc,0x329fffff,0x32ffffff,
    0xffffffff,0x3ba7ffff,0xeeeeeeee,0xeeeeeeee,0x00eeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffa6000,0x67fff40e,0x85ffffc9,
    0x0003fff8,0xfffffa80,0xfffff73f,0x4444445f,0x00888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97bb6200,0x74c3fff9,
    0xf911efff,0x000003ff,0x3ffffff1,0x3fffffe2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40fffd40,0xfeffffe8,
    0x00005fff,0x0bfffe60,0x003dfff5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x7f440fff,0x1fffffff,0x54400000,
    0x0033100a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x64402aa9,0x00efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65440000,0x0000001b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_44_latin1_x[224]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,1,
10,3,0,0,4,3,2,5,2,0,4,2,5,5,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_44_latin1_y[224]={ 32,1,1,3,-1,1,2,1,0,0,1,9,25,18,
25,1,3,3,3,3,3,3,3,3,3,3,10,10,8,14,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,32,10,-1,3,4,3,
-4,1,1,3,3,11,18,18,1,2,1,5,1,1,1,10,1,16,32,1,3,11,1,1,1,10,-4,-4,-4,-4,
-4,-6,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_44_latin1_w[224]={ 0,6,14,24,20,24,24,6,13,13,18,22,11,14,
8,19,22,20,19,19,24,18,20,20,20,20,8,11,18,20,18,14,24,24,19,21,21,17,17,21,20,18,16,20,
17,23,20,23,19,24,20,20,22,20,25,24,24,25,20,12,19,11,20,25,15,19,19,18,19,20,23,21,18,18,
17,20,18,22,18,22,19,19,19,18,20,18,22,24,22,22,18,17,4,17,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,18,21,22,23,
4,19,20,24,16,18,19,14,20,18,16,20,14,14,21,21,20,8,6,15,16,19,24,24,24,14,24,24,24,24,
24,24,25,21,21,21,21,21,21,21,21,21,23,22,24,24,24,24,24,19,22,22,22,22,22,25,19,19,21,21,
21,21,21,21,24,18,22,22,22,22,21,21,21,21,20,21,23,23,23,23,23,22,22,21,21,21,21,23,19,23,
 };
static unsigned short stb__consolas_44_latin1_h[224]={ 0,32,11,29,39,32,31,11,42,42,19,22,15,5,
8,36,30,29,29,30,29,30,30,29,30,29,23,30,25,12,25,32,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,37,29,30,29,30,29,29,29,29,29,41,36,41,15,4,10,23,32,23,32,23,31,32,31,31,
41,31,31,22,22,23,31,31,22,23,30,23,22,22,22,31,22,41,45,41,10,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,31,39,29,27,29,
45,37,10,30,22,19,11,5,20,9,15,27,18,18,10,31,37,8,7,18,22,19,31,31,31,31,36,36,36,36,
36,38,29,36,36,36,36,36,36,36,36,36,29,36,37,37,37,37,37,19,38,37,37,37,37,36,29,32,32,32,
32,32,32,34,23,29,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,23,32,32,32,32,32,40,40,40,
 };
static unsigned short stb__consolas_44_latin1_s[224]={ 251,245,176,172,230,136,108,249,11,25,1,
187,126,181,172,110,23,149,213,215,1,196,175,130,154,22,244,243,45,155,64,
186,162,43,68,1,222,204,112,87,151,197,70,216,237,88,233,109,193,49,1,
49,170,133,123,98,73,47,26,69,49,57,105,196,105,190,66,210,223,102,205,
1,60,180,39,79,122,128,151,229,163,229,85,83,235,123,105,1,43,1,66,
82,6,100,121,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,251,248,211,
46,22,68,1,1,233,24,26,20,191,181,210,144,138,1,59,74,211,100,67,
163,249,89,170,231,133,199,224,1,180,1,201,155,130,1,155,88,231,135,69,
91,113,226,157,179,92,26,74,197,122,147,172,39,26,222,21,44,99,205,135,
49,206,228,44,23,184,1,142,116,161,113,90,67,16,38,158,183,23,141,162,
1,25,69,93,167,117,140,86,201,45,138,118,187, };
static unsigned short stb__consolas_44_latin1_t[224]={ 1,47,468,357,1,161,229,229,1,1,468,
445,468,484,484,86,326,387,387,294,387,294,294,357,294,357,326,196,417,468,417,
196,1,357,357,326,326,326,357,294,357,357,294,357,357,357,387,294,387,47,357,
294,387,294,387,387,387,387,387,1,124,1,468,484,484,417,229,417,196,417,262,
229,262,229,1,262,262,445,445,417,262,262,445,417,294,417,445,445,445,294,445,
1,1,1,484,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,1,124,1,
326,417,326,1,86,468,294,445,468,468,484,445,484,468,417,468,468,468,262,86,
484,241,468,445,445,229,229,229,262,86,124,124,86,86,47,326,86,86,124,124,
124,124,124,124,124,326,124,47,47,47,47,47,468,47,47,86,86,47,86,326,
196,161,161,229,161,161,161,417,326,161,161,161,161,262,262,229,262,229,262,196,
196,196,196,196,417,196,196,229,196,161,1,1,1, };
static unsigned short stb__consolas_44_latin1_a[224]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_44_latin1_BITMAP_HEIGHT or STB_FONT_consolas_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_44_latin1(stb_fontchar font[STB_FONT_consolas_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_44_latin1_BITMAP_HEIGHT][STB_FONT_consolas_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_44_latin1_s[i] + stb__consolas_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_44_latin1_t[i] + stb__consolas_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_44_latin1_x[i];
            font[i].y0 = stb__consolas_44_latin1_y[i];
            font[i].x1 = stb__consolas_44_latin1_x[i] + stb__consolas_44_latin1_w[i];
            font[i].y1 = stb__consolas_44_latin1_y[i] + stb__consolas_44_latin1_h[i];
            font[i].advance_int = (stb__consolas_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_44_latin1_s[i] + stb__consolas_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_44_latin1_t[i] + stb__consolas_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_44_latin1_x[i] + stb__consolas_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_44_latin1_y[i] + stb__consolas_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_44_latin1_LINE_SPACING
#endif

