// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_46_latin1_BITMAP_HEIGHT        537
#define STB_FONT_consolas_46_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_46_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_46_latin1_NUM_CHARS            224

#define STB_FONT_consolas_46_latin1_LINE_SPACING          30

static unsigned int stb__consolas_46_latin1_pixels[]={
    0x3a25ddd1,0x000082ee,0x00000200,0xcccccca8,0x9912cccc,0x99999999,
    0x80000007,0x00019acb,0x97531000,0x402b8801,0x000001b9,0x819dddd7,
    0x0002eeea,0x40000000,0xf98eeeed,0x7fff33ff,0x00000ed8,0x20000fc8,
    0x3ee1dfd9,0xffffffff,0xfffff33f,0x00dfffff,0xbdfdca88,0x7fff400a,
    0x000003ff,0x1fffffd5,0x82fffc40,0x0003fffb,0x2ffffdc0,0x003fffa8,
    0x3fae0000,0x7f4000df,0xfff98fff,0x6c7fff33,0x00000eff,0x0003fff2,
    0x43ffffe2,0xfffffffb,0xfff33fff,0xdfffffff,0x7fffd400,0x204fffff,
    0xeffffffe,0xfb100001,0x01ffffff,0x40ffffe4,0x0006ffff,0x0ffffee0,
    0x003fffa8,0xfffd0000,0x6c001fff,0xff98ffff,0x47fff33f,0x000efffd,
    0x0efffb80,0xffffb800,0x9999953f,0x267fffb9,0xccccdfff,0xfd8803cc,
    0xfffeffff,0xdb9704ff,0x000dffff,0x3fffff20,0x3f200cce,0xfff81fff,
    0xf700006f,0xfa803dff,0x000003ff,0xfb9cffb8,0x3ff6005f,0x27fff37f,
    0x7f43fff9,0x540005ff,0x0000efff,0x07fffff7,0x267fff30,0x20003fff,
    0x41cffff8,0x804fffc9,0x003ffffa,0x1ffffc40,0x17ffe200,0x0017ffdc,
    0x06fffdc0,0x01fffd40,0x37ec0000,0xfc801ff2,0x7fff37ff,0xd10fffe6,
    0x2000bfff,0x001ffffa,0x3ffffe60,0x3fff9800,0x0007fff3,0x2017fff4,
    0x9803fffb,0x40006fff,0x0003fffc,0x1a980551,0xccc88000,0x3ffea003,
    0xe8000003,0x007fdc5f,0xf36fffc8,0x3ffe67ff,0x2ffff883,0x7fffc400,
    0xffa80002,0xfff3002f,0x00fffe67,0x0077fe40,0xb006ffc8,0xd8000fff,
    0x000007ff,0x00000000,0x00fffea0,0x3ff20000,0x400dfd11,0xff36fffb,
    0x0fffe67f,0x0077ffcc,0x007fff90,0x4c000800,0xfff33fff,0xfff50007,
    0x1ffe8003,0x00fffb80,0x017ffa00,0x00000000,0xffa80000,0x8000003f,
    0xfffefff8,0x3ffee002,0x267fff36,0x3f603fff,0xff3004ff,0x000000df,
    0x27fff300,0x8003fff9,0xb8004fff,0xffa804ff,0x3fe0002f,0x0000004f,
    0x00000000,0x000fffea,0x7ff4c000,0x7d4003ff,0x7fff35ff,0x880fffe6,
    0xe801ffff,0x00002fff,0xfff98000,0x007fff33,0x000effb8,0x400fff98,
    0x0002fffa,0x4c013ffe,0x70004ccc,0x664c5999,0x9970004c,0x0fffea59,
    0x159dd951,0x15530000,0xbfff5000,0x7ccfffe6,0x7fdc03ff,0x7ffd406f,
    0xcccc8805,0xcccccccc,0xff3003cc,0x0fffe67f,0x007ffd00,0x2017ffc0,
    0x0002fffa,0x44013ffe,0x8002ffff,0x3e21ffff,0xf8002fff,0xfff51fff,
    0x7ffffe47,0x20001fff,0x001aaaaa,0xf99f774c,0x7fff33ff,0x03fffd00,
    0x400ffffc,0xfffffff8,0x6fffffff,0x27fff300,0x2003fff9,0x0000fffa,
    0xf500fff2,0x7c0005ff,0x3f6004ff,0x7d4005ff,0xfffd86ff,0x7ffd4005,
    0x6cbffea6,0xffffffff,0xf98001ff,0x0005ffff,0x267fff30,0xfb803fff,
    0xfff304ff,0x3ffe200b,0xffffffff,0xf3006fff,0x3ffe67ff,0x13ff6003,
    0x54de6dcc,0x807ff71c,0x0002fffa,0x98013ffe,0x2000ffff,0xf983fffd,
    0x36000fff,0x3fea3fff,0xcefffebf,0x0fffffeb,0x7fffe400,0x980000ff,
    0xfff33fff,0xffff1007,0x00bfff20,0x66666644,0xfffccccc,0x7fff3006,
    0x400fffe6,0xfc81fff8,0x0fffffff,0xfa809ff7,0x3e0002ff,0x7f4004ff,
    0xff1003ff,0x3ffa01ff,0xfff1003f,0x7fffd41f,0xff982fff,0x7fc003ff,
    0x002fffff,0x33fff980,0x3a007fff,0xfff81fff,0x8800000f,0xf3006fff,
    0x3ffe67ff,0x0dff5003,0xfffffffb,0x02ffd4ff,0x000fffe6,0x001fffc4,
    0x401bffee,0x2e05fffa,0xf5006fff,0xfffa8bff,0x3ea00eff,0x3e6006ff,
    0x05fffeff,0x3fff9800,0x2007fff3,0x7cc4fffb,0x000005ff,0x200dfff1,
    0xff33fff9,0x3ff2007f,0x4e7ffd44,0x3ea6fffa,0x7ffc406f,0xfff30004,
    0xfff88005,0xfffd801f,0x3fffe202,0x2fffd801,0x077fffd4,0x00ffffc0,
    0xff9fffc8,0xf980007f,0x7fff33ff,0x1fffe200,0x0005fff9,0x1bffe200,
    0x99fffcc0,0xfb003fff,0x45ffe87f,0x3fe64ffe,0x0ffff806,0x1fffc800,
    0x4fffd800,0x03fffc40,0x2027ffec,0xfa87fff8,0xf9000fff,0x3fe007ff,
    0x05fffb6f,0x3fff9800,0x4007fff3,0x7fec7fff,0x1000001f,0x2600dfff,
    0xfff33fff,0x87ffe007,0x7fc0fffa,0x01ffe63f,0x0037ffee,0x005fffa8,
    0x80ffff50,0xa804fffb,0x7dc07fff,0xfffa84ff,0x3ffea003,0x4fff9804,
    0x000bfff7,0x513fff98,0x7f400355,0x3fffa0ff,0xf1000000,0x3e600dff,
    0x7fff33ff,0xd8fff300,0x7ffc45ff,0x201bfe62,0xceffffe8,0xfd99711b,
    0x40001dff,0x3a02fffe,0xfd001fff,0x7ff405ff,0x3fffa81f,0x13ffe600,
    0x447fff20,0x40007fff,0x0003fff9,0x3e1fffd8,0x000007ff,0x401bffe2,
    0xff33fff9,0xdff5007f,0x7cc3fff8,0x17fe61ff,0xffffeb80,0xfffff54f,
    0xb800019d,0xff105fff,0x7fdc00df,0xdfff105f,0x00fffea0,0x805fff98,
    0x7ff47fff,0x3e60002f,0xc80003ff,0xfff12fff,0x4400000d,0xf3006fff,
    0x3ffe67ff,0x25ffb803,0x7dc1fff9,0x02ffd47f,0xfffff930,0x3ffffea9,
    0xf880003d,0xffb80fff,0x3fe2003f,0xfffb80ff,0x07fff503,0x037ffc40,
    0xf713ffe6,0x4c0009ff,0x80003fff,0xff13fffb,0x400000bf,0x3006fff8,
    0x3fe67fff,0x4ffb803f,0xf903ffea,0x04ffa8df,0xddffff90,0x3fb72659,
    0x0000efff,0x741fffec,0x6c000fff,0xffe83fff,0x7fff500f,0x2fffcc00,
    0x307fff20,0x4000ffff,0x0003fff9,0xf33fffb8,0x00000bff,0x8037ffc4,
    0xff33fff9,0x9ff9007f,0x7ec3ffdc,0x027fdc5f,0x006fffd4,0x05fffd88,
    0x37ffd400,0x0017ffe6,0xf31bffea,0x7fd40bff,0x3fea003f,0x3fffc03f,
    0x002fffe8,0x007fff30,0x25fff900,0x0006fff8,0x1bffe200,0x99fffcc0,
    0xfc803fff,0x21fff23f,0x7fe44ffe,0x06ffe803,0x03fffd00,0x1ffff800,
    0x000bfff2,0xf90ffffc,0x7fd405ff,0x3fee003f,0x3ffe602f,0x09fff905,
    0x0fffe600,0x3fff6000,0x001fffe1,0x6fff8800,0x27fff300,0xd803fff9,
    0x1bff23ff,0xffd0fffe,0x3fff8803,0x7fff5000,0xfffc8000,0x001fffe4,
    0x3e4fffc8,0x7fd407ff,0x3ff6003f,0x3fff201f,0x0ffff302,0x0fffe600,
    0x3fffa000,0x003fffa1,0x7ffc4000,0x7fff3006,0x200fffe6,0x3ff23ffd,
    0x217ffcc7,0xff9806ff,0xff10003f,0xf880009f,0x9fff57ff,0x7ffc4000,
    0x809fff57,0x3003fffa,0xff80ffff,0x3ffe00ff,0xff98001f,0xfe80003f,
    0x3fff60ff,0xf1000001,0x3e600dff,0x7fff33ff,0x647ff900,0x7ffe47ff,
    0x2013fea2,0x0002fffa,0x0009fff1,0xfb5fffb0,0xd80003ff,0xfffdafff,
    0x1fffd401,0x02fffd80,0x9017ffe6,0x30009fff,0x33227fff,0xfff1001c,
    0x03fffc8d,0xfff10000,0x3ffe600d,0x007fff33,0x7fdc9ff9,0x5ffff30f,
    0x54017ff4,0x20002fff,0x80004fff,0xfffdfffa,0xffa80006,0x806fffdf,
    0xb803fffa,0x7e406fff,0x7fd403ff,0xff98007f,0x07fff33f,0x513ffea0,
    0x0000bfff,0x01bffe20,0xf99fffcc,0xffb803ff,0x2fbffe65,0xeaeffdff,
    0xff5006ff,0x7fc0005f,0xff00004f,0x007fffff,0x3ffffe00,0xffa803ff,
    0x75441bef,0x7c01ffff,0xff800fff,0x7cc001ff,0x7fff33ff,0x07fff600,
    0x001ffff1,0xdfff1000,0x4fffe600,0xa803fff9,0x7fff45ff,0xffffd6ff,
    0x3ea001df,0x3e0002ff,0x900004ff,0x01ffffff,0x3fff2000,0xfa800fff,
    0xffffffff,0x02ffffff,0x8037ffcc,0x4004fffd,0xff33fff9,0xfff1007f,
    0x0bfff60f,0x3fe20000,0xfff3006f,0x00fffe67,0xfd11bfe6,0x3fea1fff,
    0x2a001eff,0x20002fff,0x00004fff,0x09fffff1,0x7ffc4000,0xff5004ff,
    0xffffffff,0x9001bfff,0xffffffff,0xffffffff,0xff9800ff,0x07fff33f,
    0x209fff50,0x0005fffa,0x06fff880,0x267fff30,0xf9803fff,0x01ba887f,
    0xf5000375,0x7c0005ff,0x200004ff,0x000ffffd,0x7fffec00,0xdfff5000,
    0x9dffffff,0x7fffc005,0xffffffff,0x1fffffff,0x4fffe600,0xe803fff9,
    0x3fe01fff,0x400001ff,0x3006fff8,0x3fe67fff,0xfff8803f,0x40000001,
    0x0002fffa,0x00013ffe,0x004fffd8,0x4fffd800,0x4fffea00,0x30000998,
    0xffffffff,0xffffffff,0x4c009fff,0xfff33fff,0x4fffb807,0x037ffe40,
    0x3ffe2000,0x7fff3005,0x400fffe6,0x00004ffd,0x17ffd400,0x09fff000,
    0x3ffea000,0x5400000f,0x2000ffff,0x0003fffa,0x337fff20,0xcccccccc,
    0x06fffdcc,0x4cfffe60,0x3e203fff,0xfe800fff,0x200002ff,0x3004fffa,
    0x3fe67fff,0xfff5003f,0xa8000000,0x20001fff,0x00005fff,0x000bfffd,
    0x0bfffd00,0x03fffa80,0x3fffe000,0xffff8000,0x7fff3001,0xc80fffe6,
    0xf5003fff,0x00001fff,0x400bffee,0xff33fff9,0x7ffc007f,0x20000002,
    0x0000fffb,0x0001bffa,0x003ffff2,0xffff9000,0xfffa8001,0xff300003,
    0x3f6000df,0xff3004ff,0x0fffe67f,0x0037ffcc,0x0013fff6,0x07fffe20,
    0x99fffcc0,0x32003fff,0x00000eff,0x00fffd00,0x01fffd80,0x3ffff200,
    0x7e400001,0xa8001fff,0x00003fff,0x0007fff9,0x401bffea,0xff33fff9,
    0xfffd107f,0xfff88005,0x3200302f,0x26005fff,0xfff33fff,0x7ffcc007,
    0x0002000e,0x001bffee,0x00bfff70,0xffd73331,0x440009ff,0xfffeb999,
    0xff50004f,0x3e00007f,0x10000fff,0x3003ffff,0x3fe67fff,0x3fffe83f,
    0xffff5000,0x8837bf03,0x00ffffe9,0x4cfffe60,0x5c003fff,0x4c01efff,
    0xfb31007c,0x80003fff,0x0aeffff8,0xffffff90,0xc8000bff,0xffffffff,
    0x3fea0005,0xf980003f,0x6c0006ff,0xf9804fff,0x7fff33ff,0x004fffd8,
    0x07fffdc0,0x3ffffffe,0x83ffffff,0xfffffffb,0xfff33fff,0xdfffffff,
    0x3ffffea0,0xffedcbbd,0x7ffff407,0x00005fff,0xfffffff5,0x7fffe41f,
    0x80002fff,0xfffffffc,0x7fd40002,0xfc80003f,0x5c0003ff,0xf9806fff,
    0x7fff33ff,0x002fffe4,0x0efffc80,0x3ffffffe,0x702effff,0xffffffff,
    0x3ffe67ff,0x6fffffff,0x3ffffea0,0x6fffffff,0x7fffff40,0x5c00004f,
    0x0fffffff,0x33bffff2,0xff900000,0x00019dff,0x007fff50,0x00000000,
    0x4fffe600,0x3f63fff9,0x6c00006f,0x3f6e0eff,0x4effffff,0x7ffffdc0,
    0xf33fffff,0xffffffff,0xedb980df,0x0befffff,0xdefffe80,0x91000001,
    0x441ffffd,0x000000aa,0x00001551,0x00133310,0x00000000,0x4fffe600,
    0x76c3fff9,0xed800000,0x35533100,0x4cccc400,0x20999999,0x99999999,
    0x54400099,0x09880009,0x10000000,0x00000033,0x00000000,0x00000000,
    0x7fcc0000,0x07fff33f,0x04000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0x7fff33ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff980000,0x07fff33f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13330000,0x00004ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19980000,0x33260000,0x665c0003,0x00000002,
    0xacdb9880,0x31000001,0x40000133,0x00098009,0x00055cc0,0x99980000,
    0x26600099,0x20000999,0x0001dec8,0x00fff500,0x037fdc00,0x00bffa00,
    0xffecba80,0x22002cde,0xfffffffe,0x100000df,0x005ffffd,0x02ffe880,
    0x0003ffd1,0x1bfffff7,0x00000bb0,0x009ffffb,0x0effffa8,0xffffb000,
    0xf9000003,0x6400009f,0x7c0004ff,0xea8001ff,0xffffffff,0xfff5005f,
    0xffffffff,0xf980003f,0x03ffffff,0x1fffee00,0x0037ffec,0x3fffffea,
    0xffd99cff,0x3f600003,0x10002fff,0x001dfffd,0x4fffff88,0xffe80000,
    0x3f600002,0x3e20003f,0x7e4000ff,0xffffffff,0xffc805ff,0xfffeffff,
    0x0003ffff,0xfd5ffff3,0x2e0007ff,0xff907fff,0x7fcc00df,0xffffdbdf,
    0x000effff,0x1dfff900,0xfff90000,0x7fc4001d,0x00004fff,0x0003ffcc,
    0x000bffa0,0x007ffd44,0x5bffff50,0x09975335,0xadffffc8,0x3fffee60,
    0x7fd4002f,0x3fff20df,0xfff88004,0x07fff304,0x74c2fc80,0x00efffff,
    0x9fff9000,0xffa80000,0x3f6000ef,0x10001fff,0xffb9bb73,0xff80000b,
    0xdb71001f,0xdfffffff,0x3ffe203b,0x7c40002f,0x7cc04fff,0x22006fff,
    0x99503ccc,0x55100039,0x0001b880,0x0e6e5403,0x99930000,0x22000005,
    0x22003ccc,0x98001efc,0xfffffffe,0x200004ff,0xb800fff8,0xffffffff,
    0x303fffff,0x00009fff,0x200bfff9,0x001ffff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff5000,0xffffffff,0x3e600007,0x7ff4407f,
    0xffffffff,0xf703ffff,0x880007ff,0x2000ffff,0x0005fffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffc80,0xfffffeef,0xcb98004f,
    0xaceffffe,0x6ffffec0,0xa9cffd9a,0xfff503db,0xffc8000d,0x7fcc004f,
    0x988001ff,0x0001acdb,0x566dcc40,0x4c400001,0x0001acdb,0x566dcc40,
    0xaaa98001,0x2aaa8000,0xfffc8000,0x3ff60adf,0x1002ffff,0xfffffffb,
    0x7dc5ffff,0x7ff41fff,0x3ffe2002,0x3fe0004f,0xff8001ff,0x3a6002ff,
    0xffffffff,0x3a60000d,0xffffffff,0x3a60000d,0xffffffff,0x3a60000d,
    0xffffffff,0xfff9000d,0xfff88007,0x00bffe26,0x413fffe2,0x6fffffff,
    0xfffffa80,0xffffffff,0x20bfffa2,0x64001fff,0x000dffff,0x003fffc4,
    0x003fffc8,0xfffffff5,0x003fffff,0xffffff50,0x03ffffff,0xfffff500,
    0x3fffffff,0xffff5000,0xffffffff,0x7fff9003,0x6fff8800,0x200fffe2,
    0xf305fffc,0x7ffff5ff,0x7ffffd40,0xeccffebd,0x21fffe2f,0x4000fff8,
    0x3ffffff8,0x17ffea00,0x27ffdc00,0x7ffffe40,0xffffffef,0x3ff2002f,
    0xfffeffff,0x2002ffff,0xeffffffc,0x2fffffff,0x3ffff200,0xfffffeff,
    0x7fe402ff,0x7fc4003f,0x0fffe26f,0x01ffff10,0x7ff53ff2,0xffff106f,
    0x317ffc3d,0x03fffe61,0x9800fff3,0xffffffff,0xfffb801e,0xfff50005,
    0xffffc80b,0x3fee60ad,0xfc802fff,0x260adfff,0x02fffffb,0xadffffc8,
    0x3fffee60,0xfffc802f,0x3ee60adf,0x3202ffff,0x44003fff,0x3fe26fff,
    0x7ffe403f,0x54bffa05,0xfc80ffff,0x3fe20eff,0x3fffe01f,0x0037fd43,
    0xfdbffff3,0xc809ffff,0x30004fff,0x7c40dfff,0x7cc04fff,0x7c406fff,
    0x7cc04fff,0x7c406fff,0x7cc04fff,0x7c406fff,0x7cc04fff,0x3f206fff,
    0x7c4003ff,0x3ffe26ff,0x17fff403,0x7f47ff98,0x7ffcc2ff,0x07ffcc1f,
    0x41dfffd0,0x3a005ffc,0x3fee2fff,0xf901efff,0x220007ff,0x3f207fff,
    0xff3005ff,0x7fe403ff,0xfff3005f,0x7ffe403f,0xffff3005,0x2fffe403,
    0x1ffff980,0x007fff90,0x266fff88,0x7fc03fff,0x17fee07f,0xfb89fff9,
    0x7ffa84ff,0x7ffffdc0,0x2009ffb3,0xe884fffa,0xd82fffff,0x10003fff,
    0x3e20ffff,0x32000fff,0xff105fff,0x7e4001ff,0xfff105ff,0x7fe4001f,
    0xffff105f,0x7ffe4001,0x07fff905,0x26fff880,0x2204fff9,0x3f605fff,
    0x2fffdc3f,0x2e07fff6,0xffd806ff,0x2ffeefff,0x03fff900,0x17ffffdc,
    0x000ffff2,0xc837ffcc,0x4c005fff,0xfc80ffff,0x7cc005ff,0xffc80fff,
    0x7fcc005f,0xfffc80ff,0x7ffcc005,0x3fffc80f,0x37ffc400,0x4c09fff3,
    0xff105fff,0x6fffb81f,0x6407fff4,0xffb005ff,0x05ffffff,0x201fff60,
    0x20ffffe8,0x0004fffb,0x3a0bfff3,0xe8002fff,0xffe82fff,0xffe8002f,
    0x2fffe82f,0x2fffe800,0x002fffe8,0xc82fffe8,0x44003fff,0x3fe66fff,
    0x3ffea04f,0x50dff504,0xfff8dfff,0x009ffb07,0x7fffffd4,0x7ec02dff,
    0xfe8801ff,0x3ffee4ff,0xfff50005,0x01fffe09,0x41fffe40,0x90007fff,
    0xfff07fff,0x3ff2000f,0x07fff83f,0x07fff900,0x8007fff9,0x3e66fff8,
    0x3ff204ff,0x09ffb03f,0x7c4ffff3,0x5ffd07ff,0xffeb8800,0x01efffff,
    0x2009fff7,0x3ea6fff9,0xf70006ff,0xfff107ff,0x3fee000b,0x2fffc44f,
    0x4fffb800,0x002fffc4,0x444fffb8,0x70005fff,0xff909fff,0xff88007f,
    0x17ffea6f,0xf03fffd8,0xfff103ff,0xf07fff8f,0x640003ff,0xffffffff,
    0x2ffff984,0x21fffd00,0x0007fff9,0xf305fffb,0x2a000bff,0x7fcc5fff,
    0xff50005f,0x5fff98bf,0xbfff5000,0x005fff98,0x90bfff50,0x88007fff,
    0x3fea6fff,0x3fff205f,0x307ff984,0xffe8ffff,0x07ffc40f,0xfdff7000,
    0x909fffff,0x9005ffff,0x3fe23fff,0x7c4002ff,0xffa81fff,0xff30004f,
    0x4fffa8df,0xdfff3000,0x004fffa8,0xa8dfff30,0x30004fff,0xff90dfff,
    0xff88007f,0x17ffea6f,0xc84fffc8,0xfff504ff,0x43fffd8d,0x40007ff9,
    0xfff54ffc,0xffe887ff,0x7fec04ff,0x17fff60f,0x0bfff700,0x000ffff2,
    0x323fffc4,0x10003fff,0xffc8ffff,0xff10003f,0x3fffc8ff,0xffff1000,
    0x007fff90,0x2a6fff88,0x3ee05fff,0x2ffe85ff,0xc8dfff50,0x7fd46fff,
    0x7fec0006,0x1ffff623,0x3bffffa2,0x45fff881,0x000ffffa,0x6c07fffa,
    0x10003fff,0xffd8ffff,0xff10003f,0x3fffd8ff,0xffff1000,0x003fffd8,
    0x90ffff10,0x88007fff,0x3fea6fff,0x3ffea06f,0x807ffc46,0x7c44fffb,
    0x3fee4fff,0x7ff40005,0x0ffffc42,0xcfffffd8,0x05fffd10,0x001dffff,
    0x640dfffb,0x30003fff,0xffc8ffff,0xff30003f,0x3fffc8ff,0xffff3000,
    0x003fffc8,0x90ffff30,0x88007fff,0x3fee6fff,0x3ffe606f,0xb02ffdc7,
    0xff905fff,0x13ff29ff,0x7ffc0022,0x03fffd81,0x3fffffea,0x704fffeb,
    0xc80bffff,0x2e02ffff,0x30004fff,0xffb8dfff,0xff30004f,0x4fffb8df,
    0xdfff3000,0x004fffb8,0x90dfff30,0x88007fff,0x3fee6fff,0x7fffc06f,
    0x440fff61,0xe881ffff,0xffefffff,0x02feba9c,0xd80fff88,0x64402fff,
    0xffffffff,0x7fffec05,0xfeca9ace,0x7d404fff,0xf50005ff,0xfffa8dff,
    0xfff50005,0x05fffa8d,0x8dfff500,0x0005fffa,0xf90dfff5,0xf88007ff,
    0x3ffee6ff,0xafffec06,0xf700fff8,0x7f440dff,0xffffffff,0x9802ffff,
    0xffff07ff,0x3ffa6001,0xfb004fff,0xffffffff,0x3007ffff,0x2000bfff,
    0x7cc4fffb,0xf70005ff,0xfff989ff,0xfff70005,0x05fff989,0x09fff700,
    0x8007fff9,0x3ee6fff8,0x7fdc07ff,0x06ffa9ff,0x1007fffa,0xfffffffb,
    0x005fffff,0xff70dff5,0xff7000ff,0x36001dff,0xffffffff,0xf1003fff,
    0x36000fff,0x7fc43fff,0xffb0007f,0x7fff887f,0x7fffb000,0x007fff88,
    0x707fffb0,0x98007fff,0x3fee5fff,0x7ffc407f,0xb04ffcdf,0x4400bfff,
    0xdfffffeb,0x206ea1ac,0x3f225ffb,0x30003fff,0x4009ffff,0xfffffeb8,
    0x7fc000be,0x7c4002ff,0xfff81fff,0x7fc4002f,0xffff81ff,0x7ffc4002,
    0x2ffff81f,0x7fffc400,0x04fffa81,0x927ffd40,0xf700ffff,0x03ffffff,
    0x003ffff9,0x801fff50,0xecdefffb,0xfffeceff,0x540005ff,0x70006fff,
    0x40005fff,0x4005fffd,0xfb06fffb,0xfb800bff,0xfffb06ff,0xfffb800b,
    0x0bfffb06,0x06fffb80,0x800bfff3,0x3f23fffb,0xffd007ff,0x32a1ffff,
    0x004ffffe,0x700dff70,0xffffffff,0xffffffff,0x3fe0000b,0xff30007f,
    0x7cc000df,0x3a000fff,0xff301fff,0x7f4001ff,0xfff301ff,0x7ff4001f,
    0xffff301f,0x7fff4001,0x0dfff101,0x21fffd80,0x1007fffc,0xfffffffd,
    0x07ffffff,0x027fe400,0x7fffffdc,0xffffffff,0xf300001d,0x7c000bff,
    0x20001fff,0xb006fffe,0xfe80bfff,0xffb006ff,0xfffe80bf,0xbfffb006,
    0x06fffe80,0x80bfffb0,0x3003ffff,0x9988dfff,0x7fec0019,0xffffffff,
    0x7ec0001f,0xb953003f,0x9bdffffd,0xe8000035,0x20002fff,0x500efffd,
    0x7fffd409,0x7fffe405,0x7fffd401,0x7fffe405,0x7fffd401,0x7fffe405,
    0x7fffd401,0x7fffe405,0x7fffdc01,0x7fff4c01,0x7cc00002,0xdfffffff,
    0xfe80000c,0x3e60002f,0xcf88007f,0x3ee6619b,0x0000efff,0x33ffffe2,
    0x02ffdcab,0x33bffffa,0xfffeca8a,0xfffd005f,0xd95159df,0x200bffff,
    0xaceffffe,0xffffeca8,0xffffd005,0xfd95159d,0x3a00bfff,0x109cffff,
    0x0bffff73,0xbff70000,0x00003553,0x0003fff0,0x40037fd4,0xfffffff8,
    0x0effffff,0xfffa8000,0xffffffff,0x3fff600f,0xffffffff,0x7ec003ff,
    0xffffffff,0x4003ffff,0xfffffffd,0x03ffffff,0x7ffffec0,0xffffffff,
    0x3ffea003,0xffffffff,0x0000efff,0x003ffe80,0x7ffc4000,0x3fee0000,
    0xfff88005,0xffffffff,0x200000df,0xffffffea,0xfc801eff,0xffffffff,
    0xf90001ff,0xffffffff,0x320003ff,0xffffffff,0x90001fff,0xffffffff,
    0x10003fff,0xfffffffd,0x0009ffff,0x03ffe200,0xff300000,0xffc8000f,
    0xffd90004,0x19dfffff,0x6dc00000,0x002deffe,0x7ffff64c,0x40000cdf,
    0xfffffec9,0x4c0000cd,0xdfffffec,0x64c0000c,0xcdfffffe,0x7f5c0000,
    0x1defffff,0x3ea00000,0x8000006f,0x40006ffa,0x80003ffd,0x00009998,
    0x00000000,0x00003530,0x0001a980,0x000d4c00,0x006a6000,0x9a988000,
    0x70000000,0x000007dd,0x00079950,0x0000aaa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09999980,0x13331000,0x00130000,0x4ccc0013,0x00000099,0x00260026,
    0x004ccccc,0x26600000,0x4cc00999,0x00000999,0x02666200,0x02ae6000,
    0x2f776400,0xffd80000,0xd10004ff,0x0005ffff,0x440bffa2,0xf5001ffe,
    0x0001dfff,0x02ffe880,0x5003ffd1,0x001dffff,0x3ff60000,0xffa804ff,
    0x00000eff,0xffffe880,0xfff70002,0x0bb01bff,0x001ffff6,0x3ffff600,
    0xfff30002,0x0007ffff,0x360ffff7,0x22006fff,0x000efffe,0x1fffee00,
    0x8037ffec,0x00efffe8,0x7fec0000,0x3a2002ff,0x0000efff,0x3fffe600,
    0x54003fff,0xffffffff,0x83ffd99c,0x0006fffd,0x077ffe40,0xffff9800,
    0x003fffea,0xc83fffdc,0xc8006fff,0x0000efff,0x20ffff70,0x4006fffc,
    0x000efffc,0xdfff9000,0x3ff20001,0x800000ef,0xfeaffff9,0xff3003ff,
    0xffffb7bf,0xb01dffff,0x0000dfff,0x0027ffe4,0x41bfff50,0x2004fffc,
    0xf304fff8,0x2a0007ff,0x0000efff,0x304fff88,0x50007fff,0x0001dfff,
    0x04fffc80,0xefffa800,0x3ea00000,0x3ff20dff,0x85f9004f,0xefffffe9,
    0x0dfffb00,0x33326000,0x33220002,0x3999503c,0x20154400,0x440001b8,
    0x00003ccc,0x1b880551,0x33322000,0x32600003,0x200002cc,0x0003ccc8,
    0x20799910,0x3001ccca,0x00e6e540,0x001bfff2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffe4000,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x90000000,0x2600bfff,0xa8000aaa,0x5554c2aa,0x2aaa8000,
    0x0005554c,0x10015554,0x00359b73,0x555554c0,0xaaaaaaaa,0x55500aaa,
    0x55555555,0x01555555,0x2aaaaaaa,0xaaaaaaaa,0x554000aa,0x40001aaa,
    0xaaaaaaa9,0xaaaaaaaa,0x5555440a,0x0d554002,0x200bfff9,0x4003fffc,
    0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,0xfffe9806,0x00dfffff,
    0x7ffffdc0,0xffffffff,0xff881fff,0xffffffff,0x2fffffff,0xffffff88,
    0xffffffff,0x26002fff,0x005fffff,0x7ffffdc0,0xffffffff,0x7fd41fff,
    0xf1001fff,0x7ffdc9ff,0x7fff9005,0x6fff8800,0x001fffe4,0xf91bffe2,
    0xf88007ff,0x7fd406ff,0xffffffff,0x3ee001ff,0xffffffff,0x1fffffff,
    0xffffff88,0xffffffff,0xff882fff,0xffffffff,0x2fffffff,0x3ffff200,
    0x2e0000ff,0xffffffff,0xffffffff,0x7ffffd41,0x9fff1005,0x802fffdc,
    0x4003fffc,0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x3ffff206,
    0xfffffeff,0xff7002ff,0xffffffff,0x03ffffff,0xfffffff1,0xffffffff,
    0xfff105ff,0xffffffff,0x05ffffff,0x7fffffc0,0x3ee0002f,0xffffffff,
    0x1fffffff,0x7fffffd4,0x4fff8800,0x4017ffee,0x4003fffc,0x7e46fff8,
    0x7c4003ff,0x7ffe46ff,0x7ffc4003,0xbffff906,0x7ffdcc15,0xffb802ff,
    0x8000003f,0x0004fffa,0x013ffea0,0x3bffe600,0x20005fff,0x0003fffb,
    0xffffffa8,0x4fff8804,0x4013ffee,0x4003fffc,0x7e46fff8,0x7c4003ff,
    0x7ffe46ff,0x7ffc4003,0x4ffff886,0x37fffcc0,0x01fffdc0,0x7fd40000,
    0x2a00004f,0x80004fff,0xfff9fffc,0x3fee0007,0xfa80003f,0x00ffffff,
    0xf727ffc4,0x3f2009ff,0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x01fffe46,
    0x21bffe20,0x3005fffc,0xb803ffff,0x00003fff,0x04fffa80,0x3ffea000,
    0xfff80004,0x005fffb6,0x00fffee0,0x37ffea00,0x7c404fff,0x3ffea4ff,
    0x7fff9004,0x6fff8800,0x001fffe4,0xf91bffe2,0xf88007ff,0x7ffc46ff,
    0x3ff2000f,0x7ffdc05f,0xa8000003,0x00004fff,0x0013ffea,0x2e9fff30,
    0x70005fff,0x00007fff,0xffd5fff5,0x7ffc401f,0x013ffea4,0x001fffe4,
    0xf91bffe2,0xf88007ff,0x7ffe46ff,0x7ffc4003,0x02fffe46,0x03fffe60,
    0x003fffb8,0xfffa8000,0x3ea00004,0x640004ff,0xfff11fff,0x3fee000f,
    0xfa80003f,0x3fffbaff,0xa93ffe20,0xf9004fff,0xf88007ff,0x7ffe46ff,
    0x7ffc4003,0x01fffe46,0xd1bffe20,0xd0005fff,0x7dc05fff,0x000003ff,
    0x004fffa8,0x13ffea00,0x8ffff000,0x8002fffe,0x0003fffb,0xf8afffa8,
    0x3fe207ff,0x0fffea4f,0x01fffe40,0x91bffe20,0x88007fff,0x7fe46fff,
    0x7fc4003f,0x03fffc6f,0x03fffc80,0x000fffee,0x3ffea000,0x3ea00004,
    0x260004ff,0x7fdc4fff,0xffb8004f,0xfa80003f,0x7fff92ff,0xa93ffe20,
    0xf9003fff,0xf88007ff,0x7ffe46ff,0x7ffc4003,0x01fffe46,0x89bffe20,
    0x70005fff,0x7dc09fff,0x000003ff,0x004fffa8,0x13ffea00,0x1fffc800,
    0x003fffcc,0x001fffdc,0x997ffd40,0xff106fff,0x1fffcc9f,0x03fffc80,
    0x237ffc40,0x4003fffc,0x7e46fff8,0x7c4003ff,0x3ffe66ff,0xfff50005,
    0x1fffdc0b,0x7d400000,0x200004ff,0x0004fffa,0x7f41fffe,0x7dc002ff,
    0xa80003ff,0x3ff62fff,0x4fff882f,0x400fffe6,0x4003fffc,0x7e46fff8,
    0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x013ffea6,0x037ffcc0,0xddddfff7,
    0xdddddddd,0xfff50009,0x7d400009,0xf30004ff,0x3ff20bff,0x7fdc004f,
    0xeeeeeeef,0xa84eeeee,0x3fe62fff,0x4fff886f,0x400fffe6,0x4003fffc,
    0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x00ffff26,0x03fffc40,
    0xfffffff7,0xffffffff,0xfff5000b,0x7d400009,0xf90004ff,0x3fe605ff,
    0x7fdc007f,0xffffffff,0xa85fffff,0x7ff42fff,0x27ffc41f,0x2005fff3,
    0x4003fffc,0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x00ffff66,
    0x03fffc40,0xfffffff7,0xffffffff,0xfff5000b,0x7d400009,0xff0004ff,
    0x7ffc01ff,0x3fee001f,0xffffffff,0xa85fffff,0x7fd42fff,0x27ffc45f,
    0x20015551,0x4003fffc,0x7e46fff8,0x7c4003ff,0x7ffe46ff,0x7ffc4003,
    0x00ffff26,0x03fffcc0,0x555bfff7,0x55555555,0xfff50003,0x7d400009,
    0xf98004ff,0x7fe405ff,0x3fee004f,0xaaaaaadf,0xa81aaaaa,0xffe82fff,
    0x13ffe21f,0x3fff2000,0x7ffc4003,0x01fffe46,0x91bffe20,0x88007fff,
    0x3fee6fff,0xff30004f,0x7ffdc0df,0xa8000003,0x00004fff,0x0013ffea,
    0x500ffff2,0x5c00ffff,0x80003fff,0xfa82fffa,0x3ffe25ff,0xffc80004,
    0x7fc4003f,0x1fffe46f,0x1bffe200,0x8007fff9,0x3ea6fff8,0xf50005ff,
    0x7fdc0dff,0x8000003f,0x0004fffa,0x013ffea0,0x003fffe0,0x4007fffe,
    0x0003fffb,0xf02fffa8,0x3fe23fff,0x0015cc4f,0x8007fff9,0x7e46fff8,
    0x7c4003ff,0x7ffe46ff,0x7ffc4003,0x017ffe66,0x027ffdc0,0x0007fff7,
    0x9fff5000,0x7fd40000,0x7fcc004f,0xfffb006f,0x3ffee009,0xffa80003,
    0x9fff702f,0xfc93ffe2,0xff7005ff,0xff98007f,0x1fffdc5f,0x17ffe600,
    0x8007fff7,0x3e25fff9,0xfb0007ff,0x7fdc07ff,0x8000003f,0x0004fffa,
    0x013ffea0,0xffffff90,0xffffffff,0x2e00ffff,0x80003fff,0xf102fffa,
    0xfff11fff,0x3ffffe29,0x4fffa802,0x27ffd400,0x0013ffea,0xfa89fff5,
    0x7d4004ff,0x7fffc4ff,0x7ffc4002,0x3ffee01f,0xa8000003,0x00004fff,
    0x0013ffea,0xffffffff,0xffffffff,0xf7003fff,0x500007ff,0x7e405fff,
    0x4fff8bff,0x07fffff5,0x00bfff30,0x4c3fffb8,0x5c005fff,0x7fcc3fff,
    0x7fdc005f,0x2fffec3f,0x1bffee00,0x007fff70,0xfff50000,0x7d400009,
    0x3e6004ff,0xffffffff,0xffffffff,0xffb804ff,0xfa80003f,0x3fe202ff,
    0x14fff8ef,0x003fffff,0x800dfff1,0x7c41fffd,0x7ec006ff,0x7ffc41ff,
    0x7ffec006,0x07fffcc1,0x03fffd00,0x003fffb8,0xfffa8000,0x3ea00004,
    0x3f2004ff,0xcccccdff,0xfdcccccc,0xffb806ff,0xfa80003f,0x7fe402ff,
    0x2e4fffbf,0x3e004fff,0xf3003fff,0x3ffe0dff,0xfff3003f,0x0ffffe0d,
    0x837ffcc0,0xb006fffe,0xf700bfff,0x000007ff,0x009fff50,0x27ffd400,
    0x01ffff00,0x03ffff00,0x003fffb8,0x02fffa80,0x7ff7ffc4,0x000d444f,
    0x007fffee,0x205fffd3,0x401ffffb,0x702fffe9,0x9803ffff,0xf502fffe,
    0xfc80bfff,0xfb801fff,0x000003ff,0x004fffa8,0x13ffea00,0x037ffcc0,
    0x04fffd80,0x001fffdc,0x017ffd40,0x7fffffec,0x3fa00004,0x3109cfff,
    0x80bffff7,0x09cffffe,0xbffff731,0xcffffe80,0xfff73109,0xfffe80bf,
    0xeca8acef,0x7005ffff,0x5555bfff,0x55555555,0x2aaaaa01,0xaaefffca,
    0x5500aaaa,0xfff95555,0x1555555d,0x001fffe4,0x406fffa8,0xaaadfffb,
    0xaaaaaaaa,0x17ffd40a,0x7ffffcc0,0x2a00004f,0xffffffff,0x0effffff,
    0x7ffffd40,0xffffffff,0x7fd400ef,0xffffffff,0x800effff,0xfffffffd,
    0x03ffffff,0x3ffffee0,0xffffffff,0xff881fff,0xffffffff,0x2fffffff,
    0xffffff88,0xffffffff,0x3ffe2fff,0xff10000f,0x7fdc03ff,0xffffffff,
    0x41ffffff,0xb002fffa,0x009fffff,0xfffe8800,0xffffffff,0x3ffa2004,
    0xffffffff,0x3fa2004f,0xffffffff,0x7e4004ff,0xffffffff,0x7dc001ff,
    0xffffffff,0x1fffffff,0xffffff88,0xffffffff,0xff882fff,0xffffffff,
    0x2fffffff,0x000dfff3,0x204fffd8,0xfffffffb,0xffffffff,0x17ffd41f,
    0xfffffa80,0xd7000004,0xbdffffff,0x3fae0003,0x1defffff,0xfffd7000,
    0x003bdfff,0x3fffb260,0x8000cdff,0xfffffffb,0xffffffff,0xffff881f,
    0xffffffff,0x882fffff,0xffffffff,0xffffffff,0x07fff92f,0x6fffb800,
    0x3ffffee0,0xffffffff,0x7fd41fff,0x3ffa002f,0x000004ff,0x0009a988,
    0x04d4c400,0x2a620000,0x98000009,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x00013333,
    0x26666600,0x4ccccc00,0x40000000,0x00099999,0x0002ae60,0xb9553000,
    0x5ddddddd,0x09998800,0x26200000,0x4c000099,0x40009800,0x00098009,
    0x7fec0000,0x000004ff,0x009ffffb,0x01dffff5,0x3f600000,0x70004fff,
    0x01bfffff,0xf91000bb,0xffffffff,0x4005ffff,0x02ffffe8,0xffe88000,
    0xe88002ff,0xffd102ff,0x5ffd1003,0x007ffa20,0x7fec0000,0x000002ff,
    0x005ffffb,0x077fff44,0x3f600000,0x50002fff,0xffffffff,0x07ffb339,
    0x3ffff220,0xffffffff,0xf3002fff,0x07ffffff,0x7ffcc000,0x4003ffff,
    0xfb07fffb,0xff700dff,0x3fff60ff,0xc8000006,0x0000efff,0x1dfff900,
    0x3fff2000,0x9000000e,0x0001dfff,0x36f7ffe6,0xffffffff,0xffe8800e,
    0xaeffffff,0x02fffdaa,0xeaffff98,0x80003fff,0xfeaffff9,0x3ee003ff,
    0xfff907ff,0xffff700d,0x01bfff20,0xfff90000,0x64000009,0x80004fff,
    0x000efffa,0x27ffe400,0x217e4000,0xefffffe9,0xffffb000,0xb8bfffff,
    0x7d402fff,0x3ff20dff,0x3ea0004f,0x3ff20dff,0xfff1004f,0x0fffe609,
    0x413ffe20,0x0003fff9,0x0b332600,0xcc980000,0x2200002c,0x00003ccc,
    0x000b3326,0x372a0180,0x3fee001c,0xffffffff,0x017ffdc5,0x2a079991,
    0x88001ccc,0x99503ccc,0x0aa20039,0x44003710,0x00dc402a,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff80,0x5c5fffff,0x00002fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf1000000,0xffffffff,0xfffb8bff,0x00000002,0x00000000,0x00000000,
    0x2aaaa000,0x55440002,0x555300aa,0x55555555,0x20155555,0xaaaaaaa9,
    0xaaaaaaaa,0x5554000a,0x000001aa,0x00355555,0xffffffa8,0x5c5fffff,
    0x54002fff,0x0001aaaa,0x55555554,0xaaaaaaaa,0x555500aa,0x55555555,
    0x00155555,0x01aaaaa8,0xffffb800,0x3ff60001,0x3ffee06f,0xffffffff,
    0x701fffff,0xffffffff,0xffffffff,0x7ffcc003,0x800005ff,0x05fffff9,
    0x7ffffdc0,0x45ffffff,0x2002fffb,0x05fffff9,0x3fffe200,0xffffffff,
    0x882fffff,0xffffffff,0xffffffff,0x3fe6002f,0x00005fff,0x000dfffd,
    0x807fffe6,0xfffffffb,0xffffffff,0xffff701f,0xffffffff,0x4003ffff,
    0x0ffffffc,0x7fe40000,0x2000ffff,0xfffffffa,0x7dc5ffff,0x3f2002ff,
    0x000fffff,0xffffff10,0xffffffff,0xff105fff,0xffffffff,0x5fffffff,
    0x7fffe400,0xa80000ff,0x8002ffff,0x5c05fffd,0xffffffff,0xffffffff,
    0xfffff701,0xffffffff,0x7c003fff,0x02ffffff,0x7fffc000,0x26002fff,
    0xffffffff,0x7fdc5fff,0x3ffe002f,0x0002ffff,0xfffffff1,0xffffffff,
    0xfff105ff,0xffffffff,0x05ffffff,0x7fffffc0,0xfd00002f,0xfa800dff,
    0x7dc00fff,0x200003ff,0x0003fffb,0x3bffe600,0x00005fff,0x3ffbffe6,
    0x3fe2005f,0xffffffff,0x17ffdc5f,0xfefff980,0x800005ff,0x0004fffa,
    0x013ffea0,0x3bffe600,0x00005fff,0x007ffff3,0x4027fff4,0x0003fffb,
    0x00fffee0,0xfffc8000,0x0007fff9,0x3e7fff20,0x7f4007ff,0xffffffff,
    0x17ffdc5f,0xf9fffc80,0x800007ff,0x0004fffa,0x013ffea0,0x27fff200,
    0x00007fff,0x003ffff6,0x003fffea,0x000fffee,0x03fffb80,0x3ffe0000,
    0x005fffb6,0x6dbffe00,0x26002fff,0xffffffff,0x7ffdc5ff,0x2dfff002,
    0x0002fffd,0x027ffd40,0x9fff5000,0xdfff0000,0x000bfff6,0x1ffffc40,
    0x01ffff40,0x003fffb8,0x0fffee00,0x7fcc0000,0x0bfff74f,0x9fff3000,
    0x0017ffee,0xfffffff7,0xfffb8bff,0x4fff9802,0x000bfff7,0x04fffa80,
    0x3ffea000,0x7fcc0004,0x0bfff74f,0x7ffe4000,0x3ffea00f,0x3ffee006,
    0x3ee00003,0x000003ff,0x3e23fff9,0xc80007ff,0xfff11fff,0xfff9000f,
    0xb8bfffff,0xfc802fff,0xffff11ff,0xffa80000,0x2a00004f,0x40004fff,
    0xff11fffc,0x440000ff,0x3a04ffff,0x2e002fff,0x00003fff,0x000fffee,
    0x23fffc00,0x0002fffe,0x3fa3fffc,0xd88002ff,0x45ffffff,0xf802fffb,
    0x7fff47ff,0x3ea00002,0x200004ff,0x0004fffa,0x3fa3fffc,0x200002ff,
    0xb80ffffb,0x5c005fff,0x00003fff,0x000fffee,0x13ffe600,0x0009fff7,
    0x2e27ffcc,0x20004fff,0x45feecb9,0x4c02fffb,0x7fdc4fff,0x2a00004f,
    0x00004fff,0x0013ffea,0x5c4fff98,0x00004fff,0x222ffff4,0x4001ffff,
    0x0003fffb,0x00fffee0,0x3fff2000,0x03fffcc1,0x83fff900,0x0007fff9,
    0x7ffdc080,0x0fffe402,0x001fffe6,0x04fffa80,0x3ffea000,0x3ff20004,
    0x3fffcc1f,0x3fea0000,0x3fff21ff,0xfffb8004,0x3ee00003,0x800003ff,
    0xffd07fff,0x3fe0005f,0x5fffd07f,0xfb800000,0x7ffc02ff,0x05fffd07,
    0x3ffea000,0x3ea00004,0x3e0004ff,0xfffd07ff,0xfd800005,0xffff15ff,
    0xfff70001,0xdddddddd,0x5c09dddd,0xeeeeefff,0x4eeeeeee,0x82fffcc0,
    0x8004fffc,0xf905fff9,0x000009ff,0x202fffb8,0xf905fff9,0x200009ff,
    0x0004fffa,0x013ffea0,0x82fffcc0,0x0004fffc,0x4ffffcc0,0x0003fffc,
    0xfffffff7,0xffffffff,0x7fffdc0b,0xffffffff,0x7e405fff,0xfff302ff,
    0xfff9000f,0x1fffe605,0xff700000,0x7ffe405f,0x0ffff302,0x3ffea000,
    0x3ea00004,0xf90004ff,0x3fe605ff,0xc800007f,0x6fffdfff,0x3ffee000,
    0xffffffff,0x2e05ffff,0xffffffff,0x5fffffff,0x007fffc0,0x8003ffff,
    0x3e00ffff,0x00001fff,0x80bffee0,0x3e00ffff,0x80001fff,0x0004fffa,
    0x013ffea0,0x007fffc0,0x0003ffff,0xfffff880,0x2e0002ff,0xaaaadfff,
    0x1aaaaaaa,0x2b7ffee0,0xaaaaaaaa,0x3fe601aa,0x7ffe405f,0x3ffe6004,
    0x27ffe405,0xff700000,0x3ffe605f,0x27ffe405,0x7ffd4000,0x3ea00004,
    0xf98004ff,0x7fe405ff,0xb800004f,0x006fffff,0x01fffdc0,0x7fff7000,
    0x7fe40000,0x7ffd403f,0x3fff2007,0x3fffd403,0xff700000,0x3fff205f,
    0x3fffd403,0x7ffd4000,0x3ea00004,0xfc8004ff,0x7fd403ff,0xd000007f,
    0x0003ffff,0x003fffb8,0x0fffee00,0xffff8000,0x1ffff800,0x01ffff00,
    0x003ffff0,0x3ffee000,0x01ffff02,0x003ffff0,0x04fffa80,0x3ffea000,
    0xffff8004,0x1ffff800,0xffb80000,0xfb80005f,0x200003ff,0x0003fffb,
    0x00dfff30,0x2013fff6,0xb006fff9,0x00009fff,0x20bffee0,0xb006fff9,
    0x80009fff,0x0004fffa,0x013ffea0,0x00dfff30,0x0013fff6,0x13ffea00,
    0x3ffee000,0x3ee00003,0x900003ff,0xffffffff,0xffffffff,0xfff900ff,
    0xffffffff,0x0fffffff,0x3ff20000,0xffffc81f,0xffffffff,0x007fffff,
    0x027ffd40,0x9fff5000,0xffffc800,0xffffffff,0x007fffff,0x4fffa800,
    0xfffb8000,0x3ee00003,0xf00003ff,0xffffffff,0xffffffff,0xfff803ff,
    0xffffffff,0xffffffff,0xfd800001,0xfffff07f,0xffffffff,0x03ffffff,
    0x27ffd400,0xfff50000,0xffff8009,0xffffffff,0x1fffffff,0x7fd40000,
    0xfb80004f,0x200003ff,0x0003fffb,0xffffff98,0xffffffff,0x204fffff,
    0xfffffff9,0xffffffff,0x0004ffff,0x437ffc40,0xfffffff9,0xffffffff,
    0x0004ffff,0x0013ffea,0x04fffa80,0x3ffffe60,0xffffffff,0x04ffffff,
    0x7ffd4000,0xffb80004,0x2e00003f,0x80003fff,0xcccdfffc,0xcccccccc,
    0x3206fffd,0xccccdfff,0xdccccccc,0x03006fff,0x217ffee0,0xcccdfffc,
    0xcccccccc,0x0006fffd,0x0013ffea,0x04fffa80,0x337fff20,0xcccccccc,
    0x06fffdcc,0x7ffd4000,0xffb80004,0x2e00003f,0x80003fff,0x8000ffff,
    0xff01ffff,0xff0001ff,0x4fc803ff,0x07fffd40,0x0007fffc,0x000ffffc,
    0x004fffa8,0x13ffea00,0x00ffff80,0x01ffff80,0x3ffea000,0xffb80004,
    0x2e00003f,0x40003fff,0x0006fff9,0xf309fffb,0x36000dff,0x3e604fff,
    0xa99acfff,0x983ffffd,0xb0006fff,0x20009fff,0x0004fffa,0x013ffea0,
    0x0037ffcc,0x004fffd8,0x13ffea00,0x3ffee000,0xaaaaaaad,0x700aaaaa,
    0x5555bfff,0x55555555,0x01fffe41,0x86fffa80,0x0003fffc,0x640dfff5,
    0xffffffff,0x906fffff,0x20007fff,0x5406fffa,0xffcaaaaa,0xaaaaaaef,
    0x55555500,0x555dfff9,0x7fe41555,0xff50003f,0x540000df,0x80004fff,
    0xfffffffb,0xffffffff,0xffff701f,0xffffffff,0x7fc3ffff,0xf10000ff,
    0xfff83fff,0xff10000f,0x7f5403ff,0xffffffff,0x3fffe03f,0xfff10000,
    0x3ffe203f,0xffffffff,0x82ffffff,0xfffffff8,0xffffffff,0x3fffe2ff,
    0xfff10000,0x2a00003f,0x80004fff,0xfffffffb,0xffffffff,0xffff701f,
    0xffffffff,0x3e63ffff,0x6c0006ff,0x3fe64fff,0x7ec0006f,0xecb804ff,
    0x00ceffff,0x001bffe6,0x209fffb0,0xfffffff8,0xffffffff,0xfff882ff,
    0xffffffff,0x32ffffff,0x8000dfff,0x0004fffd,0x009fff50,0xfffff700,
    0xffffffff,0x3ee03fff,0xffffffff,0x1fffffff,0x0007fff9,0x326fffb8,
    0x40003fff,0x8006fffb,0x3ff20009,0x7dc0003f,0xfff106ff,0xffffffff,
    0x05ffffff,0xfffffff1,0xffffffff,0x3fff25ff,0x7fdc0003,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54400000,0x981abccc,0x00002eee,0x77744000,0x665cc003,
    0x00000002,0x00000000,0x1b980571,0xb8000000,0x0005eeee,0x26015c40,
    0x5c00001b,0x220ceeee,0xb5001ded,0xffffffff,0x7ff419df,0x00000006,
    0x000fffdc,0x1bfffff7,0xfecb8800,0x5c003cef,0x2003dffd,0x2203eed8,
    0xff705fff,0x7ec4007f,0xff70002e,0x20000bff,0xf705fff8,0x200007ff,
    0x445ffffb,0x202fffff,0xffffffd8,0x2fffffff,0x0007ffee,0xfff80000,
    0x3ffea005,0x2004ffed,0xfffffffc,0x74402eff,0x0effffff,0x00fffd80,
    0x207ffff2,0x2006ffff,0x001ffffe,0x0bfffd30,0xffff9000,0x0dffff03,
    0xffff7000,0xfffff907,0x3fffa60d,0xfffeffff,0x3fe22fff,0x0000005f,
    0x005fff50,0xffb077f4,0xffff8801,0xffffffff,0x3fffa02f,0x405ffffe,
    0x6402fffa,0xff81ffff,0xff5006ff,0x40009fff,0x005fffd8,0x0ffffe40,
    0x0037fffc,0x07bffee0,0x3fffffec,0x6fffffd4,0x7f5cc41a,0x007ffe42,
    0x7ec00000,0x3fe2006f,0x2017fcc3,0x9abffffd,0x0fffffda,0x911fffa8,
    0x3a203fff,0xff8805ff,0x5fff705f,0x3fffea00,0xfb80004f,0x220005ff,
    0xff705fff,0x7dc0005f,0x3f200dff,0xfe86ffff,0x26003fff,0x01fffcc1,
    0x3e600000,0x3e2003ff,0x017fcc4f,0x401bfff7,0xfe83fffd,0x04fff84f,
    0x2001fff9,0x0d4c02a8,0xfffff100,0x32600003,0x220002cc,0x00d4c02a,
    0x07999100,0x5fffff10,0x01ffffb8,0x0dffb000,0xfc800000,0x7f4000ff,
    0x01ffb11f,0x2007fffc,0xff85fff9,0x85ffd81f,0x0003fff9,0x3a600000,
    0x000003ff,0x00000000,0x22000000,0x7fc42ded,0x200002ff,0x0002fffa,
    0xbfff1000,0xdfff3000,0x7cc09fff,0xff8804ff,0x07ffc46f,0x7f437fdc,
    0x0000005f,0x00001000,0x00000000,0x00000000,0x0dfff900,0xbfff0000,
    0x2e000000,0x50001fff,0x809fffff,0x9803fffa,0xfff84fff,0x645ffb82,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x3fffe000,0xfb800002,
    0x000001ff,0x0006ffe8,0x40055d44,0xd802fffb,0xfff83fff,0x264ffd84,
    0x93003fff,0x32200399,0x000002cc,0xfeecb980,0x30003cde,0x9bdfdd97,
    0x32e60007,0x03cdefee,0x1fffe200,0x7fc40000,0x4000004f,0x0002fff9,
    0xfffd8000,0x37ffec01,0x260effd8,0x3ffa1fff,0x3ffea006,0xbfff1003,
    0x6666664c,0x4000cccc,0xffffffd8,0x03ffffff,0xfffffd88,0x3fffffff,
    0xffffd880,0xffffffff,0xfffa8003,0x36000006,0x00000fff,0x001fff60,
    0x77f765cc,0x3ff603cd,0xfffd101f,0x3ffe603f,0x25fffccf,0x2001fffb,
    0x1003fffa,0x7fd4bfff,0xffffffff,0x7ffc4001,0xffffffff,0x7c405fff,
    0xffffffff,0x405fffff,0xfffffff8,0x5fffffff,0x2fffdc00,0xff300000,
    0x2000007f,0x2004fff8,0xffffffd8,0x83ffffff,0xf981fffd,0x6400efff,
    0xefffffff,0x007fff30,0x003fffa8,0x7d4bfff1,0xffffffff,0x7fc4001f,
    0xcbabcdef,0x203fffff,0xbcdefff8,0xfffffcba,0x3bffe203,0xffcbabcd,
    0x32003fff,0x00003fff,0x0037ff40,0x0fffc800,0x3fffe200,0xffffffff,
    0x7ffec5ff,0x27fff441,0xfffff500,0x037ff419,0x01fffd40,0x265fff88,
    0xfecccccc,0x744001ff,0x7fec400b,0x02fa207f,0x0ffffb10,0x22005f44,
    0x2007fffd,0x0002fffd,0x0fffd400,0x7ffc0000,0x7ffc4005,0xfcbabcde,
    0x3f63ffff,0x7ffe41ff,0x03510005,0x0003fff7,0x2007fff5,0xb005fff8,
    0x00003fff,0x1fffe880,0xffd10000,0x2200003f,0xd001fffe,0x00005fff,
    0x00bfff00,0x2fffa800,0x005f4400,0xd9ffff62,0x7fec1fff,0x4400001f,
    0x50004fff,0x22007fff,0xfb005fff,0x000003ff,0x005fff90,0x17ffe400,
    0xfff90000,0x3fffa005,0xc8000003,0x00000fff,0x0001bffa,0x3fffa200,
    0xe83fffb1,0x00000fff,0x00037fec,0x2007fff5,0xb005fff8,0x00003fff,
    0x07fff500,0x7ffd4000,0x3ea00003,0x20d4c3ff,0x0004fffd,0x4fff8800,
    0xfff30000,0x20000007,0xffb2fffc,0x3fffd83f,0x3fea0000,0x3ea0001f,
    0xff1003ff,0x3ff600bf,0x8000001f,0x0004fffa,0x013ffea0,0x4fffa800,
    0x643bfff2,0x00004fff,0x00fffb00,0x03fff200,0x7d400000,0x3fffb3ff,
    0x02ffffb8,0x4fff8800,0x7ffd4000,0xbfff1003,0x07fff600,0x99988000,
    0x04fffb99,0x99999880,0x8004fffb,0xfb999998,0xffff54ff,0x17ffeebf,
    0x7d400000,0x440002ff,0x00004fff,0x53ffea00,0xfe81fffd,0x40003fff,
    0x0000fffd,0x801fffd4,0xb005fff8,0x40003fff,0xfffffed9,0x04ffffff,
    0xffffed98,0x4fffffff,0xfffed980,0xffffffff,0xffffffb4,0x001fffea,
    0x6ffe8000,0x7ffdc000,0x98800001,0xfffb9999,0x103fffb4,0x01bfffff,
    0x45fff500,0x02dffed9,0x801fffd4,0xb005fff8,0x30003fff,0xfffffffb,
    0x9fffffff,0x7fffecc0,0xffffffff,0x3f6604ff,0xffffffff,0xfb4fffff,
    0x3e2fffff,0x00003fff,0x03fff700,0x037ff400,0xffed9800,0xffffffff,
    0x03fffb4f,0x3bffffa6,0x3ffe2001,0x3ffffee5,0x3fea04ff,0xfff1003f,
    0x3fff600b,0x7ffcc001,0xeeeeefff,0x304fffee,0xddffffff,0xfffddddd,
    0x3fffe609,0xeeeeeeff,0xff54fffe,0x7fec9fff,0x0000007f,0x0009fff1,
    0x000bffea,0xfffffb30,0xffffffff,0x07fff69f,0xfffffd88,0x1fff9000,
    0x3fbfffe6,0xff502fff,0x3fe2007f,0xfffb005f,0x7ff44003,0x7fd402ef,
    0xfffe884f,0x7ffd402e,0xefffe884,0x27ffd402,0x541bfff9,0x0003ffff,
    0x1fff9000,0x0fffb000,0xffff9800,0xeeeeeeff,0xffb4fffe,0xfff7003f,
    0xfff500df,0xd32fff45,0x3fea0dff,0xfff1003f,0x3fff600b,0x3ffee001,
    0xfffa800e,0x0efffb84,0x84fffa80,0x800efffb,0x5444fffa,0x7ffffd01,
    0xf3000000,0xf88007ff,0x220003ff,0x402efffe,0xffb4fffa,0x3fea003f,
    0x3fa202ff,0x03ffe65f,0xf501fff5,0x3ea009ff,0xffb005ff,0x7fec003f,
    0xfff5002f,0x05fffb09,0x213ffea0,0x5002fffd,0xa8009fff,0x005fffff,
    0xfd000393,0xffc800df,0x3ee0000f,0xfa800eff,0x3fffb4ff,0x27ffe400,
    0x541fff90,0xfff886ff,0x04fff982,0x05ffff88,0x003fffb0,0x8007fff4,
    0xfe84fffa,0xff5000ff,0x1fffd09f,0x13ffea00,0x3ee0fffd,0xacdfffff,
    0x2ffecba9,0x2fffa800,0x017ffe00,0x05fffb00,0x6d3ffea0,0x26001fff,
    0xff306fff,0x05ffb87f,0xff107ffd,0xffe880df,0xffb005ff,0x7ffc003f,
    0xfffb801f,0x1ffff84f,0x4ffffb80,0x801ffff8,0x7c4ffffb,0x3fee05ff,
    0xffffffff,0x002fffff,0x200bfff0,0x0001fffb,0x8007fff4,0xffb4fffa,
    0x7fc4003f,0x0bffd06f,0x3fe0fff7,0x5ffff02f,0x3ffffa20,0xfffb005f,
    0x7ffec003,0x3fff6204,0xfffd84ff,0x3fff6204,0xfffd84ff,0x3fff6204,
    0x3ffe64ff,0x7fff5402,0xffffffff,0xf70002ff,0xffd001ff,0xfff0000d,
    0xfff7003f,0x07fff69f,0x84fffb80,0xfa80fffc,0x7ffc40ff,0x7ffff900,
    0x3bffee21,0xfb005fff,0x7e4003ff,0x7dcc3fff,0x84ffffff,0x4c3ffffc,
    0xfffffffb,0x3ffffc84,0x7ffffdcc,0x3ffee4ff,0xfff93000,0x17bfffff,
    0x7ffc4000,0x1fffcc04,0x7ffec000,0x3fff6204,0x3fffb4ff,0x3f6620a8,
    0x7fcc1fff,0x9fff103f,0x2206ffd8,0xffffffff,0xffe8efff,0x26666665,
    0x99afffd9,0xfe881999,0xffffffff,0x4fff9fff,0xfffffe88,0x9fffffff,
    0xfe884fff,0xffffffff,0x4fff9fff,0x2001bff6,0x009afffd,0x3ffec000,
    0x001fff60,0x1ffffe40,0x3ffffee6,0x3fffb4ff,0xfffffff8,0xffe83fff,
    0x7fffe406,0x401fffec,0xfffffffa,0xbffd0dff,0x3fffffe2,0xffffffff,
    0xff307fff,0xffffffff,0x413ffe1b,0xfffffff9,0xfff0dfff,0x3fffe609,
    0x0dffffff,0x7ff49fff,0x6ffe8004,0x3e600000,0xfff103ff,0x3a200009,
    0xffffffff,0xfff9ffff,0xf83fffb4,0xffffffff,0x01fffb83,0x7fffff44,
    0xfd1004ff,0xe85dffff,0xffff15ff,0xffffffff,0x40ffffff,0xffffffc8,
    0x027ffc2d,0xffffff91,0x04fff85b,0x3fffff22,0x27ffc2df,0x88003999,
    0x00004fff,0xb837ff40,0x00000fff,0x3fffffe6,0xff0dffff,0x07fff69f,
    0x9dffffff,0x07fff301,0x77fffe40,0x15530002,0x7fffc400,0xffffffff,
    0x007fffff,0x00001531,0x0000a988,0x00054c40,0x3fea0000,0x4000001f,
    0xff81fffb,0x8800005f,0xdffffffc,0x0027ffc2,0x00001333,0x00026200,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x000007ff,0x545fff88,
    0x00002fff,0x00054c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9ffb0000,0x32000000,0x3ffa0fff,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x000001cc,
    0x225ddd10,0x00003eee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x005eeeeb,0xeee98000,
    0x65c40003,0x0002202c,0xceeeeb80,0xeee98000,0x15c40003,0x64c06e60,
    0x993001cc,0x5ddd5039,0x4c000000,0x80003eee,0x0000ced9,0xf7000000,
    0x0000bfff,0x7ffffcc0,0xfff90003,0xee885dff,0xffb80000,0xf30005ff,
    0x0007ffff,0x5c17ffe2,0xffa83fff,0xfff7003f,0x07fff505,0x3e600000,
    0x0003ffff,0x417fffe6,0x02ceffec,0x01f76c40,0x0bfffd30,0xfff30000,
    0x8007ffff,0xfffffffc,0x4ffebbdf,0x7ffdc000,0xff30003f,0x007fffff,
    0x03ffff90,0xf50dffff,0x3ee007ff,0xfffa82ff,0x98000003,0x3fffffff,
    0xffff7000,0xffffd01f,0x7ec005ff,0x6c4000ff,0x00005fff,0x367bffe6,
    0xf3003fff,0xfff959ff,0x00bfffff,0x1efffb80,0xdfff3000,0x007fffb3,
    0x81ffffc8,0xfa86ffff,0xff7003ff,0x7fff505f,0xf9800000,0xfffd9eff,
    0xfffb8003,0xecdd80ff,0xf5006fff,0x5c0005ff,0x80005fff,0x320dfff9,
    0xf7003fff,0xffffd883,0x2e0000ef,0x0000dfff,0x641bfff3,0x22003fff,
    0xff705fff,0x7fff505f,0x0bffee00,0x000fffea,0xdfff9800,0x00ffff20,
    0x0bffff30,0x003fff60,0x000bffd1,0x00599930,0x503ccc80,0x06003999,
    0x000bcb98,0x01e66440,0x40f33200,0x2001ccca,0x0d4c02a8,0x003fffa8,
    0xf505fff7,0x000007ff,0xca81e664,0x74c001cc,0xffb000df,0x1fff900d,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff500000,0x3fee007f,
    0x3fffa82f,0x00000000,0xd3000000,0x803ffffd,0x0003fff9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fff500,0x20bffee0,0x0003fffa,
    0x00000000,0xffff3000,0xffe805df,0x00000005,0x00000000,0x00000000,
    0x00000000,0x2a000000,0xf7003fff,0xfff505ff,0x00000007,0x20000000,
    0xffffeee9,0x01fff903,0x3b2e6000,0x20002bce,0xdefeecb9,0x9730003c,
    0x079bdfdd,0xeecb9800,0x980002bc,0x02bceecb,0xeecb9800,0x7fd402bc,
    0xfff7003f,0x87fff505,0x0aceeca8,0x01ccc980,0x00599910,0x9801ffea,
    0xff986fff,0xe980003f,0xffffffff,0xffb1001e,0xffffffff,0xfb1007ff,
    0xffffffff,0x98007fff,0xfffffffe,0xe98001ef,0xffffffff,0xfe98001e,
    0xefffffff,0x07fff501,0x20bffee0,0x3f23fffa,0x1fffffff,0x01fffd40,
    0x005fff88,0x4400fff7,0xffe86fff,0xffa80006,0xffffffff,0xff8803ff,
    0xffffffff,0x4405ffff,0xffffffff,0x05ffffff,0xffffff50,0x07ffffff,
    0x7ffffd40,0x3fffffff,0x3fffea00,0xffffffff,0x03fffa83,0x505fff70,
    0x3ff65fff,0xffffffff,0x0fffea01,0x02fffc40,0x2e07ffb8,0x4fffebaa,
    0x000fffdc,0x33ffff20,0xfffeba9a,0x7ffc403f,0xfcbabcde,0x2203ffff,
    0xabcdefff,0x3fffffcb,0x67fffe40,0xfffeba9a,0xfffc803f,0xfeba9acf,
    0xfc803fff,0xba9acfff,0x543ffffe,0xf7003fff,0xfff505ff,0x79dfffd7,
    0x01fffffd,0x400fffea,0x7005fff8,0x7ffc0fff,0x260effff,0x40003fff,
    0x202ffff9,0x200ffffc,0x6c400be8,0x3a207fff,0x7fec400b,0x3ffe607f,
    0x3fff202f,0x3ffe600f,0x3fff202f,0x3ffe600f,0x3fff202f,0x0fffea0f,
    0x417ffdc0,0xfffffffa,0x3ffff982,0x007fff50,0x4017ffe2,0xff00fffb,
    0xe819ffff,0xd80006ff,0xfc801fff,0x200004ff,0x001fffe8,0x3fffd100,
    0x007fff60,0xd813fff2,0xfc801fff,0x3ff604ff,0xfffc801f,0x00fffea4,
    0x5417ffdc,0x00efffff,0x541bffea,0xf1003fff,0xfb300bff,0x2aa601ff,
    0x3fff7019,0xfff98000,0xffff1005,0xffc80000,0x3200002f,0xff982fff,
    0xfff1005f,0x17ffe60f,0x83fffc40,0x1005fff9,0x7fd4ffff,0xfff9004f,
    0xdffff505,0x3ffff001,0x007fff50,0x5417ffe2,0x0ffffffe,0x3ffe2000,
    0xffd80004,0x3ff6001f,0x2a00000f,0x00003fff,0x360fffea,0x36001fff,
    0xffd80fff,0x3ff6001f,0x1fffd80f,0x43fff600,0xa804fffa,0xfa83ffff,
    0xf9000fff,0xfff507ff,0x3ffe2007,0x7ffff4c5,0x0000ffff,0x0001bff6,
    0x2003fff4,0x0002fffc,0x013ffea0,0x4fffa800,0x4007ffe8,0xfe82fffc,
    0x7fe4007f,0x07ffe82f,0xa97ffe40,0x7cc06fff,0xfa83ffff,0x3ea003ff,
    0xfffa84ff,0xbfff1003,0xefffffe8,0x50000ccc,0x00003fff,0x7001bffe,
    0x10007fff,0xff733333,0x3310009f,0x9fff7333,0x800dfff0,0xff83fffb,
    0x7fdc006f,0x06fff83f,0xa9fffdc0,0xf302ffff,0x50bfffff,0x4c007fff,
    0xffa84fff,0xfff1003f,0x17fffe4b,0xfff10000,0x3e200009,0xffffffff,
    0xffffffff,0xed9804ff,0xffffffff,0xd9804fff,0xfffffffe,0x7c44ffff,
    0xffffffff,0xffffffff,0x7ffc44ff,0xffffffff,0xffffffff,0x7ffffc44,
    0xffffffff,0x54ffffff,0x217fffff,0xfecfffc8,0x3fea0bff,0x3fe6003f,
    0x3fffa85f,0x4bfff100,0x0002ffff,0x007ffec0,0xffffa800,0xffffffff,
    0x4fffffff,0x3ffff660,0xffffffff,0x3f6604ff,0xffffffff,0x544fffff,
    0xffffffff,0xffffffff,0x7fd44fff,0xffffffff,0xffffffff,0x7fffd44f,
    0xffffffff,0x4fffffff,0xfffffff5,0x32bfffff,0xf50fffff,0x7c4007ff,
    0xfffa86ff,0xbfff1003,0x001fffe2,0x85fff500,0x00eeeee9,0xffffff98,
    0xffffffff,0x304fffff,0xddffffff,0xfffddddd,0x3fffe609,0xeeeeeeff,
    0x7cc4fffe,0xffffffff,0xffffffff,0x7ffcc4ff,0xffffffff,0xffffffff,
    0x7ffffcc4,0xffffffff,0x54ffffff,0xffffffff,0x7fc4bfff,0xfff50fff,
    0x7ffcc007,0x03fffa85,0x2abfff10,0x00006fff,0x3a17ffe2,0x800fffff,
    0x0005fff8,0xefffe880,0x27ffd402,0x177fff44,0x113ffea0,0x0000bfff,
    0x005fff88,0x2fffc400,0xfffa8000,0x2effffc9,0x50fffe98,0x54007fff,
    0xffa83fff,0xfff1003f,0x01fffeab,0x0fffc800,0x7fffffdc,0x0ffff000,
    0xfff70000,0xfff5001d,0x1dfff709,0x09fff500,0x0000ffff,0x000ffff0,
    0x00ffff00,0x8bffea00,0x413000a9,0x2003fffa,0xfa82fffb,0xff1003ff,
    0x3fffe6bf,0xffa80000,0x5fffcc2f,0xfd000fff,0x800001ff,0x5002fffd,
    0xffb09fff,0x3fea005f,0x0fffe84f,0x7ff40000,0x7400000f,0x80000fff,
    0x0002fffa,0x00fffea0,0xa81fffd8,0xf5004fff,0x3ffe2bff,0x7440002f,
    0xcffe85ff,0xb000fff9,0x00007fff,0x000fffe8,0xfd09fff5,0x3ea001ff,
    0xfffd84ff,0x7ec00003,0x400003ff,0x0003fffd,0x003fffa8,0x0fffea00,
    0x83fffcc0,0x8804fff9,0x3f25ffff,0x20000fff,0x7dc0fffc,0x01fff36f,
    0x03fffe60,0xffff8000,0xffffb801,0x01ffff84,0x84ffffb8,0x000ffff9,
    0x3fffe600,0x3e600000,0x40000fff,0x0003fffa,0x00fffea0,0x8817ffec,
    0x74406fff,0x3e25ffff,0x8000efff,0x7c43fff9,0x1fff31ff,0x77ffec00,
    0xffb00001,0x7fec409f,0xffd84fff,0x3ff6204f,0xffb04fff,0x400003df,
    0x001efffd,0x3bfff600,0x3fea0001,0x2a00003f,0xfb803fff,0x7ffc06ff,
    0xfffd102f,0xfffb8bff,0x3a000cff,0xdffd85ff,0x1afffa99,0xfffff300,
    0x32a60139,0x7ffff902,0xfffffb98,0xfffc84ff,0x7ffdcc3f,0xf304ffff,
    0x0139ffff,0xf980b2a6,0x009cffff,0x7cc05953,0x009cffff,0x7fd45953,
    0x2a00003f,0x441befff,0x01ffffea,0x85ffffe4,0xffefffb8,0xffffc85f,
    0x80abcdff,0xff80fffc,0xffffffff,0xff7000ff,0xddffffff,0x205fffff,
    0xffffffe8,0xf9ffffff,0xffe884ff,0xffffffff,0x04fff9ff,0x3fffffee,
    0xffffeeff,0x7ffdc02f,0xfeefffff,0x5c02ffff,0xffffffff,0x2fffffee,
    0x000fffea,0xfffffa80,0xffffffff,0xff8802ff,0xffffffff,0x05ffe8ef,
    0xfffffff5,0xfff987ff,0xffffff03,0x01ffffff,0x7ffff4c0,0xffffffff,
    0x3ffe602f,0xdfffffff,0x2609fff0,0xffffffff,0x9fff0dff,0xffffe980,
    0xffffffff,0xffe9802f,0xffffffff,0xe9802fff,0xffffffff,0x2a2fffff,
    0x00003fff,0x3fffffe6,0xdfffffff,0x3ffea000,0x0dffffff,0x6440bffd,
    0x3fffffff,0x99037ff4,0xfffb9999,0xb7000199,0xfffffffd,0xc88019bf,
    0x2dffffff,0x91027ffc,0x5bffffff,0x7004fff8,0xffffffdb,0x40019bff,
    0xfffffedb,0x000cdfff,0x3ffffb6e,0x20cdffff,0x0003fffa,0xfffeb980,
    0x002cefff,0xfffffd10,0x05ffe85d,0x7fffdb50,0x000fffdc,0x0007ffcc,
    0x33355300,0x054c4000,0x2a620000,0x4c000000,0x000199aa,0x0666aa60,
    0x9aa98000,0x26662019,0x30000000,0x30000013,0x00000155,0x7fff3098,
    0x3ffe6000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x0005eeee,0x037bbb20,0xdddd7000,0xcc98000b,0x9970004c,0x32e60059,
    0xdb89bcee,0xee980003,0x0000003e,0x00aaf362,0x03ffecc0,0x40fbb620,
    0x4007ffd9,0x4403eed8,0x0ceffedb,0xfffb8000,0xd100005f,0x9510dfff,
    0xffff7005,0x7fc4000b,0xff8002ff,0x3f6201ff,0xffffffff,0x80004fff,
    0x0004fffa,0x777f6e5c,0xffff11cd,0xb10039ff,0x800fffff,0x6c40fffd,
    0x4007ffff,0x2a00fffd,0xffffffff,0xe980004f,0x00005fff,0xb9bffff3,
    0x2005ffff,0x005fffe9,0x017fff60,0x40dfff50,0xfffffffa,0x4fffffff,
    0xfffa8000,0xffd50004,0x9fffffff,0x3fffffe2,0xfc880dff,0x007fffff,
    0xc88bffea,0x07ffffff,0x80bffea0,0xfffffffb,0x0004ffff,0x05fffd88,
    0xfffd9800,0x2fffffff,0x3fff6200,0xfff30005,0x7fec001f,0xffff903f,
    0xff9757bd,0x00009fff,0x0009fff5,0xfffffffb,0x3a29ffff,0xfffffffe,
    0x7fffc42f,0xd1007ffe,0xfff88bff,0x1007ffef,0x7c40bffd,0xfc9aefff,
    0x0001ffff,0x00bfff70,0xfffffd50,0x9dffffff,0xfff70003,0x3ffa000b,
    0xfff1003f,0xffff501f,0x4fffb807,0xfffa8000,0x7ffd4004,0xcba9abef,
    0xffd7303e,0xcfc83fff,0x9007ffb8,0x9f901fff,0x200fff71,0x3200fffc,
    0xffb05fff,0x4c00009f,0x64002ccc,0xffffffff,0x80000aff,0x8002ccc9,
    0x5006fffb,0x3fa0bfff,0xffa802ff,0xfa80004f,0x3e2004ff,0x00004fff,
    0x41fffff5,0x01ffee08,0x440fffe6,0x201ffee0,0x7403fff9,0xff500fff,
    0x000000df,0x77ffe400,0x04ffffbc,0x20000000,0x801ffff8,0xfa82fffd,
    0xff5005ff,0xf500009f,0x7d4009ff,0x400006ff,0x204ffff9,0xfe807ffb,
    0x3fee005f,0x05ffe807,0x2207fff8,0x00007fff,0x06ea0000,0x007fffee,
    0xd8000000,0x7c404fff,0xfffd07ff,0x3ffea003,0xffa80004,0x3ff2004f,
    0xa800002f,0xf700ffff,0xfffc80ff,0x1ffee000,0x801fff90,0x2207fff8,
    0x00005fff,0x36000000,0x00006fff,0x3fea0000,0x7ffdc07f,0x00dfff04,
    0x0027ffd4,0x027ffd40,0x003fffb0,0x3fffe000,0x40fff703,0x4003fff9,
    0x3e607ffb,0xfff003ff,0x3ffea01f,0x6664c004,0x59991001,0xfdb73100,
    0x20007fff,0xbceedb98,0x7ff4000a,0x3fffa02f,0x05fff881,0x013ffea0,
    0x37bb2e62,0x004fffcb,0x0003fffa,0x27ffec00,0x3a07ffb8,0xfb8006ff,
    0x1bffa07f,0x03fffd80,0x8003fffd,0x1003fffa,0x74c0bfff,0xffffffff,
    0x7dc000ff,0xffffffff,0x3fee002e,0xdfff105f,0x013ffe60,0x204fffa8,
    0xffffffd8,0x04ffffff,0x001fffe0,0x4fffc800,0x2e0fff70,0xb8001fff,
    0xfff707ff,0x7ffdc003,0x3fff620f,0xfffa8004,0xbfff1003,0x3ffffea0,
    0x4fffffff,0xffffb100,0xffffffff,0x3ffe2009,0x3fffb80f,0x007fff70,
    0xa827ffd4,0xffffffff,0x04ffffff,0x001fffe0,0x3fffc800,0xf30fff70,
    0x2e0007ff,0xfff987ff,0x7ffc4003,0xdfffd35f,0xfff50001,0x3ffe2007,
    0xfffffc85,0xfffdccce,0x7ffc401f,0xfdbaceff,0xb005ffff,0xffd07fff,
    0x3ffee01f,0x3ffea003,0xeffffc84,0xfffdcabd,0x3fe004ff,0x2000007f,
    0xf702fffe,0x0dffd0ff,0x43ffdc00,0x50006ffe,0xfffdffff,0x2a0001bf,
    0xf1003fff,0xfffa8bff,0xfff900bf,0xffffd80b,0xffffb101,0xdfff5003,
    0x205fff98,0x2004fffa,0x7cc4fffa,0x7dc03fff,0x4cccc4ff,0x9ffff999,
    0x99999999,0x7ffdc000,0xffb8000f,0x7000001f,0x40003fff,0xfffffffd,
    0x7fd40003,0xfff1003f,0x02fffe8b,0x807fffc4,0x800efff9,0xf006fffc,
    0x7fe43fff,0x3ffea02f,0x3ffea004,0x00ffff44,0xf327ffd4,0xffffffff,
    0xffffffff,0x2660dfff,0xffffeaa9,0xfff88003,0xf1000004,0xb80009ff,
    0x00dfffff,0x3fffa800,0x4bfff100,0xb004fffa,0x3fa07fff,0xff1002ff,
    0xff9005ff,0x03fffc9f,0x4017ffe6,0x2a4fffe8,0xf5005fff,0x7ffcc9ff,
    0xffffffff,0xffffffff,0xfffff06f,0x000dffff,0x0001bff6,0x006ffd80,
    0x3ffff620,0x2aaa06ff,0x1fffd402,0x25fff880,0x3000fffe,0xff30dfff,
    0xffb800df,0xfff8804f,0x809fff57,0x800ffff8,0x3a4ffffe,0xf5001fff,
    0x7ffcc9ff,0xffffffff,0xffffffff,0xfffff06f,0x20007fff,0x0001fffa,
    0x03fff500,0x3fffa200,0xf04fffff,0xffa80dff,0xfff1003f,0x017ffe2b,
    0xa81ffff0,0x4c003fff,0xfb005fff,0x3fffb5ff,0x05fffb00,0x4fffffd8,
    0xa801bffe,0x3e004fff,0x740007ff,0x00acdfff,0x09fff100,0x3fe20000,
    0x3fa0004f,0xfffc8eff,0x06fff83f,0x801fffd4,0xff55fff8,0xffe8007f,
    0x17ffe41f,0x037ffc00,0xffdfffa8,0xfff5006f,0x3fff201f,0xfff14fff,
    0x7ffd400b,0x1fffe004,0x0dffd000,0x3fff6000,0xfb000000,0x2e0001ff,
    0x3fa0efff,0x3fe21fff,0x7ffd405f,0xbfff1003,0x000fffee,0xfd85fff9,
    0xff8001ff,0x3ffe007f,0x2003ffff,0x88aeffff,0xffaffffc,0x09fff34f,
    0x027ffd40,0x000ffff0,0x0005ffe8,0x262fffa8,0x003efffc,0x4c2fffa8,
    0xf80eeeee,0x7fc41fff,0xfff30fff,0x3fffa809,0x2bfff100,0x4002fffc,
    0x7f43fffb,0xfe8000ff,0xff9000ff,0x4001ffff,0xfffffffa,0xff99ffff,
    0x07fff54f,0x027ffd40,0x000ffff0,0x0005ffe8,0xf52fffc4,0x0bffffff,
    0x42fffc40,0x40fffffe,0xf305fffa,0x3feedfff,0x7ffd403f,0xbfff1003,
    0x000bfff6,0xfe87fff7,0xfe8000ff,0xff1000ff,0x50009fff,0xffffffff,
    0x53ffe63f,0x2003fffb,0x2004fffa,0x40007fff,0x40005ffd,0x3e60fffc,
    0x3fffedef,0x81fff900,0x0ffffffb,0x701fffdc,0xffb9ffff,0xfffa803f,
    0xbfff1003,0x000ffff2,0xfd87fff9,0xff8001ff,0x7fec007f,0xb30000ff,
    0x417bffff,0xff54fff9,0x7fd4009f,0x3ffe004f,0x7fec0007,0x3fea0005,
    0x7f43c82f,0xfffa805f,0x7dfffcc2,0x7ffe40ff,0x7fffec02,0xfa806fff,
    0xff1003ff,0x13ffeebf,0x85fffb00,0x4002fffc,0x4005fff8,0x0004fffd,
    0x3ea01530,0x9fff34ff,0x27ffd400,0x00ffff00,0x001aa980,0x00bffd10,
    0x2202ffec,0xffe85ffe,0x640fff9c,0xfe803fff,0x803fffff,0x5004fffa,
    0x3fe6bfff,0x7ff4005f,0x27ffdc0f,0x13ffea00,0x0ffffa80,0xf5000000,
    0x3ffe69ff,0xfffd1005,0x3fffc009,0x40000000,0x1000fffc,0xfc807fff,
    0xb7fdc0ff,0x7dc0fff9,0xff8804ff,0x9800ffff,0xf8804fff,0xfff15fff,
    0x3fea003f,0xffff986f,0x3fffa000,0x3fffa002,0x20000005,0xff14fffa,
    0xffd001ff,0x7fc009ff,0x0000007f,0x01fffcc0,0x00effe88,0xf10fffe6,
    0x3ffe63ff,0x07fffcc0,0x37fffd40,0x06fff880,0x2fffff44,0x200bfffb,
    0xfd03fffd,0x3ea009ff,0x3f2006ff,0x00000fff,0x93ffea00,0x6c03fffd,
    0x004fffff,0x0001fffe,0xd0001571,0x3e600bff,0x7f400eff,0x9dffd85f,
    0x21afffa9,0x00effff8,0x3fffffa6,0x5ffff005,0x3ffffa20,0x3fffe65f,
    0x3fffe403,0x07ffff30,0x01ffffa8,0x03ffff90,0xfa800000,0x3ffea4ff,
    0xffff900e,0x7fc009ff,0x3e60007f,0x32000fff,0xfb800fff,0x7e400dff,
    0xffff80ff,0xffffffff,0x3ffffea0,0xffca889b,0x03ffffff,0x0bffffc8,
    0xffdfff71,0xffffd8bf,0xffb5109d,0xffd805ff,0x95109dff,0x310bffff,
    0xffffd733,0x00000009,0xfe89fff5,0xfc88aeff,0x4fff9fff,0x01fffe00,
    0x4ffffd80,0x07fff300,0x007fffb0,0x3e07fff3,0xffffffff,0x7fec0fff,
    0xffffffff,0xfffeefff,0x7ffc401f,0xffffffff,0x445ffe8e,0xfffffffe,
    0x03ffffff,0xfffffe88,0xffffffff,0xffffc80d,0x0005ffff,0xfff50000,
    0xfffffa89,0xf1ffffff,0x7fc009ff,0x3fe0007f,0xfd006fff,0xfff900df,
    0x83dddddf,0x33206ffe,0xfffdcccc,0xfffb80cc,0xffffffff,0x1fffff13,
    0xfffffa80,0xfd0dffff,0x3fff20bf,0xffffffff,0x7ffe4003,0xffffffff,
    0x3ffff203,0x00002fff,0x3ffea000,0xfffffa84,0x3fe1ffff,0x3ffe004f,
    0x3ff60007,0xffb804ff,0xfffc801f,0x21ffffff,0x8001fffb,0x4400fff9,
    0xefffffed,0x7fffcc0c,0xfffe8806,0x7ff42eff,0x3fff6a05,0x000bffff,
    0xffffdb30,0xfc8019df,0x000cefff,0x7d400000,0xffb304ff,0xff817bff,
    0x3ffe004f,0x3fa60007,0x7fcc00ef,0xfff9003f,0x23ffffff,0x0003fff9,
    0x8001fff3,0x00000099,0x0000aa98,0x0006a620,0x006a6200,0x00015510,
    0x98800000,0x0a980099,0xfff80000,0x0d440007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfecb9800,0xccccccde,0xb80001cc,0x400ceeee,0x0dcc02b8,0x2ccb8800,
    0x664c0220,0xceeca884,0x4c00000a,0x4c0001aa,0x00003eee,0x9dddd700,
    0x665c4001,0x3aa02202,0xeeeeeeee,0x2f76c00e,0xfd880000,0xffffffff,
    0x03ffffff,0x7fffdc00,0x5fff8805,0x007fff70,0xefffffc8,0x54077442,
    0xffb10fff,0x03ffffff,0x17ff4000,0xffff3000,0x8000007f,0x005ffffb,
    0x77ffffe4,0x2a077442,0xffffffff,0x7ff401ff,0xf9800007,0xffffffff,
    0xffffffff,0x3fee0003,0xff9003ff,0xffff03ff,0x7ffe400d,0xbbdfffff,
    0xffa84ffe,0xfffff99f,0x01ffffff,0x0fff9800,0xffff3000,0x00007fff,
    0x0ffffee0,0xfffff900,0xfd77bfff,0xffffa89f,0x01ffffff,0x0003fff4,
    0x3bfffa20,0xffff730a,0x0003999f,0x007bffee,0x81ffffc8,0x3006ffff,
    0xff959fff,0x0bffffff,0x3fabffea,0xffebceff,0x40000fff,0x30005ffb,
    0xffb3dfff,0xb800007f,0x4001efff,0xfcacfff9,0x5fffffff,0xaaaaaa88,
    0x7401fffe,0x400007ff,0x2205fffd,0x0001ffff,0x006fffdc,0x417ffe20,
    0x2002fffb,0x7fec41fb,0xf500efff,0x05ffffff,0x007ffff3,0x002ffe80,
    0x20dfff98,0x0003fffc,0x01bfff70,0xb107ee00,0x01dfffff,0x01fffd80,
    0x0003fff4,0x003fffe0,0x000bfff5,0x001e6644,0xa9805510,0x26018001,
    0x7d400bcb,0x200effff,0x8806fffa,0xffefedba,0xccc8000f,0x03999503,
    0x3ccc8800,0x26018000,0xb0000bcb,0xfe803fff,0x2600007f,0xff005fff,
    0x000000ff,0x00000000,0x3ea00000,0xf800efff,0x3ee01fff,0xffffffff,
    0x0000003f,0x00000000,0x40000000,0x7401fffd,0x200007ff,0xd003fffa,
    0x00001fff,0x00000000,0x50000000,0x2001ffff,0xe883fffc,0xffffffff,
    0x000dffff,0x00000000,0x00000000,0x3fffb000,0x007ffe80,0x13ffee00,
    0x003fff40,0x00000000,0x00000000,0x003fffa8,0xf313ffea,0x957bffff,
    0x0bffffff,0x00000000,0x00000000,0x3ff60000,0x3fff401f,0xfff50000,
    0xbfff100b,0x01ccc980,0x00599910,0x33bb6e62,0x440000ab,0xabceedb9,
    0x1fffd400,0x89fff300,0x640efffe,0x3fffffff,0x76dcc400,0x0000abce,
    0x6776dcc4,0x326000ab,0xefec984c,0xffb0003c,0x7ffe803f,0x99999100,
    0x01ffff88,0x2027ffe4,0x1003fffa,0xf700bfff,0xffffffff,0x3ee0005d,
    0xffffffff,0x3ffea02e,0x3ffe6003,0x037ffea5,0x3ff6bffa,0x3fee007f,
    0xefffffff,0xfff70002,0x5dffffff,0x43ffea00,0xffffffd8,0x7ec001ef,
    0x7ff401ff,0xfffe8807,0xefffc81f,0x1ffff701,0x03fffa80,0x40bfff10,
    0xffffffd8,0x04ffffff,0x3ffff620,0xffffffff,0x07fff504,0xd37ffc40,
    0xff303fff,0x5ffff11f,0xffffd880,0xffffffff,0x3ff62004,0xffffffff,
    0xffa804ff,0xfffff98f,0x00ffffff,0x007fff60,0xe880fffd,0x3a01ffff,
    0xcabdffff,0x802ffffe,0x1003fffa,0x3e20bfff,0xbaceffff,0x05fffffd,
    0xefffff88,0xffffdbac,0x3fffa85f,0x53ffe600,0xf905fff9,0x2fffd4bf,
    0xdfffff10,0xffffb759,0xfff100bf,0xfb759dff,0xa80bffff,0xffffafff,
    0xffffdbbc,0x3fff6004,0x03fff401,0x03ffffd1,0x7fffffcc,0x3fffffff,
    0x07fff500,0x417ffe20,0x101ffffd,0x803ffffb,0x101ffffd,0xa83ffffb,
    0x2a003fff,0xfff73fff,0x98bffa05,0x3f607fff,0xfb101fff,0xfd803fff,
    0xfb101fff,0x7d403fff,0x80efffff,0x000ffffb,0xe803fffb,0x3ff607ff,
    0x3fa201ff,0xfffffeef,0x2a000dff,0xf1003fff,0xfff30bff,0xfff9001d,
    0x77ffcc0d,0x6fffc800,0x001fffd4,0x3f25fff7,0xfff981ff,0x983fffc0,
    0xc800efff,0x3e606fff,0xfc800eff,0x3fea06ff,0x7f405fff,0xffb002ff,
    0x7ffe803f,0x03ffffb0,0x530fffb8,0x00013597,0x2007fff5,0xfe85fff8,
    0xff1002ff,0x3ffa05ff,0xfff1002f,0x1fffd45f,0x23fffb00,0xfc80fffd,
    0x0fffe85f,0x002fffe8,0x205ffff1,0x1002fffe,0x2a05ffff,0xb805ffff,
    0xfb003fff,0xffe803ff,0x1ffffd87,0x006ffd80,0x7fff5000,0x17ffe200,
    0x800dfff3,0xf984fffb,0x7dc006ff,0x3ffea4ff,0xffff3003,0xfe83fff4,
    0x0fffd82f,0x0037ffcc,0x2613ffee,0x5c006fff,0xff504fff,0xff3001df,
    0x3ff6009f,0x3fff401f,0x007ffff6,0x0007fffc,0x1fffd400,0x45fff880,
    0x4003fffa,0xfa85fff9,0x7cc003ff,0x3ffea5ff,0x7fffb003,0x2607fff4,
    0xffd80fff,0x1fffd40f,0x17ffe600,0x000fffea,0x2a0bfff3,0xf3003fff,
    0x3f600bff,0x7ff401ff,0x07ffff67,0xadfffe80,0x3ea00000,0xff1003ff,
    0x2fffc8bf,0x86fff800,0x8002fffc,0x3fea6fff,0xfffc803f,0x20fffec6,
    0xffd05ffc,0x05fff90f,0x90dfff00,0xf0005fff,0x3fea0dff,0xfff1003f,
    0x3fff600b,0xdbfff401,0x4000ffff,0xfffffffc,0x2bceeeef,0x07fff500,
    0xb17ffe20,0xf0003fff,0xfffb0fff,0xffff0003,0x0df7ffd4,0x3ffffaa2,
    0x217ffe41,0xfff02ffe,0x03fffb0b,0xb0ffff00,0xf0003fff,0x3fea0fff,
    0xfff1003f,0x3fff600b,0x6ffff401,0x0000ffff,0xfffffffd,0xffffffff,
    0x7ffd4019,0xbfff1003,0x000fffe8,0x740fffe8,0xe8000fff,0xfff50fff,
    0xffffffff,0xf705ffff,0x7ffcc7ff,0x84fff980,0x8000fffe,0x7f40fffe,
    0xfe8000ff,0xfffa80ff,0xbfff1003,0x07fff600,0xff7fffd0,0x220005ff,
    0xffffffff,0xffffffff,0x0fffea06,0x22fffc40,0x8000fffe,0x7f40fffe,
    0xfe8000ff,0xffff50ff,0xffffffff,0x3fe601bf,0x0bff70ef,0x3a0bfff6,
    0xe8000fff,0x7ff40fff,0xffe8000f,0x3fffa80f,0x0bfff100,0x007fff60,
    0x3ff2fffd,0x744001ff,0xcbaacfff,0xfffffdcc,0x7fff504f,0x17ffe200,
    0x0003fffb,0xffb0ffff,0xfff0003f,0x7f7ffd4f,0x2cefffff,0xd4fffe80,
    0xfff305ff,0x07fff60d,0x21fffe00,0x8001fffd,0xff507fff,0x3fe2007f,
    0xfffb005f,0x27ffe803,0x001ffffd,0x400bfffa,0x507fffe9,0x22007fff,
    0x7fe45fff,0x7fc4002f,0x2fffc85f,0x2fffc400,0x2627fff5,0xffb80009,
    0x40fffcff,0x902ffff9,0x88005fff,0xffc85fff,0x7fc4002f,0x7fff505f,
    0x17ffe200,0x00fffec0,0xffd1fffa,0xff5001df,0xff9800bf,0xfffa81ff,
    0xbfff5004,0x004fffb8,0x5c27ffd4,0x54004fff,0x3fea4fff,0x3600003f,
    0x25ffffff,0x05ffffb9,0x0013ffee,0xf709fff5,0xfa8009ff,0xfff504ff,
    0x3ffe2007,0x3fffb005,0x447ffe80,0x400efffe,0x8002fffc,0xf981fffe,
    0xff8804ff,0x7ffcc5ff,0x3ffa000f,0xffff982f,0x3fffa000,0x00fffea2,
    0xfffe8800,0xffffefff,0x3e600eff,0x3a000fff,0xff982fff,0x3fa000ff,
    0xfff502ff,0x3ffe2007,0x3fffb005,0x987ffe80,0x200effff,0x4002fffe,
    0xf107fff8,0xfe880dff,0xffe85fff,0xfff5004f,0x27fff40d,0x46fffa80,
    0x0003fffa,0xfffffc80,0x03ffffff,0x009fffd0,0xe81bffea,0xf5004fff,
    0x7fd40dff,0xfff1003f,0x3fff600b,0x83fff401,0x205ffff9,0x4005fffc,
    0x3e05fffd,0xfd102fff,0xf30bffff,0xfa807fff,0x3e601fff,0x7d403fff,
    0x7fd41fff,0x9000003f,0xdfffffff,0x7fcc003b,0x7fd403ff,0x3fe601ff,
    0x7fd403ff,0x3fea01ff,0xfff1003f,0x3fff600b,0x03fff401,0x20bffff5,
    0x01dffffb,0x07ffff54,0x17ffff90,0x3fbffee2,0xfffb05ff,0x32a213bf,
    0xd805ffff,0x109dffff,0x0bffff95,0x0007fff5,0x2afffa00,0x7ec0001a,
    0x5109dfff,0x00bffff9,0x13bffffb,0x3ffff2a2,0x1fffd405,0x25fff880,
    0xd9999999,0x9999afff,0x80fffd19,0xb04ffffb,0xddffffff,0xfffffddb,
    0xfff8803f,0xffffffff,0x105ffe8e,0xfffffffd,0x1bffffff,0xffffd100,
    0xffffffff,0xfff501bf,0xf3000007,0x880000ff,0xfffffffe,0x0dffffff,
    0xffffe880,0xffffffff,0x7fd400df,0xfff1003f,0x3ffffe2b,0xffffffff,
    0xffd7ffff,0xffff900f,0x3ffff609,0xffffffff,0xf5001dff,0xffffffff,
    0x017ffa1b,0xfffffff9,0x0007ffff,0xfffffff9,0x5407ffff,0x00003fff,
    0x0005ffb8,0xfffff900,0x07ffffff,0xfffff900,0x07ffffff,0x00fffea0,
    0xf8afffc4,0xffffffff,0xffffffff,0x200fffd7,0x303ffffd,0xfffffff9,
    0x0003bfff,0xdfffffd1,0x805ffe85,0xfffffed9,0x260000ce,0xefffffed,
    0x7ffd400c,0xfe800003,0x2000002f,0xfffffed9,0x260000ce,0xefffffed,
    0x3fea000c,0xfff1003f,0x3ffffe2b,0xffffffff,0xffd7ffff,0x3ffa200f,
    0x4cc402ff,0x000019aa,0x0000554c,0x000d4c40,0x01a98800,0x004ccc40,
    0x1bba2000,0x98800000,0x1000001a,0x00000353,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x0003eee9,0x37300ae2,0xeeb80000,0xdd700cee,
    0x2a000bdd,0x00002eee,0x3b72a620,0xa9809acc,0xaa8000aa,0x65cc002a,
    0x54c000ab,0xaaaaaaaa,0x001aaaaa,0x0359b731,0xa9880000,0x400001aa,
    0x03fffff9,0x05fff880,0x0007fff7,0x17fffee0,0x17fffee0,0x0fffea00,
    0x3faa0000,0xffffffff,0x7ffe43ff,0x7ffc4003,0xfffdb806,0x00ceffff,
    0xffffffb8,0xffffffff,0x7fff4c05,0x00dfffff,0xffed9800,0x0005ffff,
    0x3ffffe60,0x7e4003ff,0xfff81fff,0xfb80006f,0x26003fff,0x4005fffe,
    0x0003fffa,0x3ffffa60,0xffffffff,0x1fffe43f,0x1bffe200,0xffffffb0,
    0x03dfffff,0xffffffb8,0xffffffff,0x3fffea05,0xffffffff,0xffd50001,
    0xbfffffff,0x3fe60000,0x3fffd9ef,0x3ffff200,0x06ffff81,0x77ffdc00,
    0xffd88001,0x3fea005f,0xf100003f,0xbdffffff,0x87ffffdd,0x4003fffc,
    0xd106fff8,0x737bffff,0x05fffffb,0x7fffffdc,0xffffffff,0xfffff905,
    0xffffffdf,0x7f44005f,0xffffffff,0x980005ff,0x3f20dfff,0xff1003ff,
    0x3ffee0bf,0x3fee0002,0x5c0000df,0xf5005fff,0x200007ff,0x00bffffe,
    0xff906e62,0xff88007f,0xffff986f,0x7fffd403,0x33333103,0xff733333,
    0xffff90bf,0x7fdcc15b,0xe8802fff,0xabcfffff,0xcc800001,0x3999503c,
    0x300aa200,0x64400035,0x200003cc,0xa802ccc9,0x80003fff,0x000efffb,
    0x01fffe40,0x21bffe20,0x3002fffe,0x0001fffd,0x445fffa8,0x4c04ffff,
    0x4406ffff,0x003ffffe,0x00000000,0x00000000,0x00000000,0x01fffd40,
    0x17ffec00,0x7ffe4000,0x7ffc4003,0x00fffd46,0x013ffa20,0x8bfff500,
    0x3005fffc,0x6403ffff,0x0000dfff,0x00000000,0x00000000,0x00000000,
    0x003fffa8,0x00ffff80,0x3fffc800,0x37ffc400,0x01013ffa,0x0003ffea,
    0x225fffa8,0x2000ffff,0xf105fffc,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x000fffea,0x03ffff10,0x7fff9000,0x6fff8800,0x2e03ffee,
    0x20cefffd,0x20005ffe,0x3f25fffa,0x7cc005ff,0xffc80fff,0x0000001f,
    0x33333326,0x4000cccc,0xccccccc9,0x4c000ccc,0xcccccccc,0x64c000cc,
    0xcccccccc,0x7ffd400c,0x677f64c3,0x0ffffa03,0x3fff2000,0x7ffc4003,
    0xb113ffa6,0x3fffffff,0x0007ffdc,0x3a5fffa8,0xe8002fff,0x7fc42fff,
    0x0000005f,0x7fffffd4,0x4001ffff,0xfffffffa,0x54001fff,0xffffffff,
    0x7d4001ff,0xffffffff,0x7ffd401f,0xfffffb13,0xffb01dff,0xc80005ff,
    0x44003fff,0x3ffe6fff,0x6ffffec1,0x7ffc1fed,0xfff50002,0x003fffcb,
    0x543fffc8,0x00003fff,0x7fffd400,0x01ffffff,0x7ffffd40,0x001fffff,
    0x7fffffd4,0x4001ffff,0xfffffffa,0x7d401fff,0xffff9aff,0x0fffffff,
    0x1fffffd4,0x7fff9000,0x6fff8800,0x7d41fff1,0x740984ff,0xf50003ff,
    0x3ffe2bff,0xfff70005,0x01fffc89,0x64c00000,0xffeccccc,0x664c001f,
    0xfffecccc,0x6664c001,0x1fffeccc,0x66664c00,0x01fffecc,0x7fe7ffd4,
    0xffdbbdff,0xfffb84ff,0x4000bfff,0x4003fffc,0xff56fff8,0x006ffe8f,
    0x40013ff2,0xff35fffa,0x3ea000bf,0x3fff45ff,0xbdffdb95,0x80000017,
    0x0001fffd,0x007fff60,0x1fffd800,0x3ff60000,0x7ffd401f,0xfb81efff,
    0xffc80fff,0x01cfffff,0x007fff90,0xf76fff88,0x02fff8df,0x0017fee0,
    0xfaafffd4,0xf30004ff,0xefff8dff,0xfffffffb,0x0003ffff,0x07fff600,
    0xfffd8000,0x3f600001,0x200001ff,0x5401fffd,0x00dfffff,0x540bfffa,
    0xffffffff,0x7ffe402d,0x7ffc4003,0x7c4bff96,0x3ea001ff,0xff50006f,
    0x0ffff2bf,0x3fffc400,0x3ffffffe,0xffffffff,0x000005ff,0x0003fffb,
    0x00fffec0,0x3fffb000,0x7fec0000,0x7ffd401f,0xfffb806f,0x3ffae203,
    0x01efffff,0x8007fff9,0xffb6fff8,0x007ffcc9,0x000fff50,0x7ed7ffea,
    0xf10003ff,0x7ffc4fff,0x899befff,0x2ffffeb9,0xffd80000,0x3600001f,
    0x00001fff,0x0007fff6,0x01fffd80,0x0077ffd4,0x8027ffcc,0xffffffda,
    0x3fffc83f,0xb7ffc400,0x3fe25ffc,0x3fee001f,0xfff50006,0x00ffff2b,
    0x13fffcc0,0x803bffff,0x00ffffd8,0x7ffec000,0x3f600001,0x200001ff,
    0x0001fffd,0x007fff60,0x2007fff5,0x4005fff9,0xffffffc9,0x01fffe43,
    0x55bffe20,0x17ffc6ff,0x00bff900,0x5d7ffea0,0x30004fff,0x7fccdfff,
    0x7ffc006f,0x6c00003f,0x00001fff,0x0007fff6,0x01fffd80,0x3fff6000,
    0x1fffd401,0x05fff880,0xffff9100,0x1fffe45f,0x5bffe200,0x7ff47ff9,
    0x0fff6006,0xafffd400,0x0005fffa,0x7c4dfff5,0x7dc007ff,0x400004ff,
    0x0001fffd,0x007fff60,0x1fffd800,0x3ff60000,0x7ffd401f,0xbfff1003,
    0xfffa8000,0x0ffff26f,0x2dfff100,0x3ea0fff8,0xca889eff,0x0017ff41,
    0xf35fffa8,0x2e000bff,0x7ffc4fff,0x7ffcc007,0x7ec00006,0x200001ff,
    0x0001fffd,0x007fff60,0x1fffd800,0x01fffd40,0x005fff88,0x27fffa80,
    0x4003fffb,0x3fe5fff9,0x7ffff42f,0x3e21ffff,0xf50001ff,0x3ffe2bff,
    0xfffb0007,0x00fffe87,0x01fffe20,0x3fffb000,0x7fec0000,0x3600001f,
    0x00001fff,0x5007fff6,0x22007fff,0x80005fff,0xf51ffff8,0xfa8009ff,
    0x1bff64ff,0xffffffb1,0x07ffdc3f,0x4fffa800,0x000bfffe,0xd83ffff1,
    0x22000fff,0x00006fff,0x000fffec,0x03fffb00,0x7ffec000,0x3f600001,
    0x7fd401ff,0xfff1003f,0x3fa0000b,0xbfff31ff,0x3fffb800,0x2a0bffe6,
    0x7c1bcedb,0x320003ff,0x3ff63fff,0x7fdc005f,0x2fffc86f,0x13ffea00,
    0xfffb0000,0x7ec00003,0x200001ff,0x0001fffd,0x007fff60,0x2007fff5,
    0x0005fff8,0x7c4ffff0,0x7ec006ff,0x37fec1ff,0x0fffb800,0x3fff6000,
    0x03fffe61,0x81fffe80,0x2006fffb,0x0003fffb,0x00fffec0,0x3fffb000,
    0x7fec0000,0x3600001f,0x7d401fff,0xff1003ff,0xf70000bf,0xffff8dff,
    0xdfff3003,0x009fff30,0x083fff98,0x1ffff300,0x006fffe8,0x7c0bfffb,
    0xf8800fff,0x00001fff,0x000fffec,0x03fffb00,0x7ffec000,0x3f600001,
    0x7fd401ff,0xfff1003f,0x2a00066b,0x7dc4ffff,0x74c01fff,0xffb02fff,
    0x3fea00bf,0x4019d07f,0xa84fffe8,0x6405ffff,0x2e01ffff,0x6c00efff,
    0x00004fff,0x001fffd8,0x07fff600,0xfffd8000,0x3f600001,0x7fd401ff,
    0xfff1003f,0x2af7feeb,0xeba9999a,0xfd05ffff,0x22139fff,0x05ffffb9,
    0x2bbfff62,0xffffc980,0x57bffd01,0xfffff753,0x3ffffa01,0xfeca8ace,
    0x7c405fff,0x5409efff,0x0006fffe,0x03fffb00,0x7ffec000,0x3f600001,
    0x200001ff,0x5401fffd,0xf1003fff,0x3ffeebff,0xffffffff,0x00efffff,
    0xfffffff5,0xdfffffff,0xffff9001,0xffffb9df,0x7ff401df,0xffffffff,
    0x7fec02ff,0xffffffff,0xf5003fff,0xfddfffff,0x003fffff,0x4cccccc0,
    0x99afffd9,0x33301999,0xfffb3333,0x03333335,0x26666666,0x999afffd,
    0x33330199,0x5fffb333,0x2a333333,0xf1003fff,0x3ffeebff,0xffffffff,
    0x400cffff,0xffffffe8,0x004fffff,0x7fffffdc,0x804fffff,0xfffffffe,
    0x9001efff,0xffffffff,0x98003fff,0xfffffffe,0x0000dfff,0x3fffffe2,
    0xffffffff,0xff887fff,0xffffffff,0x7fffffff,0xffffff88,0xffffffff,
    0xff887fff,0xffffffff,0x7fffffff,0x2007fff5,0xd935fff8,0xffffffff,
    0x80017dff,0xffffffeb,0x730001de,0x7bffffdb,0x7fed4003,0x003dffff,
    0xffffec98,0x20000cdf,0xffffffec,0xf880002d,0xffffffff,0xffffffff,
    0xfffff887,0xffffffff,0xf887ffff,0xffffffff,0xffffffff,0xfffff887,
    0xffffffff,0xff57ffff,0x3fe2007f,0x5553105f,0x40000135,0x00009a98,
    0x0000a880,0x00013310,0x0001a980,0x00135300,0xffff8800,0xffffffff,
    0x887fffff,0xffffffff,0xffffffff,0xffff887f,0xffffffff,0x887fffff,
    0xffffffff,0xffffffff,0x07fff57f,0x017ffe20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcdb98000,0x4c40001a,
    0x01accdca,0x99951000,0x98000357,0x01accdca,0x0002b980,0x337732a2,
    0x553000ab,0x55555555,0x80155555,0x8001ded8,0x09bdcba8,0x00555530,
    0x00aaaa20,0xceeeca98,0x0d55441b,0xfd880000,0x4fffffff,0xffffb800,
    0x03efffff,0xffffda80,0x0cefffff,0xffffd700,0x39ffffff,0x04fff980,
    0xffffea80,0x0cffffff,0x7ffffdc0,0xffffffff,0x3fe202ff,0xb1002fff,
    0xffffffff,0xffff981d,0xfffd8002,0xffffb804,0x0fffffff,0x0007fff7,
    0xfffff300,0x0bffffff,0x3ffffe60,0xffffffff,0xffd8800e,0xffffffff,
    0x74402fff,0xffffffff,0x404fffff,0x8004fff9,0xfffffffb,0x03ffffff,
    0x3fffffee,0xffffffff,0x3fff202f,0xffb806ff,0xffffffff,0x7ffe43ff,
    0x7ffcc006,0x3ffa200f,0xffffffff,0x7fff70ff,0xffa80000,0xffdcefff,
    0x2200efff,0xccdfffff,0x5fffffdc,0x7ffff4c0,0xffffefff,0x3fee02ff,
    0xfeffffff,0x404fffff,0x8004fff9,0xdceefffb,0x1ffffffe,0xffffff70,
    0xffffffff,0x7ffec05f,0x7fcc07ff,0xfcccefff,0x3e21ffff,0x3a003fff,
    0x3ea03fff,0xbcdfffff,0xf70fffdc,0x400007ff,0x80dffff9,0x205ffffb,
    0x200dfffe,0x502ffffb,0x35bfffff,0x02feb988,0x59fffffb,0x4feb9883,
    0x027ffcc0,0x2a00dd40,0xf707ffff,0x400003ff,0x06fffffc,0x8077fff4,
    0xffb82fea,0xffa800ff,0x3ffe206f,0x86d403ff,0x0003fffb,0x017fff60,
    0x301ffff3,0x3200dfff,0xffd04fff,0x0cc007ff,0x0fffffd4,0xf9805300,
    0x000004ff,0x40ffffcc,0x0001fffb,0x3ffffe20,0x1bffee02,0xffe80a20,
    0xfffe804f,0x3bfff201,0xfffb8001,0xceefffff,0xfff9801b,0x9fff9006,
    0x007fff70,0x2e1bffe6,0x0001ffff,0x01bfffd0,0xfff30000,0xb0000009,
    0xff707fff,0x8800003f,0x7f402ded,0x980001ff,0x2e00ffff,0x3e604fff,
    0x70002fff,0xffffffff,0x03bfffff,0x8017ffe4,0x640ffff8,0xf1002fff,
    0xfff88fff,0xf700002f,0x50000fff,0xffb99999,0x999999df,0x40007999,
    0xfb84fffc,0x000001ff,0x03fffc00,0xbfffb000,0x03fffe20,0x005fffd8,
    0x3ffffee0,0xffffffff,0xfff885ff,0x7ffec007,0x027ffe43,0x645fffb8,
    0x00006fff,0x007ffff1,0xfffff900,0xffffffff,0x0bffffff,0x1fffdc00,
    0x000fffdc,0xff100000,0x440000bf,0xfc81ffff,0x7ff403ff,0x3ee0001f,
    0xbaaaadff,0x4fffffdc,0x0027ffd4,0xa89ffff7,0xe800ffff,0x7ffc4fff,
    0xf700002f,0x20000dff,0xfffffffc,0xffffffff,0x0005ffff,0x2e0bfff6,
    0x00001fff,0x3ffe6000,0x7dc00004,0x7ffcc6ff,0x07fff806,0x1fffdc00,
    0x3ffffa60,0x00bffee3,0x3fffff62,0x0effff85,0x83fffea0,0x0007fff8,
    0x00bfff60,0x77775c00,0xeeffffee,0x4eeeeeee,0xffff1000,0x007ffee0,
    0xfa800000,0x800004ff,0x3f62fffe,0x7fcc01ff,0x7dc0006f,0xffb003ff,
    0x0fffe4ff,0x3ffffea0,0xfffb86ff,0x7fec42ff,0x7ffd43ff,0x3fa00006,
    0x000001ff,0x0027ffcc,0x3fff6000,0x03fff703,0x54000000,0x00004fff,
    0xf56fffa8,0xff5009ff,0xfb8000bf,0xff1003ff,0x3fff63ff,0x3ffff200,
    0xf907ffee,0xf55dffff,0xf705ffff,0x40000bff,0x00007fff,0x04fff980,
    0xffd30000,0x7ffdc05f,0x0aaccccd,0x7d400000,0x000004ff,0xffd7fffb,
    0xfff5001f,0xffb8000b,0x3ff6003f,0x01fffd3f,0x1bffffd1,0x2e01fffb,
    0xffffffff,0xff900eff,0x2200007f,0x2a207fff,0xaaaaaaaa,0x27ffcc01,
    0x3bbb2000,0x01effffe,0x7fffffdc,0x02dfffff,0x2e666000,0x9999dfff,
    0x00099999,0x7fffffc4,0xfff3003f,0xffb8000d,0x3fee003f,0x50ffff4f,
    0x6c7fffff,0x36201fff,0x6fffffff,0x017ffec0,0x5fffa800,0x3ffffe60,
    0x4c05ffff,0x40004fff,0xfffffffd,0xfffb802f,0xffffffff,0x80000eff,
    0xffffffff,0xffffffff,0xffc8003f,0x22006fff,0x40007fff,0x2003fffb,
    0xfff5fffa,0xeffffc8f,0x00fffe41,0xffffffd3,0x3fa03bff,0x700002ff,
    0x7cc0bfff,0xffffffff,0x27ffcc05,0x3fff6000,0x3fffffff,0x33333260,
    0xfffffeed,0x7c06005f,0xffffffff,0xffffffff,0xfff88003,0x7fc001ff,
    0x2e0001ff,0x2e003fff,0xfffd4fff,0x37ffffa2,0x00fffd80,0xfdfffff9,
    0xd05fffff,0x00007fff,0x9817ffea,0xffffffff,0x7ffcc05f,0x554c0004,
    0xffffeccb,0x510000ef,0x80bffffd,0x7fc3fffb,0xffffffff,0x3fffffff,
    0xbfff7000,0xbfffb000,0x7ffdc000,0x3fff6003,0xff5fffb2,0x7f407fff,
    0xfffd80ff,0xfffd30df,0xfffd87ff,0xff300004,0xff3000df,0xfff980bf,
    0x22000004,0x005ffffb,0x0ffffd80,0x7fffff30,0x013ffea0,0x3bbba600,
    0xeffffeee,0x303eeeee,0x0005ffff,0x400fffee,0xfb1ffff8,0x3dffffff,
    0xd87ffe80,0xf502ffff,0x7e43ffff,0x100004ff,0x3000ffff,0xf980bfff,
    0x000004ff,0x02ffff98,0x2fffe800,0xffffff70,0x013ffea0,0x3fffea00,
    0xffffffff,0x204fffff,0x003ffffe,0x01fffdc3,0x325fffd8,0x05ffffff,
    0xfa8dfff0,0x7cc01fff,0x3fee6fff,0x3e00005f,0x4c000fff,0x7cc05fff,
    0x000004ff,0x00bfff70,0x09fff900,0x3fffffea,0x04fffa81,0xffffa800,
    0xffffffff,0x204fffff,0xbefffff9,0x1fd75309,0x100fffee,0x5c1ffffb,
    0x003fffff,0xfe8bfff1,0xff5004ff,0x3ffea3ff,0x3fa00007,0x7cc002ff,
    0x7fcc05ff,0x0000004f,0x000ffff3,0x20dfff50,0x2ffffff8,0x004fffa8,
    0x99999880,0x99dfffb9,0x4c009999,0xffffffff,0x70ffffff,0x33339fff,
    0xfffff953,0x1ffffa85,0x93ffee00,0x000ffff8,0x7ccffffa,0x00003fff,
    0x800dfffb,0x4c05fff9,0x00004fff,0x01fffe00,0x17ffea00,0x2fffffa8,
    0x004fffa8,0x7ffd4000,0x7f4c0004,0xffffffff,0xfff70fff,0xffffffff,
    0xf105ffff,0x74001fff,0x3fe61fff,0x7fe4007f,0x1bfffa4f,0x7ffd4000,
    0x3fe6001f,0x7ffcc05f,0x30000005,0x0000bfff,0xd807fff9,0xfa81ffff,
    0x000004ff,0x0027ffd4,0xffffc980,0x2e2cefff,0xffffffff,0x00dfffff,
    0x400ffff2,0x7cc5fff9,0x7ec007ff,0x3ffea3ff,0xfd00002f,0x7cc00bff,
    0x7fc405ff,0x0000006f,0x0009fff7,0x803fffd0,0xf507fffb,0x200009ff,
    0xfb999999,0x99999dff,0xffd80009,0xff7009af,0xdfffffff,0xff30039b,
    0xffb001ff,0x3ffff05f,0x0ffffc00,0x00fffff6,0x3fffe600,0xbfff3005,
    0x01ffff00,0xff880000,0x6c0002ff,0xfc806fff,0xfff506ff,0xff300009,
    0xffffffff,0x9fffffff,0x0dffd000,0x339fff70,0x36000133,0x3600dfff,
    0xffd06fff,0xffb001ff,0xffff30ff,0x072600bf,0x03bffff6,0x00bfff30,
    0x000bfffd,0x7fff4c00,0x3f220004,0x7c401fff,0xff501fff,0xf300009f,
    0xffffffff,0xffffffff,0xfff88009,0x3fffb804,0x3fe60000,0xb710afff,
    0x2a05ffff,0x41cfffff,0x2ffffeb9,0xffffff90,0xd975359b,0xfff105ff,
    0x3359bfff,0x0bfffb53,0x5dffff50,0xa89dcc41,0xfeb99819,0x35706fff,
    0xffff9530,0xffe9805f,0x7e55544f,0xaaaaadff,0x0aaaaaaa,0x7777774c,
    0xeeeffffe,0x54003eee,0xfb801fff,0x400003ff,0xfffffffa,0x01ffffff,
    0x7fffffdc,0xffffffff,0x7ffd403f,0xffffffff,0xb102ffff,0xffffffff,
    0xbfffffff,0x3ffff600,0x5fffffff,0xfffffff5,0xdfffffff,0x3ffffe01,
    0xffffffff,0xfecb883f,0xfff86fff,0xffffffff,0xffffffff,0x3fea002f,
    0x2e00004f,0xff7007ff,0x3000007f,0xfffffffd,0x2e003dff,0xffffffff,
    0x003fffff,0xffffffb1,0x5fffffff,0xfffffa80,0xffffffff,0xffb1004f,
    0xffffffff,0x3ffffeab,0xefffffff,0x7ffffc02,0xcfffffff,0xfffff500,
    0x3fffe07f,0xffffffff,0xffffffff,0x3ffea002,0x3f600004,0xfff7005f,
    0x22000007,0xdfffffec,0x75c4000b,0xefffffff,0xfb950002,0x7bffffff,
    0x3b6e2001,0xdfffffff,0xfda8000b,0x4fffffff,0xfffffff5,0x2005bdff,
    0xffffffff,0x7d400cef,0x3e00dfff,0xffffffff,0xffffffff,0x2a002fff,
    0x00004fff,0x5c007332,0x00003fff,0x00015300,0x009a9980,0x9a988000,
    0x2a600000,0x4000009a,0x88099998,0x009aaa99,0x2aaa6600,0x55cc0009,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555550,
    0x00000035,0x2aaaaaaa,0x542aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x5530aaaa,
    0x55555555,0x21555555,0xaaaaaaa9,0x44000009,0x801acdca,0xaaaaaaa8,
    0x5540009a,0xa80001aa,0x2aaa62aa,0x55544001,0x2aaaaaa2,0xaaaaaaaa,
    0x55510aaa,0x55555555,0x55555555,0x7ffff403,0xcdefffff,0x7d400001,
    0xffffffff,0x7ffc7fff,0xffffffff,0xffffffff,0xffff72ff,0xffffffff,
    0x3f23ffff,0xffffffff,0x4000cdef,0xffffffd9,0x3e200dff,0xffffffff,
    0x6400ceff,0x40006fff,0x3ee6fffa,0x7c4003ff,0xffff16ff,0xffffffff,
    0x2a5fffff,0xffffffff,0xffffffff,0x3fa03fff,0xffffffff,0x000cffff,
    0xfffffb00,0xffffffff,0xeeeeeff8,0xeeeeeeee,0x72ffeeee,0xffffffff,
    0xffffffff,0x3fffff23,0xffffffff,0xfff5003f,0xffffffff,0x3ffe207f,
    0xffffffff,0x3e603fff,0x20001fff,0x3ee4fffc,0x7c4003ff,0xffff16ff,
    0xffffffff,0x2a5fffff,0xffffffff,0xffffffff,0x3fa03fff,0xffffffff,
    0x02ffffff,0x7fffc400,0xeeeeefff,0x0003fc6e,0xfff72fd8,0xffffffff,
    0x323fffff,0xffffffff,0xefffffff,0xffffb101,0xffffddff,0xfff103ff,
    0xffffffff,0x7c09ffff,0x20003fff,0x3ee1ffff,0x7c4003ff,0xffff16ff,
    0xffffffff,0x2a5fffff,0xffffffff,0xffffffff,0x3fa03fff,0x6dd4c0ff,
    0x003fffff,0x3fbbff20,0x21fe006f,0x97ec0009,0x0003fffb,0x310ffff2,
    0xfffffd75,0x7ffff305,0xdffff703,0x10dfff10,0x3fffff93,0x01bfff20,
    0x237ffcc0,0x4003fffb,0xa806fff8,0x98804fff,0x99999999,0xfd999999,
    0x3ffa02ff,0x7ffd400f,0xff0000ff,0x00dffd7f,0x3ffe23fc,0x97ec01ce,
    0x0003fffb,0x200ffff2,0x80fffffb,0x7cc01efa,0x7fc43fff,0x7ffc406f,
    0xffff306f,0xfff90001,0x03fffb89,0x037ffc40,0x0027ffd4,0x3ffe2000,
    0x07fff406,0x27fff440,0x47ffd400,0x3e006ffe,0x7ffffc47,0x25fb01df,
    0x0003fffb,0x400ffff2,0x504fffe8,0x3fff6001,0x037ffc44,0xf03fffcc,
    0xd0007fff,0xffb83fff,0x7fc4003f,0xfffa806f,0x64000004,0x7f402fff,
    0xff5000ff,0xfd8001ff,0x00dffd5f,0xeb9883fc,0x2fd81fff,0x0007fff7,
    0x001fffe4,0x001ffff5,0x46fffa80,0xf006fff8,0x3f203fff,0x7cc005ff,
    0xfffb86ff,0x7ffc4003,0x4fffa806,0x3e200000,0xffe806ff,0x3ffa000f,
    0x3fe6005f,0x00dffd1f,0xffb803fc,0xfb97ec0e,0x320003ff,0x74003fff,
    0x40005fff,0x7c47fff9,0xffd006ff,0x3ffe605f,0x3ff2000f,0x3fffb83f,
    0x37ffc400,0x027ffd40,0xfff90000,0x1fffd007,0x3fffd400,0x74dff900,
    0x1fe006ff,0x6c3ffb80,0x07fff72f,0x1fffe400,0x1bffea00,0xffff3000,
    0x006fff88,0x7c03ffff,0x3a002fff,0xffb81fff,0x7fc4003f,0xfffa806f,
    0xf1000004,0x3fa00fff,0x7fc000ff,0x3ffe007f,0x801bffa3,0x3fe2007f,
    0xffb97ec5,0x3f20003f,0x7c4003ff,0x4c0007ff,0x7fc46fff,0xfff8806f,
    0x2fffe407,0x06fff980,0x8007fff7,0xa806fff8,0x00004fff,0x007fff90,
    0x0003fffa,0x5003ffff,0x7ff41fff,0x001fe006,0x72fd8dff,0x40007fff,
    0x8003fffc,0x0000ffff,0xf117ffee,0xffb00dff,0xfff980bf,0xfffb800f,
    0x07fff703,0x06fff880,0x004fffa8,0xffff8800,0x1fffd000,0x2fffe800,
    0x745ffe80,0x1fe006ff,0x6c5ff980,0x07fff72f,0x1fffe400,0x0ffff400,
    0x5fffd000,0x206fff88,0x00ffffc8,0x802ffff8,0xf701fffe,0xf88007ff,
    0xffa806ff,0xc800004f,0x77403fff,0xeeeffffe,0x3ff600ee,0x7ffcc03f,
    0x777fff42,0x3fc4eeee,0x42ffd880,0xdfff72fd,0xdddddddd,0x7fe49ddd,
    0xffd8003f,0xff50003f,0xdfff10df,0xff975333,0x32005fff,0x7c405fff,
    0x3fee06ff,0xffffffff,0xffffffff,0xfffa806f,0x7c400004,0x7fc00fff,
    0xffffffff,0x3ff201ff,0x3ffe404f,0x7ffffff4,0x83fc5fff,0x5fffecca,
    0xfff72fd8,0xffffffff,0x7e4bffff,0xfc8003ff,0xf88004ff,0xff882fff,
    0xffffffff,0x2002ffff,0x5c07fff9,0x3ee03fff,0xffffffff,0xffffffff,
    0xffa806ff,0x6400004f,0xff804fff,0xffffffff,0x3ff201ff,0x3ffe204f,
    0xfffffe84,0x3fc5ffff,0x3fffffc8,0x3fee5fb0,0xffffffff,0x325fffff,
    0xc8003fff,0xe8004fff,0xff105fff,0xffffffff,0xf00017df,0x7ec05fff,
    0x3fee01ff,0xffffffff,0xffffffff,0xfffa806f,0x3e200004,0xaa800fff,
    0xaabffffa,0x3ff600aa,0x3ffee03f,0xaaeffe81,0x3fc1aaaa,0x401aefc8,
    0xbfff72fd,0x55555555,0x7fe43555,0xffd8003f,0x7fec003f,0x3ffe206f,
    0xffffffff,0xff90000d,0x3ffe209f,0x77ffdc06,0xcccccccc,0x6fffdccc,
    0x04fffa80,0x3ffee000,0xfffe8004,0x7fff4000,0x41bffa03,0x3e006ffe,
    0x200bf907,0x7fff72fd,0x7ffe4000,0xfffe8003,0x3fff6003,0x3ffe200f,
    0x77ffecc6,0xfff98000,0x07fff507,0x003fffb8,0x4037ffc4,0x0004fffa,
    0x01ffff10,0x01fffd00,0x02ffff80,0x3a07fff3,0x1fe006ff,0xfd802fe4,
    0x007fff72,0x01fffe40,0x017fffc0,0x01ffffc8,0xc837ffc4,0xf0005fff,
    0xffb03fff,0xfffb801f,0x7ffc4003,0x4fffa806,0xfff70000,0x3ffa0009,
    0x7ffc000f,0x1fff901f,0x801bffa0,0x00bf707f,0x7ffdcbf6,0x3ff20003,
    0x7fc4003f,0xffc800ff,0xff8801ff,0x3fffa06f,0xfffc8002,0x037ffc44,
    0x001fffdc,0x201bffe2,0x0004fffa,0x01ffff88,0x01fffd00,0x83fffcc0,
    0xcccffff8,0x06fffccc,0x40001fe0,0x7fff72fd,0x7ffe4000,0x7ffd4003,
    0xffffc806,0xdfff1001,0x07fffd40,0x1bffea00,0x7007fff5,0x88007fff,
    0xfa806fff,0xb80004ff,0x20005fff,0x2000fffe,0xf704fffe,0xffffffff,
    0x400dffff,0xfb00007f,0x00fffee5,0x03fffc80,0x027fff40,0x007ffff2,
    0x406fff88,0x8003fffe,0x3f61ffff,0xffb800ff,0x7fc4003f,0xfffa806f,
    0xfff80004,0x3fa0001f,0xff5000ff,0x3ffa05ff,0xffffffff,0x3e006fff,
    0x2009d707,0x7fff72fd,0x7ffe4000,0x3ffea003,0x3fff201f,0x7fc4001f,
    0x7ffd406f,0xfffc8007,0x00dfff14,0x000fffee,0x500dfff1,0x80009fff,
    0x0005fffb,0x8007fff4,0xf306fffe,0x99999bff,0x00dfff99,0x7ffcc3fc,
    0xf72fd801,0x640007ff,0xd1003fff,0x7e40bfff,0x88001fff,0xfe806fff,
    0x7d4003ff,0x7fff56ff,0x0fffee00,0x0dfff100,0x009fff50,0x01ffff80,
    0x07fff400,0x3ffffa60,0x01fffb01,0x2006ffe8,0x2fff987f,0xff72fd80,
    0x7e40007f,0xfe9803ff,0xff900fff,0x220003ff,0xfb806fff,0xff8006ff,
    0x0fffd8ff,0x07fff700,0x06fff880,0x004fffa8,0x01bffee0,0x03fffa00,
    0x7ffffdc4,0x0bfff104,0x400dffd0,0x009d907f,0x7ffdcbf6,0x3ff20003,
    0x3ff2203f,0xff903fff,0x440003ff,0xf8806fff,0x64002fff,0x6fffbfff,
    0x0fffee00,0x0dfff100,0x009fff50,0x017fffc0,0x5ffff400,0xffffdcaa,
    0x3ee03fff,0xffe802ff,0x9999999e,0x40001fe0,0xbfff72fd,0x55555555,
    0x3f215555,0xecbaacff,0x2fffffff,0xddffff90,0xdddddddd,0x3e27dddd,
    0xff7006ff,0xffa800df,0x003fffff,0x000fffee,0x554dfff1,0xfffcaaaa,
    0x0aaaaaae,0x01bffee0,0x7ffff400,0xffffffff,0x7ff402ff,0xffffd007,
    0x45ffffff,0xfb00007f,0x3ffffee5,0xffffffff,0xfff91fff,0xffffffff,
    0x6c03ffff,0xffffffff,0xffffffff,0xdfff14ff,0x3fffe200,0x7fffc002,
    0x2e000fff,0x44003fff,0xfff16fff,0xffffffff,0x05ffffff,0x0017fffc,
    0xfffffe80,0xbeffffff,0x27ffcc00,0xfffffe80,0x3e2fffff,0xffffffff,
    0xffffffff,0xff72ffff,0xffffffff,0x23ffffff,0xfffffffc,0x02efffff,
    0xffffffd8,0xffffffff,0xff14ffff,0x7fe400df,0x7fe4006f,0x5c006fff,
    0x44003fff,0xfff16fff,0xffffffff,0x05ffffff,0x001bffee,0xfffffe80,
    0x001ccdef,0x4003fff6,0xfffffffe,0x3ffe2fff,0xffffffff,0xffffffff,
    0xffff72ff,0xffffffff,0x3f23ffff,0xdeffffff,0x3f6001bc,0xffffffff,
    0xffffffff,0x0dfff14f,0x17fffc40,0xfffff500,0xfffb8007,0x7ffc4003,
    0xffffff16,0xffffffff,0x3fa05fff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00d55554,0x006aaa60,0x002aaaa8,0x55402aaa,0x1555500a,0x55544000,
    0x099aaaaa,0xdca98000,0xaa8801ac,0xaaaaaaaa,0x10aaaaaa,0x55555555,
    0x55540033,0x5440002a,0x2aa60aaa,0x5530002a,0x01555455,0x02aaa200,
    0x7ffffcc0,0x7ffdc005,0xffff5003,0x3ffe2003,0x00fff880,0x0003fffb,
    0x7fffffdc,0x2effffff,0x7fffdc00,0x201effff,0xfffffffa,0xffffffff,
    0xfffff70f,0x9fffffff,0x7fffdc03,0x3ff60001,0x7fffcc6f,0x7ffc4003,
    0x01bffe3f,0x03fff500,0x3fffff20,0x3fee000f,0xfff9803f,0x3fe6003f,
    0x01fff307,0x0007fff6,0xffffffb8,0xffffffff,0x7ff4c02e,0xffffffff,
    0xffff503f,0xffffffff,0x3ee1ffff,0xffffffff,0x01dfffff,0x000dfffd,
    0x207fffe6,0x000ffffc,0xfd1bfff6,0xfa8000df,0xfff000ff,0x4005ffff,
    0x4403fffb,0x4004fffe,0xff506ffa,0x0fffec0f,0xffff7000,0xffffffff,
    0x2603ffff,0xbcdfffff,0x85ffffed,0xfffffffa,0xffffffff,0xfffff70f,
    0xffffffff,0xff503fff,0xfb0005ff,0x3fe20bff,0xff5004ff,0x7ffd83ff,
    0x7ffdc000,0xefff9800,0x2e005fff,0x7ec03fff,0xfb8005ff,0x0dff706f,
    0x000fffec,0x107fff70,0xdffffd53,0x1bfffd01,0x07fffee0,0x000bfff5,
    0x441fffdc,0xfffffea9,0x06fffe80,0x07fffd40,0x03ffff50,0xb09fffd0,
    0xb8000fff,0xff9007ff,0x00ffff3f,0x901fffdc,0x0001dfff,0x3ee0bff9,
    0x3fff605f,0x3fee0001,0xfffb803f,0x2fffe42f,0x22fffd40,0x0005fffa,
    0x200fffee,0x986ffffa,0x2003ffff,0xd804fffe,0x7e406fff,0xfff906ff,
    0x7ffb8000,0x36dfff00,0xf7002fff,0x3fea07ff,0xfb0000ff,0x13ff209f,
    0x001fffd8,0x00fffee0,0xf11fffec,0x3a001fff,0x3fea1fff,0x3ee0005f,
    0xff5003ff,0xfffb01ff,0xfff5001f,0xfff1001f,0x3ffe207f,0x1fff901f,
    0x37fe4000,0xba7ffcc0,0xf7005fff,0xfff107ff,0x7ec0005f,0x09ffb03f,
    0x000fffec,0x007fff70,0xf997ffee,0x3ee005ff,0x3ffea5ff,0x3fee0005,
    0x3ff6003f,0xffff882f,0x3fffe803,0x3fffee00,0x04fffd80,0x0003ffee,
    0xc806ffc8,0xfff11fff,0x3ffee00f,0x03fffe83,0x3fffffa0,0xffffffff,
    0xffffffff,0x003fffb2,0x01fffdc0,0x2e4fffb8,0x22004fff,0x3fea6fff,
    0x3ee0005f,0x3f2003ff,0xfff904ff,0x7ffd401f,0xfffe8006,0x07fffd45,
    0x003fff70,0x402ffec0,0x7ff47fff,0xfffb802f,0x027ffec3,0x3fffffa0,
    0xffffffff,0xffffffff,0x003fffb2,0x01fffdc0,0x321fffc8,0x74002fff,
    0x3ffea7ff,0x3fee0005,0x3fea003f,0xffff105f,0x17fff409,0x7fffcc00,
    0x05ffff11,0x001fffa8,0x3017ff60,0xffb89fff,0xfffb804f,0x017ffee3,
    0x3fffffa0,0xffffffff,0xffffffff,0x003fffb2,0x01fffdc0,0x7e47ffe8,
    0x7f4003ff,0xbfff50ff,0x7ffdc000,0x3ffee003,0x3fffee04,0x05fffb80,
    0x5bfff200,0xa805fffc,0x55501fff,0x2027ff40,0x7cc1fffc,0xffb807ff,
    0x1dfff33f,0xfff30000,0x01fff101,0x000fffec,0x007fff70,0xfb8bfff9,
    0x7ec004ff,0xbfff51ff,0x7ffdc000,0x3fff2003,0x2ffff403,0x007fffe2,
    0xdffff880,0x9800ffff,0xff882fff,0x09ffd02f,0xfd07fff8,0xffb805ff,
    0x1ffff8bf,0xfff30000,0xb01ffe60,0x40003fff,0x2a03fffb,0x540efffd,
    0x64006fff,0xfff52fff,0x7fdc000b,0x3ffa003f,0x7ffd401f,0x13fff21f,
    0x3ffea000,0x1003ffff,0xff505fff,0x0fffe09f,0x905fff98,0xfb809fff,
    0x2fffebff,0x3fea0000,0x80fff506,0x0001fffd,0x3bbbffee,0xffffffee,
    0xffff880c,0x3fff6002,0x55dfff53,0x55555555,0x1fffdc35,0x06fffb80,
    0x22bfffb0,0x0000ffff,0xdfffffb0,0x1fffc400,0xf83fffec,0x3ff203ff,
    0xffff302f,0xfffffb80,0x400004ff,0xff706ffb,0x1fffd80d,0x3ffee000,
    0xffffffff,0x3f200bff,0x2e203fff,0xf52ffffe,0xffffffff,0x47ffffff,
    0xa803fffb,0x3001ffff,0xff93ffff,0x4400007f,0x001fffff,0x7fc1fffc,
    0xfff82fff,0x03fffe02,0x201ffff8,0xfffffffb,0x3200000f,0xbff705ff,
    0x01fffd80,0x3fffee00,0xffffffff,0xff104fff,0x977bdfff,0xfffffffb,
    0x3ffffea5,0xffffffff,0x3ffee3ff,0xffea9883,0x7e4004ff,0x06fffdff,
    0x7ffc4000,0x7fc003ff,0x7fffd44f,0x17ffc45f,0x405fff98,0x2e04fffc,
    0xfffdbfff,0x3f600006,0x09ff904f,0x001fffd8,0x33bffee0,0xffedcccc,
    0xe980efff,0xffffffff,0xffffffff,0xffffff51,0xffffffff,0x7fffdc7f,
    0xffffffff,0x88005fff,0x2fffffff,0x7fec0000,0x2000ffff,0x7fec4ffe,
    0x3e20fffe,0xfff901ff,0x7fffa807,0x22fffee0,0x0004ffff,0x3607ffd0,
    0x7fec04ff,0x3ee0001f,0x7ecc03ff,0x3f204fff,0xffffffff,0x51fffc9d,
    0x4000bfff,0xfffffffb,0x2effffff,0x3ffee000,0x400006ff,0xfffffffb,
    0x17ffa005,0x5fff3fff,0xf80fffcc,0xff800fff,0xfff701ff,0x0ffffe67,
    0xf3333300,0x333337ff,0x33339ffd,0x001fffd8,0x00fffee0,0x00ffffe4,
    0x55999731,0xf53fff41,0x5c000bff,0xffffffff,0x0003dfff,0x03ffffd0,
    0x7ffc4000,0x02ffffcf,0x7d4bffb0,0x4cbffd6f,0xff980fff,0xfffb006f,
    0x8fffee09,0x001ffffb,0x3ffffffe,0xffffffff,0x0fffffff,0x0007fff6,
    0x003fffb8,0x000ffffa,0xa9bffe20,0x20005fff,0xaaadfffb,0x8000009a,
    0x0005fffb,0xcafffec0,0xd800ffff,0x4fff25ff,0xff30fffb,0xffff901f,
    0xffffffff,0x20ffffff,0x7ec3fffb,0xff000fff,0xffffffff,0xffffffff,
    0x7ec1ffff,0x2e0001ff,0x32003fff,0x80005fff,0x3ea4fff9,0x2e0005ff,
    0x00003fff,0x13ffea00,0xfffa8000,0x9ffff10f,0x7cdff900,0x7fff30ff,
    0x7fc1ffea,0xffffffff,0xffffffff,0x3fffb81f,0x02ffff44,0xffeeeee8,
    0xfeeeeeef,0x0eeeeeff,0x0007fff6,0x003fffb8,0x0017ffee,0xa87fff20,
    0x20005fff,0x0003fffb,0x3ffea000,0xff100004,0xfffa87ff,0xbffe401f,
    0x7ff46ffa,0xf30fff55,0xffffffff,0xffffffff,0xfff709ff,0x9ffff307,
    0x0fff5000,0x3601ffe6,0x20001fff,0x2003fffb,0x0003fffc,0x2a2fffd4,
    0x20005fff,0x0003fffb,0x3ffea000,0xffb00004,0x3fffa0df,0xcbffdc06,
    0x7ffdc3ff,0xfc86ffb8,0xcccccdff,0xfdcccccc,0xfffb86ff,0x5ffff703,
    0x06ffa800,0xfb00fff5,0x5c0003ff,0x3a003fff,0x20002fff,0x542ffff8,
    0x20005fff,0x0003fffb,0x3ffea000,0xffa80004,0xfff302ff,0x7ffd407f,
    0x7c41fff8,0x86ffbbff,0x8000ffff,0x7dc1ffff,0x3ff603ff,0x3ee000ff,
    0x0dff706f,0x003fffb0,0x01fffdc0,0x00ffffb8,0x9fffd500,0x00bfff50,
    0x01fffdc0,0xff500000,0xf880009f,0x7e405fff,0xff501fff,0x3a0dff5f,
    0x45ffbeff,0x0006fff9,0xfb89fffb,0x3fa203ff,0xf9000eff,0x17ff20bf,
    0x007fff60,0x03fffb80,0x1ffffdc4,0x7fff5400,0xbfff506f,0x7ffdc000,
    0x20000003,0x0004fffa,0x007fffe4,0x41bfffe2,0x3ffdfff9,0xffbfff70,
    0x03fffc8b,0x8dfff500,0x4c03fffb,0xb005ffff,0x3ff209ff,0xcfffd804,
    0xaaaaaaaa,0x3fee2aaa,0xcaaaaadf,0x05fffffc,0xfdb97555,0x01bfffff,
    0x0017ffea,0x003fffb8,0x3fea0000,0x3e60004f,0xf5003fff,0xff307fff,
    0x2203ffff,0x44ffffff,0x0000ffff,0x5c3ffff1,0xfa803fff,0xfe803fff,
    0x09ffb03f,0xffffffb0,0xffffffff,0x3ffee1ff,0xffffffff,0x3e05ffff,
    0xffffffff,0x7d404fff,0x2e0005ff,0x00003fff,0x13ffea00,0x6fffe800,
    0x7ffff400,0x7ffffc40,0x7fffec06,0x1bffe64f,0x9fffb000,0x801fffdc,
    0x401ffffc,0xffd02ffe,0xffffb007,0xffffffff,0x3ee1ffff,0xffffffff,
    0x401dffff,0xffffffff,0xfa800cff,0x2e0005ff,0x00003fff,0x13ffea00,
    0x7fffe400,0x7ffcc002,0x7fffc45f,0x7ffd404f,0x3fff23ff,0x7fdc0003,
    0x0fffee6f,0x0ffffe80,0x7c0bffe0,0xffd802ff,0xffffffff,0x70ffffff,
    0xffffffff,0x200179bd,0xabcdefff,0x7ffd4001,0x3fee0005,0x0000003f,
    0x0013ffea,0x017fffe6,0x17fffe40,0x007ffffe,0x07fffff1,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x000aaaa9,0x000aaaaa,0x20055551,0xaaaaaaaa,0xaaaaaaaa,
    0x510aaaaa,0xa8005555,0x260001aa,0xa802aaaa,0xaaaaaaaa,0xaaaaaaaa,
    0x000101aa,0x55440004,0x4000001a,0x00073039,0xeecb9800,0x5c0002bc,
    0x5004ffff,0x400dffff,0x006ffffb,0xffffffff,0xffffffff,0x2a5fffff,
    0x001fffff,0x0009fff1,0x3fffffe2,0x3fffe200,0xffffffff,0x3fffffff,
    0xb800374c,0x7fcc003f,0x2000003f,0x7fcc3ffb,0xe9800005,0xffffffff,
    0xff70001e,0x3f600fff,0xfb806fff,0x006fffff,0xffffffff,0xffffffff,
    0x2a5fffff,0x005fffff,0x0009fff1,0x3ffffff6,0x3fffe200,0xffffffff,
    0x3fffffff,0x0013fff2,0x001dfff1,0x000fffe6,0x7fffe400,0x1dffff12,
    0x3fea0000,0xffffffff,0xfc8003ff,0x4401ffff,0x206fffff,0xffffffea,
    0xffff006f,0xffffffff,0xffffffff,0x3fffea5f,0xff8800ff,0xffa8004f,
    0x200fffff,0xfffffff8,0xffffffff,0x3ee3ffff,0x36001fff,0x26005fff,
    0x00003fff,0x27fffec4,0x07bfffea,0xffff9000,0xffd75359,0xfc8007ff,
    0x5c04ffff,0xa87fffff,0xfffffffe,0x500006ff,0x54009fff,0x04ffffff,
    0x004fff88,0x7fffffc4,0x4ccc00ff,0x99999999,0xffffd999,0x437ffec0,
    0x0efffa81,0x0fffe600,0xffe88000,0xffd302ff,0x260005ff,0x3202ffff,
    0x2000ffff,0x07ffdffd,0x3ffefff4,0x3ffffff6,0x006fffbb,0x09fff500,
    0x7ffffd40,0x7fc400ff,0x7fe4004f,0x00fffeaf,0xfff98000,0xfffe882f,
    0xcefffebb,0x001ffffb,0x001fffcc,0xfffff980,0x7ffec401,0xffd8003f,
    0xfffc801f,0x2fff6004,0xff302fff,0xfb8fff7d,0xff70cfff,0x2a0000df,
    0x2a004fff,0x4fffdfff,0x027ffc40,0x3abfff30,0x00000fff,0x205fffe8,
    0xfffffff9,0xffffffff,0xfff98003,0xffa80003,0x32000eff,0x2004ffff,
    0x1005fff9,0x6c00ffff,0x05ffcbff,0xfff77ff9,0x2067fc41,0x0006fffb,
    0x009fff50,0x7f57ffd4,0x3fe200ff,0x3ffa004f,0x01fffd0f,0xfffb8000,
    0x7ffdc00f,0xffffffff,0xf30005ff,0xc80007ff,0x0005ffff,0x01dffff7,
    0x003fffb0,0x8007ffec,0xfffabffe,0x547ffc40,0x80dc0fff,0x0006fffb,
    0x009fff50,0x7dd7ffd4,0x3fe203ff,0xfff7004f,0x007fff47,0xffff3000,
    0xffff1005,0xfffb537d,0x3e6000bf,0xb10003ff,0x0007ffff,0x1effffa8,
    0x003fff40,0x400bfff2,0xfff8affe,0xfab7fd42,0x3ee000ff,0x500006ff,
    0x54009fff,0xfff8afff,0x13ffe207,0xd17ffe60,0x00001fff,0x802ffff4,
    0xa80efffc,0xca81ffff,0xfdcccccc,0xccccceff,0xffe884cc,0x300002ff,
    0x405ffffd,0x5c006fff,0xff003fff,0xd17ff25f,0x3ffea5ff,0x3ffee001,
    0xff500006,0x7fd4009f,0x07fff92f,0x2013ffe2,0x7f40fffe,0x700000ff,
    0x1001ffff,0x6c01ffff,0xffc84fff,0xffffffff,0xffffffff,0x7fffcc7f,
    0x4400001e,0x883ffffd,0xffffffff,0xffffffff,0xff004fff,0x43ffe65f,
    0xff50fff8,0x7fdc003f,0xf500006f,0x7d4009ff,0xdfff32ff,0x013ffe20,
    0xfd07fff7,0x300001ff,0x2005ffff,0x4c05fffa,0xffc85fff,0xffffffff,
    0xffffffff,0x3fffea7f,0x2000000d,0x544ffffc,0xffffffff,0xffffffff,
    0xff004fff,0xb9fffc5f,0x3ffe65ff,0x3ffee001,0xff500006,0x7fd4009f,
    0x0bfff62f,0x8813ffe2,0xffd06fff,0xfd00001f,0x7e400bff,0x7fc402ff,
    0xcccca86f,0xefffdccc,0x4ccccccc,0x00bffff7,0x3fee0000,0x3ffe65ff,
    0xffffffff,0xffffffff,0x2fff8804,0x7ff5bff2,0x00bffe62,0x006fffb8,
    0x09fff500,0x317ffd40,0xff10dfff,0x7ffec09f,0x01fffd01,0xffffb800,
    0x3fff6000,0x07fff801,0x03fff980,0x5ffffd10,0xe8800000,0x3e22ffff,
    0x000005ff,0x262fff88,0x47ffafff,0x2002fff9,0x0006fffb,0x009fff50,
    0x3a17ffd4,0x7fc41fff,0x7fff504f,0x007fff40,0x5ffff300,0x1fffd800,
    0x007fff80,0x003fff98,0x0fffff62,0x7f4c0000,0xfff81eff,0x88000007,
    0x7ff41fff,0x7fcc4fff,0x3fee002f,0xf500006f,0x7d4009ff,0x7ffd42ff,
    0x427ffc45,0x7406fff8,0x20000fff,0x8005fffe,0x4402fffc,0x98006fff,
    0xc8003fff,0x0005ffff,0x77fffd40,0x01fffd00,0xff980000,0x7fffdc1f,
    0x1fffc41f,0x0dfff700,0x3ffea000,0x3ffea004,0x21fffe82,0xfc84fff8,
    0x7ff401ff,0xff70000f,0xf70001ff,0xff9807ff,0xff98005f,0xff70003f,
    0x00001dff,0x80bffff7,0x0003fffd,0x0fffcc00,0x21bfffe2,0x2003fff8,
    0x0006fffb,0x009fff50,0x5417ffd4,0x3fe25fff,0x27ffcc4f,0x007fff40,
    0x17fffc40,0x6fffa800,0x01fffec0,0x01fffcc0,0xdffff300,0x7fec0003,
    0xff9803ff,0x000000ff,0x3607ffea,0xff883fff,0x3fee004f,0xf500006f,
    0x7d4009ff,0xffff02ff,0xd13ffe23,0x3fa00dff,0xfd8000ff,0x220005ff,
    0xf503ffff,0x30001fff,0x80007fff,0x02ffffe8,0x7ffff440,0x3fff6002,
    0x5000001e,0xff503fff,0x9fff101f,0x37ffdc00,0xfffa8000,0x3ffea004,
    0x29fff702,0x3f24fff8,0xffd001ff,0xffb8001f,0x640000ff,0x731cffff,
    0x0009ffff,0x000fffe6,0x3ffff620,0xffff3003,0xff98003f,0x3009cfff,
    0x3ee00595,0x055500ff,0x70027ffc,0x0000dfff,0x8013ffea,0xf102fffa,
    0xfff11fff,0x7fffffc9,0xffffffff,0xffffffff,0xffff100f,0xff500005,
    0xffffffff,0x20009fff,0x0003fff9,0x17ffff20,0x1dffff50,0x3ffee000,
    0xfeefffff,0x7002ffff,0x40001fff,0x2e005fff,0x00006fff,0x4009fff5,
    0x3202fffa,0xfff8bfff,0x3fffffe4,0xffffffff,0xffffffff,0xbfffb00f,
    0xffd10000,0xffffffff,0x0003ffff,0x00035551,0xeffffb80,0x5ffffc80,
    0xffe98000,0xffffffff,0xf7002fff,0x7c0001ff,0x3ee005ff,0x500006ff,
    0x54009fff,0x3e202fff,0x4fff8eff,0x3ffffffe,0xffffffff,0xffffffff,
    0x0ffffb80,0xfffd8000,0xefffffee,0x000ffffc,0x98000000,0xb11effff,
    0x0007ffff,0xfffedb80,0x0cdfffff,0x01fff900,0x02fffc00,0x00dfff70,
    0x13ffea00,0x02fffa80,0x7fdfffe4,0x3333324f,0xcccccccc,0xcccffffc,
    0xffff884c,0xffb80002,0x86aa626f,0x0005fffd,0xd1000000,0x7fec1dff,
    0x8000002f,0x00199aa9,0x001fff90,0x0037ffc0,0x000dfff7,0x013ffea0,
    0x402fffa8,0xfffefff8,0xffe80004,0xfffd800f,0xff980005,0xff1001ff,
    0x999987ff,0x99999999,0x01999999,0x4076c400,0x000001fd,0xfc800000,
    0x7f40007f,0x3fee006f,0xf500006f,0x7d4009ff,0xffd802ff,0x0004ffff,
    0x400fffe8,0x000ffffa,0x04fffd80,0x07fffdc0,0xffffffff,0xffffffff,
    0x00003fff,0x00000401,0xd8000000,0x740007ff,0x666646ff,0xffffeccc,
    0x01cccccc,0x013ffea0,0x802fffa8,0x4ffffff9,0xfffe8000,0x3fffe200,
    0xeeeeeeef,0x4eeeeeee,0x40007fdc,0x7ffc0dfe,0xffffffff,0xffffffff,
    0x00000001,0xfffff800,0xffffffff,0xffffffff,0x7ec1ffff,0x7f40007f,
    0x7ffffc7f,0xffffffff,0x002fffff,0x8013ffea,0xb002fffa,0x009fffff,
    0x01fffd00,0x7fffffdc,0xffffffff,0x885fffff,0x20310001,0xffffffff,
    0xffffffff,0x00001fff,0xff800000,0xffffffff,0xffffffff,0x1fffffff,
    0x0003fff4,0xfff1fffa,0xffffffff,0x5fffffff,0x27ffd400,0x05fff500,
    0x3ffffea0,0xffe80004,0x3ffee00f,0xffffffff,0xffffffff,0x00000005,
    0x00000000,0x3e000000,0xffffffff,0xffffffff,0xffffffff,0x003fff41,
    0xff1fff60,0xffffffff,0xffffffff,0x7ffd4005,0x3ffea004,0x3fffa002,
    0xfe80004f,0x3fee00ff,0xffffffff,0xffffffff,0x0000005f,0x00000000,
    0x20000000,0x99999999,0x99999999,0x99999999,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbfdb7100,0x9dd95059,0x7ec40005,0x5cc0001d,0x3cdefeec,0x3b2a6000,
    0x64c1bcee,0x991001cc,0x765d4059,0x02bceeff,0x9ddb7310,0x99900157,
    0x99999999,0xb8999999,0x2000cccc,0x911cccc9,0x98000599,0x99931ccc,
    0x332e0009,0x3ff6002c,0x25ffffff,0x4ffffffc,0xffffd000,0xffd88001,
    0xffffffff,0x3ee003ff,0xffffffff,0x7fff50ff,0x17ffe200,0x3fffffaa,
    0x807fffff,0xfffffffb,0x7fc02eff,0xffffffff,0x0fffffff,0x017fffe6,
    0x22ffff44,0x40005fff,0xff12fffb,0xff0005ff,0x7fc003ff,0xffffffff,
    0xffffffdd,0x7cc004ff,0x4003ffff,0xfffffff8,0x5fffffff,0x7ffff440,
    0xffffffff,0x007fff50,0xfb17ffe2,0xffffffff,0x6c40ffff,0xffffffff,
    0x3e04ffff,0xffffffff,0xffffffff,0x17fffdc0,0x07fffe40,0x0001bffa,
    0x7ec1fff9,0x7d4005ff,0x7fc006ff,0xffea9abd,0xea9cffff,0x26000fff,
    0x002fffff,0x66f7ffc4,0xffffcbab,0xffff503f,0xfb979bff,0x3ffea1ff,
    0xbfff1003,0x5effffe4,0x7edcaaaa,0xdfffff10,0xffffb759,0x3bbba0bf,
    0xeeeeeeee,0xfb07ffff,0x7cc01fff,0xffd81fff,0x7fec0007,0x07fffd47,
    0x07fffb00,0xfd101c80,0xff989fff,0x7ff4003f,0x744000ff,0x7fec400b,
    0xffff887f,0xa86d403f,0xf1003fff,0x3ffe2bff,0x3601001f,0xb101ffff,
    0x0003ffff,0x02ffff98,0x20bffff1,0x903fffe8,0x40001fff,0xffe86ffe,
    0xfff1002f,0xc800001f,0xfd80ffff,0x7ec4006f,0x8000001d,0x641fffe8,
    0x8001efff,0x1003fffa,0x3feabfff,0x7cc0003f,0xfc800eff,0x220006ff,
    0x4c04fffe,0xfc83ffff,0x3fee05ff,0x3fe0001f,0x5fffb85f,0x09fff700,
    0xfff70000,0x03ffee0b,0x00000000,0x98bfff20,0x0002ffff,0x2007fff5,
    0xff95fff8,0xfe80007f,0xff1002ff,0x360005ff,0xf9005fff,0x7fd41fff,
    0x3fe600ff,0x01fff02f,0x3e213ffe,0xfe800fff,0x800001ff,0xf503fff9,
    0x000001ff,0xff500000,0x2fffec7f,0x7fff5000,0x57ffe200,0x0005fffa,
    0x001bffe6,0x0009fff7,0x001ffff7,0xe8affff4,0x7c401fff,0xfff983ff,
    0x03fff883,0x9807fffb,0x00006fff,0x207fff10,0x0001fffa,0xa8000000,
    0x3ffa4fff,0x3ea0001f,0xff1003ff,0x3fffe2bf,0xffa8001d,0x7fcc003f,
    0x7fcc005f,0x7c4001ff,0xfffcbfff,0x09fff003,0xf30dfff9,0x3fea05ff,
    0x7ffe406f,0x4cc00003,0x999bfff9,0x02fffa99,0x20000000,0xfb999998,
    0x1fffe4ff,0x7fff5000,0x97ffe200,0xadfffffc,0x5fff9000,0x0dfff000,
    0x1ffffc40,0xffffa800,0x3a005fff,0xfffe85ff,0x0fffd41f,0x403ffff0,
    0x0000ffff,0x7fffff5c,0xffffffff,0xf12fffff,0xffffffff,0xffffffff,
    0x4c05ffff,0xffffffed,0xf34fffff,0xa8000dff,0xf1003fff,0xfffd8bff,
    0x402dffff,0x8001fffd,0x36007fff,0x40005fff,0x0ffffffc,0x31bff600,
    0xb87fffff,0x7fe407ff,0xbfff504f,0x7ff4c000,0xffffffff,0xffffffff,
    0xffff12ff,0xffffffff,0xffffffff,0xfffb305f,0xffffffff,0x3fea9fff,
    0x7d40005f,0xff1003ff,0xffff70bf,0x019fffff,0x0001fffd,0x9001fffd,
    0x0001dfff,0x05ffffd0,0x647ffc80,0x646ffeff,0x7fcc06ff,0x5fffb07f,
    0x3ffe2000,0xffeeeeff,0xeeeeeeef,0xfff11eee,0xffffffff,0xffffffff,
    0xfff985ff,0xeeeeefff,0xf54fffee,0xa8000bff,0xf1003fff,0x3ae20bff,
    0xffffffff,0x007fff42,0x007fff40,0x007fffea,0x3fffea00,0x7fdc004f,
    0x3e7ffa0f,0x17ff61ff,0x10bfffa0,0x4000ffff,0xf885fffc,0xaa8002ff,
    0xaaaaaaaa,0xaaaaaaaa,0x3fa20aaa,0x7d402eff,0xdfff34ff,0xfffa8000,
    0xbfff1003,0xfffd7100,0x7fec3fff,0xfff8001f,0x7fffc407,0xff880002,
    0x003fffff,0x7cc7ffea,0x749ffd6f,0xffa804ff,0x27ffd45f,0x1ffff000,
    0x007fff10,0x70000000,0x5001dfff,0x3fe29fff,0x7d40007f,0xff1003ff,
    0xfd9800bf,0x3ff26fff,0x7fc4002f,0x7fff405f,0xffd00004,0x03ffffbf,
    0x5cbffe20,0x4fff73ff,0xff003fff,0x7ffec1ff,0xfff10000,0x13ffe20b,
    0x00000000,0x400bfff6,0x3fe4fffa,0x2a0001ff,0xf5004fff,0x2a000bff,
    0xff71ffff,0xffa8009f,0x3fff204f,0xff900006,0x3bfff2df,0x27fff000,
    0xfff11ffe,0x005fff13,0x7c4ffff2,0x260005ff,0xff103fff,0x000000bf,
    0x1fffd000,0x93ffea00,0x0005fffd,0x2013ffe6,0x005ffff8,0x4cbfff60,
    0x2000ffff,0xf702fffe,0x00001fff,0x743ffff5,0xfd005fff,0xd8dff19f,
    0x1fff9cff,0x2dfff300,0x0002fffb,0x6c0fffe6,0x0000ffff,0x8001a880,
    0xb801ffff,0x3ea4ffff,0x10002fff,0xe880dfff,0x0005ffff,0xfe8bfff6,
    0xff5004ff,0x3ffe60df,0xf980002f,0x7fcc3fff,0xffd804ff,0x7dc3ffbd,
    0x007ffaff,0x7f47fff4,0x7c40007f,0xfffc85ff,0x400004ff,0x4004fffb,
    0x2204fffd,0x44fffffd,0x003ffffd,0x02ffff83,0xbfffffd1,0x3ffe2000,
    0x3fffe60f,0x7fffd403,0x3fffe881,0xffe88000,0xffff705f,0xeeffc805,
    0x7ffc41ff,0x5c007ffd,0x4fffcfff,0xffff8000,0xfddff912,0x2a8819ff,
    0x3fffe200,0x3ff2001f,0x7fdcc3ff,0x444fffff,0x9befffff,0x41fd7530,
    0x10bffffc,0xfffdfff7,0x4066f7ab,0x85fffeb8,0x09dffffd,0xbffff951,
    0x2bffff60,0xaaaaaaaa,0xffd82aaa,0x3ff600ff,0x3fee00ff,0xffb06fff,
    0x8800bfff,0x1fffffff,0xfffc8000,0x98ffffef,0xfeefffff,0x3ea004ff,
    0x2003ffff,0xffffffe8,0xf9ffffff,0xfffa84ff,0xffffffff,0x3fe20fff,
    0xffffffff,0xd5ffe8ef,0xffffffff,0x1dffffff,0xfffffd10,0xffffffff,
    0xffff301b,0xffffffff,0xb8dfffff,0x4402ffff,0x2a06ffff,0x503fffff,
    0x009fffff,0xdfffff90,0x3fe20000,0x21ffffff,0xfffffffa,0x3e2004ff,
    0x4002ffff,0xfffffff9,0xfff0dfff,0x3fff6209,0xffffffff,0x7fffd40f,
    0xd0dfffff,0x3fffabff,0xffffffff,0x7e400dff,0xffffffff,0x3fea03ff,
    0xffffffff,0x6fffffff,0x017fffe6,0x82ffffd4,0x01fffff8,0x07fffff1,
    0xfffff300,0x6c400005,0xa81dffff,0xdffffffd,0x7ffdc001,0xff910005,
    0xf85bffff,0x765404ff,0xceffffff,0xffffd102,0x5ffe85df,0xffffffd9,
    0x003bffff,0x7ffff6cc,0x7d400cef,0xffffffff,0xffffffff,0x1dffff16,
    0x7fffe400,0x0dffff03,0x02ffffd8,0x0ffffd00,0x06620000,0x001aa980,
    0x0000d4c0,0x0000a988,0x00333100,0x00015530,0x26aaa662,0xa9880000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13320000,
    0xc881bdd7,0x664c0cee,0x7bdd7304,0x21332601,0x03cefec9,0x40000000,
    0x001acca9,0x35999751,0x40000000,0x00180009,0x8000f76c,0x02000000,
    0x22000000,0x3e01fffc,0x3ffffa7f,0xffffd10f,0x07ffdc1d,0xfffffff5,
    0x1fff505f,0x3fffff62,0x98001eff,0x20004fff,0xfffffffa,0xffff301e,
    0x01bfffff,0x77ee5440,0xef9800ac,0x00fee000,0x9800ffe8,0xefffffec,
    0x80d9100b,0x32a005ea,0x802dfffe,0x1fffffc8,0x3f23ffe0,0xfb3fffff,
    0x5c7fffff,0xfff50fff,0x5fffffff,0xf98fffa8,0xffffffff,0x7cc000ff,
    0xfb0004ff,0xffffffff,0xffff505f,0x0dffffff,0x3ffffea0,0x2604ffff,
    0xb800efff,0xfb003fff,0xfff7001f,0x3fffffff,0x704fff98,0xd8805fff,
    0xffffffff,0xfffc880e,0x3e01ffff,0xeadff9ff,0xacffadff,0x3fee6fff,
    0xcefffb8f,0x46ffffca,0xfffafffa,0xfffdbbcf,0x7fcc004f,0xffb8004f,
    0xffdbacff,0x5efd40ff,0xfffeb989,0x3fff6203,0xffedbabd,0xffff981e,
    0x3ffee00e,0x7fd8042f,0xfffff700,0xb0ffffff,0xff103fff,0x3fe201ff,
    0xffffffff,0x7fffdc6f,0x201fffff,0x2a5fefff,0x2e4feeff,0x3ffee7ff,
    0xf883fffd,0x3fea2fff,0xb80effff,0x2000ffff,0x4004fff9,0xc80efff8,
    0x20044fff,0x3a05fff8,0x3ee00dff,0xfff981ff,0xfffb80ef,0x641fcc2f,
    0x2a3e987f,0xff73099b,0xfff883ff,0x5fffa80e,0x2af7fee0,0x22ffffeb,
    0xfdbffffb,0x3ffe01ff,0x3ffe60ff,0x3ffea0ff,0xffffff70,0x2fffdc03,
    0x0bfffff5,0x002fffe8,0x0013ffe6,0x7403fff7,0xfd8007ff,0x25ff906f,
    0x260acccc,0xfff306ff,0x7ffdc1df,0x0dffe82f,0xfff91bf2,0x3fff6001,
    0x04fffa82,0x5c05fffb,0x49fffd01,0x3ff23ff8,0x3fffe01f,0x1ffffc44,
    0x7dc7ffea,0x4401ffff,0x3fea6fff,0xffb805ff,0x3fe6003f,0x7fec004f,
    0x07ffe406,0x3f666620,0x14ff986f,0x1dffffff,0x7cc13fea,0xffb8efff,
    0xffd882ff,0x26df73ff,0x001ffffe,0x3201fffb,0xff882fff,0xff70006f,
    0xffc818bf,0x3fffe01f,0x437ffc40,0xff71fffa,0x3fe005ff,0x3bffea6f,
    0x4fff9800,0x13ffe600,0x80bffd00,0xeb81fffb,0xffffffff,0xf10efe86,
    0x47ff955f,0xff300ffd,0x5ffffdff,0xdfffd980,0xffffcefc,0x3ffea003,
    0x07fff405,0x0027ffd4,0x4027ffdc,0x3e01fffc,0xfff885ff,0x71fffa83,
    0x7c009fff,0x3ffea7ff,0xbfff3003,0x27ffcc00,0x017ffe00,0x7443fff5,
    0xffffffff,0x23ff86ff,0x93f60ff8,0x3e602ff9,0x02ffffff,0x3ffff660,
    0x4403ffff,0xdfffeecc,0x2fffcc00,0x001fffd8,0x00bfffe2,0xf807fff2,
    0xfff884ff,0x71fffa82,0x00007fff,0x2007fff5,0x2005fff8,0x4004fff9,
    0x7dc06ffe,0x3fffa0ff,0xffd9999c,0xf10ffcc6,0x3e17f41f,0x7ffcc03f,
    0xd30002ff,0x2007ffff,0xfffffff8,0x5fff7001,0x00dfff10,0x01bfffa2,
    0xf00fffe4,0xfff109ff,0x23fff505,0x0003fffb,0x003fffa8,0x3e2bfff1,
    0xffffffff,0xffffffff,0x3f62ffff,0x3ffec07f,0x3207fff3,0x07fdc6ff,
    0xdfd97ff1,0x5c05fe81,0x00efffff,0x7fffecc0,0xff8802df,0x0dffffff,
    0x407ffec0,0x8804fffa,0x001ffffe,0x7c03fff9,0xfff884ff,0x71fffa82,
    0x00007fff,0x2007fff5,0xff15fff8,0xffffffff,0xffffffff,0x7fe45fff,
    0x9fff303f,0x440fffdc,0x3fdc6ffe,0x13ffffe2,0xff7037ec,0x01dfffff,
    0xfdfffb30,0x805dffff,0xfffcaa99,0x3ffee05f,0x0ffff883,0x7ffffcc0,
    0x3fff2001,0x213ffe01,0xfa82fff8,0x7fff71ff,0xfff50000,0x3ffe2007,
    0xffffff15,0xffffffff,0x5fffffff,0x85ffffc4,0x20ffffa8,0x74c4fffa,
    0x7fd46fff,0x3f2bfe21,0x704fe81f,0xfff7ffff,0x3f6601df,0x8efb9eff,
    0x002efffd,0x203fffe6,0xf905fff9,0xffb805ff,0x64000eff,0x3fe01fff,
    0x2fff884f,0xf71fffa8,0x500007ff,0x22007fff,0x2aaa5fff,0xffcaaaaa,
    0xaaaaaadf,0x7ffdc0aa,0xffffffff,0x77fffc43,0x6fffffec,0xff117fc4,
    0xff11bf21,0x5ffff707,0x03bfffe6,0x649ffff1,0x3fffee6f,0x3fffa002,
    0x80fffe81,0x6c05fff9,0x0005ffff,0x7c03fff9,0xfff884ff,0x71fffa82,
    0x00007fff,0x2007fff5,0x2005fff8,0x0004fff9,0xfffffff7,0x3ff205ff,
    0xfacfffff,0x224ff86f,0x43ff30ff,0x7fdc1ffa,0x7ffcc2ff,0x0f7e40ef,
    0xbfb11ff2,0x7fffd400,0x81fffe40,0xd100fffe,0x2005ffff,0xffeaaaaa,
    0x3e1aaabf,0xfff884ff,0x71fffa82,0x00007fff,0x2007fff5,0x2005fff8,
    0x0004fff9,0x37fffb62,0x7ff5400c,0x0bdd12de,0x3fe23ff9,0x7fc57f60,
    0x17fffdc6,0x0effff98,0x83fec0e2,0x7310261b,0xf98dffff,0xfff905ff,
    0x3fffe607,0xccccccdf,0x3ffffe3c,0xffffffff,0x2213ffe5,0xffa82fff,
    0x07fff71f,0x7fff5000,0x17ffe200,0x04fff980,0x80002000,0x2dfd0000,
    0x3fea0ff8,0x3e61ffc9,0x7cc02fff,0xfb005fff,0x3fffa00f,0xffffffff,
    0x03fffe21,0xb81bffe6,0xffffffff,0x3e6fffff,0xffffffff,0x3fe5ffff,
    0x2fff884f,0xf71fffa8,0x500007ff,0x22007fff,0x26005fff,0x00004fff,
    0x40000000,0x4401eff9,0xffd84ffd,0x1dff3002,0x003ffa00,0x3ffffffa,
    0x6c41efff,0xfff502ff,0x7fffdc03,0xffffffff,0x3bbbba6f,0xeeeeeeee,
    0x2213ffe4,0xffa82fff,0x07fff71f,0x7fff5000,0x17ffe200,0x04fff980,
    0x00000000,0xbfffb800,0x2fffd441,0xe98005b0,0x03ffa000,0x3fffff60,
    0x1cc02def,0xd500ee20,0xdddddddd,0x0009dddd,0x4427ffc0,0xffa82fff,
    0x07fff71f,0x7fff5000,0x17ffe200,0x04fff980,0x7fffffc0,0xffffffff,
    0xffffff1f,0xffffffff,0x3ffa603f,0xfffffeff,0x00000003,0x40015550,
    0x00000998,0x00000000,0x27ffc000,0x5417ffc4,0xfff71fff,0xff500007,
    0x3fe2007f,0x3fe6005f,0x7ffc004f,0xffffffff,0xfff1ffff,0xffffffff,
    0xc803ffff,0xdffffffe,0x00000000,0x00000000,0x00000000,0x7fc00000,
    0x2fff884f,0xf71fffa8,0x500007ff,0x22007fff,0x26005fff,0x7c004fff,
    0xffffffff,0xf1ffffff,0xffffffff,0x03ffffff,0x002aa620,0x00000000,
    0x00000000,0x00000000,0x4fff8000,0xa82fff88,0xfff71fff,0xff500007,
    0x3fe2007f,0x3322005f,0x0000002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaa800022,
    0x3bba000a,0xeeeeeeee,0xeeeeeeee,0xffffff51,0xffffffff,0x3a2dffff,
    0x77544eee,0x15c402ee,0x00006e60,0x0ceeeeb8,0x0bdddd70,0x1ceecb80,
    0x03530000,0x66666440,0x02cccccc,0x6403fb80,0x7ee5401e,0x36001cde,
    0x5c001fff,0x3e004fff,0xffffffff,0xffffffff,0xffff51ff,0xffffffff,
    0x2dffffff,0x545ffff8,0x2202ffff,0xff705fff,0xf700007f,0xf700bfff,
    0xd100bfff,0x1bffffff,0x6c3ccb80,0x9800efff,0xffffffff,0x44003fff,
    0xff506fff,0xfffb107f,0x009fffff,0x03fffff7,0x3ffffe20,0xfffff001,
    0xffffffff,0x23ffffff,0xfffffffa,0xffffffff,0xfff16fff,0xffffa89f,
    0x3ffff202,0x06ffff81,0x7fffdc00,0x3ffa6003,0x3ffe205f,0x0effffff,
    0xfb97ffe0,0x9806ffff,0xffffffff,0x6c003fff,0xff882fff,0x7ffcc0ff,
    0xffffffff,0x7fffec05,0xfffb005f,0x2aa00dff,0xaaaaaaaa,0xaaaaaaaa,
    0x5555510a,0x55555555,0x7cdfff55,0x7fcc4fff,0x3ff201ff,0xffff81ff,
    0x3fee0006,0xd88001ef,0xff705fff,0xffffdbff,0x9fff101d,0x7ffffff4,
    0x55554401,0x1aaaaaaa,0x13ffea00,0x7417ffec,0xf531cfff,0x7e405fff,
    0x9807ffff,0x3fff9eff,0x00000000,0x4dfff000,0x7cc3ffff,0x3e201fff,
    0xfff705ff,0x3fee0005,0x5c0000df,0xfff85fff,0x3fffea1e,0x1fffd41e,
    0x5fffffff,0x20000000,0xa80ffff8,0xffb84fff,0xffff102f,0x7ffffcc0,
    0x97ff400f,0x0000fffc,0x80000000,0x3ffa6fff,0x7fffc43f,0x20154400,
    0x910001a9,0x40000799,0x3e62ccc9,0xfff883ff,0xfffdacff,0x7fffff47,
    0x0000000f,0x105fff90,0x3f60dfff,0x7ffdc06f,0x3ffff200,0x9bfea00f,
    0x0004fff8,0x80000000,0x3ffa6fff,0x7fffc42f,0x00000000,0x00000000,
    0x8817ffd4,0xfffffffe,0x7ffcc3ff,0x000004ff,0x0bfff300,0x7c07fff6,
    0x7fcc04ff,0x7fffc02f,0x217ffc07,0x0001fffb,0x40000000,0x3ff66fff,
    0x0ffff82f,0x00000000,0x40000000,0x2200fffb,0xfffffffe,0x07dfb304,
    0x74000000,0xffb80fff,0x7fff103f,0x03fff880,0x702ffff4,0x3ffa0bff,
    0x3ffffe06,0xffffffff,0x01ffffff,0x4dfff000,0xff81fffd,0x0000007f,
    0x00000000,0xff700000,0x00007dff,0xf9000000,0xfff107ff,0x1fffc40b,
    0x007ffee0,0x2207ffff,0xff301fff,0x3fffe07f,0xffffffff,0x1fffffff,
    0xdfff0000,0x7c0fffe4,0x000007ff,0x00000000,0x44000000,0x00000001,
    0x7ffd4000,0x01fffd04,0x3602fffc,0x3ea00fff,0xffb00eff,0x0fffd80b,
    0xfffffff8,0xffffffff,0x0001ffff,0x07775c00,0x0002f76c,0x00000000,
    0x00000000,0x22200000,0x88888888,0xfb000088,0xfff303ff,0x0fffec0b,
    0x206fff88,0x302ffffa,0xf8801fff,0xaaaa84ff,0xaaaaaaaa,0x0aaaaaaa,
    0x00000000,0x00000000,0x00000000,0x20000000,0xff82efeb,0xffffffff,
    0x88002fff,0xff706fff,0x3ffe607f,0xfff510bf,0x7fe5cc3f,0x3fa04fff,
    0xfff9004f,0x00000003,0x00000000,0x00000000,0x00000000,0xf7000000,
    0xff85ffff,0xffffffff,0x70002fff,0x3fa09fff,0xfff901ff,0xffffffff,
    0xfffffc87,0x3ffea02f,0xdfff1000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff00000,0xfff8ffff,0xffffffff,0x360002ff,0xff881fff,
    0x3ffee06f,0x82ffffff,0x00cffffc,0x2001fffc,0x0003fffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffe60,0x333320ff,0xcccccccc,
    0x3e20001c,0xfff706ff,0x7f6e4409,0x57500bde,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff100000,0x000fffff,0xff700000,
    0x3fff607f,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffd800,0x0000004f,0x209ffd00,0x0001eff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x000dfffd,
    0x93000000,0x0002a801,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x000001a9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_46_latin1_x[224]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,5,
8,2,1,3,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,2,1,1,
10,3,0,0,5,3,2,5,2,0,4,2,5,6,0,3,2,8,9,5,4,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_46_latin1_y[224]={ 34,2,2,4,0,1,2,2,0,0,2,10,26,19,
26,2,4,4,4,4,4,4,4,4,4,4,11,11,9,16,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,39,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-3,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,11,0,4,5,4,
-3,1,2,4,4,12,20,19,1,3,1,6,1,1,2,11,2,17,34,2,4,12,1,1,1,11,-4,-4,-4,-4,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,12,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__consolas_46_latin1_w[224]={ 0,7,15,25,21,25,25,6,14,14,19,23,12,15,
9,20,23,20,20,20,25,19,21,21,21,21,8,12,18,21,19,15,25,26,20,21,22,18,18,22,21,19,16,21,
18,24,21,24,20,25,21,21,23,21,26,24,25,26,21,12,20,12,21,26,16,20,20,19,20,21,24,22,19,19,
18,20,19,22,19,22,20,20,20,18,21,19,23,25,23,23,19,18,5,17,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,19,21,23,24,
5,20,21,26,16,19,20,15,21,19,17,21,15,14,22,22,21,9,7,15,17,20,25,25,25,15,26,26,26,26,
26,26,26,21,22,22,22,22,22,22,22,22,24,23,25,25,25,25,25,19,24,23,23,23,23,26,20,20,22,22,
22,22,22,22,25,19,23,23,23,23,22,22,22,22,21,22,24,24,24,24,24,23,22,22,22,22,22,24,20,24,
 };
static unsigned short stb__consolas_46_latin1_h[224]={ 0,33,11,30,40,34,33,11,44,44,20,23,16,5,
9,37,31,30,30,31,30,31,31,30,31,30,24,31,26,12,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,43,37,43,15,5,10,24,33,24,33,24,33,33,32,33,
43,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,43,47,43,10,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,33,40,30,28,30,
47,39,10,31,22,19,11,5,22,9,17,28,19,20,10,33,38,9,7,18,22,19,33,33,33,33,38,38,38,38,
38,40,30,37,38,38,38,38,38,38,38,38,30,38,39,39,39,39,39,20,40,39,39,39,39,38,30,34,33,33,
33,33,33,35,24,30,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,24,33,33,33,33,33,42,42,42,
 };
static unsigned short stb__consolas_46_latin1_s[224]={ 249,242,117,50,46,109,53,249,28,13,166,
65,39,229,219,44,1,26,119,114,93,135,226,231,25,116,247,155,187,74,206,
240,88,1,95,47,96,77,138,69,189,211,184,28,76,1,71,201,157,89,140,
113,47,135,162,231,205,178,119,75,23,62,52,226,178,51,166,72,194,226,215,
1,93,158,43,234,214,1,45,131,97,173,24,112,92,92,224,198,174,149,154,
132,1,114,195,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,
53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,249,243,26,
168,141,190,7,68,133,157,107,1,96,229,124,229,21,165,222,186,155,143,128,
219,247,238,89,201,27,1,226,210,168,74,150,101,223,222,26,1,51,28,195,
99,122,145,177,200,1,218,73,193,115,167,141,146,1,219,1,25,49,1,235,
88,178,224,25,48,201,65,1,215,1,71,95,119,70,47,1,24,102,191,124,
166,141,72,47,27,118,79,24,187,135,176,201,151, };
static unsigned short stb__consolas_46_latin1_t[224]={ 13,90,516,405,49,169,241,1,1,1,492,
492,516,526,526,169,342,436,374,342,436,342,309,374,342,405,169,342,436,516,436,
241,1,405,405,342,374,374,405,342,374,374,309,405,405,436,436,309,405,49,374,
309,436,309,374,405,405,405,436,1,169,1,516,461,516,467,207,467,241,436,241,
275,309,169,1,275,275,492,492,467,275,241,492,467,342,467,467,467,467,241,467,
1,1,1,516,374,374,374,374,374,374,374,374,374,374,374,374,374,374,374,374,
374,374,374,374,374,374,374,374,374,374,374,374,374,374,374,374,374,13,49,49,
342,436,342,1,49,516,309,492,516,516,526,492,516,516,436,492,492,516,207,130,
516,194,492,492,492,241,241,207,207,90,130,130,130,130,1,374,169,130,130,90,
90,90,90,130,130,374,90,90,49,49,49,49,492,49,49,90,90,90,130,342,
169,169,169,207,207,169,169,467,342,207,207,207,207,309,309,309,309,241,275,241,
275,275,275,275,467,275,241,275,207,169,1,1,1, };
static unsigned short stb__consolas_46_latin1_a[224]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_46_latin1_BITMAP_HEIGHT or STB_FONT_consolas_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_46_latin1(stb_fontchar font[STB_FONT_consolas_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_46_latin1_BITMAP_HEIGHT][STB_FONT_consolas_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_46_latin1_s[i] + stb__consolas_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_46_latin1_t[i] + stb__consolas_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_46_latin1_x[i];
            font[i].y0 = stb__consolas_46_latin1_y[i];
            font[i].x1 = stb__consolas_46_latin1_x[i] + stb__consolas_46_latin1_w[i];
            font[i].y1 = stb__consolas_46_latin1_y[i] + stb__consolas_46_latin1_h[i];
            font[i].advance_int = (stb__consolas_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_46_latin1_s[i] + stb__consolas_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_46_latin1_t[i] + stb__consolas_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_46_latin1_x[i] + stb__consolas_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_46_latin1_y[i] + stb__consolas_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_46_latin1_LINE_SPACING
#endif

