// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_48_latin1_BITMAP_HEIGHT        587
#define STB_FONT_consolas_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_48_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_48_latin1_NUM_CHARS            224

#define STB_FONT_consolas_48_latin1_LINE_SPACING          32

static unsigned int stb__consolas_48_latin1_pixels[]={
    0x554c5553,0x00000c82,0x80000550,0x98199998,0xffffffff,0x26661fff,
    0x00000000,0x00ffd975,0x7f40a980,0xffffffff,0x79bdf94f,0x40000001,
    0x300000a9,0x76cc07db,0x00000003,0xfd87ffec,0x017f60ff,0x0bfea000,
    0x7ffcc000,0xfff983ff,0xffffffff,0x00dfff31,0xfea80000,0x0007ffff,
    0x745fffd1,0xffffffff,0xffff94ff,0x000009ff,0x3ffffb22,0xf10002ce,
    0xff105fff,0x400007ff,0xfd804ffe,0x1fffb0ff,0x0017fff2,0x0ffff980,
    0x7ffcc000,0xfff301ff,0xffffffff,0x01bffe63,0xffc80000,0x007fffff,
    0x1fffff90,0x3ffffffa,0xff94ffff,0x01dfffff,0x7ffdc000,0x5fffffff,
    0xffffa800,0x6ffffa85,0x3ffe0000,0x0fffd803,0x3e21fffb,0x80004fff,
    0x003ffff9,0x6ffffcc0,0x2aaaa200,0x1fffdaaa,0x000dfff3,0x3ffe6000,
    0x002abcff,0x5ffffff0,0x2aabfffa,0x5531aaaa,0x09ffffd9,0xfffb1000,
    0xfffd99df,0xff9800bf,0xfff984ff,0x3e00005f,0xffd802ff,0x41fffb0f,
    0x004ffff9,0x13fffe20,0xffff3000,0xff900007,0x1bffe63f,0x7f400000,
    0x00000dff,0x23fffffd,0x20007ffe,0x001ffffb,0x33fffa20,0xefffb880,
    0x3bff2000,0x01dff900,0x3ffe6000,0x0fffd801,0xfa81fffb,0x88002fff,
    0x0005fffe,0x00ffffcc,0x1fffc800,0x000dfff3,0xffff3000,0x7dc00001,
    0x3ffa6fff,0x7fec0007,0x3f60004f,0xffb803ff,0x00cc004f,0x200000c4,
    0xd800fffa,0xfffb0fff,0x1ffff901,0x6fffc800,0xcccb8000,0x3f200000,
    0xdfff31ff,0xf5000000,0x000007ff,0x7f41bfd7,0x7cc0007f,0xf70005ff,
    0x7e4005ff,0x0000007f,0x3fee0000,0x1fffb007,0x6c03fff6,0x26004fff,
    0x0000ffff,0x64000000,0xfff31fff,0x7000000d,0x00005fff,0x07ffe800,
    0x06fff800,0x04fff980,0x002fff80,0x00000000,0x3600dff9,0xfffb0fff,
    0x3fffe601,0x7fffd001,0x00000000,0x23fff900,0x0006fff9,0x1fffc800,
    0x74000000,0xe80007ff,0xfe8007ff,0xff90006f,0x0000000b,0xbffb1000,
    0x43fff600,0x3200fffd,0xfa806fff,0x000006ff,0xff900000,0x1bffe63f,
    0x3f200000,0x000001ff,0x003fff40,0x003fff40,0x0007ffe6,0x2607ffd4,
    0x0000cccc,0x10059997,0xfffffd97,0x7fec07bd,0x01fffb0f,0x01ffffc4,
    0x005ffff1,0x00199993,0x00b332e0,0xf98fffe4,0xedb986ff,0xf90001bd,
    0x332003ff,0xcccccccc,0x3a2ccccc,0xe80007ff,0x7ec007ff,0x7fc0005f,
    0x7fffc42f,0xfff88004,0x7ffdc01f,0xffffffff,0x1fffb01f,0x7003fff6,
    0x7e40ffff,0xff1005ff,0xf10009ff,0x32003fff,0xfff31fff,0x7ffffd4b,
    0x4000efff,0xf001fffc,0xffffffff,0x4bffffff,0x80007ffe,0x22007ffe,
    0x40002fff,0xffc83ffd,0xffb8007f,0x3ffa206f,0xffffffff,0xffb01fff,
    0x03fff61f,0x407fffe0,0x2001fffe,0x8007fffc,0x2006fffb,0xff31fffc,
    0x3ffff2bf,0x0effffff,0x07fff200,0x7fffffc0,0xffffffff,0x01fffa5f,
    0x01fffa00,0x2607ffc8,0x0ca89bcb,0xff309ff9,0xfe8005ff,0xfff103ff,
    0xfff79fff,0x3603ff97,0xfffb0fff,0x9fff9001,0x00ffff30,0x02ffff98,
    0x01ffff40,0x263fff90,0xfffcdfff,0xffffdcef,0x3ff2006f,0xdddb001f,
    0xdddddddd,0x7ff4bfff,0xffe80007,0x13ffe007,0x3fffffa2,0x17fee7ff,
    0x002ffff4,0x201ffff3,0x2a4ffffd,0xd80547ff,0xfffb0fff,0xffff3001,
    0x009fff70,0x00bfffd0,0x007fffcc,0x263fff90,0xefffffff,0x7fffec41,
    0x1fff9001,0xff700000,0x03fff4bf,0x07fff400,0x207ffcc0,0xfffffff9,
    0x17fee6ff,0x007fffdc,0x505fffc8,0xfb85ffff,0x3ff6007f,0x01fffb0f,
    0xd0bfffe0,0x70003fff,0x2001ffff,0x4005fffc,0xff31fffc,0xd809ffff,
    0xfb005fff,0x200000ff,0x3fa5fffb,0xfd80007f,0xffb801ff,0xbcfffe86,
    0x3ea4fffe,0xffff106f,0x3fffa007,0x4ffff882,0x2006ffc8,0xffb0fffd,
    0x3ff2001f,0x1fffe64f,0x7fffc400,0x5fffd003,0x1fffc800,0x09fffff3,
    0x01ffff30,0x006fff88,0xbfff7000,0x0003fff4,0x401fffdc,0x7fdc5ffc,
    0x8fffe22f,0x3f207ffa,0xff9806ff,0xffff507f,0x009ffb01,0xfd87ffec,
    0xff5000ff,0x2fffdcdf,0xdfff9000,0x0ffff300,0x23fff900,0x005ffff9,
    0x900bfffe,0x00007fff,0xe97ffee0,0x880007ff,0x7401ffff,0x2fffc3ff,
    0xf98bffea,0x3ffe607f,0x7ffe401f,0x09fff704,0xd800fffa,0xfffb0fff,
    0x3ffe6001,0x013ffee7,0x1ffff980,0x027ffe40,0x98fffe40,0x64006fff,
    0x26663fff,0x006fffeb,0x3ffee000,0x001fffa5,0x67fffe40,0xfff1099a,
    0x217ffcc3,0x3e61fffb,0x7fff407f,0x0ffffc04,0xf03fffd8,0x7ec005ff,
    0x099970ff,0x93fffc40,0x80007fff,0x7c04fffe,0xc8001fff,0xfff31fff,
    0xfffb800d,0xffffff34,0x000001bf,0xfd2fffdc,0x5c0000ff,0x4fffffff,
    0xffc8fff5,0x547ffc87,0x7fdc06ff,0x3ffea07f,0x0bfffa06,0x8007ffe2,
    0x0000fffd,0xfb0ffff8,0xb80005ff,0x3ea07fff,0xf90006ff,0x3ffe63ff,
    0x7ffdc006,0xdfffff35,0x70000003,0x7ff4bfff,0x64400007,0xf54fffff,
    0x86ffe8ff,0x7fd46ffd,0x7fffc406,0x07fff902,0x4c0ffffc,0x36000fff,
    0x80000fff,0xffd1ffff,0xf880005f,0xff902fff,0x3f20007f,0xdfff31ff,
    0x6fffa800,0xfffffff3,0x4000001d,0x3fa5fffb,0x2a00007f,0x4fffffff,
    0xfff8dff7,0x5c5ffe84,0xffd805ff,0x1ffff05f,0x40ffffc0,0x6c007ffb,
    0x80000fff,0xfff2fffe,0xfb00003f,0x3ffe0bff,0xff90000f,0x1bffe63f,
    0x4bfff500,0xffffba99,0x7000000e,0x7ff4bfff,0xff700007,0x213359ff,
    0x3fe65ffb,0x44fff83f,0xf9805ffb,0x7fd40fff,0x7fff405f,0x006ffc82,
    0x0007ffec,0xe8ffffc0,0x80002fff,0x540ffff9,0x20005fff,0xff31fffc,
    0xffb800df,0x3ff6204f,0x7000003f,0x7ff4bfff,0xff880007,0x3ff200ff,
    0x10bffe65,0xffc87fff,0x7fffd004,0x402fffd8,0xfd84fffd,0x7fec005f,
    0xff80000f,0x5fffb0ff,0x3ffa0000,0x17ffec3f,0x3fff9000,0x001bffe6,
    0x8807fff9,0x00007fff,0x74bfff70,0xb80007ff,0x7e402fff,0x0bffea4f,
    0xfe83fff5,0xfff7003f,0x03fffc4d,0x743fffe4,0x7ec004ff,0x440000ff,
    0x3ff27fff,0xf700003f,0x7ffc4dff,0x7fe40007,0x0dfff31f,0x01fffd80,
    0x000fffe8,0x5fffb800,0x0001fffa,0xb003fff2,0x7ffd49ff,0x207ffdc2,
    0xf1000fff,0x3fee3fff,0xfff9804f,0x01fffc3f,0x003fff60,0x4ffff300,
    0x0004fffb,0x23ffff10,0x0004fffb,0xf98fffe4,0x3e2006ff,0xfd800fff,
    0x800001ff,0x3fa5fffb,0xfd80007f,0x7fec00ff,0xb0bffea4,0x7fcc1fff,
    0x7ffec006,0x003fffd4,0x44bffff6,0x6c002fff,0x40000fff,0x3ea6fffa,
    0x200005ff,0xffd4fffd,0xfc80003f,0xdfff31ff,0x2fffe400,0x01fffc80,
    0xfffb8000,0x001fffa5,0x201fffa0,0x3fe65ffc,0x3fffe63f,0x0013ff20,
    0xff3ffff5,0x7fcc00df,0xfff9cfff,0xfd80e4c1,0x640000ff,0x3fe64fff,
    0x2a00007f,0xfff9ffff,0xffc80006,0x0dfff31f,0x07fffe20,0x00fffe40,
    0x7ffdc000,0x001fffa5,0x201fffa0,0x3fe25ffb,0x3ffffa5f,0x003fff11,
    0xffdfffd0,0xffb8007f,0xbfffffff,0xb01ffecc,0x3ff61fff,0xfffd000f,
    0x02ffff83,0x3fffa000,0x0003fffe,0xf31fffc8,0xfd300dff,0x7e4009ff,
    0x800001ff,0x3fa5fffb,0xfe80007f,0x6ffb807f,0x7f6ffff4,0xffceffcf,
    0xff70005f,0x001fffff,0xffffff50,0xffffffff,0x43fff603,0x9800fffd,
    0xffc87fff,0x2e00005f,0x0fffffff,0xfffc8000,0x7dffff31,0x3ff2a233,
    0x32000fff,0x00001fff,0x3a5fffb8,0xe80007ff,0xffa807ff,0x7ffffdc7,
    0xfffff8af,0x3e20006f,0x005fffff,0x3ffff660,0xffffffff,0x21fffb01,
    0xc800fffd,0xff984fff,0x2200007f,0x05ffffff,0x3fff9000,0x3fffffe6,
    0xffffffff,0x7e4000ef,0x800001ff,0x3fa5fffb,0xfe80007f,0x7ff9807f,
    0x24ffffc8,0x00dffffc,0x7fffec00,0xb880001f,0xabdeffff,0x87ffec00,
    0xe800fffd,0xffd02fff,0x6c00005f,0x001fffff,0x23fff900,0xfffffff9,
    0x3fffffff,0x3fff9000,0xff700000,0x03fff4bf,0x03fff400,0x4c07ffc4,
    0x002aa02a,0x7fffd400,0x7fc00005,0xffd8003f,0x01fffb0f,0x206fffa8,
    0x0006fffc,0x17fffea0,0xfffc8000,0xfdffff31,0x39bdffff,0x7ffe4000,
    0xfb800001,0x1fffa5ff,0x1fffa000,0x001fffc0,0xfa800000,0x00001fff,
    0x40017ffc,0xffb0fffd,0xfffe801f,0x3fffe202,0xff500003,0x400003ff,
    0xff31fffc,0x004cccdf,0x3fff9000,0xff700000,0x03fff47f,0x03fff400,
    0x0006ffd8,0xffd00000,0x880000df,0xd8001fff,0xfffb0fff,0x2fffe401,
    0x07fffdc0,0x7fff4000,0x7e400006,0xdfff31ff,0xf9000000,0x000005ff,
    0x7f45fff9,0xfe80007f,0xfff5007f,0x00000003,0x02ffffa8,0x7ffd4000,
    0xfffd8000,0x201fffb0,0x000ffff8,0x0009fffd,0x02ffffa8,0x7ffe4000,
    0x00dfff31,0xfff70000,0xfd000007,0x3fff43ff,0x37ffc000,0x009ffd00,
    0x7cc00000,0x00005fff,0x0007ffb8,0x3f61fffb,0xfffb00ff,0x7ffcc009,
    0xff30001f,0x00000bff,0x3e63fff9,0x000006ff,0x005fff98,0x7fffcc00,
    0x001fffa0,0x00bfff30,0x000fffdc,0x7f440000,0x00000eff,0x0006ffc8,
    0x3f61fffb,0xfffb80ff,0x7fe4000f,0x744000ef,0x0000efff,0x31fffc80,
    0x0000dfff,0x3ffff100,0x3fa00080,0x3fff44ff,0x3fffa000,0x3ffe2003,
    0x0000001f,0x3fffff71,0x3f600000,0xffb0005f,0x03fff61f,0x003ffff5,
    0x0dffff10,0x3fffee20,0x9000001f,0x3fe63fff,0x0000006f,0x407ffff9,
    0x3fa601ce,0x7ff40fff,0xffd30007,0xfc8001ff,0xb8801fff,0xffdf9005,
    0x007fffff,0x27ff4000,0x0fffd800,0x7cc1fffb,0x20002fff,0xc85ffff9,
    0xffffffef,0x3220003f,0xfecccccc,0xdfff31ff,0x22000000,0xdeffffff,
    0x37bfffe4,0xffffffdc,0xccfffe82,0x952ccccc,0x7ffffffd,0x3ffee000,
    0xba99acef,0xf9006ffd,0x5dffffff,0xff800000,0xffb0003f,0x43fff61f,
    0x003ffff8,0x4ffff980,0x7fffffe4,0x4c0002ef,0xffffffff,0xfff31fff,
    0x4000000d,0xfffffffa,0x3fffffe7,0x3fffffff,0xffffffd0,0x3f29ffff,
    0x04ffffff,0x7fffdc00,0xffffffff,0xfff9006f,0x00009fff,0x03ddd100,
    0x43fff600,0xff90fffd,0x5400009f,0x3f20ffff,0x004fffff,0xfffff300,
    0x23ffffff,0x0006fff9,0x7fe44000,0x3ff67fff,0xffffffff,0x3fffa00d,
    0x4fffffff,0x3dfffff9,0x3f6a0000,0xffffffff,0xbb5000be,0x00001359,
    0xd8000000,0xfffb0fff,0x00027f41,0x2a0ffd40,0x0009acdd,0x33332200,
    0x0ccccccc,0x00079991,0x2a620000,0x665444cb,0x800abcee,0xcccccccb,
    0x59952ccc,0x40000013,0x0abcdcb9,0x00000000,0x20000000,0xffb0fffd,
    0x0002441f,0x00003700,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0fffd80,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb0fffd8,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xffb0fffd,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,0x1332e4cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0x9700003c,
    0x0000039b,0x00000002,0x88000000,0x000019a9,0x99999988,0x26000009,
    0x00200099,0x00100000,0x3e600000,0x000001ff,0x00027fec,0x3fffffa6,
    0x36e00003,0x3900ceff,0x765cc000,0x0001acef,0xffffec88,0x4003ffff,
    0xfffedcb9,0x02ffffff,0x5fff7000,0x9dffb700,0x80007201,0x00ceffdb,
    0x54000039,0x000007ff,0x0002fff8,0x7fef7ff4,0xfd80001f,0x43ffffff,
    0x44001ffb,0xfffffffe,0x50001eff,0xffffffff,0x26009fff,0xfffffffd,
    0x2fffffff,0xfffd0000,0xfffffb00,0x1ffb87ff,0xffffd800,0x7fdc3fff,
    0xff700001,0xa800000f,0x20000fff,0x3fe24ff9,0x7fe40004,0xffffffff,
    0x001ffffd,0x3fffffea,0x2fffffff,0x7fffe400,0xffffffff,0x7ffec404,
    0xffffffff,0x002fffff,0x04fffa80,0x7fffffe4,0xfffdffff,0x7fe4001f,
    0xffffffff,0x001ffffd,0x00dff900,0x5ffc8000,0x07fdc000,0x88001bf6,
    0xff712ffe,0x05ffffff,0x7ffffe40,0xfffffdef,0xff3003ff,0x98815bff,
    0x3ffa202b,0xbfffffff,0x2fffd999,0xfffd8000,0x4bffa200,0xffffffb8,
    0x744002ff,0xfff712ff,0x005fffff,0xdffd7300,0x26000135,0xffeffecb,
    0x7d40003f,0x002ffc2f,0x32207a20,0x002effff,0x2bbfffee,0x7fffdcc0,
    0xfffe802f,0xffd80004,0xffffffff,0x017ffec2,0x17ffe200,0x32207a20,
    0x002effff,0xf9103d10,0x0005dfff,0x3ffffb22,0x2effffff,0xffffd100,
    0x07ffffff,0xbfff8800,0x0003ffda,0x00153000,0x01dfffd0,0x06ffffa8,
    0x003fffc4,0x7ffffd40,0x42ffffff,0x0002fffd,0x000fffe4,0x00015300,
    0x002a6000,0xfffffb80,0xffffffff,0xfffa802f,0xffffffff,0x5c0003ff,
    0x06ffffff,0x00000000,0x00efffb8,0x03ffff70,0x003fffcc,0x7fffff40,
    0x42ffffff,0x0002fffd,0x00037ffc,0x00000000,0x3ffa0000,0xffffffff,
    0x402fffff,0xeffffffc,0xffffffdc,0x7f540004,0x000004ff,0xfff00000,
    0xffe8005f,0x3ffe205f,0x7fc0001f,0xffffffff,0x7ffec2ff,0x3fea0002,
    0x0000003f,0x00000000,0x3bffff20,0x88fff98a,0x3ee02db9,0x220aefff,
    0x1fffffff,0x00010000,0xfecb9800,0x2e001ace,0xb8007fff,0x3a00ffff,
    0x0001efff,0xfffffff3,0xd85fffff,0x20002fff,0x0000fffe,0x0333332a,
    0x66664400,0x3322000c,0xffff502c,0x007ffa85,0x80effff8,0xfffffffa,
    0x332a0006,0x00000ccc,0x3fffffa2,0x801effff,0x8004fffe,0x203ffff8,
    0x02fffffa,0xfffffa80,0x2fffffff,0x0017ffec,0x004fff98,0x7fffffc0,
    0xfff30003,0x7cc00bff,0xfffb04ff,0x00dff709,0x00efffb8,0xfff99ffb,
    0x3fe0007f,0x0003ffff,0xffffff50,0x5fffffff,0x01ffff80,0x07fffd00,
    0xdfffffe8,0x3ffe6000,0xffffffff,0x17ffec2f,0x1fffd800,0x3ffe6000,
    0x30006fff,0x01ffffff,0x413ffe60,0xfc82ffff,0x3fe2005f,0x3ffe02ff,
    0x06ffff8a,0xfffff980,0xfc80006f,0xfdefffff,0x03ffffff,0x000ffff3,
    0x8827ffe4,0xfffffffd,0xfff1003f,0xffffffff,0x2fffd85f,0x5fff8800,
    0x7ffe4000,0x8000ffff,0x4ffffff9,0x09fff300,0xb05ffff1,0x7dc009ff,
    0x3fea07ff,0x1ffff90f,0xffffc800,0x20000fff,0x0aeffffb,0x7ffffdcc,
    0x07fffb82,0x17ffee00,0x7f7ffff4,0x801effff,0xffffffff,0x7ec2ffff,
    0xfb8002ff,0x7c0002ff,0x3fffefff,0xffff9800,0xf9800fff,0xffff04ff,
    0x007ffd0b,0x9027fff4,0x7ffc4bff,0x7ffc002f,0x003fffef,0x03bfffe0,
    0x0dffff50,0x000dfff7,0x6437ffdc,0xff70efff,0xd809ffff,0xffffffff,
    0x7fec2fff,0xffe8002f,0x7fcc0006,0x06fffbdf,0xfffff980,0xff9804ff,
    0xffffb04f,0x002fff81,0x403ffff1,0x7ff43ffe,0x3fe6004f,0x06fffbdf,
    0x1dfff700,0x3fffee00,0x02fffe41,0x8ffff500,0x440ffff8,0x0efffffd,
    0xffffff10,0xd85fffff,0x54002fff,0x40003fff,0xff8afffc,0x7cc000ff,
    0x0ffffdff,0x827ffcc0,0x13fffffb,0x26003fff,0x3e607fff,0x7ffec0ff,
    0x3fff2005,0x00ffff8a,0x17fffc40,0x17fff600,0x000bfff9,0x2e3fffcc,
    0x3aa04fff,0x700effff,0xffffffff,0xfffd85ff,0x7ffec002,0x7ffc0000,
    0x07fffd0f,0xccfff980,0x7cc03fff,0x3ff604ff,0xfffcefff,0xffff7000,
    0x6437fdc0,0x3e006fff,0xfffd0fff,0xfffb8007,0xfffb8007,0x17fff20f,
    0x7fff9800,0x4017ffe4,0x205ffffd,0xfffffffd,0x7ffec2ff,0x3ffe6002,
    0x7fcc0005,0x17fff25f,0x19fff300,0xf980ffff,0x3fa204ff,0x7fffffff,
    0x1bffee00,0xfb84ffe8,0xff3006ff,0x2fffe4bf,0x13fffa00,0x3fffe200,
    0x01bffee2,0x46fffa80,0x9003fffc,0x5405ffff,0xfffffffe,0x017ffec2,
    0x003fff90,0x23fffc80,0x000ffff9,0x7ed3ffe6,0x3fe603ff,0xfffc804f,
    0x01dfffff,0x105fffc8,0xff503fff,0x3ff200ff,0x3fffe63f,0xffff1000,
    0x3ff60003,0x1fffea3f,0x5fffb800,0x0037ffdc,0x500bfffb,0x85fffffd,
    0x1002fffd,0x0000dfff,0xff81ffff,0x3e6003ff,0xdfff54ff,0x027ffcc0,
    0xfffffd88,0x3202efff,0xff505fff,0x1fffe60f,0x207fffc0,0x3003ffff,
    0x4000ffff,0x3ea4fffc,0x320007ff,0x7fcc4fff,0xff3001ff,0x554400ff,
    0x7ffec1cb,0x5fff7002,0xfff98000,0x05fffc86,0xe93ffe60,0xff302fff,
    0xfc88009f,0xdfffffff,0x05fffc80,0x3ea0bffb,0xff9807ff,0x5fffc86f,
    0x0ffff700,0x2fffdc00,0x001ffff3,0x20ffff60,0x001ffffd,0x0001ffff,
    0x017ffec0,0x0007ffe8,0x983fffc8,0x3000ffff,0x7fdc9fff,0x9fff306f,
    0x3fffe000,0x41ffffff,0xff06fffb,0x3ffea05f,0x3fffc807,0x00ffff98,
    0x006fffb8,0x89bffee0,0x8002ffff,0x882ffff8,0x802fffff,0x0000fffe,
    0x00bfff60,0x0013ffe6,0x407fffe0,0x3002ffff,0xfff89fff,0x4fff981f,
    0xafff8800,0x0efffffc,0x261fffee,0xff700fff,0xffff00df,0x0bfffe03,
    0x017fff20,0x47fffa80,0x8005fffe,0x500ffffa,0x01bfffff,0x001fffe2,
    0x05fffb00,0x001fffb0,0x06fff980,0x4017fff6,0x7dc4fff9,0xfff985ff,
    0xfff98004,0xbffffb10,0x643fffd4,0x3ff206ff,0x7ffcc05f,0x17fff606,
    0x017fff20,0x47fff980,0x000ffffb,0x2027ffec,0x2ffffff9,0x003fffc8,
    0x17ffec00,0x017ffe20,0x13fff200,0x00ffffa8,0x444fff98,0x7cc1ffff,
    0xfa8004ff,0x7fffd87f,0xd03fffe6,0x7fec07ff,0x7ffe404f,0x3fffea04,
    0x2fffe400,0xffff3000,0x04ffff88,0x03fffe60,0x3ffff620,0xffff70df,
    0xfd800001,0x7fe402ff,0xff80002f,0x3fe201ff,0xff9802ff,0x5fffc84f,
    0x0027ffcc,0x7c437fdc,0xfff11fff,0x0fffc43f,0x02ffff88,0x100ffffc,
    0xb805ffff,0x20006fff,0xfd87fffa,0xf9803fff,0x5c005fff,0xfeffffff,
    0x00001fff,0x402fffd8,0x80006fff,0xd807fff9,0xf9805fff,0xfff884ff,
    0x13ffe60f,0x417ff200,0x3fa3fffe,0x1bfee5ff,0x00ffffb8,0x201fffe6,
    0x5405fffd,0x20006fff,0xf986fffb,0x2602ffff,0x001fffff,0xfffffc88,
    0x00002fff,0x405fffb0,0x0003fffa,0x804fffc8,0x400ffffa,0xfb04fff9,
    0x7ffcc9ff,0x4ffd8004,0x5c3ffff0,0xffb1ffff,0x27fff409,0x013fff20,
    0x803fffea,0x0007fff9,0x541bfff2,0xbdffffff,0xfffffeca,0x7f4c0002,
    0x0002ffff,0x0bfff600,0x000fffe8,0x02ffff80,0x02ffff88,0x9827ffcc,
    0xff30ffff,0xffd0009f,0x1ffff307,0x46ffffcc,0xff302fff,0xfff801ff,
    0xfff8802f,0x3ffe202f,0xffb0000f,0x7ffdc09f,0xffffffff,0x00001fff,
    0x03bfffee,0x7fec0000,0x9fff302f,0xfff30000,0x5555557f,0xbffff555,
    0x04fff980,0x7ccffff6,0xff8004ff,0x7fff442f,0xcffffd86,0xfff307ff,
    0xfff9809f,0xaaaaaabf,0x5ffffaaa,0x017fffc0,0x17fffc40,0x3ffffee0,
    0x1fffffff,0xffa80000,0x000003ff,0x3201fffd,0x80001fff,0xfffffffc,
    0xffffffff,0x7cc07fff,0x3fe604ff,0x09fff37f,0xff8817b5,0xffff711f,
    0xffff305f,0xff30bfff,0xfc801fff,0xffffffff,0xffffffff,0x7fff407f,
    0xfffa8005,0xffb5000f,0x003bffff,0xfffc8000,0xff000005,0x3ffe20ff,
    0xfff00006,0xffffffff,0xffffffff,0x7ffcc05f,0x57fff404,0xfa84fff9,
    0xffdeffff,0xfffffedf,0x3fff203f,0xec99cfff,0x803fffff,0xffffffff,
    0xffffffff,0x2e02ffff,0x4000ffff,0x8004fffd,0x000ffff8,0xfff50000,
    0xf300000d,0x3fee0dff,0xf980002f,0xffffffff,0xffffffff,0x3e605fff,
    0x7fd404ff,0x84fff9ef,0xfffffffa,0xffffffff,0xffc803ff,0xffffffff,
    0x9801ffff,0xffffffff,0xffffffff,0x2205ffff,0x2003ffff,0x000ffff9,
    0x005fffb0,0x3fee0000,0x4003003f,0xfd04fffe,0x320000ff,0xaaaadfff,
    0xaaaaaaaa,0x2607fffc,0xfe804fff,0x84fffbff,0xfffffffa,0xffffffff,
    0x3fee000c,0xffffffff,0xff9000ef,0x555555bf,0xf9555555,0xffc80fff,
    0xff9802ff,0x2e0004ff,0x00006fff,0x1ffff980,0x400df980,0xa80ffffb,
    0x00003fff,0x0005ffff,0x205ffff1,0xa804fff9,0x4fffffff,0xfdd97510,
    0x1579dfff,0x3fffe000,0x03deffff,0x017fffc0,0x17fffc40,0x5fffff10,
    0x7ffffc40,0x3fe60000,0x20e603ff,0x4c409bde,0x806ffffc,0x1bcfffe8,
    0x7ffffd53,0x003fff60,0x1fffe600,0x4fffe800,0x009fff30,0x3ffffffe,
    0x27ff4004,0xfff98000,0x0000aaa9,0x000ffff3,0x2027fff4,0xcefffffb,
    0xffffec9a,0xfd80003f,0xa99adfff,0x7ffc2ffc,0xffffffff,0xb800efff,
    0xffffffff,0x06ffffff,0x000bfff1,0x017fff20,0x07fffb80,0x2009fff3,
    0x4ffffffb,0x017ffc00,0x06ffb800,0x3fff2000,0x3fee0005,0xfffa807f,
    0xffffffff,0x00002fff,0xfffffff1,0x41ffffff,0xffffffff,0x00dfffff,
    0x3ffffa60,0x3fffffff,0x007fff20,0x17fffc00,0xffff3000,0x09fff305,
    0x3ffffe20,0x3fe2004f,0xfd00001f,0x7c00009f,0x20002fff,0x802ffff9,
    0xfffffff9,0x000effff,0x7fff4c00,0xcfffffff,0x3fffff60,0x01cfffff,
    0x3fffaa00,0x400dffff,0x00006fff,0x001ffff3,0x84fffe80,0x2004fff9,
    0x04fffffc,0x003ffe60,0x07ffe200,0x7ffcc000,0x7f40000f,0xb71004ff,
    0x7bdfffff,0xfa800000,0x0dffffff,0x2aaaa660,0x88000019,0x000009aa,
    0x7ffe4000,0xffc80005,0x4fff987f,0x3fffe200,0x3fea004f,0xff500007,
    0x7e40000f,0xc80005ff,0x10007fff,0x00000155,0x03553100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0003cca8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02dd9800,0x0000fb62,0x37bbbb20,0x774c0000,0x998003ee,
    0x40000009,0x36202dd9,0xeeb8003e,0x00000dee,0xeeeec800,0xdd30000d,
    0x5c0007dd,0x000deeee,0xddd30000,0x3e20007d,0xffd01fff,0x6400007f,
    0x0005ffff,0xffffff98,0x37ffc004,0xff100000,0x3ffa03ff,0xffa8003f,
    0x00000eff,0x3ffff200,0x3fe60005,0x0004ffff,0x03bfffea,0xff300000,
    0x0009ffff,0x107ffff5,0x000bffff,0x0fffff20,0x3ffea000,0x005fffff,
    0x000bfff2,0x7fffd400,0x5ffff883,0xfffd1000,0x0000001d,0x007ffff9,
    0x7ffffd40,0x20005fff,0x00efffe8,0xfff50000,0x00bfffff,0x02ffff88,
    0x0009fffd,0x03dfff90,0xdfff7000,0x1bfffb13,0x0bfff100,0x3fe20000,
    0xfffd02ff,0xffc80009,0x000000ef,0x007bfff2,0x9efffb80,0x00dfffd8,
    0x3bfff200,0x7dc00000,0xffd89eff,0x3aa000df,0x37f6604f,0x7fe40000,
    0xf700005f,0xffb81bff,0xffd800ef,0x5000000f,0x7ecc09fd,0xfa80000d,
    0x00000eff,0x005fffc8,0x06fffdc0,0x003bffee,0x0efffa80,0xfff70000,
    0xefffb81b,0x00000000,0x00cccc00,0x03333000,0x4004ccc4,0x0004fff9,
    0x00000000,0x01333100,0x33330000,0x33330000,0x004ccc40,0x02666200,
    0x0cccc000,0x00133310,0x00000000,0x00000000,0x1fffa000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb800000,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99300000,0x99100079,0x65cc0079,0x001acefe,0x3fb2e600,0x88001ace,
    0x00006fff,0x77f65cc0,0x64c001ac,0xc88003cc,0x6664c3cc,0xccc88003,
    0x01e664c3,0x01e66440,0x9dfd9730,0x33200035,0xcccccccc,0xcccccccc,
    0x02fffdc1,0x037ffcc0,0x7fffff44,0x001effff,0x3ffffa20,0x01efffff,
    0x00fffe40,0x7ff44000,0xefffffff,0xbfff7001,0xdfff3000,0x005fffb8,
    0x5c6fff98,0x98005fff,0xe8806fff,0xffffffff,0x7fc001ef,0xffffffff,
    0xffffffff,0x02fffdc2,0x037ffcc0,0x3fffffea,0x2fffffff,0xffffa800,
    0xffffffff,0x3fe6002f,0x5400005f,0xffffffff,0x802fffff,0x8005fffb,
    0x7dc6fff9,0xf98005ff,0x7ffdc6ff,0xfff98005,0x7fffd406,0xffffffff,
    0x3ffe002f,0xffffffff,0x2fffffff,0x002fffdc,0x9037ffcc,0xbdffffff,
    0x7fffffff,0x7fffe400,0xffffdeff,0x36003fff,0x00000fff,0xdffffff9,
    0xfffffffb,0x5fffb807,0x6fff9800,0x002fffdc,0x2e37ffcc,0x98005fff,
    0x3f206fff,0xfdefffff,0x03ffffff,0xddddddb0,0xddddffff,0xffb83ddd,
    0xff98005f,0xffff706f,0xffb9815d,0xfb802fff,0x4c0aefff,0x02fffffb,
    0x007fff50,0xdffff700,0xfffb9815,0x3fee02ff,0xff98005f,0x2fffdc6f,
    0x37ffcc00,0x0017ffee,0x5c1bffe6,0x40aeffff,0x2fffffb9,0x7fff4000,
    0x3ffee001,0xfff98005,0x1dffff06,0x6ffffa80,0x0effff80,0x37fffd40,
    0x00dfff00,0x1dffff00,0x6ffffa80,0x017ffee0,0x71bffe60,0x3000bfff,
    0xffb8dfff,0xff98005f,0xdffff06f,0xffffa801,0x7ff40006,0x3fee001f,
    0xff98005f,0xefffb86f,0xffff7000,0x77ffdc03,0xffff7000,0x3ffee003,
    0x3fee0002,0xff7000ef,0x3fee03ff,0xff98005f,0x2fffdc6f,0x37ffcc00,
    0x0017ffee,0x2e1bffe6,0x7000efff,0x0003ffff,0x000ffff4,0x000bfff7,
    0xf88dfff3,0x6c002fff,0xff105fff,0xfd8005ff,0xff1005ff,0x3e2000bf,
    0x6c002fff,0xff705fff,0xff3000bf,0x5fffb8df,0x6fff9800,0x002fffdc,
    0x2237ffcc,0x4002ffff,0x0005fffd,0x8007fffa,0x8005fffb,0x7dc6fff9,
    0xfb8007ff,0xffb80fff,0xffb8007f,0xffb000ff,0xff70003f,0xff7000ff,
    0xfff701ff,0xfff3000b,0x05fffb8d,0x46fff980,0x8005fffb,0x7dc6fff9,
    0xfb8007ff,0xd0000fff,0x5c003fff,0x98005fff,0x7ff46fff,0xff88004f,
    0xfffe82ff,0xfff88004,0xfff3002f,0xfffd0009,0xfff10009,0xbfff705f,
    0xdfff3000,0x005fffb8,0x5c6fff98,0x98005fff,0x7ff46fff,0xff88004f,
    0xfd0002ff,0x7dc003ff,0xf98005ff,0x3ffe26ff,0xffb0001f,0xffff887f,
    0xfffb0001,0x7fff4007,0x3ffe2000,0xffb0001f,0xbfff707f,0xdfff3000,
    0x005fffb8,0x5c6fff98,0x98005fff,0x3fe26fff,0xfb0001ff,0x3a0007ff,
    0x2e001fff,0x98005fff,0x3fe66fff,0x3f20007f,0x7ffcc4ff,0x3ff20007,
    0x3fea004f,0x3fe6003f,0x3f20007f,0xfffb84ff,0xfff98005,0x02fffdc6,
    0x237ffcc0,0x8005fffb,0x3e66fff9,0x320007ff,0xd0004fff,0x5c003fff,
    0x98005fff,0x3fee6fff,0x3ee0007f,0x7ffdc5ff,0x3fee0007,0x7ffc005f,
    0x3ffee006,0x3fee0007,0x5fffb85f,0x6fff9800,0x002fffdc,0x2e37ffcc,
    0x98005fff,0x3fee6fff,0x3ee0007f,0xfd0005ff,0x7dc003ff,0xf98005ff,
    0x3ffee6ff,0x3fee0006,0x37ffdc6f,0xdfff7000,0x1fffc800,0x0dfff700,
    0x37ffdc00,0x002fffdc,0x2e37ffcc,0x98005fff,0x7fdc6fff,0xff98005f,
    0x1bffee6f,0x6fffb800,0x3fffd000,0x2fffdc00,0x37ffcc00,0x000bfff9,
    0x323fffd4,0x20005fff,0x4007fffa,0x9005fff8,0x4000bfff,0xfb87fffa,
    0xf98005ff,0x7ffdc6ff,0xfff98005,0x02fffdc6,0x937ffcc0,0x4000bfff,
    0x0007fffa,0x4003fffd,0x8005fffb,0x3f26fff9,0x260005ff,0x7fe47fff,
    0x3e60005f,0xfd8007ff,0xffc800ff,0x3e60005f,0xfffb87ff,0xfff98005,
    0x02fffdc6,0x237ffcc0,0x8005fffb,0x3f26fff9,0x260005ff,0xd0007fff,
    0x5c003fff,0x98005fff,0x3ff26fff,0x3e60005f,0x7ffe47ff,0x3fe60005,
    0xffa8007f,0xfffc804f,0x3fe60005,0x5fffb87f,0x6fff9800,0x002fffdc,
    0x2e37ffcc,0x98005fff,0x3ff26fff,0x3e60005f,0xfd0007ff,0x7dc003ff,
    0xf98005ff,0x3ffee6ff,0x3fea0006,0x37ffdc7f,0xffff5000,0x1fffa000,
    0x01bffee0,0x87fffa80,0x8005fffb,0x7dc6fff9,0xf98005ff,0x7ffdc6ff,
    0xfff98005,0x01bffee6,0x07fffa80,0x03fffd00,0x02fffdc0,0x537ffcc0,
    0x4000dfff,0x7d46fffb,0x2e0006ff,0x70006fff,0xfa805fff,0x2e0006ff,
    0xffb86fff,0xff98005f,0x2fffdc6f,0x37ffcc00,0x0017ffee,0xfa9bffe6,
    0x2e0006ff,0xd0006fff,0x5c003fff,0x98005fff,0x3fe66fff,0x3f20007f,
    0x7ffcc6ff,0x3ff20007,0xff10006f,0xfff980df,0x3ff20007,0x5fffb86f,
    0x6fff9800,0x002fffdc,0x2e37ffcc,0x98005fff,0x3fe66fff,0x3f20007f,
    0xfd0006ff,0x7dc003ff,0xfa8005ff,0x3ffe26ff,0xffb0000f,0xffff889f,
    0xfffb0000,0x7fe40009,0x3ffe201f,0xffb0000f,0xbfff709f,0xdfff5000,
    0x005fffb8,0x5c6fffa8,0xa8005fff,0x3fe26fff,0xfb0000ff,0x3a0009ff,
    0x2a001fff,0xa8006fff,0x7ffc4fff,0xff88002f,0xffff82ff,0xfff88002,
    0x3e60002f,0x7ffc04ff,0xff88002f,0xfffa82ff,0xfffa8006,0x037ffd44,
    0x227ffd40,0x8006fffa,0x7fc4fffa,0xf88002ff,0xd0002fff,0x4c003fff,
    0xb8006fff,0x7ff43fff,0xffa8005f,0xfffe80ff,0xfffa8005,0x7f40000f,
    0x3ffa00ff,0xffa8005f,0xfff980ff,0xfffb8006,0x037ffcc3,0x21fffdc0,
    0x8006fff9,0x7f43fffb,0xfa8005ff,0xd0000fff,0x44003fff,0xd8007fff,
    0x7fdc2fff,0x7ec000ff,0xfff704ff,0xffd8001f,0xfa80004f,0x3fee03ff,
    0x7ec000ff,0xfff104ff,0xfffb000f,0x07fff885,0x42fffd80,0x8007fff8,
    0x7dc2fffd,0x6c000fff,0x20004fff,0x4001fffe,0x2002ffff,0x441ffff8,
    0x2003ffff,0x100ffff9,0x4007ffff,0x000ffff9,0x40dfff00,0x003ffff8,
    0x803fffe6,0x2002ffff,0xf81ffff8,0x22002fff,0xff81ffff,0x3e2002ff,
    0x7fc41fff,0x3e6003ff,0x20000fff,0x4001fffe,0x2006fffd,0xf905fffc,
    0xf3005fff,0xfc809fff,0xf9802fff,0x00004fff,0xc80bffee,0x9802ffff,
    0x6c04ffff,0x32006fff,0xffb05fff,0x7fe400df,0xdfffb05f,0x2fffe400,
    0x02ffffc8,0x04ffff98,0x0ffff400,0x3fffe600,0x7ffe400d,0xffff101f,
    0x7ffc405f,0x7fc400ff,0x3e202fff,0x0000ffff,0x817ffe20,0x02fffff8,
    0x03ffffe2,0x1bffff30,0x1ffffc80,0x1bffff30,0x1ffffc80,0x1bffff30,
    0x1ffffc80,0x5fffff10,0x7ffffc40,0x7ff40000,0xffc8001f,0x989abfff,
    0x04ffffeb,0x77ffffdc,0xfffec9ac,0xff7003ff,0x9359dfff,0x07fffffd,
    0xfffb0000,0x7fffdc01,0xfec9acef,0x9003ffff,0x357fffff,0xffffd731,
    0xffffc809,0xeb989abf,0x6404ffff,0x9abfffff,0xffffeb98,0x7fffdc04,
    0xfec9acef,0x9003ffff,0xff999999,0x99999bff,0x3ffa2039,0xffffffff,
    0x800dffff,0xfffffffa,0x2fffffff,0x7fffd400,0xffffffff,0x000002ff,
    0xa809fff3,0xffffffff,0x02ffffff,0x3ffffa20,0xffffffff,0x74400dff,
    0xffffffff,0x0dffffff,0x7ffff440,0xffffffff,0xfa800dff,0xffffffff,
    0x002fffff,0x3ffffffe,0xffffffff,0x7e402fff,0xffffffff,0x4c003fff,
    0xffffffff,0x0000efff,0xfffffff3,0x001dffff,0x7ffe8000,0xfffff980,
    0x0effffff,0xffff9000,0xffffffff,0xfffc8007,0xffffffff,0x7fe4003f,
    0xffffffff,0x7cc003ff,0xffffffff,0x7c000eff,0xffffffff,0xffffffff,
    0xfed9802f,0x0cefffff,0xffb71000,0x007bdfff,0xfffb7100,0x0007bdff,
    0x3ffee000,0xffdb8802,0x003defff,0xfffed980,0x000cefff,0xffffdb30,
    0x00019dff,0x3ffffb66,0x0000ceff,0xfffffb71,0x3e0007bd,0xffffffff,
    0xffffffff,0xaa98002f,0x51000001,0x80000015,0x00000aa8,0x10000000,
    0x00000155,0x0001aa98,0x00355300,0x06aa6000,0x55440000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd900000,0x30001bdd,0x76c405bb,0x3a600003,
    0x00003eee,0xeb800000,0x0000deee,0x1bdddd70,0x80000000,0x00deeeec,
    0x2202dd98,0x400003ed,0x00deeeec,0x00000002,0x17ffff20,0x7fffc400,
    0x07fffd01,0xffff3000,0x000009ff,0xddffb751,0x3ea00159,0x0000efff,
    0x1dffff50,0x20000000,0x005ffffc,0x203ffff1,0x0003fffe,0x0bffff90,
    0x17bdffd0,0x32000000,0x0003ffff,0x20ffffea,0x005ffff8,0x7ffffd40,
    0x00005fff,0xfffffff5,0x03bfffff,0x1dfffd10,0x3fa20000,0x00000eff,
    0x7fffe400,0x3ffea003,0xffff883f,0xffc80005,0xffd003ff,0x007dffff,
    0x7ffe4000,0x7c40001e,0xffd02fff,0x7dc0009f,0xffd89eff,0x320000df,
    0xffffffff,0x02ffffff,0x03bfff20,0xfffc8000,0x0000000e,0x003dfff9,
    0x02ffff88,0x0009fffd,0x01efffc8,0x3fffffa0,0x0000efff,0x02fffe40,
    0x09fd5000,0x0006fecc,0x40dfffb8,0x000efffb,0x7fffff44,0xfffeeeff,
    0x7d4002ff,0x00000eff,0x003bffea,0xfff90000,0x7f54000b,0x037f6604,
    0x5fffc800,0xfeecb800,0x02ffffff,0x06666000,0x00000000,0x03333000,
    0x0004ccc4,0x7dfffff3,0x0bfae203,0x02666200,0x33310000,0x98000001,
    0x00000199,0x99800000,0x71000019,0x03fffffd,0x00000000,0x00000000,
    0x36000000,0x000dffff,0x00000026,0x00000000,0x00000000,0x00000000,
    0x3fee0000,0x00000fff,0x00000000,0x00000000,0x7fffd400,0x00000004,
    0x00000000,0x00000000,0x00000000,0x5c000000,0x9704ffff,0x80001999,
    0x000cccca,0x06666654,0xcca80000,0xd0000ccc,0x0000bfff,0x99999910,
    0x99999999,0xa8001999,0x000ccccc,0x66666440,0xcccccccc,0x9100cccc,
    0x99999999,0x99999999,0xccca8001,0x800000cc,0xa80ffffd,0x0004ffff,
    0x002ffffc,0x1ffffffc,0xfff80000,0xa8003fff,0x0001ffff,0xfffff980,
    0xffffffff,0x4000ffff,0x03ffffff,0x7fffcc00,0xffffffff,0x300fffff,
    0xffffffff,0xffffffff,0xfff8001f,0x00003fff,0x02ffffa8,0x003ffffb,
    0x07fffee0,0xfffff300,0x300000df,0x0dffffff,0x0bfffd00,0x3fe60000,
    0xffffffff,0x0fffffff,0x3fffe600,0x4c0006ff,0xffffffff,0xffffffff,
    0xffff300f,0xffffffff,0x001fffff,0x7fffffcc,0xf8800006,0xff303fff,
    0xf1000bff,0x90009fff,0x1fffffff,0xffc80000,0x000fffff,0x0017fffc,
    0xffff9800,0xeeeeeeee,0x000eeeee,0x3ffffff2,0x3e60000f,0xeeeeefff,
    0xeeeeeeee,0xdffff300,0xdddddddd,0x4001dddd,0xfffffffc,0xfe800000,
    0x3ff604ff,0x7e4001ff,0xf8000fff,0x3fffefff,0x7ffc0000,0x003fffef,
    0x003fffe2,0x7ffcc000,0xf8000006,0x3fffefff,0x3ffe6000,0x7cc00006,
    0x000006ff,0xffeffff8,0xf800003f,0x3e202fff,0x22006fff,0x8003ffff,
    0xffbdfff9,0x2600006f,0xfffbdfff,0x3ffea006,0x26000007,0x00006fff,
    0x5efffcc0,0x20006fff,0x0006fff9,0x037ffcc0,0x3fe60000,0x06fffbdf,
    0x7ffc4000,0x7ffdc01f,0xfff9002f,0x3ff2000d,0x0ffff8af,0xfff90000,
    0x01ffff15,0x01bffee0,0xfff98000,0x64000006,0xfff8afff,0xff30000f,
    0x980000df,0x00006fff,0x457ffe40,0x0000ffff,0x03ffff60,0x0dffff10,
    0x05ffff10,0x43fffe00,0x0003fffe,0x3a1ffff0,0xf9003fff,0x00000bff,
    0x0037ffcc,0x3fffe000,0x007fffd0,0x01bffe60,0xdfff3000,0xff800000,
    0x7fffd0ff,0xfe988000,0xf5003fff,0xfd807fff,0xf30006ff,0x7ffe4bff,
    0xff980005,0x17fff25f,0x027ffec0,0xfff30000,0x4c00000d,0x3ff25fff,
    0xff30005f,0x980000df,0x00006fff,0xc97ffe60,0x64005fff,0xffffffff,
    0x7ff4006f,0x3ffe607f,0xff90001f,0x7fffcc7f,0x7fe40000,0x3fffe63f,
    0x5fffd800,0x3e600000,0x000006ff,0xf98ffff2,0x98000fff,0x00006fff,
    0x0037ffcc,0x7fff9000,0x007fffcc,0xffffff90,0x980019ff,0xfb03ffff,
    0x7c000bff,0x7ffc0fff,0x7fc0003f,0x7fffc0ff,0x5fffd803,0x3e600000,
    0x000006ff,0xff03fffe,0xf30007ff,0x80000dff,0x0006fff9,0x03fffe00,
    0x4007ffff,0xcefffffb,0x3ff60001,0x7ffcc0ff,0xff30000f,0xbfff90df,
    0x7ffcc000,0x05fffc86,0x006fffc8,0x3ffe6000,0xf3000006,0xfff90dff,
    0xfff3000b,0xf980000d,0x000006ff,0xf90dfff3,0x7dc00bff,0x200003ff,
    0x744ffff9,0x20004fff,0xf983fffc,0x90000fff,0xff307fff,0xffb801ff,
    0x2000007f,0x0006fff9,0x07fff900,0x001ffff3,0x006fff98,0x37ffcc00,
    0xffc80000,0xffff983f,0x5fff7000,0xffc80000,0xffff30ff,0x7ffc0001,
    0x5ffff01f,0x3fffe000,0x05ffff01,0x00ffffa8,0xfff30000,0x9999999f,
    0x00599999,0x3e03ffff,0x4c002fff,0xccccffff,0xcccccccc,0x3fffe602,
    0xcccccccc,0xf802cccc,0xfff01fff,0x3fee005f,0x4400002f,0xffd4ffff,
    0x7cc0007f,0x3ff606ff,0xff98005f,0x3fff606f,0x7fffcc05,0xf3000003,
    0xffffffff,0x9fffffff,0x06fff980,0x0017fff6,0xfffffff3,0xffffffff,
    0x7ffcc09f,0xffffffff,0x404fffff,0x3606fff9,0xf5005fff,0x000003ff,
    0xff5ffff7,0xfc8000df,0x3fea04ff,0x7e4000ff,0x3fea04ff,0x7ff400ff,
    0x3000007f,0xffffffff,0xffffffff,0x4fffc809,0x03fffea0,0xfffff980,
    0xffffffff,0x3e604fff,0xffffffff,0x4fffffff,0x027ffe40,0x001ffff5,
    0x0003fff5,0x3ffffa00,0x40002fff,0x2201ffff,0x4002ffff,0x2201ffff,
    0x5c02ffff,0x0003ffff,0xeffff980,0xeeeeeeee,0x7fc03eee,0x3fe201ff,
    0x3e6002ff,0xeeeeefff,0x3eeeeeee,0x3bfffe60,0xeeeeeeee,0x7fc03eee,
    0x3fe201ff,0xffa802ff,0x5000001f,0x0bffffff,0x7fff9800,0x05fffd80,
    0x01fffe60,0x1017fff6,0x001dffff,0x6fff9800,0x7fcc0000,0xfffd807f,
    0x3ffe6005,0x7cc00006,0x400006ff,0xd807fff9,0x00005fff,0x7ff40000,
    0x40001fff,0xa804fffc,0x9000ffff,0xf5009fff,0xfc801fff,0x0001efff,
    0x01bffe60,0x9fff9000,0x1ffff500,0x1bffe600,0xfff30000,0xfc80000d,
    0xffa804ff,0x000000ff,0x3ffe6000,0xff80004f,0xff8802ff,0xfff002ff,
    0xfff1005f,0xffe8805f,0xa8803fff,0xdfff302d,0xfff80000,0xfff8802f,
    0xfff3002f,0xf980000d,0x400006ff,0x8802ffff,0x0002ffff,0x7f400000,
    0x4c0001ff,0xaaabffff,0xffaaaaaa,0xff9805ff,0xaaaaabff,0xffffaaaa,
    0xfffe8805,0xbabcefff,0x302fffec,0x0000dfff,0x55ffffcc,0xaaaaaaaa,
    0x3005ffff,0x0000dfff,0x006fff98,0x3fffe600,0xaaaaaaab,0x05ffffaa,
    0x0001ee44,0x0ffff400,0x3fff2000,0xffffffff,0x7fffffff,0xfffffc80,
    0xffffffff,0x007fffff,0xfffffff1,0xffffffff,0x3ffe605f,0x3f200006,
    0xffffffff,0xffffffff,0xfff3007f,0xf980000d,0x200006ff,0xfffffffc,
    0xffffffff,0x3a207fff,0x00005fff,0x00ffff40,0x3ffffe00,0xffffffff,
    0x2fffffff,0x7fffffc0,0xffffffff,0x02ffffff,0xfffff910,0xffffffff,
    0x3ffe603f,0x3fe00006,0xffffffff,0xffffffff,0xff9802ff,0x4c00006f,
    0x00006fff,0x3ffffffe,0xffffffff,0x702fffff,0x005fffff,0x7fff4000,
    0x3fe60001,0xffffffff,0xffffffff,0x3fe605ff,0xffffffff,0xffffffff,
    0x5c4005ff,0xfffffffe,0x3e600adf,0x300006ff,0xffffffff,0xffffffff,
    0x300bffff,0x0000dfff,0x006fff98,0xfffff300,0xffffffff,0xbfffffff,
    0x3fffff20,0x3a000003,0x20001fff,0xaaadfffc,0xaaaaaaaa,0x207fffca,
    0xaaadfffc,0xaaaaaaaa,0x007fffca,0x35dfff30,0x7ffcc001,0xff900006,
    0x555555bf,0xf9555555,0xff300fff,0x980000df,0x00006fff,0x555bfff9,
    0x55555555,0x20ffff95,0x01fffffa,0x3ffa0000,0x3fe0001f,0xf88002ff,
    0xfff02fff,0xff10005f,0xf50005ff,0x260007ff,0x00006fff,0x0005ffff,
    0x805ffff1,0x0006fff9,0x037ffcc0,0x2ffff800,0xffff8800,0x07fffb02,
    0xffe80000,0xff30001f,0x7f4000ff,0xfff984ff,0x3ffa0007,0xffc8004f,
    0xff30001f,0xf30000df,0x74000fff,0x7cc04fff,0x400006ff,0x0006fff9,
    0x007fff98,0x813fffa0,0x000000a9,0x001fffe8,0x00bfff90,0x43fffdc0,
    0x0005fffc,0x001fffee,0x8001fffa,0xcccffff9,0xcccccccc,0x3fff20cc,
    0x3fee0005,0x7ffcc07f,0xcccccccf,0x00cccccc,0x999ffff3,0x99999999,
    0x7ffe4199,0x3fee0005,0x0000007f,0x03fffd00,0x0bfffe00,0xffff9800,
    0x017fffc2,0x5ffff300,0x27ffc400,0xffff3000,0xffffffff,0x7c1fffff,
    0x20002fff,0x202ffff9,0xfffffff9,0xffffffff,0xfff300ff,0xffffffff,
    0x41ffffff,0x0002ffff,0x00bfffe6,0x3a000000,0x98001fff,0x0000ffff,
    0xf327fff4,0x80001fff,0x2004fffe,0x0002fff9,0x3fffffe6,0xffffffff,
    0xfff30fff,0xfe80001f,0x3fe604ff,0xffffffff,0x0fffffff,0xffffff30,
    0xffffffff,0x3fe61fff,0x740000ff,0x00004fff,0xfffe8000,0xfffc8001,
    0xffc80005,0x17fff27f,0x3fff2000,0x1ffee007,0xffff3000,0xffffffff,
    0x321fffff,0x80005fff,0x2607fffc,0xffffffff,0xffffffff,0xffff300f,
    0xffffffff,0x321fffff,0x80005fff,0x0007fffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeeb800,0x0000000d,0x06f77764,0x1016ecc0,0x4c0007db,0x0003eeee,
    0x00000100,0x40000000,0x22009998,0x00009999,0x004cc400,0x00353100,
    0x4c426660,0x26620999,0x3fea0099,0x00000eff,0xbffff900,0x3fffe200,
    0x07fffd01,0xfffff300,0x2a00009f,0x0004fffe,0x0677fed4,0x400000b8,
    0x2603fffc,0x0006ffff,0x3fffe200,0x7ff44003,0x2a003fff,0xfff53fff,
    0x7fffdc9f,0x7fff4406,0x4000000e,0x003ffffc,0x20ffffea,0x005ffff8,
    0x7fffffd4,0x5c0005ff,0x06ffffff,0xfffffb00,0x0efb87ff,0x3ff20000,
    0x7ffd403f,0x3f6ea25f,0xfff88001,0xf3003fff,0xbfffffff,0x4dfff100,
    0x2a4ffff9,0x9005ffff,0x0001dfff,0x3bfff200,0x7ffc4001,0x9fffd02f,
    0x77ffdc00,0x0dfffd89,0xbfff9800,0x4004ffda,0xfffffffc,0xfffeceff,
    0x3f200002,0xffc803ff,0xfffffeff,0x7fc4001f,0x03ffffff,0xfddfffe8,
    0x7e402fff,0x3ffe61ff,0x3fffea3f,0x3ffea005,0x6400000e,0x20005fff,
    0x36604fea,0xff7000df,0xfffb81bf,0x7fe4000e,0x1003ff41,0xf9317ffd,
    0x7fffffff,0xffc80000,0x3f2a203f,0xffffffff,0x3e2001ff,0xffe89fff,
    0x3ffee03f,0x81fffa21,0x7cc4fffa,0x3fe63fff,0x4c4004ff,0x40000099,
    0x00001999,0x4cc00000,0x26662019,0x437ec000,0x22000ffb,0xfffd982e,
    0x800003ff,0xf983fffc,0xffffffff,0x00bcefff,0x81dfff30,0xfb03fffd,
    0x1fff70bf,0x261bffa0,0x3e63ffff,0x00004fff,0x00000000,0x00000000,
    0xfc800000,0x007fe40f,0x37510020,0x7e400000,0xfffa83ff,0x6fffffff,
    0x3332e000,0x03999700,0xff307fff,0x3fff903f,0x47ffff30,0x004ffff8,
    0x00000000,0x00000000,0x80000000,0xff71dffa,0x0000000d,0x7fe40000,
    0xefffa83f,0x2ffffcac,0x40000000,0xff02fff8,0x4fff985f,0x47ffff10,
    0xc83ffff8,0xcccccccc,0xcccccccc,0x9999901c,0x99999999,0x20399999,
    0xcccccccc,0xcccccccc,0x999101cc,0x99999999,0x01999999,0x7ffffec0,
    0x000001ff,0x32000000,0x1b983fff,0x01ffffd0,0xf8000000,0xfff883ff,
    0x8077ff41,0x7c2ffff8,0xfff83fff,0xffffffff,0x2fffffff,0xfffffff0,
    0xffffffff,0x3fe05fff,0xffffffff,0xffffffff,0xfffff302,0xffffffff,
    0x4001ffff,0x1effffc8,0x00000000,0x7ffe4000,0xfff88003,0x0000005f,
    0x542fff40,0x3ff20fff,0x3ffe202f,0x17fffc2f,0x7ffffffc,0xffffffff,
    0xfff02fff,0xffffffff,0x5fffffff,0x3fffffe0,0xffffffff,0xf302ffff,
    0xffffffff,0xffffffff,0x35510001,0xb9510000,0x059bdfdd,0x76dd4c00,
    0x3fffcacd,0xfdb95100,0x10005fff,0xbdfddb95,0xfffd8059,0xf337ff41,
    0xff8809ff,0x7fff42ff,0xeeeeed82,0xeeeffffe,0xdb01eeee,0xfffddddd,
    0xdddddddf,0x3bbbb603,0xeeffffee,0x301eeeee,0xddddffff,0xdddddddd,
    0x0000001d,0x7ffff5c0,0xefffffff,0x3ffea002,0xffffffff,0x7fe403ff,
    0xffffffff,0x3ffae006,0xffffffff,0xfff302ef,0x3fffd7bf,0x2007fff4,
    0x6c2ffff8,0x74001eee,0x00001fff,0x000ffff4,0x07fffa00,0x1bffe600,
    0xca880000,0x2cdefeed,0x7ffff400,0xffffffff,0x7ec403ff,0xffffffff,
    0x103fffff,0xfffffffd,0x007fffff,0x3ffffffa,0xffffffff,0xfffff903,
    0x7fdc9fff,0xffff002f,0xfe800005,0x400001ff,0x0001fffe,0x00ffff40,
    0x037ffcc0,0x7ff5c000,0xffffffff,0xffd002ef,0xdb99bdff,0x203fffff,
    0xeffffff9,0xffffedcc,0xffff983f,0xffeddeff,0xfe800fff,0xdccdefff,
    0x01fffffe,0x5ffffff7,0x002fffc4,0xfa83ffff,0x7f4004ff,0x400001ff,
    0x0001fffe,0x00ffff40,0x037ffcc0,0x7fff4000,0xffffffff,0xde803fff,
    0x7ffdc00b,0xffffd06f,0x7ffecc05,0x7ffffc43,0x7ffff00a,0x8017bd00,
    0x206ffffb,0x7409bb98,0x3e000fff,0x7fdc1fff,0x7ff4002f,0x7400001f,
    0x00001fff,0x000ffff4,0x0037ffcc,0x7ffff400,0xffedccde,0x00401fff,
    0x03fffea0,0x001bfff7,0xfc87fff9,0x7dc00eff,0x000807ff,0x007fffd4,
    0x02fffb80,0x20ffffc0,0x4000fffd,0x0001fffe,0x00ffff40,0x3fffa000,
    0xfff98001,0xde800006,0x7ffdc00b,0xe800006f,0x3fe21fff,0xff9000ff,
    0x7fffc47f,0xffff8800,0xfe800002,0xf88001ff,0xff8005ff,0x37ffc1ff,
    0x0ffff400,0x3ffa0000,0x7400001f,0x98001fff,0x00006fff,0x7fd40008,
    0x400000ff,0x3f23fffd,0x3f2005ff,0x3fff23ff,0x3fff2004,0xfd800005,
    0xfd8003ff,0xff8000ff,0x3ffe61ff,0xfffe8003,0x7f400001,0x400001ff,
    0x8001fffe,0x0006fff9,0xffd00000,0xc800003f,0x3ff63fff,0x3ff2001f,
    0x07fffe3f,0x07fff980,0xfffc8000,0x7ffd4003,0xfffd0003,0x00fffd41,
    0x00ffff40,0x3fffa000,0x7f400001,0xf98001ff,0x000006ff,0x7fffb000,
    0xffc80000,0x03fffe3f,0x13fffc80,0x8800dfff,0x0001ffff,0x01fffe40,
    0x00dfff10,0x907fff40,0x3a000dff,0x00001fff,0x000ffff4,0x07fffa00,
    0x1bffe600,0x40000000,0x1003fffc,0xddddb975,0x227ffffd,0x64007fff,
    0xfff33fff,0xffff000b,0x32ea2005,0xffeeeeed,0x3f6003ff,0x32ea21ff,
    0x3fffa02b,0x7f400000,0x400001ff,0x0001fffe,0x00ffff40,0x67fffcc0,
    0xcccccccc,0x00002ccc,0x403fffc8,0xffffffc8,0xffffffff,0x00dfff33,
    0xf73fffc8,0xfb0009ff,0xfc8807ff,0xffffffff,0x003fffff,0x74c7fff5,
    0x80efffff,0x0000fffe,0x00ffff40,0x3fffa000,0x7f400001,0xf98001ff,
    0xffffffff,0x4fffffff,0x372ea200,0xfffeeeee,0x3ffee03f,0xffffffff,
    0xf53fffff,0xfc800bff,0x9fff93ff,0x7fff9000,0x7ffffdc0,0xffffffff,
    0xf8803fff,0x3ffea6ff,0x40ffffff,0x0000fffe,0x00ffff40,0x3fffa000,
    0x7f400001,0xf98001ff,0xffffffff,0x4fffffff,0xffffc880,0xffffffff,
    0xfff503ff,0x33357bff,0x27fff933,0x4006fffa,0xff93fffc,0xffb0009f,
    0x3ffea07f,0x999abdff,0x03fffc99,0x3a1fffc8,0xffebbfff,0x03ffec4f,
    0x7fff4000,0x7f400001,0x400001ff,0x8001fffe,0xeeeffff9,0xeeeeeeee,
    0x7ffdc03e,0xffffffff,0x883fffff,0x800dffff,0xff33fffc,0xffc800df,
    0x0bfff53f,0x05fffd00,0x01bffff1,0x807fff90,0x3ee4fff9,0x7ffe40ff,
    0x001fff60,0x07fffa00,0xfffd0000,0xfe800003,0xf98001ff,0x400006ff,
    0xbdfffffa,0xfc99999a,0xfffa83ff,0xfff9000f,0x01fffe27,0x267fffb0,
    0xf8006fff,0xffa81fff,0xff9000ff,0x6ffe807f,0x7d42ffec,0x000001ff,
    0x007fffa0,0x3fffd000,0xffe80000,0xff98001f,0x2200006f,0x800dffff,
    0xfc83fffc,0x3f2004ff,0x3fffe3ff,0xffff7000,0x03fffe27,0x07fff980,
    0x4009fff9,0x3203fffc,0x7ff41fff,0x02fff883,0x3fa00000,0x400001ff,
    0x0001fffe,0x00ffff40,0x037ffcc0,0xffff5000,0x3fff2001,0x03fffe83,
    0xe8ffff60,0xfa803fff,0x3fe3ffff,0x3f6004ff,0xfffd05ff,0x7ffec007,
    0x09fff303,0x3fe07fff,0x0000003f,0x0007fffa,0x03fffd00,0xfffe8000,
    0xfff98001,0x3f200006,0x3f2004ff,0xfffd83ff,0xfffe9804,0x1bffee3f,
    0xffffff30,0x07fffdc7,0x0ffffcc0,0x804fffd8,0x03ffffe9,0xfd01dffd,
    0x8bffe0bf,0x00002dc9,0x001fffe8,0x0ffff400,0x3ffa0000,0xff98001f,
    0x3a00006f,0x36003fff,0xffc83fff,0x3fee00ff,0x3e23ffff,0xff504fff,
    0xe87fffdf,0x2601ffff,0x3205ffff,0x2e00ffff,0x83ffffff,0xfb02fffb,
    0x1fff50ff,0x00ffffe6,0x3fffd000,0xffe80000,0x7400001f,0x98001fff,
    0x00006fff,0x2013fff6,0x83ffffe9,0x0aeffffa,0xfffffd73,0xfffd87ff,
    0xffeb8adf,0x43fff9df,0xacfffffa,0xffffca88,0x3ffea01f,0xfd730aef,
    0x87ffffff,0x2e05fff9,0x3fa23fff,0x3ffff66f,0x7f400007,0x400001ff,
    0x0001fffe,0x00ffff40,0x037ffcc0,0xffff9000,0x7fffdc01,0xfffb03ff,
    0xffffffff,0x87fff3bf,0xffffffe8,0xff35ffff,0xffff907f,0xffffffff,
    0xffb003ff,0xffffffff,0x7fff3bff,0x200fffe8,0xfdfffff8,0x3ffa1fff,
    0x00000fff,0x0007fffa,0x03fffd00,0xfffe8000,0xfff98001,0x3ea00006,
    0x730aefff,0xfffffffd,0x3fffa207,0x2fffffff,0xd107fff1,0xffffffff,
    0x81fffc4b,0xfffffffa,0x001effff,0xffffffd1,0x3e25ffff,0x3ffee3ff,
    0xffffa802,0x7ec3ffff,0x00006fff,0x000ffff4,0x07fffa00,0xfffd0000,
    0xfff30003,0xfd80000d,0xffffffff,0xfff9dfff,0x7fffdc03,0x3e20ceff,
    0xfd9103ff,0xf8859fff,0x3b2203ff,0x2effffff,0xffff7000,0x7c419dff,
    0xbfff13ff,0x7fff4400,0xffe881ef,0x7400001f,0x00001fff,0x000ffff4,
    0x07fffa00,0x1bffe600,0xffd10000,0xffffffff,0x00fffe25,0x0000d4c4,
    0x00006a20,0x000cd4c0,0x00353100,0x0cc00000,0x0000a980,0xf9999999,
    0x9999bfff,0x33320399,0xffffcccc,0x1ccccccd,0x99999990,0x999bffff,
    0x3e603999,0xcccccfff,0xcccccccc,0x7fffdc00,0x3e20ceff,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0xffffffff,0xffffffff,
    0xffffff02,0xffffffff,0x3e05ffff,0xffffffff,0xffffffff,0xffff302f,
    0xffffffff,0x001fffff,0x00006a62,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff80,0xffffffff,0xff02ffff,0xffffffff,0xffffffff,
    0x3ffffe05,0xffffffff,0x302fffff,0xffffffff,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff800,0xffffffff,
    0xf02fffff,0xffffffff,0xffffffff,0x3fffe05f,0xffffffff,0x02ffffff,
    0xfffffff3,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x22019999,0x00019999,
    0x026a6200,0x00099980,0x99880000,0x33310000,0x00000033,0x00004cc4,
    0x33331000,0x98800003,0x00001999,0x676d4000,0xf9800000,0x2603ffff,
    0x004ffffe,0x3fff6600,0x200cffff,0x0006fff9,0x7ffc4000,0xfe98003f,
    0x00004fff,0x3ffff880,0xf9800000,0x0003ffff,0x3ffffe60,0x7fed4003,
    0x201700ce,0x005ffff9,0x7fffcc00,0xffd8801f,0x440004ff,0xfffffffd,
    0xf304ffff,0x00000dff,0x7ffffc40,0xfd88003f,0x00004fff,0x3ffffe20,
    0x2000003f,0x01fffff9,0x3ffe6000,0x7ec001ff,0x43ffffff,0xffd80efb,
    0x00001fff,0x01bffff3,0x4ffffb80,0xffff1000,0xffffffff,0xfff307ff,
    0x2000000d,0xfffffff8,0xff70003f,0x000009ff,0xfffffff1,0x3000007f,
    0x001bffff,0x7fffcc00,0x7fe4000d,0xefffffff,0xd82fffec,0x001fffff,
    0x3ffff980,0x3ffa6000,0xffd8004f,0x3ae60bff,0x7cc0ffff,0x000006ff,
    0x89ffff88,0x0003fffe,0x009fffd3,0x7fffc400,0x03fffe89,0x3ffe6000,
    0x4c00003f,0x8003ffff,0xc98bffe8,0xffffffff,0xdffff703,0xfff30000,
    0xb100003f,0x5c009fff,0x2200ffff,0x7cc3fffe,0x000006ff,0x2077ffcc,
    0x0003fffd,0x009fffb1,0x1dfff300,0x003fffd8,0x1ffff980,0x7fcc0000,
    0x220001ff,0xfffd982e,0x7fe403ff,0xcb80001e,0x400000cc,0xd001cccb,
    0xf7005fff,0xfff989ff,0x5c000006,0x99700ccc,0x65c00039,0x5c0001cc,
    0x99700ccc,0xcb800039,0x800000cc,0x0000cccb,0x0dd44008,0x00003100,
    0x00000000,0x00dfff00,0xf317ffea,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,0x9fff9005,
    0x006fff98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xf8804fff,0x7fcc2fff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99950000,0x372a2000,0x02cdefee,
    0xddb95100,0x5c059bdf,0x74c03fff,0xff985fff,0xdedb986f,0x9991001b,
    0x6664c007,0x36ea2002,0x0001acde,0xcdedba88,0xa880001a,0x01acdedb,
    0xfdca9800,0x00001acd,0x59bfb953,0x1fff2003,0xffffd700,0xdfffffff,
    0x3ffae005,0xffffffff,0xfffc82ef,0x3fffea03,0x5fff980e,0x3fffffea,
    0x7cc00eff,0x3ea006ff,0xff9004ff,0xbfffffff,0x3ff20001,0xdfffffff,
    0xfff90000,0x1bffffff,0xfffd3000,0x1bffffff,0x3ffa6000,0xdfffffff,
    0x07ffe400,0xfffffd00,0xffffffff,0xfffd007f,0xffffffff,0xffc87fff,
    0xffff703f,0x3ffe601b,0xffffff95,0x401dffff,0x2006fff9,0x4404fffa,
    0xfffffffe,0x001effff,0x3fffffa2,0x1effffff,0x3fffa200,0xffffffff,
    0x3fee001e,0xffffffff,0x5c003fff,0xffffffff,0x203fffff,0x2000fffc,
    0xcdeffffe,0xfffffedc,0x7ffff401,0xffedccde,0x3ff21fff,0xffffa83f,
    0x6fffcc04,0xdceffffc,0x206fffff,0x2006fff9,0x2604fffa,0xabdfffff,
    0x1fffffdc,0xfffff980,0xfffdcabd,0xff9801ff,0xdcabdfff,0x801fffff,
    0xdefffffd,0xffffffdc,0xffffb003,0xfffb9bdf,0x3f607fff,0x37a000ff,
    0x7ffdc00b,0x05ef406f,0x9bfffee0,0xff83fffc,0xff9803ff,0x41efffff,
    0x01ffffd8,0x400dfff3,0x3a04fffa,0xd300dfff,0xfd00dfff,0x3a601bff,
    0xfe806fff,0xfd300dff,0xffa80dff,0xff500dff,0xfa801fff,0xf500dfff,
    0xfb01ffff,0x004001ff,0x03fffea0,0x7fd40008,0x7fff90ff,0x007fff98,
    0x9ffffff3,0x05fffd80,0x400dfff3,0xf504fffa,0xff100bff,0x7fd405ff,
    0xfff8805f,0x3ffea02f,0xffff8805,0x9ffff102,0xbfffd300,0x27fffc40,
    0x2ffff4c0,0x000fffec,0x3fffa000,0x7f400001,0x7fff91ff,0x005fffa8,
    0x09fffff3,0x01ffff30,0x400dfff3,0xfd04fffa,0x3ee003ff,0x3ffa06ff,
    0xfff7001f,0x0ffff40d,0x06fffb80,0x400bfff9,0x901ffffa,0x5400bfff,
    0x7ec1ffff,0x000001ff,0x001fffec,0x4ffff600,0x7cc3fffc,0xf9800fff,
    0x3e005fff,0xff982fff,0x3fea006f,0x4fffb84f,0x07fffc00,0x0027ffdc,
    0x2e03fffe,0x7c004fff,0x7fc40fff,0x7f4002ff,0xfff884ff,0x7ff4002f,
    0x0fffec4f,0x3f200000,0x400003ff,0xff93fffc,0x9ffff07f,0x0dfff300,
    0x83fffc80,0x2006fff9,0xfd84fffa,0x7f4002ff,0xfffd81ff,0x7fff4002,
    0x02fffd81,0x20ffff40,0x8006fff9,0xf985fffb,0xfb8006ff,0x7fff45ff,
    0x64000001,0x00003fff,0xfc9fffe4,0xfffd83ff,0x7ffcc05f,0x7ffdc006,
    0x06fff984,0x213ffea0,0x4001fffe,0xfe82fffd,0x7ec001ff,0xfffe82ff,
    0x7ffec001,0x027ffd42,0x437ffcc0,0x8004fffa,0x7f46fff9,0x510002ff,
    0xdddddb97,0x2007ffff,0xeeedcba8,0x93ffffee,0xfd107fff,0x2603dfff,
    0x5c006fff,0xff985fff,0x3fea006f,0xcffff84f,0xcccccccc,0x3fffeccc,
    0xcccffff8,0xcccccccc,0xf83fffec,0xcccccfff,0xeccccccc,0x7fdc3fff,
    0xff88003f,0x3fffb87f,0x7fff8800,0x0017fff4,0x3fffff22,0xffffffff,
    0x7fe4403f,0xffffffff,0xff93ffff,0x3ffa207f,0xff982fff,0x7fd4006f,
    0x6fff986f,0x13ffea00,0xfffffff1,0xffffffff,0x889fffff,0xffffffff,
    0xffffffff,0x7c44ffff,0xffffffff,0xffffffff,0x7fec4fff,0xfff0002f,
    0x2fffd81f,0x1ffff000,0x0017fff4,0xfffffff7,0xffffffff,0x7ffdc07f,
    0xffffffff,0xf93fffff,0x7ec407ff,0x7cc3ffff,0x7d4006ff,0xfff985ff,
    0x3ffea006,0x7ffffcc4,0xffffffff,0x4fffffff,0x7fffffcc,0xffffffff,
    0x44ffffff,0xfffffff9,0xffffffff,0x744fffff,0xf0002fff,0xffe81fff,
    0xfff0002f,0x17fff41f,0xfffffa80,0x99999abd,0xf503fffc,0x357bffff,
    0xfff93333,0x00ffff27,0x8bffffee,0x4006fff9,0xf984fffb,0x3ea006ff,
    0x7ffc44ff,0xcccccccf,0xcccccccc,0x7fffc42c,0xcccccccc,0xcccccccc,
    0x67fffc42,0xcccccccc,0x2ccccccc,0x001fffec,0x6c3fffc4,0x88003fff,
    0x7ffc7fff,0xfff8802f,0xffc800df,0xffff883f,0xfffc800d,0x007fff93,
    0x43ffffea,0x4006fff9,0xf983fffc,0x3ea006ff,0xffff84ff,0xff800000,
    0x800000ff,0x0000ffff,0x027ffdc0,0x437ffcc0,0x8004fffb,0x7fc6fff9,
    0xffa803ff,0xff9000ff,0xffff507f,0x3fff2001,0x007fff93,0x99ffffd4,
    0x6c006fff,0xff981fff,0x3fea006f,0x1fffe84f,0xffe80000,0xe800001f,
    0x00001fff,0x002fffd4,0x542fffd4,0xa8005fff,0x7ffc5fff,0xfffc803f,
    0x3fff2004,0x04fffc83,0x64ffff20,0x64003fff,0xfff35fff,0x7ffc400d,
    0x7fff880f,0x13fff600,0x000ffff6,0x0ffff600,0x3ff60000,0x4c00003f,
    0x4000ffff,0xf984fffd,0x6c000fff,0x7ffc4fff,0xfffe803f,0x3fff6003,
    0x03fffe83,0x64ffff60,0x54003fff,0xfff36fff,0x7ffe400d,0x01fffe05,
    0x427fffe4,0x000ffffb,0x7fffdc00,0x7dc00000,0x00000fff,0x00ffffe2,
    0x81ffff88,0x003ffff8,0xf07fffe2,0xfb007fff,0xfd3009ff,0xffb07fff,
    0xffd3009f,0x3fff27ff,0x7ffd4003,0x00dfff35,0x807fffe2,0x5c02ffff,
    0x884fffff,0x0004ffff,0x27fffc40,0x3fe20000,0x400004ff,0x000ffffc,
    0x6409fffb,0xb000ffff,0xfff09fff,0xfff9009f,0x7ffdc01f,0xffc83fff,
    0x3fee00ff,0xff93ffff,0x7f44007f,0xdfff34ff,0x9fffd300,0x06fffd80,
    0x3ffffff2,0x9ffff704,0x7dc00001,0x0000cfff,0x33fffee0,0xff100000,
    0xfd803dff,0x3e200fff,0x6c01efff,0x7c40ffff,0xfa804fff,0x730aefff,
    0xfffffffd,0xdffff507,0x3ffae615,0xf93fffff,0x99a987ff,0xffffeb99,
    0x7dffff30,0x3ff2a233,0x7d400fff,0xa88aefff,0xfffcfffe,0x3ffffa04,
    0x54c41abf,0x7ff402dc,0x441abfff,0x7402dca9,0x1abfffff,0x016e54c4,
    0x59fffff7,0xfffd7511,0xfff7007f,0x751159ff,0x107ffffd,0x2009ffff,
    0xfffffffd,0xf9dfffff,0xfffb03ff,0xffffffff,0x27fff3bf,0x7dc3fffc,
    0xffffffff,0x3fffe62f,0xffffffff,0xd000efff,0xffffffff,0xfff19fff,
    0x7fff4c09,0xffffffff,0x4c02ffff,0xfffffffe,0xffffffff,0x7fff4c02,
    0xffffffff,0x6402ffff,0xffffffff,0x03ffffff,0x3fffff20,0xffffffff,
    0xffff103f,0x3ffa2009,0xffffffff,0x207fff12,0xffffffe8,0xff12ffff,
    0x0ffff27f,0xfffffff7,0xffe885df,0xffffffff,0x4c003fff,0xfffffffe,
    0x13ffe3ff,0x3fffff20,0xffffffff,0xfff9002f,0xffffffff,0x32005fff,
    0xffffffff,0x02ffffff,0xffffffa8,0x01efffff,0xfffffa80,0x1effffff,
    0x17fffe20,0xfffff700,0x7fc419df,0x7ffdc03f,0x220cefff,0xfff93fff,
    0xfffffb87,0x6dc403ef,0xdeffffff,0x3f20001c,0x41dfffff,0x93004fff,
    0xfffffffd,0x40017bff,0xfffffec9,0x00bdffff,0x3fffb260,0xbdffffff,
    0xffd91000,0x017bffff,0x7ff64400,0x00bdffff,0x01e66644,0x001a9880,
    0x01a98800,0x33310000,0x99880001,0xa8800000,0x0000009a,0x0266aa62,
    0xaa988000,0x20000099,0x0099aa98,0x01553000,0x554c0000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00004cc4,0x26662000,0x99000019,0x26620039,
    0x20000199,0x00199998,0x15551000,0x01333000,0x00035553,0x70004ccc,
    0x220007dd,0x200001aa,0x00199998,0x00ceea80,0x1ffffc40,0xf9800000,
    0x0003ffff,0x001fff98,0x09ffffd3,0x3ffa6000,0x400004ff,0x003ffffb,
    0x361fffd4,0x02ffffff,0x01fffd40,0x03ffffc8,0xfffffb10,0x980003df,
    0x004ffffe,0x3bffff20,0xffff1000,0x000007ff,0x1fffff98,0xdff70000,
    0xfffd8800,0xb100004f,0x0009ffff,0xfffffd50,0x7ffc4007,0xfffffd86,
    0x3fe2006f,0x3ffe006f,0xffb806ff,0xffffffff,0x7ec40004,0x88004fff,
    0x03ffffff,0xffffff88,0x000003ff,0x01bffff3,0x1fff4000,0xffffb800,
    0x3ee00004,0x10004fff,0xfffffffd,0x7ffe4007,0xfebabb81,0xff9003ff,
    0x7ffc003f,0x7fd407ff,0xffffffff,0xb80003ff,0x4004ffff,0x5ffffffa,
    0x4ffffc40,0x003fffe8,0x7fffcc00,0x7cc00003,0x260001ff,0x0004fffe,
    0x13fffa60,0x677ffc00,0xf5003fff,0x3ea009ff,0xffa803ff,0x7fec004f,
    0x3fe204ff,0xfc88aeff,0x0000ffff,0x04fffe98,0x3ffffe60,0x3ffe604f,
    0x1fffec0e,0xfff98000,0x2a60001f,0x6ffeefdc,0xffd88000,0x2200004f,
    0x8004fffd,0x7fff33fb,0x01bffa00,0x00fffe44,0x40037ff4,0x200dffe8,
    0x880ffffb,0x0003ffff,0x09fffb10,0x7ffffec0,0x03332e01,0x000e665c,
    0x006665c0,0xffffe980,0x01efffff,0x39997000,0xccb80000,0x3044001c,
    0xf9007fff,0x7fc403ff,0xc802ffff,0x20001fff,0xfffd8008,0x13fff603,
    0x99970000,0x3ff62003,0x0000002f,0x40000000,0xfffffffc,0x03ffffff,
    0x00000000,0xf9800000,0x7fcc03ff,0x7ffc404f,0x2600cfff,0x00004fff,
    0x03fffd00,0x002fffd4,0x22000000,0x00000000,0xe8000000,0xbcefffff,
    0x3ffffffe,0x00000000,0x4c000000,0x7f403fff,0x774400ef,0x207ffffe,
    0x0000effe,0x3ffff000,0x027ffdc0,0x00000000,0x00000000,0x7dc00000,
    0xffe83fff,0x001fffff,0x00000000,0x3fe60000,0x3fff203f,0xfffd0002,
    0x05fff903,0x02ccb800,0xb01fffec,0x00005fff,0x00000000,0x337f72a6,
    0x6644001a,0x3326003c,0x3fffe22c,0xfafff983,0x32206fff,0x326003cc,
    0x2a6002cc,0x01acdfdc,0x07fff300,0x0013ffe6,0x4c2fffe8,0x80004fff,
    0x7e405ffe,0xfff305ff,0x9910001f,0x99999999,0x98000007,0xfffffffe,
    0xf3000dff,0x7d400dff,0x3fff24ff,0x2adff904,0xf301ffff,0x7d400dff,
    0xfe9804ff,0xffffffff,0x7fcc000d,0x1fffd03f,0x36e6aa00,0x7f40ffff,
    0xe80000ff,0x7fd405ff,0x7ffcc2ff,0xff10003f,0xffffffff,0x5c00000d,
    0xffffffff,0x803fffff,0x2006fff9,0xff14fffa,0x3ffa03ff,0x413fff63,
    0x2006fff9,0x5c04fffa,0xffffffff,0x003fffff,0x2e0fffe6,0x3e002fff,
    0x3fffffff,0x0017ffdc,0x805fff80,0xf70ffffe,0x4000dfff,0xfffffff8,
    0x00006fff,0xdfffffb0,0xfffffb9b,0xfff9807f,0x3ffea006,0x20bfff34,
    0x3ee0fff9,0xfff306ff,0x7ffd400d,0x3ffff604,0xfffdcdef,0xf3003fff,
    0xfff887ff,0x7fffc005,0x7fc42eff,0x3e00005f,0xff9805ff,0xffffedff,
    0x77440005,0xfffeeeee,0xfa800006,0xf500dfff,0x4c01ffff,0x2a006fff,
    0xfff54fff,0x31bff207,0x3e60ffff,0x3ea006ff,0xfff504ff,0x3fea01bf,
    0x33000fff,0x0fffe813,0x55e5d400,0x01fffd01,0x37ffc000,0xfffffc80,
    0x00003fff,0x037ffcc0,0x3ffe2000,0xffe9804f,0x3ffe605f,0x3ffea006,
    0x205fff94,0x7fc43ffe,0xdfff307f,0x27ffd400,0x027fffc4,0x02ffff4c,
    0x0bffee00,0xffb80000,0x5440002f,0x006fffdb,0xbffffff1,0x30000001,
    0x0000dfff,0x005fffc8,0x407fffea,0x2006fff9,0xffb4fffa,0x1fff305f,
    0x301ffff0,0x5400dfff,0xffc84fff,0x3fea005f,0xf10001ff,0x00000bff,
    0x002fffc4,0x3ffffee0,0xfe9806ff,0x000fffff,0xfff30000,0x7c40000d,
    0x74002fff,0xff304fff,0x7fd400df,0x03fffd4f,0x3fa0dff9,0xfff980ff,
    0x3ffea006,0x17fffc44,0x13fffa00,0x07ffec00,0xffb00000,0x3a20001f,
    0xffffffff,0x7fffd406,0x880effff,0x40007fff,0x2006fff9,0xff983dc9,
    0xffb8006f,0xdfff305f,0xa7ffd400,0xfe82fffd,0x0ffff03f,0x801bffe6,
    0x7cc4fffa,0xfb8006ff,0xfa8005ff,0x000003ff,0x000fffea,0xceffffe8,
    0x3ea02aab,0xfffcdfff,0x6fff985f,0x7ffcc000,0xffff5006,0x04fffa8b,
    0x06fff980,0x400dfff3,0xff94fffa,0x1fff989f,0x306fff88,0x5400dfff,
    0x7fd44fff,0xff98004f,0x7fc4006f,0x2000006f,0x0006fff8,0x00ffffee,
    0x49ffff10,0x4c3ffffd,0x40005fff,0x8806fff9,0x23ffffff,0x8003fffb,
    0xf307fff8,0x7d400dff,0xbfff74ff,0xf306ffc8,0x3fe60bff,0x3fea006f,
    0x1fffdc4f,0x3fffc400,0x07fff600,0x00555551,0x107fff60,0x3a055555,
    0xc8005fff,0x7f445fff,0x3fea2fff,0x7cc0004f,0xffa806ff,0x3f65ffff,
    0xff0002ff,0xfff301ff,0x7ffd400d,0xe8dfff54,0xfff903ff,0x1bffe609,
    0x44fffa80,0x0002fffd,0x2001ffff,0xfe83fffa,0x4000ffff,0xfe83fffa,
    0xff80ffff,0x7c4002ff,0xff981fff,0xfff70fff,0xff980007,0xfff9806f,
    0x3ffa4fff,0xfff0002f,0xdfff301f,0x27ffd400,0x3e67ffff,0xfff881ff,
    0xdfff301f,0x27ffd400,0x000bfffa,0x4007fffc,0xfb86fff8,0x000fffff,
    0x2e1bffe2,0x40ffffff,0x001ffff8,0x5037ffd4,0xfb1dffff,0x980005ff,
    0xfd006fff,0x7ec3ffff,0xf88003ff,0xfff307ff,0x7ffd400d,0x27ffff24,
    0xff906ffc,0x7ffcc0bf,0x3ffea006,0x01fffec4,0x03fffc40,0x441fffc8,
    0x0fffefff,0x07fff200,0xfffdfff1,0x2ffff981,0x2fffdc00,0x37ffff20,
    0x0000ffff,0x8037ffcc,0x5c3fffe9,0x98004fff,0xff306fff,0x7fd400df,
    0x3fffe64f,0xfc83ffee,0x3e600fff,0x3ea006ff,0x7ffdc4ff,0xfff98004,
    0x4fff9806,0xffbdffd8,0xfff3000f,0xf7bffb09,0xffff01ff,0xfffc8007,
    0xffffd804,0x80004fff,0x4006fff9,0xfffa80a9,0xfffa8005,0x0dfff305,
    0x227ffd40,0xfffffffb,0xffffb731,0x6fff9809,0x13ffea00,0x000bfff5,
    0xd00bfff5,0xfff70dff,0x001fff71,0x3ee1bffa,0x0fffb8ff,0x005fffe8,
    0x402fffdc,0xfffffff8,0xff980001,0x2600006f,0x4000ffff,0xf104fffd,
    0x7ec00fff,0xfffc84ff,0xffffffff,0xf8804fff,0x3f6007ff,0x7ffcc4ff,
    0x7fec000f,0x7ffe404f,0xb9fffc41,0xfc800fff,0x7ffc41ff,0x701fff73,
    0x4007ffff,0x3007fffa,0x00dfffff,0x1bffe600,0xfff88000,0x3fe2003f,
    0x3ffe01ff,0xffff9007,0x3fffea09,0xffffffff,0x1fffe002,0x27fffe40,
    0x00ffffe2,0x01ffff88,0x3613ffe6,0x3ffee6ff,0x27ffcc00,0xff737fec,
    0x3fffe01f,0xfff3002f,0x3ff2009f,0x80000eff,0x0006fff9,0x07fffe40,
    0x04fffd80,0x2017fffc,0x04fffffb,0x3fffffea,0x4000ceff,0x5c02ffff,
    0xc84fffff,0xb000ffff,0xfe809fff,0x7ffd40ef,0xbfffdaac,0x1dffd00a,
    0xaacfffa8,0x40abfffd,0x0cfffffa,0x3ffffe80,0x7ffffe40,0xf980005f,
    0x400006ff,0x01effff8,0x007fffec,0xc81bfff6,0x04ffffff,0x2aabbff2,
    0x7fec0000,0x3fff206f,0xff884fff,0x7ec01eff,0x3ee00fff,0xfffb82ff,
    0xffffffff,0x2fffb81f,0xffffffb8,0x81ffffff,0xdffffffb,0xfff981aa,
    0xca99beff,0xfffffffe,0x7cc0004f,0x800006ff,0xacfffffb,0xfffeba88,
    0xfffa803f,0xfea88aef,0x04fffcff,0x0000fffa,0x5dffff50,0x9fffd511,
    0x3ee09fff,0x88acffff,0x3ffffeba,0x417ffe60,0xfffffffb,0x4c1fffff,
    0xff705fff,0xffffffff,0x3fea03ff,0xffffffff,0x7ffffdc1,0xffffffff,
    0x2fffffdf,0x55555540,0xaaffffba,0x0002aaaa,0x3ffffff2,0xffffffff,
    0x3fffa003,0xffffffff,0x304fff8c,0x00001fff,0xffffffd0,0xf19fffff,
    0x7fe409ff,0xffffffff,0x7403ffff,0x55100fff,0xfffb5555,0xfffe8157,
    0x55555100,0x157fffb5,0x7fffec40,0xea81ffff,0xffffffff,0xfff31eff,
    0x7ffc03ff,0xffffffff,0x6fffffff,0x7ffd4000,0xffffffff,0x7f4c001e,
    0xffffffff,0x6413ffe3,0x000006ff,0xffffffd3,0x7ffc7fff,0x7fffd404,
    0xefffffff,0x17ffdc01,0x0fffb800,0x002fffb8,0x001fff70,0x7ffff5cc,
    0x3ffb201f,0xa82defff,0xf00effff,0xffffffff,0xffffffff,0x910000df,
    0xbffffffd,0x7e400017,0x41dfffff,0xffd04fff,0xc8000007,0x1dffffff,
    0x44027ffc,0xffffffec,0x7fc400bd,0x3ee0005f,0x7ffc40ff,0x3fee0005,
    0x5310000f,0x26200197,0xff800001,0xffffffff,0xffffffff,0xa9800006,
    0x8800000a,0x000009aa,0x44000000,0x000009aa,0x00015530,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x2003ccc8,
    0x2001ccca,0x36603ed9,0x8800003e,0x00019999,0x31000000,0x26000013,
    0x6cc0000a,0x0fb6603e,0x00aaa880,0x40099980,0x36603ed9,0x3b66003e,
    0x00fb6603,0xf982ae60,0x3f6006ff,0xff1002ff,0xfff105ff,0x4c00007f,
    0x003fffff,0x019dffb5,0x7c40002e,0x20003fff,0x002fffe8,0x05ffff10,
    0x007ffff1,0x007ffff7,0x203fffa8,0x882ffff8,0x8803ffff,0xf882ffff,
    0x32003fff,0xff31ffff,0x7fec00df,0xfff5002f,0xffff50bf,0x3e60000d,
    0xb001ffff,0x7fffffff,0x4000efb8,0x3ffffff8,0xffffb000,0xff50001f,
    0xfff50bff,0x7ff540df,0x22003fff,0x7d406fff,0xffa85fff,0xffa806ff,
    0xfffa85ff,0xfff3006f,0x3ffe6fff,0x3fff6006,0xffff3002,0xbffff309,
    0xfff30000,0x3f2001bf,0xffffffff,0x02fffece,0x3ffffe20,0xf8003fff,
    0x002fffff,0x84ffff98,0x885ffff9,0xfffffffe,0x3fff2003,0x7fffcc01,
    0x5ffff984,0x4ffff980,0x05ffff98,0xffffff50,0x00dfff37,0x0017ffec,
    0x3201dff9,0x40000eff,0x003ffff9,0x262fffa2,0xfffffffc,0x3fe2003f,
    0xfffe89ff,0x7fff4003,0xf90001ff,0x3ff201df,0x9dfff00e,0x2a007fff,
    0xf9004fff,0x3ff201df,0xdff9000e,0x03bff201,0x7ffffcc0,0x06fff9cf,
    0x00bfff60,0x03100330,0xffff3000,0x05d10003,0x7fffffb3,0x77ffcc00,
    0x01fffec0,0x0dffff70,0x88019800,0xf99fdc01,0xffd003ff,0x8019800d,
    0x01980018,0xfd800188,0xff9effff,0x3ff6006f,0x0000002f,0x6665c000,
    0x10020000,0x97000375,0x332e0199,0x3fae001c,0x0000000d,0xff982200,
    0xfffc803f,0x00000001,0x40000000,0x9efffff8,0x36006fff,0x00002fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00fffe60,0x0009fff3,
    0x00000000,0x3fee0000,0x6fff9cff,0x0bfff600,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff980000,0x77ff403f,0x00000000,0x00000000,
    0xf37ffff5,0x7ec00dff,0x544002ff,0xcdefeedc,0x00000002,0x00000000,
    0x00000000,0x6dd44000,0x8001acde,0x3203fff9,0x91002fff,0x64c00799,
    0x2a6002cc,0x01acdfdc,0x3fffea00,0x006fff99,0x400bfff6,0xffffffeb,
    0x02efffff,0xcccccc88,0x4003cccc,0x5c41ccc8,0x002cdfed,0x99999991,
    0x91007999,0x99999999,0xf9000079,0xffffffff,0x7fcc001b,0x9fff303f,
    0x37ffcc00,0x09fff500,0xfffffd30,0x001bffff,0x26bfffb0,0x36006fff,
    0xfd002fff,0xffffffff,0x807fffff,0xfffffff8,0x4c006fff,0x3fea2fff,
    0x0dffffff,0x7ffffc40,0x806fffff,0xfffffff8,0x20006fff,0xffffffe8,
    0x01efffff,0x207fff30,0x2000fffe,0x2006fff9,0x5c04fffa,0xffffffff,
    0x003fffff,0x4c3ffff6,0x36006fff,0xfd002fff,0xb99bdfff,0x03fffffd,
    0x7fffffc4,0x4006ffff,0xffb3fff9,0xffffffff,0xffff880d,0x06ffffff,
    0xffffff88,0x0006ffff,0x7bfffff3,0xfffffb95,0x7fff3003,0x005fff70,
    0x006fff98,0xd813ffea,0xcdefffff,0x3ffffffd,0xfffca988,0x3ffe62ff,
    0x3fff6006,0x017bd002,0x06ffffb8,0x3bbbbba2,0x4006fffe,0xffdbfff9,
    0xfffdcdff,0x3ba203ff,0xfffeeeee,0xeeee8806,0x06fffeee,0x1bfffd00,
    0x1bfffa60,0x10fffe60,0x3000bfff,0x5400dfff,0xff504fff,0x3ea01bff,
    0x7d40ffff,0x42efffff,0x2006fff9,0x1002fffd,0xffffa800,0xfff98000,
    0x7ffcc006,0x440cffff,0x0007fffe,0x000dfff3,0x006fff98,0x805fffa8,
    0x802ffff8,0x7ff40999,0xff98000f,0x3fea006f,0xffff884f,0xfffe9804,
    0x7ffffd45,0x0dfff304,0x017ffec0,0xfffd0000,0xfff30003,0xfff9800d,
    0x3e203fff,0x98001fff,0x40006fff,0x8006fff9,0x7001fffe,0x4000dfff,
    0x0002fffb,0x400dfff3,0xfc84fffa,0x3ea005ff,0x37aa1fff,0x3fe600ab,
    0xfff1007f,0x4000005f,0x8003fffd,0x4006fff9,0x03fffff9,0x002fffd8,
    0x006fff98,0x037ffcc0,0x013ffee0,0x001ffff0,0x00bfff10,0x037ffcc0,
    0x889fff50,0x4002ffff,0x0004fffe,0x401fffe6,0x002ffffe,0x3fff2000,
    0xfff98003,0x7ffcc006,0xfff9004f,0xfff30007,0xff98000d,0x7fec006f,
    0x7ff4002f,0xffd8001f,0x3e60000f,0x3ea006ff,0x7ffcc4ff,0xfffb8006,
    0x3fe60005,0x7fe402ff,0x00003fff,0x00ffff20,0x01bffe60,0x00dfff30,
    0x0027ffdc,0x0037ffcc,0x01bffe60,0x003fffd0,0x002fffd8,0x001fffd4,
    0x01bffe60,0x544fffa8,0x98004fff,0x99886fff,0x3fffe600,0xffffb00e,
    0x51000bff,0xdddddb97,0x0007ffff,0x800dfff3,0x2006fff9,0x8004fffa,
    0x0006fff9,0x0037ffcc,0x3333fffe,0xcccccccc,0x003fffec,0x001bffe2,
    0x01bffe60,0x5c4fffa8,0x88003fff,0x7fd47fff,0xfff302ff,0xd7335dff,
    0xffff5fff,0xff910039,0xffffffff,0x0007ffff,0x800dfff3,0x2006fff9,
    0x8004fffa,0x0006fff9,0x0037ffcc,0xfffffff1,0xffffffff,0x009fffff,
    0x2a0fffec,0xf9802ccc,0x3ea006ff,0x7ffec4ff,0xffff0002,0x3ffffe61,
    0xffff981f,0xffffffff,0xfffffb2f,0x7fffdc03,0xffffffff,0x8003ffff,
    0x4006fff9,0x2006fff9,0x8004fffa,0x0006fff9,0x0037ffcc,0xfffffff3,
    0xffffffff,0x009fffff,0xe98fffea,0x02ffffff,0x801bffe6,0x7f44fffa,
    0xff0002ff,0x3fff21ff,0xff984fff,0xffffffef,0x3ffe62ff,0xfff501ff,
    0x33357bff,0x07fff933,0x0dfff300,0x06fff980,0x013ffea0,0x01bffe60,
    0x0dfff300,0x67fffc40,0xcccccccc,0x2ccccccc,0x46fff880,0xfffffffe,
    0xdfff301f,0x27ffd400,0x000ffff6,0xfe9fffe2,0x986fffff,0xfffacfff,
    0xfe980dff,0xfff881ff,0xffc800df,0xff98003f,0x7fcc006f,0x3fea006f,
    0xff98004f,0x7cc0006f,0x7fc006ff,0x000000ff,0x541fffc8,0xfffb9aef,
    0x0dfff304,0x227ffd40,0x8004fffb,0x3f66fff9,0x985fffff,0x26a24fff,
    0x50198800,0x2001ffff,0x8003fffc,0x4006fff9,0x2006fff9,0x8004fffa,
    0x0006fff9,0x0037ffcc,0x0007fffa,0x9fff3000,0x17ffa0a0,0x0037ffcc,
    0xfa89fff5,0xfa8005ff,0x3ffe65ff,0xff981fff,0x2000005f,0x2004fffc,
    0x8003fffc,0x4006fff9,0x2006fff9,0x8004fffa,0x0006fff9,0x0037ffcc,
    0x000ffff6,0x0dffd000,0x105fff80,0x6c00ffff,0x7fcc4fff,0x7ec000ff,
    0x7ffdc4ff,0xdfff303f,0x7f400000,0x3f6003ff,0xf98003ff,0x7cc006ff,
    0x3ea006ff,0xf98004ff,0x4c0006ff,0x5c006fff,0x0000ffff,0x03fff900,
    0x017ffdc0,0x3200ffff,0x7c44ffff,0x22003fff,0xa881ffff,0x3ffe600a,
    0x36000006,0xe9804fff,0x8003ffff,0x4006fff9,0x2006fff9,0x8004fffa,
    0x0006fff9,0x0037ffcc,0x013fffe2,0x3ffe6000,0x3ffee004,0x17fffc05,
    0x3ffffee0,0x0ffffc84,0x09fffb00,0x6fff9800,0x3f200000,0x3ee00fff,
    0x003fffff,0x006fff98,0x0037ffcc,0x0009fff5,0x000dfff3,0x006fff98,
    0x0cffffb8,0x3ffa0000,0xfffb000e,0xdfffb00b,0x7ffffe40,0xffff884f,
    0x7ffec01e,0x7cc0000f,0x000006ff,0x2bbfffea,0xffffd730,0x30007fff,
    0x9800dfff,0x2a006fff,0x98004fff,0x40006fff,0x0006fff9,0x57fffffd,
    0x2dca9883,0x005fff70,0x007fffd1,0x2bbfffea,0xcfffea88,0xff704fff,
    0x51159fff,0x07ffffd7,0xdfff3000,0xfd800000,0xffffffff,0xfff9dfff,
    0x55555503,0x55ffff75,0xf3055555,0x7d400dff,0x555504ff,0xffff7555,
    0x25555555,0xbaaaaaaa,0xaaaaffff,0x3fa602aa,0xffffffff,0x82ffffff,
    0xa805fff9,0x4001efff,0xfffffffe,0xff8cffff,0x3fff204f,0xffffffff,
    0x00003fff,0x000dfff3,0xfffe8800,0x2fffffff,0x3e07fff1,0xffffffff,
    0xffffffff,0x6fff986f,0x13ffea00,0x7ffffffc,0xffffffff,0xffff6fff,
    0xffffffff,0x0dffffff,0xffffff90,0xffffffff,0x01fffd05,0xfffffff0,
    0x74c03fff,0xffffffff,0x013ffe3f,0xfffffff5,0x003dffff,0x37ffcc00,
    0xfb800000,0x0cefffff,0x7c0fffe2,0xffffffff,0xffffffff,0x6fff986f,
    0x13ffea00,0x7ffffffc,0xffffffff,0xffff6fff,0xffffffff,0x0dffffff,
    0x3fffb260,0xbdffffff,0x017ffdc0,0xfffffff8,0xfc801fff,0x41dfffff,
    0xc8804fff,0xdffffffe,0x4400000b,0x00003ccc,0x00d4c400,0x7ffffc00,
    0xffffffff,0x986fffff,0x2a006fff,0xfff04fff,0xffffffff,0xdfffffff,
    0x3ffffffe,0xffffffff,0x10006fff,0x40133553,0x2005fff8,0xffffffff,
    0x2a2001ff,0x0000009a,0x00001553,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xedca8800,
    0xccccccef,0x51001ccc,0x1159bdb7,0x400007b7,0x98819a99,0x20000099,
    0x99999999,0x33300099,0x99100001,0xbdb73039,0x6664c037,0x9970000c,
    0x00000059,0x00000000,0x7d400000,0xffffffff,0x3fffffff,0x7ffffdc0,
    0xffffffff,0x7f5c0003,0x3fffffff,0x0005fffb,0x3ffffe20,0x806fffff,
    0x0006fff9,0x2a3fff98,0xffffffff,0xffff880e,0xfff88004,0x765c401f,
    0x00bcefff,0x3fb2e600,0x44001ace,0xefffeeca,0xfd0001cd,0xffffffff,
    0xffffffff,0x3fff6207,0xffffffff,0x50003fff,0xffffffff,0x3ff69fff,
    0xf100002f,0xffffffff,0xfff300df,0xff30000d,0x3ffff27f,0x0effffff,
    0x007fffc8,0x206fffb8,0xffffffc8,0x00cfffff,0x3ffffa20,0x01efffff,
    0xffffffa8,0x1dffffff,0x3ffff200,0xffea99ad,0x82eeefff,0xdfffffe9,
    0xffffedcc,0xffb8003f,0xffffffff,0x5fffb4ff,0x3fe20000,0xffffffff,
    0x6fff9806,0xfff98000,0xceffffcc,0x86fffffd,0x002ffff9,0x981ffff4,
    0xffffffff,0x0effffff,0xfffffa80,0xffffffff,0x7fffd402,0xffffffff,
    0xffa803ff,0x3ff202ff,0x3fe200ff,0x36601fff,0x44003fff,0x09bfffff,
    0x3f659533,0x200002ff,0xfa999999,0xff9806ff,0xf980006f,0x1efffeff,
    0x0ffffec4,0x002ffff4,0x101ffff3,0x59bffffd,0xfffff975,0xffffc80b,
    0xffffdeff,0x3ea03fff,0xdcbcceff,0x01ffffff,0x4027ffec,0x2e04fffe,
    0xc800efff,0x6c003fff,0x2000efff,0x0002fffd,0x6fff9800,0x06fff980,
    0xffff9800,0x7fec04ff,0xffffb85f,0xbfff9000,0x03bfff60,0x2ffffc88,
    0x5dffff70,0xffffb981,0x8037302f,0x06ffffb8,0x4007fffc,0xf106fffa,
    0x32001fff,0x7c003fff,0x6c002fff,0x00002fff,0x06fff980,0x006fff98,
    0xfffff980,0xffff9804,0x1ffffc40,0x82fffe80,0x000ffff8,0x3e09fffb,
    0x5400efff,0x0006ffff,0x01ffff70,0x401bffe2,0xf907fff8,0x7e400bff,
    0x3e2003ff,0xfd8006ff,0x000002ff,0x806fff98,0x0006fff9,0x05ffff98,
    0x20bfffe0,0x9806fffc,0xff307fff,0x7fd400df,0xefffb86f,0xffff7000,
    0x3fe00003,0xfff502ff,0x3ffe200d,0x03fffd07,0x01fffe40,0x00bfff50,
    0x005fffb0,0xfff30000,0xdfff300d,0xfff30000,0xfffc800d,0x1ffff983,
    0x827ffe40,0x2005fffb,0x7c46fff9,0x6c002fff,0x00005fff,0x2607fffd,
    0xf3007fff,0x3ffe0bff,0x3ff2000f,0x3fee003f,0xffd8004f,0x8000002f,
    0x9806fff9,0x80006fff,0x4006fff9,0xfd04fffb,0xfff809ff,0xdfff501f,
    0x2fffe400,0x001fffee,0x003fffee,0x0bfffa00,0x802ffff8,0xf884fffc,
    0x7e4007ff,0x3f2003ff,0xfd8004ff,0x991002ff,0xf3001999,0xff300dff,
    0xfedb88df,0xfff301cd,0xfffb800d,0x0ffff705,0x3037ffd4,0x1005ffff,
    0xfe89ffff,0xf88004ff,0x80002fff,0x3201ffff,0x2a00ffff,0xf981ffff,
    0x7e4006ff,0x3f2003ff,0xfd8004ff,0xff8802ff,0xf3001fff,0xff300dff,
    0x7fffd4bf,0xf984ffff,0x7d4006ff,0xfff106ff,0x3fff205f,0x7ffff403,
    0x7fffdc01,0x07fffe20,0x1fffec00,0x3ffe6000,0x7fffc406,0x7ffdc42f,
    0xbfff504f,0x3fffc800,0x13fff200,0x0bfff600,0x3fffff10,0x37ffcc00,
    0xcafffcc0,0xffffffff,0x7ffcc6ff,0x7ffd4006,0x17fff605,0x2007fffc,
    0x83fffffa,0x43ffffd8,0x0007fff9,0x0013fff2,0x007fffd0,0xdffffff9,
    0x0dffffff,0x0037ffd4,0x330ffff2,0xff933333,0x333333bf,0x7fec1333,
    0x3ffa202f,0x7cc001ff,0xff9806ff,0xdffffcdf,0x3fffffdc,0x001bffe6,
    0x4c09fff7,0x7d40ffff,0xff9005ff,0x3ee5dfff,0xfb82ffff,0x2e0007ff,
    0x30005fff,0x5007fffd,0xffffffff,0x019fffff,0x0037ffcc,0xf88ffff2,
    0xffffffff,0xffffffff,0x3f66ffff,0xffd102ff,0xf30003ff,0xff300dff,
    0x81bfffff,0x267fffe8,0x64006fff,0x7f402fff,0x7ffec3ff,0x3ffee002,
    0xffffffff,0xdfff701e,0x7ffdc000,0x2eaaa206,0x01ffffec,0xdaefff88,
    0x0defffff,0x07fff880,0x11fffec0,0xffffffff,0xffffffff,0x6cdfffff,
    0xfe882fff,0x30001fff,0xf300dfff,0x409fffff,0xf31ffff8,0xfd800dff,
    0x7fdc01ff,0x1fffe26f,0x3fffa600,0x00dfffff,0x0017fff2,0x207fffa8,
    0xfffffffa,0xff5000ef,0x0009885f,0x001ffff0,0x88ffffee,0xffffffff,
    0xffffffff,0x366fffff,0x7f442fff,0x20001fff,0x9806fff9,0x803fffff,
    0xff32fffd,0x7fc400df,0x7fc400ff,0x9fff71ff,0x3ffe6000,0x01efffff,
    0x0017fff2,0x207fff98,0xfffffffa,0x6400ceff,0x00000fff,0x401ffff4,
    0x43fffffa,0xc9999999,0x9999dfff,0x36099999,0x3fa22fff,0x40001fff,
    0x9806fff9,0x9004ffff,0x3fe67fff,0x3ff2006f,0xfffb006f,0x007fffa9,
    0xfffff910,0x0bffffff,0x0017fff2,0x207fff98,0xffffeeea,0x202fffff,
    0x0003fffe,0x037ffdc0,0x3fffffe6,0x3fff2003,0xfffd8004,0x3ffffd12,
    0xfff30000,0xdfff300d,0xa7ffdc00,0x1006fff9,0x2003ffff,0xff9ffffa,
    0x7fc4006f,0xfea9efff,0x5c0effff,0x20006fff,0x8007fffa,0xfffffda9,
    0x9ffffb02,0x88000335,0xf504ffff,0x07ffffff,0x027ffe40,0x457ffec0,
    0x001ffffe,0x0dfff300,0x00dfff30,0xf9a7ffd4,0xff9806ff,0x7f4004ff,
    0x03fffeff,0x3ffffe60,0xfffffb83,0x037ffd46,0x0dfff700,0xfffe8800,
    0xffffa80f,0xffffffff,0x6c00bcef,0xb8adffff,0xffbdfffe,0x3ff2003f,
    0xffd8004f,0x1ffffeaf,0x3fe60000,0xfff9806f,0x3ffea006,0x7dffff34,
    0x3ff2a613,0x5c000eff,0x0fffffff,0x3ffffa00,0x3fffa601,0x1fffe63f,
    0x6fffc800,0xffe88000,0xffff903f,0xffffffff,0x2019ffff,0xffffffe8,
    0xff75ffff,0x7fe4007f,0xffd8004f,0x03ffffef,0x7ffcc000,0x6fff9806,
    0x53ffea00,0xfffffff9,0xffffffff,0xff88001e,0x2005ffff,0x801ffffa,
    0x10ffffe8,0x0001ffff,0x0013fff6,0x02fffe40,0xfffffffd,0xffffffff,
    0x7ff440df,0x25ffffff,0x2003fffb,0x8004fffc,0xffdafffd,0x200002ff,
    0x9806fff9,0x2a006fff,0xfff34fff,0xffffffff,0x80007fff,0x01fffffd,
    0x013fffa0,0x21ffffa8,0x8002ffff,0x002ffff8,0x0ffff500,0x2abbfff6,
    0xffecccaa,0x2205ffff,0x2cffffec,0x001fffdc,0x0009fff9,0x3f65fffb,
    0x00001fff,0x300dfff3,0x5400dfff,0xfff34fff,0xffffffdf,0x5000019b,
    0x800bffff,0x4002ffff,0x3fa3ffff,0xfa8005ff,0x00000fff,0xfb0dfff5,
    0x2a200bff,0x1007ffff,0x7ffdc035,0x3fff2003,0xfffd8004,0x3ffffd12,
    0xfff30000,0xdfff300d,0xa7ffd400,0x2666fff9,0xa8000009,0x2001ffff,
    0x001ffff8,0xf727fff4,0xd8001fff,0x00004fff,0xf313ffee,0xb8001fff,
    0x0001ffff,0x007fff90,0x0027ffe4,0xf117ffec,0x0001ffff,0x806fff98,
    0x2006fff9,0xff34fffa,0x000000df,0x0037fff4,0x00bfffe2,0x445ffff0,
    0x2003ffff,0x000ffff9,0x0ffffa00,0x0009fff7,0x003ffff1,0x0ffff200,
    0x04fffc80,0x42fffd80,0x00effff9,0x1bffe600,0x01bffe60,0xf34fffa8,
    0x00000dff,0x0bfffea0,0x17fffa00,0x0ffffa80,0x017fffe4,0x027fffcc,
    0xffff9000,0x04fffd81,0x07fff980,0x3fff2000,0x3fff2003,0xfffd8004,
    0xeffffa82,0xfff30000,0xdfff300d,0xa7ffd400,0x0006fff9,0xffff9800,
    0xfff90005,0xfff3009f,0xffff10df,0x7ffc405f,0x880000ff,0xc82ffffc,
    0xd8006fff,0x00006fff,0x800ffff2,0x8004fffc,0xf702fffd,0x2000dfff,
    0x9806fff9,0x2a006fff,0xfff34fff,0x8800000d,0x000efffe,0xffffff10,
    0xfb531337,0x2e03ffff,0xacefffff,0xfffffec9,0x33559103,0xffb55333,
    0x3ea09fff,0x9800dfff,0x001ffffd,0x0ffff200,0x04fffc80,0x02fffd80,
    0x017ffff2,0x01bffe60,0x801bffe6,0xff34fffa,0x200000df,0x1fffffb8,
    0x7ffcc000,0xffffffff,0x402fffff,0xfffffffa,0x2fffffff,0x3ffffe20,
    0xffffffff,0x3fa205ff,0xacceffff,0xffffecca,0x6400003f,0x32003fff,
    0xd8004fff,0x7ec02fff,0xaaa85fff,0xfffbaaaa,0x2aaaaaaf,0x400dfff3,
    0xff34fffa,0x320000df,0xffffffef,0xd300003f,0xffffffff,0x005dffff,
    0x3fffffe6,0x00efffff,0x7fffffc4,0xdfffffff,0xfffe8801,0xffffffff,
    0x003fffff,0x3fffc800,0x13fff200,0x0bfff600,0x13ffffa0,0xffffffff,
    0xffffffff,0x3ffe6dff,0x3ffea006,0x00dfff34,0x3ffff200,0x0002efff,
    0xffffda80,0x001dffff,0xffffdb88,0xf1003def,0xffffffff,0x88003bdf,
    0xffffffeb,0x0bffffff,0xff900000,0x7fe4007f,0xffd8004f,0xffe8802f,
    0x3fffe3ff,0xffffffff,0x36ffffff,0x5400dfff,0xfff34fff,0x3f20000d,
    0x004fffff,0x55310000,0x88000013,0x260000aa,0x009aaaa9,0x332a6000,
    0x01abceed,0xcca80000,0x3ff2002c,0xffd8004f,0xfff1002f,0x3fffe7ff,
    0xffffffff,0x36ffffff,0x5400dfff,0x99914fff,0x36a00007,0x00009acd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00033baa,0x00000000,0x3b660000,0x00fb6603,0x00000000,0xcccc8800,
    0xcccccccc,0x0000cccc,0x31000000,0x00599975,0x7ee54c00,0x001bdeff,
    0x33bfb2a2,0xff90001a,0x88001dff,0x01bdfeca,0xdba88000,0x00aceeff,
    0x82ffff88,0x003ffff8,0x3fffb2ea,0x000abdef,0x0003b2a2,0xfffffff3,
    0xffffffff,0xdb98003f,0x001bdefe,0x3ffff660,0x0004ffff,0xffffffb8,
    0x2effffff,0x3ffffa20,0x004fffff,0x7fffffc4,0xffff7003,0x1bffffff,
    0xfffa8000,0xffffffff,0x3fea01df,0xfffa85ff,0xffea806f,0xffffffff,
    0x3fe002ff,0x7cc000ff,0xffffffff,0x1fffffff,0xffff9100,0x05dfffff,
    0x7ffff540,0x04ffffff,0x3fffa200,0xffffffff,0xfd304fff,0xffffffff,
    0x2a001bff,0x05ffffff,0xffffffd8,0x1fffffff,0xffff9000,0xffffffff,
    0x7fcc05ff,0xfff984ff,0x3ffa605f,0xffffffff,0x2002ffff,0x4000ffff,
    0xfffffff9,0xffffffff,0xfffa801f,0xffffffff,0x7ec00dff,0xffffffff,
    0x70004fff,0xffffffff,0xfffffdbd,0xfffff309,0xfffdb79d,0xff3001df,
    0x4409ffff,0x9bdffffe,0xffffeca8,0x3ffa2003,0xeeefffff,0x402fffff,
    0xf900effc,0x3fa201df,0xccdeffff,0x02fffedc,0x003fffe0,0x009fff30,
    0xffff1000,0xfd9779df,0x7ec01fff,0x1abdffff,0xfff90000,0x22035bff,
    0x7fc44fda,0xff900eff,0x3f600bff,0xf301ffff,0xf500bfff,0xf3009fff,
    0x037dffff,0x200bfae2,0x40188019,0x00cffffd,0x3e001a98,0x4c000fff,
    0x00004fff,0x02ffffc8,0xfd807faa,0x0000dfff,0xfffff980,0x320c4003,
    0x5c00efff,0x8800ffff,0x3602fffd,0x26003fff,0x6c00ffff,0x000dffff,
    0x00000026,0x02ffffa8,0x7ffc0000,0x7fcc000f,0x4c00004f,0x8801ffff,
    0x3fffea02,0x36000001,0x0002ffff,0x01ffff88,0x009fffb0,0x3fe60044,
    0xff98003f,0x3ffea04f,0x0000004f,0xfffc8000,0xf8000005,0x4c000fff,
    0x00004fff,0x002fffdc,0x02fffe80,0x3fea0000,0x700002ff,0x4c00bfff,
    0x0000ffff,0x001bffa0,0xd00fffb8,0x0000bfff,0x3a000000,0x00003fff,
    0xf9999995,0x99999fff,0x26599999,0x00004fff,0x0017ffec,0x02fffdc0,
    0x3ffa0000,0x3a00006f,0x74002fff,0x00003fff,0x9105fff5,0x447bdffd,
    0xffa84fff,0x800001ff,0xccccccc8,0xff003ccc,0x200007ff,0xfffffffb,
    0xffffffff,0xf35fffff,0x800009ff,0x0001fffe,0x000fffe8,0x3ffea000,
    0xf300001f,0xfc800fff,0x00004fff,0xff50dffd,0xc8ffffff,0x7ff40fff,
    0x1000005f,0xffffffff,0x3f600dff,0x700006ff,0xffffffff,0xffffffff,
    0x3e6bffff,0x400004ff,0x0000ffff,0x0037ffc4,0x3fff2000,0x3ea00005,
    0xfd1004ff,0x000bffff,0xf50fffe0,0xfffdffff,0x7c2fff88,0x00002fff,
    0xffffff10,0x200dffff,0x003ffffc,0xeeeeea80,0xeeeffffe,0x4eeeeeee,
    0x0009fff3,0x03fffc40,0x27ffd400,0x3f600000,0x200003ff,0xa804fffb,
    0x6fffffff,0xfff88000,0x21ffff41,0x23ffe838,0x000ffff8,0xdddd1000,
    0x0dfffddd,0x3ffffe60,0x3e000004,0x4c000fff,0xaaaadfff,0xff880019,
    0xfc80007f,0x372ea2ff,0x8001acde,0x0002fffe,0x00ffff20,0xfffffff9,
    0xf30000ff,0x7ffd41ff,0x93ff6002,0x0007fffa,0xfff30000,0x7ffdc00d,
    0x00003fff,0x000ffff8,0x7fffffcc,0x02dfffff,0x00ffff10,0x73fffd00,
    0xfffffffd,0x7c001bff,0x00001fff,0x4c0bfff6,0xf8effffe,0x40000fff,
    0x7fe47ffa,0x2ffe4006,0x000dfff7,0x3fe60000,0x7fec006f,0x01cfffff,
    0x1ffff000,0xffff9800,0xffffffff,0x7fc402ff,0xfe80007f,0xffffffff,
    0xffffffff,0xffff9802,0x3ffff200,0xfb5fffff,0xfff503ff,0x7fff49ff,
    0x7fdc0000,0x002ffec7,0xffc9ffee,0x0000005f,0x00dfff30,0xffffff70,
    0x80005bff,0x4000ffff,0xfffffff9,0xffffffff,0x7fffff42,0xffffffff,
    0xff01ffff,0x9bffffff,0xffffdb97,0xfffa801f,0x7fffe407,0xfd5fffff,
    0xfffd83ff,0x7fff42ff,0x405dc401,0x7ffc5ffc,0x3ffd4004,0x0009fffb,
    0x3fe60000,0xfb10006f,0xdfffffff,0x3ffe0005,0x2200000f,0xfffffca9,
    0x3ffffa2f,0xffffffff,0xf01fffff,0x805bffff,0x405ffffb,0x6407fffa,
    0xffffffff,0x21fffd5f,0x0effffe9,0x201fffe8,0x643ffffa,0x27ff46ff,
    0xd9ffee00,0x00005fff,0xdfff3000,0xffc88000,0x0dffffff,0x07fffc00,
    0x3ee00000,0x3ffa7fff,0xffffffff,0x1fffffff,0x02ffff88,0x07fffee0,
    0x00ffff98,0x32aaaaa6,0xfffb5fff,0x9fffff73,0x007fffc0,0x43ffffff,
    0x7fec7ffb,0x37fe4005,0x000bfff9,0x3fe60000,0x2a00006f,0xfffffffe,
    0x3fffe000,0xb8000000,0x5551ffff,0x557ffff7,0x15555555,0x003fffe0,
    0x407fffd0,0x001ffff8,0xf95fffa8,0xfffffdff,0x07fff805,0x3fffffe2,
    0xc83ffea5,0x36000fff,0x3ffee5ff,0x00000006,0x000dfff3,0xffffb300,
    0x7ffc00df,0x0000000f,0xf107ffff,0xf0000fff,0xb8003fff,0x7fc05fff,
    0xfa8001ff,0xffff75ff,0x8801bfff,0x7fc06fff,0x3e67ffff,0x3ffea1ff,
    0xffe8080d,0x01fffea3,0x7cc00000,0x000006ff,0x13ffffe6,0x007fffc0,
    0xffd80000,0x7fff885f,0xfffe8000,0x7ffd4002,0x17fff406,0xafffd400,
    0x3ffffffa,0x0dfff300,0xffffffb8,0xfd0bffe0,0xfd979fff,0x7cc5fff0,
    0x00000fff,0x6fff9800,0x74400000,0xff006fff,0x000001ff,0x217fff20,
    0x0007fff8,0x002fffd8,0x203fffcc,0x8006fffd,0xff55fffa,0x5c003fff,
    0xfe805fff,0x3fe0ffff,0x7fffcc5f,0x7d47ffff,0x3ffe21ff,0x0000003f,
    0x006fff98,0xfffb8000,0xffff800f,0xb0000000,0xff107fff,0xf90000ff,
    0xfa8007ff,0x7fdc05ff,0x7d4001ff,0xffff15ff,0xfffe8003,0xffff9803,
    0x20fffdc6,0xffffffd8,0x7c37ff46,0x00007fff,0x6fff9800,0xf8800000,
    0xff801fff,0x000000ff,0x103ffff0,0x0000ffff,0x800dfff7,0x4404fffc,
    0x4005ffff,0x3fa5fffa,0x3e2003ff,0xff000fff,0xfff88bff,0x03573105,
    0xf705fff3,0x00007fff,0x6fff9800,0xf8800000,0xfe800fff,0x000001ff,
    0x80ffffa8,0x0007fff8,0x01ffff88,0x00bfffa0,0x007fffee,0x2a5fffa8,
    0x32006fff,0xf1004fff,0xff707fff,0x3f60003f,0xffff106f,0x0000001d,
    0x0037ffcc,0x7ffcc000,0x5fffb007,0xf9800000,0xff105fff,0x360000ff,
    0xf7004fff,0x3a001fff,0x5003ffff,0xffe8bfff,0xfffa804f,0xfff7000f,
    0xffff101f,0xfffc8003,0x3fffee02,0x0000001e,0x000dfff3,0xbfffd000,
    0x17fff200,0xffb80000,0x3fe206ff,0xf300007f,0xf9809fff,0x2a002fff,
    0x804fffff,0x7dc5fffa,0x3e603fff,0xf7005fff,0x7dc05fff,0xd8802fff,
    0xfe806fff,0x8803ffff,0xf98002da,0x0b9806ff,0x7ffecc00,0xfff5002f,
    0x55dc007f,0xeba99999,0x200fffff,0x0007fff8,0x37ffff60,0xfff9310a,
    0xffb000bf,0x379dffff,0xbfffd953,0xdffffe88,0xfffdb89a,0xd75300ef,
    0x7009ffff,0x8159ffff,0x0efffeb9,0xfffffa80,0xcbabceff,0x8002fffe,
    0xa806fff9,0xaabcceff,0xfffdcaa9,0x7f4004ff,0x999adfff,0xfffd4ca9,
    0xffffffff,0x55503dff,0x557ffff7,0x55555555,0xffd10155,0xffffffff,
    0x0001dfff,0x3fffffea,0xffffffff,0xffe885ff,0xffffffff,0xff100eff,
    0x007fffff,0x7fffffd4,0xffffffde,0x7fec4004,0xffffffff,0x502fffff,
    0xf7555555,0x55555fff,0x3fffea55,0xffffffff,0x005fffff,0xffffff98,
    0xd5ffffff,0xffffffff,0x7405ffff,0xffffffff,0xffffffff,0x3202ffff,
    0xffffffff,0x80003fff,0xffffffd8,0xffffffff,0x3ffff603,0x05ffffff,
    0x6fffffc4,0xffe98000,0xffffffff,0x3ee0002f,0xffffffff,0xf01fffff,
    0xffffffff,0xffffffff,0x3fffeadf,0xffffffff,0x0003efff,0x3fffffee,
    0xfd5fffff,0xdfffffff,0xfffd007b,0xffffffff,0xffffffff,0xffda805f,
    0x00ceffff,0x7f654000,0xdfffffff,0xffdb800a,0x802cefff,0x001acde8,
    0x7fee5440,0x000bceff,0xffedb880,0x0adfffff,0x3fffffe0,0xffffffff,
    0xb916ffff,0xffffffff,0x0005bfff,0x3fffb220,0x263effff,0x001aaaa9,
    0xffffffe8,0xffffffff,0x02ffffff,0x0006a620,0x55510000,0xa8800013,
    0x00000009,0x00133000,0x26a60000,0x3ffe0009,0xffffffff,0x6fffffff,
    0x35553310,0x20000003,0x00099998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xccccccc9,0xcccccccc,0x00799932,0x00799910,0x00000000,
    0x65cc4000,0x000bcdee,0xccccca80,0x4ccccccc,0x0033332a,0x12666540,
    0x00007999,0x99999970,0x90003579,0x99999999,0x99999999,0x22399999,
    0xcccccccc,0xcccccccc,0xfffff50c,0xffffffff,0x3ffee9ff,0xfff98005,
    0x3f72a206,0x20002cef,0xcdffeca8,0xfb10000a,0xffffffff,0xff8000df,
    0xffffffff,0xff10ffff,0x3e000bff,0x3fe64fff,0xd800006f,0xffffffff,
    0x802dffff,0xffffffff,0xffffffff,0x32ffffff,0xffffffff,0xffffffff,
    0x3fffea1f,0xffffffff,0xfff74fff,0xfff3000b,0xffffd30d,0x03dfffff,
    0xfffffb80,0x001fffff,0x7fffffdc,0x07ffffff,0x3fffea00,0xffffffff,
    0x3ffee0ff,0x7fdc001f,0x37ffcc6f,0x7fec0000,0xffffffff,0x200dffff,
    0xcccccdff,0xcccccccc,0x32ffcccc,0xffffffff,0xffffffff,0x3fffea1f,
    0xffffffff,0xfff74fff,0xfff3000b,0xfffffb8d,0xffffffff,0xfffe9803,
    0xffffffff,0xffe8803f,0xedceffff,0x20007fff,0xeffffffe,0x84cccccc,
    0x2006fffe,0x4c2ffff8,0x00006fff,0xeeefffd8,0xfffffffe,0x03ff02ff,
    0x4cbfa000,0xeeeeffff,0xeeeeeeee,0xffb0000e,0x17ffee9f,0x5bffe600,
    0xffffffd8,0xfffffdcd,0x3ffe201f,0xecbabdff,0x6404ffff,0x202fffff,
    0xf30007c9,0x09fff9ff,0x2ffff980,0x0bfff900,0x000dfff3,0x05fffb00,
    0xffffd753,0x883ff07f,0x97f40009,0x0006fff9,0x7ffec000,0x00bfff74,
    0x22dfff30,0x901cfffe,0x6c0dffff,0x3601efff,0xf300ffff,0x0001bfff,
    0xafffc800,0xc8004fff,0x4c00ffff,0xf980ffff,0xffffffff,0x2000bcef,
    0xc802fffd,0x7c0fffff,0x77ffec1f,0x997f400c,0x00006fff,0xa7ffec00,
    0x8005fffb,0x3e66fff9,0xfffb802f,0xffffb82f,0x4fffc800,0x00dfffd0,
    0x3ffe0000,0x004fff9c,0x04ffff88,0x9827ffec,0xffffffff,0x1cffffff,
    0x02fffd80,0x89ffff30,0x7ffec1ff,0xfd00cfff,0x01bffe65,0xffb00000,
    0x17ffee9f,0x1bffe600,0x7ffc0013,0x3ffff83f,0x1ffff100,0x01ffffa8,
    0xffa80000,0x04fff99f,0x1ffff700,0x81bffea0,0xfffffff9,0xffffffff,
    0x7ffec04f,0x3fff2002,0x2207fe0f,0x06fffda9,0x3ffe65fd,0x40000006,
    0xff74fffd,0xff3000bf,0xfc8000df,0x7ffc45ff,0x7ffec007,0x02fffe44,
    0xffe80000,0x009fff36,0x82ffff40,0x2602fffe,0xaaaaffff,0xfffffdca,
    0x3fff603f,0x3ffe2002,0x2007fe4f,0xfe85ffe8,0x00dfff32,0xffd80000,
    0x0bfff74f,0x0dfff300,0x6fffb800,0x0037ffd4,0xfb17ffea,0x000007ff,
    0x265fff30,0x20004fff,0x5c1ffffa,0x7cc05fff,0xffb806ff,0xffb02fff,
    0xffc8005f,0x4007fe7f,0x7f41ffe8,0x00dfff32,0xffd80000,0x0bfff74f,
    0x0dfff300,0x6fffb800,0x002fffdc,0xff1bffe2,0x000003ff,0x261fff90,
    0x40004fff,0x3e26fffd,0x7cc00fff,0xff3006ff,0x3ff60fff,0x7fcc002f,
    0x8007fe7f,0x97f43ffb,0x0006fff9,0x7ffec000,0x00bfff74,0x00dfff30,
    0x45fffc80,0x8005fffc,0x3fe27fff,0x000000ff,0xf327ffc4,0x880009ff,
    0xff92ffff,0xfff3009f,0x7ffdc00d,0x2fffd80f,0x7fffc400,0x4c003ff0,
    0x997f44ff,0x00006fff,0xa7ffec00,0x8005fffb,0x0006fff9,0x2e27ffec,
    0xf8006fff,0xfff30fff,0x7000000f,0x7fcc3fff,0xfb80004f,0x6fff9eff,
    0x0dfff300,0x82ffff80,0x8002fffd,0x3ff1ffff,0x21ffdc00,0xdfff32fe,
    0xd8000000,0xfff74fff,0xfff3000b,0x7fc4000d,0x7ffcc2ff,0x7ff4000f,
    0x1ffff11f,0xfe800000,0x77ffcc6f,0x03cccccc,0x3fbfffa0,0xff3002ff,
    0xffd800df,0xffd9994f,0x079999bf,0xff2ffff8,0x0fff4003,0x7ffccbfa,
    0xcccccccf,0x002ccccc,0x5d3fff60,0x98005fff,0x20006fff,0xf886fffb,
    0x74004fff,0x3ffe2fff,0x2000001f,0x7cc3fff9,0xffffffff,0x3fea005f,
    0x2005ffff,0x4006fff9,0xfff5fffc,0xffffffff,0xfffe80bf,0x55103ff3,
    0xd0bfff95,0x3fffe65f,0xffffffff,0x0004ffff,0x7dd3fff6,0xf98005ff,
    0xf30006ff,0x3f205fff,0xd9802fff,0x3fe2ffff,0x000002ff,0xf303fff2,
    0xffffffff,0xffd800bf,0x26000fff,0x64006fff,0xffff4fff,0xffffffff,
    0x4fffd80b,0xfff303ff,0xfd019fff,0x3ffffe65,0xffffffff,0x20004fff,
    0xff74fffd,0xff3000bf,0xfd1000df,0x7fc40bff,0x989adfff,0xfffffeb9,
    0x17fffa2f,0x7fc40000,0xffff985f,0x04eeeeee,0x1ffffcc0,0x1bffe600,
    0x27fffd00,0xeffffeee,0x7404eeee,0x03ff4fff,0x039bdff3,0xfff997f4,
    0xeeeeeeef,0x003eeeee,0x5d3fff60,0x98005fff,0xd8006fff,0x5400ffff,
    0xffffffff,0xffffffff,0x3ffee1ff,0xb800001f,0xff982fff,0xaaa8004f,
    0xffffaaaa,0x1aaaaaac,0x006fff98,0x6c0ffffc,0xf8002fff,0x03ff3fff,
    0x3a003ff3,0x0dfff32f,0xfd800000,0xbfff74ff,0xdfff3000,0xffffd800,
    0xfffd3001,0xffffffff,0xf83fffd9,0x00006fff,0xf307ffe8,0xf88009ff,
    0xffffffff,0xffffffff,0x6fff983f,0x1bfff200,0x0017ffec,0xff9ffffc,
    0x001ff881,0x3ffe65fd,0x40000006,0xff74fffd,0xff3000bf,0x7fec00df,
    0xdb8002ff,0xbdeffffe,0xb81fffd0,0x802effff,0x7ffcc038,0x09fff304,
    0xfffff880,0xffffffff,0x983fffff,0xf5006fff,0x3f605fff,0x7c4002ff,
    0x03ff2fff,0x3a003ff1,0x0dfff32f,0xfd800000,0xbfff74ff,0xdfff5000,
    0x3ffff200,0x01300003,0x221bffe2,0xbdfffffe,0x7fdba99a,0x807ffec0,
    0x4004fff9,0xeeeeeee8,0xeeeeffff,0xff982eee,0x7fecc06f,0x3ff605ff,
    0x7fcc002f,0x103ff0ff,0x3fa00199,0x00dfff32,0xffd80000,0x0dfff53f,
    0x09fff500,0x07ffff90,0x3ea00000,0x3ff604ff,0xffffffff,0x3e207fff,
    0xffffffff,0x004fffff,0x0ffff400,0x3fffe600,0xfedccccc,0x200effff,
    0x4002fffd,0x3fe6fffd,0x5fd00001,0x001bffe6,0xfffd0000,0x01bffe65,
    0x00fffee0,0x007ffff9,0x7fe40000,0x7ffe402f,0xffffffff,0x3ffee07f,
    0xffffffff,0x00004fff,0x000ffff4,0x3fffffe6,0xffffffff,0xfffd804f,
    0x3ffe6002,0x4407fe3f,0x4cbfa000,0x00006fff,0x8ffffc00,0x8007fff8,
    0x3202fffd,0x0003ffff,0x3ffe2000,0xffd71007,0x37dfffff,0x7fffff40,
    0xffffffff,0x7400004f,0x4c001fff,0xffffffff,0x01efffff,0x005fffb0,
    0xf0ffffec,0x07ff703f,0x7fccbfa0,0x0000006f,0xf83fffe2,0x22002fff,
    0xf901ffff,0x00007fff,0x3fffe800,0x77ffc400,0xfff50019,0x5555555b,
    0x0009fff9,0xf5555555,0x55559fff,0xfff30355,0x9bdfffff,0xffd80035,
    0xfff5002f,0xe81ff89f,0x5fd007ff,0x001bffe6,0x7fec0030,0x37ffec6f,
    0x0bfff900,0x00bffff2,0xff900000,0xfa8001ff,0x7ec003ff,0x7fcc01ff,
    0x7fc4004f,0xffffffff,0xffffffff,0x06fff983,0xfffd8000,0xffffc802,
    0x6c0ffc0f,0x5fd006ff,0x001bffe6,0xfc805db0,0x7fcc2fff,0x7e400dff,
    0xffd81fff,0x000002ff,0x3ffff660,0xfffc8002,0x3ffe2001,0x4fff9806,
    0x7fffc400,0xffffffff,0x83ffffff,0x0006fff9,0x02fffd80,0xfffffd51,
    0x9103ff05,0x4bfa001b,0x0006fff9,0x566f7fec,0x5ffffeca,0x7fffff90,
    0xffd73135,0xfffb09ff,0x0000005f,0xfffffb31,0x3ffa0009,0x7ffdc007,
    0xdfff9803,0x0aaaaaaa,0xccccccc8,0xcccdffff,0xff982ccc,0xd800006f,
    0xedccdfff,0xffffffff,0x0003ff01,0x7fccbfa0,0xccccccff,0x0ccccccc,
    0xfffffffb,0x01dfffff,0x3fffffa2,0xffffffff,0x7ffdc0df,0xeeeeeeff,
    0xeeeeeeee,0x76e665c3,0xffffffff,0x3ffe0003,0x7fff4004,0xffff9800,
    0x2fffffff,0x0ffff400,0x1bffe600,0x3ff60000,0xffffffff,0x200effff,
    0x99999aff,0x99999999,0x32fe9999,0xffffffff,0xffffffff,0x3ffff21f,
    0x4fffffff,0xfffff900,0x7fffffff,0x3fffff20,0xffffffff,0x44ffffff,
    0xfffffffd,0x001effff,0x00bffe60,0x005fffa8,0xfffffff3,0x8005ffff,
    0x4001fffe,0x0006fff9,0xfffffd80,0xdfffffff,0xfffff801,0xffffffff,
    0xffffffff,0xfffff32f,0xffffffff,0x64c1ffff,0xdefffffe,0x7f6cc002,
    0x0cefffff,0x3fffff20,0xffffffff,0x44ffffff,0xfffffffd,0x80002dff,
    0x2000fffb,0x3002fffd,0xffffffff,0xe8005fff,0x4c001fff,0x00006fff,
    0xffffffd8,0x000bccee,0x3ffffffe,0xffffffff,0x2fffffff,0xfffffff3,
    0xffffffff,0x266201ff,0x54c00001,0x3ff2001a,0xffffffff,0xffffffff,
    0x777fec4f,0x00009abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999930,0x00035799,0x33333332,
    0x0009abcc,0x99999991,0x99999999,0x64399999,0xcccccccc,0xcccccccc,
    0x54001ccc,0x000ccccc,0x66666644,0x01aacccc,0xcccccc88,0xcccccccc,
    0x997004cc,0x03332605,0x66644000,0x664c04cc,0xcc98003c,0x2ae6203c,
    0xffff7009,0xffffffff,0x3fe003bd,0xffffffff,0x4c00cfff,0xffffffff,
    0xffffffff,0x3fe3ffff,0xffffffff,0xffffffff,0x7fc003ff,0x4003ffff,
    0xfffffff9,0xbeffffff,0xfffff100,0xffffffff,0x3a00ffff,0xfff504ff,
    0x7fe40000,0x7d407fff,0xfa8005ff,0xfffb86ff,0x5c0cffff,0xffffffff,
    0x4fffffff,0xffffff80,0xffffffff,0x3ffe604f,0xffffffff,0xffffffff,
    0x3ffffe3f,0xffffffff,0x3fffffff,0x3fffe600,0x7cc006ff,0xffffffff,
    0x2fffffff,0xffffff88,0xffffffff,0xfff007ff,0x01ffee07,0x7fffcc00,
    0x7fd407ff,0xffa8005f,0x3fffa66f,0x0fffffff,0x3bbfffee,0xffffffee,
    0x3fe02eff,0xffeeeeff,0x04ffffff,0xfffffff3,0xffffffff,0x7c7fffff,
    0xffffffff,0xffffffff,0x32002fff,0x0fffffff,0x3fffe600,0xffffeeee,
    0x441fffff,0xffffffff,0xffffffff,0x05fff007,0x0001bff2,0x7ffffff4,
    0x2fffd407,0x37ffd400,0xfffffffb,0x7dcdffff,0xf75305ff,0x205fffff,
    0x9300ffff,0x203fffff,0x99999999,0x99999999,0x2661ffff,0x99999999,
    0xfff99999,0x7ffc006f,0x003fffef,0x981bffe6,0x46ffffea,0x0007fff8,
    0x03fff100,0x00017ff6,0x3ffbfff2,0x7ffd407f,0xfffa8005,0x22b3fa26,
    0x1ffffea8,0x100bfff7,0x20dffff9,0x4c00ffff,0x0005ffff,0x06fffa80,
    0xffff7000,0x7ffcc003,0x006fffbd,0x401bffe6,0x221ffffd,0x00007fff,
    0x201fff30,0x40004ffe,0xff9efff9,0x7ffd407f,0xfffa8005,0xff880cc6,
    0xbfff72ff,0x7fffd400,0x00ffff83,0x007fffc8,0x2fffe800,0xfff98000,
    0x7fe4004f,0x0ffff8af,0x0dfff300,0x8ffffe20,0x0007fff8,0x40fff500,
    0x40003fff,0xff9afffe,0x7ffd407f,0xfffa8005,0x7fff4006,0x00bfff73,
    0x40ffffc8,0x9800ffff,0x0000ffff,0x01bffea0,0x37fff400,0x87fffc00,
    0x3003fffe,0x6c00dfff,0x3fe24fff,0x7000007f,0x7ffc0fff,0x3fee0002,
    0x0ffff34f,0x005fffa8,0x006fffa8,0xfb97fff4,0x7c4005ff,0x7ffc4fff,
    0xfff8800f,0x3a00001f,0x80002fff,0x001ffffb,0xf92fffcc,0x3e600bff,
    0x3f6006ff,0x3ffe23ff,0xeec80007,0xeefffeee,0xefffeeee,0x8801eeee,
    0xff30ffff,0xfffa80ff,0xfffa8005,0x3ffea006,0x0bfff70f,0x8dfff900,
    0x9800ffff,0x0000ffff,0x00dfff50,0x9ffff300,0x7fff9000,0x007fffcc,
    0x0037ffcc,0x7c43fffd,0xd80007ff,0xffffffff,0xffffffff,0x02ffffff,
    0x262fffd8,0x7d407fff,0xfa8005ff,0xff5006ff,0x7ffdc9ff,0xfff98005,
    0x007fffc7,0x003fffd4,0x05fffd00,0xdfffd000,0x3fffe000,0x01ffffc0,
    0x8037ffcc,0x7c47fff8,0xd80007ff,0xffffffff,0xffffffff,0x02ffffff,
    0x262fffd4,0x7d407fff,0xfa8005ff,0xffa806ff,0x3fee0eff,0xff88005f,
    0x3fffe0ff,0x5fffe800,0xfff50000,0xff70000d,0xf30003ff,0xfff90dff,
    0xdfff300b,0x17fff600,0x000ffff1,0xff333310,0x9333339f,0x33333fff,
    0x7fffc401,0x03fffcc0,0x0017ffea,0x901bffea,0xb81dffff,0xf0005fff,
    0x7ffc3fff,0x7ffe400f,0xfd00000f,0x880007ff,0x0004ffff,0xf307fff9,
    0xf9801fff,0x7ecc06ff,0x7fc40fff,0xf000007f,0x3fee07ff,0xfffd8006,
    0x07fff982,0x002fffd4,0x8837ffd4,0x80dffffd,0x0005fffb,0x7fc5ffff,
    0x7dcc40ff,0x0003ffff,0x00ffff50,0x0dfffd00,0x0ffffc00,0x402ffff8,
    0xcccffff9,0xffffedcc,0xffff880e,0x99999999,0x44009999,0xff902fff,
    0xfffa800d,0x0ffff305,0xccefffa8,0xcccccccc,0x86fffdcc,0x03fffff9,
    0x0017ffee,0xff1ffff4,0xffffffff,0x007fffff,0x1ffff400,0x3ffee000,
    0xff30001f,0x7ffec0df,0x7fffcc05,0xffffffff,0x3fe202ff,0xffffffff,
    0x02ffffff,0xd80fffcc,0x3a2005ff,0xff300fff,0xfffa80ff,0xffffffff,
    0xffffffff,0x7fffdc6f,0x7ffdc01f,0xfffb0005,0x7fffffc9,0xdfffffff,
    0x3e600001,0x20000fff,0x004ffff8,0x813fff20,0x200ffffa,0xfffffff9,
    0xffffffff,0xffff880c,0xffffffff,0x4c02ffff,0xffd00fff,0x7ffe4009,
    0x1fffe603,0xffffff50,0xffffffff,0x4dffffff,0xabfffffd,0xb9aaaaaa,
    0xd0005fff,0x7ffc9fff,0xffffffff,0xd800001f,0x40004fff,0x0006fffd,
    0x100ffffc,0x4c05ffff,0xffffffff,0xffffffff,0x7fffc42f,0xffffffff,
    0x5402ffff,0x3ffe07ff,0xdfff3003,0x07fff980,0x7fffffd4,0xffffffff,
    0x36ffffff,0xffffffff,0x7bffffff,0x2000bfff,0x3fe3ffff,0xfebaabff,
    0x00002fff,0x003fffe6,0x1ffffb80,0x3ffe6000,0x5fffd807,0x41bffe60,
    0xffffeb98,0x3fffe21f,0xaaaaaaab,0x5c00aaaa,0x3ffe07ff,0x3fffd002,
    0x07fff980,0x002fffd4,0xf9b7ffd4,0xffffffff,0xfbdfffff,0xff0005ff,
    0x7fffc5ff,0x1ffffc80,0xfffb0000,0x7fc40009,0x640004ff,0xfa804fff,
    0xff300fff,0x3fea00df,0x3ffe26ff,0xfc800007,0x5fff106f,0x07fff700,
    0x80ffff30,0x8005fffa,0xff36fffa,0xffffffff,0xff7bffff,0xff3000bf,
    0x7fffc3ff,0x0dfff900,0xffff3000,0x7fec0001,0xff80006f,0xff8802ff,
    0xfff302ff,0x7ffdc00d,0x0ffff12f,0xccccc800,0xccccfffe,0xccdfffdc,
    0x3ffe60cc,0xffff3006,0x05fffa80,0x26fffa80,0x99999999,0xb8999999,
    0xa8005fff,0x3fe0ffff,0xfff100ff,0xfd80007f,0x2e0004ff,0x0001ffff,
    0x55ffffcc,0xaaaaaaaa,0xf305ffff,0xff800dff,0xffff14ff,0xffff8000,
    0xffffffff,0xffffffff,0x3ffa0fff,0xaaaaaacf,0xffffbaaa,0x3ea2aaaa,
    0xfa8005ff,0x700006ff,0xb000bfff,0xfff8bfff,0x3ffee00f,0xff30000f,
    0x220001ff,0x0004ffff,0xffffffc8,0xffffffff,0xf307ffff,0xfd800dff,
    0xffff15ff,0xffff8000,0xffffffff,0xffffffff,0x3ffe0fff,0xffffffff,
    0xffffffff,0xf50fffff,0xf5000bff,0x00020dff,0x800bfff7,0x7c3ffff9,
    0x3e200fff,0xb0003fff,0x4000bfff,0x0006fffd,0xfffffff0,0xffffffff,
    0x305fffff,0xd800dfff,0xfff14fff,0xaaa8000f,0xaacfffaa,0xafffdaaa,
    0x7ffc2aaa,0xffffffff,0xffffffff,0xf50fffff,0xf5000bff,0x7fec4dff,
    0xfff7001e,0xfffe800b,0x07fffc0f,0x01ffff20,0x07fffe60,0x7fffd400,
    0xff980001,0xffffffff,0xffffffff,0xfff985ff,0x7fff4006,0x00ffff13,
    0x2fff8800,0xf00dff90,0xffffffff,0xffffffff,0x1fffffff,0x0017ffea,
    0xfe9bffea,0xb801ffff,0x2e005fff,0xff83ffff,0x7fc400ff,0x7ec003ff,
    0xf10005ff,0x00009fff,0x2ab7fff2,0xaaaaaaaa,0x87fffcaa,0x2006fff9,
    0xf11ffff8,0x80000fff,0xfb01fff9,0x333300bf,0x33333333,0x3ffff533,
    0x7fd43333,0xffa8005f,0xfffff56f,0xfff700df,0xfffb100b,0x3fffe0df,
    0x7fffc800,0x3fffe600,0xfffb0001,0x7fc0000d,0xf88002ff,0x7fcc2fff,
    0x3ffa006f,0x1fffe27f,0xfff30000,0x013ffa01,0xfff98000,0x2fffd407,
    0xb7ffd400,0x7ffffffc,0x05fffb80,0x3ffffee6,0x1ffff01f,0x7ffff300,
    0x17fff600,0x7fffd400,0xff300001,0x7f4000ff,0x7ffcc4ff,0xfffea806,
    0x1fffe22f,0xfff50000,0x001fffc0,0xffff3000,0x05fffa80,0x76fffa80,
    0x0fffffff,0x99dfff70,0xfffffdb9,0x7fc01dff,0xffb000ff,0xfff300df,
    0xff10003f,0xdddddfff,0xdddddddd,0x7ffe49dd,0x3fee0005,0x7fffcc7f,
    0xeecccccc,0x443fffff,0x00007fff,0xff03ffdc,0x4000005f,0x5407fff9,
    0xa8005fff,0xfff36fff,0xf7009fff,0xffffffff,0x1bffffff,0x00ffff80,
    0x05ffff30,0x006fffd8,0xffffff50,0xffffffff,0x4bffffff,0x0002ffff,
    0x98bfffe6,0xffffffff,0xffffffff,0x07fff883,0x37fe4000,0x002fff88,
    0x3ffe6000,0x2fffd407,0x37ffd400,0x00bffff7,0x3fffffee,0xcfffffff,
    0x1ffff001,0x37fff400,0x05ffff30,0x3fffea00,0xffffffff,0xffffffff,
    0x01ffff35,0x4fffe800,0x3fffffe6,0xffffffff,0xffff100c,0xffd80000,
    0x03fff305,0x7fcc0000,0x7ffd407f,0xfffa8005,0x00165cc6,0xfffffff7,
    0x000599dd,0x4001ffff,0xb02ffffa,0x4000dfff,0xfffffffa,0xffffffff,
    0xf95fffff,0x90000bff,0x7fccffff,0xeeffffff,0xff8802cc,0x6c00007f,
    0xfff504ff,0x4c000001,0x7d407fff,0xfa8005ff,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64000000,0xcccccccc,0xcccccccc,0x1999971c,0xccca8000,0xdd91000c,
    0x9993005d,0x66644007,0x6666543c,0x99990001,0x00266647,0xb86664c0,
    0x80003ccc,0x990cccc8,0x99999999,0x99999999,0x32239999,0xcccccccc,
    0xc88009ab,0x2000cccc,0x8002ccc8,0xffffffff,0xffffffff,0xffff52ff,
    0xfff80009,0xfff7005f,0xff5007ff,0x7ff400df,0x7ffc40ff,0xffb8006f,
    0x1fffa2ff,0x3ffee000,0x01ffff71,0x6fffb800,0x3ffffffe,0xffffffff,
    0x2fffffff,0xfffffff3,0x5bffffff,0x7ffffcc0,0x3ffe6005,0xffff8004,
    0xffffffff,0x22ffffff,0x001ffffd,0x03ffff70,0xffffffb8,0xfffa803f,
    0xffff9006,0x3fffea03,0x3ffe2003,0x07fff45f,0x3ffee000,0x07ffff31,
    0x4fffe800,0x3ffffffe,0xffffffff,0x2fffffff,0xfffffff3,0xffffffff,
    0xffff305d,0x3e6001ff,0xed8004ff,0xfffeeeee,0xeeeeeeef,0x17fffe61,
    0x3fffe200,0x3fffaa04,0x803fffff,0xa806fffa,0x6c02ffff,0x9000ffff,
    0xfd81ffff,0x640000ff,0x3ffa0fff,0x3e20005f,0x3ffe1fff,0xffffffff,
    0xffffffff,0xfff32fff,0xffdddddf,0x83ffffff,0x4ffffff9,0x09fff300,
    0xfffe8000,0x3fff6001,0x7fe4001f,0xffea80ff,0xffffffff,0x6fffa803,
    0x27fffcc0,0x2ffffc40,0x17fffcc0,0x000fffe4,0xb83fff20,0x0000ffff,
    0x000dfff7,0x4003fffd,0x2206fff9,0x0fffffea,0x3fffffe6,0xfff9800f,
    0x7f400004,0x3e2001ff,0x22006fff,0xfc83ffff,0xf8cfffff,0xfa803fff,
    0x3fa206ff,0x3ee005ff,0x7f401fff,0xfff905ff,0xffc80003,0x17fffcc7,
    0x4fffd800,0x1fffe800,0x1bffe600,0x37fffdc0,0xfffffff3,0x9fff3009,
    0xffe80000,0x7fdc001f,0xff9002ff,0x3ffea0df,0x3fffe1df,0x6fffa803,
    0x01bfff60,0x81bfffa0,0x700ffffb,0x80005fff,0xffe87ffd,0xff88005f,
    0xfe8001ff,0x3e6001ff,0x3f2006ff,0xfff30fff,0x801ffffb,0x0004fff9,
    0x00ffff40,0x1bfffe20,0x0bfffe20,0xff81efe8,0xffa803ff,0xffff906f,
    0xfff30001,0xffff107f,0x17ffdc07,0x1bff6000,0x003fffee,0x00dfff50,
    0x007fffa0,0x006fff98,0xf997fffc,0x3fffccff,0x027ffcc0,0x3fffa000,
    0xfffa8001,0x7ffec03f,0xff015406,0xff5007ff,0xffff50df,0x7fe40003,
    0x7ffec0ff,0x17ffd406,0x1bffa000,0x00bfffe6,0x007fffb0,0x007fffa0,
    0x006fff98,0xf99fffec,0x7fff8cff,0x027ffcc0,0x3fffa000,0xfffd0001,
    0x7fffcc0f,0x7ffc0001,0xfffa803f,0x17fffc46,0x3ffe2000,0x3fffea5f,
    0x1fffd401,0x17ffa000,0x002ffff4,0x003ffff1,0x007fffa0,0x006fff98,
    0xf9afffe4,0x7fffb4ff,0x027ffcc0,0x3fffa000,0xfff30001,0x3fff607f,
    0xfff80005,0xfffa803f,0x027fff46,0xffffa800,0x009fffd2,0x2207fff3,
    0x3ffe0099,0x0ffff705,0x037ffd40,0x03fffd00,0x037ffcc0,0x4d3fff20,
    0xfff54fff,0x27ffcc0d,0x3ffa0000,0x3f60001f,0x7fcc0fff,0xf80000ff,
    0xfa803fff,0x3fff66ff,0x7ec00005,0xefffceff,0x4fff8800,0x7c0dff70,
    0xfff304ff,0x3ff6005f,0x3fa0003f,0x3e6001ff,0x7ec006ff,0x9fff33ff,
    0x9817fff4,0x00004fff,0x000ffff4,0x89ffff30,0x0004fffe,0x007ffff0,
    0x3eedfff5,0x00000eff,0x7fffffc4,0xff1002ff,0x3fffa09f,0x409fff01,
    0xf004fffe,0x40003fff,0x2001fffe,0x4006fff9,0xff31ffff,0x37ffdc9f,
    0x004fff98,0x0ffff400,0x3fff2000,0x1ffff30f,0x3ffe0000,0xfffa803f,
    0x00ffff9e,0xfff70000,0xf800bfff,0xfff885ff,0x3fff884f,0x01fffee0,
    0x001bffea,0x003fffd0,0x0037ffcc,0x261ffff7,0x7ffc4fff,0x4fff981f,
    0x7ff40000,0x7c40001f,0xfffd4fff,0x7fc00007,0xffa803ff,0x01ffffef,
    0x7ff40000,0x7c000fff,0xfffb85ff,0x3fff886f,0x07fffe60,0x007fff90,
    0x01fffe80,0x01bffe60,0x317fffcc,0xffb89fff,0x4fff985f,0x7ff40000,
    0xfb80001f,0x6fffafff,0x7ffc0000,0xfffa803f,0x002fffff,0x7ffe4000,
    0xffe8006f,0xfffffe86,0x017ffcc1,0xf013fffa,0x80003fff,0x2001fffe,
    0x4c06fff9,0x4c5ffffd,0x7fc44fff,0x7ffcc1ff,0x7f400004,0xd00001ff,
    0x5fffffff,0xfff80000,0xfffa803f,0x00ffffde,0xfff10000,0xe8007fff,
    0x7ffc46ff,0x7fcc4fff,0x7ffdc01f,0x1bffe606,0x3fffa000,0x3ffe6001,
    0xeecccccf,0x40ffffff,0xfc84fff9,0x7ffcc5ff,0x7f400004,0x500001ff,
    0x0bffffff,0xffff0000,0xdfff5007,0x00dfffd1,0x3fff6000,0x2000ffff,
    0x7fdc6ffd,0x7cc7ffdd,0x7fcc01ff,0xfff901ff,0xffd00007,0x7fcc003f,
    0xffffffff,0x80cfffff,0xf884fff9,0x3fe60fff,0x7400004f,0x00001fff,
    0x07fffffa,0x3ffe0000,0xfffa803f,0x0bffff36,0xfffa8000,0x005fffff,
    0xffb1fff6,0x543fff57,0xfe800fff,0xfffd04ff,0xffd00001,0x7fcc003f,
    0xffffffff,0x2601efff,0xffb04fff,0x27ffcc9f,0x3ffa0000,0x2600001f,
    0x0004ffff,0x07ffff00,0x5cdfff50,0x0003ffff,0x59ffff10,0x2007ffff,
    0x3fe27ffc,0x24fff88f,0xb800fffa,0xff986fff,0xfd00006f,0x7cc003ff,
    0xefffffff,0xf9801acd,0xfff304ff,0x13ffe61f,0xfffd0000,0xfe800003,
    0x000001ff,0x5007ffff,0xffd8dfff,0xd80001ff,0x3ff66fff,0xffc800ff,
    0x74dff70f,0x1ffee7ff,0x0ffffcc0,0x000fffee,0x00ffff40,0x00dfff30,
    0x13ffe600,0xf33fffd8,0x800009ff,0x0001fffe,0x00ffff40,0xffff8000,
    0x6fffa803,0x07ffff44,0xffff5000,0x2ffffc45,0xd87ffdc0,0x3ffee3ff,
    0x400fff72,0x7fc4fffe,0xd00000ff,0x4c003fff,0x00006fff,0x4c09fff3,
    0xfff37fff,0xfe800009,0x400001ff,0x0001fffe,0x07ffff00,0x30dfff50,
    0x000dffff,0x217fffe2,0x402ffffc,0xff89fffa,0x57ffe21f,0x32007ffc,
    0x3fe66fff,0x3a00006f,0x26001fff,0x00006fff,0xe809fff3,0xfff9afff,
    0x7f400004,0x400001ff,0x0001fffe,0x07ffff00,0x20dfff50,0x004ffffb,
    0x00ffffd8,0x401ffffd,0xffaafffa,0xc8fffd86,0x3e6006ff,0xfff90fff,
    0x7f400007,0x3e6001ff,0x300006ff,0xfa809fff,0x4fff9eff,0x7ff40000,
    0x7400001f,0x00001fff,0x007ffff0,0x6c0dfff5,0x2002ffff,0x204ffffa,
    0x204ffffa,0xffdafff9,0xcafffa84,0x7f4006ff,0x1fffd3ff,0x7ff40000,
    0x3fe6001f,0xf300006f,0xffd009ff,0x009fff7f,0x1fffe800,0x7ff40000,
    0xf000001f,0xf5007fff,0xffe80dff,0xfe8801ff,0xffd806ff,0xfff301ff,
    0xf103fff7,0x0bff9bff,0x9dfffc80,0x00006fff,0x000ffff4,0x000dfff3,
    0x013ffe60,0x3fffffea,0x7400004f,0x00001fff,0x000ffff4,0x3ffff800,
    0x06fffa80,0x077fffc4,0x0bffff20,0x1bfffe20,0x7ff7ffc4,0x3bfff606,
    0x7cc004ff,0x3fffcfff,0x7ff40000,0x3fe6001f,0xf300006f,0x3fe009ff,
    0x004fffff,0xccccccc8,0xcccdffff,0xe8001ccc,0xb0001fff,0xfddddddd,
    0xdddddfff,0x3ffea3dd,0xffffa806,0x3fffe605,0x3fff2005,0xffff883f,
    0x3fea04ff,0x8004ffff,0xfffffffe,0x7f400000,0x3e6001ff,0x300006ff,
    0x2e009fff,0x04ffffff,0xffffff80,0xffffffff,0x8002ffff,0x0001fffe,
    0xfffffffd,0xffffffff,0x3fea5fff,0xfff9006f,0x3fffa07f,0x7ff4000f,
    0xffff81ff,0x7ffc01ff,0xc8003fff,0x06ffffff,0xfffe8000,0x3ffe6001,
    0xff300006,0x3fe2009f,0x8004ffff,0xffffffff,0xffffffff,0xfe8002ff,
    0xfd0001ff,0xffffffff,0xffffffff,0x1bffea5f,0x1ffffe80,0x027fffe4,
    0x37fffd40,0x037ffffc,0x1fffffec,0x7fffcc00,0x800003ff,0x2001fffe,
    0x0006fff9,0x009fff30,0x27ffffe4,0x7ffffc00,0xffffffff,0x002fffff,
    0x001fffe8,0xffffffd0,0xffffffff,0x3ea5ffff,0x3e2006ff,0xff30ffff,
    0x6c000dff,0x7f43ffff,0xfa804fff,0x0002ffff,0x01fffffd,0xfffd0000,
    0x7ffcc003,0xff300006,0x7fc4009f,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x80002ccc,0x002cccc9,0x80f33326,0x00620002,0x006665c0,0x815c0000,
    0x000000d8,0x51000000,0x9bdfddb9,0x32a60005,0x001acdfd,0xdfdb9530,
    0xc88379bd,0x326003cc,0x3ee002cc,0xa80005ff,0x2007ffff,0xa86ffffd,
    0xfb0001fe,0xfffb0009,0xd8000001,0x77f442ff,0x70000001,0x2e0009fd,
    0xfffffffe,0x002effff,0xffffffd3,0x2001bfff,0xffffffd8,0x4c6fffff,
    0x2a006fff,0x2e004fff,0x80005fff,0x02fffffb,0x6fffff88,0x0037ffe4,
    0x0077ffdc,0x001fffb0,0x3ffa2000,0x3fffa1ff,0x4000002f,0x005ffffb,
    0xffffffe8,0xffffffff,0x7fffdc03,0xffffffff,0x7ffd403f,0xffffffff,
    0x7ffcc6ff,0x3ffea006,0x3ffee004,0xffb80005,0xfb805fff,0x7cc6ffff,
    0x22004fff,0x4004ffff,0x0000fffd,0xffffe980,0x7ffff4c3,0x3a000003,
    0x000fffff,0x6f7ffff4,0xffffedcc,0xffffb01f,0xfffb9bdf,0x3e607fff,
    0xabcdffff,0x4c6ffdcc,0x2a006fff,0x2e004fff,0x80005fff,0x0ffffffb,
    0x7fffff40,0x1ffffb87,0x7ffec0c4,0xfffd8006,0x7d400000,0xd102ffff,
    0x000bffff,0x3ffffa00,0x5ef4000f,0x7fffdc00,0xdffffa86,0xfffff500,
    0x1bfffd01,0xff983100,0x3fea006f,0x3fee004f,0xfc80005f,0x202fffdf,
    0x7ffdfff9,0xb5dfffb0,0xf79dffff,0xb0001fff,0x00001fff,0x0f7fffdc,
    0x77fffe40,0x7e400000,0x08006fff,0x7fffd400,0x13fffe20,0x17fffa60,
    0x000ffff1,0x006fff98,0x8013ffea,0x0005fffb,0xffddffc8,0x333ff205,
    0xfff107ff,0xffffffff,0x005fffff,0x003fff60,0x7fffec00,0x3fee000d,
    0x00001eff,0x00077fe4,0xfffe8000,0x017fff21,0x21ffffa8,0x0005fffa,
    0x0037ffcc,0x4009fff5,0x0005fffb,0xffadffd8,0x95fff00f,0x3e601fff,
    0xffffffff,0x004fffff,0x003fff60,0xffffd100,0x3fea0009,0x00002fff,
    0x00000008,0xf89fffec,0x74002fff,0x3fe64fff,0x7cc0007f,0x3ea006ff,
    0x3ee004ff,0xd80005ff,0x3fff8cff,0xff97ffa8,0x7fff401f,0xfffcabef,
    0x360003ff,0x20000fff,0x03ffffe9,0x7fff4c00,0x0000003f,0x7e400000,
    0xdfff33ff,0xbfff7000,0x00dffff8,0x0dfff300,0x027ffd40,0x00bfff70,
    0x369ffb00,0x4ffd86ff,0x2a01fff7,0xe883ffff,0x55307fff,0xfd555555,
    0x555557ff,0x3fea0555,0x00001fff,0x09ffffd1,0x00000000,0x9fffe400,
    0x8004fffa,0x7ec6fff9,0x000cffff,0x0037ffcc,0x4009fff5,0x0005fffb,
    0xff54ffe8,0x8fffc43f,0xfd01fffb,0x7fc409ff,0xfffc83ff,0xffffffff,
    0xffffffff,0xffffb87f,0xc800000e,0x000dffff,0x22000000,0xeeeedcba,
    0xf73ffffe,0xf10007ff,0xffe88fff,0x00beffff,0x006fff98,0x8013ffea,
    0x0005fffb,0xff14ffe8,0x737fdc9f,0xff103fff,0xffc801ff,0xffffc84f,
    0xffffffff,0xffffffff,0x2ffffe47,0x3ee00000,0xcc81efff,0xcccccccc,
    0xcccccccc,0xc881cccc,0xffffffff,0xb3ffffff,0x20005fff,0x6c40ffff,
    0xffffffff,0xfff300ad,0x7ffd400d,0x3ffee004,0xfff80005,0xfe9bff64,
    0x07ffea3f,0x201bffea,0xfc85fffa,0xffffffff,0xffffffff,0xffb17fff,
    0x000009ff,0x3ffffea0,0x7fffffc2,0xffffffff,0xffffffff,0x7ffffdc2,
    0xffffffff,0xfffd3fff,0x3ffe0005,0xfffd500f,0x05ffffff,0x400dfff3,
    0x2004fffa,0x0005fffb,0x3e64fff8,0x0fff89ff,0x2e0bffea,0xf9805fff,
    0xfb0006ff,0x3ea001ff,0x0001ffff,0x3fff6000,0x7ffffc5f,0xffffffff,
    0xffffffff,0x3fffea2f,0x9999abdf,0xfb3fffc9,0xf10007ff,0xd9300fff,
    0xbfffffff,0x006fff98,0x8013ffea,0x0005fffb,0x7fc4fff8,0x545ffbcf,
    0xffc82fff,0xfff9804f,0xfffb0007,0x7ffcc001,0x000002ff,0x27fffec4,
    0x7ffffffc,0xffffffff,0x2fffffff,0x01bffff1,0x2e7fff90,0x98004fff,
    0x4c006fff,0x3ffffffc,0x801bffe6,0x2004fffa,0x0005fffb,0x321fffc4,
    0x42ffefff,0xfb82fffa,0xff9805ff,0xffb0006f,0xfe88001f,0x00003fff,
    0x7ffffd10,0x20000000,0x000ffffa,0x3ea7fff9,0xfa8005ff,0x2e0005ff,
    0x3e67ffff,0x3ea006ff,0x3ee004ff,0x440005ff,0x7fcc3fff,0xff987fff,
    0x6fffa83f,0x05fffb80,0x01fffb00,0xffffb100,0xf980000b,0x0001ffff,
    0x3ff20000,0x3ff2004f,0x1ffff33f,0x4fffd800,0x7ffd4000,0x0ffff11f,
    0x027ffec0,0x00bfff70,0x83fff880,0x984ffffe,0xff983fff,0x7fec00ff,
    0xffb0004f,0x7e40001f,0x0000efff,0x0effffb8,0x40000000,0x2003fffe,
    0xff13fffd,0x7c4007ff,0x80001fff,0x3fe2ffff,0xfff9007f,0x7fdc009f,
    0x7cc0005f,0xfffb83ff,0x4fff981f,0x03ffff88,0x007fffe6,0x007ffec0,
    0x3fffee00,0x3f20001e,0x0000dfff,0xffd80000,0xffe9804f,0x3fff23ff,
    0xfffb000f,0x3fe00009,0x3fffe1ff,0x7fffdc02,0x3fee004f,0x7cc0005f,
    0xfff883ff,0x09fff306,0x20bffff2,0x005ffff9,0x003fff60,0x3fffea00,
    0x7ec4002f,0x00004fff,0x2001664c,0x200ffffc,0x3ffffffb,0x07bfffe2,
    0x81ffffb0,0xfffb8000,0x037ffec7,0x9ffffff9,0x2fffdc00,0x3ffea000,
    0x207ffb02,0xf104fff9,0xb77bffff,0x003fffff,0x007ffec0,0xfffe9800,
    0xffd3003f,0x800007ff,0x003ffff9,0x2bbfffea,0xffffd730,0xffb87fff,
    0xa88acfff,0x83ffffeb,0x099abdfd,0xffffb531,0xeffffa87,0xfffea88a,
    0x2004fffc,0x0005fffb,0x0017ffd4,0x20bfff10,0xfffffff9,0x4fffffff,
    0x3fff6000,0x36200000,0x5405ffff,0x002fffff,0xffffd800,0x7ffec007,
    0xffffffff,0x83fff9df,0xfffffffc,0x3fffffff,0xffffffb0,0xffffffff,
    0x3fffa0bf,0xffffffff,0x004fff8c,0x0017ffee,0x005fff70,0x42fffc40,
    0xffffffe8,0xffffffff,0x0000002f,0x3fff2000,0xfffb80ef,0x000001ef,
    0x01fffffd,0x7ffff440,0x12ffffff,0x3ea07fff,0xffffffff,0x3f601eff,
    0xffffffff,0x203fffff,0xffffffe9,0x3ffe3fff,0x3ffee004,0x7fdc0005,
    0x3e20002f,0xfffd85ff,0xeffffdbd,0x01ffffbb,0x00000000,0x87bfffee,
    0x00dffffc,0x3ff60000,0xf70007ff,0x19dfffff,0x101fffc4,0xffffffd9,
    0xfdb8017b,0xffffffff,0xf9000cef,0x83bfffff,0x2e004fff,0x40005fff,
    0x0002fffb,0xf71bffe2,0x81881fff,0x0006fffe,0x54000000,0x7fd45fff,
    0x8000004f,0x002fffe8,0x000d4c40,0x00aa9800,0x2aa66200,0x200009aa,
    0x00009aa8,0x02fffdc0,0x07fff200,0x4dfff000,0x003ffff9,0x513fffe6,
    0x55555555,0x55555555,0x80001555,0x07f505e9,0xaa800000,0x00000000,
    0x00000000,0x00000000,0x3ffee000,0x7fe40005,0x7fc0001f,0x1bfff26f,
    0x3bffee00,0x3fffffa0,0xffffffff,0x01ffffff,0x00400800,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccefffb8,0xcccccccc,0x3fff64cc,
    0x7ffc0001,0x000ff547,0xffe84fe8,0xffffffff,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffee00,0xffffffff,
    0xfb0fffff,0xf80003ff,0x000507ff,0xfffe804c,0xffffffff,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffee0,
    0xffffffff,0xffb0ffff,0xff80003f,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e000000,0xffffffff,0xffffffff,
    0x01fffd0f,0x0fffe800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32a20000,0x441bcefe,
    0x001bdeca,0xcdedba88,0x4c40001a,0x0bcdeecb,0x0066664c,0x22cccb80,
    0x80003ccc,0x32e1ccc9,0x54001ccc,0x9911cccc,0xdd951039,0x332e0179,
    0x20fbf660,0x9704eed8,0x99999999,0x99999999,0x220e6644,0x02cdfedb,
    0x77f76544,0xffc802ce,0x1fffffff,0xffffffd1,0x7ffe4007,0x0dffffff,
    0x7ffec400,0x6fffffff,0x013fffe2,0x87fffe20,0x80007fff,0x3e62fffc,
    0x1000efff,0x7ccbffff,0x7ffe43ff,0xe81effff,0xffff71ff,0x7fffd49f,
    0x7fff40ef,0xffffffff,0x267fffff,0x3fea2fff,0x0dffffff,0xfffffff0,
    0x7c01dfff,0xffffffff,0xffffeaff,0x4403ffff,0xfffffffe,0x001effff,
    0xfffffff7,0xc8ffffff,0xb8006fff,0x7ff46fff,0x7ec0000f,0x7ffdc1ff,
    0xfffb004f,0x9fffcc1f,0xffffffd8,0x7f41ffff,0xfffff99f,0xffff88ff,
    0x7ff43fff,0xffffffff,0x27ffffff,0xffb3fff9,0xffffffff,0x3ffffe0d,
    0x05ffffff,0x2eb37ffe,0xfffffffd,0x0ffffcad,0xbfffff30,0xffffb957,
    0x7ff4403f,0xedceffff,0x7fcc7fff,0x7f4001ff,0x7ffec3ff,0x7ff40001,
    0xffffd80f,0x7fffdc02,0x45fffcc2,0xecdefffe,0x7f45ffff,0xfdbffeaf,
    0xccffd9ff,0x77646fff,0xeeeeeeee,0x27ffffee,0xffdbfff9,0xfffdcdff,
    0x1adf83ff,0x0bfffae6,0xfff901f4,0xfffb87ff,0x1bfffd03,0x1bfffa60,
    0x2fffffc8,0x3fa1f260,0x3e6004ff,0x7fe40fff,0x7fc0002f,0xfffd107f,
    0x3ffe201f,0xdfff984f,0xfb82fffe,0x3ffa1fff,0x3ffe1ffd,0x3ff63ffc,
    0x7fd40007,0x3ffe62ff,0x440cffff,0x8007fffe,0x0003fffb,0x20dffff3,
    0xffa86fff,0xfff8805f,0xffff982f,0x3ee0000d,0x3f2007ff,0xfffa85ff,
    0x7ffc0003,0x3fffe606,0x0dfffd05,0x3fffffe6,0x3fff600e,0x13ffffa4,
    0xc8dffffb,0x10000fff,0xf989ffff,0x203fffff,0x001ffff8,0x002fffc4,
    0x207ffff0,0x7f40fffd,0xff7001ff,0xdfffd0df,0xfff10000,0x3ffe005f,
    0x4fff982f,0x22079930,0x7dc05fff,0x7fdc2fff,0xfff300ff,0xfa801dff,
    0x3fffa5ff,0x7fffec0f,0x00fffdc1,0x86fffe80,0x03fffff9,0x802fffd8,
    0x5fff9999,0x3fffa000,0x43fff701,0x4004fffb,0x3ea0ffff,0x00001fff,
    0x500bfffb,0x3e20dfff,0xfffb05ff,0x00fffe60,0x443ffff6,0x2602ffff,
    0x800effff,0x3fa6fff9,0xfffd83ff,0x01fffb85,0x0ffffc80,0x04ffff98,
    0x307fff90,0xfffffff9,0x64000bff,0xff700fff,0x17ffec3f,0x87fffa00,
    0x0005fffc,0x03fffea0,0x407fffb0,0xfff06fff,0x5fff505f,0xbffff100,
    0x3013fffa,0x2003ffff,0x3fa7fff8,0xfffc80ff,0x01fffb81,0x0ffffd40,
    0x006fff98,0xfb13ffee,0xffffffff,0x64000bff,0x3fea07ff,0x07fffa2f,
    0x45fffb00,0x0003fffd,0x01ffff40,0x401ffff1,0xffa87ffe,0xfffb85ff,
    0xffff3001,0x300dfffd,0xa800dfff,0x1bffa2aa,0xfb83ffe4,0x3e6001ff,
    0x3e603fff,0x3ea006ff,0x3fff24ff,0xff999abf,0xdca9805f,0xeeffffee,
    0xfffeeeee,0x333fffe3,0xcccccccc,0x23fffecc,0x0001ffff,0x037ffdc0,
    0xd80bfff7,0x7fe40fff,0x7fe40fff,0x3fee000f,0x800fffff,0x0006fff9,
    0x320dffd0,0xfff707ff,0x3ffa2003,0x7ffcc05f,0x3ffea006,0x403fffe4,
    0x3aa05fff,0xffffffff,0xffffffff,0xff13ffff,0xffffffff,0xffffffff,
    0x3ffe29ff,0x4400000f,0xfd01ffff,0xffc805ff,0x7ffffc1f,0x03ffec2f,
    0x7ffffec0,0xdfff3002,0x3ffa0000,0x20fff906,0xb001fffb,0x9801dfff,
    0x2a006fff,0xfff34fff,0x17ffe209,0x7fffffdc,0xffffffff,0xffffffff,
    0xffffff33,0xffffffff,0x29ffffff,0x0007fff9,0x09fffb00,0x500ffff3,
    0x7fd45fff,0x7f45ffde,0xffb8006f,0x3e6006ff,0xd00006ff,0x3ff20dff,
    0x03fff707,0x03ffff70,0x00dfff30,0xf8a7ffd4,0xfffa86ff,0xffff985f,
    0xffd999bd,0x9999999f,0xfff10999,0x9999999f,0x99999999,0x3fffe259,
    0xfa800000,0xfffc87ff,0x3fff9804,0x3feb3ff2,0x017ffe0f,0xffffff30,
    0x3ffe600b,0xffd00006,0x41fff20d,0x4c01fffb,0x3003ffff,0x5400dfff,
    0x3ffe4fff,0xfffdbbdf,0xfffd85ff,0x00fff904,0x003fffe0,0x1ffff800,
    0xfff00000,0x1fffe85f,0x24fff880,0xfff89fff,0x8013ffe3,0xfffffff8,
    0xfff9803f,0xffd00006,0x41fff20d,0x2201fffb,0x2004ffff,0x2006fff9,
    0x3ee4fffa,0xcfffffff,0xfff85ffd,0x1fff900f,0x3fffd000,0x7ff40000,
    0x9000002f,0x7fccbfff,0x3ffe006f,0x7ecdff35,0x05fff16f,0x5f7ffec0,
    0x4c01ffff,0x00006fff,0x3f20dffd,0x3fff707f,0x037fff40,0x01bffe60,
    0x644fffa8,0x72ffffff,0xfff88bff,0x07fff206,0x0ffff600,0xfffd8000,
    0xf1000005,0x3ff61fff,0x3ffa002f,0x7d49ff96,0x1fff98ff,0x1ffff900,
    0x803ffff6,0x0006fff9,0x320dffd0,0xfff707ff,0x3ffff203,0x7ffcc000,
    0x3ffea006,0x40aba884,0x7fcc0998,0x3fff604f,0xfffb8003,0xf700000f,
    0x00003fff,0x7cbfff60,0x7ec007ff,0x443fff7f,0xfffabfff,0xffffa800,
    0x1bfffe23,0x006fff98,0x20dffd00,0xff707ffc,0xffff503f,0xfff30005,
    0x7ffd400d,0x7c400004,0xfff705ff,0xff1000df,0x200009ff,0x006ffff8,
    0xbfff5000,0x8009fff5,0x6ffafffc,0xffbeffd8,0xffff8807,0x4ffffa85,
    0x00dfff30,0x41bffa00,0xff707ffc,0xffff883f,0xfff30004,0x7ffd400d,
    0xff800004,0xffffa87f,0xfb8003ff,0x0000cfff,0x2effffa8,0x3e003880,
    0x1fffdfff,0x6fffdc00,0xfffa84ff,0xfe806ffe,0xff900fff,0xfff305ff,
    0x3fa0000d,0x0fff906f,0xfd07ffee,0x4c000bff,0x2a006fff,0x99974fff,
    0x99999999,0xffe89999,0xfffb88cf,0x21bffffc,0xffd03b98,0x88357fff,
    0xfb02dca9,0x357bffff,0x00ffb753,0x7fffffe4,0xfff98006,0xff881fff,
    0x6405ffff,0x2202ffff,0x4c1ffffe,0x00006fff,0x3f20dffd,0x3fff707f,
    0x55ffffec,0xaaaaaaaa,0xfff32aaa,0x7ffd400d,0xffffffb4,0xffffffff,
    0x7fffdc1f,0xf73fffff,0xffffffff,0x3ffa609f,0xffffffff,0x102fffff,
    0xfffffffd,0x0fffffff,0x7ffffcc0,0xff88003f,0x3f607fff,0x2a04ffff,
    0x9804ffff,0x260effff,0x00006fff,0x3f20dffd,0x3fff707f,0x3fffffe2,
    0xffffffff,0xff36ffff,0x7fd400df,0xfffffb4f,0xffffffff,0xfffe81ff,
    0x7ec4ffff,0xffffffff,0x7fffe404,0xffffffff,0x7fd402ff,0xffffffff,
    0x7f4007ff,0x0000ffff,0x409fffff,0x02fffffa,0x01dffff3,0x97fffee0,
    0x0006fff9,0x320dffd0,0xfff707ff,0x3ffffe23,0xffffffff,0xf36fffff,
    0x7d400dff,0x999974ff,0x99999999,0x3ff20999,0xeb883dff,0x1dffffff,
    0xfffec980,0xbdffffff,0xfedc8800,0x1befffff,0x7fffdc00,0x3ffa0004,
    0x7ffc01ff,0xffe881ff,0x7f4001ff,0xfff33fff,0x3fa0000d,0x0fff906f,
    0x7c47ffee,0xffffffff,0xffffffff,0x0dfff36f,0x027ffd40,0x2a620000,
    0x35551000,0xaa988000,0x30000099,0x00000335,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9dfd9510,0x15300007,0x4cc40000,0x00000000,0x22000000,0x009abaaa,
    0x00555300,0x00040006,0x400006a6,0x2e004ccb,0xcccccccc,0xcccccccc,
    0x00000ccc,0x0003fffd,0x3fffffea,0x26001eff,0xdfffffec,0x7fd40002,
    0x00754006,0x22000baa,0x066c00cf,0xfffffff1,0x26003bff,0xd806fffd,
    0x0fe4001f,0x3ffffae0,0xf30002ef,0x3a005fff,0xffffffff,0xffffffff,
    0x00001fff,0x0003fffd,0xfffffff9,0x7005ffff,0xffffffff,0x20001bff,
    0xd1005ffa,0x7ff40dff,0x7fe4000f,0x5fff702f,0x3fffffe2,0x201fffff,
    0x6fffffd9,0x00fffec0,0x981fffc8,0xfffffffe,0x74000dff,0x800fffff,
    0xfffffffe,0xffffffff,0x0001ffff,0x003fffd0,0xacffff98,0x0efffeb9,
    0x59fffd10,0x3fff6e61,0x5ff98002,0x0ffff600,0x002fffdc,0x220dfff3,
    0xff10ffff,0xffffdddf,0xfffb30df,0x4c0dffff,0x401fffff,0x442ffffb,
    0xfeefffff,0x2005ffff,0x4ffffffa,0xeeeeed80,0xeeeeeeee,0x01eeeeee,
    0x3fffd000,0x2fffe800,0x209fffb0,0x5c00dffe,0x20301fff,0x10304ff9,
    0x3a03ffff,0xfd002fff,0x3ffa03ff,0x6402a22f,0x3ee0ffff,0xffffffff,
    0x7fffcc06,0xffff701f,0x1bfffb07,0x02ffffa8,0xff95ffd0,0x0000003f,
    0x3fa00000,0x3ea001ff,0x3fe205ff,0x93ffc86f,0x4c37bddd,0x0ef886ff,
    0x7e427fc4,0x06fff983,0x801dfff3,0xf704fffc,0xff000bff,0x7ffc41ff,
    0x06fff9bf,0x1fffff98,0x41ffffdc,0x2604fffa,0xfb806fff,0x0dfff16f,
    0x00000000,0x07fffa00,0x01fffb80,0x3e63fff4,0x3ffff65f,0x13fee5ff,
    0x7c47fffb,0x3fffa63f,0x04fffc80,0x4c09fff9,0xf980ffff,0x44000eff,
    0x3fd86fff,0x401bffe2,0x71fffff9,0x3207ffff,0x7ec00fff,0x3fe200ff,
    0x0bffea2f,0x00000000,0x07fffa00,0x00fffc80,0xfb07ffec,0x4cefec1f,
    0x3ff61ffd,0x3bfffee0,0x3ff25ff0,0xffd01eff,0x3fffa03f,0x05fffd01,
    0x0007fffa,0x107fffb1,0x00dfff10,0x67ffffcc,0x3603ffff,0xffb807ff,
    0x17ff201f,0x0003fffa,0x00000000,0x4003fffd,0xfc807ffd,0xb17fe0ff,
    0x517fc49f,0xffc885ff,0xfecffbff,0x7cc02eff,0xfff306ff,0x0bfff70d,
    0x200ffff2,0xffffeeec,0x3ffe2003,0x7ffcc006,0x403fffff,0xfb806fff,
    0xfff302ff,0x09fff303,0x2aaaaaaa,0xaaaaaaaa,0x000aaaaa,0x03fffd00,
    0x007ffe40,0xff89fff6,0xff527ec3,0x881ffc41,0xfffffffc,0x3ee002ef,
    0xfff904ff,0x07fffc47,0x8037ffcc,0xdffffffd,0x3ffe2000,0xfff98006,
    0xfe803fff,0xfffb806f,0x40bffb00,0xfe81fffd,0xffffffff,0xffffffff,
    0xccc801ff,0xffcccccc,0xcccccdff,0xfff71ccc,0x26fff805,0x77ec2ffa,
    0xff84ffdb,0x7ffe4405,0xf88001ef,0xfff507ff,0x82fffdcd,0xb003fffc,
    0xffffffff,0x3ffe2009,0xfff90006,0xffb003ff,0x7ffd801f,0x401fff50,
    0xfe86fff8,0xffffffff,0xffffffff,0xfff801ff,0xffffffff,0xffffffff,
    0xfff52fff,0x27ffdc0d,0xffd83ff7,0xdfd01fff,0xffffea80,0x7ec000cf,
    0xfffd02ff,0x81fffe83,0x800fffe8,0xffebaa98,0xff8804ff,0xffc8006f,
    0x401fffff,0x2a04fffb,0xffd05fff,0x5fff7009,0xffffffe8,0xffffffff,
    0x801fffff,0xffffffff,0xffffffff,0x22ffffff,0xfa84fffe,0x3fe60fff,
    0x7f5f7ec2,0x2e09ff06,0xfffffffe,0xfb800cff,0xfff904ff,0x0dfff309,
    0x001bffe6,0x807fffc8,0x4006fff8,0xfffffffc,0x3fe201ff,0x7fdc0dff,
    0xfffb80ff,0x1fffd000,0x80000000,0xffffffff,0xffffffff,0x22ffffff,
    0xddfffffa,0x442ffffe,0x9a7ec4ff,0x1ffcc3ff,0x237fffee,0xffffbaff,
    0xdfff300c,0x1ffff301,0x413fff20,0x0004fffc,0x801ffff3,0x2006fff8,
    0xf9affffb,0x2a01ffff,0xfeffffff,0xf882ffff,0x3ea003ff,0x000004ff,
    0xffe80000,0xffc8001f,0xffffffff,0xfd8dfd03,0xff71bf64,0x17ffff43,
    0x3ffa27ff,0xfffe81ff,0x05fffd01,0xd01fffe8,0x90003fff,0xf100ffff,
    0x3ee00dff,0x3fe63fff,0x3ee01fff,0xffffffff,0x1fff902f,0x1fffe800,
    0x00000000,0x00ffff40,0xffffe980,0x3f201eff,0xf993f62f,0xb8fff12f,
    0x3fe20dff,0x6437fdc3,0xff704fff,0xfff500bf,0x3bffe60d,0xfff51000,
    0x999988bf,0x999efffa,0x7fffdc09,0xfffff983,0x3ffb2201,0x2a00ceff,
    0xa88001aa,0x000001aa,0x7ff40000,0x5440001f,0xe88009bb,0xe89fb0ff,
    0x885ffb6f,0x84ff982e,0x7ffcc1e8,0x1ffff106,0x0ffff600,0xf92fffdc,
    0xffffbddd,0xffd83fff,0xffffffff,0x3fee4fff,0x3fe603ff,0x98801fff,
    0x00000009,0x00000000,0x3fffd000,0x40000000,0x1a98eff9,0x2ffe5d4c,
    0x013fe600,0x80ffff44,0x2003fffd,0xd01ffff8,0x3ff25fff,0xffffffff,
    0xffffd81f,0xffffffff,0x7ffff14f,0x9ffff300,0x00000000,0x00000000,
    0x3ffa0000,0x0000001f,0x01fffe40,0x001dffd1,0x2005ffa8,0x3ee04ffa,
    0xffa8006f,0x19ff300d,0x3ffffff2,0xfb00bfff,0xffffffff,0x7d49ffff,
    0x3fe6003f,0x00000004,0x00000000,0x3fa00000,0x32e001ff,0xcccccccc,
    0x204ccccc,0xbbdffffb,0x00dfffec,0x005ffa80,0x01b88038,0x35003900,
    0xacccba88,0x9998801a,0x99999999,0x001d4099,0x0000024c,0x00000000,
    0x20000000,0x2001fffe,0xfffffffd,0xffffffff,0x3fff6200,0x02ffffff,
    0x013baa00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80000,0x3ff6001f,0xffffffff,0x800fffff,0xabdfecb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffd0000,
    0x6665c003,0xcccccccc,0x00004ccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6665c000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33330000,0x13333103,0x33333322,0xcccccccc,0x003ccccc,
    0x33333100,0x0ccccc40,0x2b2ea200,0xb3000000,0x1f6cc07d,0xeeeeed80,
    0x71eeeeee,0x99999999,0x36199999,0xdddddddd,0xdddddddd,0xdddddddd,
    0x0000001d,0x00000000,0x0ffffe80,0x98ffffec,0xffffffff,0xffffffff,
    0x80005fff,0x03fffff9,0x13ffffa6,0x7ffffdc0,0xaaa800cf,0x3fffe202,
    0x3ffff882,0xffffff80,0xb2ffffff,0xffffffff,0x3e1fffff,0xffffffff,
    0xffffffff,0xffffffff,0x0000002f,0x00000000,0x0ffffe80,0x98ffffec,
    0xffffffff,0xffffffff,0x40005fff,0x01fffff9,0x4ffffd88,0x7ffffe40,
    0x7c01efff,0x3fea05ff,0xfffa85ff,0xffff806f,0xffffffff,0xffffffb2,
    0x1fffffff,0x3ffffffe,0xffffffff,0xffffffff,0x00002fff,0x00000000,
    0xfffd8000,0x7fffec0f,0xffffff30,0xffffffff,0x00bfffff,0x6ffffcc0,
    0x7ffdc000,0xffff304f,0x3fffffff,0x3027ffc0,0xf309ffff,0x3300bfff,
    0x33333333,0x3fff6133,0xffffffff,0x999990ff,0x99999999,0x99999999,
    0x00399999,0x00000000,0xfb000000,0xfff90fff,0x2600001f,0x30005fff,
    0x0007ffff,0x427fff4c,0xb8aefffd,0x981fffff,0x7e403fff,0xdff900ef,
    0x44000001,0x88888888,0x00008888,0x00000000,0x00000000,0xfffb0000,
    0x1ffff90f,0x3fe60000,0xff98005f,0x880001ff,0x3e24fffd,0xfff986ff,
    0x3ffaa3ff,0x8019801f,0x00000018,0x00000000,0x00000000,0x00000000,
    0x37ffe400,0x003fffdc,0x0bfff300,0x01999700,0xcccb8000,0x207fff31,
    0xeffffff9,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6fffc800,0x007fffb8,0x17ffe600,0x00000000,0x02fffa80,0x3fffffa2,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x5fffb800,
    0x006fffa8,0x17ffe600,0x00000000,0x01ccc980,0x7ffffec4,0x000001ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50bfff70,0x0000dfff,
    0x002fffcc,0x00000000,0x7764c000,0x000000bd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x213ffea0,0x0005fff9,0x017ffe60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x774c0000,
    0x4eee883e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_48_latin1_x[224]={ 0,10,6,1,2,0,1,10,7,6,3,1,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,4,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,3,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,2,2,2,1,
11,3,0,0,5,3,2,6,2,0,4,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_48_latin1_y[224]={ 35,1,1,4,-1,1,2,1,0,0,1,10,27,20,
27,1,3,4,3,3,4,4,4,4,3,3,11,11,9,16,9,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,41,1,11,1,11,1,11,1,11,1,1,
1,1,1,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,35,11,-1,3,5,4,
-4,1,2,3,4,12,20,20,1,3,1,6,1,1,1,11,1,17,35,1,4,12,1,1,1,11,-4,-4,-4,-5,
-4,-6,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-5,-4,-4,-4,-5,-4,12,-1,-4,-4,-4,-4,-4,4,1,1,1,
1,1,2,-1,11,11,1,1,1,2,1,1,1,2,1,1,1,1,1,1,2,9,6,1,1,1,2,1,1,2,
 };
static unsigned short stb__consolas_48_latin1_w[224]={ 0,7,15,25,22,26,26,6,14,14,20,24,12,15,
8,21,23,21,21,21,25,19,22,22,22,22,8,13,19,21,20,15,27,27,21,22,23,19,19,23,22,19,17,22,
19,25,22,25,21,26,22,22,23,22,27,25,26,27,22,12,21,13,22,27,16,20,21,20,21,22,25,23,20,19,
18,21,19,23,20,23,21,21,21,19,22,20,24,26,24,24,20,19,5,18,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,20,22,23,25,
5,21,21,27,17,20,21,15,22,20,18,22,16,15,23,23,22,9,6,16,17,21,26,26,26,16,27,27,27,27,
27,27,28,22,23,23,23,23,23,23,23,23,25,24,26,26,26,26,26,20,25,24,24,24,24,27,21,21,23,23,
23,23,23,23,26,20,24,24,24,24,23,23,23,23,22,23,25,25,25,25,25,24,23,23,23,23,23,25,21,25,
 };
static unsigned short stb__consolas_48_latin1_h[224]={ 0,35,12,31,42,35,34,12,45,45,21,24,17,5,
9,40,33,31,32,33,31,32,32,31,33,32,25,33,27,13,27,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,44,40,44,16,4,11,25,35,25,35,25,34,34,34,34,
44,34,34,24,24,25,34,34,24,25,33,25,24,24,24,34,24,44,49,44,10,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,0,34,42,32,29,31,
49,40,10,33,23,20,11,5,22,9,17,29,20,20,11,34,40,9,7,20,23,20,34,34,34,34,39,39,39,40,
39,41,31,39,39,39,39,39,39,39,39,39,31,40,40,40,40,41,40,20,42,40,40,40,40,39,31,35,35,35,
35,35,34,37,25,31,35,35,35,34,34,34,34,33,35,34,35,35,35,35,34,26,35,35,35,35,34,44,44,43,
 };
static unsigned short stb__consolas_48_latin1_s[224]={ 251,241,1,164,1,214,196,249,28,13,67,
1,243,148,243,177,25,49,42,232,190,184,227,48,183,64,247,49,94,227,114,
236,176,94,122,91,1,235,144,1,216,1,1,71,1,21,221,206,199,105,25,
138,175,19,147,121,94,21,71,144,80,69,204,164,63,160,71,51,145,28,47,
1,115,121,125,73,95,171,216,181,136,25,149,205,161,225,72,97,124,158,195,
105,1,157,80,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,251,244,230,
204,47,137,7,132,105,63,237,110,17,148,44,127,185,71,239,131,39,1,154,
239,249,147,26,88,125,166,152,179,132,208,57,199,29,50,108,85,108,160,73,
184,1,25,231,49,185,227,204,26,53,78,102,164,24,129,154,179,1,1,163,
49,25,1,190,121,25,97,1,87,117,167,142,141,223,49,97,114,167,73,99,
192,1,218,217,135,51,75,27,93,193,43,83,204, };
static unsigned short stb__consolas_48_latin1_t[224]={ 1,175,571,424,51,175,251,175,1,1,546,
546,287,571,305,51,357,456,391,322,424,357,357,424,322,391,251,357,488,546,488,
135,1,424,424,357,424,391,424,357,424,456,391,456,488,488,456,322,456,51,424,
357,456,391,456,456,456,456,424,1,94,1,546,571,571,488,215,520,175,520,322,
322,322,287,1,322,322,520,520,488,322,322,520,488,357,488,520,520,520,322,520,
1,1,1,571,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,
391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,391,1,215,1,
357,488,391,1,51,571,357,520,546,571,571,546,571,546,488,424,546,571,287,51,
445,188,546,546,546,251,287,251,251,135,135,135,51,135,51,391,135,135,135,175,
135,175,175,94,175,391,51,94,94,94,51,94,546,51,94,94,94,94,135,391,
215,215,215,175,175,287,175,520,391,215,215,215,287,251,287,287,357,175,287,251,
215,251,215,287,488,251,251,251,215,287,1,1,1, };
static unsigned short stb__consolas_48_latin1_a[224]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_48_latin1_BITMAP_HEIGHT or STB_FONT_consolas_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_48_latin1(stb_fontchar font[STB_FONT_consolas_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_48_latin1_BITMAP_HEIGHT][STB_FONT_consolas_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_48_latin1_s[i] + stb__consolas_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_48_latin1_t[i] + stb__consolas_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_48_latin1_x[i];
            font[i].y0 = stb__consolas_48_latin1_y[i];
            font[i].x1 = stb__consolas_48_latin1_x[i] + stb__consolas_48_latin1_w[i];
            font[i].y1 = stb__consolas_48_latin1_y[i] + stb__consolas_48_latin1_h[i];
            font[i].advance_int = (stb__consolas_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_48_latin1_s[i] + stb__consolas_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_48_latin1_t[i] + stb__consolas_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_48_latin1_x[i] + stb__consolas_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_48_latin1_y[i] + stb__consolas_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_48_latin1_LINE_SPACING
#endif

