// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_50_latin1_BITMAP_HEIGHT        629
#define STB_FONT_consolas_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_50_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_50_latin1_NUM_CHARS            224

#define STB_FONT_consolas_50_latin1_LINE_SPACING          33

static unsigned int stb__consolas_50_latin1_pixels[]={
    0x3e6bfff3,0x000045ff,0x55540400,0xaaaaaaaa,0x2aaaaa62,0x10aaaaaa,
    0x00000355,0x02a98800,0x00b76a00,0x55551000,0x0aaaa055,0x88000000,
    0x00bcddb9,0x80098800,0x5dd90019,0x31555550,0x3fe6bfff,0x0017a25f,
    0x7c3f8800,0xffffffff,0x3fff27ff,0xffffffff,0xbfffff53,0x90000003,
    0x00dffffd,0x0fffff20,0x7ff44000,0xff880eff,0x000000ff,0x7fffec40,
    0x000dffff,0x405fff50,0x7ec05ffd,0x7ff42fff,0x5fff99ff,0x3a2bfff3,
    0x800004ff,0x3fe3ffe8,0xffffffff,0x3ffff27f,0x3fffffff,0xfffffff5,
    0x50000019,0xdffffffd,0xffff1000,0x880001ff,0x204ffffe,0x000ffff8,
    0x3fee0000,0xffffffff,0xff8000ef,0xfff707ff,0x3ffe607f,0x7fff46ff,
    0x35fff99f,0x3feabfff,0x200003ff,0x3e6fffe8,0xffffffff,0x3fff27ff,
    0xffffffff,0xffffff53,0x80000bff,0xfffffffa,0xffa8006f,0x0001ffff,
    0x0bffffa2,0x01ffff10,0xfb100000,0xb537bfff,0x001dffff,0x0fffffc4,
    0x82ffffec,0x47fffffa,0xf98ffffe,0xbfff35ff,0x01ffffe4,0xefffd800,
    0x9fffe000,0x4003fffc,0xfffffb98,0x3fa00002,0x001adfff,0x3ffffe60,
    0xfd10000f,0xf1001dff,0x00001fff,0x1dfffd00,0x077ffd40,0x0fffff00,
    0x40ffffee,0x45fffff8,0xf98ffffd,0xbfff35ff,0x02ffffd8,0x7fffec00,
    0x3fffc000,0x0007fff9,0x03fffec4,0xffffb800,0x3f600001,0x10004fff,
    0x4009fffd,0x000ffff8,0x7ffe4000,0x9fff7004,0x0fffcc00,0xa809ffb0,
    0x7ec0efff,0xfff98fff,0xd0bfff35,0x0001ffff,0x007ffff2,0xfc9fffe0,
    0x440003ff,0x0001ffff,0x003fffe8,0x03eeb800,0x06aaa600,0x1ffff100,
    0x7d400000,0x7e4004ff,0x0008007f,0x0aa20011,0x4c7fffec,0xfff35fff,
    0xbfffd10b,0xffff3000,0x3ffe0005,0x00ffff27,0x0bfff200,0x3fffe000,
    0x00000000,0x22000000,0x0000ffff,0x0dfff100,0x00bffe00,0x00000000,
    0x263ffff6,0xfff35fff,0x3fffe60b,0x7fff4002,0x3ffe0005,0x00ffff27,
    0x0fffee00,0x1fffe000,0x00000000,0xff100000,0x000001ff,0x0007fff6,
    0x0002ffec,0x6c000000,0xfff37fff,0x817ffe6b,0x000ffffc,0x001ffff5,
    0xf93fffc0,0x500007ff,0x80009fff,0x0006fff8,0x00000000,0x7fffc400,
    0xf8800000,0x2e0003ff,0x00000fff,0x04ccc000,0xf9bfffe4,0xbfff35ff,
    0x27fffc40,0x1ffffc40,0x9fffe000,0x0003fffc,0x005fffa8,0x02fffcc0,
    0xccccccb8,0xcccccccc,0x6666441c,0x33320002,0x1ffff12c,0xbdedb988,
    0x0fff9001,0x3fff8800,0x01666644,0x45999900,0xfc84fff8,0xbfff37ff,
    0x7017ffe6,0xc803ffff,0x80006fff,0x3ff27fff,0xfa80003f,0x4c0005ff,
    0xfb005fff,0xffffffff,0x07ffffff,0x000dffff,0x44bfffe6,0xfb10ffff,
    0x9fffffff,0x04fff880,0x84ffe800,0x0006ffff,0x445ffff3,0xffc85fff,
    0x2bfff37f,0xe805fff9,0x3e204fff,0x80002fff,0x3ff27fff,0xfa80003f,
    0x4c0005ff,0xfb005fff,0xffffffff,0x07ffffff,0x003ffff9,0x44ffff90,
    0xffd37fff,0xffffffff,0x0fffdc0b,0x26257730,0x3213ff63,0x8001ffff,
    0x7c47fffc,0xfffc85ff,0x26bfff37,0xfb805fff,0x3fee07ff,0xff00006f,
    0x1fffe4ff,0x7ffd4000,0x7fcc0005,0xfffb005f,0xffffffff,0xf307ffff,
    0xf0009fff,0x7fc49fff,0xfffff8ff,0xffffffef,0x20dffd05,0xfffffffa,
    0x217ff26f,0x004ffff9,0x4c4ffff8,0xffc85fff,0x2bfff37f,0x8805fff9,
    0xfd02ffff,0x200007ff,0x3ff27fff,0xfa80003f,0x4c0005ff,0x00005fff,
    0x207fffb0,0x4007fffd,0x221ffffa,0xfffeffff,0x3ffea21d,0x7ffc40ff,
    0xfffffb83,0x3ee4ffff,0xffffb06f,0xffffa800,0x42fffcc1,0xff36fffb,
    0x17ffe6bf,0x42fffec0,0x001ffff8,0x64ffff00,0x80003fff,0x0005fffa,
    0x002fffcc,0x3fffd800,0x05ffff50,0x237ffec0,0xfffffff8,0x3fffe602,
    0x207ffd44,0xfddffffa,0x3fee3fff,0x5ffff507,0x37ffec00,0x5c37ffcc,
    0xfff36fff,0x017ffe6b,0x207fffdc,0x0006fffb,0xfc9fffe0,0x980003ff,
    0x40006fff,0x0004fffa,0x07fffb00,0x802ffffc,0x443ffff8,0x01ffffff,
    0x5c7fffc8,0xfffe87ff,0xa8bfff20,0x3ffe07ff,0xfff1005f,0xdfff307f,
    0x26dfff70,0xfff35fff,0x3ffe200b,0x1ffff42f,0xffff0000,0x001fffe4,
    0x07fffc40,0x7fff7000,0x3f600000,0x3ff203ff,0xffa800ff,0x7ffc40ff,
    0xff3002ff,0x2ffec5ff,0xf90bffee,0x7ffd43ff,0x1ffff900,0x1ffff500,
    0x70dfff30,0x3fe6dfff,0x0bfff35f,0x127fff40,0x0003ffff,0xf93fffc0,
    0x200007ff,0x0004fffd,0x001ffff1,0x3fff6000,0x3fffe603,0x5fffd803,
    0x03ffff88,0xf1ffffc0,0x7ffe87ff,0x7d47ffd8,0xfff300ff,0xfffb007f,
    0x1bffea0b,0x7cdbffee,0x9ddd35ff,0x27ffec00,0x001ffff3,0x93fffc00,
    0x00007fff,0x077fffe6,0x5fffea80,0x3f600000,0x7ff403ff,0x7ffc406f,
    0xffff882f,0x7ffec000,0x443fff33,0xffe84fff,0x203ffd46,0x4406fffe,
    0xf502ffff,0xfff50fff,0x017ffe6b,0x97fff200,0x0007fff9,0xf93fffc0,
    0x400007ff,0xeffffffb,0x3ffbba3e,0x00005fff,0x01fffec0,0x807fffea,
    0xf107fffb,0xc8001fff,0xfff54fff,0x417ffdc1,0x7fd45fff,0x7fffd407,
    0x1fffee01,0xa87fffa8,0xfff35fff,0xff70000b,0x3fffd4df,0x3ffe0000,
    0x00ffff27,0xffd93000,0x7ffc9fff,0x0002dfff,0x3fffd800,0x04ffff80,
    0x4413fffa,0x4000ffff,0xff55fffc,0x40fffc8f,0x7dc4fff9,0xffff806f,
    0x13fffa04,0xa87fffa8,0xfff35fff,0xff50000b,0x37ffdcff,0x3ffe0000,
    0x00ffff27,0xfff93000,0x7ffc9fff,0x000befff,0x7ffec000,0x7fffc803,
    0x01ffff10,0x003fffe2,0x2edfff70,0x3fff47ff,0x2e1fffd4,0xffc805ff,
    0xffff107f,0x3fffd401,0xf9afffd4,0x980005ff,0xff90ffff,0xf80000bf,
    0x3fff27ff,0x3ea00003,0x2ceeffff,0x3ffffb72,0x000000ef,0x200ffff6,
    0xb82ffff9,0x3e206fff,0x64000fff,0xfff74fff,0xfb86fff8,0x2ffe41ff,
    0x17fffcc0,0x2037ffdc,0xfa87fffb,0xbfff35ff,0xfff30000,0x17fff21f,
    0xffff0000,0x001fffe4,0x3ffff980,0x7fff5400,0x36000006,0xfd003fff,
    0xfffd0bff,0x7fffc407,0x7ffec000,0xff8dff93,0x0fffc85f,0xe8027fec,
    0xffe85fff,0x7ffdc03f,0xa7ffcc0f,0x0005fff9,0x2e7fffa8,0x00006fff,
    0xff93fffc,0x3600007f,0x10003fff,0x0003ffff,0x0ffff600,0x07fffdc0,
    0x401ffff3,0x000ffff8,0xfc97fff4,0x17ffe25f,0x3fe1fff6,0xfff7002f,
    0x7fffcc1f,0x7fffdc00,0x99666440,0x80005fff,0x3ea6fffb,0x400007ff,
    0x3ff27fff,0xff00003f,0xfc8000ff,0x000004ff,0x2007fffb,0x323ffff8,
    0x7c405fff,0x7c000fff,0xbffb1fff,0x7c2fffc4,0x7ffc46ff,0xffff1000,
    0x02fffe47,0x007fffdc,0x005fff98,0x26fffb80,0x0007fff9,0xf93fffc0,
    0x100007ff,0x8000dfff,0x0005fffa,0x07fffb00,0xf37ffe40,0xf8803fff,
    0x2a000fff,0x3ff27fff,0x2637ffc5,0x7fd46fff,0x7ffe4006,0x007fffe6,
    0x003fffee,0x002fffcc,0x32fffe40,0x0001ffff,0xf93fffc0,0x300007ff,
    0x8000bfff,0x0006fff9,0x07fffb00,0x4ffffcc0,0x8806fffa,0x2000ffff,
    0x3f24fffe,0x23fffc6f,0x7f46fffe,0x7fcc003f,0x6fffa9ff,0x3ffff900,
    0x57ffe600,0x2001aaa8,0x3e24fffd,0x00001fff,0xffc9fffe,0xf980003f,
    0x4c0005ff,0x00006fff,0x007fffb0,0xfdbfffe8,0xff8804ff,0xff7000ff,
    0x3ffdc1ff,0x7dcbfffa,0xff70ffff,0xffd0001f,0x09fffb7f,0x07ffff20,
    0x3e65dfb1,0xbfff35ff,0x3fffe200,0x027fff41,0x4ffff000,0x0003fffc,
    0x005fff98,0x037ffcc0,0xfffd8000,0x7ffdc003,0x800ffffe,0x401ffff8,
    0x42ffffc8,0x7fdc7ffa,0xfdcffeff,0x03fffeef,0xfdfff700,0x32001fff,
    0x3a21ffff,0xff99ffff,0x0bfff35f,0x21fffea0,0x0007fffc,0xfc9fffe0,
    0x980003ff,0x40005fff,0x0006fff9,0x07fffb00,0xfffff880,0xff1006ff,
    0x3357bfff,0xbffffd75,0x441fff30,0x56ffffff,0x0bffffff,0x7fffc400,
    0x32006fff,0x3ea1ffff,0xff9dffff,0x0bfff35f,0x213fff60,0x001ffff9,
    0x64ffff00,0x80003fff,0x0005fff9,0x0037ffcc,0x3fffd800,0xffffc800,
    0xff1002ff,0xffffffff,0x09ffffff,0xf307ffe6,0x7ec1bfff,0x80004fff,
    0x2ffffffc,0x3ffff200,0x3ffffee1,0xf35fff9e,0xff100bff,0x3ffa05ff,
    0xff00004f,0x1fffe4ff,0x7ffcc000,0x7fcc0005,0xb000006f,0x30007fff,
    0x00dfffff,0x7fffffc4,0xffffffff,0x3ffe201e,0x54015302,0x3e600001,
    0x4006ffff,0x262ffffd,0xf9cfffff,0xbfff35ff,0x0ffff500,0x003fffdc,
    0x327fff80,0x80003fff,0x0005fff9,0x0037ffcc,0x3fffd800,0xffffd000,
    0x7ffc4005,0xffffffef,0xfff003ce,0x0000000b,0x2ffffe80,0x7fffec00,
    0x9b7ffdc2,0xfff35fff,0x9fffd00b,0x1ffffc40,0x3fffc000,0x0007fff9,
    0x00bfff30,0x06fff980,0xfffd0000,0x3ffa0005,0x7fc4006f,0x033310ff,
    0x03fff200,0x80000000,0x0006fffe,0xf986a200,0xbfff35ff,0x0ffffb80,
    0x07fffec0,0x9fffe000,0x0003fffc,0x005fff98,0x037ffcc0,0xffff8000,
    0xfffa8001,0x7fc4003f,0x200000ff,0x0002fff9,0xff500000,0x000007ff,
    0x35fff980,0x7c40bfff,0xf8802fff,0x40004fff,0x3ff27fff,0xfa80003f,
    0x440004ff,0x00006fff,0x007fff88,0x00ffffd0,0x01ffff10,0x5ffe8000,
    0x00000000,0x000ffffd,0x8005e5c4,0xff35fff9,0x7ffe40bf,0x3ffee006,
    0x3fe0001f,0x0ffff27f,0x3ffee000,0xfff80003,0xfc800007,0xfc8006ff,
    0x88002fff,0x0000ffff,0x00fffdc0,0x32000000,0x0002ffff,0x05fffff3,
    0x26bfff30,0xff305fff,0xfe8003ff,0x3e0006ff,0x3fff27ff,0xffd80003,
    0xfe80002f,0x200001ff,0x003ffff8,0x027fffdc,0x0ffff880,0x7fc40000,
    0x000001ff,0x9ffff700,0x7fff4000,0x7cc00fff,0xbfff35ff,0x09fffd10,
    0x9ffff300,0x9fffe000,0x0003fffc,0x00ffffcc,0x37ffec00,0xf5002f60,
    0x4400dfff,0x006ffffd,0x03fffe20,0x3ff20000,0x0ea001ff,0xfffd8800,
    0x3ea0006f,0x02ffffff,0xf9afffcc,0xfffe85ff,0xff90000e,0xff0007ff,
    0x1fffe4ff,0xfffd5000,0x3ea0000d,0xfb00cfff,0xb95579df,0x203fffff,
    0xfffedccb,0x20001fff,0x000ffff8,0xffffd000,0xfc99815b,0xb997005f,
    0x3ffffffd,0x7ffdc000,0x4c03ffff,0xfff35fff,0x0ffffd8b,0x7ffec000,
    0x5555541f,0x27fffaaa,0xaaadfffc,0x7510aaaa,0x3fffffd9,0x7fec0000,
    0xb2acdfff,0xffffffff,0x407fffff,0xfffffffc,0x440001ef,0x0000ffff,
    0xffffd100,0xfffffdff,0x3f200bff,0xefffffff,0x7fcc0001,0x402fffff,
    0xff35fff9,0x7fffe4bf,0xffd00001,0x7fffc3ff,0x7fffffff,0x3ffffff2,
    0xf53fffff,0x9fffffff,0xff880000,0xb6ffffff,0xffffffff,0xc803dfff,
    0x3fffffff,0xfff10000,0x8000001f,0xfffffffc,0x01dfffff,0xffffff90,
    0x7400007f,0x806fffff,0xff35fff9,0x3fffeabf,0x3a200001,0x3ffe6fff,
    0xffffffff,0x3fffff27,0x53ffffff,0x5dffffff,0x32200000,0x16ffffff,
    0xffffffb5,0x3f20059d,0x000bdeff,0x3fffe200,0x88000000,0xefffffdb,
    0x7e4000ad,0x000bdeff,0x7fff4400,0xfff9800e,0x22bfff35,0x00002ffe,
    0x3e2ffe88,0xffffffff,0x3fff27ff,0xffffffff,0x59bdff53,0x26000000,
    0x206ffecb,0x26000098,0x00000001,0x20000000,0x06600001,0xa9800000,
    0x3ffe6001,0x44bfff35,0x2000003e,0x000002f8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e6bfff3,0x000045ff,
    0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26bfff30,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9afffcc,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001aaa80,
    0x01331000,0x0554c000,0xa9800000,0x9800002a,0x65c00001,0x0001cccc,
    0xccb80000,0x80000ccc,0x0004ccca,0x5400d4c0,0x3b22000a,0xf300002d,
    0x000005ff,0x00017ffa,0x33ffffaa,0x64000000,0xa80006ff,0xceffffec,
    0x7e40000a,0x0001ffff,0x3ff20000,0x80001eff,0x0efffffa,0xfffc8000,
    0x03fffa02,0x3ffffe20,0xffa80004,0x8800001f,0x40002fff,0xfffffff9,
    0x74000005,0x220005ff,0xfffffffe,0x0001ffff,0x0fffffd4,0x64000000,
    0x000dffff,0xfffffb80,0x20000eff,0x506ffff8,0xb009ffff,0x01ffffff,
    0x0fffb800,0xffb80000,0x7f40000f,0x1ffe98bf,0x3fe00000,0xff50004f,
    0xffffffff,0x0005ffff,0x1ffffe88,0x32000000,0x0003ffff,0xb5ffff90,
    0x0001dfff,0xa83ffffc,0xf804ffff,0x02ffffff,0x03ffe400,0x6ffd8000,
    0x46ff8000,0x00003ff9,0x000fffe0,0x3ffffff2,0xfffffdce,0xc80004ff,
    0x0000ffff,0xefffc800,0xff900001,0x7ffe41df,0xff90001f,0x7fffc07f,
    0xffffe801,0x6c0002ff,0x300006ff,0x07fff133,0x45ff8800,0x00004ff9,
    0x3fffb2a6,0x4c009bce,0x80afffff,0x2fffffc9,0xccca8000,0x4c000003,
    0x0000cccc,0x20799950,0x0004ccca,0x97100b2a,0x3ffee003,0x40000fff,
    0x50005ffe,0xffffffd9,0xd00003ff,0x17fe41ff,0x3ff22000,0xffffffff,
    0x3fa01fff,0xfc801fff,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x1ffffd80,0x4fff8000,0x7fff4400,0xffffffff,0xffb80002,0x00efffdf,
    0x3fffee00,0xffffffff,0xff501fff,0x7ec005ff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x000ab980,0x1fffd440,0xfffff500,0xffffffff,
    0xf900009f,0x003fffff,0x7ffffec0,0xffffffff,0xffd01fff,0xfff0009f,
    0x260000bf,0x20000001,0x00000019,0x00000066,0x00000000,0x3ffb6e20,
    0x03dfffff,0x3ffffff2,0xffffdbbe,0xa80004ff,0x0000bdec,0x2bbfffee,
    0x54cdffb0,0xffffa81c,0xfffd8001,0xeca8000f,0x0aceffff,0xfd950000,
    0x0159dfff,0x3fb2a000,0x00acefff,0x01fffea0,0x037ffdc0,0xffea8000,
    0xffffffff,0xfffa80ff,0x7fdc0aff,0x001fffff,0x26000000,0xfe85ffff,
    0x3ff6004f,0xff50007f,0x744007ff,0xffffffff,0x20001fff,0xffffffe8,
    0x001fffff,0x3ffffa20,0x1fffffff,0x0ffff500,0x1bffee00,0x3ff20000,
    0xffffffff,0xfe80ffff,0xffd01fff,0x00dffffd,0x7ffffcc0,0xfff90006,
    0x00fffe0d,0x004ffff8,0x013fffe0,0x7fffffd4,0xffffffff,0xfffa8002,
    0xffffffff,0xa8002fff,0xffffffff,0x02ffffff,0x007fffa8,0x00dfff70,
    0xffffe800,0xbfffdbef,0x7fd40ffd,0xfff102ff,0x07ffffb5,0x3ffff200,
    0xfd8001ff,0xfff884ff,0xffff1002,0x7fec0005,0xfffc804f,0xfecbefff,
    0x003fffff,0x3ffffff2,0xffffecbe,0x3f2003ff,0xcbefffff,0x3ffffffe,
    0x03fffd40,0x06fffb80,0x3ffee000,0x97ffa1ef,0x7fff40b8,0x23ffee04,
    0x005ffff9,0xfffffff0,0xffff0009,0x03fff309,0x07fffea0,0x5fffd800,
    0x7ffffd40,0xfffc880a,0xffa802ff,0xc880afff,0x802fffff,0x0afffffa,
    0xfffffc88,0x1fffea02,0x37ffdc00,0xfff88000,0x27ffc0df,0x07fffea0,
    0x3f66ffd8,0x4c000fff,0x6fffffff,0x7fffe800,0x000fffa8,0x001ffff5,
    0x037ffe40,0x007ffffa,0x01bffff2,0x007ffffa,0x01bffff2,0x007ffffa,
    0x81bffff2,0x0007fffa,0x000dfff7,0x03ffff60,0xd807fff1,0x7fc07fff,
    0x3fffe63f,0x7ffe4002,0x001ffffd,0x21ffffe4,0x2e007ffb,0x40007fff,
    0x2a07fffb,0x2002ffff,0x201ffffc,0x002ffffa,0x807ffff2,0x002ffffa,
    0x407ffff2,0x0007fffa,0x000dfff7,0x07ffff10,0xf805fff3,0x3ea04fff,
    0x7fffc1ff,0x7fffc004,0x004fffe9,0x1fffffd4,0x5c00dff9,0x40007fff,
    0xd00ffffb,0xf0009fff,0x7f40bfff,0xff8004ff,0x3ffa05ff,0xfff8004f,
    0xffff505f,0x3ffee000,0xffa80006,0x3fff507f,0x17fffcc0,0xfd0dff90,
    0x7cc00bff,0xdfff96ff,0xffffb000,0x0bffb5df,0x03fffe40,0x1fffea00,
    0x00ffffd4,0x07fffe40,0x00ffffd4,0x07fffe40,0x00ffffd4,0x07fffe40,
    0x003fffd4,0x206fffb8,0xf701cec8,0x3fee0dff,0x3ffea00f,0x13ffa01f,
    0x801bfff6,0xff34fffc,0xe88003ff,0xffffffff,0x3fee004f,0x7dc0007f,
    0xfffb07ff,0x3fea000f,0xfffd83ff,0xfff50007,0xffffb07f,0x3ffea000,
    0x7fffa83f,0xdfff7000,0x3ffffe20,0x05fffd82,0xfa80fff9,0xff300fff,
    0xdfffb05f,0x0ffffc00,0x0007ffff,0xffffffb1,0x2a003dff,0x0000ffff,
    0x7c1bfff2,0x20004fff,0xff83ffff,0x3e0004ff,0xfff83fff,0x3fe0004f,
    0xfffa83ff,0xfff70007,0x3ffff20d,0x7fff40ff,0x80dffb03,0x2e07fffb,
    0xfff907ff,0x3ffe600f,0x037ffe47,0xffffd500,0x805dffff,0x001ffff9,
    0x217fff20,0x002ffff9,0x313fff60,0x0005ffff,0x2627ffec,0x0002ffff,
    0x2a13fff6,0x70007fff,0x3f60dfff,0x743fffff,0xffd04fff,0x7fffb80b,
    0x5c17ffa0,0xf9007fff,0xfffa89ff,0x6d40001f,0xffffffff,0xffff301e,
    0x7fec0003,0xffffa84f,0x3ff60001,0x7fffd45f,0x3ff60001,0x7fffd45f,
    0x3ff60001,0x7fffa85f,0xdfff7000,0x3ffffee0,0x27ffec5f,0x6404fff8,
    0xff107fff,0x3ffea05f,0x5ffff007,0x007ffff0,0x3fffee00,0x884fffff,
    0x0003ffff,0x2a0ffffe,0x0000ffff,0xf51bfff2,0x40001fff,0x7d46fffc,
    0x20000fff,0xfa86fffc,0xf70007ff,0x3fa20dff,0x7e46ffff,0xfff886ff,
    0x3fffdc03,0x700fffa8,0xf300ffff,0x3ff60fff,0xf900006f,0xfffffdff,
    0xdffff07f,0x3ffea000,0x7fffb81f,0x7ffdc000,0x03fffdc7,0x1fffee00,
    0x000ffff7,0xa87fffb8,0x70007fff,0x7d40dfff,0x7dc5ffff,0x7fcc0fff,
    0x7ffdc02f,0x06ffd80f,0x201ffff2,0xf505fffc,0x00001fff,0x3f66bffb,
    0x7e42ffff,0xd8000fff,0xff706fff,0xfb8000ff,0x3fee0fff,0x7dc0007f,
    0x3fee0fff,0x7dc0007f,0x7fd40fff,0xff70007f,0xfffd80df,0x7fffd44f,
    0x00fffd43,0x207fffea,0x3f603fff,0xfff806ff,0xffff102f,0xffd00007,
    0x6ffffb89,0x01ffffcc,0x0bfffe20,0x003fffe4,0x83fffea0,0x0007fffc,
    0x907fffd4,0x8000ffff,0x540ffffa,0x70007fff,0xfb80dfff,0xffe82fff,
    0x3ffee1ff,0x7fffcc00,0x00fffcc2,0x980bfffb,0x3600ffff,0x80006fff,
    0xffc83fff,0x7fff40ff,0x3ff6000f,0x3ffee07f,0x7fdc0007,0x3fffdc7f,
    0x3ffee000,0x03fffdc7,0x1fffee00,0x001fffea,0x2037ffdc,0xa81ffffc,
    0xf91fffff,0xfff100ff,0x07ffc87f,0x201ffffc,0x5c05fffc,0x0000ffff,
    0x260bffe2,0x7dc2ffff,0xc800efff,0x2a03ffff,0x0000ffff,0xf51ffff2,
    0x40001fff,0x7d47fffc,0x20000fff,0xfa87fffc,0xf70007ff,0xfff80dff,
    0x3fffa05f,0x46ffecff,0x3ffa0fc9,0x027ff44f,0x803ffff5,0x4403ffff,
    0x0003ffff,0x2207ffe6,0x7442ffff,0x101effff,0x01dffff9,0x00ffffcc,
    0x8dfff900,0x001ffff9,0x31bfff20,0x0003ffff,0x5437ffe4,0x70007fff,
    0x3620dfff,0x2200ffff,0xfffffffe,0xfffffeff,0x99ffff20,0x3f602fff,
    0x7fcc07ff,0xffe800ff,0x3ea0006f,0xfff980ff,0xffff881f,0xfecbdfff,
    0x400effff,0x001ffff8,0x117fff60,0x0003ffff,0x222fffec,0x0001ffff,
    0x2a17fff6,0x70007fff,0x64c4dfff,0x802fffff,0xffffffd8,0xffffffff,
    0x4bfffea0,0x3e207ffb,0x7e403fff,0xff7006ff,0x2e0001ff,0xfff907ff,
    0x7fffcc0f,0xffffffff,0xff000eff,0x7c0007ff,0xfff83fff,0x3fe0003f,
    0xffff83ff,0x3ffe0003,0x7fffa83f,0xbfff7000,0x3ffffffa,0x7ed4003f,
    0xffffffff,0x3fe20dff,0x5ffd8eff,0x01bfff60,0x400ffffe,0x003ffff9,
    0xf50dff90,0xe980bfff,0xffffffff,0x2000dfff,0x0006ffff,0xf03ffff5,
    0x2000dfff,0xf81ffffa,0x50006fff,0xf303ffff,0x90001fff,0x3ffa9fff,
    0x0000dfff,0x33bfff22,0x3fee009b,0x03fffdff,0x805ffff9,0xeeeffff9,
    0xeeeeeeee,0xf306ffff,0x7fec135b,0xffffd515,0x3f26001f,0x0befffff,
    0xffffc800,0xfffd8000,0x1ffff907,0xffffb000,0x03ffff20,0x1ffff600,
    0x00ffffc4,0xe9fffec0,0x0002ceff,0x001fff70,0xffffffe8,0x7ffe440f,
    0xfffc806f,0xffffffff,0xffffffff,0xffff980f,0xfffffeff,0x1fffffff,
    0xbfff9000,0xfff98000,0x7fc4003f,0xfff303ff,0xff88007f,0xfff303ff,
    0xff88007f,0x3ffe03ff,0xfff8002f,0x0000131f,0x001fff20,0x3fffffea,
    0xfffebaaf,0xff801fff,0xffffffff,0xffffffff,0xff983fff,0xffffffff,
    0xefffffff,0x3fea0002,0x6c0000ff,0x2000efff,0x6c06fffd,0x2000efff,
    0x6c06fffd,0x2000efff,0x7406fffd,0x5c006fff,0x0000ffff,0x06ffd800,
    0xfffff500,0xffffffff,0xff3001df,0xffffffff,0xffffffff,0xff30bfff,
    0xffffffff,0x05dfffff,0xffff1000,0xffa80007,0xfc800eff,0x7d402fff,
    0xc800efff,0x5402ffff,0x800effff,0x402ffffc,0x002ffffb,0x009ffff1,
    0x3ffa0000,0x3fa60005,0xffffffff,0x3f2004ff,0xf90006ff,0x73101fff,
    0xdffffdb9,0x0000359b,0x00ffffe8,0xfffd00a2,0x3f2203df,0xfd006fff,
    0x2203dfff,0x006ffffc,0x03dffffd,0x1bffff22,0x1fffff40,0x3ffffa60,
    0xf0000000,0xc80009ff,0xffffffff,0x7f4002ce,0xf30003ff,0x5c005fff,
    0x00000fff,0x7ffffd40,0x07fee60b,0xffffff98,0xfffebbdf,0xf3001fff,
    0x7bffffff,0xffffffd7,0x3ffe6003,0xebbdffff,0x01ffffff,0xbfffff50,
    0xff975359,0x00005fff,0x0fffe200,0x59fff000,0x4c000355,0x0001ffff,
    0x8017fffe,0x00007ffc,0xfffff900,0xdfffffff,0xffffe880,0xffffffff,
    0x744000ef,0xffffffff,0x00efffff,0x7ffff440,0xffffffff,0x7ec000ef,
    0xffffffff,0x04ffffff,0x3e600000,0x260001ff,0x00001fff,0x001bfff2,
    0x01ffff90,0x001bff60,0xfffe8000,0xffffffff,0x7fec401e,0xffffffff,
    0x3620004f,0xffffffff,0x20004fff,0xffffffd8,0x004fffff,0x3ffffaa0,
    0xefffffff,0x40000001,0x0000fffa,0x0001ffee,0x009fffd0,0x2ffff980,
    0x009ffd00,0xfea80000,0x3fffffff,0x7ff65400,0x002cefff,0xfffd9500,
    0x00059dff,0x3fffb2a0,0x0002ceff,0xffffec88,0x0003efff,0xfff70000,
    0x5ffe8000,0x3fe60000,0xf80001ff,0xff005fff,0x0000007f,0x2f372ea0,
    0xa980000a,0x30000001,0x00000035,0x000006a6,0x0026a620,0x32000000,
    0x220006ff,0x00003fff,0x001bfff2,0x07fffe40,0x00bbba20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0004cc40,0x00006660,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32e00000,0x0001cccc,0x332e0000,0x20000ccc,
    0x0004ccca,0x00b36e60,0x0d4c0003,0x00005540,0x15500353,0x2a600000,
    0xb73001aa,0x20018059,0x01cccccb,0x36200000,0xff9001de,0x00003fff,
    0xffff9000,0x7d40003d,0x000effff,0x3ffffe20,0x04fa82ff,0x02fffc80,
    0x0003fffa,0xe80bfff2,0x00000fff,0x400fffe8,0xfffffff8,0x2004fa82,
    0x01fffffc,0xff880000,0xf5000fff,0x0003ffff,0x7ffe4000,0x2e0000df,
    0xefffffff,0xffe88000,0xadffffff,0x002fffc9,0x41bfffe2,0x004ffffa,
    0x837fffc4,0x004ffffa,0x2fffcc00,0x3ffffa20,0xc9adffff,0x2a002fff,
    0x001fffff,0x7ffdc000,0x3a2004ff,0x0001ffff,0xffffc800,0x7fe40003,
    0xefffdaff,0x7ffec000,0xfffffdbc,0x8004ffff,0xf507ffff,0xf0009fff,
    0x3ea0ffff,0x00004fff,0x2017ffec,0xfdbcfffd,0xffffffff,0xffe88004,
    0x000001ff,0x17fffff2,0x3ffff200,0x32000000,0x0001efff,0x9077ffe4,
    0x4003ffff,0x7f4c0ffa,0x005fffff,0x407fff90,0x8001ffff,0x3e03fffc,
    0x00001fff,0x201bffe2,0x7f4c0ffa,0x005fffff,0x07fffe40,0xffa80000,
    0x50003fff,0x00007999,0x03333260,0x79995000,0x013332a0,0x76d40330,
    0x540002ce,0x0e5c402c,0x80595000,0x00001cb8,0x801fffdc,0x3bb6a019,
    0x9500002c,0x00000799,0x002fffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00ffff80,0x00000000,0x80000000,0x000002a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x00009fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x19800000,0x26000000,
    0x00000001,0xfe800000,0x000001ff,0x00000000,0x2a000000,0x70007fff,
    0xffa8dfff,0xff70007f,0x7fffa8df,0xdfff7000,0x7ff65400,0x000aceff,
    0xfffd9500,0x000159df,0xfffffff1,0xffffffff,0x98000fff,0x7c406fff,
    0x4005ffff,0x4004fffb,0x06fffff9,0x26660000,0x0ffff500,0x1bffee00,
    0x000ffff5,0xf51bffee,0x2e000fff,0xe8806fff,0xffffffff,0x20001fff,
    0xffffffe8,0x001fffff,0x7fffffc4,0xffffffff,0x40007fff,0x4402fffc,
    0x00ffffff,0x013ffee0,0xffffff90,0xf5000003,0x3fea05ff,0xff70007f,
    0x7fffa8df,0xdfff7000,0x007fffa8,0x80dfff70,0xfffffffa,0x2fffffff,
    0xffffa800,0xffffffff,0x3e2002ff,0xffffffff,0xffffffff,0x3fe20007,
    0xfff8807f,0x2e004fff,0x7c004fff,0x04ffffff,0xfffa8000,0x0ffff502,
    0x1bffee00,0x000ffff5,0xf51bffee,0x2e000fff,0x3f206fff,0xcbefffff,
    0x3ffffffe,0x3ffff200,0xffecbeff,0x1003ffff,0xddddffff,0xdddddddd,
    0x7dc000dd,0xff8804ff,0x000fffff,0x4009fff7,0xfffffff9,0xfa800006,
    0xfff502ff,0x3fee000f,0x3fffd46f,0x6fffb800,0x003fffd4,0x506fffb8,
    0x015fffff,0x5fffff91,0xfffff500,0xfff91015,0xff1005ff,0x000003ff,
    0x00fffe80,0xffffff88,0xfff7004f,0x7ffe4009,0x001ffffd,0x1fffd400,
    0x007fffa8,0xa8dfff70,0x70007fff,0xffa8dfff,0xff70007f,0x3fffa0df,
    0xfffc801f,0xfffe806f,0xfffc801f,0xfff8806f,0x0000001f,0x4017ffea,
    0xfffffff8,0xfffb800f,0x3fffe004,0x004fffe9,0x1fffdc00,0x007fffa8,
    0xa8dfff70,0x70007fff,0xffa8dfff,0xff70007f,0xffff50df,0x7ffe4005,
    0x3ffea01f,0x3ff2002f,0x7fc401ff,0x000001ff,0x007fff60,0x7effffc4,
    0xffb803ff,0xfff3004f,0x01bfff2d,0x7fff7000,0x01fffea0,0x237ffdc0,
    0x0007fffa,0xfa8dfff7,0xf70007ff,0xfffd0dff,0xffff0009,0x27fff40b,
    0x2ffffc00,0x07fffe20,0x7c400000,0x3e2006ff,0x7fff9fff,0x04fffb80,
    0x269fff90,0x0001ffff,0x3ffff726,0xffff503f,0x3ffee000,0x03fffd46,
    0x46fffb80,0x0007fffa,0xfa8dfff7,0xc8001fff,0xfa80ffff,0xc8001fff,
    0x2200ffff,0x0001ffff,0x7fff9000,0xbfffc400,0x5c03fffe,0xff004fff,
    0x7fffc3ff,0xffc88003,0x04ffffff,0x000ffff5,0xf51bffee,0x2e000fff,
    0x7fd46fff,0xff70007f,0x7fffd8df,0xffff5000,0x0ffffb07,0x3fffea00,
    0x3fffe203,0xf0000001,0x44001fff,0xfff77fff,0x4fffb80d,0x47fff980,
    0x4006fffc,0xfffffff8,0xff504fff,0x3ee000ff,0x7ffd46ff,0xfff70007,
    0x07fffa8d,0x8dfff700,0x0004ffff,0x3e0ffffe,0x20004fff,0x2203ffff,
    0x0001ffff,0x4fffa800,0xbfffc400,0x202ffff8,0xc804fffb,0x7fd44fff,
    0x3f6001ff,0x99abefff,0xffff5009,0x3ffee000,0x03fffd46,0x46fffb80,
    0x0007fffa,0x7ccdfff7,0x20002fff,0x7cc4fffd,0x20002fff,0x2204fffd,
    0x0001ffff,0x1fffe800,0x3fffc400,0x5c0dfff9,0xff804fff,0xffff82ff,
    0xffff5003,0xfff5000b,0x3fee000f,0x3fffd46f,0x6fffb800,0x003fffd4,
    0x2a6fffb8,0x0001ffff,0xf517fff6,0x40003fff,0x2205fffd,0x0001ffff,
    0x2fffcc00,0x3fffc400,0x203ffff1,0x4c04fffb,0xffb07fff,0x3ff200df,
    0xfa8000ff,0xf70007ff,0xfffa8dff,0xfff70007,0x07fffa8d,0x4dfff700,
    0x000ffffa,0x51bfff20,0x0001ffff,0x1037ffe4,0x5557ffff,0x55555555,
    0x7fec0035,0xff88002f,0x2fffec7f,0x404fffb8,0xf505fffc,0xfb001fff,
    0x2a000bff,0x70007fff,0xffa8dfff,0xff70007f,0x7fffa8df,0xdfff7000,
    0x003fffdc,0x71fffee0,0x8000ffff,0x2207fffb,0xffffffff,0xffffffff,
    0xfff1003f,0x3fe2000f,0x7fffcc7f,0x04fffb81,0x8817fffc,0xf803ffff,
    0x50004fff,0x2000ffff,0x7d46fffb,0xf70007ff,0xfffa8dff,0xfff70007,
    0x03fffdcd,0x3fffee00,0x01fffee0,0x1ffff700,0x3ffffe20,0xffffffff,
    0x7003ffff,0x20007fff,0xfd87fff8,0xfffb85ff,0x3fffe604,0x1bfff600,
    0x017fffe0,0x03fffd40,0x46fffb80,0x0007fffa,0xfa8dfff7,0xf70007ff,
    0x7ffe4dff,0x7fd40007,0x3fff20ff,0x7fd40007,0xfff100ff,0xffffffff,
    0x07ffffff,0x003fffa0,0x43fffc40,0x5c0ffffa,0x3f204fff,0x7fdc05ff,
    0x7ff400ff,0xff50007f,0x3ee000ff,0x7ffd46ff,0xfff70007,0x07fffa8d,
    0x4dfff700,0x0007fffb,0x2e3fffdc,0x40007fff,0x2207fffb,0xaaabffff,
    0xaaaaaaaa,0xfffa801a,0x3fe20005,0x9fffd07f,0x204fffb8,0x4403ffff,
    0x6c03ffff,0x8000ffff,0x0007fffa,0xfa8dfff7,0xf70007ff,0xfffa8dff,
    0xfff70007,0x07fffd4d,0xffff9000,0x00ffffa8,0x1ffff200,0x01ffff88,
    0xfffb0000,0x7fc40003,0xffff507f,0x827ffdc1,0x800ffff9,0x4c06fffe,
    0x8005ffff,0x0007fffa,0xfa8dfff7,0xf70007ff,0xfffa8dff,0xfff70007,
    0x0ffffccd,0xdfff9000,0x01ffff98,0x1bfff200,0x01ffff88,0xfff98000,
    0x7fc40006,0x3fffa07f,0x413ffee4,0x7006fffc,0xe801ffff,0x4004ffff,
    0x0007fffa,0xfa8dfff7,0xf70007ff,0xfffa8dff,0xfff70007,0x0ffffc4d,
    0xbfffb000,0x01ffff88,0x17fff600,0x01ffff88,0xfffc8000,0x7fc40002,
    0x3ffee07f,0x09fff70f,0x400ffffe,0x403ffff9,0x1dfffff9,0x0ffff500,
    0x17ffee00,0x000ffff5,0xf517ffee,0x2e000fff,0x7ffc5fff,0x3fe0003f,
    0xffff83ff,0x3ffe0003,0x3ffe203f,0x4400001f,0x80007fff,0x7c07fff8,
    0xfff73fff,0xdffff309,0xdddddddd,0x0dffffdd,0xffffff50,0x7fcc033b,
    0xfc8000ff,0x7ffcc4ff,0xffc8000f,0x7fffcc4f,0xfffc8000,0x037fffc4,
    0x1ffffa80,0x006ffff8,0x03ffff50,0x00ffffc4,0x3ffee000,0xff880004,
    0x7ffdc07f,0x909fff76,0xffffffff,0xffffffff,0x5001ffff,0xffffffff,
    0xfff88dff,0xffd8001f,0x7fffc43f,0xfffd8001,0x0ffffc43,0x1fffec00,
    0x003ffff2,0x41ffff60,0x000ffffc,0x407fffd8,0x001ffff8,0x07fff400,
    0x7ffc4000,0x7fffc407,0xf84fffba,0xffffffff,0xffffffff,0x1003ffff,
    0xfffffffb,0x5ffff0ff,0x3ffff000,0x005ffff0,0xf03ffff0,0xf0005fff,
    0xff983fff,0x7c4003ff,0xff303fff,0xf88007ff,0x7c403fff,0x00001fff,
    0x0017ffe6,0x03fffc40,0x7defffe4,0x7ffcc4ff,0xffffffff,0xffffffff,
    0x6d4005ff,0x87ffffff,0x4006fffe,0xe80ffffb,0x5c006fff,0xfe80ffff,
    0x7dc006ff,0xffd80fff,0x3f6000ef,0x7fec06ff,0x3f6000ef,0xff8806ff,
    0x200001ff,0x0002fffd,0x00ffff10,0xff9ffff1,0x6fffc89f,0xffff9000,
    0xb9510001,0xfff70ffd,0x3fe2005f,0xfff704ff,0x3fe2005f,0xfff704ff,
    0x3fe2005f,0xfff504ff,0xff9001df,0xffa805ff,0xfc800eff,0xf8802fff,
    0x00001fff,0x000dfff1,0x03fffc40,0xffffffd8,0x1ffff44f,0xffff9800,
    0xe8000002,0x4c03ffff,0x200ffffe,0x403ffffe,0x00ffffe9,0x00fffffa,
    0x01ffffd3,0x0f7ffff4,0x6ffffc88,0xdffffd00,0x3fff2203,0xfff1006f,
    0x3200003f,0x00003fff,0x401fffe2,0xfffffff9,0x07fffe64,0x5ffff800,
    0xfa800000,0x9acdffff,0xfffffcba,0x7fffd402,0xcba9acdf,0x402fffff,
    0xcdfffffa,0xfffcba9a,0x7fcc02ff,0xbbdfffff,0x1ffffffe,0xfffff300,
    0xffd77bff,0x2003ffff,0xeeeffff8,0xeeeeeeee,0xffff86ee,0x3e200000,
    0x3f6007ff,0x324fffff,0x40006fff,0x000ffffc,0xfffd8000,0xffffffff,
    0xb004ffff,0xffffffff,0x9fffffff,0x3ffff600,0xffffffff,0xd1004fff,
    0xffffffff,0x01dfffff,0xffffe880,0xffffffff,0x3e2000ef,0xffffffff,
    0xffffffff,0x027ffd47,0x3ffe2000,0x3ffe6007,0x3ffa4fff,0x7cc0004f,
    0x00002fff,0xffffd500,0xdfffffff,0xffea8003,0xffffffff,0x754001ef,
    0xffffffff,0x4001efff,0xffffffd8,0x004fffff,0x3ffff620,0x4fffffff,
    0xffff8800,0xffffffff,0x747fffff,0x00001fff,0x003fffc4,0x53fffffa,
    0x001ffff9,0x05ffff80,0x32200000,0xfffffffe,0x3220003e,0xfffffffe,
    0x3220003e,0xfffffffe,0x6540003e,0xcefffffe,0xd9500002,0x59dfffff,
    0x3ffe2000,0xffffffff,0x47ffffff,0x00001999,0x007fff88,0xa7ffffd4,
    0x0006fffc,0x01ffff90,0x22000000,0x000009a9,0x00135310,0x26a62000,
    0x26000000,0x0000001a,0x00000353,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00cccccb,0x99995000,0x2e600000,
    0x000c02cd,0x6665c000,0x530000cc,0x00155003,0x02662000,0x99700000,
    0x20001999,0x0004ccca,0x9bb95310,0x32201557,0x000002de,0x03dffff9,
    0x3ffea000,0x00000eff,0xfffffff1,0x0009f505,0x7fffe400,0xff90001e,
    0x7fff405f,0x5d440000,0xffffffed,0x3200002c,0x001effff,0xdfffff50,
    0x3f620001,0xffffffff,0xffff883f,0x6400004f,0x000dffff,0xfffff700,
    0x80001dff,0xffffffe8,0xffc9adff,0xc800002f,0x000dffff,0x0dffff10,
    0x013fffea,0xfffffa80,0xffffffff,0x7e40001f,0x0000dfff,0xfffffff7,
    0xffb8001d,0xffffffff,0xfffd83ff,0x00000fff,0x007ffff9,0x7fffe400,
    0x00efffda,0x33fff600,0xffffffdb,0x00004fff,0x03ffffc8,0x7ffff800,
    0x09ffff50,0x3ffff200,0xffffffff,0x20001fff,0x003ffffc,0x2bffff20,
    0x000efffd,0xdffffff7,0x07ffdddd,0x5fffffff,0xfff90000,0x6400003d,
    0x3f20efff,0x50001fff,0xffe981ff,0x0005ffff,0x1efffc80,0xfff90000,
    0x0ffffc07,0x3fffa200,0xecceffff,0x001fffff,0x03dfff90,0x77ffe400,
    0x07ffff20,0x3bffff10,0xffe81980,0x0002ffff,0x0066664c,0x79995000,
    0x013332a0,0x36a01980,0x00002cee,0x00cccc98,0x01654000,0x100072e2,
    0x37ffffff,0x001fda80,0x00cccc98,0x0f332a00,0x20266654,0x0006fffc,
    0x7fffffdc,0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,
    0x001fffff,0x0000004c,0x00000000,0x0007fffd,0x03ffffb0,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff100000,0x00001dff,0x00000000,
    0xfff00000,0x2600005f,0x000000ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01ffff90,0x00000000,0x00000000,0x0017fffa,0x4c000000,
    0x006fffff,0x3ffe6000,0x000006ff,0x1bffffe6,0x3ffff600,0xffd80003,
    0x7cc001ff,0x0006ffff,0x009ffff3,0x3ffe2000,0xffffffff,0x07ffffff,
    0x3fffffe2,0xffffffff,0xff907fff,0x000009ff,0xfff90000,0x00003fff,
    0x3fffff20,0x9000001f,0x03ffffff,0xfffff980,0x3fe60000,0xfc8005ff,
    0x001fffff,0x00ffffd8,0xfff10000,0xffffffff,0x0fffffff,0x7fffffc4,
    0xffffffff,0xff107fff,0x0001bfff,0x7fc00000,0x004fffff,0xfffff000,
    0x000009ff,0x3ffffffe,0xfffc8004,0x3f60003f,0xf8000fff,0x04ffffff,
    0x05fffe80,0x3fe20000,0xffffffff,0x7fffffff,0x3ffffe20,0xffffffff,
    0x2e07ffff,0x03ffffff,0x98000000,0x6fffffff,0xff980000,0x006fffff,
    0xffff9800,0x88006fff,0x000fffff,0x04ffff98,0xfffff980,0xff8006ff,
    0x000003ff,0x3bbfffe2,0xeeeeeeee,0x3e206eee,0xeeeeefff,0xeeeeeeee,
    0xfffff706,0x0003dfff,0x7fe40000,0x01ffffdf,0x7ffe4000,0x001ffffd,
    0x6fffe400,0x8001ffff,0x004ffffb,0x00ffffe8,0xfdfffc80,0x22001fff,
    0x0002ffff,0x3fffe200,0x7c400001,0x00001fff,0xfffffff7,0x0009ffff,
    0x3ffe0000,0x04fffe9f,0x7fffc000,0x004fffe9,0x4ffffc00,0x0004fffe,
    0x001ffffd,0x01ffffd4,0xe9ffff80,0x2a004fff,0x0001ffff,0x3fffe200,
    0x7c400001,0x80001fff,0xd53ffff9,0x03dfffff,0x7cc00000,0xdfff96ff,
    0x7fcc0000,0x0dfff96f,0x7ffcc000,0x00dfff96,0x17fffea0,0x06fffe80,
    0x2dfff300,0x2006fffc,0x0007fffb,0x7fffc400,0x7c400001,0x80001fff,
    0xfc84fffe,0x003fffff,0xfff90000,0x07fffe69,0x7ffe4000,0x03ffff34,
    0x3fff2000,0x03ffff34,0x3ffffa00,0xffffa801,0xfff90002,0x07fffe69,
    0x03fffe40,0x3fe20000,0x400001ff,0x001ffff8,0x07fffcc0,0xfffffe98,
    0xf8000004,0x3ffe1fff,0xff00003f,0x7fffc3ff,0xfff00003,0x1ffffc3f,
    0xffff9800,0x5fffe806,0x3fffe000,0x00ffffe1,0x0037ffec,0x3ffe2000,
    0x4400001f,0x0001ffff,0x402fffd4,0x02fffffb,0x3fe60000,0x37ffe47f,
    0x7ffcc000,0x037ffe47,0x3fffcc00,0x001bfff2,0x02ffffd8,0x007fffee,
    0x23fffcc0,0x9006fffc,0x0000ffff,0x1ffff880,0x7fc40000,0x5c0001ff,
    0xf5005fff,0xd981ffff,0xf90003ef,0xfffa89ff,0x7e40001f,0x7ffd44ff,
    0x7e40001f,0x7ffd44ff,0xff10001f,0x7ffc0dff,0x3f20004f,0x7ffd44ff,
    0xfffb801f,0x2000000f,0x001ffff8,0x7fffc400,0x7fd40001,0x3fe6007f,
    0x3ffe64ff,0xff8004ff,0xffff82ff,0x7ffc0003,0x3ffff82f,0x7fffc000,
    0x03ffff82,0x3ffff200,0x0ffffb83,0x3fffe000,0x03ffff82,0x01ffffa8,
    0x3fe20000,0x400001ff,0x001ffff8,0x17fffc40,0x4dfff900,0x1ffffffd,
    0x1fffe600,0x0037ffec,0x20ffff30,0x0006fffd,0x6c1fffe6,0x20006fff,
    0x447ffff8,0x0003ffff,0x6c1fffe6,0xf9806fff,0x00002fff,0x07fffe20,
    0xfff10000,0xfd00003f,0x2a003fff,0x3ffe7fff,0x2003ffff,0xf505fffc,
    0x20001fff,0xf505fffc,0x20001fff,0xf505fffc,0x40001fff,0x323ffffb,
    0x40006fff,0xf505fffc,0xf9801fff,0x00003fff,0x2ffffe20,0xaaaaaaaa,
    0x2201aaaa,0xaaabffff,0xaaaaaaaa,0x7fffcc1a,0xffff001f,0x3fffffa1,
    0x3ffe002f,0xffff102f,0x3ffe0007,0xffff102f,0x3ffe0007,0xffff102f,
    0xffe80007,0x5ffff16f,0xffff8000,0x7ffff102,0x0fffff00,0x7fc40000,
    0xffffffff,0x3fffffff,0x3ffffe20,0xffffffff,0xfc83ffff,0x4403ffff,
    0x3fee7fff,0x26006fff,0x3600ffff,0x98006fff,0x3600ffff,0x98006fff,
    0x3600ffff,0x40006fff,0xfcbffffa,0x4c0006ff,0x3600ffff,0xfc806fff,
    0x00003fff,0xffffff10,0xffffffff,0x7c407fff,0xffffffff,0xffffffff,
    0xfffff903,0x3ffee01b,0x0f7ffe45,0x0bfff900,0x00ffffb8,0x02fffe40,
    0x003fffee,0x80bfff90,0x000ffffb,0x7ffffec0,0x40001fff,0x5c05fffc,
    0x4c00ffff,0x0007ffff,0xfffff100,0xffffffff,0x4407ffff,0xffffffff,
    0xffffffff,0x3ffee03f,0x7fcc3fff,0x01a882ff,0x03ffff80,0x01ffffc4,
    0x00ffffe0,0x007ffff1,0x403ffff8,0x003ffff8,0x7ffffcc0,0xf80005ff,
    0x7c403fff,0xfd803fff,0x00004fff,0xabffff88,0xaaaaaaaa,0x3e201aaa,
    0xaaaabfff,0xaaaaaaaa,0x7fff4c01,0xfffa9eff,0x4c00005f,0xe800ffff,
    0x26006fff,0xe800ffff,0x26006fff,0xe800ffff,0x80006fff,0x0ffffffc,
    0x7ffcc000,0xfffe800f,0xffffa806,0x200000df,0x001ffff8,0x7fffc400,
    0x2e000001,0xffffffff,0xaaa80eff,0xff9001aa,0x3fee00df,0xff9000ff,
    0x3fee00df,0xff9000ff,0x3fee00df,0x440000ff,0x004fffff,0x06fffc80,
    0x01ffff70,0xffffff90,0x1fc98015,0x03ffff10,0xfff88000,0x4000001f,
    0xffffffd8,0xffff00df,0x3ffe007f,0xfff3003f,0x3ffe007f,0xfff3003f,
    0x3ffe007f,0xfff3003f,0xf900007f,0x00001fff,0x2007ffff,0x003ffff9,
    0xfffffff9,0xffdb99bd,0x3fe203ff,0x400001ff,0x001ffff8,0xffd50000,
    0x7f403fff,0xf9802fff,0xeeeeefff,0xffeeeeee,0xff9806ff,0xeeeeeeff,
    0xfffeeeee,0xfff9806f,0xeeeeeeef,0xffffeeee,0xffb80006,0xf980007f,
    0xeeeeefff,0xffeeeeee,0x3f6006ff,0xffffffff,0x1fffffff,0x03ffff10,
    0xfff88000,0x0000001f,0x077fffe4,0x02ffffe8,0xffffffc8,0xffffffff,
    0x00ffffff,0x7fffffe4,0xffffffff,0x00ffffff,0x7fffffe4,0xffffffff,
    0x00ffffff,0x3fffdc00,0x7ffe4000,0xffffffff,0xffffffff,0x3fae000f,
    0xffffffff,0x101fffff,0x0003ffff,0x1ffff880,0xb8000000,0xfd02ffff,
    0xff005fff,0xffffffff,0xffffffff,0xff807fff,0xffffffff,0xffffffff,
    0x7fc03fff,0xffffffff,0xffffffff,0x40003fff,0x0007fffb,0xfffffff8,
    0xffffffff,0x03ffffff,0xffffc980,0x0adfffff,0x07fffe20,0xfff10000,
    0x0000003f,0x413fffa0,0x401ffffd,0xfffffff9,0xffffffff,0x05ffffff,
    0x3fffffe6,0xffffffff,0x5fffffff,0x3ffffe60,0xffffffff,0xffffffff,
    0x7fdc0005,0x7cc0007f,0xffffffff,0xffffffff,0x0005ffff,0x2673fff6,
    0x3ffe2000,0x4400001f,0x0001ffff,0xfff90000,0x3ffff609,0x37ffe401,
    0xffffc800,0x0dfff900,0x3ffff200,0x0dfff900,0x3ffff200,0x3fee0000,
    0x7e40007f,0xf90006ff,0x20001fff,0x0000ffff,0x003ffff1,0xffff8800,
    0x00000001,0x3205fffd,0x7400ffff,0x30003fff,0x3a05ffff,0x30003fff,
    0x3a05ffff,0x30003fff,0x0005ffff,0x003fffdc,0x00ffffa0,0x17fffcc0,
    0x37ffc400,0xffff1000,0xf8800003,0x00001fff,0xffffb800,0x1ffff900,
    0x0ffffcc0,0xbffff000,0x03ffff30,0x2ffffc00,0x00ffffcc,0x0bffff00,
    0x3fffdc00,0xffff3000,0x7ffc0003,0xffa8005f,0x3e20004f,0x00001fff,
    0x00ffffc4,0x80deec00,0x5ffffda8,0x01fffee0,0x000dfff9,0x40ffffc8,
    0x0006fffc,0x207fffe4,0x0006fffc,0x007fffe4,0x07fffb80,0x1bfff200,
    0xffff9000,0xfffc8001,0x3fe20001,0xeeeeeeff,0x6eeeeeee,0x3bfffe20,
    0xeeeeeeee,0x7ec6eeee,0xffffffff,0x405fffff,0x7407fffb,0x40004fff,
    0x742ffff9,0x40004fff,0x742ffff9,0x40004fff,0x002ffff9,0x00ffff70,
    0x027fff40,0x3fffe600,0x3fff4002,0x3ffe2000,0xffffffff,0x07ffffff,
    0x3fffffe2,0xffffffff,0x7fec7fff,0xffffffff,0xfa805fff,0x3fe606ff,
    0xf80001ff,0x3fe65fff,0xf80001ff,0x3fe65fff,0xf80001ff,0x70005fff,
    0x2000ffff,0x001ffff9,0x05ffff80,0x002fffc0,0x3ffffe20,0xffffffff,
    0x2207ffff,0xffffffff,0xffffffff,0x7fffec7f,0xcfffffff,0xfc800001,
    0x900006ff,0x3f21ffff,0x900006ff,0x3f21ffff,0x900006ff,0x0001ffff,
    0x000ffff7,0x001bfff2,0x07fffe40,0x00133300,0xfffff880,0xffffffff,
    0x2207ffff,0xffffffff,0xffffffff,0xccba887f,0x000aaccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99970000,0x00000399,0x15500353,0xccca8000,0x0aaaa004,
    0x4c000000,0xaaaaaaaa,0x332e00aa,0x00001ccc,0x99997000,0x2a200019,
    0x000002bc,0x002aaaa0,0x06600262,0x005bd910,0x03fffff9,0x7ffe4000,
    0x03fffa02,0x7fffd400,0xffc800ef,0x8000002f,0xfffffeda,0x2fffffff,
    0x7ffffe40,0x40000001,0x01effffc,0xfffff700,0x0000001b,0xa807fffd,
    0x3f602fff,0xffff305f,0xfff5009f,0x100003ff,0x2a0dffff,0x8004ffff,
    0xfffffffb,0x7ffcc00e,0x2a000005,0xfffffffe,0xffffffff,0xffffa802,
    0x0000001f,0x01bffff9,0x3fffee00,0x00006fff,0x03fffe80,0xb83ffffc,
    0xfe83ffff,0x802fffff,0x01ffffe8,0x7ffff800,0x09ffff50,0xaffffc80,
    0x400efffd,0x0001fffe,0x7ffff440,0xffffffff,0x002fffff,0x03ffffd1,
    0xffc80000,0x220003ff,0xffb12fff,0xe8000007,0x3e203fff,0xfd81ffff,
    0x7fc45fff,0x004fffff,0x003ffff2,0x07fff900,0x000ffffc,0x641dfff9,
    0x2a01ffff,0x00004fff,0x7ffffff4,0xffe87fff,0x7fe4002f,0x000000ff,
    0x003dfff9,0x443ff980,0x000005ff,0x201ffff4,0xf707ffff,0xff987fff,
    0x005fffff,0x001e6654,0x22016540,0x32a001cb,0x999503cc,0x0ffff809,
    0xfff90000,0xffffffff,0x005fffd0,0x00799950,0x99993000,0xff700001,
    0x000ffd05,0x3fffe800,0x00fffcc0,0x3fe09ffb,0x003fffff,0x00000000,
    0x00000000,0x00ffff20,0x3fffea00,0x7fffffff,0x002fffe8,0x00000000,
    0x7fcc0000,0x002ffc45,0x3fffa000,0x22001003,0x3fffee00,0x000000ef,
    0x00000000,0x22000000,0x80006fff,0xfffffffd,0xfe87ffff,0x000002ff,
    0x00000000,0xa9cfff80,0x00003ffe,0x01ffff40,0x7dc00000,0x00000dff,
    0x00000000,0x80000000,0x0002fffd,0x7ffffff4,0xe87fffff,0x00002fff,
    0x00000000,0xffff9800,0x00005fff,0x03fffe80,0x26000000,0x7fffec00,
    0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,0x3f603fff,0xffffffff,
    0xffffffff,0xbfff501f,0x7ffc4000,0xffffffff,0x2fffe87f,0xffffff10,
    0xffffffff,0x7ec0ffff,0xffffffff,0xffffffff,0x7f4c001f,0x00004fff,
    0x07fffd00,0x00000000,0xffffffd8,0xffffffff,0xfb01ffff,0xffffffff,
    0xffffffff,0x3fff603f,0xffffffff,0x1fffffff,0x003fffa0,0x7ffffcc0,
    0x7fffffff,0x102fffe8,0xffffffff,0xffffffff,0x7ffec0ff,0xffffffff,
    0x1fffffff,0x01353000,0x6e54c000,0xfffeabce,0x01999903,0x21666540,
    0x3601fffe,0xffffffff,0xffffffff,0xfffb01ff,0xffffffff,0x3fffffff,
    0x3fffff60,0xffffffff,0x201fffff,0x0004fffb,0xfffffff3,0xd0ffffff,
    0x3e205fff,0xffffffff,0xffffffff,0x3ffff607,0xffffffff,0x01ffffff,
    0x88000000,0xfffffffd,0x83ffffff,0x000ffff8,0xf893fff2,0x776407ff,
    0xfffeeeee,0xeeeeeeef,0xddddd901,0xddffffdd,0x203ddddd,0xeeeeeeec,
    0xeeeeffff,0x3e201eee,0x3e0007ff,0xffffffff,0xffe87fff,0xffff102f,
    0xdddddddd,0x40dddddd,0xeeeeeeec,0xeeeeffff,0x73001eee,0x79bdfdd9,
    0xfffb8001,0xffffffff,0xf883ffff,0x32000fff,0x3fe64fff,0x3ee0005f,
    0x800007ff,0x0007fffb,0x07fffb80,0x17ffe400,0xffffe800,0x7fffffff,
    0x102fffe8,0x0003ffff,0x7ffdc000,0x3f6a0007,0xffffffff,0x4400cfff,
    0xeffffffd,0xffffffee,0xffff883f,0x3fff2000,0x00fffee4,0x07fffb80,
    0xfffb8000,0xfb800007,0x4c0007ff,0xb0006fff,0xffffffff,0xffd0ffff,
    0x3ffe205f,0x0000001f,0x001fffee,0xffffffd8,0xffffffff,0x3fff201f,
    0xff7101ef,0xfff107ff,0x7fe4001f,0x03fff64f,0x7fffb800,0xffb80000,
    0xb800007f,0x80007fff,0x8001fffd,0xfffffff8,0xfe87ffff,0xfff102ff,
    0x0000003f,0x003fffdc,0xdfffffb0,0xfffffdbd,0xfff101df,0x3ffa007f,
    0xffff883f,0x3fff2000,0x001bffe4,0x00ffff70,0xffff7000,0xff700000,
    0xf50000ff,0x2e0009ff,0xffffffff,0xfffe87ff,0x3ffff102,0x5c000000,
    0x20007fff,0x2600bdfd,0xd85ffffe,0x3a004fff,0xff883fff,0x3f2000ff,
    0x9fff14ff,0xfffb8000,0xfb800007,0x800007ff,0x0007fffb,0x001ffff0,
    0x3fffff60,0xfe87ffff,0xfff102ff,0x0000003f,0x003fffdc,0xfe800130,
    0x7ffd47ff,0x3ffa000f,0xffff883f,0x3fff2000,0x00026664,0x00ffff70,
    0xffff7000,0xff700000,0x2e0000ff,0x10003fff,0xfffffff9,0x5fffd0ff,
    0x07fffe20,0xfb800000,0x000007ff,0x07fffcc0,0x8009fff9,0xf883fffe,
    0x32000fff,0x00004fff,0x00ffff70,0xffff7000,0xff700000,0x220000ff,
    0x40006fff,0xffffffc8,0x02fffe87,0x003ffff1,0x7fdc0000,0x0000007f,
    0x362ffff8,0x74002fff,0xff883fff,0x3f2000ff,0x000004ff,0x000ffff7,
    0x0ffff700,0xfff70000,0x7ec0000f,0x880002ff,0xe87ffecb,0xff102fff,
    0x000003ff,0x03fffdc0,0x7f400000,0x3fffa3ff,0x7fff4001,0x0ffff883,
    0x13fff200,0x7fdc0000,0xb800007f,0x00007fff,0x007fffb8,0x17ffe600,
    0xfd000000,0x3fe205ff,0x000001ff,0x01fffee0,0x3fa00000,0x3fffe3ff,
    0x7fff4000,0x0ffff883,0x13fff200,0x7fdc0000,0xb800007f,0x00007fff,
    0x007fffb8,0x0ffff400,0xfd000000,0x3fe205ff,0xaaaaabff,0x1aaaaaaa,
    0xffff7000,0x53100000,0xffd55555,0x3fffe67f,0x7fff4000,0x0ffff883,
    0x13fff200,0x7fdc0000,0xb800007f,0x00007fff,0x007fffb8,0x27ffd400,
    0xfd000000,0x3fe205ff,0xffffffff,0x3fffffff,0xffff7000,0x3fae0000,
    0xffffffff,0xff33ffff,0xffd000ff,0xffff107f,0x7ffe4001,0xf7000004,
    0x00000fff,0x000ffff7,0x0ffff700,0xffff0000,0x20000001,0xf102fffe,
    0xffffffff,0xffffffff,0x3fee0007,0x7e40007f,0xffffffff,0x3fffffff,
    0x001ffff3,0x883fffe8,0x2000ffff,0x0004fffc,0x0ffff700,0xfff70000,
    0xf700000f,0x00000fff,0x0007fff9,0x3fffa000,0xfffff102,0xffffffff,
    0x0007ffff,0x001fffee,0xffffffd8,0xfeeeeeef,0xfff13fff,0xffe8003f,
    0xffff883f,0x3fff2000,0xf7000004,0x00000fff,0x000ffff7,0x0ffff700,
    0xfff10000,0x2000000d,0xf102fffe,0x55557fff,0x55555555,0x3fee0003,
    0xff70007f,0xe8015dff,0x3ffe3fff,0x3fe2001f,0xfff883ff,0x3ff2000f,
    0x7000004f,0x0000ffff,0x00ffff70,0xffff7000,0x3f600000,0x000001ff,
    0x102fffe8,0x0003ffff,0x7ffdc000,0xfff88007,0x3ffa006f,0x0ffffa3f,
    0x3ffffe80,0x003ffff0,0x013fffe6,0x7ffdc000,0xfb800007,0x800007ff,
    0x0007fffb,0x0bfff500,0xffd00000,0x3ffe205f,0x0000001f,0x001fffee,
    0x003fffea,0x363fffe8,0xfb006fff,0x3a07ffff,0xf9802fff,0x0004ffff,
    0x0ffff700,0xfff70000,0xf700000f,0x00000fff,0x0007fff4,0x3fffa000,
    0x3ffff102,0x5c000000,0xb8007fff,0x74006fff,0x3fe63fff,0x7fec01ff,
    0xfb03ffff,0xfe880dff,0x0004ffff,0x0ffff700,0xfff70000,0xf700000f,
    0x00000fff,0x001fffdc,0x3fffe000,0x3ffff101,0x5c000000,0xd8007fff,
    0x2a005fff,0x7f43ffff,0xfd881fff,0x03fffdff,0x205ffff7,0xfffffff9,
    0xf7000004,0x00000fff,0x000ffff7,0x0ffff700,0x7fc40000,0x2000007f,
    0x100ffff8,0x0003ffff,0x7ffdc000,0xfffc8007,0xffff9007,0xffffb87f,
    0xfffb9acf,0x03fffbaf,0x59fffff1,0x9ffffb53,0x00009fff,0x01fffee0,
    0x3ffee000,0xfb800007,0x000007ff,0x0017ffe4,0x7fff9800,0x07fffe20,
    0xfb800000,0xfa8007ff,0x3a603fff,0x83ffffff,0xfffffffd,0xff52ffff,
    0x7ffdc07f,0xffffffff,0x04fff99f,0xfff70000,0xf700000f,0x00000fff,
    0x000ffff7,0x6fff9800,0xff700000,0x7ffc40bf,0x0000001f,0x001fffee,
    0x33ffffe2,0xfffeb99a,0x903fffff,0xffffffff,0x1fffd45f,0x3fffff60,
    0xf31effff,0x000009ff,0x001fffee,0x1fffee00,0x3fee0000,0x8000007f,
    0x9801fffe,0xffff1000,0x7fffc409,0x20000001,0x0007fffb,0xfffffff7,
    0x57ffffff,0x75c07fff,0x41bdffff,0xa803fffa,0x3effffff,0x0027ffcc,
    0x7fffb800,0xffb80000,0xb800007f,0x00007fff,0x04fffa80,0x22017f44,
    0x200ffffd,0x001ffff8,0x3fee0000,0x3f20007f,0xffffffff,0x7fff50ef,
    0x0002a600,0x0d54c400,0x20000000,0x0007fffb,0x07fffb80,0xfffb8000,
    0xf0000007,0x7e401fff,0x5309bdff,0x805fffff,0x001ffff8,0x3fee0000,
    0x74c0007f,0x3dffffff,0x001fffd4,0x00000000,0xdd900000,0xfffddddd,
    0xdddddddf,0x3bbbb203,0xeffffeee,0x01eeeeee,0xddddddd9,0xddddffff,
    0x00003ddd,0x4c0ffff2,0xffffffff,0x5fffffff,0xeffff880,0xeeeeeeee,
    0x3206eeee,0xfeeeeeee,0xeeeeefff,0x2a6001ee,0x0000000a,0x00000000,
    0xfffb0000,0xffffffff,0x3fffffff,0x3fffff60,0xffffffff,0xb01fffff,
    0xffffffff,0xffffffff,0x200003ff,0x2606fff8,0xfffffffe,0x004fffff,
    0xfffffff1,0xffffffff,0x7fec0fff,0xffffffff,0xffffffff,0x00000001,
    0x00000000,0x6c000000,0xffffffff,0xffffffff,0xfffb01ff,0xffffffff,
    0x3fffffff,0x3fffff60,0xffffffff,0x001fffff,0x0bfff600,0xffffff50,
    0x4003dfff,0xfffffff8,0xffffffff,0x3ff607ff,0xffffffff,0xffffffff,
    0x00000001,0x00000000,0x6c000000,0xffffffff,0xffffffff,0xfffb01ff,
    0xffffffff,0x3fffffff,0x3fffff60,0xffffffff,0x001fffff,0x02666200,
    0x5665cc40,0xff880009,0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00988000,
    0x10000198,0x40005555,0x01bceca8,0x01555440,0x19800988,0x54400000,
    0x4402aaaa,0x001aaaaa,0x3b2e6000,0xcccccdef,0x3321cccc,0xedb9882c,
    0x4c0001bd,0x2600009a,0x000009aa,0x202fffa8,0x40005ffd,0x03ffffe8,
    0xfffffa80,0x3f6003ff,0xffa802ff,0x17ff602f,0x7f440000,0xb800efff,
    0x002fffff,0x7ffecc00,0xffffffff,0xf13fffff,0x7fec4bff,0x04ffffff,
    0xfffffc80,0x901f880c,0x05bfffff,0x3fffe000,0x7ffff707,0x3ffa2000,
    0x2003ffff,0xfffffffa,0xffa803ff,0xffff005f,0x3fffee0f,0x74400003,
    0x4004ffff,0x02ffffe9,0xffff7000,0xffffffff,0x27ffffff,0xfd36fff8,
    0xffffffff,0x7fec00bf,0x0bffffff,0xf903ffd3,0x7fffffff,0x7ffc4000,
    0xfffd81ff,0xfe88005f,0x3ffffdff,0x57ffff00,0x401ffffb,0x800ffff8,
    0x81fffff8,0x005ffffd,0x3fffa200,0xfb10002f,0x80005fff,0xacfffffa,
    0xfffffdb9,0xff13ffff,0xfffff1df,0xffffffdf,0xffff900b,0xfffffffd,
    0xf901dfff,0xffffffff,0x3fe0003d,0xfff707ff,0xfe88007f,0xfffd33ff,
    0x1fffb807,0x901fffd4,0x7c005fff,0xff707fff,0x200007ff,0x00efffe8,
    0xffffb800,0xfff10002,0x3fa601df,0xfff106ff,0x43bfffdf,0x0fffffa8,
    0xb11ffe40,0xffffffff,0x372ea601,0x2fffffff,0x1fff9800,0x0013ff60,
    0x885fffd1,0x3603fffe,0xfff886ff,0x0bfff305,0x01fff980,0x00013ff6,
    0x027fff44,0x3ffa6000,0xffc8002f,0x7fcc00ff,0xfff882ff,0x2602ffff,
    0xc804ffff,0xffffd503,0xfb88003b,0x001fffff,0x00220010,0x806aaa60,
    0xff00aaaa,0x1bffa09f,0x0007fff4,0x00110008,0x0d554c00,0xaa880000,
    0xffd8002a,0xfffb003f,0xfffff10b,0xfff9003f,0x2620000f,0xff900001,
    0x00000fff,0x00000000,0xc81fffc0,0xfffc87ff,0x00000003,0x00000000,
    0x7c000000,0xf7001fff,0xfff10dff,0x3e6005ff,0x00002fff,0xffb00000,
    0x000007ff,0x00000000,0x6c17ffe0,0x7ffcc6ff,0x00000005,0x00000000,
    0x44000000,0x5000ffff,0xff10ffff,0xff8007ff,0x000003ff,0xffd10000,
    0x000000df,0x00000000,0x7fc1fffa,0x07fff44f,0x00000000,0x00000000,
    0x3e200000,0xf7001fff,0xfff10bff,0xffd8001f,0x0000003f,0x3fff2000,
    0x9530001f,0x00157bdd,0x3bb2a600,0xfc800abd,0x7ffdc2ff,0x00fffee2,
    0x765cc400,0x0000abde,0x37bb2a60,0x300000ab,0x157bdd95,0x0ffffe00,
    0x427ffec0,0x000ffff8,0x0027ffe4,0x7bdd9731,0x54000015,0x4002ffff,
    0xfffffff9,0x20003fff,0xfffffff9,0x7cc03fff,0xffcadfff,0x1bffe66f,
    0x7ffe4000,0x4fffffff,0x7ffcc000,0x3fffffff,0x3ffe6000,0x3fffffff,
    0x0ffffd80,0x17fffcc0,0x007fffc4,0x017fff20,0x7fffffe4,0x0004ffff,
    0x07ffff10,0x7ffffdc0,0xdfffffff,0x7ffdc000,0xffffffff,0x3ff200df,
    0x1fffffff,0x0007fffa,0xfffffd30,0xdfffffff,0xfff70003,0xffffffff,
    0xfb8001bf,0xffffffff,0x2600dfff,0x300dffff,0x220dfffd,0x4000ffff,
    0x4c06fffb,0xfffffffe,0x01efffff,0x7fffcc00,0xffffb002,0xfffb97bf,
    0x36001fff,0xcbdfffff,0x0ffffffd,0x3ffffee0,0x3ffee0ef,0x7fd40004,
    0xfedfffff,0x02ffffff,0x3fffff60,0xffffdcbd,0xffb000ff,0xfb97bfff,
    0x401fffff,0xacfffffb,0xfffffcb9,0x1ffff100,0x4fffc800,0x3ffffea0,
    0xffffedff,0x20002fff,0x800ffffa,0x204ffffc,0x804ffffc,0x204ffffc,
    0x404ffffc,0x442bdcb9,0x40006fff,0x0bfffff8,0x6ffffe98,0x9ffff900,
    0x27fffe40,0x27fffe40,0x09ffff90,0x7fffffec,0xffffffff,0x3fffe202,
    0x7ffec000,0xfffff103,0xfffd3017,0x7f4000df,0xff8807ff,0xffb802ff,
    0x3fe201ff,0xffb802ff,0x6c0001ff,0x40001fff,0x801ffffd,0x403ffffc,
    0x802ffff8,0x201ffffb,0x802ffff8,0xa81ffffb,0xffffffff,0x00cfffff,
    0x007fffc4,0x40bfffa0,0x801ffffd,0x003ffffc,0x1ffffecc,0x02fffe40,
    0x40bfffd0,0x2005fffc,0x0005fffe,0x0013ffee,0x03ffff30,0x07fffec0,
    0x00bfff90,0x902ffff4,0x7400bfff,0x7fc45fff,0xbfdb936f,0x3e200379,
    0x7c000fff,0xff980fff,0x3f6001ff,0xee880fff,0xffffffee,0xffff8806,
    0x3ffea000,0x1ffff107,0x3fffd400,0x6fff8800,0xfffe8000,0x7ffcc005,
    0xffff103f,0x7ffd4001,0x1ffff107,0x3fffd400,0x000fffe6,0x1ffff100,
    0x3fffd400,0x005fffe8,0x41ffffcc,0xfffffff8,0xfb800eff,0xff8005ff,
    0xfffb80ff,0xffff8005,0xfffd8000,0x7fc40001,0xfd8002ff,0xfff704ff,
    0xffff000b,0x0bfff701,0x41ffff00,0x0002fffc,0x07fffc40,0x09fffd00,
    0x005ffff1,0x109fffb0,0xffffffff,0x7ffe4005,0xffff8004,0x04fffc81,
    0x01ffff80,0x027ffd40,0x3fffcc00,0x5fffb800,0x009fff90,0x903ffff0,
    0xf0009fff,0x7fec3fff,0x4400006f,0x7000ffff,0xf301ffff,0x2e000fff,
    0xff885fff,0x8000abff,0x999bfffd,0x99999999,0xd83fffe9,0x9999bfff,
    0x99999999,0x2003fffe,0x880ffff8,0x3ffea001,0xfff50006,0x2ffff60f,
    0x99999999,0xfffe9999,0x9bfffd83,0x99999999,0x3fffe999,0x33bfffee,
    0x019999aa,0x07fffe20,0x0bffff60,0x0037ffd4,0x887fffa8,0x40006fff,
    0xffffffff,0xffffffff,0xf84fffff,0xffffffff,0xffffffff,0x2004ffff,
    0x3622fffd,0x402effff,0x0005fffb,0xf01ffff3,0xffffffff,0xffffffff,
    0xff09ffff,0xffffffff,0xffffffff,0x7fc49fff,0xffffffff,0x0bdeffff,
    0xbfffff10,0xfd953357,0x7dc0bfff,0xf30005ff,0xfff01fff,0x7fc4000d,
    0xffffffff,0xffffffff,0x7fc44fff,0xffffffff,0xffffffff,0xf5004fff,
    0x7ffccbff,0x204fffff,0x0004fffd,0x883ffff1,0xffffffff,0xffffffff,
    0x444fffff,0xffffffff,0xffffffff,0x544fffff,0xffffffff,0xffffffff,
    0x7ffc40cf,0xffffffff,0x00cfffff,0x0013fff6,0x40ffffc4,0x40006fff,
    0xffffffff,0xffffffff,0xf83fffff,0xffffffff,0xffffffff,0x8803ffff,
    0xff10fffe,0xffffffff,0x17fff205,0x7fffc400,0xffffff80,0xffffffff,
    0x3fffffff,0xfffffff8,0xffffffff,0x83ffffff,0xfffffffc,0xffffffff,
    0x7ffc46ff,0xffffffff,0xc801efff,0x10005fff,0xff01ffff,0xff8000df,
    0x99999bff,0x99999999,0xfff80999,0x999999bf,0x99999999,0xffc80099,
    0x4ffff22f,0x706fffb8,0x2000dfff,0xff07fff9,0x333337ff,0x33333333,
    0xfff01333,0x3333337f,0x33333333,0xfffc8133,0xccaaaabf,0xffffffec,
    0x3bfffe25,0xceffffff,0x3ffee003,0xfff30006,0x017ffe0f,0x07fffd00,
    0x3ffa0000,0x8000003f,0x3e25fff9,0xfffc84ff,0x07fffa81,0x0bfff500,
    0x000ffffa,0x1ffff400,0x3ff20000,0x3ea000ff,0x3fe27fff,0x033310ff,
    0x3fffd400,0x5fffa800,0x00079990,0x004fffc8,0x9fff9000,0xfd000000,
    0x7ffcc1ff,0x82fffa81,0x0007fff9,0x3209fff9,0x00004fff,0x009fff90,
    0x7fffc400,0xfffb8002,0x1ffff11f,0xff980000,0xff90007f,0x0000009f,
    0x000dfff7,0x1bffee00,0xff900000,0x0fffa87f,0x883fff88,0x4003ffff,
    0x703ffff8,0x0000dfff,0x01bffee0,0x7fffa800,0xffff3000,0x03fffe23,
    0xfff10000,0xff88007f,0x000003ff,0x03ffff98,0xfff98000,0x3000003f,
    0xff70dfff,0x0fffe03f,0x003ffff4,0x403fffee,0x003ffff9,0xffff9800,
    0xff900003,0x3ea000df,0xfff10fff,0xd000001f,0xb800ffff,0x0000ffff,
    0xffffb000,0xfb000001,0x00001fff,0x301fffd0,0xff107fff,0x3ffea05f,
    0xfff3003f,0xfffd807f,0xd800000f,0x0000ffff,0x00ffffc8,0x26fffd80,
    0x000ffff8,0xffffa800,0xffff3003,0x01f7e407,0x7fffcc00,0x4c00003f,
    0x003fffff,0x0fffee00,0x5c2fffc4,0x3f600fff,0x7d405fff,0xf9806fff,
    0x0003ffff,0x7ffffcc0,0x7fd40003,0xb1000dff,0x7c47ffff,0x00000fff,
    0x0bffffb0,0x06ffffa8,0x00fffff6,0x3ffff200,0x9999abef,0x401fdca9,
    0xbefffffc,0xca99999a,0xfff981fd,0x5ffff406,0x80bfff30,0xcefffff9,
    0xfffdba9a,0xff9002ff,0x3357dfff,0x3fb95333,0xfffffc80,0x99999abe,
    0x3a21fdca,0x9bdfffff,0xffdaa999,0x7fc44fff,0x000000ff,0x9dfffff3,
    0xfffb7535,0x3fe205ff,0x80007fff,0xffffffc8,0xffffffff,0x7e4401ff,
    0xffffffff,0x1fffffff,0x401fffe8,0xfefffffa,0xfa801fff,0xffffffff,
    0x02ffffff,0x3ffff220,0xffffffff,0x4401ffff,0xfffffffc,0xffffffff,
    0x7fffc41f,0xffffffff,0x85ffffff,0x000ffff8,0x3ffea000,0xffffffff,
    0x2602ffff,0x007fffff,0x3fffaa00,0xffffffff,0xd5001fff,0xffffffff,
    0x83ffffff,0x9004fffb,0xffffffff,0x7fec4005,0xffffffff,0xd50000df,
    0xffffffff,0x03ffffff,0x3ffffaa0,0xffffffff,0xffd881ff,0xffffffff,
    0x101dffff,0x0001ffff,0xfffd8800,0xffffffff,0xffff800d,0xb800005f,
    0xfffffffd,0x000bdeff,0x7ffffedc,0x0bdeffff,0x001bffe2,0x3bfffff5,
    0x3ff6e000,0x03deffff,0xfffb7000,0xbdffffff,0xfdb80017,0xffffffff,
    0x2e200bde,0xffffffee,0x7c401cde,0x00000fff,0xffffb700,0x4007bdff,
    0x000efffa,0xaaa98000,0x40000099,0x0099aaa9,0x19880000,0x54c40000,
    0x30000001,0x00133555,0x9aaa9800,0x4c400009,0x00000009,0x26200000,
    0x5440001a,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a600000,0x002bcddc,0x1aaaaa88,
    0x20000000,0x02aaaaa8,0x05555100,0x04d4c000,0x02620000,0x55000660,
    0x00001555,0x02aaa880,0x55555100,0x00000003,0x55555510,0xffff5000,
    0x05dfffff,0xfffffb80,0x80000002,0x0effffe8,0xfffe8800,0x7e40003f,
    0x880cffff,0xfff5001f,0x02ffec05,0x0bffff90,0x880004c4,0x003ffffe,
    0x5fffff70,0x40000000,0x0effffe8,0x3fffa600,0xffffffff,0x7f4c005f,
    0x00002fff,0x3fffa200,0xfd10004f,0x007fffff,0x3fffff60,0xfd30bfff,
    0xffff003f,0x3fffee0f,0x3fff6003,0xfedb98bf,0xfe88000f,0x003fffff,
    0x5ffffd30,0x10000000,0x009ffffd,0xffffff88,0xffffeece,0x7ec4003f,
    0x00002fff,0xffffe880,0xffd10002,0x07ffffbf,0xeffffc80,0xffffffff,
    0x7c400eff,0xfd81ffff,0x22005fff,0xfffffffe,0x4000ffff,0xffdfffe8,
    0xb10003ff,0x0005ffff,0x7ff44000,0xfd8002ff,0xfd303fff,0x70001fff,
    0x0005ffff,0x7fff4400,0xfd10000e,0x3ffa67ff,0x3ff2003f,0x3ffff623,
    0xf000ffff,0x3ee0ffff,0x54403fff,0xffffffdb,0x00ffffff,0x4ffffa20,
    0x003fffe9,0x0bfffee0,0x3a200000,0x8000efff,0x401ffffa,0x002ffff8,
    0x05fffd30,0xffd10000,0x7440009f,0x7f442fff,0x0f2003ff,0x6fffff54,
    0x3ffe6001,0x013ff601,0xfffffff1,0x79dfffff,0x7ff44003,0x7fff442f,
    0x3fa60003,0x000002ff,0x013fffa2,0x04fffd80,0x009fffb0,0x01555440,
    0x5554c000,0x554c0001,0x2aaaa01a,0x26200000,0x80040001,0xfff88008,
    0xffffffff,0x2aa60003,0x2aaaa01a,0x2aa20000,0x2000002a,0x0001aaa9,
    0x800ffff4,0x0004fffc,0x00000000,0x00000000,0x00000000,0x7c400000,
    0xfe9acdff,0x00000fff,0x00000000,0x00000000,0x1ffff100,0x0ffffa00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc06e,0x0000005f,
    0x00000000,0x00000000,0x200ffff3,0x001ffffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffffb8,0x00000000,0x00000000,0xffa80000,
    0xfffa806f,0xcb98004f,0x0bcdefee,0x3b2e6000,0x00bcdefe,0x3bb2e600,
    0x000bcdef,0x3fbb2e60,0x0000bcde,0x3bfbb2e6,0x40000bcd,0xffffdcb9,
    0x9999000f,0x66654001,0x32e62002,0x000abdee,0xdd973100,0xa800157b,
    0x7e406fff,0x5000efff,0xfffffffb,0x019fffff,0x3ffff6a0,0xffffffff,
    0xffb5000c,0xffffffff,0x2a0019ff,0xfffffffd,0x00cfffff,0xfffffb50,
    0x9fffffff,0x7ff4c001,0xffffffff,0xffff8805,0x3fff2000,0xffff9004,
    0x09ffffff,0xffffc800,0x04ffffff,0x41bffea0,0x05ffffd8,0x7ffffec0,
    0xffffffff,0xffd801ff,0xffffffff,0x801fffff,0xfffffffd,0xffffffff,
    0xffffd801,0xffffffff,0xfd801fff,0xffffffff,0x01ffffff,0xffffffb8,
    0x1fffffff,0x07fffc40,0x09fff900,0xfffffe98,0xefffffff,0x7ff4c001,
    0xffffffff,0xfa801eff,0xfffb06ff,0xffb0007f,0xfdbddfff,0x01dfffff,
    0xefffffd8,0xfffffede,0x7fec00ef,0xfedeefff,0x00efffff,0x77ffffec,
    0xfffffede,0x7fec00ef,0xfedeefff,0x00efffff,0x3ffffff6,0xfffffeef,
    0x7fffc406,0x3fff2000,0x3fffea04,0xfffedfff,0x5002ffff,0xbfffffff,
    0xfffffffd,0x6fffa805,0x02ffffa8,0x017bfb00,0x2fffff4c,0x802f7f60,
    0x05ffffe9,0x3005efec,0x80bffffd,0x2600bdfd,0x405ffffe,0x2600bdfd,
    0xb05ffffe,0x015bffff,0x405ffff7,0x000ffff8,0x4413fff2,0x80bfffff,
    0x06ffffe9,0xbfffff88,0xffffe980,0x37ffd406,0x002fffec,0xfe800130,
    0x004c07ff,0x01ffffa0,0xffe80013,0x0004c07f,0x301ffffa,0xfffe8001,
    0x4ffff987,0x06fffe80,0x003fffe2,0xb04fffc8,0x9003ffff,0xd807ffff,
    0xc801ffff,0x2a03ffff,0xffe86fff,0x0000002f,0x007fffcc,0x3ffe6000,
    0x4c00000f,0x0000ffff,0x07fffcc0,0x3fe60000,0x7fff40ff,0xffff7004,
    0x3fffe201,0x3fff2000,0x1ffff984,0x3ffff600,0x3ffff300,0x7fffec00,
    0x0dfff500,0x0009fffd,0xffff0000,0xff000005,0x000005ff,0x0005ffff,
    0x05ffff00,0xffff0000,0x07fffd45,0x3ffff880,0x01ffff10,0x427ffe40,
    0x4005fffe,0xd03ffff9,0x9800bfff,0xf503ffff,0xfff90dff,0x0000001f,
    0x003fffe8,0x3fffe800,0xffe80000,0xe800003f,0x00003fff,0x3a3fffe8,
    0x64004fff,0xff106fff,0x7e4001ff,0x7ffc44ff,0xffd8002f,0xffff884f,
    0xfffd8002,0x0dfff504,0x01dffff5,0x7f400000,0x800003ff,0x0003fffe,
    0x03fffe80,0xfffe8000,0xfe800003,0x3fffe3ff,0x7ffd4001,0xffff880f,
    0x3fff2000,0x03fffcc4,0x85fffb80,0x0007fff9,0x2a0bfff7,0xffb06fff,
    0x00005fff,0x2aaaaa62,0x003fffea,0xaaaaa988,0x003fffea,0xaaaaa988,
    0x003fffea,0xaaaaa988,0x003fffea,0xaaaaa988,0xf13fffea,0x98001fff,
    0xf881ffff,0x32000fff,0x7fd44fff,0xff50006f,0xdfff50ff,0x3ffea000,
    0x0dfff507,0x3fffffa2,0xffd70004,0xffffffff,0x2e007fff,0xfffffffe,
    0x03ffffff,0xfffffd70,0xffffffff,0x3ffae007,0xffffffff,0xd7003fff,
    0xffffffff,0x267fffff,0xf0007fff,0xff105fff,0x7e4001ff,0x7ffdc4ff,
    0xfff30005,0x5fffb81f,0xffff3000,0x0dfff501,0x7ffffec4,0xfff9000d,
    0xffffffff,0x807fffff,0xfffffffc,0xffffffff,0x7ffe403f,0xffffffff,
    0x403fffff,0xfffffffc,0xffffffff,0x7ffe403f,0xffffffff,0xf53fffff,
    0x3a000dff,0xff883fff,0x3f2000ff,0x7ffec4ff,0xfff10004,0x4fffd83f,
    0xffff1000,0x0dfff503,0xdfffff90,0xfffffb00,0xddddddff,0x6c07ffff,
    0xefffffff,0xfffeeeee,0x3fff603f,0xeeeeffff,0x03ffffee,0x3ffffff6,
    0xfeeeeeef,0x3f603fff,0xeeffffff,0xffffeeee,0x00dfff73,0x20ffffa0,
    0x000ffff8,0xf913fff2,0x22000bff,0x7e40ffff,0xf10005ff,0xff501fff,
    0x3fea00df,0x3ee04fff,0x400aefff,0xf703fffe,0x8015dfff,0xf703fffe,
    0x8015dfff,0xf703fffe,0x8015dfff,0xf703fffe,0x8015dfff,0xff53fffe,
    0x3fe000ff,0xfff882ff,0x3ff2000f,0x37ffdc4f,0x7fff9800,0x006fffb8,
    0x20ffff30,0x2006fffa,0x81fffff9,0x006ffff8,0x220ffffa,0x2006ffff,
    0xf883fffe,0x3a006fff,0xff883fff,0x3fa006ff,0xfff883ff,0x3ffa006f,
    0x1ffff33f,0xffff8800,0x0ffff882,0x13fff200,0x000ffff5,0x2a17ffea,
    0x50007fff,0x3ea0bfff,0x7cc006ff,0xffa84fff,0x3fa000ff,0xfffa83ff,
    0x3ffa000f,0xffffa83f,0x3fffa000,0x0ffffa83,0x0ffffa00,0x003fffea,
    0xf13fffe8,0x98003fff,0xf880ffff,0x32000fff,0x7fcc4fff,0xff90007f,
    0xffff309f,0x3fff2000,0x0dfff504,0x0bfffb00,0x800dfff7,0xfb83fffe,
    0x7f4006ff,0xfffb83ff,0x7fff4006,0x06fffb83,0x41ffff40,0x4006fffb,
    0x3fe3fffe,0x7e4004ff,0x3ffe06ff,0xfff3001f,0xffff889f,0x7ffc4003,
    0xffff883f,0x7ffc4003,0xdfff503f,0xdfff7000,0x00bfffb0,0x41ffffd4,
    0x2005fffd,0xd83ffffa,0x2a005fff,0xfd83ffff,0x3ea005ff,0xffd83fff,
    0x3fea005f,0x3fff63ff,0xfff1000f,0x7fff409f,0xffff9802,0x7fffe84f,
    0x7fffdc00,0x0ffffd00,0x0ffffb80,0x00dfff50,0x90bfff90,0x3200ffff,
    0xc83fffff,0xf9007fff,0xf907ffff,0x3f200fff,0xfc83ffff,0xff9007ff,
    0xff907fff,0x3ff200ff,0x3fe63fff,0xff9004ff,0x7fec01ff,0x7ff4406f,
    0xffa84fff,0xff3003ff,0x7fd407ff,0xff3003ff,0x7fd407ff,0x7fcc006f,
    0xfffa83ff,0x3ffa603f,0xfa83ffff,0x3a603fff,0x83ffffff,0x203ffffa,
    0xffffffe9,0x3ffffa83,0x3ffffa60,0xfffa83ff,0x3ffa603f,0x7e43ffff,
    0x3600dfff,0x5c04ffff,0xf302ffff,0x09ffffff,0x017ffff6,0x00dffff5,
    0x80bffffb,0x406ffffa,0xac86fffa,0xfffdaa99,0xffff106f,0xfd73359f,
    0x7fffffff,0x9fffff10,0xfffd7335,0x107fffff,0x359fffff,0xfffffd73,
    0xff107fff,0x73359fff,0xfffffffd,0xffff107f,0xfd73359f,0x7fffffff,
    0xefffff88,0xffeca9ac,0x7c400eff,0xa9acffff,0xffcffffd,0xffff304f,
    0xb75359df,0x005fffff,0x9dfffff3,0xfffb7535,0xffa805ff,0xfffff86f,
    0x01ffffff,0x3fffffee,0xbfffffff,0xf703fffa,0xffffffff,0xff57ffff,
    0x3ffee07f,0xffffffff,0x3fffabff,0xffffff70,0x7fffffff,0x2e07fff5,
    0xffffffff,0xfabfffff,0xfffa83ff,0xffffffff,0x7000efff,0xffffffff,
    0xff33ffff,0x7ffd409f,0xffffffff,0x2002ffff,0xfffffffa,0xffffffff,
    0x6fffa802,0xfffffff8,0xfc801eff,0xffffffff,0x7fff50ef,0x7ffffe40,
    0x50efffff,0x7e407fff,0xffffffff,0x7fff50ef,0x7ffffe40,0x50efffff,
    0x7e407fff,0xffffffff,0x7fff50ef,0x3ffff620,0xdfffffff,0x7ffec000,
    0x1effffff,0x8809fff3,0xfffffffd,0x000dffff,0xfffffd88,0x0dffffff,
    0x0dfff500,0xbdffffff,0xffe98005,0x543dffff,0x74c03fff,0x3dffffff,
    0x201fffd4,0xffffffe9,0x1fffd43d,0x3ffffa60,0x7fd43dff,0x7ff4c03f,
    0x543dffff,0x6dc03fff,0xdfffffff,0x3fea0001,0x4c3effff,0xb7004fff,
    0xbdffffff,0xfb700007,0x7bdfffff,0x26600000,0x26000019,0x000000aa,
    0x00001553,0x0002aa60,0x00554c00,0x0aa98000,0x55100000,0x88000013,
    0x00001aa9,0x0006a620,0x03531000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x654c0000,
    0xb731bced,0x2a200005,0x6642aaaa,0x332000cc,0x555500cc,0x20000000,
    0x4002aaa8,0x002cccc8,0x00b33320,0x07bba600,0x55555440,0x26000001,
    0x00abcdca,0x004c4000,0xd98000cc,0xffffffff,0x003fffff,0xffffe880,
    0x3fffe20e,0x3fffe000,0x0ffff881,0x44000000,0x003ffffe,0x0037fffc,
    0x02ffff98,0x07ffc800,0x7ffffdc0,0x74c00002,0xffffffff,0xff500002,
    0x2ffec05f,0x3fffea00,0xffffffff,0x40003fff,0x84ffffe8,0x000ffff8,
    0x2207fffe,0x0000ffff,0x3ffa2000,0x2003ffff,0x001ffffc,0x007fffc8,
    0x009ffd00,0x5ffffd30,0x3fee0000,0xffffffff,0xff80005f,0xfff707ff,
    0x3ff2007f,0xeedeffff,0x03ffffff,0x3fffa200,0xffff102f,0x7fffc001,
    0x0ffff881,0xd1000000,0xffffbfff,0x3ffe6007,0xfff8004f,0xf980004f,
    0xb10002ff,0x0005ffff,0xffffff98,0x2ffffffe,0x3ffe2000,0xfffd81ff,
    0xfffd805f,0xff7101df,0x220007ff,0x200efffe,0x000ffff8,0x2207fffe,
    0x0000ffff,0xfffe8800,0x07fffd33,0x01ffff60,0x03ffff50,0x0fff7000,
    0xffff7000,0x7ff40005,0x3fee22ff,0x20000fff,0xf707ffff,0xf9807fff,
    0xfd004fff,0xd10007ff,0xf1009fff,0x7c001fff,0xff881fff,0x000000ff,
    0x217fff44,0x803fffe8,0x002ffffa,0x801bfff6,0xfefedba8,0x300004ff,
    0x0005fffd,0x203ffff5,0x001ffffa,0x807ffe60,0xfd804ffd,0x3fa004ff,
    0xa98003ff,0xff1001aa,0x7fc001ff,0xfff881ff,0x4000000f,0x2a01aaa9,
    0xff800aaa,0xff1005ff,0xfb1007ff,0xffffffff,0x200001bf,0x8002aaa8,
    0x2205fffb,0x0003ffff,0x00110008,0x001ffff3,0x001ffff4,0xfff10000,
    0x7ffc001f,0xffff881f,0x00000000,0x7fe40000,0xffa800ff,0x7f4c00ff,
    0xffffffff,0x0002ffff,0xffb00000,0xfffd809f,0x00000004,0x05fffc80,
    0x01ffff40,0xff100000,0x7fc001ff,0xfff881ff,0x0000000f,0x7cc00000,
    0xfd803fff,0x7fdc05ff,0xfcceffff,0x01ffffff,0xd8000000,0x7f404fff,
    0x000002ff,0xfffe8000,0x7fff4002,0x20000003,0x000ffff8,0x2207fffe,
    0x0000ffff,0x00000000,0x406fffe8,0x202ffff8,0x0afffff9,0x3fffffe6,
    0x000000ff,0x37ffe400,0x007fffe0,0x20000000,0x4001ffff,0x9903fffe,
    0x65400199,0xffff12cc,0x7fffc001,0x0ffff881,0x5ef6dcc4,0x5cc40001,
    0x00abdeec,0x1ffffa80,0x01fffee0,0x901dfffb,0xffff7fff,0x0cccc80b,
    0x0b332a00,0x403fffee,0x0007fffc,0x33333332,0x2002cccc,0x000ffff8,
    0x441ffff4,0x2000ffff,0xff14fffc,0x7fc001ff,0xfff881ff,0xffffb10f,
    0x0009ffff,0x3ffffff2,0x8004ffff,0x3a04ffff,0x3ea04fff,0xfff00fff,
    0x03ffffa9,0x007fffc4,0x309fff90,0xf70bffff,0x40005fff,0xffffffff,
    0x26004fff,0x4000ffff,0xf883fffe,0x32000fff,0xfff14fff,0x7ffc001f,
    0x7fff881f,0xffffffd3,0x400bffff,0xffffffe9,0x1effffff,0x1ffff200,
    0x007fffc4,0x2609fffd,0xfff11fff,0x3ffe207f,0x3ff2000f,0xffffb04f,
    0x2ffffe45,0x3fffe000,0x4fffffff,0x1fffe600,0x0ffffa00,0x003fffe2,
    0xf14fffc8,0x7c001fff,0xff881fff,0xfffff8ff,0xffffffef,0xffffa805,
    0xfffedfff,0x3002ffff,0xf705ffff,0x7fc40dff,0xfff901ff,0x106fffd8,
    0x4001ffff,0xf104fffc,0xfff7ffff,0xf00009ff,0xffffffff,0x7cc009ff,
    0x74000fff,0xff883fff,0x3f2000ff,0xffff14ff,0x7fffc001,0xeffff881,
    0x2a21dfff,0x200fffff,0x0bfffff8,0x6ffffe98,0x17fffa00,0x980ffffa,
    0x3fa06fff,0x3fffdc4f,0x00ffff88,0x813fff20,0xfffffffb,0x000003ff,
    0x004fffd8,0x007fffe2,0x107fffd0,0x4001ffff,0xff14fffc,0x7fc001ff,
    0xfff881ff,0x2602ffff,0x3604ffff,0xc801ffff,0x7003ffff,0x7cc1ffff,
    0x3ea00fff,0xfff305ff,0x07fffa85,0x001ffff1,0x2027ffe4,0xdffffffe,
    0xb0000000,0xf8009fff,0x22001fff,0xf883ffff,0x32000fff,0xfff14fff,
    0x7ffc003f,0xffff881f,0xffc801ff,0xffff307f,0x7ffec003,0xfff8800f,
    0x17fff23f,0x209fff70,0xff987ffc,0xfff880ff,0x3ff2000f,0x3ffee04f,
    0x00005fff,0x27ffec00,0x13fffa00,0x3ffffe80,0x00ffff88,0x453fff20,
    0x9001ffff,0xf103ffff,0x2005ffff,0xe82ffff9,0x4c005fff,0x9003ffff,
    0x7ffcdfff,0x7ffec01f,0x209ffd03,0xf881ffff,0x32000fff,0xfd884fff,
    0x1fffffff,0x00999930,0x09fffb00,0x06fffd80,0x7fffffb0,0x01ffff10,
    0x8a7ffe40,0xa803ffff,0x882fffff,0x4003ffff,0x7c43ffff,0xd8002fff,
    0xf3004fff,0xfff53fff,0x9fffb00d,0x105fff30,0xf101ffff,0x64001fff,
    0xffd84fff,0xfffffeff,0x06fffa80,0x4fffd800,0x7fffcc00,0x7fffec02,
    0xfff883ff,0x3ff2000f,0xdffff14f,0xfffff980,0xffff883f,0x7ffec000,
    0x03fffcc3,0x05fffb80,0x36ffffa0,0xfc804fff,0x7ffc85ff,0x20ffff30,
    0x000ffff8,0xfb13fff2,0x3ff67fff,0xfffa86ff,0xffd80005,0xffe8004f,
    0xffd881ff,0x883fffef,0x2000ffff,0xff14fffc,0x3ea07fff,0x85ffffff,
    0x000ffff8,0x2a27ffe4,0x50006fff,0x5c00ffff,0xffffefff,0x6fffb800,
    0xf504ffe8,0x3fe20dff,0x3f2000ff,0x3ffe64ff,0x3fffa23f,0x27ffdc4f,
    0x7ffec000,0xfffb8004,0xffb9acff,0x3fffcaff,0x00ffff88,0x453fff20,
    0xadffffff,0xaefffda9,0x10adffff,0x8001ffff,0x7dc5fffc,0xf30005ff,
    0x22001fff,0x6fffffff,0x8ffff500,0xf702fff9,0x3fe209ff,0x3f2000ff,
    0x3fffa4ff,0xfffff885,0x013fff23,0x13fff600,0x7fffec00,0x2fffffff,
    0xf107fff9,0x64001fff,0xfff14fff,0xffffffff,0x3ffa1fff,0xfff11fff,
    0xffb8001f,0x27ffec6f,0xffff8800,0x3fff2001,0xf1002fff,0x7fe43fff,
    0x0ffffa07,0x007fffc4,0x229fff90,0xf501ffff,0x3fa3ffff,0xd80003ff,
    0x20004fff,0xfffffffd,0x3fff62ff,0x0ffff883,0x53fff200,0xfffffff8,
    0x20efffff,0x11fffffa,0x8001ffff,0x7e44fffc,0xf10005ff,0x4c001fff,
    0x006fffff,0xe877ffec,0xfff504ff,0x3ffe201f,0x3ff2000f,0x0ffff54f,
    0x9fffffb8,0x0001ffff,0x004fffd8,0x7ffff5c0,0x7ffec1bd,0x0ffff883,
    0x53fff200,0xfd8efff8,0xd503efff,0x3fe23fff,0x7ec000ff,0x7ffdc3ff,
    0xfff30006,0xfffd000f,0xffa8005f,0x2fff9cff,0x03fffe88,0x003fffe2,
    0xf74fffc8,0xffb00dff,0x0dffffff,0x3fff6000,0x2a600004,0x0ffff600,
    0x003fffe2,0xf14fffc8,0x0d4c4fff,0x3e219880,0x74000fff,0x7fd42fff,
    0xff50007f,0xffd000bf,0x3fa000df,0x87ffefff,0x407fffe9,0x000ffff8,
    0x7e53fff2,0xfe8806ff,0x03ffffff,0x9fffb000,0xe8000000,0xff883fff,
    0x3f2000ff,0xffff14ff,0xff100000,0xff8001ff,0x7ffcc1ff,0xfff90007,
    0xfffa8009,0xff10003f,0x33bfffff,0x5fffffb7,0x0ffff880,0x53fff200,
    0x800ffffa,0xfffffff8,0xffb00000,0x0000009f,0xf03fffe8,0x26003fff,
    0xff14ffff,0x800001ff,0x000ffff8,0x221fffea,0x4003ffff,0x003ffff8,
    0x003ffff4,0x3ffffea0,0xffffffff,0xfff003ff,0x3fe6003f,0xffff34ff,
    0x3ffea005,0x200005ff,0x0004fffd,0x7fff4000,0x05fffd03,0x9fffff30,
    0x003fffe2,0xffff1000,0x7fff4001,0x0ffffd04,0x0ffffb80,0x3ffff200,
    0xfe880002,0xffffffff,0x3a000eff,0xf9802fff,0xff14ffff,0xd1001fff,
    0x001fffff,0x13fff600,0xfd000000,0x3ff607ff,0x7ff4406f,0xfff14fff,
    0x8800001f,0x7000ffff,0x2a01ffff,0x3003ffff,0x4007ffff,0x004ffffb,
    0x7ffffc00,0x003defff,0x406fffd8,0x4fffffe8,0x07bffff2,0xffffffa8,
    0xfb00006f,0x000009ff,0x03fffe80,0x205ffff7,0xfffffff9,0x01ffff14,
    0xfff88000,0x7fe4401f,0x7fec02ff,0x7fd405ff,0xfb1006ff,0x0000dfff,
    0xaabfff98,0x7dc00009,0xff302fff,0x449fffff,0xbcfffffe,0xffffecba,
    0x005fffff,0x04fffd80,0x7f400000,0xfff103ff,0xfb5359ff,0x9fff9fff,
    0x003fffe2,0xffff1000,0x753357bf,0x00bffffd,0x9dfffff3,0xfffb7535,
    0xb99705ff,0x3ffffffd,0xffc80000,0xf8800007,0xa9acffff,0xffcffffd,
    0x7fffcc4f,0xffffffff,0xffffbfff,0x6665c03f,0xfffecccc,0x3cccccce,
    0xffe80000,0x3ffee03f,0xffffffff,0x14fff99f,0x0001ffff,0xfffff880,
    0xffffffff,0x2a004fff,0xffffffff,0x2fffffff,0xffffff90,0x00003dff,
    0x0009ffd0,0x3fffee00,0xffffffff,0x984fff99,0xfffffffd,0xf50cffff,
    0x6c03ffff,0xffffffff,0xffffffff,0x800006ff,0x6c03fffe,0xffffffff,
    0x9fff31ef,0x003fffe2,0x3fff6000,0xffffffff,0x88001eff,0xfffffffd,
    0x200dffff,0xfffffffc,0xf3000003,0x000003ff,0x7fffffec,0xff31efff,
    0x7fed409f,0x81ceffff,0x00fffffb,0xfffffffb,0xffffffff,0x0000dfff,
    0x007fffd0,0xdffffff5,0x14fff987,0x0001ffff,0x7ff65400,0x03ceffff,
    0xfffdb800,0x803defff,0x0bdefffc,0x3f200000,0x8000007f,0xeffffffa,
    0x027ffcc3,0x00009988,0xfffffd80,0xffffffff,0x006fffff,0x44000000,
    0x00001aa9,0x98000000,0x40000019,0x30001a98,0x80000003,0x00000998,
    0x06aa6200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa2000,
    0x510002aa,0x4c000555,0x88004eed,0xec982aaa,0x8000bdee,0x4002aaa8,
    0x800009a9,0x01aaaaa8,0x01555400,0xddb30000,0x55510009,0x2a200005,
    0xaaccddca,0xffffff10,0xffffffff,0x880005ff,0x00effffe,0xffffe880,
    0x7fecc003,0xfd8006ff,0xfffc82ff,0x4001ffff,0x9002fffd,0x019fffff,
    0xff7003f1,0x20005fff,0x000ffff8,0x7ffecc00,0xffd8006f,0xfc80002f,
    0xffffffff,0xfffff14f,0xffffffff,0x40005fff,0x04ffffe8,0xffffd100,
    0xf91007ff,0x00dfffff,0x905fffa8,0xdfffffff,0x2fffd400,0xfffffd80,
    0xfd30bfff,0xffd3003f,0xf10005ff,0x00001fff,0x3fffff22,0x7fd4006f,
    0x7d40005f,0xffffffff,0xfff14fff,0xffffffff,0x005fffff,0x3ffffa20,
    0xffd10002,0x07ffffbf,0x7fffffc4,0x3e2006ff,0x13300fff,0x00ffff91,
    0x003fffe2,0x3fbffff2,0xffffffff,0xfb1000ef,0x88005fff,0x0000ffff,
    0xffffff88,0x3e2006ff,0x20000fff,0xfffffff8,0x14ffffee,0xdddddddd,
    0xffffdddd,0xffd10005,0x220001df,0xfd33fffe,0x7ff407ff,0x006fff9e,
    0x000bfff2,0x3200dfff,0xf9002fff,0x7ffec47f,0x000fffff,0x02ffffb8,
    0x03fffe20,0x77ff4000,0x2006fff9,0x0002fffc,0x06ffffec,0x20001a98,
    0x4002ffff,0x004fffe8,0x0bfffa20,0x207fffd1,0x1bffe2ea,0x02fffcc0,
    0x7ffe4ccc,0x5fff9804,0xea81e400,0x001dffff,0x0bfffa60,0x07fffc40,
    0x22ea8000,0xf3006fff,0xa8000bff,0x0003ffff,0x2ffff800,0x0d554c00,
    0x2aaa6000,0x02aaaa01,0x8037ffc0,0xf800fffe,0x004fffff,0x0001fffd,
    0x00033100,0x01555440,0x00ffff88,0x3ffe0000,0x1fffd006,0xfffc8000,
    0xf0000006,0x00005fff,0x00000000,0x00dfff00,0x2007fff9,0x3fffffff,
    0x01fffe40,0x00000000,0x7fc40000,0x000000ff,0x3201bffe,0x80003fff,
    0x0003fffd,0x5ffff000,0x00000000,0xff000000,0xfff980df,0x3b732005,
    0xf302ffff,0x00000bff,0x00000000,0x03fffe20,0xfff80000,0x2fffcc06,
    0xffff8000,0xf0000002,0x00005fff,0x00000000,0x80dfff00,0x0000fffe,
    0x7417fff2,0x00000fff,0x00000000,0x1ffff100,0x7fc00000,0x7fff406f,
    0xff880000,0x000001ff,0x205ffff0,0xcccccccc,0x90002ccc,0x99999999,
    0x7c000599,0x3fee06ff,0x7dc0003f,0xfffb86ff,0x2ccc8003,0xbdeeec98,
    0x33332001,0x2ccccccc,0x0ffff880,0x5ef7764c,0x37ffc000,0x007fff70,
    0x3fffe200,0xf0000000,0x3fe05fff,0xffffffff,0xfff0004f,0xffffffff,
    0x7ffc0009,0x0dfff306,0xfba99a80,0x7fcc4fff,0xff88006f,0x3fff625f,
    0x003fffff,0xffffffff,0xf1009fff,0x3f621fff,0x3fffffff,0x41bffe00,
    0x0006fff9,0x03fffe20,0x7fc00000,0xffff02ff,0x9fffffff,0x3fffe000,
    0x4fffffff,0x1bffe000,0x000ffff4,0x3ffffffa,0x7fff40ef,0xfff88001,
    0xffffff35,0x00bfffff,0xffffffff,0xf1009fff,0xfff31fff,0xffffffff,
    0x1bffe00b,0x000ffff4,0x1ffff100,0x3e000000,0xfff02fff,0xffffffff,
    0x3ffe0009,0xffffffff,0x3ffe0004,0x04fffb86,0xfffffe80,0x7ffdc0df,
    0xfff10004,0xdfffff3d,0x3ffffffd,0xffffff80,0x804fffff,0xff9ffff8,
    0xfffeefff,0xff801fff,0x4fffb86f,0x7fc40000,0x000000ff,0x005ffff0,
    0x009fffb0,0x9fffb000,0x15554000,0x001bffe2,0x0de6f65c,0x0037ffc4,
    0xffffff10,0xfff707ff,0x7ec000df,0xff8804ff,0x0cffffff,0x02ffffdc,
    0x3e215554,0xff0006ff,0xffffffff,0xffffffff,0x000dffff,0x002ffff8,
    0x004fffd8,0x4fffd800,0xffb00000,0x0000003f,0x0003fffb,0x7fffffc4,
    0x3ffee01f,0xffb0000f,0xfff1009f,0x5c03ffff,0x0000ffff,0x0007fff6,
    0x7ffffffc,0xffffffff,0x6fffffff,0x7fffc000,0xfffd8002,0xfd800004,
    0x800004ff,0x0004fffb,0x4fffb800,0x7ffc4000,0x7c400fff,0xb0001fff,
    0xf1009fff,0x803fffff,0x001ffff8,0x009fff70,0x7fffffc0,0xffffffff,
    0xffffffff,0x7ffc0006,0xffd8002f,0xd800004f,0x00004fff,0x0037ffc4,
    0x7ffc4000,0xff880006,0xfd001fff,0x360005ff,0xf8804fff,0xd001ffff,
    0x10005fff,0x8000dfff,0xcccccccc,0xccccffff,0x03cccccc,0x17fffc00,
    0x27ffec00,0x7fec0000,0x6c00004f,0x00001fff,0x01fffd80,0xffff8800,
    0x3fff6002,0xfffb0003,0xffff1009,0x7ffec005,0xfffd8003,0x22000001,
    0x0000ffff,0x5ffff000,0x9fffb000,0xffb00000,0x5400009f,0x00004fff,
    0x04fffa80,0xffff1000,0x7ffe4001,0xfffb0004,0xffff1009,0x7ffe4001,
    0x7ffd4004,0x44000004,0x0000ffff,0x5ffff000,0x9fffb000,0xffb00000,
    0x2200009f,0x0000ffff,0x7fffc400,0xff100000,0x7e4001ff,0xfb0004ff,
    0xff1009ff,0x7e4001ff,0x3e2004ff,0x09980fff,0xfff88000,0x0000000f,
    0x0005ffff,0x0009fffb,0x09fffb00,0x3fff6000,0xeeeeed82,0xfffb0000,
    0xdddddb05,0xffff8801,0x3fff2000,0xfffb0004,0xffff1009,0x7ffe4001,
    0x3fff6004,0x3ffff222,0x3e20003f,0x00000fff,0x05ffff00,0x09fffb00,
    0xfffb0000,0xff500009,0xffff70bf,0xf50001ff,0xfff70bff,0xf8801fff,
    0x32000fff,0xb0004fff,0xf1009fff,0x64001fff,0xf5004fff,0x7ffccbff,
    0x005fffff,0x01ffff10,0x3fe00000,0xfd8002ff,0x800004ff,0x0004fffd,
    0x207fff44,0xfffffff8,0x7ff44000,0x7fffc40f,0x7c400fff,0x32000fff,
    0xb0004fff,0xf1009fff,0x64001fff,0xe8804fff,0x3fe20fff,0x3ffffeef,
    0xffff8800,0x88000000,0x8001ffff,0x0004fffd,0x04fffd80,0x17ffe400,
    0x7fef7fec,0x7fe4000f,0xdeffd82f,0x7c400fff,0x32000fff,0xb0004fff,
    0xf1009fff,0x64001fff,0xfc804fff,0x21ea82ff,0x8005fff9,0x000ffff8,
    0xfff98000,0xfffb0007,0xfb000009,0x4c0009ff,0xffa85fff,0x00fffc9f,
    0x217ffe60,0xffc9fffa,0x7ffc400f,0x3ff2000f,0xffb0004f,0xfff1009f,
    0x7fe4001f,0x7ffcc04f,0x37ffc005,0x7fffc400,0xc8000000,0xb0006fff,
    0x00009fff,0x009fffb0,0x207fff40,0xff94fff8,0x7ff4001f,0xa7ffc40f,
    0x4400fffc,0x2000ffff,0x0004fffc,0x1009fffb,0x4001ffff,0x7404fffc,
    0x26000fff,0x88005fff,0x8000ffff,0xfff3001a,0x3f60009f,0x800004ff,
    0x0004fffd,0xfb07fff9,0x3fff21ff,0x7fff9000,0x321fffb0,0x7c400fff,
    0x32000fff,0xb0004fff,0xf1009fff,0x64001fff,0x3f204fff,0x3a2003ff,
    0x88001fff,0x8000ffff,0x3ea01dfc,0x0000ffff,0x0009fffb,0x09fffb00,
    0x0dfff300,0x7e45fff5,0xff9800ff,0x2fffa86f,0x1003fff2,0x4001ffff,
    0x0004fffc,0x1009fffb,0x4001ffff,0xf304fffc,0x74400dff,0x10003fff,
    0x0001ffff,0x79dffff9,0x7fffffd9,0x7ffec000,0xfd800004,0xfe8004ff,
    0xfffe80ff,0xcfffeccc,0x3fffa00c,0xccfffe80,0x0ccfffec,0x01ffff10,
    0x027ffe40,0x04fffd80,0x00ffff88,0x413fff20,0x5000fffe,0x0007ffff,
    0x007fffc4,0x7ffffe40,0xffffffff,0x7fec0004,0xd800004f,0x5c004fff,
    0xfff03fff,0xffffffff,0x3fee03ff,0xfffff03f,0xffffffff,0x3fffe203,
    0x3fff2000,0xfffb0004,0xffff1009,0x7ffe4001,0x03fffb84,0x03ffff70,
    0xffff8800,0xfffa8000,0xffffffff,0xcccb802f,0xfffecccc,0x3cccccce,
    0x99999970,0x99dfffd9,0xf9879999,0x3ffe06ff,0xffffffff,0xfff981ff,
    0x3ffffe06,0xffffffff,0x1ffff101,0x27ffe400,0xccccccb8,0xccefffec,
    0xff13cccc,0x7e4001ff,0x7ffcc4ff,0xfffd8806,0xf880000d,0x10000fff,
    0xffffffd7,0x3f60019b,0xffffffff,0xffffffff,0xffffb06f,0xffffffff,
    0x8dffffff,0x2a01fffe,0xfdaaaaaa,0xfe80abff,0x2aaa01ff,0xfffdaaaa,
    0xfff100ab,0x7fe4001f,0xffffb04f,0xffffffff,0x2dffffff,0x000ffff8,
    0xfd13fff2,0xff5003ff,0xffffffff,0xfff88005,0x3300000f,0x3f600015,
    0xffffffff,0xffffffff,0xffffb06f,0xffffffff,0x4dffffff,0x0004fffb,
    0x5c03fff2,0x20004fff,0x4400fffc,0x2000ffff,0xfb04fffc,0xffffffff,
    0xffffffff,0x3fffe2df,0x3fff2000,0x013ffee4,0x7fffffd4,0x4002ffff,
    0x000ffff8,0x36000000,0xffffffff,0xffffffff,0xfffb06ff,0xffffffff,
    0xdfffffff,0x001bffe2,0x101fff90,0x8000dfff,0x4400fffc,0x2000ffff,
    0xfb04fffc,0xffffffff,0xffffffff,0x3fffe2df,0x3fff2000,0x00dfff14,
    0x7fffffd4,0x4002ffff,0x000ffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x553001cd,0xa8000035,0xaaaaaaaa,0x000001aa,0x00001331,0x00000198,
    0x00002660,0x00133100,0x01aa9880,0x2a620000,0x31000019,0x54000033,
    0x74000ced,0xc801ffff,0x00005fff,0x7ffffffc,0x0004ffff,0xffedba88,
    0x002cffff,0x7ffff654,0x80000ace,0xffffdca8,0x980002df,0xffffffed,
    0x764c01ce,0xffffffff,0x36e0002d,0xfffffffe,0x2a000cdf,0xcefffffd,
    0xfff50002,0x3ea003df,0xc806ffff,0x00005fff,0x7ffffffc,0x0004ffff,
    0x7fffffd4,0xffffffff,0x7fff4401,0xffffffff,0x3fee0001,0xffffffff,
    0xc88001ef,0xffffffff,0x880dffff,0xffffffff,0x02efffff,0x3ffffee0,
    0xffffffff,0xffe8801f,0xffffffff,0xfffe8004,0xff7005ff,0xf900ffff,
    0x80000bff,0xffffffff,0x20004fff,0xfffffffc,0xffffffff,0x3fffea01,
    0xffffffff,0xfd8002ff,0xffffffff,0x002fffff,0x3fffffe2,0xffffffff,
    0x7ffc40ef,0xffffffff,0x4402ffff,0xfffffffe,0xffffffff,0x7fff4401,
    0xffffffff,0x3fe000df,0x801fffff,0x06fffffa,0x005fffc8,0x3ff60000,
    0xfe88004f,0xceffffff,0x1fffffec,0xffffff90,0xffffd97d,0x3a2007ff,
    0x11bdffff,0x7ffffd95,0x3ffffa00,0xfca99abe,0x7c45ffff,0xbaabccff,
    0x1ffffffc,0x3fffffa0,0xdccaacce,0x3e601ffe,0xaaceffff,0x0efffffc,
    0xfffffb00,0x3ffa005f,0xffc802ff,0x0000005f,0x0013fff6,0x7ffffff1,
    0x81fda803,0x0afffffa,0xfffffc88,0x7fffc402,0xfffb800e,0x7ffe404f,
    0x7fec401f,0x002e22ff,0x1bffff22,0x0e7fffe4,0xf100a880,0x2205ffff,
    0x004ffffd,0x7ffffff3,0x0b7b2200,0x02fffe40,0xffb00000,0xffc8009f,
    0x4c001fff,0x1ffffe80,0x6ffffc80,0x02fffe40,0x03fffea0,0x003ffff8,
    0x009fffd1,0x87fffd80,0x004ffff9,0x7fffdc00,0xffffd802,0xffff9000,
    0x8000007f,0x0005fffc,0x3fff6000,0x3ffe2004,0x500000ef,0x4005ffff,
    0x101ffffc,0x2000bfff,0xf104fffa,0x64001fff,0x40005fff,0x5c1ffffa,
    0x00007fff,0x003fffe8,0x007ffff1,0x0bffffe2,0xff900000,0x000000bf,
    0x0027ffec,0x001ffff9,0x27fff400,0x2ffffc00,0x000fffd8,0x203fff60,
    0x4007fffa,0x0006fffb,0x217fffc4,0x0005fffd,0x07fffcc0,0x0ffff700,
    0x07ffff40,0x3f200000,0x000005ff,0x013fff60,0x027fffcc,0xffff5000,
    0xfff90003,0x4fff981f,0x9bffdb50,0x427ffcc5,0x000ffff9,0x0017fff2,
    0xd0bfffe0,0x0000dfff,0x005fffd8,0x017fffc4,0xc87fffe8,0xcccccccc,
    0xffc802cc,0x3326005f,0xfb000ccc,0x3f6009ff,0x00000fff,0x001ffff6,
    0x21ffffd4,0x6c40fffd,0x5fffffff,0x2207ffec,0x2004ffff,0x0003fffe,
    0x20ffffcc,0x000ffffc,0x5ffff100,0x7ffec400,0xfff9804f,0xfffff83f,
    0x04ffffff,0x005fffc8,0x05fffff3,0x027ffec0,0x005fffe8,0x27fffc00,
    0x7ffff000,0xfe85ffe8,0x5fffffff,0x7417ffcc,0xc802ffff,0x0000ffff,
    0x5c37ffdc,0x0004ffff,0x00ffff30,0x7fffff4c,0x7fffcc06,0xffffff05,
    0x009fffff,0x300bfff9,0x003fffff,0x004fffd8,0x0007ffff,0x17fffcc0,
    0x9fffb000,0x7dc3fff8,0x9510afff,0xf307fff0,0x6409ffff,0x0003ffff,
    0x417fffc4,0x05fffff9,0x6fffa800,0xfffff700,0xfb530fff,0x3e01ffff,
    0xffffffff,0xffc804ff,0x7ffcc05f,0xfd8001ff,0xff8804ff,0x200002ff,
    0x001ffffa,0x897fff60,0x3fe22fff,0x3fa000ff,0xffff904f,0x7ff545df,
    0x4c0005ff,0x2e04fffe,0x03ffffff,0x17ffee00,0xfffffb10,0x3e21ffff,
    0x1effffff,0x9fffb000,0x0bfff900,0x0fffffcc,0x4fffd800,0x1ffffa80,
    0x3fea0000,0x320000ff,0x3fea6fff,0x0fffe61f,0x40dffb00,0xeffffffc,
    0x04fffffd,0xb7533330,0xb005ffff,0x7fffffff,0xfffc8001,0x3fffa604,
    0x1ffffaef,0x7ffffff1,0xfffd8000,0x5fffc804,0x3fffff30,0x7ffec000,
    0x7fffb804,0x7fdc0000,0x7dc0007f,0x3ffee7ff,0x007ffee0,0xa80fff90,
    0xfffffffe,0xf1002eff,0xffffffff,0x7fe4001d,0x2dffffff,0x09fff900,
    0x37ffffee,0x223ffff0,0x000cdeff,0x04fffd80,0x985fffc8,0x001fffff,
    0x027ffec0,0x003fffe4,0x1fffee00,0xffff7000,0xf91fff21,0xfb8001ff,
    0xffd800ff,0x02ffffff,0x3ffffe20,0x00beffff,0x3ffffa60,0x402effff,
    0x6c43fffd,0x7c3fffff,0x00311fff,0x3fff6000,0x5fffc804,0x0fffffcc,
    0x7ffec000,0x6fffd804,0x7fe40000,0x7d40007f,0xfff90fff,0x8007ffc8,
    0x2200fffb,0xfffffffd,0x8800dfff,0xffffffff,0x4003ffff,0xffffffda,
    0xffd01eff,0x7fffcc7f,0xffff81ef,0xd8000001,0xfc804fff,0x3ffe65ff,
    0xb00001ff,0xf9009fff,0x80000fff,0x0007fffb,0xf73fffdc,0x7ffdc1ff,
    0x3ffe4000,0xffffff50,0xfffffff9,0x55555005,0xfffffd97,0xff93000b,
    0x07ffffff,0x3ee7fffb,0x3e05ffff,0x00000fff,0x04fffd80,0xf35fffc8,
    0x0003ffff,0x027ffec0,0x007fffdc,0xffff5000,0x7fe40001,0x87ffea7f,
    0x4002fffa,0xff506ffd,0x32219fff,0x02ffffff,0x7fff4c00,0xd710004f,
    0x85ffffff,0xffdcfffd,0x3e203fff,0x00000fff,0x04fffd80,0xf9dfffc8,
    0x0001ffff,0x027ffec0,0x00ffffd4,0xffff3000,0x7fe40003,0x8bffe66f,
    0x4006fff9,0xffa85ffe,0xfd101fff,0x0001ffff,0x03ffffb0,0xffffa800,
    0x3fff61ff,0x01efffff,0x003fffcc,0xfffd8000,0xefffc804,0x001fffff,
    0x4fffd800,0x2ffff980,0x3fe20000,0x360001ff,0x3fe25fff,0x6ffff43f,
    0x3fe0ee21,0xeffff83f,0x7ffec400,0xff00005f,0x100009ff,0x64bffffd,
    0x4fffffff,0x0dfff500,0x3f600000,0xffc804ff,0x3ffffddf,0xffd80000,
    0xfff8804f,0x7c00003f,0x20003fff,0x7fc3ffff,0x7fffcc5f,0x445fffff,
    0x7fdc2fff,0x3fa002ff,0x80000fff,0x0006fffd,0x4ffffd10,0x2ffffffa,
    0x17ffee00,0x7ec00000,0xffc804ff,0x5ffffd5f,0xffd80000,0xffff004f,
    0xff80000f,0xf50006ff,0xffd83fff,0x7fffdc0f,0x7e45ffff,0x7ffec1ff,
    0x7ffd4006,0xfb80002f,0x200007ff,0xf30ffffc,0x8001dfff,0x0004fffd,
    0x9fffb000,0x2bfff900,0x02ffffe8,0x3fff6000,0xffffb004,0x7e400007,
    0xd8000fff,0xff987fff,0xffed884f,0x3fe22cef,0x4ffff85f,0x7fffc400,
    0xffc80003,0x2600005f,0x3fe1ffff,0x7c4003ff,0x00001fff,0x09fffb00,
    0x4cbfff90,0x001fffff,0x09fffb00,0x1bfffe60,0xfff98000,0x7fc4003f,
    0xfffb03ff,0x3f201801,0xffff81ff,0x7ffc4004,0xfe80003f,0x200003ff,
    0x2e0ffffa,0x5c007fff,0x00006fff,0x13fff600,0x317fff20,0x003fffff,
    0x09fffb00,0x27fffec0,0xfffb0000,0x7fec001d,0x3ffe606f,0xfff10005,
    0x17fffa0b,0x3ffff300,0xfff98000,0x3200001f,0x7fc46fff,0x3fa002ff,
    0x000003ff,0x013fff60,0x2a17fff2,0x000effff,0x027ffec0,0xbfffff10,
    0xff500001,0xf9001dff,0xfd805fff,0x7cc005ff,0xff901fff,0x7ec003ff,
    0x440007ff,0x0006fffe,0x13fffea0,0x003ffff2,0x001ffff6,0xfffb0000,
    0xbfff9009,0x3bfffee0,0x3ff60000,0x7fe4004f,0x400aefff,0xffe81fc9,
    0xf9101eff,0xf300dfff,0x5001dfff,0x5c09ffff,0x801fffff,0x005ffffc,
    0x3ffffae0,0x8002b261,0x1fffffb8,0x1effff98,0x13ffff60,0xfb000000,
    0xff9009ff,0x7ffe40bf,0xfb0000ef,0xd88009ff,0xefffffff,0xfffedccd,
    0xffff981f,0xfebbdfff,0x001fffff,0x59dffff3,0x7ffedcc1,0xfffd804f,
    0xa99abeff,0x0efffffc,0x266aaf36,0xffffccaa,0x7ffcc2ff,0xcaabccde,
    0xffffffdc,0x3ffff202,0xffda9acf,0x00005fff,0x4fffd800,0x05fffc80,
    0x02ffffec,0x04fffd80,0xfffff700,0xffffffff,0x3a203fff,0xffffffff,
    0x00efffff,0x7ffff440,0xfffffeff,0xfd1002ff,0xffffffff,0x1fffffff,
    0xfffffff8,0xffffffff,0xffff983f,0xffffffff,0x03ffffff,0xffffffb8,
    0x4fffffff,0x99700000,0xffd99999,0x999999df,0x017fff27,0x0bffffd1,
    0x99999997,0x999dfffd,0xe8807999,0xffffffff,0x01ffffff,0x3fffff62,
    0x04ffffff,0x7fffec00,0xefffffff,0x7fe44001,0xffffffff,0xff80dfff,
    0xffffffff,0x300bffff,0xffffffff,0xffffffff,0x7fd4005b,0xffffffff,
    0x2000003f,0xfffffffd,0xffffffff,0xfff96fff,0xffff100b,0xffffd89f,
    0xffffffff,0x06ffffff,0xffffb950,0x0159ffff,0x3fffb2a0,0x0002ceff,
    0xfffff930,0x000159bf,0x7ffffe44,0x200cffff,0xffffffff,0x400beeff,
    0xffffedb8,0xcfffffff,0xfd930000,0x03bfffff,0xffd80000,0xffffffff,
    0xffffffff,0x00bfff96,0x93ffffe6,0xfffffffd,0xffffffff,0x10006fff,
    0x00003353,0x00000d4c,0x000d4cc0,0x2aaa6000,0x554cc001,0x000009aa,
    0x13555533,0x2a600000,0x0000009a,0xffffffb0,0xffffffff,0x3f2dffff,
    0x3ea005ff,0xffb3ffff,0xffffffff,0xffffffff,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00004400,0x13331000,0x7ffffc40,0xffffffff,0x4000ffff,0x00000098,
    0x4c000000,0xfffa800a,0xfff70007,0xcaa8800d,0x003fffed,0xceedba88,
    0xa88000ac,0x7ffc4000,0x4000001f,0x0004fdb9,0xffb95100,0x15bfffff,
    0x7fffffc4,0xffffffff,0x5d400fff,0x3efffffd,0xffc88000,0x300001ff,
    0xbfffffdb,0xffff5017,0x3ffee000,0xfffb3006,0x07ffffff,0x7ffffdc0,
    0x06ffffff,0x7ffff64c,0x7c400cef,0x00001fff,0x027ffe40,0x7ffdc000,
    0xffffffff,0xfff13fff,0xffffffff,0x01ffffff,0x3fffffa6,0x02efffff,
    0xfffff700,0xc880003f,0xffffffff,0x7fd43fff,0xff70007f,0xffea80df,
    0xffffffff,0xffd8803f,0xffffffff,0x3fee07ff,0xffffffff,0x3ffe202f,
    0x4000001f,0x0004fffc,0x3ffff620,0xffffffff,0xfff14fff,0xdddddddf,
    0x01dddddd,0xfffffff7,0x7fffffff,0x7fffdc00,0x0001ffff,0x3fffffe2,
    0xffffffff,0x0ffff50e,0x1bffee00,0xffffffb8,0x2eeeefff,0x7ffffdc0,
    0xfffeefff,0xfffe987f,0xffffffff,0xfff104ff,0x8000003f,0x0004fffc,
    0xffffff50,0xffd99dff,0x3fe29fff,0xfb00006f,0x77bfffff,0x1ffffffb,
    0xffffea80,0x001fffff,0x3bffff60,0xffeba9ac,0xffff50ef,0x3ffee000,
    0xfffff906,0x3000335d,0x15dfffff,0xf88fd710,0x99bdffff,0x4ffffeca,
    0x9affff88,0x40000199,0x0004fffc,0xffffffb8,0xa7ed401b,0x0006fff8,
    0x03bfffb0,0x1bffff62,0x7fffff54,0x01ffffff,0x9ffff700,0x2a0ffa80,
    0x70007fff,0xff90dfff,0x00005dff,0x009ffffd,0x3ffff204,0x3fffa202,
    0x7fffc40f,0xefffffff,0xf90000bd,0x880009ff,0x00efffff,0xfff88c40,
    0xfd100006,0x3fffa007,0x7fffdc1f,0xfffb9eff,0xff88001f,0x831005ff,
    0x0007fffa,0xf88dfff7,0x00004fff,0x007ffff7,0x17fffd40,0x44fffe80,
    0xfffffff8,0xffffffff,0x7fe4000c,0x7e40004f,0x80004fff,0x0006fff8,
    0xf9800a20,0x7fc43fff,0x3fee2eff,0xf98001ff,0x20000fff,0x0007fffa,
    0xfd8dfff7,0x100006ff,0x000dffff,0x005fffe8,0x883fffea,0xffffffff,
    0xffffffff,0x66664c2f,0xcefffecc,0xcccccccc,0x7fffcc2c,0xff100005,
    0x000000df,0x84ffff80,0xffb83ffd,0xfb8001ff,0x540006ff,0x70007fff,
    0x7fccdfff,0x500000ff,0x0003ffff,0x002ffff8,0xf127fffc,0x55557fff,
    0xfffffdb9,0x7fffdc3f,0xffffffff,0xffffffff,0x7fffec4f,0xff100000,
    0x000000df,0x86fffd80,0xfff700c9,0xff90003f,0xfa80009f,0xf70007ff,
    0x7ffecdff,0x3ee00003,0x4c0006ff,0x4000ffff,0x3e26fffc,0x74c01fff,
    0xf71fffff,0xffffffff,0xffffffff,0x7cc9ffff,0x00004fff,0x001bffe2,
    0xffb00000,0xff7000df,0xfb0003ff,0xa80007ff,0x70007fff,0x7ffcdfff,
    0x3600000f,0x40005fff,0x8007fffa,0x3e27fffa,0xf9001fff,0x3feedfff,
    0xffffffff,0xffffffff,0x3fee4fff,0x200000ff,0x0006fff8,0x7ff40000,
    0xffb8005f,0xfe8001ff,0x540003ff,0x70007fff,0x3fe2dfff,0x7400007f,
    0x40003fff,0x8007fffb,0xf11ffff9,0x6c003fff,0x6400ffff,0x90004fff,
    0x0000bfff,0x99ffff88,0x00000019,0x001ffffc,0x00ffffdc,0x01ffff40,
    0x1fffea00,0xb7ffdc00,0x4cc5fffa,0x8009bcca,0x0002ffff,0x007fffd4,
    0x47fffe20,0x001ffff8,0x007fffe6,0x0009fff9,0x0013fff6,0xfffff100,
    0x5bdfffff,0x3ea00000,0xb8002fff,0x8001ffff,0x0003fffe,0x003fffd4,
    0xf96fffb8,0xffd717ff,0x3dffffff,0x0bfffe20,0xffff3000,0xfff88003,
    0x3ffff12f,0x3ffff800,0x027ffe40,0x03ffff80,0x7ffc4000,0xffffffff,
    0x0000cfff,0x01bfff60,0x0ffffdc0,0x1ffff400,0x3ffea000,0xfff70007,
    0x3fbfff6d,0xffffffff,0xf80cffff,0x80003fff,0x8005ffff,0xff12ffff,
    0xfe8003ff,0x7fe405ff,0xff88004f,0x3ba202ff,0xeeeeeeee,0xffffff14,
    0xffffffff,0x2a0000bf,0x0002ffff,0x003ffff7,0xffff9997,0x9999999d,
    0xff501999,0x3ee000ff,0xffffd6ff,0xfddfffff,0x0dffffff,0x0009fffd,
    0x05ffffb0,0x97fffdc0,0x001ffff8,0x202fffec,0x8004fffc,0x201ffff9,
    0xfffffff8,0x2aaa5fff,0xfeccaaaa,0x005fffff,0x37fffc40,0xffff7000,
    0xffffb003,0xffffffff,0x01ffffff,0x000ffff5,0x7f5bffee,0x81beffff,
    0x3fffffb8,0x0037ffec,0x7ffffc40,0xfff9300c,0x3fe25fff,0x7fc001ff,
    0x7fe403ff,0xffa8004f,0x3fe201ff,0xffffffff,0xffb88005,0x20005fff,
    0x000ffffe,0x07fffee0,0x3fffff60,0xffffffff,0xa80fffff,0x70007fff,
    0x3ffedfff,0xfd1002ef,0x7fe41fff,0xb80001ff,0xefffffff,0xffffffed,
    0xfff11fff,0x7fc4003f,0x7fe402ff,0xff98004f,0x3ba201ff,0xffffeeee,
    0x3fe60005,0xfb0007ff,0x80005fff,0x801ffffb,0xffffeeec,0xeeeeeeee,
    0xffa80eee,0xff70007f,0x0ffffedf,0x7ffff500,0x037fffc4,0xffffb800,
    0xffffffff,0x11ffffff,0x4003ffff,0x400ffffb,0x8004fffc,0x002ffff8,
    0x00bfff90,0x1ffffa80,0x7fffec00,0xffb80004,0xfe8001ff,0x540003ff,
    0x70007fff,0x3ffadfff,0xffe8003f,0x7fffec4f,0xfb100003,0xffffffff,
    0x1ffff15d,0x007fffe2,0x027fffcc,0x0027ffe4,0x003ffff8,0x00bfff90,
    0x3ffff880,0x3ffff200,0xff700004,0xfd0003ff,0xa80007ff,0x70007fff,
    0x3ff6dfff,0xffc8004f,0x7fffcc5f,0x04a801ef,0x566e5cc4,0x9fffe60a,
    0x801ffff8,0x006fffea,0x0009fff9,0x0013fffa,0x002fffe4,0x02ffff40,
    0x04ffffc8,0x3ffee000,0xffe8001f,0x7d40003f,0xf70007ff,0x3fff2bff,
    0xfffb8005,0xfffffb87,0xccaabcdf,0x200007ff,0x3e25fffb,0xa9881fff,
    0x01fffffe,0x009fff90,0x01bfff60,0x02fffe40,0x27fff400,0x27fffe40,
    0x3fee0000,0xfe8001ff,0x4c0003ff,0x8000ffff,0xff74fffc,0xff7000bf,
    0x3ffea0df,0xffffffff,0x00007fff,0xf88ffff6,0xffffffff,0xffffffff,
    0x3fff2003,0xfff70004,0xff90003f,0xff0000bf,0xffc805ff,0x800004ff,
    0x001ffffb,0x003fffe8,0x0ffffc40,0x9fffec00,0x8007fffa,0x2a05fffc,
    0xfffffffe,0x007fffff,0x87fffe00,0xfffffff8,0xffffffff,0x7fe4000d,
    0xff50004f,0xf9000bff,0x98000bff,0x3200ffff,0x0004ffff,0x3ffff700,
    0x7fffd000,0xffff0000,0xffff0005,0x0bfffe63,0x07fffd00,0xfffff930,
    0x0037bfff,0x17fff200,0xfffffff1,0x5dffffff,0x3ffee000,0x3ff60005,
    0x7e4001ff,0x740005ff,0x3f607fff,0x00004fff,0x07fffee0,0x0ffffa00,
    0x3fffa000,0x7ffdc006,0x17fffa0f,0x1ffff980,0x33fff600,0xa8000009,
    0x7c41ffff,0xdeeeefff,0xa80001ac,0x20007fff,0x00dffff9,0x017fff20,
    0x3ffffc80,0x09ffffb0,0xffb80000,0xfe8001ff,0xb80003ff,0x1002ffff,
    0xfa89ffff,0xfd000fff,0xfe800dff,0x000000ff,0x10bffff3,0x0003ffff,
    0xffff9800,0x3ff20002,0xf9001eff,0xd3000bff,0x3609ffff,0x0004ffff,
    0xffffb800,0xfffe8001,0xffd00003,0xfe9807ff,0xffe80fff,0x3f6201ff,
    0x22001fff,0x00006fff,0xeffffc88,0x1ffff880,0xff800000,0x10001fff,
    0x17ffffff,0x75fffc80,0x7535557b,0xbfffffd9,0x13ffff60,0x7dc00000,
    0xe8001fff,0x00003fff,0x9bfffff5,0xfff97535,0x3fee05ff,0x989acfff,
    0x03ffffeb,0x027ffd40,0x7ed4c400,0x101fffff,0x0003ffff,0xffff7000,
    0x955357bf,0x3ffea09b,0xacdfffff,0x5ffffeca,0xfffffff9,0xbfffffff,
    0xfffff501,0xffffffff,0x9fffffff,0x7fffffec,0xffffffff,0x972fffff,
    0x9dffff99,0x99999999,0xfb039999,0xffffffff,0x09ffffff,0xffffffc8,
    0xffffffff,0xfffc8005,0x3bbae002,0xfffffffe,0x3e201eff,0x00001fff,
    0xfffffd00,0x9fffffff,0x7fffec40,0xffffffff,0xff95ffff,0xffffffff,
    0x7d403bff,0xffffffff,0xffffffff,0x3ff64fff,0xffffffff,0xffffffff,
    0xfffffb2f,0xffffffff,0xffffffff,0x3fffaa05,0xffffffff,0xfff5001e,
    0xffffffff,0x3f60005d,0x7fe4007f,0xffffffff,0xff8804ff,0x000001ff,
    0xfffffb10,0x09ffffff,0xffffff70,0xffffffff,0x3ffff27f,0x1defffff,
    0xfffffa80,0xffffffff,0x4fffffff,0x3ffffff6,0xffffffff,0xfb2fffff,
    0xffffffff,0xffffffff,0x4405ffff,0xffffffec,0xc88003ef,0xeffffffe,
    0x7ffc0003,0x7ffe4005,0xcfffffff,0xffff1000,0x80000003,0xffffffd9,
    0x71003eff,0xffffffdb,0x531059df,0x00013555,0xfffffff5,0xffffffff,
    0x6c9fffff,0xffffffff,0xffffffff,0xfffb2fff,0xffffffff,0xffffffff,
    0x4c4005ff,0x4000009a,0x00000aa9,0x90002666,0x79ddffff,0x00000003,
    0x53100000,0x20000333,0x0009aaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffc800,
    0x9acdefff,0x3ffea000,0x3f60004f,0x20000fff,0xfffffff9,0x0fffffff,
    0xfffffffd,0xffffffff,0x5fffffff,0x7ffe4000,0x7fc405ff,0xffffffff,
    0xffffffff,0xfb803fff,0xfff900ff,0xfff30000,0xf1000dff,0xffffffff,
    0x001599dd,0x3ff20000,0xffffffff,0xd002ffff,0x0001ffff,0x007ffff3,
    0xfffffc80,0xffffffff,0xfffffd0f,0xffffffff,0xffffffff,0x3e60005f,
    0x405fffff,0xfffffff8,0xffffffff,0x03ffffff,0x3607ffb8,0xc80006ff,
    0x01ffffff,0x7ffffc40,0xffffffff,0x00000cff,0x7ffffe40,0xffffffff,
    0x7cc00dff,0xe8005fff,0x40006fff,0xfffffff8,0xffffffff,0x55559fd0,
    0x55555555,0xff555555,0x3ffa0005,0x4405ffff,0xffffffff,0xffffffff,
    0x803fffff,0x3fa07ffc,0xff80005f,0x004fffff,0x7fffffc4,0xffffffff,
    0x00002fff,0x3bffff20,0xfffffeee,0x6403ffff,0x2001ffff,0x001ffffa,
    0x7ffffdc0,0xcccccdff,0x005fd0cc,0x0017fc00,0x7fffffdc,0x7ffc405f,
    0xffffffff,0xffffffff,0xffd803ff,0x017ffa06,0xfffff300,0xf8800dff,
    0xeeeeefff,0xfffffffe,0x9000001f,0x2620bfff,0x3ffffffb,0x1bfffe20,
    0x04fffe80,0xdeffe800,0xfd001fff,0x0009a885,0x220017fc,0xfffdffff,
    0x88000005,0xe801ffff,0x3ffe05ff,0x7fe40004,0x01ffffdf,0x07fffe20,
    0xfffffb88,0xf9000006,0xfb100bff,0xfb80ffff,0xfb802fff,0x40000fff,
    0xffdbfff9,0x85fd001f,0x03effffb,0x6c002ff8,0xfffccfff,0xc8000005,
    0xff005fff,0x3ffe209f,0x7ffc0003,0x04fffe9f,0x07fffe20,0x07ffff40,
    0x7fe40000,0x3fea005f,0x7ff403ff,0x7ffc407f,0xfc80003f,0x1fffd8ff,
    0xfb85fd00,0x03ffffff,0xfb800bfe,0xbfff96ff,0xf8800000,0xff001fff,
    0x3ffe607f,0x3fe60002,0x0dfff96f,0x0ffffc40,0x2ffff980,0xffc80000,
    0x7ff4005f,0x3fe600ff,0x3ff203ff,0xf880006f,0x3fffb5ff,0x4c0bfa00,
    0x04fffeb9,0x3e2005ff,0xfff91fff,0xc800000b,0xf1005fff,0x3fea07ff,
    0x3f20001f,0xffff34ff,0x3ffe2003,0x3ffe001f,0xc800004f,0x54005fff,
    0x6c04ffff,0xf980ffff,0x80001fff,0xffb2fffb,0x0bfa003f,0x417ffd40,
    0xffb002ff,0x2fffe49f,0xff100000,0xddd903ff,0xdddfffdd,0xdfffdddd,
    0x2005dddd,0x3fe1ffff,0xff1003ff,0x7f4003ff,0x800004ff,0x8005fffc,
    0x4406fffe,0xfd85ffff,0xd00004ff,0x7ffecfff,0x005fd001,0x7fc3ffd4,
    0x6fffa802,0x002fffe4,0xdfff9000,0x3fffff60,0xffffffff,0xffffffff,
    0xff9803ff,0x37ffe47f,0x1ffff880,0x7ffff100,0xff900000,0xff7000bf,
    0xfff700ff,0x7fffd43f,0xff980000,0x07fff64f,0x20017f40,0x17fc1ffe,
    0x07fffe20,0x000bfff9,0x3fffe200,0xfffffb02,0xffffffff,0xffffffff,
    0xff9007ff,0xffffa89f,0xffff8801,0xffff3001,0xf9000003,0xf5000bff,
    0xfd001fff,0x7fff4bff,0xffb00003,0x0fffec1f,0x4002fe80,0x17fc3ffc,
    0x213fff20,0x0005fffc,0x0dfff900,0x7ed5554c,0xaaaaaaff,0xaaaaeffe,
    0xffff800a,0x03ffff82,0x01ffff88,0x05fffe88,0xfff90000,0xfff3000b,
    0xfff5003f,0x0dfff73f,0x3ffe2000,0x00fffec5,0x6c002fe8,0x017fc2ff,
    0x901ffff3,0x0000bfff,0x05ffff10,0x206ffc80,0x30005ffe,0x3f60ffff,
    0xff8806ff,0x7ec401ff,0x00001fff,0x3fff6aaa,0x00aaaaae,0x00bfffe2,
    0x7ff7ffec,0x700001ff,0xffd85fff,0x999999bf,0x8800bfa0,0x17fc0fff,
    0x205fffd0,0x0005fffc,0x06fffc80,0x206ffd80,0x90004fff,0x3ea0bfff,
    0x7c400fff,0x9999afff,0xfffffdba,0x7fc00001,0xffffffff,0x7fc01fff,
    0xff1003ff,0x009fffff,0x43fff400,0xfffffffd,0x0bfa6fff,0x13ffae20,
    0x7fe40bfe,0x3fff205f,0x7c400005,0xe8003fff,0x3ffe05ff,0xffff0004,
    0x3fffe205,0x7fffc403,0xffffffff,0x0000bfff,0xffffff80,0x1fffffff,
    0x027fffc0,0xffffff90,0x3e600001,0xfffd84ff,0x6fffffff,0x7ff40bfa,
    0xf80effff,0xffff982f,0x17fff200,0xfff90000,0x3ffe000d,0x07fff104,
    0x1ffff300,0x037ffec0,0x3fffffe2,0xffffffff,0x800001ce,0xffffffff,
    0x401fffff,0x4004fffe,0x003ffffe,0x07fff600,0x3ffffff6,0x3fa6ffff,
    0xdffffd02,0x7417fc07,0x7e402fff,0x200005ff,0x003ffff8,0x303fff88,
    0x90005fff,0xfb80bfff,0x3e200fff,0xffffffff,0xffffffff,0x55400004,
    0xaaefffda,0x7fc00aaa,0x7dc004ff,0x200007ff,0xfb06fff8,0x333337ff,
    0xd817f413,0x5ff001ef,0x805fffb8,0x0005fffc,0x01fffee0,0x817ffc40,
    0x8001fffa,0x4403ffff,0x2203ffff,0xaaabffff,0xffffdcaa,0x000006ff,
    0x000bfff9,0xf07ffff1,0xffffffff,0xffffffff,0x7dc007ff,0xfffb03ff,
    0x40bfa003,0x3fe006fd,0x03fffe22,0x017fff20,0x7fffc400,0xfff30003,
    0x03ffea05,0x1ffff300,0x0dfffd00,0x00ffffc4,0x3ffffee2,0xfc800004,
    0xf98005ff,0xfff82fff,0xffffffff,0xffffffff,0x3fffa003,0x03fffb00,
    0x7ec0bfa0,0xd8bfe005,0xf9003fff,0x20000bff,0x800ffffb,0xffb99999,
    0xc99999af,0x19999fff,0x037ffe40,0x00ffffb8,0x003ffff1,0x07ffffe6,
    0xfff90000,0xfff5000b,0xfffff03f,0xffffffff,0x07ffffff,0x817ffea0,
    0xd001fffd,0x017f605f,0xfff52ff8,0x7ffe400d,0xff880005,0xfff004ff,
    0xffffffff,0xffffffff,0x401fffff,0x3003ffff,0x2207ffff,0x2001ffff,
    0x003ffffa,0x2fffe400,0x3fffe400,0xaaaaaaa8,0xaaaffffd,0xb000aaaa,
    0x55559fff,0x03fffd55,0x4c40bfa0,0x74bfe000,0xeeeeefff,0xffeeeeee,
    0xeeeeefff,0x3ffee000,0xffff000f,0xffffffff,0xffffffff,0x2601ffff,
    0xeeeeffff,0xfeeeeeee,0xff106fff,0x7c4003ff,0x00004fff,0x002fffe4,
    0x017fffe2,0x01fffee0,0x3fffe200,0xffffffff,0xfd001fff,0x7fc00005,
    0xfffffff2,0xffffffff,0xffffffff,0x7fc003ff,0x3fe004ff,0xffffffff,
    0xffffffff,0x00ffffff,0xfffffff9,0xffffffff,0x101fffff,0x8003ffff,
    0x0005fffe,0x02fffe40,0x0bffff20,0x1fffee00,0x3ffee000,0xffffffff,
    0xd001ffff,0x0072a05f,0xffff2ff8,0xffffffff,0xffffffff,0x003fffff,
    0x003fffee,0x40dffb00,0x7c004fff,0xffffffff,0xffffffff,0xf883ffff,
    0x7c001fff,0x00004fff,0x002fffe4,0x01fffff1,0x0ffff700,0xfffff000,
    0xffffffff,0x3a003fff,0x0fff982f,0x3fe5ff00,0xffffffff,0xffffffff,
    0x1fffffff,0x09ffff00,0x0bffd000,0x30027ffc,0xffffffff,0xffffffff,
    0x10bfffff,0x4003ffff,0x002ffff8,0x2fffe400,0xffffd880,0x3bbbb602,
    0xeffffeee,0x02eeeeee,0x4cefffd4,0xfd999999,0x5fd001ff,0x007fff70,
    0x20000bfe,0x0005fffc,0x003fffee,0x413ffe00,0x2003fff8,0x0006fffc,
    0x881ffff9,0x2001ffff,0x000ffffb,0x2fffe400,0x7ffffd40,0x7ffffc05,
    0xffffffff,0x03ffffff,0x4017ffec,0xd001fffd,0x3fff305f,0x000bfe00,
    0x017fff20,0x05ffff80,0x3fff8800,0x005fff30,0x001ffff4,0x42ffff98,
    0x001ffff8,0x00dffff3,0xbfff9000,0xfffb5310,0xff801dff,0xffffffff,
    0xffffffff,0x3ffe203f,0x3fffb007,0x4c0bfa00,0x0bfe001c,0x3fff2000,
    0xfff70005,0xf100003f,0x3fea05ff,0xfff3001f,0x7fc0003f,0x7ffc45ff,
    0x7fe4c01f,0x00000fff,0xeeffffc8,0xfffffffe,0xcc800dff,0xffdccccc,
    0xccccccff,0x3fff201c,0x9fffb004,0x35555555,0x80000bfa,0xc80002ff,
    0xf0005fff,0x0000bfff,0x5c0bffe6,0xf9000fff,0xc8000dff,0x3e20ffff,
    0xccccdfff,0xffffffed,0x9000001f,0xffffffff,0x9fffffff,0x3fee0000,
    0x3fe0007f,0xffb001ff,0xffffffff,0x266ffa7f,0x99999999,0x99999999,
    0xc80002ff,0xb8005fff,0x0001ffff,0x203fff50,0x3a007ffb,0x40004fff,
    0x222ffff9,0xffffffff,0xffffffff,0x2000002e,0xfffffffc,0x0befffff,
    0x3fee0000,0xff50007f,0x7fec00df,0xffffffff,0xfffffd3f,0xffffffff,
    0xffffffff,0xf900005f,0xfd000bff,0x40000bff,0xf900fffb,0x3fe600ff,
    0xf80001ff,0x3fe25fff,0xffffffff,0x002effff,0xfffc8000,0xbcdeffff,
    0xf7000001,0x36000fff,0x36003fff,0xffffffff,0xfffd3fff,0xffffffff,
    0xffffffff,0x00005fff,0x800bfff9,0x001ffffb,0x81fff200,0xf9006ffd,
    0x20000dff,0xf10ffffc,0xffffffff,0x000379bd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffea00,0xabceffff,0x3fe20009,0xffffffff,0x7fffffff,0x3ffffffe,
    0xffffffff,0xffff37ff,0x3ffee000,0xffffffb6,0xffffffff,0x3e23ffff,
    0xffffffff,0x9801bcde,0x0000ffff,0xffffffe8,0xffffffff,0xb3ffffff,
    0x0007ffff,0x43ffffb0,0x005ffffb,0x0dffff10,0xfa800c40,0xffffffff,
    0x01efffff,0xffffff88,0xffffffff,0x3ffe7fff,0xffffffff,0x37ffffff,
    0x2000ffff,0xffb6fffb,0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,
    0x3fe603ef,0xe80000ff,0xffffffff,0xffffffff,0xff33ffff,0x40001fff,
    0xe85ffff9,0x8001ffff,0x201ffffd,0xeffffec8,0xffff500c,0xffffffff,
    0x4019ffff,0xfffffff8,0xffffffff,0x3fffe7ff,0xffffffff,0xf37fffff,
    0x2e000fff,0xfffb6fff,0xffffffff,0x3fffffff,0x3fffffe2,0xffffffff,
    0xff982fff,0xe80000ff,0xffffffff,0xffffffff,0x3f23ffff,0x20003fff,
    0x980ffffd,0x4006ffff,0x204ffffa,0xfffffffa,0xffa82fff,0xfeeeeeff,
    0xffffffff,0xdffff102,0xdddddddd,0x7fcddddd,0xeeeeeeff,0x5eeeeeee,
    0x000ffff3,0x765bffee,0xffeeeeee,0xeeeeeeff,0xdffff11e,0xfffddddd,
    0x983fffff,0x0000ffff,0xffffffe8,0xffffffff,0x22ffffff,0x00fffff8,
    0x4ffff980,0x0fffff20,0x37fffc40,0xffffff70,0x83ffffff,0x2207fffa,
    0xffffffc9,0x1ffff882,0x7fffc000,0x3fe60003,0xff70007f,0xfff700df,
    0x3ffe200f,0x7ffdc01f,0x3fe60fff,0x000000ff,0x7fffcc00,0x4ffffb85,
    0xffffe800,0x7ffff400,0xffffc800,0xbffff101,0xffff7315,0x07fffa8d,
    0xdffffb10,0x03ffff10,0x3ffff800,0x3ffe6000,0xfff70007,0xffff700d,
    0x3fffe200,0xffff9001,0x07fffccd,0x20000000,0xd00ffffe,0x4001ffff,
    0x803ffffa,0x405ffffa,0x204ffff9,0xd104fffd,0x7fd47fff,0x7fdc007f,
    0x7ffc43ff,0x7fc0001f,0x260003ff,0x70007fff,0xf700dfff,0x3e200fff,
    0x3a001fff,0xff30ffff,0x000001ff,0x7fffdc00,0x3fffea03,0x3fffa005,
    0x3fff6006,0x3fffa02f,0xffff100f,0x2fffdc01,0x000ffff5,0x441ffffd,
    0x0001ffff,0x001ffffc,0x00ffff30,0x01bffee0,0x401fffee,0x001ffff8,
    0x4c7fffe6,0x0000ffff,0xfff30000,0xfffd00bf,0xfff5003f,0x7fc4005f,
    0xfff506ff,0x7ffcc05f,0x37ffc404,0x000ffff5,0x449ffff5,0x0001ffff,
    0x001ffffc,0x00ffff30,0x01bffee0,0x401fffee,0x001ffff8,0xf99ffffc,
    0x00000fff,0xffffd000,0xffff3001,0xbfffd00d,0xffff7000,0x5ffff887,
    0x01fffd40,0xff53fffc,0x3fa000ff,0x3ffe26ff,0x7fc0001f,0x260003ff,
    0x70007fff,0xf700dfff,0x3e200fff,0x74001fff,0xfff35fff,0x0000001f,
    0x07ffff70,0x17fffec0,0x03ffff70,0x3ffffa00,0x03ffff20,0x005fff90,
    0x7fd4ffff,0xff70007f,0x7fffc4ff,0x7ffc0001,0x3e60003f,0xf70007ff,
    0xff700dff,0x3fe200ff,0x7ec001ff,0xffff35ff,0x80000001,0x005ffff8,
    0x037fffc4,0x0009ffff,0x9affffcc,0xb803ffff,0xff803fff,0x1fffea6f,
    0x7fffd400,0x03ffff10,0x3ffff800,0x3ffe6000,0xfff70007,0xffff700d,
    0x3fffe200,0x7fffc001,0x01ffff33,0xfe800000,0xc8000fff,0xfb83ffff,
    0x40000fff,0xfeaffffc,0xff3006ff,0xfff980bf,0x01fffea5,0x8ffffcc0,
    0x001ffff8,0x01ffffc0,0x0ffff300,0x1bffee00,0x01fffee0,0x00ffffc4,
    0x23ffff10,0x000ffff9,0x3fee0000,0xf10003ff,0xff88ffff,0xd00003ff,
    0xffffffff,0x3ffe2003,0x3fff600f,0x01fffea3,0x97fffc40,0xaabffff8,
    0xaaaaaaaa,0x3fffe1aa,0x3fe60003,0xaaaaaaff,0xdaaaaaaa,0xfb806fff,
    0xff1007ff,0x7e4003ff,0xfff30fff,0x0000001f,0x017fffe2,0x7ffff700,
    0x0037ffe4,0xfffff500,0xfe8009ff,0xffb80dff,0x3ffea0ff,0x3ffe0007,
    0xfffff13f,0xffffffff,0x7fc7ffff,0xeeeeeeff,0x1eeeeeee,0xfffffff3,
    0xffffffff,0x0dffffff,0x00ffff70,0x007fffe2,0x327fffd4,0x0001ffff,
    0x3fff6000,0xfe80000f,0xffff16ff,0xfd800005,0x8006ffff,0xacfffff9,
    0x42ffffdb,0x0007fffa,0x7c53fffe,0xffffffff,0xffffffff,0x3fffffe3,
    0xffffffff,0xfff31fff,0xffffffff,0xffffffff,0xff700dff,0x3fe200ff,
    0xffb801ff,0x7ffcc6ff,0x8000000f,0x003ffffb,0x7ffff500,0x000dfff9,
    0xfffff100,0x3ff20007,0xffffffff,0x7fffa84f,0x3fffa000,0xffffff14,
    0xffffffff,0x7ffc7fff,0xffffffff,0x31ffffff,0xffffffff,0xffffffff,
    0x00dfffff,0x200ffff7,0x99affff8,0xfffcaa99,0x7fcc1fff,0x000000ff,
    0x02ffffc4,0x3fff6000,0x001fffff,0xffffb800,0x3ea0006f,0xffffffff,
    0x0ffff502,0xa7fffc00,0xaabffff8,0xaaaaaaaa,0x3fffe1aa,0xeeeeeeee,
    0xf31eeeee,0x55555fff,0x55555555,0x700dfffb,0x2200ffff,0xffffffff,
    0xffffffff,0xffff982e,0x6c000000,0x0000ffff,0x7ffffcc0,0x800005ff,
    0xfffffff8,0x32e20004,0x200acefe,0x0007fffa,0x227ffff1,0x0001ffff,
    0x001ffffc,0x00ffff30,0x01bffee0,0x401fffee,0xfffffff8,0xffffffff,
    0x3fffe604,0x2a000000,0x0003ffff,0xfffff900,0xb000001f,0xffffffff,
    0x00000003,0x000ffff5,0x44bfffe6,0x0001ffff,0x001ffffc,0x00ffff30,
    0x01bffee0,0x401fffee,0xfffffff8,0x1defffff,0x07fffcc0,0xff880000,
    0x000006ff,0x13ffffe2,0x3fea0000,0x6ffffbff,0xa8000000,0x50007fff,
    0x3e23ffff,0x40001fff,0x0003ffff,0x001fffe6,0x4037ffdc,0x1007fffb,
    0x999bffff,0xf9800357,0x00000fff,0x01ffffb0,0xffc80000,0x400000ff,
    0xf76ffff8,0x00007fff,0x7fffa800,0xffff9000,0x00ffffc4,0x0ffffe00,
    0x7fff9800,0xdfff7000,0x0ffff700,0x07fffe20,0x7ffcc000,0xa800000f,
    0x0003ffff,0x7fffb800,0xffd80000,0x3fffa1ff,0x7ffdc00f,0xffffffff,
    0x3ea7ffff,0xf88007ff,0x3fe24fff,0x7c0001ff,0x20003fff,0x0007fff9,
    0x700dfff7,0x2200ffff,0x0001ffff,0x01ffff30,0xfff88000,0x0000006f,
    0x000ffff7,0x4ffffa80,0x02ffffd4,0x3fffffee,0xffffffff,0x1fffea7f,
    0x3ffff200,0x07fffe22,0x7ffff000,0x7ffcc000,0xfff70007,0xffff700d,
    0x3fffe200,0xff300001,0x800001ff,0x000ffffd,0xfff70000,0x7c40000f,
    0xfd80ffff,0x3ee02fff,0xffffffff,0x27ffffff,0x4007fffa,0x446ffff9,
    0x0001ffff,0x001ffffc,0x00ffff30,0x01bffee0,0x401fffee,0x001ffff8,
    0x1ffff300,0x7fd40000,0x000003ff,0x01fffee0,0xffffc800,0xfffff102,
    0x26666201,0x99999999,0x3fea1999,0x3fa6007f,0x7fc41fff,0x7c0001ff,
    0x20003fff,0x0007fff9,0x700dfff7,0x2200ffff,0x0001ffff,0x01ffff30,
    0x3ffe2000,0x0000006f,0x003fffdc,0x6ffff980,0x2ffffdc0,0x7d400000,
    0xff7007ff,0xff10bfff,0xf80003ff,0x20003fff,0x0007fff9,0x700dfff7,
    0x2200ffff,0x0001ffff,0x01ffff30,0x3fff6000,0x0000000f,0x003fffdc,
    0x1ffffe80,0x2ffffe80,0xaaaaaa88,0x2aaaaaaa,0x107fffa8,0xfffffd53,
    0xffff101d,0xfff80003,0x3e60003f,0xf70007ff,0xff700dff,0x3fe200ff,
    0x300001ff,0x0001ffff,0x07ffff50,0xf7000000,0x90000fff,0x2009ffff,
    0x40effff9,0xfffffffb,0x87ffffff,0xeeeffffa,0xfffffffe,0x3fe205ff,
    0xeeeeeeff,0x6eeeeeee,0x000ffffe,0x007fff98,0x32dfff70,0xfeeeeeee,
    0xeeeeefff,0xffff11ee,0x3e600003,0xeeeeefff,0xeeeeeeee,0x3ffffe26,
    0xffffffff,0xffffffff,0xfffb8005,0x7fcc0007,0x36000fff,0x7dc4ffff,
    0xffffffff,0xfa87ffff,0xffffffff,0x3fffffff,0x7ffffc40,0xffffffff,
    0x3fe7ffff,0x260003ff,0x70007fff,0x3ff6dfff,0xffffffff,0xffffffff,
    0x03ffff11,0x3ffe6000,0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,
    0x05ffffff,0x07fffb80,0x7ffff400,0x7ffc4002,0x3ffee1ff,0xffffffff,
    0xfffa87ff,0xffffffff,0x8800beff,0xffffffff,0xffffffff,0x0ffffe7f,
    0x7fff9800,0xdfff7000,0x3ffffff6,0xffffffff,0xff11ffff,0x200003ff,
    0xfffffff9,0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,0xfb8005ff,
    0x320007ff,0x0005ffff,0x54dffff7,0xcccccccc,0xa84ccccc,0xefffffff,
    0x4001bcde,0xfffffff8,0xffffffff,0x3fffe7ff,0x3fe60003,0xff70007f,
    0x3ffff6df,0xffffffff,0x11ffffff,0x0003ffff,0x3ffffe60,0xffffffff,
    0x3e67ffff,0xffffffff,0xffffffff,0x8005ffff,0x0007fffb,0x03fffff3,
    0x7ffff400,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fa00000,0xb80001ff,0xfffb2fff,
    0xf500001f,0x7fcc3fff,0x36000fff,0x7f45ffff,0xffffffff,0xffffffff,
    0xf12fffff,0x800bffff,0xffd4fffb,0x9dffffff,0x3e200359,0x2e000fff,
    0xc884ffff,0x00aa0000,0x027774c0,0x40000000,0x0001fffe,0xf51fffc8,
    0x00007fff,0xf98dfffb,0x1002ffff,0xe8dfffff,0xffffffff,0xffffffff,
    0x12ffffff,0x01ffffff,0xea7ffdc0,0xffffffff,0x01dfffff,0x007fffc4,
    0x85ffff98,0x10005ffa,0x98001bff,0x00005fff,0xb003b100,0x00005fff,
    0x3e23fff9,0x80005fff,0x7d44ffff,0x7005ffff,0xe8dfffff,0xffffffff,
    0xffffffff,0x12ffffff,0x09ffffff,0xea7ffdc0,0xffffffff,0x5fffffff,
    0x03fffe20,0x3bfffe20,0x17fffe40,0x7fffec00,0x3ffe6000,0x88000005,
    0x7e401ffe,0xc80002ff,0x3ff60fff,0x2a0000ff,0x7d41ffff,0x800fffff,
    0x46fffffe,0xeeeeeeed,0xeeffffee,0x1eeeeeee,0xfffffff1,0x3ffee001,
    0xdddfffd4,0xfffffddd,0x3fe207ff,0xffe800ff,0xfff881ff,0x7fd4006f,
    0x7cc004ff,0x000005ff,0x07ffffcc,0x007fff90,0x41fffb00,0x002ffffb,
    0x21bfff20,0x3ffffffb,0x7ffffcc0,0xffb8007f,0x7fc4007f,0x004fffff,
    0x3fa9fff7,0x3f6603ff,0xf881ffff,0x7e400fff,0x3ea02fff,0x04c44fff,
    0x017fffa2,0x017ffe60,0xfffb8000,0x7fdc03ff,0xfd80003f,0x7fffc47f,
    0x3ffe0005,0xdfffb84f,0x7fe406ff,0x8007ffed,0x4007fffb,0xfffffff8,
    0xfffb800f,0x007fffd4,0x10bffff7,0x5401ffff,0xc803ffff,0xffcaffff,
    0xffdcdfff,0xf98000ff,0x000005ff,0x03fffff9,0x007fff70,0xb0fffd00,
    0x2000ffff,0xb81ffff9,0x1fffbfff,0x3f6fffe0,0xffb8007f,0x7fc4007f,
    0x03fffdff,0xfd4fffb8,0x3fa007ff,0xfff886ff,0xffff300f,0x7fff400b,
    0xffffffff,0x001fffff,0x00bfff30,0xfffd8800,0xff5000ef,0xfd00009f,
    0xffff70df,0xfff90005,0x23fff20d,0xff503fff,0x01fffb1f,0x07fffb80,
    0x4ffffc40,0xfb807fff,0x7fffd4ff,0x1fffee00,0x203fffe2,0x006fffe8,
    0x7fffffc4,0xffffffff,0x3e60003f,0x200005ff,0x0dffffe8,0x13ffea00,
    0x1bffe000,0x013fffe2,0x413fffa0,0xdffd6ffc,0x7edbff60,0x7dc000ff,
    0x7c4007ff,0x7fffd7ff,0xd4fffb80,0x2a007fff,0x7c41ffff,0xffd80fff,
    0xfc8000ef,0xecbdffff,0x002fffff,0x017ffe60,0x7fffcc00,0xff98004f,
    0xff80005f,0xffffb05f,0xffff9800,0x2edffb01,0x7fc41fff,0x01fffb2f,
    0x07fffb80,0xbbfffc40,0x7dc06fff,0x7fffd4ff,0x3fffea00,0x07fffc40,
    0x007fffee,0x077fffc0,0x837fffdc,0x99999998,0x99efffb9,0x01999999,
    0x17ffffd4,0x5fff9800,0xff006620,0x3ffee0bf,0x3fee001f,0x5bff606f,
    0x7dc4fff8,0x3fff90ff,0x7fffb800,0xbfffc400,0x202ffff8,0xffd4fffb,
    0x3ff2007f,0xffff887f,0x0bfffea0,0x7fffdc00,0x3fffee00,0xfffffb81,
    0xffffffff,0xffffffff,0x3ffff207,0x3e20001f,0x3ffe06ff,0x09fff102,
    0x013fffe2,0x203fffe8,0x3ff66ffd,0xf92fff47,0xfb8003ff,0x7c4007ff,
    0x3fff27ff,0x53ffee06,0x8803fffe,0xf885ffff,0xfff10fff,0x7fc0007f,
    0x7fc404ff,0xfffb83ff,0xffffffff,0xffffffff,0xffd887ff,0x80000eff,
    0xff506fff,0x3ffe20bf,0x1ffff604,0x0ffffc40,0x7d4dffd0,0x5fff12ff,
    0x000fffe4,0x001fffee,0x7c4ffff1,0xff701fff,0x0ffffa9f,0x03ffff60,
    0x743fffe2,0x20005fff,0x801ffff8,0xfb84fffd,0xffffffff,0xffffffff,
    0x7447ffff,0x0005ffff,0x641bffe0,0xf980ffff,0x3fee03ff,0xffb801ff,
    0x37ff406f,0x3eebfff1,0x17ffdc7f,0x1fffee00,0x8ffff100,0xf705fffd,
    0x3fffa9ff,0x3fffaa03,0xffff104f,0x00dfffb1,0x0ffff980,0x85fffc80,
    0xaaaaaaa8,0xaaefffca,0x22aaaaaa,0x03fffff9,0x3fff4000,0x83fffff8,
    0x2203fff9,0xe804ffff,0x7fc03fff,0xebffec6f,0x7ffdc4ff,0x7ffdc002,
    0x7ffc4007,0x0ffffcc7,0xfea7ffdc,0xeeeeeeff,0x04ffffff,0x3f3fffe2,
    0x40000fff,0x7007fffa,0x2000dfff,0x2005fff9,0x03fffffa,0x7ffe8000,
    0x6fffff98,0x402fffa8,0x4406fffd,0x7c01ffff,0x7ffd45ff,0x7dc1fffb,
    0x7dc002ff,0x7c4007ff,0xfffd87ff,0xd4fffb85,0xffffffff,0x07ffffff,
    0xffffff88,0xa80004ff,0xf7007fff,0x26000dff,0x64005fff,0x001effff,
    0x07ffec00,0x3ffffff2,0x017ffd40,0x807fffee,0xf806fffb,0xffff85ff,
    0xfffb86ff,0x7ffdc003,0x7ffc4007,0x0ffffa87,0xfea7ffdc,0xffffffff,
    0xf1002eff,0xffffdfff,0xff980005,0xffc800ff,0xff30005f,0xff7000bf,
    0x00005fff,0x3e07ffec,0x43fffdff,0x4401fffa,0x3603ffff,0x7c403fff,
    0xfffc85ff,0xfffa83ff,0x7ffdc003,0x7ffc4007,0x89fffd07,0xffd4fffb,
    0xfffddddf,0x3e2005ff,0xfffe9fff,0x3e20001f,0xfe801fff,0xf30003ff,
    0x2a000bff,0x003fffff,0x41fff900,0xfff8fff9,0x00fffdc6,0x8837ffec,
    0x4400ffff,0xff985fff,0xffa80fff,0x7fdc004f,0x7fc4007f,0xffff507f,
    0xea7ffdc1,0x7e443fff,0xf8804fff,0xfff98fff,0x3e0000ef,0x7cc04fff,
    0x30002fff,0x4000bfff,0x05ffffe9,0x1fffc800,0x7fedbff2,0x03ffee1f,
    0x03fffee0,0x201bffea,0xfd05fff8,0x3fea0bff,0x7fdc004f,0x7fc4007f,
    0x3fffa07f,0x753ffee4,0xff703fff,0xff8805ff,0xffff70ff,0x7fe4000b,
    0xffd101ff,0x7cc000df,0x440005ff,0x00effffe,0x87ffee00,0xfff53ffe,
    0x007ffe47,0x41ffffc4,0x9803fffd,0xff704fff,0x3ffea05f,0x7ffdc004,
    0x7ffc4007,0x3fffee07,0x3a9fff70,0x3f603fff,0x7fc406ff,0x3fff60ff,
    0xff30003f,0xfe985fff,0x20002fff,0x0005fff9,0x3dffff90,0x3ffee000,
    0x223fff32,0x3ff26fff,0x3fff6007,0x07fffc46,0x827ffcc0,0x3e604cc8,
    0x7dc005ff,0x7c4007ff,0x7ffc07ff,0x29fff73f,0x2603fffe,0x2204ffff,
    0x7f40ffff,0xd0001fff,0xfdffffff,0x01ffffff,0x2fffcc00,0xfff70000,
    0xf50005ff,0x1bff27ff,0x3f63fffb,0x3fee007f,0x3ffee0ff,0x9fff5006,
    0xfff98000,0x7ffdc005,0x7ffc4007,0xb7ffdc07,0xffd4fffb,0xfffd807f,
    0xffff100f,0xfffff981,0x7ffcc000,0xffffffff,0x0005ffff,0x0013bba6,
    0xfffff500,0xfff98007,0xfa89ffd3,0x0dffb4ff,0x1ffffc40,0x2007fffb,
    0x0004fffa,0x002fffcc,0x001fffee,0x880ffff1,0xffbaffff,0x07fffd4f,
    0x04ffff98,0x501ffff1,0x400dffff,0xfffffff8,0xffffffff,0x000003ff,
    0x3fa60000,0x26005fff,0xfff9cfff,0xfb7fff81,0xffd800df,0x1ffff15f,
    0x13ffee00,0xdfff3000,0x7fffb800,0x3fffc400,0x5efffe40,0xfffd4fff,
    0xffffb007,0x1ffff101,0x13ffff20,0x4f7ffec0,0x8beefdca,0x001ffffc,
    0x20000000,0x0effffe8,0xbcfff880,0xfff906ff,0x800bffd5,0xfa8ffffb,
    0x3ee006ff,0x4c0003ff,0x5c006fff,0x44007fff,0xf8807fff,0x4fffcfff,
    0x3007fffd,0xf107ffff,0x7f401fff,0x7dc02fff,0x3a001fff,0x0000ffff,
    0x6c000000,0x400effff,0xffddfff8,0xdbfff504,0xf8800bff,0xfffdafff,
    0x3ffee003,0x7fc40003,0x7fdc006f,0x7fc4007f,0xfffb007f,0x3fa9ffff,
    0xffd003ff,0xffff10ff,0x7fffc401,0xffff301f,0xfff98009,0x66665c5f,
    0xcccccccc,0xcccccccc,0x7fdc0000,0xdfff004f,0x7fc03fff,0x004ffeff,
    0xffdfffe8,0x3f2000ff,0x440003ff,0x5c007fff,0x44007fff,0xf3007fff,
    0x29ffffff,0x5003fffe,0xf887ffff,0x7d400fff,0xfb80efff,0xc8000fff,
    0x3f60efff,0xffffffff,0xffffffff,0x80001fff,0x3fe004fa,0x6406ffff,
    0x04ffffff,0xfffffb80,0x7e4006ff,0x440003ff,0x5c007fff,0x44007fff,
    0x36007fff,0xd4ffffff,0x74007fff,0x7fc46fff,0xffc800ff,0x5fb105ff,
    0x0bfe2000,0x3ffffff6,0xffffffff,0x01ffffff,0xe8001000,0x404fffff,
    0x3ffffff9,0xffff8800,0x6c003fff,0x40003fff,0x4007fff8,0x4007fffb,
    0x2007fff8,0x4ffffff9,0x4007fffd,0x222ffffa,0xd000ffff,0x0c07ffff,
    0x6c026000,0xffffffff,0xffffffff,0x0001ffff,0xfffd0000,0xfff003ff,
    0x20007fff,0x0ffffffe,0x17ffec00,0x7fffc000,0x3ffee000,0x7ffc4007,
    0x7fff4007,0x7fffd4ff,0x6ffff800,0x003fffe2,0x17ffffc4,0x00000000,
    0x00000000,0x3fff6000,0xfff9007f,0x2e0005ff,0x006fffff,0x002fffd8,
    0x00ffff80,0x01fffee0,0x00ffff10,0x4fffffa8,0x8007fffd,0xf12ffffb,
    0x4c001fff,0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99990000,0x66654001,0x36ea2002,0x800accee,0xeefedcba,
    0x64c01acd,0x882bdeed,0x001bdedb,0x3bfbb2e6,0x10000bcd,0x57bdd973,
    0x95300001,0x80157bdd,0x3b221ccb,0xdeda80de,0xccccca83,0xcccccccc,
    0x16c4cccc,0xb1000000,0xf88005df,0x32000fff,0xfb804fff,0xffffffff,
    0xfff506ff,0xffffffff,0x3ffee0bf,0x25ffffff,0xfffffffa,0x3fff6a02,
    0xffffffff,0x3f2000cf,0xffffffff,0xff30004f,0xffffffff,0x89ffec07,
    0x20ffffff,0x45fffffb,0xfffffffc,0xffffffff,0x0fff67ff,0x3e200000,
    0x2002ffff,0x000ffff8,0x8813fff2,0xfffffffd,0x447fffff,0xfffffffe,
    0x05ffffff,0xfffffffd,0xfff59fff,0x05ffffff,0x3ffffff6,0xffffffff,
    0x7ff4c01f,0xffffffff,0x2e001eff,0xffffffff,0xd80dffff,0xffffd3ff,
    0x3ffea9ff,0x3f22ffff,0xffffffff,0xffffffff,0x0bffff97,0xffa80000,
    0x22005fff,0x2000ffff,0xf704fffc,0xdfffffff,0xe8fffffd,0xcdefffff,
    0x05fffedc,0xb99bfffd,0xffffffff,0x1ffffd7b,0xdfffffb0,0xfffffdbd,
    0x3fea01df,0xfedfffff,0x02ffffff,0xdfffffd8,0xfffffdcb,0x5e7fec0f,
    0x6fffceff,0xfffdbfff,0x7ffffe4b,0xffffffff,0xfd17ffff,0x0001dfff,
    0x3fffee00,0x3fe2006f,0x3f2000ff,0xfff984ff,0xb880aeff,0x3ffff27e,
    0x8154400b,0xfff501de,0xffd85fff,0x0bdfd82f,0x3ffffa60,0xfffff885,
    0xfffe980b,0x7ffe406f,0x3fff204f,0x7e7fec4f,0x2ffff25f,0x1fffe2ff,
    0xffff7000,0xeffffd85,0xf9800001,0x2003ffff,0x000ffff8,0x3a13fff2,
    0x2004ffff,0x00ffffe0,0x7ec00400,0xff984fff,0x4000985f,0xfd87fffe,
    0xfc801fff,0xff103fff,0xff7005ff,0x7ffec3ff,0x3ffea0ff,0x7ffec4ff,
    0xfff30000,0x3ffee09f,0x800002ff,0x4005fffb,0x000ffff8,0xf713fff2,
    0x20007fff,0x000ffff8,0x3fea0000,0xfffd01ff,0xff300001,0x7ffcc1ff,
    0x3ff6001f,0xfffc80ff,0x3fffa005,0x0fffff65,0x81fffff3,0x8001fffc,
    0x406ffff8,0x03fffffa,0x01a88000,0x0ffff880,0x93fff200,0x006ffff8,
    0x07fffe20,0xf9800000,0x3ff207ff,0xff00001f,0x7fff45ff,0x7ffcc005,
    0x7fffc43f,0x3ffea000,0x21ffff67,0xc84ffff9,0xd8001fff,0x9800ffff,
    0x005ffffe,0x22000000,0x2000ffff,0x3ea4fffc,0x40001fff,0x0006fffe,
    0x3ffe2000,0x0bffee05,0x7fff4000,0x05ffff13,0x89fffb00,0x8005fffb,
    0xffb0ffff,0xffff307f,0x03fff901,0x2ffffc80,0x3fffa200,0x000000ef,
    0xffff8800,0x3fff2000,0x01bffee4,0x3ffff600,0x8000002e,0x2e05fff8,
    0x00002fff,0x3e67fffd,0xf70007ff,0xfffc8bff,0xffff8004,0x301fffb1,
    0x3f20bfff,0x3ea001ff,0xb0004fff,0x003dffff,0xf8800000,0x32000fff,
    0x3ff64fff,0xf880005f,0x1cffffff,0x55310000,0x555bfff7,0x7fffb555,
    0x2aaa6200,0x3fffeaaa,0x000dfff5,0xfb1fffea,0x333337ff,0xd3333333,
    0x3ff67fff,0x4fff980f,0x003fff90,0x017fffe2,0xfffff700,0x26666605,
    0x99999999,0x99999999,0xffff1099,0x7ffe4001,0x00ffffa4,0x7fffcc00,
    0x01cfffff,0x7fffed40,0xffffffff,0xffffffff,0x3fffae03,0xffffffff,
    0xbfff73ff,0x3ffe6000,0x3ffffe0f,0xffffffff,0xffffffff,0x301fffb4,
    0x3f209fff,0xffd001ff,0x500001df,0xf07fffff,0xffffffff,0xffffffff,
    0x27ffffff,0x000ffff8,0xff93fff2,0x200002ff,0xffffffc8,0x4402efff,
    0xfffffffd,0xffffffff,0x3fffffff,0xffffffc8,0xffffffff,0x9fffb3ff,
    0x3ffe2000,0xfffff11f,0xffffffff,0xffffffff,0x203fff69,0xf904fff9,
    0xff9003ff,0x400003ff,0x44ffffe9,0xffffffff,0xffffffff,0x3fffffff,
    0x001ffff1,0xff27ffe4,0x000005ff,0xffffff93,0x3601bfff,0xeeefffff,
    0xeeeffffe,0x2eeeeeee,0x7fffffec,0xfeeeeeef,0xfff93fff,0x3fe2000b,
    0x3fffe0ff,0xffffffff,0xffffffff,0x01fffb3f,0x3209fff3,0x7dc01fff,
    0x00003fff,0x5ffffe88,0x3ffffffe,0xffffffff,0xffffffff,0x01ffff13,
    0xf27ffe40,0x00007fff,0xffffca80,0xffa86fff,0xfff883ff,0xfff70004,
    0xfe8015df,0xdfff73ff,0x3ffe6000,0x4dffffc7,0x99999999,0x09999999,
    0xf301fffb,0x3ff209ff,0x3ffe601f,0x7000005f,0x643fffff,0xcccccccc,
    0xcccccccc,0x11cccccc,0x4001ffff,0x3f64fffc,0x000004ff,0x3ffff6a0,
    0x27fff44f,0x005fff88,0x06ffff88,0x54ffffa0,0x50007fff,0xffe8bfff,
    0x3600003f,0xff980fff,0x3fff904f,0x3bfffa20,0xfd800000,0x0000efff,
    0xfff88000,0x3ff2000f,0x1bfff24f,0x26000000,0x7fc7ffff,0xfff101ff,
    0xfff5000d,0x7ff4001f,0x0ffff33f,0x13fff200,0x0009fff9,0x407ffec0,
    0xf904fff9,0x3ff603ff,0x400000ff,0x05ffffe8,0x7c000000,0xf3001fff,
    0x7fdc9fff,0x000001ff,0x0ffffa80,0x440ffff1,0xb8007fff,0x74006fff,
    0xfff13fff,0xff88007f,0x7ffdc3ff,0x3f600006,0xfff980ff,0x03fff904,
    0x005ffff7,0xfffe9800,0x0000004f,0x02fffe80,0x4fffff98,0x01bfffe6,
    0x3e200000,0xfff31fff,0x7fffdc0d,0x7ffec001,0x3ffea005,0x1ffffa3f,
    0x1ffff700,0x03ffff98,0x1fffb000,0x209fff30,0x7cc1fffc,0x00004fff,
    0x17ffffd4,0x80000000,0x4406fffd,0x44fffffe,0x003ffffc,0x7fcc0000,
    0xffff10ff,0x3ffffe60,0x7ffe4004,0xffff9007,0x7fffd47f,0xffff3003,
    0x3ffff607,0xffd80000,0x4fff980f,0x443fff90,0x0006ffff,0x7ffffe40,
    0xfb100001,0xff70005d,0x3fe605ff,0x444fffff,0x01efffff,0x800134a8,
    0x7c6fffe8,0x7fc41fff,0x002fffff,0x80ffffea,0xffffffe9,0x2ffffec3,
    0x1bfffea0,0x3fffff98,0x7ffec000,0x04fff980,0x7f43fff9,0x00000fff,
    0x03bffff6,0x7ff44000,0x7c4001ff,0xa9acffff,0xffcffffd,0xffffb84f,
    0xcaabcdff,0xbff97ffc,0x53333557,0x83fffff9,0xc8aefffe,0xfffddfff,
    0xdb9989bf,0x3ffffe24,0xffeb99ac,0x43ffffff,0xcefffff9,0xfffdba9a,
    0x7fe402ff,0x99abefff,0x1fdca999,0x2603fff6,0xff904fff,0x3ffff23f,
    0xccccccce,0x43cccccc,0x0dffffe8,0x3fea0000,0xb8005fff,0xffffffff,
    0xff99ffff,0xffff704f,0xffffffff,0x3fff2fff,0xffffffff,0xa84fffff,
    0xffffffff,0x3ffffa6f,0x44ffffff,0xfffffffb,0xabffffff,0xffa83fff,
    0xffffffff,0x802fffff,0xffffffc8,0xffffffff,0x3fff61ff,0x04fff980,
    0x3fe3fff9,0xffffffff,0xffffffff,0x3fffe65f,0xb800004f,0x006fffff,
    0xffffffb0,0x3e63dfff,0x3f6204ff,0xffffffff,0xfff97fff,0xffffffff,
    0x6c05ffff,0xefffffff,0x3ffffe20,0xc84fffff,0xffffffff,0xfff50eff,
    0x3fff6207,0xffffffff,0x7f54000d,0xffffffff,0x361fffff,0xff980fff,
    0x3fff904f,0x3ffffffe,0xffffffff,0xff55ffff,0x00005fff,0x3ffffe60,
    0x3fea0004,0x4c3effff,0xca804fff,0xfffffffe,0xffdb51bd,0xffffffff,
    0x3fee005b,0xc980beff,0xdffffffe,0xffffd301,0xffa87bff,0x7fedc03f,
    0x03deffff,0x7ffedc00,0xdeffffff,0x03fff60b,0x6413ffe6,0xffff1fff,
    0xffffffff,0xbfffffff,0x03fffff7,0xffb80000,0x3100006f,0x00000355,
    0x8004ccc4,0x1aaaaa99,0x006a6000,0x001aaa88,0x0000554c,0x001a9880,
    0x5554c000,0x00000099,0x40000000,0x000efff9,0x03510000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000040,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22079990,0x002cdeda,0x64400000,0x20002ccc,0x3322cccc,0x9500004c,
    0x16664599,0x5ef7764c,0x33332a01,0xcccb8003,0x0133001c,0x9b751000,
    0x2a000037,0x000001aa,0x3b6a0000,0x3ffe203e,0x7ffff4c6,0x0000dfff,
    0x000dfff5,0x000dffff,0xf87fffea,0x80000fff,0xff13fffd,0x7ffec4bf,
    0x103fffff,0x003fffff,0x837fffd4,0xfffffeb9,0x74c002ef,0xffffffff,
    0x7ff40004,0x0ee40002,0x754016c0,0x2204ffff,0x3fee6fff,0xffffffff,
    0xffa8000f,0xffc8006f,0xfd8000ff,0x7fff46ff,0xffe80001,0x2bfff12f,
    0xfffffff9,0xf505ffff,0x1001dfff,0x201ffffd,0xfffffffd,0xc800efff,
    0xfeefffff,0x0001efff,0x40005ffd,0x3205fff9,0xfea81eff,0x204fffff,
    0xff96fff8,0xfffddfff,0xf5000bff,0xf3000dff,0x88007fff,0x7e43ffff,
    0xf80002ff,0xfff10fff,0xdfffff3d,0x3ffffffd,0x13ffff20,0x0bffff20,
    0xeeffffd8,0x205fffff,0x40bfffe8,0x03fffd98,0x001ffd80,0x413fffa0,
    0x2a1ffff9,0xfffffffe,0x3ffe204f,0x42efffce,0x00ffffe8,0x037ffd40,
    0x06fffe80,0x07fffd40,0x000fffee,0xf89fffe0,0x3fffffff,0x06ffffb8,
    0x80bffffa,0x404ffffa,0xfff502cd,0x37ffa01f,0x2fffa800,0x3ffb01a8,
    0xfff70120,0x1ffff40d,0xfffffff3,0x7c409fff,0x05ffffff,0x013fffe2,
    0x00dfff50,0x07fffea0,0x85fffd80,0x0004fffa,0xf137ffc4,0x03ffffff,
    0x807fffdc,0x80fffff8,0x006fffe8,0x05fffb00,0x3fe69ff7,0x3e62bdff,
    0x0ffe20ef,0xfd303ff2,0x3fffe207,0x0bfff901,0xfb19fffd,0x7fc409ff,
    0xc804ffff,0x54005fff,0x10006fff,0x2009ffff,0x982ffff8,0x2aa05fff,
    0xbfff300a,0x7fffffc4,0x7fffc400,0x3fffea01,0x0ffffc85,0xfff50000,
    0x30fff987,0x7fffffff,0xff927fdc,0x07fe43df,0xb01ffff9,0x3ea09fff,
    0xbfa80fff,0x813fff60,0x05fffff8,0x00dfff50,0x006fffa8,0x01ffff20,
    0x883fffdc,0xff106fff,0x3ffea07f,0x3ffffe24,0x5fffd001,0x2ffffd80,
    0x00bfffea,0xfb999880,0x17fe43ff,0x3fa61ff3,0xea87ff47,0xff73ffff,
    0x37ffffa6,0x077ffd40,0x017fffc4,0x09fffb01,0x037fffc4,0x00dfff50,
    0x006fffa8,0x0bfffe60,0x813fffa0,0xff707fff,0x3ffee0df,0x0bfffe23,
    0x03fffd80,0x47ffff44,0x004ffff8,0x7ffff5c4,0x743fffff,0x707fcc7f,
    0x17fdc1ff,0x33bfffaa,0xdffffbff,0x2ffff881,0x009fffb0,0x409fffb0,
    0x001ffff8,0x0017bba6,0x000dfff5,0x405fffe8,0x200ffff9,0xfd80fffe,
    0xffc81fff,0x3fffe22f,0x3fff2000,0xffff9804,0x006fffcd,0x7fffffd4,
    0x43ffffff,0x07fcc5ff,0x3ff98dfb,0xfffffd50,0x6c019fff,0xff504fff,
    0x3f6000df,0x3fe204ff,0x300001ff,0x33333333,0x333dfff7,0x01333333,
    0x803fffee,0x6c05fffc,0x7fc41fff,0xffd84fff,0x3fffe20f,0x3fff2000,
    0xffff7004,0x4001ffff,0xabeffff9,0x23fffcaa,0x7fcc4ff9,0x442ffdbb,
    0x7f5405ff,0x4c00cfff,0xf880ffff,0xb0001fff,0x7c409fff,0x00001fff,
    0xffffffff,0xffffffff,0x7fffffff,0x0ffffe20,0x402ffff8,0x7d42fffb,
    0xfe87ffff,0x7fffc47f,0x3fff2000,0x3fff6004,0x6c002fff,0xff503fff,
    0x21ffd47f,0x0dfffff9,0x6440dff0,0x02efffff,0x817fffc4,0x0003fffd,
    0x4409fffb,0x0001ffff,0xfffffff0,0xffffffff,0xffffffff,0x37ffec07,
    0x807fffa8,0x7ec3fffa,0x7c1fffef,0x7ffc46ff,0x3ff2000f,0x3fe2004f,
    0xf8004fff,0xff500fff,0x227fc47f,0x2ffdbff9,0xc884ff88,0xffffffff,
    0x3fea02ef,0xfff880ef,0xffd8001f,0x3ffe204f,0xff00001f,0xffffffff,
    0xffffffff,0x407fffff,0xd81ffff9,0xf9804fff,0x3ffe24ff,0x7fc4fff9,
    0x7fffc45f,0x3fff2000,0x3ffea004,0x7c000eff,0xffa81fff,0x22ffc3ff,
    0x1ffb0ff9,0x3663ffa8,0xffbbffff,0x03efffe9,0x2a09fffb,0x4000efff,
    0x2204fffd,0x0001ffff,0x99999990,0x9ffffb99,0x99999999,0x4fffe803,
    0x00ffffc4,0xf52fffc4,0x89fff6ff,0x7fc44fff,0x3f2000ff,0xff3004ff,
    0x00bfffff,0x89dfffd8,0x3fffffda,0x3fe63fec,0xfb87ff10,0xdffff91f,
    0xffb9fee3,0x7fc41fff,0xfffb01ff,0xfffd8009,0x3fffe204,0x20000001,
    0x0006fffa,0xb8ffff70,0x3e006fff,0x53ff66ff,0xff32fffa,0xffff887f,
    0x3fff2000,0xfffe8804,0x003fffff,0x3fffffee,0x3fffdfff,0xff31ffdc,
    0xff13fec1,0x21fffdcf,0x3fa60ffc,0xdfff706f,0x0bfffe20,0x04fffd80,
    0x007fffe2,0xffa80000,0xf100006f,0x7ff45fff,0x3ffa003f,0x7c47ffe7,
    0x5fff55ff,0x00ffff88,0x013fff20,0x323ffff6,0x2001ffff,0xfffffffd,
    0xe887ffd3,0x41ff31ff,0x7ffb3ffa,0xffd80de8,0x3a02fb80,0xff503fff,
    0xfffb81ff,0xffffffff,0xfff13fff,0x0000003f,0x0037ffd4,0x2bfffb00,
    0x000ffff9,0x3ea3fff6,0x47ffec7f,0x7c41fffb,0x32000fff,0x7dc04fff,
    0xffd13fff,0x6d4001ff,0x32e1bdee,0x8eff981c,0x5e640cc8,0x20085ffb,
    0x80101ffd,0x901ffff9,0xffb8bfff,0xffffffff,0xff13ffff,0x000003ff,
    0x037ffd40,0xffff5000,0x0013ffee,0xffb3fff7,0xcafffa89,0xfff887ff,
    0x3ff2000f,0x3ffe604f,0x7fffcc5f,0x80000006,0x4402fffc,0x4000fffd,
    0x20001ffe,0x3a06fffc,0x3fee3fff,0xffffffff,0xff13ffff,0x000003ff,
    0x037ffd40,0x3fffe000,0x001fffea,0x7fd7ffd4,0xddfff81f,0xfff886ff,
    0x3ff2000f,0xffff104f,0xffff701f,0x00000009,0x237bfff9,0x1efffca8,
    0x02ffe800,0x00eff400,0xcc985df3,0xcccccccc,0xff11cccc,0x000003ff,
    0x037ffd40,0x3fff2000,0x8006fffe,0x7ffefff9,0xffdfffb0,0x1ffff10b,
    0x27ffe400,0x02ffffd8,0x00bffffa,0x3ea00000,0xffffffff,0xf0000cff,
    0x980005ff,0x00003001,0x0ffffc40,0xf5000000,0x80000dff,0xfffffff8,
    0xfff88003,0xff504fff,0xf109ffff,0x64001fff,0xffc84fff,0x7fc404ff,
    0xffb81fff,0xffffffff,0x407fffff,0xfffffec8,0x4c0002df,0x00000099,
    0x10000000,0x0003ffff,0x7ffd4000,0xfd800006,0x000fffff,0x5ffffff0,
    0x7fffffc0,0x0ffff883,0x13fff200,0x01dffff5,0x1dffff70,0xffffffb8,
    0xffffffff,0x554c007f,0x00000000,0x00000000,0x7fffc400,0x20000001,
    0x0006fffa,0xfffffa80,0x3ffa0005,0x7fe407ff,0xff882fff,0x3f2000ff,
    0x3ffe24ff,0x3f6001ff,0x7fdc5fff,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x3ffe2000,0x0000001f,0x000f3326,0x7ffffc00,0x3ff60002,
    0x7fcc04ff,0xff881fff,0x3f2000ff,0x3fffa4ff,0x7fc4004f,0x26624fff,
    0x99999999,0x00199999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40400030,0xeeeeecb9,0xd953002c,0x880039bd,0x00abddba,
    0x27ffd400,0x55555300,0x55555555,0x15555555,0x106aaaa6,0x4c155555,
    0x99999999,0x99999999,0x00000999,0x05555551,0x00003530,0x2aaaaa20,
    0x00b62001,0x3ee003ae,0x40ec8002,0xfffffffe,0xfb102fff,0xdfffffff,
    0xffff9003,0x0009ffff,0x00fffff4,0xffffffd8,0xffffffff,0x91ffffff,
    0xf889ffff,0xff10ffff,0xffffffff,0xffffffff,0x10000bff,0x01dffffd,
    0x3fffff62,0x5c00000c,0x802fffff,0xf300fffc,0xffb80bff,0x3ff2002f,
    0x3ffffa0e,0x1fffffff,0x7fffffd4,0x00ffffff,0xffffffd3,0x001dffff,
    0x5fffffb8,0xfffffb00,0xffffffff,0x3fffffff,0x113ffff2,0x221fffff,
    0xffffffff,0xffffffff,0x0005ffff,0x27ffff44,0xfffffd10,0xff003fff,
    0xffe980df,0x7fe402ff,0xffff105f,0x3fffe205,0xfffc802f,0x3337fa3f,
    0x5fffffcc,0x77ffffd4,0x85ffffff,0xcdffffe8,0x05ffffec,0x3fbffe20,
    0xffd802ff,0xffffffff,0xffffffff,0xffff71ff,0x4fffff07,0xfffffff8,
    0xffffffff,0x005fffff,0x3ffffa20,0x7ffff402,0x02ffffff,0x2017ffe2,
    0x02ffffd8,0x40ffffa2,0x500ffffa,0x405fffff,0x044ffffc,0x21ffff60,
    0x7f541dfb,0x7fe40fff,0xfffa80df,0xdff9002f,0x801fffd1,0x99999998,
    0x99999999,0x3ee19999,0xfff83fff,0x3333227f,0xcccccccc,0xfffdcccc,
    0xffd10005,0xffa801df,0xfffdbeff,0xfff302ff,0x7ffdc009,0x3ffe602f,
    0x9fffb00f,0x7ffffd40,0x4ffffc82,0x6fffa800,0x7ffdc030,0x1bffe21f,
    0x00dfff70,0x3ea5fff3,0x000004ff,0x3fffea00,0x06fffe82,0x7ffdc000,
    0xffe88005,0xfffd004f,0xfffffa87,0x03fffc83,0x17fff4c0,0x20bfff70,
    0x201ffff8,0x22fffff9,0x004ffffc,0x009fff90,0x45ffff10,0xf803fffa,
    0xffd807ff,0x00fffec5,0xfa800000,0xffe82fff,0x5c00006f,0x98005fff,
    0xf1001aaa,0x3fe60dff,0xfcabdfff,0x510007ff,0xffe80555,0xdfff703f,
    0xfffff980,0x04ffffca,0xffffb880,0xfffa8001,0x07fff20f,0x803fff60,
    0x7cc1fffa,0x000005ff,0x3ffff300,0x00bfffb0,0x5fffb800,0x26000000,
    0x3e604fff,0xffffffff,0x000003ff,0x03ffff10,0x3013fff6,0xffffffff,
    0x3baa009f,0x01efffff,0x8dfffd00,0xd801fffd,0x3fa01fff,0x5fff905f,
    0x30000000,0xfb03ffff,0x80000bff,0x0005fffb,0x3ffe6000,0x7fff4404,
    0x005fffff,0x7fd40000,0xffff106f,0xffff9803,0x2a004fff,0xbfffffff,
    0xfffd8000,0x0fffe42f,0x703fff40,0x3e201fff,0xeec80fff,0xeeeeeeee,
    0xeeeeeeee,0xffff11ee,0x09fff901,0xfffb8000,0x20000005,0x70009998,
    0x09ffffff,0x36000000,0xff703fff,0xfff300bf,0xfa800bff,0xffffffff,
    0xfffb1002,0x7fff70bf,0x06fff880,0xb809fff1,0xffd84fff,0xffffffff,
    0xffffffff,0xffff11ff,0x09fff901,0xfffb8000,0x00000005,0x37751000,
    0x00000001,0x407fffe2,0xc803fffe,0x02ffffff,0x36eaaa20,0x402fffff,
    0x05ffffe9,0x401ffff5,0xf904fffc,0xffd001ff,0xffffd83f,0xffffffff,
    0xffffffff,0x641fffe1,0x00003fff,0x00277754,0x00000000,0x00000000,
    0xb81fffec,0xfc806fff,0x2fffffff,0x7ff44000,0x3ffea06f,0x7ff404ff,
    0xfffc81ef,0x3fff980f,0x8dfff500,0xeeeeeeec,0xeeeeeeee,0x001eeeee,
    0x00000000,0x00000000,0x00000000,0x37ffdc00,0x01ffff88,0x7e7fffe4,
    0x0002ffff,0xc83fffdc,0x802fffff,0xeffffff9,0x02fffffe,0x4001fffb,
    0x0002fffd,0x00000000,0x00000000,0x00000000,0x20000000,0xb00ffff8,
    0xfc809fff,0xfff33fff,0x640005ff,0x7ec46fff,0x2000efff,0xfffffffa,
    0xf502ffff,0xf98007ff,0x00000fff,0x00000000,0x00000000,0x00000000,
    0xfd000000,0x3fea07ff,0x3ff200ef,0x7ffcc4ff,0xfa8002ff,0x3fe64fff,
    0x9999dfff,0xd8809999,0xdfffffff,0x01332e00,0x00e665c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x882fffe4,0x3202ffff,0xf304ffff,
    0x6cc5ffff,0xffdcaabc,0x3fe1ffff,0xffffffff,0x204fffff,0x009aca98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x201ffff3,
    0x3205fffd,0x5404ffff,0xf32fffff,0xffffffff,0xfff85fff,0xffffffff,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40ffffa0,0x100ffffa,0x2009fffd,0xf32ffffa,0xffffffff,0xffff03bf,
    0xffffffff,0x31009fff,0x40033001,0x99999998,0x2ee19999,0xbbbbbbbb,
    0xbbbbbbbb,0xbbbbbbbb,0x0000001b,0x00000000,0x00000000,0x5fc88000,
    0x00ffee20,0xa8009fd1,0x3fb622ff,0x01cceeff,0x33333332,0xcccccccc,
    0x17ffd402,0x200bffb0,0xfffffffc,0xff0fffff,0xffffffff,0xffffffff,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0x004c0000,0x038801c4,
    0x00005500,0xf8000000,0xff707fff,0xff9007ff,0xffffffff,0x3fffe1ff,
    0xffffffff,0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xd81fffff,0xc805ffff,0xffffffff,
    0xfff0ffff,0xffffffff,0xffffffff,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xf707ffff,0x00007fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3601fff9,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x00002200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_50_latin1_x[224]={ 0,10,6,1,2,0,1,10,7,6,4,2,5,6,
9,2,2,3,3,4,1,4,3,2,2,2,10,6,3,3,5,7,0,0,3,2,2,4,5,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,7,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,4,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,3,2,2,1,
11,3,0,0,5,3,2,6,2,0,5,2,6,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_50_latin1_y[224]={ 37,2,2,5,0,2,3,2,0,0,2,11,29,21,
29,2,4,4,4,4,5,5,5,5,4,4,12,12,9,17,9,2,2,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,43,2,12,2,12,2,12,2,12,2,2,
2,2,2,12,12,12,12,12,12,12,4,12,12,12,12,12,12,1,-3,1,18,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,37,12,0,4,6,5,
-3,2,2,4,4,13,21,21,2,3,2,7,2,2,2,12,2,19,37,2,4,13,2,2,2,12,-4,-4,-4,-4,
-4,-6,5,4,-4,-4,-4,-4,-4,-4,-4,-4,5,-4,-4,-4,-4,-4,-4,13,-1,-4,-4,-4,-4,-4,5,2,2,2,
2,2,2,0,12,12,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,7,2,2,2,2,2,2,2,
 };
static unsigned short stb__consolas_50_latin1_w[224]={ 0,7,16,26,23,28,27,7,15,15,20,24,13,16,
9,22,24,22,22,20,26,20,22,23,23,23,8,12,20,22,20,16,28,28,22,23,24,20,18,24,23,20,18,23,
20,26,23,26,22,27,22,23,24,23,28,26,27,28,23,13,22,13,23,28,17,21,22,20,22,23,26,24,21,20,
19,22,20,24,21,24,22,22,22,20,23,21,25,27,26,25,20,19,5,19,25,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,23,24,26,
5,22,22,28,17,21,22,16,23,21,18,23,16,16,24,24,23,9,7,17,18,21,28,28,28,17,28,28,28,28,
28,28,29,23,24,24,24,24,24,24,24,24,26,25,27,27,27,27,27,21,26,25,25,25,25,28,22,22,24,24,
24,24,24,24,27,20,25,25,25,25,24,24,24,24,23,24,26,26,26,26,26,24,24,24,24,24,24,26,22,26,
 };
static unsigned short stb__consolas_50_latin1_h[224]={ 0,36,12,32,43,36,35,12,48,48,22,25,17,5,
9,41,34,33,33,34,32,33,33,32,34,33,26,34,29,13,29,36,46,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,42,32,34,32,33,32,32,32,32,32,47,41,47,16,5,11,26,36,26,36,26,35,36,35,35,
46,35,35,25,25,26,36,36,25,26,34,26,25,25,25,36,25,47,51,47,11,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,36,44,33,30,32,
51,41,11,34,25,21,12,5,23,10,17,30,20,20,11,36,41,9,8,20,25,21,35,35,35,36,41,41,41,41,
41,43,32,41,41,41,41,41,41,41,41,41,32,41,42,42,42,42,42,21,44,42,42,42,42,41,32,36,36,36,
36,36,36,38,26,33,36,36,36,36,35,35,35,35,36,35,36,36,36,36,36,27,36,36,36,36,36,46,46,46,
 };
static unsigned short stb__consolas_50_latin1_s[224]={ 249,248,145,161,78,53,200,243,29,13,194,
24,240,236,239,160,215,94,71,170,110,50,165,137,146,209,243,240,229,122,1,
236,183,188,217,66,1,26,47,25,66,90,237,156,134,57,109,90,111,102,133,
191,84,141,28,1,208,179,155,59,76,45,98,124,236,139,74,69,198,186,210,
161,159,1,113,22,45,210,103,161,186,1,1,90,1,47,49,75,125,124,235,
93,1,73,210,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,249,239,1,
117,180,28,7,220,79,117,152,215,162,236,170,102,79,205,62,45,185,49,99,
246,246,237,236,1,51,181,80,238,209,1,30,59,117,49,55,146,123,170,195,
135,1,148,51,26,1,183,130,158,186,79,107,23,22,1,27,53,214,88,233,
1,24,49,74,99,124,173,111,188,135,109,27,1,134,1,26,228,149,109,198,
225,97,209,82,22,150,175,24,173,221,133,160,212, };
static unsigned short stb__consolas_50_latin1_t[224]={ 38,1,598,443,53,225,299,168,1,1,572,
572,372,502,38,98,372,408,408,372,443,408,408,443,372,408,141,53,509,598,542,
225,1,443,443,372,476,476,476,408,476,476,336,509,476,509,509,372,476,53,509,
372,509,408,509,509,476,476,476,1,183,1,598,616,598,542,299,542,183,542,336,
225,336,372,1,372,372,542,572,542,225,299,572,542,408,542,572,572,572,299,542,
1,1,1,598,443,443,443,443,443,443,443,443,443,443,443,443,443,443,443,443,
443,443,443,443,443,443,443,443,443,443,443,443,443,443,443,443,443,38,1,53,
408,509,443,1,141,616,372,572,572,598,502,572,616,598,509,598,598,598,299,183,
183,193,572,476,598,336,336,336,98,98,141,141,141,141,53,443,141,183,141,141,
98,183,183,183,183,443,98,53,53,53,98,98,598,53,98,98,98,53,141,408,
262,262,262,262,262,262,183,542,408,225,225,225,225,336,336,336,299,262,336,262,
262,299,225,225,542,299,299,299,262,183,1,1,1, };
static unsigned short stb__consolas_50_latin1_a[224]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_50_latin1_BITMAP_HEIGHT or STB_FONT_consolas_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_50_latin1(stb_fontchar font[STB_FONT_consolas_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_50_latin1_BITMAP_HEIGHT][STB_FONT_consolas_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_50_latin1_s[i] + stb__consolas_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_50_latin1_t[i] + stb__consolas_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_50_latin1_x[i];
            font[i].y0 = stb__consolas_50_latin1_y[i];
            font[i].x1 = stb__consolas_50_latin1_x[i] + stb__consolas_50_latin1_w[i];
            font[i].y1 = stb__consolas_50_latin1_y[i] + stb__consolas_50_latin1_h[i];
            font[i].advance_int = (stb__consolas_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_50_latin1_s[i] + stb__consolas_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_50_latin1_t[i] + stb__consolas_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_50_latin1_x[i] + stb__consolas_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_50_latin1_y[i] + stb__consolas_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_50_latin1_LINE_SPACING
#endif

