// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT        412
#define STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_39_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_39_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_39_latin1_LINE_SPACING          26

static unsigned int stb__consolas_bold_39_latin1_pixels[]={
    0x26213331,0x00200099,0x91000001,0xeeeed839,0x3a26eeee,0xeeeeeeee,
    0x13004404,0x32a60000,0x988001ed,0x579db000,0x7ffd4001,0x0000001f,
    0x3bffffa2,0x00330001,0x0bbb6000,0xfa8336e0,0xdfff56ff,0x6c0fea00,
    0x2600000e,0x3fe3ffff,0x7fffffff,0x3fffffe2,0xfd106fff,0x2ffe887f,
    0x3ffa6000,0xb3001fff,0x039dffff,0x1ffffff4,0x1ffffa80,0xd1000000,
    0x001bffff,0x7ffff64c,0xf00001ce,0xffc805ff,0xdfff50ff,0x201bffea,
    0x7ec3fffa,0xb00000ef,0x7fcfffff,0x7fffffff,0x3fffffe2,0xff906fff,
    0x7ffec1ff,0xffa8000f,0x801fffff,0xfffffffc,0xfffd01ff,0xf500dfff,
    0x00003fff,0xffffd100,0xfffb8007,0x3fffffff,0x7ffc4000,0x3fffe200,
    0x2dfff53f,0x5406fffa,0x3ea6ffff,0x0000efff,0x0fffffe8,0xffdddddb,
    0x7fffc4ff,0xd04eeeee,0x7f43ffff,0xf8001fff,0x1eefffff,0x3ffffa20,
    0x1fffffff,0xfffffed8,0x7ffd403f,0x4000001f,0x01efffe8,0x3ffff620,
    0xffffffff,0x3fea0004,0x7fffc407,0x2dfff54f,0x2a06fffa,0x640effff,
    0x000effff,0x37fffe40,0x89fffe60,0x2000ffff,0x320ffffc,0xb8007fff,
    0x000cffff,0x137ffffb,0x01ffffb5,0x03ffff4c,0x007fffea,0xffe88000,
    0x7e4000df,0xffffffff,0x003fffff,0xfffd9731,0xffd01579,0x3ffea5ff,
    0x20dfff56,0x00fffff8,0x00bffff9,0x1fffe880,0x13fffcc0,0x8001ffff,
    0xefc81efc,0xfffd8001,0x3fff2005,0x7fffb00e,0x1ffff980,0x07fffea0,
    0x00000000,0x9fffff30,0x3fffaa23,0xfffb807f,0xffffffff,0x23ffe985,
    0xff56fffa,0x3fff60df,0x7ffec01f,0xa980002f,0x7fff9800,0x003fffe2,
    0xd0000000,0x26005fff,0x7400efff,0xffe806ff,0x3ffea02f,0x0000001f,
    0x7ffec000,0xfffd103f,0x3ffa607f,0xffffffff,0x2a0205ff,0xfff56fff,
    0x7ffff70d,0xffffd100,0x40000001,0x3e27fff9,0x00000fff,0x7ffc0000,
    0xfffd000f,0x3fff7005,0x03fffd80,0x887fffea,0x2600acdb,0x2001aaaa,
    0x7cc2aaaa,0x7cc05fff,0xfe886fff,0xffffffff,0x4005ffff,0xff56fffa,
    0xffff88df,0x3ffea006,0x5555505f,0x55555555,0x7fff9805,0x803fffe2,
    0x001aaaa9,0x100aaaaa,0x3001ffff,0x2600bfff,0x7e404fff,0x3fea04ff,
    0xfffe88ff,0xff304fff,0x3e600dff,0x7fe45fff,0xffe802ff,0x7ffe40ff,
    0xafff9cef,0xcc885db9,0x5bffea3c,0x7e46fffa,0x6c001fff,0x7c41ffff,
    0xffffffff,0x4c06ffff,0x3fe27fff,0x3fe600ff,0xff3006ff,0xff880bff,
    0xffd800ff,0xfff1001f,0x4fffc80b,0x2bfffea0,0xfffffffe,0xffffd05f,
    0xffff9003,0x0ffffd85,0x1ffffc80,0x98fffffc,0xf9800fff,0x3ffea5ff,
    0xf8dfff56,0x88004fff,0x7c44ffff,0xffffffff,0x4c06ffff,0x3fe27fff,
    0x7ff400ff,0xffc801ff,0x7fc402ff,0x7fc400ff,0x3bfb226f,0x6ffd9fec,
    0x027ffe40,0xfffffff5,0xffffffff,0x9ffff707,0x0fffff00,0x200dfffd,
    0x222ffffb,0x3ea6ffff,0xfff5007f,0xab7ffd4b,0x3fea6fff,0xfb0001ff,
    0xfff88fff,0xffffffff,0x7fcc06ff,0x3fffe27f,0x7fffdc00,0x7ffff804,
    0x0ffff880,0x99fffd40,0xffffffff,0x6407ffc9,0x3ea04fff,0xadffffff,
    0x86ffffea,0x407ffff8,0xf84ffffa,0xf5006fff,0x7fc47fff,0xdff70fff,
    0x9bffea00,0xff56fffa,0x37ffecdf,0xffff5000,0x99999985,0x6ffff999,
    0x13fffcc0,0x8801ffff,0x5407ffff,0x9804ffff,0xfc807fff,0xffffd0ff,
    0xff91ffff,0x6fffb80f,0x3ffffea0,0xffffe81f,0x2ffffc82,0x03ffff60,
    0x00bffff1,0xf13fffe6,0xf93bffff,0x3fea00bf,0x5bffea6f,0xff16fffa,
    0x440007ff,0x8005ffff,0x4c06fffe,0x3fe27fff,0xffc800ff,0x3ff602ff,
    0xffb800ff,0x6ffe806f,0xff7dfff7,0x03ffeeff,0x01ffffa8,0x05fffff5,
    0x213fffea,0x105ffff9,0xf30bffff,0x26009fff,0x7ec5ffff,0xffffffff,
    0xdfff5004,0xfab7ffd4,0xffff36ff,0xffd80003,0xffe8006f,0x7ffcc06f,
    0x03fffe27,0x17fffe60,0x02ffffc4,0x027fffcc,0x7f53ffe2,0x2ffff0ff,
    0x2201fffb,0xa80dffff,0x2203ffff,0xfd05ffff,0xff501fff,0xfff305ff,
    0x3fe600bf,0x7ffc44ff,0x1dffffff,0x27fffb80,0xff56fffa,0x3fffeadf,
    0x7fe40000,0xffe8007f,0x7ffcc06f,0x03fffe27,0x07ffff40,0x417fffd4,
    0xffffeee8,0x7ffd400f,0x3e6fff8b,0x1fff76ff,0xfffffc80,0xffff53ee,
    0x6ffff803,0x07ffff70,0x220ffffb,0x5006ffff,0xf507ffff,0xffffffff,
    0x7fdc05df,0x5bffea7f,0xff73ccc9,0xf70000ff,0xe8001fff,0x7cc06fff,
    0x3ffe27ff,0xfff7000f,0xffffb07f,0x3ffffe20,0xffb800df,0x14fff99f,
    0x3feebfff,0xffea800f,0xfff54fff,0xfffe803f,0xdffff107,0x04ffff88,
    0x401bfffe,0x102ffffa,0xfffffffb,0xf703dfff,0x7ffd4fff,0x37ffe406,
    0x7ffd4000,0x7ff4001f,0x7ffcc06f,0x03fffe27,0x37fffc40,0x413fffe2,
    0x3dfffff8,0x71fff700,0x3fe67fff,0x00fff74f,0x3fffff66,0x03ffff54,
    0x207fffe8,0x2e1ffffc,0x3e01ffff,0xf9007fff,0xc9803fff,0xffffffff,
    0x7ffe40ff,0x01bffea7,0x000bfffb,0x03ffff30,0x06fffe80,0xf13fffcc,
    0x64001fff,0x3ee1ffff,0xfd101fff,0x00bfffff,0xff71fff9,0x53ffe65f,
    0xfb807ffc,0x53efffff,0xf803ffff,0x3e606fff,0x3ffa4fff,0x7fff406f,
    0xfffe802f,0xfff9000f,0x8dffffff,0x3ea7fffc,0x7fec06ff,0xf980006f,
    0x74001fff,0x7cc06fff,0x3ffe27ff,0x3fe6000f,0x3fffa4ff,0xfff71006,
    0x7ffd807f,0x3ea3fff9,0x0fffb3ff,0x0dffff88,0x01ffffa8,0x013fffe2,
    0x3e6dfffd,0x7dc03fff,0x7cc04fff,0x36005fff,0xffffcdff,0x3fff21ff,
    0x0dfff50f,0x007fffc8,0x0ffffa80,0x37fff400,0x89fffe60,0x4000ffff,
    0xff36fffe,0xfe8007ff,0x7fec06ff,0x2e3fff97,0xbffd2fff,0x0ffffa80,
    0x03ffff50,0x01ffffdc,0x327fffee,0x4400ffff,0x201fffff,0x001ffffe,
    0x7fc4fffa,0x3ff23fff,0xdfff50ff,0x07fffb80,0x7fffb800,0x6fffe800,
    0x13fffcc0,0x8001ffff,0xfc9ffffb,0x5c000fff,0x7ec07fff,0x23fff97f,
    0xfff1fffc,0x5fffb807,0x07fffea0,0x01ffffe8,0x767fffc4,0xfb004fff,
    0x4c15ffff,0x006ffffd,0xff917ffc,0x7ffec9ff,0x0dfff50f,0x00ffffa8,
    0x37ffdc00,0x37fff400,0x89fffe60,0x4000ffff,0xfecffff8,0xf98004ff,
    0x7fec07ff,0xf15fff77,0xfff53fff,0x4fffc803,0x07fffea0,0x17ffff62,
    0x7ffffec0,0xf3001fff,0xfdffffff,0x03ffffff,0x70fffc40,0x7ec5ffff,
    0xfff51fff,0x4caaaa2d,0x0003ffff,0x002fffec,0x2037fff4,0x3e27fff9,
    0xd8000fff,0xffffffff,0xfff88001,0x3fff200f,0xfedfffa8,0x7ffedfff,
    0x04fffc80,0x2f7fffea,0xffffecaa,0xfff3000f,0x800dffff,0xfffffffa,
    0x01ffffff,0x8fff3011,0x360ffffe,0xff51ffff,0x9bffeadf,0x0005ffff,
    0x00ffffe2,0x01bfffa0,0x7c4ffff3,0x98000fff,0x6fffffff,0xffff1000,
    0x47ffdc01,0xfffffff8,0x03ffffff,0x204fffc8,0xfffffffa,0x2fffffff,
    0x7ffff400,0xfa8003ff,0xffffffff,0x3be602ff,0x8effb9ac,0x46ffffea,
    0xf51ffffe,0x3ffeadff,0x03ffff26,0x7fffdc00,0xfffe8000,0x3fffcc06,
    0x001ffff1,0x3fffffa0,0xff10003f,0x7fd401ff,0xdffff91f,0x09fffff3,
    0x813fff20,0xfffffffa,0x01efffff,0xfffffb80,0x3ae20007,0x0befffff,
    0x7ffffcc0,0xffffffff,0x7ff40fff,0xdfff51ff,0xf99bffea,0xd0003fff,
    0x2000bfff,0x4c06fffe,0x3fe27fff,0xf70000ff,0x000fffff,0x007fffc4,
    0x7e47fff5,0x7bfd70df,0x27ffe400,0xffffff50,0x007dffff,0x7ffffc40,
    0xffb00003,0x7fcc00df,0xffffffff,0xe81fffff,0xff52ffff,0x1bffeadf,
    0x001dfffd,0x02ffff98,0x0bffff00,0x227fff98,0x0000ffff,0x07fffff1,
    0x7fffc400,0x17ffe600,0xff900000,0x7ffd409f,0x0009a9af,0xfffff100,
    0x3ee00001,0xf3001fff,0xffffffff,0x2019ffff,0xf51ccccb,0x3ffeadff,
    0x27fffdc6,0x1bfffa00,0x4ffff800,0x13fffcc0,0x0001ffff,0x03ffffe2,
    0x3ffff000,0x00fffe80,0x3ff60000,0x3ffea03f,0x9000001f,0x0009ffff,
    0x77fffcc0,0x5d4c2dc1,0xcdffffed,0x3ea0000a,0xdfff56ff,0x03ffffd0,
    0x0bfffee0,0x7fffcc00,0x3fffcc03,0x001ffff1,0x13ffff20,0x3fffa000,
    0x1fffdc02,0xffd00000,0x7ffd405f,0xa800001f,0x000fffff,0x7ffff400,
    0x03fffeef,0x0007ffc4,0x2dfff500,0xf986fffa,0xf8806fff,0x20005fff,
    0x401ffffc,0x3e27fff9,0xa8000fff,0x000fffff,0x06fffd80,0x00ffffc4,
    0x7ffd4000,0x3ffea01f,0x2200001f,0x01fffffc,0xfff98000,0xffffffff,
    0x01ffea00,0xdfff5000,0x641bffea,0x2204ffff,0xb00ffffe,0x3ffee039,
    0x7fcc00ef,0x3fffe27f,0x3ff22000,0x00001fff,0x13bffff7,0x07ffff60,
    0xb9803d98,0x5406ffff,0x0001ffff,0x7ffffffc,0x000003ff,0x3fffffee,
    0x2e00dfff,0x400006ff,0xff56fffa,0x7fff40df,0xfffe884f,0x3fff602f,
    0xfffffeee,0x7ffffc1f,0x3e27ffff,0xffffffff,0x3fffffe6,0x00003fff,
    0x7ffffff4,0x7fffcc1f,0xfecaabef,0x3fffa03f,0x5402ffff,0x0001ffff,
    0x7ffffffc,0x8000004f,0xdffffec8,0x05ffc802,0x7ffd4000,0x40dfff56,
    0x43ffffe8,0x404ffffd,0xfffffffd,0xff84ffff,0x7fffffff,0x3fffffe2,
    0x3ffe6fff,0x004fffff,0xffff9800,0xfe981fff,0xffffffff,0x3ffa03ff,
    0xa804ffff,0x0001ffff,0x77fffffc,0x00000001,0xeec80011,0x7d400003,
    0xdfff56ff,0x6fffe880,0x013fffea,0x3ffffff6,0xff02efff,0xffffffff,
    0x7fffffc4,0x3ffe6fff,0x0001efff,0x3fff2200,0xffd101ff,0xbfffffff,
    0x7ffff403,0x9993002e,0xfe800019,0x00002cdf,0x00000000,0x7fd40000,
    0x0dfff56f,0xb81dfd10,0xb51003ff,0x079bdfdd,0xccccccc8,0x333224cc,
    0x23cccccc,0x002cdffe,0x2a620000,0x6dcc00cb,0x800bdefe,0x0001abcb,
    0x00000000,0x00000000,0x50000000,0x3feadfff,0x01b1006f,0x000000ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5bffea00,0x0006fffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xab7ffd40,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeaaf7754,0x000005ee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000040,
    0x04000018,0x00000220,0x4009fff1,0x00004400,0x0400aaa2,0x88000220,
    0x22000001,0x2e000199,0x0000deee,0xdeeeec80,0x08801001,0x3fff2200,
    0x3ae0001e,0x1641dfff,0x81efe980,0x00004ffd,0x200bffea,0xfd81efe9,
    0x3ea0004f,0x77f4c06f,0x004ffd81,0x0effff5c,0xec8800b2,0xdfffffff,
    0xffff9000,0x400003ff,0x01effffc,0xd81efe98,0xffb004ff,0x0003ffff,
    0xfffffff7,0x007ffb59,0xfb8dfffd,0x00001fff,0x3a00fffb,0x7fdc6fff,
    0xf70001ff,0xfffe80bf,0x0ffffdc6,0xfffffb80,0x3ffdacff,0xfffffc80,
    0x00ffffff,0xffefffc8,0xc80001ff,0x2004ffff,0x7dc6fffe,0x7d401fff,
    0x05ffa9df,0x7ffffcc0,0xffffffff,0x7ffff802,0x01ffffe4,0xfff33300,
    0x3fffe00b,0x1ffffe47,0x04ffc800,0x323ffffc,0x9803ffff,0xffffffff,
    0x402fffff,0xfffffffc,0x400fffff,0xff34fffc,0x640003ff,0x4002ffff,
    0x7e47ffff,0x7dc03fff,0x001ff61f,0x3f2237f2,0x004fffff,0xfa8dfffd,
    0x26001fff,0xffffffec,0xfffd002f,0x1ffffa8d,0x07ffd000,0x546fffe8,
    0x9001ffff,0xfff911bf,0xf9809fff,0xa9bcffff,0x2200feca,0x55441aaa,
    0x5510002a,0xfd000155,0xfffa8dff,0x97fd401f,0x50006ff8,0x059dd910,
    0x4077f440,0x2e003ffc,0xffffffff,0xfd1004ff,0x07ff901d,0x017ffc00,
    0x3203bfa2,0x414003ff,0x802ceec8,0x004ffffb,0x00000000,0x7f440000,
    0x03ffc80e,0xffefff88,0x0000003f,0x40000000,0xffffffd8,0x04ffffff,
    0x20000000,0x0001fff9,0x00000000,0x07ffff60,0x00cc0000,0x000cc000,
    0x4c000000,0x004fffff,0x0000cc00,0xd8000cc0,0xeeffffff,0x03ffffff,
    0x93000000,0xdffffffd,0x00000005,0xff900000,0x00001bff,0xdffffd93,
    0xd9300039,0x039dffff,0x40000000,0x80000aba,0xeffffec9,0xec98001c,
    0x01ceffff,0xafffff98,0xffffff90,0xeeee981f,0x4eeed801,0xfffffc88,
    0x803fffff,0x0eeeeeec,0xddddd100,0x4eeea809,0xefffffa8,0x3fee0001,
    0xffffffff,0x3ffee003,0x3fffffff,0xeeeeea80,0xeeeeeeee,0x7776402e,
    0x70000eee,0xffffffff,0x7dc007ff,0xffffffff,0x7ffec03f,0x7ffffc1f,
    0x7fd44fff,0xffe802ff,0x7fffcc5f,0xffffffff,0xfffff803,0xff3002ff,
    0x5c01ffff,0xff886fff,0x00cfffff,0x3ffff620,0xffffffff,0x7ffec404,
    0xffffffff,0x7ffdc04f,0xffffffff,0x7fc03fff,0x002fffff,0x7ffffec4,
    0x4fffffff,0x7fffec40,0xffffffff,0x9ffff304,0xffcfff98,0x7ffd46ff,
    0xfffe802f,0x7fffff45,0x3fffffef,0x7ffffcc0,0xff3005ff,0x5c09ffff,
    0x7f4c6fff,0xffffffff,0xffffb003,0xffffffff,0x7fec07ff,0xffffffff,
    0x2e03ffff,0xffffffff,0x03ffffff,0x3fffffe6,0x7fec005f,0xffffffff,
    0x3603ffff,0xffffffff,0x83ffffff,0x641ffffc,0xfffd8fff,0x3fffea0f,
    0x5fffe802,0x4bffffee,0x02b8cffd,0x7fffffdc,0xfff3007f,0x2e01ffff,
    0x3fa26fff,0xffffffff,0x3e600eff,0x511bffff,0x20fffffd,0x1bfffff9,
    0xfffffd51,0x7ffffdc0,0xffffffff,0x3ffee03f,0x2007ffff,0x1bfffff9,
    0xfffffd51,0x3ffffe60,0xfffd511b,0xdfffb0ff,0x3eadffd0,0x3fea2fff,
    0xffe802ff,0xfffff15f,0x001fff41,0xfffffffd,0xfff3003f,0x2e07ffff,
    0x3ff26fff,0xffffbdff,0xfb01ffff,0x3a207fff,0xfd82ffff,0xfd103fff,
    0x3ee05fff,0x80001fff,0xfffffffe,0xfffb001f,0x3ffa207f,0xfffd82ff,
    0xfffd103f,0x5fffe85f,0xf9a7ffc4,0x3fea3fff,0xffe802ff,0x9ffff55f,
    0x1002fff8,0xfff7ffff,0xfff3009f,0x2e0fffff,0x3ffe6fff,0x3fff227f,
    0x7d41ffff,0x7cc05fff,0x7fd46fff,0x7fcc05ff,0xfff706ff,0xf880003f,
    0xffffbfff,0xffffa804,0x7fffcc05,0x2ffffd46,0x1bfffe60,0xfb89ffff,
    0xffff31ff,0x17fffd49,0xbaffff40,0x3e21ffff,0xff5001ff,0x1bfffeff,
    0x3ffffe60,0xffb83fff,0xbffff16f,0xfffffd30,0x2ffffc8d,0x0fffff80,
    0x00bffff2,0x203ffffe,0x001ffffb,0xfbfffd40,0xfc806fff,0xff802fff,
    0x3ff20fff,0xfff802ff,0xffff10ff,0x227ffe89,0x3ea4ffff,0xfe802fff,
    0xffff95ff,0x003ffcc1,0x3f6bfffb,0x7cc00fff,0x6fffdfff,0xf36fffb8,
    0x7ec0dfff,0x3f63ffff,0xfc800fff,0x3ff61fff,0xffc800ff,0xfffb81ff,
    0x7ec0001f,0xffffb5ff,0xffffd801,0xffffc800,0x03ffff61,0x47ffff20,
    0x223ffff9,0x3fe24fff,0x3ffea5ff,0xfffe802f,0x41ffffd5,0x3e007ffa,
    0xfff53fff,0xfff9807f,0x42ffffaf,0x3fe6fffb,0x3f602fff,0x3ffa5fff,
    0xfff7006f,0x37fff45f,0x2ffffb80,0x01ffffb8,0x9ffffc00,0x403ffffa,
    0x7006fffe,0x7f45ffff,0xff7006ff,0x3ffe65ff,0x87ffee4f,0x2a4ffff8,
    0xe802ffff,0xfffb5fff,0x02ffdc3f,0x10ffff98,0x980bffff,0xfffd7fff,
    0x26fffb8d,0x03fffffe,0x7cdffff3,0xf5006fff,0x7ffc7fff,0xfff5006f,
    0xffff707f,0x7fcc0003,0xffff10ff,0x6ffff80b,0x7ffff500,0x8037fffc,
    0xf13ffffa,0x7fec9fff,0x1ffffcc7,0x005ffff5,0x3f2bfffd,0x3ff23fff,
    0xdfff9004,0x407fffe8,0xff57fff9,0x7ffdc3ff,0x3ffffe66,0x7ffc40df,
    0xbffff16f,0x3fffe600,0x0bffff14,0x13fffe60,0x3bbfffee,0x6eeeeeee,
    0xe8dfff90,0x3e207fff,0xf3005fff,0x3fe29fff,0xff3005ff,0x3ffe29ff,
    0x8bfff15f,0x2a1ffff9,0xe802ffff,0xfff75fff,0x01ffecbf,0x644fffe8,
    0x2602ffff,0x3ffe7fff,0x1bffee5f,0xfffffff9,0xaffffd47,0x004ffff9,
    0x26bffff3,0x3004ffff,0xf70bffff,0xffffffff,0x3a0fffff,0x7fe44fff,
    0xfff302ff,0x3fe6009f,0xffff35ff,0x3ffe6009,0x5bfffe5f,0x7d42fffa,
    0x3fea0fff,0xffe802ff,0xfffff35f,0x200bffab,0x4c2ffff8,0x2604ffff,
    0x3fee7fff,0xdfff70ff,0xffffff90,0xffffd5df,0x17fffe65,0xa7fffcc0,
    0x005ffff9,0x709ffff3,0xffffffff,0x10ffffff,0xf985ffff,0xff304fff,
    0x3e600bff,0xfff34fff,0x3fe600bf,0x3fff64ff,0x40fffd8f,0x7d47fffd,
    0xfe802fff,0x3fff65ff,0x9afffeff,0xfffb84eb,0x6ffff80f,0x89fffe60,
    0xff74ffff,0x3ffea0df,0xffffffff,0x3fffe25f,0xffff5006,0x1bfffe27,
    0x1ffffd40,0x7fffffdc,0x7fffffff,0x80ffffb8,0xf106ffff,0x2a00dfff,
    0xff13ffff,0x3ea00dff,0x3fee3fff,0x45fffbff,0x545ffff8,0xe802ffff,
    0x3fe25fff,0xffffffff,0xffd84fff,0xffffb05f,0x1fffe603,0xf71ffff9,
    0x7e440dff,0xffffffff,0x37fffc0e,0x2ffffa80,0x401bfffe,0xb82ffffa,
    0x999affff,0xd8199999,0xffb05fff,0x3ffe03ff,0xfff5006f,0x37fffc5f,
    0x2ffffa80,0x3fffffe6,0x7ffe43ff,0x7fffd41f,0x5fffe802,0x7fffffcc,
    0x44ffffff,0x703ffff8,0x2607ffff,0x7fc47fff,0x6fffbbff,0xffffe980,
    0xffe80eff,0xfff9007f,0x3ffff41f,0x0ffffc80,0x01ffffb8,0x3ffff880,
    0x07ffff70,0x401ffffa,0x3a0ffffc,0xf9007fff,0xffd81fff,0x910fffff,
    0xf50bffff,0xff005fff,0xffb10bff,0xffffffff,0xeffffa87,0xffeeeeee,
    0xfff305ff,0x7dfffb0f,0x5400dfff,0x80ffffff,0x802ffffd,0x7ec7fffe,
    0xfe802fff,0xfff707ff,0xff50003f,0xddddddff,0x20bffffd,0x802ffffd,
    0x7ec7fffe,0xfe802fff,0xfff887ff,0xffecffff,0xf981ffff,0xff803fff,
    0x3ae203ff,0x81bcefff,0xfffffffc,0xffffffff,0x7fff980f,0xfdffff98,
    0x7cc006ff,0xfb81ffff,0x7cc04fff,0x7fdc6fff,0x7fcc04ff,0xfff706ff,
    0xff90003f,0xffffffff,0x01ffffff,0x809ffff7,0x5c6ffff9,0x4c04ffff,
    0xf706ffff,0xffffffff,0x2207ffff,0x4404ffff,0xd802ffff,0xfff804ff,
    0xffffffff,0x82ffffff,0xfd07fff9,0x0dffffff,0x5ffff900,0x3fffff10,
    0x0fffff40,0x07ffffe2,0x01ffffe8,0x003ffff7,0xfffffff0,0xffffffff,
    0xfff105ff,0x7ff403ff,0x7ffc41ff,0x3ffa01ff,0x3fea01ff,0xffffffff,
    0x7fffc01e,0x7fffe407,0x03ffe801,0x7fffffcc,0xffffffff,0xff984fff,
    0xffff507f,0x800cdfff,0x900ffffe,0x415fffff,0x05ffffd9,0x15fffff9,
    0x2ffffecc,0x03ffff70,0xfffff980,0xffffffff,0xf904ffff,0x4c15ffff,
    0x905ffffd,0x415fffff,0x05ffffd9,0xfffffff8,0xfd800cef,0xff304fff,
    0x3fe00dff,0x7ffdc02f,0xffff8807,0x07fff987,0x3ffffffe,0x266b7fa6,
    0xffffdb98,0x3fffe206,0xffffefff,0xff101fff,0xffdfffff,0x403fffff,
    0x001ffffb,0x403fffdc,0x107ffff8,0xdfffffff,0x3fffffff,0x3ffffe20,
    0xfffffeff,0x7fcc01ff,0x0009aacf,0x77ffffcc,0xffffdcbc,0xfff8801f,
    0x2ffff401,0x1ffffd80,0x703fffcc,0x4dffffff,0xfffffffe,0x02ffffff,
    0x7fffffd4,0x3fffffff,0x7ffffd40,0xffffffff,0x7fffdc03,0xffffffff,
    0xbfffd3ff,0x3ffff600,0xfffff501,0xffffffff,0xffffa807,0xffffffff,
    0xfffb803f,0xffc80000,0xffffffff,0xf3004fff,0x7fc401ff,0xff7003ff,
    0xfff989ff,0x3fffe207,0x3fffa6ff,0xffffffff,0xffd3002f,0xdfffffff,
    0x3ffa6003,0xefffffff,0xffffb801,0xffffffff,0xffff8bff,0xffff7003,
    0x7fff4c09,0x1effffff,0xffffd300,0x03dfffff,0x001bffa0,0xfffffc80,
    0x03ffffff,0x501ffea0,0x2001ffff,0x4c6ffff9,0x7e407fff,0x3f66ffff,
    0xffffffff,0x644001cf,0xcefffffe,0x7f644000,0x00ceffff,0xffffff70,
    0xffffffff,0x01ffff57,0x1bfffe60,0xffffd910,0x880019df,0xefffffec,
    0xfff1000c,0xd9800009,0xdfffffff,0x37fdc000,0x01bfff60,0x41fffff0,
    0x4c07fff9,0x886fffff,0x01aaaaaa,0x026a6000,0x09a98000,0xffffb800,
    0xffffffff,0x6fffdbff,0x7ffffc00,0x026a6000,0x09a98000,0x00000000,
    0x004d4c40,0x007dd700,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88022004,0x01deeeec,0x000c4000,0xddd90000,
    0xdd9103bd,0x00003bdd,0x00deeeb8,0x77764000,0xfffc81de,0x40000007,
    0x01deeeec,0x0deeeb80,0x77764400,0x300001de,0x74c005b9,0x4ffd81ef,
    0x7ffffe40,0xfeb80001,0x01641dff,0xffffc800,0x7ffe401e,0x900001ff,
    0x03ffffff,0x3fff2000,0xfff101ef,0x0000005f,0x07bffff2,0x3ffff200,
    0xfc8001ff,0x0001ffff,0x027fffd4,0x5c6fffe8,0x5401ffff,0x000fffff,
    0x3ffffee0,0x3ffdacff,0x7ffe4000,0x3fea004f,0x40000fff,0xfffefffc,
    0x7e40001f,0xfd804fff,0x000006ff,0x04ffffc8,0xfdfff900,0x50003fff,
    0x001fffff,0x7fffff40,0x7ffff800,0x01ffffe4,0x07fffec4,0x7fffcc00,
    0xffffffff,0x3f20002f,0x88002fff,0x000ffffd,0x269fff90,0x0001ffff,
    0x005ffff9,0x007fffe6,0xfffc8000,0xff90002f,0x3fffe69f,0xffd88001,
    0xff0000ff,0xd001ffff,0xffa8dfff,0x2aa001ff,0xf90002aa,0xffff911b,
    0x440009ff,0x0000aaaa,0x00155554,0x220d5544,0x88002aaa,0x4000aaaa,
    0x0004fffe,0x15555100,0x2aaa2000,0x01555441,0x05555500,0x3ffff200,
    0x1dfd1006,0x0007ff90,0x44140000,0x0002ceec,0x00000000,0x00000000,
    0x7fd40000,0x000000ff,0x00000000,0x80000000,0x001effd8,0x4c000000,
    0x00000001,0x00000000,0x00000000,0x20000000,0x0003ffff,0x00000000,
    0x00000000,0x00006600,0x764c0000,0x01ceffff,0x26000000,0xd801eeee,
    0x3ba64eee,0xeed801ee,0x3bbba64e,0x4eeed801,0xeeeeec80,0x7fe4000e,
    0xeeb8006f,0x3b6003ee,0xdd9005ee,0x8001dddd,0xeeeeeeea,0x2eeeeeee,
    0xee880000,0xeeeeeeee,0x203eeeee,0xfffffffb,0xc8003fff,0x00eeeeee,
    0x05ffff50,0x54bfffd0,0xe802ffff,0x3fea5fff,0xffe802ff,0xffff805f,
    0x44002fff,0x4002ffff,0x00fffff8,0x03ffffb8,0xfffffff0,0xfffb8005,
    0xffffffff,0xcb803fff,0x7fc400cc,0xffffffff,0x884fffff,0xfffffffd,
    0x004fffff,0x7ffffffc,0xffff5002,0xbfffd005,0x017fffd4,0xf52ffff4,
    0xfd005fff,0xff980bff,0x005fffff,0x005fffd8,0x03ffffc8,0x007ffff8,
    0xfffffff3,0xfffb800b,0xffffffff,0xfe803fff,0x7fc401ff,0xffffffff,
    0xd84fffff,0xffffffff,0x03ffffff,0xffffff30,0x3fea00bf,0xffe802ff,
    0x3fffea5f,0x5fffe802,0x00bfffea,0x7017fffa,0xffffffff,0xffff3000,
    0xfff88003,0x7ffdc07f,0xfff7003f,0x800fffff,0xfffffffb,0x3fffffff,
    0x01ffff80,0x7fffffc4,0xffffffff,0x7fffcc4f,0xffd511bf,0x3ee00fff,
    0x07ffffff,0x05ffff50,0x54bfffd0,0xe802ffff,0x3fea5fff,0xffe802ff,
    0x7fff405f,0x001fffff,0x004fffe8,0x03ffffc8,0x801ffffe,0xfffffffe,
    0x3fee001f,0x200001ff,0x0001ffff,0x001ffff9,0x207ffffb,0x02ffffe8,
    0xffffffe8,0xffa801ff,0xffe802ff,0x3fffea5f,0x5fffe802,0x00bfffea,
    0x8817fffa,0xfffbffff,0xffb8004f,0x7c4000ff,0xff706fff,0x3e2007ff,
    0xffffbfff,0x3ffee004,0x6540001f,0x002ffffe,0x01ffff90,0x05ffffa8,
    0x037fffcc,0x3effffe2,0xfa804fff,0xfe802fff,0x3ffea5ff,0xfffe802f,
    0x0bfffea5,0x817fffa0,0xfff7fffa,0xff1000df,0xf90007ff,0xfff05fff,
    0x7fd400ff,0x0dffff7f,0x0ffffdc0,0xfffe8800,0x0002ffff,0x801ffff9,
    0x802ffffc,0x200fffff,0xfff7fffa,0xfff500df,0xfffd005f,0x17fffd4b,
    0x52ffff40,0xd005ffff,0x7ec0bfff,0xffffb5ff,0xfff90001,0xfff1000d,
    0xffffb8df,0x3fff6003,0x01ffffb5,0x07fffee0,0x3fffe600,0x003fffff,
    0x01ffff90,0x00ffffd8,0x01ffffc8,0x7ed7fff6,0x7d400fff,0xfe802fff,
    0x3ffea5ff,0xfffe802f,0x0bfffea5,0x817fffa0,0xff53ffff,0xf10007ff,
    0x90005fff,0x7fc5ffff,0x7fc006ff,0xffff53ff,0x3ffee007,0xffe8001f,
    0x1cccdfff,0xffff9000,0x6fffe801,0x5ffff700,0xa9ffffc0,0x5403ffff,
    0xe802ffff,0x3fea5fff,0xffe802ff,0x3fffea5f,0x5fffe802,0x21ffff30,
    0x005ffff8,0x00bfffb0,0x2bffff10,0x003ffffa,0x443fffe6,0x7005ffff,
    0x8003ffff,0x01fffffa,0x3fff2000,0x7fffc00f,0xffff5006,0x3fffe607,
    0x0bffff10,0x02ffffa8,0x2a5fffe8,0xe802ffff,0x3fea5fff,0xffe802ff,
    0xdfff905f,0x007fffe8,0x01ffff50,0x3ffff900,0x800dfffd,0x7f46fffc,
    0xff7007ff,0xddddddff,0x7fe4dddd,0x400003ff,0x200ffffc,0x005ffff8,
    0x209ffff3,0x7f46fffc,0x7fd407ff,0xffe802ff,0x3fffea5f,0x5fffe802,
    0x00bfffea,0x7417fffa,0x7fe44fff,0xfd0002ff,0xf10009ff,0xffffdfff,
    0xfffe8005,0x17fffe44,0x7ffffdc0,0xffffffff,0x07ffff67,0xfff90000,
    0x7ffcc01f,0xfff3004f,0x3fffa0bf,0x17fffe44,0x05ffff50,0x54bfffd0,
    0xe802ffff,0x3fea5fff,0xffe802ff,0xffff885f,0x27fffcc2,0x7fffb800,
    0xffff9000,0x8800dfff,0x7cc2ffff,0xfb804fff,0xffffffff,0x3fa7ffff,
    0x00002fff,0x007fffe4,0x00bffff3,0x213fffe6,0x4c2ffff8,0x2a04ffff,
    0xe802ffff,0x3fea5fff,0xffe802ff,0x3fffea5f,0x5fffe802,0x80ffffb8,
    0x0006ffff,0x007ffff1,0xffffff10,0xffb8005f,0xffff80ff,0xffffb806,
    0xffffffff,0x3ffff27f,0x7e400004,0x3e200fff,0xf5006fff,0xff707fff,
    0xffff01ff,0x7fffd40d,0x5fffe802,0x00bfffea,0xfa97fffa,0xfe802fff,
    0xfffd85ff,0x3ffffb05,0x3fff2000,0xfff90006,0xfb000dff,0x3ff60bff,
    0x7fdc01ff,0x99999aff,0x3fea1999,0x00002fff,0x003ffff2,0x200dffff,
    0xd82ffffa,0xffb05fff,0x3fea03ff,0xffe802ff,0x3fffea5f,0x5fffe802,
    0x00bfffea,0xf117fffa,0x3ee07fff,0x30003fff,0x0003ffff,0x05fffff1,
    0x3ffff880,0x07ffff70,0x01ffffb8,0x7ffffc40,0xc80001df,0x7400ffff,
    0xf9007fff,0xff881fff,0xfff703ff,0x3ffea07f,0xffff802f,0x0bfffea5,
    0xa97fffe0,0xf802ffff,0x7fd45fff,0xeeeeeeff,0x005ffffe,0x017fff60,
    0x03fffec0,0x77fffd40,0xffeeeeee,0x7fdc05ff,0xf98001ff,0xffffffff,
    0x7e4000ee,0x7ec00fff,0xfe802fff,0xfffa87ff,0xeeeeeeef,0xf305ffff,
    0xff007fff,0x7ffcc7ff,0xffff803f,0x0ffffe63,0x90ffffe0,0xffffffff,
    0xffffffff,0x3fea0001,0xfd8000ff,0xfc8007ff,0xffffffff,0x0fffffff,
    0x07fffee0,0x7fffdc00,0x00ffffff,0x07fffe40,0x13fffee0,0x0dffff30,
    0xfffffff9,0xffffffff,0xffff101f,0xffff8809,0x13fffe22,0x45ffff10,
    0x404ffff8,0x7c2ffff8,0xffffffff,0xffffffff,0x3ffa0002,0xffd8004f,
    0xfff8007f,0xffffffff,0x02ffffff,0x007fffee,0xffffd980,0x4000ffff,
    0x400ffffc,0x01fffff8,0x207ffffa,0xffffffff,0xffffffff,0xfffff02f,
    0x1ffffc80,0x203ffffc,0x7c1ffffc,0x7e407fff,0x3fe61fff,0xffffffff,
    0x4fffffff,0x3ffee000,0xfffd8007,0x7ffcc007,0xffffffff,0x04ffffff,
    0x007fffee,0x3fff6600,0x64000fff,0xc800ffff,0x20afffff,0x85ffffd9,
    0xfffffff9,0xffffffff,0xfffb04ff,0x3ffe609f,0xffffd86f,0xdffff304,
    0x09ffffb0,0x71bfffe6,0xf100ffff,0x4000ffff,0x002ffff8,0x003fffec,
    0x201fffee,0x207ffff8,0x001ffffb,0x25d4c400,0x7fffe400,0xffff8800,
    0xffffefff,0xffb81fff,0xfff8807f,0xffff307f,0xffb979df,0xff303fff,
    0xb979dfff,0x303fffff,0x79dfffff,0x3fffffb9,0x005fffe8,0x003ffffb,
    0x037ffe40,0x01ffff60,0x00bfffd0,0x407ffff6,0xfffffffb,0x3fffffff,
    0xee880000,0xfffffeee,0xa83eeeee,0xffffffff,0xd03fffff,0x3600bfff,
    0xf901ffff,0xffffffff,0x6409ffff,0xffffffff,0x204fffff,0xfffffffc,
    0x44ffffff,0x003ffff8,0x009ffff7,0x0ffffcc0,0x0ffffb00,0x1ffffc40,
    0x4ffffb80,0xffffff70,0xffffffff,0xf1000007,0xffffffff,0x09ffffff,
    0x3fffffa6,0x101effff,0x2007ffff,0x204ffffb,0xfffffffc,0xc803ffff,
    0xffffffff,0xfc803fff,0xffffffff,0xfffa83ff,0xfff3000f,0xfe8000df,
    0x3f6005ff,0x3ea007ff,0xf3000fff,0x3ee0dfff,0xffffffff,0x003fffff,
    0xffff8800,0xffffffff,0x32204fff,0xcefffffe,0x3fffea00,0xffff3000,
    0xfffd980d,0x000dffff,0x3fffff66,0x26000dff,0xfffffffd,0xdfffb00d,
    0xfffff800,0x00000000,0x400ffffb,0x4006fffd,0xb80fffff,0xffffffff,
    0x03ffffff,0xfff88000,0xffffffff,0x2004ffff,0xfb0009a9,0xff800dff,
    0x31000fff,0x10000135,0x00001353,0x00013531,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01fffee0,0x00deeeb8,
    0x3bbb2000,0xd90001de,0x2003bddd,0x000deeeb,0xffecba98,0x446fffff,
    0x01deeeec,0x99880000,0x77764400,0x400001de,0x10000aba,0x20004c01,
    0x7c026008,0x0002ffff,0x004fffe8,0x3ffffff9,0xfff90000,0x320003df,
    0x001effff,0x3ffffff9,0x3fff6600,0xffffffff,0xffff906f,0xa800003f,
    0xffffffdc,0x3fff203d,0x980001ff,0x004ffffe,0xd10fffa2,0xfd1005ff,
    0x2ffe887f,0x02ffffe8,0x7fffd400,0xefffc800,0x0001ffff,0x013ffff2,
    0x4ffffc80,0x3bfff200,0x6c01ffff,0xffffffff,0x06ffffff,0x03ffffea,
    0x3ff62000,0xffffffff,0x3ffea00f,0x220000ff,0x3fffffff,0x1ffff900,
    0x007fffec,0xd83ffff2,0x7f40ffff,0x40002fff,0xc805fffd,0xfff34fff,
    0xff90003f,0x640005ff,0x2002ffff,0xff34fffc,0x3ff203ff,0xefffffff,
    0x406ffffe,0x00ffffd8,0x3fffea00,0xffffffff,0x7fec400f,0xf90000ff,
    0x0fff519f,0x87ffffa0,0x401ffffe,0x3a1ffffe,0x7f41ffff,0x20001fff,
    0x402ffff9,0x5441aaa8,0x544002aa,0x20000aaa,0x000aaaa8,0x5106aaa2,
    0xfff50555,0x4dffffff,0x5006fffc,0x20005555,0xfffffffb,0x0fffffff,
    0x05555500,0xc83ff600,0xffc801ff,0x3fff20ff,0xffffc807,0x21ffff20,
    0x001ffffe,0x01bfff20,0x00000000,0x00000000,0x7fffc000,0x26ffffff,
    0x0006fffc,0x3ffe2000,0x2609bfff,0x00000fda,0xb0ffec00,0x3f2001ff,
    0x01efc81e,0xf903df90,0xffffb03d,0x3fe20003,0x000003ff,0x00000000,
    0x80000000,0xfffffff8,0x3ff26fff,0x0000006f,0x07fffff2,0x00000020,
    0x36fbfee0,0x000006ff,0x6c000000,0x0001ffff,0x801ffff7,0xeeeeeeea,
    0x2eeeeeee,0x77777744,0xeeeeeeee,0xeeeea83e,0xeeeeeeee,0x777442ee,
    0xeeeeeeee,0xff53eeee,0xffffffff,0x037ffe4d,0x77777764,0xffff1000,
    0x7440003f,0xeeeeeeee,0x03eeeeee,0xffffffd8,0x00000001,0x7fec0000,
    0xfd0000ff,0xff7009ff,0xffffffff,0xf887ffff,0xffffffff,0x84ffffff,
    0xfffffffb,0x3fffffff,0x7fffffc4,0xffffffff,0xfffff74f,0x64dfffff,
    0xff806fff,0x002fffff,0x00bffff9,0xfffff880,0xffffffff,0xfd7004ff,
    0x4c0001bf,0x000abdcb,0xcceccba8,0x3fff201a,0xffa8000f,0xffb801ff,
    0xffffffff,0x7c43ffff,0xffffffff,0x84ffffff,0xfffffffb,0x3fffffff,
    0x7fffffc4,0xffffffff,0xfffff74f,0x64dfffff,0x7cc06fff,0x05ffffff,
    0x05ffffb0,0xffff8800,0xffffffff,0x04004fff,0x3ffea000,0x804fffff,
    0xffffffd9,0xc81dffff,0x8000ffff,0x7005fffd,0xffffffff,0x87ffffff,
    0xfffffff8,0xffffffff,0xfffffb84,0xffffffff,0x7fffc43f,0xffffffff,
    0xfff34fff,0xdfffffff,0x2037ffe4,0xfffffffb,0xfffff007,0xfff10000,
    0xffffffff,0xa809ffff,0x1acceccb,0x3ffff600,0x1effffff,0x3ffffea0,
    0xffffffff,0x03fffe41,0x17fffc40,0x1ffffb80,0x7fe40000,0xff7000ff,
    0x800003ff,0x200ffffc,0xfffffff8,0x3ff26fff,0x7fff406f,0x401fffff,
    0x007ffff8,0x3fff2000,0xffb3000f,0xffffffff,0xfffd803b,0xffffeeff,
    0x3ffea06f,0xfffeeeff,0x3ff20eff,0xffc8007f,0x3fee006f,0x400001ff,
    0x000ffffc,0x003ffff7,0xffffc800,0x7fffec00,0x326fffff,0x3e206fff,
    0xffffbfff,0x7fffcc04,0x32000006,0x5000ffff,0xffffffff,0x203fffff,
    0x21dffffa,0x02ffffd8,0x3a6039d5,0x3ee2ffff,0x7c4007ff,0x2e003fff,
    0x0001ffff,0x07fffe40,0x1ffffb80,0x7fe40000,0x7fc400ff,0x6fffffff,
    0xa81bfff2,0xffff7fff,0xffffa80d,0x32000005,0x5000ffff,0xdddfffff,
    0x01dfffff,0x740dfffd,0x00107fff,0xb8ffffe6,0x5c007fff,0x2000ffff,
    0x001ffffb,0x7fffe400,0xffff7000,0xfc800003,0xf9800fff,0x6fffffff,
    0xd81bfff2,0xfffb5fff,0x7ffd401f,0x2000005f,0x000ffffc,0x3a6039d5,
    0x7d42ffff,0x3ee02fff,0x40000fff,0x3ee5ffff,0x7f4007ff,0x7dc004ff,
    0x00001fff,0x007fffe4,0x01ffffb8,0x7ffe4000,0xff93000f,0x7e4dffff,
    0x3ffe06ff,0x7ffff53f,0x37fffcc0,0xff900000,0x002001ff,0x21ffffcc,
    0x5407fffc,0x0001ffff,0xf72ffff4,0x7cc00dff,0x5c001fff,0x0001ffff,
    0x07fffe40,0x1ffffb80,0x7fe40000,0x644000ff,0x3f26fffe,0xfff306ff,
    0x3fffe21f,0x3fffe205,0x32000007,0x0000ffff,0x45ffff80,0xeeeffffd,
    0xfffeeeee,0xdcba803f,0x5ffffeee,0x801bffea,0x8006fffd,0xeeeffffb,
    0x06eeeeee,0x03ffff20,0x77fffdc0,0xeeeeeeee,0x3fff2006,0x1980000f,
    0x641bfff2,0x7ff46fff,0x7fffc07f,0x9000001f,0x0001ffff,0x8bfffd00,
    0xfffffffe,0xffffffff,0xfff9103f,0xffffffff,0x37ffd4bf,0x2ffff880,
    0xffffb800,0xffffffff,0x3ff2007f,0xff7000ff,0xffffffff,0x6400ffff,
    0x0000ffff,0x06fffc80,0xfc89fffd,0x3fa02fff,0x00004fff,0x01ffff90,
    0x3b72ea00,0x45ffffee,0xffffffff,0xffffffff,0xffff883f,0xffffffff,
    0x3ffea5ff,0xffff9005,0x3ffee000,0xffffffff,0x3f2007ff,0xf7000fff,
    0xffffffff,0x400fffff,0x000ffffc,0x6fffc800,0x42ffff88,0x204ffff9,
    0x00fffffc,0xfffc8000,0x3f22000f,0xffffffff,0x7ffc5fff,0xccccccef,
    0x41cccccc,0xcfffffe8,0xffffaaac,0x00266625,0x001ffffc,0xffffffb8,
    0x7fffffff,0x3ffff200,0xffff7000,0xffffffff,0x7fe400ff,0x800000ff,
    0xfb86fffc,0xfff80fff,0x3ffe206f,0x00801eff,0x03ffff20,0x7ffffc40,
    0xffffffff,0x37ffec5f,0x7ffdc000,0xfffd00df,0xffa8000b,0xf70000ff,
    0x33335fff,0x40033333,0x000ffffc,0x335ffff7,0x03333333,0x07fffe40,
    0x7fe40000,0x5fffd86f,0x03ffffb0,0x7fffffdc,0x07ed441b,0x0ffffc80,
    0xffffe880,0xffaaaccf,0x7ffe45ff,0xffd80007,0x3ffa00ff,0x80154c5f,
    0x0004fffe,0x007fffee,0xffff9000,0x3ffee001,0x6400001f,0x0000ffff,
    0x46fffc80,0x703ffff8,0x4407ffff,0xffffffff,0x0fffffef,0x1ffff900,
    0xbffff700,0x17fffa01,0x007ffff7,0x07fffe80,0xa97fffea,0x7cc06fff,
    0x20001fff,0x001ffffb,0x7fffe400,0xffff7000,0xfc800003,0x00000fff,
    0x545fffd8,0xeeeeffff,0x5ffffeee,0x7ffff440,0xffffffff,0xfff9000f,
    0xfffb001f,0x7fff401f,0x7ffffc45,0xffb01002,0xfff705ff,0x7fffcbff,
    0x3fff603f,0x7fdc0006,0x400001ff,0x000ffffc,0x003ffff7,0xffffc800,
    0xfe800000,0x7ffe44ff,0xffffffff,0x400fffff,0xffffffd8,0x00ffffff,
    0x01ffff90,0x40ffffd0,0xb85ffffa,0xabefffff,0x83fdcaaa,0xacfffffc,
    0xffffffeb,0x9fffff15,0x0bfffe20,0xffff7000,0xfc800003,0xf7000fff,
    0x00003fff,0x00ffffc8,0x7ffc4000,0x7ffffc3f,0xffffffff,0x3002ffff,
    0xfffffff9,0x7e40037d,0xfd800fff,0xffb82fff,0xffd05fff,0xffffffff,
    0xff107fff,0xffffffff,0x7cbfffdf,0xf903ffff,0x70000fff,0x0003ffff,
    0x0ffffc80,0x3ffff700,0xffc80000,0x3a2000ff,0x3ffff602,0x3ffffe61,
    0xffffffff,0x4004ffff,0x001dfffc,0x03ffff20,0x3fffff20,0xffffebac,
    0xff9105ff,0xffffffff,0x3fee07ff,0xbfffffff,0x3ea5fff9,0x3ffe05ff,
    0xfb80003f,0x00001fff,0x007fffe4,0x01ffffb8,0x7ffe4000,0x3ff2000f,
    0xffeb9abe,0x7ffdc5ff,0xffff8807,0x7fff4007,0x7fe40001,0xff8800ff,
    0xffffffff,0x405fffef,0xffffffd9,0x2a01dfff,0x1dffffff,0xa88bfff3,
    0x3fffea01,0xffb80000,0xffffffff,0x7443ffff,0xffffeeee,0x83eeeeef,
    0xfffffffb,0x3fffffff,0x7f777744,0xeeeeffff,0xffffa83e,0xffffffff,
    0x2ffff40f,0x1ffffd80,0x01bffe00,0xfeeeee88,0xeeeeffff,0xffffb83e,
    0xf9bfffff,0x262005ff,0x40009aaa,0x00009aa8,0x05fffe80,0xffff7000,
    0xffffffff,0xfff887ff,0xffffffff,0xfb84ffff,0xffffffff,0x443fffff,
    0xffffffff,0x4fffffff,0xfffffe98,0x41efffff,0x003ffff8,0x009ffff7,
    0x800fffe6,0xfffffff8,0xffffffff,0xfffff504,0x3ffe63bf,0x00000005,
    0xf9800000,0x00001fff,0xfffffff7,0x7fffffff,0xffffff88,0xffffffff,
    0xffffb84f,0xffffffff,0x7ffc43ff,0xffffffff,0x2a04ffff,0xfffffffe,
    0x1ffff503,0x3fffe600,0x1fff5006,0x7fffc400,0xffffffff,0x54404fff,
    0x0000009a,0x00000000,0x40000000,0xfffffffb,0x3fffffff,0x7fffffc4,
    0xffffffff,0xffffb84f,0xffffffff,0x7ffc43ff,0xffffffff,0x8804ffff,
    0x6c009aa9,0x7c006fff,0xa800ffff,0x7c4003cc,0xffffffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00003100,0x00260088,
    0x00000c40,0x80000066,0x3000aaa9,0x44000001,0xfc802600,0x0003ffff,
    0x00880220,0x7fffff90,0x53004b98,0x555579b9,0xffc81555,0x00003fff,
    0x067fff5c,0x7f44006e,0x17ff443f,0x9fffd700,0x6c401b81,0x0cffffff,
    0x3ff60000,0x7ffe4407,0xfffc804f,0x87ffd101,0x2a02ffe8,0x003fffff,
    0xc85ffc80,0xff9005ff,0xfffd9fff,0xfffe980f,0xffffffff,0xfffa81ff,
    0x700003ff,0x7fffffff,0x9003ff93,0x7ec1ffff,0xfb800fff,0x9bffffff,
    0xff901ffc,0xffffffff,0xff100009,0x7ff440bf,0x2606ffff,0x3f203fff,
    0x3ff60fff,0x3fa600ff,0x20002fff,0x2a3ffff9,0x4403ffff,0xfffffffa,
    0x3ee07fff,0xffffffff,0x01ffffff,0x05ffffd3,0xffff9800,0xffffffff,
    0xfffe804f,0x3ffffa1f,0x7fffcc01,0xffffffff,0xffffc84f,0xffffffff,
    0x7fd40003,0x3fff202f,0xd02ffffe,0xffe80dff,0x3fffa1ff,0xfffc801f,
    0xff50002f,0x7ffdcbff,0x3fffe04f,0xffffffff,0xffff305f,0xffffd9bf,
    0xc803ffff,0x0002ffff,0x7eccefe4,0x005fffff,0x641ffff9,0xf9007fff,
    0xffffb33b,0xfff30bff,0xffb55bff,0x54400fff,0x07ffeedb,0xffd1fffc,
    0x03fff90b,0x20ffffc8,0x2007fffc,0x002ffffa,0x22ffff98,0x202ffff9,
    0xffffffff,0x7f401eff,0x7fcc0eff,0x7d4002ff,0x40002fff,0xceffd983,
    0x07bf2000,0x38007bf2,0x0ceffd98,0x81ffffd8,0x401ffffc,0xffffffe8,
    0xff300eff,0x237fe43f,0x9004fff9,0x3df903df,0x20000000,0xfea83fea,
    0x6ffffc03,0x01fffffc,0xd817fffc,0x00006fff,0x00800000,0x00000000,
    0x3ffe0040,0xffff306f,0x7fffd407,0xffffffff,0x5c7ffa81,0x37ff47ff,
    0x00000000,0x00000000,0xffc81590,0x3fe606ff,0xfff500ff,0x0000000f,
    0x00000000,0x80000000,0x503ffff8,0x2a03ffff,0xffffffff,0x40ffffff,
    0x3f21fff9,0x07ffee6f,0x40000000,0x00abdcb9,0x10000000,0xfffff973,
    0x3fffe609,0x0ffff300,0x67665d40,0x440001ac,0x00abcdba,0x336ea200,
    0x750000ab,0x03599d99,0x20bfffea,0x00ffffe8,0x339fffff,0xbfffffff,
    0x3a3fff88,0x9fff35ff,0x15555100,0x01555540,0x3fffffea,0xaa9804ff,
    0x1aaaaaaa,0xffffc800,0x01ffffff,0x3207ffff,0x6cc06fff,0xffffffff,
    0x44001dff,0xfffffffd,0x362000cf,0xffffffff,0xffd9800c,0xffffffff,
    0x7fffd41d,0x7ffff441,0x7ffff703,0x7ff7ffdc,0x7fff41ff,0xfd1fffed,
    0x3fea00df,0x3ffa01ff,0x3fff605f,0xefffffff,0x3ffff201,0x004fffff,
    0x3fffffaa,0x05ffffff,0xa83dfffd,0x5404ffff,0xffffffff,0x001fffff,
    0xfffffff5,0x003dffff,0xfffffff5,0x803dffff,0xfffffffa,0x21ffffff,
    0x741ffffa,0x3e04ffff,0x7ff46fff,0x44ffff9e,0xfffffff9,0x003fff75,
    0x807fffea,0xfb05fffe,0xffddffff,0x7e40dfff,0xffffffff,0xffff3004,
    0xffffffff,0xfff301ff,0xfffd9dff,0xffa801ff,0xffeeefff,0x5400efff,
    0xffffffff,0x00ffffff,0x3fffffea,0xffffffff,0x3fffea00,0xffffeeef,
    0xffff50ef,0x1ffffe43,0x45ffff30,0xffd4fff8,0xfffd30df,0x13ffe27f,
    0x1ffffa80,0x217fffa0,0x21dffffa,0x02ffffd8,0xfffffff9,0x3f6009ff,
    0xb10aefff,0x3a09ffff,0xffffffff,0xea801fff,0xfffd301c,0xfffe805f,
    0xffcaabef,0x3fa04fff,0xcaabefff,0x204fffff,0xfd301cea,0x3fea5fff,
    0xffff11ff,0xffffa80b,0x6c7ffee0,0x2a207fff,0x0077fec1,0x03ffff50,
    0x742ffff4,0x3fa06fff,0x333107ff,0x09ffff33,0x1dffff50,0x0dffff50,
    0xfffffff9,0x20019fff,0xffff3000,0x7fffdc07,0xffff980d,0xffffb81f,
    0xffff980d,0x2600101f,0xff53ffff,0x3ffea3ff,0x7ffdc03f,0xf937ff47,
    0xfb800fff,0x7d4002ff,0x3fa01fff,0x7ffd45ff,0x3ffee02f,0xfff1000f,
    0xfffd009f,0x7fffc03f,0x5bffe60f,0x0009acba,0x3fffe000,0x3ffffe05,
    0x3ffff200,0x0fffff83,0x0fffff20,0x3fffe000,0x23ffff55,0x404ffff9,
    0x3e67fffc,0x3ffee3ff,0x3ffe2007,0xfffa8004,0x3fffa01f,0x03fffe45,
    0x007fffea,0x027fffc4,0x2037fffc,0x2e2ffffc,0x00003fff,0xbfffd000,
    0x13fffe20,0x8bffff10,0x404ffff8,0x005ffff8,0x55fffe80,0x3e23ffff,
    0x2e02ffff,0xff70ffff,0x37ffe41f,0x01fffb00,0x3ffff500,0x22ffff40,
    0xeeeffffd,0xfffeeeee,0xfff1003f,0xfff8809f,0x7ffdc04f,0x3bfff22f,
    0x75000000,0xfffdddb9,0x3ffea0bf,0xffff802f,0x17fffd46,0x037fffc0,
    0xeeedcba8,0xff55ffff,0x7ffec3ff,0xfff704ff,0xb1bffa1f,0x2a00bfff,
    0x004c2fff,0x00ffffd4,0xfe8bfffd,0xffffffff,0x3fffffff,0x9ffff100,
    0x3ffffa80,0x1ffffd40,0xddfffff5,0x0135999d,0x3ffff220,0xffffffff,
    0x3ffff705,0x8ffffd00,0x801ffffb,0x2207fffe,0xfffffffc,0xf55fffff,
    0x7fc43fff,0x540dffff,0xff9affff,0x3fffe23f,0x5fff8804,0x07ffffb1,
    0x00ffffd4,0xff8bfffd,0xffffffff,0x3fffffff,0x9ffff100,0x2ffffb80,
    0x1ffffd40,0xffffffd1,0x9fffffff,0x7fffc401,0xffffffff,0xfff905ff,
    0xfffd003f,0x1ffffc8f,0x07fffe80,0xfffffff1,0xbfffffff,0x307fffea,
    0x0dffffff,0xff9dffff,0x7fffdc1f,0x8fffd802,0xfffffff9,0x3ffff504,
    0x22ffff40,0xccceffff,0xcccccccc,0xfff1001c,0xfffb809f,0x7ffd402f,
    0x7fffc43f,0xffffffff,0xffd106ff,0x55599fff,0x2e0bffff,0xe802ffff,
    0x7fdc6fff,0xffe802ff,0xfffe886f,0xfaaaccff,0xfff55fff,0xfffd103f,
    0xfffd89ff,0x3ea6ffff,0xfa805fff,0xbfffb2ff,0xf503ffff,0x7f403fff,
    0x7ffec5ff,0x22000006,0x5404ffff,0x5c03ffff,0x7ec2ffff,0xeeeeefff,
    0x84ffffff,0x00dffffb,0x2a0bfffd,0xf803ffff,0x7fd45fff,0xfff803ff,
    0xffffb85f,0xbfffd00d,0x807fffea,0x20fffffd,0xfffffff9,0xfffffdbd,
    0xafffc401,0xff12fff9,0xffff509f,0x2ffff403,0x001ffff2,0xffff8800,
    0x7fffcc04,0x7ffff405,0x07ffff61,0x37fffdc4,0x007fffec,0x260bfffd,
    0x5405ffff,0x7cc4ffff,0x7d405fff,0xffd84fff,0x3ffa00ff,0x3ffff55f,
    0x1ffffe80,0x7fffffdc,0x4fffffff,0x50fffd80,0x5ffd8fff,0x02ffffa8,
    0xb8bffff5,0x0003ffff,0x9ffff100,0xfffff880,0xfffff300,0x017fffcc,
    0x743ffff4,0x3ea07fff,0x3fe05fff,0x3f601fff,0xfff82fff,0x3ff601ff,
    0xfffe82ff,0x3fffea07,0x03ffff55,0x82ffffc8,0xfffffffb,0xa802ffff,
    0x3fee2fff,0x4c2ffe46,0xf983ffff,0x7c45ffff,0x1002ffff,0x7fffc400,
    0xffffd804,0x7fff4c0e,0x3fffee4f,0x6fffe801,0x82ffffd8,0x05fffffb,
    0x07fffff2,0x417ffff6,0x81fffffc,0xb05ffffd,0xf705ffff,0x3eabffff,
    0x7e401fff,0xff501fff,0x1bdfffff,0x8bffd100,0x7fec7ffa,0xeffff884,
    0x3ffffea0,0xffffb85f,0xcaaaabef,0x3e2003fd,0xf9804fff,0xdcdfffff,
    0x20ffffff,0x406ffffa,0xc84ffffb,0xbacfffff,0x5ffffffe,0x3ffffe20,
    0xffffdcef,0xfff101ff,0xffb9dfff,0x3203ffff,0xbacfffff,0x5ffffffe,
    0x2a3ffff5,0xfffcaaac,0x3fff207f,0x640009aa,0x7fcc0fff,0x07fff11f,
    0x33fffffe,0xfffffffe,0xfffffd05,0xffffffff,0x99999107,0x99dffff9,
    0xffc81999,0xffffffff,0x7fc42fff,0xa9acefff,0x0effffeb,0xffffff88,
    0xffefffff,0x7ffdc05f,0xffffffff,0x7fdc03ff,0xffffffff,0x3e203fff,
    0xffffffff,0x55fffeff,0x3ea3ffff,0xffffffff,0x017ffe02,0x83fff980,
    0xffdffff8,0xfff700ff,0x9fffffff,0x3220bfff,0xffffffff,0xf983ffff,
    0xffffffff,0x1fffffff,0xffffffb8,0x702fffff,0xffffffff,0x3fffffff,
    0x7ffffdc0,0xff9bffff,0xfffa805f,0xffffffff,0xffff5002,0x5fffffff,
    0xfffff700,0xff37ffff,0x3fffeabf,0xffffff51,0x7fd407ff,0x3fa0002f,
    0x3ffee06f,0x7403ffff,0xffffffff,0x405fff9a,0xffffffd9,0xf981dfff,
    0xffffffff,0x1fffffff,0xfffffb30,0xfb8019ff,0xffffffff,0xa800cfff,
    0x1dffffff,0x200bfff3,0xffffffc8,0x644000de,0xdeffffff,0x3ffea000,
    0xff31dfff,0x3fffeabf,0xffffff51,0xfffd803b,0xfff90000,0xffffa801,
    0xfff9002f,0x3fe63bff,0x2a62005f,0x7cc009aa,0xffffffff,0x1fffffff,
    0x009aa880,0xffeeca80,0x8000bcde,0x00009aa8,0x009a9880,0x13531000,
    0x9aa88000,0x33100000,0x00000013,0x04c40000,0x00aa9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd1000000,0x003dffff,
    0x003bffea,0x00002662,0x00000000,0x54400000,0x0001bcdb,0x80000310,
    0x000efffa,0x7fff4400,0x7ffe41ef,0x800003ff,0x40001cc9,0x8abccba9,
    0x744003b9,0x000dffff,0x0bfffff5,0xceffffd8,0x1fffc800,0x006ffea8,
    0xd503fff9,0x3f200dff,0x3fee01ff,0x01dfffff,0x9fffd700,0x2a001b81,
    0x005fffff,0x3fffa200,0xfff500df,0x400007ff,0x002ffffa,0xffffffb8,
    0x006fffff,0x0fffffa2,0xfffff980,0x3ffa05ff,0x4c05ffff,0x7f543fff,
    0xf9806fff,0x7ff543ff,0xff9806ff,0x3fff603f,0x1fffffff,0x7fffdc00,
    0xffc9bfff,0xffff9801,0x80005fff,0x03ffffe8,0x2ffffe98,0xfffd0000,
    0x7f4c00df,0xffffffff,0xd1006fff,0x4003dfff,0xfb8efff9,0x557905ff,
    0x7403fffb,0xffff86ff,0xffe806ff,0xffffff86,0x06ffe806,0x3bffffee,
    0x006fffff,0x3fffffe6,0x4fffffff,0x477ffcc0,0x0005fffb,0x07bfffa2,
    0x5ffff900,0xffff0000,0x3fe600ff,0xffffffff,0x8806ffff,0x000dfffe,
    0xb83bffe2,0xfb804fff,0xfff900ff,0xffd9f903,0x1fffc80d,0x6ffecfc8,
    0x80fffe40,0x20dffff8,0x001ffffd,0x3f6677f2,0x405fffff,0x2e0efff8,
    0x88004fff,0x000dfffe,0x05ffff50,0xffffd800,0xffffb005,0x7ff4c15d,
    0x0000006f,0x77640000,0xff303fff,0x7ec2209f,0x3ffe606f,0x3ff61104,
    0x13ffe606,0x80ffff98,0x4003ffff,0xceffd983,0x00000000,0x00000000,
    0xdffd3000,0xffff5001,0x3fffa01d,0x00000006,0x7ffec000,0xdffd02ef,
    0x81bff600,0xfb006ffe,0x37ff40df,0x41bffee0,0x0004fffe,0x00000040,
    0x00000000,0x33000000,0x7ffff400,0x1bfffa01,0xcceccba8,0xcba8001a,
    0x401accec,0x4ffffeec,0x800fffdc,0xff706ffd,0x3ff6003f,0x03fff706,
    0xf07fffb8,0x00005fff,0x65cc0000,0x20000abd,0x00abdcb9,0x79b75100,
    0x00000015,0x037fffc4,0xb31bfffa,0xffffffff,0xd9803bff,0xffffffff,
    0xfd001dff,0x27ffccff,0x30dffb00,0x6c009fff,0xfff986ff,0xffff9804,
    0x07fffdc1,0x20d55440,0x001bcdca,0x3fffffea,0x7d4004ff,0x4fffffff,
    0x3fff6200,0x00cfffff,0x2aaaaaa6,0x7cc01aaa,0x7f404fff,0x7ffd46ff,
    0xffffffff,0x3fea01ff,0xffffffff,0x26a21fff,0x26fffa99,0x6c006ffe,
    0x6ffe86ff,0x437fec00,0xf1006ffe,0x7fdcdfff,0xff5004ff,0x3fffa6bf,
    0xfd803fff,0xffffffff,0xffd801ef,0xffffffff,0x7ffd401e,0xffffffff,
    0xffff901e,0x809fffff,0x403ffffa,0x7d46fffe,0xfeeeffff,0x500effff,
    0xdddfffff,0x21dfffff,0xfffffff8,0x03fff72f,0x5c6ffd80,0x6c001fff,
    0x7ffdc6ff,0x3fff2001,0x6ffffdcf,0x37ffea00,0xfffffffa,0x3ff603ff,
    0xfffeefff,0x7fec06ff,0xfffeefff,0x3fea06ff,0xffffffff,0xfc80ffff,
    0xffffffff,0x7fffdc04,0x37fff402,0x74c073aa,0xd502ffff,0x3ffa6039,
    0xffff12ff,0x3fe25bff,0xffd8004f,0x013ffe26,0xf89bff60,0xfe8004ff,
    0xdfffffff,0x3ffea000,0xfffffffe,0xfa80ffff,0x3621dfff,0xf502ffff,
    0x6c43bfff,0xfd02ffff,0x9557dfff,0x909fffff,0xffffffff,0xfffb809f,
    0x7fff402f,0xff980046,0x200103ff,0x263ffff9,0x7ec09aaa,0x200000ef,
    0x0000effd,0x003bff60,0x3ffffe60,0xfa8003ff,0xadffffff,0x83fffffb,
    0x3a06fffe,0xffd07fff,0x7fff40df,0xdffffb87,0xfffff980,0x4ccccc41,
    0x5404ffff,0x7403ffff,0x20006fff,0x0005ffff,0x005ffff8,0x000bffee,
    0x02fffb80,0x3ffee000,0xfff90002,0x20001fff,0x1ffffffa,0x227fffcc,
    0x202ffffa,0x540ffffb,0x2e02ffff,0x7fc0ffff,0x3f200fff,0xf8803fff,
    0x7cc04fff,0x3ea04fff,0x20006fff,0x0005fffe,0x005fffe8,0x0009fff1,
    0x027ffc40,0x9fff1000,0x3fffa000,0x7dc5ffff,0xfff506ff,0x3ffe05ff,
    0x3fffe45f,0x07fffea0,0xa80ffff9,0x3e21ffff,0x7c404fff,0xf8805fff,
    0x7c404fff,0xff307fff,0xba80dfff,0xfffeeedc,0xb975005f,0xbffffddd,
    0x03fff600,0xfffd8000,0x3f600000,0xfd8000ff,0xffffffff,0x417ffee3,
    0x203ffffa,0x7ec6fffe,0xeeeeefff,0x3ffffeee,0x777fffec,0xffeeeeee,
    0x3ffea3ff,0xffff802f,0xffff8806,0xffffd804,0x7ffffd44,0xfffc886f,
    0xffffffff,0x3ff2205f,0xffffffff,0xffa805ff,0x2a00002f,0x004c2fff,
    0x02fffa80,0xcffffa80,0x72fffff8,0x3ea09fff,0x3fa01fff,0x7fff46ff,
    0xffffffff,0x743fffff,0xffffffff,0xffffffff,0x07fffee3,0x01ffffa0,
    0x013fffe2,0x3bffffe6,0xffffffec,0x7fffc46f,0xffffffff,0xfff105ff,
    0xffffffff,0xf880bfff,0x3ffe25ff,0x3fe2007f,0xdfffb35f,0x3fe20019,
    0x3fffe25f,0x4dfffd07,0xd9fffff9,0xff503fff,0x7ff403ff,0x7ffffc6f,
    0xffffffff,0x7fc3ffff,0xffffffff,0x3fffffff,0x007ffff2,0x201ffffa,
    0x004ffff8,0xfffffffd,0xdfffdfff,0x7fffff44,0xfffaaacc,0xfffe885f,
    0xfaaaccff,0x7ec05fff,0x3fff20ff,0x3ff6007f,0xfffff88f,0xffb004ff,
    0x7fffe41f,0x3ffff887,0x7f7fffdc,0xff502fff,0x7ff403ff,0x77fffc6f,
    0xcccccccc,0x7fc1cccc,0xccccceff,0x1ccccccc,0x00bfffee,0x201bfffa,
    0x004ffff8,0xffffffd1,0xdfff95ff,0x06ffffdc,0xb85fffe8,0xd00dffff,
    0x7d40bfff,0x3ffe62ff,0xff5007ff,0x6de7e45f,0x7d400fff,0x3ffe62ff,
    0xfff987ff,0xffffc81f,0x3ea07fff,0x3fa01fff,0x7ffec6ff,0xffd80006,
    0x7d40006f,0xff803fff,0xff8805ff,0x7e4004ff,0xfb1dffff,0x7ffecdff,
    0x3fffa00f,0x0ffffd85,0x417fffa0,0x7f45fff8,0x8807ffaf,0x26085fff,
    0x3e201fff,0x57ff45ff,0xfffa87ff,0xffffd01f,0x7fd409ff,0x3ffa01ff,
    0x3fffe46f,0x7ffe4000,0x7fcc0007,0x7fd405ff,0xff8804ff,0x530004ff,
    0x6fffd815,0xa81ffffa,0xfe85ffff,0x3fea07ff,0xfffb05ff,0x7cdffe41,
    0xfffd807f,0x03ffe400,0xfc83fff6,0x887ff9bf,0xd103ffff,0x401fffff,
    0x201ffffa,0x7dc6fffe,0x40003fff,0x003ffffb,0x0fffffc0,0x05ffffb0,
    0x09ffff10,0xfffd0000,0x17fffecd,0x2fffffdc,0x417fffec,0x85fffffb,
    0x3e62fffa,0x80fff36f,0x6402fffa,0x3ea04fff,0x5bfe62ff,0xfff07ff9,
    0x3ff203ff,0x3ea01fff,0x3fa01fff,0x7ffc46ff,0x101002ff,0x005fffff,
    0x3ffff202,0xffffd81f,0xffff1005,0xfd000009,0x7ffe4dff,0xffebacff,
    0xfc85ffff,0xebacffff,0x45ffffff,0x7f45ffe8,0xcfffdcdf,0x05ffe882,
    0x813fff62,0x7f45ffe8,0xcfffdcdf,0x7ffffe42,0xfffebaac,0xf500ffff,
    0x7f403fff,0xfffb86ff,0xaaaabeff,0xff703fdc,0x5557dfff,0xf107fb95,
    0xb9dfffff,0x03ffffff,0x13fffe20,0x3ffa0000,0x3fffe26f,0xefffffff,
    0xff885fff,0xffffffff,0x645fffef,0x7ffc0fff,0x4fffffff,0x100fffc8,
    0xc807fffd,0x7ffc0fff,0x4fffffff,0x7fffff44,0xffffffff,0xfa80efff,
    0x3fa01fff,0xfffd06ff,0xffffffff,0x7ff407ff,0xffffffff,0xff703fff,
    0xffffffff,0x99107fff,0xffff9999,0x0199999d,0x37fff400,0x3fffffee,
    0xfff9bfff,0xfffff705,0xff37ffff,0x1fffccbf,0x7ffffffc,0x7fcc4fff,
    0xffff103f,0xf989dddf,0xffff83ff,0x84ffffff,0xffffffe9,0xffddffff,
    0xfffa85ff,0x3fffa01f,0xffff9106,0xffffffff,0x7ffe4407,0xffffffff,
    0x3ffea03f,0xffffffff,0xfffff302,0xffffffff,0x40003fff,0xfa86fffe,
    0x31dfffff,0x7d40bfff,0x31dfffff,0x7ff4bfff,0x1ffe6006,0xf3037ff4,
    0xbfffffff,0x2006ffe8,0xfb807ff9,0x1effffff,0x89ffffd1,0x201ffffa,
    0x4c06fffe,0xfffffffd,0xd9801dff,0xffffffff,0x7e4401df,0x0defffff,
    0x3ffffe60,0xffffffff,0x20001fff,0x2206fffe,0x800009aa,0x90009aa8,
    0x4c001fff,0xfffc87ff,0x3fffe600,0x3f25ffff,0x3e6000ff,0x2a62007f,
    0x3ea0001a,0x3fa01fff,0x262006ff,0x00009aaa,0x026aaa62,0x04d4c400,
    0xfffff980,0xffffffff,0x20001fff,0x0003cccb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa20000,
    0x2aaa00aa,0x7fffd41a,0x2aa20001,0x566e541a,0xffffc800,0x5400003f,
    0x0000efff,0x00099880,0x0dfffd00,0x03bffea0,0x2af3bf20,0xe8800001,
    0x261effff,0x2001aaaa,0x0002aaaa,0x3bffffa2,0x54055cc1,0xf101ffff,
    0xffa89fff,0x2a0001ff,0xffd35fff,0x5009ffff,0x007fffff,0x3fffea00,
    0xb880005f,0x6ffffffe,0x7fff4000,0xffffa806,0xfffc805f,0x0002efff,
    0xbffffd10,0x6ffff981,0xbffff300,0x3ffa2000,0x7fe40dff,0x7ffd40ef,
    0xffff101f,0x1ffffa89,0x3ffea000,0xffffffad,0xe9805fff,0x0002ffff,
    0x7fffffcc,0x3ea0005f,0xffffffff,0x7ff40007,0x7ffcc06f,0x6405ffff,
    0xffffffff,0x3a20001e,0x3a03ffff,0xc801ffff,0x8002ffff,0x83ffffe8,
    0x45fffffa,0x101ffffa,0xfa89ffff,0x20001fff,0xfffefffa,0xffffffff,
    0xffff9003,0x3fe60005,0x5fffb8ef,0xffff9800,0x07ffffff,0x37fff400,
    0x71dfff30,0x7e40bfff,0xffffffff,0xfe88001f,0x7dc01eff,0xff804fff,
    0xe88007ff,0xf901efff,0x541fffff,0xf101ffff,0xffa89fff,0x2a0001ff,
    0xdfffffff,0x6ffffeaa,0x3fffea00,0x7ffc4002,0x13ffee0e,0xfffffd00,
    0x00fb9759,0x06fffe80,0x5c1dfff1,0x95304fff,0xffffffd9,0x7f44001d,
    0xf8800dff,0x7d407fff,0x44004fff,0x200dfffe,0x47fffffc,0x101ffffa,
    0xfa89ffff,0x20001fff,0x1ffffffa,0x02ffffe8,0x00000000,0xffff5000,
    0x2000001d,0x0006fffe,0xffd98000,0x00004fff,0x3ffff200,0x3ffff602,
    0x98000000,0x545fffff,0xf101ffff,0xffa89fff,0x2a0001ff,0x502fffff,
    0x0009ffff,0x00000000,0x03fffee0,0xffe80000,0x0000006f,0x1fffff20,
    0xf9800000,0xff105fff,0x00000bff,0x06fffdc0,0x407fffea,0x544ffff8,
    0x2e21ffff,0x3ea00acd,0x3e203fff,0xaa885fff,0x2aaa00aa,0x5555442a,
    0x0aaaaa00,0x01ffff60,0x66654c00,0x806fffeb,0x0abcdba8,0x7fffc000,
    0xdba8800f,0x3a000abc,0xfa80ffff,0x2a202fff,0x2aa00aaa,0x009882aa,
    0x203ffff5,0x544ffff8,0xfe88ffff,0x504fffff,0xf803ffff,0xffa86fff,
    0x3ffa01ff,0x7fffd45f,0x17fffa01,0x01bfffa0,0xfffff700,0x0dffffff,
    0x7ffffec4,0x0000cfff,0x405ffffd,0xffffffd8,0xfb800cff,0xffd83fff,
    0x7ffd407f,0x3fffa01f,0xfffa8005,0xffff101f,0xaffffa89,0xfffffffe,
    0xffffa85f,0x3ffff401,0x00ffffd4,0xfa8bfffd,0x3fa01fff,0xffe805ff,
    0xfd30006f,0xffffffff,0x3ea0dfff,0xffffffff,0xe8001eff,0xf500ffff,
    0xffffffff,0xf8803dff,0x7fc46fff,0x7fd404ff,0x3ffa01ff,0xffa8005f,
    0xfff101ff,0xffffa89f,0xffffffff,0x7fd43fff,0x7ff401ff,0xffffa87f,
    0x17fffa01,0x403ffff5,0xe805fffe,0x88006fff,0xffffffff,0x86ffffff,
    0xfffffffa,0x0fffffff,0x3fffe600,0xfffff507,0xffffffff,0xfffc801f,
    0x3fffee1f,0x7fffd401,0x17fffa01,0x3fffea00,0x9ffff101,0xffffffa8,
    0xfffeaadf,0x7fffd46f,0x37fffc01,0x00ffffd4,0xfa8bfffd,0x3fa01fff,
    0x333265ff,0xcfffffcc,0x81cccccc,0x0aeffffd,0x21bfffa6,0xabeffffe,
    0x4fffffca,0xffffd500,0x3ffffa0b,0xfffcaabe,0x7fcc04ff,0x3fffa4ff,
    0xffffa806,0x17fffa01,0x3fffea00,0x9ffff101,0xffffffa8,0x2ffffe81,
    0x807fffea,0xa84ffff8,0x3a01ffff,0x7fd45fff,0x3ffa01ff,0x3fffee5f,
    0xffffffff,0x542fffff,0xd00effff,0xffb8dfff,0xff980dff,0xeee81fff,
    0x0fffffff,0x0dffffb8,0x1fffff98,0x9b7fff40,0xa803ffff,0x3a01ffff,
    0xa8005fff,0xfb01ffff,0xffa89fff,0xff502fff,0x7ffd49ff,0x3ffee01f,
    0xffffa83f,0x17fffa01,0x403ffff5,0x3ee5fffe,0xffffffff,0xffffffff,
    0x0fffff42,0xf8dfffd0,0x3200ffff,0xff83ffff,0x2fffffff,0x01fffff0,
    0x01ffffe4,0x327fffee,0xa800ffff,0x3a01ffff,0x1a885fff,0x07ffff50,
    0x89fffff9,0x203ffffa,0x2a5ffff8,0x3a01ffff,0xfa81ffff,0x3fa01fff,
    0x7ffd45ff,0x3fffa01f,0x3ffffee5,0xffffffff,0x7fc2ffff,0x7ff406ff,
    0x3fffe26f,0x7fffc404,0xffffff85,0xfff100df,0xfff8809f,0x7ffc405f,
    0x04fffecf,0x03ffff50,0x2e2ffff4,0x7d40efff,0x3ee0efff,0x545fffff,
    0x7c01ffff,0x3fea6fff,0xffd881ff,0xfff505ff,0x7fff403f,0x0ffffd45,
    0x00bfffd0,0x400dfffd,0x404ffff9,0x3ea6fffe,0xff802fff,0xfffe86ff,
    0x7fd400ad,0xfff802ff,0xfffd806f,0x001fffff,0x403ffff5,0x3e65fffe,
    0x7d45ffff,0xffcfffff,0xdfffffff,0x03ffff52,0x2a7fffe8,0xaabdffff,
    0x0fffffec,0x03ffff50,0x2a2ffff4,0x3a01ffff,0xfe805fff,0x3ea006ff,
    0x7f403fff,0x3ffee6ff,0xfffe801f,0x02fffe87,0x03ffff70,0x00ffffd0,
    0xfffffff3,0x7ffd400d,0x3fffa01f,0x3fffff25,0x7ffffd47,0xfcffffff,
    0xff54ffff,0xffe803ff,0x3fffea7f,0xffffffff,0x3fea02ff,0x3ffa01ff,
    0x7fffd45f,0x17fffa01,0x01bfffa0,0x02ffffb8,0xf937fff4,0xfd003fff,
    0xfffd0fff,0x3fff2005,0xfffe801f,0xffffd007,0x7d4007ff,0x3fa01fff,
    0x3fff25ff,0x7ffd47ff,0x8fffffff,0x54fffff9,0xf803ffff,0x3fea6fff,
    0xffffffff,0x7d401eff,0x3fa01fff,0x7ffd45ff,0x3fffa01f,0x6fffe805,
    0x3fffee00,0x37fff402,0x005ffff7,0xfb0dfffd,0x3ee005ff,0xfe802fff,
    0xff7006ff,0xa800ffff,0x3a01ffff,0x3fea5fff,0x7fd45fff,0x1dfffeff,
    0x553fffee,0x2201ffff,0x3ea4ffff,0xffffffff,0xff5003ef,0x7ff403ff,
    0x7fffd45f,0x17fffa01,0x01bfffa0,0x03ffffa8,0xf537fff4,0xff007fff,
    0x33310bff,0x7fffd400,0x5ffff803,0xfffff100,0xfffa8007,0x3fffa01f,
    0x077ffdc5,0x555fffea,0x54355100,0x2e01ffff,0x3ea3ffff,0x09a9afff,
    0xffffa800,0xbffff502,0x02ffffa8,0x00bffff5,0x400dfffd,0x204ffff9,
    0x266ffffa,0x5405ffff,0x0004ffff,0x17fffe60,0x09ffff50,0x3ffffe20,
    0x7ffd4000,0xffff502f,0x2a03510b,0x40007fff,0x201ffffa,0x2a1ffffe,
    0x0001ffff,0x83ffff98,0x45fffff9,0x983ffff9,0x805fffff,0x2006fffe,
    0x307ffff8,0xf8dfffff,0x3601ffff,0xb882ffff,0x7ffc002c,0x3ff601ff,
    0xff9002ff,0xf30009ff,0xff307fff,0x5000bfff,0x0001ffff,0x40ffffd4,
    0x45ffffd8,0x001ffffa,0xeffff880,0x3ffffea0,0x7fffc45f,0x3fffea0e,
    0xffe805ff,0x7fec006f,0x7ffd44ff,0x7fe46fff,0xffd81fff,0xfff885ff,
    0x3ff2004f,0xffd81fff,0xff5005ff,0x10001fff,0x541dffff,0x85ffffff,
    0x7d41ffff,0x20001fff,0xabdffffa,0xfffffeca,0x0ffffd40,0xffff8000,
    0xffffecff,0xfff85fff,0xfffecfff,0xe805ffff,0x4c006fff,0xecefffff,
    0x6fffffff,0x7fffffc4,0xfffffdce,0xffffc81f,0xfff1001f,0xffb9dfff,
    0x8803ffff,0x01fffffc,0x3ffffe00,0xfffffecf,0x7ffc45ff,0x1ffffa86,
    0x3ffea000,0xffffffff,0xffa82fff,0x700001ff,0xffffffff,0x0bfff9ff,
    0xfffffff7,0xbfff9fff,0x0dfffd00,0xfffffd00,0xff9fffff,0xffff70df,
    0xffffffff,0x3fff607f,0x3ee002ff,0xffffffff,0xff03ffff,0x7fffffff,
    0xfffb8000,0xcfffffff,0x7fd45fff,0xffffa84f,0x3fea0001,0xffffffff,
    0xff501eff,0x400003ff,0xfffffffe,0x05fff9af,0xfffffffd,0x0bfff35f,
    0x00dfffd0,0xfffffd10,0xfff35fff,0x3fffea0d,0x2fffffff,0x3ffffee0,
    0x7ffd4000,0xffffffff,0x3ffffe02,0x00004fff,0xfffffffd,0x8bfff35f,
    0xfa81fffb,0x20001fff,0xffffeca8,0x5403efff,0x0001ffff,0x7ffffe40,
    0x0bfff31d,0x6fffffe4,0x00bfff31,0x000dfffd,0x6fffffe4,0x40dfff31,
    0xffffffc8,0xffd800de,0xf910003f,0x1bdfffff,0xffffff80,0x6400001e,
    0x31dfffff,0xffd8bfff,0x19999306,0x99980000,0x33260009,0x000000cc,
    0x00001553,0x00001553,0x000dfffd,0x00015530,0x0026a620,0x00002a60,
    0x0004d4c4,0x0059bffd,0x0aa98000,0x01665c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e4055cc,0xffffffff,0x4cc40004,0x4c400000,0x04c00009,0x26600000,
    0x00cc0001,0x3ff20000,0x3fea3fff,0x2a0001ff,0x005fffff,0x00066000,
    0x00133330,0x3bbbbbaa,0x0eeeeeee,0x81dfff90,0xfffffffc,0xeb8004ff,
    0x2dffffff,0xffdca800,0x803dffff,0xcefffdb9,0x6dc40003,0xdffffffe,
    0x3f72600b,0x000cefff,0x3ffff200,0x7fffd41e,0x7f440001,0x00005fff,
    0xdffffd93,0xfec98039,0x2dffffff,0x3ffffee0,0xffffffff,0xfffffa81,
    0x7ffffe45,0x2004ffff,0xffffffe9,0x800effff,0xffffffd8,0x200fffff,
    0xfffffffb,0xb8000eff,0xffffffff,0xf504ffff,0xffffffff,0xf900003f,
    0xf501bfff,0x00003fff,0x017ffff2,0xfffff700,0x407fffff,0xfffffffd,
    0xb80effff,0xffffffff,0xc81fffff,0x20ffffff,0xffeeeeeb,0xff1004ff,
    0xffffffff,0x5401dfff,0xffffffff,0xb00fffff,0xfdbfffff,0x2003ffff,
    0xffffffd8,0x4fffffff,0xffffffc8,0x03ffffff,0x3ffff200,0x3fffea03,
    0x3ea00001,0x88005fff,0xfffffffd,0xb04fffff,0xffffffff,0xf70dffff,
    0xffffffff,0xf903ffff,0x100fffff,0x2009ffff,0xaceffffe,0x3ffffedb,
    0xffffff70,0xffffffff,0x39fffd01,0x1ffffa88,0x7ffffc40,0xffffffff,
    0x7ffdc4ff,0xfffdceff,0xc8000fff,0x5401efff,0x0001ffff,0x2ffff440,
    0x3ffff600,0xffffffff,0xeffd83ff,0xfffffdce,0xfb8004ff,0xff981fff,
    0xf8805fff,0xf8804fff,0xff105fff,0xfff10bff,0x4c137fff,0x7fd40fda,
    0x7ff4403f,0x7fffec06,0x6d4c1aef,0x3fffe24f,0x7ffec41f,0x0000004f,
    0x003ffff5,0x98000000,0x11bfffff,0x0fffffd5,0x3f620155,0xb8005fff,
    0xf701ffff,0xf1001bff,0xf5009fff,0x7ec03fff,0xfffc87ff,0xe80801ff,
    0xff1003ff,0x3ffe605f,0xb82004ff,0xf102ffff,0x0001ffff,0xffff5000,
    0x00000003,0x3ffffd80,0x5ffffd10,0xffff3000,0xfff7000f,0x004c403f,
    0x09ffff10,0x01ffff70,0x2237ffe4,0x001fffff,0xb70fff50,0x3fee5fff,
    0x9ffffd06,0x7fffc000,0x7fffd406,0x55555304,0x50035555,0x6543ffff,
    0x54c01bcd,0xaaaaaaaa,0xffffa801,0x7fffcc05,0xfffd0006,0xfff7000f,
    0x8800003f,0xa804ffff,0xf103ffff,0xffc89fff,0x3a0005ff,0x3ff623ff,
    0xfff13fff,0xfffff985,0xfff50000,0xfffa807f,0xffff906f,0x009fffff,
    0xd31ffff5,0x07ffffff,0x7fffffe4,0xfc804fff,0xff802fff,0xe8000fff,
    0xb8004fff,0x0001ffff,0x27fffc40,0x7ffffc40,0x0ffffd83,0x017fffec,
    0x20fff880,0x3ffffffd,0xff70fff6,0x5c0009ff,0xb100ffff,0x20ffffff,
    0xfffffffc,0xffa804ff,0xfffffaff,0xf903ffff,0xffffffff,0xffffb009,
    0xffff9001,0xfff98003,0xffb8002f,0x400001ff,0x004ffff8,0x5dfffff9,
    0x09ffffb1,0x000fffff,0xff337fcc,0x5c1335ff,0x7ffe45ff,0x3f20001f,
    0xffd307ff,0x320fffff,0xffffffff,0xfffa804f,0xffffffff,0xfc80ffff,
    0xffffffff,0x6fffe804,0x5ffff700,0x7fff5400,0xffb8000f,0x400001ff,
    0x004ffff8,0x3ffffff6,0x884fffff,0x0007ffff,0xffc97fea,0x1bfea02f,
    0x881ffffb,0xaaaaaaaa,0x70dfffb1,0xffffffff,0x3333101f,0x009ffff3,
    0xfffffff5,0xfffff75b,0x33333107,0xf009ffff,0x2a00dfff,0xc983ffff,
    0xffffeecc,0xff70000d,0x800003ff,0x004ffff8,0x7fffffe4,0xff302fff,
    0x5c000dff,0x3fff64ff,0xd1ffe600,0xff10ffff,0x2bffffff,0x3625fffe,
    0xffdfffff,0xff1001ff,0xff5009ff,0xf983ffff,0xf1004fff,0xf8809fff,
    0xf3005fff,0xff509fff,0x09ffffff,0xffffb800,0x07dfd301,0x13fffe20,
    0x3ffff600,0xa80dffff,0x0005ffff,0xffe93ff2,0x07ffc407,0xf10dffff,
    0xbfffffff,0x7d57fffe,0xf99effff,0xf1002fff,0xf5009fff,0x3e05ffff,
    0xf1005fff,0xf9809fff,0xf3004fff,0xff50bfff,0xdfffffff,0x3fee0005,
    0xfff881ff,0xff8803ff,0x3a2004ff,0xffffffff,0x7fd41fff,0x320005ff,
    0x3fffa4ff,0xf1ffe600,0xff10ffff,0x2bffffff,0xffcdfffe,0x3fea4fff,
    0xff1001ff,0xff5009ff,0x7ff407ff,0xfff1006f,0xfff9809f,0xfff3005f,
    0xffff509f,0xbfffffff,0xffff7000,0xfffff503,0xffff100f,0x3ffe2009,
    0xfffeadff,0x3fe60fff,0x2e0006ff,0x3fff65ff,0xd1bfea02,0x5510ffff,
    0x2bffff55,0xfffffffd,0x7ffd42ff,0xfff1001f,0xfff5009f,0x7fff403f,
    0xffff1006,0xffff8809,0xffff5006,0x3f6a2007,0x4003ffff,0xb81ffffb,
    0x02ffffff,0x027fffc4,0x42ffffe8,0x25fffffb,0x007ffff8,0xfb9bfe60,
    0x2098beff,0x7fec5ffb,0xfff800ff,0xfffff95f,0xff701bff,0x3e2001ff,
    0xfa804fff,0x3fa01fff,0xff1006ff,0xfff009ff,0x3fea00df,0xfa8002ff,
    0x2000ffff,0x881ffffb,0x03ffffff,0x027fffc4,0x817fffdc,0x20fffff9,
    0x001fffff,0x221fff10,0x3fffffff,0xff913ff2,0xfff005ff,0x3fffeebf,
    0x3ff203ff,0x3fe2007f,0xffa804ff,0x3ffa01ff,0xfff1006f,0xfffd009f,
    0x3fff200f,0xffb0000f,0x7e4003ff,0xff501fff,0xf8807fff,0xfd804fff,
    0x7fdc06ff,0x3fffa2ff,0x3fe0004f,0x3fffea3f,0x5fff13ff,0x05ffffb8,
    0xf55ffff8,0xf803dfff,0x22006fff,0xa804ffff,0x3a01ffff,0xf1006fff,
    0xfb009fff,0xfd005fff,0x5c000fff,0x2002ffff,0x200ffffd,0x402ffffc,
    0x804ffff8,0x4c05ffff,0x3f23ffff,0x0000ffff,0xfd98dff9,0xdff72fff,
    0x3fffff30,0x35ffff80,0xa80bffff,0x2003ffff,0x804ffff8,0x201ffffa,
    0x1006fffe,0x7009ffff,0x9809ffff,0x0006ffff,0x047ffff6,0x1bfffe20,
    0x01ffff50,0x04ffff88,0x407ffff8,0x221ffffa,0x01efffff,0x17ffc408,
    0x3ffa2188,0xdffffb03,0x2ffffc03,0x405ffffb,0x4007fffd,0x804ffff8,
    0x201ffffa,0x1006fffe,0x1009ffff,0x403fffff,0x001ffffe,0x4fffff10,
    0xffd881cd,0x7fe405ff,0xfff8806f,0xfffd804f,0x3fffa03f,0xfffffb87,
    0x7ed441bf,0x017ffe40,0x881bffa2,0x0affffff,0x265ffff8,0xd80fffff,
    0x4003ffff,0x804ffff8,0x201ffffa,0x1006fffe,0x2009ffff,0x0afffffc,
    0x17ffff66,0x7fff5400,0x33bff65f,0xffffffdc,0x3fffea01,0xffff8801,
    0xffffb804,0xfeba9bef,0xffd05fff,0xfdffffff,0xf881ffff,0xe980bfff,
    0x7dc02fff,0xefffffff,0x45fffffe,0xbdfffffe,0x0fffffec,0x7fffc400,
    0xffffa804,0x1bfffa01,0x27fffc40,0xfffff880,0xfffffeff,0x677d41ff,
    0xffedcccc,0x3f60ffff,0xffffffff,0x75d4c3ff,0x6443ffff,0xfffccccc,
    0x0cccccef,0x7ffffff4,0xefffffff,0xffffd300,0xffffffff,0xffff301f,
    0xffffb9df,0x3ff6005f,0xffffffff,0x7cc5ffff,0xffffffff,0x2201ffff,
    0xffcccccc,0xccccceff,0x07fffea0,0x446fffe8,0xffcccccc,0xccccceff,
    0xfffffa80,0xffffffff,0xfffffa83,0xffffffff,0x7fffec1f,0x84ffffff,
    0x3ffffffd,0xffffff98,0xffffffff,0x7ff441ff,0xffffffff,0xffc800ef,
    0xffffffff,0xffd100ff,0xffffffff,0xfffa8003,0xffffffff,0xffe885ff,
    0xefffffff,0x7fffcc00,0xffffffff,0x3ea1ffff,0x3fa01fff,0x7ffcc6ff,
    0xffffffff,0x301fffff,0xfffffffd,0x3ea03dff,0xffffffff,0xc881dfff,
    0xdffffffe,0x9ffffb00,0x3fffe601,0xffffffff,0xd501ffff,0xdfffffff,
    0xfec98005,0x1befffff,0xffffdb80,0x10000bdf,0xffffffd9,0xec8039ff,
    0x04efffff,0xffffff30,0xffffffff,0x7ffd43ff,0x3fffa01f,0x7ffffcc6,
    0xffffffff,0x32201fff,0xcefffffe,0x3fffea00,0x1cefffff,0x01353100,
    0x80135770,0xfffffff9,0xffffffff,0xaaa9801f,0x2a200001,0x54400019,
    0x51000001,0x10001335,0xf3000353,0xffffffff,0x3fffffff,0x00ffffd4,
    0xf98dfffd,0xffffffff,0x1fffffff,0x0026a600,0x9aaa9988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x0003ffff,0x04cccc00,0xdfff5000,0x02880001,
    0x03dddd30,0x009dddb0,0x40000988,0x10000098,0xbdddb975,0xdddddd70,
    0x9ddddddd,0x0004c400,0x22000000,0x0aacccb9,0x007bbbaa,0x1ffffc40,
    0x3b6a0000,0xdfffffff,0x3ffea002,0xc98005ff,0xfa800ffe,0xfe802fff,
    0xfda805ff,0x00ceffff,0xfffffeb8,0xfc98003e,0x6fffffff,0xffffffc8,
    0x5fffffff,0x3fff6e20,0x98002eff,0x8007fffd,0xffffffe9,0xfff51fff,
    0x3e20003f,0x00003fff,0xffffffb3,0x009fffff,0x3fffffe6,0x7fe4005f,
    0xffa800ff,0xffe802ff,0x3ff6205f,0xffffffff,0xffffd502,0x01bfffff,
    0x3fffff20,0xc86fffff,0xffffffff,0x505fffff,0xffffffff,0x91003dff,
    0x00ffffff,0xffffffc8,0xf51fffff,0x20003fff,0x003ffff8,0xfffff880,
    0xffffffff,0xefff9804,0x005fffb8,0x003ffff2,0x00bfffea,0xd817fffa,
    0xffffffff,0x7dc2ffff,0xffffffff,0x6c00ffff,0xffffffff,0xffc86fff,
    0xffffffff,0x7ec45fff,0xffffffff,0x32206fff,0x7fffffff,0x3ffffa00,
    0xffffffff,0x59ffff51,0xf1001355,0x00007fff,0xdffffffd,0x09fffddd,
    0x20efff88,0x9004fffb,0x5001ffff,0xd005ffff,0x3ea0bfff,0xdbcfffff,
    0x7fc45fff,0xfecdffff,0x3604ffff,0xaaefffff,0xefffc801,0xaaaaaaaa,
    0x7fffcc2a,0xffffffff,0x7fe444ff,0x7fffffff,0xfffff700,0xff97559d,
    0x3ffffea3,0x1dffffff,0x07ffff10,0xffffa800,0x00aa202f,0x7e400000,
    0xfa800fff,0xfe802fff,0xffff05ff,0xd0bb105f,0xf509ffff,0xf301ffff,
    0x0005dfff,0x000bfff9,0x10577fdc,0xc8fffffd,0xffffffff,0xff9807ff,
    0x85404fff,0xfffffffa,0x0dffffff,0x01ffffc4,0x3ffff200,0x00000002,
    0x3aaaaaa0,0xaaabffff,0xfff51aaa,0xfffd005f,0x7ffff10b,0x7ffc4080,
    0x3ffee06f,0xffffd84f,0xfff90001,0x05d8000b,0x83ffffe2,0xd9effff9,
    0xfd807fff,0x54004fff,0xffffffff,0x0effffff,0x80ffffe2,0x742aaaaa,
    0x0001ffff,0xaaaaaa98,0x7f401aaa,0xffffffff,0x4fffffff,0x005ffff5,
    0xf50bfffd,0xa8001fff,0x2202ffff,0x7c46ffff,0x20004fff,0x0005fffc,
    0xffffd800,0xfb177f42,0xfff00fff,0xfa8001ff,0xcbaacfff,0x25ffffff,
    0x703ffff8,0xd85fffff,0x0004ffff,0xffffffc8,0x7f404fff,0xffffffff,
    0x4fffffff,0x005ffff5,0xf70bfffd,0xf7000fff,0xfd803fff,0x7ffd47ff,
    0x3f20002f,0x000005ff,0x42ffffc8,0x7fffd83a,0x2ffffc40,0x7fffd400,
    0xfffff901,0x0ffffe23,0x0bffffe6,0x13fffff2,0xffff9000,0x809fffff,
    0xfffffffe,0xffffffff,0x5ffff54f,0x0bfffd00,0x000ffff9,0x803ffff7,
    0x320ffffc,0x7530ffff,0xffc80135,0x019aaaef,0x7ffec000,0xfffb001f,
    0xffff980f,0xfffa8004,0x3fff601f,0x7ffff13f,0x3fffff88,0xffffff50,
    0xf900019f,0xffffffff,0x99998809,0x999ffffd,0xff509999,0xffd005ff,
    0xffff90bf,0xffff5000,0xffffc807,0x33ffffa1,0xefffffff,0xfffff902,
    0x039fffff,0xfffff000,0x3fff6001,0x7fffd407,0xfffa8004,0x3ffe601f,
    0x7ffff14f,0x27ffff44,0x3fffff60,0x2002dfff,0xff999998,0xfc8004ff,
    0xfa800fff,0xfe802fff,0xfffc85ff,0xfff98007,0x3ff200ff,0x3fffe2ff,
    0xffffffff,0xffc85fff,0xffffffff,0x2a0004ff,0x2005ffff,0x5407fffd,
    0x8005ffff,0x201ffffa,0xf15ffff8,0x7fec7fff,0xfe8805ff,0xffffffff,
    0xff10003f,0xf90009ff,0xf5001fff,0xfd005fff,0x3fff2bff,0xffffffff,
    0xfff05fff,0x9537bfff,0x45ffffff,0xffffffff,0xffffffff,0x7ffffe44,
    0xffffffff,0xfff88003,0x3f6001ff,0x7fcc07ff,0xfa8006ff,0x3e601fff,
    0xfff14fff,0x3ffff27f,0x7ffe4006,0xdfffffff,0x7ffc4000,0xffc8004f,
    0xffa800ff,0xffe802ff,0xfffff95f,0xffffffff,0x3ffea0bf,0xffffffff,
    0x3e2fffff,0xacefffff,0xffffffca,0x2aaaaa61,0xfffffeca,0x7fec002f,
    0x7ec005ff,0x7fc407ff,0x54002fff,0x2a01ffff,0xff13ffff,0xffff57ff,
    0xf930001d,0xffffffff,0xfff8800d,0xffc8004f,0xffa800ff,0xffe802ff,
    0xfffff95f,0xffffffff,0x7ffe40bf,0xffffffff,0xff11ffff,0x3a203fff,
    0x4003ffff,0x04fffff9,0x3bffff20,0x7ffec000,0xffffe807,0x3fea000e,
    0x3ffa01ff,0xffff11ff,0x01fffffb,0xffeb8800,0x004fffff,0x013fffe2,
    0x03ffff20,0x0bfffea0,0x4d7fffa0,0xaffffdaa,0x01aaaaaa,0x7fffff54,
    0xffffeeff,0x01bfffe0,0x00bffff3,0x0dffff30,0x3ffffee0,0xfffd8001,
    0xffffa807,0x239302ef,0x881ffffa,0x226ffffd,0xffffffff,0x4c00002f,
    0x07fffffd,0x13fffe20,0x3ffff200,0xffffa800,0x5ffff802,0x007fffc8,
    0x57975300,0xd1ffff61,0xff00ffff,0x3e000dff,0xfb807fff,0x0001ffff,
    0x200ffffb,0xfffffffe,0x51fffeee,0x9559ffff,0x3ffffffb,0x7f7fffc4,
    0x0000ffff,0xfffffc80,0xffff1001,0xfff90009,0xfff3001f,0xffff007f,
    0x0ffff907,0x3fe00000,0x7ffec6ff,0x6fffe807,0xffffd000,0xfffffb80,
    0x3ff60001,0xffd1007f,0xffffffff,0x3ffea3ff,0xffffffff,0x7fc43fff,
    0xffffcbff,0xff000006,0x22005fff,0x8004ffff,0x800ffffc,0x404ffff8,
    0xc82ffff8,0x00007fff,0x3ffff980,0x017fffe4,0x0017fffe,0x81bfffe2,
    0x01fffffb,0x3fffec00,0xffffd100,0x3fffffff,0x3fffffea,0x2effffff,
    0xd3ffff88,0x0009ffff,0x3ffffb00,0x3fffe200,0xfffc8004,0xffff000f,
    0xffffc80f,0x07fffc81,0xffe80000,0x7ffd40ff,0x3ffea05f,0xffc8003f,
    0xfff704ff,0xb00003ff,0x3000ffff,0xfffffffb,0x3ffea17d,0xefffffff,
    0x3fffe203,0x7fffff33,0x7fc40000,0x3e2007ff,0xc8004fff,0xb002ffff,
    0x2609ffff,0xf906ffff,0x00000fff,0x2ffffec4,0x83ffffe8,0x01fffff9,
    0x3ffff220,0xffffb81f,0xfb00001f,0x74000fff,0xf501bfff,0x15559fff,
    0x3fffe200,0x3ffffee3,0x015bf101,0x2fffff4c,0x9ffff100,0xffff5000,
    0x3ffe600b,0xfdcbceff,0xf901ffff,0x40000fff,0xffffca98,0xfff500ff,
    0xffb79dff,0xdef89fff,0xfffecccc,0xffb83fff,0x9999afff,0x26099999,
    0xffe99999,0x099999ff,0x00ffff80,0x007fffea,0x1ffffc40,0x03fffff6,
    0x3bffffe2,0xfffffeee,0x3e2001ff,0x98004fff,0xacefffff,0x7fe43cba,
    0xffffffff,0x7fe44fff,0xffffffff,0x1fffffff,0x3fffffe2,0x1fffffff,
    0x7fffff40,0x6fffffff,0xfffffff8,0x84ffffff,0xfffffffa,0xffffffff,
    0xfffff12f,0xffffffff,0xf9807fff,0x7fd404ff,0xf10001ff,0xfe887fff,
    0xff886fff,0xffffffff,0x102fffff,0xff999999,0x99999dff,0xffffd801,
    0x84ffffff,0xfffffffc,0xfc83ffff,0xffffffff,0xffffffff,0x3ffffe21,
    0x1effffff,0xfffffb00,0x01bfffff,0xffffffff,0x2e07dfff,0xffffffff,
    0xffffffff,0xffffff12,0xffffffff,0xffb807ff,0x7ffd401f,0xff10001f,
    0xfff307ff,0xfff889ff,0xffffffff,0x3e603fff,0xffffffff,0x1fffffff,
    0x7ffffc40,0x304fffff,0xfffffffb,0x3fff201b,0xffffffff,0x21ffffff,
    0xfffffff8,0xa8003fff,0xdffffffe,0x3ffffe01,0x402dffff,0xfffffffb,
    0xffffffff,0xfffff12f,0xffffffff,0xfc807fff,0xfffa806f,0xff10001f,
    0x3fee07ff,0x7ee43fff,0xffffffff,0xfff9803e,0xffffffff,0x801fffff,
    0xffffffc8,0xa98803ff,0xfffc8009,0xffffffff,0x21ffffff,0xdeeffff8,
    0x5300001b,0x54c40035,0x2e0009aa,0xffffffff,0xffffffff,0xffffff12,
    0xffffffff,0xccb807ff,0x40000002,0x203ffff8,0x01fffffd,0x03355533,
    0xfffff980,0xffffffff,0x4c001fff,0x0001aaa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00eeeed8,
    0x82eeeeb8,0x00cc0038,0xdddddddb,0x00003579,0x3bbbbbaa,0xd52eeeee,
    0xdddddddd,0xdddddddd,0x83eee80b,0xeea84eed,0xeeeeeeee,0xdd10eeee,
    0xddd005dd,0x3bbba27d,0xeeeeeeee,0xddd33eee,0x579ddddd,0xdddd5003,
    0x77775c01,0xeeec8005,0x7dc005ee,0x7c405fff,0x7dc0ffff,0xbfd1003f,
    0xffffff03,0x3dffffff,0xfffd8000,0xffffffff,0xffffff73,0xffffffff,
    0x7c40ffff,0x5fff84ff,0xffffffb8,0xffffffff,0x07ffff11,0x229ffff0,
    0xffffffff,0x4fffffff,0xfffffff5,0x03dfffff,0x80ffffdc,0x02fffff9,
    0x7ffffd40,0xffe8006f,0x3fee01ff,0x7fff42ff,0xfffc801f,0x7ffffc2f,
    0xffffffff,0xf88000cf,0xffffffff,0xbff73fff,0x99999999,0x0fff9999,
    0x221fffcc,0xffb84fff,0xffffffff,0xff11ffff,0xfff007ff,0x3fffe29f,
    0xffffffff,0xfff54fff,0xffffffff,0xf7019fff,0x3fa03fff,0x44004fff,
    0x6fffffff,0xffff9800,0xdffff106,0x0dffff70,0x86ffffa8,0xffffffff,
    0x6fffffff,0xffffb800,0xffffffff,0x2a63ff73,0x03ff4009,0xf985fff5,
    0xfffb83ff,0xffffffff,0xfff11fff,0xffff007f,0x3ffffe29,0xffffffff,
    0xffff54ff,0xffffffff,0xff70dfff,0xfff703ff,0xff9000df,0x00dfffff,
    0x0bffff60,0x407ffff2,0xdbcffffd,0xffffbdee,0x5ffff80f,0x3fffeea6,
    0x7f4002ff,0x02fffeff,0x7fe47fee,0x7fe81dff,0x507ffee0,0xff705fff,
    0xf88003ff,0xff803fff,0x7fe404ff,0x3fea00ff,0x3eea62ff,0x5c2fffff,
    0x7cc1ffff,0x4001ffff,0xfffffff9,0xff10006f,0xfff88dff,0x3ffa204f,
    0xffffffff,0xff02ffff,0x3fa20bff,0x26006fff,0xfffdcfff,0x647fee02,
    0x45ffffff,0x3fee07fe,0x17ffd40f,0x00ffffdc,0x0ffffe20,0x013fffe0,
    0x401ffff9,0x102ffffa,0xb8dffffd,0x7f41ffff,0xe8003fff,0xfffcefff,
    0x3ff20006,0x3fff23ff,0x7ffcc00f,0xffffffff,0x3ffe04ff,0x7fff405f,
    0xfffb003f,0x405fffb3,0xb9951ffb,0x7f4bffff,0x3ffffe67,0xffffffff,
    0xf74fffff,0x88003fff,0xf803ffff,0x7e404fff,0x3ea00fff,0x7f402fff,
    0x3fee3fff,0x3ffee1ff,0xffb8005f,0x6fffc9ff,0x3ffe2000,0x7ffff16f,
    0x3ffff600,0xffffffff,0x17fffe01,0x0dffff70,0x36dfff10,0x3ee02fff,
    0xfffb101f,0xff99ffa3,0xffffffff,0xffffffff,0x03ffff74,0x3ffff880,
    0x04ffff80,0x007fffe4,0x805ffff5,0x2e6ffffb,0xff31ffff,0x88001fff,
    0xff93ffff,0xfa8000df,0xfffdbfff,0xffff1006,0x3fff263d,0x3fffe04f,
    0x7fffc405,0x3fffb807,0x5c05fffb,0x7ff401ff,0x7fccffd3,0xffffffff,
    0xffffffff,0x03ffff74,0x3ffff880,0x04ffff80,0x007fffe4,0x805ffff5,
    0x2e7ffff8,0xffd1ffff,0xf90005ff,0x7ffe4dff,0xffe80006,0x02ffffff,
    0x01ffff70,0x7c0ffff9,0xfe805fff,0xffe807ff,0x05fffb0f,0x3600ffdc,
    0x44ffd4ff,0xcefffccc,0xcffffccc,0xffff72cc,0xfff88003,0xffff803f,
    0x7fffe404,0x3fffea00,0x7fffe802,0x2e7fffee,0x8004ffff,0x321ffff9,
    0x80006fff,0xfffffff9,0x3fff2005,0x1ffff504,0xfffffee8,0x7ec0eeee,
    0x3e601fff,0x3fff66ff,0xf70ccccd,0x7ffc403f,0x7fc0ffd2,0x05fff84f,
    0x003ffff7,0xeeffff88,0xfeeeeeee,0x7e404fff,0x3ea00fff,0xfd802fff,
    0xfff71fff,0x1dffff5f,0x9fffd000,0x006fffc8,0xfffffb00,0x7fec001f,
    0xffff103f,0xffffff83,0x6c0fffff,0x3202ffff,0x3ff63fff,0x70ffffff,
    0x6dd4c3ff,0xffd0efff,0x213ffe20,0xff705fff,0xffffffff,0x7fc49fff,
    0xffffffff,0x4fffffff,0x07fffe40,0x05ffff50,0x25ffffb0,0xfffffffb,
    0xfb8001ff,0x7fe40fff,0xf100006f,0x8009ffff,0x3e02fffe,0x7ffc1fff,
    0xffffffff,0x17fffe40,0x6c1ffff0,0xffffffff,0x7e43ff70,0x3a1fffff,
    0x7fff307f,0x704fff88,0xffffffff,0x449fffff,0xffffffff,0xffffffff,
    0x7ffe404f,0x3ffea00f,0xfffc802f,0xfffff72f,0x8003ffff,0xc82ffff8,
    0x00006fff,0x003ffff2,0x407fffb0,0x7fc1ffff,0xffffffff,0x7fffec0f,
    0x8bfff501,0xfffffffd,0x643ff70f,0xfe83deff,0x85fff507,0xf703fff9,
    0xffffffff,0x7c49ffff,0xffffffff,0xffffffff,0x7fffe404,0x3fffea00,
    0xffffd802,0xf9ffff71,0xd800dfff,0xff905fff,0xff1000df,0xffffffff,
    0x409fffff,0xf304fffc,0xf9981fff,0x1999dfff,0x00ffffe8,0xfd85fffb,
    0x3fee02ff,0xe807fee1,0x3fff707f,0x702fffa8,0xddddffff,0x447ddddd,
    0x999cffff,0xfff99999,0x7ffe404f,0x3ffea00f,0xfffe802f,0x3ffff70f,
    0x009ffffd,0x403fffea,0x8006fffc,0xfffffff8,0xffffffff,0x3fffee04,
    0x06fffd80,0x2017fffe,0xf107ffff,0xfffb0fff,0x70ffdc05,0xbff403ff,
    0xfffffff9,0xffffffff,0x3fee4fff,0x7c4001ff,0xff803fff,0x7fe404ff,
    0x3fea00ff,0xfff802ff,0x3fffee7f,0x1fffff99,0x9cfffe80,0xffd99999,
    0x800999ef,0xffeeeee8,0xeeeeefff,0x3fffe203,0xfffc99cf,0x3fffe02f,
    0x7fffc405,0x9dfff706,0x5ffff999,0x510ffdc0,0x9bff4015,0xffffffff,
    0xffffffff,0x3ffee4ff,0x7fc4001f,0xfff803ff,0x7ffe404f,0x3ffea00f,
    0x7ffc402f,0x3fffee6f,0x0dffff91,0xffffff98,0xffffffff,0x004fffff,
    0x01ffff20,0x7ffffec0,0x0fffffff,0x017fffe0,0x209ffff9,0xfffffffe,
    0x202fffff,0x00d41ffb,0x7ffcdffa,0xffffffff,0x4fffffff,0x007fffee,
    0x07ffff10,0x809ffff0,0x200ffffc,0x402ffffa,0x2e4ffffc,0x3fa1ffff,
    0x3e604fff,0xffffffff,0xffffffff,0x320004ff,0x98007fff,0xffffffff,
    0x205fffff,0x2205ffff,0x980fffff,0xffffffff,0x202fffff,0x3ff61ffb,
    0x645ffa04,0xccffffcc,0xccfffecc,0x3fffee2c,0x7ffc4001,0xffff803f,
    0x7fffe404,0x3fffea00,0x3fffe202,0x3fffee0f,0x3ffffea1,0xfffff301,
    0xffffffff,0x09ffffff,0xd9999910,0x9999ffff,0x3ffa2059,0xffffffff,
    0xff03ffff,0x3fa60bff,0xff904fff,0xffffffff,0x7dc05fff,0x0dfff11f,
    0xfff83ff4,0x206ffe85,0x001ffffb,0x01ffffc4,0x2027fffc,0x200ffffc,
    0x302ffffa,0xb89ffffd,0x7ec1ffff,0xf980efff,0xffffffff,0xffffffff,
    0xff8804ff,0xffffffff,0xb04fffff,0x9957ffff,0xfffff379,0x4bffff03,
    0xfffffb98,0x1ffff00f,0x80bfff60,0x3ffa1ffb,0x7c1ffa04,0x5fff84ff,
    0x07fffee0,0x7ffff100,0x09ffff00,0x00ffffc8,0x88bfffea,0xffffffb9,
    0x0ffffdc0,0x13ffffe2,0x3fff2000,0xfff88006,0xffffffff,0xfb84ffff,
    0x7d405fff,0x7fc0efff,0xffffffff,0x502fffff,0x7ec0dfff,0x3eeeeeff,
    0x15c43ff7,0x3e21ffa0,0x4fff84ff,0x07fffee0,0x7ffff100,0x29ffff00,
    0xffeeeee8,0xeeeeefff,0xffffff53,0xffffffff,0xffff705f,0xfffff703,
    0xffc80005,0x5550006f,0x5ffffb55,0xfb035555,0xf9001fff,0xfff83fff,
    0xffffffff,0x3f601eff,0x3ff603ff,0x74ffffff,0x99999bff,0xf9999999,
    0x7fff30ff,0x204fff88,0x001ffffb,0x01ffffc4,0xf8a7fffc,0xffffffff,
    0x54ffffff,0xffffffff,0x03dfffff,0x407fffee,0x00fffffe,0x1bfff200,
    0xfffc8000,0x17f54007,0xf04fe880,0xffffffff,0xf8807fff,0x3f600fff,
    0x4fffffff,0xfffffff7,0xffffffff,0xfff50fff,0x03fff985,0x007fffee,
    0x07ffff10,0x229ffff0,0xffffffff,0x4fffffff,0xfffffff5,0x807fffff,
    0x301ffffb,0x00bfffff,0x037ffe40,0xffff9000,0x3000a000,0x7ffffc01,
    0x009acdff,0x405fffb8,0xfffffffd,0xfffff74f,0xffffffff,0xf70fffff,
    0xfffa83ff,0x3fffee02,0x7ffc4001,0xffff803f,0xffffff14,0xffffffff,
    0x3fffea9f,0x09acdfff,0x1ffffb80,0x3fffff20,0xfff90002,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdddd7000,0x7776c007,0x3bbbbb65,0xeeeeeeee,0xddd31eee,
    0x76c0005d,0xdd102eee,0xeeb83ddd,0xeeeeeeee,0x11eeeeee,0x809ddddd,
    0xdb14eeea,0xe8803ddd,0x3a61eeee,0x744004ee,0xddddb4ee,0x7775c005,
    0xddddd51e,0x059bdddd,0x77777754,0xeeeeeeee,0xdddddd52,0xdddddddd,
    0x3ffabddd,0x3ffe21ff,0xffb800ff,0x3fffe3ff,0xffffffff,0xf31fffff,
    0x40007fff,0x705fffff,0xc85fffff,0xffffffff,0xffffffff,0xffffff31,
    0x37ffdc01,0x80dffff9,0x4c5ffffd,0x4c006fff,0xfff95fff,0x7ffc00bf,
    0x3fffee7f,0xffffffff,0xffffb83f,0xffffffff,0xffff73ff,0xffffffff,
    0x3affffff,0x7e41ffff,0xff803fff,0x7fffc7ff,0xffffffff,0xf31fffff,
    0x40007fff,0x80ffffff,0x43fffffd,0xfffffffc,0xffffffff,0xfffff31f,
    0x7ffdc09f,0x3ffffe26,0xfffff302,0x06fff983,0x9afffcc0,0x3007ffff,
    0x7dcbffff,0xffffffff,0x5c4fffff,0xffffffff,0x73ffffff,0xffffffff,
    0xffffffff,0x3ffff6ff,0x3ffffc40,0x0ffffee0,0xffffffff,0xffffffff,
    0x3fffe63f,0xfff10003,0xff885fff,0x7e43ffff,0xffffffff,0x1fffffff,
    0xfffffff3,0x1bffee01,0x20dffff7,0x884ffffd,0x4c006fff,0x3ffe4fff,
    0xffb801ff,0x3ffee2ff,0xfffeeeef,0x3ee2ffff,0xffffffff,0xf73fffff,
    0xffffffff,0xffffffff,0x03ffff2f,0x80fffff2,0xcc87ffff,0xcccccccc,
    0x0fffffcc,0x007ffff3,0x3ffffe20,0x7fffd45f,0x5554c4ff,0xeaaaaaaa,
    0x3e66ffff,0x03ffffff,0xfd0dfff7,0xff985fff,0xff880fff,0x7fcc006f,
    0x3ffff24f,0xffffd803,0x03fffee0,0x93ffffaa,0x001ffffb,0x3ffff200,
    0x3fffe400,0x06ffff88,0x007ffff7,0x4ffffb80,0x00ffffe6,0x7ffffc40,
    0x7f7fec7f,0xf50004ff,0x7cc3ffff,0x07ffffff,0xf50dfff7,0xffd8dfff,
    0xfff104ff,0xfffa800f,0x1bfffea3,0x8dffff10,0x300ffffb,0x7dcdffff,
    0x00001fff,0x003ffff2,0x640ffff7,0xff82ffff,0xe80007ff,0x3e60ffff,
    0x30003fff,0x5fff9fff,0x7ffe7ffc,0xfff88004,0x7ffcc4ff,0xb83fffff,
    0xffd06fff,0x3ffe67ff,0x3ffe00ff,0x7ffd4007,0x3ffffe23,0x3fffea00,
    0x07fffdc3,0x5cfffff0,0x0001ffff,0x03ffff20,0x40ffff70,0x5c6ffff8,
    0x0003ffff,0x22ffffdc,0x003ffff9,0xff5fff30,0x27ffea9f,0xd8005fff,
    0xf986ffff,0x6fffdfff,0x306fffb8,0x3f6dffff,0x7fc03fff,0x40aa987f,
    0x7ec3fffa,0x3f202fff,0x7fdc1fff,0x3ffe00ff,0x3fffee6f,0x3f200001,
    0x7d400fff,0x7fe406ff,0x3fffe2ff,0xffe80006,0x7ffcc1ff,0xff50003f,
    0x32dffb5f,0x5fff8eff,0x7fffd400,0xffff981f,0x5c2ffffa,0x3f606fff,
    0xffffcfff,0x87ffe806,0x7fd44ffe,0x7fffdc2f,0x1bfffa04,0x403fffee,
    0x2e3ffff9,0x0001ffff,0x03ffff20,0x80bfff50,0xf55ffff8,0x80007fff,
    0x985ffffa,0x0003ffff,0xff73fff5,0x3e7fff1f,0x3e2006ff,0xf303ffff,
    0x3fffafff,0x037ffdc6,0xfffffff3,0xffd005ff,0x37ffc41f,0xf10bffee,
    0x3e60ffff,0xffb84fff,0xffe980ff,0x3ffee0ff,0x3200001f,0x4400ffff,
    0xfc803ccc,0xfffe9fff,0xffe80006,0xfff981ff,0xff70003f,0xf9fff13f,
    0x1bffe1ff,0x6ffffd80,0x55fffe60,0x3ee1ffff,0x7fe406ff,0x006fffff,
    0x7dc1fffd,0x3fee0fff,0xffffe81f,0x1ffffb81,0xccffffb8,0xfffffecc,
    0x77fffdc1,0xeeeeeeee,0xffff9006,0xf1000001,0xffffdfff,0xffa80005,
    0xfff305ff,0x3ee0007f,0xffffd1ff,0x037ffcdf,0x0fffffa8,0xf9fffe60,
    0x3fee5fff,0x7ffc406f,0xb001ffff,0x7ff41fff,0x3ffee3ff,0x3ffffb81,
    0x707fffd8,0xffffffff,0x701bffff,0xffffffff,0x00ffffff,0x003ffff2,
    0xfc800d44,0x06ffffff,0xffffe800,0x7ffff302,0x3ffee000,0x7fffff91,
    0x4403fffc,0x403fffff,0x3ee7fff9,0xfff70fff,0xffffd00d,0x3f6001ff,
    0xffff10ff,0x07ffe4bf,0x42ffffcc,0xf705ffff,0xffffffff,0xb85dffff,
    0xffffffff,0x007fffff,0x001ffff9,0x803dfff9,0xfffffff8,0x7fd40002,
    0x3fe606ff,0xf90003ff,0x3ffe61ff,0x1fffe1ff,0x17ffff60,0x89fffe60,
    0xff74ffff,0xfffa80df,0x9004ffff,0x3fea3fff,0xff90ffff,0x3fffe01f,
    0x17fffd47,0xffffffb8,0xffffffff,0x3fffee3f,0xffffffff,0xfff9007f,
    0xfffa801f,0xffc806ff,0x80006fff,0x202ffffe,0x003ffff9,0x7c1fff90,
    0x7ff46fff,0x7fffd407,0xfff9800f,0x47fffe47,0x7406fffb,0xffffffff,
    0x1fffc800,0x5fffdffb,0xfc81fff2,0x3ff22fff,0xfff700ff,0xffea981f,
    0xfff70fff,0x3333335f,0x3f200333,0x7ec00fff,0x401fffff,0x02fffff8,
    0x7fffcc00,0x7fffcc06,0xfff90003,0x227ffec1,0xf100fffe,0x2007ffff,
    0x7c47fff9,0xfffbbfff,0x3fffee06,0x805fffff,0xfff1fffb,0x3f2bfff3,
    0x3ffea07f,0x17fffa4f,0x00ffffb8,0x5d3ffff6,0x0001ffff,0x03ffff20,
    0xffffffd0,0xffffb005,0xfffb0000,0xfff9805f,0xffb0003f,0x0fffd41f,
    0x6c03fffa,0x2005ffff,0xfd87fff9,0x6fffbeff,0x5fffff10,0x805fffff,
    0xffaafffb,0x3f6fffb7,0x7fffc07f,0x07ffff16,0x007fffdc,0x2edffff3,
    0x0001ffff,0x03ffff20,0xffffffb0,0xffffb003,0xfff98000,0xfff9806f,
    0xffb0003f,0xe84cc88f,0xffa81fff,0x26000fff,0xff987fff,0x06fffdff,
    0x32bffff9,0x5c06ffff,0x5ffcafff,0xffb5fff7,0xffffd80d,0x00ffffb8,
    0x803fffee,0xf76ffff8,0x00003fff,0x007fffe4,0x13ffffe2,0x03fffec0,
    0x3ffff600,0xffff9803,0xfffd0003,0x1fffd800,0x17ffffc4,0x1fffe600,
    0x7ffffff4,0xffff986f,0xfffff10f,0x5fffd407,0xfff12fff,0xa80dffd9,
    0xffdbffff,0x7ffdc06f,0x3ffe600f,0x3ffff75f,0x7fe40000,0xfd9800ff,
    0x3ff6003e,0x3e60007f,0xf3007fff,0x20007fff,0x6c007ffe,0x7fec1fff,
    0xf98005ff,0xfff507ff,0xfb0dffff,0xffc89fff,0xff500fff,0xfe8fffbf,
    0x405ffeef,0xffdffff8,0x7fdc04ff,0x3ff600ff,0xffff74ff,0x7e400003,
    0x00000fff,0x03fffec0,0x7ffffb00,0x3fffe600,0xfffd0003,0x2fffd800,
    0x2bffffea,0x99999999,0xffff3099,0x7fffffc0,0x7fffcc6f,0x7fffc40f,
    0xffff304f,0xfffb8bff,0xfe805fff,0x1fffffff,0x07fffdc0,0x7ffffecc,
    0x03ffff72,0x7ffe4000,0x4000000f,0x0007fffd,0x00fffff3,0x7fffffcc,
    0xffffffff,0x003fffc7,0xff8bfff6,0xffffffff,0x3fffffff,0x5c0ffff3,
    0x46ffffff,0x704ffffe,0x303fffff,0x85ffffff,0x5ffffff9,0xfffffb80,
    0xffb807ff,0xffeeeeff,0x2e5fffff,0xffffffff,0x03ffffff,0x00ffffc8,
    0x7fec0000,0xffb0007f,0x7cc007ff,0xffffffff,0x7c7fffff,0x7e4006ff,
    0x3fffe3ff,0xffffffff,0xf33fffff,0x7fc40fff,0x3ea6ffff,0x3e00ffff,
    0xf886ffff,0xe80fffff,0x804fffff,0xfffffff9,0xffffb804,0xffffffff,
    0x7ffdc6ff,0xffffffff,0xfc803fff,0x00000fff,0x03fffec0,0x7ffffc40,
    0x3ffe6000,0xffffffff,0x7ffc7fff,0x7ffe4006,0x3fffffe3,0xffffffff,
    0xfff33fff,0xffffc80f,0xfffff16f,0xffffb809,0x7fffc42f,0xffff905f,
    0x3ffa009f,0xb802ffff,0xffffffff,0x40bfffff,0xfffffffb,0x3fffffff,
    0x0ffffc80,0x7ec00000,0xfc8007ff,0x4c004fff,0xffffffff,0x27ffffff,
    0x4006fff8,0x3fe3fffc,0xffffffff,0x3fffffff,0x980ffff3,0xf76fffff,
    0xd001ffff,0xff0dffff,0x3e607fff,0x9003ffff,0x01ffffff,0xffffff70,
    0x4079bdff,0xfffffffb,0x3fffffff,0x0ffffc80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdddd5000,0x159bdddd,0x77777540,0x00bcdeee,0x3bbbb200,0x440000ee,
    0x00002aaa,0x88000000,0x2a00aaaa,0x2a602aaa,0x1accdecb,0x001e5400,
    0xcceccba8,0x5d44001a,0x0000abcd,0x2b332e62,0xb973000a,0x3ea00157,
    0xffffffff,0xfb81dfff,0xffffffff,0x8000dfff,0x2fffffff,0x7ffd4000,
    0x00fa2006,0x1f440000,0x807fffea,0xd985fffe,0xffffffff,0xff9000ff,
    0x3f6600df,0xffffffff,0x7ec401df,0xcfffffff,0x3ffa6000,0x1fffffff,
    0x3ffffea0,0xfa804fff,0xffffffff,0x5c3fffff,0xffffffff,0x00efffff,
    0x3ffffe60,0x540005ff,0xd1006fff,0x000009ff,0x2a2fff98,0x3a01ffff,
    0x7fd45fff,0xffffffff,0xff8800ff,0xfa803fff,0xffffffff,0xf501ffff,
    0xffffffff,0xf9003dff,0xffffffff,0x3ff603ff,0xffffffff,0x3ffea01e,
    0xffffffff,0x3ee1ffff,0xffffffff,0x006fffff,0x3fffffee,0x7d40007f,
    0xfe8806ff,0x0000dfff,0xfffffa80,0x03ffff52,0xf32ffff4,0xd9dfffff,
    0x3001fffd,0x007fffff,0xddfffff5,0x1dfffffd,0xffffffa8,0xffffffff,
    0x3ffffa00,0xffffffff,0xfffffd81,0x6fffffee,0x87fffea0,0xfffffb98,
    0x1ffff70f,0x7fffed4c,0xfffd001f,0x003fffff,0x037ffd40,0xefffffb8,
    0x3f200000,0xf50effff,0x7f403fff,0x3fff25ff,0x002e605f,0x00fffff4,
    0xe980e754,0x7f42ffff,0xcaabefff,0x704fffff,0x59dfffff,0xa83ff975,
    0x221dffff,0x502ffffd,0x2203ffff,0xf72fffff,0x3f601fff,0xf8803fff,
    0xffffbfff,0x3fea0004,0x3fea006f,0x0001ffff,0x5fffffd8,0x00ffffd4,
    0x7f4bfffd,0x00000fff,0x400bffa6,0xffff3000,0x6ffffdc7,0xfffff980,
    0x7ffffcc1,0x3fa05404,0x3ffa06ff,0xffff507f,0x7fffdc03,0x01ffff73,
    0x013fffea,0x7fdfffea,0x2a0006ff,0x4c006fff,0x02fffffe,0xffffd100,
    0xffff507f,0x2ffff403,0x005fffff,0x00000000,0x3e5ffff8,0x3200ffff,
    0x7ec3ffff,0xa8004fff,0x2e02ffff,0xfa80ffff,0x3e601fff,0xfff75fff,
    0x3ffe601f,0xfffd804f,0x01ffffb5,0xdcccccc8,0xccccffff,0xffb101cc,
    0x98009fff,0x02ffffff,0x403ffff5,0x3f65fffe,0x000cffff,0x00000000,
    0x3e2bfffd,0x7c404fff,0x7ffc5fff,0xfc8000ff,0x7fd407ff,0xfffa81ff,
    0x3ffe201f,0x1ffff75f,0x0ffffea0,0x54ffffe0,0x7c03ffff,0xffffffff,
    0xffffffff,0x7fffe403,0xfff5005f,0x7d403dff,0x3fa01fff,0x3ffee5ff,
    0x01beffff,0x26666662,0x99999999,0x2ea01999,0xfffeeedc,0x5ffff55f,
    0x4dffff00,0x005ffff8,0xddffffb0,0xffdddddd,0xfff507ff,0x7ffcc03f,
    0x1ffff74f,0x3ffffd10,0x0ffff980,0x80bffff1,0xffffffff,0xffffffff,
    0xfffb803f,0x3ee00eff,0x400dffff,0x201ffffa,0x7ec5fffe,0xffffffff,
    0xffffb82e,0xffffffff,0x447fffff,0xfffffffc,0xf75fffff,0xfd003fff,
    0x7ffccfff,0xffd0004f,0xffffffff,0x07ffffff,0x403ffff5,0xf72ffffb,
    0x75441fff,0xc805ffff,0x7ff46fff,0x7fffc07f,0xffffffff,0x003fffff,
    0x3ffffff5,0x9fffff90,0x3fffea00,0x17fffa01,0x3fffffee,0x2e0dffff,
    0xffffffff,0xffffffff,0x3fffe27f,0xffffffff,0xffff95ff,0xffffd003,
    0x027fffd4,0xffffff80,0xffffffff,0xffa83fff,0xfff301ff,0x3ffee1ff,
    0xffffffff,0xfe800dff,0x7ffe44ff,0xffa8002f,0xf300006f,0x6c3fffff,
    0x004fffff,0x807fffea,0x5105fffe,0xfffffffb,0x7fffdcbf,0xffffffff,
    0xd17fffff,0x599fffff,0x2bffff55,0x802ffffb,0x3ea6fffe,0xf0005fff,
    0x9999dfff,0x99999999,0x3ffff503,0xfffffb88,0x3ffffee4,0x3effffff,
    0x5ffff100,0x04ffff98,0x06fffa80,0xfffd8800,0x7ff443ff,0xf5002fff,
    0x7f403fff,0xda8805ff,0x51ffffff,0x99999999,0x99999999,0x3fffee99,
    0xbfffd00d,0x00ffffea,0xf897fffe,0xb0006fff,0x0000dfff,0x3bbfffea,
    0xfffffffe,0x7ffffdc6,0x00dfffff,0x03fffee0,0x001bfffe,0x001bffea,
    0xfffffd30,0x3fff6203,0xffa804ff,0xfff502ff,0xff9800bf,0x00003fff,
    0x01ffffb0,0xf9affff4,0x7d405fff,0x7ffc4fff,0xfc8002ff,0x500007ff,
    0xffffffff,0x83dfffff,0xfecffffb,0x001fffff,0x360bfffb,0x4001ffff,
    0x0006fffa,0x3bffffea,0xffffc801,0x3fe600df,0xfff983ff,0xfb8005ff,
    0x00003fff,0x40ffffd0,0x3e5ffffa,0x3601ffff,0x7f42ffff,0x4000efff,
    0x003ffffb,0xfffffa80,0x3fffffff,0x21ffff70,0x05ffffd8,0x03ffff88,
    0x007ffff7,0x006fffa8,0xbfffff70,0x7ffdc001,0xff100eff,0x7fd41dff,
    0x02a5ffff,0x07ffffa0,0x40066dc0,0xb82ffffd,0x325fffff,0xd81fffff,
    0xfa85ffff,0x302effff,0x7fffc439,0x2a01002f,0xefffffff,0x3ee00acd,
    0x7ff40fff,0x7fd402ff,0xeeeeeeff,0x005ffffe,0x0037ffd4,0x2fffffec,
    0xffff9800,0xffff01ff,0xffffd9ff,0x6ffcbfff,0xfdb999ab,0xfb007fff,
    0xfc801fff,0xebacffff,0x25ffffff,0xeffffff8,0xffffffdc,0xfffffb01,
    0xfffdddff,0xfffffb83,0xdcaaaabe,0xffff503f,0x3fee0003,0x7ffcc0ff,
    0x7ffe406f,0xffffffff,0x000fffff,0x800f3326,0x3fffffe8,0x7ff4c000,
    0xffb82fff,0xffffffff,0x3fe5fffc,0xffffffff,0x8803ffff,0x403fffff,
    0xfffffff8,0xfffeffff,0x7ffffdc5,0xffffffff,0x3fffe203,0xffffffff,
    0xffffe81f,0xffffffff,0xffff503f,0x3fee0003,0xfffe80ff,0x3fffe02f,
    0xffffffff,0x002fffff,0xffe98000,0x00002fff,0x9fffffb1,0xffffffd0,
    0xbfff35ff,0x7ffffffc,0x03ffffff,0x7fffff10,0xfffff700,0xff37ffff,
    0xffff50bf,0x5fffffff,0xffff9100,0x3fffffff,0xfffff910,0x7fffffff,
    0x07fffea0,0x7fffdc00,0x6ffffa80,0xffffff30,0xffffffff,0x00009fff,
    0xfffff880,0xd800001f,0xc83fffff,0x31dfffff,0x7fecbfff,0xffffffff,
    0x7ff4001c,0xff5000ff,0x263bffff,0xf9105fff,0x1bdfffff,0xffed9800,
    0x00bdffff,0x3fffff66,0x501dffff,0x0003ffff,0x403fffee,0xb82fffff,
    0xf8807fff,0xcc987fff,0xcccccccc,0x4c3ccccc,0x0000efff,0x17ffee00,
    0x00015530,0x33555531,0x6f644000,0x9aa88001,0xa9880000,0x26000009,
    0x3100019a,0x50013555,0x0003ffff,0x403fffee,0xe86ffffb,0xfb005fff,
    0xffb83fff,0xffffffff,0x986fffff,0x0000005f,0x00000bf5,0x00000000,
    0x00000000,0x00000000,0xfa800000,0x70001fff,0x2201ffff,0x221fffff,
    0x7003ffff,0xfb89ffff,0xffffffff,0x06ffffff,0x80000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffa8000,0xff70001f,0x7fe401ff,
    0x3ffea5ff,0xfff3000f,0xffffb8df,0xffffffff,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x001ffffa,0x01ffff70,
    0x8fffffcc,0x4006fffd,0x000fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x540acdcb,
    0x22001bdc,0x8d554019,0x6540acb8,0xaaaa80bc,0xaaaaaaaa,0x2aaa0aaa,
    0xaaa801aa,0x133300aa,0x01aaaa80,0x30aaaa80,0xdca83555,0xaaa880bc,
    0x0de6e541,0x00d5554c,0x00555550,0x80000cc4,0x0003ccc9,0x3ffa6000,
    0xe8afffff,0x404fffff,0x2effffeb,0xfe8cffe8,0xfff91fff,0xfffe81df,
    0xffffffff,0x3fea3fff,0x3e601fff,0x7f5c6fff,0x81dfffff,0x8004fffd,
    0xff90ffff,0x3fffeabf,0x7fd42fff,0xffffd35f,0xfff987ff,0xfff3006f,
    0xfed980bf,0x0003dfff,0x001bffea,0x66c033e2,0x3ffffee0,0xffffffff,
    0xe883ffff,0xffffffff,0x7ee7ff45,0xffacffff,0x7f44ffff,0xffffffff,
    0x643fffff,0x3a06ffff,0x7f41ffff,0xffffffff,0x037ffe41,0xc9fffe20,
    0xfffadfff,0x22ffffff,0xffadfffa,0x3fffffff,0x00fffff4,0x017fffe4,
    0xfffffff7,0x50003dff,0xb000dfff,0xffa87fff,0x99dff73f,0xdffffffd,
    0xfd0ffffd,0xffffffff,0x7ffff47f,0xfeffffff,0x747fffff,0xffffffff,
    0x43ffffff,0x84ffffe8,0xe83ffffc,0xffdcacdf,0x3fffdc6f,0x9bffe600,
    0xfffffffc,0x6fffffff,0x3ffbffea,0xffffffff,0x3fffee0f,0x7ffff804,
    0x59fffd10,0x5fffb733,0x6fffa800,0x7fffd400,0x4ffffe20,0xfffe81cb,
    0x8bfff64f,0x931efffb,0x3fa1ffff,0xffc8dfff,0xfff8afff,0x33332e0f,
    0xffffcccc,0xfff980ef,0x3ffe61ff,0x7ec0306f,0x3fffcc7f,0x97ffea00,
    0xfffffffc,0xffffe99c,0xffffff52,0xffff75bf,0x7fffc47f,0x7fffd407,
    0x57bff904,0x3fee1555,0x3fea000f,0x3fe2006f,0x7ffec3ff,0xffff5005,
    0xd27ffc41,0xffd01fff,0x3ffffa5f,0x49ffff50,0x2001fffd,0x01fffffa,
    0xe9bfffee,0x8000ffff,0x3e20fffc,0x2e000fff,0x3ff24fff,0x7d40ffff,
    0xfff53fff,0xff983fff,0x7ffe44ff,0x3fff602f,0xb5ffa80f,0x26bfffff,
    0x3ea005ff,0x3f6006ff,0x7ffdc5ff,0xfff3000f,0x7cbffd0d,0xfff706ff,
    0x993fffa7,0x3f60ffff,0xff1002ff,0xfd007fff,0xfff99fff,0xdb95007f,
    0xf81fffdd,0x3fe21fff,0x1fffe45f,0x03fffff9,0x7d53fffe,0xff02ffff,
    0xfff98bff,0xffff105f,0x6c3ffa0b,0x92ffecef,0x3ea005ff,0xff5006ff,
    0x7ffc41ff,0x3fe2002f,0x16ffd84f,0x3e60bfff,0x3fffd4ff,0x362fffcc,
    0xfd002fff,0x2200bfff,0xffffffff,0x7ffd405f,0x0fffffff,0xf71ffff4,
    0x7fe41fff,0x3ffff22f,0x57fffe03,0x203ffffa,0xfe86fffe,0xffa80fff,
    0x3ff882ff,0x27fc53f6,0x4ccc49ff,0xefffb999,0x11999999,0xfe87ffff,
    0x5d4404ff,0xccefffcc,0x3e7ffecc,0xfff707ff,0x983fffa5,0x7fec5fff,
    0xfffc802f,0x7fd4006f,0x00ffffff,0x2f3fffe6,0x6c0fffda,0x3ffa4fff,
    0x3fff62ff,0x03ffff20,0xf5099988,0x7f403fff,0xfffb86ff,0x7fffd83f,
    0x7ec3ff50,0x7ec7ff54,0x3ffffee6,0xffffffff,0xff97ffff,0x7fffb8df,
    0x3ffff620,0xffffffff,0x3fa7ffff,0xfffe81ff,0x4c1fffd1,0x7fec5fff,
    0x7ffdc02f,0xfd8000ff,0x402fffff,0x7e42fffc,0x7ffe40ff,0xbfffff15,
    0x3f23fff4,0xa8000fff,0x3a01ffff,0xff886fff,0x7ffc46ff,0x41ff904f,
    0x44fffffd,0x3ffee7fc,0xffffffff,0x37ffffff,0x7c43ffff,0xff982fff,
    0xffffffff,0xffffffff,0x4bbfff67,0x3a6fffc9,0x3fe60fff,0x17ffec5f,
    0x5fffff30,0x3ffea000,0x7ec00fff,0x3ffa61ff,0xb7ffdc0f,0x0ffffffb,
    0xffc8dfff,0xfa8000ff,0x3fa01fff,0xfff906ff,0x7fffdc3f,0xfd8ff901,
    0xffc84fff,0xffffff70,0xffffffff,0x7fe4ffff,0x7fffd46f,0x5f7fff40,
    0xaadfffba,0x222aaaaa,0xffffffff,0x3ffa1fff,0x17ffe60f,0x2205fffb,
    0x004ffffe,0xffffff10,0xfffc80bf,0xfffffdbe,0xdbfffcc0,0x8bffffff,
    0x7fe45fff,0xfa8000ff,0x3fa01fff,0xfff306ff,0x37fff49f,0x7ec3ff50,
    0x7ec3ff9c,0x333332a6,0xccffffdc,0x3e24cccc,0x7fec4fff,0x1bffea5f,
    0x8009fff1,0xfffffffb,0x7fff43ff,0xb17ffe60,0x3f605fff,0x20006fff,
    0xfffffffd,0x3ffe603f,0xfffeffff,0x47fffc40,0xefffbfff,0x7e44fff9,
    0xa8000fff,0x3a01ffff,0x3fa06fff,0xffff36ff,0xb17fcc07,0xf83ff29f,
    0xfff5005f,0x7ffd400d,0x3fffe21f,0x887fff73,0x98004fff,0x0dfffffe,
    0x260fffe8,0x7fec5fff,0xffffc82f,0xff70000f,0xfffffdff,0x7fff5403,
    0xf01fff3e,0x1fff9fff,0xfff7fffb,0x0ffffc87,0xffffa800,0x1bfffa01,
    0xc9ffffb8,0x7c00ffff,0x7cd3f66f,0x007ff73f,0x001bffea,0xfa8dfffb,
    0xfffc9fff,0x03fffcc2,0xd006a600,0x7fcc1fff,0x17ffec5f,0x07ffffea,
    0x7fffcc00,0x6ffffc8e,0x40009880,0x6ffffffe,0xfffdfff7,0x0ffffc85,
    0xffffa800,0x1bfffa01,0xecffff88,0xfb804fff,0x7ec9fb4f,0x2006ff9f,
    0x4006fffa,0x6c3ffff8,0xfffbdfff,0x3ffffa24,0xe8000003,0x3fe60fff,
    0x17ffec5f,0x07fffff1,0x3fffe200,0x3ffffa2f,0xfb000004,0x227fffff,
    0x1fffffff,0x007fffe4,0x0ffffd40,0x80dfffd0,0xfffffffd,0x7ffb001f,
    0x01ffe980,0x01bffea0,0x220bbee0,0xdfff52ef,0xfffffb33,0x876a617f,
    0xcccccccb,0xfd0ccccc,0x7ffcc1ff,0xd17ffec5,0xffffffff,0x09ffffff,
    0x989ffffb,0x5c2fffff,0xcccccccc,0x7e40cccc,0x3a1fffff,0x40ffffff,
    0x000ffffc,0x01ffffa8,0x301bfffa,0xdfffffff,0x77ffc400,0xfff9311a,
    0xfffa8009,0x08050006,0x7fffffc4,0xffffdfff,0x3a1fffff,0xffffffff,
    0xffd1ffff,0x2fffcc1f,0x7c4bfff6,0xffffffff,0x44ffffff,0x906ffffb,
    0x741fffff,0xffffffff,0x7dc1ffff,0x7dc6ffff,0xfc87ffff,0xa8000fff,
    0x3a01ffff,0xfe806fff,0x003fffff,0x7ffffec4,0x002fffff,0x006fffa8,
    0x3ff20000,0xf88fffff,0xffffffff,0x3fffffa1,0x1fffffff,0x7cc1fffd,
    0x7ffec5ff,0xffffff12,0xffffffff,0x7fffcc9f,0x3fffa01f,0x3ffffa5f,
    0xffffffff,0x7ffffd41,0x7ffffc44,0x0ffffc86,0xffffa800,0x1bfffa01,
    0x3ffffee0,0xfd70000f,0x01bfffff,0x1bffea00,0xf9000000,0x7441dfff,
    0x0dffffff,0x3333332e,0xd0cccccc,0x7fcc1fff,0x97ffec5f,0xfffffff8,
    0xffffffff,0x9ffffd14,0xfffff980,0x99999973,0x81999999,0x81fffff8,
    0xc84ffffe,0x8000ffff,0x201ffffa,0x8806fffe,0x005fffff,0x01ab9880,
    0x00000000,0x01531000,0x000d5544,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x048801cc,0x0004cccc,0xf3000100,0x000009ff,0x40004c40,0x00000998,
    0x07ddd500,0xffffff70,0xffffffff,0x3ffff2df,0x83ffffa1,0x99999999,
    0x99999999,0x17bd9500,0x10000000,0x98004c01,0x7f4404ff,0xfffffd85,
    0x5d500bff,0x20017ae0,0x4004fff8,0x203ffffb,0xdfffffda,0x3fff2201,
    0xfb802fff,0xff1001ef,0xfb803fff,0xffffffff,0x96ffffff,0x7ec3ffff,
    0x7fffc7ff,0xffffffff,0x6c46ffff,0x02ffffff,0xd9859993,0x7f4403ef,
    0x17ff443f,0x13fffe60,0x12ffff44,0xffffffff,0x7ff4c1df,0x3fffe20e,
    0x7ffc0c02,0x7fe44043,0xe983ffff,0xffffffff,0xffffa82f,0x00efffff,
    0x03fffff3,0xdfffff90,0xfffffb80,0xffffffff,0xffff76ff,0x23fffec1,
    0xffffffff,0xffffffff,0x7fffff46,0xffb83fff,0x3fffe63f,0x3fff204f,
    0x3ffff60f,0x3fffea00,0x7fff444f,0x3fffe24f,0x23ffffff,0x644fffe8,
    0xf100ffff,0x517ffc1b,0x7fffd47f,0xf883ffff,0xffffffff,0x7fffc47f,
    0x4fffffff,0xbfffff90,0xfefff880,0x332603ff,0xcccccccc,0xf73ccccc,
    0x7fe41fff,0x7ffffc6f,0xffffffff,0x3fe66fff,0xffffffff,0xb17ffec3,
    0x01ffffff,0xe87ffffa,0x5401ffff,0xd13fffff,0x3709ffff,0x45ffff98,
    0x222ffff9,0xf904fffe,0x27ffa3ff,0xf10fffd8,0x7fffffff,0x2eafbee0,
    0x361fffff,0xf931efff,0xff903fff,0x6c01ffff,0xfffe8eff,0x54000000,
    0x7fe47fff,0x6666646f,0xdccccccc,0x3ff66fff,0xffffb9df,0xffffb9df,
    0x3fffffe0,0xffff901f,0x03fffe41,0xcfffffa8,0x004ffffe,0x5c1ffff4,
    0x3ea0ffff,0x7fcc1fff,0xbffecfff,0x364ffffe,0x3ffff9cf,0x3ffee0a0,
    0x03fffe2f,0x2a0ffff6,0x01ffffff,0x3ea5fff5,0x000004ff,0x2e3fffd4,
    0x40005fff,0x3fa6fff9,0x3ffe60ff,0x5fffffff,0x7ffffff4,0x207bf201,
    0x2a001efc,0xffffffff,0xf931004f,0x3fa03fff,0x7ffe45ff,0xffffd986,
    0xffffffff,0xfff8260b,0x7fec003f,0xbfff30ff,0x417ffea0,0x01fffffc,
    0xffd8dffd,0x2000001f,0x7dc6fff9,0x4c0005ff,0x3ffe6fff,0xffffe987,
    0x7dc1ffff,0x0006ffff,0x3fea0000,0x804fffff,0xeffffffb,0x3fffe201,
    0x13fffa22,0x7ffffe4c,0xff002eff,0x7dc007ff,0x3fea5fff,0xbfff304f,
    0x07ffff40,0x260fffdc,0xaa886fff,0xaaaaaaaa,0xf32aaaaa,0xfffa8dff,
    0x7fcc0004,0x40f3326f,0xffffffe8,0x1dfffb02,0x80000000,0x06fffffa,
    0xffffff70,0xfffc807d,0x07fffd47,0xfffffc88,0x3ffe001e,0xfff7003f,
    0x7ffcc1ff,0x09fff707,0x4437ffe4,0xff905fff,0xffffb87f,0xffffffff,
    0xfff16fff,0x04fffa8b,0x37ffcc00,0xbdeca800,0x000d4c01,0x74400000,
    0x04ffffff,0xffffeea8,0xff880fff,0x7fff43ff,0xffffc884,0x02dfffff,
    0x803ffff8,0x81fffffc,0xfe81ffff,0x3ff602ff,0x0fffd84f,0x41ffff10,
    0xfffffffb,0xffffffff,0x910f3326,0x88000599,0x00004eee,0x00000000,
    0xfffe8800,0x004fffff,0x1ffffe44,0x2e2fffec,0x3220ffff,0xffffffff,
    0x02efffff,0x900ffffe,0x201dffff,0xbadffffd,0x700fffff,0xf981dfff,
    0x7fdc04ff,0x3fffee5f,0xffffffff,0x00006fff,0x00000000,0x00000000,
    0xfffd1000,0x9fffffbf,0xffff8800,0x07fffd45,0x885ffff3,0xfd9effff,
    0x3ffffc9f,0x80ffffe0,0x404ffffd,0xfffffff8,0x2aa2ffff,0x81ffffec,
    0xe800fffe,0x33312fff,0x33333333,0xfc813333,0x4003ffff,0x99999998,
    0x22000199,0x11effffe,0x77777777,0x3bba3777,0xeeeeeeee,0xeeeeeeee,
    0xfffd12ee,0x3fffea9f,0x2204c43f,0x223ffffc,0x7f42ffff,0x9ff705ff,
    0xffa97ff4,0x7fd55546,0xd12aadff,0x999dffff,0xffe98799,0x43ffffff,
    0x2effffff,0x20013330,0x00009998,0x3fffea00,0x3ff2003f,0x7fffffff,
    0xfffd1000,0x7ffc41bf,0xffffffff,0xfffffff4,0xffffffff,0x15ffffff,
    0xa89ffffd,0x2e3fffff,0xffffffff,0x3ffa1fff,0x7fffdc5f,0xfff0b600,
    0xff116c45,0xffffffff,0x3fffeadf,0x6fffffff,0x9bffdb70,0x7fffff01,
    0x00000000,0xffd30000,0x3f2005ff,0xffffffff,0xffe88007,0xfff883ff,
    0xffffffff,0xfffffff4,0xffffffff,0x75ffffff,0x2a09ffff,0x3ee5ffff,
    0xffffffff,0x3fffe61f,0x0bfffe20,0x00fffe00,0xfffffff1,0x3eadffff,
    0xffffffff,0x900006ff,0x00000357,0x00000000,0x005ffff9,0xfffffff9,
    0xe8800fff,0xf101efff,0xffffffff,0x3bbba9ff,0xeeeeeeee,0xeeeeeeee,
    0x809ff92e,0x3ee0dffa,0xbeffffff,0x882fc880,0xf88005fc,0x7fc404ff,
    0xffffffff,0xfffff56f,0x0dffffff,0x00000000,0x00000000,0x17fffd40,
    0x44000000,0x200dfffe,0xccccccc8,0x0002cccc,0x20099000,0x999880da,
    0x10020009,0x99910001,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_39_latin1_x[224]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
6,1,1,2,2,2,0,2,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,1,4,4,0,2,1,7,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_39_latin1_y[224]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,20,15,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,-1,2,3,3,
-4,0,0,2,2,9,15,15,0,1,0,4,0,0,1,8,1,13,28,0,2,9,0,0,0,8,-4,-4,-4,-5,
-5,-6,3,2,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,9,-1,-4,-4,-4,-5,-4,3,0,1,1,
1,0,0,-2,8,8,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,7,4,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_39_latin1_w[224]={ 0,7,14,21,19,22,22,6,13,13,17,19,11,13,
9,19,20,18,18,18,21,18,19,18,19,19,8,11,17,17,17,14,22,22,18,19,20,16,16,20,19,17,15,19,
17,21,19,21,18,22,19,19,19,19,22,21,22,22,19,11,19,11,19,22,14,17,19,17,18,19,21,20,17,18,
16,19,18,20,17,20,19,18,17,17,18,17,22,22,21,22,17,16,5,15,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,21,21,
5,19,18,22,14,17,18,13,20,17,15,19,13,13,20,19,19,8,7,13,15,18,22,22,22,14,22,22,22,22,
22,22,22,19,19,19,19,19,19,19,19,19,21,20,21,21,21,21,21,18,21,20,20,20,20,22,18,19,19,20,
19,19,19,19,21,17,20,20,20,20,20,21,20,20,19,19,21,21,21,21,21,19,20,19,20,19,19,22,19,22,
 };
static unsigned short stb__consolas_bold_39_latin1_h[224]={ 0,28,10,25,34,29,28,10,37,37,17,19,15,5,
9,32,27,26,26,27,25,26,26,25,27,26,21,27,23,12,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,34,25,27,25,26,25,25,25,25,25,36,32,36,13,4,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,26,25,25,
40,33,9,27,20,17,10,5,20,8,15,24,16,17,8,28,32,9,6,16,20,17,28,28,28,28,32,32,32,33,
33,34,25,32,32,32,32,33,32,32,32,33,25,33,33,33,33,34,34,18,34,33,33,33,34,32,25,29,28,28,
28,29,29,31,21,26,28,28,28,29,27,27,27,28,28,28,28,28,28,29,29,21,29,28,28,28,29,35,35,36,
 };
static unsigned short stb__consolas_bold_39_latin1_s[224]={ 255,245,165,110,227,106,111,247,13,27,53,
218,115,219,221,1,116,199,180,220,228,161,141,24,32,121,245,1,101,147,83,
164,122,40,191,52,187,210,132,95,149,169,239,208,43,61,103,198,1,204,20,
21,227,81,168,146,123,1,83,70,152,58,127,233,165,175,21,214,123,232,101,
211,159,218,41,1,13,39,156,193,41,237,138,137,62,119,174,115,78,201,60,
105,1,145,199,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,255,247,111,
101,23,1,7,172,231,72,100,238,180,219,197,180,99,63,85,20,198,1,101,
247,245,71,23,34,88,65,42,238,121,129,195,43,128,1,67,144,218,61,21,
236,164,41,81,1,45,151,21,214,192,24,46,1,68,87,66,108,90,172,236,
65,232,1,22,45,225,184,1,218,149,175,154,204,177,137,41,170,191,134,196,
179,142,1,23,155,85,61,224,81,129,181,161,82, };
static unsigned short stb__consolas_bold_39_latin1_t[224]={ 1,111,388,288,1,144,174,314,1,1,388,
366,388,399,388,111,232,260,260,232,288,260,260,314,232,260,203,232,340,388,340,
203,1,340,314,232,288,314,288,232,288,288,232,288,314,314,314,232,340,1,340,
260,314,260,314,314,314,314,314,1,77,1,388,399,399,340,203,340,203,340,203,
144,232,174,1,260,232,366,366,340,203,174,366,340,260,340,366,366,366,203,366,
1,1,1,388,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,1,1,42,
260,288,288,1,42,388,232,366,366,388,399,366,399,388,340,388,388,399,203,111,
325,225,388,366,388,174,174,174,77,111,77,77,77,42,42,288,111,77,111,111,
42,111,111,111,77,288,42,77,42,42,42,42,388,42,77,77,77,42,77,260,
144,144,174,174,144,111,111,366,260,144,174,174,111,232,232,260,144,144,174,174,
203,203,144,144,340,144,203,203,203,144,1,1,1, };
static unsigned short stb__consolas_bold_39_latin1_a[224]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_39_latin1(stb_fontchar font[STB_FONT_consolas_bold_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_39_latin1_s[i] + stb__consolas_bold_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_39_latin1_t[i] + stb__consolas_bold_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_39_latin1_x[i];
            font[i].y0 = stb__consolas_bold_39_latin1_y[i];
            font[i].x1 = stb__consolas_bold_39_latin1_x[i] + stb__consolas_bold_39_latin1_w[i];
            font[i].y1 = stb__consolas_bold_39_latin1_y[i] + stb__consolas_bold_39_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_39_latin1_s[i] + stb__consolas_bold_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_39_latin1_t[i] + stb__consolas_bold_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_39_latin1_x[i] + stb__consolas_bold_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_39_latin1_y[i] + stb__consolas_bold_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_39_latin1_LINE_SPACING
#endif

