// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT        439
#define STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_40_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_40_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_40_latin1_LINE_SPACING          26

static unsigned int stb__consolas_bold_40_latin1_pixels[]={
    0x223ffff1,0x0001ffff,0x88000000,0x0000000a,0x66654000,0xaaaa83cc,
    0x00aaaaaa,0x01aa9880,0x3aa0bbae,0x26aa603e,0xaaaa8000,0x10aaaaaa,
    0x00039999,0x02666000,0xca800000,0xfff8accc,0x3ffff11f,0xea81ec00,
    0x7e400000,0x654004ff,0x000acefe,0x3fffea00,0xfffff04f,0x003fffff,
    0x2fffff54,0x21ffffa8,0xb02ffff9,0x005dffff,0x7ffffff4,0xfff32fff,
    0x0000007f,0x5000bffe,0x2003bffb,0xf8cffffc,0xfff11fff,0x3ff6003f,
    0x0077fd43,0xffff9800,0xffe8802f,0x02ffffff,0xffffa800,0x3fffe02f,
    0x01ffffff,0xffffffb0,0x3ffff60b,0x17fffee3,0x7fffffec,0xffffd005,
    0x265fffff,0x0003ffff,0x1fff8800,0x3fffee00,0xffb803ff,0xffff8bff,
    0x03ffff11,0x25ffffb0,0x00effff9,0xffffb800,0x7ffd404f,0xffffffff,
    0x3fea0002,0x7fc00eff,0xffffffff,0xffffb801,0xff905fff,0x7ffdc5ff,
    0xffffb04f,0xfd007fff,0xffffffff,0x0ffffe65,0x3e600000,0xff1000ff,
    0x01fff77f,0x8bffffb8,0xff11ffff,0xffd803ff,0x7ffec5ff,0x5c0000ef,
    0x203fffff,0xbdfffffa,0x02fffffd,0x4ffffa80,0x37ffff00,0xf1003333,
    0x1359ffff,0x21bffa20,0x3100effe,0x1fffff95,0x99999880,0xff32ffff,
    0x000007ff,0x400fff70,0x3fee3ff9,0x7fffd401,0x11ffff8a,0x5c03ffff,
    0xfd06ffff,0x8000bfff,0x00fffff8,0x20bffff1,0x4006fffc,0x002cccc8,
    0x000bfffe,0x017fffdc,0x15405510,0x3fffe600,0xffff0003,0x0ffffe65,
    0x3f200000,0x3fe6006f,0x5007fee3,0xff15ffff,0x3ffe23ff,0xffff301f,
    0x3ffa201d,0x440002ff,0x3fa00cec,0x7ff404ff,0x0000001f,0x000bfffe,
    0x002fffe4,0xfb000000,0x3e0009ff,0xfff32fff,0x0000007f,0x4400bffb,
    0x7ffccfff,0x9ffff980,0xf11ffff8,0x3fa03fff,0x7c400fff,0x0000ffff,
    0x6fffb800,0x04fff980,0x3fe00000,0xfb0002ff,0x000007ff,0x7ffdc000,
    0xffff0005,0x0ffffe65,0xa8800062,0x1befffdb,0xfffff500,0xfff3005f,
    0x3ffff13f,0x207fffe2,0x003ffffc,0x00bffff7,0xffff0000,0x9fffa003,
    0x005eeee9,0xf8bbbbae,0xd0002fff,0x74c05fff,0x2e005eee,0x2a02eeee,
    0xf0006fff,0x3fe65fff,0xffd932ff,0x362005bf,0xffffffff,0x3b26007f,
    0xff1000ce,0xffff11ff,0x07fffe23,0x00dffff1,0x82ffffe8,0xeeeeeeee,
    0x41eeeeee,0x2004fffa,0x3fe1fffc,0xff001fff,0x7ffc1fff,0xffd0002f,
    0xffff805f,0xffff001f,0x7ffd401f,0xffff0007,0x2bfffe65,0xfffffff9,
    0x7ffdc04f,0xffffffff,0x99993007,0xff100399,0xffff11ff,0x07fffe23,
    0x003ffff9,0x85ffff98,0xffffffff,0x41ffffff,0x2620fffe,0xfaba88ab,
    0x3fff22ff,0xfffa804f,0x17fffc4f,0x2fffe800,0x27fffe40,0x27fffd40,
    0x01fffea0,0x997fffc0,0xfffcffff,0x4fffffff,0xffffff70,0x0fffffff,
    0x3fffff20,0x3333004f,0x447fffe2,0x7fc1ffff,0xfb0005ff,0xfff81fff,
    0xffffffff,0x3fe61fff,0x3fffea6f,0xfff9dfff,0x1ffffe63,0x07ffff60,
    0x0005ffff,0x300bfffa,0xb00fffff,0xa803ffff,0xf0007fff,0x3fe65fff,
    0xefffffff,0x40ffffff,0xbffffff8,0x07ebfffc,0xfffffff0,0x7fc4000f,
    0xffff11ff,0x17fffd43,0xffffa800,0x77777743,0xfffffeee,0x54fffee1,
    0xffffffff,0x743fff9c,0x2202ffff,0xff86ffff,0xff0002ff,0xffd005ff,
    0x7fc405ff,0xffa806ff,0xff8000ff,0xffff32ff,0x3e617fff,0x7ec4ffff,
    0xff70efff,0x7fcc00cf,0x01ffffff,0xf8cfffd8,0xfff11fff,0x3fffec3f,
    0x3fffe000,0xfffc8006,0x43fff61f,0xffffffff,0x44fff8bf,0x205ffffb,
    0xf83ffffb,0x88002fff,0xb801ffff,0x2e05ffff,0x9803ffff,0x8002ffff,
    0xff32ffff,0xf303ffff,0x7fc4ffff,0x3ff20fff,0x7ffdc005,0x803fffff,
    0xff89fffe,0xffff11ff,0x027fffc3,0x3ffff200,0x7ffe4000,0x5dbffe1f,
    0xffd8efff,0x88bfff2f,0xd00fffff,0xff01ffff,0xf70005ff,0xf1001fff,
    0x3a01ffff,0x8800ffff,0x8004ffff,0xff32ffff,0x7f405fff,0xfff50fff,
    0x04ffd89f,0x7f7fff40,0x7c406fff,0xffff16ff,0x47fffe23,0x002ffff8,
    0x0ffffd40,0x3ffff200,0x36bfff11,0xfffb1fff,0x3217ffe5,0xf883ffff,
    0xfff05fff,0x3262005f,0x2005ffff,0x883ffffc,0x2005ffff,0x09cffffc,
    0x25ffff00,0x404ffff9,0xf71ffffc,0xffe85fff,0x3ffe2003,0x0ffffeaf,
    0x98fffe60,0x3ffe2199,0x5ffff31f,0xfff98000,0x7fe4002f,0x7fff51ff,
    0xffd9fffe,0x30bfff1f,0xf70dffff,0x3fe05fff,0xfff802ff,0x000effff,
    0x21bfffe6,0x002ffffb,0x3fffffa2,0xffff807f,0x07ffff32,0x92ffffb8,
    0xff83ffff,0x3fea002f,0xffffb8ff,0x03ffee02,0x47fffe20,0x001ffffa,
    0x1ffffc40,0x3ffff200,0xf35fff71,0x7fff4bff,0x3a09fff0,0x7f40ffff,
    0x3ffe07ff,0xffff802f,0xe8000bef,0x7f40ffff,0xd70007ff,0xf00fffff,
    0x3fe65fff,0x7fdc03ff,0xffffb3ff,0x00fffc45,0x26dfffb0,0x2e05ffff,
    0xff1004dd,0x3ffee3ff,0xff80000f,0x7e4004ff,0xfff71fff,0x7c9fff53,
    0x9fff17ff,0x8ffffee0,0x204ffff9,0xf802ffff,0x02efffff,0x3ffffb80,
    0x013fffe6,0x3ffffaa0,0xffff807f,0x07ffff32,0x93ffffb8,0x7cc7ffff,
    0x3fe000ff,0x3fffe4ff,0x7c400007,0xfff91fff,0x3fa0000f,0x7e4005ff,
    0xfff91fff,0x7c7fff51,0x7fff17ff,0x9bfffe20,0x200ffffc,0xc802ffff,
    0x2fffffed,0x7fffc400,0x03ffff26,0xfffff500,0xfff009bd,0x3fffe65f,
    0x7fffe403,0x4bffff71,0x26007ffa,0x3f61ffff,0x00001fff,0x647fffe2,
    0x0000ffff,0x004ffff8,0xd8ffffe4,0xfffb8fff,0x26dfff13,0x3f203fff,
    0xffff1fff,0x2ffff80b,0x7fff4c00,0xfffc8006,0x0bffff1f,0x1dfffd00,
    0x2ffff800,0x807ffff3,0xf50ffffd,0x3ee1ffff,0x3ff2006f,0x7fffdc7f,
    0x3e200004,0xfff71fff,0xff00003f,0xfc8007ff,0xfffb1fff,0x7ccfffee,
    0x3fff55ff,0x67fffcc0,0x402ffffa,0x8002ffff,0x000ffffc,0x567fffcc,
    0x4002ffff,0x001ffff8,0xf32ffff8,0x7c407fff,0x3fe27fff,0xffd9ffff,
    0xfffd00c5,0x6ffff88b,0x3fe20000,0xffff51ff,0xff880005,0x7e4002ff,
    0xfffb1fff,0x7d4fffee,0x0fff94ff,0xfbdfffd0,0xfff00fff,0xff30005f,
    0xfd0003ff,0xffffbdff,0xffff3000,0x3fffe000,0x07ffff32,0x22ffffe4,
    0xfffffffb,0x07ecadff,0xd07ffff1,0x4001ffff,0xf10eeee8,0x3fe63fff,
    0x4c0003ff,0x4001ffff,0xf91ffffc,0x9fff51ff,0x7fd7fffa,0xfffb805f,
    0x804fffff,0x0002ffff,0x0005ffff,0xfffffff7,0xff50009f,0x3fe000ff,
    0xffff32ff,0x3ffff207,0xffffe80f,0xffffffff,0x3ffff707,0x07ffff90,
    0x8ffffc40,0xf11ffff8,0x8000bfff,0x000ffffb,0xc8ffffe4,0xfff99fff,
    0xdfffffde,0xf8803fff,0x1fffffff,0x02ffff80,0x05fffd00,0xfffff100,
    0x50003fff,0x2000ffff,0xff32ffff,0xd9579dff,0x207fffff,0xffffffe8,
    0xb07fffff,0x3ea0dfff,0x22005fff,0xff11ffff,0x7fff43ff,0x3fa0000f,
    0xfc8006ff,0xfff71fff,0x3fffffa3,0x6fffffff,0x3ffff600,0xfff006ff,
    0x3fa0005f,0xfb0002ff,0x00dfffff,0x01fffea0,0x997fffc0,0xffffffff,
    0x05ffffff,0xffffffc8,0xf886ffff,0x3fe04fff,0x3e2007ff,0xfff11fff,
    0x7fffdc3f,0xfff30003,0xff90007f,0x3ffea3ff,0x3fffff72,0x01fffffd,
    0x7ffffcc0,0xffff002f,0x3ffa0005,0xff30002f,0x0005ffff,0x001fffea,
    0xf997fffc,0xffffffff,0x4003ffff,0xbcdfffd9,0xfffff501,0xffffffff,
    0x22005fff,0xff11ffff,0x7ffc43ff,0xff90005f,0xf90001ff,0x3fe63fff,
    0x477fae4f,0x001cefd9,0x06ffffe8,0x00bfffe0,0x017fff40,0xdffffd00,
    0x7ffd4000,0xffff0007,0x3ffffe65,0x0cefffff,0x0dff7000,0x3fffff20,
    0xffffffff,0xf1004fff,0x3fe23fff,0x7ffec1ff,0x7fc4001f,0xf90005ff,
    0x3fe63fff,0x0000006f,0x00bffffa,0x002ffff8,0x005fffd0,0x17ffff40,
    0xdfff5000,0x3fffe000,0x37ffff32,0x20000353,0xff005ffc,0xffffffff,
    0xffffffff,0x3fffe200,0x83ffff11,0x006ffffa,0x00ffffe4,0x47fffd80,
    0x0001fffe,0xffffb800,0x7fffc006,0xfffd0002,0x3fee0007,0x5c0006ff,
    0xf0006fff,0x3fe65fff,0x000003ff,0xf3009ffb,0xffffffff,0xffffffff,
    0xfff1003f,0x3fffe23f,0x3ffffd81,0xbffff300,0x7fff4000,0x027ffdc6,
    0x3fe60000,0x7c002fff,0x90002fff,0x30009fff,0x005fffff,0x05fffc80,
    0x25ffff00,0x003ffff9,0x07ffd000,0x01ffff70,0x07ffff90,0x23ffff10,
    0x881ffff8,0x800fffff,0x000ffffe,0x8bffff50,0x002ffff8,0xffff5000,
    0xfff0009f,0x3ee0005f,0x2a000fff,0x004fffff,0x1ffffc40,0x2ffff800,
    0x007ffff3,0x0bffe000,0x01bfffa0,0x037fffd4,0x88ffffc4,0xf501ffff,
    0x6c01dfff,0x9902ffff,0x3fffa603,0xffffd83f,0x3a035402,0xffffffee,
    0xffff0006,0x3fe60005,0xddd02eff,0x0dffffff,0xfffea800,0xfff0001f,
    0x3fffe65f,0xf8800003,0x7fc401ff,0xff1004ff,0xf8801fff,0xfff11fff,
    0x7ffec03f,0xfffc80ef,0x3fff205f,0xffffeccd,0xffff305f,0xf97337bf,
    0xffff80ff,0x000effff,0xfffffff0,0xfb003fff,0x4bffffff,0xffffffff,
    0xffd8000e,0x805fffff,0xfffffffe,0xffff32ff,0xf3000007,0xffa801ff,
    0x3fa001ff,0x7c402fff,0xfff11fff,0x7ff4403f,0x7ffe46ff,0x3ff200ef,
    0xffffffff,0x3fe600ff,0xffffffff,0x7ffc07ff,0x0004ffff,0x7ffffffc,
    0xf8801fff,0x25ffffff,0x4fffffff,0x3fff6000,0xe800ffff,0xffffffff,
    0x7ffff32f,0xdd500000,0xffffb00b,0xffffb800,0x7fffc405,0x03ffff11,
    0x2ffffe88,0x01dffff3,0xffffffc8,0x800dffff,0xffffffe8,0x7c05ffff,
    0x001cefff,0xffffff80,0x1001ffff,0x4bfffff9,0x01ceffff,0x7fffec00,
    0xffd000cf,0x5fffffff,0x00bbbba6,0x00000000,0x7c400000,0xfff11fff,
    0xffd1003f,0x00effb87,0xffffeb98,0x44001def,0xeffffeca,0x0013000b,
    0xddddd000,0x001ddddd,0x44ecba88,0x64000009,0x4000abce,0xeeeeeeed,
    0x000001ee,0x00000000,0xfff88000,0x3ffff11f,0x5c0fa200,0x0260000e,
    0x00060000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe2000,0x3ffff11f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0xffff11ff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbae000,0x00000000,0x002aa980,0x30000000,0x157bdd95,0x99300000,
    0x00007999,0x00000000,0x39999970,0x64c00000,0x2440cffe,0x03df9100,
    0x00019fd3,0x006fff80,0xd303df91,0x6c00019f,0x644005ff,0xcfe981ef,
    0x3ff62000,0x2fffffff,0x3fe60000,0x3000dfff,0x8819ffd9,0x3fb26004,
    0x802440cf,0x1fffffd8,0xff980000,0xa9cfffff,0xff9004fe,0x7ffc41ff,
    0x2600004f,0xf9004fff,0x7fc41fff,0x3a0004ff,0x7e4004ff,0x3fe20fff,
    0xfd3004ff,0xffffffff,0x300009ff,0x007fffff,0x7fffffcc,0x04fea9cf,
    0xffffff98,0x04fea9cf,0x3ffffee0,0x3a200001,0xffffffff,0x800fffff,
    0x261fffff,0x0007ffff,0x007fff20,0x30fffffc,0x000fffff,0x2001fffc,
    0x261fffff,0x9807ffff,0xffffffff,0x05ffffff,0x3fffe600,0x3fa2001e,
    0xffffffff,0x2200ffff,0xfffffffe,0x00ffffff,0x3ffffa60,0x3f600001,
    0xffffdabe,0xfd001fff,0x7fc41fff,0xb98006ff,0x7fffefec,0x3ffffa00,
    0x1bfffe20,0x3ffee600,0x3ffa001b,0x3ffe20ff,0xfffe806f,0xffdbbdff,
    0x8001ffff,0x004eeed8,0xfb57dfb0,0x03ffffff,0xfb57dfb0,0x03ffffff,
    0x37bbb200,0x07600000,0x05bfffb3,0x41fffcc0,0x2001fffc,0xffffffd8,
    0x26005fff,0xffc83fff,0xfec8801f,0xffffffff,0x7ffcc00e,0x01fffc83,
    0x0fffffd4,0x2fffff44,0x40000000,0x7ffecc1d,0x3076002d,0x005bfffb,
    0x00000000,0x510000c0,0x00054401,0xfffffff3,0x009fffff,0x15100544,
    0xfffff700,0xffffffff,0x40151003,0xffe800a8,0x3fe201ff,0x00001fff,
    0x00c00000,0x00018000,0x00000000,0x00000000,0xfffff500,0xffffffff,
    0x000000bf,0xffffff70,0xffffffff,0x80000003,0x805ffffa,0x004ffffd,
    0x2f7bb2e6,0x0000000a,0x10000000,0x50039999,0x00019999,0x2f7bb2e6,
    0x2e60000a,0x00abdeec,0x3bffffa0,0xfffffaac,0xccc881ff,0xccca801c,
    0x3fffe60c,0xdefffdff,0x26001ffe,0x01cccccc,0x05ffff90,0x0bffff50,
    0xfffffb10,0x8805ffff,0x803ccccc,0x9800cccc,0x01cccccc,0x07ffff30,
    0x03ffff70,0xffffd880,0x002fffff,0x7ffffec4,0xa802ffff,0x2e0effff,
    0x6fffffff,0x03ffff98,0x21ffffb8,0xd0dffffd,0x005447ff,0xffffff90,
    0x3fff6009,0xfff8800f,0x7ffd406f,0xffffffff,0x3ffe204f,0x7fc01fff,
    0xffc801ff,0x3004ffff,0x7007ffff,0x4003ffff,0xfffffffa,0x004fffff,
    0xfffffff5,0x809fffff,0x740ffffe,0xffffefff,0x1ffffcc1,0x0ffffdc0,
    0x7c1fffff,0x7c0002ff,0x07ffffff,0x00ffffd0,0x503ffffc,0xffffffff,
    0x0bffffff,0x3fffffe2,0x0ffffc04,0x7fffffc0,0xfff3007f,0xfff7007f,
    0x3fea003f,0xffffffff,0x5405ffff,0xffffffff,0x05ffffff,0x889ffff5,
    0xfffbdfff,0x7fffcc3f,0xffffb803,0x4fffff11,0x0001fff8,0x3fffffe6,
    0xfff801ff,0x3ffe007f,0xfffd00ff,0xffb77bff,0xf103ffff,0x01ffffff,
    0x200ffffc,0xfffffff9,0xfff9801f,0xfffb803f,0xfffd001f,0xffb77bff,
    0x7403ffff,0xbbdfffff,0x1ffffffd,0x41ffffc8,0xff9afffb,0x7ffcc6ff,
    0xfffb803f,0x3ffffe1f,0x001fff53,0x7ffffdc0,0x7c403fff,0x3a006fff,
    0xfb81ffff,0xf880ffff,0xf885ffff,0x04ffffff,0x7007fffe,0xffffffff,
    0xffff3007,0xffff7007,0xffff7003,0xffff101f,0x3ffee0bf,0xfff880ff,
    0xfffd85ff,0xf0fffd87,0xff98ffff,0xffb803ff,0x3fffa1ff,0x07ffcdff,
    0x77fff400,0x4c06ffff,0x2006ffff,0x441ffffe,0x201fffff,0x40fffff9,
    0xfffffff8,0x07fffe07,0xffdfffd0,0xff300dff,0xff7007ff,0xff8803ff,
    0x3e601fff,0x7c40ffff,0x2601ffff,0x740fffff,0x7fc46fff,0x3ffffa5f,
    0x0ffffe60,0x87fffee0,0xfffffffb,0x220006ff,0xffeaffff,0x3fe200ff,
    0x3fa006ff,0x7fdc0fff,0xffd805ff,0x7ffc44ff,0xf03fffff,0x7c403fff,
    0xfffeafff,0x7ffcc00f,0xfffb803f,0x7ffdc01f,0xfffd805f,0x7fffdc4f,
    0xffffd805,0x22ffffc4,0x3f63fffa,0x3fe60fff,0xffb803ff,0x7ffec1ff,
    0x2dffffff,0xffffa800,0x02ffffb8,0x01ffffe2,0xc87ffff8,0xa802ffff,
    0x7c45ffff,0x6fffffff,0x403ffff0,0xfb8ffffa,0x7cc02fff,0xfb803fff,
    0x7e401fff,0xfa802fff,0x7fe45fff,0xffa802ff,0x3ffe25ff,0x07ffec5f,
    0x4c3ffffb,0xb803ffff,0x6c41ffff,0xffffffff,0x36002fff,0xfff36fff,
    0xffff80bf,0x3fffe007,0x0ffffd86,0x6ffff880,0x7dffffc4,0xfff82fff,
    0x3fff601f,0x0bffff36,0x03ffff98,0x01ffffb8,0x007fffec,0x237fffc4,
    0x800ffffd,0x266ffff8,0x7fc4ffff,0x7fffe46f,0x0ffffe61,0x07fffee0,
    0x7fffff54,0x00efffff,0x3e4ffff8,0x7f407fff,0xf9801fff,0xffe85fff,
    0x3ffe007f,0x7fffc47f,0xf86fffe9,0x3fe01fff,0x3fffe4ff,0x7fffcc07,
    0xffffb803,0x3ffff401,0x8fffff00,0x2007fffe,0x3e67ffff,0x3fe65fff,
    0x3fffec3f,0x00ffffe6,0x007fffee,0xffffffb3,0xf980bfff,0x3ff61fff,
    0x3ff601ff,0xffc804ff,0xffff83ff,0x3fffe007,0x3fffe20f,0x41ffffb9,
    0xf301ffff,0x7fec3fff,0x3fe601ff,0xffb803ff,0x7ffc01ff,0x3ffe007f,
    0x3fffe0ff,0x3fffe007,0xdffff10f,0x3a0fffe4,0x7fcc7fff,0xffb803ff,
    0xffa801ff,0xffffffff,0x1ffff203,0x409ffff7,0x806ffffa,0x440ffffe,
    0x2006ffff,0x221ffffe,0xff89ffff,0x7fffc5ff,0x8ffff901,0x204ffffb,
    0x803ffff9,0x201ffffb,0x006ffff8,0x447ffffa,0x2006ffff,0x3e1ffffe,
    0x3ffe6fff,0x46fffe86,0x803ffff9,0x801ffffb,0xffc8effb,0x3fa05fff,
    0x7ffc45ff,0x7fffc06f,0x3fff204f,0xffff985f,0x3fffa006,0x3fffe21f,
    0x43ffff91,0xfd01ffff,0xfff88bff,0x3ffe606f,0xfffb803f,0x3ffe601f,
    0x3ffa006f,0xffff31ff,0x7fff400d,0x5ffffe1f,0x7c44fff9,0x7fcc4fff,
    0xffb803ff,0xffc801ff,0x1fffff25,0x41ffffc4,0x200ffffe,0x1cfffffc,
    0x3fffff26,0x6ffff881,0x3ffffa00,0x47fffe20,0x3e4ffff8,0xff881fff,
    0xfffe83ff,0xffff300f,0xffff7007,0x7fffc403,0x3fffa006,0xdffff10f,
    0x7ffff400,0x2bffff60,0x7d41fffc,0x7fcc3fff,0xffb803ff,0xffe801ff,
    0x3ffffe24,0x1ffffb80,0x03ffffc8,0x3fffffe2,0xffffffff,0x3fffe04f,
    0x3fffe007,0x0ffffc47,0x3e1ffffb,0xffb81fff,0xfffc81ff,0xffff303f,
    0xffff7007,0x7ffff803,0x1ffffe00,0x400fffff,0x7d47ffff,0x7ffedfff,
    0x41ffffd8,0x803ffff9,0x801ffffb,0x3fe23fff,0xfffb06ff,0x3fffea0d,
    0x7fffcc05,0xffffffff,0x7fffc04f,0x3fffe007,0x0ffffc46,0x3e9ffff3,
    0xffd81fff,0xffff506f,0x3fffe60b,0xffffb803,0x3ffffc01,0x8dffff00,
    0x2007ffff,0x7c46ffff,0x4fffffff,0x427fffd4,0x803ffff9,0x511ffffb,
    0x645fff10,0xf884ffff,0x3fe04fff,0xff9807ff,0xffffffff,0xfffe804f,
    0xfff9801f,0x7fffc44f,0x47ffff41,0x7c41ffff,0x3fe04fff,0xfff307ff,
    0xfff9007f,0xfffe801f,0xfff9801f,0x7ffff44f,0xffff9801,0xfffffc84,
    0xfff512ff,0xfff301ff,0xfff9007f,0x2f7fe61f,0xebafffaa,0xa81fffff,
    0xffffffff,0xffffffff,0xfffd5002,0x20019fff,0x804ffffd,0x443ffffc,
    0x7d41ffff,0xffffbfff,0x7ffffd41,0xffffffff,0xff882fff,0xffc804ff,
    0xfffd807f,0xfffc804f,0x7fffec3f,0xffffc804,0xfffff883,0xffffeeff,
    0xfff104ff,0xfff9009f,0x7ffffccf,0xffffffff,0xff903fff,0xffffffff,
    0x09ffffff,0x1ffffb80,0x7fffd400,0xffffe806,0x0ffffc41,0x7ff7fff4,
    0x7ffe41ff,0xffffffff,0xf04fffff,0xfd00bfff,0xff500dff,0xffd00dff,
    0xfffa83ff,0xfffe806f,0xffff501f,0xffffffff,0x7ffc01bf,0xfffe805f,
    0x3ffffe66,0xffffffff,0x3ffe04ff,0xffffffff,0x07ffffff,0x1ffffcc0,
    0x7ffff400,0x3ffff204,0x1ffff885,0xffffffb8,0x7fffc1ff,0xffffffff,
    0xd07fffff,0x4c03ffff,0xd005ffff,0x6409ffff,0xfd05ffff,0x7e409fff,
    0x7cc05fff,0xffffffff,0xffe803ff,0x3fe601ff,0x3ffe65ff,0xffffffff,
    0x3e601dff,0xffffffff,0xffffffff,0x7ffc001f,0x80ec42ff,0x1cfffffb,
    0x3fffff26,0x1ffff880,0xffffff88,0x3ffe61ff,0xffffffff,0x1fffffff,
    0x1effffc8,0x1ffffe88,0xfffff700,0x7ffe4c39,0xfff700ff,0x7e4c39ff,
    0xe800ffff,0xffffffff,0xfff9001d,0xffd103df,0xcba883ff,0xbceffffe,
    0xffffb801,0xffffc800,0x7ffec003,0x6ffedeff,0xffffff10,0xffffffff,
    0x3ffe209f,0xffff901f,0x7fdc3fff,0xffc800ff,0xfff883ff,0xfdccdfff,
    0x2004ffff,0xfffffff8,0xffffffff,0x3fffe204,0xffffffff,0xf8804fff,
    0x00aaadff,0xfffff880,0xfffdccdf,0xfff004ff,0xfffd0007,0x3ffea00d,
    0x7fc4006f,0xffffffff,0xffff304f,0xffffffff,0x3fe201bf,0xfff101ff,
    0x7f43ffff,0xff5006ff,0x3fee0dff,0xffffffff,0x4000ffff,0xfffffff9,
    0x0dffffff,0x7ffffcc0,0xffffffff,0xfffa800d,0xff700002,0xffffffff,
    0x1001ffff,0x88003fff,0x1004ffff,0x001fffff,0xffffffa8,0x2204ffff,
    0xfffffffe,0x7c403fff,0x3f601fff,0xf11fffff,0x22009fff,0x700fffff,
    0xffffffff,0x0001bfff,0x3fffffa2,0x003fffff,0x3fffffa2,0x003fffff,
    0x0003fff6,0xfffffb80,0x0dffffff,0x01fff300,0x1ffffa80,0x3ffffa00,
    0xffc88002,0x001dffff,0xffffffd9,0xfff1003b,0x7ffcc03f,0xfff51fff,
    0x7ff4003f,0x3f6202ff,0x2effffff,0xffd90000,0x003bffff,0x3ffffb20,
    0x22001dff,0x00005fff,0xfffffd88,0x5c002eff,0xfd8007ff,0x7dc007ff,
    0x40005fff,0x40001a98,0x44000aa9,0x7401ffff,0xfb1fffff,0xfb800fff,
    0x31005fff,0x00000355,0x0000aa98,0x000554c0,0x00013330,0x1aa98800,
    0x17bae000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x97000000,0x00039999,0x33326000,0x000003cc,0xcccc8800,
    0x99100001,0x00000399,0xccccb800,0x1000001c,0x00039999,0x33332600,
    0xc980003c,0x0003cccc,0x20b33320,0xffb10008,0x00003fff,0xfffff980,
    0x77e4400d,0x00cfe981,0x3ffffe60,0x7cc0001f,0x001fffff,0x4c0f7e44,
    0xfb100cfe,0x0003ffff,0xfffff980,0x4c00001f,0x00dfffff,0x7fffcc00,
    0x500000df,0x7443ffff,0xf7000eff,0x0003ffff,0x3fffe600,0xfff9003f,
    0x7fffc41f,0xffff3004,0x0005ffff,0x3fffffe6,0x3f2002ff,0x3fe20fff,
    0x7fdc04ff,0x00001fff,0xfffffff3,0x2600005f,0x003fffff,0xfffff980,
    0x7f400003,0x7ffec5ff,0x3fa6005f,0x00001fff,0x0f7fffcc,0x3fffff00,
    0x03ffffcc,0x4cffffcc,0x4002ffff,0xf99ffff9,0xff002fff,0x7fcc3fff,
    0xfe9807ff,0x40001fff,0xf99ffff9,0x40002fff,0x01effff9,0xffff9800,
    0x4c00001e,0x7fc2ffff,0xc8007fff,0x0000deee,0x09dddb10,0x1ffffd00,
    0x037fffc4,0x8837bb66,0x3001eeed,0x6c41bddb,0xfe801eee,0x3fe20fff,
    0x3b2006ff,0x30000dee,0x6c41bddb,0x10001eee,0x0009dddb,0x13bbb620,
    0x7fec0000,0xffffe86f,0x00000006,0xf3000000,0xfff907ff,0x00000003,
    0xf3000000,0xfff907ff,0x00000003,0x00000000,0x00000000,0x3ffe2000,
    0xffffb83f,0x00000002,0x22000000,0x002a200a,0x00000000,0x00a88000,
    0x000002a2,0x00000000,0x00000000,0xfb800000,0xbb500fff,0xd9730005,
    0x100157bd,0x50039999,0x00019999,0x32e60000,0x800abdee,0x801cccc8,
    0x000cccca,0xcc980000,0x0001cccc,0x6666664c,0x664c0001,0xa801cccc,
    0x2002cccc,0x002cccc9,0x004ffff8,0xfffd8800,0x02ffffff,0x01ffffcc,
    0x40ffffdc,0xcccccccc,0x4ccccccc,0x7fffec40,0x402fffff,0x803ffff9,
    0x981ffffb,0xcccccccc,0x04cccccc,0xffffffc8,0x7fe40004,0x0004ffff,
    0x7fffffe4,0xffff9804,0x3fffa007,0x7fd4001f,0x400001ff,0xfffffffa,
    0x204fffff,0x803ffff9,0xf81ffffb,0xffffffff,0x07ffffff,0x3fffffea,
    0x04ffffff,0x00ffffe6,0x207fffee,0xfffffffa,0x7fffffff,0xffffff80,
    0x7fc0007f,0x007fffff,0x7fffffc0,0xfffb007f,0xfff5007f,0xffd000bf,
    0x7fff80df,0xfffffa80,0xffffffff,0xffff305f,0xffff7007,0xffffff03,
    0xffffffff,0x3ffea0ff,0xffffffff,0xff305fff,0xff7007ff,0xfff503ff,
    0xffffffff,0xf980ffff,0x1fffffff,0xffff3000,0x0003ffff,0x3fffffe6,
    0xff9801ff,0xffe807ff,0x7cc001ff,0x3e202fff,0x7f400fff,0xdbbdffff,
    0x81ffffff,0x803ffff9,0xf81ffffb,0xffffffff,0x07ffffff,0x7bfffffd,
    0xffffffb7,0x7ffff303,0x3ffff700,0xffffff50,0xffffffff,0xffffb80f,
    0x0003ffff,0xfffffff7,0x3ee0007f,0x3fffffff,0x5ffffb00,0x2ffffd40,
    0x3fffe400,0x03fffe20,0x0fffffb8,0x5fffff88,0x03ffff98,0x81ffffb8,
    0xffcaaaaa,0x2aaaacff,0x0fffffb8,0x5fffff88,0x03ffff98,0x81ffffb8,
    0xccdffffa,0x4ccccccc,0x7f7fff40,0xd0006fff,0xffffdfff,0x3ffa000d,
    0x06ffffef,0x0dffff30,0x00fffff4,0x0ffffe20,0x01ffff10,0x07ffffe2,
    0x0fffff98,0x01ffffcc,0x00ffffdc,0x03ffffb8,0x1fffff88,0x3ffffe60,
    0x1ffffcc0,0x0ffffdc0,0x01ffffd4,0x7fffc400,0x00ffffea,0x57fffc40,
    0x000ffffe,0x757fffc4,0xd000ffff,0xf505ffff,0x7000bfff,0x8801ffff,
    0xf701ffff,0xfb00bfff,0xff989fff,0xffb803ff,0xff7001ff,0xff7007ff,
    0xffb00bff,0xfff989ff,0xfffb803f,0xffffa81f,0xffa80003,0xffffb8ff,
    0x7ffd4002,0x2ffffb8f,0x7fffd400,0x02ffffb8,0x0dffff30,0x001ffffd,
    0x00bffff0,0x203ffff3,0x802ffffc,0x4c5ffffa,0xb803ffff,0x7001ffff,
    0x9007ffff,0x5005ffff,0xf98bffff,0xfb803fff,0xffa81fff,0xd80003ff,
    0xfff36fff,0xffd800bf,0xbffff36f,0x6fffd800,0x00bffff3,0x517ffff4,
    0x000bffff,0x003ffff5,0x203ffff3,0x800ffffd,0x4c6ffff8,0xb803ffff,
    0x7001ffff,0xb007ffff,0x1001ffff,0xf98dffff,0xfb803fff,0xffa81fff,
    0xf80003ff,0x3ffe4fff,0x7ffc007f,0x1ffffe4f,0x49ffff00,0x2007ffff,
    0x3a5ffff9,0x8000ffff,0x3006fffe,0x3a03ffff,0x3e007fff,0x7fcc7fff,
    0xffb803ff,0xff7001ff,0xffd007ff,0x7ffc00ff,0x7fffcc7f,0xffffb803,
    0x3ffffa81,0x7ffcc000,0x3ffff61f,0xffff3001,0x0ffffec3,0x1ffff980,
    0x007ffff6,0x99ffffe8,0x8004ffff,0x002ffff9,0x205ffff5,0x2007ffff,
    0x260fffff,0xb803ffff,0x7001ffff,0xf007ffff,0x7c00ffff,0x3e60ffff,
    0xfb803fff,0xffa81fff,0x99999cff,0xf9009999,0xfffb8fff,0xfff9004f,
    0x4ffffb8f,0x8ffff900,0x004ffffb,0x373fffe6,0x8000ffff,0x2007fffc,
    0x882ffffa,0x2006ffff,0x261ffffe,0xb803ffff,0x7001ffff,0x8807ffff,
    0x2006ffff,0x261ffffe,0xb803ffff,0xfa81ffff,0xffffffff,0xd03fffff,
    0xff88bfff,0xffd006ff,0xffff88bf,0xbfffd006,0x06ffff88,0x7fffff40,
    0x88004fff,0x2004ffff,0x982ffffa,0x2006ffff,0x261ffffe,0xb803ffff,
    0x7001ffff,0x9807ffff,0x2006ffff,0x261ffffe,0xb803ffff,0xfa81ffff,
    0xffffffff,0x883fffff,0xfe83ffff,0x7c400fff,0xffe83fff,0x7fc400ff,
    0xfffe83ff,0x3fea000f,0x00ffffff,0x0ffffb80,0x3fffea00,0x6ffff882,
    0x3ffffa00,0x0ffffe60,0x07fffee0,0x1ffffdc0,0x1bfffe20,0x0ffffe80,
    0x00ffffe6,0x207fffee,0xfffffffa,0x3fffffff,0x81ffffb8,0x403ffffc,
    0xc81ffffb,0x5c03ffff,0xfc81ffff,0x74003fff,0x04ffffff,0x0bfffd00,
    0x3ffffb80,0x00fffff0,0x263ffffc,0xb803ffff,0x7001ffff,0xf007ffff,
    0x7c00ffff,0x7fcc7fff,0xffb803ff,0xfffa81ff,0xeeeeeeef,0xffd82eee,
    0xffff506f,0x6fffd80b,0x0bffff50,0x506fffd8,0x800bffff,0x0ffffffa,
    0xffffa800,0x7ffdc001,0xfffff03f,0x37fffc00,0x00ffffe6,0x007fffee,
    0x01ffffdc,0x003ffffc,0xf98dffff,0xfb803fff,0xffa81fff,0xf10003ff,
    0x7fc09fff,0x3fe207ff,0x3ffe04ff,0x3ffe207f,0x3fffe04f,0xfffe8007,
    0xffb0004f,0xff7000df,0x3ffa07ff,0xff9801ff,0x7ffcc4ff,0xfffc803f,
    0xfff7000f,0xfffd007f,0xfff3003f,0xffff989f,0xffffc803,0x3ffffa80,
    0xffff5000,0xffffffff,0x2a05ffff,0xffffffff,0xffffffff,0xfffff502,
    0xffffffff,0xb8005fff,0x8002ffff,0x003ffff9,0x04ffffc8,0x009ffffb,
    0x887ffff9,0xc804ffff,0x2e007fff,0xd803ffff,0xc804ffff,0x7c43ffff,
    0xfc804fff,0xfff507ff,0x3f20007f,0xffffffff,0x4fffffff,0xffffff90,
    0xffffffff,0x3ff209ff,0xffffffff,0x04ffffff,0x17fffdc0,0x3fffe400,
    0xffffc800,0xdffff504,0x3ffffd00,0x00bffff0,0x400dfffd,0x803ffffb,
    0x806ffffa,0xf81ffffe,0xfe805fff,0xfff506ff,0x3fe0007f,0xffffffff,
    0x7fffffff,0xfffffff0,0xffffffff,0x3ffe0fff,0xffffffff,0x07ffffff,
    0x17fffdc0,0x3fffe200,0xfff90004,0x7fff409f,0x3fff204f,0xffffd05f,
    0x7fffcc03,0x3ffee005,0xfffd003f,0x7ffe409f,0xffffd05f,0x7fffcc03,
    0x7ffff505,0xffff3000,0xffffffff,0x83ffffff,0xfffffff9,0xffffffff,
    0x7fcc1fff,0xffffffff,0xffffffff,0x3ffee001,0x7fdc002f,0xf90000ff,
    0x7dc09fff,0x261cffff,0x00fffffc,0x03dffff9,0x03ffffd1,0x1ffffdc0,
    0xfffffb80,0x3fff261c,0xfff900ff,0xffd103df,0x3fea03ff,0xfb8003ff,
    0xfc800fff,0x7fdc3fff,0xffc800ff,0x7ffdc3ff,0xfffc800f,0x3fee003f,
    0x7f4002ff,0x320005ff,0x2204eeee,0xffffffff,0x4fffffff,0x3ffffe20,
    0xfffdccdf,0x7dc004ff,0xf1003fff,0xffffffff,0x09ffffff,0x7fffffc4,
    0xffffdccd,0x3ffea04f,0xffe8003f,0xfff5006f,0x6fffe8df,0xdffff500,
    0x006fffe8,0x00dffff5,0x017fffdc,0x05ffff50,0xf9800000,0xffffffff,
    0x400dffff,0xfffffffb,0x0fffffff,0x3fffffe0,0xffffffff,0xffff307f,
    0xffffffff,0xffb801bf,0xffffffff,0x2a00ffff,0xffffffff,0x17ffffff,
    0x2009ffff,0x10fffff8,0x2009ffff,0x10fffff8,0x2009ffff,0x00fffff8,
    0x05ffff70,0x037ffec0,0xe8800000,0xffffffff,0x3ee003ff,0xffffffff,
    0x7fc00dff,0xffffffff,0x207fffff,0xffffffe8,0x2003ffff,0xfffffffb,
    0x400dffff,0xfffffffa,0x7fffffff,0x003ffff5,0xa97ffff4,0x2001ffff,
    0xf52ffffe,0x74003fff,0x7002ffff,0x2005ffff,0x003ffff8,0x76400000,
    0x1dffffff,0xfffd8800,0x002effff,0xffffffff,0xffffffff,0xffffd900,
    0x10003bff,0xfffffffb,0x3fea005d,0xffffffff,0xffb7ffff,0xffb800ff,
    0xffffb5ff,0xffffb800,0x00ffffb5,0x05ffffb8,0x05ffff70,0x00666620,
    0x30000000,0x40000155,0x8001aa98,0xffffffff,0x7fffffff,0x00554c00,
    0x35531000,0xffff5000,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6554c000,0x1ccccccc,0x1cccccb8,
    0x99997000,0x80000039,0x03ccccc9,0x07333220,0x00999950,0x76644000,
    0x01bdeeff,0x66664c00,0x3322003c,0x980001cc,0x75100001,0x037bdddb,
    0x00009980,0xffffd980,0xffffffff,0xffffd882,0xfd88001f,0x0001ffff,
    0xfffff300,0x3fe6001b,0x2601ffff,0x0002ffff,0x7fffec40,0x04ffffff,
    0x3fffe600,0xff3000df,0x0003ffff,0x013ffff2,0x7ffff4c0,0x04ffffff,
    0x3fffff66,0x4eeeeeee,0x3fff6600,0xffffffff,0x3ee02fff,0x0001ffff,
    0x03fffff7,0xfff98000,0x3e6003ff,0x2fffffff,0x01bfff60,0xffff8800,
    0xffffffff,0xfff30004,0x7cc007ff,0x2fffffff,0x7fffec00,0x7e4005ff,
    0xffffffff,0xfd884fff,0xffffffff,0x005fffff,0xfffffff3,0xffffffff,
    0xffe9805f,0xd30001ff,0x0003ffff,0x3bfffe60,0x3ffe6001,0x2ffff99f,
    0x03ffff50,0x3fffa000,0xfeedceff,0xff98004f,0x26001eff,0xff99ffff,
    0xff5002ff,0x03fff77f,0xfffffd10,0xffffffff,0xfffffb09,0xffffffff,
    0xfd100bff,0xffffffff,0x5ffff535,0x37bbb200,0x3bb20000,0x440000de,
    0x4004eeed,0x220deed9,0xfd01eeed,0x30000bff,0x201fffff,0x6c4002a8,
    0x4c004eee,0x3620deed,0xfc801eee,0x00ffea2f,0x3ffffff6,0xffdcaace,
    0x77fffdc4,0xffffda89,0xfd802cce,0xffffffff,0x5ffff30f,0x00000000,
    0x00000000,0x7dc00000,0x40000fff,0x003ffffb,0x00000000,0x7fe40000,
    0x3013fea1,0x01dfffff,0x3ff61544,0xffff906f,0x7fffc001,0x0fffffff,
    0x005ffff3,0x00000000,0x00000000,0x7ffc4000,0x7e40003f,0x00005fff,
    0x00000000,0x4effd400,0x6c02ffe9,0x000effff,0x205ffff0,0x002ffff9,
    0xfffffff3,0x3e61ffff,0xcc982fff,0xcccccccc,0xcc84cccc,0xcccccccc,
    0x904ccccc,0x99999999,0x09999999,0x33333332,0xcccccccc,0x0ffff904,
    0xffffa800,0x3260004f,0xcccccccc,0x304ccccc,0x99999999,0x09999999,
    0xffffffd0,0xffffa80d,0xff10001f,0x7ff403ff,0xfff5003f,0xffffffff,
    0x0bfffe61,0x3fffffea,0xffffffff,0xffffff87,0xffffffff,0xfffff07f,
    0xffffffff,0x3ffe0fff,0xffffffff,0xf307ffff,0x80005fff,0x2effffff,
    0xffffa800,0xffffffff,0xfff507ff,0xffffffff,0xd100ffff,0x801dffff,
    0x005ffffc,0x0ffffe20,0x002ffff8,0xfffffff7,0x3e61ffff,0xffa82fff,
    0xffffffff,0xff87ffff,0xffffffff,0xf07fffff,0xffffffff,0x0fffffff,
    0x3ffffffe,0xffffffff,0x1bfffa07,0xffffa800,0x000dffff,0x3fffffea,
    0xffffffff,0xfffff507,0xffffffff,0x5dd400ff,0xffffd002,0xfff80005,
    0xffff506f,0x3ffea003,0xffffffff,0x05ffff30,0xfffffff5,0xffffffff,
    0xfffffff0,0xffffffff,0x3ffffe0f,0xffffffff,0xffff07ff,0xffffffff,
    0x7d40ffff,0xa8001fff,0xffffffff,0xf5003fff,0xffffffff,0x20ffffff,
    0xfffffffa,0x7fffffff,0x00266600,0x007ffffc,0x3ffff200,0x3fffea1c,
    0x3ffe2007,0xffffffff,0x05ffff30,0x99bffff5,0x99999999,0xf9555550,
    0x55559fff,0x2aaaaa05,0xaacffffc,0x555502aa,0x59ffff95,0xff805555,
    0x7cc004ff,0xffffffff,0x400effff,0xccdffffa,0x4ccccccc,0x9bffff50,
    0x99999999,0x3ff6e609,0x02efffff,0x00fffff1,0x3ffffa00,0xffffffef,
    0x7fffc001,0x0fffffff,0x505ffff3,0x0007ffff,0x3ffffb80,0x7ffdc000,
    0x7dc0003f,0xb8003fff,0x2000ffff,0xf74ffffd,0x3dffffff,0x1ffffd40,
    0x3ffea000,0x3ea0003f,0xffffffff,0x7cc1ffff,0x80007fff,0xffffffe8,
    0x003fffff,0xffffffb8,0xff30ffff,0xfff505ff,0xb800007f,0x0003ffff,
    0x01ffffdc,0x3fffee00,0xfff88003,0x3ffe003f,0x7ffec47f,0xf500ffff,
    0x80007fff,0x003ffffa,0x3ffffea0,0xffffffff,0x3fffea0f,0xffc80006,
    0xffffffef,0x3f20000c,0xffffffff,0x05ffff30,0x007ffff5,0xffffb800,
    0x7fdc0003,0x5c0003ff,0x0003ffff,0x200dfffb,0x506ffff8,0x09ffffff,
    0x00ffffea,0x7ffff500,0x77fd4000,0xffdaaacc,0x3fe64fff,0x4c0007ff,
    0x35316fff,0x7f400001,0x0fffffff,0x505ffff3,0x0007ffff,0x3ffffb80,
    0x7ffdc000,0x7dc0003f,0x30003fff,0x1005ffff,0x203fffff,0x0fffffe8,
    0x03ffffa8,0x7fffd400,0x07260003,0x4dffff30,0x00fffff8,0x17ffee00,
    0x75400000,0x30ffffff,0xf505ffff,0x00007fff,0x03ffffb8,0x7fffdc00,
    0x7fdc0003,0x3a0003ff,0xff005fff,0x2201bfff,0xa81fffff,0x0003ffff,
    0x01ffffd4,0xffd80000,0x3fffe0ff,0x3f20001f,0x00002fff,0x3bb32600,
    0x5ffff30f,0x39ffff50,0x33333333,0x3ffee001,0x7dc0003f,0x40003fff,
    0x003ffffb,0x07fffea0,0x3fffff20,0xffffd00e,0x9ffff507,0x33333333,
    0x3ffea013,0x999999cf,0x40000999,0x3a1ffffc,0x0003ffff,0x3fffffea,
    0x1acdeeee,0xf3000000,0xff505fff,0xffffffff,0x2007ffff,0x003ffffb,
    0x1ffffdc0,0x3ffee000,0x7fc0003f,0xff8804ff,0xd83fffff,0xfa82ffff,
    0xffffffff,0x503fffff,0xffffffff,0x07ffffff,0xff933100,0x7ffec3ff,
    0x7ec0007f,0xffffffff,0x002effff,0x7ffcc000,0xffffa82f,0xffffffff,
    0xff7003ff,0xb80007ff,0x0003ffff,0x01ffffdc,0x3ffff200,0xffffa800,
    0xff12efff,0xff501fff,0xffffffff,0x2a07ffff,0xffffffff,0x03ffffff,
    0x7fff764c,0x21ffffff,0x03fffffa,0x7ffff400,0xffffffff,0x000002ff,
    0x20bfffe6,0xfffffffa,0x3fffffff,0x7ffff700,0xfffb8000,0x7dc0003f,
    0x40003fff,0x003ffff8,0xfffffff3,0xbffffbbf,0x3ffffea0,0xffffffff,
    0xffff503f,0xffffffff,0x3f6607ff,0xffffffff,0x7f41ffff,0x8803ffff,
    0x77fffec1,0xffffeeee,0x00000fff,0x05ffff30,0xdddffff5,0x5ddddddd,
    0x3fffee00,0x7fdc0003,0x5c0003ff,0x0003ffff,0x006fffd8,0x3fffff62,
    0x0fffffff,0xddffff50,0xdddddddd,0x3fffea05,0xeeeeeeee,0xfff982ee,
    0xffffffff,0x7d41ffff,0x1adfffff,0xfc93f6a2,0x3ea02fff,0x0002ffff,
    0x5ffff300,0x07ffff50,0xfffb8000,0x7dc0003f,0x40003fff,0x003ffffb,
    0x2ffff980,0x7fffd400,0x01ffffff,0x00ffffea,0x7ffff500,0x3ffe2000,
    0x999abfff,0xe81ffffc,0xffffffff,0x34ffffff,0x5009ffff,0x0007ffff,
    0x3fffe600,0x3ffffa82,0x7fdc0000,0x5c0003ff,0x0003ffff,0x01ffffdc,
    0x5fffe800,0xffff9000,0xfa803fff,0x40003fff,0x003ffffa,0x0bffff70,
    0x40ffffdc,0xffffffd8,0x4fffffff,0x005ffff7,0x005ffff7,0x3ffea000,
    0xffffa81f,0x7dc00003,0x40003fff,0x003ffffb,0x1ffffdc0,0xfffb8000,
    0xfd10000f,0xa807ffff,0x0003ffff,0x01ffffd4,0x1ffffd80,0x07fffee0,
    0xffffffc8,0x54ffffff,0x880dffff,0x000ffffe,0xffff7000,0x7ffff501,
    0xffb80000,0x5c0003ff,0x0003ffff,0x01ffffdc,0x9ffff000,0xfffe8000,
    0x7ffd405f,0x7d40003f,0xd0003fff,0x2603ffff,0x401fffff,0xfffffeb9,
    0x3fe22dff,0x99abdfff,0x4fffffca,0x3fa00000,0xfff507ff,0xb800007f,
    0x0003ffff,0x01ffffdc,0x3fffee00,0x3f200003,0x20000fff,0x406ffffa,
    0x003ffffa,0x1ffffd40,0xffffd800,0xfffffa84,0xfff5001f,0x7fe4013f,
    0xffffffff,0x005fffff,0xffb80f60,0xfff505ff,0xb800007f,0x0003ffff,
    0x01ffffdc,0x3fffee00,0x3e200003,0x00183fff,0x809ffff9,0x003ffffa,
    0x1ffffd40,0xffffb800,0xfffebbdf,0x9001ffff,0x32009fff,0xffffffff,
    0x003fffff,0x2b3bfee0,0xfffffda9,0x7ffff501,0xffb80000,0x5c0003ff,
    0x0003ffff,0x01ffffdc,0x3fff6000,0x99bdfe86,0xffffca88,0x7ffd402f,
    0x7d40003f,0x10003fff,0xffffffff,0xffffdfff,0x3fff6003,0x3f6e2001,
    0x2defffff,0x7ffcc000,0xffffffff,0x3fea04ff,0xffffffff,0xff87ffff,
    0xffffffff,0xf07fffff,0xffffffff,0x0fffffff,0x3ffffffe,0xffffffff,
    0x3fea0007,0x7fff41ff,0xffffffff,0xffa805ff,0xffffffff,0xf507ffff,
    0xffffffff,0x50ffffff,0xffffffff,0x3fffd1bf,0x01bffe00,0x00026200,
    0xffffd300,0xbfffffff,0xfffffa80,0xffffffff,0xfffff87f,0xffffffff,
    0xffff07ff,0xffffffff,0x3fe0ffff,0xffffffff,0x007fffff,0x22ffff40,
    0xfffffffe,0x005fffff,0xfffffff5,0xffffffff,0x3ffffea0,0xffffffff,
    0xfffd307f,0x7ff45dff,0xfff8801f,0x00000003,0xfffea800,0x801effff,
    0xfffffffa,0x7fffffff,0xfffffff8,0xffffffff,0xffffff07,0xffffffff,
    0x3fffe0ff,0xffffffff,0x40007fff,0x360ffffb,0xffffffff,0x2a003eff,
    0xffffffff,0x07ffffff,0xfffffff5,0xffffffff,0x00aaa880,0x1ddd3000,
    0x00000000,0x565d4400,0x3fea0009,0xffffffff,0xff87ffff,0xffffffff,
    0xf07fffff,0xffffffff,0x0fffffff,0x3ffffffe,0xffffffff,0x99980007,
    0xccaa9809,0xa8001abc,0xffffffff,0x07ffffff,0xfffffff5,0xffffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x10599999,
    0x77654013,0x7999002d,0x541775c0,0x220003ee,0xdc980201,0x800bcefe,
    0x02cccccb,0xbfb71000,0xc8000607,0x40000ccc,0x900000a9,0x00001999,
    0x79999950,0xfff30000,0x3fff6009,0xffecbaff,0xfffff902,0xfffc80bf,
    0x3ffff501,0x017fffcc,0xffffecb8,0x982fecce,0xfffffffd,0xffd804ff,
    0x40002fff,0xeffffff8,0x0005f912,0x00dffffb,0x017ffec0,0x3ffff600,
    0x7d400006,0x0004ffff,0x003fff90,0x3fffffa2,0xa82fffff,0xffffffff,
    0x09fff303,0x71ffffec,0x980bffff,0xfffffffe,0x4c2fffff,0xffffffff,
    0xb804ffff,0x002fffff,0x3fffffa0,0xffffffff,0x3fff6000,0xb8005fff,
    0x000fffff,0xffffffb0,0x3ea0000b,0x0002ffff,0x201bffa0,0xffffffdb,
    0x82ffffff,0xfe99effe,0x0dffd07f,0x22ffffc8,0x204ffffb,0xfffffffb,
    0x2fffffff,0x77fffff4,0x2ffffffd,0xffffe980,0xffe88002,0xfffffebd,
    0x3f2003ff,0x5fffccff,0x7fffec00,0xffc8002f,0x05fffccf,0x7fffd400,
    0x9880000e,0xe804fffa,0xffffffff,0x4409bdff,0x3fee2fff,0x0fffe40f,
    0x21bffa20,0xf500effe,0x99bfffff,0x45fffffb,0x41dffffc,0x004ffffc,
    0x00bffff6,0xff90ba20,0x6400bfff,0x3ff24fff,0x3ff6004f,0x64001fff,
    0x3ff24fff,0xff50004f,0x4c0009ff,0xffffffdc,0xfffe801f,0x2fffffff,
    0x987ffe60,0x3fe61fff,0x0551004f,0x3ffa0154,0xffb80dff,0x3fffa2ff,
    0x1bfffe07,0x19999500,0x65440000,0x3326000a,0x1cccb83c,0xbffff300,
    0x3ccc9800,0x001cccb8,0x01666644,0xfffff700,0x01dfffff,0xfb1bcee8,
    0x2601ffff,0x3fe61fff,0x03fffa1f,0xfb800000,0x3ee05fff,0x3ffe2fff,
    0x3fffe04f,0x00000006,0x00000000,0x0fb66000,0x00000000,0xfb100000,
    0xffffffff,0x0003ffff,0x0bfffff1,0xfb8bffe2,0x0bffee7f,0xff000000,
    0x7dc03fff,0xfff12fff,0x3ffe607f,0x9998004f,0x06200000,0x00620000,
    0x00000000,0x99980000,0xfff90000,0xfffdbfff,0x7100dfff,0xfffffffb,
    0x3bffe05f,0xf36ffe99,0xdd300bff,0x775405dd,0xffff11ee,0xffffb80d,
    0x07ffff32,0x03ffffd1,0xffffdb98,0x4002efff,0xeffffdc8,0xdb70002d,
    0x005bdfff,0x774c0000,0x3baa02ee,0xfb7301ee,0x5dffffff,0x3fffe200,
    0x3ffffe2f,0x3aa03fff,0xffffffff,0xfff706ff,0x3a3fffff,0xfa800fff,
    0x3ee03fff,0xfff31fff,0xfffb80bf,0x7ffff32f,0x3ffffe88,0x7ffffd40,
    0xffffffff,0xffffa801,0x0dffffff,0xffffb100,0x209fffff,0xeeeeeeea,
    0xff5006ee,0x7fdc07ff,0xfffa81ff,0xffffffff,0x7fe401ff,0x3ffea2ff,
    0x906ffffd,0xffffffff,0x205fffff,0x3ffffffd,0x2005fff7,0x203ffffa,
    0xf51ffffb,0xfb809fff,0xfff32fff,0x7fff447f,0xfffa803f,0xffffffff,
    0x3f600fff,0xffffffff,0x4c01ffff,0xffffffff,0xfb86ffff,0xffffffff,
    0xffff5007,0x7fffdc07,0xfffffa81,0xffffffff,0x3fffe00f,0x6c7ffec6,
    0x7d40ffff,0xccdfffff,0x206ffffe,0xf11ceedb,0x7d400bff,0x3ee03fff,
    0xfff71fff,0xfffb807f,0x7ffff32f,0x01ffffe4,0xacceffa8,0xfffffdaa,
    0xfffff704,0xffffffff,0xfffe80bf,0xfffbacff,0x7ffdc3ff,0x07ffffff,
    0x07ffff50,0x40ffffdc,0xaacceffa,0x4fffffda,0x47ffff10,0xff55fff8,
    0xfffe85ff,0x7ffcc0df,0xfd8000ff,0x3ea000ff,0x3ee03fff,0xfff51fff,
    0xfffb809f,0x7ffff32f,0x003ffffc,0xff980393,0xfff886ff,0x3f221dff,
    0xf702ffff,0xfd107fff,0x77541fff,0x7ffffeee,0x7ffff500,0x0ffffdc0,
    0x3e600e4c,0xff506fff,0x7ffd43ff,0x47ffff33,0x205ffffc,0x003ffffe,
    0x0017ffdc,0x80ffffea,0xf31ffffb,0xfb809fff,0xfff32fff,0x3fffe27f,
    0xfb000006,0xffd81fff,0x3ff204ff,0xfff886ff,0x3ffea06f,0xfffe803f,
    0xffff5007,0x7fffdc07,0x7fec0001,0xfffb80ff,0x43fff60f,0x3a4ffff8,
    0x2e01ffff,0x2005ffff,0x8005fff8,0x203ffffa,0xf11ffffb,0x7c40dfff,
    0xff32ffff,0x7fffc7ff,0xc800001f,0x7fc1ffff,0x3e200fff,0x7d40ffff,
    0x7fc03fff,0xffe804ff,0xfff5007f,0x7ffdc07f,0x7e40001f,0xffc81fff,
    0xbfff10ff,0xf1ffffc4,0xf980dfff,0x36006fff,0xa8000fff,0x2e03ffff,
    0x3fe1ffff,0xfe881fff,0xff32ffff,0x7ffec7ff,0x880001ff,0x1ffffc99,
    0x017fffe2,0x707ffff2,0x3333ffff,0xffff3333,0xffffd00d,0x3fffea00,
    0x3fffee03,0xc9988001,0xfb81ffff,0xfff51fff,0x97fffcc7,0x405ffff8,
    0x007ffff8,0x5cc7fff5,0x3fea00ab,0x3fee03ff,0x3fff21ff,0x3ffa60ef,
    0xff32ffff,0x7ffd47ff,0x26003fff,0xfffffeec,0x3ea1ffff,0xfb803fff,
    0x7fec2fff,0xffffffff,0x07ffffff,0x007fffe8,0x407ffff5,0x401ffffb,
    0xffffeec9,0xa81fffff,0xffb2ffff,0x7fffd41f,0x09ffff51,0x00fffff0,
    0x3a2bfff1,0x502fffff,0x5c07ffff,0x3e21ffff,0xfedfffff,0x2fffffff,
    0xc87ffff3,0x04ffffff,0x7ffffecc,0xffffffff,0x0bfffee1,0x0ffffee0,
    0xfffffffd,0xffffffff,0xfffd00ff,0x3ffea00f,0x3ffee03f,0xfffb301f,
    0xffffffff,0xfff303ff,0x8bfff19f,0xf70ffffd,0xff007fff,0xffb00fff,
    0xfffff11f,0xff505fff,0x7fdc07ff,0x7ffec1ff,0xefffffff,0xff32ffff,
    0xfff907ff,0x3e609fff,0xffffffff,0x21ffffff,0x802ffffb,0x7c3ffffa,
    0xffffffff,0xffffffff,0x7fffe807,0x7ffff500,0x0ffffdc0,0x7fffffcc,
    0xffffffff,0xffffd01f,0x7cc5fff7,0x3fea5fff,0x7fc404ff,0x7fd407ff,
    0x9bfff93f,0xff50dfff,0x7fdc07ff,0xfffd81ff,0xf9cfffff,0xfff32fff,
    0x3ffee07f,0x7fc41fff,0x99abffff,0x21ffffc9,0x803ffffa,0x742ffffb,
    0x9999efff,0x99999999,0x7fffe800,0x7ffff500,0x0ffffdc0,0x3fffffe2,
    0xffc999ab,0xfff901ff,0x261fffff,0x261fffff,0x4c05ffff,0x2206ffff,
    0x3ffe6fff,0x503ffee4,0x5c07ffff,0xf901ffff,0x2a5dffff,0xff32ffff,
    0x7fcc07ff,0x7fdc4fff,0x3fee05ff,0x3ffe61ff,0xfffc804f,0x3fffec0f,
    0xffe80000,0xfff5007f,0x7ffdc07f,0x7fffdc1f,0x3fffee05,0xfffff101,
    0xfffb7dff,0xfff88bff,0x7ffdc06f,0x3fff604f,0x4c5fff11,0x7fcc1fff,
    0xfff303ff,0xaa8803ff,0x97fffd41,0x403ffff9,0x6c6ffffb,0x2e01ffff,
    0x3e21ffff,0x7c407fff,0xffb87fff,0x800001ff,0x3007fffe,0x2607ffff,
    0x6c1fffff,0x2e01ffff,0x2a01ffff,0xffffffff,0x80efffff,0x102fffff,
    0x205fffff,0x3e63fffa,0x3ffe21ff,0x2ffffcc2,0x7fffff44,0x3fee0001,
    0xffff32ff,0xffff8807,0x0fffff46,0x1fffff98,0x01fffffc,0x50bffff7,
    0x000dffff,0x0ffffd00,0x17fffe60,0x3fffffa2,0x0fffff41,0x1fffff98,
    0x7ffffd40,0x04ffffff,0x07fffff2,0x0fffffd1,0xf11bffa2,0x7ffd45ff,
    0x1fffff80,0x3fffffaa,0x3ee0001f,0xfff32fff,0xfff9807f,0x7fffec5f,
    0xfffffa84,0x7fffdc1f,0xffffb83f,0xffffd01f,0x2003001b,0x2007fffe,
    0x2a1fffff,0x1ffffffe,0x427fffec,0x1ffffffa,0xfffff980,0x4402dfff,
    0xdeffffff,0x3ffffffd,0xf03fff90,0x3ffe4bff,0xefffffe8,0xfffffffe,
    0x3ee0001f,0xfff32fff,0x2ab3627f,0x43fffffc,0xbdfffffb,0xffffffeb,
    0xffffe81f,0xffffddff,0x3fe604ff,0xaabcffff,0xd007fdcb,0x7400ffff,
    0xfeefffff,0x1fffffff,0x6fffffdc,0xfffffebb,0xffb801ff,0x4000aabf,
    0xfffffffb,0x05ffffff,0x3609fff3,0xfffeefff,0xfffff504,0xff9fffff,
    0x5c0003ff,0xff32ffff,0x3ffe27ff,0x86ffffff,0xfffffff8,0xfffeffff,
    0xffffa81f,0xffffffff,0x7fec00ef,0xffffffff,0x3ba27fff,0xffffeeee,
    0x84eeeeef,0xfffffffa,0xffffcfff,0x7ffffc41,0xfeffffff,0xfe801fff,
    0xfb80007f,0xffffffff,0x3ffa05ff,0x3fffe206,0x3600efff,0xffffffff,
    0x003fffd4,0x97fffdc0,0xf13ffff9,0xdfffffff,0x3fffea01,0xe8dfffff,
    0xfd301fff,0xffffffff,0x7fdc009f,0xffffffff,0x3ffe27ff,0xffffffff,
    0xb05fffff,0xffffffff,0x207fffa9,0xfffffffa,0xfffe8dff,0x27ffcc01,
    0xffd88000,0x01dfffff,0x1007fff2,0x01bffffd,0xdfffff70,0x00ffff45,
    0x5ffff700,0x44ffffe6,0x2effffff,0xffffe980,0x3fffa2ef,0x7fff6401,
    0x8001dfff,0xffffffd8,0x3e23efff,0xffffffff,0x5fffffff,0x3ffffee0,
    0x07fffa2e,0x7fffff4c,0x07fffa2e,0x003fff90,0x35531000,0x98800000,
    0x35530001,0xea800000,0x31001eee,0x22000333,0x00000aaa,0x0002aa62,
    0x9aaa9880,0xfffff100,0xffffffff,0x5300bfff,0x51000035,0x10000155,
    0x00000333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x303dfdb8,0x20bbae00,0x88003eea,
    0x39999101,0xeeb80000,0x003eea82,0x0001aa98,0xb8006600,0x002ccccc,
    0x33332000,0x5dd70000,0x0007dd50,0x66666540,0x33320003,0x7fc4000c,
    0x912effff,0xfffa805f,0x3fffe61f,0x3fff2002,0x1ffffcc3,0xfff50000,
    0x7fffcc3f,0xfffc8802,0x3000cfff,0x7eccbddd,0xd802dfff,0x002fffff,
    0xffffd800,0xfffa8006,0x3fffe61f,0xffa80002,0x20004fff,0x006ffffd,
    0x7ffffff4,0x0fffffff,0x8fffff60,0x005ffffb,0x43fffff5,0x003ffff9,
    0x3ffff600,0x17fffee3,0xffffff50,0x3003ffff,0x3feedfff,0x04ffffff,
    0x2fffffb8,0x3ff60000,0x4005ffff,0x2e3ffffd,0x0005ffff,0x17ffffd4,
    0xffffb000,0x3a200bff,0xfffebdff,0x6403ffff,0x3ee2ffff,0xfb004fff,
    0x7cc9ffff,0x00003fff,0xb8bffff2,0x2204ffff,0xffffffff,0x4c00ffff,
    0xfffbffff,0x4fffffff,0xffffe980,0xffc80002,0x05fffccf,0x8bffff20,
    0x004ffffb,0x3bfffea0,0x3ff20000,0x05fffccf,0xffc85d10,0xe8805fff,
    0xeffe86ff,0xffff9000,0x7fffcc7f,0x3a200003,0xeffe86ff,0x3ffff600,
    0xffffea9c,0x7fffcc04,0xffefffff,0xb000ffff,0x0005ffff,0xf927ffe4,
    0x3a2009ff,0xeffe86ff,0xfff50000,0xfc80009f,0x3fff24ff,0x65440004,
    0x0aa2000a,0x7cc002a8,0x3e60ffff,0x00003fff,0x05501544,0x83ffff88,
    0x4c06fffe,0xbfffffff,0x9fffff30,0x66665400,0xccc98000,0x01cccb83,
    0x15405510,0x99991000,0xcc980005,0x1cccb83c,0x00000000,0xfd980000,
    0x7fffcc0d,0x00000003,0x1ffff500,0x80ffff70,0x1ffffff9,0x07ffff98,
    0x00000000,0x00000000,0x00000000,0x4cc00000,0x33000009,0x80000013,
    0x883ffff9,0x06200001,0x0ffff700,0x301bfff2,0x405fffff,0x000ffffe,
    0x400000c4,0x88000018,0x18800001,0x26600000,0xdb980009,0xefffffff,
    0xffb73002,0x05dfffff,0xfff30000,0x3ffb265f,0xdb8002df,0x02defffe,
    0x40ffffd4,0x4c05fffe,0x6404ffff,0x4401ffff,0xdeffffdc,0xfdc88002,
    0x002defff,0xffffdc88,0xb70002de,0x05bdfffd,0x3ff6e600,0x02efffff,
    0xffffffa8,0x1fffffff,0x3ffffea0,0xffffffff,0x3fff2001,0x57fffcc3,
    0xfffffff9,0xffb1004f,0x9fffffff,0x2ffffc40,0x00bffff2,0x807ffff3,
    0x202ffffb,0xfffffffa,0x5000dfff,0xffffffff,0x2a001bff,0xffffffff,
    0xb1000dff,0xffffffff,0xffa8009f,0xffffffff,0x3ea01fff,0xffffffff,
    0x500fffff,0xffffffff,0x01ffffff,0x313fff20,0xfff9ffff,0x9fffffff,
    0xfffff980,0x6fffffff,0x2bffffa0,0x05ffffd8,0x03ffff98,0x81ffffdc,
    0xfffffffd,0x01ffffff,0x7fffffec,0x1fffffff,0x7ffffec0,0xffffffff,
    0x7fffcc01,0xffffffff,0x3ffea006,0xffffffff,0xff500fff,0xfb55599d,
    0x2a09ffff,0xaaacceff,0x04fffffd,0x989fffb0,0xffffffff,0xffffffef,
    0x3ffffa00,0xffffbacf,0xffff303f,0x1bffffff,0x7ffff300,0x3ffffb80,
    0xffffffb8,0xffffffff,0x3fffee05,0xffffffff,0x3fee05ff,0xffffffff,
    0x7405ffff,0xbacfffff,0x003fffff,0x5599dff5,0x9fffffb5,0xf3007260,
    0x3260dfff,0x7fffcc01,0xbfffb006,0xffffff98,0xffff30bf,0x3ffee09f,
    0xfffe883f,0xffff900f,0x4009ffff,0x403ffff9,0x441ffffc,0x21dfffff,
    0x2fffffc8,0xdfffff88,0x3ffff221,0xffff882f,0x3ff221df,0xff702fff,
    0xffd107ff,0x393001ff,0x6ffff980,0xfffd8000,0x7ec0000f,0xfb700fff,
    0xf98bffff,0x981fffff,0xf887ffff,0x3ea06fff,0xff103fff,0x003dffff,
    0x03ffff98,0x207fffec,0x204ffffd,0xd86ffffc,0x3204ffff,0xfd86ffff,
    0x3f204fff,0xff886fff,0x3fea06ff,0x400003ff,0x000ffffd,0x0ffffe40,
    0x3fff2000,0x7fff4c1f,0x7cc5ffff,0x3a02ffff,0x7d40ffff,0x7fc03fff,
    0xffe884ff,0xaa83ffff,0x7ffcc0aa,0x3ffe203f,0xfffff87f,0x3fffe200,
    0x7ffffc0f,0x3fffe200,0x7ffffc0f,0x3fffe200,0x7fffd40f,0x27fffc03,
    0x3ff20000,0x988001ff,0x01ffffc9,0xffc99880,0x3ffe21ff,0x46ffffff,
    0x404ffff9,0x5c1ffffc,0x9999ffff,0xffff9999,0x7ffffc46,0x7fc1ffff,
    0x7ffcc1ff,0x3fff203f,0x7fffc45f,0xffffc805,0x17fffe21,0x87ffff20,
    0x805ffff8,0x5c1ffffc,0x9999ffff,0xffff9999,0x99880006,0x401ffffc,
    0xffffeec9,0x401fffff,0xffffeec9,0x361fffff,0xabdfffff,0x7fffcc2a,
    0x7fffdc03,0x7ffffec2,0xffffffff,0x7ff47fff,0xfffffdff,0x83ffff10,
    0x903ffff9,0xa81fffff,0xb803ffff,0x3ea2ffff,0xfb803fff,0x3fea2fff,
    0xffb803ff,0x7ffec2ff,0xffffffff,0x007fffff,0x7fff764c,0x01ffffff,
    0xffffffb3,0x3fffffff,0x3ffff660,0xffffffff,0xfffff51f,0xffff3005,
    0xffffb807,0x7fffff43,0xffffffff,0x3fee7fff,0xffff94ff,0x1ffff31d,
    0xceffff98,0xffffecab,0xffffb83f,0xffffb802,0x0bfffee3,0x8ffffee0,
    0x802ffffb,0x743ffffb,0xffffffff,0xffffffff,0xfffb3007,0xffffffff,
    0xfff303ff,0xffffffff,0xf303ffff,0xffffffff,0x23ffffff,0x004ffffb,
    0x807ffff3,0x7c3ffffb,0xffffffff,0xffffffff,0xd1bfffe7,0xff5bffff,
    0xffff30ff,0xffffffff,0x3fee0bff,0xffa802ff,0x3ffee3ff,0xfffa802f,
    0x3fffee3f,0xffffa802,0x7fffffc3,0xffffffff,0xf9807fff,0xffffffff,
    0x41ffffff,0xbffffff8,0xfffc999a,0x7fffc41f,0xc999abff,0xffb1ffff,
    0x3e6007ff,0x7e403fff,0x7ff41fff,0x999999ef,0x10999999,0xf889ffff,
    0xffffffff,0xfffff985,0xffffffff,0x3fffea03,0xffffb803,0x0ffffea2,
    0x8bfffee0,0x803ffffa,0x742ffffb,0x9999efff,0x99999999,0x7fffc400,
    0xc999abff,0x7dc1ffff,0x3ee05fff,0x7fdc1fff,0x3fee05ff,0xffffb1ff,
    0x3ffe6007,0x7ffec03f,0x3fffec0f,0xffff3000,0xfffff305,0xff305fff,
    0xffffffff,0xff98019d,0xffc804ff,0x3ffe60ff,0xfffc804f,0x3fffe60f,
    0xffffc804,0x03fffec0,0x7ffdc000,0x3ffee05f,0x7fffec1f,0x3fffee01,
    0x0ffffec1,0x23ffff70,0x006ffffb,0x407ffff3,0xb87ffff8,0x0001ffff,
    0x207ffff5,0x7ffffffa,0x37ffff30,0xf8800353,0x7c407fff,0x7fc47fff,
    0x7fc407ff,0x7ffc47ff,0x7ffc407f,0xffffb87f,0x7ec00001,0x3ee01fff,
    0x7ff41fff,0xfff301ff,0xfffe83ff,0xffff301f,0x3fffea3f,0xfff9804f,
    0x3fff203f,0xffffa85f,0xfff10006,0x7ffe40bf,0xfff304ff,0xff00007f,
    0x7dc07fff,0xfff85fff,0x3fee03ff,0xffff85ff,0x3ffee03f,0xffffa85f,
    0x7f400006,0xff301fff,0xffd83fff,0xfffa84ff,0x7fec1fff,0xfffa84ff,
    0xfff11fff,0x4c05bfff,0xf903ffff,0x3a01ffff,0x800dffff,0x1fffffc1,
    0x6fffffa8,0x07ffff30,0xffff7000,0xffff707f,0xffff703f,0xffff707f,
    0xffff703f,0xffff707f,0x3fffa03f,0x801800df,0xa84ffffd,0x41ffffff,
    0xbdfffffb,0xffffffeb,0x7fffdc1f,0xfffebbdf,0x3e61ffff,0xefffffff,
    0xffff32ce,0xffd9579d,0x7cc07fff,0xabcfffff,0x647fdcba,0xacefffff,
    0xffffffdc,0xffff984f,0xffd00003,0xffbbffff,0x7409ffff,0xddffffff,
    0x04ffffff,0x3ffffffa,0xffffffdd,0x3fffe604,0xcbaabcff,0xffb807fd,
    0xfebbdfff,0x41ffffff,0xfffffff8,0xfffeffff,0x7fffc41f,0xefffffff,
    0x7d41ffff,0xffffffff,0xfffff33f,0xffffffff,0xfffb00bf,0xffffffff,
    0xfffd0fff,0xffffffff,0x87ffffff,0x003ffff9,0xfffff500,0xffffffff,
    0x7ffd401d,0xffffffff,0x3ea00eff,0xffffffff,0x400effff,0xfffffffd,
    0x07ffffff,0xffffff88,0xffefffff,0xfffa81ff,0x8dffffff,0xfa81fffe,
    0xffffffff,0x81fffe8d,0xffffffea,0xffff33ff,0xffffffff,0x7fdc007f,
    0xffffffff,0xffe887ff,0xffffffff,0x2fffffbe,0x00ffffe6,0xfffe9800,
    0x4fffffff,0xffffd300,0x09ffffff,0x3ffffa60,0x04ffffff,0x3ffffee0,
    0x7fffffff,0xfffff500,0xfd1bffff,0x3fa603ff,0x3a2effff,0xfd301fff,
    0x745dffff,0x3aa01fff,0x23ffffff,0xfffffeca,0x8000ceff,0xffffffd8,
    0x2a03efff,0xfffffffe,0x3ffffee2,0x07ffff30,0xffd90000,0x003bffff,
    0xfffffd90,0xd90003bf,0x3bffffff,0xfffb1000,0x7dffffff,0x7fff4c00,
    0x3ffa2eff,0x5554401f,0xaa880000,0x3100000a,0x4c05d975,0x00001a99,
    0x04d554c4,0x26aa6200,0xeee98000,0x2000002e,0x0000aa98,0x00155310,
    0x02aa6200,0xaa988000,0x4400009a,0x00000aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33326000,0x66665c1c,0xee98002c,0x3ae005ee,0x332e2eee,
    0x540003cc,0xb83ccccc,0x002ccccc,0x99950000,0x55e54799,0xddd30009,
    0x7776405d,0xb3000006,0x19db109d,0x07775c40,0x2e3ccc80,0x00acefed,
    0x00079990,0x82ffffb8,0x02fffffd,0x1fffff80,0x1fffff00,0x02ffffec,
    0xfffff500,0x7fffec09,0x4000002f,0x44fffffa,0xcffffffb,0x3fffea00,
    0x1ffff602,0x033ff220,0xe89ffff0,0xfb885fff,0xc800ffff,0x3ffa1fff,
    0x400effff,0x0001fffc,0x817fffdc,0x02fffffb,0x27fffe40,0x27fffd40,
    0x017ffff6,0x7ffffd40,0xffffb802,0x5000002f,0x705fffff,0xffffffff,
    0xffff5019,0x3fffec05,0x37ffff40,0x4dffff30,0x40fffff8,0x0fffffff,
    0x227ffcc0,0xfffedeee,0x13ffe603,0x3ffee000,0x3ffa602f,0x3e6002ff,
    0xfd807fff,0x7fe41fff,0xfa8004ff,0x2000efff,0x02ffffe9,0x7ffd4000,
    0xfff700ef,0x3fffffff,0x02ffffa8,0x501ffff6,0x05ffffff,0x89bfffe6,
    0xfd87ffff,0x400fffef,0x4c086ffe,0x3fa03fff,0xf700006f,0xfb005fff,
    0x74005fff,0x2202ffff,0xfc86ffff,0x54004fff,0x0004ffff,0x00bffff6,
    0x7fffd400,0x7fff5404,0x0fffffff,0x80bfffea,0x5c07fffd,0x03ffffff,
    0xf707fff2,0x919505ff,0x7e401fff,0xd75301ff,0x3f201fff,0x700001ff,
    0x2005ffff,0x000cccca,0x40bffff7,0xc83ffffb,0x2004ffff,0x002cccc8,
    0x0cccca80,0x66644000,0xfb98002c,0x2a6fffff,0x3602ffff,0x7d407fff,
    0x401fffff,0x015300a9,0x201fff90,0x3204fff9,0x300fffff,0x00009fff,
    0x017fffdc,0x7fc40000,0xffd00fff,0xfff701ff,0x0000009f,0x00000000,
    0x7fec0000,0xfff51fff,0x7ffec05f,0xffffe807,0x40000005,0xfd00fffc,
    0x7fe401ff,0xfe83ffff,0x440000ff,0x05ffff71,0x3f200000,0xff883fff,
    0xfff705ff,0x0000007f,0x0000c400,0x80000620,0xf53ffffe,0x7ec05fff,
    0xec8807ff,0x0000004e,0xb80fffc8,0x4c402fff,0x20fffea9,0x8002fffb,
    0xfffffedb,0x74c2ffff,0x3aa02eee,0xff981eee,0xfffb86ff,0xffff702f,
    0x5dddd307,0x0f777540,0xfffedb80,0x644002de,0x2deffffd,0x3fff2000,
    0x5ffff55f,0x03fffec0,0x3bbaa000,0x06eeeeee,0x207ffe40,0x8005fff9,
    0xff31fffc,0xfe9800bf,0xffffffff,0x7fd42fff,0x3fee03ff,0xfffd01ff,
    0x7fffe81f,0x0ffffee0,0x80ffffea,0x401ffffb,0xffffffd8,0xf5004fff,
    0xffffffff,0xf70001bf,0x3feabfff,0x3ff602ff,0x5c00007f,0xffffffff,
    0x7fe4007f,0x07fff40f,0xfdbbdd10,0x7fff4fff,0x3fff2000,0xffffffff,
    0x7fd42fff,0x3fee03ff,0xfff701ff,0x7fffcc7f,0x3fffea04,0x3ffffa82,
    0x07fffee0,0xffffff98,0x06ffffff,0x7fffffec,0x1fffffff,0x7fffe400,
    0x05ffff54,0x003fffec,0x3fffee00,0x007fffff,0xf707ffe4,0xff8805ff,
    0x71ffffff,0x4c005fff,0xcdffffff,0x2fffffdc,0x01ffffd4,0x203ffff7,
    0x326ffff8,0x2a00ffff,0xfa82ffff,0x3ee03fff,0x3fa01fff,0xfbacffff,
    0xf703ffff,0xffffffff,0x00bfffff,0x97ffffc4,0x202ffffa,0x0007fffd,
    0x77777540,0x4007ffff,0x3fe24cca,0xffe8805f,0xff10bdef,0xffe800bf,
    0xffb80dff,0x7ffd42ff,0x3ffee03f,0x3fff201f,0x0bffff1f,0x82ffffa8,
    0x203ffffa,0x701ffffb,0xd107ffff,0xf881ffff,0x221dffff,0x82fffffc,
    0xfffca998,0x3ffea6ff,0x3fffa02f,0xd0000007,0x0000ffff,0x0003fff6,
    0x00fffd80,0x17ffff20,0x42ffffb8,0x203ffffa,0x201ffffb,0xfacffff9,
    0x7cc02fff,0xffa82fff,0x3fee03ff,0xfff881ff,0x3ffea06f,0x7fffec3f,
    0x3ffff204,0xfffffe86,0x3ea1ffff,0xff703fff,0x04c00fff,0x7fffe800,
    0xfffb8000,0x3ee00002,0x7f4002ff,0x3ee01fff,0x7fd42fff,0x3fee03ff,
    0x7ff401ff,0x07fffdef,0x81ffff98,0x203ffffa,0xa81ffffb,0x7c03ffff,
    0x7ffc4fff,0x3fe200ff,0x7fec0fff,0x42ffffff,0xa85ffffa,0x00ffffff,
    0x0077ff4c,0x01ffffa0,0x0bfff100,0x7ffc4000,0xffff8005,0x7fffdc06,
    0x1ffffd42,0x03ffff70,0xffffffb8,0xff9804ff,0xfffa81ff,0x3ffee03f,
    0xffffb81f,0x99999999,0x3e26ffff,0xfc805fff,0x7fec1fff,0xa80cffff,
    0x2a1fffff,0x1fffffff,0x37ffff40,0x1ffffa00,0x1fffb000,0x7fec0000,
    0x7fcc000f,0x7fdc05ff,0x7ffd42ff,0x3ffee03f,0x7ffc401f,0x801fffff,
    0xa81ffff9,0x2e03ffff,0xfd81ffff,0xffffffff,0x7fffffff,0x00ffffea,
    0xb0bfffee,0xa803dfff,0xfdffffff,0xffffffff,0xfff980df,0x3a002fff,
    0x20007fff,0x2a63fffa,0xffa8001b,0x2666623f,0x4ffffa80,0x17fffdc0,
    0x80ffffea,0x801ffffb,0x6ffffffd,0x1ffff100,0x07ffff50,0x40ffffdc,
    0xfffffffe,0xffffffff,0x3fffee7f,0xffffb802,0x02fffe43,0x7fffffd4,
    0xffbfffff,0xf980ffff,0x005fffff,0x001ffffa,0xeaafffc4,0x004fffff,
    0xfe8bfff1,0xffb83fff,0x7fdc03ff,0x7ffd42ff,0x3ffee03f,0xfff9801f,
    0xf1002fff,0xff501fff,0x7fdc07ff,0xffff81ff,0xffffffff,0x2e7fffff,
    0xa802ffff,0x7e43ffff,0xffa804ff,0xffffffff,0x1fffffd2,0x3fffffa0,
    0x3fffa006,0xfffb0007,0x3fffff61,0xffd801ff,0x3fffee0f,0xffffa83f,
    0x7fffdc04,0x1ffffd42,0x03ffff70,0x1bffffa0,0x0ffff880,0x03ffffa8,
    0x207fffee,0x999efffe,0x99999999,0x3fffea09,0xffffb803,0x027ffe42,
    0x7f7fffd4,0x3fa62eff,0xff100fff,0x7400dfff,0xa8007fff,0x33e23fff,
    0x405fffa9,0x3e23fffa,0x983ffeff,0x5c04ffff,0x7d42ffff,0x3ee03fff,
    0xfd001fff,0x00005fff,0x07ffff50,0x40ffffdc,0x0007fffd,0x027fffcc,
    0x007fffe4,0x7fffd400,0x2a600a98,0x7ffd400a,0x3ffa005f,0x7fc4007f,
    0x7ff4086f,0x1bffe205,0x7ffd7ffb,0x0dffff10,0x17ffffc4,0x40ffffe6,
    0x01fffff9,0x06ffffb8,0xfff30000,0x3ffe607f,0xfffb81ff,0x3e20001f,
    0x7c407fff,0x00007fff,0x003ffff5,0xffff1000,0x7fff4007,0x7ffec007,
    0x1fffd401,0x543fffb0,0x07ffd5ff,0x207ffffe,0x2fffffe8,0x42ffffcc,
    0x1fffffe8,0x7ffffcc0,0x1bb98002,0x0bffff30,0x3fffffd1,0x0dffff50,
    0xfffff800,0x3fffee03,0x00cdc885,0x02ffffa8,0xfffa8000,0x3ffa001f,
    0x3fea007f,0x7ffd403f,0x7fff500e,0xfe8fffc4,0xffff903f,0x7fff4c1d,
    0xfff82fff,0x3ffaa1ff,0x2a01ffff,0x004fffff,0x01ffffa8,0x543fffff,
    0x1ffffffe,0x1bffffd0,0xfff70300,0xfff707ff,0xfffd03ff,0xfffa801f,
    0x4400002f,0x4004fffe,0x1007fffe,0xfc80dffd,0xfd100eff,0xceffc8df,
    0x884dfffc,0xedffffff,0xffffffff,0xfffffe82,0xffffffee,0x3fbba1ff,
    0x006fffff,0x0dffffd0,0x3bfffffa,0xfffffffe,0xffff301f,0x975579ff,
    0x3ffa0ffb,0xffddffff,0xfb84ffff,0x5404ffff,0x0002ffff,0x7ffed544,
    0xdddd106f,0xdfffffdd,0xfc89dddd,0xffb101ff,0x7fe401bf,0x7fffec1f,
    0x80ffffff,0xfffffffd,0xfffecfff,0xfffffa82,0xffcfffff,0x3fffe1ff,
    0x000effff,0x0ffffff0,0x3fffffea,0xfffcffff,0x3fff601f,0xffffffff,
    0xfff507ff,0xffffffff,0xff901dff,0xfa80bfff,0x40002fff,0xdffffffc,
    0xfffff100,0xffffffff,0x7fccbfff,0x3fffa04f,0x261eeeef,0xffd84fff,
    0xffffffff,0xfffffb00,0x3ffa9fff,0xffffb02f,0x3fa9ffff,0x3fffe1ff,
    0x40004fff,0x205ffffd,0xfffffffd,0x03fffd4f,0xffffffb8,0x07ffffff,
    0x3fffffa6,0x204fffff,0x03fffffa,0x017fffd4,0x3ffff200,0x7ffc402e,
    0xffffffff,0x3a5fffff,0x7ffc06ff,0x21ffffff,0x74006ffe,0xffc803ff,
    0x3fa2efff,0x3fee02ff,0x3fa2efff,0x3fffe1ff,0x980001ce,0x5c01ffff,
    0x22efffff,0x8801fffe,0xfffffffd,0xec803eff,0x1dffffff,0x05fffc80,
    0x02eeee98,0x0d66dc00,0xfffff880,0xffffffff,0xfff95fff,0xfffff803,
    0xff91ffff,0xffe8003f,0x06aa2003,0x0d54c000,0x00004c00,0x000aa880,
    0x00006aa6,0x26aaa620,0x55310000,0x03530001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f6e2000,0x3320303d,0x300002cc,
    0x00799999,0x33332000,0xc8800000,0x880ccccc,0x9000eeeb,0x00800799,
    0x33333260,0x4404cccc,0x0001cccc,0xfecb8800,0x5401cdef,0xceefeecb,
    0x32a2001b,0x0000acee,0x3fffffe2,0x885f912e,0x0004ffff,0x3ffffea0,
    0x7ec00005,0x00006fff,0x77ffff44,0x7fffdc41,0xfffc800f,0x17edc401,
    0xfffff700,0x980fffff,0x0003ffff,0x3ffee200,0x03ffffff,0xffffffd5,
    0x100fffff,0xfffffffd,0xfd0001df,0xffffffff,0x7c41ffff,0x00004fff,
    0x2fffff44,0xfffd8000,0x00005fff,0x0bffffd1,0x3ffffffe,0x27ffcc00,
    0x0bfffee0,0xfffffb80,0x4c07ffff,0x0003ffff,0x3ffff600,0x83ffffff,
    0xfffffffd,0x407fffff,0xffffffe9,0x001effff,0x3af7ffa2,0x3fffffff,
    0x027fffc4,0xfffc8000,0x7e40005f,0x5fffccff,0x7ff44000,0x3ff603ff,
    0x7400fffe,0xffb806ff,0x3ee002ff,0xffffffff,0x7fffcc07,0xf7000003,
    0xfddfffff,0xfffb87ff,0xffffffff,0x3fea07ff,0xdb99bdff,0x2002ffff,
    0x7ffe42e8,0xfff885ff,0x2000004f,0x005ffffa,0x649fff90,0x10004fff,
    0x803dfffd,0x0fffc8ca,0x007fff20,0x00bfffee,0xe9999988,0x7cc07fff,
    0x00003fff,0xcfffff88,0x3fe21980,0x99abefff,0xf107dca9,0x7cc03fff,
    0x80000fff,0xf100aca8,0x00009fff,0x1cccc880,0x1e664c00,0x000e665c,
    0x0066665c,0x403fff20,0x7004fff9,0x0005ffff,0x80ffffd0,0x003ffff9,
    0xffff9800,0x3ffee005,0x900800ef,0xf3003fff,0x000009ff,0x27fffc40,
    0x00000000,0x00000000,0x3ff20000,0x1fffd00f,0x3fffee00,0xffe80002,
    0x7ffcc07f,0xa800003f,0x2002ffff,0x003ffffc,0x20bffe20,0xff52bba8,
    0x3300001f,0x4ffff880,0x00000000,0x00000000,0x7fe40000,0x2fffb80f,
    0xfdddddb0,0xdddddfff,0xfd001ddd,0xff980fff,0x001983ff,0x03ffff20,
    0x3ffffd80,0x1bff2000,0x4dffffd1,0x3a604ffe,0x3ff665ee,0xff882eff,
    0x3bb204ff,0xdd500dee,0xdddddddd,0x77775400,0x006eeeee,0x3bbbbbaa,
    0xc8006eee,0x7fcc0fff,0x3fffa05f,0xffffffff,0x00ffffff,0x407fffe8,
    0xb32ffff9,0x005dffff,0x00ffffc8,0x3fffff20,0x7fff0001,0x7fffffcc,
    0x981ffee6,0xfff76fff,0x887fffff,0xf704ffff,0x5c05ffff,0xffffffff,
    0x3fee007f,0x7fffffff,0x3fffee00,0x007fffff,0x740fffc8,0x3fa00fff,
    0xffffffff,0xffffffff,0x7fffe800,0x57fffcc0,0xfffffffb,0x3ff2003f,
    0x3ee000ff,0x00bfffff,0xd83ffe20,0x26eeffff,0xf300fff8,0xffff7fff,
    0x43ffffff,0xa84ffff8,0x403fffff,0xfffffffb,0x3ee007ff,0xffffffff,
    0x3ffee007,0x07ffffff,0x20fffc80,0x6c02fffb,0xfffeeeee,0xeeeeeeef,
    0xfffe800e,0x7fffcc07,0xfffffffd,0xf9001fff,0x44001fff,0xffffffff,
    0x7ff9801c,0x803fffe6,0xff301fff,0xffffffff,0x44bfffff,0x7cc4ffff,
    0xa804ffff,0xfffeeeee,0x3baa007f,0x7ffffeee,0x3bbbaa00,0x007ffffe,
    0x3e24cca8,0xf70005ff,0x00005fff,0x980ffffd,0xffffffff,0x5fffffff,
    0x7fffffdc,0xffffffff,0xffa87fff,0xefffffff,0x4dff500b,0x7403fffb,
    0xfff302ff,0x2a17ffff,0x3e27ffff,0x3fa24fff,0x40005fff,0x0007fffe,
    0x007fffe8,0x07fffe80,0x3fff6000,0xfff70000,0xfd00005f,0xff980fff,
    0x50bfffff,0xfb8fffff,0xffffffff,0xffffffff,0xfffff707,0x07ffffff,
    0x7fe4bff9,0x27fec01f,0xffffff98,0x0ffffe81,0x6c9ffff1,0x0005ffff,
    0x007fffe8,0x07fffe80,0x7fffe800,0xfff70000,0x7fdc0005,0xe80002ff,
    0x7cc07fff,0xe81fffff,0x3ee0ffff,0xffffffff,0xffffffff,0x3fffa607,
    0x5fffffff,0xffb27fe4,0x4ffc803f,0x5fffff30,0x47ffff20,0xf94ffff8,
    0x0001dfff,0x00ffffd0,0x0ffffd00,0xffffd000,0xfff10000,0xffb8000b,
    0xe80002ff,0x7cc07fff,0xf902ffff,0x77543fff,0xfffffeee,0x5eeeeeee,
    0xffffd980,0x2e4fffff,0x3fff25ff,0x81ffec03,0x204ffff9,0xf12ffffb,
    0xfff79fff,0x200001df,0x0007fffe,0x007fffe8,0x07fffe80,0x0fffd800,
    0x7ffdc000,0xfe80002f,0x7fcc07ff,0x3fee04ff,0xffc802ff,0x100000ff,
    0xffffffd7,0xb9bfea3f,0x7f405fff,0xffff302f,0x7fffdc07,0xfdffff12,
    0x0003ffff,0x03ffff40,0x3ffff400,0x7fff4000,0x7fd40007,0x2666623f,
    0xffffb800,0xffe80002,0x7ffcc07f,0x3ffee03f,0xfffc802f,0xa800000f,
    0x34ffffff,0x7ffccfff,0x7fc3abef,0xffff301f,0x7fffdc07,0xffffff12,
    0x0000bfff,0x007fffe8,0x07fffe80,0x7fffe800,0x3ffe2000,0x1fffff45,
    0x17fffdc0,0x7fff4000,0x7fffcc07,0x3fffee03,0xffffc802,0xd1000000,
    0x3e2bffff,0x3fff61ff,0x3fe66fff,0xffff300f,0x7fffdc07,0xfbffff12,
    0x0009ffff,0x03ffff40,0x3ffff400,0x7fff4000,0x3ff60007,0x3fffee0f,
    0xfffb803f,0xfe80002f,0x7fcc07ff,0x3fee03ff,0xffc802ff,0x000000ff,
    0xf9bffff2,0x3ffa24ff,0x3ff66fff,0x3fffe606,0x3fffee03,0x39ffff12,
    0x005fffff,0x1ffffa00,0x3fffa000,0xffe80007,0xff50007f,0x77ffc47f,
    0xffb803ff,0xe80002ff,0x7cc07fff,0x3ee03fff,0xfc802fff,0x00000fff,
    0x93fffee0,0x6dc0fffb,0xfff14fff,0x7fffcc05,0x3fffee03,0x29ffff12,
    0x01fffffb,0x7fffe800,0xfffe8000,0xffe80007,0xff88007f,0x75ffec6f,
    0xffb803ff,0xe80003ff,0x7cc07fff,0x3ee03fff,0xfc802fff,0x02000fff,
    0x7ffffb00,0x0027ffc4,0xf980dff9,0x3ee03fff,0xfff12fff,0x7fffec9f,
    0x7f40000e,0xe80007ff,0x80007fff,0x8007fffe,0x3ea1fffd,0x007ffd5f,
    0x00bffff5,0x0ffffd00,0x03ffff98,0x00bfffee,0x003ffff2,0x804df7c4,
    0x1fffffd9,0x4027ffdc,0x4c02fffc,0x2e03ffff,0xff12ffff,0x7ffc49ff,
    0x740005ff,0x80007fff,0x0007fffe,0x007fffe8,0xf11fffd4,0x0fffa3ff,
    0x3ffffe60,0x7ff40000,0x7ffcc07f,0x3ffee03f,0xfffc802f,0xfff1000f,
    0xffdddfff,0x109fffff,0x303bffff,0x300bfffb,0x5c07ffff,0xff12ffff,
    0xfffa89ff,0x3a0004ff,0x80007fff,0x0007fffe,0x007fffe8,0xf91bffa2,
    0xbfff99df,0xffff8809,0xecbabdff,0x7fffe800,0x1ffffcc0,0x05ffff70,
    0x01ffff90,0x3ffffe20,0xffffffff,0x3fa205ff,0xffddffff,0xf3005fff,
    0x7dc07fff,0xfff12fff,0xffff909f,0x7774405f,0xfffffeee,0x444eeeee,
    0xffeeeeee,0xeeeeefff,0x77777444,0xeefffffe,0xffc84eee,0x7fffec1f,
    0x00ffffff,0x7fffffdc,0xd10fffff,0xfffddddd,0x9dddddff,0x80ffffe6,
    0x802ffffb,0x000ffffc,0xfffffff1,0xbfffffff,0xffffb001,0x07ffffff,
    0x1ffffcc0,0x25ffff70,0xd04ffff8,0x203fffff,0xfffffff8,0xffffffff,
    0x7fffc45f,0xffffffff,0x7c45ffff,0xffffffff,0x5fffffff,0x6c27ffcc,
    0xffffffff,0xffe800ff,0xffffffff,0xffffff10,0xffffffff,0x3ffe6bff,
    0x3ffee03f,0xfffc802f,0x3f72000f,0xffffffff,0x6dc000cf,0x1cefffff,
    0x7fffcc00,0x3fffee03,0x09ffff12,0x3bffffe2,0xfffff880,0xffffffff,
    0x7fc45fff,0xffffffff,0x45ffffff,0xfffffff8,0xffffffff,0x037ff45f,
    0x000fffa0,0xfffffff5,0x3ffe21df,0xffffffff,0xf35fffff,0x7dc07fff,
    0xfc802fff,0x30000fff,0x01355553,0x02aa2000,0xffff9800,0x3fffee03,
    0x09ffff12,0x2fffffd4,0x7fffffc4,0xffffffff,0x7ffc45ff,0xffffffff,
    0x445fffff,0xffffffff,0xffffffff,0x007fff25,0x0007ffd0,0x026aaa62,
    0xfffffff1,0xffffffff,0x3fffe6bf,0x3fffee03,0xffffc802,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xabdeecb9,0x5cc40000,0x1bceefec,
    0x76dd4400,0xa801bdee,0x0bcefedc,0x99999930,0x59999999,0x33333326,
    0xcccccccc,0x07333220,0x033332a0,0xddffd973,0x10000179,0x03999553,
    0x44000400,0x0abdfdca,0x3b72a000,0x00002bde,0xffffd880,0x002fffff,
    0xffffff90,0x01ffffff,0xfffffe98,0x704fffff,0xffffffff,0xffb81bff,
    0xffffffff,0xfff74fff,0xffffffff,0x7fcc3fff,0xffb803ff,0x3fff21ff,
    0xffffffff,0x7e44000c,0x2fffffff,0xffdb9300,0x6c05bdff,0xffffffff,
    0x7f4c001e,0xefffffff,0x0cffc881,0x7fffd400,0xffffffff,0x3ffa6004,
    0xffffffff,0x3f200fff,0xffffffff,0xffd84fff,0xffffffff,0x3fee0eff,
    0xffffffff,0xfff74fff,0xffffffff,0x7fcc3fff,0xffb803ff,0x3fff21ff,
    0xffffffff,0xfd8800ef,0xffffffff,0xfffc802f,0x4fffffff,0xfffffe88,
    0x03ffffff,0xffffff50,0x87ffffff,0x006ffffe,0x3fffffea,0xffffffff,
    0xffffc805,0xffffffff,0xfe880fff,0xffffffff,0x7dc4ffff,0xfeefffff,
    0x2e6fffff,0xffffffff,0xf74fffff,0xffffffff,0x4c3fffff,0xb803ffff,
    0x3f21ffff,0xffffffff,0x4c05ffff,0xffffffff,0x2602ffff,0xfffffffe,
    0x7cc4ffff,0xffffffff,0x402fffff,0xfffffff8,0x24ffffff,0x2ffffffa,
    0xfffffd00,0xffffb77b,0x7fd403ff,0xabdeffff,0x80fffdcb,0xeffffffd,
    0x4ffdcaac,0x057ffffc,0x1fffff51,0x2aaaaaa2,0x4ffffbaa,0xfffffff7,
    0x3fffffff,0x01ffffcc,0x90ffffdc,0x9513359d,0x01fffffd,0x3fffffe6,
    0x1ccccdef,0xffffff10,0x9fffffff,0xaeffffd8,0xffffeb88,0x7fffe406,
    0x17faa21e,0x7ffffff7,0xfffff700,0xfffff101,0x7ffff40b,0x40da803f,
    0x0efffff9,0xff98aa20,0x3ff204ff,0x3e6002ff,0xfff74fff,0x3fe6000f,
    0xffb803ff,0x7c4001ff,0xfd02ffff,0x0005ffff,0x37fffff6,0x9936a609,
    0xd00effff,0x7c05ffff,0x9100ffff,0xffffff50,0xffff8803,0x3ffe601f,
    0xfffb80ff,0x6c0001ff,0x000effff,0x01ffffa8,0x00bfffe6,0x74ffff98,
    0x2000ffff,0x803ffff9,0x001ffffb,0x83ffffd8,0x006ffffa,0x3ffffea0,
    0x7ffe4003,0x3ffea01f,0xffff106f,0x3ffa0007,0xffb805ff,0xffd805ff,
    0x7ffc44ff,0x540003ff,0x001fffff,0x07ffff50,0x00ffffd4,0x29ffff30,
    0x0007fffb,0x007ffff3,0x003ffff7,0x03ffff50,0x003ffffd,0x2ffffec0,
    0x3fffe200,0xffffd806,0x2ffff981,0x9dd91000,0x3ffff200,0xffffa802,
    0x7ffffd45,0x7fe40000,0x260005ff,0xd00fffff,0x9800dfff,0xff74ffff,
    0x3e6000ff,0xfb803fff,0xc8001fff,0xff987fff,0x740004ff,0x4000ffff,
    0x403ffffa,0x82fffffc,0x001ffffa,0x7fec0000,0xff8800ff,0x7ffdc6ff,
    0xfe80004f,0x40002fff,0x22fffffe,0x03ffffd8,0xa7fffcc0,0x0007fffb,
    0x007ffff3,0x003ffff7,0x85ffff98,0x003ffffb,0x1ffffe20,0x3fffee00,
    0xffffd100,0xfff707ff,0x0000003f,0x007fffe8,0xf91ffffe,0x00005fff,
    0x001fffff,0xfffff980,0xfffffbef,0xfff98004,0xdffff74f,0x401799dd,
    0x803ffff9,0x801ffffb,0xeffffc98,0x9ffffd81,0x2cdeedc9,0x1bfffe60,
    0x3ffff200,0xfffffa80,0xffb84fff,0x000001ff,0x03ffffc0,0x41fffff0,
    0xd81ffffd,0xeeeeeeee,0x0fffff10,0x3ffea000,0xffffffff,0xfff30004,
    0x3fffee9f,0xdfffffff,0x3ffff981,0x1ffffb80,0xffffff98,0x3fa05fff,
    0xffffffff,0xa82effff,0x8005ffff,0x6c47fffd,0xffffffff,0xff95535f,
    0x555557ff,0x40000155,0x006ffff8,0xe87ffffa,0xfe80ffff,0x0fffffff,
    0x00fffff3,0x7fff4c00,0x004fffff,0x53fffe60,0xfffffffb,0x42ffffff,
    0x803ffff9,0x981ffffb,0xffffffff,0x3fffa01e,0xffffffff,0x7cc4ffff,
    0xe8007fff,0x3fa66fff,0xffeaffff,0xfffff76f,0xffffffff,0x400001ff,
    0x006ffff9,0xf87ffffa,0xffd07fff,0x21ffffff,0x006ffffa,0x3fff6200,
    0x0dffffff,0xffff9800,0xffffff74,0xffffffff,0x1ffffcc3,0x0ffffdc0,
    0x7fffffcc,0xf82fffff,0xffffffff,0xffffffff,0x3ffffe21,0x7fffc000,
    0xdfffff76,0x5dbfffa1,0xffffffff,0x0fffffff,0x3fe20000,0x3fa006ff,
    0x3ffe0fff,0xfffe80ff,0xf30fffff,0x0000ffff,0x3fffffe6,0x0effffff,
    0x7fffcc00,0x7f54c404,0x3e66ffff,0xfb803fff,0xcc881fff,0xfffffedc,
    0x7fffc3ff,0xf730acff,0xff8dffff,0x74004fff,0xfffdefff,0x7fffc4ff,
    0xffffff75,0xffffffff,0x0ddcc01f,0x07ffff80,0xd1ffffe0,0x3103ffff,
    0x1ffff933,0x03ffffe2,0xffff3000,0xffff719f,0xf9800bff,0x5c004fff,
    0xf30fffff,0xf7007fff,0xa8003fff,0x21fffffd,0x200fffff,0x20fffff9,
    0x02fffffd,0x3fffff60,0xff81ffff,0xf73314ff,0x33335fff,0x7fdc0333,
    0xfff803ff,0x3ffe007f,0x7fffec6f,0xffffc802,0x07ffffe0,0xffffd000,
    0xffffd885,0x3fe6002f,0xfe8004ff,0xfff32fff,0xfff7007f,0x3f60003f,
    0x3ffa4fff,0x7fec00ff,0x3ffe61ff,0xb980cfff,0xffffff94,0xfff101bf,
    0xffff709f,0xfff10003,0xfe801fff,0xf9801fff,0x7fdc4fff,0xffc804ff,
    0x3fffa0ff,0x3ee0003f,0x3f603fff,0x26005fff,0x8004ffff,0xf34ffffc,
    0xf9007fff,0x20001fff,0x365ffffa,0x6400ffff,0x7ec2ffff,0xefffffff,
    0xff75fffe,0x4c07ffff,0xfb83ffff,0xb8001fff,0x02ffffff,0x027fffec,
    0x21ffffe4,0x00fffffa,0xb07fffe4,0x000fffff,0x203fffec,0x006ffff8,
    0x013fffea,0x4ffffee0,0x804ffff8,0x0007fffc,0xd9bfffe2,0x5c01ffff,
    0xfd82ffff,0xffffffff,0xfff55fff,0xffc803df,0xfffb81ff,0xffa8001f,
    0x5402ffff,0xe806ffff,0x7c41ffff,0x6403ffff,0x3ee0ffff,0x0003ffff,
    0xd00dffff,0x5c00ffff,0x8003ffff,0x3e1ffffd,0xfe805fff,0x2a0006ff,
    0x3f24ffff,0x7ec04fff,0xffb00fff,0xffffffff,0x3fffe2bf,0x7fffc00f,
    0x3ffff706,0xffff1000,0xffd001ff,0x7fe409ff,0xfff705ff,0x7fe407ff,
    0x7fff40ff,0x218803ff,0x401ffffe,0x0035ffff,0x003ffffd,0x47ffffa8,
    0x201ffffe,0x005ffff9,0x8fffffa0,0x207ffff9,0x407ffff8,0xffffffc9,
    0x3ff21cff,0x3fee04ff,0xfff703ff,0x3ea0003f,0xf7002fff,0x4c39ffff,
    0x00fffffc,0x33fffffe,0x7fffe40a,0x7ffffd40,0x36a21adf,0x3ffff64f,
    0x3ffff205,0xfb105d93,0x0021ffff,0xbfffff71,0x1effffc8,0x1ffffe88,
    0xfffe9800,0x7ffec1ff,0x7ff440df,0xff9005ff,0x3e2013df,0xfb82ffff,
    0x3ee07fff,0x20001fff,0x22000aa8,0xffffffff,0x4fffffff,0x7ffffd40,
    0xfffeffff,0xffd80fff,0xffffffff,0x3ee4ffff,0xabdfffff,0x1fffffeb,
    0xfb9dfff9,0x7c7fffff,0xfedcceef,0x886fffff,0xcdffffff,0x4fffffdc,
    0x666f77cc,0xfffffeed,0xffff983f,0xfffdcdff,0xfb000fff,0xff9005ff,
    0xfd99ffff,0xfb87ffff,0xffffffff,0xffffffff,0x7cc00005,0xffffffff,
    0x800dffff,0xfffffffb,0xffffffff,0xffffd880,0xffffffff,0x7fffec4f,
    0xffffffff,0x3fff22ff,0xffffffff,0x7fffffc6,0xefffffff,0xfffff700,
    0xffffffff,0xffff981f,0xffffffff,0x3ff604ff,0xffffffff,0x3e001fff,
    0xfd1007ff,0xffffffff,0xff709fff,0xffffffff,0xbfffffff,0xfd100000,
    0xffffffff,0xfe98007f,0xffffffff,0x2e00ffff,0xffffffff,0xfd84ffff,
    0xffffffff,0x7fe43fff,0xffffffff,0x7ffffc0d,0xcfffffff,0x7fffdc00,
    0xdfffffff,0xfffff980,0xefffffff,0xffffb803,0x2effffff,0x13ffe600,
    0xfffffb00,0x205fffff,0xfffffffb,0xffffffff,0x000005ff,0x3fffffb2,
    0x2e0001df,0xfffffffe,0xc8800adf,0xfffffffe,0x3ff6602c,0x0bffffff,
    0xffffeb88,0xfff02eff,0x7dffffff,0x7fec4001,0x02efffff,0x3fffffe6,
    0x002dffff,0x7ffffecc,0xfa8003ef,0xeb8001ff,0x1cefffff,0x3ffffee0,
    0xffffffff,0x0005ffff,0x01553000,0x55310000,0x31000033,0x33000133,
    0x44001355,0x31000aa9,0x00013555,0x006aa620,0x9aaa9988,0x2a200000,
    0x75c0001a,0xa980005e,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33260000,
    0x220001cc,0x000ccccc,0xc8199999,0xabcccccc,0x00020001,0xcc880002,
    0xcccccccc,0x3333264c,0xcccccccc,0x31cccccc,0x79999999,0x66640035,
    0xcccccccc,0x33cccccc,0x99999999,0x99999999,0x33332399,0x3322001c,
    0x999934cc,0x13559999,0xccccc980,0xcccccccc,0x7ffff52c,0xfffc8000,
    0xfffa804f,0xfffff85f,0xceffffff,0x02fc8800,0x00033e60,0x3fffffea,
    0x2e7fffff,0xffffffff,0xffffffff,0xffff53ff,0xdfffffff,0x7fffc019,
    0xffffffff,0xf76fffff,0xffffffff,0xffffffff,0x3ffff67f,0x3ffea005,
    0xfffff74f,0xbfffffff,0x3fffea05,0xffffffff,0xffff54ff,0xff880007,
    0x7f401fff,0xfff80fff,0xffffffff,0x3ee03fff,0xe8800fff,0x74003fff,
    0xffffffff,0x3fee7fff,0xffffffff,0xffffffff,0xffffff53,0xffffffff,
    0x3ffffe07,0xffffffff,0xff76ffff,0xffffffff,0xffffffff,0x1ffffea7,
    0x2ffffd80,0xfffffff7,0xbfffffff,0xffffff50,0xffffffff,0x0ffffea9,
    0x3ffee000,0x3ffee05f,0xfffff04f,0xffffffff,0xffb01dff,0xff900bff,
    0x7c400bff,0xffffffff,0x3fee7fff,0x3ffa8002,0xfffffff5,0xffffffff,
    0xfffff81d,0xffffffff,0xff76ffff,0xffffffff,0xffffffff,0x3ffffe27,
    0xfffff001,0x3ffffee1,0xffffffff,0x7ffd44ff,0xffffffff,0xfff54fff,
    0x9bdfffff,0x7fff4005,0xffff882f,0xfffff00f,0xffffb955,0xff109fff,
    0x2aa67fff,0x1dffff51,0x7fffe400,0xaaaaefff,0x7dcbfee2,0xff502cce,
    0x37fffea7,0xffffdcaa,0x7ffc4fff,0xffffffff,0x15ffffff,0xfb555555,
    0x5555bfff,0x7ffec155,0xfff9804f,0x3fffee5f,0xffdaa99a,0x7fd47fff,
    0xcccccdff,0xff52cccc,0xffffffff,0xf5007fff,0xff70dfff,0x7ffc05ff,
    0xffff306f,0xfff301ff,0xffffffff,0x003fffff,0xffcffff8,0x97fdc05f,
    0x3efffffb,0xffa9ffd4,0xfff303ff,0x40001fff,0x802ffffe,0x003ffffb,
    0x00dffff7,0x5c7ffff7,0xf301ffff,0x7d43ffff,0x54003fff,0xffffffff,
    0x0effffff,0x17fffec0,0x80dffff1,0x2206ffff,0x705ffffe,0xffffffff,
    0x07ffffff,0xbdfffa80,0x7dc05fff,0xfffff72f,0x9ffd49ff,0x203ffffa,
    0x05ffffe8,0xdffff500,0x3fffee00,0xffff1003,0xfffe801f,0x3fffee0f,
    0x3ffff601,0x0ffffea2,0xfffff500,0xffffffff,0xff980bff,0x3fff26ff,
    0x7fffc01f,0x7fffd406,0xffffb01f,0xffffffff,0xfffb000b,0x80bfff75,
    0x5cc42ffb,0xff53ffff,0x0ffffea7,0x3fffff50,0xffffd000,0x3ffee005,
    0x3ffa003f,0x3fe202ff,0x7ffdc6ff,0x3fff201f,0x3fffea2f,0x7ffd4003,
    0x7ff54c3f,0x7e403fff,0xfff8afff,0xffff804f,0xfffff806,0xdffffb02,
    0xdffffb79,0x7fff8800,0xb80bfff7,0x3fa202ff,0x2a7ff55f,0xf803ffff,
    0x4002ffff,0x006ffffa,0x00ffffee,0x05ffffc8,0x713fffea,0x6c03ffff,
    0x3ea1ffff,0x54003fff,0x3603ffff,0x4406ffff,0xffceffff,0xfff800ff,
    0xfffc806f,0xffff883f,0x1ffffc85,0x53ffee00,0x5c05fffb,0x7fdc02ff,
    0x3ea7ff57,0xfc803fff,0x74003fff,0x2003ffff,0x003ffffb,0x81ffffe6,
    0x5c1ffffc,0xf301ffff,0xffa8dfff,0x7d4003ff,0x3e203fff,0xfb807fff,
    0x3fffffff,0x7fffccc0,0x5c09999e,0xfb84ffff,0xfff00fff,0x7ff4007f,
    0x0bfff71f,0x6402ffb8,0x27ff56ff,0x803ffffa,0x004ffffb,0x01ffffe6,
    0x07ffff70,0x1fffff80,0x70fffff0,0xa883ffff,0x541fffff,0x4003ffff,
    0x403ffffa,0x801ffffe,0x6ffffffe,0xffffff80,0x542fffff,0xfc85ffff,
    0x3ff605ff,0xfff3004f,0x7ffffdcd,0x3fee4fff,0x57ffe602,0xfff53ffa,
    0xfff5007f,0x7fec00bf,0x7dc003ff,0x64003fff,0xf983ffff,0xffb84fff,
    0xffffffff,0xfa82ffff,0xaaaadfff,0x3ea2aaaa,0x7ec03fff,0xf9801fff,
    0x802fffff,0xffffffff,0x7fcc2fff,0xfffd86ff,0x17fff204,0x71fffe40,
    0xffffffff,0xd517fdc9,0x21fffffd,0xfff53ffa,0xfff3007f,0x3fe600df,
    0x5c000fff,0x4003ffff,0xb85ffffa,0xfb82ffff,0xffffffff,0xf502ffff,
    0xffffffff,0x2a1fffff,0x7403ffff,0xb000ffff,0x200bffff,0xffffffff,
    0x7fcc2fff,0xfffd86ff,0x17fff204,0x707fffc0,0xffffffff,0xf517fdc9,
    0x543dffff,0xffff53ff,0xffff3007,0x3fff600d,0xffb8004f,0x7c4003ff,
    0x7f40ffff,0xfff707ff,0xffffffff,0xfa83dfff,0xffffffff,0xf50fffff,
    0x7c407fff,0x55507fff,0x9ffff955,0xdd055555,0xdddfffff,0xffffa85d,
    0x05fffc85,0x2013fff6,0x7dc6fffa,0x3eeeefff,0xffa8bfee,0x3ffa82be,
    0x007ffff5,0x00bffff5,0x01fffff3,0x7ffff700,0xffffb000,0x2ffffc45,
    0xeeffffb8,0xfffffeee,0x3ffea1ff,0xffffffff,0xfff50fff,0x7ffec07f,
    0xfffff05f,0xffffffff,0x7ffc0fff,0xfffb806f,0x7fffb84f,0x00ffffe0,
    0xf70ffff6,0xffb80bff,0xa80ffea2,0xffff53ff,0xffff7007,0xffffb009,
    0x3fee0009,0xfb8003ff,0x3fea4fff,0xfff703ff,0x3ffea03f,0x3ffea6ff,
    0xccccccdf,0xfff50ccc,0xfffb107f,0x3ffe03ff,0xffffffff,0x3e07ffff,
    0xfc806fff,0xffa83fff,0xfffb84ff,0x7ffc400f,0x2fffdc0f,0xf98bfee0,
    0x4ffea03f,0x803ffffa,0x403ffffc,0x00fffff9,0x7ffff700,0xffff1000,
    0x07fffe4f,0x01ffffb8,0x47ffffe6,0x003ffffa,0x66ffffd4,0xfffffedc,
    0x3333203f,0xcdffffdc,0x3fe04ccc,0xffe806ff,0xfffd02ff,0xfffb57ff,
    0xfff700bf,0xffdddddf,0x2ffb80bf,0xff5004cc,0x0ffffea7,0x0bffffa0,
    0x09ffffb0,0x7fffdc00,0xfffd0003,0x1bfffe3f,0x01ffffb8,0xa97ffff4,
    0x4003ffff,0xfffffffa,0x6fffffff,0xffffa800,0x7fffc002,0x7fffd406,
    0xffff900f,0xffffffff,0xffffd009,0xffffffff,0x42ffb80b,0x3fea00bb,
    0x07ffff53,0x0fffffa8,0x3ffffe20,0x3fee0000,0xf70003ff,0xfff37fff,
    0x7ffdc07f,0x7ffec01f,0x7ffff52f,0xffffa800,0xffffffff,0xff50002f,
    0xff8005ff,0x7ff406ff,0xfff303ff,0xffffffff,0x7cc05fff,0xffffffff,
    0x5c05ffff,0x1bff62ff,0xff53ffa8,0xffe807ff,0x7fe403ff,0x5c0005ff,
    0x0003ffff,0xf7bffff3,0x7dc03fff,0x7fc01fff,0xfff51fff,0xffa8007f,
    0xffffffff,0x999000be,0xbffffb99,0x7c099999,0xfb106fff,0xd101ffff,
    0xffffffff,0x1fffffff,0x3bbfff20,0xfffeeeee,0xf17fdc05,0x3ea01fff,
    0x7ffff53f,0x3ffff620,0x3ffe200f,0x5c0001ff,0x0003ffff,0x3f7ffffe,
    0x7fdc07ff,0x3fee01ff,0x3ffea7ff,0x7fd4003f,0x009aadff,0xffffff00,
    0xffffffff,0x7fffc0ff,0x3ffeea66,0xffb03fff,0x577537ff,0x0dffff91,
    0x203ffff1,0x5c05fffb,0x1bff22ff,0xff53ffa8,0x7dd4c7ff,0x403fffff,
    0x005ffffc,0x3ffffb80,0x3fff2000,0x404fffff,0x981ffffb,0x26fffffd,
    0x003ffffa,0x01ffffd4,0xfffff800,0xffffffff,0x3ffe07ff,0xffffffff,
    0xf905ffff,0xfd00dfff,0xffa89fff,0x3ffee06f,0x70eeeeef,0x402a85ff,
    0xfff53ffa,0xffffffff,0x880bffff,0x001fffff,0x3ffffb80,0x3ffea000,
    0x402fffff,0xfffffffb,0xffffffff,0x3fffea0f,0x7ffd4003,0x5500003f,
    0xffff9555,0x40555559,0xffffffff,0x02ffffff,0x003ffff6,0xd13fffe6,
    0x7dc07fff,0xffffffff,0x999bff70,0x99999999,0x3ea7ffb9,0xffffffff,
    0x802fffff,0x005ffffc,0x7ffff700,0xffff8000,0xfb807fff,0xffffffff,
    0x42ffffff,0x003ffffa,0x01ffffd4,0xfff50000,0xfff8005f,0xffffffff,
    0xfe9800df,0x077ee003,0x401ffff1,0xfffffffb,0xffff70ff,0xffffffff,
    0x27ffffff,0xfffffffa,0x00dfffff,0x1fffff88,0xfff70000,0xfd80007f,
    0x805fffff,0xfffffffb,0x1cffffff,0x03ffffa8,0x1ffffd40,0xff500000,
    0xff8005ff,0xbcefffff,0x0028000a,0xdfff9018,0xfffffb80,0xff70ffff,
    0xffffffff,0xffffffff,0x3ffffea7,0x00abceff,0x1bffff20,0xfffb8000,
    0x7d40003f,0x802fffff,0xfffffffb,0x200bceef,0x003ffffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccccc980,0x9999001c,0x99999999,0x664c9999,0x332201cc,
    0xcb802ccc,0x0ccca84c,0x03cccc88,0x6664c000,0x2e62001c,0x001cdefd,
    0xccccc980,0x9999500c,0x99999999,0x32279999,0xc803cccc,0x99910ccc,
    0x99700399,0x6664c799,0xcccb8003,0x7ffe4001,0xff004fff,0xffffffff,
    0x5cffffff,0x3202ffff,0x800fffff,0xffc86fff,0xffff881f,0xfb100005,
    0x2005ffff,0xfffffffc,0x20000dff,0x1ffffffe,0xffffff90,0xffffffff,
    0x3ffe2dff,0x7fc01fff,0x3fff61ff,0x7ffc406f,0x3ffe63ff,0xfffd8006,
    0x7fffc001,0xff007fff,0xffffffff,0x5cffffff,0xf302ffff,0x2005ffff,
    0xffd85fff,0xffff880f,0x7e440005,0x02ffffff,0x7fffff4c,0x0fffffff,
    0xffffb800,0xff901fff,0xffffffff,0x2dffffff,0x4ffffff8,0x30ffffc0,
    0x405fffff,0x4c6ffffc,0xd8007fff,0x26001fff,0xffffffff,0xfffff801,
    0xffffffff,0x3ffee7ff,0xffffd02f,0x3ffe200b,0x107ffe84,0x000bffff,
    0x3fffff22,0x2a02ffff,0xffffffff,0x05ffffff,0x7ffffc40,0xff901fff,
    0xffffffff,0x2dffffff,0xfffffff8,0x07fffe00,0x20dffffb,0x42fffff8,
    0x8007fff8,0x2001fffe,0xfffffffb,0xaaaa803f,0xacffffca,0x3fee2aaa,
    0xfffc82ff,0xff3000ef,0x0dffd09f,0x017fffe2,0x3ffffea0,0x02ffffff,
    0x5ef7ffec,0xffffffca,0x3fff6002,0x701fffff,0xdddddddd,0xfffffddd,
    0x3ffffe29,0x3ffe04ff,0x7fffc41f,0xffffc82f,0x07fff886,0x00fffe80,
    0x3fbfffa0,0x70006fff,0xb807ffff,0x7cc2ffff,0x2001ffff,0xff83fffa,
    0xffff106f,0xfff5000b,0xffffbdff,0x04fe8805,0x07fffff1,0x37fffea0,
    0x0001ffff,0x0fffffd8,0xfffffff1,0x0ffffc0f,0x237fffe4,0x81fffff8,
    0x8007fff8,0x1000fffe,0xffd5ffff,0xf70001ff,0xfb807fff,0x7ff42fff,
    0x554404ff,0xaacfffca,0xaaefffba,0x17fffe22,0x9ffffc00,0x802ffffb,
    0x7ffdc019,0xfffd005f,0x03ffff3b,0xffffa800,0x3fffe22f,0xff03ffff,
    0xfff103ff,0x7ffe45ff,0x3fffe05f,0x3fffc000,0x1ffff500,0x005ffff7,
    0x07ffff70,0x22ffffb8,0x806ffffc,0xfffffff8,0xffffffff,0xff10ffff,
    0x32000bff,0x7fffdc3f,0xff300002,0xff900dff,0xffff31ff,0x7fc40003,
    0x7fc45fff,0x06ffffff,0x2e03ffff,0xff16ffff,0x7fc03fff,0x7fc000ff,
    0x3ff6007f,0xbffff36f,0xffff7000,0xffffb807,0x1fffff32,0xfffff100,
    0xffffffff,0x21ffffff,0x005ffff8,0xfff70110,0x2600005f,0x4c05ffff,
    0xff33ffff,0x6c0003ff,0x440fffff,0xfffbffff,0x1ffff82f,0x2fffffa0,
    0x404ffffc,0x7540ffff,0x07fff84e,0xf93fffe0,0xb8007fff,0x5c03ffff,
    0xffd2ffff,0x3e2007ff,0xffffffff,0xffffffff,0xffff10ff,0xfb80000b,
    0x00002fff,0x809ffff7,0x3e66fffd,0x50001fff,0x105fffff,0xffd3ffff,
    0x3ffff0df,0x7ffffd40,0x400fffff,0x7ec1fffe,0x06fff87f,0x43ffff30,
    0x001ffffd,0x01ffffdc,0x2ebfffee,0x4005ffff,0x9fffe999,0xafffc999,
    0x3ffe2199,0x5c00005f,0x0002ffff,0x07ffffd0,0x30ffffd4,0x0003ffff,
    0x09fffff1,0x2e7fffe2,0x7fc1ffff,0x7ff401ff,0x03ffffff,0x221fffe8,
    0x7fc2ffff,0xfff9006f,0x4ffffb8f,0x7fffdc00,0x7fffdc03,0x00fffffc,
    0x21bffe00,0xf100fffc,0x0000bfff,0x02ffffb8,0xffff9800,0x3fffe207,
    0x0ffffcc4,0x7fffec00,0xffff100e,0x8bffff13,0x4c01ffff,0xffffffff,
    0x1fffd800,0x893fffea,0xfd005fff,0xfff88bff,0x7fdc006f,0x7fdc03ff,
    0x2fffffff,0x2fffc000,0x8807ffec,0x0005ffff,0x17fffdc0,0x3ffa2000,
    0x3ff203ff,0x7ffcc0ff,0x7fd4001f,0x3e201fff,0xfff91fff,0x0ffffc3f,
    0x7ffffec0,0xfffb003f,0x3ffffec3,0x100bfff1,0xfd07ffff,0x5c001fff,
    0x5c03ffff,0xffffffff,0x3e20005f,0x7ffe84ff,0x17fffe20,0xfff70000,
    0xfd80005f,0x3e606fff,0xff982fff,0x3e2001ff,0x4404ffff,0xff11ffff,
    0x7fffc9ff,0xffffe801,0xff9003ff,0x7ffffc5f,0x09fff11f,0x03ffff70,
    0x007ffff9,0x01ffffdc,0x3effffee,0x0002ffff,0xff09fff3,0x7ffc40df,
    0x5c00005f,0x0002ffff,0x03fffff2,0x305fffe8,0x4003ffff,0x806ffffd,
    0x361ffff8,0xfff0ffff,0xfffa803f,0x800fffff,0xff52fffc,0x3e69ffff,
    0xffd804ff,0xffff506f,0x7ffdc00b,0x7ffdc03f,0xfffffbaf,0xf7333000,
    0xf33339ff,0x88333dff,0x0005ffff,0x17fffdc0,0xffffc800,0x3ffee02f,
    0xffff300f,0x3ffea003,0xff8801ff,0x3ffe61ff,0x03ffff4f,0xffffffe8,
    0xffb805ff,0xffbff92f,0x13ffe6df,0x09ffff10,0x003ffffc,0x807ffff7,
    0xfd2ffffb,0xf300bfff,0xffffffff,0xffffffff,0x7ffc41ff,0x5c00005f,
    0x8002ffff,0x02fffffb,0x2b7fffe2,0xffcaaaaa,0x102aacff,0x009fffff,
    0xd07fffe2,0xfff1ffff,0x7ffdc03f,0x1fffffff,0xf9fffdc0,0x8fffdaff,
    0x5403fff9,0xffffffff,0xffffffff,0xffff7002,0xffffb807,0x7fffff32,
    0xfffff980,0xffffffff,0x20ffffff,0x005ffff8,0x7fffdc00,0x7ffdc002,
    0x7fcc02ff,0xffffffff,0xffffffff,0xfffd80ff,0x3fe2006f,0x7ffd41ff,
    0x01ffffbf,0xb5fffff1,0xb80dffff,0xfff9bfff,0xfabfffa8,0x7fe403ff,
    0xffffffff,0x04ffffff,0x07ffff70,0x22ffffb8,0x00fffffc,0x3fffffe6,
    0xffffffff,0x220fffff,0x0005ffff,0x17fffdc0,0xfffff700,0xffff3005,
    0xffffffff,0xffffffff,0xfffffa81,0x3ffe2001,0xefffe81f,0xf901ffff,
    0x3fe6dfff,0x3ea03fff,0x16ffbbff,0xfff5bfff,0xfffff805,0xffffffff,
    0x7007ffff,0xb807ffff,0x3a22ffff,0x2206ffff,0xafffeaaa,0xcfffdaaa,
    0x7ffc42aa,0x5c00005f,0x7002ffff,0x005fffff,0x3fffffe6,0xffffffff,
    0x20ffffff,0x03fffff8,0x0ffffc40,0x7fffffdc,0xfff881ff,0x3fff62ff,
    0xfff500ff,0x7f47ffd9,0x02fffbff,0x3fffffe6,0xffffffff,0xb801ffff,
    0x5c03ffff,0x7d42ffff,0xd003ffff,0xfff70fff,0x7fffc403,0x7dc00005,
    0xfb802fff,0x2001ffff,0xeeeeeee9,0xfffeeeee,0x360eeeef,0x8006ffff,
    0x881ffff8,0xffffffff,0x6ffffd81,0x27ffffc4,0xffdfff98,0x37ffee1f,
    0x3ee01fff,0xfc800fff,0xfb803fff,0x7dc03fff,0xffd82fff,0xff801fff,
    0x0fffc86f,0x37fffe20,0x99999999,0x26666099,0xbffffc99,0x3ee19999,
    0xaaacffff,0x02aaaaaa,0x3ffff500,0x3ffffea0,0xaaaaaaac,0xfff12aaa,
    0x3fff203f,0x7cc1ffff,0xfc81ffff,0xf981ffff,0x446fffff,0x1fffffff,
    0x01bfffa0,0x237fffd4,0xffffffff,0x7fffffff,0x20bfffee,0x06fffff8,
    0x6c2fffc4,0x3e200fff,0xffffffff,0x23ffffff,0xffffffff,0xffffffff,
    0xffffff57,0xffffffff,0x2a000dff,0xfd01ffff,0xffffffff,0xffffffff,
    0x407fffe2,0xfffffff8,0x2fffff41,0x5fffff88,0xffffff88,0xfffffe84,
    0xffff100f,0x3ffe2009,0x3fffe0ff,0xffffffff,0x3fee7fff,0xfff702ff,
    0x7fc407ff,0x07ffe84f,0x7fffffc4,0xffffffff,0x3ffffe3f,0xffffffff,
    0xfff77fff,0xffffffff,0x00dfffff,0x07fffea0,0x7ffffffc,0xffffffff,
    0xffff17ff,0x7fffec03,0x3ffea1ff,0x3ff201ff,0x7fc42fff,0xfb81ffff,
    0x500fffff,0x4003ffff,0x3e2ffffe,0xffffffff,0x27ffffff,0x202ffffb,
    0x01fffffe,0xff07fff3,0xfff880df,0xffffffff,0x3fe3ffff,0xffffffff,
    0x77ffffff,0xffffffff,0xffffffff,0x3fea000d,0xffff01ff,0xffffffff,
    0x22ffffff,0x2601ffff,0x21ffffff,0x405fffff,0x86fffff8,0x307fffff,
    0x01ffffff,0x001ffff6,0x7cbffff7,0xffffffff,0x27ffffff,0x202ffffb,
    0x06fffff9,0xff07fff5,0xfff880bf,0xffffffff,0x3fe3ffff,0xffffffff,
    0x77ffffff,0xffffffff,0xffffffff,0x3fea000d,0xffff01ff,0xffffffff,
    0x22ffffff,0x7401ffff,0xf71fffff,0x7003ffff,0xf87fffff,0x3a04ffff,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc8800000,0xca802ccc,0x665c0ccc,0x332e02cc,
    0x6664c3cc,0xcccccccc,0x99954ccc,0x664c0059,0x999932cc,0x01357999,
    0x99999930,0x00033579,0x6f7ee544,0x0000001b,0x000001a8,0x4c400a60,
    0x00004c00,0x80880002,0x804ffff8,0x7c0ffffc,0x3e06ffff,0x7d46ffff,
    0xffffffff,0xf37fffff,0x7400ffff,0xff51ffff,0xffffffff,0x7fdc07ff,
    0xffffffff,0x2e000bef,0xffffffff,0x3e2000cf,0xf5000fff,0x0000005f,
    0x36a05ff5,0x10dfffff,0x007dfffb,0x004ffd88,0x883bffa6,0xc804ffff,
    0x7fc0ffff,0xfa80ffff,0x7d47ffff,0xffffffff,0x367fffff,0xa803ffff,
    0x3ea5ffff,0xffffffff,0xb83fffff,0xffffffff,0x00ffffff,0x7fffff44,
    0x1fffffff,0x1ffff100,0x7ffff500,0x7dc00000,0x7fdc2fff,0xbfffffff,
    0x3fffffff,0x3ffff600,0xffff8804,0xffff10ff,0xffff9009,0xffffff81,
    0xfffffc83,0x7ffffd47,0xffffffff,0x3fffe67f,0xffffe807,0x3ffffea1,
    0xffffffff,0x7ffdc2ff,0xffffffff,0x3600efff,0xffffffff,0x006fffff,
    0x001ffff1,0x09fffffd,0xfff90000,0xfffb8dff,0xffffffff,0x1fffffff,
    0xdfffff00,0xfffff900,0x3fffe27f,0xffffc804,0x7fffffc0,0xffffff85,
    0x6ffffd47,0xcccccccc,0x7fffec4c,0x3fffea02,0x6ffffd45,0xfffecbaa,
    0x3fee1fff,0xfdcbacff,0x704fffff,0x139fffff,0x5fffff93,0x1ffff100,
    0xffffb100,0x100001bf,0x1bfffffb,0xb99befb8,0xabffffff,0xf004fffe,
    0xd00dffff,0x29ffffff,0x804ffff8,0x220ffffc,0x0fffffff,0x3fffffe6,
    0x3fffea0f,0xfff30003,0x7fff40df,0x7fffd41f,0xfffff503,0x17fffdcb,
    0x37fffec4,0x02fffff8,0x00dffff7,0x001ffff1,0x77ffffe4,0x3fa20000,
    0x3304ffff,0x13fffea0,0x2e00fffd,0xd802ffff,0x14ffffff,0x9009ffff,
    0x7c41ffff,0x22fffdff,0xfffdfffc,0x0ffffea0,0xffffe800,0x5ffffa82,
    0x03ffffa8,0xb9ffffea,0xf102ffff,0xff10ffff,0xffe80bff,0x7fc401ff,
    0x7dc000ff,0x001fffff,0xffffff98,0x3ffe0002,0x0fffe42f,0x001cc980,
    0x3ffffff5,0x013fffe2,0x983ffff2,0x5fffbfff,0x3ff77ffa,0x3fffea0f,
    0x3fe60003,0xfffe86ff,0xffffa80f,0x7ffffc03,0x05ffff70,0x207ffff4,
    0x403ffffa,0x402ffffc,0x000ffff8,0xffffff98,0x3ffea002,0x40001fff,
    0x7d40ffff,0x000002ff,0x117fffdc,0x9009ffff,0x7cc1ffff,0x37ffdbff,
    0xfffb5fff,0x1ffffd43,0x3fffa000,0x3fffea2f,0x7ffff505,0x1ffffd80,
    0x405ffff7,0x5c0ffffe,0x5402ffff,0xfff3ffff,0xffffffff,0x0fffffff,
    0xfffffe88,0xffffc804,0xe80000ef,0xfffa87ff,0x88000002,0x7ffc40aa,
    0xfffc804f,0x2fffe60f,0xffb9fffb,0x21fffc8f,0x003ffffa,0x2ffffcc0,
    0x201ffffd,0x403ffffa,0xf71ffffd,0x3e205fff,0xffb86fff,0x7fcc03ff,
    0xfffff4ff,0xffffffff,0x100fffff,0x0bfffffb,0x2fffffec,0xeedca800,
    0xeeeeffff,0x9933fffe,0x99999999,0x99999999,0x7ffc4003,0x999999df,
    0x0ffffd99,0x3e2bffea,0x95ffdbff,0x7fd45fff,0x99999cff,0x3a009999,
    0xff99ffff,0x3fea04ff,0x7ffc03ff,0x3fffee7f,0xffffe882,0x6ffff983,
    0xaffffc40,0xffffffff,0xffffffff,0x3ff2007f,0x3a20efff,0x003fffff,
    0xffffffa8,0xffffffff,0xff73ffff,0xffffffff,0xffffffff,0x443ddb87,
    0xffffffff,0xffffffff,0x3ffea0ff,0xfffdffd2,0xa8bfff25,0xffffffff,
    0x03ffffff,0x373fffe6,0x2a00ffff,0x2a03ffff,0x3ee6ffff,0xdbaacfff,
    0x106fffff,0x039fffff,0x2dffff91,0xfccccccc,0xcccccfff,0x7ff4004c,
    0x3ff24fff,0xa8006fff,0xffffffff,0xffffffff,0xfff73fff,0xffffffff,
    0x7fffffff,0x12ffffec,0xffffffff,0xffffffff,0x7ffdc1ff,0xffffff92,
    0xa8bfff21,0xffffffff,0x03ffffff,0x7ffffff4,0x7fd404ff,0xfff303ff,
    0x7ffdc7ff,0xffffffff,0x3f600dff,0xccefffff,0x6ffffffe,0x07fffc40,
    0x3ff62000,0xffc84fff,0x1000efff,0x333bfffd,0x3333dfff,0x3ee13333,
    0xffffffff,0xffffffff,0xfffff53f,0x3fffe27f,0xffffffff,0x20ffffff,
    0xff32fffb,0x7fdcbfff,0x3fffea3f,0xffffffff,0x7fd403ff,0x00ffffff,
    0x4e7fffd4,0xffffca99,0x7fffdc6f,0xcfffffff,0xffff8802,0xffffffff,
    0x4405ffff,0x0000ffff,0x3fffffa6,0x3fffee03,0xffa801ef,0x06ffe86f,
    0x2aaaaa60,0xaaaaaaaa,0xf91aaaaa,0x22bfffff,0xeeefffff,0xfffeeeee,
    0x3ffee0ff,0x8fffffe1,0x3ea3fffb,0xeeeeefff,0x802eeeee,0x4ffffffe,
    0xfffffa80,0xffffffff,0x7ffdc1ff,0xffffffff,0xfff5000c,0xffffffff,
    0x880bffff,0x0000ffff,0x3ffffff5,0xfffff500,0xfffb805f,0x007ffe84,
    0x7e400000,0xf15fffff,0xf9009fff,0x7fe41fff,0x3ffff61f,0xa93ffee0,
    0x0003ffff,0x3ffffea0,0xfffa800f,0xffffffff,0xffb81eff,0xfffdbcff,
    0x2e2005ff,0xdfffffff,0x404ffffc,0x000ffff8,0xefffffb8,0x3ffa6001,
    0x3f203fff,0x7ffc43ff,0x0000002f,0x3ffffea0,0x9ffff13f,0x1ffff900,
    0xf50fffe4,0xfffb8dff,0x0ffffea4,0xfffd0000,0x3fea009f,0xffffffff,
    0x3fee03ff,0x3ffe62ff,0x988002ff,0x3ffee19a,0x7ffc403f,0x7fe4000f,
    0x8000dfff,0x5fffffe8,0xd8bfff70,0x0006ffff,0x4007dd90,0x226ffffd,
    0xc804ffff,0x3f60ffff,0x3ffe21ff,0x527ffd43,0x0007ffff,0x2ffffb80,
    0xdffff500,0x01359bdd,0x42ffffb8,0x006ffffb,0x7fffec00,0x7fffc401,
    0xfffd1000,0xb00009ff,0x81dfffff,0xd9affffa,0x9dffffff,0x9005da98,
    0x4007ffff,0x7fc43ddb,0xffc804ff,0x3fff60ff,0x2a055540,0x3fea5fff,
    0x400003ff,0x002ffffb,0x007ffff5,0x17fffdc0,0x01fffff4,0xffff8800,
    0xcccc8806,0xfffe9800,0x200003ff,0x1efffffb,0x3fffffe2,0xffffcfff,
    0x005fffff,0x00dfffff,0x3fffe200,0xffffc804,0x003fff60,0x2a5fffa8,
    0x0003ffff,0x17fffdc0,0x3ffffa80,0x3ffee000,0xffffb82f,0xff900006,
    0x000007ff,0x17fffff4,0x7fd40000,0x7fe46fff,0xfb2fffff,0xbfffffff,
    0x3ffffe00,0xff100006,0xff9009ff,0x7fff41ff,0x3ffea000,0x0ffffea6,
    0xfff70000,0x3fea005f,0x2e0003ff,0xf882ffff,0x0002ffff,0x3fffff22,
    0x22000000,0x0001ffff,0x3fffe600,0xeffffb80,0x7ffffe42,0xff9003ef,
    0x200007ff,0x804ffff8,0x3a0ffffc,0x26000fff,0x3fea6fff,0x400003ff,
    0x002ffffb,0x007ffff5,0x17fffdc0,0x06ffffc8,0xff953310,0xea85ffff,
    0xeeeeeeee,0x2eeeeeee,0x000077c4,0x007f4400,0x54401531,0xb80009aa,
    0x200002de,0x804ffff8,0x3e0ffffc,0x7cc007ff,0x3ffea6ff,0xffffffff,
    0xf7007fff,0x2a005fff,0x0003ffff,0x40bfffee,0x02fffff8,0xffffffff,
    0x507fffff,0xffffffff,0xffffffff,0x00000105,0x00000100,0x00000000,
    0x13fffe20,0x83ffff20,0x4c007fff,0x3fea7fff,0xffffffff,0x7007ffff,
    0x2005ffff,0x003ffffa,0x0bfffee0,0x06ffffd8,0xffffffff,0x2a07ffff,
    0xffffffff,0xffffffff,0x00000002,0x00000000,0x40000000,0x804ffff8,
    0x3e0ffffc,0x7cc007ff,0x3ffea7ff,0xffffffff,0xf7007fff,0x2a005fff,
    0x0003ffff,0x80bfffee,0x81fffff9,0xffffffff,0x3ea00cff,0xffffffff,
    0x2fffffff,0x00000000,0x00000000,0x44000000,0xc804ffff,0xff10ffff,
    0xff8800ff,0x3fffea7f,0xffffffff,0xff7007ff,0x3ea005ff,0x20003fff,
    0x402ffffb,0xf85ffffe,0xacdeffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccc0002,0x4cc40000,0x0c400009,
    0x00310000,0x00198800,0xe9803300,0x3aa02eee,0x01801eee,0x00000062,
    0x1bdddd70,0x4eeeeb80,0x77777764,0xeeeeeeee,0x3bb6e205,0x64c001cd,
    0xdeffffed,0x7ffedcc2,0x802effff,0xfffffec8,0xb7002eff,0x05bdfffd,
    0x7ffee440,0x3aa02def,0x3ff6a5ee,0xee981dff,0x3fff665e,0xfffa82ef,
    0x3ffee03f,0x2a9ddb1f,0x3f20cfff,0xba800dff,0x802bdffd,0x05fffff8,
    0x03ffffe6,0xfffffffd,0xffffffff,0x3ffffea0,0xc800cfff,0xffffffff,
    0x3ffea4ff,0xffffffff,0xfff901ff,0xffffffff,0xfffd8809,0x04ffffff,
    0xffffffa8,0xb80dffff,0xfff96fff,0x985fffff,0xfff76fff,0xa87fffff,
    0x2e03ffff,0xffd1ffff,0xbfffff3b,0x1bfffff2,0xfffffd88,0x4c00dfff,
    0xd02fffff,0xfd05ffff,0xffffffff,0x70ffffff,0xffffffff,0x7f4c0bff,
    0xffffffff,0x3ffea4ff,0xffffffff,0x7fe40fff,0xffffffff,0x3fe604ff,
    0xffffffff,0x3ff606ff,0xffffffff,0x7fdc1fff,0xfffffbff,0x260fffff,
    0xfffbffff,0x1fffffff,0x80ffffea,0xfd1ffffb,0xfffffdbf,0xffffff5f,
    0xffff503f,0xffffd99d,0xffffc805,0x7fffdc0f,0xfffffd05,0xffffffff,
    0xffff88df,0xfffffcbd,0xfffff882,0xffffffff,0x333bfea4,0xffffdaaa,
    0x3fffea4f,0xdbaa9bdf,0x3fffa04f,0xfffbacff,0xfffb83ff,0xffffffff,
    0x7fdc5fff,0xefffffff,0x263fffff,0xffffffff,0x5fffffff,0x80ffffea,
    0xfd1ffffb,0xffdbffff,0xffd9ffff,0x4fff989f,0x00bfff20,0x4cbffffd,
    0x100fffff,0x33333333,0x83fffffb,0xfc84fffc,0xfffd85ff,0x2a609dff,
    0x3007264d,0x7ecdffff,0x00804fff,0x107ffff7,0x441ffffd,0x21dfffff,
    0x2fffffc8,0x3fffffee,0x3fffea2e,0x3ffffe67,0xfff50bff,0x7fffd4ff,
    0x3fffee03,0x29ffffd1,0x72fffff9,0x7f44bfff,0xeffffc9f,0x401dff33,
    0xd3fffff8,0x0005ffff,0x17ffffd4,0x5407ffec,0x7fd46fff,0x00003fff,
    0x43ffff60,0x001ffffe,0x0dffff10,0xb1ffffd4,0x6409ffff,0x3ee6ffff,
    0xe80fffff,0x3fe67fff,0xfe81ffff,0xfff50fff,0x7ffdc07f,0x1ffffd1f,
    0xf537fffc,0x9ffe4dff,0x4ffffffc,0xfb809ff7,0xfffdffff,0x3e20004f,
    0xff04ffff,0x3fffc0ff,0x017ffff6,0xfff90000,0x3ffffa3f,0xffa8000d,
    0x7ffc03ff,0x3ffffe4f,0x3fffe200,0xfffff70f,0x3ffff203,0x5fffff30,
    0x47ffff20,0x203ffffa,0xfd1ffffb,0xffff89ff,0xf9bffe62,0x7cdbf26f,
    0x201ff66f,0xfffffffd,0x7f40006f,0x3fe06fff,0x1fffe07f,0x001ffffd,
    0xf9331000,0x3ff23fff,0x001cffff,0x267fffee,0xff999999,0xffff16ff,
    0xffff900b,0x0ffffee3,0x30eeeeb8,0x5c09ffff,0xff52ffff,0x7fdc07ff,
    0x3fffd1ff,0x7cc7fff8,0x47ff36ff,0xb9bf66fc,0x7fc401ff,0x01ffffff,
    0x3ffff200,0x3fffa00f,0x25fffa81,0x007ffff8,0xffeec980,0x1fffffff,
    0xfffffff1,0xfd8039ff,0xffffffff,0x7fffffff,0x007ffff5,0x2e5ffff7,
    0x0002ffff,0x407ffff3,0xf52ffffb,0x7dc07fff,0xfffd1fff,0x4c7fff83,
    0x3ff76fff,0x7fe57fe4,0x200ffe64,0x4ffffff9,0x3ffee000,0x7fec01ff,
    0x4fffd84f,0x01bfffe6,0xffffd980,0xffffffff,0x3fffea1f,0x2effffff,
    0xffffffd0,0xffffffff,0x3ffeefff,0xfffb802f,0x5ffff73f,0x3ffe6000,
    0x3ffee03f,0x7ffff52f,0x8ffffdc0,0x7fc1fffe,0xb7ffcc7f,0x3ff20ffc,
    0x7fc42eff,0xffff9804,0xf30004ff,0x5007ffff,0xf77dffff,0x7d41ffff,
    0x30005fff,0xffffffff,0x3fffffff,0xfffffd88,0xf84fffff,0xffffffff,
    0xffffffff,0x05ffff77,0x27ffff50,0x002ffffb,0x07ffff30,0xa97fffdc,
    0x2e03ffff,0xffd1ffff,0x47fff83f,0xff76fff9,0x7fe7fe43,0x201ffcc2,
    0xfffffff8,0x7f44001f,0x36005fff,0xffffffff,0x7ffcc3ff,0xff88007f,
    0x99abffff,0x01ffffc9,0xfffffd71,0xffe85fff,0x999999ef,0x50999999,
    0x7007ffff,0x3ee5ffff,0x30002fff,0x5c07ffff,0xff52ffff,0x7fdc07ff,
    0x3fffd1ff,0x7cc7fff8,0x45ff36ff,0x41ff96fc,0x7ec01ffa,0xffffffff,
    0x3fff6000,0x362000ef,0xffffffff,0x1fffff02,0xffffb800,0x3fffee05,
    0xffeb8801,0x7fec6fff,0x3e60007f,0xfc804fff,0xfff70fff,0x3e60005f,
    0x3ee03fff,0xfff32fff,0x3ffe607f,0x3fffd1ff,0x7cc7fff8,0x49ff16ff,
    0x49ff16fc,0x3ee00ffc,0xfffeefff,0xfff9005f,0x2a0003ff,0x00cdffed,
    0x013ffffa,0x03ffffb0,0x00ffffdc,0x1fffff20,0x003ffff7,0x1ffffe20,
    0x4fffff10,0x002ffffb,0x07ffff30,0x997fffdc,0xe885ffff,0xfd1fffff,
    0x7fff83ff,0xfd37ffcc,0xfd9bf23f,0x206ff98f,0x98fffff9,0x403fffff,
    0x03fffffa,0xfd800000,0x2002ffff,0x301ffffe,0x003fffff,0x47ffff98,
    0x006ffffa,0x0fffffe0,0x25ffffb8,0x002ffffb,0x07ffff30,0xf17fffdc,
    0x7543ffff,0xd1ffffff,0xfff83fff,0x337ffcc7,0x47951dff,0x1ffeacc9,
    0x7ffffd10,0x0fffffe4,0xefffff88,0x99999999,0xf8800001,0x80cfffff,
    0xffffb4b9,0xfffff509,0x32006e3f,0xfe85ffff,0x1800dfff,0x1fffffdc,
    0x0fffffdc,0x005ffff7,0x0ffffe60,0x22ffffb8,0xeefffffe,0xffffffff,
    0xf83fffd1,0x7ffcc7ff,0x0177fdc6,0x6c07ffd3,0xfe85ffff,0xffd06fff,
    0xffffffff,0x641fffff,0xeeeeeeee,0xfb84eeee,0xefffffff,0xff75fffe,
    0xfd77bfff,0x23ffffff,0x99aaceff,0x3fffffdb,0xffffff98,0xfdcbaabc,
    0xfffffe87,0xfffffddf,0x7fffdc4f,0xfff30002,0x7ffdc07f,0x3fffea2f,
    0xfcffffff,0xfffd1fff,0x4c7fff83,0xffd86fff,0xfdbaabdf,0x3fee05ff,
    0xff980fff,0xfff84fff,0xffffffff,0x360fffff,0xffffffff,0xfd05ffff,
    0xffffffff,0x3fe2bfff,0xffffffff,0xf1ffffef,0xffffffff,0x01dfffff,
    0x3ffffff6,0x7fffffff,0xffffffa8,0xefffffff,0x17fffdc0,0xffff9800,
    0x3fffee03,0x7ffffec2,0xfffd4fff,0xf07fffa3,0xfff98fff,0xfffff506,
    0x405fffff,0x03fffff9,0x0bffffee,0xffffffff,0xffffffff,0x7ffffec1,
    0x5fffffff,0x3ffffee0,0x25ffffff,0xfffffffa,0xfffe8dff,0xfffffff1,
    0x1dffffff,0xfffffb80,0x7fffffff,0xfffffd30,0x209fffff,0x002ffffb,
    0x07ffff30,0x417fffdc,0x2efffffb,0x7f47fffa,0x3fffc1ff,0x881bffe6,
    0xceffffec,0x3fffa200,0xfffe805f,0x3fffe0ff,0xffffffff,0x2a60ffff,
    0xaaaaaaaa,0x6c401aaa,0xeffffffe,0x7fff4c1c,0x3ffa2eff,0xfffffb1f,
    0x05bfffff,0x7fffec40,0x03efffff,0x7fffff64,0x3fee01df,0xf30002ff,
    0x7dc07fff,0x2a602fff,0x3ffa001a,0x23fffc1f,0x2006fff9,0x00000019,
    0x00000000,0x2a600000,0xaa880099,0xa988000a,0x0009aaaa,0x4d554c40,
    0xaa988000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33330000,0x776dc400,0xe980bdef,0x2e005eee,
    0xdd92eeee,0xdd70009d,0x0400109d,0x01333200,0x024c0130,0x003002a0,
    0x7ee54000,0xb8800bee,0x4c004eee,0x00000000,0x00007999,0x007fffe2,
    0x7fffffec,0xfff82fff,0xfff001ff,0x3fff21ff,0xfffc8006,0x4400fe44,
    0x3ffe005e,0x0bfb3007,0x2005ffb3,0xfc80cff9,0x7ff6dc1d,0x3ea02def,
    0xffffffff,0xffff9102,0x3fea00df,0x7f64c04f,0xb8002cef,0x0002ffff,
    0x01ffff88,0xffffffb0,0xfc81ffff,0xfa804fff,0x3fee4fff,0xffd8007f,
    0x07fff23f,0x005ffe88,0xf300dffd,0xffd87fff,0xffe800ff,0x7fffd46f,
    0x3fffffe1,0x7cc0efff,0xffffffff,0x3ff221ff,0x806fffff,0x85fffff8,
    0xffffffc8,0xf1000dff,0x000dffff,0x03ffff10,0xfb106f20,0xfff985ff,
    0xfffd807f,0x3fffea1f,0x7fff4000,0x3fffff72,0x7ffffd10,0x2ffec3d8,
    0x3fff216e,0x3fffe20f,0x7fffdc05,0x13fffe20,0xffffffff,0xfff90bff,
    0x9fffffdd,0x7fffffcc,0xffb806ff,0x7ec0ffff,0xffffffff,0xfffb006f,
    0x80007fff,0x001ffff8,0x83fff980,0x202ffffe,0x4c6ffff8,0x4001ffff,
    0xfd11ffff,0x7443ffff,0x7cc4ffff,0x29ff90df,0xfe81ffd8,0x7ffd45ff,
    0xffff302f,0x86fffd87,0xffbaabce,0x42d80fff,0x6c5ffffa,0x6fffedff,
    0xfffffb80,0x3fffea3f,0xfffffcbd,0x5fffd403,0x0000fffe,0x007fffe2,
    0x3eea6620,0xfffb84ff,0x3ffee05f,0x7fffc43f,0x7c155542,0x7ff447ff,
    0xffe89fff,0xfffe84ff,0xe9cffc9e,0xff986fff,0x7ffec3ff,0x8bfffd06,
    0x001ffffa,0x801ffff2,0x544ffff9,0x0dfffb1c,0xffffff10,0x41ffff49,
    0x7406fffc,0xbfff56ff,0x7ffc4000,0x3f6a001f,0x4fffffff,0x0fffff88,
    0x01ffffd0,0xff87ffff,0x3ffe20ff,0xffffe887,0x84ffffef,0xefffffd8,
    0xfffffeff,0xffffb80d,0x13fffe20,0x441ffff7,0x4003ffff,0x2005fffe,
    0x402ffffd,0x5006fffd,0x7c9fffff,0xfff307ff,0x17ffdc0f,0x0005fffb,
    0x007fffe2,0x7fffffe4,0xf904ffff,0xff107fff,0x3ffa0bff,0x3fffea4f,
    0x417ffe63,0xffffffe8,0x7e4404ff,0xffffffff,0x7fec00cf,0x7fffd46f,
    0x87ffff11,0x4c06fffd,0xeffffdcc,0xffffb001,0xdfffb00d,0x7fffe400,
    0x40dfff33,0xf881fffe,0x7ffcc5ff,0x9999300e,0xbffffb99,0x23999999,
    0x261efffa,0xff304fff,0xfff70dff,0x3fff205f,0x9bffff65,0x2204fffa,
    0x4ffffffe,0x3fff2200,0x5000cfff,0x7c43ffff,0xfff94fff,0x2ffff98f,
    0x7ffffd40,0xffb000ef,0xfb001dff,0x7d400dff,0xfff31fff,0x07fffc0f,
    0x640fffe4,0xff704fff,0xffffffff,0xffffffff,0x30bfff27,0x7f409fff,
    0x7ff40fff,0x3ffee07f,0x3fffffe6,0x807fff71,0x1ffffff9,0x3fffaa00,
    0x8802efff,0x7e44ffff,0xfff10eff,0xefffc89f,0x3fffea00,0x100cffff,
    0x01dffffd,0x01bfff60,0x7c7fffb8,0xffa81fff,0x5fff987f,0x03ffff10,
    0xfffffff7,0xffffffff,0x3ff27fff,0x3fffee4f,0x3fffee04,0x13fffe63,
    0xf57fffa8,0x329fffff,0x3a202fff,0x1fffffff,0x3fffee20,0xffffffff,
    0xdfffb00b,0x42ffffa8,0x221ffffa,0x2204fffe,0xfffebaaa,0xfffe885f,
    0x7fec005f,0xfff3006f,0xdfffe85f,0x17fffa61,0xb803fffa,0xffb86fff,
    0xffffffff,0xffffffff,0xffffff53,0x409fffff,0x326ffff8,0x2600ffff,
    0xffd8ffff,0xffb6ffff,0x3ffa203f,0x1fffffff,0xefffff88,0xfffedffd,
    0x7ffdc0ff,0x3fffa21f,0x8dfffb05,0x002ffffa,0x307ffff4,0x007fffff,
    0x20dfffb0,0xffffdba8,0xfffff984,0x0fffffee,0x4027ffdc,0x54c2fffe,
    0xffbaaaaa,0xaaaaabff,0x3ffffa1a,0x04ffedff,0xf8ffffe4,0x7c405fff,
    0xcfff9fff,0xffe9fffd,0xfffe880f,0xfffffecf,0x8dfffd81,0xffd8cffc,
    0x7fffc45f,0x07fffe43,0x44ffff88,0x000ffffc,0x443ffffa,0xffffffff,
    0x3ba2ffff,0xefffffee,0xffffd1ee,0x7fe409ff,0xffffffff,0x07fffc43,
    0x07fffd40,0x1ffff880,0x33bfae00,0x98059952,0xffacffff,0xfff802ff,
    0xfbafffcf,0x87fffcff,0x14ffffe8,0x83fffffd,0x3ff62ff8,0xfd03fea5,
    0xfffa8dff,0x7ffdc02f,0x3fffa21f,0x2aaaf265,0x26ffffdb,0xfffffff9,
    0x3e2fffff,0xffffffff,0xfffd2fff,0xff5003bf,0x03dfffff,0x20000000,
    0x001ffff8,0xffd00000,0x0ffffbdf,0x3fffffa0,0xffff88ff,0x7f446fff,
    0x7f444fff,0x0541ffff,0x85117ff6,0x740fffe8,0xfd005fff,0xfff98dff,
    0xfffff51f,0x45ffffff,0xfffffff9,0x3e2fffff,0xffffffff,0x579b2fff,
    0xcba88001,0x000001bc,0x7ffc4000,0x0000001f,0xffffff70,0x3f2009ff,
    0x3a5fffff,0x45ffffff,0x104ffffa,0x003ffffd,0x5400dffd,0x01fd503f,
    0x640ffe60,0x7fffd43f,0x41efffff,0xccccccc8,0x321ccccc,0xcccccccc,
    0x00001ccc,0x00000000,0x7fffc400,0xeeeec801,0xeeeeeeee,0x7fffc404,
    0x7001ffff,0x45ffffff,0x4ffffffb,0x4404ffb8,0xff001ffe,0x300000ff,
    0x30001800,0x9ddffffd,0x00000003,0x00000000,0x00000000,0x007fffe2,
    0x3ffffff6,0x05ffffff,0xffffffd8,0x3ffea006,0x3fe20fff,0x9702ffff,
    0x80076200,0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03ffff10,0xffffffb0,0x0bffffff,0xffffff30,0x7ffcc007,0xfffe85ff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007fffe2,0x2aaaaaa6,0x01aaaaaa,0x1fffffd0,0x7fffc400,0xffffb83f,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55100000,0x55555555,0x21555555,0x2a2cccca,0x3322cccc,
    0xcccccccc,0x1ccccccc,0x00000440,0x7541775c,0xccccb83e,0x5400002c,
    0x403ccccc,0xfffffffb,0x37763fff,0xdddddddd,0x37777765,0xdddddddd,
    0x5ddddddd,0x00000000,0x00000000,0x3fffffea,0xffffffff,0xffff72ff,
    0x1ffffdc7,0xffffffff,0xffffffff,0xfffb105f,0x2a00007f,0x3e61ffff,
    0xffd82fff,0x00002fff,0x09fffff5,0xffffff70,0x7fc7ffff,0xffffffff,
    0x3ffffe7f,0xffffffff,0xffffffff,0x00000007,0x00000000,0x3ffffea0,
    0xffffffff,0xfff52fff,0x7fffd45f,0x3fffffe2,0xffffffff,0x7fcc2fff,
    0x00efffff,0x7ec0dddb,0x3fee3fff,0xfff705ff,0xa80005ff,0x002fffff,
    0xfffffff7,0x7ffc7fff,0xffffffff,0x3fffffe7,0xffffffff,0x7fffffff,
    0x00000000,0x00000000,0x3fffffea,0xffffffff,0xffff52ff,0x17fffd45,
    0xffffffff,0xffffffff,0xfffff85f,0x441fffff,0x3f207fff,0x3fee2fff,
    0x3fa604ff,0x50002fff,0x001dffff,0x55555544,0x3fe0aaaa,0xffffffff,
    0x3ffffe7f,0xffffffff,0xffffffff,0x00000007,0x00000000,0x2aaaaa20,
    0xaaaaaaaa,0xfff30aaa,0x7fffcc3f,0x26666661,0xe9999999,0x3fea2fff,
    0xffffffff,0x1bffea1f,0xe86ffe88,0xfd800eff,0x54002fff,0x0004ffff,
    0x2eeee000,0x3bbbbbbb,0x00000000,0x00000000,0x00000000,0xffff3000,
    0x0ffffcc3,0x3fffa000,0x233fff62,0xcfffffd8,0x404ffffb,0x00aa02a8,
    0x01999950,0x0b333220,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe20000,0x3ffe20ff,0x7f40000f,0x3fffa2ff,0x7ffffe41,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x220ffff8,0x0000ffff,0xff17fff4,0xfff901ff,0x009fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdddd5000,0xdddddddd,
    0x7fc5dddd,0x07fff87f,0x2fffe800,0xfb80aaaa,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff5000,0xffffffff,
    0x7fc5ffff,0x07fff87f,0x1eeed800,0x79971000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xffffffff,0xffffffff,
    0x26066662,0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffea00,0xffffffff,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_40_latin1_x[224]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
7,1,1,2,2,2,0,3,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,2,4,4,0,2,1,7,8,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_40_latin1_y[224]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,21,16,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,9,9,9,9,9,9,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,29,8,-1,3,3,3,
-3,1,1,3,3,10,16,16,0,2,0,4,1,0,1,9,1,14,29,1,3,10,1,1,1,8,-4,-4,-4,-5,
-5,-6,3,3,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,9,-1,-4,-4,-4,-5,-4,3,1,1,1,
1,1,1,-2,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_40_latin1_w[224]={ 0,8,14,22,20,22,23,6,13,13,18,20,11,14,
8,19,20,18,18,18,22,17,20,18,19,19,8,11,18,18,17,14,22,22,19,19,20,16,16,21,20,18,15,20,
17,22,20,22,19,23,20,19,20,20,22,22,22,22,18,12,19,11,20,22,14,18,19,17,19,19,21,20,18,18,
16,20,18,20,18,20,19,19,18,17,19,18,22,22,22,22,18,16,6,16,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,8,17,20,22,22,
6,20,18,22,14,18,19,14,20,17,16,18,14,14,21,20,20,8,6,14,16,18,22,22,22,14,22,22,22,22,
22,22,23,19,19,20,19,19,20,20,20,20,21,21,22,22,22,22,22,18,22,21,21,21,21,22,19,19,20,21,
20,20,20,20,22,17,20,21,20,20,20,21,20,20,20,20,21,21,21,21,21,20,20,20,21,20,20,22,19,22,
 };
static unsigned short stb__consolas_bold_40_latin1_h[224]={ 0,29,11,26,35,29,29,11,39,39,18,20,15,5,
9,33,27,26,26,27,26,27,27,26,27,26,22,28,23,13,23,29,38,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,37,33,37,13,5,9,22,29,22,29,22,28,30,28,29,
38,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,37,41,37,10,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,26,26,26,
41,33,9,27,20,17,10,5,21,8,15,25,16,17,9,28,33,8,6,16,20,17,28,28,28,29,33,33,33,34,
34,35,26,32,33,33,33,34,33,33,33,34,26,34,34,34,34,35,35,19,35,34,34,34,35,33,26,29,29,29,
29,29,29,32,22,27,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,22,30,29,29,29,29,37,36,37,
 };
static unsigned short stb__consolas_bold_40_latin1_s[224]={ 249,65,20,64,92,43,120,249,15,29,102,
1,204,152,246,224,199,105,124,141,143,102,160,155,66,126,241,175,183,1,165,
139,60,1,218,46,134,45,238,24,1,24,86,43,87,22,185,1,85,136,105,
210,174,120,195,229,206,62,166,106,105,176,233,167,97,19,79,1,1,56,188,
228,169,191,43,22,150,154,116,76,144,87,97,38,130,135,37,60,196,42,219,
119,8,159,55,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,249,244,208,
220,66,21,1,125,78,230,22,140,35,152,175,134,216,146,174,159,112,154,1,
246,249,189,238,121,107,208,231,64,132,178,155,205,113,226,89,208,22,146,167,
112,42,63,84,46,44,183,1,160,67,1,24,83,47,228,24,90,70,201,1,
107,127,231,1,22,43,187,202,181,96,230,170,99,43,85,64,187,22,1,164,
117,186,148,208,225,1,21,74,210,66,83,188,136, };
static unsigned short stb__consolas_bold_40_latin1_t[224]={ 20,209,421,323,43,148,178,1,1,1,400,
400,400,421,350,79,268,323,323,268,323,268,268,296,268,350,268,209,350,421,350,
209,1,323,296,268,296,350,296,268,350,323,268,323,323,350,323,268,350,43,350,
239,296,268,296,323,323,350,323,1,114,1,400,421,421,377,178,377,209,377,239,
114,239,148,1,239,239,377,377,377,178,148,377,377,239,377,400,400,377,209,377,
1,1,1,421,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,
296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,296,20,79,1,
268,296,296,1,114,421,239,400,400,421,421,377,421,400,350,400,400,421,209,114,
360,13,400,377,400,239,209,209,178,79,79,79,43,43,1,296,114,114,114,114,
79,114,114,114,79,296,43,79,43,79,43,43,400,43,43,79,79,43,79,296,
148,148,148,179,178,178,114,350,268,209,178,148,178,239,239,239,209,148,239,178,
209,178,148,178,350,148,209,209,148,148,1,1,1, };
static unsigned short stb__consolas_bold_40_latin1_a[224]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_40_latin1(stb_fontchar font[STB_FONT_consolas_bold_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_40_latin1_s[i] + stb__consolas_bold_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_40_latin1_t[i] + stb__consolas_bold_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_40_latin1_x[i];
            font[i].y0 = stb__consolas_bold_40_latin1_y[i];
            font[i].x1 = stb__consolas_bold_40_latin1_x[i] + stb__consolas_bold_40_latin1_w[i];
            font[i].y1 = stb__consolas_bold_40_latin1_y[i] + stb__consolas_bold_40_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_40_latin1_s[i] + stb__consolas_bold_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_40_latin1_t[i] + stb__consolas_bold_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_40_latin1_x[i] + stb__consolas_bold_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_40_latin1_y[i] + stb__consolas_bold_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_40_latin1_LINE_SPACING
#endif

