// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT        539
#define STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_45_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_45_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_45_latin1_LINE_SPACING          30

static unsigned int stb__consolas_bold_45_latin1_pixels[]={
    0x22dffff1,0x1446ffff,0x01500000,0xa8806a20,0xda800002,0x000000de,
    0x00000000,0x00000000,0x0000dd44,0x00000000,0x13330000,0x3fffe200,
    0x4dffff16,0x00003fe8,0x5400efb8,0xfe985fff,0x700000ef,0x261fffff,
    0xffffffff,0x40001fff,0xeffffff9,0x677ffcc0,0xfff98003,0xffffffff,
    0x3ff62002,0x003dffff,0xffd97100,0x0bffffef,0xf3000000,0x3e2009ff,
    0xfff16fff,0x3fffa2df,0x3ee00003,0x3fe00eff,0x7fec3fff,0xf00005ff,
    0x269fffff,0xffffffff,0x20001fff,0x4ffffff9,0xffffff30,0x7fcc005d,
    0xffffffff,0xfff7002f,0xbfffffff,0xfffb8000,0xffff7fff,0x0000005f,
    0x003fffa8,0x22dffff1,0xffb6ffff,0x00007fff,0x09fffff7,0x17ffffe2,
    0x00dfffff,0xfffff100,0x3fffe6bf,0x1fffffff,0xffff1000,0x7fcc05ff,
    0x04ffffff,0xffffff30,0x805fffff,0xffffffd8,0x05ffffff,0xfffffd00,
    0x3fffefff,0x0000002f,0x8017ffdc,0xf16ffff8,0x3fa2dfff,0x0003ffff,
    0x17ffffee,0x89fffff0,0x005ffffe,0xffffff00,0x3ffffe69,0x01ffffff,
    0xfffff880,0x7ffcc00e,0x01ffffff,0xffffff98,0x402fffff,0xbdfffffd,
    0x5fffffdb,0x7fffdc00,0xfff7ffff,0x000005ff,0x01fffd80,0x2dffff10,
    0x226ffff8,0x01fffffe,0xfffff980,0xffffb805,0x0ffffd40,0xfffb8000,
    0xffff31ff,0x0333333b,0xfffff100,0xfc988009,0x3006ffff,0xffb33333,
    0x7fdc05ff,0xffb00eff,0x3e2003ff,0x09bfffff,0x00bffffe,0x32a60000,
    0x009bfffe,0x8b7fffc4,0x7c46ffff,0x8006ffff,0x005ffffe,0x5cc02f26,
    0x5c00000b,0x3fe61efe,0x100004ff,0x005ddddb,0xfffff980,0x3ff20000,
    0xfff302ff,0x7f4401df,0xff7004ff,0x3fe01fff,0x00002fff,0xfffffb30,
    0x5fffffff,0x5bfffe20,0x986ffff8,0x004fffff,0x03bffff2,0x00000000,
    0x7ffcc000,0x0000004f,0xfffc8000,0x3f20001f,0xffd02fff,0xff3001ff,
    0xff9001ff,0x7ffc05ff,0x400002ff,0xffffffc8,0xffffffff,0xdffff103,
    0x41bfffe2,0x01fffffc,0x2fffffa8,0x00000000,0x3fe60000,0x000004ff,
    0xffa80000,0x320003ff,0xfa82ffff,0x3a002fff,0xfd803fff,0x3fe00fff,
    0x00002fff,0x3fffffa2,0xffffffff,0xfff103ff,0x3fffe2df,0x3ffffa06,
    0xfffff806,0x2aaaa205,0x554c001a,0x2aa60aaa,0xaaaaaaaa,0xf30aaaaa,
    0x51009fff,0x80035555,0x00aaaaa9,0x027fffcc,0x5ffff900,0x00bfffd0,
    0x806fffc8,0x7c07fffe,0x5cc2ffff,0xfb001bdd,0xffffffff,0x7fffffff,
    0x5bfffe20,0x206ffff8,0x02fffffa,0x03ffffea,0x5fffff88,0x7fffec00,
    0x7ffffe47,0xffffffff,0xffff32ff,0xffff1009,0xffd800bf,0xff8807ff,
    0x320004ff,0x7cc2ffff,0x54001fff,0xfe807fff,0x7ffc07ff,0xffff51ff,
    0x5401dfff,0x8befffff,0xb731fffc,0x3fffe207,0x0dffff16,0x05ffffd8,
    0x00fffffa,0x03fffff6,0x7ffffc40,0x7ffffe44,0xffffffff,0xffff32ff,
    0x3fff6009,0xff1000ff,0xf1009fff,0x40009fff,0x6c2ffffc,0x6dcc6fff,
    0xf8ddbace,0xffe807ff,0x7fffc07f,0xfffffb9f,0x901fffff,0x6c3fffff,
    0x22000fff,0xff16ffff,0xff980dff,0xff980fff,0xfa800fff,0x7003ffff,
    0xc83fffff,0xffffffff,0x2fffffff,0x009ffff3,0x0fffffea,0x7ffffdc0,
    0xffff8801,0x3ff20004,0x3ffe22ff,0x3fffee3f,0xfff5ffff,0xfffe801f,
    0x7ffffc07,0xfffffffd,0xd80fffff,0x7f46ffff,0x7fc4007f,0xffff16ff,
    0xfffff00d,0xbffff907,0x7ffffc00,0xffffd006,0xddddd70d,0xfffddddd,
    0x3ffe65ff,0x3ffe004f,0xffd006ff,0x3e200dff,0x20004fff,0x2a2ffffc,
    0xff70ffff,0x9fffffff,0xd007fffe,0xff80ffff,0xffffffff,0xfffffffe,
    0x7fffff83,0x20037ffc,0xf16ffff8,0xf900dfff,0xfff0dfff,0x7e4005ff,
    0x4c01ffff,0x002fffff,0x97ffffc0,0x004ffff9,0x07fffff2,0x5fffff30,
    0x3fffe200,0x3ff20005,0x3ffee2ff,0xffffff15,0x3fa9ffff,0x7ffc02ff,
    0x7fffc06f,0x2e1dffff,0xd87fffff,0xf14fffff,0xf8800bff,0xfff16fff,
    0xfff300df,0x7ffcc3ff,0x7fc4007f,0x7e404fff,0x80007fff,0xf32fffff,
    0x44009fff,0x404fffff,0x007ffffc,0x0037fffc,0x45ffff90,0xff94fffd,
    0xffff39ff,0x80bfffa7,0x405ffff8,0x3fffffff,0x7fffff70,0xffffffb8,
    0x004fffbe,0x8b7fffc4,0xf006ffff,0x7d45ffff,0xd8005fff,0x7407ffff,
    0x0004ffff,0x32fffff8,0x8009ffff,0x407ffffd,0x004ffffe,0x00fffff4,
    0x2ffffc80,0x7f4bfffe,0xffff15ff,0x80ffff65,0x404ffffb,0x04ffffff,
    0x13ffffe2,0xfffffff3,0x8007ffff,0xf16ffff8,0x3600dfff,0x3ee3ffff,
    0xa8004fff,0x302fffff,0x003fffff,0x5fffff00,0x013fffe6,0x5fffff50,
    0x3ffffe60,0x7ffdc001,0xfc8001ef,0xfff32fff,0x5ffff11f,0x6c7fffe6,
    0xff503fff,0xff803fff,0xfd805fff,0xffb85fff,0xffffffff,0xff1000be,
    0x4ccccdff,0xffffb000,0x1ffffe47,0xfffff800,0xdffff905,0x3ffe0000,
    0xffff32ff,0xffff0009,0x3fff20bf,0xff88006f,0x1cdeffff,0x2ffffc80,
    0x3eaffff5,0xfff30fff,0x4bfffa3f,0xffffeeca,0xffff806f,0xfffc802f,
    0xffff906f,0xffffffff,0xfff88019,0xfc80006f,0x3ff64fff,0xf90002ff,
    0xff01ffff,0x00007fff,0x4cbffffe,0x8004ffff,0x80fffffc,0x003fffff,
    0xfffffd10,0xff9005ff,0x3ffee5ff,0x54ffff76,0xffd0ffff,0x3ffff25f,
    0xff004fff,0xf9005fff,0x7d40ffff,0xffffffff,0x2203ffff,0x0006ffff,
    0x25ffffb8,0x002ffffe,0x7fffff30,0x0fffffa8,0xffff0000,0x3fffe65f,
    0xfff98004,0x7ffd43ff,0x5c0000ff,0x02ffffff,0x72ffffc8,0x3ff2bfff,
    0x9fffee5f,0xff91fffe,0x4005dfff,0x802fffff,0x00fffffb,0x7fffff5c,
    0x04ffffff,0x00dffff1,0xbffff500,0x00fffffc,0xdffffd00,0x04ffffd8,
    0x3fffe000,0x9ffff32f,0x3fffa000,0x7fffec6f,0x3fe60004,0x02ffffff,
    0x92ffffc8,0x3ff6bfff,0x9bffee5f,0xff91ffff,0x01dfffff,0x05fffff0,
    0x0fffff90,0x7ffffd40,0x83ffffff,0x006ffff8,0x5ffffb80,0x00bffffa,
    0xfffffa80,0x3fffff10,0x7ffc0000,0xffff32ff,0x3fea0009,0xfff10fff,
    0x260003ff,0xccffffff,0xfffc800a,0x29fff92f,0x3f25fffd,0xffff16ff,
    0x3ff72a61,0xff806fff,0xfd802fff,0x2a006fff,0xffffefff,0xff887fff,
    0xc80006ff,0x3f64ffff,0x40003fff,0xf73fffff,0x0000dfff,0x32fffff8,
    0x0009ffff,0xb9fffffc,0x0006ffff,0x037ffff2,0x3ffff200,0x3a9fffb2,
    0x3ff64fff,0x0ffff35f,0x17ffffcc,0x0bffffe0,0x13ffffa0,0x8afffb80,
    0x1ffffffc,0x037fffc4,0x7fffec00,0x13ffff23,0xffff9000,0x0fffffad,
    0xffff0000,0x3fffe65f,0x3ff20004,0xffffd6ff,0x7ffc0007,0xf90000ff,
    0x3ff65fff,0x4bfffb3f,0xff54fffe,0xfffb809f,0x7fffc05f,0x7ffcc02f,
    0x3f2003ff,0x3fff61ff,0x7ffc43ff,0xfd80006f,0x3ff22fff,0x4c0005ff,
    0xffafffff,0x00000fff,0x997ffffc,0x0004ffff,0x2bffffe6,0x000fffff,
    0x01bfffe0,0x2ffffc80,0x3f29fff9,0xffff55ff,0x00bfff69,0x80bffff1,
    0x402fffff,0x01fffffd,0xf51fff60,0xf889ffff,0xddd16fff,0x3ffe00bd,
    0x3ffee1ff,0xfe80007f,0xffffffff,0xff800005,0xfff32fff,0xfe80009f,
    0xffffffff,0x3fe20005,0x320005ff,0xff92ffff,0x3ffff2bf,0xadffffe9,
    0xf800ffff,0x7fc06fff,0x3ee02fff,0x4005ffff,0x7fcc7fff,0x7fc42fff,
    0xffff16ff,0xffff500d,0xfffff98f,0x7fdc0002,0x2fffffff,0xfff80000,
    0xffff32ff,0xffb80009,0x2fffffff,0x3ffe2000,0x3f20004f,0xfff72fff,
    0x3ffffeab,0xffffffff,0xffd005ff,0xffff80ff,0x7fe4c0cf,0x0080ffff,
    0xfc8bfff1,0x7c40ffff,0xfff16fff,0xfffb00df,0xffffd09f,0xff88000b,
    0x07ffffff,0xffff0000,0x3fffe65f,0x7fc40004,0x07ffffff,0x7fffc400,
    0x3ff20004,0xdfff52ff,0x7ffffffc,0xeffffffd,0xffffd000,0xffffff80,
    0xfffffeff,0x7bf03fff,0x8a7ffcc3,0x87fffffc,0xf16ffff8,0xff00dfff,
    0xff703fff,0x90000fff,0x7fffffff,0x3fe00000,0xfff32fff,0xf900009f,
    0x07ffffff,0xffff8800,0x3ff20004,0xffff32ff,0x57ffffd4,0x1ffffff8,
    0x1ffffa00,0xfffffff0,0xffffffff,0x7fffc0bf,0xeefffeef,0x2fffffff,
    0x16ffff88,0xa80dffff,0xf106ffff,0x0005ffff,0xffffff98,0xf000000f,
    0x3e65ffff,0x80004fff,0xfffffff9,0x7fc40000,0x320004ff,0xff32ffff,
    0x6f6d43ff,0x02f7b262,0x0ffffd00,0xfffffff8,0xefffffff,0x7ffffc01,
    0xffffffff,0x103fffff,0x3e2dffff,0x7f406fff,0x3f603fff,0x80006fff,
    0x04fffffe,0xfff10000,0x3ffe65ff,0xfd00004f,0x0009ffff,0x09ffff10,
    0x7fffe400,0x09ffff12,0x7f400000,0x7ffc07ff,0xffffffff,0xfff003ef,
    0xffffffff,0x07ffffff,0x8b7fffc4,0x2e06ffff,0x200fffff,0x04fffffa,
    0x7ffff400,0x1000000f,0x263fffff,0x0004ffff,0x1fffffd0,0xfff30000,
    0x7e40009f,0x3ff62fff,0x0000006f,0xf01ffffa,0x5535ffff,0xfff00013,
    0xffffffff,0x8019ffff,0xf16ffff8,0x3e20dfff,0xd803ffff,0x001fffff,
    0x9fffff50,0x7cc00000,0x3fe67fff,0xa80004ff,0x004fffff,0x7ffff300,
    0x7ffe4000,0x3fffea2f,0xb0000001,0xff80ffff,0x00002fff,0x3ffb2ea6,
    0x00abdeff,0x2dffff10,0xb06ffff8,0x200dffff,0x05fffff8,0xfffff880,
    0x2000000f,0x266ffffd,0x0004ffff,0x7fffffc4,0xff700000,0x640005ff,
    0x7fc2ffff,0x000006ff,0x03ffff90,0x017ffffc,0xfff10000,0x7fc4000b,
    0xffff16ff,0xfffff70d,0x7ffd4001,0x3a2004ff,0x002fffff,0xffa80298,
    0x3fe65fff,0x220004ff,0x02fffffe,0x3fffa000,0x3f20001f,0x7fe42fff,
    0x00e005ff,0x27fffdc0,0x05fffff0,0x7fcc0000,0x3e20004f,0xfff16fff,
    0xffffb8df,0xffd8003f,0x9aa83fff,0xffffffca,0x9ff50004,0xff931135,
    0x7cc1ffff,0x55004fff,0xfffff953,0x5c00009f,0x000fffff,0x0bffff20,
    0x3bfffff3,0x001ff260,0x17ffffd4,0x02fffff8,0x3fea0000,0x3e20003f,
    0xfff16fff,0x7fffd4df,0xfd10005f,0xfd87ffff,0xffffffff,0x3fea0006,
    0xffffffff,0x7cc3ffff,0xaaaadfff,0x3fff60aa,0x06ffffff,0x3b2aa200,
    0x804fffff,0xdaaaaaa8,0xfa82ffff,0xcdffffff,0x007ffffe,0x3fffffa0,
    0xffff2acd,0x4000005f,0x0002fffb,0x45bfffe2,0xff56ffff,0x0001dfff,
    0x7fffff44,0x3fffff62,0x0000efff,0x3fffffea,0x5fffffff,0xffffff98,
    0x361fffff,0xffffffff,0x3e60000e,0xffffffff,0xffff9800,0x2fffffff,
    0xffffff50,0xffffffff,0x7ffcc000,0xff7fffff,0x00005fff,0x007ffec0,
    0xdffff100,0x65bfffe2,0x000effff,0xffffe880,0x3fffff62,0xa80003ff,
    0xffffffff,0xf302efff,0xffffffff,0x7ffec3ff,0x0003ffff,0xffffff98,
    0xff3002ff,0xffffffff,0x7ffcc05f,0xffffffff,0x7e40004f,0xf7ffffff,
    0x0005ffff,0x01555400,0x3fffe200,0x4dffff16,0x0000effc,0xb0bffa20,
    0x019bffff,0x3f2a2000,0x3defffff,0x7ffffcc0,0x21ffffff,0x0cdffffd,
    0xfff30000,0x40019fff,0xfffffff9,0x4402ffff,0xeffffeca,0x2600002d,
    0xb7fffffe,0x0005dddd,0x20000000,0xf16ffff8,0x05c8dfff,0x05d10000,
    0x00000266,0x40009880,0xeeeeeee9,0x4cc1eeee,0xd1000000,0x0001579b,
    0xddddddd1,0x0003dddd,0x00000013,0x00bd9753,0x00000000,0xdffff100,
    0x01bfffe2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffc400,0x0dffff16,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0xdffff16f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0x30000001,0x80005ddd,0x00800001,0x80000010,0x4001aaaa,
    0x40001000,0x20000018,0x80001000,0x00001000,0x00000000,0x03dffff5,
    0x7fdc0000,0x6e54002f,0x01bcefff,0x03fff300,0x0003bfee,0x0ffffc00,
    0x01fff980,0x4001dff7,0x82efffdb,0x7fcc0058,0x1dff701f,0x1fff9800,
    0x001dff70,0x7ff66544,0x7fffffff,0x0ffffff6,0xfffff900,0x000005ff,
    0x4007fff2,0xffffffe9,0x4003ffff,0x40fffff8,0x006ffffa,0x7fffa800,
    0xfffff100,0x6ffffa81,0xfffff700,0xfd515dff,0x3ffe200b,0x7ffd40ff,
    0x3fe2006f,0x7fd40fff,0xfc8806ff,0xffffffff,0x327fffff,0x002fffff,
    0x3af7ffe6,0x000007ff,0x7001fffb,0xffffffff,0x00bfffff,0x1fffffd4,
    0x03fffff6,0xfff90000,0x3ffea009,0x7ffec3ff,0x7fd400ff,0xffffffff,
    0x802fffff,0x43fffffa,0x00fffffd,0x7fffff50,0x0fffffd8,0xfffff910,
    0xffffffff,0x7fe4ffff,0x2e002fff,0x07ffc5ff,0x7ff40000,0xffffd807,
    0xffffffff,0xa800efff,0x642fffff,0x000fffff,0xffff1980,0x3ffea005,
    0x7ffe42ff,0x7fe400ff,0xffffecdf,0x5004ffff,0xc85fffff,0x000fffff,
    0x85fffff5,0x00fffffc,0xfffffffb,0xffffffff,0x7ffe4fff,0x3ee002ff,
    0x00fff44f,0x37ffc000,0x3ffffea0,0xffffdeff,0x8803ffff,0x4c0ffffe,
    0x8005ffff,0xffffeca8,0x22007fff,0x4c0ffffe,0x9005ffff,0xffffb85f,
    0x3a2006ff,0x7cc0ffff,0x22005fff,0x4c0ffffe,0xf705ffff,0xffffffff,
    0xfff733df,0x7fffe4ff,0x3fea002f,0x07ffb8af,0xfff88000,0x7ffff405,
    0x7fec40cf,0xb1007fff,0x3b6601bd,0xfff98004,0xffffffff,0x6f6c4006,
    0x009db300,0x7b971018,0xbdb10003,0x013b6601,0x4037b620,0xff304ed9,
    0xffffffff,0x7fffccdf,0x3ffffee7,0x7fff4001,0x0003ffff,0xfffb7310,
    0xfff5015b,0xffd809ff,0x00003fff,0xfff70000,0xffffffff,0x00000bff,
    0x00000000,0x00000000,0xffb00000,0xffffffff,0x7fffccdf,0x3ffffee7,
    0x7ff44001,0x80004fff,0xfffffffb,0x7f40ffff,0xff006fff,0x8000dfff,
    0xffd80001,0xffffffff,0x006fffff,0x80000000,0x00000001,0x00000000,
    0x3ffffffa,0x266fffff,0x3ee7ffff,0x0001ffff,0x00037975,0xfffffe98,
    0x0fffffff,0x0fffffea,0x7ffffec0,0xfd951001,0x00379dff,0x7fffffd4,
    0xffffecdf,0xee883fff,0xd7001eee,0x51009ddd,0x79dfffd9,0xeea80003,
    0x000eeeee,0xddddddb0,0xdddddddd,0x3ffe23dd,0xffffffff,0x3fffe66f,
    0x3ffffea7,0x77754001,0x8000eeee,0xfffffffb,0x0fffffff,0x03ffffee,
    0x7ffffd40,0xfffe9802,0x3fffffff,0xfffffd00,0xfffffe85,0x7fc40fff,
    0xf9002fff,0xe980dfff,0xffffffff,0x360003ff,0x3fffffff,0xfffff000,
    0xffffffff,0x3e65ffff,0xffffffff,0x3fe66fff,0x3ffea7ff,0x7ec000ff,
    0x03ffffff,0x7ffffc40,0xffffffff,0x3fff20ff,0x3fe2006f,0x7dc03fff,
    0xffffffff,0x5405ffff,0x4c2fffff,0xffffffff,0x7fffc44f,0xfff9002f,
    0x7ffdc0df,0xffffffff,0xf88005ff,0x5fffffff,0xfffff000,0xffffffff,
    0x3e65ffff,0xffffffff,0x3fe66fff,0x3ffea7ff,0x3e2000ff,0x5fffffff,
    0x7fffec00,0x3dfff2ef,0x7ffec1f9,0x7ffc005f,0x3ff604ff,0xffffffff,
    0x00efffff,0x709ffffd,0xfffdbfff,0xffff88df,0xfff9002f,0x3fff60df,
    0xffffffff,0x000effff,0x3fffffea,0xf8000fff,0xffffffff,0xffffffff,
    0xffffff12,0x4dffffff,0x2a7ffff9,0x000fffff,0x3fffffea,0xf5000fff,
    0x221bffff,0x3fa05fff,0x7c005fff,0xf505ffff,0xbdffffff,0xffffffff,
    0xfffff507,0x77fffd05,0x443fffff,0x002fffff,0x50dffff9,0xdfffffff,
    0xfffffffb,0x7fe4007f,0x2fffffff,0xfffff800,0xeeeeeeee,0x3fa1eeee,
    0xffffffff,0x3ffe66ff,0x3fffe67f,0x7ffe4007,0x02ffffff,0x1fffffd0,
    0xf027ffcc,0x8009ffff,0xd06ffffe,0x819fffff,0x7fffffd8,0x87ffffb8,
    0xf88ffff8,0x3e23ffff,0x9002ffff,0xfd0dffff,0x8819ffff,0x07fffffd,
    0x3fffffe0,0x8004ffff,0x003fffff,0x3fffff60,0x26ffffff,0x267ffff9,
    0x4007ffff,0xffffffff,0xfff004ff,0xfffa89ff,0xfffff103,0xfffe8007,
    0xffffb86f,0x7ffec04f,0x7ffe42ff,0x6fffb85f,0x893ffffe,0x002fffff,
    0xb8dffff9,0x404fffff,0x02fffffd,0xceffff98,0x8007ffff,0x003fffff,
    0x3ffffe60,0x26ffffff,0x267ffff9,0x2007ffff,0xfceffff9,0xf8807fff,
    0x7dc2ffff,0xfff102ff,0xfe8009ff,0xfff85fff,0xff8806ff,0x7fec6fff,
    0xfffe84ff,0x97ffffa3,0x02fffff8,0x8dffff90,0x806fffff,0x06fffff8,
    0x9cffffb8,0x001fffff,0x01fffffc,0x3fffee00,0x26ffffff,0x267ffff9,
    0x2007ffff,0xf9cffffb,0x4c01ffff,0x641fffff,0x3fe01fff,0x74004fff,
    0x7d45ffff,0xb003ffff,0x743fffff,0x7c43ffff,0x3ff61fff,0x3ffe25ff,
    0xff9002ff,0x7ffd4dff,0xffb003ff,0xfe803fff,0xffff2fff,0xfff8009f,
    0xd80003ff,0xffffffff,0x3fffe66f,0x1ffffe27,0x2ffffe80,0x809fffff,
    0x40fffffb,0x3e00fffd,0x4005ffff,0x644fffff,0x000fffff,0x45fffff5,
    0x543fffff,0x7fec6fff,0x3ffe26ff,0xff9002ff,0x7ffe4dff,0xff5000ff,
    0x7c405fff,0x3ff67fff,0x7fc006ff,0x00003fff,0xfffffff7,0x7fffccdf,
    0x1bfffe27,0x3ffffc40,0x80dffffb,0x42fffffa,0x7f407ffe,0x22006fff,
    0x743fffff,0x2006ffff,0x13fffff8,0xd85fffff,0x7fe44fff,0x3ffe26ff,
    0xff9002ff,0x7fff4dff,0x3fe2006f,0x3ea03fff,0x3fee5fff,0x3e000fff,
    0x0003ffff,0x7ffffdc0,0x3fffe66f,0x1bfffe27,0x2ffffd40,0x01fffff7,
    0x27ffffcc,0xfb01bffe,0x4c00ffff,0x7c2fffff,0x4005ffff,0xf14fffff,
    0xff85ffff,0x7ffe41ff,0x3fffe25f,0xfff9002f,0x7ffffcdf,0x7fffc005,
    0x3fff604f,0x3fffe63f,0x3ffe003f,0x000003ff,0x4c9b9553,0x7fc7ffff,
    0xffb006ff,0x7ffcc7ff,0x3fe203ff,0x3fe25fff,0x7ffe404f,0xff9002ff,
    0xfff81fff,0x7fc005ff,0xfff15fff,0x7ffd47ff,0x4ffffd87,0x0bffffe2,
    0x37fffe40,0x00bfffff,0x05fffff8,0xd07ffffe,0x400bffff,0xffffffff,
    0xffffffff,0x3e600005,0x7ffc7fff,0xffff005f,0xffffe83f,0x7ffffc05,
    0x07fff32f,0x5fffff98,0xbfffff00,0x4fffff88,0x7ffff400,0x8fffffe6,
    0xfe84fffc,0x3fe23fff,0xf9002fff,0x3fe2dfff,0x74004fff,0xf306ffff,
    0xff90ffff,0x7fc00fff,0xffffffff,0x05ffffff,0x3ffe6000,0x2ffffc7f,
    0x3ffffcc0,0x03ffffe4,0x3ffffff2,0x442fffab,0x7fffff40,0x7fffdc01,
    0x7fffc41f,0x7ff4003f,0x3fffe6ff,0x0bfffe4f,0x88bffffa,0x002fffff,
    0x22dffff9,0x003fffff,0x837ffff4,0xa84ffffc,0x002fffff,0xffffffff,
    0xffffffff,0x7cc0000b,0x80007fff,0xa84ffffc,0x202fffff,0xfffffff8,
    0xebaafffe,0x7fffdc1f,0xfff701ff,0xfff10dff,0xfe8009ff,0x3ffa6fff,
    0xffff36ff,0x3fffff10,0x17ffffc4,0x6ffffc80,0x09fffff1,0x6ffffe80,
    0x05ffffd0,0x09fffff1,0x3fffffe0,0xffffffff,0x200005ff,0x007ffff9,
    0x2ffffe80,0x4fffff88,0x7ffffe40,0xffffffff,0x7ffc41ff,0xcaceffff,
    0x2ffffffe,0x09fffff0,0x6ffffe80,0x23ffffee,0xfb85fffc,0x3e20ffff,
    0x9002ffff,0x7fcdffff,0x74004fff,0xf886ffff,0xfd00ffff,0x3e00dfff,
    0xaaadffff,0x2aaaaaaa,0x3fe60000,0x009887ff,0x0fffff88,0x0dffffd0,
    0xffffff90,0xffffffff,0xfffff503,0xffffffff,0x7f407fff,0x7c005fff,
    0x3e65ffff,0xffebffff,0xffffd82f,0x7ffffc46,0xffff9002,0x2fffff4d,
    0x3ffffe00,0x6ffffb85,0x3ffffee0,0xfffff800,0x00000003,0xd8fffff3,
    0x7dc03fff,0x3ee06fff,0xb800ffff,0xffffffff,0x501fffff,0xffffffff,
    0x09ffffff,0x06ffffd8,0x3ffffe20,0x7fffffc4,0x7d40ffff,0x7c41ffff,
    0x9002ffff,0x7ecdffff,0x22006fff,0xd84fffff,0x2603ffff,0x803fffff,
    0x003fffff,0xff500000,0x7ffe4dff,0x3ff602ff,0x3fe603ff,0x71003fff,
    0xfffffffd,0xffb807bf,0xffffffff,0xffc803ff,0x3e6007ff,0x7e42ffff,
    0x5fffffff,0x2fffffcc,0x02fffff8,0x49ffff90,0x007ffffc,0x0bffffe6,
    0x3ffffffe,0xffffffff,0xff805fff,0x00003fff,0xffff7000,0x7fffff4b,
    0x3ffffe04,0xffffffff,0x005fffff,0x9adfff98,0x7ff54000,0x00beffff,
    0x5fffff70,0x3ffff200,0x7fffc40f,0xdb9cffff,0x01ffffff,0x007fffff,
    0xb8fffff6,0x002fffff,0x81fffff9,0xfffffffa,0xffffffff,0x7c00ffff,
    0x0003ffff,0xfff90000,0x7ffffc9f,0xffff505f,0xffffffff,0x1fffffff,
    0x3fffa800,0xfffa8000,0xff98006f,0xff005fff,0x3ea0dfff,0xffffffff,
    0x5fffffff,0x13ffffa0,0x17ffff40,0x0bfffff3,0x1bffffe0,0x3ffffff2,
    0xffffffff,0x402fffff,0x003fffff,0x7c400400,0x3f62ffff,0xf902ffff,
    0xffffffff,0xffffffff,0xfb8005ff,0x880002ff,0x000fffff,0x1fffffe8,
    0x7ffffdc0,0x3fffee02,0xffffffff,0x7fec04ff,0xff9807ff,0x7ff41fff,
    0x7dc01fff,0xfe82ffff,0xffffffff,0xffffffff,0x7ffc04ff,0x200003ff,
    0x7fe403f8,0x3fa21fff,0x3ffa05ff,0xffffffff,0xffffffff,0x7fe4004f,
    0xff00001f,0x0e20bfff,0x7fffffd4,0xfffff701,0xffff500d,0xffffffff,
    0xffff7005,0xfffd809f,0xffffa86f,0xfff701ff,0xfff30dff,0x555555ff,
    0xfffd5555,0xffff80ff,0x3600003f,0xa99aceff,0x04fffffe,0x7fcc0355,
    0xaaaaafff,0xffeaaaaa,0x7ec007ff,0xb00000ff,0x57dfffff,0x3a03ff95,
    0xceffffff,0xfffffeca,0xfff8801f,0xdeffffff,0xffff1000,0x26213bff,
    0x02fffffe,0xdffffffd,0xffffd959,0xfff703ff,0x7fe400bf,0x3fe01fff,
    0xccccefff,0x1ccccccc,0xffffff70,0xffffffff,0x7dc0001f,0x32005fff,
    0x001fffff,0x0001fffa,0xffffff98,0x06ffffff,0xfffffff5,0xffffffff,
    0x3fee00bf,0x009aaaef,0xfffff700,0xffffffff,0x7d40bfff,0xffffffff,
    0x5fffffff,0x07ffffb0,0x7ffffcc0,0x3ffffe03,0xffffffff,0xfb02ffff,
    0xffffffff,0x005fffff,0x3ffffd80,0x3fffe600,0x3ffe003f,0x7dc00006,
    0xffffffff,0xff504fff,0xffffffff,0x4009ffff,0x0003fffd,0x7fffff40,
    0xffffffff,0x7fd400ff,0xffffffff,0xf104ffff,0x8001ffff,0x206fffff,
    0xffffffff,0xffffffff,0x3ffaa02f,0xffffffff,0x7c40000d,0x4000ffff,
    0x006fffff,0x000bfff1,0xfffff900,0x01bfffff,0x7fffff4c,0x02ffffff,
    0x07fffe20,0x3ff20000,0xffffffff,0xd3000cff,0xffffffff,0x7d405fff,
    0xd8006fff,0xf00fffff,0xffffffff,0xffffffff,0xffd97005,0x00039dff,
    0x1bfffea0,0x3ffff600,0xfff9800f,0x91000004,0x5bffffff,0x3ffb2200,
    0x00ceffff,0x037ffd40,0xffb30000,0x3bffffff,0xffd91000,0x019dffff,
    0x04ffffc8,0xfffffb80,0xffffff02,0xffffffff,0x10005fff,0x7e400000,
    0xb8004fff,0x802fffff,0x0001aaa8,0x00133000,0x00355300,0x03eeec80,
    0x53100000,0x80000135,0x00001aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77777640,
    0x76c4002e,0x5c000dee,0x02eeeeee,0x0cdc9800,0x0000c400,0xddd90000,
    0x10005ddd,0x001bdddb,0x00006200,0x2aaa6200,0x0100009a,0x3bae0020,
    0x0002eeee,0x3fff2000,0x4c001eff,0x0effffff,0x7fffd400,0x260002ff,
    0x800effff,0x82efffdb,0xc8000058,0x01efffff,0xfffff980,0x2e0000ef,
    0x882efffd,0xffc88005,0xffffffff,0x3fff3005,0x003bfee0,0x5ffffff5,
    0xf9000000,0x001bffff,0xffffff98,0x44000eff,0x02fffffe,0xfffffb00,
    0xffffb807,0xea8aefff,0x3200005f,0x00dfffff,0xfffff980,0x8000efff,
    0xfffffffb,0x05fea8ae,0x3ffffee0,0x7fffffff,0xfffff880,0x37fffd40,
    0x7ffff440,0x2000002f,0x02fffffc,0xeffff980,0x00effffa,0xfffffc80,
    0xffff8002,0x3fea05ff,0xffffffff,0x002fffff,0xfffffc80,0xfff30002,
    0xdffff5df,0x7ffd4001,0xffffffff,0xb802ffff,0xffffffff,0x807fffff,
    0x43fffffa,0x00fffffd,0x5fffff90,0xff900000,0x30001dff,0x6c49ffff,
    0x8000efff,0x02fffffa,0x7fffff40,0x37fff204,0xffffffec,0xc80004ff,
    0x000effff,0x49ffff30,0x00efffd8,0xd9bfff90,0xffffffff,0xffff5009,
    0xddb9bfff,0xff500fff,0xffc85fff,0x2a000fff,0x002fffff,0x0ccccc00,
    0x13331000,0x00266660,0x0ccccc40,0x3fffea00,0x217e400f,0x6ffffffb,
    0x33330000,0x99880003,0x13333009,0x2e17e400,0x06ffffff,0x5fffffb0,
    0x4401d440,0x4c0ffffe,0x8005ffff,0x00199998,0x00000000,0x00000000,
    0x1dfea800,0x32e20300,0x000001bd,0x00000000,0x97101800,0x7fc0037b,
    0x00005fff,0x9806f6c4,0x000004ed,0x00000000,0x00000000,0x00000018,
    0x00000000,0x80000018,0x00000001,0xfffff800,0x00000006,0x00000000,
    0x07bbbba2,0x277775c0,0x03ddddd1,0x13bbbae0,0x3ffb2a20,0x0001bcef,
    0x00000000,0x3ffb2a20,0x0001bcef,0x3fffb2a2,0x00001bce,0x7ff40000,
    0x00003fff,0xdd100000,0x2e003ddd,0x3e24eeee,0x9002ffff,0x7c4dffff,
    0x9002ffff,0x980dffff,0xfffffffe,0xaa803fff,0x754001aa,0x00eeeeee,
    0x7fff4c00,0x3fffffff,0xfffe9800,0x3fffffff,0xeeeeed80,0xbdddd005,
    0x3fffff20,0x320000df,0xeeeeeeee,0xeeeeeeee,0x3fffe22e,0xfff9002f,
    0x7fffc4df,0xfff9002f,0x7fffc4df,0xfff9002f,0x7ffdc0df,0xffffffff,
    0x7ffc05ff,0x7fec005f,0x003fffff,0x3ffffee0,0xffffffff,0x3ffee005,
    0xffffffff,0x7ffc05ff,0xf801ffff,0xff306fff,0x07ffffff,0x3ffff600,
    0xffffffff,0x223fffff,0x002fffff,0x44dffff9,0x002fffff,0x44dffff9,
    0x002fffff,0x20dffff9,0xfffffffd,0xffffffff,0xbffff00e,0x7fffc400,
    0x0005ffff,0xfffffffb,0xffffffff,0xfffd801d,0xffffffff,0xf00effff,
    0x0bffffff,0x30dffff0,0xfffffffd,0xd8003dff,0xffffffff,0xffffffff,
    0x3fffe23f,0xfff9002f,0x7fffc4df,0xfff9002f,0x7fffc4df,0xfff9002f,
    0xffff50df,0xfffbdfff,0x207fffff,0x2005ffff,0xfffffffa,0x7d4000ff,
    0xdeffffff,0xffffffff,0x3fffea03,0xfffdefff,0xf03fffff,0x1fffffff,
    0x46ffff80,0xfffffff8,0x0cffffff,0xfffffb00,0xffffffff,0x7c47ffff,
    0x9002ffff,0x7c4dffff,0x9002ffff,0x7c4dffff,0x9002ffff,0xfd0dffff,
    0x8819ffff,0x07fffffd,0x400dffff,0xfffffffc,0x7f4002ff,0x440cffff,
    0x07fffffd,0x33fffffa,0x7fffec40,0xfffff07f,0xff809fff,0x7fff46ff,
    0xfffffeff,0xa801ffff,0xffdccccc,0xcccccfff,0x3fffe21c,0xfff9002f,
    0x7fffc4df,0xfff9002f,0x7fffc4df,0xfff9002f,0xffffb8df,0x7ffec04f,
    0x7ffc42ff,0x3ffe006f,0x4fffffff,0x3fffee00,0x7ffec04f,0xfffb82ff,
    0x7fec04ff,0xfff82fff,0x00ffffff,0xfa9bfffe,0xff74ffff,0x5fffffff,
    0x3ffea000,0xff8800ff,0xf9002fff,0x7fc4dfff,0xf9002fff,0x7fc4dfff,
    0xf9002fff,0xfff8dfff,0xff8806ff,0x7fc46fff,0xff3006ff,0xffff9dff,
    0x7fffc00f,0xfff8806f,0xffff86ff,0xfff8806f,0xffff86ff,0x203fffff,
    0x3f66ffff,0x7ec47fff,0x1fffffff,0xffffa800,0xfff8800f,0xff9002ff,
    0x7ffc4dff,0xff9002ff,0x7ffc4dff,0xff9002ff,0x7ffd4dff,0xffb003ff,
    0x7fc43fff,0xff7006ff,0xffff39ff,0xfff5003f,0x3f6007ff,0x3ea1ffff,
    0xb003ffff,0xf83fffff,0xffffffff,0x9bfffe07,0x505ffffe,0xdffffffd,
    0xffff5000,0xfff1001f,0x3f2005ff,0x3fe26fff,0xf9002fff,0x7fc4dfff,
    0xf9002fff,0x7fe4dfff,0xf5000fff,0x7c45ffff,0xfd007fff,0x3ffe5fff,
    0xffc804ff,0xf5000fff,0x7e45ffff,0x5000ffff,0xf85fffff,0xfffeffff,
    0xdffff02f,0x03fffffc,0x3ffffff6,0x7ffd4003,0xff8800ff,0xf9002fff,
    0x7fc4dfff,0xf9002fff,0x7fc4dfff,0xf9002fff,0x7ff4dfff,0x3e2006ff,
    0x3e63ffff,0xf8807fff,0x3ff67fff,0xffe806ff,0x3e2006ff,0x3fa3ffff,
    0x22006fff,0x7c3fffff,0xfffbffff,0xdffff06f,0x17ffffec,0x3fffff60,
    0x7ffd4005,0xff8800ff,0xf9002fff,0x7fc4dfff,0xf9002fff,0x7fc4dfff,
    0xf9002fff,0x7ffcdfff,0x7fc005ff,0x3fe64fff,0xffa807ff,0x3ffee5ff,
    0x7ffc00ff,0x7fc005ff,0x3ffe4fff,0x7fc005ff,0x7ffc4fff,0x5fffff7f,
    0x64dffff0,0x02ffffff,0x1bffffe2,0xfffff500,0xffff1001,0x3ff2005f,
    0x3ffe26ff,0xff9002ff,0x7ffc4dff,0xff9002ff,0x7fffcdff,0x7ffc005f,
    0x3ffe65ff,0xfffd807f,0x3fffe63f,0x7fffc03f,0x7ffc005f,0x3fffe5ff,
    0x7ffc005f,0x7fffc5ff,0x0bffff97,0x7ccdffff,0x03ffffff,0x01fffff6,
    0x1fffff50,0xfffff100,0x3fff2005,0x3fffe26f,0xfff9002f,0x7fffc4df,
    0xfff9002f,0x3fffe2df,0x7ff4004f,0x3ffea6ff,0x7ffc00ff,0x7fff41ff,
    0x3ffe205f,0x7f4004ff,0xfff16fff,0xfe8009ff,0x7ffc6fff,0xfffff17f,
    0x46ffff83,0xfffffffc,0xffffe81e,0x7ffd4006,0xff8800ff,0xf9002fff,
    0x7fc4dfff,0xf9002fff,0x7fc4dfff,0xf9002fff,0x3fe2dfff,0x74003fff,
    0x3ea6ffff,0x2600ffff,0xfc87ffff,0x3e207fff,0x4003ffff,0xf16ffffe,
    0x8007ffff,0x7c6ffffe,0x3ff67fff,0x7fffc5ff,0xfffffd86,0xff30dfff,
    0xa8009fff,0x800fffff,0x02fffff8,0x4dffff90,0x02fffff8,0x4dffff90,
    0x02fffff8,0x2dffff90,0x04fffff8,0x37ffff40,0x01fffff5,0x427fffe4,
    0x02fffffa,0x09fffff1,0x6ffffe80,0x09fffff1,0x6ffffe80,0xf33ffffc,
    0x7fc1ffff,0xfffb06ff,0xd7ffffff,0x003fffff,0x0fffffa8,0xfffff880,
    0xffff9002,0x7ffffc4d,0xffff9002,0x7ffffc4d,0xffff9002,0x27ffffcd,
    0x3ffffa00,0x3ffffea6,0x3ffffa00,0xfffff882,0x3ffffe04,0x7fff4004,
    0x3ffffe6f,0x7fff4004,0x3ffffc6f,0xf93ffffa,0x3ee06fff,0xffffffff,
    0x004fffff,0x0fffffa8,0xfffff880,0xffff9002,0x7ffffc4d,0xffff9002,
    0x7ffffc4d,0xffff9002,0x2fffff4d,0x3ffffe00,0x3ffffee5,0xfffff101,
    0x3ffffa01,0x3ffffa06,0x7fffc005,0x3ffffa5f,0x7fffc005,0x3ffffc5f,
    0x43ffffea,0x4406ffff,0xfffffffd,0x0006ffff,0x01fffff5,0x5fffff10,
    0x3ffff200,0x3ffffe26,0xffff9002,0x7ffffc4d,0xffff9002,0x37fffecd,
    0xfffff100,0x7ffffdc9,0xdffff701,0x7ffffdc0,0xdffffb00,0x7fffc400,
    0x3ffff64f,0x3ffe2006,0x7fffc4ff,0x3ffffe87,0x200dffff,0xffffffea,
    0x2a0005ff,0x800fffff,0x02fffff8,0x8dffff90,0x002fffff,0xf89ffff9,
    0x9002ffff,0x7e49ffff,0x26007fff,0x2e2fffff,0xb01fffff,0x4c07ffff,
    0x903fffff,0x400fffff,0x22fffff9,0x007ffffc,0x0bffffe6,0xf70fffff,
    0xfff1dfff,0xffb800df,0x002fffff,0x3ffffea0,0xfffff000,0x3fff2005,
    0x7ffffc4f,0xffffb003,0x3fffff87,0x7ffffb00,0x17ffffdc,0xfffffc80,
    0x3fffff20,0xffffff02,0xffffffff,0x2e0bffff,0x002fffff,0x41fffff9,
    0x02fffffb,0x1fffff90,0x887ffff8,0xffafffff,0xe88006ff,0x006fffff,
    0x3ffffea0,0xfffff000,0x3fff6007,0x7ffff43f,0xffffd004,0x4ffffe85,
    0x5ffffd00,0x2fffffcc,0x6fffff80,0x17ffffe4,0x7fffffd4,0xffffffff,
    0x980fffff,0x005fffff,0x98dfffff,0x005fffff,0xf0dfffff,0x3f20ffff,
    0xffffefff,0xfff10006,0x54000fff,0x000fffff,0x009ffffd,0xb0bffffa,
    0x300fffff,0xd83fffff,0x9807ffff,0x741fffff,0x401fffff,0x42fffffb,
    0x82fffffc,0xfffffffc,0xffffffff,0xfd02ffff,0xb803ffff,0xe82fffff,
    0x401fffff,0x82fffffb,0xf107ffff,0xffffffff,0x7fec000d,0x2a0007ff,
    0x000fffff,0x00fffffb,0x83fffff3,0x04fffffb,0x437fffec,0x04fffffb,
    0x437fffec,0x1ffffffa,0xdfffff70,0x5ddddd70,0xffffffd0,0xffffffff,
    0x209fffff,0x1ffffffa,0xdfffff70,0x3ffffea0,0xffff701f,0x3fffe0df,
    0x3ffff607,0x0226ffff,0x7ffffc40,0x3fea0005,0xf7000fff,0xd809ffff,
    0xf886ffff,0x09dfffff,0xfffffd31,0xfffff105,0x3a6213bf,0xd02fffff,
    0x9dffffff,0xfffffd95,0x7cc0003f,0xaaaaffff,0xfeaaaaaa,0x3fa07fff,
    0xacefffff,0xffffffec,0x3ffffa01,0xfecaceff,0xf01fffff,0x7cc0ffff,
    0x6fffffff,0x3066fbf2,0x7fffffd5,0x7ffd4000,0xff1000ff,0x213bffff,
    0xfffffe98,0xfffff702,0xffffffff,0x7dc0bfff,0xffffffff,0x5fffffff,
    0x3ffffea0,0xffffffff,0x40005fff,0x005ffffb,0x07fffff2,0x7fffffd4,
    0xffffffff,0x7fd405ff,0xffffffff,0x05ffffff,0xd01ffffe,0xdfffffff,
    0x7fffffe4,0xffffffff,0xaa9800ff,0xffffcaaa,0x0aaaaabf,0xffffffb8,
    0xffffffff,0x7ff405ff,0xffffffff,0x400fffff,0xfffffffe,0xffffffff,
    0x7fffd400,0xffffffff,0xd80004ff,0x2003ffff,0x03fffff9,0x3fffffea,
    0xffffffff,0xffff5004,0xffffffff,0xfff809ff,0x7ffd407f,0x3f26ffff,
    0xffffffff,0x01ffffff,0xffffffb0,0xffffffff,0x3fa07fff,0xffffffff,
    0x00ffffff,0xffffffc8,0x0cffffff,0xfffff900,0x9fffffff,0x3ffa6001,
    0xffffffff,0xf880002f,0x4000ffff,0x406fffff,0xffffffe9,0x002fffff,
    0x7fffff4c,0x02ffffff,0x807ffff8,0x6ffffffe,0x3ffffff2,0xdfffffff,
    0x3fff6001,0xffffffff,0x03ffffff,0x3ffffff2,0x0cffffff,0x3fff6600,
    0x01dfffff,0xffffd980,0x001dffff,0xffffec88,0x0000ceff,0x0dffff50,
    0xfffffb00,0xffec8801,0x00ceffff,0xfffd9100,0x0019dfff,0x201ffffe,
    0x6ffffffb,0x3fffb2e6,0x01ceffff,0xfffffd80,0xffffffff,0x4c03ffff,
    0xfffffffd,0x440001df,0x00009aa9,0x026aa620,0x35530000,0x3f200000,
    0xb8004fff,0x002fffff,0x0000d54c,0x001aa980,0x00fffff0,0xdffffff1,
    0x00006600,0x7fffffec,0xffffffff,0x22003fff,0x00009aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0x02eeeeee,0x3bbb2000,
    0x22002eee,0x000deeed,0x7776c400,0x9000000d,0x05dddddd,0xeeeeeeb8,
    0x00000002,0x00000000,0xeeeeeeb8,0x20000002,0x2eeeeeec,0x00015d44,
    0x3fffff20,0x3200001e,0x01efffff,0x3ffffe60,0x300000ef,0x1dffffff,
    0xffc80000,0x5001efff,0x05ffffff,0x2a000000,0x3e26ffff,0x0000ffff,
    0xfffffa80,0x8000002f,0x1efffffc,0x077fffcc,0x7ffe4000,0x00000dff,
    0x37fffff2,0x3ffe6000,0x00efffff,0x7fffcc00,0x000effff,0xfffff900,
    0xfe88001b,0x0002ffff,0xfffd8000,0x7fffec3f,0xd1000003,0x005fffff,
    0x7ffe4000,0x7fc40dff,0x0005ffff,0x17ffffe4,0x3ff20000,0x4c002fff,
    0xffaeffff,0x30000eff,0xff5dffff,0x80001dff,0x02fffffc,0x7fffe400,
    0x0000002f,0x03ffffe2,0x00dffff3,0xfffc8000,0x800002ff,0x02fffffc,
    0xfffffff5,0x3ff20001,0x00000eff,0x077fffe4,0x3fffe600,0x3bfff624,
    0x7ffcc000,0x3fff624f,0xff90000e,0x00001dff,0x0bffffea,0x7e400000,
    0xffd04fff,0x000005ff,0x2fffffa8,0x3ff20000,0x3ee00eff,0x01ffffff,
    0x03333300,0x26660000,0x33100019,0x26666013,0x4ccc4000,0x01333300,
    0x06666600,0x26620000,0x00000199,0x03fffff0,0x017fffee,0x26620000,
    0x20000199,0xa8019999,0x0fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17fffee0,0x0fffff88,0x00000000,0xd0000000,
    0x009fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x402ffffe,0x004ffffc,0x00000000,0xfd100000,0xdd701bff,0xa8003ddd,
    0xc81eeeee,0xeeeeeeee,0xeeeeeeee,0xddd5002e,0x0001dddd,0xddddddd9,
    0xdddddddd,0x3aa005dd,0x00eeeeee,0xdddd5000,0x00001ddd,0x1bfffe60,
    0x3ffffe20,0xddb00000,0xdddddddd,0x03dddddd,0x3bbbbbb6,0xeeeeeeee,
    0x00a981ee,0x17ffffe2,0xdffffd00,0x3fffff60,0xffffffff,0xb003ffff,
    0x7fffffff,0xffffb000,0xffffffff,0x007fffff,0x3ffffff6,0xfb00003f,
    0x07ffffff,0x3ff60000,0xffb003ff,0x200007ff,0xffffffff,0xffffffff,
    0xfffff02f,0xffffffff,0x0005ffff,0x0fffffe4,0xfffffa80,0xfffffb02,
    0xffffffff,0x1007ffff,0xffffffff,0xfffb000b,0xffffffff,0x07ffffff,
    0xffffff10,0x10000bff,0xffffffff,0xf100000b,0x2001ffff,0x006ffffa,
    0xffffff00,0xffffffff,0x3fe05fff,0xffffffff,0x2fffffff,0x3ffe2000,
    0xffd005ff,0x7fec0dff,0xffffffff,0x3fffffff,0xfffffa80,0x4000ffff,
    0xfffffffd,0xffffffff,0xffa803ff,0x0fffffff,0x7ffd4000,0x00ffffff,
    0x7ffe4000,0x7ff4004f,0xf80001ff,0xffffffff,0xffffffff,0xffffff02,
    0xffffffff,0x80005fff,0x01fffffc,0x17ffffd4,0xb9999950,0x999fffff,
    0xf9003999,0xffffffff,0xccca8005,0xfffffdcc,0x01cccccc,0xffffffc8,
    0x40002fff,0xfffffffc,0x400002ff,0x001fffff,0x02ffffdc,0x7ffffc00,
    0xeeeeeeee,0xff01eeee,0xdddddfff,0x3ddddddd,0xfff88000,0x7ff405ff,
    0xf50006ff,0x0001ffff,0x7ffffffc,0x00004fff,0x01fffff5,0x7ffffc00,
    0x004fffff,0x7fffffc0,0x0004ffff,0x1bfffea0,0x3fffe200,0x7fc0000f,
    0x00003fff,0x007fffff,0xffb00000,0x3ea01fff,0x0002ffff,0x01fffff5,
    0x3fffe600,0x07ffffce,0xffff5000,0x3e60001f,0xfffcefff,0x3e60007f,
    0xfffcefff,0x3a00007f,0x0002ffff,0x009ffff9,0x3fffff80,0xffff0000,
    0x0000007f,0x9fffff10,0x1bffffa0,0xffffa800,0xff70000f,0xffff39ff,
    0xf500003f,0x0001ffff,0x273fffee,0x001fffff,0x39ffff70,0x003fffff,
    0xfffff300,0x7ffcc000,0x7fc0007f,0x00003fff,0x007fffff,0x40015300,
    0x40fffffd,0x01fffffa,0x3fffea00,0xffd0000f,0x3fffe5ff,0xfa80004f,
    0x0000ffff,0x3e5ffffd,0x0004ffff,0x3e5ffffd,0x0004ffff,0x03ffffd8,
    0x7fffec00,0x3ffe0002,0xf00003ff,0x0007ffff,0x06ffff4c,0x7ffffc40,
    0x2fffff44,0x3ffea000,0xf88000ff,0x3ff67fff,0xa80006ff,0x000fffff,
    0x27ffff88,0x006ffffd,0x27ffff88,0x006ffffd,0x7ffffc40,0x7fd40000,
    0x3e0006ff,0x0003ffff,0x07fffff0,0x7ffff400,0xfffb005f,0x3ffea1ff,
    0x540001ff,0x000fffff,0x25ffffa8,0x00fffffb,0x7fffd400,0xffa8000f,
    0x3ffee5ff,0x7d4000ff,0x3fee5fff,0x20000fff,0x005ffffb,0x3ffffd00,
    0x3fffe000,0xff00003f,0x20007fff,0xfffffffa,0xffff9800,0xbffffb3f,
    0xfff50000,0xfb0001ff,0x7fcc7fff,0x40003fff,0x00fffffa,0x3ffffd80,
    0x0fffffe6,0x7ffffb00,0x1fffffcc,0xfffff000,0x3ee00003,0xf0005fff,
    0x0007ffff,0x0fffffe0,0x7fffdc00,0xfb001fff,0xfff3dfff,0x500003ff,
    0x001fffff,0x83fffff0,0x005ffffe,0x7ffffd40,0xffff8000,0x7ffff41f,
    0x7fffc005,0x7ffff41f,0xfff50005,0x440000df,0x000fffff,0xfffffff8,
    0xffffffff,0x3fffe05f,0xffffffff,0x3ea5ffff,0x00ffffff,0xdfffff30,
    0x000bffff,0x3ffffea0,0x7ffcc000,0xffffc87f,0x7fd40007,0x4c000fff,
    0xfc87ffff,0x26007fff,0xfc87ffff,0xd0007fff,0x0005ffff,0x3ffffc80,
    0xfffff800,0xffffffff,0x3fe05fff,0xffffffff,0x25ffffff,0x5ffffff8,
    0x7fffec00,0x001fffff,0xfffff500,0xfffc8001,0xffffa84f,0x3ea0002f,
    0x4000ffff,0xa84ffffc,0x002fffff,0x509ffff9,0x005fffff,0x07ffff98,
    0xfff98000,0xfff8007f,0xffffffff,0x205fffff,0xffffffff,0xffffffff,
    0x77fff4c5,0x7ffcc000,0x005fffff,0x3fffea00,0x7ff4000f,0xfff882ff,
    0x2a0004ff,0x000fffff,0x417ffff4,0x04fffff8,0x05ffffd0,0x09fffff1,
    0x4ffffc80,0xffd00000,0xff8005ff,0xffffffff,0x05ffffff,0x3ffffffe,
    0xffffffff,0x01aa885f,0x3ffff600,0x00001fff,0x03ffffea,0xfffff880,
    0xdffffd00,0x7ffd4000,0x3e2000ff,0xfd00ffff,0xf100dfff,0x3a01ffff,
    0x2006ffff,0x00fffff8,0xfff50000,0xfff800df,0xaaaaadff,0x202aaaaa,
    0xaadfffff,0xaaaaaaaa,0x26000002,0x05ffffff,0x7ffd4000,0x3ee000ff,
    0x3ee06fff,0x0000ffff,0x01fffff5,0x37fffdc0,0x1fffff70,0x6ffffb80,
    0x3ffffee0,0xffff7000,0xf800000b,0x2001ffff,0x003fffff,0x7fffff00,
    0x00000000,0x0fffffec,0x3fea0000,0x36000fff,0x2603ffff,0x003fffff,
    0x1fffff50,0x7fffec00,0x3fffe603,0x7ffec03f,0x3ffe603f,0xffd003ff,
    0x000003ff,0x04ffffb8,0x0fffffe0,0x7fffc000,0xff90003f,0x40005fff,
    0x007ffffb,0xffffa800,0x3ffe000f,0xffffffff,0x5fffffff,0xffff5000,
    0x7ffc001f,0xffffffff,0x5fffffff,0x7fffffc0,0xffffffff,0xa805ffff,
    0x0006ffff,0xffff8800,0xffff000f,0x3e00007f,0x0003ffff,0x03fffff7,
    0x7fffdc00,0xfa800007,0x5000ffff,0xffffffff,0xffffffff,0x50001fff,
    0x001fffff,0x3fffffea,0xffffffff,0x500fffff,0xffffffff,0xffffffff,
    0xfd801fff,0x00003fff,0x7ffffb00,0x3ffffe00,0xfff00003,0x2e0007ff,
    0x001fffff,0x1ffffee0,0x3fea0000,0xf9000fff,0xffffffff,0xffffffff,
    0xf50005ff,0x2001ffff,0xfffffffc,0xffffffff,0xf902ffff,0xffffffff,
    0xffffffff,0x7fcc05ff,0x000007ff,0x1ffffe60,0x1fffffc0,0xffff8000,
    0xff50003f,0x40001fff,0x007ffffb,0xffffa800,0xfffd000f,0xffffffff,
    0xffffffff,0xfff50009,0x3fa001ff,0xffffffff,0xffffffff,0xfffd04ff,
    0xffffffff,0xffffffff,0x7fffe409,0x40000004,0x802ffffe,0x003fffff,
    0x7fffff00,0x3ffea000,0x2e0000ff,0x0007ffff,0xfffffa80,0xffff9800,
    0xaaaaaaaf,0xffffeaaa,0xfffa8007,0xff9800ff,0xaaaaafff,0xffeaaaaa,
    0xfff987ff,0xaaaaaaff,0xfffeaaaa,0xffff107f,0x0000001f,0x06ffffa8,
    0x03fffff8,0xfffff000,0x3fe60007,0x5c0007ff,0x0007ffff,0x32aaaaa6,
    0xaabfffff,0x3fee0aaa,0x3f2005ff,0x5301ffff,0xfff95555,0x555557ff,
    0x2ffffdc1,0xfffff900,0x5ffffb83,0x3ffff200,0xffffb81f,0x00000005,
    0x803fffff,0xccefffff,0xcccccccc,0xfffff01c,0x9999999d,0x3e639999,
    0x40007fff,0x007ffffb,0x3fffff60,0xffffffff,0x3f63ffff,0x26003fff,
    0xb03fffff,0xffffffff,0xffffffff,0x7fffec7f,0x3ffe6003,0x7ffec3ff,
    0x3fe6003f,0xffe83fff,0x000002ff,0x9ffff900,0xffffff80,0xffffffff,
    0xfff02fff,0xffffffff,0x25ffffff,0x006ffff8,0x3ffffdc0,0xffffb000,
    0xffffffff,0x227fffff,0x000fffff,0x837ffffc,0xfffffffd,0xffffffff,
    0xffff13ff,0xfff8001f,0x3ffe26ff,0x7fc000ff,0x7fd46fff,0x000006ff,
    0x3fffe200,0x3fffe00f,0xffffffff,0xf02fffff,0xffffffff,0xffffffff,
    0x1bfffe25,0xffff7000,0x7fec000f,0xffffffff,0x3fffffff,0x00dffff5,
    0x1fffffb0,0xffffffb0,0xffffffff,0x3fea7fff,0xfd8006ff,0xff50ffff,
    0xfb000dff,0x7ec1ffff,0x00003fff,0x7ffec000,0x3fffe03f,0xffffffff,
    0xf02fffff,0xffffffff,0xffffffff,0x02ffffc5,0x3fffee00,0x3ff60007,
    0xffffffff,0x3fffffff,0x009ffff9,0x5fffff70,0xffffffb0,0xffffffff,
    0x3ff27fff,0xfb8004ff,0xff92ffff,0xf70009ff,0x3a25ffff,0x0000eeee,
    0x774c0000,0x3ffe05ee,0xffffffff,0x02ffffff,0xffffffff,0xffffffff,
    0x27776c5f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80010000,0x2eeeeeeb,0xdb100000,
    0x00001bdd,0x00000000,0x100d4400,0x00000055,0x04d4c000,0x00000000,
    0x2201a880,0x0000002a,0x765cc400,0x1bdeffff,0x3ffffea0,0x4c00002f,
    0x0effffff,0x7fecc000,0x000000ce,0x817ffff2,0xe985fffa,0xff300eff,
    0x000bffff,0x3ffff600,0x2605984f,0x05ffffff,0x7ffd4000,0x0effe985,
    0x02fffff8,0x3fea0000,0xffffffff,0x7f4407ff,0x0002ffff,0xffffff30,
    0x20001dff,0xfffffffb,0xf9000001,0x7fc0bfff,0x7fec3fff,0x3fa205ff,
    0x0005ffff,0x7ffffec0,0xfea8aeff,0x3fffa205,0x200005ff,0x6c3fffff,
    0xff85ffff,0x00002fff,0xffffff90,0xffffffff,0x3ffff200,0x7cc0002f,
    0xfffaefff,0x7cc000ef,0x6fffffff,0xff900000,0x3fe20bff,0x7ffc5fff,
    0xffc806ff,0x00005fff,0xfffffff7,0xffffffff,0xffffc805,0xf880005f,
    0x7fc5ffff,0xfff86fff,0x400002ff,0xffffffe9,0xffffffff,0x3ffea007,
    0xf30002ff,0x7ec49fff,0x32000eff,0xfff51eff,0xf9000005,0x7fc0bfff,
    0x7ff44fff,0xff5005ff,0x0000bfff,0xfd79fff5,0xbfffffff,0x3fffea00,
    0xff80005f,0x7ff44fff,0xffff85ff,0x7c00002f,0xffffffff,0x7fffeede,
    0x4cccc400,0x33310001,0x02666601,0x6c3ffe80,0x800004ff,0x205ffffc,
    0x540ffffb,0x2001ffff,0x05ffffe8,0x5c1fa800,0x06ffffff,0x7ffff440,
    0x7fdc0005,0x7ffd40ff,0xfffff81f,0x3ee00002,0x09dfffff,0x0000fb50,
    0x00000000,0x6c3ffd80,0x800003ff,0x405ffffc,0x77300bc9,0x3bb20001,
    0x080004ee,0x037b9710,0x77776400,0x5e4c0004,0x20177300,0x002fffff,
    0xfffff100,0x0004009f,0x00000000,0x3fff2000,0x01fffb8a,0xfffc8000,
    0x0000005f,0x00000000,0x00000000,0x80000000,0x002fffff,0xfffff900,
    0x3b200009,0xeeeeeeee,0xeeeeeeee,0xdddddb02,0xdddddddd,0xf1003ddd,
    0xbfffffff,0x3f200000,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x2fffff80,0xfff88000,0x00000fff,0xfffffffb,0xffffffff,0x3ffe07ff,
    0xffffffff,0x02ffffff,0xffffff30,0x4c40001d,0xffdbcdcb,0xca9805ff,
    0x01accedc,0x67654c00,0x4c0000ab,0xaccedcca,0x65440001,0x0000abcd,
    0xabcdca88,0x7ffffc00,0x0deedcc2,0x3ffffea0,0x3f600004,0xffffffff,
    0xffffffff,0xffffff03,0xffffffff,0x44005fff,0x0003dedc,0x3fffffaa,
    0x5fffffff,0xfffffb50,0x5dffffff,0xffffc800,0x00dfffff,0x3ffff6a0,
    0xefffffff,0x7ff4c002,0x0dffffff,0xfffe9800,0x00dfffff,0x2a3fffff,
    0xefffffff,0xfffff700,0x7ec00003,0xffffffff,0xffffffff,0xffffff03,
    0xffffffff,0x00005fff,0xfffb1000,0xffffffff,0x3fa0bfff,0xffffffff,
    0x805fffff,0xffffffe9,0x03ffffff,0xffffffd0,0xffffffff,0x3ffee00b,
    0xffffffff,0x3fee002f,0xffffffff,0xffff82ff,0xfffffb9f,0xd81fffff,
    0x000fffff,0x33332a00,0xcfffffdc,0xf01ccccc,0xddddffff,0xdddddddd,
    0xb9953003,0x2003599d,0xfffffff9,0xffffffff,0xffffd05f,0xffffffff,
    0x7dc05fff,0xffffffff,0x04ffffff,0xffffffe8,0xffffffff,0x7ffec02f,
    0xffffffff,0xfd801fff,0xffffffff,0x7c1fffff,0xfffdffff,0xffffffff,
    0x7ffff40f,0x50000007,0x001fffff,0x03fffff8,0xfffb5000,0xffffffff,
    0xfffe805d,0xecccefff,0xd05fffff,0x53579dff,0xffffffd5,0xfffff101,
    0xffffdfff,0xe801ffff,0xa9abceff,0xffffffea,0xfffff500,0xfff9535b,
    0xffa80dff,0xca9adfff,0x7c6fffff,0xffffffff,0xffffffef,0x7ffffc3f,
    0x50000006,0x001fffff,0x03fffff8,0xffffd000,0xffffffff,0x3fee0bff,
    0xf900efff,0x2f60bfff,0xffffc800,0xffffd81f,0x7ff4c1ef,0x5ec05fff,
    0xffffc800,0xfffff01f,0x3fffe607,0x3fffe03f,0xffff303f,0x7ffffc7f,
    0x3ee1dfff,0x3e27ffff,0x0005ffff,0xffff5000,0xfff8001f,0xd00003ff,
    0xffffffff,0x5fffffff,0xefffff98,0x3ffff200,0xfff00005,0xfff985ff,
    0x3fa205ff,0x0001ffff,0x0bffffe0,0x017fffee,0x20dffff9,0x405ffffb,
    0x3e6ffffc,0x03ffffff,0x27fffff7,0x06fffff8,0xff500000,0xf8001fff,
    0x0003ffff,0x579dffd0,0xffffd553,0x7ffe41ff,0x7fe402ff,0xb00005ff,
    0xfd89ffff,0x5400ffff,0x003fffff,0x3ffff600,0x1fffff84,0x7ffffcc0,
    0x1fffff80,0x7ffffcc0,0x9ffffff0,0x7ffffc40,0x1fffffe4,0x7d400000,
    0x4000ffff,0x003fffff,0x90017b00,0x6c3fffff,0xc806ffff,0x0005ffff,
    0x89ffffb0,0x005ffffe,0x00bffffd,0x7fffec00,0x3ffffc44,0x7ffffc40,
    0x3ffffc41,0x7ffffc40,0x0bfffff1,0x4bffffb0,0x007ffffe,0xfff50000,
    0xff8001ff,0x00003fff,0xfffff000,0x27ffff45,0x2ffffe40,0xccba9880,
    0x4ffffecc,0x017ffffc,0x06ffffc8,0x332ea620,0x4ffffecc,0x67ffffd4,
    0xcccccccc,0x542fffff,0xcccfffff,0xffcccccc,0xffff2fff,0xfff9005f,
    0x7fffecdf,0x8000000f,0x00fffffa,0x1fffffc0,0xd8000000,0x3fe4ffff,
    0xfc803fff,0x6cc05fff,0xffffffff,0x224fffff,0x001fffff,0x00fffff9,
    0xffffffb3,0x9fffffff,0xffffffb8,0xffffffff,0x5c3fffff,0xffffffff,
    0xffffffff,0xffff3fff,0xfff9005f,0x7fffe4ff,0x8000003f,0x00fffffa,
    0x7fffffc0,0xffffffff,0x200005ff,0xf34ffffd,0x9005ffff,0x220bffff,
    0xfffffffe,0xffffffff,0x3ffffea4,0xffff7001,0x3ffa201f,0xffffffff,
    0x644fffff,0xffffffff,0xffffffff,0x7fe43fff,0xffffffff,0xffffffff,
    0x5fffff3f,0xfffff700,0x3ffffee1,0xa8000006,0x000fffff,0x7ffffffc,
    0xffffffff,0x2a62005f,0xffeccccb,0xffff34ff,0xfff9005f,0x3fffa0bf,
    0xffffffff,0x2a4fffff,0x001fffff,0x40fffff7,0xfffffffe,0xffffffff,
    0x7fffec4f,0xffffffff,0x2fffffff,0x7fffffec,0xffffffff,0xff2fffff,
    0xf9005fff,0x7fccffff,0x0002ffff,0x7fffd400,0x7ffc000f,0xffffffff,
    0x805fffff,0xffffffd9,0x4fffffff,0x05fffff1,0x0bffff90,0x7ffffffb,
    0xffb33335,0x7ffcc9ff,0xff9002ff,0x3ff60dff,0x99abffff,0x4ffffd99,
    0x4f7fffe4,0x99999999,0x64099999,0x999effff,0x99999999,0xffff0999,
    0xfffb005f,0xffffd8df,0x000002ff,0x03ffffea,0xffffff00,0xffffffff,
    0x7f440bff,0xffffffff,0x24ffffff,0x803fffff,0x445ffffc,0x406fffff,
    0x7c4ffffd,0xb003ffff,0xf10bffff,0xd80dffff,0x7d44ffff,0x00006fff,
    0x01bfffea,0x3ffffe00,0xffffe802,0x7ffffc44,0x3dcc03ff,0x3fffea00,
    0x7ffc000f,0xaaaaadff,0x202aaaaa,0xfffffffe,0xffffffff,0x3ffffe4f,
    0x7fffcc04,0x7fffd45f,0x7ffec01f,0x7ffff44f,0xffff8805,0xffffa84f,
    0x7ffec01f,0x7fffcc4f,0xf300000f,0x0001ffff,0x02fffff8,0x1fffffcc,
    0x7fffffe4,0xedcbceff,0x7d4007ff,0x4000ffff,0x003fffff,0xfffffd80,
    0xd9999abf,0x3fa4ffff,0x3e207fff,0x5c5fffff,0x200fffff,0x44fffff9,
    0x01fffffd,0x17ffffdc,0x07ffffdc,0x9fffff30,0x4fffff88,0xfff10000,
    0xf80009ff,0x6c02ffff,0x881fffff,0xfffffffe,0xffffffff,0x7ffd4007,
    0x7fc000ff,0x40003fff,0x06fffff8,0x727fffec,0x107fffff,0xbffffffd,
    0x3fffffb8,0xffffff50,0xfffffa89,0xffff500e,0x3ffee0df,0xfff503ff,
    0xffb09fff,0x00005fff,0x0bfffff6,0xfffff800,0x3fffee02,0x3ff6205f,
    0xffffffff,0x4007ffff,0x00fffffa,0x1fffffc0,0x3ffea000,0x7fec01ff,
    0x3ffe24ff,0xfc99cfff,0x5fffffff,0x77ffffcc,0x3fffee21,0xffe84fff,
    0xa9abffff,0x1ffffffc,0xdfffff30,0x7fffdc43,0xff984fff,0x201dffff,
    0xff301db9,0x403bffff,0x3ffe1db9,0x7e4c0cff,0x800fffff,0xfffffffc,
    0x07ffffff,0x7ffffd40,0x7fffc000,0x7dc0003f,0x2600ffff,0x644fffff,
    0xffffffff,0xffffffff,0x7fffc45f,0xfffeffff,0x84ffffff,0xfffffff9,
    0xffffffff,0x3ffe204f,0xffefffff,0x4fffffff,0xffffff90,0xfffdddff,
    0x7fe403ff,0xeeffffff,0x21fffffe,0xffffffff,0xfffffffe,0x3ae2003f,
    0xffffffff,0x7d4000ad,0x4000ffff,0x003fffff,0x7ffffdc0,0xfffff503,
    0xffff889f,0xffffffff,0xb85ffff9,0xffffffff,0xfffbffff,0xffff904f,
    0xffffffff,0xfb801bff,0xffffffff,0xffffbfff,0x3ffffa04,0xffffffff,
    0x7f401fff,0xffffffff,0x21ffffff,0xffffffff,0xffffffff,0xfff10005,
    0x800013df,0x00fffffa,0x1fffffc0,0x3ffe6000,0x3ee21eff,0x84ffffff,
    0xffffffe8,0xffff1fff,0x3ffff60b,0xf2ffffff,0x7d409fff,0xffffffff,
    0x36003fff,0xffffffff,0x9ffff2ff,0xfffffb80,0xffffffff,0xfffb801f,
    0xffffffff,0x3ffe1fff,0xffffffff,0x0001efff,0x00bfffea,0x7fffd400,
    0x7ffc000f,0x440003ff,0xffffffff,0xfffffffe,0xffb104ff,0x7c19ffff,
    0x3ee05fff,0x0cffffff,0x1013fffe,0xffffffd9,0xf70001bd,0x19ffffff,
    0x4027fffc,0xffffffd8,0x00ceffff,0xfffffb10,0x19dfffff,0x7fff6544,
    0x03efffff,0x7fffb800,0xaaaa9800,0xbfffffca,0xf00aaaaa,0x999dffff,
    0x99999999,0xfffff703,0x7fffffff,0x1009ffff,0x00001555,0x0006aaa6,
    0x26aa6200,0x55300000,0x20000035,0x19aaba98,0xba988000,0x4c0019aa,
    0x00009aa9,0x027ffec0,0x7ffffec0,0xffffffff,0xff03ffff,0xffffffff,
    0x5fffffff,0x3fffff60,0xff2fffff,0x000009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff000000,0xfb0003ff,0xffffffff,0xffffffff,
    0x3ffffe07,0xffffffff,0x2e02ffff,0xcfffffff,0x013fffe0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00dfff10,0x3fffff60,
    0xffffffff,0xff03ffff,0xffffffff,0x5fffffff,0x03555300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aa20000,0xffb0001a,
    0xffffffff,0x7fffffff,0x3fffffe0,0xffffffff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x806a2000,0x000002a8,0x06aa6000,0x00000000,0x00000000,0x88000000,
    0x00009aaa,0x98000000,0xaabcedca,0x00aaaaaa,0x55100d44,0x50000000,
    0xfd30bfff,0x200001df,0xeffffff9,0xfffffa80,0xffe8801e,0x3fe2002f,
    0x00000eff,0xffffff30,0xffff981d,0x300005ff,0xfffffffb,0xf100005d,
    0x0001dfff,0x3fffff66,0xffffffff,0x3fea01ff,0xeffe985f,0x79dffd00,
    0x3fe00035,0x7fec3fff,0x980005ff,0x04ffffff,0xfffffff9,0xfffc803f,
    0x3ffa2005,0x0000efff,0x7ffffcc0,0x3ffa204f,0x20005fff,0xffffffc8,
    0x00efffff,0xffffd100,0xfb8001df,0xffffffff,0xffffffff,0x3ffffe01,
    0x2ffffec3,0xffffffe8,0x3e2001df,0x7fc5ffff,0x40006fff,0x2ffffff8,
    0xffffff30,0x7cc0dfff,0xd1000fff,0xbfffffff,0x7fc40000,0x9002ffff,
    0x00bfffff,0x3fffff60,0xffffffff,0x7f44000e,0x05ffffff,0x3ffffe60,
    0xffffffff,0x101fffff,0xf8bfffff,0xfd06ffff,0xffffffff,0x3ffe003b,
    0x7fff44ff,0x3e20005f,0x200effff,0xfd34fffd,0x3ffa05ff,0xffd1002f,
    0xbffff3df,0xfff10000,0xa8001dff,0x005fffff,0x7fffffdc,0xfffffece,
    0x3fa2005f,0xffff9eff,0xffff8805,0xffd711ef,0x01999fff,0x227ffffc,
    0xd05ffffe,0xffffffff,0xf7005fff,0xffa81fff,0xf10001ff,0xf009ffff,
    0xfffc8fff,0x05fffc83,0x43bfffa0,0x005ffff9,0x3ffffe20,0x3fa20004,
    0xf1005fff,0x881bffff,0x007ffffe,0x4c3bfffa,0x5405ffff,0x3e06ffff,
    0x7001ffff,0xfa81ffff,0xffd01fff,0xffffffff,0x793003ff,0x002ee601,
    0x77776c40,0x5fff8802,0x2627ffd4,0x9000ffff,0xd981bddd,0x88003eee,
    0x002eeeed,0x9dddd900,0xfffff500,0x3fffe601,0xeeec801f,0x7776cc0d,
    0x3ffff203,0x3ffff202,0x02f26005,0x98005dcc,0xffffffc9,0x000000ef,
    0x98000000,0x7fcc5fff,0x1ffff44f,0x00000000,0x00000000,0x3ffff200,
    0x3fffe204,0x0000001f,0x01ffffb0,0x037fffcc,0x40000000,0x3ffffffc,
    0x00000000,0xfff88000,0x71fffdc6,0x0000bfff,0x00000000,0xb0000000,
    0x5407ffff,0x000fffff,0xffd00000,0x7fc403ff,0x000006ff,0xfff90000,
    0x55550bff,0xaaa98015,0x32a2001a,0xf800abcd,0x3ff60fff,0x1ffff32f,
    0x332a6000,0x001acced,0x9db99530,0x4c000359,0xaccedcca,0x3ffffa01,
    0xffffd102,0x32a2000d,0x9000abcd,0x5409ffff,0x0004ffff,0x1579d953,
    0x3ffe0000,0xffff87ff,0x7ffe402f,0xffe9805f,0x0dffffff,0x2fffff60,
    0x3fa6fffe,0x6d4003ff,0xffffffff,0xa802efff,0xfffffffd,0x002effff,
    0xffffffb5,0x05dfffff,0x105fffff,0x03fffffb,0xffffe980,0x400dffff,
    0x207ffffb,0x002ffffe,0x7fffffe4,0x0000dfff,0x07fffff4,0x00bffffe,
    0x80bffff9,0xfffffffb,0x102fffff,0xffffffff,0x1bffee5f,0x3ffffa00,
    0xffffffff,0x7ff405ff,0xffffffff,0xe805ffff,0xffffffff,0x45ffffff,
    0xe82fffff,0x003fffff,0x7fffffdc,0x02ffffff,0x3fffffa2,0xfffea89c,
    0xfd3000ff,0xffffffff,0x40007fff,0xf87ffffd,0x6402ffff,0x3605ffff,
    0xffffffff,0x01ffffff,0xfffffff5,0x07fffe27,0x3ffffa00,0xffffffff,
    0x3fa02fff,0xffffffff,0x02ffffff,0x7ffffff4,0xffffffff,0x3ffffe2f,
    0x7ffffec2,0x7ffec002,0xffffffff,0x3e601fff,0xffffffff,0x001fffff,
    0xfffffff7,0xffffffff,0x3ffe0009,0xffff86ff,0x7ffe402f,0xffff505f,
    0xff9535bf,0x6440dfff,0x3fa1cdfd,0xfd0003ff,0x553579df,0x1ffffffd,
    0x2f3bffa0,0xfffeaa9a,0x3fa00fff,0xaa9abcef,0x0ffffffe,0x545fffff,
    0x002fffff,0x6fffffd4,0xffffca9a,0x3ffee06f,0xffffffff,0xff1003ff,
    0xfdffffff,0x1fffffff,0xffffc800,0xfffff85f,0x7fffe402,0x7fffff05,
    0x3ffffe60,0xfff70003,0x05ec000d,0x7ffffe40,0x90017b01,0x403fffff,
    0xffc800bd,0xffff1fff,0x7fffec5f,0xffff8006,0xffff303f,0xffff307f,
    0xffffffff,0x7fec0019,0x74c1efff,0x305fffff,0xfffb5333,0xfff03fff,
    0xffc805ff,0xfffb85ff,0x7ffe405f,0xff88006f,0x000001ff,0x0bffffe0,
    0x7fffc000,0x3e00002f,0xfff2ffff,0x7fff45ff,0x7fdc004f,0x7fe405ff,
    0xfffd86ff,0x13577536,0xffff9800,0x3ffa205f,0xfff81fff,0xffffffff,
    0x5fffff03,0x5ffffc80,0x01fffff8,0x07ffffcc,0x13fff600,0xfb000000,
    0x00009fff,0x013ffff6,0xffffd800,0x45fffff4,0x007ffffd,0x00fffffc,
    0x83ffffe6,0x003ffff8,0x7fffec00,0x7ffd400f,0xfffe83ff,0x05ffffff,
    0x00bffffe,0x88bffff9,0x8807ffff,0x001fffff,0x001bffea,0x3ff60000,
    0xb00004ff,0x0009ffff,0xa7fffec0,0x322fffff,0x004fffff,0x00fffff1,
    0x43fffff1,0x005ffff9,0x7ffff400,0xffffd005,0xfffffd0b,0xff805fff,
    0x7e402fff,0x7fd45fff,0xcccccfff,0xffffcccc,0xfff1002f,0x1000003f,
    0xd9999753,0x2009ffff,0xccccba98,0x004ffffe,0x3332ea62,0xf4ffffec,
    0x7d45ffff,0x00dfffff,0x67ffffd4,0xcccccccc,0x222fffff,0xabefffff,
    0x4000999a,0x002fffff,0xd0dffff9,0x159dffff,0x5fffff00,0x5ffffc80,
    0x7fffffdc,0xffffffff,0x003fffff,0x6d49fffb,0x2000cefe,0xffffffd9,
    0x4fffffff,0x7fffecc0,0xffffffff,0xffd9804f,0xffffffff,0xffff4fff,
    0xffffd85f,0x3ee01fff,0xffffffff,0xffffffff,0x7fff43ff,0xffffffff,
    0x2201deff,0x001fffff,0xb0fffff9,0x8003ffff,0x402fffff,0x645ffffc,
    0xffffffff,0xffffffff,0xfa803fff,0xfffb16ff,0x8803ffff,0xfffffffe,
    0xffffffff,0xffffd104,0xffffffff,0x74409fff,0xffffffff,0x4fffffff,
    0x885fffff,0xfffffffe,0xfffff902,0xffffffff,0x87ffffff,0xffffffe8,
    0xffffffff,0xfffa80ef,0xff7001ff,0xffd81fff,0x7fc000ff,0x7e402fff,
    0x7fec5fff,0xffffffff,0xffffffff,0x7ffc402f,0xfffffb1f,0xfe80dfff,
    0xffffffff,0x4fffffff,0xffffffd0,0xffffffff,0x7ff409ff,0xffffffff,
    0xf4ffffff,0xd105ffff,0x3fffffff,0xffffffb0,0xffffffff,0x705fffff,
    0xffffffff,0xffffffff,0xffffa81d,0xfff7001f,0xffffb0ff,0xffff8001,
    0x7ffe402f,0x7fffe45f,0x9999999e,0x09999999,0x9a7ffec0,0xffccffff,
    0xfffb03ff,0x33357fff,0x09ffffb3,0x7ffffffb,0xffb33335,0x3ff609ff,
    0x99abffff,0x4ffffd99,0x405fffff,0x6ffffffc,0x9effffc8,0x99999999,
    0x5c099999,0xeeefffff,0xfffffeee,0x7ffcc4ff,0xff9002ff,0xfff90dff,
    0xffff000f,0xfffd805f,0x7fffd45f,0xf5000006,0x3ff21dff,0x17ffea3f,
    0x1bffffe2,0x89ffffb0,0x06fffff8,0x427fffec,0x06fffff8,0xfa7fffec,
    0x5c02ffff,0x40ffffff,0x006ffffa,0xfffff500,0x7ffdc405,0xffff86ff,
    0xfffb003f,0x200000bf,0x203fffff,0x45fffff9,0x00fffff9,0x7ffc4000,
    0x87fff62f,0xfa86fff8,0x6c01ffff,0x7d44ffff,0x6c01ffff,0xfa84ffff,
    0x6c01ffff,0xfff4ffff,0xff9005ff,0xff985fff,0x80000fff,0x003ffffe,
    0x81fffff7,0x805ffffe,0x04fffff8,0xfffd0000,0x3ffe60bf,0x7fc45fff,
    0x00004fff,0x3a2fffe4,0x7fff87ff,0x0fffffb8,0x3ffffe60,0x7ffffdc4,
    0x3fffe600,0xffffb84f,0x3ffe600f,0xfffff4ff,0xffff3005,0xffff887f,
    0x7cc0004f,0x7001ffff,0xfb0fffff,0xb803ffff,0x302fffff,0xfb000157,
    0xfd10ffff,0xb0bfffff,0x005fffff,0x3fffea00,0x207fff40,0xffb86fff,
    0xff503fff,0xfb89ffff,0xf503ffff,0x709fffff,0x207fffff,0x4ffffffa,
    0x005fffff,0x05fffff1,0x05fffffb,0x7fffcc00,0xfffb002f,0xffff50bf,
    0x3fea01df,0xff906fff,0xfc8003ff,0xc9aeffff,0xffffffff,0xfffff985,
    0x36e601df,0x2fffe881,0x262fffd8,0xff985fff,0x2e21efff,0x4fffffff,
    0x77ffffcc,0x3fffee21,0xff984fff,0x2e21efff,0x4fffffff,0x4c5fffff,
    0x7fffec40,0xffff980f,0x2e601dff,0x3fffe21d,0x3f6200ef,0xfd03ffff,
    0x357fffff,0xffffff95,0xfffff503,0xfff9800d,0xffffffff,0x05ffffff,
    0xfffffff9,0xffffdddf,0xbfff903f,0x27bffee0,0x883fffd9,0xffffffff,
    0xfffffffe,0x7ffc44ff,0xffefffff,0x4fffffff,0xffffff88,0xfffffeff,
    0xfff4ffff,0x77ffc5ff,0x6ffffffe,0x3fffff20,0xffeeefff,0x7fec1fff,
    0xccefffff,0xffffffec,0x3fffe605,0xffffffff,0xfb04ffff,0x003fffff,
    0xffffffd8,0xff9fffff,0x3ffa05ff,0xffffffff,0x4c1fffff,0xf100ffff,
    0xffffffff,0x7fffdc0d,0xffffffff,0xb84ffffb,0xffffffff,0xfffbffff,
    0xffff704f,0xffffffff,0x3e9ffff7,0x3fe2ffff,0xffffffff,0x7fff400f,
    0xffffffff,0x7441ffff,0xffffffff,0xffffffff,0xffffc805,0xffffffff,
    0xffb00dff,0x8003ffff,0xffffffe8,0xffff1eff,0xffffb80b,0xffffffff,
    0x7fff41ff,0x7fffdc02,0x6c02ffff,0xffffffff,0x9ffff2ff,0x3fffff60,
    0xff2fffff,0x7fec09ff,0xffffffff,0x3e9ffff2,0x3fe2ffff,0xefffffff,
    0xffff7001,0xffffffff,0xffb103ff,0xffffffff,0x4005dfff,0xfffffffa,
    0x403fffff,0x06fffffa,0x3ffff600,0x3ffe0cff,0xffd8805f,0xffffffff,
    0x3fff20ce,0xffff5005,0x3ee001df,0x0cffffff,0xb813fffe,0xcfffffff,
    0x013fffe0,0xfffffff7,0xa7fffc19,0x3e2fffff,0x2effffff,0xfffd8800,
    0xefffffff,0x3fae200c,0xceffffff,0xfd910002,0x1bdfffff,0x3ffff200,
    0x54c40001,0x800000aa,0x19aaba98,0x2a200000,0x55300009,0x4c000035,
    0x00001aaa,0x000d554c,0x0d54cc00,0x75310000,0x80003355,0x00000198,
    0x00135531,0x0002aa60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555100,0xaaa98003,
    0x000000aa,0x3f200000,0x4c1fffff,0xffb004cb,0x0b309fff,0xfff30000,
    0x8001dfff,0x00effff8,0x7fdc0000,0x3e20006f,0x0000efff,0xfffff300,
    0xfff981df,0x10005fff,0x00bfffff,0x07ffffd8,0x77fffc40,0xdff91000,
    0xfffd8005,0xfffecfff,0xfffd805f,0xa8aeffff,0x200005fe,0x4ffffff9,
    0xfffe8800,0x00000eff,0x00ffffa0,0x7ffff440,0x400000ef,0x4ffffff9,
    0x3ffffa20,0xffb0005f,0x22001fff,0x004fffff,0x3fffffa2,0x7ff4400e,
    0x22003fff,0xffffffff,0x5c05ffff,0xffffffff,0x2fffffff,0xfff88000,
    0x88002fff,0xfffffffe,0xf1000005,0x10001fff,0xfffffffd,0x7c40000b,
    0x002fffff,0x0bfffff9,0xfffff500,0x3ffee007,0xfd1001ff,0x0bffffff,
    0xffffffc8,0x3fb6600f,0xffffffff,0x5405ffff,0xffebcfff,0x05ffffff,
    0xffff8800,0xe88000ef,0xfff9efff,0xb800005f,0x88006fff,0xff9efffe,
    0x880005ff,0x00efffff,0x7ffffd40,0xffff8005,0xfffd006f,0x3fa200df,
    0xffff9eff,0x3ffffa05,0x3ea02fff,0xffffffff,0x00acefff,0x7fdc1fa8,
    0x0006ffff,0x4fffff88,0x3fffa000,0xbffff30e,0x7654c000,0x003ffffe,
    0x30efffe8,0x000bffff,0x27ffffc4,0xfffd1000,0xffc800bf,0x7cc01fff,
    0xd002ffff,0x3e61dfff,0xffd05fff,0x407fffff,0xfffffffa,0x001fffff,
    0x7b971008,0xdb100003,0x40005ddd,0x4c0deeec,0x2003eeed,0xffffffd8,
    0x4002ffff,0x4c0deeec,0x8003eeed,0x02eeeed8,0xdddd9000,0x7ffc4009,
    0x7fe404ff,0xdd9007ff,0xeed981bd,0xffffd83e,0x3ea02fff,0xffc9bdff,
    0x00006fff,0x00000000,0x00000000,0xfffffd30,0x7fffffff,0x00000000,
    0x00000000,0x7ffec000,0x7fff407f,0x0000004f,0xffffff98,0xe8054c06,
    0x003fffff,0x00000000,0x00000000,0x7fffdc00,0xffffffff,0x00004fff,
    0x00000000,0x50000000,0x205fffff,0x01fffff9,0xf5000000,0x0001bfff,
    0xffffd953,0x260003ff,0x00abceca,0x9d953000,0x20000157,0x0abceca9,
    0x3fffe200,0xfffddfff,0x201fffff,0x400aaaaa,0xa81aaaa9,0x4c00aaaa,
    0x5501aaaa,0xa9801555,0xfff01aaa,0x3ff20bff,0x555006ff,0x55555555,
    0x0d544003,0x7fffdc00,0x5fffffff,0x7fffe400,0x00dfffff,0xfffff900,
    0x001bffff,0x3fffff20,0x800dffff,0x23fffffd,0xfffffffc,0x3fffe06f,
    0x7ffe402f,0xfffff85f,0x7fffe402,0x5fffff05,0x5ffffc80,0x1fffff90,
    0x07fffff0,0x3fffffe0,0x005fffff,0xffe98000,0xffffffff,0xe9801fff,
    0xffffffff,0x2003ffff,0xffffffe9,0x03ffffff,0x3ffffa60,0xffffffff,
    0x3fffe603,0x6ffffc2f,0xf01fffff,0xc805ffff,0xff85ffff,0x7e402fff,
    0xfff05fff,0xffc805ff,0xfff305ff,0xfffa87ff,0xfff000ff,0xffffffff,
    0x565c400b,0xffff9800,0xffffffff,0x7dc05fff,0xffffffff,0x04ffffff,
    0xffffffb8,0xffffffff,0xfffb804f,0xffffffff,0xfb04ffff,0xff98dfff,
    0xfffff8ff,0x5fffff04,0x5ffffc80,0x02fffff8,0x82ffffe4,0x402fffff,
    0x205ffffc,0x6c6ffffe,0x2004ffff,0xffffffff,0xf5005fff,0xe803ffff,
    0xceffffff,0xffffffdc,0xfffff101,0xffffdfff,0x4401ffff,0xffffffff,
    0xfffffffe,0x3ffe200f,0xffefffff,0x80ffffff,0x642ffffe,0xfff74fff,
    0x3fffe0df,0x7ffe402f,0xfffff85f,0x7fffe402,0x5fffff05,0x5ffffc80,
    0x3ffffea0,0x3fffff10,0x77777400,0x05fffffe,0xffffff98,0xffff700f,
    0xfff701df,0x3ff607ff,0x74c1efff,0x205fffff,0x1efffffd,0x7fffff4c,
    0x3ffff605,0x7ff4c1ef,0xfff85fff,0x7fffc0ff,0x0fffff52,0x00bffffe,
    0xf0bffff9,0xc805ffff,0xff05ffff,0xfc805fff,0x7fc05fff,0xfff73fff,
    0x360000df,0xc805ffff,0x3fffffff,0xefffff88,0xfffff100,0xfffff30d,
    0x7fff440b,0xfff981ff,0x3fa205ff,0xf981ffff,0x2205ffff,0x21fffffe,
    0x547ffff8,0x3fe67fff,0xffff07ff,0xfffc805f,0xfffff85f,0x7fffe402,
    0x5fffff05,0x5ffffc80,0xb7fffe40,0x003ffffe,0xbffffb00,0xfffffb00,
    0xfff709ff,0xffe805ff,0x7fec0fff,0x7d400fff,0xfd83ffff,0x5400ffff,
    0xd83fffff,0x400fffff,0x23fffffa,0x646ffffa,0x3fe24fff,0xfff80fff,
    0x7fe402ff,0xffff85ff,0x7ffe402f,0xfffff05f,0xffffc805,0x7fffcc05,
    0x0fffffaf,0xfffb0000,0xfffb00bf,0xfb07ffff,0xf700dfff,0xfe85ffff,
    0xfd005fff,0xffd0bfff,0x3fa00bff,0xffe85fff,0xffd005ff,0x7ffd4bff,
    0x0ffffc7f,0x20fffff3,0x402fffff,0xf85ffffc,0x6402ffff,0xff05ffff,
    0xfc805fff,0xfe805fff,0xffffffff,0x3f600005,0xfa805fff,0x81ffffff,
    0x804ffffe,0x42fffffa,0x002fffff,0xf0dffff9,0x2005ffff,0xf86ffffc,
    0x9002ffff,0x7ccdffff,0x3fea7fff,0x7fffd47f,0x5fffff06,0x5ffffc80,
    0x02fffff8,0x82ffffe4,0x402fffff,0x805ffffc,0xfffffffb,0x200002ff,
    0x005ffffd,0x07fffffb,0x00fffffe,0x8fffffe6,0x01fffff8,0x8fffff90,
    0x01fffff8,0x8fffff90,0x01fffff8,0x4fffff90,0xb0fffff9,0xffb89fff,
    0xffff05ff,0xfffc805f,0xfffff85f,0x7fffe402,0x5fffff05,0x5ffffc80,
    0xfffff880,0x00007fff,0x02ffffec,0x205bdb70,0x02fffff8,0x3fffff88,
    0x07ffffea,0x7ffffdc0,0x3ffffea0,0xffff7001,0x7fffd41f,0xfff7001f,
    0x3ffe21ff,0x3ffff2ff,0x04ffffe8,0x805fffff,0xf85ffffc,0x6402ffff,
    0xff05ffff,0xfc805fff,0xf9005fff,0x07ffffff,0xfffd8000,0x9800005f,
    0x802fffff,0x23fffff8,0x01fffffa,0x8fffff70,0x01fffffa,0x8fffff70,
    0x01fffffa,0x8fffff70,0xfaeffffd,0x7ffcc7ff,0xffff02ff,0xfffc805f,
    0xfffff85f,0x7fffe402,0x5fffff05,0x5ffffc80,0xfffff300,0x800001ff,
    0x005ffffd,0x205ffff7,0x02fffff8,0x3fffff98,0x0bffffe6,0x37fffe40,
    0x0bffffe6,0x37fffe40,0x0bffffe6,0x37fffe40,0x3bffffee,0x3fa24fff,
    0x3fe06fff,0x7e402fff,0xfff85fff,0x7fe402ff,0xffff05ff,0xfffc805f,
    0x3ffa005f,0x00004fff,0x05ffffd8,0x80ffffb0,0x803fffff,0x42fffffa,
    0x003fffff,0xf0bffffb,0x2007ffff,0xf85ffffd,0xb003ffff,0xf88bffff,
    0xffffffff,0xffffea89,0x3fffe02f,0x7ffec02f,0xfffff85f,0x7fffec02,
    0x5fffff05,0x5ffffd80,0x3ffffa00,0xd800000f,0xf005ffff,0xff809fff,
    0xfc805fff,0x7f40ffff,0xf8805fff,0xfe84ffff,0xf8805fff,0xfe84ffff,
    0xf8805fff,0xfa84ffff,0xefffffff,0x5fffffff,0x1fffffc0,0xbfffff30,
    0x07fffff0,0x2fffffcc,0x03fffff8,0x17ffffe6,0x7ffffd40,0xfb000004,
    0xf100bfff,0xfe803fff,0x2200ffff,0xd86fffff,0x401fffff,0x82fffffb,
    0x01fffffd,0x17ffffdc,0x0fffffec,0x3ffffee0,0xfffff902,0xffffffff,
    0xffe801bf,0xfff305ff,0xffd0bfff,0x3fe60bff,0xfd05ffff,0x3e60bfff,
    0x805fffff,0x0ffffff8,0xffb00000,0xff500bff,0xfff700df,0x7fec0bff,
    0xffa84fff,0xf500efff,0x2a0dffff,0x00efffff,0x0dfffff5,0x3bffffea,
    0xfffff500,0xffffb80d,0xffffffff,0xffffb003,0xffffd10f,0xfffb0bff,
    0xfffd10ff,0x3f60bfff,0xfe887fff,0x405fffff,0x2fffffe8,0x3f600000,
    0xfb805fff,0xfff003ff,0x5135dfff,0x1ffffffd,0x3fffffa0,0xffca9abf,
    0x3a01ffff,0xabffffff,0xfffffca9,0x3fffa01f,0xca9abfff,0x01ffffff,
    0xffffffb8,0x2001deff,0xaefffffc,0xffffffc9,0xfffc85ff,0xffc9aeff,
    0x05ffffff,0x5dfffff9,0xffffff93,0x54d54bff,0x4ffffffc,0x99988000,
    0xffffd999,0x2199999e,0x7000bbba,0xffffffff,0xffffffff,0x7fffcc07,
    0xffffffff,0x4c04ffff,0xffffffff,0xffffffff,0x7fffcc04,0xffffffff,
    0xd004ffff,0x13759fff,0x3ffe6000,0xffffffff,0x85ffffff,0xfffffff9,
    0xffffffff,0xfff305ff,0xffffffff,0x4bffffff,0xfffffffd,0xd00006ff,
    0xffffffff,0xffffffff,0xd00001ff,0xffffffff,0x09ffffff,0xffffff90,
    0xffffffff,0xfff9001b,0xffffffff,0x9001bfff,0xffffffff,0x1bffffff,
    0x1ffff100,0x7fec0000,0xffffffff,0x05ffff9f,0xfffffffb,0xfff3ffff,
    0x7ffec0bf,0xffffffff,0x365ffff9,0xffffffff,0xfd00000e,0xffffffff,
    0xffffffff,0x2e00001f,0xffffffff,0x2004ffff,0xfffffffa,0x003fffff,
    0x7fffffd4,0x03ffffff,0x7ffffd40,0x3fffffff,0x1bffee00,0xffd10000,
    0x3dffffff,0x4417fffe,0xfffffffe,0xbffff1ef,0x7ffff440,0xff1effff,
    0x7ffecbff,0x0003ffff,0x7fffff40,0xffffffff,0x000fffff,0x3fff6600,
    0x00cfffff,0xfffec880,0x000defff,0xffffd910,0x0001bdff,0x3ffffb22,
    0x4000deff,0x0003fffe,0xfffffb00,0x7fffc19f,0x7fffec05,0x3ffe0cff,
    0xfffd805f,0x3fe0cfff,0x3fff65ff,0x00000cdf,0xffffffe8,0xffffffff,
    0x0000ffff,0x33553100,0x54c40000,0x4000009a,0x0009aa98,0x4d54c400,
    0xddd10000,0x4000001d,0x000aaa98,0x15553100,0x54c40000,0x998000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,0x80000019,
    0x02a600a9,0x3b72a200,0x800002bc,0x100009a9,0x00035555,0x2ddb8000,
    0x20000000,0x400aaaaa,0x000aaaaa,0x75100000,0xffd88005,0x0001ffff,
    0x0ffffd88,0x5fffd100,0x82fffd80,0x2003fffc,0xfffffffb,0xd80001df,
    0x984fffff,0xfffff905,0x3a2007ff,0xfb002fff,0x0000bfff,0x7fffffe4,
    0x17ffffc2,0x0bffffe0,0x005fffff,0xffff9800,0x7fdc000e,0x0001ffff,
    0xffffff91,0x3fff2001,0x7fffdc05,0x7ffffd47,0x7fff4400,0xffffffff,
    0x3ff60002,0x8aefffff,0xffc85fea,0x02ffffff,0x005fffc8,0x5ffffff5,
    0xfff90000,0xfff03dff,0xfff805ff,0x7fffc2ff,0x2200002f,0x05ffffff,
    0xffffe980,0xffe8001f,0x800fffff,0x400ffff9,0x20fffffd,0x02fffffb,
    0x7fffffe4,0x0fffffff,0xffffb800,0xffffffff,0x67642fff,0x05ffffcc,
    0x007fffcc,0xffffffb8,0x7fe40003,0x3fe05fff,0x7fc02fff,0x7ffc2fff,
    0x200002ff,0xfffffffa,0xffd88000,0x5c001fff,0x0ffffeff,0x02fffe80,
    0x47ffffc8,0x01fffffa,0x37ffffe6,0xfffffcaa,0xfffa8005,0xfffffebc,
    0xf7005fff,0xffe809ff,0x3fee002f,0x0002ffff,0x0bfffff2,0x05fffff0,
    0x42fffff8,0x002fffff,0x3fffee00,0x20001fff,0x01fffffb,0x3fe27a20,
    0x7fe400ff,0xfff1005f,0x9fffd07f,0x4ffffd80,0x06ffffb8,0xfb83f500,
    0x206fffff,0xffffbaa8,0x17fff201,0xfffff100,0x3f20001d,0xf801efff,
    0x7c02ffff,0x7fc2ffff,0x00002fff,0x3fffffea,0x6cc0000f,0x8000deee,
    0x200ffff8,0x000ffff9,0xca8072e2,0xfffff802,0x1fffff00,0x5c402000,
    0x7d401bdc,0x201fffff,0x000ffff9,0x00effe98,0x9dddd700,0x7ffffc00,
    0x7ffffc02,0x17ffffc2,0x3ffa0000,0x00004fff,0x7fc40000,0x3ffa00ff,
    0x0000003f,0x37fffc40,0x01fffff0,0x50000000,0x5dffffff,0x00ffffa0,
    0x00001100,0xffff8000,0x7fffc02f,0x7ffffc2f,0x74400002,0x0000dfff,
    0x7c400000,0xff700fff,0x000000bf,0xfffff100,0xdffff101,0x00000000,
    0x3ffb7326,0x7ffdc0ff,0x00000005,0xfff00000,0xfff805ff,0x7fffc2ff,
    0x3000002f,0x2aa00015,0xaaaaaaaa,0xff88001a,0xfff980ff,0x2aaa000f,
    0xaaaaaaaa,0x7fff4001,0xffffc82f,0x55554005,0x5ef65c41,0xfffe8002,
    0x03fffe63,0xaaaa8800,0x55555400,0x01aaaaaa,0x0bffffe0,0x85fffff0,
    0x222fffff,0x002bdecb,0xfff80000,0xffffffff,0xfff88005,0x3fffe80f,
    0x7ffffc00,0x05ffffff,0x37fffec0,0x07ffffee,0x4bffff00,0xfffffffb,
    0x7cc0980d,0x3ffa2fff,0x7cc0003f,0x7fc02fff,0xffffffff,0x3ffe005f,
    0x7ffc02ff,0x7fffc2ff,0xfffff71f,0x00001bff,0x7ffffc00,0x05ffffff,
    0x0ffff880,0x0037ffdc,0x7ffffffc,0x4005ffff,0x8bfffff9,0x03fffffc,
    0xb5ffff80,0xffffffff,0xffff81ff,0x70ffffff,0x0000dfff,0x805ffff5,
    0xffffffff,0x3e005fff,0x7c02ffff,0x7fc2ffff,0xfffd9fff,0x0fffffff,
    0xff000000,0xffffffff,0xff1000bf,0x7ffc41ff,0xfff8001f,0xffffffff,
    0xfffd8005,0xffffffff,0xffff0004,0xffffffbd,0xf89fffff,0xffffffff,
    0x03ffff11,0xffff5000,0xfffff807,0x05ffffff,0x0bffffe0,0x85fffff0,
    0xffefffff,0xffffffff,0x0000004f,0xffdddddd,0x2000bfff,0x7ff44ccc,
    0xddd0003f,0xfffffddd,0xfff1000b,0x7fffffff,0x7fffc000,0xfeffffff,
    0x20ffffff,0x2deeffee,0x001ffff4,0x3ffffc80,0x77777740,0x005fffff,
    0x00bffffe,0xf85fffff,0xffffffff,0xffffffef,0x0000000f,0x17ffff60,
    0xfff70000,0xfb00000d,0x2000bfff,0xfffffffb,0x7fc0000d,0x1dffffff,
    0x5fffff91,0xdfff7000,0xffdb8000,0x0004ffff,0x00bffffb,0x017ffffc,
    0xf0bffffe,0xbfffffff,0x3ffff223,0x0001002f,0xbffffb00,0x7fc40000,
    0x800001ff,0x005ffffd,0xfffffe98,0xff00006f,0x107fffff,0x007fffff,
    0x01ffff88,0xffffd300,0x0009ffff,0x017ffff6,0x02fffff8,0x0bfffff6,
    0x7fffffff,0x7fffff10,0x177fec40,0xfffb0000,0x6c0000bf,0x00004fff,
    0x0bffffb0,0xfffffa80,0xff83ffff,0x7ffc06ff,0x3fa04fff,0x6c004fff,
    0x50004fff,0xffffffff,0x360009ff,0x2005ffff,0x704fffff,0x87ffffff,
    0x04ffffff,0x813ffffa,0x02fffffd,0xffffb000,0x3ea0000b,0x000006ff,
    0x017ffff6,0xffffff98,0x221fffff,0x7c05ffff,0x6405ffff,0x2005ffff,
    0x0006fffa,0xfffffff1,0x0009dddf,0x017ffff6,0x86fffff8,0xfffffffa,
    0x2fffffc4,0x17ffff20,0x7fffffcc,0xffb00007,0x10000bff,0x0003ffff,
    0x7fffec00,0x3fffe005,0xfffff9ef,0x9ffff10f,0x2fffff80,0x2ffffe40,
    0x1ffff880,0xffff9000,0x400005df,0x005ffffd,0x3bfffffe,0xfffffd9a,
    0xff09ffff,0xfc805fff,0xff505fff,0x007fffff,0xbffffb00,0xfffb0000,
    0x3ccccb89,0x3fff6000,0xfff7005f,0x3ffea1ff,0xfff98eff,0x7fffc04f,
    0x7ffe402f,0xfffb005f,0x3ccccb89,0x1ffffff0,0xffd80000,0x3fe005ff,
    0xffffffff,0xffffffff,0xfffff5ff,0xffffc805,0xfffff105,0xb00009ff,
    0x000bffff,0x4c6fffa8,0x006fffff,0x17ffff60,0x1fffff40,0x37ffffee,
    0x403ffffb,0x402fffff,0x805ffffc,0x7cc6fffa,0xf886ffff,0x0004ffff,
    0x5ffffd80,0x3ffffe00,0xefffffff,0x5ffffff9,0x805fffff,0x205ffffc,
    0x5ffffffc,0xfffd8000,0x3e20005f,0x7ff41fff,0x20006fff,0x005ffffd,
    0xb03fffff,0xffffffff,0xfff803ff,0x7fe402ff,0x7fc405ff,0x7fff41ff,
    0xfffa86ff,0x800003ff,0x005ffffd,0x3ffffffe,0xfd0effff,0x3febffff,
    0x7e402fff,0x7f405fff,0x0005ffff,0x05ffffd8,0x13fff600,0xdffdfff7,
    0x7ffec000,0xfff9805f,0xfffd107f,0x00dfffff,0x805fffff,0x405ffffc,
    0x7dc4fffd,0xa86ffeff,0x004fffff,0xffffd800,0x3fffe005,0x0cffffef,
    0x57ffffa2,0x402fffff,0x405ffffc,0x03fffff8,0xffffd800,0xfff50005,
    0x57ffcc1d,0x20006ffd,0x805ffffd,0x00fffff9,0xfffffff1,0xffff005f,
    0xfffc805f,0x3ffea05f,0x2bffe60e,0xff886ffd,0x00006fff,0x05ffffd8,
    0x23ffffe0,0x554c01a9,0x5fffff09,0x5ffffc80,0x2ffffe80,0xfffd8000,
    0xff88005f,0xafff42ff,0x20006ffd,0x805ffffd,0x02fffff8,0x3fffffea,
    0xfffff007,0xffffc805,0x5ffff105,0xffb5ffe8,0x3ffffa0d,0x6c00004f,
    0x2005ffff,0x000fffff,0x2fffff80,0x2ffffe40,0x07ffffc0,0x7ffec000,
    0xffc8005f,0x87ffdc5f,0x20006ffd,0x005ffffd,0x80dffffd,0x06fffffc,
    0x05fffff0,0x05ffffc8,0xfb8bfff9,0x0dffb0ff,0x3ffffff2,0xfb00001c,
    0x7c00bfff,0x0001ffff,0x02fffff8,0x02ffffe4,0x00ffffee,0x7fffec00,
    0x7ffd4005,0x33ffe20f,0x09fffe99,0xffffd800,0xffffb005,0xffc883df,
    0x804fffff,0x402fffff,0xa85ffffc,0x3e20ffff,0xffe99cff,0x7ff4409f,
    0xbcdfffff,0x7ec0009a,0x3e005fff,0x0001ffff,0x02fffff8,0x82ffffe4,
    0x05ffffd9,0x4ccccc40,0x9effffd9,0xe8819999,0x7fd42fff,0xffffffff,
    0x3333105f,0xdffffb33,0x88333333,0xffffffff,0xfffffffe,0x7c03ffff,
    0x6402ffff,0x7445ffff,0x7fd42fff,0xffffffff,0xffff985f,0xffffffff,
    0x99999884,0x9effffd9,0xff819999,0x80002fff,0x402fffff,0xd15ffffc,
    0xfffffffd,0xfffe8001,0xffffffff,0x0fffffff,0x542fffe4,0xffffffff,
    0xffd05fff,0xffffffff,0xffffffff,0xfffffa81,0xffffffff,0x2fffffff,
    0x0bffffe0,0x8bffff90,0xfa85fffc,0xffffffff,0xfff505ff,0xffffffff,
    0xfffffd09,0xffffffff,0xf81fffff,0x0002ffff,0x02fffff8,0x8affffe4,
    0xcfffffff,0xfffe8000,0xffffffff,0x0fffffff,0x203fffe6,0xfeeeeeea,
    0xfd04efff,0xffffffff,0xffffffff,0xffff501f,0xffffffff,0xffffff59,
    0x3ffffe01,0x7fffe402,0x03fffe65,0x3bbbbbaa,0x204effff,0xffffffc8,
    0xffe84fff,0xffffffff,0xffffffff,0x17ffffc0,0x7fffc000,0x7ffe402f,
    0xfffff15f,0x7f40001b,0xffffffff,0xffffffff,0x0bfffa0f,0x01bff600,
    0xfffffffd,0xffffffff,0x7dc01fff,0xdfffffff,0x3ffffea0,0xfffff80e,
    0x7fffe402,0x00bfffa5,0x801bff60,0xffffffc8,0xffffe84f,0xffffffff,
    0x40ffffff,0x002fffff,0x2fffff80,0xaffffe40,0x0001abc8,0xffffffd0,
    0xffffffff,0x3f21ffff,0xfb0005ff,0xfffe80df,0xffffffff,0x0fffffff,
    0x0aaa9880,0xffff0000,0xfffc805f,0x0bfff95f,0x01bff600,0x765d4c40,
    0xfffffe83,0xffffffff,0x740fffff,0x0001eeee,0x02fffff8,0x02ffffe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26620000,0x88000001,0x00002ded,0x4c400000,
    0x30abcdca,0x06aaaa77,0x037bd971,0x54cc0000,0x000009aa,0x00200000,
    0x00006000,0x00000200,0xb1000130,0x2001ffff,0x402fffe8,0x03fffff8,
    0x04ffffd8,0x3faa0000,0xffffffff,0xffff5fff,0x7ffffdcb,0x00000eff,
    0xffffffb3,0x7ffc1fff,0xffffffff,0xb9880005,0xdeffffec,0xd951001b,
    0x0379dfff,0xffdb9800,0x20001bdf,0xfffffec9,0x3f2201de,0x000fffff,
    0x900bfff9,0x00ffffff,0x009ffffb,0xfffb1000,0xffffffff,0x3ffebfff,
    0xfffffb5f,0x003fffff,0x7fffec40,0x0fffffff,0x3ffffffe,0x0005ffff,
    0x7fffffd4,0x07ffffff,0xfffffe98,0x003fffff,0xffffff98,0x000effff,
    0x3fffff22,0x1effffff,0xffffffe8,0xfff9800f,0xfffd800f,0x7ec00fff,
    0x00004fff,0x7fffffcc,0xffffffff,0xdffff5ff,0xfffffffb,0x001fffff,
    0x3fffff60,0x0fffffff,0x3ffffffe,0x0005ffff,0x3ffffff2,0x7fffffff,
    0x7ffffdc0,0xffffffff,0x3ffee005,0xffffffff,0xff8801ff,0xffffffff,
    0x5c1fffff,0x0ffffeff,0x02fffe80,0xffffff90,0x9ffffb00,0xffe80000,
    0xccceffff,0xf5fffffe,0xffffffff,0xffffffdf,0xff50007f,0xdddfffff,
    0x7ffc1fff,0xffffffff,0xffe98005,0xffffffff,0x3607ffff,0xffffffff,
    0xefffffff,0x7fffe400,0xffdb9bdf,0x7f402fff,0xffffffff,0x0fffffff,
    0x3ffe27a2,0x7ffe400f,0x3ffe6005,0xffd803ff,0x200004ff,0x0efffffb,
    0x2bffff90,0xffffffff,0x3fffee1d,0x7fc4007f,0x5103ffff,0xd9999998,
    0x8005ffff,0xffffffff,0xfffeedef,0xfffff507,0xffffbdff,0x6407ffff,
    0x6402ffff,0xf702ffff,0x2159ffff,0xfffffdb8,0x1ffff103,0x07fffcc0,
    0x0fbfa600,0x27fffec0,0xfff88000,0x3f200eff,0xffff5fff,0x3ee07fff,
    0x2003ffff,0x03fffff9,0xffffb000,0xfffb800b,0x5009dfff,0x3fffa0fb,
    0x7ec40cff,0xf107ffff,0x32005fff,0xffb06fff,0xfff80bff,0xfff105ff,
    0x7fff401f,0x20000003,0x004ffffd,0xfffff900,0xffffc805,0x9ffffff5,
    0x7ffffc40,0x3ffea004,0x3600007f,0x2005ffff,0x4ffffff8,0x3fee0200,
    0x7ec04fff,0xfc82ffff,0x7e4002ff,0xffff82ff,0x7ffdc01f,0xffff106f,
    0x17ffee01,0xfb000000,0x00009fff,0x01bffff6,0x7d7ffff2,0xd805ffff,
    0x2005ffff,0x005ffffc,0x3ffff600,0x3fff2005,0xf80004ff,0x8806ffff,
    0x446fffff,0xdb885fff,0xfff13efe,0xfffff88d,0x7fffd400,0x1ffff105,
    0x01ffff30,0xaaaaaaa8,0xd801aaaa,0x4c04ffff,0x742aaaaa,0xc804ffff,
    0xfff5ffff,0xff9005ff,0x7ec00dff,0x00004fff,0x017ffff6,0x7fffffc4,
    0x7fd40000,0xfb003fff,0x7e43ffff,0x7ffcc2ff,0x3ff24fff,0x7ffffc2f,
    0x7fffe403,0x1ffff104,0x007fffd0,0xffffffff,0xfb00bfff,0x7cc09fff,
    0x7c2fffff,0xc803ffff,0xfff5ffff,0xff9005ff,0x7ec00fff,0x00004fff,
    0x017ffff6,0x27ffffd4,0x7ffe4000,0xff5000ff,0x7ff45fff,0x7ffffd46,
    0x3ffe64ff,0x7fffff44,0xfffff301,0x3fffe203,0x037ffdc0,0xfffffff8,
    0xd805ffff,0xf104ffff,0x987fffff,0x802fffff,0xff5ffffc,0xf7005fff,
    0x2001ffff,0x004ffffd,0x3ffff600,0xffff7005,0xfd00003f,0x4400dfff,
    0x3e3fffff,0x7fff44ff,0x7f44edef,0x7fffd45f,0x7ffd44ff,0x3fe205ff,
    0x3ffe20ff,0xffff001f,0xbfffffff,0x9ffffb00,0x3fffffa0,0xfffff984,
    0xffffc802,0x05fffff5,0x0fffff90,0xfd333333,0x3333bfff,0x20013333,
    0x005ffffd,0x01fffffb,0xfffff000,0xffff800b,0x47fff14f,0x403ffffa,
    0xffd87ffd,0xfcbfffff,0x400effff,0x7ff44ccc,0x3bba003f,0xfffffeee,
    0xffffd805,0xfffffd84,0xfffff105,0xffff9005,0x0bffffeb,0x1bffff60,
    0xfffffff3,0xffffffff,0x005fffff,0x017ffff6,0x03fffff4,0xfffff800,
    0x7fffc005,0x45fff55f,0xc806fffd,0xffe887ff,0xffffffff,0x20000eff,
    0x0006fffb,0x0bffffb0,0x89ffffb0,0x06fffffb,0x01fffffc,0xfaffffe4,
    0xe802ffff,0x7cc4ffff,0xffffffff,0xffffffff,0xfb002fff,0x3e00bfff,
    0x0006ffff,0x4fffff88,0x7ffff400,0x743fff76,0xfb804fff,0xffd881ff,
    0xffffffff,0x7fc40004,0xb00001ff,0xb00bffff,0x7d49ffff,0x400effff,
    0x404fffff,0xf5fffff9,0x9805ffff,0x4c3fffff,0xffffffff,0xffffffff,
    0xb002ffff,0x100bffff,0x00bfffff,0xfffff100,0xfffe8007,0x41fff96f,
    0xa803ffff,0x3f602fff,0xffffffff,0x3f60002e,0x200004ff,0x805ffffd,
    0xf34ffffd,0x001fffff,0x40fffffd,0x5ffffff8,0x805fffff,0x41fffffd,
    0xfffffff9,0xffffffff,0x002fffff,0x00bffffb,0x0dfffff1,0xffff1000,
    0xffe8009f,0x1fff76ff,0x402ffffc,0xd881fffb,0xffffffff,0x8004ffff,
    0x0006fffa,0x2ffffec0,0x67fffec0,0x1fffffe8,0xfffff700,0xffffd107,
    0x3fffebff,0x3ffee02f,0x7ec005ff,0x00004fff,0x017ffff6,0x03fffffc,
    0xfffff800,0x7fff4004,0x43fff56f,0xc806fffe,0x7fc40fff,0xfffdffff,
    0x004fffff,0x007fffe2,0xffffb000,0xffffb00b,0x3fffffd9,0x7fffc400,
    0xffc99cff,0xf5ffffff,0x9819ffff,0x0ffffffc,0x7fffec00,0x3f600004,
    0xfd005fff,0x0000ffff,0x017ffffa,0x2bfffff0,0x3f22fff9,0x7e402fff,
    0x7fffc47f,0x3ffee2ff,0xb001ffff,0x76549fff,0x6c002def,0xd805ffff,
    0xffffffff,0xfc8002ff,0xffffffff,0xffffffff,0xfffffff5,0xffffffdf,
    0xfb0007ff,0x00009fff,0x02ffffec,0x0fffffd8,0xfffd8000,0x3fe2006f,
    0xfff14fff,0x7ffffcc7,0x7fec4cbe,0x7ffffec6,0xffffe881,0xfffa806f,
    0xfffffd36,0x7ec009ff,0xfd805fff,0xffffffff,0xff88004f,0xffffffff,
    0x5ffffcff,0xffffffff,0xffffffff,0x3ff6000b,0x200004ff,0x005ffffd,
    0x07fffff9,0xffff9000,0x7ffcc00f,0x17ffe2ff,0xfffffffb,0x32fffc49,
    0x805fffff,0x00fffffe,0x447fffe2,0xffffffff,0xfffb001f,0xfffb00bf,
    0xfffffd9f,0xffd10005,0x3fffffff,0x3ebffff7,0xffffffff,0x01efffff,
    0x3ffff600,0x3f600004,0xf7005fff,0x000dffff,0x5fffff70,0x3ffff200,
    0x87fffa0f,0xffffffe8,0xb8fffee4,0x9806ffff,0x202fffff,0x75c4fffd,
    0x3ffff99b,0xbffffb00,0x9ffffb00,0x3ffffff1,0xfffb1000,0x3ee19fff,
    0xffff5fff,0xffffffff,0xfb00007d,0x00009fff,0x02ffffec,0xffffff98,
    0x7fcc0002,0xff005fff,0xffb8dfff,0xffffc84f,0x83fffa4f,0x005ffffc,
    0x207fffff,0x800efffa,0xb002fffd,0xb00bffff,0x3ea9ffff,0x000effff,
    0x902aaa20,0x3febffff,0x9aa9afff,0x7ec00000,0x00004fff,0x017ffff6,
    0xffffffd8,0x7ff40002,0x7dc01fff,0xfe82ffff,0x133100ff,0x361fffd4,
    0x8805ffff,0x881fffff,0x8802ffff,0xb000ffff,0xb00bffff,0x7e49ffff,
    0x0006ffff,0x3ffff200,0x05fffff5,0xffb00000,0x400009ff,0x005ffffd,
    0x3fffffe2,0x43dcc03f,0x1ffffffa,0xdfffff70,0x03bffee0,0x43fffcc0,
    0x01fffffb,0x83ffffdc,0x8805fffc,0x2005fffe,0x805ffffd,0x744ffffd,
    0x004fffff,0xffff9000,0x0bffffeb,0x3f600000,0x00004fff,0x017ffff6,
    0xffffff90,0xdb979dff,0x3ffa0fff,0xcaceffff,0x1ffffffe,0x03bfffa0,
    0x07ffff50,0x7dfffff3,0xffffb883,0xffffa86f,0x7fffcc00,0x3ff6000d,
    0xffd805ff,0x7ffcc4ff,0x00003fff,0xf5ffffc8,0x0005ffff,0xffffb000,
    0x7ec00009,0x44005fff,0xffffffff,0xffffffff,0xfffff507,0xffffffff,
    0xfa80bfff,0x30acffff,0x0bffffb7,0x7ffffff4,0xffffeeff,0x7f441fff,
    0x7fdc02ff,0x333105ff,0xffffb333,0x4333333d,0xb84ffffd,0x01ffffff,
    0x7ffe4000,0x5fffff5f,0xfb000000,0x88009fff,0xfd999999,0x9999efff,
    0x3ff62019,0xffffffff,0x2a07ffff,0xffffffff,0x04ffffff,0xfffffd30,
    0xffffffff,0xffff8807,0xffffffff,0xfc82ffff,0x7fec05ff,0x21999cff,
    0xfffffffe,0xffffffff,0xfffb0fff,0x3fff609f,0x00000fff,0x7d7ffff2,
    0x0002ffff,0xffffd800,0x7fff4004,0xffffffff,0x0fffffff,0x7ffffd40,
    0xffffffff,0x7fff4c07,0xffffffff,0x7fec4002,0xffffffff,0xffd3002f,
    0xffffffff,0xff305fff,0x7fdc01ff,0x7fffffff,0x3ffffffa,0xffffffff,
    0xffb0ffff,0x3fa209ff,0x0006ffff,0x57ffff20,0x002fffff,0xfffd8000,
    0x7ff4004f,0xffffffff,0xffffffff,0xfedc8800,0xadffffff,0xffec8800,
    0x00ceffff,0x3ffb6e00,0x001bdfff,0xfffffea8,0x3a02efff,0x7dc02fff,
    0xffffffff,0x3fffffa7,0xffffffff,0xfb0fffff,0x7cc09fff,0x004fffff,
    0xbffff900,0x00bffffe,0x3ff60000,0x7f4004ff,0xffffffff,0xffffffff,
    0x5530000f,0x53000013,0x20000035,0x00001aa8,0x04d5554c,0x017fff20,
    0x3fffffee,0x3ffa7fff,0xffffffff,0xffffffff,0x09ffffb0,0xffffffb8,
    0xeeb80003,0xddddb4ee,0xb0000005,0x8009ffff,0xfffffffe,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
    0x00c40000,0x00cc4000,0x00310000,0x8000ccc0,0xeeeeeeee,0xeeeeeeee,
    0x00110002,0xddddddd0,0xdddddddd,0x000c000b,0x00001100,0x372eaa60,
    0x000003ee,0x77ffedd4,0x510000bc,0x8000bfd9,0xffffecb8,0x000bceff,
    0x7ffee54c,0x4c1bdeff,0xfffffedb,0xff800cef,0xffffffff,0x03ffffff,
    0xffffb930,0xfff0059d,0xffffffff,0x400dffff,0xdefffedb,0xdb73001b,
    0x003bdfff,0x7fffdc40,0x004fffff,0xfffd1000,0x3fffffff,0xffffb000,
    0x7fdc000b,0xffffffff,0xb1001fff,0xffffffff,0x229fffff,0xffffffff,
    0x00dfffff,0x3ffffffe,0xffffffff,0x7fec403f,0xffffffff,0x3fffe00d,
    0xffffffff,0xe9806fff,0xffffffff,0x3fa603ff,0xffffffff,0x362001df,
    0xffffffff,0x00004fff,0xffffff98,0x3fffffff,0x7fffec00,0xfff98005,
    0xffffffff,0xa801ffff,0xffffffff,0x4fffffff,0xfffffff1,0xdfffffff,
    0x3ffffe01,0xffffffff,0x3ee03fff,0xffffffff,0xf01fffff,0xffffffff,
    0x0dffffff,0xffffffb8,0xdfffffff,0x7ffffe40,0xffffffff,0xfff9800f,
    0xffffffff,0x400004ff,0xfffffffb,0xffffffff,0x3fff6004,0xffe8005f,
    0xffffffff,0x201fffff,0xffffffd8,0xffffffff,0xffff14ff,0xffffffff,
    0x3fe0dfff,0xffffffff,0x03ffffff,0xfffffff3,0xffffffff,0x3bbbba0d,
    0xfffeeeee,0x3fe206ff,0xffffffff,0xd11fffff,0xffffffff,0xdfffffff,
    0xfffffa80,0xeeefffff,0x2200003e,0xadffffff,0xffffffc9,0xfffb000f,
    0xffc800bf,0xacceffff,0x01ffedcb,0x3ffffff6,0xffeddfff,0xdff14fff,
    0xfd755579,0xf05fffff,0x5555ffff,0x35555555,0x3fffffa0,0xfffdbabe,
    0x20003fff,0x206ffffc,0xadfffffd,0x2fffda99,0x7fffffe4,0xfffffdcd,
    0xfff103ff,0x0137ffff,0xff900000,0x3ee05fff,0xb004ffff,0x800bffff,
    0x02ffffff,0xff300a88,0x015fffff,0x0a8a7e4c,0xfffffc80,0x07ffff84,
    0xffffc800,0xffff304f,0x320001ff,0xf306ffff,0x4c09ffff,0x3dffd03f,
    0xfffffd10,0x3ffff20b,0x000000cf,0x3ffffe20,0x7ffff403,0x2aaaa60f,
    0xaeffffea,0x0aaaaaaa,0x07fffff3,0x3fffa000,0x04000eff,0xfffff800,
    0x07ffff85,0xffffe800,0x7fffd406,0xff90004f,0x3fee0dff,0x200806ff,
    0x7fc404f8,0xff987fff,0x00005fff,0xffffc800,0xffff9807,0x3ffff64f,
    0xffffffff,0x3fffffff,0x05fffff7,0xffff5000,0x000000df,0x86ffffd8,
    0x0007ffff,0x03fffff8,0x06fffff8,0xdffff900,0x13ffff20,0x6c002000,
    0x640fffff,0x000effff,0xfff80000,0xffd004ff,0x7ffecdff,0xffffffff,
    0xffffffff,0x9fffff73,0xfffd0000,0x000005ff,0x5ffffd80,0x007ffff8,
    0x7ffffcc0,0xffffc801,0xfff90007,0x3fff60df,0x0000003f,0x07ffffee,
    0x009ffffd,0xff100000,0xe9803fff,0x367fffff,0xffffffff,0xffffffff,
    0xfff33fff,0x40005fff,0x06fffff8,0xff800000,0xfff83fff,0x7d40007f,
    0xb801ffff,0x001fffff,0x06ffffc8,0x005ffffd,0x7fe40000,0x3fe20fff,
    0x00002fff,0xffff9800,0x7fffdc07,0xdd90ffff,0xfffffddd,0xdddddddf,
    0x3fffe25d,0x8001dfff,0x02fffff9,0x7e400000,0xff80ffff,0xcceeefff,
    0xfff9802b,0xffa802ff,0xc8001fff,0xfd06ffff,0x00005fff,0x7fffec00,
    0x7ffffd47,0xceeecb88,0x5400002b,0xb106ffff,0xffffffff,0xfffd803f,
    0x7ff4005f,0xadffffff,0xffff7000,0x0000003f,0xfffffd51,0x3ffffe05,
    0xefffffff,0x3fffe00b,0xfffa804f,0xfc8002ff,0xffd06fff,0x000005ff,
    0x3ffffe20,0x7ffffe45,0xfffffffe,0x00001eff,0x50bffff7,0xffffffff,
    0xfd803fff,0x44005fff,0xffffffff,0x6401cfff,0x980fffff,0xcccccccc,
    0xfeeea82c,0x0effffff,0x3fffffe0,0xffffffff,0xffffd01f,0x7fe4405f,
    0xc8002fff,0x3316ffff,0x37ffffd3,0x03333333,0x3fff2000,0x7ffe42ff,
    0xffffffff,0x04ffffff,0xffffc800,0x7ffffe44,0x2ffffecf,0x2ffffec0,
    0x7fffd400,0xffffffff,0xffffb00d,0x3fffee0f,0xb85fffff,0xffffffff,
    0xffff805f,0xffffffff,0xfc81ffff,0x9adfffff,0xfffffdba,0xfc8002ff,
    0xfff56fff,0xffffffff,0x03ffffff,0xffff9800,0xffffd86f,0xffffffff,
    0x02ffffff,0x7fffec00,0xfffffd14,0x3ffffa5f,0x7fffec03,0xffd10005,
    0xffffffff,0xfffd07ff,0x3ffee0df,0x85ffffff,0xfffffffb,0x900cffff,
    0xdb999999,0xffffffff,0xffffe881,0xffffffff,0x01ffffff,0x6ffffc80,
    0xfffffff5,0xffffffff,0x440003ff,0x82fffffe,0xfffffffd,0xfffeccde,
    0x0000ffff,0x2b3ffff6,0x0effffff,0x00fffffa,0x00bffffb,0xffffea80,
    0x3fffffff,0x837ffff4,0xfffffffb,0xfffb85ff,0xffffffff,0x910001ff,
    0x05ffffff,0xfffffff3,0xffffffff,0x90003fff,0x3eadffff,0xffffffff,
    0xffffffff,0x3ff60001,0xffd04fff,0x26039fff,0x03fffffe,0x3ffff200,
    0x3fffffff,0x02fffff8,0x02ffffec,0xfffc9800,0x1fffffff,0x41fffff6,
    0xfffeeeea,0x999885ff,0xffffdba9,0x20000fff,0x04fffffb,0xffffffd5,
    0xffffffff,0xf90001ff,0x3ba6dfff,0xeefffffe,0x1eeeeeee,0xffffb000,
    0x7ffec0bf,0xfff9806f,0x2e0004ff,0xffffffff,0xfff881ef,0x7fec01ff,
    0x800005ff,0xffffffea,0x3ffff26f,0x3fff2007,0xfd88005f,0x0005ffff,
    0x037ffffc,0x3ffffb6a,0xffffbace,0xfff90007,0x3fffa0df,0x9000002f,
    0x01dfffff,0x03ffffe4,0x06ffffd8,0x3fffea00,0x100dffff,0x801fffff,
    0x005ffffd,0x3ffea000,0x3fee7fff,0xf9000fff,0x4000bfff,0x00fffffe,
    0x3ffff600,0x64044007,0x0007ffff,0x20dffff9,0x002ffffe,0xffffc800,
    0x7fdc00ef,0xff9007ff,0x4c000fff,0x3fffffff,0x3ffffd40,0x2ffffec0,
    0x3e600000,0xf51fffff,0x2007ffff,0x005ffffc,0x3ffffee0,0x3ff60001,
    0xd00007ff,0x0009ffff,0x41bffff6,0x002ffffe,0x7fffe400,0xffa800ef,
    0xfc800fff,0x20007fff,0x1efffff8,0x6ffffd80,0x5ffffd80,0xfd800000,
    0xff32ffff,0x3200dfff,0x0005ffff,0x0bffffea,0xfffff800,0xff980005,
    0xd0001fff,0x3a0bffff,0x0002ffff,0x3fffff20,0xfff3000e,0xffb007ff,
    0xf8000bff,0x8805ffff,0x803fffff,0x006ffffd,0xfffc8000,0x3fffe0ff,
    0xffc801ff,0x2e0005ff,0x000fffff,0x7fffff50,0xfffd0000,0x3e6000df,
    0xfd03ffff,0x00005fff,0x3bfffff2,0x3ffe2000,0x7fc406ff,0x40003fff,
    0x02fffffb,0x03ffffdc,0x0fffffc8,0x7f400000,0x7fd47fff,0x6401efff,
    0x0005ffff,0x01fffffa,0x7ffffd40,0x7e40001f,0x6cc3ffff,0x7ffff401,
    0xffffd02f,0xff900005,0x0001bfff,0x07fffff9,0x17ffffec,0x3ffe2000,
    0xff500fff,0x2e007fff,0x003fffff,0x7e40037b,0xfe85ffff,0x202fffff,
    0x005ffffc,0xbfffffb0,0x44ccd654,0xffffeb99,0x710004ff,0x1dffffff,
    0x99bdff98,0xfffffea8,0xffffd00e,0xffc80005,0x20005fff,0xcffffff8,
    0xffffd511,0x2e0000bf,0x0befffff,0xffffff71,0x3ffea001,0x09881eff,
    0x579bfffd,0xffff9555,0xff305fff,0x7bdfffff,0xfffff755,0x4666af2b,
    0xffffca98,0x3ff21fff,0xffffffff,0x205fffff,0xfedcccca,0xffffffff,
    0xfffff980,0xffffffff,0x3f33262f,0xcccdffff,0xcccccccc,0x3fffff20,
    0xffffffff,0x642fffff,0xffffffff,0xffffffff,0xff100000,0xffffffff,
    0x07ffffff,0x7ffffc40,0xfffeefff,0xffffffd3,0xffffffff,0x7ec09fff,
    0xffffffff,0xffffffff,0xfffffff5,0xffffffff,0xfffc85ff,0xffffffff,
    0x7ec06fff,0xffffffff,0x301fffff,0xffffffff,0xa8bfffff,0xffffffff,
    0xffffffff,0xff11ffff,0xffffffff,0xffffffff,0xfffe885f,0xffffffff,
    0x00002fff,0x7fffff4c,0xffffffff,0xfffa8002,0xffffffff,0xfffffd3f,
    0xffffffff,0xf700bfff,0xffffffff,0xbfffffff,0x3ffffffe,0xffffffff,
    0xffffc84f,0xffffffff,0xfffd802e,0xffffffff,0x3fe601df,0xffffffff,
    0xfffa83ff,0xffffffff,0xffffffff,0xfffff11f,0xffffffff,0x05ffffff,
    0x3ffffff2,0x01efffff,0xffb10000,0xffffffff,0x7ec0003f,0xffffffff,
    0xffffd3ff,0xffffffff,0x20019fff,0xffffffe9,0xffffffff,0xfffffff4,
    0xbfffffff,0x3ffff203,0x1dffffff,0x3ffff600,0x2effffff,0xffff9300,
    0x2019ffff,0xfffffffa,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,
    0x7f4c05ff,0x2effffff,0xd7000000,0x9bffffff,0xfd300001,0xffffffff,
    0x3fffb2a5,0xefffffff,0x3f6e0003,0xffffffff,0x3fffe0bd,0xefffffff,
    0xa998800c,0x200019aa,0xeeeffffd,0x220000ac,0xa8009aa9,0xffffffff,
    0xffffffff,0xff11ffff,0xffffffff,0xffffffff,0x2aa2005f,0x0000001a,
    0x000d54c0,0x55531000,0x54c40155,0x0019aaaa,0xaaa98800,0x554cc019,
    0x000099aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77774400,0xddd7001e,0x5cc4009d,0x700abccc,0xbddddddd,
    0x00001359,0x3bbbbb60,0x3eeeeeee,0x00c00060,0x005ddddd,0xbddddb00,
    0xeeeed800,0xdddddd34,0xdddddddd,0x4ddddddd,0xeeeeeee8,0x001abcde,
    0xddddddd7,0xdddddddd,0x3b63dddd,0xeeeeeeee,0x9eeeeeee,0x02fffff8,
    0x0dffff90,0xffffff90,0xf90fffff,0xffffffff,0x0019ffff,0x3fffea00,
    0xffffffff,0x00fea84f,0x7c177cc0,0x0002ffff,0x3fffffb8,0xfffff700,
    0x3ffffe63,0xffffffff,0x7fffffff,0x3fffffe2,0xefffffff,0x3fff200b,
    0xffffffff,0xffffffff,0xfffffff1,0xffffffff,0xffff15ff,0x3ff2005f,
    0x3faa06ff,0xffffffff,0xfffc87ff,0xffffffff,0x0003ffff,0xffffffd8,
    0x4fffffff,0x017fffa6,0x43bfffd0,0x002fffff,0xfffffd00,0xffff8801,
    0x3fffe65f,0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,0xff901fff,
    0xffffffff,0xffffffff,0x3ffffe3f,0xffffffff,0xff8affff,0xf9002fff,
    0x3f60dfff,0xffffffff,0xfc87ffff,0xffffffff,0xefffffff,0xfff10000,
    0xffffffff,0x7fec9fff,0xf9003fff,0x7fc7ffff,0x00002fff,0x09fffff3,
    0x0fffffc8,0x2667bfe6,0x99999999,0x27ffa999,0xfffffff8,0xffffffff,
    0xfffc80ef,0xffffffff,0xffffffff,0xfffffff1,0xffffffff,0xffff15ff,
    0x3ff2005f,0xfffb86ff,0xffffffff,0xffc87fff,0xffeeefff,0x5fffffff,
    0xffff7000,0x999dffff,0x7ff44599,0x7d401fff,0x7fc5ffff,0xcdeeefff,
    0x360009ab,0x100fffff,0x987fffff,0x2b32a6ff,0x9ffe2009,0xeefffff8,
    0xffffffee,0xfffc86ff,0xffffffff,0xffffffff,0xddfffff1,0xdddddddd,
    0xffff13dd,0x3ff2005f,0x7ffc46ff,0x221bffff,0xffc87eb9,0x7dcc45ff,
    0x02ffffff,0xfdfffe80,0xf3005fff,0xfb7dffff,0xffff9dff,0xffff81df,
    0xffffffff,0xf8800cff,0xf905ffff,0xff30dfff,0x7ffffe4d,0x27ff882e,
    0x81fffff8,0xffffffd9,0x555554c0,0xaaaaaaaa,0xf0ffffff,0x0007ffff,
    0x05fffff1,0x1bffff20,0x1bfffffb,0xfff90100,0x7ff440bf,0x4c006fff,
    0xfffaffff,0x3fee005f,0xffffffff,0x1fffffff,0xfffffff8,0xffffffff,
    0xfffc804f,0x7ffc41ff,0x6ff982ff,0x3ffffff2,0x9ffe20ef,0x01fffff8,
    0x07fffff6,0x3ffea000,0x3fffe3ff,0xff88003f,0xf9002fff,0x7fccdfff,
    0x40006fff,0x805ffffc,0x03fffffe,0x23bfff20,0x4005ffff,0xfffffffd,
    0xffffffff,0xffffff02,0xffffffff,0xff009fff,0xffd8dfff,0xdff305ff,
    0x7fff7654,0x9ffe26ff,0x01fffff8,0x0fffffe6,0x3fffa000,0x3fffe0ff,
    0xff88003f,0xf9002fff,0x7fdcdfff,0x40002fff,0x805ffffc,0x06fffffa,
    0x17ffff10,0x800bffff,0xfffffff8,0x6fffffff,0x3bffffe0,0xffffeeee,
    0x5402ffff,0xf32fffff,0x2603ffff,0x3ee206ff,0xfff13fff,0x0fffffc4,
    0x9fffff10,0xfffa8000,0x7fffc4ff,0xff88003f,0xf9002fff,0x7fe4dfff,
    0xc80007ff,0xf005ffff,0x200fffff,0xf88ffffa,0x4c005fff,0x9bdfffff,
    0x0fffffeb,0x05fffff0,0x3fffffaa,0x7fff400f,0x9ffffb6f,0x4037fcc0,
    0xff16fffa,0x7ffffc4f,0x3fffe201,0x7f40002f,0x7fc0ffff,0x88003fff,
    0x002fffff,0x74dffff9,0x0006ffff,0x05ffffc8,0x0fffff90,0x45bfffa0,
    0x4005ffff,0xb05ffffc,0x3e09ffff,0x7402ffff,0x402fffff,0xfbfffff9,
    0x2600ffff,0xffd006ff,0xf89ffe2f,0x2e01ffff,0x001fffff,0x3ffffea0,
    0x3fffff84,0xffff8800,0xfff9002f,0x7ffffcdf,0xffc80005,0xff7005ff,
    0xf8803fff,0xfff13fff,0xfff800bf,0xfff300ff,0x3fffe0df,0x7ffcc02f,
    0xffc803ff,0x3fffffff,0x8037fcc0,0xfff17fff,0x0fffffc4,0x6fffff98,
    0x7fff4000,0xffff80ff,0xff88003f,0xf9002fff,0x7ffcdfff,0x3e0005ff,
    0xffffffff,0xffa86fff,0x7e402fff,0xfff10fff,0x3fffffff,0x0bffff10,
    0xf07ffff8,0xf005ffff,0x100bffff,0xffffffff,0x0dff300d,0x22bfff70,
    0x3ffe27ff,0xda999aff,0x01ffffff,0x3fffe600,0xfffff04f,0xffffffff,
    0x3fe2bfff,0xf9002fff,0x7ff4dfff,0x3e0007ff,0xffffffff,0xffa86fff,
    0x7fc03fff,0x3ffe25ff,0x1fffffff,0x04ffff98,0xf83ffff4,0xe802ffff,
    0x7006ffff,0x3fffffff,0xa8dff300,0xfffffccc,0x7c4fff11,0xffffffff,
    0x2fffffff,0x7ffec000,0xffff01ff,0xffffffff,0x3e2bffff,0x9002ffff,
    0x7ecdffff,0x0000ffff,0xffffffff,0xf30dffff,0x5407ffff,0x3e22ffff,
    0xffffffff,0xffffa81f,0x7fffec03,0x2fffff80,0x5ffffe80,0x3ffffa00,
    0xdff3005f,0xffffffb8,0x89ffe23f,0xffffffff,0x0dffffff,0x7ffcc000,
    0x3ffe05ff,0xffffffff,0xf15fffff,0x2005ffff,0x326ffffc,0x004fffff,
    0xfffffff0,0x50dfffff,0x405fffff,0x7c47fffd,0xffffffff,0xffff981f,
    0x3ffff404,0x02fffff8,0x1fffffc4,0xfffff500,0x1bfe6001,0x3bfffff7,
    0x3e27ff88,0xffffffff,0x0000efff,0x3fffffb0,0x7fffffc0,0xffffffff,
    0xffff15ff,0x3ff2005f,0x3ffea6ff,0xa8001fff,0xaeffffea,0xffb82aaa,
    0xff101fff,0xfff889ff,0x0aaaaaef,0x05ffff88,0xf837fffc,0x5c02ffff,
    0xc82fffff,0xffeeeeee,0xeeeeefff,0x237fcc2e,0x2200effa,0x3ffe27ff,
    0xffffffff,0x40001eff,0x05fffff9,0x56fffffc,0xaaaaaaaa,0xfffff12a,
    0x3fff2005,0x7ffff46f,0xc82802ff,0x7005ffff,0x201fffff,0x441ffffb,
    0x2005ffff,0x00fffff8,0x20bffff5,0x202fffff,0x0ffffff9,0xffffffd8,
    0xffffffff,0x7fcc2fff,0x2037fd46,0x3fe27ff8,0xfdb9afff,0x0006ffff,
    0x0fffffec,0x0fffffe0,0x3fffe200,0xfff9002f,0xffffb8df,0xaaacefff,
    0x7e40ffdb,0xf9005fff,0x7f40ffff,0xfff886ff,0x7ff4005f,0xffe885ff,
    0xffff02ff,0xfff7105f,0x3f607fff,0xffffffff,0xffffffff,0x2a37fcc2,
    0x7fc405ff,0x3ffffe27,0x7ffffec1,0xfff10003,0xfff00dff,0x3e0007ff,
    0x9002ffff,0xfd09ffff,0xffffffff,0x81ffffff,0x005ffffc,0x20dfffff,
    0xeefffff9,0x5ffffeee,0x7fffd400,0xfffcabef,0x3ffe06ff,0xffeeeeff,
    0x06ffffff,0x3733332a,0xcccfffff,0x7fcc1ccc,0x44009986,0x3ffe27ff,
    0x7ff441ff,0xc8000fff,0x802fffff,0x003fffff,0x07fffff0,0x0fffff60,
    0x3fffff62,0xffffffff,0x7fffe40f,0xffffb805,0xffff904f,0xffffffff,
    0xf8800bff,0xffffffff,0x205fffff,0xffffffff,0xffffffff,0xff98000f,
    0x3e6007ff,0x401ba86f,0x3fe27ff8,0xffa81fff,0x44004fff,0x006fffff,
    0x007fffff,0x13ffffa0,0x17ffff40,0xffffff90,0x1fffffff,0x05ffffc8,
    0x0ffffff8,0xfffffff0,0xffffffff,0xfffc800b,0xffffffff,0xff03ffff,
    0xffffffff,0x019fffff,0x3fffe600,0x1bfe6007,0x4403fffb,0x3ffe27ff,
    0xffff01ff,0x7e4001ff,0xf002ffff,0x0007ffff,0x01fffff6,0x07ffffe6,
    0xffffd710,0x9059ffff,0x440bffff,0x03fffffd,0xfffffff5,0xffffffff,
    0x7ffd400b,0xffffffff,0x81ffffff,0xffffffff,0x01efffff,0x95555530,
    0x555fffff,0xff981555,0x13fffe26,0x3e27ff88,0xf701ffff,0x2007ffff,
    0x06fffff8,0x0fffffe0,0x7fffdc00,0x7ffec04f,0x3fea006f,0x64009cff,
    0xf505ffff,0x01ffffff,0x267ffff6,0xfff99999,0xfff3005f,0xdffd9bff,
    0xdfffff7b,0xefffff81,0x009abcee,0x7ffffec0,0xffffffff,0x7cc2ffff,
    0x1ffffc6f,0x7c4fff10,0xf101ffff,0x001fffff,0x05fffff9,0x1fffffc0,
    0xffff8800,0xd3109dff,0x005fffff,0x007fffe4,0xceffffc8,0xfffffecc,
    0xff103fff,0x7fc40bff,0xaaaaaeff,0x3ffffa22,0x7ffd400f,0x7fffc5ff,
    0x3600002f,0xffffffff,0xffffffff,0x237fcc2f,0x7c404fe9,0x3fffe27f,
    0x3fff201f,0x7fc403ff,0x7c006fff,0xccceffff,0xcccccccc,0x3ffffee1,
    0xffffffff,0x74005fff,0x32005fff,0xffffffff,0xffffffff,0x3fffee03,
    0x3fffe202,0x26ffffff,0x02fffffd,0x7fffffb0,0x017ffffc,0xffffb000,
    0xffffffff,0x985fffff,0x220006ff,0x3ffe27ff,0x3fe601ff,0x7e407fff,
    0x4003ffff,0xffffffff,0xffffffff,0x7ffff42f,0xffffffff,0x7c000fff,
    0x32002fff,0xffffffff,0x0dffffff,0x03ffff40,0x3fffffe2,0x3aa6ffff,
    0x22005fff,0x3e0dffff,0x0002ffff,0xffff9800,0x3ffe6007,0xffffffff,
    0xffffffff,0x3fffe27f,0x7fff401f,0xfff103ff,0xff000fff,0xffffffff,
    0x5fffffff,0xffffff90,0x19ffffff,0x7fff9800,0x7fffe400,0xffffffff,
    0xfff9803f,0x7ffc404f,0x6fffffff,0x4000ffa8,0xfff81efa,0x000002ff,
    0x07ffff98,0x3ffffe60,0xffffffff,0x7fffffff,0x07ffffe2,0xdfffff50,
    0x3ffffee0,0xffff8003,0xffffffff,0x302fffff,0xfffffffb,0x2a0003bf,
    0x64004fff,0xefffffff,0x32001bde,0x4401ffff,0xffffffff,0x000606ff,
    0xfffff00c,0x30000005,0x400fffff,0xfffffff9,0xffffffff,0x227fffff,
    0x801fffff,0x42fffffe,0x07fffff8,0xffffff00,0xffffffff,0x31005fff,
    0x00001355,0x00015553,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3aa00000,0x00eeeeee,
    0xdddddd10,0x35799ddd,0xddddd100,0x1359bddd,0x77776c00,0xeeeeeeee,
    0xe8806eee,0xeec80eee,0xeeee983e,0xeeeeeeee,0x1eeeeeee,0x005ddddb,
    0x64fbbbb2,0xeeeeeeee,0xeeeeeeee,0xed88002e,0xb02eeeee,0x00bddddd,
    0x75d7bbba,0x4001eeee,0x01eeeeea,0xffffffb0,0x3fe2007f,0xffffffff,
    0x202effff,0xfffffff8,0xcfffffff,0x7ffffc00,0xffffffff,0xf9807fff,
    0xffe80fff,0xffff983f,0xffffffff,0x1fffffff,0x007ffffd,0x6d3ffff6,
    0xffffffff,0xffffffff,0xffd8003f,0xf03fffff,0x03ffffff,0x22dffff0,
    0x005fffff,0x037ffff4,0xffffff88,0xff1005ff,0xffffffff,0x0dffffff,
    0x3fffffe2,0xffffffff,0x3ffe03ff,0xffffffff,0x807fffff,0xff07fffa,
    0xfff305ff,0xffffffff,0xffffffff,0x0fffffa3,0xa7fffec0,0xfffffffd,
    0xffffffff,0x7cc003ff,0x3fffffff,0xfffffff0,0xdffff00b,0x0fffffe4,
    0xfffffa80,0xffff5002,0x001fffff,0xfffffff1,0xffffffff,0xfff10bff,
    0xffffffff,0x1dffffff,0xfffffff0,0xffffffff,0xfff500ff,0x07fffe0d,
    0x3fffffe6,0xffffffff,0xfd1fffff,0x36007fff,0xffb4ffff,0xffffffff,
    0x7fffffff,0xffffe800,0xff03ffff,0x01ffffff,0x226ffff8,0x005fffff,
    0x00dffffd,0x7fffffe4,0xf8802fff,0xcccdffff,0xffffffed,0x7fffc42f,
    0xfffeeeef,0x85ffffff,0xeeefffff,0xeeeeeeee,0x5fffb806,0x80ffff88,
    0xfffffff9,0xffffffff,0xffd1ffff,0x3f6007ff,0x99954fff,0xfffffb99,
    0x03999999,0x7ffffdc0,0xff03ffff,0x09ffffff,0x646ffff8,0x401fffff,
    0x02fffffa,0x3fffffe0,0x8804ffff,0x300fffff,0x89fffffd,0x41fffff8,
    0xfffffb98,0x7fffc2ff,0x6400003f,0xff985fff,0x2666607f,0x99999999,
    0x25fffffe,0x003ffffe,0x809ffffb,0x00fffffa,0x7fffc400,0x03ffffef,
    0xffffffff,0x7fffc01f,0x7ffffc46,0x7ffff405,0x3ffe6006,0x7ffffcef,
    0xfffff880,0x3fffe200,0x7fffc45f,0x3ffa201f,0x7ffc6fff,0x400003ff,
    0xfa84fffd,0x700007ff,0x41ffffff,0x003ffffe,0x809ffffb,0x00fffffa,
    0x7fffec00,0x03ffffdc,0xffffffff,0x7fffc07f,0xfffffd86,0xfffff500,
    0x7ffdc005,0xfffff9cf,0x7fffc401,0x7fff400f,0x7fffc46f,0xfffe801f,
    0x3fffe3ff,0x76c0003f,0xeeffffee,0xffffeeee,0x88004eee,0x42ffffff,
    0x003ffffe,0x809ffffb,0x00fffffa,0x3fffea00,0x3ffffd8f,0xfffffff0,
    0x7ffc0fff,0xffff886f,0xffffd04f,0xfffe800d,0x9fffff2f,0xfffff880,
    0x7fffec00,0x7ffffc45,0xffffa801,0x3ffffe6f,0x7ffc0003,0xffffffff,
    0xffffffff,0xfd8005ff,0xfe85ffff,0xfb003fff,0xfa809fff,0x0000ffff,
    0x6cbffffa,0xff03ffff,0xffffdfff,0x1bfffe05,0x07ffffec,0x07ffffea,
    0x7ffff880,0x01bffff6,0x01fffff1,0x43fffff8,0x01fffff8,0x4ffffff0,
    0x003fffff,0x7fffffc0,0xffffffff,0x5fffffff,0x7fffdc00,0xfffe80ff,
    0xfffb003f,0xfffa809f,0xf90000ff,0x7fecbfff,0xffff03ff,0x0dffff7f,
    0x441bfffe,0x744fffff,0x4005ffff,0x2e5ffffa,0x200fffff,0x00fffff8,
    0x03ffffee,0x03fffff1,0x9fffff20,0x003fffff,0x7fffffc0,0xffffffff,
    0x5fffffff,0x3fffe200,0xfffd02ff,0x3ff6007f,0x7fd404ff,0x88000fff,
    0x360fffff,0xff03ffff,0x3fffefff,0x6ffff82f,0x3fffff60,0x3fffff50,
    0xffffd800,0x3ffffe63,0x3fffe203,0xfffc880f,0xfff884ff,0xff7001ff,
    0x3ffe3fff,0x4c0003ff,0x9ffffa99,0xfffe9999,0x2000999c,0x04fffffd,
    0x273ffffa,0x99999999,0x404ffffe,0x00fffffa,0x3ffffd80,0x81ffffec,
    0xff97ffff,0xffff0bff,0x7fffcc0d,0xbffffb3f,0xfffff000,0x5ffffe83,
    0x3ffffe20,0xffffeeee,0xff104fff,0x2a003fff,0xff2fffff,0x33339fff,
    0x01333333,0xf07fffa8,0x20005fff,0x0efffffa,0x3fffffa0,0xffffffff,
    0x04ffffff,0x07ffffd4,0x3fffea00,0x3ffffd86,0x22fffff0,0x7c1fffff,
    0x7ec06fff,0xfff9efff,0x7cc001ff,0xffc87fff,0x3fe207ff,0xffffffff,
    0x201fffff,0x01fffff8,0x7fffff50,0x3ffffffe,0xffffffff,0x7ffd402f,
    0x03ffff06,0xfffff100,0xfffe803f,0xffffffff,0xffffffff,0x7fffd404,
    0x3fe2000f,0xffd81fff,0xffff03ff,0x2ffffecf,0x301bfffe,0xffdfffff,
    0xf9000bff,0xff509fff,0x3e205fff,0xffffffff,0xcfffffff,0xfffff880,
    0xffff3001,0x3ffffe7f,0xffffffff,0x7dc02fff,0xfff885ff,0xffd8000f,
    0xfe804fff,0xffffffff,0xffffffff,0x7fd404ff,0x32000fff,0xfb04ffff,
    0x3fe07fff,0x3ffe67ff,0x3fffe0ff,0xffffd806,0x001fffff,0x82ffffe8,
    0x04fffff8,0xfffffff1,0xffffffff,0xff883dff,0xf5001fff,0x3fe5ffff,
    0xffffffff,0x02ffffff,0x4c2fffe4,0xa8007fff,0x006fffff,0xfffffffd,
    0xffffffff,0xa809ffff,0x000fffff,0x40dffff3,0xf03ffffd,0xffe8ffff,
    0x3fffe4ff,0xffff9806,0x8005ffff,0x00fffff8,0x20dffffd,0x9afffff8,
    0xfffdba99,0x7fc46fff,0xf7001fff,0x3fe3ffff,0xffffffff,0x02ffffff,
    0x5427ffec,0x44007fff,0x01ffffff,0x5bffffd0,0x55555555,0x809ffffd,
    0x00fffffa,0x05ffffd0,0x81ffffec,0x7d47ffff,0xfff0ffff,0x3ff600df,
    0x001fffff,0x06ffffb8,0x03ffffee,0x03ffffe2,0xffffff98,0x3ffffe23,
    0xffff7001,0x3ffffe1f,0x9999999c,0x55540999,0xaadfffea,0xaffffcaa,
    0x7fec01aa,0x3a004fff,0xb003ffff,0xa809ffff,0x800fffff,0x405ffffb,
    0xf03ffffd,0xffd0ffff,0x3fffe7ff,0xffff3006,0x36000bff,0x2603ffff,
    0x883fffff,0x400fffff,0x25fffff9,0x01fffff8,0x4fffff90,0x003fffff,
    0xffffff10,0xffffffff,0x9fffffff,0x7ffffd40,0x7fff4006,0xfffb003f,
    0xfffa809f,0x7fc400ff,0xccccdfff,0xffffeccc,0xfff3cccd,0xffff70ff,
    0x0dffff1d,0x7ffffec0,0xffff0001,0xffffffff,0x0bffffff,0x01fffff1,
    0x4dfffff0,0x01fffff8,0x4dfffff0,0x003fffff,0xffffff10,0xffffffff,
    0x9fffffff,0x3ffffe20,0x7ff4001f,0xffb003ff,0xffa809ff,0x7c400fff,
    0xffffffff,0xffffffff,0xff5fffff,0xfff10fff,0xdffff5ff,0x7fffdc00,
    0xfff50007,0xffffffff,0xffffffff,0xfffff881,0xffffe800,0x3ffffe27,
    0xffffb801,0x3ffffe4f,0xfff10003,0xffffffff,0xffffffff,0x3ff609ff,
    0xe8003fff,0xb003ffff,0xa809ffff,0x400fffff,0xfffffff8,0xffffffff,
    0x5fffffff,0x320fffff,0xfffeffff,0x3fee006f,0xf90007ff,0xffffffff,
    0xffffffff,0xfff885ff,0xfff800ff,0x3ffe25ff,0xfff801ff,0x3ffe0fff,
    0x320003ff,0xcffffdcc,0xffffcccc,0xfa82cccd,0x0006ffff,0x007ffffd,
    0x013ffff6,0x01fffff5,0xffffff88,0xffffffff,0xffffffff,0x20fffff5,
    0xfffffff8,0x3ee006ff,0xd0007fff,0xffffffff,0xffffffff,0xff889fff,
    0x7dc00fff,0x3e24ffff,0x2201ffff,0x43fffffd,0x003fffff,0x0ffff500,
    0x100bfffe,0x03ffffff,0x3ffffa00,0xffffb003,0xffffa809,0x7ffc400f,
    0xffffffff,0xffffffff,0xffff5fff,0x7fffec0f,0x2006ffff,0x007ffffb,
    0xafffff98,0xaaaaaaaa,0x47ffffea,0x00fffff8,0x3fffffee,0x3ffffe22,
    0xfffff501,0xffff81ff,0xf700003f,0x3ffe0dff,0x7ffec01f,0x3a0003ff,
    0xb003ffff,0xa809ffff,0x800fffff,0x99999999,0xffe99999,0xf0999bff,
    0x7cc0ffff,0x6fffffff,0x3fffee00,0xfffb8007,0x3ff2005f,0x3fe21fff,
    0xbaaabfff,0xffffffec,0x3fffe20e,0xffecccdf,0x83ffffff,0x003fffff,
    0x0bfff700,0x401ffff1,0xeffffffa,0xeeeeeeee,0xffd2eeee,0x3f6007ff,
    0x55534fff,0xfffff955,0x01555557,0xffffd800,0x0fffff03,0xffffffe8,
    0x3fee006f,0xfd8007ff,0x26003fff,0x223fffff,0xffffffff,0xffffffff,
    0x7ffc40ff,0xffffffff,0x03ffffff,0x007fffff,0x13fff200,0xb01fffe6,
    0xffffffff,0xffffffff,0x3ffa7fff,0xffb003ff,0x3fff69ff,0xffffffff,
    0x03ffffff,0x7fffec00,0x0fffff03,0xffffffa8,0x3fee006f,0x7c4007ff,
    0x4000ffff,0x226fffff,0xffffffff,0xffffffff,0xffff882f,0xffffffff,
    0x3e00dfff,0x0003ffff,0x509fffb0,0xfd80ffff,0xffffffff,0xffffffff,
    0xffffd3ff,0x3fff6007,0xfffffb4f,0xffffffff,0x0007ffff,0x03ffffd8,
    0xd00fffff,0x0dffffff,0x3ffffdc0,0x3fffea00,0xfffd8006,0xffff10ff,
    0xffffffff,0x22017fff,0xffffffff,0x03ffffff,0x03fffff8,0x7fffd000,
    0x80dfff70,0xfffffffd,0xffffffff,0xffd3ffff,0x3f6007ff,0xfffb4fff,
    0xffffffff,0x07ffffff,0xffffd800,0x0fffff03,0xffffff70,0x7ffdc00d,
    0x7fe4007f,0xfb8004ff,0xff12ffff,0xdfffffff,0xf100599d,0xdfffffff,
    0x7c0037bd,0x0003ffff,0x905ffff0,0xfd80bfff,0xffffffff,0xffffffff,
    0xffffd3ff,0x3fff6007,0xfffffb4f,0xffffffff,0x0007ffff,0x03ffffd8,
    0x100fffff,0x0dffffff,0x3ffffdc0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeeeed880,
    0xddd9001e,0x7774c5dd,0xdd70002e,0x77776cdd,0x7744000e,0xb3003eee,
    0x8801dddd,0x401eeeee,0x0eeeeee9,0xddddddd3,0xdddddddd,0x5cdddddd,
    0x0004eeee,0x3bbbbbba,0x001aacde,0x0fbbbbae,0x3dddddb0,0x08000000,
    0xfffc8000,0xff9805ff,0x3e60ffff,0x90003fff,0x7fe4ffff,0x54003fff,
    0x402fffff,0xffffffd9,0x7fffc400,0x7fff402f,0x3ffe64ff,0xffffffff,
    0xffffffff,0x3ffff27f,0x3ffe0006,0xffffffff,0x6400bfff,0x206fffff,
    0x2ffffff9,0x1bfffe00,0x000bf300,0xffffff88,0x7ffff401,0x7fffc43f,
    0xfff90004,0x7ffffd4d,0x7ffe4005,0xffb100ff,0x01ffffff,0x2fffff88,
    0x3ffffee0,0x7ffffcc6,0xffffffff,0x7fffffff,0x01bffff2,0xffffff80,
    0xffffffff,0x3ff603ff,0xf900ffff,0x007fffff,0x0037fffc,0x001dfff3,
    0x7ffffdc0,0x3fffe605,0xffff886f,0xfff90004,0x7fffff8d,0x7ffffc00,
    0xffffc885,0x00ffffff,0x17ffffc4,0xffffff98,0x7ffffcc0,0xffffffff,
    0x7fffffff,0x01bffff2,0xffffff80,0xffffffff,0xffb03fff,0x3a07ffff,
    0x03ffffff,0x01bfffe0,0x7fffffcc,0x3ffa0001,0xffd01fff,0x3fe05fff,
    0xfb0004ff,0xfffd8dff,0xff3001ff,0x7e447fff,0xffffffff,0x7c400fff,
    0xfd02ffff,0xd307ffff,0xfddddddd,0xddddffff,0x7fe4dddd,0x3e0006ff,
    0xeeeeffff,0xffffffff,0xffffe82f,0xfff985ff,0x2003ffff,0x3006ffff,
    0x5fffffff,0x3ffea000,0xfff985ff,0x3ffe06ff,0xffb0004f,0xffffa8bf,
    0xfff7004f,0x7ffcc1ff,0xffffffff,0x7fc400ff,0xffb82fff,0x50005fff,
    0x001fffff,0x01bffff2,0x2fffff80,0xffffff70,0xffffe81f,0x7fdc0fff,
    0x004fffff,0x801bfffe,0xffffffe8,0xfffd0003,0xfffe83ff,0x3ffe01ff,
    0xffb0005f,0xffff88bf,0xfffb006f,0xffffd0df,0xfffff55f,0xffff8801,
    0x7fffc42f,0xf50000ff,0x2001ffff,0x006ffffc,0x0bffffe0,0xfffffe88,
    0x7f7fff42,0x7fff42ff,0x2004fffe,0x8006ffff,0x5ffffffd,0xffff9800,
    0x3fffea6f,0x7fff405f,0xfffd0005,0xfffffd09,0xffff8801,0x3fffb84f,
    0x03ffffea,0x5fffff10,0x2fffffd8,0x3ffea000,0xff9000ff,0x7c000dff,
    0x5402ffff,0x7c3fffff,0x5fffcfff,0x3f7bffe2,0x3fe004ff,0xf70006ff,
    0x01dfffff,0xfffffd80,0x1fffffd2,0x05fffe80,0x09fffd00,0x05fffff7,
    0x1fffffa8,0x7d40cf88,0x4400ffff,0x2e2fffff,0x004fffff,0x7ffffd40,
    0xffff9000,0x7ffc000d,0xfff802ff,0x7fffc5ff,0x3ee7fffa,0x5fffccff,
    0x26666662,0x99effff9,0x20099999,0xeffffffa,0x3ffe6001,0xffffaeff,
    0xfffd804f,0x82fffa86,0xf983fffe,0x6405ffff,0x0207ffff,0x07ffffd4,
    0x3ffffe20,0xdfffff12,0xfff50000,0x3f2001ff,0x20006fff,0x802fffff,
    0x7c6ffffe,0xfffe8fff,0xf93fffb1,0x7ffecbff,0xffffffff,0xffffffff,
    0x7fffcc03,0x32002fff,0xffffffff,0xfd800fff,0xfffc86ff,0x03fffe84,
    0x80fffffd,0x004ffffe,0x0fffffa8,0x7ffffc40,0x3fffffb2,0xfff50000,
    0x3f2001ff,0x20006fff,0x802fffff,0x225ffffe,0xffc8ffff,0x32ffff4f,
    0x3ff66fff,0xffffffff,0xffffffff,0xffe8803f,0x1003ffff,0xffffffff,
    0x3f2007ff,0xffff86ff,0x03ffff87,0x03fffff9,0x0bffffe2,0x3fffea00,
    0x7ffc400f,0xffffaaff,0xf500003f,0x2001ffff,0x006ffffc,0x0bffffe0,
    0x8fffffe0,0xfa8ffff8,0x4fffaeff,0x7ecdfff9,0xffffffff,0xffffffff,
    0x3f6003ff,0x004fffff,0xfffffff7,0x7fe400ff,0x7fffcc6f,0x17fffc1f,
    0x3fffff98,0x0fffff70,0x3fffea00,0x7ffc400f,0xfffffbff,0x3ea00005,
    0x9000ffff,0x000dffff,0x017ffffc,0x8bffffee,0xff0ffff9,0x23fffbff,
    0x3f66fffc,0xffffffff,0xffffffff,0x7dc003ff,0x00dfffff,0xfffffff8,
    0x3ff2003f,0x7fffe47f,0x17fffc4f,0x0dfffff0,0x017ffff6,0x7ffffd40,
    0x7fffc400,0x0fffffff,0x3fea0000,0xf9000fff,0x4000dfff,0x202fffff,
    0x0ffffff8,0xfd9fffe6,0x2e7fffff,0x3e007fff,0x00006fff,0x7fffffd4,
    0xfffd800e,0x2000ffff,0x7f47fffb,0x7fc6ffff,0x3ff601ff,0xfff80fff,
    0xf50003ff,0x8801ffff,0xffffffff,0x00000fff,0x03ffffea,0x37fffe40,
    0xfffff000,0x3fffee05,0x7ffcc3ff,0x3ffffee7,0x1fffee4f,0x06ffff80,
    0x3fff2000,0xf3005fff,0xbfffffff,0x3fffdc00,0xfffffff1,0x07fffe23,
    0x2fffffa8,0x07ffffd4,0xffffa800,0x7ffc400f,0xfffffdff,0x3ea00005,
    0x9000ffff,0x000dffff,0x777ffffc,0xfffffeee,0xfffa86ff,0x3ffffe27,
    0x1fffee2f,0x06ffff80,0xffffb000,0x7ec007ff,0xffffffff,0xffff5001,
    0x7fffffdc,0x1ffff13f,0x7ffffc40,0x37fffe44,0xffff5000,0xfff8801f,
    0xffffeaff,0xf500002f,0x2001ffff,0x006ffffc,0x3fffffe0,0xffffffff,
    0xffa81fff,0x7ffff47f,0x07fffd47,0x06ffff80,0x7fff4400,0x2a002fff,
    0xffffffff,0xff5006ff,0x3fff61ff,0xff16fffb,0xffd801ff,0x7fff47ff,
    0x3ea0003f,0x4400ffff,0xf9afffff,0x000fffff,0xfffffa80,0xffff9000,
    0x7ffc000d,0xffffffff,0x700dffff,0xffc8dfff,0x7ffd44ff,0xffff000f,
    0x7fcc000d,0x001fffff,0x77fffff4,0x802fffff,0xf88ffff9,0xffff9cff,
    0x807fff88,0x11fffffb,0x003fffff,0x7ffffd40,0x7fffc400,0xfffff92f,
    0xff50000b,0x32001fff,0x0006ffff,0x3ffffffe,0x1effffff,0x237ffdc0,
    0x542ffff9,0xf001ffff,0x2000dfff,0xeffffffa,0x7ffdc000,0xffff9cff,
    0x7fcc00ff,0x2fffa9ff,0xff37ffff,0xfff100ff,0x3ffea7ff,0x7d40006f,
    0x4400ffff,0x3a2fffff,0x003fffff,0x7ffffd40,0xffff9000,0x7ffc000d,
    0xacdeeeff,0xfff70009,0x50ffff0d,0x2003ffff,0x8006ffff,0xdffffffc,
    0x7ffc4000,0xfffb0fff,0xff8809ff,0x0fffd9ff,0xff3bfff9,0x3ffa00ff,
    0xffffb5ff,0xffa80009,0x7c400fff,0x3ea2ffff,0x000fffff,0x3ffffea0,
    0xffff9000,0x7ffc000d,0xc80002ff,0xaaa86fff,0x1ffffa82,0x09dddd00,
    0x7fffec40,0xf90004ff,0x7cc9ffff,0x200fffff,0xff9ffff8,0x3fffea6f,
    0x9006fffa,0xff1fffff,0x80005fff,0x00fffffa,0x17ffffc4,0x17fffff6,
    0xffffa800,0xfff9000f,0x7fc000df,0x80002fff,0x8006fffc,0x002ffff9,
    0x7ff44000,0x0003ffff,0x1ffffff1,0x5fffffd8,0x33fffe20,0x7ffc3fff,
    0x006fffcf,0xf9fffff3,0x0000ffff,0x01fffff5,0x2fffff88,0x7fffffc4,
    0xfff50003,0x3f2001ff,0x20006fff,0x002fffff,0x05fffd80,0x2ffff980,
    0x7cc00000,0x001fffff,0x3fffff60,0xfffff983,0x3fffe02f,0x7ec0fffe,
    0x05ffffff,0x3fffffe0,0x0005ffff,0x0fffffa8,0x7ffffc40,0xfffffb82,
    0xffa8000f,0xf9000fff,0x4000dfff,0x002fffff,0x05fffd80,0x3ffff980,
    0x26666666,0x99999999,0x7fcc0999,0x260000ef,0x00ffffff,0x0dfffff9,
    0x7ffffffc,0xfffffa86,0x3f2005ff,0xffffffff,0xdddd7002,0xfffffddd,
    0x25dddddd,0x02fffff8,0x0dfffffd,0xfffff500,0x3fff2001,0xccccccff,
    0x3e4ccccc,0x0002ffff,0x005fffd8,0x23ffff98,0xffffffff,0xffffffff,
    0x0dfa86ff,0x7fff4000,0x3fe203ff,0xfd03ffff,0x107fffff,0xbfffffff,
    0x7fffd400,0x000fffff,0xfffffff9,0xffffffff,0x3fe27fff,0xff302fff,
    0x8007ffff,0x00fffffa,0xffffff90,0xffffffff,0x7fffcfff,0xfe80002f,
    0xf88005ff,0x3ffe3fff,0xffffffff,0x6fffffff,0xf5000030,0x801fffff,
    0x0ffffffc,0xffffffe8,0xfffffb01,0x7fc4009f,0x06ffffff,0x3fffff20,
    0xffffffff,0xf13fffff,0x6405ffff,0x01ffffff,0x3ffffea0,0xffff9000,
    0xffffffff,0x7fcfffff,0x80002fff,0x8004fffe,0x3e4ffff8,0xffffffff,
    0xffffffff,0x2000006f,0x03fffffe,0xffffff88,0xfffffe84,0x3fffee06,
    0x7ec004ff,0x03ffffff,0x3fffff20,0xffffffff,0xf13fffff,0x4405ffff,
    0x06ffffff,0x3ffffea0,0xffff9000,0xffffffff,0x7fcfffff,0x80002fff,
    0x8004ffff,0x3e4ffff8,0xffffffff,0xffffffff,0x7000006f,0x00ffffff,
    0x7fffffe4,0x7ffffec1,0x3fffe204,0x7dc003ff,0x01ffffff,0x3fffff20,
    0xffffffff,0xf13fffff,0xa805ffff,0x03ffffff,0x1fffff50,0x3ffff200,
    0xffffffff,0x3fe7ffff,0x80002fff,0x8004ffff,0x005ffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40022000,0xccedcca9,0x64c0001a,0x8800003d,
    0x0abcccb9,0x00555554,0x806aaaa6,0xceedcba8,0x2a200abc,0xa81bcedc,
    0x8000acdc,0x0abcdca8,0x7654c000,0x55000abc,0xecb88555,0x555301bd,
    0x440e6dc1,0x00002cdc,0x00ee8800,0xffffffb5,0x05dfffff,0xdffff500,
    0x3ff20000,0xffffffff,0x0bffffe7,0x0bffff90,0xffffff91,0x10bfffff,
    0xfffffff9,0xfffd11bf,0x26003fff,0xfffffffe,0x7e4000df,0xffffffff,
    0x7fffc00d,0x3ffffee6,0x7fec0dff,0xffffe89f,0x3ffffea6,0x20000005,
    0xe80efff9,0xffffffff,0x05ffffff,0x7fffff40,0x3faa0003,0xffffffff,
    0x3fffe7ff,0x7ffe402f,0x7fffd45f,0xffffffff,0xffff985f,0xfeffffff,
    0xffffffff,0x7fffdc01,0xffffffff,0xfffe9802,0xffffffff,0x3fffe03f,
    0xffffffb6,0x7ec1dfff,0xffffeaff,0xffff99ff,0x00003fff,0xfffffb80,
    0x7ffff40e,0xffffffff,0x3e002fff,0x004fffff,0xffffffb0,0xffffffff,
    0x017ffffc,0x997ffff2,0xffffffff,0x85ffffff,0xfffffff9,0xffffffff,
    0x206fffff,0xfffffffd,0x1fffffff,0x3ffffee0,0xffffffff,0xffff04ff,
    0xffffff9f,0x6c9fffff,0xffffdfff,0xfffedfff,0x0006ffff,0x7fffe400,
    0x7ff40eff,0xeaa9abce,0x00ffffff,0x7fffffd0,0xffff7000,0xffffffff,
    0x7fffcfff,0x7ffe402f,0x3ffffe5f,0xba999bdf,0xcff985fd,0xffffa889,
    0xffc8afff,0xfffa81ff,0xfca9adff,0xf106ffff,0xdfffffff,0xffffffff,
    0xffffff01,0xffdbffff,0x3f61ffff,0xfdcfffff,0xecffffff,0x0001ffff,
    0xffffd880,0x017b04ff,0x3fffff90,0x3fffea00,0xfff88006,0x221bffff,
    0x3ffe7eb9,0x7fe402ff,0xffff35ff,0x260200bf,0x3fffea03,0x27ffec2f,
    0x81fffffc,0x83fffff9,0x1efffffd,0x7fffff4c,0xffffff85,0x3fee0cff,
    0xfffb2fff,0x3ffe27ff,0xfff51fff,0x8800003f,0x3ffffffe,0x3ffe0000,
    0x326002ff,0xffb0003d,0x1001bfff,0x017ffffc,0x5d7ffff2,0x002fffff,
    0x7fffc000,0x46fffb87,0x405ffffb,0x4c6ffffc,0x205fffff,0x1fffffe8,
    0x7ffffffc,0x7fffff03,0xf1bffff6,0x7cc9ffff,0x00002fff,0x3fffffe6,
    0x6c00002f,0x0004ffff,0x3ffe6000,0xff0006ff,0xfc805fff,0xfff75fff,
    0x000009ff,0x986fffe8,0x7ffc7fff,0x7fcc01ff,0x3ff60fff,0x7d400fff,
    0x7fc3ffff,0x3604ffff,0xffb4ffff,0xffff87ff,0x3fffe60f,0xff500003,
    0x001dffff,0xffffb000,0x40000009,0x02fffffb,0x5fffff00,0x5ffffc80,
    0xdffffff5,0x36000005,0xff884fff,0x3fffe27f,0xffff8807,0x3ffffa1f,
    0xffffd005,0x5fffff8b,0xaffffe40,0xfe87fffd,0x7ffc45ff,0xfb80003f,
    0x00dfffff,0x99753100,0x9ffffd99,0x4ccccccc,0x99999999,0x64199999,
    0x0007ffff,0x00bffffe,0x22bffff9,0xffffffff,0x220001cf,0xdfffeaa9,
    0xfffbaaaa,0xfffff50f,0x99999999,0x45fffff9,0x002fffff,0xf8dffff9,
    0x4c03ffff,0xffb2aaaa,0x9fffd0ff,0x03ffff88,0x7fffec00,0xb30004ff,
    0xffffffff,0x269fffff,0xffffffff,0xffffffff,0x7f47ffff,0x20006fff,
    0x402fffff,0x2a5ffffc,0xffffffff,0x8801cfff,0xfffffffc,0xffffffff,
    0xff71ffff,0xffffffff,0xffffffff,0x3fffe27f,0xfff9001f,0xfffff8ff,
    0x3ff60003,0x4fffe87f,0x01ffffc4,0xffffe880,0xe88002ff,0xffffffff,
    0x4fffffff,0xfffffff3,0xffffffff,0xf8ffffff,0x0005ffff,0x00bffffe,
    0xb8bffff9,0xffffffff,0x700cffff,0xffffffff,0xffffffff,0x321fffff,
    0xffffffff,0xffffffff,0xfff53fff,0x3ee003ff,0x3fe0ffff,0x20003fff,
    0xfe87fffd,0x7ffc44ff,0xfe98003f,0x001fffff,0xffffffd0,0xffffffff,
    0x3ffe69ff,0xffffffff,0xffffffff,0x7ffffc7f,0x3ffe0005,0x7fe402ff,
    0xffc885ff,0xffffffff,0x7ffcc0ef,0xffffffff,0xffffffff,0xfffb0fff,
    0xffffffff,0xffffffff,0x3ffffea5,0xffff7001,0x3fffff8f,0x3fff6000,
    0x44fffe87,0x003ffff8,0xffffff98,0xffd8001f,0x99abffff,0x4ffffd99,
    0xfffffff3,0xffffffff,0xe8ffffff,0x0007ffff,0x00bffffe,0x80bffff9,
    0xffffffda,0x7ff45fff,0x3ff60bff,0x7fe4002f,0x99999eff,0x99999999,
    0xfffff309,0x3fff2005,0x7ffffc6f,0x3ff60003,0x4fffe87f,0x01ffffc4,
    0xffffe880,0x3e2002ff,0x6c06ffff,0x2664ffff,0x99999999,0x99999999,
    0x7ffec199,0xff0000ff,0xfd805fff,0x2a005fff,0xfffffffd,0x07ffff30,
    0x8007fffb,0x006ffffa,0x7fffff00,0x3ffff600,0x1fffffc5,0xffffb000,
    0x889fffd0,0x0003ffff,0x3fffff62,0xfff5004f,0xffd803ff,0x000004ff,
    0x3ffffee0,0xffff0004,0x7ffcc07f,0xf98005ff,0xf52fffff,0xffb01fff,
    0xff98009f,0x80000fff,0x805ffffe,0x44fffff8,0x003fffff,0x21ffff60,
    0x7c44fffe,0x80003fff,0xdffffffc,0x7fffdc00,0x3ffe600f,0x000004ff,
    0x3ffffea0,0xffe8001f,0xfff305ff,0x2000bfff,0x72fffffb,0x3fa0ffff,
    0x7c4006ff,0x0004ffff,0x1fffffd8,0x7ffffdc0,0x1fffffc2,0xffffb000,
    0x889fffd0,0x0003ffff,0xffffff70,0x7ffdc01d,0xfff503ff,0x44009fff,
    0xe88003cb,0x02ffffff,0x3ffff628,0xffffe887,0xd80015ff,0xf70fffff,
    0xffb83fff,0x6c002fff,0x002fffff,0x7ffffd40,0xffff500e,0xfffff0df,
    0x7fec0007,0x4fffe87f,0x01ffffc4,0xffff3000,0x3e603fff,0x221effff,
    0xfffffffb,0xffff3004,0xfff5000d,0x559dffff,0x321ffb75,0x9aefffff,
    0xfffffffc,0x8039d95f,0x27fffffa,0x263ffffa,0x1fffffff,0xfff98350,
    0x2601dfff,0xfffe81db,0xca9abfff,0x81ffffff,0x003fffff,0x21ffff60,
    0x7c44fffe,0x00003fff,0x7fffff44,0xffff882f,0xfffeffff,0x04ffffff,
    0x7fffffd0,0xffffb000,0xffffffff,0x3fe61fff,0xffffffff,0x5fffffff,
    0xbddffff9,0xffffffd9,0x7fffcc9f,0xfffffcdf,0xdcbdffff,0xfffc82ff,
    0xeeefffff,0x981fffff,0xffffffff,0xffffffff,0x7fffff04,0x7ffec000,
    0x44fffe87,0x003ffff8,0xfffd8800,0xffb84fff,0xffffffff,0x4ffffbff,
    0xffffff00,0xffd10009,0xffffffff,0x7ec1ffff,0xffffffff,0x5ffff9ff,
    0xfffffff9,0xffffffff,0xfffffd0b,0xffd5ffff,0xffffffff,0x3ffffa05,
    0xffffffff,0xff901fff,0xffffffff,0x201bffff,0x003fffff,0x21ffff60,
    0x7c44fffe,0x00003fff,0x3fffff20,0x7ffec0df,0x2fffffff,0x2009ffff,
    0x03fffffe,0x3fffee00,0xffffffff,0x3fffa20f,0xf1efffff,0x3ff2bfff,
    0xffffffff,0xf305ffff,0x3fffffff,0x3fffffe6,0x2e02ffff,0xffffffff,
    0x01ffffff,0x3fffffea,0x03ffffff,0x01fffffc,0x0ffffb00,0xf889fffd,
    0x00003fff,0x7ffffdc0,0xffffb80e,0x3fe0cfff,0xff5004ff,0x80001fff,
    0xfffffec8,0xfb02ceff,0x419fffff,0xfd55ffff,0xffffffff,0xe98039ff,
    0x4c1effff,0xfffffffe,0x7fec400d,0xffffffff,0x764400ce,0xdeffffff,
    0xfffff800,0x3ff60003,0x4fffe87f,0x01ffffc4,0x7fd40000,0x554c00ef,
    0xa800001a,0x00000ced,0x0099a988,0x01555310,0x2aaaa200,0x98001aab,
    0x554c00aa,0x310001aa,0x00335575,0x04d54c40,0x00000000,0x00000000,
    0x03be6000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x11000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55551000,0xaa980035,0x55550aaa,0x2a200015,0x2aa61aaa,0x51002aaa,
    0x55435555,0x765c41aa,0x555102bd,0x55555555,0x01555555,0x00000988,
    0x00015751,0x900000c0,0x00007999,0x01a80000,0x88000d40,0x005fffff,
    0xb3ffffec,0x0005ffff,0x98bfffea,0x01ffffff,0x0fffffe8,0xfb97fffe,
    0x0dffffff,0x7fffffdc,0xffffffff,0x76541fff,0x0cefffff,0x3fff6600,
    0x000dffff,0x77fff6cc,0xff10001d,0x26000dff,0x01b2200d,0xa800ffd4,
    0xfb0001ff,0x2001ffff,0x24fffff8,0x003ffffc,0x83ffff70,0x06fffffb,
    0x17ffffe4,0x7ed7fffe,0xffffffff,0x3fffee0f,0xffffffff,0x7c1fffff,
    0xffffffff,0xffc801ff,0xffffffff,0xfff9002f,0x1bffffff,0xffff8800,
    0x7fecc006,0x3fffc885,0x0ffffd40,0x07fffea0,0x3fffea00,0xfff7003f,
    0x7ffd43ff,0xff90004f,0xfffd01ff,0x3fe609ff,0xfff85fff,0xfffffdef,
    0x24ffffff,0xfffffffb,0xffffffff,0x7fffc1ff,0xffffffff,0xdfffd100,
    0xfffb957b,0x7fec01bf,0xffffffff,0x7fc4005f,0x7f4006ff,0x7fd42fff,
    0xff100fff,0x2a03ffff,0x006fffff,0x0dfffff0,0x1bffffa0,0x00bffff3,
    0x41ffff60,0x1ffffff8,0x0fffffe8,0xfffffff8,0xffffefff,0xfff70fff,
    0xffffffff,0x81ffffff,0x3ee20acf,0xffd02fff,0x7fec407f,0xffff504f,
    0xfffff9bf,0x7fc4005f,0x7cc006ff,0x7e40ffff,0x3ee05fff,0x541fffff,
    0x00efffff,0xfffff900,0xffff9803,0x7fffc42f,0xfffd0006,0x7fffd40d,
    0x3fff20ef,0xffff02ff,0x223bffff,0x12fffffc,0x33333333,0xffffff33,
    0xfffb0007,0x93dff907,0x23bfffff,0xff82fffa,0x7fd40eff,0x3e2006ff,
    0xb8006fff,0x7445ffff,0x2e02ffff,0x51ffffff,0x01dfffff,0x7fffc400,
    0x7ffe404f,0xfffff07f,0xf0133310,0xfd80bfff,0xff34ffff,0x7fc09fff,
    0x883fffff,0x003fffff,0x2fffffec,0x4fffc800,0xfc8fffcc,0x71ffffff,
    0x7fcc1fff,0xfffb02ff,0x7ffc400f,0xffb0006f,0xfff987ff,0x3fee00ff,
    0xfffbffff,0x80000eff,0x407ffffd,0xd04ffffe,0xfe81ffff,0xffff85ff,
    0x7fff4404,0xffffeaff,0x7ffffc06,0x3fffa04f,0x3fee004f,0x4c00efff,
    0xfffffedc,0x927fec4f,0x9ffd77ff,0xff51fff4,0x7ffdc0ff,0xfff1000f,
    0x3e2000df,0x7e40ffff,0x7dc04fff,0xffffffff,0x500000ef,0x205fffff,
    0x01fffff9,0x443ffffb,0x220fffff,0x9803ffff,0xffffffff,0x7fc01fff,
    0x7e405fff,0xf3005fff,0x403fffff,0xffffffe9,0x7fc4ffff,0x443ff20f,
    0x97fea6ff,0x2606fffb,0x2661ffff,0xff999999,0x99999eff,0x3fea0199,
    0xfffe85ff,0x7ffe401f,0x00efffff,0x7fffc000,0xffff905f,0x7fffe40d,
    0x3ffffee2,0x0bfffe62,0x7ffffdc0,0xf803ffff,0x6402ffff,0x8805ffff,
    0x02ffffff,0x3bffffe6,0x24ffffee,0x7fe46ff8,0x7c49ff70,0x3fffee6f,
    0x1ffff500,0x3fffffe6,0xffffffff,0x07ffffff,0x21ffffec,0x806ffff9,
    0xeffffffc,0xfc800000,0xff80ffff,0x3ee03fff,0x3ffa3fff,0x3fea5fff,
    0x3fa000ff,0x06ffffff,0x05fffff0,0x05ffffc8,0x4fffffe8,0x077fff40,
    0xfa93fff2,0x7f7fe45f,0x7ffc0eff,0x05ffff30,0xf99ffff2,0xffffffff,
    0xffffffff,0x7ec07fff,0x7fcc3fff,0xffa806ff,0x001fffff,0xffff9800,
    0x7fffd43f,0x3ffe600f,0xfffff14f,0x3ffee1ff,0x7ffc4007,0xf001ffff,
    0xc805ffff,0x6405ffff,0x406fffff,0xc83ffff8,0x3fee4fff,0x7ffffe44,
    0x223ffd05,0xf885ffff,0x3fe65fff,0xffffffff,0xffffffff,0x3fea07ff,
    0x7ff445ff,0x7fd401ff,0x1fffffff,0xffe80000,0x7ffec6ff,0x7ffc404f,
    0xfffff75f,0x3ffee7ff,0x7ffdc006,0xf003ffff,0xc805ffff,0x2a05ffff,
    0x00ffffff,0x22ffffc4,0x264ffffb,0x57fe45ff,0x7ff82ffe,0x67fffff4,
    0x1fffffda,0x3fffffe6,0xffffffff,0x07ffffff,0x81fffff1,0x404ffffc,
    0xfffffffa,0x0001ffff,0x7ffffd40,0x3fffff10,0x2dffff00,0xfffefffd,
    0x00bfffb6,0x7fffffcc,0xff801fff,0x7e402fff,0xff305fff,0x2003ffff,
    0xedeffffe,0x224fffff,0x47fe47ff,0x7fcc6ff8,0x7ffffcc6,0x4fffffff,
    0x99999998,0x99effff9,0xd0199999,0xfa85ffff,0x7d406fff,0xffceffff,
    0x0001ffff,0x9fffffc0,0x006ffffb,0xff1ffffd,0x1ffff5ff,0x2009fffd,
    0xffffffe8,0x7c00efff,0x6402ffff,0xe885ffff,0x003fffff,0x3fffffea,
    0x44fffeff,0x3ff21ffe,0x7dc5ffb0,0xffffb84f,0x0dffffff,0x7fffc400,
    0xfffb8006,0x7fff445f,0x3ffea01f,0xfff70eff,0x00003fff,0xeb7fffe4,
    0xb003ffff,0xfff7ffff,0xf7ffff1b,0x36007fff,0xffefffff,0x7fc05fff,
    0x7e402fff,0xffd85fff,0xb8005fff,0xf2ffffff,0x6ffc89ff,0x7fcc3ff2,
    0x205fff16,0xffffffe9,0xff10002f,0xf9800dff,0x7e40ffff,0x3ea04fff,
    0x5c0effff,0x01ffffff,0xffff3000,0x1fffff5f,0x3ffff200,0xffb2fffe,
    0x05ffffdf,0x9fffff50,0x5fffffd1,0x17ffffc0,0x17ffff20,0x1dfffff7,
    0x2aaa2000,0x2204cc40,0x1ff93fff,0x7fed7ff4,0xabba9805,0x7fc40000,
    0x7f4006ff,0x7fd42fff,0xff100eff,0x2e01dfff,0x006fffff,0x3ffffa00,
    0x005fffff,0x3fffffee,0xffff50ff,0x9803ffff,0x2a6fffff,0x00ffffff,
    0x805fffff,0x265ffffc,0x01ffffff,0x2a000000,0xf9003fff,0x000001ff,
    0x3fffe200,0x7fec4006,0x2fffc884,0x077ffdc0,0x03bffee0,0xfffb8000,
    0x02ffffff,0x3ffffe60,0x3ffe25ff,0x400fffff,0x41fffffe,0x06fffffc,
    0x805fffff,0xf15ffffc,0xddffffff,0xdddddddd,0x4cccccc5,0x99999999,
    0x1dfffd81,0x07fffd50,0x26666666,0x19999999,0x3fffe200,0x01b30006,
    0xfb8026c4,0x1df9000e,0xff880000,0x07ffffff,0x7ffffc40,0x7ffec3ff,
    0x7e407fff,0xe884ffff,0xf84fffff,0x6402ffff,0xff95ffff,0xffffffff,
    0x7fffffff,0x3fffffe6,0xffffffff,0xfffff907,0xfffffd9d,0x3fffe607,
    0xffffffff,0x3e2007ff,0x00006fff,0x005c0000,0x000002e0,0x7fffffe4,
    0xfff8004f,0x7d40ffff,0x206fffff,0x06fffffa,0x3fffffe6,0x17ffffc1,
    0x57ffff20,0xfffffffd,0xffffffff,0xffff33ff,0xffffffff,0x7f4c0fff,
    0xffffffff,0x3ffe600d,0xffffffff,0x22007fff,0x0006ffff,0x00000000,
    0x4c000000,0x0fffffff,0xffffe800,0xffff886f,0xfff104ff,0xfc803fff,
    0x3e0effff,0x6402ffff,0xffb5ffff,0xffffffff,0x7fffffff,0x3fffffe6,
    0xffffffff,0xffecb807,0xf9802cef,0xffffffff,0x007fffff,0x017bbba2,
    0x00000000,0x00000000,0x17fffffa,0x7fffec00,0xffffb03f,0x3fffa07f,
    0xffd004ff,0x7ffcbfff,0x7fe402ff,0xffffb5ff,0xffffffff,0x227fffff,
    0xcccccccc,0x04cccccc,0x44000c40,0xcccccccc,0x04cccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,0xaa88009a,
    0x80009aba,0x80009999,0x5d4c0008,0xed80001a,0x2aa002ee,0xaaaaaaaa,
    0xaaaaaaaa,0x26200002,0x99999999,0x99999999,0x00004009,0x8806a200,
    0x0f60002a,0xe8001710,0x2e004fff,0xeffffffe,0xfffff982,0x800cffff,
    0x03ffffea,0x07bffa60,0xfffffd88,0xb8000cff,0x000fffff,0xffffffff,
    0xffffffff,0x7fffcdff,0x7ffffc5f,0xffffffb5,0xffffffff,0x950bffff,
    0x0005dffd,0x85fffa80,0x000effe9,0xe81fffdc,0x3f6003ff,0xfea803ff,
    0xffffffff,0x7fffd44f,0x1fffffff,0xffffff70,0x3fe2007f,0xfa81ffff,
    0xffffffff,0x3e2002ff,0x004fffff,0xffffffff,0xffffffff,0x7fff4dff,
    0x7ffff44f,0xffffffb4,0xffffffff,0xfb8bffff,0x0effffff,0x80b332e0,
    0x6c3fffff,0x2005ffff,0x40fffff8,0x004ffffb,0x7007fffb,0xffffffff,
    0x7d45ffff,0xffffffff,0x7ffdc6ff,0x03ffffff,0xffffff70,0xfffff98b,
    0xffffffff,0xffffb000,0xff003fff,0xffffffff,0xffffffff,0x27ffff4d,
    0x6d3ffffa,0xffffffff,0xffffffff,0x3ffee5ff,0x1fffffff,0x209ffff0,
    0x45fffff8,0x006fffff,0x30fffffa,0x981fffff,0x17ffe41e,0x3fffa1ae,
    0xffffffde,0x266b36a4,0x0fffffea,0x3ffffff2,0xf9003fff,0x43ffffff,
    0xaadffffe,0x05ffffeb,0xfdefff98,0xeee806ff,0xeeeeeeee,0x4eeeeeee,
    0xb0fffff6,0x3f67ffff,0xffffffff,0xffffffff,0x3ffffa5f,0x1fffffff,
    0x01ffffc4,0xe89fffff,0x7005ffff,0xfd0bffff,0xffb03fff,0x88fffdc7,
    0x174c3ffd,0x037ffffc,0x47ffff98,0xffeefff8,0xff7003ff,0x2a5fffff,
    0xfd04ffff,0xfe801fff,0xffff8aff,0x80000003,0x6c3ffffd,0x3313ffff,
    0x33333333,0xffff3333,0x3ffffeab,0xffffffec,0x0bfffee2,0x40ffffb8,
    0x801ffffa,0x40fffff8,0xa84ffffc,0xfa8effff,0xffff98ff,0xfffb000f,
    0x3fea00bf,0x92ed85ff,0x4007ffff,0x3ffffffe,0x201ffff7,0x201ffffb,
    0x3ee6fffb,0x00000fff,0x7fffe400,0x17fffe42,0x7fffc000,0x41ffff95,
    0xeffffffa,0x807ffffe,0x77300bc9,0x3fff6001,0x7fffcc3f,0xfffffb06,
    0xff9fffbf,0x3007ffff,0x109fffff,0xffff9553,0xffc8105f,0x3e2003ff,
    0xf93fffff,0x7fcc0dff,0xfff103ff,0x5ffff83f,0x64000000,0x7e42ffff,
    0x80002fff,0xffb5ffff,0xffff50df,0x9fffffff,0x20000000,0x445ffffa,
    0x201ffffe,0xffffffda,0xcfffffff,0xfffe8801,0xfffb80ff,0x001effff,
    0x007ffff9,0x1fffffb8,0x440dfffb,0xf903ffff,0xfff50bff,0x0000003f,
    0x20ffffdc,0x001ffffb,0xd5ffff80,0x3e60bfff,0xffffffff,0x0000000e,
    0x0fffff88,0x01ffffe4,0xfffffd98,0x000cffff,0x7fffffd1,0x3ffffee0,
    0xc802dfff,0x4003ffff,0x90fffff8,0x2e01ffff,0xf981ffff,0xffd00fff,
    0x3bbba0df,0xeeeeeeee,0x24eeeeee,0x5c1ffffb,0x0001ffff,0x555ffff8,
    0x7f4c0355,0x00efffff,0xf3000000,0xfd81dfff,0x54002fff,0x1fffffff,
    0x3fffe600,0x3fee03ff,0xffffffff,0x7fffe403,0x7ffcc003,0x3fffee6f,
    0x1ffffb03,0x409fffd0,0xf83ffff9,0xffffffff,0xffffffff,0x3fffea6f,
    0x07fffd40,0x7fffc000,0x3b6a0005,0x00000ace,0x7ffe4000,0x7fffc44f,
    0xffea800f,0xdfffffff,0x7fffcc01,0x262002ff,0x06ffffeb,0x01ffffe4,
    0x87ffff60,0x22fffff9,0x86ffffc8,0x400ffffb,0x7c0ffffd,0xffffffff,
    0xffffffff,0x1bbba66f,0x003bbba6,0x06aaaa00,0x00000000,0x7ff40000,
    0x7ffdc2ff,0x3ffaa05f,0xffffffff,0xfa81dfff,0x001effff,0x3ffffe60,
    0x3ffff201,0xfffd5003,0xffff907f,0xffffffff,0xffff883f,0xffff8803,
    0x7fffffc5,0xffffffff,0x0006ffff,0x00000000,0x00000000,0x7ffcc000,
    0x7ffec0ff,0xffffe83f,0xfbfffcff,0x2e3fffff,0x99efffff,0x50009999,
    0x403fffff,0x303ffffc,0xffffffdd,0x7ffff40b,0x3fffffff,0x006fffc8,
    0xa8bffff2,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0x00000000,0x00000000,
    0x44ffffc8,0x41fffff8,0xa8dffffa,0xffe98fff,0xffff70ff,0xffffffff,
    0x26aaee7f,0xfffffba9,0x3fbbba67,0xeeeeffff,0xffffff52,0xffc8807f,
    0x1effffff,0x00355550,0x01555544,0x00000000,0x00000000,0x00000000,
    0xffff8800,0x7fffdc2f,0x2e3ffd86,0x3ff21fff,0x3fffff63,0xffffffff,
    0xffffffd3,0x47ffffff,0xfffffffa,0x53ffffff,0x019fffff,0x6f765cc0,
    0x0000002c,0x00000000,0x00000000,0x00000000,0x3ea00000,0x7ec0ffff,
    0x07444fff,0xd50bfff2,0xffffffd8,0x3fffffff,0xfffffffd,0xfa87ffff,
    0xffffffff,0x7933ffff,0x00000035,0x00000000,0x4cc40000,0x99999999,
    0x55555109,0x55555555,0x4ccccccc,0x99999999,0x99999999,0x00000009,
    0x67ffec00,0x067ffc40,0x03fffd80,0xffffffd8,0x3fffffff,0xfffffffd,
    0xff5039df,0xffffffff,0x00007fff,0x80000000,0xeffffff9,0x7ffffcc0,
    0xffb0005f,0xffffffff,0x3fffea7f,0xffffffff,0xffffff0f,0xffffffff,
    0xffffffff,0x00000bff,0x0cf88000,0xb00032a0,0x31007fff,0x33333333,
    0x2a213333,0x019aaaaa,0x4cccccc4,0x09999999,0x00000000,0x3ffe6000,
    0x3a204fff,0x005fffff,0xffffffd8,0xf53fffff,0xffffffff,0x3fe1ffff,
    0xffffffff,0xffffffff,0x05ffffff,0x00000000,0x7f400000,0x000004ff,
    0x00000000,0x00000000,0xfff88000,0xf9002fff,0x800bffff,0xfffffffd,
    0xff53ffff,0xffffffff,0x3ffe1fff,0xffffffff,0xffffffff,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x00efffff,
    0x7ffffd40,0x3332e005,0xcccccccc,0xffffff51,0x1fffffff,0x3ffffffe,
    0xffffffff,0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffe200,0x3a20004f,0x0005ffff,0x55554400,0xaaaaaaaa,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x177776c4,0xeeec8000,0x0000004e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_45_latin1_x[224]={ 0,8,4,0,1,0,0,9,5,5,2,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,3,3,1,3,0,0,0,0,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,4,2,5,5,0,2,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,3,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_45_latin1_y[224]={ 33,1,1,4,-1,1,2,1,0,0,1,10,24,18,
24,1,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-3,0,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,33,10,0,3,4,4,
-3,1,1,3,3,11,18,18,1,2,1,5,1,1,1,10,1,16,33,1,3,11,1,1,1,10,-4,-4,-4,-5,
-5,-6,4,3,-4,-4,-4,-5,-4,-4,-4,-5,4,-5,-4,-4,-4,-5,-5,11,-1,-4,-4,-4,-5,-4,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_45_latin1_w[224]={ 0,8,16,24,22,25,26,7,15,14,20,23,13,15,
9,22,23,21,21,20,24,20,22,21,21,22,9,13,19,20,19,16,25,25,22,22,23,18,18,22,21,19,17,22,
18,24,21,24,21,25,22,21,23,22,25,25,25,25,21,13,22,13,22,25,16,20,21,20,21,21,24,23,19,20,
18,21,20,23,19,23,21,21,20,19,21,19,25,25,25,25,19,17,6,18,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,22,24,24,
6,23,20,25,16,20,20,15,23,19,17,21,15,15,23,22,22,9,7,15,17,21,25,25,25,16,25,25,25,25,
25,25,25,22,22,22,22,22,22,22,22,22,24,23,24,24,24,24,24,21,24,23,23,23,23,25,21,21,22,23,
22,22,22,22,25,20,23,23,23,23,23,24,23,23,22,22,24,24,24,24,24,23,23,22,23,22,22,25,21,25,
 };
static unsigned short stb__consolas_bold_45_latin1_h[224]={ 0,33,12,29,40,33,32,12,43,43,20,22,17,6,
10,37,31,29,30,31,29,30,30,29,31,30,24,31,26,14,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,39,29,31,29,30,29,29,29,29,29,42,37,42,15,6,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,32,32,23,24,31,24,23,23,23,33,23,42,46,42,11,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,30,29,29,
46,38,10,31,23,20,12,6,23,9,16,28,19,19,10,32,38,9,7,19,23,20,32,32,32,32,37,37,37,38,
38,39,29,37,37,37,37,38,37,37,37,38,29,38,38,38,38,39,39,20,39,38,38,38,39,37,29,33,33,33,
33,33,33,36,24,30,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,24,33,33,33,33,33,42,41,42,
 };
static unsigned short stb__consolas_bold_45_latin1_s[224]={ 253,244,167,93,230,48,75,243,30,15,22,
178,91,184,243,151,1,79,198,92,182,113,220,215,234,134,243,236,1,146,236,
239,164,1,27,160,50,237,74,69,140,162,157,101,148,189,207,183,167,47,192,
47,124,1,53,27,1,229,118,91,174,150,123,200,147,21,234,66,93,153,114,
190,216,27,72,48,139,220,79,175,92,70,199,107,25,87,1,27,53,193,99,
190,1,131,205,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,253,245,27,
175,96,143,8,101,229,208,119,1,184,184,136,164,105,214,43,59,123,193,221,
243,243,75,160,202,25,1,125,151,125,99,50,1,172,1,70,1,197,220,47,
198,24,27,76,125,45,77,220,27,52,147,73,224,98,148,172,196,123,1,121,
144,121,97,74,163,115,70,127,24,186,24,166,210,1,168,219,51,1,102,138,
49,74,24,214,42,99,170,146,123,1,105,208,46, };
static unsigned short stb__consolas_bold_45_latin1_t[224]={ 1,48,511,400,1,203,271,152,1,1,511,
487,511,527,237,127,337,430,337,337,400,337,337,369,304,337,127,271,460,511,430,
203,1,400,400,304,400,369,400,337,400,400,337,430,430,430,400,304,430,48,369,
337,430,369,430,430,430,400,400,1,127,1,511,527,527,460,165,460,165,460,304,
203,271,304,1,304,304,460,487,460,304,304,460,460,337,460,487,487,487,237,487,
1,1,1,511,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,1,87,48,
337,369,369,1,88,511,304,487,511,511,527,487,527,511,430,511,511,527,271,48,
248,258,511,487,487,271,304,271,271,127,127,127,88,48,48,369,165,127,127,165,
48,165,127,127,88,369,88,87,88,88,48,48,487,48,88,87,87,48,127,369,
203,203,203,203,165,165,165,460,369,165,203,203,165,271,271,237,271,237,271,165,
237,237,237,203,460,237,237,237,237,203,1,1,1, };
static unsigned short stb__consolas_bold_45_latin1_a[224]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_45_latin1(stb_fontchar font[STB_FONT_consolas_bold_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_45_latin1_s[i] + stb__consolas_bold_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_45_latin1_t[i] + stb__consolas_bold_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_45_latin1_x[i];
            font[i].y0 = stb__consolas_bold_45_latin1_y[i];
            font[i].x1 = stb__consolas_bold_45_latin1_x[i] + stb__consolas_bold_45_latin1_w[i];
            font[i].y1 = stb__consolas_bold_45_latin1_y[i] + stb__consolas_bold_45_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_45_latin1_s[i] + stb__consolas_bold_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_45_latin1_t[i] + stb__consolas_bold_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_45_latin1_x[i] + stb__consolas_bold_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_45_latin1_y[i] + stb__consolas_bold_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_45_latin1_LINE_SPACING
#endif

