// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT        571
#define STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_49_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_49_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_49_latin1_LINE_SPACING          32

static unsigned int stb__times_bold_49_latin1_pixels[]={
    0x4ccc4000,0x80000099,0x00999998,0x98800000,0x00009999,0x00333310,
    0x33300000,0x00000013,0x4ccccc40,0x99800000,0x00001999,0xb8803ff9,
    0x402cefed,0x00001ffc,0x1fffffe8,0xffa80000,0x00005fff,0xffffe800,
    0xf980001f,0x0003ffff,0x3fff2000,0x000001ff,0xdfffff00,0xf7000001,
    0x0007ffff,0x5c03ff90,0xffecdfff,0x03ff901e,0xfff88000,0x000001ff,
    0x01ffffea,0xff300000,0x00003fff,0x3ffffff6,0x88000000,0x05ffffff,
    0xf9800000,0x0000ffff,0x3ffff200,0xffc80005,0x819ffb01,0xfc81fffc,
    0x5c00001f,0x0001ffff,0xffffa800,0x20000002,0x001ffffb,0xfffff500,
    0x000009ff,0xffffffb0,0x0000003f,0x01ffffc8,0xffc80000,0x640000ff,
    0x7ffc81ff,0x90ffff10,0x800003ff,0x0002fffe,0x3ffee000,0x20000005,
    0x0002fffe,0x3f7fffa0,0x00000fff,0x37fffe60,0x00005fff,0x0ffffc00,
    0xf9000000,0xc80007ff,0x7ffc41ff,0x3ffff303,0x0001ffc8,0x00bffe20,
    0x3ee00000,0x0000007f,0x0005fff1,0x99fffdc0,0x00004fff,0x5c7bffa0,
    0x00001fff,0x03fff300,0xfb000000,0xfc8000bf,0x27ffd41f,0x42ffff98,
    0x00001ffc,0x0000bfee,0x2ffc8000,0xfb800000,0x2200002f,0x7f441fff,
    0xa800000f,0x7fd40eff,0x90000006,0x000003ff,0x007fec00,0xc83ff900,
    0x3fe07fff,0x0ffe40ff,0x07fd0000,0x90000000,0x0000009f,0x800007fd,
    0xfb100efc,0xfd00000b,0x017fcc09,0x17fc0000,0x40000000,0x320003fd,
    0x7ffdc1ff,0x03bb304f,0x00003ff9,0x0000004c,0x00013000,0x00013000,
    0x800dd880,0x200001fc,0x6e8803ea,0x09800000,0x00000000,0xfc800026,
    0x7fffcc1f,0xffc8004f,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe81ffc8,0x000effff,0x99807ff2,
    0x99999999,0x33019999,0x33333333,0x4ccccccc,0x19999999,0x33333330,
    0x4ccc4333,0x81999999,0x30999999,0x33333333,0x20333333,0x99999999,
    0x2a600019,0x009abccb,0xba980000,0x0009abcc,0xcba98000,0x80009abc,
    0xff981ffc,0x003fffff,0x6e403ff9,0xfffffffe,0xc80cceff,0xdffffffd,
    0xfffdb90c,0x9dffffff,0xfffb9019,0x2e19bfff,0xffffffff,0xffffd85f,
    0xfffdb93f,0x9dffffff,0xfffb9019,0x0019bfff,0x7fffff54,0x0dfffffd,
    0x3faa0000,0xfffdffff,0x00000dff,0x3fffffaa,0x0dfffffd,0x203ff900,
    0xfffffffa,0x0ffe400d,0xfffffd80,0x7ec003ff,0x7fec00ff,0x003fffff,
    0xa807ffec,0x2fffffff,0x407ffe20,0xfffffffd,0x7ffec003,0x7fec4000,
    0x7e541bef,0x40003fff,0x1befffd8,0x1ffffe54,0x3ff62000,0x7e541bef,
    0xfc803fff,0x3fff201f,0x202fffff,0xf5001ffc,0x00ffffff,0x5005ff10,
    0x0fffffff,0x805ff100,0x2ffffffa,0xf501fec0,0x00ffffff,0x8005ff10,
    0x00fffffb,0x0f7fffcc,0x7fffdc00,0x7ffcc00f,0xfb8001ef,0x4c00ffff,
    0x201effff,0xdf501ffc,0xffffffff,0x007ff205,0x7fffffcc,0x03ff0007,
    0xffffff30,0x07fe000f,0x3fffffa0,0x2603f404,0x07ffffff,0x4003ff00,
    0x02fffffd,0x7fffff50,0x7fffec00,0xfff5002f,0x7ec007ff,0x5002ffff,
    0x207fffff,0xefb81ffc,0xfffffd88,0x1ffc82ff,0xfffff100,0x3fa000df,
    0xffff8800,0xfd0006ff,0xffff5001,0x01fc40ff,0x3fffffe2,0x01fd0006,
    0x3fffff20,0x7ffec003,0xffc801ff,0x6c003fff,0x801fffff,0x03fffffc,
    0x7ffffec0,0x4c1eeb81,0x7ffdc1ff,0x7e42ffff,0xfff1001f,0x2000dfff,
    0xfff1007d,0x2000dfff,0x3ffa007d,0x1f502fff,0xfffff880,0x0fb0006f,
    0x3ffffe60,0xfff98007,0x7fcc06ff,0x98007fff,0x406fffff,0x07fffff9,
    0xfffff980,0x83ffc006,0x6fffffe9,0x8800ffe4,0x06ffffff,0x2200fb00,
    0x06ffffff,0x5c00fb00,0xb06fffff,0xffff100b,0x36000dff,0xffffd007,
    0x3fa000bf,0x3a03ffff,0x005fffff,0x7fffffd0,0x7fffff40,0xfffd0005,
    0x3e6007ff,0x3ff6206f,0x3ff23fff,0xffff1001,0x36000dff,0xffff1007,
    0x36000dff,0x3ffe2007,0x17c41fff,0x7ffffc40,0x0fb0006f,0xffffff90,
    0x3ff60005,0xfc81ffff,0x002fffff,0xffffffb0,0xfffff903,0x3f60005f,
    0x801fffff,0x6c00fffc,0x3f26ffff,0xfff1001f,0x2000dfff,0xfff1007d,
    0x2000dfff,0x7fe4007d,0x03dc5fff,0xffffff88,0x80fb0006,0xfffffff8,
    0xfff70000,0xff88bfff,0x000fffff,0xffffff70,0xfffff88b,0xf70000ff,
    0x00bfffff,0xd007fffd,0x7fe4ffff,0xffff1001,0x36000dff,0xffff1007,
    0x36000dff,0x7ffc4007,0x013a0fff,0x7fffffc4,0x80fb0006,0x6ffffffa,
    0x3ffe6000,0x7fd47fff,0x0006ffff,0x3fffffe6,0x7ffffd47,0x3e60006f,
    0x807fffff,0x402ffffe,0x3f27fff8,0xfff1001f,0x2000dfff,0xfff1007d,
    0x2000dfff,0xffd8007d,0x03f34fff,0x3ffffe20,0x0fb0006f,0xffffffc8,
    0x3fe20006,0x320fffff,0x06ffffff,0x3fffe200,0x3ff20fff,0x0006ffff,
    0x3fffffe2,0x7ffec00f,0x7fec02ff,0x4007ff25,0x6ffffff8,0x200fb000,
    0x6ffffff8,0x000fb000,0x1ffffff3,0x7fc400d9,0x0006ffff,0xfffd80fb,
    0x20005fff,0xfffffff8,0x3fffff62,0x3e20005f,0x22ffffff,0x5ffffffd,
    0x3ffe2000,0x4c02ffff,0x03ffffff,0xffc8fff2,0xffff1001,0x36000dff,
    0xffff1007,0x36000dff,0xfffd0007,0x4007f7ff,0x6ffffff8,0xf80fb000,
    0x05ffffff,0x3fffe200,0x3ffe3fff,0x0005ffff,0x3fffffe2,0x3ffffe3f,
    0x220005ff,0x3fffffff,0xfff90331,0xfd01bfff,0x00ffe41f,0xffffff88,
    0x00fb0006,0x3fffffe2,0x00fb0006,0x3ffffee0,0x3e2000ff,0x006fffff,
    0x7fc40fb0,0x004fffff,0x7fffffc0,0xfffff15f,0xf80009ff,0x15ffffff,
    0x9fffffff,0xffff8000,0x3ff95fff,0xfffffe88,0x0bfe61ff,0x22003ff9,
    0x06ffffff,0x2200fb00,0x06ffffff,0x4000fb00,0x05ffffff,0x7ffffc40,
    0x0fb0006f,0x7fffffcc,0x7fc0004f,0xf35fffff,0x09ffffff,0xfffff800,
    0xffff35ff,0x80009fff,0x5fffffff,0xfd103ff9,0x17ffffff,0x3ff905ff,
    0x3fffe200,0xfb0006ff,0x3fffe200,0xfb0006ff,0x7ffe4000,0x7c4002ff,
    0x006fffff,0x7fc40fb0,0x004fffff,0x7fffffc0,0xfffff14f,0xf80009ff,
    0x14ffffff,0x9fffffff,0xffff8000,0x3ff94fff,0x3ffffa20,0x901effff,
    0x3e2003ff,0x006fffff,0x3e200fb0,0x006fffff,0x44000fb0,0x8007ffff,
    0x6ffffff8,0xf80fb000,0x05ffffff,0x7ffffc00,0x3fffe3ff,0x40005fff,
    0x3fffffff,0x3ffffffe,0x7ffc0005,0xff93ffff,0xffffc803,0x3f206fff,
    0xfff1001f,0x2000dfff,0xfff1007d,0x2000dfff,0x7ec0007d,0xf88004ff,
    0x006fffff,0xffd80fb0,0x0006ffff,0x3fffffe2,0x3ffff62f,0x220006ff,
    0x2fffffff,0x3ffffff6,0x3fe20006,0xf92fffff,0xffd3003f,0x320bffff,
    0xff1001ff,0x000dffff,0x7fc401fa,0x0006ffff,0xf98000fd,0xf88000ff,
    0x006fffff,0xffc80fd0,0x0007ffff,0x3fffffe2,0x3ffff20f,0x220007ff,
    0x0fffffff,0x3ffffff2,0x3fe20007,0xf90fffff,0x3f62003f,0xc83fffff,
    0xff1001ff,0x000dffff,0x7fc401fa,0x0006ffff,0xfd0000fd,0x3fe2000b,
    0x0006ffff,0xfffa80fd,0x20007fff,0x7ffffffa,0x7fffffd4,0x3fea0007,
    0x7d47ffff,0x007fffff,0x3ffffea0,0x007ff27f,0xffffff50,0x001ffc81,
    0x1ffffffe,0xf0037400,0x00ffffff,0x20001ba0,0x3e0002fa,0x007fffff,
    0xffd00dd0,0x0001ffff,0x3fffffee,0xfffffe83,0xff70000f,0xfd07ffff,
    0x001fffff,0x3ffffee0,0x807ff23f,0xffffd100,0x001ffc85,0x1ffffffe,
    0x8017e200,0x07ffffff,0x0005f880,0x7c0006b8,0x007fffff,0xfa805f88,
    0x002fffff,0xdfffffb0,0x3ffffea0,0xffb0002f,0x3ea0dfff,0x002fffff,
    0xdfffffb0,0xfa81ffc8,0xffe880ef,0x00ffe44f,0xffffffd0,0x009f5000,
    0x3ffffff4,0x0027d400,0x20001f40,0x07fffffe,0xd004fa80,0x00dfffff,
    0x3fffffe0,0x3ffffa02,0xfff0006f,0x7f405fff,0x0006ffff,0x85ffffff,
    0xffe81ffc,0x9fff903f,0x2001ffc8,0x1ffffffc,0x0017e400,0x3ffffff9,
    0x802fc800,0x07cc0cc9,0x3fff2000,0x64001fff,0xfff3002f,0xb8003fff,
    0x406fffff,0x1ffffff9,0x7fffdc00,0x7ffcc06f,0x5c001fff,0xc86fffff,
    0x7ffc41ff,0x5fff304f,0x2001ffc8,0x3ffffff9,0x001bee00,0x7ffffff3,
    0x4037dc00,0x2ec6fff9,0x7ffcc000,0x2e003fff,0x7fe4006f,0x74005fff,
    0x801fffff,0x05fffffc,0x7fffff40,0xffffc801,0x7ff4005f,0xffc81fff,
    0x02ffff81,0xfc81fff7,0x7fec001f,0x9802ffff,0xfd8002ff,0x802fffff,
    0xfc802ff9,0x03f10fff,0x3fff6000,0xf9802fff,0xffc8002f,0xf9001fff,
    0x4003ffff,0x01fffffc,0x3fffff90,0x7fffe400,0xfff9001f,0x3ff203ff,
    0x01fffc81,0xff909ffd,0xfffd0003,0x73015fff,0x740005ff,0x0affffff,
    0x002ffb98,0xb15ffff9,0xfe80000b,0x80afffff,0x0002ffb9,0x0bfffff2,
    0x3dffff70,0xffff9000,0xfffb805f,0xfc8001ef,0x5c02ffff,0x201effff,
    0xffb01ffc,0x3ffae23d,0x003ff903,0xfffffb10,0xfffb9dff,0xd880005f,
    0xefffffff,0x02ffffdc,0x3ffffe20,0x400000ff,0xffffffd8,0xffffdcef,
    0xfe980002,0x930acfff,0x009ffffd,0xffffe980,0xffd930ac,0x980009ff,
    0x0acffffe,0x9ffffd93,0x403ff900,0xfffffffb,0x07ff202e,0xfffea800,
    0xbfffffff,0x3aa00000,0xffffffff,0xb8000bff,0x000effff,0x3ffaa000,
    0xffffffff,0x5400000b,0xfffffffd,0x000befff,0x3fff6a00,0xefffffff,
    0x2a00000b,0xfffffffd,0x000befff,0x53001995,0x32a00357,0xa880000c,
    0x01abcccb,0x5d440000,0x001abccc,0x00037300,0x65d44000,0x0001abcc,
    0x99753000,0x00001579,0x99975300,0x00000157,0x79997530,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f6e5540,0x000acdee,0x26662000,
    0x99999999,0x26200199,0x00009999,0x880dc400,0x0000001b,0x4ccccc00,
    0x98800001,0x10000999,0x00133333,0x26666200,0x33330009,0x40000003,
    0xcdefffc9,0xdfffdcab,0xeb980002,0xffffffff,0x4dffffff,0x3fffa200,
    0x000000ff,0xfa89fff7,0x2fbe05ff,0x2000000a,0x03fffffb,0x7ffc4000,
    0xf30005ff,0x000bffff,0x3fffff60,0xffff9802,0x4000003f,0x002dffeb,
    0x001dfb31,0xfffffb10,0x9555dfff,0x44000bff,0x002ffffe,0xffffd000,
    0x0fffff41,0x02fffb98,0xfffb0000,0x9000009f,0x03ffffff,0x3fffea00,
    0xff80000f,0xfd002fff,0x000fffff,0x33ffa200,0x3fea0000,0x3ffa2002,
    0x6fffffff,0x40003fcc,0x005fffe8,0xffff8800,0xfffff12f,0x3ffe8807,
    0x7fc40000,0x800004ff,0xfffffff9,0x3fea0005,0x540002ff,0x5002ffff,
    0x7fffffff,0xffa80000,0xb100000e,0x3ffa007f,0xffffffff,0x0003fcc6,
    0x00fffe88,0xfffd8000,0x07fffec7,0x027ffdc0,0x9fff7000,0x3f600000,
    0x1ffffdff,0x3ffee000,0x7fec0005,0xfff1003f,0x01ffffbf,0x13ff2000,
    0x0fdc0000,0x3fffff20,0x46ffffff,0x200006f9,0x0002fff8,0x42efd980,
    0x1002efd8,0x0001ffff,0x0017ff60,0xa7ffd400,0x0005ffe8,0x0003ffdc,
    0xc800fffe,0xfff32fff,0xff900009,0xe8000005,0xffff300f,0xffffffff,
    0x0006f98d,0x002ffcc0,0x00801000,0x03fffe80,0x05ff8800,0x3ffa0000,
    0x017fec42,0x00bfee00,0x0027fd40,0xe883fff1,0x2a0000ff,0x000002ff,
    0xff704f98,0xffffffff,0x06f98dff,0x0ff98000,0x00000000,0x17fffe00,
    0x017ee000,0x1ffb8000,0x0001bf20,0x6c0017f2,0x77ec004f,0x009fd100,
    0x0017fe20,0x80fb8000,0xfffffffd,0x4c6fffff,0x1000006f,0x00000003,
    0x7ffc4000,0x1880005f,0x6ec00000,0x002fb800,0x10000980,0x04e88003,
    0xd0001fb0,0x5cc001df,0x009880bd,0xffffd07d,0xffffffff,0x0006f98d,
    0x22000000,0x99999999,0x99999819,0xffff5009,0x00000009,0x00000000,
    0x00000000,0x00000000,0xb8007fee,0xff96efff,0x21b207ff,0xffffffff,
    0x4c6fffff,0x9800006f,0xffb80003,0x5fffffff,0x3fffffd8,0x07ffff70,
    0x26666666,0x99999999,0x99999999,0x99999809,0x99999999,0x99999999,
    0x99980999,0x99999999,0x4ccc1999,0x99999999,0x4ccc1999,0x99999999,
    0x74001999,0xffb1004f,0x3ffe7a1b,0xd0f701ff,0xffffffff,0xf98dffff,
    0x6d800006,0xfff50000,0x4405ffff,0x3f201fff,0xfb901fff,0xffffffff,
    0xffffffff,0x905fffff,0xfffffffb,0xffffffff,0x5fffffff,0xffffd990,
    0x99dfffff,0x7fff6641,0xceffffff,0x3ffb320c,0xefffffff,0xff3000cc,
    0xfffd1003,0x7ffff5c1,0xfb03e607,0xffffffff,0x6f98dfff,0x7fc40000,
    0xff500002,0xd805ffff,0x7ffec03f,0xfffc800f,0xaaaaffff,0xffffecaa,
    0x7ffe402f,0xaaaaffff,0xffffecaa,0x7ffe402f,0x9005ffff,0xbfffffff,
    0x3ffff200,0x90005fff,0x3ffa00df,0x7fffd42f,0x907e204f,0xffffffff,
    0xf98dffff,0x7e400006,0x3a00006f,0x404fffff,0xfffe807e,0xffff1007,
    0xfd500fff,0xff8805ff,0xa807ffff,0x4402fffe,0x1fffffff,0xfffff100,
    0x3e2003ff,0x01ffffff,0x803ff880,0xfa86fffc,0x7402ffff,0x7ffffcc2,
    0x6fffffff,0x000037cc,0x003ffff1,0x3fffea00,0x00fe207f,0x801bfff2,
    0x07ffffff,0x200bff20,0x07ffffff,0x200bff20,0x0fffffff,0x3ffffe00,
    0x3fe000ff,0x000fffff,0x5400ffa8,0xfc82ffff,0x7400ffff,0xfffffe81,
    0x46ffffff,0x200006f9,0x005ffffb,0x3ffffa00,0x001f502f,0x400dfff5,
    0x07ffffff,0x7c017ec0,0x007fffff,0x7fc017ec,0x4007ffff,0x07ffffff,
    0x7fffffc0,0x0df70007,0x07ffff88,0x00dffffb,0xffff303f,0xdfffffff,
    0x00006f98,0x03fffffa,0x7ffdc000,0x00bb06ff,0x8007fff4,0x07ffffff,
    0x7c017cc0,0x007fffff,0x7fc017cc,0x4007ffff,0x07ffffff,0x7fffffc0,
    0x0bf90007,0x04ffffb8,0x807fffff,0xfff500f8,0xdfffffff,0x00006f98,
    0x9ffffff5,0x3fe20000,0x7c41ffff,0x3ffa2002,0xfffff003,0x2f81c0ff,
    0xffffff80,0x017c0e07,0x3ffffffc,0x3ffffe00,0x7ffc007f,0xb0007fff,
    0xfffe809f,0xffff982f,0x203cc01f,0xffffffe9,0x037cc6ff,0xffffe800,
    0x00000fff,0x8bfffff9,0xfe88007b,0xffff802e,0x203e07ff,0xffff802c,
    0x203e07ff,0xffff802c,0x7fc007ff,0x4007ffff,0x07ffffff,0x5407fd00,
    0xfb07ffff,0xb700ffff,0xfffd7100,0x6f98dfff,0xfff98000,0x003fffff,
    0xfffff100,0x0002741f,0x7c05dfd7,0x107fffff,0xf001301f,0x20ffffff,
    0x800980f8,0x07ffffff,0x7fffffc0,0x7fffc007,0xff0007ff,0x7fffec05,
    0xfffff884,0x4002e804,0x46fecba8,0xd80006f9,0xffffffbf,0x3f600006,
    0x3f34ffff,0x0ff70000,0x3ffffffc,0x20000fa8,0x07ffffff,0x7c0001f5,
    0x007fffff,0x3ffffffc,0x3ffffe00,0x3ff0007f,0x1fffffc0,0x17ffffe4,
    0x20001e60,0x037cc6fa,0x3e33e200,0x02ffffff,0xffff3000,0x000d91ff,
    0x0177f5c4,0x0fffffff,0xf80003fa,0xd07fffff,0x7fc0001f,0x4007ffff,
    0x07ffffff,0x7fffffc0,0x07fd0007,0x0bffffe2,0x1ffffff1,0x80004d80,
    0x037cc6fa,0x7e43f200,0x005fffff,0x3ffffa00,0x10003fbf,0xff005ffd,
    0xf50fffff,0x7fc0001f,0xfa87ffff,0x3fe0000f,0x4007ffff,0x07ffffff,
    0x7fffffc0,0x09fb0007,0x03ffffe6,0x0bffffdd,0x80000ea8,0x037cc6fa,
    0x7c4bf100,0x01ffffff,0xffff7000,0x10001fff,0x3e007ffd,0x5c7fffff,
    0x20000fff,0x47ffffff,0x0000fffb,0x1ffffffe,0xffffff00,0xffff800f,
    0xf90007ff,0x3fffea0b,0x3ff3761f,0x07e204ff,0x237d4000,0x2e0006f9,
    0x7fffec1f,0x200004ff,0x05ffffff,0x01fffd00,0x3fffffe0,0xfffffedf,
    0x3ffe0000,0xffedffff,0x20000fff,0x07ffffff,0x7fffffc0,0x7fffc007,
    0xf50007ff,0x3fffee0f,0xfe8fc8cf,0x9d102fff,0x37d40000,0xe8001be6,
    0xfffffa86,0x900000ff,0x005fffff,0x00dfff30,0x7ffffffc,0x0fffffff,
    0x3fffe000,0xffffffff,0x3e0000ff,0x007fffff,0x3ffffffc,0x3ffffe00,
    0xff10007f,0xfffff501,0x3ffa5fff,0x85e881ff,0xdf500048,0x50006f98,
    0x3fffa05f,0x00003fff,0x00fffff1,0x01bffee0,0x7ffffff8,0x01fffb53,
    0x7ffffc00,0xfffb537f,0x7ffc0001,0x7c007fff,0x007fffff,0x3ffffffc,
    0x103fd000,0x7fffffff,0x217fffd4,0x009b03fb,0xdf31bea0,0xb81fa000,
    0x07ffffff,0x3fff6000,0xfffb0004,0x7fffc00f,0x0ffe87ff,0x3fffe000,
    0x0ffe87ff,0x3fffe000,0x7fc007ff,0x4007ffff,0x07ffffff,0x6417ee00,
    0xf82fffff,0xdfddffff,0x0001f301,0x0df31bea,0x4407f300,0x2fffffff,
    0xfff30000,0x3ff60001,0xfff000ff,0xfd10ffff,0x7ffc0001,0xfe887fff,
    0x3ffe0000,0x7c007fff,0x007fffff,0x3ffffffc,0x40bfa000,0x9101ded9,
    0x8039bdfd,0x3ea0003e,0x40037cc6,0x7fe400fd,0x0006ffff,0x80017fa0,
    0x001ffffc,0x0fffffff,0xf80003f2,0x907fffff,0x7fc0001f,0x4007ffff,
    0x07ffffff,0x7fffffc0,0x77d40007,0x80000000,0x7d40006a,0x20037cc6,
    0xfffffff8,0xffffffff,0x00001fff,0x5c0005f5,0xf002ffff,0x20ffffff,
    0x806200fa,0x07ffffff,0x00c401f5,0x0fffffff,0xffffff80,0x7fffc007,
    0xd80007ff,0x0000004f,0x200017c4,0x037cc6fa,0x33333f20,0xfecccccc,
    0x005fffff,0x8000d700,0x004ffffa,0x0fffffff,0x02c803e2,0x1ffffffe,
    0x059007c4,0x3ffffffc,0x3ffffe00,0x7ffc007f,0x80007fff,0x00001fe8,
    0x0007f300,0x6f98df50,0x8017e200,0xfffffff9,0x03e80000,0x7fffc400,
    0xfffff005,0x880640ff,0x3fffe01f,0x403207ff,0x3ffe01f8,0x7c007fff,
    0x007fffff,0x3ffffffc,0x0ef98000,0x7cc00000,0xdf500003,0x2e006f98,
    0x7ff4001f,0x9804ffff,0x007cc0cc,0x2ffffc00,0xffffff80,0x01f70007,
    0x3ffffffc,0x200fb800,0x07ffffff,0x7fffffc0,0x7fffc007,0x200007ff,
    0x00003ff9,0x00005f50,0x1be637d4,0x40037c40,0xfffffffa,0x1bffe600,
    0x3a0000bb,0xff002fff,0x000fffff,0xfff80ff1,0x88007fff,0x7fffc07f,
    0x7fc007ff,0x4007ffff,0x07ffffff,0x6ff44000,0xf9300000,0xfa800005,
    0xc8037cc6,0xfff0004f,0x6409ffff,0x3f10ffff,0xfff10000,0x3ffe001f,
    0x2000ffff,0x7fc06fe8,0x000fffff,0xff01bfa2,0x800fffff,0x07ffffff,
    0x7fffffc0,0xf9000007,0x6cc0007f,0x800001df,0x037cc6fa,0x80017fc4,
    0xfffffffc,0x5ffff900,0x20000bb1,0x2003fffb,0x0fffffff,0x0bffd300,
    0xfffffff8,0xbffd3000,0xffffff80,0x3ffe000f,0x2000ffff,0x0fffffff,
    0xfb100000,0x2201579d,0x000cfda9,0x31bea000,0x9ffb00df,0x3ffea000,
    0xf105ffff,0x01ffffff,0x9ffd3000,0x7fffcc00,0x6cc04fff,0x2604ffff,
    0x4fffffff,0x7fffecc0,0x3fffe604,0xf3001fff,0x03ffffff,0x3ffffe60,
    0x000001ff,0x7fffedc4,0xcefffedd,0xa8000000,0x5037cc6f,0x003ffffd,
    0xfffffc88,0xfb80cfff,0x0000efff,0x0177fecc,0xfffffd10,0xb99bdfff,
    0xfffffffd,0x3fffa207,0xcdefffff,0xfffffedc,0xffd103ff,0x03dfffff,
    0xfffffe88,0x74401eff,0xefffffff,0x20000001,0x09abbaa9,0x98000000,
    0xc81e443c,0xffffffff,0x3fff200e,0xffffffff,0x037302ff,0x0b37a000,
    0x7ffff440,0xffffffff,0xffffffff,0x3a22ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3ffffa22,0xffffffff,0xfffd10ef,0xffffffff,0x3fa21dff,
    0xffffffff,0x000effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x221ceb88,0xffffffff,
    0x22000001,0x00099999,0x26600000,0x00001999,0x99999800,0x44000001,
    0x00009999,0x00391000,0x01541100,0x76e44000,0x33333313,0x4cccc433,
    0xd0001999,0x5c43ffff,0x01ffffff,0x3fa20000,0x00007fff,0xffff5000,
    0x0000009f,0x4fffffa8,0x7f400000,0x00006fff,0x0004fb80,0x177447f0,
    0x7fe44000,0xffb950bf,0x3ea1ffff,0x0cdeffff,0x7fffcc00,0xffffe84f,
    0x4000001f,0x01fffff8,0xfc800000,0x00005fff,0xffffd800,0x5c000005,
    0x02ffffff,0x7fd50000,0x03ea0000,0x0001bfb1,0x1013ffe2,0x2a1fffff,
    0x000effff,0x3ffffee0,0xfffffd86,0x98000001,0x0004ffff,0xffff8000,
    0x00000005,0x000bffff,0xffff8800,0x00006fff,0x0002ffa8,0xffc81760,
    0x7ff44000,0xffffb007,0x0ffffea1,0xffff1000,0xffffb07f,0x0000003f,
    0x001fffe6,0xfff50000,0x0000000b,0x0017ffea,0x3fff2000,0x002fffee,
    0x013fe600,0x402f8800,0x32000efe,0xfb004fff,0x3fea1fff,0xc80003ff,
    0xfd80efff,0x0001ffff,0x3ffe6000,0x20000001,0x0000effc,0xbff90000,
    0xf3000000,0x3ff62bff,0xff300006,0x5c00001f,0x05ffa807,0x00bfffa0,
    0xa87fffec,0x0003ffff,0x7ec05710,0x0001ffff,0x27fcc000,0xff000000,
    0x0000001d,0x00077fc0,0x1ffec000,0x0001ffec,0x0017ffe2,0x3a009d00,
    0xff9805ff,0xff9003ff,0x3ffea1ff,0x0000003f,0x07fffff6,0x2a000000,
    0x0000007f,0x00001df5,0x077d4000,0x7d400000,0x01fee02f,0x03fffd00,
    0x00fcc000,0x403fffb8,0x005ffff9,0x2a1ffff9,0x0003ffff,0x3fff6000,
    0x000001ff,0x00003100,0x00026200,0x13100000,0x32000000,0x03fa801d,
    0x0dfff300,0x006d8000,0x101fffe2,0x200dffff,0xf50ffffc,0x20007fff,
    0x99999998,0xfffffd80,0x07376a21,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fffec0,0xf9b95100,0xfffd8007,0x3ffffc03,0x0ffffc80,
    0x007ffff5,0x3ffffee0,0xfffd85ff,0xffffb1ff,0x4ccc09ff,0x99999999,
    0x99999999,0x00099999,0x0000e600,0x26666662,0x09999999,0x4ccccc40,
    0x80000999,0x26000039,0x8002ffff,0xfffefff9,0x3ff2002f,0x7ffec06f,
    0xfffc800f,0x7ffff50f,0xfffd8000,0xfffd85ff,0xffffdaff,0xb904ffff,
    0xffffffff,0xffffffff,0x05ffffff,0x0036c000,0x7ffff540,0xcdffffff,
    0x7ffecc01,0x0001efff,0x200006d8,0x000ffffd,0xfb8f7fdc,0xb800dfff,
    0x3202ffff,0xc801ffff,0xff50ffff,0xb80007ff,0xd85fffff,0x2eefffff,
    0x3fffffb1,0xfffffc80,0xaaaaaaff,0x2fffffec,0x5ff10000,0x3fe60000,
    0x04ffffff,0x03fff900,0x0bfe2000,0x3ffe2000,0x7fe4007f,0x3fffe62f,
    0xfff9803f,0x3ffee06f,0xfffc802f,0x7ffff50f,0xfff98000,0xfffd85ff,
    0xffd82fff,0x3e200fff,0x807fffff,0x002fffea,0x00dff900,0x7fffd400,
    0x50005fff,0x400003ff,0x80006ffc,0x006ffffa,0xf91fffe6,0x100bffff,
    0x201fffff,0x800ffff9,0xf50ffffc,0x80007fff,0x85fffff9,0x04fffffd,
    0x09fffff5,0x7ffffff8,0x00bff200,0x3fffe200,0x3f600001,0x01ffffff,
    0x0003fc80,0x07fffe20,0xffff9000,0x7ffec00b,0x7fffffc5,0xfffff007,
    0x17ffea03,0x87fffe40,0x003ffffa,0x7ffffcc0,0xfffffd85,0xfffff101,
    0xfffff80d,0x17ec007f,0x7ffdc000,0x2200005f,0x5fffffff,0x0037c400,
    0x3fffee00,0x7fec0005,0xff3005ff,0x7cfd49ff,0xff004fff,0x3f205fff,
    0xff9002ff,0x3ffea1ff,0x7cc0003f,0xfd85ffff,0x3e01ffff,0x200fffff,
    0x07ffffff,0x00017cc0,0x07fffff4,0xfff70000,0x4003ffff,0x400001fd,
    0x00fffffe,0x3ffffa00,0xffff9005,0xcfd9b6c9,0xfffff000,0x00fffe09,
    0x50ffffc8,0x0007ffff,0x5fffff98,0x1fffffd8,0x3fffffa0,0x3ffffe01,
    0x17c0e07f,0x3ffea000,0x00004fff,0x7ffffff4,0x00bf3005,0xffffa800,
    0x3e0004ff,0xd005ffff,0x3e2bffff,0x7ff40003,0x7fec45ff,0x7ffe4003,
    0x7ffff50f,0xfff98000,0xfffd85ff,0x3ff601ff,0x3fe03fff,0x3e07ffff,
    0x40002c80,0xfffffffe,0x3ea00000,0x01ffffff,0x00000fe8,0x7ffffff4,
    0xff88000f,0xff004fff,0x03eedfff,0xffffd000,0x073ff22d,0x3ffff200,
    0x07ffff50,0xffff9800,0xffffd85f,0x3fff601f,0x3ffe04ff,0x1f107fff,
    0x4c000130,0xffffffff,0x7f400003,0x406fffff,0x400003fa,0xfffffff9,
    0xff88003f,0xf8804fff,0x0bd7ffff,0xffffd000,0x0003beef,0x50ffffc8,
    0x0007ffff,0x5fffff98,0x1fffffd8,0x3fffff60,0x3ffffe04,0x001f507f,
    0xff7fb000,0x000dffff,0xfffff980,0x0df102ff,0xf7fb0000,0x00dfffff,
    0x9fffff10,0xfffff100,0x00003f5f,0x22dffffd,0x8001dffc,0xf50ffffc,
    0x80007fff,0x85fffff9,0x01fffffd,0x0bfffff6,0x7ffffff8,0x00001fd0,
    0xfff8cf88,0x0002ffff,0x7ffffec0,0x003f906f,0xf8cf8800,0x02ffffff,
    0x4fffff80,0xffffff00,0x3a0000dd,0x6445ffff,0x7e4004ff,0xfff50fff,
    0xf980007f,0xfd85ffff,0x3a01ffff,0x201fffff,0x87ffffff,0x00000ffa,
    0xfffc87e4,0x00005fff,0x7fffffcc,0x002fcc3f,0xfc87e400,0x005fffff,
    0x05ffffe8,0xffffffb0,0x3fe00009,0xfff04fff,0x7ffe4007,0x7ffff50f,
    0xfff98000,0xfffd85ff,0x3ffa01ff,0x7ffc07ff,0x7fdc7fff,0x2200000f,
    0x3fffe25f,0x00001fff,0x7fffffe4,0x0003fa0f,0x7c4bf100,0x01ffffff,
    0x2ffffe40,0xfffffc80,0xff00001f,0x3f207fff,0xff9002ff,0x3ffea1ff,
    0x7cc0003f,0xfd85ffff,0x3e01ffff,0x7c06ffff,0xedffffff,0x000fffff,
    0xfb07ee00,0x009fffff,0xffff8800,0x07f53fff,0x83f70000,0x4ffffffd,
    0x7fffdc00,0xffff5005,0x200009ff,0x301fffff,0x3200dfff,0xff50ffff,
    0x980007ff,0xd85fffff,0x302fffff,0x809fffff,0xffffffff,0x00ffffff,
    0x2a1ba000,0x0fffffff,0x7fe40000,0x6f9fffff,0x0dd00000,0xfffffff5,
    0x7ffd4001,0x3ffa006f,0xb103ffff,0xffff8807,0xffff500f,0xffff9001,
    0x0ffffea1,0xffff3000,0xffffb0bf,0xfff901df,0xfff801ff,0xfb537fff,
    0x200001ff,0xfffd02fa,0x00007fff,0xffffff88,0x00002fff,0xffd02fa8,
    0x4007ffff,0x007ffff8,0x3fffffe6,0x0dd511bf,0x0dffff30,0x017fffdc,
    0xa87fffe4,0x0003ffff,0x2fffffcc,0x7fffffec,0x3fffea0e,0xffff803f,
    0x0ffe87ff,0x40fd0000,0x7ffffffb,0xffb80000,0x005fffff,0x5c0fd000,
    0x07ffffff,0x0ffffe40,0xfffff700,0x1fffffff,0x5ffff700,0x0ffffe40,
    0x87fffe40,0x003ffffa,0x7ffffcc0,0xfffffd85,0xfffdefeb,0xfff004ff,
    0xfd10ffff,0x7f300001,0x7ffffc40,0x800002ff,0x3ffffffe,0x3f980000,
    0x3ffffe20,0x3e2002ff,0x6c002fff,0xffffffff,0xff9000ef,0xfffd80df,
    0xfffc800f,0x7ffff50f,0xfff98000,0xfffd85ff,0xfffd89ff,0x3e002dff,
    0x907fffff,0xfb00001f,0xffffc801,0x800006ff,0x3ffffffc,0x0fd80000,
    0x7ffffe40,0x7fe4006f,0x77ec004f,0x0cffffff,0x0ffff600,0x00fffff0,
    0x543ffff2,0x0003ffff,0x2fffffcc,0x0fffffec,0x20005951,0x07ffffff,
    0x00c401f5,0x3fffffe2,0xffffffff,0x0001ffff,0x7ffffe40,0x4400003f,
    0xffffffff,0xffffffff,0x3e6001ff,0x3e2006ff,0x01579513,0x07fff880,
    0x037fffc4,0x50ffffc8,0x0007ffff,0x5fffff98,0x1fffffd8,0x7ffc0000,
    0x1f107fff,0x3f201640,0xcccccccc,0xfffffecc,0x6400005f,0x03ffffff,
    0x667e4000,0xcccccccc,0x5ffffffe,0x0fffec00,0x0000fb80,0x00fffee0,
    0x009ffff3,0x543ffff2,0x0003ffff,0x27ffffcc,0x0fffffec,0x3ffe0000,
    0x03207fff,0xbf100fc4,0x7fffcc00,0x00000fff,0x3ffffff2,0x3e200003,
    0x3ffe6005,0x2000ffff,0xd004ffe8,0xff80000b,0xfff9805f,0xfff9003f,
    0x3fffea1f,0xf10cc003,0xfb09ffff,0x0003ffff,0xffffff80,0x01f70007,
    0x3a000fdc,0x04ffffff,0x3fff2000,0x00003fff,0xfd0007ee,0x009fffff,
    0x400ffe88,0x200002f9,0x3a005ffb,0xfb002fff,0x3fea1fff,0x3f2003ff,
    0x3ffffe2f,0xfffffd83,0x7fc00001,0x8007ffff,0x1be207f8,0x3fffea00,
    0x00000fff,0x7ffffff9,0x1be20000,0x3fffea00,0x44000fff,0x036405ff,
    0x03bfa000,0x04fffc80,0x21ffffb0,0x003ffffa,0x7fcbfff1,0xffd80fff,
    0x00002fff,0x7ffffffc,0x1bfa2000,0xf0004fc8,0x09ffffff,0x3fff2000,
    0x00003fff,0x3e0009f9,0x04ffffff,0x203ff980,0x3600004f,0x744000ef,
    0xffd007ff,0x3ffea1ff,0x3ffa003f,0x40bfffa5,0x02fffffe,0x7fffc000,
    0xd3000fff,0x3fe20bff,0xfff90002,0x0001ffff,0xffffff90,0xff100007,
    0x3ff20005,0x000fffff,0xfa85fe98,0xfe880000,0xfd10000d,0xfff9807f,
    0xffff50ff,0xbffdc00d,0x3e05fff9,0x004fffff,0x3fffe600,0x6cc04fff,
    0xfb04ffff,0x3ea0009f,0x05ffffff,0xffffd800,0xd80004ff,0xf50004ff,
    0x0bffffff,0xb06f5400,0xbd10000b,0xfb100003,0x3bae15bf,0x50ffffff,
    0x9dffffff,0xffffd801,0xfeb80cff,0xabffffff,0x3fa20000,0xefffffff,
    0xfffedccd,0x7543ffff,0x4001ffff,0xffffffc8,0x88000cff,0xfffffffb,
    0xfd50002f,0x88003fff,0xfffffffc,0x2e0000cf,0x20000260,0x8800002a,
    0x00004eca,0x2eea2000,0x9999100a,0x39999999,0xfffe8800,0xffffffff,
    0xffffffff,0x322fffff,0xffffffff,0x3fff200e,0xffffffff,0xee9802ff,
    0xffffffff,0x00eeffff,0xffffffc8,0x3f200eff,0xffffffff,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65400000,0x01acefec,
    0xdda800ee,0x002dda81,0x37b6a000,0x0004b80b,0x1ceec880,0x00000e98,
    0x6441764c,0x800000be,0xdda81dda,0x26000002,0x09702dec,0x1cea8000,
    0x0001cda8,0xfffffc88,0xbdffffff,0x2a007d11,0x3e60ffff,0x00001fff,
    0xffffffb8,0x000bf31c,0xfffff980,0x0fd88adf,0x7ffc0000,0x27fff43f,
    0x3fea0000,0x3ffe60ff,0xb800001f,0x1cffffff,0x40000bf1,0x2e0ffffb,
    0x0000ffff,0x3bfffff2,0xff95309b,0x2007ffff,0x364ffffd,0x0004ffff,
    0x7ffffcc0,0x4fffffff,0x7ff40000,0xffffffff,0x5400007f,0x3ea7ffff,
    0x00007fff,0xb27fffec,0x0009ffff,0xfffff980,0x4fffffff,0x3ffa0000,
    0x3fffa3ff,0xfe88003f,0x8803ffff,0x003ffffd,0x647ffffb,0x0004ffff,
    0x7ffffec0,0x0fffffff,0x3fea0000,0xffffffff,0x400003ff,0x266ffffa,
    0x0007ffff,0x1ffffec0,0x009ffff9,0xffffd800,0xffffffff,0x3fa00001,
    0x3ffa2fff,0x7d4003ff,0x001fffff,0x801fffdc,0x260ffffa,0x0001ffff,
    0x7e4cf740,0x03ffffff,0x457dc000,0xffffffeb,0xff000006,0xfffe87ff,
    0x7d400004,0x3fe60fff,0x400001ff,0xfffc99ee,0x0004ffff,0x23fffdc0,
    0x000ffffa,0x3fffffe6,0x7ff90001,0x40664c00,0x00000cc9,0xfeca82f8,
    0xc800002e,0x4ffeb985,0x2e200000,0x02db881d,0x19930000,0x00019930,
    0xca887f00,0x00003eff,0x93017b30,0x7f440017,0x0004ffff,0x00001ff4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x18000000,0x00000080,
    0xfb000000,0x001fffff,0x0003fa80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0x004fffff,0x26667f00,
    0x99999999,0x33301999,0x43333333,0x99999998,0x26200199,0x09999999,
    0x99753000,0x00001357,0x79975300,0x00000135,0x00003980,0x001cc000,
    0x99999980,0x99999999,0x99999999,0xfffd8099,0x00002fff,0x3ffb7279,
    0xefffffff,0xffdc80cc,0x30cdffff,0xffffffdb,0x32e009ff,0x4efffffe,
    0x3fffaa00,0xfffffdff,0x2a00000d,0xfdfffffe,0x000dffff,0x006d8000,
    0x36c00000,0xffdc8000,0xffffffff,0xffffffff,0x7c42ffff,0x00ffffff,
    0xfb011000,0x07ffffff,0x00fffd80,0x7fffffe4,0x7e4003ff,0x362000ff,
    0x541befff,0x003ffffc,0x77ffec40,0x7ffe541b,0x2000003f,0x00002ff8,
    0x05ff1000,0xfffc8000,0xaaaaffff,0xffffecaa,0x7fffe42f,0x000006ff,
    0xffffffa8,0x2ff88007,0xfffff900,0xf8003fff,0x3fee003f,0x7cc00fff,
    0x8001efff,0x00fffffb,0x0f7fffcc,0x7fe40000,0x00000006,0x0000dff9,
    0xffffff88,0xfffea807,0x7ffffec2,0x8000005f,0x7ffffff9,0x003ff000,
    0x3fffffe2,0x36000eff,0xfffb001f,0x3ea005ff,0x2003ffff,0x02fffffd,
    0x7fffff50,0x7fc40000,0x000001ff,0x0ffffc40,0x3ffe0000,0x32007fff,
    0x7fffc2ff,0x00004fff,0xfffff880,0x1fd0006f,0x7ffffc00,0x2005ffff,
    0xffc800fc,0x6c003fff,0x801fffff,0x03fffffc,0x7ffffec0,0xff700001,
    0x00000bff,0x5ffffb80,0x7ffc0000,0x6c007fff,0x7ffffc2f,0x000004ff,
    0xffffff88,0x00fb0006,0xfffffdf8,0xf7004fff,0xffff9801,0xff98007f,
    0x7cc06fff,0x8007ffff,0x06fffff9,0xffffd000,0x0000001f,0x07fffff4,
    0xffff0000,0xf9800fff,0x3ffffe62,0x000004ff,0xffffff88,0x00fb0006,
    0xffffbbf8,0xb802ffff,0xffffe807,0xffd0005f,0x7f407fff,0x0005ffff,
    0x07fffffd,0xffffa800,0x000004ff,0xffffff50,0x7fc00009,0x0e07ffff,
    0xffff117c,0x0000bfff,0xfffff100,0x1f6000df,0x3ff27f00,0x01ffffff,
    0x3ff203dc,0x0002ffff,0x3ffffffb,0xffffff90,0x3ff60005,0x0001ffff,
    0x3ffffffa,0x8000000f,0xfffffffe,0xfff00000,0x07c0ffff,0x3fffe164,
    0x00006fff,0xfffff880,0x0fb0006f,0x3ffa3f80,0x00efffff,0xfff881ee,
    0x0000ffff,0xbffffff7,0xffffff88,0xff70000f,0x000bffff,0x3fffffe6,
    0x000003ff,0x7fffffcc,0xf00003ff,0x20ffffff,0x740980f8,0x07ffffff,
    0xff880000,0x0006ffff,0x23f800fb,0xfffffff8,0xa81ee05f,0x06ffffff,
    0x3fffe600,0x7ffd47ff,0x20006fff,0x7ffffff9,0xff7fb000,0x000dffff,
    0xffbfd800,0x0006ffff,0xfffffff0,0x6c003ea0,0x0fffffff,0x7c400000,
    0x006fffff,0x3f800fb0,0x7fffffcc,0x40f704ff,0x6ffffffc,0x3ffe2000,
    0x3f20ffff,0x006fffff,0x3ffffe20,0x7c4000ff,0xffffff8c,0x1000002f,
    0xfffff19f,0xf00005ff,0x20ffffff,0xff7000fe,0x003fffff,0xfff88000,
    0xb0006fff,0xa83f800f,0xffffffff,0x3f607b82,0x005fffff,0x3ffffe20,
    0x3fff62ff,0x20005fff,0xfffffff8,0xc87e4002,0x05ffffff,0x21f90000,
    0x5ffffffc,0xffff8000,0x0ffa87ff,0xfffff100,0x000005ff,0xffffff88,
    0x00fb0006,0xfff903f8,0xb81fffff,0x3ffffe07,0x220005ff,0x3fffffff,
    0x3ffffffe,0x3fe20005,0x003fffff,0xfff897e2,0x0001ffff,0xff12fc40,
    0x003fffff,0xffffff80,0x007ffdc7,0xffffff90,0x8800000b,0x06ffffff,
    0xf800fb00,0x3ffff603,0x1ee0efff,0x7fffffc4,0x7fc0004f,0xf15fffff,
    0x09ffffff,0xfffff800,0x3ee005ff,0x7ffffec1,0x5c00004f,0x7fffec1f,
    0x7c0004ff,0xedffffff,0x000fffff,0x3fffffe6,0x0180000f,0xdffffff1,
    0x001f6000,0x7ff4407f,0x2e5fffff,0xfffff307,0xf80009ff,0x35ffffff,
    0x9fffffff,0xffff8000,0x3a005fff,0xfffffa86,0x200000ff,0xffffa86e,
    0x20000fff,0xffffffff,0x00ffffff,0x7ffffd40,0x3cc0004f,0xffffff88,
    0x00fb0006,0x7fcc03f8,0x73ffffff,0x3fffe20f,0x40004fff,0x4fffffff,
    0xfffffff1,0xfff80009,0x5004ffff,0x3fffa05f,0x00003fff,0x3ffa05f5,
    0x0003ffff,0x5ffffffe,0x00fffda9,0xfffffc80,0xff30001f,0x3ffffe20,
    0x0fb0006f,0xfa803f80,0x9fffffff,0x3fffe07b,0x40005fff,0x3fffffff,
    0x3ffffffe,0x7ffc0005,0xd003ffff,0x7fffdc0f,0xd00007ff,0x7fffdc0f,
    0x3e0007ff,0xe87fffff,0xfb0000ff,0x003fffff,0xf101ffb8,0x00dfffff,
    0x7f001f60,0x3ffff200,0x207dffff,0x6ffffffd,0x3ffe2000,0x3f62ffff,
    0x006fffff,0x3ffffe20,0x3f9802ff,0x3ffffe20,0x4c0002ff,0x3ffe203f,
    0x0002ffff,0x0fffffff,0x40001fd1,0xcffffffb,0x3bfaa200,0x3fffe201,
    0xfd0006ff,0x2003f800,0xfffffffd,0x3fff207f,0x20007fff,0xfffffff8,
    0x3fffff20,0x3e20007f,0x00ffffff,0x7e400fd8,0x006fffff,0x32007ec0,
    0x06ffffff,0xffffff00,0x0003f20f,0xfffffd30,0xffb759bf,0xf88019ff,
    0x006fffff,0x3f800fd0,0x3fffa200,0x2a07ffff,0x07ffffff,0x3fffea00,
    0x7ffd47ff,0x20007fff,0x7ffffffa,0xfffff880,0xffffffff,0x001fffff,
    0xffffff10,0xffffffff,0x0003ffff,0x0fffffff,0x018803ea,0xfffff930,
    0x19ffffff,0x7ffffc00,0x0dd0007f,0x44003f80,0x7fffffff,0x7fffff40,
    0xff70000f,0xfd07ffff,0x001fffff,0x3ffffee0,0xccfc803f,0xcccccccc,
    0x5ffffffe,0x999f9000,0xd9999999,0x0bffffff,0xffffff00,0xc803e20f,
    0xdaa98002,0x0001abcf,0x0fffffff,0x800bf100,0xffa8003f,0x5407ffff,
    0x02ffffff,0xfffffb00,0x3fffea0d,0xfb0002ff,0x100dffff,0x7fcc00bf,
    0x000fffff,0xf3002fc4,0x01ffffff,0xffffff80,0x7c403207,0x0f740001,
    0x7fff4000,0xfa8007ff,0x001fc004,0x7fffffb8,0xfffffe80,0xffff0006,
    0x7ff405ff,0xf0006fff,0x005fffff,0xfe8003f7,0x004fffff,0x3a000fdc,
    0x04ffffff,0x7fffffc0,0x01f70007,0x27ffe400,0x3fff2000,0x64001fff,
    0x01fc002f,0xfffffb00,0xfffff300,0xffb8003f,0x7cc06fff,0x001fffff,
    0x37ffffdc,0x40037c40,0xfffffffa,0x00df1000,0xffffff50,0x7ffc001f,
    0x88007fff,0x7e40007f,0x4c0007ff,0x03ffffff,0x1001bee0,0xfe80009f,
    0xff9007ff,0xe800bfff,0x801fffff,0x05fffffc,0x7fffff40,0x004fc801,
    0xfffffff0,0x013f2009,0x7fffffc0,0x3ffe004f,0x2000ffff,0x80006fe8,
    0x0001fffb,0x7fffffec,0x02ff9802,0x0002fcc0,0x801fffe2,0x01fffffc,
    0x3fffff90,0x7fffe400,0xfff9001f,0xff1003ff,0x3ff20005,0x400fffff,
    0x90002ff8,0x1fffffff,0x3ffffe00,0xfd3000ff,0xf90000bf,0x3a0000ff,
    0x0affffff,0x002ffb98,0x0000ffc8,0x2003ffcc,0x02fffffc,0x0f7fffdc,
    0x7fffe400,0x7ffdc02f,0xffb001ef,0x3fea0009,0x405fffff,0x50004ffd,
    0xbfffffff,0xfffff300,0xfd9809ff,0x40004fff,0x0004fff9,0xfffffb10,
    0xfffb9dff,0xff70005f,0x400015df,0xe98007fb,0x30acffff,0x09ffffd9,
    0xfffe9800,0xfd930acf,0x2a009fff,0x001ffffe,0x7ffffe44,0x7540cfff,
    0x4001ffff,0xffffffc8,0xfd100cff,0xdfffffff,0xfffdb99b,0x0007ffff,
    0x00bbffb6,0x3ffaa000,0xffffffff,0x3fe6000b,0x6fffffff,0x001f2000,
    0xfffffda8,0x0befffff,0x3f6a0000,0xffffffff,0xf9000bef,0xdfffffff,
    0x7fffe401,0xffffffff,0xfffff92f,0x6401dfff,0xffffffff,0xd12fffff,
    0xffffffff,0xffffffff,0xffffffff,0x26660005,0x88000000,0x1abcccba,
    0x00000000,0x98000240,0x0abcccba,0xa9800000,0x00abcccb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeec800,0x99980003,0x4cc40199,0x88000999,0x00199999,
    0x00000000,0x88000022,0x75c40beb,0x2620000c,0x1acdfecb,0x00000000,
    0x20000000,0x00000002,0x3fffffe6,0x3fe60000,0x74405fff,0x0007ffff,
    0x03fffffb,0x02ff2600,0x7f4c0000,0xd80003ff,0x7fe46fff,0xffb8006f,
    0xfffdefff,0x00001eff,0x000007f2,0x3bfb72e6,0x3f600abc,0xbffb3001,
    0x7fec0003,0x0004ffff,0x017ffff2,0x0fffffc4,0xffffd800,0xfffa8004,
    0x9800007f,0x05ffcdff,0x3fffe200,0xfffff11f,0x3ff62003,0x7e4c1bef,
    0x10003fff,0x9dfffd95,0x2a200017,0xeeeffffe,0x640dffff,0xdff3004f,
    0x50005ffd,0xffffffff,0x3ffe0001,0x7fcc005f,0x360004ff,0xd8006fff,
    0x002fffff,0x360ff400,0xff10002f,0x7ffc1fff,0xffb801ff,0x7d401fff,
    0x2001efff,0xdfdcfffb,0x001dffff,0x2bffffea,0x7fffe440,0x2005fb8c,
    0x03fa61fe,0x55fffd00,0x3000bfff,0x2000dfff,0x0007fff9,0x007fffa2,
    0xbffffff0,0x2fc40000,0xb00027cc,0xffc8bfff,0xfffe806f,0xff9002ff,
    0xd8807fff,0x547f24ff,0xc804ffff,0x401effff,0x6ffffff9,0x2e13e600,
    0x3fee002f,0x07ffe61e,0x01dff900,0x0fffcc00,0x9ffd1000,0xffffd800,
    0x2600002f,0x000bf03f,0x7b502da8,0xffffc801,0x7fec003f,0x3f601fff,
    0xf30fe45f,0xffe809ff,0xf7000fff,0x4007ffff,0x03f981fa,0x301dff10,
    0xff800bfd,0xf980000e,0x7440004f,0x7fd4006f,0x400007ff,0x03fa86f8,
    0x30000000,0x00ffffff,0xdfffff50,0x90fffee0,0x04ff983f,0x13fffff6,
    0xfffffd00,0x213e6001,0x9f9002fb,0x001fe880,0x00001df3,0x40003fd4,
    0x4c001fe8,0x00000bec,0xfd50cfc8,0x00000001,0x3fffffa0,0xffff0005,
    0xfffd07ff,0xfb81fc87,0xfffff704,0xffa8001f,0x3a005fff,0x003fa62f,
    0x035000cc,0x00002620,0x40000620,0x00000098,0xffe88000,0x20002fff,
    0x99999999,0x81999999,0x2ffffffc,0xffffb000,0x7ffc43ff,0x440fe46f,
    0xffff984f,0xfd8005ff,0x003fffff,0x5ffddff3,0x00000000,0x00000000,
    0x00000000,0xff700000,0xcc800019,0xfffffffe,0x220cceff,0x0fffffff,
    0xffff7000,0x7ffccbff,0x407f23ff,0xffffc84c,0x7e4002ff,0x0fffffff,
    0x3bfdb100,0xdb988000,0x988000bc,0x8000bcdb,0x00bcdb98,0xdecb9880,
    0x0000002c,0x05ff1000,0xfffc8000,0x2a05ffff,0x06ffffff,0x3fffe600,
    0x3ffe27ff,0x03f94fff,0x3fffe062,0x2e000fff,0xfffffbcf,0x0000005f,
    0xfdbfff50,0x7fd4009f,0x004ffedf,0x3fb7ffea,0xffb1004f,0x3dffffff,
    0x0001e200,0x01bff200,0xffff1000,0x7e403fff,0x006fffff,0x3ffffe60,
    0x3fffe0ff,0x01fdefff,0x3ffffea0,0x57ea007f,0x6ffffffa,0xdecb9880,
    0xffc8002c,0x037ffa1e,0x743dff90,0x7e400dff,0x37ffa1ef,0x873fea00,
    0x00fffffa,0x00000fa8,0x07fffe20,0xffff0000,0x7ec01fff,0x005fffff,
    0x3ffffe20,0x3fff22ff,0x01ffffff,0x3fffff60,0x1df3007f,0x3fffffe6,
    0xfffb100f,0x03dfffff,0x50bfff60,0x7ec09fff,0x7ffd42ff,0x0bfff604,
    0x2e09fff5,0xffc80fff,0x1fb806ff,0x3ee00000,0x00005fff,0x3ffffffc,
    0x3fffffe0,0x3e20005f,0x43ffffff,0xfffffffe,0xffd001ef,0x100dffff,
    0x7ffc41ff,0xfa81ffff,0x3ffea1cf,0x7fd400ff,0x1ffff06f,0x20dfff50,
    0xfa80ffff,0xffff06ff,0x09fffd01,0x05fffff5,0x00002fc8,0x3fffffa0,
    0x3fe00000,0x2207ffff,0x4fffffff,0x7fffc000,0x7fcc5fff,0xffffffff,
    0xfffff803,0x7f4405ff,0x7ffffc41,0x7ffdc3ff,0x6ffffc80,0x827fff40,
    0xfe85fffe,0xfffd04ff,0x09fffd0b,0xf517fffa,0xfa81ffff,0x6c04ffff,
    0x5000004f,0x09ffffff,0x7fffc000,0x3fe607ff,0x003fffff,0x7fffffc0,
    0xfffe886f,0x0effffff,0xffffff10,0x02fd809f,0x9fffffff,0xa84fffe8,
    0x702fffff,0x3609ffff,0x7fdc7fff,0xfffb04ff,0x4ffffb8f,0xa8ffffb0,
    0x542fffff,0x404fffff,0x000005fe,0xfffffffd,0x3fe00001,0x2207ffff,
    0x4fffffff,0x7fffc000,0xfb104fff,0xffffffff,0xffff303f,0x7ec09fff,
    0x3ffffe03,0x3ffea5ff,0x7ffd40ff,0xfffb04ff,0x3fff607f,0x3ffff60f,
    0x1ffffb03,0x81ffffec,0x740ffffd,0xffa86fff,0x3e204fff,0x9800007f,
    0xffffffff,0xfff00003,0xff80ffff,0x005fffff,0x3ffffe20,0x7fd403ff,
    0xffffffff,0xffffff82,0x809f904f,0x4fffffff,0x0bffffea,0x09fffff5,
    0x26fffffa,0xfffd9999,0x3ffffa2f,0xfd99999b,0x3ffa2fff,0x99999bff,
    0x442ffffd,0x7ecc0bdb,0x2a04ffff,0x00000fff,0x7fffdfec,0xf00006ff,
    0x80ffffff,0x6ffffffd,0x3ffe2000,0x8802ffff,0xfffffffd,0x7fff40ff,
    0x5fa85fff,0x7ffffc40,0x7fff43ff,0xfffffa86,0xffffff04,0xffffffff,
    0x7fffc7ff,0xffffffff,0x3fe3ffff,0xffffffff,0x03ffffff,0xfffffb30,
    0x7fe409ff,0x2200002f,0xfffff8cf,0xf80002ff,0x407fffff,0x7ffffffc,
    0x3ffe6000,0x2001ffff,0xfffffffd,0x7fffe45f,0x037cc6ff,0x7fffffc4,
    0x05edc42f,0x3fffff66,0xfffff884,0x9999999c,0xfff10999,0x333339ff,
    0x22133333,0x99cfffff,0x99999999,0x67fec400,0x04fffffa,0x0013fffa,
    0xff90fc80,0x000bffff,0xfffffff0,0xfffffb80,0x3ea0007f,0x007fffff,
    0x7fffffe4,0x3fee1fff,0x3e67ffff,0xfff9800e,0x3001ffff,0xfffffffb,
    0xfffff309,0xfff3000b,0xf3000bff,0x000bffff,0x54ffff20,0x204fffff,
    0x0006ffff,0x7fc4bf10,0x001fffff,0x7fffffc0,0xffffe807,0xf70000ff,
    0x007fffff,0xfffe9fc8,0x3fe63fff,0xfd17ffff,0x3ffea003,0xd8806fff,
    0xffffacff,0xffff884f,0xff88006f,0x88006fff,0x006fffff,0x17fff4c0,
    0x09fffff5,0x03ffffe6,0xb07ee000,0x09ffffff,0xfffff800,0xfffa807f,
    0xb0003fff,0x00dfffff,0xffb13f90,0xfff89fff,0x2fe9ffff,0x3ffff200,
    0x7fe403ff,0xfffff53f,0x3ffffe09,0xfff8000f,0xf8000fff,0x000fffff,
    0x89ffff30,0x04fffffa,0x05fffff7,0xf50dd000,0x01ffffff,0x7ffffc00,
    0xfffd007f,0xf3000dff,0xb05fffff,0xfd0fe403,0xffb89fff,0x03feffff,
    0x7ffffec0,0xfffd300f,0x7ffffd45,0xfffffd04,0xfffd0007,0xfd0007ff,
    0x0007ffff,0x83fffff1,0x04fffffa,0x07fffffb,0xd02fa800,0x07ffffff,
    0x7ffffc00,0xfff5007f,0xc8003fff,0xb06fffff,0xf90fe409,0xfff07fff,
    0x8009ffff,0x4ffffff8,0x89ffff30,0x04fffffa,0x1ffffff9,0x3ff22c80,
    0x6400ffff,0x3fffff22,0xf916400f,0xff50ffff,0x3fe09fff,0x0005ffff,
    0xfff703f4,0x4000ffff,0x07ffffff,0x3ffffee0,0x3ffe2005,0x0fb01eff,
    0xfff30fe4,0xffff503f,0xfc8001ff,0xf105ffff,0xfa83ffff,0xf104ffff,
    0x40bfffff,0x3ffe20eb,0x3ae05fff,0x3ffffe20,0xe83ae05f,0x642fffff,
    0xf05fffff,0x00dfffff,0xf101fcc0,0x05ffffff,0x3ffffe00,0x7fd4007f,
    0xf9001fff,0x6c01dfff,0x543f902f,0x3ee07fff,0x4004ffff,0x00ffffff,
    0x50fffff9,0x409fffff,0xdffffffd,0x360bea20,0x0dffffff,0x3f60bea2,
    0x20dfffff,0x7ff42fa8,0xffbcffff,0x415fffff,0x7ffffff8,0x003f6000,
    0xdffffff9,0x3fffe000,0xf98007ff,0x6402ffff,0x400dffff,0x1fc81ffd,
    0xb00bfff6,0x003fffff,0x07fffff6,0x2fffffe8,0x2fffffe4,0xfffffd10,
    0x0bffbdff,0x3fffffa2,0x05ffdeff,0xffffffd1,0x70bffbdf,0xffffffff,
    0xffffff3d,0x7fffc1d9,0xf10005ff,0xffffffff,0xffffffff,0xfff0003f,
    0x2000ffff,0xacffffd9,0xffffd530,0x3fff6009,0xff98fe41,0x7ffc404f,
    0x5c01ffff,0x400dffff,0xcffffffe,0xfffffffb,0x3ffa2015,0x5fffffff,
    0x7ffff440,0x405fffff,0xffffffe8,0xff105fff,0x647fffff,0x41ffffff,
    0x02fffffc,0x9999f900,0xfd999999,0x00bfffff,0xfffffff0,0xfeb88000,
    0xffffffff,0x7fec002d,0xafc9bdff,0x4403fffd,0xfffc89fe,0xfd510bdf,
    0x2e007fff,0xffffffff,0xffffff9e,0xffb100ec,0x007dffff,0x3fffff62,
    0xfb1003ef,0x07dfffff,0x1ceffd98,0x0efffec4,0x02ffff44,0x2005f880,
    0xfffffff9,0x7fffc000,0x200007ff,0xfffffffa,0xfb510002,0xffffffff,
    0x3fd001bf,0xfffffb88,0x02dfffff,0x7ffffc40,0x3fff23ff,0x53001fff,
    0x4c000559,0x20002aca,0x4002aca9,0x20030008,0x2e0000b9,0x7ff4001f,
    0x4004ffff,0x07ffffff,0x7ffec000,0x00005fff,0x17fd9553,0x2017e400,
    0x9accba98,0x3f660000,0x7ec41cef,0x00001dff,0x00000000,0x00000000,
    0xdf100000,0xffff5000,0x7c001fff,0x007fffff,0x7fffc400,0x00001fff,
    0x28001fc8,0x00000000,0x00060011,0x00000000,0x00000000,0x20000000,
    0xff0004fc,0x009fffff,0x3ffffffc,0x7fdc0000,0x001fffff,0x000fe400,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8800000,0xff90002f,
    0x001fffff,0x3ffffffe,0xfb800000,0x02ffffff,0x00000000,0x017bbbaa,
    0x000d9300,0x4001ffb0,0x980006c9,0x880005ff,0x00099999,0x64c00000,
    0xffd800be,0xfff50004,0x300bffff,0x3fffffff,0x3ea00000,0xaeffffff,
    0x4cc40209,0x00001999,0x1ffffff4,0x3ffae200,0x7fdc0006,0xffeb8803,
    0xffe80006,0xfff80000,0x40000eff,0x0ceffdb9,0x7ffffd40,0xffffd500,
    0xffc88003,0x0cffffff,0xfffffd10,0x00003dff,0x3ffff220,0x2fffffff,
    0x3fffff60,0xff700001,0x200dffff,0x6fffffc8,0x1bfe2000,0xfffff910,
    0xffc8000d,0xffa80002,0x40000eff,0xfffbcffb,0x3fff602f,0xfffc83ff,
    0x00efffff,0x3ffffff2,0x2fffffff,0xffffffd1,0xdfffffff,0x2a000001,
    0xacdefedc,0x7ffec009,0xf880004f,0x3fffffff,0xfff71880,0x7fec000d,
    0xffb8c401,0x3e60006f,0xf900005f,0x80001fff,0x3fee4ffc,0xfff881ff,
    0x00006fff,0x00000000,0x00000000,0x3fffa000,0xffc80006,0x0fffe9cf,
    0x1bffea00,0x01ffd400,0x01bffea0,0x000ffe80,0x03ffff00,0x2fffc800,
    0x21ffffe6,0x6ffffff8,0x26666000,0xd9500099,0x000037bf,0x00009ff3,
    0x009dddd7,0x1fffe880,0x3ffe2000,0x00fffa23,0x006fffa8,0x8006ff88,
    0x0006fffa,0x00005ff9,0x0007ffea,0x43ffff10,0x81fffff9,0x05ffffff,
    0xfffff100,0x9ffb100d,0x0007ffd3,0x0000ffe8,0x7fffffc4,0x7f440001,
    0x3f60004f,0x01ffb01f,0x01bffea0,0x0007ff60,0x001bffea,0x00017fe6,
    0x0001ffc8,0x22ffffc8,0x82fffff8,0x04fffffe,0xdffff700,0xfffe8801,
    0x009fff50,0x000bff20,0x3fffff20,0xe880005f,0xdf30006f,0x004fc801,
    0x800dfff5,0x50003ffa,0xd000dfff,0x400001ff,0xf00002ff,0xfe87ffff,
    0xfffb07ff,0x3a0005ff,0xc800efff,0x3fe25fff,0x7cc001ff,0xf980005f,
    0x2fffffff,0x1fe88000,0x20018800,0xfff5002a,0x37fc400d,0xdfff5000,
    0x02ffc800,0x0004c000,0xfffff880,0x8177f4c4,0x00fffffb,0x0efff880,
    0x4ffff980,0x0037fffc,0x00003ffa,0x3e6ffff6,0x100006ff,0x00000013,
    0x6fffa800,0x007ff600,0x06fffa80,0x0017fe60,0x30000000,0x20dfffff,
    0x7fffcc00,0xdff70007,0x3ffee001,0x7ffff43f,0x05ff9001,0x5fff5000,
    0x0017ff4c,0x26620000,0x4c099999,0x01999999,0x8037ffd4,0x40003ffa,
    0x2006fffa,0x44000ffe,0x09999999,0x4ccccccc,0xffffa801,0x3fe0007f,
    0xfd0005ff,0x7fec001f,0x7fff43ff,0x5ff9802f,0x1dfd0000,0x000dfd10,
    0x179bb731,0xfffffb80,0x3ffa24ff,0x5407ffff,0xf8806fff,0xfa80006f,
    0xff9006ff,0xfff70005,0x7449ffff,0x07ffffff,0xffffffa8,0xfffd0000,
    0x3ff10007,0xffffe800,0x1fffff43,0x0007ff40,0x2006fdc0,0x3ee002fd,
    0xcfffefff,0x3fffa200,0xfffb84ff,0x7fd407ff,0x1ffd806f,0xfffa8000,
    0x05ff9806,0x3fffa200,0xfffb84ff,0xff9807ff,0x0001ffff,0x0003fff9,
    0xfd000131,0xffe87fff,0x7fdc03ff,0x03100002,0xfd801540,0x3ffe63ff,
    0x3fff200e,0xfff884ff,0x7fdc07ff,0x1ffd407f,0xfffb8000,0x00ffe807,
    0x7fffe400,0xffff884f,0xfff8807f,0x50003fff,0x00000fff,0x7ffffb00,
    0x02ffffe8,0x00017fe6,0x3a000000,0xffc85fff,0xfff700ff,0xfff109ff,
    0x7ecc0fff,0xf880afff,0xb300006f,0x2015ffff,0x80002ffb,0x84fffffb,
    0x87fffff8,0xfffffff8,0xffffffff,0x05ff8801,0xdecb9880,0xfffb802c,
    0x7ffffc3f,0x003ffa00,0x65cc4000,0x2e002cde,0xf882ffff,0xff705fff,
    0x3fe09fff,0xcc887fff,0x1ccccccc,0x7300ffec,0x33322015,0x41cccccc,
    0x93005ff9,0x3fffee05,0xfffff04f,0xfffff10f,0xffffffff,0x3fa003ff,
    0x3ff62004,0x1effffff,0x13fffe60,0x5c0bffff,0x800002ff,0xffffffd8,
    0xff801eff,0xfff01fff,0xfff705ff,0x3ffe09ff,0x500007ff,0xff9107ff,
    0x00007fff,0x4c007ff4,0xfff705ff,0x3ffe09ff,0xfff887ff,0xffffffff,
    0xb001ffff,0x3fea007f,0x3fffea1c,0x3fff200f,0x03fffe25,0x0002ffcc,
    0x50e7fd40,0x401fffff,0x00fffffb,0x709ffffd,0x209fffff,0x007fffff,
    0xb06ff880,0x7fffffff,0x5ff70000,0x0bffd100,0x13ffffee,0x83fffffc,
    0xfffcaaaa,0x0aaaaeff,0x7003f900,0xff901fff,0xffe80dff,0x07fff70f,
    0x00007ff4,0x203ffee0,0x206ffffc,0x207ffffe,0xb86ffffe,0xf04fffff,
    0x000fffff,0xf703ffb0,0xfffffb59,0x5ff98000,0x0bfffd00,0x13ffffee,
    0x03fffffc,0x0dfffff0,0x4007d400,0xfa84fffe,0x6402ffff,0x1effbdff,
    0x000bfee0,0x13fffa00,0x0bffffea,0x03fffffc,0x70fffffd,0x209fffff,
    0x007fffff,0x441ffd40,0x7fffdc1e,0x3ffa0000,0xffffd800,0xfffff705,
    0x3ffffe09,0x3fff6007,0x1e60005f,0x3ffffea0,0x7ffffd40,0xbcca8804,
    0x02ffcc01,0x5400d54c,0x540fffff,0x884fffff,0x207fffff,0x41fffffe,
    0x04fffffb,0x00ffffff,0x0037fc40,0x001bffe2,0xc802ffb8,0x705fffbf,
    0x209fffff,0x007fffff,0x013fffea,0xff500500,0xffa85fff,0x00004fff,
    0x6401ffd0,0x02ffedff,0x0bffffea,0x09fffff5,0x0ffffff5,0x1ffffff4,
    0x13ffffee,0x03fffffc,0x003ffb00,0x003fff88,0x500bff30,0x0bfff15f,
    0x13ffffee,0x03fffffc,0x07ffff10,0x3fa00000,0xfffa86ff,0x800004ff,
    0xfd102ffb,0x17ffe2df,0xa86fffe8,0xa84fffff,0x207fffff,0x43fffffe,
    0x04fffffb,0x00ffffff,0x000ffea0,0x0003ffea,0x26007ff4,0x0bfff13f,
    0x13ffffee,0x03fffffc,0x007fffa0,0x6dc40000,0x7ffecc0b,0x400004ff,
    0x3f605ff9,0x3fff22ff,0x817b7104,0x4fffffd9,0x7fffff88,0x3fffffa0,
    0x7ffffdc2,0xffffff04,0x0dff1000,0x00bff200,0x2017fdc0,0x3ffe25f8,
    0xfffff705,0x3ffffe09,0x7ffec007,0x2880a800,0x7fecc000,0x004fffff,
    0x807ff400,0x2a1ffffa,0x2001ffff,0xffffffd9,0xfffff04f,0x7ffff40f,
    0x7fffd40f,0xfffff04f,0x3ffb000f,0x07ff3000,0x017fe600,0xfff88dd1,
    0xfffff505,0x3ffffe09,0x37b6e207,0xfa807ffe,0x01fffe40,0x2b3ff620,
    0x004fffff,0x80bfee00,0x2a0ffffe,0x8805ffff,0xfffacffd,0xfffd04ff,
    0x7fffc0ff,0xffffa87f,0xfffff04f,0x4ffa800f,0x03fe8800,0x003ffa00,
    0xfdddddf7,0xfa83dfff,0xff04ffff,0x3e20ffff,0xffffffff,0xdb9999ab,
    0x7fffdc7f,0xfff9001f,0x3ffffea7,0xff300004,0xfffff80b,0x1bfffe60,
    0x2a7fff90,0x704fffff,0x201fffff,0x984fffff,0xb84fffff,0x007fffff,
    0x4001bfe2,0x802442fd,0xfc802ffb,0xffffffff,0x7ffcc1ff,0xfffb84ff,
    0x7df907ff,0xfffffff9,0xdfffffff,0x4fffffe8,0x17fff4c0,0x09fffff5,
    0x03ffa000,0x0fffff98,0x41ffffe6,0x2a2fffe9,0x204fffff,0x881ffffe,
    0x880fffff,0x546fffff,0x07ffffff,0x0007ff60,0x26666ff6,0x5ff9806d,
    0x99999500,0x819dfffb,0x46fffff8,0x7ffffffa,0xfff88bf0,0xffffffff,
    0x7fff42ff,0x3fe605ff,0x7ffd44ff,0xb80004ff,0x7fcc02ff,0x3fe60fff,
    0x7fcc0fff,0x7ffd44ff,0x3fea04ff,0xfff983ff,0x3fff604f,0xfdfcadff,
    0x800fffff,0xc8004ffa,0xffffffff,0x00ffe804,0x2fffc400,0xbfffffb0,
    0xffffbf95,0x44f881ff,0xfffffffb,0xb86fffff,0x102fffff,0xa83fffff,
    0x004fffff,0x402ffcc0,0x20fffff8,0x447ffff9,0x541fffff,0x404fffff,
    0xfd86fffd,0x3a200dff,0x4fffffff,0x19ffffff,0x0037fc40,0x7fffffe4,
    0x7dc02fff,0xf880002f,0x3fa205ff,0xf4ffffff,0x819fffff,0xcffc9bfc,
    0xfffffffa,0xffe881ff,0x3fff205f,0xffffa87f,0x7f40004f,0xffff000f,
    0x7fffcc1f,0x3ffffe46,0x27ffffd4,0x467ffe40,0x004fffb8,0x7fffffd3,
    0x7ffffffc,0x03ffb00f,0xfffffa80,0x201fffff,0x00005ff9,0x980bfff1,
    0x23fffffe,0xffffffff,0x3ffff620,0x3ffff624,0x05cc00ef,0x3fffffa0,
    0x7ffffe42,0x3fee0005,0x3fff6002,0x3fffea1f,0x7fffff44,0x7ffffe42,
    0xfffd5005,0x0007dfff,0x00003771,0x000004cc,0x01331000,0x88000000,
    0x100001bb,0x32a60157,0x7400001a,0xbcffffff,0x5fffffff,0x5ff88001,
    0x7fffcc00,0x03fffee2,0x9ffffffd,0xfffffff7,0x5cc4002b,0x0000009b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffee00,0xff9effff,
    0x00ecffff,0x0003ffa0,0xfd93fff2,0xfffb82ff,0xf9efffff,0x0ecfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff8800,
    0x3ff23fff,0x2001ffff,0x20002ffb,0xffa8fffb,0xffff102f,0x7fe47fff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x073bff66,0x03bfffb1,0x002ffc40,0x77ffecc0,0x7fecc00d,0x7fec41ce,
    0x000001df,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x40006001,0x00000998,0x04400044,0x00000180,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26660000,
    0x00000199,0x04cccccc,0x3bbbae00,0xceb98004,0xff980002,0x0e654005,
    0x54c00498,0x02cdefdc,0xb8805cc0,0x33333300,0x400cb800,0x66540039,
    0x40009301,0x71001ffb,0xf90005bd,0x0005ffff,0x3fffe200,0x7fc4006f,
    0x1001ffff,0x1fffffff,0x07ff4000,0xffffe980,0x88036c2e,0xfecdfffe,
    0xfc802eff,0x7ffdc3ff,0xfffffc84,0x37fa2003,0x802fec40,0x2effffe8,
    0xfb00036c,0x7fff400f,0xffd8003f,0x000005ff,0x01dffff7,0xfffffc80,
    0xd9dd005f,0x0009ffff,0xe800bff2,0xffffffff,0xf9805fed,0x7fec1fff,
    0x3fe203ff,0x7fffc7ff,0xffffc80f,0xbffd8005,0x2002efc8,0xfffffffe,
    0x0005fedf,0x26009ff1,0x006fffff,0x00ffffb0,0x3fffa000,0x7fcc000e,
    0x01ffffff,0x3ffee26c,0x5ff98007,0x3fffee00,0xffffffff,0x7fffd403,
    0xfffff884,0xfffff501,0x3ffffe63,0x1ffff901,0xffff9000,0xfffb8007,
    0xffffffff,0xff50003f,0x3ffee005,0xb0001fff,0x00005fff,0x00efff88,
    0x9bfffd80,0x80406fff,0xe8005fff,0x3f6000ff,0xfffffebc,0xffe806ff,
    0xffff03ff,0x7fff40bf,0x037fff46,0x000ffff6,0x007fffea,0xffd79fb0,
    0x00dfffff,0x3003fec0,0x00dfffff,0x005ffd80,0x077fdc00,0x0fffd400,
    0x8005ffd3,0x4000eff9,0x74002ffc,0x7fff64c4,0x7ffcc00d,0xffff02ff,
    0x6fecc0ff,0x00efecc1,0x3002ffec,0x3fffbbfd,0x32627400,0x000dfffe,
    0xd0017fe0,0x0007ffff,0x0007fe88,0x0007ff40,0xe880efe8,0x3fa2006f,
    0x7fcc002f,0x200a8005,0xff5000a8,0x3fa05fff,0x0400ffff,0xffb00020,
    0x1efd8801,0x003ffff1,0x00a8802a,0x017fd400,0x000ef540,0x002fe880,
    0x003ff100,0xb0037ee0,0xffd8805f,0x3a003fff,0x000000ff,0xffffb800,
    0xffffd02f,0x0000000f,0x5db00bfa,0x03ffff50,0x40000000,0x00000ffc,
    0x02620000,0x004c4000,0x54003100,0xfffda802,0xffc802ff,0x00000002,
    0x5fffff90,0x1bffffa0,0x98000000,0x3fa00400,0x00000eff,0x0bff0000,
    0x00000000,0x00000000,0x30000000,0x980bfffd,0x100005ff,0x0179bb73,
    0x3fffff20,0x3fffff02,0x336e6200,0x0000000b,0x27fffdc0,0xbd973100,
    0x7cc00059,0x8000003f,0x99999998,0x4cccccc0,0x2e620019,0x0000bcdd,
    0x179bb731,0x7ffd4000,0x007ff406,0x7fffdc00,0x400cfffe,0x82fffffc,
    0x003ffffa,0xffdbfff5,0x99999809,0xca800999,0xfffcdffe,0x7ec402ff,
    0xefffffff,0x0ffc8001,0x200aa000,0xfffffffb,0x3ffffa24,0xff7007ff,
    0x19fffdff,0x7fffdc00,0x000cfffe,0x6409ffd0,0xd80002ff,0x3fe63fff,
    0x3ff200ef,0x3f662fff,0xf9001bef,0x6fff43df,0xfffffd00,0xffc805ff,
    0xfffebbef,0x3fea06ff,0x3fffea1c,0x37f4000f,0x400b6000,0x4fffffe8,
    0x7fffffb8,0x23fffd80,0x800efff9,0x3e63fffd,0x01100eff,0x7cc07ff2,
    0xfe80005f,0xfffc85ff,0xffff900f,0x77ffdc5f,0xfffd800b,0x027ffd42,
    0x5ffffff3,0x07fffe40,0x07fffffa,0x3203ffee,0x2006ffff,0x40003ff9,
    0x3ff2002f,0xff884fff,0x7f407fff,0xfffc85ff,0x3fffa00f,0x0ffffc85,
    0x3a06ffd4,0x03ffa04f,0xffff7000,0xbffff105,0x3fffff20,0x7fffdc42,
    0x1bffea03,0xb007fffc,0x205fffff,0xa83ffffc,0xe84fffff,0xffa84fff,
    0xf7002fff,0x7cc0003f,0x3ffee001,0xfff884ff,0x3fee07ff,0xfff882ff,
    0xffff705f,0xbffff105,0xadffffb8,0x3fee03fd,0xfff80002,0xffff01ff,
    0xffff905f,0x3ffee05f,0x9fffd01f,0x817fffa0,0x82fffffd,0x81fffff8,
    0x47fffff8,0x40fffffa,0x04fffffa,0x4000dfd0,0x7dc006f8,0xff04ffff,
    0x7fc0ffff,0xfff01fff,0xffff05ff,0x3fffe03f,0x77f6dc2f,0x3fe600bd,
    0x70593005,0x201fffff,0xc84ffffe,0x102fffff,0xb81dffff,0xfb04ffff,
    0x7fe40fff,0xffb82fff,0x3ffe07ff,0x3fea0fff,0x7fd42fff,0xf8804fff,
    0xff50004f,0xfffb8007,0xffff04ff,0x3ffee0ff,0xfffd00ff,0xffffb89f,
    0xffffd00f,0x3fa00009,0x5ff9800f,0x07ffffe8,0x21bffffa,0x02fffffc,
    0xb13ffffe,0x3607ffff,0xf900ffff,0xff05ffff,0x7fc0ffff,0x7f41ffff,
    0xfffa86ff,0xffb804ff,0xfffc8001,0x7ffdc000,0xffff04ff,0x3fffa0ff,
    0x3fffa07f,0x7ffff46f,0x3ffffa07,0xffb80006,0x5ffe8802,0x07fffff8,
    0x21fffffa,0x02fffffc,0xd17ffffe,0x3337ffff,0x5ffffb33,0x3fffff20,
    0x7ffffc42,0x3ffffe07,0x05edc42f,0x3fffff66,0x007fd804,0x027fff44,
    0x7ffffdc0,0xffffff04,0x1fffffe0,0x47ffffe8,0x207fffff,0x007ffffe,
    0x802ffcc0,0x7c45fffe,0x3a07ffff,0x641fffff,0x202fffff,0x7c7fffff,
    0xffffffff,0x3fffffff,0x5fffff90,0x7fffff98,0x3fffffa0,0xfffb3003,
    0x8809ffff,0x3e2004ff,0x8000ffff,0x04fffffb,0x10ffffff,0x40ffffff,
    0x11fffffe,0x40ffffff,0x01fffffe,0x003ffa00,0x517ffff6,0x40ffffff,
    0x43fffffe,0x02fffffc,0x43fffffe,0x9cfffff8,0x99999999,0xffff9009,
    0xffffa85f,0x3fffa07f,0x7ec402ff,0xfffffacf,0x017fd404,0x5ffffe88,
    0xffff7000,0x3fffe09f,0xffffa87f,0x3fffa07f,0xffff53ff,0x7fff40ff,
    0xf70003ff,0xf7f9005f,0xfffa8bff,0x3ffa07ff,0x7fe43fff,0x3fe02fff,
    0xff32ffff,0x0000bfff,0x85fffff9,0x07fffff9,0x07fffffa,0xf53fffc8,
    0xd809ffff,0x3ff2007f,0x70002fff,0x209fffff,0xa87fffff,0x207fffff,
    0x53fffffe,0x40ffffff,0x03fffffe,0x805ff980,0x5fff8afa,0x3fffffc4,
    0x5fffffd0,0x2fffffc8,0x3fffffe0,0xdfffff11,0xfff90000,0xfff885ff,
    0x3ffe07ff,0xffd307ff,0x7fffd45f,0x02ffc04f,0x3fffffd0,0x7019d910,
    0x209fffff,0x887fffff,0x207fffff,0x12fffffe,0x40ffffff,0x02fffffe,
    0x400ffe80,0xbfff13f9,0x0ffffff0,0x07fffff4,0x0bfffff2,0x0fffffe8,
    0x03fffffe,0xffff9000,0xffffd05f,0x7ffffc0f,0x4ffff986,0x27ffffd4,
    0x2005ff50,0x0ffffff8,0xb86fffc8,0xf04fffff,0x3e0fffff,0x3a07ffff,
    0x3e0fffff,0x3a07ffff,0x000fffff,0x22017fdc,0x17ffe25f,0x81fffffa,
    0xc87fffff,0x202fffff,0x746ffffd,0x003fffff,0x7ffffe40,0x7ffffc82,
    0x17ffffe0,0x83fffff1,0x04fffffa,0x54003ff2,0xd07fffff,0xfa81ffff,
    0xff04ffff,0x3fa0ffff,0x3fe07fff,0x7ff47fff,0x3ffe07ff,0x7cc007ff,
    0x2374405f,0xfb85fff8,0xff00ffff,0xff909fff,0x2a185fff,0x7e45ffff,
    0x400fffff,0xffff902c,0xffff705f,0x3fffe01f,0x7fffe43f,0xfffffa87,
    0x8017fe04,0x0ffffffa,0x42ffffc8,0x04fffffa,0x20ffffff,0x00fffffb,
    0xb89fffff,0xf00fffff,0x8009ffff,0x7dc00ffe,0xfffeeeee,0x7fff41ef,
    0xffff881f,0xffffc80f,0x22bff52f,0x7c44ffff,0x205fffff,0xfff900eb,
    0xfff105ff,0xfff103ff,0xfffe81ff,0x7ffe42ff,0x7ff305ff,0x7fffc400,
    0xfff981ff,0x7fffcc0f,0xffffb84f,0x3fffa07f,0xffff881f,0xffffe80f,
    0xfffff881,0x0bfee000,0x3fffff20,0x41ffffff,0x983ffffa,0xf904ffff,
    0x3f65ffff,0x1dffd1ff,0xffffffb0,0x017d441b,0x05fffff9,0x20bfffee,
    0xe84ffffa,0xbcffffff,0x5fffffff,0x000ffc81,0x27fffff4,0xf886fff8,
    0x7d46ffff,0x207fffff,0x983ffffa,0xf504ffff,0xff307fff,0x7cc009ff,
    0x9995005f,0x9dfffb99,0x0dfffb01,0x201bfffb,0x92fffffd,0x3ff61fff,
    0xffffd101,0xbffbdfff,0xfffffd80,0x17fffa02,0x203bfff6,0xfffffffb,
    0xfffff9ef,0x1bfa0ecf,0x3fffe200,0x0ffd80ff,0xbfffffb0,0xffffbf95,
    0x7fec01ff,0xdfffd86f,0x1bfff600,0x0037fff6,0x0000ffe8,0x202fffc4,
    0xb88cfffc,0x3ea04fff,0xf12fffff,0x07ff57ff,0xfffffe88,0xe805ffff,
    0x403fffff,0xb88bfffd,0xf100dfff,0x47ffffff,0x1ffffffc,0x4000ffe6,
    0x2efffffa,0x4403ff71,0xfffffffe,0x9ffffff4,0x67ffe401,0x04fffb88,
    0x119fff90,0x8009fff7,0x80002ffb,0xa805fff8,0xeffffffe,0x3ffff603,
    0x3f262fff,0xb1001cef,0x7dffffff,0xfffff500,0xfea803df,0x03efffff,
    0x1ceffd98,0x0efffec4,0x80007fee,0xffffffc8,0xe9800cff,0x3e3fffff,
    0x0fffffff,0x3ffffaa0,0x54003eff,0xeffffffe,0x2ffcc003,0xfff88000,
    0x2ee62005,0x20000009,0x654c0000,0xfff8802a,0x5fffffff,0x1acba980,
    0x30008800,0x000265c0,0x13577530,0x03771000,0x2e620000,0x4400009b,
    0x00009bb9,0x00001331,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32a00000,0x50002cee,0x44015405,0x26019999,
    0x40009999,0x00999998,0x002a80aa,0x5ef765c0,0x3bbaa000,0x4cc4005e,
    0x99999999,0x40000999,0x003dcba9,0xdefedca8,0x310000ac,0x33333333,
    0x33333333,0xeeedca80,0xfd3000bc,0x05dffdbf,0x03fffe20,0x6c03fffd,
    0x981fffff,0x004fffff,0x077ffffc,0x207fff44,0x4001fffe,0xfffffffb,
    0xfffd003f,0x7dc005ff,0xffffffff,0x8000ffff,0x0bdffeb8,0x3ffee200,
    0xffffffff,0x7fe4001c,0xffffffff,0x06ffffff,0xffd9bfd5,0xf9807fff,
    0x3ffe62ff,0xffffb802,0x13fffea4,0x1fffffd8,0x4fffff98,0x3fffe600,
    0xffff700f,0x2ffffd49,0xfffffb00,0x809fffff,0x6ffffffb,0x3ffffa00,
    0xffffffff,0x7fe44005,0xfb8001df,0x2609adff,0x00dfffca,0xffffffd0,
    0xffffffff,0x1ff707ff,0x5fffffb8,0xb0ffff30,0xfd805fff,0x3ff26fff,
    0x3ff606ff,0xff981fff,0x32004fff,0x3601ffff,0x3f26ffff,0xfb006fff,
    0xffffffff,0x3e205fff,0x3fffffff,0xfffff980,0xffffffff,0x3ffea002,
    0xfe88002f,0x3aa000bf,0xfff801ef,0xffffffff,0x40ffffff,0xffb06ffa,
    0xffd07fff,0xffff707f,0x7fffd401,0x0ffffe62,0x1fffffd8,0x4fffff98,
    0x07fffe00,0x47ffff50,0x803ffff9,0xfdcbdffc,0x06ffffff,0xfd39fff9,
    0xffc801ff,0xffffffff,0x3f2007ff,0x98002fff,0x20000dff,0x3e602ffc,
    0xffffffff,0x6fffffff,0x981fffe8,0x20ffffff,0xa82ffffa,0x5c03ffff,
    0xcfeb84ff,0x3ffff600,0xffff981f,0xfff3004f,0x13fee003,0x10033fae,
    0xfff5019f,0xff10ffff,0x1fff447f,0x3fffffe0,0x4fffffff,0xffffe880,
    0x3ff88002,0x3ff50000,0x3ffffee0,0xffffffff,0x7fc43fff,0xfff884ff,
    0x3ffa2fff,0xfff981ff,0x0000007f,0x07fffff6,0x13ffffe6,0x000ffe40,
    0x4d800400,0x7ffffdc0,0x80ffec0f,0xbf300ffd,0x33333333,0xfb001333,
    0x20005fff,0x999954fd,0x05559999,0x7ec077d4,0xaaaccdff,0x0fffcaaa,
    0x837fffcc,0x33ffffff,0x303fffff,0x003fffff,0x3ff60000,0xff981fff,
    0xff004fff,0x00000005,0xffff0038,0x00ef98df,0x1fc827e4,0x7fdc0000,
    0xf70004ff,0x7fffe44d,0x4ffffdbd,0x5ff0bf90,0x837fdc00,0xff06fffe,
    0x3ee7ffff,0xf881ffff,0x0004ffff,0xffffb000,0xffff303f,0x0026009f,
    0x00000000,0x43ffffd8,0x40aa0018,0x4c00006f,0x001fffff,0xfff01ff0,
    0x7ffec49f,0x7c43fd05,0x1fff4002,0xf03fffb8,0x361fffff,0x881fffff,
    0x806fffff,0x0bcddb98,0xfffffb00,0xfffff303,0x20000009,0x2cdecb98,
    0xffe80000,0x000000ff,0x03579ff5,0xfffff800,0x09f50006,0xf313fff6,
    0x9f707fff,0x3e6001d4,0x02e200ff,0x37ffffc4,0x03fffffd,0x1ffffff1,
    0x77fffdc0,0x6c00cfff,0x981fffff,0x204fffff,0x99999999,0xfffd8800,
    0x01efffff,0xdfff1000,0x4ccccc03,0x7ec00999,0xceffffff,0x3ffea000,
    0xfd0003ff,0x13fff203,0x2217fffe,0x7dc0007f,0x7d40006f,0xff13ffff,
    0xf101ffff,0x203fffff,0x3e63fffd,0x3f600eff,0xf981ffff,0x3a04ffff,
    0x2fffffff,0x50e7fd40,0x001fffff,0x01dff900,0xffffffe8,0x3ffe202f,
    0xffffffff,0xffffd003,0x1599531f,0xf9037c40,0xfffd09ff,0x000bf20b,
    0x0003ffe8,0x12fffff4,0x01ffffff,0x3ffffff1,0x90bfffd0,0x3601ffff,
    0x981fffff,0x404fffff,0x2ffffff9,0x203ffee0,0x006ffffc,0x077ffd40,
    0x7ffffcc0,0x3ffea02f,0xffffffff,0x3fe602ff,0xfffeefff,0xfa80dfff,
    0x13fff204,0x205ffff3,0xf10003fa,0x4c0003ff,0x7cc5ffff,0x880fffff,
    0x42ffffff,0x882ffffb,0xfb05ffff,0xf303ffff,0xb009ffff,0x405fffff,
    0xfa84fffe,0x8002ffff,0xffffffc8,0xffffd801,0x3fff602f,0xffffffff,
    0xff904fff,0xfdbfffff,0xb83dffff,0x3fff203f,0x07fffe44,0x70005f98,
    0xd8000dff,0xff983fff,0xf880ffff,0x7c2fffff,0xff01ffff,0xffb05fff,
    0xff303fff,0xfb009fff,0x2a05ffff,0x540fffff,0x004fffff,0x3fffff66,
    0x6c03ffff,0x102fffff,0xffffffff,0xffffffff,0xfffffd05,0xfffffb87,
    0xf9017e46,0x3ff6a9ff,0x1be201df,0x01fff400,0x03dff100,0x3fffffea,
    0xfffff880,0x3fffee3f,0xffffd00f,0xfffffb09,0xfffff303,0x7fe41ccb,
    0xff502fff,0xffa85fff,0x22004fff,0xfffffffd,0x3f202fff,0x5102ffff,
    0xffffdb97,0xffffffff,0xffffff81,0xfffffd81,0xfc807f64,0xffffffff,
    0x000df002,0x0003fff1,0xf3006fe4,0x101fffff,0x45ffffff,0x207ffffe,
    0xd86ffffe,0xd83fffff,0x326fffff,0xfffffc83,0x1bfffa02,0x13ffffea,
    0x3ffae200,0x206fffff,0x02fffffc,0xfffeb880,0x224fffff,0x81ffffff,
    0x0ffffffa,0x7fe405f9,0x3ffff8cf,0x8005f880,0x40006ffb,0xfff8805f,
    0xff880fff,0x3fe0ffff,0x3fa07fff,0xffd87fff,0x7fe44fff,0x5d0fffff,
    0x5fffff90,0x205edc40,0x4fffffd9,0x3ffa2000,0x901fffff,0x005fffff,
    0xffffd980,0x3ffe66ff,0xff881fff,0x7f71ffff,0xba7ffe40,0x4c00ffff,
    0xffe8004f,0x07e60004,0x7fffffc0,0xfffff880,0x3ffffe27,0x3ffffa07,
    0x7fffec1f,0xebfebcff,0x6effffff,0x5fffff90,0xfffb3000,0x0009ffff,
    0xffffffb0,0x3ffff205,0xf700002f,0x2a1fffff,0x01ffffff,0x27fffffd,
    0x3ff204fa,0x9ffff14f,0x4003fa80,0x0001fff8,0xffe801e6,0xff880fff,
    0x3fea6fff,0x3fa07fff,0x7f43ffff,0xffffffff,0xffffff52,0x3fff205f,
    0x362002ff,0xffffacff,0xfd00004f,0x3207ffff,0x002fffff,0x3fffee00,
    0xfffff11f,0x3fff603f,0x40df14ff,0x3ee4fffc,0x3f600fff,0x37fdc002,
    0x8016a000,0x80fffffd,0x25fffff8,0x07fffffa,0x0ffffffa,0xfffffbfd,
    0xffffc83d,0x3fff202f,0xff9002ff,0x3fffea7f,0xf500004f,0x3205ffff,
    0x002fffff,0x7fffdc00,0x3fffffe2,0xfffff902,0xfd817ec9,0x7fff44ff,
    0x000df104,0x80009ffb,0x3ff20018,0xff881fff,0x3fe24fff,0x3fa07fff,
    0x7fc2ffff,0x200acb8a,0x6400aba8,0x402fffff,0x2a2fffe9,0x004fffff,
    0x3ffffa00,0xfffff901,0xf8800005,0x3ff61fff,0xff903fff,0x2fcc7fff,
    0x545ffff8,0xfc82ffff,0x7ffc4003,0x40000001,0x81fffffb,0x43fffff8,
    0x207fffff,0x20fffffe,0x00003ff9,0x7ffffe40,0x3fffe602,0x7ffffd44,
    0x3f200004,0x3ff207ff,0x00002fff,0x7e47ffd8,0xf703ffff,0xfe83ffff,
    0x7ffffcc2,0x07fffec1,0xb8001ff1,0x000006ff,0xfffff880,0xfffff881,
    0x3fffff41,0x8ffffff0,0x00005ffb,0x7ffffe40,0xfffff102,0xfffffa83,
    0x3ee00004,0x3ff206ff,0x00002fff,0x7d44ffb8,0xf704ffff,0xff30ffff,
    0x3fffffa1,0xfff30fff,0x00ffa3ff,0x0013ff60,0xf9000620,0xff305fff,
    0xfff70bff,0x3ffe01ff,0x3ffe44ff,0x3f200000,0xf902ffff,0xff50ffff,
    0x00809fff,0x807ffea0,0x02fffffc,0x3f200044,0x7fffc41f,0xffff705f,
    0x001bf20b,0x000bf900,0x0003fff1,0x0177fe44,0x83ffff98,0xd01ffffa,
    0xf103ffff,0xfe81ffff,0x000000ff,0x0bfffff2,0x17fffff4,0x17fffff2,
    0x40077fd4,0x7e404ffd,0x3202ffff,0xff003fff,0x3ffff209,0x7ffff907,
    0x00077ec0,0x003ff620,0x001ffea0,0x1fffff90,0x13fff600,0xa817ffee,
    0xf983ffff,0xfff84fff,0x2000002f,0x02fffffc,0x9ffffffd,0xfffffff7,
    0xfffff02b,0x037fc403,0x17ffffe4,0xefffff88,0x881bea00,0xd82fffff,
    0x6c406fff,0xd30002ff,0x360003df,0x7c0004ff,0x003fffff,0xfd03fff6,
    0xffd801df,0xdfffd86f,0x1ffffcc0,0xffb00000,0x3ee05fff,0xefffffff,
    0xcffffff9,0xfffff10e,0xefc8819f,0xffffd801,0xffff102f,0xe9819fff,
    0x7ffd400e,0x1ffff85f,0x05dff700,0x037ff6a0,0x0fffc400,0xffff1000,
    0xfd8009ff,0xeffc88cf,0x9fff9000,0x09fff711,0x00bfffe2,0xfffe8000,
    0xfff103ff,0x7e47ffff,0x5c1fffff,0xcfffffff,0x2003ffca,0x03fffffe,
    0x3fffffee,0x04fecdff,0x33fffe60,0x01effd88,0x67fff4c0,0xfecba9ab,
    0x540003ff,0xc80007ff,0x000fffff,0xfffffec8,0xffea8004,0x403effff,
    0x00006ffd,0x3ffffea0,0xffb301ef,0xffd8839d,0xffc881df,0xdfffffff,
    0x3ffea000,0x2e01efff,0xffffffff,0xc88001cf,0xbdffffff,0x3f660000,
    0xffffffff,0xfb00002d,0xd300009f,0x80009fff,0x80001bb8,0x0009bb98,
    0x400000aa,0xfffffff8,0x02205fff,0xaa8800c0,0x40009bcc,0xfffffff8,
    0x54c05fff,0x0001abcb,0x00597510,0x97531000,0x00001359,0x0001ccc8,
    0x00002e60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9dfd9710,0x26000005,0x0002ceeb,
    0x77f6e540,0x00000acd,0x579d9751,0x37fc0001,0x2200ffd0,0x99999999,
    0x20999999,0x19999999,0x00e6ed44,0xbcecb880,0x7f40d981,0x4c000006,
    0x09abccba,0xb8000000,0xffffffff,0xd880000d,0xefffdeff,0x3ee20002,
    0xffffffff,0x10001cff,0xffbdfff9,0xf30007ff,0x037fc09f,0xffffdca8,
    0xceffffff,0xfffffd13,0x3fff63ff,0x26004fff,0xffedfffd,0xf703fee4,
    0xa800003f,0xfdfffffe,0x000dffff,0x7ff44000,0xffffc88c,0x7fcc0006,
    0x3fffe64f,0xfffb8004,0x32a609ad,0x2000dfff,0x222efffa,0x000efffc,
    0x7cc0ffea,0xfe88004f,0x02ffffff,0x3fffffe6,0xffffffda,0xffa804ff,
    0x37fea0ef,0x7c40fffd,0xb100003f,0xa837dfff,0x003ffffc,0x3fff6000,
    0x1ffffe40,0xffff9800,0x27fffe40,0x0bffe880,0x07bfaa00,0x0ffffe60,
    0x0037ffec,0x3ea03ff9,0xff70003f,0xd00dffff,0x5ddfffff,0x3fffff62,
    0x3fffea01,0xfffffd81,0x006fe80f,0xfffffb80,0x7fffcc00,0x5400001e,
    0xff885fff,0xfd0005ff,0xfff10dff,0xff9805ff,0x3f20000d,0x3ffe202f,
    0xfff500ff,0x1ff6007f,0x0001ffc8,0xbffffff5,0xfffffb00,0xffffb05f,
    0xffff101f,0x3fffe60f,0x0ffc80ff,0x3fff6000,0xff5002ff,0x00007fff,
    0xe82ffff4,0xb8006fff,0xfd05ffff,0x7c40dfff,0xf500003f,0x3ffee03f,
    0x3ffe207f,0x0dff005f,0x50003fec,0x0bffffff,0x9fffffb0,0x3ffffea0,
    0x4ffffd84,0xffffff10,0x007ff301,0x3fffff20,0x7ffec003,0xf00001ff,
    0x3f20dfff,0xfd8004ff,0xffb04fff,0x3f605fff,0x37b6ea04,0x7d4910ac,
    0xffffd80e,0x3fffe01f,0x04ff9807,0x98001bfe,0x05ffffff,0x1fffffd8,
    0xdfffff10,0x2fffff88,0x3fffffe0,0x000bff00,0x0ffffff3,0xfffff300,
    0xff30000d,0xffb01fff,0xffd0005f,0x3ff209ff,0x6fb85fff,0x35bffd30,
    0xc8dfffd7,0xffffe85f,0x3fffe04f,0x03ffa806,0x40009ff1,0x5ffffff9,
    0xfffffd80,0x3ffffe01,0x3fffea0f,0x3fffe01f,0x1ff900ff,0xffffe800,
    0xffd0005f,0x80007fff,0x43fffff9,0x8004fff8,0x05fffff8,0x1ffffff7,
    0xffc80ff8,0x0dfb102f,0xfffd83fd,0xff880fff,0xffc804ff,0x005ff501,
    0x7ffffcc0,0xfffd805f,0x3ffa01ff,0x3ff21fff,0x3fe01fff,0xf300ffff,
    0x7fe4005f,0x0002ffff,0x3ffffffb,0x7ffc4000,0x6ffe46ff,0xfffa8000,
    0xfff505ff,0x27d43fff,0x201fffdc,0x44fb86e8,0xeffffffb,0x0ffffd40,
    0xfd999991,0xd999999f,0x00199bff,0xffffff98,0xffffd805,0x3fff601f,
    0x3fff63ff,0x3ffe00ff,0x3fe00fff,0xffff1005,0x20001fff,0x5ffffffb,
    0x7fffc000,0x2ffd99ff,0x3ffee000,0xfff306ff,0x0ff45fff,0x401fffe6,
    0x4c7f886b,0xefffffff,0x11bfff20,0xffffffff,0xffffffff,0x8003ffff,
    0x5ffffff9,0xfffffd80,0x3ffff601,0x3ffffe4f,0x7ffffc07,0x01ff600f,
    0x7fffffd4,0x3fe60006,0x0007ffff,0x7fffffec,0x40000bff,0x06fffffa,
    0x7ffffff1,0x3ffa1be2,0x2091004f,0x7fff42fc,0xf8afffff,0xfff884ff,
    0xffffffff,0xffffffff,0x7fcc001f,0xd805ffff,0x201fffff,0x34fffffd,
    0x80ffffff,0x00ffffff,0x3200bfea,0x06ffffff,0x3fffe200,0x20000fff,
    0x4ffffffb,0x666665c0,0xfff30ccc,0x7ffc0fff,0x89f53fff,0x002ffff8,
    0x7cc3fa80,0xffffffff,0x26602ffe,0x99bffb99,0x9dffa999,0xff980019,
    0xd805ffff,0x201fffff,0x32fffffd,0x01ffffff,0x07fffffc,0xb009ff10,
    0x0bffffff,0x7fffc400,0x20002fff,0xfffffffb,0x3fffaa00,0xff10cfff,
    0xf105ffff,0x2e5fffff,0x7fffd43f,0x5f980001,0xffffff98,0x4002ffff,
    0xff501ffc,0xff980005,0xd805ffff,0x201fffff,0x11fffffe,0x01ffffff,
    0x07fffffc,0x3e01ff60,0x05ffffff,0x3fffe200,0xa8003fff,0xfffffffe,
    0xfffe804f,0xfffffd04,0xfffff109,0xf70bf23f,0x00001fff,0x3fa60df1,
    0xffffffff,0x81ffa002,0x40001ffc,0x5ffffff9,0xfffffd80,0x3ffffa01,
    0x7fffffc7,0x3ffffe01,0x0ffdc00f,0xffffff10,0xff80009f,0x005fffff,
    0x3e6bffaa,0x02ffffff,0xf302ffdc,0x881fffff,0xb0ffffff,0xffffd83f,
    0x0df00000,0x7fffff44,0xf003ffff,0x03fec0df,0x7fffcc00,0xffd805ff,
    0x3fe01fff,0x7fec6fff,0x3fe02fff,0x4400ffff,0x3fe604ff,0x004fffff,
    0x7fffffc0,0xdff7005f,0x7ffffe41,0x3ff200ff,0x7fffec00,0xfff931ef,
    0x217e4fff,0x001ffffc,0x9105f880,0xffffffff,0xf9805fff,0x01bfe04f,
    0x3fffe600,0xffd805ff,0xff302fff,0xffa89fff,0x3fe05fff,0xe800ffff,
    0x3ffe206f,0x0004ffff,0x7ffffffc,0x3fffd804,0x7fffffc4,0x00ffa05f,
    0x7fffffe4,0xffffffff,0xff50fee5,0x300005ff,0x9fff509f,0xffffffd3,
    0x7fd403ff,0x009ff103,0xfffff300,0xfffb00bf,0xff901dff,0xffd01fff,
    0xff901fff,0x7001ffff,0x7ffc03ff,0x0005ffff,0x7ffffffc,0x7fffdc03,
    0xfffffa80,0x05f984ff,0x7ffff540,0xfffffecf,0xff313ea1,0x500007ff,
    0x7fffa87f,0x3fffff62,0x6d5544ff,0xaaaaacff,0xaaaacffc,0x7ffcc000,
    0xfd805fff,0x20efffff,0x03fffffa,0x5dfffff3,0x3fffff62,0xff8800ff,
    0x3ffff603,0x220006ff,0x2fffffff,0x3ffffe60,0xfffffb00,0x00fe87ff,
    0x11353100,0x88dfffff,0x6fffe86f,0x22fd8000,0xd84ffff9,0x26ffffff,
    0xfffffff8,0xffffffff,0x001fffff,0x7fffffcc,0xffffd805,0xffdefebf,
    0x7cc04fff,0xffffffff,0x0ffffffa,0x640dfd00,0x07ffffff,0x3fffe200,
    0x3f600fff,0xf302ffff,0x5fffffff,0x00000bf2,0x07fffff5,0xfff985fb,
    0x8809802f,0x7ffff46f,0xffffe882,0xffff10ff,0xffffffff,0xffffffff,
    0xfff98003,0xfd805fff,0xfd89ffff,0x002dffff,0xdfffffd3,0x3fffffe1,
    0x01ff9000,0x3fffffea,0x3fea0007,0x7407ffff,0x204fffff,0xfffffffa,
    0x00004fcf,0x0effffe8,0xffb85f98,0x03ea00ef,0xfff88ff2,0xfff301ff,
    0x5d545fff,0xaaaaadff,0xaaaaeffb,0x073ae20a,0x3fffffe6,0xffffd804,
    0x00b2a21f,0x40aca880,0x00ffffff,0x7407ff30,0x00ffffff,0xfffff700,
    0x7ffc407f,0x7dc07fff,0xefffffff,0x7c400000,0x3a01ffff,0xffffa82f,
    0x01bb510a,0x7fd41ff1,0x3f600fff,0xfa83ffff,0x09ff303f,0x81ffffb0,
    0x4ffffffa,0xfffffd80,0x80000001,0x00ffffff,0xfa817fe0,0x002fffff,
    0xdfffffb0,0xfffff880,0x7fe403ff,0x02ffffff,0x7ffe4000,0x07fcc03f,
    0x7ffff644,0x0ffa03ef,0x01fffff5,0x0fffffdc,0xfb80ffe4,0x7ffc402f,
    0x7ffd44ff,0xfd803fff,0x0001ffff,0xffff8000,0x3f2000ff,0x3fffa00f,
    0xff0006ff,0xf005ffff,0x5fffffff,0xfffffd80,0x07303fff,0x37fffdc0,
    0x9806fc80,0x85fc800a,0x01fffff8,0x03ffffea,0xffc81ffa,0x7fffdc01,
    0x7fffd45f,0xffd802ff,0x00001fff,0xfffff800,0x3fe6000f,0x3fffe602,
    0x7dc001ff,0xb006ffff,0xffffffff,0x7fff4405,0x21dfffff,0xff7002f9,
    0xfd800bff,0x6c40000e,0xffff00ff,0x7ffdc05f,0x40dff06f,0xff9807fe,
    0x7fd42fff,0xd800ffff,0x001fffff,0xfff80000,0x7c000fff,0x7ffe405f,
    0x7f4005ff,0x3001ffff,0xffffffff,0xffd9839f,0xffffffff,0x7005feff,
    0x0007ffff,0x0005ffb1,0xb807bfa6,0x3604ffff,0xf980ffff,0x01bfe04f,
    0x5c2ffffc,0x005fffff,0x05fffffb,0xff000000,0x8001ffff,0xffc807fd,
    0xf9001fff,0x8003ffff,0xfffffffb,0xffedffff,0xfffffeae,0x00ffffff,
    0x0f7ffdc4,0x3bfee000,0xbffb5002,0xffffb001,0x5ffff103,0x4c0bfea0,
    0xff3004ff,0xffffd07f,0x3ffa001f,0x00002fff,0xfffff800,0x7fd4000f,
    0xffffc802,0x7ffdc02f,0xf90001ef,0xffffffff,0xfd85dfff,0xffffffff,
    0x3fff2601,0x2600002d,0x9abcfffe,0x3fffecba,0x3fff6200,0x3fffaa1e,
    0x407ff202,0x2a002ffb,0xfc99bfff,0x2000efff,0x04ffffff,0x7cc00000,
    0x002fffff,0x98027fc4,0x0acffffe,0x9ffffd93,0xffd30000,0x7dffffff,
    0x7ffffd40,0xfeb881df,0x00000cef,0x3ffff660,0x02dfffff,0x3fffaa00,
    0x804fffff,0x3ff207fe,0x7fec4001,0x04ffffff,0xfffff910,0x00159fff,
    0x7fe54000,0x2dffffff,0x001ff600,0xffffffb5,0x017dffff,0xcba98000,
    0x544001ac,0x26aa00ac,0x80000000,0x9accba98,0x2a600000,0x2001abca,
    0x132e03cc,0xccba8800,0x5544002b,0xaaaaaaaa,0x2000000a,0xaaaaaaaa,
    0x26001aaa,0x530000cc,0x01579997,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc400,
    0x00199999,0x26666662,0x26666099,0x00001999,0x76dd4400,0x700bdeef,
    0x805cc007,0xa88000b9,0x000acddb,0x33333331,0x33330333,0x2a000133,
    0x1acefecc,0x4ccccee0,0x99999999,0x33330199,0x00333333,0x26666620,
    0x16d40199,0x3ffffb66,0x7004ffff,0xdfffffd9,0x7ffff649,0x000001ff,
    0x7ffffec4,0xeffffeef,0x2007f30b,0x7ec2fffe,0x3ee002ff,0xfffedfff,
    0x71ffffff,0xffffffff,0xffffb0bf,0x7e44007f,0xffffffff,0x7d11bdff,
    0x3ffffb72,0xccefffff,0xffffdc80,0x8000cdff,0xffffffeb,0xffff980f,
    0xfffff906,0xc8007fff,0xff100fff,0x0003ffff,0x7fffd400,0xfea880bf,
    0x803fffff,0x265ffff9,0x8806ffff,0x321efffe,0xffffffff,0x3ffffea1,
    0x3fe202ff,0x3ff2001f,0x309befff,0xffffff95,0xfffffb07,0xfd8007ff,
    0x500000ff,0x01ffffff,0x05fffffb,0x3ffffff2,0x7fc001ff,0x7fffec03,
    0x8800001f,0x00dffffd,0x7fffff70,0xfffff700,0x07ffffdc,0x0bffff60,
    0x2ab7fffe,0x7fffd40a,0x1fec02ff,0xffffe880,0xffd8803f,0xfffa83ff,
    0x88007fff,0x400002ff,0x40ffffff,0x5ffffff8,0xffffff10,0x6c001dff,
    0x7ffec01f,0x400001ff,0x05fffffa,0x3ffff880,0x4ffff880,0x017fffe2,
    0x20fffff7,0x401ffffc,0x04fffffe,0xffa803f4,0x4001ffff,0xf983fffb,
    0x007fffff,0x00003ff0,0x0ffffff8,0x4fffffe8,0x3fffffe0,0x32005fff,
    0x7ffe400f,0x200001ff,0x0efffff9,0x7fff3000,0x033faa00,0xe801bfd5,
    0xf706ffff,0xfa80dfff,0x2207ffff,0xfff9803f,0x90001fff,0xfff107ff,
    0x2000dfff,0x400000fe,0x80ffffff,0x01fffffb,0x3fffff7e,0xf7004fff,
    0xffffc801,0x3a00001f,0x002fffff,0x001ffcc0,0xf1001002,0x2e0dffff,
    0x400fffff,0x02fffffe,0xfe8801f5,0x0004ffff,0x7fc41ff4,0x0006ffff,
    0xd00000fb,0x101fffff,0xf807dff9,0xffffffbb,0x07b802ff,0x1fffffc8,
    0xfff90000,0x20000fff,0x000003fc,0xfffff980,0xfffff505,0xffffb803,
    0xb00bb06f,0x01ffffff,0x883fa800,0x06ffffff,0x0000fb00,0x1fffffd0,
    0x27f00180,0xfffffffc,0x403dc01f,0x01fffffc,0xffff9800,0x100004ff,
    0x0000007f,0xbfffff10,0x3ffffea0,0x7fffc400,0x017c41ff,0x3fffffe6,
    0x07f00004,0xdffffff1,0x001f6000,0x3ffffa00,0x7f00000f,0x7ffffff4,
    0x01ee00ef,0x87fffff2,0xd001cdb9,0x05ffffff,0x441ec000,0x09999999,
    0x4ccccccc,0xdfffff01,0x1bfffee0,0x7ffffe40,0x7ec03dc5,0x002fffff,
    0xff107900,0x000dffff,0x64c001f6,0x3fffa1bd,0xf00000ff,0x7ffffc47,
    0x1ee05fff,0x3fffff20,0xfffffd89,0x3ffe604f,0x0001ffff,0x3fee0620,
    0x224fffff,0x7ffffffe,0x0fffff90,0x00fffff2,0x7fffffc4,0xff1013a0,
    0x001fffff,0x3e202200,0x006fffff,0x6c400fb0,0xd4ffffff,0x001fffff,
    0xff30fe00,0x09ffffff,0x3ff201ee,0xfdffcfff,0x505fffff,0x1fffffff,
    0x22000000,0x84fffffe,0x07fffffb,0x03ffffd1,0x001ffffd,0xa7ffffec,
    0x7fe401f9,0x0006ffff,0xffff8800,0xfb0006ff,0x3fffe600,0xffdfebbf,
    0x0000ffff,0xfff507f0,0x705fffff,0xffff900f,0x3f2219ff,0xfc83ffff,
    0x007fffff,0x7fe40000,0xff884fff,0x3a207fff,0x3ee0dfff,0x4c000dff,
    0xc8ffffff,0xffffd806,0x000005ff,0xffffff88,0x00fb0006,0x87fffff1,
    0xfffffffa,0x07f00000,0x3ffffff2,0x403dc0ff,0x04fffffc,0x85fffff9,
    0x6ffffffd,0x5c000000,0x884fffff,0x807fffff,0xfebffffb,0x3a0004ff,
    0x3fbfffff,0xffffff80,0x8000004f,0x6ffffff8,0x900fb000,0x320dffff,
    0x00ffffff,0x6c07f000,0xefffffff,0x3f201ee0,0xf301ffff,0xff8bffff,
    0x005fffff,0x7fdc0000,0xfff04fff,0x3ea00fff,0x00aceeee,0x7fffdc00,
    0xff800fff,0x004fffff,0xfff88000,0xb0006fff,0xffff880f,0x3fffe03f,
    0x06ee00ff,0xfe880fe0,0x25ffffff,0xfffc807b,0x3ffe01ff,0x3ffe27ff,
    0x0004ffff,0x7ffdc000,0xffff04ff,0x03f900ff,0xfff80000,0xf9805fff,
    0x04ffffff,0xff880000,0x0006ffff,0xfffa80fb,0x3ffa01ff,0xffb80fff,
    0x01fc05ff,0x3fffffe6,0x900f73ff,0x403fffff,0x10fffffe,0x9fffffff,
    0xb8000000,0xf04fffff,0x4c0fffff,0x000004fe,0x2fffffc8,0xfffff880,
    0x000005ff,0xffffff88,0x80fb0006,0x00fffffc,0x03fffffa,0x7ffffff1,
    0x7d401fc0,0x9fffffff,0xfffc807b,0x3ffa01ff,0x3ffe2fff,0x2005ffff,
    0x99999999,0x5c199999,0xf04fffff,0x6c0fffff,0x000004ff,0x07ffff88,
    0x3fffffe0,0x8000006f,0x6ffffff8,0xd80fb000,0x200fffff,0x40fffffe,
    0xfffffffb,0x32007f00,0xffffffff,0xfffc807d,0x3ff601ff,0x3ffa4fff,
    0x1005ffff,0xffffffb9,0xb89dffff,0xf04fffff,0x220fffff,0x99acffff,
    0x000099a9,0x004fffd8,0x3ffffffa,0x88000007,0x06ffffff,0xff80fb00,
    0x3a00ffff,0x5c0fffff,0x1fffffff,0x7ec007f0,0x7fffffff,0xfffffc80,
    0x3ffff601,0x3ffff64f,0xf98006ff,0x1fffffff,0x9fffff70,0x1fffffe0,
    0x7fffffdc,0xffffffff,0xff30003d,0x7fec001f,0x000fffff,0x7ffc4000,
    0xd0006fff,0x7fffc40f,0x7fff407f,0x7ffc40ff,0x7f02ffff,0x7fff4400,
    0xc807ffff,0x201fffff,0x24fffffd,0xfffffffa,0xfffc8000,0x3ee04fff,
    0xff04ffff,0x3ea0ffff,0xffffffff,0x5fffffff,0x00bfd000,0xffffffb8,
    0x4000001f,0x6ffffff8,0x4c0fd000,0x00ffffff,0x03fffffa,0x3ffbffaa,
    0x88007f02,0x7fffffff,0xfffffc80,0x3ffff601,0x7ffffc3f,0xfc8001ff,
    0x204fffff,0x04fffffb,0x40ffffff,0xffffffff,0xffffffff,0x2fa8004f,
    0x7fffc400,0x00002fff,0xffffff80,0x40dd0007,0x0ffffff8,0x3fffffa0,
    0x0ffcc600,0xfa8003f8,0x807fffff,0x01fffffc,0x07fffff6,0x7ffffff9,
    0xffff7000,0x7fdc07ff,0xfff04fff,0x7f440fff,0xffffffff,0x07ffffff,
    0x90006b80,0x0bffffff,0xfff00000,0x1000ffff,0xffff80bf,0x3ffa00ff,
    0xfb800fff,0x4000fe07,0x07fffffb,0x2fffffc8,0x1fffffa0,0x37fffff4,
    0x7fffdc00,0x3fea03ff,0xfff04fff,0xff980fff,0xffffffff,0x01ffffff,
    0x98001f40,0x0fffffff,0x3a018000,0x007fffff,0x7f404fa8,0x3a02ffff,
    0x800fffff,0x00fe03fe,0x7ffffd80,0xfffffc80,0x3ffffe02,0xfffff104,
    0xffb8005f,0x2a03ffff,0xf04fffff,0x260fffff,0x2200bffd,0x40ffffc9,
    0x07cc0cc9,0xffff5000,0x980009ff,0x3ffff207,0x7e4001ff,0x7fffe402,
    0x3fffa03f,0x7fc400ff,0x0009f100,0x807fffe8,0x02fffffc,0x01fffff1,
    0x37ffffcc,0x3fffee00,0x3fe603ff,0xffb84fff,0xffd07fff,0x6ffa800b,
    0x3637ffcc,0xffc80005,0x0001ffff,0x7fcc0ff3,0x2003ffff,0xff9806fb,
    0xff306fff,0xd801ffff,0x017e602f,0x0ffff100,0x9fffff90,0x0ffffee0,
    0x3ffffea0,0x3ffee005,0x3e203fff,0x7d46ffff,0x987fffff,0x54003fff,
    0x7ffe43ff,0x0003f10f,0x3fffff60,0x7fdc001f,0x7fffec01,0xff9802ff,
    0xffffb002,0xffff887f,0xfb101fff,0x00ffc803,0x03ffcc00,0x7fffffe4,
    0x2ffffc40,0xffffb100,0xfff7001b,0xfd807fff,0xfcadffff,0x0ffffffd,
    0x000fffe8,0xfc81bfd1,0x05d8afff,0x7ffdc000,0x2200cfff,0xd001efea,
    0x15ffffff,0x005ff730,0x7fffffcc,0xfffeea89,0x7d40dfff,0x7ffdc00c,
    0x2e0000ae,0xfffc807f,0xfb31dffc,0x2a0009ff,0x09cfffff,0x3fffae62,
    0x74400bef,0x4fffffff,0x19ffffff,0x1befffa8,0x03ffc988,0xfffffff1,
    0xd3000001,0x9bffffff,0x9ffffb75,0x7fec4001,0xdcefffff,0x8002ffff,
    0xfffffff8,0xffffe8ef,0x802e3fff,0xfffffff9,0x320006ff,0x10cfc807,
    0xdffffffb,0xeb880005,0xffffffff,0x00beffff,0x7ffff4c0,0x3ffffe3f,
    0xfea80fff,0xffffffff,0x7fdc01ce,0x00000eff,0x7fffe4c0,0xcfffffff,
    0x3faa0000,0xffffffff,0x220000bf,0x25fffffe,0x0acdfffe,0x00000000,
    0x20350090,0x001abca9,0xccba8800,0x0099abcc,0x01bb8800,0x554c4000,
    0x300009ab,0x00000037,0x79995530,0x88000035,0x1abcccba,0x65440000,
    0x00055c0a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333310,0x13333333,0x99999980,
    0x33310999,0x33333333,0x99999983,0x19999999,0x26666620,0x3b2e2009,
    0x8580bdef,0x99999999,0x99999999,0x99999999,0x99999980,0x99999999,
    0x99999999,0x44000099,0x99999999,0x99999999,0x99999999,0xf3000019,
    0x3333109f,0x33333333,0x50000333,0xffffffff,0x8039bfff,0xffffffdc,
    0xfffff52f,0x89dfffff,0xffffffec,0x204cffff,0x4fffffeb,0xdbdfff70,
    0x1ae5bfff,0x3fffff72,0xffffffff,0xffffffff,0xffecc82f,0xffffffff,
    0xffffffff,0x40005fff,0xffffecc9,0xffffffff,0xffffffff,0x40000fff,
    0xc984fff8,0xfffffffd,0xffffffff,0xb8000acf,0xffffffff,0xffe88000,
    0xfffc80df,0x5405ffff,0xffffffff,0x3bfe6001,0x0dffe880,0x6ffffe98,
    0x7ffffe40,0xaaaaaaff,0x2fffffec,0x7ffffdc0,0xaaaaabff,0x5fffffdc,
    0x7ff40000,0xdffffffe,0xfedcbaaa,0x0000ffff,0x2027ffec,0xffffffe8,
    0xffedbaae,0x4000cfff,0x7ffffffd,0x0ffea000,0xffffff88,0xfffc804f,
    0x4000ffff,0xdffd02fe,0x0dfff700,0xffffff88,0xfffea807,0xfffff802,
    0xffa800ff,0x6400005f,0xfffffbdf,0x7ffd403f,0x3ee0000f,0xfa804fff,
    0x505fffff,0x05ffffff,0x7ffffcc0,0xf50001ff,0xffff900d,0xff100dff,
    0x005fffff,0xfff706f8,0x1bfee007,0x3fffffe0,0x0bff2007,0x3fffffe0,
    0xbfd1000f,0x8fe80000,0x3ffffffb,0x00ffe980,0xfffff300,0xffff5009,
    0x7f440bff,0x2004ffff,0x4ffffffd,0x003f9000,0xfffffff1,0xffff9003,
    0x7cc00bff,0x0ffff883,0x201bf600,0x07ffffff,0x74017ec0,0x00ffffff,
    0x00017e60,0xfff73fb8,0x22007fff,0xe88000ff,0x804fffff,0x5ffffff9,
    0x7ffffcc0,0xfff3003f,0x8001ffff,0x3f6006f8,0x804fffff,0xfffffff9,
    0x301f9000,0x4003ffff,0xfff806f8,0x4c007fff,0xfffe802f,0x6c000fff,
    0xdf100005,0x7fffffdc,0x003f2003,0x3fffff60,0xfff9804f,0xfc805fff,
    0x002fffff,0x7ffffffd,0x002fb800,0x3fffffe6,0xffffd007,0x17e007ff,
    0x027fffdc,0x3fe01f20,0x0e07ffff,0x7ff4017c,0x4000ffff,0xfb00005b,
    0x7ffffdc3,0xf881503f,0x7f7dc000,0x9804ffff,0x05ffffff,0xffffff88,
    0xfffa800f,0x74006fff,0xfffe8006,0xfb802fff,0x806fffff,0xfff902fa,
    0x3cc009ff,0x7fffffc0,0x0b203e07,0x3fffffa0,0xb303200f,0x89f50000,
    0x3ffffffb,0x001d03b0,0x7ffd77cc,0xff9804ff,0xd005ffff,0x07ffffff,
    0x3fffffe0,0x05f5002f,0xfffff700,0xfff100df,0xd803ffff,0x3fffee07,
    0x0b000dff,0xfffffff0,0x02603e20,0x3fffffa0,0x0203e00f,0x81dd1000,
    0x3ffffffb,0x001303f0,0x7ffccff4,0xff9804ff,0x7005ffff,0x0dffffff,
    0x3fffff20,0x00fb005f,0x3ffffe20,0x7fd401ff,0x204fffff,0x3fe204f8,
    0x0bffffff,0xffff8000,0x01f507ff,0x7ffff400,0x01f500ff,0x05f90000,
    0x7ffffff7,0x80003f10,0xffff33fc,0xfff3009f,0x2200bfff,0x1fffffff,
    0xfffff880,0x1fcc01ff,0xffffb000,0xffe809ff,0x207fffff,0x7ffc01fb,
    0x3fffffff,0x7fffc000,0x01fd07ff,0x7ffff400,0x01f900ff,0x05f98000,
    0x7ffffff7,0x40003f90,0x3ffe65fa,0xff9804ff,0x2005ffff,0x4fffffff,
    0xfffffb00,0x00fc809f,0x3fffe600,0x2fe607ff,0x2ffffffe,0xff700dd0,
    0xffffffff,0x3fe0005f,0xfa87ffff,0x3fa0000f,0xa80fffff,0x400000ff,
    0xfff700fe,0xff887fff,0x1df10001,0x27ffffcc,0x7ffffcc0,0x3ffe005f,
    0x3005ffff,0x1fffffff,0x00013e20,0x3ffffffa,0xff71f902,0xf30bffff,
    0x3fff2007,0xffffffff,0x7ffc001e,0x7fdc7fff,0x3fa0000f,0x5c0fffff,
    0x00000fff,0xffb80fee,0x3ea3ffff,0xfd0001ff,0xfffff983,0xffff9804,
    0x3fa005ff,0x006fffff,0x3ffffffa,0x0001f903,0xffffff70,0x3e2bf10d,
    0x40ffffff,0x3f6000fc,0xffffffff,0x3e004fff,0xedffffff,0x000fffff,
    0x3fffffa0,0xffffeccf,0xf100000f,0xffffb80b,0xffffeeff,0x3fc8001f,
    0x4fffff98,0xfffff980,0x3ffa005f,0x2007ffff,0x6ffffffa,0x20000bf0,
    0xfffffff8,0xffb0fdc1,0x5f87ffff,0xffffd800,0xffffffff,0xffff800d,
    0xffffffff,0x3a0000ff,0xffffffff,0x00ffffff,0x335fb000,0xff933333,
    0xffddffff,0xa8003fff,0xffff305f,0xfff3009f,0x6c00bfff,0x07ffffff,
    0x7fffffc0,0x000fdc2f,0xfffffb00,0x7d46e89f,0x2a6fffff,0xff50002f,
    0xffffffff,0xff801dff,0xb537ffff,0x40001fff,0x8ffffffe,0x0ffffb98,
    0xfffa8000,0xffffffff,0x13ffffff,0x4003fff7,0xff300ff8,0xf3009fff,
    0x00bfffff,0x7fffffec,0x7ffdc006,0x03745fff,0x3ffe6000,0x0be67fff,
    0x3ffffffe,0x70000fb1,0xffffffff,0xff809fff,0xfe87ffff,0x3fa0000f,
    0x440fffff,0x40000ffd,0xaaaaaee8,0xfffdaaaa,0x7fdc3fff,0x807f6001,
    0x04fffff9,0xffffff98,0x3fffa005,0x44005fff,0x0fffffff,0x000005f5,
    0x5ffffffd,0x7ffe41f6,0x04f8cfff,0xfff91000,0x1fffffff,0x7fffffc0,
    0x000fe887,0x3fffffa0,0x00ff880f,0x800fe400,0x3ffffffb,0xf7001fc8,
    0xffff9809,0xfff9804f,0x3e005fff,0x04ffffff,0xfffffd80,0x0000db4f,
    0x3ffffee0,0xf304f8ef,0xf7ffffff,0x44006003,0xfffffffc,0x3fffe03f,
    0x01f907ff,0x7ffff400,0x01f500ff,0x002fcc00,0x7ffffff7,0x3a003f50,
    0xffffffff,0xffffffff,0xfff302ff,0x2200bfff,0x2fffffff,0xffff9800,
    0x003f9fff,0xffff1000,0x401fbfff,0xfffffffe,0x800b6006,0xffffffe9,
    0x3ffffe04,0x401f507f,0x3fffa018,0x1f100fff,0x007f4000,0xffffff70,
    0x0403f107,0xfffffffd,0xffffffff,0x3e605fff,0x005fffff,0xfffffff3,
    0x3ffa0003,0x007fffff,0x7ffec000,0x5c05ffff,0x3fffffff,0x20017600,
    0x05fffffd,0x1ffffffe,0x059007c4,0x7ffffff4,0x40003e00,0x7dc003fb,
    0xd03fffff,0xffe87403,0xffffffff,0xffffffff,0xfffff302,0x3fea00bf,
    0x0006ffff,0x3fffffea,0x4000004f,0xfffffff9,0x7fffc402,0x36000fff,
    0x7f44000f,0x3fe04fff,0x3207ffff,0x7403f100,0x00ffffff,0x3e200032,
    0xfffb8006,0x03703fff,0xffffe9ea,0xffffffff,0x02ffffff,0xbffffff3,
    0x3ffff600,0x7c0001ff,0x00ffffff,0xffe80000,0xfb006fff,0x800bffff,
    0xfb8002fd,0x3fe03fff,0x0007ffff,0x7ff401f7,0x0000ffff,0x8001fd80,
    0x3ffffffb,0x2aa6e800,0xaaaaaaaa,0xadfffffc,0xffff300a,0xff100bff,
    0x000bffff,0x9fffff70,0x2e000000,0x003fffff,0x05fffff5,0x000ffd80,
    0x00ffffcc,0x0fffffff,0xe80ff100,0x00ffffff,0x027d4000,0xfffffb80,
    0x2fcc003f,0x7fffcc00,0xfff9804f,0xfc805fff,0x000fffff,0xfffff880,
    0x10000001,0x001fffff,0x003ffffc,0x2002ffec,0x7c06fff9,0x00ffffff,
    0xd01bfa20,0x01ffffff,0x07fc4000,0xffffb800,0x3a6003ff,0xff98004f,
    0xf9804fff,0x405fffff,0x2ffffff8,0x3ff60000,0x0000005f,0x0027ffec,
    0x0013fff2,0x8013fff6,0x7c00fffc,0x00ffffff,0x80bffd30,0x1fffffff,
    0x13f60000,0xffffb800,0xff5004ff,0xff30007f,0xf5009fff,0x40bfffff,
    0x1effffe8,0x7fcc0000,0x0000002f,0x000fffcc,0x0007ffe2,0x037ffff6,
    0x805fff30,0xfffffff9,0x7ffecc04,0x3ffe204f,0x0002ffff,0x000bff70,
    0x7fffffec,0xff95100e,0xf30003ff,0x7009ffff,0x1fffffff,0xbfffff50,
    0x3a000001,0x0000006f,0x2000dfd0,0xfb0006fd,0x837fffff,0x402effc8,
    0xffffffe8,0xedccdeff,0x3fffffff,0xfffffb10,0x40003fff,0x0bffffc9,
    0x3ffee200,0xceffffff,0xfffffecc,0xf98000ff,0x5404ffff,0xffffffff,
    0xffffecdf,0x000001ce,0x000017d4,0x002fb800,0x20007f50,0xffd731ed,
    0x09ffffdf,0x7fffff44,0xffffffff,0xffffffff,0x7ff42fff,0xffffffff,
    0x2001efff,0xfffffffb,0x3ffb207f,0xffffffff,0xffffffff,0x007fffff,
    0x9fffff30,0xfffffd50,0xffffffff,0x00037ddf,0x00048000,0x01220000,
    0x20001900,0x9995301a,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666600,0x99999999,0x00009999,
    0x22039950,0x26666204,0x00000999,0x0b9805cc,0x405f64c0,0x99999998,
    0x99980000,0x99999999,0x26621999,0x99999999,0x70009999,0x017ddfd9,
    0x33333333,0x13333333,0x98000000,0x64000003,0xffffffed,0xffffffff,
    0x4000bdff,0xbeffffd8,0xffa81f20,0x005fffff,0x0bfffa00,0x2605fffb,
    0xe986ffff,0x05ffffff,0xffecc800,0xefffffff,0xffb950cd,0xffffffff,
    0xffa8059b,0x0ffffcaf,0x3fffb322,0xceffffff,0x0000001c,0x0000036c,
    0xffffff90,0xfffb755d,0x4003ffff,0xfffffffd,0xd806fddf,0x005fffff,
    0xbffff300,0x837fffcc,0x02fffffc,0x0bfffffb,0xfffc8000,0x9805ffff,
    0xffffffff,0x7fff9001,0x813fffe2,0xfffffffd,0x00000004,0x0000bfe2,
    0x7fffc400,0xffe886ff,0x9803ffff,0xffffffff,0xb804ffff,0x005fffff,
    0xfffff700,0x07ffffdc,0x27fffff4,0x5fffffa8,0x7fc40000,0x001fffff,
    0x9ffffffb,0x3fffea00,0x0dffff32,0x7fffffc4,0x0000000f,0x001bff20,
    0xffff8000,0xffb106ff,0xc807ffff,0xffffdbcf,0xa800ffff,0x005fffff,
    0x9ffff100,0x82ffffc4,0x01fffffb,0x0bfffff5,0xffff0000,0x32001fff,
    0x03ffffff,0x2fffff88,0x880bfffe,0x07ffffff,0x22000000,0x0001ffff,
    0xfffff000,0x7ffcc0df,0x36405fff,0x3bfffae2,0xffff5001,0x540000bf,
    0x7f540cfe,0xfffd100c,0x7fffcc0b,0xf800005f,0x00ffffff,0xffffff90,
    0xffff3007,0x005dc45f,0x3ffffffc,0x70000000,0x000bffff,0x3fffe000,
    0x7ffc06ff,0x2600ffff,0x0006a201,0x0bfffff5,0x08010000,0x98039500,
    0x005fffff,0xfffff800,0xff9000ff,0x7007ffff,0x005fffff,0x7fffffc0,
    0x00000007,0x03fffffa,0x3fe00000,0x6c06ffff,0x02ffffff,0xfa800000,
    0x0005ffff,0x00000000,0x5fffff98,0xfff80000,0x9000ffff,0x07ffffff,
    0x5fffff90,0x7fffc000,0x000007ff,0xfffff500,0x0000009f,0x0dffffff,
    0xffffffd8,0x80000003,0x05fffffa,0x00000000,0xffff9800,0xf800005f,
    0x00ffffff,0xffffff90,0xffff9007,0x7fc0005f,0x0007ffff,0xfffd0000,
    0x0001ffff,0xfffff800,0x7fffc06f,0x26622fff,0x4c099999,0xf5001cdb,
    0x310bffff,0x03333333,0x4ccccccc,0x26666009,0xf3009999,0xb98bffff,
    0xff8001bd,0x000fffff,0x7ffffff9,0x3ff66620,0x0099bfff,0x7fffffc0,
    0x80000007,0xfffffff9,0x4000003f,0x06ffffff,0x3fffffe6,0x7ffffd46,
    0xfffd15ff,0xfa803dff,0xfb85ffff,0x0effffff,0xffffffd0,0x7fff405f,
    0xf302ffff,0x3a2bffff,0x00efffff,0x3fffffe0,0xfff9000f,0x3f207fff,
    0xffffffff,0x7fc002ff,0x0007ffff,0xfbfd8000,0x006fffff,0x7fffc000,
    0x3ff606ff,0xfb01ffff,0xfd3bffff,0x0dffffff,0x5fffffa8,0x033fff60,
    0x3ffffe60,0x7ffcc02f,0xff302fff,0xffd3bfff,0x00bfffff,0x7ffffffc,
    0xffff9000,0x3ff207ff,0xffffffff,0x7ffc002f,0x00007fff,0x7c67c400,
    0x02ffffff,0x3ffe0000,0xfd886fff,0x201effff,0xfefffffa,0xffffd9ad,
    0x3ffea03f,0x3ff205ff,0x7ffec002,0xffd802ff,0xff302fff,0x35bfffff,
    0x07fffffb,0x3fffffe0,0xfff9000f,0xf9007fff,0x0005ffff,0x3ffffffc,
    0x32000000,0xfffff90f,0x400000bf,0x9effffff,0xffffec99,0xfffa803e,
    0x7fc45fff,0x3ea06fff,0xd105ffff,0xffb0005f,0xfb005fff,0x2605ffff,
    0x46ffffff,0x06fffff8,0xfffffff0,0x3fff2001,0xfc803fff,0x0002ffff,
    0x1ffffffe,0xf8800000,0x3ffffe25,0x000001ff,0xffffffff,0x7fffffff,
    0x7fffcc00,0xffff80ef,0x3ffea07f,0x03fb05ff,0x3ffff200,0xfffc802f,
    0xfff302ff,0xfff01dff,0x3fe00fff,0xffffffff,0xffffffff,0x03ffffff,
    0x2fffffc8,0x3fffe000,0x000007ff,0xffb07ee0,0x0009ffff,0x3ffffe00,
    0xffedccff,0x401dffff,0x05fffff9,0x40ffffff,0x85fffffa,0x320001fd,
    0x802fffff,0x02fffffc,0x0bfffff3,0x01fffffe,0x7ffffffc,0xffffffff,
    0xffffffff,0xfffc803f,0x3e0002ff,0x007fffff,0x21ba0000,0xfffffffa,
    0xff800000,0xd886ffff,0x0dffffff,0xbfffff30,0x3fffffe0,0xfffff500,
    0x0001fd8b,0x17ffffe4,0x7ffffe40,0xfffff302,0x3ffffa0b,0xffff800f,
    0xf9000fff,0x007fffff,0x05fffff9,0x7ffffc00,0x0000007f,0x3ffa05f5,
    0x0003ffff,0xffffff80,0x3ffff606,0xff980fff,0xffd05fff,0x3ea01fff,
    0x3f65ffff,0x7e40003f,0xc802ffff,0x302fffff,0x20bfffff,0x00fffffe,
    0xfffffff8,0xffff9000,0xff9007ff,0x40005fff,0x07ffffff,0x0fd00000,
    0x7fffffdc,0xff800007,0x6c06ffff,0x86ffffff,0x05fffff9,0x01fffffd,
    0x57ffffea,0x001ffffd,0x3fffff20,0xffffc802,0xffff302f,0x3fffa0bf,
    0xfff800ff,0x9000ffff,0x07ffffff,0x5fffff90,0x7fffc000,0x000007ff,
    0x3e203f98,0x02ffffff,0x7fffc000,0x7fd406ff,0x4c3fffff,0xd05fffff,
    0x201fffff,0xddfffffa,0x006fffff,0x3fffff20,0xffffc802,0xffff302f,
    0x3fffa0bf,0xfff800ff,0x9000ffff,0x07ffffff,0x5fffff90,0x7fffc000,
    0x040007ff,0x32007ec0,0x06ffffff,0x7fffc000,0x7fc406ff,0x4c4fffff,
    0xd05fffff,0x201fffff,0xfffffffa,0x04ffffff,0xfffff900,0xffff9005,
    0x3ffe605f,0xfffd05ff,0xfff001ff,0x2001ffff,0x3ffffffc,0xfffffc80,
    0x3ffe0002,0x20007fff,0x7ffc4069,0xffffffff,0x1fffffff,0x3ffe0000,
    0xfe806fff,0x4c6fffff,0xd05fffff,0x201fffff,0x9ffffffa,0x1ffffffb,
    0xffffc800,0xfffc802f,0xfff302ff,0x3ffa0bff,0xff800fff,0x000fffff,
    0x7ffffff9,0xfffff900,0x7ffc0005,0x20007fff,0x667e405c,0xcccccccc,
    0x5ffffffe,0x3ffe0000,0xfd806fff,0x4c6fffff,0xd05fffff,0x201fffff,
    0x25fffffa,0x06fffffd,0xfffffc80,0xffffc802,0xffff302f,0x3fffa0bf,
    0xfff800ff,0x9000ffff,0x07ffffff,0x5fffff90,0x7fffc000,0x3a0007ff,
    0x8017e204,0xfffffff9,0xfff00000,0xff00dfff,0x989fffff,0xd05fffff,
    0x201fffff,0x25fffffa,0x4ffffff8,0x7fffe400,0xfffc802f,0xfff302ff,
    0x3ffa0bff,0xff800fff,0x000fffff,0x7ffffff9,0xfffff900,0x7ffc0005,
    0x50007fff,0x00fdc07f,0x3fffffa0,0xff00004f,0x980dffff,0x2fffffff,
    0x2fffffcc,0x0fffffe8,0xbfffff50,0xffffffa8,0x3fff2002,0xffc802ff,
    0xff302fff,0x3fa0bfff,0xf800ffff,0x00ffffff,0xffffff90,0xffff9007,
    0x7fc0005f,0x0007ffff,0x1be207fd,0x3fffea00,0x80000fff,0x06ffffff,
    0x7fffffe4,0xfffff986,0xfffffd05,0x3fffea01,0xffffd85f,0xff9000ff,
    0xf9005fff,0x2605ffff,0xd05fffff,0x001fffff,0x1fffffff,0x3ffff200,
    0xffc803ff,0x20002fff,0x07ffffff,0x902ffc80,0x3fe0009f,0x004fffff,
    0x7ffffc40,0x3ffee07f,0xfa80efff,0xff05ffff,0x2a01ffff,0x885fffff,
    0x05ffffff,0x5fffffb0,0xfffffb00,0x3fffea05,0xfffff05f,0xffff003f,
    0x32001fff,0x03ffffff,0x2fffffd8,0xffff1000,0x6c001fff,0xff881fff,
    0xfff90002,0x0001ffff,0x7fffffcc,0x7ffe442f,0xf501dfff,0x3e0dffff,
    0x701fffff,0x20dfffff,0x3ffffffb,0xfffffe80,0xffffe803,0xffff503f,
    0x3fffe0df,0x7fc401ff,0x001fffff,0xbffffffb,0xfffffb00,0x3fe60007,
    0x403fffff,0x0ffffda8,0x0004ffd8,0xfffffff5,0x3fa6000b,0xefffffff,
    0xfffffffd,0x3ffa601d,0x3222ffff,0x0dffffff,0x7fffff4c,0xffff982f,
    0x3ea03fff,0x01efffff,0x3fffffea,0x7fff4c1e,0x7fe43fff,0x100dffff,
    0xfffffffd,0x7fdc403d,0x03ffffff,0x3fffffe6,0x7f4c000e,0xefffffff,
    0xffedcccc,0x7547ffff,0x4001ffff,0xffffffc8,0xfd000cff,0xffffffff,
    0x9dffffff,0xffa80359,0x5fffffff,0xfffffffd,0x3ffee3ff,0x26ffffff,
    0xfffffffa,0x7ffc47ff,0x5fffffff,0x7fffffc4,0xff55ffff,0xbfffffff,
    0x3ffffffa,0x3ffa1fff,0xffffffff,0xfd71efff,0xffffffff,0x3ee7dfff,
    0xffffffff,0x3fa201ef,0xffffffff,0xffffffff,0x7fffffff,0x3ffffff2,
    0x3f200eff,0xffffffff,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x99999999,
    0x98000199,0x99999999,0x26666199,0x99999999,0x00199999,0x05d50000,
    0xbdedb980,0x4cccc400,0x99999999,0x99980009,0x99999999,0x00009999,
    0x33b2a200,0x2666600b,0x99999999,0x4cccc199,0x99999999,0x99800099,
    0x00999999,0xffffd990,0x003fffff,0x7ffffcc0,0x14ceffff,0xfffffdb9,
    0xffffffff,0x005bdfff,0x2ffeb800,0xffffb100,0x2e01dfff,0xffffffed,
    0xffffffff,0x372200ce,0xfffffffe,0xffffffff,0x540000ad,0xffffefff,
    0xffecc80c,0xefffffff,0x3fb2a0cc,0xffffffff,0xfd8001bd,0x02ffffff,
    0xfffffc80,0x20004fff,0xfffffffd,0xfffd803f,0xba99efff,0xffffffec,
    0x3ee20002,0x9802ffff,0xffffffff,0x7dc00eff,0xbaffffff,0xdfffffec,
    0xffffd801,0xecbaafff,0x00dfffff,0x51effb80,0xc80bffff,0x5fffffff,
    0xfffff900,0x100003ff,0x05ffffff,0xfffff100,0x0001ffff,0xfffffdf1,
    0x3fe600ff,0x2e05ffff,0x03ffffff,0x7fffe440,0x74402fff,0xffffffff,
    0x7c00efff,0xb87fffff,0x02ffffff,0x7fffffcc,0xffffd307,0x7fe4007f,
    0x7ffffc2f,0x3fffe203,0xf1001fff,0x00dfffff,0x7fffec00,0xd9f0002f,
    0x07ffffff,0xfff7f700,0x2200dfff,0x05ffffff,0x7fffffdc,0xfffd9802,
    0x02ffffff,0x7ffffff4,0x5fffffff,0x7fffff40,0xfffff907,0x7ffc403f,
    0x3a207fff,0x806fffff,0xfd87fffa,0x7fc06fff,0x000fffff,0xbffffff1,
    0x7fec0000,0xf0002fff,0xffffff79,0xf3dd000d,0x00dfffff,0x3fffffe2,
    0xffffe805,0x99bc806f,0x2ffffffd,0x26f7fe60,0xffffffca,0x7fff407f,
    0xfff107ff,0x7c40dfff,0x407fffff,0x5ffffff8,0x42ffff40,0x407ffffb,
    0x07ffffff,0x3ffffe20,0x3200005f,0x002fffff,0xffff19f0,0x54005fff,
    0xfffff9bf,0xfff1006f,0xf900bfff,0x005fffff,0xffffff88,0x5407f602,
    0x2fffffff,0x3fffffa0,0x3ffff607,0xfff101ff,0xf500ffff,0x207fffff,
    0x884ffffa,0x7c04ffff,0x007fffff,0x2ffffffc,0xfff90000,0x3e0005ff,
    0xffffff94,0xf9bec00b,0x006fffff,0xbffffff1,0xfffff700,0xfff0009f,
    0x3e205fff,0x7fffdc01,0x3ffa03ff,0x3f207fff,0x103fffff,0x0fffffff,
    0x3fffffe0,0xffffd81f,0x017d9304,0x7ffffff8,0x7ffffc00,0xbcceeeff,
    0x3ff2000a,0xf0002fff,0x3ffffe69,0x4f8800ff,0xdffffff3,0x3fffe200,
    0xffa805ff,0x8005ffff,0x02fffffe,0x3ffe0031,0x3fa03fff,0x2e07ffff,
    0x04ffffff,0xfffffff1,0x3ffff200,0xffff85ff,0xff00004f,0x800fffff,
    0xffffffff,0xdfffffff,0xffffc802,0x49f0002f,0x4ffffffd,0xff30fc80,
    0x200dffff,0x5ffffff8,0xfffffb80,0xffe8004f,0x80002fff,0x01fffffd,
    0x1ffffffa,0xffffffc8,0xfffff103,0x3fea00ff,0x7c0fffff,0x0005ffff,
    0xfffffff0,0xfffff800,0x3ffee25f,0x7e404fff,0x0002ffff,0x7fffd49f,
    0x25f807ff,0x6ffffff9,0xfffff100,0xfffb00bf,0xd0007fff,0x005fffff,
    0xfffff900,0x7ffff401,0x3fff607f,0xff102fff,0x400fffff,0x3fffffff,
    0x1fffffe6,0x7fffc000,0x7fc007ff,0xfa85ffff,0x205fffff,0x02fffffc,
    0xffe89f00,0x2a03ffff,0x3fffe62f,0xff1006ff,0xf00bffff,0x03ffffff,
    0xfffffd00,0xffb00005,0xffe80bff,0x3fa07fff,0x100fffff,0x0fffffff,
    0x7fffff40,0x3fffe65f,0xf80000ff,0x007fffff,0x2ffffffc,0xffffffb8,
    0xfffff902,0x713e0005,0x0dffffff,0x3ffe6374,0xf1006fff,0x80bfffff,
    0x4ffffff9,0xffffd000,0xfd00005f,0xfe803fff,0xf507ffff,0x407fffff,
    0x7ffffff8,0x3ffffa00,0x3ffe26ff,0x80001fff,0x07ffffff,0x7fffffc0,
    0xfffff305,0x3fff20ff,0x9f0002ff,0xffffff88,0x4c3f981f,0x06ffffff,
    0xffffff10,0x7fffcc0b,0x3a0006ff,0x002fffff,0x05ffff80,0x7fffffe8,
    0xfffffe88,0xff999985,0x999fffff,0x7fec0999,0x7fc7ffff,0x0003ffff,
    0x7ffffff8,0x7ffffc00,0x3fffe05f,0xffc81fff,0xf0002fff,0xfffff909,
    0x981f90bf,0x06ffffff,0xffffff10,0xffff730b,0x400019ff,0x02fffffe,
    0x7fffd400,0xffffe800,0x3ffea27f,0xff984fff,0xffffffff,0x2fffffff,
    0x7fffffe4,0x3ffffa0f,0xff80007f,0x4007ffff,0x05ffffff,0x3ffffffa,
    0xfffffc82,0x309f0002,0x1fffffff,0x7fcc27c4,0x1006ffff,0xdfffffff,
    0xffffffff,0xd000019f,0x005fffff,0x03fffd80,0xffffffd0,0xffffffff,
    0x2aaa2039,0xfffffffb,0x40aaaaaa,0xfffffffc,0x3ffffee1,0x7fc0003f,
    0x4007ffff,0x05ffffff,0x3ffffff6,0xfffffc82,0x209f0002,0x4ffffffd,
    0x3fe607ee,0x1006ffff,0x9dffffff,0xfffffffb,0x7f400007,0x0002ffff,
    0x8017ffe2,0xeffffffe,0x009acccc,0x7ffffc40,0x3ff2007f,0x220fffff,
    0x1fffffff,0x7fc05b10,0x4007ffff,0x05ffffff,0x3ffffffa,0xfffffc80,
    0x209f0002,0x7ffffffa,0x7ffcc1ba,0xf1006fff,0x6cbfffff,0x1fffffff,
    0xfffd0000,0x6c0005ff,0x7f4006ff,0x0007ffff,0x7ffffc40,0x3ff6007f,
    0xfb86ffff,0x1cffffff,0xfff01ba6,0xf800ffff,0x105fffff,0x0dffffff,
    0x0bfffff2,0xfd027c00,0xf35fffff,0x3fffe605,0xff1006ff,0x7c4bffff,
    0x06ffffff,0xffffd000,0x3ea0005f,0x7f4000ef,0x0007ffff,0x7ffffc40,
    0x3ffa007f,0xfd05ffff,0xdfffffff,0xff801fff,0x4007ffff,0x05ffffff,
    0x9ffffff3,0x3fffff20,0x409f0002,0xeffffffb,0x3ffe607c,0xf1006fff,
    0xa8bfffff,0x4fffffff,0xfffe8000,0xf88002ff,0xfe8001ff,0x0007ffff,
    0x7ffffc40,0x3ffe007f,0x3604ffff,0xffffffff,0xfff800ef,0x7c007fff,
    0x905fffff,0x03ffffff,0x0bfffff2,0xf1027c00,0x9fffffff,0x7ffffcc0,
    0xfff1006f,0xff90bfff,0x005fffff,0xfffffe80,0x1ffd8002,0xffffd000,
    0x880000ff,0x07ffffff,0x3fffffe0,0x7ffdc02f,0x000bdfff,0x0fffffff,
    0xffffff80,0xfffffb85,0x3fff202f,0x9f0002ff,0xfffffc80,0x3fe600ff,
    0x1006ffff,0x0bffffff,0x3ffffffa,0x3fa0000f,0x4002ffff,0x02801ffb,
    0x0ffffffd,0xfff88000,0xf1007fff,0x01ffffff,0x002ff220,0x3fffffe0,
    0x7fffc007,0xfdbaaeff,0x402effff,0x02fffffc,0xf8809f00,0x405fffff,
    0x6ffffff9,0xfffff100,0x3ffe60bf,0x0005ffff,0x0bfffffa,0x802ff980,
    0xffffd05a,0x880000ff,0x07ffffff,0xffffff70,0x01fe8007,0xffffff00,
    0xffff800f,0xffffffff,0xf9003dff,0x0005ffff,0x3ff6013e,0x7cc01fff,
    0x006fffff,0xbffffff1,0x7ffffdc0,0xfd0003ff,0x2005ffff,0xf9802fe8,
    0xfffffd04,0xf880000f,0x007fffff,0x0dffffff,0x04fffb80,0xffffff80,
    0x7fffc007,0x999aaeff,0xfffc8000,0x9f0002ff,0xdffff500,0xfffff300,
    0x3fe200df,0x6c05ffff,0x1fffffff,0xffffe800,0x9dfb002f,0xdb999999,
    0x3ffa05ff,0x00007fff,0x7fffffc4,0xffffb807,0x7e4001ff,0x7c000fff,
    0x007fffff,0x2ffffffc,0xfff90000,0x3e0005ff,0x7fffd004,0xfffff300,
    0x3fe200df,0x4405ffff,0x6fffffff,0xffffe800,0xfffc803f,0xffffffff,
    0xffd01fff,0x0000ffff,0xffffff88,0xffffe807,0xff50003f,0xfff8005f,
    0x7c007fff,0x005fffff,0x3ffff200,0x5f88002f,0x01fff700,0xffffff30,
    0x3ffe200d,0xfa806fff,0x04ffffff,0x7fffffc0,0x7fffd403,0xffffffff,
    0x3ffa07ff,0x00007fff,0x7fffffc4,0x3fff6207,0x2e0002ff,0x7c000fff,
    0x00ffffff,0xffffff10,0x7ec0000b,0x8003ffff,0xf8801ffb,0xfff5004f,
    0x2a00ffff,0x07ffffff,0xffffffb0,0x3fe6005f,0x2605ffff,0xffffffff,
    0x6fffffff,0x3fffffe0,0x2600000f,0x1fffffff,0xeffffe98,0x3fa20000,
    0x7fcc004f,0x001fffff,0xdffffff3,0x7fec0000,0x5c003fff,0x400aefff,
    0xff9801fc,0x0dffffff,0x3ffffe60,0x4400dfff,0xfffffffe,0x3ffa600b,
    0x40bfffff,0xfffffff8,0xffffffff,0xfffd884f,0x000effff,0xffffe980,
    0xfecdffff,0x002cffff,0x0fbffb60,0xffffd100,0x9803dfff,0xfffffffe,
    0x7d40000c,0x01efffff,0x7fffff44,0x16206fff,0xfffffe98,0xefffffff,
    0xfffffd15,0xffffffff,0x7fffcc09,0x321fffff,0xfffffffe,0xb4efffff,
    0xffffffff,0xffffffff,0x7ffffec7,0xffffffff,0x7ff4c006,0xffffffff,
    0x1cefffff,0x13330000,0x7fff4400,0xffffffff,0xffd10eff,0xffffffff,
    0xf0007dff,0xffffffff,0x000000bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33330000,0x33333333,
    0x33333333,0x99988133,0x99999999,0x4cc40099,0x20999999,0x99999999,
    0x80999999,0x99999999,0x26666099,0x00999999,0x98333333,0x99999999,
    0x20099999,0x99999999,0x26620999,0x99999999,0x99999999,0x09999999,
    0x65c03300,0xcccccccc,0xcccccccc,0x4000cccc,0x00001aa8,0x7fffffcc,
    0xffffffff,0xffffffff,0x7ffff543,0xcdffffff,0x7ffecc01,0x3f61efff,
    0xffffffff,0xdc81cdff,0xdfffffff,0x3fffffa3,0xe883efff,0x6647ffff,
    0xfffffffe,0x3202deff,0xffffffec,0x3ffea1df,0xffffffff,0xffffffff,
    0x06ffffff,0x01603e88,0x0006e000,0x00009ff3,0xdfffff98,0xcaaaaaab,
    0x6fffffff,0x3ffffe60,0x90004fff,0x3a203fff,0xffffffff,0xffff3005,
    0x7fffdc09,0xffa804ff,0x3ffee00c,0x4005ffff,0x02fffff8,0x79bffff5,
    0xfffffd55,0xfd99557f,0x7f900dff,0x400002c0,0x7fcc001b,0x7d400004,
    0xfd800cff,0x01ffffff,0x7fffffd4,0xff50005f,0xfffe8803,0x2004ffff,
    0xfe803ffe,0x9805ffff,0xffff006f,0xd0003fff,0x7d401dff,0xfffb01ef,
    0xfb103fff,0x3ffa80df,0x20000160,0x7fcc001b,0x7dc00004,0xfff5003f,
    0x2009ffff,0xfffffffd,0x03fc8001,0xffffff30,0xff1001ff,0x3ffea009,
    0x2fb807ff,0xffffff00,0xffa8003f,0x01ffa804,0x3ffffff6,0x881bf201,
    0x01603fff,0x0006e000,0x00009ff3,0xf1003fc8,0x1fffffff,0x3fffe200,
    0x44005fff,0x7fe4006f,0x805fffff,0x7fc005fc,0x6c02ffff,0x3fffa007,
    0x2a000fff,0x7f5003ff,0xfffffd80,0x8837c01f,0x1603fffe,0x006e0000,
    0x0009ff30,0x32007c80,0x2fffffff,0x7fffdc00,0x36001fff,0xffe8001f,
    0x203fffff,0x64000ef9,0x205fffff,0x3fa004f8,0x000fffff,0x54003ff7,
    0xffffd807,0x435c01ff,0x03ffffe9,0x2e000016,0x27fcc001,0x01360000,
    0x7fffffcc,0xffd0005f,0x200bffff,0xf30005f9,0x1fffffff,0x0001fd10,
    0x1ffffff3,0xe800bea0,0x00ffffff,0x4000efd8,0xfffd805a,0x34c01fff,
    0x3fffffe6,0x0161999c,0x0006e000,0x00009ff3,0xffd000e8,0x001fffff,
    0x3ffffea0,0x0fe801ff,0x3fff2000,0xfd85ffff,0x3ffa0001,0x0fb03fff,
    0xfffffe80,0x13fa200f,0x6c014c00,0x01ffffff,0x3fffea38,0xffffffff,
    0x700000b1,0x4ff98003,0x80040000,0xfffffffb,0x7ff40003,0x5406ffff,
    0xfe80003f,0x22ffffff,0x5c0003fc,0x886fffff,0x7ff4004f,0xf300ffff,
    0x0000007f,0x3ffffffb,0x7fffc400,0xffffffff,0x00000b1f,0xff980037,
    0x80000004,0xfffffff8,0xff980006,0x102fffff,0x260000df,0xffffffff,
    0x80004fa8,0x0ffffff8,0x3a000fd4,0x80ffffff,0x00001ffb,0xfffffb00,
    0x3ee0003f,0x1603ffff,0x006e0000,0x0009ff30,0xfffb0000,0x0003ffff,
    0x3fffff60,0x003f906f,0x7fffdc00,0x005fefff,0x3ffffa00,0x4003ec3f,
    0x0ffffffe,0x000077e4,0xffffb000,0x2e0003ff,0x203fffff,0x1b800005,
    0xfffffff9,0xffffffff,0xffffffff,0x3fea0000,0x005fffff,0x3fffe600,
    0x2fcc3fff,0x7ff40000,0x00efffff,0x3ffee000,0x013e26ff,0x3fffffa0,
    0x0dffd10f,0xfd800000,0x001fffff,0x7fffff70,0x400002c0,0xfffff91b,
    0xffffffff,0xffffffff,0xf10000ff,0x1fffffff,0xffc80000,0x3a0fffff,
    0x8800000f,0xffffffff,0x3e200000,0xf71fffff,0xfffd0003,0xfff31fff,
    0x00000bff,0x7ffffec0,0xff70001f,0x02c07fff,0xeb8dc000,0xeeeeeeee,
    0xeeeeeffe,0x005eeeee,0xfffffc80,0x800003ff,0xfffffff8,0x00007f53,
    0x7ffffdc0,0x400005ff,0xb4fffffd,0x3ffa000f,0xfffcffff,0x0003ffff,
    0xffffb000,0x2e0003ff,0x203fffff,0x1b800005,0x027fcc00,0xff980000,
    0x006fffff,0x3fff2000,0x06f9ffff,0xffd80000,0x003fffff,0x3fffea00,
    0x0004f8ff,0xfffffffd,0xffffffff,0xb0000003,0x03ffffff,0x3fffee00,
    0x0001603f,0xf30006e0,0x0000009f,0x3ffffffa,0x2000001f,0xfffffff8,
    0x000002ff,0xffffff88,0x554000ff,0xfffbaaaa,0xaacfefff,0x7f402aaa,
    0xfbdfffff,0x0fffffff,0x7ec00000,0x001fffff,0x7fffff70,0x400002c0,
    0x7fcc001b,0xb8000004,0x4fffffff,0xfb800000,0x05ffffff,0xff300000,
    0x0dffffff,0xffffff80,0xffffffff,0xffffffff,0x3ffffa00,0xffff90ff,
    0x0000dfff,0xfffffd80,0xff70001f,0x02c07fff,0x000dc000,0x00013fe6,
    0xfffff100,0x00000dff,0x7fffff40,0x8000003f,0xffffdef8,0x2a003fff,
    0xfbaaaaaa,0xaacfffff,0x7402aaaa,0x20ffffff,0xfffffffe,0x36000004,
    0x01ffffff,0xfffff700,0x00002c07,0x3e6000dc,0x4000004f,0xfffffffd,
    0x00144002,0xffffffc8,0x44000003,0xffff88fe,0x0001ffff,0x3ffffff0,
    0x7fff4000,0x3fe20fff,0x03ffffff,0xfffb0000,0x20003fff,0x03fffffb,
    0x2e000016,0x27fcc001,0xff500000,0x00bfffff,0x32000970,0x03ffffff,
    0x17ec0000,0xfffffff5,0x3fe0000d,0x0001ffff,0x3ffffffa,0x7ffffcc0,
    0x00001fff,0xffffffd8,0xfff70001,0x002c07ff,0x2000dc00,0x00004ff9,
    0x3fffffa0,0x3d8000ff,0xffff9000,0x000007ff,0x7fec1fdc,0x003fffff,
    0xffffff80,0x3ffa0001,0xfb80ffff,0x0fffffff,0x7fec0000,0x0001ffff,
    0x07fffff7,0x5c00002c,0xdddddd71,0xddffdddd,0xdddddddd,0xfffc800b,
    0x8003ffff,0xf90002f8,0x007fffff,0x417ea000,0xfffffff8,0x7777401f,
    0xffffeeee,0xeeeeeeff,0x3ffa00ee,0xfb00ffff,0x0dffffff,0xfffd8000,
    0x70001fff,0x407fffff,0x1b800005,0xfffffff9,0xffffffff,0xffffffff,
    0x7fffcc00,0xb0006fff,0x3f20003f,0x003fffff,0x406f9800,0xfffffffa,
    0x77777406,0xfffffeee,0xeeeeeeef,0x3fffa00e,0x3fa00fff,0x04ffffff,
    0x3fff6000,0x70001fff,0x089fffff,0x2e000016,0xffffff91,0xffffffff,
    0xffffffff,0x7fff400f,0x8001ffff,0x90000ffa,0x07ffffff,0x0ff88000,
    0xfffffd80,0x3e0004ff,0x001fffff,0x3fffffa0,0x3ffe200f,0x003fffff,
    0xfffffb00,0x3ea0003f,0x3a24ffff,0x700000b0,0x00000003,0x7ffffd40,
    0xf98004ff,0xf90000ff,0x007fffff,0x017f4400,0xffffff88,0xf88001ff,
    0x002fffff,0x3fffffa0,0x7ffd400f,0x002fffff,0xfffffe80,0x3fa0001f,
    0x1eaaffff,0x2e000016,0x00000001,0xffffff10,0xfb8001ff,0x320007ff,
    0x03ffffff,0x01bf6000,0xffffff50,0xf88001df,0x002fffff,0x3fffffe0,
    0xfffc801f,0x001fffff,0x7fffff40,0x3e20001f,0x43ffffff,0x1b800005,
    0x00000000,0xfffffff9,0x3faa2005,0x20006fff,0x4ffffffd,0xffe88000,
    0xffff8006,0x4005ffff,0x4ffffffa,0xffff1000,0xf3005fff,0xffffffff,
    0x7ffc0003,0x0003ffff,0x16fff64c,0x66666674,0xcccccccc,0x1dcccccc,
    0x80000000,0xfffffff9,0xcccccccf,0xfffffeee,0xb88005ff,0xffffffff,
    0xff730002,0x10019fff,0xfffffff7,0xf5003bff,0x5fffffff,0x7fec4001,
    0x01ffffff,0x7fffffdc,0x001bffff,0x3fffff62,0x00001fff,0x00000003,
    0x00000000,0x7ffffff4,0xffffffff,0xffffffff,0xd3004fff,0xfffffffd,
    0x1ddfffff,0xfffff900,0x207dffff,0xfffffffb,0x84ffffff,0xffffffec,
    0x3effffff,0x3fffffa0,0xffffffff,0x7ffffcc4,0xffffffff,0x7ff6c06f,
    0xffffffff,0x00002eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00005530,0x00004000,0x00000000,0xeca88000,0x4c4000bc,0x8000bcdb,
    0x2cdecb98,0x36e62000,0x10000bcd,0x0137bb95,0x0379b951,0x05eedd40,
    0x4cccc439,0x88199999,0x00099999,0x000ffd80,0x3372e600,0xe897c41b,
    0x0000000b,0x3da80000,0x3fbffea0,0xa800cfff,0x4ffedfff,0xffffb100,
    0x003dffff,0xfeffffb8,0x93000cff,0xffffffff,0x7f7ffd49,0x7ec404ff,
    0xfeefffff,0x3ffffee2,0x640dffff,0x004fffff,0x000ffd80,0xeffffa80,
    0x6e88cfff,0x0073ffe2,0x00000000,0x207ffd71,0xff51effb,0xffc80bff,
    0x037ffa1e,0x2a1cffa8,0x000fffff,0x7cc7fffb,0x7dc00eff,0xfff511df,
    0x4cdff9bf,0xfd00effe,0x3ff661bf,0x7fffc42f,0x7fc03fff,0xfb00000f,
    0xfb80001f,0x3ffa65ff,0x3fe20eef,0x0002efff,0x64c00000,0xc83fffff,
    0x7ffc2fff,0xfffb03ff,0x04fffa85,0xf901fff7,0xfd00dfff,0xfff90bff,
    0x3ffee01f,0xfffffa80,0x7ffd40ff,0x81fffb85,0xffa82ffa,0x6c02ffff,
    0x3600002f,0x320000ff,0x7d40ffff,0xfc882fff,0x01cfffff,0x2a000000,
    0x1dfffffe,0xd87fffa8,0xfa86ffff,0xffff06ff,0x09fffd01,0x05fffff5,
    0x417fffdc,0x885ffff8,0xff03ffff,0x3e09ffff,0x7ffc1fff,0x207f902f,
    0x04fffffe,0x20000374,0x30000ffd,0x3e0bffff,0x75406fff,0x02efffff,
    0xf9100000,0x017fffff,0x5c2ffff4,0xfe87ffff,0xfffd04ff,0xfffffa8b,
    0x7ffffd40,0x3ffffe04,0x5fffff01,0x07ffffa8,0x07fffffd,0xf89bfff6,
    0x7f01ffff,0x3ffffea0,0x000fe607,0x001ffb00,0x0fffff60,0x017ffff4,
    0x7ffffe4c,0x800000cf,0xdfffffda,0xffffa802,0x4ffff884,0x827fffdc,
    0x7d47fffd,0x7d42ffff,0xf704ffff,0x3a01ffff,0x7d44ffff,0xfd81ffff,
    0xfb01ffff,0x3fe61fff,0x3b83ffff,0x3fffffe0,0x0001f902,0x000ffd80,
    0x2fffff98,0x7fffffa8,0x3ffae200,0x0002dfff,0x7ffffdc4,0x3f6001cf,
    0xd9304fff,0xffffd817,0x1ffffb03,0xa86fffe8,0xd04fffff,0x740fffff,
    0xfe86ffff,0xfffb06ff,0x3ff201ff,0x3fffe1ff,0x0040dfff,0x0dfffff7,
    0x2000013e,0xc8000ffd,0x4c2fffff,0x1fffffff,0xfffd9800,0x2000bfff,
    0xefffffd9,0xfff8000b,0xfd0004ff,0x33337fff,0x85ffffb3,0x6cc0bdb8,
    0xf04fffff,0x740fffff,0xc887ffff,0xffea80be,0x99999fff,0x22ffffd9,
    0xfffffffd,0xfff1001e,0x1fa83fff,0xffd80000,0xfffd8000,0x37ba22ff,
    0x002fffff,0x3fffae20,0xd7102dff,0x03bfffff,0xfffff800,0xffff0005,
    0xffffffff,0x2007ffff,0xffffffd9,0xffff884f,0x3fffa07f,0x3aa001ff,
    0xffffffff,0xffffffff,0x3ffe63ff,0x03ffffff,0x9fffff90,0x000005d8,
    0xf0001ffb,0x6c3fffff,0xfffffc8e,0xfb500003,0x643dffff,0x0bffffff,
    0xfff98000,0xf88007ff,0x999cffff,0x09999999,0x567fec40,0xa84fffff,
    0x207fffff,0x03fffffe,0xfd9efea8,0x9999ffff,0x09999999,0x7fffffdc,
    0xf9804fff,0xf10fffff,0x7ffc4005,0xffffffff,0xffffffff,0xff13ffff,
    0x3f23ffff,0x9fffff90,0xffb80000,0xfff13fff,0x00001bff,0x7fffffcc,
    0x7ffcc000,0x900005ff,0x3fea7fff,0xffa84fff,0x3fa07fff,0x2603ffff,
    0x3ff24ffe,0x40001fff,0xfffffffb,0xffe803ff,0x00d93fff,0xffffff88,
    0xffffffff,0xffffffff,0xfffff13f,0x7e43f73f,0x0003ffff,0xffffeb88,
    0x3fff20cf,0x0000cfff,0xffffff88,0x7ffc4001,0x4c0006ff,0x3ea2fffe,
    0xf884ffff,0x3a07ffff,0x902fffff,0xffc87fff,0x80003fff,0xfffffff9,
    0xfffa806f,0x003f8fff,0x77777744,0xefffeeee,0xeeeeeeee,0x3ffffe2e,
    0x7fe42fcf,0x20002fff,0xefffffc9,0xffd7100b,0x0005bfff,0x3ffffff8,
    0xfffff800,0xff30000f,0xfffa89ff,0xffff04ff,0x7fff40ff,0x7ff440ff,
    0xffffb85f,0xb100004f,0x3fffffff,0xffffff00,0x000001fb,0x40007fec,
    0x4ffffffe,0x0fffffc8,0xfffea800,0x4c002dff,0xbffffffc,0xfffe8000,
    0xfe8007ff,0x8003ffff,0x41fffff8,0x04fffffa,0x40fffffd,0xd87fffff,
    0xfa82ffff,0x000fffff,0xffff7058,0xff7007ff,0x0009ffff,0x00ffd800,
    0xfffffc80,0xdffffb05,0x7ffe4400,0x0000cfff,0x7ffff5c4,0x3ee001df,
    0x003fffff,0x7fffffe4,0xff916400,0xfff50fff,0x3fee09ff,0xfff00fff,
    0xfffa89ff,0x3fffe07f,0x22a804ff,0xffff302e,0xfff1007f,0x00003fff,
    0x000ffd80,0x2fffff98,0x0bffffb0,0xfffffb50,0x2000005d,0xefffffd9,
    0x7ffc400b,0xb101ffff,0x7ffffc45,0xe83ae05f,0x642fffff,0x205fffff,
    0x881ffffe,0x6c0fffff,0xb01fffff,0x03ffffff,0x40bd07d4,0x001ffffb,
    0x00bffff9,0x1ffb0000,0x3fff6000,0xffffd03f,0x3ffae205,0x0001cfff,
    0xfff71000,0x5c039fff,0xcfffffff,0x3f61ba61,0x20dfffff,0x7ff42fa8,
    0xffbcffff,0x015fffff,0x307ffff5,0xff09ffff,0x441bffff,0xfffffffc,
    0x217d442f,0xfff103fe,0x7ffcc00f,0x8000002f,0x50000ffd,0xf109ffff,
    0xf930dfff,0x017dffff,0x54000000,0x2efffffd,0xffffffd0,0x01fffdff,
    0xffffffd1,0x70bffbdf,0xffffffff,0xffffff3d,0xfffb01d9,0x1bfffb0d,
    0xffffffb0,0xf77ffddf,0xbfffffff,0xffb0bffb,0x07fff307,0x006ffe80,
    0x1ffb0000,0x3fff6000,0xffffc87f,0x7ffffc41,0x0000001d,0x7ffe4400,
    0xfffb03ff,0x1dffffff,0x7ffff440,0x105fffff,0x7fffffff,0x7fffffe4,
    0x33fff201,0x04fffb88,0x3fffffe6,0x3ee0cfff,0xffffffff,0xbfffb04f,
    0x09ffd513,0x007ff500,0x3ff60000,0xaafb8000,0xff52efff,0xfff103df,
    0x00000017,0xffd50000,0x7fffdc07,0x8800bdff,0xeffffffd,0x77fecc03,
    0x7ffec41c,0xffea801d,0x803effff,0xdffffffc,0xffffb501,0x7ec07dff,
    0xffffffdc,0x03fa0004,0x7ec00000,0x1fcc000f,0xffffffb1,0x0b62017b,
    0x00000000,0x401e4c00,0x0000aca8,0x000ab2a6,0x00060011,0x004ddcc4,
    0x006b2a60,0x00357730,0x01bb9835,0x0003a800,0x03ff6000,0x5cc40a00,
    0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x007fec00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666620,0x33109999,0x13333333,0x84ccccc4,0x99999998,
    0x4cccccc0,0x016d4019,0x33300000,0x33333333,0x26666662,0x26666620,
    0x66dcc099,0x4cccc401,0xdb880999,0x26666622,0x6edcc099,0x336e200a,
    0x9999800a,0x99999999,0x00019999,0x00000000,0xfffffff7,0x3ffea5df,
    0x23efffff,0x72ffffea,0x9fffffff,0x7fffff44,0xffff307f,0x0000e98d,
    0xffffd16c,0x51bfffff,0x45ffffff,0xfffffffa,0xfffffd15,0x3ffa603d,
    0x3626ffff,0xff32ffff,0x6cdfffff,0x44ffffff,0xffffffd8,0x7ffffc03,
    0xffffffff,0x32006fff,0x307ec02f,0x20ee000b,0x6ffffff9,0xfffffe88,
    0x103bf607,0x09fffffd,0x0ffffff7,0x4bfffff2,0x36a0eff9,0x6c2deffe,
    0x3ffe62ff,0xff82ffff,0x3fff601e,0xfffe9dff,0x6406ffff,0xd16fffff,
    0xc8bfffff,0xe8efffff,0xffffffff,0xfffffd12,0x7fc03fff,0xd9999abf,
    0x01ffffff,0xfc80df70,0x0017fe63,0xff707ff7,0x3ea0ffff,0x700fffff,
    0x3fff203f,0xfff884ff,0xfff887ff,0xffd16fff,0xfffffd5d,0xffb5dfff,
    0xffff981d,0x077c44ff,0x3ffffea0,0xffd9adfe,0x3e603fff,0xffb6ffff,
    0xf98dffff,0xaeffffff,0xffffffa8,0xffb8aefa,0x3fe06fff,0xfffff301,
    0x3fea009f,0x983ff201,0xf7005fff,0x3ffa07ff,0xffd02fff,0x1b605fff,
    0x4fffffb8,0x7fffff88,0xbfffffd0,0x7fffff44,0xffffddff,0xf900efff,
    0x5c1fffff,0xfffa801f,0x7fc45fff,0x3e206fff,0xcfbeffff,0x4c3ffffc,
    0x0effffff,0x7fffffe4,0xfffffd86,0x7f407f01,0x800fffff,0x3ee05ffa,
    0x5fff983f,0x01fffdc0,0x0bfffff7,0x17fffffe,0xffb80fe2,0xfff04fff,
    0x3fee0fff,0x7f441fff,0xfd981dff,0x3e200eff,0xf14fffff,0x3ffe6007,
    0xfff80eff,0x3fe207ff,0x263fffff,0x7fc40cfd,0xfb80ffff,0xc80effff,
    0xf02fffff,0x3fffee01,0xff9803ff,0x0fff501f,0xb82fffcc,0x7c403fff,
    0x540fffff,0x0fffffff,0xff7007d4,0x3fe09fff,0xf9107fff,0x3ffe07ff,
    0x0fffb803,0x7ffffd40,0x26006e9f,0xf05fffff,0x440fffff,0x06ffffff,
    0x7ffffc40,0xfffff506,0x3fffee0b,0x3e20703f,0x806fffff,0xf505fff9,
    0xff9807ff,0x1fffdc5f,0xfffffd80,0x7ffeeec3,0x202ec3ff,0x04fffffb,
    0x80ffffff,0x13fee018,0x804ffc80,0xfffffffe,0x3ffe6001,0xffff05ff,
    0x3fe201ff,0x4003ffff,0x06fffff8,0x0bfffff5,0x0fffffee,0xfffff900,
    0xfff8803f,0x7fff980f,0x2bfff300,0x2003fffb,0x26fffffa,0xffffaaf8,
    0x700be26f,0x209fffff,0x007fffff,0x00077fc0,0xf5003ffa,0x009fffff,
    0x5fffff98,0x1fffffd0,0x3ffffe20,0x7fc4002f,0xff506fff,0x3ee0bfff,
    0x2003ffff,0x4ffffff9,0x27fff440,0x01ffffcc,0xffdfff30,0xfff0007f,
    0xf9ee1fff,0xf71fffff,0xfffff700,0x3ffffe09,0x3fe60007,0x1ffc8004,
    0xfffffe80,0x7ffcc006,0xfffd05ff,0x3fe201ff,0x4000ffff,0x06fffff8,
    0x0bfffff5,0x0fffffee,0xfffffe80,0x3ffa200f,0x7ffc40ff,0xff98006f,
    0x90003fff,0x3a9fffff,0x3fffff24,0xff7009d4,0x3fe09fff,0x20007fff,
    0xa8003ffa,0xff9803ff,0x2002ffff,0x05fffff9,0x01fffffd,0x1fffffe2,
    0x3fffe200,0xffff506f,0x3ffee0bf,0xff7003ff,0xe807ffff,0x7444ffff,
    0x0003ffff,0x001dfff9,0x3ffffe60,0x3fe61f8e,0x02f9ffff,0x4fffffb8,
    0x0ffffff0,0x00ffdc00,0x801ffcc0,0x06fffffd,0x3ffffe60,0xfffffd05,
    0x3fffe201,0xff88006f,0xff506fff,0x3ee0bfff,0x8803ffff,0x06ffffff,
    0x86ffffc8,0x004ffffd,0x5fffffb8,0x3fffa000,0xffe86eff,0x7007efff,
    0x209fffff,0x007fffff,0x000ffea0,0x4c00bfea,0x03ffffff,0xbfffff30,
    0x3fffffa0,0xfffff100,0xfff1000d,0x3fea0dff,0xff705fff,0xf9007fff,
    0x003fffff,0x10bffff6,0x001ffffd,0x7fe7ffdc,0xff70005f,0xf709ffff,
    0x009fffff,0x13ffffee,0x03fffffc,0x009ff300,0x2003ff90,0x7ffffffc,
    0xfffff300,0x3ffffa0b,0xffff100f,0xff1000df,0x3ea0dfff,0xf705ffff,
    0x9807ffff,0x04ffffff,0x437ffec0,0x004fffe8,0x3e67fff7,0xf88005ff,
    0x881fffff,0x01ffffff,0x9fffff50,0x1fffffe0,0x3fe01730,0x3fe2000f,
    0xff7f3007,0x3007ffff,0x20bfffff,0x00fffffe,0x0dfffff1,0xfffff100,
    0x3fffea0d,0xffff705f,0xfffe807f,0x09100fff,0x105fffd1,0xb801ffff,
    0x7fcc3fff,0xffe8005f,0x3ff606ff,0x3ea006ff,0xff04ffff,0x3a20ffff,
    0xffb85fff,0x0fff6005,0x7fe53a20,0x4c00ffff,0xd05fffff,0x201fffff,
    0x06fffff8,0xfffff880,0xfffff506,0x3fffee0b,0x3ffee03f,0x0f203fff,
    0x9837ff44,0x3ee04fff,0xfff303ff,0xfffb800b,0x3ffea03f,0x3fe6004f,
    0xffb84fff,0xff907fff,0xffd05fff,0x1fff9009,0x3e21db00,0x404fffff,
    0x05fffff9,0x01fffffd,0x1bffffe2,0x3fffe200,0xffff506f,0x3ffee0bf,
    0xfff103ff,0x7c40dfff,0x0bffe203,0x5c07ffcc,0x7cc03fff,0x3e2005ff,
    0x7fc00fff,0x3e2001ff,0x7d46ffff,0xf07fffff,0x88bfffff,0x20aefffe,
    0x0ffffea8,0x3ee17dc0,0x201fffff,0x05fffffa,0x01ffffff,0x1bffffe6,
    0x3fffe600,0xffff507f,0x3fff20bf,0xfff904ff,0x7ec03fff,0x037fcc02,
    0xffa89ff5,0xfff3003f,0x2ffec00b,0x0037fe40,0x6fffffec,0xffffdfca,
    0xffff80ff,0x3ffa25ff,0xfeffffff,0x0effffff,0xff10df50,0x540dffff,
    0xf06fffff,0x203fffff,0x07fffff9,0xfffff980,0xfffff707,0x3ffff60d,
    0xffff984f,0xffb304ff,0x05ff3003,0x3f607fdc,0x0ffcc003,0x005ff500,
    0x10007ff3,0xfffffffd,0x3fffffe9,0x7fffe40c,0x3dffd12f,0xfffffffb,
    0x1dffd3bf,0x207ffdcc,0xfffffff8,0x7fff4c0c,0x3f222fff,0x40dfffff,
    0xffffffd8,0x3ff62003,0x220cffff,0x3ffffffe,0x7fffffd4,0x7ffff41f,
    0xeccbabff,0x5001ffff,0x84fb80df,0x00330002,0x7f400ff0,0xffd30000,
    0x7ffc7fff,0x220fffff,0x7f44fffd,0x3bb7260e,0x3bfa20cd,0xffffffd0,
    0x3fffff6b,0xf52fffff,0xffffffff,0x3fffffab,0xff51ffff,0xffffffff,
    0xffff9805,0xf57fffff,0xffffffff,0x3fffff2d,0xff54ffff,0xffffffff,
    0x1fffffff,0x20175400,0x000000dc,0x5001d400,0x77100007,0x2e600003,
    0x40004880,0x000000c8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001dd880,0x000ff880,
    0x02f7b260,0x03dec980,0x0059b730,0x764c1b26,0xa80b2a02,0x3b2202dd,
    0xddb7100b,0xdb910059,0x5555407b,0xaaaaaaaa,0xaaaaaaaa,0x01101aaa,
    0x07740dcc,0x0000bf30,0x0007fd30,0x003ffec0,0x0027fec0,0x7fffffd4,
    0x7ffcc05f,0xd100efff,0x01ffffff,0x30fffd71,0xfa8bffff,0x7dc0dfff,
    0xff883fff,0x9dfa87ff,0x700dffd8,0x3df915ff,0xffffff88,0xffffffff,
    0xffffffff,0x882f883f,0x2a0efffe,0x027ec06f,0x3fff6000,0xff880000,
    0x2a0001ff,0x2000ffff,0xfffffffa,0xffd00dff,0x20dfffff,0xffffecee,
    0x3ffff224,0xffffc87f,0x3ffffa0f,0x7ffff45f,0xfffffb86,0xf98ffe22,
    0x5ffa83ff,0xff107ffc,0xffffffff,0xffffffff,0xb07fffff,0xffff705f,
    0x205fe87f,0x00003ff9,0x0007fffa,0x007fff40,0xbffffd00,0x2fffea00,
    0x21bffa60,0xfffd51ec,0x7dc4c83f,0x7dc60fff,0xffff87ff,0xffff52ff,
    0x3fe23fff,0x7ec0ffff,0x3f24ffff,0x9fff10ff,0x6c3fff88,0x4cccc5ff,
    0x99999999,0x99999999,0x7fdc3ffa,0x7ffff45f,0x027fd47f,0x00007ffb,
    0x40017fea,0x085ffb80,0xffdff700,0x5ffd003f,0x3217fec0,0x0ffffcc0,
    0x837ffc02,0xfd87fff9,0xff50ffff,0x7c5fffff,0xfc87ffff,0x3e62ffff,
    0x17ffe26f,0xfc85fff7,0x000000ff,0xff90ffe6,0x7fff41ff,0x4ffe86ff,
    0x005fff10,0xd8000400,0x8bfe21ef,0x2200dffa,0x6ffd9fff,0x2027fc40,
    0xfd004ff8,0x3fe600df,0xffff301e,0x8fffff90,0x4fffffff,0x217ffffa,
    0x80fffffa,0x1bfffaa0,0xfc85fff9,0x000002ff,0x3ea0ffe6,0x3ffea2ff,
    0xfffa83ff,0x03fff903,0x54000000,0x9b65ffff,0x203ffffb,0xfff14ffc,
    0x00ffd405,0x7c4037f4,0xfd8803ff,0x3ffe602f,0x6ffffb87,0x7ff7ff4c,
    0x13ffff23,0x81ffffe2,0x6fff9efb,0x3217ffec,0x00003fff,0x2e0ffe60,
    0x7fec0fff,0xfffd00df,0x3ffff105,0x20000000,0x8dfffff9,0xfffff75b,
    0x83ffe205,0x3f207ffc,0x0ffc800f,0x0077fd40,0x9fffffb1,0x21fffe60,
    0x103ffff8,0x7d45ff11,0xfff02fff,0x2bfd30bf,0x7e46fff8,0x7ffe42ff,
    0x26000002,0x7ff443ff,0xa8017105,0xfc81ffff,0x00000fff,0xffff9000,
    0xfffddbff,0x7fec09ff,0x81fffc43,0xfd801ffc,0x01ffd807,0xfffffda8,
    0x07fff982,0xa803fffd,0x3ffe20ff,0x7fff900f,0xf10fff98,0xfffb8dff,
    0x00fffe42,0x7ff30000,0x00ffffb6,0x7ffff400,0x77fffc41,0x3fffff20,
    0xffffffff,0xffffffff,0x4cccc47f,0x99999ee9,0x41bfea00,0xfa80fffa,
    0x37fc404f,0x0007fea0,0x30bfffd3,0x3f20ffff,0x85fc807f,0x3ea06ffe,
    0x3ffe41ff,0xf88dfff1,0x37fec2ff,0x3e600000,0x0013333f,0xffffa800,
    0x7fffe40f,0xfffff90e,0xffffffff,0xffffffff,0xbcd880ff,0x3ffa000e,
    0x213ffa02,0x3601fff8,0x3fe204ff,0xfff30001,0x0ffff30d,0x3e017fea,
    0x04ffc80f,0x3fa1ffe2,0xfffebdff,0x227fdc16,0x00001ffe,0x000d5440,
    0x7ffd4000,0x7ffe40ef,0x3bbbae5f,0xeeeeeeee,0xeeeeeeee,0x3fee05ee,
    0xf7007ff0,0xfff980df,0x43fffb81,0x2206ffd9,0x007c41ee,0xf984ffe8,
    0x7ff107ff,0xf502fc80,0x85fe805f,0xd8dffffb,0x7e40efff,0x005ff72f,
    0x00000000,0xffffd000,0xeffff881,0x00000000,0xfe9bff62,0xfff100df,
    0x0bffb003,0x3fbffff6,0xd101ffff,0xdd9999bf,0x5ff70088,0x40ffff30,
    0x0bf201fe,0xfc801ff0,0x4437b503,0xd9300bdb,0x000019bf,0x00000000,
    0x03ffff50,0x001dfff9,0xfd800000,0x3ffee4ff,0x00bff906,0x640bffe2,
    0xefffffff,0x3ffff601,0x3ea5ffff,0x827ec0df,0x2e07fffa,0x003bd507,
    0x03f500db,0x00000000,0x00000000,0x3fffd000,0x01ffff10,0xf0000000,
    0x7fc43fff,0x7ffc40ff,0x1bff2000,0x3defec98,0x7ffffec0,0x3ea3ffff,
    0x3fdadfff,0x5ffffb30,0x02e05101,0x28801980,0x00000000,0x00000000,
    0xfffb8000,0x03fff902,0x01cb8800,0x21bff600,0xcca86ffe,0x66644002,
    0x32600001,0xcccccccc,0x77f6dc0c,0xccc880bd,0x01cccccc,0x00000000,
    0x00000000,0x00000000,0x0bffa000,0x000fffcc,0x003ffec0,0x71017710,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80ffee00,0x00002ffd,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01ffc000,0x00005ff3,0x20037fe4,
    0xccccccc8,0xcccccccc,0xcccccccc,0x99999881,0x26666660,0x00198800,
    0x40080540,0x817100b9,0xaaaaaaaa,0x3311aaaa,0x33333333,0x33333333,
    0x2a213333,0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,0x00000000,0x7ec04fb8,
    0xba800003,0x7ffc4000,0xffffffff,0xffffffff,0xfe83ffff,0x3ea1ffff,
    0x2604ffff,0x0bdfffff,0xd507e600,0xfff907df,0x23fffc85,0xfffffffe,
    0xff54ffff,0xffffffff,0xffffffff,0x3ea7ffff,0xffffffff,0xffffffff,
    0x003fffff,0x00000000,0x1f4404d8,0x00000000,0x3fffffe2,0xffffffff,
    0xffffffff,0x7fffc43f,0xffffb81f,0xfffff506,0x003bffff,0xffff98f9,
    0x3fffe22f,0x9bfffe26,0xfffffffe,0xff54ffff,0xffffffff,0xffffffff,
    0x3ea7ffff,0xffffffff,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0x99980000,0x99999999,0x99999999,0x7dc09999,0x3ee01fff,0x7fc41fff,
    0xfffffeef,0xf980beff,0x7ffffec6,0x3ffffea5,0x1fffff30,0x3ffffffa,
    0x734fffff,0x77777777,0x77777777,0x22377777,0xaaaaaaaa,0xaaaaaaaa,
    0x01aaaaaa,0x00000000,0x00000000,0x00000000,0x7ff40000,0xfffc802f,
    0x2a0efe44,0xfffffffd,0x42ffebbd,0x47ffffff,0x7f45ffff,0x3fffa5ff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2fff8800,0xb1bff200,0x7f5c401f,0xffffffff,0xfffffc86,0x206ff545,
    0x4441dfe9,0x88888888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05ff7000,0x7c3ff900,0x3ff6a004,0xf305ffff,0x0203ffff,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaaa80,
    0xaaaaaaaa,0xaaaaaaaa,0x000ffa1a,0x00324fd8,0x06f2ea20,0x0019d710,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe20,
    0xffffffff,0xffffffff,0x000263ff,0x00000260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0xffffffff,0xffffffff,
    0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555540,0xaaaaaaaa,0xaaaaaaaa,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_49_latin1_x[224]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,1,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_49_latin1_y[224]={ 39,9,9,9,8,9,9,9,9,9,9,12,32,26,
32,9,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,45,8,18,9,18,9,18,9,18,9,9,
9,9,9,18,18,18,18,18,18,18,11,18,18,18,18,18,18,9,9,8,23,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,17,9,8,13,9,
9,9,9,9,9,18,19,26,9,4,9,12,9,9,8,18,9,20,38,9,9,18,9,9,9,17,-1,-1,-1,1,
1,1,9,9,-1,-1,-1,1,-1,-1,-1,1,9,1,-1,-1,-1,1,1,14,8,-1,-1,-1,1,-1,9,9,8,8,
8,9,9,7,18,18,8,8,8,9,8,8,8,9,9,9,8,8,8,9,9,14,17,8,8,8,9,8,9,9,
 };
static unsigned short stb__times_bold_49_latin1_w[224]={ 0,8,18,22,20,39,34,7,14,13,18,25,9,13,
9,13,20,17,19,20,20,20,20,21,20,20,8,9,25,25,25,18,40,32,28,29,31,28,26,33,34,17,22,35,
28,41,31,32,25,32,33,21,27,31,32,44,32,32,29,10,13,10,20,24,10,21,23,18,23,18,18,21,23,12,
13,25,12,35,23,20,23,23,18,15,15,23,22,32,21,22,19,13,4,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,18,22,22,23,
4,20,15,31,14,22,25,13,31,24,16,24,13,12,10,24,24,9,8,11,13,22,32,32,33,18,32,32,32,32,
32,32,44,29,28,28,28,28,17,17,17,17,31,31,32,32,32,32,32,20,32,31,31,31,31,32,26,22,21,21,
21,21,21,21,30,18,18,18,18,18,13,13,15,15,20,23,20,20,20,20,20,24,20,23,23,23,23,22,23,22,
 };
static unsigned short stb__times_bold_49_latin1_h[224]={ 0,31,15,31,34,32,31,15,39,39,17,25,15,6,
8,31,31,30,30,31,30,31,31,31,31,31,22,29,23,11,23,31,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,38,30,31,30,31,31,31,30,30,30,39,31,39,16,4,9,22,31,22,31,22,30,31,30,30,
40,30,30,21,21,22,31,31,21,22,29,22,22,22,21,31,21,39,40,40,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,39,32,22,30,
40,40,7,31,13,21,11,6,31,4,16,25,16,16,9,31,40,8,10,16,13,21,32,32,32,32,40,40,40,38,
38,38,30,39,40,40,40,38,40,40,40,38,30,39,41,41,41,39,39,20,33,41,41,41,39,40,30,31,32,32,
32,31,31,33,22,30,32,32,32,31,31,31,31,30,31,30,32,32,32,31,31,20,23,32,32,32,31,41,40,40,
 };
static unsigned short stb__times_bold_49_latin1_s[224]={ 250,243,163,110,85,23,1,145,167,201,49,
1,153,149,246,240,1,77,95,104,202,141,162,215,89,36,58,246,74,49,48,
237,1,216,1,160,223,101,130,57,133,192,133,121,187,1,1,218,115,52,43,
79,157,190,1,34,64,31,1,240,204,229,68,163,86,138,33,100,222,119,168,
115,109,96,1,54,237,155,112,160,156,180,136,212,185,34,228,1,90,137,191,
215,245,123,97,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,250,240,182,
220,67,97,219,224,133,57,182,211,211,149,183,188,89,225,106,120,75,43,42,
123,237,133,197,1,163,130,86,1,67,68,134,194,161,1,157,1,39,137,166,
227,195,213,231,34,141,63,186,153,120,95,128,234,106,33,1,88,31,101,210,
141,218,1,63,218,82,139,181,173,199,180,161,164,183,68,125,80,197,30,85,
44,65,120,22,24,27,20,196,106,91,65,15,100, };
static unsigned short stb__times_bold_49_latin1_t[224]={ 1,199,540,302,165,204,302,540,84,84,540,
491,540,558,540,237,270,429,429,270,366,270,270,270,302,302,517,334,491,558,491,
270,43,398,398,334,366,366,366,334,398,429,302,460,398,429,334,302,429,165,429,
366,460,334,366,366,460,460,460,84,302,84,540,558,558,491,334,491,334,491,398,
334,398,398,84,398,429,517,517,491,302,302,517,491,460,517,491,517,517,334,517,
84,1,43,558,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,1,164,84,
199,517,460,1,1,558,302,540,517,540,558,270,558,540,460,540,540,558,270,43,
558,540,540,540,540,199,199,237,237,43,84,84,125,125,165,366,125,84,43,43,
125,43,43,43,165,429,125,1,1,1,125,125,517,165,1,1,1,125,84,429,
237,164,204,204,237,270,165,491,429,164,164,164,237,237,270,270,398,237,398,200,
237,237,237,270,540,491,237,199,199,334,1,84,43, };
static unsigned short stb__times_bold_49_latin1_a[224]={ 177,236,393,354,354,708,590,197,
236,236,354,403,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,236,236,403,403,403,354,659,511,472,511,511,472,432,551,
551,276,354,551,472,668,511,551,432,551,511,394,472,511,511,708,
511,511,472,236,197,236,411,354,236,354,394,314,394,314,236,354,
394,197,236,394,197,590,394,354,394,394,314,276,236,394,354,511,
354,354,314,279,156,279,368,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,177,236,354,354,354,354,156,354,
236,529,212,354,403,236,529,354,283,389,212,212,236,408,382,177,
236,212,234,354,531,531,531,354,511,511,511,511,511,511,708,511,
472,472,472,472,276,276,276,276,511,511,551,551,551,551,551,403,
551,511,511,511,511,511,432,394,354,354,354,354,354,354,511,314,
314,314,314,314,197,197,197,197,354,394,354,354,354,354,354,389,
354,394,394,394,394,354,394,354, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_49_latin1(stb_fontchar font[STB_FONT_times_bold_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_49_latin1_s[i] + stb__times_bold_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_49_latin1_t[i] + stb__times_bold_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_49_latin1_x[i];
            font[i].y0 = stb__times_bold_49_latin1_y[i];
            font[i].x1 = stb__times_bold_49_latin1_x[i] + stb__times_bold_49_latin1_w[i];
            font[i].y1 = stb__times_bold_49_latin1_y[i] + stb__times_bold_49_latin1_h[i];
            font[i].advance_int = (stb__times_bold_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_49_latin1_s[i] + stb__times_bold_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_49_latin1_t[i] + stb__times_bold_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_49_latin1_x[i] + stb__times_bold_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_49_latin1_y[i] + stb__times_bold_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_49_latin1_LINE_SPACING
#endif

