// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT        214
#define STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_28_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_28_latin_ext_LINE_SPACING          18

static unsigned int stb__arial_28_latin_ext_pixels[]={
    0x00066200,0x3ffea008,0xffffffff,0x031006ff,0x32600000,0x2000001c,
    0x00031098,0x00220013,0x4c000110,0x00188001,0x00022000,0x00220000,
    0x00988000,0x001884c0,0x0e666664,0x0f239300,0x003ca800,0x55003cc8,
    0x0000d543,0x22003551,0x795002cc,0x6540165c,0x45530004,0x554002a8,
    0x00ffc401,0x98037d40,0x7d400c40,0x01bfa006,0xff502ec0,0xffffffff,
    0x2a20dfff,0x0cefffec,0x0017ff40,0x3fa00bfd,0xbff7002f,0x7dc007f6,
    0xfda80fff,0x5c04efff,0x3b26001f,0x0aceffff,0x7fc0fec0,0xb880df71,
    0x2003fffe,0xb8801ffb,0x01dffffd,0x203fff10,0xb800dffa,0x4007f10f,
    0x01eeeeed,0x0076fe40,0x000df980,0xa800ffd4,0x00ff98ff,0x003fee00,
    0x8800ffb8,0x00ff9afe,0x10009f70,0x00ffa7fd,0x200fffc8,0xa8001ff8,
    0xc8d9006f,0x006fa806,0x70001ff5,0x4ccc405f,0x999efc99,0xfffa8099,
    0x2ffffeff,0x01ffbf90,0x9001df30,0x9803ffbf,0x03fb3fff,0x0fdfff30,
    0xfffffff9,0x07fe01df,0x37bffa60,0x4ffffdcc,0x3fe07f60,0xfe80df71,
    0x005ffddf,0xff3007ff,0x9ffffdff,0x1dfbfb00,0x809ffb30,0x007dc3f8,
    0x00262098,0x099cc898,0x22ee2600,0x0ffa0009,0x3fdbf900,0x01ff8000,
    0x3003fd80,0x2003fdff,0x0099c989,0x13f3fe60,0x6faefb80,0x0007fe20,
    0x7cc01bea,0x9802fece,0x03fb003c,0x0007b200,0x7d401bee,0x7ecc0aef,
    0x547fd43f,0x0f6400ef,0x7d47fd40,0xb13ee00e,0x0df9003f,0x2e61ffdc,
    0x03ff07fe,0x202dffa8,0xd80effb9,0x510aa81f,0x2a37d405,0x27dc02ff,
    0x056ffcc0,0x5c07ffb5,0x4c0bf96f,0xf836406f,0x7d49f004,0xfa93e002,
    0xfa93e002,0x009d1002,0x000fffa0,0x40007f70,0x3bae005d,0xfa93e003,
    0x37fdc002,0x363ff300,0x03ff105f,0x400df500,0x0002dec9,0x000dd880,
    0x7000bfd0,0xbff100df,0xaa8df900,0x00006aa1,0x06aa1aa8,0x0fec3fd8,
    0xfd01ff40,0x417fcc09,0x3fea01ff,0x1bfa2002,0x400007f6,0x04fe82fd,
    0x7fcc014c,0x807ff404,0x802aa0aa,0x40fe607f,0x22c800fb,0x8b2001c9,
    0x8b2001c9,0x000001c9,0x40000260,0x0000a008,0x31640000,0x00000039,
    0xff100110,0x0df50003,0x00001880,0x001a6b60,0x5c001e5c,0x0ffc806f,
    0x002ff880,0x00005500,0x7ec1fd80,0x101ff801,0x4fd803ff,0x0ffffff2,
    0x80601ff1,0x0fec4fe8,0x85fc8000,0x36000008,0x7fcc00ef,0x3e001804,
    0x4403f607,0x802ff85f,0x0bfe0ff9,0xff83fe60,0x40ff9802,0x007fe5fc,
    0x7dfffd91,0x7edc4003,0x3f22dfff,0x3ff2fe42,0x1ff97f20,0xf9802ff8,
    0x200bfe0f,0xfda80ff9,0xf104efff,0xdf50003f,0xffeca880,0x7d400cef,
    0x00366806,0x5c000620,0x03fe806f,0x3ea02aa0,0x0997d006,0xff881fea,
    0x7ec1fd80,0xfffff901,0x807ff07f,0x3ffae098,0x217ec2ee,0xf94fffc9,
    0x3fb1fa29,0xff881fea,0x402ffcc0,0x3fe207fa,0x54007fe0,0x3fff6a01,
    0xff81fd8d,0x7405f980,0x4017fc1f,0x0bfe0ff9,0xff83fe60,0x40ff9802,
    0x807fe5fc,0xffeffffa,0xff9805ff,0xdfffeeff,0x25fc84fc,0x4bf901ff,
    0x02ff81ff,0x3fe0ff98,0x40ff9802,0xfffffffc,0x0ffc40ef,0x5037d400,
    0xffdfffff,0x37d405ff,0x00355e40,0x237fffaa,0x37dc01fd,0x0007fe20,
    0x4c037d40,0x01ff81a5,0x07fa0bf7,0x3bb203fb,0xfd81eeff,0xff8000bf,
    0x7cc4fa81,0xfecffcef,0x1fd87f22,0x2fdc07fe,0x401effb8,0x4bf701ff,
    0x80000ff9,0xeffcfffa,0x80fe81fe,0x27dc03fc,0x3e600bfe,0x200bfe0f,
    0x0bfe0ff9,0x5303fe60,0xfb805543,0x7fdcc1ef,0x07bfe605,0x4c17ffee,
    0x4c02aa1a,0x3e02aa1a,0x0ff9802f,0x3e600bfe,0x30ffee0f,0xff88ffd7,
    0x06fa8001,0x9815dff5,0xdf503ffd,0x009ff500,0x7ee6ffdc,0x7dc01fee,
    0x007fcc06,0x006fa800,0x7e40b31d,0x3a05fd04,0x200fec1f,0x7f4405fb,
    0x8009beff,0x21fc81ff,0x7fe43fe8,0xfd8fea0f,0x7f413f21,0xffedfb82,
    0x7413f204,0x001fee2f,0xb82ffe20,0x1fe81fff,0x7cc01fe8,0x4c017fc5,
    0x00bfe0ff,0x2ff83fe6,0x000ff980,0x2027fc40,0xff884ff9,0x02ffdc04,
    0xff000000,0x41ff3005,0xff9802ff,0xf9813fa0,0x007fe22f,0x3e21bea0,
    0x06fc805f,0xffb00df5,0x0bfe200f,0xb803fff3,0x037dc06f,0x33333331,
    0x2600df50,0x1fe600cd,0x0ff81fe2,0x3f600fec,0xffff9003,0x7fc03bff,
    0x27f47e81,0x3e23ffc4,0x7f987f65,0x4fb87f88,0x2607bff2,0x647f887f,
    0xfc80005f,0xb03ff705,0x801ff05f,0x017fc7f8,0x5ff07fcc,0x7c1ff300,
    0x0ff9802f,0x037ec000,0x7f42ffb8,0x7ff7cc06,0x00000001,0xff3005ff,
    0x4c017fc1,0x03ff10ff,0x3fe24fd8,0x86fa8001,0xf8800ffc,0x406fa82f,
    0x802fdef8,0x3ff906fc,0x6406fb80,0x3fff206f,0x6fa87fff,0xd0026600,
    0x704fb85f,0x803fb0bf,0x2a2002fe,0x03ffffec,0x4cbf03ff,0x0bfd00ff,
    0x3a054cdf,0x6c27dc2f,0x17ff540f,0x13ee17f4,0xd0000bf9,0x40ffc03f,
    0x03fc46fa,0x0bfe0ff8,0xff83fe60,0x20ff9802,0xff9802ff,0x7fc0df50,
    0x4003ff30,0x00ffc4fd,0x4bff1df1,0x43fe06fa,0x83fe06fa,0xff9802ff,
    0x2600bfe0,0x00ffe0ff,0x0ffc4131,0x7437d400,0x02aa003f,0x9f701bea,
    0x9ff00df5,0x7007fe60,0x0ffa80df,0xffffff90,0xa80df50f,0x03fffffe,
    0x41fe8bf7,0xfd80efd8,0x0007fc01,0x09ffd710,0x23f983ff,0x0ff605fb,
    0xbf700bf1,0x1fe81fe8,0x5c1ffd88,0x2e0ff45f,0xff80007f,0x5c07fa00,
    0x00df32ef,0x02ff87fe,0x3fe0ff98,0x20ff9802,0xff9802ff,0x7fc0df50,
    0xc800ff50,0x881fe66f,0x54ffb1fe,0x543fe06f,0xf83fe06f,0x0ff9802f,
    0x3e600bfe,0x02fff60f,0x001ff880,0x7fc46fa8,0xdf500001,0xff8afe80,
    0xf00ffc01,0x06fb803f,0x5000ffc4,0x40df50ff,0xffdceffc,0x30ff884f,
    0x01ff30df,0x7f9807f6,0x1ff20000,0x45f707fe,0x0bfa03fd,0xff1007f5,
    0x7e41be61,0xf113fa05,0x261be61f,0x811000ff,0x3fa00ff8,0x7d53f601,
    0x7c5fd006,0x0ff9802f,0x3e600bfe,0x200bfe0f,0x0df50ff9,0x06fb87fc,
    0xdf73fd40,0xff70ff40,0xff81bea1,0x7fc0df50,0x2600bfe0,0x00bfe0ff,
    0xfe883fe6,0x2009beff,0xa8001ff8,0x007fcc6f,0x206fa800,0x09fb0ff9,
    0xfd007fc4,0x806fb803,0x3ea003fe,0xf106fa87,0x20ff903f,0x107f93fd,
    0x3fb01bfb,0x32037d40,0x1ff8803e,0x87f20ffc,0x1ff102ff,0xfb001fd8,
    0x7c40ff27,0x85fa80ef,0x207f93fd,0xdf7001ff,0x3fe01ff8,0x265df901,
    0x43ff007f,0xff9802ff,0x2600bfe0,0x00bfe0ff,0x37d43fe6,0x17f21ff0,
    0x363ff100,0x985fb05f,0x40df51ff,0x40df50ff,0x00bfe0ff,0x2ff83fe6,
    0xc80ff980,0x1dffffff,0x8001ff88,0x037dc6fa,0x33333331,0x7e40df50,
    0xff01fea5,0x200ffc03,0xffc806fb,0x50ff5001,0x417ae0df,0x5fa80ff9,
    0x2fdc01ff,0x9f700fec,0xf006fb80,0x541fe83f,0x640ff62f,0x262fd46f,
    0xff5fa80a,0x1fffcc01,0x57ea0bf2,0x0dfd00ff,0x5fd13fa0,0x2607fe20,
    0x007fc46f,0x05ff1fe2,0x7fc1ff30,0x20ff9802,0xff9802ff,0x7fc0df50,
    0x8800bfb0,0x909fb1ff,0x23ff107f,0x43fe06fa,0x83fe06fa,0xff9802ff,
    0x2600bfe0,0xd95100ff,0xf887ffff,0x6fa8001f,0xff9037e4,0xf50fffff,
    0x3e17fc0d,0x40bfa02f,0x7dc01ff8,0x1fff8806,0x543fec40,0xff10006f,
    0x17ebfe01,0x3fb03fe0,0x2201fec0,0x3fd403ff,0x8fe217f4,0x4ff986fc,
    0x3fb03fe6,0x017ebfe0,0x2e7bff62,0x3ebfe06f,0x013fe605,0x6fb83ff9,
    0xf903ff70,0x9803fd05,0x4017fc6f,0x017fc7f9,0x0bfe3fcc,0x6fa9fe60,
    0x37dc3fe0,0xfc9fe600,0xfa827dc5,0xff81bea7,0x7fc0df50,0x2600bfe0,
    0x4017fc7f,0x2e2007f9,0x3fe24ffe,0x9999999a,0x7d46fa81,0xffff900f,
    0x0df50fff,0x1bf21fea,0xff906fb8,0x006fb803,0x9837fff5,0xfa85fffb,
    0xedca9806,0xdf900fff,0x83fd005f,0x0bfa01fd,0x1073ff60,0xffb09ff7,
    0xff32fc7f,0x46fffd47,0x1fd83ffb,0x005fdf90,0x01ffffd4,0x500bfbf2,
    0x6d4439ff,0xeff883ff,0x03fff932,0x05fb03fd,0x1ff44fa8,0x3fa3fd40,
    0x747fa803,0x27fa803f,0x43fe06fa,0x7d4007f9,0x5fa9bee6,0x6fa97ee0,
    0x37d43fe0,0x1ff41ff0,0x3fa3fd40,0x007fa803,0x7fc4ff90,0xffffffff,
    0x7c46fa87,0x1fea001f,0x27ec1bea,0xf880ffcc,0xfffb32ef,0x006fb803,
    0x3bffffe6,0x502effff,0x7ff540df,0x00ffceff,0xd001fff3,0x201fd83f,
    0xff9000ff,0x7ffffdff,0xd97ffa20,0x3fffee0f,0xfffffdcf,0x2603fb02,
    0x44000fff,0x7cc04ffd,0xffc800ff,0x4ffffeff,0x3ffffe60,0xfe81ffdf,
    0x6403fb80,0x4027ec3f,0x027ec5fb,0x13f62fdc,0x6fa97ee0,0x7fc1ff10,
    0x993f6001,0x405fa9ff,0x41bea3fd,0x0df50ff8,0x4fd83fe2,0x7ec5fb80,
    0x325fb804,0x1ff8803e,0xfffffff1,0xdf50ffff,0x54007fd0,0x886fa87f,
    0xaaaaacff,0x3fe604ff,0x1ffdffff,0x95100000,0x07bffffd,0xff506fa8,
    0x07fc437b,0x36009fd0,0x980fec1f,0x76d4007f,0x002dffff,0x6d45fa81,
    0x9dfd12df,0x1fd84c41,0x80013fa0,0x7f402ffb,0x3ff6a004,0x8801efff,
    0x1ff3dfec,0xbf301ff0,0x7e41fe80,0x644fd805,0x44fd805f,0x4fd805fc,
    0x7fcc1bea,0x4c01bf60,0x7efec2ff,0x8bfea00e,0x1ff306fa,0x7fcc1bea,
    0x36017f20,0x402fe44f,0x01bee4fd,0x15100ffc,0x3f205300,0x0ff5001f,
    0xfff70df5,0xffffffff,0x6ff64401,0xca801ff3,0x0fdc0003,0x3a0df500,
    0x01ff304f,0xfd800ff4,0xfa80fec1,0x03ba0006,0xfc82ca80,0x77e40003,
    0x7f403fb0,0xf9029801,0x001fe80b,0x0001df88,0x3fe03fe0,0x2603fd00,
    0x02ffa86f,0xff50ffe2,0x21ffc405,0x3e202ffa,0x5c1fe63f,0x13fe20ff,
    0xf30bfd10,0x7f4401ff,0xfb83fcc4,0x2e0ff30f,0x0bfea0ff,0x7d43ff88,
    0x8ffe202f,0x7d403ff8,0x077fc407,0xf887ff90,0x7ec401ff,0xfe85fb87,
    0xcccccccd,0xf88003ff,0x037e400f,0x0077f600,0x2ff82fdc,0x2603ff70,
    0x0bf2006f,0x13f203fb,0x06ff4400,0xfd04fc80,0xfd880019,0x4c07f60f,
    0x2ff8806f,0x3e606fa8,0x7ff30006,0x540b7200,0x00ff886f,0x07f609f3,
    0x2a057fec,0x5ffb05fe,0xb05fea81,0xfea815ff,0x2a1ffc45,0x7fcc0fff,
    0x05ffa81d,0x881bfff1,0xff885ffb,0x887ffd43,0x7ffd43ff,0x2057fec0,
    0xffb05fea,0x85fea815,0x5c41cffd,0x9f7004ff,0xfa81ff00,0x7dcc1bff,
    0x45fc85ff,0x7ec00ff9,0xf502dc86,0x00df900f,0x200ff100,0x0bfb05fc,
    0xd103fff5,0x27e4005f,0x0ffc07f6,0x013ea000,0xfe98275c,0x2a200abf,
    0x0fec1efe,0xd8017f44,0x13fa20ef,0x00017f44,0x3ee00bf2,0x427fc40e,
    0x07ec06f9,0xfe8817e2,0xefffffff,0xffffd100,0x201dffff,0xffffffe8,
    0xffc80eff,0x0fedfece,0xeeffff98,0xfd105fff,0xfddffff9,0x7fe40bff,
    0x0fedfece,0x3fb3bff2,0x7f440fed,0xefffffff,0xffffd100,0x201dffff,
    0xffeffffc,0x5d4403ff,0xf95502fe,0x3fffe60d,0x2effffef,0x3217fee4,
    0x1ff9805f,0x7fc43fdc,0x000b7003,0x202fedd4,0xf302ffdc,0xdbfd97df,
    0x37ffe45f,0x4fbfe600,0xfdbd11fd,0x3326000d,0x0b6002ff,0xbffffd50,
    0x7fffdb99,0xffc87f60,0x3fe2006f,0x40effddf,0x0006fffc,0x003ff953,
    0xfd9bffd1,0x4ffd98bf,0x3f227c40,0x7fee4400,0x4400cfff,0xcfffffdc,
    0x7fee4400,0x2e00cfff,0x1fd4ffff,0x3fff6a20,0x4bf602ce,0xceffffc8,
    0xffffb802,0xffb81fd4,0x101fd4ff,0x9fffffb9,0xffdc8801,0x5400cfff,
    0x2dffffed,0x03effb80,0x88077ffe,0xdffffeca,0xf09fff03,0x13fa005f,
    0xfd9bffd1,0x0fa2009f,0x677fc400,0x02fffc00,0x4bffffee,0x3bfee5fc,
    0x5ffb8000,0x3ffea3fb,0xff70002e,0x075c005b,0xfffedb80,0x200cdeff,
    0x3bfee1fd,0x7fec4000,0xffb80dff,0xffb0000e,0x6dc4005b,0xfa83efff,
    0x0fc800df,0x310007f1,0x0cc40003,0x00331000,0x4c000088,0x22051000,
    0x01100009,0x20000880,0x22000198,0x13100019,0x20011000,0x01310000,
    0xff501310,0x207fdc00,0x3dffffc8,0x00012e00,0x00988002,0x4c002660,
    0x84c40000,0x00009818,0x00020000,0x88001310,0x80000981,0x00098019,
    0x30000080,0x40009880,0x00003109,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb000000,0x1ffc4009,0x00000330,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55300000,0x0037d401,0x0be20fb8,0x0aa82aa0,0x802aa200,0xff9802ff,
    0x006aa200,0x54caaa00,0x1aa88002,0x00066000,0x20005530,0xf1008818,
    0xeffa803f,0x3fffffe0,0x002cdeff,0x4c000950,0x00d54000,0x4c027fc4,
    0x0155407f,0x027fd400,0x00553000,0x000aa880,0x4c00aaa0,0x0006a61a,
    0x30001551,0x7d403505,0x004c4006,0x17ee37d4,0x2aa65550,0x3217f200,
    0x05fe805e,0xf00037d4,0x200dd75b,0x00bf76fb,0x3e02ffa8,0x0ff9802f,
    0x0007fe40,0x3fa3ff30,0x0ffb8004,0x099b9000,0x13ffe600,0xf98be200,
    0x403ff102,0xfff85ffa,0xffffffff,0x05d8004f,0xfb8befc8,0x3ffee001,
    0x0fffc401,0xf501fe60,0xfd80003f,0xf300007f,0x6c0005ff,0x3ea0006f,
    0x3ff3001f,0x44001ff3,0x98006ffe,0xa807ea2f,0x37f4006f,0x3ee37d40,
    0x74bfe205,0x42fe405f,0x77cc06fe,0x0037d400,0x03bffb50,0x077efec0,
    0x80bfea00,0xff9802ff,0x003fd800,0x37d4ff20,0x00ffc400,0x00366880,
    0x5fd5fd10,0xfbbfb000,0x80ffc40d,0x5ff05ffa,0x13ff6e20,0xfa807f00,
    0x006fffed,0x03febfe6,0x00efff88,0x3ee01fe6,0x3be20005,0x440002fd,
    0x001ffaff,0x0000ff88,0xf7000ff6,0xd8005fdd,0x8004fccf,0x405feefd,
    0x7f4003c9,0x543c9806,0x4d3f202c,0x2fe400ef,0x3f6037f4,0x006fa801,
    0x88000880,0x88001ffe,0x0bfe00aa,0x2003fe60,0xf10007e8,0x40007f4b,
    0x740003fb,0xfd800688,0x8003ff35,0x200bdda8,0xffa81ff8,0x200bfe05,
    0x3e6006fd,0x7712dc00,0x4ffa2001,0x3fe206fb,0x1fe604ff,0x8000fec0,
    0x006facfb,0xefaa7ec0,0x00fe4000,0x000bf300,0x7000fff2,0x001ff4df,
    0x000166d4,0x00055500,0x3f66f800,0x005fc801,0x7d400440,0x00180006,
    0x30000440,0x3005ff00,0x026001ff,0x80000000,0x74c00009,0x04c0001e,
    0xf1000000,0x05ffa83f,0x7d4017fc,0x364c400f,0x88000000,0xfcff8800,
    0x00ff302f,0x2bfa0000,0x80001ff8,0x08800018,0x40000000,0x00000008,
    0x00001300,0x00001100,0x90004c00,0x20bf90bf,0x4effffda,0xff50df50,
    0x3fff6a05,0x7101fd8d,0x03bffffb,0x1bfffb50,0x017fc3fb,0xc8807fcc,
    0x01befffe,0x7cc017fc,0xffd9100f,0xff8037df,0x00ff9802,0x7dfffd91,
    0x802ff803,0x3ff10ff9,0x7c02ffd4,0x0ff9802f,0x3dfffd90,0xf3005ff0,
    0x3f6e201f,0xf101dfff,0x301dfb1f,0x802ff8ff,0x3e600ff9,0x0009fb0f,
    0xdfffd951,0xfb710019,0x7c03bfff,0x0ff9802f,0xeffffda8,0x200bfe04,
    0xd9100ff9,0x4037dfff,0xdb8806fa,0x501dffff,0x105fb8df,0x37dfffd9,
    0xfc85fc80,0xfffffc85,0x7d40efff,0xa817fd46,0xeeffcfff,0xffff981f,
    0x204ffffe,0xeffcfffa,0x00bfe1fe,0x3ea03fe6,0xffffefff,0x200bfe05,
    0xffa80ff9,0x5ffffeff,0x2600bfe0,0xfffa80ff,0x05ffffef,0x3e600bfe,
    0x2a3ff10f,0x5ff004ff,0x360bf900,0x2fffcdff,0x7cc017fc,0xffff980f,
    0x884ffffe,0x84ff88ff,0x017fc7f9,0xf9007fcc,0x2003fd4b,0xfefffffa,
    0x3e602fff,0xffffefff,0x3005ff04,0xfffc81ff,0x80efffff,0xff9802ff,
    0xeffffa80,0xf505ffff,0xffff980d,0xa84ffffe,0x542fdc6f,0xfffeffff,
    0x217f205f,0x1ffdc5fc,0xf51ffae6,0x8817fd4d,0x3fee0bff,0x56ffcc1f,
    0x20fff6a0,0x3ee0bff8,0x00bfe1ff,0xff703fe6,0x5ffb983d,0xf3005ff0,
    0x1effb81f,0xf82ffdcc,0x0ff9802f,0x260f7fdc,0x5ff05ffb,0x221ff300,
    0x0fffa9ff,0x2605ff00,0xfc82ffd9,0x8df9f70e,0xff9802ff,0x056ffcc0,
    0xf887ffb5,0x985ff50f,0x4017fc7f,0x3fe00ff9,0xa8017fc2,0x6cc0aeff,
    0xdff983ff,0x0fff6a0a,0x3e600bfe,0x30ffee0f,0x5ff0ffd7,0xb81ff300,
    0x7dcc1eff,0x206fa85f,0x2a0adff9,0x37d43ffd,0xdff717ee,0x05ffb983,
    0x8bf90bf9,0x3fe604fe,0x7fd5bea2,0x5c17f202,0x13fe61ff,0xfc81ffd0,
    0x7c3ff705,0x0ff9802f,0xf3013fe2,0x005ff09f,0x7fc41ff3,0x427fcc04,
    0xff9802ff,0x3013fe20,0x05ff09ff,0x3e21ff30,0x04ffffbf,0xfffffff0,
    0x109fffff,0x7c6ec3ff,0x200bfe1f,0x3fe60ff9,0x107ff404,0x077ec1ff,
    0x02ff8ff3,0xf500ff98,0x100df90f,0xdf900bff,0x7404ff98,0x017fc0ff,
    0x9fd07fcc,0x3e17fcc0,0x0ff9802f,0xf3013fe2,0x306fa89f,0xffe809ff,
    0xbf71bea0,0x26027fc4,0x85fc84ff,0x07fe25fc,0x77d49fb0,0x7f402ffa,
    0xfd87fe01,0x27fcc00e,0x1ff807fa,0x3e600bfe,0x401bf60f,0x17fc2ffb,
    0xfb07fcc0,0x0bfee00d,0xff3005ff,0xb8037ec1,0x017fc2ff,0xff887fcc,
    0x02ffbbff,0xfffffff8,0xf301beff,0xff012f8d,0x41ff3005,0x7cc00efd,
    0x883fe24f,0xf1fe64ff,0x1ff3005f,0x3e613f60,0x07fe401f,0xfb17fc40,
    0x4ff9801d,0x7cc017fc,0x803ff10f,0x017fc4fd,0xdfb07fcc,0xa8bfee00,
    0x01dfb06f,0x3ea4ff98,0xdfb2fdc6,0x90bfee00,0xf8bf90bf,0x504c403f,
    0x805fffff,0x87fa00ff,0x035001ff,0x0ff401ff,0xff3005ff,0xb000ffcc,
    0x802ff89f,0x3ff30ff9,0x3e27ec00,0x0ff9802f,0x6c003ff3,0x4017fc4f,
    0xfff10ff9,0x2007fec7,0x7fe4c2ff,0xfa97ee02,0x200bfe00,0x07fe0ff9,
    0x3fe20d40,0xf997fd40,0x4c017fc7,0xcff880ff,0x4ffaaaaa,0x5001ff40,
    0x800ffc15,0x802ff81a,0x0ffe0ff9,0x2ff81310,0xf30ff980,0x27ec003f,
    0x07fe0df5,0x1bea0d40,0x07fe6bf7,0x7e44fd80,0x7ec5fc85,0x3ea000bf,
    0x100ffdff,0x8ff401ff,0x20000ff9,0x3fa00ff8,0x2a00ffa1,0x001fea7f,
    0x02ff8df9,0xff50ff98,0x7c6fc800,0x0ff9802f,0xfc800ff5,0x4c017fc6,
    0x87ff10ff,0x7fc06ff8,0x205ff902,0xf01b24fc,0x1ff3005f,0x80003fe6,
    0xffd80ff8,0x17fc7f98,0x5c07fcc0,0xffffffff,0xff100fff,0x7fcc0003,
    0x17fc0000,0xfb07fcc0,0xff80017f,0x50ff9802,0x6fc800ff,0x3fe61bea,
    0x1bea0000,0x01feabf7,0x5fc8df90,0x7f445fc8,0x2009beff,0x0bfd1ffa,
    0x3ff00ffc,0x20001fee,0x87fe01ff,0x6fb804fe,0xf5001bee,0x9802ff8f,
    0x00df70ff,0x17fc7fa8,0xfb87fcc0,0x23fd4006,0xff9802ff,0xf503ff10,
    0x017fc09f,0xbf703ffb,0x0bfe01f4,0x7dc3fe60,0x7fc40007,0xf9cff880,
    0x4c017fc7,0xcdfe80ff,0xffcccccc,0x001ff303,0x0003fdc0,0x7cc017fc,
    0x3fffa20f,0x7fc009be,0x70ff9802,0x7fa800df,0x1fee1bea,0xb8df5000,
    0x800df75f,0x42fe47fa,0xfff905fc,0xf503bfff,0xe817fccd,0x23ff102f,
    0xe80005fc,0x43ff102f,0x5fd805fd,0xf10017f2,0x4017fc3f,0x0bf90ff9,
    0x3e1ff880,0x0ff9802f,0xf8800bf9,0x200bfe1f,0x3ff10ff9,0x7c0bff20,
    0x1bfe202f,0x90fcdbe6,0x4017fc59,0x0bf90ff9,0x00ff8800,0xf8ff7ff7,
    0x0ff9802f,0x36007fcc,0x40df706f,0x19999998,0xf0000bf9,0x1ff3005f,
    0xffffff90,0x00bfe03b,0x2fe43fe6,0x547fe200,0x005fc86f,0x3ee37d40,
    0x8800bf95,0x217f21ff,0x32a205fc,0x543ffffe,0x407fdc6f,0x3ff706fb,
    0x200017f2,0x3ff706fb,0xf1017fd4,0x002fec7f,0x2ff87fe2,0xfb0ff980,
    0x1ff8800b,0x3e600bfe,0x800bfb0f,0x0bfe1ff8,0x7c43fe60,0x03ffa01f,
    0xff700bfe,0x4f73ff07,0x0bfe1ff8,0x7e43fe60,0x7fc40005,0x1ffff600,
    0xff3005ff,0x9805fc81,0x06fc81ff,0x3ffffff2,0x0000bf97,0xff3005ff,
    0x3fb2a201,0x2ff83fff,0xfb0ff980,0x1ff8800b,0x0bf90df5,0x5c6fa800,
    0x800bfb5f,0x17f21ff8,0xb88017f2,0x1bea4ffe,0x3fe217fa,0x3fff932e,
    0x20001fee,0xf932eff8,0xaffe83ff,0x2e2ff540,0x3fcc006f,0x3e600bfe,
    0x3001bee7,0x802ff8ff,0x01bee7f9,0x2ff8ff30,0x3e27f980,0x17fe601f,
    0x3f600bfe,0x2777ec0f,0x02ff8df9,0x1fee7f98,0x01ff1000,0x3e3fffc4,
    0x87f9802f,0x9fd002ff,0x3201ff50,0x77ffffff,0xff0000ff,0x00ff3005,
    0x227ff5c4,0x7f9802ff,0xf3001bee,0x7dc37d4f,0x37d40007,0x037dd7ee,
    0xbf91fe60,0x2000bf90,0x21bea7fc,0xff982ff9,0x1ffdffff,0x22001ff3,
    0xfffff300,0xf983ffbf,0xffffefff,0x003fcc0f,0x07fd1bea,0x3fccff50,
    0xfd1bea00,0x4cff5007,0x37d4007f,0x3ea00ffa,0x7007fe27,0x02ff87ff,
    0xfd85ff88,0x41fffcdf,0x7fa803fe,0x44003fe6,0x2007fc40,0x1ff47ffb,
    0x3ea3fd40,0x03fee007,0x54003ff1,0x001ff37f,0x00ffa022,0x64001fea,
    0x401ff47f,0x01fe67fa,0x37d4df50,0x88007fcc,0x3ee37d40,0xa800ff35,
    0x642fe46f,0x200fb25f,0x0df51ff8,0x32203ff2,0x41ff3dfe,0xdf7001ff,
    0x4f7fb220,0xfec880ff,0xf00cffff,0x27ec003f,0x3ee013f6,0xb000ffc5,
    0x804fd89f,0x00ffc5fb,0x4fd89fb0,0x3e25fb80,0x1ffe801f,0x7dc00bfe,
    0xffffd83f,0x804fd81d,0x00ffc5fb,0x3fe26fb8,0x6c7fd800,0x45fb804f,
    0x3e2004fd,0x003fe83f,0x01ff9fea,0x4fd8df70,0x3b25fb80,0x21ff8803,
    0x5fb804fd,0xfb000ffc,0xff837d49,0x54df7001,0xff2fdc6f,0x227ec003,
    0x25fc85fc,0x3ff006fb,0x40000d40,0x01bfa0ff,0x7c0027f4,0x0674400f,
    0x98037ec0,0x02fe42ff,0x1bf627ec,0x3217fcc0,0x44fd805f,0xff3006fd,
    0xd805fc85,0x0053004f,0x4000a880,0x320099ed,0x44fd805f,0x9fd006fe,
    0x2002a200,0x4fd805fc,0x02f88000,0x2a003ff9,0x401bfa7f,0x02fe44fe,
    0x0df727ec,0x5fc87fe0,0x7ec4fd80,0x45ff3006,0x01bfa07a,0x7dc027f4,
    0x4c01bf65,0xc82e42ff,0x00ffe25f,0xffd80ff5,0x2a05b903,0x027fcc6f,
    0x5b907ff2,0x7c01bea0,0x09ff1002,0xfa85fe88,0x0ffe202f,0xe8809ff1,
    0x02ffa85f,0xff10ffe2,0x85fe8809,0x3e202ffa,0x7ff9003f,0x1bfea000,
    0xf5003f80,0x1ffc405f,0xf9013fe6,0x3fea003f,0x017fd406,0x00007ff1,
    0x3fe203f3,0x3fec401f,0xfc809ff3,0x017fd41f,0x7fc47ff1,0x2a3fd403,
    0x3fe202ff,0x2027fc43,0x03645fe8,0xfc809ff3,0x24fc801f,0x74404ff8,
    0xf904e85f,0x41cffd8b,0x8804ffb8,0x81df707f,0xffa84ff8,0x3ff6a21c,
    0x440efb83,0x4f8804ff,0x077fe600,0xfd817fea,0x2ff540af,0xa81dff98,
    0x3ff605ff,0x82ff540a,0xfa81dff9,0x2bff605f,0x002ff540,0xb00007fc,
    0x03f3005f,0x2057fec0,0xff505fea,0x7fed4439,0x02fd8003,0x2a057fec,
    0x500005fe,0x7ffd407f,0x7ffdcc1b,0x10e7fd45,0x3607ffb5,0x7f540aff,
    0x41cffd85,0xfd84ffb8,0x2ff540af,0xa81dff98,0x00fd85ff,0xa8873fea,
    0xfb003ffd,0x81dff987,0x0df05ffa,0x3ff217f2,0x3ffffeff,0x82fedd40,
    0xfecdffe8,0x3fff205f,0x04ffffef,0xfd9bffd1,0x6ff400bf,0x7fcc00eb,
    0x5fffeeff,0x7ffff440,0x200effff,0xfeeffff9,0x7f4405ff,0xefffffff,
    0x3fffe600,0x405fffee,0xffffffe8,0x55000eff,0x53000dfb,0xd9003ff7,
    0xfffe8800,0x00efffff,0x3fbffff2,0x26004fff,0x4401ffba,0xfffffffe,
    0x200000ef,0xf986ddff,0xfffeffff,0xfff902ef,0x09ffffdf,0x7fffff44,
    0xf900efff,0xffffdfff,0x3fffa207,0x00efffff,0x3bbfffe6,0xdf505fff,
    0xfff907b7,0x09ffffdf,0x303ffdb0,0xffddffff,0x5efe40bf,0x2a0bf92d,
    0x2dffffed,0x0677fc40,0xdfffb710,0xfffb5007,0xb8803dff,0x003efffd,
    0x006fff4c,0x77ffed44,0xfb91002c,0x0019ffff,0x9dfffb51,0x3f722005,
    0x800cffff,0xcefffda8,0xffb91002,0x40019fff,0x8001dfff,0x9002dffd,
    0xfb910009,0x0019ffff,0xdfffffb5,0xdffd8003,0xffb91002,0x00019fff,
    0x03efea80,0xffffd951,0xffb5007b,0x1003dfff,0x9fffffb9,0xffeda801,
    0x64402dff,0x0cfffffd,0xfffda880,0x7fe402ce,0xfffb502d,0xf1003dff,
    0x6d4407ff,0x402cefff,0x001dffd9,0x08000988,0x40003000,0x06000199,
    0x00002000,0x31000013,0x00980003,0x00198800,0x400004c0,0x02000198,
    0x00002000,0x01988000,0x00066600,0x31000010,0x00000003,0x00013100,
    0x20000ccc,0x31000198,0x0cc40001,0x00026000,0x01998001,0x40009880,
    0x00080009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffffffff,
    0x2007ffff,0x554002a9,0x23c98002,0x4c0001cb,0x5540002a,0x51006aa1,
    0x002aa215,0x2a600057,0x1554000a,0x8001bea0,0x002aa0aa,0x00015510,
    0xa8005544,0x1103001a,0x55154c00,0xa86aa003,0x2595000a,0x22000cc8,
    0x01999999,0x000aa980,0x4d856dc4,0x53154c00,0x80aaa005,0x00aa22a8,
    0xa802a980,0x01aaaaaa,0x54c00555,0x40331002,0x7fdc02aa,0x0aaa02ff,
    0xfff9bfa0,0xffffffff,0xfff3007f,0x3ffea009,0xd37dc003,0x7cc0005f,
    0x260004ff,0x00ff98ff,0x0bf95fd8,0x8000de98,0x7d4004fe,0x1bea03ff,
    0xf76fb800,0xdffd000d,0x1bf20001,0x800ffb80,0x3002744f,0x01ff33ff,
    0x3ee3bee0,0x453f2006,0x3ee000ff,0x00ffffff,0x4002ff40,0x2feffefd,
    0x457fc400,0xffb802ff,0x74ffa02f,0xff10003f,0xfffff007,0x7ff109ff,
    0x00ffe200,0xff882ff4,0x7ff75403,0x007fea02,0x4dffcdfd,0x99999999,
    0xeaff8801,0x4ffc402f,0x3ee002fe,0x4000bfa6,0x03fdafe8,0x3fbbee00,
    0xf9fd1001,0x3ffae20d,0xf5002eff,0x9ff8800d,0x0df502fe,0xffdfd800,
    0x5efe4000,0xff88005f,0x01fec000,0x07f66fdc,0x3fbbea00,0x7efec001,
    0x53f2000f,0x26000ff8,0x0ccccccc,0x003bea00,0x3b267f10,0xbff30003,
    0x3ff3009f,0x3fe203ff,0x2e0004fd,0x5555005f,0xbf903555,0x802fdc00,
    0xbf900efa,0x402fe800,0x37f405fc,0x400005ff,0x03ff34fd,0x0ff9a7f4,
    0x20000000,0x03ff15fd,0x01ffec00,0x403ffe60,0xfedecffd,0x00fe802f,
    0xff9a7f40,0x0006fa80,0x000fff44,0x27f43fea,0x000bf200,0x6d4007f4,
    0xf90001ce,0x3fa0007f,0x0260001f,0x20000000,0x980001fe,0xffb80000,
    0x72ff8805,0x3fea01df,0x077c0006,0x37c40000,0x4003be00,0x0df100fe,
    0xb005fd00,0xf37f401f,0x0000005f,0x7fc00000,0x00ff9802,0x00000000,
    0x7fcc0000,0x01bf67b1,0xa8000000,0x0000626f,0x00000000,0x00000000,
    0x00000000,0xffec8800,0x7fc01bef,0x00ff9802,0x3b220000,0x001befff,
    0x00000000,0x20000000,0x007fe5fc,0x04c00000,0x2fe80000,0x4dfd0000,
    0x800002ff,0x1ffc84fd,0x7c3ff700,0x0ff9802f,0xffc80df9,0xf87fe203,
    0xefffffff,0x5fc802cd,0x99ecbf70,0x3fffe0ff,0xffffffff,0x7fffffc7,
    0x27ffffff,0xfffe8efa,0x7fffd41d,0xffffffff,0x4ffa806f,0xffffff00,
    0x8059bdff,0xff5005fc,0x09ff1009,0xffb8ff30,0xffffffff,0xfffa82ff,
    0x05ffffef,0x3e600bfe,0x009ff10f,0x3fea0ff3,0x5ffffeff,0x04ffa800,
    0xff82fe40,0xceefffff,0x3fffee00,0xffffffff,0x3ff2fe42,0xffc8bf90,
    0x43ff7001,0x0ffc46fa,0x3e2fe800,0xffffffff,0x97f67fff,0x800002ff,
    0x6fe884fd,0x7c3ff980,0x0ff9802f,0x7fc01ff5,0xf1fea05f,0xffffffff,
    0xfc809fff,0x1ec9f905,0xffffff01,0x8fffffff,0xffffffff,0x3ea7ffff,
    0xfffcefff,0x3ffffea0,0xffffffff,0x07ffd806,0xfffffff0,0x409fffff,
    0xffb005fc,0x3fff100f,0x7dc7f980,0xffffffff,0x7fdc2fff,0x2ffdcc1e,
    0xf9802ff8,0x03fff10f,0xffb87f98,0x2ffdcc1e,0x01fff600,0x3fe0bf90,
    0xffffffff,0xffff704f,0xffffffff,0x2aa1a985,0x7445fc80,0x3ff9806f,
    0x3fe237d4,0x45fd0001,0xffffffff,0x3f27ffff,0x2aab3fe5,0x00aaaaaa,
    0x7cc13f60,0x437f403f,0xff9802ff,0x7cc07fe0,0x17f207fe,0x36e205ff,
    0x17f204ff,0x807b37dc,0x99999bff,0x7fc19999,0x9999999b,0x3bfea199,
    0x989bf222,0x9efc9999,0x44009999,0xf802fdef,0xffb7102f,0x2017f209,
    0x402fdef8,0x200efff8,0x4ccc47f9,0xfe999999,0x013fe20f,0x5ff09ff3,
    0x221ff300,0x2600efff,0x027fc47f,0x44013fe6,0x2002fdef,0x37ff05fc,
    0xffd75333,0x33333109,0x1ffd3333,0x85fc8000,0x7f403ff9,0x7c46fa86,
    0x5fd0001f,0x4cccdffc,0x32199999,0x3ffffe4f,0x1fffffff,0xc813f600,
    0x1ff701ff,0xf3005ff0,0xb81fec1f,0xfd01febf,0xd802ff85,0x417f206f,
    0x03d8cff9,0xf80017fc,0xffa8002f,0xb805fd02,0x9f70006f,0x5ff00df5,
    0x320dfb00,0xacfb805f,0x7ffc406f,0x01fe604f,0xfb0bff20,0x0bfee00d,
    0xff3005ff,0x13fffe21,0x37ec7f98,0x802ffb80,0x006facfb,0x0ffc17f2,
    0x0007ff60,0x0000bff2,0x7fe417f2,0x501ff701,0x01ff88df,0x7fc5fd00,
    0x24fb8002,0xeeeeeeff,0x2001eeee,0x3fa204fd,0xf03ff886,0x1ff3005f,
    0x9fd82fdc,0x0ff883fc,0x7d4017fc,0x40bf900f,0x00cffffb,0x7c000bfe,
    0x6fa8002f,0xf7013ee0,0x2bfa000d,0x7fc01ff8,0x80ffa802,0xafe805fc,
    0x3e201ff8,0xf302ffcf,0x3ffb800f,0xb000ffcc,0x802ff89f,0x9ff10ff9,
    0x9fe605ff,0x36001ff9,0x8afe804f,0xbf9001ff,0x36007fe0,0x7fdc006f,
    0xff037d43,0xe882fe41,0x03ff886f,0x1ff88df5,0x7c5fd000,0x3fb8002f,
    0x00000bfe,0xff5013f6,0x3e05fd87,0x0ff9802f,0x5fe21fe6,0x86fa86f9,
    0xff9802ff,0xa80bf900,0x81dffffe,0xff0002ff,0x0bf50005,0x3ee02fd4,
    0x0ff98006,0x2ff809fb,0xc80ff980,0x87fcc05f,0x3fe204fd,0xf980efd8,
    0x17fe6007,0xf9001fea,0x9802ff8d,0xb1ff10ff,0x4ff301df,0x7e4007fa,
    0xd87fcc06,0x0bf9004f,0x3e6007fe,0xbff3001f,0x7fc0df50,0xfa817f20,
    0x502fec3f,0x01ff88df,0x7fc5fd00,0x23fa8002,0x800002ff,0xffc804fd,
    0x7c01ff70,0x0ff9802f,0x97ea0ffc,0x427e40ff,0x5fc802ff,0x4c017f20,
    0x7c2ffffe,0x5ff0002f,0x40bf5000,0x37dc06fa,0xf52fe400,0x802ff80f,
    0x0bf905fc,0x1fea5fc8,0xff88ff88,0x1007f984,0x1bee0dff,0xff8ff500,
    0x10ff9802,0x09ff11ff,0x037dcff3,0xf901fea0,0xc803fd4b,0x003ff05f,
    0x3e200bfe,0x40df506f,0x017f20ff,0x3fee1ff9,0xf11bea00,0x3fa0003f,
    0x2000bfe2,0x00bfe2fa,0x013f6000,0x3fe37fa2,0x4017fc02,0x1fec0ff9,
    0x42fd8bf2,0x02ff82fe,0x405ffb33,0x2f6005fc,0x3fe0ffea,0xaaaaaaac,
    0x567fc0aa,0xaaaaaaaa,0xfb817ea0,0x0037dc05,0x0bfe17fc,0xb3302ff8,
    0x17f205ff,0x2ff85ff0,0x3ea1ff10,0x803fcc2f,0xbf900ffe,0x21ff8800,
    0xff9802ff,0x3ea1ff10,0xf93fcc2f,0x1ff8800b,0x5ff0bfe0,0x3e0bf900,
    0x07fd001f,0x2a01ffd0,0xc83fe06f,0x6ff4405f,0x7d402ff8,0x000ffc46,
    0x33fe2fe8,0xaaaaaaaa,0xff8be60a,0xfd800002,0xfdff5004,0x005ff00b,
    0x4fb81ff3,0x49f707f4,0xfff80ff8,0xffffffff,0x02fe404f,0xf1ffc7b0,
    0xffffffff,0xfff83fff,0xffffffff,0xc81bea1f,0x037dc03f,0x3f21fea0,
    0x3ffffe06,0x4fffffff,0xfa817f20,0xf106fc87,0x3077ec1f,0x3ff900ff,
    0x2002fec0,0x0bfe1ff8,0x7c43fe60,0x983bf60f,0x0017f67f,0x3ea03ff1,
    0xc806fc87,0x003ff05f,0xff9017f6,0xf037d403,0x402fe41f,0x805feffa,
    0x0ffc46fa,0x3e2fe800,0xffffffff,0x83221fff,0x800002ff,0x3f2004fd,
    0x2ff800ff,0xf987f980,0xff31be26,0xfff82fd4,0xbeffffff,0x105fc801,
    0xbf91ec13,0x777777fc,0x7c1eeeee,0xeeeeeeef,0x3fea1eee,0xb805ff01,
    0x27ec006f,0xff80ffcc,0xefffffff,0x02fe401b,0x3ff309fb,0x7c41ff10,
    0x701fe64f,0x6fb807ff,0x3e3fcc00,0x27f9802f,0x3fe20ff8,0x6fb9fe64,
    0xb03fcc00,0x03ff309f,0x3ff05fc8,0xb817f600,0x37d403ff,0x2fe41ff0,
    0x00fffc80,0x7fc46fa8,0x45fd0001,0xeeeeeeff,0x7c01eeee,0x999999bf,
    0xb0009999,0x7fc4009f,0x007fd002,0x43fe0ff5,0x90ff84fb,0x30bfe07f,
    0x32005ff9,0x6c5ff05f,0x2ff93f23,0x005ff000,0x4c5dff50,0x6fb805fd,
    0x2b3fe200,0x04ffaaaa,0xffc985ff,0x105fc802,0x555559ff,0x1ff109ff,
    0xff32ffa8,0x402ffcc0,0x7d4007f9,0x5401ff46,0x503fe27f,0x99fe65ff,
    0x37d4007f,0xaaacff88,0x6404ffaa,0x003ff05f,0x7fcc13fa,0x206fa805,
    0x017f20ff,0xa8017fc4,0x00ffc46f,0x3fe2fe80,0x23cb8002,0xffffffff,
    0x002fffff,0xff8009fb,0x009fb002,0x4bf20bf7,0xd2fc81fd,0x40bfe03f,
    0xfc802ffc,0x1ecbf905,0x017fc7ff,0x8002ff80,0xfdeffffa,0x6fb800ef,
    0x3fffee00,0x0fffffff,0xff902ff8,0x705fc805,0xffffffff,0xff881fff,
    0xf98ffd80,0x00dff107,0xfb000ffc,0xb804fd89,0x203fe25f,0x47f98ffd,
    0x3f6001ff,0xfffff704,0x01ffffff,0x1ff82fe4,0xf107ff00,0x1bea00df,
    0xbf907fc4,0x8017fc00,0x0ffc46fa,0x3e2fe800,0x5fd8002f,0x3ffffffe,
    0x22ffffff,0x007fd019,0xf9002ff8,0x209fb00b,0x2a0ff4fa,0x7fc0ff4f,
    0x007ff602,0x3fea0bf9,0x83ff27b3,0xff0002ff,0x3df50005,0x0019fffd,
    0xfe801bee,0xcccccccd,0x02ff83ff,0xfc807ff6,0x999bfd05,0x87ff9999,
    0xff880ff8,0xffd07f9c,0x037ec001,0x7e42ff98,0x224fd805,0xcff880ff,
    0x037ec7f9,0xfd02ff98,0x9999999b,0x2fe407ff,0xf9801ff8,0x00ffe81f,
    0x3e60df50,0x8017f20f,0xdf5002ff,0x0001ff88,0x017fc5fd,0x9002fec0,
    0x741fe60d,0x17fc002f,0x202ffa80,0xdf103ff8,0x3be20bf3,0x0bfe05f9,
    0x6406ff88,0x3bff205f,0x7c2fffee,0x5ff0002f,0x44df5000,0x06fb8001,
    0xd801ff30,0x202ff86f,0x3f206ff8,0x400ff985,0x07fc46fd,0x87fbffb8,
    0x44001ffc,0x7f4404ff,0x202ffa85,0x3fe23ff8,0xff7ff700,0x4404ff88,
    0x1ff305fe,0x3206fd80,0x003ff05f,0x3ff90dfd,0xb83fcc00,0x017f20ff,
    0xf5002ff8,0x001ff88d,0x17fc5fd0,0x4e800000,0xff01ff10,0x02ff8003,
    0x502bff60,0xcfe80bfd,0x3effa03f,0x700bfe02,0x2fe407ff,0x3ffffae0,
    0x002ff81e,0x50005ff0,0xf70000df,0x017f200d,0x5ff07fe6,0x903ffb80,
    0x00bf90bf,0x7fc43ff3,0x1ffff600,0x20007ff5,0xfa81dff9,0x2bff605f,
    0x222ff540,0x3ff600ff,0x1dff987f,0x3205ffa8,0x1ff9805f,0x3fe0bf90,
    0x217fdc01,0x44003ffa,0x7ffd43ff,0xf8017f20,0x8df5002f,0xd0001ff8,
    0x0017fc5f,0x037c0008,0x3f623bfd,0x17fc000f,0xffffd100,0x801dffff,
    0x3200fffc,0x3fe00fff,0x00ffd802,0x3a200bf9,0x26ffe00d,0x99999999,
    0x266ffe09,0x99999999,0x0000df50,0x3fe00df7,0xf89fd002,0x0ffd802f,
    0x2ff85fc8,0x7c49fd00,0x3ffe200f,0x2677fe67,0x99999999,0xeffff980,
    0x4405fffe,0xfffffffe,0x07fc40ef,0x20ffff10,0xfeeffff9,0x17fc05ff,
    0xf904fe80,0x266ffe0b,0x5ffda999,0x4cceffcc,0x09999999,0x3fb3bff2,
    0x17f20fed,0x5002ff80,0x9aff88df,0x01999999,0x4dffc5fd,0x99999999,
    0x400bfb09,0x2a2dbdfc,0x2fffefff,0x002ff800,0x7fffee44,0xffa800cf,
    0x037fcc06,0x3e200bfe,0x00bf905f,0x3ffe01ec,0xffffffff,0x3fffe2ff,
    0xffffffff,0x000df52f,0xf500df70,0x07fdc00f,0xff1005ff,0xfa8bf90b,
    0x43fee007,0x7dc00ff8,0x3fffee7f,0xffffffff,0xffb5104f,0x220059df,
    0xcfffffdc,0x400ff880,0x2a207ffb,0x02cefffd,0xf7003fd4,0x20bf901f,
    0xffffffff,0xffb84fff,0xffffffff,0x7fdc4fff,0x641fd4ff,0x0bfe005f,
    0x3e237d40,0xffffffff,0x3ffbaa7f,0x3fffffe2,0x2fffffff,0x6cc00bfb,
    0x7fd40dff,0xf0002eff,0x9880005f,0x27fc4001,0x3e027fc0,0x7ff7002f,
    0x5c00bf90,0x7ffffc02,0xffffffff,0x3fffffe2,0x2fffffff,0x70000df5,
    0x09fb00df,0xff1ffc40,0x0ffee005,0x04fd8bf9,0x7c4ffe20,0x27fd800f,
    0xfffffffb,0x04ffffff,0x10000130,0x0ff88033,0x2007fd80,0x13f60009,
    0xc83ff880,0xfffff05f,0x2039ddff,0xfffffffb,0x04ffffff,0x0bf90011,
    0xa8017fc0,0x7fffc46f,0x27ffffff,0x3e2ffffb,0xffffffff,0x5532ffff,
    0x88011000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaa0000,0x0002aaaa,0x4000aa60,0x00aa62a9,
    0x20d40260,0xcb8000a8,0x35510004,0x15540000,0x402aa800,0x204ffff9,
    0x80000aa9,0xffffedc8,0xb8803fff,0x9930000c,0x54000e5c,0x32e001ee,
    0x98009911,0x003d31cd,0x2001eea8,0x09999999,0x2639b300,0x3331001e,
    0x44003333,0x405950cc,0x2a7931cc,0x1fffffff,0x00000300,0x00004400,
    0x04c00033,0x20000000,0xffd00018,0x000bffff,0x000ffe20,0x7fc57fc4,
    0x273bf201,0xd8d900fb,0x0ffb0006,0x0037ec00,0x002ff980,0x202fffb8,
    0x103eeff9,0x1760bfff,0xffffb8f9,0x3fffffff,0x0069ad80,0x1fecff50,
    0x00ffdc00,0x1fe67fb0,0xfffff980,0xffb8007f,0x3fffe001,0xf9805fff,
    0x007fffff,0x3ffffff2,0x43fe2007,0x4bfe05fc,0xdddd36fa,0x2e203ddd,
    0x01bdfffd,0x3fa1ff50,0x3fff6a03,0xfd8804ef,0x4400dfff,0x1befffec,
    0x7fcbf700,0x7f654402,0x5000ceff,0x05555555,0x017ee000,0x7fbff300,
    0x7fee7d40,0x37fe206f,0xfb0002ff,0x2fe8000f,0x04fd8000,0xff9ff980,
    0xd00df300,0xf307fb7f,0x7cc7f95b,0xb99fffff,0x268009ef,0x7fa8000d,
    0x2e000ff6,0x3f6001ff,0x6400ff33,0x003bb517,0x4003ff70,0x2ccccccc,
    0xbb517c80,0x66654003,0x22004ccc,0x40bf90ff,0x00df52ff,0x77fffd40,
    0x9004ffff,0x640bf7bf,0xffffffff,0xbfff300e,0x2a03ffd9,0xfffeffff,
    0x25fb805f,0x3fea02ff,0xffffefff,0x0004c002,0x00077c00,0x2027fdc0,
    0x200ae24a,0x0001bdb8,0x22000062,0x7c40006f,0x2ff88005,0xdf301df7,
    0xff15fc80,0x87dfb705,0x27fffffd,0x2f2005f9,0x0000006a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x077fe605,0x2009ff93,
    0xf700effd,0x7feb987f,0xfc819fd0,0x41effb86,0x4c05ffb9,0x5402aa2a,
    0x6cc0aeff,0x3b2203ff,0x001befff,0x00000000,0x00000000,0xfffd9510,
    0x0000019d,0x00000000,0x00037cc0,0x3fffa000,0x017e67ff,0x0004ffa8,
    0xb8027fd4,0xffffffff,0x3fe2ffff,0xffffffff,0xff5007ff,0x3fffe009,
    0xffffffff,0x7fffffc7,0x27ffffff,0xf9804ff8,0x09ff5007,0x2003ff90,
    0x2fe41ffb,0x3e60bf90,0x1ffd403f,0xd0055440,0x17fcc09f,0x7fc03fee,
    0x3013fe22,0x400009ff,0xfc805ff8,0xdffff506,0x000bffff,0x3ffffff2,
    0xffffffff,0x3fffffe2,0x07ffffff,0x3ffe0bf9,0xffffffff,0xffff507f,
    0x05ffffdf,0x0027fd40,0x2013fea0,0xff9802ff,0xdf50df30,0x217f2000,
    0x27ffffff,0x3f6005f9,0x7ec0007f,0xfff7007f,0xffffffff,0x7ffffc5f,
    0x7fffffff,0x00fffb00,0x3ffffffe,0x7c7fffff,0xffffffff,0x3fe27fff,
    0x03fcc01f,0x8807ffd8,0xff9806fe,0x3205fc83,0x00bfd05f,0x26007ff2,
    0x007fe201,0x04fd89fb,0x06fd93f6,0x3005ff70,0x00ffc803,0x7dc2ff88,
    0x7fdcc1ef,0x7ffc4005,0xffffffff,0x3fe2ffff,0xffffffff,0x0bf907ff,
    0x3ffffffe,0xa87fffff,0x6cc0aeff,0xffb003ff,0xffd8000f,0x802ff807,
    0x0df30ff9,0x32000df5,0xffffd85f,0x4017e67f,0x002fdef8,0x05fbdf10,
    0x33333310,0x41ffd333,0x99999bff,0x88019999,0xf802fdef,0x999999bf,
    0x5ffc1999,0x99999999,0x3bffe219,0x201fe600,0x802fdef8,0x7f403ff9,
    0x640bf906,0x01ff885f,0x6c40ffa0,0xf80dffff,0x204c403f,0xeeeeeefe,
    0x3ff35fee,0x8827ec00,0x80dffffd,0x2aa003fe,0x3013fe20,0x7dc009ff,
    0x99bff99f,0x20999999,0x99999bff,0xf9019999,0x266ffe0b,0x19999999,
    0x6402ffc4,0xdef8806f,0xdf10002f,0x2ff805fb,0xf30ff980,0x000df50d,
    0x3fea17f2,0x17e67fff,0x37d67dc0,0xfacfb800,0xff900006,0x0002ff85,
    0x1beb3ee0,0x4000bfe0,0xf88002ff,0x3e604fff,0xfacfb807,0x03ff9006,
    0x7e403fee,0x2a17f205,0x2fec006f,0x766fffcc,0x5ffec1ff,0x7fffc000,
    0x6fffffff,0xfc800ff5,0xcdfff986,0x3fe21ffe,0x37ec0001,0x002ffb80,
    0x017fc7ff,0x0000bfe0,0x0bfe0bf9,0x007fe400,0x2e017fc4,0x0006facf,
    0x80df59f7,0xff9802ff,0xdf50df30,0x417f2000,0x267ffffd,0x15fd005f,
    0xfd0003ff,0x0003ff15,0xff83ffb8,0x3fa00002,0x7c01ff8a,0x5ff0002f,
    0xf9ff1000,0x01fe605f,0x07fe2bfa,0x221bfa20,0x17f203ff,0x5fc85fc8,
    0x7437dc00,0x237e40cf,0x9befffe8,0x0017fc00,0xfa800df7,0x640cfe87,
    0x003fe66f,0x001ff980,0x3ee013f6,0x000bfe0f,0xc80005ff,0x005ff05f,
    0xa800ffa0,0x457f400a,0xfe8001ff,0x3e01ff8a,0x0ff9802f,0x8df50df3,
    0x05fc8009,0xf99fffae,0xb0ff9805,0xff98009f,0x40009fb0,0x5ff05ff9,
    0x3fe60000,0xff809fb0,0x05ff0002,0xfb1ff100,0x80ff301d,0x09fb0ff9,
    0xfb0ffea0,0x205fc80b,0x04fd85fc,0xf707fd40,0x20bfe01f,0xdffffffc,
    0x040bfd01,0xf10017f2,0x807fdc3f,0x40df72ff,0x19999998,0xfc800ff5,
    0x7c4ff806,0x17fc002f,0x417f2000,0xf88002ff,0x4c00001f,0x009fb0ff,
    0x9fb0ff98,0x4c017fc0,0x50df30ff,0xdfffb1df,0x402fe407,0x017e67f8,
    0x07fa97f2,0xff52fe40,0x1bfe2000,0x00002ff8,0x03fd4bf9,0x7c000bfe,
    0xff88002f,0xf984ff88,0xf52fe407,0x87fe400f,0x7e400ffb,0x3a17f205,
    0x7fcc004f,0xfd813f60,0xffd95104,0x1ff907ff,0x2fed3fa0,0xd87fe200,
    0x653f604f,0x3fff206f,0x0df77fff,0x5c07fa80,0x017fc0ff,0x0000bfe0,
    0x0bfe0bf9,0x003fe600,0x54bf9000,0x2fe4007f,0x17fc0ff5,0xf987fcc0,
    0xefeffa86,0xf902fffd,0xf99fe00b,0x7c2ff805,0x0bfe002f,0xfd0005ff,
    0x567fc01f,0xaaaaaaaa,0x3e17fc00,0x2b3fe02f,0xaaaaaaaa,0x55567fc0,
    0x20aaaaaa,0x5ff50ff8,0x7fc07f98,0x88017fc2,0x02ff8dfe,0x3f205fc8,
    0x4005fc85,0x777f47fb,0x5feeeeee,0x9ffd7100,0x641dff88,0x001bee6f,
    0xeefe8ff3,0x5feeeeee,0x3f201ff5,0xf97fffff,0x1ff8800b,0x3fe13fa0,
    0xaaaaaaac,0x55567fc1,0x00aaaaaa,0x33fe0bf9,0xaaaaaaaa,0x881bee0a,
    0x01999999,0x05ff0bfe,0x3fe17fc0,0x999bff02,0xffb99999,0x3ea1be61,
    0x1bf620ff,0x7f802fe4,0xff5017e6,0x2a00df90,0x006fc87f,0x3e00ffe4,
    0xffffffff,0x3ea01fff,0x3e06fc87,0xffffffff,0x7ffc1fff,0xffffffff,
    0xd83fe21f,0x81fe60ef,0x06fc87fa,0x17fbfea0,0xf902fe40,0x800df50b,
    0x7fffc6fc,0x6fffffff,0xa87fc800,0xfffcdfff,0x5001fe61,0xfffff8df,
    0x16ffffff,0x7d4003ff,0x8800bfb7,0x1ff501ff,0xfffffff0,0xfff8bfff,
    0xffffffff,0x20bf901f,0xffffffff,0x3f21ffff,0x3ffff206,0x0ff507ff,
    0x3ea00df9,0xff06fc87,0xffffffff,0x3e61ffff,0xa81ffa86,0x00bf907f,
    0x405f99fe,0x1ff984fd,0xf984fd80,0x7ff7001f,0xddddff00,0x03dddddd,
    0x7fcc27ec,0xddddff01,0x83dddddd,0xeeeeeeff,0x3e21eeee,0x993fe20f,
    0x213f607f,0x32001ff9,0xf9000fff,0x442fe40b,0x3fa000ff,0x90017fc4,
    0x3ff1007d,0x9dfffb10,0x4003ff03,0x017fc4fd,0xa800ffa0,0x800df77f,
    0x13fa07f9,0x777777fc,0x77fc4eee,0xeeeeeeee,0x20bf901e,0xeeeeeeff,
    0x3ea1eeee,0xffff900f,0x13f60fff,0x36007fe6,0x81ff984f,0xcccccdff,
    0x30ffdccc,0x40ff50df,0x05fc80ff,0x02fccff0,0x55559ff1,0xf8809ff5,
    0xfaaaaacf,0x5ff9804f,0x0005ff00,0xaaacff88,0xff04ffaa,0x0bfe0005,
    0x503fe200,0x41fe65ff,0xaaaacff8,0x22004ffa,0x3f2002ff,0x7c17f205,
    0x7dc5b05f,0x102ff41f,0xff006fb8,0x6c07c803,0x5ff3006f,0x20205fe8,
    0xf5001ffc,0x5001fe6f,0x2bfea0df,0x2ff99999,0x0017fc00,0x7fc17f20,
    0x1ff88002,0x221fea00,0xaaaaacff,0x7fc404ff,0xffaaaaac,0x9802ff84,
    0x50df30ff,0x40ffc0df,0x4ff005fc,0x3fee05f9,0xffffffff,0x3ffee00f,
    0xffffffff,0x01bfe200,0x40002ff8,0xfffffffb,0xff80ffff,0x05ff0002,
    0xb01ff100,0x20ff31ff,0xfffffffb,0x2000ffff,0x3f2002ff,0x4c17f205,
    0x77fc43ff,0xffc84ffa,0x3e29fd00,0x03fd403f,0x3fe202ec,0x42ff4404,
    0x9fd00ffc,0x200fffc4,0x07fe7fd8,0xfd04fd80,0xffffffff,0x2ff8005f,
    0x82fe4000,0xfd0002ff,0x43fd4007,0xfffffffb,0x2e00ffff,0xffffffff,
    0x17fc0fff,0xf987fcc0,0x3e06fa86,0x005fc81f,0xd02fccff,0x999999bf,
    0x7f407ff9,0xcccccccd,0x3ffa03ff,0x00bfe000,0x999bfd00,0x07ff9999,
    0x3e0005ff,0xff88002f,0xf9cff880,0x999bfd07,0x07ff9999,0x90017fc0,
    0x02fe40bf,0x6441bff5,0xff106fff,0x6c6fc83b,0x7dc41cff,0x807e804f,
    0xfa81dff9,0x3bff105f,0xffa86fc8,0x7fdcc1bf,0x401bf65f,0xff982ff9,
    0xfeeeeeee,0x17fc002f,0x417f2000,0xf90002ff,0x1fea003f,0x333337fa,
    0x203ffccc,0xcccccdfe,0x7fc3ffcc,0x30ff9802,0x40df50df,0x05fc81ff,
    0x82fccff0,0x7ec00ff9,0x801ff306,0x3ff906fd,0x002ff800,0xb003fe60,
    0x005ff0df,0x2000bfe0,0xff700ff8,0x1ff30ff7,0x2006fd80,0x3f2002ff,
    0x5017f205,0xffddffff,0x3ea05dff,0x1fffcdff,0xfeffffc8,0xf7003fff,
    0x3e607b7d,0xfffeefff,0x6fffd405,0xf301fffc,0xfffdffff,0x4ff885df,
    0xd82ff440,0x017fc05f,0x0000bfe0,0x0bfe0bf9,0x0fffc400,0xf31ff620,
    0x06fd801f,0xfd801ff3,0x4c017fc6,0x50df30ff,0x40ffc0df,0x4ff005fc,
    0x0bf905f9,0xf903ff30,0x83ff300b,0xf8003ffa,0x3f20002f,0x41ff9805,
    0xff0002ff,0x1ff10005,0x43fffec0,0xff9805fc,0x005ff001,0xbf902fe4,
    0xfffb7300,0x3dff759d,0x9dfffb10,0x7ff6d403,0x22002dff,0x2201effd,
    0x2cefffda,0xdfffb100,0xeca88039,0x203dffff,0xfa81dff9,0x03ff305f,
    0x7c002ff8,0x7e40002f,0x0005ff05,0x20dfffd4,0x645fffb9,0x1ff9805f,
    0xf9805fc8,0x200bfe1f,0x0df30ff9,0x0ffc0df5,0x7f802fe4,0x17fc17e6,
    0xff84fe80,0x4c9fd002,0x99999dff,0x3e099999,0x999999bf,0x7fc09999,
    0xf89fd002,0x999999bf,0x3fe09999,0x9999999b,0x1ff10999,0x43fffc40,
    0x9fd002ff,0x800bfe00,0x17f205fc,0x32202600,0x0004c01f,0x200004c4,
    0x00980008,0x00004c00,0x7cc00131,0xfffeefff,0x2017f605,0x99999bff,
    0x2ffe0999,0x99999999,0x05fc8099,0x333337ff,0x30133333,0xffdfffff,
    0x5ff05dff,0x3e13fa00,0x49fd002f,0xff9802ff,0xdf50df30,0x7e40ffc0,
    0x7ccff005,0x2007fa85,0x1fea0ffb,0xf70ffb80,0xffffffff,0x7fc9ffff,
    0xffffffff,0x1fea2fff,0x3e0ffb80,0xffffffff,0x3fe2ffff,0xffffffff,
    0x1ff12fff,0x547ffb80,0x3fee007f,0x002ff800,0x5fc817f2,0x00080000,
    0x00000000,0x00000000,0x10000000,0x59dfffb5,0x400ffcc0,0xffffffff,
    0x3ffe5fff,0xffffffff,0x05fc82ff,0xffffffff,0x205fffff,0xffffeca8,
    0x00ff503d,0xff507fdc,0xf87fdc00,0x0ff9802f,0x2a7ddff3,0x207fe06f,
    0x4ff005fc,0x04fd85f9,0xfd8ffe20,0x4ffe2004,0xfffffffb,0x24ffffff,
    0xffffffff,0x362fffff,0x3fe2004f,0x3fffffe3,0x2fffffff,0x3ffffffe,
    0x12ffffff,0xffb001ff,0x22004fd8,0x2ff803ff,0x0017f200,0x00000000,
    0x00000000,0x00000000,0x30000000,0x01bf6001,0x7ffffffc,0x3fe5ffff,
    0xffffffff,0x5fc82fff,0xfffffff0,0x05ffffff,0x36002620,0x3fe2004f,
    0x88013f63,0x005ff3ff,0x3fe61ff3,0x40df54ff,0x05fc81ff,0x02fccff0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00440000,0x00440000,0x06001310,0x22000880,
    0x00000001,0x00100000,0x00000988,0x00000000,0x00154000,0x00130000,
    0x00000000,0x04400000,0x20009800,0x00000018,0x00000000,0x00000000,
    0x00000011,0x00000000,0x805fe800,0x5c4007fd,0x01dffffd,0x00bdfeb8,
    0x74401be6,0x7ffed406,0x7cc1fd8d,0x809f3006,0x402dffeb,0x03ff16fc,
    0x0cefec98,0x03effd98,0x32206e88,0x5001cefe,0xd9300bff,0x7dc0039d,
    0x997d001f,0x7fcbf700,0x7ec67d42,0x20003fff,0xb0000ffc,0xffa807ff,
    0x2ff87fd0,0x39dfffb3,0xffb19f30,0x0bf007df,0x17f25ff1,0x03ff2fe4,
    0x2002ffd8,0x7cc04ff8,0x3fe6003f,0xdb80bff2,0xff33efff,0xdfffffff,
    0x2ff97ee0,0x802ffc00,0xa8003ffd,0xfe8800ef,0xffff3003,0x209ffffd,
    0xffffffe9,0x006ffb82,0x7fd403f9,0x1feeffcf,0x2201bfee,0x3ffa206e,
    0x7405ffff,0x5c03fdbf,0x0fffefff,0x07f557f4,0x7c407f60,0x02fffeff,
    0x027effcc,0x5fffdff9,0x400ffa00,0x3ee01a59,0xbf50bfe5,0x7fffbdfd,
    0x05ff1000,0x3fbbee00,0x7e6fe401,0xffbaff85,0x42ffffef,0xfdffedf9,
    0x0fe602ff,0x077d7fd4,0x07fe5fc8,0x01fedfb8,0x2a00df90,0x53f6007f,
    0x3f200efa,0x9dffedff,0xffffffff,0x7cbf706f,0x3bee002f,0xfeefb800,
    0x00ff4001,0xf300df10,0x7ed415bf,0x8bffe83f,0x3f61ffb8,0x3fa806fb,
    0xb82ffe20,0xf7fb1fff,0x403fb00d,0xff712efd,0x27ffc407,0xea8bfea0,
    0xfc86a26f,0xe80fea02,0x3ff711df,0x7f4ffa20,0x2a1ef982,0x2fd401ff,
    0x01663a00,0x40aa86a6,0x7ec1effa,0x04fb8006,0xf31ff300,0x6ffe801f,
    0x839ffff0,0x3e60ffe9,0x1ff621ef,0x3f201fc8,0x86a601ff,0x1ff300aa,
    0xf8801df5,0x0ff2000f,0x1fe9be20,0x882fff20,0x999ffefe,0x53009999,
    0xd0005545,0x1ff3003f,0x22001ff3,0x0a98001a,0xd013fe60,0x0ffdc1ff,
    0x3e1537d4,0x2037c406,0x3ff705fc,0x2a037c2a,0x41ffc03f,0x154c06fc,
    0x7cc27f40,0x04fd980f,0xffa81be2,0x5304fd80,0x7f4154c5,0x4c05fb81,
    0x66cc000a,0x7d400000,0x00ff981f,0x50001540,0x200d5435,0xfff00aa8,
    0x337f440b,0x1ff505ff,0x2aa01ba0,0xaa800001,0x51006aa1,0x00550003,
    0x806a2151,0x3fa04ff8,0x0000007f,0x54006a20,0x8006aa1a,0x01980019,
    0x260077ec,0x41bf64ff,0x06f81ff8,0x3fa007ec,0x3e07fe01,0x301be206,
    0x0ff301ff,0x6f980110,0x3ea032e0,0x803f603f,0x0df705eb,0x37d40110,
    0x4400ff88,0x00998000,0xfa804cc0,0x3003fe07,0x8000c401,0x20000099,
    0xffb806ff,0xf101ff31,0x009f101f,0x00000133,0x00000000,0xc8019800,
    0x3ffd406f,0x000cc000,0x4c000998,0x3ff62001,0x36200dff,0xf80dffff,
    0xe835001f,0x213f603f,0x00bee06f,0x1fe803fe,0x03f606f8,0x3ee0bfe0,
    0xbfffb306,0x009f9017,0xfb84fa80,0x27ec0002,0xbdfffd98,0xfd027e40,
    0xbfffb305,0x7ff54017,0x3aa03fff,0x543fffff,0x207fe06f,0x1effffeb,
    0x05bffff5,0xfffffea8,0xff037d43,0x7c013fe1,0x7c0ff33f,0x502fa81f,
    0x87fffffd,0x43fe06fa,0x43fe06fa,0x43fe06fa,0x03fe06fa,0x37ffffa6,
    0xd007ff00,0x3a6000ff,0x400dffff,0x3fffffea,0x3ffffa60,0x3ffe600d,
    0x981ffecd,0xffecdfff,0x0003fe61,0x3f603fe8,0xbf306f85,0x401ff100,
    0x706f81fe,0x3bf6005f,0x220ffa20,0x5ffddfff,0x79513fd8,0x7c437301,
    0x0002fcc5,0x3e20bfe6,0x45ffddff,0x0ff603fe,0xffbbfff1,0x33bff20b,
    0xfc84fffd,0x4fffdcef,0x1ff81bea,0x7ee6ffec,0xeceffdff,0xdff902ff,
    0x549fffb9,0x7c3fe06f,0x29fd003f,0x07fe06f9,0x3ff203f2,0x24fffdce,
    0x43fe06fa,0x43fe06fa,0x43fe06fa,0x03fe06fa,0xffdbfff5,0x02ff883f,
    0xa8007fc8,0xfffedfff,0xb9dff901,0xff509fff,0x03fffdbf,0xdf9033fa,
    0xfc819fd0,0x0001fee6,0x3fe20dfb,0x1dd06f85,0xf807fe00,0xf986f81f,
    0x6ffe4005,0xfe883ffd,0xd0bfa20c,0xfffff75f,0xdaaef887,0x0007742f,
    0x417ff5c4,0x3a20cfe8,0xc80ffa2f,0x833fa24f,0x7fc42fe8,0x7c47fc81,
    0x2a7fc81f,0x987fe06f,0xfffe80ef,0x2207fcc1,0x27fc81ff,0x43fe06fa,
    0xbfb003ff,0x1ff81be6,0x1ff886f8,0x1bea7fc8,0x0df50ff8,0x06fa87fc,
    0x037d43fe,0x67fc41ff,0xf31bf660,0x5ff9003f,0x81555555,0x3660cff8,
    0x81ff886f,0x67fc47fc,0x2e1bf660,0x45ff00ff,0x5ff00ffb,0x700017f2,
    0xdff701ff,0x03f90df0,0xf8817f40,0xee86f81f,0x7ff44000,0x6fb80eff,
    0xdff8bf50,0x3fffbbff,0x21f7ff54,0xf70001fc,0xdf701bff,0x2fe97ea0,
    0x6fb93f20,0x5eb8bf50,0x75c1ff30,0x2a1ff305,0xb87fe06f,0x09ff903f,
    0x0bd717f2,0x37d43fe6,0x0bfe1ff0,0x6f9afe40,0x7f307fe0,0x3e60bd70,
    0x7c0df50f,0x7c0df50f,0x7c0df50f,0x7c0df50f,0xf81bf20f,0x003fea3f,
    0x3fffffee,0x37e41fff,0x5eb87ff0,0x7e41ff30,0xfb0ffe06,0xfb27ec09,
    0xfca7ec09,0xffe80005,0x5fefd99c,0x2e09f500,0xb837dc1e,0x3f9001ff,
    0x20566dc4,0xfebadffb,0x001fe42f,0x3ee13ffe,0xfa80880f,0x4c03d704,
    0x643ffeba,0x0bfe003f,0x0ff25fb8,0x1ff10000,0xa87fc400,0x007fe06f,
    0xf300ffa8,0x0ff8800d,0x87fc0df5,0xbf9002ff,0x1ff81be6,0x44000fdc,
    0x40df50ff,0x40df50ff,0x40df50ff,0x40df50ff,0x80bfa0ff,0x01fea5fb,
    0x77777fdc,0x17f41eee,0x8800bf70,0x80bfa0ff,0x777f45fb,0x5feeeeee,
    0x3bbbbbfa,0xff75feee,0xffd30000,0x0bf59fff,0x3ea0df10,0x977fc41f,
    0x801fffc9,0x37fe24fa,0x07fe66fe,0x2fe83fee,0x407ffc00,0xf1003ff8,
    0x007fea0d,0x3fa0ffb8,0x80bfa002,0x00bfa4fc,0xfedca980,0xb95300ff,
    0x3ea1fffd,0x4407fe06,0xeffffdca,0xffeeeeee,0xfdb95300,0x81bea1ff,
    0x005ff0ff,0x037cd3f6,0x807d83ff,0xfffedca9,0x7fc0df50,0x7fc0df50,
    0x7fc0df50,0x7fc0df50,0xfa807fe0,0x2003fe66,0x7fc007fc,0x981bea01,
    0x0fffedca,0x6fa807fe,0x7ffffffc,0x3fe6ffff,0xffffffff,0x001ff36f,
    0xcedb8022,0xfb009f72,0x03fff301,0xbffffff3,0x6f8803ff,0x23fb0fe4,
    0x8bfe06fc,0x7f4001ff,0x4013f605,0xfff980fd,0xf17fc001,0x1fec003f,
    0x0ffc7fb0,0x7fff5400,0x540ffcef,0xfceffffe,0x7c0df50f,0x7fff4c1f,
    0xfffffdef,0x41ffffff,0xceffffea,0x40df50ff,0x005ff0ff,0x037ccffa,
    0x02fc43ff,0x9dffffd5,0x81bea1ff,0x40df50ff,0x40df50ff,0x40df50ff,
    0x01ff10ff,0x3ff13fcc,0x400ff900,0x3e600ff8,0xffffea87,0xff10ffce,
    0x3e3fcc01,0x17fc002f,0x4007fe00,0x7e4006fb,0x441fdc03,0x9101fcee,
    0x03fe7bfd,0xfb001fb0,0xfc80bfa1,0xb000bfa5,0x02fe407f,0x77c41fdc,
    0x7e4001fc,0xc800bfa5,0xe8bf603f,0x7fd4002f,0x83fe21bd,0x221bdffa,
    0x40df50ff,0x37fea1ff,0x001fea1b,0x886f7fea,0x20df50ff,0x05ff0ff8,
    0x37ccffe0,0x17d43ff0,0x21bdffa8,0x0df50ff8,0x37d43fe2,0xdf50ff88,
    0x7d43fe20,0x7c1ff106,0xf17ea01f,0x0ffd007f,0x2a01ff80,0x5effd45f,
    0xff83fe21,0xfd17ea01,0x2ff4040b,0x00dfd010,0x019893fa,0x5f8807fe,
    0x03f73fd0,0x5c01ff00,0x25fb803f,0x97f203fe,0x833603fd,0x0ffa05fc,
    0x3fa0bf30,0x0ff61fb9,0x0ff64fe8,0x0bf70cd8,0x07fb07fc,0x09fd066c,
    0x4fe83fe6,0x2201ff30,0x827f400a,0x20600ffa,0x1ff304fe,0x7fcc1bea,
    0xf5005ff0,0x0ffc003f,0x13fa01f9,0x6fa87fcc,0x3ea1ff30,0x2a1ff306,
    0x21ff306f,0x1ff306fa,0x9f7017f4,0x7cc06fc8,0x17f4007f,0x4fe89f70,
    0x7f41ff30,0xf913ee02,0xc93fa01f,0x49fd00ff,0x7e404ff9,0x541bee1f,
    0x407f406f,0xc83f71fd,0x40df502d,0x7ec405f9,0xf882fe45,0x541bee3f,
    0x407fc47f,0x7f401ff8,0x3f71fd80,0xff983fe4,0x7d41bee3,0x2a03fe27,
    0xa837dc6f,0xb817fc7f,0x40bfe1ff,0xff301ffb,0x03ff101d,0x7dc0bff6,
    0xfb817fc6,0x2e0ff31f,0x005ff0ff,0xff800bfd,0x2ff81ba1,0x3e63ff70,
    0x261ff707,0x21ff707f,0x1ff707f9,0x7fdc1fe6,0xfe817f20,0xb017fc42,
    0xfc800fff,0xff0bfa05,0xc87fee05,0x10bfa05f,0x6fc83bff,0x320effc4,
    0x1cffa86f,0x10fff6a2,0x0ff985ff,0x3e20bf20,0x22efeeef,0x7fc40efb,
    0x8803fa04,0x3ff983fe,0xf107fe44,0x27f4419f,0xfb1077ec,0x882fc80d,
    0x2efeeeff,0xfd987ff3,0x1067fc46,0x45fc89fd,0x7fc41fe8,0xb13fa20c,
    0x3fff50bf,0x7fd42fec,0x81fe401f,0xfffc84fd,0x20ffcc1f,0xfffa85fd,
    0xfa87ff11,0x885ff0ff,0x005ff911,0x4f887fcc,0x3ea17f60,0x87ff11ff,
    0xff10fffa,0x10fffa87,0xfffa87ff,0xfa87ff10,0x33fe20ff,0x203bf660,
    0x7ec43ffc,0x99999ffe,0x67fc4199,0xb03bf660,0x3fff50bf,0xb3067fc4,
    0xfff501df,0x503fff9b,0xfff9bfff,0x3ffff203,0x704ffffe,0x5ffb9dff,
    0xa8827cc0,0x21cfdaaa,0xfecdffe8,0x80bf205f,0x0999bfe8,0x3f73bfee,
    0xfffa82ff,0xd106ffdd,0x1dffbbff,0xa8827cc0,0x21cfdaaa,0xffecfffb,
    0xdfffa81f,0xfe886ffd,0x504ffdce,0xdffbbfff,0xd97dff30,0x7cc5fdbf,
    0xedfecbef,0xfeba982f,0xb7dff501,0xdff91bff,0xf309ffd9,0xdbfd97df,
    0x677fe45f,0xff0fedfe,0xfffffc85,0xdffb5004,0xff300fdc,0xfdbfd97d,
    0x7677fe45,0x3f20fedf,0xfedfecef,0x3b3bff20,0x3f20fedf,0xfedfecef,
    0x6efffdc0,0x3f200eff,0x9dffddff,0xffffffff,0x7ffdc1ff,0x980effdd,
    0xdfecbeff,0x7ffdc2fe,0x200effdd,0x1cefffd8,0x3bfff620,0x7fed401c,
    0x5401efff,0x202dfffc,0x7dc006e8,0xfffdb881,0x013e603e,0x7ffffffb,
    0xeffffe98,0x3fffa601,0x7fe400cf,0x3e200dff,0x40fdc006,0x0dffffea,
    0x3ffffa60,0xfffb100c,0xffe9807b,0xff700cff,0x17f25fff,0x25fffff7,
    0xdffc85fc,0x7fffdc03,0x7fff5c2e,0x3ffee02d,0xb8bf92ff,0x1fd4ffff,
    0xffd90bfe,0x7fe4007f,0x2e01f61f,0xf92fffff,0x4ffffb8b,0xfffb81fd,
    0xfb81fd4f,0x81fd4fff,0xfd4ffffb,0xdfffd301,0xffb70019,0x3ffe69df,
    0x1fffffff,0xcefffe98,0x3fffee00,0xd30bf92f,0x0019dfff,0x04c0004c,
    0x00199800,0x072a0030,0x30015300,0x2a012e00,0x00aaaaaa,0x33000331,
    0x20031000,0x54c001ca,0x00066200,0x01300066,0x4c003300,0x04cc0009,
    0x26000200,0x40018801,0x04400099,0x00022000,0x001540cc,0x08800133,
    0x20004400,0x00440008,0x20000980,0x20000009,0x04cc0009,0x00009800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00600000,
    0x80026026,0x004c4009,0x00130011,0x00000000,0x98004400,0x00098000,
    0x40000310,0x00400000,0x02000000,0x54000000,0x40000001,0x2000a008,
    0x00fe20fa,0x98805544,0x20880000,0x4c0182fe,0x200b70ac,0x07d401aa,
    0x3e0007f1,0x5403fe8f,0x003fe06f,0x02ff4000,0x20007fd8,0xff8806fe,
    0xf9cfa80f,0x8bf102ff,0x3b2202fa,0xb82effff,0xeffec86f,0x800fb00b,
    0xfe803ffd,0x1001ff76,0x3f6209ff,0x0fe601df,0x3fff6a20,0xffd9801e,
    0x2000adff,0xacfffdb9,0x7edcc000,0x7000acff,0x00bfe2df,0x0073ff6a,
    0x4005ff50,0x7cc04cbe,0x8809fb1f,0x2dffffdb,0x27fc4bf2,0x1f6abba0,
    0x703ff980,0xfb8000df,0x0f90bfa1,0x7effffdc,0x04ff8805,0x07daaee8,
    0x3fa3fe00,0x7d4bfea3,0x7403fe06,0x801ff54f,0xd1000efa,0xff30007f,
    0xdfbfd001,0xffffbf50,0xf90fea03,0x3fffea03,0x20effffe,0x6ffec6fb,
    0x3f705ffd,0x3fbbee00,0x7c3fe601,0x0bf9002f,0x17f56fec,0xffb007d8,
    0x405fff9d,0xffeffffc,0x7f4403ff,0xffecabdf,0xdffe8803,0x03ffecab,
    0x09fb9fb0,0xffd9ff90,0x06fc8001,0x5c034b30,0x4c05fbef,0xffeeffff,
    0x7d44fcdf,0x3ff6600f,0x3fe6002d,0x000df703,0x8baa1ff8,0x4d7a07f9,
    0xf8801dfc,0xffd9804f,0x3fe0002d,0x93f62ea8,0x03fe06fa,0x0ffd7fc4,
    0x2000ff40,0xfd8007f8,0xfb5fc802,0x51effa89,0x1fa17dc0,0x260effdc,
    0xb910effb,0xff1077e4,0x3007f303,0x01ff31ff,0x027d4bf6,0x3e00ff88,
    0x3e61be66,0x21ffc803,0xfb80ffc8,0x3f660adf,0x05ff304f,0xf302fec4,
    0x2fec405f,0x02fff440,0x7fb07fc4,0x003fb000,0x6c01663a,0x3e600eff,
    0xfffb81ef,0x1009f705,0x15510001,0x00017260,0x260f83ff,0x4000007f,
    0x022001aa,0x7c3fe000,0x6fa8df30,0xfa803fe0,0x1a8803ff,0x00153000,
    0xaa8802a8,0x7d415510,0x81fb002f,0x04ff886f,0x49737fcc,0x04fc82fd,
    0x435500df,0x4c5501aa,0x806a2002,0x743fc4f9,0x209fd007,0x37fc43ff,
    0xf107fee0,0x13f6003f,0x20207fe2,0xaa8804fd,0x545fb800,0x1a88006f,
    0x0019b300,0xf8802aa2,0x2ffdc04f,0x03300550,0x99002200,0x21ff8000,
    0x003fcc4d,0x00066000,0x3fe0c000,0x502a65c8,0x007fc0df,0x19800aaa,
    0x80033000,0x26200198,0x003fea01,0x213e6374,0xff5006fd,0x0ffc1d35,
    0x0fc817ec,0x00006600,0x17066200,0x41fd0bee,0xff8803fa,0xfc839501,
    0x46fd801f,0xbddd91fd,0x6c1fd839,0x3bff661f,0x2007f60c,0x8df70019,
    0x998004fc,0x22000000,0x037f4019,0x007ffbe6,0x3ffffa60,0x7fecc00d,
    0x0f4c0bdf,0x3ff20130,0x7f41bfff,0xdf50ffff,0x6c407fc0,0x540dffff,
    0x203fe06f,0xf8cfffda,0xdf50018f,0x30007fc0,0x7ffff4c0,0x7ff4c00d,
    0x36600dff,0x301effff,0x83dffffb,0x3ff607fa,0xffffffff,0x05ff34ff,
    0x1077fec0,0x07f981ff,0xfb100bea,0xfa81bfff,0x2a03fe06,0xfccffffe,
    0x47f89f51,0x5ff1006e,0x002a8800,0x363f8ff3,0x42fecccf,0xff31fc4f,
    0x4f8bf737,0xbffffd30,0xa9ffc401,0xfd5001ff,0xfa87ffff,0xb303fe06,
    0xf03dffff,0x477c403f,0x84fc85ff,0xffedfffa,0xbfff101f,0x5198bffb,
    0xffffb19f,0xeeffeb85,0xeeffec82,0x7fc0df50,0x66fffcc0,0x1bea1ffe,
    0x7fcc0ff8,0x0ffeffcf,0x37d44fc8,0x3ea01ff0,0x542fff9c,0xfffedfff,
    0xdbfff501,0xff303fff,0x85fff99d,0xffcceff9,0xc81bea2f,0xeeeefeee,
    0xff53eeff,0x40ffc800,0x03fd87f8,0xff9813e2,0x21ffecdf,0x03fe06fa,
    0xffd9fff9,0xf337cc9f,0xf001fd4d,0x8000007f,0x43f31ff8,0x36c5f86d,
    0x5437c3f3,0x3ea1b61f,0x1fffedff,0x3ff7fee0,0x9dff9003,0x7d49fffb,
    0xf983fe06,0x2fffccef,0xfe881fe6,0x9f90ffb1,0x260cff88,0xcfe886fd,
    0x540bfa20,0xffdefedf,0x401ff82f,0x06fa87f9,0x19fd03fe,0x1bea6fc8,
    0x3fe20ff8,0x03ffee0c,0x0df513f2,0x7d403fe2,0x221ffffd,0x3f660cff,
    0x20cff886,0x4fc86fd9,0x27e45fd8,0x0df52fec,0x0fd07ee0,0xfa800df7,
    0x263fc40f,0x207e807f,0x37e40cfe,0x07fc0df5,0x7d417ff5,0x75efec5f,
    0xb001ba1f,0x555400bf,0xaaaaaaaa,0xf73ffaaa,0x227c46d8,0x7ccf70fa,
    0x441f5004,0x3f660cff,0x0f7ff406,0xc81ff880,0xf81bea7f,0x3613f20f,
    0xe81bee5f,0x903fee1f,0x206fc89f,0x837dc3ff,0xdff505fa,0xff86fd83,
    0x543fcc01,0xb83fe06f,0x25ff00ff,0x83fe06fa,0x1ff705fc,0x6fa89f90,
    0x2a01ff30,0xfc851eff,0xf90ffe06,0x361ffc0d,0x6c2c882f,0x2a2c882f,
    0x81fb006f,0x005fc85f,0x3e20ffc4,0x64037d47,0x00ffb81f,0x81bea5ff,
    0x213fa0ff,0x75c1ffee,0x00bea1df,0x7fffffdc,0x3fff605f,0xffffffff,
    0x8bd4ffff,0x1fecbaed,0x2e5e97c4,0x45f1001f,0x0ffe06fc,0x0077ffec,
    0xff305eb8,0xff81bea1,0x3220bf60,0x7ec17f62,0x320ffcc2,0x7017f44f,
    0x003fc8bf,0xf303ff50,0x9803ff0f,0x206fa87f,0x813f60ff,0x40df54fd,
    0x40bf60ff,0x4fc80ff8,0xffb83fcc,0x405ff500,0x17ee02fe,0x2fdc05fd,
    0x2002fff2,0x5400bffc,0x98df006f,0x005fd84f,0x3e20ffc4,0x2027fc47,
    0x04fd83f9,0x037d53f6,0x03fe21ff,0x207fb3f9,0x5edc6e80,0x7ffffdc0,
    0x3ff605ff,0xeeeeeeee,0xbd4ffeee,0x04ffefd8,0xfb97a5f1,0x745f1001,
    0x317ee02f,0x4bff5dfd,0xff100018,0xff81bea1,0x002fff20,0x07f909fb,
    0x4fc83ff1,0xdf500ffc,0x50002fe8,0x03fe20ff,0x7ff403ff,0x0df50fff,
    0xddfd07fc,0xbfdddddd,0x0ff81bea,0x0ff807fe,0x7fc44fc8,0x807ffd43,
    0x3fe00ffa,0xff1bea01,0x2237d403,0x01befffe,0x37dfffd1,0xf100df50,
    0xfb82fb8b,0x43fcc006,0xdffb87f8,0x3fa17e00,0xeeeeeeee,0x7c0df55f,
    0xfa8ff30f,0x2e009f93,0x3ffbfa2f,0x2005ff04,0x7f4005fc,0xb16d8f93,
    0x321f501f,0x0540fea7,0x00ffc1f5,0x0dff8df5,0x17f69ff5,0xffdb9530,
    0xf81bea1f,0x3fffa20f,0x45fc81be,0x0ff504fb,0x07fc49f9,0x1ff8ff30,
    0x40df5000,0x00ffc0ff,0x21ddffdb,0x83fe06fa,0xffffffff,0x0df56fff,
    0x0ff887fc,0x3f203fa0,0xeceffb84,0xf500fedf,0x007fc40f,0x07fc4ff3,
    0xf910ff30,0x101dffff,0x1dfffff9,0xdd9037d4,0xdffdddff,0x01fe67dd,
    0xff10df50,0x407bfea0,0xfffff87d,0x56ffffff,0xa87fc0df,0xfb97e26f,
    0x7ccdf005,0xfd03fb14,0x01fee005,0x87e65ff0,0x36c3746d,0x21be23f3,
    0xf89b62fa,0xa9fe600f,0xfaffc87f,0xfffd502f,0x2a1ff9df,0x103fe06f,
    0x1dfffff9,0x0bf537dc,0x27e42fdc,0x5fa807fe,0xa80017f4,0xf03fe05f,
    0x87f9803f,0x1ff106fa,0xf50017fc,0xf83fe20d,0x203fe01f,0xffd904fc,
    0x5403fa9f,0x00ffc06f,0x01ff8bf5,0xd73017ea,0x5cc01fff,0xdf50fffe,
    0x7ffffec0,0x4fffffff,0xfd8007fe,0x2207f884,0x85f707fe,0x3ea002ff,
    0x261ff106,0x9f91ba7f,0x7e45f700,0xff10fee1,0x07fe6001,0x7f0ffcc0,
    0xf13e636c,0x3bee3f89,0x27c5fc9b,0x5fa807fe,0x7fec13f6,0x7bff506f,
    0xfa87fc43,0x401ff106,0x30fffeb9,0x80bf53ff,0x44fc83fd,0x13ee02fe,
    0x066c07fb,0x1ff02fd4,0x7cc01ff8,0xf306fa87,0x102ff41f,0xff306fa8,
    0xf8817ec1,0x404fc80f,0xf501fc08,0x202fe80d,0x017f44fb,0x260109f7,
    0xf98042ff,0x3600d42f,0xe817e20f,0x5ff3006f,0xf880ff10,0x744f881f,
    0xdf50205f,0x7c43fe60,0x7ec0fc9f,0x7f46f802,0xbf513e60,0x005fe800,
    0xb1fd8dfb,0x3f63fb0d,0xff50fec1,0x0fec19df,0x4fb80bfa,0x7f4413f6,
    0x209fd03f,0x0df50ff9,0x20103fe6,0x37f62ff9,0x3fea00ef,0x7e44fc82,
    0xf70bfa05,0x541fea0d,0xf03fe05f,0x87f9803f,0x1ff707f9,0xfe807fe4,
    0x3ee0ff34,0x5c1bee0f,0x04fc80ff,0xf5017c40,0x205fc80d,0x02fe42fe,
    0x01ff85fd,0x80ffc7fd,0x17ff43fe,0x027cc6f8,0xe8809ff1,0x44ff105f,
    0xdd02fe82,0xfd00ffc8,0x7dc1fe69,0x0bfbfe0f,0xfb803ff3,0x9f507f42,
    0x54000fe8,0x7fdc02ff,0xb001fd82,0x107f605f,0xf905fb01,0xf517f40b,
    0xdffd101f,0x2e05ff01,0x20ff31ff,0x07fe0ffb,0xfff31ff4,0x827f4401,
    0x67fc44fc,0x103bf660,0x7f4419ff,0x7c0bf504,0x2017f40f,0x7fc41ff8,
    0x107ffd43,0x6fc83bff,0xff50ffe2,0x067f441f,0xf901fff5,0x04f88009,
    0xff101bea,0x077ecc19,0xd9833fe2,0x077dc0ef,0xefb83fe6,0x4407fcc0,
    0x5c4f886f,0x6ffcc02f,0x205ffa81,0x43ff17f8,0x83f207f9,0x7e41dff8,
    0xf50ffe26,0x2ffdc1ff,0xf1013faa,0x7dc3fb0d,0x597bfd13,0xffd81883,
    0x05ffc884,0xfd880bf6,0x1017ec02,0x3fe205fb,0x03bf660c,0x7f443bff,
    0x7ec0efff,0x11fffa85,0xfffa87ff,0xf303bee0,0x6fffc41f,0x02ffdc40,
    0xfff709f9,0x201dffbb,0xffddfffa,0xf817ea06,0x1fffec0f,0x643ffff0,
    0xedfeceff,0x6fffd40f,0x7e41fffc,0xfedfecef,0x767ffcc0,0xfc80ffef,
    0xbcfe8004,0x201bea0e,0xffddfffb,0xbfff700e,0x3a01dffb,0x4ffecdff,
    0xfecdffe8,0x2fedd44f,0x03f21fd4,0x3bfffe60,0x4405fffe,0x377fee7f,
    0x0fea03ff,0xff9bfff5,0xceffc83f,0x220fedfe,0xffecefff,0x40fdc00e,
    0x0fe88dfa,0xfffffff7,0x320dfddf,0xffedefff,0xdffd804f,0x02ffecab,
    0x957bffb0,0xfb805ffd,0x0effddff,0xfedfffb8,0x46ffa9ef,0xfecbeff9,
    0x3ff22fed,0x0fedfece,0x7f66fff4,0x3f3fa24f,0xfffeefff,0x9827e405,
    0x00cefffe,0x67ffff4c,0xf817ea00,0x2fff440f,0xb85ffd50,0x1fd4ffff,
    0x9dfffb10,0x3fffee03,0xfb301fd4,0x01fd1bff,0xd50009f9,0x06fa89df,
    0x9dfffd30,0xfffe9801,0x3f6600ce,0xb302efff,0x885dffff,0xfc80ceff,
    0x71003f41,0x059dfffb,0xfeb8ff10,0x2fc404ff,0x677ffec4,0x9ffff701,
    0xdbfd83fa,0x400cffff,0x3ff206f8,0x2b7e22ff,0xffffdb99,0xfffb500e,
    0x4c005bff,0x0aceffdb,0x7fedcc00,0xd3000ace,0x4019dfff,0x0cffffe9,
    0x3fee0fea,0x8bf92fff,0xfd4ffffb,0xffffd981,0xc897ec2e,0x02ceffff,
    0x09804fc8,0x20033000,0x03fe05fa,0x40110008,0x01300008,0x18000440,
    0x0013f200,0x00df5008,0x26000130,0x04cc4000,0x40099880,0x15414c00,
    0x00013000,0x2a001880,0x10004c02,0x09839001,0x10072600,0x33002057,
    0x004c4001,0x00000800,0x04c00004,0x08026200,0x20004cc0,0x4cc40008,
    0x26205100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x91654000,
    0x3100000b,0xdf900001,0x0bfe12a1,0x7fc3fe60,0x06620002,0x00026600,
    0x7cc00000,0x00002741,0x00b91654,0xf0000ff7,0x802fe41f,0x1f980ff9,
    0x00880274,0x00000000,0x6666665c,0x5004c04c,0x6c0000df,0x200bfe4f,
    0x0ff50ff9,0x20007fc4,0x406200ff,0x00188008,0x00ff8018,0x3f2007fb,
    0xffffffff,0x222fffff,0x800ba1bb,0x20005ffb,0x7fe406fe,0x7404fdff,
    0x881ff54f,0x7441fffe,0xffb801ff,0x02ff84ff,0x5ff0ff98,0xb301ff90,
    0x403dffff,0x3fffffea,0x7fc5bf20,0xfe87fd42,0x6d5f6c04,0x4ff8800f,
    0x6ffffe40,0x07fb804f,0x7e666440,0x00bf93cf,0x76c03fe6,0x2600fdab,
    0x40bdfffd,0x40ff52fe,0xfeb882fb,0x3ffe03ef,0x40ffffff,0x0dffffe9,
    0x000037d4,0x017fc9fb,0x3ff07fcc,0x20017ee0,0xfffc80ff,0x3ea0fdc5,
    0x1dfffe8c,0x57fff6a0,0x403fe0fe,0xff8803fd,0xffffffff,0x3e2fffff,
    0x01feefff,0x07fbff30,0x801ff500,0x01bfb54f,0x1ffaff88,0xd86effe8,
    0x2200efdf,0xff01fffc,0x21ff3005,0x0ffc42fc,0x7e677fcc,0xeffc82ff,
    0x204fffdc,0x903fdcfd,0x300bf7bf,0x2005dffb,0x54f805fc,0x950019fb,
    0xfff98009,0xbf96ffff,0x403fe600,0x202effd9,0xffddfff8,0x7fa97f45,
    0xf985ff50,0x0effffff,0x55557fcc,0x7ffd42aa,0x2a2fffdd,0x3600006f,
    0x200bfe4f,0x13f20ff9,0x7c0017f4,0x77ffd40f,0x3ea0ffc3,0xfffceffe,
    0xecfff980,0x3fe0feef,0x7007fb00,0x37ff33ff,0x13333333,0x3fae27ea,
    0x15fd1003,0xfd8005ff,0x98000002,0xff883fff,0x3eedf701,0xf77ff505,
    0x200bfe0b,0x903e0ff9,0x213f207f,0x0ffc45fd,0xff103fe4,0xeffd80bf,
    0x10004000,0x000001df,0xff800000,0x4c017f20,0x400800ff,0x3a20cfe8,
    0x5442aa2f,0x42fffa82,0x3faa2dfe,0x8802fd46,0x3f620dff,0x000df50f,
    0x5ff27ec0,0x4c1ff300,0x007f887f,0x5fd81ff0,0xff507fe0,0x237e445d,
    0x7fdc3ff8,0x6c03fe0f,0x23ff803f,0x000002ff,0x553154c0,0x8002a800,
    0x2aa80019,0x5540ff30,0x0a202aa0,0x05ff05fb,0x1e61ff30,0x82fd80aa,
    0x82f5c2c8,0x2a600ff9,0x0554400a,0x40026600,0x998000a8,0x00f26000,
    0x641ff060,0x1ff3005f,0x7dc01980,0x800bf506,0x22ffffc8,0xff980ffa,
    0x5c00ff21,0x3ff880ff,0x000c4df5,0x17fc9fb0,0x3a07fcc0,0x8027dc2f,
    0x3f607fc1,0xf507fe03,0xc8bfa05f,0x41ff905f,0x07fb00ff,0x3fe0ffb8,
    0x00000002,0x30000000,0x01bffffd,0x01bea000,0xefec8800,0x17fc0ffc,
    0x7547fcc0,0x7fe40c01,0xf880000b,0x4c00000f,0xfffea800,0x013003ff,
    0xfffffd50,0x00bf5007,0x233fff6a,0x017f20ff,0x6c407fcc,0xc80dffff,
    0x2200003f,0x22feafff,0x8ffa05fc,0xbfb001fd,0xefaa7ec0,0x01efffe8,
    0x5ff27ec0,0xb81ff300,0x500ff45f,0xff19fffb,0xfc82fe81,0xdf53ffff,
    0x5fb27dc0,0xff83fe20,0xf807fb00,0x0017fc4f,0x3f604fc8,0xa82ff983,
    0x3ffffe5f,0x544fffff,0xfffedfff,0xffffff81,0xdf54ffff,0x4c09f900,
    0xffffefff,0x4c017fc5,0x7d41ceff,0x222fff9c,0x01befffe,0xffedca98,
    0x21bea00f,0xfffd8cfa,0x9dff903f,0x7d49fffb,0x3ffffd8c,0xfb9dff90,
    0x4fc809ff,0xfcfff980,0x3f20ffef,0x81ff3005,0xfecdfff9,0x0017f41f,
    0x37e627e4,0x0d445fd0,0x47fc7fd0,0x1103dec9,0xffa9fec0,0x1fffdeff,
    0xff93f600,0x40ff9802,0x0df30ff8,0x7fe7ffcc,0xfffb0ffe,0x7ff5cdff,
    0x40bf52ee,0x807fe5fa,0x403fe0ff,0x3fee03fd,0x80017fc0,0x17ee04fc,
    0x3f213fee,0x3bbbbba3,0x3e23ffee,0x1bf660cf,0x3bbbbbba,0x0df53ffe,
    0x7f409f90,0x83ffae2d,0xff9802ff,0xfffbf500,0xfffc883f,0xfea80eff,
    0x0ffcefff,0x3ea1bea0,0xfffdefed,0x640ffc43,0x3fb7ea7f,0x443fffde,
    0x07fc81ff,0xf100bfe2,0x7ffdc17f,0x4c017f20,0x067f40ff,0x03ff1bf2,
    0x1889f900,0xf30017f4,0x3fffe23f,0x000effff,0x7fd47fe6,0x01bf622e,
    0x0bfe4fd8,0x3603fe60,0x2207f93f,0x3fee0bff,0xddffd90f,0xfa83ff0b,
    0x7c5bea05,0xf83fa00f,0x407fb01f,0xacff84fe,0x01aaaaaa,0x3fc409f9,
    0x7fc37fec,0x45fe8800,0x0ffe06fc,0xf52ff440,0x209f900d,0x3ff106fb,
    0x7cc017fc,0x3dff500f,0xffd7300a,0x5effd41f,0xa803fe21,0x1effa86f,
    0x17ae37ec,0xffa87fcc,0x2e37ec1e,0x01ff305e,0xf900bfd1,0xc83ff20b,
    0x1ff3005f,0xff807fdc,0x2000bfa2,0x2fe804fc,0xfa9bf600,0xffda8aef,
    0x47ff3006,0x5ff02ffa,0xff93f600,0x80ff9802,0x201ff5fa,0x1ff905fc,
    0x3fe02fe8,0xf702fd41,0xff00ffcb,0xfe80ffc1,0xf01ff503,0xffffffff,
    0x013f20bf,0xfeef83fd,0x6c01be60,0x202fe86f,0xdfb005fb,0xfc806fa8,
    0x6407fd04,0x200bfe3f,0xff500ff9,0xff300805,0xf9827f45,0x21bea00f,
    0xff981ffa,0x43fe2000,0xff981ffa,0x03fe2000,0x3600bfd1,0x41ff102f,
    0xff3005fc,0xfb027ec1,0x9b01fec9,0xe804fc81,0x3ff7002f,0xffa82e4c,
    0x227fcc02,0x13f206fa,0x5ff27ec0,0x201ff300,0x3605faff,0x81ff102f,
    0x07fe02fe,0x1fe40df5,0x07fc05fd,0x7ff109ff,0x7fc13fa0,0xeeeeeeee,
    0xc809f904,0x3f73e64f,0x3200ff22,0x01ff80ef,0x3f201bea,0x4037d40e,
    0x03ff04fc,0x05ff2fdc,0x7d40ff30,0x407fe00f,0x40bfe3fe,0x3ea01ffb,
    0x3e07fa86,0xdb95300f,0x1fea1fff,0x95300ff8,0x441fffdb,0x3fe005fe,
    0xfc83fe01,0x41ff3005,0xeeeeeefe,0x1bee5fee,0x27e43fd4,0x5c017f40,
    0xff8003ff,0x217fe205,0x17ee05fa,0x5ff27ec0,0x640ff300,0x3fe02fef,
    0xfd03fe01,0x2a0ffc05,0x45ff01ff,0x1ff706fb,0xfd117ffc,0x35ff507f,
    0x05ff3333,0x3013f200,0x7dd7dcdf,0xf7003fa4,0x01ff103f,0x3ee03fcc,
    0x806fa81f,0x01ff04fc,0x07fd37d4,0x7d40ff50,0x2077dc07,0x17f60ff9,
    0xa807ffea,0x206fa86f,0x7ff541ff,0x50ffceff,0x20ffc0df,0xceffffea,
    0x03bf20ff,0xd007fc40,0x802fe41f,0x3ffe0ff9,0xffffffff,0x8833fe26,
    0x04fc84fe,0x7e402fe8,0xdf90003f,0xfa82fec0,0x401bea05,0x00ffa4fd,
    0xff981fea,0x01ff100f,0x0bfa07f4,0x7fd41ff8,0x117f662e,0x7fd419ff,
    0x3bfffe0f,0xe83feffe,0xffffffff,0xf90002ff,0x3a1ff009,0xdf16f88f,
    0x202ffa80,0x17ea01ff,0xf502ffa8,0x209f900d,0x97ee01ff,0x5fb804fd,
    0x3a01bea0,0x4ffecdff,0x765f7fcc,0x2a02fedf,0x206fa86f,0x37fea1ff,
    0x543fe21b,0xa87fe06f,0x3e21bdff,0x080bfa0f,0x3fe01ff8,0x09897f20,
    0x3fe0ff98,0xfffa8002,0xf906ffdd,0x405fd009,0x20002ffd,0x03fe06fb,
    0xbf702fd4,0x23fe80cc,0x5fb804fd,0x3e027f40,0xd03fe01f,0x20ffc05f,
    0xfdeffffa,0xfffa80ef,0x20ffefec,0xbfffe9ff,0x77fcc3fb,0xffeeeeee,
    0x09f90002,0x4df15f90,0x204fb8fe,0x7f403ff9,0x4c13ee02,0x1bea03ff,
    0x7f413f20,0xfc93f202,0x204fd805,0xfd9806fa,0xf702efff,0x3f25ffff,
    0x2a1bea05,0xe87fe06f,0x21ff304f,0x87fe06fa,0x1ff304fe,0xff8817fc,
    0x7c40bf62,0xfc97f20f,0x7f47fa83,0xfe980205,0xf900cfff,0x105fd009,
    0x76c03ffb,0x4417fa03,0x81bea07f,0x20ff34fc,0x017f22fe,0x3fd013f6,
    0xf102fd80,0x202fe81f,0x4f7d41ff,0x200cfffe,0xf8dfffe9,0x0c43fe0f,
    0x3e02fec0,0x9f90002f,0x9f5bf500,0x80fed7e4,0xfc804ff8,0x220bfa05,
    0x37d404ff,0xfc827e40,0x545ff105,0x3fe202ff,0x801bea03,0x33000cf8,
    0x7d406b81,0x3e06fa86,0x5c0bfe1f,0x40df51ff,0x40bfe1ff,0x17fa1ffb,
    0xbf707fdc,0xfc83fee0,0x3ee17ee5,0xe807fe45,0x007f204f,0x3fa013f2,
    0x0077f442,0x7fcc1ff2,0x54099102,0x2ff881ff,0x3ff01ff1,0xf1017fd4,
    0x037cc07f,0xffb82fdc,0xfd017f40,0x0626fa83,0x7fc13100,0x98003fe0,
    0x17fc01ff,0x004fc800,0x7d43f9ff,0xbfd107fd,0x833fe200,0x7440efd9,
    0x06fa805f,0xff104fc8,0x437ecc19,0x7540affd,0x037d405f,0x001bfb10,
    0x3ea02ec0,0x3e06fa86,0x2a17f61f,0x0df51fff,0x0bfb0ffc,0x7dc3fff5,
    0x22ffcc3f,0x3ea0cff8,0x997f20ff,0x9ff30bff,0x641dff88,0x17f6406f,
    0x3a013f20,0x0077ec2f,0x36627fcc,0x7d40006f,0x1bf660ef,0x3f623bfd,
    0x057fec0f,0xe8817faa,0xcff8802f,0xd03ffea0,0x217f405f,0x800006fa,
    0x003fe0ff,0xff805fd8,0x9999999b,0x004fc809,0xff88fffb,0x00dfd04f,
    0xfddfffb8,0x06fe80ef,0xf900df50,0x6fffd409,0xe881fffd,0xffffffff,
    0x037d400e,0x00017e40,0x3ea041fb,0x3e06fa86,0x2fbfe61f,0x52fedfec,
    0x30ffc0df,0xbfd97dff,0xfffd85fd,0x980effec,0xfefecfff,0xfb17f20f,
    0x01dfffff,0xff9bfff5,0x0df1003f,0xfe804fc8,0x266bfea2,0x2e099999,
    0xeffecfff,0x40332600,0xfddffefa,0x7ffd41ff,0xe882fffe,0xffffffff,
    0x6fffc80e,0x33ffe600,0x740ffefe,0x3fff602f,0x0000df53,0x07fc1ff0,
    0x801ff980,0xffffffff,0x4fc85fff,0xd0bff700,0xdff703ff,0xbddddddd,
    0x9dfffd30,0xdddff701,0x2abddddd,0x04fc806f,0x6ffffecc,0x3ff72200,
    0xa800cfff,0xfd95006f,0x7d40001f,0x37d43fef,0x3ff037d4,0x2fffffb8,
    0x81beabf9,0x7ffdc1ff,0x50bf92ff,0x019fffff,0x46fffecc,0x217f20fe,
    0x00dffffc,0x33bfff62,0x3ff72201,0x4027e403,0x3fffe2fe,0x4fffffff,
    0x6fffff54,0x807fd400,0xfffe9cfa,0xffff500d,0x7ee4405d,0x700cffff,
    0x98001dff,0xfe8dfffd,0xd1017f40,0x01beabff,0xf83fe000,0x0dfb000f,
    0x3fffffe0,0xc85fffff,0x7ff1004f,0x3ee0ff90,0xffffffff,0x2004c07f,
    0xfffffffb,0x0df57fff,0x4c009f90,0x03330001,0x9006fa80,0x000037bd,
    0xfa819db5,0x3e06fa86,0x8013301f,0x07fe06fa,0x980004cc,0x00018000,
    0x13000330,0x0b3ba600,0x3a013f20,0xfffff12f,0x09ffffff,0xfa800262,
    0x0062000f,0x88000988,0x00130019,0x3fa00300,0x37d41002,0x07fc0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc0000,
    0x0ceeffff,0x4c017fc0,0x00ffc0ff,0xf804fd80,0x400dfb4f,0xfff52ff8,
    0xffffffff,0x41ffcdff,0xefffffff,0xfff500ce,0xffffffff,0x17930dff,
    0x8df507a6,0xf9804ff8,0x09ff5007,0x4406aa00,0xefffffff,0x3fffe03c,
    0x00ceefff,0x3ffffffe,0x3e7fffff,0xffffffff,0x05ff0fff,0x2741ff30,
    0x3e5fc9f2,0xeeffffff,0x7776402d,0x6fa85eee,0x88003fe6,0x7fd401ff,
    0x3eadf50e,0xddd70006,0x3b20bddd,0x545eeeee,0x3fe2006f,0xfff5004f,
    0xff901bf2,0xf0ffc407,0xdfffffff,0x5bea059b,0x00df51ff,0x7ffffffc,
    0x3e04ffff,0x0ff9802f,0x98000ffc,0x3fee01ff,0x2003ff50,0x3ffea7fb,
    0xffffffff,0x20ffe6ff,0xffffffff,0xffa84fff,0xffffffff,0x7fcc6fff,
    0xfa87eeff,0x00fffc46,0x7ec01fe6,0xff88007f,0xfffff104,0x01bfffff,
    0xffffffff,0x3fe09fff,0xffffffff,0x3fffe7ff,0xffffffff,0xf3005ff0,
    0x5d67d41f,0xff97f23f,0xffffffff,0xfffb00ef,0xdf50dfff,0x10007fcc,
    0x7fd403ff,0x6fab7d45,0xffff9000,0x3ff60fff,0x7d46ffff,0x3ffe2006,
    0x2fffb006,0x3fe00ffa,0xf1fea05f,0xffffffff,0xdf509fff,0x037d47fe,
    0x33337ff0,0x889ffd55,0x9999bff9,0x9ffa9999,0x80007fe0,0x7ff105fc,
    0xfd003ff8,0x4ccccc49,0x99999efc,0x3fe07320,0xeaa9999b,0x4ccc44ff,
    0x999efc99,0x4c7e4099,0x6fa82eeb,0x0077ffc4,0xdf100ff3,0xf88005fb,
    0x35ff104f,0xdff75333,0x33337ff0,0xf09ffd75,0x3333337f,0x5ffc3333,
    0x99999999,0x2600bfe1,0x7ff640ff,0x7ff2fe44,0xf9333333,0x260000bf,
    0x003fe63c,0xf501ff88,0x2adf50bf,0x0000006f,0x00df5000,0x00ffffc4,
    0xff9fffe2,0x0ffdf301,0x0bfe2fe4,0x227fedc4,0x2a3f56fa,0x07fe006f,
    0x7e43ff70,0xffffffff,0x5fffffff,0x26666ffe,0x7fc40099,0xfc86fc82,
    0x00ff8806,0x40006fb8,0x7fdc01ff,0x006fb801,0x88df5000,0x2604ffff,
    0xacfb807f,0x1aa8006f,0x4c03ff10,0x00ffc0ff,0x5ff07ff6,0x005ff000,
    0xf9802ff8,0x3f20300f,0xf7007fe5,0x0019803f,0x0040ff98,0xff503ff1,
    0x7d5bea0b,0x09980006,0x1bea0000,0x4fdff880,0xb3ff7d40,0x3afee07f,
    0xf85fd01f,0x46fd802f,0x7d4f16fa,0x007fe006,0xffca9bf6,0xcccccccd,
    0x3e2cffdc,0xffffffff,0x1bee01df,0xff105ff1,0x005fb803,0x07500df7,
    0x3f6007fe,0x006fb806,0x37d40130,0x0bff3fe2,0x7f403fcc,0x0001ff8a,
    0x200ffc40,0x00ffc2ff,0x0bfe37ec,0x000bfe00,0xff3005ff,0x25fc8001,
    0x7fc401ff,0xffffe983,0x1ff3000d,0xff880762,0x502ffd41,0x001beadf,
    0x7fffff54,0xff037d43,0x0131bea1,0x01bebfe2,0x7dcff7fb,0x7f93fb05,
    0xff81ff10,0x20ffa802,0x7d49b6fa,0x007fe006,0x5ff07fe6,0xf81ff300,
    0xfeeeeeef,0x3fa01fff,0xfd817f23,0x8017f404,0x07c806fb,0xff3003ff,
    0x406fb803,0xfffd8cfa,0x446fa83f,0x80efd8ff,0x7fcc07f9,0xff809fb0,
    0xffffffff,0xf803ff14,0x400ffc1f,0x0bfe1ff9,0x000bfe00,0xff3005ff,
    0xf909f901,0x7400ffcb,0x6fffd44f,0x7d41fffe,0x3a23fe66,0x87fe200f,
    0x7d405ffa,0xff50df56,0xb9dff905,0x37d49fff,0x3bea1ff0,0x43efffd8,
    0x01fe8ff8,0x4cff3df1,0xf37f887f,0xff0df50d,0x41ff3005,0x6fa836fa,
    0x4007fe00,0x017fc2ff,0x3fe07fcc,0x03ffa601,0x7fcc7fd4,0x981fea01,
    0x1bee007f,0x0ffc1f20,0x5c02ff80,0x76fd406f,0x43fffdef,0xff13aefa,
    0xf309ff11,0x2a5fc80f,0x7777407f,0x13ffeeee,0x3fd403ff,0xff800ffc,
    0x2000bfe2,0x7fc002ff,0x80ff9802,0x25fc84fc,0x7fcc01ff,0x9833fe22,
    0x337d46fd,0x803ff5ff,0x9ff51ff8,0x3eadf500,0x4417fd46,0x27fc81ff,
    0x43fe06fa,0xfdefeffa,0x23fe22ff,0x37f504fc,0x541ff8ff,0xf903fe5f,
    0x9005ff09,0x506fa8bf,0x0ffc00df,0x7fc3fe80,0xcccccccd,0x7fc0ffdc,
    0x017fcc01,0x009fb7fd,0x13f205ff,0xd806fb80,0x001ff80f,0x6fb807fd,
    0x20f7fd40,0x7ffd46fd,0x3ea1ff12,0x203fcc2f,0x017fc2ff,0xf12ff440,
    0xb955557f,0x03ff03df,0xcff8ffa0,0xaaaaaaaa,0x266ffe0a,0x7c099999,
    0xccccccdf,0xc80ffdcc,0x3e5fc84f,0x07fec01f,0x1ffc0df9,0x7ffccdf5,
    0x9ff8800e,0xa800fffa,0x7d4df56f,0x20bd702f,0x0df50ff9,0xfffa87fc,
    0xf89bf620,0xfb06f98f,0x3fd8ff31,0x85fb17e4,0x02ff82fe,0xa85ffb33,
    0x22df506f,0x7ff740aa,0xd81eeeee,0x7ffffc5f,0xffffffff,0x400ffc0f,
    0x5cccc3ff,0x199affff,0x3fe0bf90,0x01bee001,0xffee83f6,0xd81eeeee,
    0x6d554c5f,0x542aaaff,0x0ff981ff,0xff88ffea,0xf983bf60,0x321fea07,
    0x6fd8006f,0x7fffffc4,0xff02ffff,0xf97f6003,0xffffffff,0x3ffe1fff,
    0x6fffffff,0x7ffffffc,0x0fffffff,0x5fc84fc8,0x2aaab3fe,0x744ffecb,
    0xa97ee02f,0x037fe66f,0x7fdffc40,0x6fa804ff,0x0bfeadf5,0x50ff8800,
    0xa87fc0df,0x27fa81ff,0x83fd0ff8,0xb8ff35f8,0xf707f44f,0x7c07fc49,
    0xffffffff,0x6fa84fff,0x3fe6df50,0x777ff741,0x4fd81eee,0x66666ffc,
    0x0ffdcccc,0x7fc00ffc,0x3ffffe63,0x0fffffff,0x7d40ff98,0x037dc006,
    0xffdd0ff4,0xb03ddddd,0xffffb89f,0x546fffff,0x443fe07f,0x07fc46fe,
    0x3fcc9ff1,0xff309fb0,0x077e4003,0x3bbbbfe2,0xf84fffee,0x4bfb001f,
    0xeeeeeeff,0x3fe1eeee,0xeeeeeeee,0x6666ffc5,0xffdccccc,0xfc84fc80,
    0x3fffffe5,0xf83fffff,0xa9bea01f,0x003ff66f,0xbbffff88,0xb7d402ff,
    0x02ffaefa,0x3fb72a60,0x40df50ff,0x40ff50ff,0x21ff10ff,0x997dc4fc,
    0xf137cc7f,0x3ea7f98d,0xffffff05,0x2037dfff,0x2df506fa,0x3ff01ff9,
    0xff0ffa00,0x81ff3005,0x7fd401ff,0x33333222,0x04ccccff,0x07fb0bfa,
    0xe806fb80,0x001ff81f,0xaaa987fd,0x42aaaffd,0x47fe06fa,0x7fc46ffe,
    0xf997fd40,0x559ff107,0x009ff555,0x3e207fee,0x13fea01f,0x3fa003ff,
    0x2000bfe4,0x7fc002ff,0x80ff9802,0x25fc84fc,0xcdeeeeff,0x0ff880ab,
    0x6fa9fe60,0x4001fffd,0x3f63fff8,0x55bea00f,0x802fffff,0xceffffea,
    0x40df50ff,0x40df50ff,0x21ff11ff,0x987ec6f9,0xf70ff87f,0x3f21ff09,
    0xc985ff03,0x1bea02ff,0x403337d4,0x3ff001ff,0xf9802ff8,0x300ffc0f,
    0xff100dfd,0x225fb800,0x7dc000ff,0xf82ff806,0x03ff001f,0x7d406fb8,
    0x5f47fe06,0x407fc46f,0x07f98ffd,0xfffffff7,0xa801ffff,0x3ff102ff,
    0x7fc7fb80,0x7c7ff001,0x2ff8002f,0x4017fc00,0x4fc80ff9,0x07fe5fc8,
    0x500ffc00,0xbfb7d4bf,0x3e2000ff,0x037fc43f,0x3ffeadf5,0x3ea00ffd,
    0x3fe21bdf,0x3e20df50,0x7c0df50f,0x741ff11f,0x7ccbf11f,0x3fb2fc87,
    0x07fa5f90,0xffc817fc,0x2a0df502,0x07fe006f,0xff03fe60,0x81ff3005,
    0xeeeeeeff,0x6442ffff,0xccffcccc,0x3fe204cc,0x70009f70,0x07ff00df,
    0xff3003ff,0x406fb801,0x87fe06fa,0x07fc46fa,0x3fce7fc4,0xccccdfe8,
    0x203ffccc,0x3e203ff9,0x0ffc401f,0xff3003ff,0x40017fc3,0x7fc002ff,
    0x80ff9802,0x25fc84fc,0xfd0001ff,0xf527dc05,0x003fe66d,0xfa81ff88,
    0x2adf504f,0x40bfd1ff,0x1ff304fe,0x7fcc1bea,0x7fc0df50,0x7e41ff11,
    0x3fcc5f74,0x507fa7d4,0xff81fe9f,0x207ff602,0x0df506fa,0x7400ffc0,
    0x802ff86f,0x7ffc0ff9,0xdfffffff,0xfffff980,0x0fffffff,0x0ff4ff60,
    0x2037dc00,0x1ff83ff8,0xb806fe80,0x037d406f,0x237d43ff,0xff700ff8,
    0x1ff30ff7,0xf106fd80,0x1ff8809f,0xff0ffcc0,0xf8dfd003,0x2ff8002f,
    0x4017fc00,0x4fc80ff9,0x07fe5fc8,0xd02fe400,0xf337d45f,0x7fc4001f,
    0x505ff901,0xf99beadf,0x205ff02f,0x0ff31ffb,0x37d43fee,0x3fe23ff0,
    0x07f5be60,0x3df10ff3,0x27be20bf,0x80bfe05f,0x6fa86ff8,0x7c00df50,
    0x0ffdc01f,0x7cc017fc,0x5567fc0f,0x880019aa,0xdfa8007f,0xf70006f9,
    0x84ff880d,0x7fdc01ff,0x406fb801,0x87fe06fa,0x07fc46fa,0x90ffffb0,
    0x3ff300bf,0x8805fe88,0x3fe401ff,0xff7007fe,0x8002ff85,0x7fc002ff,
    0x80ff9802,0x25fc84fc,0xf10001ff,0x77ecc19f,0xff99bea0,0x07fe2000,
    0x7d40ffe8,0xffb8df56,0xfa85fd80,0x87ff11ff,0xdf50fffa,0xff88ffc0,
    0x22fd7f40,0xf9fd07f9,0x17dff407,0xfb805ff0,0xa837d43f,0x2ffe006f,
    0xfda99999,0x005ff04f,0x1ff81ff3,0x1fe20000,0x1fe7f400,0x406fb800,
    0xbff84ff8,0xfda99999,0x0df7004f,0x3fe06fa8,0xff11bea1,0x3fffc401,
    0xfe8017fc,0x88037f44,0x99999aff,0x7fc4ffc9,0xda99999b,0x9bff85ff,
    0x99999999,0x8005ff09,0xff9802ff,0xfc84fc80,0x80007fe5,0xffddfffb,
    0xf337d40e,0x3333335f,0x00ffc433,0x6fa8bff3,0x0bfd0df5,0xfd97dff3,
    0x7fe45fdb,0x0fedfece,0x8ffc0df5,0x7fdc0ff8,0xc83fcc2f,0x3f200fff,
    0x0bfe00ff,0xfa83ff60,0x400df506,0xffffffff,0x3fe04fff,0x40ff9802,
    0x200001ff,0xf70007f8,0x2e0001ff,0x27fc406f,0x7ffffffc,0x2004ffff,
    0x37d406fb,0x37d43ff0,0xf7003fe2,0x007fa8ff,0x7fdc3fee,0xeeeeeeee,
    0xffffff15,0xf0bfffff,0xffffffff,0x3ffe09ff,0xffffffff,0x005ff2ff,
    0xf9802ff8,0xc84fc80f,0x0007fe5f,0x9dfffd30,0x7ccdf501,0xffffffff,
    0x007fe27f,0xb7d47ff7,0x2ff986fa,0x2fffffb8,0xfffb8bf9,0x3ea1fd4f,
    0x7c47fe06,0x43ffcc0f,0xdff507f9,0x406ff980,0xff8802ff,0x7d41bea5,
    0x3fffe006,0x00ceffff,0x7cc017fc,0x000ffc0f,0x000ff100,0x80017fe2,
    0x7fc406fb,0xffffff84,0x4000ceff,0x37d406fb,0x37d43ff0,0x36003fe2,
    0x0027ec7f,0x3fee7ff1,0xffffffff,0xffffff17,0x3e03bdff,0xeeffffff,
    0x3fffe01c,0xffffffff,0x8005ff2f,0xff9802ff,0xfc84fc80,0x00007fe5,
    0x37d40098,0xfffffff3,0x7fc4ffff,0x51ffe801,0x641beadf,0x013300ff,
    0x7d400880,0x7c47fe06,0x984fe80f,0x09ff107f,0xff809ff0,0x27ff7002,
    0x0df506fa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x74007fec,
    0x007fe25f,0x7cc1ff88,0x0fec001f,0x40007fe2,0x4eeeeeed,0xb800ffe4,
    0xdddd91ff,0x49dddddd,0x7dc006fa,0xffffffff,0x2bfb2fff,0xeeeeeee9,
    0x55555551,0x00555555,0x00022000,0x00188026,0x00980188,0x98001980,
    0x20330001,0x033101a9,0x05c19880,0x30002660,0x26000440,0xdf506000,
    0x6fa87fc0,0x1fea3fe0,0x2e9f9000,0x43fe606f,0x2ff983fd,0x0df55fa8,
    0x7fc45ff7,0x7c4fe884,0xffffffff,0x110bfb4f,0x3202ffc4,0x07fe20ef,
    0x4c1ff880,0x3ee001ff,0x00ffc41f,0xfffffe80,0x037f445f,0xffd1ffcc,
    0xffffffff,0x2abbf2ab,0x3fee00aa,0xffffffff,0x26bfb2ff,0x2fffffff,
    0x22028005,0xffb3006f,0x75c017bf,0xf51effff,0x4405bfff,0x21dfffec,
    0x04ffffd9,0x6ffffec4,0x3fffa600,0x7f4c00df,0x3f60dfff,0x7fffecc4,
    0x3ffaa01e,0xa81fccff,0x43fffffe,0xfffd8cfa,0x7dffd30e,0xffd8cfa8,
    0x4e7d43ff,0x0df52fff,0x06fa87fc,0x81fea3fe,0x64df10fe,0x201ff14f,
    0x217ee4fc,0x3fc84ffb,0x2ffa8df5,0x7ec1ffa8,0xeeeeee86,0xbfb3ffee,
    0x7fd46f98,0x883ff503,0x3e2001ff,0x00fe441f,0x441fff98,0x000001ff,
    0xe807ff30,0x5555546f,0xf3ffbaaa,0x5fffffff,0x4ccccc40,0x0ffe9999,
    0x02800797,0x0df10140,0xfbbfff10,0x37ff60bf,0xffdfffdc,0x882ffece,
    0xfffddffe,0xfddfff99,0xfff980ef,0xa81ffecd,0xfffedfff,0x99dff501,
    0x93f63ffd,0xffcceff9,0xcfffc82f,0xfc84fffe,0x4fffdcef,0x3b7fb7ea,
    0xedffaeff,0x3b7ea4ff,0x23fffdef,0x1ffffdfa,0x87fc0df5,0x23fe06fa,
    0x47f707d9,0xd93f21fd,0x443fd03f,0x86ffd87f,0x54df50ff,0x9bf602ff,
    0x22001ffa,0xb8f2e5fe,0x1ffc86ff,0x7c41ffc4,0x3fe2001f,0x3a007981,
    0x7fc41fff,0x01980001,0xf701ffc8,0x5fd8001f,0x2aabbf2a,0x7e40000a,
    0x0280002f,0x0df10140,0x220cfe88,0x077cc2fe,0x260ffff4,0x22ff40ff,
    0x0cffffd9,0x3fa13f62,0x2237e40c,0x3f660cff,0xd83ff886,0x7e47b15f,
    0x7d45fd84,0x17fea0bf,0xff903ff1,0xf307ffd4,0x3fdc19ff,0xfd83dff5,
    0x147bfea6,0x87fc0df5,0x43fe06fa,0x2e6f985a,0xf527e44f,0xfd0df30d,
    0x20feef83,0x55bea6f9,0x7fc402ff,0x4003ff8c,0x5fec06fd,0xe8dfd06f,
    0x03ff105f,0x640ffc40,0xfd7f9005,0x001ff883,0xbffffb10,0x21bfa201,
    0x5c003ff8,0x237d40ff,0x3ee00009,0x13f2003f,0x4405000a,0x837dc06f,
    0x81fdc5fa,0xbf904ffc,0xfe807fd4,0x41ff507f,0x5ff00ffb,0x7ff037e4,
    0x3fe06fc8,0x417ec3d1,0x427f42c8,0x3ae1ffee,0x2a1ff305,0x86fe81ff,
    0x3ff50ff8,0x3ea1ff30,0x40df502f,0x40df50ff,0xfd0990ff,0xf903fe25,
    0x7e41ff89,0x3e64fc83,0x8ff22fdc,0x01ffaefa,0x0bfdff30,0x400efc80,
    0x3e60df0a,0x201ff94f,0x22001ff8,0x0074c1ff,0x41feafd4,0x98001ff8,
    0xffecdfff,0xd87ff501,0x7fc4005f,0xfd8efa82,0x4c003dff,0x7e4005ff,
    0x31400284,0x33ff5333,0x01fe4133,0x03fea000,0x09f937cc,0xfd01ffd4,
    0xfb027ec5,0xf7017f49,0x2e02fe8b,0x7fe44cdf,0x07fc400b,0x00ff67f2,
    0xff50ff88,0x3e0bf901,0x7c0ff51f,0x201ff50f,0x43fe06fa,0x2bfe06fa,
    0x3a5fc85e,0x644fc83f,0x4c07fc4f,0x3eebee6f,0xffa83fa4,0x32002fff,
    0x2e000eff,0x37c001ff,0x3ff7ff70,0x000ffc40,0x20003ff1,0x83fd0ff8,
    0xe8001ff8,0x037e40cf,0x3fee1ff9,0x827ec000,0xfdefeffa,0xff1003ff,
    0x09f9000d,0x3fe28005,0xffffffff,0x000bfa5f,0xfffdca88,0xeeeeeeef,
    0x407fb0ff,0xeeeeeff9,0x3fa3ffee,0xeeeeeeee,0xa807fe5f,0x500ffc6f,
    0xffd107ff,0xff3037df,0x09f93fa8,0x3ffb72a6,0x320ff50f,0x2a3ff04f,
    0x547fe06f,0x81bea07f,0x40df50ff,0xff883dff,0x3f20ff51,0xbf53fcc4,
    0x8fe87fc0,0xa8df16f8,0x00ffdfff,0x400bff30,0xf8002ffa,0x1fffec06,
    0x2a07fe20,0x00ffc40a,0x3fa2fd80,0x000ffc41,0x7fc03fee,0xf1bfd102,
    0xffa8005f,0x45dff500,0xfd007fd8,0x9f90001f,0x3a280050,0xeeffeeee,
    0x007fe4ee,0x3ffffa60,0xffffffde,0xff1fffff,0x7fffc405,0x4fffffff,
    0x3ffffffe,0xff16ffff,0xf13fcc01,0x03fcc01f,0xdfffff91,0xbf137d41,
    0x3faa2fdc,0x0ffcefff,0x13f20df5,0x06fa8ffc,0x037d47fe,0x3fe20df5,
    0x3e20df50,0xe97f600f,0xe84fc83f,0x6405fb2f,0x3fa6f8af,0x7fd44fb8,
    0x3a00bfd1,0xf9803fff,0x0df0003f,0x8807ff88,0x17fc41ff,0x20007fe2,
    0x20ff45fa,0x6c001ff8,0x813f604f,0x005feffa,0x3ea05fd8,0x807fa82f,
    0x90001ffc,0x2800509f,0xfd01be20,0xdffa8005,0x001fea1b,0x7fcc07fd,
    0x017fc001,0xfa807fe0,0xf500ffc5,0x3fae600b,0x74ff30ff,0xff527e46,
    0x87fc437b,0x09f906fa,0x037d47fe,0x81bea3ff,0x1ff306fa,0x7fcc1bea,
    0x4c7fa200,0x427e40ff,0x00ff8cfb,0xc93eb7ea,0x7d41fdaf,0x900bfe66,
    0x403ff5df,0x20004ff8,0x7ffe406f,0x20ffc403,0x7fc42ff8,0x07fc4001,
    0x3ff107fa,0xeeefe800,0x05feeeee,0x0007ffe4,0xfa807fe2,0xb807fe07,
    0x320003ff,0x1400284f,0xfd80df10,0xfe833603,0x401ff504,0xf502fec1,
    0x7f40409f,0x0bfa0205,0x17f44fb8,0x80409f70,0x3ff12ff9,0x22fd81f9,
    0x1ff304fe,0x27e41bea,0x0df51ff8,0x06fa8ffc,0x7fdc1fe6,0x3ee0ff30,
    0x737cc00f,0x884fc89f,0xf804fbff,0x37ea1fcf,0x646fa87f,0x3ff500ff,
    0x7f441bf2,0x037c0005,0x03ffbff5,0x4cc0ffc4,0x000ffc40,0x07fa07fa,
    0xf8003ff1,0xffffffff,0x7fc406ff,0x06fb8002,0x3ff037d4,0x2017fe60,
    0x84fc83cb,0xf1014002,0x506fb80d,0x80ffc4ff,0xdf702ffd,0xffd03fdc,
    0xc87fe20f,0x49fd00ff,0x0bfa05fc,0x17fc0df9,0x7fd01ff8,0x2617f7fc,
    0x40bfe1ff,0x0df51ffb,0x8ffc13f2,0x47fe06fa,0x3fe206fa,0x887ffd43,
    0x7ffd43ff,0x3a2fc800,0x6c13f21f,0xfd801fff,0x27ffc47f,0x2ff437d4,
    0xff11ffc4,0x200dfd09,0x7c4003cb,0x440dfd4f,0x3e2001ff,0x3bee001f,
    0xcffaaaaa,0x003ff11a,0x00002ff8,0xfd0005ff,0x206fa807,0x6ff881ff,
    0xf90bfb00,0x02800509,0xff101be2,0x227f4419,0xfffc84fd,0x20ffcc1f,
    0x7fecc5fe,0x27ec0cff,0xf9077fe2,0x20cff88d,0x7c40efd9,0x00efc83f,
    0xff981df7,0xd517fee0,0xa85fd89f,0x0df51fff,0x8ffc13f2,0x47fe06fa,
    0x7fe406fa,0x0fedfece,0x3fb3bff2,0xdd000fed,0x09f92fc4,0x5c01bfea,
    0x1ffe85ff,0xff986fa8,0x7d437ec2,0x3bbfee1f,0xb5eeeeee,0x6fd800bf,
    0x7c413fe6,0x3fe2001f,0x3fff2001,0xffffffff,0x8003ff15,0x800205fe,
    0x7cc002ff,0x037d400f,0x1ffd03ff,0x3217f600,0x1400284f,0xf500bd10,
    0x0dffbbff,0xffb7dff5,0xd9dff91b,0xdff309ff,0xf53fffb9,0x1fffbbff,
    0xf9bfff50,0xfff703ff,0x201dffbb,0xfecceffb,0x6fff400e,0x7c44ffec,
    0xeffeceff,0x65f7fcc0,0xf52fedfe,0x7c13f20d,0x7c0df51f,0x700df51f,
    0x3fa9ffff,0xa7fffdc0,0x831000fe,0xf813f218,0x7ff1003f,0x3ea0ff90,
    0x2e1ff906,0x1dfb01ff,0x3fffffee,0xbfb7ffff,0x20ffdc00,0xff882ffc,
    0x07fe2001,0xeeeeeb80,0x14eeffee,0xfc8003ff,0x009fd00f,0xfc8005ff,
    0x206fa805,0x0ffe41ff,0x3f213200,0x01400284,0xfffd3000,0x3fee019f,
    0x7f5c2eff,0x36202dff,0x260dffff,0x00befffd,0x33bfff62,0x3fffa601,
    0x7f4c00ce,0x9800ceff,0x82effffd,0xffffdbfd,0xffff700c,0x7d57f25f,
    0x3e09f906,0x7c0df51f,0x400df51f,0x004c0008,0x00000000,0x00000000,
    0x00000000,0x03ff9800,0xff881ffd,0x07fe2001,0x41fe8000,0x44001ff8,
    0x37e41dff,0x4002ff80,0x6fa804fd,0xffa87fe0,0xc82e8003,0x1400284f,
    0xffffffff,0x1980bfff,0x22006600,0x80198001,0x00980009,0x30000980,
    0x26620001,0x01307200,0x00004cc0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x102ff440,0xaff88bff,0x19999999,0x2666bfe2,
    0x20019999,0x57fc41fe,0x19999999,0xfcdfffa8,0x5ff001ff,0x802fe800,
    0x47fe06fa,0x9999dff9,0x90999999,0x909f901d,0x55555555,0x7ffc7555,
    0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,0x98000000,
    0xccccca80,0x80cccccc,0x99999500,0x21999999,0x989fb4fd,0x4fe95d41,
    0x54044088,0x45102cdc,0x99910408,0x4aea5999,0xccccccc9,0x0ccccccc,
    0xbbbbbbb3,0x1bbbbbbb,0x3f600000,0x1ffdc00f,0xfffffff1,0x7fc4ffff,
    0xffffffff,0x107fa007,0xffffffff,0x3f620fff,0x2001ceff,0x7fc002ff,
    0x206fa801,0xffff71ff,0xffffffff,0x4fc8069f,0x00000000,0x00077000,
    0x01910122,0x3201c880,0x4000001e,0x13000800,0x00ee9800,0x40020010,
    0xffffc84f,0x1fffffff,0xc833ff22,0xffffffff,0x29fd1fff,0x3627c5fd,
    0xfe89fd5f,0xfc87fee5,0x99cfffff,0x64ff33eb,0xfffff14f,0x7d57f67f,
    0xffffffff,0xd50fffff,0xdddddddd,0x001ddddd,0x05ff7000,0x7c47ff60,
    0xffffffff,0x3fffe27f,0x07ffffff,0xff107fa0,0xffffffff,0x0001300f,
    0xf9800bfe,0x40df5007,0xffff71ff,0xffffffff,0x0000009f,0x4dd00000,
    0x9ff904f9,0x567f4001,0x4fd9cefc,0x03ffb500,0x3a6017ec,0xfd98b701,
    0x7fecc3ef,0x03fea04e,0x400ffa80,0xc882efea,0xf0c2dfff,0x5554c227,
    0xaaaaaaaa,0x93a67760,0xaaaaaaa9,0x9fd1feaa,0x4ff897f6,0x527f57f6,
    0x25fc81df,0xfffecdfe,0xff33ffff,0xccc8a7e4,0x0bfb2ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x27d40000,0xffb305f9,0xff3005bf,0xdfffffff,0x7ff5c401,0x0bf600cf,
    0xfb83ffb0,0x3aabfa2f,0x36affa0f,0x07ffb03f,0x900774c0,0xc8bfd7df,
    0x7c6ea9bf,0x04fccebe,0xf307c400,0xb1fe8001,0x3213f67f,0x1ff5322f,
    0x47f603fd,0x7ff5c40d,0xb98ee23f,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff11fe80,
    0x3fff2201,0x3fee00be,0x02ffc98b,0x05dfff93,0x3600bf60,0x45ff71ff,
    0x44bf21a8,0x2617e22c,0x00007fef,0x87f637c4,0xb88fdc3b,0x02cefffd,
    0xf107cc00,0x91fe8003,0x54cfee5f,0x64ba1fec,0xa8806a2f,0x00011001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ee1df30,0xfffea805,0xc82fd81c,0x7fff544f,
    0x17ec001c,0xffcffd80,0x013f6602,0x95f907f7,0x3bbba05f,0x4eeeeeee,
    0x43fb89f5,0x81ffdca8,0x4cc41ffc,0x99999999,0x00b92741,0x47ea3fd0,
    0x7bff91fa,0x01fb8764,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ff4bf90,
    0x1fffc980,0x37c41fe2,0x0017dff9,0xdffdddd7,0x3603dddd,0x7d402fff,
    0x03bee03f,0x41be6ff1,0xffffffff,0x87f55fff,0x3bff23f9,0x57dc1fdd,
    0x3fff21fd,0xffffffff,0x07bffea1,0x1447fa00,0x41804151,0x00000028,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe60000,0x5400ff71,0x1be21ffd,0x9ff93fc4,
    0x3fff2001,0xffffffff,0x03fff701,0x3f613ea0,0x3a4fb80d,0x9999981f,
    0x30999999,0xf32fb89f,0x3a0fe41b,0x775c9f15,0xeeeeeeee,0x0002a81e,
    0x000007b2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xe97f2000,0x7f5c403f,
    0x81fe83ef,0x3ff225fb,0x4cc402df,0x999bfd99,0xffdff701,0x3e21b983,
    0xf80ffa25,0x2017ea0f,0x3fe202a8,0x3e61fd10,0x820bfe24,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x543fe600,0x3ff2606f,
    0x3bf202df,0x220bfaa1,0x00beffeb,0xf7005fb0,0x887ff65f,0x12fdaaef,
    0x45555bfd,0x00ff85fa,0xf5007fd4,0xfe87ffbf,0x003fdfdd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc4bf60,0xcfffea80,
    0x7fff4401,0x405ffffe,0x01dfffda,0x3ee017ec,0x50ffec2f,0x7dc7dffd,
    0x3a7fffff,0x404fc82f,0x5c400ffa,0xbdb880ce,0x00002c88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x641fe49f,0xd000beff,
    0x7dffd7df,0xf93009ff,0x17ec03ff,0x7ec0fee0,0x10000880,0x01322099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c43ba00,0x0005b905,0xd10441d3,0x0f5c4003,0x03005fb0,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04c00000,0x00020131,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_28_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,1,1,2,2,1,1,1,1,1,-1,1,1,1,1,2,1,2,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,1,1,2,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,2,1,1,0,1,0,1,0,1,1,1,1,1,1,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,0,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_28_latin_ext_y[560]={ 22,4,4,3,2,3,3,4,3,3,3,7,19,14,
19,3,3,3,3,3,4,4,3,4,3,3,9,9,7,9,7,3,3,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,25,3,8,4,8,4,8,3,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,9,9,9,9,9,9,3,3,3,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,4,3,7,4,
3,3,3,3,3,9,9,14,3,1,3,6,3,3,3,9,4,11,21,3,3,9,3,3,3,9,-1,-1,-1,0,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,4,4,3,3,3,4,3,8,8,3,3,3,3,3,4,3,
0,5,-1,4,4,8,-1,3,-1,3,-1,4,-1,3,-1,4,4,4,0,5,-1,4,0,4,4,8,-1,3,-1,3,
-1,4,0,4,3,2,-1,-1,4,4,-1,4,1,5,-1,4,4,4,0,9,4,4,-1,3,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,3,4,8,-1,3,3,3,8,0,5,-1,4,-1,3,3,8,-1,3,4,8,-1,3,
-1,3,-1,3,3,8,-1,3,4,4,-1,4,4,4,-1,4,0,5,-1,4,-1,3,-1,3,4,9,-1,3,-1,3,
0,-1,3,0,4,-1,3,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,3,6,6,3,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,3,-1,3,-1,
3,-1,3,-1,0,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-2,-1,3,-1,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_28_latin_ext_w[560]={ 0,3,7,14,13,20,16,3,7,7,9,13,3,8,
3,7,12,8,13,12,13,12,13,12,12,12,3,3,13,13,13,12,24,18,15,17,16,15,13,17,15,3,11,16,
13,18,16,18,15,18,17,15,15,16,17,24,17,17,15,6,7,6,12,16,5,13,12,13,13,13,8,13,12,3,
6,12,3,19,12,14,12,13,8,12,7,12,13,18,13,13,12,8,3,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,12,14,13,15,
3,13,8,19,9,12,13,8,19,16,8,13,8,8,6,12,14,3,6,5,9,12,20,20,21,13,18,18,18,18,
18,18,24,17,15,15,15,15,6,6,9,7,18,16,18,18,18,18,18,12,18,16,16,16,16,17,15,14,13,13,
13,13,13,13,22,13,13,13,13,13,6,5,9,7,13,12,14,14,14,14,14,13,13,12,12,12,12,13,12,13,
18,13,18,13,20,16,17,13,17,13,17,13,17,13,16,16,18,14,15,13,15,13,15,13,15,13,15,13,17,13,
17,13,17,13,17,13,15,12,18,13,9,9,9,9,9,9,7,6,3,3,16,9,14,9,16,12,12,13,6,13,
7,13,7,13,8,14,6,16,12,16,12,16,12,15,15,12,18,14,18,14,18,14,24,22,17,8,17,8,17,9,
15,12,15,12,15,12,15,12,15,7,15,10,15,7,16,12,16,12,16,12,16,12,16,12,16,15,24,18,17,13,
17,15,12,15,12,15,12,7,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,20,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,13,9,8,18,
14,16,12,16,12,16,12,16,12,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,13,24,22,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_28_latin_ext_h[560]={ 0,18,7,20,23,20,20,7,25,25,9,13,7,3,
3,20,20,19,19,20,18,19,20,18,20,20,13,17,13,8,13,19,25,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,21,18,20,18,19,18,18,18,18,18,23,20,23,11,2,5,15,19,15,19,15,19,20,18,18,
24,18,18,14,14,15,19,19,14,15,19,14,13,13,13,19,13,25,25,25,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,24,20,13,18,
25,25,4,20,10,13,8,3,20,2,8,16,11,11,5,18,23,4,7,11,10,13,20,20,20,19,23,23,23,22,
22,22,18,25,23,23,23,22,23,23,23,22,18,22,24,24,24,23,23,12,20,24,24,24,23,23,18,20,20,20,
20,19,20,20,15,19,20,20,20,20,19,19,19,19,19,18,20,20,20,19,20,11,15,20,20,20,20,25,23,25,
22,18,23,19,24,19,24,20,24,20,24,19,24,20,23,19,18,19,22,18,23,19,22,19,24,20,23,20,24,25,
24,24,23,24,25,26,23,23,18,18,23,18,21,17,23,18,24,24,22,13,19,24,24,25,24,24,13,23,23,24,
24,18,18,18,18,18,18,23,19,24,20,23,19,19,20,20,23,18,24,19,24,20,20,15,23,19,24,20,23,19,
24,20,24,20,25,19,24,20,26,25,23,19,18,19,24,19,23,18,24,19,24,20,24,20,24,19,23,19,23,25,
22,23,19,22,18,23,19,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,25,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,15,16,16,16,16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,23,20,23,19,24,
20,24,20,24,23,24,24,24,24,24,24,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,26,25,23,20,24,20,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_28_latin_ext_s[560]={ 511,507,386,66,120,166,275,405,270,278,339,
247,401,445,454,353,206,298,307,179,47,321,143,107,116,47,501,150,233,349,205,
334,158,182,214,29,230,247,263,493,277,303,360,357,61,431,165,460,307,397,475,
430,89,372,71,450,1,89,134,159,117,484,292,458,416,325,347,192,403,252,417,
81,418,338,504,378,374,339,359,266,434,447,372,298,426,381,428,442,474,389,488,
106,115,261,422,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,511,105,236,
187,219,55,183,201,436,240,329,411,372,445,220,475,363,178,283,274,409,461,189,
507,394,505,319,192,60,95,157,216,105,124,195,274,223,204,474,229,491,134,150,
258,232,438,382,379,1,325,93,129,165,344,291,261,332,301,375,408,50,445,39,
102,292,482,297,202,247,233,206,276,15,1,125,479,351,479,69,290,79,145,16,
1,496,33,467,305,311,414,401,388,375,215,166,187,342,391,239,175,318,136,357,
219,266,192,451,373,44,129,392,462,110,230,309,75,71,262,293,435,1,446,45,
416,339,247,486,30,87,62,50,20,143,166,20,120,61,499,387,154,179,293,498,
444,506,424,245,469,17,68,201,17,461,470,463,464,478,33,493,19,501,342,158,
327,189,284,261,258,162,387,324,340,1,323,425,358,479,427,442,229,214,114,218,
57,92,501,1,31,448,44,134,123,392,319,34,150,179,403,129,414,249,422,310,
405,184,449,148,306,112,139,76,485,67,1,32,92,361,409,20,242,201,275,48,
61,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,202,164,164,119,
164,164,164,164,164,164,164,164,164,164,164,164,164,81,281,164,164,164,164,164,
164,164,164,164,164,164,164,164,93,394,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,363,361,
110,153,350,260,431,311,286,425,320,337,303,401,414,388,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,1,78,20,274,369,152,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__arial_28_latin_ext_t[560]={ 1,53,198,123,53,123,123,198,1,1,198,
199,198,198,198,102,102,144,144,102,183,144,102,183,102,102,183,183,199,198,199,
144,1,164,164,102,164,164,164,78,164,164,144,164,183,164,164,78,164,78,164,
78,164,144,164,164,183,183,183,78,123,53,199,198,198,183,144,183,144,183,144,
102,164,164,1,164,164,183,183,183,144,144,183,183,144,183,183,183,183,144,183,
1,1,1,198,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,1,164,28,
123,199,164,1,1,198,123,199,183,198,198,123,198,198,183,199,199,198,144,78,
72,198,183,199,199,102,102,102,144,78,78,53,78,78,78,144,1,53,53,53,
78,53,53,53,78,164,78,28,28,28,53,53,199,123,28,28,28,53,53,164,
123,123,102,102,144,102,102,183,144,102,102,123,78,123,123,144,144,144,164,123,
123,102,144,102,199,183,102,102,102,102,1,53,1,78,164,53,144,28,144,28,
102,28,102,28,123,28,102,53,123,164,144,78,183,78,144,78,123,53,78,78,
78,28,1,1,28,78,28,1,1,78,78,164,183,78,144,78,183,78,164,28,
28,28,183,144,28,53,1,28,28,183,53,53,1,1,183,164,183,164,164,164,
53,144,28,102,53,144,123,102,102,78,164,28,123,28,102,102,183,53,144,28,
123,53,123,28,123,1,123,1,144,28,123,1,1,53,123,164,123,28,123,53,
164,28,123,28,123,28,123,28,123,53,144,53,1,78,53,144,78,164,53,144,
144,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,123,183,183,1,
183,183,183,183,183,183,183,183,183,183,183,183,183,123,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,144,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,53,102,
53,144,1,123,1,102,1,53,1,1,1,1,1,1,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,1,1,78,102,1,123,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183, };
static unsigned short stb__arial_28_latin_ext_a[560]={ 111,111,142,223,223,357,267,77,
134,134,156,234,111,134,111,111,223,223,223,223,223,223,223,223,
223,223,111,111,234,234,234,223,407,267,267,290,290,267,245,312,
290,111,201,267,223,334,290,312,267,312,290,267,245,290,267,378,
267,267,245,111,111,111,188,223,134,223,223,201,223,223,111,223,
223,89,89,201,89,334,223,223,223,223,134,201,111,223,201,290,
201,201,201,134,104,134,234,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,111,134,223,223,223,223,104,223,
134,295,148,223,234,134,295,221,160,220,134,134,134,231,215,111,
134,134,146,223,334,334,334,245,267,267,267,267,267,267,401,290,
267,267,267,267,111,111,111,111,290,290,312,312,312,312,312,234,
312,290,290,290,290,267,267,245,223,223,223,223,223,223,357,201,
223,223,223,223,111,111,111,111,223,223,223,223,223,223,223,220,
245,223,223,223,223,201,223,201,267,223,267,223,267,223,290,201,
290,201,290,201,290,201,290,247,290,223,267,223,267,223,267,223,
267,223,267,223,312,223,312,223,312,223,312,223,290,223,290,223,
111,111,111,111,111,111,111,89,111,111,295,178,201,89,267,201,
201,223,89,223,89,223,117,223,134,223,89,290,223,290,223,290,
223,242,290,223,312,223,312,223,312,223,401,378,290,134,290,134,
290,134,267,201,267,201,267,201,267,201,245,111,245,150,245,111,
290,223,290,223,290,223,290,223,290,223,290,223,378,290,267,201,
267,245,201,245,201,245,201,89,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,302,301,301,223,301,301,301,301,301,
301,301,301,301,301,301,301,301,344,263,301,301,301,301,301,301,
301,301,301,301,301,301,301,342,268,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,267,223,111,89,312,223,290,223,290,223,290,
223,290,223,290,223,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,267,223,401,357,312,245,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_28_latin_ext(stb_fontchar font[STB_FONT_arial_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_28_latin_ext_s[i] + stb__arial_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_28_latin_ext_t[i] + stb__arial_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_28_latin_ext_x[i];
            font[i].y0 = stb__arial_28_latin_ext_y[i];
            font[i].x1 = stb__arial_28_latin_ext_x[i] + stb__arial_28_latin_ext_w[i];
            font[i].y1 = stb__arial_28_latin_ext_y[i] + stb__arial_28_latin_ext_h[i];
            font[i].advance_int = (stb__arial_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_28_latin_ext_s[i] + stb__arial_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_28_latin_ext_t[i] + stb__arial_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_28_latin_ext_x[i] + stb__arial_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_28_latin_ext_y[i] + stb__arial_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_28_latin_ext_LINE_SPACING
#endif

