// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT        236
#define STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_30_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_30_latin_ext_LINE_SPACING          19

static unsigned int stb__arial_30_latin_ext_pixels[]={
    0x33100000,0x33333333,0x20013333,0x01400198,0x44000000,0x333000aa,
    0x01331000,0x4cc19880,0x02609800,0x00266200,0x98806620,0x99998801,
    0x02b26019,0x54400cc0,0x4005951c,0x32a03300,0x26003912,0x33000abb,
    0x10998198,0x40013333,0x4cc1aba8,0x4cc40199,0x00999999,0x2f2ea620,
    0x0000001a,0x80310310,0x77000aa8,0x02660510,0x2004ccc0,0x220001aa,
    0x6fe80019,0x80bff100,0xfffffffa,0x6fffffff,0x005ff880,0x900007f2,
    0xfd0005ff,0xff9001df,0x1df90005,0xaa7fc400,0xafc801ff,0xfc8001fc,
    0x7fd4001f,0x003fea02,0x3ffffff9,0x00bffea0,0xffa80ff3,0x4007f72f,
    0x407fcc4e,0x101b63fb,0x09fffffd,0xff30ff98,0xff72ff81,0x3e200bff,
    0xff10ffff,0xffb30fff,0xffffffff,0xfff93007,0x17dfffff,0xfffa8000,
    0xf913e200,0x037ff440,0x13ee17cc,0x7e401ffc,0x7ffe405f,0x5ffd0001,
    0x006fe800,0xfa801df9,0xffffffff,0x806fffff,0xf1000efc,0xff880009,
    0xcefc8003,0x0dfb005f,0x0017ea00,0x05ff5ff3,0x000ffe40,0x2001ffc4,
    0x7d400ef8,0x5554c00f,0xd9300aaa,0x07f980ff,0x5c73bfe2,0x87f1003f,
    0x3fb80ff9,0xffd80fe6,0x204ffdbd,0x1ff30ff9,0xfdd52ff8,0x3ffa00bf,
    0x3bfe25dd,0x7fffdc6e,0xffffffff,0x3fff6203,0xffecaacd,0xf10002ff,
    0xfc80dfbf,0x3603fdbd,0x7404fddf,0xff04fd86,0x05ffc807,0x077dffd4,
    0x17ffea00,0x100bdb00,0xf80003ff,0xff10003f,0x067d4003,0x00bf7000,
    0xfd13ff50,0x03fd1009,0x54c46540,0xfff7000c,0x2632a009,0x32000ca8,
    0x272a004f,0x3ea01951,0x5065400f,0x1ff88019,0xfa81fe60,0x5003fb87,
    0x702a881f,0xf107d87f,0x00ffc81f,0x41544991,0x05fc81cc,0xf103ff88,
    0xffff301f,0x027e47ff,0x802fbfa2,0x004ffda8,0x09fd4fe8,0x05f7f644,
    0xff88ffb8,0xfb03f503,0xc80ffe09,0x7fcc04ff,0xd800bfb2,0x0000ffcf,
    0x0005d300,0x20007ff0,0x7dc001a8,0x3320001f,0x21aa8000,0x351002a9,
    0xf90fe400,0x01554003,0x0fe43f90,0xc8005500,0x5407f21f,0x0fe400ff,
    0x5fb003f9,0xf703fcc0,0x2007f70d,0x3fb8006d,0x2fe41fcc,0x0001ffc4,
    0x402fe400,0xff100ffa,0xfffff901,0x3027e47f,0xc8001bff,0x32a003ff,
    0x0019930c,0x4c355001,0x360dd02a,0x207ff04f,0xa9804ffc,0x4002aa22,
    0x04fd8ff8,0x6f4400c0,0x7fc0002e,0x40000003,0x20000cc9,0x1c809ab9,
    0xa8800440,0x2620aa22,0x454c1530,0x22a88198,0x309882a8,0x4c454c15,
    0x2a22a881,0x15309882,0x50cc454c,0x309881ff,0x4c454c15,0x4c05fb01,
    0x217ee07f,0x7ccc03fb,0x83fb8004,0x07fdc0fe,0x0000004c,0xfb805fc8,
    0x203fe206,0x3ffffffe,0x4fe813f2,0x3ff70020,0x00133000,0x40000044,
    0x7ffdc3fb,0x41ffc7ff,0x00004ffc,0xfab7dc00,0x007ea007,0x00016277,
    0x710007ff,0x0110005b,0xfffeb980,0x13f23fff,0x4fbffae2,0x87fd40ff,
    0x04fe87fa,0xfa83ff50,0xfd0ff50f,0x07fea009,0x1fea1ff5,0x7d4013fa,
    0xe81ff51f,0x3ff5004f,0x7cc07fb0,0x2e13ee07,0xfffda83f,0x80ff984f,
    0x44fc83fb,0x4000eff8,0x1ff30ff9,0x5fc82ff8,0xffffff50,0x80ff885f,
    0x3fffffff,0x2fdc13f2,0xa9f7fe4c,0x0013ee5e,0xb8805ff3,0x1ff3effe,
    0x2201ff30,0x7ffdc0ff,0x21ffc7ff,0x7d404ffc,0x01fea00f,0x17fc53fa,
    0x5c02fa80,0xf8000d13,0x8cc8003f,0xffd8802d,0x501ff3ef,0xfd9dffff,
    0x10bfbfff,0x9ffdfffd,0x0ffa81ff,0x09fd0ff5,0xf507fea0,0x3a1fea1f,
    0x3ff5004f,0xff50ffa8,0x2a009fd0,0x81ff51ff,0xff5004fe,0x4c07fb03,
    0x213f207f,0x7ffd43fb,0x260effed,0x83fb80ff,0xfff987f9,0x43fe6003,
    0x17fc0ff9,0xffb82fe4,0x441fffff,0xfffd80ff,0x13f23fff,0xff503fe2,
    0xbf97ffdf,0x260037c4,0x3fa202ff,0xffcffeff,0x700ff980,0x827ec0df,
    0x0fff23ff,0xfb01ffc0,0x21ff9809,0x5f7006fd,0x02ece880,0x001ffc00,
    0x4c049874,0xcffeefff,0x7ffd40ff,0x0dfff702,0xfea8fff6,0x115440ff,
    0x009fd055,0x55107fea,0x27f41544,0x441ffa80,0x3a0aa22a,0x3ff5004f,
    0x9fd03fea,0x207fea00,0x1fe603fc,0x3fb84fc8,0xfee8ffe6,0x203fe64f,
    0x43ff03fb,0x0dffffe8,0xf30ff980,0xc82ff81f,0x02ff805f,0x3ee03fe2,
    0x323fffff,0x4c4fa84f,0x3ff663ff,0x0007f43f,0x7ec05ff3,0x3fffaa3f,
    0x900ff980,0x827ec09f,0x09ff93ff,0xf8837e40,0x237e401f,0xfb801ffa,
    0x02ffe803,0x001ffc00,0x2016ce64,0x3f620efe,0x3bfe20ff,0x437fdc00,
    0xffd00ffb,0x4fe80001,0x003ff500,0x5004fe80,0xe80003ff,0x3ff5004f,
    0x9fd03fea,0x207fea00,0x1fe604fb,0x3fb83fd8,0xcaf897fa,0x203fe67f,
    0x25fd03fb,0xffc89ff9,0x87fcc03f,0x17fc0ff9,0x3e602fe4,0x03fe200f,
    0x1ffffff4,0x41f909f9,0xff883ff8,0x0017e41f,0x3ee05ff3,0x01ffd00f,
    0x3f601ff3,0x7c13f603,0x0ffffcbf,0x503ff300,0x07ff00df,0x9f9009ff,
    0x05fffa80,0x001ffc00,0x2a01edc4,0x1fff00ff,0x2600ffe4,0x7e43ffff,
    0x003fee04,0x2009fd00,0x40001ffa,0xff5004fe,0x4fe80003,0x2a3ff500,
    0x027f40ff,0xf981ffa8,0x20ff300f,0x3fb80ff8,0x47dc3ff1,0x03fe61b8,
    0x9fec0baa,0x7ffd43fc,0x21ff300d,0x17fc0ff9,0x3ea02fe4,0x807fc407,
    0x23ffffd8,0x646e84fc,0x03ffa06f,0x7cc009f5,0x409f902f,0xff980ffb,
    0x6c05ff00,0xfffff04f,0x7400dff9,0x403fd83f,0x7fc80ffa,0x6c04fc80,
    0x0000ffcf,0x98000ffe,0xb027ec00,0x027f41ff,0x1ffa7fe2,0x7fcc07fd,
    0x7d40ff30,0x54013fa7,0x40ff31ff,0x013fa7fa,0x7f98ffd4,0x4fe9fea0,
    0x2a3ff500,0x027f40ff,0xfb01ffa8,0x30ff303b,0x4fee0bfb,0x3036c7f9,
    0xf90001ff,0x36207fab,0x1ff305ff,0x5ff03fe6,0xfb80bf90,0x007fc406,
    0xfc8ffae6,0x1ff44f84,0x7f70df90,0x817fcc00,0x3fe603fe,0x880ff980,
    0x13f601ff,0xfb97fffc,0x8df7004f,0x7ec00ff8,0x805ff305,0x3fe205fd,
    0x20004fd8,0x362003ff,0x81dffffe,0x3fee03ff,0x4403ff10,0x43ffb1fe,
    0x3fe202ff,0x7d40ff30,0x54013fa7,0x40ff31ff,0x013fa7fa,0x7f98ffd4,
    0x4fe9fea0,0x2a3ff500,0x027f40ff,0x3201ffa8,0x23fcc1ff,0x3ee04ff9,
    0x03f8df73,0x20003fe6,0x409fb6fb,0xff982ffb,0xff81ff30,0x6c05fc82,
    0x07fc404f,0x3f23fd80,0xff11fcc4,0x6c27ec01,0x3fe6001f,0x4405ff02,
    0x0ff980ff,0x3600ff98,0x85fff04f,0xf8802ffd,0x101bee1f,0xddddddff,
    0xfd80dffd,0x7d5bee05,0x0ffe0007,0x777ffd40,0x7fc1ffff,0x4c3fe202,
    0x5fd100ff,0x5ff17fdc,0xf987fc40,0xfe9fea07,0x23ff5004,0x9fea07f9,
    0xff5004fe,0xfa81fe63,0x54013fa7,0x81ff51ff,0xff5004fe,0x20ffdc03,
    0x1ffcc7f9,0x9bee7f70,0x3fe601f9,0x56fb8000,0x27f407ff,0xff987fcc,
    0x7e417fc0,0x201ff405,0xfb000ff8,0x3ee27e47,0xfd01fea2,0x4001ff07,
    0x5ff02ff9,0x4c07fc40,0x0ff980ff,0x7fc13f60,0x00fff884,0x0bfa4fd8,
    0xffffff70,0x03ffffff,0x9fd037f4,0x4000bfe2,0xbfd003ff,0x22ffd441,
    0x3fe202ff,0x7ec0ff70,0xfd1ffcc3,0x987fcc07,0xe9fea07f,0x3ff5004f,
    0x7fa81fe6,0x7d4013fa,0x540ff31f,0x4013fa7f,0x1ff51ffa,0xf5004fe8,
    0x0b7f603f,0x3faa1fe6,0x3e67f704,0xff301f27,0x49f90001,0xfc80dffc,
    0xf30ff983,0xc82ff81f,0x017fc05f,0x6c003fe2,0xf513f23f,0xf303fdc7,
    0x006fa83f,0xfe817fcc,0x203fe603,0xff880ff9,0x7c13f601,0x0bff503f,
    0x3fe6ff50,0x4ceff400,0xff999999,0x4c1bfa04,0x01bf61ff,0x5401ffc0,
    0x8ff900ff,0x3fe603fe,0x3f60dfb0,0x7ec9ff04,0x4c3fee05,0xe9fea07f,
    0x3ff5004f,0x7fa81fe6,0x7d4013fa,0x540ff31f,0x4013fa7f,0x1ff51ffa,
    0xf5004fe8,0x01ff103f,0x7fc41fe6,0x3fe3fb81,0x97fc49d0,0x2ea80ff9,
    0xffb87fd0,0x203fe23f,0x1ff30ff9,0x5fc82ff8,0x1003fe60,0x3f6001ff,
    0x9f313f23,0xfd80ffcc,0x000ffcc7,0x7ec0bfe6,0x203fee05,0x5fd00ff9,
    0xff827ec0,0x00fff203,0x017ee7fe,0xfb003ff3,0x41ffe01f,0x0ffd46fc,
    0x801ffc00,0xb1fea019,0x87fdc0bf,0x05fc87fc,0x7fcc5ff1,0x30fff881,
    0xd3fd40ff,0x3fea009f,0x7d40ff31,0x54013fa7,0x40ff31ff,0x013fa7fa,
    0xffa8ffd4,0xa8027f40,0x05fb81ff,0x3fd81fe6,0x33fa3fb8,0x43fee2f8,
    0x3fb80ff9,0xfd303ff0,0x207fd5df,0x1ff30ff9,0x5fc82ff8,0x2201fea0,
    0x7fb000ff,0x22fc27e4,0x6ffb83ff,0x2000ffe2,0xff302ff9,0x01fff103,
    0x3f601ff3,0x203bf604,0x3fa203ff,0x767e401f,0x037e402f,0xff03ff98,
    0x3e0ffe0f,0x3ff8004f,0x3aea6000,0x40ffcc7f,0xff70fff8,0xf302fdc1,
    0x9dffd81f,0x30ffffc8,0xd3fd40ff,0x3fea00bf,0x7d40ff30,0x54017fa7,
    0x40ff30ff,0x017fa7fa,0xffa87fd4,0xa802ff40,0x04fc80ff,0x4fc81fe6,
    0x3fea3fb8,0x49ff30fd,0x3fb80ff9,0x3200ff88,0x2601ffff,0x81ff30ff,
    0x05fc82ff,0x3e201bee,0x47fb000f,0x20fd84fc,0xff913ffc,0x0bff73df,
    0x80bfe600,0xfc89dffd,0xff980fff,0x5c0bf700,0x1ffc7fff,0x803bfe60,
    0xf807fff9,0x1bfa004f,0x7fd43ffc,0x8007fc80,0x366003ff,0x7ffffffe,
    0xd31dffd8,0x3fea1fff,0x5c01df52,0xfffd887f,0x30ffcfff,0x9fea01ff,
    0xff7006fd,0xfa807fcc,0x5c01bf67,0x403fe67f,0x01bf67fa,0x1ff53fdc,
    0xf7006fd8,0x980ff60f,0x213f207f,0x7ffdc3fb,0x7cc6ffec,0x983fb80f,
    0xffe9806f,0x4c3fe603,0x417fc0ff,0x13f605fc,0x4003fe20,0x213f23fd,
    0x7ffec3fc,0xffffcbff,0x3e60004f,0x3ff6202f,0x0ffcffff,0xf300ff98,
    0x0fffc80d,0x3f200ffe,0x27ff405f,0x8007fea0,0x7ff81ffb,0xff305fd8,
    0x03ff8005,0x7bffffb0,0xfb10ff53,0xff9fffff,0x77ceff41,0x702ff400,
    0xff319dfb,0xfb807fcc,0x6401ff67,0x403fe66f,0x01ff67fb,0x1ff337e4,
    0x7fd9fee0,0x7d4df900,0x803fec0f,0x07fb06fc,0x9f703fcc,0xff707f70,
    0xff309fff,0xf707f701,0x0ffec00b,0xff30ff98,0xfc82ff81,0x200ffa05,
    0xfb000ff8,0x7cc27e47,0x37fae20f,0x839dfb11,0x20372219,0xdb801ff9,
    0x07f98cef,0x3e201ff3,0xff81800f,0x07ffd003,0x3600ffdc,0x7fc4006f,
    0x7c419984,0xeeeeeeef,0x000006ff,0x2e073fee,0x3bf6e07f,0x7d47f99c,
    0x7dc01fff,0x7fa8003f,0x7e403fe6,0x2003fee7,0x03fe65fe,0x1ff73fe4,
    0x7ccbfd00,0x5cff900f,0x5fe800ff,0x3fee03ee,0xb05fe800,0x2014c07f,
    0x83fb85fb,0x2601aafa,0xf07f701f,0xd00a983f,0x03fe609f,0x3f20bfe0,
    0x2007fe05,0xfb000ff8,0xfb827e47,0xfe880006,0x2a07fe24,0x2a0000ff,
    0x01ff307f,0x551027e4,0x00054400,0x00006fb8,0x7000fe20,0xffffffff,
    0x4003ffff,0x5fe801aa,0x2001ff20,0x3ffe87fa,0x5c37fd40,0x89bf203c,
    0x7fe882ff,0xa803bfe6,0x0bfe23ff,0xff99ffa2,0x8ffea00e,0xfe882ff8,
    0x803bfe67,0x41b23ffa,0x2a00eff9,0x07fd03ff,0xfb82ffe4,0x7d83fb85,
    0x2e01f700,0x7c2fd43f,0x20bfb05f,0x5ff007f9,0x3e60bf90,0x0ff8800f,
    0x7e47fb00,0x007bf604,0x7c37fcc0,0x207fc83f,0x1bf203cb,0x3e203fd4,
    0x00ff500f,0x00177fc4,0x00000bfa,0x74001f98,0x999999df,0x1004ff99,
    0x9fd007ff,0xb83ffa20,0x117f203c,0x9839fffd,0xfa80fffd,0x43ff980f,
    0x3f620ffe,0x5f7fd47f,0x0bff9311,0x7ec41ffd,0x5f7fd47f,0x0bff9311,
    0x7ec41ffd,0x5f7fd47f,0x8bff9311,0x3bfea07d,0xbff9311b,0x2200ffc0,
    0x86fa82fe,0x004f83fb,0x0fee03f9,0x1ff901fd,0xf503ff88,0x03ff100f,
    0x1bf20bf9,0x8007fc40,0x813f23fd,0x009cffe8,0x80effb88,0xfb88bffd,
    0x03fea05f,0x7dc0ffe6,0x503fb807,0xdf5000ff,0x003fd400,0x00fea000,
    0xd801ff98,0xff8800ff,0x40ffb803,0x2e0fffe8,0x3ff980ff,0x7fff67f4,
    0x0effffef,0x75bffd10,0xff50bffb,0xff5ffddf,0xffffff70,0x3ea0dfff,
    0xfaffeeff,0xfffffb87,0xf506ffff,0xf5ffddff,0xfffff70f,0xf90dffff,
    0xffb8953b,0x6fffffff,0x207feb88,0x882ffa98,0x7f70bdff,0xf5002f98,
    0x3ee1955d,0x7c413ea3,0xfffcadff,0x02ffddc0,0x64cffd75,0x32f25fec,
    0xff1002ff,0x3fd8099b,0x3aa013f2,0xaabdefff,0x03fffeca,0x3fffffe2,
    0x3fa200ef,0x5ffdbadf,0x005ffbb8,0x803540dd,0x406fc998,0x003ffedb,
    0x5ffc4000,0x1bf201db,0x801ffcc0,0xff8803e9,0xfbffecdf,0x33bfa21f,
    0x644ffdba,0x3fffaa3f,0xe9801bef,0x05ffffff,0x27bfffaa,0xfd9507f8,
    0x4017ffff,0x89efffea,0xffd9507f,0x54017fff,0xf89efffe,0xfffd9507,
    0xff1017ff,0xfd950bff,0x5017ffff,0x7fc07fff,0x3fee05ff,0x7b87f72f,
    0x7ffff400,0x07f47f70,0xfffffd30,0x3ffff01d,0x71fffec0,0x3e6bffff,
    0x22007fff,0x6c07ffff,0x8013f23f,0xfffffffb,0x800cffff,0x0dffffe8,
    0xffffe980,0xffff05ff,0x20bea003,0xff7004d8,0xffb803ff,0x0000004f,
    0x403ffff9,0x3fa004ff,0x003f1006,0x37ffffaa,0xfe989fd0,0x884fffff,
    0x00026603,0x004de5d4,0x10000988,0x98800133,0x13310000,0x00098800,
    0x20013310,0x998800ba,0x00e64c00,0x26002aea,0x305951cb,0xa8375000,
    0x2005912c,0x7101bcba,0xbca80179,0x8d5554c1,0x4002cca8,0x402aaaa8,
    0x006a61a9,0x55e5d4c0,0x33100009,0x2f2ea000,0x37971009,0x4983b800,
    0x006ea600,0x0000ddc4,0x006a2000,0x5c003ff5,0x2fc401ff,0x000cc400,
    0x000de5d4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb000000,0x4ff8800d,0x00000280,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03550d54,0x01aba880,0x988004c4,0x00000001,0x26666200,0x99999999,
    0x4cc00001,0x00066000,0x00000000,0x88000033,0x998009bb,0x00000000,
    0x4cc40000,0x00999999,0x80000660,0x00000aaa,0x00000000,0x1aba8800,
    0x00000000,0xc986ea00,0x0bffa000,0x4cbfe600,0xff3002ff,0x0007fe65,
    0xfb802aa6,0x001ffd2f,0x01ffc9fd,0x7ffff64c,0x09fd03ff,0x8007fea0,
    0x64000ffe,0xd0dfd2ff,0xffffffff,0x900fffff,0xfff801bf,0x00ff9800,
    0x0007ff20,0x800fffa8,0x20000ff9,0xfffffdb8,0x0ffe02ff,0x1bfe2000,
    0x01ffdc00,0xffffffd0,0x409dffff,0x80000ff9,0x22005ff8,0x20001fff,
    0x26003ffb,0xfa8005ff,0x0dffffff,0x00bffe20,0x7fd47fe6,0x3fff6000,
    0x32007ecf,0x8001ffef,0x04fe8ffb,0x7f47fdc0,0x907fec03,0xa7f403ff,
    0xfd001ff9,0x2e01ffc9,0xffdeffff,0x04fe85ff,0x2003ff50,0xf8001ff9,
    0xd03ff54f,0xffffffff,0xa80fffff,0xfff80954,0x00ff9805,0x0007ff10,
    0x037effc4,0x80007fcc,0xddefffe9,0xf80dfffe,0xfb80003f,0x3f20000f,
    0x3fffa007,0xffffffff,0x0ff980ef,0x06fc8000,0x07feff40,0x004fe800,
    0x2000ffb8,0xeedefffb,0xbfb01eff,0xff9803ff,0x2001ff51,0xffeb9df8,
    0x71ff5003,0xfb0001ff,0x36000bff,0xe8805fff,0x407ff24f,0x00ff66fa,
    0x06aa1aa8,0x40beffb8,0x7f45ffc9,0x03ff5004,0x2000ff60,0x40ffa5fa,
    0x200004fe,0xfff01a2c,0x0ff9807f,0x000bf900,0x0bfb5fe8,0x8000ff98,
    0x880bfff9,0x3ff85ffd,0x0ffc4000,0x01fec000,0x64404fe8,0x0ff985ff,
    0x07fc4000,0x3f2df900,0x06fa8006,0x4013f200,0xe980cffa,0x47fe40ff,
    0x32200efb,0x0019930c,0x800102a2,0x00b322cc,0x0037b620,0x2004cc80,
    0x19950ff9,0x04c872a0,0xff880000,0x0fff400f,0x3ea009fd,0x03c8801f,
    0x32219700,0x0013fa03,0x03cae980,0x007ffffc,0x32001ff3,0x664c0004,
    0x4c039910,0xfe8000ff,0x0ffb801f,0x20001ffc,0x100002c9,0x13fa0079,
    0x7cc3ff40,0x5440000f,0x47322001,0x5c002cc8,0x2640000c,0x5406fc80,
    0x873222ff,0xba9802cc,0x00131001,0x75100662,0x54c00035,0x2a20001b,
    0x32a001ab,0x53003311,0x00000037,0x2600bff2,0x013fa5ff,0x4400ffd4,
    0x4c401aba,0x74331000,0x1310004f,0x0cc42c98,0x40bff9ff,0xa9800ff9,
    0xa980001b,0x1ff3001b,0x02ffb800,0x7ff13fe0,0xaba88000,0x2ea60001,
    0x009fd001,0xff30bfea,0x00000441,0x31000988,0x88004c43,0x40026219,
    0x01ffc198,0x19882ff4,0xffffc880,0xfd00bdff,0x07fea009,0x3fffffea,
    0xfc8800df,0x0bdfffff,0xfffffa80,0x26200dff,0x6441fee1,0xbdffffff,
    0x401ff500,0x027f47fa,0x27f41570,0x301ffa80,0xffffffd9,0x4013fa07,
    0x09fd1ffa,0x4013fa00,0x77ff1ffa,0x3fe607ff,0xffff9100,0x20017bff,
    0xffffffc8,0x1ff300bd,0xfd85ffb0,0x20dd4006,0xf50003ff,0x1bffffff,
    0xffff9100,0x3a017bff,0x5ff3004f,0xffb8ff98,0x7fd40bdf,0xfe9fea00,
    0x23ff5004,0xff5004fe,0x54013fa3,0x017fa1ff,0x3fdc0266,0x3bfffa60,
    0x82ffffec,0xff5004fe,0xdefffb83,0x201effee,0xecefffe9,0x2e02ffff,
    0xfeedefff,0x4ff701ef,0xffe987fb,0xffffecef,0x6c07ff02,0x0017fc4f,
    0x54013fa0,0xfffb81ff,0x5ffffdef,0xf5004fe8,0x0013fa3f,0xfa8027f4,
    0x3f67ff1f,0x80ff980f,0xecefffe9,0x4c02ffff,0xfecefffe,0xff982fff,
    0x7417fe40,0xff00004f,0xfff70007,0x3dffddbd,0x77fff4c0,0x82ffffec,
    0xff9004fe,0xefeff983,0xff85fffd,0xfe93f603,0x23ff5004,0xff5004fe,
    0x54013fa3,0x2fff21ff,0x1fee0000,0x882fffa8,0x7f42fffb,0x43ff5004,
    0xe980cffa,0xfffa80ff,0x2fffb882,0x980cffa8,0x7fb80ffe,0xfff51fee,
    0x5fff7105,0x3e20df90,0x007fe61f,0x2009fd00,0x7fdc1ffa,0x7fe4c0be,
    0xa8027f45,0x009fd1ff,0x54013fa0,0x227ff1ff,0x0ff986ff,0x4417ffd4,
    0xf502fffb,0xff7105ff,0x20ff985f,0xff882ffc,0x7ff00002,0x0cffa800,
    0xa80ffe98,0xfb882fff,0x027f42ff,0x7cc2ffe4,0x1ffdc4ff,0x7fc41bf2,
    0x54013fa1,0x009fd1ff,0x27f47fea,0x221ffa80,0x01bdfffe,0xfd03fdc0,
    0xfff9801d,0x54013fa0,0x01bf21ff,0xdfd05ff5,0x0fff9801,0x3ea037e4,
    0x2e7fb82f,0x0077f47f,0xf303ffe6,0xb8df503f,0x740000ff,0x3ff5004f,
    0x2007ffc4,0x13fa1ffe,0xfe8ffd40,0xffffffff,0x13fa1fff,0xff8ffd40,
    0xf30ffee3,0x00efe81f,0x7407ffcc,0x7fcc00ef,0x643fe60f,0x3ff501ff,
    0x0ffe0000,0xa80df900,0x0efe82ff,0xd07ffcc0,0xddddddff,0x301dffff,
    0x3fea0dff,0x2a07fe60,0x8027f46f,0x09fd1ffa,0x7f47fea0,0x83ff5004,
    0xffffffd8,0x07fb802d,0x2a003ff7,0x013fa4ff,0x7ff0ffd4,0xfb8bfd00,
    0x9ff5001f,0xfe803ff8,0x3ee7fb85,0x4007fee7,0x3fe84ffa,0x3fe43fd8,
    0x027f4000,0x3f21ffa8,0x5ff9802f,0x7d4013fa,0xfffffd1f,0x3fffffff,
    0xfa8027f4,0xfd87ff1f,0xb83fe60f,0xff5001ff,0x001ffb89,0x7fcc9ff5,
    0x2e01ffc8,0x3bb600ff,0x3e0eeeee,0x1ffc003f,0x3ee2ff40,0x9ff5001f,
    0x7ffffff4,0x203effff,0x3fa02ff9,0x7ec1ff42,0xa8027f43,0x009fd1ff,
    0x27f47fea,0x301ffa80,0xdfffffd9,0x443fdc01,0x7ec004ff,0x54013fa6,
    0x017fa1ff,0x4ff88266,0x3a37ec00,0x8099805f,0x45fee7fb,0x7ec004ff,
    0x7c46fb86,0x007fd40f,0x4013fa00,0x13fa1ffa,0x3fa0ab80,0x23ff5004,
    0x99999dfe,0x7f419999,0x23ff5004,0x37fc43ff,0x3fe21ff3,0x137ec004,
    0xfd8009ff,0x3ff7fe66,0x00ffd405,0xffffffff,0x2001ffc3,0x099805fe,
    0xb0013fe2,0x556ff4df,0x804ffdca,0x3f600ff9,0x3e237dc4,0x8027f40f,
    0x09fd1ffa,0x7f47fea0,0x03ff5004,0xffffb510,0x261fee03,0x7dc002ff,
    0x54013fa7,0x2fff21ff,0x17fcc000,0xf91fee00,0x2e00017f,0x7cdfee7f,
    0x3fdc002f,0xdf70ffc4,0x0005ff30,0xf5005fe8,0x0017fc1f,0x54013fa0,
    0x009fd1ff,0x54013fa0,0x707ff1ff,0x43fe67ff,0x5c002ff9,0x00bfe67f,
    0x7fccff70,0x2201ffff,0x2aaa03ff,0x3e1ffcaa,0x7fe4003f,0x7fcc000b,
    0xd3fdc002,0x17fea09f,0xfc80ff30,0xf70ffc45,0x2009fd0d,0x09fd1ffa,
    0x7f47fea0,0x03ff5004,0x20dff700,0x1ffa87fb,0xe8ffd400,0x3ff5004f,
    0x5effff44,0x01ffa801,0xd10ffd40,0x0037bfff,0x2ff73fdc,0x54001ffa,
    0x24fd81ff,0x07ff02fe,0xfd84dcc0,0x4cff7006,0x740001ff,0x3ff5004f,
    0x740013fa,0x3ff5004f,0x7fec0ffe,0xff50ff98,0x1ffa8003,0xa8003ff5,
    0x3fff31ff,0x7f401dfb,0x0ffcc005,0xe88007ff,0x801bdfff,0x54001ffa,
    0x409fd1ff,0x3e604ffb,0x6c2fe407,0x3a0bfa4f,0x3ff5004f,0x7d4013fa,
    0x2009fd1f,0x03311ffa,0x2e03fea0,0x00ffb87f,0xfe9ffc40,0x83ff5004,
    0xffffffd8,0x01ff702d,0x443ff880,0xdffffffd,0xf73fdc02,0x0003feef,
    0xff507ff1,0x7f403fe6,0x43ff2005,0xff9007fc,0x00007fdc,0x7d4013fa,
    0x0009fd1f,0x7d4013fa,0x2207ff1f,0x70ff9eff,0xf88001ff,0x001ff73f,
    0xff33ff88,0xc813fe23,0x7fcc006f,0x2000ffe1,0xffffffd8,0x01ff702d,
    0xfd3ff880,0x03ffd809,0x3fd80ff3,0x1ff37fa8,0x2a009fd0,0x009fd1ff,
    0x27f47fea,0xf91ffa80,0x417fc00d,0x07fc87fb,0x3fa9ff00,0x03ff5004,
    0x3ffffb26,0x03fe40ef,0x9304ff80,0x1dfffffd,0x7fb9fee0,0x3e000ff9,
    0xf73ff04f,0x01ffe40b,0xff72ffc4,0x64dfd001,0xfe80007f,0x23ff5004,
    0xfd0004fe,0x47fea009,0x3fee03ff,0x0ff90ffd,0x7e53fe00,0x29ff0007,
    0x3fee0ff9,0x00bff501,0x7ff0ffcc,0x7f64c000,0x640effff,0x9ff0007f,
    0xff1013fa,0x03ff301f,0x9ff817f4,0x09fd05fb,0x7f47fea0,0x23ff5004,
    0xff5004fe,0x2007fe63,0x7fb81ff8,0x88007fb8,0x009fd2ff,0x22007fea,
    0x21ffffda,0xf88007fb,0xfda8802f,0x7fb81fff,0x03fddfee,0xc817fc40,
    0x2202fecf,0x7f401fff,0x03bfe21f,0x3ea3ffa8,0x7f40000f,0x23ff5004,
    0xfd0004fe,0x47fea009,0x7fec03ff,0x00ff70ff,0x3ee5ff10,0x2ff88007,
    0xefe81ff3,0x00bffb00,0x7fc3ffd3,0xb5100003,0x7dc3ffff,0x2ff88007,
    0xff5009fd,0x20bff30b,0x9f900ffa,0x13fa05fd,0xfe8ffd40,0x23ff5004,
    0xff5004fe,0x200f7fc3,0x0ff706fc,0x98001ff3,0x00bfd1ff,0x20003fea,
    0x3fe66ffb,0x0ffcc000,0x437fdc00,0x4dfee7fb,0x7cc000ff,0xffff301f,
    0x59fff500,0x41fffe4c,0x310aeffc,0xff98bff9,0x2ff40002,0xfd0ffa80,
    0x3333333b,0x3fa13333,0x21ff5005,0x7fc403ff,0x01ff30ff,0xf31ff980,
    0xff98001f,0xf981ff31,0xdffd104f,0x3f6e6159,0x33fe0dff,0x99999999,
    0x6ffb8001,0x30003fe6,0x013fa3ff,0x3e61ffec,0x3fe60cff,0x1fffe603,
    0xf5005fe8,0x4017fa1f,0x0bfd0ffa,0xfb83fea0,0xd5109bff,0x1fee07ff,
    0x2a0017fc,0x401bf67f,0x006627fb,0x5ff07fd4,0x227fa800,0x1ff50019,
    0x9fee7fb8,0x7d4002ff,0x027ff407,0xffffffa8,0xb104ffff,0xffffffff,
    0x07ff01df,0xfd84dcc0,0x74ff7006,0xffffffff,0xfb3fffff,0xf9fee00d,
    0xfffb803f,0x5000bfe0,0x002ff8ff,0x1ff33fd4,0x2205ff90,0xfffffffd,
    0xff82efff,0xffffffff,0x2003317f,0x0bfe0ffa,0x7f4ff500,0x1fff1004,
    0x6fff7fcc,0xfe804ffe,0x01bf604f,0x0dfb3fdc,0x6fd9fee0,0xf50ff700,
    0xffffffff,0x83fdc05f,0x7f4006fe,0x6401ff65,0x801bf26f,0x01bfa2ff,
    0x37e4bfd0,0xfb85ff00,0x6fe9fee7,0x202ff400,0x22001ffb,0xdffffffc,
    0xfffda801,0xfd00bfff,0x87fe400b,0xdf9007fd,0x7ffffff4,0x3fffffff,
    0x3f200ffb,0x7400ffe6,0x01bfa0ff,0x6fe8bfd0,0xf32ff400,0x03bfa01f,
    0xffffdb98,0x3ffe03df,0xffffffff,0x7c00df97,0x001bfa2f,0x027f4bfd,
    0x7ccbff70,0x3efffc8f,0x403ff700,0xdf9007fd,0xfc803fec,0x6401ff66,
    0xffd9106f,0xb803bdff,0x05ff707f,0xfb8ffee0,0x25fe800f,0xf8801ff9,
    0x00bfee1f,0xff31ffdc,0x83ff1003,0xb9fee7fb,0xff7002ff,0x006fb807,
    0x0002fee0,0xc800afa8,0xff8803ff,0x2003fee5,0x274005fe,0xe800ffb8,
    0x0035005f,0x5c00bfee,0x17fdc3ff,0x403ffb80,0x6c0000a8,0x0660000f,
    0x8801ff98,0x0bfee1ff,0x801ffdc0,0x3fe6001a,0xf7000260,0x00ffb80d,
    0x3fee5fe8,0x2e5fe800,0x5fe800ff,0x000bfa80,0xffe81fee,0x237fd402,
    0x2a00eff9,0x0f7fc3ff,0x3fa1bf20,0x37fd402f,0x3200f7fc,0x2e7fb86f,
    0x017ff47f,0x3a01bfea,0x3f60002f,0x3ea0001d,0x3fff1000,0x261ffe80,
    0x3ea00eff,0x0be2003f,0x50077fcc,0x3fa007ff,0x2ffe804f,0xe837fd40,
    0x7fd402ff,0x0effa806,0x019ff000,0x413ff600,0x7e401eff,0x402ffe86,
    0x3a006ffa,0xff9804ff,0x17f40000,0x803bfe60,0x3fe63ffa,0x8ffea00e,
    0x2a00eff9,0xffc803ff,0x81fee003,0x4c1cfff9,0xfa81fffc,0xf9311bef,
    0x7fff70bf,0x3ffaa213,0x1cfff983,0x40fffe4c,0x109bfffb,0xf707ffd5,
    0x3e63fdcf,0x7e4c1cff,0x3fd401ff,0x07fcc000,0x001fb800,0x98b3ffea,
    0xfa83fffc,0xf9311bef,0x4f9800bf,0x46fbfea0,0x005ffc98,0x2600ffcc,
    0x64c1cfff,0xff301fff,0xffc9839f,0x9f91001f,0x1bee2000,0x81fe8800,
    0x109bfffb,0xf307ffd5,0xfc9839ff,0x7cc001ff,0x07fcc01f,0x00ff5000,
    0x446fbfea,0xfa85ffc9,0xf9311bef,0x7dff50bf,0x17ff2623,0x2005fd00,
    0x7f4407fb,0xffffefff,0x3ffee00e,0x06ffffff,0x3fffffea,0x2202ffff,
    0xffeffffe,0x3ea00eff,0xffffffff,0x5cff702f,0xfffe887f,0x0effffef,
    0x07ffdb70,0x7fdccc00,0x5df30000,0xffa80195,0xffffffff,0x3fffee04,
    0x006fffff,0x83737ff0,0xfffffffb,0x266006ff,0xe8801ffa,0xfffeffff,
    0x7f4400ef,0xffffefff,0xd998800e,0x4cc4004f,0x998005fc,0xff501ffa,
    0xffffffff,0x7fff4405,0x0effffef,0x3fea6600,0x007fcc01,0x0fffb6e0,
    0xfffffb80,0x2e06ffff,0xffffffff,0x3ffee06f,0x06ffffff,0x03ff7330,
    0x5401fee0,0x2ceffffe,0xfffd9500,0xc88017ff,0x1deffffe,0xffffd500,
    0x3220059d,0x1deffffe,0x7fb9fee0,0x3ffffaa0,0x7fdc02ce,0x3e60004f,
    0x40003fff,0x800ffffe,0xffffffc8,0xfeca801d,0x000bffff,0x05ffff90,
    0xfffffd95,0x3fe20017,0x754004ff,0x02ceffff,0x7ffff540,0x3f6002ce,
    0x5c000eff,0x8001ffff,0x4404ffff,0xdeffffec,0xfffd5001,0x880059df,
    0x9804ffff,0x7dc000ff,0xca8004ff,0x0bfffffe,0x7fff6540,0x65400bff,
    0x0bfffffe,0x3ffff880,0x001fee00,0x10000266,0x44000133,0x4cc00009,
    0x09880000,0x000ff700,0x710004cc,0xa8800037,0x2600001b,0x3310001b,
    0x4cc40001,0x57300000,0x01331001,0x00375100,0x00013300,0x40002660,
    0x30000aba,0x54000375,0x1310002b,0x00998000,0x006ea200,0x88002a88,
    0x880001bb,0x31000099,0x26200013,0x0a980009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x2000f4c4,0x002dc1e9,0x80002660,
    0x000003cc,0x74bfd000,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0017cc5f,0x00000000,0x005ffb80,0x001f74c0,
    0xff71ffa8,0x00000001,0x00000000,0x20000000,0x20006ff9,0x5c006ff8,
    0x006ea9bf,0x9f513dd0,0x37fc4000,0x00dff000,0xfc803ffb,0x3fe2005f,
    0xf000efba,0x007fe25f,0x000fffa8,0x0004ff98,0x00001dfd,0x001fff88,
    0x17ffc400,0x3bfee000,0x3fea0000,0x3ff90004,0x9bfb8000,0xa80006ea,
    0x7d4003ff,0x3ea0004f,0x20003fef,0x20004ffa,0x01ff9efc,0x005ff880,
    0x3fe67ff1,0x3fe00001,0x7dc0000e,0x3e20006f,0x70005fef,0xe88001ff,
    0x0002ffff,0x01dffff5,0x037fc400,0x880dff00,0x7fd403ff,0x3ea004fd,
    0x3e000fff,0x003ff12f,0x01bf7fe2,0x4001bf60,0x00001ffa,0x00ffdfe8,
    0x3f7fa000,0xff30000f,0x6c000bfb,0x7f40005f,0x7ec40005,0x80001eff,
    0xf70005fe,0xff10001f,0x0005ff17,0x00013fea,0x0007fffd,0xa8003bf2,
    0x003fe9ff,0x007fee00,0xbfbff300,0x757f6000,0x1ff8003f,0x006e2000,
    0x000dd400,0x00277440,0xfc805550,0x457fcc04,0x3ae002ff,0x8e64002e,
    0xfd000cc8,0x98013fab,0xfd0000ff,0xfb000005,0x0001bf2d,0x0efcb7e4,
    0x45ffc400,0xf98003fe,0x7440000f,0xa880001f,0xdf500001,0x04fc8000,
    0x32a4ca80,0x00000004,0x0003cc88,0x90003ff1,0x0000bfff,0x40002fe8,
    0x3ff8bff8,0x986f5400,0x326001ee,0x00131002,0xb8800662,0x4400009b,
    0x100009bb,0x70099001,0x44265479,0x43310009,0x33100098,0x64433260,
    0x0395000c,0x000f2200,0x44732200,0x440001cc,0x00b321cc,0x664c9950,
    0x00e54000,0x002c9800,0x000dd4c0,0x0000cb80,0x220004c8,0x20001aba,
    0x0001aba8,0x0006aea2,0xc8000b26,0x4400004c,0xca80003c,0x00033264,
    0x30026ee2,0xd0cc0013,0x3fea009f,0xfffb7101,0x2005ffff,0xfffffdb8,
    0xeb8802ff,0x41ff3eff,0x004c4198,0x09fd1988,0x7f47fea0,0x43ff5004,
    0x0cc40019,0x44266200,0x99999999,0x00331000,0x33100331,0x800cc400,
    0x4c400198,0x26666209,0x99999999,0x03310009,0x3fff2200,0x000bdfff,
    0x22003310,0x99999999,0x26019999,0xffffffec,0xffd93003,0x2007ffff,
    0xfffffec9,0x3333103f,0x33333333,0x30004cc3,0x99988003,0x99999999,
    0x26621999,0x99999999,0x36e20199,0x2fffffff,0x3001fff0,0x013fa1ff,
    0x74c0ffd4,0xfeddefff,0x3a600dff,0xfeddefff,0xfd100dff,0xff9ffdff,
    0x3fa3fdc1,0xd3ff5005,0x3fea009f,0x2a009fd1,0x01ff31ff,0x0027fdc0,
    0x3ffa3ffb,0xffffffff,0x03fee04e,0xd807fff0,0x3ffa006f,0x04ffb802,
    0xfa87ff60,0xffffffff,0xd002ffff,0xe98005ff,0xffecefff,0xfe8002ff,
    0xfffe802f,0xffffffff,0xffff707f,0x0bffffbd,0xdeffffb8,0x5c05ffff,
    0xffdeffff,0xfffe85ff,0xffffffff,0x003ffe7f,0x44003fe6,0xffffffff,
    0x7fffffff,0x3ffffffa,0x07ffffff,0xbbdfffd3,0xf81bfffd,0xff9805ff,
    0x2a009fd0,0x7ffcc1ff,0x5ffd880b,0x017fff30,0x360bffb1,0x3ffaa3ff,
    0xfd1fee0f,0x27fea00b,0xff5004fe,0x54013fa3,0x01ff31ff,0x801ffd80,
    0x3ffa3ffa,0xffffffff,0xff980eff,0x17ffe602,0x2a009ff0,0xfb005fff,
    0x7ff5003f,0xffffffa8,0x2fffffff,0x05fffa80,0x20bffea0,0x002fffb8,
    0x2017ffea,0xfffffffe,0xb87fffff,0x64c0beff,0xdff705ff,0x5ffc9817,
    0x817dff70,0x7f45ffc9,0xffffffff,0x3ffe7fff,0x00ff9805,0xffffff90,
    0xffffffff,0x7ffff4ff,0xffffffff,0x0bfff987,0x7c5ffd88,0x7cc03fff,
    0x2009fd0f,0x7ff41ffa,0x80ffb801,0xfb801ffe,0x807fdc0f,0x1fee0ffe,
    0x3ea00bfd,0x5004fe9f,0x013fa3ff,0xff98ffd4,0x37fc4000,0xfd1bfe20,
    0x5ffc8809,0x7e409ff0,0x3fe207fd,0xff9fb001,0x0dff1001,0x0006ff88,
    0x2003ffa2,0x000ffcfd,0xf9801dfd,0x9fb000ff,0x4fe801ff,0x3ffe2000,
    0x20fff400,0x7400fff8,0x7ffc41ff,0xd0fff400,0x3fe0009f,0x7fcc03ff,
    0x15ff8800,0xfe8005ff,0x7ff40004,0x20ffb801,0x200fffff,0x09fd0ff9,
    0xfb87fea0,0x13fe002f,0x7c005ff7,0x7027e44f,0x23fdc1ff,0xff5005fe,
    0x2a009fd3,0x009fd1ff,0x7fcc7fea,0x4ffb8000,0xfd03ff60,0x41ffa009,
    0x2bfa05fd,0x0ff501ff,0x3f63fe20,0x09ff7004,0x00007fec,0xf1003ffd,
    0x7009fb1f,0x3ea003ff,0x8ff8804f,0x27f404fd,0x05ff9000,0xfc8bff30,
    0x5ff9802f,0x4c017fe4,0x013fa5ff,0x07ffffc0,0x7001ff30,0x0bfe23ff,
    0x0009fd00,0xf0017fdc,0x7fe7fc9f,0x743fe605,0x3ff5004f,0x2a0037ec,
    0x0037ec1b,0x07fd06ea,0xff707fcc,0xf5005fe8,0x2009fd3f,0x09fd1ffa,
    0x7cc7fea0,0x6c00220f,0x3ffa81ff,0xf5004fe8,0x20ff505f,0x04fd8ff8,
    0x3ee00bf9,0x6c00ff56,0x3ffa81ff,0x0fff6000,0x7fab7dc0,0x0027fc40,
    0x3ee01bf6,0xfe80ff56,0x13fa0004,0x7f40ab80,0xd02ae004,0x055c009f,
    0x3e0009fd,0x2605ffcf,0x5ff800ff,0xd000bfe2,0x7ec0009f,0xf0dd4006,
    0x207ff77f,0x09fd0ff9,0xfe87fea0,0x9fd00004,0x0bfe0000,0x3ee0ff88,
    0xa802ff47,0x004fe9ff,0x13fa3ff5,0xf98ffd40,0xdfffea8f,0x11bfe200,
    0x13fa0bff,0x4417fcc0,0x55fa81ff,0x00ffa0df,0x2ff8a7f4,0x88dff100,
    0x2e0005ff,0x3fa004ff,0x4c05ff14,0x7dc002ff,0xf14fe807,0x027f405f,
    0x0005ff00,0x00005ff0,0xe80005ff,0x7ff0004f,0x3e607ff7,0x0ffdc00f,
    0xe8005ff1,0x3fa0004f,0x3ff80004,0xff301ffb,0x54013fa1,0x05ff11ff,
    0x05ff1000,0x80bfe000,0x1fee0ff8,0x3ea00bfd,0x5004fe9f,0x013fa3ff,
    0xff98ffd4,0xefffeffd,0xc8ffee00,0x09fd00ff,0x7407ff20,0xf13fc83f,
    0x01ff881f,0x3f61ff98,0x8ffee006,0x50000ffc,0x7cc00dff,0xa81bf61f,
    0x7d4001ff,0x87fe601f,0x13fa06fd,0x00ffcc00,0x007fe600,0x003ff300,
    0x0004fe80,0x03ff67ff,0xff003fe6,0x002ff88b,0x880027f4,0xf80002ff,
    0x30dff13f,0x013fa1ff,0xffa8ffd4,0xffa80001,0x7fd00001,0xf707fcc0,
    0xaaaefe8f,0xfcaaaaaa,0x5004fe9f,0x013fa3ff,0xff98ffd4,0xbff510df,
    0xf98ffd80,0x013fa02f,0xfc817ff2,0x3fa1ff85,0xc803fd42,0x00ffd46f,
    0xff31ffb0,0x3fe20005,0x1bf2000e,0x3ee03ff5,0x7fc4000f,0xf51bf203,
    0x013fa03f,0x0007fdc0,0x0003fee0,0x0001ff70,0xf0004fe8,0x21bfe27f,
    0x3ee00ff9,0x017fc41f,0x40013fa0,0x80001ffa,0x0ffee3ff,0x13fa1ff3,
    0xfb8ffd40,0x3bbb600f,0xff70eeee,0x77776c01,0x17f60eee,0x3ee0ffb8,
    0x7fffff47,0xffffffff,0x5004fe9f,0x013fa3ff,0xff98ffd4,0x880dfb05,
    0x405fedff,0xeeeeeffe,0x00effffe,0x8ff31fea,0x027e45fc,0x4ff83ff8,
    0x3b7fe200,0xfd10005f,0x3ff8003f,0xff904ff8,0x813fe000,0x04ff83ff,
    0xfffffffd,0x643fffff,0xfc80007f,0x7fc80007,0xfffe8000,0xffffffff,
    0xfb8ffe1f,0x007fcc3f,0xfff10bfd,0xffffffff,0x7fffff45,0x1fffffff,
    0xed803fee,0xf0eeeeee,0x20ffd87f,0x09fd0ff9,0x7d47fea0,0x3fffe01f,
    0xff51ffff,0x7ffffc03,0x3fe61fff,0x20fff881,0x7fff47fb,0xffffffff,
    0x04fe9fff,0x3fa3ff50,0x23ff5004,0xff702ff9,0x1ffff700,0xfffffe80,
    0x03efffff,0x3ee0ff88,0x3fa3fd44,0x80ffa802,0x7dc007fc,0xb0000fff,
    0xfa8005ff,0x707fc80f,0xff1000ff,0x203fea05,0xfffd07fc,0xffffffff,
    0x007fd43f,0x003fea00,0x001ff500,0xfffffe80,0x1fffffff,0x1ffb0ffe,
    0xfa807fcc,0xffff881f,0x2fffffff,0x3ffffffa,0x21ffffff,0x3fe01ffa,
    0xf1ffffff,0x26ff887f,0x0bfd0ff9,0x7c43fea0,0x2aaaa03f,0xff11ffca,
    0x55555407,0x7fec1ffc,0xffffc89d,0xbfd1fee0,0x3a7fea00,0x1ff5005f,
    0x7d4017fa,0x203ff30f,0xfd800ff9,0xadfe802f,0x04ffdcaa,0x5fb17f40,
    0x3fe23ff0,0x305fd800,0xfd8005ff,0xff70002f,0x0bfb0009,0x3e60bfe6,
    0x7fcc000f,0x260bfb01,0x9dfe82ff,0x99999999,0x0017fcc1,0x000bfe60,
    0x0005ff30,0x9999dfe8,0x7c199999,0x337fc43f,0x1bfa01ff,0x4ccdffc4,
    0x3a099999,0x999999df,0x7fc41999,0x2aaaaa03,0x07ff1ffc,0x3fe67ff7,
    0x2e00dfb0,0x002ff47f,0x5fe87fe6,0x20ffcc00,0xffffffd8,0x1fee0ffc,
    0x3ea00bfd,0x7006fd9f,0x8037ecff,0x03fe67fb,0x5c007fcc,0x09fd007f,
    0xc8017fea,0xb01ff14f,0x201bea7f,0xeeeeeff8,0x4006ffee,0xf50007fb,
    0xff1000bf,0xfddddddd,0x00bfe0df,0x3e20ff50,0xeeeeeeef,0x04fe86ff,
    0x800ffe00,0x0ffe09b9,0x3e09b980,0x26e6003f,0x20009fd0,0x3ffb83ff,
    0xff501ff3,0xfddddddd,0x4fe8005f,0x017fa000,0x3fe3ff30,0xf31ffb03,
    0x401ff61f,0x037e46fc,0xfc87fe60,0x0ffcc006,0x98cefdb8,0x3a3fdc7f,
    0x3ff5005f,0x3f200ffb,0x6401ff66,0x403fe66f,0xfb800ff9,0x409fd007,
    0xf5004ffb,0x7dc1bead,0xf7009f94,0xffffffff,0x5c003fff,0xff88007f,
    0xffb8000e,0xffffffff,0x06fe81ff,0xfb82ff40,0xffffffff,0x27f41fff,
    0x00bfd000,0xbfd07fe4,0xd07fe400,0x7fe400bf,0x20009fd0,0x1ffb03ff,
    0xffd01ff3,0xffffffff,0x4fe8005f,0x01bf2000,0x3fe3ff30,0xf3dff103,
    0x003fee1f,0xbff517fa,0x50ffcc00,0x7cc00bff,0x3fd4001f,0x0bfd1fee,
    0x3ee7fea0,0x25fe800f,0xfe800ffb,0x4c03fe65,0x7fb800ff,0xd809fd00,
    0x1ff003ff,0x5be609f9,0xdfe801fe,0x99999999,0x3ee004ff,0x1ffe8007,
    0x33bfd000,0xff333333,0x005ff709,0x7f40ffee,0x9999999d,0x27f44ff9,
    0x07ff9000,0xfc8bff10,0x5ff8803f,0x4401ffe4,0x013fa5ff,0xf881ffc0,
    0x4c0ff9ef,0xaaaaacff,0x4002ffba,0x2a0004fe,0x3e6005ff,0x5c07ff1f,
    0xf30ffdff,0x7fd401df,0x805ffd83,0x7ec1ffe9,0xffe9805f,0xfc80f2e1,
    0x3fa3fdc6,0x33ff5005,0x7d401dff,0x03bfe63f,0x3e63ffa8,0x01ff300f,
    0x3a00ff70,0x7ffc404f,0xfe9fd800,0x1fe3fe01,0x2007fe60,0xf7000ffd,
    0x2ffd800f,0x03ff3000,0xfd01ffb0,0x6ffa805f,0xb003ff30,0x027f41ff,
    0x03fff100,0x7c41ffe8,0x7ff401ff,0x00fffc41,0x4fe87ffa,0x407ff000,
    0x40ffdffb,0x7fc406fd,0x027f4002,0x017ff600,0x7fc7ffa6,0x7fffec03,
    0x46fbfea0,0x105ffc98,0x2159dffd,0x0dfffdb9,0x5677ff44,0xbfffb730,
    0x4c07fd41,0x23fdc3ff,0xff5005fe,0x46fbfea3,0xa85ffc98,0x9311beff,
    0x0ff98bff,0x7001ff30,0x13fa00ff,0x2017fea0,0x6c07fcfb,0xfc805fcf,
    0x07ff3006,0xb801fee0,0x320003ff,0x7ff3006f,0x839fff30,0x901fffc9,
    0x3fe600df,0x00013fa3,0x4c59fff5,0xf503fffc,0x7e4c59ff,0xfff503ff,
    0x7ffe4c59,0x80027f43,0x7fec03ff,0x0bfe60ff,0x8005ff10,0x440004fe,
    0x30aceffe,0x21bfffb7,0x7fc403ff,0x7ffdc0ff,0x06ffffff,0x7ffffec4,
    0x02efffff,0x3fffff62,0x82efffff,0xdbadffe8,0x47fb85ff,0xff5005fe,
    0x7ffffdc3,0x2e06ffff,0xffffffff,0x00ff986f,0xf7001ff3,0x013fa00f,
    0x2601ffec,0x7d405fff,0x4ff803ff,0x401bfa00,0xff3007fb,0x3333333d,
    0xff813333,0x41bfa004,0xfeffffe8,0x3e00efff,0x9bfa004f,0x99999dfe,
    0x80999999,0xfffffffa,0x7d404fff,0xffffffff,0x7ffd404f,0x4fffffff,
    0x9999dfe8,0x09999999,0xff8807ff,0x01ff60ff,0x2666ffe2,0xd0999999,
    0x333333bf,0x10133333,0xfffffffb,0xff85dfff,0x0fffb803,0xffffeca8,
    0xb73000bf,0x07bfffff,0x7ffedcc0,0x74c03dff,0x05ffffff,0x05fe8ff7,
    0xca83ff50,0x0bfffffe,0x7fff6540,0xff980bff,0x001ff300,0x3fa00ff7,
    0x1fff1004,0x403fff80,0x5401fff8,0x3ee001ff,0x07fb801f,0xffffff70,
    0xffffffff,0x000ffd4b,0x75403ff7,0x02ceffff,0x7000ffd4,0x3fffa3ff,
    0xffffffff,0xff9103ff,0x003bffff,0x3fffff22,0xf91001df,0x03bfffff,
    0x3ffffffa,0x3fffffff,0xff7007ff,0x00ffe61f,0x3fffffe2,0xd2ffffff,
    0xffffffff,0x407fffff,0xfffffdb9,0x007ff03d,0x31003ffa,0x31000013,
    0x26200001,0xbcba8000,0xd1fee009,0x3fea00bf,0x00266201,0x2004cc40,
    0xff300ff9,0x00ff7001,0xfb8013fa,0x07fec05f,0x6c037f40,0x7fc4006f,
    0x007fb804,0xfffffff7,0xbfffffff,0x220037ec,0x133004ff,0x0037ec00,
    0x7ff53fe2,0xffffffff,0x98803fff,0x4c400009,0x4c400009,0xfffe8009,
    0xffffffff,0x007ff3ff,0x7fec3ffa,0xffff8800,0xffffffff,0xffffffd2,
    0x7fffffff,0x0004c400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40980000,0x2000002a,0x3ff52ff9,
    0x80f75c00,0x1df90ffb,0x40000000,0xfa8002aa,0x05ffffff,0x64007980,
    0x04cccccc,0x7c53fe20,0x53fe203f,0x77644ff8,0x402eeeee,0x1ff71ffb,
    0x10b20ee0,0x0ffe29ff,0x88310000,0x4179100a,0x4418804d,0x0000000a,
    0x20000600,0x4403d85c,0x09ff15fe,0x2a000000,0x07ea002a,0x664400db,
    0x203ccccc,0xaaaaaaa8,0xeeeeeb82,0x544003ee,0x3260001b,0xeffe8801,
    0x2e004fbb,0xff7002ff,0x44005ff1,0x6fec04ff,0x36001ff9,0x0013fa4f,
    0x540037fc,0x5fffffff,0x37fb2a00,0xffff8802,0x54007fff,0x805fd9ff,
    0x85fd9ff9,0xfffffffd,0xf9efd803,0xb87ee01f,0xd9ff981f,0xf8ffe04f,
    0xbfff702f,0xff301fb5,0x807fbdff,0x7dadfffb,0xf13ff800,0x3a20005f,
    0x2a0002ed,0x00fc98bf,0x5fcaff98,0xf73fd400,0x07ff800f,0x7e4d77c0,
    0x3ffe6002,0x2a06ffff,0x6fffffff,0xffffffc8,0xfec9804f,0x00bdffff,
    0x2e003f60,0x1ffffcbf,0x0013fe00,0x8009fffb,0xfe8806fb,0x7ec002ff,
    0x40013fa4,0x000006ff,0x3ffff600,0x4cc02fff,0x00199999,0x00efffb8,
    0x01dfff70,0x3fa20000,0x7fc403ff,0x3ee05ffe,0x1ffc06ff,0x2fbe05ff,
    0xf905fffd,0x01bff933,0x7fedf7c4,0x3ff8004f,0x20005ff1,0x8000b13b,
    0x004ffffd,0x003bffea,0x3fdcff50,0x001ffe00,0x00bfffd5,0xaaaaaa88,
    0x3332602a,0x9883cccc,0x00999999,0x6f7fffdc,0x001effff,0x312e00df,
    0x2fdc0017,0x02664400,0x98006ec0,0xcb8003cc,0x4000b2e2,0x260003cc,
    0x7e4001ba,0xffeafbdf,0x44002621,0x3bb20019,0x0f764000,0x0aa22a88,
    0x003cc980,0x2e00736a,0x166400cc,0x43910399,0x206201b8,0x221c9800,
    0x3990001b,0x40007322,0x0000d13b,0x70001571,0x93000399,0x20026549,
    0x530004cc,0x19880001,0x88198800,0x99999999,0xfb819999,0xffb982ef,
    0x027cc01f,0x0006ea60,0x2620032e,0x09999999,0x2620cc00,0x99999999,
    0x31099999,0x09988003,0x26666662,0x09999999,0xfffff910,0x7cc017bf,
    0x2ffcf32f,0x3ea009fd,0x0331001f,0x54033100,0x20ff50ff,0x99999998,
    0x80999999,0x99988198,0x99999999,0x98198819,0x40660009,0x98800198,
    0x33100001,0xd9d10000,0x33100005,0x26666600,0x33100199,0x33333333,
    0x4ccc4333,0x99999999,0x26666219,0x99999999,0x0bffa001,0xfd0ff700,
    0xffffffff,0xff98ffff,0x37fd400d,0x2200bf20,0xdffffffc,0x0026600b,
    0xffffffe8,0x404effff,0x7ffd47f9,0xffffffff,0x9ff76fff,0x50ffec00,
    0xffffffff,0x305fffff,0xfd9dfffd,0x3ee05fff,0x27fb9e67,0xff5004fe,
    0x0bffa003,0x540ff700,0x20ff50ff,0xfffffffa,0x82ffffff,0xfffe87fb,
    0xffffffff,0xf87fb87f,0xff9800ff,0x8007fb80,0x80002ffe,0x80002ffe,
    0x80002ffe,0xff802ffe,0xffffffff,0xffffd01d,0xffffffff,0x7fffff4f,
    0x7fffffff,0x3ffffffa,0x07ffffff,0x00bfff50,0xffe87fb8,0xffffffff,
    0x07fec7ff,0x203ffc80,0xffe9807e,0xffffecef,0x4007ff02,0xfffffffe,
    0x00efffff,0xfffa8ff3,0xffffffff,0x3ff66fff,0x43ffa801,0xfffffffa,
    0x42ffffff,0xb882fffa,0x6fc82fff,0x4fe811e6,0x003ff500,0x800bfff5,
    0x8aa207fb,0xfff502a8,0xffffffff,0x0ff705ff,0xfffffffd,0x70ffffff,
    0x0bfff0ff,0xf701ff30,0xfffa800f,0x7fd40005,0x7d40005f,0x540005ff,
    0xff805fff,0xffffffff,0x7ff40dff,0xffffffff,0x3fffa7ff,0xffffffff,
    0x3ffffa7f,0xffffffff,0xff9fb007,0x43fdc001,0x3e0004fe,0x2ff4003f,
    0x7d405f88,0xffb882ff,0x003ff82f,0xf91013fa,0x01fe60bf,0xf8803ff8,
    0x37fc406f,0x1ffd1000,0x4c00efe8,0x7fd40fff,0x4fe80f30,0x003ff500,
    0x001ff9fb,0x00003fdc,0x0ffe8800,0x4fe87fb8,0x43fdc000,0x4c03ffff,
    0x07fb80ff,0x07fe7ec0,0xff9fb000,0x67ec0001,0x360000ff,0x7c00ffcf,
    0xfea9884f,0x0027f44f,0xd0004fe8,0x8800009f,0x004fd8ff,0x13fa1fee,
    0x007fcc00,0x7d41bf20,0x0077f403,0xff03ffe6,0x027f4007,0xff307fe8,
    0x801ffc00,0x3f604ffb,0x3fa0000f,0x00ffdc1f,0x7c44ffa8,0x740798cf,
    0x3ff5004f,0xfd8ff880,0x01fee004,0x7f400000,0xd0ff701f,0xfb80009f,
    0x0fffff87,0x2e03fe60,0x3fe2007f,0x10004fd8,0x009fb1ff,0x3f63fe20,
    0x1ff10004,0x4ff809fb,0xd17ff440,0x3fa0009f,0x09fd0004,0x56fb8000,
    0x3fdc00ff,0xa80027f4,0xffb8007f,0x2e01fc80,0xff5001ff,0x2003ff89,
    0xff5004fe,0x400ff305,0x3f6003ff,0x03ffa81f,0x10fff600,0xfd8009ff,
    0x7dfffc86,0xa8027f40,0xb7dc01ff,0x3ee007fa,0x2a07f987,0xffd8007f,
    0x3a1fee03,0x7dc0004f,0x5ffcff87,0x2e03fe60,0x5bee007f,0xf70007fa,
    0x4001fead,0x00ff56fb,0x3fd5bee0,0x6c013fe0,0x009fd0ff,0x40013fa0,
    0x400004fe,0x05ff14fe,0x3fa1fee0,0x0df90004,0xf05ff300,0x027fc40f,
    0x7ff1bf60,0x8027f400,0x7f982ff9,0x800ffe00,0x7fc46ff8,0x3fee0005,
    0x002ff984,0xffb83fdc,0xfe81cfff,0x03ff5004,0x5ff14fe8,0x261fee00,
    0x01fea07f,0xb809ff70,0x004fe87f,0x7fc3fdc0,0xf303ffbb,0x00ff701f,
    0x2ff8a7f4,0xf14fe800,0x9fd0005f,0x2000bfe2,0x05ff14fe,0xfa8027fc,
    0x0009fd2f,0x740013fa,0x2600004f,0x01bf61ff,0x27f43fdc,0x006fd800,
    0x7cc3ff88,0x00bfe604,0x3ff8ff70,0x4013fa00,0x7f981ffc,0x000ffe00,
    0x7fe47ff7,0xdff50000,0x0007fea0,0x2e203ff5,0x20cffffe,0xff5004fe,
    0xb0ffcc03,0x1fee00df,0x7fa81fe6,0x01bfea00,0x13fa1fee,0xf0ff7000,
    0x203ff67f,0x7fb80ff9,0x6c3ff300,0x7fcc006f,0x3001bf61,0x037ec3ff,
    0xfd87fe60,0x8013fe06,0x009fd3ff,0x40013fa0,0x200004fe,0x0ffd46fc,
    0x7f43fdc0,0x0ff90004,0xb85ff300,0x07fea02f,0x7c3ff500,0x13fa003f,
    0x4c17ff20,0x0ffe007f,0x263ff600,0xf10002ff,0x3fee01df,0x1ffc4000,
    0x3ffefe60,0x54013fa4,0x1bf201ff,0xf7003ff5,0x540ff30f,0xdff1007f,
    0xd0ff7001,0xfb80009f,0xff13ff87,0x701ff30d,0x1bf200ff,0x64003ff5,
    0x00ffd46f,0xffa8df90,0x51bf2001,0x13fe03ff,0x9fd4fe80,0x013fa000,
    0x00027f40,0x9ff07ff0,0xfd0ff700,0xffffffff,0x3fd43fff,0x207fd400,
    0x3fee00fd,0x1ffc4000,0x7f4007ff,0xfeeeeeef,0xf300efff,0x01ffc00f,
    0x7f6ffc40,0xffd10005,0x003fe403,0xbcc04ff8,0x9fd1ffc8,0x807fea00,
    0x04ff83ff,0x7f987fb8,0x2201fea0,0xf7001ffe,0xfffffd0f,0x3fffffff,
    0x7ff0ff70,0x3e61ffdc,0x007fb80f,0x09ff07ff,0x7fc1ffc0,0x20ffe004,
    0x3fe004ff,0xff04ff83,0xeb7ec009,0xffffffff,0x3fa1ffff,0xffffffff,
    0x3ffa1fff,0xffffffff,0x3fea01ff,0xb807fc80,0xffffe87f,0xffffffff,
    0x0007fe21,0x06f88ff9,0xf8003fe4,0x800ffe4f,0xfffffffe,0x4c03efff,
    0x0ffe007f,0x7fffdc00,0x5ffb0000,0x8007fb80,0x3cc02ff8,0x13fa7ff1,
    0xa80ffd40,0x07fc80ff,0x7f987fb8,0x3601fea0,0x3ee002ff,0xfffffe87,
    0x1fffffff,0x3ff87fb8,0xff307fec,0x500ff701,0x0ff901ff,0x3203fea0,
    0x1ff5007f,0x2a00ff90,0x07fc80ff,0x7ec009ff,0xffffffd7,0x43ffffff,
    0xfffffffe,0x3a1fffff,0xffffffff,0x3601ffff,0x05ff305f,0xdfe87fb8,
    0x99999999,0x205ff819,0x2a37fc40,0x03fdc03f,0xff17fc40,0x56ff4007,
    0x04ffdcaa,0x7c00ff30,0x3f60003f,0xff70002f,0x01ff3009,0x2a1ff980,
    0x9fd1e62c,0x7d4017fa,0x20bfb00f,0x7dc02ff9,0x2a07f987,0x27fdc07f,
    0x3a1fee00,0x999999df,0xff701999,0xff887ff0,0x2e03fe66,0x05fd807f,
    0xfb005ff3,0x00bfe60b,0x7fcc17f6,0x305fd802,0x09ff05ff,0xdfeb7f40,
    0x99999999,0x4ceff419,0x19999999,0x4ccceff4,0x20199999,0xeeeeeff8,
    0x5c06ffee,0x004fe87f,0x2607ff20,0x83ff90cf,0x7fcc01fc,0x0ffcc000,
    0x7f4007ff,0x00bff504,0x7fc00ff3,0x1fee0003,0x02ffd400,0xa8005ff0,
    0xf32fec7f,0x0dfb3ff8,0x7c41fee0,0xeeeeeeef,0x3fdc06ff,0xfa807fcc,
    0x017fea07,0x3fa1fee0,0x3fdc0004,0x7fdc1ffc,0xf701ff33,0xeeff880f,
    0x6ffeeeee,0x7777fc40,0x06ffeeee,0x77777fc4,0x406ffeee,0xeeeeeff8,
    0xff86ffee,0x757fe004,0x9fd0004f,0x013fa000,0x3fffee00,0xffffffff,
    0x3a1fee01,0x3e20004f,0x7ffd41ef,0x07e84ffc,0xa8005ff0,0x001ffc7f,
    0x7fdc09fd,0x003fcc04,0x5c0007ff,0xff88007f,0x1bfa000e,0xfb8bfd00,
    0x7fd4f30f,0x3200ffb2,0xffff706f,0xffffffff,0x4c3fdc03,0x0ff700ff,
    0x0003bfe2,0x13fa1fee,0xf0ff7000,0x23ff607f,0x7fb80ff9,0x7ffffdc0,
    0x1fffffff,0x3ffffee0,0x1fffffff,0x3ffffee0,0x1fffffff,0x3ffffee0,
    0x1fffffff,0xf88027fc,0x0009fd3f,0x740013fa,0xfe80004f,0x9999999d,
    0x3ee04ff9,0x0004fe87,0x10e7ffd4,0xf10dfffb,0x01bfa00b,0x3ff8bfd0,
    0xb013fa00,0x3fcc07ff,0x0007ff00,0x74003fdc,0x7dc001ff,0x7ff7002f,
    0x799eff88,0x7fdcdfd5,0xd05fe800,0x333333bf,0x5c09ff33,0x00ff987f,
    0x3ffa0ff9,0x0ff70001,0xb80009fd,0x103ff87f,0x01ff3dff,0xdfe80ff7,
    0x99999999,0x37fa04ff,0x99999999,0x37fa04ff,0x99999999,0x37fa04ff,
    0x99999999,0x027fc4ff,0x9fd1ffb8,0x013fa000,0x00027f40,0x36007fe6,
    0x0ff700ff,0x300009fd,0xffdffffd,0x5c19ffff,0x5ff7003f,0xf0ffee00,
    0x27f4007f,0x403ffe20,0x3fe007f9,0x1fee0003,0x005ffb00,0x500bffa0,
    0x3fea0dff,0x1fffefef,0xa803bfe6,0x1ff983ff,0x700ffd80,0x05ff10ff,
    0xffb0ffd1,0x3fdc0005,0x200027f4,0x03ff87fb,0x03ff7fee,0xff981fee,
    0x80ffd801,0xfd801ff9,0x01ff980f,0xf980ffd8,0x0ffd801f,0x3e2013fe,
    0x0013fa6f,0xe80027f4,0x7e40004f,0x07ff3006,0x13fa1fee,0xfeca8000,
    0xffa9bdff,0x4001fb3f,0x7d402ffe,0x003ff86f,0x3ea013fa,0x00ff305f,
    0x70001ffc,0x7fdc00ff,0x3fe60003,0x7fe4c1cf,0x3ffaa01f,0xfa80dfff,
    0xf9311bef,0x01bf20bf,0xfb81ffcc,0x441ffd07,0x7fdc7ffd,0x3fdc0003,
    0x200027f4,0x03ff87fb,0x407fffec,0x1bf207fb,0x641ffcc0,0x7ff3006f,
    0x2600df90,0x06fc83ff,0x7fc7ff30,0x17fec404,0x3a0009fd,0x9fd0004f,
    0x04ff8000,0x7dc1bfa0,0x999dfe87,0x99999999,0x5c031000,0x9800554f,
    0x64c1cfff,0x3ff81fff,0x4013fa00,0x7f983ffd,0x000ffe00,0xf3007fb8,
    0x333333df,0x10133333,0xffdffffd,0x22001dff,0x7dc00afb,0xffffffff,
    0x8013fe06,0x0ff706fe,0x3fbbffea,0x3fe67faf,0x9999999e,0xfb809999,
    0x999dfe87,0x99999999,0x7fc3fdc0,0x7fffc403,0x3e07fb80,0x1bfa004f,
    0xfe8013fe,0x2004ff86,0x04ff86fe,0xdff9bfa0,0xfcba9999,0x4eff44ff,
    0x99999999,0x33bfd099,0x33333333,0x2677fa13,0x99999999,0x007fea09,
    0xfb81ffb8,0xfffffe87,0xffffffff,0x02200003,0xfffd1000,0x1dffffdf,
    0x26673fe0,0xfd199999,0x3ffe2009,0xf003fcc0,0x7dc0007f,0xffff7007,
    0xffffffff,0x7f540bff,0x002cefff,0x32a00798,0x0bfffffe,0x4003ff50,
    0x7fb81ffb,0x3bfffaa0,0x3fee7f89,0xffffffff,0xfb85ffff,0xfffffe87,
    0xffffffff,0x7fc3fdc3,0x0fffb803,0xff507fb8,0x0ffdc003,0x5c003ff5,
    0x07fea1ff,0x2a1ffb80,0x3ee001ff,0xffffff1f,0x09ffffff,0xfffffffd,
    0x27ffffff,0xfffffffe,0xd3ffffff,0xffffffff,0x6c7fffff,0x7fc4006f,
    0xfe87fb84,0xffffffff,0x0003ffff,0xd5000000,0x059dffff,0xfffffff8,
    0x9fd7ffff,0x22ffdc00,0x3fe007f9,0x1fee0003,0x7ffffdc0,0xffffffff,
    0x0133005f,0x00069800,0xfb001331,0x4ff8800d,0x98807fb8,0x7fffdc00,
    0xffffffff,0x87fb85ff,0xfffffffe,0x43ffffff,0x03ff87fb,0xf701ffd0,
    0x001bf60f,0x37ec9ff1,0xd93fe200,0x7fc4006f,0x1001bf64,0x3fffe9ff,
    0x0bdeffff,0xffffffd0,0x7fffffff,0x3ffffffa,0x3fffffff,0xfffffffd,
    0x07ffffff,0x00000000,0x00000000,0x04cc0000,0xffffff00,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x554401aa,0x18006aa0,0x98803000,0x404cc001,0x05510aa8,
    0x00130130,0xa8801554,0x5730000a,0x80039013,0x8aa60198,0x10001aa8,
    0x53026233,0x980d5415,0x002aa22a,0x06200022,0xba981310,0x2a98000a,
    0x30001000,0x04400155,0x00013000,0x30026026,0x22001301,0xaa8801bb,
    0x00006aa0,0x20003553,0x05550aa9,0x98137510,0x99999999,0x55d44009,
    0x88aa2000,0x3ff2002a,0xf75fe801,0xd56f981f,0xb801bfff,0xb82efffe,
    0x3fe2007f,0xf50ff982,0xfb8bd00f,0x05ff7001,0x00dffd10,0x3ffffae6,
    0x013f23ff,0x7c40ff50,0x000df93f,0x43febfd4,0x1ff74fe8,0x7ecbfe60,
    0x3fff2205,0x3f2201ce,0xfe84efff,0xfffffd15,0x3fe6007d,0x2aff104f,
    0x801dfffe,0xc8805ff8,0x7f8aeffe,0xffffdb10,0x227c003b,0x22f400fb,
    0x3ae201fa,0x402fffff,0x01ff75fe,0x00efe800,0xf75ff880,0x7ffd405f,
    0xfff35fff,0x9fffffff,0x7ffffe40,0x21ff5001,0xff1007fa,0x2ffe2005,
    0xbef981ff,0x1fffffff,0xeefffd88,0x03fdc5ff,0xf305ff10,0x201fea1f,
    0x05fcbdfa,0x6c013fa0,0x5404fddf,0xfeceffff,0x805fdfff,0xeffeeeed,
    0xff7ff505,0xbfd40001,0xbff983fe,0x7fd401ff,0xfd100efb,0x03fffbff,
    0x3ffbfffa,0x2b7fa0ef,0xffecdfff,0x67f4403f,0xbff882fe,0x0fffffff,
    0x20077e40,0xffdeffe8,0xfffa87fb,0x01ffffee,0x9fb7bf70,0xf97bf500,
    0xbeffd80b,0x2202fffc,0x001ffbff,0x000ffd40,0x9fd0efb8,0x677ffdc0,
    0xfffadffd,0x4fffffff,0xfd79ff90,0x43fea00d,0x9f9007fa,0x3fffa800,
    0x43bfff30,0xffc85ffa,0xb8ffea0b,0x3fe2007f,0x510aa882,0x3ffae005,
    0x0bf5000c,0x3e23fee0,0x5fff502f,0x01bffee0,0x7ffffff4,0x3ffee06f,
    0xbfd40002,0xfff503e8,0x3fff2007,0x433ff601,0x7dc0ffc8,0xd17fd41f,
    0xd103dfff,0xb7ec03ff,0x7fc41ffa,0xbff712df,0x400ffc40,0x3f622efd,
    0x20dfe87f,0x1005ffa8,0x0019dfd7,0x8033ffae,0x7ec43ffb,0x3ffea00f,
    0x2fe80003,0x547fa000,0x37fee06f,0x3ffff440,0x22ff8800,0xa8802ff8,
    0x5400aa22,0x05550002,0xfc82ffcc,0xa81ffcc7,0x00ff70ff,0x00017fc4,
    0x26000200,0x4355000a,0xeff882a9,0x037fdc00,0x5007fa80,0xf5000035,
    0x55500fcf,0x201aa800,0xdfb03ffa,0x9db04fd8,0x1007fff4,0x55101ffd,
    0x3e215541,0x40dfb06f,0xffa801a8,0x547ff880,0x0ff900ff,0x04000100,
    0xf306fd80,0x02aa805f,0x00055000,0x01530d44,0xe8807ffc,0xf50007ff,
    0x005fd81f,0x90310000,0xff300600,0xf91fea05,0x4ffe201f,0x3e2007fb,
    0x0009802f,0x03100030,0xf9003100,0xfff9803f,0x2a08803f,0x0031007f,
    0xb7fa8220,0x4c00000b,0x403ff200,0x3bf20ffa,0x03ffd001,0x3005ff70,
    0x817fc401,0x009807fb,0xff702fe4,0x3fd40330,0x80006200,0x03ff8009,
    0x03100732,0x06006200,0x5400c400,0x7fd401ff,0x3ff30007,0x00003fe8,
    0x3ffff220,0xd701fcae,0xf305dfff,0x83fe603f,0x99999dfd,0xff74fe99,
    0x417fc400,0xdffffed8,0x7fff5c01,0x3ff2202e,0x32204eff,0xd04effff,
    0x9ff8809f,0xfd9107fe,0x80ff55df,0x03effffb,0x577ff5c4,0x7f9837fa,
    0x6dc1fea0,0xfd82efff,0x98ffe206,0x201befff,0xff1007fe,0x3fff6e09,
    0x01ff882e,0xfb701ff3,0x3f605dff,0x401fea03,0x007feba9,0x07dffff7,
    0xffffed88,0x009ff01d,0x3ffff220,0x7fec404e,0xfd50ceff,0xf7005bff,
    0x3a07dfff,0x0fff006f,0xb877fc00,0x1fe600ff,0x7fcc7fa8,0x4ffffeef,
    0xeefffd88,0x07fcc5ff,0x3fa0ff98,0xffffffff,0x00ff75ff,0x3ea17fc4,
    0xffffeeff,0xefffd881,0xffd05ffe,0x01dfffdf,0xfffdfffd,0x00ffc41d,
    0x3ff63fd1,0x77fff441,0xd107fdff,0xbfffddff,0xdfffd101,0x260ffbff,
    0x21fea07f,0xfffeeffd,0x3e027f44,0x7fffd44f,0x37f40cff,0xfb0dfd00,
    0x89fffddf,0xff301ff8,0xfeeffd81,0x02ff84ff,0x76cc1fe6,0x07ffffff,
    0x7f77ff44,0xffa80dff,0x1ffffeef,0xd0006fe8,0xdfffdfff,0xddfff501,
    0xfff9dfff,0x2209fffd,0xfffeeffe,0x802ffc0d,0x260007fd,0x02ffddff,
    0xff503fcc,0xb1077fc4,0x7ff907ff,0xf31ffd41,0x83fe601f,0xcccccdff,
    0xff73cccc,0x217fc400,0x3ea20dfe,0x0bffc85f,0xff70ffea,0x5c2ffa83,
    0x17fd41ff,0x3a201ff3,0xb0bfee2f,0x7ff447ff,0xa83ffb07,0x3ffd84ff,
    0x4c1fffa2,0x91fea07f,0x7fe443ff,0xfa81ff22,0xffdb884f,0x17fa2fff,
    0x7e46fd80,0x8bff221f,0xff300ff8,0x910ffe41,0x02ff85ff,0x3ff61fe2,
    0x7fa9bdff,0x2a0ffec0,0x0dfe84ff,0x3217fea2,0xffb8007f,0x2217fd41,
    0x7fdc44ff,0xfd510bff,0xa83ffb05,0x13fe24ff,0x0003fe40,0x007bfff2,
    0x7fa81fe6,0xfd103ff2,0x1ffcc1ff,0xff30ffa8,0xe83fe601,0x3fdc004f,
    0x545ff100,0x8ff900ff,0xff503ff9,0xed827ec1,0xed827ec4,0xfd81fee4,
    0xf51ffcc3,0x0fff101f,0x3ea03ff5,0x203fea1f,0xff307ff8,0xff33fd40,
    0xfb97fa05,0x0bff902f,0x74fff930,0x9ff2005f,0xbfd02ff9,0xf9807fc4,
    0x205ff30f,0x01ff45fe,0xcffb8ff3,0x2a07fb81,0x3ff501ff,0xfc807fd4,
    0x33ff7267,0x7ec01ccc,0xfb89db04,0x413ffe06,0x3fea0ffb,0x263ff501,
    0xff7003ff,0xffffffff,0x1ffff440,0x2a07f980,0x360ffa7f,0x3f22ffaf,
    0x27ff100f,0xff300ff9,0x2a02fe41,0x400ff70a,0x00cc2ff8,0x0ffc8ff5,
    0x7e47ff10,0x3bf2001e,0x20dfb001,0x49ff04fd,0x1ff205fc,0x9fd017f6,
    0xff902fe4,0xfa81fe60,0xa981bee7,0x88bbfe21,0x2a65fffb,0x3a3ff500,
    0x9ff2005f,0x86a606fb,0xff300ff8,0xa981bee1,0xf702fec1,0x3205fe8f,
    0x017f607f,0x201989fd,0x3ffea7fa,0x402fffff,0x22001efc,0x03ff6019,
    0xbfb17fc4,0xff34fe80,0x3ffee005,0x07ffffff,0x3fffdff5,0x540ff300,
    0xf707fe7f,0xdfd8ffa7,0xe9999999,0x201ff34f,0x3fea0ff9,0x2e3ff502,
    0x3fe2007f,0xfeba9802,0x4ccefec7,0x24fe9999,0x01befff9,0x0df7ffcc,
    0xbf90ff90,0xfd8bfe20,0x3a1fea03,0xb2fec03f,0x83fd407f,0x9fea07f9,
    0xfa8004fc,0xcdffdfff,0x4c13fe4f,0x00bfd1ff,0x09f937ec,0x300ff880,
    0x013f21ff,0x7407fea0,0x8827f47f,0x7fd00ffe,0x9805fd80,0x2a27feba,
    0x0aaaefea,0x5f7ffcc0,0xf9530001,0x333333df,0x1ff47fd3,0x7fc57f60,
    0x33ff9002,0x90333333,0x3bfe6bff,0x7f989d90,0x7fcdfea0,0x4fd97e60,
    0x3ffffffa,0xf35fffff,0x03fe601f,0x7cc17ffb,0x801fee4f,0xed982ff8,
    0x47ffffff,0xfffffffe,0x7d45ffff,0x00cfffff,0x9ffffff5,0x2e0ffb81,
    0x83fe605f,0x1fe602ff,0xdf700bfe,0xff3017fc,0xfa81fe60,0x4000ffa7,
    0xb4ffffe9,0x217fe49f,0x17fa6fd8,0x3fa5fe80,0x07fc4003,0x7fd0ff98,
    0x83bf6000,0x7dc7ffd9,0x7fff440f,0xb805ff00,0xffed986f,0xfb07ffff,
    0xfff5000b,0x4c019fff,0xffffffdb,0xffffffff,0x00bfe5ff,0x01ffcdf7,
    0x44007fc8,0xaffdc4ff,0x03fcc4ff,0x47fe6ff5,0x93f60ee8,0xcccccdff,
    0xff33cccc,0x103fe601,0xffdbfffd,0x003fdc1f,0xffd85ff1,0x7fa9bdff,
    0x66666ffc,0x883ccccc,0x2fffffdb,0xffffb710,0xa97fd45f,0x1fee00ef,
    0x3fcc05ff,0x3ee017fc,0xf880bfe6,0x201ff307,0x00ffa7fa,0xfe835300,
    0x37fffa23,0x3fa1fffe,0xe97fe005,0x7fc4003f,0x3a1ff300,0xfd10003f,
    0xffdffbbf,0xecdfff88,0xf01ffbff,0x46fb805f,0x9bdffffd,0x09fb07fa,
    0x3ff6e200,0xffc82fff,0xefc9bdef,0xcccccccc,0x700bfe3c,0x8027fcdf,
    0x7d4007fd,0xfdffc80f,0x807fcc0f,0x25ff17fa,0xd1ff41fd,0xff98009f,
    0x201ff300,0x0dfffffc,0x1b913fdc,0x7dc3ff30,0x47fb81cf,0x200004fe,
    0x3007ffc9,0xdfe8fff9,0x7f400ef9,0xf301fec5,0xd807fd0f,0x980ff65f,
    0x01ff307f,0x04fd9fee,0x83ff0000,0xdfffffc8,0x8802ff40,0x013f64ff,
    0x2601ff10,0x009fb0ff,0xbffffc80,0xffea87fa,0x09fd0dff,0xbfb00ffa,
    0x5c0e7fdc,0x005ff07f,0x1fff2600,0xf9039ff7,0x07fd000d,0x1bf65fd8,
    0x001ffe20,0x7ff40bfb,0x00ff985f,0x5e7fcff7,0x917fc42f,0x00aa80bf,
    0x7c40006a,0xf89fee04,0x20ffa81f,0x1ff205fe,0x0aa80bf9,0x7fd402a6,
    0x7d402a61,0x3fffea1f,0x21ffdc01,0x1fee05fc,0x9fd017f6,0xff702fe4,
    0x6403fe60,0xa81bf27f,0xa80f266f,0x00fec07f,0x3ee00bfd,0xa81bf21f,
    0x7fcc006f,0x7d40df90,0x3ea19806,0x36066207,0xd017f605,0x902ff49f,
    0x00df50ff,0x3ea01530,0xd817fa1f,0xb0d5c07f,0x24fe80bf,0x7dc02ff9,
    0x7fec007f,0x07fff100,0x3f201ff3,0x213fff67,0x3fea0ffc,0x403ff502,
    0x4c003fff,0xf1fee01f,0xe8ff907f,0x1ffd104f,0xfa817fd4,0x4c13fe1f,
    0x413fe1ff,0x7ff41ff9,0x437fd403,0xffd01ffa,0x2a03ff70,0x07fea2ff,
    0xff883ff4,0x2a7fe882,0x4bfd01ff,0x7fd01ff9,0xd02efd80,0xdff100bf,
    0xfd01ffa8,0x0ffa800b,0x3fa03ff5,0x07fa8005,0x7dc09f00,0x45ff501f,
    0xffd104fe,0x000ff441,0xff9827fc,0x7d40ffe1,0x3ff502ff,0xfa80ffdc,
    0x8077f42f,0x4007fff8,0xff503ffb,0x2ff883ff,0x3e27fe88,0x1ffdc1ff,
    0xf305ffec,0x1ff3009f,0x701fd400,0x8bffc8ff,0x7dc5ffa8,0x7fff440f,
    0x305ffec0,0x2ffc89ff,0x3f237ec4,0x237ec42f,0x41cfffe8,0xb00fffd9,
    0x7fecc7df,0xa83dfd07,0x3efd85ff,0xe81fff66,0x3ff620ff,0x710f7ec7,
    0x0dfe85ff,0xf8802fec,0x550bfd07,0x360bff66,0x3fee21ef,0x23fdc002,
    0x3ee21efd,0x7fa8002f,0xe80df000,0x2ffd41ef,0xfd103fee,0x3bfa21ff,
    0x510abcec,0x442ffc85,0x077e46fd,0x0bffbfe6,0xdfd09fd3,0x985ffa83,
    0x7fd41eff,0x99999ffd,0x7ff41999,0x3fffee21,0x07ff41ff,0xfe8fffb1,
    0x5ffedeff,0xdbfffd10,0x4cc01fff,0x22000ffb,0x2e1b9aef,0x7fffc47f,
    0x7c40efff,0xbffecdff,0x7ff441ff,0x40fffedf,0xfedfffe8,0x7ff441ff,
    0x41fffedf,0xffffecfe,0x00effffe,0x3fbbffa2,0xfd307fdf,0x0bffd9df,
    0x7ff7fff4,0x3fea07fd,0x7faffeef,0x7ef7ff44,0xfff984ff,0x200fffdd,
    0xd05fdba8,0xffff88bf,0xffd104ff,0x009fffbd,0x222ffddc,0xfffdeffe,
    0x0ff50004,0x373bf600,0x677ff4c4,0xff885ffe,0xfbffecdf,0xfffff71f,
    0xdfffffff,0xedfffe88,0x7fc41fff,0x92fffddf,0xdffdbfff,0x33bffa60,
    0x3e605ffe,0xbfffefff,0xfffffff9,0x7fcc7fff,0x55fffeff,0x7fd41fff,
    0x7faffeef,0x3ffaeff2,0xffc802ff,0x2600dfff,0x8003ffff,0x2e1ffffd,
    0xfffe887f,0xffd500df,0x13fa1bff,0x6fffffe4,0xffff9100,0x3f2201bf,
    0x640dffff,0x3fffaa3f,0x91001bef,0xff37fffd,0x7fffe440,0x7f64403d,
    0x407f8bff,0x89efffea,0xffff907f,0x7ff4c05f,0x7dc00bef,0xbfd01dff,
    0x3efffd98,0xfffffc80,0x7fffc002,0xfffff901,0x3fd40005,0xeffd9800,
    0xffffc882,0x3ffaa03d,0x29fd0dff,0xb999bef8,0x885ffffe,0x0dfffffc,
    0xbffffd50,0xffffeb81,0x3ff2200c,0xd8803dff,0xf33efffe,0xffffffff,
    0xfffb10ff,0x83fa87df,0x89efffea,0x1310ee7f,0x00331000,0x00006ea2,
    0x10001593,0x0cc40033,0x00331000,0x4c000998,0x980e2009,0x04400009,
    0x00031000,0x98800022,0x00988000,0x88002620,0x13000019,0x00131000,
    0x00379710,0x10000131,0x08800055,0x88003100,0x88010019,0x09980099,
    0x20026200,0x18800198,0x00262000,0x40198000,0x0004c401,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xa88001aa,0x1554401a,0x98001800,0x42aa2001,0x000002a8,
    0x20003550,0xaa802aa8,0x5c40000a,0x3310000a,0x200cc000,0x10000019,
    0x44000033,0x005510aa,0x88000d54,0xaaa802aa,0x00130000,0x44000988,
    0x000002db,0x8000d540,0xa8802aa8,0x55cc001a,0x10026401,0x02aa6355,
    0x00988110,0x5c403310,0x3551002d,0x0880154c,0x1fffc800,0x007fec00,
    0xa8007fec,0x201efffd,0x1dffffc8,0xfa8ffcc0,0x56f5c00f,0xfb804f88,
    0xfb8001ff,0x4ff9801f,0xffeca800,0x2002ceff,0x09d55fe8,0x67ffff4c,
    0x0007fcc0,0x543fd400,0x40bd0bde,0x1ff50ff9,0x03fff700,0x003ff700,
    0x5c009ff3,0x402efffd,0x02fffffc,0x005b1990,0x3e22b7ae,0x1fffc804,
    0x01ffc800,0x3600ffd0,0x00dfffff,0x3f2003fb,0x4c5ff88f,0x21bffb6f,
    0xff5004fe,0x07633203,0x7c477e40,0xebb7cc2f,0xa800bdff,0x000efbff,
    0x74005ff1,0xeffb804f,0xf882fffd,0x1fffdeff,0x7d47fe60,0x3fbee00f,
    0x4c01ffff,0x000ffbff,0xf5001ffc,0x3fa2001f,0xfdb99bdf,0xfb1000df,
    0x3ee05dff,0x0ffffdff,0x00003fe6,0xff31fea0,0x407fffff,0x1ff50ff9,
    0xffbffa80,0x0ffe2000,0x800ffb80,0xfffeeffd,0xfbfffd04,0x21d009ff,
    0xfefb8049,0x5401ffff,0x000ffbff,0x8800ffe2,0x7fec03ff,0x504ffdbd,
    0x5ff1007f,0xdf303fee,0x7f4ffff9,0x03ff5004,0xd002543a,0xf309fd9f,
    0xfffbdf9f,0xb3ff880b,0x13f200bf,0x401ff100,0x7fe42ff9,0x910f7f40,
    0x2aa201ff,0x7d805510,0x8807db51,0x00df93ff,0x64002fdc,0x3ff9804f,
    0x400ffc80,0x206fffb8,0x3ea0cff9,0x003fe65f,0x91fea000,0x00fb6a1f,
    0x0aa21551,0x3f27ff10,0x017ee006,0xf9013f20,0x17fe443f,0xfc88bff2,
    0x6ce6402f,0xb516e802,0x3ff8807d,0x7dc00dfb,0x06f98005,0xff307fee,
    0x700bf101,0x4c0ff49f,0x22a9dfff,0xff5004fe,0x0b673203,0x05fff880,
    0xfb89fff3,0x88aa603f,0x02a800aa,0x74035300,0x4c9fd04f,0x2ff883ff,
    0x00000000,0x1551154c,0x0002aa00,0x3fa20154,0x6fc80883,0x3a73fe20,
    0x20dfb03f,0x1ff30ffb,0xff500000,0x00000000,0x0aa88aa6,0x00015500,
    0x2ff980aa,0x5fe8bfd0,0xb880bff0,0x8000003d,0x02aa22a9,0x30001540,
    0x417f2015,0x00fd02fe,0x980d4455,0x13fa05ff,0x880ffd40,0xa98003db,
    0x0dff300a,0x00003fea,0x40000000,0xff701ff9,0xbfb03f54,0x20003100,
    0x03100018,0x40006200,0x43fc8018,0x643dffec,0xf882e03f,0x807fc40f,
    0x1ff30cc8,0x04400044,0x00000ff5,0x0030000c,0x030000c0,0x2a606fb8,
    0x640bfe21,0x0013006f,0x4c000260,0x00130000,0x3fd80260,0xf901ff88,
    0xf9800003,0x013fa02f,0x0000ffd4,0x7cc01300,0x30bfa02f,0x33fd40ff,
    0x33fd40ff,0x73fd40ff,0x0ffc40df,0x5c07fd00,0x803effff,0x03effffb,
    0x3effffb8,0xeffffb80,0xffffb803,0xfd8bf03e,0x744fdabe,0x33bb2a05,
    0x037dc5fd,0x3ee3fe60,0x64404eff,0x7faaeffe,0x3fd40ff3,0x5dfffd70,
    0xdfffd700,0xfffd7005,0xffd7005d,0x09f905df,0x3609fd00,0xffdb105f,
    0x6c403bff,0x01dffffe,0x3ffffb62,0x3fb6201d,0x2201dfff,0x1dffffed,
    0x37e417fc,0x3e609f50,0xf99fea07,0x013fa01f,0x7f98ffd4,0x6c41fea0,
    0x41dffffe,0x3f600ff9,0xf503fcc4,0xf503fccf,0xf503fccf,0x3e02fecf,
    0x3ff5002f,0xfddffd10,0xfd101bff,0x1bfffddf,0xfddffd10,0xfd101bff,
    0x1bfffddf,0xfddffd10,0x1fcc1bff,0x43f909f9,0xfffd887c,0x322fffff,
    0x402aa24f,0xfeffdff9,0xfe880eff,0x7fdffeff,0x3fd40ff3,0x777ffec4,
    0xffb105ff,0x20bffddf,0xfeefffd8,0xfffb105f,0xfe8bffdd,0x0ffc8003,
    0x7d417fcc,0xffffeeff,0xeefffa81,0xfa81ffff,0xffffeeff,0xeefffa81,
    0xfa81ffff,0xffffeeff,0xff10bfe1,0xf306f805,0xf33fd40f,0x027f401f,
    0xff31ffa8,0x7d43fd40,0xffffeeff,0xf901fe61,0x2a07f98b,0xa81fe67f,
    0xa81fe67f,0xf017f67f,0x7edcc07f,0x83ffb03f,0xffd84ffa,0x6c27fd41,
    0x27fd41ff,0x3ea0ffec,0x41ffd84f,0x83ee4ffa,0xfa8100fe,0xb11ffe42,
    0x45fecdff,0x40effffd,0x3225fff9,0x3ffd84ff,0x7cdfffa2,0x321fea07,
    0x3fea0bff,0x20bffc83,0xffc83ffa,0x20ffea0b,0x3ea0bffc,0x000ffa3f,
    0x36b7ff62,0x1bfd04ff,0x742ffd44,0x3fea20df,0x220dfe85,0xdfe85ffa,
    0x217fea20,0x3ea20dfe,0xf90bfe5f,0x301fb00d,0x33fd40ff,0x27f401ff,
    0xf31ffa80,0x743fd40f,0x3fea20df,0xf901fe65,0x2a07f98b,0xa81fe67f,
    0xa81fe67f,0xd013fa7f,0x7fffc07f,0x203ff503,0x3fea1ffa,0x543ff501,
    0x3ff501ff,0xfa80ffd4,0x407fea1f,0xf8db1ffa,0xf327c006,0x43ff205f,
    0xfdffebfe,0x3fe61fff,0x541ff506,0x7ff880ff,0x3fd40ff3,0x7d40ffe6,
    0x40ffe60f,0x3fe60ffa,0x4c1ff503,0x1ff503ff,0xc80013f6,0x503fffff,
    0x1ff201ff,0x3f201ff5,0xc807fd47,0x807fd47f,0x07fd47fc,0x0bfe7fc8,
    0x5f7007fd,0x7d40ff30,0xe803fe67,0x3ff5004f,0x7fa81fe6,0xfc807fd4,
    0xfb01fe67,0x2a07f987,0xa81fe67f,0xa81fe67f,0xb013fa7f,0x3f7a209f,
    0x05fd84ff,0x0bfb27f4,0x17f64fe8,0x2fec9fd0,0x5fd93fa0,0x25ea7f40,
    0x2f4004f8,0x7fc40df9,0x217fffd1,0x3e65ffb8,0xc8ffe02f,0x4dff205f,
    0x91fea07f,0x3fe201ff,0x4403ff23,0x03ff23ff,0xff91ffc4,0x64ffe201,
    0x11bea06f,0xfffbfff9,0xfa806607,0x3ea01987,0x3ea01987,0x3ea01987,
    0x3ea01987,0xdfb0bfe7,0x985f9801,0x99fea07f,0x13fa00ff,0xf98ffd40,
    0x261fea07,0xf99fea01,0x30bfa01f,0x33fd40ff,0x33fd40ff,0xb3fd40ff,
    0x04fe809f,0x746ffb88,0xd2fec03f,0x25fd807f,0x2fec03fe,0x5fd807fd,
    0xbfb00ffa,0x006f89f2,0x04fe8fe2,0x4fff9ff4,0x3e63ff70,0xd93f600f,
    0x4dfea03f,0xb1fea07f,0x333333bf,0x6fec9fd3,0xe9999999,0x2677f64f,
    0x4fe99999,0x266677f6,0xf54fe999,0xf17fa03f,0x7f5c45df,0xfd753005,
    0x3aea600f,0xd753007f,0x2ea600ff,0x753007fe,0x217fcffd,0x7c01effa,
    0x2a07f987,0x803fe67f,0xff5004fe,0xfa81fe63,0xfd753007,0xa82ffccf,
    0x03fcc0ff,0x03fccff5,0x03fccff5,0x027ecff5,0xfb800ffa,0x700bfe0f,
    0x2017fcdf,0x00bfe6fb,0x017fcdf7,0x02ff9bee,0x21fab7dc,0x22f980fe,
    0x00ffe1fa,0x07ffabf9,0x7f99ffc4,0x5ff2fe40,0x7f9bfcc0,0xffd1fea0,
    0xffffffff,0x7ffff4bf,0x5fffffff,0x3ffffffa,0x3a5fffff,0xffffffff,
    0x3bf65fff,0xa8bfee21,0x1ff701ff,0xffffdb30,0x3b660fff,0x07ffffff,
    0xfffffdb3,0x3fb660ff,0x307fffff,0xffffffdb,0x7d417fcf,0x07f203ff,
    0x3fd40ff3,0x7f401ff3,0x21ff5005,0x1fea07f9,0x7ffff6cc,0x3ffe67ff,
    0x20ffe60c,0xff500ff9,0xfa807fcc,0x5403fe67,0xf017f27f,0x7fc4007f,
    0xf700bfe3,0x2e017fcd,0x700bfe6f,0x2017fcdf,0x00bfe6fb,0xa8fe2df7,
    0x83fa20cf,0x2017fc7c,0x80dfb6fc,0x80ff34fe,0x80bfe5fc,0x01ff37f9,
    0x9bff1fea,0x99999999,0x6666ffc7,0x23cccccc,0xcccccdff,0x3fe3cccc,
    0xcccccccd,0x3ffa23cc,0x644fffde,0x0ffe206f,0x37bffffb,0xfffb0ff5,
    0x0ff537bf,0x37bffffb,0xfffb0ff5,0x0ff537bf,0x37bffffb,0x817fcff5,
    0xf504ffe8,0x500ff987,0x007fccff,0x3ee00dfb,0x5403fe67,0xffffd87f,
    0x267fa9bd,0xfedffeff,0x01ff304f,0x0ff99fee,0x7fccff70,0x7dcff700,
    0x447fe206,0xd27f4019,0x25fd807f,0x2fec03fe,0x5fd807fd,0xbfb00ffa,
    0x3f601ff4,0xbffb1ba5,0x2fc45ffb,0x9fb00ffa,0x7fd01bf2,0x9fb01fe6,
    0xff301fec,0x7dc03fe6,0x40027f47,0xfe8004fe,0x04fe8004,0x3ffff200,
    0x404fe82f,0x33fee5fd,0x7dc7fb81,0x47fb81cf,0xfb81cffb,0x40e7fdc7,
    0x67fdc7fb,0x3fe7fb81,0x407fec02,0x07fcc6f8,0x3fe67fb8,0x401ff600,
    0x03fe66fc,0x3fee3fdc,0x267fb81c,0xefffc8ff,0x403fe603,0x03fe67fc,
    0x1ff33fe4,0xff99ff20,0x7ecff500,0xd8ffe606,0xb27f405f,0x24fe80bf,
    0x27f405fd,0x4fe80bfb,0x9fd017f6,0x3f6a2fdc,0x0bfa21be,0x3ff80bfb,
    0x3e601ff5,0x403ff31f,0x817f23ff,0x01ff37fb,0x0bf91ff2,0x17f20aa8,
    0x2fe41550,0x5fc82aa0,0xf9805540,0x817f600c,0x17fa4ff8,0x2ff47fc8,
    0x5fe8ff90,0xbfd1ff20,0x3fa3fe40,0xff9ff205,0x817fc402,0x03fe60fe,
    0x00cc3fe4,0xfd001ff7,0xc807fccb,0x902ff47f,0x307fccff,0x05ff1001,
    0x7fc4ffd1,0x227fe882,0x7fe882ff,0x4fd81ff4,0x7e40bfee,0x407fee1f,
    0x3fee2ffa,0x5c5ff501,0x5ff501ff,0xfa80ffdc,0x407fee2f,0x2fec2ffa,
    0xa84fe880,0x3ff700ff,0xffc827f4,0x2e09ff30,0x07fea0ff,0x2ff8bff4,
    0x7d47fe88,0x43ff502f,0xff502ffa,0xa817fd43,0x0bfea1ff,0xea80ffd4,
    0x1ff700df,0xfe8bfee0,0x41ffd104,0xffd104fe,0xe8827f41,0x413fa0ff,
    0x3fa0ffe8,0x21ffd104,0x883712ff,0x45f703ff,0xfe882ff8,0x985ffd87,
    0x3ea00eff,0x20bfe23f,0x27f47fe8,0xf30ffe88,0x3fa0001f,0x1fff620f,
    0x7ec41ffd,0x107ff47f,0xffa8fffb,0xd1077e42,0x7fdc43df,0x541efe84,
    0x1efe85ff,0x7f42ffd4,0x42ffd41e,0x7fd41efe,0x541efe85,0xdfd885ff,
    0x0bfd5102,0x3ea077f4,0x11ffdc4f,0x7fcc9ff7,0x41ffd43f,0x3f663efd,
    0x883ffa7f,0xffd87ffd,0x213fe60b,0x3e60bffd,0x0bffd84f,0x3f613fe6,
    0x13fe60bf,0x7440ff60,0x2ff540ef,0xfd103fee,0x07fdc1ff,0xb83fffa2,
    0x7ff440ff,0x103fee0f,0x7dc1fffd,0x7fff440f,0x3ff25ff0,0x4c07fee0,
    0x107ff44f,0x3a20fffb,0xbeffa82f,0x0bff9311,0x7ec41ffd,0x207fdc7f,
    0xf30fffe8,0x3ea0001f,0xfaffeeff,0x777ffd47,0x7d47faff,0xfaffeeff,
    0xeceffd87,0xfff982ff,0x80efffde,0xfeceffe9,0xdffd305f,0x260bffd9,
    0xffeceffe,0x9dffd305,0x3a60bffd,0x5ffeceff,0x5efffdc0,0x403fffeb,
    0xfecdffe8,0xfffc80df,0x7cc4fffd,0xffedffdf,0xddffd105,0x7d4ffbff,
    0xfaffeeff,0xdfffe887,0xe880fffe,0xfffedfff,0xdfffe880,0xe880fffe,
    0xfffedfff,0x3ff95500,0x6f7ffcc0,0x7c40efff,0xbffecdff,0x3ffe21ff,
    0xffbffecd,0x337ffe21,0x21ffbffe,0xfecdfff8,0x3e21ffbf,0xbffecdff,
    0x745ff1ff,0x04ffedff,0x3ffea3fc,0x47faffee,0x701ffa99,0xffffffff,
    0x3ffea0df,0x47faffee,0xfecdfff8,0xff31ffbf,0x7f540001,0x87f89eff,
    0x89efffea,0xfffea87f,0xf707f89e,0x44039fff,0x03fffffd,0x6ffffe44,
    0x7ffe4403,0x7e4403df,0x4403dfff,0x03dffffc,0x6ffffe44,0xfd951003,
    0x440037df,0x03fffffc,0x277fff54,0xfffcbfcc,0x7f64403f,0x547f9bff,
    0xf89efffe,0x3ffff207,0x7fe400df,0x6400dfff,0x00dfffff,0x6fffffe4,
    0x0fbffe00,0x3ffff620,0x3ffaa04f,0x89fd0dff,0x0dffffea,0xffea89fd,
    0x89fd0dff,0x0dffffea,0xffea89fd,0x29fd0dff,0x3ff222ff,0x1fd803ff,
    0x4f7fff54,0x7fffc7f8,0x7ff65405,0x2a00bfff,0xf89efffe,0xffffea87,
    0x3e69fd0d,0x9880000f,0x004c4000,0x20002620,0x09980018,0x00018800,
    0x06200031,0x8000c400,0x08800018,0x00988000,0x40004c40,0x00880009,
    0x40002620,0x98800198,0x01988001,0x30019880,0x26600013,0x00662000,
    0x20006620,0x98800198,0x01988001,0x20019800,0x013100a9,0x80015750,
    0x44000998,0x0cc40009,0x00015440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x072a0654,0x00357510,0x13100220,0x98866200,0x00198800,
    0xb88004cc,0x2200009b,0x40001aba,0x40000ab8,0x0000bba8,0x009aca98,
    0x02a202aa,0x4402c980,0x032e000a,0xc800aba8,0x13013004,0x00dd4c00,
    0x200054c0,0x32a002c9,0x2026600c,0x01310198,0x0cc06620,0x0aa60000,
    0x0aaa2000,0x9ff00000,0x4ccccc40,0x99999999,0x99999809,0x26600199,
    0x4c04c000,0xfd81fd00,0xfffff501,0xb8801bff,0x1ff3effe,0x7d4013fa,
    0x510dfb1f,0xf3003fd4,0x3f6e205f,0x02ffffff,0xffffd930,0x654007ff,
    0x2ceffffe,0x3fff6600,0x2002ceff,0xffffffd8,0x17fc40cf,0x44007fe6,
    0x3fe600fe,0x20bf5001,0x01ffffe8,0x2fc013ea,0xf91003ee,0x17bfffff,
    0x77fffcc0,0x00fe8801,0xf807ff60,0xd07fc83f,0x3fea00bf,0x0007fcc1,
    0x05fff880,0x017fdc00,0xfffffff7,0x409ff009,0xfffffffa,0x6fffffff,
    0xfffffff8,0x3e01dfff,0x236c003f,0xf0ff02fa,0x3bffee0f,0x01effeed,
    0xffdfffd1,0x13fa1ff9,0xfd8ffd40,0xff51fdc6,0x417fcc00,0xddefffe9,
    0x200dfffe,0xfdeffffb,0x74405fff,0xdb99bdff,0x7d400dff,0xfffdefff,
    0xffe9805f,0xffffecef,0x644bfe21,0xfb001fff,0x3fff2205,0x00ff8801,
    0x1ff73bf9,0x5c003fa0,0x404fdbdf,0xecefffe9,0xe882ffff,0xb00bf71f,
    0xffd8005f,0x320ffe01,0x00bfd07f,0xfba87fea,0x002aaabf,0x07fd9fd0,
    0x201ffc00,0xfffffffb,0x203ee804,0xfffffffa,0x6fffffff,0xfffffff8,
    0x80dfffff,0x7cc003ff,0xf306fcbe,0xfa86f88b,0xffe980cf,0x2a3ffd80,
    0x9fd0fffe,0x547fea00,0x511ff45e,0x17fcc00f,0x202fffe6,0xf705ffd8,
    0xfc9817df,0x07ff305f,0x2a01ff90,0x6c40beff,0x3fea05ff,0xfffb882f,
    0x67e47ea1,0x4fa801fd,0x07f73f20,0x7e80bf60,0x1fd41fec,0x9dfd7100,
    0x17ffd401,0x417ffdc4,0x501be619,0x5530009f,0x4c1ffc01,0x77f54c7c,
    0xaaaaaaaa,0xff2bffca,0x0fffffff,0xf31df900,0xbf70005f,0x00000000,
    0x800ffe00,0xea9884ff,0x03ff84ff,0x1cffdb80,0x4fa87f50,0x7d406fc8,
    0x807fdc2f,0x09fd0ffe,0x4c87fea0,0x016e1ff4,0x7f42ff98,0x0ffb801f,
    0x2007ffc4,0x7f441ffe,0x41bf2003,0x7dc01ffe,0x01dfd03f,0xf10fff98,
    0x401fc84c,0xc84c06f8,0x027dc01f,0x84fb8df1,0x010000fe,0x3003bfa0,
    0x32201fff,0x1be201ee,0xff801800,0xffc8d703,0xffffffff,0x7fffffff,
    0x3333ff53,0x1aa88003,0x2a000aaa,0x0000000a,0x3e000131,0x13fe003f,
    0xff0bff20,0x40040007,0x41fdc2fc,0x5fe803ff,0xff7027e4,0x54013fa1,
    0xfd0ba1ff,0x30017cc7,0x17fdc5ff,0xfc89ff00,0x5ff9802f,0xeeea9fe4,
    0x1fe40cde,0x6c013fea,0x01ffb87f,0x7b19ff50,0xfd007f20,0x00fe4003,
    0x5fa80df1,0x0fea2fd4,0xff700000,0x13fea003,0xd00effcc,0xfeb8003f,
    0x7ff02eff,0xfca89d10,0xccccccef,0x4dffdccc,0x00883fe6,0x00000000,
    0x7d40ff30,0x001ff407,0x3e003ff8,0x1ffd004f,0x00001ffc,0x3ffffff6,
    0x4fffffff,0x266017fa,0xf301ff40,0x4013fa1f,0x25d89ffa,0x8efffffb,
    0x17fcc001,0xba800dfb,0x70027f41,0x3ea5f815,0x41ffdccd,0x0065445e,
    0x7fc1ff98,0x77fec005,0xb807f202,0x0fe4003f,0xf9803fd0,0x1fa27dc6,
    0xf503fcc0,0x0027fc4f,0xff101bf6,0x4007f701,0xfeefffd8,0xc83ff85f,
    0x4017fa05,0x7fcc1ffa,0x1ceffea8,0x7fc827ec,0xfff8ff30,0xffffffff,
    0x7d40ff32,0x000ffc07,0x3e003ff8,0x5ff3004f,0xa8001ffc,0x7fffec7f,
    0xffffffff,0x02fff24f,0x880bfe00,0x009fd0ff,0x713bbfea,0x00dfffff,
    0xfe8bfe60,0x5ff00004,0x23f98000,0x227cc2fa,0xff00007c,0x0017fcc7,
    0xf900ffee,0x0017e603,0x1fe407f2,0x3f63fc40,0x4c00fee3,0x99fea07f,
    0x7dc002ff,0x5fb02627,0x64005f98,0x3fea0bff,0x4001ffc3,0xff5005fe,
    0xffdff983,0x2e0ffffe,0x03ffd06f,0xffff8bf7,0x2fffffff,0x3fd40ff3,
    0x0001ff30,0xff800ffe,0xf8ffe004,0xff50003f,0x3e22fcc0,0xbfffd106,
    0x0bfe0037,0x9fd0ff88,0x007fea00,0x980007fd,0x05ff12ff,0x03ff3000,
    0x2a0fb800,0x2a27c42f,0xfe80002f,0x0007fea4,0xfc807ff3,0x0001fd01,
    0x0bf303f9,0x7dc67ec0,0x9801fe0f,0xa9fea07f,0x7d4001ff,0x2a1df11f,
    0x03fa20ff,0x503ff980,0x01ffc1ff,0x55577f40,0xfcaaaaaa,0x6fffcc1f,
    0x44bff712,0x7ffc40ff,0x2002fe83,0x1fe65ff8,0xfd107fa8,0x1ffc000b,
    0x4009ff00,0x00ffe4fe,0xf703fd40,0x2204fa87,0xdffffffd,0x980ffa02,
    0x009fd0ff,0xfd007fea,0xff980007,0x0003ff52,0x0001ff70,0x4dfd46d8,
    0x4f81fda9,0xfffffffb,0xffffffff,0x007fdcdf,0x9013fe20,0x005f903f,
    0xfd107f20,0x7ff44001,0x00fee2ff,0x3ea07f98,0x0003fee7,0x7fe47ff1,
    0x17e43fff,0x403ff200,0x0ffe3ff8,0x3ffffa00,0xffffffff,0x2ffcc1ff,
    0x1ff46fd8,0xf117fbea,0x3fa2001f,0xf503fcc6,0x01ffd10f,0x401ffc00,
    0xaaadffaa,0x7cdfb02a,0x00ffb83f,0x17e40ff5,0x32600bf2,0x0efffffe,
    0x3ee05fd8,0x2009fd0f,0x7f401ffa,0x7fcc0003,0x6c01ff72,0x0eeeeeee,
    0xd0000ff9,0xfffffa8b,0x3f2bd01d,0xffffffff,0x7fffffff,0x7c001ff2,
    0x2054c04f,0x035105fa,0x0bf6054c,0xbca802a6,0x5511be20,0x540ff301,
    0x001ff27f,0x32a227fc,0x5105fa82,0x333bfb03,0x49fd3333,0xfe8003ff,
    0xffffffff,0x4c1fffff,0x8ff702ff,0x7d7ec5fc,0xd002fd47,0x07f981df,
    0xdfd11fea,0x7ffd4001,0x6fffffff,0xfffffff8,0x4dfb06ff,0x0ffb83ff,
    0x7f40ff50,0x2000fec0,0x1ffffda8,0x7c40ffcc,0x009fd0ff,0xfd007fea,
    0xff980007,0x7c03ff52,0x1fffffff,0x80001ff5,0x655fd47c,0x2e7f103f,
    0x999999ff,0xfd999999,0x2001fee6,0x88002ff8,0x09fb00ef,0x7ec4fa80,
    0x2000dfff,0x3ffea3fb,0x503fcc3f,0x003fdcff,0x10017fc4,0x13f601df,
    0x3ffffffa,0x3e5fffff,0x5fe8003f,0x983ff500,0x1ff301ff,0x75fe3fcc,
    0x400ff61f,0x7f981ffd,0xffb1fea0,0xeee98001,0x4eeeeffe,0x99dff998,
    0x4bfd0099,0x0cc983ff,0x9988ff50,0xff9999ff,0xb8000999,0xdffd86ff,
    0x0ffffc89,0x3ea00bfd,0x01ff401f,0x44bfe600,0x2aaa03ff,0xf31ffcaa,
    0xfa80005f,0x2fc8bea1,0x1ff51fa8,0x265fe800,0x7cc001ff,0x1fd8001f,
    0x4009ff90,0x37ea0ef8,0x1003fd99,0x55ffc4df,0x81fe62fe,0x03fe67fa,
    0x003ff300,0xffc80fec,0xcccdff84,0x23cccccc,0xfe8003ff,0x83ff5005,
    0xff300ff9,0xbf31ff81,0x00ff8ff2,0xf301ffc8,0xb9fea01f,0xf00001ff,
    0x27fc007f,0x7fc9ff00,0x8ff50003,0xfffffffd,0x14ffffff,0x3fea0033,
    0x7fffec40,0xfb0ffcff,0x03fee00d,0x80007fd0,0x17fa2ff9,0x7c3ff300,
    0x26e6003f,0x17d47f10,0x4cf903fa,0x7fc002ff,0x20017fc4,0xfb8007fa,
    0x09fdf704,0x32a0fec0,0x64017e60,0xf98fea2f,0x5403fe66,0x0017fc7f,
    0xfb801fea,0x09fdf704,0xff0009fd,0x0bfd0007,0xf307fea0,0x03fe601f,
    0x54fee7f9,0x700df36f,0x7fcc07ff,0x7ecff700,0xff000405,0x027fc007,
    0x3fe2ff88,0x8ff50003,0xeeeefeec,0x93eeeefe,0x17fc00df,0x98cefdb8,
    0x401ff67f,0x3fe807fc,0x4c06e440,0x01bf21ff,0x7f43ff30,0x83ff2005,
    0xf30bea6e,0xff12fc4b,0x17fd4009,0xfd001bfa,0x06f9800b,0x009f3df5,
    0x7e400fee,0x6c6f8802,0xf99fe21f,0xe8ff700f,0x2ff4006f,0xf506f980,
    0xbf909f5d,0x3fe0aa80,0x05fe8003,0xf983ff50,0x81ff300f,0x223fb6fa,
    0x403fc8ff,0x7cc04ffa,0x74ff900f,0x0bfe604f,0xf800ffe0,0x3ff7004f,
    0xa8001ffc,0xc83f907f,0x03ff302f,0x8003ff10,0x03fee7fa,0x3a01bfa0,
    0x0ffc403f,0xff507fd4,0x0ffcc00b,0xf1007ff9,0xd55fb8bf,0xfd13d903,
    0x001ffc85,0x5ff70dfd,0x00ffea00,0xdf301fd0,0xf3009f31,0x01bf200d,
    0x03fe17e4,0x03fe61fd,0x3fee3fe4,0x07ff7002,0x3e603fa0,0xfa84f98e,
    0x43ff502f,0xfe8003ff,0x83ff5005,0xff300ff9,0x7f8ff881,0x00ff57f4,
    0xf100bff3,0x4ffd105f,0xffb00ffd,0x007ff001,0x7c4027fc,0x001ffc6f,
    0x1fd07fa8,0x3fe01fd8,0x237e401e,0x9bf203cb,0x2a00eff8,0x4fd803ff,
    0xfc83ff80,0x805ffd87,0x3e21ffe9,0x7ff401ff,0x1005fd81,0xdff109fd,
    0x02ffd801,0xfa805ffd,0x17e4006f,0x4f98ff44,0x4400fe80,0xdf1005fe,
    0x0ff83fd0,0xfd105ff1,0x805ffd0f,0xf9006ffa,0x263fd105,0x17ffb04f,
    0x3fe27fcc,0x05fe8003,0xf983ff50,0x01ff300f,0xfc8bf9fb,0x3fe206fd,
    0x83ffa006,0x3ea7ffd8,0x05ff984f,0x7c007ff0,0x7fec404f,0x8001ffc1,
    0x86f887fa,0x7ffdc07f,0xffd5109b,0x980ffa87,0x77fd43ff,0xbff9311b,
    0x003bf600,0xf7117ffb,0xdffd10bf,0x3f6e6159,0x7fd40dff,0x3ff262cf,
    0x5bfb103f,0x817faa20,0x4c0afffa,0x3e605ffe,0x7e4c1cff,0x3ea001ff,
    0xfffff305,0x17e40fff,0x800ffa20,0x23fd82fc,0x07ff47f9,0xf30fffb1,
    0xfc9839ff,0x5fa801ff,0xffffff30,0xfffd10ff,0xf81fffdb,0x999999cf,
    0x02ff4199,0x7cc1ffa8,0x01ff300f,0xf987fff7,0xdfd104ff,0x7ffd4001,
    0x47faffee,0xfebcfffd,0x7ff000ff,0x4ceffc00,0xfffcba99,0x999cff83,
    0xa8199999,0x445f987f,0xfffa805f,0x2fffffff,0xbadffe88,0xff705ffd,
    0xdfffffff,0x3fffdc00,0xffffff10,0x3f6201df,0xffffffff,0x3fea02ef,
    0xffffffff,0xdfffb804,0x03fffebb,0xefffff98,0x8803ffff,0xffeffffe,
    0x22000eff,0x555100ff,0x2a05bf75,0x5ffcc05f,0x3e201999,0xb13df506,
    0xefffa87f,0x107faffe,0xffdffffd,0xf1001dff,0x2aaa201f,0x3202dfca,
    0x80dfffff,0xffffffff,0x2ff47fff,0x4c1ffa80,0x1ff300ff,0xf03fff10,
    0x3fee03ff,0xffffffff,0x7fff546f,0xfb87f89e,0x00dfffff,0xf800ffe0,
    0xffffffff,0xfff03fff,0xffffffff,0xf70ff50f,0x1004fa87,0xbdffffd9,
    0x7fff4c03,0x65405fff,0x0bfffffe,0x07ffe400,0xbffffd10,0xffb73001,
    0x2007bfff,0xffffffc8,0x32a2001d,0x001beffe,0x7ffff644,0x754001de,
    0x02ceffff,0x4001fd80,0x1df104f9,0xfffffe80,0x80bf207f,0x505ffffc,
    0xf13dfffd,0xfffea80f,0x36002cef,0x27cc001f,0x7c019880,0xffffffff,
    0x02ff47ff,0x7cc1ffa8,0x01ff300f,0x3fec1ffa,0xffffff70,0x20dfffff,
    0x2a200098,0xf8001acb,0x3ffe003f,0x3eefffff,0x7fffffc0,0xa87fffff,
    0x4c0a987f,0x1310000a,0x9bcba800,0x04cc4000,0x1000c000,0x98800033,
    0x4cc40000,0x01100000,0x004cc000,0x00099800,0x2000fa60,0x03d901a8,
    0x55555550,0x2017a205,0x98802cca,0x04cc0000,0x001f4c00,0x00000d44,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x986aa000,0x5400002a,0x000aa61a,
    0x33333331,0x33333333,0x3a557310,0x00bfe03f,0x330aaa00,0x1fe60001,
    0xa9807fa8,0x01aa880a,0x88cc1555,0x2a000009,0x80013300,0x00000019,
    0x1330132e,0x26026600,0x01999999,0x0d540cc0,0x01544553,0x50554400,
    0x2aa20035,0x55400001,0x99986aa1,0x84ccc000,0x3ea00ffa,0xfffffd87,
    0x22007fff,0x33330019,0x80003333,0x05100098,0x26666666,0x2a198800,
    0x44ffd47f,0x3fee04fe,0xc84fffff,0x02ff88ff,0x3ffffe20,0xffffffff,
    0x7ffcc7ff,0x7c07fd5f,0x46fb662f,0x85ff707d,0xf30004ff,0x203fd40f,
    0xfd05fff8,0x4c9ff10f,0x986fc8ff,0x20f91bed,0x3ff881fd,0x401fe600,
    0xfffffffa,0x407fe805,0xffa807fc,0xffffff83,0x201dffff,0x7fd40ff9,
    0x7fd49fd1,0x5fe80000,0x36001ff5,0x7fe400ff,0x743fffff,0xff8ffe4f,
    0xff5000ff,0xb01ffc5f,0xffffd09f,0x400fffff,0xff802ffe,0xffffffff,
    0xffc8801d,0xf700cfff,0x3ffffe09,0x80ceffff,0x21fea7fb,0x405fcefc,
    0xfffffffb,0x9fbbfb04,0xffffc800,0xffffffff,0x7ff47fff,0x407fd3ce,
    0xfdff12ff,0x3fa09fff,0x0004ff84,0x3fd40ff3,0x13f77f60,0xdf90ffe2,
    0x6fc8ff98,0x7fff7fc4,0x81ff885f,0x26003ff8,0xfff5007f,0xd00bffff,
    0x3ff880ff,0xff837f40,0xffffffff,0xff980dff,0x5fcefc80,0x00007fd4,
    0x17fdffc4,0x801ff980,0xfffffffc,0x7ff27f43,0x8017fffc,0x3f22fffc,
    0xf03ff106,0x3333335f,0x3ffea003,0xfffff805,0xdfffffff,0xbffff100,
    0xfb01ffff,0x3ffffe09,0x0effffff,0x0ff53fdc,0x0003bffa,0x2fffc400,
    0x457fe200,0xff8002ff,0x3e03fe83,0x3263f52f,0x05fa80ce,0x260009ff,
    0x81fea07f,0x2ff88ffc,0x3fe27f98,0x6447fcc0,0xec997d45,0x81ff880c,
    0x26003ff8,0x0000007f,0x3ee00aaa,0x03ff500f,0x2a6213fe,0xff984ffe,
    0x81dffd00,0x200007b8,0x2003fffa,0x000003fd,0xf0d54355,0x3e00bfff,
    0x3fe62fff,0xf986fa81,0x9fb00007,0x4ff801ff,0x4ffea988,0x5445dfd0,
    0x04fd85ff,0xf73307ff,0x2a7fb8df,0x0155107f,0x26001880,0x7dc000aa,
    0x005ff11f,0xfe81ff88,0x000bfe03,0xbff00a98,0x13355555,0xfa81fe60,
    0xa986aa07,0x2a215302,0x7b0ff981,0x3ff10000,0x0087ff10,0x4c001fe6,
    0x00098000,0x17fa09fd,0xfc804ff8,0x807fcc2f,0x0d500aa8,0x02aa8000,
    0x30001540,0x37fe0000,0x6fd400ff,0x41ff42ff,0x06fa83fd,0xd8ff8800,
    0x027fc04f,0xf30bffa2,0x03ff205f,0x0ffe09fb,0x7dc1ff50,0x0001fea7,
    0x3effffb8,0xf8002200,0x00bfe25f,0xfd01ff30,0x0017fc07,0x7ffc0880,
    0xffffffff,0x503fcc1c,0x000000ff,0x7d47fcc0,0x3fa01800,0x3e24ffff,
    0xf9816a3f,0xffdb1007,0x6dc03bff,0x5402efff,0x07fdc1ff,0x3a009ff0,
    0x03fe60ff,0x201f4400,0x00030001,0xffeb8006,0x3e0002ef,0x6c02febf,
    0x7dc2ffaf,0x6407fc46,0xfb80004f,0xff80ff56,0x41ffb004,0xff100ffb,
    0x3ffffee5,0x2201ffc7,0xa9fee3ff,0xffffff7f,0x885fffff,0xfffeeffe,
    0xfdb7cc0d,0x7fdc00df,0x000bfe21,0x7fd01ff3,0x7d417fc0,0x3f6df307,
    0xfffff0df,0xffffffff,0xf503fcc3,0x80ff500f,0x21fea7fa,0x26098ff9,
    0xbfffd56f,0xfffffe81,0x7dcffe24,0x201fe605,0xffeefffa,0xeffd81ff,
    0x6c04fffe,0x013fe25f,0x3e6009ff,0x403fe62f,0x12980ff9,0x3fffa6ff,
    0xeab7cc1e,0x7cc0dfff,0x1bfffd56,0x3bfff620,0xff505ffe,0x17f2ffe0,
    0x2ff8ff88,0xdf70ffc4,0x664cffa0,0x53fa000b,0x3fe02ff8,0x45ff5004,
    0x3fe202a9,0xffffff72,0x7c403ff8,0xfa9fee2f,0xfffffff7,0xfd85ffff,
    0x227fd41f,0x7fffcef9,0x7c45ff80,0x7fcc002f,0x3e03fe80,0x307fa82f,
    0x4ffff9df,0x3ee204ff,0x01ff30ff,0x3ea01fea,0xf53fd407,0x301ff30f,
    0xfffff7df,0x1ff883ff,0xdfcbff88,0x201fe600,0x3ea20dfe,0x10ffe45f,
    0x7cc05ff9,0x801ff92f,0x3fe004ff,0x2123fe63,0x7c400ff9,0xffffffaf,
    0x3efbe62f,0x21ffffff,0xffffbef9,0xffc81fff,0x20ffea0b,0x37ff07fa,
    0x33ea01ff,0x4fd82ff8,0x6ffc0bfa,0x02ffffff,0x3f61ff98,0x8013fe06,
    0x7dc003ff,0xf827ec0f,0x23fdc03f,0x01fea7fb,0xff517fe2,0x987fea03,
    0x02a9dfff,0x3e20ffdc,0x7fcc002f,0x3e03fe80,0x307fa82f,0x4553bfff,
    0xffb804ff,0x2e01ff32,0x07fa807f,0x0ff53fd4,0xff301ff3,0x2ffd43bf,
    0x3e207fe2,0xf9805fff,0x807fd407,0x0bfe67fc,0x3f202ff4,0xf803ff8e,
    0x93fa004f,0xf986eff9,0x7ffc400f,0x99bfe62d,0x3ea1dfff,0x37ffe65f,
    0xf317fea1,0x03fea07f,0x4ffe0ff5,0x13fb02fe,0x2ff505ff,0xff880ff9,
    0xfffebbef,0x2a37e403,0x09ff01ff,0x20027f40,0x04fd86fe,0x333339ff,
    0xfb85ff95,0xd101fea7,0x80bfb0df,0x17fe64fe,0xf10bfd00,0xffffffff,
    0x07fcc5ff,0xff9827f4,0xf307fa82,0x027fc0bf,0xff8a7fc4,0x500ff900,
    0x27fa80ff,0x0ff987fa,0xf905ff98,0x881ff88f,0xf3003fff,0x06637f4f,
    0x1bee7fa8,0x7c401a98,0x55406fef,0x2aaaadff,0x7fccdfb0,0x00ff981f,
    0xfb837fc4,0x20bff30f,0x17fe67fc,0x3ff23fe4,0xa87ff100,0x327ff07f,
    0xf17f885f,0x2e7fe05f,0x07ff505f,0x7c01ffd3,0xf04ff83f,0x37ec009f,
    0xb03ff900,0x3fffe09f,0x1fffffff,0x1fea7fb8,0xfd01dfd0,0x265fd807,
    0x3ea002ff,0xffff881f,0x2fffffff,0x3fa03fe6,0x82ffc80f,0x5ff307fa,
    0xf8027fc0,0x220bfe5f,0x7fa807fe,0xff53fd40,0xf301ff30,0xa9fea05f,
    0x2a1acffb,0x3e6003ff,0x2601bfa7,0x3f27feba,0xeee88004,0xeefffffe,
    0x7ffffc6e,0xfb06ffff,0x980ffdcd,0x7fc400ff,0x261ff303,0x4ff502ff,
    0xff502ff9,0x9999dfd8,0x544fe999,0x267ff07f,0x8a7d40ff,0xd9f902ff,
    0x2200805f,0x1ff503ff,0x3fe0ff90,0x01ff6004,0xfd81ffe4,0xffffff04,
    0x81dfffff,0x81fea7fb,0x5ff01ffd,0x3e66fb80,0x1bfa001f,0x4ccdffc4,
    0x26099999,0xdffe80ff,0x05fff710,0x3fe60ff5,0x2013fe01,0x3bfa3ffa,
    0x01fff620,0xff501fea,0x7fcc3fd4,0x301ff980,0x3fffa1ff,0x7fff53ff,
    0x973fcc00,0xfffdb307,0x1ff4ffff,0x7fffc400,0xffffffff,0x4effccc7,
    0xbfd00999,0x4c03ffee,0x7fc400ff,0x263ff102,0x1ff301ff,0x7cc07fe6,
    0x3ffffa0f,0x5fffffff,0x3ff83fd4,0x23fb0bfa,0xff302ff8,0xfd0000ff,
    0x4c17f60b,0x04ff82ff,0x3201bfa0,0x13f604ff,0x4ccce7fc,0x22ffeba9,
    0x41fea7fb,0x3fe01ffc,0xf337dc02,0x3fea001f,0xfeeeeeee,0x7fcc002f,
    0xeffefe80,0xa82fefff,0x01ff307f,0x7ec027fc,0x3bffe61f,0x807faffe,
    0x3fd407fa,0x1ff30ff5,0x2601ff30,0x5ff310ff,0x0fffbe13,0xd807f980,
    0xa9bdffff,0x000ffa7f,0x2004fd80,0x3fe004ff,0x201ffdf4,0x7c400ff9,
    0x23ff101f,0xff300ff9,0x4c03fe61,0x337fe0ff,0xcccccccc,0xff83fd43,
    0x6f897f23,0xfe80bfe2,0xfd80004f,0xeeeff886,0x86ffeeee,0x3fe004ff,
    0x0fff6205,0x3fe09fb0,0x737f4403,0x5c3fd4ff,0x1ff403ff,0xff997f60,
    0xffffd000,0x5fffffff,0x80ff9800,0xefffcbfe,0x7fa82fd9,0x7c01ff30,
    0x999999df,0xea85ffea,0x7f89efff,0x5407fa80,0x261fea7f,0x0ff980ff,
    0x7c41ff30,0x1ffc6c1f,0xb80ff300,0x7fb81cff,0x800013f6,0x3fe004fd,
    0x25ff1004,0xf300ff9b,0x1ff8801f,0x3e63ff10,0x21ff300f,0xff300ff9,
    0x80027f41,0x47ff07fa,0x49f70ff9,0x3ee02ff8,0x2004c01f,0xfffb85fd,
    0xffffffff,0x8027fc1f,0xfd103ff8,0x09fb005f,0x3ea00ffe,0x7d4ff70f,
    0x4027fd47,0x27f405fd,0xf3001ff3,0x5555559f,0x98005ff7,0x23fe80ff,
    0x0ff50009,0xff803fe6,0xffffffff,0x26200eff,0x2a00be60,0x53fd407f,
    0x01ff30ff,0x3e601ff3,0x207fe20f,0x26003ff8,0x02ff407f,0x037e4ff9,
    0xfff88df5,0xffffffff,0x009ff07f,0xff987fee,0x801ff300,0xff101ff8,
    0x4c03fe63,0x01ff30ff,0x5fc83fe6,0x3ea05540,0xfe87ff07,0x7fc43fb2,
    0xb01bee02,0x83ff80df,0x99999dfe,0x7c4ff999,0x3ff7004f,0x003ffd10,
    0x1ffc13f6,0xfb97fcc0,0x02ffcc07,0xf501ffb8,0x007fcc5f,0x3e2037ec,
    0x7fcc002f,0x0003fe80,0x3fe60ff5,0x3ffffe00,0x02deffff,0x5001f500,
    0x27fa80ff,0x0ff987fa,0xf300ff98,0x882ff81f,0x3e6003ff,0x8827f407,
    0x3ff50ffe,0xdd117fa0,0xddfffddd,0x13fe0ddd,0xf31bfe20,0x03fe601f,
    0x2203ff10,0x01ff31ff,0x7fcc3fe6,0x541ff300,0x3ff502ff,0x7ff07fa8,
    0x46f8dfc8,0x3fa02ff8,0x817fdc02,0x7fcc0ffb,0x20ffd801,0xff8804ff,
    0x01efe886,0x7fc13f60,0x71ffa803,0x37fc40ff,0x507bfa00,0x0ff98bff,
    0x2017fcc0,0x4c002ff8,0x03fe80ff,0x260ff500,0x13fe00ff,0x2fb80000,
    0x5407fa80,0x261fea7f,0x0ff980ff,0xff81ff30,0x01ffc40c,0xfb80ff30,
    0x7fff440f,0xb887bf60,0x9fb002ff,0x2027fc00,0x7cc1ffd8,0x01ff300f,
    0xf101ff88,0x403fe63f,0x1ff30ff9,0xfb03fe60,0x27fcc17f,0x3ff83fd4,
    0x21fdffcc,0xff502ff8,0x43dff100,0xfc84ffc8,0x47ff3006,0x7ec404ff,
    0x00ffd82f,0x7c077ec0,0x3ff4403f,0x3fa20ff7,0x7f4c000e,0x85ffecef,
    0x7ec00ff9,0x9bff8807,0x99999999,0xfd01ff30,0x1fea0007,0xff007fcc,
    0x4c000009,0xa80caaef,0x53fd407f,0x01ff30ff,0x3e601ff3,0x2ffff40f,
    0x33337ff1,0x3e633333,0x6fffc407,0x1ffbffec,0x3f7bffa2,0x3f6004ff,
    0x277fe004,0xffcba999,0x00ff983f,0xf8801ff3,0x23ff101f,0xff300ff9,
    0x4c03fe61,0x7ff440ff,0x80fffedf,0x07ff07fa,0xf881fffd,0x3ffb6e2f,
    0xdfff3003,0x3e09fffb,0x9bfa004f,0xa9999dff,0xa84fffcb,0x99999bff,
    0x7fdc0999,0x4ce7fc7f,0xffeba999,0x7dc1fee3,0xffffffff,0xffc886ff,
    0xff303dff,0x01ffcc01,0x7fffffc4,0x32ffffff,0x07fd01ff,0x4c1fea00,
    0x13fe00ff,0xffd00000,0x0ff501ff,0x1fea7fa8,0x3e603fe6,0x81ff300f,
    0x3e26ffe8,0xffffffff,0x00ff37ff,0x1bffffd5,0x3ff213fa,0x6c002fff,
    0x3ffe004f,0xffffffff,0x01ff303f,0xf1003fe6,0x47fe203f,0xff300ff9,
    0x4c03fe61,0xfff900ff,0x3ea01bff,0xf707ff07,0x45ff10df,0x4004fffb,
    0x3effffd8,0x4003ff50,0xffff1ffb,0xffffffff,0x3ffffa09,0x3fffffff,
    0x3e0fffc8,0xffffffff,0x3fdc4fff,0xffffffb8,0x406fffff,0x0ff98018,
    0x2003ff60,0xfffffff8,0xf32fffff,0x0015501f,0x7cc1fea0,0x013fe00f,
    0x06e60000,0x7d407fa8,0x3e61fea7,0x00ff980f,0x20401ff3,0xfffffff8,
    0xff37ffff,0x000cc400,0xb0000988,0x7ffc009f,0x3eefffff,0x9807fcc0,
    0x7fc400ff,0x263ff101,0x1ff300ff,0x7cc03fe6,0x00cc400f,0x3ff83fd4,
    0xf883ff98,0x006ee22f,0xd8013300,0x7fc4006f,0xfffffff4,0x22017bdf,
    0xffffffff,0x0603ffff,0x3ffffffe,0xfb80ceef,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccccc40,0x19999999,0x4c00cc00,0x26601aba,
    0x01333000,0x260cc298,0x20cc4001,0x2000cc19,0x99999998,0x09999999,
    0x22157510,0x99999999,0x02661999,0x26621980,0x00999999,0x33333330,
    0x03310033,0x1310cc40,0x22133000,0x83310009,0x99999998,0x10999999,
    0x99880033,0x88002660,0x01988019,0x3ff61988,0xffffffff,0xcb80005f,
    0x80ff900c,0x18800098,0x2aaaaa48,0xaaaaaaaa,0x80009803,0x00018018,
    0x00600013,0xffe80620,0xffffffff,0x3ea007ff,0x3fffaa07,0x3ff81eff,
    0x405ffc80,0x99fe67f9,0x3f6000ff,0x261ff31f,0x3ea000ff,0xffffffff,
    0xc86fffff,0xffb1ffff,0xffffffff,0x03ffe1ff,0x7f43fe60,0xffffffff,
    0x3ffe04ef,0xffffffff,0x03ffb80c,0x3f25ff88,0x3fe2000f,0x2a00bfd2,
    0x3ffea1ff,0xffffffff,0x09ff72ff,0xff0ffec0,0x07fdc007,0xb00fffe0,
    0x7fffecdf,0x5fffffff,0xfffffff3,0x807fec0d,0x1fec07fc,0xffffc880,
    0x0051fcae,0xffdb1050,0x6c403bff,0x50ceffff,0x805bfffd,0x02efffdb,
    0x2efffeb8,0x3ffff220,0x7ffff44e,0xffffffff,0x0fff1007,0x3af7ffea,
    0x1ffc1fff,0x1017ff20,0x33fccffd,0x7ec001ff,0x261ff31f,0x3ea000ff,
    0xffffffff,0x546fffff,0xfb0ddfff,0xffffffff,0x3ffe1fff,0xd0ff9805,
    0xffffffff,0xf01dffff,0xffffffff,0xfb01ffff,0x46fe803f,0x2e003ff9,
    0x4017fa7f,0x3fea1ffa,0xffffffff,0x3ff62fff,0x43ffa801,0x3e6003ff,
    0x3ffe602f,0x3127fc05,0x93333333,0x3ffe63ff,0x3606ffff,0x0dd700ff,
    0xf9803fd8,0xffffeeff,0x50a000a4,0xfffddfff,0xdfff503f,0xff9dfffd,
    0x209fffdf,0xfffeeffd,0xdfffb104,0x3fa0bffd,0x0efffeff,0x000009fd,
    0xff10fffb,0x0ffe981d,0xffc80ffe,0x3fff4404,0x07fccff3,0x223ffb00,
    0x003fe62a,0x801ffc00,0x0bfb07fb,0x07ffff00,0x9fd0ff98,0x85ffc880,
    0xf93104ff,0x0dff10df,0x7f40ffe4,0xe93fa006,0x3ff5005f,0x1ffd1000,
    0x22037fc4,0x03ff86ff,0xf9027fc0,0x7fc40ffb,0x13fe2001,0x01554000,
    0x201fec00,0x3620eff8,0x2000a3ff,0x5106ff42,0x4ff88bff,0x5ffffdc4,
    0xc85fd510,0x3ff221ff,0x20bffc82,0x7fdc3ffa,0xfe97fd41,0x7dc00004,
    0x2ffa87ff,0x7fc5ff70,0x809ff903,0x267ffffb,0x003fe67f,0x2601ffd8,
    0xf00000ff,0x17f2007f,0x7c002fec,0x2600ffff,0x009fd0ff,0x13fe1ffa,
    0x2a0bfee0,0x3ffa84ff,0x3003ff70,0x02ff43ff,0x8001ffa8,0xffb81ffe,
    0x203ff604,0x7ec003ff,0x3febfa05,0x800ff501,0x000006fd,0x07fb0000,
    0x7440ffc8,0x00050fff,0xc807fd45,0xf037dc7f,0x3fee09ff,0x3a05ff30,
    0x81ffcc5f,0x13f60ffa,0x04fea76c,0x2bfe6000,0x407fd87f,0x20ffe3ff,
    0x7f404ffc,0x3e67fbdf,0x8003fe67,0x3e601ffc,0x4000220f,0x9f9003ff,
    0x20017f60,0x205ffcff,0x09fd0ff9,0xff0bfea0,0x07ff1009,0xff88bff2,
    0x00ffe205,0x0bfd1bf2,0x0007fea0,0x7ec07ffb,0x03ffa81f,0xfa8007ff,
    0xfb1ff107,0x8017f209,0x3ea01ffb,0xffffff07,0x005fffff,0x7f403fd8,
    0x2ffafd83,0x19850005,0x3311fea0,0x8807fec0,0x40df72ff,0x07fe41a9,
    0x3f23ff88,0x04fe801e,0x2abfa000,0xf801307f,0xf90ffe2f,0x27ff009f,
    0x99fe67fa,0x2ffd80ff,0x7fcc3ff2,0xfd51ff30,0x7c001bff,0x7ffec03f,
    0x17f62fff,0x3eeffe00,0x21ff303f,0xff3004fe,0xf004ff85,0x3ffa20bf,
    0xc801dfd0,0x43ff806f,0xff5005fe,0x27fdc003,0xf11bfe20,0x01ffc0bf,
    0x2a07fe20,0x3a0df55f,0x7ff1003f,0xff07fa80,0xffffffff,0x7776c05f,
    0xeeeeeffe,0x7f707fe4,0x40014ffa,0xfeba9802,0xff953007,0x3333333d,
    0x013f27fd,0x26677f60,0x24fe9999,0x01befff9,0x200009fd,0x00ff54fc,
    0xff83fee0,0x400fff23,0xf99fea0b,0xf903fe67,0x30ffb85f,0x37fe61ff,
    0x0efffeff,0xd807ff00,0x22ffffff,0xff8005fd,0xf301ffb3,0x4013fa1f,
    0x27fc1ffc,0x301ffcc0,0x03ff7bff,0x5403ff30,0x02ff40ff,0x5001ffa8,
    0x3ee00dff,0x803ff23f,0xfe8003ff,0xff13fc83,0x001ff881,0xff500dfb,
    0x0bff1000,0xfffffff8,0xf35fffff,0xfb2fcc1f,0x20a000a9,0xfffffed9,
    0xffb7307f,0xffffffff,0x2bffffff,0xfe8003fe,0xffffffff,0x7ffd45ff,
    0x3fa0cfff,0x6fa80004,0x2a001fea,0xc9ffc4ff,0x2a0004ff,0xf99fe67f,
    0x20bff20f,0x43fe67fb,0x510dfff9,0x3fe00bff,0x209f9003,0xff8005fd,
    0xf30dff13,0x2013fa1f,0x4ff85ffc,0x402ffd80,0x003ffffb,0x4fd813fa,
    0xaaaaefe8,0xffcaaaaa,0x0eff8801,0x263ff600,0x1ffc02ff,0x7c2fe400,
    0xf50bfa1f,0x0ffe200f,0x1001fea0,0x55500dfd,0x555bfd55,0x447fe635,
    0x153f60ee,0x3ff61400,0x7fa9bdff,0xbdefffc8,0xccccefc9,0xfd3ccccc,
    0x9bff0007,0x99999999,0xfffb7107,0x3fffa5ff,0xffffffff,0x21ff881f,
    0x7d4007fa,0xfcbff84f,0x50000fff,0xf33fccff,0x407ff21f,0x43fe67fa,
    0xdfb05ff9,0x400ffe00,0xfffb04fc,0xbfffffff,0x3fee3ff8,0xfe87fcc3,
    0xfeeeeeef,0xff80efff,0xbffb3304,0x017ffa00,0x3e20ff70,0xffffe81f,
    0xffffffff,0x7f4401ff,0x7fc4001f,0xff805fed,0x47fa8003,0x22fe47f9,
    0xff9004fc,0x00ff5001,0x0000efe8,0x7fc407fb,0x3fe83fb2,0x7dc50005,
    0x47fb81cf,0xfc81cffb,0x027ec006,0x00027f40,0x3afff930,0xffffffff,
    0xfd81ffff,0x5003fd44,0x3ffe0bff,0x006ffcff,0x3fccff50,0x3ff91ff3,
    0xff337d40,0x5c0bfe61,0x07ff007f,0x7ec13f20,0xffffffff,0x361ffc5f,
    0x43fe60ff,0xfffffffe,0x3e03efff,0xffffffff,0xd000efff,0xf8800dff,
    0xd06fb82f,0xffffffff,0x03ffffff,0x0002ffd8,0x001ffff7,0xf10007ff,
    0x2a27dc1f,0x8017f47f,0xff5004ff,0x00ffec00,0xf807fb00,0x7c42fbcf,
    0x4500052f,0x1ff205fe,0x3fec0bfd,0x37e46ae0,0x5fc8df50,0x15305540,
    0x3fa7fea0,0x9999999d,0x86fa8199,0xff1007fa,0x97fffc0b,0xa8004ffb,
    0xf99fe67f,0x4c05ffdf,0x4c3fe66f,0x1ff301ff,0x2007ff00,0x3dfb04fc,
    0x13333333,0x7fc43ff8,0x7f43fe66,0xffdcaaad,0xfffff804,0x03efffff,
    0x13ffff20,0xfd0bfb00,0x4017fa07,0x3ee01ffa,0x7ec0004f,0x07ff002f,
    0xfd8bfa00,0xff11ff82,0x03ff5001,0x6401fea0,0x099501ff,0x7ec03fd8,
    0x0ffc84ff,0x7f450005,0x41ffd104,0xfff503ff,0x547fea05,0x8bfd01ff,
    0xff502ffa,0xf9827fc3,0x0004fe9f,0xff503ff1,0xf01fee00,0x2ffd85ff,
    0xf33fd400,0x7ffffccf,0x997e201f,0x01ff30ff,0x3e003fe6,0x09f9003f,
    0x3e0017f6,0x33ffb83f,0x413fa1ff,0x7fc05ffa,0x0019999d,0xff97ff30,
    0x07fd4005,0x3fa01ff3,0x03ff5005,0x00017fea,0xff801fee,0x29f90003,
    0x3fd80ff8,0x3f600df5,0x01fea006,0xfc80ffee,0x201fec07,0x7dc1fff8,
    0x8a000a3f,0x7f440ffb,0x03bf20ff,0x85ffdff3,0x77ec4fe9,0x20bfee21,
    0x3e60bffd,0x217fe44f,0x09fd6fd8,0x3bbff200,0xeeffeeee,0xf013f203,
    0x1fff109f,0xf33fd400,0x6cfffccf,0x4bf100ef,0x1ff30ff9,0x2003fe60,
    0x9f9003ff,0x20017f60,0x1ffb03ff,0x13fa1ff3,0x3e04ffb8,0xf100004f,
    0x03ffa2df,0x3f22ff80,0x4017fa05,0xff881ffa,0xfb80000e,0x00ffe007,
    0x6fab7d40,0x13f29f70,0x800bfe20,0x7fd407fa,0x203fe404,0xffe801cb,
    0x45ffedef,0x3e228002,0xbffecdff,0x3ffe21ff,0xf92fffdd,0x0dffdbff,
    0xffbdffd1,0x3ffa209f,0x40fffedf,0xfedfffe8,0x009fd1ff,0x3fffff20,
    0x4fffffff,0xff00ff60,0x017fea07,0x9fe67fa8,0x9ff11ff9,0x1ff327c0,
    0x7cc03fe6,0x03ff800f,0x3f609f90,0x03ff8005,0x1ff3dff1,0xffb013fa,
    0x0013fe07,0xf307fec0,0x2fe400bf,0x2ff405ff,0xe81ffa80,0x700001ff,
    0x1ffc00ff,0xf91ff000,0x7f5be609,0x00ff9801,0xf981fea0,0x4cf5005f,
    0x99999999,0x2ff20999,0x82ffffeb,0x75428002,0xfd0dffff,0xffffea89,
    0x7fff5c0d,0x3ff200cf,0xfc802fff,0x100dffff,0x1bfffff9,0x980027f4,
    0xcaaaaaaa,0x2201aaff,0x01ffc009,0x2a007ff9,0xf99fe67f,0x407fee0f,
    0x4c3fe609,0x1ff300ff,0x2007ff00,0x0bfb04fc,0x5c07ff00,0xfd0ffdff,
    0x0fff8809,0x80004ff8,0xffc82ffb,0x51ff3003,0x05fe80ff,0xfd83ff50,
    0x2e00002f,0x0ffe007f,0xfe9fd800,0x1fe3fe01,0x2003fdc0,0xdff107fa,
    0xfff2e400,0xffffffff,0x2621dcbf,0x0a000a00,0x44000cc4,0x01988009,
    0x40004c40,0x4cc00198,0x0009fd00,0x001fea00,0x4407ff00,0xfa801ffe,
    0xff99fe67,0x40077f40,0x1ff30ff9,0x2003fe60,0x9f9003ff,0x20017f60,
    0x7fec03ff,0x009fd0ff,0x9ff0bff5,0x5ff98000,0x4007ffa0,0x404fcafe,
    0xff5005fe,0x001ffdc3,0x801fee00,0x2e0003ff,0x7ec07fcf,0xdf9005fc,
    0x887fa800,0xf5000efe,0x7fffffc5,0x05ffffff,0xaaaab800,0xaaaaaaaa,
    0x00000004,0x00000000,0x3fa00000,0x9999999d,0x50009999,0x0f3200ff,
    0xf9807ff0,0x3fd400ef,0x07fccff3,0x99513fe6,0x7cc3fe61,0x01ff300f,
    0x32007ff0,0x00bfb04f,0xf8807ff0,0x09fd0fff,0xff0fff60,0x7f440009,
    0x1bfe600e,0x07fefd40,0x54017fa0,0x3dff31ff,0x33333333,0xff700133,
    0x4ce7fc00,0x01999999,0xa80bfff3,0xfb003fff,0x87fa8009,0xfffffffb,
    0x0336ffff,0x00000000,0xaaaa8800,0xaaaaaaaa,0x00000aaa,0x00000000,
    0xfffe8000,0xffffffff,0xff5003ff,0xf017fe00,0xbff9007f,0x3e67fa80,
    0x3203fe67,0x43ff22ff,0x1ff30ff9,0x2003fe60,0x9f9003ff,0x20017f60,
    0xffb803ff,0x2009fd0f,0x3fe0fff8,0x3ff60004,0x04ffb801,0x805fff88,
    0xff5005fe,0x3ffffee3,0xffffffff,0x07fb805f,0x3fffffe0,0x207fffff,
    0x7c403fff,0x7ff001ff,0xb87fa800,0xffffffff,0x00006fff,0x00000000,
    0x3fffffea,0xffffffff,0x0000001f,0x00000000,0xfffffe80,0xffffffff,
    0x00ff5003,0x7ff017fe,0x80fffa00,0x99fe67fa,0x1dfd00ff,0x7fcc3ff2,
    0x2601ff30,0x3ff800ff,0x3609f900,0x3ff8005f,0x3a1ffd00,0x3fee004f,
    0x40013fe5,0x36003ffb,0xffc802ff,0x005fe802,0x3fee3ff5,0xffffffff,
    0xb805ffff,0x3ffe007f,0xffffffff,0x003ff607,0x00001bfa,0x00000000,
    0x00000000,0xaaaa8800,0xaaaaaaaa,0x00000aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01880000,0x03100262,0x04400200,
    0x3e604400,0x201fea07,0x4000c008,0xa81fe601,0x7c1ff57f,0xffffffff,
    0x0bff12ff,0x7fb8ffe6,0x9fb3fdc0,0x7cc1ff20,0x3603fe67,0xb30002ff,
    0x200032e3,0x83fa0ffc,0x3a6000fe,0x327d4005,0x2006c4bf,0x22000048,
    0x400a980a,0x5dcc01a8,0x00397001,0xa880276c,0x304b802b,0x99999999,
    0x32619999,0xcccccccc,0x0b980ccc,0x219884c4,0x10995098,0x00aa9815,
    0x5d443551,0x1110c01b,0x7dc01111,0x7ec3efff,0xdffff705,0xfffdb807,
    0x7ff6443d,0xb6f980df,0x1fe61bff,0x5be67fa8,0x264effea,0x260dfffd,
    0xbfffd56f,0x2a07f981,0x7c1ff57f,0xffffffff,0x0ffea2ff,0xff88bfd1,
    0xfb93fa02,0x703ffd06,0x207fccbf,0xa8002ffd,0xbff71ffe,0x07fe4003,
    0x037ccbf5,0x4400ff30,0xd87fa0ff,0xbdfdb9ef,0x05d14ff9,0x0ffcc26c,
    0x83dffff3,0x43ffffe9,0x04ffffd8,0xf002ffc4,0xffe880bf,0x1f600fff,
    0x7fffffdc,0x70ffffff,0xffffffff,0x74c1ffff,0x5bf64fff,0x2dfd1ffa,
    0x887d87fc,0x1ffb05ff,0x3fffffa6,0x7c4f661c,0x887fffff,0xfffeeffe,
    0xe88bfb0d,0xdfffeeff,0xeefffc80,0xffff35ff,0xf983fffd,0x267fffce,
    0x99fea07f,0xffeffbef,0xfffff9bf,0x3efbe66f,0x21ffffff,0x5fea07f9,
    0xf1000fe9,0x41ffb0bf,0x5fd80ffd,0x7c43ff30,0x1fffc40f,0x1ff317f4,
    0x1000ffe4,0x219ffff9,0x03efffd9,0x7ec0eeb8,0x4c013f23,0x8ff6007f,
    0x7ffcc4fc,0xefffffff,0xfb05ff90,0x3fff223f,0x3ee3fd11,0x7d457f45,
    0x2ebbf20f,0x3ff202fe,0x0bff000f,0xfb88bfc8,0x8a7c84c3,0xccccccc9,
    0x930ffccc,0x99999999,0x8f641999,0x2adfb1fa,0x32dfd1ff,0x40cff87f,
    0x7fc40ffa,0x3fffffa2,0x3ffeefff,0xfffffff1,0xfa83dfb0,0xfd89b33f,
    0x227fd41f,0x7fcc3ffb,0x3662dffe,0x6fffcc7f,0x81fe62a9,0x3ffe67fa,
    0xbfffb30c,0xf997fdc5,0x3fea1dff,0xfa81fe65,0x74401e67,0x2bff106f,
    0xff502ffa,0xfd0df701,0x45fefa87,0x3fe60ff8,0x2003ff90,0x0befffda,
    0x9ffff930,0x1ff30001,0x26007fe2,0x4df7007f,0xffa80ffa,0x0fffb9be,
    0xffb17fec,0x0fee7e45,0x7137cc33,0xff12fd87,0x3fe06f98,0x400004fd,
    0x3a37c439,0x1ffceddf,0x000ff800,0xaec2f880,0x23ff56fd,0x221ea6fe,
    0x44fb86fa,0x886743fc,0xefffffdb,0x26666661,0xa80ffd41,0xffa8f67f,
    0x223ff501,0xfff304ff,0x47ff101f,0x3e605ff9,0xf99fea07,0x06ff985f,
    0x17fe67ff,0x0ff33fe4,0x00d53fd4,0xf9803bfa,0x7c04ffbf,0xc83fe82f,
    0x3fd7ec5f,0x1ff317ea,0xb8803ff9,0x001dfffe,0x16ffff5c,0xfb9bf200,
    0x03fcc00e,0xff897fc4,0xf10df703,0xb7ffb05f,0xf90985ff,0x03dd9103,
    0x17e67f88,0x46fdc1fe,0xccccc87f,0x2ccccccc,0x37f6e544,0x37fffb6e,
    0x0ff8001b,0x41f88000,0x3eadf95c,0x2e4bfb0f,0x541bf262,0x100c1542,
    0x40005997,0x5ff405fd,0x017f60e9,0x01fea9fd,0x7e409ffb,0x980bfe67,
    0x99fea07f,0x4ff882ff,0x3fe69fb0,0x7ccff502,0x7ddfea07,0x01ffd802,
    0x806fffc8,0x07fcc5fc,0x75fe3fcc,0xf30ff61f,0xa809ffbf,0x000bffff,
    0x77ffe4c0,0x47ff1000,0x333264fe,0xccccffdc,0xfd97fa0c,0x640bfa06,
    0xffffb04f,0x981fc805,0x3a601dff,0x3a13ea2f,0xfb2fe80f,0xffffff87,
    0x25ffffff,0x6fcefffb,0x0009ff50,0x00000ff8,0x5cbe61bb,0x7e4ff14f,
    0x7fdc5f54,0x000001ff,0x3fa00000,0x077fec03,0xbfb00ffa,0xff7017f2,
    0x53333337,0x07fe61ff,0x3ea07f98,0x7c07fe67,0x269fb03f,0x1ff301ff,
    0xffa81fe6,0xffc802fe,0x07ffa001,0xfc83fe60,0x7cc7fe05,0x07fc7f95,
    0x3fffffe6,0x013fee01,0x3ffa2000,0xe93fa001,0x3fffee5f,0xffffffff,
    0x5fd97fa0,0x7cc03fe0,0x09fff106,0x7c403f90,0x42ffb80f,0xa87f86f9,
    0x991bea6f,0x99999999,0x8bfe6599,0xbdf986f8,0x3fe0004f,0x99999930,
    0x41999999,0x2a6feff9,0x3fa9be3f,0x01bb9833,0xa8aa2155,0x44dd50cc,
    0x99999999,0x81999999,0x7fdc02ff,0x5c02ff80,0xa809fb6f,0xffffffff,
    0xff31ffff,0x807fcc01,0x03fe67fa,0x4fd817fc,0x3e601ff3,0x201ff30f,
    0xf7001ffa,0x7fcc007f,0x47fd004f,0x4ff202ff,0x26df53fb,0x9fff986f,
    0x3fea06fe,0x40000bef,0x00efffc9,0x7fd4df70,0x37333260,0x0cccccff,
    0x7fc47fe6,0x3205fd02,0xffffb04f,0x311fc805,0x7dc2fd81,0x20ff880e,
    0x43fd86fa,0x980002fe,0x7437e45f,0x0003fb0f,0x7ffdc3fe,0xffffffff,
    0x441ca80f,0x0c88ae1c,0x47fe2000,0x1ff70ff9,0xfffa9fee,0xffffffff,
    0x7fc1ffff,0xf837dc02,0xeb7dc02f,0x67fd403f,0xcccccccc,0x401ff30c,
    0xff700ff9,0xff807fcc,0x3e69fb02,0x21ff300f,0xff700ff9,0x013fea00,
    0x05ffdfd0,0x1feadf70,0x47f6df50,0x83fc8ff8,0x9ff31ff9,0x7fff5c40,
    0x7f54001c,0x22002dff,0x05ff11ff,0x2e00ff30,0x5c1bee6f,0x82ff886f,
    0x2ffdbffd,0x77c47f20,0x7e41ff50,0x2e09999e,0x41ffdcff,0x2fdc0ff9,
    0xfd013b60,0x81fffb79,0x80006228,0x999930aa,0x99999999,0x00000001,
    0x263ff100,0x21ff70ff,0x2eee26eb,0xbbbbbbbb,0x7f40bbbb,0xe827ec03,
    0xdafec03f,0x0ffdc04f,0x803fe600,0xff900ff9,0xff807fcc,0x3e69fb02,
    0x21ff300f,0xff900ff9,0x00bff300,0xffc8ffc8,0x6c7fc400,0x47fc404f,
    0x7f57f47f,0x2e0ff981,0xfda801ff,0x32202eff,0x000cffff,0x17f24fc8,
    0xd003fcc0,0x541fec5f,0xffc9beff,0xb17fec0f,0x87f205ff,0x23fffffc,
    0xfffffff9,0x17fffdc3,0x7fc42fe4,0x3017fe01,0x3f93dffb,0x00000000,
    0x00000000,0x88554000,0x0000002a,0x7405fd80,0x80bfb02f,0x80df94fe,
    0x2a602ffd,0x8803fe61,0x7fe882ff,0x7fc03fe6,0x3e69fb02,0x21ff300f,
    0xfe882ff8,0x037fc407,0x744bfea0,0xfbfd805f,0xfcfd800f,0x837efe45,
    0x37f40ff9,0xffff9100,0x3fff6619,0xf30000be,0x80077c4d,0x3e2007f9,
    0xf983fe26,0xffffffff,0x05ff90ef,0x15303ffb,0xa982ca88,0x01aaaaaa,
    0x0bfe2033,0x9db027ec,0x00002200,0x00000000,0x00000000,0x00000000,
    0x01ffb800,0x3ee03ff5,0x25ff501f,0xff302ff9,0x32ff40df,0xffe801ff,
    0x99fff620,0x05ff00ff,0x07fcd3f6,0x3fa0ff98,0x1fff620e,0x000efe88,
    0xff517fe2,0x6fffa807,0x87fff700,0xf304fff9,0x04ff981f,0x8fff5c40,
    0x2002dffb,0xb0ff44ca,0x3fcc003f,0xfa8fee00,0x36e7bf64,0x14fe9adf,
    0x0026c07d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x27fcc1ef,0xf507bfa0,0x42ffd8bf,0x2efffff9,0xf983fee2,
    0x7ffd400f,0x27faffee,0x5ff00ff9,0x7fcd3f60,0x541ff300,0xaffeefff,
    0x3ffee07f,0xffffffff,0x3203ff66,0x7ffc00ff,0x3fff1003,0x2603fff0,
    0x1ffc80ff,0x2e3b5000,0xffc8000c,0xe9800000,0x91000005,0x00048801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeceffe98,0xfe9805ff,0x85ffecef,0xfeceffe8,0xffff98df,0x7cc3fffd,
    0xffea800f,0x267f89ef,0x05ff00ff,0x07fcd3f6,0x7d40ff98,0x7f89efff,
    0x3ffffee0,0x56ffffff,0x3fe205ff,0x007fe406,0x3f60ffd0,0x403fe607,
    0x000006fe,0x00ffc800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbffff910,0x7fe44007,
    0x7dc03dff,0x6cc4efff,0x982effff,0x262000ff,0x807fcc00,0x29fb02ff,
    0xff300ff9,0x00026201,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x18800018,0x80098800,0x00000098,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_30_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,1,1,2,2,2,1,2,2,0,1,
1,1,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,2,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,0,0,
0,0,0,0,0,1,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,1,1,1,1,1,1,1,2,0,-1,0,2,0,2,0,2,0,2,0,2,0,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,2,1,2,1,2,1,1,2,1,1,0,1,0,1,0,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,0,-1,-2,1,
0,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,0,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_30_latin_ext_y[560]={ 24,4,4,4,3,4,4,4,4,4,4,8,21,15,
21,4,4,4,4,4,4,5,4,5,4,4,10,10,8,10,8,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,27,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,10,4,4,8,4,
4,4,4,4,4,11,10,15,4,1,4,7,4,4,4,10,4,13,23,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,4,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,9,4,4,4,4,4,4,4,
1,5,0,4,4,9,-1,4,0,4,0,5,0,4,0,4,4,4,1,5,0,4,0,5,4,9,0,4,0,4,
0,4,0,5,4,3,-1,-1,4,4,0,4,1,5,0,4,4,4,0,10,4,4,-1,4,4,4,10,-1,0,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,1,5,0,4,-1,4,4,9,-1,4,4,9,0,4,
-1,4,0,4,4,9,0,4,4,5,0,4,4,5,0,4,1,5,0,4,-1,4,-1,4,4,10,-1,4,-1,4,
0,-1,4,0,5,0,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,9,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,4,0,4,0,
4,0,4,-1,1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-1,4,-1,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_30_latin_ext_w[560]={ 0,4,8,15,14,22,17,3,7,7,10,14,4,9,
4,8,13,9,14,13,14,13,13,13,13,13,4,4,14,14,14,13,26,19,16,18,16,15,14,19,16,4,12,17,
13,20,16,19,15,19,18,16,16,16,18,26,18,18,16,7,8,6,12,17,6,14,13,13,13,14,9,14,13,4,
7,13,4,20,13,14,13,14,9,13,8,13,14,20,14,14,13,9,3,9,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,3,13,15,14,16,
3,13,9,20,10,12,14,9,20,17,8,13,9,9,6,12,15,4,7,6,10,13,22,21,23,13,19,19,19,19,
19,19,26,18,15,15,15,15,6,6,9,8,19,16,19,19,19,19,19,12,19,16,16,16,16,18,15,14,14,14,
14,14,14,14,23,13,14,14,14,14,6,6,10,8,14,13,14,14,14,14,14,13,14,13,13,13,13,14,13,14,
19,14,19,14,22,17,18,13,18,13,18,13,18,13,16,17,19,15,15,14,15,14,15,14,15,14,15,14,19,14,
19,14,19,14,19,14,16,13,19,14,9,10,9,9,9,9,6,7,4,3,17,10,15,10,17,13,13,13,6,13,
7,13,7,13,8,14,6,16,13,16,13,16,13,16,17,13,19,14,19,14,19,14,26,24,18,9,18,9,18,10,
16,13,16,13,16,13,16,13,16,8,16,11,16,7,16,13,16,13,16,13,16,13,16,13,16,16,26,20,18,14,
18,16,13,16,13,16,13,7,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,17,14,14,14,14,14,14,14,14,14,14,14,14,14,20,17,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,14,9,10,19,
14,16,13,16,13,16,13,16,13,16,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,14,26,23,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_30_latin_ext_h[560]={ 0,20,8,21,24,21,21,8,26,26,9,13,7,4,
3,21,21,20,20,21,20,20,21,19,21,21,14,18,14,9,14,20,26,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,22,20,21,20,21,20,20,20,20,20,26,21,26,11,3,5,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,26,26,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,26,21,13,20,
26,26,4,21,11,13,9,4,21,3,8,17,11,11,5,20,26,3,7,11,11,13,21,21,21,20,25,25,25,24,
24,24,20,26,25,25,25,24,25,25,25,24,20,24,26,26,26,25,25,13,21,26,26,26,25,25,20,21,21,21,
21,21,21,21,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,11,17,21,21,21,21,26,26,26,
23,20,24,21,26,21,26,21,25,21,25,20,25,21,24,21,20,21,23,20,24,21,24,20,26,21,24,21,25,26,
25,26,25,25,26,27,25,25,20,20,24,20,23,19,24,20,26,26,24,14,21,26,26,26,26,26,14,25,24,26,
26,20,20,20,20,20,20,25,20,26,21,25,20,20,21,21,24,20,25,21,26,21,21,16,25,20,26,21,24,20,
26,21,25,21,26,21,25,21,28,26,24,21,20,20,25,21,24,20,25,21,26,21,26,21,26,20,25,20,25,26,
24,25,20,24,19,24,20,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,17,26,17,17,17,
17,17,17,17,17,17,17,17,17,17,21,16,17,17,17,17,17,17,17,17,17,17,17,17,17,21,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,21,24,20,25,
21,25,21,26,24,26,26,26,26,26,26,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,28,27,25,21,26,22,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_30_latin_ext_s[560]={ 508,93,446,1,134,243,480,455,435,278,396,
264,459,501,482,500,43,64,462,57,17,411,182,343,312,233,245,381,215,422,230,
32,366,425,486,115,445,1,144,95,249,503,82,46,302,375,159,280,195,480,176,
17,117,449,230,316,211,283,266,342,416,319,358,430,472,430,196,469,210,483,134,
34,103,98,300,79,74,83,104,19,495,321,59,498,477,69,165,180,150,396,136,
238,248,220,486,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,508,508,252,
384,292,251,274,286,472,146,385,279,407,501,134,492,437,386,337,327,479,76,350,
487,464,320,347,250,198,221,300,437,170,210,114,289,309,329,41,36,230,303,363,
386,500,488,399,253,468,262,263,158,178,1,409,307,136,365,348,331,18,49,110,
401,386,371,356,341,78,326,445,298,283,268,253,238,154,161,143,366,167,176,131,
116,101,86,71,371,400,29,15,1,498,316,302,21,434,222,349,369,485,336,72,
307,246,279,265,237,284,219,369,187,268,156,464,351,418,93,402,324,108,45,237,
16,379,88,433,409,453,473,212,53,495,35,353,373,279,89,454,357,227,502,196,
266,507,508,60,308,393,424,452,198,201,21,54,232,230,339,168,488,213,198,288,
399,337,141,31,319,323,306,261,293,114,15,190,354,1,438,453,34,68,100,283,
439,35,30,246,108,446,122,382,247,483,400,21,443,61,70,451,190,429,224,149,
423,416,266,124,466,91,425,55,126,87,388,134,470,78,153,409,97,367,210,1,
68,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,155,415,415,326,
415,415,415,415,415,415,415,415,415,415,415,415,415,175,1,415,415,415,415,415,
415,415,415,415,415,415,415,415,49,118,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,166,480,
186,295,463,172,1,205,203,196,179,165,148,134,117,103,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,1,38,336,414,68,1,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415, };
static unsigned short stb__arial_30_latin_ext_t[560]={ 22,197,218,154,83,154,109,218,1,1,218,
218,218,218,224,83,132,197,176,132,197,176,132,197,132,109,218,197,218,218,218,
197,1,176,176,154,176,197,197,154,197,176,154,197,197,176,197,154,197,83,197,
154,197,132,197,197,197,197,197,1,132,1,218,214,218,197,132,197,132,197,197,
154,197,197,1,197,197,218,218,218,132,109,218,197,176,218,218,218,218,176,218,
1,1,1,218,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,22,1,1,
109,218,176,1,1,224,132,218,218,218,218,154,224,218,197,218,218,218,176,1,
224,218,218,218,218,154,154,154,154,57,57,57,83,83,83,176,30,57,57,57,
83,30,56,30,83,154,83,30,30,30,83,30,218,109,30,30,30,57,57,176,
132,132,132,132,132,109,132,197,132,132,132,132,132,176,176,176,176,132,176,132,
132,132,132,132,218,197,132,132,132,109,30,30,30,83,176,83,109,1,109,30,
109,57,109,57,176,57,109,83,109,176,109,83,176,83,109,83,154,30,109,83,
109,57,1,56,1,56,56,30,1,56,57,154,154,83,176,83,197,83,154,1,
1,30,176,109,1,1,1,1,30,218,83,83,30,1,154,176,154,176,176,176,
56,176,30,109,57,176,176,109,109,83,176,57,109,30,109,109,218,57,176,30,
132,83,176,30,109,30,109,30,109,30,109,1,1,83,154,154,176,30,132,83,
154,56,154,30,132,30,132,30,176,57,154,57,1,83,57,154,83,197,83,176,
176,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,154,197,197,1,
197,197,197,197,197,197,197,197,197,197,197,197,197,154,218,197,197,197,197,197,
197,197,197,197,197,197,197,197,154,218,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,83,132,
83,176,30,109,57,109,1,83,1,1,1,1,1,1,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,1,1,57,109,1,109,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197, };
static unsigned short stb__arial_30_latin_ext_a[560]={ 119,119,153,239,239,382,287,82,
143,143,167,251,119,143,119,119,239,239,239,239,239,239,239,239,
239,239,119,119,251,251,251,239,436,287,287,310,310,287,262,334,
310,119,215,287,239,358,310,334,287,334,310,287,262,310,287,406,
287,287,262,119,119,119,202,239,143,239,239,215,239,239,119,239,
239,95,95,215,95,358,239,239,239,239,143,215,119,239,215,310,
215,215,215,143,112,143,251,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,119,143,239,239,239,239,112,239,
143,317,159,239,251,143,317,237,172,236,143,143,143,248,231,119,
143,143,157,239,358,358,358,262,287,287,287,287,287,287,430,310,
287,287,287,287,119,119,119,119,310,310,334,334,334,334,334,251,
334,310,310,310,310,287,287,262,239,239,239,239,239,239,382,215,
239,239,239,239,119,119,119,119,239,239,239,239,239,239,239,236,
262,239,239,239,239,215,239,215,287,239,287,239,287,239,310,215,
310,215,310,215,310,215,310,264,310,239,287,239,287,239,287,239,
287,239,287,239,334,239,334,239,334,239,334,239,310,239,310,239,
119,119,119,119,119,119,119,95,119,119,316,191,215,95,287,215,
215,239,95,239,95,239,125,239,143,239,95,310,239,310,239,310,
239,260,311,239,334,239,334,239,334,239,430,406,310,143,310,143,
310,143,287,215,287,215,287,215,287,215,262,119,262,161,262,119,
310,239,310,239,310,239,310,239,310,239,310,239,406,310,287,215,
287,262,215,262,215,262,215,95,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,323,322,322,239,322,322,322,322,322,
322,322,322,322,322,322,322,322,368,282,322,322,322,322,322,322,
322,322,322,322,322,322,322,367,288,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,287,239,119,95,334,239,310,239,310,239,310,
239,310,239,310,239,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,287,239,430,382,334,262,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_30_latin_ext(stb_fontchar font[STB_FONT_arial_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_30_latin_ext_s[i] + stb__arial_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_30_latin_ext_t[i] + stb__arial_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_30_latin_ext_x[i];
            font[i].y0 = stb__arial_30_latin_ext_y[i];
            font[i].x1 = stb__arial_30_latin_ext_x[i] + stb__arial_30_latin_ext_w[i];
            font[i].y1 = stb__arial_30_latin_ext_y[i] + stb__arial_30_latin_ext_h[i];
            font[i].advance_int = (stb__arial_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_30_latin_ext_s[i] + stb__arial_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_30_latin_ext_t[i] + stb__arial_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_30_latin_ext_x[i] + stb__arial_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_30_latin_ext_y[i] + stb__arial_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_30_latin_ext_LINE_SPACING
#endif

