// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT        270
#define STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_32_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_32_latin_ext_LINE_SPACING          21

static unsigned int stb__arial_32_latin_ext_pixels[]={
    0x99930000,0x99999999,0x80099999,0x00003eea,0x3b2ea200,0x0001ccee,
    0x360bff70,0x9013a604,0x274c0199,0x402a81a8,0x3ae01cc8,0xc807bd31,
    0x70264c1c,0x50039bdb,0x00664c99,0x00039970,0x9800f326,0x3cc985ed,
    0x33b6e000,0x223cc803,0xc88002cc,0x5400004c,0x500002cc,0x654005dd,
    0x000f320c,0x10007993,0x1ddddddd,0x1ccb8000,0x0e65c000,0x07991000,
    0x00540000,0x7fd404a8,0xffffffff,0x007fffff,0x200077f4,0x7e440049,
    0xffffffff,0x740003ef,0x03f700ef,0xffd81bea,0x41bea05f,0x013e20fd,
    0x3e205ff1,0x41bffea5,0x3fdc2ff8,0x7fffff44,0x53fe404f,0x3ee003ff,
    0xd8000eff,0xff5001ff,0xffff88df,0xfffd8002,0x2ffa807f,0x5c000dfb,
    0x300003ff,0x0005ffff,0x4002ff88,0x3ff75ff8,0x7fffc400,0x77744003,
    0x0000eeee,0x00017fe6,0x8000dff1,0x0000fffb,0xb803f980,0x7ffd403f,
    0xffffffff,0x2007ffff,0x5c001ffa,0x3ff2006f,0xdb99abef,0x000efffe,
    0x7401ffa8,0x2e0df506,0x503ffaff,0x37fe60df,0x7c400ffd,0x441f902f,
    0xf882ffcb,0x743fdc2f,0xffebacff,0xfa9ff203,0xbff9801f,0x7cc005fd,
    0x3bfa002f,0x7d77f42c,0x3fea001f,0xf9004cbe,0x0001ff9f,0x80007fc8,
    0x0ffadfe8,0x0072a000,0x7fdffcc0,0x577ec002,0x000001ff,0x01dfb000,
    0x00ffc800,0x27fff400,0x07dc0000,0x20002ec0,0x80000ffc,0xfc8002fe,
    0x39ffb006,0x3fff5100,0x802fe800,0x86fa82fb,0x5ff54ff9,0x6d40df50,
    0x55001cff,0x6c09f101,0x8815505f,0x417fcc2a,0x866207ff,0xfe880198,
    0x4009ff15,0x3e2004fd,0xb0ffc82f,0x3f2001df,0xffd0000f,0x3a00003f,
    0x7ec0003f,0x001dfb0f,0x03f62fc4,0x09fff700,0xf91ffc80,0x17e2001f,
    0x220001fb,0x440000ff,0x4c0001ff,0x0007fbff,0xdf006e80,0x7fe40009,
    0x7ec40000,0x06fc8002,0x8002ffd8,0x0000ffd8,0x3ea1be00,0x5542a986,
    0x0006fa82,0x01fd8000,0x400017ee,0x3ff707fb,0x2a600000,0x800aa60a,
    0x7fcc002a,0x2a21aa81,0x0bfd001a,0x00d54400,0x00131000,0x26209980,
    0x17e20009,0x550001fb,0x81330005,0xbf100099,0x10000fd8,0x31000013,
    0xbfb00001,0x00005ff1,0x7c4027c4,0x3f20006f,0x5f40000f,0x7e4001e9,
    0x0077dc06,0x00bfd001,0x0ff20004,0x00100df5,0x00100df5,0x2037cc00,
    0x300006fb,0x002605ff,0x00000000,0x07f98000,0x1ffc0000,0x76e54400,
    0x510001cd,0x0039bdb9,0x37b72a20,0x0265c01c,0x32e39930,0x47326004,
    0x326004cb,0x4009971c,0x54401cc9,0x401cdedc,0x326004cb,0x9ffc401c,
    0x300005fd,0x332003f7,0x3ff20003,0xa9a20000,0xfffd5004,0x1ff883dd,
    0x32dffc98,0x07fe23dd,0x400bbb20,0x1bea0ff9,0x46fffed4,0x41bea6e9,
    0x98dfffda,0x83dd106e,0x37dc03fd,0x3aa17744,0x002ffe86,0xeb803dd3,
    0x7007ba65,0x00f74cbd,0x3fcc17ae,0x4007ba20,0xeeeffeee,0xffffc800,
    0x002effff,0x3ffffff2,0x32002eff,0xffffffff,0x00ffb02e,0x7fd97fd4,
    0x6cbfea00,0x3fea007f,0x5400ffb2,0x3ff202ff,0x2effffff,0x5400ffb0,
    0x7fdc02ff,0x0001ff70,0x5ffffb71,0x20000400,0x40000ffc,0x2e00591e,
    0x42ffffff,0xfffc83fd,0x0ffabfff,0x2b3017f2,0x7ff000e8,0x7fe437d4,
    0x7fbfffff,0x3ff21bea,0x7fbfffff,0x7cc5ff10,0x437dc01f,0x3fdc2ff8,
    0x8027ffc4,0x27fc04ff,0x9ff013fe,0x7fc04ff8,0x880ff504,0xff8802ff,
    0x407fffff,0xbcefffe9,0x403ffffe,0xbcefffe9,0x403ffffe,0xbcefffe9,
    0xd83ffffe,0x3fea007f,0x5400ffb2,0x00ffb2ff,0x7fd97fd4,0x20bfea00,
    0xbcefffe9,0xd83ffffe,0x3fea007f,0xf12ff402,0xfe88009f,0x03fffeff,
    0x237fffae,0xff9006e9,0xffb80001,0x3f662007,0x1fe6099e,0x75c33fee,
    0x3fd46fef,0x001d8ee0,0x237d49fb,0xf710cffb,0x237d4fff,0xf710cffb,
    0x3fe20fff,0x2a01bea2,0x42ff886f,0xfffb87fb,0x3fe401ef,0xfc83ff30,
    0x907fe607,0x0ffcc0ff,0x7c407fa8,0xf933002f,0x7c40333f,0xfa880cff,
    0xfff104ff,0xfff51019,0x33ffe209,0x4fffa880,0xf5003fec,0x801ff65f,
    0x0ffb2ffa,0xfd97fd40,0x0bfea007,0x1019fff1,0xfd89fff5,0x0bfea007,
    0x7ec2ff98,0x97ff4007,0xd82ffef9,0xbfffffff,0x1ff9007f,0xfffb8000,
    0x837e4000,0x1ffcc4fc,0x2227ffcc,0x2ba200ff,0x9bf2006a,0x13fe66fa,
    0xdf53ffdc,0xfb827fcc,0x45ff107f,0x7fa805fc,0x7dc2ff88,0x7ec6fec7,
    0xff300cff,0x261bf205,0x0df902ff,0x3f205ff3,0x101fee06,0xfd8005ff,
    0x05ffb006,0xb03fff30,0xff3005ff,0x05ffb03f,0x6c3fff30,0x3fea007f,
    0x5400ffb2,0x00ffb2ff,0x7fd97fd4,0xb0bfea00,0xff3005ff,0x003fec3f,
    0x7e405ff5,0x002ffa87,0x4fe43ff9,0x67fe45ff,0x0ffff710,0x0003ff20,
    0x009fffd0,0x3fd06fc8,0x3fa05ff8,0x401fe83f,0x2e001cda,0xfb9bea7f,
    0xa9ffa00f,0x803fee6f,0x5ff107fe,0x7c4027ec,0x217fc41f,0x51bea7fb,
    0x3a03ffff,0x03ff885f,0x7ff10bfd,0x3e217fa0,0x013f203f,0xe8005ff1,
    0x4ffa804f,0x51bfea00,0x7d4009ff,0x027fd46f,0x7ecdff50,0x4bfea007,
    0x3ea007fd,0x400ffb2f,0x0ffb2ffa,0xf517fd40,0x7fd4009f,0xa801ff66,
    0x13fe02ff,0xfe8037fc,0x24eab744,0xff704ff8,0x03ff200f,0xfbff9800,
    0x437e4007,0x0ffcc7f8,0xfd03ff90,0x80011003,0x4df50ffa,0x3fe405fc,
    0x02fe4131,0x7fc41ff2,0x6c013fa2,0x217fc45f,0x20ff67fb,0xb81fffd8,
    0x07fd40ff,0x7d40ffb8,0x81ff700f,0xff300ffa,0x02ff8803,0x7401ffc0,
    0x7ec000ff,0x0007ff47,0x1ffd1ff6,0x367fd800,0x3fea007f,0x5400ffb2,
    0x00ffb2ff,0x7fd97fd4,0xe8bfea00,0x7ec000ff,0xa801ff67,0x3ff502ff,
    0x1007ff20,0x01fc45ff,0x3e201ff9,0x1ff9007f,0x46fec000,0x3f2002ff,
    0x7dc6f986,0x443fdc06,0xffb700ff,0xf3009dff,0xfe9bea3f,0x203fdc04,
    0x3fdc04fe,0x3fe2ff88,0x4fff6003,0x3fdc2ff8,0x7fd40bfb,0x21ffc40f,
    0x3fe205fd,0xf102fec3,0x885fd87f,0xf8803ffd,0x3fe6002f,0x027fc402,
    0xf88ffdc0,0xffb8004f,0x0009ff11,0x1ff63ff7,0xfb2ffa80,0x97fd400f,
    0x3ea007fd,0x400ffb2f,0x9ff12ffa,0x23ff7000,0x3ea007fd,0x55ffb02f,
    0x9ff95555,0x2a1ff980,0x017f601f,0x3f200ffd,0xff10000f,0xc8017f67,
    0x6c5fa86f,0x437ec05f,0xffd886fa,0x0effffff,0x7d4ffe20,0xf500ffe6,
    0x403ff80f,0x5ff107fa,0xd000bfe6,0x70bfe2bf,0x00ffdcff,0xbfb05ff5,
    0x36017fc4,0x00bfe25f,0x17fc4bfb,0x8801ffcc,0x3ea002ff,0x1ffcc00f,
    0x99ffcc00,0xf98003ff,0x007ff33f,0x3f67ff30,0x4bfea007,0x3ea007fd,
    0x400ffb2f,0x0ffb2ffa,0xf997fd40,0xff98003f,0x5400ffb3,0xfff882ff,
    0xffffffff,0x07fdc07f,0x04ff80fb,0xfc803fe4,0xff70000f,0x4003fee1,
    0x44fa86fc,0x27f403ff,0x7fec2fe4,0x7ffb511b,0xfa97fcc0,0xf7013fe6,
    0x404ff80f,0x5ff107fb,0xd800ffe2,0x85ff14ff,0x3ffa27fb,0x2a0ffe02,
    0x00ff70ff,0x1fee1ff5,0x7dc3fea0,0x03fff107,0x4005ff10,0xffa807fb,
    0x2bff0002,0xf0002ffa,0x00bfeabf,0x7fdaffc0,0x6cbfea00,0x3fea007f,
    0x5400ffb2,0x00ffb2ff,0xffa97fd4,0x2bff0002,0x3ea007fd,0xeeffb82f,
    0xfeeeeeee,0x87fe602f,0x01ffc04f,0x7e401fea,0xbfd0000f,0xc8027fc4,
    0x7c5f986f,0x0bfea04f,0xff883ff3,0x40dff104,0x4df52ffa,0x3fe405fd,
    0xf9017f60,0x44bfe20f,0xdf9004ff,0x2e17fc41,0x6fffcc7f,0xff01ff80,
    0x7c013fa7,0x2009fd3f,0x809fd3ff,0x7c401ffa,0x1bf6002f,0x0007fee0,
    0x1ffbb7f4,0x2edfd000,0xfd0001ff,0xa801ff6d,0x00ffb2ff,0x7fd97fd4,
    0x6cbfea00,0x3fea007f,0x0003ff72,0x03fedbfa,0xfd05ff50,0x0dff100d,
    0x2f997fc4,0x04ff84d4,0xfc803fdc,0xff98000f,0xc803fec2,0xfd8df06f,
    0x883ffa07,0x0cb884fe,0xfb81bf60,0x7e4df51f,0xa9ffa00f,0x803ff26f,
    0x5ff107fe,0xff802ffc,0x2e17fc41,0xfffd887f,0xfc81bee3,0x9001ff8e,
    0x003ff1df,0x07fe3bf2,0xf1013f60,0x27f4005f,0x000ffdc0,0x3ff76fe8,
    0x5dbfa000,0xfd0001ff,0xa801ff6d,0x00ffb2ff,0x7fd97fd4,0x6cbfea00,
    0x3fea007f,0x0003ff72,0x03fedbfa,0xf985ff50,0x3ffb003f,0x0fc9ff40,
    0x2fec7fee,0x6401ff20,0xfc8000ff,0x802ffa87,0xb8fd06fc,0x7ffc81ff,
    0x800077f4,0x3f206fd9,0x7c4df50f,0x4fff705f,0x17fe26fa,0xf883ffdc,
    0x201bfa2f,0x2ff887fa,0xff703fdc,0x403dfbdf,0x006fcff9,0x01bf3fe6,
    0x06fcff98,0xf880df70,0x0ffe002f,0x000bfe60,0x2ff9b7fc,0x26dff000,
    0xff0002ff,0xa801ff6d,0x00ffb2ff,0x7fd97fd4,0x6cbfea00,0x3fea007f,
    0x0005ff32,0x03fedbfe,0xfc85ff50,0x9ff3000f,0x3747fe40,0x0ffc9bfa,
    0x6401ffe0,0xff8000ff,0x900dff04,0x7e4135ff,0x22fffa23,0xcbffffda,
    0xa8801eff,0x6ffffecb,0x6fa97fa0,0x4c56ffdc,0x3ea7fffc,0x456ffdc6,
    0x107fffc9,0x03fdc5ff,0x7fc437dc,0x2203fdc2,0xd005fffd,0xe8007fff,
    0x74003fff,0xf5003fff,0x02ff880f,0x2003ff30,0xf88003ff,0x000ffe5f,
    0x3ff97fe2,0x95ff8800,0x7fdc00ff,0x5c00ff91,0x00ff91ff,0x7fc8ffdc,
    0xf87fee00,0xff88003f,0x5c00ff95,0x02ffc1ff,0x4c03ffa0,0xf933feff,
    0x82ffc45f,0xf9007ffb,0xffa8001f,0x803ff901,0x2a3ffffa,0x7fffcc6f,
    0xffffcaff,0x7e4400df,0xfedfffff,0xfa8ffe06,0xfffffb86,0x3ea7fcdf,
    0xfffffb86,0xf107fcdf,0x00ffcc5f,0x3fe21bee,0xb803fdc2,0xfb802fff,
    0x7dc000ff,0x7dc000ff,0xff5000ff,0x002ff880,0x3a001ff5,0xffb8005f,
    0x20017fa2,0x17fa2ffb,0x64bfee00,0xff7000ff,0x4003ff23,0x1ff91ffb,
    0x647fee00,0xff7000ff,0x4002ff43,0x1ff92ffb,0xa87fee00,0x7dc002ff,
    0x3ffa203f,0xb84fffee,0xfc98adff,0xff9007ff,0xaffd8001,0xffcaaaaa,
    0x4fffb804,0xd930bfa2,0x3ff6219d,0xd104c42d,0x6437bdff,0x41ff306f,
    0xfd9306fa,0xfa9ff27b,0x7bfd9306,0x7fc41ff2,0x2e01ffc2,0x42ff886f,
    0x3e6007fb,0x7fc400ff,0x5ff88005,0x05ff8800,0xf101fe60,0x1fee005f,
    0x002ffc80,0xfc83ffe2,0x3fe2002f,0x00bff20f,0xf70fff88,0x3ff2003f,
    0x2003ff70,0x3ff70ffc,0x5c3ff200,0xff9001ff,0x0017fe41,0x3ee1fff1,
    0x1ff9001f,0x44003fec,0x7fc406ff,0x2e02efff,0xcdffffff,0x4000007f,
    0xfffffff8,0x007fffff,0x07fe6022,0x17fdc000,0x7ec07ff9,0xfa8bfb07,
    0x26fc8006,0xfc8006fa,0xb85ff106,0x037dc06f,0x3311fee0,0x100bfe60,
    0xf10005ff,0xff10005f,0x03fcc005,0x6c00bfe2,0x3fe6005f,0x13ff2006,
    0x6400dff3,0x37fcc4ff,0x4c9ff900,0xff8805ff,0x2017fe66,0x3fe66ff8,
    0x26ff8805,0xf8805ff9,0x037fcc6f,0x7cc9ff90,0x6ff8805f,0x13e20000,
    0x02a77e20,0x9eff64c0,0x553007fc,0x77fdc001,0xeeeeeeee,0x0aa802ff,
    0x0005ff70,0x7f44ffc8,0x443ffc06,0x537d40ff,0x25fe8079,0x00f2a6fa,
    0x3fe20bfd,0x3202fe82,0x3fdc006f,0x4ff81bfa,0x80037dc0,0xf70006fb,
    0x0ff9800d,0x400bfe60,0x7dc004fe,0x7fe400ef,0x01dff706,0xf706ffc8,
    0xffc801df,0x403ffe86,0x7ff43ffc,0x21ffe403,0x7e403ffe,0x01fff43f,
    0x3ee0fff2,0x7fe400ef,0x403ffe86,0x00003ffc,0x3ea00be6,0x7e400002,
    0x01ff9006,0x44037f40,0x7fc406ff,0x077ff603,0x0bffd100,0x7fdc0dfd,
    0xfa84fc87,0x5c0bfea6,0xa9bea2ff,0x5ff702ff,0x2a07fe60,0x017fa06f,
    0xffc8ff90,0x202ffa83,0x88003fe8,0xe88003fe,0x7fc4003f,0x007fea01,
    0x2000bfe6,0x309bfffd,0x403fffd5,0x309bfffd,0x403fffd5,0x309bfffd,
    0x103fffd5,0x3337bffd,0xd109ffd7,0x73337bff,0xfd109ffd,0xd73337bf,
    0xffd109ff,0xfd73337b,0x7ffec09f,0xffd5309b,0xbffd103f,0xffd73337,
    0xfa800009,0x000fc803,0x5fe80795,0x001ff900,0x6c00ffe6,0x3fe201ff,
    0x7fff5403,0x99889bce,0xb02effeb,0xffb887ff,0x407fc47f,0x3bfe26fa,
    0x5ffca89b,0xdff137d4,0xbff95137,0x01ffb330,0xfb9887f6,0xea98803f,
    0x67ffc45f,0x987ffb99,0x000ffebb,0x01ffd773,0x3ffaee60,0xaefe8000,
    0x03ff6660,0x037ecd54,0xfffff700,0x01dfffff,0xffffff70,0x001dffff,
    0xfffffff7,0x4c01dfff,0xffffffff,0x3fe605ff,0xffffffff,0x3fffe605,
    0x05ffffff,0x3fffffe6,0xb805ffff,0xffffffff,0x3e600eff,0xffffffff,
    0x8800005f,0xf82a8aff,0x0bfea005,0xa8017fdc,0xff9000fd,0x13fe6001,
    0x2e005f30,0xffffffff,0x403fffff,0xfedffff8,0x2e0ffbef,0x98df502f,
    0xffffffff,0x7cc6fa85,0x5fffffff,0x409ffff0,0x3ffea5f9,0xfffa800e,
    0xffff982f,0xfa81efff,0x2a001fff,0x2001ffff,0x001ffffa,0x7cdfff70,
    0xff104fff,0x80007fff,0xdfffffc8,0x7e44001b,0x01bdffff,0x7fffe440,
    0x93001bdf,0x7dffffff,0xffff9300,0x93007dff,0x7dffffff,0xffff9300,
    0x44007dff,0xbdfffffc,0xfff93001,0x0007dfff,0x7ffff400,0x1001fcc4,
    0x95137dff,0x7b8009ff,0x0017fe00,0x7cc01ffd,0x6e554000,0x09bcdefe,
    0xffffb300,0xdf1ffc7f,0x64437d40,0x502bdffe,0xffd910df,0x3fa2057b,
    0x51fc804e,0x2e001bff,0x32202eff,0x300bdffe,0x98005bfd,0x4c002dfe,
    0x40002dfe,0xdfd16fea,0x6ff74409,0x4c400003,0x26200001,0x26200001,
    0xa9980001,0x53300009,0x26600013,0x3300009a,0x88000135,0x99800019,
    0x0000009a,0x882cda88,0x7fcc000b,0x05ffffff,0xa8027cc0,0x7dc002ff,
    0x007f103f,0x88000000,0x00000099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdffec880,0x04b8001b,0x2001ff60,
    0x00206ff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001999,
    0x00003997,0x80003997,0xcc800ded,0x3a60000c,0xb1003d94,0x206f5c9d,
    0x65c001cc,0x07326004,0x000554c0,0x33219990,0x45991004,0xa8000cca,
    0x5cc0000b,0x2000bced,0x000a8829,0x2000bbae,0x80003eeb,0x20002cc9,
    0x99701880,0x99999999,0x2a009999,0x9700a982,0x79999999,0x99900155,
    0x0332e399,0x980e6440,0xccccccba,0x775c01cc,0x98f32002,0xca8001cc,
    0x200abded,0x40001cc8,0x80003ffa,0x80005ff8,0x000efffa,0x2007ff50,
    0x40004ffa,0x2003fdfc,0x3ff9affa,0x20017fc4,0x3ea007fd,0x5ffb002f,
    0x53fe6000,0x32003ffa,0x04ff89ff,0x01ebdc80,0x7fffec40,0x800cffff,
    0x007ec3fa,0x0003fea0,0x80003ff6,0x001ffff8,0x456ffe44,0xfffd80fd,
    0xffffffff,0xfc800fff,0xffb03741,0xffffffff,0x7fc01dff,0x9ffd3fff,
    0x50bfe600,0xfffffffd,0xc807ffff,0x3ee003ff,0x004ff89f,0x7fffffe4,
    0xff304fff,0x5fe80007,0x1df90000,0xbff98000,0xfd0005fd,0x0ffb800b,
    0x01e5c000,0x27f7fe40,0x20017fc4,0x3ea007fd,0x5ffb002f,0xe9bf6000,
    0xefd8005f,0x788005fd,0xffa8012a,0xffecceff,0xefe800ef,0x30004fec,
    0xfd100059,0x77f40009,0x2e000ffb,0x5ffffeef,0xffffffb0,0xffffffff,
    0x9bff1001,0x7fec05fd,0xeeeeeeee,0xff01ffff,0x3ffa399b,0x2ff9801f,
    0x3ffffff2,0x3fffffff,0x001ffe40,0x01bf7bf6,0xdefffe88,0x1efffecb,
    0x0001ffcc,0x00001df5,0x80003ff1,0x9ff16fe8,0x00efa800,0x8004fd80,
    0x007ec5f8,0x220dffd0,0x7ec002ff,0x0bfea007,0x000f7640,0xff987fc4,
    0xfff88000,0x21f0000e,0xfff3004b,0xdff93037,0x7dfd9100,0x6c5f8800,
    0x3fe6000f,0x1ffc8000,0x3f400dfd,0x36019d93,0x2000007f,0x403dffda,
    0xfc8807fd,0xd07ff07f,0x9801dfff,0xffff32ff,0x03fe8fff,0x80035530,
    0x000fffe8,0x401bfff1,0x7fcc6ffc,0x02620003,0x004c4000,0x30554c00,
    0x09880055,0x00026000,0x01fb17e2,0x8804cc40,0x7ec002ff,0x0bfea007,
    0x4c400000,0x80002620,0x20000aa9,0x8800fdfb,0xfe803ffe,0x0002003f,
    0x03f62fc4,0x00013100,0x05544355,0x3f600000,0x10000007,0x801ff600,
    0x3ff81ffe,0x04ffffe8,0xffc97fcc,0x7f47ffff,0x80002003,0x36001aa8,
    0xff7003ff,0x001ffcc5,0x0bcedb98,0x9db71000,0x200bd037,0x00bcedb9,
    0x1e5c5990,0xc980132e,0x4009971c,0x2cc81cc9,0x5ff10f2e,0x03fec008,
    0x3005ff50,0x40179db7,0x326004cb,0xedb9801c,0x132e00bc,0x873260a2,
    0xf3005ffb,0x00265cdf,0x132e3993,0xc81cc980,0x800f2e2c,0x0abdedca,
    0x980132e0,0x00ffb1cc,0x3b72a000,0x3f600abd,0x0ffea007,0x37fa0ffe,
    0x3e601ffd,0xfffffd2f,0x403fe8ff,0x98dfffda,0x36ea206e,0x26009bce,
    0x7f4005ff,0x800ffe66,0xffffffd8,0xd8800cff,0xffffffff,0x440bfb1d,
    0xfffffffd,0x27fc00cf,0x07fd8bfd,0x7ecbfea0,0x0bfea007,0x45fe93fe,
    0xffd9aff8,0x07fd81ce,0x440bfea0,0xfffffffd,0x07fd80cf,0x440bfea0,
    0xfffffffd,0x07fd80cf,0xfe8bfea0,0x86ee000f,0x3ea007fd,0x400ffb2f,
    0x4ff82ffa,0x3f2017fa,0xffffffff,0x400ffb04,0x0ffb2ffa,0xfffc8000,
    0x04ffffff,0x7cc00ffb,0xe83ff84f,0x00eff8df,0x3ffe5ff3,0x7f47ffff,
    0x3ffff203,0x507fbfff,0xffffffff,0x03fee01d,0x7cc5b500,0xfff5003f,
    0xfffd99df,0x7ffd401d,0xffedbcdf,0x3ea05fef,0xfeccefff,0x3fe00eff,
    0xffb17fa4,0xd97fd400,0x3fea007f,0x3fa4ff82,0x7feffc45,0x6c2fffef,
    0x3fea007f,0xeffffa82,0x0efffecc,0xf5003fec,0xffff505f,0xdfffd99d,
    0x2007fd81,0xbff32ffa,0x0ffb0000,0xfd97fd40,0x0bfea007,0x05fe93fe,
    0x37bfffa2,0x1efffecb,0xf5003fec,0x001ff65f,0x77fff440,0xefffecbd,
    0x9003fec1,0x07ff05ff,0x13feebfd,0xffd97fcc,0x7f47ffff,0x219ff703,
    0xb87fffb8,0xecccdfff,0x7fd82fff,0x7ff30000,0x37fff300,0x20dff930,
    0x2e04fff9,0xf300efff,0xf93037ff,0x104cc0df,0x007fd813,0x3fecbfea,
    0x305ff500,0x2204c413,0x3622ffff,0x01ff61ff,0x7cc2ffa8,0xfc981bff,
    0x003fec6f,0xff985ff5,0xffc981bf,0x5003fec6,0x13fea5ff,0x01ff6000,
    0xffb2ffa8,0x417fd400,0x40262099,0x200dfff8,0x3fec6ffc,0x365ff500,
    0xf880007f,0x3f200dff,0x803fec6f,0xff80fffb,0x3fa5fe83,0x92ff982f,
    0x8fffffff,0x4ff983fe,0xf98fff70,0xfff300ef,0x0005ff81,0x8807ff30,
    0xfe803ffe,0x01ffe83f,0x880fffb8,0xfe803ffe,0xfd80003f,0x4bfea007,
    0x3ea007fd,0x7c40002f,0x4dfd02ff,0x3ea007fd,0x0fffa22f,0xfd8fffa0,
    0x8bfea007,0xe803ffe8,0x01ff63ff,0xff72ffa8,0xffb00005,0xd97fd400,
    0x3fea007f,0xffb00002,0x8bfee007,0x3ea007fd,0xdddffb2f,0xdddddddd,
    0x007ffb03,0xffd8bfee,0xccaaaaaa,0xff02fffe,0x7c4bfd07,0x97fcc0ef,
    0x7ffffff8,0x7fdc1ff4,0xf71ffa00,0x3ffc803f,0x00013fe2,0x2e01ffcc,
    0xff3005ff,0x804ffb8d,0xb85ffffa,0xff3005ff,0xffb0000d,0xd97fd400,
    0x3fea007f,0x7fc40002,0x6c7fea05,0x3fea007f,0x4017fee2,0x1ff66ff9,
    0x2e2ffa80,0xff3005ff,0x5003fecd,0x07fee5ff,0x01ff6000,0xffb2ffa8,
    0x017fd400,0x02ffcc00,0x7fd9bfa0,0x6cbfea00,0xffffffff,0x4c2fffff,
    0x7f4005ff,0x3fffff66,0xefffffff,0x3a0ffe01,0x227fdc5f,0x3fe62ff9,
    0x1ff47fff,0x3f202fe4,0x44037f47,0x0bfea5ff,0xaaaaaa88,0x07ff31aa,
    0x2000ffe8,0x07ff41bb,0x3fa7fe60,0x007ff41f,0x77443770,0x7ed7ae01,
    0x4bfea007,0x3ea007fd,0x403dd12f,0x07ff15eb,0x0ffb2ff8,0xfd17fd40,
    0x0ddc001f,0x7d400ffb,0x003ffa2f,0x1ff61bb8,0xf52ffa80,0xfb00005f,
    0x97fd400f,0x3ea007fd,0x403dd12f,0x03fee5eb,0x7ec5b500,0x4bfea007,
    0xcccccffd,0x41cccccc,0x54000ffb,0x3bbff62d,0x1bfffffe,0xfe83ff80,
    0x262ffe85,0x7f6442ff,0x741ff47f,0x23fdc04f,0xa9800ffd,0x980ffea2,
    0xffffffff,0x4c07ff33,0x980005ff,0x7fc404ff,0x7cc7ff92,0xf880005f,
    0x6dbf202f,0x3fea007f,0x5400ffb2,0x05ff12ff,0x2ff8b7e4,0x7fda7f40,
    0x4cbfea00,0xd80005ff,0x3fea007f,0x000bff32,0x5400ffb0,0x07ff32ff,
    0x00ffb000,0x7fd97fd4,0x44bfea00,0x9bf202ff,0xb00007fd,0x7fd400ff,
    0x8000ffb2,0xb00007fd,0x3bfea0ff,0xe83ff801,0x0eff885f,0x7d405ff3,
    0x7fc1ff47,0x2e3fd403,0x88000cff,0x3fe605ff,0x33ffffff,0x7fd407ff,
    0xffa80004,0xa8ffa203,0x13fea4ff,0x0bfe2000,0x0ffb6fc8,0xfd97fd40,
    0x4bfea007,0x3f202ff8,0xe803ff16,0x400ff95f,0x9ff51ffb,0x0ffb0000,
    0xfa97fd40,0xfd80004f,0x8bfea007,0xd80005ff,0x3fea007f,0x5400ffb2,
    0x05ff12ff,0x0bff37e4,0x01ff6000,0xffb2ffa8,0x05ff8000,0x40ffb000,
    0x7c01fff9,0x705fe83f,0x0bfe69ff,0x1ff47fa8,0x3ee027fc,0x6ffff447,
    0x1bfa000a,0x4cffe200,0x3fee03ff,0xffb80002,0xf113fa01,0x017fdcbf,
    0x017fc400,0x01ff6df9,0xffb2ffa8,0x897fd400,0x5bf202ff,0x7f401ff8,
    0x2001ff74,0x5ff70ffb,0x0ffb0000,0xfb97fd40,0xfd80002f,0x8bfea007,
    0x7d4006fe,0x400ffb1d,0x0ffb2ffa,0xf897fd40,0x45bf202f,0xb00004ff,
    0x7fd400ff,0x4000ffb2,0x00004ff8,0xffa80ffb,0x20ffe00e,0x3ffa05fe,
    0x2a02ff9a,0x6c1ff47f,0x43fe405f,0xefffffe8,0x07fe402c,0x4cffe200,
    0x3fee03ff,0xffc80001,0x3e09fb00,0x007fee6f,0x80bfe200,0x00ffb6fc,
    0x7fd97fd4,0x44bfea00,0x5bf202ff,0x7fc02ff8,0x2003ff52,0x07fee7fc,
    0x01ff6000,0xff72ffa8,0xffb00003,0x917fd400,0x7ec003ff,0x400ffb0f,
    0x0ffb2ffa,0xf897fd40,0x55bf202f,0x2aa202ff,0xb1aaaaaa,0x7fd400ff,
    0x4000ffb2,0x2a202ffa,0x1aaaaaaa,0xff900ffb,0x741ffc0b,0x3ffe205f,
    0x3ea02ffa,0x7e41ff47,0x81ffa00f,0xffffffeb,0x07ff503f,0xf33ff880,
    0x17fd407f,0x0ffe4000,0xdff02fe4,0x00017fd4,0xf9017fc4,0xa801ff6d,
    0x00ffb2ff,0xff897fd4,0x7c5bf202,0x43fea04f,0xf8804ff9,0x00bfea6f,
    0x801ff600,0x5ff52ffa,0x0ffb0000,0xf317fd40,0xff5001ff,0x5003fecb,
    0x01ff65ff,0xff12ffa8,0xfab7e405,0x3ffe603f,0xfb3fffff,0x97fd400f,
    0x2a0007fd,0x3fe603ff,0xb3ffffff,0xffd100ff,0x3a0ffe07,0x77fdc05f,
    0x1fea02ff,0xbff107fd,0x201ffee0,0xfffffdb8,0x03fff885,0x7ccffe60,
    0x0ffe603f,0x07fee000,0x3e201df7,0x00ffe65f,0x80bfe200,0x00ffb6fc,
    0x7fd97fd4,0x44bfea00,0x5bf202ff,0xfd00fff8,0x403ffd8d,0x3fe62ffc,
    0x7fd80003,0x4cbfea00,0xd80003ff,0x3fea007f,0x2037fe42,0x3f61fff9,
    0x4bfea007,0x3ea007fd,0x405ff12f,0x0bff16fc,0x7fffffcc,0x00ffb3ff,
    0x7fd97fd4,0x17fe2000,0xffffff98,0x00ffb3ff,0x3e03ffea,0x805fe83f,
    0x202ffffe,0x81ff47fa,0xc98adffb,0x98007fff,0xfa85fffb,0xffb803ff,
    0x807ff33f,0xa80005ff,0x03bea2ff,0x7fc4ff98,0xff880005,0x7e5bf202,
    0x47fee007,0x3ee007fc,0x405ff11f,0xdfff16fc,0x20ffec43,0x99bdfffa,
    0xf84ffeb9,0xfc80005f,0x87fee007,0xc80005ff,0x3fee007f,0x677ff441,
    0xfffc988a,0x7003fe43,0x01ff23ff,0xff11ffb8,0xfd37e405,0x7ff1000d,
    0xfb801ff2,0x555ffb1f,0x55555555,0x0037f435,0x7fd9ffc4,0x217ff600,
    0x05fe83ff,0x02ffff98,0x07fd1fea,0x7fffffdc,0x20007fcd,0xfc80ffe8,
    0xa99aceff,0x30dfffec,0x6fe807ff,0x88efd400,0x01ff55ff,0x7f42ffb8,
    0x8efd4006,0x3f602ff8,0x2001ff96,0x1ff91ffb,0x447fee00,0x5bf602ff,
    0xeeffeff8,0xff702fff,0xffffffff,0x001bfa0d,0x3ff23bf5,0x43ff7000,
    0x7d4006fe,0x001ff91d,0x3a207fee,0xffffffff,0x0ffc83ff,0x323ff700,
    0xff7000ff,0xd80bfe23,0x003ff26f,0x3f27ff10,0x3ff7000f,0x3ffffff6,
    0xffffffff,0x0003ff24,0x1ff67ff1,0x42fff880,0x05fe83ff,0x405fff70,
    0x01ff47fa,0x64f7fb26,0x80176a7f,0xff502ffa,0xffffffff,0x3ff983df,
    0x000ffe40,0x7fe41ffb,0x7c401ffa,0x01ffc87f,0x7c43ff60,0x5dbfa02f,
    0xff9001ff,0x4007fee1,0x5ff10ffc,0xff8b7f40,0x2dffffaa,0x7fff6440,
    0x3f203fff,0x3ff6001f,0x2003ff70,0x3ff20ffc,0x43ff6001,0xf9001ffb,
    0x7fed401f,0x700cffff,0x3f2003ff,0x003ff70f,0x7fc43ff2,0xfa9bfa02,
    0x7fc4003f,0x2003ff73,0xfffb0ffc,0xffffffff,0x7fd49fff,0x9ffc4003,
    0x7d4007fd,0x20ffe0ef,0x3fa005fe,0xd1fea02f,0x7e40007f,0x4007fea6,
    0x26203ff8,0xdeffffdb,0x807ff303,0xa800fff9,0x7ffc45ff,0x3ffc802f,
    0x800fff98,0x3fe25ffa,0x7cdbfe03,0x6ff8805f,0x22017fe6,0x0ffe26ff,
    0x5ff16ff8,0xd88000c4,0xff98009f,0x5ffa800f,0x22017fe6,0x7ffcc6ff,
    0x25ffa800,0xf8805ff9,0x27fa006f,0x05ff9800,0x3e66ff88,0x6ff8805f,
    0xff80ffe2,0x00fffe26,0xff33ff98,0x0dff100b,0x2203f880,0x26003fff,
    0x0a8803ff,0x001ffc00,0x540002a2,0x541ff47f,0x12ff403c,0x3ea009ff,
    0x3be2001f,0x002fa800,0xf980dff9,0xeffc81ff,0x037fe400,0xf980dff9,
    0x82ffc1ff,0x3ffa6ffb,0x21ffe403,0x7e403ffe,0xb82ffc3f,0x05ff16ff,
    0x002f4000,0xf301bff2,0x3ffe83ff,0x641ffe40,0x7fcc06ff,0x01fff41f,
    0x4400fff2,0xfd000bff,0x3ffc807f,0x3201fff4,0x82ffc3ff,0x7fd46ffb,
    0xfffb803f,0x900fffa3,0xfa8007ff,0x1fffd401,0x01fffdc0,0x80177fcc,
    0x7cc003ff,0x7d4002ef,0x7d41ff47,0x85ff702f,0x74404ffd,0x77d4006f,
    0x007dc00b,0xaceffe88,0x3fffc988,0xbffffe88,0xdffd7309,0x77ff4401,
    0xffc988ac,0x0bffd83f,0x44dfff71,0x999bdffe,0xe884ffeb,0xb999bdff,
    0xffd84ffe,0xdfff710b,0x0000bfe2,0x744006f8,0x988aceff,0xe883fffc,
    0xb999bdff,0xfd104ffe,0x931159df,0xfd107fff,0xd73337bf,0xc98009ff,
    0xffd1006f,0xfd73337b,0xbffd109f,0xffd73337,0x217ffb09,0xc86fffb8,
    0x99acefff,0x0dfffeca,0x26f7ffa2,0x04ffeb99,0xc802fb80,0x99acefff,
    0x0dfffeca,0x00ff7300,0x26000ffe,0x7d4007fb,0x7c41ff47,0xfca89bef,
    0xeffe985f,0xffca98ab,0x6cc4002f,0x00fe404f,0xfffffd10,0x207fffff,
    0xffffbcfd,0x0dffffff,0xffffe880,0x03ffffff,0xffdffff3,0xff98df7d,
    0xffffffff,0x3fffe605,0x05ffffff,0xffdffff3,0x3fe2df7d,0x3fa00002,
    0xfd100513,0xffffffff,0x7ffcc07f,0x5fffffff,0x7ffff440,0x03ffffff,
    0x3fffffe6,0x0005ffff,0x26001ff7,0xffffffff,0x3fe605ff,0xffffffff,
    0xdffff305,0x20df7dff,0xfffffffa,0x301effff,0xffffffff,0x2a000bff,
    0x2a0331df,0xffffffff,0x8001efff,0xff800ffa,0x2a001aad,0x3ea000ff,
    0xf981ff47,0x5fffffff,0x3ffffa20,0x01ffffff,0x80df9100,0x00350dfb,
    0xffffffb5,0x897f2019,0xbdfffffc,0xffda8001,0x400cffff,0x55ffffd8,
    0xfff930df,0x3007dfff,0xdffffff9,0xfffd8807,0x3e2df55f,0x2e00002f,
    0x2007ffff,0xffffffda,0xffc9800c,0x003effff,0x3fffff6a,0xfc9800cf,
    0x03efffff,0x1ffff640,0x3fff2600,0x9803efff,0xeffffffc,0x7ffec403,
    0x440df55f,0xeffffdb9,0xffc9803d,0x003effff,0x1fffffc0,0xfffb7310,
    0xb8007bdf,0xf004fffe,0xb807ffff,0x4004fffe,0x01ff47fa,0x57bffd91,
    0x3ffb6e00,0x8000ceff,0x401fffee,0x02fffff8,0x4004ccc0,0x00662048,
    0x01333000,0x40006600,0x00009a99,0x00013533,0x03990033,0xbeda8000,
    0x13330001,0x4d4cc000,0x4ccc0000,0x2a660000,0xbd900009,0x99800037,
    0x3300009a,0x33000135,0x02660000,0x09a99800,0xdd930000,0x09980017,
    0x37bae000,0x33332003,0x6f75c01c,0x44c98003,0x000001cb,0x00006620,
    0x4006f7ba,0x000acec9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x1379db75,0x0000f2e0,0x0001e644,0x9300f326,0x99109999,0x80039903,
    0x19990ccb,0x16654000,0xc8819500,0x000e6401,0x64400f2e,0x32a001cc,
    0x3cb8001c,0x3000b322,0x0265c399,0x001ccb80,0x32e1cc98,0x55554004,
    0x8802aaaa,0x0332a2cc,0xaaaaa980,0x33220aaa,0x000332a2,0x00019990,
    0x33263cb8,0xcc880001,0x64400004,0x9300003c,0x4c000079,0x700003cc,
    0xdd500399,0xfffff507,0xfd01dfff,0x3fa0000d,0x3a0004ff,0x7fdc00ff,
    0x7fc40fff,0x0017fc42,0x3fe6bff3,0x3fe60004,0x9f3001ff,0x3e200fd8,
    0x37f4002f,0x027ff440,0x000dff10,0x77ecffea,0x8ffd8000,0xa8002ff9,
    0x8000ffff,0x05ff56fd,0xffffff80,0xff7005ff,0x8009ff13,0xfffffffb,
    0x447fe41f,0x540004ff,0x980004ff,0x00bfd3ff,0x13fffa00,0x1ffc8000,
    0x3ff60000,0xffb00001,0xff100003,0x13fee00b,0x999bfff7,0xfe85fffd,
    0xffc80006,0x98002ffa,0xcc9802ff,0x7fc40ffd,0x0017fc42,0x1bf61df9,
    0xbdfe8800,0xdfb000ff,0xf8809ffb,0x37f4002f,0x013ffa20,0x0001ff90,
    0x07fdffdc,0xedfe8800,0xff98004f,0x88006fcb,0x003ffcff,0xccccccc8,
    0x3bf6003c,0xca8005fd,0x0ccccccc,0x05fddfe8,0x005fe800,0x3f7fee00,
    0xff900006,0x00007ff3,0x00007ff1,0x0004fe88,0x0002ff98,0x2001ff90,
    0x3fe64ffb,0x1fff300e,0x200037f4,0x3ff72ffa,0x004fd800,0x7c40ffa8,
    0x000aa82f,0x3fe23ff1,0x3ff60000,0x2200dfd0,0x8802dfdb,0x7f4002ff,
    0x13ffa206,0x003ff100,0x05fffb00,0x5fff9800,0x16fe8800,0xf3000bff,
    0x00000bff,0xdffd1000,0x40000001,0x000efff8,0x00077d40,0x03fff600,
    0x4bfea000,0x40001ffb,0x000005fc,0x80001ff1,0x100004fc,0x4c4003ff,
    0x007fee09,0x37f47ff9,0x50aaa000,0x01980035,0x881ff500,0x880002ff,
    0x00026209,0x4cc41330,0x22000000,0x7f4002ff,0x07ffd106,0x00013100,
    0x0006aa20,0x000554c0,0x33104cc4,0x02aa6000,0x76e54400,0xa98001cd,
    0x3320000a,0xa980f2e2,0x9880000a,0x33000000,0x26200001,0x00004cc1,
    0x00000062,0x98000131,0x26200001,0x0e64c000,0xff100dfd,0x00037f4b,
    0x2f3b6ea2,0xb7510009,0x5001379d,0x2ff881ff,0xb9510000,0x000039bd,
    0xa8800995,0x401cdedc,0x74002ff8,0x3ffe886f,0xccccc880,0xcccccccc,
    0x7991001c,0xcccc8800,0xcccccccc,0x039971cc,0x933cc980,0x99999999,
    0x09999999,0x7fffffe4,0x99702eff,0x57999999,0x27fc0015,0x664c0bfd,
    0x99910001,0x99999999,0x5c599999,0x991000cc,0x200332a3,0xcc800ccc,
    0x99999972,0x00155799,0x003cc880,0x4400332e,0x991001cc,0x17fd4007,
    0x53001ffb,0x00037f45,0xfffffff5,0xffa801df,0x0effffff,0x2207fd40,
    0x177442ff,0xfffffc80,0x0002efff,0x64003ff2,0xffffffff,0x05ff102e,
    0x7f41bdb1,0x01fff446,0xffffff98,0xffffffff,0x1fff7003,0x7fffcc00,
    0xffffffff,0x1fff33ff,0xa8fff400,0xffffffff,0x7fffffff,0xcefffe98,
    0x83ffffeb,0xfffffffd,0x00efffff,0x17fa4ff8,0x0002ffa8,0xfffffff9,
    0xffffffff,0x027ff4bf,0xff52ff98,0x3fffa805,0xfd9ffcc0,0xffffffff,
    0x0000efff,0x2001fff7,0xf3004ffe,0x3fee005f,0x5ff5000f,0x00067fdc,
    0xb80037f4,0xecccdfff,0xff702fff,0xffd999bf,0x07fd405f,0xff10bfe2,
    0xfffe9805,0xffffebce,0x1ff90003,0xefffe980,0x3ffffebc,0x7442ff88,
    0x137f41ff,0x4c005ffd,0xffffffff,0x03ffffff,0x009fffd0,0x7fffffcc,
    0xffffffff,0x4017ff23,0x3fea3ffc,0xffffffff,0x447fffff,0xa880cfff,
    0x7fec4fff,0xeeeeeeee,0x4c01ffff,0xa8026209,0xf88002ff,0xffffffff,
    0xffffffff,0x007fffa5,0x7fc4bfe6,0x2fffe404,0x7ec3fee0,0xeeeeeeef,
    0x001ffffe,0x004fffe8,0x3003fffd,0x3fa005ff,0xff5004ff,0x6ffff445,
    0x0dfd000a,0x01dff300,0xf303ffe6,0x3fe601df,0x81ff500f,0x7fc42ff8,
    0x33ffe202,0x4fffa880,0x00ffc800,0x2033ffe2,0x444fffa8,0x3ffa22ff,
    0xfd16fe81,0x4000005f,0x9800effa,0x0007fbff,0x81dff500,0x7cc02ffe,
    0x3ff2005f,0x05ffb000,0x6c3fff30,0xffc8807f,0xf5000007,0xff90005f,
    0x000bfea5,0x003bfffa,0x37f45ff3,0x01ff7fa0,0x03fecdfb,0x003ffe44,
    0x01feffe6,0x0077fff4,0x2600bfe6,0x5007fbff,0xffe885ff,0x202cefff,
    0xfb8006fe,0x1ffe401f,0xf9007fee,0x03fea07f,0xff885ff1,0x00bff602,
    0x0007ffe6,0x7ec01ff9,0xfff9802f,0x744bfe21,0x1dfd01ff,0x0009fffd,
    0x07ffe600,0x7fc6fec0,0x7cc00002,0xeff981ff,0x003ffa00,0xa800ffc8,
    0x3ea004ff,0x801ff66f,0x00001ffe,0x4002ffa8,0x3fea6ff8,0xfffe8002,
    0x17fcc04f,0x7fc40ff9,0x3fe02ff9,0xe801ff64,0x3f6001ff,0xe802ff8d,
    0x4c04ffff,0xdfd802ff,0xfa802ff8,0xfffd702f,0xfd07ffff,0x0dfd000d,
    0xfe8bff10,0x05ff8806,0xff881ff5,0xa817fc42,0x3ea004ff,0x7fe4006f,
    0x009ff500,0xff137fd4,0x403ffd15,0xfeffeefe,0x4400001f,0xf1002ffe,
    0x0017f67f,0x02ffe880,0x7dc13ff2,0x7fe4003f,0x00ffe800,0xffb3fec0,
    0x21ffd400,0x3ae01ee8,0x002ffa85,0xff517fdc,0xbbfd0005,0x7fcc03ff,
    0x5c07fea2,0x2609fd6f,0x01ff62ff,0x1003ffa8,0x017f67ff,0x07ff77fa,
    0x4402ff98,0x00bfb3ff,0xb8805ff5,0x45fffffd,0xfd8006fe,0x42a9800f,
    0xa9800ffd,0x881ff502,0x17fc42ff,0x4000ffe8,0x7e4007fd,0x01ffd00f,
    0x3e27fd80,0x401ffebf,0xf99ffffe,0x200000ff,0x2e004ffe,0x01ff70ff,
    0x13ffa000,0xf307ffa0,0xff9000bf,0x04ff8801,0xfb1ffb80,0x27fcc00f,
    0xfc80bfe2,0x002ffa86,0x3fea37fc,0x8dfe8002,0xff300eff,0xd81ffc45,
    0x2e0df74f,0x01ff60ff,0x7004ff98,0x03fee1ff,0xdff1bfd0,0x00bfe601,
    0x3fee1ff7,0x017fd400,0x97ffee60,0xfb8006fe,0xf70000cf,0xa800019f,
    0x17fc40ff,0x3e20bfe2,0xffb8004f,0x03ff2001,0x20013fe2,0xfff11ffb,
    0xfe807fff,0x17fee1ff,0x2ffe4000,0xf897fa00,0xfc80004f,0xdff3005f,
    0x8000ffe8,0x7cc00ffc,0xff98003f,0x6400ffb3,0x17fc42ff,0xff50df90,
    0x17fdc005,0x2000bfea,0x09ff75fe,0xbfd0bfe6,0x7fccbfe0,0x7ec5fd80,
    0x0bff2007,0xff12ff40,0xf75fe809,0x0bfe609f,0x7fc4bfd0,0x017fd404,
    0xd0ffe880,0xfd1000df,0x40015bff,0x0adfffe8,0x40ffa800,0x7fc42ff8,
    0x003ff982,0x2003ff98,0xff980ffc,0x3ff98003,0xffbdfff1,0x40fff403,
    0x40003ffd,0x2000effa,0x3fec2ff9,0x3bfea000,0x4fff2000,0x90002ffb,
    0xffa801ff,0x2bff0002,0xff7007fd,0x02ff881f,0x3fea1bf2,0x21bfa002,
    0xe8002ffa,0x20bffa5f,0x3fdc2ff9,0x0ffe3fcc,0x0ffb0ffe,0x003ffee0,
    0xffb0bfe6,0x3fa5fe80,0x02ff982f,0xffb0bfe6,0xb52ffa80,0x97fd400b,
    0xd10006fe,0x59dfffff,0xffffd100,0x2a0059df,0x17fc40ff,0x3ea0bfe2,
    0xbff0002f,0x407fe400,0xf0002ffa,0x23bfe2bf,0x3fa06ff8,0x03fff106,
    0x03ffe600,0xf50ff900,0x3e60005f,0xfe8000ff,0x0004ff9f,0xf7003ff2,
    0x3fa0003f,0x5555ffb6,0xfffd9955,0x405ff105,0x2ffa86fc,0x507ff700,
    0xddddddff,0x5fe8bddd,0xf303bfe2,0x41ff985f,0x22fec5fc,0x7fec1ff9,
    0xccaaaaaa,0x9002fffe,0x05ff50ff,0xdff12ff4,0x202ff981,0x2ffa87fc,
    0x7d4bfea0,0x7ff1001f,0x70001bfa,0xfffffffd,0xfffd7007,0xa807ffff,
    0x17fc40ff,0x3ee0bfe2,0xdfd0001f,0x407fe400,0xd0001ffb,0xb8bfe2df,
    0x0dfd03ff,0x00077fd4,0x000bffa2,0x37fc13fe,0x17ff4400,0xffff9800,
    0x3f20000e,0x0ffdc00f,0xfb6fe800,0xffffffff,0x2203dfff,0x1bf202ff,
    0x7400bfea,0xffff507f,0xffffffff,0x7fdc5fe8,0x7c17fcc4,0x2e1ff42f,
    0x6c3fdc7f,0xffffffff,0x001effff,0x37fc13fe,0xffb8bfd0,0xf017fcc4,
    0x81bfe09f,0x9ff12ffa,0x747fea00,0x7100006f,0x0bfffffb,0x3fff6e20,
    0x3fea05ff,0x2217fc40,0x1ffb82ff,0x00dfd000,0x7dc07fe4,0xdfd0001f,
    0xffb0bfe2,0xd80dfd03,0x7ec005ff,0xffa8003f,0x003ff901,0x0003ffd8,
    0x000fffe4,0x3003ff20,0x3e0005ff,0xdddffb6f,0x037fffff,0x3202ff88,
    0x02ffa86f,0xf503ffa8,0x999999bf,0x85fe8999,0x3fe62ffe,0x3e24fd82,
    0xb0ffc41f,0xddffb0bf,0x37fffffd,0x01ffa800,0x3fa03ff9,0x262ffe85,
    0x3ff502ff,0x5407ff20,0x13ff62ff,0x7f4dfd10,0x73000006,0x3000bfff,
    0x2a0bfff7,0x17fc40ff,0x3e60bfe2,0xdff0002f,0x407fe400,0xf0002ff9,
    0x10bfe2df,0x0dfd0dff,0x003ffe88,0x2000bff9,0xaaaaaffd,0x2004ffca,
    0x00005ffc,0x90000bff,0x7ff001ff,0x2bff1000,0xdff507fd,0x02ff8803,
    0x3fea1bf2,0xabffe802,0x2ffcaaaa,0x885fe800,0x5ff30eff,0x3fd4df70,
    0x0bfe3fe8,0x7fd41ff6,0x7fec001e,0xfcaaaaaa,0x10bfd04f,0x3fe61dff,
    0x555ffb02,0x09ff9555,0xfe98bfea,0xca98abef,0x3bfa2fff,0xaaaaaaaa,
    0xfd10002a,0x3a20001f,0x0ffa80ff,0x3e217fc4,0x007ff02f,0x400bff10,
    0x7ff00ffc,0x2bff1000,0xffb82ff8,0x4c037f43,0x7d401fff,0xf88000ef,
    0xffffffff,0xf5007fff,0x200001df,0xc80005ff,0x5fe800ff,0xb2ffb800,
    0x7ffcc0ff,0x80bfe201,0x2ffa86fd,0x7ffffd40,0x2fffffff,0x705fe800,
    0x0bfe69ff,0x27e43fe6,0x1ff15fc8,0x7cc0ffb0,0xff1001ff,0xffffffff,
    0x17fa0fff,0xff9a7fdc,0xfffff882,0x7fffffff,0xe885ff50,0xffffffff,
    0x7fff41ff,0xffffffff,0x5400bb56,0x00bb52ff,0x7d417fd4,0x217fc40f,
    0xbfd02ff8,0x05ff7000,0xe807fe40,0xffb8005f,0x3a05ff12,0x01bfa1ff,
    0xf3037fe4,0x2e0001ff,0xeeeeeeff,0x402ffeee,0x0000fff9,0x00017fe0,
    0x32003ff2,0x3e2002ff,0x80ffb0ff,0xf100effa,0x437f405f,0x7f402ffa,
    0xffffffff,0xe8002fff,0x2bffa05f,0x5ff02ff9,0xbfd40bfe,0x0ffb06fa,
    0x800effa8,0xeeeeeffb,0x82ffeeee,0x3ffa05fe,0xfb82ff9a,0xeeeeeeef,
    0xfa82ffee,0xffdb702f,0xfd019dff,0xffffffff,0x07feadff,0xfa9ffc40,
    0x7ff1001f,0xf881ff50,0x817fc42f,0x22002ffc,0x5ff10fff,0xfc81ff60,
    0x3fe2002f,0x205ff10f,0x1bfa6ff9,0x884ffe80,0x20001ffe,0xff8806fe,
    0x07ffa206,0x0bff0000,0x01ff9000,0x400dff30,0x1ff64ffc,0x4417ff20,
    0x1bfe03ff,0xf980bfea,0x17fd403f,0x102ff400,0x05ff5fff,0x03fe73f6,
    0x27e47fc4,0xfc807fd8,0x06fe805f,0xfe86ff88,0x2bffe205,0x06fe82ff,
    0xfa86ff88,0x01fd802f,0x44015100,0xff5004ff,0x4013fe23,0xffa81ffa,
    0x3f8814c0,0x801bfe60,0x1ffc4ffc,0x3e605fe8,0x3ff2006f,0x0001a804,
    0x3f6000a6,0x3e60003f,0x3ffb003f,0x000fff60,0x0017fe00,0x4003ff20,
    0x6400effb,0x03fec6ff,0xf81fff44,0x0dff705f,0x7ec05ff5,0x17fd400f,
    0x202ff400,0x02ffeffb,0x80df7bf5,0xb02feafe,0xffd100ff,0x01ffcc07,
    0x7f41ffd8,0x7f7fdc05,0x01ffcc2f,0x7d41ffd8,0x6ffc402f,0xeff98001,
    0x809ffb02,0x7fec6fe8,0x837f4404,0x7fe40ffa,0x7007ea0d,0xfc801dff,
    0x886fe86f,0x7fdc04ff,0x37fe400e,0x004fff80,0x800dffc8,0x40004ffc,
    0xf3000ffc,0x09ff909f,0x17fe0000,0x03ff2000,0x9bfffd80,0x3fffd530,
    0xf5007fd8,0x7ffb01ff,0x1bffee21,0x7cc0bfea,0x2ffa804f,0x805fe800,
    0x102ffffe,0xb807fbff,0xfb00ffcf,0x3ffea00f,0x001ff900,0xbfd13fe6,
    0x5ffffd00,0x3000ffc8,0x2ffa89ff,0x00ffa880,0x307fb980,0x3157dffd,
    0x985fff95,0x98abeffe,0x502fffca,0xfd9881ff,0x3600bee4,0x5309bfff,
    0xf703fffd,0xffd515df,0x7fffb005,0x3ffaa613,0xff53001f,0xfd988003,
    0x57ffcc04,0xaaaaaaaa,0x2ffc2aaa,0x983ffa00,0xaaaaafff,0x2aaaaaaa,
    0x000bff00,0x8001ff90,0xfffffffb,0xfd80efff,0x17ff6007,0x3fbfffe6,
    0xfa86fbef,0x01ffb02f,0x5559ff50,0x45555555,0xff9805fe,0x3ffa02ff,
    0x7ffcc01f,0x801ff605,0xbff05ffd,0x20ffe800,0xff9805fe,0x02ffc2ff,
    0xfa83ffa0,0xffb8802f,0x1ff50000,0x3ffffa20,0x01ffffff,0xffffffd1,
    0xa883ffff,0xf900ffca,0x198f7d4d,0xffffff70,0x401dffff,0xfffffffe,
    0x3ffee003,0xefffffff,0x17fc4000,0x406fd800,0xfffffffa,0xffffffff,
    0x000bfea5,0x7fd47ff7,0xffffffff,0x005fffff,0x90000bff,0x910001ff,
    0x37bfffff,0x1003fec0,0xfb105fff,0x1beabfff,0x3e60bfea,0xfff5005f,
    0xffffffff,0x802ff4ff,0x3202fffb,0xfff007ff,0x003fec07,0xfa85fff1,
    0x7fdc002f,0x5c017fa3,0x3fea2fff,0x1ffdc002,0x7e405ff5,0x64003fff,
    0xb804fffe,0xceffffed,0xffedb800,0xfb80ceff,0x3ba0ffff,0x7ffc2fff,
    0x3f2204ff,0x01bdffff,0xeffffc88,0xffc88003,0x001bdfff,0x01bfffaa,
    0x03fffdd0,0xffffffa8,0xffffffff,0x001ff65f,0xffa9bfe2,0xffffffff,
    0x005fffff,0x90000bff,0x880001ff,0x1ff60019,0x01dff500,0xff5000cc,
    0x003ffb05,0x3fffffea,0x27ffffff,0x3fa005fe,0x17fea02f,0xb00ffec0,
    0xffa800ff,0x001ff60e,0x5fe9bfe2,0xd8bffa00,0xff88007f,0xbdcb8006,
    0xdeec8000,0x01988003,0x400cc400,0x744cccc9,0xec982dee,0x331000ad,
    0x00998000,0x00331000,0x06777540,0x0b7bba00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3cc98000,0x26662000,0x40019999,0x5551001a,0x0ee0b220,0x00399700,
    0x33264ca8,0x332a0000,0x06664002,0x951e5c00,0x3b220009,0x000bf11c,
    0x01a88153,0x66449970,0x16654002,0xcb879930,0x1880980c,0x00599300,
    0xb8059970,0x0073263c,0x003eea80,0x40019990,0x40054408,0x20001ccb,
    0x1fb0adeb,0x4c995000,0x664000cc,0x6640f2e2,0xea80f2e2,0x003f90bd,
    0x4ccccccc,0x7ffd4009,0xd72fffff,0xfff8803d,0xffb0003f,0x00ffffff,
    0xff9004e8,0xf307ec05,0x7ffdc007,0x9ff2000f,0x20000ffb,0x2e000efe,
    0xfb0003ff,0x8003fe4d,0xfffffffe,0x44f98002,0xff3001fc,0x5001bf67,
    0x3603ffff,0x2ffcc1ff,0x01ba07ec,0x20007ff4,0x201ffffa,0x0dfd3ff9,
    0x04ffb800,0x009ff500,0xb37dffb1,0xfffb801f,0xffb8000e,0x005fefff,
    0x7fdcffb0,0xd27fc000,0xd93fe0bf,0xffff506f,0xf800dfdf,0x5fffffff,
    0x7ffffd40,0x3ff92fff,0xffaefe80,0xeeec8001,0xb806eeee,0x00befffe,
    0xfa807ff1,0x2007fedf,0x06fdbff9,0xffb9ff20,0x3ff50000,0x005fe800,
    0x7fc9bf60,0x934f9800,0x6c0009ff,0x005fdcdf,0x07fe7fdc,0xf99ff100,
    0x02ff981d,0xef981ff7,0x9803fdab,0x7c4002ff,0x200efccf,0x00ffcffb,
    0x027fdc00,0x801ff900,0xffffdefa,0x6d7fcc06,0x8fe8005f,0x001dfeb8,
    0x7fdcffb0,0xd27fc000,0xd93fe0bf,0x711fb06f,0xf8005dfd,0x5fffffff,
    0x4ccccc40,0x3ff90999,0xfc8ffe40,0x0000000f,0x7ffffff4,0x05fc82ff,
    0x037df950,0x7c57fa20,0x4331004f,0x3a000198,0x77d4003f,0x82620000,
    0x98800198,0x44000080,0x000cefec,0x001fffd8,0x8bfd37f4,0x27e404fc,
    0x027fffdc,0xe8003fd8,0xb017fa6f,0x00003fff,0x80003551,0x876403fd,
    0x2200bdb8,0x09ff15ff,0x00080980,0x3310cc40,0x44133000,0x44133009,
    0x01013009,0x30000000,0x4c000399,0x2004cc09,0x326004cb,0x277ff21c,
    0x41ffface,0x000000aa,0x26209988,0x40099701,0x33001cc9,0x00131000,
    0xdedca880,0x9510001c,0x00039bdb,0x51000020,0x99880035,0x03306620,
    0x02980660,0x44000cc0,0x00662099,0x80003551,0x0abdedca,0x00026000,
    0x20998800,0x91000198,0x44000079,0x32e003cc,0xcccccccc,0xc984cccc,
    0x00665c1c,0x1001cc88,0x2a000799,0x880002ff,0x3f6003cc,0x4bfea007,
    0x4d3a4ff8,0x0e6444ff,0x3333332e,0x4ccccccc,0x3333332e,0x4ccccccc,
    0xfa801ff6,0x0039972f,0x7973cc98,0xfff90000,0x05dfffff,0x7ffffe40,
    0x0002efff,0x5c007991,0xabcccccc,0x664c001a,0x20399301,0x99301cc9,
    0x99999703,0x99999999,0x2001cc89,0xcccccccb,0x04cccccc,0x7fffffe4,
    0x99704fff,0x99999999,0x32609999,0x004ca81c,0x5c007326,0x00000fff,
    0x2001fff7,0xfffffffd,0x0fffffff,0x3fa17fd4,0x5ff3004f,0x03ffee00,
    0x40bfea00,0xfff7003e,0x01ff6001,0xff52ffa8,0x8dfd2743,0x7fec2ff8,
    0xffffffff,0xffb0ffff,0xffffffff,0x3f61ffff,0x4bfea007,0x2000fff9,
    0x0dfd1ffe,0x7fff4c00,0xffffebce,0x7fff4c03,0xffffebce,0xfffb8003,
    0xffffb000,0x7dffffff,0x40bfea00,0xff502ffa,0x20bfea05,0xfffffffd,
    0x0fffffff,0x6c005ff1,0xffffffff,0x80ffffff,0xbdefffe8,0x41efffec,
    0xfffffffd,0x0fffffff,0xfd82ffa8,0x0bfea007,0x027fff40,0x4fffe800,
    0xfffffb00,0xffffffff,0x42ffa81f,0x9801fffe,0xffd002ff,0xff50009f,
    0x200bf105,0xb004fffe,0x7fd400ff,0x2741ff72,0x85ff1011,0xfffffffd,
    0x0fffffff,0xfffffffb,0x1fffffff,0xfa801ff6,0x017ff22f,0xdfd1ffe4,
    0x3ffe2000,0xfffa880c,0x19fff104,0x09fff510,0x04fffe80,0xffffffb0,
    0x1dffffff,0x502ffa80,0x3fea05ff,0xb05ff502,0xffffffff,0x21ffffff,
    0x36002ff8,0xffffffff,0x40ffffff,0x200dfff8,0x7fec6ffc,0xffffffff,
    0xfa80ffff,0x007fd82f,0x2600bfea,0x0007fbff,0x07fbff98,0x0000ffb0,
    0xffe85ff5,0x7fcc00ef,0xfbff9802,0x2ffa8007,0xf9805f88,0xfb007fbf,
    0x97fd400f,0x013a2ffa,0xffb0bfe2,0x03fec000,0x400ffb00,0x7ff42ffa,
    0x22ffcc02,0xfb0006fe,0xfff3005f,0x005ffb03,0x2003fff3,0x007fbff9,
    0x754c0ffb,0x7fd405ff,0x205ff502,0xff502ffa,0x000ffb05,0xb0017fc4,
    0xfb0000ff,0x3fee007f,0x0001ff62,0x7ec17fd4,0x0bfea007,0x3fe37f60,
    0x6fec0002,0xfd802ff8,0xffa80007,0x27ffff42,0x200bfe60,0x02ff8dfd,
    0x4c17fd40,0x8dfd806f,0x7fd802ff,0x44bfea00,0x009d0dff,0x7fd85ff1,
    0x01ff6000,0x2007fd80,0x7fcc2ffa,0x03ffa00e,0xf5000dfd,0x7fd4009f,
    0x0027fd46,0x3600dff5,0x802ff8df,0xfe8807fd,0x0bfea03f,0xfa817fd4,
    0x05ff502f,0x44000ffb,0x3f6002ff,0x7fcc0007,0xb37f4005,0x2a0000ff,
    0x07fd82ff,0x100bfea0,0x017f67ff,0xfb3ff880,0x00ffb00b,0xe85ff500,
    0x201ffddf,0x7c402ff9,0x800bfb3f,0x6f982ffa,0xfd9ffc40,0x007fd805,
    0xffc8bfea,0xf8804ebf,0x003fec2f,0x4000ffb0,0x3ea007fd,0x04ffc82f,
    0xdfd07ff7,0x01ffd000,0x7f47fd80,0x3fec000f,0xfd9ffc40,0x007fd805,
    0x2a01ffd1,0x5ff502ff,0x540bfea0,0x07fd82ff,0x10bfe200,0x0003fec0,
    0x50003fee,0x003fec5b,0xd82ffa80,0x3fea007f,0xb87fdc02,0xf70000ff,
    0x003fee1f,0x50000ffb,0x8dfe85ff,0xff300eff,0x70ffb805,0x7d4001ff,
    0x407fa82f,0x1ff70ffb,0x2007fd80,0x7fe42ffa,0x2201bfff,0x03fec2ff,
    0x000ffb00,0xf5003fec,0x07ffa05f,0x3fa0bff3,0x27fc4006,0x88ffdc00,
    0xfb8004ff,0x87fdc01f,0x7ec00ffb,0x0ffea007,0xfa817fd4,0x05ff502f,
    0x3f60bfea,0x3fe20007,0x3effec8a,0x20003fec,0xb00007fd,0x2a0000ff,
    0x07fd82ff,0xd00bfea0,0x027fc4bf,0x3e25fe80,0x03fec04f,0x217fd400,
    0x09ff75fe,0xfd00bfe6,0x0027fc4b,0xff505ff5,0x3e25fe80,0x03fec04f,
    0xb305ff50,0x01dfffff,0x7fd85ff1,0x01ff6000,0x2007fd80,0xff302ffa,
    0xd00ffe8d,0xff9800df,0x3ff98003,0x30007ff3,0x5fe807ff,0xfb013fe2,
    0x04ff800f,0x3ea05ff5,0x05ff502f,0x3f60bfea,0x3fe20007,0xffffffec,
    0x0001ff65,0x20000bff,0x500007fd,0x0ffb05ff,0x3017fd40,0x07fd85ff,
    0x6c2ff980,0x03fec07f,0x217fd400,0x0bffa5fe,0xf980bfe6,0x003fec2f,
    0xff705ff5,0xb0bfe601,0x07fd80ff,0x880bfea0,0x41ffffee,0x3fec2ff8,
    0x00ffb000,0x5003fec0,0x7fe405ff,0x7405ff73,0x7fd4006f,0x2bff0002,
    0xf0002ffa,0x17fcc0bf,0xffb01ff6,0x506fe800,0x3fea05ff,0x205ff502,
    0x7fd82ffa,0x3ffe2000,0xffea89bf,0x4000ffb3,0x00004ff8,0x20000ffb,
    0x7fd82ffa,0x80bfea00,0x2ffa87fc,0x543fe400,0x3ff602ff,0xeeeeeeee,
    0xffa81eee,0xff12ff42,0x02ff981d,0x3fea1ff2,0x05ff5002,0x3f201ff7,
    0x202ffa87,0x3ea007fd,0x6c67402f,0x17fc46ff,0x3bbbbff6,0x1eeeeeee,
    0x3bbbbff6,0x1eeeeeee,0xfa801ff6,0x4fff402f,0x37f404ff,0x007fee00,
    0xffbb7f40,0x0dfd0001,0x7fd43fe4,0x001ff602,0x3fea0ffb,0x205ff502,
    0xff502ffa,0xdddffb05,0xdddddddd,0x417ffc43,0xdffb4ff8,0xdddddddd,
    0x17fd43dd,0x55555510,0x3bff6355,0xeeeeeeee,0x5ff501ee,0xffffffb0,
    0xffffffff,0x827fc05f,0x7fc006ff,0x6c0dff04,0xffffffff,0xa82fffff,
    0x22ff42ff,0x7fcc4ffb,0x7c13fe02,0x5ff5006f,0x3e03ff90,0x40dff04f,
    0x3ea007fd,0xf927402f,0x217fc43f,0xfffffffd,0x22ffffff,0xfffffffd,
    0x22ffffff,0x3ea007fd,0x7ffcc02f,0x37f400ef,0x007fee00,0xffbb7f40,
    0x0dfd0001,0x6ff827fc,0x9001ff60,0x5ff501ff,0x540bfea0,0x5ff502ff,
    0xffffffb0,0x5fffffff,0xfd02ffc4,0x3fffff6d,0xffffffff,0x980ffea2,
    0xffffffff,0xffffffb3,0x5fffffff,0x360bfea0,0xffffffff,0x2fffffff,
    0x3203ff50,0xff5001ff,0x407ff203,0xcccccffd,0x81cccccc,0x2ff42ffa,
    0xff317ff4,0x407fea05,0xfa801ffc,0x81ffc82f,0xff901ffa,0x801ff603,
    0x3a042ffa,0xf88ffe64,0x667fec2f,0xcccccccc,0x333ff61c,0xcccccccc,
    0x801ff61c,0xfc802ffa,0x6fe801ff,0x017fcc00,0xff36ff80,0x1bfe0005,
    0xfc80ffd4,0x00ffb01f,0xff507fd8,0x40bfea05,0xff502ffa,0x999ffb05,
    0x99999999,0x9027fc43,0x333ff6ff,0xcccccccc,0x817fe21c,0xfffffff9,
    0x999ffb3f,0x99999999,0x20bfea03,0xaaaaaffd,0xffcaaaaa,0x555ffb02,
    0x09ff9555,0x2aabff60,0x04ffcaaa,0x50000ffb,0x85fe85ff,0xff30eff8,
    0x2abff605,0x4ffcaaaa,0xd82ffa80,0xaffd82ff,0xffcaaaaa,0x400ff904,
    0x8bfb1ffb,0x88ffe24e,0x03fec2ff,0x000ffb00,0xf7003fe4,0x17fe003f,
    0x40037f40,0xf88003ff,0x000ffe5f,0x7ec17fe2,0xcaaaaaaf,0x0ffb04ff,
    0xf507fe80,0x0bfea05f,0xfa817fd4,0x007fd82f,0xb80ffe20,0x000ffb7f,
    0x88006fe8,0x00ffb3ff,0x20bfea00,0x3ea007fd,0xffff882f,0xffffffff,
    0xffff8807,0xffffffff,0x000ffb07,0xfe85ff50,0x269ff705,0xfff882ff,
    0xffffffff,0x2ffa807f,0x7c42ffd8,0xffffffff,0xff907fff,0x47fee001,
    0xa93a0ffc,0x0bfe22ff,0x6c000ffb,0x3f20007f,0x3ff7000f,0x4017fe00,
    0xfe8006fe,0x2ffb8005,0x2e0017fa,0xfff882ff,0xffffffff,0x00ffb07f,
    0xff505ff8,0x40bfea05,0xff502ffa,0x000ffb05,0xf7017fc4,0x0001ff6f,
    0x88001ff9,0x00ffb3ff,0x20bfea00,0x3ea007fd,0xeeffb82f,0xfeeeeeee,
    0x77fdc02f,0xeeeeeeee,0x07fd82ff,0x42ffa800,0x3ffa05fe,0xfb82ff9a,
    0xeeeeeeef,0x5402ffee,0x2ffd82ff,0x77777fdc,0x2ffeeeee,0x9001ffb8,
    0x8ffea1ff,0x883ff64e,0x03fec2ff,0x000ffb00,0xc800ffdc,0xbff000ff,
    0x001bfa00,0x8800bff2,0x3ff20fff,0x3ffe2002,0xeeeffb80,0xffeeeeee,
    0x2007fd82,0xff504ff9,0x40bfea05,0xff502ffa,0x000ffb05,0xf7017fc4,
    0x0001ff6f,0x88007ff5,0x00ffb3ff,0x20bfea00,0x3ea007fd,0x806fe82f,
    0x7f406ff8,0x86ff8806,0xa80007fd,0x02ff42ff,0x5ff5fff1,0xf100dfd0,
    0x2ffa80df,0x7f42ffd8,0x86ff8806,0xf8805ff9,0x467ffc6f,0x44ffd8ce,
    0x3fec2ff8,0x00ffb000,0x402ffcc0,0x3e006ff8,0x0dfd005f,0x00dff300,
    0x3e627fe4,0x3ff2006f,0x100dfd04,0x0ffb0dff,0xa80ffec0,0x5ff502ff,
    0x540bfea0,0x07fd82ff,0x80bfe200,0x00ffb7fb,0x03fff880,0x7ecffe60,
    0xff500007,0x400ffb05,0x7fcc2ffa,0x03ffb003,0x6c00ffe6,0x03fec1ff,
    0x217fd400,0x7fdc05fe,0x7fcc2ffe,0x03ffb003,0x65c17fd4,0x00ffe61c,
    0x7f40ffec,0x1ffe403f,0x3fffffa2,0xff886fff,0x0003fec2,0xe8000ffb,
    0x7fe403ff,0x017fe003,0xb80037f4,0x7e400eff,0x1dff706f,0x306ffc80,
    0x3f6007ff,0x803fec1f,0x3ea06ff9,0x05ff502f,0x7d40bfea,0x007fd82f,
    0xb80bfe20,0x000ffb7f,0x007fff50,0x3f67fff7,0xff500007,0x400ffb05,
    0x7fe42ffa,0x09ff3000,0x4c003ff2,0x03fec4ff,0x217fd400,0xffe805fe,
    0x07fe42ff,0x204ff980,0x32002ffa,0xff3000ff,0x7bffd109,0x9ffd7333,
    0x3ffff620,0x5ff103ff,0x20007fd8,0x440007fd,0x999bdffe,0x4004ffeb,
    0xdfd005ff,0x7ffec000,0xffd5309b,0x7ffec03f,0xffd5309b,0x03ff203f,
    0x3627fcc0,0xfffa807f,0x40bfea02,0xff502ffa,0x20bfea05,0x220007fd,
    0x5fee02ff,0x900007fd,0x3359dfff,0x1bfffd95,0x40001ff6,0x7fd82ffa,
    0xf0bfea00,0xffe800bf,0x4005ff80,0x3ff60ffe,0xaaaaaaaa,0x7d41aaaa,
    0x402ff42f,0x7c2ffff9,0x7ff4005f,0x005ff500,0x3a002ffc,0xfff980ff,
    0x5fffffff,0x803bf300,0x7fec2ff8,0xaaaaaaaa,0xffb1aaaa,0x55555555,
    0xf9835555,0xffffffff,0x5ff8005f,0x555dfd00,0x05555555,0x3fffffee,
    0x800effff,0xfffffffb,0x3e00efff,0x7ff4005f,0x2aabff60,0xfffeccaa,
    0x817fd403,0xff502ffa,0x20bfea05,0xaaaaaffd,0x1aaaaaaa,0x7dc05ff1,
    0x5555ffb7,0x55555555,0x3fffea03,0xefffffff,0x5557fec1,0xaaaaaaaa,
    0x82ffa81a,0x3ea007fd,0x00bfea2f,0xfa87ff70,0x7fdc002f,0x3fffff63,
    0xffffffff,0x217fd44f,0xff7005fe,0x017fd45f,0x540ffee0,0xff5002ff,
    0x3ffb8005,0xfffff930,0x4e8007df,0x6c2ff880,0xffffffff,0xb4ffffff,
    0xffffffff,0x09ffffff,0xffffff93,0x3fe0007d,0xffffd005,0xdfffffff,
    0x7fffe440,0x44001bdf,0xbdfffffc,0x017fd401,0xfd8ffee0,0xffffffff,
    0xfa803fff,0x05ff502f,0x7d40bfea,0xffffd82f,0xffffffff,0x05ff14ff,
    0xfffdbfdc,0xffffffff,0x26204fff,0xdeffffdb,0xfffffb03,0xffffffff,
    0x05ff509f,0x7d400ffb,0x001ff62f,0xffb1bfe2,0x4dff1000,0xfffffffd,
    0x4fffffff,0x3fa17fd4,0x8bffa005,0xf88007fd,0x3600006f,0xff88007f,
    0x09a99806,0x1009d000,0xfffd85ff,0xffffffff,0xfffb4fff,0xffffffff,
    0x99809fff,0x7c00009a,0xfffd005f,0xffffffff,0x0066200d,0x00198800,
    0x44003fec,0x3fff66ff,0x2deeffff,0x40bfea00,0xff502ffa,0x20bfea05,
    0xfffffffd,0x4fffffff,0x7dc05ff1,0xffffffb7,0xffffffff,0x00998009,
    0xffffffd8,0xffffffff,0xd82ffa84,0x3fea007f,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999998,0x3baa0009,0x3baa0004,0x0cc98003,0x40003991,0x00002dc8,
    0x99700001,0x00008003,0x32e60001,0x0001cdee,0x00000002,0x32600200,
    0x54000cde,0x11002982,0x01301000,0x54c15400,0x000e64c0,0xcc985991,
    0x440132e1,0x261bddba,0xcccccccc,0x97000ccc,0x22999105,0x664c04cc,
    0x39970003,0x91000400,0x00665459,0x00000088,0x20b32795,0x200a982a,
    0xfffffff9,0x3fea003f,0x3fee0005,0x0ffb8004,0x40005ff3,0x0001e9be,
    0x31bfffb5,0x3fe600dd,0x3223ba05,0x9003dffe,0x366005dd,0xffffffff,
    0x7764001d,0xdb710002,0x44bd0379,0x3effa8ee,0xffffff90,0x10fe4005,
    0x7fecc0bf,0x75c00def,0x03fa9bef,0x41fb8075,0x02ffa86e,0x3613fe20,
    0x02ffa8ff,0xffffffa8,0xffffa8ef,0x1fffffff,0x42ff4498,0x5ff73ffb,
    0x1ffff440,0x017fe200,0x37bfffaa,0x44ffdc01,0x7edc04ff,0x0004efff,
    0x27fdbf20,0x01ba17dc,0xddddddd1,0x7fd4005d,0x3fee0005,0x0ffb8004,
    0x20005ff3,0x20012a68,0xfffffffc,0xdfb007fb,0x7f57fc01,0x405fffff,
    0xf500d15a,0xfd99bfff,0x26007fff,0x22001d15,0xfffffffd,0x44bfb1df,
    0x4ffffaff,0xfbadffb8,0xff1000ff,0x2e03ffbb,0xffffffff,0xffbff102,
    0x7fb01fff,0xffbbff00,0x005ff505,0x74427fc4,0xb803fedf,0xfdbbefff,
    0xfffffaef,0x41ffffff,0x42ff46fb,0x013fe5fe,0x03ff5dfb,0x20077e40,
    0xfffffffc,0x6f7ec03f,0x3ff6205f,0x0effffff,0xf6fc8000,0x377fe09f,
    0x000002ff,0x0004cc40,0x00013310,0x00998331,0x01647a00,0x4433fee0,
    0x8807fffb,0x7ffc01ff,0xffeb8adf,0x01d8ee03,0x440fffea,0xb803fffb,
    0x3ea00763,0xedbcdfff,0x445fefff,0x1dbcffff,0x7fd46ff8,0x3ff26003,
    0x7dff502d,0x207ffa61,0x3bb512fb,0x2600ffe0,0xf502dffc,0x7fc4005f,
    0x0bfff304,0x303fff50,0x003ffffd,0x89b0df90,0x0df70efa,0xff91ffb8,
    0x03ff1001,0x2a1cff98,0x3a200ffe,0x3f600eff,0xffb511bf,0xdf900007,
    0xfec9826c,0x9999702d,0x99999999,0x66665c99,0xcccccccc,0x6666444c,
    0xcccccccc,0x039971cc,0x003cc980,0x9800fff7,0xfff704ff,0xf0035300,
    0xbff105ff,0x03557440,0x5003fff1,0xe8801fff,0xff9806aa,0x3ffee04f,
    0x17ffc40e,0x3e0ffe20,0xd000004f,0x037f40df,0x007ff000,0x02ffa800,
    0x9813fe20,0xffd800aa,0x3fffe202,0x86fc8001,0x53054c2e,0x222aa801,
    0x1a8801aa,0xf306fb80,0x0aa8807f,0x4413fe20,0xc80006ff,0x0000be6f,
    0x3ffffff6,0xffffffff,0xffffffb0,0xffffffff,0x7ffffcc1,0xffffffff,
    0x01fff33f,0x800fff40,0x2000fffb,0x3fa00ffb,0x38811007,0xdfd037fc,
    0x201cda80,0x32003ffc,0xcda804ff,0x01ffe801,0x440fffb8,0xbff005ff,
    0x0002ff88,0x203ffb80,0x00001ffb,0x044007ff,0x800bfea0,0x04404ff8,
    0x402ffcc0,0x8001fffb,0x007646fc,0x00088000,0x3ff20010,0x02001300,
    0xd8032e20,0x6408006f,0x8801db6f,0x7fffec00,0xffffffff,0xffffb0ff,
    0xffffffff,0x7ffcc1ff,0xffffffff,0x3ff23fff,0x07ff9005,0x027fff40,
    0xfc80bf90,0x3fff6a07,0x3e1fd8cf,0x01ff204f,0x0037f400,0x088037f4,
    0x804ffb80,0x445ffffa,0xffb004ff,0x2203fec5,0x57ae01ee,0x3e200ffc,
    0x403dd13f,0xdffd95eb,0x3ff660dd,0xffa80def,0x13fe2002,0x33fffb26,
    0x003ff900,0x4003fff1,0x9eefffea,0x807ba20a,0xfec985eb,0x75400cff,
    0x501defff,0x80037dff,0x1defffea,0x0dfb3000,0x53bff6a0,0x2e0156fc,
    0x84effffd,0x360007fd,0x0000007f,0xfd03bfea,0x5ff9805f,0x3effe600,
    0x013fa007,0xffb10ff7,0x9fffffff,0x3ee03ff8,0xb807ba27,0x000ffe5e,
    0x6dc03ff2,0xd04effff,0xff9801ff,0x3e21ffe9,0xfff1003f,0x8805ffd5,
    0x5bf202ff,0xeeeeeffd,0xf14ffeee,0xeb7e405f,0xb87fffff,0xffffffff,
    0x0017fd42,0xffa89ff1,0x81ffffff,0xfd000ffe,0x7fdc003f,0xf882ffff,
    0x51bf202f,0xffffffff,0x3ffff203,0xf903ffff,0x8059ffff,0xfffffffc,
    0x32ea203f,0x806ffffe,0xeffffffc,0x3f6206fd,0xefffffff,0x8001ff60,
    0x000007fd,0x303fff30,0x7f401dff,0x37f6000f,0xff002ff8,0xc87fa807,
    0xff710dff,0x203ff83f,0x0bfe27fb,0x5ff36fc8,0x85ff5000,0xffffffd8,
    0x3fe60eff,0xc97fc404,0x0bfe23ff,0xeffffa80,0x02ff8801,0x7fff5bf2,
    0xffffffff,0x405ff15f,0x9ff316fc,0xbeffa833,0x543ffd30,0x3e2002ff,
    0x477fe64f,0x7c0ffea8,0x3ff6007f,0x3f662001,0xff88099e,0xf99bf202,
    0xffd511df,0x21cff981,0xd700ffea,0x05ffffff,0x75439ff3,0x7fe440ff,
    0x6fedffff,0x8867fd40,0x3606fffc,0xfb511bff,0x003fec7f,0x0000ffb0,
    0x05ffd100,0xfb827fe4,0x3fe2003f,0x3e00bfb3,0x23fdc04f,0xff884ff9,
    0x701ffc6f,0x017fc4ff,0x07feedf9,0xb13fe600,0x36a237ff,0x0ffea3ff,
    0x3ea3fe88,0x00bfe24f,0x00ffffa8,0x6405ff10,0x333bfd6f,0x13333333,
    0xfc80bfe2,0xfe81ffc6,0xfa9bfa06,0x3fe2002f,0x2a0bff14,0x037fc3ff,
    0xddddff90,0xf907dddd,0x02ff880d,0x2ffc5bf2,0x7dc3ffa8,0x807ff306,
    0x3ffffdb9,0xff9837dc,0x37bffa23,0x881bf21b,0xdff704ff,0x4413fe20,
    0x01ff66ff,0x0007fd80,0x04ffe800,0x7cc1ffe8,0x7fdc005f,0xb001ff70,
    0x47fc80bf,0xcfd80ffd,0x80ffe1ff,0x0bfe27fb,0x1ffb6fc8,0x897fe000,
    0xdff104ff,0xfd00ffdc,0x225ff889,0xff9002ff,0x22009fff,0x5bf202ff,
    0xf88006fd,0xf1bf202f,0x07ff707f,0xffa8ffdc,0x53fe2002,0x37601ff9,
    0x8013fe23,0xfffffffb,0x6fc84fff,0x9017fc40,0x807fe6df,0x07fe43dd,
    0xfa800098,0x807fe46f,0x01ffe409,0x7fdc0ffb,0x20dff100,0x3f600cb8,
    0x8001ff66,0x000007fd,0x9802ffe4,0x07ff46ff,0xf897fa00,0x0ffc804f,
    0x9fd1ffa0,0x7ff17f90,0xff701ffc,0xf9017fc4,0x0003ff2d,0xcb897fe2,
    0xfc9bf600,0x209fb00f,0x0bfe26ff,0xf19ffd10,0x20dd45ff,0x3f202ff8,
    0x4401ff76,0x05ff11cd,0x0ffe37e4,0xf8803ff2,0x005ff53f,0x7fba7fc4,
    0x04ff8800,0x3337ff20,0xc82ccccc,0x17fc406f,0x1feedf90,0x5f7fd400,
    0x407b7001,0x3fea0ffc,0x6fe801be,0xf903ffc0,0x006fd80d,0xfd9bf660,
    0x1ff60007,0xffa80000,0x3ff2000e,0x8005ff73,0x3fec2ff9,0xb82ffc40,
    0x21ffc7ff,0xf93fe5fa,0x89fee03f,0x5bf202ff,0x98001ffa,0x6cc003ff,
    0x207ff26f,0x9bfe05fc,0x7ec02ff8,0x43ffe63f,0x17fc46ff,0x3fe2df90,
    0x447ff605,0x5bf202ff,0x27fffffe,0xeeeeeffd,0xf54ffeee,0x7fc4005f,
    0x2000df94,0x3f2005ff,0x6fc8001f,0x9017fc40,0x001bf2df,0xcfffffc8,
    0x403ffa02,0xfffc87fc,0xdfd02cff,0xb03ffdc0,0x06fc80bf,0xffecba88,
    0x3bff66ff,0xeeeeeeee,0x3bff61ee,0xeeeeeeee,0xff3001ee,0xffd0001f,
    0x90009ff3,0x05ff50ff,0x315bff70,0x7c4ffff9,0xe83be22f,0xb80ffe5f,
    0x80bfe27f,0x05ff16fc,0x205ff500,0xfffecba8,0x707fee6f,0x3fe201df,
    0x880bfe25,0xeffb83ff,0x7fc42ffa,0xfb9bf202,0x3ff220df,0xc80bfe25,
    0xddffd96f,0x7fffff4b,0x5fffffff,0x44005ff5,0x00bfd4ff,0xd801bfa0,
    0xfc8001ff,0x017fc406,0x017fadf9,0xffffd700,0xbff705ff,0x827fd443,
    0xffffffeb,0x221ffec2,0x3e07fffb,0x037dc04f,0xffffff91,0x7fecdfdb,
    0xffffffff,0x3ff62fff,0xffffffff,0xe8802fff,0xf30002ff,0x0001dfff,
    0x1bfe09ff,0x7ffffdc0,0x3e27fcdf,0xff07fa4f,0xf701ffc9,0x9017fc4f,
    0x0027fcdf,0x3220ffe4,0xedffffff,0xa8bfea6f,0x3fe600ef,0xb80bfe24,
    0xfff900ff,0x05ff10ff,0x3ff637ec,0x0efffeef,0xfd80bfe2,0x7f41ffc6,
    0x9999999d,0x5ff50999,0x53fe2010,0xfb0006fd,0x0fff400f,0x2037e400,
    0x3f602ff8,0x0000dfb6,0x3ffff6e6,0xeffffd83,0x4c00dfff,0x23ffffdb,
    0xfedffff8,0xd00ffbef,0x06fb80bf,0x37bdffd1,0x9ffb37e4,0x99999999,
    0x67fec399,0xcccccccc,0xffd801cc,0x7fe40003,0xffa8001f,0x003ff901,
    0x64f7fb26,0xfcaff47f,0xff17fc43,0xf13fdc07,0xb37ec05f,0x106603ff,
    0xffe88dff,0x9bf21bde,0x1ff55ff8,0x222ffb80,0x3ff602ff,0x13fffa00,
    0xfe80bfe2,0xffffea86,0x17fc40bf,0x3ff8dfd0,0xa8006fd8,0x41bee2ff,
    0x0df92ff9,0x7fd41a98,0x1fffa802,0x406fc800,0x3fa02ff8,0xa980df96,
    0x37fd4001,0xefffffb8,0xdff50004,0xfffffd98,0x7e40ffe3,0xc837e406,
    0x9ff603ff,0x360007fd,0x6400007f,0xf00005ff,0x3f6000bf,0xcaaaaaaf,
    0xc80004ff,0x7d7fec6f,0x001ffa85,0x5ff13fdc,0xff537f40,0x7477f20b,
    0x1ffe41ff,0xffc8ffb0,0x7c401ffa,0x2015307f,0x3e603ffc,0x3ff883ff,
    0xfb01bfe0,0x01ffc403,0x83ff8dff,0x36200ffb,0x5c5ff51c,0x23ff507f,
    0x3fa00ffb,0xd806ff86,0xc8001fff,0x1ffc406f,0x3feedff0,0xb71bfa00,
    0x007fe407,0xdb8019f7,0x203ff203,0x04f80998,0xfe803fea,0xf80dfd06,
    0x001ff67f,0x00007fd8,0x0003bfea,0x4002ffc0,0xfffffff8,0x207fffff,
    0x2ff403ca,0x741bffee,0x7fc8006f,0xff80ffe2,0x206ffe46,0x4ffeffea,
    0x7fc06fe8,0x17fffc47,0xb81ffe40,0x7fcc1dff,0xffffd106,0x2e0bff05,
    0x036c06ff,0xffb82ffc,0x7c427f46,0x47ff605f,0x3fea2ffa,0xf10ffc82,
    0x0ffe609f,0xfb813ff2,0xc8001fff,0x05ff806f,0x3fe2dff7,0xe87ff304,
    0x0ff900ff,0x200cffc8,0xff900ffe,0x407f3000,0xff504ff8,0xb81bfa0d,
    0x01ff67ff,0x0007fd80,0x001fff30,0x002ffc00,0x77777fdc,0x2ffeeeee,
    0x2e05ff50,0xcffe82ff,0x007ffa20,0xbff1bf60,0xd11bfee0,0x26137fff,
    0xfd07fffd,0x43ffdc0d,0x6400effc,0x366206ff,0x0dffd85f,0xffbffd51,
    0x0bffd87f,0x80dfff71,0xbffd807f,0x8dfff710,0x7dc1aefe,0x3ff220df,
    0xf88bfea5,0xffc99cff,0x2a27fdc6,0xfd880ffe,0x3ff221df,0xaaaabffc,
    0x7e41aaaa,0xffb009af,0x3ffee217,0xd513fee6,0xdffb81ff,0x013fea21,
    0xff7027ec,0x27fd443b,0x202fd400,0x7fd44ffb,0x87ffb06f,0x367fffb8,
    0x3f60007f,0xfe880007,0x7c00001f,0x6fe8005f,0x106ff880,0x95137dff,
    0x3ff60bff,0x3fffeeff,0x3fee6200,0x885ffec5,0xf906fffb,0xffffffff,
    0xfd83bfff,0x7ffdc43f,0x7ffff447,0xffd7309b,0x0df9001d,0xffffffb1,
    0x3ffea7ff,0x3bfffe61,0x406fbeff,0x40a88bfd,0xffeffff9,0x7fe46fbe,
    0x7ffec0ff,0x20efffee,0x7fdc2ffa,0x80efffff,0xfffefffd,0x7ffec01f,
    0xfaafffff,0xffffffff,0x7ffd45ff,0xffff303f,0x8df7dffd,0xfffefffd,
    0xffffb01f,0x401bfffd,0x403fea99,0xffeffffd,0xff0000df,0xff909959,
    0xdf9fffdf,0x37fffe20,0x0ffbeffe,0x6c000ffb,0xfd80007f,0xf800003f,
    0x7fcc005f,0x03ffb003,0x3fffffe6,0x59f705ff,0x03dffffb,0x1ffffa80,
    0x7f7fffcc,0x2606fbef,0xbdfffffc,0x10dffea9,0xffdbffff,0x7ec1ff7d,
    0xffffffbc,0x200dffff,0x202fffed,0x1dfffffb,0x7ec427d4,0x0df55fff,
    0x0fffffa8,0x5ffffd88,0xfffb0df5,0xffffd505,0x2ffa817f,0xdfffffa8,
    0x3fffaa00,0xfb7000df,0x3ea5bfff,0xffffffff,0xfffb85ff,0x3fff6204,
    0xd50df55f,0x801bffff,0x4efffffb,0x37fffc40,0xfffffb80,0x7e40004e,
    0xfb704fff,0x0df71dff,0x7ffffecc,0x3fecffe3,0x00ffb000,0x004ffc80,
    0x00bff000,0x3000ffc8,0x764409ff,0x2e02bdff,0x20001985,0xb102effb,
    0x3eabffff,0x40333006,0x7fecc6fb,0x4ffe3fff,0x3ff225fc,0x801bdfff,
    0x1002deed,0x98018013,0x3b6a0001,0x0019802d,0x09980088,0x00988000,
    0x0004cc40,0x00000330,0x06600088,0x00266200,0x20013310,0x8000acb8,
    0x00000998,0x22006ee2,0x33100009,0x55ffb001,0x55555555,0x2bff6355,
    0xaaaaaaaa,0xfff31aaa,0x55555555,0x20055555,0x7fc005ff,0x07ff4005,
    0x00000000,0x03300000,0x06200000,0x44004cc4,0x00066204,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb00,0xffffffff,0x3ffff69f,0xffffffff,
    0xffff54ff,0xffffffff,0x3e00bfff,0x3fea005f,0x1ffdc002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffffb,0x9fffffff,0x3ffffff6,0xffffffff,0xffffff54,0xffffffff,
    0x17fe00bf,0x8007fd80,0x00006ff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ee98000,0x5502f5c0,0x32200530,0x9500004c,0x25993007,
    0x132e2cca,0x931cc980,0x5c599019,0x1ccb803c,0x00ccc800,0x1000e65c,
    0x4c003775,0x32000aca,0x800f2e2c,0x97000980,0x65c00039,0x3cc9801c,
    0x909d3000,0x0b32603d,0x26662013,0x00999999,0x16644997,0x65459910,
    0x7993000c,0x65c59900,0x03997003,0x00732e00,0x40007993,0xca980008,
    0x6edc401a,0x001bb003,0x01e5c599,0x2a04c408,0x809ff2cc,0x83f204ff,
    0xffd005f8,0xf900009f,0x21ffd00d,0x1ff60efe,0xf52ffa80,0x749ff03f,
    0x7ffd405f,0x3fea000f,0x06ff9804,0xffffff90,0x7ffec403,0xff801eff,
    0x3201bf64,0x2fc8bdff,0x0ffffa80,0x05ff8800,0x0007ff60,0x03fe13ee,
    0xfd9cffb8,0xfffff703,0x220dffff,0x01dfb4ff,0xff98ffc8,0x07ff6003,
    0x6fe93fe0,0x0ffffa80,0x02ffc400,0x2001ffd8,0x0cfffec9,0x7ffff4c0,
    0xffe880df,0x3ea00eff,0x749ff004,0x6ffe405f,0x7dc1fc8b,0x4c0ff94f,
    0x3fe201ff,0xc801ffdd,0x002ff9ff,0x3ffbbbaa,0x5ff305ef,0xffb07fea,
    0xa97fd400,0x24ff81ff,0x3fe605fe,0x3a006fdb,0x3fea006f,0x677fd401,
    0xe882fffd,0xfffdcfff,0xfb27fc01,0xfdef980d,0xf8807fff,0x8006fdcf,
    0x22000ffc,0xfd8005fe,0x4c037cc2,0xb00bffff,0xffffffff,0x67fd40df,
    0xbfd000ff,0x7cc009fd,0x49ff003f,0x7fc406fe,0x64006fdb,0xfd1000ef,
    0x3ffea00b,0x501fffff,0xfff9bfff,0x88dfb81d,0x03fa05fd,0xbfd27fc0,
    0x7fef7cc0,0x4ffb87ff,0x3f205ff3,0xdffc9806,0x72ffa802,0x3ee003ff,
    0x6fffffff,0x1ff49fb0,0xf5003fec,0x207ee25f,0x40262099,0x9ff16fe8,
    0x001ff300,0x3e205fb8,0x07ff444f,0xfd10bff6,0x2209980f,0x88fe4009,
    0xfe801cdb,0x400bff16,0x88001ff8,0x7fc001ff,0x2a02fd40,0x7404fffe,
    0x999999cf,0x7ffe4009,0x3ffe2002,0x027ec006,0x04c41330,0x7fc5bfa0,
    0x03ff1004,0x401ff880,0xd511dff9,0xeff881ff,0x3627fdc0,0x203fe60f,
    0x266004fb,0xfc802620,0x7039b711,0x42ff49ff,0x00003ff8,0x5550aaa0,
    0x037e4000,0x360550aa,0x3fea007f,0x00003e62,0x5530554c,0x001a9801,
    0x37ec0550,0x3e23ff88,0x03ff705f,0x00000000,0xaa982aa2,0x00351000,
    0x1000d4c0,0x407f90ff,0x1ff9aefe,0x0005ff10,0x30005550,0x2a800155,
    0x51000000,0x00554c15,0x98000d44,0x17fe201a,0x3ee1ffd4,0xf8ffb01f,
    0xff81ff87,0x00000000,0x5c9ff700,0x07fd40ff,0x20001100,0x32040000,
    0x0022006f,0x7d400ffb,0x0001ae2f,0x00000000,0x03ff8800,0x1ffa9bf6,
    0x2007ff10,0x02200008,0x00008800,0x08800022,0x742fd400,0xf706e01f,
    0x003fe60d,0x80002200,0x01100008,0x40002200,0x01100008,0xf3002200,
    0x21eec03f,0x332603ff,0x5fb0df30,0x20004fb8,0x01100008,0x3e23ffb8,
    0x402fec3f,0x0defffd9,0x77fff540,0xffda801d,0x980df94e,0x80defffd,
    0x3ea007fd,0x7443f52f,0x457ae01e,0x57ae01ee,0x3ae01ee8,0x5c03dd15,
    0x401ff55e,0x10040ffa,0x7ecc05ff,0x9800deff,0x00defffd,0xdefffd98,
    0xfffd9800,0xfd9800de,0xec80deff,0xeeeffeee,0x883eeffe,0x3ffadedb,
    0x20007fb8,0x4effffdb,0xefffd980,0x7f64c00d,0x6cc00cff,0x400defff,
    0x0defffd9,0x77ffecc0,0x7fecc00d,0x7fb80def,0x00ffa800,0x7f43fcc0,
    0x0003fe21,0x9dffffb7,0xffffdb80,0x43ffb84e,0x0bfe25fd,0xffffff90,
    0x3ff207ff,0x03ffffff,0x3ffffff2,0x3f206fde,0x3fffffff,0xf5003fec,
    0xf883dfdf,0x45bf202f,0x5bf202ff,0x3f202ff8,0x6405ff16,0x980ff96f,
    0x3f2001ff,0xffff900f,0x6407ffff,0xffffffff,0x3ffff203,0x3203ffff,
    0xffffffff,0x3ffff203,0x7ec3ffff,0xffffffff,0x544fffff,0xffffffff,
    0x932fe40f,0x7fec4035,0x0effffff,0xffffff90,0x3fea07ff,0x01ffffff,
    0xfffffff7,0x3ffee05f,0x702fffff,0xffffffff,0x3fffee05,0x7e42ffff,
    0x86fb8006,0x07fe2009,0x01fdc1ff,0xfffffb10,0xd881dfff,0xffffffff,
    0x50bfea0e,0x01fee1ff,0x74c3bff7,0x67fcc2ff,0x203ffaa1,0xf910cffa,
    0x3fee0dff,0x8bffa61d,0x3ea007fd,0x5ff100cf,0xff8b7e40,0x7c5bf202,
    0x45bf202f,0x5bf202ff,0x7fcc07fc,0x7fed4402,0x43bff703,0xfb82ffe9,
    0x3ffa61df,0x21dffb82,0xfb82ffe9,0x3ffa61df,0x21dffb82,0x2622ffe9,
    0x9999ff99,0x2a099dfc,0xfb98aeff,0x66ff44ff,0x80dfffff,0xb511bffd,
    0xbff707ff,0x217ff4c3,0xd511dff9,0xeffa81ff,0x83ffd30b,0xd30beffa,
    0xeffa83ff,0x83ffd30b,0xd30beffa,0x02ff43ff,0xfeaafe40,0xbfb02eff,
    0xff897f21,0x2fff6000,0x87ffb511,0xb511bffd,0x17fcc7ff,0x04fe9ffc,
    0xfe817fe2,0xf9837dc6,0x827fc43f,0xff886ffc,0xfd9bfa05,0x0bfea007,
    0x3202ff88,0x405ff16f,0x05ff16fc,0x2ff8b7e4,0x37edbf20,0xc80bfe20,
    0xf102ffff,0x237f40bf,0x3fa05ff8,0xd02ffc46,0x05ff88df,0xbff11bfa,
    0xf8837f40,0xfd03fc87,0x8dff301d,0xfddfffff,0x3fe20fff,0x88dff104,
    0x9bfa05ff,0xff505ff8,0x3a06fe87,0xd037f46f,0x206fe8df,0x037f46fe,
    0x037ecdfd,0x7fd67ec0,0x884fffff,0x20ffffff,0x3e2003fc,0x4dff104f,
    0xff104ff8,0x640ffccd,0x201ff8ef,0x3ea00ffc,0x403ff22f,0x00ffb809,
    0xff90dff1,0xd97fd401,0x3fea007f,0x80bfe202,0x05ff16fc,0x2ff8b7e4,
    0x7fc5bf20,0x7edbf202,0x203ff806,0x80cffffd,0x3ea00ffc,0x803ff22f,
    0x3ff22ffa,0xc8bfea00,0x3fea00ff,0xa803ff22,0x85fa82ff,0x1ffb81fe,
    0x7c43ff20,0x5ffc81ff,0xfd8032e2,0x5007fe46,0x07fe65ff,0x3fee3dd8,
    0x5c7fee03,0x3fee03ff,0x5c07ff71,0x07ff71ff,0x6fc8ffdc,0xdfd0d4c0,
    0xff9119ff,0x9dd9105f,0x2003fc41,0x3f600cb8,0xd8032e26,0x207fe26f,
    0x406fcff9,0x4ff805fd,0x006fbfea,0x3f602fe4,0xf805fd86,0x400ffb4f,
    0x3e202ffa,0x45bf202f,0x5bf202ff,0x3f202ff8,0x6405ff16,0xf00dfb6f,
    0x64c4407f,0x2fec2fff,0xbfb27fc0,0x7ec9ff00,0x364ff805,0x24ff805f,
    0x4ff805fd,0x07f84fb8,0xff880df9,0x6c039512,0x366001ff,0x402fec6f,
    0x00ff74ff,0x4401ff90,0x01ff93ff,0xffc9ffc4,0x64ffe200,0x3fe200ff,
    0x7401ff73,0x03bffa6f,0x20007ff4,0x3ff623fc,0xfd98002e,0x37ecc006,
    0x3fa01ff1,0x27f403ff,0x3f22ff40,0x202cffff,0x37e405fe,0x7f4027f4,
    0x5400ffb5,0x3fe202ff,0x7c5bf202,0x45bf202f,0x5bf202ff,0x3f202ff8,
    0xf880df96,0x3fe2003f,0x74027f46,0x2013fa5f,0x013fa5fe,0x04fe97fa,
    0x13fa5fe8,0x3f617fa0,0xfd837cc2,0x003ff805,0x5441ffcc,0x6ffffecb,
    0x7f4027f4,0xb000df95,0xddddddff,0x3f69ffdd,0xeeeeeeef,0xdffb4ffe,
    0xfddddddd,0x3bbff69f,0xffeeeeee,0x2609ff14,0x0bffa3ff,0x2001ffa8,
    0x77ff47f8,0x975103ff,0x20dffffd,0xfffecba8,0xb807fc6f,0x7fc00fff,
    0xb86fd804,0x2ffffffe,0x7dc04ff8,0xd804ff86,0x400ff96f,0x3e201ffb,
    0x45bf202f,0x5bf202ff,0x3f202ff8,0x6405ff16,0x980ff96f,0x7e4002ff,
    0x2013fe0f,0x013fe6fd,0x04ff9bf6,0x13fe6fd8,0x4ff9bf60,0x9956fd80,
    0xfb999bff,0x3fe5999d,0x005fe804,0x3f225ff8,0xfedfffff,0x6c027fc6,
    0x000bfd6f,0xfffffffd,0x3abfffff,0xffffffff,0xffd5ffff,0xffffffff,
    0x3fffabff,0xffffffff,0x513fee5f,0x7fec1ffd,0x00ffe200,0x37e63fc8,
    0x6441ff30,0xedffffff,0x7ffe446f,0x46fedfff,0x17fe207f,0x3a013fa0,
    0x3f6e605f,0x27f43fff,0x3fa1bee0,0xf95fe804,0x3fee001f,0x80bfe201,
    0x05ff16fd,0x2ff8b7ec,0x7fc5bf60,0x7ddbf602,0x00ffcc07,0xfe8ffe60,
    0x3a5fe804,0x25fe804f,0x5fe804fe,0x3fa013fa,0x3a013fa5,0xfffffb5f,
    0xffffffff,0x2013fa9f,0xff8004ff,0x7bdffd15,0x3fa37e43,0xfb5fe804,
    0x3bfd000d,0x33333333,0x2677fa13,0x99999999,0x3333bfd0,0x21333333,
    0x99999dfe,0x6c099999,0xffffefff,0x7c03fe41,0x8df1003f,0x89ff42fc,
    0x21bdeffe,0x3ffa26fc,0x1bf21bde,0x17fc40fd,0x7c02fec0,0x3fea005f,
    0x3202fe46,0x805fd86f,0x03ff75ff,0x8803ff60,0x5bfa02ff,0x3fa02ff8,
    0x7405ff16,0x405ff16f,0x03ff56fe,0x4ca87fdc,0xfb1ffcc0,0x6cbff00b,
    0x25ff805f,0x5ff805fd,0x3fe017f6,0x3e017f65,0x5df9535f,0x557ff555,
    0x101bf635,0x012e67ff,0x3ff27ff1,0xfb1ff603,0x32bff00b,0xb0d4c06f,
    0xdfb000df,0x00dfb000,0x8000dfb0,0x0dffffea,0x2201ffb8,0x7f9002ff,
    0xa7e41fe8,0x3f603ffc,0xd80fff27,0xf703747f,0x03ff200d,0x36e3ff98,
    0xb83ff203,0x1bfa00ff,0xf9803ff2,0x00bff33f,0xf880dff1,0x45bfe03f,
    0x5bfe03ff,0x3fe03ff8,0x7c07ff16,0xe80ffe6f,0x807fee6f,0x3ff22ffc,
    0xc8ffe600,0x3fe600ff,0x9803ff23,0x03ff23ff,0x3f23ff98,0x0ffe600f,
    0x07f887f9,0xfa803ff2,0x405ff92f,0x0dfd2ffa,0x7fe47ff8,0x5cffe600,
    0x9bfa00ff,0x36200ffb,0x401ff71c,0x1ff71cd8,0xfb8e6c40,0x0736200f,
    0x22009fe8,0x3fe603ff,0xf86f9800,0xfea7dc0f,0xfd3ffc06,0x007ff80d,
    0x4c00ffa2,0x3ff604ff,0x6403ffa0,0x827fcc7f,0xff986ffa,0xe83ff604,
    0x7fe403ff,0x705ff803,0x82ffcdff,0x17fe6ffb,0xbff37fdc,0xfc9bfee0,
    0x4c5ff306,0xfff105ff,0xb027fcc1,0x27fcc1ff,0x7cc1ffb0,0x83ff604f,
    0x3f604ff9,0x813fe60f,0x17ec0ffd,0xff981be6,0xf99bfa04,0xe9bfa06f,
    0x1ffee06f,0x7ec09ff3,0x209ff10f,0x3fe23ff9,0x447ff605,0x3ff605ff,
    0x6c0bff11,0x0bff11ff,0xf880ffec,0x7fec02ef,0x200dfd00,0x42fe82fd,
    0x40dfd3fc,0x1bfa7ffb,0x4c07ffb8,0x000ffebb,0xfb113ff2,0x1dffb85f,
    0x2e13fea2,0x7ffd43ff,0x889ff906,0x7fd42ffd,0xeb999bdf,0xffb004ff,
    0x3ffee217,0x442fff66,0x3f66fffb,0xfff710bf,0x885ffecd,0x3e26fffb,
    0x13fe60ef,0x5c433ff6,0xffc82ffe,0x417fec44,0x7ec44ffc,0x44ffc82f,
    0xfc82ffd8,0x17fec44f,0x36227fe4,0x40ff82ff,0x7fec04fb,0x217fec44,
    0x3a21cffd,0x0fff62ff,0x90ffff71,0xffd889ff,0x2a27fdc2,0x7fdc0ffe,
    0x17ff220d,0x6441bff7,0x6ffdc5ff,0x717ff220,0x7e441bff,0x0ff9805f,
    0xa87bfe60,0xf9801ffe,0xfe89fb06,0xb887ffb2,0x3ff67fff,0x3fffdc43,
    0x3fea5dd5,0x6c4001ff,0xfffeefff,0xdffffb02,0x3201bfff,0xcfffefff,
    0xfffb106f,0x205fffdd,0xfffffffb,0x26005fff,0xeffeffff,0x3ffe66fb,
    0x6fbeffef,0x3fbfffe6,0x3e66fbef,0xbeffefff,0x77ffdc6f,0xe880fffe,
    0xffffefff,0xdfffb104,0x2205fffd,0xffeefffd,0xfffb102f,0x205fffdd,
    0xfeefffd8,0xffb102ff,0x05fffddf,0x07f90ff1,0xfddfff90,0xffd107ff,
    0x85fffddf,0xfedffff8,0x440ffbef,0xffeefffd,0xdfffb02f,0x3603ffff,
    0xfffeefff,0xefffd80e,0xd80efffe,0xfffeefff,0xefffd80e,0x100efffe,
    0x500ff933,0xfffddfff,0x40bf6005,0x6fc8aff9,0x3b7fffe2,0x10ffbeff,
    0xffdbffff,0x3ea1ff7d,0x05bfd33f,0x7fff5c00,0x7fdc02df,0xb804efff,
    0xfb8efffd,0x7fff5c06,0x7ecc02df,0x03efffff,0xffffd880,0xfd88df55,
    0x8df55fff,0x55ffffd8,0xfffd88df,0xd30df55f,0x803bffff,0x1efffffb,
    0xffffeb80,0xffeb802d,0xeb802dff,0x802dffff,0x2dffffeb,0xffffeb80,
    0xd0bf502d,0x3fae003f,0x5c01efff,0x01dfffff,0x7fffffb3,0xfeb81ffc,
    0x5402dfff,0x00dffffe,0x7fffff54,0x3ffaa00b,0x2a00bfff,0x0bfffffe,
    0x3ffffaa0,0x3ff600bf,0xfb1002ff,0x2005bfff,0x7fe406f9,0x7ecc1fff,
    0x3fe3ffff,0x3ffff663,0x7d4ffe3f,0x2000003f,0x98800098,0x09880009,
    0x00262000,0x004d4cc0,0x80019800,0x01980019,0x88001980,0x54400099,
    0x01310001,0x00026200,0x880004c4,0x13100009,0x55035300,0x00066000,
    0x988006a2,0x26200009,0x09988000,0x00099800,0x98000998,0x09980009,
    0x00379500,0x64000cc0,0xbdc9802e,0x00266200,0x00013310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0001ccb8,0x99003997,0x6dcc0019,
    0x265402ce,0x0737b6ea,0x1009d100,0x23cc8801,0x40000cca,0x40001ccb,
    0x0bcdedc9,0xdb951000,0x2f64037b,0x00abba88,0x33263cc8,0x3b72a000,
    0x22000abd,0x010002ca,0x4c000400,0x800bdedc,0x764003d9,0xceb98002,
    0x3d98000a,0x30274c00,0xa80037b7,0x01cc884e,0x675cc000,0x0997000a,
    0xed8e64c0,0x26540000,0x36ea2000,0x32009bce,0xa81cc89c,0x4000ffff,
    0xf5005ff9,0x3ff6009f,0xb00effff,0x3fff62ff,0x2005ffff,0x11dd14fa,
    0x409dffd9,0x4ff89ffb,0x2ffc4000,0xfffd3000,0x009fffff,0xffffffc8,
    0x6fe81dff,0x7ffffe44,0x4ffdc03f,0xf9004ff8,0xffffffff,0xfffd8809,
    0x6d401dff,0x5ea8ceff,0xffb31dd1,0xffb0039d,0x407fffff,0x2a004ff9,
    0x3f6e006f,0xbeffffff,0x04ff9800,0x5403fe20,0x006ffeff,0xff101ff1,
    0xfb700005,0x7dffffff,0x003fec01,0x0bf25ff5,0x01ff9000,0xfffa8093,
    0x80efffff,0x2ff9aff8,0x37edffc4,0x003bf200,0x6400ffb8,0xffdaaeff,
    0xff5ffb05,0xfffb97bf,0x447f6009,0xffffe9ff,0x3bf606ff,0xc80005fd,
    0xf30000ef,0xfd99dfff,0xe9801dff,0xfebcdfff,0x37f43fff,0x3f73fff6,
    0x77ec04ff,0xfe8806fd,0xfecbdeff,0xff881eff,0x0fffdcef,0xffdfff90,
    0x3fe2df7d,0xfffefffa,0x2ffff202,0x442fffca,0x1004fffc,0xfb1001ff,
    0x36a217bf,0xf9101eff,0x7ec009ff,0x743ff103,0x03fd802f,0x40005ff1,
    0x10bdffd8,0x203dffb5,0x3ea007fd,0x000bf52f,0x7dc0ffc8,0x37ffee06,
    0x2fffeccc,0x7fcd7fc4,0xff8b7f42,0x03ff1004,0x4c09fb00,0x0ffc83ff,
    0x02ffffd8,0xf005ffd1,0x6ffffc4f,0x205ffd31,0x000effe8,0x000ffc40,
    0x81bfff98,0x100effd8,0x2a209fff,0x97223fff,0x7ec44ffb,0x7fff401f,
    0x6fffc400,0x21bff200,0x7ecc3ffd,0x227fdc0e,0xff16fffb,0x7fec45ff,
    0x885ffa81,0x5e7dc7ff,0x05fb004f,0x200bff10,0xcfb81ffc,0xbf7004fb,
    0x01fe8100,0xff102fdc,0x3fe20005,0x03ff9005,0x7d400ffb,0x000ff12f,
    0x7e40ffc8,0x01dff306,0xf883ffe6,0xaa887e2f,0x2002aa60,0x2a0001a9,
    0x4c1fee02,0xfffd81ff,0x07ffc403,0x7fc4bf30,0x05ff881f,0x00002aa2,
    0xd80006a2,0xffb804ff,0x005ffb04,0x1ec3fff3,0xff301ffb,0x01aa8809,
    0x7003ffd8,0x27fcc5ff,0x7fccbfd0,0x22dff704,0xdfd02fff,0x2e03ff90,
    0x7d4261ff,0x005fb804,0x64020bfd,0xfa84c0ff,0x00ff8804,0x1013fae0,
    0x7fc401ff,0x0bfd0002,0x6c0ffc80,0x3fea007f,0x80007f62,0x37e40ffc,
    0x6401ffb8,0x4bfe23ff,0x00044079,0x11000088,0xf506fc80,0x017ff60f,
    0xf701ffdc,0xb02ffc47,0x400000df,0x22001000,0xfb000fff,0x04ffa83f,
    0x75d7fea0,0xfe813fe0,0x98008805,0x7f4005ff,0xa803fee6,0x403fea7f,
    0xbff16ff8,0x3a0ffd40,0x0736206f,0x3e6027d4,0x45fb800e,0x42dfffd9,
    0x13ea05fc,0xf000bfa0,0x2fe805ff,0x0217fc40,0xeee97ee0,0x5fc83cde,
    0xf5003fec,0x001fdc5f,0xfc81ff90,0x100dfd06,0x57fc4bff,0xffdb84e8,
    0x6dc04eff,0x404effff,0x4effffdb,0x9fd05fd8,0x400bff60,0x3fa05ff8,
    0xc813fe20,0x403dd17f,0xffd705eb,0x7ed47bdf,0x5100adff,0x7fcc0059,
    0x0007ff43,0xb0377ff2,0x13fe20df,0x6f7ffecc,0x001ff700,0x1bf22da8,
    0x3f25ff30,0xf8b7e406,0x217fc03f,0x540006fe,0x00ff404f,0x77fcc7f8,
    0x7ec2fecb,0xc809f500,0xfb10004f,0x2013f209,0xffd8aff8,0xf8ff01df,
    0x0efeeeef,0x0ffb07ec,0xf317fd40,0x7fe4000b,0xddfffd50,0x4007fec3,
    0x4bfe22a9,0x7fffec42,0x440effff,0xfffffffd,0x7fec40ef,0x0effffff,
    0x3fea13fa,0x001ffb00,0x6f883ff4,0xf901ffc4,0xc80bfe2f,0x7fff446f,
    0xfccfffff,0x06ffffff,0x24ff8000,0xa8004ff8,0x3ff705ff,0xf703ff70,
    0x5fffffff,0x0000ffb0,0xff101bf6,0xf7017fa7,0xd00bfe2d,0x00ffd89f,
    0xc813ea00,0x49f5004f,0x7f441ff8,0x7d413ee0,0x801be604,0x4c37cc08,
    0x9ff1006f,0x7fffffff,0x42fc4fa8,0xb27dc3fc,0x7fd400ff,0x80007fc2,
    0xfff70ffc,0x7fdc5fff,0xff88000c,0x237ffb02,0x6c3ffda8,0xfb511bff,
    0x1bffd87f,0x747ffb51,0x204fe84f,0x36000ffd,0x889f507f,0x5ff202ff,
    0x3f202ff8,0x8857fec6,0x2dffffea,0x0009ff93,0x3e66fe80,0xff98003f,
    0x39ffb105,0xf50bffb3,0x3fa617df,0x002ffc1f,0x200ffc80,0x09ff3ff9,
    0x3ff16fa8,0x7dc5fe80,0x3ea0001f,0x400df504,0x40fea2fc,0x41be60a8,
    0x3fd104fa,0xf91be600,0x001fe889,0x4c5ffff1,0x0bf22ffe,0x989f50bf,
    0x801ff66f,0x17e42ffa,0x10ffc800,0x4133dfb3,0x0adfffe8,0x105ff100,
    0x3fe209ff,0x4413fe26,0x13fe26ff,0x9fd37fc4,0x3601ff98,0x3f2000ff,
    0x442fc80f,0x5ff202ff,0x3f202ff8,0x5407fe66,0xff104fff,0x777775c5,
    0xeeeeeeee,0x3ea7ffee,0xdff0002f,0xfffffb80,0x40dfd02f,0x13fe26fe,
    0x1ffdc000,0x3fa9ff90,0xf8b7dc05,0x8a7f401f,0xaaadffca,0x213ea002,
    0x36000ff8,0x0003f20f,0x413ea0ff,0x7e4003fd,0x6c1fffdf,0x3fe2003f,
    0x6cdfd02f,0x3622fc0f,0x3f67f81f,0x0bfea007,0x320009f5,0x037e40ff,
    0xdfffffd1,0x17fc4059,0xfb0065c4,0xb0065c4d,0x0065c4df,0x227f4dfb,
    0x3f602ff9,0x07fe4007,0x3fe207fc,0x7c5ff202,0x99bf202f,0x3ffe204c,
    0xfc97f201,0xffffffff,0xffffffff,0x003ff71f,0xd881ffa0,0x84ffffff,
    0x3ee03ffb,0x405ff51f,0xaaaaaaa8,0x01dff11a,0x3f69fff5,0xf8b7e406,
    0xa97fc02f,0xffffffff,0x20fa6007,0x374003fd,0x3f6001fa,0xfa83e980,
    0xbfb50005,0x005fa817,0xf502ffc4,0x3fe1ba3f,0xb03fffee,0x801ff61f,
    0x37c42ffa,0x40ffc800,0xfeb806fc,0x83ffffff,0x30002ff8,0xd9800dfb,
    0x7ecc006f,0x3fe13fa6,0x00ffb03f,0x7cc0ffc8,0x202ff885,0x05ff17fc,
    0x260037e4,0x3fd406ff,0x9999bff7,0x99999999,0x3fee1ffd,0x0dfd0001,
    0x262fbfee,0x3f21effc,0x4ffe200f,0x3e603ffa,0x3fffffff,0x2eb7ffee,
    0xf74feefe,0x8b7f401f,0x3fea04ff,0xdfffdd30,0x70000bdd,0xffec98bf,
    0x1fd1fa0c,0x4007e800,0xff300ff8,0x03fe2000,0x3fe23fcc,0x7e9ffc02,
    0x0efeeff8,0x07fd9fa0,0x3a0bfea0,0xffc8000f,0x10037e40,0xbfffffb7,
    0x4402ff88,0xffffecba,0xfd975106,0x2a20dfff,0x6ffffecb,0x3fe613fa,
    0x007fd84f,0x1fdc3fec,0xf9017fc4,0xc80bfe2f,0xd975106f,0xdddfffff,
    0x1ffddddd,0x2000bfea,0x0bfe67fd,0x4437fc00,0xdff105ff,0x77777fec,
    0x14ffeeee,0x7fcc0bff,0x43ffffff,0xeffffffc,0x9ff13fe8,0x7c5bfea0,
    0x0dfd00ff,0x00003fee,0x3e20ff88,0x365ffddf,0x4407f21f,0x001be20b,
    0x3fa205fb,0x05fd0007,0xff11ffa2,0xfb4ff803,0x17e65f83,0x0ffb37c4,
    0x6417fd40,0xffc8003f,0x00037e40,0x44bfff73,0xff9102ff,0xdfdbffff,
    0xfffffc88,0x6446fedf,0xedffffff,0x4413fa6f,0x3f60effe,0x437f4007,
    0x2ff881fd,0x7fc5ff20,0x321bf202,0xfdffffff,0xffffffff,0xff31ffff,
    0x8dfd0007,0xf88003ff,0x02ffa85f,0x7ff43ff2,0xffffffff,0x01bfa5ff,
    0x260ffe20,0xff0bdfed,0x2a27fdc7,0xfff16fff,0x0ffec43d,0x0000ffb8,
    0x7fb0bfa0,0x3fb87fc4,0x17ec13ea,0x7dc00bf5,0x01fffa04,0xfe813ee0,
    0x00ffc47f,0x21fdd7fa,0x541fdc5f,0x801ff25f,0x5f981ffb,0x40ffc800,
    0x880006fc,0x5ff10ffe,0x7bdffd10,0xfd137e43,0x7e437bdf,0x37bffa26,
    0xfe9bf21b,0xb37fe404,0x6ff800ff,0x5ff107f8,0xff8bfe40,0xe89bf602,
    0x3e1acfff,0x999999df,0x3fe21999,0x2ffc4005,0x2e0017fa,0x07fc82ff,
    0xdfe9ffc4,0x99999999,0x03ff2099,0x007ff100,0x7ec1ff88,0xfefffeff,
    0xdffdff16,0x6c05fffd,0x3200006f,0xff88104f,0xdfd8bf10,0xfc8bf932,
    0x01df3002,0x001ff3f6,0x3f601df3,0x0ffc47fc,0x2fc53fe0,0x907fa17e,
    0x007fe45f,0xff01ffb8,0x81ff9000,0x05da86fc,0x7c4bfea0,0x03ffc82f,
    0x3ffc9ff6,0xffc9ff60,0xfe9ff603,0xb1ffb804,0x7fcc00ff,0xf882fd44,
    0x45ff202f,0x9bfa02ff,0x3fe02ffc,0x3ffb0005,0x217fe400,0x22002ffc,
    0x0dfb07ff,0x1bf69ff0,0x01ffd400,0x000ffe20,0xfd501ff5,0x2df91dff,
    0xffeaaff8,0x27fc02df,0x06f98000,0x5fb17f20,0x7ffffec4,0x801be60e,
    0x2bf901fe,0x0ff4007f,0x88ff5fc8,0x1ffc02ff,0x4c2fc5fb,0xf71be66f,
    0x3ff2003f,0x7c43fb00,0x90ffb02f,0x03ff50df,0x7c4ffe20,0x406fe82f,
    0x01bfa7ff,0x037f4fff,0x04fe9ffe,0xffb3ff88,0x20ffec00,0x2a6002fc,
    0x80ffe200,0x81bfa6ff,0x75c07ff8,0x017fe60c,0x7cc37fc4,0x3ff2006f,
    0x401ff904,0x1ff72ffa,0xf10e6c40,0x7cc007ff,0x403fd33f,0x04c406fe,
    0x8bfe2df9,0x1ff30018,0x3fd10000,0x81dfb100,0x6e542ff8,0x017fcc0b,
    0xdf503fc8,0x7f9003fc,0x47f9bee0,0x3ea04ff8,0x64bfe21f,0xff339703,
    0x805ff985,0x3ee06ff8,0xfe81ffc4,0xf886fc85,0x3ff5004f,0x3fa0bfe2,
    0xe9ffee06,0x9ffee06f,0x3fee06fe,0x75c53fa7,0xfd9ffcc0,0x0dff3007,
    0x7dc001fd,0x0bff01df,0x6ff9bfee,0x40bfffa0,0xffd85ff9,0x17ff4c04,
    0x400effb8,0x3ea06ffc,0x43ffa04f,0x3f605ff8,0x1fffd41f,0x89fffdc0,
    0x3ff505ff,0x22df9000,0xe88002ff,0xfb00002f,0x1bff3007,0x400bfea0,
    0xf5004ff9,0x26bfe60d,0x54009ff9,0x35ff306f,0x3e213ff3,0x0dfd00ff,
    0x26005ff5,0x7ffd04ff,0x203ffc80,0x437f46f8,0x6fc84ff8,0x8809ffb0,
    0x0bfe26fe,0xf710fff6,0x1ffecfff,0xd9fffee2,0x7fdc43ff,0x7cd3fa7f,
    0x1ffb10df,0x45641ff6,0x7c42fffb,0x7ecc4006,0x217ffb05,0x366fffb8,
    0x7fecc2ff,0x3a60bffe,0xffe881ff,0x3fee61ae,0x7ffec04f,0xffd5309b,
    0xcffd803f,0x713ff6a0,0x7e441bff,0xdfff905f,0xfd953359,0x7fec1bff,
    0x001ffd42,0x5ff16fc8,0xeffe9800,0x989acdef,0x017ea02c,0x2e00ffe6,
    0xb980acff,0xff1004ff,0x3fffea01,0x2203ffff,0xfff500ff,0x227fffff,
    0x3621efff,0x9ff701ff,0x9ff73015,0x5efff440,0x4ffeb999,0x3ee0fe80,
    0xffea8aef,0x09affc82,0x2afbffa6,0x2fffca98,0x3e20bfe2,0xeffedfff,
    0xfff10ffb,0xf7dffdbf,0x3fffe21f,0xffbeffed,0x7fd49fd0,0x363fffef,
    0xffffb87f,0x04fb83ff,0x260df900,0xeffeffff,0x3ffe26fb,0xb0dfffdf,
    0xffffdfff,0xffffd805,0x03ffffff,0xffffff70,0x001dffff,0xffdfffd1,
    0x3ff60bff,0x0efffeef,0x3ffffea0,0x1effffff,0xfefffe88,0x320005ff,
    0x005ff16f,0xffffffa8,0x5fffffff,0x9801ff10,0x09999bff,0x9bfffd30,
    0x005ffffb,0x331017ec,0x013ff333,0x331017ec,0x213ff333,0xeeffcff8,
    0x74c03fff,0xffdcdfff,0xff9802ff,0xffffffff,0xe85f9005,0x3fffffff,
    0x87ffff50,0xffffffe8,0x7c41ffff,0xfffb302f,0x31ffc7ff,0x47fffffb,
    0x3ff663ff,0x4ffe3fff,0x7fed44fe,0x43fec2ff,0x02efffdb,0x76c003fb,
    0x36202fff,0xdf55ffff,0xeffffe98,0xffffeb83,0xffb7001d,0x0039dfff,
    0xfffffc88,0xfb8001bd,0x402fffff,0xbfffffea,0xfdb98800,0x403defff,
    0x2dffffc8,0x8b7e4000,0xef8002ff,0xffda989b,0x5fd05fff,0xfffffd00,
    0xfda805ff,0x002effff,0xf8002fdc,0x002fdc07,0x4ffc47f8,0x01efffea,
    0x3ffff6a0,0x64c002ef,0x3effffff,0x9117ea00,0x807dffff,0xb704fffb,
    0x19dffffd,0x8805ff10,0x4c400099,0x4cc40009,0x19880000,0x00262000,
    0xeed80055,0x0066002d,0x22003310,0x22000099,0x22000019,0x22000019,
    0x99800099,0x09980000,0x00198800,0xcc8f2a00,0x98018001,0x09d5009a,
    0x55555510,0x4c400155,0x1bb10000,0x880aa000,0x550000dd,0x00026200,
    0x00001310,0x00026a66,0x01330154,0x31000880,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x000bcedb,0x88079500,0x01cdedca,
    0xcccc8800,0xcccccccc,0x3222cccc,0x00f2e01c,0x33207970,0x00079903,
    0x01003991,0x26666031,0x2a809999,0x775c0298,0x19990001,0x0002ee98,
    0xee9813b2,0x30026541,0x99980399,0x20099999,0x0e640980,0x01997000,
    0x8804ee98,0x19999999,0x664c7970,0xcccccb81,0x4001aabc,0xbccccccb,
    0xd50001aa,0x6664c07d,0xcccccccc,0x9984cccc,0x20999999,0x3ae01ee8,
    0x400f2e05,0xcc983cc8,0x00b32a02,0xffffffb1,0x800019ff,0x3ff206fc,
    0x2effffff,0x3fff2000,0xffffffff,0x225fffff,0x1bfa02ff,0x3e0dfd00,
    0x00bff06f,0x4c05ff10,0x5f99cefe,0xffffff88,0x20fc84ff,0x7fe405f8,
    0x4ffa8001,0x0003ff98,0xff9817f6,0x5003fec1,0x7fcc05ff,0x82ffffff,
    0xfb8beffb,0x000bfe23,0x4c027fcc,0xffb806ff,0x81ffffff,0x0bfd3ff9,
    0x3ffffff6,0x003effff,0xfffffffb,0x8007dfff,0x3ea04ffb,0xffffffff,
    0x47ffffff,0xfffffff9,0x80bfe23f,0x3fee06fc,0x41ffd802,0x882ffff8,
    0x3ea00eff,0xfeccefff,0x20000eff,0xffe986fc,0xfffebcef,0xff88003f,
    0xffffffff,0x5fffffff,0xfe80bfe2,0x837f4006,0x0bff06ff,0x405ff100,
    0xfffffdfe,0xeeeee882,0xff883eee,0x6401ffdd,0xfe8001ff,0x005ff305,
    0xf302fec0,0x007fd83f,0xe980bfea,0x2eeeeeee,0x7ffeffc4,0xbff970ff,
    0xb0059999,0x3fe600df,0xeeeea806,0xf701eeee,0x3601df9f,0xffffffff,
    0x400effff,0xfffffffd,0x00efffff,0x5409ff70,0xffffffff,0x7fffffff,
    0x7777774c,0x0bfe22ee,0x7f406fc8,0x42ffcc06,0x41ffaefe,0x3e600ffb,
    0xfc981bff,0x3f20006f,0x067ffc46,0x027ffd44,0x7d4bff20,0xff88002f,
    0x001bfa02,0x17aa0dfd,0x44002ffc,0x49f102ff,0x00002dc9,0x02dffc98,
    0x77d40000,0x0007e600,0x3e605fd8,0x5ffd531f,0x55555555,0x0159ff95,
    0x44bee000,0x3ffa1dda,0x03ffffff,0x88007fcc,0x000002aa,0x201fffd8,
    0x3aa607fd,0x3fec05ff,0x0bffd530,0x0006aa20,0x00007fe4,0x202ff880,
    0x7fd406fc,0x903ff603,0x83bf63ff,0x3fa202ff,0x3ffe803f,0xd8df9000,
    0xff9802ff,0xdff1001f,0x40017fd4,0x3fa02ff8,0x037f4006,0x217fe09d,
    0x017fc400,0x00220000,0x80000000,0x07cc00a9,0x40bfb000,0xfff91ff9,
    0xffffffff,0xffffffff,0x00011003,0x4dffcc40,0x54c00999,0x00044001,
    0x2a200088,0x03fec01a,0x3603ffc8,0x7ff9007f,0x80002200,0x00000ffc,
    0x6405ff10,0x0ffd806f,0xaa84ff98,0x5446aa21,0x02ffdc02,0x1006ff98,
    0x3fea6fc8,0x1bfea004,0xf517fdc0,0xff10005f,0x0037f405,0x17cc1bfa,
    0x016c5ff8,0x8800bfe2,0xfffdb800,0x800004ef,0x10000ee9,0x2017a201,
    0x9817f600,0xffd951ff,0x99999999,0x19bffb99,0x3bfff660,0xf880000d,
    0x0400042f,0xbdfffb30,0xfffd9801,0x004000de,0x7f400ffb,0x00ffb00f,
    0xc9807ff4,0x000cfffe,0x22007fe4,0x57ae01ee,0x3f202ff8,0x84ff9806,
    0x00000ffe,0x000ffe80,0xfda806ee,0x74df94ef,0x7ec000ff,0xa8dff007,
    0xf88002ff,0x01bfa02f,0x13e0dfd0,0x5fd15ff8,0x442ff880,0xffec88ee,
    0xfffd884e,0x00efffff,0x2e003dd1,0x4774407f,0x44effec8,0x75cbb249,
    0x7ec0dfff,0xb07fe605,0x7fd400ff,0x3ffff202,0x2203ffff,0x5ff101ee,
    0x15bffdb1,0x7fd47744,0x7fffdc3e,0xf702ffff,0x5fffffff,0xff51dd10,
    0x00ffb07d,0xfd81ffd4,0x0ffea007,0x3fffffea,0x3f2001ff,0x17fc400f,
    0x3fe2df90,0x401bf202,0x3fea0ffc,0x40f74403,0xff301ee8,0xfc80000b,
    0xfdefffff,0x0009ff16,0xfb803ff7,0x017fd42f,0xd017fc40,0x6fe800df,
    0x9dff8010,0xff8804fe,0xd3ff11aa,0x8dffffff,0xb511bffd,0x3fe607ff,
    0x80df9001,0xfffe9ff8,0x3f606fff,0xffffffcb,0x9817f61f,0x03fec1ff,
    0x2e05ff50,0x3fa61dff,0x03ff302f,0x3ffb3fe2,0x3e26ffff,0x24ffffaf,
    0xd30beffa,0xeffa83ff,0x83ffd30b,0xffffaff8,0x2007fd84,0xffb04ff8,
    0x227fc400,0xd511dff9,0x3f2001ff,0x17fc400f,0x3fe2df90,0x401bf202,
    0x1bfa5ff8,0x2607fe60,0x9ff501ff,0x7fd40000,0xdfff910c,0x2000ffe6,
    0x7f403ff9,0x002ffa86,0x3a02ff88,0x37f4006f,0xffeff800,0xfbff1003,
    0x37fffe23,0x225ffd31,0xdff104ff,0x2007fe60,0x7c404ff8,0xfd31dfff,
    0x3fff605f,0x5ffc98be,0xff9817f6,0x5003fec1,0xbff105ff,0xf9837f40,
    0xffff101f,0x7ffd715b,0x2f3fffe2,0xe81bfa1d,0xd037f46f,0xffff88df,
    0x7fd81dbc,0xd837fc00,0x37fc007f,0x3ea0bff1,0x1ff9003f,0x202ff880,
    0x05ff16fc,0xf70037ec,0x003ff73f,0xff303ff3,0x00bfee03,0x827fc400,
    0x5ff56ffc,0x817fe000,0xffa83ffb,0xeeeeeeee,0xa97fc45e,0x20dfd2ee,
    0x037f46ed,0x01ffff80,0x43bffe20,0xf881fff8,0x4019715f,0x3ff306fd,
    0x00ffe880,0x440fffc4,0x9ffb05ff,0x7ec3ff60,0xb07fea06,0xffffffff,
    0x5fffffff,0x5401ff90,0x1ff982ff,0x103fff10,0x3ffe2bff,0x407ff702,
    0x7ff71ffb,0xf10ffdc0,0x74cc05ff,0x099999ff,0xe998ffb0,0x099999ff,
    0x7fccffb0,0x400f7601,0x7c400ffc,0x45bf202f,0x1bfa02ff,0xbfdbfd00,
    0x207fe600,0xff701ff9,0x3ee00003,0x2dff100f,0xd0001ffb,0x83ff40df,
    0xfffffffa,0x7c47ffff,0x3a7ff52f,0xe8ffd06f,0xfff0006f,0x5ff88003,
    0xfb02ffc4,0x37ecc00d,0x2201ff98,0xf8802ffe,0x41bf605f,0xff500ffd,
    0xfb81ff63,0x7fffec1f,0xffffffff,0x5fd82fff,0xf984ff80,0x0bff101f,
    0x5ff8b7f4,0x8803ff20,0x01ff93ff,0xff11ffc4,0xfffff80b,0x904fffff,
    0x7fffc1ff,0x04ffffff,0x1fee1ff9,0xcccc8800,0x3ccccffe,0xf9017fc4,
    0xff01ffcd,0x6666440d,0xccdffffe,0x03ff304c,0x3ea03ff3,0xf900002f,
    0xf76fd80b,0x3fa0003f,0x207ff506,0xccccdffa,0x7c44cccc,0x3a7ff52f,
    0xe8ffd06f,0x7ec4006f,0x7f44005f,0x027fc42f,0x97510ff9,0x20dffffd,
    0x3fa01ff9,0x9ff1002f,0xfd83fe40,0x6c7fe607,0xfff883ff,0x5557fec1,
    0xcaaaaaaa,0x04fe82ff,0xff985fe8,0x409ff101,0x09ff17fc,0x77777fec,
    0xb4ffeeee,0xddddddff,0x7c49ffdd,0x7fe6404f,0x02cccccf,0xffcc8ffb,
    0x02cccccf,0x037e4ffb,0xfffff100,0x8bffffff,0x3f202ff8,0x7dc17fa6,
    0x3ffe206f,0xffffffff,0x3ff307ff,0x2603ff30,0xd00003ff,0x36fc80bf,
    0x3e0005ff,0x57ffd06f,0x5ff95555,0x05ff1000,0x3a0037f4,0x7ff4006f,
    0x7ff4005f,0x01ffc42f,0x7fe44ff9,0x6fedffff,0x3603ff30,0x3e2002ff,
    0x41ff203f,0x3fe606fd,0x217fffb2,0x6c1fffea,0x3fea007f,0xd804ff82,
    0x01ff986f,0x7dc07ff1,0x7407ff17,0xffffffff,0xffd5ffff,0xffffffff,
    0x1ffc4bff,0x4007fd80,0x0ffb06fe,0x3fa6fe80,0x4ccc0005,0x999affc9,
    0x9017fc40,0x85ffecdf,0x206fffb8,0xfdccccc8,0x04ccccdf,0xff303ff3,
    0x002ffc03,0x5c04ff80,0x000ffe6f,0x3ea17fe2,0xffffffff,0x88002fff,
    0x1bfa02ff,0x800dfd00,0x4005ffbf,0x7c42ffae,0x45ff202f,0x21bdeffe,
    0x3ff306fc,0x8005ff50,0x3f202ff8,0x4c0bfb07,0xffdfb2ff,0x3ffbffff,
    0x2a007fd8,0x04fe82ff,0xff985fe8,0x405ff101,0x05ff17fb,0x4ccceff4,
    0xd0999999,0x333333bf,0x7c413333,0x0ffb002f,0xfb04ff80,0x24ff800f,
    0x400006fd,0x7c400ffc,0x89bf602f,0xeffefffe,0xfa8006fb,0x3fe6000f,
    0x201ff981,0x7d4006fe,0x7013fa1d,0x002ff4df,0x7f417fdc,0xffffffff,
    0x88002fff,0x1bfa02ff,0x800dfd00,0x8800bff2,0x7fc42ff8,0x7e5ff202,
    0x41ff603f,0x7fc81ff9,0x17fc4080,0x3f60ff90,0x6cbfe605,0x5ffff9df,
    0x07fd83ff,0x360bfea0,0x85ff805f,0xff101ff9,0xf8bfdc05,0x01bf602f,
    0x4001bf60,0xfb002ff8,0x1ffcc00f,0x26007fd8,0x01bf23ff,0x3f200353,
    0x17fc400f,0xfd98dfd0,0x0df55fff,0xfcaaaaa8,0x02aaaabf,0xff303ff3,
    0x00ffe403,0x7e41ffb0,0xf937e405,0x7fc4005f,0x01ffcc0f,0x2000bfea,
    0x3fa02ff8,0x037f4006,0x8005ff80,0x7fc42ff8,0x7f5ff202,0x983ffc06,
    0x06fd81ff,0xff88ffdc,0x6c1ff202,0x4bfe605f,0x400625fd,0x3ea007fd,
    0x00ffc82f,0x3e60ffe6,0x05ff101f,0x2ff8bfdc,0x8803fee0,0x01ff71cd,
    0xff10e6c4,0x01ff6005,0xfb01ffd8,0x0ffec00f,0x7f401ff7,0x01ff9006,
    0x3e03ff88,0xf706606f,0x7fffc403,0xffffffff,0x03ff307f,0x7cc03ff3,
    0xffa800ff,0xd007fdc5,0x037fccdf,0xfb09ff90,0x2ffa801f,0x02ff8800,
    0xfd001bfa,0x17fe000d,0x10bfe200,0xbfe405ff,0x3fee06fe,0x903ff307,
    0x3ff405ff,0x7e405ff1,0x4c0bfb07,0x00bfb2ff,0xa801ff60,0x4ff982ff,
    0x2603ff60,0x5ff101ff,0xff8bfdc0,0x817fe202,0xbff11ffd,0xf10ffec0,
    0x1ff6005f,0xb037fcc0,0x3fe600ff,0x9827fc46,0xff9003ff,0x20bff001,
    0x64006ffb,0xaaaaa807,0xaaaabffc,0x303ff302,0xffc803ff,0x0fffcc06,
    0x7d413fe6,0x077fdc6f,0x261bff20,0xffa804ff,0x2ff88002,0xd001bfa0,
    0x3fe000df,0x2ff88005,0xf9017fc4,0x710fff6f,0x3e60ffff,0x05ff981f,
    0x7fc4bff5,0x6c1ff202,0x4bfe605f,0xfb0005fd,0x17fd400f,0x6c44ffc8,
    0x3ff302ff,0xb80bfe20,0x805ff17f,0x3220dffb,0x6ffdc5ff,0x117ff220,
    0x3f6005ff,0x0fffa807,0x2a01ff60,0xffb80fff,0x007ff544,0xd800ffc8,
    0xff710bff,0x0fd800df,0x00ffa800,0x2607fe60,0x7f4401ff,0xc988acef,
    0xff703fff,0x86fffa87,0x309bfffd,0xb03fffd5,0xff5001ff,0x55555559,
    0x17fc4555,0x5555dfd0,0x3a555555,0xaaaaaaef,0x77fc2aaa,0xaaaaaaaa,
    0x10bfe22a,0xbfe405ff,0xfedffff8,0x980ffbef,0xfff901ff,0x1fffb539,
    0xf9017fc4,0x9817f60f,0x00bfb2ff,0xa801ff60,0xffb102ff,0x05fffddf,
    0xf880ffcc,0x45fee02f,0xffd802ff,0x0efffeef,0xfeefffd8,0x7fc40eff,
    0x55ffb002,0xffd99555,0xaffd805f,0xfeccaaaa,0x3ff602ff,0x01ffffef,
    0x2003ff20,0xffeffff9,0x64006fbe,0x800a88cf,0x26000ffa,0x1ff981ff,
    0xffffe880,0x03ffffff,0x7ff7ffe4,0xff706fcf,0xffffffff,0x0bff301d,
    0x3ffffea0,0x7fffffff,0xfe80bfe2,0xffffffff,0xffffd6ff,0xdfffffff,
    0xfffffff8,0x227fffff,0x17fc42ff,0x7eccff90,0x3fe3ffff,0x201ff983,
    0xfffffffc,0x017fc41e,0x17f60ff9,0xbfb2ff98,0x01ff6000,0x5c02ffa8,
    0x02dffffe,0xf880ffcc,0x45fee02f,0xfd5002ff,0x4017ffff,0xbfffffea,
    0x002ff880,0xfffffffb,0x005dffff,0xfffffffb,0x005dffff,0x1bffffd5,
    0x00ffc800,0xbffffb10,0xf3001bea,0x5003ffff,0x7cc001ff,0x01ff981f,
    0x3ffff6a0,0xb7000cff,0xdf71dfff,0x7fffe440,0x3f601bdf,0xfff5001f,
    0xffffffff,0x017fc4ff,0xfffffffd,0x3fadffff,0xffffffff,0x7fffc6ff,
    0xffffffff,0xf10bfe27,0x43fe405f,0x4c000998,0x764c01ff,0xff103def,
    0xd83fe405,0x4bfe605f,0xfb0003cb,0x17fd400f,0x20009880,0xff101ff9,
    0xf8bfdc05,0x0998002f,0x40099800,0xfb002ff8,0xdfffffff,0x7fec005b,
    0xdeffffff,0x09988002,0x01ff9000,0x00003300,0x801676cc,0x26000ffa,
    0x1ff981ff,0x01333000,0x0004c400,0x00003310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00266440,0x401ccb80,
    0x073263cc,0x79906654,0x877b6e60,0x473264cb,0x265c4cc8,0x54797000,
    0x8007974c,0x991003cb,0xbba88039,0x9999700a,0x00035999,0x99707930,
    0x99999999,0x665c9999,0x6664000c,0x99999972,0x2a015559,0xcccccccc,
    0x000ccccc,0x44007991,0x007321cc,0x4c009950,0xc87321cc,0x3326001c,
    0x27dd9501,0x99999998,0x97099999,0xcc980039,0x99999933,0x99999999,
    0x33332e99,0x0aabcccc,0x000665c0,0x0ccb9e64,0x2a399100,0xccc800cc,
    0xd52cc800,0x3ff6005d,0x7cc0005f,0xaffa805f,0x3a205ff8,0x301ff95f,
    0x4c1fffff,0xc8dfd3ff,0x01ff62ff,0x3f25fe80,0xe800dfd7,0xffe8806f,
    0x3fff6204,0x7f40cfff,0xffffffff,0xe88000ef,0xffffd85f,0xffffffff,
    0x7fffd0ff,0xafffcc00,0xfffffffd,0x642dffff,0xffffffff,0x000fffff,
    0x2001fff7,0x5ff12ff8,0x007fd800,0x7fc4bfea,0x4005ff12,0xffc82ffa,
    0xffff95ff,0xffffffff,0x003ffe69,0xff51ffe8,0xffffffff,0x36ffffff,
    0xffffffff,0x700effff,0xf98005ff,0x009ffd3f,0x7fd4bfe6,0x1fffd402,
    0x7dcffe60,0x9ffb802f,0x320003ff,0xff9000ef,0xff300dfb,0x3f603ff9,
    0xffb84bdf,0x6fd80ffc,0xe8001ff6,0x7f5ff25f,0x037f4006,0x8813ffa2,
    0xffddffff,0x3fffa0ef,0xffffffff,0x7fec001f,0xfffffd85,0xffffffff,
    0x0dfffd0f,0xdafffe40,0xffffffff,0x321fffff,0xffffffff,0x000fffff,
    0x2009fffd,0x5ff12ff8,0x007fd800,0x7fc4bfea,0x4005ff12,0x7fcc2ffa,
    0xfff92bcf,0xffffffff,0x02ffe49f,0x3ea3ffc8,0xffffffff,0xb7ffffff,
    0xddddddff,0x03ffffdd,0xc800bff1,0x3fffd0ff,0x225ff300,0x7fe404ff,
    0x87fdc05f,0x7cc02ffb,0x003ff73f,0x8003ff10,0x7000fffe,0x7fc07fff,
    0x1fffd805,0x3f65fd10,0x82620007,0x00dfd198,0x3a206fe8,0x7fec04ff,
    0x97fee20a,0x3f2606fe,0x3fea006f,0x007fd85f,0x07ffffa0,0xdaffffc0,
    0xfffd807f,0x0000ff90,0x0ff7ff30,0x7c4bfe20,0x3fec002f,0x545ff500,
    0x005ff10a,0x3ea17fd4,0x9999882f,0xffe99999,0x2017ff40,0x32005ff9,
    0x3fec00ff,0x83ffe440,0x3e000ffd,0x3bfffa5f,0xd17fcc00,0xfdfe80df,
    0x0037ec07,0x15542aa8,0x000d4c00,0x2000d544,0x1ffc02aa,0x200d5440,
    0x55ffb1a8,0x00333555,0x4006fe80,0xffd106fe,0x05ff9807,0x37f43ffa,
    0x400ffdc0,0xd85ffff8,0x3fa0007f,0xfa803ffd,0x0ffb5ffe,0x7e4bff20,
    0xfd800007,0x8802ff8d,0x05ff12ff,0x2007fd80,0x3e202ffa,0x3fea002f,
    0x0007fdc2,0xf982ffb8,0x3ffa00ef,0x03ff2000,0x7400ffb0,0x3ffa81ff,
    0x745ff500,0x4c04ffff,0x81ff22ff,0x02ff9ff8,0x000013fe,0x00000000,
    0x10000011,0x000007ff,0xffffffd8,0x00cfffff,0x4006fe80,0xffe886fe,
    0x02ffb803,0x37f47fea,0x401ffcc0,0xd85fdcfd,0x3fa0007f,0xfc806fcd,
    0x0ffb5ffb,0x7e53fe60,0x7c400007,0x100bfb3f,0x0bfe25ff,0x400ffb00,
    0x3e202ffa,0xff50042f,0x0007fb85,0x7e40bff1,0x07ff704f,0x400ffc80,
    0x3ea007fd,0x00dff03f,0xbbfd1bf6,0x7fcc03ff,0x5c07fea2,0x2609fd6f,
    0x276402ff,0x3a209dd0,0x3bbbb61e,0x1eeeeeee,0xfd911dd1,0xdddb09df,
    0xdddddddd,0x200ffe23,0x3a202ee8,0xfffffb1e,0xffffffff,0xe83dd103,
    0x37f4006f,0x400fffa2,0x7fd404a9,0xf300dfd1,0xb6fb805f,0x00ffb0bf,
    0x7fceff40,0x7fc7fc01,0x7c00ffb5,0x000ff96f,0xf70ffb80,0x2ff8801f,
    0xdb105ff1,0x003fec1b,0x3ba25ff5,0xd915ff12,0xffa87dff,0xddffdd92,
    0x077f400b,0xf307ffa0,0xff9000bf,0x007fd801,0x7e413fe6,0x1ffc401f,
    0x3bfe37fa,0x445ff300,0x29fb03ff,0x1ff706fb,0xf307fb80,0xd1fea0ff,
    0xffffffff,0x3fe23fff,0xffffffe9,0x7fffff46,0x11ffffff,0xff1007ff,
    0xd8ffcc05,0xfd33107f,0x1ff981df,0x3a0037f4,0x0bffa26f,0x3ff60000,
    0xf700dfd0,0x8ffcc01f,0x07fd85fd,0x7f57fa00,0x7fdbea03,0x2a00ffb5,
    0x00ff94ff,0x225fe800,0x7fc404ff,0xe885ff12,0x03fec1ff,0x3e25ff50,
    0xfd9ff12f,0x54bfffff,0xffffb2ff,0x3ee00dff,0x6ff9801f,0x40007ff4,
    0x7ec00ffc,0x0bff2007,0x2e027fc4,0xbaff40ff,0x5ff304ff,0x5ff05fe8,
    0x3f603fe6,0x82ff9805,0xfc81fffc,0x4ccccc45,0x224ffb99,0xd31dffff,
    0x4ccc45ff,0x4ffb9999,0x2200ffe2,0x3fe602ff,0x3600ffb1,0x0ffcc2ff,
    0xfd001bfa,0x00bffa2d,0x9bfe2000,0x3f2206fe,0xb1ff403f,0x00ffb0bf,
    0x6fcaff40,0xaffcff60,0xffb007fd,0x0001ff27,0x7ec2ff98,0x897fc407,
    0x3ffa22ff,0x2007fd81,0x5ff12ffa,0x26ffffe2,0xf53ffea8,0x3ff2625f,
    0xff880099,0x4fff2004,0x90002ffb,0x7fd801ff,0x01fff700,0x3fa037ec,
    0x3fa5fe85,0x42ff982f,0x47f987fb,0x03ff83ff,0xffd09fd0,0x005ff07f,
    0x3e22ffcc,0x5ff881ff,0x88bff300,0xff8803ff,0x6c7fe602,0x9ff3007f,
    0x7f41ff98,0x477f4006,0x0004fffe,0x3a1ffd80,0xffeeeeff,0x7e402fff,
    0x7ec2fec5,0xeeeeeeef,0x3fa1eeee,0x3e03ff35,0x3f6bff0f,0x7ffdc407,
    0xddddff90,0x007ddddd,0x5ff50ff9,0xf897fc40,0x03ffd12f,0x3ffffff6,
    0xffffffff,0x225ff12f,0xff882fff,0xfb85ff54,0x0ffe4007,0x3e7ffa00,
    0x3f20004f,0x57fec00f,0xeccaaaaa,0x7d402fff,0x05ff301f,0x77fc4bfd,
    0x2617fcc0,0x22fe41ff,0x0ffcc5fd,0x7c46fc80,0x7fcc5fcf,0x1dff1000,
    0x3605ff88,0xeff8806f,0x401ffc40,0x3e602ff8,0x400ffb1f,0x0ffcc6ff,
    0xfd001bfa,0x3ffdffdd,0x7fe40000,0x7fffff44,0x02ffffff,0xbfb03fe6,
    0xffffffb0,0x5fffffff,0x07fd2ff4,0xdaffcbf5,0xeeeeeeff,0x322ffffe,
    0xffffffff,0xff804fff,0x440dff04,0x15ff12ff,0x7ec03ffd,0xffffffff,
    0x12ffffff,0x17fe25ff,0x5ff56fe8,0x7c007fb8,0xff98006f,0x20000eff,
    0x7ec00ffc,0xffffffff,0xf001efff,0x41ff209f,0x27fdc5fe,0x3fe0bfe6,
    0x3ee1ff42,0x3003fdc7,0x4efd41ff,0x802fe47f,0xf880ffe8,0x01ff204f,
    0xf101ffd1,0x5ff1007f,0xfd8ffcc0,0x8bff3007,0x37f41ff9,0x3ffffa00,
    0x000fff99,0xe85ffc80,0xccccccff,0x440dffee,0x85fd82ff,0xcccccffd,
    0x21cccccc,0x21bf25fe,0x6d7fe2fd,0xffffffff,0x7e41efff,0xcccccccf,
    0x7fd402cc,0x203ff901,0x7ff12ff8,0xfd803ffd,0xaaaaaaaf,0x12ffcaaa,
    0x13fe25ff,0x5ff57fc8,0x2a007fb8,0xf90002ff,0xc80003ff,0x7fec00ff,
    0xfffffeee,0x3fe4001b,0xbfd04ff8,0x7cc5ffd0,0x224fd82f,0x0ffc41ff,
    0xff800bfb,0x0ffcff22,0x3f6007fd,0x07ff101f,0x3f603fe4,0x07ff101f,
    0x4c05ff10,0x00ffb1ff,0xff30fff2,0x4006fe83,0x3ee1fffe,0x3620005f,
    0x0dfd05ff,0xfd8bff90,0xfb0bfb05,0x2ff4000f,0x7fc43ff3,0x7fed7fe0,
    0xabcccccc,0x000ff901,0x2aabff60,0x04ffcaaa,0x3fe25ff1,0x6c03ffff,
    0x3fea007f,0x3e25ff12,0x55fee03f,0x03fdc2ff,0x8000ffb0,0xc80005ff,
    0x3fec00ff,0x001effa8,0x3ea17fcc,0x10bfd00f,0x3fe61dff,0x3ea6fb82,
    0x7fc7fd07,0x6c2eea82,0x7ec7fa5f,0x9001ff13,0x7fc405ff,0xc81ff202,
    0x3fe202ff,0x02ff8803,0x3fec7fe6,0x207ffd40,0x37f41ff9,0x207ffa00,
    0x88003ffd,0x3fa04ffe,0x21ffb006,0x9999affa,0xb099efd9,0x7f4000ff,
    0xbf51ff45,0x0ffb5ff8,0x003fe400,0x7ffffc40,0x7fffffff,0x3e25ff10,
    0x01ffdeff,0xfa801ff6,0x225ff12f,0x5fee02ff,0x3fdc2ffa,0x004ff880,
    0x0002ffc0,0x36007fe4,0x3ffe607f,0x22ff4001,0x17fa05fd,0xff9a7fdc,
    0xf90ff982,0x7c57f209,0x42ffb80f,0x5cff17fa,0x700df75f,0xff8809ff,
    0x5c1ff202,0x7fc404ff,0x02ff8803,0x7fec7fe6,0xedcccccc,0xff983fff,
    0x20037f41,0xfff106fe,0x7ff44003,0x8037f403,0xfff92ffa,0xffffffff,
    0x01ff67ff,0x7e45fe80,0xbff0bf66,0xc8001ff6,0xfb80007f,0xeeeeeeef,
    0xf882ffee,0x11dff12f,0x3fec0dff,0x225ff500,0x05ff12ff,0x2ffabfdc,
    0xfb803fdc,0x7fc0000f,0xffc80005,0x203fec00,0x2000effa,0x5ff10ffb,
    0xfd02ff40,0x205ff35f,0x205ff2ff,0x20df57fa,0x7fc42ffb,0x3fe65fb9,
    0x7d403fd8,0x2ff8805f,0x3ea1ff20,0x3ff8805f,0x202ff880,0xfffb1ff9,
    0xffffffff,0x07fe605f,0xfe800dfd,0x03bfea06,0x00bffa20,0x7d401bfa,
    0xfffff93f,0xffffffff,0x8001ff67,0x4ffcc5fe,0xb5ff87f8,0x7e4000ff,
    0x6fe80007,0x886ff880,0x45ff12ff,0xffb03ffb,0x897fd400,0x05ff12ff,
    0x2ffabfdc,0xfe803fdc,0x5ff80005,0x0ffc8000,0x6403fec0,0x3e2005ff,
    0xe80ff72f,0x3ffe205f,0x9fb02ffa,0x3e201ff3,0x2204fc8f,0xfdbfd81f,
    0x0ffd7fc3,0x200dff30,0x3f202ff8,0x8037fcc7,0xf8803ff8,0x47fe602f,
    0xeeeeeffd,0x2600acce,0x037f41ff,0xfb01bfa0,0xfff880bf,0x00dfd001,
    0xd8007ff2,0x007fd85f,0x3fa17fa0,0x5ff85fab,0x64000ffb,0x7cc0007f,
    0x3ffb003f,0xff12ff88,0xd81ffd85,0x3fea007f,0x3e25ff12,0x55fee02f,
    0x03fdc2ff,0x80004ff8,0xc80005ff,0x3fec00ff,0x01fff440,0x13f6bfb0,
    0xfb80bfd0,0xf502ffef,0xfe80df7b,0x3ea02fea,0x1ffefb80,0x3037f7ec,
    0x22001dff,0x9ff202ff,0x1000eff9,0xff1007ff,0xd8ffcc05,0xf980007f,
    0x0037f41f,0xfd101bfa,0x0ffec07f,0x300dfd00,0xfd800fff,0x0007fd85,
    0x3bf217fa,0xb5ff82fd,0x7e4000ff,0x7fe40007,0x89ff3000,0x5ff12ff8,
    0xfd86ff88,0x4bfea007,0x5ff12ff8,0xffabfdc0,0x4c03fdc2,0xf80002ff,
    0xfc80005f,0x03fec00f,0x000fffa8,0x03ff1ff5,0xfe805fe8,0xff102fff,
    0xcfb807fb,0x0bd100ff,0x2e1fffe2,0xfd104fff,0x3333311f,0x0bfe2133,
    0xffd17fc8,0x33333311,0x00ffe213,0xf980bfe2,0x000ffb1f,0xfe83ff30,
    0xaaaaaaae,0x00dfd2aa,0xf503fff3,0x555555bf,0x3bfa1555,0xdbaaaaaa,
    0x6c002fff,0xaaffd85f,0xaaaaaaaa,0x30bfd1aa,0x3fe0ffff,0x4000ffb5,
    0x7c0007fc,0x7ff4005f,0x7c4bfe20,0x43ffb82f,0x3ea007fd,0x225ff12f,
    0x5fee02ff,0x3fdc2ffa,0x000ffd40,0x0002ffc0,0x36007fe4,0x3ff6007f,
    0x3f7fa005,0x805fe806,0x202ffff9,0x4c01fffe,0x16605fff,0xf30bffd0,
    0x3fee03ff,0xffffffff,0x05ff15ff,0xfffbbfe4,0xffffffff,0x007ff15f,
    0x7cc05ff1,0x000ffb1f,0xfe83ff30,0xffffffff,0x00dfd6ff,0x3fa1bff2,
    0xffffffff,0xfffd2fff,0xffffffff,0xbfb0007f,0xffffffb0,0xffffffff,
    0x7f417fa9,0x36bff04f,0x3f20007f,0x3fea0007,0x1ffdc002,0x3fe25ff1,
    0x6c3ffd02,0x3fea007f,0x3e25ff12,0x55fee02f,0x03fdc2ff,0x80003fdc,
    0xc80005ff,0x3fec00ff,0x05fff100,0x00fffee0,0x7dc017fa,0x3ff202ff,
    0x07fff007,0x03ffc800,0x7fdc0fff,0xffffffff,0x05ff15ff,0xfffbbfe4,
    0xffffffff,0x007ff15f,0x7cc05ff1,0x000ffb1f,0xfe83ff30,0xffffffff,
    0x00dfd6ff,0x3fe27ff4,0xffffffff,0xfffd2fff,0x7bdfffff,0x17f60001,
    0x3ffffff6,0xffffffff,0x3ee0bfd4,0x36bff01f,0x3f20007f,0x1ff60007,
    0x89bfe200,0x05ff12ff,0x7fd9bfe6,0x44bfea00,0x05ff12ff,0x2ffabfdc,
    0x7ec03fdc,0xbff00006,0x1ff90000,0x4007fd80,0x8800effa,0xfe800fff,
    0x0bffa005,0xb005ffa8,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x19970000,0x7000e65c,0x16440199,0x99999991,0x39999999,0x59bd9710,
    0x333332e0,0x0001aabc,0x4c407dd5,0x09999999,0x99999995,0x0b999999,
    0x10000cc4,0x08803881,0x00011000,0x01310044,0x22000088,0x40020000,
    0x00040000,0x00020001,0x40220008,0x3ae01ee8,0x5c03dd15,0x003dd55e,
    0x6c401001,0x3dd700de,0x3baa0000,0xdb276400,0xdddddddd,0x813b23dd,
    0x3dd104ee,0x36207ba2,0x200000de,0x5dd51ee8,0xff983ff6,0x4ffa800e,
    0xff327f40,0xffffffff,0xfa87ffff,0x2effffff,0x7fffffec,0x003effff,
    0xf5027fdc,0x5fffffff,0x501c000a,0xfda800ff,0x1fd8cfff,0xcfffec98,
    0x7ffedc00,0xfd9804ef,0x7ec0deff,0xefffd986,0xffd9800d,0xeb800def,
    0x2a3defff,0x00adfffd,0x677fedcc,0x7ffedc41,0x7ff5401d,0xee881def,
    0xd13effa8,0xdffd911d,0x202ff889,0x05ff16fc,0x1ffab7e4,0xfd911dd1,
    0x7fecc3bf,0x4ffa80df,0x1d85ff98,0x3fe24a80,0xe8ffe203,0xffffffff,
    0x0ff71fff,0x7d41ffe6,0xd10bfe27,0xa80003ff,0x2a3ff30d,0x81ffb3ff,
    0x7c405ffb,0x27fe406f,0xfffffff3,0x7fffffff,0x5d6fffcc,0x3f61fffe,
    0xffffffff,0x7000efff,0x774c09ff,0x52eeeeee,0xfa80e000,0xfffb1007,
    0x09ffffff,0xfffffff5,0xfffb103f,0x01dfffff,0x3ffffff2,0x71bf63ff,
    0xffffffff,0x7fffe405,0xd103ffff,0xffffffff,0xffffff99,0x7ffcc0df,
    0xd13fffff,0x7fffffff,0x3fffff20,0x7fc43fff,0xf14ffffa,0xfffffd3f,
    0x017fc4df,0x0bfe2df9,0x3ff56fc8,0x3ffabfe2,0xff98ffff,0xd80fffff,
    0x3bfa21ff,0x654ffec0,0x3ffa9cef,0xffb81bf6,0x26666620,0x264ffb99,
    0xfffc82ff,0x3e25fc81,0x07ffa22f,0x7ffdc400,0x3ea3ff30,0xb01ffb3f,
    0x7ff405ff,0x9fff9100,0x3bfea000,0x2607ffe0,0x81ff66ff,0x005ffea9,
    0x00003551,0x501c000a,0x3ff200ff,0x3fff710d,0x511dff98,0xffd81ffd,
    0x7ffb511b,0x4c3bff70,0x4dd92ffe,0xd30beffa,0xbff703ff,0x417ff4c3,
    0xd510affd,0x265bffff,0xff884ffc,0x9ffb30ae,0x36a39fff,0x67fcc2ff,
    0x883ffaa1,0x1dbcffff,0x23bffff1,0xff12ffe9,0xf8b7e405,0x89bf202f,
    0x7ffff11f,0xffdff911,0x09ff9117,0x7fe4dff1,0xfffff881,0x0effffff,
    0x7f407fea,0x17fe6005,0x3ffa13fa,0x222ff83f,0x3ffd12ff,0xfff93000,
    0x00ffccbf,0x3fe20ff9,0x02ffc80f,0x09fffff5,0x43fff300,0x3f605ffa,
    0x100ffb1f,0x00007ffd,0x4000a000,0x201fea03,0xff884ff9,0x417fe26f,
    0x3fe23ffa,0x88dff104,0x3ffa05ff,0x037f4990,0x5ff88dfd,0xff31bfa0,
    0x13ffea03,0x3fa17fc4,0xffffb00f,0xf71bf603,0x88ffe60d,0xff102fff,
    0x2bff103f,0x3f202ff8,0x6405ff16,0x7c43ea6f,0xfffd82ff,0xf506fe80,
    0x407ff59f,0xebaefff9,0x4ff80fff,0x1002ff88,0xdf901dff,0x45fcff88,
    0x3fe20ff9,0x001ffe8a,0x5fffff54,0x700ffcc0,0x2ffd40df,0x7e413fea,
    0x004feaff,0x3217ff44,0x3fe601ff,0x2200ffb2,0x776c0ffe,0xeeeeeeee,
    0x81ee881e,0x54070002,0x0ffd807f,0x31ffcfd8,0x1eec03ff,0x7ec01971,
    0x5007fe46,0x2e5d15ff,0x3fee03ff,0xa803ff21,0x813262ff,0x3201fff8,
    0x80bfe65f,0x2a06fff9,0x03ff23ff,0x17fe204c,0x3605ff88,0x405ff16f,
    0x05ff16fc,0x25d8b7e4,0xff705ff8,0xc81ff207,0x4c05ffff,0x0ffb81ff,
    0x7fb86fc8,0x01ffd100,0xdfa83fe6,0x22fe47f9,0x1ffebff8,0xffff9100,
    0x0ffcc05b,0xfd80bf30,0x40dff13f,0x09fd0efe,0x884ffe80,0x8ffcc029,
    0x3ea007fd,0x7ffff43f,0x1fffffff,0x0281ff98,0x3332e700,0xccccffdc,
    0x3213fa2c,0xf73ff8bf,0x2600000f,0x037ec6fd,0xf91f6ffc,0x1ffc401f,
    0x9ff00bfb,0x06ff9800,0x1ff53fd4,0x402ffe80,0x3bfea4ff,0x4ff8801b,
    0xc813fe20,0x405ff17f,0x05ff16fc,0x077d77e4,0x3e609ff1,0x80ff702f,
    0x6400fffe,0x05ff106f,0x4fe83ff3,0x803ffb00,0x7cff22ff,0xf10ffa1f,
    0x807fffff,0x0cffffd8,0x201ff980,0x7f4402e8,0x200ffd8f,0x0027f42d,
    0x8000bff9,0x01ff67fc,0x99889ff0,0xffb99999,0x503ff304,0x7ff4e000,
    0xffffffff,0x50ffe4ff,0xfca7fcbf,0x5d440006,0x46ffffec,0xffe804fe,
    0x7777fec2,0x4ffeeeee,0x3fa013fa,0xfd975105,0xddddffff,0x21ffdddd,
    0xffd807fc,0xeeeeeeee,0x7ffe45ff,0xff102cff,0x01ffc407,0x0bfe2ff9,
    0x5ff16fc8,0x05f7fe40,0x7cc0ffe2,0x80ff701f,0xfe806ffc,0x7417f202,
    0x007fe64f,0x3600bff2,0x7ec7fa5f,0xf881ff13,0x00ffeeff,0x000bbfee,
    0x00003ff3,0x0bffffe6,0x4013fa00,0x0000effa,0x7fd93fee,0x0037f400,
    0x7cc0bff3,0x7000281f,0x3fbbbbb6,0x13eeeeef,0x077c45ff,0x017fabfd,
    0x7fffe440,0x7c6fedff,0x86fd804f,0xfffffffe,0x3e5fffff,0x86fd804f,
    0xdffffffc,0xffffffff,0xfb1fffff,0xffff900b,0xffffffff,0xffffd70d,
    0x2ff885ff,0xc80bfe20,0x405ff17f,0x05ff16fd,0xff1037ec,0x407fe605,
    0x3fe607fb,0x1ff403ff,0x3ee09fb0,0x2e01bf27,0xff5004ff,0x75fb9fe2,
    0x1dff10df,0x7dc0dff1,0x26001cff,0x2ee601ff,0x5fffc801,0x009fd000,
    0x0001fff3,0x3f62ffdc,0x03fec007,0x200eff88,0x00281ff9,0x03fd4070,
    0x1fe93fe2,0x06fda7fc,0xdeffe880,0xfd1bf21b,0xd09fd009,0x333333bf,
    0x7f413333,0x225fe804,0x21acfffe,0x99999dff,0x3f619999,0x99ffd806,
    0x99999999,0x3ff6e601,0x0bfe23ff,0x3202ff88,0x405ff17f,0x05ff16fe,
    0xff1037f4,0x407fe605,0x3bfa07fb,0x3ee01ffc,0x205ff106,0x07ff2ff8,
    0x2005ffa8,0x25fb9ff8,0x83fd8ff9,0x3fee2ff8,0x3fffae03,0x1ff9802e,
    0x200bfea0,0x0002fff8,0xfe8809fd,0x3ee0002f,0x007fd85f,0x22007fe4,
    0x7cc00ffe,0x7000281f,0x7403fd40,0xf887f95f,0x980df92f,0x80fff21a,
    0x02fec7fd,0x37ec1ffc,0x805fd800,0x0bff25ff,0xc8005ff8,0x1ffe807f,
    0xffa80000,0x880bfe26,0x5ff202ff,0x3fe03ff8,0x7c07ff16,0x0bfe206f,
    0xfb80ffcc,0x3a3ff907,0x33fe606f,0xb01ff660,0x401ff59f,0xd8006ff9,
    0x7fc3fdbf,0xff881ffa,0x2007ff42,0x0cffffd9,0x5403ff30,0xffd802ff,
    0xfe8000ff,0x01ffec04,0x01dff300,0xfd800ffb,0x01ffd807,0x0281ff98,
    0x3fd40700,0x2fd7fec0,0xffb8ffd4,0xfe9bfa00,0x323ffc06,0x3fe600ff,
    0x200ffb81,0x3ff21cd8,0xe8ffe600,0x1ffe206f,0x3ee19d70,0x3ffe201f,
    0xb7166c03,0x887fe407,0x3fe202ff,0xff9ff202,0x7cdff705,0x0dff705f,
    0xf9817fc4,0x30ff701f,0x27fcc9ff,0xddffffa8,0x2a01ffff,0x2605fcff,
    0xb8000eff,0x7ec1ffef,0x5ff106fe,0x1006ff98,0x85bffff9,0x2a201ff9,
    0x6ffdc00a,0xfe8006ff,0x017ff204,0x201dfd00,0x7f4007fd,0x017fe407,
    0x0281ff98,0x3fd40700,0x837ffdc0,0x13fe26fe,0xdfd1ffcc,0x263ffdc0,
    0x3ff604ff,0x205ff880,0x3fe61ffd,0xf83ff604,0x3fffa06f,0x44bff302,
    0x3ff605ff,0x5ff900ff,0xfc807ff4,0x880bfe27,0x9ff202ff,0xf710bffd,
    0x5ffecdff,0x0dfff710,0xf9817fc4,0x88ff701f,0x2ffc86ff,0x7fff7fd4,
    0x01ffffff,0x440bfffe,0x99988ffe,0xf8809999,0xfffb87ff,0x705ff104,
    0xea8007ff,0xff30ffff,0x000bbaa3,0x3ff6bff3,0x827f4003,0x0000effa,
    0xfd80bfe2,0x02ffc007,0x4c009ff7,0x000281ff,0x803fd407,0x3a20cffe,
    0x27fdc1ff,0xfd83ffaa,0x7ffdc43f,0x444ffc87,0x3ee02ffd,0x3ff220df,
    0x444ffc85,0x7fec2ffd,0x7f7fecc2,0x3ffa60bf,0x206ffdc1,0x1effdffd,
    0xf71bfea2,0x7fd443bf,0x880bfe24,0x9ff202ff,0xffeffff9,0x3fe66fbe,
    0xfbeffeff,0x40bfe206,0xff701ff9,0xe881ffd8,0xa97ee0ff,0x05fd11cc,
    0xf703ffe4,0xffffffff,0x3fa0bfff,0x1fff985f,0x3a05ff10,0xd98001ff,
    0x23ff30ff,0x22003ffa,0xfff10fff,0x427f4003,0x0000fff9,0xfb007fcc,
    0x27fcc00f,0x4005ffa8,0x00281ff9,0x01544070,0xeeffffd8,0xffb03fff,
    0x83ffffdf,0xfedffff8,0x440ffbef,0xffeefffd,0xfffd802f,0x80efffee,
    0xfeefffd8,0xfff882ff,0xb0dfffdf,0xffffdfff,0x3bfff205,0xff34fffe,
    0x1ffffdff,0xfdffffb0,0x7fc41bff,0x80bfe202,0x7fec47fc,0x88df55ff,
    0xf55ffffe,0x817fc40d,0xff701ff9,0xf5027fd4,0x510028bf,0x204ff980,
    0xfffffffb,0x905fffff,0x1ffe07ff,0xf302ff88,0x644000df,0x3ea3ff30,
    0x3ff6003f,0x0077fd42,0x7f444fe8,0xfa80001f,0x003fec07,0xff303ffb,
    0x3ff3000d,0x54e00050,0xaaaaaaaa,0x3ee1aaaa,0xeffffdac,0x7fff5401,
    0xffb300df,0x1ffc7fff,0xdfffffb8,0x3ffaa002,0x5c00bfff,0x02dffffe,
    0x3bffffa6,0xffffeb83,0x7ff4c01d,0x7ecc2eff,0x200cffff,0x4efffffb,
    0x2202ff88,0x1ff202ff,0x19800198,0x02ff8800,0x3ee03ff3,0x00000007,
    0x00000000,0x00000000,0x00000000,0x413fee00,0xfd005ffc,0x003ffd89,
    0x3fec0000,0x986ff980,0x98000eff,0x000281ff,0x3fffffa7,0x4fffffff,
    0x0006616e,0x44002662,0x22000099,0x99800009,0x00988000,0x8800cc40,
    0x19800099,0x80033100,0x00000998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80dff300,0xfe802ffe,0x0013ff24,
    0x1ff60000,0x10bffea0,0x33311ffd,0xf3013333,0x5555503f,0x55555555,
    0x3ffffa95,0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x7cc01ffe,0xa7f400ff,0xaaaafff9,0xaaaaaaaa,
    0x807bae02,0xaaaaaffd,0x83fffecc,0xfffffffb,0x985fffff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7003ffd8,0x4fe80dff,0xfffffff5,0xffffffff,0x017fe40b,0xfffffffb,
    0x207fffff,0xfffffffb,0x985fffff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2002ffdc,0x3fa03ffd,
    0xffffff54,0xffffffff,0x17fe40bf,0xffffffb0,0x0005bddf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ec8000,0x3aa0ed80,0x4e987b23,
    0xeb800000,0x2f54001e,0x00dedcc0,0xb9510f66,0x3b2a2019,0x3b6e00bd,
    0x5555441c,0xaaaaaaaa,0x2aaaaa22,0x2aaaaaaa,0x6540baa0,0xb507990c,
    0x42eea817,0x026601a8,0x24cc8820,0x66443cc9,0x6eccb2e1,0xdddddddd,
    0x20dddddd,0x2ccccccc,0x22222222,0x88888888,0x000bbaa0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03950000,0x04fe8000,
    0xff12fdc0,0x3fa37d41,0x7440bb02,0x00ffe403,0xa80bffa0,0x306ffeff,
    0x7ffcc9ff,0x7fc41fff,0xe885ffef,0x2a2fffff,0xffffffff,0xf50fffff,
    0xffffffff,0x2a01ffff,0x21ff902f,0x37fe26ff,0x0bfee3ff,0xfff905f7,
    0x477017df,0x7fec2ffb,0xfe8ffe20,0xffffff54,0xffffffff,0x7fffc3ff,
    0xfff54fff,0xffffffff,0x2a3fffff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0177fdc0,0x004fe800,0x4fd83fe6,
    0x3fe64fd8,0x4427fdc0,0x3f200ffe,0x3fea001f,0x43ff105f,0x3ff222fe,
    0x644bfa4f,0xd11fe45f,0x8aefc81f,0xfff50ffc,0xffffffff,0x3ffea1ff,
    0xffffffff,0x7d4aa0ff,0x87fe4551,0xd83b26ff,0xfb0bfee6,0x7fffec3b,
    0xecbdffff,0x2213fe3f,0x8ffe24fe,0x222224fe,0x88888888,0x77740888,
    0x9933eeee,0x99999999,0x21999999,0x00002ffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fff4c00,0x3a0000bf,0x8ffa004f,
    0x5ff107fb,0x7fec2fec,0x00bffa24,0xfd800331,0xd0200ffc,0x7de7dc3f,
    0x8df30aa4,0x222fc828,0x01fec1ff,0x7cc00000,0x3f3bfa0f,0x3ff26fec,
    0x21fcdff0,0x307e22f9,0x33f63ff5,0xfffffdba,0x0df72fff,0x13307fcc,
    0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bffff93,0x009fd000,0x2ff99bf2,0x7c43ff20,
    0x8cffd83f,0x4cc42ffe,0x99999999,0x8ff98099,0xfeb804fd,0x04fa84c4,
    0x65441fec,0x3e63ffed,0x0004fb87,0x0ff98000,0x3bfffb2a,0x7c3ff22c,
    0x5f10fe5f,0x7fc407d4,0x3f6a0392,0x02a61eff,0x00001530,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f5c4000,0x99883eff,0x99cfe999,0x17fd4199,0xff880dfd,0x3603ff25,
    0xe82fffff,0xffffffff,0xfc84ffff,0xf801ff35,0x13ea02ff,0x2e077ec4,
    0x3fedffff,0x17ea17ea,0x26000000,0xfff880ff,0x3f66fa80,0x26c83b23,
    0x3ffaa5e8,0x0008006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffed400,0x3fffea4f,
    0xffffffff,0xfb9bfa0f,0x1ffb802f,0x3f60bff1,0xfffd02ff,0xffffffff,
    0x21ff889f,0xfd8803fe,0xd309f504,0xbff881bf,0x7f98ff20,0x33314fc8,
    0x33333333,0x3e600033,0x7cff440f,0xf92fcc0e,0x7feffc45,0x9dd51663,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc400,0xffffff50,0x1fffffff,
    0xff88ffdc,0x2e6fe804,0xffe882ff,0x2000005f,0x43fdc6fb,0xa837cc08,
    0x827fcc4f,0x1ffc46f9,0x27fd07fe,0xfffffffa,0x00ffffff,0x6c0ff980,
    0x7d0bf73f,0x66d40754,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfda80000,
    0x27f400ff,0x3ea6fd80,0x43fee01f,0xfe884ff8,0x3004ffef,0x7ff00155,
    0x3e62ff88,0xfa827e46,0xd00bfea4,0x9ffd537f,0xfdabffb8,0x3ffffea6,
    0xffffffff,0x0ff98000,0x00032244,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e200000,0x802dffff,0xff1004fe,0xf8837e45,0x221bf23f,0x9ffb2ffe,
    0x803ff900,0x6fc80ffa,0x7ffeffe4,0x3e29f501,0x47ffffff,0xfaeffffb,
    0xeffffd86,0x26666621,0x19999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb3000000,0x0019ffff,0xf50027f4,0x6417f44d,0x107fe25f,
    0xffd85ffd,0x00ffe404,0x7fcc17fa,0x05efed41,0x3baa7d30,0x506eeeee,
    0xb9815437,0x000000ac,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x75c40000,0x000befff,0x6c004fe8,0xf11fe63f,0x5c1fec1f,0x1ffb02ff,
    0x10066540,0x0d540155,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0x0001dfff,0x220027f4,0xd93f20ff,
    0xb81be62f,0x0000e402,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x019ff700,0x00b2e000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0000003a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_32_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,1,1,1,0,1,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,1,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,0,-1,0,2,1,2,1,2,1,2,1,2,1,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,1,0,-2,2,1,1,2,0,2,
-1,2,1,2,1,0,0,2,1,2,1,2,1,1,2,1,1,0,1,0,1,0,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,-2,1,
0,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_32_latin_ext_y[560]={ 25,4,4,4,2,4,4,4,4,4,4,8,22,16,
22,4,4,4,4,4,4,4,4,4,4,4,10,10,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,28,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,4,4,7,4,
4,4,4,4,4,11,10,16,4,1,4,7,4,4,4,10,4,13,24,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,9,4,4,4,4,4,4,4,
0,5,-1,4,4,9,-1,4,-1,4,-1,5,-1,4,-1,4,4,4,0,5,-1,4,0,5,4,9,-1,4,-1,4,
-1,4,0,5,4,2,-1,-1,4,4,-1,4,1,5,-1,4,4,4,0,10,4,4,-1,4,4,4,10,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,0,5,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,4,-1,4,4,4,-1,4,0,5,-1,4,-1,3,-1,4,4,10,-1,4,-1,4,
0,-1,4,0,5,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,9,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,0,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-1,4,-1,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_32_latin_ext_w[560]={ 0,4,8,16,14,23,18,4,8,8,11,15,4,9,
4,8,14,8,15,14,15,14,14,14,14,14,4,4,15,15,15,14,28,21,16,19,18,16,15,20,17,4,13,18,
13,20,17,20,16,21,19,17,17,17,19,27,19,19,17,7,8,7,13,18,6,14,14,14,14,14,9,15,13,4,
7,14,4,22,13,15,14,13,9,14,8,13,14,21,15,15,14,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,14,16,14,17,
3,14,9,22,11,13,15,9,22,18,9,14,10,10,6,13,16,4,7,6,10,13,23,23,24,14,21,21,21,21,
21,21,28,19,16,16,16,16,7,7,10,8,21,17,20,20,20,20,20,13,21,17,17,17,17,19,16,15,14,14,
14,14,14,14,25,14,14,14,14,14,6,6,10,8,14,13,15,15,15,15,15,14,15,13,13,13,13,15,14,15,
21,14,21,14,23,17,19,14,19,14,19,14,19,14,18,18,21,16,16,14,16,14,16,14,16,14,16,14,20,15,
20,15,20,15,20,15,17,13,21,14,10,10,10,10,10,10,7,7,4,4,18,11,16,10,18,14,14,13,7,13,
8,13,8,13,9,15,7,17,13,17,13,17,13,17,18,14,20,15,20,15,20,15,27,25,19,9,19,9,19,10,
17,14,17,14,17,14,17,14,17,8,17,11,17,8,17,13,17,13,17,13,17,13,17,13,17,17,27,21,19,15,
19,17,14,17,14,17,14,8,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,23,18,15,15,15,15,15,15,15,15,15,15,15,15,15,22,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,14,10,10,20,
15,17,13,17,13,17,13,17,13,17,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,14,28,25,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_32_latin_ext_h[560]={ 0,21,8,22,26,22,22,8,28,28,9,14,8,3,
3,22,22,21,21,22,21,22,22,21,22,22,15,20,15,10,15,21,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,23,21,22,21,22,21,21,21,21,21,27,22,27,12,3,5,17,22,17,22,17,21,23,21,21,
28,21,21,16,16,17,22,22,16,17,22,16,15,15,15,22,15,28,28,28,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,27,22,15,21,
28,28,4,22,11,13,10,3,22,3,8,18,11,12,5,21,27,4,7,11,11,13,22,22,22,21,26,26,26,25,
25,25,21,27,26,26,26,25,26,26,26,25,21,25,27,27,27,26,26,13,23,27,27,27,26,26,21,22,22,22,
22,22,22,23,17,22,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,12,18,22,22,22,22,28,27,28,
25,21,26,22,27,22,27,22,27,22,27,21,27,22,26,22,21,22,25,21,26,22,25,21,27,22,26,22,27,28,
27,28,26,27,27,30,26,26,21,21,26,21,24,20,26,21,27,27,25,15,22,28,27,28,27,27,15,26,26,27,
27,21,21,21,21,21,21,26,21,27,22,26,21,21,22,23,26,21,27,22,27,22,22,17,26,21,27,22,26,21,
27,22,27,22,27,22,27,22,30,29,26,22,21,22,27,22,26,21,27,22,27,23,27,22,27,21,26,21,26,28,
25,26,21,25,20,26,21,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,18,18,28,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,17,18,18,18,18,18,18,18,18,18,18,18,18,18,22,16,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,26,22,26,21,27,
22,27,22,27,26,27,27,27,27,27,27,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,28,26,22,27,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_32_latin_ext_s[560]={ 299,507,281,270,41,453,225,506,167,110,269,
98,300,372,401,81,160,21,153,175,186,302,438,367,189,240,501,506,480,237,82,
48,66,273,169,1,63,202,257,219,315,352,462,134,120,219,460,36,240,156,420,
485,402,435,440,478,1,382,30,403,453,69,171,382,336,170,397,155,21,204,357,
95,338,333,159,300,295,359,312,219,269,255,302,287,476,326,413,443,382,1,428,
261,119,176,313,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,299,507,497,
284,398,473,139,198,343,325,214,114,253,372,412,353,290,124,203,185,329,235,429,
506,305,196,226,128,348,301,372,188,444,484,1,386,408,73,57,236,340,271,81,
430,252,244,233,447,364,456,320,434,341,171,150,142,193,77,455,398,98,116,94,
46,31,16,1,492,477,178,235,423,408,393,378,363,87,502,491,111,287,148,254,
238,222,206,190,156,139,146,132,118,104,245,127,213,474,162,192,496,473,459,1,
348,43,399,160,408,198,330,214,477,386,48,1,338,64,296,18,323,345,258,302,
204,306,123,362,143,319,446,480,1,368,288,249,298,357,287,496,97,260,177,501,
86,506,496,311,186,115,271,168,153,465,136,56,19,77,110,503,96,86,124,140,
466,203,411,90,378,38,217,62,127,283,271,132,17,94,65,345,261,424,313,383,
215,304,353,51,414,33,33,1,429,462,444,17,57,265,373,423,287,327,273,23,
441,256,244,218,142,180,385,142,455,396,1,245,229,53,187,23,35,82,227,52,
67,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,144,108,108,282,
108,108,108,108,108,108,108,108,108,108,108,108,108,165,185,108,108,108,108,108,
108,108,108,108,108,108,108,108,81,340,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,205,317,
338,76,299,332,380,104,416,324,362,63,95,113,274,292,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,35,95,349,118,21,111,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108, };
static unsigned short stb__arial_32_latin_ext_t[560]={ 29,141,253,141,88,141,115,231,1,1,253,
253,253,253,253,164,141,232,210,141,210,141,141,210,164,164,232,210,232,253,253,
232,1,210,210,187,232,210,210,164,210,210,164,210,210,210,210,187,210,115,210,
164,210,164,210,210,232,210,232,32,164,60,253,253,253,232,164,232,187,232,210,
115,210,210,1,210,210,232,232,232,164,164,232,232,164,232,232,232,232,141,232,
1,1,1,253,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,29,88,1,
164,232,187,1,1,253,164,253,253,253,253,164,253,253,232,253,253,253,187,32,
240,253,253,253,253,164,164,164,187,60,60,88,88,88,115,187,32,88,88,88,
88,88,88,88,88,187,88,1,1,1,88,88,253,115,32,1,1,88,88,210,
164,164,164,164,141,141,115,232,141,141,141,141,141,210,187,187,210,141,187,141,
141,141,141,141,253,232,141,141,141,141,1,32,1,88,187,88,115,1,115,32,
141,32,115,32,187,32,115,88,115,187,141,115,187,88,115,115,187,32,115,88,
164,32,1,32,1,88,32,32,1,88,88,187,187,88,187,88,232,88,187,32,
60,60,232,115,1,60,1,60,60,232,88,88,60,60,187,164,187,187,187,187,
60,187,32,164,60,210,187,164,115,60,187,60,141,60,141,115,232,60,187,32,
115,60,187,60,115,60,141,60,115,32,115,1,1,60,115,187,115,32,115,88,
187,32,115,32,115,32,115,32,187,60,210,60,1,115,60,210,115,232,60,210,
210,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,164,232,232,1,
232,232,232,232,232,232,232,232,232,232,232,232,232,164,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,141,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,60,141,
60,210,1,141,1,164,1,60,1,32,32,32,32,32,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,1,1,60,164,32,115,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232, };
static unsigned short stb__arial_32_latin_ext_a[560]={ 127,127,163,255,255,407,306,87,
153,153,178,268,127,153,127,127,255,255,255,255,255,255,255,255,
255,255,127,127,268,268,268,255,465,306,306,331,331,306,280,356,
331,127,229,306,255,382,331,356,306,356,331,306,280,331,306,433,
306,306,280,127,127,127,215,255,153,255,255,229,255,255,127,255,
255,102,102,229,102,382,255,255,255,255,153,229,127,255,229,331,
229,229,229,153,119,153,268,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,127,153,255,255,255,255,119,255,
153,338,170,255,268,153,338,253,183,252,153,153,153,264,246,127,
153,153,167,255,382,382,382,280,306,306,306,306,306,306,458,331,
306,306,306,306,127,127,127,127,331,331,356,356,356,356,356,268,
356,331,331,331,331,306,306,280,255,255,255,255,255,255,407,229,
255,255,255,255,127,127,127,127,255,255,255,255,255,255,255,252,
280,255,255,255,255,229,255,229,306,255,306,255,306,255,331,229,
331,229,331,229,331,229,331,282,331,255,306,255,306,255,306,255,
306,255,306,255,356,255,356,255,356,255,356,255,331,255,331,255,
127,127,127,127,127,127,127,102,127,127,337,203,229,102,306,229,
229,255,102,255,102,255,134,255,153,255,102,331,255,331,255,331,
255,277,331,255,356,255,356,255,356,255,458,433,331,153,331,153,
331,153,306,229,306,229,306,229,306,229,280,127,280,172,280,127,
331,255,331,255,331,255,331,255,331,255,331,255,433,331,306,229,
306,280,229,280,229,280,229,102,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,345,344,344,255,344,344,344,344,344,
344,344,344,344,344,344,344,344,393,301,344,344,344,344,344,344,
344,344,344,344,344,344,344,391,307,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,306,255,127,102,356,255,331,255,331,255,331,
255,331,255,331,255,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,306,255,458,407,356,280,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_32_latin_ext(stb_fontchar font[STB_FONT_arial_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_32_latin_ext_s[i] + stb__arial_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_32_latin_ext_t[i] + stb__arial_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_32_latin_ext_x[i];
            font[i].y0 = stb__arial_32_latin_ext_y[i];
            font[i].x1 = stb__arial_32_latin_ext_x[i] + stb__arial_32_latin_ext_w[i];
            font[i].y1 = stb__arial_32_latin_ext_y[i] + stb__arial_32_latin_ext_h[i];
            font[i].advance_int = (stb__arial_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_32_latin_ext_s[i] + stb__arial_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_32_latin_ext_t[i] + stb__arial_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_32_latin_ext_x[i] + stb__arial_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_32_latin_ext_y[i] + stb__arial_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_32_latin_ext_LINE_SPACING
#endif

