// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT        312
#define STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_35_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_35_latin_ext_LINE_SPACING          23

static unsigned int stb__arial_35_latin_ext_pixels[]={
    0x55555551,0x55555555,0x93000355,0x00000099,0x00555300,0x07ba206a,
    0x9889db50,0x00000019,0x884c4000,0x26600009,0x26600009,0x066f4c01,
    0x26666200,0x00000999,0x00ccc003,0x330aaa00,0x44099883,0xdb7101ee,
    0x2aa20179,0x55551aaa,0x554c0155,0xaaaaaaaa,0xccaa8002,0x000accee,
    0x00ccc880,0x9bb97100,0x54000037,0x0000bcec,0x00000000,0x54000000,
    0xf335502a,0xffffffff,0xffffffff,0x7ffd0007,0x002c8000,0x201fff40,
    0xff881fe8,0x17fff601,0x0007ffd1,0x004ffe80,0x7f477d40,0xfff50002,
    0x3ff20001,0x7fffcc03,0x3ffee001,0x0002ffff,0xf7004f88,0x7fc0009f,
    0xfd27fdc5,0x81ff881f,0xfffffffb,0xfffffa84,0x3fffffd4,0xfffffc88,
    0x7fffffff,0xfffd7100,0xbfffffff,0x7ff40005,0x7ecc005f,0xdfffffff,
    0x7fec0001,0xf9802fff,0x000001ff,0x0000fffa,0x0007ffec,0x37fe0dfd,
    0xfffffff9,0xffffffff,0x7d4003ff,0x7f40004f,0x3fea0002,0x81ffa804,
    0xff501ff8,0xfff107df,0x7fcc0000,0xff700005,0x7f40005f,0xdf50001f,
    0xffd91003,0x6664c00b,0x0001cccc,0x26002fb8,0xff0002ff,0xf93ffb0b,
    0x83ff103f,0xfdbefffa,0x777543ff,0xddffd4ff,0x7fffcc1d,0xffffffff,
    0xffc807ff,0xcbacceff,0x00dffffd,0x7fdffe40,0xffff7003,0xfffffddf,
    0x3fea0005,0x7001feef,0x00000bff,0x00017fea,0x037f7fe4,0x3fe0dfd0,
    0x33333335,0x33333ffd,0xfe800133,0x27c40006,0x01bfa000,0x7c40ffd4,
    0x01ff901f,0x0003ff98,0x0001ffb0,0x89aa8988,0x7fd40009,0x644c4003,
    0x9000988c,0x262001ff,0x00004c40,0x4c4007ec,0x0098cc88,0x3a213b60,
    0xf103ffef,0x41fff83f,0xf100fff9,0xe81bfa9f,0x9dffffff,0x019dfe99,
    0x005fffec,0x00f7fed4,0xff94ffa8,0xcfffc805,0x7ffedc40,0x2ffd8002,
    0x03ff2000,0x3bfa0000,0xffa80000,0xb004ff9c,0x017fe09d,0x00003ffa,
    0x00007744,0x4000b7ea,0xf5000de8,0x03ff103f,0x7dc017fa,0xff980006,
    0x4fb80001,0x360017e4,0x4fb8004f,0xf98017e4,0x89f7001f,0xf80002fc,
    0xc89f7005,0x2600002f,0x3e205fff,0x413fe21f,0xff102ffd,0x7dc1bfa9,
    0x45ffffff,0x7f4405fe,0xff70004f,0xded8801f,0x54037b60,0xfc802fff,
    0x7ff8007f,0x04fd8000,0x0ffcc000,0x37fc4000,0x00007ff9,0xffd00bff,
    0x3ee00001,0x7dc0004f,0x8000004f,0x19bffb98,0x7fc07fe2,0x80000004,
    0x80080098,0x017e44fb,0x9f700000,0xf3002fc8,0x13ee005f,0xa80005f9,
    0x89f7003f,0x000002fc,0x443ff100,0x59b304ff,0x7f53fe20,0xfffffb06,
    0x05fe8bff,0x00017fec,0x00017fe2,0x04fff880,0x800fff60,0x00004ff8,
    0x88000033,0x31000009,0x00099813,0xe805ff80,0x980000ff,0x0002d88e,
    0x80013fee,0xffff7000,0x0ffc4fff,0x32a04ff8,0x000f320c,0x379bb971,
    0x554c9d10,0x09881310,0x19950555,0x554c1e64,0x09881310,0x3fe20555,
    0x310aa982,0x55509881,0x3fd97300,0x26215530,0x2aa84c40,0x99502660,
    0x7c41e641,0x00fffc1f,0xfd4ff880,0x3ffffa0d,0x2ff45fff,0x4c03ff50,
    0x984cc41b,0x04cc43ff,0xf704cc40,0xffa800df,0x7dccc405,0x200099cf,
    0x2ccedba8,0x6dd44000,0x40002cce,0x2ccedba8,0x3e013100,0x0ffe805f,
    0x2a4b8000,0x26620005,0xefd88000,0x7ff75401,0x07fe26ee,0xffb027fc,
    0x98037fc1,0xfffffffd,0xb97fa1ef,0x7f4002ff,0xf07fec0f,0x05ff70df,
    0x880ffe80,0x2ffb82ff,0x407ff400,0xffffffd8,0x002ffb85,0xff807ff4,
    0xff07fec5,0xa83ff10d,0x88002fff,0x20dfd4ff,0xfffffffe,0xf882ff45,
    0xffec884f,0x43ff72ff,0x2ffcc6fc,0xfd07fe40,0x0150005f,0xffffff90,
    0xfb1005ff,0xdfffffff,0xffd88007,0x3effffff,0x7ffec400,0x03efffff,
    0x5ff837f4,0x000ffe80,0x0790e980,0x26ee6200,0x4d802660,0x3fea00d5,
    0xf01ff881,0x07fec09f,0xff700dff,0xfffddfff,0x41dfbbff,0x74002ffb,
    0x07fec0ff,0x5ff70dff,0x80ffe800,0xffb83ff8,0x07ff4002,0x7eeffff4,
    0x3fee0eff,0x07ff4002,0x7fec5ff8,0x3e21bfe0,0xcfffc81f,0x53fe2000,
    0xfffb06fe,0xfe8bffff,0x3a0df905,0xafffefff,0x0ffd47fd,0xff003ffa,
    0x007ffc4b,0xfdd90000,0x803dddff,0xeefffffa,0x00dfffff,0xefffffa8,
    0x0dfffffe,0xfffffa80,0xdfffffee,0x3e0dfd00,0x0ffe805f,0xfffb0000,
    0xfff70001,0x5ff35fff,0x003d07c0,0xff103ff5,0xa80ffe03,0x00f320cc,
    0x103bfff9,0x81dffff9,0x74002ffb,0x066540ff,0x5ff70799,0x80ffe800,
    0xffb83ff8,0x07ff4002,0xefb8fff6,0x0bfee5ff,0x201ffd00,0x066545ff,
    0x3ff10799,0xffffffa8,0x29ff1002,0xfff706fe,0xfe8bffff,0xfb05ff05,
    0x7ffdc47f,0x5c4ff85f,0x3fea03ff,0x001ffe62,0x07fe8000,0x07bffee0,
    0x1dfff951,0x0f7ffdc0,0x3bfff2a2,0x3bffee00,0x7ffe5441,0xf06fe80e,
    0x1ffd00bf,0x3ff60000,0x7fec000f,0xfdfffdef,0x3c4f602f,0x881ffa80,
    0x3ff881ff,0xff500000,0xfff3007f,0x005ff70b,0x0000ffe8,0x4002ffb8,
    0x9ff00ffe,0x8005ff70,0x3fee0ffe,0x7ff47ec5,0x8005ff70,0xbff00ffe,
    0x3ff10000,0x7f4cffec,0x7c400dff,0x740dfd4f,0x45ffffff,0x87fa85fe,
    0xff903ffb,0x88bfb09f,0x1ff606ff,0x0000dff5,0x802ffc00,0x9803fff9,
    0xff305fff,0xfff3007f,0x0fffe60b,0x217ffe60,0x0bff06fe,0x0001ffd0,
    0x07ffff10,0x2077fdc0,0x202ffffa,0x5003fee9,0x3ff103ff,0x0003ff50,
    0x05fff100,0x07fffee0,0xe8005ff7,0xb80000ff,0x7f4002ff,0x70bfb00f,
    0xfe8005ff,0x883ff60f,0x2e3bd55f,0x7f4002ff,0x00bff00f,0x223ff100,
    0x7ffdc1ff,0x53fe202f,0x3fa606fe,0x7f45ffff,0x7cc4fd85,0x3ffe606f,
    0xfd86fb82,0x44ff880f,0x00004ffa,0x009ff300,0xa800fff6,0xffd82fff,
    0x3ffea003,0x003ffd82,0xfd0bffea,0x2017fe0d,0x80000ffe,0x007fdffb,
    0x7d40dff1,0x009802ff,0x2207fea0,0x06fe81ff,0x19880133,0xa8037fdc,
    0x5c5ffcff,0x7f4002ff,0x8801330f,0x00bfee19,0x2e01ffd0,0x17fdc2ff,
    0xe83ffa00,0x701fd46f,0xfe8005ff,0x26bff00f,0x20cc4009,0x4c1bee19,
    0xf102fffe,0x201bfa9f,0x745fffec,0x5c2ff85f,0x7ffc02ff,0xfa86fb80,
    0x41ffb83f,0x00005ff9,0x005ff500,0x7000dff5,0x6ffa8dff,0x46ffb800,
    0xb8006ffa,0x837f46ff,0xffe805ff,0xcfe80000,0xfb802ffa,0x17ff403f,
    0x9abca988,0x40ffd400,0x3fb21ff8,0x80bff01f,0x3ffa0ffc,0xf3ff9801,
    0x17fdc3ff,0x7c3ffa00,0x87fe405f,0x74002ffb,0x3fee00ff,0x005ff71d,
    0xff10ffe8,0x2e00fc8b,0x7f4002ff,0x3ebff00f,0x07fe405f,0xfc80ff90,
    0x4ff881ff,0x74400dfd,0x7c2ff45f,0x4037ec1f,0x09fb07fe,0x1bfa1bfe,
    0x0001ffe2,0x00ffdc00,0x80017fec,0x3ff61fff,0x3fff0002,0x80017fec,
    0x1bfa1fff,0x7f402ffc,0x7cc0000f,0x900bff2f,0xffb801ff,0xfffffb82,
    0x3ea02fff,0x11ff881f,0x7fc01dff,0x887fe405,0xff8807ff,0xfb8bff24,
    0x7ff4002f,0xfc80bff0,0x005ff70f,0x5400ffe8,0x05ff74ff,0xf30ffe80,
    0x5c06f87f,0x7f4002ff,0x3ebff00f,0x07fe405f,0xc805ff50,0x4ff884ff,
    0xfe800dfd,0x3e22ff45,0x4027fc0f,0x07ff05ff,0xff987ff2,0x001ffd03,
    0x1ffb0000,0x000fff00,0xfff27fec,0x27fec000,0x6c000fff,0x41bfa4ff,
    0xffe805ff,0x7fec0000,0xe801ffb0,0x2ffa807f,0x37bfffa2,0x502fffff,
    0x3ff103ff,0xf807bfe2,0x87fe405f,0x74406ff9,0x727fd44f,0xfe8005ff,
    0xc80bff0f,0x05ff70ff,0x400ffe80,0x5ff74ffd,0x30ffe800,0x027cc9ff,
    0xd000bfee,0x57fe01ff,0x7fe405ff,0x0bffe200,0xff10dff0,0xd001bfa9,
    0x4c5fe8bf,0x01ffcc7f,0x3e20ffe6,0x49ff301f,0xff900ffc,0x15990003,
    0x100dfd00,0x64000fff,0x0fff15ff,0x8affe400,0x320007ff,0x41bfa5ff,
    0xffe805ff,0x3fe20000,0xf013fea5,0x5ff300df,0x26067fe4,0xff506ffc,
    0x543ff103,0xbff01ffd,0xf50ffc80,0x85fe80bf,0x3fee5ff9,0x87ff4002,
    0x7fe405ff,0x8005ff70,0xfd100ffe,0x0bfee17d,0x261ffd00,0x007ee5ff,
    0xe8005ff7,0x2bff00ff,0x7fe405ff,0x6fffd400,0xf10bfb00,0x001bfa9f,
    0x45fe8bfd,0x17fd47f8,0x2e0bfee0,0xd3ff407f,0x1ffdc0bf,0x03ffe200,
    0x26017fe0,0x2a0005ff,0x0bff36ff,0x9b7fd400,0x2a0005ff,0x41bfa6ff,
    0xffe805ff,0x3fee0000,0x3a03ffc2,0x2ffa807f,0xff803ffe,0x82ffa80f,
    0x7fd81ff8,0xfc80bff0,0x409ff70f,0xdff306fd,0x20017fdc,0x0bff0ffe,
    0xff70ffc8,0x0ffe8005,0xfb83ff50,0x7ff4002f,0x3ecdff10,0x7fdcfba2,
    0x07ff4002,0x0bff5ff8,0x9910ffc8,0x2ffffa81,0xff882ff8,0xe800dfd4,
    0x7c2ff45f,0x817fe20f,0x7d40fff8,0x4ffdc02f,0x3e602ff9,0x7fdc006f,
    0x04ff9805,0x0004ffa8,0x7fd5ffe2,0x3fe20004,0x0009ff57,0xdfd3ffc4,
    0x3a017fe0,0x3a0000ff,0x02ffc87f,0x3ee01ff6,0x8059712f,0xffa80ffd,
    0x981ff882,0x05ff81ff,0xffb87fe4,0x201df904,0x3fee6ff9,0x87ff4002,
    0x7fe405ff,0x8005ff70,0xbfb00ffe,0x8005ff70,0x3ff60ffe,0x7fe45f88,
    0x8005ff72,0xbff00ffe,0xff9017fe,0x2607fe21,0xd88dfffe,0x29ff107f,
    0x7f4006fe,0x7ec2ff45,0xf903ffc1,0x05ff98df,0x7fbcff88,0x004ffd80,
    0x5005fff3,0xff5005ff,0x7fcc0009,0x0009ff56,0xffab7fcc,0x3fe60004,
    0x7fc1bfa6,0x00ffe805,0x309ff300,0x7fe40bff,0x017fe401,0x207ff220,
    0x222beff9,0x3ff881ff,0x7e405ff8,0x70bff50f,0x7fd401ff,0x000bfee5,
    0x17fe1ffd,0x3ee1ff90,0x7ff4002f,0xf707ff00,0xffe8005f,0x3eb7fea0,
    0x5c3ffe23,0x7f4002ff,0x3ebff00f,0x87fe405f,0x3ee01ff8,0x00dfffff,
    0x1bfa9ff1,0xfe8bfd00,0x7ec3fb85,0x5fffc82f,0x4003ffe6,0x804feefd,
    0x200cfff8,0x7005ffe9,0xff1003ff,0x7fd4000b,0x000bff15,0xff8affd4,
    0x3fea0005,0x7fc1bfa5,0x00ffe805,0x203ff900,0xff300ffe,0x17ffc40b,
    0xffd97530,0xfff103ff,0x07fe23ff,0x2ffc1ffc,0x7cc3ff20,0x00ffdc5f,
    0xffb93fee,0xf3ffc003,0x0ffc80bf,0xf8007ff7,0x07ff107f,0xf8007ff7,
    0xffffc87f,0x23ffeb88,0x7c003ffb,0x7d7fe07f,0x87fe405f,0x6c401ff8,
    0x7c405fff,0x800dfd4f,0x42ff45fe,0x7ffc47fa,0xffefebad,0x01effecf,
    0x07fffea0,0x77fffd40,0xfffda99b,0x01ff6006,0x20007ff8,0x1ffe5ffb,
    0x25ffb800,0x2e0007ff,0x41bfa5ff,0xffe805ff,0x0dff0000,0xfb027fdc,
    0xfffb107f,0xffffd985,0x01ffffff,0x225fffd3,0x09ff01ff,0xffc80bff,
    0x2a1fff10,0xffd802ff,0x000ffea2,0x02ffcfff,0x7fd43ff2,0x83ffc003,
    0xffa82ff8,0x83ffc003,0xfffefffc,0x01ffd44f,0xff81ffe0,0xfc80bff5,
    0x003ff10f,0x8813ffee,0x00dfd4ff,0x2ff45fe8,0x3e617fc4,0xff3fffff,
    0x001bffff,0x800dfff0,0xfffffff9,0x000dffff,0xfd801bfa,0xff90000f,
    0x0007fec7,0x3f63ffc8,0xff90000f,0xff837f47,0x00ffe805,0x99cffa80,
    0x7ff99999,0x2f7ffe20,0x2ffffeba,0x3bffffea,0x01ffc8ac,0x07fe2098,
    0x2ffc27fc,0xfc83ff60,0x803ff9bf,0x7fd47ff9,0x9bfe2004,0x7fec05ff,
    0x4009ff50,0xff106ff8,0x009ff505,0xf9037fc4,0x505dffff,0x7c4009ff,
    0x7d7fe06f,0x87fec05f,0x26001ff8,0xff102fff,0xd001bfa9,0xb05fe8bf,
    0xfec981df,0x33bfa61c,0x64009982,0xb88003ff,0xeffffffe,0x05ff8001,
    0x0013fee0,0xfb83ffe2,0xff88004f,0x013fee0f,0xe83ffe20,0x00bff06f,
    0xfffb0000,0xffffffff,0x7f4405ff,0xfbdfffff,0x37fff31f,0x8807ff20,
    0x80ffc419,0x06ff84ff,0xff107ff4,0x36009ffd,0x37fc44ff,0x7cbff500,
    0x87ff406f,0x2a006ff8,0x5ff105ff,0x400dff10,0x3f205ffa,0x3e200aaa,
    0x3fea006f,0x7fd7fe05,0x887ff406,0x300c41ff,0x3fe209ff,0xe800dfd4,
    0x882ff45f,0x800005fe,0x7dc00efd,0x7c40000f,0x260001af,0x3e6003ff,
    0x7ec000ff,0x07ffcc5f,0x317ff600,0xd8001fff,0x0037c5ff,0x80019980,
    0xfffffff8,0x6fffffff,0x2deedb80,0x3ff23ff7,0x00fff403,0x1ff88ffb,
    0xdfd09fd0,0x207ffc40,0x7004fffc,0xffd01fff,0x8fffa007,0x3fe206fe,
    0x00fffa0f,0xf981fff4,0x07ffd02f,0xe80fffa0,0x1fff4007,0x203ffe80,
    0x40dfd5ff,0xff10fff8,0xf017fec3,0x53fe20df,0x7f4006fe,0xf302ff45,
    0x100001bf,0xfd003ffb,0xff30000b,0xffa80007,0x2ffe4002,0x03fff500,
    0x5400bff9,0xffc81fff,0x3ffea005,0x00013e21,0x20007ffc,0x9999bffb,
    0xfff99999,0x3ff20001,0x4401ffb0,0x3f601fff,0xe80ffc47,0x03ffd85f,
    0xf981fffb,0x7ec01eff,0xfff702ff,0x77fe4405,0x6c0fff60,0x3fee0fff,
    0x3ff2202f,0x03ff300e,0x880bffee,0xf100effc,0xfffb800b,0x3bff2202,
    0x7ed7fe00,0x1fffb03f,0xffa87fe2,0x209ff306,0x0dfd4ff8,0x7f45fe80,
    0x1fffd405,0x5fff5000,0x005ff500,0x0ffb7300,0x007fec00,0x07bffa20,
    0x207fff90,0x401effe8,0xd103fffc,0xfc803dff,0x027d43ff,0x00fff800,
    0x8007ff40,0x55cc4ffc,0xfb3fec00,0x7fff407f,0xf11f6e01,0x07ff203f,
    0x5117fff5,0xd81ffdfb,0x9bcfffff,0x3ffffca9,0x677fff40,0xffffcbab,
    0x45fffd42,0x0ffefda8,0x5e77fff4,0x2ffffcba,0xe80ffb10,0xbabcefff,
    0x202ffffc,0xfe8002fb,0xcbabceff,0x2e02ffff,0x7fff54ff,0xffdfb511,
    0xf887fe21,0x3f660bff,0x29ff102f,0x7f4006fe,0x5402ff45,0x801ceffe,
    0x01effec9,0x0dff5131,0x2ff98000,0x37fc4100,0xfffe8800,0xfeca99bd,
    0x7f4404ff,0xca99bdff,0x4404fffe,0x99bdfffe,0x84fffeca,0x80000ff9,
    0x26000fff,0x3e2005ff,0x027fcc7f,0x7fdcbff5,0x3ff6a22e,0x236402ff,
    0xff301ff8,0x7ffec9ff,0xffadffff,0x3f67bf60,0xffffffff,0xfd8802ff,
    0xffffffff,0xfffb02ff,0xff5bffff,0xffffd881,0x2fffffff,0x05fffe98,
    0x7ffffec4,0x02ffffff,0x440007ec,0xfffffffd,0xdf02ffff,0x7fec3fff,
    0xfadfffff,0x983ff10f,0xfffeffff,0x7fffd45f,0xfffffd4f,0x745fe803,
    0x3fea005f,0xeddeffff,0x03fffffe,0x0fffffcc,0x76de4000,0x3bfa006f,
    0x20003fff,0xffffffd8,0x002fffff,0xffffffb1,0x005fffff,0x3fffff62,
    0x02ffffff,0x07f73ffe,0x2003e400,0x6c002ffc,0x17ffc2ff,0xd07ffea2,
    0xfffdffff,0x4c07ff5b,0x00ffc43f,0xfb8bfff7,0xff34efff,0xd983bee1,
    0xbeffffff,0x7fed4000,0x00cfffff,0xa77fffdc,0xfb500ff9,0x19ffffff,
    0x03bffe60,0x7fffed40,0xe800cfff,0x7ed40006,0x0cffffff,0x07ffff30,
    0x29dffff7,0x3ff10ff9,0xfffffd30,0xffff507f,0x3ffffa9f,0x22ff401f,
    0xeb8005fe,0xffffffff,0x8800ceff,0x0002ffff,0x1fffff88,0xfffff100,
    0x3660000d,0xbeffffff,0xffd98000,0x00beffff,0xffffd980,0x5c00beff,
    0x000dffff,0xff800bd0,0x6ffa8007,0x777fffd4,0xc881ffff,0x22efffff,
    0x20f606fe,0x54c00cc8,0x0015103c,0x9a988072,0xa9880000,0xa880019a,
    0x2a620000,0xbc88019a,0x55310002,0x00100033,0x26aa6200,0x1bca8801,
    0x44005440,0x32a600cc,0x2666201b,0x33331099,0x88131003,0x4c400009,
    0x00aabcba,0x000aca80,0x006aaa00,0x002eea60,0x4d4cc000,0x26600000,
    0x2000009a,0x80009a99,0x3a0000aa,0x3fea001f,0x3fff0004,0xfffffea8,
    0x1a9801df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ec000b8,0xff90001f,0x06eea609,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00f32a00,0x20a602a6,0x000002aa,0x66440000,
    0x2a0332a2,0x002a982a,0x8001554c,0x54000aa9,0x0000002a,0xaa980000,
    0xaaaaaaaa,0x001aaaaa,0x664c0000,0x000dd803,0xca800000,0x000abdec,
    0x155306aa,0x00aaa000,0x2aa61bb0,0xaaaaaaaa,0xaa9800aa,0x01554001,
    0x2a200000,0x001acddb,0x2a033322,0x4c00002a,0x00001fff,0x00027ff4,
    0x0001fffb,0x801fff88,0x437c43fa,0x800006ff,0xffb1fff8,0x93fe6009,
    0x6fe81ffc,0x2000ffc8,0x8000fffd,0x74002ffb,0x7c4000ff,0xf30002ff,
    0x0fffa1ff,0x3fffffee,0xffffffff,0x7fb3005f,0xfff10001,0x05fa807f,
    0x0effe800,0xffffc880,0x00efffff,0x7fec5ff8,0x0fff0001,0xff727dc0,
    0xffffffff,0x6405ffff,0x36000fff,0x3ff6007f,0xfffc8005,0x01ffffff,
    0xe85fffe8,0xa800006f,0x200005ff,0x20005ffa,0x006feffb,0x001ffdc0,
    0x5fd75bfd,0x0000dff0,0x3e67ff90,0x3fe6006f,0x3a07ff24,0x00ffc86f,
    0x07ffff10,0x005ff700,0x4000ffe8,0x20003ffc,0xbff52ffd,0x3ffffee0,
    0xffffffff,0x15f005ff,0xffd0007b,0xfe805ff9,0x3ff20002,0x7fcc05fe,
    0xffeeffff,0x7fc03fff,0x000ffec5,0xf3007ff8,0x7fffdc1f,0xffffffff,
    0xff903fff,0x3fec00bf,0x00eff880,0x3ffff620,0x2fffffee,0x3fefff20,
    0x00037f43,0x001ffc80,0x001dfb00,0x3e33fe60,0x3fe0005f,0x7ff54005,
    0x0dff04ff,0x5ff88000,0x88003ff2,0x0332a2cc,0x3bae13b6,0xfbff7000,
    0x5ff7000f,0x00ffe800,0x0017fe20,0x3f64ff88,0x37ff700e,0x33333333,
    0xb5001333,0x3f20034c,0x401ffb2f,0xa8000ff9,0x04ff9bff,0x015dfff5,
    0x407fffb3,0x0ffec5ff,0x007ff800,0x2ffb87fd,0x7ffeccc0,0x2ffffc83,
    0x200ffb00,0x74000ffc,0xfc881dff,0x4ffa83ff,0x37f45ff9,0xbfb00000,
    0x3ff30000,0x3bfe2000,0x0007ff70,0x44000bd5,0x037fc01b,0x43bee000,
    0x00002ff8,0xd0000000,0x005ff59f,0x4002ffb8,0x2e000ffe,0x320000ef,
    0x807fe66f,0x00003ffb,0x002d4f10,0x77449dd3,0x0027ec04,0xffc9bfe6,
    0x027ffc42,0x3e07ffa8,0x00ffec5f,0xa807ff80,0x02ffb87f,0x3217ff20,
    0x800fffff,0xff8807fd,0x3ffc4002,0x2237fd40,0x86f6c5ed,0x000006fe,
    0x440000cc,0x26200009,0x000ccc09,0x20000000,0x400006ff,0x00662098,
    0x00000000,0xff97fcc0,0x17fdc005,0x003ffa00,0x40000988,0x00262098,
    0x00007ff7,0x00fefec0,0x3ea00000,0x2662000f,0x3f604cc0,0x7fe4004f,
    0xfd8bff03,0xfff0001f,0xf709fd00,0x7fcc005f,0xffeffc87,0x807fd805,
    0xfb800098,0x1ffb003f,0x037f4000,0x00155300,0x2aa62aa8,0x31554000,
    0xaa800155,0x20026622,0x2e200998,0x7c26609b,0x006ee66f,0xcedba880,
    0x0998802c,0x31099880,0x20033101,0x1ffb0ffd,0x017fdc00,0x2003ffa0,
    0x1bcddcb8,0x000554c0,0x3ffb8aaa,0x0554c000,0x02aa814c,0x3304ddc4,
    0x007ff101,0x4c02aa60,0x44000fff,0x8bff06ff,0xf0001ffd,0x1ff980ff,
    0x4002ffb8,0x7fe42ffd,0x6c02fff9,0x6dd4407f,0xfc801acd,0x5ff5001f,
    0xfe804cc0,0x20266206,0x74002ffb,0x05ff70ff,0xf70ffe80,0xffe8005f,
    0x900bff30,0xffd901ff,0x5ff35fff,0x3ffa3bfe,0x1000dfff,0xfffffffb,
    0x7fcc07df,0xd0ffc805,0x01ff90df,0x3ea5ff88,0x3fee004f,0x07ff4002,
    0xfffffb30,0x2e03bfff,0x7f4002ff,0x007ff70f,0x002ffb80,0x76407ff4,
    0xf9afffff,0x00dfb02f,0x6407ff60,0x350003ff,0x3f62ffc0,0xfff0001f,
    0xf707fd80,0xffe8005f,0x7d4ffe41,0x1ff600ff,0xffffffc8,0x3ea01fff,
    0x7c00005f,0x20dfd05f,0xfb81fffa,0x7ff4002f,0x8005ff70,0x5ff70ffe,
    0x20ffe800,0x7fc00ffe,0xdefffb85,0xf2ffdfff,0xd9bfffff,0xff500bff,
    0xfffddfff,0x3fa01bff,0xd2ffc00f,0x01ff90df,0x7fc2ffb8,0x0bfee007,
    0x201ffd00,0xeefffffb,0xb82fffff,0x7f4002ff,0x007ff70f,0x002ffb80,
    0x3ee07ff4,0xdfffdeff,0x3ff502ff,0x03ffb000,0x0000bffa,0x3f62ffc0,
    0xfff0001f,0xf704ff80,0x7fcc005f,0xd8ffe40f,0x1ff605ff,0x3bffff62,
    0x02fffffe,0x0019fff1,0x7417fe00,0x1fffa86f,0x8005ff70,0x5ff70ffe,
    0x70ffe800,0xfe8005ff,0x80ffee0f,0x7fd42ffa,0x7fffdc0e,0x90bffff2,
    0x7fdc09ff,0x7e5441ef,0xffb80eff,0xe8bfea03,0x00ffc86f,0x7fe43ff4,
    0x05ff7002,0xc80ffe80,0x5c40cfff,0x7dc2fffd,0x7ff4002f,0x0007ff70,
    0x4002ffb8,0x3fea0ffe,0x7fffdc0e,0x005ff102,0xf103ffb0,0x000001ff,
    0x3ffb17fe,0x81ffe000,0xff702ff9,0x3ffea005,0xf11ffc84,0x1ff605ff,
    0x22077ffa,0xf903fffc,0x0037bfff,0xfe82ffc0,0x0077fd46,0xe8005ff7,
    0x05ff70ff,0xf70ffe80,0xffe8005f,0xd81bfe20,0x037fc47f,0x3fe5fff5,
    0x07ff605f,0x200fffe6,0xf885fff9,0xd1ff606f,0x01ff90df,0x7cc27fcc,
    0x5ff7005f,0x40ffe800,0xc802fffa,0x17fdc7ff,0x5c3ffa00,0xffffffff,
    0x46ffffff,0x74002ffb,0x0dff10ff,0xf017ffd4,0xffb0007f,0x00fff103,
    0x22ffc000,0xf0001ffd,0x0ffd40ff,0xcccdffb8,0xffedcccc,0x1ffc80ef,
    0x3603ffea,0x03ffc47f,0xf5037fd4,0x7bffffff,0x82ffc001,0x3bfea6fe,
    0x017fdc00,0x7dc3ffa0,0x7ff4002f,0x8005ff70,0x7fec0ffe,0x544ff880,
    0x7ff402ff,0x4c03fff2,0x3ffd83ff,0x0bffea00,0x3e203ff6,0x6437f44f,
    0x3ff200ff,0x001ffd01,0xe8005ff7,0x3ffe20ff,0x8fff6004,0x74002ffb,
    0xffff70ff,0xffffffff,0x2ffb8dff,0xa87ff400,0x7ff402ff,0x0017fe02,
    0x3e607ff6,0xaaaa805f,0xf80aaaaa,0x00ffec5f,0x2e07ff80,0xfff700ff,
    0xffffffff,0x7e409fff,0x42ffec1f,0x1ffdc7fd,0x200ffd80,0xffffffd9,
    0xff800dff,0x3eadfd05,0xffb800ef,0x87ff4002,0x74002ffb,0x05ff70ff,
    0x540ffe80,0x1ffb83ff,0x2e007fdc,0x00dff2ff,0x6ffa8bfd,0x86ffb800,
    0xffb83ffa,0x7e437f41,0x81bfe00f,0xfb804ffb,0x7ff4002f,0x001bfee0,
    0x7fdcbff5,0x87ff4002,0xeeeeeffb,0x5eeeeeee,0x20017fdc,0x1ff70ffe,
    0x202ffb80,0xfd8006fe,0x05ff981f,0x7fffffc4,0x5ff82fff,0x8000ffec,
    0x1ff607ff,0xffffffb8,0x0bdfffff,0x220ffe40,0x3fec2fff,0x54007ff2,
    0xd93002ff,0x03dfffff,0xdfd05ff8,0x2001dff3,0x74002ffb,0x05ff70ff,
    0xf70ffe80,0xffe8005f,0xfe86ff80,0xa807fd86,0x00bff2ff,0x2ffd8dfb,
    0x03fff000,0x0dfd0dff,0x1ff90dfd,0x2673fea0,0x7ff99999,0x002ffb80,
    0xffd07ff4,0xb8150005,0x7f4002ff,0x007ff70f,0x002ffb80,0x7fd87ff4,
    0x202ffa80,0xfd8007fd,0x06ff881f,0x7fffffc4,0x5ff82fff,0x8000ffec,
    0x1bfa07ff,0xc982ffb8,0xfc802eff,0x0fffa81f,0xbff51ff6,0x22000000,
    0x01ffffda,0x7ff417fe,0x7001ffff,0xfe8005ff,0x005ff70f,0xff70ffe8,
    0x0ffe8005,0x3e61ffc8,0x806ff83f,0x09ff2ff9,0x7fc1ffb0,0x3ff60007,
    0x261ffc84,0x86fe83ff,0xffb00ffc,0xffffffff,0xfb805fff,0x3ffc003f,
    0x0001fff1,0x000bfee0,0x3fee1ffd,0x7fdc0003,0x87ff4002,0xff9806ff,
    0x007ff202,0x3e03ffb0,0x9999807f,0xf82ffc99,0x00ffec5f,0x3e07ff80,
    0x0bfee05f,0x402fffa8,0xffb01ffc,0x3e23fecb,0x00000cff,0x13ffa600,
    0xffd05ff8,0x200dffff,0x74002ffb,0x05ff70ff,0xf70ffe80,0xffe8005f,
    0x324ff980,0x07fe80ff,0x9ff2ffa8,0x7c4ffb00,0x3f20007f,0x24ff985f,
    0x6fe80ffc,0xf880ffc8,0xffffffff,0x406fffff,0x7c003ffa,0x01ffe66f,
    0x02ffb800,0xfb87ff40,0x7dc0003f,0x7ff4002f,0xf500ffd0,0x0ffe405f,
    0x407ff600,0x70002ffe,0x8bff05ff,0xf0001ffd,0x037fc0ff,0xfb805ff7,
    0x3ff201ff,0x25fff101,0xfffc87fd,0x22001bdf,0x3e2000a9,0x417fe06f,
    0xffd8effe,0x02ffb803,0xfb87ff40,0x7ff4002f,0x8005ff70,0xffd00ffe,
    0x7fd82ff4,0xff2ffb80,0x4cdfd00b,0x2a0005ff,0x4ffd06ff,0x0dfd05fe,
    0xff701ff9,0x33333337,0x403fff33,0x22004ff9,0x1bfea5ff,0x2ffb8000,
    0xb87ff400,0x5c0003ff,0x7f4002ff,0x700ffb0f,0x7fec05ff,0x0ffec000,
    0x0005ffb8,0xbff05ff7,0x0001ffd8,0x3ffc0fff,0xb005ff70,0x3f201dff,
    0x3ffea01f,0xff507fd8,0x17bfffff,0x001ffd40,0x7fc03ff6,0x221dfd05,
    0x7dc01fff,0x7ff4002f,0x8005ff70,0x5ff70ffe,0x00ffe800,0x5ff33ff7,
    0x9007ff20,0x01bfe5ff,0x4ffa93fe,0x1ffe2000,0x7fccffdc,0xf90dfd02,
    0x01ffd01f,0x8813ff20,0x3ea006ff,0x013fea4f,0x02ffb800,0xfb87ff40,
    0x7dc0003f,0x7ff4002f,0xc803ff90,0x1ffe02ff,0x407ff600,0x8003fff8,
    0x5ff82ffb,0x8000ffec,0x3ffa07ff,0x005ff700,0x320bfff1,0x7fec01ff,
    0x36607fdd,0xffffffff,0x06ff880d,0xff03fec0,0xf51bfa0b,0x2ffb80df,
    0xb87ff400,0x7f4002ff,0x005ff70f,0xf100ffe8,0x4c0ff79f,0x3fe205ff,
    0x403fff2f,0x3fea2ffb,0x3fe60004,0xf79ff106,0x6437f40f,0x2ffcc0ff,
    0x80fff100,0xfd004ffe,0x02ffcc5f,0x05ff7000,0xf70ffe80,0xfb80007f,
    0x7ff4002f,0x440bff30,0xff102fff,0x3ffb000f,0x01fffdc0,0xf05ffb10,
    0x01ffd8bf,0x6c0fff00,0x5ff701ff,0x0bffea00,0xf1007ff2,0x200fffff,
    0xfffffec9,0x02ffd81e,0x7c0bff10,0xb0dfd05f,0x7fdc07ff,0x87ff4002,
    0x74002ffb,0x05ff70ff,0x200ffe80,0x404feefd,0xfd883ffd,0x0bfff2ff,
    0xf883ffa2,0x3ea0005f,0x3bbf605f,0x21bfa04f,0x7fe40ffc,0x17fec002,
    0x407fff50,0x7c45ffc8,0x2e00007f,0x7f4002ff,0x007ff70f,0x002ffb80,
    0xffb07ff4,0x5fffb107,0x0017fe60,0xfb007ff6,0xfb8017ff,0x5ff82fff,
    0x8000ffec,0x3fee07ff,0x005ff702,0x32077fec,0xffa801ff,0xa88007ff,
    0x5c1ffffd,0x74c04fff,0x17fe02ff,0x7fc437f4,0x07ff701f,0x3ee7ff80,
    0x3ffc003f,0xf8007ff7,0x7ffd407f,0x7ffc401f,0xfffebabd,0x3dffff2f,
    0x7c0fff4c,0x3ee0007f,0x3ffea05f,0x21bfa01f,0x3ffc0ffc,0x037fd400,
    0x2b3bfffa,0x0ffffcba,0x0000ffe8,0x8007ff70,0x37fee7ff,0xcccccccc,
    0xf70ccccc,0x7ff8007f,0x55efffc4,0x02ffffeb,0xb0005ff5,0xfd8803ff,
    0xcaacefff,0x02fffffe,0xdffd8bff,0xcccccccc,0x81ffe0cc,0xff704ff9,
    0x7ffc4005,0x800ffe44,0x0007fffd,0x5c27ff4c,0xaabdffff,0x404fffdc,
    0x0dfd05ff,0x7d41bfee,0x3ffc003f,0xf8007ff5,0x00ffea7f,0xff00fff0,
    0x3fa200df,0xfbdfffff,0xffddff1f,0x205fffff,0x90000ffd,0xfff807ff,
    0x6437f406,0x13fea0ff,0x00fffc00,0xffffffb1,0x203fffff,0xc8001ffc,
    0x07ff50ac,0x3ee7ff80,0xffffffff,0x1fffffff,0xf8007ff5,0xfffe887f,
    0x1ffbdfff,0x0001ff70,0x2e003ffb,0xffffffff,0x200cffff,0x7ffec5ff,
    0xffffffff,0x01ffe1ff,0x3fee0bff,0x7ffdc002,0x4007ff21,0x2627fff8,
    0x3fe2000a,0xfffff506,0x07ffffff,0x3fa0bff0,0x20fffa06,0x22004ffa,
    0x13fea6ff,0x2a6ff880,0x3e2004ff,0x3ffc806f,0x3bb6e200,0x3e3ff72d,
    0xbffff96f,0x027fdc05,0x007ffc40,0xfd00fff2,0x6c1ff90d,0xf90001ff,
    0xffb5009f,0x019fffff,0x2001ffdc,0xff50fff8,0x37fc4009,0xfffffff7,
    0xffffffff,0x013fea3f,0x7106ff88,0x3ee5bddb,0x50dfb01f,0x07fec059,
    0xfffd7100,0x0019bfff,0xfffd8bff,0xffffffff,0x01ffe1ff,0x3fee0ff9,
    0x6ffe8002,0xa8007ff2,0x0ffea7ff,0x201ffb00,0xfffffec9,0xbff002ce,
    0xf981bfa0,0x37fc41ff,0x44bff500,0x3ea006ff,0x01bfe25f,0xb805ffa8,
    0x200000ff,0x8dff0ffc,0xfff30019,0x5ffd8001,0x000ffb80,0x0003ff20,
    0x0003f900,0x20013fd1,0x5c006ff9,0x1bfe25ff,0x005ffa80,0x7fc40bf0,
    0x17fea006,0x407fe400,0x5ff82ff9,0x0003ffa0,0x0007fcc4,0x98800662,
    0x8805f801,0x330003ff,0x99800001,0x06ff8800,0xf003fec0,0xff00013f,
    0x04cc400b,0x003ffe80,0xffe87ffd,0x87ffd003,0xfd003ffe,0x0bfd007f,
    0xd8015730,0x001bfe7f,0x400bff90,0xe801fffa,0x7e40005f,0x6c00000f,
    0x01be0007,0x4013ff60,0x7f42fff9,0x7ffd003f,0x807f3000,0xfd003ffe,
    0x0055cc7f,0x2fec1ff6,0x3fe06fe8,0x7fcc0007,0x7ffd4002,0x2fffb803,
    0x32009f30,0xff98006f,0xf300003f,0xffb007ff,0x17fe2005,0x0067fcc0,
    0x5002ffc0,0xf7007fff,0x7e4405ff,0x7ffdc0ef,0x3bff2202,0x017ffdc0,
    0x801dff91,0xf9802ffa,0x97fea04f,0x440006ff,0x6401effe,0xfa803fff,
    0x7ec0002f,0xff800007,0x06f88000,0x0cfff880,0x217ffa60,0x2202fffb,
    0x8000effc,0x7fdc03fa,0x3ff2202f,0x813fe60e,0xff885ffa,0x907ffb01,
    0x98000bff,0x22006feb,0x4c00ffda,0x9f507fdb,0x00bfe200,0x03ffb510,
    0xffb51000,0x4fffb803,0x017ff4c0,0x00ffca88,0x10027fc0,0xd003ffb5,
    0x7579dfff,0x205ffff9,0xabcefffe,0x02ffffcb,0x579dfffd,0x05ffff97,
    0x0dff5131,0x1057ffc0,0x7fc3fff5,0xfe880006,0xca99bdff,0x3104fffe,
    0x000dff51,0x0006ff88,0x0624fe80,0x0107fe20,0x7dffff50,0xdfffb533,
    0x677fff40,0xffffcbab,0x8df50002,0xcefffe80,0xffffcbab,0x20afff82,
    0xc81fffa8,0x3ffe604f,0x1fffdaae,0x3ff30000,0x03ff8800,0xf505ff30,
    0x037dc00d,0x004ff880,0x013fe200,0x2f7fffee,0x4fffdcaa,0x01ff9800,
    0x000ffee0,0x2200ffe2,0xfffffffd,0x2202ffff,0xfffffffd,0x2202ffff,
    0xfffffffd,0xf302ffff,0x4003ffff,0xfeeffffa,0x37fc1fff,0xffd88000,
    0xffffffff,0x3ffe602f,0xdb0001ff,0x00007fff,0x9fdfff70,0x377ff600,
    0xfff3003f,0xffffffff,0x7fec401b,0xffffffff,0x7fc0002f,0x6c40fdcf,
    0xffffffff,0xff502fff,0xffffddff,0x801ff103,0xfffffffc,0x5dc0002f,
    0x77006ffd,0x5c01ffd9,0x3e06ffcb,0x200fdcff,0x977001fe,0x80001ffd,
    0x00ffecbb,0xffffff50,0x007fffff,0x037ff664,0x00fffef8,0x1ffd9770,
    0x7ffed400,0x000cffff,0xffffffb5,0x36a0019f,0xcfffffff,0x3fffe200,
    0xffea8002,0xf81effff,0x4c00006f,0xeffffffd,0x7ffc400b,0x3fe0002f,
    0x00000dff,0x2efffd88,0xdfffd300,0x7f5c4005,0x01efffff,0x3ffff6a0,
    0x0000cfff,0x0effffb8,0xfffffb50,0xea8019ff,0x1effffff,0x2a007f90,
    0x02dfffff,0x7fffc400,0xffff001f,0x7ffc405f,0x3fee02ff,0x3e600dff,
    0xffffd005,0xffd00007,0xc98007ff,0xcefffffe,0x3ffe2002,0xff9801ef,
    0x3fa004ff,0x10003fff,0x00033553,0x00cd54c4,0x33553100,0x00565400,
    0x06f2a600,0x00001330,0x004d4cc0,0x0002b2a0,0x00057750,0x00351000,
    0x00002a60,0x00035531,0x019aa988,0x03550000,0x066aa620,0x06f2a600,
    0x22001320,0x5400001a,0x554001aa,0xaaa8009a,0x800aa001,0xaa9800cb,
    0x53000009,0x10000135,0x4c000133,0x2a200099,0x54c001bc,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aa60000,0x2aaaa000,0x00000000,
    0x00000000,0x03fff200,0x80000000,0x0164c1b8,0xf99bfe60,0x1510006f,
    0xd30bb000,0x27fdc007,0x00005ff9,0x00000000,0x887ff440,0x40000ffe,
    0x0000effc,0x00000000,0x80000000,0x037c40fe,0x64000000,0x000001cc,
    0x00000000,0xf8800000,0xffd804ff,0x7fff7001,0x7ffcc000,0x00000004,
    0x00009ffb,0x037fffd4,0x02fff800,0xdffffb80,0xa8002fda,0x01ffd4ff,
    0x000fe600,0x1fd88fee,0x4cffec00,0x4c0004ff,0x80004fff,0x80006ffb,
    0x3ff96ff9,0xfffa8000,0x2e00005f,0x400007ff,0xc8004ffd,0x540006ff,
    0x05fb10df,0x03fff300,0x02fff800,0x203fff90,0xf9805ffd,0x3fe205ff,
    0x4dff302f,0x20004ffb,0x402ffffe,0xfb801ffd,0x220002ff,0x002ffeff,
    0x7fcc0000,0x3e200006,0x005ff8df,0x0027fdc0,0xfffdcff8,0xf90000ff,
    0x8003ffbf,0xadfffec8,0xdfff1000,0xd1000bff,0x000bfddf,0x3ffefe88,
    0x3ffe2000,0xff500000,0x80007ffb,0x4ff9eff8,0xfff70000,0x7fcc0000,
    0xfff88006,0xffe80000,0x20006fff,0x40005ffb,0xfa802fff,0xfd00efef,
    0x77f4403f,0x9ff903ff,0xf8bffb80,0x3f20005f,0x201ffcaf,0x7dc01ffd,
    0x6c0002ff,0x01ffc8ff,0x3f600000,0x3a00000f,0x07ff70ff,0x0037f400,
    0x36e25fa8,0x7f40000c,0x7d4003ff,0xffffffff,0xbfd73002,0x3e600015,
    0x40000eff,0x1ffc9ffd,0x05ff7000,0xfffc8000,0xffe80004,0x0005ff90,
    0x000fff70,0x0007fec0,0x0000ffdc,0x02dfda88,0x00ffc800,0x00bbba00,
    0xbff1bff3,0xd817fe20,0x41ffc9ff,0xf9005ff8,0x0001dfdf,0xffe93fea,
    0x403ffb00,0x0002fffb,0xff89ffe4,0x8000000e,0x00002ff8,0x33302662,
    0x03fea000,0x00000000,0x4002aa88,0xcfbdfff9,0x0001fffd,0x13310000,
    0x4ffb8000,0x20003ffa,0x000003ff,0x10000555,0x02aa8355,0x02aa8800,
    0x05ff1000,0x000ffe00,0x40000000,0x000004fd,0xf50ffe88,0x07fe609f,
    0xffe93fee,0x8003bee0,0x0001fffe,0x13310662,0x5c07ff60,0x80002fff,
    0x04cc4199,0x4c400000,0xa8800000,0x001acddb,0x98002620,0x554000aa,
    0xdb751002,0x3fa00599,0x3ee5f32f,0x002aa66f,0xa8805550,0x001acddb,
    0x99883330,0x00198000,0x0002aa60,0x65400555,0x000abdec,0x5ef66540,
    0x4c40000a,0x00660000,0xedba8800,0x880002cc,0x77100019,0x9884cc13,
    0x100ccc09,0x88333013,0x00262099,0x00013310,0x79bb9710,0x40ffec03,
    0x4c02fffb,0x555001aa,0x00aaa003,0x2aaaaa20,0xaaaaaaaa,0x900aaaaa,
    0xffffffff,0xaaaa803f,0xaaaaaaaa,0x3fee2aaa,0x07ff4002,0xfffffb10,
    0x4407dfff,0xf8be66ff,0x05ff70ff,0x900ffe80,0xffffffff,0x0aaa603f,
    0x98d55400,0xaaaaaaaa,0xb800aaaa,0x7f4002ff,0x3ff2200f,0xefffffff,
    0x3ff22000,0xefffffff,0x00555300,0x54c6aaa0,0xb100000a,0xffffffff,
    0x5554c07d,0xaaaaaaaa,0xd901aaaa,0xf35fffff,0x00aaa05f,0x02aa8aaa,
    0xa9855500,0x1554001a,0x3ffff660,0xd81dffff,0x7ffdc1ff,0x04ffa801,
    0x006fff98,0xf9000fff,0xffffffff,0xffffffff,0xfffd883f,0xfffffeef,
    0x3ffffe02,0xffffffff,0x0bfee7ff,0x201ffd00,0xeefffffa,0x80dfffff,
    0x8be63ff9,0x5ff70bcb,0x40ffe800,0xeeffffd8,0x982fffff,0x54001fff,
    0xfff70fff,0xffffffff,0x7dc05fff,0x7ff4002f,0xfffff300,0xfffffddf,
    0xffff3007,0xffffddff,0x3fff307f,0x0fffa800,0x00003ffb,0xddfffff5,
    0x01bfffff,0xfffffff7,0xffffffff,0xbdfff70b,0x05ffbfff,0xf880dff1,
    0x001bfe6f,0xff91bfe2,0x3fec001f,0xdfffff70,0x85fffffd,0x3fee1ffd,
    0xdff1001f,0x1ffff700,0x005ff980,0x7fffffc4,0xffffffff,0x741fffff,
    0xfc881dff,0xffff03ff,0xffffffff,0x7fdcffff,0x07ff4002,0x20f7ffdc,
    0x0efffca8,0x5f31ffcc,0x002ffb80,0x3fa07ff4,0xffc881df,0x06ffc83f,
    0xb8bffe20,0xffffffff,0x3fffffff,0x8005ff70,0xffa80ffe,0xfd980aef,
    0x3fea03ff,0xfd980aef,0x6ffc83ff,0x8bffe200,0x40001ffd,0x441efffb,
    0x40efffca,0xfffffffb,0xffffffff,0x2077fd45,0x882ffffb,0x7fc406ff,
    0x2001bfe6,0x7fe46ff8,0x1ff6005f,0x2067ffe4,0x22fffdb8,0xfff71ffd,
    0x0ffe8003,0x1fff7ec0,0x000bfee0,0xff339ff9,0x3333333f,0xff883333,
    0x06ffa807,0x33333333,0xbffd3333,0x20017fdc,0x7fcc0ffe,0xfff9803f,
    0xf337fc45,0x02ffb805,0xf107ff40,0xdff500ff,0x4013ffa0,0x7fdc4ffd,
    0x7feccc02,0x02ffb83f,0x2207ff40,0xf5004fff,0x3ffe20ff,0x0fff5004,
    0x6c013ffa,0x0ffec4ff,0x7fff3000,0x8bfff300,0x9999bffb,0x99999999,
    0xa81bfe20,0xff882fff,0xf37fc406,0xff1000df,0x2ffffc8d,0xf50ffb00,
    0xff9005ff,0x7dcffecf,0x64004fff,0x5ffc02ff,0x7fec05fe,0x3ffe2000,
    0x8001ffe0,0xfb003ffb,0xfc80001f,0x0bfee0ef,0xd81ffd00,0x3ea003ff,
    0x67ff42ff,0x7dc02f98,0x7ff4002f,0x400ffee0,0xff980ffd,0x37fd401f,
    0x90017fdc,0x5ff70bff,0x40ffe800,0x64004ffd,0x4ffd83ff,0x41ffe400,
    0x5401fff9,0x1ffd86ff,0x0fff6000,0x22fffa80,0x40003ffb,0x7f402ffa,
    0x06ff882f,0xdff37fc4,0x8dff1000,0x00fffffc,0x7fc47fd8,0x3ff6004f,
    0xdffbffb3,0x54005fff,0x3fe604ff,0x7fc07fc9,0x27fe4006,0xc8001ffe,
    0xff5001ff,0x7fdc0005,0x017fdc0f,0xfa83ffa0,0xffb8006f,0x67fffcc6,
    0x17fdc02f,0xc83ffa00,0xff5001ff,0x81bff205,0xfb81fff8,0x3fe6002f,
    0x002ffb87,0xff307ff4,0xff88001f,0x007ffcc6,0x641bfe20,0x3fe206ff,
    0x01ffd81f,0x00dff500,0x7dcdff70,0x7dc0003f,0x17fdc00f,0x22037fc4,
    0x01bfe6ff,0xf91bfe20,0xb00bffdf,0x06ffb8ff,0xfdaffd40,0xffb8efff,
    0x17fe000f,0x3ff57fc8,0x8013fe60,0x7fc0fff8,0x3fea0007,0x20000005,
    0xfb82fffa,0x7ff4002f,0x000bff60,0x3e60fffc,0x02ceffff,0xe8005ff7,
    0x17fea0ff,0xffe88000,0x209ffb03,0x6c002ffb,0x17fdc2ff,0xc83ffa00,
    0x350003ff,0x0007ff90,0xffe8806a,0x209ffb03,0xb0001ffd,0x3e0005ff,
    0x07ff71ff,0x807fd800,0xff882ffa,0xf37fc406,0x0de544df,0x7e46ff88,
    0x402fff9f,0x17ff47fd,0xffb05400,0x37fec1df,0x740ffb00,0x209ff14f,
    0x2e002ffb,0x07ff84ff,0x33ffe200,0x4c000000,0xff703fff,0x0ffe8005,
    0xd8001ffe,0xfeb884ff,0x5c1effff,0x7f4002ff,0x33ffe20f,0xff300000,
    0x06ffa83f,0xd000bfee,0x2ffb83ff,0xd07ff400,0x800005ff,0x00002ffe,
    0x507ffe60,0x7fec0dff,0x0fff0001,0xba7fec00,0x7c0003ff,0x2ff9806f,
    0x4406ff88,0x65bfe6ff,0x41ffffff,0x7fe46ff8,0x200fffa9,0x3ffe27fd,
    0xffd80000,0x1fffc40e,0x881ffb80,0x41bfa2ff,0x7fc007fd,0x007ff80f,
    0x6ffffe40,0x4400001b,0x3ee05ffe,0x7ff4002f,0x000fff10,0x2a02ffe4,
    0x22ffffff,0x74002ffb,0x7ffe40ff,0x40001bdf,0x7ff46ffc,0x00bfee01,
    0x5c0fff98,0x7f4002ff,0x01fff10f,0x7ffc4000,0x64000000,0x0fff46ff,
    0x0003ffb0,0x4000fff1,0x7ff75ffc,0x07fe8000,0xf882ffa8,0x37fc406f,
    0xdfffddff,0x7c43ffff,0xd8ffe46f,0x9ff605ff,0x00007ff9,0x3ea03ffb,
    0xff9801ff,0x2e0ffa83,0x05ff80ff,0x7c17fee0,0xfa80007f,0xbdffffff,
    0x7fec0000,0x0bfee00e,0x261ffd00,0x2a0005ff,0x57cc06ff,0xf70fffd9,
    0xffe8005f,0xfffffa80,0x4000bdff,0xff92ffe8,0x02ffb807,0x709fff50,
    0xfe8005ff,0x00fff10f,0x07ff8800,0xfe880000,0x807ff92f,0x98001ffd,
    0x2a0005ff,0x07ff76ff,0x807fd800,0xff882ffb,0xf37fc406,0x6cc3bfff,
    0x1bfe25ff,0x3fe23ff9,0x54ffb02f,0xb00006ff,0x7fe403ff,0x85ff800f,
    0x17fcc6fd,0xe800ffe2,0xdfff01ff,0xdddddddd,0x7fecc05d,0x0dffffff,
    0x0fffc800,0x0017fdc0,0x7fd43ffa,0x3fe20004,0xf917cc07,0x00bfee7f,
    0x2601ffd0,0xfffffffd,0x3ea000df,0x805ff9ff,0xccccdffb,0xfffedccc,
    0x02ffb80e,0xf987ff40,0xaaaa805f,0xf30aaaaa,0x555500bf,0x80155555,
    0x5ff9fffa,0x001ffd80,0x0004ffa8,0x7fddffe2,0xffffffff,0x7e46ffff,
    0x17fe401f,0x22037fc4,0x17ffe6ff,0x3fe27fe8,0xf50ffe46,0x4ffb01ff,
    0x00004ffa,0xfe803ffb,0x87fd805f,0x45ff84ff,0xf5001ffb,0x7fffc0bf,
    0xffffffff,0xfd93002f,0x003dffff,0x4017ffd4,0x74002ffb,0x09ff50ff,
    0x037fcc00,0x5ff98be6,0xe8005ff7,0xec9800ff,0x01efffff,0x3fffff20,
    0xffffb800,0xffffffff,0x3fee04ff,0x87ff4002,0x7c405ff9,0xffffffff,
    0x880bff32,0xffffffff,0xfffc802f,0xffd800ff,0x4ffa8001,0x5bfe6000,
    0xfffffffb,0x6fffffff,0xf102ffcc,0xdff105ff,0x3e6ff880,0x3ff201ff,
    0xfc8dff10,0x42ffec1f,0x17fe67fd,0x0ffec000,0x00fffe60,0x7fcc1ff7,
    0x7ec7fd81,0x07ffa007,0xeeeefff8,0x02eeeeee,0xfffda880,0xfff8801f,
    0x05ff7003,0xf10ffe80,0x7d4000bf,0xf989735f,0xffbb7fc2,0x07ff4002,
    0x3ff6a200,0xfd1001ff,0x3ee007ff,0xffffffff,0x5c00bdff,0x7f4002ff,
    0x80dff10f,0xfffffff8,0x0dff12ff,0xffffff88,0xe8802fff,0xfb003fff,
    0xff10003f,0x7fd4000b,0xddddff75,0xdddddddd,0x107ffb0b,0xf105fffb,
    0x6ff880df,0xff701ffe,0xf91bfe23,0x2fff883f,0xfff13fec,0x3ff60000,
    0x1fffb801,0xfb8bfe60,0x7c3ff707,0xdff5005f,0xf3333333,0x000000ff,
    0x2027ff4c,0x2005ffe8,0x7c003ffb,0x003ffc7f,0x3f2bff70,0xf88be62f,
    0x007ff76f,0x40007ff8,0x2004ffe9,0x2e006ffa,0xffc982ff,0x3ffb802e,
    0x3e3ffc00,0x9999807f,0x3e2ffc99,0x9999807f,0x002ffc99,0x6c00dff5,
    0xff0001ff,0x7fdc000f,0x0007ff75,0x57bfff10,0x05ffffd7,0xf880dff1,
    0x701bfe6f,0x1bfe23ff,0xff503ff9,0x3a3fec1f,0xd80000ff,0xffd001ff,
    0xd27fc01d,0x4bfe20bf,0xfd002ff8,0xffffffff,0x2000ffff,0x22000a98,
    0x7fec06ff,0x1ffd4006,0xfb1ffe00,0x3f20001f,0x4c9ff53f,0x553fee2f,
    0x7fc003ff,0x8002a627,0x26006ff8,0x3ee005ff,0x3ffea02f,0x01ffd402,
    0xffd1ffe0,0x3fee0005,0x000bffa2,0x98017fdc,0x3f6005ff,0xffb0001f,
    0x3ff20001,0x0007ff73,0x3ffffa20,0x81ffbdff,0x7c406ff8,0x701bfe6f,
    0x1bfe23ff,0x3f603ff9,0xf91ff65f,0x5990003f,0x2003ffb1,0x3605fff8,
    0x407ff16f,0x01ff54fe,0xffffff50,0xffffffff,0x0ffea000,0x201ffb00,
    0x4000fffb,0x22004ffa,0x27fdc6ff,0x87ffc400,0x5f31fff8,0xffa97ff4,
    0x9bfe2004,0x6c003ffa,0xff3000ff,0x17fdc00b,0x807ffee0,0x22004ffa,
    0x2ffdc6ff,0x22ffb800,0x70005ffb,0x3e6005ff,0x3ff6005f,0x9ff70001,
    0x1fff1000,0x0000ffee,0x2deedb88,0xff103ff7,0x26ff880d,0x7fdc06ff,
    0xfc8dff11,0x5fff101f,0x7ff71ff6,0x8fff8800,0x2e001ffd,0xff502fff,
    0x6401ff51,0x200df96f,0xcccccffe,0x07ffcccc,0x00dff100,0xff507fd8,
    0xff10003f,0x2ffd400d,0x0003ffe6,0xffc8bffb,0xfeabf9cf,0x01bfe25f,
    0x3e25ffa8,0x3fec006f,0x00bff300,0x6c017fdc,0xff100eff,0x2ffd400d,
    0x000fffe2,0xff88bfee,0xffb8003f,0x0bff3002,0x000ffec0,0x000fff98,
    0xff72ffec,0x40000007,0xff880ffc,0xf37fc406,0x1ffb80df,0xffc8dff1,
    0x23ffea01,0x37fcc7fd,0x017fee00,0x88000cc4,0x406fc9ff,0x009fd7fa,
    0x3e00dff3,0x3f60007f,0xbff1002f,0x007fff10,0x801fff40,0xffc83ffe,
    0x3ffea005,0xfffffc81,0x740effff,0xffd003ff,0x002ffd87,0x4c00bff1,
    0x3ee005ff,0xfff8802f,0x00fffa05,0x7dc1fff4,0x362003ff,0x7ffdc2ff,
    0x3ff62003,0x0bff3002,0x000ffec0,0x400bff90,0x3ee1fffa,0x5cc0003f,
    0x83fec00a,0x7c406ff8,0x701bfe6f,0x1bfe23ff,0xfd803ff9,0xfd87fddf,
    0xfff3004f,0x3bff6005,0xebfe8001,0x57fc404f,0xffd802ff,0x00fff002,
    0x027ffdc0,0xd10bffa6,0xb80009ff,0x32202fff,0xfe880eff,0x7fe401ef,
    0x3ffae03f,0xf703ffff,0x7e4405ff,0x7ffdc0ef,0x17ff4c04,0x00bff300,
    0xa8017fdc,0xff702fff,0x7fe4405f,0x7fffb00e,0xffffb801,0x0bfffd82,
    0x17fffdc0,0x005ff980,0x80007ff6,0x401effe8,0x7dc3fffc,0x7cc0003f,
    0x17fea04f,0x22037fc4,0x01bfe6ff,0x3fe23ff7,0x200ffe46,0x87fffff8,
    0x200cfff8,0x2005ffe9,0x8006feb9,0x802ffefc,0x9807fdfe,0x3fe006ff,
    0x7fdc0007,0xdcaabdff,0xffd84fff,0xffd00005,0xf97579df,0x74405fff,
    0xa99bdfff,0x004fffec,0xd0039f71,0x7579dfff,0x205ffff9,0xabdffffb,
    0x04fffdca,0x002ffcc0,0x6c005ff7,0xffd00eff,0xf97579df,0x6c405fff,
    0xaaceffff,0x2fffffec,0xdffffb10,0xfffd9559,0x7cc005ff,0x3ff6005f,
    0x7f440001,0xca99bdff,0xfb84fffe,0xff80003f,0x3fea20af,0x0dff101f,
    0x3fe6ff88,0x88ffdc06,0x0ffe46ff,0x3ffffd40,0xbeffffa8,0x6fffda99,
    0x01ff7000,0x07fffa80,0x00bfff70,0x7c005ffb,0xccccccff,0xa82ccccc,
    0xffffffff,0xffa83fff,0xcccccccf,0x1ccccccc,0x7ffffec4,0x02ffffff,
    0xfffffd88,0x02ffffff,0x88017cc0,0xfffffffd,0x5402ffff,0xffffffff,
    0x98003fff,0x3ee005ff,0x3fe2002f,0xfffb104f,0xffffffff,0x3ffee005,
    0xffffffff,0xffb800cf,0xffffffff,0x4c000cff,0x3f6005ff,0xccccccdf,
    0xb100cccc,0xffffffff,0x3ee05fff,0xccccccdf,0x0ccccccc,0x3bbfffea,
    0x2201ffff,0x7fc406ff,0xf701bfe6,0x91bfe23f,0x3f6003ff,0x3fe607ff,
    0xffffffff,0x771000df,0x1000bff9,0x2600bfff,0x7cc03fff,0x7ffc006f,
    0xffffffff,0xd9304fff,0x59dfffff,0x3ffffea0,0xffffffff,0xb502ffff,
    0x9fffffff,0xffd98001,0x00beffff,0x4002f980,0xffffffda,0xd93000cf,
    0x59dfffff,0x17fe6000,0x002ffb80,0x500fffdc,0xfffffffb,0xeb880019,
    0xcdffffff,0x7f5c4000,0x0cdfffff,0x0bff3000,0x7ffffec0,0xffffffff,
    0x7ffecc01,0x200befff,0xfffffffb,0xffffffff,0x7fff541f,0x4401efff,
    0x7fc406ff,0xf701bfe6,0x91bfe23f,0x3e2003ff,0x75c407ff,0x1effffff,
    0x7fffcc00,0xffd0001e,0x0fffc007,0x000fff60,0xffffffff,0x09ffffff,
    0x20026620,0xfffffffa,0xffffffff,0x54c402ff,0x3000019a,0x00001353,
    0x26200013,0x800019aa,0x80000998,0x2e005ff9,0xfe8002ff,0xaa98806f,
    0x31000019,0x40000155,0x0000aa98,0x400bff30,0xfffffffd,0x01ffffff,
    0x0026a660,0x7fffffdc,0xffffffff,0x795301ff,0x37fc4003,0xff9bfe20,
    0x88ffdc06,0x0ffe46ff,0x00fff500,0x000d54c4,0x0006aaa0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0001776c,0x00000000,0x00000000,0x00000000,0x26020000,
    0x9b10000a,0x00007d30,0x5ffa8000,0x0000ffee,0x3fe20004,0x80dff10e,
    0x3ffa1ffd,0x22060000,0xff88001a,0x000ffea5,0xff52ffd4,0x82fb800b,
    0x3fa000fe,0x01fff11f,0x00133100,0x01a88080,0x98800666,0x7fe40009,
    0x000bff63,0x13a21760,0x27ffcc00,0x3ffe8000,0xdff70000,0xdff90000,
    0x7fc00000,0xfd00003f,0x300001df,0x80009fff,0xe89ceffc,0x3f20000f,
    0x00007ec2,0x4000bff9,0x5ff9affc,0x4ffb8000,0xda7fd400,0x7fc400ff,
    0x002ffc8e,0x159ffd50,0xf10003fb,0x01ffd4bf,0xf17ff900,0xdf1000df,
    0x0013ee23,0x3ff2dff1,0xbff90001,0x3ff66000,0x303fb8ad,0x3a001fff,
    0xfd8004ff,0x003ffa9f,0xfd87f700,0xefe88001,0xe80003ff,0xf00003ff,
    0x200001ff,0x00001ffe,0x0004ffb8,0x0bfdff90,0xfefe8800,0xff30003f,
    0x0bfffffd,0xeeff8800,0x220005ff,0x40000eff,0x006feffe,0x2d88e980,
    0x7effe400,0xbff3001f,0x220007ff,0xfffffeff,0xbff10007,0x0001ffd4,
    0x03ff7ff6,0x7fffe400,0xfa8000ff,0x0003ffdf,0x40017ff2,0xfffffefe,
    0x1fff300f,0x013ffa00,0x3ffbfe20,0x3e200005,0x006ffeff,0xff93ffb0,
    0xccb80003,0xffb80002,0x3a200002,0xe800005f,0xf500006f,0x009ff37f,
    0x7e4ffec0,0x2fc8001f,0x003bfd71,0x7dff9300,0x7fe40001,0xff880001,
    0xb80000ff,0x3a0016a4,0x5c003fff,0x20005fff,0xbfb714fa,0x04cc0003,
    0x80001331,0x001ffff8,0x05efe4c0,0x9fff9000,0x5ffc8000,0x2a6f8800,
    0x3e603efd,0xffd000ff,0x3fe60009,0x400000ef,0x00befec9,0x3a3ffb80,
    0x000000ff,0x013fa000,0x07fe6000,0x0ffa8000,0x6ff98000,0x2000bff2,
    0x3ffa4ffb,0x000c4000,0x00020000,0x000ffe20,0x00099880,0x0f21d300,
    0x00aaa200,0x0000ccc0,0x00000262,0x6676dd44,0x55300002,0x00000003,
    0x00066600,0x00026620,0x98000262,0x26620019,0x26620000,0x04000000,
    0x10666000,0x71000133,0x00379bb9,0x00000cc0,0x00001310,0x800004c4,
    0x04cc0998,0x220ccc00,0xa8800099,0x002ccedb,0xbdecca80,0x3310000a,
    0x32e20000,0x0001bcdd,0x000fffd8,0xaa805550,0xaaaaaaaa,0x002aaaaa,
    0x0001554c,0x3fffff62,0x0003efff,0x3001554c,0x55555555,0x35555555,
    0x55555544,0xaaaaaaaa,0x55531aaa,0x55555555,0x54c35555,0x1554001a,
    0x2aaa0aaa,0xaaaaaaaa,0x2a62aaaa,0xaaaaaaaa,0x00000aaa,0x4c005553,
    0xaaaaaaaa,0x1aaaaaaa,0x7fffecc0,0x301dffff,0xaa800355,0x1554c002,
    0x2aa60000,0x54c00002,0x2aa6002a,0x01554001,0x3fffff62,0x4003efff,
    0xffffffc8,0x5300efff,0x55555555,0x03555555,0xfffffd98,0x0001dfff,
    0x0003fff6,0xff01bfe2,0xffffffff,0x00ffffff,0x000fffd8,0xdfffff50,
    0x1bfffffd,0x3fff6000,0xffff7000,0xffffffff,0x7fccbfff,0xffffffff,
    0x3fffffff,0xfffffff7,0xffffffff,0x007ffe4b,0x7fc4ffb0,0xffffff86,
    0xffffffff,0x3fffee7f,0xffffffff,0x6c0002ff,0xf7000fff,0xffffffff,
    0x0bffffff,0x77ffffdc,0x82fffffe,0x2000fffc,0x7ec007fd,0x200000ff,
    0x0000fffd,0x003fff60,0x2001ffdc,0xff500ffe,0xfffddfff,0xf3001bff,
    0xfddfffff,0xf707ffff,0xffffffff,0x0bffffff,0x77ffffdc,0x02fffffe,
    0x3ffff880,0x06ff8800,0x7ffffffc,0xffffffff,0x3ffe2007,0xffb8003f,
    0x7e5441ef,0x44000eff,0x7003ffff,0xffffffff,0xbfffffff,0x7fffffcc,
    0xffffffff,0xfff73fff,0xffffffff,0x7e4bffff,0x3f6005ff,0x3e1bfe27,
    0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0xfff10003,0x3fee007f,
    0xffffffff,0x905fffff,0xb8819fff,0x7e42fffd,0x3f6005ff,0x3ffe2007,
    0xf100003f,0x00007fff,0x00ffffe2,0x2001ffdc,0xffb80ffe,0x7e5441ef,
    0x3ea00eff,0xd980aeff,0x7fdc3fff,0xffffffff,0x905fffff,0xb8819fff,
    0x4002fffd,0x007fdffb,0x4c06ff88,0x99999999,0x05ffe999,0x1ff7fee0,
    0x07fff300,0x00bfff30,0x07fdffb8,0x3337ff70,0x33333333,0x99999813,
    0x999ffe99,0xff709999,0x33333337,0x64133333,0xb002ffff,0x437fc4ff,
    0x99999999,0x5ffe9999,0x3300bfee,0x0007fffb,0x00ffbff7,0x2666ffee,
    0x99999999,0x2fffa809,0x647ffc80,0xb002ffff,0x7fdc00ff,0x700007fd,
    0x000ffbff,0x1ff7fee0,0x001ffdc0,0xff303ffa,0xfff3007f,0x13ffe20b,
    0x2e3ffd40,0x99999bff,0x09999999,0x802fffa8,0x74007ffc,0x002ffacf,
    0x00037fc4,0x001dff90,0x17fd67f4,0x007ffb00,0x0017ffd4,0x05ff59fd,
    0x0007ff70,0x00ffe800,0x0003ffb8,0x07ffffe4,0xff13fec0,0xffc8000d,
    0x00bfee0e,0x8005ffc8,0x02ffacfe,0x0003ffb8,0x004fff88,0xffc8fff6,
    0xfd800fff,0x2b3fa007,0xe80002ff,0x002ffacf,0xffacfe80,0x03ffb802,
    0x3607ff40,0x3ea003ff,0x4ffd82ff,0x71ffe400,0x100007ff,0x6c009fff,
    0xff3003ff,0x10017fe5,0x20000dff,0x2000fffb,0x0bff2ff9,0x001bfea0,
    0x4c01bfee,0x00bff2ff,0x00007ff7,0x800ffe80,0x40003ffb,0x05ffeffc,
    0x3fe27fd8,0x3fee0006,0x017fdc0f,0x800fff30,0x0bff2ff9,0x0007ff70,
    0x800dff70,0x3ff25ffa,0xfd805ffe,0x25ff3007,0x4c0005ff,0x00bff2ff,
    0xff2ff980,0x07ff700b,0x2a0ffe80,0xfb8006ff,0x07ffcc6f,0xb9bfe200,
    0xb80003ff,0x7d4006ff,0x1ffb005f,0x88003ff6,0xa80006ff,0x6c002fff,
    0x01ffb0ff,0x0005ffb0,0x36007ffe,0x01ffb0ff,0x0003ffb8,0x007ff400,
    0x0001ffdc,0x3ffe7ff2,0xf13fec02,0x3ea000df,0x2ffb82ff,0x017fec00,
    0x3f61ffb0,0x1ffdc00f,0x17ff4000,0x3f205400,0x402fff9f,0xffb007fd,
    0x0003ff61,0xffb0ffd8,0x7fec0001,0xb801ffb0,0x7f4003ff,0x00bff60f,
    0xf90fffc0,0x06a0007f,0x00007ff7,0x50005ffd,0x97fe2001,0x22004ffa,
    0x4c0006ff,0x44003fff,0x13fea5ff,0x8001ffe0,0x7c404ffd,0x013fea5f,
    0x00007ff7,0x800ffe80,0x40003ffb,0xfffa9ffc,0xf89ff600,0xff98006f,
    0x05ff703f,0x001ffe80,0x7fd4bff1,0x01ffdc04,0x03ffe200,0x4ffe4000,
    0x3600fffa,0x5ff8807f,0x40013fea,0x3fea5ff8,0xbff10004,0x2e027fd4,
    0x7f4003ff,0x001ffe0f,0x3fa4ffd8,0x2e00002f,0x440003ff,0x00000fff,
    0x3e17fdc0,0x3fe2007f,0x3fa20006,0xffb8005f,0x2203ffc2,0x320007ff,
    0x7fdc05ff,0x2e03ffc2,0x000003ff,0x5c007ff4,0x640003ff,0x0bffb1ff,
    0xdff13fec,0x5ffe8800,0x800bfee0,0x7000fff9,0x07ff85ff,0x0001ffdc,
    0x0001ffe6,0xffb1ffc8,0x403fec0b,0x3ffc2ffb,0x42ffb800,0xf70007ff,
    0x407ff85f,0x74003ffb,0x0fff10ff,0x8affe400,0x00000fff,0x0000ffee,
    0x0000fff3,0xf90ffd00,0x3fe2005f,0x3ff60006,0x7fe8000e,0x2602ffc8,
    0x2a0005ff,0x3ff406ff,0xf7017fe4,0x8000007f,0xfb800ffe,0x7e40003f,
    0x05fff11f,0x6ff89ff6,0x077fec00,0x2005ff70,0x2004fffa,0x2ffc87fe,
    0x000ffee0,0x000dff50,0xf88ffe40,0x0ffb02ff,0xff90ffd0,0x0ffd0005,
    0xd0005ff9,0x05ff90ff,0x4cce7fdc,0x99999999,0xbff30ffe,0xb7fd4000,
    0x00007ff8,0x0001ffdc,0x0001bfea,0x309ff300,0x3e200bff,0xff90006f,
    0xff30001f,0x40bff309,0x20004ffa,0x3e607ff8,0x05ff984f,0x3fffffee,
    0xffffffff,0x07ff4006,0x7ffffdc0,0xffffffff,0x50ffe46f,0xffb01fff,
    0x90037fc4,0xfb801fff,0xccccccdf,0x0efffedc,0x309ff300,0x7fdc0bff,
    0xffffffff,0x7d46ffff,0x3200004f,0x3ffea1ff,0x4c07fd80,0x5ff984ff,
    0x427fcc00,0x4c005ff9,0x5ff984ff,0x3ffffee0,0xffffffff,0xff50ffff,
    0x7fc40009,0x500bff37,0x55555555,0x3ffffee1,0xffffffff,0x027fd46f,
    0x3ff20000,0x001ffd01,0x5000dff1,0x20005fff,0xffd01ffc,0x013fea01,
    0x206ff980,0xffd01ffc,0x3fffee01,0xffffffff,0x7f4006ff,0xfffb800f,
    0xffffffff,0x7fe46fff,0x6c2ffec1,0x01bfe27f,0x4017ffd4,0xfffffffb,
    0x4fffffff,0x80ffe400,0xff700ffe,0xffffffff,0xf98dffff,0x3200005f,
    0x2ffec1ff,0x3f203fec,0x01ffd01f,0xe80ffe40,0x3f2000ff,0x01ffd01f,
    0x3fffffee,0xffffffff,0x9ff50fff,0xb7fcc000,0x7c405ff9,0xffffffff,
    0xffffff72,0xffffffff,0x005ff98d,0x037fc000,0xf1009ff7,0xff8800df,
    0x3fe0003f,0x413fee06,0x20005ff8,0x3fe05ffa,0x413fee06,0xeeeeeffb,
    0x5eeeeeee,0x007ff400,0x77777fdc,0xeeeeeeee,0x220ffe45,0x3fec2fff,
    0xf100dff1,0x3ee007ff,0xffffffff,0x8000bdff,0x3fee06ff,0xdddff704,
    0xdddddddd,0x07ff88bd,0x07ff2000,0xfd85fff1,0x7037fc07,0x7fc009ff,
    0x013fee06,0x3ee06ff8,0x5bff704f,0x55555555,0x221fff55,0x2a0005ff,
    0x0dff15ff,0xffffff88,0xdff72fff,0xdddddddd,0xff88bddd,0x2a000007,
    0x99999cff,0x8807ff99,0x3a2006ff,0x2a0005ff,0x99999cff,0x3e07ff99,
    0x3ee0007f,0x39ff505f,0xff333333,0x00ffee0f,0x1ffd0000,0x007ff700,
    0xa81ffc80,0x9ff60fff,0x74406ff8,0x3ee005ff,0xeffc982f,0xcffa8002,
    0xf9999999,0x07ff707f,0x01ffd000,0x07ff2000,0xfd83ffea,0x273fea07,
    0xff999999,0x39ff5007,0xff333333,0x33fea00f,0xf9999999,0x07ff707f,
    0x3e0ffe80,0x3ee0007f,0x201ffe5f,0xfc999999,0x007ff72f,0x001ffd00,
    0x3fff6000,0xffffffff,0x7fc402ff,0x1bff6006,0xffffb000,0xffffffff,
    0x03ff605f,0x81ffe400,0xfffffffd,0x82ffffff,0x00003ffb,0x4007ff40,
    0x40003ffb,0xffb01ffc,0xff13fecb,0x06ffd80d,0x5017fdc0,0xd8005fff,
    0xffffffff,0xb82fffff,0xc80003ff,0xcc8001ff,0x203ff90a,0x1ff65ffd,
    0xffffffd8,0x2fffffff,0xfffffd80,0xffffffff,0xffffd802,0xffffffff,
    0x03ffb82f,0xfb07ff40,0x3f20001f,0x00bffa3f,0xfb97fdc0,0xfc80003f,
    0xacc8001f,0xfffff880,0xffffffff,0x37fc406f,0x00fffb80,0x3fffe200,
    0xffffffff,0x9ff706ff,0x1fff1000,0xffffff10,0xffffffff,0x007ff70d,
    0x0ffe8000,0x003ffb80,0x880ffe40,0x4ffb2fff,0x3ee06ff8,0x7dc000ff,
    0x7ffdc02f,0xffff1001,0xffffffff,0x7ff70dff,0x7ff70000,0x0fff8800,
    0x3e203ff9,0x20ffb2ff,0xfffffff8,0x6fffffff,0x7ffffc40,0xffffffff,
    0x7ffc406f,0xffffffff,0xffb86fff,0x07ff4003,0x10009ff7,0x7fdc1fff,
    0x5ff70005,0x0000ffee,0x1000ffee,0xff701fff,0x33333337,0x403fff33,
    0xfa806ff8,0x5c0001ff,0x99999bff,0x1fff9999,0x000fff98,0xfb82ffec,
    0x999999bf,0x41fff999,0x00003ffb,0x4007ff40,0x40003ffb,0x3ea01ffc,
    0x227fd8ff,0xfff506ff,0x5ff70003,0x01dffb00,0x3337ff70,0xff333333,
    0x03ffb83f,0x06ff9800,0xf92ffdc0,0x7ffd403f,0xff707fd8,0x33333337,
    0x403fff33,0x9999bffb,0xfff99999,0x26ffee01,0x99999999,0x7fdc1fff,
    0x07ff4003,0x8001fff3,0x7fc45ffd,0xffb8003f,0x0007ff72,0x800dff30,
    0xffd05ffb,0x13ff2001,0x4406ff88,0x80003fff,0xf9000ffe,0x17ff209f,
    0x01fffa80,0x32001ffd,0x1ffdc4ff,0x3fa00000,0x3ffb800f,0x0ffe4000,
    0x3f77ff60,0x221bfe27,0x70003fff,0xff1005ff,0x1ffd00bf,0x713ff200,
    0x200007ff,0xf3004ffd,0x0ffe45ff,0x3f77ff60,0x001ffd07,0xfe813ff2,
    0x9ff9000f,0x8007ff40,0x7fdc4ffc,0x07ff4003,0xa8017ff2,0xffb81fff,
    0x3f62003f,0x007ff72f,0x013ff600,0x4c17ffcc,0x3e2005ff,0x1bfe207f,
    0x004ffe88,0x005ff980,0x7441ffe2,0x7e401eff,0xbff303ff,0x23ffc400,
    0x00003ffb,0x4007ff40,0x40003ffb,0x7c401ffc,0x3e27ffff,0x27ff446f,
    0x05ff7000,0x80bffea0,0x22005ff9,0x1ffdc7ff,0xfff88000,0x3ffa600c,
    0x200ffe45,0x87fffff8,0x22005ff9,0xbff307ff,0x83ffc400,0x22005ff9,
    0x1ffdc7ff,0x103ffa00,0xc803dffd,0x3f603fff,0x7dc00bff,0x7ff72fff,
    0x3fe20000,0x3fa600cf,0x05ff905f,0x102ffd80,0x7fec0dff,0xff900005,
    0x2ffd8005,0x7bfffd10,0xfffd9533,0x017fe409,0xfb8bff60,0x4000003f,
    0xfb800ffe,0x7e40003f,0xfffa801f,0xb1bfe27f,0xb8000bff,0x3f6002ff,
    0x5ff900ef,0x22ffd800,0x00003ffb,0x2fbfffea,0x6fffda99,0xa801ffc8,
    0xfc87ffff,0x7fec002f,0x002ffc82,0x7e417fec,0x7fec002f,0x000ffee2,
    0xfd101ffd,0x95337bff,0x8809fffd,0xaceffffd,0xfffffeca,0x000ffee2,
    0xeffffa80,0xfffda99b,0x001ffe06,0x7c41bfea,0x9fff506f,0x99999999,
    0xf8399999,0xffa8007f,0x3fff6206,0xffffffff,0x003ffc02,0xff737fd4,
    0x9999999b,0x01999999,0x2003ffa0,0xccccdffb,0xcccccccc,0x003ff90c,
    0xf89ffff6,0x33ffea6f,0xcccccccc,0xf71ccccc,0x7fc4005f,0x00fff04f,
    0x7dcdff50,0xccccccdf,0x0ccccccc,0xffffff30,0x01bfffff,0x36003ff9,
    0x7ff87fff,0x86ffa800,0xfa8007ff,0x007ff86f,0x3ee6ffa8,0x7ff4003f,
    0xffffb100,0x5fffffff,0x7fffdc00,0xffffffff,0x66ffdc0c,0xcccccccc,
    0xf300cccc,0xffffffff,0x3ea01bff,0xfff0004f,0x20dff103,0xfffffffa,
    0xffffffff,0x13fea2ff,0x00fffc00,0x3fffff66,0x7d400bef,0xfff0004f,
    0x3ffffee3,0xffffffff,0xfd001fff,0xfff7001f,0xffffffff,0x323fffff,
    0xff1001ff,0x537fc4ff,0xffffffff,0xffffffff,0x00bfee5f,0xa83fff70,
    0xff0004ff,0x3fffee3f,0xffffffff,0x2201ffff,0xffffffeb,0x07ff201e,
    0x23fffc40,0xf0004ffa,0x27fd43ff,0x21fff800,0xf0004ffa,0x0ffee3ff,
    0x801ffd00,0xffffffd9,0xb88000be,0xdffffffe,0xffff700c,0xffffffff,
    0x4403ffff,0xffffffeb,0x0ffec01e,0x84ffc800,0xff506ff8,0xffffffff,
    0x5fffffff,0x8000ffec,0x26004ffc,0x360009a9,0xf90001ff,0x3fffee9f,
    0xffffffff,0xd001ffff,0xff7001ff,0xffffffff,0x23ffffff,0x2a001ffc,
    0x9bfe27ff,0xfffffffa,0xffffffff,0x05ff72ff,0xd8dffd00,0xf90001ff,
    0x3fffee9f,0xffffffff,0x1001ffff,0x32003553,0x3ea001ff,0x00ffec7f,
    0x364ffc80,0xf90001ff,0x00ffec9f,0xf74ffc80,0xffe8007f,0x26a66000,
    0x26200000,0xff7000aa,0xffffffff,0x03ffffff,0x006aa620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x825c0000,
    0x4bff303c,0x64404ffb,0xcccccccc,0x41eee881,0x007641ba,0x3bbbbba6,
    0x7c001eee,0x00ffea6f,0xffb97fea,0x55550004,0x20155555,0x99999998,
    0x4ff98019,0x7000bfee,0x07fec5ff,0x3fe67ff8,0xf33ffc04,0xcca8009f,
    0x03cccccc,0x555554c0,0x80002aaa,0x98002ccc,0x01bcedcb,0x01000000,
    0x02000040,0x4de54c00,0x0d540000,0x53000555,0x41997015,0x32e01ccb,
    0x00b32a1c,0x0a983eb8,0x2a000a98,0x426603cc,0x0bee0bb8,0x7fdc07f5,
    0x8805ff8b,0xffffffff,0x24ffc82f,0xbceffff8,0xfff9806f,0x01ffffff,
    0xff537fc0,0x2fff2007,0x10005ff8,0xffffffff,0x3ffea05f,0x00ffffff,
    0xff727fcc,0x2ffb8005,0x7fc03ff6,0xf013fe67,0x027fccff,0x3fffff20,
    0x5c006fff,0xffffffff,0x7fd40007,0x3faa000e,0xefffffff,0x32e20002,
    0xe881bcdd,0x0f7ec404,0x07bf6200,0x7ffff4c0,0x437003ff,0xdff15ff8,
    0x05ff9000,0x3fe6bff5,0x8b7fc405,0x7f4006ff,0xfe85f882,0xffff3000,
    0x3e6ffe05,0xbff14fff,0xd801ffb9,0x800efdff,0xccccccc8,0x2ffc41cc,
    0x3ffaf7ee,0xcc8803ff,0x0ccccccc,0xf537fc00,0x7fec007f,0x10000efd,
    0xdddddddd,0x3ffea05d,0x00ffffff,0xff727fcc,0x2ffb8005,0x7fc03ff6,
    0xf013fe67,0x027fccff,0x333332a0,0x54003ccc,0xeeeeeeee,0x7fec0006,
    0x3fff2001,0xffffeeff,0x7ecc005f,0xefffffff,0x9b017fa1,0x29b001aa,
    0xfffb806a,0x0dfffede,0x7c43fd10,0x00dff15f,0x2e05ff90,0x006feaff,
    0x1ffb7ff5,0x807fc400,0x4fdbbdfc,0xf9dfd100,0xfd9ff03f,0x7ed45fff,
    0xe8802dff,0x00001fff,0x3207fdc0,0x0072e20e,0x33000000,0x0004cc41,
    0x003ffff1,0x00000000,0x98826600,0x4cc40009,0x99806620,0x26004cc1,
    0x0004cc19,0x00000000,0x17fcc000,0x3bfffb00,0x6fffda88,0xfffff700,
    0xbfffffdd,0x0f801dfb,0x20f8007a,0x3bfe601e,0x704ffd81,0x14ea83ff,
    0xf9000dff,0x7ffec05f,0x3ff2000f,0x7d4001ff,0x3fff6205,0xffb000df,
    0xff03bfa3,0x20b55bff,0x4c4000a8,0x66540009,0x2aa0f320,0x44000001,
    0x02ccedba,0x4000aa98,0x4cc402aa,0x0554c000,0xa80aaa00,0x2a60002a,
    0x2aa6002a,0xaaaaaaaa,0x501aaaaa,0x05553055,0x4c6aaa00,0xaaaaaaaa,
    0x1aaaaaaa,0x01554c00,0x004ec800,0x200bffee,0x6404fffa,0xc881dfff,
    0x800effff,0xd800f13d,0xffe80f33,0x203ff601,0x13f81ffb,0xf9000dff,
    0x776c405f,0x3eed8002,0x803fd800,0x2a000aa8,0x13ba63ee,0x2a00bfff,
    0x5555302a,0x55555555,0xffb03555,0xaa837fc1,0x00155401,0xffffffb1,
    0x7dc07dff,0x7ff4002f,0x55555530,0x70033555,0xfe8005ff,0x06ff880f,
    0x03fff600,0x7ffffdc0,0xffffffff,0x6ff885ff,0x001fff98,0xfb87ffd4,
    0xffffffff,0x05ffffff,0x007ffec0,0x7c400000,0x3ee001ff,0xfff501ff,
    0xbfff3007,0x0ffba600,0x07fdf300,0x2a027fcc,0x1ffb84ff,0x6ff88fd4,
    0x02ffc800,0x00000000,0x00000ffc,0x3ffe0000,0x06ff8801,0xfffffff7,
    0xffffffff,0x7c1ffb0b,0x40bff06f,0xf5006ff8,0xffddffff,0xf701bfff,
    0xffe8005f,0xffffff90,0x05dfffff,0x20017fdc,0xff880ffe,0xfff10006,
    0x3fee007f,0xffffffff,0x885fffff,0xdff906ff,0x17ffc400,0xfffffff7,
    0xffffffff,0x7ffc400b,0x2620003f,0x0fa22bca,0x9000bff9,0xfff10bff,
    0x3ffee005,0x0026001f,0xffb80180,0x12ffc402,0x1335ff73,0x037fc47f,
    0x8817fe40,0x0009acba,0x0026f2a6,0xa9807f98,0x220009bc,0xf009acba,
    0xff1001ff,0x3fffee0d,0xffffffff,0xcca85fff,0x7fc0f320,0x01bfe205,
    0x107bffee,0x81dfff95,0x74002ffb,0xffff90ff,0xffffffff,0x5ff705ff,
    0x80ffe800,0x70006ff8,0x200ffbff,0x9999bffb,0x99999999,0x206ff880,
    0xfb004ffe,0x9bffb89f,0x99999999,0x2e000999,0x0007fdff,0xfffffff5,
    0xffe87fb7,0xfff88000,0x8037fdc0,0x05ffcffa,0x4d5e54c4,0x88013300,
    0x333ff219,0xfccccccc,0x3fffee7f,0xff8817ff,0x2ffc8006,0xffffffc8,
    0x7ff4c03f,0x7003ffff,0x7ff4c09f,0xc803ffff,0x3fffffff,0xf1007ff8,
    0x2ffee0df,0x99999999,0x00009999,0xf8817fe0,0x7ffcc06f,0x5fff9803,
    0x20017fdc,0x7ff90ffe,0x95333333,0xfb81ffff,0x7ff4002f,0x006ff880,
    0x5ff59fd0,0x007ff700,0x81bfe200,0x5401fff9,0x3ffb86ff,0x7f400000,
    0x4002ffac,0xffdefffd,0x7fcc5fff,0x3ffa0006,0x400fff42,0x3fff3ff9,
    0x3ffffee0,0x5ff82fff,0xfd87fe40,0xffffffff,0x3aa7ffff,0x106eeffe,
    0xf9000dff,0xefffc85f,0x706fffed,0xffdbdfff,0x2fe801bf,0xdbdfff70,
    0x3201bfff,0xffedefff,0x8037fc6f,0xff706ff8,0x00000007,0x3e205ff8,
    0x1ffec06f,0x45fff500,0x74002ffb,0x05ff90ff,0xb8bfff30,0x7f4002ff,
    0x06ff880f,0xff2ff980,0x07ff700b,0x1bfe2000,0x440dff90,0xffb81fff,
    0x26000003,0x00bff2ff,0x2a0f7fd4,0x7fd45ffe,0x3ff60005,0x201ffe24,
    0x3ff24ff8,0x77fff442,0x42fffffd,0x7fe405ff,0x9999ffb0,0x99999999,
    0x401ffb81,0xc8006ff8,0x37fe22ff,0x20fff440,0xfd81eff9,0x03fe204f,
    0x3607bfe6,0xdff884ff,0xf0fff440,0x3fe200bf,0x007ff706,0x44009980,
    0x102ffc19,0x7fd40dff,0x6ffb8006,0xd000bfee,0x0bff21ff,0x71fff440,
    0xfe8005ff,0x06ff880f,0xfb0ffd80,0x3ffb801f,0xdff10000,0x03ffe880,
    0x3ee09ffb,0x2000003f,0x1ffb0ffd,0x01fff100,0x5c3ffff1,0x2e0004ff,
    0x1bfe64ff,0xfa89fd10,0x067fe44f,0xff1bff26,0x90ffc80b,0xb80001ff,
    0x7fc401ff,0x2ffc8006,0x7cc07fee,0x00fff44f,0x3ea01ffb,0x403ffd06,
    0x7fdc0ffd,0x7c9ff301,0xdff1005f,0x000ffee0,0xfc80bff0,0x8817fe0f,
    0x3ff606ff,0x3fff0002,0xd000bfee,0x0bff21ff,0x70fff880,0xfe8005ff,
    0x06ff880f,0xf52ffc40,0x3ffb809f,0xdff10000,0x83fff300,0x3ee06ffa,
    0x1000003f,0x27fd4bff,0xe81ffdc0,0x3f25ffcf,0x3ea0003f,0x017fea5f,
    0xbff30bfd,0x3e00fff8,0x017fe0ff,0x3fee1ff9,0x3ee00802,0x37fc401f,
    0x717fe400,0x204c05ff,0x7d404ff9,0x309f904f,0xffa809ff,0x3017fdc4,
    0x1005ff81,0x3fee0dff,0x2ffc0003,0xff83ff20,0x81bfe205,0x360007ff,
    0x05ff74ff,0xf90ffe80,0xffd8005f,0x8005ff71,0xff880ffe,0x17fdc006,
    0xff701ffe,0x3e200007,0xdff9006f,0x2e01ffe8,0x000003ff,0x7ff85ff7,
    0xc80ffc80,0x7e4dfd5f,0x3ea0003f,0x813fee4f,0xdff306fd,0x360165c4,
    0x017fe0ff,0x3fe61ff9,0x437fcc05,0x7c401ffb,0xffc8006f,0x073ffe62,
    0x2017fdc0,0x3ff05ff8,0x8805ff70,0x7ffcc5ff,0x0bff001c,0x5c1bfe20,
    0x7c0003ff,0x07fe405f,0x7fc40bff,0x00fff106,0xfbaffe40,0x7ff4002f,
    0x8005ff90,0x5ff72ffb,0x80ffe800,0x74006ff8,0x02ffc87f,0x0000ffee,
    0x88037fc4,0x7ff92ffe,0x003ffb80,0x90ffd000,0x7fd805ff,0x9ff66fa8,
    0x20004ffb,0x3fee3ffb,0x201df904,0x88006ff9,0x17fe1ffc,0x7ec1ff90,
    0x0fffa02f,0xf1007fee,0xff9000df,0xfffffc85,0x9ff900ad,0x99999999,
    0x0ff30fff,0x33333ff2,0x7ffccccc,0xdfffffc8,0x00bff00a,0x7dc1bfe2,
    0x7fc0003f,0xf07fe405,0x37fc40bf,0x0005ff98,0x7fddbfea,0x87ff4002,
    0x4c002ffc,0x05ff74ff,0x880ffe80,0x3e6006ff,0x05ff984f,0x3fffffee,
    0xffffffff,0x00dff106,0x7fcfffd4,0xffffb805,0xffffffff,0xff9806ff,
    0x405ff984,0x07fc46ff,0x3fea1ff9,0x3ff60005,0x2e17fea2,0x3fea00ff,
    0x765d4c05,0x3fe1ffff,0x307fe405,0x2a219fff,0xff706ffd,0x06ff8803,
    0xb82ffc80,0xdfffffff,0x7ffffec1,0xffffffff,0xfb05fb87,0xffffffff,
    0x2e0fffff,0xdfffffff,0x8802ffc1,0xfff706ff,0xffffffff,0x5ff8dfff,
    0xff07fe40,0x837fc40b,0x20004ffa,0x5ff77ff8,0x90ffe800,0xf98005ff,
    0x005ff75f,0xf880ffe8,0x3ff2006f,0x201ffd01,0xfffffffb,0x6fffffff,
    0x800dff10,0x00fffffc,0xffffffb8,0xffffffff,0x01ffc806,0x7fc01ffd,
    0x3f617f47,0x00fff10f,0xf307ff40,0x01ffb8bf,0x6cc27fdc,0xffffffff,
    0x017fe1ff,0xffa81ff9,0xefffffff,0x803ff700,0xc8006ff8,0xfb5102ff,
    0x6c5fffff,0xccccccff,0x40cccccc,0x9ffb03fd,0x99999999,0x2a201999,
    0x2ffffffd,0x7c4017fe,0xffff706f,0xffffffff,0x05ff8dff,0xbff07fe4,
    0xa837fc40,0x260004ff,0x05ff76ff,0xf90ffe80,0xff88005f,0x8005ff76,
    0xff880ffe,0x81bfe006,0xff704ffb,0xdddddddd,0x220bdddd,0x744006ff,
    0xf7003fff,0xdddddddf,0x00bddddd,0x7fdc0dff,0x643ffa04,0x6c7fe84f,
    0xf98002ff,0x87ffc47f,0xfd802ffa,0x7fffd42f,0xffc8acef,0xf9017fe1,
    0xfff9101f,0x5c017fff,0x7fc401ff,0xf901e546,0x3ae6005f,0x03ff27ff,
    0x201ff000,0x00000ffc,0x4fffd730,0xff1005ff,0x3bbfee0d,0xeeeeeeee,
    0x02ffc5ee,0x5ff83ff2,0x441bfe20,0x2a0005ff,0x05ff75ff,0xf90ffe80,
    0xff98005f,0x8005ff76,0xff880ffe,0x39ff5006,0xff333333,0x00ffee0f,
    0x037fc400,0x0037fd40,0x00007ff7,0x999cffa8,0x07ff9999,0x1beebff2,
    0x3fea2ffc,0xe85d500f,0xbffc83ff,0xf9803ff9,0x5fffcc7f,0x7c3ff901,
    0x07fec05f,0x4003fa20,0x7c401ffb,0xb03ff46f,0x400883ff,0x5ff71ffe,
    0x1bea0100,0x0802ffb8,0xffd00220,0x44009983,0x7ff706ff,0x05ff8000,
    0xbff07fe4,0xf037fc40,0x7dc000ff,0x007ff75f,0x3ff27ff8,0xaffd4002,
    0x7c003ffb,0x0dff107f,0x3fffff60,0xffffffff,0x003ffb82,0x00dff100,
    0x400bff30,0x00003ffb,0x7fffffec,0x2fffffff,0x1ffbff70,0xfd09ff70,
    0x3bff609f,0xf105ffca,0x2009ffdf,0x7fe44ffd,0xf0fff403,0x0ffe80df,
    0x2a005f80,0x7fc401ff,0xe807fec6,0x03ffa0ff,0xff32ffb8,0x46ff980b,
    0x3fe604fc,0x237fcc05,0x3ee00ffe,0x13ffe22f,0xf706ff88,0xff80007f,
    0xf07fe405,0x37fc40bf,0x0001ffb0,0x7fd4fff2,0x93ffc003,0xfb8005ff,
    0x007ff54f,0xff107ff8,0xffff100d,0xffffffff,0x7ff70dff,0x3fe20000,
    0x5ff98006,0x00ffee00,0xffff8800,0xffffffff,0xfff106ff,0x1fff103f,
    0x81dfff10,0xffffffc8,0x13fff200,0x207ffdc0,0x3e200ffd,0x81bfa1ff,
    0x4c00fff8,0x3fea005f,0x237fc402,0xffa84ffb,0xd027fe47,0x17fec1ff,
    0xfe87ffd0,0x017fec02,0xffc87ffd,0x883ffa04,0xf102ffca,0x0ffee0df,
    0x80bff000,0x17fe0ffd,0x2e06ff88,0xf88004ff,0x09ff50ff,0xf937fc40,
    0xffc8005f,0x4009ff53,0xff106ff8,0x37ff700d,0x33333333,0xffb83fff,
    0xff100003,0xbff3000d,0x01ffdc00,0x37ff7000,0x33333333,0x3ea03fff,
    0xff511cff,0x7ffcc05f,0xfdb99bcf,0x7cc05fff,0x7ec01eff,0x3ffd82ff,
    0xd87fffa0,0xfffb03ff,0x40ff9801,0x57dff500,0xf11bfe20,0xff957dff,
    0xcfff987f,0x8bff9512,0x510cfff9,0x7f88dffb,0x0cfff980,0x30dffb51,
    0x2a259fff,0x3fa05ffc,0x20dff105,0x40003ffb,0x7ff406ff,0xf8817fe0,
    0x3ffe606f,0x2ffec000,0x5400dff1,0x0bff25ff,0x11fff880,0x7d400dff,
    0x0dff105f,0x2001ffd0,0x7fdc4ffc,0xff100003,0xbff3000d,0x01ffdc00,
    0x01ffd000,0x5c13ff20,0xffffffff,0xfe8804ff,0xffffffff,0xb01effff,
    0x379fffff,0x7ffff953,0x88bbfee0,0x22ffffda,0xa88bfffa,0x800ffefd,
    0x02fddffe,0x03fffff1,0xff70dff1,0x07ffffff,0x3fffffea,0xfa80dfff,
    0xffffffff,0x802fd40e,0xfffffffa,0xff500eff,0xbfffffff,0x7ff65d41,
    0x20dff101,0x40003ffb,0x3fe206fe,0x8817fe0f,0x7fe406ff,0x3ffea005,
    0x801fff41,0x3ff23ffe,0x17ff2002,0x3a007ffd,0xdff103ff,0x005ff980,
    0xff71ffe2,0x3e200007,0xff98006f,0x0ffee005,0x2ffcc000,0x30fff100,
    0xfffb73df,0xda8003df,0xaeffffff,0x20dfffb8,0xfffd9efd,0xffffffff,
    0x7ffff402,0xffadfffe,0x7ffffec3,0x00ffadff,0x1effffa8,0x0bfffa60,
    0x74c1bfe2,0x403effff,0xefffffd9,0x7ffe4404,0xfd80bfff,0x3ff22003,
    0x400bffff,0xefffffd9,0x4ffffd84,0x5c1bfe20,0x6c0003ff,0xfffb03ff,
    0xf102ffc1,0xffe880df,0x7ffe401e,0x02fffb83,0xc83bff22,0xff3002ff,
    0x2fffb83f,0x03bff220,0x32037fc4,0x7ec002ff,0x00ffee2f,0x037fc400,
    0x002ffcc0,0x00007ff7,0xb000bff2,0x41fa85ff,0x300001a8,0xfb101355,
    0xb3077dcd,0x7dffffff,0xfff91001,0x37f45dff,0xa77fffdc,0x2a000ff9,
    0x004c001a,0x004cc400,0x0006a620,0x2a004cc4,0x3310000a,0x35310001,
    0x00aaa980,0xfb837fc4,0x7d40003f,0xfda88bff,0x17fe0ffe,0x8806ff88,
    0x99bdfffe,0x04fffeca,0x2f3bfffa,0x2ffffcba,0x5c017fe4,0xffd05fff,
    0xf97579df,0x7c405fff,0x03ffc06f,0xf737fd40,0x999999bf,0x19999999,
    0x8006ff88,0x2e005ff9,0xcccccdff,0xcccccccc,0x4003ffc0,0x00006ffa,
    0x29800000,0x353100e4,0x0d4c0001,0x00151000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06ff8800,0x9999bff7,0x99999999,0x7fffec19,
    0x0ffadfff,0xff8817fe,0xfffb1006,0xffffffff,0xfffd8805,0xffffffff,
    0xccdffc82,0xffffedcc,0x3ff6205f,0xffffffff,0x37fc402f,0x0009ff50,
    0x7fdc7ffe,0xffffffff,0x41ffffff,0x98006ff8,0x3ee005ff,0xffffffff,
    0x1fffffff,0x40013fea,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xff706ff8,0xffffffff,
    0x83ffffff,0x34effffb,0x02ffc1ff,0x9800dff1,0xeffffffd,0x3f6a000b,
    0x0cffffff,0xffffff90,0x9fffffff,0x3fff6a00,0x800cffff,0x3f606ff8,
    0xff90001f,0x3ffffee9,0xffffffff,0x7fc41fff,0x5ff98006,0x3fffee00,
    0xffffffff,0x3f61ffff,0xff90001f,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,0xfffff706,
    0xffffffff,0x2a203fff,0x40bff000,0x20006ff8,0x00009a99,0x00cd54c4,
    0x7fffffe4,0x00bceeff,0x19aa9880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99900000,0x000f32a5,0x33103999,0x81331001,0x00a980a9,0x04d65d44,
    0x80b32a00,0x2f2a2099,0xaa980001,0x44f32a00,0x26200ccc,0x8009abca,
    0x0cc40099,0x54c05440,0x541aa980,0x402cdecb,0x2eea2098,0x80cc0000,
    0x665c4cc8,0x2aa60000,0xa980aa98,0x2a00a980,0x00f320cc,0x00033322,
    0x30073322,0x10001999,0x10001575,0xa837bb73,0xaaaaaaaa,0x99502aaa,
    0x00026641,0x9990004c,0xccc80001,0x05999002,0x2a0ccb80,0x3fe601cc,
    0x005ffd0e,0xf9837fdc,0x0ffc805f,0x1be227cc,0xffffff90,0x3fe6007f,
    0x27ff01ff,0x1efffffd,0x03ff2000,0xff91fff8,0x7fffdc09,0x7c02ffff,
    0x07fe405f,0x3fa1be20,0xd53ffb80,0xdfffffff,0x7e53fa03,0x102effff,
    0x3e639df9,0x54ffee05,0x640003ff,0x81ffb8ff,0x037c44f9,0x6ff83ff6,
    0x06fffd80,0x005ffb80,0x44009ffb,0x0efffffd,0xfffff900,0x3ffa1dff,
    0xffffffff,0x43ff906f,0xfc9807ff,0x007f71be,0x001bfff6,0x000effa8,
    0x9800dff5,0x0bff16ff,0xff51ffd8,0x0ffe8009,0xf003ffa0,0x2f7f60bf,
    0x3f203feb,0xfffedeff,0x6f7fc406,0xdcff80ff,0xffffefff,0xccccb801,
    0x541ccffe,0x0dff13ff,0x37bfffa2,0x202fffff,0x7fe405ff,0xbbdfc800,
    0x7ff704fd,0xfdbffff9,0xfd01dfff,0xffdfffb9,0xfff903ff,0x805fffff,
    0x05ffaffd,0xb8ffc800,0x7bfd01ff,0xfd805fd7,0x701bfe0f,0x009ff7ff,
    0x1000eff8,0x3a001ffd,0xffffefff,0x7fffec01,0xe8efffdd,0xffffffff,
    0xff906fff,0x7403ffc3,0xffffffff,0xfbffb801,0xffd0005f,0x2ffc8003,
    0x6dffdc00,0x3fe200ef,0x5001bf63,0xffb803ff,0x40bfea03,0x05ffffe9,
    0xd1037fe2,0x7ff403ff,0xff86ff89,0x3f622dff,0xfffe805f,0x42ffffff,
    0x07fee5fe,0x26067fe4,0x3fe06ffc,0x007fe405,0x6ffffec4,0xfffff700,
    0xbfff5039,0x85bfffd0,0x8ff86ffc,0x804ffeb8,0x00efffe8,0x98ffc800,
    0xffd301fb,0x99500bff,0xf301e641,0x00bfeebf,0x2000ffdc,0xfb803ff8,
    0x07ffd43f,0x40afffd8,0x9ffeeffa,0x99999999,0x64199500,0x8b7c404c,
    0x9804ffeb,0x07ff55ff,0x002ff980,0xb000dfb0,0xa803ffff,0x003ba24e,
    0xf1007d90,0x03fec0df,0x7dc015c4,0x09ff301f,0xeea8fbaa,0xd02fffc3,
    0xaaa801ff,0x0abffdaa,0x2ed837a2,0xf803ffe0,0x0bff00ff,0x2000ffc8,
    0x7dc00aa8,0x74403fff,0x2fff44ff,0x2a88ffd0,0x3a600088,0x900000ee,
    0x003ea1ff,0x00000571,0xed837b60,0x02ed800d,0x980bd300,0x7ff504ff,
    0x405fff30,0x006ffff9,0x54400000,0x3b600081,0x003bb20e,0x20004ec8,
    0xd8001ed8,0x000002ee,0xffd80000,0x004ff880,0x017fdc00,0xf8000013,
    0x3ff601ff,0x0ffc8000,0x32e20000,0x807fec02,0x7fe405ff,0xf7000000,
    0x3e6009ff,0x07ffa0ff,0x0000ffc8,0x40000000,0x00db0ffc,0x00000000,
    0x00000000,0x401ffd00,0x4ffd86fe,0x06fffb80,0x00000000,0x00000000,
    0x00000000,0xbca98000,0x2ea20009,0x7d4009ac,0x41ffb83f,0x0cc40099,
    0x0073ffe6,0x0abca880,0xfc80fff0,0x86ee601f,0x04cc0ffc,0x20006620,
    0xff01ffc8,0x00ffc80b,0x9abca988,0x00fff700,0x3fa2ffe8,0x47fee00f,
    0x0cc40099,0x02af2a20,0x321bb980,0x400eb8ff,0x2009bca9,0x0cc40099,
    0x19880133,0x33100266,0x262004cc,0x7017fe21,0x37fc45ff,0x00dfff00,
    0x26f2a600,0x5e54c000,0x654c0009,0x54c0009b,0x4c0009bc,0x26009bca,
    0x40cc4009,0xffffffea,0xffffc803,0x7fc03fff,0xff86fe86,0x207fe405,
    0xadfffffc,0xfffea800,0x6ff83fff,0x640ffdc0,0xc9effffe,0x02ffc0ff,
    0xa9803ff2,0x1ffffecb,0xfc80bff0,0x7ffdc00f,0xb82fffff,0x7dc005ff,
    0x501ffa4f,0x017fe5ff,0xfd501ff9,0x807fffff,0x9effffec,0x54010ffc,
    0x3ffffffe,0xfc80bff0,0xc80bff0f,0x80bff0ff,0x0bff0ffc,0xff30ffc8,
    0x24ff9807,0x2e004ffb,0x540006ff,0x3ffffffe,0xffffea80,0xfea803ff,
    0x803fffff,0xffffffea,0xfffea803,0xbff03fff,0x320ffc80,0xffedefff,
    0xfff900ef,0x0dfffdbd,0xff30ffe4,0xc80bff07,0xfffb80ff,0x301dffff,
    0xffdbdfff,0x406ff89f,0x7fdc1ffb,0xfefffdef,0x202ffc0f,0x7ecc0ffc,
    0xffffffff,0x80bff01f,0xfd100ffc,0xffffbdff,0x04ffb85f,0xfd2ffd40,
    0xf2ffa80d,0x0ffc80bf,0x76f7ffcc,0xff704fff,0xfdfffbdf,0xfffc801f,
    0x0efffede,0x3f202ffc,0xc80bff0f,0x80bff0ff,0x0bff0ffc,0xff70ffc8,
    0x25ff8805,0x2a002ffc,0x320006ff,0xffedefff,0xfff900ef,0x1dfffdbd,
    0x37bfff20,0x900efffe,0xffdbdfff,0x3ff201df,0xefffedef,0x3202ffc0,
    0x3dff50ff,0x885ffd88,0x7f440dff,0x49ff301f,0x5ff80ffc,0x8807fe40,
    0xffffffda,0x20fffcc2,0x3fe2ffe9,0x50ffdc06,0xffb81dff,0x02ffc0ff,
    0xffa83ff2,0xc8acefff,0x0bff01ff,0xf900ffc8,0xffc9819f,0x0027fdc6,
    0x6fe9bfe6,0xff97fd40,0x307fe405,0xfe983fff,0x077fcc2f,0x803fffee,
    0x6c41effa,0x02ffc5ff,0x2ffc3ff2,0x7fc3ff20,0xf87fe405,0x87fe405f,
    0x7c402ffc,0x003ff66f,0x0006ff98,0xd883dff5,0xeffa85ff,0x42ffec41,
    0x6c41effa,0xeffa85ff,0x42ffec41,0x6c41effa,0x02ffc5ff,0x3fe23ff2,
    0x07ff600f,0x3e603ff7,0xe9ffa04f,0x80bff05f,0x73000ffc,0xffe8fffd,
    0x7cbff500,0x8ffdc06f,0x3ee07ff8,0x02ffc0ff,0x7fcc3ff2,0x3ff901bf,
    0xfb01bfe0,0x03ffe01f,0x3ee0fff8,0x7fc4003f,0xf501bfa7,0x9017fe5f,
    0x07ff41ff,0x3e25ffa8,0x3ffee07f,0x01fff100,0xbff0ffec,0xff0ffc80,
    0xf0ffc80b,0x0ffc80bf,0xffc80bff,0xf003ff90,0x007ff4df,0xffffff10,
    0x41ffffff,0x3600fff8,0x3ffe21ff,0x887ff600,0x3f600fff,0x03ffe21f,
    0x3e21ffd8,0x3ff600ff,0xf9017fe1,0x809ff51f,0x7fdc5ff9,0xf7002602,
    0x205ff33f,0x7fe405ff,0x3fa00440,0x809ff11f,0x01bfe4ed,0x3fe63ff7,
    0x03ffe203,0xffc80bff,0xe807ff90,0x0dfd01ff,0xb880ffe8,0x07fec02c,
    0xf0007ff7,0x2037f4ff,0x0bff2ffa,0xff10ffc8,0x264ed809,0x7ffc03ff,
    0x809ff500,0x17fe5ff9,0x3fe1ff90,0xf87fe405,0x87fe405f,0x7fe405ff,
    0xf001ff90,0x007ffcdf,0x3fffffe0,0x20ffffff,0x7cc04ffa,0x013fea5f,
    0x7fd4bff3,0x52ffcc04,0xff9809ff,0x3013fea5,0x02ffcbff,0x3ff23ff2,
    0x4c7fe800,0x0001cfff,0x0ff79ff1,0x3f202ffc,0x803ffa0f,0x5ff32ffb,
    0x80dff000,0x1ff71ffb,0x7c0ffc80,0x87fe405f,0x3e200ffd,0x0ffb01ff,
    0x0007ffc4,0x5c3ff910,0x7c4003ff,0x501bfa6f,0x017fe5ff,0x3fe61ff9,
    0x0ffb8002,0xc807fe40,0x7fe800ff,0xff9017fe,0xf9017fe1,0x9017fe1f,
    0x017fe1ff,0x3ff21ff9,0x3e6ff800,0x3e2000ff,0xeeeeeeff,0x3ff20eee,
    0x327fe800,0x7fe800ff,0x3a003ff2,0x003ff27f,0x0ffc9ffa,0x3fe7fe80,
    0x6c7fe405,0x1ffb007f,0xdfffffc8,0x3bf6000a,0x17fe04fe,0x7e41ff90,
    0x43ffa04f,0xf8001ffb,0x8ffdc06f,0xffb807fc,0x3202ffc0,0x07ffb0ff,
    0xc80ffff4,0xfffb02ff,0x32ea6001,0x2e1ffffe,0x7cc003ff,0x501bfa6f,
    0x017fe5ff,0x3fee1ff9,0x07fc8001,0xfb00ffb8,0x43ff600f,0x7fe405ff,
    0xfc80bff0,0xc80bff0f,0x80bff0ff,0x3ff70ffc,0x7f4dff00,0x3fe6001f,
    0x07fd8006,0x3f61ffb0,0x21ffb007,0xffb007fd,0x6c01ff61,0x00ffb0ff,
    0x2ffc3ff6,0x3fa3ff20,0x03ff9007,0xfffffff7,0xfff5003b,0x02ffc03f,
    0xff983ff2,0xff9512cf,0x0007fe4b,0x3ee037fc,0x500ffd1f,0x05ff81ff,
    0xffb87fe4,0x3ff6a22e,0xfff502ff,0xfdfb5117,0x7fecc01f,0xffffffff,
    0x000ffee1,0x37f4bff5,0x7fcbfea0,0xc87fe405,0xfe8000ff,0x00ffa807,
    0x3f200ffd,0xc80bff1f,0x80bff0ff,0x0bff0ffc,0xbff0ffc8,0xf70ffc80,
    0x5ff8803f,0x98007ff6,0xfe8006ff,0x23ff9007,0xff9007fe,0x6401ffa3,
    0x00ffd1ff,0x3ff47ff2,0xff1ffc80,0xe8ffc80b,0x1ff9007f,0x3fff6a20,
    0xff802fff,0x02ffc06f,0xff503ff2,0xbfffffff,0x0007fec1,0x3ee037fc,
    0x500ffd1f,0x05ff81ff,0xffd07fe4,0x5bfffdff,0x7fe407ff,0xfadfffff,
    0xffff500f,0xff9159df,0x001ffdc3,0x6fe93fee,0xff97fd40,0xd87fe405,
    0xfd8000ff,0x00ffa807,0x3f200ffd,0xc80bff0f,0x80bff0ff,0x0bff0ffc,
    0xbff0ffc8,0xf50ffc80,0x5ff8805f,0xa800bff2,0xfe8006ff,0x21ff9007,
    0xff9007fe,0x6401ffa1,0x00ffd0ff,0x3ff43ff2,0xff0ffc80,0xd8ffc80b,
    0x1ffb007f,0x3ffae600,0x03ffc807,0x3f602ffc,0xfffd980f,0xffc84eff,
    0x06ff8001,0xffc8ffdc,0x207fdc00,0x7fec05ff,0x3ffff220,0x01bfa2ef,
    0x29dfffd7,0xff980ff9,0x3ff901bf,0x2001ffdc,0x1bfa3ffc,0x3fe5ff50,
    0xc87fec05,0xfc8001ff,0x07fdc00f,0xfb007fd8,0xb017fe1f,0x017fe1ff,
    0x17fe1ffb,0x3fe1ffb0,0x987fec05,0x7fcc03ff,0x8017fea3,0xd8006ffd,
    0x1ffb007f,0x7ec01ff6,0x200ffb0f,0x0ffb0ffd,0x7ec3ff60,0x21ffb007,
    0x7fec05ff,0xe801ffc8,0x7400887f,0x7fdc01ff,0x2037fc00,0x3a200ffe,
    0x17fd402f,0x88037ae0,0x0ffd4009,0xff03ff20,0x00ffe80d,0x01fa0353,
    0x1fd40a88,0x7403ffc8,0x0ffee1ff,0x001fff00,0x3fe5ff50,0xa87ff406,
    0x6f5c02ff,0xc803ff50,0x3ff900ff,0x7fcffd00,0xf87ff406,0x87ff406f,
    0x7ff406ff,0xfe80dff0,0x80bff10f,0x7ffc1ffc,0x6fff8800,0x01ffc800,
    0x3ff27fe8,0x327fe801,0x7fe801ff,0x3a007ff2,0x007ff27f,0x06ff9ffa,
    0x7fd47ff4,0x227fd404,0x3ee00ffe,0x02ff402f,0xff1037f4,0x77fc401f,
    0x017fe602,0xffe80fff,0x09ff300d,0x3a07ffc4,0x3ffe206f,0x05f88000,
    0xb01fb800,0x7fc401ff,0x00ffee1f,0x0005ffb8,0x1bfa3ff7,0xf30fff88,
    0x27ff80bf,0x3e205ff8,0x9ff500ff,0x3a4ffa80,0x3ffe206f,0x7c40dfd0,
    0x40dfd0ff,0xdfd0fff8,0x907ffc40,0x3ff401ff,0x64027fdc,0xa8006fff,
    0x7fd404ff,0x5013fea4,0x27fd49ff,0xfa93fea0,0x27fd404f,0xfa809ff5,
    0x881bfa4f,0x3ffd0fff,0x907ffa20,0x7ff409ff,0x00bfea00,0x7ec0fff6,
    0x7d4400ff,0x07ff602f,0x2a02ffdc,0x3fa04ffb,0x1fff901f,0xfb03ffd8,
    0xf30001ff,0x3fb0000d,0xe80fff60,0x3fee1fff,0x5fff1003,0x47ff2000,
    0xffb03ffd,0x80ffec1f,0x7ff45ffb,0x01fff901,0xe880fff4,0x0fff61ff,
    0xfd87ffec,0x1fffb03f,0x7ec0fff6,0x07ffb0ff,0xf883fff6,0x05ff704f,
    0x6409fff1,0x0006ffff,0x3a203ffd,0x0fff41ff,0x741ffe88,0xffd101ff,
    0x101ffe83,0xffe83ffd,0x43ffd101,0xffb03ffd,0x2fffe61f,0x05fff510,
    0x2259fff3,0x4c45ffca,0x5006ffa8,0xb5117fff,0x3001ffdf,0x7fc407ff,
    0xfff930bf,0x81ff2001,0x910affe8,0xfa81ffff,0xfda88bff,0xf0000ffe,
    0x0035117f,0xfb844fc8,0x3f6a22ef,0x3fee2fff,0xfcacf883,0xd10006ff,
    0x3ffea1ff,0xfefda88b,0x2fffe20f,0x81fff930,0x910bffe8,0x4c01ffff,
    0xf510bfff,0xfffa85ff,0xfefda88b,0x17fff50f,0x1ffdfb51,0x222fffea,
    0x50ffefda,0xb5117fff,0xfd81ffdf,0xbff710df,0x56fffcc0,0xebffda88,
    0xccccccff,0x3e61cccc,0xff510bff,0x7fff305f,0x0bffea21,0x442fffe6,
    0xf982fffa,0xff510bff,0x7fff305f,0x0bffea21,0x5117fff5,0x541ffdfb,
    0xffffffff,0x3ffea03f,0x0dffffff,0x0fffffcc,0xfffffb00,0x01ff5bff,
    0x03ffffb2,0xffffff50,0x5cc05fff,0x4c03ffdc,0xefffffff,0xffd80ffb,
    0xfadfffff,0xff90000f,0x98005fff,0x3a6eceff,0xfffeffff,0x3ee3ffad,
    0xffffd83f,0x5c000eff,0x7ec5fffe,0xadffffff,0x7ffd40ff,0x02ffffff,
    0xfffffff3,0xa801ff7d,0xffffffff,0xffffb03f,0x1ff5bfff,0x7fffffec,
    0x360ffadf,0xdfffffff,0x3ff60ffa,0xfadfffff,0x7fff440f,0x400fffff,
    0xffffffe9,0xffffd3ff,0xffffffff,0xfffffa85,0x2a03ffff,0xffffffff,
    0x3ffea03f,0x03ffffff,0x3fffffea,0x3ea03fff,0xffffffff,0xfffffb03,
    0x81ff5bff,0xceffffd8,0xfffd9802,0xff104eff,0xf70005ff,0x3e69dfff,
    0xbfffd00f,0x3ff62003,0x5c00dfff,0x800effff,0x8dfffec9,0xff700ffa,
    0x3fe69dff,0xff710000,0xfb00017d,0x7e449fff,0x3a2effff,0x20ffee6f,
    0x04ffffdb,0x3dfffb00,0x9dffff70,0x36203fe6,0x00dfffff,0x6ffff64c,
    0x8800ffa8,0x2ceffffd,0x77fffdc0,0xfb81ff34,0xff34efff,0xeffffb81,
    0xfb81ff34,0xff34efff,0x3ffff201,0xd91000df,0x747bffff,0xffffffff,
    0xd882ffff,0x02ceffff,0xeffffd88,0xffd8802c,0x8802ceff,0x2ceffffd,
    0xffffd880,0x7fdc02ce,0x1ff34eff,0x80005440,0x95001a98,0xa8800015,
    0x00020000,0x44003510,0x30000aaa,0x05440003,0x00000000,0x2600d440,
    0x8800001a,0x5d40000a,0x054400ac,0x00351000,0x80000660,0xa88000a8,
    0x00a88000,0x8000a880,0x220000a8,0x4c00009a,0x20000001,0x220000a8,
    0x2a20000a,0x02a20000,0x000a8800,0x00000a88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x0000bddc,0x00881555,0x4ccccccc,0x2a001999,
    0x2a6003cc,0x5440001b,0x402bcedb,0xcca80ccb,0x88013320,0x40000ccc,
    0x99002ccc,0x54400059,0x44000abc,0x26000aba,0xa80cc1bb,0x00f320cc,
    0x44002600,0x40000ccc,0x95002ccc,0x2e600099,0x98801cdd,0x26ee2009,
    0x54002660,0x002cdecc,0x0059d930,0x400017a6,0xcc980aa9,0x400f3222,
    0x0001aba9,0x166f6654,0x00055500,0x555007b6,0xfffffb10,0xfd30005f,
    0x409f913f,0xfffffff8,0xf000ffff,0xfd5003ff,0x001bffff,0x7ffffec4,
    0xfd02efff,0x43ff901f,0x3f6007ff,0x2a0006ff,0xf5000eff,0xfd5000df,
    0x007fffff,0x9ffffff7,0x7fff6401,0x80ff99ff,0x1bfe1ffc,0x46fbf260,
    0xffb003fb,0x7d4000df,0x3fa2006f,0x3fe6002f,0x00dfffff,0x3b21bfea,
    0xf9afffff,0x3fee202f,0xcfffffff,0xffff7000,0x07fb00bf,0x03ff2000,
    0xffd8fff4,0x7fff4c01,0x22002eff,0xfffffffb,0x7fc00cff,0x09f90005,
    0xffe86fe8,0x00fffece,0xffffd880,0x3ffea02e,0xffffffff,0x03ffb800,
    0xfeffffb8,0xfa800eff,0xffeeffff,0xffe85fff,0x3e1ffc80,0x7ff7007f,
    0x3a0009ff,0x7e4000ff,0x3fe6002f,0x4fffedef,0x3fffff20,0xfb80efff,
    0xcffecdff,0x1ffc80ff,0x3fa01bfe,0x0fffffff,0xffbffb80,0x1ffd0004,
    0x06ff8800,0xb9ffff10,0x7d40bfff,0x77ffdc6f,0x2ffdfffd,0x59fffd30,
    0x5fffd953,0xc9cff980,0x1be603ff,0x0ffc8000,0xff5dff10,0xffff9805,
    0x803ffffe,0x9acfffe9,0x02fffeca,0x540017fe,0x237f406f,0x7fdc4ffb,
    0xffd98004,0xcffb804f,0x4ccccccc,0x300bfd00,0x2e217dff,0x3ee00fff,
    0x65441dff,0x36e0efff,0x64199507,0x5ff9804c,0x98007ff7,0xfb0002ff,
    0x3ffe600d,0x417ff4c1,0x36a1dffc,0x6ffd45ff,0x07fffdc0,0x79906654,
    0xd736f980,0xff3007ff,0x000ffeeb,0x20005ff5,0xfe802ffa,0x01ffe82f,
    0x7fd49dd3,0x7fffdc0e,0x00cffb82,0xb027fdc4,0x207fb8bf,0x200002fe,
    0x3e600ffc,0x7c404fff,0xff711cff,0x67fdc03f,0x27fdc400,0x10005ff8,
    0x276c01ff,0xff103ff6,0x7ff4c00d,0x6c00efdc,0xd300007f,0x5ffd001b,
    0x440bff20,0xf9803fff,0x003645ff,0x41ddb000,0x32000ded,0x3620003e,
    0x0ffe801e,0xf88bff50,0x1ffd00ef,0xfb81ffe2,0x800000ff,0x200081a8,
    0x37b60ded,0x00fb2000,0x9809d700,0x7ff504ff,0x037fc400,0xf985fff5,
    0x7f4c002f,0xf885ff03,0x006fa80f,0x007fe400,0x2e017bae,0xbff705ff,
    0x000bfe60,0xbff07fd3,0x017f4000,0x7c07fec0,0x33ee005f,0xe809ff10,
    0x0000005f,0x2606ff88,0x7ffb04ff,0x17ffcc00,0x0000009d,0x00000000,
    0x27fc4000,0xff913b60,0x997fdc03,0x7ffc03ff,0x00000000,0x00000000,
    0x2e000000,0x5ff301ff,0x017fd400,0xff88bffa,0x81bcb982,0x7fc41ff8,
    0xfe82ff81,0x7e400002,0x6400000f,0xfff101ff,0x2a25ff10,0xf1009aaa,
    0x005ff83f,0x20017ee0,0x7fd44ffb,0x51884002,0x3fe203ff,0x95100004,
    0x32e20157,0x5437fc02,0xfa8006ff,0x400ee8ef,0x0009bca9,0x004de54c,
    0x026f2a60,0x13795300,0x0017fcc0,0x4c027fc4,0x9003fee1,0x2a6201ff,
    0x10009abc,0x01357953,0x2af2a620,0x95310009,0x22001357,0x009abca9,
    0x3f203ff9,0x5c32a00f,0x7fdc00ff,0xfd113f22,0xa83fffff,0x40ffc46f,
    0x037d42ff,0x64377300,0x953100ff,0x7ec01357,0x21ffa00f,0x3ffee4fc,
    0xfa83ffff,0x9732ffc6,0x07f98015,0xfff10262,0x003ffe63,0xdffffd88,
    0x5ff306ff,0xffea8000,0x0003ffff,0x3f613fe6,0xffd0002f,0x7f4c01bf,
    0x803fffff,0xffffffe9,0xfffe9803,0xe9803fff,0x03ffffff,0x30003ff7,
    0xf90005ff,0x0ffb801f,0xffffffb8,0x7fdc02ff,0x02ffffff,0x7fffffdc,
    0x7fdc02ff,0x02ffffff,0x7fffffdc,0x0ffc82ff,0x6c04ff88,0x500ffb1f,
    0x83fe25ff,0xb98befe8,0x20ffc0ef,0x0ffc42ff,0x32000bfa,0xc9effffe,
    0xfffb80ff,0x702fffff,0x3fe207ff,0xf707fc45,0x9ff9555b,0x6ffc3ff0,
    0x5fffffd8,0xfe80ffc0,0xfcfffb86,0x3ea001ff,0xffffffff,0x98ffb83f,
    0x9802cedc,0xffedefff,0xffb0004f,0x000fff03,0x2e027fec,0xffedefff,
    0xfff700df,0x1bfffdbd,0x37bffee0,0x700dfffe,0xffdbdfff,0x0ffc81bf,
    0x20ffa800,0xfd00aba8,0x41ff500f,0xfdefffe8,0xe882ffff,0xfffdefff,
    0xffe882ff,0xfffffdef,0xefffe882,0x82fffffd,0xfdefffe8,0x7e42ffff,
    0x00ffc80f,0x06ff8fec,0xdf72ff98,0x9f704fd8,0x27f44fc8,0x6fa83fea,
    0xefffb800,0x0ffefffd,0x37bfffa2,0x882fffff,0xffc80eff,0x3ee37dc3,
    0xfc86f983,0x3ffbbfe4,0x00efffdd,0x1bfa07fb,0x06ffffec,0x17fff300,
    0x21fffea2,0xffffdffc,0xff301eff,0x2ffe983f,0x7ffd9300,0x000fff10,
    0xf302ffdc,0x9ffb03df,0xb03dff30,0xdff309ff,0x309ffb03,0xffb03dff,
    0x000ffd89,0xffd17fb8,0xffb09fff,0x641ff500,0x7e4c0cff,0x0cffc86f,
    0x6437fe4c,0x7e4c0cff,0x0cffc86f,0x6437fe4c,0x7e4c0cff,0x207fe46f,
    0xfe804ff8,0xf500ffd2,0xff13f25f,0x37d40c01,0x7f54bfea,0x20017f44,
    0x7dc0effa,0x3ff20fff,0x37fe4c0c,0xbacfffa8,0x4fc84ffe,0x37c41fdc,
    0xffff37d4,0x20bffb0b,0x0dfd06fa,0x00dfffb1,0x2203ffb0,0x7ff41fff,
    0xfffdceff,0x00ffe82f,0xff00bff5,0x3e603fff,0x3ea0006f,0x07ffa06f,
    0x7f40ffd8,0x03ff601f,0x7ec03ffd,0x00fff40f,0x7fe41ffb,0x8ffc8001,
    0xfffffffe,0x003ff20e,0x7ffc1ff7,0xf03ffe00,0x7ffc01ff,0xf007ffc0,
    0x0fff81ff,0xff03ffe0,0x07ffc01f,0xffb81ff9,0xfb2fe801,0x25ff700f,
    0x01be21fd,0x3f61fe20,0x2e0effff,0x7fc4006f,0x83ffee07,0x3fe00fff,
    0xfffd100f,0x3f605fff,0x3661fdc1,0x3e7f883f,0x3ff605ff,0xe80ff881,
    0x7fff4c6f,0x3ea003ff,0x17fdc05f,0x32037ffe,0x3fe20fff,0x20276c04,
    0x0dfffff8,0x0004ffa8,0x7cc1bfe2,0x27fd404f,0xfa809ff3,0x013fe64f,
    0x7fcc9ff5,0x527fd404,0xdeb805ff,0x19ffffb0,0xf727ff4c,0x0ffc803f,
    0xfd805971,0x00b2e20f,0x65c41ffb,0x107fec02,0xffd80597,0xb00b2e20,
    0x07fe41ff,0x3e00ffee,0x803ff93f,0xa8fd2ffc,0x1fd0005f,0xd09dfd70,
    0xff98005f,0x43ffe203,0x7ec02cb8,0xffff700f,0xfd01bfff,0xffdddf70,
    0x43fa01bf,0x3e601fff,0xd05fd04f,0x57ffdcdf,0x2a22fffa,0x801ffb81,
    0x0265c4ff,0xff993ff6,0x13100002,0xa87fff73,0x260004ff,0x5ff706ff,
    0x2e5ff880,0x7fc402ff,0x100bfee5,0x17fdcbff,0xf997fe20,0xb3ffc05f,
    0x7f407fff,0x80bff31f,0x44000fff,0x88001ffc,0x88001ffc,0x88001ffc,
    0x88001ffc,0x3ff21ffc,0x01fffc40,0x2ffccffe,0x3a5fff10,0x0017ea0f,
    0xfb8003fc,0x0effecc6,0xf9003fee,0xfc88001f,0x67ff4c1f,0x83dff731,
    0x777dc0fe,0x3fc00eff,0xdff00dff,0x3fa13f20,0x641dff76,0x7ff90fff,
    0xe800ffc8,0xff10006f,0x000ffdcd,0x1fff1000,0x0002ffc4,0x3f20bff5,
    0xcccccccf,0x3f27ffcc,0xcccccccf,0x3f27ffcc,0xcccccccf,0x3f27ffcc,
    0xcccccccf,0x7ec7ffcc,0x4bff701f,0x7d406ffd,0x407ff64f,0x2600fffc,
    0xffffecba,0x765d4c01,0x4c01ffff,0xffffecba,0x765d4c01,0x4c01ffff,
    0xffffecba,0x2e03ff21,0xf880dfff,0x20fff64f,0xfb2fffd8,0x06037c45,
    0x7c001be6,0x3fffe61f,0x01ff23ff,0xa9803fee,0x1ffffecb,0xe880fff4,
    0x70bf60ff,0x817ee27f,0x017fe6f9,0x37cc1ffa,0x0ffeb7f4,0xffd6ffd8,
    0xb007fd81,0x7fc000ff,0x0003ff27,0x85ff5000,0x2e0007ff,0xfffb05ff,
    0xffffffff,0x7ffecfff,0xffffffff,0x3fff67ff,0xffffffff,0x3fff67ff,
    0xffffffff,0x7ffc47ff,0x1fff930b,0x7c01ffe4,0x2fffe25f,0x1ffff910,
    0xfffffd98,0x981fffff,0xfffffffd,0xfd981fff,0xffffffff,0xfffd981f,
    0x1fffffff,0xfffffd98,0x321fffff,0xfff500ff,0x24ff883d,0xbabdfff8,
    0xf92ffffe,0xf301ff8b,0x8005fb8d,0x4eff45fb,0xffd0ffc8,0x981ff500,
    0xfffffffd,0x3fe21fff,0x917fd404,0x643fb8bf,0x7cbf704f,0x0ffd804f,
    0xefe83ff0,0xfd105ff8,0xfd09ffdf,0x03ff600f,0xd87fec00,0x000000ff,
    0x3f62ffc4,0xff90000f,0x333ff607,0xcccccccc,0x99ffb0cc,0x99999999,
    0x33ff6199,0xcccccccc,0x9ffb0ccc,0x99999999,0xffa81999,0x2fffffff,
    0x74017fdc,0x7fffcc7f,0x0ffdefff,0x3bffffea,0x41ffc8ac,0xcefffffa,
    0x541ffc8a,0xacefffff,0x7d41ffc8,0x8aceffff,0x7fd41ffc,0xc8acefff,
    0x03ff21ff,0x20fffe98,0x7f445ff9,0xfbdfffff,0xfb8ff31f,0x217f441e,
    0x7c4002fd,0xd03fea1f,0x201ffa9f,0x3fea0ffa,0xc8acefff,0x07fea1ff,
    0x7f997fe0,0x3fe21fdc,0x3fe2fd81,0x207fd804,0x5f7f43fd,0x3fe602ff,
    0xffd81fff,0x007fe800,0xffc9ffa0,0x00310001,0x9ff71ffe,0x1fff1000,
    0x0003ff20,0x80007fe4,0x90000ffc,0x100001ff,0x1bfffffb,0xd007ff50,
    0xfffb10df,0x21ff91bf,0x901bfff9,0x7ffcc3ff,0x43ff901b,0x901bfff9,
    0x7ffcc3ff,0x43ff901b,0x901bfff9,0x07fe43ff,0xf31ffec0,0xddb710df,
    0xe87fee5b,0x5f7fec1f,0x3fc45ffd,0x2e2fdc00,0xf95fc86f,0x0ffb801f,
    0x2037fff3,0x3ff21ffc,0x747fe800,0x2a0fee1f,0x3e3fc46f,0x06fe805f,
    0x7dfd17ee,0xffa809ff,0x03ff906f,0x7fdcbff0,0x2a6ff803,0x6f5c02ff,
    0x8805ff90,0x7ffcc5ff,0x2ffec000,0x1005ff70,0x1005ff70,0x1005ff70,
    0x1005ff70,0x007be600,0xff00bff3,0x7e419809,0x807ff90f,0x3ff21ffe,
    0x90fff403,0xffe807ff,0xd00fff21,0x1ffe43ff,0xfc87ffa0,0x4dff000f,
    0xc8006ffa,0x03bea0ff,0x07bffff7,0xf88007fb,0x5c2fe41f,0x803ff56f,
    0x7ff90ffc,0x2e1ffe80,0x6ff802ff,0x3fb877d4,0x1fec9fd0,0x3fe01bfe,
    0xfd1fe205,0x980fff5d,0xfa82ffff,0x27fdc04f,0xfb80dff5,0x017fe64f,
    0x27fccfff,0x3213fea0,0x3ea005ff,0x3fe601ff,0x337fcc05,0xff980bff,
    0x3017fe66,0x2ffccdff,0x901bfe60,0xfd8039ff,0x0bfea00f,0x6c3ff200,
    0x3fe200ff,0x803ff61f,0x3f61fff8,0x3ffe200f,0x8803ff61,0x3ff61fff,
    0x87ffe200,0xd80c0ffc,0x2fff70ff,0x7ec00ab9,0x3105fc87,0x001bf201,
    0x17f217f2,0x27fcdbee,0x361fff10,0x3fe200ff,0x013fea1f,0xbf909ff1,
    0x8cc40262,0x1fff86fc,0xd00ffee0,0xfeb7f43f,0xffff303f,0x3ffd05ff,
    0x883ffe20,0xff102fff,0x01ffd81f,0xfff8bff7,0x03fff101,0x803dffd1,
    0xd803fffc,0x3ffa02ff,0xd017fec3,0x2ffd87ff,0xfb0fffa0,0x1fff405f,
    0x2037ecc0,0xfd105ff9,0xff90001f,0xe80fff61,0x3ff61fff,0x87fffa03,
    0x3fa03ffd,0x0fff61ff,0x361fffe8,0x3ffa03ff,0x5c3ff21f,0x37fc40ff,
    0x3fe6fff7,0x417fea04,0xb1000efe,0xf88001ff,0xc86fb81f,0x407ffa5f,
    0xffb0fffc,0x0ffff407,0x7405fff1,0x1dfd02ff,0x03ff6200,0x7c41bffe,
    0x24fc806f,0x9fff56fe,0x9fffb513,0xfa85fffd,0xff510bff,0x9fff505f,
    0x0fffea23,0x4c2fffe2,0x7d40fffc,0xff511cff,0x7ff4c07f,0xeca99bdf,
    0xf3004fff,0x36a219ff,0xfff986ff,0xdffb510c,0x219fff30,0x986ffda8,
    0xb510cfff,0x7e400dff,0x6fff400f,0x00bffa61,0xfb87fe40,0x3f6a22ef,
    0x3fee2fff,0x3ff6a22e,0x3bfee2ff,0x3fff6a22,0x8bbfee2f,0x2ffffda8,
    0xa88bbfee,0x322ffffd,0x3dff50ff,0xfb8fff66,0x82bffe7f,0x101fffa8,
    0x8837bffb,0x000effda,0xff305fc8,0x3a23fe81,0xff910aff,0x3bfee1ff,
    0x3fff6a22,0x5fffd42f,0x813ffa60,0x41bdffd8,0x00effda8,0x543bffff,
    0xfa802fff,0xffb9bfa6,0x2fffffff,0xf30dffb1,0xffffffff,0x7fffe407,
    0x202fffff,0xfffffffa,0xfff702ff,0x09ffffff,0xfffffb10,0x05ffffff,
    0xfffffa80,0x500effff,0xffffffff,0x3fea01df,0xefffffff,0xfffff500,
    0x401dffff,0x04fffee9,0xfffffd88,0x20002fff,0x3ffa0ffc,0xadfffeff,
    0x7fff43ff,0xfadfffef,0x7ffff43f,0xffadfffe,0x77ffff43,0x3ffadfff,
    0x7f7ffff4,0x23ffadff,0x3fee0ffc,0x5c6fffff,0x3ffea7ff,0x1ffffeef,
    0xfffffb80,0x04ffffed,0x403ff100,0x6fd9aefd,0xffffff98,0x3a0ffbef,
    0xfffeffff,0xfb83ffad,0xffffffff,0xfffb800d,0xffffedff,0x7ee7fc04,
    0x03ffffff,0x3fa1ff10,0x7fffecc6,0x01fd81df,0xdfffffb1,0xfffd3003,
    0xb1003bff,0x01bfffff,0xfffffe98,0x7ecc001e,0x0befffff,0xfff91000,
    0x88017fff,0xbffffffc,0x7ffe4400,0x4400bfff,0xbffffffc,0x7fffd400,
    0x7ff5c004,0x40002dff,0x3f220ffc,0x3a2effff,0x7ffe446f,0x1bfa2eff,
    0xdfffff91,0x32237f45,0x22efffff,0x7fe446fe,0x3fa2efff,0xb703ff26,
    0xf709ffff,0xfffea8ff,0x2001efff,0xfffffea8,0x320000be,0x7ff4405f,
    0xd9301fff,0xff51bfff,0x7fffe441,0x41bfa2ef,0xffffffd8,0x7f544002,
    0x00beffff,0xfff94ff8,0xfd8003df,0x54c0dfd2,0x51001800,0x2a620003,
    0x06a20000,0x006a6200,0x04d4cc00,0x26620000,0x13310000,0x02662000,
    0x004cc400,0x44000040,0x22000019,0x006a6019,0x0001a980,0x980006a6,
    0x2a60001a,0x54400001,0x40666201,0x0001bca9,0x00003310,0x5c003ba2,
    0x33000bdd,0x00353000,0x00135300,0x00066200,0x00009980,0x00000353,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33320000,0x800332e0,0x003cddca,
    0x79bd9730,0x2ea20001,0x4c01acdd,0x554000aa,0xb82ec802,0x5530003e,
    0x26006621,0xdcb88009,0x54c01bcd,0x1554000a,0x2a003551,0x00abdecc,
    0x4000f5c0,0x1eb804eb,0x982ed800,0x006ee609,0x0002ea20,0x02664c00,
    0xedba8800,0x2a2002cc,0xb8001ccb,0x0666004e,0x55555510,0x55555555,
    0x2aa83555,0x5c0e6644,0x0732a0cc,0x24404c40,0x00aa0550,0x002aa800,
    0x269ff500,0xfd3004ff,0x05ffffff,0x3ffffaa0,0x000cffff,0x3ffffff2,
    0xff701fff,0x0ffe8005,0x7f417fc0,0x3ffb0003,0xf8803ff2,0x3ff6604f,
    0x1dffffff,0x8005ff70,0x7ff70ffe,0x7fffe440,0x00efffff,0x4001ffc8,
    0x7e401ff9,0x2fe4001f,0xffe8cff8,0x4c00dfff,0x0ceffffe,0x3ffa0000,
    0x7ec40002,0xefffffff,0x7fffc403,0x3e6003ff,0x3ffe001f,0x3fffe601,
    0xffffffff,0x7c3fffff,0x85ffc85f,0xbff35ff9,0xb0bdfd98,0x207fa85f,
    0x21fd41fc,0xffffffff,0x00dff04f,0x757fe400,0xfff1006f,0x5ffff9bf,
    0xfffffc80,0x1ffffffe,0x7fffec40,0x2fffffee,0x4002ffb8,0x3e200ffe,
    0x00ffc40f,0xf91ffd80,0x27fc401f,0xefffffb8,0x82fffffe,0x74002ffb,
    0x07ff70ff,0x3fffffe6,0x3fffffee,0x03fffd30,0x2603fe80,0x2001fffe,
    0xbff00ff9,0xffd9bffd,0x7fffdc0b,0x000efffe,0x004ffa80,0x7ffffd40,
    0xdfffffee,0x911bfb00,0x1ff400ff,0x807ffe00,0xfffffff9,0xffffffff,
    0x82ffc3ff,0xffb81ffd,0x3e20efeb,0x7fffffff,0x3e607fd8,0x40ffcacf,
    0xffffffff,0x77fd544f,0x000aaaaa,0x01ffffd0,0x5033ffa0,0x3f201fff,
    0x6cc40cff,0x3fa02fff,0xffc881df,0x017fdc3f,0xa803ffa0,0x007f986f,
    0x7e47ff60,0x13fe200f,0x1033fff2,0xb85fffb7,0x7f4002ff,0x507fd50f,
    0x3015dfff,0xfa87fffb,0x2001ffcf,0x3fea05fc,0xf1001ffc,0x7fffc05f,
    0x984ffc85,0x7f4c3fff,0x6fe80006,0x7ffdc000,0x7fe5441e,0x20ba80ef,
    0xfc801ff9,0x0eed8005,0x4cccccc0,0x9999ffe9,0x2ffc0999,0xfb04fe88,
    0x4fa83fff,0xb05dff93,0xfffb80ff,0x999982ef,0x74099999,0xffffffff,
    0xdb10003f,0x3fea003d,0x20fff206,0xb802fff9,0xff880fff,0x46ffa807,
    0x74002ffb,0x17f200ff,0xd8001bee,0x01ff91ff,0x3ea27fc4,0xffc802ff,
    0x0017fdc7,0x2f883ffa,0x8027ffc4,0x86547ffa,0xff5001ff,0xff865401,
    0x80bfb001,0x3f605fff,0x817ff41f,0x20004ff8,0x20000de9,0x9803fff9,
    0x54405fff,0xffa805fd,0x00000000,0xf8003ffa,0x03ba205f,0x260bbb62,
    0x3f60180a,0x00373007,0xfffcb800,0x001ccccc,0x7fdc0000,0x21bfe603,
    0x32003ffd,0x3ffb85ff,0x5c1ffb00,0x7f4002ff,0x20ff600f,0x360004fc,
    0x01ff91ff,0xff127fc4,0x7fec009f,0x000bfee3,0x0fd41ffd,0x90013ff6,
    0x0ffc07ff,0x0017fc40,0x3ea007fe,0x0fffc00e,0x7cc7ff30,0x0ffdc05f,
    0x20000000,0x2a003ffd,0x3f202fff,0x2ff8804f,0x40000000,0x3e000ffe,
    0x0000005f,0x7ff4c400,0x33000099,0xf8198801,0x4c00006f,0xd8009bca,
    0x40d401ff,0x2000ffe8,0x7e40ffe8,0x5ff5001f,0x20017fdc,0x33310ffe,
    0x33337ff3,0x000339fd,0x3ff23ffb,0xb93fe200,0x7d4006ff,0x00bfee5f,
    0x36c1ffd0,0x0003ffe6,0x7fc0dff1,0x004fd801,0x7c401ff8,0x06ff801f,
    0x3fee5fe8,0x01ffcc02,0x20359731,0x402bcb98,0xb8006ffa,0x3b2a06ff,
    0x13f600df,0x006eb800,0x0007ff40,0x04cc0bff,0x0bb884cc,0x7ec02660,
    0x205fffff,0x05ff8099,0x3fe07fe4,0x002b2a26,0xfffffea8,0x1ffe403f,
    0x000a2000,0xff50bfee,0xffb8000b,0x87ff4002,0xfffffffc,0xffffffff,
    0x1ffd8007,0x7c401ff9,0x00bffa4f,0x5ff702a0,0x98ffe800,0x1ffe40ed,
    0x7c01a800,0x037dc01f,0x7401ff80,0x0bff003f,0x7fe4dfb0,0x82ffc401,
    0xfffffffc,0xfffff50e,0x3ff603df,0x3fff0002,0x2e07fd00,0x7ec0006f,
    0x7ff40007,0x817fe000,0x9bff85ff,0xff04ffff,0x3fffb20b,0x17fe04ee,
    0xff9017fe,0xffb6ff81,0xc805bfff,0xffedefff,0x9ff700ef,0x20000000,
    0x7fc43ffa,0xf70000cf,0xffe8005f,0xffffff90,0xffffffff,0xffb000ff,
    0x8807ff23,0x1fff14ff,0x3fee0000,0x7fff4002,0x2ffe80ce,0x3fe00000,
    0x007fe601,0xf700ffc0,0x027fc00d,0xffc87fec,0x237fc400,0xedefffe8,
    0xfffdefff,0x80ffffde,0x360007ff,0x905514ff,0x03ff30bf,0x006fe800,
    0x0007ff40,0xff0b1bff,0xffd9ff0b,0x17fe05ff,0x3e00ffb0,0x405ff85f,
    0x77fc0ffc,0xfffeeffe,0x3dff501f,0x305ffd88,0x00000dff,0x217fe200,
    0x1bdffffc,0x00bfee00,0x3201ffd0,0x006fb85f,0xfc8ffec0,0x53fe201f,
    0x00007ff9,0xd000bfee,0x7fc403ff,0x2000000f,0x0ffa01ff,0x301ff800,
    0x7fc001ff,0x2e7fd804,0x7fcc02ff,0x441ffe47,0x20dffffd,0x7c46feb8,
    0x3f20007f,0x4c5ff15f,0x03fe82ff,0x027fcc00,0x003ffa00,0xf86feff8,
    0xdffff85f,0x17fe05aa,0x3e00ffb0,0x405ff85f,0x7ffc0ffc,0x3ff660df,
    0x00fff886,0xba887ff6,0x2aaaafff,0x77777540,0xeeeeeeee,0x07ffeeee,
    0xfffffff5,0x7fdc017b,0x07ff4002,0x4fd83fd8,0x8ffec000,0x3e601ffc,
    0x00dff54f,0x017fdc00,0x8803ffa0,0x000007ff,0x5fc80ffc,0x40ffc000,
    0x7c002fe8,0x26fe805f,0x7e405ff9,0x813fe27f,0x2205fff8,0x17fe64ff,
    0x26ffa800,0x6ffeeffb,0x40005fc8,0x0001ffe8,0xf0007ff4,0xbff05fff,
    0x400bfff0,0x3fec05ff,0xff85ff80,0x207fe405,0xff105fff,0x809ff50f,
    0x3fea5ff9,0x6fffffff,0x7ffffdc0,0xffffffff,0x0fffffff,0xfffffb30,
    0xf701bfff,0xffe8005f,0xfd03ff00,0xffd80005,0x5405ff91,0x09ff54ff,
    0x17fdc000,0x803ffa00,0xaa805ff9,0x0aaaaaaa,0xff303db0,0x1ed80001,
    0xf8005fc8,0x44ff806f,0xff302ffe,0x00ee4cff,0xf9007ffe,0x0027fd4f,
    0xca8fff10,0x7cc0cefe,0x3a20000f,0x664004ff,0xccfffccc,0x3ffe04cc,
    0xff0bff01,0x2ffc003f,0x7c01ff60,0x405ff85f,0x7ffc0ffc,0x903ffa01,
    0xffd001ff,0x77ff774c,0x7d405eee,0xeeeeeeff,0xeeeeeeee,0xd93007ff,
    0x83dfffff,0x74002ffb,0x0ff980ff,0x0000ffc4,0x7fe47ff6,0x4d3ff204,
    0x200005ff,0x74002ffb,0x3fe600ff,0x7fffc405,0x002fffff,0xf3017f44,
    0x3fea000f,0x677f6540,0xb807ffe0,0x7ffd42ff,0xfdff731c,0xfff1000f,
    0x2a1ff500,0x260004ff,0xf88006ff,0x41fe602f,0x8004ffe8,0xffffffff,
    0xd80fffff,0x17fe05ff,0xf8003ffe,0xfffd905f,0x2ffc07dd,0x3f202ffc,
    0x203ffc0f,0x3fec1ffb,0x980ffd80,0x7cc004ff,0x3fe0005f,0xfda88007,
    0x3fee1fff,0x07ff4002,0x3fcc37d4,0x8ffec000,0xfa81fffc,0x0fff14ff,
    0x17fdc000,0x803ffa00,0x7c406ff8,0xffffffff,0x027ec002,0x1000fff1,
    0xfffb83ff,0x3ffe5fff,0x01ffd105,0xfffffff7,0x980dfb3f,0xfffffdba,
    0xcccccccc,0xbff12ffd,0x2ffd4000,0x1027ec00,0xffd10fff,0x2aaa0009,
    0xaabfffaa,0x5fffe82a,0x3fe17fe0,0x82ffc007,0x4ffffffe,0x3fe17fe0,
    0x207fe405,0x7fdc06ff,0xc803ff41,0x5ff881ff,0x037fc400,0x006ff980,
    0x727ff4c0,0xff8007ff,0x3bf6aa67,0xaefdaaaa,0xfd8002aa,0x7ffff91f,
    0x9ffff933,0x00007ff4,0x4003ffb8,0x7ff807ff,0x99999980,0x2a002ffc,
    0xffd100ef,0x89fb000f,0x3fea2ff8,0x43dffff1,0x2601ffe9,0xd1dffffe,
    0xfffb30df,0xffffffff,0xffffffff,0x03ffc7ff,0x00bff700,0xd100efa8,
    0xbffb0fff,0xffe80000,0x5ffcf800,0x3fe17fe0,0x82ffc006,0x099ffe98,
    0x3fe17fe0,0x207fe405,0x7fdc06ff,0xc803ff41,0x3ff980ff,0x00fff800,
    0x225ffa80,0x3e2000a9,0x00ffea6f,0x7fe4fff0,0xffffffff,0x007fffff,
    0xff91ffd8,0xbffffffb,0x0ffe49fd,0xa8566400,0x7fc003ff,0x02ffe807,
    0x005ff700,0xfd807fe2,0x7dc007fe,0xff82a986,0xfffddff2,0x2005ffff,
    0x45ff81a8,0xbdeffffa,0x9999ffd2,0x59999999,0x80007fec,0x22003ffc,
    0x3bf601ff,0x02ffc47f,0x07ff4000,0x205ff9c0,0x05ff85ff,0x3602ffc0,
    0x0bff007f,0xffd80bff,0x2e037fc0,0x03fec1ff,0xfb80ffd8,0xffd8001f,
    0x3ffd8002,0xb000ffea,0x13fea1ff,0x2e6ff880,0xeeeeffee,0x6eeeeffe,
    0xffb01654,0x3f23ff21,0x49fd4fff,0x44003ffb,0x9ff50fff,0x037fc400,
    0x8002ffdc,0xfd002ffb,0x7cf7e407,0x07fe6007,0x3fe7fa80,0x59ffff96,
    0x7ff10000,0x80dfffcc,0x2e0007fe,0xf88004ff,0x3fa000ff,0x3e7bf203,
    0x401ffd47,0x07ff4001,0x7c0bff00,0x005ff85f,0x3f602ffc,0xf0bff007,
    0x0ffe80df,0x3ee037fc,0x00ffe41f,0x6fe83ff4,0x1fff3000,0x23ffcc00,
    0x6c006ff8,0x01bfe27f,0xf985ffa8,0x007fc40f,0xffe817fe,0x0cc1ff90,
    0x0037fcc0,0xff897fee,0x17fee006,0x00fffe20,0x200bfee0,0x3fee06fb,
    0x3a007f88,0x3fea003f,0x0331bfe3,0xf7006a60,0x01ffe43f,0x31003ffe,
    0x00fff981,0x002ffec0,0x7fdc0df7,0x7fdc7f88,0x02ffc402,0x2000ffe8,
    0x17fe05ff,0xff0017fe,0x007fd80b,0x0dfd0bff,0x3e07ffc4,0x0ffdc06f,
    0xf5013fea,0x03ff309f,0x027fec00,0xfb07ffd0,0x3fe2005f,0x801fff45,
    0x6fa83ffe,0xfe807fa8,0xfc9ffe06,0xffb0000f,0x3ffe6009,0x8027ff42,
    0xf7003ffe,0x6c4007ff,0x7fcc02ff,0x223ff500,0x0bf9007f,0x3e27fe40,
    0xff10006f,0x746fe80b,0x3fea00ff,0x0fff402f,0xa8017ff2,0xf3001fff,
    0x47fea01f,0x2ffd47f8,0x400ffee0,0x3e000ffe,0x217fe05f,0x7fc005ff,
    0x007fec05,0x7fec2ffc,0x81fffb03,0x7fdc06ff,0x101ffe81,0xff983ffd,
    0x9800098b,0x2600dfff,0xff707ffe,0xffe9809f,0x017ffdc2,0x901dff91,
    0x00bf709f,0xff907ffb,0x0007fe4b,0x00cfff88,0x2e17ffa6,0x32202fff,
    0x7ec006ff,0x7dc00bff,0x3a202fff,0x33bfe02f,0x202cffcc,0xfb000ffa,
    0x00dff05f,0xc80fff40,0x17fec2ff,0x0effff98,0xd10dff70,0xfc803dff,
    0xfd1003ff,0x6677fc05,0xff12cffc,0x3ffe203f,0x01ffd001,0xff02ffc0,
    0x800bff0b,0x7fe405ff,0x17fe01ad,0x222fffea,0x40ffefda,0x7fdc06ff,
    0x0bfff981,0x985fff51,0xffffffff,0x06db9ace,0x359dfff5,0x1dfff953,
    0x6ffffdc0,0xfffdcaab,0x9dfffd04,0xffff9757,0x360ffa05,0xfff9804f,
    0x1fffdaae,0x80003ff2,0x9beffffa,0x06fffda9,0x2f3bfffa,0x2ffffcba,
    0x7ffec400,0xfecaacef,0x6402ffff,0x7fffc05f,0x104fffff,0xfb1005ff,
    0x01bfe01d,0x0beffa80,0xf70dffb3,0x7f5cc5df,0x30beffce,0x2203fff9,
    0x99bdfffe,0x04fffeca,0xff017f60,0x9fffffff,0x885f7fe4,0x2004ffea,
    0x3e000ffe,0x217fe05f,0x7fc005ff,0x7fffd405,0x6c17fe06,0xdfffffff,
    0x37fc0ffa,0x5407fee0,0xffffffff,0xffff983f,0xffffffff,0xfd301fff,
    0xffffffff,0x3fea00bf,0xffffffff,0x3ff6203f,0xffffffff,0x207fe02f,
    0xff9002ff,0x85ffffff,0x40000ffc,0xfffffff9,0x200dffff,0xffffffd8,
    0x002fffff,0x3ffffee0,0xcfffffff,0x007fd400,0x3e666666,0x09fb009f,
    0x557ffd10,0x01bfe355,0xfffff900,0x3a01dfff,0xfffeffff,0x3ffffea4,
    0x4402ffff,0xfffffffd,0x2002ffff,0x4cc00ffa,0x09ffa999,0x7f7fffec,
    0x74006fff,0x3fe000ff,0x3e17fe05,0x2ffc005f,0x03fff5c0,0x7fdc0bff,
    0x1ff34eff,0x7dc06ff8,0x3ff6201f,0x3a02ceff,0xfb5109bf,0x403bffff,
    0xfffffdc8,0x64c003de,0xcefffffe,0xfffb5002,0x4019ffff,0x7fc40ff9,
    0x3ffea000,0xffc82dff,0xeb880000,0x1effffff,0x3fff6a00,0x000cffff,
    0xfffeb880,0x800cdfff,0x10001ff8,0x037dc0ff,0xffffffb8,0x00dff4ff,
    0xffffd500,0xffc8807f,0xd982dfff,0x01dfffff,0x3ffff660,0x2000beff,
    0x10001ff8,0x7ffdc0ff,0x8003ffff,0x3e000ffe,0x217fe05f,0x7fc005ff,
    0xf0062005,0x015100bf,0x2e037fc0,0x151001ff,0x54c00600,0x9a880009,
    0x26200000,0x26200009,0x510019aa,0x00055105,0x331006a2,0x53100000,
    0x98800035,0x000019aa,0x002aa620,0x0000fb20,0x07b62055,0x55555540,
    0x01331aaa,0x0d4c4000,0x00054c00,0x30000351,0x20001353,0x540003ec,
    0x5654c402,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x54001aa9,0x3772a02a,0x55555304,
    0x00335555,0x001e6540,0x000ccc88,0x4c00b32e,0xaaaaaaaa,0x64c0019a,
    0x799300cc,0x0001e644,0xccc88000,0x00000000,0x000e6640,0x01aa8310,
    0x65439970,0x5c4cc82c,0x00aaa0cc,0x2a615550,0x5500000a,0x64400015,
    0xccc881cc,0x000aa980,0x2aaa2000,0xaaaaaaaa,0x0aaaaaaa,0x30000f32,
    0x0aaa0155,0x95540000,0x8932e2a9,0x015532cc,0x81644000,0x0ffee01a,
    0xb01ffd00,0x320fffff,0xffffffff,0x8002efff,0x90005ffc,0xfe8009ff,
    0xfff9004f,0xffffffff,0x3ff6005d,0xd8ffec03,0xfff101ff,0x05ffffff,
    0x17fffa00,0x7ffff400,0x4005ffff,0xeb805ffb,0xf8ff0adf,0xdff1005f,
    0x7d41bfe2,0xb89ff54f,0xff7003ff,0x0017fe4d,0x000ffd80,0x6c17ff20,
    0xffd85fff,0x32000001,0xffffffff,0xffffffff,0x0dff11ff,0x81ffd800,
    0x7fc07ff8,0x4fffffff,0x1ffb6fe8,0x5ff89ffa,0x00003ffb,0xfd113fa2,
    0x01ffdc03,0xf703ffa0,0x3209dfff,0xffffffff,0x02ffffff,0x0017ff20,
    0x2001bfe2,0xf9004ffe,0xffffffff,0x405fffff,0xe8805ff9,0x203ffaef,
    0xfffffff8,0xfc8002ff,0x8003ffbf,0xfffffffe,0x7ff4005f,0x7fffd400,
    0x7fc4ffff,0x33fea005,0x3f200ffd,0xfd05feaf,0x3fff001f,0x00017fe4,
    0x0000ffd8,0xf701dff1,0xfd89ff7f,0x1000001f,0xffffffff,0xffffffff,
    0x3fe23fff,0x7fec0006,0x407ff881,0xffffffff,0xfb6fe84f,0xf89ffa1f,
    0x003ffb5f,0x513ff600,0x7fdc03ff,0x07ff4003,0x3200bff2,0x99999bff,
    0x0ffffcba,0x009dd700,0x0001ff90,0x32007dd9,0x99999bff,0x0ffffcba,
    0x2001dfb0,0x804ffff9,0x99999999,0x7fd40009,0x8005ff94,0x99999998,
    0x3fea0009,0xb52fd801,0x5ff83bff,0x7fffe400,0xefffe802,0x809ff500,
    0x7fe44ffb,0xffb00002,0x3fee0001,0xf75ff980,0x00ffec5f,0xcffc8000,
    0x999fff99,0x19999999,0x20002f64,0xfe881ffd,0x4ccccc07,0xfe809999,
    0x32e1f936,0x7ecb3224,0xfc80001f,0x0ffd44ff,0x7fffffdc,0xffffffff,
    0x0fffffff,0x3f200ffd,0xffd8802f,0xb0000005,0x0000005d,0x44017fe4,
    0xee885ffd,0x2f75c001,0x88000000,0x06f6c5ed,0xb0000000,0x20aa005d,
    0x00bff008,0x2007ddb0,0x7401eee8,0xfff101ff,0x002ffc81,0x001ffb00,
    0x76c0bb60,0x6c37b60d,0x800001ff,0x3fe0fff8,0x02740007,0x807ff600,
    0xd000006d,0x40035cdf,0x20001ffd,0x44ffffe9,0xffb81ffa,0xffffffff,
    0xffffffff,0x0dfd0fff,0x800bff20,0x54c03ffe,0x000009bc,0x2af2a200,
    0x02ffc800,0x000fffa0,0x54c00000,0x000009bc,0x2a620000,0x00009abc,
    0xff800000,0x00000005,0x20bff300,0xffc83ffc,0xeeeeeeee,0x7fec01bd,
    0x00000d40,0x007ff600,0x13ff2000,0x4c000fff,0x7ec0002f,0x4013e01f,
    0x2009bca9,0x009d16fe,0x0003ffb0,0x3ff7fff2,0x37ff7314,0x67fe4c43,
    0x99999999,0x19ffe999,0x7e401bfa,0x3fe6002f,0xfffe980f,0x13303fff,
    0x400de544,0xffffffea,0x017fe403,0x261fff30,0x88177109,0x99999999,
    0xe9809999,0x03ffffff,0x09980331,0x2e026620,0xffffffff,0x33333102,
    0x13333333,0xbca88266,0x980bff01,0x06f2a209,0xd8004c40,0x37fc42ff,
    0xffffffc8,0xefffffff,0x5c1ffb00,0x0099801f,0xffb00998,0xf8800003,
    0x03ffc0ff,0x0664f880,0xfb035951,0x00bf603f,0xffffffd5,0x6e5bfa07,
    0xfb013300,0xff90003f,0x2e9ff17f,0x87ffffff,0x74003ffb,0x037f40ff,
    0x4002ffc8,0x7fdc1ffd,0xdfffedef,0xffd9ffc0,0xf301efff,0xfffdbdff,
    0x017fe409,0x7fc7ff60,0x24ffff9b,0xfffffffd,0x5c3fffff,0xffedefff,
    0x07fe40df,0x2e07ff98,0x3ffa20ff,0xfffffdef,0xfffffd82,0x3fffffff,
    0x3fff67ff,0x2ffc1eff,0x7fecffe0,0x7401efff,0xdff1006f,0xf902ffc8,
    0xdddddddf,0x01dffffd,0x3ff61ffb,0x805ff800,0x3ffb05ff,0xffb80000,
    0x0007ff84,0xe89ff98a,0x20dfffff,0x03d01ffd,0xedefffc8,0x7f40efff,
    0x85ff8016,0xc8001ffd,0x29ff11df,0x6eeffeea,0x4003ffb8,0x37f40ffe,
    0x002ffc80,0xff317fdc,0x89ffb03d,0xefffdcff,0x7cc1ffff,0x7ff4c1ff,
    0x005ff902,0x9ff2ffb8,0x6c5ffffd,0xffffffff,0x3e62ffff,0x4ffd81ef,
    0xfb817fd4,0x8dfd00ff,0x64c0cffc,0xfffd86ff,0xffffffff,0xffb9ff2f,
    0x43ffffdf,0x67fc05ff,0xfffefffd,0x01bfa01f,0xff33ffb8,0x017fe40d,
    0x6c2fffd4,0x01efd9ff,0xff00bff0,0x007ff60b,0x01fff000,0x20000fff,
    0xefffaff9,0x3f67ffff,0xff50001f,0x5ffd883d,0xff8037f4,0x001ffd85,
    0x27fc41a8,0xfb807fea,0x999999cf,0xffe99999,0xc8037f40,0x7d4002ff,
    0x807ffa4f,0x3ffe0ffd,0x3ff622df,0xa807ff45,0x5ff905ff,0xf4ffa800,
    0x0b55bfff,0xe8bff900,0x3ff601ff,0x7417fe20,0xff883fff,0xf007ffc3,
    0xf90001ff,0x6ffffcbf,0xf97ff622,0x7fffc05f,0x17ff622d,0x22006fe8,
    0x03ffb6ff,0x98017fe4,0x7fec0fff,0x3e000eff,0x05ff805f,0x00003ffb,
    0xff82ffdc,0xff300007,0x7fcc39ff,0x003ffb2f,0x401fff10,0x1bfa1ffd,
    0x7ec2ffc0,0xf100001f,0x01ffa89f,0x3fffffee,0xffffffff,0x37f40fff,
    0x2fff2660,0x30099999,0x13fe6bff,0x7fc9ff50,0x43ffa05f,0x76c04ff8,
    0x5ffe4cc4,0x30099999,0x17ffebff,0x8dff7000,0x7d404ff9,0x443fec4f,
    0xfa85ffff,0x00b2e21f,0xb8001ffb,0x2fffc6ff,0x3fe1ffd0,0x7fc7bb25,
    0x03ffa05f,0x2a0037f4,0x405ffcff,0x3a002ffc,0x7ffec1ff,0x05ff8005,
    0xffb05ff8,0x003bb603,0xff80fff4,0xeeeeeeef,0x3e602eee,0xbff302ff,
    0x20007ff6,0x7cc04ffa,0x401bfa5f,0x1ffd85ff,0x9ff10000,0x2e01ffa8,
    0xffffffff,0xffffffff,0x2037f40f,0xffffffff,0xff104fff,0x100bfeed,
    0x0fffcbff,0x3e61ffb0,0xfff0002f,0xffffffff,0x7dbfe209,0x2a0001ff,
    0x7fdc0eff,0x22ffc402,0x7fd41ffb,0x06fd87fc,0x03ff9100,0x2077fd40,
    0x3f601fff,0x7ecbff0f,0x403fff2f,0xdfd00ffd,0xfccccc80,0xcccdffff,
    0x00bff21c,0x7f43ffc8,0xbff0004f,0x360bff00,0x3ffd01ff,0x40bff500,
    0xffffffff,0x202fffff,0x7fc06ff9,0x0003ffb6,0xfd001ff9,0xf8037f4f,
    0x01ffd85f,0x89ff1000,0x3ee01ffa,0xaaaaaadf,0xfffaaaaa,0x3a037f40,
    0xeeeefffe,0xdff303ee,0x33333ff2,0x7ffccccc,0xff901ffe,0x0007fee3,
    0x777fff74,0xf303eeee,0x003ffedf,0x40fffcc0,0xcccccffc,0x47ffcccc,
    0x6fe43ff8,0x27fc1ffa,0x7f65d4c0,0xf3001fff,0x0fff03ff,0xbff1ffc8,
    0x7ff97fec,0xe80ffe40,0x7fffc06f,0xffffffff,0x3ff22fff,0x8bff2002,
    0x0000fffc,0xbff00bff,0x7407ff60,0xffe801ff,0x3bbffe01,0xeeeeeeee,
    0x017fe602,0x07ff6dfd,0x401ff600,0x0dfd0ffd,0x3f617fe0,0xf100001f,
    0x01ffa89f,0xd000ffee,0x06fe81ff,0x8005ff90,0xfffb6ffa,0xffffffff,
    0x037fcfff,0x7fe47fee,0x7fe40000,0xb7fd4002,0xd10007ff,0x3ff605ff,
    0xffffffff,0x5fe87fff,0x1ffc5ff4,0x36603ff3,0xffffffff,0xfe8801ff,
    0x80dff02f,0x4bff1ffb,0x0dff0998,0xfd01ffb8,0xeeeee80d,0xeeeefffe,
    0x0bff21ee,0xfb1ffe80,0x20001fff,0x5ff805ff,0x2203ffb0,0xeffa8019,
    0xf9999999,0xf300007f,0xb7fe809f,0xfd0003ff,0x47ff200f,0xbff006fe,
    0x0003ffb0,0xf513fe20,0x1ffdc03f,0xd03ffa00,0x3ff200df,0xaffdc002,
    0xcccccffd,0x0ccccccc,0xffb80dff,0x0001ffb1,0x4002ffc8,0x0dff5ffb,
    0x07ffd100,0x66667fec,0xcccccccc,0xff13fe40,0x7fc97fa3,0xdfffff50,
    0x03ff9159,0x203ffe88,0x7fdc06ff,0xff80bff1,0x80ffdc06,0xfb0006fe,
    0x0bff200f,0xdf37fe40,0x20001ffd,0x5ff805ff,0x0003ffb0,0xffffffd0,
    0x0fffffff,0x0ffe6000,0x3ff6ffd0,0x07fe8001,0x3fa1ff90,0xb0bff006,
    0x200003ff,0x7fd44ff8,0x00ffee01,0xfe81ffd0,0x05ff9006,0xf93ffc80,
    0x3fe0001f,0xc8ffdc06,0x640001ff,0x7e4002ff,0x000bff3f,0xfc809ffb,
    0x7cc0000f,0x7e4ff72f,0x3e613fa7,0xff901bff,0x04ffd803,0x3ee037fc,
    0xf80bff1f,0x0ffdc06f,0xb0006fe8,0x3ff200ff,0xa999999b,0x362fffeb,
    0x0000ffd8,0xbff00bff,0x0007ff60,0xffffff50,0xffffffff,0x3fe60000,
    0xfdbff403,0x7fd8001f,0x3a1ffb00,0x0bff006f,0x00003ffb,0xff513fe2,
    0x01ffdc03,0xfd03ffa0,0x0bff200d,0x70fff880,0xf01005ff,0x1ffb80df,
    0xeb805ff5,0x02ffc80d,0x7c3ffe20,0x7fe4005f,0x02ffb805,0xda7fc008,
    0x227fe64f,0x3ffc82ff,0x900fff40,0xdff00bff,0xff1ffb80,0x406ff80b,
    0xdfd01ffb,0xffffff80,0xffffffff,0x3ffff22f,0xffffffff,0x1ffb03ff,
    0x017fe000,0x7fec17fe,0x7ff40001,0xcccccccc,0x00007ffc,0xfe807ff3,
    0x0003ffb7,0xfd003ff9,0xf8037f4f,0x01ffd85f,0x89ff1000,0x3ee01ffa,
    0x7ff4003f,0xc8037f40,0x3f2002ff,0x017fe66f,0x37fcdff3,0x7cc7fee0,
    0x83ffc05f,0x32002ffc,0x017fe6ff,0x800effb8,0x7cc05ff9,0x3edf906f,
    0x7ddffc2f,0x401ffb07,0xf701fff8,0xdff001df,0xff1ffb80,0x406ff80b,
    0xdfd01ffb,0xffffff80,0xffffffff,0x3ffff22f,0xffffffff,0x03ff600d,
    0x402ffc00,0x3ffb05ff,0x37fcc000,0x0007ff80,0xe807ff30,0x003ffb7f,
    0xa809ff50,0x01bfa4ff,0x7fec2ffc,0xff100001,0x202ffa89,0x74003ffb,
    0x037f40ff,0x3002ffc8,0xffd85fff,0xf8fffa02,0x0ffdc06f,0x3ee03ffb,
    0x05ff905f,0xf8bffe60,0xfff5005f,0x17fec001,0x2a07ffd0,0x6c0ffaff,
    0xfb05fddf,0x7fff407f,0x00fffa81,0xfb80dff0,0xf80bff1f,0x0ffdc06f,
    0xb0006fe8,0x3ff200ff,0x9aaaaaac,0x01ffb000,0x2017fe00,0x3ffb05ff,
    0x17fec000,0x0007ff80,0xe807ff30,0x003ffb7f,0x4407ffa0,0x1bfa1ffe,
    0x7ec2ffc0,0xf100001f,0x02ffa89f,0xd000ffee,0x06fe81ff,0x7005ff90,
    0xff30bfff,0x3f6a219f,0x2037fc6f,0x3fe21ffb,0xfff930bf,0x00bff201,
    0xff17ffee,0x3fff300b,0xcfff9800,0x0dffb510,0xb86feff8,0xf702ffff,
    0x7ed445df,0x7fcc2fff,0x1bfe001f,0x3fe3ff70,0x2037fc05,0xdfd01ffb,
    0x01ff6000,0x00017fe4,0x0000ffd8,0xbff00bff,0x0007ff60,0xf0037fcc,
    0x260000ff,0xbff403ff,0x30001ffd,0x2a217fff,0x37f42fff,0xfd85ff80,
    0xf100001f,0xbeff989f,0x003ffb82,0x3fa07ff4,0x9bff9006,0xfffdb999,
    0x3ea01dff,0xffffffff,0x2037fc0e,0x7fd41ffb,0x2fffffff,0x3337ff20,
    0xffffedcc,0x02ffc0ef,0x2a6fffe2,0x2aaaaaaa,0x7fffffd4,0x6c00efff,
    0xff984fff,0x3ffa00ff,0xadfffeff,0x3ffe23ff,0xaaaaaa9b,0x80dff2aa,
    0x0bff1ffb,0x7dc06ff8,0x00dfd01f,0x6401ff60,0xb00002ff,0x99999bff,
    0x7c399999,0x05ff805f,0x9999bffb,0x41999999,0x3e002ffd,0xccccccff,
    0x302ccccc,0x7fe807ff,0x9999bffb,0x81999999,0xfffffffa,0x06fe83ff,
    0xffb0bff0,0x9999999b,0x7c401999,0x7fffc44f,0x01ffdc1f,0xfd03ffa0,
    0x3fff200d,0xffffffff,0x64400bff,0x0bffffff,0x7dc06ff8,0xfffd881f,
    0x7e400dff,0xffffffff,0xf80bffff,0x7ffd405f,0xffffffff,0xffc887ff,
    0x800bffff,0xff02fffb,0xffc880bf,0x3fa2efff,0x3ffffea6,0xffffffff,
    0xfb80dff7,0xf80bff1f,0x0ffdc06f,0xb0006fe8,0x3ff200ff,0xffb00002,
    0xffffffff,0x2ffc5fff,0xfd82ffc0,0xffffffff,0xff31ffff,0xffff800d,
    0xffffffff,0x7ff304ff,0xffb7fe80,0xffffffff,0xfb103fff,0x2059dfff,
    0xbff006fe,0xffffffb0,0x3fffffff,0x4c27fc40,0x7dc2fffe,0x7ff4003f,
    0xc8037f40,0xffffffff,0x10002def,0x6ff80133,0x200ffdc0,0x3f2001a8,
    0xffffffff,0x2ffc02de,0x3ffffea0,0xffffffff,0x004cc407,0x403ffe20,
    0x26003ffd,0x3fea001a,0xffffffff,0x0dff7fff,0xbff1ffb8,0x5c06ff80,
    0x0dfd01ff,0x401ff600,0x00002ffc,0xfffffffb,0x45ffffff,0x5ff805ff,
    0xffffffb0,0x3fffffff,0xf000fff6,0xffffffff,0x209fffff,0x7f403ff9,
    0xffffffb7,0x3fffffff,0xe800a880,0x0bff006f,0xfffffffb,0x03ffffff,
    0x26027fc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26aea600,
    0x55555300,0x00335555,0x55555553,0x55555555,0x05530003,0x55445551,
    0xaaaaaaaa,0x5531aaaa,0x55554001,0x55555530,0x53001355,0x2aa80035,
    0x26000aaa,0x88002aaa,0x05551aaa,0x00355300,0x2a202aa8,0x97303cec,
    0x2a6057bd,0xaaaaaaaa,0x554c009a,0x15544002,0x20001555,0x55531aa8,
    0x55555555,0x26000015,0x2a6002aa,0x5550002a,0x4006aa63,0x55001aaa,
    0x55555505,0x55555555,0x4cccc455,0x99999999,0xa8955419,0xaaaaaaaa,
    0xaaaaaaaa,0x65c00001,0x404cc01c,0xffffffea,0xfffffc83,0x2effffff,
    0x3ffffee0,0xffffffff,0x7c4005ff,0x0fff986f,0xfffffff5,0xbfffffff,
    0x5c007ff6,0x3ff63fff,0xffffffff,0x7ff701df,0xd0ffe800,0xff9000df,
    0xfc8001ff,0x00dff5ff,0x001fff90,0xff883fec,0x7e444fff,0x1effffff,
    0x7fffffe4,0x2dffffff,0x005fff30,0xff717ff4,0x3ff6000b,0xffffff71,
    0xffffffff,0xffd80005,0xfff3000f,0xfffa8003,0x3009ff50,0x3e00dfff,
    0xfffff87f,0xffffffff,0x3ffee7ff,0xffffffff,0x5bfe27ff,0xfffffff9,
    0xffffffff,0xffff53ff,0x801fffff,0x3e603ffe,0x7fffe46f,0x20effffe,
    0xfffffffc,0x2fffffff,0xffffffb8,0xffffffff,0x7fec005f,0x50fff986,
    0xffffffff,0x2bffffff,0xfb801ffd,0x7ffec2ff,0xffffffff,0x3ffb81ff,
    0xe87ff400,0xffc8006f,0x7f4002ff,0x00dff5ff,0x00bfff90,0xffe83fec,
    0x7ff42eef,0xffffdcef,0x3fffff21,0xffffffff,0x1fff704f,0x889ff900,
    0xf88007ff,0x3fffee6f,0xffffffff,0x10003fff,0x4007ffff,0x22006ffc,
    0x3fe22fff,0xffffb806,0x42ffcc00,0xffffffff,0x7fffffff,0x3fffffee,
    0x7fffffff,0x7fcdbfe2,0xffffffff,0x3fffffff,0xfffffff5,0xffe801ff,
    0xa9bfe603,0x3ae22eff,0x2fff25ff,0xca999999,0x7dc0ffff,0x999999bf,
    0x00999999,0x21bffea0,0xff50fff9,0x33333339,0x3f613333,0x7ffdc01f,
    0x99affd82,0xffea9999,0x01ffdc1f,0x7f43ffa0,0xfffc8006,0x3fe6005f,
    0x00dff5ff,0x05ffff90,0x3e21ff60,0xdff900ef,0x0fffc883,0x33337ff9,
    0xfffd5533,0x017ff605,0x3f60dff5,0x7fdc002f,0x300bfee3,0x007fffb3,
    0x0ffbff70,0x004ffe80,0xffd09ffb,0xffefd801,0x417fdc03,0x99999999,
    0x5ffe9999,0x3333332a,0x4ffecccc,0x9999bfe2,0x9ffe9999,0x10999999,
    0x33333333,0x05ddb003,0xffd2f744,0xc8fffc01,0xff9802ff,0x01ffdc5f,
    0xfff10000,0x1fff30df,0x4000ffea,0x3ee01ffd,0x3ffb02ff,0xb89ff900,
    0x7f4003ff,0x000dfd0f,0x01ffbff9,0x57ffbf20,0xfc8006ff,0xd800ffff,
    0x04ff987f,0xfe803ffe,0x005ff93f,0x7c41fff2,0xfff103ff,0x017fea03,
    0x7dc1ffd0,0x3ff2002f,0xacfe8005,0x3e6002ff,0x7fd401ff,0x805ff906,
    0x405febff,0x40000ffd,0x8000effc,0x7fc45ff9,0x01ffd006,0x00000000,
    0x9013fe20,0x0bff27ff,0x71fff440,0x000007ff,0x437f6ff4,0xff50fff9,
    0x3ff60007,0x05fff701,0x4400ffec,0x1ffdc6ff,0x743ffa00,0xffc8006f,
    0xff002ffb,0x1bfebff7,0x3fbff200,0x87fd805f,0xff303ff9,0x94ffa809,
    0x7fc005ff,0x1fff500f,0xf805ffd0,0xff3000ff,0x002ffb8b,0x3001ffe6,
    0x017fe5ff,0x440dff90,0xff501fff,0x64ffcc09,0x037fc07f,0x03ffee00,
    0x2077f400,0xfd006ff8,0x1330001f,0x4ccccc40,0x09999999,0x300bfea0,
    0x0bff2bff,0x70fff880,0x000007ff,0x1bfa3fee,0xffa9ffe6,0x3ffb0003,
    0x805fff70,0xfd001ffd,0x003ffb8f,0x6fe87ff4,0xfc826620,0x9805ff9f,
    0xff5ff9ff,0x80de544d,0x2fff9ffc,0x5313fec0,0x541339ff,0x7fc402fe,
    0x4005ff95,0x3f202ffd,0x02ffe46f,0xc801ffe4,0x17fdc2ff,0x00bff600,
    0xffb0ffd8,0x7ff44001,0x809ffb03,0x5ff205ff,0xff301ffa,0x7fd40009,
    0xff70002f,0x00dff105,0x20003ffa,0x3ff605ff,0xffffffff,0x009803ff,
    0xffca7fd4,0x8ffec002,0x00003ffb,0xdfd2ff98,0x7d4fff10,0xffb0003f,
    0x01fffb83,0xf001ffd8,0x03ffb8bf,0xfe87ff40,0x43fff506,0x0ffc8ffc,
    0x7fc6fe40,0x3ff2dff5,0x7e41ffff,0x00fffa9f,0xfffd9ff6,0x0004ffff,
    0x3ff27ff3,0x0fff2002,0x3ea7ffd0,0xff8800ef,0x70fff006,0xfe8005ff,
    0xbff1001f,0x20027fd4,0x7d41fff9,0x07fd806f,0x27fc53fa,0x0002ffb8,
    0x0007fff3,0x7c417fe6,0x1ffd006f,0x40bff000,0xfffffffd,0x002fffff,
    0x325ffd00,0x7dc002ff,0x007ff72f,0x74bfd000,0x26ff886f,0xb0003ffa,
    0x7ffdc3ff,0x03ffb001,0xfb87ff50,0x7ff4003f,0xff50dfd0,0x98ffc83f,
    0x57fc02ff,0xddff5ff8,0xffffdfff,0xfd8ffe43,0xc9ff605f,0x3eeeffee,
    0x23ffb000,0x36002ffc,0x7fcc01ff,0x001fff9f,0xf5003ffa,0x05ff709f,
    0x007ffcc0,0x7fc2ffb8,0x6ffc8007,0x5c00fff4,0x2ff881ff,0x3fec1bfa,
    0x5ffe8800,0x03ffa000,0xe8037fc4,0xff8000ff,0x7fe40005,0xff100005,
    0x00bff21f,0x3ee9ff30,0x6400003f,0x41bfa0ff,0x0ffea6ff,0xb8ffec00,
    0x36001fff,0xf93101ff,0x39ff70bf,0x33333333,0x3a1ffd33,0x077fd46f,
    0x5fe87fe4,0x7fc5fea0,0x43bffff5,0x3f25ffd9,0x05fff11f,0x3fe61ff6,
    0x7fe40003,0x400bff25,0xb800fff9,0x003fffff,0x3601ffd4,0x2ffb80ff,
    0x09fff500,0x7e43ff40,0x7f44002f,0x007ff92f,0x3ea0ffe6,0x203fee0f,
    0xfb0005ff,0x2e0001df,0x3fe204ff,0x01ffd006,0x000bff00,0x00037fdc,
    0x7e45ffd0,0x7fcc002f,0xffffff75,0xffffffff,0x20ffd40d,0x4bff06fe,
    0xeeeeeffa,0x6c6eeeee,0xffffb9ff,0x3fff6004,0xffffffff,0xffff704f,
    0xffffffff,0x3a1fffff,0x03bfea6f,0xffc87fe4,0x3e2bf900,0x40bfff5f,
    0x87ff27fe,0xfd80fffa,0x003ff987,0xc83bff20,0xffb802ff,0x3ff6004f,
    0xdff0005f,0xb82ffc40,0xcccccdff,0xefffedcc,0x09ff3000,0x5000bff3,
    0x0bff3fff,0xfd85ff80,0x2217fcc6,0xfc8003ff,0x3a0000ff,0x3fe200ff,
    0x01ffd006,0x000bff00,0x0003bfea,0x322ffec0,0x7c4002ff,0xfffff76f,
    0xffffffff,0x13fe20df,0x2ff41bfa,0xfffffff5,0xd8ffffff,0xffeffdff,
    0xfffb002f,0xffffffff,0x3ffee09f,0xffffffff,0xd0ffffff,0x03bfeadf,
    0xff30ffc8,0x7c4bfe05,0x403fff5f,0x3ff90ffc,0xfd85ffd8,0x003ff987,
    0xc81dff90,0xeeeeeeff,0x06ffffee,0x01fffd40,0x501ffc80,0x3fee05ff,
    0xffffffff,0x4004ffff,0xffd01ffc,0xfff90001,0xfd8001ff,0xff84ff87,
    0x000ffdc5,0x000bffea,0x4405ffa8,0xffd006ff,0x0bff0001,0x03fff300,
    0x3bff6000,0x0017fe40,0x7fddbfe6,0xeeeeeeee,0xfb05eeee,0x741bfa0d,
    0x3bbfea4f,0xeeeeeeee,0x77fffec6,0x800fffb8,0xccccdffd,0x1efffeec,
    0x5556ffdc,0xaaaaaaaa,0x3dfd0fff,0xfc801dff,0x2a17fa0f,0x7d7fe27f,
    0x8ffdc07f,0x7fc41ffc,0x4c3fec2f,0xfb8003ff,0xfffc80ef,0xffffffff,
    0x22000cff,0x001fffff,0xfd04ff98,0x7fffdc0f,0xdfffffff,0x6ff8000b,
    0x0013fee0,0x00ffffa2,0xf983fee0,0x6c7fd81f,0x7fc4007f,0x7ec0003f,
    0x37fc402f,0x000ffe80,0x44005ff8,0x80002ffe,0xc80effe8,0x7d4002ff,
    0x007ff75f,0x203ff700,0x49fb06fe,0xb0003ffa,0x7ec1dfff,0x1ffd806f,
    0x21fffc80,0x74003ffb,0xffffd0ff,0xffc803ff,0xfb03ff20,0xffaffc49,
    0xc8ffdc06,0xfffa81ff,0x3e61ff60,0x7fc4003f,0xddff900e,0x79bddddd,
    0xdffb0003,0x3a000dff,0x04ff887f,0x3260bfee,0xa8002eff,0x99999cff,
    0x0007ff99,0x2000dff5,0x1fee2ff9,0xbff0ffdc,0x2fff4400,0x1bfe2000,
    0x401bfe20,0xf8000ffe,0x3fa2005f,0x004cc03f,0x201bffd1,0x5c002ffc,
    0x07ff74ff,0x03ff8800,0x1fec1bfa,0x20007ff5,0x7c40effd,0x7fec03ff,
    0x49ff7001,0x74003ffb,0xffffd0ff,0xffc80dff,0xff0bfe60,0xffaffc43,
    0xc8ffdc06,0xbffb01ff,0x7fcc3fec,0x17fdc003,0x0005ff90,0x757fee00,
    0xfb8004ff,0x00ffdc1f,0x7d405ff7,0x7ec002ff,0xffffffff,0x8002ffff,
    0x20005ff9,0x417fa4ff,0x5ff12ff8,0x037fec00,0x01ffdc00,0xe8037fc4,
    0xff8000ff,0x13ff6005,0x260dff30,0x7e405fff,0x7fe4002f,0x0007ff73,
    0xeeeeffc8,0xeefffeee,0xffa8ff25,0x3ffb0003,0x807ffea0,0xf1001ffd,
    0x01ffdcdf,0x7f43ffa0,0x03ffd8ef,0xbfd03ff2,0x3fe23fd4,0xfb80dff5,
    0x203ff91f,0xffb2fff8,0x8007ff30,0x7fe407fc,0xf9800002,0x3fff30ff,
    0x44ff8800,0x7fdc06fe,0x0fffdc02,0xfffff880,0xffffffff,0xff98006f,
    0x5bf60005,0x3fa03ff8,0x2001ff54,0x0000fffb,0x8800ffe8,0xffd006ff,
    0x0bff0001,0x2017ff20,0xff986ff9,0x2ffc804f,0x47ffe200,0x40003ffb,
    0xfffffffc,0x6fffffff,0x3ffa8bf2,0x03ffb000,0xd807ffe4,0x3fa001ff,
    0x007ff70f,0xdfd0ffe8,0x407ffe21,0x7fe40ffc,0xff889fb0,0xfb80dff5,
    0x403ff91f,0x7fd8fffa,0x4003ff98,0x7fe407fd,0x7c400002,0x7ffe42ff,
    0x33fec000,0xffb805ff,0x0effd802,0x99bffb80,0xf9999999,0x7cc001ff,
    0x3ea0005f,0x200ffa8f,0x00df96fc,0x0007ffea,0x4013fe60,0xfd006ff8,
    0xbff0001f,0x01dff700,0xf98dff30,0xff9002ff,0x2ffe4005,0x80007ff7,
    0xccccccca,0x3ccfffcc,0x3ffa82a6,0x03ffb000,0xfb05ffe8,0x3fe2003f,
    0x000ffee7,0x1bfa1ffd,0x3f20dff5,0x45ffcc0f,0xaffc41ff,0x7fdc06ff,
    0xd803ff91,0x987fddff,0x554003ff,0x017fe402,0x13ff6000,0x2002fff4,
    0x0ff92ffa,0x1005ff70,0xfd00bfff,0x3ff2001f,0x2ffcc004,0x93ff1000,
    0xd7fa80df,0xfff1009f,0x3ee00007,0xdff1002f,0x003ffa00,0xf5017fe0,
    0x6d8001ff,0x800bffe2,0xf3002ffc,0x1ffdc3ff,0xfe800000,0x0ffea006,
    0x00ffec00,0x360fffe6,0xff5001ff,0x001ffdcb,0x37f43ffa,0x7e41ffec,
    0xfadfe80f,0xff5ff886,0x91ffb80d,0xff8803ff,0xff987fff,0xf9000003,
    0x5c00005f,0xff100eff,0x5ff8007f,0xff7009ff,0x3ffea005,0x017fe602,
    0x4007ff88,0x40005ff9,0x404febfe,0x02ffaff8,0x0027ff44,0x003ffb00,
    0x7401bfe2,0xff8000ff,0x07ffe605,0xffd93e00,0x17fe4003,0x22fffdc0,
    0x00003ffb,0x260dfd00,0x00ffea19,0x400ffec0,0x7ec1fffb,0xfffa801f,
    0x000ffee3,0x1bfa1ffd,0xf907ffe2,0xfbff901f,0x3ebff109,0x8ffdc06f,
    0xfa801ffc,0xff987fff,0x00ccc003,0x0000bff2,0x200fffcc,0x2000fffb,
    0x01ffaffc,0x2002ffb8,0xf900effd,0xffd8005f,0x17fe6002,0xffdf9000,
    0xffbfd005,0x00bffb00,0x007ff800,0x7401bfe2,0xff8000ff,0x37fff105,
    0x55555555,0xffa97dc5,0xcccccccf,0xbff93ccc,0xffdb9999,0xff70bfff,
    0x9999999b,0x01999999,0xf886fe80,0x00ffea7f,0x800ffec0,0x3f60effe,
    0xccccccdf,0x5c5ffffe,0x7f4003ff,0x2e0dfd0f,0x07fe46ff,0x40ffffcc,
    0x0dff5ff8,0xff91ffb8,0x3fff6003,0x003ff987,0xf9007ffc,0xd100005f,
    0x3f6007ff,0x3fe2006f,0xff7006fe,0x7ffc4005,0x000fff04,0x4c00dff5,
    0x540005ff,0xf7007fff,0xffa80bff,0xcccccccf,0x1ccccccc,0x2006ff88,
    0xfd006ff8,0xbff0001f,0x3ffffea0,0xffffffff,0x7ff47f17,0xffffffff,
    0xfff95fff,0xffffffff,0x3fee09ff,0xffffffff,0x01ffffff,0x7c437f40,
    0x00ffea7f,0x800ffec0,0x3f65fff8,0xffffffff,0x5c0dffff,0x7f4003ff,
    0x740dfd0f,0x03ff23ff,0xf8837ff4,0xb80dff5f,0x03ff91ff,0x21fffe20,
    0x7c003ff9,0x3ff200ff,0xffd80002,0x3ffe2005,0x3fff6004,0x05ff7003,
    0x41fffb80,0xf0004ffa,0x3e6003ff,0x7c40005f,0xff3005ff,0xfffa807f,
    0xffffffff,0x82ffffff,0x22005ff9,0xffd006ff,0x0bff0001,0x3fffffea,
    0x7fffffff,0xffffff02,0xffffffff,0x3fffff2b,0x0bceefff,0x3ffffee0,
    0xffffffff,0x74001fff,0x27ff886f,0xb0003ffa,0x7dc003ff,0xffffb2ff,
    0x9bdfffff,0x00ffee01,0x3fa1ffd0,0x47ffe606,0xff700ffc,0x7d7fe207,
    0x8ffdc06f,0x2a001ffc,0x3ff987ff,0x007ffc00,0x80005ff9,0x4000fffb,
    0x5001fffa,0x2e001fff,0xfe8002ff,0x00ffec6f,0x004ffc80,0x0000bff3,
    0x7c007ffd,0x7fd401ff,0xffffffff,0x2fffffff,0x2003ffa8,0xfd006ff8,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33333332,0xcccccccc,0x002f6402,0x80d65cc4,0x002bcb98,0x004de54c,
    0x35795310,0x1bb98001,0x00abb980,0x04de54c0,0x26f2a600,0x332cc980,
    0x26198801,0x5e544019,0x8013300a,0x2ea20198,0x266009ac,0x304cc401,
    0x982ee213,0x02b2a209,0x4c0565cc,0x06f2a209,0x44004cc4,0x30066219,
    0x04cc4013,0x33333331,0x26133333,0x44013309,0x30ccc099,0x0a214001,
    0x0aa80000,0x03300000,0x00000000,0x88000666,0x3a22bca9,0x38000a23,
    0x20037ec0,0xfffffffc,0xfffff50e,0xfea803df,0x803fffff,0xfffffffb,
    0x7fecc02f,0xfd85ffff,0x804fffff,0xffffffe9,0xfffea803,0x7fd43fff,
    0xfc80bff4,0x2a0fff0f,0x3ffffffe,0x7e405ff8,0xffffc80f,0xffb03fff,
    0xf1ffec09,0x9ffff37f,0x7ffecffe,0x3ffe64ff,0x9ffc2fff,0x1efffffd,
    0x74027fd4,0x403ff27f,0x3ee07ff9,0x3ffff60f,0xffffffff,0x17febff3,
    0xf10fffd4,0x983be6ff,0xf31fec2b,0x4000017d,0x00003ff8,0x6fba7ed4,
    0xf7002fe4,0xf806fb8d,0xfa8000ff,0xdbffffff,0x8000a23f,0x8037ec03,
    0xedefffe8,0xfffdefff,0x00ffffde,0xfdbdfff9,0xfd101dff,0xffffbdff,
    0x3ffe205f,0x8efffddf,0xfeefffe8,0xff700eff,0xbfffdbdf,0x3bfff201,
    0x50efffed,0x017fe9ff,0x1ffe1ff9,0x3b7bffe6,0x2ffc4fff,0xf903ff20,
    0xfffdbdff,0x03fff10d,0xcff8bff7,0xff2ffffe,0xfffdffd9,0xfdfff37f,
    0x67fc3fff,0xfffefffd,0x2037fc1f,0x3fea4ff8,0x01fff702,0xfffb1bfa,
    0xffffffff,0x7fd7fe5f,0x40effa85,0xdff77ff8,0xbbfffff9,0x7ffccdff,
    0x880001cf,0x880003ff,0x3a4ffffb,0x00ffe23f,0xff987fe2,0x00fff801,
    0x6f7ffec0,0x445fffff,0xb00e0002,0x3ff200df,0xffffd883,0x1bfae20d,
    0xb107bfea,0x9ff90bff,0x86ffc981,0x640bffe8,0x1dffeeff,0x2617ff26,
    0xffd81eff,0x41effa84,0xf935ffd8,0xf9017fe7,0xf31ffe1f,0xffe983ff,
    0xf9017fe2,0x06ffc41f,0x2a07ffa2,0x77fcc6ff,0x56ffffc0,0x33fffe5a,
    0xfffff710,0x97ff2219,0x222dffff,0x7fe45ffd,0x887fee01,0xfffd05ff,
    0x007ff107,0x7fcbff90,0xffa8bff5,0x25ee880e,0xfffffffc,0x540dffff,
    0x02dffffe,0x00ffe200,0xffffc980,0x87fea0bf,0x7f400ffa,0xd802ff45,
    0x3ea000ee,0x7ff541ef,0x70001445,0x8806fd80,0x3fe204ff,0x93fe205f,
    0x3600fff8,0x07ffc1ff,0xfd81fff0,0x3fff203f,0x0bfee04f,0x7ec03ffd,
    0x03ffe20f,0x3f12ffe8,0xff9017fe,0x3ffa3e41,0x7cbff500,0x07fe405f,
    0x3e603ff7,0x49ffb04f,0xfff81ffe,0x417ffe05,0xff01fffd,0xd02fffcd,
    0x27fcc1ff,0xffb0dfd0,0x0bffff10,0xb8003ff5,0xfaffc6ff,0x03bfea5f,
    0x4bbffa00,0x200fffd9,0xbfffffc9,0x1ffc4000,0x7fff5400,0x1bfa02df,
    0x7fdc0dfd,0x0003ff20,0x0fff8800,0x21ffff88,0x00e00028,0xb9300dfb,
    0x01fff803,0x9ff53fe4,0x225ff980,0x7fec02cb,0x2202ffc0,0xfe807fff,
    0x5013fe66,0x27fd49ff,0x7dd7fe60,0xfc80bff0,0xff89b60f,0xff276c04,
    0x20ffc80b,0x02602ffb,0xfc9ffe88,0x03fff03f,0xfb80fffc,0xf9ffa05f,
    0x3ff601ff,0xf983ff40,0x41ffb83f,0xd87fcffa,0x7fd4006f,0xffaffc0e,
    0x001dff55,0x2a09ff10,0xeb8802ff,0x001cffff,0x22007ff1,0x0cfffffc,
    0x264ff980,0x4ff983ff,0x2aa0ffe6,0xaaaaaaaa,0xfb82aaaa,0xff9fd03f,
    0x7000144b,0x3b33332e,0x4cccccff,0x07ff8800,0xff90ffa8,0x00ffd001,
    0x4c3ff910,0xffd803ff,0x2e7fd805,0x7fc402ff,0x2003ff25,0x3e1fbffe,
    0x87fe405f,0x0bfe63f8,0x9017fe00,0x7ffcc1ff,0xff30001c,0x7fc0bffd,
    0x03ffe00f,0xfb027fcc,0x3203ffcf,0x17fdc1ff,0x7c407fe4,0x7d6fe43f,
    0x0027fc1f,0xff03fff3,0x3feb7feb,0xff50000e,0x002ffc03,0x3bffff66,
    0x75555511,0x555559ff,0x3ffff623,0xffc8002e,0xfd07ff61,0x41bfa21f,
    0xfffffffe,0x87ffffff,0x5fc80ffc,0x00144dfd,0x3ffffa70,0xffffffff,
    0x6dd4c07f,0xcccfffff,0xffdccccc,0x3600ffb2,0x2ea600ff,0x21ffffec,
    0xfc802ffb,0xccccccef,0xf90ffecc,0x9999999f,0x7ecfff99,0x1dffb007,
    0x7e405ff8,0x7dc4e98f,0x5ff8001f,0x3207fe40,0x0adfffff,0x3ffff200,
    0xf01ffe00,0x1ffcc0ff,0x37fcff90,0xf107fee0,0x40bff0bf,0x45ff45fe,
    0x07fe63ff,0x817ff440,0xfffff5ff,0x360001ff,0x03fe406f,0x4fffb880,
    0xfffffff3,0x9fffffff,0x0073ffe6,0x10eff880,0x1ffe4dff,0x3fa05ff9,
    0xffffffff,0xfd87ffff,0x3f66fa87,0x38000a27,0xffddddd9,0x0ddddddf,
    0xffffffb3,0xffffffff,0x7fffffff,0x7e401ffa,0x7ffecc1f,0x1fffffff,
    0x2e003ff2,0xffffffff,0xb1ffffff,0xffffffff,0x74ffffff,0x3ff9006f,
    0xfc80bff0,0xffc84fff,0x05ff8000,0x7dc07fe4,0x1dffffff,0x809fff00,
    0x37fc06ff,0x6407ff30,0x701bfe7f,0x1ffb03ff,0xf9017fd4,0xfe8ffc4f,
    0x4401ff25,0x3fe03ffe,0xfffffff5,0x1bf2000d,0x2000ff90,0xf34fffc9,
    0xffffffff,0x269fffff,0x0002dfff,0xff99bfe2,0xfc8ffee6,0x3333103f,
    0x33333333,0x88dff033,0x43ff20ff,0x00e00028,0x3ea00dfb,0xd2bdefff,
    0x999999ff,0x3a599999,0x1ff9007f,0x77ffffd4,0x21ffc8ac,0xfb800ffd,
    0xccccccdf,0xfb1ccccc,0x9999999f,0x3a199999,0x1ff9007f,0xfc80bff0,
    0x03ff602f,0x9017fe00,0x36a201ff,0x02ffffff,0x007fffdc,0x6ff80bff,
    0xc80ffe60,0x701bfe7f,0x5ff303ff,0x3e603fec,0x7e4ff72f,0x6c013fa7,
    0xaffc04ff,0xffd8efff,0x2ffa8003,0x8009ff10,0x0cffffea,0x3ea66666,
    0x099999bf,0x7fffff71,0x0ffd8001,0xffd03ff6,0x0007ff41,0xd1ffe000,
    0x10ffd85f,0x201c0005,0xff9806fd,0x0ffd01bf,0x401ff600,0xfff30ffd,
    0x87ff2037,0xfc801ffb,0xff90004f,0x3ff60001,0xf06fd800,0x0ffd80bf,
    0x0007ff20,0xffb017fe,0x3fae6001,0x3bfe607f,0x17fe06ff,0x7cc0dff0,
    0xf9ff203f,0x0ffdc06f,0x9ff15fe8,0x3f69ff00,0x3e27fe64,0x5ffc802f,
    0xdff5ff80,0x003ffe21,0x7dc17fe0,0xffc8802f,0x1000bfff,0x754007ff,
    0x801dffff,0x3fea3ff9,0x264ff883,0x3fe004ff,0x1ffd000f,0x9ffa13f2,
    0x00e00028,0xff900dfb,0x00fff807,0x3ff904c4,0x7e4ffd00,0x0fff403f,
    0xfb007ff5,0xb81100bf,0xc80802ff,0x5ff801ff,0xfe80dff0,0x0bfea00f,
    0x3fe1bd70,0x207ff406,0x0fff4008,0xffc9ffe8,0xf80bff04,0x0ffe606f,
    0x1bfe7fc8,0x3203ff70,0x01ffa8ff,0x85ff6fc8,0x807fbbff,0xf800effb,
    0xfb8bff5f,0xffe8006f,0xfffeb9cf,0x3fff6a01,0xf88002df,0xfc98003f,
    0xd00befff,0x205fe8bf,0x3fee1ffb,0x01fff001,0x3eebff20,0x144bff06,
    0xfd807000,0x00ffe806,0xd00bffea,0x13fea3ff,0x7ec9ff50,0x3ffe200f,
    0x301bfe61,0x4401ffff,0x17fe67ff,0x7d4dff30,0x1ffd405f,0x3e206fe8,
    0x3fe600ff,0xfd3ffc05,0x07ffc40d,0x7dc01ffd,0x24ffc82f,0x5ff81ffe,
    0xf3037fc0,0xf3fe407f,0x1ffb80df,0xdfb5ff10,0x3ebfea00,0x7eefec0f,
    0x07ffd405,0xbff5ff80,0x4007ffb0,0xfffffffd,0x5c0effff,0x01cfffff,
    0x00ffe200,0xffffb880,0x83fee0cf,0x7ec00ffb,0xf802ff45,0xff7000ff,
    0xff701ffb,0x70001449,0xd806fd80,0xfff302ff,0x3fee01df,0x880fff46,
    0x3ff61ffe,0x07fffa03,0x3a207ff9,0x3205ffff,0x17fec4ff,0xfe87ffd0,
    0x3ffd101f,0x6c0bff60,0x7ec00fff,0x4bff701f,0xffb03ffd,0x027fe41f,
    0xff981ffd,0x7c37fcc6,0x037fc05f,0x7e407ff3,0xf701bfe7,0x7f7f403f,
    0x3bfe003f,0xffffb86f,0x07ffe602,0xbff5ff80,0x301fff10,0x2b7ff233,
    0xfbbefffd,0x3bffe66f,0xf880000b,0xd500003f,0x3fe29fff,0x200bfe22,
    0x3fe22ff8,0x00199802,0x207fffe2,0x0a20fff8,0x7ec03800,0x2effb806,
    0x3f3bfae6,0xff930bef,0xbfff983f,0x85fff510,0x2a22effb,0x442ffffd,
    0x3a61cfff,0x1effddff,0x303fff26,0x2a219fff,0xff986ffd,0xffd510bf,
    0x5fffd405,0xffefda88,0x5fffc400,0x41fff930,0xa88bfffa,0x260ffefd,
    0x9512cfff,0xffe88bff,0x7c4ffc81,0x037fc05f,0x7e407ff3,0xf701bfe7,
    0x7ffd403f,0x3ff6000f,0xffff984f,0x37fff100,0x55555555,0x2ffd7fe5,
    0x7c46ffb8,0x130bd17f,0x37e61fb8,0x7c400002,0x4c00003f,0xb89d74fc,
    0x17aa004e,0x00000bd5,0x88e7ffd4,0x1442fffa,0x00007000,0xfeffffe8,
    0x3ffea4ff,0x02ffffff,0xfffffff5,0x3ffa07ff,0xadfffeff,0xffe983ff,
    0x24ffffff,0xfffffffc,0xfff501ff,0x1dffffff,0x3ffffea0,0xd802ffff,
    0xdfffffff,0xfa800ffa,0xffffffff,0xfffffd82,0x40ffadff,0xfffffffa,
    0x7fec0dff,0xf8bffa04,0x037fc05f,0x7e407ff3,0xf701bfe7,0x7ffc403f,
    0x7ffdc005,0x40bfff02,0xfffffffa,0xf7ffffff,0xe817febf,0x9ffe23ff,
    0x06204000,0x0aa80000,0x03100000,0x00000000,0xfffb8000,0x4fffffff,
    0x4e000288,0xcccccccb,0x44cccccc,0xdfffffc8,0xffffd982,0x7ec401df,
    0x202cefff,0xefffffc8,0xfc81bfa2,0xb82dffff,0x0cfffffd,0x7fffe440,
    0x6c400bff,0x02ceffff,0x3bfffee0,0x2001ff34,0xdfffffd8,0x3fffee00,
    0x301ff34e,0x9dfffffb,0x980dff50,0x0bff0fff,0x3e606ff8,0xf9ff203f,
    0x0ffdc06f,0x000bff60,0x3601fff1,0x3fea03ff,0xffffffff,0x2bff7fff,
    0x3fe605ff,0x00fff11f,0x00000000,0x00000000,0x00000000,0x4f7cc000,
    0x1effffdb,0x9c000510,0xfffffffe,0x07ffffff,0xa88002a6,0x01510001,
    0x00035300,0x4c003310,0x3310001a,0x02a20001,0x00151000,0x001a8800,
    0x88000544,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x400d441f,0x74e00028,
    0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x51033007,0x36003997,0x07ae003e,0x807376e2,
    0x4c03cdc9,0x774c2ccb,0xeeeeeeee,0xdd33eeee,0xdddddddd,0x7407dddd,
    0x2355300e,0x35531aa9,0x2603b710,0x2202a809,0x30801ab9,0x2ea01777,
    0xc884442b,0x2eeeee4c,0x8aee1bbb,0xbbb51bb9,0xbbbbbbbb,0x09bbbbbb,
    0x64400000,0xaaaaaaaa,0x03aaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4fe88000,0xf887fe60,0x403fffff,
    0xf9007ffa,0xffffd83f,0xfffc83ff,0x7fc40eff,0x3e66ffff,0xffffffff,
    0xf34fffff,0xffffffff,0x409fffff,0x4fff207f,0x9ff74ffc,0x1effffc8,
    0xdf11bfe6,0x3ffffee0,0x366a80be,0xfff883ff,0x7c5ffe21,0x3ffffe7f,
    0x97fe2fff,0xfff73ffa,0xffffffff,0x0bffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xff984fff,0x2237f62f,0x7fec07fc,0x3ffa603f,0x22bbea1f,0x7fd46fb8,
    0x645ffcad,0x2ffb9aef,0xddddddd3,0x9ffddddd,0x3bbbbba6,0xeeeeeeee,
    0x227f8223,0x7e4fff21,0x4c9ff74f,0x4c9f50cf,0x177dc6ff,0x3ffffff2,
    0xfecbdfff,0x2e1ffa27,0xbffc42ff,0x3ffe7ff8,0x3e2fffff,0x44ffea5f,
    0x99999999,0x99999999,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x24fff980,0x5d42fff9,
    0x4c07fe60,0xf506feff,0x6d43ff9f,0x3fa1ff82,0xd88ffcc4,0x002fec1e,
    0x00009ff0,0xaee9dfc8,0x4fff25fd,0x9ff74ffc,0x987e43e4,0x7f5cc6ff,
    0x36f3bf25,0xffffffff,0x21ffc46f,0x7ff884ff,0x4ccc7771,0x32099999,
    0x0073263c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffcc000,0x402fff9c,0x3205fda8,
    0xa82ff8ef,0x4c03ff0c,0xff12ffba,0xd007ff05,0x7fc0007f,0x7ec00004,
    0x6fffffff,0x7fdcfff2,0x2fc9ff53,0x41b617d4,0x20990ffa,0xdfffffc9,
    0x3664d980,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x2ffffff9,
    0x204ffc80,0x0bfb3ff8,0xfeb83ff0,0xf32fffff,0x809f901f,0x20000ffc,
    0x000004ff,0x503bffb3,0x4bfea3ff,0x03f23ff9,0x2e29f0f9,0x0025ffdb,
    0x0002aa62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x002ffff9,
    0x701bfd95,0x07fea1ff,0x7fec3ff0,0x32fe9ace,0x09fb01ff,0x0007ff62,
    0x00009ff0,0x07fbbe60,0x7fc43fe6,0x7cc3ff11,0x5c4fb89d,0xdffff32f,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x004ffffa,
    0x4ff83fe8,0x3fe027fc,0xff05ff11,0x3e0bfe25,0x1eff983f,0x34ff8000,
    0xffffffff,0x89ffffff,0x0ffaafe8,0xf1fe3fc4,0xffffb81f,0xa88fe20d,
    0xfffb81aa,0xffffffff,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x4ffffff9,0x5fc82a88,0x3ee0ffd4,0x447fe00f,0x17fe40ff,
    0x1ff98bfd,0x0002ffcc,0x3fe69ff0,0xffffffff,0x7dc4ffff,0x0f213f65,
    0x2a04b877,0x7000100b,0xffffffff,0xffffffff,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57ffcc00,0x7c44fff9,0xd0bfe62f,0x07ff10df,
    0x5bfb0ffc,0x4c7fffb5,0x5ffdbeff,0x0001ffd4,0x6644b320,0xcccccccc,
    0x0a82cccc,0x000000e2,0x44400000,0x88888888,0x00888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x3e62fff9,0x77fdc4ff,0x7fcc6ffe,
    0x7c0ffb03,0x3fffa61f,0x7dc4fbbf,0x220dffff,0xffffffff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffcc000,0x43fff982,0x40cefeca,0xff500ffd,0x2607b605,0x105510ab,
    0xdd505797,0x0bdddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c05fb00,0x550000ef,0x001aa805,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98028000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_35_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,2,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-1,-1,-1,-1,-1,-1,2,1,2,3,2,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,1,1,2,2,2,2,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,0,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_35_latin_ext_y[560]={ 28,5,5,5,3,5,5,5,5,5,5,9,24,18,
24,5,5,5,5,5,5,5,5,5,5,5,11,11,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,32,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,11,5,5,9,5,
5,5,5,5,5,12,12,18,5,2,5,9,5,5,5,11,5,15,27,5,5,12,5,5,5,11,-1,-1,-1,0,
1,0,5,5,-1,-1,-1,1,-1,-1,-1,1,5,0,-1,-1,-1,0,1,10,4,-1,-1,-1,1,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
1,6,0,5,5,11,-1,5,0,5,0,6,0,5,0,5,5,5,1,6,0,5,0,6,5,11,0,5,0,5,
0,5,0,6,5,3,-1,-1,5,5,0,5,1,6,0,5,5,5,0,11,5,5,-1,5,5,5,11,-1,0,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,5,5,5,11,1,6,0,5,-1,5,5,11,-1,5,5,11,0,5,
-1,5,0,5,5,11,0,5,5,6,0,5,5,6,0,5,1,6,0,5,-1,4,-1,5,5,11,-1,5,-1,5,
1,-1,5,0,6,0,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,5,0,5,0,
5,0,5,-1,1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-4,-2,-1,5,-1,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_35_latin_ext_w[560]={ 0,5,9,18,15,25,20,4,9,9,12,16,4,10,
4,9,15,9,16,16,16,16,15,16,16,16,4,4,16,16,16,15,30,22,18,21,19,18,16,22,19,4,14,19,
15,22,19,22,18,23,21,19,19,19,21,30,21,21,19,7,9,7,14,19,7,16,15,15,15,16,10,15,14,3,
7,14,3,23,14,16,15,15,9,15,9,14,16,23,16,16,15,10,4,10,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,4,15,17,16,19,
4,15,10,24,11,14,16,10,24,19,10,16,10,10,7,14,17,4,8,7,11,14,25,25,26,15,22,22,22,22,
22,22,30,21,18,18,18,18,7,6,11,9,22,19,22,22,22,22,22,14,23,19,19,19,19,21,18,17,16,16,
16,16,16,16,26,15,16,16,16,16,7,7,11,9,16,14,16,16,16,16,16,16,17,14,14,14,14,16,15,16,
22,16,22,16,25,19,21,15,21,15,21,15,21,15,19,19,22,17,18,16,18,16,18,16,18,16,18,16,22,15,
22,15,22,15,22,15,19,14,23,16,11,11,11,11,11,10,8,8,5,3,20,11,17,11,19,14,14,15,6,15,
8,15,8,15,9,17,7,19,14,19,14,19,14,18,20,14,22,16,22,16,22,16,30,28,21,9,21,9,21,11,
19,15,19,15,19,15,19,15,19,9,19,12,19,9,19,14,19,14,19,14,19,14,19,14,19,17,30,23,21,16,
21,19,15,19,15,19,15,8,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,26,19,17,17,17,17,17,17,17,17,17,17,17,17,17,24,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,16,11,11,22,
16,19,14,19,14,19,14,19,14,19,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,16,30,26,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_35_latin_ext_h[560]={ 0,23,9,24,29,24,24,9,30,30,10,16,9,4,
4,24,24,23,23,24,23,24,24,23,24,24,17,22,16,10,16,23,30,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,25,23,24,23,24,23,23,23,23,23,30,24,30,13,3,5,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,30,30,30,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,24,30,24,16,23,
30,30,4,24,12,15,10,4,24,3,9,19,12,13,5,24,30,4,8,12,12,15,24,24,24,24,29,29,29,28,
27,28,23,30,29,29,29,27,29,29,29,27,23,28,30,30,30,29,28,14,25,30,30,30,28,29,23,24,24,24,
24,24,24,25,18,24,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,14,20,24,24,24,24,30,30,30,
27,23,28,24,30,24,30,24,29,24,29,23,29,24,28,24,23,24,27,23,28,24,28,23,30,24,28,24,29,30,
29,30,29,29,30,32,29,29,23,23,28,23,27,22,28,23,30,30,28,17,24,30,30,30,30,30,17,29,28,30,
30,23,23,23,23,23,23,29,23,30,24,29,23,23,24,24,28,23,29,24,30,24,24,18,29,23,30,24,28,23,
30,24,29,24,30,24,29,24,32,31,28,24,23,23,29,24,28,23,29,24,30,25,30,24,30,24,29,23,29,30,
27,29,23,28,22,28,23,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,24,20,20,30,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,24,28,23,29,
24,29,24,30,28,30,30,30,30,30,30,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,31,29,24,30,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_35_latin_ext_s[560]={ 508,74,384,99,166,381,1,379,390,305,366,
429,405,462,452,459,365,491,1,72,57,39,200,437,440,286,390,507,446,349,412,
240,342,341,117,148,18,38,80,195,136,454,118,97,475,171,209,330,256,295,319,
59,459,79,297,386,275,364,417,316,498,308,274,484,436,98,482,201,407,144,229,
340,194,508,264,156,508,275,299,81,270,216,265,232,501,217,314,331,248,34,355,
92,87,197,419,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,508,335,228,
18,395,280,287,292,473,356,297,478,332,462,457,419,394,37,321,263,444,133,324,
457,410,289,309,463,218,244,353,380,62,85,108,293,161,238,373,390,393,197,1,
184,440,463,428,203,34,420,430,453,476,151,316,248,319,1,21,41,89,332,300,
317,300,283,266,249,232,343,54,184,167,150,133,116,424,337,345,465,22,228,480,
463,446,429,412,493,1,350,335,320,305,61,94,133,254,195,488,184,162,146,208,
56,490,82,20,89,216,252,109,268,105,113,235,154,362,469,401,57,250,375,13,
442,286,289,174,78,309,412,333,44,131,448,1,492,54,444,149,479,1,466,381,
499,440,371,405,150,315,482,1,494,375,354,47,365,356,423,456,357,243,319,416,
42,74,422,98,470,253,404,201,222,66,439,370,288,110,1,381,115,244,128,400,
502,466,432,442,18,83,486,462,66,202,426,1,77,381,392,396,456,123,237,129,
477,182,51,269,360,230,131,188,166,21,171,222,373,213,103,212,446,491,273,138,
25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,36,19,19,412,
19,19,19,19,19,19,19,19,19,19,19,19,19,89,161,19,19,19,19,19,
19,19,19,19,19,19,19,19,170,181,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,339,423,
261,268,143,1,266,497,208,32,177,162,142,272,244,103,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,21,60,52,303,118,277,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19, };
static unsigned short stb__arial_35_latin_ext_t[560]={ 25,254,296,205,65,180,180,296,34,34,296,
278,296,296,296,126,155,230,254,180,254,180,180,254,180,205,278,254,278,296,278,
254,1,254,254,205,254,254,254,205,254,254,205,254,230,254,254,205,254,126,254,
205,254,205,254,254,254,254,254,1,180,1,296,296,296,278,180,278,180,278,254,
180,254,180,1,254,1,278,278,278,205,180,278,278,230,278,278,278,278,155,278,
1,1,1,296,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,25,180,1,
205,278,230,1,1,296,180,296,278,296,296,180,303,296,278,296,296,296,205,1,
296,296,296,296,278,205,205,205,205,96,96,96,96,126,96,230,1,65,96,96,
126,65,65,65,126,230,96,1,1,1,96,96,296,126,34,34,34,126,65,230,
180,180,180,180,180,180,126,278,180,180,180,180,180,205,230,230,230,180,230,155,
155,155,155,155,278,278,155,155,155,155,34,34,34,126,230,96,155,34,155,34,
180,65,155,96,230,96,155,126,155,230,155,126,230,96,126,96,230,34,126,126,
126,65,34,96,34,65,65,34,1,96,65,230,205,126,205,126,254,126,205,34,
1,96,278,126,34,34,34,65,34,278,65,126,34,34,230,230,230,230,230,205,
96,230,34,155,65,230,230,155,155,126,230,65,155,34,155,155,278,65,230,34,
126,96,205,34,155,65,126,34,155,65,126,1,1,96,126,205,205,65,155,126,
205,65,155,34,126,34,155,34,155,65,230,65,1,126,65,230,96,254,96,230,
230,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,205,278,278,1,
278,278,278,278,278,278,278,278,278,278,278,278,278,180,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,205,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,96,180,
96,230,65,205,65,155,1,126,1,1,1,1,1,1,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,1,1,65,205,1,126,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278, };
static unsigned short stb__arial_35_latin_ext_a[560]={ 139,139,178,279,279,446,334,96,
167,167,195,293,139,167,139,139,279,279,279,279,279,279,279,279,
279,279,139,139,293,293,293,279,509,334,334,362,362,334,306,390,
362,139,251,334,279,418,362,390,334,390,362,334,306,362,334,473,
334,334,306,139,139,139,235,279,167,279,279,251,279,279,139,279,
279,111,111,251,111,418,279,279,279,279,167,251,139,279,251,362,
251,251,251,167,130,167,293,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,139,167,279,279,279,279,130,279,
167,369,186,279,293,167,369,277,200,275,167,167,167,289,269,139,
167,167,183,279,418,418,418,306,334,334,334,334,334,334,501,362,
334,334,334,334,139,139,139,139,362,362,390,390,390,390,390,293,
390,362,362,362,362,334,334,306,279,279,279,279,279,279,446,251,
279,279,279,279,139,139,139,139,279,279,279,279,279,279,279,275,
306,279,279,279,279,251,279,251,334,279,334,279,334,279,362,251,
362,251,362,251,362,251,362,308,362,279,334,279,334,279,334,279,
334,279,334,279,390,279,390,279,390,279,390,279,362,279,362,279,
139,139,139,139,139,139,139,111,139,139,368,222,251,111,334,251,
251,279,111,279,111,279,146,279,167,279,111,362,279,362,279,362,
279,303,362,279,390,279,390,279,390,279,501,473,362,167,362,167,
362,167,334,251,334,251,334,251,334,251,306,139,306,188,306,139,
362,279,362,279,362,279,362,279,362,279,362,279,473,362,334,251,
334,306,251,306,251,306,251,111,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,377,376,376,279,376,376,376,376,376,
376,376,376,376,376,376,376,376,430,329,376,376,376,376,376,376,
376,376,376,376,376,376,376,428,336,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,334,279,139,111,390,279,362,279,362,279,362,
279,362,279,362,279,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,334,279,501,446,390,306,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_35_latin_ext(stb_fontchar font[STB_FONT_arial_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_35_latin_ext_s[i] + stb__arial_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_35_latin_ext_t[i] + stb__arial_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_35_latin_ext_x[i];
            font[i].y0 = stb__arial_35_latin_ext_y[i];
            font[i].x1 = stb__arial_35_latin_ext_x[i] + stb__arial_35_latin_ext_w[i];
            font[i].y1 = stb__arial_35_latin_ext_y[i] + stb__arial_35_latin_ext_h[i];
            font[i].advance_int = (stb__arial_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_35_latin_ext_s[i] + stb__arial_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_35_latin_ext_t[i] + stb__arial_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_35_latin_ext_x[i] + stb__arial_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_35_latin_ext_y[i] + stb__arial_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_35_latin_ext_LINE_SPACING
#endif

