// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT        468
#define STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_44_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_44_latin_ext_LINE_SPACING          29

static unsigned int stb__arial_44_latin_ext_pixels[]={
    0x26666666,0x99999999,0x01999999,0x2cccb800,0x00080000,0x18000000,
    0x66459930,0x4000002b,0x0002aaa8,0x35797510,0xaaa98000,0x22000000,
    0x2621acca,0x99999999,0x00001999,0x00066654,0x26f32ea6,0x26620000,
    0x00026621,0x80019988,0x1abccba8,0x01cc8000,0x65d4c400,0x0001abcc,
    0x2aaa8800,0x02aaa200,0x00001555,0x00002666,0x26666662,0x99999999,
    0x26099999,0x664c00cc,0x7fffffc2,0xffffffff,0xffffffff,0x3fe20001,
    0x400000ef,0x4c00006c,0x3001ffff,0x53fea09d,0x00effff8,0xfffb0000,
    0xff900009,0x03bfffff,0xdffff300,0x3f200000,0xfd5fffff,0xffffffff,
    0x9dffffff,0xffd10003,0xf93003ff,0xffffffff,0xfa8001bd,0x01bffa7f,
    0x01fffb80,0xfffffb50,0x0007ffff,0x20003fee,0xffffffc8,0x1cffffff,
    0xffb00000,0x7fd4007f,0x0fffe21f,0x3ffee000,0x7f40000f,0xffffffff,
    0xffffffff,0x027f43ff,0xfff13fea,0xffffffff,0xffffffff,0x40003fff,
    0x0001fffc,0x00077ec0,0x05fff900,0x5413fee0,0xffff14ff,0x300000df,
    0x0000bfff,0xfffffffd,0x44005fff,0x04fffffe,0x7ffdc000,0xffd3ffff,
    0xffffffff,0xffffffff,0x7fec001b,0x36201fff,0xffffffff,0x02ffffff,
    0xfe9ffea0,0x3ee0006f,0x7f4c01ff,0xffffffff,0x2002ffff,0x4c003ff9,
    0xfffffffd,0xffffffff,0x200001ef,0x4005fff9,0x3e21fffa,0xe80003ff,
    0x0003ffff,0x7ffffff4,0xffffffff,0x543fffff,0x3fea01ff,0x7fffffc4,
    0xffffffff,0xffffffff,0xfff10001,0xf9800007,0x2200000e,0x36004fff,
    0x9ff504ff,0x17ffee54,0x3ff20000,0x7e40000e,0xfdb9ceff,0xfb000fff,
    0x07fff1df,0x3ffe2000,0xfd1edcdf,0xffffffff,0xffffffff,0x3e600bff,
    0x300abdff,0xdffffffd,0xfffffb99,0xff5001bf,0x0037ff4f,0x403fff70,
    0xdefffffb,0xffffedcc,0x0dfd002f,0xfffffd80,0xa9999abd,0x3fffffdb,
    0xdffb0000,0xfffa8001,0x00fffe21,0xfffff300,0xffe8000d,0xffffffff,
    0xffffffff,0x206fe83f,0x4ccc4ffa,0xfe999999,0x999999ff,0x32000199,
    0x800004ff,0x400004fb,0x6c006ffc,0x9ff504ff,0x0017ff60,0x01fff880,
    0x2fffcc00,0x805fff98,0xff51fffb,0xf500003f,0x7ff405ff,0x3f662006,
    0xfb803fff,0xfff9806f,0x2e201bff,0xa806ffff,0x1bffa6ee,0x1fffb800,
    0x3bffff90,0x7fffecc0,0x017fdc01,0xbefffe88,0x3fee2000,0x20000dff,
    0x8001fff8,0x3220ccc9,0x640001cc,0x01fffcff,0x27bffa00,0x99999999,
    0x09999999,0xf504ffa8,0xffb0009f,0xd800000f,0xb000005f,0x00001ddf,
    0x8001fff1,0xff504ffd,0x01bfea09,0x03ffc800,0x0fffa800,0x301fff60,
    0xffd89fff,0x7e40000f,0x37ff407f,0x6fffb800,0x803ffd80,0x001efffe,
    0x007fffe6,0x0037ff40,0x303fff70,0x4005ffff,0x100ffffc,0x3a200dff,
    0x80003fff,0x0005fffc,0x0000bff2,0x3e000000,0x05ffd9ff,0x01bffa00,
    0x0ffe8000,0x8004ffa8,0x00007ffd,0x00fbf660,0x3fffa000,0xaa880000,
    0x4ffd8001,0x2609ff50,0x000007ff,0x3fee0000,0x0fffd406,0x00000000,
    0xfe80bffd,0x3f60006f,0x7ff400ff,0x2fffe402,0x5fff8800,0x0dffd000,
    0x0fffdc00,0x00bfffa2,0x40ffff60,0xf8803ffb,0x00001eff,0x000fffea,
    0x00000000,0x5ffea000,0x0000fffb,0x0000dffd,0x5427fd40,0xfd8004ff,
    0x1000007f,0x007f73bf,0x0fffe800,0x10000000,0x55dffd55,0x9827fd45,
    0x880007ff,0x01abccaa,0x7fd40f54,0x0266201f,0x00000000,0xfe807fff,
    0x3ea0006f,0x7ff402ff,0x3fffe602,0x3ff20000,0xffe8000f,0x3fee0006,
    0x27ffdc1f,0x6fff8800,0xb001fff0,0x00001bff,0x005fff30,0x00000000,
    0x4ffd8000,0x0007fff1,0x0001bffa,0x40fff880,0xd8004ffa,0x000007ff,
    0x0006b8f7,0x00155540,0xf9800100,0xffffffff,0x2609ff50,0x2a0007ff,
    0xfffffffd,0x7fcc0cff,0x0efff886,0x32e20000,0x2aa0acde,0xbaaa800a,
    0x0aaacfff,0x00037ff4,0xe809fff3,0x3ff202ff,0x7c40002f,0x2aa203ff,
    0x001bffa2,0x741fffb8,0x20000fff,0x7d40dffd,0xeffa805f,0x2fb6e200,
    0x7dc19981,0x0aaa886f,0x42aaa200,0x2000aaa8,0x1000aaa8,0x7fec5fff,
    0xdffd0006,0xfd800000,0x027fd43f,0x003ffec0,0x7d46c800,0x00000000,
    0x0fbf2200,0x7ffffcc0,0xff50ffff,0x01ffe609,0x3ffffa60,0xffffffff,
    0x03fff33f,0x007fffee,0x3ffff200,0xfff1ffff,0xffff9803,0x0fffffff,
    0x00037ff4,0xe807fff7,0x3ffe01ff,0x05500007,0x7f4fff50,0x3ee0006f,
    0x3ffe61ff,0x00c40004,0xf8807ffd,0xff9101ff,0x261fffff,0x7fec0fff,
    0x005fff82,0xfff1ffee,0x3ffdc00b,0x41fff700,0x8001fffa,0x00006ffe,
    0x2a3ffd40,0xfd8004ff,0x3000007f,0x0002ec3f,0xacedca88,0x2002aaa0,
    0x003fbaee,0x33bffd33,0x8827fd43,0x2e000fff,0xdeffffff,0xfffffedc,
    0x6401fffe,0x0003ffff,0x3ffffff6,0xfffaffff,0x7fffd401,0x87ffffff,
    0x20006ffe,0x7c01fffd,0xfff301ff,0x8000000b,0x3ffa7ffa,0x3fee0006,
    0x0ffff21f,0xff980000,0x1ffe400f,0xfffffe88,0xffb8efff,0xc85ffa87,
    0xfd000fff,0x0fffc89f,0x009ffd00,0x7fc27ff4,0xffe8005f,0x44000006,
    0x3fea2fff,0x7ffd8004,0x3fa00000,0x80001ffd,0xfffffffa,0x803fff1f,
    0x001aa0f9,0x3ea09ffb,0x1fff104f,0x3fffee00,0x3ff2202e,0xc802ffff,
    0x01efffff,0x577ffe40,0xfffff730,0x9998803f,0x0999effd,0x0006ffe8,
    0xf00ffff7,0x3fee03ff,0x0000004f,0xffd3ffd4,0x7fdc000d,0x0bfff61f,
    0xffb80000,0x837fc406,0x8acfffe8,0xffeeffb9,0x981ffd05,0xf8802fff,
    0x7ffcc1ff,0x1fff8802,0x03fff300,0x8001fff9,0x00006ffe,0x2a4ffd80,
    0xfd8004ff,0x2000007f,0x000ffffb,0x7ffffe40,0xffafffff,0x263dc01f,
    0x3ff6000f,0x409ff504,0xf9800fff,0x26004fff,0x4c07fffe,0xffffdffe,
    0xfff3004f,0x3ffa601d,0x7f4001ff,0x6ffe804f,0x3ff66200,0xfff802ff,
    0x05fff901,0xfa800000,0x01bffa7f,0x21fffb80,0x0000fffe,0x013ff600,
    0x3f607ff5,0xfff303ff,0x3ff207ff,0x805ffe81,0xffd06ffb,0x0dff700b,
    0x9837fec0,0x74003fff,0x99999eff,0x99999999,0xffc80099,0x0013fea6,
    0x0001fff6,0x3ffffe80,0x3fff2000,0xfff730ae,0xf8803fff,0xfb001b22,
    0x13fea09f,0xe801fff8,0xd8002fff,0xf503ffff,0x3ffa65ff,0x7ec02eff,
    0x7fcc00ff,0x7fc001ff,0xfffe803f,0xeeeeeeee,0xfffffffe,0x0fff8804,
    0x003fffb0,0xffa80000,0x001bffa7,0x3a1fffb8,0x000007ff,0x3601fffc,
    0xfffb80ff,0x7fffe403,0x705ff702,0xfe801fff,0x1fff703f,0x003ffe80,
    0x7409fff1,0x7f4006ff,0xffffffff,0xffffffff,0xfffb803f,0x0009ff50,
    0x0000fffb,0x3ffffe60,0xfff10006,0x3ffe601d,0xdfd801ff,0x7ec002fe,
    0x09ff504f,0x2e01ffec,0xc8005fff,0xb07fffff,0xfff703ff,0x7ff409ff,
    0x3fffb004,0x0fffcc00,0x7fffff40,0xffffffff,0x002fffff,0x7f40dff5,
    0x2aaa007f,0xaaaaaaaa,0x4fff500a,0x20006ffe,0x3fe1fffb,0x2000006f,
    0x2203fff9,0xfff886ff,0xffff8806,0x107ff500,0x7cc07fff,0xfff100ff,
    0x07ffcc07,0x00fffb80,0x800bffee,0xfffffffe,0xffffffff,0xfa803fff,
    0x09ff52ff,0x00fffb00,0x33ff2000,0xc8001fff,0x7cc00fff,0xb5001fff,
    0xffb00019,0x813fea09,0x3a00fffb,0x5c001fff,0x3fffbdff,0xd103ffc4,
    0xf10dffff,0x3ea003ff,0x3ea001ff,0xffe800ff,0xffffffff,0x0bdfffff,
    0x80bffa00,0x36007ffe,0xffffffff,0xff500fff,0x0037ff4f,0x7c3fff70,
    0x000007ff,0xa80bffea,0xfffb83ff,0x0dfff002,0xfd827fcc,0x17ff206f,
    0x640dffb0,0x3fa005ff,0x7ffc406f,0x3fffa005,0xffffffff,0x3fffffff,
    0x32fff980,0xfb000599,0x200000ff,0x5ffd9fff,0x27ffc400,0x01fffe80,
    0xffb00000,0x013fea09,0xf303bffd,0xfa8009ff,0x7fff88ef,0x5c037fd4,
    0x7cc5ffff,0xff3000ff,0x7fdc003f,0x5dffd007,0xffb97555,0xd98005ff,
    0x3f600fff,0xffb000ff,0xffffffff,0x9ffea01f,0x20006ffe,0x3fa1fffb,
    0x000000ff,0x5c03fff5,0x6ffe82ff,0x817ffa00,0xff502ffb,0x0bffe01f,
    0x201fff50,0xf3002fff,0xffb007ff,0x3ffa001f,0x88000006,0x00003fff,
    0x0000fffb,0x3eefff50,0x3e6000ff,0xff5001ff,0x65cc403f,0x001acded,
    0x3ea09ffb,0x7ff4404f,0x0fffe47f,0x41dff300,0x3e60fffd,0xff9800ff,
    0x1ffee2ff,0x01fff880,0x401bff60,0x74406ffe,0xfd005fff,0xfc801dff,
    0xffb000ff,0xffffffff,0x9ffea01f,0x20006ffe,0x3f61fffb,0x000001ff,
    0x6401fff7,0x7ffc41ff,0x0fffe003,0x3e01ffd8,0x7ffa83ff,0x507fff00,
    0x7e400fff,0xcccccdff,0x3fffdccc,0x00dffd00,0x3ffe0000,0xffb00004,
    0xfb00000f,0x0fffe29f,0x007ffa80,0x5407ffe6,0xffffffff,0xffd804ff,
    0x009ff504,0xffd1fff2,0x3fe6001f,0x0fffdc1f,0x4c013ffe,0x3ff65fff,
    0x0fffc006,0x009ffd00,0x2201bffa,0xe805fffe,0xff7005ff,0x2e00005f,
    0xff500fff,0x0037fecf,0x641fff90,0x00002fff,0xd80fff90,0x7ffcc0ff,
    0x3fff3002,0x3203ffc0,0x4ffd86ff,0xb0dff900,0x7fc009ff,0xffffffff,
    0x7fffffff,0x00dffd00,0x3ffe0000,0xffb00004,0xf880000f,0x1bff62ff,
    0x007ffc80,0xb107ffe2,0xffffffff,0xd80dffff,0x9ff504ff,0x8fffd300,
    0xf1007ffe,0xfff503ff,0x04fffc87,0x7e4fffb0,0x3fe2007f,0x3ffe001f,
    0x0dffd003,0x0ffffe20,0x007fffd0,0x000bfff3,0x403ffee0,0x3ff27ffa,
    0x3ff60007,0x13ffea0f,0xb86f6000,0x3ff407ff,0x800fffd4,0xf300fffa,
    0xfff980df,0x007ffe21,0xf10fffcc,0x3ea003ff,0xffffffff,0xffffffff,
    0x6ffe802f,0xfd000000,0x3600009f,0x400007ff,0x3ea0fffb,0xffb001ff,
    0x1fff800d,0x84efffec,0x3ffffb98,0x5413ff60,0x7fd404ff,0x37ffc3ef,
    0x817ff440,0xfe84fff9,0x7cc01eff,0x01ffee7f,0x001fff98,0x2003fff1,
    0x26006ffe,0x2e02ffff,0xe804fffe,0x700007ff,0x3ea01fff,0x01fff27f,
    0x447ffd80,0x40005fff,0xff75fffa,0x40ffe80f,0x32007ffb,0x3fee06ff,
    0x24ffe804,0x74006ffb,0x1bfee4ff,0xaafffd80,0xaaaaaaaa,0x805fffba,
    0x00006ffe,0x007fff00,0x01fff600,0x09ffd000,0x3200bfff,0x3e2007ff,
    0x3ffe21ff,0x37ffc404,0x2a09ffb0,0x7ffc04ff,0x05fff883,0x2203ffd8,
    0xff885fff,0x3ee04fff,0x03ffea6f,0x00fffcc0,0x000fffa8,0xc800dffd,
    0x5400ffff,0x7e401fff,0xb80003ff,0xff500fff,0x00fffdcf,0xd86fff80,
    0x20000fff,0xff51fffd,0x07fec01f,0x2003ffe6,0xf304fff8,0xff7001ff,
    0x001ffecf,0xffd9ffee,0x9fff1003,0x1fffd000,0x006ffe80,0x5fff0000,
    0x3ff60000,0x3e600007,0xfffc81ff,0x07ffb800,0xc87ffe20,0xff9006ff,
    0x82ffec0f,0x3ea04ffa,0xbfff106f,0x404ffd80,0xd105fff8,0xd03dffff,
    0x7ffc47ff,0x3fff9003,0x01ffee00,0x8006ffe8,0xd805fffe,0x7fc404ff,
    0x5c0001ff,0xff500fff,0x027ffd4f,0x427ffd40,0x0005fffa,0x7ccdfff3,
    0x3ff201ff,0x00fffc41,0x4417ffec,0xf1002fff,0x1fff13ff,0x9fff8800,
    0x7000fff8,0x70003fff,0xfe809fff,0x8000006f,0xff52fff8,0xfffb0009,
    0x7fec0000,0x07fff306,0x001fff50,0xca87ffe6,0xfff7003d,0x417ff601,
    0x3f604ffa,0x1bffe02f,0x9805ffc8,0x7dc04fff,0xe88cffff,0xfffd86ff,
    0x7fffc400,0x0bffb001,0x0037ff40,0x017fffcc,0x2e01ffe6,0x0001efff,
    0x201fffd3,0x7ff47ffa,0x7ff4002f,0x7fffd02f,0xfffe8800,0x80bffe23,
    0xffe82ffb,0x7fffcc04,0x02fff440,0x3eb3ff60,0xffb0006f,0x400dff59,
    0x10006ffe,0xfe80ffff,0x8000006f,0xff51fff9,0xfffb0009,0x3fe20000,
    0x1bffa04f,0x00fffe20,0x000fffe4,0x403ffea0,0xfa81fffc,0x07ffe04f,
    0xf707ffe8,0x3fea00bf,0xffd8803f,0x03ffffff,0x440bfff1,0x001ffffd,
    0x74009ffd,0xf90006ff,0x7c401fff,0xffd800ff,0x322003ff,0x500fffff,
    0xfffb8fff,0xfff9001f,0x7fffcc0d,0xfffb1004,0x407fff0d,0xffc84ffa,
    0xffff500f,0x0fffd88f,0x6f7fd400,0xf50003ff,0x007ffbdf,0x000fffe6,
    0x202fffc8,0x00006ffe,0x2a7ffb80,0xfd8004ff,0xf700007f,0x7fdc01ff,
    0xfffd802f,0x7fffc400,0x6dcc4001,0xf700ffff,0x2a3fffff,0xfff104ff,
    0x43ffec01,0x7000effa,0x5c005fff,0x00ffffff,0x10f7ffe4,0x3fffffd5,
    0x00bffe00,0x0006ffe8,0x80bfffd1,0xe8800fff,0x9bdfffff,0xfffb7510,
    0x7d407fff,0xfffff87f,0x3ee621bc,0x5c02ffff,0x0acfffff,0x77fffe44,
    0x405ffc80,0x7fc40fff,0x3ff221ff,0xfc9cffff,0xf0002fff,0x001fffff,
    0x7fffffc0,0x1fff9000,0x7ffcc000,0x2bbffa05,0xaaaaaaaa,0x2aaaaaaa,
    0xf52ffec0,0xffb0009f,0x3fa0000f,0x7ffc406f,0x5fff8805,0x3ffff620,
    0x3f72a601,0xffffffff,0xffffd100,0x413fea5f,0x3200fff8,0x3fe62fff,
    0x3ff6000e,0x7ec4000f,0xfd804fff,0xffffffff,0x801fffdf,0x2001fff8,
    0x20006ffe,0x202ffffa,0x32001fff,0xffffffff,0xffffffff,0x7fd400cf,
    0xfffffa87,0xffffffff,0xf7003fff,0xddffffff,0x3fffffff,0xb01ffea0,
    0xfff307ff,0x77fffdff,0xffffffff,0x7e40001d,0x40005fff,0x005ffffc,
    0x0001bffe,0x7407fffa,0xffffffff,0xffffffff,0x3e00ffff,0x13fea2ff,
    0x01fff600,0x0fffe600,0x003fff60,0x887bfff2,0x1fffffea,0xfffffea8,
    0xfffeffff,0x3fff6200,0x209ff54f,0x2600fff8,0xfff35fff,0x7ffc4003,
    0x3fea0006,0xffb803ff,0x9affffff,0xfa801fff,0x3fa000ff,0x7ec0006f,
    0x3ffe06ff,0x7ff54001,0xffffffff,0x5001efff,0x3f620fff,0xffffffff,
    0x4002ffff,0xfffffffa,0x0dffffff,0x500fffc0,0x3fea0dff,0xf32fffff,
    0x1bffffff,0xfff98000,0x7cc0002f,0xf5002fff,0x700007ff,0x3fa09fff,
    0xffffffff,0xffffffff,0xff100fff,0x027fd41f,0x003ffec0,0x66fffe40,
    0xdccccccc,0xfb003fff,0xffffffff,0xc83fffbf,0xdfffffff,0x0fffa8ac,
    0x7d413100,0x0fff104f,0xff3fffd0,0xffd8003f,0x7cc0003f,0xb9800fff,
    0xf30bdeed,0xff7001ff,0x6ffe800d,0x7ffc4000,0x05ffd04f,0x3fff2600,
    0x2cdfffff,0x03ffd400,0x3ffffb2a,0x0003efff,0x7ffffed4,0xb001dfff,
    0xffe809ff,0x7bfb7104,0xbdffe981,0x00155501,0x0001fffa,0xb003fff4,
    0x00001fff,0x3a0ffff1,0xffffffff,0xffffffff,0xf700ffff,0x04ffa8bf,
    0xf8000000,0xffffffff,0xffffffff,0x3ffee007,0xf9afffff,0x3fff21ff,
    0xff700acf,0x7d40001f,0x0fff104f,0xffffff50,0xfff98005,0xf980000f,
    0x500002ff,0xfb001fff,0x400000bf,0x3fa00000,0x9880002f,0x40000dff,
    0x22007ffa,0x0001bffb,0x137ff700,0x0dff3000,0x003fff98,0xfffb0000,
    0x0fff6001,0x1ffec000,0x20000000,0x00001ff8,0x3a0027ec,0x27fd42ff,
    0x20000000,0xfffffffa,0xffffffff,0x26002fff,0x50bdfecb,0x7ffc1fff,
    0xfffc800e,0x21e65400,0xff304ffa,0x3fff600f,0x7f44003f,0xfdb102ff,
    0x09ffd007,0xffb80013,0x09ffd007,0x3ff20000,0x3a0000ce,0x100002ff,
    0x700009ff,0xfa800fff,0x64000007,0x740000ff,0x7fe402ff,0x4000002f,
    0x1002fffc,0x00001fff,0x0001fff1,0x7f980000,0x2fe80000,0x21bfe600,
    0xc8004ffa,0x6c0004cc,0xaaaaafff,0xfbaaaaaa,0x400005ff,0xff30fffa,
    0x3ff6005f,0x37fec00f,0x7cc13fea,0xfff3007f,0x3ee001bf,0x7f405fff,
    0x4ffe805f,0x8802ffe8,0xf8805ffe,0x000002ff,0x00dffff9,0x0017ff40,
    0x3efffb80,0x1ffee000,0x000bf700,0xdffff800,0xbff50000,0x19fffb00,
    0xfe980000,0x3ee002ff,0xf700005f,0x000000bf,0x000df500,0x4001ff00,
    0xffa82ffc,0x7fff8004,0x3ffe2000,0xfffe8004,0xb8001300,0x3ffee7ff,
    0xffff8801,0x237fec00,0xff504ffa,0x3fff600d,0xa881bfff,0x00effffd,
    0x500fffe4,0xffb05fff,0x5fff900f,0x01fff700,0xfe980000,0xffb0001f,
    0x4c400009,0x90000ffe,0xfc800dff,0x4000000f,0x0005ffc8,0x36003ffa,
    0x0003ffff,0x2ffffc88,0x0bffe200,0x3ffe2000,0x00000002,0x0000ffc8,
    0x400bfe60,0xff506ff8,0xffff0009,0x7ffdc000,0xfffb8001,0x007ffd04,
    0xffa97ffa,0x7ff4403f,0x7f6400ff,0x4427fd46,0xfc804ffe,0xfffffedf,
    0xfffffeef,0xff3005ff,0x754417ff,0xfff707ff,0x3ffee039,0x7ff44086,
    0xb0000006,0x2e0009ff,0x00001fff,0x4001ffec,0x4005ffe9,0x00083ffb,
    0x07ffcc00,0x04ffa800,0xbfffff70,0x36a20015,0x400dffff,0x6ffea889,
    0xd5113000,0x00000dff,0x13fea000,0x3e200031,0xffb8085f,0x009ff502,
    0x000ffff0,0x80037ff4,0xfb07fff8,0xffc801ff,0x3fffe63f,0x3ffff600,
    0x44f8801f,0xfdd14ffa,0xfb803fff,0x3fffee6f,0xffffffff,0x7fd4003f,
    0xfffdefff,0x3ff603ff,0xffdcdfff,0xffc81fff,0x004ffffe,0xdbaa8800,
    0x10003fff,0x01dfffff,0xfdbaa980,0xdf3002ff,0x8005ffff,0xfcbefff8,
    0x5d540005,0x0006ffec,0x98007fe4,0xfffffffe,0xfedcccde,0x02efffff,
    0xffffffd0,0x3ffa0003,0x0001ffff,0x3fe00000,0x005fecff,0x2effff60,
    0x17fe20fe,0x8004ffa8,0x30007f99,0x40007fff,0xfb82fffc,0xfb980dff,
    0xfffd86ff,0xffebabdf,0x802fffdf,0xa7fd42fb,0x04fffff8,0x22077fc4,
    0xffffffec,0x2e0002df,0xffffffff,0x7f4401ff,0xffffffff,0xfffd01ef,
    0x0001dfff,0xfffff700,0xfb8000bf,0x4001ffff,0x4ffffffc,0x3fffee00,
    0xffb0006f,0x000bffff,0xfffffff8,0x7f440001,0x7fecc005,0xffffffff,
    0x3fffffff,0x7fffec00,0x3f60002f,0x0002ffff,0x7e400000,0x005fffff,
    0x3ffffea0,0x03ff20ff,0x0004ffa8,0x320009f3,0x20000fff,0xfb05fff9,
    0xffbbffff,0xd103ffff,0xffffffff,0x17ff65ff,0xfa81df50,0x7ffff14f,
    0x2003a600,0x0009aaa9,0xffff9100,0x4c0019df,0xdffffffd,0x7ffff402,
    0x000001df,0x05bffff7,0x3ffea000,0x7fe4001f,0x6c002dff,0x0004ffff,
    0x2b3ffae2,0x3fe20000,0x0000ceff,0x0003ff50,0xffdb9531,0x59dfffff,
    0xfff90001,0xfc80005b,0x00002dff,0xf9300000,0x300005bd,0x4439fffb,
    0x7fd402ff,0x2fd88004,0x0dfff000,0x3fffd000,0xfffffb10,0x01dfffff,
    0xffffffb8,0x3ffee0cf,0x22036e00,0x00666099,0x00000000,0x0000cc00,
    0x80009988,0x00000998,0x00000000,0x00000331,0x00098800,0x00000400,
    0x44000000,0x44000009,0x40000199,0x20000098,0x00000098,0x00000000,
    0x98804400,0x00998801,0x000dfe80,0x003fffa8,0x04fffb80,0x3fffff6a,
    0x54c002df,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x3f60004c,0x880000ff,0x31007fff,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98802620,0x00333100,
    0x26606662,0x26200009,0x004ccc19,0x000aaa98,0x00355510,0x4cc03331,
    0x0004ccc1,0x0004ccc0,0x20999988,0x00001998,0x2aa0aaaa,0x5550002a,
    0x00000035,0x00000000,0x55555300,0x00015555,0x01555440,0xa88aa600,
    0xaa80001a,0x2aaaa1aa,0x0aaaa800,0x00100000,0x02aaa800,0x00000000,
    0x00333300,0x70002000,0x0ffe20ff,0xb803ffd4,0xffff87ff,0xfff50001,
    0x00fffe23,0x01bfffe6,0x07ffff40,0x4c1ffea0,0xfff11fff,0xff880009,
    0xfe88004f,0x3fea0eff,0x3e600007,0x3ffea4ff,0xfff88002,0xff10000f,
    0x0fffd8bf,0xdfff1000,0x001fffc8,0xffffffb8,0x00002fff,0x0003bff6,
    0x3f6bff10,0x7c40000e,0xfff30fff,0x3fff200d,0x32200005,0x00001dff,
    0x0009fff3,0x6c07fe60,0x3e60006f,0x000007ff,0x3e6001df,0x00ffc84f,
    0x2e00fff5,0xffff87ff,0xfff50006,0x00fffe23,0x9fffffd1,0xffffc800,
    0x3fea00ef,0x23fff307,0x0004fff8,0x0027ffc4,0x03bfffa2,0x0000fff5,
    0xf89fffb8,0xf90004ff,0xa80003ff,0xfff53fff,0xffa80005,0x05fff53f,
    0x3bbbaa00,0x001eeeee,0x00bff700,0x7f7fcc00,0xfb80000e,0x3fff62ff,
    0x3fff6001,0x5d900001,0x40000db3,0x0002ffd8,0xff30bff0,0x7fcc0007,
    0x9800007f,0x7fec007f,0x04fffddf,0x5c01ffea,0xffff87ff,0xffa8004f,
    0x07fff11f,0xff9effd8,0xfff5002f,0x540bffb3,0xfff307ff,0x013ffe23,
    0x09fff100,0x77fff440,0x007ffa80,0xdeffd800,0xf10005ff,0x200007ff,
    0xfff9fffc,0xff700003,0x007ffd3f,0x00000000,0x0000ffe6,0x003ffea0,
    0x327ff400,0x88005fff,0x80005ffe,0x007e22f8,0x01ff9000,0x9dff9000,
    0x001fffb7,0x03fffcc0,0x02fe4000,0x3ffffa20,0x774c05ff,0x0fff7006,
    0x03ffffff,0x11fffa80,0x7dc07fff,0x3fff71ff,0x14fff980,0x3a607fff,
    0x1ddd106e,0x0013ffe2,0x009fff10,0x817fffa2,0x00007ffa,0xeffffe88,
    0xbff90000,0xffd80000,0x00005fff,0x2fffffec,0x2132a000,0x50001cc8,
    0x03991099,0x22132a00,0xf50001cc,0x05ffc8df,0x01fff100,0x741f8800,
    0x26540003,0x0000e644,0xfffffffb,0xff980005,0xe800007f,0xb950003f,
    0x0000059b,0x3fe1ffee,0x000effff,0x7c47ffea,0xfff303ff,0x00effd89,
    0xfb8dffd1,0x400002ff,0x0004fff8,0x4027ffc4,0x405fffe8,0x00007ffa,
    0x03ffff30,0x03bfe200,0xfff10000,0x100000df,0x001dfffd,0xf987fb80,
    0xff70002f,0x0005ff30,0x3fe61fee,0x1ffb0002,0x00077fc4,0x0009ff30,
    0x007d4bb0,0x261fee00,0x540002ff,0x000cefed,0x80000000,0x00000ff8,
    0xfb800000,0xfffff87f,0x3ea004ff,0x7fff11ff,0x00000000,0xf8800000,
    0x440004ff,0x74404fff,0xfa805fff,0x0000007f,0x00000000,0x01333100,
    0x26620000,0xfb800009,0x002ff987,0xff30ff70,0x1fee0005,0x0000bfe6,
    0x00000000,0xfeffa800,0x7fb80004,0x0002ff98,0x00000000,0x1bea0000,
    0x00000000,0x7c3ffdc0,0x1fffecff,0x23fff500,0x0003fff8,0x00000000,
    0x27ffc400,0x3ffe2000,0x3fffa204,0x0fff5005,0x1554c000,0x3002aaa2,
    0xaaa88555,0x5d440000,0x20009acc,0x20000998,0x26621998,0x4cc06620,
    0x4c433310,0x4c066209,0x44333109,0x40662099,0x43331099,0x20000998,
    0x55301998,0x80aaa885,0x97100998,0x88666203,0x40662099,0x43331099,
    0x20000998,0x5c401998,0x2a0acdec,0xfd8000aa,0xecb88004,0x2aaa0acd,
    0x400aaa20,0xfff87ffb,0x00efffac,0xf11fffa8,0x2a2007ff,0x2aaa202a,
    0x2aaa2000,0x22055510,0xfff10aaa,0xff880009,0xfffd104f,0x3ffd400b,
    0x80d55540,0x7fd47ffc,0x3ffe400f,0x0003ffea,0x3fffffaa,0x801cffff,
    0x20006ffe,0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x547ffc81,0xffe80fff,0x3fee0006,0x00dffd1f,
    0xe8fffdc0,0x2e0006ff,0xff901fff,0x23ffffff,0x5cc01fff,0x001ffeed,
    0x7fffffe4,0x43fff1ff,0xf7007ffa,0x29fff0ff,0xa804fffc,0xfff11fff,
    0x1ffea007,0x400bfff0,0x3fea7ffb,0x23fff307,0x0004fff8,0x4427ffc4,
    0x4004fffe,0x7e407ffa,0x3ff205ff,0x007ffd47,0xff51fff2,0x7e44001f,
    0xffffffff,0x200dffff,0x20006ffe,0xffd1fffb,0x7fdc000d,0x00dffd1f,
    0xe8fffdc0,0x2e0006ff,0xdffd1fff,0x7ffdc000,0x547ffc81,0xffe80fff,
    0x3fee0006,0x00dffd1f,0xe8fffdc0,0x2e0006ff,0xffd81fff,0xffffffff,
    0xf901fffa,0xdfffffff,0x3fff6001,0xafffffff,0x3fea1fff,0x0fff7007,
    0x3fe29fff,0x7fd401ff,0x07fff11f,0x901ffea0,0x3a001fff,0x1ffea4ff,
    0xf88fffcc,0x440004ff,0x7fc44fff,0xfa8004ff,0x3fff207f,0x23ffe405,
    0x6400fffa,0x7ffd47ff,0xfffd3000,0xfd99bdff,0x203dffff,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,0x2e0006ff,0xdffd1fff,
    0x7ffdc000,0x547ffc81,0xffe80fff,0x3fee0006,0x00dffd1f,0xe8fffdc0,
    0x2e0006ff,0x7fe41fff,0xff730aef,0xe883ffff,0xffefffff,0x7e402fff,
    0xf730aeff,0x543fffff,0xff7007ff,0x549fff0f,0x2a00efff,0xfff11fff,
    0x1ffea007,0x005fff30,0x7d43fff1,0x3fff307f,0x0013ffe2,0x449fff10,
    0x0004ffff,0x3f20fff5,0xcca805ff,0x006664c4,0x9931332a,0xfff50019,
    0x7dc405ff,0xfe81ffff,0x3ee0006f,0x0dffd1ff,0x8fffdc00,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x00dffd1f,0x40fffdc0,0x664c4cca,0x06ffe80c,
    0x47ffee00,0x20006ffe,0xffd1fffb,0x7fdc000d,0x3bffe61f,0xffffd300,
    0xadfffe83,0x3fffffd0,0x03bffe60,0x0fffff4c,0x2e00fff5,0x4fff87ff,
    0x5027ffe4,0x3fe23fff,0xfff5003f,0x00bffd00,0xffa8dff7,0x23fff307,
    0x0004fff8,0xf8a7ffc4,0x0000ffff,0xff90fff5,0x000000bf,0xf8800000,
    0x1000cfff,0xfd0dfffd,0x7dc000df,0x0dffd1ff,0x8fffdc00,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x00dffd1f,0x00fffdc0,0x37ff4000,0x3fff7000,
    0x8001bffa,0xffd1fffb,0x7fdc000d,0x03fff61f,0x43ffff30,0x7c45fffb,
    0xb04fffaf,0xf9801fff,0x3fea1fff,0x0fff7007,0xff889fff,0xfff502ff,
    0x00fffe23,0x5c03ffd4,0x7f400fff,0x83ffd43f,0xff11fff9,0xf880009f,
    0xffff8cff,0xf50005ff,0x4fffc8ff,0x00000000,0xfffc8000,0xfffb0003,
    0x006ffe89,0x747ffee0,0x2e0006ff,0xdffd1fff,0x7ffdc000,0x000dffd1,
    0xfe8fffdc,0x3ee0006f,0x800001ff,0x20006ffe,0xffd1fffb,0x7fdc000d,
    0x00dffd1f,0xd0fffdc0,0x3f6009ff,0x3fffe1ff,0xffdb7dc0,0x04ffe80f,
    0x543fffb0,0xff7007ff,0x509fff0f,0xf501dfff,0x3ffe23ff,0x0fff5003,
    0x407fff10,0x7d40fff9,0x3fff307f,0x0013ffe2,0xffbfff10,0x07ffffff,
    0x5cfff500,0x00004fff,0x80000000,0x0006fff9,0xe87fffe2,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x000dffd1,0xfe8fffdc,0x3ee0006f,0x0dffd1ff,
    0x0fffdc00,0x7ff40000,0x3fee0006,0x00dffd1f,0xe8fffdc0,0x2e0006ff,
    0xfff11fff,0x3ffea003,0xb05fff31,0x077be67f,0x2003fff1,0x3ea1fffa,
    0xfff7007f,0x3209fff0,0xffa84fff,0x07fff11f,0x401ffea0,0x3f206ffd,
    0x07ffa85f,0x3e23fff3,0x440004ff,0xbfffffff,0x001ffff9,0xffbbffd4,
    0x5553004f,0x98aaa200,0x551002aa,0x03fffd05,0x4fffa800,0x8001bffa,
    0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,0x2e0006ff,0xdffd1fff,
    0x7ffdc000,0x20055531,0x3ffa2aa8,0x3fee0006,0x00dffd1f,0xe8fffdc0,
    0x2e0006ff,0xfff31fff,0x3ffe6001,0xf01fff91,0x3fe6003f,0xfff3000f,
    0x803ffd43,0xfff87ffb,0x5ffff104,0xf11fffa8,0x3ea007ff,0xfff5007f,
    0x20bffe01,0xff307ffa,0x13ffe23f,0xffff1000,0x7ffdc5ff,0x3fea000e,
    0x01ffffcf,0x200fff70,0x3fee7ffa,0x8fff5007,0x0005fff9,0x7f4ffff0,
    0x3ee0006f,0x0dffd1ff,0x8fffdc00,0x20006ffe,0xffd1fffb,0x7fdc000d,
    0x00dffd1f,0xb8fffdc0,0xff5007ff,0x0037ff4f,0x3a3fff70,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x400fff71,0xffb1fff8,0x400ff50f,0x22007ffb,
    0x3fea1fff,0x0fff7007,0x7d409fff,0x3fea0eff,0x07fff11f,0x801ffea0,
    0xffa83fff,0x20fff507,0xff11fff9,0xf880009f,0xfe82ffff,0x3ea005ff,
    0x6fffffff,0x00fff700,0xffb9ffea,0x8fff5007,0x0002fffa,0x3a3fff90,
    0x2e0006ff,0xdffd1fff,0x7ffdc000,0x000dffd1,0xfe8fffdc,0x3ee0006f,
    0x0dffd1ff,0x8fffdc00,0xf5007ffb,0x037ff4ff,0x23fff700,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x00dffb1f,0xffd1fff8,0x4009f90d,0x7c006ffd,
    0x1ffea1ff,0x7c3ffdc0,0x7fec04ff,0x47ffea4f,0x5003fff8,0x7e400fff,
    0x04ffd86f,0x3e60fff5,0x9fff11ff,0xfff88000,0xffff102f,0x3ffea007,
    0x03fffeff,0x5007ffb8,0x3ffdcfff,0x5c7ffa80,0x00001fff,0x3fa7fff5,
    0x3ee0006f,0x0dffd1ff,0x8fffdc00,0x20006ffe,0xffd1fffb,0x7fdc000d,
    0x00dffd1f,0xb8fffdc0,0xff5007ff,0x0037ff4f,0x3a3fff70,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x400fff91,0xffd1fff8,0x4005fd09,0x22007ffc,
    0x3fea1fff,0x0fff7007,0xf8809fff,0xfff52fff,0x00fffe23,0x3003ffd4,
    0x7fc43fff,0x0fff501f,0x7c47ffe6,0x440004ff,0x7d404fff,0xfa801fff,
    0xfffd3fff,0x07ffb803,0x7dcfff50,0xfff5007f,0x000fffc8,0x29fff300,
    0x20006ffe,0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x200fff71,0x3ffa7ffa,0x3fee0006,0x00dffd1f,
    0xe8fffdc0,0x2e0006ff,0xfff71fff,0x8fffcc00,0x7fcc5ffe,0x1ffee000,
    0x21fff980,0xf7007ffa,0x09fff0ff,0x51ffff50,0x3fe23fff,0xfff5003f,
    0x24ffe800,0x3ea06ffb,0x3fff307f,0x0013ffe2,0x009fff10,0x500dfffb,
    0x7fcc7fff,0x3ffdc06f,0x2e7ffa80,0xff5007ff,0x007ffe8f,0x57ffe200,
    0x20006ffe,0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,0x2e0006ff,
    0xdffd1fff,0x7ffdc000,0x200fff71,0x3ffa7ffa,0x3fee0006,0x00dffd1f,
    0xe8fffdc0,0x2e0006ff,0xfff51fff,0x3ffe6001,0xfb8dffb1,0x7ffd4006,
    0x3fff3000,0xb803ffd4,0x4fff87ff,0x59fffb00,0x3fe23fff,0xfff5003f,
    0x27ffb800,0x3ea03ffd,0x3fff307f,0x0013ffe2,0x009fff10,0x809ffff1,
    0xffc87ffa,0x1ffee03f,0xf73ffd40,0x3fea00ff,0x0037ffc7,0x75bffe00,
    0x2e0006ff,0xdffd1fff,0x7ffdc000,0x000dffd1,0xfe8fffdc,0x3ee0006f,
    0x0dffd1ff,0x8fffdc00,0xf5007ffb,0x037ff4ff,0x23fff700,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x07fff11f,0x647fff20,0x41fec7ff,0x7fc409a9,
    0xfff9003f,0x803ffd43,0xfff87ffb,0xffff1004,0x3e23fffb,0xff5003ff,
    0xfff8800f,0x200fff89,0xff307ffa,0x13ffe23f,0x9fff1000,0x3fffe600,
    0x41ffea02,0xf701fffe,0x3fea00ff,0x401ffee7,0x7ffc7ffa,0x7fc00005,
    0x00dffd6f,0xe8fffdc0,0x2e0006ff,0xdffd1fff,0x7ffdc000,0x000dffd1,
    0xfe8fffdc,0x3ee0006f,0x0fff71ff,0xfe9ffea0,0x3ee0006f,0x0dffd1ff,
    0x8fffdc00,0x20006ffe,0x3f61fffb,0x7fc400ff,0x1fff71ff,0x3fa07fe2,
    0x0fffd85f,0x0ffffc40,0x2e00fff5,0x4fff87ff,0x3fffea00,0xfff11fff,
    0x1ffea007,0x2b3ff600,0x7fd406ff,0x23fff307,0x0004fff8,0x0027ffc4,
    0x201ffff9,0xff307ffa,0x1ffee0df,0xf73ffd40,0x3fea00ff,0x003fffc7,
    0x2bfff300,0x20006ffe,0xffd1fffb,0x7fdc000d,0x00dffd1f,0xe8fffdc0,
    0x2e0006ff,0xdffd1fff,0x7ffdc000,0x200fff71,0x3ffa7ffa,0x3fee0006,
    0x00dffd1f,0xe8fffdc0,0x2e0006ff,0x3fe21fff,0x3ff6205f,0x9fff11ff,
    0x3fe21fea,0x5fff882f,0x3ffff620,0x401ffea1,0xfff87ffb,0x7ffec004,
    0xfff11fff,0x1ffea007,0x37bfea00,0x7fd403ff,0x23fff307,0x0004fff8,
    0x0027ffc4,0x541bfffa,0x3ff207ff,0x07ffb83f,0x7dcfff50,0xfff5007f,
    0x0007ffe8,0x753ffea0,0x2e0006ff,0xdffd1fff,0x7ffdc000,0x000dffd1,
    0xfe8fffdc,0x3ee0006f,0x0dffd1ff,0x8fffdc00,0xf5007ffb,0x037ff4ff,
    0x23fff700,0x20006ffe,0xffd1fffb,0x7fdc000d,0x77ffe41f,0x3fffaa21,
    0x3fff61ff,0xffd84fc9,0x3bfff207,0x3fffaa21,0x1ffea1ff,0x7c3ffdc0,
    0x7c4004ff,0xf11fffff,0x3ea007ff,0xfff0007f,0xfa801fff,0x3fff307f,
    0x2ab7ffe2,0xaaaaaaaa,0xfff11aaa,0xfff98009,0x07ffa84f,0x707fffe2,
    0x3ea00fff,0x01ffee7f,0x3f63ffd4,0x700001ff,0x3ffa7fff,0x3ff20006,
    0x00dffd0f,0xe87ffe40,0x320006ff,0xdffd0fff,0x7ffe4000,0x000dffd0,
    0xfb87ffe4,0xfff5007f,0x00037ff4,0x3fa1fff9,0x3f20006f,0x0dffd0ff,
    0x07ffe400,0x7fffffec,0xfffdffff,0x3fbffe61,0x1fffe42f,0x3fffff60,
    0xffdfffff,0x01ffea1f,0x7fc3ffdc,0xffa8004f,0xfff11fff,0x1ffea007,
    0x7fffe400,0x07ffa805,0x3e23fff3,0xffffffff,0xffffffff,0x009fff13,
    0x83ffff70,0x7d407ffa,0x3ffdc6ff,0x2e7ffa80,0xff5007ff,0x02fffb8f,
    0x3fff9000,0x8001fff6,0xffb0fffd,0x7fec000f,0x00fffb0f,0xd87ffec0,
    0x360007ff,0xfffb0fff,0x7ffec000,0x200fff70,0x3ff67ffa,0x3ff60007,
    0x00fffb0f,0xd87ffec0,0x360007ff,0xff700fff,0x35ffffff,0xffb83fff,
    0xfebabfff,0xff7004ff,0x35ffffff,0x7fd43fff,0x0fff7007,0x20009fff,
    0xf11ffffd,0x3ea007ff,0xff30007f,0xff5005ff,0x47ffe60f,0xfffffff8,
    0xffffffff,0x9fff13ff,0x3fff6000,0x01ffea0f,0xfb8ffff6,0xfff7007f,
    0xb803ffdc,0x7ffc47ff,0xff880005,0x01fff66f,0x367ffd80,0x360007ff,
    0x1fff67ff,0x27ffd800,0x20007ffd,0x3ff67ffd,0x3ff60007,0x401ffee7,
    0x3ff67ffb,0x3ff60007,0x001fff67,0x3f67ffd8,0x3f60007f,0x76dcc07f,
    0xfff30bde,0xfffff701,0x00bfffff,0xbdeedb98,0x541fff30,0xff7007ff,
    0x009fff0f,0x47fffe20,0x5003fff8,0x74000fff,0xff5007ff,0x47ffe60f,
    0xfffffff8,0xffffffff,0x9fff13ff,0x3ffe2000,0x01ffea5f,0x5c7fffe2,
    0xff9007ff,0x803ffdcf,0xffd87ffc,0x7e40002f,0x3ffee3ff,0xdfff0001,
    0x000fffdc,0x3ee6fff8,0xff0001ff,0x0fffdcdf,0x26fff800,0x0001fffb,
    0x7fdcdfff,0x4fff9007,0x0001fffb,0x7fdcdfff,0xfff0001f,0x00fffdcd,
    0x006fff80,0x00fffa80,0xfffffff3,0x2000005d,0x3ee0fffa,0x00004006,
    0x7f980008,0x03ffd400,0x007ffb00,0x0fffcc00,0x00000100,0x08000004,
    0x01ffea00,0xff53fff4,0x1fffa00f,0x001bffea,0x20ffff98,0x8004fff9,
    0x3e64fffa,0xfa8004ff,0x3ffe64ff,0xfffa8004,0x013ffe64,0x993ffea0,
    0xa8004fff,0x3fea4fff,0x4fffd007,0x8004fff9,0x3e64fffa,0xfa8004ff,
    0x3ffe64ff,0xfffa8004,0x2e0004c4,0x3fe207ff,0x2000abab,0x7fdc0009,
    0xf0027ec7,0x20005bff,0x800ceffc,0x7dc006fb,0xff10007f,0x4c00001f,
    0xf5001fff,0x000019ff,0x000b7ffe,0x06fffd40,0x803fff50,0x3ea7fff8,
    0x7fc401ff,0xbfffb07f,0xfffd1000,0x05ffff07,0x42fffe80,0x4002ffff,
    0x7fc2fffe,0x7f4002ff,0x7fffc2ff,0x7fff4002,0x017fffc2,0xa8bfffa0,
    0x7c401fff,0x7fffc7ff,0x7fff4002,0x017fffc2,0xf0bfffa0,0xe8005fff,
    0x7ff42fff,0x5ffe8802,0x0001bee0,0xd1005ffd,0x03fe8bff,0x0bffffe0,
    0x3ffff200,0x004fc806,0x8003ffdc,0x00005ffb,0x8007ffcc,0x007ffffa,
    0x3fffff00,0xfff50000,0x7ffcc0ff,0x3fffec05,0xd80bfff3,0xff107fff,
    0x2a003dff,0xf905ffff,0x32003fff,0xffc86fff,0xff9001ff,0xffff90df,
    0x3fff2003,0x1ffffc86,0x0dfff900,0x003ffff9,0xf31bfff2,0xffd80bff,
    0x7fffe47f,0xdfff9001,0x03ffff90,0x21bfff20,0x001ffffc,0xfb0dfff9,
    0xfff900ff,0x0027ec05,0x201fff60,0x7fc2fffc,0x7fdc4005,0x3fa60006,
    0x037ec01f,0x001bff20,0x000bffe2,0x00fff500,0x007ffb10,0x17fee200,
    0xffd88000,0x0ffffa03,0x1fffff62,0xb107fffd,0x4c0fffff,0x09bfffff,
    0x7fffe544,0xffff100e,0x5cc437bf,0x882fffff,0x1bdfffff,0x3fffee62,
    0xffff882f,0x2e621bdf,0x882fffff,0x1bdfffff,0x3fffee62,0xffff882f,
    0x2e621bdf,0xe82fffff,0xfd883fff,0x7fc47fff,0x221bdfff,0x2fffffb9,
    0xdfffff88,0x3fee621b,0xff882fff,0x221bdfff,0x2fffffb9,0x01cfffb8,
    0xf80dfff7,0x7dc0002f,0xff701cff,0x01ffd0df,0x07ffcc01,0x09ffb000,
    0x8081ffd8,0x9805ffe9,0x06ffea88,0x7ff44000,0xdff70006,0x7fcc0000,
    0x2e00000f,0x3fea06ff,0xffecdfff,0x7d47ffbf,0xfecdffff,0x407ffbff,
    0xffffffe8,0xffffffee,0x7fcc00df,0xffffffff,0x03ffffff,0x3fffffe6,
    0xffffffff,0x3fe603ff,0xffffffff,0x03ffffff,0x3fffffe6,0xffffffff,
    0x3fe603ff,0xffffffff,0x03ffffff,0x9bfffff5,0xfff7fffd,0xffffff30,
    0xffffffff,0x7fcc07ff,0xffffffff,0x03ffffff,0x3fffffe6,0xffffffff,
    0x3ff603ff,0xffdcdfff,0x3ea01fff,0xffb00007,0xffb9bfff,0xff703fff,
    0x545fb79f,0x07ffecaa,0x3f6eaa20,0x7fe403ff,0xf34fdbdf,0x005ffffd,
    0x3ffffffd,0xfdf10000,0x51009fff,0x09fff975,0x76555400,0x220007ff,
    0x4fffcbaa,0x7ffffe40,0xfff2ffff,0xffffff90,0x1ffe5fff,0x3ffff220,
    0xffffffff,0x3fa2003f,0xffffffff,0x8802ffff,0xfffffffe,0x02ffffff,
    0xfffffe88,0xffffffff,0xfffe8802,0xffffffff,0xfe8802ff,0xffffffff,
    0x6402ffff,0xffffffff,0x220fff2f,0xfffffffe,0x02ffffff,0xfffffe88,
    0xffffffff,0xfffe8802,0xffffffff,0x7f4402ff,0xffffffff,0x2fe401ef,
    0xffe88000,0xffffffff,0xffff101e,0x7ffc5fff,0x2002ffff,0x5ffffffb,
    0xfffff880,0xffff74ff,0x3ff600df,0x00002fff,0x1dfffff3,0xfffff300,
    0x7c0001df,0x01ffffff,0x3fffe600,0xea800eff,0x21dfffff,0xffd507ff,
    0x7fc3bfff,0x3fee2007,0xbeffffff,0xffb50000,0x7dffffff,0xffda8001,
    0xbeffffff,0x7fed4000,0xbeffffff,0x7fed4000,0xbeffffff,0x7fed4000,
    0xbeffffff,0xfffd5000,0x3ffc3bff,0x3ffff6a0,0x00beffff,0x7fffed40,
    0x00beffff,0x7fffed40,0x00beffff,0x3ffff660,0xfd002dff,0xd9800005,
    0x2dffffff,0xbeffe980,0x677fffc1,0x7ffdc000,0x2e2002df,0x3f62cefe,
    0x9000dfff,0x0005bfff,0x6ffffdc0,0xffff3000,0xff00007d,0x00019dff,
    0xbeffff98,0x01a98000,0x001a9800,0x55531000,0x44000013,0x009aaaa9,
    0xaaa98800,0x8800009a,0x009aaaa9,0xaaa98800,0x8800009a,0x009aaaa9,
    0x000d4c00,0xaaaa9880,0x98800009,0x0009aaaa,0xaaaa9880,0x98800009,
    0x0db80009,0x26200000,0x00200009,0x00000000,0x01988020,0x00013100,
    0x0000cc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000aaaa6,
    0x002aaa98,0x13330000,0x26600000,0x40000009,0x00002aa9,0x31033310,
    0x20000033,0x2002aaa9,0x00001998,0x05555300,0x33310000,0x00999881,
    0x55530000,0x2e600003,0x00000abc,0x2a2aaa98,0x00001aaa,0x0006aaaa,
    0x002aaa80,0x99999998,0x33333310,0x4ccc4003,0x99999999,0x2aaa0001,
    0x00000002,0x004cc000,0x40000133,0x0001ffff,0x007fffe2,0xfff90000,
    0xb800003f,0x0001ffff,0xbffff300,0xff500000,0x2fffc47f,0xffe80000,
    0x3fea003f,0x10000007,0x0005fffd,0x46ffe880,0x0000fffd,0x1ffff880,
    0xffd91000,0x7dffffff,0x3ffa0000,0x1ffff12f,0x3fea0000,0x700000ef,
    0x4007ffff,0xfffffff9,0xffffff52,0x3fb6603f,0xffffffff,0x001fffff,
    0x04ffffa8,0xdfffb000,0xfe800001,0x003ff505,0x0fffee00,0x3ffea000,
    0x2a000005,0x00efffff,0xffff3000,0x800001ff,0x3ffffff8,0xffc80000,
    0x00dffb0f,0x3ffe6000,0x3ffd4005,0xf1000000,0x00000dff,0x3ea7fff3,
    0x000001ff,0x0007fff7,0x3fffffea,0xefffffff,0x3fea0001,0x0bfff24f,
    0xfffe8000,0xff300000,0x2005ffff,0xfffffff9,0xffffff52,0xfffc883f,
    0xffffffff,0x01ffffff,0x7ffffc40,0x7dc0002f,0x0005ffff,0x740ffdc0,
    0x3e00007f,0x200005ff,0x0000fffb,0xdbfff880,0x880005ff,0x6ffccfff,
    0x7fec0000,0x001fff9e,0xaeffe800,0x00000fff,0x000dffb0,0x0000fff5,
    0x2fffa800,0xffb80000,0x003fff9f,0x9fff1000,0x3ffea000,0xfedceeff,
    0x001fffff,0x7c4bffb0,0x200004ff,0x0002fff9,0xf5bffd10,0x991001ff,
    0x2a5fff99,0x0ccccfff,0x3fffffa2,0xffffffff,0x001fffff,0x7fcefff4,
    0xff30001f,0x007ffd7f,0x77ffc400,0x002fffdc,0x01dff700,0x4ffd8000,
    0xffe80000,0x009fff16,0xd16ffd80,0x200009ff,0xff91fffb,0x8800001f,
    0x01ffffff,0xfff30000,0xfff50001,0x70000000,0x00000dff,0x13fffff6,
    0xffb80000,0xfff10006,0x7f54019f,0xf98007ff,0x1bfee0ff,0x9ffb0000,
    0x7fec0000,0x00dffb0f,0x7d4bffe0,0x3ff200ff,0x9fffffff,0x9cffe999,
    0x7ffe4001,0x001fff90,0xf55ffe88,0x400005ff,0xfffffff9,0x3fa00004,
    0xd000000f,0x400001ff,0x3ea1fffc,0xf90002ff,0x7ffd43ff,0x7fd40003,
    0x037ff43f,0x7ffd4000,0x2000003f,0x50002ffd,0x00000fff,0x00bff200,
    0x3ffa2000,0x4000006f,0x50000fff,0x6c007fff,0x64002fff,0x07ff41ff,
    0xbff30000,0x7fdc0000,0x17ffe22f,0x54bffe00,0xff300fff,0xffffffff,
    0x0007ffb0,0x7c47fff5,0x7ec006ff,0x3fff20ff,0x2e200000,0x0001cded,
    0x00000000,0x26600000,0x00999809,0x30133300,0x00000333,0x10000000,
    0x00000333,0xff500000,0x0000000f,0x44000000,0x00000999,0xfc800000,
    0x7fc4005f,0x0000004f,0x00000000,0x20000000,0xfff52fff,0x3ffff201,
    0xd87fffff,0x000003ff,0x04ccc000,0x00004ccc,0x26200000,0x26200009,
    0x00266219,0x00199880,0xabccba88,0x2e600001,0x00000abc,0x35997510,
    0x51000001,0x00357997,0x99751000,0x7d400135,0x0000007f,0x4d665d44,
    0x5cc00000,0x00000abc,0xabccba88,0x1fffc001,0x03ffe400,0x59975100,
    0x98000013,0x2000abcb,0x20000998,0x7fc01998,0x01fff52f,0x3ffffff6,
    0xffd87fff,0x99980003,0xba980000,0x00009bcc,0x59975100,0x3ffa0013,
    0x3fee0006,0x00dffd1f,0x00fffdc0,0xfffffda8,0x8003ffff,0xfffffec8,
    0x0003efff,0x7fffff54,0x001cffff,0xffffda80,0x003fffff,0x7ffff540,
    0x01cfffff,0x2e27ffa8,0x0002ceec,0x7fffff54,0x001cffff,0xffffd910,
    0x007dffff,0xffffda80,0x003fffff,0x5000bfff,0x54001ddf,0xfffffffe,
    0x10001cff,0xffffffd9,0xfe807dff,0x3ee0006f,0x3ffe01ff,0x201fff52,
    0xfffffffe,0x3ffd87ff,0x7ffc4000,0xff930004,0xdfffffff,0xea80001b,
    0xffffffff,0x7ff401cf,0x3fee0006,0x00dffd1f,0x00fffdc0,0x3fffffa6,
    0xffffffff,0xffff5002,0xffffffff,0xc88003df,0xffffffff,0x00dfffff,
    0xffffe980,0xffffffff,0x7e44002f,0xffffffff,0x200dffff,0xfff57ffa,
    0x005dffff,0xfffffc88,0xffffffff,0x3fea000d,0xffffffff,0x4001efff,
    0xffffffe9,0x2fffffff,0x007ffec0,0x7e440000,0xffffffff,0x000dffff,
    0x3fffffea,0xefffffff,0x00dffd01,0x00fffdc0,0x3fea5fff,0xffffd00f,
    0xb0ffffff,0x880007ff,0x44004fff,0xfffffffd,0x2fffffff,0xfffc8800,
    0xffffffff,0xffd00dff,0x7fdc000d,0x00dffd1f,0x00fffdc0,0xbdfffff7,
    0xffffdb99,0xfffa805f,0xfedceeff,0x001fffff,0xdfffffd3,0xffffd99b,
    0x7dc003df,0xccdeffff,0x2fffffed,0xffffd300,0xffd99bdf,0x2a03dfff,
    0xffffcfff,0x02fffffe,0xfffffd30,0xfffd99bd,0xf5003dff,0xb9ddffff,
    0x3ffffffd,0x3fffee00,0xfedccdef,0x2e02ffff,0x0000dfff,0x3fffa600,
    0xfeccdeff,0x801effff,0xeefffffa,0xfffffedc,0x06ffe81f,0x07ffee00,
    0xff52fff8,0x3fff601f,0x87ffffff,0x40003ffd,0x2004fff8,0xffffffe9,
    0xffffdcce,0xd3000dff,0x9bdfffff,0xdfffffd9,0x00dffd03,0xe8fffdc0,
    0x2e0006ff,0xff901fff,0x6cc03bff,0xf101ffff,0x54019fff,0xa807fffe,
    0x202fffff,0x1fffffb8,0xdffffc80,0x3fff6601,0x7ffd401f,0x3ee202ff,
    0xfa81ffff,0x221effff,0x401ffffa,0x02fffffa,0x3ffffee2,0x3fffe201,
    0x3ffaa00c,0xfffc807f,0x3f6601df,0xff101fff,0x0015bfff,0x7fffd400,
    0x3fee202f,0x3e201fff,0x2a00cfff,0xfe87fffe,0x3ee0006f,0x3ffe01ff,
    0x201fff52,0xfffffffb,0x3ffd87ff,0x7ffc4000,0xffff3004,0x7dc4037f,
    0xfa806fff,0x2202ffff,0x41fffffb,0x20006ffe,0xffd1fffb,0x7fdc000d,
    0xffff981f,0x3fff2002,0x3fffa80f,0x0bfff600,0x0cffff88,0xdfffd100,
    0x2ffff980,0x3ffff200,0x9ffff100,0x3ffa2001,0xffffa86f,0xdfff300d,
    0x67fffc40,0xfffd1000,0x1fffd40d,0x05fffb00,0x017fffcc,0x01ffff90,
    0x3fffffe6,0x20001bef,0x00cffff8,0x0dfffd10,0x001fffd4,0xfe85fffb,
    0x3ee0006f,0x3ffe01ff,0x201fff52,0xfffffff8,0x3ffd87ff,0x7ffc4000,
    0xdfffd004,0x7ffcc003,0x3ffe201f,0xfd1000cf,0x6ffe8dff,0x3ffee000,
    0x000dffd1,0x220fffdc,0x8002fffe,0xfc83fffd,0x7fc4005f,0x3fff204f,
    0xfffb0003,0x3fffa209,0xfffd8002,0x07fff903,0x13fff600,0x801ffff5,
    0xf902fffb,0x360007ff,0xff904fff,0xfff8800b,0x5fffd104,0x7fffb000,
    0x7ffff440,0x0befffff,0x0ffff200,0x27ffec00,0x4005ffc8,0x7f44fff8,
    0x3ee0006f,0x3ffe01ff,0x401fff52,0xfffffffb,0x03ffd87f,0x27ffc400,
    0x02fffe40,0x05fff880,0x000ffff2,0xfd27ffec,0x7dc000df,0x0dffd1ff,
    0x0fffdc00,0x0013ffee,0x7c37ffc4,0xfc8003ff,0xdfff307f,0x7ffc4000,
    0x4fffb81f,0xdfff1000,0x00dfff30,0x0ffffc40,0x2009fff5,0xff983fff,
    0x3e20006f,0xfff81fff,0x7ffc8003,0x009fff70,0x01bffe20,0x3fffffae,
    0x01dfffff,0x0037ffcc,0x03ffff10,0x90007fff,0x6ffe8fff,0x3ffee000,
    0x54bffe01,0x7e400fff,0x87ffffff,0x40003ffd,0x4c04fff8,0x0000ffff,
    0x2603fff2,0x20006fff,0xfd1ffff8,0x7dc000df,0x0dffd1ff,0x0fffdc00,
    0x0003fffa,0x7c0dffd8,0xfa8005ff,0xfffe80ee,0x7fd40001,0x0fffe84f,
    0x37ff6000,0x00ffff40,0x93ffea00,0x9000fffa,0xfffd0bff,0xffa80003,
    0x05fff84f,0x80eefa80,0x0000fffe,0x40037ff6,0xfffffdb9,0x3a03ffff,
    0x40001fff,0xff84fffa,0xefa8005f,0x01bffa0e,0x01fffb80,0x7fd4bffe,
    0xfffa800f,0xffd87fff,0x7fc40003,0x7ffe404f,0x7fc40002,0x1fffe83f,
    0x7ffd4000,0x000dffd4,0xfe8fffdc,0x3ee0006f,0x3ffe61ff,0x00c40004,
    0x0001fffb,0x05fff980,0x8ffff000,0x0004fff9,0xfff980c4,0xfff00005,
    0x003ffd4f,0xff98dff7,0xff00005f,0x1fffb0ff,0xff980000,0x0c40004f,
    0x7f5cc000,0x983fffff,0x00005fff,0xffb0ffff,0x7400001f,0x2e0006ff,
    0x3fe01fff,0x01fff52f,0x3ffedcc0,0x0001ffec,0xf013ffe2,0x20000fff,
    0xbfff302a,0x3ffe0000,0x000dffd7,0xfe8fffdc,0x3ee0006f,0x3fff21ff,
    0x5c000003,0x0000dfff,0x00bffea0,0x0fffe400,0x0007fff9,0x17ffd400,
    0xfffc8000,0x400dff51,0x3ea0fffa,0x900002ff,0xffb83fff,0x200000df,
    0x0003fffc,0xb8800000,0x540fffff,0x00002fff,0xfb83fff9,0x00000dff,
    0x4000dffd,0x3e01fffb,0x1fff52ff,0x0fff3000,0x80007ffb,0x2604fff8,
    0x00005fff,0x02fffa80,0x3fff9000,0x4000dffd,0xffd1fffb,0x7fdc000d,
    0x0bfff61f,0xff100000,0x0015bfff,0x01fffb80,0x7fff5000,0x0017ffec,
    0x3fff7000,0x3fea0000,0x00bff53f,0xf70fffcc,0x200003ff,0x7c43fffa,
    0x00adffff,0x17ffec00,0x00000000,0x87fffd10,0x0001fffb,0x887fff50,
    0x0adfffff,0x1bffa000,0x1fffb800,0x7d4bffe0,0xf98000ff,0x03ffd87f,
    0x27ffc400,0x009fff70,0xfff70000,0x3ea00003,0x06ffebff,0x47ffee00,
    0x20006ffe,0x3fa1fffb,0x000000ff,0xffffff98,0xc8001bef,0x00000fff,
    0x7f49fff3,0x000000ff,0x0003fff2,0xaa7ffcc0,0x3e6005ff,0x3fff20ff,
    0xff300000,0xffff309f,0x0037dfff,0x001fffd0,0x04cc4000,0x8bfff000,
    0x0000fffc,0x309fff30,0xdfffffff,0xffe80037,0x3fee0006,0x4bffe01f,
    0x8000fffa,0xffd87ff9,0x7fc40003,0x3fff204f,0xc8000002,0x00000fff,
    0xffd9fff3,0x7fdc000d,0x00dffd1f,0xd0fffdc0,0x00000fff,0x7ffff440,
    0x0befffff,0x007ffe80,0x97ffe200,0x00007ffe,0x003fff40,0x2bfff100,
    0x2a006ffa,0x3fff47ff,0xfff10000,0x3fffa20b,0xbeffffff,0x07ffe800,
    0x3fe20000,0x3f20004f,0x03fff47f,0xbfff1000,0x3ffffa20,0x0befffff,
    0x0037ff40,0x403fff70,0xfff52fff,0xfff30001,0x0007ffb0,0x204fff88,
    0x0001fffd,0x07ffe800,0x3ffe2000,0x0006ffed,0x7f47ffee,0x3ee0006f,
    0x1bffe1ff,0x2e000000,0xfffffffe,0x3e01dfff,0x400006ff,0x3ffe6fff,
    0x7c000006,0x400006ff,0xfff56fff,0x22ffdc00,0x00006fff,0x2e037ffc,
    0xfffffffe,0x3e01dfff,0x000006ff,0x00037ffc,0x7fc1fff7,0x7c00006f,
    0x7f5c06ff,0xffffffff,0xdffd01df,0x7ffdc000,0x54bffe01,0x98000fff,
    0x3ffd87ff,0x7ffc4000,0x01fffa04,0xaaaaaaa8,0x3e0aaaaa,0x400006ff,
    0x6ffeefff,0x3ffee000,0x000dffd1,0xff0fffdc,0x000000ff,0x7ffedcc0,
    0x03ffffff,0x0000bfff,0x3fe6fff8,0x4000007f,0x00005fff,0xffab7ffc,
    0x9ffb001f,0x0005fff8,0x8037ffc0,0xfffffdb9,0xff03ffff,0x800000ff,
    0x0001fffe,0xfff8bffb,0x7fc00005,0xfb73006f,0xffffffff,0x00dffd07,
    0x00fffdc0,0x3fea5fff,0xff98000f,0x003ffd87,0x027ffc40,0x6c00fffd,
    0xffffffff,0x3ffe0fff,0x7fc00005,0x006ffeef,0x747ffee0,0x2e0006ff,
    0x3ffa1fff,0x0000000f,0xfffd7300,0xfff07fff,0x7cc0000f,0x3fffa5ff,
    0x3e000000,0x200007ff,0xff55fff9,0xfff300bf,0x007fff85,0x17ffe600,
    0x7ff5cc00,0xfe83ffff,0x000000ff,0x003bffea,0xf87fff10,0x200007ff,
    0x0005fff9,0xfffffd73,0x06ffe87f,0x07ffee00,0xff52fff8,0xff30001f,
    0x007ffb0f,0x04fff880,0x4003fff6,0xfffffffd,0x3fe0ffff,0x2600007f,
    0x6ffedfff,0x3ffee000,0x000dffd1,0xfb0fffdc,0x000003ff,0xff710000,
    0xffe81fff,0x3ea00007,0x3fff64ff,0x3a000001,0x200007ff,0xff54fffa,
    0xffd803ff,0x03fff40f,0x9fff5000,0xff710000,0xffd81fff,0x4000001f,
    0x001ffffe,0xe81ffff3,0x200007ff,0x0004fffa,0xfffffb88,0x001bffa0,
    0x201fffb8,0xfff52fff,0xfff30001,0x0007ffb0,0x204fff88,0xb000fffc,
    0xffffffff,0x7ff41fff,0x3ea00007,0x06ffecff,0x43fff200,0x20006ffe,
    0x3f20fffc,0x000002ff,0x3fa20000,0x7ffec3ff,0xff700001,0x17ffe47f,
    0xffb00000,0x2e00003f,0xfff53fff,0xffb105ff,0x3fffb07f,0x3fee0000,
    0x2200003f,0x7e43fffe,0x000002ff,0x67ffffcc,0x3f2a609b,0xffd85fff,
    0xf700001f,0x400007ff,0x3a3fffe8,0x320006ff,0x3fe00fff,0x01fff52f,
    0xb0fff300,0x880007ff,0x3ee04fff,0x700002ff,0x7fec1fff,0xf700001f,
    0x0fffb7ff,0x87ffec00,0x20007ffd,0x3ea0fffd,0xd80004ff,0x004cc41b,
    0xb8bfff00,0x00002fff,0x7d43fff9,0xd80004ff,0x17ffdc1b,0xfffc8000,
    0xffffff51,0xffffb77b,0x0bffee0b,0x7ffe4000,0x00026621,0x7d45fff8,
    0xd80004ff,0xffff501b,0xffffffff,0x2e0dffff,0x00002fff,0x4c43fff9,
    0x3fe00009,0x01fff65f,0x00fffd80,0x7fd4bffe,0xff98000f,0x003ffd87,
    0x027ffc40,0x000bfff3,0xb83ffee0,0x00002fff,0xffb3fff9,0x7fec000f,
    0x001fff67,0x7c47ffd8,0x540005ff,0xfff15fff,0x7fe40009,0x02fffc47,
    0x37ffc400,0x0017ffe2,0x44bfff50,0x80005fff,0x3ea6fff8,0xfffff9ff,
    0x2204ffff,0x80005fff,0x3e26fff8,0x320004ff,0x7ffc47ff,0x7fd40005,
    0xfffd305f,0xffffffff,0x7fc409ff,0xf880005f,0x3ffe26ff,0x3ff20004,
    0x001fff67,0x7c07ffd8,0x1fff52ff,0x0fff3000,0x2a607ffb,0x27ffc401,
    0x001fffa0,0x107ffdc0,0x0000bfff,0x3eedfff1,0xff0001ff,0x0fffdcdf,
    0x86fff800,0x0000fffd,0xff87fff6,0x3ee0006f,0x7ffec0ff,0x7fe40002,
    0x0fffd83f,0x3fff6000,0x017ffec1,0x8ffff200,0xffb17ffa,0xb0037dff,
    0x80005fff,0x7fc3fffc,0x3ee0006f,0x7ffec0ff,0x3ff60000,0x7fed401f,
    0xbdffffff,0x2fffd801,0x7ffe4000,0x0037ffc3,0x2e1fff70,0xf0001fff,
    0xfff80dff,0x001fff52,0xfb0fff30,0x09ffd07f,0x403fff98,0x0003fffc,
    0x6c0fffb8,0x40002fff,0xff33fffc,0xff50009f,0x27ffcc9f,0x27ffd400,
    0x002fffd4,0x746fff98,0xb0001fff,0xfff50bff,0x7fcc000d,0xfffa80ff,
    0xfff30005,0x0dfff50d,0x7fffcc00,0x261ffea0,0x7fd4000a,0x3e60006f,
    0x7ff40fff,0xffb0001f,0x0bfff50b,0x1bffe600,0x15dfb300,0xdfff5000,
    0x7ffcc000,0x0ffff40f,0x25ffd800,0x8004fff9,0x7c04fffa,0x1fff52ff,
    0x0fff3000,0xffb07ffb,0x3fffa80b,0x0ffffc40,0x3ffee000,0x037ffd40,
    0x1ffff300,0x0017fffc,0xff0bfffa,0xfe8005ff,0xfffd02ff,0xffe88007,
    0x77ffd43f,0x7ffc4000,0x0bfffb03,0x7fffd100,0x01ffff40,0x0ffffa20,
    0x002fffec,0x21ffff44,0x00007ffa,0x002fffec,0x41ffff44,0x000efffa,
    0xe81fffc4,0x44003fff,0x8003fffe,0x20001eff,0x8005fffd,0xa83fffe8,
    0x4000efff,0x7fc3fff8,0x7f4002ff,0x7ffc02ff,0x001fff52,0xfb0fff30,
    0x0fff907f,0x802fffb8,0x001efffb,0x01fffd30,0x000bfffb,0xc87fffd1,
    0x9001ffff,0xff90dfff,0x3f2003ff,0x3fe606ff,0xfb1004ff,0x3ffa0dff,
    0xff3001ff,0x3fe201ff,0xf5001eff,0xf980bfff,0xb1004fff,0x7c40dfff,
    0x5001efff,0xf50bffff,0x880000ff,0x001effff,0x40bffff5,0x001ffffe,
    0x201ffff3,0x004ffff9,0x00dfffb1,0x1dfffd10,0xffff1000,0x3fea003d,
    0x3ffa05ff,0xff3001ff,0xfffc81ff,0xfff9001f,0x25fff00d,0x8000fffa,
    0xffd87ff9,0x03fffb83,0x400ffff1,0x003ffffd,0x3fffff22,0xeffff880,
    0xffff5001,0xfffff10b,0x7dcc437b,0xf882ffff,0x21bdffff,0xfffffb98,
    0x7fffdc02,0x7e440acf,0xf300efff,0x1379ffff,0x7fffe54c,0x7fffcc05,
    0x654409bf,0x800effff,0xacfffffb,0x7fffe440,0x7ffcc00e,0x54409bff,
    0x80effffc,0x00007ffa,0xbfffff98,0x7fe54409,0x3e600eff,0x09bcffff,
    0x3ffff2a6,0x7fffdc05,0x7e440acf,0x0000efff,0x80027fe4,0x9bfffff9,
    0x7ffe5440,0x3fe600ef,0x209bcfff,0x5ffffca9,0xdfffff88,0x3fee621b,
    0xff802fff,0x01fff52f,0xb0fff300,0x3ffe07ff,0x3ffaa23f,0x3fa2005f,
    0x09bdffff,0xffffb751,0x7fcc07ff,0x4409bfff,0x0effffca,0xffffff30,
    0xffffffff,0x7fcc07ff,0xffffffff,0x03ffffff,0xffffff70,0xfffffddf,
    0xffa803ff,0xffffffff,0x06ffffff,0xfffffd10,0xfffffddf,0x5c001bff,
    0xefffffff,0xfffffffe,0xfffd1001,0xfffddfff,0x201bffff,0x00007ffa,
    0xfffffd10,0xfffffddf,0xf5001bff,0xffffffff,0xdfffffff,0x3fffee00,
    0xfffeefff,0x0001ffff,0x0006ffc8,0x3fffffa2,0xfffffeef,0xfa800dff,
    0xffffffff,0x6fffffff,0x3ffffe60,0xffffffff,0xff003fff,0x03ffea5f,
    0x21ffe600,0xff703ffd,0xffffdfff,0x3f2000df,0xffffffff,0xffffffff,
    0xffe8800c,0xffeeffff,0x00dfffff,0x7fffff44,0xffffffff,0xfffe8802,
    0xffffffff,0x7d4002ff,0xffffffff,0x000dffff,0xffffffd3,0x9fffffff,
    0xfffc8800,0xffffffff,0xf50003ff,0xffffffff,0x001bffff,0xfffffc88,
    0xffffffff,0x03ffd403,0xff910000,0xffffffff,0x98007fff,0xfffffffe,
    0x04ffffff,0x7ffffd40,0xffffffff,0xcc88000d,0x003fffed,0x7fffe440,
    0xffffffff,0x7f4c003f,0xffffffff,0x8804ffff,0xfffffffe,0x02ffffff,
    0xfffffff3,0x3ffffea5,0xff9801ff,0x203ffd87,0xfffffffc,0x20000eff,
    0xffffffea,0xefffffff,0x7fe44001,0xffffffff,0x54003fff,0xfffffffd,
    0x54000bef,0xfffffffd,0x20000bef,0xffffffda,0x50001dff,0xfffffffb,
    0x400037bf,0xffffffb8,0x0000beff,0xfffffda8,0x0001dfff,0x7ffffdc4,
    0x800befff,0x00007ffa,0xffffb880,0x00beffff,0x3fff6a00,0x1bdfffff,
    0x3ff6a000,0x1dffffff,0x3ffe6000,0x00005fff,0x3ffffee2,0x000befff,
    0x3ffff6a0,0x01bdffff,0x7fffed40,0x00beffff,0x3fffffe6,0xfffff52f,
    0xff3003ff,0x807ffb0f,0xeffffffa,0x9300000c,0xffffffff,0x8800059b,
    0xfffffffb,0x20000bef,0x09aaaa98,0xaa988000,0x000009aa,0x009aa998,
    0x554cc000,0x1000000a,0x00135553,0x554cc000,0x10000009,0x00135553,
    0x0006eea8,0x554c4000,0x8000009a,0x000aaa99,0x35533000,0x3a600001,
    0x0001ceee,0x2aaa6200,0x98000009,0x0000aaa9,0x35555310,0x3bba6001,
    0xdd31eeee,0x003ddddd,0xdd90bdd1,0x26a62005,0x44000000,0x00009aa9,
    0x2aaa6200,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40000,
    0x04ccc409,0x2aaa0000,0xa800001a,0x006ea81b,0x98819998,0x00000019,
    0x000aaaa6,0x01aaaa80,0x55300880,0x53000000,0x00000155,0x26602666,
    0x00000009,0x00000000,0x00ffff30,0x10266620,0x80001333,0xaaa82aaa,
    0x40198002,0xa8000019,0x30001aaa,0x80001555,0x0002aaa9,0x02aaaa20,
    0x2a000000,0x22000aaa,0xff880999,0x077ff45f,0xfff10000,0x5c00001f,
    0x89ceffff,0xfb8006fe,0x3ffe62ff,0x20000004,0x0002fffe,0x03ffff10,
    0x5effecc0,0x00017fe0,0xdffff100,0x3f600000,0x3ffee0ff,0x2fffc401,
    0x4003fff6,0x3ea0fffd,0x800002ff,0x0007fff9,0xfd8dfff1,0x540000ef,
    0x3fe63fff,0x4ff8003f,0x0001ff70,0x07fffc40,0x7fffc400,0x7ff40006,
    0x6c00002f,0x00004fff,0x37ffd400,0x17fff200,0xfb97ffd4,0x400001ff,
    0x0002fffc,0x7fffffc0,0x004fffff,0x3a1fffb0,0x000005ff,0x013ffea0,
    0x2fffc800,0x3fffe200,0x3ffeefff,0x7f400000,0x0005ffff,0x15fff880,
    0x2a007fff,0xfff53fff,0x7ffc4005,0x009fff15,0x3ffe6000,0x3fe60007,
    0x03fff73f,0x3fff2000,0x000bffd0,0xff103ff6,0xfc80000b,0xfd0002ff,
    0x0009ffff,0x0013ffea,0x07fff400,0xfd000000,0xfc8001ff,0x3ff205ff,
    0x002fff9f,0x27ffc400,0x3fea0000,0xbffffb51,0x3fa20001,0x00effbdf,
    0x3fa00000,0x2200006f,0x5c004fff,0xfffebbff,0x000006ff,0x7fcfffe4,
    0x9800003f,0x5ffeafff,0x4fffe400,0x98003fff,0x5ffdafff,0x3e600000,
    0x5c0007ff,0x2fff9fff,0x7ff40000,0x0006ffcd,0x3b3bffe6,0x00001fff,
    0x0013ffe2,0x7fcfffe4,0xffe8003f,0x22000006,0x00004fff,0x03fff500,
    0x0bfff900,0x4fffffd8,0xffc80000,0xeb800005,0x000ba885,0xfffff980,
    0x0000001f,0x0003ffe6,0x006ffb80,0x75c45fe8,0x4000002e,0xff52fffa,
    0x7000003f,0x00dfffff,0x3fffff60,0x3fee0005,0x0000efff,0x0aaaa200,
    0x3fff6000,0x800004ff,0x0ffffff8,0x7ffd4000,0x0003ffff,0x002ffe40,
    0xf52fffa8,0x7cc003ff,0x000000ff,0x0007ffcc,0x1fff4000,0x5fffc800,
    0x2ffffc40,0x7fc40000,0x0000000e,0xfa800000,0x00002fff,0x00ffec00,
    0x03ffe000,0x00000000,0x2fffc400,0x0003fff6,0x3ffff600,0xfff10000,
    0xfb0000df,0x00003fff,0x10000000,0x000bfffd,0x7fffd400,0xb9100001,
    0x000019bd,0x000eff88,0x6c5fff88,0xfb000fff,0x0000003f,0x0000ffee,
    0x00bff500,0x99880000,0x00000001,0x01331000,0x00ccc400,0x0004ccc0,
    0x00000000,0x10000000,0x01359975,0x00000000,0x33300000,0x99880001,
    0x33000009,0x80000013,0x1abccba8,0x4ccc4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x33310999,0x33333333,
    0x33100033,0x33333333,0xfd000333,0x7dc000df,0x266661ff,0x99999999,
    0x99999999,0x4c400019,0x99999999,0x99999999,0x44099999,0x54000999,
    0xfffffffe,0x98801cff,0x4c400099,0x99800199,0x33333109,0x33333333,
    0x01333333,0x0004ccc4,0x00099980,0xfffb5000,0x07ffffff,0x99999998,
    0x00099999,0x00009998,0x99886662,0x99999999,0x99999999,0x02666209,
    0x26662000,0x01333100,0x80002666,0x20001998,0x00000999,0x00133300,
    0x74bffea0,0xffffffff,0xefffffff,0x7fff401c,0xffffffff,0x01ceffff,
    0x00037ff4,0x7fc3fff7,0xffffffff,0xffffffff,0x0001ffff,0x3ffffff6,
    0xffffffff,0xffffffff,0x017ffd45,0xfffffc88,0xffffffff,0x3ffea00d,
    0x7ffec003,0x3fe2000f,0xfffffd3f,0xffffffff,0x07ffffff,0x0017ffd4,
    0x07fffdc0,0xffd30000,0xffffffff,0x3fe05fff,0xffffffff,0x002dffff,
    0x0003ffff,0x7f47ffea,0xffffffff,0xffffffff,0x3ffea3ff,0x7f40000f,
    0xfff503ff,0x07fffe05,0x0fffd400,0x7fffdc00,0x5c000000,0x8000ffff,
    0xffd2fffa,0xffffffff,0xffffffff,0x3fffa01b,0xffffffff,0xdfffffff,
    0x00dffd00,0xf0fffdc0,0xffffffff,0xffffffff,0x003fffff,0x3ffffe60,
    0xffffffff,0xffffffff,0x7ffd45ff,0xfffe9802,0xfeccdeff,0x101effff,
    0xf800bfff,0x2002ffff,0xffd1fffb,0xffffffff,0xffffffff,0x7ffd407f,
    0xffe80002,0x700003ff,0x9bdfffff,0xfffffdb9,0xffffff05,0xffffffff,
    0xff807dff,0xf50006ff,0x3fffa3ff,0xffffffff,0xffffffff,0x02fffec3,
    0x0bfff700,0xf817ffd4,0x50006fff,0xd0003fff,0x0007ffff,0xffffe800,
    0xfffa8003,0xffffffd2,0xffffffff,0x20bfffff,0xfffffffe,0xffffffff,
    0xfd05ffff,0x7dc000df,0x3fffe1ff,0xffffffff,0xffffffff,0xfb0001ff,
    0xffffffff,0xffffffff,0x8bffffff,0x5402fffa,0x202fffff,0x1fffffb8,
    0x400fffd0,0x04fffffa,0xfe9fff60,0xffffffff,0xffffffff,0x3fea03ff,
    0x7cc0002f,0x0006ffff,0x1dffffc8,0x3ffff660,0x7fffffc1,0xffffffff,
    0xf01fffff,0x0009ffff,0x3fa3fff5,0xffffffff,0xffffffff,0x7ffc43ff,
    0xff88002f,0x3fea00ff,0xfffff02f,0xfff50009,0xfff98003,0x000006ff,
    0x1bffffe6,0x4bffea00,0x22006ffe,0x83ffffd9,0x22006ffe,0x83ffffd9,
    0x20006ffe,0x2661fffb,0xe9999999,0x99999fff,0x10001999,0xf533dfff,
    0x333339ff,0x33333333,0x02fffa81,0x033fffe2,0x37fff440,0x000fffb8,
    0x0fffdff9,0xfd2fff40,0x333333df,0x33333333,0x7fd40133,0x7e40002f,
    0x001fffcf,0x0bfffe60,0x0ffffc80,0x2667bffe,0xdb999999,0xf80effff,
    0x001fffff,0xfe8fffd4,0x999999ef,0x99999999,0xfffa8099,0x7fec000f,
    0x7ffd402f,0xffffff02,0xfffa8003,0x67fe4001,0x00001fff,0xfff9ff90,
    0xfffa8003,0x000dffd2,0x3a1bffee,0xf70006ff,0xdffd0dff,0x7ffdc000,
    0x3ffec001,0xff900000,0x1fffcc5f,0xfffa8000,0x0ffff202,0x27ffec00,
    0x8017ffcc,0x1fffaffe,0x23fff880,0x00006ffe,0x017ffd40,0x367ffe00,
    0xd10005ff,0xb0005fff,0x7ffc7fff,0x7ff54005,0xfffff86f,0x3ea000ef,
    0x0dffd1ff,0x7fec0000,0x3fee005f,0xfffa805f,0xffffff02,0x7fd4001d,
    0x7ffc001f,0x0005ffd9,0xfb3fff00,0xffa800bf,0x00dffd2f,0x207ffec0,
    0x20006ffe,0x7f40fffd,0x3ee0006f,0x7ec001ff,0x1000007f,0xff98dfff,
    0xf500003f,0x3fe605ff,0x3e20006f,0xfff81fff,0xd7ff8804,0xff5007ff,
    0x037ff41f,0x3fea0000,0x3ea0002f,0x01fff77f,0x09fff700,0x9bffe200,
    0x88005fff,0x7fc2ffff,0x004fffff,0x7f47ffea,0x2000006f,0x802ffff8,
    0x800ffff8,0xff02fffa,0x009fffff,0x000fffd4,0x3feefff5,0x5400000f,
    0x1fff77ff,0x97ffd400,0x20006ffe,0x7f42fffa,0x3ea0006f,0x37ff42ff,
    0x3fff7000,0x07ffd800,0xfff90000,0x03fff985,0x5fff5000,0x007fffa0,
    0x09fff500,0xf700dffb,0x017feebf,0xffd1bff2,0xa800000d,0x20002fff,
    0xfff14ffd,0xfffd0007,0x7fec0001,0x00bfff0d,0xf1bffe60,0x3fffd9ff,
    0x47ffea00,0x00006ffe,0x07fffdc0,0x00bfff60,0xf817ffd4,0x1fffecff,
    0x03fff500,0xf8a7fec0,0x400003ff,0xfff14ffd,0x7ffd4007,0x000dffd2,
    0x3a27ffcc,0x260006ff,0x7ff44fff,0x3fee0006,0x7fec001f,0xf8800007,
    0xfff986ff,0xff500003,0xbfff305f,0x3ffe0000,0x00fffb87,0xff99ffec,
    0x27ff400f,0x0001bffa,0x05fff500,0x8bffe200,0x4c006ffd,0x40004fff,
    0x05fff818,0x8bfff600,0xfffacfff,0xfffa800e,0x000dffd1,0x9fffb000,
    0x027ffd40,0x205fff50,0xfffacfff,0xfffa800e,0x5fff1001,0x00037fec,
    0x6c5fff10,0x3ea006ff,0x0dffd2ff,0x1fffdc00,0x8001bffa,0x7f43fffb,
    0x3ee0006f,0x7ec001ff,0xc800007f,0xff982fff,0xf500003f,0xfff505ff,
    0x3f200005,0x7ffcc1ff,0xf0fffc01,0x7fc405ff,0x037ff42f,0x3fea0000,
    0xff70002f,0x0fffd41f,0x07fff900,0x3ffe0000,0x3fea0005,0x653ffe4f,
    0xfa804fff,0x0dffd1ff,0xff100000,0xfff103ff,0x7fd4001d,0x29fff02f,
    0xa804fffc,0xf7001fff,0x7ffd41ff,0xff700001,0x0fffd41f,0xd2fffa80,
    0x6c000dff,0x7ff41fff,0x3ff60006,0x037ff41f,0x03fff700,0x007ffd80,
    0x37ffc400,0x003fff98,0x05fff500,0x0003fff7,0x20fffea0,0x3e603fff,
    0x027fec6f,0xfe81fff5,0x4000006f,0x0002fffa,0xfff09ffd,0x7ffec00b,
    0xff000002,0xff8000bf,0x453ffe6f,0x5401ffff,0xdffd1fff,0x2e000000,
    0xffd86fff,0x7fd4001f,0x29fff02f,0x401ffff8,0xd001fffa,0xbfff09ff,
    0x3ffa0000,0x005fff84,0x3fa5fff5,0xff70006f,0x0dffd0ff,0x1fffee00,
    0x8001bffa,0x4001fffb,0x00007ffd,0x981fffdc,0x00003fff,0xf905fff5,
    0x200001ff,0xfd84fff9,0x13fee05f,0x7e40dff7,0x06ffe86f,0x7fd40000,
    0xff98002f,0x0fffc81f,0x01fffd00,0x3ffe0000,0x7fec0005,0x549fff0f,
    0x2a00efff,0xdffd1fff,0x6c000000,0x3fea3fff,0xffa8004f,0x49fff02f,
    0x200efffa,0x9801fffa,0xffc81fff,0x7cc0000f,0xfffc81ff,0x2fffa800,
    0x4400dffd,0x82ffffd9,0x22006ffe,0x82ffffd9,0x20006ffe,0x4001fffb,
    0x00007ffd,0xf3037ffc,0x333339ff,0x13333333,0xd05fff50,0x40000fff,
    0xfa85fff8,0x0bffa07f,0x3a01fff1,0xeffe83ff,0x99999999,0x09999999,
    0x017ffd40,0x9837fec0,0xfd003fff,0x400000ff,0x40005fff,0xfff0fffd,
    0x04fffc89,0x7f47ffea,0x999999ef,0x99999999,0x3fe20009,0x0dffd0ff,
    0x0bffea00,0x3f227ffc,0x3fea04ff,0x6ffd801f,0x007fff30,0x306ffd80,
    0xf5007fff,0x3fffa5ff,0xeeeeeeee,0xfffffffe,0xddfffd04,0xfddddddd,
    0x09ffffff,0x8001bffa,0x4001fffb,0x00007ffd,0x980fffee,0xffffffff,
    0xffffffff,0x82fffa85,0x00006fff,0x7c437ffc,0xfff881ff,0x883ffe80,
    0xffe81fff,0xffffffff,0xffffffff,0x17ffd403,0x13ffe200,0xf006ffe8,
    0x00000dff,0x0002fffc,0x7fc7fff2,0x7fffc44f,0x23fff502,0xfffffffe,
    0xffffffff,0x5c003fff,0xfffbdfff,0xfff50001,0x113ffe05,0x2a05ffff,
    0x7c401fff,0x3ffa04ff,0x3fe20006,0x1bffa04f,0x74bffea0,0xffffffff,
    0xffffffff,0x3ffa02ff,0xffffffff,0xffffffff,0x01bffa02,0x01fffb80,
    0x003ffec0,0x80ffff00,0xfffffff9,0xffffffff,0x2fffa85f,0x0005fff8,
    0xe837ffc0,0x6ffa83ff,0xf50bff90,0x3fffa0ff,0xffffffff,0x3fffffff,
    0x017ffd40,0x803ffee0,0xf802fffb,0x000007ff,0x00017ffe,0x3fe5fff7,
    0xefffa84f,0xd1fffa80,0xffffffff,0xffffffff,0xfb0007ff,0x007fffff,
    0x817ffd40,0xffa84fff,0xfffa80ef,0x07ffdc01,0x005fff70,0x803ffee0,
    0x5402fffb,0xfffd2fff,0xffffffff,0x017bffff,0xffffffe8,0xffffffff,
    0x7f400bdf,0x3ee0006f,0x7ec001ff,0xf700007f,0xff9807ff,0xffffffff,
    0x85ffffff,0xff82fffa,0x2600007f,0xff905fff,0x207ff90b,0xffc87ffa,
    0xfffffd05,0xffffffff,0x807fffff,0x4002fffa,0x7c406ffe,0xffe805ff,
    0xf000000f,0xc8000bff,0x9fff1fff,0x213fff20,0xffd1fffa,0xffffffff,
    0xffffffff,0xfff10007,0xa8000dff,0xfff02fff,0x13fff209,0xd007ffea,
    0xff880dff,0xffd0005f,0x5fff880d,0xe97ffd40,0xbaaaaeff,0x02ffffdc,
    0x2abbffa0,0xfffdcbaa,0x3ffa002f,0x3fee0006,0x7fec001f,0xffd00007,
    0xfff9801f,0x9999999c,0xa8099999,0xffe82fff,0x3ea00007,0xdff504ff,
    0x2203fff0,0x7ff41fff,0x00dffd03,0xfffa8000,0x3ffe6002,0x0fffd803,
    0x00fffec0,0x5fff8000,0x7ffec000,0x2209fff0,0x7d42ffff,0x0dffd1ff,
    0x2e000000,0x0000ffff,0xf817ffd4,0xfff104ff,0x1fffa85f,0x00fffe60,
    0x0003fff6,0xb007fff3,0x7d401fff,0x0dffd2ff,0x05fffe88,0x880dffd0,
    0xd005fffe,0x64000dff,0x6c000fff,0xa80007ff,0xaaaadfff,0xfffbaaaa,
    0xff500003,0x3fffb05f,0x3fee0000,0x1fff103f,0x3a03ffcc,0x3ffe23ff,
    0x00dffd00,0xfffa8000,0x3fff2002,0xcccccccd,0x403fffdc,0x0002fffc,
    0x00bfff00,0x3e7ffe80,0x3fea04ff,0x3ffea0ef,0x000dffd1,0x7ffc0000,
    0xffa80005,0x09fff02f,0x5077ffd4,0x7e403fff,0xcccccdff,0x3fffdccc,
    0x6fffe400,0xcccccccc,0x2a03fffd,0xdffd2fff,0xbfffd100,0x00dffd00,
    0x00bfffd1,0x4000fffb,0x4000fffd,0x80007ffd,0xfffffffe,0xffffffff,
    0xf500003f,0xfff705ff,0x3f200005,0x3ffa01ff,0x7017fee2,0x37fd4bff,
    0x000dffd0,0x2fffa800,0x3ffffe00,0xffffffff,0x5407ffff,0x80004fff,
    0x17ffe1bd,0x4dfff000,0x7ec04fff,0x3ffea4ff,0x000dffd1,0x7ffc0000,
    0xffa80005,0x09fff02f,0x2a4fffd8,0x3fe01fff,0xffffffff,0x7fffffff,
    0x7ffffc00,0xffffffff,0x2a07ffff,0xdffd2fff,0x3fffe200,0x037ff403,
    0x03ffff88,0x0003ffec,0xb000fffb,0xa8000fff,0xffffffff,0xffffffff,
    0xf500003f,0xfff105ff,0xff10000b,0x4ffc80df,0xf300bff6,0x027fe4df,
    0x0000dffd,0x02fffa80,0xffffff50,0xffffffff,0x4405ffff,0x40005fff,
    0xfff5fffa,0x7fc4000b,0x013ffe5f,0x2a5ffff1,0xdffd1fff,0x40000000,
    0x80005fff,0xff02fffa,0xfff8809f,0x03fff52f,0x3fffffea,0xffffffff,
    0x5002ffff,0xffffffff,0xffffffff,0x3fea05ff,0x00dffd2f,0x017fffcc,
    0x4c00dffd,0x2e02ffff,0xf0001fff,0xfb000dff,0xfe8000ff,0xeeeeeeff,
    0xfffeeeee,0xff500003,0x3fff605f,0x7fe40002,0xb7fd403f,0xf800fff8,
    0x05ffb0ff,0x00037ff4,0x0bffea00,0x557ffec0,0xaaaaaaaa,0x405fffba,
    0x0000fffd,0x7fc7fff6,0x3ee0005f,0x13ffe3ff,0x23fffea0,0xffd1fffa,
    0x0000000d,0x0002fffc,0xf817ffd4,0xffa804ff,0x1fffa8ff,0x555fffb0,
    0x55555555,0x200bfff7,0xaaaafffd,0xbaaaaaaa,0xff505fff,0x01bffa5f,
    0x01ffff90,0x9001bffa,0x2601ffff,0xa8004fff,0xd8004fff,0x2a0007ff,
    0x26004fff,0x00003fff,0x2a05fff5,0x20006fff,0x400ffff9,0xdff57ff8,
    0x7cbff600,0x3ffa00ff,0x54000006,0xf8802fff,0xfe8004ff,0x3fea00ff,
    0xff30005f,0x02fffcdf,0x0ffff880,0x6c013ffe,0xfffacfff,0x000dffd1,
    0x7ffc0000,0xffa80005,0x09fff02f,0x2b3fff60,0xff881fff,0xffe8004f,
    0x7ffc400f,0xfffe8004,0xd2fffa80,0xfd000dff,0x3ffa0bff,0xfffe8006,
    0x0bfffe05,0x05fffd00,0x00fffb00,0x007fff40,0x007fff30,0x0bffea00,
    0x005fffd8,0x03fffe88,0xff93ffd0,0x2ffee009,0x7f405ff9,0x4000006f,
    0xb802fffa,0xb8001fff,0x7f404fff,0x744003ff,0x3ffe3fff,0xfff90005,
    0x004fff89,0xffbffff1,0x01bffa3f,0xff800000,0xfa80005f,0x9fff02ff,
    0x3fffe200,0xfb81fffd,0xfb8001ff,0x7fdc04ff,0xffb8001f,0x2fffa84f,
    0x3000dffd,0xfd05ffff,0xff3000df,0x3ff205ff,0xff9001ff,0x3f6000df,
    0xff30007f,0xff98009f,0xf500003f,0x7fc405ff,0xf5001eff,0x5c00bfff,
    0x01ffebff,0xff7bff10,0x06ffe807,0x7fd40000,0x6ffe802f,0xffff1000,
    0x4ffff980,0xdfffb100,0x8005fff8,0x7c0ffff9,0x3ea004ff,0xd1ffffff,
    0x00000dff,0x02fffc00,0x17ffd400,0x2004fff8,0xfffffffa,0x006ffe81,
    0x80ffff10,0x10006ffe,0xff50ffff,0x01bffa5f,0x07fffe40,0x4001bffa,
    0x880ffffc,0x1bdfffff,0x3fffee62,0xffb0002f,0x3ff6000f,0x7fcc001f,
    0xf500003f,0xff9805ff,0x4409bfff,0x0effffca,0x3f7fe600,0x7ff4007f,
    0x7f401ffd,0x4000006f,0x4c02fffa,0x20003fff,0x5c02fffc,0x0acfffff,
    0x77fffe44,0x002fffc0,0x09ffff91,0xd8009fff,0xd1ffffff,0x00000dff,
    0x02fffc00,0x17ffd400,0x4004fff8,0x1ffffffd,0x001fffcc,0x205fff90,
    0x0003fff9,0xf50bfff2,0x1bffa5ff,0x7fff4400,0x0037ff45,0x05fffe88,
    0xfffffff3,0xffffffff,0x7ec0007f,0xff98007f,0xff98005f,0xaaaaaadf,
    0xaaaaaaaa,0x00bffea0,0x3fffffa2,0xfffffeef,0xf8000dff,0x4005ffff,
    0x807ffffc,0xaaaaeffe,0xaaaaaaaa,0x2a02aaaa,0x7e402fff,0x260000ff,
    0xfb805fff,0xeeffffff,0x1fffffff,0xaaaefff8,0xfeccaaaa,0xff05ffff,
    0xff88009f,0xffd1ffff,0x5555555d,0x55555555,0x3fe00055,0xfa80005f,
    0x9fff02ff,0xffff8800,0x7ffe41ff,0x3fe60000,0x1fff905f,0x7ffcc000,
    0xe97ffd45,0x2a0006ff,0x3fa2ffff,0x3ea0006f,0xfd102fff,0xffffffff,
    0x0005ffff,0x8007ffd8,0x8001fffd,0xfffffff9,0xffffffff,0x3fea1fff,
    0xff91002f,0xffffffff,0x40007fff,0x003ffffd,0x02ffffd4,0x7ffffff4,
    0xffffffff,0x00ffffff,0xf805fff5,0xe80006ff,0xfa801fff,0xffffffff,
    0xf00dffff,0xffffffff,0xffffffff,0x27ffc0bf,0x7fffd400,0xfffffd1f,
    0xffffffff,0x1fffffff,0x0bfff000,0x5fff5000,0x0013ffe0,0x07ffffea,
    0x0000dfff,0xff03fffd,0xfd0000df,0x7ffd43ff,0x000dffd2,0x3a6fffd8,
    0x6c0006ff,0x6d406fff,0xffffffff,0xd80000be,0x7cc007ff,0xf30005ff,
    0xffffffff,0xffffffff,0x17ffd43f,0x3ffee200,0x0befffff,0x7ffdc000,
    0x7fc4000f,0xffe802ff,0xffffffff,0xffffffff,0xfff500ff,0x1fffd405,
    0x7ffdc000,0x3ff6a004,0x1dffffff,0x7fffffc0,0xffffffff,0x7fc02dff,
    0xffb0004f,0x3fffa3ff,0xffffffff,0xffffffff,0xfff8000f,0xffa80005,
    0x09fff02f,0x3ffff600,0x00fffea1,0x13ffee00,0x0007fff5,0x549fff70,
    0xdffd2fff,0xfff88000,0x00dffd4f,0x4ffff880,0xaaaa9880,0x6c000009,
    0x7e4007ff,0xf30002ff,0xffffffff,0xffffffff,0x17ffd43f,0x55531000,
    0x4c000013,0xd0006fff,0xfd001fff,0xffffffff,0xffffffff,0x3ea01fff,
    0x3ff602ff,0xf880000f,0x330007ff,0x7c001355,0xffffffff,0x01cceeff,
    0x0009fff0,0x747fffe2,0xffffffff,0xffffffff,0x8000ffff,0x80005fff,
    0xff02fffa,0x3e20009f,0x3ff61fff,0xf880000f,0x7ffec7ff,0xff880000,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,0x00000355,
    0x00155510,0x0aaa8800,0xaaaa8000,0x44000002,0x00002aaa,0x7fcc13fa,
    0x26000001,0x00002aaa,0x55400bd1,0x262001aa,0x01998819,0x05554c00,
    0x5554c000,0x00000002,0x55510000,0x64400003,0xcccccccc,0x400002cc,
    0x0006aa00,0x00000400,0x00999880,0xc880e640,0x2666000c,0x02200001,
    0x33101544,0xfffe8003,0x2000000f,0x00efffe8,0xfffd1000,0xf980001d,
    0x00000fff,0x013fff60,0x80ffc800,0x3ea007fd,0x7fc00eff,0x300001ff,
    0x7fcc00df,0xff5000ff,0x2fffc47f,0xffff3000,0xfff0000b,0x7000003f,
    0x0000dfff,0x03ffffb0,0x3ffe6000,0xffffffff,0xfd500005,0x3fe615bf,
    0x6cc00003,0x000003ef,0x001fffec,0x3fe41bf6,0x1ffff100,0xffc88000,
    0x81ff21ce,0x32007ffb,0x00efffff,0xfffb0000,0x20000bff,0x05fffffd,
    0x4fffa800,0xff300000,0x980000bf,0xfebaceff,0x3ffa003f,0x7ffdc01f,
    0x76540003,0x00bdffff,0x001fffdc,0x3f61fff9,0x3a20006f,0x003fffff,
    0x00fffee0,0x7ffdc000,0x7dc00006,0x000fffff,0xfffff980,0x05ffffff,
    0xffffa800,0x1fffefff,0x37e20000,0x00003fb9,0x00ffff60,0x315bff50,
    0x4400bff7,0x0000ffff,0x7ffffff4,0x2e05ffef,0xff5007ff,0x00bffb5f,
    0x3fff7000,0x80009ffd,0xffe9fffb,0xffc80004,0xc800000f,0x00000eff,
    0xffffffb8,0x3fea005f,0x5ffe802f,0x3ff62000,0xffffffff,0x03ffe402,
    0x3ebbffa0,0x360000ff,0x2fff9eff,0x0bfff000,0x7fdc0000,0x2600006f,
    0x6ffcafff,0x33330000,0x13333333,0x5dfb0000,0xbfffffd7,0x47b80000,
    0x2000006b,0x8003fffd,0xfffffffd,0x3fe2000f,0x220000ff,0xfffdacff,
    0x3ee01fff,0xfff8807f,0x007fff14,0x9fffcc00,0x0002fff9,0x3e67fff3,
    0xd80002ff,0x400004ff,0x0001fff8,0x3ffb6600,0x7ff4002e,0x0effa804,
    0xfffd1000,0xffffffff,0x3ffe805f,0x3fffe200,0x2e0001ff,0xfff71fff,
    0xeffb8001,0x2e000000,0x00006fff,0x3e2bffd1,0x000004ff,0x7c400000,
    0x16f64c3f,0x23640000,0x000000fa,0x0007fffb,0x37ffffee,0x7ffc4000,
    0x3ee0000f,0x067ed447,0x201ffee0,0x3ee0effe,0x880002ff,0x7fe46fff,
    0x7fc4001f,0x0fffe45f,0x3ffa2000,0x3f200000,0x0000003f,0x6ffa8000,
    0x003ffd00,0x577ffec0,0xfffd8ef9,0x1ffa200f,0x7ffff500,0x7ffcc000,
    0x0077ff44,0x0001ffd0,0x09998800,0xfffb0000,0x01fffd41,0xccba8800,
    0x0000009a,0x30000000,0x0002ec3f,0x30000000,0x00000135,0x00000000,
    0x0000fff7,0x00000000,0x00000000,0x00000000,0x26000000,0x009bccba,
    0x0002aa60,0xfffa8000,0xffa9be24,0x2000004f,0x00001998,0x00000000,
    0x65d4c000,0x000009bc,0x2a000000,0xfffffffe,0x00001cff,0x00009998,
    0xffdfe800,0x26620001,0x99999999,0x99999999,0x26662009,0x33333100,
    0x33333333,0x41333333,0x20000999,0x3fee1998,0x09998007,0x13331000,
    0x33310000,0x26666621,0x99999999,0x20999999,0x99999998,0x99999999,
    0x98809999,0x99999999,0x99999999,0xf9300099,0xffffffff,0x331001bd,
    0x00266603,0x87fff200,0x3fffc6f8,0x88099988,0x99999999,0x99999999,
    0x26620999,0x4cc40001,0x99999999,0x99999999,0xff930009,0xdfffffff,
    0x0998801b,0x06662000,0x3ffff220,0xffffffff,0x700000df,0x0001ffff,
    0xffffb800,0x3ff20000,0xffffffff,0xffffffff,0x3ffea04f,0xfffffd02,
    0xffffffff,0x47ffffff,0x0001ffff,0x3ee3fff5,0x7fdc007f,0xfa8000ff,
    0x40000fff,0xffd3fffe,0xffffffff,0xffffffff,0x7ffff47f,0xffffffff,
    0x3fffffff,0xffffffc8,0xffffffff,0x404fffff,0xffffffd8,0xffffffff,
    0x43ffdc02,0x0004fff8,0x7c46ffd8,0x407ffe46,0xfc82fffa,0xffffffff,
    0xffffffff,0x1ffea4ff,0xffffd000,0xffffffff,0x7fffffff,0xffffd880,
    0xffffffff,0x3ffa02ff,0x3fee0006,0x3ffa601f,0xeccdefff,0x01efffff,
    0xffffe800,0x74000003,0x0003ffff,0x3ffffff2,0xffffffff,0x204fffff,
    0xfd02fffa,0xffffffff,0xffffffff,0x7fffc7ff,0xfff50006,0x001ffee3,
    0x007ffffd,0x017fff60,0x25fffb80,0xfffffffe,0xffffffff,0x3fa3ffff,
    0xffffffff,0xffffffff,0xfffc83ff,0xffffffff,0xffffffff,0x3fffa604,
    0xfdccefff,0x00dfffff,0xff10fff7,0xff00009f,0x446f887f,0x3ffea009,
    0xfffffc82,0xffffffff,0x24ffffff,0x40007ffa,0xfffffffe,0xffffffff,
    0x2603ffff,0xeffffffe,0xfffffdcc,0x6ffe80df,0x3ffee000,0xfffff501,
    0x7ffdc405,0x260001ff,0x006fffff,0x3ffe6000,0x320006ff,0xffffffff,
    0xffffffff,0x3ea04fff,0xfffd02ff,0xffffffff,0xffffffff,0x27ffffc7,
    0x8fffd400,0x26007ffb,0x006fffff,0x05ffff10,0x1ffff100,0x7ffffff4,
    0xffffffff,0x3a3fffff,0xffffffff,0xffffffff,0xffc83fff,0xffffffff,
    0xffffffff,0xffff304f,0x7dc4037f,0xff706fff,0x09fff10f,0x8dffd000,
    0xfa8006f8,0xfffc82ff,0xffffffff,0xffffffff,0x001ffea4,0xffffffd0,
    0xffffffff,0x207fffff,0x1bfffff9,0x3fffee20,0x006ffe86,0x207ffee0,
    0x00cffff8,0x0dfffd10,0x7e7fe400,0x000001ff,0x3fff9ff9,0x26662000,
    0x99999999,0xffffa999,0x0bffea02,0x4ccf7ff4,0x99999999,0x3e099999,
    0x001fffff,0xfb8fffd4,0x3ff2007f,0x0001fffc,0x001ffff5,0x742fffd8,
    0x99999eff,0x99999999,0x3ffa0999,0x9999999e,0x99999999,0x99998809,
    0x99999999,0x2ffffa99,0x03dfffd0,0x0ffffcc0,0x7c43ffdc,0xc80004ff,
    0x1be20fff,0x0bffea00,0x26666662,0x99999999,0x2a2ffffa,0x740007ff,
    0x99999eff,0x99999999,0xffd00999,0x7cc003df,0x7ff41fff,0x3fee0006,
    0x3fffc81f,0x9fffb000,0x27ffe000,0x00005ffd,0xffb3fff0,0x8000000b,
    0x403fffe8,0xfd02fffa,0xf80000df,0x00efffff,0x5c7ffea0,0x3fe007ff,
    0x005ffd9f,0x017fff60,0xe85fffb8,0x400006ff,0x00006ffe,0x7f440000,
    0xfff903ff,0x3fe2000b,0x87ffb85f,0x0004fff8,0x224fffa8,0xffa8006f,
    0x2200002f,0x7d43fffe,0x7f40007f,0x9000006f,0x2000bfff,0x7f45fff8,
    0x3ee0006f,0x7ffcc1ff,0x3fe20006,0x7d4001ff,0x01fff77f,0x7ffa8000,
    0x0001fff7,0x7fff4000,0x2fffa805,0x000dffd0,0xffffff80,0x3fea004f,
    0x00fff71f,0x7fddffea,0xff10000f,0xff1005ff,0xdffd01ff,0xffe80000,
    0x00000006,0x82ffff40,0x000ffff9,0x703fff20,0xfff10fff,0xfd100009,
    0x0df13bff,0x05fff500,0x7fff4000,0x007ffa85,0x0037ff40,0x7fffcc00,
    0x3ff20000,0x01bffa0f,0x41fffb80,0x0001fffe,0x0027ffd4,0x7fc53ff6,
    0x6c00003f,0x7fff14ff,0x36000000,0xf5006fff,0x3ffa05ff,0x7fc00006,
    0x01fffecf,0x2e3fff50,0xffb007ff,0x00fffe29,0x0ffffb80,0x817ffec0,
    0x00006ffe,0x00037ff4,0xffb00000,0x7ffe40df,0x7fc40002,0x43ffdc3f,
    0x0004fff8,0xdffffd10,0xfa8001df,0xb00002ff,0x3ea0dfff,0x7f40007f,
    0xc800006f,0x40002fff,0x3fa3fff8,0x3ee0006f,0x3ffe61ff,0xfff00005,
    0x7ffc400f,0x001bff62,0x22fff880,0x00006ffd,0x0ffffc80,0x05fff500,
    0x0001bffa,0xff59fff0,0xff5001df,0x01ffee3f,0xfd8bffe2,0x7ec0006f,
    0x3fea04ff,0x1bffa04f,0xdffd0000,0x00000000,0x803ffff2,0x00007fff,
    0x1ffee055,0x0013ffe2,0xffffe880,0x800bdfff,0x0002fffa,0x00ffffc8,
    0xdba8fff5,0xffd00ace,0xff00000d,0x2a0000ff,0x006ffe82,0xa87ffee0,
    0x00002fff,0x2003fff9,0x3ea0fffb,0x700001ff,0x7fd41fff,0x2000001f,
    0x001ffffa,0x740bffea,0x400006ff,0xfff94fff,0x3fff5009,0x2e01ffee,
    0x3fea0fff,0x3e20001f,0xff881fff,0x3ffa00ef,0x7f400006,0x0000006f,
    0x1ffffa80,0x017ffe60,0x3fee0000,0x04fff887,0xffda8000,0x02ffffff,
    0x0017ffd4,0x07fffea0,0xfd37ffa8,0x09ffffff,0x0000dffd,0x005fff98,
    0x37ff4000,0x3fff7000,0x000fffdc,0x03fffa80,0xff09ffd0,0x3a0000bf,
    0x5fff84ff,0xff300000,0xfa8007ff,0xdffd02ff,0xfff80000,0x03ffff14,
    0xf71fffa8,0x9ffd00ff,0x000bfff0,0xd86fffb8,0x7f401fff,0x7400006f,
    0x000006ff,0x7fffcc00,0x27ffdc03,0x7dc00000,0x4fff887f,0x32200000,
    0x5fffffff,0x00bffea0,0x3ffff980,0x7dfffd40,0xffffffff,0x037ff43f,
    0x3ffee000,0x74000004,0x2e0006ff,0x3ff21fff,0xf300000f,0xff3009ff,
    0x1fff903f,0xfff98000,0x00fffc81,0x7ff44000,0xffa8005f,0x0dffd02f,
    0x4fff8000,0x803bffea,0xff71fffa,0x1fff980f,0x000fffc8,0x51fffec0,
    0xfd009fff,0xe80000df,0x000006ff,0x3fffa200,0x2fffc805,0xfb800000,
    0x4fff887f,0x7c400000,0x4ffffeae,0x005fff50,0x17fffa20,0x3ffffea0,
    0xffc99acf,0x1bffa2ff,0xfff90000,0xe8000005,0x2e0006ff,0x3ffa1fff,
    0x3e200007,0xffd805ff,0x07fff306,0x06ffd800,0x0007fff3,0x06fffd80,
    0x05fff500,0x2667bffa,0x99999999,0x7fc09999,0x27ffe44f,0x2e3fff50,
    0x7fec07ff,0x07fff306,0xffff8800,0x200dffd0,0x9999effe,0x99999999,
    0x7ff40999,0x9999999e,0x99999999,0x3ff60000,0xfffb006f,0x70000003,
    0xfff10fff,0x88000009,0x3fffea6f,0x02fffa81,0x0dfffb00,0x3bfffea0,
    0x4bfff300,0x9999effe,0x99999999,0x7fec0999,0x4000001f,0xccccfffe,
    0xcccccccc,0x21fffdcc,0x00006fff,0x22037ffc,0x3fa04fff,0x3e20006f,
    0x3ffa04ff,0x3f200006,0x50000fff,0x3fa05fff,0xffffffff,0xffffffff,
    0x227ffc3f,0x502ffff8,0x3fee3fff,0x13ffe207,0x0006ffe8,0xfbdfffb8,
    0xffd001ff,0xffffffff,0xffffffff,0xfffffe87,0xffffffff,0x003fffff,
    0x01ffff90,0x801fffa0,0xaaaaaaaa,0x3ee0aaaa,0x4fff887f,0x7c400000,
    0x427ffd46,0x8002fffa,0x000ffffc,0x803ffff5,0x3ffa7ffd,0xffffffff,
    0xffffffff,0x003fff43,0x55555555,0x3fa15555,0xffffffff,0xffffffff,
    0x3fe1ffff,0x7c00005f,0x7fdc06ff,0x3ffee00f,0xfff70002,0x17ffdc01,
    0x7ffd4000,0x3ea0001f,0xfffd02ff,0xffffffff,0x7fffffff,0xfa84fff8,
    0xffa80eff,0x40fff71f,0x2e00fffb,0x80002fff,0x3ffffffd,0x3ffffa00,
    0xffffffff,0x43ffffff,0xfffffffe,0xffffffff,0xa8003fff,0x2001ffff,
    0x36007ffe,0xffffffff,0x3fee0fff,0x04fff887,0x37c40000,0x7d42fffc,
    0x7d4002ff,0x2a001fff,0xfa804fff,0xffffd0ff,0xffffffff,0x87ffffff,
    0x36007ffe,0xffffffff,0xfffd0fff,0xffffffff,0xffffffff,0x3fffc3ff,
    0xfff30000,0x06ffe80b,0x002fffc4,0x4406ffe8,0x40005fff,0x003ffff8,
    0x817ffd40,0xfffffffe,0xffffffff,0x7ffc3fff,0x09fff904,0x3ee3fff5,
    0x1bffa07f,0x00bfff10,0xfffff100,0xfffe800d,0xffffffff,0x3fffffff,
    0x7ffffff4,0xffffffff,0x4003ffff,0x003ffff8,0x8007ffec,0xfffffffd,
    0x3ee0ffff,0x4fff887f,0x10530000,0x0fffb0df,0x4005fff5,0x003ffff8,
    0x4017ffd4,0xffd1fff9,0xffffffff,0xffffffff,0x00fffd87,0xffffffb0,
    0x3a1fffff,0xeeeeefff,0xeeeeeeee,0x3a1fffee,0x200007ff,0x2604fffa,
    0xfd803fff,0x7cc000ff,0xffd803ff,0xfd10000f,0x500009ff,0x3fa05fff,
    0x7c00006f,0xfff104ff,0x1fffa85f,0x3e60fff7,0xffd803ff,0xfb80000f,
    0x74000fff,0x400006ff,0x00006ffe,0x3fffa200,0xfffc8004,0xffffb000,
    0x1fffffff,0x7c43ffdc,0x540004ff,0x37c40fff,0x7d43ffe4,0xfd1002ff,
    0xf50009ff,0xff3003ff,0x01bffa3f,0x1fff9000,0x3ffff600,0x0fffffff,
    0x4000dffd,0x3f61fffb,0x700001ff,0x7e407fff,0xcccccdff,0x3fffdccc,
    0x6fffe400,0xcccccccc,0x0003fffd,0x000dfffb,0x40bffea0,0x00006ffe,
    0xf5027ffc,0x7fd41dff,0x20fff71f,0xcccdfffc,0xffdccccc,0xff00003f,
    0xffd000bf,0xfe80000d,0x0000006f,0x001bfff6,0x0017ffdc,0x20fffb80,
    0xff887ffb,0x7cc0004f,0x437c42ff,0xffa85ffd,0xfffb002f,0x3fea000d,
    0xfff9800f,0x000dffd1,0x02fffb80,0x1fff7000,0x8001bffa,0x3ee1fffb,
    0x900002ff,0x7fc03fff,0xffffffff,0x7fffffff,0x7ffffc00,0xffffffff,
    0x8007ffff,0x000ffffb,0x05fff500,0x0001bffa,0xd809fff0,0x3fea4fff,
    0x20fff71f,0xffffffff,0xffffffff,0xff00007f,0xffd000bf,0xfe80000d,
    0x0000006f,0x001ffff7,0x017ffe60,0x07ffdc00,0xff10fff7,0xfd00009f,
    0x446f88bf,0xffa84fff,0xfffb802f,0xff50000f,0x3ffe600f,0x000dffd1,
    0x05fff980,0x1fff7000,0x8001bffa,0x3e21fffb,0x880005ff,0x3ea06fff,
    0xffffffff,0xffffffff,0xfff5002f,0xffffffff,0x5fffffff,0x7fffd400,
    0x3ea00001,0xdffd02ff,0xfff80000,0x7fffc404,0x2e3fff52,0xfffa87ff,
    0xffffffff,0x2fffffff,0x5fff8000,0x06ffe800,0x37ff4000,0x7d400000,
    0x40001fff,0x00007ffe,0x7dc1fff7,0x4fff887f,0xfffc8000,0xff91be21,
    0x5fff505f,0x1ffffa80,0x1ffea000,0xe8fffcc0,0x800006ff,0x00007ffe,
    0x3fa1fff7,0x3ee0006f,0x7ffec1ff,0x7fe40002,0x3fff603f,0xaaaaaaaa,
    0x5fffbaaa,0x55fffb00,0x55555555,0x00bfff75,0x00bfffe2,0x5fff5000,
    0x001bffa0,0x009fff00,0xf51ffff5,0x1ffee3ff,0x2aabfff6,0xaaaaaaaa,
    0x0005fffb,0x8005fff8,0x00006ffe,0x00037ff4,0x3fffe200,0xffc80002,
    0xfb80003f,0x1ffee0ff,0x0013ffe2,0x4bfffe60,0x3ffee6f8,0x05fff505,
    0x017fffc4,0x01ffea00,0xfe8fffcc,0xc800006f,0x80003fff,0xffd0fffb,
    0x7fdc000d,0x37ffd41f,0xffff3000,0x13ffe201,0x03fffa00,0x009fff10,
    0x801fffd0,0x004fffe8,0x2fffa800,0x000dffd0,0x004fff80,0xff59fffb,
    0x11ffee3f,0xd0009fff,0x80001fff,0xe8005fff,0x400006ff,0x00006ffe,
    0x13fffa20,0x7ffc4000,0x7dc0001f,0x1ffee0ff,0x0013ffe2,0x6ffffdc0,
    0xfffebefc,0x5fff500f,0x13fffa20,0x1ffea000,0xe8fffcc0,0x800006ff,
    0x001ffff8,0xe87ffdc0,0x2e0006ff,0xffd81fff,0xfe88005f,0x3fee03ff,
    0xffb8001f,0x7ffdc04f,0xfffb8001,0x2fffec04,0xffa80000,0x0dffd02f,
    0x4fff8000,0xbffff100,0x3fee3fff,0x00fffdc7,0x027ffdc0,0x017ffe00,
    0x001bffa0,0x00dffd00,0x7ffec000,0x7dc00005,0x30001eff,0x7dc1fffd,
    0x4fff887f,0x3fea0000,0xffffffff,0x3fea01ef,0xbfffb02f,0x3fea0000,
    0x3fff3007,0x0001bffa,0x0f7ffdc0,0xfffe9800,0x000dffd0,0x440fffdc,
    0x001effff,0x80bffff5,0x10006ffe,0xfe80ffff,0xff10006f,0x7ffdc0ff,
    0x5000000e,0x3fa05fff,0x7c00006f,0x3ea004ff,0x01ffffff,0x0006ffe8,
    0x000ffff1,0x8005fff8,0x00006ffe,0x00037ff4,0x0efffb80,0xffd80000,
    0x322003ff,0x2e0fffff,0xfff887ff,0x6d400004,0xffffffff,0x2fffa804,
    0x00efffb8,0x0fff5000,0x747ffe60,0x000006ff,0x00fffff6,0xfffffc88,
    0x000dffd0,0x980fffdc,0x09bfffff,0x7fffe544,0x3ffe600e,0x3ff20003,
    0x7fff302f,0x7ffe4000,0x0ffffa82,0x3ea00000,0xdffd02ff,0xfff80000,
    0x7ffec004,0x7cc01fff,0x320003ff,0x20002fff,0xe8005fff,0x400006ff,
    0x00006ffe,0x00ffffa8,0xffd10000,0x2137bfff,0xffffdba8,0x3ffdc3ff,
    0x0027ffc4,0x5ff93000,0x7ffd4001,0x07fffd42,0xfff50000,0x47ffe600,
    0x00006ffe,0x3ffffa20,0x75109bdf,0x7ffffffb,0x00037ff4,0x4403fff7,
    0xeffffffe,0xfffffffe,0x7ffe400d,0x3fe60000,0x1fff905f,0x7ffcc000,
    0x67fffc45,0xaaaaaaaa,0xaaaaaaaa,0x0bffea02,0x55577ff4,0xaaaaaaaa,
    0x3e2aaaaa,0x7c4004ff,0x401fffff,0x0000fffc,0x0017ffe6,0x8005fff8,
    0xaaaaeffe,0xaaaaaaaa,0x3fa2aaaa,0xaaaaaaef,0xaaaaaaaa,0x3ffe22aa,
    0xaaaaaacf,0xaaaaaaaa,0x7fe402aa,0xffffffff,0xcfffffff,0x887ffb80,
    0xaaaadfff,0xaaaaaaaa,0x0df1001a,0x45fff500,0xaacffff8,0xaaaaaaaa,
    0x22aaaaaa,0xf3007ffa,0x3bffa3ff,0xaaaaaaaa,0xaaaaaaaa,0x7fffe402,
    0xffffffff,0x40cfffff,0x20006ffe,0x4401fffb,0xfffffffc,0x03ffffff,
    0x000dfff0,0xf03fffd0,0xd0000dff,0x7fcc3fff,0xffffffff,0xffffffff,
    0x3ea07fff,0xfffd02ff,0xffffffff,0xffffffff,0x013ffe1f,0x3ffffea0,
    0x037ffc01,0x0ffff400,0x05fff800,0xfffffe80,0xffffffff,0x0fffffff,
    0xfffffffd,0xffffffff,0x261fffff,0xffffffff,0xffffffff,0x807fffff,
    0xffffffea,0xefffffff,0x21ffee01,0xfffffff8,0xffffffff,0xdf1003ff,
    0x5fff5000,0x7fffffcc,0xffffffff,0x7fffffff,0x4c01ffea,0xfffd1fff,
    0xffffffff,0xffffffff,0xffea801f,0xffffffff,0xfd01efff,0x7dc000df,
    0xf71001ff,0xdfffffff,0x3fea0017,0xfb80003f,0x7ffd44ff,0xffb80003,
    0x3fffe64f,0xffffffff,0xffffffff,0x3ffea07f,0xfffffd02,0xffffffff,
    0x1fffffff,0x40013ffe,0x201ffffd,0x0003fffa,0x004fffb8,0x000bfff0,
    0xfffffffd,0xffffffff,0x3a1fffff,0xffffffff,0xffffffff,0xff30ffff,
    0xffffffff,0xffffffff,0x4c00ffff,0xfffffffc,0xfb802cdf,0xffff887f,
    0xffffffff,0x003fffff,0xf5000df1,0x7ffcc5ff,0xffffffff,0xffffffff,
    0x1ffea7ff,0xe8fffcc0,0xffffffff,0xffffffff,0x3000ffff,0xfffffff9,
    0xfe8059bf,0x3ee0006f,0x988001ff,0x80009aaa,0x0000fffd,0x6c7fff88,
    0x80000fff,0x3e67fff8,0xffffffff,0xffffffff,0x2a07ffff,0xffd02fff,
    0xffffffff,0xffffffff,0x13ffe1ff,0x7fffc400,0x03fff601,0x3ffe2000,
    0xbfff0007,0xffffd000,0xffffffff,0xffffffff,0x3fffffa1,0xffffffff,
    0x0fffffff,0xfffffff3,0xffffffff,0x0fffffff,0x26aa6200,0x7ffb8000,
    0xffffff88,0xffffffff,0x00003fff,0x22fffa80,0xfffffff9,0xffffffff,
    0x27ffffff,0xf3007ffa,0x3fffa3ff,0xffffffff,0xffffffff,0xa988000f,
    0x7f40009a,0x3ee0006f,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xed85ddd0,0xbd98004e,0x6443ed81,0xcccccccc,0xdd3003cc,0x1777443d,
    0x4cccc400,0x09999999,0x81bee000,0x300004fe,0x33333333,0x20000133,
    0x77545eec,0xdd300006,0x1777443d,0x322776c0,0x2aaa05ee,0xaaaaaaaa,
    0x27764002,0xf7017bae,0xffffffff,0xa88007ff,0x001abccb,0x00000000,
    0x01597510,0x00399300,0x2aaaa200,0x00010000,0x00006644,0x4400f322,
    0x80002aba,0x90003cc8,0x3fe00079,0x02fff43f,0xdffffd10,0x987ff739,
    0xffffffff,0xf3005fff,0x7ffc45ff,0xfffa8003,0xffffffff,0x3fe60004,
    0x002ffa83,0xfffff880,0x06ffffff,0x8dffb000,0x00007ffb,0x7c43fff5,
    0xfff802ff,0xf037fec5,0xffffffff,0xfe800fff,0x03ffe45f,0x3fffffee,
    0x803fffff,0xfffffeb8,0x000cffff,0x66554400,0x0f5401ab,0x7fffff4c,
    0x037f4004,0x9fff9000,0x7df93000,0x0ffe8800,0x0ffec000,0x3ffffa60,
    0x360002ff,0xf88001ff,0xfff0004f,0x005ffe87,0x3fffbfee,0x4c0fffff,
    0xffffffff,0xf3005fff,0x7ffc45ff,0xfffa8003,0xffffffff,0x7ff40004,
    0x06ffdbbd,0xffff1000,0xdfffffff,0x3ff60000,0x003ffdc6,0x21fffa80,
    0xf802fff8,0x37fec5ff,0xfffffff0,0x800fffff,0x7fe45ffe,0x7fffdc07,
    0x3fffffff,0x7ffffd40,0xffffffff,0xda80004f,0xffffffff,0x37fcc0cf,
    0x3fbfffe6,0xff5005ff,0x3e200007,0xdd0006ff,0x26007f75,0x0000fffe,
    0x3a00ffee,0x7ffeceff,0x07ff7000,0x00bfea00,0x3a1fffc0,0x3fa005ff,
    0x3bfff6a5,0x33333302,0x00133333,0xf88bffe6,0xc98003ff,0xcccccccc,
    0x440002cc,0xffffffff,0x33200001,0xcccccccc,0xfb00003c,0x07ffb8df,
    0x3fff5000,0x4017ffc4,0x7fec5fff,0x2aaaaa06,0x02aaaaaa,0x322fff40,
    0x000007ff,0x3fffff20,0xffedccef,0x8000dfff,0xffffffe9,0x3fffffff,
    0xfd83fff3,0x3ffd50cf,0x000dfd00,0x007ffe40,0x0d707d40,0xfffffd88,
    0xbff30000,0xc85ff900,0x7cc003ff,0x3f60005f,0x00000007,0x5440e640,
    0x00000001,0x00000000,0xd9100000,0x00019dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc40000,0xfffb0009,0x7e4403df,0x2000efff,
    0xeffffffb,0xffffedcd,0x441fffef,0x6ff986ff,0x0017fd40,0x02fff880,
    0x0f98d700,0x3f77ffe0,0xffd0000f,0x50753001,0xfe8009ff,0x3fe0000f,
    0xba880005,0x00009acc,0x2aa98000,0x44055544,0x22000099,0x02662199,
    0x01998800,0x00000000,0x0004ccc0,0x09998000,0x13331000,0x33310000,
    0x01333101,0x33333331,0x33333333,0x4c413333,0x99999999,0x99999999,
    0x3fea0099,0xfffa802f,0x3fa6003f,0xff7005ff,0x64405dff,0x82ffffff,
    0xffd03ffa,0x0006fe80,0x000ffee0,0x01722f88,0x03ff23bf,0x00bff200,
    0x03ffd100,0x0017fe40,0x0007ff30,0x3fffffaa,0x001cffff,0x00133310,
    0xffa8fff9,0x06ffe80f,0x47ffee00,0x20006ffe,0x0001fffb,0x00001333,
    0x1ffff700,0xfb800000,0xa8000fff,0x0000ffff,0x541ffff4,0xffe82fff,
    0xffffffff,0xffffffff,0x3ffffa3f,0xffffffff,0x3fffffff,0x00bffea0,
    0x003ffff1,0x05fffd10,0x04ffff98,0x1ffffa60,0xfd817fe4,0x05ff700f,
    0x00000000,0x00bfb7f6,0x000ffc81,0x00027fd4,0x003dfff3,0x00027fd4,
    0x10007fee,0xfffffff9,0x1bffffff,0x2fffa800,0x547ffc80,0xffe80fff,
    0x3fee0006,0x00dffd1f,0x00fffdc0,0x07fffdc0,0x3fa00000,0x00003fff,
    0x1fffff40,0x5fffd800,0x3ffee000,0x05fff505,0xfffffffd,0xffffffff,
    0x7f47ffff,0xffffffff,0xffffffff,0x3fea03ff,0x7ffe402f,0x3fe60004,
    0x3ffa00ff,0xffd8002f,0x2ffc83ff,0x3a03ffb0,0x0000006f,0x9b5000a8,
    0x1ff90001,0x077fc400,0x9fff7000,0x3bfe2001,0x3ff40000,0x3fffa600,
    0xfeccdeff,0x001effff,0x200bffea,0x7fd47ffc,0x06ffe80f,0x47ffee00,
    0x20006ffe,0x8001fffb,0x003ffffe,0x3ffe6000,0x000006ff,0x1bffffe6,
    0x7fffc400,0xfff88002,0x5fff500f,0xffffffd0,0xffffffff,0x747fffff,
    0xffffffff,0xffffffff,0x3ea03fff,0x7ffc02ff,0x7e40000f,0xfff702ff,
    0xfff9000b,0x5ff90fff,0x2e07ff60,0x300002ff,0x4379dd97,0x00000efa,
    0x000ffc80,0x00007ff6,0x05ffd953,0x0003ffb0,0x2004ff88,0x02fffffa,
    0x3ffffee2,0x5fff5001,0x98999500,0xffe80ccc,0x3fee0006,0x00dffd1f,
    0x00fffdc0,0x3ffffe60,0x32000006,0x01fffcff,0x9ff90000,0x20003fff,
    0x000ffffa,0x5017ffec,0xffd05fff,0x3333333d,0x33333333,0x4f7ff413,
    0x99999999,0x09999999,0x80bffea0,0x0003fffa,0xd05fff88,0xb8003fff,
    0x3fffbdff,0xfe81ffdc,0x006ff80f,0xffffd880,0xffadffff,0x400aaa65,
    0x3f202aa8,0x7ff7000f,0xfff00000,0x003ffb80,0x002ffa80,0x019ffff1,
    0x1bfffa20,0x017ffd40,0x7ff40000,0x3fee0006,0x00dffd1f,0x00fffdc0,
    0x3ff3ff20,0xf000001f,0x0bffb3ff,0x3ffe0000,0x0005ffd9,0x8017fff6,
    0x5405fffb,0xffe82fff,0x7f400006,0x4000006f,0x3602fffa,0x00000fff,
    0xf981fffd,0x7d4004ff,0x7fff88ef,0x7c427fd4,0x02ffb87f,0x7fffd400,
    0xffffffff,0x1ffee0ef,0x903ffd40,0xff1001ff,0xb008000d,0x3fe603ff,
    0xff900006,0x3fff2001,0xfffb0003,0x5fff5009,0xfd000000,0x7dc000df,
    0x0dffd1ff,0x0fffdc00,0x367ffe00,0x800005ff,0xfff77ffa,0xfa800001,
    0x01fff77f,0x3fffe200,0xffff8802,0x17ffd400,0x00037ff4,0x001bffa0,
    0x5fff5000,0x003fffc0,0x83fff900,0x2001fffc,0x3f60eff9,0x07ffc0ff,
    0xff113fee,0xff98000d,0xeb889cff,0x7dc3ffff,0xfff5007f,0x4007fe40,
    0x88000ffe,0xfff886ff,0x001ffd01,0x401bfe00,0x0006fff9,0x007fffe2,
    0x0005fff5,0x0dffd000,0x8fffdc00,0x20006ffe,0x2001fffb,0xfff77ffa,
    0xfd800001,0x07fff14f,0x4ffd8000,0x0007fff1,0x007fffdc,0x200bfff6,
    0xfe82fffa,0x7400006f,0x000006ff,0xf017ffd4,0x40000dff,0x7f42fffa,
    0xff3000ff,0x1fffb83f,0x6ce7ffdc,0x7fdc0fff,0x7fec0002,0x3fff202f,
    0x01ffee0f,0xf903ffd4,0x2ffc801f,0x33fee000,0x07ffda89,0x00005ff9,
    0x7400ffe6,0x40001fff,0x5404fffa,0x55302fff,0x8aaa2005,0x20006ffe,
    0xffd1fffb,0x7fdc000d,0x3ff6001f,0x007fff14,0x17ffc400,0x0000dffb,
    0xfb17ffc4,0xfd8000df,0x3fea04ff,0xfff5004f,0x00dffd05,0x06ffe800,
    0x7fd40000,0xbfff102f,0x7fd40000,0x03fff43f,0xa81fff88,0xffd83fff,
    0x442fffff,0x540006ff,0x3e603fff,0x3ee3ffff,0xfff5007f,0x3007fe40,
    0xd0000bff,0xffffffff,0x00bff303,0x00ffdc00,0x002fffcc,0x407fff80,
    0xf702fffa,0x3fea00ff,0x001bffa7,0xfd1fffb8,0x7dc000df,0xff1001ff,
    0x037fec5f,0x1fff7000,0x000fffd4,0x20fffb80,0x0001fffa,0x207fffe2,
    0x000efff8,0xfd05fff5,0xe80000df,0x000006ff,0x9817ffd4,0x00004fff,
    0xff13ffe6,0xffd100df,0x13ffe605,0x06ffff5c,0x0000ffe4,0xe881bffa,
    0x2e7ffdef,0xff5007ff,0x807fe40f,0x0000efe8,0xfffffc88,0x0eff880d,
    0x1ff60000,0x017ffd40,0x1fffc800,0x40bffea0,0xf5007ffb,0x037ff4ff,
    0x23fff700,0x20006ffe,0x7001fffb,0x7fd41fff,0xfd00001f,0x0bfff09f,
    0x13ffa000,0x00017ffe,0xfb0dfff7,0x7d4003ff,0x6ffe82ff,0x7ff40000,
    0x54000006,0xff302fff,0x4c00009f,0x3fe23fff,0x3ffd805f,0x017ffe20,
    0x2ffc4011,0x01e765c4,0x7ec07fff,0x70fffa9f,0x3ea00fff,0x7ec0007f,
    0x1eea801f,0x6c009880,0xeea801ff,0x802ffc01,0x0001fffb,0x407fff50,
    0xf702fffa,0x3fea00ff,0x001bffa7,0xfd1fffb8,0x7dc000df,0xffd001ff,
    0x00bfff09,0x03fff300,0x0001fff9,0xc81fff98,0x40000fff,0x3ea3fffd,
    0x7d4004ff,0x6ffe82ff,0x7ff40000,0x54000006,0xff102fff,0x5c0000bf,
    0x3fe22fff,0x27fec05f,0x017ffe20,0x883ff900,0x1efffffe,0xb817ffc4,
    0x3fff12ff,0x5401ffee,0x2a0007ff,0xff9804ff,0xf500001f,0xfff3009f,
    0x01ffd403,0x000fffc8,0x09fff300,0xb817ffd4,0xff5007ff,0x0037ff4f,
    0x3a3fff70,0x2e0006ff,0xf9801fff,0xfffc81ff,0x7fec0000,0x07fff306,
    0x06ffd800,0x0007fff3,0xd0ffff88,0xf5000dff,0xdffd05ff,0x33333333,
    0x13333333,0x999effe8,0x99999999,0x54009999,0x3fe02fff,0x3200006f,
    0x7ffc1fff,0x017ff206,0x0013ffe6,0x7c45ff88,0xffffcfff,0x207ffe60,
    0x7ffc4ff9,0x200fff73,0x10007ffa,0xff100dff,0x100003ff,0xff100dff,
    0x7fe403ff,0x0fffd000,0x7ffc4000,0x0bffea05,0xa803ffdc,0x1bffa7ff,
    0x1fffb800,0x4000dffd,0xd801fffb,0xfff306ff,0x7fc40007,0x1bffa04f,
    0x4fff8800,0x001bffa0,0x2f7ffee0,0xa8001fff,0xffe82fff,0xffffffff,
    0xffffffff,0x7fffff43,0xffffffff,0x403fffff,0x3e02fffa,0x200007ff,
    0xffe87ffd,0x00bff707,0x000fffea,0x7e41ffc8,0x9ff910cf,0x2207ffdc,
    0x4fff86fe,0x2a00fff7,0xfd0007ff,0xffe8803f,0xe80001ff,0x7f4401ff,
    0x3fa01fff,0x1bffe006,0xdfff0000,0x817ffd40,0xf5007ffb,0x037ff4ff,
    0x23fff700,0x20006ffe,0x4401fffb,0x3fa04fff,0x3ee0006f,0x3fee00ff,
    0xff70002f,0x7ffdc01f,0xffd80002,0x0003ffff,0xfd05fff5,0xffffffff,
    0xffffffff,0xffffe87f,0xffffffff,0x03ffffff,0x9017ffd4,0x00001fff,
    0x3f61bffa,0x0effa87f,0x05fff700,0x217fe200,0xffe80fff,0xd81fff70,
    0x3fff80ff,0x2a00fff7,0xfb8007ff,0xeffd803f,0x5c0001ff,0xffd803ff,
    0xff101ffe,0x2fffc009,0x3ffe0000,0x0bffea06,0xa803ffdc,0x1bffa7ff,
    0x1fffb800,0x4000dffd,0x5c01fffb,0x3ee00fff,0xfd0002ff,0xfff880df,
    0xdffd0005,0x05fff880,0xffff8800,0x3ea0006f,0xfffe82ff,0xffffffff,
    0x3fffffff,0x7ffffff4,0xffffffff,0x5403ffff,0x3ea02fff,0x980004ff,
    0xffc85fff,0x03bfe62f,0x00fffd80,0x983ffb00,0x3ff905ff,0xfb8bffe6,
    0x2fff882f,0x2a00fff7,0x7cc007ff,0xcffc805f,0x20001ffb,0xfc805ff9,
    0x701ffbcf,0x7fc005ff,0x2600007f,0x3ea05fff,0xfff702ff,0xe9ffea00,
    0x2e0006ff,0xdffd1fff,0x7ffdc000,0x037ff401,0x0017ffe2,0x200fffe6,
    0x4000fffd,0xd803fff9,0x80000fff,0x000ffffb,0x20bffea0,0x00006ffe,
    0x00037ff4,0x0bffea00,0x003ffff0,0x3fffa039,0x35fff982,0x44003fff,
    0x30006fff,0x9ff50bff,0x7c4ffee0,0x09ff34ff,0x7dc3ffe6,0xfff7007f,
    0x07ff4400,0x7dd7fee0,0xfd10001f,0x5ffb801f,0x3f603ff7,0x3fff4007,
    0xfff50000,0x17ffd409,0x5007ffb8,0x37ff4fff,0x3fff7000,0x8001bffa,
    0x2601fffb,0xfd803fff,0x7e4000ff,0xcccccdff,0x3fffdccc,0x6fffe400,
    0xcccccccc,0x0003fffd,0x000bfff0,0xe82fffa8,0x400006ff,0x00006ffe,
    0x017ffd40,0x3017fff2,0x7fdc5dff,0x3fffa05f,0x4001fff9,0x0003fffd,
    0xff703ffb,0xf8ffee09,0x05ff8dff,0xffb9ffee,0x0fff9007,0x2017fe40,
    0x3fee6ffa,0x5ffb0001,0x2e6ffa80,0x0bff01ff,0x01fffd80,0x7fff7000,
    0x817ffd40,0xf5007ffb,0x037ff4ff,0x21fff900,0x20006ffe,0x3200fffc,
    0xccccdfff,0xfffdcccc,0x7fffc003,0xffffffff,0x007fffff,0x7ffffffc,
    0xffffffff,0xf00007ff,0xa8000bff,0xffe82fff,0x7f400006,0x4000006f,
    0xe802fffa,0x3f203fff,0xfffadfff,0x3ffea00f,0x4c002fff,0x8000ffff,
    0xff504ff9,0xd8ffee09,0x00ffefff,0x7d4dfff1,0xfffd007f,0x013fea00,
    0x7dc1dff3,0xffa8001f,0x077fcc04,0xff303ff7,0xfffb8007,0xff900002,
    0x7ffd403f,0x00fff702,0xffd9ffea,0x3ff60007,0x00fffb0f,0x007ffec0,
    0xffffffff,0xffffffff,0x7fd400ff,0xffffffff,0xffffffff,0xffff5002,
    0xffffffff,0x05ffffff,0x0bfff000,0x2fffa800,0x0006ffe8,0x0037ff40,
    0x3ffea000,0xffff9802,0xfffd700d,0xb005ffff,0x8007ffff,0x002fffe8,
    0x2601ffb0,0x5ff905ff,0x0fffffd4,0x545fff90,0x7c401fff,0xff8807ff,
    0xacffe806,0x0acffdaa,0x00dff100,0xb5559ffd,0x7e4159ff,0x7fc4001f,
    0xf880005f,0x7fd406ff,0x0fff702f,0xfd9ffee0,0x3f60007f,0x01fff67f,
    0x207ffd80,0xfffffffa,0xffffffff,0xfb002fff,0x555555ff,0xff755555,
    0x3ff600bf,0xaaaaaaaf,0xfffbaaaa,0xfff80005,0x7fd40005,0x06ffe82f,
    0x37ff4000,0x3ea00000,0xff7002ff,0xb1037fff,0x00bfffff,0x037fffe6,
    0x2ffffdc0,0x04ff9800,0x7f41ffe2,0x77ffec0f,0x4fffd881,0x202fffcc,
    0xd807fffd,0xffe801ff,0xffffffff,0x3ffb001f,0xfffffd00,0x43ffffff,
    0xfb0007fe,0xc80005ff,0x7d403fff,0xfff702ff,0xb9fff200,0xf0001fff,
    0x7ffdcdff,0xdfff0001,0x557ffec0,0xaaaaaaaa,0x805fffba,0x8004fff8,
    0x4400fffe,0xe8004fff,0x40000fff,0x40005fff,0xfe82fffa,0x7400006f,
    0x000006ff,0x0017ffd4,0xfffffff3,0xffffffdd,0xfb005fff,0x037fffff,
    0xdffffb51,0x3ff60001,0x21ffe400,0xff985ffa,0xfdbbefff,0xffd06fff,
    0xfffb107f,0x3ffb80ff,0x99999700,0x019bffd9,0x2007ff70,0xeccccccb,
    0xff10cdff,0x3fea0009,0x3e60006f,0x7d400fff,0xfff502ff,0x99fffa00,
    0xa8004fff,0x3fe64fff,0xffa8004f,0x9fff104f,0x1fffd000,0x01fffb80,
    0x04fffb80,0x000fffdc,0x0027ffdc,0x0017ffe0,0xd05fff50,0x80000dff,
    0x00006ffe,0x017ffd40,0x3ffff620,0xffffffff,0x02efffff,0xfffdbff9,
    0xfffddfff,0x000bffff,0x44027fd4,0xffebefff,0x7fff440f,0xffffffff,
    0xfff500df,0xfffd9bff,0x7cc0fff7,0xf700005f,0x3fe6003f,0xff700005,
    0x002ffa83,0x017fff60,0x0ffffa20,0x40bffea0,0x4401fffa,0x7ffc7fff,
    0x7ff4002f,0x17fffc2f,0x0bfffa00,0x000fffdc,0x2027ffdc,0x10006ffe,
    0xfe80ffff,0xff10006f,0xff8000ff,0x7d40005f,0x6ffe82ff,0x7ff40000,
    0x54000006,0x30002fff,0xfffffff9,0x3ff225bf,0x37fdc5ff,0xfffffff7,
    0x07ffffff,0x00ffe800,0xffffff50,0x53ffb05f,0xdffffffb,0xffff9005,
    0x3e5fffff,0x03ffa07f,0x0ffdc000,0x000ffe80,0xc83ff700,0x220000ff,
    0x001effff,0x00bffff5,0x4c0bffea,0x7ec05fff,0x7ffe47ff,0xfff9001f,
    0x3ffff90d,0x1bfff200,0x0006ffe8,0x4c0ffff1,0x20003fff,0xf302fffc,
    0x640007ff,0x20002fff,0x40005fff,0xfe82fffa,0x7400006f,0x000006ff,
    0x0017ffd4,0x0d554c40,0x44dffb10,0x76440eff,0xdfffffff,0xffa80002,
    0x7f644004,0x85fb00ce,0x8001aa98,0xdfffffea,0x7e41ffe1,0x2600002f,
    0xffc800cc,0x32a00002,0x0015540c,0x7ffffcc0,0x7e54409b,0x5000efff,
    0x7f405fff,0xffd883ff,0x7ffc47ff,0x2621bdff,0x82fffffb,0xbdfffff8,
    0x3ffee621,0xfff302ff,0x7fe40007,0x1fff902f,0x7ffcc000,0x01fff905,
    0x2fffcc00,0x0bfff000,0x2fffa800,0xaaaeffe8,0xaaaaaaaa,0x3a2aaaaa,
    0xaaaaaeff,0xaaaaaaaa,0x3ea02aaa,0x000002ff,0xd30ba600,0x35553001,
    0x00000001,0x000c0000,0x00d4c000,0x00000000,0x00000000,0x44000000,
    0xeffffffe,0xfffffffe,0x3fea000d,0x3ffea02f,0xfffecdff,0xff987ffb,
    0xffffffff,0x03ffffff,0x3fffffe6,0xffffffff,0x3ff203ff,0x3e60000f,
    0xdfff05ff,0xfffd0000,0x00dfff03,0x03fffd00,0x017ffe00,0x05fff500,
    0xfffffffd,0xffffffff,0x3a1fffff,0xffffffff,0xffffffff,0xf500ffff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff91000,0xffffffff,0xf50007ff,0xffc805ff,0x2fffffff,
    0x3fa20fff,0xffffffff,0x8802ffff,0xfffffffe,0x02ffffff,0x00037ffc,
    0x2a0ffff4,0x80003fff,0x7d44fffb,0xb80003ff,0xf0004fff,0xa8000bff,
    0xffe82fff,0xffffffff,0xffffffff,0xffffd0ff,0xffffffff,0xffffffff,
    0x0bffea01,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xffffffb8,0x0000beff,0x5005fff5,0x3bfffffd,
    0x36a03ffc,0xffffffff,0x6d4000be,0xffffffff,0x7fd400be,0xfb80003f,
    0x7ffec4ff,0xff880000,0x07ffec7f,0x7ffc4000,0xbfff0007,0xfffa8000,
    0xfffffe82,0xffffffff,0x0fffffff,0xfffffffd,0xffffffff,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9aaa9880,0xffa80000,0x0d4c002f,0xaa988000,0x800009aa,
    0x09aaaa98,0x03fff600,0x3ffe2000,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x540000cc,0x020000cc,0x7654c000,0x20001ace,0x99102cc8,
    0x002aa985,0x00005551,0x4cc33310,0x7306aa21,0x100179db,0xaa883555,
    0x1988001a,0xba980000,0x0000abcc,0x01bca980,0x33333331,0x33333333,
    0x41555401,0x00002aa9,0x0000ccc4,0x26af2ea2,0x07997000,0xa8855554,
    0x555102aa,0x81aaa883,0x376a1aa8,0x0026620b,0x44199880,0x26662199,
    0x4cc40000,0x00331001,0x0004c400,0x22000797,0x20000ffe,0x10005ff9,
    0x20007df9,0xffffffd8,0xf50004ff,0x0ffea09f,0x2a00fff7,0x800007ff,
    0xfff37ffa,0x7cd7fea3,0x3fffffff,0x21fffd80,0x1000fffc,0x9dfffffb,
    0x7fdc4000,0xdfffffff,0x7ed40002,0x2effffff,0x3fffffee,0xffffffff,
    0x3ffe603f,0x013ffe64,0x0fff5000,0xffffd500,0x019fffff,0xf706ffe8,
    0x7ffecbff,0x83fff603,0xfb80fffd,0xfffffb4f,0x001bffa7,0x321fffb8,
    0x3ffea7ff,0x7ff40002,0x3fff6607,0x88001dff,0x3dfffffc,0x0007fe40,
    0x003fffa6,0x007ff440,0x3fbaee80,0x7fffd400,0xefffffff,0x17fdc001,
    0x7dc2ffc8,0xfff5007f,0xff500000,0x547ffe6f,0xffff9dff,0x05ffffff,
    0xf9b7ff44,0xff7002ff,0xdfffffff,0xfffb8003,0xffffffff,0xb8000eff,
    0xffffffff,0xfff72fff,0xffffffff,0xb807ffff,0xbffd1fff,0xff500000,
    0x7fec400f,0xffffffff,0xfd00cfff,0x3fffa0df,0x80bfff10,0xff55ffe8,
    0x33fee03f,0x0ffffffc,0x4000dffd,0x3f21fffb,0x0bffea7f,0x0fffd000,
    0x3ffffff2,0x5000dfff,0xffffffff,0x17fd40bf,0xffffd880,0xffb0000f,
    0x83e60005,0x3fe6006a,0xf9311cff,0x6c001fff,0x1ffb00ff,0x5007ffb8,
    0x00000fff,0x3fe6fff5,0xffdff51f,0xff95337f,0xff9805ff,0x003ffebf,
    0x99bffff9,0x003ffffd,0x3bffffee,0xffffedce,0x3f2001ff,0xdbbdffff,
    0xffbaffff,0xffffffff,0x803fffff,0xeffbeffd,0x3ffe0000,0xffffffff,
    0x3ffa606f,0xeccdefff,0x80efffff,0xffa86ffe,0x03fff21f,0x3afffe60,
    0x3fee03ff,0x6feefffe,0x8001bffa,0x3f21fffb,0x0bffea7f,0x0fffd000,
    0xb9dffffd,0x801dfffd,0xdceffffa,0xf105ffff,0x3ffe009f,0x8000ffdd,
    0x20004ffa,0x8007cc7b,0x2a01fffd,0x3e004fff,0x21bfe07f,0xf5007ffb,
    0x500000ff,0x3f6a2fff,0x1bffff51,0x017ffee0,0x17ffffea,0x0f7ffcc0,
    0x4037ffd4,0x01dffffb,0x0bffffa6,0x2fffff60,0xfbfffb00,0x333333ff,
    0x01333333,0xfffffd10,0xfff80003,0xffffffff,0xffff506f,0x7fdc405d,
    0x7e5c0eff,0x223ffd84,0x2e001fff,0x405fffff,0x20effffb,0x01bffa18,
    0x21fffb80,0x3fea7feb,0x7f40002f,0x77ffe47f,0x06fffa81,0x207fffe2,
    0xfd05fffc,0x6477e00f,0x7c4000ff,0x7c40006f,0x7d401b22,0xffa802ff,
    0x5ff8800f,0xf70bff10,0x3fea00ff,0xfa800007,0xff53ec7f,0xffd801ff,
    0xdfff9007,0x3fff6001,0x0fffea00,0x03ffff88,0x03fffee0,0x01ffff98,
    0x7fffffc8,0x3e600000,0x80002fff,0xfdcccccc,0xf883ccff,0x22004fff,
    0x4c0efffd,0x22ffc43f,0xc8004ffb,0xfb806fff,0x7f400fff,0x3ee0006f,
    0x2a7e81ff,0x40002fff,0x3fe67ffe,0x3fe600ef,0x1fff903f,0x407ffdc0,
    0x40801ffc,0x6c000ffc,0xd80001ff,0xd002fedf,0x7f400bff,0x4ffa804f,
    0xf707ff50,0x3fea00ff,0xfa800007,0xff537c7f,0xfff7007f,0xf8000001,
    0xffe803ff,0x13fff205,0x17ffea00,0x001fffc8,0x01fffff6,0x00000000,
    0x07ffa800,0x001fffe4,0x5c4fffd8,0x0000001f,0x7ffdc000,0x06ffe804,
    0x07ffee00,0x2fffa9be,0x3fff4000,0x9003fffb,0xfff10fff,0x09fff009,
    0x90007ff3,0x7dc001ff,0x2a00003f,0x3fe000cd,0x3ff2003f,0x02ffb805,
    0xff703ff9,0x1ffea00f,0x3fea0000,0x7d47fb17,0xffa802ff,0x2000000f,
    0xc802fff8,0xfff106ff,0x7ff4000f,0x5fff882f,0x7fffcc00,0x00000007,
    0x3ea00000,0x3ffe607f,0x3fe20006,0x00df30ff,0x00000000,0xd005fff7,
    0x5c000dff,0x27cc1fff,0x0005fff5,0x3fe7ffe8,0xfff1005f,0x01fffb83,
    0xff07ffc8,0x1ff9000b,0x017fe600,0x26000000,0x9999bfff,0xfc999999,
    0x2aaaa67f,0xaaabffea,0xaabffeaa,0x200fff70,0x44007ffa,0x2a1bdecb,
    0xa85f37ff,0xf9801fff,0xdb9800ff,0x7c400bce,0xffc802ff,0x07ffd306,
    0x2fffcc00,0x000fffdc,0x003fffec,0xeeca9800,0xb88001ac,0x3ea1bded,
    0x3fffa07f,0x7fd40002,0x260ffacf,0x551002aa,0x7765c405,0x3ee00abd,
    0xffe801ff,0x3fee0006,0xa83ba21f,0x40002fff,0xfff17ffe,0x1fff4007,
    0x4c01bff2,0xffd82fff,0x07fe4000,0x000ffe80,0xedcb9880,0x3ea01acd,
    0xffffffff,0xffffffff,0xfffff90f,0xffffffff,0x5fffffff,0x5401ffee,
    0x3ee007ff,0x8effffff,0x2a027ffa,0xf9800fff,0xffb300ff,0x19ffffff,
    0x4027ff40,0x54404ffe,0x7fec0000,0x007ffe87,0x00ffff30,0xfffd8800,
    0x004fffff,0x3fffffee,0x07ffa8ef,0x000bfff3,0x37ffffa0,0x803ffdc0,
    0xff907ffa,0x7fffffff,0x003ffee0,0x8001bffa,0xea89fffb,0x17ffd40f,
    0x5fffa000,0x2002fff9,0x7ff45ffd,0x0fffe004,0x9000bfee,0xff9001ff,
    0xff500005,0xffffffff,0x3fffee09,0xffffffff,0x91ffffff,0xffffffff,
    0xffffffff,0x3ee5ffff,0xfff5007f,0x3ffff600,0xfcffffff,0x3ffd407f,
    0x80fff980,0xfffffffb,0x2e06ffff,0x3ea00fff,0x000001ff,0xf85fff90,
    0xf10005ff,0x40000fff,0xfffffffa,0x401effff,0xfffffffd,0x07ffceff,
    0x0005fff5,0x413fff20,0xf5007ffb,0xffffb0ff,0xbfffffff,0x007ffb81,
    0x4000dffd,0xeffefffb,0x02fffa80,0x9bfff400,0x36001fff,0x3ffe27ff,
    0x17ffa003,0x90013fe2,0xffa801ff,0x7ec40004,0xffffffff,0xffb86fff,
    0xcccccccf,0xcccccccc,0xf9555530,0xb55555bf,0x215559ff,0xf5007ffb,
    0xfff900ff,0x3fee615d,0x7d407fff,0xfff3007f,0xcffffa81,0xbfffd711,
    0x07bffa20,0x001bffee,0xfffa8000,0x013ffe23,0x007fff80,0x9ffff300,
    0x3fff2623,0xdfff900f,0x3ffee615,0xfff707ff,0x3ea00003,0xfff703ff,
    0x71ffea00,0x5cc39fff,0x7dc3fffe,0xdffd007f,0x7ffdc000,0x3fea00ad,
    0x7f40002f,0x05fff17f,0xf13fff40,0x7ec007ff,0x00dfd06f,0x2200ffc8,
    0x40000eff,0x109dfffd,0x87ffff73,0x0000fffa,0x205ff900,0xff701ffc,
    0x1ffee00f,0x01dfff10,0x01ffffe6,0x2600fff5,0x3fe20fff,0x3ff601ff,
    0xfffb101f,0x7fffdbbd,0x4cccccc0,0x99999999,0xa9999999,0x3fe64fff,
    0x3fa0003f,0x999999ff,0xb0099999,0x7d403fff,0xfff984ff,0xffff300d,
    0x03fff20f,0x7ffcc000,0x00fff704,0xffd1ffea,0x46fff80b,0xfd007ffb,
    0x7dc000df,0xffa801ff,0x7f40002f,0x013ffe7f,0x3e67fff8,0x3f6002ff,
    0x01ff906f,0xb007fe40,0x880003ff,0x7c404fff,0x7ffc46ff,0xfb000002,
    0x03ffa01f,0xc803ffdc,0x7fe407ff,0x7ffd400f,0x03ffd407,0x2e0fff98,
    0x7cc02fff,0x7fdc04ff,0x02ffffff,0x3fffffe2,0xffffffff,0xffffffff,
    0x3fea5fff,0x3f60003f,0xffffffff,0xa84fffff,0xfa802fff,0x7ffe40ff,
    0x3fffdc00,0x0007ffe8,0x417ffe20,0xf5007ffb,0x0fffc4ff,0xb83ffea0,
    0xffd007ff,0x7fdc000d,0xfffa801f,0x7ff40002,0x003fffa7,0x4c3fffee,
    0x32002fff,0x7ff507ff,0x807fe400,0x80003ffb,0xf9006ffc,0x09fff0ff,
    0x200d5d40,0x1bfe07ff,0x800fffa8,0x7f407ffd,0xfffd005f,0x007ffa80,
    0x7e41fff3,0x9dfb006f,0x3ffff220,0x03ffffff,0xfffffff1,0xffffffff,
    0xffffffff,0x7ffdcdff,0x3ff60002,0xffffffff,0xfe84ffff,0x3ffa005f,
    0x8027ff44,0xfff07fff,0xff80000d,0x0fff706f,0xf89ffea0,0x809803ff,
    0xfd007ffb,0x7dc000df,0xffa801ff,0x7f40002f,0x17ffea7f,0x1fffff10,
    0x8007ffea,0x3fe07ffc,0x3e600005,0xbdb9306f,0x0f72a039,0x207ffdc0,
    0x8800fffe,0x3e206fff,0x09ff305f,0x200fffcc,0x7c07fff8,0xff7001ff,
    0x07ffa80f,0x741fff30,0x300003ff,0x537bffff,0x20bfffd7,0xffffffff,
    0xffffffff,0xffffffff,0x0bffee5f,0xffffd800,0xffffffff,0x3fff84ff,
    0xf17ff200,0x3ee003ff,0x0bfff07f,0x6fff8000,0x200fff70,0x7ff47ffa,
    0xfb8000bf,0xdffd007f,0x7ffdc000,0x2fffa801,0x3fff4000,0x2037fffa,
    0x0ffffffa,0x4003fff5,0x3f607ffc,0x3fa00007,0xffffd80f,0x00005fff,
    0xf981fff5,0xffd805ff,0x0ffea03f,0xf101ffdc,0xffe80bff,0x3ffe607f,
    0x0fff5000,0x3007ffa8,0x7ffc1fff,0xff880002,0x3fee02ff,0x9effe85f,
    0x99999999,0x99999999,0x3ea4fff9,0x3a0003ff,0x4c0007ff,0x9999bfff,
    0xfc999999,0x03ffe67f,0xf83ffd40,0x200007ff,0xf705fff9,0x3fea00ff,
    0x7ffffdc7,0xff7001bd,0x1bffa00f,0x1fffb800,0x02fffa80,0x23fff400,
    0xdefffff9,0xffaefffd,0x007ffe67,0x2e07ffc8,0xc80001ff,0xeffc82ff,
    0x04fffdbc,0xffdb9880,0xfffc80ff,0xfffc880d,0x817fe407,0x7fc01ffc,
    0xffd983ff,0x3fea07ff,0x1ffe6007,0x200fff50,0xff10fff9,0xf900003f,
    0xff9003ff,0x07ffd85f,0x7fff3000,0x0027ffcc,0x000ffff0,0xffffffa8,
    0xffffffff,0xff50ffff,0x3ffcc00f,0x000fffe8,0x09fff500,0x5401ffee,
    0xfffc87ff,0x02cfffff,0x7401ffee,0x2e0006ff,0xfa801fff,0x740002ff,
    0xffe987ff,0x55ffffff,0x7ffc4fff,0x1bff6002,0x0004ff98,0x7c42ffcc,
    0x3ffd40ff,0x3ff72a60,0x0fffffff,0xdfffff88,0xfffffdbb,0x7f666541,
    0xfcccccdf,0x1cccccff,0x37ffffe6,0xffbfffec,0x01ffee07,0x5407ff88,
    0xff3007ff,0x03ffea1f,0xbfff1000,0x22fff400,0x0000fffc,0x222fffa8,
    0x20005fff,0x40007fff,0xfffffffb,0xffffffff,0xfff91fff,0x83ffc400,
    0x0001fffd,0x207fff70,0xf5007ffb,0x3ffee0ff,0x2fffffff,0xd007ffb8,
    0x64000dff,0xfa800fff,0x740002ff,0x3ff207ff,0x3ee3dfff,0x017ffc7f,
    0xf80dffb0,0x3e20006f,0x2ba880ef,0x3aa0dff0,0xffffffff,0x100fffef,
    0xfffffffb,0xf903ffff,0xffffffff,0xffffffff,0xffa85fff,0x2fffffff,
    0x7fdc0fff,0x1ffe2007,0x200fff50,0xff50fff9,0xf980001f,0x3f2002ff,
    0x17ffdc7f,0x7ffe4000,0x002fffc1,0x007fff88,0x667ffdc0,0xcccccccc,
    0xf70ccccc,0x7fc400ff,0x05fff707,0x3fff2000,0x00fff701,0x9501ffea,
    0xfffffffd,0x007ffb89,0x4000fffb,0xa800fffd,0x40002fff,0xa8807ffe,
    0xf8dff901,0x3fa003ff,0x07fe405f,0x01ffd800,0x907ff500,0xbfffffff,
    0x1fff5159,0xffffea80,0x3f203fff,0xffffffff,0xffffffff,0xfda82fff,
    0x3e1dffff,0x3ffe607f,0x0fff3000,0x3007ffa8,0x3fe61fff,0x7d40001f,
    0x3ee001ff,0x3ffe60ff,0xffe80004,0x03fff40f,0x07fffa80,0x07ffd400,
    0x7ffd4000,0x0fff3000,0x001bffe2,0x81bffe20,0xf7007ffb,0x6dcc00ff,
    0x2e3fffff,0xffb007ff,0x7fec000f,0x5fff5007,0xfd005310,0xfb0000df,
    0x04ffe89f,0x5013ffa0,0xf50005ff,0x3a20009f,0x7ffe40ff,0xff700acf,
    0x7f4c001f,0xb998800c,0x99999cff,0x9999bffc,0x40d4c009,0x3e201ff8,
    0xff5001ff,0x4000000f,0x2002fff8,0x3ffe609a,0x3ffee001,0x00ffff40,
    0x09fff500,0x0007fff7,0x000ffffd,0x002fff88,0x01fff880,0x6c0fff50,
    0x40002fff,0x2e03fffc,0xff9007ff,0x3f22000f,0x5c0005ff,0xf0001fff,
    0x3ea00dff,0x37fdc2ff,0x0037ffc0,0xb0bffe20,0x3e200dff,0x7fc402ff,
    0x37fc4005,0x3fffa800,0x800efff8,0x4000fffc,0xfc8002ff,0x03ff901f,
    0x0ff30000,0x2007ffd0,0x10007ffb,0xf005bfff,0x3ea009ff,0x7fff10ff,
    0x437fe400,0x0005fffa,0x201ffff1,0x4c006fff,0x0007ffff,0x2004fff8,
    0x7ff41aba,0x0fff9003,0x007fffd4,0x0ffff980,0x401ffea0,0x2e627ffe,
    0x0fffd003,0x203bfff1,0x8004fff9,0x5004fffa,0xffa85fff,0x25fff807,
    0xf7003dcb,0xfffa81ff,0x0fffb800,0x4007fe80,0xc8001ffe,0xff983fff,
    0xfffb002f,0x07fc4001,0x807fec00,0x000007fe,0xffb00df7,0xffff100f,
    0x3ffe2000,0x7fec01ff,0x6ffc800f,0xd0037ff4,0x3ffa0bff,0xffc8002f,
    0x3fff204f,0x3fff6003,0xfe80007f,0xff8800ff,0x037fec6f,0x203fffc4,
    0x8005fffd,0x403fffe8,0x4401fffa,0x3ff27fff,0x0fff7007,0x01fffff1,
    0x000bfffe,0x2005fffd,0x7cc2fffa,0x3fe201ff,0x01bff24f,0xff82fff4,
    0x6ffe803f,0x003ff700,0x1000ffee,0x2e03fffb,0xf8801fff,0x26000fff,
    0xff8002ff,0x00dff106,0x03ff2000,0x807fff50,0x0007fffb,0x202ffdc4,
    0x4c04fff9,0x7fe43fff,0xfffc804f,0x9ffff502,0x3fff6200,0x3ffe200f,
    0xfffd803f,0x980007ff,0xfd805fff,0x7ffd43ff,0x3fffe403,0x3bfffe20,
    0xffff5001,0xbfff300b,0x27fffd80,0xe802fff9,0x3f2205ff,0xffff904f,
    0x3fff2003,0x3ffea006,0x02fffc42,0x7cc5fffb,0x7fe402ff,0x1dff701f,
    0x017ffd40,0x9803ff98,0x74c005ff,0x3ea00eff,0x7f4403ff,0x22000fff,
    0x220085ff,0x9ff305ff,0x3ee00000,0x7fe4083f,0xffff904f,0xff30000f,
    0xfffc801f,0x1dffd304,0x409fffd0,0x6404fffc,0x809effff,0x2fffffa8,
    0xcffffa80,0xbeffe880,0xaaaaafff,0x2aaaaaaa,0x80dfffc8,0x907fffc8,
    0x3f209fff,0xf9807fff,0x409bffff,0xeffffca8,0x7fffd000,0xfffffb10,
    0x202fffe8,0x5402fffb,0xffd107ff,0x4c437bff,0x02ffffeb,0x20bffea0,
    0x260dfffd,0x740efffc,0xff901fff,0x7ffc409f,0x6fffa80e,0x202ffc00,
    0x2000ffe8,0x9804fff8,0x3600ffff,0x001fffff,0x765f7ff4,0x40ffea07,
    0x00003ffb,0x97dfff10,0xdfffb0bf,0xfdffd959,0x555000ff,0x100dffd9,
    0x779dffff,0x203ffff9,0xbdfffff9,0x0effffcb,0xfffffa80,0xffffddff,
    0x26001eff,0xdcefffff,0xfb8ffffe,0xffffffff,0x0fffffff,0x6fffffc4,
    0xfffffdbb,0x3bfff601,0xfeffecac,0xffd1007f,0xffddffff,0x01bfffff,
    0x7ffffd40,0xfbfffecd,0x7fffcc7f,0xffecaace,0x655540df,0x3e606fff,
    0xffffffff,0x3fffffff,0x17ffd400,0x7fffffc4,0x81ffffff,0xbcfffff9,
    0x805ffffd,0xbbdffffb,0x000ffffe,0xfb007fec,0xffe8005f,0xeeeeeeef,
    0x37ffff60,0xdfffebab,0x54002fff,0x07ffffff,0x7e407ff2,0x2000001f,
    0x5ffffffd,0xffffffd0,0x0fff1bff,0xffffff00,0x3f62003f,0xffffffff,
    0x7ff4c02f,0xffffffff,0x3fa6000d,0xffffffff,0x8000dfff,0xfffffff9,
    0xff71ffff,0xffffffff,0x01ffffff,0xffffffb1,0x003fffff,0xfffffffd,
    0x00fff1bf,0x7ffffe44,0xffffffff,0xfff90003,0x25ffffff,0xfffa87ff,
    0xffffffff,0xfffff884,0x7f4400ff,0xffffffff,0x8002ffff,0xf702fffa,
    0xffffffff,0x7ffd403f,0x5fffffff,0x3fffea00,0x01ffffff,0x502ffb80,
    0xfa8009ff,0xffffffff,0x3ffa20ff,0xffffffff,0x000bffb2,0x039fffb5,
    0xfe807fec,0x44000007,0x00acefea,0xffffff71,0x001ffe29,0x19dffff1,
    0xfffd5000,0x40019fff,0xfffffffb,0x9710002e,0xdffffffd,0xb8800059,
    0xbefffffd,0x3ffffee1,0xffffffff,0x3aa00fff,0x3fffffff,0x3ffee200,
    0xfff14fff,0xfff71000,0x15dfffff,0xffea8000,0x3fe1dfff,0xffff9107,
    0x2205bfff,0x00ceffff,0x3ffff6a0,0x00beffff,0x05fff500,0x7ffffec4,
    0xfd8801ce,0x01efffff,0xffffd980,0x10000cff,0xdff109ff,0x99995000,
    0x19999999,0xffffff70,0x7ffdc19f,0x00110000,0x2aa80aaa,0x02000000,
    0x002aa600,0x00000000,0x0000d54c,0x0006aa62,0x00d54c00,0x2aa20000,
    0x00000000,0x0009aa98,0x000554c0,0x55531000,0x20000013,0x980001a9,
    0x00000aa9,0xaaa98800,0x0000009a,0x01553100,0x26aa6200,0x55300000,
    0x55000013,0x00000005,0x09aa9800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a200000,0x555441aa,0x55550001,
    0x30aaa203,0x00159db7,0xaa885553,0x2aa2000a,0x5500001a,0x55400355,
    0x988001aa,0x00026200,0xabccba88,0x55530001,0x000aaa88,0x80099880,
    0x0001aaa8,0x015554c0,0x006aaaa0,0x65d4c000,0x400009bc,0x00001999,
    0x40099980,0x2a62aaa8,0x988002aa,0x03310001,0xa9800cc4,0x0555442a,
    0x0d554400,0x2aa60000,0x5554002a,0x2620001a,0x3311accb,0x3fffa013,
    0x003bffa0,0x03bffe60,0xfe8affd4,0x04ffffff,0x3ea3ffe4,0x3f6000ff,
    0x40001fff,0x000ffff8,0x001bffee,0x7f403fea,0xffda8004,0x3fffffff,
    0x07ffdc00,0x8003fff5,0x805ffe81,0x002ffffd,0x0bfffa00,0x0ffff500,
    0x7fe4c000,0xefffffff,0xff98000d,0x01b220ef,0x13ffe200,0x749fff90,
    0xb5002fff,0x05dffffd,0xd80ffcc0,0xfff7005f,0x001fffa8,0x01ffffd8,
    0x3fffa000,0x7ffd4002,0xfff70007,0x3ff25fff,0x9fff104f,0x0007ffee,
    0x500fffec,0xffff3bff,0x09ffffff,0x3ea3ffe4,0xff7000ff,0x0001ffff,
    0x0017ffe4,0x000fffec,0x3ee17fe2,0x3fa6002f,0xffffffff,0x7002ffff,
    0x7fd41fff,0x09d3001f,0xfb80bffd,0x000fffff,0x04fffa80,0x07fff700,
    0xfffd8800,0xffffffff,0x88002fff,0xffdafffe,0x7c40001f,0x3fe204ff,
    0x13ffe66f,0x7ffffe40,0x000dffff,0xffa81dff,0x8fff7003,0x4001fffa,
    0x0ffffffb,0xfffa8000,0xfff70004,0xfffa8007,0xff91ffff,0x7ffd409f,
    0x0002fffb,0xa807fff3,0x9bffffff,0x2ffffb99,0xfa8fff90,0xffa800ff,
    0x006ffdaf,0x009fff10,0x002fff40,0x7eefffe4,0x3ee005ff,0xccdeffff,
    0x2fffffed,0x20fffb80,0xc801fffa,0x5ffe84ff,0x32fffe60,0xe80006ff,
    0x6c0006ff,0x260007ff,0xeffffffe,0xfffffdcc,0xfc8000df,0x001dffff,
    0x04fff880,0xfd83ffee,0xffe8806f,0xfffdceff,0xfff7005f,0x01dffd9b,
    0xf51ffee0,0x7cc003ff,0x06ffcaff,0x05ffe800,0x037fec00,0x33ffffe0,
    0x13fff24c,0x9fffff90,0x27fec000,0x6ffffd40,0x0dfff300,0x9931332a,
    0xfff88019,0x009fff15,0x000bff70,0x001fff88,0xffffffd8,0xfff9000e,
    0x7ecc03bf,0x65401fff,0x06664c4c,0x5427fec0,0xffd104fb,0x002fff4b,
    0x001fff30,0x007ffd00,0x7fffff30,0x7ffdc403,0x7f54006f,0x00003fff,
    0xe813ffe2,0x3ffe22ff,0xcfffd800,0x1fffec40,0xfffffc80,0x32a001ef,
    0x06664c4c,0x15fff880,0x4000bffd,0x0000fffa,0x1003ffe8,0x7e409fff,
    0xffd804ff,0x3e20005f,0xfff5006f,0x7ffd801f,0xfe800000,0x3ffea0ff,
    0x3ffe2003,0xff980000,0xdb930005,0x7fcc0059,0x3f2002ff,0x00000fff,
    0x413ff600,0xfffb03fa,0x01fffd41,0x001ffd80,0x00dff100,0x03dfffd0,
    0x0ffffcc0,0x77fff5c0,0x00000fff,0x2609fff1,0x17fe44ff,0x02fffcc0,
    0x9801fffa,0x0003cedc,0xffb00000,0x1fffd41f,0x01ffd800,0x0dff1000,
    0x80bffe60,0x0004fffc,0xa8000000,0xfa804fff,0x000000ff,0x00000000,
    0x00000000,0x3ffa2000,0xffd8002f,0x0000003f,0x7dc13ff6,0x00000001,
    0x00000000,0x017fff20,0x02fffc40,0x742fffee,0x100005ff,0x00009fff,
    0x01dffb00,0x001fffb8,0x00000000,0x00000000,0x00000000,0x9007ffd4,
    0x00009fff,0xf5000000,0xff3005ff,0x0000003f,0x00000000,0x00000000,
    0x27ffdc00,0x6fff8800,0x36000000,0x06fa84ff,0x00000000,0x20000000,
    0x000ffff9,0x803fff20,0xfff883e8,0xff880003,0x4000004f,0x8801fff8,
    0x00002eef,0x00000000,0x00000000,0x54000000,0x3f200fff,0x973104ff,
    0x00359bdb,0x5ef765c4,0x3ffea00a,0x1fff9801,0x22005553,0x0aaa62aa,
    0x53155440,0x2aa20055,0x400aaa62,0x2aa62aa8,0x05551002,0x0001fffd,
    0x2006ffec,0x1acdecba,0x7ff55440,0x01bb2aad,0x59bd9750,0x32ea0003,
    0x0001acde,0x359bd975,0x05fff900,0x3fff8800,0x2e353100,0x40000fff,
    0x5404fff8,0x01acdecb,0x0005ffc8,0xdb973100,0x3000359b,0x0359dd95,
    0x3bb2a600,0x530001ac,0x00359dd9,0x33bb2a60,0x7ffd401a,0x13ffee00,
    0x3fffffea,0xc804ffff,0xffffffff,0x1fff503f,0x23fff100,0xf5007ffb,
    0x03ffdcff,0x3ee7ffa8,0xfff5007f,0xa803ffdc,0x1ffee7ff,0x263ffd40,
    0x40004fff,0xffe98018,0x0cffffff,0xffffff50,0x30011fff,0xfffffffd,
    0x3a60019f,0xffffffff,0xffd3000c,0x19ffffff,0x003fffc0,0xd9002a80,
    0xff9fffff,0xf88000bf,0xffd304ff,0x19ffffff,0x001fff40,0x7fffd400,
    0x04ffffff,0xfffffb10,0x44009fff,0xfffffffd,0x3f62004f,0x4fffffff,
    0x3fff6200,0x204fffff,0x2e00fffa,0x3f623fff,0xffffffff,0x3f606fff,
    0xffffffff,0x7fd40dff,0xfff8800f,0x200fff71,0x3fee7ffa,0x4fff5007,
    0xf5007ffb,0x03ffdcff,0x3ee7ffa8,0xfff5007f,0x003fffc8,0xfffb8000,
    0xffffffff,0xffffa81e,0x800fffff,0xfffffffb,0x401effff,0xfffffffb,
    0x401effff,0xfffffffb,0x981effff,0x00005fff,0x3fffa200,0xffffffff,
    0x3e20001f,0xfffb84ff,0xffffffff,0x03fff01e,0xfb100026,0xffffffff,
    0xfa80dfff,0xffffffff,0x7d401eff,0xffffffff,0x7d401eff,0xffffffff,
    0x7d401eff,0xffffffff,0xffa81eff,0x3ffea00f,0x277fff63,0xffff7310,
    0x39fff707,0x1ffff5cc,0x2003ffea,0xff71fff8,0x9ffea00f,0xf5007ffb,
    0x03ffdcff,0x3ee7ffa8,0xfff5007f,0xa803ffdc,0x7ffec7ff,0x4c000002,
    0x511bffff,0x881ffffb,0x99dffe99,0xffff9801,0xfffb511b,0x3ffe601f,
    0xffb511bf,0x3fe601ff,0xfb511bff,0xffb81fff,0x0000004f,0x37bffff3,
    0xbfffff95,0x7ffc4000,0x5ffffcc4,0xffffb511,0x221fff01,0x1dffffdb,
    0x9dfffd80,0xffff7310,0x3fffe607,0xfff9311c,0x3ffe601f,0xff9311cf,
    0x3fe601ff,0xf9311cff,0x3e601fff,0x9311cfff,0xfa81ffff,0x3fe600ff,
    0x09fff12f,0xe86fff88,0x7ffc05ff,0x007ffd46,0xfb8fffc4,0xfff5007f,
    0xa803ffdc,0x1ffee7ff,0xf73ffd40,0x3fea00ff,0x401ffee7,0x7ff47ffa,
    0x2000000f,0x201effe8,0x3605fffb,0x3a2004ff,0x3ee01eff,0xffe885ff,
    0x3ffee01e,0x1effe885,0x917ffee0,0x00005fff,0x0ffff600,0x07ffff44,
    0x4fff8800,0x807bffa2,0x7c45fffb,0xffffd17f,0x4407ffff,0x7c404fff,
    0xfffb06ff,0x27ffd403,0x201fffd8,0xfb04fffa,0x7fd403ff,0x3fffb04f,
    0x227ffd40,0x2600fffa,0xdff92fff,0x11fff200,0xfa803fff,0x3ffea0ff,
    0x1fff8800,0x2a00fff7,0x1ffee7ff,0xf73ffd40,0x3fea00ff,0x401ffee7,
    0x3fee7ffa,0x8fff5007,0x00007ffe,0x00fffe40,0xd817ffdc,0x3f2004ff,
    0xffb801ff,0x0fffe42f,0x217ffdc0,0xb801fffc,0x3ff62fff,0x8000001f,
    0xe803fffa,0x10002fff,0x7fe49fff,0xfffb801f,0x3a3ffe62,0xfffeefff,
    0xdff905ff,0x21fff200,0xa802fffa,0x7fd40fff,0xfffa802f,0x017ffd40,
    0x2a07ffd4,0xfa802fff,0x3ffea0ff,0x47ffe200,0xf7003dca,0x7ffc41ff,
    0xfa809803,0xff8800ff,0x00fff71f,0xffb9ffea,0x4fff5007,0xf5007ffb,
    0x03ffdcff,0x3ee7ffa8,0xfff5007f,0x0006fff8,0x02fffc00,0xb06fff88,
    0x7fc009ff,0xfff1005f,0x005fff8d,0xff8dfff1,0xfff1005f,0x003fff4d,
    0x55555555,0x7f415555,0xfff3006f,0x3fe2000b,0x017ffe4f,0xf537ffc4,
    0x817ffdff,0xa82ffffa,0xff7003dc,0x05ffe81f,0xfd13ffa0,0x7ff400bf,
    0x002fff44,0xffe89ffd,0x93ffa005,0x2200fffa,0x20001fff,0x7f40fffa,
    0xa8000bff,0xf8800fff,0x0fff71ff,0xfb9ffea0,0xfff5007f,0xa803ffdc,
    0x1ffee7ff,0xf73ffd40,0x3fea00ff,0x003fffc7,0x3fff1000,0x83ffdc00,
    0xf1004ffd,0x7dc003ff,0x07ffe27f,0x227ffb80,0x2e001fff,0x1fffa7ff,
    0xfffffd80,0x10ffffff,0x6c007fff,0xf10007ff,0x3ffe29ff,0x9ffee001,
    0x01fffffb,0x003fffa2,0x03ffea00,0x64007fff,0x1fffc5ff,0xf8bff900,
    0x3f2003ff,0x01fffc5f,0x7d4bff90,0x7ffc00ff,0x36e62000,0x7dc0ffff,
    0x01bdffff,0x001fff50,0x3ee3fff1,0xfff5007f,0xa803ffdc,0x1ffee7ff,
    0xf73ffd40,0x3fea00ff,0x401ffee7,0x7ff47ffa,0x5000000f,0x54001fff,
    0xffd80fff,0x1fff5004,0x87ffd400,0x2000fffa,0xff50fffa,0x7fd4001f,
    0x01fffb0f,0x3fffff60,0x30ffffff,0x64003fff,0xf10007ff,0x3ffea9ff,
    0x3ffea000,0x07ffff70,0x007fff50,0xfffb7310,0x5fffcc1f,0x99999999,
    0x267ffc99,0x9999bfff,0xfc999999,0x2fffe67f,0x99999999,0x267ffc99,
    0x9999bfff,0xfc999999,0x03ffea7f,0x2601fff0,0xfffffdca,0xfc80ffff,
    0xcfffffff,0x03ffea02,0x5c7ffe20,0xff5007ff,0x803ffdcf,0x3fee7ffa,
    0x4fff5007,0xf5007ffb,0x03ffdcff,0x7ec7ffa8,0x000001ff,0x9800fff7,
    0xffd81fff,0x0fff7004,0x71fff980,0xf9800fff,0x0fff71ff,0x91fff980,
    0x36001fff,0xffffffff,0xfff50fff,0x7ffdc001,0xfff88000,0x800fff74,
    0xff51fff9,0x7ff400df,0x7ee54c05,0xffffffff,0x3ffffea0,0xffffffff,
    0xf50fffff,0xffffffff,0xffffffff,0x3fffea1f,0xffffffff,0x50ffffff,
    0xffffffff,0xffffffff,0x3ffea1ff,0x543ff400,0xfffffffe,0x00fffeff,
    0xfffffff7,0xff505fff,0xfff1001f,0x401ffee3,0x3fee7ffa,0x4fff5007,
    0xf5007ffb,0x03ffdcff,0x3ee7ffa8,0xfff5007f,0x002fffc8,0x0dff9000,
    0x82fff880,0xf9004ffd,0xff8800df,0x00dff92f,0xf92fff88,0xff8800df,
    0x05fff72f,0x3ffee000,0x800fff70,0x8001fffa,0xff94fff8,0xfff8800d,
    0x00bfff32,0xea837fec,0xffffffff,0x2e0fffef,0xffffffff,0xffffffff,
    0xffff71ff,0xffffffff,0x23ffffff,0xfffffffb,0xffffffff,0xfff71fff,
    0xffffffff,0x3fffffff,0xd003ffea,0xffffc8ff,0xa8acdfff,0x65400fff,
    0xfffffffe,0x007ffd44,0xfb8fffc4,0xfff5007f,0xa803ffdc,0x1ffee7ff,
    0xf73ffd40,0x3fea00ff,0x401ffee7,0x7fd47ffa,0xbd80004f,0x001fff21,
    0xfb05fff3,0x3ff2009f,0x7ffcc007,0x800fff92,0xff92fff9,0xfff9800f,
    0x00bfff32,0x43ffee00,0x54007ffb,0x88001fff,0xfff94fff,0x2fff9800,
    0x4007fff1,0xffc87ffb,0xacdfffff,0x2e0fffa8,0xcccccfff,0xcccccccc,
    0x9fff70cc,0x99999999,0x21999999,0xccccfffb,0xcccccccc,0xfff70ccc,
    0x99999999,0x19999999,0xb003ffea,0x7fffe4df,0xfff700ac,0x7edcc001,
    0x3ea3ffff,0xff8800ff,0x00fff71f,0xffb9ffee,0x4fff7007,0xf7007ffb,
    0x03ffdcff,0x3ee7ffb8,0xfff7007f,0x005fff88,0xbafffd40,0x2a000fff,
    0xffd81fff,0x1fff7004,0x8fffd400,0x2000fffb,0xff71fffa,0x7fd4001f,
    0x01fffa1f,0x87ffdc00,0x2000fffa,0x2a60fffb,0xa7ffc401,0x2000fffb,
    0x3fe1fffa,0x3fee004f,0x67fffe47,0x1fff700a,0x0007ffd4,0x007ffd40,
    0x07ffd400,0x7ffd4000,0xffa80000,0xf37ec00f,0xf9001dff,0x220001ff,
    0x0005fffc,0xfb8fffc4,0xfff9007f,0xc803ffdc,0x1ffee7ff,0xf73ffe40,
    0x3ff200ff,0x401ffee7,0xffd87ffc,0x3f60000f,0x3fff31ff,0x07ffdc00,
    0x98027fec,0x2e001fff,0xfff30fff,0x7ffdc003,0x003fff30,0xf907ffdc,
    0x700007ff,0x3fe61fff,0x3ff2001f,0x3013ffa7,0x3fe67fff,0x3fee001f,
    0x01bffa0f,0x7fc5ffc8,0xffc800ef,0x0bffe20f,0x3ffe2000,0xff880002,
    0xf880002f,0xa80002ff,0x7e400fff,0x005fff35,0x9883fff6,0xfffd003b,
    0xfff98000,0x200fff51,0x3fea7ffe,0x4fffd007,0xfd007ffa,0x03ffd4ff,
    0x3ea7ffe8,0xfffd007f,0x00bfff50,0x89bffe60,0x36003fff,0x9ffb07ff,
    0x0fffe200,0x227ffd80,0x36003fff,0x3ffe27ff,0x1fff6003,0x003ffff1,
    0x10fffb80,0x74007fff,0x17ff65ff,0x227fff50,0x36003fff,0x3ffe47ff,
    0x4c7ffd00,0xfb002fff,0x4fff81ff,0xf06aea00,0x5d4009ff,0x027ffc1a,
    0xff835750,0x2aea004f,0x003ffea1,0x003fff70,0x641ffff1,0xff7007ff,
    0xff98000f,0x03fff50f,0x2a7fff88,0x7c401fff,0x3ffea7ff,0x3fffc401,
    0x8803fff5,0x3fea7fff,0x7ffc401f,0x07fffd07,0x3fffe880,0x98037ff4,
    0xffb04fff,0x37ff400b,0x44fff980,0xf3006ffe,0x6ffe89ff,0x09fff300,
    0x003dfff7,0x83fffa60,0xf5006ffe,0x3ffe47ff,0xe8bffee0,0xff3006ff,
    0x2fff889f,0x21fff980,0x8801fffb,0x7f40ffff,0xff8800ff,0x07fff46f,
    0x237ffc40,0x8800fffe,0x7ff46fff,0xfff8800f,0x003ffea6,0x807fff50,
    0x20ffffe8,0xe802fff9,0x540005ff,0x3ffe67ff,0x3fffec05,0xd80bfff3,
    0x3fe67fff,0x7ffec05f,0x017ffe67,0x7ccffffb,0x7fec05ff,0xffff307f,
    0x3ff62009,0x3fffa86f,0x01fffd80,0x5400bffb,0xfd803fff,0x7ffd41ff,
    0x1fffd803,0x401fffd4,0xfb01fffd,0x44007fff,0x20fffffc,0xe803fffa,
    0x7ffdc6ff,0x8ffff103,0xd803fffa,0xffc81fff,0x3fff401f,0x100fffea,
    0x981ffffd,0xfd805fff,0x7ffcc3ff,0x3fffd805,0x402fffcc,0x7cc3fffd,
    0xffd805ff,0x03ffea3f,0x1ffff300,0x7ffffec0,0x017fff41,0x0005fff7,
    0x3a37fec4,0xfd883fff,0x7ff47fff,0xfffd883f,0x1ffff47f,0x3ffffec4,
    0x220ffffa,0x747ffffd,0xfd883fff,0x3ee07fff,0x40acffff,0x0effffc8,
    0x209fffb0,0x205fffe8,0x2001fffc,0xd104fffd,0x3f60bfff,0xffd104ff,
    0x3fff60bf,0xbfffd104,0x7ffff440,0x75109bdf,0x7ffffffb,0x209fffd0,
    0xf82fffe8,0x3aa23fff,0xffd85fff,0xfffd104f,0x3fffe20b,0x2fffd881,
    0x007fffcc,0x03fffffb,0x101bfff9,0x320ffff9,0xc880dfff,0xff907fff,
    0xff9101bf,0x3fff20ff,0xfffc880d,0x007ffd47,0x3f67fff7,0xebabdfff,
    0x2fffdfff,0x677fffcc,0xdfffecaa,0xffef8000,0x7ffd44ff,0xfffecdff,
    0x7fd47ffb,0xffecdfff,0x7d47ffbf,0xfecdffff,0x547ffbff,0xecdfffff,
    0x47ffbfff,0xcdfffffa,0x7ffbfffe,0x7ffffdc0,0xffffeeff,0x3e601fff,
    0xdbbcefff,0x200effff,0x1ffffffb,0x77fffcc0,0xffffdbbc,0xffff300e,
    0xfffb779d,0x3fe601df,0xfdbbceff,0xc800efff,0xffffffff,0xffffffff,
    0xffd100cf,0xffb759df,0x3fee0bff,0xffffefff,0xffff306f,0xfffb779d,
    0x7fdc01df,0xffcbceff,0xfffb02ff,0xffd757bf,0x105fffbf,0x77bfffff,
    0x03fffffb,0x37ffffe2,0xfffffdbb,0xfffff101,0xffffb77b,0x3ffe203f,
    0xffdbbdff,0x7fd41fff,0x3ffee00f,0xfffffd13,0x365fffff,0xfffa85ff,
    0xffffffff,0xfff30004,0xff901fff,0x5fffffff,0x3ff21ffe,0x2fffffff,
    0xfff90fff,0x25ffffff,0xfffc87ff,0xf2ffffff,0xffff90ff,0x3e5fffff,
    0xfffa807f,0xffffffff,0xd8800dff,0xffffffff,0xfe8805ff,0x8802ffff,
    0xfffffffd,0xd8805fff,0xffffffff,0xfd8805ff,0xffffffff,0x7f54005f,
    0xffffffff,0x001effff,0xfffffffb,0xfc807fff,0xffffffff,0x3ff6200e,
    0xffffffff,0xffff3005,0x07ffffff,0x7fffff44,0xfb2fffff,0x3ff620bf,
    0xffffffff,0x7fec401f,0xffffffff,0x7fec401f,0xffffffff,0x7fec401f,
    0xffffffff,0x0fffa81f,0x70fffee0,0x9fffffff,0x407ffdc1,0xffffffc8,
    0x2e0002df,0x200effff,0xdfffffea,0x7541ffe1,0x21dfffff,0xffd507ff,
    0x7fc3bfff,0xffffd507,0x83ffc3bf,0xdfffffea,0xa801ffe1,0xfffffffd,
    0xeb8001df,0x1befffff,0x3fff6200,0x3fae003f,0x01beffff,0x7ffff5c0,
    0x5c001bef,0xbefffffe,0x3f260001,0xdfffffff,0xfdb8002c,0x00dfffff,
    0xffffff50,0x3ae0019d,0x1befffff,0x7ffec400,0x7002ceff,0x9fffffff,
    0x007ffdc1,0xffffffd5,0xfea8007f,0x03ffffff,0x7ffff540,0x54003fff,
    0xfffffffe,0x03ffea03,0x303fffb8,0x00001355,0x0002aa66,0x30003300,
    0x53000035,0x35300003,0x03530000,0x00353000,0x2aa66000,0x26000009,
    0x3100001a,0x0d4c0001,0x03530000,0x00d4c000,0xaa988000,0x4c000009,
    0x220000aa,0x400009a9,0x200001a9,0x20000aa8,0x00009aa9,0x004d54c0,
    0x04d54c00,0x4d54c000,0xaa980000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06f32a20,0x75100000,0x00013599,0x000aaaa0,
    0x5510aaa6,0x54400015,0x510002aa,0x80000355,0x4002aaa9,0x000aaaa8,
    0x15797300,0x02620000,0x10199880,0x01579973,0x44013100,0x03310009,
    0x98000cc4,0x54400aaa,0x2a2000aa,0x2aaa80aa,0x0002aaa8,0x4d66654c,
    0x20000000,0x26621998,0x71000001,0x54159bd9,0x555500aa,0x00055550,
    0x35999530,0xaa800001,0x7e40002a,0x01efffff,0x3ffaa000,0xcfffffff,
    0x3fea0001,0x7e4004ff,0x0fffd47f,0x9fffb000,0x3fff6000,0x3a00001f,
    0xd8002fff,0x20004fff,0xffffffeb,0xfb30003f,0x8059dfff,0x7fdc7ffe,
    0xcfffffff,0x03fea000,0xf98027f4,0x00bfb01f,0x0bffff30,0x400bfff0,
    0xff507ffb,0x1fffcc7f,0x7ffe4c00,0x1dffffff,0xfa800000,0x01ffea7f,
    0x3fff2000,0xff1fffff,0x3ffee03f,0x007ffee2,0x7fffe4c0,0x01dfffff,
    0x1fffd000,0xfffd1000,0x03ffffff,0xfffc8800,0xffffffff,0x44000dff,
    0x03ffffff,0xf51fff20,0x220003ff,0x70005fff,0x01ffffff,0x9fff5000,
    0x3ffa2000,0xffd8000f,0xffffffff,0x3ff62005,0x4fffffff,0x74dfffa0,
    0xffffffff,0x1001ffff,0x5ff70bff,0x5437fc00,0x744003ff,0x404fffff,
    0xd000fffc,0x7fe409ff,0x00bffd1f,0xfffffd88,0xfffffeee,0x2000001e,
    0x3fea7ffa,0x7ec00007,0xffffffff,0x201fffaf,0xff88effd,0xfd88003f,
    0xfeeeffff,0x001effff,0x007fff40,0x56fffec0,0x006fffda,0x3ffffa60,
    0xffeccdef,0x2001efff,0xfff9dffe,0x8fff9001,0x0001fffa,0x0001fff9,
    0xff95fff3,0xffd0000d,0xff88000b,0x7fe4003f,0xffca9bef,0xffb004ff,
    0xffdb9bff,0x3fffa0bf,0xbefffff9,0xffffffec,0xbfff9001,0x800bfffb,
    0xfecdfffb,0x7ec000ef,0x02fff9ef,0x200bffe6,0x6c01fff8,0x06ffceff,
    0x5ffffd40,0xfffd7100,0x2a000007,0x1ffea7ff,0xfffc8000,0xfff730ae,
    0x74403fff,0x05ffdcff,0xbffffa80,0xfffd7100,0x7ff40007,0x7fcc000f,
    0x2fffb83f,0xffffa800,0x3fee202f,0xfc801fff,0x1fff90ff,0x98999500,
    0x88000ccc,0x88001fff,0xfff15fff,0x7fd40009,0xfa80000e,0x3fe6007f,
    0x1fffa05f,0x033fff20,0x3a13fff2,0xadffffff,0xdffff500,0x7fffec00,
    0xc8000eff,0x1effffff,0x8fffdc00,0x3a01fffb,0xffb805ff,0xffff8806,
    0x3f2000ff,0x7d4002ff,0x800005ff,0x3fea7ffa,0xff300007,0x3fa601df,
    0x7cc01fff,0x8006ffff,0x4002fffc,0x0005fffa,0x70009997,0xff101fff,
    0xff88009f,0xd1000cff,0xfa80dfff,0x3ffa23ff,0x00000006,0x0003ffc8,
    0x7d41fffb,0xfd0003ff,0x5c00003f,0xff7003ff,0x7ffd403f,0x17ffe201,
    0xfd0fff90,0x2009ffff,0x004ffff9,0x00b3b726,0x79db9300,0x9fff3000,
    0x700effe8,0xfe801fff,0xfff3003f,0x7fd4003f,0xfb10000e,0xa800009f,
    0x1ffea7ff,0x7ffec000,0x7fffcc00,0xffffb801,0x77fd4000,0xffb10000,
    0x00000009,0x7f40dffb,0x7fe4005f,0xffb0003f,0x0000009f,0x00000000,
    0x00000000,0x00000000,0x405ffd80,0x2e00fff8,0x7c400fff,0x7fff41ff,
    0x7fcc005f,0x000000ff,0x00000000,0x3ffe2000,0x03ffe603,0x3e600000,
    0xfb00005f,0x5400005f,0x1ffea7ff,0x27ff4000,0x01fffd80,0xff980000,
    0x20099805,0x00002ffd,0x07ffdc00,0x0017ffc4,0x000dfff3,0x00ffffc4,
    0x00000000,0x00000000,0x00000000,0xfd000000,0x7ffa809f,0x802fff40,
    0x7ff44ffe,0xffd0006f,0x0000005f,0x00000000,0x06ffd800,0x00017ff2,
    0x907ff400,0x79bddddd,0x007ff403,0x27ffa800,0x80007ffa,0x5001fff8,
    0x00003fff,0x101ffd00,0x5dffffb7,0x8003ffa0,0xa8002aa9,0xffa84fff,
    0x7fff4007,0x7fd40001,0x3b2e204f,0x4000abde,0xcdedcb98,0xb730001a,
    0x8800179d,0xacdedcb9,0x65cc4001,0x001acded,0x6f6e5cc4,0x7ffc01ac,
    0x027fec03,0x7c00ae62,0x7fff44ff,0xfff50003,0xbd97500b,0x26000359,
    0x01aceeca,0x33b6e600,0xfff5000b,0x20bffe01,0x51002aa9,0x42ffa855,
    0xfffffffd,0x7ff304ff,0x7bdb7100,0xf53ffd43,0x6f6544ff,0x7ffcc01b,
    0x3fff3000,0xcdecba80,0x2ffa801a,0xfeffff98,0xff982fff,0x1bff2003,
    0x17fff400,0x4009fff3,0x0005fff9,0x320ffff0,0xffffffff,0xfff5003f,
    0x9fffffff,0x3fff6600,0x00cfffff,0xffffffa8,0x5004ffff,0xffffffff,
    0x3ea009ff,0xffffffff,0x0fffe04f,0x000fff98,0x0fffc400,0x0007fffa,
    0x2607fff8,0xfffffffe,0xfb1000cf,0x9fffffff,0x7ffecc00,0x00cfffff,
    0xfa83fff8,0x0fff707f,0xfb1ffea0,0x555dfb0d,0x209ffd97,0x7fdc06fc,
    0xa8efffff,0x5ffea7ff,0xfffffffa,0x0fff700e,0x80fffc40,0xffffffe9,
    0x3f600cff,0x0afff886,0x901ffd51,0x7fe400df,0xfff50005,0x1bfff95f,
    0x17ffd400,0xfffc8000,0x7ffffec1,0x0dffffff,0xfffffb10,0xdfffffff,
    0xfffffb80,0x06ffffff,0x3fffff62,0x6fffffff,0x3ffff620,0xffffffff,
    0x3fff6206,0xffffffff,0x05fff06f,0x0002fff4,0x743ffec0,0x20000fff,
    0xfb80fffd,0xffffffff,0x7d401eff,0xffffffff,0x7dc01eff,0xffffffff,
    0xffc806ff,0x704ffd86,0x3ea00fff,0x20bfe27f,0x1ffa05fd,0xfd817fcc,
    0xffffffff,0x3ea7ffce,0xfffffbff,0xd82fffff,0x7fc006ff,0xffffb81f,
    0xefffffff,0xe82ff881,0xbfd100ff,0x2005ff30,0x20004ffd,0xfffffffc,
    0xfffb8004,0xff500001,0x67ffdc7f,0x3fffae61,0x3bfffb03,0x3ffee621,
    0xffff503f,0x3ffae239,0xbfffb05f,0x3fee6213,0xfffb03ff,0x3ee6213b,
    0xffb03fff,0x2e6213bf,0xff83ffff,0x1fff502f,0x7e4c0000,0x7ffe83ff,
    0x7ffec000,0x5ffffcc0,0xffffb511,0x3fffe601,0xfff9311c,0x3ffea01f,
    0xffd711cf,0xfff980bf,0x407ffe21,0xf5007ffb,0xd83fdcff,0x03fee05f,
    0x7fe427f4,0xff730aef,0x7fd4ffff,0x930affff,0xfc83ffff,0x3fe2007f,
    0x7fffcc1f,0xfffb511b,0x987fb81f,0x1ecc02ff,0xf9804fe8,0x740002ff,
    0x002fffff,0x001fff90,0x93ffe600,0x7fc05ffe,0x4fff886f,0x437ffc40,
    0x201ffff8,0x7c41fffd,0x7fc404ff,0x4fff886f,0x437ffc40,0x4404fff8,
    0xfff86fff,0x00bffd02,0xffffb500,0x1fffa05f,0x3fff9000,0x00f7ff44,
    0x360bfff7,0x3ea01fff,0xfff884ff,0x3fff601f,0x727ff401,0x7fdc0dff,
    0x4fff5007,0x0bfb05fc,0xbf9037ec,0x00dfff98,0x54fffff3,0x500effff,
    0xffb8bfff,0x3ffe6007,0x07bffa21,0x645fffb8,0x007fb85f,0xd805fc80,
    0x10000fff,0x0bfffff9,0x03fff400,0xbfff1000,0x5007ffe2,0xffc81fff,
    0x0fff9006,0x9805fff7,0x7fe44fff,0x0fff9006,0x3200dff9,0x6ffc87ff,
    0xf0fff900,0xfff105ff,0xff980005,0x3a01ffff,0x5c0007ff,0x3ff22fff,
    0xfffb801f,0x017ffd42,0x2e07ffd4,0x7cc02fff,0x7fdc04ff,0xb80fff67,
    0xff5007ff,0xfd827ecf,0x02ffb885,0xfff91bee,0x7fffb801,0x003fffea,
    0x7d43fff7,0xff3000ff,0x0fffe43f,0xb17ffdc0,0x00bfb09f,0xd80df700,
    0x70003fff,0xffffffff,0x3ffe0007,0x7fc00006,0x07fff16f,0x372a0130,
    0x1fff7003,0xb006ffc8,0x3dca89df,0x81fff700,0xf7003dca,0x3dca81ff,
    0x81fff700,0xff882fff,0x7d40004f,0x0cffffff,0x0007ffe8,0xff17ffd4,
    0x3fe200bf,0x02fff46f,0xfc89ffd0,0x9dfb006f,0x89fff880,0x3ee00fff,
    0xfff5007f,0xffd81ff4,0x5fffffff,0x3fa3fd40,0xffff004f,0x4027ffd4,
    0x3e24fff8,0xff9003ff,0x02fffc3f,0x3a6fff88,0x004ff83f,0x3607fa80,
    0x70005fff,0xff77ffff,0xf80103ff,0x400005ff,0x3ffa6fff,0x000000bf,
    0xd03ffea0,0x000007ff,0x03ffea00,0x3ffea000,0xffa80000,0x817ffc0f,
    0x0002fffd,0x3fb2aae6,0x7ff40eff,0x7fd40007,0x03fff11f,0x3e3ffdc0,
    0x3f2003ff,0x01fff45f,0xcffd8000,0x7dc06ffa,0xfff5007f,0xffd81ff4,
    0x00cfffff,0x7ffc7fa8,0x4fff7001,0x9000fffa,0xfffd8dff,0x7fffc400,
    0x003fff11,0x7fd3ffdc,0x00009ff0,0xffd10ff5,0x3f2000bf,0x3ff21eff,
    0x37fea0ff,0x007fff81,0x97ffe600,0xbdfffffb,0x4c400001,0x40ffffdb,
    0x00002fff,0xffb73100,0x310001ff,0x01ffffb7,0xffb73100,0x2fff81ff,
    0x1bffff50,0x7fe40000,0x03fff46f,0x47ffee00,0x2000fffa,0xff30fffa,
    0x3333337f,0xfff93333,0x0002fff8,0xfbdff500,0x7ffb807f,0x6cfff500,
    0x33bfb04f,0x70019ff9,0x07ffccdf,0x2a7ffa80,0x3ee007ff,0x2fffc47f,
    0x3ffffb10,0x8003ffea,0x9fb0fffa,0x0000bfb0,0xfffd0df7,0x3fe6000b,
    0xfffe80ef,0x203fff65,0x00007ffe,0xf913ffea,0x9fffffff,0xdca98005,
    0xffffffff,0x07ffe20f,0x32a60000,0xfffffffd,0x654c00ff,0xfffffffd,
    0x654c00ff,0xfffffffd,0x17ffc0ff,0x3dffff50,0x7fe40000,0x01fffa2f,
    0x21fff700,0x4c007ffb,0xfff51fff,0xffffffff,0x1fffffff,0x0007ffe2,
    0xfffff800,0x3ffdc00f,0x327ffa80,0x88bfb05f,0x5fc805ff,0x9801ffea,
    0x1bfea7ff,0x40fffa80,0x221efffc,0x1fffffea,0x9800fff7,0x0bf91fff,
    0x2f600ff9,0x7e45fc80,0x360004ff,0xff101fff,0xdfff19ff,0x007fff60,
    0x1fffdc00,0x7fffffdc,0x5402ffff,0xfffffffe,0x20fffeff,0x0000fffa,
    0x3ffffaa0,0xffefffff,0xfffd500f,0xfdffffff,0x3faa01ff,0xffffffff,
    0x7fc0fffe,0x7ff4c02f,0x100003ff,0x7ff4dfff,0x7fe40007,0x001bff27,
    0x3ee5fff1,0xffffffff,0xffffffff,0x01fff51f,0x7fe40000,0xffb805ff,
    0x4fff5007,0x5fd80ffb,0x7c03ffa8,0x01fff24f,0x3ea7ff88,0x3fe6005f,
    0xffffd81f,0xfdffffff,0x0dff91ff,0x72fff880,0x3ffa81ff,0x7c17fe40,
    0x17ffe64f,0x0ffff000,0xfdffff98,0xfff703ff,0x3f200005,0x3b2a01ff,
    0x4fffffff,0xffffff90,0xff5159bf,0x07ffd41f,0xfffc8000,0x8acdffff,
    0xfc80fffa,0xcdffffff,0x80fffa8a,0xfffffffc,0xfffa8acd,0x4017ffc0,
    0x03ffffd8,0x4fffb000,0x40007ffe,0x3ff27ffd,0x7ffcc007,0x999fff72,
    0x99999999,0x3ea19999,0x000000ff,0x00bfffe6,0x5401ffee,0x0ffe27ff,
    0x7fec17f6,0x5c3ff501,0x3e2007ff,0x01bfea7f,0x700fffa8,0xffffffff,
    0x323fff35,0x7cc007ff,0x07ff12ff,0x3e603ffb,0x21ffa86f,0x0000fffb,
    0x2013ffe2,0xfffffffb,0x0bfff100,0xdfff1000,0x7fedcc00,0x7fe43fff,
    0xf700acff,0x7ffcc1ff,0xffc80001,0xf700acff,0xfffc81ff,0xff700acf,
    0xffffc81f,0xfff700ac,0x002fff81,0x001fffee,0xe87ffe40,0x7c0007ff,
    0x3ffee6ff,0x3ffea000,0x001fff51,0x03fff300,0xffe80000,0x0fff7007,
    0xf91ffee0,0x220bfb0d,0x8bfb06ff,0x3000fffa,0x37fd4fff,0x80fff700,
    0x0bdeedb9,0x3ee1fff3,0x3ea000ff,0x21bf21ff,0xb99bfff9,0xfd81fffd,
    0x0037fec5,0x7ffcc131,0xffff9004,0xfffd807f,0x7fe40002,0xf910003f,
    0xefff8bff,0x0fffc800,0x800bffe2,0x77ffc09a,0x0fffc800,0x40077ffc,
    0x7fc0fffc,0xffc800ef,0x017ffc0f,0x447ffea0,0x36001edc,0x1fffa7ff,
    0x4fff9800,0x8007ffe6,0xff10fffb,0xf100005f,0x4d4005ff,0x0fff6000,
    0x803ffdc0,0x7fcc7ffc,0xf702fec3,0x42ffa87f,0x5001fff8,0x3ffd4fff,
    0x00dff900,0x21fff500,0x2001fff9,0x3e60fffb,0xfffe983f,0xa82fffff,
    0x27ff42ff,0x11fff700,0x7400ffff,0x5400ffff,0x20006fff,0x220ffff9,
    0xffd003b9,0x017ffccf,0x7c0fffd8,0xff5004ff,0x0bffe61f,0x307ffec0,
    0x36005fff,0x3fe60fff,0xfffb002f,0x002fff81,0xff14fff8,0x7ff4007f,
    0x001fffa5,0x221fffe8,0x36003fff,0x27ffc7ff,0xf8357500,0xff5004ff,
    0xfff1001f,0x1ffea001,0x6c3fff40,0x013b21ff,0x37fc4bdb,0x9003ffe8,
    0x7ffd4fff,0x8bffd001,0x7fdc0009,0x00fffe27,0xfd87ffd8,0xfffb701f,
    0xdff1019d,0x400dffb0,0x3ffa6ffe,0xffe8802f,0x7ec00eff,0xe88005ff,
    0x7fe43fff,0x4fff7007,0x8801fffb,0x7ec0ffff,0xffc800ff,0x007ffee6,
    0xb83fffe2,0xf8801fff,0x3fee0fff,0xfff8801f,0x417ffc0f,0xd2fff402,
    0x3e600dff,0x1fffa4ff,0x37ffd400,0x98037ff4,0x7ff44fff,0xfff8800f,
    0x007ffec6,0xb8037fe4,0x3ea005ff,0x7fc401ff,0x1ffe887f,0x7ff44000,
    0x00dffb00,0x7d4ffff1,0xffa804ff,0x017ff42f,0x3a2fff44,0xff3006ff,
    0x3ffd109f,0x7f440080,0x1fffc80f,0x24fff980,0x4c05fffb,0xefffffff,
    0x3fffe200,0xfff5001e,0x5fff30bf,0x54bffd00,0x74403fff,0x7cc0ffff,
    0x7fcc04ff,0x0fffea3f,0x1ffffd10,0x201fffd4,0x20ffffe8,0x4403fffa,
    0x7c0ffffe,0x13fae2ff,0xf71fffcc,0xffd007ff,0x03fff41f,0x82fffe80,
    0xd803fffa,0x7fcc1fff,0xfffd805f,0x027ffcc3,0x200fffe6,0x2002fff8,
    0x6c05fff9,0xff307fff,0x3ea0007f,0x3fea02ff,0x7ffe403f,0x07fffea7,
    0xfb0dffd0,0xfff900ff,0x03fffa85,0x301fffd8,0x20007fff,0xf302fffa,
    0xffd00dff,0xdfffe83f,0x7fffdc40,0x00effffe,0x2fffffe6,0x7fe54409,
    0xffd00eff,0x7ffdc05f,0x03fffe62,0x1fffffd8,0x304fffc8,0x7cc1dffd,
    0x3f600fff,0x3e61ffff,0x3f600fff,0x3e61ffff,0x3f600fff,0x7fc1ffff,
    0x0bfff22f,0xe83fffb1,0xfd303fff,0x7ffe87ff,0x75c2b620,0x3f607fff,
    0xffd104ff,0x3fff20bf,0xfffc880d,0x09fff907,0x203bffa6,0x6ffea889,
    0x3fffe800,0x7ffffd88,0x077ffe60,0x17ffe4c0,0x827ffe40,0x2a7ffffc,
    0x881fffff,0xfb81fffe,0xff701cff,0x3fff60df,0xbfffd104,0x1dfff980,
    0x5fff9300,0x1efffc80,0x84fffe98,0xcefffff9,0x54fffffe,0x401dffff,
    0xffffffe8,0xffffffee,0x3fe600df,0xecaaceff,0x7ec0dfff,0xebabdfff,
    0x2fffdfff,0xceffff88,0x1ffffcbb,0xbdffffd8,0xfdfffeba,0x7ffec2ff,
    0xffebabdf,0x6c2fffdf,0xbabdffff,0xfffdfffe,0x3617ffc2,0xffcbdfff,
    0xfff884ff,0xffdbacef,0x7ffe85ff,0x3fffff60,0x2601ffff,0xbbceffff,
    0x00effffd,0x7bfffff1,0x3fffffb7,0x3bfffe20,0xffffcbbc,0xfffffd01,
    0xff50003f,0xffd9bfff,0x880fff7f,0x9abefffd,0xfffeba98,0x3ff6000e,
    0xffecacef,0x3fea7ffe,0xdbbefffe,0x3605ffff,0xdcdfffff,0x301fffff,
    0x779dffff,0x01dffffb,0x7dfffb10,0xfd753135,0x3a001dff,0xeddeffff,
    0x2205ffff,0xfffffffe,0x7fd42fff,0xffc8806f,0xffffffff,0xf5003fff,
    0xffffffff,0x3fa209ff,0xffffffff,0x20bffb2f,0xffffffd8,0xd102ffff,
    0xffffffff,0x17ff65ff,0xffffffd1,0x3f65ffff,0x7fff445f,0x2fffffff,
    0xfff8bffb,0x7ffff442,0x2605ffff,0xfffffffe,0xffd03fff,0x3fffe60f,
    0x800effff,0xffffffd8,0x8805ffff,0xfffffffd,0x4401ffff,0xfffffffd,
    0x3f602fff,0x0002ffff,0x3ffffff2,0x0fff2fff,0x3ffffae0,0xffffffff,
    0xfffd0004,0xf1bfffff,0x46ffd4ff,0xfffffffe,0x7ff4403f,0xffffffff,
    0x7fec401e,0xffffffff,0xffeb8005,0xffffffff,0x644004ff,0xffffffff,
    0xec800cff,0x0cefffff,0x4001df30,0xffffffb8,0x4000beff,0xffffffc8,
    0xffb802df,0x20cfffff,0x2a00fffb,0xcffffffe,0xffffb800,0x3ee0cfff,
    0xfffb80ff,0x2e0cffff,0xffb80fff,0x20cfffff,0x3fe0fffb,0xfffc882f,
    0xf7003fff,0x1bffffff,0x883fff40,0xdeffffda,0x7ff5c000,0x001befff,
    0x7fffff54,0x754003ff,0x0cffffff,0x16fffe40,0x7ff54000,0x3fe1dfff,
    0x7fed4007,0x02dfffff,0x7ffdc400,0xfff14fff,0xfd8affd4,0x001effff,
    0x3fffff66,0x75c002df,0x1befffff,0x7fed4000,0x02dfffff,0x7ff6cc00,
    0x8001deff,0x30009a98,0x54c40003,0x000009aa,0x00015533,0x00026aa6,
    0x00355300,0x0026aa60,0x026aa600,0x26aa6000,0x22000000,0x10001aa9,
    0x00003555,0x000054c0,0x00001a98,0x00026aa6,0x0006aa60,0x00000131,
    0x000006a6,0x0009a988,0x01553000,0x006a6000,0x00266200,0x000d4c00,
    0x13531000,0x0c400000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54c00000,0x800002aa,0x00abcba8,0x00004cc4,0x98003331,0x0000abcb,
    0x00266620,0x00019988,0x00026620,0x98019988,0x99999999,0x00000999,
    0x40019998,0x2201aaaa,0x774c0bdb,0x99999800,0x09999999,0x98033000,
    0x02aaa601,0x99815553,0x00000009,0x00355550,0x00d55540,0x0aaa9800,
    0xaaaa8000,0x005554c0,0x6f6e5cc4,0x2a2001ac,0x555441aa,0x00055531,
    0x35555000,0x001aaa88,0x3ffff100,0x7ecc0000,0x1dffffff,0x000dffd0,
    0x100fffdc,0xffffffd9,0x80007dff,0x2003fffd,0x00007ffa,0x8001bffa,
    0x7c01fffb,0xffffffff,0x02dfffff,0x3ffff000,0x3fffe600,0xfffff500,
    0x01ffb37d,0xfffffff0,0xbfffffff,0x827fc005,0xff100ffb,0x2fff44df,
    0x0002fffc,0x7ffd4000,0xff30000e,0x100001ff,0x000dffff,0x4c9fff30,
    0xfa804fff,0xffffffff,0x3ffa004f,0x43bffa0e,0x0000fffc,0x3fffe200,
    0x027ffd40,0x3fffb800,0x3fee0000,0xffffffff,0x06ffe83f,0x07ffee00,
    0x7fffffd4,0xefffffff,0xfffb0001,0x3ffd4007,0xdffd0000,0x7ffdc000,
    0x7ffffc01,0xffffffff,0x0003efff,0x800ffffc,0x3a01fffd,0xfffffeff,
    0xfff005ff,0xffffffff,0x07dfffff,0xf883ff90,0x7ffcc05f,0xf01dff93,
    0x00000bff,0x03fffb00,0x0fffec00,0xfffe8000,0xb80005ff,0xbffd1fff,
    0xffffd880,0xffffffff,0x9fff1006,0xfc87ffee,0x000000ff,0x2a07fff2,
    0x00004fff,0x00009fff,0x567fffd4,0x1ffffca9,0x00037ff4,0xf503fff7,
    0xb9ddffff,0x3ffffffd,0x7fffb000,0xfffb9700,0x09999999,0x006ffe80,
    0x007ffee0,0xffffffff,0xffffffff,0x20003fff,0x8801ffff,0x3e203fff,
    0xfffd712f,0x3ffe001b,0xffffffff,0xffffffff,0x3bffe201,0x801fffec,
    0xfffbfffb,0x00bfff01,0xff980000,0x3e20002f,0x900003ff,0x7fff1fff,
    0xdffb0000,0xd801dff7,0x3109dfff,0x007ffff7,0x3fefffea,0x07ffe42f,
    0xff880000,0x9fff503f,0xdff70000,0x7fcc0000,0xfff301ef,0x037ff41f,
    0x83fff700,0x00cffff8,0x01ffffaa,0x00ffff60,0x3ffffffa,0x00ffffff,
    0x001bffa0,0x401fffb8,0x9999efff,0xfeb99999,0x8000efff,0xc801ffff,
    0x264c05ff,0x7c000a88,0x99999eff,0xffeb9999,0x3ea00eff,0x03ffffff,
    0x3fffff60,0x017ffe02,0xffb00000,0xffc80009,0xff500005,0x07ffea5f,
    0xfffd1000,0xff8803ff,0x7ffc404f,0x3fff2006,0x7fca83ff,0x3f200000,
    0x3332605f,0xffe80002,0x3f200000,0x7fd401ff,0x01bffa2f,0x41fffb80,
    0x2003fffa,0x0002fffd,0xffffe800,0xffffffff,0x7fffd400,0xffffffff,
    0xffffffff,0x06ffffff,0xa800bfff,0x0006ffff,0x0eff8800,0xf0000000,
    0xfa800bff,0x5c406fff,0x4000cdec,0x404fffe8,0x00005fff,0x01bfe600,
    0x01dff100,0xbfff3000,0x000fffd8,0x17fffcc0,0x8037fe40,0x6c007ffc,
    0x3fc05fff,0xff880000,0x0000000e,0xfb000000,0x3ffa00bf,0x001bffa5,
    0x641fffb8,0x7c4005ff,0x000004ff,0x001ffea0,0xffffff50,0xffffffff,
    0xffffffff,0x3e0dffff,0xf88005ff,0x00002fff,0x00000000,0x00bfff00,
    0x05ffff10,0x00000000,0x2aabbffe,0x19aaaaaa,0x00000000,0x00000000,
    0x00000000,0x2e007b95,0x00000fff,0x0000bf30,0x00000000,0xf8000000,
    0xdf7004ff,0x0037ff4b,0xf83fff70,0xfc8003ff,0xd953007f,0x2a00359d,
    0x540007ff,0xeeffffee,0xeeeeeeee,0xfffeeeee,0xbfff04ee,0x3ffea000,
    0x3b6e6006,0x000000bc,0x359bd975,0x05fff800,0x0dfff500,0x00000000,
    0x3ffffffe,0xffffffff,0x000001cf,0x00000000,0x00000000,0x7d400000,
    0x800000ff,0x00002fe8,0x03530000,0xdeedba88,0xdba880ac,0xf1002cde,
    0xe80009ff,0x2e0006ff,0x7ffc1fff,0xeefa8005,0x3fff6200,0x804fffff,
    0x2ea27ffa,0xe800cded,0x2e0006ff,0x7fc01fff,0x3fa0005f,0x3f6602ff,
    0xcfffffff,0x00aaa880,0xfffffe98,0xf000cfff,0x74000bff,0x2a202fff,
    0x2aa200aa,0xaaaaaaaa,0xf0aaaaaa,0xffffffff,0xffffffff,0x2aaa20bf,
    0xaaaaaaaa,0x510aaaaa,0xcedb9835,0x0355500b,0x10055530,0x0d544555,
    0x02f3b6e6,0xfb731000,0x44001fff,0x8bf602aa,0x32a20aaa,0xa880acde,
    0x02f76a1a,0x7fdc0bf9,0xffffffff,0x3ffffea2,0xf802efff,0x740005ff,
    0x2e0006ff,0x7fec1fff,0x5000000f,0xffffffff,0x5403dfff,0xfffd37ff,
    0x4019ffff,0x20006ffe,0x7c01fffb,0x260005ff,0xff704fff,0xffffffff,
    0x3fff10df,0xfffffb80,0x1effffff,0x005fff80,0x813ffe60,0x2e01fff8,
    0xffffffff,0xffffffff,0xdddffff1,0xfffddddd,0xf709ffff,0xffffffff,
    0x3fffffff,0x7fcd7fea,0x83ffffff,0xfd807ffc,0x7fdc01ff,0x7cd7fea6,
    0x3fffffff,0xffb95300,0x1fffffff,0x03ffd400,0x72ffd833,0xdfffffff,
    0xfb4ffb83,0x7e47ffff,0xffffe886,0xffffffff,0xffffffcb,0x402fffff,
    0x40006fff,0x20006ffe,0x7dc1fffb,0x00000dff,0x8e7fffcc,0x0ffffc98,
    0xff7fff50,0xffffffff,0x037ff40b,0x03fff700,0x0005fff8,0x7d437ffc,
    0xd711cfff,0xff88bfff,0x3ffe601f,0xffb511bf,0xfff801ff,0x7ffc0005,
    0x07ffe206,0xffffffb8,0xffffffff,0x0bfff1ff,0x7ffff4c0,0x7ffffdc2,
    0xffffffff,0xbff51fff,0xfffffff3,0xff98bfff,0x7fffc01f,0x51ffec03,
    0xffff3bff,0x0bffffff,0x7fffff54,0xfffeffff,0x1ffea000,0xf95ffb00,
    0xffffffff,0x667fdc5f,0x20ffffff,0xfffe86fd,0x3ff2609c,0x09dfffff,
    0x03ffff53,0x0007ffec,0x000dffd0,0x220fffdc,0x0adfffff,0xfffd8000,
    0x13ffea01,0x7fffffd4,0xfffc999b,0x0dffd02f,0x0fffdc00,0x0017ffe0,
    0x441fffb0,0x3601ffff,0x3fe21fff,0xdffd101f,0x2fffdc03,0x0017ffe0,
    0x201fffb0,0x2201fff8,0xaaaaaaaa,0x5fffcaaa,0x20017ffe,0x5446fffc,
    0xaaaaaaaa,0x25fffcaa,0xbfffeffa,0xffffca99,0x501fffc2,0x440bffff,
    0x3fea1fff,0xa99bfffe,0xc82ffffc,0xdfffffff,0x0fffa8ac,0x01ffea00,
    0xbffdffb0,0xfffd7335,0x7ff7fdcf,0x7ec6feef,0x00fffcc7,0x0fffffee,
    0x206ffe88,0x0002fffb,0x8001bffa,0xf981fffb,0xbeffffff,0xfffa8001,
    0x0fffa802,0x0dffffa8,0x20bfff30,0xccccfffe,0xcccccccc,0x01fffdcc,
    0x0002fffc,0xfb83fff2,0x7fcc02ff,0x07ffe24f,0x400fffe4,0x3e02fffb,
    0x640005ff,0xff100fff,0x2a00003f,0x7ffc6fff,0xffff0005,0x3fea0001,
    0x7fffd46f,0xbfff700d,0x3205ffd8,0x2a07ffff,0x7ffd46ff,0xfff700df,
    0xcffffc8b,0x1fff700a,0x03ffd400,0x0bffff60,0xf72fffe8,0x0c41dfff,
    0xbffb1ffa,0x17fffe00,0x88bffe20,0xcefffdcc,0xe802cccc,0x2e0006ff,
    0xfd101fff,0xffffffff,0xffd0017d,0x27ff400b,0x007fffd4,0x7f41bff6,
    0xffffffff,0xffffffff,0xaa81ffff,0xaaaefffa,0x6401aaaa,0x3ff21fff,
    0x49dfb006,0xff01fff8,0x3fe200bf,0x7fd5546f,0xaaaaaaef,0x7ffe401a,
    0x03fff101,0xdfff3000,0x005fff81,0x003fff90,0x81dfff30,0x400ffffa,
    0x7fd47ffd,0x3fbffa07,0x89ff901f,0x400ffffa,0x7ffc7ffd,0xfffc800e,
    0x1ffea000,0x0bfffb00,0xf74fff88,0xfd001fff,0x0176e41f,0x000fffe8,
    0x7fc49ff9,0xffffffff,0xffe804ff,0x3fee0006,0x7ff5c01f,0xffffffff,
    0x0fffe01d,0xa85ffc80,0xfa804fff,0xffffd07f,0xffffffff,0xffffffff,
    0xfffff03f,0xffffffff,0xfffb807f,0x000fffa2,0x103fff10,0x5c003fff,
    0x7fffc7ff,0xffffffff,0x7fdc03ff,0x3fff102f,0xffe88000,0x05fff80f,
    0x07fff500,0x0fffe880,0x803fffa8,0x3e20fffb,0xeff881ff,0xfff03ffc,
    0x03fffa83,0xf30fffb8,0x3f6005ff,0x3ea000ff,0x7fec007f,0x5ffe800f,
    0x2009fff7,0x40000fff,0x2a006ffd,0x3ffe26ff,0xffffffff,0x6ffe804f,
    0x3ffee000,0xffb73001,0x7fffffff,0x337fff30,0x33333333,0xff50fff9,
    0xfff3005f,0xddfffd01,0xdddddddd,0xfffddddd,0xffffff03,0xffffffff,
    0x1fffc807,0x0000bffe,0xf503fff1,0x7d4001ff,0x3fffe0ff,0xffffffff,
    0x7fe403ff,0x3fff101f,0x7ff44000,0x0bfff01f,0x0bffea00,0x1fffe880,
    0x005fff50,0xfd81fff5,0xabffa84f,0x7ff985ff,0x802fffa8,0xff70fffa,
    0xfff1003f,0x7fd4001f,0x3ffec007,0xf75ffd80,0x3fe005ff,0x5d44001f,
    0x999dfffd,0xa9999999,0x5cccc7ff,0x9999afff,0x06ffe800,0x07ffee00,
    0x7ff5cc00,0x7d43ffff,0xffffffff,0xffffffff,0x0fffd40f,0x40fffcc0,
    0x20006ffe,0x9981fffb,0x999efff9,0x6c009999,0xfff11fff,0xff880003,
    0x07ffb81f,0x30fffcc0,0x33dfff33,0x80133333,0xf101fffd,0x6c0003ff,
    0x3fe03fff,0xff90005f,0x7fec003f,0x3ffea03f,0x0fff9801,0x7e437fdc,
    0xc87ff89f,0xfffa84ff,0x0fff9801,0x8807fff5,0x000ffffe,0xb001ffea,
    0x3f600dff,0x03fff76f,0x403fff10,0xffffecb8,0xffffffff,0xffffffff,
    0xff301fff,0x3fa0007f,0x3ee0006f,0x880001ff,0x20fffffb,0xfffffffb,
    0xffffffff,0x7fd41fff,0xfff9800f,0x006ffe81,0x007ffee0,0x8000bfff,
    0xff50fffe,0xf880001f,0x6ffc81ff,0x17ffc400,0x0005fff8,0x8807fff4,
    0x90001fff,0xff809fff,0xff88005f,0xff9000ff,0xfffa809f,0x0fff9800,
    0x3e07ffc4,0xd07ffa7f,0xfff505ff,0x1fff3001,0x803fffe6,0x01fffffd,
    0x001ffea0,0x3200bffb,0x1fff76ff,0x05fff100,0xffffffd5,0xffffffff,
    0xffffffff,0x205fffff,0x0003fff8,0x4000dffd,0x0000fffc,0x8ffffa20,
    0xccccfffb,0xcccccccc,0x7fd40ccc,0x3fff3007,0x000dffd0,0x200fffdc,
    0x40005fff,0x3fea7fff,0x7c40000f,0x7ffc81ff,0x17ffcc00,0x0005fff8,
    0xf103fffc,0xf70003ff,0xfff00bff,0xffd8800b,0xfff7005f,0x0fff500b,
    0x203ffe60,0x3fe62ffe,0xf88fff25,0x0fff507f,0xd83ffe60,0xbabdffff,
    0xfffdfffe,0x1ffea002,0x009ffb00,0x7fddbff2,0x7fff3007,0xffffffb8,
    0xdffb1bde,0x99999999,0x03999999,0x0007ffe2,0x0003ffec,0x4c41fffb,
    0x3fe00009,0x03ffea5f,0x7ffa8000,0x03fff300,0x4000dffd,0x7c01fffb,
    0x220005ff,0x3fe65fff,0x7c40001f,0xfffb81ff,0x3ffea000,0x00bfff01,
    0x02fffc40,0x8003fff1,0xf006fffa,0xa9880bff,0x00fffffc,0x006fffa8,
    0x2600fff5,0xffc80fff,0xfa8ffee5,0x417fee5f,0xf3007ffa,0x7ff441ff,
    0xffffffff,0x400bffb2,0x6c007ffa,0xff9004ff,0x401ffeed,0x3f23fff9,
    0xb00adfff,0x00000bff,0x4000fff3,0x20007ffd,0x3fe27ffd,0x3f20004f,
    0x0bffe27f,0x7ffa8000,0x03fff300,0x4000dffd,0x7c01fffb,0x2e0005ff,
    0x3fe23fff,0x826a002f,0xf981fff8,0x3ee001ff,0xbfff00ff,0x7ffdc000,
    0x07ffe203,0x0efff980,0xffffff00,0xffffffff,0x005fffff,0x001dfff3,
    0x4c01ffea,0xff980fff,0xf887ff67,0x05ffb0ff,0x4c01ffea,0xffb80fff,
    0x20cfffff,0x5000fffb,0xfd800fff,0xdff9004f,0x5401ffee,0x3ffe4fff,
    0x0bffd006,0xbff70000,0x7ffdc000,0xdfff0001,0x0006fff8,0xff83ffee,
    0x2aea004f,0x007ffa81,0xfd03fff3,0x7dc000df,0x7ffc01ff,0xfff10005,
    0x04fff81f,0x221fff50,0xff881fff,0x3ff6003f,0x017ffe07,0x07fffc40,
    0x003fff10,0x007fffe2,0xfffffff8,0xffffffff,0xf8801eff,0x2a001fff,
    0xff3007ff,0x47ffe01f,0x2ffe87ff,0x3ea01fff,0xfff3007f,0x04d54c01,
    0x54005fb8,0x7ec007ff,0xdff9004f,0x5401ffee,0xfff54fff,0x1fffe007,
    0x202bca80,0x20000fff,0x8004fff9,0x7f44fffa,0xfb0001ff,0x0fffe8bf,
    0x86fff880,0xf3007ffa,0xdffd03ff,0x7ffdc000,0x02fffc01,0x85fffc80,
    0xc800fffd,0x3ffe26ff,0x00dffd01,0xf813ffe6,0xf90005ff,0xff880bff,
    0xffe8801f,0x7ffc002f,0xffffffff,0x002defff,0x005fffd1,0x3007ffa8,
    0x3f201fff,0xc85ff9bf,0x05ffacff,0x4c01ffea,0x80000fff,0x7d4004fd,
    0x7fec007f,0x2dff9004,0xf7007ffb,0x3fff2bff,0xffffb800,0x7fff8801,
    0x0005ff90,0x005ffff0,0x542fffe8,0x4000efff,0x7cc3fff8,0xffd805ff,
    0x07ffa83f,0xd03fff30,0x5c000dff,0x7fc01fff,0xff98005f,0xfff981ff,
    0x1fffcc04,0x2a03fff1,0xfd803fff,0x3ffe01ff,0xfff98005,0x7ffc401f,
    0x3fffe801,0x9efff800,0x09999999,0x7fffd000,0x0fff5000,0x403ffe60,
    0x3ffbeffa,0xffceffa8,0x01ffea03,0x0007ffcc,0x2001ff40,0x6c007ffa,
    0xff9004ff,0x401ffeed,0xff75fffb,0xfff9805f,0x7e400fff,0x5ffc83ff,
    0xfff90000,0x3ff2003f,0xffffd06f,0x3ffe6003,0xdfffc80f,0x7fffc880,
    0x200fff50,0xfe81fff9,0x3ee0006f,0x7ffc01ff,0x3ff22005,0x3ff204ff,
    0xdffd304f,0x00fffc41,0x2209fffb,0x7c05fffe,0x322005ff,0x8804ffff,
    0x7ec01fff,0xff0004ff,0x200000bf,0x0004fffd,0x2600fff5,0xff100fff,
    0x3e03ffdf,0x200fffff,0xf3007ffa,0xf00001ff,0xffa800df,0x27fec007,
    0xf76ffc80,0x3fee00ff,0x0dfff55f,0x7ff7ffcc,0xffa881ff,0x7ffec0ff,
    0xacdeffee,0x3e22dcc1,0x21bdffff,0xfffffb98,0xfffff302,0x654c1379,
    0xf105ffff,0xb77bffff,0x203fffff,0xf3007ffa,0xdffd03ff,0x7ffdc000,
    0x577ffc01,0xccaaaaaa,0x05fffffe,0x677fffc4,0x1ffffcbb,0x300fffc4,
    0x779dffff,0x01dffffb,0xaaaefff8,0xfeccaaaa,0x1005ffff,0x7e403fff,
    0x3e0004ff,0x800005ff,0x0004fffc,0x4c01ffea,0x3f600fff,0x3f607fff,
    0x7d406fff,0xfff3007f,0xff900001,0x5406e619,0x7ec007ff,0xdff9004f,
    0x5c01ffee,0x3ff65fff,0xffdbadff,0xffff53ff,0xffffb79d,0xffffa83f,
    0xffffffff,0x0ffffeff,0x7fffffcc,0xffffffff,0x7fd403ff,0xffffffff,
    0x06ffffff,0x7ffffec4,0x01ffffff,0x4c01ffea,0xffe81fff,0x3fee0006,
    0x7fffc01f,0xffffffff,0x0dffffff,0xffffd880,0x82ffffff,0x4401fff8,
    0xfffffffd,0xff005fff,0xffffffff,0xffffffff,0x3fe2001b,0xffff301f,
    0xffffffdd,0x3edfffff,0x400005ff,0xfeeffff9,0xffffffff,0x0fff56ff,
    0x803ffe60,0x205ffffb,0x403ffffb,0xf3007ffa,0x300001ff,0x5fffffff,
    0x001ffea0,0x32009ffb,0x0fff76ff,0x897ffee0,0xfffffffe,0x7fcc1eff,
    0xffffffff,0xfffff01f,0xfffffddf,0x07ffffff,0xffffffd1,0x5fffffff,
    0x3fffa600,0xffffffff,0x3aa004ff,0x3fffffff,0x007ffa80,0xfd03fff3,
    0x7dc000df,0x7ffc01ff,0xffffffff,0x01dfffff,0xffffea80,0xff100cff,
    0x3fae003f,0x01beffff,0x3fffffe0,0xffffffff,0x44001dff,0xff301fff,
    0xffffffff,0xdfffffff,0x00017ffe,0xffffff30,0xffffffff,0x3feadfff,
    0x1fff3007,0x1ffffc40,0x03ffff30,0x3007ffa8,0x00001fff,0x3bfffff6,
    0x00fff501,0x9004ffd8,0x1ffeedff,0x42fffdc0,0xdffffffc,0xffd9100c,
    0xc807ffff,0xdb880adf,0x2dffffff,0x3ffff6a0,0x00beffff,0xffffda80,
    0x01bdffff,0x026aa600,0x007ffa80,0xfd03fff3,0x7dc000df,0x7ffc01ff,
    0xffffffff,0x0000ceff,0x10035530,0x30003fff,0x7fc00035,0xffffffff,
    0x000cefff,0x203fff10,0xfffffff9,0xffffffff,0x0bfff6ff,0xfff98000,
    0xffffffff,0x56ffffff,0x3e600fff,0x7ff400ff,0x37ffc00f,0x803ffd40,
    0x0000fff9,0x006f2e20,0xd800fff5,0xff9004ff,0x401ffeed,0x2604eeea,
    0x988001aa,0x0310019a,0x05555440,0x55553100,0x4c000013,0x0000aaa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x99999998,
    0x99999999,0x09999999,0x5302aaa6,0x06aaa155,0x880d5540,0x22001aaa,
    0x77540bdb,0x0aaaa880,0x33b6e600,0x04ccc00b,0x20026660,0xabdeecb8,
    0x98666200,0x26666099,0x99999999,0x99999999,0x004ccc19,0x88044000,
    0x99800199,0xa8000009,0x177441bd,0x33019988,0x26200013,0x85555099,
    0x31002aa9,0x26660013,0x51000000,0x00135997,0x004ccc00,0x13333300,
    0x33330000,0x4cccccc1,0x00099999,0x0000ccc4,0x00026662,0xffffffb0,
    0xffffffff,0xffffffff,0x127ffccb,0x7ffc9fff,0x09ffd003,0x007ffff6,
    0x3bffffee,0x3207fe9b,0x6cc05fff,0xffffffff,0x4fff880c,0x013ffe60,
    0xfffffff9,0x3fea07ff,0xff8fffe7,0xffffffff,0xffffffff,0xff11ffff,
    0xb800009f,0x0fff701f,0x03fff980,0x3ffe6000,0xffc9ceff,0x20fff702,
    0x8000fffc,0xffd2fffd,0x207ffc8b,0xffffffd9,0x9fff101d,0xfc880000,
    0x4fffffff,0xfffb8000,0xfff0000f,0xa8000bff,0xff16ffff,0xffffffff,
    0x8059ffff,0x40007ffa,0x0002fffa,0x3fffffe6,0xffffffff,0xffffffff,
    0x97ffd45f,0x7ffc6ffd,0x09ffd003,0x1dfffff9,0xffeffe80,0x405fffff,
    0xf700fffd,0xffffffff,0xfff10dff,0x27ffcc09,0xffffffb0,0x81bfffff,
    0x3ffe7ffa,0x3fffffe3,0xffffffff,0xffffffff,0x009fff11,0x07ffa200,
    0x2003ffdc,0x0003fff9,0x3ffbff20,0x206fffff,0xff107ffb,0xff9800bf,
    0x917ffa6f,0xffb10fff,0xffffffff,0x4fff8819,0x3fea0000,0xffffffff,
    0x3a0002ff,0x0003ffff,0x01ffffff,0x7fffec00,0xffffff16,0xffffffff,
    0x7fd409ff,0x7fd40007,0x3f60002f,0xffffffff,0xffffffff,0x85ffffff,
    0xfffbfffc,0x801fffc0,0x7fd44ffe,0x205ffdaf,0xfd711ff9,0xe88019ff,
    0xfffa84ff,0xffd711cf,0x4fff88bf,0x413ffe60,0x261cfffb,0x543fffeb,
    0x8fffe7ff,0xffffffff,0xffffffff,0x11ffffff,0x00009fff,0x5c07ffe6,
    0x7cc007ff,0x200003ff,0x3ff6a4ff,0x3fee01df,0x07ffee07,0x21fffd80,
    0x7fe45ffe,0xeffffe87,0x5ffffecc,0x0027ffc4,0xdffff980,0xfffeb99a,
    0xff98000f,0xf0006fff,0x005fffff,0x3ffffe20,0xffffff16,0xffffffff,
    0x3ea0bfff,0x7d40007f,0xf10002ff,0xff533dff,0x3333339f,0x13333333,
    0x3fffffa0,0x003fff81,0x7fc49ffd,0x09fff14f,0x05441326,0x41fff300,
    0x201ffff8,0x3e21fffd,0x3ba604ff,0x0bffd04f,0x7d46fff8,0x98bf2a7f,
    0x99999999,0x9999fffe,0x3e219999,0x300004ff,0x3ee03fff,0x7fcc007f,
    0x9100003f,0x00351019,0xfe80fff7,0xfff3006f,0x543ccb8b,0x7ffe44cc,
    0xfffe980d,0x013ffe23,0x3fffa200,0x1bffee02,0x3f3ff200,0xff8001ff,
    0x0005ffff,0x2dfffff7,0x999dfff8,0xfca99999,0xffa85fff,0x7fd40007,
    0xff90002f,0x1fffcc5f,0x3fe20000,0x7fff03ff,0xe93ffa00,0x3fea0eff,
    0x0000002f,0xffb93fea,0x7ffcc02f,0x013ffe24,0x3fe20fee,0x7ffd401f,
    0xf91ffea0,0x7ffd8003,0x27ffc400,0xfff98000,0x00fff701,0x003fff98,
    0xb8000000,0x7fd407ff,0xfffe802f,0xff980000,0xfffe804f,0x009fff10,
    0x09fff700,0x005fff90,0xffd9fff8,0xefff8005,0xd8000fff,0xf16fffff,
    0x7cc009ff,0x7ffa87ff,0x7ffd4000,0xfff88002,0x01fffcc6,0xff000000,
    0x3ffa007f,0x00000004,0x3ff20000,0x49dfb006,0xd804fff8,0x3fff881f,
    0xffa80980,0x6c003ec7,0x7c4007ff,0x300004ff,0x3ee03fff,0x7fcc007f,
    0x0000303f,0x3ffdc000,0x203fff40,0x0004fffa,0x001fff90,0x3e25fff3,
    0xd80004ff,0x3fe007ff,0x3fea004f,0x001fff77,0xfffbfff8,0x77fc4002,
    0xfff16ffd,0xfffa8009,0x003ffd42,0x00bffea0,0x30bfff20,0x00007fff,
    0x1fffc000,0x004ffe80,0xdcb98800,0x0001acde,0x0003ffe8,0x2027ffc4,
    0x3ffa07f8,0xfa8000bf,0x0013f27f,0x1001fff6,0x80009fff,0xabfffba9,
    0x01ffee1a,0x707fff30,0x0aaa600d,0x5c155440,0xff9807ff,0x3fffa03f,
    0xffd00000,0xa7ffc00b,0x0004fff8,0x2004fff8,0x36006ffd,0x7fff14ff,
    0xcbfff800,0x7dc005ff,0xf16ffdbf,0xf88009ff,0x3ffd44ff,0x3ffea000,
    0x7ffc4002,0x03fff986,0x43551000,0x3fe0bdda,0x9ffd003f,0x002aaa20,
    0x7fffffd4,0x8804ffff,0x3ffe0aaa,0x7fc40002,0x13fe604f,0xdfffffb8,
    0xfff5001b,0x6c0013e2,0x7c4007ff,0x6c0004ff,0xffffffff,0x001ffee5,
    0xfc87fff3,0x0fff7006,0x2e1ffea0,0xffb007ff,0x5fff701f,0x01555100,
    0xe800fffe,0x9fff15ff,0xecc88000,0x1bff6002,0xb17ffc40,0xff800dff,
    0x00fff9bf,0x3f63ffa0,0x09fff16f,0xa89fff00,0xaaa807ff,0x0bffea1a,
    0x05fff900,0x0007fff3,0x7ed3fee0,0xfff3ffff,0x13ffa007,0x200fffc4,
    0xffffffd8,0x06ffffff,0xf88fffc4,0x440001ff,0x3e204fff,0xffffc802,
    0x202cffff,0x00027ffa,0x4007ffd8,0x0004fff8,0x7fffffec,0x1ffee5ff,
    0x27fff300,0x7005ffd8,0x3ea00fff,0x07ffb87f,0xf09fff10,0x3e200dff,
    0x004401ff,0x3e29fff0,0x000004ff,0x00fffe00,0xf507ffdc,0x7fc003ff,
    0x005fff3f,0x7fedbfe2,0x009fff16,0x542fff88,0x7fe407ff,0x17ffd45f,
    0x0dfff100,0x000fffe6,0x7e67fdc0,0xff0fffff,0x3ffa007f,0x03fff104,
    0x09dfffd8,0x7ffff731,0xa8fffc40,0x40000fff,0x0404fff8,0xfffff700,
    0x505fffff,0x20000fff,0x44007ffd,0x40004fff,0x9afffa98,0x01ffee09,
    0xd17fff30,0x7dc00bff,0xfff5007f,0x0e6fff70,0x5c3fff90,0xf1001fff,
    0x400003ff,0xff12fff9,0x0000009f,0x007ffea0,0x7fc27ff4,0x3ffe005f,
    0x200bff93,0xdffb3ffb,0x0013ffe2,0xfa81fff7,0x3fff207f,0x02fffa85,
    0x40fffee0,0x0003fff9,0xfffdff70,0x7ffcdfdd,0x09ffd004,0x8807ffe2,
    0x7c404fff,0x3fe206ff,0x01fff51f,0x4fff8800,0xeca80000,0x4fffffff,
    0x0003ffd4,0x4007ffd8,0x0004fff8,0x203fff30,0x4c007ffb,0x4fffdfff,
    0x03ffdc00,0xfb87ffa8,0x4404faff,0xfff15fff,0x7ffc400b,0x3f600001,
    0x9fff10ff,0x30000000,0x2600dfff,0xffc81fff,0x7fff000f,0x2003ffe6,
    0xdffb0ffe,0x8013ffe2,0xfa84fffb,0xbfff907f,0x00bffea0,0x2606fff8,
    0x9999cfff,0x99999999,0xeffffb80,0x4fff8620,0x209fff00,0x3201fff8,
    0xff9006ff,0x8fffc40f,0x0001fff9,0x0027ffc4,0x3f6e6000,0x3ea3ffff,
    0xfb00007f,0xff8800ff,0x04ccc04f,0x203fff30,0x4ccc7ffb,0xfffff981,
    0xffb8002f,0x0fff5007,0x09fffff7,0xf93fff50,0x7c4001ff,0x500001ff,
    0x7fc49fff,0x0000004f,0x00ffffcc,0xf306ffd8,0x3fe007ff,0x00bffe3f,
    0x7fecbff1,0x55bfff16,0xd7555555,0x3ea09fff,0x5fffc87f,0x00bffea0,
    0x301fffdc,0xffffffff,0xffffffff,0x1ffff70b,0x005fff80,0x3e209fff,
    0x372a01ff,0x1fff7003,0x447ffe20,0x2a002fff,0x13ffe209,0xc8800000,
    0x3fea5fff,0xffb00007,0xfff8800f,0x037ffc04,0x2e03fff3,0x3fffc7ff,
    0x0fffffcc,0x07ffb800,0xf70fff50,0x7400bfff,0x04fffdff,0x00fffc40,
    0x77ffcc00,0x013ffe20,0xff980000,0xff1002ff,0x37ff409f,0x323fff80,
    0x7fdc05ff,0x7c5bff62,0xffffffff,0x3fffffff,0xf91ffea0,0xffa809ff,
    0xffff002f,0xfffff980,0xffffffff,0xffb85fff,0x6fff804f,0x04fff880,
    0x0003fff1,0x00fffa80,0x7fc3fff1,0xfff5004f,0x013ffe21,0x00773100,
    0xffa9fffa,0x33322007,0xcffffccc,0x880ccccc,0x7fc04fff,0x3ffe606f,
    0xf8fff701,0xfff987ff,0x3ee0000e,0xfff5007f,0x209fff70,0xfdcccccb,
    0xccdfffff,0xff102ccc,0xf880003f,0x7fc42fff,0x0000004f,0x005ffff3,
    0x7007ffdc,0xff005fff,0x07ffcc7f,0x7ec1ffd0,0xfffff16f,0xffffffff,
    0x2a03bfff,0x3ffee7ff,0x2fffa804,0x03fffb80,0x7fffffcc,0xffffffff,
    0xfffb85ff,0x0ffff802,0x827ffdc0,0x0001fff8,0x7ffedcc4,0x3fff100f,
    0x4007ffec,0x3fe26ffc,0x7e40004f,0xfff7007f,0x1003ffd4,0xffffffff,
    0xffffffff,0x09fff103,0xaa86fff8,0x1aabfffb,0xfff1ffee,0x3fffe88f,
    0x3ffdc000,0x4c7ffa80,0x3fa07ffe,0xffffffff,0xffffffff,0x3fff104f,
    0x7ff44000,0x4fff884f,0xf8800000,0x74002fff,0x7fc406ff,0x3fff805f,
    0xf9817ffc,0x8b7fec5f,0xffffffff,0xffffffff,0x7ffa84ff,0x2009fff7,
    0xe802fffa,0x7cc00fff,0x99999cff,0x09999999,0x801fffb8,0x2606ffff,
    0xf104ffff,0x54c003ff,0xffffffdc,0xff100fff,0x27ffcc3f,0x88fffe60,
    0x40004fff,0xe802fff9,0x1ffea5ff,0xfffff880,0xffffffff,0xff881fff,
    0x2f77404f,0x7fffffec,0x1ffee4ff,0x7f44dddb,0x40003fff,0xf5007ffb,
    0x7fffd4ff,0x3ffffa07,0xffffffff,0x04ffffff,0x0003fff1,0x413fffe6,
    0x0004fff8,0x2fffd800,0x1fffcc00,0x007ffec0,0xff90fffe,0xb0bfee0b,
    0x3ffe2dff,0x7e54c404,0x7fd44fff,0x01ffffcf,0x805fff50,0xaaadfffa,
    0xffbaaaaa,0xf700003f,0xfff001ff,0x7d4419ff,0xf104ffff,0xfd5003ff,
    0xffffffff,0x2201fffd,0x7fe41fff,0xdffd304f,0x027ffc41,0x17fff400,
    0x545fff70,0xb00007ff,0xf8800fff,0x6c0004ff,0xffffffff,0x401ffee4,
    0x03ffffff,0x03ffdc00,0x3fe7ffa8,0x2aa07fff,0xfeaaaaaa,0xaaaaaadf,
    0x3fff101a,0xffff5000,0x27ffc409,0x3e600000,0xfc8003ff,0xcccccdff,
    0x3fffdccc,0x261fffc0,0x7fe80fff,0xff16ffd8,0xffa8009f,0x3ffea1ff,
    0x006fffff,0xe805fff5,0xffffffff,0xffffffff,0xff700003,0x3fffe00f,
    0xfffdefff,0xf104ffef,0xffc803ff,0xacdfffff,0x100fffa8,0xff883fff,
    0xfcbbceff,0x7fc41fff,0xf980004f,0xcaacefff,0x2a0dfffe,0xb00007ff,
    0xf8800fff,0x440004ff,0x99afffa9,0x401ffee0,0x03fffcff,0x03ffdc00,
    0x3be7ffa8,0x20007ffb,0x10004ffe,0xb8003fff,0x4403ffff,0x00004fff,
    0x0037fdc0,0xfffffff8,0xffffffff,0x7ffc07ff,0x4c2fff83,0x6ffd85ff,
    0x0009fff1,0x7d4bfff5,0xfffeffff,0x2fffa803,0x3ffffea0,0xffffffff,
    0x0003ffff,0x200fff70,0xfffecfff,0xffbcffff,0x03fff104,0x567fffe4,
    0x01fff700,0x2207ffe2,0xfffffffd,0xff882fff,0xf500004f,0xffffffff,
    0xfff509ff,0x3ff60000,0x7ffc4007,0xff300004,0x1ffee03f,0x7ffccfc0,
    0x7fdc0003,0x4fff7007,0x000fff74,0x80027ff4,0x2001fff8,0x802ffffc,
    0x0004fff8,0x027fec00,0x7ffffd40,0xffffffff,0x202fffff,0xffc83fff,
    0x6c17fe45,0x9fff16ff,0xffff1000,0xe9ffffd4,0x7d401fff,0x3ffa02ff,
    0xeeeeeeef,0x3fffeeee,0xfff70000,0x6cfffe00,0xf74fffff,0x3ffe209f,
    0x03bffe01,0x403fff20,0x2a01fff8,0xcffffffe,0x09fff100,0x7fe44000,
    0x02dfffff,0x0000fff5,0x1001fff6,0x00009fff,0x5c07ffe6,0x261007ff,
    0x40003fff,0xf9007ffb,0x0fff70ff,0x7ffffff4,0xffffffff,0xf104ffff,
    0x3f6003ff,0xf1001fff,0x000009ff,0x8004ffe8,0xaaaafffd,0xbaaaaaaa,
    0x3fe05fff,0x0fff983f,0x7fec1ffe,0x009fff16,0x543fffa0,0x3fe63fff,
    0x7ffd406f,0x09fff502,0x01fffcc0,0x07ffb800,0x4c47fff0,0xff88001a,
    0x5fff301f,0x03fff600,0x400fffc4,0x8801affb,0x00004fff,0x0017ff50,
    0x0000fff5,0x1001fff6,0x00009fff,0x5c07ffe6,0x7cc007ff,0x540003ff,
    0xffd007ff,0x40fff70f,0xfffffffe,0xffffffff,0xff104fff,0xfffb003f,
    0x7fc4001d,0x4000004f,0x44003fff,0xe8004fff,0xfff00fff,0x4cfffa07,
    0xdffb04ff,0x0013ffe2,0xff53fff4,0x07fff90f,0xe817ffd4,0x26000fff,
    0x00003fff,0x3e00fff7,0x200003ff,0xf701fff8,0xff1003ff,0x3fe201ff,
    0xbffd801f,0x4fff8800,0xff700000,0xfff50039,0x3ff60000,0x7ffc4007,
    0xff300004,0x1ffee03f,0x07fff300,0x1fffa800,0x43fffc40,0x3b207ffb,
    0xffeeeeee,0xeeeeeeff,0x3fff103e,0x0dfffd80,0x27ffc400,0x00000000,
    0x003fff70,0x209fff70,0xff903fff,0x6c07ff2b,0x9fff16ff,0xbfff1000,
    0xfe83ffd4,0xfff501ff,0x09fff305,0x03fff980,0x0fff7000,0x000fffe0,
    0x01fff880,0x8807fff5,0x100ffffe,0xb9003fff,0xf8805fff,0x000004ff,
    0x809fffb5,0x00007ffa,0x8800fffb,0x00004fff,0x2e07fff1,0x7cc007ff,
    0x4c0003ff,0x7ec05fff,0x7ffb87ff,0x13ffa000,0x0fffc400,0x00bfff70,
    0x013ffe20,0x80000000,0x10006ffe,0x3fe0ffff,0x1fff303f,0x7fec0fff,
    0x009fff16,0x549fff70,0xfff307ff,0x0bffea0d,0x0007fff6,0x0007fff3,
    0x401ffee0,0x00003fff,0x4c07ffe2,0x3600ffff,0x101fffff,0x4c003fff,
    0x7fc406ff,0x8000004f,0x3ea00ffe,0xfb00007f,0xff8800ff,0xf100004f,
    0xff703bff,0xfff9800f,0xffe80003,0xfffd883f,0x07ffb87f,0x013ffa00,
    0x80fffc40,0x0006fff8,0x0013ffe2,0x4c000000,0x20003fff,0xff82fffc,
    0x37ffa03f,0x3ff604ff,0x009fff16,0x21ffffb8,0x3f207ffa,0xfffa83ff,
    0x02fffcc2,0x56fffcc0,0xaaaaaaaa,0x2e0aaaaa,0xfff007ff,0x7c400007,
    0x3ff601ff,0xfebabdff,0x02fffdff,0x4003fff1,0x7c407ffb,0xaaaaadff,
    0xaaaaaaaa,0x5fff3001,0x003ffd40,0x007ffd80,0x556fffc4,0xaaaaaaaa,
    0xfff81aaa,0x3fee6fff,0x7ffcc007,0xaaaaaaad,0x21aaaaaa,0xcdfffffa,
    0x7ffbfffe,0x0007ffb8,0x40013ffa,0xfb01fff8,0x555559ff,0x55555555,
    0x2ab7ffe2,0xaaaaaaaa,0xf8801aaa,0x3f2006ff,0x260000ff,0xfff85fff,
    0x3ffff203,0x5bff601f,0xaaadfff8,0xfcaaaaaa,0x7d44ffff,0x3ffe207f,
    0x17ffd41f,0x0007fff6,0x3fffffe6,0xffffffff,0x3ee1ffff,0x7fff007f,
    0x7fc40000,0x3ffa201f,0xffffffff,0x220bffb2,0x37a01fff,0x404ffffe,
    0xfffffff8,0xffffffff,0xfbb903ff,0x5401dfff,0xb00007ff,0xf8800fff,
    0xffffffff,0xffffffff,0xfffffa83,0x001ffee7,0xfffffff3,0xffffffff,
    0xfffc87ff,0xf2ffffff,0x0fff70ff,0x027ff400,0x81fff880,0xfffffff9,
    0xffffffff,0xffff16ff,0xffffffff,0x007fffff,0x400dfff1,0x80006fff,
    0x7fc1fffe,0x3ffe603f,0xb7fec06f,0xfffffff8,0xffffffff,0xffa85fff,
    0x37ffd407,0xf98bffea,0xf30005ff,0xffffffff,0xffffffff,0x03ffdc3f,
    0x0003fff8,0x007ffe20,0x3fffffee,0x3ffee0cf,0x01fff880,0xbffffff1,
    0xfffff100,0xffffffff,0x3607ffff,0x01efffff,0x0003ffd4,0x4007ffd8,
    0xfffffff8,0xffffffff,0xffd703ff,0x1ffee1ff,0xfffff300,0xffffffff,
    0xd507ffff,0x43bfffff,0x7ffb87ff,0x13ffa000,0x0fffc400,0x7fffffdc,
    0xffffffff,0xfff16fff,0xffffffff,0x07ffffff,0x00dfff10,0x000fffea,
    0xf13ffee0,0xffe807ff,0xb7fec04f,0xfffffff8,0xffffffff,0xfff503ff,
    0x47fffb00,0x3f22fffa,0xf30002ff,0xffffffff,0xffffffff,0x03ffdc3f,
    0x0002eed8,0x007ffe20,0x0009aa98,0x807ffe20,0x001bcccc,0xfffffff1,
    0xffffffff,0x332e07ff,0xff5002cc,0x3f60000f,0x7fc4007f,0xffffffff,
    0x3fffffff,0x7fdc1980,0x7ffcc007,0xffffffff,0x03ffffff,0x5c000d4c,
    0x3a0007ff,0xf10004ff,0xfffb03ff,0xffffffff,0x2dffffff,0xfffffff8,
    0xffffffff,0xff8803ff,0xfffb006f,0xff100001,0x03fff8ff,0x200fffe4,
    0xfff16ffd,0xffffffff,0xa8059bdf,0xff8807ff,0x5fff51ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333333,0x00013333,0x33333331,
    0x33333333,0x4c413333,0x99999999,0x99999999,0x99999881,0x99999999,
    0x00999999,0x01331018,0x00ccc400,0x04deedc4,0x0d544555,0x059dd951,
    0x00019988,0x00009998,0x44133331,0x80000999,0x33309998,0x4cc40001,
    0xddddd101,0xdddddddd,0x9999988d,0x19999999,0x41998800,0x99999999,
    0x99999999,0x00199999,0x4000cc40,0x20abcb98,0x00019998,0x2620ccc4,
    0x4c400099,0x99800199,0x33333309,0x00333333,0x311a9800,0x44000033,
    0x7fffc199,0xffffffff,0xfd002dff,0xffffffff,0xffffffff,0x7ffec7ff,
    0xffffffff,0x1fffffff,0x7fffffe4,0xffffffff,0x204fffff,0xdffd04e9,
    0x7ffdc000,0xffffd701,0x9ffe1dff,0xfff55ffa,0x205dffff,0x40007ffa,
    0x8004fff8,0x20efffe8,0x000ffffa,0xf9ffff40,0x50001fff,0xff303fff,
    0xffffffff,0xffe8ffff,0xffffffff,0x1cefffff,0x3e3ffd40,0xffffffff,
    0xffffffff,0x001fffff,0x001fff10,0x7fffffe4,0x0bfffe20,0x2fffd400,
    0x000fffea,0x001ffffb,0xff9fffc4,0xffffffff,0x02dfffff,0x329ff300,
    0x80003fff,0x7fc5fff8,0xffffffff,0x3effffff,0x7fffff40,0xffffffff,
    0x23ffffff,0xfffffffd,0xffffffff,0x7fe41fff,0xffffffff,0xffffffff,
    0x09ff704f,0x8001bffa,0xfd81fffb,0xfffeffff,0x3ea7ff9e,0xeffffbdf,
    0xa82fffff,0x440007ff,0x44004fff,0xd80efffe,0x20005fff,0x3fe5fffb,
    0xf50006ff,0xfff703ff,0xffffffff,0xfffe8fff,0xffffffff,0xdfffffff,
    0xf8fff500,0xffffffff,0xffffffff,0x001fffff,0x001fffd0,0x3fffffee,
    0x0ffffa87,0x77ffc400,0x02fffc40,0x0bffffe0,0xf1fffb80,0xffffffff,
    0xffffffff,0x7fc4007f,0x0dfff14f,0x3fff7000,0xfffffff8,0xffffffff,
    0xfd01ffff,0xffffffff,0xffffffff,0x7ffec7ff,0xffffffff,0x1fffffff,
    0x7fffffe4,0xffffffff,0xb04fffff,0x3ffa09ff,0x3fee0006,0x77ffe41f,
    0x3fffee21,0x3fffea7f,0x3fea21ef,0x3ffd41ff,0x3ffe2000,0x3ffa2004,
    0xfff100ef,0xff10005f,0x7fffc1ff,0xffa8004f,0xaeffc81f,0xaaaaaaaa,
    0x7ffff42a,0xffffffff,0x5fffffff,0xff8fff50,0xffffffff,0xffffffff,
    0x8001ffff,0x800ffffb,0xcceffff8,0x0bfff903,0x01fffe80,0x5400fffd,
    0x004fffff,0xfff9fff6,0xffffffff,0xffffffff,0x9fffd002,0x0007ffec,
    0x3e1bffa0,0x99999eff,0xffdb9999,0xffe80eff,0x9999999e,0x99999999,
    0x27fff609,0x99999999,0x88199999,0x99999999,0xfa999999,0xffb02fff,
    0x01bffa09,0x21fffb80,0x300dfff9,0x7d4fffff,0xf300dfff,0x7ffa8dff,
    0x7ffc4000,0xfffd1004,0xffff500b,0xfffd8001,0x7fffffc2,0x7ffd4001,
    0x003ffe81,0x801bffa0,0x3ffffd98,0x4cc6ee98,0xe9999999,0x99999fff,
    0x98001999,0x800fffff,0x2003fffa,0x9003fffe,0x7dc07fff,0xff9000ff,
    0x7400fffd,0x3bffe5ff,0x99999999,0xfffffb99,0x7fffec01,0x00fffea4,
    0x83fff980,0x54005fff,0xfe86fffe,0x6c00006f,0x000007ff,0xfffd1000,
    0x827fec07,0x20006ffe,0x3f21fffb,0x7fdc00ff,0x3fffea7f,0x17ffdc00,
    0x8000fff5,0x8804fff8,0x2005fffe,0x2005fffd,0xff85fffb,0x000effff,
    0x3e07ffea,0x3a0002ff,0xf70006ff,0x00000dff,0x0000fffb,0x3fffffa0,
    0x0fffb800,0x3fffe600,0x2fffd401,0x00bffe60,0x7ffd7ff4,0x3fff8801,
    0x10017ffe,0x2a0bfffd,0x44fffffe,0x20006fff,0xff80fffc,0xff88005f,
    0x37ff42ff,0x3ff60000,0x00000007,0x80bfffd0,0xffd04ffd,0x7fdc000d,
    0x013ffa1f,0xff53fff4,0x3ffe009f,0x001ffea3,0x809fff10,0x005fffe8,
    0x017fffc4,0x407fffc4,0x4fffffff,0x07ffea00,0x0001fff1,0x00037ff4,
    0x0001fffb,0x007ffd80,0xfeffc800,0xffc800ff,0xfffb8007,0x3fffe206,
    0x04fff800,0xffd7ff88,0x1fff5007,0x4002fffc,0x6447fff8,0x4fffffff,
    0x000fffe4,0xff05fff8,0x3e6000bf,0x37ff46ff,0x3ff60000,0x00000007,
    0x106fffd8,0x55dffd55,0x0037ff45,0x7c3fff70,0xff7002ff,0x007ffd4f,
    0x3ea5ffc8,0x7c40007f,0x3fa204ff,0xf70005ff,0xfd801fff,0x9fff02ff,
    0x2003fffd,0x7d41fffa,0x7f40007f,0x3ea0006f,0x400002ff,0x00007ffd,
    0x7fd77fd4,0x6ffc800f,0x9fffb000,0x007fffa0,0x5c037fec,0x0bff75ff,
    0xff8dff90,0xffb0005f,0x3fffea3f,0x4c4ffdbf,0xa8004fff,0xfff02fff,
    0x7fec000b,0x01bffa2f,0x0fffb000,0xc8000000,0xf300ffff,0xffffffff,
    0x001bffa1,0xf31fffb8,0x3ea001ff,0x01ffea7f,0x3ea6ffb8,0x676dd47f,
    0x9fff100a,0x17fffa20,0x9fffb000,0x027ffd40,0xfff59fff,0xfff5001d,
    0x005ffc83,0x0037ff40,0x889fff30,0xfd8002aa,0x2200007f,0xfff99fff,
    0xffb55300,0x2005555f,0x642ffff8,0x2e003fff,0x7ec00fff,0x01fff33f,
    0x7fc4ffe8,0xff70005f,0x3bfff67f,0xfd09ffb1,0xffb000ff,0x02fffc0f,
    0x49fff500,0x00006ffe,0x0003ffec,0xfff50000,0x7ffcc03f,0xd0ffffff,
    0x5c000dff,0xfff51fff,0x9ffe6001,0x2a006ffa,0xfff50fff,0x3fffffa6,
    0xfff884ff,0x4fffe884,0xfff88000,0xefff881f,0x653ffe00,0xfa804fff,
    0x9ffec1ff,0x00abcba8,0x00037ff4,0xfa87fff7,0xffd8007f,0x3f600007,
    0x01fff34f,0x3ffffff2,0x2a006fff,0xff50efff,0xff9800bf,0x0fffc01f,
    0x7c405fff,0x2fffc2ff,0x3fffa800,0xffd87ffb,0x01fffb84,0x813ffe20,
    0x40005fff,0x3ffa6fff,0x7ec00006,0x0000007f,0x07ffff30,0x3bffd330,
    0x037ff433,0x23fff700,0x22007ffc,0x17fea7ff,0x51fff980,0xffff7fff,
    0x87ffffff,0x7c44fff8,0x00004fff,0x361bffee,0x7fc01fff,0x3ffff14f,
    0x41fffa80,0xfffcafff,0xd00dffff,0x6c000dff,0x7fd41fff,0x7ffd8007,
    0xdff70000,0xc807ffcc,0xffffffff,0x7fe4006f,0x0ffff8cf,0x03fff800,
    0xffb1bfe6,0x07ffd409,0x40017ffe,0x1791fffb,0xf109ffb0,0x7dc009ff,
    0x3ffe00ff,0x7fec0005,0x00dffd0f,0x07ffd800,0xe8800000,0x6c005fff,
    0xdffd04ff,0x7ffdc000,0x400fff71,0x3fea7ff8,0x3ffe6005,0xffffff50,
    0xfff93359,0x27ffc45f,0x009ffff1,0x7fffb000,0x4027ffd4,0x3fea4fff,
    0x3fea00ef,0x3fffe21f,0xffffffff,0x6ffe82ff,0xffff7000,0x000fff50,
    0x0000fffb,0x7cc1fff1,0x933100ff,0x01333dff,0xefffe880,0xb0001fff,
    0x7fdc0bff,0x9037fdc4,0xbfff0dff,0x3fffa000,0x04ffd800,0x7400fffb,
    0x7ffc05ff,0x7fec0005,0x33dffd0f,0x33333333,0xd8133333,0x99999fff,
    0x19999999,0x7ffec000,0x4ffd8006,0x999fffd0,0x99999999,0x3fffb999,
    0x4003ffea,0x3fea7ff9,0x9ffea006,0x00effffa,0x7c4bfff3,0xffff14ff,
    0x1000001f,0x3fa1ffff,0x9fff006f,0x204fffc8,0x3e61fffa,0xbaceffff,
    0x41fffffd,0x22006ffe,0x82ffffd9,0xd8007ffa,0xe80007ff,0x7ffcc3ff,
    0x06ffc800,0xffff9800,0x2a0004ff,0x3ffa07ff,0x807ffc42,0xfff83ffe,
    0xfffc8005,0x09ffb006,0x200bffea,0x7c02fff8,0x640005ff,0xfffd1fff,
    0xffffffff,0x7fffffff,0xffffffd8,0xffffffff,0xf90000ff,0xb0001fff,
    0x3ffa09ff,0xffffffff,0xffffffff,0xfff31fff,0x9ffea003,0x2e007ffa,
    0x3ffea5ff,0x3ffec01f,0xff19fff1,0x000bffff,0x37ffee00,0xf001fffb,
    0xfff889ff,0x3fff502f,0x80ffffdc,0x746fffd8,0xeeeeefff,0xffffeeee,
    0xff504fff,0xfffb000f,0x5ffc8000,0x800fff98,0x00006ffc,0x00dffff7,
    0x81fff880,0xfe80fff8,0x1fff883f,0x2005fff8,0x01ffffea,0x7409ffb0,
    0xffb805ff,0x05fff807,0x97ffdc00,0xfffffffe,0xffffffff,0x7fec3fff,
    0xffffffff,0x00ffffff,0x1ffffa80,0x09ffb000,0x3ffffffa,0xffffffff,
    0x1fffffff,0x5c00fffe,0x3ffea7ff,0x49ffb001,0xa804fffa,0xfff10fff,
    0xfffffffb,0x2000007f,0x3ffffffd,0x213ffe00,0xa80efffa,0x3fae1fff,
    0xfffd801f,0x3fffffa3,0xffffffff,0x202fffff,0xd8007ffa,0x260007ff,
    0xff980fff,0x6ffc800f,0xfff10000,0xfd00009f,0x0dff507f,0x3ea17ff2,
    0xdffff07f,0xfddddddd,0x09ffffff,0x7027fec0,0xfe801fff,0x5fff804f,
    0x7ffe4000,0xffffffd1,0xffffffff,0xfd87ffff,0xffffffff,0x0fffffff,
    0x7fffc400,0x3ff60003,0xddfffd04,0xdddddddd,0xfffddddd,0x803ffec3,
    0x3fea7fff,0xfff9805f,0x00bffea2,0x7c47ffe6,0x9bffffff,0x0001ffff,
    0xfffff880,0x27ffc006,0xa84fffc8,0x40001fff,0x3fa6fff8,0xffffffff,
    0xbdffffff,0x03ffd400,0x003ffec0,0x302ffe88,0xf9001fff,0x360000df,
    0x002fffff,0x642ffe40,0xfff503ff,0x3e0bff90,0xffffffff,0xffffffff,
    0x7fec003f,0x0fffe204,0x801fff98,0x40005fff,0xffd0fffd,0xfd80000d,
    0x999999ff,0x01999999,0x27fff440,0x13ff6000,0x00037ff4,0x7c43fff7,
    0x7fdc03ff,0x3fffea7f,0x07ffec01,0x3003fff5,0x3fe23fff,0x3ee2ffff,
    0x00000eff,0x00ffffb8,0x8827ffc0,0x7d42ffff,0xd80001ff,0x3bffa7ff,
    0xfdcbaaaa,0x2a002fff,0xfd8007ff,0xff90007f,0x07ffcc0b,0x0037fe40,
    0x7ffffdc0,0x2a0000ff,0x1fff86ff,0xe83fff10,0xffff03ff,0xffffffff,
    0x0019ffff,0xd809ffb0,0x3ff206ff,0x0bfff006,0x27ffe800,0x00006ffe,
    0x0003ffec,0x37ffec00,0x27fec000,0x0006ffe8,0xf907ffee,0x3ff209ff,
    0x3ffea7ff,0xffd882ff,0x07ffd43f,0x88fffcc0,0xe82fffff,0x00005fff,
    0x000bfff0,0x7d409fff,0x3fea0eff,0xfb80001f,0x0dffd0ff,0x05fffe88,
    0x000fff50,0x5000fffb,0x7cc01fff,0xffc800ff,0x7fcc0006,0x05fffcdf,
    0x83ffe200,0x7f407ff9,0x03ffe23f,0x66677ffc,0x09abcccc,0x27fec000,
    0x203ffea0,0xf003fff8,0xf8000bff,0x1bffa6ff,0xfffb0000,0xfb800000,
    0x80000fff,0xffd04ffd,0x7fdc000d,0x7fff441f,0xfffecace,0x3ffea7ff,
    0xfdbbdfff,0xffa85fff,0x3fff3007,0x40bfffe2,0x003ffff8,0x05fff800,
    0x404fff80,0x3ea4fffd,0xa80001ff,0xdffd1fff,0xbfffd100,0x00fff500,
    0x800fffb0,0x4c02fff8,0xfc800fff,0x3e20006f,0xffe88fff,0x3fa0003f,
    0x017fee2f,0x7fd4bff7,0x017ffe06,0xffd80000,0x83fff804,0xf000fffa,
    0x44000bff,0x3ffa5fff,0x7ec00006,0x2000007f,0x001ffffa,0x209ffb00,
    0x20006ffe,0xfb01fffb,0xbfffffff,0x7fd4fff7,0xffffff9f,0xff504fff,
    0x3ffe600f,0x809fff11,0x001ffffa,0x02fffc00,0x2027ffc0,0xf52ffff8,
    0x700003ff,0x3ffa1fff,0xffff1006,0x07ffa807,0x007ffd80,0x7fffffdc,
    0xffffffff,0xf907ffff,0x7ec000df,0x3ffe63ff,0xff90001f,0x2017fec9,
    0x3ff26ff9,0x017ffe04,0xffd80000,0x86ffc804,0x3e004ffd,0x2e0005ff,
    0x3ffa3fff,0x7ec00006,0x1000007f,0x0005ffff,0xe827fec0,0x2e0006ff,
    0x3ae01fff,0xf54fffff,0x8bffd4ff,0x1beffffd,0x401ffea0,0xff11fff9,
    0xfffb009f,0xff80000d,0xfff8005f,0xffffa804,0x511fffa8,0x7e400399,
    0x01bffa7f,0x02ffff98,0x2001ffea,0x5c007ffd,0xffffffff,0xffffffff,
    0xdff907ff,0x3ffee000,0x06fffc85,0x22dff500,0xff800fff,0x405ffb0f,
    0x00005fff,0x013ff600,0xf887ffe6,0x3fe001ff,0xff10005f,0x37ff41ff,
    0x3ff60000,0xe8800007,0x00004fff,0xfe827fec,0x3ee0006f,0xa98801ff,
    0xf53ffd40,0x001530ff,0x4c01ffea,0xfff11fff,0xffff1009,0x7fc00009,
    0xfff8005f,0x9fffb004,0x3e23fff5,0x3fa004ff,0x01bffa6f,0x01ffff90,
    0x2001ffea,0x5c007ffd,0xffffffff,0xffffffff,0xdff907ff,0xffff3000,
    0x13fffa01,0x55ffe200,0xffb006ff,0xf803ffe5,0x000005ff,0x4013ff60,
    0x3fee4ffe,0x2fffc006,0x4fffc800,0x00037ff4,0x001fff60,0x17fff600,
    0x3ff60000,0x00dffd05,0x00fffdc0,0xa9ffea00,0xa80007ff,0xff3007ff,
    0x13ffe23f,0x17fffcc0,0x5fff8000,0x04fff800,0xfbffff10,0x37ff43ff,
    0x23fffa80,0xe8006ffe,0xff505fff,0xfffb000f,0x99998800,0xa9999999,
    0x0199afff,0x8800dff9,0x2602fffe,0x8002ffff,0x4ffc9ffe,0xf37ff700,
    0x5fff80bf,0x36000000,0xff7004ff,0x001fff4d,0x20017ffe,0x740ffff9,
    0x400006ff,0x00007ffd,0x0077ffdc,0x2ffec000,0x0006ffe8,0x0007ffee,
    0x7d4fff50,0xfa80007f,0xfff3007f,0x013ffe23,0x00ffffc8,0x05fff800,
    0x004fff80,0x3fffffea,0x0ffff21f,0xe8dffd10,0xf98006ff,0xffa82fff,
    0x7ffd8007,0x7cc00000,0xffc800ff,0x7ffec006,0xffffb804,0x5ffdc000,
    0xf1001ffe,0x807ff7bf,0x00005fff,0x013ff600,0x7c4fffc4,0x7fc000ff,
    0x3f22005f,0xffe84fff,0x7ec00006,0x2a00007f,0x0000ffff,0x03fff900,
    0x4000dffd,0x0001fffb,0xff53ffd4,0xff50000f,0x3ffe600f,0x009fff11,
    0x006fffe8,0x005fff80,0x4004fff8,0x1ffffffd,0x40ffffa2,0x742fffe9,
    0xf90006ff,0xffa81fff,0x7ffd8007,0x7cc00000,0xffc800ff,0x3ffee006,
    0x3fff6006,0x6ffcc005,0x7f4007ff,0x7c01ffdf,0x000005ff,0x8013ff60,
    0x5ffbbffd,0xaefff800,0xccaaaaaa,0x05fffffe,0x5555dffd,0x55555555,
    0x7ec55555,0xf100007f,0x55559fff,0x55555555,0x2e055555,0xd1ffffff,
    0x5c000dff,0x40001fff,0x3fea7ffa,0xffa80007,0x3fff3007,0x0013ffe2,
    0x009ffff3,0x005fff80,0x4004fff8,0x1ffffff8,0x677fffcc,0x3ffffdba,
    0x0006ffe8,0xa8bfffd1,0xfd8007ff,0x4000007f,0xc800fff9,0xff3006ff,
    0x7c4003ff,0x7c003fff,0x4005ffff,0x807ffffc,0x00005fff,0x013ff600,
    0xffeeff98,0xffff8002,0xffffffff,0x05ffffff,0x3ffffffa,0xffffffff,
    0xb0ffffff,0x20000fff,0xfffffff9,0xffffffff,0x07ffffff,0x5fffffd1,
    0x8001bffa,0x0001fffb,0xff53ffd4,0xff50000f,0x3ffe600f,0x009fff11,
    0x03ffff70,0x02fffc00,0x0027ffc0,0x0fffffd4,0x7fffff54,0xd02fffff,
    0x54000dff,0x3ea2ffff,0xffd8007f,0x4c000007,0xfc800fff,0xfffd006f,
    0xfff50007,0x7fec003f,0x7d4003ff,0xff805fff,0x0000005f,0xd0013ff6,
    0x000dffff,0x3ffffffe,0xffffffff,0x7ff402df,0xffffffff,0xffffffff,
    0x0fffb0ff,0x3ffe6000,0xffffffff,0xffffffff,0x3f6207ff,0xdffd4fff,
    0x7ffdc000,0x7fd40001,0x001ffea7,0x401ffea0,0xff11fff9,0x3f60009f,
    0xf0000fff,0xff000bff,0x3f60009f,0x3ee01fff,0x0defffff,0x001bffa0,
    0x54dfffb0,0xfd8007ff,0x4000007f,0xc800fff9,0xffc806ff,0x3f20005f,
    0x3ee006ff,0x44000fff,0xf802ffff,0x000005ff,0x0013ff60,0x007ffff7,
    0x3fffffe0,0xceefffff,0xfffd001c,0xffffffff,0xffffffff,0x01fff61f,
    0x7fffcc00,0xffffffff,0xffffffff,0x4131007f,0x20006ffe,0x0001fffb,
    0xdd53774c,0xff50000d,0x3ffe600f,0x009fff11,0x17fffe20,0x02fffc00,
    0x0027ffc0,0x01ffff88,0x000aa988,0x8000dffd,0xf54ffff8,0xffb000ff,
    0x9800000f,0xfc800fff,0x7ffd406f,0x3a20000f,0xf3004fff,0x3a000dff,
    0xff800fff,0x0000005f,0x10013ff6,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xeeeeeee8,0xeeeeeeee,0x32600eee,0x404ec82c,
    0xaaaaaaaa,0x53002aaa,0x55555555,0x55500155,0x55555555,0x82dc8805,
    0x555505eb,0x55555555,0x19998800,0xaaaaa880,0x31aaaaaa,0x66641555,
    0xcccccccc,0xcccccccc,0x03997002,0x05400000,0xacedb980,0xcedb9800,
    0x2e60001b,0x2600bced,0x551002aa,0xbd975005,0x3fe20359,0x36ea204f,
    0x880acdee,0x02cdedba,0x9dd95300,0x73100035,0x0359bdb9,0x6f765c40,
    0x2aa600ab,0x45551002,0x5400aaa9,0x01acdecb,0xa8855544,0xaaaa802a,
    0xfffff101,0xffffffff,0x201fffff,0xadfffffd,0x7fc05ffa,0xffffffff,
    0xfffb007f,0xffffffff,0xffff8803,0x6fffffff,0x3fffff60,0xd05ffaad,
    0xffffffff,0x54001fff,0xfb807fff,0xffffffff,0x7fff74ff,0x0900001c,
    0x000fffa0,0x79dd9730,0x88077d43,0xfffffffd,0xfffa81ef,0x00efffff,
    0xfffffb30,0xf7019fff,0x3fea00ff,0x3fffa607,0x40cfffff,0xf704fff8,
    0xffffffff,0x7fffd45f,0x002effff,0xffffffb1,0x7d4009ff,0xffffffff,
    0xfffc804f,0x03ffffff,0x2a00fff7,0x3ffee7ff,0xffffd300,0x2019ffff,
    0xff51fff8,0x5fffc80f,0x3ffffe20,0xffffffff,0x980fffff,0xffffefff,
    0x7fc02fff,0xffffffff,0xfffb007f,0xffffffff,0xffff8803,0x6fffffff,
    0xffdfff10,0x205fffff,0xfffffffe,0x2000ffff,0xb807fffa,0xffffffff,
    0xfff74fff,0x900001c7,0x00fffa00,0x7fffec40,0xffadffff,0xfffff505,
    0x3fffffff,0x7fffffdc,0x402fffff,0xfffffffb,0xfb86ffff,0xfff5007f,
    0x3ffffee0,0x1effffff,0xd113ffe2,0xffffffff,0xff97ffff,0xffffffff,
    0xfffa805f,0xffffffff,0x3ff6201e,0xffffffff,0x3ff606ff,0xffffffff,
    0x3ffdc0df,0x2e7ffa80,0xffb80fff,0xffffffff,0xfff881ef,0x640fff51,
    0xaa805fff,0xaaaaaaaa,0x4fffdaaa,0x7e4cdf90,0xaa803fff,0xaaaaaaaa,
    0x5553002a,0x55555555,0x55555001,0x05555555,0x764c3fee,0x2aa04fff,
    0xaaaaaaaa,0x7fd4002a,0xaaa8807f,0xaaaaaaaa,0x1c7fff71,0x20090000,
    0xa8003ffe,0xffffffff,0x80efffff,0x0bdffff9,0x93ffff93,0x2215dfff,
    0x502fffea,0x2239ffff,0x5c5fffeb,0xff5007ff,0x7ffff30f,0x3fff2a23,
    0x87fff11f,0x209cfffe,0xffffffc9,0xff5309df,0x3fe603ff,0xf9311cff,
    0x3f601fff,0x73109dff,0xf707ffff,0x75cc39ff,0x7fdc3fff,0x4fff5007,
    0x7cc0fffb,0xb511bfff,0xf881ffff,0x0fff51ff,0x0017fff2,0x2fffc400,
    0x0a605970,0x00000000,0x00000000,0x02981e5c,0x54000000,0x00007fff,
    0x38733260,0x40120000,0x4c003ffe,0x889cffff,0x03ffffeb,0x4c09fffd,
    0x4fffffff,0x4437fec0,0x3601ffff,0x3fee1fff,0x8fff5007,0x201effe8,
    0x7d46fffa,0x007ffe62,0x07fffff7,0xd837ff44,0x3ea01fff,0xfff884ff,
    0x37ffc404,0x3e02fff4,0x3ffdc6ff,0x2a7ffa80,0x3fa20fec,0x3fee01ef,
    0x8fffc45f,0xffc87ffa,0x2000004f,0x0000effe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00380000,0x7f401200,0x7fec003f,0x3fff202f,
    0x2fffd40f,0x7ffffd40,0x3fff8806,0x2017ffdc,0x3ee4fff9,0xfff5007f,
    0x801fffc8,0x3f23fffb,0x4017ff60,0x8805ffff,0x7fd42fff,0xfffa802f,
    0x8037fe40,0x7fc47ffc,0x7ffd401f,0x401ffee0,0x47d87ffa,0xb801fffc,
    0x3fe22fff,0xc8fff51f,0x00004fff,0x007fff20,0x5d400000,0x001acdec,
    0xdedcb988,0xa98001ac,0x001aceec,0x0aaa6000,0x00155440,0x55510000,
    0x00070001,0xffe80240,0x3ffea003,0x3fffe603,0x07ffdc3f,0x2ffffd80,
    0xc8fff700,0xdfb006ff,0x803ffdc9,0x7ffc7ffa,0xbfff1005,0x0bb723f4,
    0x007fff40,0x7f44ffc8,0x3ffa005f,0x801ee544,0x3e20fffb,0x809803ff,
    0xf5007ffb,0xff8fd0ff,0xfff1005f,0xa8fffc4d,0x3fff27ff,0x26000004,
    0x55104fff,0xbcedb983,0xfffd3000,0x019fffff,0x3ffffea0,0x004fffff,
    0xffffffb1,0x544009ff,0x3fee00aa,0x8fff5007,0xaaaaaaa8,0xaaaaaaaa,
    0x3fff100a,0x00007000,0x3ffe8024,0x81bffa00,0x7ffdefe8,0x5002ffec,
    0x2001ffff,0x3fa0fff9,0x7dc0003f,0xfff5007f,0x0017ffc4,0x5fb1fff9,
    0xdffb0000,0x237fd400,0x32003fff,0xa80005ff,0x7ff40fff,0xfb8000bf,
    0xfff5007f,0x3fe24f98,0x3fee001f,0x547ffe27,0x9fff97ff,0xfe800000,
    0xbff500ff,0x3fffffe6,0x7fdc03ff,0xffffffff,0x3f6201ef,0xffffffff,
    0x7d406fff,0xffffffff,0xf8801eff,0x3fee01ff,0x8fff5007,0xfffffffb,
    0xffffffff,0x3fff101f,0x00007000,0xfffffba4,0xffffffff,0x3e0fffff,
    0x3ff603ff,0x3e0fffa9,0x3e2003ff,0x99999eff,0xff999999,0x00bffe1f,
    0x00fff700,0xffa9ffea,0x3fea000f,0x10003fff,0x3bfffb75,0x33333333,
    0x7ccfff53,0x99999bff,0xffc99999,0xdb988007,0x7dc0ffff,0x01bdffff,
    0x200fff70,0x3be27ffa,0x003ffea0,0xf10fffa8,0x3ffea3ff,0x000ffffc,
    0x3ffee000,0x277fea02,0xffffffff,0xfff305ff,0x3f6a237f,0xffb00fff,
    0x2e6213bf,0xf303ffff,0x26239fff,0x400ffffc,0x2e01fff8,0xff5007ff,
    0xfffffb8f,0xffffffff,0xff101fff,0x0070003f,0xfffba400,0xffffffff,
    0x0fffffff,0x2e05fff1,0x3fff12ff,0x000bffe2,0xffffffff,0xffffffff,
    0x3ffe25ff,0x7fdc0001,0x4fff5007,0x4c007ffb,0x1001efff,0xfffffd97,
    0xffffffff,0xffffffff,0x3ffea3ff,0xffffffff,0x0fffffff,0x3ff72a60,
    0x0fffffff,0xffffffc8,0x3ee02cff,0xfff5007f,0xfb81df93,0x7fcc007f,
    0x23fff11f,0xfffffffa,0x1000005f,0xfa80bfff,0x99bfffef,0x42ffffca,
    0x201effe8,0xf885fffb,0x7fc404ff,0x3fffb06f,0x027ffd40,0xb807ffe2,
    0xff5007ff,0xaaaaa88f,0xfcaaaaaa,0x3fe205ff,0x0038001f,0x7ffdd200,
    0xffffffff,0x0fffffff,0xf303fff3,0x33fff89f,0xf8003fff,0xffffffff,
    0xffffffff,0x01fff53f,0x07ffb800,0x7e4fff50,0x7fc4006f,0xffea802f,
    0xffffffff,0xffffffff,0xffffffff,0xfffff72f,0xffffffff,0x503fffff,
    0xfffffffd,0x01fffdff,0x3fffffee,0xfb82ffff,0xfff5007f,0xff9019ff,
    0xfff8800d,0x2a3fff12,0xffefffff,0xb800003f,0x7d402fff,0xf700dfff,
    0xfffc8bff,0x2fffb801,0xc8037fe4,0xfffa87ff,0x0fffa802,0x807ffe20,
    0xf5007ffb,0x7d4000ff,0x7fc406ff,0x0038001f,0x4ccc5200,0xbffe9999,
    0x21999999,0x7440fffb,0x54fff86f,0xf8003fff,0xeeeeefff,0xeeeeeeee,
    0x01fff53e,0x07ffb800,0x7e4fff50,0x7fcc007f,0x7ffdc02f,0xb1bdefff,
    0x99999dff,0x99999999,0x33ffee39,0xcccccccc,0x40cccccc,0xfffffffc,
    0xfffa8acd,0x7ff65400,0x5c4fffff,0xff5007ff,0x7ffc805f,0x97ffcc00,
    0xff51fff8,0x3fffa7ff,0x7f400000,0xfffa806f,0x3ffec00f,0x44017ffe,
    0x6e546fff,0x1fff7003,0x2005ffe8,0x3e204ffe,0x3fee01ff,0x0fff5007,
    0x3bffe600,0x0fffc400,0x00001c00,0x0fffa009,0x207ffdc0,0xfff80ffd,
    0x005fff33,0x002fffc4,0x00fffcc0,0x01ffee00,0xff73ffdc,0x7fd4001f,
    0x3fff201f,0xffb00adf,0xff50000b,0x3200001f,0x00acffff,0x4001fff7,
    0xfffffdb9,0x401ffee3,0xfb807ffb,0x3ea000ff,0x3fff11ff,0xf98fffea,
    0x200005ff,0xa803fffa,0xfb803fff,0x3fff10ff,0x03ffdc00,0x07ffd400,
    0xc800fffe,0x3fe205ff,0x1ffee01f,0x003ffd40,0x007fff44,0x000fffc4,
    0x0900001c,0x400fffa0,0x3ee2fff9,0x2fff882f,0x9800bffe,0x80007fff,
    0x2002fff8,0x1ffee09a,0xf33ffe40,0x7dc003ff,0x3ffe00ff,0x0bffd006,
    0x5fff1000,0x3ffe0000,0xfffc800e,0xff910000,0x03ffdcbf,0x9807ffc8,
    0x2e001fff,0xfff10fff,0x321ffea3,0x00003fff,0x5001fffb,0xf5005fff,
    0x3ffea1ff,0x3ffea000,0x6dcc4000,0x3e60ffff,0x99999bff,0xffc99999,
    0x07ffe207,0x5007ffb8,0xe8800fff,0xf1001fff,0x070003ff,0xe8024000,
    0xff1003ff,0x413fe69f,0x3fa0fff9,0x3fee005f,0x591000ff,0x027ffc13,
    0xf50fffa8,0x3ffa00ff,0x00fffe27,0x2a06ffd8,0xff003fff,0x5e5400ff,
    0x0027ffc2,0x7fcc3575,0xfffb002f,0x801dcc41,0x3fea7ffe,0x0fffb007,
    0x007fff10,0xff13ffec,0x21ffea3f,0x000fffe8,0x02fffc40,0x801fffa8,
    0xff70fff9,0xfff9800f,0x3f72a601,0xffffffff,0x3ffffea0,0xffffffff,
    0x100fffff,0x7dc03fff,0xfff5007f,0x3fffd800,0x07ffe200,0x80000e00,
    0x07ffd004,0x7c6fffc0,0x1ffee05f,0x1001fffb,0x009fffff,0xfd83fff6,
    0xffc800ff,0x007ffea6,0xfe8ffff1,0xfff3007f,0x07ffe409,0x0ffffdc0,
    0x23fffc40,0x8800fffe,0x3fee6fff,0xfff8801f,0x01fff20f,0xff53ffdc,
    0xfff8803f,0x0dffd007,0x893ffe60,0xfff51fff,0x01bffea0,0x03fff700,
    0x003ffea0,0x7e43ffe6,0x7fc4006f,0xfffea82f,0xfeffffff,0x3ffee0ff,
    0xffffffff,0x1fffffff,0x403fff10,0xf5007ffb,0x7fe400ff,0x7fc4004f,
    0x0038001f,0x7f401200,0x3ff6003f,0xf100ffef,0xfff88dff,0x7ffe400d,
    0x7d401fff,0x7ffcc5ff,0x1fffcc04,0xd80bfff3,0x7fd47fff,0xfffd803f,
    0x0bffee01,0xffffff30,0x3fffc801,0x402fffcc,0x3ea3fffd,0x7f4403ff,
    0x3fe60fff,0x5ffe802f,0xb017ffe6,0x2a00ffff,0xfd803fff,0x3ffe21ff,
    0x6c0fff51,0x20003fff,0x2a006ffe,0xff3007ff,0x01fff21f,0xc85fff30,
    0xdfffffff,0x0fffa8ac,0x3333ffee,0xcccccccc,0xf100cccc,0x7fdc03ff,
    0x0fff5007,0x017ffee0,0x407ffe20,0x00e3fffb,0xfd004800,0x7fd4007f,
    0x3f201fff,0xfffb82ff,0xfffd880e,0x303ffffe,0xf903fffd,0x3fa609ff,
    0x7fff40ef,0xffffd883,0x04fffd87,0x809fffb1,0x2606fffa,0xffffefff,
    0xffffa881,0x0dfffc80,0x47fffc88,0x200ffff9,0x41fffffd,0x2e02fffe,
    0x7ff42fff,0xfffd883f,0x3ff6007f,0xfffd104f,0x51fff88b,0x7fc40fff,
    0xf98000ff,0x3ea003ff,0xfff3007f,0x003ffee1,0x321fffa8,0x00acffff,
    0x7d41fff7,0x800000ff,0x2e01fff8,0xff7007ff,0xdfff500f,0x3ffe2000,
    0x47fff701,0x01200003,0x2001fff4,0x881efffd,0x3a04fffd,0xdbbdffff,
    0xff35ffff,0xff959dff,0x3e207fff,0xcbbcefff,0xfa81ffff,0xfecdffff,
    0x987ffbff,0xbbceffff,0x006ffffd,0x75bffffb,0x2a7ffffb,0xdbceffff,
    0x101fffff,0x77bfffff,0x03fffffb,0x57bffffb,0xffbfffd7,0xffff985f,
    0xffecaace,0x7ffd40df,0xfffecdff,0x26007ffb,0xbbceffff,0x40effffd,
    0xff51fff8,0x6fffa80f,0x07ffc800,0x803ffd40,0xff30fff9,0x7fdc003f,
    0x03bffe0f,0x883fff20,0x00002fff,0x201fff88,0xf9007ffb,0xfff980ff,
    0xff10000e,0x3ffee03f,0x480000e3,0xf9800000,0xdbbeffff,0xc806ffff,
    0xffffffff,0x7ff444ff,0xffffffff,0x7ffec403,0x2fffffff,0x3fffff20,
    0xfff2ffff,0x3ffff620,0x05ffffff,0x3ffffa20,0x41efffff,0xfffffff9,
    0x4401ffff,0xfffffffd,0xd101ffff,0xffffffff,0x17ff65ff,0x3fffffea,
    0x204fffff,0xfffffffc,0x00fff2ff,0xfffffd88,0x105fffff,0x3fea3fff,
    0x3fffd807,0x027ffc00,0x401ffea0,0xff10fff9,0x7fec007f,0x00bffe67,
    0x3e07ffec,0x2ea004ff,0x3ffe201a,0x01ffea01,0xf103fff4,0x40003fff,
    0xf701fff8,0x0001c7ff,0x26666290,0x99999999,0x44199999,0xfffffffe,
    0x00dfffff,0xfffffb30,0x372205bf,0x0dffffff,0x3fffaa00,0xa800cfff,
    0x1dfffffe,0xfd701ffe,0x037dffff,0x3ffff200,0x9100cdff,0x7ffffffd,
    0xfffea800,0x7003ffff,0x9fffffff,0x407ffdc1,0xffffffc8,0xfe9802df,
    0x3e1dffff,0xfd70007f,0x037dffff,0xfa8fffc4,0xfff8807f,0xfff3000f,
    0x7ffa8007,0x41fff300,0xf3006ffe,0x7ffdc9ff,0xffff8801,0x007fff40,
    0x1037ffc4,0x7d403fff,0x7fc401ff,0xfffd107f,0xff880005,0x717e401f,
    0xfba40000,0xffffffff,0xffffffff,0x2a7ff60f,0xeffffffd,0x2aa20002,
    0x1aa98000,0x1aa98000,0x006a6000,0x009a9800,0x06aa6000,0x066a6200,
    0x26aa6000,0x35530000,0x26600001,0x260000aa,0x8000001a,0x000001a9,
    0x7d400000,0x7d4001ff,0xfff3007f,0x01fffd41,0xf50fffec,0xfe8807ff,
    0x7fcc0fff,0xfffd805f,0x07ffe203,0x405fff98,0xfd07fffd,0x100007ff,
    0xfe803fff,0x480000e0,0xfffffff7,0xffffffff,0x17ec1fff,0x0006aa62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff90000,0x7ffa8001,0x81fff300,0xd104fffd,
    0xff98bfff,0x3ff600ff,0xffc81fff,0xffc880df,0x7ffc407f,0x1ffff401,
    0x3ffffec4,0x0027ffec,0x01fff880,0x00071be2,0xffffba40,0xffffffff,
    0x40ffffff,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007ffe80,0x3007ffa8,
    0xff981fff,0xfdbbceff,0xfd80efff,0xebabdfff,0x2fffdfff,0xdfffff88,
    0xfffffdbb,0x0fffc401,0x3ffffea0,0xfbfffecd,0x27ffe47f,0xfff10000,
    0xd13fa203,0x99999999,0x99999999,0x00000999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x017ffe00,0x401ffea0,0xd880fff9,0xffffffff,0x3fa205ff,
    0xffffffff,0x20bffb2f,0xffffffd8,0x801fffff,0xc801fff8,0xffffffff,
    0x7ccfff2f,0xfffeefff,0xffffffff,0x03fff106,0x00000fee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40027ffc,0xf3007ffa,0x7f5c01ff,
    0x01beffff,0xffffff70,0x7ffdc19f,0x3fffaa00,0x2003ffff,0x5001fff8,
    0x3bfffffd,0xfff33ffc,0xffffffff,0x0dffffff,0x1807ffe2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff100000,0xff50007f,0x3ffe600f,
    0x00353000,0x009aa980,0x4d54c000,0xfff88000,0x01a98001,0x3ffffe60,
    0xffffffff,0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,0x0155511a,
    0x55155440,0x55530035,0xa8555100,0xa8800aaa,0x06aa21aa,0x0179db73,
    0x55555544,0xaaaaaaaa,0x835510aa,0x201bddb9,0x103cedb9,0x5eed4355,
    0x01800000,0x06003330,0x00040000,0x3ff20010,0xf137fc42,0x05ff90df,
    0x00100020,0x001e6644,0x000f3260,0x400aaea2,0x800aaba9,0x75100cc8,
    0x2e600359,0x7000accc,0x77764099,0xeeeeeeee,0x94eeeeee,0xdddddddd,
    0xdddddddd,0x304ccc9d,0x0ccc4133,0x802bca88,0xfffb81aa,0xf75ddd53,
    0x3ffe27ff,0x9bff2003,0xfd807ffc,0x7fdc01ff,0x02fffdc6,0xf50ffff4,
    0x3fffe6bf,0xf703ffff,0xffffffff,0x3fffffff,0x7fcd7fea,0x20efffff,
    0xffffffe8,0xda7fdc1e,0x003fffff,0x806eb880,0xe800fff8,0x300000be,
    0x1db0007f,0xe85ff980,0x27fdc1ff,0x5003ffe2,0x0be6003f,0x02fffc40,
    0x03fff600,0x7ffff4c0,0xffd302ff,0x2019ffff,0xfa80ffe8,0x404fffff,
    0xfffffffd,0x206fd804,0xfffffffe,0xffffffff,0xffffd6ff,0xffffffff,
    0x26dfffff,0xfff14fff,0x207fff4b,0x0efffffb,0xf707ff10,0x3ffea7ff,
    0x363fffbb,0x3fe006ff,0x07ffe63f,0x807ffff0,0xffd83ffd,0x3fff202f,
    0x7ceffd43,0xffffffff,0xffffb85f,0xffffffff,0xff51ffff,0xffffff5b,
    0x3fe2bfff,0xffffffff,0x3f33fee0,0x000fffff,0x1bfff260,0x003ffe20,
    0x0033fffa,0x33fff980,0x219dffdb,0xd100effd,0x4ffb81ff,0xfa83ffd0,
    0x3ffea05f,0x17ffcc01,0x02fffc40,0x9ffff100,0x33bffa00,0xffd07ffe,
    0x0bffffdf,0xb81fffd3,0xffffffff,0x9bfff706,0xd805fffd,0x3fffa05f,
    0xffffffff,0xd6ffffff,0xffffffff,0xffffffff,0x53ffe6df,0x3fa5fff8,
    0x3ffea0ff,0xa80effdb,0xfffb82ff,0xf77fff53,0x7ffd47ff,0x0fffa801,
    0xf501fffc,0x7c40bfff,0xfff881ff,0x5fffa80f,0xfffeffa8,0xfffca99b,
    0x5555442f,0xcaaaaaaa,0x3fea5fff,0xa99ceffe,0xeffcfffe,0xfffeb99b,
    0x3ffbfee4,0x0006feef,0xdfffffb5,0x01fff100,0xbfffffd0,0xffd10005,
    0xffffffdf,0x0bfffdff,0x3e627fe4,0xdff500ff,0x2a05ffd0,0xf301ffff,
    0xf1005fff,0x64000bff,0xc807ffff,0x1ffe42ff,0xff513fea,0x3fff621f,
    0x3ffe20ff,0x2fffb88c,0x26077fc4,0xf90e45ff,0xaaa85c49,0xaaaaaaaa,
    0x6ffdaaaa,0x55555555,0x55555555,0x3ffe6555,0x74bfff14,0x7ff10fff,
    0xfd84fe88,0x3fee1eff,0x37fff53f,0xfff83999,0x85ffd803,0x3f205ffd,
    0x3ea07fff,0x3ffea06f,0x077ffc45,0x06ffffd4,0x005fffb8,0x51bffea0,
    0x220dffff,0x105fffff,0x7fdcffff,0x00620eff,0xffffeb88,0xf8800bff,
    0xfc8800ff,0x0befffff,0x3fffa200,0xffffffff,0x3ea04fff,0x1fff40ff,
    0xf313ff60,0x3fea01ff,0x7ffcc1ff,0x2666002f,0x3ffe0000,0x54c03ffd,
    0x644ffa83,0x1ffd80ee,0x1ffbbfff,0x7c417fe4,0x80f64c7f,0x3bfe67fe,
    0xffd9cfba,0xffb80003,0xf3000006,0x3ffe29ff,0x543fffa5,0x06fb80ff,
    0xf90dff51,0xc8004445,0x7fc406ff,0x07ffa82f,0x07ffbffa,0x36027fe4,
    0x3ff62fff,0xffff501f,0x07ffd801,0x1dfff300,0x00ffffa8,0x803ffff2,
    0x3fee7ffb,0x930000ff,0x5bffffff,0x0fff8800,0x7ffed400,0x1001cfff,
    0x315bffff,0x40dfffd5,0x7e43fff8,0xfff9806f,0x5037fec2,0x3e63ffff,
    0x00002fff,0x9dffb800,0xd10006ff,0xfe8003ff,0x7fe477e7,0xfc81ffa0,
    0xfd51000f,0x7ffffe4f,0x05ffffff,0x06ffb800,0xfff30000,0xd97ffe29,
    0x09f70fff,0xff803fe2,0x0007f41f,0x403fff30,0xff107ffb,0x9dff103f,
    0x3ffe07ff,0x7fff4401,0x203fffb8,0xb803fffa,0x44000fff,0xfa80fffe,
    0x7fd403ff,0x7ffd404f,0x009fff71,0xfffffd50,0x2200039f,0x30000fff,
    0xdffffff9,0x3fff9805,0xd81fff60,0x7ffcc6ff,0x1fff9002,0x701fffc4,
    0xfff7ffff,0x9999305f,0x99999999,0x40999999,0x5ffd1ffe,0x77ffcc00,
    0x27fdc001,0x3e0ffc81,0x0bfee06f,0x3fffb2e2,0x7edcc7ff,0x09bdffff,
    0x6ffb8000,0xff100000,0x927ffc7f,0x837d4fff,0x32aa67f9,0x3e20fffe,
    0x00fffea6,0xfd027ff4,0x27fec09f,0x7fd5ffd4,0x007ff985,0xfffbfff3,
    0x2fffa80b,0x00fffa80,0x07fffa20,0x200fffd4,0x4c02fff9,0xfff71fff,
    0x3ff22005,0x002effff,0x00fff880,0xfffeb800,0xfb80bfff,0x7ff4404f,
    0x42fffb81,0x22005ffe,0x7fe45fff,0x3ffee01f,0xf702ffff,0xffffffff,
    0xffffffff,0x4dff501f,0x2e005ffb,0x2000cfff,0x3200fffc,0x0bff10ff,
    0x3f21ffd4,0xffffffff,0x13ffee07,0x3fee0000,0x3e000006,0x8bffa2ff,
    0x3fe25ffb,0x3fa5fd81,0x223fffff,0x3ffea4fe,0x0fff7003,0xb807ffe6,
    0x9ffc86ff,0xffc87ff8,0x3fff2004,0x7d400fff,0xff9801ff,0x3ff6000f,
    0x3ffea03f,0x0fffcc00,0x5c7ffe20,0xfc801fff,0x01cfffff,0x666665c0,
    0xcccfffcc,0x4003cccc,0xffffffc9,0x4007fec4,0x7fc43ffb,0x0fffe45f,
    0x8bffee00,0x5c06fff8,0x202fffff,0xfffffffb,0xffffffff,0xffd80fff,
    0x007ffe23,0x17ff654c,0x07fff620,0x7fc1ff90,0xb8bfee06,0xd09befff,
    0x33fea0ff,0x400004ff,0x33316ffb,0x33333333,0x41333333,0x3ff20ffd,
    0xf913fe61,0x3ffd539f,0x0efffff4,0xfff50fee,0x3ffe2007,0x406ffb82,
    0x7fc0fff8,0xfd07ffa7,0xffe8005f,0xffa802ff,0xfff9800f,0x9fff9000,
    0x00fffa80,0x2007ffcc,0xff71fff8,0xfffd001f,0x3a00017d,0xffffffff,
    0xffffffff,0xd710006f,0x7fc4dfff,0x8dff3007,0x7dc6ffe8,0x7e4002ff,
    0x3ffe21ff,0x7fffcc05,0x3bbaa01f,0xeeeeeeee,0x0eeeeeee,0x3207ffcc,
    0xff0004ff,0x6fffcc0f,0x20ffc800,0x3ff207fe,0x7407ffa0,0x95ff987f,
    0x400007ff,0xfffd6ffb,0xffffffff,0x4dffffff,0x07fdc7fc,0xffb07ff1,
    0x0005ffff,0x1fffd40c,0xd0bffb00,0xffd007ff,0xf92ffcc5,0x03ffc47f,
    0x07fffdc0,0x803ffd40,0xb800fff9,0xfa805fff,0xfff9807f,0x8fffc400,
    0xfd007ffb,0x40005bff,0xfffffffe,0xffffffff,0x2a0006ff,0x3e26fffd,
    0xdff3007f,0xd87fff30,0x3e6006ff,0x7ffec3ff,0x3fffe600,0x00001fff,
    0x85ffc800,0x0200fff9,0x7dc0ffec,0x3f2004ff,0x20bff60f,0x37fc7ff8,
    0x7c47ffb8,0x3fff10ff,0x3fee0000,0xffffffd6,0xffffffff,0x2754dfff,
    0x07b617a6,0x006f7ed4,0x20000000,0x3e60fffa,0xffc800ff,0xfa8ffee5,
    0x017fee5f,0xbfffff10,0x00fff500,0x5003ffe6,0x2a00dfff,0xff9807ff,
    0x7ffc400f,0x200fff71,0xbefffffd,0x77764000,0xefffeeee,0x04eeeeee,
    0x7fff5c40,0x07ff45ff,0xc827fdc0,0x3fe20fff,0xbffb003f,0x202fff98,
    0xffcffff9,0x000001ff,0x407ffe20,0x7fc43ffe,0x41fff886,0x4002fffb,
    0x3fe60ffc,0x7ffd50bf,0x7d42ffe8,0x1f4c0fff,0x80000bea,0xfffd4eea,
    0xffffffff,0x0dffffff,0x00000000,0x20000000,0x3ff22fff,0x4fff3005,
    0x3fe21ffd,0x005ffb0f,0xffffffd8,0x03ffd402,0x200fff98,0x000efff9,
    0xf300fff5,0xff8801ff,0x00fff71f,0x7ffffe4c,0x880001cf,0x80000fff,
    0xffffffc9,0x04ffb81c,0x3a01ffe8,0x7ffd44ff,0x07ffd400,0xf9813ffa,
    0xfff52fff,0x7fc4003f,0x3fee005f,0x21ffea06,0xda89cffb,0x7ffd47ff,
    0x0aaaaaac,0xfc81ff90,0x6fffefff,0xfdefffb8,0x080ffeff,0x00000010,
    0x55300000,0xf92aa983,0xffffffff,0x333332ad,0xcccccccc,0xcccccccc,
    0xfc80000c,0x00bffe5f,0xfff1fff8,0x3fe5ffd0,0x3fea000f,0x00fffdbf,
    0x4c01ffea,0xff100fff,0x7d4003ff,0xfff9807f,0x8fffc400,0x88007ffb,
    0xeffffffb,0x3fe20002,0x3aa0000f,0x0bffffff,0x80bffe60,0x7cc07ffc,
    0x27fec0ff,0xf50bffa0,0x7ffcc0df,0x7fffd42f,0xbfff1001,0x01fffc00,
    0x3fa0bffe,0x1fffffff,0x7ffffff4,0xf903ffff,0xffff701f,0x3f201bff,
    0xf99effff,0x0000003f,0x2aaaa000,0x15555100,0xff917ffa,0x3fffff6f,
    0xff96ffff,0xffffffff,0xffffffff,0x0003ffff,0xf51fff30,0xffc800ff,
    0xfc85ff9b,0x005ffacf,0x7c57ffe2,0x3fea05ff,0x1fff3007,0x05fffd10,
    0x807ffa80,0x4400fff9,0xfff71fff,0xffea8000,0x000cffff,0x0007ffc4,
    0x3fffff22,0x3fe002ef,0xfd311cff,0xff700dff,0x01fff88b,0xff88bff7,
    0xffff301f,0x3fffee05,0x5fff8801,0x01fff500,0xc886ffc8,0x40dfffff,
    0xfffffffa,0xf903ffff,0x372e601f,0xbcb9802b,0x0000d541,0xcdeecb88,
    0x7e435001,0xfff705ff,0x322fff4b,0xffffb7ff,0x2edfffff,0xeeeeeeee,
    0xeeeeeeee,0x01eeeeee,0x95ffd000,0xfa8009ff,0xa83ffbef,0x03ffceff,
    0xb83fffa0,0xff503fff,0x3ffe600f,0x03fffe80,0x807ffa80,0x4400fff9,
    0xfff71fff,0x3f260000,0x02dfffff,0x001fff10,0x3fffff6a,0x7ec001cf,
    0xffffffff,0x804fffff,0x7fd41ffd,0x40fff886,0x3ee03ffb,0x7fdc02ff,
    0xeee8803f,0x09dd9004,0x401ddd10,0x00000098,0x00000000,0x3a600000,
    0xefffffff,0xd85f900b,0x7fc41fff,0x22fff46f,0x77757ffc,0x07777777,
    0x00000000,0x7feffdc0,0x7fc4001f,0xff01ffef,0x2001ffff,0xfe83fffb,
    0x7ffa81ff,0x81fff300,0x0004fffd,0xf300fff5,0xff8801ff,0x00fff71f,
    0xfffb8800,0xf8805fff,0xffd800ff,0x000bffff,0x7fffff44,0xffffffff,
    0x7c404fff,0x42ffc86f,0x7fc42ffc,0x002fb806,0x000007f7,0x00000000,
    0x00000000,0x00000000,0x7ffffcc0,0xdfffffff,0x42fffdbb,0x7dc4ffe8,
    0x1e65c0ff,0x0001332a,0xb8000000,0x7c403fff,0x0006ffff,0x40fffffb,
    0x006ffffd,0x220dfff3,0xffa86fff,0x1fff3007,0x0027ffe4,0x300fff50,
    0xf8801fff,0x0fff71ff,0x7f540000,0xff8806ff,0xfffe800f,0x3e60002e,
    0xfffb54ff,0xdffd13bf,0x41cca801,0x33223cc8,0x000cca83,0x00018003,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0xfffffedf,0xffffffff,
    0x20fff882,0x00002fff,0x00000000,0x07fff700,0x07ffffb0,0x3fffee00,
    0x3fffee05,0x1fffd003,0x227ffdc0,0xf3007ffa,0x3ffe61ff,0xfffffeef,
    0x56ffffff,0xff300fff,0xfff8801f,0x000fff71,0x0df93000,0x001fff10,
    0x000039fd,0x404413ea,0x00000ee8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb7107bea,0xffffffff,0xa7fcc09f,0x99504ffa,
    0x99999999,0x99999999,0x00039999,0x3fee0000,0xfffa803f,0xff10000f,
    0x7fcc07ff,0xffc801ff,0xfffe803f,0x401ffea1,0xff30fff9,0xffffffff,
    0xdfffffff,0x2601ffea,0x7c400fff,0x0fff71ff,0x14400000,0x5002aa80,
    0x03000001,0x00002200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd7100950,0x003bffff,0x7e401102,0xffffffff,0xffffffff,
    0x001fffff,0xff700000,0x3ffe007f,0x7ff40005,0x37ffc00f,0x037ffd40,
    0x50ffff98,0x3e600fff,0xffff30ff,0xffffffff,0x2adfffff,0xff9807ff,
    0x7ffc400f,0x000fff71,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00013000,0xdddd7000,
    0xdddddddd,0xdddddddd,0x000003dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_44_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,1,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,1,3,3,3,2,1,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,3,2,3,2,3,2,2,3,2,1,1,1,1,1,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,3,2,3,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_44_latin_ext_y[560]={ 35,6,6,6,4,6,6,6,6,6,6,11,31,23,
31,6,6,6,6,6,6,7,6,7,6,6,14,14,11,15,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,40,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,14,6,6,11,6,
6,6,6,6,6,16,15,23,6,2,6,11,6,6,6,14,6,19,34,6,6,16,6,6,6,14,-1,-1,-1,0,
1,0,6,6,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,12,5,-1,-1,-1,1,-1,6,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,6,7,6,6,6,7,6,13,13,6,6,6,6,6,6,6,
1,8,0,6,6,14,-1,6,-1,6,0,7,-1,6,-1,6,6,6,1,8,-1,6,0,7,6,14,-1,6,-1,6,
0,6,0,7,6,4,-1,-1,6,6,0,7,2,8,0,6,6,6,0,14,6,6,-1,6,6,6,14,-1,-1,6,
6,6,6,6,6,6,6,-1,6,6,14,-1,6,6,6,14,1,8,-1,6,-1,6,6,14,-1,6,6,14,-1,6,
-1,6,-1,6,6,14,-1,6,6,7,-1,6,6,7,0,7,1,8,-1,6,-1,5,-1,6,6,14,-1,6,-1,6,
1,-1,6,0,7,-1,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,6,-1,6,-1,
6,-1,6,-1,1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-5,-3,-1,6,-1,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_44_latin_ext_w[560]={ 0,5,12,22,20,31,25,5,10,10,13,19,5,11,
5,11,20,11,19,20,21,20,20,20,20,20,5,5,19,19,19,19,37,28,23,26,24,22,20,27,23,5,16,25,
19,28,23,28,22,29,25,24,24,23,26,37,27,26,24,9,11,9,17,24,8,20,19,19,19,20,13,19,18,5,
9,18,4,29,18,20,19,19,12,18,11,18,20,29,20,20,19,12,4,13,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,18,21,20,23,
4,20,11,30,14,18,19,11,30,24,12,20,13,13,8,17,22,5,9,8,14,18,31,31,33,19,28,28,28,28,
28,28,38,26,22,22,22,22,8,8,13,11,28,23,28,28,28,28,28,17,29,23,23,23,23,26,22,21,20,20,
20,20,20,20,33,19,20,20,20,20,8,8,13,11,20,18,20,20,20,20,20,20,20,18,18,18,18,20,19,20,
28,20,28,20,31,24,26,19,26,19,26,19,26,19,24,24,28,21,22,20,22,20,22,20,22,20,22,20,27,19,
27,19,27,19,27,19,23,18,28,20,14,14,13,13,13,13,9,10,5,5,24,14,21,13,25,18,18,19,8,19,
10,19,10,19,12,21,9,23,18,23,18,23,18,22,24,18,28,20,28,20,28,20,37,35,25,12,25,12,25,13,
24,18,24,18,24,18,24,18,24,11,24,15,24,11,23,18,23,18,23,18,23,18,23,18,23,22,37,29,26,20,
26,24,19,24,19,24,19,10,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,24,21,21,21,21,21,21,21,21,21,21,21,21,21,30,24,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,20,13,13,28,
20,23,18,23,18,23,18,23,18,23,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,20,38,33,29,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_44_latin_ext_h[560]={ 0,29,11,30,36,31,30,11,38,38,13,20,10,4,
4,30,30,29,29,30,29,29,30,28,30,30,21,27,20,12,20,29,38,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,3,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,8,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,29,37,30,20,29,
38,38,5,30,15,18,12,4,30,3,11,24,15,16,7,29,37,5,10,15,15,18,31,31,31,30,36,36,36,35,
34,35,29,38,36,36,36,34,36,36,36,34,29,35,37,37,37,36,35,18,32,37,37,37,35,36,29,30,30,30,
30,29,30,31,22,29,30,30,30,30,29,29,29,29,30,28,30,30,30,29,30,16,24,30,30,30,30,38,37,38,
34,28,35,30,38,29,37,30,37,30,36,29,37,30,36,30,29,30,34,28,36,30,35,29,38,30,36,30,37,38,
36,38,36,37,38,40,36,36,29,29,35,28,33,27,35,29,38,38,35,21,30,38,37,38,38,38,21,36,36,38,
38,29,29,29,29,29,29,36,29,38,30,36,29,29,30,30,35,28,37,30,37,30,30,22,36,29,38,30,36,29,
37,30,37,30,37,29,37,30,41,39,36,30,29,29,36,29,35,28,37,30,37,31,37,30,38,30,36,29,36,38,
34,36,29,35,28,36,29,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30,25,25,38,25,25,25,
25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,36,30,36,29,37,
30,37,30,37,35,37,37,37,37,37,37,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,40,39,36,30,38,31,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__arial_44_latin_ext_s[560]={ 510,506,464,75,185,358,1,458,348,494,404,
181,500,470,506,496,477,470,343,201,345,267,369,1,185,456,1,172,161,438,201,
383,359,403,461,155,1,26,49,282,107,504,331,190,363,432,243,27,447,298,288,
81,320,57,482,409,381,216,70,400,498,390,319,458,440,397,400,278,380,376,367,
420,171,314,287,485,507,118,79,462,151,131,148,418,95,298,7,28,58,309,98,
246,108,113,418,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,510,505,490,
35,221,307,505,157,458,461,389,242,418,470,349,482,477,200,351,337,449,54,410,
506,490,365,374,261,430,1,462,492,447,476,1,363,170,392,1,321,80,259,57,
261,206,141,409,226,256,483,206,157,101,150,1,280,328,25,1,366,64,382,319,
179,158,137,116,86,75,33,342,116,474,453,432,411,107,226,72,331,310,22,261,
240,219,235,182,298,221,117,98,79,60,397,186,418,141,62,112,390,439,430,260,
96,49,289,283,206,130,165,310,121,177,294,238,83,359,268,460,106,471,54,217,
273,455,178,128,1,282,470,259,55,310,240,148,127,30,104,284,158,446,285,67,
21,505,483,431,112,433,77,147,173,489,165,156,127,32,136,175,211,243,256,297,
423,362,43,146,335,411,469,222,41,334,41,483,247,312,348,235,242,27,492,220,
387,1,40,341,22,76,56,287,156,235,368,1,96,77,203,186,231,53,278,88,
119,446,136,398,411,355,349,297,98,179,381,30,91,199,103,342,421,138,215,299,
495,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,206,178,178,198,
178,178,178,178,178,178,178,178,178,178,178,178,178,316,317,178,178,178,178,178,
178,178,178,178,178,178,178,178,400,437,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,254,1,
240,455,230,440,259,330,283,45,307,211,331,192,422,379,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,26,75,102,1,127,390,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178, };
static unsigned short stb__arial_44_latin_ext_t[560]={ 1,262,444,230,157,194,293,444,1,1,444,
444,444,456,450,194,230,385,355,293,385,385,262,415,230,230,444,415,444,444,444,
355,1,355,355,262,385,385,385,262,385,355,262,385,355,355,385,293,385,194,385,
324,385,324,385,385,385,385,385,82,230,82,444,462,457,415,293,415,293,415,385,
293,385,385,1,355,157,444,444,415,385,385,444,415,385,415,444,444,444,293,444,
1,1,1,457,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,1,324,43,
324,444,355,1,1,456,293,444,444,444,456,293,456,444,415,444,444,457,355,82,
444,444,444,444,444,194,230,194,293,120,120,157,157,194,157,355,1,157,157,157,
194,157,120,120,194,324,157,82,82,82,120,194,444,194,82,82,82,194,120,324,
293,293,293,293,355,293,230,415,355,262,262,262,262,355,324,355,355,262,415,262,
262,262,324,262,444,415,262,262,262,262,1,82,1,194,415,194,262,1,324,82,
293,82,293,120,324,82,230,120,230,324,230,194,415,120,293,157,324,1,230,120,
230,82,1,157,43,157,43,1,1,157,157,324,324,194,415,194,415,157,324,43,
43,120,415,230,43,82,43,43,43,415,157,157,43,43,355,355,355,355,355,355,
120,324,43,230,120,324,324,293,262,157,415,82,293,82,262,230,415,120,324,1,
230,120,355,82,262,82,293,82,355,82,230,1,1,120,262,355,355,120,355,194,
415,43,262,43,194,43,230,1,230,120,324,157,43,194,157,324,157,415,157,324,
262,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,230,415,415,1,
415,415,415,415,415,415,415,415,415,415,415,415,415,230,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,230,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,120,262,
120,324,43,293,43,293,43,194,43,43,43,43,43,43,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,1,1,120,324,1,194,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415, };
static unsigned short stb__arial_44_latin_ext_a[560]={ 175,175,224,350,350,560,420,120,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,175,175,368,368,368,350,640,420,420,455,455,420,385,490,
455,175,315,420,350,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,175,175,175,296,350,210,350,350,315,350,350,175,350,
350,140,140,315,140,525,350,350,350,350,210,315,175,350,315,455,
315,315,315,210,164,210,368,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,175,210,350,350,350,350,164,350,
210,464,233,350,368,210,464,348,252,346,210,210,210,363,338,175,
210,210,230,350,526,526,526,385,420,420,420,420,420,420,630,455,
420,420,420,420,175,175,175,175,455,455,490,490,490,490,490,368,
490,455,455,455,455,420,420,385,350,350,350,350,350,350,560,315,
350,350,350,350,175,175,175,175,350,350,350,350,350,350,350,346,
385,350,350,350,350,315,350,315,420,350,420,350,420,350,455,315,
455,315,455,315,455,315,455,387,455,350,420,350,420,350,420,350,
420,350,420,350,490,350,490,350,490,350,490,350,455,350,455,350,
175,175,175,175,175,175,175,140,175,175,463,280,315,140,420,315,
315,350,140,350,140,350,184,350,210,350,140,455,350,455,350,455,
350,381,456,350,490,350,490,350,490,350,630,595,455,210,455,210,
455,210,420,315,420,315,420,315,420,315,385,175,385,236,385,175,
455,350,455,350,455,350,455,350,455,350,455,350,595,455,420,315,
420,385,315,385,315,385,315,140,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,474,473,473,350,473,473,473,473,473,
473,473,473,473,473,473,473,473,540,413,473,473,473,473,473,473,
473,473,473,473,473,473,473,538,422,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,420,350,175,140,490,350,455,350,455,350,455,
350,455,350,455,350,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,420,350,630,560,490,385,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_44_latin_ext(stb_fontchar font[STB_FONT_arial_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_44_latin_ext_s[i] + stb__arial_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_44_latin_ext_t[i] + stb__arial_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_44_latin_ext_x[i];
            font[i].y0 = stb__arial_44_latin_ext_y[i];
            font[i].x1 = stb__arial_44_latin_ext_x[i] + stb__arial_44_latin_ext_w[i];
            font[i].y1 = stb__arial_44_latin_ext_y[i] + stb__arial_44_latin_ext_h[i];
            font[i].advance_int = (stb__arial_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_44_latin_ext_s[i] + stb__arial_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_44_latin_ext_t[i] + stb__arial_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_44_latin_ext_x[i] + stb__arial_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_44_latin_ext_y[i] + stb__arial_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_44_latin_ext_LINE_SPACING
#endif

