// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT        493
#define STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_45_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_45_latin_ext_LINE_SPACING          29

static unsigned int stb__arial_45_latin_ext_pixels[]={
    0x6664c000,0x3bba000c,0xeeeeeeee,0xeeeeeeee,0x22004eee,0x00000005,
    0x00013310,0x3eeed800,0x99980000,0x22000009,0x26a00099,0x4aaa2001,
    0x000002a9,0x00335310,0x26000000,0x154c0009,0x55100000,0x06a66005,
    0x000ccc00,0x00066000,0x0cccc400,0x26666200,0x00099999,0x04ccc400,
    0x02666600,0x4cccc000,0x4cc40000,0x00999881,0x3fffa000,0x7fffc003,
    0xffffffff,0xffffffff,0xff3005ff,0x016a0007,0x7fff5c40,0x00acefff,
    0xdfff5000,0xff300000,0x880003ff,0xcffffffd,0x1ffffc00,0xf8affcc0,
    0x4400003f,0xfffffedb,0x000adfff,0xffb10000,0x8801bfff,0xfff303ff,
    0x306ffe87,0xfea80bff,0xfb5003ff,0x5bffffff,0x765cc000,0x2bdeffff,
    0xfffe8000,0x7ffd4004,0x06ffffff,0x3ffe6000,0xfffc8005,0xff300006,
    0xf98000bf,0x77ff44ff,0xff300000,0xfff000bf,0xffffffff,0xffffffff,
    0x3e00bfff,0xfd88004f,0x7fecc006,0xffffffff,0x80002fff,0x0000fffd,
    0x02fffd80,0x7fffdc00,0x02ffffff,0x01bffffe,0x7fdcbff3,0xfc980000,
    0xffffffff,0x1dffffff,0x3a200000,0x0fffffff,0xf3037ec0,0x6ffe87ff,
    0x540bff30,0x403fffff,0xffffffeb,0x02efffff,0x3ffff220,0xffffffff,
    0xff30001e,0xff5000bf,0xdfffffff,0x3fe20000,0x3f60003f,0x100002ff,
    0x80007ffd,0xff92fffb,0x6c00001f,0xc8000eff,0xcccccccc,0xcccdfffe,
    0x803ccccc,0xfb0007f9,0x7fd400df,0xffffffff,0x0dffffff,0x5fff3000,
    0xff300000,0xf980009f,0xffddffff,0xffd01fff,0x7cc05fff,0x002ffc5f,
    0xfffffb10,0xdb999bdf,0x09ffffff,0x3ff20000,0x406fffff,0x3e602ffa,
    0x37ff43ff,0xf105ff98,0x205dffff,0xffffffd8,0xffffffff,0xffe8803f,
    0xffffffff,0x002fffff,0x000effd8,0x80000000,0x40001efd,0x0006ffe8,
    0x0017fe40,0x3ebfff60,0x200002ff,0x0000fff9,0x07fff200,0x56fdc000,
    0x37fec000,0xfffffc80,0xb7510abc,0x001dffff,0x0009ffb0,0x01bff600,
    0x2bfffa00,0x1bffee20,0x40bffd10,0x7fd45ff9,0xfff98003,0xb5001dff,
    0x001dffff,0x2efff800,0x7fc40331,0x1fffcc06,0x7cc1bffa,0x5fff305f,
    0xffffe880,0x7fdcc1ae,0x7ec02fff,0x309adfff,0x3fffff95,0x0fffcc00,
    0x80aa8800,0x510002aa,0x2aa13315,0xfff10002,0x55440005,0x05551310,
    0xffffd100,0xd800007f,0x000002ff,0x000fffe4,0x02fffc80,0x4037fec0,
    0x00effffb,0x09ffff50,0x003cc880,0x1fff1000,0xfff98000,0x0bfff204,
    0x4c0fff70,0x0ffe85ff,0x3fffea00,0xf910000b,0x00003fff,0x000fffe6,
    0x00005ffb,0x20bff300,0xfe805ffb,0xf9001eff,0x3e205fff,0xd8800eff,
    0x36005fff,0x2a0003ff,0x06fe82ff,0xd05ff500,0x7d4000df,0x3ea0006f,
    0x006fe82f,0x0bffff30,0x5dd50000,0xfc800000,0x900001ff,0xd8005fff,
    0x7fc406ff,0xe88003ff,0x00000fff,0x554c0000,0xffa80001,0x3ffe200f,
    0x07ffc404,0xfb85ff98,0xfff7004f,0x2a00001d,0x0000efff,0x000fffb8,
    0x0001bfe2,0x82ffcc00,0x7dc04ffd,0x64000eff,0xff706fff,0x7f44003f,
    0x0666007f,0x05ff5000,0x2a000dfd,0x06fe82ff,0x000cc400,0xfd05ff50,
    0x4cc4000d,0xfd800001,0x00005fcc,0x007fff20,0x17ffe400,0x01bff600,
    0x0009fffd,0x0027ffcc,0x4c000000,0x20ae0019,0x6c01fffa,0x7fc403cd,
    0x0bff300f,0x9801fff1,0x00004fff,0x005ffe88,0x007ffc80,0x0001ffe4,
    0x05ff9800,0x7cc07ffb,0xd0000fff,0xffb03fff,0xfff5000b,0x80000005,
    0x3cb81cc9,0x03993000,0x00000797,0x03993000,0x00000797,0x8be20000,
    0x000000f9,0x0003fff9,0x774c0000,0x1eeeffff,0x001bffea,0x003fffa0,
    0x0000e644,0xfffffb30,0x3ea07bdf,0x27ffc43f,0xfff10000,0x417fe603,
    0x7f403ffd,0x0098804f,0x01fffcc0,0x017ffa00,0x000fff88,0xbff30000,
    0xc80fff60,0x20003fff,0xff85fffa,0xfff0005f,0x87ffee09,0xec84fff8,
    0x76c0005e,0x00bdd94e,0xb84eed80,0x3fe21fff,0x05eec84f,0x42776c00,
    0x3e21fffb,0x5c0004ff,0x00003f87,0x003fff90,0x80054400,0xfffffff9,
    0x3fff22ff,0xdfa80002,0xdefb800b,0x7540004f,0xffffffff,0x3e62efff,
    0xfffd81ff,0xff100004,0x17fe603f,0xf7037fdc,0xffea80df,0x3bae0cef,
    0x0037fd45,0x3fffbbb6,0x2e03eeef,0xddd106ff,0x3eed8007,0x3f60bff3,
    0x3fffe03f,0x5e740000,0x00fffe81,0x702aab80,0x7fc43fff,0x07ffe84f,
    0xeb7ffc00,0x7c0007ff,0xfffb86ff,0x213ffe21,0x40007ffe,0xffb86fff,
    0x13ffe21f,0x4c5f1000,0x9000000f,0x80003fff,0xceffffdb,0x3a69dd70,
    0xeeeffffe,0x001fffe1,0x24f80000,0xfb0000fa,0xffffffff,0x5dffffff,
    0x3a203fff,0x0000dfff,0x980fffc4,0xfff105ff,0x01fff105,0x3fffffa2,
    0xbffb0eff,0x2005ffd0,0xfffffff8,0x3e03ffff,0x3ffa03ff,0x3ffe6007,
    0x3a0bff31,0xfff503ff,0x9000000b,0x00007fff,0x887ffee0,0xffe84fff,
    0x7ffc0007,0x000fffd6,0xfb86fff8,0x3ffe21ff,0x007ffe84,0x5c37ffc0,
    0x3fe21fff,0xfd80004f,0x00005ebb,0x007fff20,0x7fffec40,0xfc8effff,
    0x06ffd85f,0x000dfff5,0x03ea0000,0xfe88007f,0x20abefff,0xfffffda9,
    0x7fcc02ff,0x40003fff,0xff301fff,0x42ffec0b,0xfd302ffd,0xffdbbfff,
    0x507fff1d,0x3a600bff,0xeefffeee,0xfff301ee,0x17ffdc01,0x266ffc80,
    0x7ffd05ff,0x013fff20,0x3fe60000,0x00000cff,0xf10fffdc,0xfffd09ff,
    0x6fff8000,0x8000fffd,0xffb86fff,0x13ffe21f,0x0001fffa,0xff70dfff,
    0x27ffc43f,0x7ffcc000,0x2000002f,0x8001fffc,0xceffffe8,0xffdffffd,
    0x706ffd85,0x00009fff,0x88be2000,0x7fec001f,0xff5004ff,0xe9809fff,
    0x1effffff,0x03fff000,0xfb817fe6,0x837fc47f,0x40bffff8,0x2ffffffa,
    0x2000fff0,0x7000fffb,0xff880dff,0x7fff004f,0xfe82ffcc,0x5fffb02f,
    0x36000000,0x1befffff,0x80000000,0x40007ffe,0xfffd6fff,0x6fff8000,
    0xffe80000,0x7ffc0007,0x00000006,0x04ffffb8,0x3ff20000,0xffd8001f,
    0xffff705f,0x0dffb0bf,0x000ffff2,0xaed80000,0x7dc006d9,0x44001eff,
    0x3206ffff,0xfffdafff,0xfe8003ff,0x0bff302f,0xf70fffd4,0x3fff609f,
    0x3fffea03,0x01ffb00f,0x00dffb00,0x6c02fff4,0xffa807ff,0x417fe60f,
    0xffb02fff,0x0000003f,0x7fffffe4,0x0001bdff,0x7ffe8000,0xb7ffc000,
    0x40007ffe,0x00006fff,0x0007ffe8,0x00037ffc,0x7ff40000,0x00000fff,
    0x003fff90,0x404fff98,0xd85ffffa,0xfffb06ff,0x00000003,0x00effecc,
    0x03ffff30,0xfffffb00,0x41dff505,0x1efffffa,0x40fff600,0x3e605ff9,
    0x07ff63ff,0x200fffea,0x3206fffe,0xfe8001ff,0xfff1005f,0x5fff5009,
    0x4c5ffd80,0x3fff05ff,0x003fffa0,0xff700000,0xffffffff,0x0000039f,
    0x001fffa0,0x3fadfff0,0x7fc0007f,0xe800006f,0x7c0007ff,0x000006ff,
    0x777fcc00,0x000003ff,0x8003fff9,0xd800fffd,0xffd85fff,0x01fffd06,
    0x33333260,0x04eeeeee,0x32000620,0xc8004fff,0x86fffeff,0xfd881ffd,
    0x7003ffff,0x3fe60dff,0x53ffe205,0xffd06ff8,0xfff7001f,0x017fdc0b,
    0x8027ffc0,0xf003fff9,0x7fc40bff,0x42ffcc2f,0x3fe06ffa,0x0000007f,
    0xffffd710,0x3bffffff,0xfe800000,0x7fc0007f,0x00fffd6f,0x006fff80,
    0x07ffe800,0x037ffc00,0x32000000,0x06ffccff,0xfff90000,0x7ffc4003,
    0xbfff3004,0x360dffb0,0xf5000fff,0xffffffff,0x54c00dff,0x7fffc001,
    0x77fdc000,0x222fffd8,0x7fd407ff,0xf9803fff,0x5ff983ff,0xfaafffc0,
    0x4fff984f,0x07fff500,0x20017fe4,0x3002fff8,0x32007fff,0xff700fff,
    0x8813301f,0x3fa03fff,0x0000007f,0xfffda880,0x42ffffff,0xd000eeea,
    0x1fffa5dd,0x2dfff000,0x40007ffe,0xddd56fff,0x4bbba001,0x40007ffe,
    0xddd56fff,0x0bbba001,0x26bffe00,0x00001fff,0x001fffc8,0x8007ffe6,
    0xffd85fff,0x03fff906,0x3ffffea0,0x06ffffff,0x3ffffb6a,0x3ea01dff,
    0x7d4004ff,0xbfff50ef,0x4403ffd4,0x802ffffd,0x261cfffb,0x7ffc05ff,
    0xfb07ff75,0x3ea001ff,0x3ffa01ff,0x7ffd4000,0x5fff5001,0x0fffe600,
    0x88027ff4,0x200effeb,0x0000fffd,0x5c400000,0x1ffffffd,0x4003ffea,
    0xfffd3fff,0x6fff8000,0x8000fffd,0xfff56fff,0x4fffe001,0x40007ffe,
    0xfff56fff,0x0fffe001,0x21fff500,0x00005fff,0x001fffc8,0x8003ffea,
    0xffd85ffe,0x05fff906,0x33333260,0x86fffccc,0xffffffd8,0x80cfffff,
    0x2002fffc,0x3e21fff9,0x3ffe26ff,0xffff9002,0x3ffff200,0xe80bff31,
    0x05ff96ff,0x5c00dfff,0x3fe00fff,0x7ffb8007,0x07ffee00,0x986ffe80,
    0xfd001fff,0xfd801bff,0x000000ff,0x7fe40000,0x3ffea5ff,0x27fff000,
    0x40007ffe,0xfffd6fff,0x6fff8000,0x2001fff5,0xfffd3fff,0x6fff8000,
    0x2001fff5,0x6c003fff,0x3fff25ff,0x7e400000,0x3f2001ff,0x7fec007f,
    0x706ffd85,0x00009fff,0x3e637ffc,0xeccdefff,0xd84fffff,0xf3001fff,
    0xfffd03ff,0x000effe8,0x2003fffb,0xff31fffa,0x97ffd80b,0xfff883ff,
    0x1bff6004,0x8006ff98,0x2e006ffd,0x2e000fff,0x7fe40fff,0x17ffa006,
    0x017ffe40,0x00000000,0xa87fff4c,0xff000fff,0x01fffa7f,0x3adfff00,
    0x7c0007ff,0x1fff56ff,0x74fffe00,0x7c0007ff,0x1fff56ff,0x00fffe00,
    0x263fff88,0x00003fff,0x000fffe4,0xc800fff9,0x6ffd85ff,0x00dfff10,
    0x237ffc00,0x2e02fffe,0x7f40ffff,0xfe8800ff,0x1fffb02f,0x00f7ffdc,
    0x401fffcc,0xf31fffe9,0x6ffd80bf,0xff981ffb,0x3ffa003f,0x013fee04,
    0x8017ffa0,0x2000fffb,0x7f43fff8,0x3ffa004f,0x7fcc00df,0xeb80004f,
    0x06eaa0ac,0x2fffb800,0x2001fff5,0xfffd3fff,0x6fff8000,0x8000fffd,
    0xfff56fff,0x4fffe001,0x40007ffe,0xfff56fff,0x0fffe001,0x40fffb80,
    0x00006ffe,0x000fffe4,0x4001fff7,0xffd85ffd,0x07fff606,0x37ffc000,
    0x7005fff3,0xfff85fff,0x3ffe8807,0x907fff20,0xd007ffff,0xffa807ff,
    0x17fe63df,0x3f6bffd0,0x17ffcc1f,0x03fff880,0x2000bffa,0x2a003fff,
    0x6c001fff,0x3ffe66ff,0x3ff26000,0x6fff806f,0xfffe8000,0x00bfff11,
    0xaa7ffc40,0xff000fff,0x01fffa7f,0x3adfff00,0x7c0007ff,0x1fff56ff,
    0x74fffe00,0x7c0007ff,0x1fff56ff,0x00fffe00,0xfb85ffe8,0x200001ff,
    0x2001fffc,0x2001fffa,0xffd85ffe,0x17ffea06,0x37ffc000,0x2200dff9,
    0x3fe23fff,0x4ffd806f,0x417ffdc0,0x01effffe,0xf803fff1,0x5ff983ff,
    0xfca7ff40,0x03fff82f,0x203fffb0,0x88005ffb,0x26002fff,0x54001fff,
    0xdff91fff,0x3ffe2000,0x17ffe403,0xdfff3000,0x000fffe8,0x7d53ffe0,
    0xfff000ff,0x001fffa7,0x3fadfff0,0x7fc0007f,0x01fff56f,0x7f4fffe0,
    0x7fc0007f,0x01fff56f,0x400fffe0,0xf882fff9,0x200005ff,0x2001fffc,
    0x2002fff9,0xffc85fff,0x3fffe206,0xfff80003,0x800aa626,0x7ffc3fff,
    0x02ffec06,0xc817ffe4,0xc84fffff,0x7fd406ff,0x80bff306,0x7ff94fff,
    0x3009ffd0,0x3e20ffff,0xfa8000ff,0x3e6001ff,0xff8002ff,0x407ffd3f,
    0xffb85ff9,0x3fffcc06,0x5fffb000,0x002fffd8,0x2a3fff50,0xff000fff,
    0x01fffa7f,0x3adfff00,0x7c0007ff,0x1fff56ff,0x74fffe00,0x7c0007ff,
    0x1fff56ff,0x00fffe00,0xfb03ffec,0x200001ff,0x2001fffc,0x5005fff8,
    0xff90bfff,0xffff980f,0xff910003,0xf88000df,0x3fff44ff,0x200bff90,
    0x2601fffd,0x8aeffffe,0x6c01fffd,0xbff303ff,0xb9fffc40,0x7ffc83ff,
    0x85fffe80,0x0003ffe9,0x8800fff7,0xc8003fff,0x0fff8eff,0x2217fe60,
    0x7e400fff,0xfc8005ff,0xfff987ff,0xffd8002f,0x003ffea7,0xffe9fffc,
    0x7ffc0007,0x000fffd6,0xff56fff8,0x3ffe001f,0x000fffd3,0xff56fff8,
    0x3ffe001f,0x4fff8803,0x00fffea0,0x0fffe400,0x07fff200,0x217fffa0,
    0x088bfffc,0x0dffffc8,0x3fffee00,0x2ea2006f,0x44ffffec,0xfb80fffd,
    0xffd000ef,0xfff7001f,0x019fffff,0x2605fff0,0x3fea05ff,0x50dff31f,
    0x3a207fff,0x7d44ffff,0x360006ff,0xfe8006ff,0xff88005f,0x4c05ffcf,
    0x5fff05ff,0xeffff880,0xffff9000,0x3ffffa05,0xfffb1003,0x007ffd49,
    0xffb3fff8,0xfff8000f,0x000fffb6,0xff56fff8,0x3ffe001f,0x000fffb3,
    0xff56fff8,0x3ffe001f,0x1fffb803,0x0037ffc0,0x01fffc80,0x077ffc40,
    0x0bffff90,0x7ffffff5,0x3fffff60,0xb7511bdf,0x1bfffffd,0x3ffb2e20,
    0xffffffff,0x20fffe44,0x2000effa,0x26007fff,0x02fffffe,0x4c0bffe0,
    0x3fee05ff,0x6c0fff46,0xf510cfff,0x75ffffff,0x001dfffd,0x002fff40,
    0x8003ffdc,0x02fffffe,0xfe82ffcc,0xfffa802f,0xfa881cff,0x2203ffff,
    0xacefffff,0x3ffeea61,0x3ffea1ff,0x27fff000,0x20007ffd,0xffb5fff8,
    0x7fc4000f,0x01fff55f,0x7ecfffe0,0x3e20007f,0x1fff55ff,0x00fffe00,
    0x3201bffa,0x80002fff,0x8001fffc,0x10bffffb,0xbfffffd5,0x3fffffa0,
    0x3fffee04,0xffffffff,0x02efffff,0x3ffffff2,0xfffdffff,0x327ffdc4,
    0x4c003fff,0xb8005fff,0x000effff,0x3e603fff,0x13ff605f,0xfd109ff9,
    0xdfffffff,0xfffffff1,0xf00009ff,0xf30007ff,0xf70001ff,0xf300ffff,
    0x0fffa0bf,0x7ffffcc0,0xffffeeff,0xf9804fff,0xffffffff,0xffffffff,
    0x007ffd41,0xff93fff8,0x3e60001f,0x1fff95ff,0x3ffe6000,0x001fff55,
    0x7fe4fffe,0xff30000f,0x03ffeabf,0x201fffc0,0x9803fff9,0x80005fff,
    0x0001fffc,0xfffffff9,0xbfffbfff,0x3ffff620,0x7fff4c06,0xffffffff,
    0x7ec03fff,0xbcefffff,0xf113ffe1,0x3ffe6fff,0x7ffec001,0xffd30002,
    0xfff001df,0x817fe603,0x7fcc2fff,0xffff880f,0x3ff65fff,0x003fffff,
    0x02fff880,0x005fff00,0x09ffff10,0x3a0bff30,0x3a6003ff,0xffffffff,
    0x002effff,0x3fffff62,0xffffffff,0x0fffa81e,0x93fff980,0x20003fff,
    0xff94fffa,0x3ea0003f,0x1fff54ff,0x27fff300,0x0001fffc,0x3ea9fff5,
    0xff9800ff,0x7ffe403f,0xeeeeeeee,0x00ffffee,0x20000000,0xfffffffa,
    0x009fff3f,0x5c400131,0xfffffffe,0x7e400bce,0x2201bfff,0xffd84fff,
    0x002ffebf,0x003fffcc,0x0ffff620,0x4c07ffe0,0xfff505ff,0x4417ff60,
    0xc81cefda,0x880acefe,0xfa800aaa,0xf90000ff,0x3f6000bf,0xff9801ff,
    0x007ffb05,0xfffff930,0x0007dfff,0x7ffff64c,0x202cefff,0xa800fffa,
    0xfff53fff,0x3fee0007,0x07fff52f,0x4bffee00,0xa800fffa,0xfff53fff,
    0x3fee0007,0x01fff52f,0x807fff50,0xffffffff,0xffffffff,0x000004ff,
    0x76544000,0x3ffe1bdf,0x88000004,0x8001ffd9,0x9800efff,0xff884fff,
    0x8003ffff,0x0004fffe,0xf00dfff0,0x3fe603ff,0x209ffb05,0x0004fff8,
    0xdffd1000,0x01ffee00,0x00fff980,0x006ffc80,0x3f60bff3,0x7cc0003f,
    0x00001adf,0x01bffb88,0x007ffea0,0x7c4fffee,0xff0006ff,0x3ffe21ff,
    0xffff0006,0x007ffea1,0x7c4fffee,0xff0006ff,0x3ffea1ff,0x3fffb801,
    0x3ffffea0,0xffffffff,0x007fffff,0x00e66540,0xfff80000,0x01332a03,
    0x003bfa00,0x007fff30,0x6413ffea,0x8004ffff,0x3606fffc,0xffc804fe,
    0x3ffe200f,0x10bff301,0x7dc01fff,0x000003ff,0x00ffff44,0x0006ffd8,
    0x4001ffec,0xf3002fff,0x0fff60bf,0x05ff5000,0xffd80000,0x7ffcc002,
    0x3fffd802,0x0013fffa,0xfe8dfff7,0x7dc004ff,0x3ffe66ff,0x3fffd802,
    0x0013fffa,0x7ccdfff7,0xffd802ff,0x3fff603f,0x99999999,0xfffd9999,
    0x3ff60002,0x000c002f,0x9017ffc4,0x88000fff,0x000cffff,0x2005fff7,
    0xf104fffd,0x2005ffff,0x01ffffe9,0x2e01bffa,0x3e200fff,0xbff300ff,
    0x9009ff70,0x0001bfff,0x5fffd500,0x027ff400,0x01bfe600,0x400fff50,
    0xffb05ff9,0xffc80009,0x000002ef,0x005dfffd,0x803fffe2,0x2e3ffffc,
    0x5003ffff,0xfb85ffff,0xf5003fff,0x7fc45fff,0x3ff200ff,0x3ffee3ff,
    0xfff5003f,0x7fffc45f,0x3ffff200,0x0bfff103,0x0bfff500,0x17ffec00,
    0x00fbfa00,0x9007ffdc,0x10000fff,0x2009ffb3,0xc805fffa,0xf904ffff,
    0x15bfffff,0xffffca88,0x7ffe403f,0x17ffe202,0x4c0fff30,0x0ffe85ff,
    0x7ffffb00,0x3f620000,0x26002fff,0x80002fff,0x3a001ffd,0x3e6004ff,
    0x0dff905f,0xfff53000,0x54000001,0x3f6006ff,0x7e440dff,0x7f43ffff,
    0x10acefff,0xdffffd53,0x3bffffa0,0xfd5310ac,0xffb0dfff,0xffc881bf,
    0x7ff43fff,0x310aceff,0x0dffffd5,0x881bfffb,0x03fffffc,0x0005fff7,
    0x0003fffa,0x0017ffec,0x3003fff6,0xfc80dfff,0x2a00007f,0xff1007ff,
    0x7fe403ff,0xffc85fff,0xffffffee,0xffffffef,0xff9801ff,0x7e4c0aff,
    0x7fec03ff,0x517fe605,0xfb8009ff,0x00adffff,0x3fff6e20,0x7ec000df,
    0x980000ff,0x6cc105ff,0x26000fff,0xfff505ff,0x3fa00003,0x2000003f,
    0x5001fff9,0xd9dfffff,0x7ffbbfff,0xfffffe88,0xffffffff,0xfd100eff,
    0xffffffff,0x1dffffff,0xdfffff50,0xfbbfffd9,0xfffe887f,0xffffffff,
    0xa80effff,0xecefffff,0x3ffddfff,0x000fffd0,0x0027ffe4,0x001fea98,
    0x806fffdc,0x002fffe9,0x4cc000df,0x006ffeba,0x33bffff2,0xeefffeba,
    0x77fdc6ff,0xfffffd50,0xbfffffff,0x7ffd4001,0xfffecdff,0xfedc80ef,
    0x3fe603ff,0x00077f45,0x7fffff4c,0xcbbcceef,0xfffffeec,0xdefb801e,
    0x0006ffff,0x3a0bff20,0x03ffffff,0xf02ffcc0,0x003bdfff,0x3ff6e662,
    0x2a00002f,0x07ffedba,0x7ffffdc0,0xff94ffff,0xffffb107,0xffffffff,
    0xffb100bf,0xffffffff,0xfb80bfff,0xffffffff,0xb107ff94,0xffffffff,
    0x80bfffff,0xfffffffb,0x07ff94ff,0x0009fff3,0x003fffc4,0x6c001fe0,
    0xdbceffff,0x005fffff,0x260009f3,0x1fffffff,0x7ffff400,0x53ffffff,
    0x3fe21fff,0xfffeb80f,0x00cfffff,0xfffff700,0x01bfffff,0x01bffffe,
    0x7fdcbff3,0x7ed40001,0xffffffff,0xffffffff,0x3ff6003f,0x001fffff,
    0x6c37f400,0x005fffff,0x2e05ff98,0x003fffff,0xbffffffd,0x7fc40000,
    0x001fffff,0xfffffd98,0x80fff23e,0xffffffc9,0x4001cfff,0xffffffc9,
    0x3001cfff,0x7dfffffb,0x9301ffe4,0xffffffff,0x3660039f,0x23efffff,
    0xffc83ffc,0x7ec0001f,0xf50002ff,0x3fa2000b,0xffffffff,0xfd1004ff,
    0x3fea0003,0x0001dfff,0xfffffff7,0x1fffc41b,0x531003d3,0x20000135,
    0xffffffd8,0x7fffc03e,0xaffcc00d,0x00004ff8,0x3ffb72a2,0xefffffff,
    0x7fc000ac,0x003fffff,0x42ff9800,0x005ffffc,0xa80bff30,0xd003ffff,
    0x007fffff,0xffff8800,0x980000ce,0x2600001a,0x0019aaa9,0x35553300,
    0x1a980003,0x2a660000,0x400019aa,0xff0001a9,0xf50000df,0xf7000bff,
    0xea80005f,0xdfffffff,0x007ee001,0x00333100,0x05554c00,0x00000000,
    0x1aa98000,0x002aaa00,0xaa895544,0x88000000,0x009aaaa9,0xaaa99800,
    0x26000000,0x001a982a,0x40155440,0x2001aa98,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0x00003fff,0x8003ffff,
    0x200001eb,0x009aaa98,0x00000100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c000000,0x00000fff,0x0009fff9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x06620998,0x26620000,0xffd80009,0x4000006f,0x00009999,
    0x3dddd100,0xbd500000,0x7642f5c0,0xeeeeeeee,0xeeeeeeee,0x5c0006ee,
    0x3ea0001b,0x3ba00fff,0x7440004e,0xf50004ee,0xe9801fff,0x260000ee,
    0x00000eee,0x43333100,0x98019998,0xdd900eee,0xeed8000b,0x201ddd34,
    0x31003eed,0x4ccc4333,0x33100001,0x00000033,0x3fffa000,0x33300005,
    0x77540013,0x3e20000e,0x007ff35f,0xdfffd000,0xffffb800,0x5000004f,
    0x0001ffff,0x3fffee00,0xf9800004,0x84ff883f,0xfffffffe,0xffffffff,
    0x0007ffff,0xd0001ff4,0xff805fff,0x7c40005f,0xf98005ff,0x200effff,
    0x0001fffa,0x0003ffea,0x7ffe4000,0x017fff26,0x7407ffea,0x7c0007ff,
    0x3fff56ff,0x4013ffe0,0x3fa4fffd,0x900004ff,0x0000bfff,0x000e7ecc,
    0x3fffffc8,0x7ffe4000,0x7ffd4006,0x7fcc0000,0x00004ffd,0x4fffffc8,
    0xf9fff300,0x000007ff,0x0005fffd,0x7ffff400,0xe800000f,0xfeb9acff,
    0xffffe81f,0xffffffff,0x7fffffff,0x07fe2000,0x27ffcc00,0x002fffc0,
    0x017ffe20,0xfbbffd10,0x7ffd40bf,0x3fea0001,0x0000000f,0x3e21ffff,
    0xfa800eff,0xfffd01ff,0x6fff8000,0x3e03fff5,0xff8804ff,0x17ffe66f,
    0x7ffc4000,0xf300000f,0x8001fb7b,0xfffbfffa,0xfff10001,0xffa8001f,
    0xfa80000f,0x800005ff,0xfffbfffa,0xb7ff4403,0x0001fffb,0x00fffe60,
    0xeff98000,0x00003ffe,0xffffff98,0xfffd04ff,0x99999999,0x99999999,
    0x3fd40009,0x0bffb000,0x0017ffe0,0x00bfff10,0xf88fffd8,0xfff503ff,
    0x7fd40003,0x8000000f,0x3ee2fffb,0xff5001ff,0x1fffa03f,0x2dfff000,
    0xff01fffa,0xfff9009f,0x007ffec3,0x1fffc800,0xb1b20000,0x7ffc4009,
    0x001fff94,0x003fff70,0x001fff50,0x2622aa20,0x00005551,0x3ee9fff3,
    0x3ff601ff,0x03fff60f,0x2ffec000,0x3f200000,0x006ffccf,0xfffb1000,
    0x7ff405df,0x00000007,0x980027ec,0xff000eff,0xf88000bf,0x3ee005ff,
    0x3ffee3ff,0x01fffa82,0x03ffea00,0x3fa00000,0x01fffc4f,0x74033310,
    0x7c0007ff,0x033316ff,0x22004ccc,0x3fe22fff,0xf100002f,0x800007ff,
    0xd0035c3f,0x7ff41dff,0x3fff8006,0x1fff5000,0x0bfea000,0x10001bfa,
    0x7ec1dffd,0xccc980ff,0x01666442,0x077fcc00,0x3fe00000,0x01fff9af,
    0x04cc0000,0x003fff40,0x3fe00000,0x39950002,0x02fffc00,0x17ffe200,
    0x41e66440,0xffa84ccc,0x3ea0001f,0x000000ff,0x3ee2ffcc,0xd000005f,
    0xf8000fff,0x000006ff,0xff913fee,0x7dc00009,0xc800005f,0xca802746,
    0x6664c1cc,0x17fee001,0x0fffa800,0x05ff5000,0x98000dfd,0x55441aaa,
    0x0000001a,0x00155300,0xfffa8000,0x000bfff0,0x7f400000,0x0000007f,
    0x0003fe60,0xbfff0000,0xfff88000,0x20000005,0x0001fffa,0x0003ffea,
    0x81553000,0x00000aa9,0x000fffd0,0x0006fff8,0x2a0aa600,0x5400002a,
    0x3000002a,0x003fb7df,0x55000000,0x7d400015,0x930000ff,0x00797039,
    0x10000000,0x00000153,0x00004cc4,0x64bffb00,0x00000fff,0xd000a988,
    0x00000fff,0x5fc9a880,0xf8000000,0x440005ff,0x00005fff,0x07ffea00,
    0x0fffa800,0x00000998,0x00013310,0x07ffe800,0x037ffc00,0x00000000,
    0x00ccc000,0xdfd98000,0x00000001,0x7d400000,0x776400ff,0x776c0005,
    0xddd90004,0xfffeb800,0x9dd70cef,0x7fee5400,0x00beffff,0x7fff1000,
    0x001fffcc,0xffffd700,0x53bae19d,0x00007ffe,0x7ff65440,0x3a205fff,
    0x76c003ee,0x017ffe3e,0x0bfff100,0x000fbba2,0x3fea7ddb,0x7776c01f,
    0x5c3ffea3,0x0bfffffe,0x3f72a000,0x0befffff,0x01ddd300,0x0001fffa,
    0x3ba6dfff,0x27ddb00e,0x40005eec,0xb5004eed,0xbfffffff,0x0bdd9005,
    0x04eed800,0x3201ddd3,0x6c0005ee,0xfffa84ee,0x03fff400,0x01bffe00,
    0x803ffec0,0xffffffe8,0x5ffc8eff,0xffffe880,0xffffffff,0x7dc0000c,
    0x37ff40ff,0x7ff44000,0x8effffff,0xfffd5ffc,0x74c00000,0xffffffff,
    0xfffd00ef,0x0fffcc00,0x8000bfff,0x3a05fff8,0x3e6007ff,0x3fff51ff,
    0x22fffec0,0xffd9fffa,0x1fffffff,0x7fff4400,0xffffffff,0x7fd400cf,
    0x0fffd01f,0x56fff800,0x3fe03fff,0x00fffd4f,0x406fff80,0xffffffeb,
    0x02efffff,0x0001fffa,0x3ea0dfff,0xfffd00ff,0x6fff8000,0x400fffa8,
    0x40007ffe,0xb0006fff,0xfd100fff,0xffb9dfff,0x80bffbff,0xfffffffb,
    0xffffffff,0x3fa0001e,0x1fffb85f,0x3ffa2000,0xfffdceff,0xffd5ffdf,
    0x2600000f,0xdbdfffff,0xb81fffff,0xf9002fff,0x05fff8df,0x2fffc400,
    0x005fff70,0xffa9bff2,0xbfffb01f,0xffffff50,0xfffd97bf,0x3fee003f,
    0xffffffff,0x01efffff,0x7407ffea,0x7c0007ff,0x3fff56ff,0x7f53ffe0,
    0x7fc0007f,0xfffb106f,0xffffffff,0x3a07ffff,0x7c0007ff,0xfff506ff,
    0x01fffa01,0x50dfff00,0xfe801fff,0x7fc0007f,0xffb0006f,0xbfffb00f,
    0xfffff901,0x3fff620b,0x2a60acef,0x02fffffd,0x82fff980,0x0005fff8,
    0x2037fff6,0xd5fffffc,0x00000fff,0x417ffff1,0x86fffefd,0xf004fff8,
    0x5fff87ff,0x7ffc4000,0x13ffe205,0xf51fffc0,0xfffb03ff,0x3fffea09,
    0xfffc80df,0x7ffec406,0x2a60acef,0x02fffffd,0x3a03fff5,0x7c0007ff,
    0x3fff56ff,0x7f53ffe0,0x7fc0007f,0xfffe886f,0x7dcc1aef,0xfe82ffff,
    0x7fc0007f,0x1fff506f,0x001fffa0,0xf50dfff0,0xffe801ff,0x7ffc0007,
    0xfffb0006,0x04fffa80,0x82ffffd4,0x004ffffc,0x03ffffd3,0x207ffd80,
    0x8000fffd,0x5404fffa,0xffd5ffff,0x9999999f,0x99999999,0x09fff909,
    0x3fffb5ff,0x500fffb0,0xfff81fff,0x7fc40005,0x3ffec05f,0x507ffd40,
    0xffd83fff,0x3ffea04f,0x7ffdc05f,0x3ffff203,0xfffd3004,0x3fff503f,
    0x001fffa0,0x3eadfff0,0x9fff01ff,0x0001fffa,0xffd0dfff,0x3f2003df,
    0x7ff42fff,0x7ffc0007,0x01fff506,0x0001fffa,0xff50dfff,0x7ffe801f,
    0x37ffc000,0x07ffd800,0x4007ffec,0xf985fffd,0xd8001eff,0x22006fff,
    0x3ea04fff,0xfd8003ff,0xffd800ff,0xfffffd5f,0xffffffff,0xf0ffffff,
    0x2ff30dff,0xfa84fff9,0x7fec02ff,0x005fff85,0x02fffc40,0xb00bffea,
    0xfffa8bff,0x013fff61,0x001ffff5,0x3e60dffd,0xd8001eff,0xffa86fff,
    0x0fffd01f,0x56fff800,0x3fe03fff,0x00fffd4f,0x5c6fff80,0x4000efff,
    0x7f46fffc,0x7fc0007f,0x1fff506f,0x001fffa0,0xf50dfff0,0xffe801ff,
    0x7ffc0007,0xfffb0006,0x003fff80,0xfd0bfff3,0x740005ff,0xf7004fff,
    0xfff803ff,0x3fff8006,0x2bfff300,0xfffffffe,0xffffffff,0x7fd47fff,
    0x325fc82f,0xbfff01bc,0x417ffc40,0x40005fff,0xf805fff8,0x3fe205ff,
    0x8fffd42f,0xa804fffc,0xf7004fff,0x3fffa0ff,0x3ffa0002,0x0fffd44f,
    0x0007ffe8,0xffab7ffc,0x29fff01f,0x40007ffe,0x3fe66fff,0xfd0000ff,
    0x3fff43ff,0x1bffe000,0xe807ffd4,0x7c0007ff,0xfffa86ff,0x03fff400,
    0x01bffe00,0x103ffec0,0x7c003fff,0x7ffdc5ff,0x7fcc0005,0xffe800ff,
    0x2fffc806,0x07ffe200,0xfd5fff80,0xddddddff,0xdddddddd,0x1fffc8bd,
    0x64003fe8,0xff700fff,0x0bfff01f,0x5fff8800,0x00fffc80,0xfa81fff7,
    0x4fffc9ff,0x03fff500,0x707ffe20,0x8000bfff,0x2a0ffff9,0xffd01fff,
    0xfff8000f,0x203fff56,0xfffd4fff,0x6fff8000,0x000ffff2,0x3a5fffa8,
    0x7c0007ff,0xfff506ff,0x01fffa01,0x50dfff00,0xfe801fff,0x7fc0007f,
    0xffb0006f,0x07ffd40f,0xf8bffd00,0x80000fff,0x4c02fffc,0xf9803fff,
    0x3ea005ff,0x3fa000ff,0x00fffd5f,0x87ffd800,0x4c000ff8,0xffd03fff,
    0x017ffe09,0x0bfff100,0x207fff30,0xffa84ffe,0x04ffffdf,0x001fff50,
    0x3fe17ffc,0xc80000ff,0x3fea2fff,0x0fffd01f,0x56fff800,0x3fe03fff,
    0x00fffd4f,0x3e6fff80,0x40000fff,0x3ffa1bce,0x7ffc0007,0x01fff506,
    0x0001fffa,0xff50dfff,0x7ffe801f,0x37ffc000,0x07ffd800,0xb001ffee,
    0x7ffccbff,0xff300004,0xfffc80bf,0xeeeeeeee,0x00ffffee,0x800fff70,
    0xfffd5ffd,0xffd80000,0x0006fb86,0xff30dffd,0x17ffe03f,0xbfff1000,
    0x21bffa00,0xfa81fff9,0xffffffff,0x07ffa801,0xf327ffc0,0x200009ff,
    0x3ea5fff9,0xfffb01ff,0x6fff8000,0x3e03fff5,0x0fffd4ff,0x56fff800,
    0x0000bfff,0x003fff40,0x541bffe0,0xffd00fff,0xfff8000f,0x00fffa86,
    0x0003fff4,0x4001bffe,0x3f207ffd,0x7fe4007f,0x00fffea5,0x07fff800,
    0x7ffffffc,0xffffffff,0xf9004fff,0xffc800ff,0x000fffd5,0xd85ffe80,
    0xff70004f,0x06ffc81f,0x00017ffe,0x200bfff1,0x7e40fffb,0xffff506f,
    0x00dfff9f,0xe800dff5,0x3ffea5ff,0x3fe00003,0x07ffea7f,0x0007ffe4,
    0xf55fff88,0x3ffe03ff,0x000fffd4,0xff96fff8,0x4000009f,0x40007ffe,
    0xff506fff,0x1fffa01f,0x0dfff000,0xe801fff5,0x7c0007ff,0xfb0006ff,
    0x7ffdc0ff,0x97ff6000,0x0002fffb,0x407fff60,0xfffffffa,0xffffffff,
    0xf7007fff,0x7ec001ff,0x00fffd5f,0x86ffe800,0xf10001ff,0x4ffe87ff,
    0x0017ffe0,0x00bfff10,0xfd0fffe2,0x3ffea09f,0x09fff73f,0x4007ffa8,
    0x3fee4fff,0x3600002f,0xfff51fff,0x03fff203,0xafffcc00,0xff01fffa,
    0x01fffa9f,0x36dfff00,0x00002fff,0x001fffa0,0x2a0dfff0,0xffd00fff,
    0xfff8000f,0x00fffa86,0x0003fff4,0x4001bffe,0x3ea07ffd,0x3fa001ff,
    0x07fff25f,0xfffc8000,0x33fffb01,0x33333333,0x05fffb33,0x003fff50,
    0xffeafff4,0x7ec00007,0x003fd47f,0xf99bff60,0x3ffe00ff,0x7fc40005,
    0x3ff6005f,0x403ffe66,0x7f43fffa,0x3fea01ff,0x17ffc007,0x0003fff9,
    0xa8fffe40,0xff701fff,0x3ea0003f,0x3fff54ff,0x7f53ffe0,0x7fc0007f,
    0x03fffb6f,0x7ff40000,0x7ffc0007,0x01fff506,0x0001fffa,0xff50dfff,
    0x7ffe801f,0x37ffc000,0x07ffd800,0x800bffe6,0x3ffa5fff,0x2e00000f,
    0xff882fff,0xffa8005f,0xfff9805f,0x57ffe002,0x00007ffe,0xf907ffe4,
    0x8057910b,0xff91fffa,0x05fff80d,0x2fffc400,0x23fff500,0x3ea06ffc,
    0x7ffcc1ff,0x03ffea06,0xd07ffc40,0x00001fff,0xfa97ffdc,0xfff501ff,
    0x3fee0007,0x03fff52f,0x7ff53ffe,0x7ffc0007,0x001fffd6,0x3fff4000,
    0x1bffe000,0xe807ffd4,0x7c0007ff,0xfffa86ff,0x03fff400,0x01bffe00,
    0x103ffec0,0x2a00bfff,0x3ffe5fff,0x7dc00007,0xfffb83ff,0xfffd0002,
    0x5fff8801,0x2bfff500,0x00007ffe,0xfd17ffd4,0x01fff707,0xffd3fff8,
    0x05fff807,0x2fffc400,0x74fffe00,0x3fea03ff,0x4fffc81f,0x005fff50,
    0xfff1ffee,0xfb80000f,0x3fff53ff,0x01bffe60,0xa8ffffc0,0xfff01fff,
    0x001fffa9,0x3fedfff0,0x4000007f,0x40007ffe,0xff506fff,0x1fffa01f,
    0x0dfff000,0xe801fff5,0x7c0007ff,0xfb0006ff,0xfffc80ff,0x5fffe801,
    0x0001fffe,0xd05fff70,0x64000fff,0xfc804fff,0xffe801ff,0x00fffd5f,
    0x2bfff000,0xffe80ff8,0x8effc805,0x7fc00fff,0x7c40005f,0x7e4005ff,
    0x00fff8ef,0x7407ffea,0xffa81fff,0xbfff006f,0x0007fff8,0xa97ffdc0,
    0x3f601fff,0x7dc004ff,0x3ffea6ff,0x3a9fff01,0x7c0007ff,0x0fffd6ff,
    0xffe80000,0x7ffc0007,0x01fff506,0x0001fffa,0xff50dfff,0x7ffe801f,
    0x37ffc000,0x07ffd800,0x0077ffc4,0x74bffff9,0x00000fff,0xf30bfff2,
    0x440009ff,0xf8807fff,0x3f200eff,0xfffd5fff,0xff900000,0xf70df77f,
    0xff1005ff,0xf00bff9f,0x88000bff,0x44005fff,0x05ffcfff,0x980fffd4,
    0x7d40efff,0x7dc03fff,0x7fff42ff,0x3f200000,0x3fff52ff,0x27fffcc0,
    0x2ffffa80,0x7c07ffea,0x0fffd4ff,0xb6fff800,0x00001fff,0x003fff40,
    0x541bffe0,0xffd00fff,0xfff8000f,0x00fffa86,0x0003ffec,0x4001bffe,
    0xfb807ffd,0xd510bfff,0x6cbfffff,0x00001fff,0xf907fffa,0xd80003ff,
    0xfb802fff,0xd510bfff,0x3abfffff,0xaaaaafff,0xaaaaaaaa,0x3e21aaaa,
    0x544fefff,0x3a006fff,0x802fffff,0xaaaaefff,0xaaaaaaaa,0x0bfff12a,
    0xfffffd00,0x1fffa805,0x513fff20,0x209fffff,0xfd86fffc,0x200001ff,
    0xff51fffe,0xfffe803f,0x5310acef,0xa8dffffd,0xfff01fff,0x001fff69,
    0x3f6dfff0,0x000000ff,0x0001fff6,0x3ea0dfff,0xfffb00ff,0x6fff8000,
    0x400fffa8,0x20007ffd,0x0005fff8,0x3200fffb,0xffffffff,0x25fffdff,
    0x0002fffc,0xf03fffe0,0x50000dff,0x3200bfff,0xffffffff,0xd5fffdff,
    0xffffffff,0xffffffff,0xfa8bffff,0xdbacffff,0x2000ffff,0x007ffffb,
    0xffffffff,0xffffffff,0x17ffe2ff,0x3fffee00,0x1fffa807,0x87fffe20,
    0xeffffffa,0xffffedbc,0x02fffc80,0x3fffe000,0x803fff50,0xffffffe9,
    0xffffffff,0x7ffd40ef,0x369fff01,0x220007ff,0xfff95fff,0x6c000005,
    0x220007ff,0xff505fff,0x1fff601f,0x5fff8800,0x400fffa8,0x0000fffc,
    0x000bfff3,0xa801fff6,0xffffffff,0x7d49ffd3,0x100004ff,0xffa8dfff,
    0xff00003f,0x3ea003ff,0x3fffffff,0x3ffa9ffd,0xffffffff,0xffffffff,
    0xfffa85ff,0xefffffff,0x7ffc4001,0xffff004f,0xffffffff,0x22ffffff,
    0x88005fff,0xa804ffff,0x7d401fff,0xfff50eff,0xffffffd5,0x3ea01dff,
    0x100004ff,0x7fd4dfff,0xfff9001f,0xffffffff,0xff501bff,0x53ffe03f,
    0x0000fffc,0x3e6bfff3,0xb80004ff,0xfff90ace,0x3fe60001,0x1fff505f,
    0x003fff20,0x42fffcc0,0x6400fffa,0x50001fff,0x2ea29fff,0x07ffe802,
    0x6ff65440,0xf13ffe1b,0x00001fff,0xfd87fff9,0x900000ff,0x44009fff,
    0x21bdfeca,0xfffd4fff,0xffffffff,0xffffffff,0x3ffa20bf,0x003fffff,
    0x007fff60,0x7ffffffc,0xffffffff,0xbfff17ff,0x3fff6000,0x1fffa801,
    0x54fffd80,0x3ff21fff,0xf802cfff,0x80000fff,0x3ea3fffc,0x326001ff,
    0xfffffffe,0x3fea01cf,0x29fff01f,0x0001fffc,0x7fc9fff5,0xfe80006f,
    0x3fff91ff,0x3ffea000,0x01fff504,0x0007fff2,0x5427ffd4,0x7d400fff,
    0xf70003ff,0x17ff65ff,0x001bffe0,0x21fffc00,0x0004fffc,0x007fffcc,
    0x6fc80000,0x3fe00000,0x3ea0003f,0xacff8007,0xc80001ab,0x000006ff,
    0x001ff300,0x0037fe40,0x7fd40000,0x000d4c0f,0x0013fff2,0x41ffff30,
    0x440007fa,0x0009cff9,0xaa7ffc00,0x70003fff,0x7fe45fff,0x3e60002f,
    0x3ffea6ff,0xfff70003,0x03ffea05,0x001fffd4,0x002fffb8,0x06fff880,
    0x21ffff00,0xff806ffc,0x4000c06f,0x7c42fff8,0x20001fff,0x0005fffe,
    0x013f6000,0x3fe20006,0x3ee0002f,0x07fcc006,0x7ffc0000,0xff100002,
    0x3fd405bf,0x0bffe000,0x3ffe2000,0x3ffea02d,0xff100000,0x740003ff,
    0x2fe45fff,0x01ff8000,0x7fff0000,0x001bffe2,0xf307fffc,0x6c000fff,
    0x3fe22fff,0xfff0006f,0x3ffea01f,0x0dfff100,0x03fffe00,0x200b7ffe,
    0x4004fffe,0x3ee6fffb,0x3fe600ff,0x1f7f404f,0x80fffc80,0x001efffb,
    0x00ffffc8,0x3fa00000,0x03efe802,0x001fff90,0x20027ec0,0x800006fc,
    0x00007ffa,0x0bffffe2,0x50002fdc,0x20000fff,0x02fffff8,0x0001fff5,
    0x0f7ffdc0,0x7fffe400,0x0001ff40,0x00007fc4,0x3a3fff80,0x5c004fff,
    0xffc86fff,0xffc8005f,0x4fffe87f,0x37ffdc00,0xe80fff70,0x5c004fff,
    0xfff06fff,0xffb807ff,0xff5003ff,0x7ffd45ff,0x0bfffa04,0x801fffb0,
    0x3a06fff9,0x1003ffff,0x005ffffd,0x7fc40000,0x0fffd804,0x037ffcc0,
    0x0017fa00,0x000007fd,0x00009ffd,0x20dff930,0x3a0007fd,0x400004ff,
    0xf506ffc9,0x800001ff,0x003ffffe,0x05ffffd1,0x50000bff,0x000005ff,
    0x7dc5fff1,0xf5003fff,0xff105fff,0x32001dff,0xfb82ffff,0xf5003fff,
    0x7dc05fff,0x7ffdc07f,0xfff5003f,0x7fdc405f,0xffffe807,0xd5310ace,
    0xfd0dffff,0x36a219ff,0x5c00ffff,0xd301dfff,0x74405fff,0x41adffff,
    0xfffffba8,0x80000004,0x70440fff,0x2603bfff,0x0002fffe,0x88007ff4,
    0x040001ff,0x001fffb3,0x3ffe6000,0x802ffd81,0x03fff660,0x3fe60000,
    0x0fffa81f,0x7f440000,0x441adfff,0x4fffffba,0x0001ffd0,0x0005ffa8,
    0x41fffb80,0xaceffffe,0xfffd5310,0x7ffd40df,0xfa881cff,0x3a03ffff,
    0x0aceffff,0xffffd531,0x37ff440d,0x77ffff40,0xfd5310ac,0xf100dfff,
    0xfe8805ff,0xffffffff,0x0effffff,0xffffffa8,0x03ffffff,0x9fffffb0,
    0xbffffb97,0x3ffff600,0xffffefff,0x0002ffff,0xfffd0000,0xfd87fd7b,
    0xdcbcffff,0x0005ffff,0xcacfffd8,0x007fb84e,0xfffffe80,0x2600003f,
    0x0fffeb99,0xbacfffb8,0x7ffff46e,0x300003ff,0x0fffd733,0x0003ffea,
    0x7fffec00,0xffffefff,0x2e02ffff,0x4ecacfff,0x3bffe200,0x4001fdba,
    0x87fffedd,0xffffffe8,0xffffffff,0x7fcc00ef,0xfeefffff,0x04ffffff,
    0x7fffff44,0xffffffff,0x6f4c0eff,0x8803ffff,0xfffffffe,0xffffffff,
    0xea99880e,0xd8801fff,0xffffffff,0x405fffff,0xfffffffc,0x22004fff,
    0xfffffffe,0x4004ffff,0xfffffffb,0x0effffff,0x20000000,0xfffffff9,
    0x7ffff443,0x4fffffff,0xfff30000,0xfb09ffff,0xffb00009,0x0000bfff,
    0xfffffff8,0xfffff103,0xfffd8dff,0x200005ff,0x3fffffff,0x001fff50,
    0x7ffdc000,0xffffffff,0x7c400eff,0x04ffffff,0x7ffffec0,0x3e2001ff,
    0x103fffff,0xfffffffb,0x0bffffff,0x7ffff4c0,0xffffffff,0xffb1002e,
    0xffffffff,0x3ee0bfff,0x000fffff,0xffffffb1,0xbfffffff,0x7fffff40,
    0x7e4c004f,0xffffffff,0xffd3001c,0x0039dfff,0x3ffffaa0,0x0001dfff,
    0x3fffffaa,0x0001cfff,0xfd500000,0x75405bff,0xdfffffff,0x7d400001,
    0xb81cffff,0xfc80002e,0x00005fff,0x77ffffc4,0x7ffe4c02,0x7ffe41be,
    0x2200005f,0x02efffff,0x0003ffea,0x3ffaa000,0x1cffffff,0x3fffea00,
    0xeb8000bd,0x4002cfff,0x03fffff9,0xfffffc98,0x001cffff,0xfffff930,
    0x0007dfff,0x3fffff26,0x201cffff,0x01effffd,0xffffc980,0x01cfffff,
    0x177ffffc,0x2aa66000,0x2200019a,0x00000aa9,0x026aaa62,0xaa988000,
    0x0000019a,0x00220000,0x13555310,0x4c400000,0x0000001a,0x00000d4c,
    0x00033310,0x03530026,0x26620000,0x00000001,0xaaa98800,0x0cc00019,
    0x00330000,0x00d54c40,0x9aaa9980,0x4cc00001,0x00001aaa,0x0cd554cc,
    0x01aa9880,0x55533000,0x4cc40033,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4eee8000,0xdddd3000,0x99988009,0x76400009,0xeeeeeeee,
    0xacceeeee,0xeeee9800,0xddd12eee,0x0007dddd,0x00026662,0x01998800,
    0x00f776c0,0x009ddb00,0x00333310,0x776e54c0,0xeeeeeeee,0xddd304ee,
    0x19998801,0x20000000,0x00000999,0x88177440,0x440001ee,0x0003ffff,
    0x40033331,0x059900a8,0xffff8800,0x2a800002,0x99980000,0x44000009,
    0x3e60effe,0x980004ff,0x7fc00099,0xff98005f,0xe8000eff,0x40004fff,
    0xfffffffe,0xffffffff,0x2600cfff,0x3fffffff,0xfffffff3,0x3ff60009,
    0x800000ef,0x005ffff8,0x001bfffe,0x8005ffe8,0x8003ffff,0xffffffe9,
    0xffffffff,0xfff505ff,0xffff8801,0x80000002,0x001ffffb,0x837f4000,
    0xe80007fd,0x001fffff,0x804fffe8,0x0bdfffc8,0x80005ff5,0x01fffffe,
    0x007fc000,0x3fff6000,0xf9800006,0x1bffa4ff,0x3fff2000,0x3ffe000f,
    0x7ffcc005,0x3e20005f,0x20000fff,0xfffffffe,0xffffffff,0x300effff,
    0x7fffffff,0x3fffffe6,0xffc8004f,0x00005fff,0x3fffffd8,0x7fffff00,
    0x17ffa000,0x09fff700,0xfffff900,0xffffffff,0x20bfffff,0x9800fffa,
    0x00006fff,0x7fffcc00,0x000000ef,0x2a6f7fee,0x40004ffd,0xfffcfffc,
    0x3ffea000,0xffffd005,0x1fffdfff,0x7ffe4000,0x0000effc,0x5effedcc,
    0x3fa00001,0x800002ff,0xffcafffb,0x7d40000f,0x000effff,0x4c00bfff,
    0x0005ffff,0x004fff98,0x2abfffa0,0xaaaaaaaa,0x6fffffcb,0x003fff30,
    0x20027ffc,0xfffbfffa,0x3ee00003,0x02fffaff,0x1ffffff8,0x05ffe800,
    0x0037ff40,0x7fffffd4,0xdcccdfff,0x503ccfff,0x2e001fff,0x00002fff,
    0xb9fff100,0x00000bff,0xffffffd8,0x2a0000ef,0xdffd2fff,0x077ff400,
    0x5ceffd40,0x04fffffe,0x4bffee00,0x50005ffe,0xfffffffd,0x100003df,
    0x0000bfff,0x3fffff60,0x7c40001f,0x05ffdcff,0x200bfff0,0x005ffff9,
    0x03ffea00,0x03fff400,0x7fffdc40,0x01fff981,0x8013ffe0,0xff55fff8,
    0xf500005f,0x3fff27ff,0x7ffffc00,0xffe8006f,0x3ffea005,0x7ffc4000,
    0x1fffffff,0x4403ffd4,0x7e400199,0x0000006f,0xff11fffd,0x8000009f,
    0x0cfffffb,0x3ffe6000,0x013ffe65,0x4007ffea,0x764c0ffb,0x3e60001c,
    0x3ffe65ff,0x7ffdc004,0xffffffff,0xf980002f,0x800001ff,0x03ffffe8,
    0x16ffe800,0xff007fff,0xfff300bf,0x900000bf,0x3a0009ff,0x320007ff,
    0xff983fff,0x3ffe001f,0x3fffa004,0x003fff60,0x46fff880,0x7fc06ffe,
    0x003fffff,0xd002fff4,0xf70005ff,0xffffffff,0x07ffa83f,0xffd80000,
    0x64000002,0x3fee2fff,0x8000002f,0x70000198,0xcca81999,0x17fec00c,
    0x00000000,0x2e06665c,0xf3000ccc,0x7ff5dfff,0x003ffffd,0x00bff500,
    0x33326000,0xffc80003,0x0bffee1f,0x980bfff0,0x0005ffff,0x000aaa00,
    0x0003fff4,0x3e617ffe,0x3fe001ff,0x5551004f,0x01aaa883,0x02aaa600,
    0x7c035553,0x1ffffeff,0x017ffa00,0x80015544,0xfffffffc,0x7fd41fff,
    0x88000007,0x000001aa,0x55415554,0x0000002a,0x33000000,0x00aaa000,
    0x00000000,0x10001998,0x7fc7ffff,0x00dfff70,0x000aaa00,0x00033000,
    0x50555510,0xfff80555,0x3fffe605,0x22000004,0xfd000099,0xfe8000ff,
    0x7ffcc0ff,0x13ffe001,0x00998800,0x00000000,0xfff7bfff,0x2fff400d,
    0x4000cc00,0xfffffffe,0x7fd41fff,0x00000007,0x00000000,0xbdd90000,
    0x4eed8000,0x7ff65cc0,0x002bdeff,0x00bdd900,0x004eed80,0xffffffb5,
    0x3ea005bf,0xd07fc3ff,0x00003fff,0x2e600000,0xdeffffec,0x0000002b,
    0x982fffc0,0x0004ffff,0x7ffee540,0x000befff,0x8000fffd,0x7cc0fffe,
    0x3fe001ff,0x372a004f,0xbeffffff,0x0bdd9000,0xf4eed800,0x3fffabff,
    0x0bffd003,0xfffecb98,0x7c02bdef,0xffffffff,0x3ffd41ff,0xc87774c0,
    0x6c0005ee,0x5ddd54ee,0xeeee9800,0x7774c002,0x000fffd2,0x9106fff8,
    0xffffffff,0x403dffff,0xfe83eee9,0x7fc0007f,0x7ff5c06f,0xffffffff,
    0x7fe402ef,0xf507fc0f,0x220007ff,0x0001eeee,0xfffffc88,0xefffffff,
    0xddddd901,0xdddddddd,0x8ddddddd,0xff985fff,0x200004ff,0xffffffe8,
    0x0cffffff,0x003fff40,0x30ffff10,0x7c003fff,0xfe8804ff,0xffffffff,
    0x7400cfff,0x7c0007ff,0x2bfff6ff,0x801ffff9,0xf9105ffe,0xffffffff,
    0x3a03dfff,0xffffffff,0x3ffd41ff,0xe87ffd40,0x7c0007ff,0xbfff16ff,
    0xffffc800,0x7ffe4005,0x000fffd1,0xe886fff8,0xffffffff,0x2fffffff,
    0xd09fff30,0xf8000fff,0xffb106ff,0xffffffff,0x407fffff,0x0ff85ffe,
    0x8000de6c,0x004ffffb,0x7ffff440,0xffffffff,0xffe82fff,0xffffffff,
    0xffffffff,0x22fffc7f,0x004ffff9,0x3fffee00,0xffffffff,0x3a01efff,
    0x2e0007ff,0xff985fff,0x3ffe001f,0x7fffdc04,0xffffffff,0x3a01efff,
    0x7c0007ff,0x4bfff6ff,0xe806fffb,0xffe885ff,0xffffffff,0xc82fffff,
    0xffffffff,0x3ffd41ff,0xe87ffd40,0x7c0007ff,0x1fffa6ff,0xfffffd00,
    0x27ffe800,0x40007ffe,0xffd86fff,0x5309adff,0x03fffff9,0xfd09fff3,
    0xff8000ff,0xfffe886f,0x7dcc1aef,0xfd02ffff,0x001ff0bf,0xffffd000,
    0x7ec0001f,0x309adfff,0x3fffff95,0xffffffe8,0xffffffff,0x7c7fffff,
    0x3ffe65ff,0xb100003f,0x159dffff,0x7fffed4c,0x0fffd02f,0x3ffff200,
    0x01fff982,0x4413ffe0,0xaceffffd,0x3fff6a60,0xfffd02ff,0x6fff8000,
    0xffe8bfff,0x2fff404f,0x56ffffec,0xfff95309,0xfffa83ff,0x1fffffff,
    0x5403ffd4,0xfffd0fff,0x6fff8000,0x4003fff2,0x2ffffff8,0x49fff100,
    0x40007ffe,0x7fc46fff,0xfd8800ef,0xfff985ff,0x007ffe84,0x7437ffc0,
    0x9001efff,0xf905ffff,0x00ff81ff,0x77fcc000,0x10003ffe,0x1001dfff,
    0xfe8bfffb,0xccccccff,0xcccccccc,0xafffc4cc,0x04fffff9,0xffff9000,
    0x3ffa6009,0xfffe81ff,0x99999999,0xfffeca99,0x3fff305f,0x827ffc00,
    0x004ffffc,0x03ffffd3,0x8000fffd,0xbfff6fff,0x01ffff98,0xff117ffa,
    0xfb1001df,0xfffd0bff,0x83ffffff,0xfa807ffa,0x0fffd0ff,0x26fff800,
    0x5002fffa,0x09ffbbff,0xe8bffea0,0x7c0007ff,0x7ffdc6ff,0x3ffa2001,
    0x84fff987,0x40007ffe,0x7fdc6fff,0x7e4000ef,0xfffa86ff,0x00007fc2,
    0x3f33ff20,0xff70006f,0x7f44003f,0x03fff47f,0x6fffc000,0xfffffff9,
    0x7fcc0002,0xfd8001ef,0xfffe86ff,0xffffffff,0xffffffff,0x3fff300d,
    0x427ffc00,0x001efff9,0xe86fffd8,0x7c0007ff,0x0bfff6ff,0x740dfff7,
    0x7ffdc5ff,0x3ffa2001,0xfffff987,0x7d41ffff,0xfffa807f,0x000fffd0,
    0x3e26fff8,0xffb004ff,0x200dff77,0x3fa0fffc,0x7fc0007f,0x02ffec6f,
    0x217ffd40,0xfe84fff9,0x7fc0007f,0x3fffe66f,0xfffd0000,0x1ffff983,
    0x000003fe,0xfff35fff,0xbffb0003,0x5fff5000,0x0003fff4,0x7fffffc0,
    0x0ffffdff,0x3fffa000,0x3ffa0002,0x7ffff44f,0xffffffff,0x02ffffff,
    0x000fffcc,0xffd09fff,0x7f40005f,0x3fff44ff,0x5bffe000,0xffd05fff,
    0x17ffa09f,0x5000bffb,0xfd505fff,0x83ffffff,0xfa807ffa,0x0fffd0ff,
    0x46fff800,0xff006ffe,0x01fff33f,0xfe8dffd0,0x7fc0007f,0x02fffc6f,
    0x4c4fff80,0xffe84fff,0x7ffc0007,0x00ffff26,0x85fffa80,0xf9dffffc,
    0x2a00000f,0xbfff0fff,0x0bfff000,0xe93ffe00,0x800007ff,0x2fffffff,
    0x000dfffb,0x0017ffee,0x41ffff30,0xfffffffe,0xdfffffff,0xfff3001b,
    0x27ffc003,0x0017ffee,0x41ffff30,0x40007ffe,0xbfff6fff,0x07fffe60,
    0xfff17ffa,0x3ffe000b,0xffff9104,0x7ffa83ff,0xd0fffa80,0xf8000fff,
    0x7ffe46ff,0xf3ffcc00,0xff8807ff,0x03fff44f,0xd1bffe00,0x70001fff,
    0xfff98555,0x007ffe84,0xff37ffc0,0xe80001ff,0xfff901bc,0x0037ffff,
    0xc97ff600,0x74000fff,0xb8000fff,0x1fffa2aa,0x3ffe0000,0x3fe22fff,
    0xff8004ff,0xc80000ff,0x3ffa2fff,0xa999999f,0x001efffd,0x8007ffe6,
    0x7ffc4fff,0xfc80000f,0x1fffa2ff,0x2dfff000,0x3ee05fff,0x5ffe86ff,
    0x0007fff4,0x4401555c,0x7d41fffa,0xfffa807f,0x000fffd0,0x7cc6fff8,
    0x7fdc02ff,0x3017ff65,0xffe83fff,0x7ffc0007,0x01fffe46,0x3ffe6000,
    0x007ffe84,0xfab7ffc0,0x000005ff,0x3ffffee0,0x000cffff,0x4c7fff10,
    0x64003fff,0x00003fff,0x0001fffa,0x0bffffe0,0x007fffea,0x004fff98,
    0x4bfff300,0xfa807ffe,0xf3003fff,0x7fc003ff,0x13ffe64f,0x7ffcc000,
    0x001fffa5,0x3fedfff0,0x7fff405f,0x322fff44,0x00003fff,0x507ffe00,
    0xff500fff,0x01fffa1f,0xf0dfff00,0xffe807ff,0x701ffea3,0xfffd0fff,
    0x6fff8000,0x067fffcc,0xfff98000,0x007ffe84,0xfcb7ffc0,0x000004ff,
    0xffffda80,0x8002ffff,0x7f40fffb,0x7fcc006f,0x80000cff,0x00007ffe,
    0x202ffff8,0x000ffffc,0x0007fff5,0xfd3fffc0,0x3fea00ff,0xff9802ff,
    0x3ffe001f,0x00fffea4,0x27fff800,0x40007ffe,0xbfff6fff,0x1ffff980,
    0xff317ffa,0x000019ff,0xa83fff00,0xffa807ff,0x00fffd0f,0xd86fff80,
    0x3fe205ff,0x07ffe20f,0xfe85ffd8,0x7fc0007f,0xffffd86f,0x20001bef,
    0xfe84fff9,0x7fc0007f,0x05fffb6f,0x44000000,0xffffffff,0x2fff4003,
    0x000fffdc,0x3bfffff6,0xffd0001b,0xff00000f,0xfffd00bf,0x3ffee00b,
    0x3f600002,0x0fffd1ff,0x0ffffdc0,0x007ffe60,0x3ee4fff8,0x200002ff,
    0xffd1fffd,0xfff8000f,0x700bfff6,0x7ff4dfff,0xfffffd85,0x000001be,
    0xffa83fff,0x0fffa807,0x8000fffd,0xffb86fff,0x21bfea07,0x3fe03ffe,
    0x07ffe83f,0x837ffc00,0xfffffffc,0x26001bdf,0xffe84fff,0x7ffc0007,
    0x003fffb6,0xff800000,0x0ffffea8,0x05fff300,0x000bfff1,0xfffffff9,
    0x3a0037bf,0x800007ff,0xf9805fff,0xfc803fff,0x200001ff,0xffd1fffc,
    0xfffd800f,0x3ffe600e,0x93ffe001,0x0001fffc,0x747fff20,0x7c0007ff,
    0x0bfff6ff,0x753fffa0,0xfff905ff,0x37bfffff,0x3ffe0000,0x403ffd41,
    0xffd0fffa,0xfff8000f,0x01fff986,0xff909ff9,0x07ffe60d,0x0001fffa,
    0x7dc0dfff,0xffffffff,0x7cc01cff,0x7ffe84ff,0xb7ffc000,0x0000fffe,
    0x07fc0000,0x200bfff9,0x3f607ffd,0xfb8000ff,0xffffffff,0x3fa01cff,
    0xccccccff,0xcccccccc,0x05fff84c,0x03ffff70,0x000fffe8,0x4bffee00,
    0x44007ffe,0x2605ffff,0x3e001fff,0x3fffa4ff,0x3ee00000,0x0fffd2ff,
    0xf6fff800,0x3e600bff,0x5ffe9fff,0x3ffffee0,0x1cffffff,0x07ffe000,
    0xf500fff5,0x1fffa1ff,0x0dfff000,0x7f40fffe,0x0fffa82f,0xfd06ffb8,
    0xff8000ff,0x7f5c406f,0xffffffff,0xfff301df,0x00fffd09,0xff6fff80,
    0x000000ff,0xfe81ff00,0x7fc400ff,0x3ffea04f,0xfd710003,0xffffffff,
    0xfffd03bf,0xffffffff,0xffffffff,0x400bfff0,0x200efffe,0x00007fff,
    0xfe9fffdc,0xffa8007f,0xfff302ff,0x27ffc003,0x0000ffff,0xfd3fffb8,
    0xff8000ff,0x00bfff6f,0x7f77ffdc,0x7f5c405f,0xffffffff,0xff8001df,
    0x03ffd41f,0xfe87ffd4,0x7fc0007f,0x0bffb06f,0x3e01fff3,0x4ffd82ff,
    0x000fffd0,0x2006fff8,0xfffffda8,0xf982ffff,0x7ffe84ff,0xb7ffc000,
    0x00007ffe,0x40ff8000,0x5c01fffc,0x7fc01fff,0xa880006f,0xfffffffd,
    0x7fff42ff,0xffffffff,0x7fffffff,0x2005fff8,0x205ffff8,0x00007fff,
    0xfe97ffdc,0xffb0007f,0xfff301ff,0x27ffc003,0x0000ffff,0xfd2fffb8,
    0xff8000ff,0x00bfff6f,0xffffffe8,0x3f6a2005,0xffffffff,0x0fffc002,
    0x2a01ffea,0xfffd0fff,0x6fff8000,0xf70fff70,0x2ffec0bf,0xfe817ffc,
    0x7fc0007f,0x2e20006f,0x1ffffffd,0x7427ffcc,0x7c0007ff,0x1fffb6ff,
    0xa9800000,0xf981ff04,0x7ff403ff,0x2fffc806,0x6dc40000,0x21ffffff,
    0xeeeefffe,0xeeeeeeee,0xfff85eee,0x7ffd4005,0x1fffd02f,0x7fe40000,
    0x00fffd2f,0x17fffe20,0x8007ffe6,0x3ffa4fff,0x3200000f,0xfffd2fff,
    0x6fff8000,0x9800bfff,0x05ffffff,0x3ff6e200,0x2001ffff,0x7fd41fff,
    0x0fffa807,0x8000fffd,0xff306fff,0x03ffd81f,0xff31bfee,0x1fff601f,
    0x0dfff000,0x7ffe4000,0x27ffcc5f,0x0003ffec,0x7fedbffe,0x2000000f,
    0xff81fffa,0x017ffcc0,0x3007fff3,0x0000bfff,0x5ffffc80,0x0001fffa,
    0x0017ffe0,0x203ffff6,0x0001fffd,0x747fffa0,0x2e0007ff,0x7cc2ffff,
    0x3fe001ff,0x07fff64f,0xfffe8000,0x000fffb1,0xfff6fff8,0xfff7000b,
    0x40000bff,0x005ffffc,0xff507ffe,0x1fff500f,0x0001fff6,0x7fc0dfff,
    0x00fffc2f,0x7dc1fff3,0x1fff606f,0x5fff8800,0x7f4c0000,0x3ffe60ff,
    0x007ffd84,0x657ffe20,0x00002fff,0x20fffe20,0x7ffd40ff,0x3bfff201,
    0xeeeeeeee,0x000ffffe,0x7ff4c000,0x00fffd0f,0x0bfff000,0xdffff100,
    0x005fff90,0x87fffc00,0x40007ffe,0x7cc6fffe,0x3fe001ff,0x0bfff24f,
    0xffff8000,0x000fffb0,0xffafffc4,0xffd0005f,0x80000bff,0x000fffe9,
    0xffa83fff,0x0fffa807,0x4000fffb,0x3205fff8,0x1ffe64ff,0xfd8bffe0,
    0x3fff203f,0xfff30000,0x000dd54b,0x4c5fff70,0xffc84fff,0xff30000f,
    0x13ffe6bf,0x2b3ae000,0x3e1bffa0,0x03ffec0f,0x3ffffffe,0xffffffff,
    0x2aa04fff,0x3ee0001b,0x0fffd2ff,0xbfff0000,0x3ffe6000,0x27ffd44f,
    0xfff88000,0x001fffa6,0x49ffff30,0x2001fff9,0x3fea4fff,0xf100004f,
    0x7ffe4dff,0xfff30000,0x0017ffeb,0x52ffffcc,0x5c000375,0xff002fff,
    0x07ffa83f,0xf90fffa8,0x260001ff,0x3ea05fff,0x017ff26f,0xfff8fff6,
    0x07fff201,0xa7ffd400,0x0005fff8,0xf993ffe2,0xfffc84ff,0xfff50001,
    0x0037ffc9,0x70ffff40,0x0ff87fff,0xa817ffe6,0xffffffff,0xffffffff,
    0xfff107ff,0x7fc4000b,0x00fffd4f,0x0bfff000,0x7fffe400,0x007fffc2,
    0x1fffe400,0x0000fffd,0x263ffff7,0x3e001fff,0x7fffc4ff,0xffc80000,
    0x07fff23f,0xa7ffd400,0x20005fff,0xff15fffc,0x7c4000bf,0xfff004ff,
    0x807ffa83,0xff90fffa,0x3ea0003f,0x3fe204ff,0x005ffd0f,0x3fe6bff5,
    0x1fffd407,0x2fffb800,0x0003fffa,0x3e64fff8,0xfffa84ff,0xfff70003,
    0x017ffe45,0x8dfff300,0x3e3ffff9,0x1ffff50f,0x4cfffec0,0x99999999,
    0x02fffd99,0x0001fffd,0xffea7ffc,0x00000007,0x7fe40000,0x7cc0004f,
    0x00000fff,0x3fff3000,0x227ffc00,0x0004fffc,0x507fffcc,0x20007fff,
    0x0002fffb,0x3fffa000,0x3ffe0000,0x83fff004,0xfa807ffa,0x7fff50ff,
    0x3ffee000,0x44fff402,0xf8800fff,0x80bff57f,0x0006fff8,0x7ec1ffff,
    0xf50002ff,0x7ffcc3ff,0x06fff884,0x41ffff00,0x0007fff9,0x2a0bfff6,
    0xffbeffff,0x03ffffec,0x0017ffe2,0x6c17ffea,0x50002fff,0x3ffa3fff,
    0x00000007,0x000fbff6,0x007fffe2,0x05fffe80,0x3bfff300,0x1fff9800,
    0x113ffe00,0x0003ffff,0x222ffff4,0xf0006fff,0x98001fff,0xb001dfff,
    0x20005fff,0xf001fffa,0x7ffa83ff,0x10fffa80,0x2000dfff,0x6400ffff,
    0x06ffabff,0x3f23ffa0,0xfffe803f,0x7ffdc004,0x17fffcc6,0x23ffec00,
    0xfd04fff9,0xfb8009ff,0xfffc86ff,0xfffc8005,0x3fffe607,0xffffffff,
    0x17ffdc02,0x0fffe800,0x02ffff98,0x3a7ffd80,0x000007ff,0x3ffff600,
    0xfffb8005,0xffc8001e,0xf30000ff,0x4003ffff,0x2001fff9,0xffb84fff,
    0xfc8001ef,0xffe80fff,0x7fdc004f,0xff98006f,0xf9801fff,0xd8002fff,
    0x3fe007ff,0x03ffd41f,0xfd07ffdc,0xfb8009ff,0xffa806ff,0x2004ffcd,
    0x0ffeaffc,0x3ffffb80,0x5ffff500,0x07ffffd0,0x13fff620,0x2e09fff3,
    0x5003ffff,0xf105ffff,0x2001dfff,0x402ffffc,0xffffffc9,0xfe800dff,
    0x3f20007f,0xfffd04ff,0x3f62007f,0x1fffa4ff,0x10000000,0x0001fff5,
    0x007ffffd,0x0bffffa2,0x3ff66000,0x3ffe6005,0x13ffe001,0x01fffff4,
    0x2ffffe88,0x07ffff70,0x0bfffea0,0x5ffd9800,0x7ffffd00,0x3fff6200,
    0x07ffe004,0xf700fff5,0xffffb8ff,0xffff5003,0xddff1005,0x7d4003ff,
    0x2006ffdf,0xaceffffe,0xfffd5310,0x3ffe20df,0x261aceff,0x1fffffba,
    0xd027ffcc,0x159dffff,0x3fffaa62,0x3ffea06f,0xfa881cff,0x4003ffff,
    0x001bffb9,0x0013ffe6,0x107fff88,0x59dfffff,0x7ffdd4c3,0x1fffa1ff,
    0x40000000,0x88004ffe,0x1adffffe,0x7fffdd44,0x2a00004f,0xf3000fff,
    0x7fc003ff,0xfffd104f,0xba8835bf,0x404fffff,0xaceffffe,0xfffd5310,
    0xf50000df,0xff1001ff,0x4359dfff,0xfffffba9,0x07ffe001,0xe880fff5,
    0xfffe86ff,0x5310acef,0x00dffffd,0x03fffff4,0x27ffffc0,0xffffd100,
    0xffffffff,0x4c01dfff,0xffffffff,0xffffffff,0x4fff981f,0x3ffffa20,
    0xffffffff,0x4c00efff,0xefffffff,0xfffffffe,0x03fe0004,0x03fff900,
    0x2fffd800,0xffffff30,0xffffffff,0xffe83fff,0xaaaaaaaf,0xaaaaaaaa,
    0x262001aa,0x02fffca9,0x3ffff600,0xffffefff,0x0002ffff,0x7ff5d4cc,
    0x3ffe6007,0xff33ffff,0x809fffff,0xfffffffd,0xfffffffe,0xffe8802f,
    0xffffffff,0x00efffff,0xfeba9980,0x3fe6007f,0xffffffff,0x1fffffff,
    0x20fffc00,0xde987ffa,0xe883ffff,0xffffffff,0xefffffff,0x3fff2000,
    0xffd8005f,0x6c4002ff,0xffffffff,0x005fffff,0xffffffb1,0xdfffffff,
    0x13ffe603,0xfffffb10,0xffffffff,0x7ff4c00b,0xffffffff,0x40002eff,
    0x7fc000ff,0xfa80006f,0x3f6205ff,0xffffffff,0xe81effff,0xffffffff,
    0xffffffff,0x2005ffff,0x5ffffffd,0xfffb8000,0xffffffff,0x40000eff,
    0xfffffff8,0x3ffe6002,0xff33ffff,0x009fffff,0xfffffff7,0x1dffffff,
    0x7ffec400,0xffffffff,0xf10005ff,0x05ffffff,0xffffd880,0xffffffff,
    0xff8001ef,0x43ffd41f,0x0ffffffb,0xfffffb10,0xffffffff,0xfff3000b,
    0xff70007f,0x260001ff,0xfffffffc,0x98001cff,0xffffffec,0x7cc02cef,
    0xf93004ff,0xffffffff,0x32600039,0xffffffff,0xff00003e,0x7ffd4001,
    0xfff00003,0xfec9803f,0xceffffff,0x3ffffa02,0xffffffff,0xffffffff,
    0x3fff6005,0x400003ff,0xffffffea,0x00001cff,0x3bfffff3,0xffff9800,
    0xfff33fff,0x4009ffff,0xffffffea,0x20001cff,0xffffffc9,0x0001cfff,
    0x37ffffe6,0x3b260001,0xefffffff,0x3fe0002c,0x43ffd41f,0x00effffd,
    0xfffffc98,0x001cffff,0x003fffe0,0x01bffe60,0x5554cc00,0x22000019,
    0x4001aaa9,0x8004fff9,0x019aaa99,0x554cc000,0x9800001a,0x7ffec001,
    0xff900000,0x54c4009f,0x3fa001aa,0xffffffff,0xffffffff,0x4c005fff,
    0x00000099,0x0cd554c4,0x99880000,0x00000001,0x55310000,0x00000335,
    0x03355533,0x0ccc4000,0x54c40000,0x000001aa,0x15531000,0x2aa66000,
    0x0000019a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddd00000,0x1000003d,0x00003333,0xc89fff50,0x00002fff,0x00004ccc,
    0x04cccc00,0x26000000,0xf9000009,0x002fec0d,0x00099988,0x04ccc400,
    0x4ccc4000,0x33000001,0x88000013,0x00001999,0xe98bddb0,0x220003ee,
    0x99988199,0x26620000,0x98800009,0x3a000019,0x00001eee,0x00026666,
    0x01999880,0x40795000,0x4ccc03cb,0x7fc00009,0x800002ff,0x0004fffd,
    0x25fff900,0x0003fff9,0x0ffffdc0,0xff500000,0x400001ff,0x7dc2cfea,
    0xf500001f,0x07ff505f,0x1bfffa00,0xfff88000,0xfd80002f,0x800005ff,
    0x001ffffa,0x3fffe600,0xf9800002,0x3bffa4ff,0x3fea0000,0x07ffec4f,
    0xdfffd000,0xfff98000,0xff00003f,0x200005ff,0x000efffb,0x1bfff200,
    0x0ffd4000,0x2e01ffcc,0x0000ffff,0x000bfffe,0x0dfff300,0xffd80000,
    0x005ffe8e,0x7fffd400,0x000000ef,0x0003fffd,0x7fffff40,0x007febdf,
    0x37ffa200,0x00fffdaa,0xfffffc80,0xff700005,0xf100009f,0x00001dff,
    0xffffff98,0x3ea00000,0x000006ff,0xff73fff7,0xf900003f,0x3ffee3ff,
    0x3ff20002,0x10005fff,0x03ffffff,0x5ffff000,0x3ffa0000,0x2200001f,
    0x0000ffff,0x117dff10,0x9003ffd7,0x40009fff,0x0002ffff,0x007ffec0,
    0x3fe20000,0x000effef,0x33ffe200,0x00005ffd,0x003fffa8,0x33bfee00,
    0x4fffffff,0x7fcc0000,0x02ffffff,0xfbfffa80,0xf80003ff,0x900006ff,
    0x00003fff,0xfcdffe88,0x5c00006f,0x00001fff,0xfffdffb0,0x7f400005,
    0x03fff8ef,0x2fffea00,0xd8003fff,0x0fffbeff,0x7fffc000,0xffa80002,
    0x6400002f,0x00001fff,0x7fffffd4,0x3f6003ff,0x990000ff,0x40000399,
    0x0002fff9,0xffff3000,0xe800001f,0xfff88eff,0x7ec00004,0x6c00005f,
    0x77fed47f,0x91000003,0x001bffff,0x2abfff10,0x20001fff,0x0000fffb,
    0x002fff88,0x8fffd800,0x0005fff8,0x002ffec0,0xfffe8800,0x4400004f,
    0x05ffffff,0x57ffe200,0x2001fffa,0xffd1fffc,0xccc8000d,0xfe80001c,
    0x4400004f,0x00003fff,0xfffffd50,0xffe88005,0x00000003,0x003ffc80,
    0x66540000,0x6400001c,0x3fee2fff,0xf300002f,0x800001df,0x000602aa,
    0x00088000,0xb07fff40,0x20001fff,0x00001ffe,0x00009ff9,0x545fff70,
    0x00003fff,0x0000fff4,0x03ccc980,0xfff30000,0x740001df,0x3ff60fff,
    0xfffa800f,0x013ffe64,0xa8000000,0x800006ff,0x00005ffb,0x001aa980,
    0x001ffe60,0x00001998,0x00001554,0x00199800,0x82aaa800,0x00002aaa,
    0x00001553,0x00266200,0x99880000,0x55510000,0x01aaa883,0x001aa880,
    0x000aaa00,0x41555400,0x00002aaa,0x0000d544,0x00133100,0x55554000,
    0x2aa20000,0x0d55441a,0x4c155540,0x88000aaa,0x300000a9,0x00000155,
    0x00001555,0x00099880,0x000aa980,0xffffffb5,0x000005bf,0xda800000,
    0xdfffffff,0x00000002,0x00000000,0x3ff72a00,0x00beffff,0x3f72a000,
    0x0befffff,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb950,
    0x00017dff,0x00000000,0x00000000,0x3ffffae0,0x09dd70ce,0x00000000,
    0xd7100000,0x9dffffff,0x40000015,0xffffffeb,0x02efffff,0x3bbbbbb2,
    0xeeeeeeee,0x20000acc,0xffffffeb,0x02efffff,0x0037bbae,0x3dddd100,
    0xeeeeeea8,0xeeeeeeee,0x00eeeeee,0xfffffe88,0xcfffffff,0x3fa20000,
    0xffffffff,0x4000cfff,0x0003eee9,0x01eeee88,0x009ddd00,0x77440000,
    0xec8001ee,0xeeeeeeee,0xeeeeeeee,0xfd1006ee,0xffffffff,0xd8019fff,
    0x20001eee,0xddd34eed,0x77640001,0x776c0006,0xffffe884,0xfc8effff,
    0x03dddb5f,0xca776c00,0xeeeeeeee,0xeeeeeeee,0xd9806eee,0xffffffff,
    0x802fffff,0x2203eee9,0xfffffffd,0xffffffff,0xfffffd03,0xffffffff,
    0x019fffff,0x7fffec40,0xffffffff,0xff103fff,0xd80009ff,0xffb84fff,
    0xffffffff,0xffffffff,0x7fdc00ff,0xffffffff,0x01efffff,0xfffffb80,
    0xffffffff,0x26001eff,0x80004fff,0x004ffffb,0x000bfff0,0x7ffdc000,
    0xffe8004f,0xffffffff,0xffffffff,0xfffb807f,0xffffffff,0x201effff,
    0x0006ffff,0x7fd57ffa,0x3f60000f,0x7fc0007f,0x7fff446f,0xffffdcef,
    0xffff5ffd,0x7ff4000d,0xffffffd5,0xffffffff,0x80ffffff,0xfffffffa,
    0xffffffff,0x3fe600df,0xfffd104f,0xfb9835df,0xfe82ffff,0xffffffff,
    0xffffffff,0xe8800eff,0x41aeffff,0x2fffffb9,0x03ffff50,0x1bffea00,
    0x7fffffdc,0xffffffff,0x00ffffff,0x9dffffb1,0x7fed4c15,0xb1002fff,
    0x159dffff,0x7fffed4c,0xfff3002f,0xffd00009,0xf0001fff,0x00000bff,
    0x7fffff40,0x7fff4000,0xffffffff,0xffffffff,0x3fff6207,0x2a60acef,
    0x02fffffd,0x007fffff,0x7d57ffa0,0x360000ff,0x7c0007ff,0x7ffec6ff,
    0xffffc80d,0x7fffff5f,0x57ffa000,0xfffffffe,0xffffffff,0x3207ffff,
    0xabcfffff,0xfffb7510,0x3fe601df,0xdfffd04f,0x3fff2003,0x57fff42f,
    0xaaaaaaaa,0xfffffcba,0xefffe806,0xffff9001,0x1bfff205,0x3fffe200,
    0x99999501,0x99999999,0x1ffffd99,0x13ffff20,0x7ffff4c0,0xffffc801,
    0xfffd3004,0xfff3003f,0xff980009,0x8003ffee,0x00005fff,0xfddff300,
    0xffe8007f,0xcccccccf,0xcccccccc,0x3fff204c,0xffd3004f,0xffff03ff,
    0xfd0003ff,0x03ffeabf,0x07ffd800,0x537ffc00,0xfa809fff,0xffff5fff,
    0xfd0003ff,0x33fffabf,0xcccccccc,0x4ccccccc,0x1dffff70,0x3fffea00,
    0x09fff304,0x001dfff7,0x746fffc8,0xb88007ff,0x2e01ffff,0x4000efff,
    0xf106fffc,0xd8009fff,0x00004fff,0x05ffff30,0x007bffe6,0x01bfff60,
    0x003dfff3,0x00dfffb0,0x0009fff3,0xffccffc8,0x5fff8006,0xf9000000,
    0x00dff99f,0x0007ffe8,0x3bffe600,0xfffd8001,0xffffff86,0x5ffe8006,
    0x0001fff5,0x0003ffec,0xffd9bffe,0xfffd800f,0xdffffff5,0x2bffd000,
    0x00007ffe,0x07ffff10,0x1fffd100,0x989fff30,0x0000ffff,0x7f43fffd,
    0x3f20007f,0xfff303ff,0x3fa0001f,0xfff501ff,0x3fea003f,0x1000006f,
    0x7409ffff,0x20002fff,0x3a04fffe,0x20002fff,0x4c04fffe,0x40004fff,
    0xfff9afff,0x2fffc001,0xff800000,0x01fff9af,0x001fffa0,0x2fffe800,
    0x3fffa000,0x7fffffc4,0x7ff4003f,0x001fff55,0x003ffec0,0xff9bffe0,
    0xfff3003f,0x3fffffeb,0x7ff4003f,0x000fffd5,0x13fffa00,0x4fff9800,
    0x644fff98,0x20003fff,0x3fa5fffa,0x7fc0007f,0x7fff905f,0x7ffd4000,
    0x1bfff205,0x07fffe20,0x3fa20000,0x3fee05ff,0x7cc0005f,0xffb80fff,
    0x7cc0005f,0x3e600fff,0x2a0004ff,0xbfff0fff,0x05fff800,0xffa80000,
    0x00bfff0f,0x0003fff4,0x05fffb80,0x7fffcc00,0x3ffbffe0,0x3fa001ff,
    0x01fff55f,0x03ffec00,0x45bffe00,0x3e001fff,0xfdfff5ff,0x74003fff,
    0x0fffd5ff,0xfff50000,0xffd0000d,0x4fff981f,0x0007fffc,0xfe86f3a0,
    0x7f40007f,0xffff80ff,0x5e740000,0x3fffe201,0x1fffec03,0xffe80000,
    0x3ffe00ef,0xfc80000f,0xffff82ff,0xffc80000,0x3ffe602f,0x3ff60004,
    0x003fff25,0x0005fff8,0x25ffd800,0xd000fffc,0x00000fff,0x0003fffe,
    0xf8bfff20,0x6fffbdff,0x557ffa00,0x0a880fff,0x003ffec0,0x7d5bffe0,
    0x3fa000ff,0xf7bfff5f,0x7f400dff,0x00fffd5f,0x5fff9000,0x7bf50000,
    0x24fff981,0x0005fffa,0x01fffa00,0x81fffd00,0x0005fffa,0x7ffd4000,
    0xbfff501f,0x3f200000,0x3e601fff,0x300004ff,0xff98bfff,0xf300004f,
    0x7fcc0bff,0xff10004f,0x1fffcc7f,0x00bfff00,0xfff88000,0x00fffe63,
    0x0003fff4,0x027ffcc0,0x5fff9800,0x7ff57ffe,0xbffd003f,0x6cc3ffea,
    0x82ceffff,0x40007ffd,0xfff76fff,0xf5ffd800,0x3fffabff,0x2bffd003,
    0x00007ffe,0x0007fff8,0x9fff3000,0x0027ffe4,0x0fffd000,0x3fffc400,
    0x0027ffe4,0x7fec0000,0xffff886f,0xfa800000,0x7d402fff,0x200003ff,
    0x7fd47fff,0x3e00003f,0x3fe607ff,0xff70004f,0x06ffe81f,0x0017ffe0,
    0x1fff7000,0xd006ffe8,0x00000fff,0x0007fff5,0xff3fffc0,0x3fffe6bf,
    0x55ffe801,0xfff71fff,0x85ffffff,0x40007ffd,0xfff96fff,0xf5ffc800,
    0x3ffe6bff,0x5ffe801f,0x0000fffd,0x006fffa8,0xfff30000,0x017ffec9,
    0xfffd0000,0x7ffdc000,0x02fffd85,0xf8800000,0x7fe42fff,0x9800003f,
    0xb803ffff,0x00002fff,0xfb87fff6,0x200002ff,0xf301fffd,0x3a0009ff,
    0xfffb85ff,0x0bfff001,0xffe80000,0x01fffb85,0x0007ffe8,0x02fffb80,
    0x3fff6000,0x7dcbfff1,0xffe806ff,0xffdfff55,0xffffdbff,0x03ffec5f,
    0x5dbffe00,0x36000fff,0x4bfff5ff,0xe806fffb,0x0fffd5ff,0xfffb8000,
    0x30000004,0x7fec9fff,0x2000001f,0x90007ffe,0xfb05ffff,0x000003ff,
    0x3fffea00,0x00bfff30,0xfffd1000,0x3fff200b,0x3f200001,0x3fff21ff,
    0x3f200001,0xfff301ff,0xfff30009,0x0bfff105,0x0017ffe0,0x2fff9800,
    0x805fff88,0x00007ffe,0x001fffc8,0x47fff200,0x7ff45fff,0xafff404f,
    0x1dfffffa,0x367fffc8,0x7c0007ff,0x3fff56ff,0xfafff400,0x7fff45ff,
    0xeafff404,0x400007ff,0x0003fffc,0x9fff3000,0x0007fff4,0x3fffd000,
    0x33333333,0xffffd953,0x03fffa0b,0xd8000000,0xfffd4fff,0xfb000001,
    0x3a001dff,0x00000fff,0xfe8bffee,0x200000ff,0xf302fffb,0xfb0009ff,
    0x7ffec0ff,0x05fff800,0x3ff60000,0x03fff607,0x999fffd0,0x99999999,
    0xfd099999,0x400001ff,0xfff2fffb,0x1ffff98b,0x7d57ffa0,0x7ec06fff,
    0xffffb2ff,0xffffffff,0xffffffff,0x0bffe6df,0xff5fff80,0xffff98bf,
    0x757ffa01,0xcccccfff,0xcccccccc,0x7ffec4cc,0x30000001,0x7ffc9fff,
    0x74000007,0xffffffff,0xffffffff,0xff00dfff,0x000000ff,0xcffff880,
    0x00002fff,0x00ffffc8,0x001fffe0,0x47fff700,0x00007fff,0x981fffdc,
    0x44004fff,0x3ea04fff,0xfff803ff,0xf1000005,0x7fd409ff,0x7fff403f,
    0xffffffff,0x7fffffff,0x0007fff8,0xf9fffdc0,0xfffb85ff,0x557ffa06,
    0x4c00efff,0xfffb3fff,0xffffffff,0xffffffff,0x3ffe2dff,0xbfff5005,
    0x3ee17ffe,0x3ffa06ff,0xffffffd5,0xffffffff,0xfe8fffff,0x993000ff,
    0xddddd999,0x4fff989d,0x0001fffa,0xfffffd00,0xffffffff,0x805fffff,
    0x00007ffe,0xfffa8000,0x00004fff,0x02ffffa8,0x003fffc0,0x8bffee00,
    0x00007fff,0x9817ffdc,0x5c004fff,0x7fc01fff,0x5fff806f,0xff700000,
    0x6fff803f,0x7fffff40,0xffffffff,0xf87fffff,0x400007ff,0xfff2fffb,
    0x13fffa0b,0xffaafff4,0x9fff004f,0x3ffffff6,0xffffffff,0x6fffffff,
    0x2007fff2,0xfff5fffe,0x13fffa0b,0xffeafff4,0xffffffff,0xffffffff,
    0x007ffec7,0xffffffa8,0x4c6fffff,0x3ff64fff,0x2000000f,0xfffffffe,
    0xdfffffff,0xfffb001b,0x00000001,0x1dffffb0,0xff980000,0xfe8003ff,
    0x200000ff,0x3fa2fffc,0x200000ff,0xf302fffc,0xfe8009ff,0xfffc806f,
    0x02fffc02,0x6ffe8000,0x02fffc80,0x3bbbfffa,0xeeeeeeee,0xfe85eeee,
    0x200000ff,0xfff2fffc,0x3fffe60b,0xf55ffe81,0x3fa007ff,0x55fffb4f,
    0x55555555,0xfff55555,0x077ffc4d,0x2bffff90,0xff305fff,0xbffd03ff,
    0x3bbbfffa,0xeeeeeeee,0x7e45eeee,0xff5001ff,0xffffffff,0x4fff98df,
    0x0003fff6,0x9fffe800,0xfda99999,0x36001eff,0x00000fff,0xfff88000,
    0x4400001f,0x0005fffe,0x0003fffb,0xb0ffff40,0x00003fff,0x980ffff4,
    0x26004fff,0xf9803fff,0x7ffc05ff,0xf9800005,0xff9803ff,0x1fffa05f,
    0x3ff60000,0x3a00001f,0xbfff1fff,0x437ffdc0,0xfff55ffe,0x53ffa005,
    0x40007ffd,0x7fdc6fff,0xfd510bff,0x3febffff,0x3ffee05f,0xfd5ffe86,
    0xc80000ff,0x93002fff,0xf9999999,0xfff98dff,0x00bfff24,0x7ffe8000,
    0x3ffffa80,0x05fff900,0x20000000,0x00007ffd,0x006fffd8,0x00bfff20,
    0x0ffff800,0x000bfff2,0x00ffff80,0x4009fff3,0xeeeefffc,0xffeeeeee,
    0x3ffe00ff,0xfc800005,0xeeeeeeff,0xffffeeee,0x00fffd00,0x5fff9000,
    0x7ffc0000,0x80bfff0f,0x7f44fffe,0x03fff55f,0x7ed3ffa0,0x7fc0007f,
    0xffffc86f,0xfdffffff,0x0bfff5ff,0x744fffe8,0x0fffd5ff,0xfffb8000,
    0x3fe00004,0x27ffcc6f,0x0009fff3,0x3a159d70,0xff5007ff,0xff3005ff,
    0xd700009f,0xfb000159,0xc80000ff,0x0000ffff,0x0013ffea,0x237ffc40,
    0x0004fffa,0x40dfff10,0x2004fff9,0xffffffff,0xffffffff,0x3ffe04ff,
    0xff800005,0xffffffff,0xffffffff,0x00fffd04,0x9fff5000,0x3fe20000,
    0x017ffe6f,0x743ffff3,0x1fff55ff,0x6d3ffa00,0x7c0007ff,0xfff506ff,
    0x3a7fffff,0x0bfff4ff,0x21ffff98,0xfffd5ffe,0xff880000,0x3e00006f,
    0x7ffcc6ff,0x0037ffc4,0xe8ffff40,0x3ee007ff,0xff801fff,0xfe80006f,
    0xfd8001ff,0x2a00007f,0x0001ffff,0x000ffff8,0x83fffc80,0x0000ffff,
    0x203fffc8,0x5004fff9,0xffffffff,0xffffffff,0x7ffc0fff,0x7d400005,
    0xffffffff,0xffffffff,0x0fffd07f,0x3ffe0000,0xfc80000f,0x17ffe3ff,
    0xe9bffee0,0x1fff55ff,0x6d3ffa00,0x7c0007ff,0x32a206ff,0x3fe1bdfe,
    0x00bfff4f,0x7f4dfff7,0x00fffd5f,0x3fffb000,0x3ffe0000,0x227ffcc6,
    0x0002fffc,0xfe9bffe6,0x7fec007f,0x7fe400ef,0x3e60002f,0xfb0006ff,
    0x260000ff,0x0003ffff,0x009fff90,0x0ffff980,0x004fffc8,0x07fffcc0,
    0x009fff30,0x2667fff6,0x99999999,0xf02fffd9,0x80000bff,0x9999fffd,
    0x99999999,0xfe82fffd,0x9000007f,0x80009fff,0x3e0ffff9,0xffd005ff,
    0x557ffa9f,0xfd000fff,0x01fff69f,0x00dfff00,0x3e7fff00,0xffd005ff,
    0x757ffa9f,0x800007ff,0x0005fffa,0xf98dfff0,0x7ffcc4ff,0x3ff60007,
    0x01fffa2f,0x0bffff10,0x007fff98,0x00bfff60,0x003ffec0,0x2ffff440,
    0xfff10000,0x7f40003f,0xfff105ff,0x7f40003f,0x7fcc05ff,0xfff8804f,
    0xfffa8005,0x00bfff05,0x2fffc400,0x2fffd400,0x0003fff4,0x1ffff880,
    0x3fffa000,0x802fffc5,0xfe9ffff9,0x01fff55f,0x7ed3ffa0,0x7fc0007f,
    0x2200066f,0xbfff2fff,0x3fffe600,0xffd5ffe9,0xf100000f,0x00007fff,
    0xff98dfff,0x5fffc84f,0x7fffc800,0x4003fff4,0x402ffffa,0x8005fffc,
    0x0007fffc,0x0001fff6,0x001bfff6,0x3bffee00,0xfffc8001,0x3ffee00f,
    0xffc8001e,0x7fcc00ff,0xfffb804f,0xfffd0002,0x00bfff01,0x17ffdc00,
    0x0fffe800,0x0003fff4,0x3dfff700,0xffff9000,0x005fff81,0x3fbbffee,
    0x01fff55f,0x7ed3ffa0,0x7fc0007f,0x00fbfa6f,0xff87ffe4,0x3fee005f,
    0xfd5ffeef,0x200000ff,0x003ffff9,0x8dfff910,0xf884fff9,0x9000efff,
    0xfe85ffff,0xffb0007f,0x7fc401ff,0xf9000eff,0x40005fff,0x40007ffd,
    0x000efffc,0xffffd000,0x3ffa2007,0xffe802ff,0xfd1003ff,0xf3005fff,
    0xffd009ff,0x7fe4000f,0x05fff84f,0x1fffa000,0x4fffc800,0x0003fff4,
    0x3ffffa00,0xfffd1003,0x0bfff05f,0xfffffe80,0x01fff55f,0x7ed3ffa0,
    0x7fc0007f,0x03fff66f,0x7cdfff30,0x7f4005ff,0xfd5fffff,0x400000ff,
    0x00dffffc,0x3ffffee0,0x827ffcc6,0x1cfffffa,0xfffffa88,0x007ffe83,
    0x0bffff10,0xcfffffa8,0xffffa881,0x7ec0003f,0x3ea0007f,0x00001fff,
    0x3ffffa20,0x7dd441ad,0x1004ffff,0x35bffffd,0xffffba88,0xfff3004f,
    0x4fff9809,0x3ffe2000,0x005fff87,0x09fff300,0x3fffc400,0x0001fffa,
    0xffffd100,0xfba8835b,0xff04ffff,0xff9800bf,0xff55ffff,0x3ffa001f,
    0x000fffb4,0x3ee6fff8,0xfd301dff,0x2fffc5ff,0x3fffe600,0x0fffd5ff,
    0xffd80000,0x11bdffff,0xffffdb75,0xfff981bf,0x3fffe604,0xfffeefff,
    0xfd04ffff,0x7dc000ff,0x7cc02fff,0xeeffffff,0x4fffffff,0x7ffd8000,
    0xffff1000,0x5555555b,0x55555555,0xffd80355,0xffefffff,0x02ffffff,
    0xfffffd80,0xfffffeff,0x26002fff,0x7e404fff,0x6c0001ff,0x7ffc2fff,
    0xaaaaaaae,0x42aaaaaa,0x0001fffc,0xfd17ffec,0x555555ff,0x55555555,
    0xfd803555,0xfeffffff,0x2fffffff,0x0017ffe0,0x57ffffee,0xd000fffa,
    0x1fff69ff,0x8dfff000,0xbcfffffd,0x45ffffdc,0xb8005fff,0xfd5fffff,
    0x555555ff,0x55555555,0x7dc03555,0xffffffff,0xffffffff,0x9fff302e,
    0xffffe980,0xffffffff,0x1fffa02e,0xdfffd000,0xffffd300,0xffffffff,
    0x3600005d,0xf10007ff,0xffffffff,0xffffffff,0x009fffff,0xfffffff7,
    0x1dffffff,0x7ffdc000,0xffffffff,0x4c000eff,0x7fc04fff,0xfa80006f,
    0x7fffc5ff,0xffffffff,0x7c7fffff,0xa80006ff,0x3ffa5fff,0xffffffff,
    0xffffffff,0xffb805ff,0xffffffff,0x7c00efff,0xfd0005ff,0x3feabfff,
    0x9ffd000f,0x0001fff6,0xfe88dfff,0xffffffff,0x5fff84ff,0xffffd000,
    0x3fffffab,0xffffffff,0x5fffffff,0x7ffff4c0,0xffffffff,0x7fcc03ff,
    0xff93004f,0x7dffffff,0x00fffd00,0x4ffff980,0xffff9300,0x007dffff,
    0x07ffd800,0xfffff100,0xffffffff,0xffffffff,0x7f54009f,0xcfffffff,
    0x3aa00001,0xffffffff,0xff30001c,0x7ffd409f,0xfff00003,0x7ffffc3f,
    0xffffffff,0x3ea7ffff,0xf00003ff,0x3ffa3fff,0xffffffff,0xffffffff,
    0x3aa005ff,0xffffffff,0xbfff001c,0x3ffe6000,0x01fff55f,0x7ed3ffa0,
    0x7fc0007f,0xfffd506f,0x203bffff,0x30005fff,0x3fabffff,0xffffffff,
    0xffffffff,0x71005fff,0xfffffffd,0xf300179d,0x330009ff,0xe8003555,
    0xb80007ff,0x4001ffff,0x001aaa99,0x1fff6000,0x7fffc400,0xffffffff,
    0xffffffff,0x988004ff,0x00019aaa,0x5554c400,0xf9800019,0x3ff604ff,
    0xf900000f,0x7fffc9ff,0xffffffff,0x367fffff,0x00000fff,0x3fa9fff9,
    0xffffffff,0xffffffff,0x88005fff,0x0019aaa9,0x0005fff8,0x7d57fff2,
    0xffd000ff,0x001fff69,0x880dfff0,0x4009aaa9,0x20005fff,0xffd5fffc,
    0xffffffff,0xffffffff,0x31000bff,0x20003555,0x0004fff9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00033331,0x77774c00,0xeed80001,
    0x13bba20d,0x99800000,0x44000099,0x77544eee,0x0000002e,0xf02ff400,
    0xcb80007f,0x0666543c,0x1fffd800,0x001bffe2,0x1dddd100,0x4c000000,
    0x40000009,0x50000198,0x55555555,0x00001555,0x32601993,0xfff88004,
    0x01fffd46,0x3bba6000,0xddd9000e,0x005eed83,0x54000000,0x206aa01a,
    0x279702b8,0x0004eee9,0x0017fff6,0x7fff4400,0x4c0000ef,0x3ff64fff,
    0x0000000e,0x001ffff5,0x25fff700,0x0005fff8,0x0000bbaa,0xfb81ffc8,
    0x7f40001f,0x07ffdc6f,0x6fff8800,0x0003fff6,0x3ffff100,0x3f660000,
    0x0ffe20bd,0xcefb8800,0x00037ec1,0x7fffffc4,0x00ffffff,0x04ff8800,
    0x2a000dfd,0xfff13fff,0xfff7000b,0x03fffd8d,0xc9bffe20,0x00001fff,
    0x0037ffdc,0x7fcc1bf6,0x3ffff222,0x35ff88ad,0x2000bfff,0x0006fff9,
    0x37bff600,0xb80005ff,0xfffb9fff,0x20000001,0x0002fffe,0x363fff60,
    0xb0000eff,0x000bf99f,0x2b3ffe60,0x0006ffdb,0x7dc6ffe8,0x260000ff,
    0xfffabfff,0xf8800001,0x80001fff,0xdffffffc,0x0002ffeb,0xfffffff3,
    0x000bff99,0xffffff10,0x01ffffff,0x2fff6000,0x03ffda89,0x27fff200,
    0x8000effd,0x3e26fffb,0xf98005ff,0x2fff9bff,0xffb80000,0x7fdc006f,
    0x83ffa60b,0xfffffffc,0xff33ffff,0x3f6000bf,0x000000ff,0xff13fff7,
    0xfb00009f,0x005fffdf,0x7fcc0000,0x4400003f,0x0fffeffe,0x4c5f1000,
    0xf700000f,0x1fffffff,0xdffd0000,0x000fffb8,0x7ffffdc0,0x1000003f,
    0x0003ffff,0xfecfff98,0x006fffff,0x3f77ff60,0x01ffffff,0x99999000,
    0x19999999,0x3fe20000,0x05ffffff,0xfeffe800,0xf70000ff,0x77fe4dff,
    0xfff70000,0x00009ffd,0x01bffee0,0x3fbfffa0,0x77fc3fff,0xfffffc99,
    0x017ffe66,0x00bffe20,0x7ffcc000,0x00bffee4,0xffffd100,0x80000009,
    0x00005ffd,0x5fffff30,0x7c3dc000,0x36600003,0x000cffff,0x98555500,
    0x80000aaa,0x004ffffd,0x33322000,0x7d40000c,0x3ffb262f,0x3fe0000c,
    0x37ff6e25,0x00000002,0xfb300000,0x0019ffff,0xfffff100,0x7fdc0005,
    0x03fff16f,0xffffd800,0x2e000005,0x88006fff,0x3ffffffe,0x6541ffc4,
    0x0099981c,0x004ffc80,0x3332e000,0x002665c0,0x01e664c0,0x3e600000,
    0x000000ef,0x000b332a,0x07cc5f10,0x00880000,0x99880000,0xc8800000,
    0x000004cc,0x00004cc4,0x02602a98,0x406aa000,0x80000018,0x00000998,
    0x01353100,0xccc98000,0x554c0002,0x0059932a,0x19999100,0x54c00000,
    0x2a0002aa,0x0000accb,0xaa800000,0x20000002,0x00000998,0x00000000,
    0x00015530,0x00000000,0x00bd77fb,0x00000000,0xffffb950,0x00017dff,
    0x10000000,0xffffffd7,0x0000159d,0x00000000,0x32a00000,0xeffffffd,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd7100000,0x9dffffff,0x5eec8015,0x2776c000,0x00000000,0x3eee9800,
    0xfff98000,0xeec8002f,0xeeeeeeee,0xeeeeeeee,0xffd1006e,0xffffffff,
    0xec8019ff,0xeeeeeeee,0xeeeeeeee,0xfd9806ee,0xffffffff,0x3602ffff,
    0x20001eee,0x88004eed,0x0001eeee,0x7ffff440,0xffffffff,0x2200000c,
    0x8001eeee,0xeeeeeeec,0xceeeeeee,0xee9800ac,0x03bbaa3e,0xeeee8800,
    0x3baa0001,0xeeeeeeee,0xeeeeeeee,0xddd300ee,0x7774c007,0xeb97aa03,
    0x40000dee,0x401eeee8,0xffffffd9,0x2fffffff,0x001fffa0,0x000dfff0,
    0x7777774c,0xeeeeeeee,0xeeeeeeee,0x3ffe602e,0xffb80004,0xfe8004ff,
    0xffffffff,0xffffffff,0xffb807ff,0xffffffff,0x01efffff,0x3ffffffa,
    0xffffffff,0x407fffff,0xfffffffa,0xffffffff,0xffff80df,0x3ffa0006,
    0xfffb8005,0x2e00004f,0xffffffff,0xefffffff,0xff700001,0xfd0009ff,
    0xffffffff,0xffffffff,0x7fcc019f,0x03ffea4f,0xffffb800,0x3fee0004,
    0xffffffff,0xffffffff,0xfff300ff,0x7ffcc009,0xf89fee04,0x40004fff,
    0x5404fffd,0xffffffff,0xffffffff,0x07ffe80d,0x037ffc00,0xfffffb00,
    0xffffffff,0xffffffff,0x7fcc07ff,0xfe80004f,0x4000ffff,0xfffffffe,
    0xffffffff,0x2207ffff,0xaceffffd,0x3fff6a60,0xfffd02ff,0xffffffff,
    0xffffffff,0x7fffe40f,0x7510abcf,0x81dffffb,0x003fffff,0x000bffd0,
    0x01fffffd,0xfffd8800,0x2a60acef,0x02fffffd,0xffffe800,0x7ff4000f,
    0xffffffff,0xffffffff,0xfff300ef,0x007ffd49,0xfffffd00,0x3fee0001,
    0xffffffff,0xffffffff,0xfff300ff,0x7ffcc009,0xf51fee04,0x20003fff,
    0x6406fffa,0xabcfffff,0xfffb7510,0x7ffe81df,0x37ffc000,0xffff9800,
    0xffffffff,0xffffffff,0x2603ffff,0x40004fff,0x3ffeeff9,0x67fff400,
    0xcccccccc,0x4ccccccc,0x13ffff20,0x7ffff4c0,0xccfffe81,0xcccccccc,
    0x04cccccc,0x01dffff7,0x13fffea0,0x03ffffff,0x00bffd00,0xffeeff98,
    0x7fe40003,0xfd3004ff,0x40003fff,0x3ffeeff9,0x57fff400,0xaaaaaaaa,
    0xfffffcba,0x49fff306,0x0000fffa,0x7ffddff3,0x3332a000,0xcccccccc,
    0xfffecccc,0x9fff300f,0x27ffcc00,0xfc81ff90,0xf88006ff,0x3ee01fff,
    0x5000efff,0xfe89ffff,0x7fc0007f,0xffb0006f,0xffff99bf,0x99999999,
    0x05999999,0x0027ffcc,0x3f33ff20,0x7ff4006f,0x26000007,0x8001efff,
    0xfe86fffd,0x1000007f,0x0007ffff,0x7c1fffd1,0x006fffff,0x4005ffe8,
    0x6ffccffc,0x3ffe6000,0xffd8001e,0x3f20006f,0x006ffccf,0x4003fff4,
    0x81ffffb8,0x3ea4fff9,0xf90000ff,0x00dff99f,0xff300000,0x7fcc05ff,
    0x3fe6004f,0x03ff604f,0x009ffff1,0x204fffd8,0x003ffff8,0x20fffe88,
    0x40007ffe,0x88006fff,0x7fec6fff,0xf3000007,0xf80009ff,0x1fff9aff,
    0x01fffa00,0xfffe8000,0x3ffa0002,0x03fff44f,0xfffe8000,0x3fe60004,
    0x3ffffe4f,0x7f4003ff,0x7ffc005f,0x001fff9a,0x005fffd0,0x027fff40,
    0xf9afff80,0x3fa001ff,0x3f20007f,0xfff983ff,0x003ffea4,0x7cd7ffc0,
    0x000001ff,0x13fffe20,0x009fff30,0xb027ffcc,0xfff503ff,0x3fea003f,
    0x7fff406f,0x3fe60004,0x01fffa4f,0x00dfff00,0xd85fff90,0x000007ff,
    0x0009fff3,0xff87ffd4,0x3ffa005f,0xf7000007,0x98000bff,0x3fa0ffff,
    0xa800007f,0x80006fff,0xfff0fffe,0x003ffffd,0x5002fff4,0x3ffe1fff,
    0xfffb8005,0x7fcc0005,0x7d4000ff,0x0bfff0ff,0x003fff40,0x2617ffe0,
    0x3fea4fff,0xffa8000f,0x00bfff0f,0x3fa20000,0xff9805ff,0x3fe6004f,
    0x07ffa04f,0x4037ffe4,0x201ffff8,0x0006fffa,0xfd0fffe8,0xff8000ff,
    0x7fc4006f,0x07ffd86f,0xfff30000,0x7fec0009,0x003fff25,0x0003fff4,
    0x00ffff80,0x2fffc800,0x0001fffa,0x00bfff20,0x42f7ea00,0xfffbdfff,
    0x17ffa006,0x325ffd80,0x7c000fff,0x80000fff,0x4002fffc,0x3ff25ffd,
    0xfffd000f,0xfffe8000,0x527ffcc0,0xb0001fff,0x7ffe4bff,0xe8000000,
    0x9800efff,0x26004fff,0x3fa04fff,0xffff102f,0x3fffd807,0x017ffe40,
    0x85efd400,0x40007ffe,0x64006fff,0xffd83fff,0xf3000007,0x220009ff,
    0x3fe63fff,0xfffd003f,0xff300000,0x2600009f,0x3ffa5fff,0xff800007,
    0x4000007f,0xfffd5fff,0x17ffa007,0x31fffc40,0x4c007fff,0x00004fff,
    0x400bfff3,0x3e63fff8,0xffd003ff,0xffe8000f,0x27ffcc0f,0x8001fff5,
    0x3e63fff8,0x000003ff,0x00ffffe4,0x004fff98,0xf813ffe6,0x3fea02ff,
    0xfff501ff,0x0ffff00b,0xffe80000,0x7ffc0007,0x3ffe2006,0x00fffb07,
    0x3ffe6000,0xfff70004,0x006ffe81,0x0000fffd,0x007fff50,0xd3fffc00,
    0x80000fff,0x0006fffa,0x9afffc00,0xe801ffff,0xff7005ff,0x06ffe81f,
    0x00fffea0,0x07fff800,0xd03ffee0,0x3fa00dff,0x3e20007f,0xfff987ff,
    0x003ffea4,0xe81fff70,0x000006ff,0x00bfffea,0x004fff98,0xf813ffe6,
    0x7fec03ff,0xffff886f,0x37ffd400,0x3fa00000,0x7fc0007f,0x3ff2006f,
    0x0fffb03f,0x3fe60000,0xffd0004f,0x03fff70b,0x000fffd0,0x05fff700,
    0x7ffec000,0x000fffd1,0x04fffb80,0x7ffc0000,0x01bffee5,0x74017ffa,
    0xfffb85ff,0x5fff7001,0x7fec0000,0xbffd001f,0x003fff70,0x4000fffd,
    0xf985fffb,0x3ffea4ff,0x2fff4000,0x000fffdc,0x7fffcc00,0x7ffcc003,
    0x3ffe6004,0x013ffe04,0xc85ffff1,0xfb803fff,0x000004ff,0x0003fff4,
    0x4401bffe,0x3f607fff,0x3000007f,0x30009fff,0xff105fff,0xfffd00bf,
    0xff900000,0x6400003f,0xfffd1fff,0xffc80000,0x4000003f,0x7ff45fff,
    0x2fff404f,0x417ffcc0,0x9005fff8,0x00003fff,0x400fffe4,0xf882fff9,
    0xffe805ff,0xfff90007,0x9fff305f,0x0007ffd4,0xf105fff3,0x80000bff,
    0x005fffe8,0x004fff98,0x4413ffe6,0xfa804fff,0xfff30fff,0x3fff200b,
    0x74000003,0x7c0007ff,0xff7006ff,0x3ffec07f,0xff980000,0xffd8004f,
    0x03fff607,0x999fffd0,0x99999999,0xfd099999,0x400001ff,0xffd2fffb,
    0x9999999f,0x99999999,0x01fffd89,0x7ffc0000,0x0ffffcc5,0xb00bffd0,
    0x7fec0fff,0xfffe800f,0x3ee00000,0xffd802ff,0x03fff607,0x333fffd0,
    0x53333333,0x0bffffd9,0xfa93ffe6,0x3f6000ff,0x3fff607f,0x3f600000,
    0x98000eff,0x26004fff,0xff104fff,0x3ff600bf,0x01fffd4f,0x007fff60,
    0xfffd0000,0x6fff8000,0x01ffff00,0x6667ffec,0xcccccccc,0x7fcc02cc,
    0x7fc4004f,0x3ffea04f,0x7ffff403,0xffffffff,0x87ffffff,0x00007fff,
    0xfe9fffdc,0xffffffff,0xffffffff,0x07fff47f,0xccccc980,0xf4eeeeee,
    0xfff70bff,0x02fff40d,0xa813ffe2,0xff803fff,0x5c00007f,0x7c403fff,
    0x3fea04ff,0x7fff403f,0xffffffff,0xffffffff,0x9fff300d,0x8007ffd4,
    0x2a04fff8,0x00003fff,0x001ffff9,0x013ffe60,0x304fff98,0x2200bfff,
    0xfffcffff,0x3fffa002,0x99993000,0x9dddddd9,0x0001fffa,0xf700dfff,
    0xffd809ff,0xffffffff,0x03ffffff,0x0027ffcc,0xf007ffee,0xffe80dff,
    0xffffffff,0xffffffff,0x007fff87,0x97ffdc00,0xfffffffe,0xffffffff,
    0x7fec7fff,0xfff5000f,0xffffffff,0x7417ffed,0xffd04fff,0x1fffb80b,
    0x4037ffc0,0x00007fff,0x2017ffdc,0x7c01fffb,0x7ff406ff,0xffffffff,
    0xffffffff,0x27ffcc02,0x2001fff5,0x7c01fffb,0xa80006ff,0x0002ffff,
    0x8013ffe6,0xf504fff9,0x7d400dff,0x004fffff,0x8007ffec,0xfffffffa,
    0xffd6ffff,0xfff8000f,0x0ffff806,0x7ffffec0,0xffffffff,0x7cc03fff,
    0x7f4004ff,0xfffc806f,0x3bfffa02,0xeeeeeeee,0x85eeeeee,0x0000fffe,
    0x74bfff20,0xeeeeefff,0xeeeeeeee,0x7ffe45ee,0xffff5001,0xdfffffff,
    0x7cc17ffe,0xffe81fff,0x037ff405,0x2017ffe4,0x0000fffe,0x00bfff20,
    0xf900dffd,0x7ff405ff,0xffffffff,0x01bdffff,0x549fff30,0xfd000fff,
    0xfff900df,0x7fcc0005,0x4c0003ff,0x26004fff,0xff504fff,0xffd800df,
    0x64000eff,0xf5001fff,0xffffffff,0x1fffadff,0x0dfff000,0x804fffb8,
    0xeeeefffd,0xeeeeeeee,0x7ffcc02e,0x3ffe6004,0x5fff9803,0x001fffa0,
    0x07fff600,0xfffe8000,0x000fffd1,0x02fffc80,0x99999930,0x3edfff99,
    0x3fee05ff,0x05ffe86f,0x200fffe6,0x6c05fff9,0x00001fff,0x9807fffa,
    0xf9803fff,0x3ffa05ff,0xa999999f,0x001efffd,0xfa93ffe6,0xff9800ff,
    0xfff9803f,0xffd10005,0xf30000bf,0x7cc009ff,0xfff704ff,0xfff8800f,
    0xffc8001f,0x9993002f,0xfff99999,0x001fff6d,0xe80dfff0,0xfd800fff,
    0x3000007f,0x64009fff,0xeeeeefff,0xfffeeeee,0x0fffd00f,0xfff90000,
    0x7fc00005,0x0fffd0ff,0xfffb8000,0x3fe00004,0x80bfff6f,0x7f44fffe,
    0x3fff205f,0xeeeeeeee,0x00ffffee,0x000bfff2,0x00ffff80,0x3bbbfff2,
    0xfeeeeeee,0xffd00fff,0xffff500f,0x3ffe6007,0x003ffea4,0x3bbbfff2,
    0xfeeeeeee,0xd8000fff,0x00006fff,0x4009fff3,0xf704fff9,0xfb000fff,
    0x3ee000ff,0x200004ff,0xfffb6fff,0x7ffc4000,0x3fffea05,0xeeeeeeee,
    0x0007fffe,0x09fff300,0x7fffffc0,0xffffffff,0xfd04ffff,0x500000ff,
    0x00009fff,0xfe9bffe2,0x4400007f,0x00006fff,0x7ffdbffe,0x7fffcc05,
    0xf817ffa1,0xffffffff,0xffffffff,0x3ffea04f,0xff100004,0xffff80df,
    0xffffffff,0x04ffffff,0x2a00fffd,0x9802ffff,0x3fea4fff,0xffff800f,
    0xffffffff,0x04ffffff,0x07fffe40,0xfff98000,0x3ffe6004,0x0ffff704,
    0x00fffb00,0x01bffe20,0x96fff800,0x20001fff,0x3a05fff9,0xffffffff,
    0xffffffff,0xf3000007,0x3ea009ff,0xffffffff,0xffffffff,0x0fffd07f,
    0x3ffe0000,0xfc80000f,0x1fffa3ff,0x3ff60000,0xff00001f,0x017ffedf,
    0xfe9bffee,0xffff505f,0xffffffff,0x0fffffff,0x000ffff8,0x03fffc80,
    0x3fffffea,0xffffffff,0xfd07ffff,0x7fdc00ff,0x7fcc01ff,0x03ffea4f,
    0xffffff50,0xffffffff,0x400fffff,0x001ffffa,0x13ffe600,0x04fff980,
    0x000ffff7,0x4000fffb,0x0001fffd,0x3f2dfff0,0xf50001ff,0x3fea09ff,
    0xffffffff,0x7fffffff,0xff300000,0x3ff6009f,0x9999999f,0xffd99999,
    0x07ffe82f,0xfff90000,0xff980009,0x1fffa0ff,0x3fea0000,0xff00005f,
    0x017ffedf,0xfea7fff4,0x3fffb05f,0x33333333,0x5fffb333,0x027ffe40,
    0x3fffe600,0x27fff600,0x99999999,0x2fffd999,0x4007ffe8,0x200efffd,
    0x3ea4fff9,0x7fec00ff,0x9999999f,0xffd99999,0xfff9802f,0x4c00003f,
    0x26004fff,0xff704fff,0xffb000ff,0x7fd4000f,0xff00005f,0x0fffeadf,
    0x17ffdc00,0xcccfffe8,0xcccccccc,0x00007fff,0x009fff30,0x000bfff1,
    0xfd0bfff5,0x200000ff,0x001ffff8,0xd17fffa0,0x00000fff,0x007ffff1,
    0x3edfff00,0xff3005ff,0x0bffd3ff,0x000bfff1,0x440bfff5,0x0001ffff,
    0x8817fffa,0xa8005fff,0xffe85fff,0x7ffc4007,0x3ffe605f,0x803ffea4,
    0x8005fff8,0x4405fffa,0x0005fffe,0x04fff980,0x413ffe60,0x8007fffb,
    0x20007ffd,0x003ffff8,0xf16fff80,0x3e000dff,0xffa80fff,0x7fec005f,
    0xf3000007,0xff7009ff,0x3fa0005f,0x3fff40ff,0xff700000,0xf90003df,
    0xffe81fff,0xf3000007,0x20007fff,0xff6fffc8,0x7fdc00bf,0xb85ffeef,
    0xd0002fff,0x7dc01fff,0xc8001eff,0x2e00ffff,0xd0002fff,0xffe81fff,
    0xfffa8007,0x9fff302f,0x7007ffd4,0x20005fff,0x3600fffe,0x00006fff,
    0x009fff30,0x0027ffcc,0x0fffb000,0xffff9800,0xff910003,0x27fff4df,
    0x1bffee00,0x000ffff4,0x0001fff6,0x027ffcc0,0x0003fff4,0xfe89fff9,
    0x4000007f,0x003ffffe,0x05ffffd1,0x0000fffd,0x6ffffe40,0x3ffee000,
    0x0bfff6ff,0xfffffe80,0x07ffe85f,0x13fff200,0x07ffffd0,0x3ffffa20,
    0x03fff402,0x89fff900,0xb0007ffe,0xf301ffff,0x7ffd49ff,0x01fffa00,
    0x04fffc80,0x001dfff9,0x3ffe6000,0x3ffe6004,0x36000004,0xc80007ff,
    0x000dffff,0x9bffffee,0x003ffffb,0x305ffff5,0xb000bfff,0x00000fff,
    0x3013ffe6,0x40009fff,0x7f47fff8,0x4000007f,0xadffffe8,0x7ffdd441,
    0xfffd04ff,0xfd800000,0x1bdfffff,0xfffdb751,0x3ffe1bff,0x7ffcc005,
    0x7fcc5fff,0x3e20004f,0x7f4407ff,0x441adfff,0x4fffffba,0x027ffcc0,
    0x8ffff100,0x10007ffe,0xf30bffff,0x7ffd49ff,0x09fff300,0x3fffc400,
    0x00ffffd4,0xfff30000,0x7ffcc009,0x09fff304,0x00fffb00,0x3ffff600,
    0x7511bdff,0xbfffffdb,0xeffffe81,0xfd5310ac,0x3f60dfff,0xfd8001ff,
    0x3000007f,0xfc809fff,0x6c0001ff,0x3ffa2fff,0xaaaaaaaf,0xaaaaaaaa,
    0x7fec01aa,0xffefffff,0x02ffffff,0x2aabfffa,0xaaaaaaaa,0x01aaaaaa,
    0x3fffffee,0xffffffff,0x7fc2efff,0xffb8005f,0x7fe45fff,0x7ec0001f,
    0xffd802ff,0xffefffff,0x02ffffff,0x001fffc8,0xd17ffec0,0x5c000fff,
    0x7cc2ffff,0x3ffea4ff,0x03fff900,0x2fffd800,0x2b7fffe2,0xaaaaaaaa,
    0xaaaaaaaa,0x09fff301,0x827ffcc0,0x8004fff9,0x00007ffd,0x3fffffee,
    0xffffffff,0xd102efff,0xffffffff,0xdfffffff,0x0dfff301,0x2bfff600,
    0xaaaaaaaa,0x202aaaaa,0x7c04fff9,0xa80006ff,0x3ffa5fff,0xffffffff,
    0xffffffff,0xffb805ff,0xffffffff,0x7400efff,0xffffffff,0xffffffff,
    0x4c05ffff,0xfffffffe,0x3fffffff,0x000bfff0,0xf17ffffa,0x50000dff,
    0x2e00bfff,0xffffffff,0x00efffff,0x000dfff0,0x74bfff50,0x740007ff,
    0x7fcc6fff,0x03ffea4f,0x00037ffc,0xf12fffd4,0xffffffff,0xffffffff,
    0x209fffff,0x2004fff9,0xf304fff9,0xfb0009ff,0x980000ff,0xfffffffe,
    0x3fffffff,0xffffd880,0xffffffff,0x3fff605f,0xfffb0002,0xffffffff,
    0x0fffffff,0x5027ffcc,0x00007fff,0x7f47fffe,0xffffffff,0xffffffff,
    0x2a005fff,0xfffffffe,0xffd001cf,0xffffffff,0xffffffff,0x2e200bff,
    0xfffffffe,0x3fe00bce,0xff30005f,0x7ffd4bff,0xfff00003,0x7f54003f,
    0xcfffffff,0x3ffea001,0xfff00003,0x01fffa3f,0x9ffff300,0xf527ffcc,
    0xfff501ff,0x3fe00007,0xffff11ff,0xffffffff,0xffffffff,0x3fe609ff,
    0x3fe6004f,0x9fff304f,0x0fffb000,0x3ae20000,0xefffffff,0x64c000bc,
    0xffffffff,0x3fe601cf,0x3f60006f,0xffffffff,0xffffffff,0x13ffe607,
    0x000fffd8,0x29fff900,0xfffffffe,0xffffffff,0x005fffff,0x19aaa988,
    0xffffe800,0xffffffff,0xffffffff,0xaa988005,0x7ffc001a,0x3ff20005,
    0x03fff65f,0x7ffe4000,0xaa988004,0xfb00019a,0x200001ff,0xffd4fffc,
    0xff70000f,0x3ffe63ff,0x203ffea4,0x0000fffd,0x229fff90,0xffffffff,
    0xffffffff,0x04ffffff,0x4009fff3,0x0004fff9,0x01fff600,0x2a620000,
    0x400001aa,0x019aaa99,0x005fff90,0x7ffffec0,0xffffffff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,0x27ffd46f,
    0x16664000,0x4001332e,0x7ec3fffb,0xfa8001ff,0x7ffe44ff,0x00000001,
    0x55555550,0x00155555,0x2e0e6644,0x999003cc,0x004cca87,0xc883332a,
    0x220001cc,0x99999999,0x2a000999,0x666444cc,0x3ffe0001,0xffffffff,
    0xccca802f,0xcccccccc,0x35310002,0x4c400001,0x0aaa0000,0x0ccc0000,
    0x11005700,0x554c0000,0x00262001,0x000aaa00,0x00003310,0x01ffffc0,
    0x8a7ffd40,0x00005fff,0xffd89fff,0x3ff60007,0x05fff50f,0x8fffe400,
    0x8003fff9,0xfffffff8,0x400fffff,0xfffffff8,0x000fffff,0xfd0fffe2,
    0x3ffe00df,0x007ffe45,0x260fffb8,0x20003fff,0xfffffffe,0x2002ffff,
    0x7fcc7ffc,0x3fe0002f,0xffffffff,0xffc802ff,0xffffffff,0x3f6a005f,
    0x2dffffff,0xffff7000,0xff88005d,0xfb300005,0x7bdfffff,0x2e0ffea0,
    0x01dffffd,0x03ffa200,0x0017fdc0,0x0013fee0,0x3fffff66,0x200000cf,
    0x0003ffff,0xff93fff9,0x3e00001d,0x3ffec4ff,0xdffd1000,0x0009fff1,
    0xfd1dffd0,0x3e20009f,0xffffffff,0x7c400fff,0xffffffff,0x22000fff,
    0x7ff43fff,0x8bfff006,0x7000fffc,0x7fcc1fff,0x3fa0003f,0xffffffff,
    0x3f2002ff,0x17ffcc7f,0xfffff000,0x5fffffff,0xfffff900,0x0bffffff,
    0xffffff70,0x7fffffff,0x7fffec00,0x32004fff,0x540001ff,0xfffffffe,
    0x262effff,0x7fe41fff,0x01ffffff,0x005ffb00,0x000bfff2,0x4006ff88,
    0xffffffd8,0x0002ffff,0x007ffff0,0x7ff7fec0,0x3e00001f,0x3ffec4ff,
    0x3ffe6000,0x00005ffe,0xdffdfff1,0x77744000,0xeeeeeeee,0xcccc800e,
    0xcccccccc,0x3ffe2000,0x8037ff43,0x7fe45fff,0xfff7000f,0x01fffcc1,
    0xdddddb00,0x05dddddd,0x263ffe40,0x00002fff,0x4cc40000,0x99999999,
    0x3ff62009,0xffffffff,0x00dfffff,0x64e7ffd4,0xf8802fff,0x7ec0005f,
    0xffffffff,0xaeffffff,0x7fcc1fff,0x0bffb31e,0x00bff500,0x05ffffb3,
    0x00fff400,0x3bffffa0,0x2ffffedc,0xffff8000,0x3fe20003,0x00002fff,
    0x2a60d554,0xfb80002a,0x0000efff,0x3ffffea0,0x00000000,0x40000000,
    0x5541aaa8,0x5555002a,0x2002aa98,0x55442aa9,0x0000001a,0x85553000,
    0x0000aaa8,0x00000000,0xffffd300,0x754c157b,0x201effff,0x7fcc1ffe,
    0x01ffd806,0xffffd100,0x6d4c157d,0x2fffffff,0x7cc0feb8,0x7fc4007f,
    0x7ffe400e,0x90002ffe,0xfd8007ff,0xffb80dff,0x540001ff,0x40000aaa,
    0x0003ccc9,0x00000000,0x001cccb8,0x1cccb800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xee880000,0x980001ee,0xe8803eee,
    0x5003ffff,0x301fffff,0x3ff60bff,0x017fe601,0x4ffffd80,0xfffff500,
    0x9ff70009,0x01ffd800,0xffb9dfe8,0x5ff98002,0x2fffd400,0x017ffea0,
    0x00000000,0x5eec8000,0x2776c000,0x00000000,0x3bb20000,0x776c0005,
    0x21fffb84,0xeb84fff8,0x40000dee,0x981eeee8,0x80003eee,0x001eeee8,
    0xeeeeeec8,0xeeeeeeee,0x326eeeee,0xeeeeeeee,0xeeeeeeee,0x70006eee,
    0x0009ffff,0x009fff30,0x001dfff9,0x84fffe88,0xff904ffb,0x007fec05,
    0x1efffb80,0x7fffc400,0x3ff2a006,0x3fee001e,0x7dc39004,0x7f44002f,
    0x7fe4000f,0x7ffc800f,0x3bbbbb20,0xeeeeeeee,0x26eeeeee,0xeeeeeeed,
    0x1bceeeee,0x00fffd00,0x3a6fff80,0xeeeeeeee,0xeeeeeeee,0x544eeeee,
    0xeeeeeeee,0xeeeeeeee,0xffd0eeee,0xfff8000f,0x21fffb86,0xf884fff8,
    0x40004fff,0xf304fffd,0x700009ff,0x0009ffff,0xfffffffd,0xffffffff,
    0x7f4fffff,0xffffffff,0xffffffff,0xfd0007ff,0x0001ffff,0x404fff98,
    0x000ffffa,0x85ffff10,0xff703ffc,0x013fe607,0x0ffffcc0,0x7fffec00,
    0xfff9802f,0x37fcc005,0x05ff7000,0x002ffd80,0x3006ffe8,0x3fa05fff,
    0xffffffff,0xffffffff,0x3fffa7ff,0xffffffff,0x401dffff,0x40007ffe,
    0x3ffe6fff,0xffffffff,0xffffffff,0x7fdc5fff,0xffffffff,0xffffffff,
    0x0fffd0ff,0x86fff800,0x3e21fffb,0xfff504ff,0x3ea0003f,0x3fe606ff,
    0xfe80004f,0x4000ffff,0xfffffffe,0xffffffff,0x3fa7ffff,0xffffffff,
    0xffffffff,0xf98007ff,0x003ffeef,0x027ffcc0,0x000ffff6,0xc8dfff50,
    0x9ff703ff,0x0003ff60,0x0027ffe4,0x7fff7fe4,0xfffea806,0x1ffd000d,
    0x17fdc000,0x00bff500,0x8017ffe0,0xffd009ac,0xffffffff,0xffffffff,
    0x7ffff4ff,0xffffffff,0x01efffff,0x8000fffd,0x3ffe6fff,0xffffffff,
    0xffffffff,0x7fdc5fff,0xffffffff,0xffffffff,0x0fffd0ff,0x86fff800,
    0x3e21fffb,0x3ff204ff,0xff88006f,0x3fe601ff,0x7cc0004f,0x003ffeef,
    0x6667fff4,0xcccccccc,0x3a4ccccc,0xcccccfff,0xcccccccc,0xc8004ccc,
    0x06ffccff,0x27ffcc00,0x00dfff10,0x83fffa00,0xff703ffb,0x009ff307,
    0x007fffc0,0x363bfee0,0x51002fff,0xff900fff,0xffb80007,0x1dff1002,
    0x17ffe000,0xfffd0000,0x99999999,0x99999999,0x667fff49,0xedcccccc,
    0x81ffffff,0x40007ffe,0x33326fff,0xfecccccc,0xcccccdff,0x66543ccc,
    0xcccccccc,0xffeccccc,0x0fffd0ff,0x06fff800,0x3fe20000,0x7ec004ff,
    0x7fcc04ff,0x7e40004f,0x006ffccf,0x0003fff4,0x001fffa0,0x7ffc0000,
    0x001fff9a,0x813ffe60,0x0002fffb,0x547fff70,0x5ff904ff,0x0001ffb0,
    0x0013ffea,0x3ea1dff5,0x7e4005ff,0x17fea02f,0x0bfee000,0x000ffec0,
    0x000dfff0,0x007ffe80,0x03fff400,0xfffff710,0x007ffe81,0x0037ffc0,
    0x0007fff2,0xfff30000,0x03fff45f,0x01bffe00,0xfff50000,0x3fea003f,
    0xfff9806f,0x7ffc0004,0x001fff9a,0x0001fffa,0x000fffd0,0xfff50000,
    0x0017ffe1,0x204fff98,0x0001fffd,0x44dfff10,0x1fff06ff,0x0004ff98,
    0x800bfff2,0x3e21fff9,0x815546ff,0xff104ffc,0xf700001f,0x9ff7005f,
    0xfffd8000,0x3fa00000,0x7400007f,0xf88007ff,0x7ff45fff,0x7ffc0007,
    0x7ffe4006,0x20000001,0x744ffff8,0x7c0007ff,0x000006ff,0x806fffc8,
    0x801ffff8,0x0004fff9,0x7fc3ffea,0x3ffa005f,0x7f400007,0x0000007f,
    0x3f25ffd8,0xf30000ff,0x7ffc09ff,0x3a00000f,0x67fec7ff,0xd0bff910,
    0x6c0001ff,0xf3001fff,0xfffd03ff,0x7c41ffe8,0x5ffb03ff,0x3fee0000,
    0x037fcc02,0x17ffdc00,0xfffd0000,0xffe80000,0xfff30007,0x03fff43f,
    0x01bffe00,0x003fff90,0x3fa20000,0x7ffe85ff,0x37ffc000,0x7c400000,
    0x7ec03fff,0xff3003ff,0x7ec0009f,0x03fff25f,0x003fff40,0x01fffa00,
    0xff100000,0x1fffcc7f,0x4fff9800,0x001fffe0,0x41fffd00,0xffcffff9,
    0x27fd40ff,0x3fffa000,0x2ffe8800,0x4c1fffb0,0xffdadfff,0x4ffb80ef,
    0x3fee0000,0x007ff402,0x27ffcc00,0xfffd0000,0xffe80000,0x3fee0007,
    0x01fffa5f,0x00dfff00,0x001fffc8,0xfffd0000,0x0fffd01d,0x56fff800,
    0x3a001ddd,0x3fea02ee,0xfff501ff,0x7ffcc00b,0xfff10004,0x01fffcc7,
    0x0007ffe8,0x003fff40,0x3fee0000,0x037ff40f,0x04fff980,0x000dfff1,
    0x40fffd80,0xeffffff9,0x000ffe81,0x403fffc0,0x3203ffe8,0x7fec1fff,
    0x81efffff,0x00006ff9,0xf9017fdc,0x7c40007f,0xffffffff,0xe8007fff,
    0x400007ff,0x20007ffe,0x3fa7fff8,0x7fc0007f,0x7fe4006f,0x8000001f,
    0xd01ffffc,0xf8000fff,0x1fff56ff,0x00fffe00,0xf10dfffb,0x4c001fff,
    0x70004fff,0xffe81fff,0x0fffd006,0x7ffe8000,0x74000000,0xfffb85ff,
    0xfff98001,0x0bfff304,0xfffc8000,0xbdedb881,0x204ffa80,0x7ffc4008,
    0x04ffd806,0x4c17ffdc,0x203defed,0x98801ffe,0x01cc9801,0x0880bff5,
    0x3ffffe20,0x7fffffff,0x07ffe800,0x3fff4000,0x3fff6000,0x000fffd1,
    0x4006fff8,0x0001fffc,0x7fffd400,0x01fffa02,0x2adfff00,0xff000fff,
    0xfff8807f,0x1fffe42f,0x13ffe600,0x42fff400,0xe801fffb,0x400007ff,
    0x00007ffe,0x0bffe600,0x0017ffe2,0x4413ffe6,0x00005fff,0x0007ffec,
    0x3203ffa0,0xf00ceffe,0xffd80dff,0x2fffc805,0x3ffc8000,0x007fe880,
    0x80fff880,0x3effffda,0x7fffffc4,0x07ffffff,0x007ffe80,0x03fff400,
    0x53ffea00,0x40007ffe,0x64006fff,0x00001fff,0x0ffffe60,0x000fffd0,
    0xff56fff8,0x3ffe001f,0xffffa803,0x00bfff30,0x009fff30,0x105fff30,
    0xfd00bfff,0xe80000ff,0x000007ff,0xd81fff60,0x4c000fff,0x3fe04fff,
    0x7c00007f,0x540007ff,0x7fec43ff,0xe81effff,0x3ff207ff,0x3fffb005,
    0x5ff98000,0x00fffd00,0x703ffb00,0xffffffff,0x1fffcc0b,0x7ffe8000,
    0x7ff40000,0x7fcc0007,0x00fffd5f,0x006fff80,0x000fffe4,0xfffe8800,
    0x07ffe805,0xab7ffc00,0xff000fff,0x3ff6007f,0x01fffd4f,0x09fff300,
    0x40fffb00,0x7400fffd,0xcccccfff,0xcccccccc,0x7fff44cc,0xcccccccc,
    0x4ccccccc,0x09fff100,0x001fffd4,0xf813ffe6,0x200007ff,0x0006fff8,
    0x3f607ff4,0x6fffbcff,0xb80fffd8,0xfd000eff,0x440001ff,0xfd800fff,
    0x5c0007ff,0xfff984ff,0x3fffca9b,0x00bfff10,0x33fffa00,0xcccccccc,
    0x44cccccc,0x40007ffe,0xffd5fff8,0xfff8000f,0x7ffe4006,0xfb000001,
    0xfd001dff,0xff8000ff,0x01fff56f,0x400fffe0,0xffcffff8,0xff30002f,
    0xff88009f,0x3ffea04f,0x7ffff403,0xffffffff,0x47ffffff,0xfffffffe,
    0xffffffff,0xf7007fff,0xfff803ff,0x7ffcc006,0x07fffa04,0x7ffcc000,
    0x3fee0004,0x2077fcc3,0x7fe43ffc,0x077fd41f,0x00ffff00,0x802ffd80,
    0x007ffffc,0x6c1bfe60,0x5ffc84ff,0x0013ffe0,0x7fffff40,0xffffffff,
    0x747fffff,0xf80007ff,0x0fffd6ff,0x06fff800,0x00fffe40,0x7ffe4000,
    0xfffd000f,0x6fff8000,0x2001fff5,0x2a003fff,0x04ffffff,0x13ffe600,
    0x03fff700,0x7406fff8,0xffffffff,0xffffffff,0x7fff47ff,0xffffffff,
    0x7fffffff,0x00dffd00,0x4005fff9,0x2e04fff9,0x00002fff,0x0007fff5,
    0x7fe43ffc,0x5c7ff883,0x3fe64fff,0x3fe6001f,0x3ea0005f,0xeffa804f,
    0x3a0007ff,0x053301ff,0x7c413fea,0xd00002ff,0xffffffff,0xffffffff,
    0x7ffe8fff,0x6fff8000,0x8000fffd,0x64006fff,0x00001fff,0x017fffd4,
    0x000fffd0,0xff56fff8,0x3ffe001f,0x7ffec003,0x260000ef,0x74004fff,
    0xffc806ff,0x3fffa02f,0xeeeeeeee,0x5eeeeeee,0x7777fff4,0xeeeeeeee,
    0x9805eeee,0xf9803fff,0x3e6005ff,0x3fe604ff,0xfd00006f,0x2e0005ff,
    0x1ffd83ff,0xff88ffd0,0x03fff37f,0x02fffd80,0x01dff100,0xfe8eff98,
    0x7ff90007,0x0ffec000,0x000fff98,0xddfffd00,0xdddddddd,0xe8bddddd,
    0x440007ff,0xfffd6fff,0x6fff8000,0x0fffe400,0xfff30000,0xffe8007f,
    0x7ffc0007,0x001fff56,0x1000fffe,0x0003ffff,0x004fff98,0x200fffe6,
    0x3a05fff9,0x400007ff,0x00007ffe,0xeefffc80,0xeeeeeeee,0x3000ffff,
    0xfe809fff,0x1cb803ff,0x006fffb8,0x7f41ffe0,0x83ffd00f,0xffebfffd,
    0x7ffcc002,0x3ffa0007,0x8fffc401,0xfa8007fe,0x3f20005f,0x1bfee06f,
    0x7ffe8000,0x7ff40000,0x7fcc0007,0x00fffb5f,0x006fff80,0x000fffe4,
    0x5fffe880,0x07ffd800,0xab7ffc00,0xff000fff,0xffb0007f,0xff30000f,
    0x7fe4009f,0xeeeeeeef,0x0ffffeee,0x000fffd0,0x007ffe80,0xffff8000,
    0xffffffff,0x04ffffff,0x809fff30,0x400ffffa,0xff11effe,0x2e0003ff,
    0x1fff03ff,0xf107ff60,0x007fffff,0x009fffd0,0x100ffee0,0x3ff45ffd,
    0x03ffe200,0x3bff6200,0x003ffa00,0x07ffe800,0x3fff4000,0x3ffea000,
    0x000fffb3,0x002fffc4,0x0007fff2,0x037ffec0,0x007ffd80,0x557ffe20,
    0xff000fff,0xffb0007f,0xff30000f,0x7ffc009f,0xffffffff,0x4fffffff,
    0x000fffd0,0x007ffe80,0x7ffd4000,0xffffffff,0x7fffffff,0x09fff300,
    0x01bfffb0,0x2fffffe6,0x0004fffd,0x7f40dff1,0x03ffd00f,0x009ffff9,
    0x00dfff90,0x201bfe60,0x3ff43ffd,0x00bff600,0x03bffe60,0x0003ffc8,
    0x003fff40,0x01fffa00,0x25fff700,0x0000fffc,0x800bfff3,0x0001fffc,
    0x00ffffc8,0x01fff900,0x57ffe600,0xf000fffa,0xfb0007ff,0xf30000ff,
    0x3ea009ff,0xffffffff,0xffffffff,0x0fffd07f,0x7ffe8000,0x7ec00000,
    0x999999ff,0xfd999999,0xff9802ff,0xfff8804f,0xff9302ff,0x00dfffff,
    0xb017fe40,0x1ffe03ff,0x17ffffc4,0xffffe980,0xffe88001,0x67ffd400,
    0x4cfffccc,0x004ffb80,0x404fffb8,0x00115ffc,0x01fffa00,0x0fffd000,
    0x1fffd800,0x0003fff9,0x0013ffea,0x0003fff9,0x01ffffa8,0x07fff200,
    0xa7ffd400,0x9800fffa,0xd8003fff,0x980007ff,0xfb004fff,0x333333ff,
    0xfb333333,0xfffd05ff,0xffe80000,0x22000007,0xa8005fff,0xf9805fff,
    0xff3004ff,0x88159fff,0x1ffffffb,0x0dff1000,0xf983ffc8,0xffff906f,
    0xa8815bff,0x03fffffc,0x005ff900,0xfffffff5,0x880fffff,0xfc8006ff,
    0x7fec03ff,0xdeffffef,0x076a20ab,0x0003fff4,0x001fffa0,0x50ffff88,
    0x20007fff,0x4002fffb,0x0001fffc,0x00ffffe6,0x07fff500,0x4bffee00,
    0xa800fffa,0xd8003fff,0x980007ff,0xf8804fff,0xfa8005ff,0x7ffe85ff,
    0x7ff40000,0x2e000007,0xd0002fff,0xf9801fff,0x3a2004ff,0xefffffff,
    0xffffffff,0xfc8001ef,0x7ffc402f,0x20bff621,0xfffeeffc,0xfffeffff,
    0x001fffff,0x200bff50,0xccccccc9,0x7404cfff,0x7e4001ff,0x7fcc01ff,
    0xffffffff,0xffffffff,0x0fffd04f,0x7ffe8000,0x3fff2000,0x01bffe24,
    0x007fffc0,0x007fff20,0x2ffff440,0x7ffc4000,0xffff0006,0x007ffea1,
    0x000fffee,0x0001fff6,0x2013ffe6,0x0002fffb,0xfe81fffd,0x7400007f,
    0x000007ff,0x8001fffa,0x4c04fffc,0xc8004fff,0xffffffff,0xffefffff,
    0xf1000dff,0x3ff200df,0x86fffcdf,0xfd50effb,0xffffffff,0x0001bfff,
    0x0003bfe2,0x6403ff40,0x7dc003ff,0xeeeeeeff,0x3ffffa5e,0xffffeeef,
    0x07ffffff,0x0000fffd,0x0007ffe8,0xe81ffff3,0x5c004fff,0xc8006fff,
    0xb0001fff,0x0000dfff,0x0027fff4,0xf99bffee,0xffd802ff,0xffd8003f,
    0xff980007,0x7ffe804f,0x3fff2000,0x003fff44,0x01fffa00,0x7ffcc000,
    0x3fe20004,0x7ffcc07f,0xfd710004,0x7dffffff,0x3ffffa61,0x02ffc803,
    0xfffffb10,0xfff881df,0xffffeb80,0x000cffff,0x000ffec0,0x980ffd00,
    0xfe8005ff,0xffffffff,0x02bbee6f,0x3ffff6a2,0xfe80beff,0x7400007f,
    0xe88007ff,0xffb84fff,0xff5003ff,0xf90005ff,0xf90003ff,0x00001dff,
    0x01ffffdc,0x22ffffa8,0x200ffff8,0x003ffffc,0x0007ffd8,0x404fff98,
    0x0004fff9,0xfd1fffe2,0xe80000ff,0x000007ff,0x0003fff9,0x202fffd8,
    0x0004fff9,0x09aaa988,0x00fffea0,0x5000dff1,0x4c07bffb,0xaa98801e,
    0xf7000009,0xb800009f,0x3ffa204c,0x66644000,0xcccccccc,0x53000623,
    0xffe80355,0x7f400007,0x7fdc007f,0xffd00fff,0x22159dff,0x6ffffea9,
    0x3fff9000,0xffffa800,0xfe800001,0x10acefff,0xdffffd53,0x81bfffb0,
    0x3fffffc8,0x07ffd800,0x4fff9800,0x00fffe40,0x8bfff600,0xaaaafffe,
    0xaaaaaaaa,0xfd1aaaaa,0x555555ff,0x55555555,0xfff83555,0xffa80006,
    0x3ffe605f,0x00000004,0x000007dc,0x00000000,0x19980000,0x10000000,
    0x00000133,0x00000000,0x5555fffd,0x55555555,0x3a355555,0xaaaaafff,
    0xfffedcaa,0x3a201fff,0xffffffff,0xefffffff,0xfff90000,0x7ffc4003,
    0xaaaaaadf,0xaaaaaaaa,0x7f441aaa,0xffffffff,0x0effffff,0xefffffa8,
    0xfddfffec,0xffd8003f,0xff980007,0x37ffc04f,0x7ffd4000,0x3fffffa5,
    0xffffffff,0x5fffffff,0xfffffffd,0xffffffff,0x54bfffff,0x00003fff,
    0x2603ffff,0x00004fff,0x00008000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffa0000,0xffffffff,0xffffffff,0xffffd5ff,0xffffffff,
    0x03ffffff,0xfffffb10,0xffffffff,0xffc8000b,0x3fe2001f,0xffffffff,
    0xffffffff,0xd884ffff,0xffffffff,0x405fffff,0xfffffffb,0x07ff94ff,
    0x00fffb00,0x09fff300,0x001fffd4,0xd1ffff80,0xffffffff,0xffffffff,
    0x3fabffff,0xffffffff,0xffffffff,0x3ff65fff,0xf900000f,0x3fe609ff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffff40,0xffffffff,0x5fffffff,0xfffffffd,0xffffffff,0xc980017f,
    0xffffffff,0xc80001cf,0x22001fff,0xffffffff,0xffffffff,0x04ffffff,
    0x3fffff26,0x001cffff,0xdfffffb3,0x001ffe47,0x0003ffec,0xb027ffcc,
    0x00001fff,0x7f53fff2,0xffffffff,0xffffffff,0xfffd5fff,0xffffffff,
    0xffffffff,0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff4000,0xffffffff,0xffffffff,0xfffffd5f,
    0x9ddfffff,0x26000059,0x0019aaa9,0x0fffe400,0xfffff100,0xffffffff,
    0xffffffff,0x2a66009f,0x400019aa,0x000001a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02620000,0x06aa2000,0x09988000,0x00999800,0x55405550,0x4c40000a,
    0x40000009,0x10000099,0x98800015,0x33000000,0x31000003,0x15300001,
    0x03300000,0x55400000,0x44000002,0x80000099,0x98800018,0x80000009,
    0x40000199,0x80001cc9,0x988002a9,0x10000000,0x00000133,0x40000330,
    0x40002ffb,0x0000ffe8,0x3ffff72a,0xf9803eff,0xff8804ff,0x001ffe06,
    0x3ffffb22,0x2000beff,0x3f6e5ee9,0x300bffff,0x7f6d49dd,0x3001dfff,
    0x47dfffd9,0xddd92eeb,0xfffedb81,0xe9803eff,0x3ffb665e,0x91002cef,
    0x5bfffffd,0x3f72a000,0x6c1bdfff,0xeeeeeeee,0x1eeeeeee,0x00003ff6,
    0xffffdca8,0x3000beff,0x3ff629dd,0xd71002df,0x9dffffff,0xda800015,
    0xdfffffff,0x3bee0002,0x740004fd,0xffb1007f,0x00019fff,0x7fff5c40,
    0x000cefff,0x7ff65cc0,0x002bdeff,0x002fffc8,0x0017fe40,0xfffffe88,
    0x3fffffff,0x013ffe60,0x7c413fe6,0x3f66006f,0xffffffff,0xa801dfff,
    0xffff96ff,0x503fffff,0x3ffeedff,0x03ffffff,0x3fffffa2,0x7ff95fff,
    0x7d43fff6,0xffffffff,0x3e602fff,0xfffff56f,0xa807ffff,0xffffffff,
    0x3a2004ff,0xffffffff,0x3fffe3ff,0xffffffff,0x3ee2ffff,0xe880002f,
    0xffffffff,0x400cffff,0xfff8dffa,0x6cc05fff,0xffffffff,0x002fffff,
    0xfffffeb8,0x2effffff,0x3ea3f800,0xbff10000,0xfffff500,0x0003ffff,
    0xfffffc88,0xdfffffff,0x7fe44000,0xffffffff,0xd9801eff,0x0002ffff,
    0x40017fea,0xfffffffb,0xffffffff,0x4fff980e,0x503ffb80,0x3f2009ff,
    0x99aadfff,0x3ffffdba,0x7ef7fd40,0xffecbdff,0x77fd41ff,0xfeeffffb,
    0xe883ffff,0xecbdefff,0xb3ffdeff,0xfff91fff,0xffffffff,0x3e605fff,
    0xeffffbef,0x02fffffe,0x9bdffff9,0x01dffffd,0xfffffe88,0x3fffffef,
    0xffffffff,0xffffffff,0x0027fcc5,0x3ffffee0,0xffffffff,0x3ea01eff,
    0xfffffddf,0x3ffea02f,0xffffffff,0x00dfffff,0xfffffd88,0xffffffff,
    0x3ea003ff,0xa8001fc0,0x7fcc02ff,0xffffdeff,0xfd10000f,0xffffffff,
    0x05ffffff,0x3ffffa20,0xffffffff,0x3f202fff,0x002ffeff,0x001dff10,
    0xeffffd88,0x3f6a60ab,0x7cc1ffff,0xffc803ff,0x807ff701,0x00beffe8,
    0x0dfffc88,0xbfffff50,0x8dfff901,0x0dfffffa,0x437ffec4,0xf905fffd,
    0x3f67ffff,0xcefffdff,0xfff9510a,0xfff303ff,0xff901bff,0xfffa81ff,
    0x9fffb01e,0x7ffffcc0,0x3ff6a22c,0xccefffbf,0xcccccccc,0x037fc1cc,
    0xffffd880,0x36a60ace,0x502fffff,0x77dfffff,0x7ffe40db,0x510abcff,
    0x1dffffb7,0x7ffff440,0x7fdcc1ae,0xf1002fff,0x8000fc45,0x3a200ffd,
    0x3f221fff,0xe88005ff,0x89aeffff,0xffffca98,0xfffd803f,0x95309adf,
    0x203fffff,0x2ffb9dfe,0x03ffb000,0x7ffff900,0x3fffa600,0x802fb81f,
    0xffb00ffe,0x6fff4403,0xffe88000,0xbffff505,0x23fffb80,0x404ffffa,
    0x3ea2fffd,0x7fdc04ff,0xffffb3ff,0xff5003df,0xfff30dff,0xfffc80bf,
    0x0077ff42,0x7407ffee,0xfc805fff,0x004fffff,0x001ffc80,0x04ffffc8,
    0x3ffffd30,0x0bffff50,0x77fffdc0,0xffff5000,0x77fff409,0xffff9001,
    0x26bb6005,0x3fe0006d,0x1fffcc06,0x8007fff8,0x802ffffd,0x02ffffd8,
    0x003bffe2,0x417fff62,0x00bfee1c,0x0013fee0,0x007bffe6,0x21bfff60,
    0x7fc400fd,0xb01ffe06,0x900007ff,0xfff507ff,0xdffd001f,0x007fffd4,
    0xfc8fffe6,0xffe800ff,0xdffffb3f,0x7ffcc001,0x7fffcc3f,0x1fffcc00,
    0x2003fff7,0xffa86ffe,0x3ff2005f,0x80004fff,0x4c003ffa,0x8001efff,
    0xfa86fffd,0xf1000fff,0x10007fff,0xf701fffd,0xc8001dff,0xb3006fff,
    0x20003bff,0x7dc04ff9,0xfff900ff,0x7ffcc001,0x7fd4001f,0xfff700ff,
    0x7ff44003,0x05ff7007,0x006ff980,0x005fffd0,0x11fffec0,0x9ff300df,
    0xb81bfe20,0x266624ff,0x6c009999,0x7ffd41ff,0x4fff7004,0x8804fffa,
    0x3ffa4fff,0x7fff7004,0x007ffff6,0x31bffee0,0x3e009fff,0x17ffa4ff,
    0x40fffa80,0x4001fffd,0x004fffff,0x005ff880,0x0017fff4,0xa89fffd0,
    0x3a004fff,0x20004fff,0x7cc4fff9,0xd0000fff,0x44003fff,0x7fdc0000,
    0x07ffdc01,0x4007ffc8,0x0002fffd,0x3609fff9,0xfa8005ff,0xffb802ff,
    0x07ff4002,0x37ffd400,0x3ffe2000,0x7003fd37,0x3fea07ff,0xc8bff104,
    0xffffffff,0x8dff102e,0x1001fffa,0x3fea3fff,0x9fff003f,0x88017ffc,
    0xfffb3fff,0x3fe2000d,0x3ffe60ff,0x49ffd003,0x26004fff,0x3fe61fff,
    0xffb8004f,0xd00004ff,0x7fdc00ff,0x7cc0005f,0x3fea0fff,0xfff5003f,
    0xffd0000d,0x1fffe41f,0xbfff5000,0xe8000000,0xfffa807f,0x009ffd03,
    0x003fffc4,0x01ffff10,0x2000bfff,0xfb804fff,0x3ff2002f,0xffff0003,
    0xff900003,0xeb85ffbf,0xefffeeee,0xffeeeeee,0x3fee5eee,0x7ffffe40,
    0x504fffff,0x7ffd45ff,0x4bffe000,0xd002fffa,0x3ffe69ff,0x4fffe001,
    0x0004fffd,0xf98bfff6,0xffd002ff,0x2b3ffe2b,0xaaaaaaaa,0x322fffaa,
    0x88001fff,0x0004ffff,0x2003ff70,0x0000ffff,0x2a2fffc8,0xf9002fff,
    0x500005ff,0x7ffc17bf,0x6740000f,0x03bbaa1b,0x10177740,0xff100bff,
    0xfffa83ff,0x3b2a2001,0x7fdc0003,0x0fffe83f,0x02aab800,0x5002ffb8,
    0x26000bff,0x00005fff,0x01bffff3,0xfffffff9,0xffffffff,0x74dfffff,
    0x887fc85f,0xfd01ffe9,0x003ffd4b,0x7fd53ffe,0x9ffd001f,0x8003ffea,
    0xfffb3ffe,0x7fd40005,0x07ffe64f,0xfaafff40,0xffffffff,0xffffffff,
    0x03fffa4f,0x27ffec00,0x4ff98000,0x04fff980,0xbfff3000,0x800fffd4,
    0x00007fff,0x02fffd40,0xfff50000,0x0fffe001,0x9003ffa8,0x3ee1dfff,
    0x000006ff,0x37ffc400,0x001fffe4,0x17fdc000,0x007ffc40,0x03fffa80,
    0x1fffe000,0xffffffc8,0xffffffff,0x56ffffff,0x0ff903ff,0xfb81ffcc,
    0x00dff50f,0xff55ffe8,0x3ffa001f,0x001fff74,0xffd9ffec,0x3e60001f,
    0x3ffe65ff,0x2bffd001,0xfffffffb,0xffffffff,0x3ffe5fff,0x3ff20006,
    0x3e00004f,0xfffa806f,0x3fe00003,0x03ffea7f,0x01bffea0,0xfff90000,
    0x54000009,0xff000fff,0x07fe407f,0xbdfffd00,0x0000bfff,0x3ffe0000,
    0x7fffcc0f,0x2000000c,0xfd802ffb,0x3ee0002f,0x200002ff,0x2000fffd,
    0xff104ff9,0x641fee0d,0x0ffe207f,0xffa97fc4,0xa7ffc007,0xd000fffa,
    0x3ffea9ff,0x4fff6000,0x0001fffd,0xf99bffe2,0xffd001ff,0x2afffeab,
    0xaaaaaaaa,0xf11aaaaa,0x5c000bff,0x00004fff,0xf7003ff6,0x400005ff,
    0xff51fffd,0xfff7001f,0xd8000009,0x00002fff,0x003ffea0,0xff01fffc,
    0xfff9800d,0x0003ffff,0x3fa00000,0xfffd81ff,0x0001beff,0x2017fdc0,
    0x40004ffb,0x0001fffd,0x007fff20,0xf503ffb8,0x417f209f,0x3ff207fc,
    0x7d4ffe00,0x7ffc007f,0x001fff52,0x7fcd3ffa,0x3ffa001f,0x001fffb3,
    0x266fff80,0xfd001fff,0x0bffe6bf,0x3ffe6000,0x3fea0004,0xccccccef,
    0x201ccccc,0x7e402ffa,0x200001ff,0xff51fffc,0xfff9001f,0xd8000007,
    0x00001fff,0x003ffea0,0xf981fffc,0xffd8004f,0x90001fff,0x99999999,
    0x99999999,0xffd99999,0x3fff203f,0x1bdfffff,0x17fdc000,0x000dff10,
    0x001fffd0,0x17ffdc00,0x203ffb00,0x9fb02ffc,0x2667ff20,0x405ffca9,
    0x1fff54fe,0x43ffe200,0xd000fffa,0x3ffe29ff,0x4fffe002,0x0000fffd,
    0xff33fffc,0x3ffa003f,0x007fff15,0x09fff500,0x7fffcc00,0xffffffff,
    0x3e202fff,0x7fff405f,0x3ee00000,0x1fff52ff,0x03fffb00,0xffe80000,
    0x2000000f,0xf000fffa,0x3fee07ff,0x3ffaa002,0x0001ffff,0xffffffff,
    0xffffffff,0xffffffff,0x7fdc05ff,0xffffffff,0xc98001cf,0x07ffa01c,
    0x7fc06620,0x5c00007f,0x3a003fff,0x03ff607f,0xffc81ff4,0xdfffffff,
    0xfaafec00,0xff7002ff,0x007ffd4f,0x3fe4ffe8,0xfff3005f,0x003fff67,
    0x4cfffd00,0xfd001fff,0x02fffcbf,0x2a359930,0x20003fff,0xfffffff9,
    0xffffffff,0x203ff402,0x00007fff,0xfa9fffdc,0xffe800ff,0x9993000f,
    0xdddddd99,0x001fffe9,0x1fff5000,0x40fffe00,0xf9000ffd,0xffffffff,
    0xffff0001,0xffffffff,0xffffffff,0x07ffffff,0xffffeb88,0x1dffffff,
    0x7fe40000,0x07fe8803,0x0000ffff,0x002fffb8,0x7fc0dff1,0x6413fa07,
    0xdfffffff,0x2a9fd001,0xff006fff,0x07ffd4bf,0x324ffe80,0xfd801fff,
    0x1fffb3ff,0x6fff8000,0x4007ffe6,0x3ff65ffe,0xfffd002f,0x00fffea3,
    0xeffff980,0xeeeeeeee,0x7fe401ee,0x01fffe01,0x5fff7000,0x2003ffea,
    0x5000fffd,0xffffffff,0x3ffadfff,0x54000007,0xff000fff,0x017fe07f,
    0x457fffec,0xaa86fffe,0xddfffd00,0xdddddddd,0xdddddddd,0x4005fffd,
    0xfffffda8,0x0002ffff,0x200bff30,0xffd07ffe,0x6c00001f,0xf3002fff,
    0x17fe209f,0xff905fd8,0x801ffe4c,0xffff53ff,0x2fffb807,0x4003ffea,
    0x3fe24ffe,0x7ffcc05f,0x01fffb3f,0x25fff800,0xd001fff9,0x7ffc4bff,
    0x7ffdc00e,0x013ffe66,0x04fffa80,0x1ffd4000,0x001fffd0,0x97ffe400,
    0xc800fffa,0xf5001fff,0xffffffff,0x3fff6dff,0x2a000000,0xff000fff,
    0x07ff507f,0x41dfffb0,0x224ffff9,0xffd85fff,0x3f200007,0x220001ff,
    0xffffffdb,0x7f440001,0xfffd800f,0x03fffb07,0x7fff4000,0x07ff7001,
    0xfc813fea,0xf70ff906,0x2ff8803f,0x09fffff5,0xf51bfff2,0x3fa001ff,
    0x77ffdc4f,0xfffffa80,0x001fffb3,0x265fff80,0xfd001fff,0xefffb8bf,
    0xffffa881,0x017ffe22,0x04fffb80,0x06ff8000,0x0007fff6,0x51fffe80,
    0xf9001fff,0x326005ff,0xfccccccc,0x1fffb6ff,0x7d400000,0xfff000ff,
    0x803ff907,0xa80efff9,0xff52ffff,0x3fff909f,0x3ff60000,0x3200000f,
    0x0005ffff,0x5c017fec,0xf907ffff,0x400005ff,0xd700ffff,0xdddfffdd,
    0xddffdddd,0x3feabddd,0xfd07fc81,0x87fdc01f,0xeffffffa,0xffffedbc,
    0x007ffd40,0xfd84ffe8,0xfecbdfff,0xfb3fffff,0x440001ff,0x3fe64fff,
    0xbffd001f,0x9dffffd0,0x7fffffb7,0x000dfff0,0x0027ffe4,0x807fec00,
    0x0002fffc,0x543fffe0,0xfb800fff,0x200004ff,0xfff96fff,0x54000005,
    0xff000fff,0x00ffd07f,0x6405fffb,0xffd9ffff,0x2fffb81f,0xffff0000,
    0xfd300000,0x2a0001ff,0xffa804ff,0xff507fee,0x2200009f,0x3f206fff,
    0xffffffff,0xffffffff,0x13fe6fff,0x7fcc1ff2,0xfa97fa05,0xffffeaff,
    0xa80effff,0xfd000fff,0x3fff209f,0xf9efffff,0x1fffb3ff,0x7ffd4000,
    0x007ffe63,0xfc82fff4,0xffffffff,0xfffd03ff,0x7ffe4000,0xfb800004,
    0x9fff502f,0x3fe20000,0x03ffea6f,0x01bffe20,0x36fff800,0x00009fff,
    0x3ea159d7,0xfff000ff,0x804ff887,0xfd807fff,0x06fffeff,0x0007fff5,
    0xa8dfff10,0x2e0001ba,0x88002fff,0x7cc00eff,0x207fe8ff,0x0000ffff,
    0x203fffc8,0xfffffffc,0xffffffff,0x2e6fffff,0x03fe40ff,0xff305ff9,
    0xc87ffd45,0x02cfffff,0x4003ffea,0x3aa04ffe,0xf0dfffff,0x3fff67ff,
    0x3fee0000,0x07ffe62f,0x302fff40,0xfffffffb,0x7ffec019,0xffff0001,
    0xf3000009,0x7fffc09f,0xffc80000,0x03ffea3f,0x00fffec0,0x26fff800,
    0x80006fff,0xff51fffe,0xfff3001f,0x402ffb87,0x8804fff8,0x3ffffffe,
    0x00dfff10,0x49fff700,0x0005fff8,0x0013ffe2,0xf1007ffa,0x81ffa3ff,
    0x0004fffc,0x007fffcc,0x39ff7331,0xbff53333,0x44133333,0x03fe45ff,
    0x7441fff1,0x07ffd46f,0x000006a6,0x06a60000,0x7fecfffe,0x3fa0000f,
    0xe80000ff,0xf91005ff,0x3fe6003d,0xffb8005f,0x000004ff,0x7fe40fff,
    0x7cc0004f,0x80000fff,0x0005fffa,0x7e4dfff0,0x260002ff,0x3fea6fff,
    0xfffa800f,0x2007fec3,0x1004fff8,0x80dfffff,0x0003fffd,0xd03fffe2,
    0x40001fff,0x5c004fff,0x7f4403ff,0x981ffa2f,0x0001ffff,0x8017fff6,
    0xff502ffb,0x8ffee009,0x775405eb,0xf50bff63,0x000001ff,0x00177ff4,
    0x27fff000,0x0000fffd,0x000bfff3,0x8013ffa0,0x7f4004fd,0x7f4001ff,
    0x00004fff,0x2203ff90,0x0001ffff,0x4417fffa,0x2202dfff,0x0003ffff,
    0x3e66fff8,0x360007ff,0x3fea2fff,0xfffb801f,0xf8037fc3,0x3ea006ff,
    0x7cc04fff,0x90000fff,0xffb09fff,0x3ea0005f,0x3e6001ff,0x3ffd806f,
    0x3ee03ff4,0xc8001eff,0x2000ffff,0xff901ffd,0x17fec005,0x27fe4000,
    0x0007ffd4,0xffffd000,0x3e000009,0x1fffb3ff,0x3fff6000,0xffd00002,
    0x017f4009,0x017ffea0,0x4fffffa8,0xff500000,0x77ffdc07,0xfffc8001,
    0xffff100f,0x7ffcc05f,0xf910003f,0xfffc8dff,0xfffc8005,0x017ffcc7,
    0xf31fffec,0x3ffa009f,0xfffb002f,0xffd807ff,0xff98005f,0xfff980ff,
    0xffd8002f,0x07ff4007,0x333ffea0,0x04cfffcc,0x00fffffa,0x17ffff44,
    0xe81ffe00,0x3e2000ff,0xb10005ff,0x3fea0dff,0x4000000f,0x000fffa8,
    0xb3fff800,0x50001fff,0x0000dfff,0xf001fffc,0xfff0009f,0xfff700bf,
    0x00009fff,0xd017fe20,0x2007ffff,0x02ffffe8,0x406ffc98,0x00dffffc,
    0x3ffffee0,0x77fffc46,0xffff9000,0x0ffff885,0x8fffff20,0xf5001ffb,
    0x74401dff,0x3fffffff,0x3bfffe60,0xffff7000,0x7ffff40b,0xfffb1003,
    0x17fe4009,0x7ffffd40,0x07ffffff,0x37ffffa2,0x7fdcc41a,0x44003fff,
    0x1ffe06ff,0x3bffa200,0xffb8800b,0xfff500df,0x20000001,0x00003fff,
    0xffb3fff8,0xa8e6c01f,0x003ffffd,0x05fff700,0x001ffe20,0x07bfffe6,
    0x3ebfff22,0xaaaaadff,0x2aaaaaaa,0x880ffd00,0x1adffffe,0x7fffdd44,
    0x3fe2004f,0x7ffec01f,0x511bdfff,0xfffffdb7,0xffff501b,0xff51039f,
    0x3f607fff,0x7e440dff,0x3fa3ffff,0x7ffec007,0x7ff5441f,0x3ffffeff,
    0x3ffffee0,0xffda881b,0x3e200eff,0x1aceffff,0x3fffeea6,0xbff5001f,
    0x33332600,0x4cfffccc,0x7fffec40,0xffffefff,0x8002ffff,0xff304ffa,
    0x7fe4000b,0xa999acff,0x03ffffda,0x0007ffd4,0x6d4cc400,0x00001fff,
    0xffb3fff8,0x3ffea01f,0x04ffffff,0x7ff6e400,0x7ff4007f,0x403ecabe,
    0xdfffffe8,0xf3ffffec,0xffffffff,0xffffffff,0x00bfee00,0x3ffffff6,
    0xffffffef,0x4ccc02ff,0x800fffea,0xfffffffb,0xffffffff,0x7cc02eff,
    0xeeffffff,0x4fffffff,0x3ffffea0,0xddfffece,0x0bff13ff,0xffffe880,
    0xfffffedf,0xffffe88e,0x3fffee04,0xfffeefff,0x800effff,0xfffffff9,
    0xffffffff,0xff1001ff,0x3a00001d,0x7fdc007f,0xffffffff,0x0000efff,
    0x3ea05ff7,0x7540004f,0xffffffff,0x801dffff,0x0000fffa,0xfffffe80,
    0xf000005f,0x3fff67ff,0xffffff00,0x00009fff,0x09ffffff,0xfffffb80,
    0xfe8803ff,0xffffffff,0x3ffffe3f,0xffffffff,0xf3007fff,0x3fee009f,
    0xffffffff,0xf800efff,0x03ffffff,0x3ffffa60,0xffffffff,0x3a6003ff,
    0xffffffff,0x802effff,0xfffffffb,0x27ff94ff,0x88003ffa,0xfffffffd,
    0xffd84fff,0x7ff5402f,0xffffffff,0x2000cfff,0xffffffd8,0xefffffff,
    0x07ff6001,0x07fe8000,0xffffd500,0x0039ffff,0x901ffd80,0x200005ff,
    0xffffffc9,0x2a000bef,0x00000fff,0x3efffff8,0x3fe00000,0x01fffb3f,
    0x3fffffae,0xf880002d,0x0004ffff,0x17fffff7,0x3fb6e200,0x7c2cefff,
    0xffffffff,0x7fffffff,0x001bfe00,0xffffffd5,0x220039ff,0x02efffff,
    0xfffd7100,0x179dffff,0x3ff26000,0x3effffff,0x7ffecc00,0x3ff23eff,
    0x0001ff93,0x7fffff5c,0x0ff602df,0xffffdb80,0x01ceffff,0x3ffb2600,
    0x2cefffff,0x027fdc00,0x0132e000,0x35553100,0x55400003,0x002aa602,
    0x04ccc000,0x00000000,0x00266620,0x00000000,0x0000d54c,0x004d54c0,
    0x002a6200,0x002aa200,0x54000000,0x5310002a,0x20003355,0x00001998,
    0x00d554c4,0xaa998000,0x5300001a,0x01554003,0x01553000,0x98800140,
    0x0009aaaa,0xaaa98800,0x0cc40001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x000000a9,
    0x00002662,0x10000000,0x00000399,0x00000000,0x00003310,0x17fffc40,
    0x00000000,0x0017fff6,0x7c41fffd,0xf30005ff,0x98003fff,0x8001ffff,
    0x0006fffc,0x07fffdc0,0xff700000,0x000001ff,0x800006a6,0xc884eeea,
    0xfffb0000,0x07ba200b,0x5400774c,0x7fec4fff,0x8054001f,0x7cc002cc,
    0x74002fff,0x3ae04fff,0x70ceffff,0x644009dd,0xeffffffe,0x3ee0000b,
    0x3ffe21ff,0xdefb8004,0xffa8004f,0x027ffc1f,0xf10fffdc,0xca8809ff,
    0x02effffe,0x7ffe4000,0x7ffd4004,0x013ffe21,0x3ffffee0,0x3ffe2004,
    0x003bff65,0x017ffec0,0x3ffffe20,0xffe8000f,0x3a00002f,0x00001fff,
    0x00ffff40,0xffdb5000,0x003bffff,0x8efffa80,0x8004ffc8,0x000efff8,
    0x3fec1bfe,0x23fff900,0x1003fffa,0x237dfff9,0x22003ff9,0x00fffffe,
    0x20bfff50,0xffffffe8,0x5ffc8eff,0xffffd980,0xffffffff,0xffb8001d,
    0x13ffe21f,0x0fa93e00,0x0fffd400,0x2e013ffe,0x3fe21fff,0x3ffa604f,
    0x5fffffff,0xfff10000,0xfff5000b,0x027ffc43,0x3f3ffe60,0x3ea002ff,
    0x1fffabff,0x9fff3000,0xbdffd000,0xf1000dff,0x20000dff,0x0003fffa,
    0x1fffd400,0xffd88000,0xffffffff,0x220000cf,0xeffffffe,0xfffc8002,
    0x6ffe4001,0x04ffdb9a,0x7477ff40,0x3f6004ff,0xfeffffff,0x3f6002ff,
    0x006ffcef,0xd101fffd,0xfb9dffff,0x0bffbfff,0xadffffc8,0xffdba99a,
    0x7dc003ff,0x3ffe21ff,0x207d4004,0x7fd4003f,0x027ffc1f,0xf10fffdc,
    0x3fe609ff,0xfffcdeff,0xc80004ff,0xa8000eff,0x3fe21fff,0x3fe2004f,
    0x03fff75f,0x7ffffe40,0x3f60002f,0xffc8006f,0x04fff89f,0x02fff980,
    0x05ffe800,0xffe80000,0xff300005,0xfd99bdff,0x0009ffff,0x2effffa8,
    0x7fff1000,0x3fffa000,0x8006ffff,0x6ffefff8,0x277fe600,0x5fffffeb,
    0x27ffee00,0x5405ffe8,0xffb01fff,0xfff901bf,0x3fa20bff,0xc8800bef,
    0x7000dfff,0x7fc43fff,0x17c4004f,0xfa8003f1,0x27ffc1ff,0x10fffdc0,
    0x3fa09fff,0xffe983ff,0x3e20001f,0xf50001ff,0x7ffc43ff,0x3fff6004,
    0x003fffa0,0x04ffffd8,0x03ffe200,0x47fff500,0x8003fffa,0x40006ffa,
    0x00006ffa,0x006ffa80,0x0bfffa00,0x00ffffb8,0xffffea80,0xf90000ff,
    0x6440009f,0x004fffff,0x3ffffea0,0x0bfea000,0x4003bd71,0x3ea4fff9,
    0x3ff603ff,0x09fff503,0x85ffffa8,0x000dffe8,0x005ffe88,0xdb000000,
    0x0000db35,0x00000000,0x5409fff3,0x20003fff,0x00002cc9,0x664c0000,
    0x1666442c,0x09999100,0x01cca800,0xb84ccc80,0xb8000ccc,0x2e0000cc,
    0x000000cc,0x0000ccb8,0x005fff30,0x4005fff7,0xe9cffff9,0x990005ff,
    0x4c400009,0x99700000,0x00000039,0x21332e00,0xc880cccb,0x3fff603c,
    0x5fffd800,0x0003ffd8,0x0003ffc8,0xfd980000,0x000001df,0xc8000000,
    0x7f400fff,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffc80000,0x7fff1006,0x067fc400,0x0007fff3,0x00000000,
    0x00000000,0x00000000,0x01fffc00,0x5c5fff98,0x36e604ff,0x3ff603cd,
    0x00000001,0x00000310,0x40000000,0xfe806ffd,0x54c0003f,0x0001b701,
    0x33300000,0x06660000,0x00ccc000,0x00000000,0x13310000,0x2a620000,
    0x13310019,0x0154c400,0x8007fff0,0x3fff700a,0x00000000,0x40000153,
    0x100000a9,0x20000133,0x00000998,0x8007ffe2,0x3fe25fff,0xfffff505,
    0xff107fff,0x0353000d,0x00d4c000,0x00998800,0xfe800000,0x7ffcc05f,
    0x7f644001,0xf32effff,0x0a98009f,0x3f6e2000,0x001dffff,0x3ffff6e2,
    0x2e2001df,0x1dfffffd,0x001ddd50,0x7754bbba,0x5ddd000e,0x7fffec40,
    0x5c002dff,0xfffffffd,0x7ff6cc0c,0x0000cfff,0x04fff880,0xbdedba80,
    0xea86ffe9,0xddd000ee,0x7ff64405,0x4002dfff,0xfffffec8,0x7ec4002d,
    0x02dfffff,0x7fffec40,0x3a202dff,0xfffa82ee,0x97ffa000,0xffa80ffb,
    0xfffebbdf,0x402ffa83,0xfffffeda,0x36a001df,0xdffffffe,0x3ff62001,
    0x202dffff,0xd000eeea,0x13ffe5dd,0x800dffb0,0xfffffffa,0x06ffefff,
    0xffffec88,0x3f2002df,0xffffffff,0xfffc804f,0x4fffffff,0xfffffc80,
    0xa84fffff,0xff000fff,0x03ffea7f,0x441fffc0,0xfffffffc,0x4c00cfff,
    0xfffffffe,0xff71ffff,0xffffffff,0x5d440007,0x04ffffec,0x3ffffa60,
    0x2fffffff,0x8007ffd4,0xff503fff,0xffffffff,0x3ffea009,0x4fffffff,
    0xffffc880,0x0cffffff,0x7fffe440,0x0cffffff,0xb83fff88,0x7ec007ff,
    0x2a17fa5f,0xff880eff,0x105fe80f,0xfffffffb,0x4019ffff,0xffffffd8,
    0x00cfffff,0x3fffff22,0x80cfffff,0xf000fffa,0x13ffe7ff,0x002fff98,
    0x37fffff2,0xfffffffc,0x7fffd400,0x04ffffff,0xdeffffd8,0x04fffffc,
    0x37bffff6,0x04fffffc,0x37bffff6,0x44fffffc,0xf000fffa,0x3ffea7ff,
    0x07fff000,0x9bdffffb,0x01dffffd,0x3bffffea,0xfffffecc,0xcceffffd,
    0x803ffffe,0xffffecb8,0x04ffffff,0xffffff70,0xdfffffff,0x000fffa8,
    0xff907fff,0xffd9bdff,0x7e401dff,0xfecdefff,0x3600efff,0xecdeffff,
    0x200effff,0xcdeffffd,0x40effffe,0xfc83fff8,0x7fe4007f,0xff03ff55,
    0x84ff980f,0x7fcc0ffb,0xfeccdeff,0xf304ffff,0xd99bdfff,0x409fffff,
    0xcdeffffd,0x40effffe,0xf000fffa,0x0fffe7ff,0x2006ffd8,0xa82ffffa,
    0x200ffffd,0xcdeffffc,0x00effffe,0x503dfff7,0xf705fffd,0xfd503dff,
    0xfff705ff,0xfffd503d,0x007ffd45,0xff53fff8,0x3ffe001f,0x0f7ffdc3,
    0x82fffec4,0x9102fffe,0x1bffffff,0x03fffd30,0x7fffffe4,0xfffdffff,
    0xffffa804,0x3ffee20b,0x3ffea2ff,0x87fff000,0xb01efffa,0x3ea09fff,
    0xffb01eff,0x3ffee09f,0xfffd881e,0x3dfff705,0x8bfffb10,0xfb83fff8,
    0x3f6000ff,0xf10ff75f,0x2013007f,0x7ff42ff8,0x3ffee02f,0x2fffe80f,
    0x03fffee0,0x207bffee,0x545fffd8,0xff000fff,0x40fffe7f,0x2002fff9,
    0x2a01fffe,0xf504ffff,0x3f603dff,0xfff884ff,0x3ffe600e,0x077ffc46,
    0x88dfff30,0x2600efff,0x3fea6fff,0x7fff000f,0x4003ffea,0x3fe23fff,
    0x7fe400ef,0x07ffd42f,0x27ffff40,0xd82fff40,0xceffffff,0x013ffe1b,
    0x9807fffa,0x3ea4fffe,0xfff000ff,0x00effe87,0x740fffdc,0x7dc00eff,
    0x7ffc41ff,0x7ffe400e,0x077ffc42,0x88bfff20,0xffa83fff,0x3ffa001f,
    0xff50bf95,0x7ff00001,0x4017ffcc,0x7cc2fffb,0xffb802ff,0x77ffc42f,
    0x17ffe400,0x2001fff5,0x7fff3fff,0x801bff60,0x2203fffc,0x81ffffff,
    0x5c00effe,0x7fdc1fff,0xfffd802f,0x00bffee0,0xfb83fff6,0xffd802ff,
    0x01fff50f,0x7d4fffe0,0xfff000ff,0x00fffec7,0xb07fffc4,0x3f200bff,
    0xff3006ff,0xffffc83f,0x3ffe201b,0x17ffdc04,0x53fffd40,0x3e001fff,
    0x3ffee3ff,0x8dffd001,0xd001fffb,0xfffd8dff,0xffff8801,0x007fff60,
    0x443fffe2,0xff983fff,0x3ffe002f,0xff909fb5,0x93fa0000,0xf1006ffc,
    0x6ffc87ff,0x87fff100,0x8801fffd,0xff50ffff,0x3ffe001f,0x3a07fff3,
    0x3fa006ff,0x57ff406f,0x7fdc4fff,0xdffd001f,0x1006ffe8,0x7ff4159b,
    0x159b1006,0x88037ff4,0xfff50acd,0x4fffe001,0xf000fffa,0x2fffc7ff,
    0x45fff700,0xf7001ba9,0x7f4007ff,0x077ffc3f,0x027ffcc0,0xd801bffe,
    0xfff51fff,0x8fffe001,0x2a005ffe,0x3ffa0fff,0x3ffea005,0x8017ffe0,
    0x3fe2fffb,0x3fee005f,0x07fff12f,0x200bfff1,0x7fd5fffa,0x0000dfd0,
    0x2a9897f6,0x10fffe00,0x7fc00553,0x02fffc3f,0x2a5fff70,0xff000fff,
    0x40fffe7f,0xf000fffd,0x7fe409ff,0xfe8bffd1,0x3fea005f,0x09fff10f,
    0x4fff8800,0x7ffc4000,0x7fd40004,0x7fff000f,0x4003ffea,0xfff13fff,
    0x7ffc4005,0x7fdc0003,0x3ff6001f,0x00fffe64,0x1027ffd4,0x54007fff,
    0xfff53fff,0x8fffe001,0x26004fff,0x3ffe1fff,0x3ffe6004,0x005fff11,
    0xf89fffc4,0x3e2002ff,0x7fff13ff,0x007fff20,0x7f57fffa,0x0007fd84,
    0x80009fd0,0x0004fff8,0x224fff88,0x22002fff,0xfff53fff,0x4fffe001,
    0xff503fff,0xff8803ff,0x47ff502f,0x7ffc6ffd,0x3ffe6004,0x007fff31,
    0x03fff980,0x1fffcc00,0x3ffea000,0x27fff000,0xf000fffa,0x3ffea7ff,
    0x27ffc001,0xffb95300,0x55557fff,0xfb555555,0x17ffdcdf,0x04fffd80,
    0x800bffe6,0xff54fff8,0x3ffe001f,0x559fff13,0x55555555,0x3e25fff5,
    0xaaaaacff,0xffaaaaaa,0x03fff52f,0xf54fff80,0xff8003ff,0x07fff14f,
    0x803bffe2,0xfb5ffffc,0x000ff90b,0x8800ffe0,0xffffecba,0x65d44004,
    0x2a4ffffe,0x7c001fff,0x1fff54ff,0x7cfffe00,0x3ff603ff,0x3fe603ff,
    0x45ff981f,0x3fe27ffc,0xaaaaaacf,0xfffaaaaa,0x005fff52,0x02fffa80,
    0x17ffd400,0x3ffea000,0x27fff000,0xf000fffa,0x3ffee7ff,0x2fff4000,
    0xfffeca88,0xffffffff,0xffffffff,0x2a7fffff,0xfc805fff,0x3ea04fff,
    0x7fc001ff,0x01fff54f,0x7d4fffe0,0xffffffff,0xffffffff,0xfffff54f,
    0xffffffff,0x2e9fffff,0x74000fff,0x1fff75ff,0x15ffe800,0x7dc07fff,
    0xd510bfff,0x32bfffff,0x01ffa86f,0xff883ed8,0xffd97102,0xffffffff,
    0x7f65c409,0xffffffff,0x03ffee4f,0x2abffd00,0xff000fff,0x00fffe7f,
    0x01dffffb,0xe883fff5,0x3ffdc0ef,0xfffffff5,0xffffffff,0x3fea9fff,
    0x7d40001f,0x540001ff,0x40001fff,0xf000fffa,0x3ffea7ff,0x27fff000,
    0xd8007ffc,0xfffb86ff,0xdeffffff,0xffffffff,0xffffffff,0xffff10ff,
    0x7fffe403,0x3ffee05f,0xafffc000,0xf000fffa,0x3ffee7ff,0xffffffff,
    0x5fffffff,0xfffffff7,0xffffffff,0x3ff2bfff,0x6ffd8007,0xb000fff9,
    0x3ffe2dff,0x7fffe403,0xfdffffff,0x83ff55ff,0x7d406ff8,0x80ffb85f,
    0xfffffffc,0x4fffdfff,0xffffff90,0xfffbffff,0x003ffe49,0xffab7fec,
    0x7fff000f,0x2e00fffe,0x541fffff,0x7fec1fff,0x2e7ffc81,0xffffffff,
    0xffffffff,0x5fff35ff,0xfff98000,0x7fcc0002,0x7d40002f,0xfff000ff,
    0x003ffea7,0xffb9fffc,0x7ff4000f,0x7ffffe46,0xff50abde,0x5555557f,
    0x55555555,0xceffffc8,0xeefffeba,0x3fee06ff,0x7ffc000f,0x001fff54,
    0x7fd4fffe,0xaaaaaabf,0xaaaaaaaa,0x557fff51,0x55555555,0x3ee35555,
    0x7f4000ff,0x01fff76f,0xf16ffe80,0xff5007ff,0x27ffffff,0x13fe4ffe,
    0x74413fee,0x85fe81ff,0xeffffffd,0x13ffe1bc,0x3ffffff6,0x3ffe1bce,
    0x003ffee4,0x3eadffd0,0xfff000ff,0x400fffe7,0x20ffffe9,0x3ee2fff9,
    0x4bffb03f,0xaaabfffa,0xaaaaaaaa,0xfff11aaa,0xff880005,0x7c40002f,
    0x540002ff,0xf9800fff,0x1fff53ff,0x27fff300,0x4001fffa,0x3ff65fff,
    0x3ee01bef,0x200000ff,0xfffffffe,0xfff53fff,0x07ffea01,0x53fff880,
    0xf3001fff,0x3ffe67ff,0xff980002,0xfa80002f,0x7fc001ff,0x03fff55f,
    0xf15fff80,0x2a2007ff,0x3e1bdfec,0x03fee4ff,0x2eafbffa,0xf983fffe,
    0x7fffe42f,0x3ffe201b,0x5ffffe44,0x93ffe201,0x4001fffa,0xfff55fff,
    0x7fff3001,0x8800fffe,0x7fc3fffd,0x40bff33f,0x3fe64ffe,0xff00002f,
    0x55dc007f,0x800fffe0,0x3ffe0abb,0x42aee003,0xa800fffa,0xfff53fff,
    0x7fff5001,0x800bffe6,0x3fe4fff8,0xfff7007f,0xfb800003,0x0dffffff,
    0x4c0fffe2,0x26002fff,0xfff52fff,0x7fff5001,0x000fffe2,0x00fffe20,
    0x0bffe600,0x34fff880,0x44005fff,0xfff14fff,0xff800007,0x417fe23f,
    0xfffffffc,0x86fe883f,0x9800efff,0x7ffc4fff,0xfff9800e,0x00bffe64,
    0xf54fff88,0xff5001ff,0x00fffe7f,0xfd1bffa0,0x01dfd1df,0xf88fffe6,
    0xd00003ff,0x7fc00bff,0x017ffa3f,0x3fa3fff8,0x3ffe005f,0x003fff53,
    0x3ea7fff7,0xffb801ff,0x09fff13f,0xa97ffd40,0xf9003fff,0x6ec005ff,
    0x5554c03c,0x403ff100,0x2004fff8,0xff51fffc,0xfff7003f,0x002fffc7,
    0x7fc35993,0x3326005f,0x09fff11a,0x897ffd40,0x2a004fff,0xfff12fff,
    0x22000607,0x7fdc2fff,0xdffb9303,0x0bff6019,0x2007fff3,0x3e64fffa,
    0xff5003ff,0x27ffc49f,0x25fff500,0xb801fffa,0x7fff3fff,0x3fff7000,
    0x7ff7ffec,0x07fff601,0x4c00bfff,0x3ff21acc,0xfffa801f,0x007fff21,
    0xfc87ffea,0xffa801ff,0x05fff31f,0x267fffb0,0xfd802fff,0x3fffa3ff,
    0x1fffd000,0x2007fff2,0x005ffff9,0x000bfff5,0x3601fe60,0xf8800fff,
    0x3ffe66ff,0x3fffd802,0x400bfff6,0x3f61fffe,0xffd002ff,0x07fff43f,
    0x20fffe80,0xd000fffe,0x3fe21fff,0x07dfd03f,0x203fff20,0x80002ffd,
    0xffb84ffc,0xfffb002f,0x017ffdc9,0x744fffd8,0xfd000fff,0x3ffe61ff,
    0x3fffd802,0x03507fff,0xf30fffdc,0x5405ffff,0xffd85fff,0xfffd002f,
    0x02fffc43,0x3e237ff4,0xffe805ff,0x02fffc46,0xff137ff4,0x7fe401ff,
    0xffff13ff,0x7fffe401,0x017ffe63,0xfb97ffee,0x7fc404ff,0x4404ffff,
    0x0001ffff,0xf300df70,0xff900bff,0x7fffc45f,0x3ffff200,0x03bffe23,
    0x88dfff70,0x5c00efff,0x7fcc6fff,0xfffb805f,0x02fffcc5,0xf12fffdc,
    0x3ff607ff,0x7ffcc00f,0x0bfff106,0x1bff6200,0x402fffd4,0x2a4ffffc,
    0xfc805fff,0x7fcc4fff,0xfffb805f,0x03fffe25,0xf3ffffc8,0x77f547ff,
    0x90fffd00,0x7015ffff,0xf101ffff,0xfb801dff,0xfffb86ff,0xfffd880e,
    0x0efffb82,0x82fffd88,0x880efffb,0x7ec2fffd,0x7e440dff,0x3f63ffff,
    0x7e440dff,0x7e43ffff,0xff900eff,0x7ffcc1ff,0xfffd300f,0x3019fffd,
    0x000bfffb,0x400ffe40,0x880dfffd,0xfd85fffd,0x7e440dff,0x7dc3ffff,
    0xfa881eff,0xffb82fff,0xffa881ef,0xfffc82ff,0xffff900e,0x1dfff901,
    0x83ffff20,0xf703fff8,0x3a603bff,0x3a202fff,0x8800beff,0x100dfffb,
    0x6403ffff,0x225fffff,0x3201ffff,0xc85fffff,0xf900efff,0xffd81fff,
    0x7fe440df,0x7fff3fff,0x5c2fffd4,0xff985fff,0xedbdffff,0x2e02ffff,
    0xa881efff,0xfd02ffff,0xfb77bfff,0x7f409fff,0xfdbbdfff,0x3fa04fff,
    0xfdbbdfff,0xffa84fff,0xffecefff,0x2a3ffddf,0xecefffff,0x3ffddfff,
    0x6fffff44,0xfffffdbc,0xeffffd81,0xdffffdbb,0x9dffffb0,0x0dfffff9,
    0xdffb8000,0x3ff60e61,0xffdbbdff,0xffa80fff,0xffecefff,0xe83ffddf,
    0xdbceffff,0x203fffff,0xbceffffe,0x03fffffd,0x9bffffd1,0x3fffffb7,
    0x3ffffa20,0xffffdbcd,0x1fffc41f,0x9fffffb0,0xbffffb97,0x3ffff200,
    0xdaa999ac,0xc803ffff,0xbaceffff,0xffeefffe,0x77fffe46,0xefffebac,
    0xfe886ffe,0xfdbcdfff,0xfa81ffff,0xfeceffff,0xf3ffddff,0xfffb87ff,
    0xfffffccf,0xfffffe80,0xffffffff,0xffffe802,0xffffdbce,0x7ffe403f,
    0x4fffffff,0xfffffc80,0x804fffff,0xfffffffc,0x3ee04fff,0xffffffff,
    0xfb87ff94,0xffffffff,0x9107ff94,0xffffffff,0x3a203dff,0xffffffff,
    0xfffc83ff,0xdfffffff,0x7cc00000,0x07ffefff,0xfffffff9,0x5c01bfff,
    0xffffffff,0x207ff94f,0xfffffffc,0xc803ffff,0xffffffff,0x64403fff,
    0xffffffff,0x64401eff,0xffffffff,0xff881eff,0x3ffa203f,0xffffffff,
    0x7f54004f,0xffffffff,0x2001dfff,0xfffffffe,0xfff53fff,0xfffffe81,
    0xf53fffff,0xff9101ff,0xffffffff,0x7ffdc03d,0x94ffffff,0x0fffe7ff,
    0x3ffffff6,0xffc81fff,0xfffffd99,0x7e4003ff,0xffffffff,0xfd3003ff,
    0x03dfffff,0x7ffff4c0,0x26001eff,0xeffffffe,0xfffd9801,0x3ff23eff,
    0xffffd983,0x0fff23ef,0xfffffea8,0xff7002ce,0x019dffff,0x7ffffedc,
    0x000002ef,0x3ffffff2,0x3fff6a06,0x3002efff,0x7dfffffb,0xb301ffe4,
    0x9fffffff,0x7fecc001,0x00cfffff,0x3ffffaa0,0x54002cef,0xcefffffe,
    0x0fffe202,0x3ffffaa0,0x0001dfff,0x3fffff26,0x0000beff,0xfffffff7,
    0x1fffc41b,0x7fffffdc,0x3ffe20df,0x3fffaa03,0x3002ceff,0x7dfffffb,
    0xfff9ffe4,0xfffff703,0x0ff201bf,0x00135531,0x7fffecc0,0x0000cfff,
    0x00013553,0x0009aa98,0x004d54c0,0x0001a980,0x00001a98,0x80002aa6,
    0x10001aa9,0x00001355,0x337b6a00,0x06aa2001,0x00353000,0x0d554400,
    0x55544000,0xaa980001,0x55300000,0x10000001,0x00135553,0x01333000,
    0xaaa98000,0xaa980000,0x4c00000a,0x4c0000aa,0x3000001a,0x03001355,
    0xa8800000,0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff30000,0x5c00003f,0x2000efff,
    0x000ffffb,0x000ccc00,0xe980f744,0x7400000e,0x09dd92ee,0x007fffdc,
    0xc8054400,0x7fcc002c,0x200001ff,0x000efffb,0x013fffa2,0x77740000,
    0x1fffd802,0x4c077ff4,0x40003eee,0x3312eee9,0x30000003,0x17aa01dd,
    0x3ffff300,0x003fffea,0x009fffd0,0x009fffd0,0x0006a620,0xf983fffa,
    0xff8805ff,0x3ffe60ef,0x775c0004,0x4c400006,0x7fc40009,0x0000ffff,
    0x003fffd0,0x007fffb0,0xfffdb880,0x3e001dff,0x00ffb06f,0x27fff000,
    0x7e406ffd,0x220004ff,0x30befffc,0x7c4007ff,0x000fffff,0x03ffff00,
    0x1ffff100,0xff000000,0xffd1007f,0x80fffe4d,0x0004fff9,0xfc9fffcc,
    0x000001ff,0xfe827fc4,0x7ffec005,0x00bfff62,0x00dfff50,0x7fffff90,
    0x3ffee200,0x801defff,0x3fa5fff8,0xff3000ef,0x037ff49f,0xfff90b50,
    0x22016440,0x05ffffed,0x3f3bff60,0xfa80006f,0x3a0003ff,0x90000fff,
    0xffffffff,0x3f2009ff,0xffda9adf,0xff800004,0x00dffb3f,0x0001fffd,
    0x3ffffffa,0x001fffef,0x3ff7bff6,0xffb80006,0x3e60002f,0x700004ff,
    0xff999999,0x4c0399df,0xfff9cfff,0x13ffe602,0x7fff3000,0x0007fff2,
    0x33ff6000,0x02ffdb9a,0x993ffe20,0xe8004fff,0x54000fff,0x1fffbfff,
    0x7ffffcc0,0x03ffffff,0xfbafffa8,0x7dc000ff,0x0fffc9ff,0xc86fd980,
    0x5ff707ff,0x7ffff440,0xff7003ff,0x0bfff13f,0x04ffe800,0x1fffc400,
    0x7fffec00,0xfffffcde,0xffffd004,0x0000dfff,0x764fffe0,0xffe8806f,
    0xdff98003,0xfffffeb9,0x3fff2005,0x004fff89,0x0027ff40,0x007ffdc0,
    0x7ffff400,0xffffffff,0x77ffd402,0x7fcc04ff,0x7cc0004f,0x3fff93ff,
    0xf1000000,0xbfffffff,0x46ffb800,0x98006ffd,0x4c001fff,0xfff94fff,
    0x3fffa201,0xffffdcce,0xfffc804f,0xb0002fff,0x03ffffff,0x2e1bff60,
    0xfff887fe,0x3ffff602,0xfa802fff,0x3ffea4ff,0xdff50003,0x3fe60000,
    0x7ffdc007,0xfffea81e,0xffff7002,0x0000019f,0x4f88fffe,0x00fff300,
    0xb883ff50,0x3ea001de,0x3ffea4ff,0xdff50003,0x7fe40000,0xffe80004,
    0xffffffff,0xffc802ff,0xff9805ff,0x7cc0004f,0x3fff93ff,0x22000000,
    0x03fffffc,0x221fff80,0xd8000fff,0x744003ff,0x3ffe26ff,0x05fff906,
    0x003fffea,0x00fffffa,0xffffe880,0x1bff6003,0xfff886f8,0x07bffe02,
    0x21332e00,0x8000cccb,0x00000ccb,0x4400732a,0x2600efff,0x44006fff,
    0x80000009,0x0fea3fff,0x001cca80,0x97000000,0x19997099,0x01997000,
    0x04cc8000,0x7ffc0000,0xcccc8003,0x4fff9800,0x7ffcc000,0x00007f43,
    0x004cc000,0x4c2cc980,0xc88002cc,0xcca8003c,0x0e664c1c,0x2e027ff4,
    0xc8802fff,0x980003cc,0x6c003ccc,0x0bf106ff,0x2205fff1,0x00004fff,
    0x00000000,0xf7000000,0xffb005ff,0x0000001f,0x8fffe000,0x000001fd,
    0x00000000,0x00000000,0x00000000,0x0007fff0,0x3ffe6000,0x7fcc0004,
    0x0003fc3f,0x00000000,0x00000000,0x7c400000,0xcee802ff,0x00000002,
    0xdffb0000,0x3e20ff20,0xfff302ff,0x54c00005,0x2a600000,0x2a600000,
    0x1bffa000,0x00566c40,0x00003530,0x3ffe0331,0x44007fb3,0x20000099,
    0x200001a9,0x200001a9,0x200001a9,0x880001a9,0x07fff019,0x00133100,
    0x0013ffe6,0x547fff30,0x0000005f,0x00009988,0x00013310,0x0001a988,
    0xf000d4c4,0x00000bff,0x00003531,0x6c000d4c,0x05fb86ff,0x2605fff1,
    0x20001fff,0xfffffec8,0x7644002d,0x02dfffff,0x7fff6440,0x3e202dff,
    0x800004ff,0xfffffeda,0x3ae001df,0x3e3effff,0x100553ff,0xbffffffb,
    0xfeda8005,0x01dfffff,0x3fffb6a0,0x2001dfff,0xfffffeda,0x36a001df,
    0xdffffffe,0x3ffae001,0x3ffe3eff,0xfffb1003,0x4c05bfff,0x40004fff,
    0xdf53fff9,0x004cc001,0x7fffec40,0x44002dff,0xdffffffd,0xfff71002,
    0x003bdfff,0xffffff71,0x7fe403bd,0x20000bef,0xffffffb8,0x36a001de,
    0xdffffffe,0xfffdd301,0x0933dddf,0xddfffdd9,0x0fffccbd,0xffffa800,
    0x04ffffff,0xffffff50,0x2009ffff,0xfffffffa,0xff304fff,0x4400007f,
    0xfffffffd,0x200cffff,0xffffffe8,0x07fff5ff,0x3ffff220,0x0cffffff,
    0x7fffec40,0xcfffffff,0x3fff6200,0xffffffff,0x3ff6200c,0xffffffff,
    0x3f6200cf,0xffffffff,0x3a200cff,0xffffffff,0x403fff8d,0xffffffc8,
    0x980cffff,0x40004fff,0x1d73fff9,0xfb71f75c,0x801bdfff,0xffffffc8,
    0x400cffff,0xffffffc8,0x200cffff,0xfffffff9,0x2603ffff,0xffffffff,
    0xff303fff,0x039dffff,0x7ffffcc0,0x03ffffff,0x7ffffec4,0x0cffffff,
    0x7fffffcc,0x3f602fff,0x7fffffff,0x0007ffe6,0x37bffff2,0x0effffec,
    0x3bffff20,0xeffffecd,0x3ffff200,0xffffecde,0x17ffd40e,0xfff98000,
    0xffeccdef,0xfd104fff,0xffb9dfff,0x007fffdf,0x37bffff6,0x0effffec,
    0xbdffff30,0xfffffd99,0x3fffe609,0xfffeccde,0xfff304ff,0xffd99bdf,
    0x3e609fff,0xeccdefff,0x104fffff,0xb9dffffd,0x7fffdfff,0xeffffd80,
    0xeffffecd,0x027ffcc0,0x0fffe600,0xffb4ffc8,0x3fffffff,0x77fffec0,
    0xeffffecd,0x3ffff600,0xffffecde,0xfffe880e,0xffffdcce,0xfffe884f,
    0xffffdcce,0xffff304f,0x05bfffff,0x677fff44,0x4fffffdc,0xbdffff30,
    0xfffffd99,0xfffee989,0x3201eeef,0xeeefffee,0x007ffe65,0x03dfff50,
    0x5413fff6,0xfb01efff,0x3fea09ff,0xfffb01ef,0x01fffa89,0x5fffd000,
    0x07fffdc0,0x406fffec,0x03fffffc,0x81efffb8,0xd05fffd8,0x7dc05fff,
    0xffe80fff,0x3ffee02f,0x2fffe80f,0x03fffee0,0xb80bfffa,0xfd80ffff,
    0xffc80dff,0x3ee03fff,0xfd881eff,0x7ffcc5ff,0x7fcc0004,0x33ff203f,
    0xffeefffd,0xfb81ffff,0xfd881eff,0xfff705ff,0xfffb103d,0x05fff90b,
    0x903fffea,0x3ea05fff,0xfb100fff,0xffffffff,0x5fff901d,0x03fffea0,
    0xb80bfffa,0xfb00ffff,0xff1000df,0x3ffe605f,0x77ff4001,0x0fffdc00,
    0x20077ff4,0xfe81fffb,0x7fdc00ef,0x0bffe61f,0x3ffe6000,0x2fffb802,
    0x202fffd4,0x403ffffb,0x400efff8,0x7cc2fffc,0xffb802ff,0x17ffcc2f,
    0x217ffdc0,0xb802fff9,0x7fcc2fff,0xfffb802f,0x027ffd42,0x40ffffee,
    0x400efff8,0x3e62fffc,0x4c0004ff,0x3f203fff,0xe984ffff,0x7fc44fff,
    0x7fe400ef,0x77ffc42f,0x17ffe400,0xf7013ffa,0x4ffe85ff,0x017ffdc0,
    0x3ffff2a2,0x7f42ffff,0x7ffdc04f,0x017ffcc2,0xd817ffdc,0xf88006ff,
    0xfff302ff,0x7ffdc003,0x8dffd001,0xd001fffb,0xfffb8dff,0x4dffd001,
    0x0002fff8,0x1006ffc8,0xffc87fff,0xfffe800f,0x0fffec03,0x07fffc40,
    0x2200dff9,0x7fe43fff,0x7fff1006,0x1006ffc8,0xffc87fff,0x7fff1006,
    0x800fffd8,0xfb03fffe,0xff1003ff,0x3ffe61ff,0x7fcc0004,0x3fff203f,
    0x3ffe202f,0x07fff60f,0x83fffe20,0x8801fffd,0xff10ffff,0x59dd005f,
    0x4017ffc4,0x4c002cee,0x27ffffdb,0xe802fff8,0x37fe42ce,0x03fff880,
    0x1000dffb,0x3e605fff,0x3fa001ff,0x3fea005f,0x017ffa0f,0x3a0fffa8,
    0x3ea005ff,0x0fffe0ff,0x220abb80,0x3fe002a9,0x027ff43f,0x403fffb8,
    0x2e005fff,0x2a622fff,0x0fffe002,0x7c005531,0x154c43ff,0x887fff00,
    0x3fe002a9,0x027ff43f,0xf03fffb8,0x7dc00bff,0x9fff32ff,0xfff98000,
    0x17fff203,0xf87ffee0,0x3ee005ff,0x17ffe2ff,0x22fffb80,0x40005fff,
    0x00005fff,0x3fffe200,0x0017ffe1,0x40055310,0xffb03fff,0xfff1000d,
    0x07ffe605,0x004fff80,0xff87ffe6,0x3fe6004f,0x013ffe1f,0x3a1fff98,
    0x3fe005ff,0x7c40003f,0x17ffc4ff,0x03fff880,0x800bffe2,0x0003fff8,
    0x0027ffc4,0x027ffc40,0x27ffc400,0x7ffc4000,0x8017ffc4,0xf883fff8,
    0x3e2002ff,0x9fff33ff,0xfff98000,0x07fff203,0x447ffea0,0x22002fff,
    0xfff13fff,0x7ffc4005,0x2fbfff23,0xfffc8000,0x54c000be,0xfff7004c,
    0x5f7ffe47,0x10000000,0x3f609fff,0xff88006f,0x3fff302f,0x33ffe200,
    0xaaaaaaaa,0x12fffaaa,0x55559fff,0xf5555555,0x3ffe25ff,0xaaaaaaac,
    0x2fffaaaa,0x2007fff2,0x2001fffa,0xfffecba8,0x07ffe64f,0x203fff80,
    0x4001fffa,0x22004fff,0xffffecba,0x65d44004,0x004ffffe,0x7ff65d44,
    0x544004ff,0x4ffffecb,0x8007ffe6,0xffa83fff,0x7ffc001f,0x009fff34,
    0x03fff980,0x2003fff2,0xff52fff9,0xfff8003f,0x003fff54,0x3e64fff8,
    0x1cefffff,0xfffff300,0xf70039df,0xff3001ff,0x7fffcc5f,0x0001ceff,
    0xffd97510,0x3ff609ff,0x3fbb2006,0x264eeeff,0xf5001fff,0xffffffff,
    0xffffffff,0x3fffea9f,0xffffffff,0x54ffffff,0xffffffff,0xffffffff,
    0x7ffc49ff,0x06ffe805,0x3fffb2e2,0x4fffffff,0x8003ffea,0x3ee03ffe,
    0x7f4000ff,0xfd97105f,0xffffffff,0x765c409f,0xffffffff,0x32e204ff,
    0xfffffffe,0x2e204fff,0xffffffec,0x3ea4ffff,0x3fa000ff,0x0fffb83f,
    0x9afff400,0x40004fff,0x3203fff9,0xff3007ff,0x03ffee5f,0x2ebffd00,
    0x74000fff,0x7ffcc5ff,0x2dffffff,0x7ffffcc0,0x102dffff,0xfb009fff,
    0xfff981ff,0x2dffffff,0xffd97100,0xffffffff,0x01bff609,0xffffffd8,
    0x3ffe65ff,0xffff7001,0xffffffff,0x2bffffff,0xfffffffb,0xffffffff,
    0xfff75fff,0xffffffff,0xbfffffff,0x80efffb8,0x902fffd8,0xffffffff,
    0x49fffbff,0x6c007ffb,0x3ff203ff,0x6ffd8007,0xffffffc8,0xfffdffff,
    0xfffff904,0xffbfffff,0x3fff209f,0xdfffffff,0xff904fff,0xffffffff,
    0x7e49fffb,0x7fec007f,0x007ffc83,0xff36ffd8,0xf980009f,0x3ff203ff,
    0x5fff1007,0x2001fff2,0xfff96ffd,0x0dffb000,0xffffffb1,0x4401dfff,
    0xfffffffd,0xffe80eff,0x3ffea03f,0xffffb105,0x01dfffff,0x7fffffe4,
    0xfffdffff,0x00dffb04,0x77fff764,0x3ffe64ee,0x7fff5001,0x55555555,
    0x23555555,0xaaabfffa,0xaaaaaaaa,0xfff51aaa,0x55555557,0x35555555,
    0x7bffffd0,0x09ffffb7,0x3ffffff6,0x3ffe1bce,0x003ffea4,0x2e03ffd8,
    0x74000fff,0x7ffec6ff,0x21bcefff,0xffd84fff,0x1bceffff,0x3f613ffe,
    0xbcefffff,0x3613ffe1,0xceffffff,0xb93ffe1b,0x3a000fff,0xfffb83ff,
    0xb7ff4000,0x0004fff9,0x901fffcc,0x3e200dff,0x1fff72ff,0x76ffe800,
    0xe8001fff,0x32a206ff,0xffffffff,0x7fe54402,0x42ffffff,0xbcfffff8,
    0x1ffffecb,0x7ffe5440,0xd82fffff,0xceffffff,0x413ffe1b,0x88006ffd,
    0xff302fff,0x3fe6003f,0xf980002f,0x980002ff,0x00002fff,0xffffffc8,
    0xf904ffff,0x44037fff,0x3fe64fff,0x3ffa001f,0x07ffea03,0x64bfff00,
    0x201bffff,0x7e44fff8,0x2201bfff,0x7fe44fff,0x3e201bff,0x7ffe44ff,
    0x3fe201bf,0x07ffe64f,0xa83fff80,0x7c001fff,0x9fff35ff,0xa8019530,
    0x3f203fff,0xfff1006f,0x007ffea5,0x3eabfff0,0x7fc001ff,0x36e6005f,
    0x4007ffff,0x7ffffdb9,0xffffff98,0x00efffff,0xfffdb980,0x7fffe47f,
    0x3ffe201b,0x00dffb04,0x205fff10,0x1001fff9,0x00007fff,0x0007fff1,
    0x007fff10,0x3ffa6000,0x201effff,0x9800efff,0x7ffc4fff,0x0fffe002,
    0x002fff98,0xff93ffe2,0xff9800ef,0x077ffc4f,0x227ffcc0,0x9800efff,
    0x7ffc4fff,0xfff9800e,0x0017ffc4,0xff307fff,0x7fc4005f,0x89fff34f,
    0x5c01fff9,0x3f202fff,0xfff1006f,0x00bffe65,0xf34fff88,0x7c4005ff,
    0xf10004ff,0x20003fff,0x881ffff8,0xfffffffb,0xf100004e,0x7ffc3fff,
    0xfff9800e,0x00dffb04,0x205fff10,0x2001fff9,0x26005fff,0x3ffe1acc,
    0x2b326005,0x8017ffe1,0x9801acc9,0x4c009cff,0xf5003fff,0x4ffe89ff,
    0x07fff300,0x0027ffc4,0x3e65fff5,0xff5003ff,0x1fffcc9f,0x24fffa80,
    0x5003fff9,0x7fcc9fff,0xfff5003f,0x004ffe89,0xf107fff3,0x7d4009ff,
    0x9fff32ff,0x402fff88,0x3202fffb,0xff1006ff,0x13ffe25f,0x12fffa80,
    0x54009fff,0x99532fff,0x4fffee00,0xf7004ca9,0xff9807ff,0x4ca9801d,
    0x27fff700,0x5003fff9,0x3f609fff,0xff88006f,0x3fff302f,0x17ffec00,
    0x21fffe80,0xd002fffd,0x7fec3fff,0xfffd002f,0x19ff9003,0x05fff700,
    0x913fff60,0xfb001fff,0xffe807ff,0xfffd000f,0x00bffee1,0xf727ffec,
    0x3f6005ff,0x3ffee4ff,0x9fffb002,0x8017ffdc,0x7e44fffd,0xffd800ff,
    0x1fffd03f,0x43fffa00,0xff84fff9,0x7ffec05f,0x01bff200,0xfd17ffc4,
    0x3fa001ff,0x3fffa0ff,0x1fffd000,0x2003ffee,0xff72fff9,0xfff3001f,
    0x1dff9805,0x00fffb80,0xf72fff98,0x3f6005ff,0xdffb04ff,0x7fff1000,
    0x007ffe60,0x00efff88,0x2237ffdc,0x5c00efff,0x7fc46fff,0x7fdc00ef,
    0xffd7006f,0xfffa809f,0xffffc805,0x02fffcc4,0x00ffffe6,0x700bfff3,
    0x7fd4bfff,0xfffc805f,0x17ffea4f,0x93ffff20,0xc805fffa,0x3ea4ffff,
    0xffc805ff,0x7ffd44ff,0x7fffd405,0x0bfff303,0x4cbfff70,0xffe84fff,
    0xdfff501f,0x006ffc80,0x7cc5fff1,0xffb805ff,0x2fffcc5f,0x12fffdc0,
    0xfb009fff,0x3ffe21ff,0x0fffd804,0x37ff7540,0x013ffe20,0x7d43fff6,
    0xffc805ff,0xfff904ff,0x9fff1000,0x007ffe60,0x03dfff70,0x05ffff51,
    0x103dfff7,0x705ffff5,0x5103dfff,0x8005ffff,0x2200fff8,0x3201ffff,
    0xc85fffff,0xfa80dfff,0xc803ffff,0xf900efff,0x7fc41fff,0x3ff201ff,
    0x3fe25fff,0x3ff201ff,0x3fe25fff,0x3ff201ff,0x3fe25fff,0x3ff201ff,
    0xffd85fff,0xfffa80df,0x3ff203ff,0xfff900ef,0x27ffcc1f,0x857fffd4,
    0x04ffffb9,0x88037fe4,0x7fe42fff,0xfff900ef,0xdfff901f,0x3ffff201,
    0x01ffff40,0xfe8bfff5,0x3fea03ff,0x7fec005f,0x1ffff403,0x44bfff50,
    0x3201ffff,0x905fffff,0x01117fff,0x04bbffe0,0x0003fff3,0x79dffffd,
    0x07fffffb,0x677ffff4,0x3fffffdb,0x3bffffa0,0xfffffdbc,0xfff88003,
    0x7fffe402,0xfffebace,0xe886ffee,0xecbdffff,0x03ffeeff,0xdffffe88,
    0xfffffdbc,0xeffffc81,0xefffebac,0x7fe46ffe,0xfebaceff,0x46ffeeff,
    0xaceffffc,0xfeefffeb,0x7fffe46f,0xfffebace,0xe886ffee,0xecbdffff,
    0x03ffeeff,0x37ffffa2,0xfffffdbc,0x827ffcc1,0xfffffffe,0xc806ffff,
    0xff1006ff,0xfffe885f,0xfffdbcdf,0xffd101ff,0xffb79bff,0xff103fff,
    0xd9779fff,0xf883ffff,0xcbbcffff,0x001ffffe,0x22027ff4,0xbbcfffff,
    0x41ffffec,0xaceffffc,0xfeefffeb,0xffff506f,0x3fa007ff,0x3e67ffff,
    0xf90001ff,0xffffffff,0xff9007ff,0xffffffff,0xfff9007f,0xffffffff,
    0x3b32e007,0xe800ffff,0xffffffff,0x1fff53ff,0xfffffd10,0xffb1dfff,
    0x3ff22007,0xffffffff,0x3fffa01e,0x3fffffff,0xfe81fff5,0xffffffff,
    0x81fff53f,0xfffffffe,0xfff53fff,0xfffffe81,0xf53fffff,0xffd101ff,
    0x1dffffff,0xc8807ffb,0xffffffff,0xff981eff,0xfffd304f,0x3dffffff,
    0x00dff900,0x220bffe2,0xfffffffc,0x4401efff,0xfffffffc,0x2601efff,
    0xffffffff,0xf300efff,0xffffffff,0xca801dff,0x02ffffec,0xffffff98,
    0x00efffff,0xfffffffd,0x3fea7fff,0xfffe880f,0xff3004ff,0x3e63ffff,
    0x260001ff,0xfffffffd,0x3f66000c,0x0cffffff,0x3fff6600,0x000cffff,
    0x3ffffffe,0x3ffee001,0x220dffff,0x3aa03fff,0xb0dfffff,0xea8007ff,
    0x2cefffff,0xfffff700,0x7fc41bff,0xffffb83f,0x3e20dfff,0xfffb83ff,
    0x220dffff,0xffb83fff,0x20dfffff,0x2e03fff8,0x0dfffffe,0x2a007ffb,
    0xcefffffe,0x13ffe602,0xffffff90,0x3f20017b,0xfff1006f,0x7fff5405,
    0x4002ceff,0xefffffea,0xff71002c,0x09dfffff,0xfffff710,0x32009dff,
    0x03ffffff,0x3fffee20,0xb804efff,0xdfffffff,0x40fffe20,0x05ffffd8,
    0x3ffff6a0,0x003fff32,0x06aaa200,0x2aaa2000,0xaa880001,0xddb0001a,
    0x200017bd,0x0000aaa9,0x0006aa60,0x00aa9800,0x02aaa600,0x2aaa6000,
    0xaa980000,0xa980000a,0x200000aa,0x00001aa9,0x0000aa98,0x00d54c00,
    0x006ffc80,0x2005fff1,0x00000aa9,0x80001553,0x0001aa99,0x0006aa66,
    0x0337bbae,0x1aa99800,0x15553000,0x04c40000,0xf9833000,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35000000,0xe980f2a0,0x00dd500e,
    0x263ffff1,0x3aa1ffff,0xddd000ee,0x02f76405,0xd13bb600,0xfff709dd,
    0x01fffd87,0x74000000,0x400002ee,0x0aceedc8,0x04cc4000,0x8007ddd1,
    0xddd33eed,0xeed80001,0x0ddd5003,0x37bdb950,0xec800001,0x2aaaa06e,
    0xaaaaaaaa,0xb73000aa,0x00019bdd,0x000bbbae,0x40026620,0x40005eec,
    0x5d404eed,0x000bdeed,0x9bddb930,0x40a20005,0x3ee00cc9,0x3fa00fff,
    0xeee984ff,0x3bffae03,0x8817fe1c,0x0dfd04ff,0x647fff90,0x7fd43fff,
    0x7fff000f,0x003fff40,0xff1bffe0,0x3fff60bf,0xd05fff50,0xfffb8dff,
    0xfff80001,0x44016a03,0xfffffffc,0x764c004f,0x3fa3ffff,0x3fe6007f,
    0x01fff51f,0x04ffe800,0x4c0fff70,0xfffffffe,0x3600003f,0xfff107ff,
    0xffffffff,0xe8807fff,0xffffffff,0x7fe4000c,0xfb30002f,0x05dfffff,
    0x0003fff4,0x7441bffe,0xffffffff,0x3ff62004,0x0dffffff,0xbfffb300,
    0x403ff215,0x06fffff9,0x303fffe2,0x3ee09fff,0xffffffff,0x7fec03ff,
    0x3ffdb9ac,0x225fff80,0xffa85fff,0x7fff000f,0x003fff40,0xff1bffe0,
    0x3ffa20bf,0xd04fff8e,0xfffb8dff,0xfff80001,0x006fd883,0xfffffffb,
    0x2200bfff,0x2fffffff,0x400bffee,0x3fea6ffc,0x7f40000f,0xfff7004f,
    0x3ffffea0,0x04ffffff,0x0fffb000,0x3fffffe6,0xffffffff,0x3fffea03,
    0x6fffffff,0x17ffe400,0x3fff2200,0xefffffff,0x007ffe81,0x5437ffc0,
    0xffffffff,0x4400efff,0xffffffff,0x4402ffff,0xffffffff,0xfd106ffe,
    0x40bffdbf,0x7cc4fff9,0x5dff04ff,0xdfffffb5,0xffff8801,0xb805ffff,
    0x3ff20fff,0x0fffa80e,0x407fff00,0x40007ffe,0x7ffc6fff,0x3bffe605,
    0x3ffa05ff,0x00fffdc6,0x41fffc00,0xfd806ffd,0xda88adff,0xfe805fff,
    0x20ffffff,0xf004fff8,0x7ffd47ff,0x7ff40000,0x0fff7004,0x237ffff3,
    0x05fffd98,0x07ffd800,0xfffffff7,0x7fffffff,0x33fffea0,0x9fffd512,
    0x17ffe400,0x3ffff600,0xffffecde,0x03fff41f,0x31bffe00,0x215bffff,
    0x00efffc9,0x9877fffa,0x200ffffc,0xffc9bffc,0xfb02ffff,0x7fff31ff,
    0x307ffdc0,0xff109fff,0x02edb889,0x3ffff220,0x3ffd003f,0xf501fff8,
    0x3fe001ff,0x1fffa03f,0x8dfff000,0x7dc05fa9,0x3a00efff,0x7ffdc6ff,
    0xfff80001,0x406ffd83,0x3605fff9,0x3e602fff,0x3600aeff,0xffa807ff,
    0x03ffea0f,0x09ffd000,0x3a1ffee0,0x3f201fff,0x6c0001ff,0xdff907ff,
    0x3ffa0000,0xfffd101f,0x26662003,0x3fff2000,0xfffd882e,0x01fffa0e,
    0xe8dfff00,0x3ea04fff,0xfff704ff,0x2fffd409,0xd930ffb0,0x3ffee017,
    0x807fff22,0x3fe64ffc,0x0000004f,0x44001330,0x1664c2cc,0x001fff50,
    0xfe80fffe,0x7fc0007f,0x804f986f,0x0001cccb,0x7fc00000,0x06ffd83f,
    0x6c03ffec,0x3fea05ff,0xfffa803f,0x22ffec02,0x0000fffa,0xb8027ff4,
    0x7ffcc7ff,0x04ffe803,0x83ffec00,0x80004ffe,0x5403fffa,0x00003fff,
    0x07fffcc0,0xe93fff20,0x7c0007ff,0x3ffee6ff,0x1fffb805,0xd806ffe8,
    0x000007ff,0x320f3322,0x266403cc,0x0009fff3,0x00000000,0xfffa8000,
    0x07fff000,0x0003fff4,0x3ea1bffe,0x00000003,0xfff80000,0x206ffd83,
    0xa804fff9,0xff701fff,0x3ffe003f,0x0bffe205,0x0001fff5,0x7004ffe8,
    0x7ffc8fff,0x00dff900,0xf07ffd80,0xd00005ff,0x3fa00bff,0x4000006f,
    0xd002fffb,0x3fff4fff,0x9bffe000,0xd000fffd,0x9fff09ff,0x03fff500,
    0x00000000,0x27ffcc00,0x00000000,0x2a000000,0xff000fff,0x3fff407f,
    0x1bffe000,0x000003fa,0x26200000,0xb07fff01,0x7fdc0dff,0xfff8801f,
    0x00fff704,0xb807ffe4,0x7fd40fff,0xd001980f,0x3ee009ff,0x02fedc7f,
    0x000fffb8,0x261fff60,0x40001fff,0x3000fffa,0x3a600355,0xffd000ee,
    0x7ffdc00f,0x000fffd0,0x3fe6fff8,0x3ff2005f,0x01fffc46,0x0017ffcc,
    0x000002a2,0x3ffe6000,0x003bbaa4,0xeea97774,0x5ddd000e,0x4003bbaa,
    0xfff52eee,0x0fffe001,0x0007ffe8,0xfb137ffc,0x00777545,0x0002eee8,
    0x7ffff5c0,0x4cfffe3e,0xeeffffee,0x01bff61e,0xf706ffd8,0x7fcc00ff,
    0x09ffd03f,0x3ae1fff5,0x203effff,0xf7004ffe,0xd80040ff,0x6c0006ff,
    0x7ffa87ff,0x5ffd8000,0x7d400000,0xff8800ff,0x3fea004f,0x00fffd2f,
    0xf16fff80,0x7dc007ff,0x27ff40ff,0x307ffd40,0x7f6d49dd,0x8801dfff,
    0xd1002eee,0x7ffcc5dd,0x003ffea4,0xffa9fffc,0x7fff000f,0x4003ffea,
    0xfff53fff,0x0fffe001,0x0007ffe8,0x76577ffc,0x07ffd42f,0x883fff80,
    0xe8802eee,0xffffffff,0xf33fff8d,0xffffffff,0x002fff45,0x775cfff7,
    0xeeeefffe,0x21bffa00,0xfa81fff9,0xffffc9ff,0xe80effff,0xff7004ff,
    0xfff0000f,0xffd80009,0x006ffc87,0x003ffe80,0x3ffdc000,0x00353100,
    0xfe87ffdc,0x7fc0007f,0x05fff36f,0x217ffd40,0xfc806ffc,0xbb7fd46f,
    0xffffffff,0x7ffc403f,0x7fff1003,0xf527ffcc,0x3fe001ff,0x01fff53f,
    0x7d4fffe0,0xfff000ff,0x003ffea7,0xfd01fffc,0xff8000ff,0xa81cefff,
    0xff000fff,0x7fff107f,0xffffe880,0xfefffdce,0xffdd33ff,0x223dddff,
    0x2e004fff,0xfff91fff,0x1fffffff,0x207ffdc0,0xff506ffc,0xb9dfffdf,
    0xe83fffff,0xff7005ff,0xffd8000f,0x7ec0001f,0x54ffd87f,0x039dffdb,
    0x5441fff8,0x20001acc,0x00006ffc,0x3a6ffd80,0x7c0007ff,0x5fff36ff,
    0x17ffd400,0xa813ffea,0x7fd44fff,0xeeffffbe,0x203fffff,0x1003fff8,
    0x7fcc7fff,0x03ffea4f,0xfa9fffc0,0xfff000ff,0x003ffea7,0xffa9fffc,
    0x7fff000f,0x003fff40,0x003bffe0,0x2001fff5,0xff883fff,0x7ffec03f,
    0xffffc80d,0x06ffd83f,0x4009fff1,0xdd72fffa,0xddddfffd,0x1fffc401,
    0x7d413ffa,0xd80dffff,0x7ff46fff,0x0fff7005,0xfffd7300,0xffb00007,
    0xfdbfff0f,0x9fffffff,0xe98fffc0,0x1effffff,0x2fffc400,0x3e600000,
    0x1fffa4ff,0x4dfff000,0x32004fff,0xffb83fff,0xff9309df,0xfffa81bf,
    0x7ec40dff,0x3fe206ff,0xfff1003f,0x527ffcc7,0x3e001fff,0x1fff53ff,
    0x54fffe00,0xff000fff,0x03ffea7f,0x80fffe20,0x40007ffe,0xfa806fff,
    0xfff000ff,0x07fff107,0x2027ffd4,0xd83ffffb,0xfff106ff,0x7ffd4007,
    0x007ffb82,0x3e66ffd8,0xfff500ff,0xfffc80bf,0x4017ffa2,0x36007ffc,
    0x01ffffff,0x8fffb000,0xfffffff8,0xefffffff,0x4c7ffc41,0xffffffff,
    0x3f6003ff,0x000001ff,0xe83fffe6,0x7c0007ff,0x1bffa6ff,0x03fffe80,
    0xffffffd3,0x3ea07fff,0x7ec04fff,0xfff102ff,0x3ffe2007,0xa93ffe63,
    0xff000fff,0x03ffea7f,0xfa9fffc0,0xfff000ff,0x003ffea7,0xe80fffe6,
    0x7c0007ff,0xffa806ff,0x7fff000f,0x407fff10,0xe800fffd,0xffd83fff,
    0x05fff306,0x417ffcc0,0xa8007ffb,0xdff91fff,0x07fffd40,0xfd37ffc0,
    0x3ff600df,0xffff1007,0x000019ff,0xff31fff6,0x31159fff,0x98dffff9,
    0xdfffafff,0xffffecbc,0x4fffd802,0x3e600000,0x7ff42fff,0x7ffc0007,
    0x00bfff66,0x813fffea,0xfffffffa,0x3ffea04f,0x7ffcc00f,0x07fff103,
    0x98fffe20,0x3fea4fff,0x7fff000f,0x4003ffea,0xfff53fff,0x4fffe001,
    0xa801fff9,0x3fa03fff,0x7fc0007f,0xfffa806f,0x07fff000,0x7407fff1,
    0xff7004ff,0x0dffb07f,0x800bffe6,0xfb83fff9,0xfff0007f,0xa80fffa7,
    0xf7004fff,0x1fffa1ff,0x803fff40,0xfffffff9,0xfd80004f,0x77ffdc7f,
    0x3fffa600,0x3ffffea3,0xffff701e,0x77ffec01,0xf3000000,0xffd07fff,
    0xfff8000f,0x07fffe26,0x4ffffe98,0xffffffa8,0x83ffffff,0x8804fffa,
    0xff104fff,0x3fe2007f,0x93ffe63f,0xf000fffa,0x3ffea7ff,0x27fff000,
    0xf000fffa,0x3ffe27ff,0x3fffd802,0x001fffa0,0x500dfff0,0x3e001fff,
    0xfff883ff,0x00bffe03,0x6c1fffc4,0xfff306ff,0x7ffcc005,0x007ffb83,
    0xff1dff90,0x7ffd401f,0x5fff3001,0x300bfffa,0x2200ffff,0x3fffee61,
    0x7fec0005,0x006e5cc7,0xb87fffcc,0x400fffff,0xd884fffb,0x0000dfff,
    0x7ffff500,0x001fffa0,0xfb8dfff0,0x2e21cfff,0x43fffeff,0x21bffffb,
    0x44ffffa8,0xf003fffa,0x3fe209ff,0xfff1003f,0x527ffcc7,0x3e001fff,
    0x1fff53ff,0x54fffe00,0xff000fff,0x077ffc7f,0x07ffff90,0x0003fff4,
    0x2a01bffe,0xff000fff,0x7fff107f,0x007ffe60,0xfd83fff8,0x5fff106f,
    0x17ffcc00,0x8003ffdc,0x5ffcfff8,0x007ffd40,0xfd3fff88,0x3a201fff,
    0x40007fff,0x003fffe8,0x001fff60,0xa8fffe40,0xd002ffff,0xfffb0fff,
    0x4400000b,0x3a02ffff,0x7c0007ff,0xfffe86ff,0xefffffff,0x3e63fff8,
    0x36200eff,0x3fea2fff,0x9ffd002f,0x00fffe20,0xf31fffc4,0x7ffd49ff,
    0x27fff000,0xf000fffa,0x3ffea7ff,0x47fff000,0x4c0dfffe,0x03fffffc,
    0x0001fff6,0xf500dfff,0x3fe001ff,0x3fff883f,0x001fff50,0x7ec1fff4,
    0x0fffe06f,0x82fffa80,0x20007ffb,0x02fffffe,0x2003ffd4,0xfffd4fff,
    0xffea85df,0x880007ff,0x20007fff,0x00007ffd,0x3e67fff3,0x3ea007ff,
    0x3fff21ff,0x6c000005,0x7ec02fff,0x7fc0007f,0xffff906f,0x3e1dffff,
    0x3fff62ff,0x6fff8801,0x4007ffea,0xff104ffe,0x3fe2007f,0x93ffe63f,
    0xf000fffa,0x3ffea7ff,0x27fff000,0xf000fffa,0x7ffc47ff,0xfffeceff,
    0x3603ffdd,0x10000fff,0xf500bfff,0x3fe001ff,0x3fff883f,0x800fff90,
    0xffd83ffd,0x013ffe06,0xb81fffa8,0x2e0007ff,0xa807ffff,0x7f4006ff,
    0xfffffd5f,0xdffffdff,0x20000fff,0x0001fffc,0x0000fffb,0x7c53ffe2,
    0x3e6005ff,0xdfff12ff,0xf8800000,0xffd804ff,0x3fe20007,0x3fb6605f,
    0x3fe22cef,0x0bfff12f,0xa8fffdc0,0xfd000fff,0x3ffe209f,0x7fff1003,
    0xf527ffcc,0x3fe001ff,0x01fff53f,0x7d4fffe0,0xfff000ff,0xfffff987,
    0xff94ffff,0x07ffe407,0x5fff9800,0x00fffa80,0xf107fff0,0x3fee07ff,
    0x3ffa000f,0x206ffd83,0x2e004ffe,0xffb80fff,0x3fe20007,0xffa804ff,
    0xa7ffc007,0xfffddffe,0xff9effff,0xff500007,0x3f60005f,0x3e00007f,
    0x13ffe5ff,0x53fff880,0x00003fff,0x00fffa80,0x000fffc8,0x00bfff30,
    0x7ffcc022,0x007fff31,0xfa9fffcc,0xffd000ff,0x0fffe209,0x31fffc40,
    0x7fd49fff,0xfff9800f,0x001fff53,0x3ea7fff3,0xff9800ff,0xffec983f,
    0x3ff23eff,0x07fff203,0x27ffd400,0x007ffd40,0x441fffcc,0xff303fff,
    0x7ffc003f,0x206ffd83,0x32005ffd,0xfff707ff,0xfffd8000,0x07ffa801,
    0x74fffe20,0xffff94ff,0x0fff11bf,0x3ffe6000,0xd0057513,0x20000fff,
    0x3fe4fff8,0x3fe2005f,0x00fff92f,0x7dc00098,0xfff9006f,0x3fea0003,
    0xfb80004f,0x0bffea7f,0x2a9fff00,0xfd000fff,0x3ffe209f,0x7fff1003,
    0xf527ffcc,0xff5001ff,0x03ffea7f,0x54fffea0,0xfa800fff,0x0d4403ff,
    0x7d404fd8,0xf70003ff,0xff5005ff,0xfff5001f,0x07fff107,0xf0017ffc,
    0xdffb07ff,0x003ffe40,0x3ee0bffd,0x7e40007f,0xfff5006f,0x3ffe6001,
    0xa989ffd1,0x5fdb1001,0x97ffd400,0xff805ffd,0x0bb7226f,0x22fff980,
    0x26007ffe,0xdffd0fff,0x1fffc400,0x006ffc80,0x0007fff5,0x000bffee,
    0xf997ffa0,0x3e2003ff,0x1fff53ff,0x413ffa00,0x1003fff8,0x7fcc7fff,
    0x07ffea4f,0x54fffee0,0xfb801fff,0x3fff53ff,0x07fff700,0x402ff800,
    0x0006fff8,0x5001ffff,0xf7003fff,0xfff107ff,0x027ff407,0xd83fff98,
    0x3fe606ff,0xfff9802f,0x00fff703,0x002fff80,0x2007fff5,0xffd0fffb,
    0xfff00009,0x7ffdc00b,0xf00dff90,0x5fff8dff,0x87ffee00,0x7001fffb,
    0x3ffecdff,0x05fff700,0x4013bb20,0x0006fff8,0x75c1ffff,0xfff3005e,
    0x005fff87,0x7d47ffe6,0xffd000ff,0x0fffe209,0x31fffc40,0x7fcc9fff,
    0xfffd802f,0x005fff33,0x3e67fffb,0xffd802ff,0x3e20003f,0xfffe801f,
    0x7ffdc005,0x5fff3006,0x07fffb00,0x6407fff1,0xfd800fff,0x6ffc83ff,
    0x402fff40,0xf700fffc,0x7d4000ff,0x3fea007f,0xfff8805f,0x0013ffa6,
    0x003fff60,0xfb9fffe2,0x3fe600ff,0x07ffec4f,0x237ffc40,0xd004fff8,
    0x7ffdc9ff,0x0fffd002,0xffd00000,0xffb8009f,0x03ffdc6f,0x740fffc8,
    0xf9000fff,0x3ffea1ff,0x09ffd000,0x400fffe2,0x3e63fff8,0x3ffe24ff,
    0x3fff200f,0x1ffff13f,0x9ffffe40,0x200ffff8,0x003ffffc,0x200bfe60,
    0x004ffffb,0x005ffff5,0x803fffe2,0x883ffffc,0x3ea03fff,0x7fd405ff,
    0x7ffc83ff,0x00fffd40,0x5c0bfff3,0x3a0007ff,0x3ea004ff,0x7e403fff,
    0x13ffa1ff,0x3ffee000,0x3fffd805,0xe813ffea,0x7fdc2fff,0xfffc805f,
    0x03fffb82,0xf317ffdc,0xfb801fff,0x000005ff,0x03ffffb8,0x85ffff50,
    0x5403fff8,0xffb83fff,0xfffa805f,0x003ffea5,0xf8827ff4,0xff1003ff,
    0x27ffcc7f,0x1037fff6,0x47fffff9,0x440dfffd,0x23fffffc,0x440dfffd,
    0x03fffffc,0x01bfe600,0x677ffff4,0xffb5310a,0xfd800bff,0x7e440dff,
    0xf883ffff,0x7fec03ff,0xfffa80df,0xfffc83ff,0xffe8088b,0xffff982f,
    0x01ffee01,0x1fffb304,0x7fffd400,0xbfffb03f,0x0004ffe8,0x019fffb0,
    0xd0bfffb1,0x2a219fff,0xe80ffffd,0xd880dfff,0xff105fff,0x3ff205ff,
    0xefffc84f,0x1ffff701,0x3a000000,0x0aceffff,0xffffd531,0x2ffff60d,
    0x0ffffb80,0x01bfffb0,0xa83fffee,0xfd000fff,0x3ffe209f,0x7fff1003,
    0x2a27ffcc,0xecefffff,0x3ffddfff,0x3bffffea,0xfddfffec,0x3fffea3f,
    0xdfffecef,0x20003ffd,0xdabefff8,0x7fff441f,0xffffffff,0x000effff,
    0x77ffffd4,0xfddfffec,0x3fff883f,0x7ffff440,0xeeffecbd,0xfffa83ff,
    0xffa83fff,0xffdbceff,0x7fdc03ff,0xffffd007,0xfa8007ff,0xbdfffeff,
    0x40effffd,0x00004ffe,0x79fffff1,0x1fffffb7,0xffffff50,0x07ffffff,
    0x33ffffe2,0xdffffdbb,0x3fffea00,0xfffecbdf,0x3ffffa05,0xfffedbce,
    0x7ffc002f,0x3fa2000f,0xffffffff,0x0effffff,0xbfffff10,0x3fffffb7,
    0x7ffffc40,0xfffecbce,0x07ffd42f,0x104ffe80,0x22007fff,0x3fe63fff,
    0xffffb84f,0xf94fffff,0xffffb87f,0xf94fffff,0xffffb87f,0xf94fffff,
    0xfc80007f,0x81ffffff,0xffffffd8,0x5fffffff,0x3ffee000,0x94ffffff,
    0xfff107ff,0xfffd1007,0xb1dfffff,0x3ffa07ff,0xff304fff,0xffffffff,
    0x0fff7009,0x3fffff60,0xeffa8005,0xffffffd8,0xffe80dff,0x3a600004,
    0xffffffff,0x3f200dff,0xffffffff,0x7ff4c04f,0xffffffff,0xfffd1004,
    0x0dffffff,0xfffffc88,0x02ffffff,0x00ffff80,0x7fffec40,0xffffffff,
    0xfff9805f,0xefffffff,0xfffd8801,0xefffffff,0x00fffa81,0x2209ffd0,
    0xf1003fff,0x7ffcc7ff,0xffffb304,0x1ffe47df,0x7ffffecc,0x20fff23e,
    0xefffffd9,0x000fff23,0x37fffae0,0x7ffe5402,0x1cffffff,0xffd98000,
    0x3f23efff,0x3fff883f,0x3fffae00,0x7ffb0dff,0x3ffff620,0x3fff6206,
    0x7001dfff,0x3f200fff,0x50005fff,0x7ffecdff,0x3fa03eff,0xa800004f,
    0xefffffff,0xfffd3002,0x40039dff,0xfffffffb,0xfec8002d,0x003dffff,
    0x3fffff66,0xf0000cff,0x20001fff,0xffffffc9,0x2001cfff,0xffffffc8,
    0xfea8003f,0x03ffffff,0x4003ffea,0xff104ffe,0x3fe2007f,0x13ffe63f,
    0x00006a60,0x200006a6,0x000001a9,0x98000cc0,0x0019aaa9,0x006a6000,
    0x01fffc40,0x000d54c0,0x10004c40,0xb8001355,0x2a6007ff,0x44000001,
    0x000000aa,0x2ae62000,0x2a620001,0x4c40000a,0x100000aa,0x10000353,
    0x00001355,0x0001ffff,0x33555330,0x55530000,0x2a600003,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000bddb0,
    0x00000000,0x77774c00,0xeeeeeeee,0xeeeeeeee,0x3b602eee,0xeeeeeeee,
    0x001bceee,0x20000000,0x4003eeec,0xeeeeeeed,0x1bceeeee,0x05ddd500,
    0x2eeee980,0x17774c00,0x04eeeb80,0x002eeeb8,0x83ddd500,0x8000eee9,
    0xc804fffe,0x6c0006ee,0x000004ee,0x001ddd30,0x64c0a600,0x037bb20c,
    0x17bba200,0x77774400,0xeee98001,0x76c9ddb0,0x745dd102,0xeeeeeeee,
    0x00acdeee,0x22fffcc0,0xfe83fffb,0x8000007f,0xffffffff,0x0001ffff,
    0xffffffb0,0xffffffff,0xffffffff,0x7fff407f,0xffffffff,0x001dffff,
    0x7fffffe4,0x004fffff,0x004fffd8,0x7ffffff4,0xffffffff,0x7fc401df,
    0x7fe4005f,0x7e4005ff,0xff9001ff,0xfff300df,0x3fa0000b,0x0fffa87f,
    0x37ffcc00,0x007ffd80,0x2037ffc0,0xfffffffd,0xf503ffff,0xa80001ff,
    0x90adfffd,0x7ffcc1ff,0xfffc8004,0xfff70003,0xff50009f,0xd97ffa3f,
    0x41ff907f,0xffffffff,0xffffffff,0x7ffdc004,0x209fff13,0x00007ffe,
    0xffffff80,0x01ffffff,0xffff9800,0xffffffff,0xffffffff,0x3a03ffff,
    0xffffffff,0xffffffff,0xff9001ef,0xffffffff,0xffb0009f,0xffe8009f,
    0xffffffff,0xefffffff,0x01fffa01,0x0fffffd0,0x007ffe80,0x401bfff2,
    0x0000fffe,0x5427ffcc,0x6c000fff,0xfb000fff,0xff8000ff,0x7ffec06f,
    0xffffffff,0x7ffdcc43,0x0999999a,0x7ffffcc0,0x86ffefff,0x2001fffd,
    0x0006fff8,0x03fffffa,0x23fff500,0x3fea5ffe,0x5ffca9be,0x7ffffffc,
    0xffffffff,0x7ec005ff,0x06ffd8ff,0x0001fffa,0x3bbbba00,0x1eeeeeee,
    0xfffd8000,0xcffffccd,0xcccccccc,0x202ccccc,0xccccfffe,0xffeccccc,
    0xb801ffff,0xeeeeeeee,0xd8003eee,0x74004fff,0xcccccfff,0xfffecccc,
    0xff901fff,0x3fe2001f,0x1002ffff,0x64009fff,0xf7006fff,0xc80007ff,
    0xffa81fff,0x3fe6000f,0x3ff6002f,0x7ffc0007,0x77776406,0x2eeeeeee,
    0x7ffffff4,0x02ffffff,0x7e4dffe4,0x882fffff,0x36005fff,0x30002fff,
    0x07ffddff,0xb1fffa80,0xfffd8bfd,0x7c0fffff,0xccccceff,0xfffedccc,
    0x3fa000df,0x200fffef,0x00007ffe,0x00000000,0x6c6fff88,0x000007ff,
    0x4400fffd,0x00fffffc,0xb8000000,0x74002ccc,0x322007ff,0xa80fffff,
    0xf5002fff,0x009ffbbf,0x800bffea,0x1003ccca,0x8000dfff,0xff506fff,
    0x7fec001f,0xfecc9804,0xccccccff,0xcccccccc,0x1ccffffc,0xffe80000,
    0xffffffff,0x37f402ff,0x9005f654,0xf3003fff,0x64000dff,0x06ffccff,
    0x30fffd40,0xffff709f,0xbfff019f,0x7fffd400,0x3ffe2002,0x7ff401ff,
    0x00000007,0xfc800000,0x3ffec2ff,0xffe80000,0xffe98007,0x0000005f,
    0xfe800000,0xfe98007f,0xfff885ff,0x77ffb004,0x3f200dff,0x000000ff,
    0x003fffb0,0x40fffea0,0x2000fffa,0xff5003cc,0xffffffff,0xffffffff,
    0xffffffff,0x5000007f,0x557fff95,0x00015555,0x3ffe2000,0x1fffd806,
    0x2bffe000,0x2001fff9,0x3ee1fffa,0xf0066202,0xf9800bff,0x654005ff,
    0xffe802cc,0xffffffff,0x001ceeef,0x0000a980,0x437ffc40,0x00007ffd,
    0x000fffd0,0x007fffe6,0x00003530,0x74000ccc,0xf30007ff,0xffd03fff,
    0x27ffe00d,0xe800fff9,0xa98006ff,0x7ffd4000,0xfffb0004,0x03ffea01,
    0xffa80000,0xffffffff,0xffffffff,0xffffffff,0x2000003f,0x0000fffa,
    0xff700000,0x7ffd405f,0x3fea0005,0x00bfff0f,0xe88fffd4,0xff80000f,
    0xffe8005f,0xe8000007,0xffffffff,0xffffffff,0x3b22003e,0x02dfffff,
    0x3fffc800,0x0007ffd8,0x00fffd00,0x02fffe40,0x3ffffb6a,0x22001dff,
    0xdfffffdb,0x0fffd001,0x2fffe400,0x2007ffe4,0x3ffe7ff9,0x27ffc403,
    0x7fff6440,0xff002dff,0xff1000df,0x7ffd40bf,0x00a88000,0x7fff5544,
    0xaaaaaaaa,0xfaaaaaaa,0xd50aaeff,0x3ba001dd,0x07ffd42e,0x00000d44,
    0x03fffa00,0x0007fff4,0x7e4bffb0,0xff5000ff,0x000ffa3f,0x002fffc0,
    0x000fffe4,0x3fffa000,0xffffffff,0x4fffffff,0xfffffa80,0x004fffff,
    0x41fffe20,0x00007ffd,0x000fffd0,0x883fffc4,0xfffffffd,0x400cffff,
    0xfffffffc,0xfe804fff,0x3e20007f,0xfff987ff,0xb2ffdc02,0xff980bff,
    0x7ffd401f,0x4fffffff,0x01fffc80,0x00fffd40,0xe981fff5,0x3ffb6a4e,
    0x7ec01dff,0x7fc0007f,0x0fffa86f,0xa87fff00,0xffb30fff,0x1003bfff,
    0xa8005ddd,0xffa83fff,0x3e20004f,0x3ffe63ff,0x3fff5003,0xddd1006e,
    0x02fffc05,0x543ffe40,0xeeeeeeee,0xeeeeeeee,0x2abfffa3,0xbaaaaaaa,
    0x03fffffc,0x37bffff2,0x0effffec,0x3fffc800,0x000fffb0,0x01fffa00,
    0x83fff900,0xcdeffff9,0x4fffffec,0x3bffff60,0x4fffffcd,0x003fff40,
    0x207fff20,0x7f403fff,0x01ffea3f,0xfc80fff7,0xfecdefff,0x2600efff,
    0x74004fff,0x7fd406ff,0x5bfea30f,0xfffffffb,0x3ff603ff,0x7ffc0007,
    0x00fffa86,0xfa87fff0,0xffffb8ff,0x404fffff,0x8003fff8,0x7f40fffd,
    0x2e0000ff,0x7ff40fff,0x3fff5006,0x1fffc400,0x000bfff0,0xff50bffd,
    0xffffffff,0x49ffffff,0x44007ffe,0xa81ffffe,0xfb01efff,0xf88009ff,
    0x3ff607ff,0xfd000007,0xfa8000ff,0x7fff44ff,0x3fffee02,0x1efffb80,
    0x02fffea8,0x0001fffa,0xfb09fff5,0x7ffc40bf,0x807ffe20,0x3ea05ffd,
    0xffb01eff,0x7ffe809f,0x0fffe200,0xb71fff50,0x3fefbfea,0xffffeeff,
    0x0fffb03f,0x86fff800,0xf000fffa,0xfffa87ff,0xfedefffe,0x2202ffff,
    0x98003fff,0x3fee4fff,0x7f40002f,0x1fffb85f,0x01fffa80,0x80fffe20,
    0x4c005fff,0xffa83fff,0xffffffff,0x23ffffef,0xb0007ffe,0xffd07fff,
    0xfffb801d,0x3ffee001,0x01fff603,0x3fff4000,0x3ffe2000,0x00bffe65,
    0xf10bffee,0x7cc01dff,0x3ffa06ff,0x7fc40007,0x07ffb85f,0x3fa1bfea,
    0x0fffe03f,0x400effe8,0x2e01fffb,0xf7002fff,0xffa801ff,0xfff55fdf,
    0xfd881bff,0xfffb06ff,0x6fff8000,0x000fffa8,0xffa87fff,0xfc80dfff,
    0xff100fff,0x3f20007f,0x0dfff0ff,0x2fff9800,0x805fff88,0x2001fffa,
    0x3e03fff8,0x3f2005ff,0x700005ff,0xffe8bfff,0xfff50007,0x01fffb8b,
    0x400dffd0,0x3600ffff,0xcccccfff,0xcccccccc,0x03fff402,0x97ffe200,
    0xf1006ffc,0xfffb87ff,0x0fffd802,0x000fffd0,0x985fff88,0xff901fff,
    0x20dff909,0xf701fff9,0x3fa003ff,0x3ffe206f,0x0bffd005,0x9fffff50,
    0x013fffea,0xfb05fffb,0xffffffff,0xffffffff,0xf50dffff,0x3fe001ff,
    0x7fffd43f,0x0fffec04,0x003fff88,0xf79fff10,0xd80003ff,0x3ff607ff,
    0x7ffd400f,0x3ffe2001,0x3bfffe03,0xeeeeeeee,0x0004ffff,0xd0dfff50,
    0x22000fff,0x7ff46fff,0x3ffea005,0x4fffb800,0x7ffffec0,0xffffffff,
    0xeee83fff,0xeeeeffff,0xff805eee,0x00aa626f,0x7f43fff8,0x59b1006f,
    0x7fff7741,0xeeeeeeef,0x06fff805,0x3fa07fff,0x0fffa82f,0x3a06ffb8,
    0x3ea005ff,0x3ff200ff,0x7ffcc00f,0xffffa802,0x03fffea3,0xb07fff30,
    0xffffffff,0xffffffff,0x50dfffff,0x3e001fff,0x7ffd43ff,0x7ffcc00f,
    0x07fff102,0x7fffdc00,0x440005ff,0x3ea04fff,0x7fd403ff,0x3fe2001f,
    0x3fffe03f,0xffffffff,0x0004ffff,0x01ffff30,0x4000fffd,0x7ffc7ffe,
    0x3ffe6004,0x0ffff801,0x7ffffec0,0xffffffff,0xfff83fff,0xffffffff,
    0xff806fff,0x7c40007f,0x3ffe24ff,0xfff80004,0xffffffff,0xff806fff,
    0x0bffb07f,0x3e01fff3,0x4ffd82ff,0x8013ffe0,0x2601fff9,0x7e402fff,
    0xfff7007f,0x04fffa85,0xd84fff88,0xffffffff,0xffffffff,0xa86fffff,
    0xff000fff,0x4fffa87f,0x207fff00,0xc803fff8,0xffeeeeee,0xeeeeffff,
    0xff7006ee,0x6fff803f,0x00fffd40,0x407fff10,0xffffffff,0xffffffff,
    0x220002ef,0xfd01ffff,0x7fc000ff,0x33ffe27f,0xaaaaaaaa,0x02fffaaa,
    0x4027ffdc,0xeeeefffd,0xeeeeeeee,0xffeee82e,0xeeeeeeff,0x7ffc405e,
    0x32ea2006,0x264ffffe,0x80003fff,0xeffffeee,0x05eeeeee,0xb837ffc4,
    0x5ffb87ff,0x3e17ff60,0xfff102ff,0x55555559,0x5fff5555,0x405ffe80,
    0xfb804fff,0x7fd40fff,0x9fff003f,0x555fffb0,0x55555555,0xdfff5555,
    0x001fff50,0xff50fffe,0x3ffa007f,0x07fff104,0xffffffb0,0xffffffff,
    0x200fffff,0xfc806ffe,0x3fea02ff,0x3fe2001f,0x3bffe03f,0xedcccccc,
    0x3fffffff,0xfffe8800,0x01fffa02,0x52fffc40,0xffffffff,0xffffffff,
    0xffe809ff,0x7ffd800f,0xffd00000,0xff98000f,0xfd97105f,0xffffffff,
    0x17ffd49f,0x3ffa0000,0x7fcc0007,0x1fff305f,0x2e03ffd8,0x7ffcc6ff,
    0xfffff500,0xffffffff,0x809fffff,0xf500fffb,0xffc801ff,0x7fd40fff,
    0x9ffd002f,0x000fffb0,0xfa86fff8,0xfff000ff,0x02fffa87,0x2209ffd0,
    0xfd803fff,0xffffffff,0xffffffff,0xfff9807f,0x5fff9803,0x007ffea0,
    0x203fff88,0x26005fff,0x002ffffd,0x201fffec,0xb0007ffe,0x7fdc9fff,
    0xffffffff,0xffffffff,0x3fffea05,0xeeeeeeee,0x0007fffe,0x00fffd00,
    0x85fffa80,0xfffffffc,0x4fffdfff,0x0007ffea,0x00fffd00,0x05fffa80,
    0xfff0bffe,0x07ffcc03,0x7dc0dff7,0xffffffff,0xffffffff,0x7ffc405f,
    0x00bffb03,0x81ffffff,0xd001fffa,0xfffb09ff,0x6fff8000,0x000fffa8,
    0xffa87fff,0x9ffd001f,0x00fffe20,0x01bff200,0x3bfff200,0xeeeeeeee,
    0x500ffffe,0x44003fff,0x3fe03fff,0xffb8005f,0x3ff2006f,0x7ffe804f,
    0x7ffe4400,0x2fffea0f,0xaaaaaaaa,0x01aaaaaa,0x3ffffffa,0xffffffff,
    0x000007ff,0x8000fffd,0x7ec4fffb,0xbcefffff,0xf993ffe1,0x400002ff,
    0x40007ffe,0x3204fffb,0x1ffe64ff,0xfd8bffe0,0x3ffea03f,0xaaaaaaab,
    0x1aaaaaaa,0x886ffd80,0xcf802fff,0x7d40fffa,0xffd000ff,0x00fffb09,
    0xa86fff80,0xff000fff,0x0fffa87f,0x209ffd00,0x0003fff8,0x0006ffc8,
    0xfffffff8,0xffffffff,0xff504fff,0x7fc4003f,0x17ffe03f,0x17fff400,
    0x02fffdc0,0x999fffe8,0xcba99999,0x4c3fffff,0x00002fff,0xffffffa8,
    0xffffffff,0x00007fff,0x000fffd0,0x321fffd8,0x201bffff,0x3e24fff8,
    0x400002ff,0x40007ffe,0x2a01fffd,0x17ff26ff,0xff8fff60,0x3ffe601f,
    0x54000002,0x7fdc1fff,0x3fea7007,0x07ffd40f,0xd84ffe80,0x7c0007ff,
    0xfffa86ff,0x3fff9800,0x8007ffd4,0xff104ffe,0x3331007f,0xfffb3333,
    0x33333333,0xfffffa80,0xffffffff,0x507fffff,0x44003fff,0x3fe03fff,
    0xff90005f,0xfffa807f,0xfffd000e,0xffffffff,0xbfffffff,0x007fff10,
    0x9fffd000,0x99999999,0x00ffff99,0x1fffa000,0x7fff8800,0x40077ffc,
    0x7fc4fff9,0x2aee003f,0x00fffd00,0x03fffc40,0x7f43ffe2,0x5ffa802f,
    0xf880fff3,0x000003ff,0x7f43fff8,0x7fd4004f,0x07ffd40f,0xd84ffe80,
    0x7c0007ff,0xfffa86ff,0x3fffa800,0x8007ffd4,0xff104ffe,0xfffb007f,
    0xffffffff,0xffffffff,0x99fffd80,0x99999999,0x82fffd99,0x2001fffa,
    0x3e03fff8,0xf30005ff,0x7fcc09ff,0x3fa000ff,0xffffffff,0xefffffff,
    0x017ffe02,0xa81acc98,0x6c005fff,0x000007ff,0x4000fffd,0x3e65fffc,
    0xff5003ff,0x05ffe89f,0x740fffe0,0x320007ff,0xfe805fff,0x00fff89f,
    0xff57ff88,0x0bfff00b,0x00d664c0,0x3e66ffc8,0x7d4001ff,0x7ffd40ff,
    0x09ffd000,0x8000fffb,0xffa86fff,0xfffb801f,0x007ffd43,0xf104ffe8,
    0xffb007ff,0xffffffff,0xffffffff,0x2fffc40f,0x2fffd400,0x000fffd4,
    0x7c07fff1,0xf50005ff,0x3fe607ff,0x7f4001ff,0xffffffff,0x03cdefff,
    0x002fffd8,0xfd03fffd,0xfd8003ff,0xd000007f,0x26000fff,0x3ee1ffff,
    0xffb002ff,0x1fffc89f,0x01fffa80,0x2000fffd,0x801ffff9,0x6ffabffc,
    0x323ffa00,0xffd803ff,0xfffd002f,0x3ffe6003,0x000dff91,0xfa81fff5,
    0xffd000ff,0x00fffb09,0x986fff80,0xfd802fff,0x7ffd43ff,0x09ffd000,
    0x200fffe2,0xcccccccb,0xccccfffe,0x3ee04ccc,0xfd0002ff,0xfffa81ff,
    0x3ffe2001,0x017ffe03,0x40fffe40,0x002fffe8,0x999fffe8,0x00009999,
    0x801dfff1,0xf986fffb,0xfd8005ff,0xd000007f,0xd1000fff,0xffa8bfff,
    0xfffc805f,0x2fffc44f,0xd037ff40,0xd1000fff,0x2a00bfff,0x04ffcdff,
    0x3fabff20,0xfff8800f,0x7ffdc00e,0xa7ff4006,0xa8003ffe,0x7fd40fff,
    0x9ffd000f,0x000fffb0,0xf886fff8,0x3f200fff,0x7fd43fff,0x9ffd000f,
    0x00fffe20,0x01bff200,0x007ffe80,0x513fff20,0x44003fff,0x3fe03fff,
    0xff98005f,0xfffe80ff,0xfffd0003,0x7dc00000,0xfa881eff,0xffd82fff,
    0xffd8001f,0xfd000007,0xffb800ff,0x7fc40fff,0x3ff201ff,0xffb85fff,
    0xffd880ef,0x1fffa02f,0xfffff700,0x3bfe2001,0x2a001ffe,0x006ffdff,
    0x207bffee,0x02ffffa8,0x7cf7fdc0,0xfa8000ff,0x7ffd40ff,0x09ffd000,
    0x8000fffb,0xffb06fff,0xffc881bf,0x7fd43fff,0x9ffd000f,0x00fffe20,
    0x01bff200,0x027ffcc0,0x8ffff100,0x2001fffa,0x3e03fff8,0x7cc005ff,
    0xffd85fff,0x3fa0004f,0x4000007f,0xbceffffe,0x83fffffd,0x0006fff9,
    0x5555fffb,0x55555555,0x7ff40555,0xaaaaaaaf,0xfffffedc,0xffff901f,
    0xfffd759d,0x3a0dffdd,0xdbbdffff,0x7404ffff,0xaaaaafff,0xfffedcaa,
    0x74001fff,0x8007ffff,0x004fffff,0x677ffff4,0x3fffffdb,0xdfff8800,
    0xf50004ff,0xfffa81ff,0x09ffd000,0x8000fffb,0xff506fff,0xffd9dfff,
    0xa87ffbbf,0xfd000fff,0x3ffe209f,0xffc80003,0xfff90006,0xffd80003,
    0x07ffea2f,0x03fff880,0x2aabbffe,0xecbaaaaa,0x640effff,0x40005fff,
    0x00007ffe,0xfffffc80,0x03ffffff,0x0005fffb,0x3ffffff6,0xffffffff,
    0x3fa07fff,0xffffffff,0xffffffff,0x7fff402f,0x3fffffff,0x3201fff5,
    0xffffffff,0xffe804ff,0xffffffff,0xffffffff,0xfffc8002,0xffd8005f,
    0xfc8002ff,0xffffffff,0x320003ff,0x001fffff,0xa81fff50,0xfd000fff,
    0x0fffb09f,0x06fff800,0x3fffffee,0x7ff94fff,0x000fffa8,0x3e209ffd,
    0xc80003ff,0xff0006ff,0xf50000df,0x7ffd4bff,0x3ffe2001,0x3ffffe03,
    0xffffffff,0x41ffffff,0xffeffff9,0xffffffff,0xfffd1fff,0x26000000,
    0xfffffffd,0xdfff300c,0x7ffec000,0xffffffff,0x07ffffff,0x3ffffffa,
    0xffffffff,0x3ee002ef,0x0dffffff,0x980fffe2,0xeffffffe,0xffffd001,
    0xffffffff,0x0005dfff,0x01ffffcc,0x07fffdc0,0xfffd9800,0x000cffff,
    0x37fffcc0,0x1fff5000,0x000fffa8,0xffb09ffd,0xfff8000f,0x7ffecc06,
    0x3ff23eff,0x007ffd43,0xf104ffe8,0x900007ff,0xf5000dff,0x200007ff,
    0xff51ffff,0x7fc4003f,0x3fffe03f,0xffffffff,0x81cfffff,0xfffffff9,
    0xffffffff,0xfffd1fff,0x10000000,0xf9003555,0x6c0005ff,0xffffffff,
    0xffffffff,0x3fffa07f,0xffffffff,0x20002def,0x0000aaa9,0x004d54c0,
    0x3fffffa0,0xefffffff,0xff00002d,0xf30001ff,0x20000dff,0x0001aaa8,
    0x01ffff40,0x81fff500,0xd000fffa,0xfffb09ff,0x6fff8000,0x0006a600,
    0x4003ffea,0xff104ffe,0xf900007f,0xffb000df,0x3200001f,0xfff54fff,
    0x7ffc4003,0x3ffffe03,0xefffffff,0x3e600bcd,0xffffffff,0xffffffff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeee80,0xeeeeeeee,
    0xeeeeeeee,0xddddddb4,0x79dddddd,0x27774003,0x321bbb60,0xeeeeeeee,
    0xeeeeeeee,0x3bb26eee,0xeeeeeeee,0xeeeeeeee,0xd87fff74,0xddd91fff,
    0x4eed8000,0x40013bba,0x744eeee9,0xe80004ee,0x0005eeee,0xb2eeeec8,
    0x40003ddd,0xddd74eed,0xe880001b,0x3bba1eee,0xfe800004,0x7776c4ff,
    0xeeeeeeee,0x6400bcce,0xeeeeeeee,0xcceeeeee,0xeeea800a,0x001ddd30,
    0x00777540,0xe987774c,0x880000ee,0x00003eee,0x0003fe40,0xedca8000,
    0x2a00bcdf,0x3ffe5eee,0xffffffff,0xffffffff,0xfffd5fff,0xffffffff,
    0x003bffff,0xff80bfff,0xffffe87f,0xffffffff,0x7fffffff,0x3ffffff6,
    0xffffffff,0x3f25ffff,0x7fff51ff,0x0003ffec,0xfff9bffe,0xfff98005,
    0x2fffc0ef,0x7fffc000,0x220000ff,0xff3fffff,0x74000dff,0xffff15ff,
    0xffd80009,0x02fffc4f,0x3ffea000,0xfffffe86,0xffffffff,0xfd02dfff,
    0xffffffff,0xffffffff,0x7fd4019f,0x03fff50f,0x07ffd400,0xa8fffd40,
    0x80000fff,0x0004fff8,0x81ffee00,0xfffffffe,0x9803ffff,0xfffffffe,
    0xfff703ff,0x7fffffcd,0xffffffff,0xffffffff,0xffffffd5,0xffffffff,
    0x7c03dfff,0x7ffc05ff,0xfffffe87,0xffffffff,0x27ffffff,0xfffffffd,
    0xffffffff,0x7ff45fff,0x6c4ffe8e,0x7c0007ff,0x17ffe6ff,0xbffff300,
    0x0017ffe0,0x3fffffe0,0x3fea0003,0xffff3fff,0x3fa0007f,0x3fffea5f,
    0xfff50001,0x00bfff0d,0x0fffe800,0xffffffe8,0xffffffff,0xfe83ffff,
    0xffffffff,0xffffffff,0xff500eff,0x07ffea1f,0x0fffa800,0x51fffa80,
    0x00001fff,0x0009fff1,0x1fffe600,0xffffffe8,0x403fffff,0xfffffffb,
    0xb86fffff,0x33326fff,0xfecccccc,0xcccccdff,0xfffd3ccc,0x99999999,
    0xffffffdb,0x017ffe03,0xffd0ffff,0x9999999f,0x99999999,0x67ffec99,
    0xcccccccc,0x43cccccc,0x6ffefff8,0x0007ffd8,0xfff37ffc,0x7ffcc00b,
    0x17ffe05f,0x3fffe000,0x360006ff,0xff3fffff,0x0003ffff,0xffc8bffd,
    0xff88006f,0x5fff81ff,0x3fe60000,0x9fffd01f,0x99999999,0x5fffffd9,
    0xaaafffe8,0xbaaaaaaa,0x06fffffc,0x3ea1fff5,0x2a0001ff,0xfa800fff,
    0x1fff51ff,0xfff10000,0xf1000009,0x7640ffff,0xeeeeeeee,0x3fe602ee,
    0xf7309cff,0xffb89fff,0x7fe4006f,0x3ffa001f,0x3fee2007,0xfff80fff,
    0x43fccc05,0x00007ffe,0x0007ffec,0x3fffea00,0x07ffd80f,0xf37ffc00,
    0x3e600bff,0x7fc05fff,0xff80005f,0x000fffff,0xffffff88,0xdffffff3,
    0x8bffd000,0x004ffff8,0xf827ffec,0x200005ff,0x3fa03ffd,0x7f4c007f,
    0x3ffa0fff,0xffb88007,0xfffa81ff,0x003fff50,0x007ffd40,0xff50ccc4,
    0xf100001f,0x800009ff,0x07fffffa,0xfe880000,0x3fa201ff,0x3ffee2ff,
    0x7ffe4006,0x1fffa001,0x3fffe200,0x805fff85,0x7ffe85f9,0x7fec0000,
    0xb800000f,0xffb01ccc,0xfff8000f,0x2017ffe6,0x805ffff9,0x80005fff,
    0x3fffdfff,0xfdffb800,0xfffff3ff,0xfe8007ff,0xffffa85f,0xdfff5001,
    0x002fffc0,0x403cc880,0x88007ffe,0x3fa3fffe,0x3f20007f,0xfffa83ff,
    0x003fff50,0x007ffd40,0x01fff500,0x9fff1000,0x3f620000,0x007fffff,
    0xfffa8000,0x5fff8803,0x001bffee,0x4003fff9,0x30007ffe,0xff83ffff,
    0x83fb805f,0x00007ffe,0x0007ffec,0xffb00000,0xfff8000f,0x3017ffe6,
    0x200bffff,0x80005fff,0x6ffccfff,0xfaffd800,0xfdfff3ff,0x74003fff,
    0xfff905ff,0xffff100d,0x02fffc03,0x7f400000,0xff70007f,0x03fff49f,
    0x217ffe00,0xff50fffa,0x7d40003f,0x2a0000ff,0x80000fff,0x3904fff8,
    0x3fffee00,0x2007ffef,0x32000998,0x3f6006ff,0x1bffee7f,0x03fff900,
    0x003fff40,0xf8bfff70,0x7fcc05ff,0x007ffe81,0x07ffec00,0x0c400000,
    0x0003ffec,0xfff9bffe,0x3fffe605,0x17ffe004,0x33ffe000,0x2000fff9,
    0xfff8eff8,0xff7bfff3,0x7ff400df,0x7ffff105,0x03fffd80,0x0002fffc,
    0xffd03100,0x3fe2000f,0x01fffa6f,0x81fffd00,0xff50fffa,0x7d40003f,
    0x2a0000ff,0x0a880fff,0x09fff100,0xff9003fb,0xfff71dff,0xffffd880,
    0x7f402dff,0x3fee005f,0x0bfff70f,0x01fffc80,0x001fffa0,0x7c7fff88,
    0x17fc05ff,0x0007ffe8,0x007ffec0,0x14ee9800,0x365bfffb,0x7c0007ff,
    0x17ffe6ff,0x027fffcc,0x0017ffe0,0x7fd3ffe0,0x3fee003f,0xff3fff8c,
    0x0ffffabf,0x502fff40,0x2a03ffff,0xff805fff,0x74c0005f,0xbfffb14e,
    0x001fffa5,0x3fa7ffe8,0x7f40007f,0x7ffd40ff,0x803fff50,0x3ea3eeed,
    0xee9800ff,0x21fff50e,0xceffffd9,0x93ffe202,0xc801ffe8,0x3fee4fff,
    0xffff9107,0x19ffffff,0x800f32a0,0xff50fffb,0xffc800bf,0x3ffa001f,
    0x7fec0007,0x017ffe1f,0x3fff4037,0x3ff60000,0xf500000f,0xfffff1bf,
    0x01fff6bf,0x7cdfff00,0xfff985ff,0xfff8004f,0xfff80005,0x400dff94,
    0xfff89ffe,0x3e6bfff3,0xfe801fff,0x7ffec05f,0x0ffff886,0x005fff80,
    0x7c6ffd40,0xfd5fffff,0x7fc000ff,0x01fffa7f,0x87fff880,0xff50fffa,
    0x7ffec03f,0x007ffd45,0xfa8fffd4,0xffffb8ff,0x102fffff,0x3fe69fff,
    0x19f9005f,0xfb07ffb8,0xfd9bdfff,0x0001dfff,0xf53ffec0,0xfc8009ff,
    0x3fa001ff,0x7d40007f,0x17ffe4ff,0x0fffd000,0xfffd8000,0xff500000,
    0xffffffbb,0x001fff65,0x7fcdfff0,0x7fffcc5f,0xbfff0004,0x9fff0000,
    0x2003ffe6,0xfff16ff8,0xfb97ffe7,0xffe806ff,0x7fffc405,0x01fffe42,
    0x0005fff8,0x7feeffd4,0xffd2ffff,0x3fe2000f,0x01fffa5f,0x85fffb80,
    0xff50fffa,0x3fff603f,0x00fffa85,0xf51fffa8,0xbffffdff,0x05fffffd,
    0xff59fff1,0x8054007f,0xffb87ffb,0xffd881ef,0xf100005f,0x7ffccbff,
    0x7ffe4004,0x1fffa001,0xbfff3000,0x0002fffc,0x0001fffa,0x001fffb0,
    0x3fffea00,0x366dbbef,0x7c0007ff,0x97ffe6ff,0x003ffff9,0x0017ffe0,
    0xff93ffe0,0x3ffb803f,0x3fe7fff1,0x27fff45f,0x2017ffa0,0xf30ffffa,
    0x7fc00bff,0x7d40005f,0xdbbeffff,0x001fffa6,0xfd27ffe4,0x3f2000ff,
    0xffa82fff,0x03fff50f,0x2a09fffb,0xfa800fff,0xffff51ff,0xfff903bf,
    0xfffff10f,0x400005ff,0x7fc47ffb,0x7fe400ef,0xfc80002f,0x3ffe63ff,
    0x7ffe4003,0x1fffa001,0xbfff1000,0x0002fffc,0x3333fffa,0xcccccccc,
    0x7ec4cccc,0xccccccff,0x2ccccccc,0x05ffffa8,0x7fffffec,0xffffffff,
    0x6fffffff,0x7fcd7ffe,0x20004fff,0x80005fff,0x3ff24fff,0x10ffe806,
    0x3ffe7fff,0x0ffffcc5,0x200bffd0,0xffd4fffd,0x7ffc001f,0x06665c05,
    0x017fffea,0x7000fffd,0x7f41ffff,0x999999ff,0xfeca9999,0xff505fff,
    0x07ffea1f,0x5409fffb,0x332e0fff,0x23fff50c,0x406ffffa,0x7c42fffd,
    0x001fffff,0x23ffdc00,0x8801fffd,0x0000ffff,0xf11bffe6,0xfc8007ff,
    0x3fa001ff,0xff80007f,0x017ffe6f,0xfffffd00,0xffffffff,0xd8ffffff,
    0xffffffff,0xffffffff,0x0ffffa84,0x7ffffec0,0xffffffff,0xffffffff,
    0x3e77ffe6,0x02ffffff,0x00bfff00,0x4c9fff00,0x3e200fff,0x4fffe26f,
    0xffb85fff,0x17ffa06f,0x67fffc40,0x7c002fff,0x7fec05ff,0x7fffd41f,
    0x4ffff400,0x99999999,0x3ffffeba,0x7ffffff4,0xffffffff,0x00dfffff,
    0x3ea1fff5,0x3fff61ff,0x07ffd404,0x3ea3fffb,0xdfff51ff,0x3fff9801,
    0x077fffc4,0x7fdc0000,0x002fffc7,0x0005fff7,0x203fffe6,0xfff02fff,
    0xffffffff,0xd0bfffff,0xf0000fff,0x2fffcdff,0x3fffa000,0xffffffff,
    0x7fffffff,0x7fffffec,0xffffffff,0xfffa84ff,0xffffd804,0xffffffff,
    0xffffffff,0x3ffffe6f,0xffffdfff,0x5fff8000,0x4fff8000,0xf701fffc,
    0x9fffc47f,0xffd05fff,0x17ffa09f,0xfffffa80,0xfff8004f,0x0fffec05,
    0x2013ffea,0xfffffffe,0xffffffff,0xffe86fff,0xffffffff,0xffffffff,
    0x87ffd402,0xff91fffa,0xfff5009f,0xa8fffec1,0xfff51fff,0x13ffe009,
    0x001dfff3,0x9ffee000,0x2002fff8,0x8003fff8,0xf03ffff8,0x3ffe05ff,
    0xffffffff,0xe85fffff,0x440007ff,0x3ffe6fff,0x7ff40005,0xeeeeeeef,
    0xeeeeeeee,0x7ffffec5,0xffffffff,0xffa84fff,0xfffd803f,0xaaaaaaaa,
    0xfaaaaaaa,0x3fffe6ff,0xfffb2fff,0xbfff000d,0x9fff0000,0x3a06ffc8,
    0x3ffe20ff,0x260bfff3,0xfe81ffff,0x7fec005f,0xf8000eff,0x7fec05ff,
    0x1fffd41f,0x7fffff40,0xffffffff,0xfd03ffff,0xffffffff,0x37bfffff,
    0x43ffea00,0xffc9fffa,0xfff5004f,0xa8fffec1,0xfff51fff,0x93ffa007,
    0x004ffff9,0x9ffee000,0x4001fffa,0x4c004fff,0x3e04ffff,0x999901ff,
    0x9bfffd99,0xfd059999,0xf98000ff,0x17ffe5ff,0x0fffd000,0xfffd8000,
    0xff500000,0xfffb005f,0x6fff8000,0x8bfffffe,0x004ffff8,0x0002fffc,
    0x3e627ffc,0x5ff980ff,0xff9fffc4,0x3ffee05f,0x005ffe86,0x00ffffc4,
    0x405fff80,0x7d40aaa9,0xffe802ff,0xffffffff,0x00ceefff,0x2667fffa,
    0xfffda999,0x3fea001e,0xfbfff50f,0x2a009fff,0x2aa60fff,0x23fff50a,
    0xd002fffa,0x3ffea9ff,0x000004ff,0xffb9ffee,0x7ff4000f,0x3ffea005,
    0x0fff404f,0x07fff200,0x007ffe80,0xf1fffd40,0xe8000bff,0x400007ff,
    0x0000fffd,0x003fff50,0x8000fffb,0x3ffe6fff,0xfffa82ff,0x3ffe001f,
    0xfff80005,0xb83fff84,0x7ffc43ff,0xe80bfff3,0x7ff44fff,0x7ffd8005,
    0x17ffe000,0x3fff5000,0x33fffd00,0x01333333,0x807ffe80,0x003ffffa,
    0x3ea1fff5,0xffffffff,0x0fffa801,0x51fffa80,0x3a003fff,0xfffff4ff,
    0x4000009f,0x3ff27ffb,0x6ffd8007,0x9ffff700,0x001ffb00,0x001fffc8,
    0x0001fffa,0x7fc5fff7,0x7f40005f,0x6c00007f,0x00000fff,0xb001fff5,
    0xf8000fff,0x3fffe6ff,0x3ffff202,0x0bfff000,0x09fff000,0xffd0dff9,
    0xf3fff881,0xff980bff,0x17ffa1ff,0x01fff600,0x005fff80,0x007ffd40,
    0x0003fff4,0x803fff40,0x802ffffa,0xff50fffa,0xdfff9fff,0x01fff500,
    0x2a3fff50,0xfd000fff,0x3febbe9f,0x2000004f,0x3fee7ffb,0x7ff4000f,
    0xffffc806,0x01ffb003,0x01fffc80,0x001fffa0,0x7c3fffb0,0x740005ff,
    0x400007ff,0x0000fffd,0x001fff50,0x8000fffb,0x3ffe6fff,0x5fffe805,
    0x00bfff00,0x309fff00,0x7fcc1fff,0xf3fff885,0xff700bff,0x02fff4df,
    0x003ffec0,0x000bfff0,0x800fffa8,0x00007ffe,0x2007ffe8,0x401ffffb,
    0xff50fffa,0x3ffee7ff,0x07ffd404,0xa8fffd40,0xfd000fff,0x3fe23a9f,
    0x2000004f,0x3fea7ffb,0x7ffc001f,0x7fffec05,0x01ff2002,0x007fff20,
    0x0007ffe8,0xf83fffe2,0x740005ff,0x400007ff,0x0000fffd,0x001fff50,
    0x8000fffb,0x3ffe6fff,0xffff9805,0x05fff803,0x04fff800,0x7fe47ffd,
    0xf3fff882,0x3fa00bff,0x0bffd4ff,0x00fffb00,0x002fffc0,0x003ffea0,
    0x0001fffa,0x001fffa0,0x401dfffb,0xff50fffa,0x1fffe87f,0x003ffea0,
    0x7d47ffea,0xffd000ff,0x04fff889,0x3fee0000,0x00bffe67,0x104fff88,
    0x003ffffb,0xc8007fc8,0x3a001fff,0x320007ff,0x7ffc4fff,0x7ff40005,
    0x7ec00007,0x500000ff,0xfb001fff,0xff8000ff,0x017ffe6f,0x00ffffdc,
    0x00017ffe,0x7e413ffe,0x203ffe6f,0xfff3fff8,0x3ffe600b,0x005ffe9f,
    0x0007ffd8,0x00017ffe,0xd001fff5,0x00000fff,0x8800fffd,0x2a05ffff,
    0xfff50fff,0x06fff983,0x2003ffea,0xff51fffa,0x3ffa001f,0x027ffc44,
    0xfff70000,0x0027ffc4,0xd105fff5,0x0001dfff,0xf9000bd5,0x7f4003ff,
    0xff30007f,0x5fff81ff,0x3fff4000,0x3ff60000,0xf500000f,0xffb001ff,
    0xfff8000f,0x8017ffe6,0x200efffe,0x80005fff,0xff304fff,0x20bff31f,
    0xfff3fff8,0x7ffdc00b,0x8005ffee,0x20007ffd,0x40005fff,0xe800fffa,
    0x800007ff,0xa8007ffe,0xf502ffff,0x3ffea1ff,0x04fffc81,0x5001fff5,
    0x3fea3fff,0x9ffd000f,0x004fff88,0x1ffee000,0x2001fffd,0xfd80fffe,
    0x00000eff,0x1fffc800,0x01fffa00,0x13fffa20,0x00017ffe,0x0000fffd,
    0x000fffd8,0x01fff500,0x000fffb0,0x3fe6fff8,0x3fe2005f,0x3ffe05ff,
    0xfff80005,0x32fffa04,0xfff102ff,0x0017ffe7,0xbffffffd,0x0fffb000,
    0x02fffc00,0x03ffea00,0x001fffa0,0x01fffa00,0x07fffec0,0xfa87ffd4,
    0xfffd01ff,0x01fff503,0x2a3fff50,0xfd000fff,0x4fff889f,0x3ee00000,
    0x2fffcc7f,0x42fffdc0,0x0005fffb,0x3ff20000,0x3ffa001f,0x7ffdc007,
    0x5fff80ff,0x3fff4000,0x3ff60000,0xf500000f,0xffb001ff,0xfff8000f,
    0x0017ffe6,0x205ffff5,0x80005fff,0x3f204fff,0x2207ffef,0xbfff3fff,
    0xffff9800,0xfd8005ff,0x3fe0007f,0x7d40005f,0xffe800ff,0xfe800007,
    0xff10007f,0xfff50bff,0x407ffea1,0x540efff9,0xfa800fff,0x1fff51ff,
    0x113ffa00,0x00009fff,0x643ffdc0,0xf900efff,0xff881fff,0x000000ef,
    0x07fff200,0xaafffe80,0xedcaaaaa,0x01ffffff,0x5555dfff,0x55555555,
    0x2bfffa55,0xaaaaaaaa,0xaaaaaaaa,0x001fffb1,0x03ffea00,0x001fff60,
    0x7fcdfff0,0xffd8005f,0xefff80ff,0xaaaaaaaa,0x3e2aaaaa,0x3fe604ff,
    0x3e204fff,0x0bfff3ff,0xfffff700,0xfffb000b,0x77ffc000,0xaaaaaaaa,
    0xf52aaaaa,0xffd001ff,0xfd00000f,0x7dc000ff,0x7fd42fff,0x03fff50f,
    0x2a27ffe4,0xfa800fff,0x1fff51ff,0x113ffa00,0x5555dfff,0x55555555,
    0xfff70055,0xbffffd10,0xfffffb79,0x59fffb03,0x55555555,0x3ea15555,
    0x7e4005ff,0x3fa001ff,0xffffffff,0xffffffff,0x3fffe01f,0xffffffff,
    0xfd7fffff,0xffffffff,0xffffffff,0x3ff6bfff,0xf500000f,0xffb001ff,
    0xfff8000f,0x0017ffe6,0x21bfffe2,0xffffffff,0xffffffff,0x013ffe7f,
    0x405ffffd,0xfff3fff8,0x3ffa000b,0xfd8005ff,0x3fe0007f,0xffffffff,
    0x7fffffff,0xd001fff5,0x00000fff,0x8000fffd,0x7d46fffe,0x3fff50ff,
    0x0ffffc40,0x5001fff5,0x3fea3fff,0x9ffd000f,0xffffff88,0xffffffff,
    0xfb807fff,0xfff9107f,0xdfffffff,0xfffff303,0xffffffff,0x2a3fffff,
    0x64005fff,0x3a001fff,0xffffffff,0xffffffff,0x7fffc00b,0xffffffff,
    0xfd7fffff,0xffffffff,0xffffffff,0x3ff6bfff,0xf500000f,0xffb001ff,
    0xfff8000f,0x0017ffe6,0x227fffcc,0xffffffff,0xffffffff,0x013ffe7f,
    0x880ffff9,0xbfff3fff,0x3ffe6000,0xffd8005f,0x3ffe0007,0xffffffff,
    0x57ffffff,0xfd001fff,0xd00000ff,0x98000fff,0x3ea4ffff,0x3fff50ff,
    0x0efffa80,0x5001fff5,0x3fea3fff,0x9ffd000f,0xffffff88,0xffffffff,
    0xfb807fff,0x7ff5407f,0x202cefff,0xfffffffb,0xffffffff,0xfff51fff,
    0xfffc800b,0x3fffa001,0xefffffff,0x3e002cce,0xffffffff,0xffffffff,
    0xffffffd7,0xffffffff,0x2bffffff,0x0000fffd,0x001fff50,0x8000fffb,
    0x3ffe6fff,0x3ff20005,0x3fffe2ff,0xffffffff,0x3e7fffff,0x7fcc04ff,
    0x7ffc404f,0x000bfff3,0x002fffe4,0x0003ffec,0xffffffff,0xffffffff,
    0x03ffeaff,0x001fffa0,0x01fffa00,0x3fffee00,0x2a1fff51,0xfd801fff,
    0x1fff54ff,0x23fff500,0xd000fffa,0xfff889ff,0xffffffff,0x07ffffff,
    0x2007ffb8,0xfb000aa9,0xffffffff,0xffffffff,0x17ffea3f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xeeeeeeee,0xeeeeeeee,0x24eeeeee,
    0xaaaaaaaa,0xaaaaaaaa,0x3bba21aa,0x3ae0001e,0xfe8002ee,0x3fe604ff,
    0x1fffdc5f,0x3bbbbbaa,0xeeeeeeee,0x00eeeeee,0x1dfff900,0x2e000000,
    0xffa803ee,0x0fffe44f,0x74400000,0xea800eee,0x333333ee,0x33333333,
    0x03333333,0x10000000,0x40000133,0x30000199,0x44000015,0x03300009,
    0x01a98000,0x01331000,0x00155530,0x00002662,0x800cd4c4,0x40000998,
    0xff001a98,0xffffffff,0xffffffff,0x3e2bffff,0xffffffff,0xffffffff,
    0x77ffe44f,0xfffa8000,0xfffa8006,0x3fffa805,0xf70bfff1,0xffffffff,
    0xffffffff,0x50001fff,0x00bfffff,0xfff30000,0x3fff2009,0x707fff31,
    0xffffffff,0xf100dfff,0xf5003fff,0x2aab69ff,0xaaaaaaaa,0xdaaaaaaa,
    0x406a6000,0x3f2000db,0x2e20005f,0x1dfffffd,0x3ffb2200,0x4002dfff,
    0xefffeca8,0xfb7300ac,0x0019dfff,0xffffeda8,0x22001dff,0xdffffffd,
    0x01fff902,0x7ffffec4,0x6dc002df,0xcfffffff,0x7fff6cc0,0x71000cff,
    0xbdffffff,0x3ffffe03,0xffffffff,0xffffffff,0xfffff15f,0xffffffff,
    0xd09fffff,0x88009fff,0x8000ffff,0x9000effe,0xdffb1fff,0x3ffffee0,
    0xffffffff,0x0fffffff,0x67ffc400,0x00004ffe,0x13fffa20,0xe8effe80,
    0xfff705ff,0xffffffff,0xffff100d,0x9fff5003,0x0b800012,0x3fffb220,
    0x9ff32eff,0x02ffe400,0xfffffc80,0x804fffff,0xfffffffa,0xf7004fff,
    0xffffffff,0xfffa81df,0x2fffffff,0xffffd880,0xcfffffff,0x3fff2200,
    0xdfffffff,0x407ffe40,0xffffffc8,0x400cffff,0xffffffe9,0xf71fffff,
    0xffffffff,0xfff9807f,0xffffffff,0xcccccc83,0xdfffeccc,0xcccccccc,
    0xffffff13,0xffffffff,0xf105ffff,0x74005fff,0xa8002fff,0x74001fff,
    0x00fffeff,0x99999995,0x99999999,0x001ffffd,0xff56ffe8,0x2000005f,
    0x004ffffc,0x3ffbffe2,0x3bbbaa06,0x4eeeeeee,0x1ffff880,0x94fffa80,
    0x805c0000,0xfffffffa,0x06ffefff,0x002ffe40,0x6f7fffec,0x04fffffc,
    0x37bffff2,0x0effffec,0x3fffff20,0xeffffdce,0x9dffff70,0x09ffffd9,
    0x6f7fffcc,0xfffffecc,0x3ffff604,0xffffecde,0x03fff21e,0x37bffff6,
    0x0effffec,0xdfffff50,0xfffffd99,0x99dffffb,0x207ffffd,0xccefffe8,
    0x04fffffd,0x01fffc80,0xffa80000,0x3ffee04f,0xfffc800f,0x7ffd0004,
    0xffff1000,0x2000003f,0x002ffff9,0xf90fffe4,0x800003ff,0x04fffffa,
    0x7ffffd40,0x40000000,0x800cccc8,0x00909998,0x7e405c00,0xffcdffff,
    0x000fffff,0x2002ffe4,0xa81efffb,0xfa82fffe,0xffb01eff,0x3ffea09f,
    0xfffc80bf,0x81efffce,0xd02fffd8,0x7dc05fff,0xffb80fff,0xffd881ef,
    0x21ffae6f,0x881efffb,0xfd05fffd,0x3f2205ff,0x80dfffff,0xc81fffe9,
    0xff502fff,0xfc8001ff,0x000001ff,0x402fffc4,0x5405fffd,0x10006fff,
    0x54000799,0x00002ccc,0x09ffff10,0x43ccc880,0x0003ccc8,0x3ffffe20,
    0xcca8004f,0x0000001c,0x04800000,0xf502e000,0xfb505fff,0xc8001fff,
    0x3e2005ff,0x3e600eff,0xeffe86ff,0x0fffdc00,0x00ffffe2,0xdffffff7,
    0x30dffb00,0xf7005fff,0xfff885ff,0x7ffe400e,0x3fe237c4,0x7fe400ef,
    0x07ffd42f,0x27ffff40,0x742fff40,0x7fdc04ff,0x7fe4002f,0x4000001f,
    0x8800effe,0xf103ffff,0x00001fff,0x00000000,0xbfffd100,0x00000000,
    0xfcffd800,0x000004ff,0x00000000,0x00009000,0x3fffa05c,0x3fffea01,
    0x2ffe4004,0x05fff700,0x5c1fffb0,0xfd001fff,0x4fffa8df,0xfffffb00,
    0x7fff1003,0x1006ffc8,0xffd87fff,0xfff8801f,0xffb13e27,0xfff1003f,
    0x02ffec1f,0x006fffc8,0x7c43fff3,0xcee802ff,0x7ffe4002,0x32000001,
    0x26002fff,0xfe81ffff,0x000002ff,0x00000000,0x01dfffd0,0x00000000,
    0xffb7fdc0,0x2a20004f,0x77744000,0x3bbbaa02,0xeeeeeeee,0x4803eeee,
    0xc82e0000,0x3e203fff,0x001fffff,0xe8017ff2,0x9b1006ff,0x02fff415,
    0x641fff50,0x3e6007ff,0x32005fff,0x154c46ff,0xf87fff00,0x3ee005ff,
    0xf85f91ff,0x3ee005ff,0x06ea62ff,0x01fffdc0,0xff87ffd0,0x4000005f,
    0x0001fffc,0x0bfff300,0x8dfff900,0x5004fffc,0xdddddddd,0xdddddddd,
    0x07774c07,0x3ff20000,0xbdd901ff,0x05ddd300,0x3007dd90,0x3ffe3fff,
    0x549dd304,0x1dffffed,0x03fff880,0x3fffffea,0xffffffff,0x004804ff,
    0xffe82e00,0x7d7ff406,0x2aaa24ff,0xeffdaaaa,0x1aaaaaaa,0x0009fff1,
    0x4009fff0,0x3f61fff9,0x7ff4005f,0x3fee003f,0xff880007,0x0bffe24f,
    0xdcfff880,0x17ffc44f,0x07fff100,0x1fffb800,0x913ff600,0x0017dfff,
    0x3fff9000,0x3fa00000,0xfd0000ff,0x3ffe69ff,0x3ffea006,0xffffffff,
    0x204fffff,0x0001fffa,0x0bfffea0,0x400fffb8,0x4405fffc,0xfe802fff,
    0x413ffe3f,0xfff76ffa,0x07ffffff,0x203fff88,0xfffffffa,0xfffeffff,
    0x0004803f,0x4fff82e0,0x7f47ff20,0x3fffee5f,0xffffffff,0x34ffffff,
    0x80007fff,0xaaacfff8,0xaaaaaaaa,0x3ffe2fff,0x7ffec004,0xaaaaaaac,
    0x0fffcaaa,0x3b2ea200,0x3ea4ffff,0x7fc001ff,0xffa84fff,0x7ffc001f,
    0x372a6004,0xaabfffff,0xaaaaaaaa,0x7fcc6ffd,0x01ceffff,0x3fff9000,
    0xff700000,0x7cc0007f,0xfffe9fff,0x3ffea000,0xffffffff,0x203ffffe,
    0x0001fffa,0x07ffff30,0x402fff88,0x5407fffe,0xffc807ff,0xa827ffc5,
    0xffffbeff,0x3fffffee,0x00fffe20,0x5fffb800,0x40000900,0x05fff10b,
    0xffd8ffea,0x3ffffee6,0xffffffff,0xf54fffff,0xa80005ff,0xffffffff,
    0xffffffff,0x7fff14ff,0xffffc800,0xffffffff,0x01ffffff,0xffffd971,
    0x49ffffff,0x4000fffb,0xf701fffe,0xfe8001ff,0xfd95105f,0xffffffff,
    0xffffffff,0xffffffff,0xffffff30,0x0005bfff,0x000fffe4,0x1bffe200,
    0x3ffee000,0x0002ffff,0x2fffdc00,0x007ffea0,0x3fffa200,0x0bffd005,
    0x0fffffc4,0x980bff90,0x7ffc0fff,0xfffff504,0xfffd881b,0x0fffe206,
    0x7ffd4000,0x00012006,0x3fff30b8,0xfc8bff30,0x3fffee7f,0xffffffff,
    0x54ffffff,0x80003fff,0xfffffffb,0xffffffff,0xfff55fff,0xfffb8003,
    0xffffffff,0x2fffffff,0xffffffc8,0xfffdffff,0x001fff24,0xfc81bff6,
    0xffd8007f,0xfffffb86,0xffdeffff,0xffffffff,0xffffffff,0xffffd880,
    0x00efffff,0x01fffc80,0x7ffdc000,0xffb00003,0x00009fff,0x06fffa80,
    0x001fffa8,0x0efffd80,0x40fff900,0x03fffffa,0xe880bffe,0x4fff82ff,
    0x09ffff50,0x102fffd8,0x00007fff,0x001ffff3,0x17000024,0xd107ffea,
    0x7ffb81df,0x017ff200,0x0017ffcc,0x2afffea0,0xaaaaaaaa,0xf31aaaaa,
    0xfc8005ff,0xccccccff,0xcccccccc,0x7fffec1c,0x3e1bceff,0x3ffee4ff,
    0x37ff4000,0x001fff70,0x7e46ffe8,0xabdeffff,0x557fff50,0x55555555,
    0xa8805555,0xfffffffc,0x7fe4002f,0x7400001f,0x00000fff,0x00dffff1,
    0xfff98000,0xfffa800f,0x7fe40001,0x3e6000ff,0xbffb01ff,0x3fe60bff,
    0x17ff600f,0xfa827ffc,0x7cc00fff,0xfff103ff,0xff880007,0x024001ff,
    0x3ea17000,0x0ffec1ff,0x9003ffe4,0x3e200bff,0x4c0002ff,0x80002fff,
    0x4003fff8,0x0001fffd,0x37ffff90,0x527ffc40,0xf8003fff,0x3fea05ff,
    0x7ffc001f,0x2fbfff65,0x03ffee01,0x5cc00000,0x007ffffd,0x000fffe4,
    0x0bfff300,0x7ffc4000,0x000001ff,0x003ffff1,0x0007ffea,0x02ffffa8,
    0xf03fff80,0x20fff3ff,0x3ea05ffb,0x9fff00ff,0x013ffea0,0x4413ffe2,
    0x20003fff,0x002fffe8,0x2e000048,0x5c5fff30,0xbffb03ff,0x02ffe400,
    0x4007fff0,0xfff10abb,0x3fe00007,0x7ff4004f,0xff00002f,0xff3001df,
    0x17ffcc9f,0x09fff100,0x0017ffcc,0x7fc9fff1,0xfff7007f,0x00000003,
    0x003ffff1,0x000fffe4,0x03fff900,0x7ffec000,0x800006ff,0x002fffe8,
    0x0007ffea,0x01ffffcc,0x985ffc80,0x03fff5ff,0x3e207ffd,0x3ffe02ff,
    0x07fff504,0x4413ffe0,0x20003fff,0x0003fffd,0x05c00009,0x3fe67fff,
    0x013ffa05,0x2005ffc8,0x3e005ffe,0x17ffe3ff,0x21acc980,0x26006ffe,
    0x2004ffff,0xff30acdb,0x3fea007f,0x13ffe24f,0x02fffb80,0x8013ffe2,
    0xff52fffa,0x3ff2007f,0x3376002f,0x40132a63,0x2003fffb,0x0001fffc,
    0x001bffe0,0xfffffb80,0x400004ff,0x4003fffd,0x8001fffa,0x005fffe8,
    0x703ffea0,0x0fff67ff,0x3601fff1,0x7ffc04ff,0x05fff504,0x4413ffa0,
    0x90003fff,0x40009fff,0x82e00004,0xefe8effe,0x07fff300,0x002ffe40,
    0x5003fff9,0x7fec3fff,0xfffd002f,0x017ffe43,0x1fffffd8,0x26fff880,
    0xb002fffb,0xffd89fff,0xfffd000f,0x01fffd00,0x643fffa0,0xf9801fff,
    0xf5005fff,0x7ffdcbff,0x2fff9800,0x07fff200,0x7ffd4000,0xff300003,
    0x5ffff3df,0x3ff20000,0xffa8004f,0xffd8001f,0xff80006f,0xb8ffec2f,
    0x37fd45ff,0xf806ffb8,0xfff504ff,0x13ffa003,0x001fffc4,0x802fffdc,
    0x0094fffa,0xffb05c00,0x6c03ffdf,0x32001fff,0x3e2005ff,0xffe805ff,
    0x077ffc46,0x11bffee0,0xa803dfff,0x05ffffff,0x2a3fffd8,0xfc805fff,
    0x7fcc4fff,0xfffb805f,0x5fff9804,0x25fffb80,0x4404fffb,0x04ffffff,
    0x10ffffc4,0xfb009fff,0x7e4001ff,0xb00001ff,0x20000fff,0xf71fffe8,
    0x80001fff,0x0005fffb,0x8003fff5,0x000ffffc,0x7c4ffd80,0xb1ffe67f,
    0xfff307ff,0x33333337,0x3339fff3,0x003ffea1,0xf8827ff4,0x7d4003ff,
    0xf5000eff,0x000129ff,0x3ffe60b8,0x3fea02ff,0x7fe4005f,0x7ffdc005,
    0xfffd880e,0x1efffb82,0x2ffffa88,0x01ffffa8,0xffdffff9,0xff7103df,
    0x7ffc41ff,0x3fff201f,0xfffc85ff,0xdfff900e,0x3fff2001,0xffff900e,
    0x07fffcc1,0xfefffe98,0xfd980cff,0xfffe85ff,0x17ffea03,0x03fff900,
    0x9fff1000,0x3ff60000,0x2fffec4f,0xdfff5000,0x3fea0001,0x3fea001f,
    0x700001ff,0x2ffd4dff,0xfff87ffe,0xfffffb81,0xffffffff,0x53ffffff,
    0x3a001fff,0xfff104ff,0x7ffcc007,0x3fea000f,0x4000094f,0x7fffe40b,
    0xffffb80a,0x2775c000,0x7ffff400,0xffffdbbd,0x3ffffa04,0xffffdbce,
    0x3fff603f,0xffedbcef,0xffff91ef,0xffffd79d,0xffff903f,0xfffd759d,
    0xd10dffdd,0xb79bffff,0x003fffff,0x6fffff44,0xfffffdbc,0xeffffd81,
    0xdffffdbb,0x9dffffb0,0x0dfffff9,0x33ffffe2,0xffffecbb,0x7ffe4001,
    0xffc80001,0xfb80001f,0xfff886ff,0xff98003f,0x2a0000ff,0xf3001fff,
    0x00007fff,0xfc87ffc4,0xaa7fec3f,0xfff706ff,0xffffffff,0xffffffff,
    0x003ffea7,0xf8827ff4,0xff3003ff,0xfa8003ff,0x000094ff,0x3ffe605c,
    0xfedbdfff,0x00002fff,0xffff9000,0x09ffffff,0xffffff90,0x007fffff,
    0xfffffff7,0xfb81dfff,0xffffffff,0x3ffa01ff,0xffffffff,0x101fff53,
    0xfffffff9,0x0003dfff,0xffffff91,0x203dffff,0xffffffe8,0xfc83ffff,
    0xffffffff,0x3fe600df,0xffffffff,0xfc8000ef,0xe80001ff,0x980006ff,
    0xf501ffff,0x4c003fff,0x0001ffff,0x400fffd4,0x005fffe8,0xd3ffe800,
    0x6ffb83ff,0x3ee09ff9,0xffffffff,0xffffffff,0x1fff53ff,0x413ffa00,
    0x8803fff8,0x0002fffe,0x00024fee,0xfffe8170,0xffffffff,0x555102ff,
    0x55555555,0x35555555,0x7ffff4c0,0x26001eff,0xfffffffd,0x3f62000c,
    0x03dfffff,0x3ffffb2a,0xfb800bff,0x0dffffff,0xa80fffe2,0xcefffffe,
    0xfea80002,0x02ceffff,0xffffff70,0x7edc019d,0x02efffff,0xfffff710,
    0x40009dff,0x0001fffc,0x002fffc4,0x0ffffa20,0x00dfffb0,0x00bfffa2,
    0x07ffea00,0x01bfff60,0x6ffdc000,0xff887ff8,0x001fff8f,0x413ffe00,
    0xd000fffa,0x3fe209ff,0xfffe803f,0x8fec0003,0x82e00004,0xffd99ffc,
    0x403fffff,0xfffffffb,0xffffffff,0x53004fff,0x88000135,0x80001aaa,
    0x88001aa8,0x300019aa,0x00001555,0x0000aa98,0x002aa600,0x001aa980,
    0x00135510,0x00d54cc0,0x1fffc800,0x7ffcc000,0x7fec0003,0xffe8805f,
    0xfffe804f,0xff500003,0xfffc803f,0x3000000e,0x0bff5fff,0x1fff3ffa,
    0x9fff0000,0x003ffea0,0xf8827ff4,0x7fec03ff,0xff80004f,0x5c000090,
    0x5310ff20,0x3ee00135,0xffffffff,0xffffffff,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x40001fff,
    0x0002fffb,0x003fffee,0x017fffcc,0x0009fffb,0x00fffd40,0x003ffff5,
    0xeffe8000,0xfff903ff,0x800009ff,0xff504fff,0x3ffa001f,0x07fff104,
    0x002fffe4,0x0497f620,0x0302e000,0xfffb8000,0xffffffff,0x4fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x7ec0001f,0xf30000ff,0xc8003fff,0xfc80ffff,0x400005ff,
    0xf101fffa,0x5555bfff,0x55555555,0x40355555,0x00fffffc,0x05fffff5,
    0x4fff8000,0x001fff50,0x7c413ffa,0xfff303ff,0xffffffdf,0x3fffffff,
    0x999d17ea,0x99999999,0xb9999999,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0007fff2,
    0x000fffd0,0x0027fff4,0x4c5fffe8,0xfffeffff,0xffffffff,0xfff501ff,
    0x3fffe203,0xffffffff,0xffffffff,0x3fea04ff,0x3fe206ff,0x800007ff,
    0xff504fff,0x3ffa001f,0x07fff104,0x3fffffe6,0xffffffff,0x00a1ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0x7ff40001,0xfff90006,0x7fcc000d,
    0x3ffe63ff,0xffffffff,0x1fffffff,0x203fff50,0xfffffff8,0xffffffff,
    0x4fffffff,0x027fffc0,0x0017fffa,0x413ffe00,0xd000fffa,0x3fe209ff,
    0xffff303f,0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0x7c0001ff,0xfa8004ff,0x40000fff,0xf31ffffb,0xffffffff,0xffffffff,
    0x3ffea03f,0xfffff101,0xffffffff,0xffffffff,0xfffd809f,0x17ffe402,
    0x7ffc0000,0x01fff504,0x0013ffa0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00031000,0x200002a2,
    0x06a20019,0x000eeea8,0x77745ddd,0x001ddd54,0x774cbbba,0x3bbbaa3e,
    0xeeeeeeee,0x3a63eeee,0x776c00ee,0x4bbba23e,0x2002eee9,0xdd92eee8,
    0x5ddd300b,0x647dd900,0xe9803eee,0x001c85ee,0x00b20c88,0x20000000,
    0xddb001c9,0xaa880005,0x510aa981,0x01553055,0x1a800320,0x00cccc00,
    0x00155400,0x11000110,0x20098800,0x80009998,0x26620098,0x99999999,
    0x19999999,0x9813bba2,0xfffb14ee,0xa93ba65b,0x1dffffed,0x36a4ee98,
    0x883dffff,0x0dffffec,0x8007ffd4,0x3ffe3fff,0x001fff55,0x7fd4fffe,
    0x3fffea4f,0xffffffff,0x3ea4ffff,0x3ff600ff,0x1fffc45f,0x5c00bfff,
    0xfff70fff,0x5fffc801,0x117ffc40,0xe803ffff,0x7fe41fff,0x86b2ea21,
    0xffb0efe8,0x00000019,0x01ffda80,0x0007ffd0,0x7c42ffd8,0x07ff60ff,
    0xfb00dff1,0x3ff5001d,0x03fffc00,0x07ffea00,0xffffea80,0x3ff6e02e,
    0x7dc01dff,0xfffd982f,0xfc802eff,0xfd82ffff,0xffffffff,0xffffffff,
    0x2bfff31f,0xffacfffa,0xffffff8d,0x3eedff55,0xffffffff,0xfbb7fd43,
    0x4fffffff,0x3fffffa2,0x3fea2fff,0x7fff000f,0xffaafffc,0x7fff000f,
    0xfa93ffea,0xffffffff,0x3ffffeff,0x6c03ffea,0xff884fff,0x03fff23f,
    0xf12fff40,0xffe805ff,0x3ffd407f,0x9037ffdc,0xff987fff,0xffffdaff,
    0xfffeaeff,0x5bffffb3,0x44000000,0x01fffffb,0x0007ffd0,0x7ec2ffd4,
    0x077fc42f,0xfb813fee,0x3ea00eff,0xff000fff,0xfd8000ff,0xffb004ff,
    0x0bffffff,0xfffffff9,0x3fff203f,0x7ffffcc2,0xd302ffff,0xbfffffff,
    0xffffffd8,0xffffffff,0xff31ffff,0x33ffeabf,0xfffddffa,0xdff52fff,
    0xfddffff7,0x7d47ffff,0xeffffcef,0xf9affffe,0xffffefff,0x03ffea6f,
    0xff1fffc0,0x03ffeabf,0xfa9fffc0,0x2e0004ff,0x7fd45fff,0x4fffd80f,
    0x4c7fff10,0xf9803fff,0x2fff42ff,0x3fffff10,0xd82ffe40,0xffa83fff,
    0xffff705f,0xffffffff,0x7e49ffff,0x0befffff,0xfb300000,0x01dfffff,
    0x000fffa0,0x2e0fffc4,0xbff906ff,0x2205ffd0,0xa80efffe,0x2002ffff,
    0x20007fff,0x00fffff9,0x54dfffdc,0x3e62fffc,0xbffb31ef,0x2ffffd98,
    0xc98dffec,0xfffd07ff,0x47fffd79,0xfffffffd,0xffffffff,0xfff31fff,
    0x2b3ffeab,0xbbefffff,0x3fffea6d,0x7fec40df,0x3fffea6f,0x7ffd41cf,
    0x74c1efff,0xfff53fff,0x8fffe001,0xfff54fa9,0x4fffe001,0x00009998,
    0xf50dfff5,0xfffd81ff,0x0fffe204,0xf900dffd,0x0fff90ff,0x1fffffd4,
    0x2205fff0,0x3e20ffff,0x3ea00fff,0xeddfffff,0x884fffff,0xffffffeb,
    0xd500001c,0x3bffffff,0x03ffe800,0x889ffb00,0xff101fff,0x0fffa85f,
    0x1dfffd10,0x017fffd4,0x001bbb60,0x3fffffc8,0x6c17ff40,0x03fae4ff,
    0x7fe4fff3,0x3e62ffef,0x81ffb04f,0x7cc0dffa,0xf00000ff,0x3ffe63ff,
    0xf59fff55,0xfa80bfff,0x7ec04fff,0xffff52ff,0x7fffdc0b,0x53ffe606,
    0xf000fffa,0x54f987ff,0x3e001fff,0x200003ff,0xa80ffff9,0x3ff60fff,
    0x7ffc404f,0x007ffdc3,0x3e613ffa,0xbffb01ff,0x3fe60bff,0x3ffea00f,
    0x00bfff65,0x260ffffe,0x5401fffe,0xdffffffd,0xffc88002,0x00beffff,
    0x007ffd00,0xd81fff70,0x7fdc05ff,0x02ffec0f,0x51dfffd1,0x0005ffff,
    0x3fe20000,0x4407ffaf,0x05ff7029,0xfe93fee0,0x982ffb9d,0xd85ff900,
    0x5ff901ff,0x3ffe0000,0xb8bfff11,0x0ffffabf,0x07fffd40,0x54fffe60,
    0x2200ffff,0x7401ffff,0x1fff55ff,0x70fffe00,0x03ffea5f,0x001fffc0,
    0x1ffff880,0x361fff50,0xf8803fff,0x7ffc43ff,0x07ffe603,0xff81fffc,
    0xf707ff9f,0xfff900bf,0x009fff75,0x4403fff7,0x71005fff,0x7fffffff,
    0xfffd9801,0x0002dfff,0x4003ffe8,0x7dc3fff9,0xffe800ff,0x017ffcc5,
    0xffdfffd1,0x000005ff,0xeaffdc00,0x3e0002ff,0x7e5400ff,0xfb8721ef,
    0x32ea202f,0x7f42fffe,0x00ffe607,0xf0fffc00,0xa9fd87ff,0xfa804fff,
    0xff8804ff,0x09fff54f,0xb00dfff0,0x3ffeadff,0x47fff000,0xfff50fe8,
    0x0fffe001,0x3ffa2000,0x3ffea02f,0x003fffd8,0xfb07fff1,0x37fe40df,
    0xf30bff90,0x207ffebf,0xfd003ffe,0x00dfffff,0x2a013ffa,0x54000fff,
    0xcffffffd,0x3fffae21,0x0000cfff,0x000fffa0,0xff98dffd,0xfff3003f,
    0x00fffc87,0x3fffffa2,0x3bbaa02f,0xeeeeeeee,0x3eeeeeee,0x3ea3fff0,
    0xffb0006f,0x5fff980b,0x442ffb80,0xfffffffc,0x037fc2ff,0x0000bff1,
    0xffe87ffe,0x7fd47fc2,0xfffa803f,0x29fff003,0xf802fffa,0xffc805ff,
    0x001fff57,0x7f44fffe,0x003ffea1,0x0001fffc,0x201fffec,0xfffdfffa,
    0xfff1004f,0x03fff507,0xfa80fffe,0x9ffdc0ff,0x7fc43ffd,0xfff3000f,
    0x3e001fff,0xfff001ff,0x3f260003,0xfb1fffff,0x005dffff,0x3bbbbb20,
    0xeeefffee,0x321eeeee,0x7ff42fff,0x7ffec006,0x017ffe20,0x07ffffd1,
    0xffffffb8,0xffffffff,0xfb84ffff,0x00fffc6f,0x01dffd10,0x0dfffeb8,
    0xf88bfee0,0xdbdeffff,0x037fc2ff,0x0000bff1,0xffc87ffe,0x3eabfb11,
    0xffa802ff,0x9ffd002f,0x2007ffea,0xfc804fff,0x01fff57f,0x3f37ffe0,
    0x07ffd42f,0x003fff80,0x027ffe40,0x7fffffd4,0xf8801fff,0x9fff03ff,
    0x801fff50,0x7fec2fff,0xfa8bff71,0x7fdc006f,0xff1002ff,0x17ff400f,
    0x7ffd4000,0x3bfffb1f,0xfffd8000,0xffffffff,0x1fffffff,0xfb8dfff1,
    0x7cc003ff,0x7ffe45ff,0x3fffea02,0x3fee00ef,0xffffffff,0xffffffff,
    0x643ffe84,0xff5005ff,0x544001bf,0x3fee07ff,0x02b7ff62,0x7fe85ff9,
    0x0013fe60,0xf70fffc0,0xff52fd4f,0xfff5003f,0x53ffa003,0xf801fffa,
    0xffc804ff,0x001fff57,0x06fbfffe,0x4003ffea,0x20003fff,0x5005fffb,
    0xff9fffff,0xfff100df,0x21fff207,0xfd805ffd,0xf33ffc4f,0x03ffd8ff,
    0x1ffffd40,0x00fff880,0x0005fff0,0x7ffff5c4,0x3bffffb1,0x7ffec000,
    0xffffffff,0x1fffffff,0xf887fff6,0x7e4006ff,0x77ff41ff,0xfffff500,
    0x2a201dff,0xaaaaaaaa,0xaaaaaaaa,0x07ffcc1a,0x9003ffe6,0x40007fff,
    0xff702ffc,0xe807ffc5,0x0ffec2ff,0x0002ffb8,0x5443fff0,0x3ffea142,
    0x0fffa800,0x2a9ffd00,0xff800fff,0x7ffc804f,0x2001fff5,0x7d404fff,
    0xfff000ff,0x3fea0007,0xff5000ef,0x3fff27ff,0x1fffc404,0x221fff98,
    0xfb802fff,0xf17fea6f,0x0fffc3ff,0xfffff100,0x3ffe001f,0x1fff8802,
    0xfffc9800,0xff70dfff,0x017dffff,0xaaaaa980,0xaacfffaa,0x220aaaaa,
    0x7fd45fff,0xfff1002f,0x01fffb89,0xfd7ffff5,0x00001dff,0x05ffd800,
    0x36209ffb,0x55401fff,0x209ff902,0x3ffe2ffb,0x42fffc80,0xff885ffb,
    0xff00000f,0xff50003f,0xfff5001f,0x53ffa001,0xf800fffa,0xffc804ff,
    0x001fff57,0xa807fff3,0xf9800fff,0xf98003ff,0x2a000fff,0x7ff43fff,
    0x3ffe201f,0xb93ffa03,0xff1007ff,0xb0fff21f,0x1bfea9ff,0xfffffb00,
    0x3ff600df,0x06ffd806,0x7ffff540,0xfd500cff,0x039fffff,0x0fffa000,
    0x85fff500,0xfb006ffc,0x4fff88df,0x25ffff50,0x00efffe8,0x00155540,
    0x2a03fff1,0xffd80fff,0x1ffe800e,0xb81fffc4,0x37ff62ff,0xffffda89,
    0x9bfffe82,0x0003fffc,0x00033320,0x2003ffea,0xd000fffa,0x3ffea9ff,
    0x04fff800,0xff57ffc8,0xfff5001f,0x0fffa807,0x03fffa80,0x0ffffcc0,
    0x03ffea00,0x440dfff3,0x3ee03fff,0x013ffa7f,0xffd3ffe8,0xf96ffb83,
    0x7fd4009f,0x04fffbcf,0x00dfff98,0x1007fff9,0xdffffff9,0x7fe4c007,
    0x002dffff,0x001fff40,0x3a237fe4,0x7fcc03ff,0x837fe41f,0x442ffffa,
    0x000efffe,0xc801fffe,0x7ffc06ff,0x777ffe43,0x264eeeee,0xffdadfff,
    0x5ff700ef,0x7fffffcc,0x983ffbff,0xffffffff,0x00000006,0x007ffd40,
    0x8007ffd4,0xfff54ffe,0x09fff001,0x3eafff90,0xffb801ff,0x7ffd403f,
    0x3fffb801,0x3fffa200,0xfffa8002,0x04fffc80,0x4407fff1,0xfff8afff,
    0x37fee001,0xff887ff8,0x001fff8f,0x7ecdfff1,0x7fc401ff,0xeb99beff,
    0x2a01ffff,0xdffffffd,0x3ee20001,0x0bffffff,0x03ffe800,0xa87ffd00,
    0x3fa00fff,0x0fffcc3f,0x817fffd4,0x00efffe8,0x200ffff0,0x5c03fff8,
    0x3ffe26ff,0xffffffff,0x7ffffec5,0x3ee01eff,0x7fff4c2f,0x20dfd0cf,
    0x3fffffd8,0x00000000,0x800fffa8,0xd000fffa,0x3ffea9ff,0x04fff800,
    0xff37ffc8,0xfffb005f,0x2fff9807,0x03fffd80,0x00ffffa0,0x407ffd40,
    0x881fffe8,0x7ec03fff,0x006ffbcf,0x7fd7ffcc,0xff9ffd05,0x7ffec00f,
    0x81bffe21,0xffffffe8,0xffffffff,0x3ffae21f,0x000cffff,0x7fff5400,
    0x2001dfff,0x30003ffe,0xffc81fff,0xb0dff705,0x3fea07ff,0x7ff4402f,
    0x1fffe005,0x007ffdc0,0x64cbffe2,0xcccccccc,0xfed983cc,0xcc9803de,
    0x00013101,0x0000d4c4,0xf5000000,0xff5001ff,0x3ffa001f,0x001fff54,
    0xf9009fff,0x3bffe2ff,0x3ffff200,0x7fffc403,0x3ffff200,0x9fffb003,
    0x7ffd4000,0x0dfff500,0xa807fff1,0x03ffefff,0xffeffe80,0xfffff903,
    0x3ffee009,0x84fffb84,0xffdfffe8,0xfdffffff,0xfffb1fff,0x00007dff,
    0xffff9300,0x3fa003ff,0x3f20003f,0x41ffe84f,0x7d40fff8,0x017d405f,
    0x6c005e88,0x555006ee,0x06aaa005,0x00000000,0x00000000,0x00000000,
    0x4007ffd4,0xd000fffa,0x3ffea9ff,0x04fff800,0x3f67ffc8,0x7e440cff,
    0xd803ffff,0x6440dfff,0xf53fffff,0x7ffe49ff,0x7fd40005,0x3fff600f,
    0x01fffc44,0x07fffffc,0x7fffe400,0xffff500f,0xfff3005f,0x17fff40d,
    0x6453ffe2,0xf51deffe,0x3fff65ff,0x0000001d,0x1ffffb88,0x007ffd00,
    0x4c0ffe80,0x1ffe46ff,0x04007ff4,0x00000200,0x00000000,0x00000000,
    0x00000000,0x50000000,0xf5001fff,0x3fa001ff,0x01fff54f,0x9009fff0,
    0x7ffd4fff,0xfffeceff,0xa803ffdd,0xecefffff,0x3ffddfff,0x3e69fff5,
    0xffffefff,0xffffffff,0x01fff51f,0x10ffffc4,0xf9007fff,0x2000bfff,
    0x206ffffa,0x007ffff8,0x4403fffd,0x7cc0ffff,0x22fa8004,0x00000cfd,
    0x3fb50000,0x00fffa00,0x50599100,0x41e64199,0x00002cc9,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff500000,0xfff5001f,0x53ffa001,
    0xf800fffa,0xffc804ff,0x7ffffdc7,0xff94ffff,0x3ffee007,0x94ffffff,
    0x3ffea7ff,0xffffff34,0xffffffff,0x3ea3ffff,0x7fd400ff,0x0fffe26f,
    0x0bfffe60,0x4ffff800,0x02ffff40,0x4027ffe4,0x0085fffb,0x00030200,
    0x4c000000,0x01555000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffea00,0x003ffea0,0xffaa7ff4,0x4fff800f,
    0x987ffc80,0x3efffffe,0x9800fff2,0x3efffffd,0x7fd4fff2,0xfffff34f,
    0xffffffff,0x2a3fffff,0xfd800fff,0x7fff14ff,0x01fffa00,0x05fffb00,
    0x402fffc8,0x2006fff9,0x0003fffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1fff5000,
    0x01fff500,0x7d53ffa0,0xfff800ff,0x07ffc804,0x00000d4c,0x00003530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33331000,0x33333333,
    0x80333333,0x198002a9,0xb97bba20,0x2aa82eee,0x00013300,0x1ffff981,
    0x0017fff6,0x4ccccc40,0x26219999,0x77775099,0x77777777,0x77777777,
    0x2aaa6777,0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffd800,0xffffffff,0x01ffffff,0x22003ff2,0x884ffffd,
    0x3ff26fff,0x204ff82f,0xdfffffe9,0x7ec5a802,0x7ff443ff,0x237fec0f,
    0xffb0fffa,0xffffffff,0x653ffea1,0xffffffff,0xffffffff,0x96ffffff,
    0xffffffff,0xffffffff,0x0dffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb000000,0xffffffff,0xffffffff,0x03fe403f,0x7fffff44,0x3ffe20ef,
    0x30bfff26,0x3ff207ff,0xffffffff,0x137e4c1c,0x3e609fff,0x37fec4ff,
    0x7ec3ffea,0xffffffff,0x29fff50f,0xfffffffc,0xffffffff,0x6fffffff,
    0xfffffff9,0xffffffff,0xdfffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0xffffffff,0xffffffff,0x3ee043ff,0x177ec086,0x7fc49fd7,
    0x0bfff26f,0x4c5dfff9,0xffffffff,0xfeefffff,0x3ff26fff,0x07ffd406,
    0xffa8dffb,0xfffffb0f,0x2a1fffff,0x00004fff,0x26666200,0x99999999,
    0x99999999,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x45bea7df,0x0bfe24fc,0x7fc43fea,0x0bfff26f,0x4c3ffea6,0xfebbdeff,
    0xffffffff,0xfff15fff,0x49ff7001,0x7fd46ffd,0x5555530f,0x74c55555,
    0x000003ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffd4000,0xfffdefdf,0xff81bea7,0xfb97ffe1,0x3ffa01ff,0x2a209f33,
    0xfffffffd,0x037730cf,0x0001ddc0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6d400000,0xffffffff,0x0df50cef,
    0x9ffd17f4,0x9887ffd4,0x32fffcb9,0x3bae2007,0x00001cef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffdcc00,0x1ff9809d,0x3f60ff98,0xd9ffe23f,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb000,0x106ff405,0x1ffb8dfb,0xfffd2ffc,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x333332e0,0xcccccccc,0xd80ccccc,0x01ffe9ff,0xffbbfff3,
    0x40ffa81f,0x04ccc4fe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36000000,0xffffffff,0xffffffff,
    0xa7fdc1ff,0xd300fff9,0x103dffff,0x00353055,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,
    0xffffffff,0xffffffff,0x07fec1ff,0xba805ff7,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32000000,0xeeeeeeee,0xeeeeeeee,0xd82b81ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_45_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,2,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,2,3,3,3,2,1,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,3,2,3,2,3,2,2,3,2,1,1,1,1,1,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,1,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_45_latin_ext_y[560]={ 36,7,7,6,4,6,6,7,6,6,6,12,31,23,
31,6,7,7,7,7,7,7,7,7,7,7,15,15,12,15,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,41,7,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,18,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,15,7,6,12,7,
6,6,6,6,6,16,15,23,6,2,6,11,6,6,7,15,7,19,35,6,6,16,6,6,6,15,-1,-1,-1,0,
1,0,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,13,6,-1,-1,-1,1,-1,7,6,7,7,
7,7,6,6,14,14,7,7,7,6,7,7,7,6,7,7,7,7,7,7,6,13,13,7,7,7,6,7,7,6,
2,8,0,7,7,14,-1,7,0,7,0,8,0,7,0,7,7,7,1,8,0,7,0,8,7,14,0,7,0,7,
0,7,1,8,6,5,-1,-1,7,7,0,7,2,8,0,7,7,7,0,15,7,7,-1,7,7,7,15,-1,0,7,
7,7,7,7,7,7,7,-1,7,7,14,-1,7,6,6,14,1,8,0,7,-1,7,6,14,-1,7,7,14,0,7,
-1,7,0,7,6,14,0,7,7,7,0,7,7,7,0,7,1,8,0,7,-1,6,-1,7,7,15,-1,7,-1,7,
1,-1,7,0,8,0,7,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,7,15,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,7,0,7,0,
7,0,7,-1,1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-5,-2,-1,7,-1,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_45_latin_ext_w[560]={ 0,5,12,22,20,32,25,5,10,10,14,20,5,12,
5,12,20,12,20,20,21,20,20,20,20,20,5,5,20,20,20,20,38,28,23,26,24,22,20,27,23,5,17,25,
19,29,23,29,23,29,26,24,24,23,27,38,27,27,24,9,12,9,17,24,9,20,19,19,19,20,13,19,18,5,
9,18,5,29,18,20,19,19,12,18,11,18,20,29,20,20,20,12,4,13,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,19,22,20,24,
4,20,12,30,15,18,20,12,30,24,12,20,13,13,8,18,22,5,9,8,14,18,32,31,34,19,28,28,28,28,
28,28,39,26,22,22,22,22,8,9,13,12,28,23,29,29,29,29,29,18,29,23,23,23,23,27,23,21,20,20,
20,20,20,20,34,19,20,20,20,20,9,8,14,12,20,18,20,20,20,20,20,20,21,18,18,18,18,20,19,20,
28,20,28,20,32,24,26,19,26,19,26,19,26,19,24,24,28,22,22,20,22,20,22,20,22,20,22,20,27,19,
27,19,27,19,27,19,23,18,29,20,14,14,13,13,13,13,9,9,5,5,25,14,21,13,25,18,18,19,8,19,
10,19,10,19,12,21,9,23,18,23,18,23,18,23,25,18,29,20,29,20,29,20,38,36,26,12,26,12,26,13,
24,18,24,18,24,18,24,18,24,11,24,16,24,11,23,18,23,18,23,18,23,18,23,18,23,23,38,29,27,20,
27,24,20,24,20,24,20,10,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,33,25,21,21,21,21,21,21,21,21,21,21,21,21,21,30,24,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,20,13,13,29,
20,23,18,23,18,23,18,23,18,23,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,20,39,34,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_45_latin_ext_h[560]={ 0,29,11,31,37,32,31,11,39,39,13,20,11,5,
5,31,30,29,29,30,29,30,30,29,30,30,21,27,20,13,20,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,6,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,31,31,22,23,30,22,21,21,21,30,21,39,39,39,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,38,31,20,29,
39,39,6,31,16,19,13,5,31,4,12,25,16,16,6,30,38,5,10,16,16,19,32,32,32,30,37,37,37,36,
35,36,29,39,37,37,37,35,37,37,37,35,29,36,38,38,38,37,36,18,32,38,38,38,36,37,29,31,30,30,
30,30,31,31,23,30,30,30,30,31,29,29,29,30,30,29,30,30,30,30,31,17,25,30,30,30,31,38,38,39,
34,29,36,30,38,30,38,30,37,30,37,29,37,30,36,30,29,30,35,29,36,30,36,29,38,31,36,30,37,38,
37,38,36,37,39,40,37,37,29,29,36,29,34,28,36,29,38,38,36,21,30,38,38,38,38,38,21,37,36,38,
38,29,29,29,29,29,29,37,29,38,31,37,29,30,31,31,36,29,37,30,38,30,31,23,37,29,38,31,36,29,
38,30,37,30,39,30,37,30,41,40,36,30,29,30,37,30,36,29,37,30,38,31,38,30,38,30,37,29,37,38,
35,37,29,36,28,36,29,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,26,26,39,26,26,26,
26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,26,26,26,26,26,26,26,26,26,26,30,22,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,36,30,36,29,37,
30,37,30,38,36,38,38,38,38,38,38,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,41,39,37,30,39,31,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__arial_45_latin_ext_s[560]={ 510,505,50,68,413,355,429,500,279,206,22,
294,506,127,505,416,177,450,484,272,165,311,332,26,439,418,107,241,273,1,252,
373,217,412,466,370,26,71,94,342,129,504,293,153,179,199,229,299,314,325,338,
484,1,394,245,185,47,253,110,84,286,94,393,146,104,390,233,312,145,332,198,
1,409,403,230,371,365,33,14,437,122,161,1,493,165,88,159,180,210,212,113,
316,201,187,73,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,510,505,173,
485,231,387,311,166,114,21,448,315,479,127,91,171,37,291,411,425,95,253,207,
140,63,439,464,334,1,453,418,353,434,209,258,292,207,135,46,329,287,451,488,
259,502,352,195,194,156,268,27,67,104,135,187,353,388,240,472,134,49,1,1,
134,214,193,172,151,52,73,458,64,43,22,1,178,494,502,479,132,378,460,130,
297,481,460,94,372,269,278,399,259,115,193,284,290,282,115,351,84,97,353,407,
239,386,199,1,136,55,219,24,105,86,235,236,25,164,418,1,224,150,226,217,
439,29,47,474,130,240,407,87,55,383,364,302,351,490,372,311,206,476,452,234,
334,407,153,279,368,25,458,1,265,134,238,413,214,496,51,441,281,390,428,273,
427,283,158,142,340,187,305,181,207,321,463,165,329,304,350,247,353,28,301,57,
329,380,115,182,371,327,390,356,409,463,428,30,75,73,468,1,485,362,1,123,
332,303,20,434,397,383,39,344,58,264,135,82,244,166,110,75,451,220,98,490,
497,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,455,247,247,256,
247,247,247,247,247,247,247,247,247,247,247,247,247,34,411,247,247,247,247,247,
247,247,247,247,247,247,247,247,82,63,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,422,447,
121,96,310,258,57,113,400,147,424,381,1,491,467,448,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,1,115,81,318,136,156,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247, };
static unsigned short stb__arial_45_latin_ext_t[560]={ 1,391,474,234,82,197,234,451,1,1,474,
451,451,474,189,234,330,391,391,330,421,330,330,421,330,330,451,421,451,474,451,
330,1,361,361,234,391,391,391,234,391,330,330,391,391,391,391,234,391,197,391,
234,421,330,361,361,421,391,421,82,234,82,451,474,474,421,330,421,330,421,330,
267,391,391,82,391,391,451,451,421,234,234,451,421,330,451,451,451,451,330,451,
1,1,1,474,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,1,159,43,
197,451,361,1,1,474,267,451,451,451,474,234,474,474,421,451,451,474,330,82,
474,474,451,451,451,234,197,197,330,82,121,121,159,197,159,361,1,121,121,82,
197,121,82,121,197,361,159,82,43,82,121,159,451,197,82,43,82,197,159,361,
267,299,299,299,299,267,267,421,299,299,299,299,267,330,267,330,330,267,330,299,
267,267,267,267,451,421,267,267,267,267,43,43,1,197,361,159,299,43,267,43,
267,82,267,121,361,121,267,197,299,361,299,197,361,159,267,197,361,43,234,159,
267,159,43,121,43,159,121,1,1,121,121,361,361,159,361,197,421,159,361,43,
43,159,451,299,43,43,43,82,43,451,121,159,43,43,391,361,391,391,391,361,
121,361,82,234,121,421,299,234,234,159,391,121,299,43,299,234,421,121,391,82,
234,159,391,82,299,82,299,1,299,82,299,1,1,197,299,391,299,82,330,197,
361,82,330,43,234,43,330,43,330,82,421,121,43,197,121,421,159,421,197,361,
299,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,234,421,421,1,
421,421,421,421,421,421,421,421,421,421,421,421,421,234,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,330,451,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,159,299,
159,421,121,299,159,330,1,197,1,1,43,1,1,1,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,1,1,159,267,1,267,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421, };
static unsigned short stb__arial_45_latin_ext_a[560]={ 179,179,229,358,358,573,430,123,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,179,179,376,376,376,358,654,430,430,465,465,430,394,501,
465,179,322,430,358,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,179,179,179,302,358,215,358,358,322,358,358,179,358,
358,143,143,322,143,537,358,358,358,358,215,322,179,358,322,465,
322,322,322,215,167,215,376,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,179,215,358,358,358,358,167,358,
215,475,239,358,376,215,475,356,258,354,215,215,215,371,346,179,
215,215,235,358,537,537,537,394,430,430,430,430,430,430,644,465,
430,430,430,430,179,179,179,179,465,465,501,501,501,501,501,376,
501,465,465,465,465,430,430,394,358,358,358,358,358,358,573,322,
358,358,358,358,179,179,179,179,358,358,358,358,358,358,358,354,
394,358,358,358,358,322,358,322,430,358,430,358,430,358,465,322,
465,322,465,322,465,322,465,396,465,358,430,358,430,358,430,358,
430,358,430,358,501,358,501,358,501,358,501,358,465,358,465,358,
179,179,179,179,179,179,179,143,179,179,474,286,322,143,430,322,
322,358,143,358,143,358,188,358,215,358,143,465,358,465,358,465,
358,389,466,358,501,358,501,358,501,358,644,608,465,215,465,215,
465,215,430,322,430,322,430,322,430,322,394,179,394,242,394,179,
465,358,465,358,465,358,465,358,465,358,465,358,608,465,430,322,
430,394,322,394,322,394,322,143,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,485,483,483,358,483,483,483,483,483,
483,483,483,483,483,483,483,483,553,423,483,483,483,483,483,483,
483,483,483,483,483,483,483,550,431,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,430,358,179,143,501,358,465,358,465,358,465,
358,465,358,465,358,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,430,358,644,573,501,394,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_45_latin_ext(stb_fontchar font[STB_FONT_arial_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_45_latin_ext_s[i] + stb__arial_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_45_latin_ext_t[i] + stb__arial_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_45_latin_ext_x[i];
            font[i].y0 = stb__arial_45_latin_ext_y[i];
            font[i].x1 = stb__arial_45_latin_ext_x[i] + stb__arial_45_latin_ext_w[i];
            font[i].y1 = stb__arial_45_latin_ext_y[i] + stb__arial_45_latin_ext_h[i];
            font[i].advance_int = (stb__arial_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_45_latin_ext_s[i] + stb__arial_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_45_latin_ext_t[i] + stb__arial_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_45_latin_ext_x[i] + stb__arial_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_45_latin_ext_y[i] + stb__arial_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_45_latin_ext_LINE_SPACING
#endif

