// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT        508
#define STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_46_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_46_latin_ext_LINE_SPACING          30

static unsigned int stb__arial_46_latin_ext_pixels[]={
    0xaaaa8000,0x55554001,0xaaaaaaaa,0xaaaaaaaa,0x54000aaa,0x001c0000,
    0x00000000,0xccca8000,0xfdd50004,0x001ffe6b,0x80000188,0x0005fffe,
    0x00000000,0x00000000,0x30000000,0x059ddfb9,0x00000000,0x0002aaa2,
    0x2aaaa200,0x55512aaa,0x30055555,0x55555555,0x01555555,0x77f664c0,
    0x00000bce,0x90000000,0x7cc05999,0xfb80007f,0x7c000eff,0xffffffff,
    0xffffffff,0x02ffffff,0x40013ee0,0x800007ea,0xeffedcaa,0x00001cce,
    0x05ffff00,0xbffffd00,0x8001ffe6,0x200007fa,0x000efff9,0x43bfa200,
    0x00001ffd,0x001ffff7,0x001ffff9,0xfffff880,0x001fffff,0x7ffffe44,
    0x0002efff,0x001dfff5,0x03fff300,0xfb8bfff5,0x7ffcc3ff,0xff35ffff,
    0x20bfffff,0xffffffea,0xffffffff,0xfeb801ff,0xffffffff,0x400000cf,
    0x0003fffd,0x03bffea0,0x0007ff98,0x001fffe8,0xfffffff8,0xffffffff,
    0xffffffff,0x05ff9002,0x00fff700,0x3fff2200,0xffffffff,0x0000beff,
    0x09fff700,0xfffff900,0x001ffe6b,0x00005fc8,0x0007fff6,0x337fe200,
    0x200001ff,0x2001ffff,0x0003fffd,0x7fffffc4,0x4001ffff,0xfffffffe,
    0x0001ffff,0x000bffd1,0x203fff30,0xff12fffc,0xffff30bf,0x3fe6bfff,
    0x4c5fffff,0xfffffffd,0xffffffff,0x3a601fff,0xffffffff,0x04ffffff,
    0x3dff9000,0xffe80000,0x3ffcc01f,0x3ffea000,0xffff0002,0xffffffff,
    0xffffffff,0x3e005fff,0xff90002f,0xfd98000f,0xffffffff,0xffffffff,
    0x400000df,0x88006ffe,0x309befff,0x7c000fff,0xf300003f,0x000007ff,
    0x017fffcc,0x7fff7000,0x7ffe8800,0x99998000,0x00199999,0x4e77ffe4,
    0x0ffffdb8,0x0fff2000,0x3fff3000,0x6c7ffec0,0x999106ff,0x3e6bfff9,
    0x23cccdff,0xfffffff8,0xffffffff,0x501fffff,0x99dfffff,0xffffb955,
    0xfa80007f,0x400000df,0x9802fffa,0x740007ff,0x000004ff,0x0027ffd4,
    0x000ff100,0x0003ffe4,0x7dfffff7,0x654c4135,0x01efffff,0x1fff5000,
    0x1fff5000,0x000fff30,0x00003fe6,0x00027fec,0x00d54c00,0x17ffa000,
    0x1fffcc00,0x00000000,0xf903fffc,0xa80009ff,0x260000cc,0x3e201eee,
    0x00ffffff,0x7cd7ffa0,0x3ff602ff,0x3fffffff,0x5402fff8,0x402effff,
    0x03ffffd9,0x000f2e00,0x027ff400,0x0007ff98,0x0001bfea,0x13ffea00,
    0xfffa8000,0x7ffc8005,0xffff9000,0xfb30003b,0x00007fff,0x20003ffd,
    0xff306ffb,0x1bee000f,0x2f744000,0xff880000,0x001ffb84,0x003bfea0,
    0x006ffa80,0x2e13fe20,0xff3001ff,0x6fff807f,0x213fe200,0x00001ffb,
    0x7ffffcc0,0xafff4001,0xf302fff9,0xffffffff,0x05fff07f,0x027fffc4,
    0x03ffff20,0x5c27fc40,0x540001ff,0x3e6006ff,0x3260007f,0x8000002e,
    0x0004fffa,0x017ffee0,0x001fff20,0x0037fff6,0x3fffea00,0x00000002,
    0xf305ffc8,0x3fa000ff,0x00000004,0x9ff10028,0x0003ff70,0x0000e65c,
    0x8000e654,0xffb84ff8,0x3fff5001,0x00fffd80,0xf709ff10,0x0000003f,
    0x00059995,0x3fe6bffd,0xffff702f,0x07ffffff,0x7f405fff,0xfb0004ff,
    0x3e2009ff,0x01ffb84f,0xf3000000,0x3ea000ff,0x00006fef,0x027ffd40,
    0xbfff7000,0x3f6aa200,0x401aaaff,0x0004fffd,0x07ffec40,0x20000000,
    0xff305ffc,0x3ff1000f,0xecc98000,0x201bcdef,0xff8805fb,0x001ffb84,
    0x00000000,0x427fc400,0xf1001ffb,0x999809ff,0x13fe2000,0x00007fee,
    0x74000000,0x5fff35ff,0x3fffff60,0xf83fffff,0xfff502ff,0x7fc4000d,
    0xff8800ff,0x001ffb84,0xff300000,0x4376000f,0x000002f9,0x0013ffea,
    0x01aaa980,0xffffff30,0x7dc09fff,0x000002ff,0x8001bffa,0x7e400028,
    0x0fff305f,0xffddb730,0x7ff5c000,0xffffffff,0x8fffd41e,0x40002aa9,
    0xc980aaa9,0x2665c1cc,0x70733260,0x55530999,0xaaa98000,0x01ffff80,
    0x00aaa600,0x01555300,0x2602aaa2,0x665c1ccc,0x2bffd004,0xfd02fff9,
    0xffffffff,0x05fff07f,0x000ffff6,0x4c3dffb0,0x4c0002aa,0x55510aaa,
    0xaaa88003,0x000fff30,0x005d85f1,0x3ffea000,0x00000004,0xffffff98,
    0xff104fff,0xdcb8805f,0x2099981b,0x4003fff8,0x004fffd8,0x260bff90,
    0xffb307ff,0x09ffffff,0xffffe880,0xffffffff,0xfff98dff,0x003fff61,
    0x82fffb80,0x7f42fffa,0x7ffd407f,0x6c3fff42,0x20000fff,0xfa82fffb,
    0xb0003fff,0x40001fff,0xf302fffb,0xfff503ff,0x007ffe85,0x3fe6bffd,
    0xffffd02f,0x07ffffff,0xff105fff,0x510000ff,0x01fffb01,0x17ffdc00,
    0xd800dfff,0x1ffe66ff,0x9d0fe200,0x7d400000,0x300004ff,0x44159d95,
    0x36aa22aa,0x01aaafff,0x6440bffb,0x0effffff,0xfa87fff1,0x5764006f,
    0xd8001fb8,0xfff304ff,0xffffff70,0x01bfffff,0xffffff50,0xffb9579d,
    0x5fffffff,0x000fffd8,0x20bffee0,0x7f42fffa,0x7ffd407f,0x6c3fff42,
    0x20000fff,0xf702fffb,0x8001bfff,0x0000fffd,0x4c0bffee,0xffa81fff,
    0x03fff42f,0xff35ffe8,0x3fff605f,0x3fffffff,0xfa82fff8,0x000006ff,
    0x0007ffec,0x645fff70,0xf1001fff,0x3ffcc7ff,0xf71ec800,0x54000003,
    0x40004fff,0xffffffe8,0x01fff15f,0xf300fff9,0x3fe601ff,0xefffffff,
    0xe82fff98,0x7f1002ff,0xfd8004d8,0x8fff304f,0x8bdffffb,0x07fffff9,
    0x1fffffd4,0x7ffffe40,0x0fffd83f,0x3ffee000,0x42fffa82,0x7d407ffe,
    0x3fff42ff,0x0007ffec,0x205fff70,0x2ffffff9,0x03fff600,0x2fffb800,
    0x503fff30,0xffe85fff,0x2bffd007,0xf702fff9,0xffffffff,0x05fff07f,
    0x0009fff9,0x0fffd800,0x3ffee000,0x013ffe62,0xf307ffdc,0x3e6000ff,
    0x00005fff,0x027ffd40,0xfffff300,0xf3dfffff,0xfff901ff,0x205ffd00,
    0x9bdffff9,0xffceffda,0x05ffb80f,0x05c85f10,0x304ffd80,0x7ffc4fff,
    0x7ef7e42f,0xfff102ff,0x74c003df,0xfd80ffff,0x2e0000ff,0xaa882fff,
    0x0155540a,0x5502aaa2,0x1fffb055,0x7ffdc000,0xfffffb82,0xd800dfff,
    0x20000fff,0xf302fffb,0x555103ff,0x002aaa81,0x3fe6bffd,0xffff302f,
    0x07ffffff,0xff905fff,0x8000007f,0x0000fffd,0xfd0bffee,0x3ffa00ff,
    0x003ffcc5,0x06ffff88,0x7fd40000,0xff50004f,0xd7537bff,0x01ffffff,
    0xf880fff9,0xffff107f,0x3fffea07,0x0fff106f,0x05f12ec0,0x207ffd00,
    0x3ff67ff9,0xf9bfe84f,0xfffb06ff,0x3ff6000b,0xfffd85ff,0x3fee0000,
    0x0000002f,0x7ffec000,0x3fee0000,0x3bffa22f,0xfffffe98,0x07ffec03,
    0x5fff7000,0x007ffe60,0x7ff40000,0x405fff35,0xfffffffc,0x2fff83ff,
    0x002fffd8,0x7ffec000,0x3fee0000,0x0fffdc2f,0x30bffe20,0x2e000fff,
    0x001fffff,0x3ffea000,0xfffd0004,0x7fffec07,0x07ffc80f,0xfd827fdc,
    0x7fe403ff,0x1ffe05ff,0x6fdff980,0x03fff000,0x7fc5ffe6,0x91ff885f,
    0xffa83fff,0xfc8000ff,0x6c1fffff,0x20000fff,0x0002fffb,0x6c000000,
    0x20000fff,0x3ee2fffb,0xffffb85f,0xfffb00ef,0x7fdc0001,0x3fff302f,
    0x3a000000,0x5fff35ff,0xfffffe80,0xfff83fff,0x00fffe82,0x7fec0000,
    0x3ee0000f,0x7ffc42ff,0x07ffdc04,0x4001ffe6,0x04fffffe,0x3fea0000,
    0xffa8004f,0xfffd803f,0x07ffc80f,0x7d40fff4,0xff8805ff,0x3ffa03ff,
    0x0b6e2000,0x037fdc00,0x3feafff3,0x227fb83f,0x9fffb01a,0x7dff9000,
    0xffd8bfff,0x3ee0000f,0x000002ff,0x7fec0000,0x3ee0000f,0x07ffa2ff,
    0x7fffff4c,0x00fffd82,0x0bffee00,0x000fffcc,0x5ffe8000,0x9005fff3,
    0x7fffffff,0xfd05fff0,0x000001ff,0x000fffd8,0x20bffee0,0x7f407ffd,
    0x07ff985f,0xfbfff980,0x000000ff,0x0009fff5,0x3001fffd,0xf901ffff,
    0x37fc40ff,0x001fffe8,0x6c03ffff,0x000001ff,0x80fffe20,0xfff97ff9,
    0x2009fb03,0x000ffff8,0x7c477fdc,0x3ff61fff,0x3ee0000f,0x155512ff,
    0x44aaa600,0x53000aaa,0x03fff655,0x2fffb800,0xf700fff1,0xfd83ffff,
    0x2e0000ff,0xff302fff,0x02aaa23f,0xd01554c0,0x3ffe6bff,0xffd93002,
    0x5fff07ff,0x001fffd0,0xfffd8000,0x3fee0000,0x2fffa82f,0x003fff30,
    0x1bff9000,0x00007fff,0x013ffea0,0x009fff10,0x6407fff4,0x3fea07ff,
    0x05fff884,0xd01fffa0,0x751001ff,0x01359bd9,0x077ffed4,0x3f2fff30,
    0x02ff80ff,0x009fff70,0x361fffa8,0x3ff62fff,0x3ee0000f,0x3fff52ff,
    0x55fff200,0xf9001fff,0x03fff6ff,0x2fffb800,0x3003fff3,0x6c1dfffd,
    0x20000fff,0xf302fffb,0x3ffea3ff,0x0fff9001,0xff9afff4,0xffd0002f,
    0xb05fff07,0x00003fff,0x00fffd80,0x0bffee00,0xfc82fffc,0xf000007f,
    0x1bffa7ff,0x7fd40000,0x7fcc004f,0x3fee002f,0x07ffc80f,0x3f20ffee,
    0x3fa001ff,0x1ffe206f,0xfffffb10,0x205dffff,0x9804fffe,0x0fffb7ff,
    0x36001ff3,0x26003fff,0x7fd41fff,0x03fff64f,0x2fffb800,0x2003fff5,
    0xfff57ffc,0x5fff2003,0x0000fffd,0xff8bffee,0xffd1004f,0x07ffec7f,
    0x5fff7000,0x547ffe60,0xf9001fff,0xafff40ff,0x0002fff9,0xfff07ffd,
    0x05fff905,0xffd80000,0x3ee0000f,0xfff902ff,0x009fff01,0x1fff5000,
    0x0007ffee,0x13ffea00,0x03fff500,0x407ffd40,0x3ee07ffc,0x0fffd82f,
    0x813ffe00,0x3ee05ffa,0xffffffff,0xfe84ffff,0xff9800ef,0xf90dffd7,
    0x7ffec00d,0x5fff1002,0x6cbfff30,0x20000fff,0xff52fffb,0x3ff2003f,
    0x003fff57,0x7fedfff2,0x3ee0000f,0x3fff62ff,0xbfff3002,0x0007ffec,
    0x205fff70,0xff51fff9,0x3ff2003f,0x4d7ffa07,0xd0002fff,0x5fff07ff,
    0x009fff70,0x7fec0600,0x3ee0000f,0xfff302ff,0x01fffa85,0x6ffd8000,
    0x0017ffe2,0x13ffea00,0x01fff900,0x407ffcc0,0x3f207ffc,0x06ffe81f,
    0x80bffe60,0xff704ffc,0x753359ff,0xe81ffffd,0x4c02ffff,0x0fffb7ff,
    0x7f4007fd,0xfe8800ff,0xdfff103f,0x0007ffec,0x2a5fff70,0xf9001fff,
    0x07ffeaff,0xfdbffe40,0x2e0000ff,0x3fe62fff,0xffb003ff,0x007ffecf,
    0x05fff700,0x7d47ffe6,0xff9001ff,0x9afff40f,0xd0002fff,0x5fff07ff,
    0x00dfff10,0x47bff100,0x0000fffd,0xe80bffee,0x37fec5ff,0x7fc40000,
    0x07ffec4f,0x3fea0000,0x7fe4004f,0x3fe6000f,0x07ffc80f,0x3fe07ff6,
    0x3fea005f,0x0bffa01f,0x2007fff4,0x5c44fffc,0x2601fffe,0x1fff97ff,
    0xf000ffc4,0x3fa00fff,0x3fffc04f,0x0001fffb,0xfa97ffdc,0xff9001ff,
    0x007ffeaf,0xffdbffe4,0x3ee0000f,0x7ffdc2ff,0x7fdc01ef,0x003fff66,
    0x02fffb80,0x3ea3fff3,0xff9001ff,0x9afff40f,0xd0002fff,0x5fff07ff,
    0x003fffa0,0x4bfff700,0x0000fffd,0xb80bffee,0xfff10fff,0xf7000007,
    0xfffa83ff,0x7d400003,0x7dc004ff,0x3ea001ff,0x7ffc80ff,0x3e0bff20,
    0x3f6004ff,0x3ffe607f,0x02fffa80,0x740dfff0,0x3fe605ff,0x5c5fff77,
    0x4399b07f,0xfd807fff,0x7fff805f,0x0003fff6,0xf52fffb8,0x3f2003ff,
    0x03fff57f,0x7edfff20,0x2e0000ff,0xffc82fff,0x3fa03fff,0x03fff65f,
    0x2fffb800,0x2a3fff30,0xf9001fff,0xafff40ff,0x0002fff9,0xfff07ffd,
    0x13ffee05,0x5fffd000,0x0007ffec,0x405fff70,0xff53fff8,0x0199801f,
    0x7c1bffa0,0x400006ff,0x4004fffa,0x2002fffa,0xfc80fffb,0x0fff207f,
    0x4c017ff6,0x3fa05fff,0x0dff903f,0x503ffec0,0x3e601fff,0x47fff37f,
    0xfff884fd,0x901fffe3,0xff100bff,0x07ffecff,0x5fff7000,0x4007ffea,
    0xfff57ffc,0x5fff2003,0x0000fffd,0x540bffee,0x41efffff,0x3f61fffa,
    0x2e0000ff,0xff302fff,0x07ffea3f,0xd03ffe40,0x3ffe6bff,0x7ffd0002,
    0x2205fff0,0x0001ffff,0xfd8ffff5,0x2e0000ff,0x7ec02fff,0x80bffb5f,
    0xf3007ff9,0x3ff207ff,0x2a00001f,0x4c004fff,0x32003fff,0xffb80fff,
    0x09ff700f,0x3a00dff9,0xff703fff,0xc800200d,0x7ffc07ff,0x74fff302,
    0x05ff0fff,0x7f41fff7,0xdff900ff,0xdfff3001,0x0007ffec,0x2a5fff70,
    0xf9001fff,0x07ffeaff,0xfdbffe40,0x2e0000ff,0x36202fff,0xc8cfffff,
    0x7fec3fff,0x3ee0000f,0xfff302ff,0x007ffea3,0xfd03ffe4,0x0bffe6bf,
    0x41fff400,0x3ee02fff,0x4c001eff,0x7ec3ffff,0x2e0000ff,0x7d402fff,
    0x02fff8ff,0xd803ffcc,0xff300fff,0x540000bf,0xf8004fff,0xff1006ff,
    0xfff701ff,0x7fd4133b,0x02fffa85,0x417fffdc,0x0001fffb,0x1fffaa20,
    0x2607ffd0,0x3ffee7ff,0x7cc0ffad,0x7ffec6ff,0x00effb81,0x6cbfff50,
    0x20000fff,0xff52fffb,0x3ff2003f,0x003fff57,0x7fedfff2,0x3ee0000f,
    0xfea802ff,0x2effffff,0x000fffd8,0x40bffee0,0xff51fff9,0x3ff2003f,
    0x4d7ffa07,0xd0002fff,0x5fff07ff,0x2ffffe80,0xdffff500,0x001fffb0,
    0x017ffdc0,0x3ffefffc,0x403ffcc0,0x7405fff8,0x00000fff,0x0009fff5,
    0x9005fff7,0xf301ffff,0x44bfffff,0xfff887ff,0xffff900e,0x7ffe443f,
    0x95310004,0xffffffdb,0x304ffd80,0xfffe8fff,0x7ff4c5fe,0x17ffe41f,
    0x8007ffea,0x3f64fffb,0x320000ff,0xfff52fff,0x5fff2003,0x9001fffa,
    0x3fff6fff,0x3ff20000,0xff91002f,0x7ec0bfff,0x320000ff,0xff302fff,
    0x07ffea3f,0xd03ffe40,0x3ffe6bff,0x7ffd0002,0x9805fff0,0x0aefffff,
    0x7ffff4c4,0x0fffd80e,0x3fff2000,0xffffc802,0x7ff9804f,0x02fffb80,
    0x001fffdc,0x04fffa80,0x05fffd00,0x07ffffdc,0x6fffffd8,0x7dc17ff4,
    0xfb511eff,0x95dfffff,0x8009ffff,0xfffffec9,0x07ffffff,0xf9827fec,
    0x7fffcc7f,0xfffdbaef,0x6fffa82f,0x0007ffe6,0x7e43fffb,0x320001ff,
    0xfff51fff,0x5fff2003,0x9001fffa,0x3fff2fff,0x3ff20001,0x7f4c001f,
    0xff902fff,0x7e40003f,0xfff301ff,0x007ffea3,0xfd03ffe4,0x0bffe6bf,
    0x41fff400,0xe8802fff,0xefffffff,0xffffffff,0x03fff900,0x0fffe400,
    0x7ffffcc0,0x07ff9801,0x8807ffe8,0x00006fff,0x0009fff5,0x273fffea,
    0xffffda88,0x3fb200ff,0x37fdc7ff,0xffffffc8,0xfffbafff,0x02ffffff,
    0x3ffff620,0xdbefffff,0x7fec07ff,0x30fff305,0xfffffffd,0x7fc07fff,
    0x2fff89ff,0x3fffcc00,0x0007fff2,0xf51fffd8,0x3f6003ff,0x03fff57f,
    0x7e5fff60,0x360001ff,0xb0001fff,0xf905ffff,0x6c0003ff,0xff301fff,
    0x07ffea3f,0xd03ffec0,0x3ffe6bff,0x7ffd0002,0x2005fff0,0xffffffd8,
    0xcfffffff,0x07fff200,0x1fffd800,0x0dfffd00,0x301ffe60,0x3333bfff,
    0xffd33333,0xf500005f,0x5c0009ff,0xffffffff,0x0fffdeff,0xf8819880,
    0xfffb01ff,0x3e23ffff,0x1effffff,0x3fffa200,0x209bceff,0x7ec07ffc,
    0x0fff305f,0x7ffffff4,0x7fdc00df,0x003ffedf,0x5c4fffe8,0x20003fff,
    0xff50fffe,0x3ff6003f,0x003fff57,0x7fddfff6,0x3fa0003f,0x320000ff,
    0xffb87fff,0x3fa0003f,0xfff300ff,0x007ffea3,0xfd03ffec,0x0bffe6bf,
    0x41fff400,0x44002fff,0xfffffffc,0xfb800cff,0x3a0003ff,0xf7000fff,
    0x3e6007ff,0x7ffe407f,0xffffffff,0x05ffffff,0x80000000,0xfffffff9,
    0x07ffc8df,0x1dff9000,0x2b7fae60,0x5effecc0,0x41555301,0x00aefffd,
    0x3203ffec,0xfff305ff,0x5dd6ff40,0xfff10009,0x70009fff,0xf981ffff,
    0xf10005ff,0x7ffd4fff,0x2fffd001,0xd001fffa,0x3ffe6fff,0xfff10005,
    0xff90000f,0x5fff983f,0xffff1000,0xa8fffcc0,0xfd001fff,0xafff40ff,
    0x0002fff9,0xfff07ffd,0x7f440005,0x4c0009ae,0x10005fff,0x5400ffff,
    0xf3000fff,0xffff80ff,0xffffffff,0x0fffffff,0x00000000,0xcefdca88,
    0x301fff22,0x3e201999,0x000005ff,0xf17ffe60,0x3e001dff,0x7fe407ff,
    0x20fff305,0x40002ff8,0x005ffffa,0x03ffffa8,0x0001ffff,0x7ccbfff9,
    0xff8802ff,0x05fff37f,0x7cffff10,0xc8000fff,0xfed85fff,0x3fff9805,
    0x000ffff8,0x205fffc8,0xff31fffa,0xfff1005f,0x9afff40f,0xd0002fff,
    0x5fff07ff,0x2ffc4000,0x3fffe000,0xfffc8000,0x13ff6005,0x207ff980,
    0xfffffffa,0xffffffff,0x0004ffff,0x0016664c,0xfff90000,0x01fffb80,
    0x0013ffea,0x3ffe2000,0x13ffe60f,0x03fffc40,0x7cc17ff2,0x00ff707f,
    0x3ffffe00,0xfffb1004,0x7ffec0bf,0x3fe2000e,0x3ffe62ff,0x7fffb804,
    0x7009fff3,0x7fecffff,0x3e2000ef,0xffe82fff,0x3fff8807,0x00efffd8,
    0x0bfffe20,0xf31fffa8,0xff7009ff,0xafff40ff,0x0002fff9,0xfff07ffd,
    0x7fd40005,0xfb0003ef,0x44001dff,0x1002ffff,0x4c003fff,0x3ff607ff,
    0x7fcc000f,0x7dc0007f,0x008004ff,0x80dffb00,0x6401fffb,0x0001efff,
    0x3ffff700,0x003fffb8,0xb80ffff7,0xfff307ff,0x00017f60,0x3ffffff2,
    0x2ea209bf,0x00effffe,0x01bfffe6,0x237fff4c,0x201ffff8,0xf17ffffa,
    0x7d403fff,0x3fe67fff,0xfd3006ff,0x3fee0dff,0x7ffe403f,0x6ffff981,
    0xdfffd300,0x10fffb80,0x5403ffff,0x3a07ffff,0x5fff35ff,0x0fffa000,
    0x8000bffe,0x03ffea98,0x6ffff980,0xdfffd300,0x037fe400,0x441ffe60,
    0xd0006fff,0x40005fff,0x8004fffb,0xf1004efe,0xffb809ff,0xfffc801f,
    0x100000cf,0x303ffffd,0xf700dfff,0x4c01ffff,0xff982fff,0x0007ff07,
    0xffceffb8,0xffffffff,0x04ffffff,0xbfffff90,0x3f2a6237,0xfc81ffff,
    0x7dc41eff,0x3f27ffff,0x7dc41eff,0x7e47ffff,0x11bdffff,0xfffff953,
    0x3fffe203,0x6fffa80a,0x3fffff20,0xf95311bd,0xd803ffff,0x7ffe47ff,
    0x7ffdc41e,0x3ffa07ff,0x005fff35,0x3e0fffa0,0x700002ff,0x32000dff,
    0x1bdfffff,0xffff9531,0xfc88203f,0x7cc002ff,0x7fff707f,0x3ffea000,
    0x3fee0005,0xffc8004f,0xfffd801f,0x07f4c402,0xfffffb80,0x5c4000ad,
    0x00dffffe,0x407ffff1,0x0ffffffb,0x677fff40,0xf30fff32,0x7d40001f,
    0xfffd30ef,0xffffffff,0x6c4005ff,0xffffffff,0xffffffff,0xfffff302,
    0x5dfffdbf,0x7ffccfff,0xfffedfff,0x6c47ffae,0xffffffff,0xffffffff,
    0x7fffd402,0xffffdbdf,0x3ff6203f,0xffffffff,0x82ffffff,0x5ffffcd9,
    0x7fffffcc,0xfaefffed,0xfdddd17f,0x3ffe6bff,0xd004eeee,0x5fff07ff,
    0x2e621000,0x10005fff,0xfffffffb,0xffffffff,0x7f7ec05f,0x98005fff,
    0xfffd07ff,0x3fe20001,0x930000ff,0xf70009fd,0xffc80bff,0x01be006f,
    0xfffffd10,0x555799df,0xffffd997,0xff7003df,0xfd77bfff,0x3fff9fff,
    0xfffffb80,0xf90fff35,0x7fc4000d,0xfffea81f,0x02dfffff,0x3ffff200,
    0xffffffff,0x7fd401ff,0xefffffff,0x7d47ff98,0xffffffff,0x907ff98e,
    0xffffffff,0x03ffffff,0x3fffff20,0x02ffffff,0xffffff90,0xffffffff,
    0x3fffee03,0xfffa81ff,0x8effffff,0xfff37ff9,0x3e6bffff,0x05ffffff,
    0xff07ffd0,0xff90005f,0x003fffff,0xfffffc80,0xffffffff,0x7ffe401f,
    0x98000eff,0xfff987ff,0x7fe40005,0x7e40004f,0xfffb0002,0xff9559df,
    0x32003fff,0xfb50004f,0xffffffff,0xffffffff,0xfd8007ff,0xffffffff,
    0x09fff0df,0x2bffff70,0x4fc87ff9,0x00f4c000,0x04d554c4,0xfec98000,
    0xdfffffff,0x3ff62002,0xf30cefff,0xfffb10ff,0x3e619dff,0x3fb2607f,
    0xdfffffff,0xffe98002,0x01efffff,0x7fff64c0,0x02dfffff,0x17ffffec,
    0xfffffb10,0x5ffe619d,0xfffffff9,0xffffff35,0x3ffa00bf,0x002fff83,
    0xefffffc8,0xd9300001,0xffffffff,0x3fee005b,0x30001fff,0xfff90fff,
    0xff980005,0x3a20007f,0xff10000f,0xffffffff,0x2e003dff,0xb880004f,
    0xffffffed,0xbdffffff,0xffd50000,0xd85dffff,0x951007ff,0x81332279,
    0x00000000,0x33000000,0x00135555,0x000aa980,0x000554c0,0xaaaa9980,
    0xa9800009,0x00009bcb,0x9aaaa998,0x59975000,0x0554c001,0x33333300,
    0x4ccccc13,0x33100099,0x00133301,0x01555510,0x54cc0000,0x40009aaa,
    0x0001bca8,0x7fc26644,0xfd00007f,0xd10005ff,0xf70000bf,0xffffffff,
    0x00280019,0x2ea62000,0x001aaccc,0x0d554c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0xf700004f,0xf7000bff,
    0x4c400009,0x002accca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff60000,0xf100001f,0x50003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55440000,0x0000000a,0x33bf6e60,0x0b33201b,0x00019995,0x006aaaa0,
    0x55554c00,0xaaaaaaaa,0xaaaaaaaa,0x99993001,0x0ef7fc00,0x10154400,
    0x22000155,0xbdefedca,0x5553000a,0xaaa98000,0x000aaaa0,0x00cccc88,
    0x100aaa88,0x2a601555,0x5999502a,0x000aaaa0,0x21aaaa98,0x80002aaa,
    0x0000aaa8,0x302aaa20,0x880005ff,0xacdfecb9,0x15555001,0x55544000,
    0x266fd800,0xaaaaaaaa,0x9aaaaaaa,0x3ea00000,0xfff31fff,0x2fff983f,
    0x30000000,0x9fffffff,0x913ffe20,0x00001fff,0x00dffff1,0x3ffff600,
    0xffffffff,0xffffffff,0xfffe8804,0xffff004f,0xff98007f,0x001ff903,
    0xfffffc98,0x2fffffff,0x007ffec0,0x45fff700,0x20006fff,0x00effffd,
    0x9817ffcc,0xffb02fff,0xfffff30f,0x00dfff05,0x17fffea0,0x0000dfff,
    0x0005fff3,0x40fffd40,0x88000ffd,0xfffffffd,0x200dffff,0x0005fffe,
    0x500bffea,0x7ffec5ff,0xffffffff,0x3effffff,0xfffe8000,0x20ffff62,
    0x0002fff9,0xfff88000,0x102fffff,0xffc89fff,0xfb80000f,0x0001ffff,
    0xffffffd8,0xffffffff,0x04ffffff,0xfffeffd8,0xfffff803,0x7ffc002f,
    0x0037fd41,0x3ffffff2,0xffffffff,0x3fff604f,0x3fee0000,0x01bffe2f,
    0x7f7ffdc0,0x7ffcc05f,0x05fff302,0xff11fff6,0xf81fffdf,0xfa8006ff,
    0xfff85fff,0xff980006,0x2a00002f,0xff881fff,0x7ffd4005,0xffffffff,
    0xfd02ffff,0x20007fff,0x2202fffa,0x7ffec6fe,0xffffffff,0xffffffff,
    0xff30001e,0x2fffcc9f,0x002fff98,0xffc80000,0x00dcabef,0xfc89fff1,
    0xe80000ff,0x004fffff,0xfffffd80,0xffffffff,0x4fffffff,0x5d7ffdc0,
    0x54c01fff,0x4005fffc,0xffeffffa,0xfd1001ff,0x79dfffff,0xfffffd97,
    0x1fffb03d,0x7ffdc000,0x001bffe2,0x3e33ffe6,0x3fe603ff,0x5fff302f,
    0xfd1fff60,0x1dffb1ff,0x20037ffc,0xf05ffffa,0x30000dff,0x00005fff,
    0xc80fffd4,0xff5002ff,0x9799dfff,0x5fffffdb,0x1fffffd0,0x5fff5000,
    0x360ffe40,0xeeeeefff,0xffeeeeee,0x000fffff,0x7e46ffd8,0xfff300ef,
    0x00000005,0x8001fffd,0x554c1aaa,0x7cc0000a,0x00fffbff,0x07ffec00,
    0x3e600000,0x3fffa4ff,0x1fff7000,0xffffb800,0xf1002fff,0x003bffff,
    0x81fffff7,0x0000fffd,0xff8bffee,0x7f44006f,0x0bffee6f,0x880e6644,
    0xdd901ccc,0x897ffe4b,0x3ffe5fff,0x3ffea006,0x1bffe05f,0x3ffe6000,
    0x3ea00002,0xfff101ff,0xbfffd001,0xfffea803,0x7ffff40f,0xffa8005f,
    0x0bff302f,0x8001fffb,0x04ffffd9,0x10fffc40,0x7cc03fff,0x000002ff,
    0x027ffc40,0x00000000,0x3fe37ff2,0x7ec0003f,0x000000ff,0x983bffe2,
    0xf1006fff,0x710003ff,0x400179d9,0x003ffffd,0x21ffff4c,0x0000fffd,
    0xff8bffee,0x7fec006f,0x07fff41f,0xa8000000,0x7fdc5fff,0x00dfff3f,
    0x013fffea,0x0000dfff,0x0005fff3,0x00fffd40,0xf9809ff9,0x7f4005ff,
    0x7fff42ff,0x54003fff,0xffd02fff,0x01fffb03,0x1fffee00,0xa85dd500,
    0x7fcc03ee,0x0000002f,0x0017ffcc,0x20000000,0xdffd3fff,0xfffd8000,
    0x00000000,0x5fff0000,0x50000000,0x0001ffff,0xfb1bffe2,0x5c0001ff,
    0x3ffe2fff,0x00000006,0x00000000,0x4037ffc0,0x804ffffa,0x80006fff,
    0x0002fff9,0x807ffea0,0x7dc07ff8,0x7c4000ff,0x7fff45ff,0x2000ffff,
    0xf982fffa,0x1fffb06f,0x7ffec000,0x80000001,0x0002fff9,0x7ffdc000,
    0x00000001,0x43ffea00,0x0001fffb,0x0003fff6,0x00000000,0x00017ffc,
    0x3ffe2000,0x7dc0003f,0x3fff62ff,0x3fee0000,0x01bffe2f,0x00000000,
    0xf0000000,0xffa80dff,0xfff004ff,0xff30000d,0x5400005f,0x7f401fff,
    0x1bffa03f,0x23ffec00,0xfffdeffe,0x3ffea005,0xb03ffd82,0x40001fff,
    0xa983fffb,0x54c0002a,0x2fff98aa,0x02f3b6e6,0xdaaaa800,0x82aabfff,
    0x4001aaa8,0x2000aaa8,0x3fe26ffd,0x3f60005f,0x000000ff,0x159db930,
    0x3e015544,0x64c002ff,0x2a20aced,0x2fffd42a,0x7ffc4000,0x003fff65,
    0x22fffb80,0x2a206fff,0x544001aa,0x155510aa,0x402aaa20,0x55102aa9,
    0x1bffe015,0x04ffffa8,0x001bffe0,0x00bffe60,0x20155551,0x5c01fffa,
    0x3ffe06ff,0xdff70007,0x7c77ff43,0xf5003fff,0xfff985ff,0x01fffb00,
    0x2fffcc00,0x0007ffec,0xf35fff70,0xfffb15ff,0x0019ffff,0xffffffd0,
    0x3e0fffff,0x7ec006ff,0x3fe2006f,0x07ffec4f,0x0fffd800,0x74c00000,
    0x4fffffff,0x7c01fff1,0xfd3002ff,0x29ffffff,0x3f60fff8,0x700001ff,
    0x0fffd817,0x3ffee000,0xf01bffe2,0xfd800dff,0x0bffe66f,0xd817ffcc,
    0xfff307ff,0x41bffe03,0x003ffffa,0x00037ffc,0x1017ffcc,0x540bfffd,
    0x7c401fff,0xfff902ff,0xfe800007,0x1ffff56f,0x85fff500,0x3f606ffc,
    0x2e0000ff,0xffd84fff,0x3ee0000f,0xcfff9aff,0xfffffffe,0x7c000eff,
    0xffffffff,0xfff905ff,0x3ffe2003,0x3ffee003,0x01fffd41,0x00fffd80,
    0x3fea0000,0xffffffff,0x200fff9e,0xfa803fff,0xffffffff,0x10fff9ef,
    0x0001ffff,0x0fffd800,0x3ffee000,0x901bffe2,0x22003fff,0x3fe63fff,
    0x5fff302f,0x4c1fff60,0xfff01fff,0x7ffff50d,0x0dfff000,0x5fff3000,
    0x13fffa20,0x003fff50,0x3ea0bffd,0x00000eff,0xffd9bffa,0xfffa805f,
    0xb01fffc2,0x40001fff,0xfd83fffd,0x2e0000ff,0xfff9afff,0xa88adfff,
    0x000efffe,0xfff75551,0x26035559,0xf7004fff,0x7f4001ff,0x0dfff06f,
    0x03fff600,0x7fd40000,0xeba9bdff,0x00ffffff,0xf500fffa,0x7537bfff,
    0x1ffffffd,0x001bffea,0x3fff6000,0x3fee0000,0x01bffe2f,0x2009fff3,
    0x3e60fffb,0xfff302ff,0x41fff605,0xff01fff9,0xffffa8df,0xdfff0003,
    0xfff30000,0x9fffd105,0x03fff500,0x220fff70,0x01cfffff,0x26ffe800,
    0x403ffff8,0x3e62fffa,0x3ff600ff,0xff50000f,0xfffb03ff,0x7fdc0001,
    0xfffff9af,0x13fff603,0x17ffd400,0x00fffd00,0x98017ffa,0xff903fff,
    0xffb0003f,0x2000001f,0xb103fffe,0x401fffff,0x7f403ffe,0xffb103ff,
    0x3fee1fff,0x8000005f,0x0000fffd,0xff8bffee,0x7ffe806f,0x98bffd00,
    0xff302fff,0x1fff605f,0xf80fffcc,0x3ffea6ff,0x3fe0005f,0xf980006f,
    0x7ff442ff,0xfff5004f,0x3fff3003,0x3ffffe60,0x8001bdff,0x7fd46ffe,
    0x3fea00ff,0x01fff22f,0x0001fffb,0x209ffff9,0x0000fffd,0x3e6bffee,
    0xfe804fff,0xfb8000ff,0x3ee000ff,0x7fc401ff,0x3ff6002f,0xbfff300f,
    0xffffb000,0xffffffff,0x7fffffff,0x007fff70,0x401ffffb,0x3ee04ffd,
    0xffd803ff,0x7fff90ff,0xfb000000,0x5c0001ff,0x3ffe2fff,0x1fffb806,
    0x217ffc40,0xf302fff9,0x3ff605ff,0x03fff307,0x7fd5bffe,0x0001ffff,
    0x0000dfff,0xfd85fff3,0x3ea004ff,0xff8801ff,0x3ffa203f,0xdfffffff,
    0x6ffe800b,0x205fffd8,0x3fa2fffa,0x7ffec06f,0xaaaaaaab,0xffffedcb,
    0xfffb00ef,0x7fdc0001,0x0ffff9af,0x02fffa80,0x007ffd80,0x2027ffc4,
    0x1000fffb,0xfe80bfff,0x7ec000ff,0xffffffff,0xffffffff,0xfffd83ff,
    0xffff9800,0x817ff200,0x9800fffd,0xffb0ffff,0x0000005f,0x0001fffb,
    0xff17ffdc,0xfff100df,0x0fffb809,0x9817ffcc,0xffb02fff,0x07ffe60f,
    0x7fdf7ffc,0x00efffff,0x006fff80,0x22fff980,0x4004fffd,0xf001fffa,
    0xfd880bff,0xffffffff,0x3fa02dff,0xffff886f,0x25fff503,0x6c05fff8,
    0xffffffff,0xffffffff,0x3600dfff,0x20000fff,0xff9afffb,0x3ffe004f,
    0x6ffe8003,0x07ffd800,0x7002fff4,0xfb805fff,0x7ec003ff,0xffffffff,
    0xffffffff,0x3fff83ff,0x03fff600,0xf01fff98,0x7ec007ff,0x3fffb0ff,
    0x7ffffc00,0x3fffffff,0x0001fffb,0xff17ffdc,0x3ff600df,0x42fff407,
    0xf302fff9,0x3ff605ff,0x03fff307,0x3ffffffe,0x05fffeaf,0x006fff80,
    0xb2fff980,0x50007fff,0x3e003fff,0xb71006ff,0xffffffff,0xffd01bff,
    0x3fffea0d,0x12fffa80,0xfd809fff,0xffffffff,0xffffffff,0xfffd802e,
    0x3fee0000,0x02fff9af,0x0017ff60,0x20013ffe,0xf302fffa,0x7f4003ff,
    0xfff8807f,0x7ffec006,0xaaaaaaab,0xaaaaaaaa,0x017ffc40,0x801fff90,
    0xff886ffe,0x3ff2002f,0x05fffb0f,0x7fffffc0,0xb3ffffff,0x40001fff,
    0x3fe2fffb,0xfff5006f,0x07ffe605,0x4c0bffe6,0xffb02fff,0x07ffe60f,
    0x7ffffffc,0x05ffff32,0x006fff80,0xdafff980,0x50004fff,0x3a003fff,
    0x950007ff,0xfffffffd,0x06ffe83f,0x2a1bfff6,0xfff32fff,0xffffd807,
    0xffffffff,0x2000aeff,0x0000fffd,0x3e6bffee,0x3f2001ff,0x7fc4006f,
    0xfff0003f,0x01fff20b,0x99dfff98,0xe9999999,0x36002fff,0x00000fff,
    0x000fffd4,0x9801fff5,0xf51dffff,0x7d4003ff,0x5fff90ff,0x7ffffc00,
    0x3fffffff,0x0001fffb,0xff17ffdc,0x7ffc00df,0x20fff905,0xf302fff9,
    0x3ff605ff,0x03fff307,0x07fffffe,0x001ffff9,0x00037ffc,0x7fffffcc,
    0xa8000fff,0xfb001fff,0x510000ff,0x1ffffff9,0xf1037ff4,0xffa87fff,
    0x07fff52f,0x200fffd8,0x00dfffea,0x003fff60,0x9afffb80,0x2e000fff,
    0x2a000fff,0x90001fff,0xfff01fff,0x7ffe4009,0xffffffff,0x05ffffff,
    0x003fff60,0x1fff7000,0x07ffcc00,0xa7fff4c0,0x2000fffb,0xff70fff9,
    0x5554007f,0xffcaaaaa,0x01fff93f,0x17ffe400,0x6400dfff,0xfff80fff,
    0x05fff304,0x6c0bffe6,0xfff307ff,0x3ffffe03,0x0dfffd01,0x0037ffc0,
    0x7ffffcc0,0x8005ffff,0x9001fffa,0x00001fff,0x17fffec4,0xfa80dffd,
    0x3fea0fff,0x05fff52f,0x800fffd8,0x001ffffd,0x0001fffb,0x7cd7ffdc,
    0x7fdc007f,0x3fee000f,0xff30000f,0x1fffa85f,0x3ffffe00,0xffffffff,
    0x00ffffff,0x001fffb0,0x0fffc800,0x03ffe600,0xca7ffc40,0x26000fff,
    0xfff50fff,0x7d40000b,0x3fff93ff,0x7ffe4000,0x801bffe1,0x7d42fff9,
    0xfff301ff,0x0bffe605,0xf983ffec,0xffff01ff,0x7fffc403,0x0dfff004,
    0xffff3000,0x05fffd7f,0x01fffa80,0x001fff70,0x9fff7000,0x6c037ff4,
    0x3fea6fff,0x03fff72f,0x000fffd8,0x001ffffb,0x0001fffb,0x7cd7ffdc,
    0x3f2000ff,0x7fec007f,0x7ff40007,0x0037fec5,0xfffffff5,0xffffffff,
    0x2009ffff,0x0000fffd,0x00fffdc0,0x001fff50,0x2e9ffff5,0x2a001fff,
    0x3ffe0fff,0xf500000f,0x3ffee7ff,0x3ff60001,0x01bffe1f,0xfd8bffd0,
    0x3ffe606f,0x05fff302,0x7cc1fff6,0xdfff01ff,0x5ffff700,0x00dfff00,
    0x5ffff300,0x003fffe6,0x001fffa8,0x6641fff9,0x7fc0003d,0x01bffa7f,
    0x54ffffe2,0xfff52fff,0x0fffd803,0x1bfffa00,0x003fff60,0x9afffb80,
    0x36001fff,0x7f4005ff,0x7dc0005f,0x7fff10ff,0x07ffec00,0x1fffe600,
    0x007ffec0,0x3ffea000,0x3ffee002,0x6fffdc00,0x00bffea2,0x320fffb8,
    0x00003fff,0x3ea7fff5,0x3a0003ff,0x3ffe0fff,0x7ffdc006,0x407fff10,
    0xf302fff9,0x3ff605ff,0x03fff307,0x6c01bffe,0x7c00ffff,0x980006ff,
    0x7fdc3fff,0x3fea005f,0xfff9001f,0x0007fff8,0xfe8fffe4,0xfff5006f,
    0x25fff51f,0x6c02fff9,0x26000fff,0x6c05ffff,0x20000fff,0xff9afffb,
    0x3ffa002f,0x27ffc004,0x3ffe2000,0x001fff53,0x001bffe2,0x4017fff4,
    0x0000fffd,0x01fffcc0,0x801fff90,0xff984ffe,0x3ff2003f,0x3fffe60f,
    0xffa80000,0x0bfff33f,0x1fffe200,0x8800dfff,0xfff53fff,0x17ffcc01,
    0xb02fff98,0x3fe60fff,0x0dfff01f,0x17fffe20,0x000dfff0,0xd05fff30,
    0x2a005fff,0xfb001fff,0x1fffe8df,0x3fff2000,0x400dffd0,0xffaefffd,
    0x07fff32f,0x000fffd8,0x017fffe4,0x0001fffb,0x7cd7ffdc,0xff1004ff,
    0x7fc4005f,0xfd80003f,0x00bffb5f,0x001fffdc,0x805fffa8,0x0000fffd,
    0x006fff80,0x401ffff1,0xff00fff9,0x3fe200df,0x7fff40ff,0xffa80005,
    0x1ffff13f,0xbfff9000,0x8006fff8,0xbffb5ffd,0x02fff980,0x3605fff3,
    0xfff307ff,0x01bffe03,0x03ffffa8,0x0001bffe,0x260bffe6,0xa800ffff,
    0xfd001fff,0x4fffc8df,0x97ffe000,0x22006ffe,0xfffeffff,0x807fff12,
    0x8000fffd,0xb00ffffe,0x40001fff,0xff9afffb,0xffd800ff,0x3fea000f,
    0xfa80001f,0x02fff8ff,0x003fffa0,0x07fffc40,0x003fff60,0x3ffee000,
    0xffffc802,0x817ff200,0xc802fffb,0x7c40ffff,0x0000dfff,0x647ffff5,
    0x2000efff,0x7c2ffff8,0xfa8006ff,0x02fff8ff,0x9817ffcc,0xffb02fff,
    0x07ffe60f,0x20037ffc,0xf01ffffc,0x30000dff,0x3f205fff,0xffa805ff,
    0xbfff001f,0x04ffff88,0x23fffa80,0x54006ffe,0x2fffffff,0xfb013ffe,
    0xf30001ff,0x3f60bfff,0x2e0000ff,0xfff9afff,0x7ffcc05f,0x7ffdc005,
    0xfff00000,0x4c00fffb,0x40005fff,0x6c04fffc,0x00000fff,0x405fffd0,
    0x00fffffb,0xfd013ffa,0x7fdc05ff,0xffa80fff,0x3000afff,0x47fffffd,
    0x006ffff8,0xf0dfffd3,0x3e000dff,0x807ffdff,0xf302fff9,0x3ff605ff,
    0x03fff307,0x2001bffe,0xf80ffffe,0x980006ff,0x3fa02fff,0x7fd402ff,
    0xfff8801f,0xdffffd83,0xffff9000,0x0037ff41,0x7fffffec,0xb01bff62,
    0x20001fff,0xd82ffffb,0x20000fff,0xff9afffc,0xfb80dfff,0x6c001fff,
    0x200007ff,0x04fffffc,0x00bfff20,0x0ffff300,0xaabfffd8,0xaaaaaaaa,
    0x0aaaaaaa,0x4e7fffd4,0xffffda88,0x3ffa00ff,0x7fffd403,0xffda889c,
    0xf700ffff,0x59dfffff,0xffdb7311,0xfb07ffff,0x237bffff,0xffffca98,
    0x06fff82f,0xfffff900,0x5fff3009,0x40bffe60,0xff307ffd,0x1bffe03f,
    0x3fffe600,0xaaffff85,0xaaaaaaaa,0xff30aaaa,0x7ffcc05f,0x3ffea00f,
    0x0fffa801,0xfffffe88,0xd9530abd,0xfe89ffff,0xff88006f,0x3ee2ffff,
    0x3ff600ff,0x3fa0000f,0xfffc86ff,0x3ff20001,0xfffff99f,0xffedcdff,
    0xfe8003ff,0x2600005f,0x001fffff,0x0001fffe,0xb017fff4,0xffffffff,
    0xffffffff,0x703fffff,0xffffffff,0x1fffbdff,0x401fffc0,0xfffffffb,
    0xfffdefff,0x3fffe600,0xffffffff,0x0cffffff,0xfffffb10,0xffffffff,
    0x3fe05fff,0xff30006f,0xf3003fff,0x3fe605ff,0x0fffb02f,0x7c07ffe6,
    0xf70006ff,0xfff87fff,0xffffffff,0x3fffffff,0xc805fff3,0x3ea05fff,
    0xffc801ff,0x3fffa206,0xffffffff,0xe85fffff,0xf50006ff,0x7c45ffff,
    0x3ff602ff,0x3e60000f,0x7fe44fff,0x3f60001f,0xafff99ff,0xfffffffd,
    0xff0002ff,0xe800009f,0x2a006fff,0x00004fff,0x6c0bfff7,0xffffffff,
    0xffffffff,0x301fffff,0xffffffff,0x80fff71b,0xf3003fff,0xbfffffff,
    0x100fff71,0xfffffffb,0xbfffffff,0x3ffee003,0xffffffff,0x3fe02eff,
    0x3fa0006f,0xff3006ff,0x3ffe605f,0x20fffb02,0xff01fff9,0x7f4000df,
    0x3ffe1fff,0xffffffff,0x3fffffff,0x8805fff3,0xf502ffff,0xffd003ff,
    0xfffc8807,0xffffffff,0xffd03fff,0x7fec000d,0x27ff42ff,0x001fffb0,
    0x1ffffc80,0x000fffee,0xf98fffe8,0xffff72ff,0x200019ff,0x0002fff8,
    0x01fffdc0,0x003fffb0,0x3fffe200,0xfffffb01,0xffffffff,0xffffffff,
    0x7ee54403,0x1fff22ce,0x4005fff0,0x2cefdca8,0x8801fff2,0xffffffeb,
    0x8002bdef,0xfffffdb9,0xf802efff,0x2e0006ff,0xf3003fff,0x3fe605ff,
    0x0fffb02f,0x7c07ffe6,0x220006ff,0xff0effff,0xffffffff,0xffffffff,
    0x00bffe67,0x203fffea,0x4401fffa,0x93001fff,0xfffffffd,0x7f4017bd,
    0x3e20006f,0x7fdc2fff,0x03fff606,0xffff1000,0x02fffccd,0x37fff880,
    0xaa885fff,0x7d400009,0x400001ff,0x0000fffa,0xff880000,0xff000002,
    0x64000007,0x7ffc07ff,0xfc800002,0x7310007f,0x000019ff,0x035dfb30,
    0x000ffc40,0x003ffea0,0x00007fd4,0xf983ffec,0x000001ff,0x00000000,
    0x00000000,0x4001bff2,0x009dffa8,0x00000000,0x0003fff1,0x7fc00000,
    0xfc8000ff,0x5fff35ff,0xfb800000,0x400000ff,0x00004ffd,0x1ff50000,
    0xff300000,0x20001003,0x7fc06ffd,0x4000202f,0x40006ffd,0x00001ffb,
    0x20013f60,0x40000ff9,0x32004ffd,0xfb00006f,0x3ffea0df,0x7fdc0001,
    0x200000ce,0x0003effe,0x001f7ff4,0xf805dfff,0x2a0002ff,0x000003ff,
    0x0016fffc,0x00027fe4,0x0016fffc,0x00efffd8,0x4bfffe20,0x0002fff9,
    0x037fec00,0x3ffe2000,0x00000001,0x0000ff70,0x7401fee0,0xff3004ef,
    0x2fff809f,0x4013bfa0,0x0004fff9,0x00efffec,0x01ff4000,0x00037dc0,
    0x8007ffe2,0xb00004fd,0x3fea0dff,0x7dc0001f,0x0000ffff,0x09ffffd0,
    0x7ffff400,0xfffff004,0x01bfea09,0x7ffffb00,0x3fe00000,0x44004fff,
    0x40000fff,0x004fffff,0x06ffff98,0x4dfffd30,0x0002fff9,0x13ffe200,
    0xdff90000,0x00000000,0x00007fe4,0x4007fdc0,0xe801fffc,0x3e202fff,
    0x3ff201ff,0xfffe801f,0x64cc0002,0x00000fff,0x640027fc,0x320000ff,
    0x7f4006ff,0xffd00006,0x03ffee0b,0x3faa2000,0x3100004f,0x0001fff7,
    0x03ffee62,0x3ffee620,0x002ffd80,0x03fff300,0xf7310000,0xfc8001ff,
    0x4c40003f,0x8000fffb,0xbdfffffc,0xfff95311,0x7ffcc3ff,0x2e000002,
    0x20002fff,0x0bfff220,0x80000000,0x00084ffc,0x401ffdc0,0x6405fffb,
    0x7e406fff,0x7ffdc07f,0x37ffe405,0x3ffa0000,0x7fc00003,0x2ffc8007,
    0x7fe44100,0x7ff4002f,0x7fcc0001,0x0fffb04f,0x7ffb8000,0xffe80000,
    0xffe80004,0x1fff4004,0x0001bfe6,0x0009ffd0,0x03ffe800,0x0037fc40,
    0x007ffd00,0xfffffb10,0xffffffff,0xff985fff,0xd700002f,0x1ffffd9b,
    0x7f7ec000,0x00005fff,0x7fd40000,0x00febbef,0x33ffea00,0x7f40eca9,
    0xcaaacfff,0xb81fffff,0x805fffdc,0xaacffffe,0x1fffffca,0x65442000,
    0x00002fff,0x5cdf7ff4,0x3ffee04d,0x6c0eca9c,0x05ffffef,0x9bfffb80,
    0x6e5c05da,0x9b31ffff,0x0009ffff,0xdfff5304,0x93108000,0x08007fff,
    0x07fff931,0xfffc9884,0x000ffec2,0xffb75350,0x8400005f,0x02fffc98,
    0x003ffb80,0xfff93108,0x7fe40005,0xffffffff,0xf981ffff,0xb00002ff,
    0x9fffffff,0xfffc8000,0x00000eff,0xffe80000,0x000fffff,0x7fffff40,
    0x7ffc40ff,0xffffffff,0xffff01ff,0xff1003ff,0xffffffff,0x80003fff,
    0x5fffffff,0xffb80000,0x204fffff,0xfffffff8,0x7fffe40f,0xf88000ef,
    0x06ffffff,0x37fffff4,0x3ffffff7,0x7ffdc000,0x0002ffff,0x7ffffff4,
    0x7ff4000e,0x200effff,0x6ffffffe,0x0001ffd4,0x3ffffffa,0x7f400005,
    0x006fffff,0x0003ffa0,0xdffffffd,0xfd930000,0xbfffffff,0x17ffcc05,
    0xffff8000,0x80005fff,0x01fffffb,0x00000000,0x5bffffb1,0xffd30000,
    0x71019fff,0xffffffff,0x7ffc019f,0x2e2002ff,0xffffffff,0x440000cf,
    0x0cffffff,0xff900000,0x9803bfff,0x83dffffd,0x01fffffb,0x3fffee00,
    0x3fe202df,0x3f60efff,0x0002ffff,0x77ffffdc,0xfff80002,0x8000cfff,
    0x0cffffff,0x7fffffc0,0x0037f40c,0x77ffffc0,0xff800003,0x000cffff,
    0x0013fe20,0x19ffffff,0xa9980000,0x30009aaa,0x20000133,0x01bccaa9,
    0x37951000,0x00000000,0x0026a200,0x06eea000,0xaccca980,0x05999002,
    0xccca9800,0x4c00002a,0x00009aaa,0x01ba9800,0x4402b880,0x00001bca,
    0x22003751,0xba81bcba,0x80000acc,0x001aaaa8,0x26aaa600,0x2aa60000,
    0x5530009a,0x39910135,0x06660000,0x55300000,0x20000135,0x54c004ca,
    0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x665c0ccc,0x2600000c,0x00055300,0x40000988,0x0f2e02cc,0x06665c00,
    0x0003332e,0x000336a0,0x880aa200,0xf10000aa,0x00009fff,0x7ffff100,
    0x6f76c000,0x006f76c0,0x37ffe400,0x3ea00000,0x00001fff,0x5fffe800,
    0xdd900000,0x2000009d,0x0006fffd,0x7ffe4000,0x2000000e,0x002ffff8,
    0x3ccca800,0xfa800000,0x00000fff,0xf997ffe6,0x700004ff,0xfe85dfff,
    0x17ec0006,0x03ff6000,0x4000ffe6,0x3e65fff9,0xe80004ff,0x0003fedf,
    0xc81ffcc0,0x260000ff,0x0000ffff,0x27ffe400,0x3ffe6000,0x00fffee5,
    0x3fffea00,0x1000005f,0x01dfffff,0x7d400000,0x00000eff,0x2fffffb8,
    0xfe880000,0x000002ff,0x03ffff10,0xffc80000,0xb000004f,0x0000bfff,
    0xfffff980,0x7dc00006,0x0bffd3ff,0x3fff2000,0xffddffff,0xfd310005,
    0x7dc00039,0xffd511df,0x7fdc0003,0x00bffd3f,0x3643f300,0x7ffc0000,
    0x01bfea22,0x13ffea00,0xff880000,0xf700006f,0x9fff15ff,0xfff10000,
    0x0007fffb,0xfddffd00,0x000000bf,0x0007fff4,0x6fffcc00,0x00001fff,
    0x006fff98,0xfff90000,0x88000005,0x00006fff,0x017fff60,0xffe88000,
    0x0005ffee,0x7efffec0,0x880000ef,0xfffdcfff,0x4001ffff,0xffffffeb,
    0xfd8000cf,0x4fffffff,0xfffd8000,0x0000effd,0x00fc46d8,0x3ffea000,
    0x01ffffef,0x1fff9000,0x3f200000,0x200000ff,0x6ffdfffd,0xfffd0000,
    0x005fff51,0x4fffe400,0x0004fff9,0x2fffa800,0xfe880000,0x01dffb6f,
    0xfff50000,0x88000005,0x00004fff,0x00fffc80,0x3ff60000,0x2000005f,
    0xff98fffd,0x2200003f,0x01fffffe,0x47ff3000,0x01dffda8,0x3ffffa20,
    0x2fffffff,0x7ffe4400,0x00004fff,0x3fffffd1,0x51ee0000,0x7000001f,
    0x5dffffff,0xffd80000,0xf8800004,0x400002ff,0x0fffffe8,0xfffc8000,
    0x003fff62,0x93ffea00,0x0002fffb,0x027ff400,0xfffd8000,0x00bfff11,
    0x1bfee000,0xff700000,0x1000000d,0x00003fff,0x05fffd80,0xfff70000,
    0x00fffe47,0xffff3000,0x54400005,0x0001100a,0xfddffffd,0x03fffffd,
    0x15795300,0xff980000,0x200002ff,0x05ea9cf8,0x32a20000,0x000002cc,
    0x0000bdb1,0x0007dd50,0x3bbba600,0xee980001,0x2777444e,0x3bb62000,
    0x00deed85,0xbdd10000,0x3aa00000,0x777543ee,0xd9000002,0x4000003d,
    0x00000ded,0x003eea80,0x00000000,0x8bddb100,0x000deed8,0x00000000,
    0x7e400000,0x35fb3fff,0x001ffffb,0x00000000,0x3ae00000,0x00001dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b6ea200,
    0x4001cdef,0x40002aa9,0x3e60aaa9,0xb17ec6ff,0x554c7fff,0x554c0002,
    0x0055530a,0x30aaa980,0x00a80555,0x8002aaa6,0xdefedca8,0x553000ab,
    0xaa980005,0x0055530a,0x00aaa980,0xdfecb988,0x553001ac,0xaa980005,
    0x5d44000a,0x01cdefed,0xb7510000,0x0039bdfd,0x765cc400,0x0001acdf,
    0x7f6dd440,0x00001cde,0x37fb2e62,0x200001ac,0xceefecc9,0x2600000b,
    0xbceefecc,0x53000000,0x40000155,0xffffffe9,0x00beffff,0x000fffd8,
    0xb8bffee0,0x17ec3fff,0x7ecdfff3,0x2e0000ff,0xfffb2fff,0x7fdc0001,
    0x01fffb2f,0x17ffdc00,0x7fffe4c0,0xffffffff,0x07ffec02,0x5fff7000,
    0x0003fff6,0x202fffb8,0xffffffd8,0x00dfffff,0x0003fff6,0x002fffb8,
    0xffffffd3,0x017dffff,0xfffd3000,0xdfffffff,0x36200017,0xffffffff,
    0x0000dfff,0x3fffffa6,0x0befffff,0xfffb1000,0xffffffff,0x3ae0001b,
    0xffffffff,0x20000cff,0xffffffeb,0x000cffff,0x17ffdc00,0xfffc8000,
    0xffffffff,0x6c01efff,0x20000fff,0x3f22fffb,0x217ec0ff,0xffb0fffe,
    0x7dc0001f,0x1fffb2ff,0x7ffdc000,0x001fffb2,0x017ffdc0,0x3ffffff2,
    0xffffffff,0x3fff604f,0x3fee0000,0x01fffb2f,0x17ffdc00,0xffffffa8,
    0xffffffff,0x1fffb02f,0x7ffdc000,0xffffc802,0xffffffff,0x20001eff,
    0xfffffffc,0xefffffff,0x7ffd4001,0xffffffff,0x8002ffff,0xfffffffc,
    0xefffffff,0x7ffd4001,0xffffffff,0x2002ffff,0xffffffe9,0xffffffff,
    0x7ff4c004,0xffffffff,0x0004ffff,0x00bffee0,0xffffd300,0xfb9579df,
    0x405fffff,0x0000fffd,0xfe8bffee,0x4c2fd85f,0x00fffd81,0x4bffee00,
    0x0000fffd,0x7ecbffee,0x2e0000ff,0xfd102fff,0x79dfffff,0xfffffd97,
    0x1fffb03d,0x7ffdc000,0x001fffb2,0x417ffdc0,0xcefffffa,0xfffedcbc,
    0xfffd82ff,0x3fee0000,0x3ffa602f,0xcabcefff,0x2ffffffd,0x7fff4c00,
    0xdcabceff,0x02ffffff,0xdfffff50,0xffdb9799,0x26005fff,0xcefffffe,
    0xffffdcab,0xff5002ff,0x9799dfff,0x5fffffdb,0xfffff500,0xfb95599d,
    0x2007ffff,0xcefffffa,0xfffdcaac,0x700003ff,0x40005fff,0x04fffff9,
    0x3ffffeb8,0x001fffb0,0xb17ffdc0,0x05fb0fff,0x003fff60,0xb2fffb80,
    0x40001fff,0xffb2fffb,0x7dc0001f,0xfff882ff,0xfb801dff,0x7ec0ffff,
    0x2e0000ff,0xfffb2fff,0x7fdc0001,0xdfffe82f,0x7fff5401,0x07ffec0f,
    0x5fff7000,0x3ffffe60,0xfffeb804,0xfff3003f,0xfd7009ff,0xfd007fff,
    0xea803bff,0x4c00ffff,0x804fffff,0x03ffffeb,0x01dfffe8,0x07ffff54,
    0x5dffff50,0xffffd980,0x7fffd403,0x7fecc02e,0xb80003ff,0x20002fff,
    0x001efffe,0x03ffff62,0x0003fff6,0x2e2fffb8,0x17ec2fff,0x00fffd80,
    0x4bffee00,0x0000fffd,0x7ecbffee,0x2e0000ff,0xffd82fff,0x74c003ff,
    0x7fec3fff,0x3ee0000f,0x1fffb2ff,0x7ffdc000,0x02fffcc2,0xb0bfffa0,
    0x40001fff,0xfd02fffb,0x44003dff,0x800ffffd,0x001efffe,0x03ffff62,
    0x005fff98,0x2017fff4,0x001efffe,0x03ffff62,0x005fff98,0x8817fff4,
    0x4004ffff,0x100ffffc,0x8009ffff,0x000ffffc,0x017ffdc0,0x06fffb80,
    0x1bfff600,0x0003fff6,0x262fffb8,0x17ec5fff,0x00fffd80,0x4bffee00,
    0x0000fffd,0x7ecbffee,0x2e0000ff,0x7fd42fff,0xf10000ff,0xfffd8dff,
    0x3fee0000,0x01fffb2f,0x17ffdc00,0x0003ffee,0xfd8bfff1,0x2e0000ff,
    0xffb82fff,0x3f60006f,0x7fdc06ff,0x3f60006f,0x3fee06ff,0x7fc4000f,
    0x3ffee05f,0x3ff60006,0x3ffee06f,0x7ffc4000,0x09fffd05,0x13fff600,
    0x0027fff4,0x004fffd8,0x017ffdc0,0x0ffffc40,0xffff1000,0x00fffd87,
    0x0bffee00,0x361bffff,0xfffb002f,0x7fdc0001,0x01fffb2f,0x97ffdc00,
    0x0000fffd,0xf88bffee,0x40003fff,0x3f62fffb,0x2e0000ff,0xfffb2fff,
    0x7fdc0001,0x037ff42f,0x6c7ffd80,0x20000fff,0x7c42fffb,0x20001fff,
    0x103ffff8,0x0003ffff,0x81ffffc4,0xb0006ffe,0x3fe20fff,0x220001ff,
    0xfd03ffff,0x3f6000df,0x6fffa87f,0x3ffe2000,0x37ffd40f,0xffff1000,
    0x7fdc0001,0xffc8002f,0xfa80004f,0x7ffec6ff,0x3fee0000,0x7fffcc2f,
    0xb002fedf,0x40001fff,0xffb2fffb,0x7dc0001f,0x1fffb2ff,0x7ffdc000,
    0x017ffea2,0x97ffe200,0x0000fffd,0x7ecbffee,0x2e0000ff,0x7ffc2fff,
    0xdff70007,0x007ffec3,0x85fff700,0x0004fffc,0x906fffa8,0x00009fff,
    0x3e0dfff5,0xf70007ff,0xfff903df,0xff500009,0x1fffe0df,0x0f7fdc00,
    0x000ffff6,0xd83dffb0,0x40003fff,0x0001effd,0x000bffee,0x001ffff1,
    0x83fffa00,0x0000fffd,0x260bffee,0xffffffff,0x3ff600ad,0x3ee0000f,
    0x1fffb2ff,0x7ffdc000,0x001fffb2,0xb17ffdc0,0x00003fff,0xfffb02ee,
    0x7fdc0001,0x01fffb2f,0x17ffdc00,0x000ffff2,0x01fffb00,0x17ffdc00,
    0x001ffff1,0x03fffa00,0x001ffff1,0x03fffa00,0x000ffff2,0x3fffe200,
    0xffd00000,0x7fff901f,0xff880000,0xa880007f,0x07fff880,0x000a8800,
    0x02fffb80,0x02fffcc0,0x7fff9000,0x0007ffec,0x205fff70,0xffffffc8,
    0xffb04fff,0x7dc0001f,0x1fffb2ff,0x7ffdc000,0x001fffb2,0x897ffdc0,
    0x0000ffff,0x07ffec00,0x5fff7000,0x0003fff6,0x542fffb8,0x0000efff,
    0x003fff60,0x22fffb80,0x0005fff9,0x30ffff20,0x0000bfff,0x541fffe4,
    0x0000efff,0x02fffcc0,0x7fff9000,0x01dfff50,0x7ffd4000,0x54000006,
    0x00006fff,0x7fdc0000,0x7fd4002f,0x2600004f,0x3ff65fff,0x3ee0000f,
    0xfda802ff,0x1effffff,0x0007ffec,0x365fff70,0x20000fff,0xffb2fffb,
    0x7dc0001f,0xdfff52ff,0xfb000000,0x5c0001ff,0xfffb2fff,0x7fdc0001,
    0x7fffc42f,0xd80001cf,0x20000fff,0x3ea2fffb,0x200004ff,0x7d45fff9,
    0x200004ff,0xf885fff9,0x001cffff,0x09fff500,0x7ffcc000,0xfffff885,
    0xfc80001c,0x000004ff,0x0027ffe4,0x2e000000,0x5c002fff,0x00003fff,
    0xfd9bffe2,0x2e0000ff,0x36002fff,0xffffffef,0x003fff60,0xb2fffb80,
    0x40001fff,0xffb2fffb,0x7dc0001f,0xbfff72ff,0xfb000000,0x5c0001ff,
    0xfffb2fff,0x7fdc0001,0xffff982f,0x001bdfff,0x000fffd8,0xb8bffee0,
    0x00003fff,0xf71bffe2,0x400007ff,0xf306fff8,0x7bffffff,0x3fee0003,
    0x2200003f,0xff306fff,0x37bfffff,0x7fff9000,0xfc800000,0x000003ff,
    0x7ffdc000,0x7ffe4002,0x7fc00001,0x03fff67f,0x2fffb800,0x7d4bf600,
    0x3ff65fff,0x3ee0000f,0x1fffb2ff,0x7ffdc000,0x001fffb2,0xc97ffdc0,
    0x00003fff,0x00fffd80,0x4bffee00,0x0000fffd,0x440bffee,0xfffffffe,
    0xd800bdff,0x20000fff,0x3f22fffb,0x400001ff,0x7fe47fff,0x7c00001f,
    0x3fa207ff,0xffffffff,0xff9000bd,0xf800003f,0x3fa207ff,0xffffffff,
    0xffd800bd,0x4000002f,0x0002fffd,0x7dc00000,0x7f4002ff,0x400000ff,
    0xffb0ffff,0x7dc0001f,0x3f6002ff,0x4bfffa22,0x0000fffd,0x7ecbffee,
    0x2e0000ff,0xfffb2fff,0x7fdc0001,0x05fffb2f,0xffb00000,0x7dc0001f,
    0x1fffb2ff,0x7ffdc000,0x3fff6202,0xffffffff,0x3fff602d,0x3fee0000,
    0x03fffa2f,0xffff0000,0x007fff41,0x3fffe000,0x3fff6200,0xffffffff,
    0x7fff402d,0x7fc00000,0x3f6200ff,0xffffffff,0x3fa02dff,0x000000ff,
    0x0007fff4,0x2e000000,0x7c002fff,0x800007ff,0xffb0fffe,0x7dc0001f,
    0x3f6002ff,0xda7ffdc2,0x20000fff,0xffb2fffb,0x7dc0001f,0x1fffb2ff,
    0x7ffdc000,0x003fffb2,0x7ffffffc,0xfb3fffff,0x5c0001ff,0xfffb2fff,
    0x7fdc0001,0xfdb8802f,0xffffffff,0xfffd80df,0x3fee0000,0x01fffe2f,
    0x3fffa000,0x001fffe0,0x03fffa00,0x3fff6e20,0xdfffffff,0x00ffff00,
    0x1fffd000,0xfffb7100,0xbfffffff,0x01fffd01,0xffe80000,0x0000000f,
    0x17ffdc00,0x03fffa00,0xffff0000,0x0007ffec,0x005fff70,0x3fe217ec,
    0x01fffb5f,0x97ffdc00,0x0000fffd,0x7ecbffee,0x2e0000ff,0xfffb2fff,
    0x7fffc005,0xffffffff,0x001fffb3,0xd97ffdc0,0x20000fff,0x8002fffb,
    0xfffffeca,0x7fec1fff,0x3ee0000f,0x3fffa2ff,0x7fc00000,0x07fff47f,
    0x3ffe0000,0xfd950007,0x3fffffff,0x001fffd0,0x07fff800,0xfffd9500,
    0xe83fffff,0x00000fff,0x007fff40,0x20000000,0x4002fffb,0x0001fffe,
    0xd9fffe20,0x20000fff,0x9512fffb,0xd05fb01b,0x3fff6dff,0x3fee0000,
    0x01fffb2f,0x97ffdc00,0x0000fffd,0x7e4bffee,0x3fe002ff,0xffffffff,
    0x1fffb3ff,0x7ffdc000,0x001fffb2,0x017ffdc0,0x3ff2a200,0x3f60ffff,
    0x2e0000ff,0x3ffa2fff,0x2200001f,0x7ff47fff,0x2200001f,0x80007fff,
    0xfffffca8,0x0ffff40f,0xfff10000,0x9510000f,0x41ffffff,0x0001fffd,
    0x0fffec00,0x00000000,0x000bffee,0x0005fffb,0xb37ffcc0,0x40001fff,
    0xff52fffc,0xd05fb05f,0x3fff6dff,0x3ff20000,0x01fffb2f,0x97ffe400,
    0x0000fffd,0x7dcbfff2,0x2aa003ff,0xfcaaaaaa,0x1fffb3ff,0x7ffe4000,
    0x001fffb2,0x017ffe40,0xfffb1000,0x07ffec5f,0x5fff9000,0x0017ffec,
    0x8dfff300,0x0002fffd,0x01bffe60,0xfffb1000,0x2fffd85f,0x3fe60000,
    0x4400006f,0x322ffffd,0x00002fff,0x017ffe40,0x20000000,0x4002fffb,
    0x0004fffb,0xc97ffea0,0x20001fff,0x3fe1fffc,0xf82fd84f,0x3fff94ff,
    0x7ffe4000,0x003fff91,0xc8fffe40,0x20001fff,0xff51fffc,0x540000bf,
    0xfff93fff,0x7fe40003,0x03fff91f,0x0fffe400,0x7fdc0000,0x07fff24f,
    0x1fffc800,0x0013ffee,0x45fffa80,0x0004fffb,0x017ffea0,0x7ffdc000,
    0x027ffdc4,0xbfff5000,0x3ee00000,0x3ffee4ff,0x20300004,0x0004fffb,
    0x2e000030,0x4c002fff,0x00005fff,0xfc8bfff2,0x360001ff,0x3ff61fff,
    0x2a17ec0f,0xfff93fff,0x7fec0003,0x03fff91f,0x8fffec00,0x0001fffc,
    0xff87fff6,0x500000ff,0x3ff27fff,0x3f60001f,0x3fff91ff,0x7ffec000,
    0x000f7321,0x7e4ffff0,0x360001ff,0x3fe61fff,0x3200005f,0x7fcc2fff,
    0x3200005f,0x6e642fff,0x7ffc0003,0x02fffcc7,0x5fff9000,0x0003dcc8,
    0xff13fffc,0xf10000df,0x7ffc47bf,0xff880006,0x3ee0003d,0xfe8002ff,
    0x980002ff,0x7fdc7fff,0x3fa0003f,0x3ffee0ff,0xff117ec5,0x3ffee1ff,
    0x3ffa0003,0x07fff70f,0x87fff400,0x0003fffb,0xfc83fffa,0x500003ff,
    0x3fee7fff,0x3fa0003f,0x7fff70ff,0x7fff4000,0x001fffe0,0x2e3fff90,
    0x20003fff,0x7f40fffe,0x980002ff,0xffd07fff,0xf300005f,0xffff0fff,
    0xfffc8000,0x017fff41,0x3fffcc00,0x0003fffc,0xfe87fff2,0x5c0000ff,
    0x7ff45fff,0x7dc0000f,0x1372a5ff,0x00bffee0,0x01bffee0,0x13fff600,
    0x000bfff3,0xf11fffe2,0x97ecbfff,0x263fffe9,0x10005fff,0x7fccffff,
    0xff10005f,0x2fffccff,0x7fff8800,0x007fffcc,0x9fffd400,0x0005fff9,
    0x7ccffff1,0xf10005ff,0xfffe8fff,0x3ff20001,0x0bfff30f,0x1fffe200,
    0x001bffee,0x413fff60,0x0006fffb,0xe84fffd8,0x20001fff,0x7dc0fffc,
    0xd80006ff,0xffe84fff,0x3f20001f,0x3ffee0ff,0x7ff40004,0x27ffdc2f,
    0x3fffa000,0x201bff62,0x8001fffc,0x003fffe8,0x07fffea0,0x0003fffe,
    0x2617fff2,0xfedfffff,0x86ffffdd,0x8000ffff,0x7fc5fffc,0xfc8000ff,
    0x7fffc5ff,0xfffc8000,0x05fffe85,0x3fffa800,0x0003fffe,0xff17fff2,
    0xf90001ff,0xfffc8bff,0x3ffe0004,0x007fffc5,0x42fffe40,0x003fffe8,
    0x07fffea0,0x01ffff44,0x3ffff500,0x009fff90,0x442fffc0,0x0003fffe,
    0x207fffea,0x0004fffc,0xff117ffe,0x2a0003ff,0xff887fff,0xf50001ff,
    0x7ffc8fff,0x01fffd80,0x7ffff500,0xffff5000,0x3bfff607,0x3ffe2000,
    0xffff302f,0xffffffff,0x3bfff609,0x3ffe2000,0x77ffec2f,0x3ffe2000,
    0x77ffec2f,0x3ffe2000,0xffff882f,0xff50000d,0x7ffec7ff,0x3fe2000e,
    0x7ffec2ff,0x3fe2000e,0x7ffc42ff,0xffa8004f,0x77ffec3f,0x3ffe2000,
    0xffff502f,0xfff50007,0xfffa807f,0xffa8003f,0xfff103ff,0xff50009f,
    0x3ffea07f,0xffa8003f,0xfff103ff,0xff50009f,0xdfff707f,0xfff98003,
    0xdfff703f,0xfff98003,0x17ffdc3f,0x001fffa0,0x1bffff90,0x3ffff200,
    0x3fffe606,0xfffd3006,0xffec880d,0x02efffff,0x01bfffe6,0x437fff4c,
    0x006ffff9,0x30dfffd3,0x200dffff,0x206fffe9,0x0afffffa,0xffffd300,
    0x7fffcc7f,0xfffd3006,0xdffff30d,0x3fffa600,0xbffffb06,0x3fff2001,
    0x7fffcc0f,0xfffd3006,0xffffc80d,0xfff9000d,0x3ff200df,0xf9000dff,
    0xfd80dfff,0x9000dfff,0x6401ffff,0x000dffff,0x80dffff9,0x00dffffd,
    0x01ffff90,0x00bffffa,0x037fffd4,0x00bffffa,0x437fffd4,0x3606fffa,
    0x80005fff,0xabfffffd,0x3ffae620,0x7e400eff,0x11bdffff,0xfffff953,
    0x7f544003,0xff9000ad,0x2237bfff,0xfffffca9,0xfffff901,0x32a6237b,
    0x901fffff,0x37bfffff,0x3fff2a62,0x7fdc01ff,0x8aceffff,0xfffedb98,
    0xffc83fff,0x311bdfff,0x3fffff95,0x3fffff20,0xf95311bd,0x2203ffff,
    0xbdfffffe,0xffd9530a,0x3ff209ff,0x311bdfff,0x3fffff95,0xfffffb00,
    0x75cc4157,0x000effff,0x2ffffff6,0x3fae620a,0x4400efff,0xbdfffffe,
    0xffd9530a,0xffb009ff,0x44157fff,0xeffffeb9,0x7fff4400,0x530abdff,
    0x09ffffd9,0x77ffffcc,0x7ff4c40a,0x7cc00eff,0x40aeffff,0xeffffe98,
    0x3dfffd00,0xffffb511,0x3ee00005,0xffffffff,0xdfffffff,0xfffd8800,
    0xffffffff,0x002fffff,0x88005fb0,0xfffffffd,0xffffffff,0x3ff6202f,
    0xffffffff,0x02ffffff,0x3fffff62,0xffffffff,0xf3002fff,0xffffffff,
    0xffffffff,0x3f62019f,0xffffffff,0x2fffffff,0x3ffff620,0xffffffff,
    0x4402ffff,0xfffffffe,0xffffffff,0x3ff6205f,0xffffffff,0x02ffffff,
    0x3ffffee0,0xffffffff,0x8000dfff,0xfffffffb,0xffffffff,0xfd1000df,
    0xffffffff,0xbfffffff,0x7fffdc00,0xffffffff,0x000dffff,0xffffffd1,
    0xffffffff,0xfd100bff,0xfdffffff,0x1fffffff,0x3fffa200,0xfffeffff,
    0x200fffff,0xfffffff9,0x005fffff,0x7fff5400,0xffffffff,0xfc8003ff,
    0xffffffff,0x001fffff,0x4000bf60,0xfffffffc,0x1fffffff,0xfffff900,
    0xffffffff,0x3ff2003f,0xffffffff,0x4001ffff,0xffffffd8,0xffffffff,
    0xfff9001d,0xffffffff,0x32003fff,0xffffffff,0x01ffffff,0xfffff910,
    0xffffffff,0x3ff2007f,0xffffffff,0x8001ffff,0xffffffea,0x3fffffff,
    0x7ff54000,0xffffffff,0x88003fff,0xfffffffc,0x3fffffff,0xfffea800,
    0xffffffff,0xc88003ff,0xffffffff,0x03ffffff,0x3ffff620,0xffffffff,
    0x6c4000cf,0xffffffff,0x00cfffff,0xffffffb8,0x000dffff,0xfffb3000,
    0x05bfffff,0xffec9800,0x2dffffff,0x02fd8000,0x3ffb2600,0x2dffffff,
    0xffec9800,0x2dffffff,0xffec9800,0x2dffffff,0x7f5c4000,0xdeffffff,
    0xec98002b,0xffffffff,0xec98002d,0xffffffff,0xd930002d,0xdfffffff,
    0xc980017b,0xfffffffe,0x980002df,0xfffffffd,0x400002df,0xffffffd9,
    0x80002dff,0xfffffec9,0x000bdeff,0x7fffecc0,0x002dffff,0xfffec980,
    0x0bdeffff,0xfff91000,0x19ffffff,0xffc88000,0xcfffffff,0x7ff44000,
    0x003dffff,0x2a660000,0x000009aa,0x9aaaa998,0x26200000,0x53300000,
    0x00013555,0x2aaaa660,0x33000009,0x00135555,0x55531000,0x98000013,
    0x009aaaa9,0x55533000,0x40000135,0x009aaa98,0x2aa66000,0x000009aa,
    0x13555330,0x33000000,0x00013555,0x2aaa6200,0x20000009,0x009aaa99,
    0x55310000,0x00000135,0x01355531,0x2a620000,0x800009aa,0x0000aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x17bba200,0x000bddb1,
    0x97fffcc0,0x002ffff8,0x02cccb80,0x01bd5000,0x00007ba6,0x013bbb20,
    0x665c0000,0xa800002c,0x0001ffff,0xc8879991,0xddb103cc,0x0deed81b,
    0x40000000,0x0005fffe,0x99998800,0x09999999,0x00000000,0xd313bba6,
    0x2a0009dd,0x555442aa,0xfa800000,0x40001fff,0x7cc5fffa,0x980005ff,
    0x1aaa82aa,0xeda80000,0x005ff82d,0x881ffff9,0xfb801aaa,0x3fff63ff,
    0x3f200001,0x3fff24ff,0xffd00004,0x2600009f,0x0ffb04ff,0xfff70000,
    0x000005ff,0x1fffffb8,0x7ff40000,0x7ec0002f,0x3fff62ff,0x93ffea01,
    0x0002fffc,0x7fcc0000,0x000000ff,0xffffffe8,0x004fffff,0xfffffff8,
    0x004fffff,0xfe8bfff2,0xfd0000ff,0x2fffa8df,0xffe80000,0xf900003f,
    0x77ff45ff,0xffc80000,0x13ffe20f,0xfff70000,0xff739dff,0x7ffec009,
    0x02fffc44,0xfa8fffd8,0x200002ff,0x3e26fff8,0x200006ff,0x0004fffe,
    0x546fffa0,0x00005ffc,0x7fefffcc,0x3000001f,0x1fffdfff,0x3fea0000,
    0xfd00004f,0x5fff51df,0x33fff900,0x00007fff,0xfffb0000,0x20000003,
    0xfffffffe,0x8004ffff,0xffffffff,0x4004ffff,0xffb8fffe,0x3fa0001f,
    0x17ffd46f,0x3fe60000,0x6c00005f,0xfffc8fff,0xff900000,0x27ffc41f,
    0xfff10000,0xfffffffd,0x7f44003f,0x3ffe20ff,0xdffd1005,0x00009fff,
    0x2e0fffb8,0x00001fff,0x0013fffa,0xfffff980,0x0000efff,0x6dbffa20,
    0x00000fff,0xfeb7ffc4,0xfd00006f,0x440000df,0x4fffdfff,0x3bbffa00,
    0x000005ff,0x3fff9800,0x36000000,0xeeeeeeee,0xd8003eee,0xeeeeeeee,
    0x44003eee,0x3fffdfff,0x37ff4000,0x000bffea,0x00dffb00,0xdfff1000,
    0x00005fff,0xf107ffe4,0x400009ff,0xfd713ffb,0x10007fff,0x7fc49fff,
    0x3fe6005f,0x00005fff,0x7f42fff8,0x7400002f,0x00004fff,0x7fffff4c,
    0x6c00000d,0xfff11fff,0xfd80000d,0x9fff31ff,0xfff98000,0x7d400000,
    0x4005ffff,0x0efffff8,0x80000000,0x00004ffd,0x00000000,0x50000000,
    0x009fffff,0x98bddb00,0x00002eee,0x0003ffe6,0x7fffcc00,0x5c00003f,
    0x3ba20eee,0x2e00003e,0x02b980ee,0x87ffcc00,0x4005fff8,0x000deeea,
    0x21f74c00,0x00004ee9,0x20000000,0x0000aaa9,0x43eeea80,0x0003eeea,
    0xc87fff90,0x20003fff,0x00001eec,0x01dfff90,0x1dddd300,0x00000000,
    0x0000bdd1,0x00000000,0x80000000,0x0005eeeb,0x00000000,0x0001775c,
    0x13bbae00,0x00000000,0x00000000,0x89775c00,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb7510000,0x0039bdfd,0x20e664c0,0x00004ccb,0x0aaa6000,
    0x15553000,0x00000000,0x00000000,0x3bfb6ea2,0x000001cd,0xbdfdb751,
    0x10000039,0x2600bfff,0xbceefecc,0x54400000,0x1cdefedb,0xdb930000,
    0x15544159,0x76dd4400,0x0001cdef,0xefecc980,0x00000bce,0x3bfb72a2,
    0x53000abd,0x55555555,0x13555555,0x55544000,0x2aaaa601,0xaaaaaaaa,
    0x00009aaa,0xaaaaa800,0xaaaaaaaa,0xaaaaaaaa,0xd3000aaa,0xffffffff,
    0x80017dff,0x7f42fffa,0x2aaa207f,0xaaaaaaaa,0xaaaaaaaa,0x03fff61a,
    0x2fffb800,0x00055553,0xa8aaaa60,0x20000aaa,0x3000aaa8,0xfffffffd,
    0x0017dfff,0xffffd300,0x7dffffff,0x55544001,0x017ffe21,0xffffffd7,
    0x0019ffff,0xffffe980,0xbeffffff,0xffe98000,0xf14fffff,0x3a6001ff,
    0xffffffff,0x0000beff,0x7fffff5c,0x00cfffff,0x3fff2600,0xffffffff,
    0x7ffec02f,0xffffffff,0x3effffff,0x5fff8800,0x3fffff60,0xffffffff,
    0x003effff,0xffff3000,0xffffffff,0xffffffff,0x9005ffff,0xffffffff,
    0x3dffffff,0x17ffd400,0xfb81fffa,0xffffffff,0xffffffff,0x3ff64fff,
    0x3ee0000f,0xffff32ff,0xff880007,0x3fffa3ff,0x3fea0005,0xfffc802f,
    0xffffffff,0x0001efff,0x3ffffff2,0xffffffff,0xfff1001e,0x82fffc4b,
    0xffffffe9,0xffffffff,0xfff90004,0xffffffff,0x4003dfff,0xfffffffa,
    0xfff9efff,0xffffc800,0xffffffff,0x98001eff,0xfffffffe,0x4fffffff,
    0xffffc800,0xffffffff,0x3f604fff,0xffffffff,0xffffffff,0x22001eff,
    0x3f605fff,0xffffffff,0xffffffff,0x00001eff,0x7fffffec,0xffffffff,
    0xffffffff,0x3fa602ff,0xabceffff,0xffffffdc,0x5fff5002,0x2e07ffe8,
    0xffffffff,0xffffffff,0x3f64ffff,0x2e0000ff,0x3ff22fff,0x360000ff,
    0x7ff45fff,0xf50003ff,0x7f4c05ff,0xabceffff,0xffffffdc,0x7ff4c002,
    0xcabcefff,0x2ffffffd,0x25fff880,0xfa85fff8,0xacceffff,0xfffffdca,
    0x3ffa6003,0xcabcefff,0x2ffffffd,0xdffffa80,0xfffeba9b,0x3a600fff,
    0xbcefffff,0xfffffdca,0x3fea002f,0xaaccefff,0x3fffffdc,0xffffd100,
    0xd9779dff,0x03dfffff,0xddddfffb,0xfddddddd,0x01ffffff,0x817ffe20,
    0xeeeefffd,0xfeeeeeee,0x00ffffff,0xffff3000,0xffffffff,0xffffffff,
    0x205fffff,0x04fffff9,0x3ffffeb8,0x40aaa880,0x3ee02aaa,0xffffffff,
    0xffffffff,0x3ff64fff,0x3ee0000f,0x7fff42ff,0xfff50005,0xffffe81f,
    0xffa8000f,0xffff302f,0xffd7009f,0x3e6007ff,0xb804ffff,0x403ffffe,
    0x3e25fff8,0x7ffd45ff,0x7ecc02ef,0xf9803fff,0xb804ffff,0x403ffffe,
    0xb103fffe,0x201fffff,0x04fffff9,0x3ffffeb8,0xeffffa80,0x7ffecc02,
    0x7ffc403f,0xfb801dff,0x7ec0ffff,0x6cc000ff,0x1004ffff,0x7ec0bfff,
    0x6cc000ff,0x0004ffff,0x547fffb0,0x00004fff,0x01efffe8,0x3ffff620,
    0x00000000,0xffff7000,0x007ffec3,0x85fff700,0x003ffff9,0x417fffc4,
    0x05fffffe,0x02fffa80,0x003dfffd,0x07fffec4,0x0f7fff40,0xffffb100,
    0x2fffc401,0x7c4bfff1,0x64004fff,0x7400ffff,0x2001efff,0x00ffffd8,
    0xb007fff7,0x3a01ffff,0x2001efff,0x00ffffd8,0x013fffe2,0x01ffff90,
    0x01ffffec,0x0ffffa60,0x0001fffb,0x401fffee,0x3605fff8,0x70000fff,
    0x0000ffff,0xfa8ffff1,0x400004ff,0x0006fffb,0x001bfff6,0x20000000,
    0x6c3ffffa,0x20000fff,0xfc82fffb,0x32000fff,0xffd05fff,0x8007ffff,
    0xfb82fffa,0x360006ff,0x7dc06fff,0x360006ff,0x3e206fff,0x3ffe25ff,
    0x013fffa5,0x027ffec0,0x000dfff7,0xd837ffec,0xf9800fff,0xffb80fff,
    0x3f60006f,0x3ffa06ff,0xffb0004f,0x3ffea09f,0xff10000f,0x0fffd8df,
    0x3fff6000,0x5fff8801,0x003fff60,0x01fffd80,0x1fffe400,0x0013ffea,
    0x1ffff880,0x3ffe2000,0x0000003f,0x3ffe6000,0x0fffd84f,0x3ffee000,
    0x0bfffd02,0x03fffe60,0x7ffffff4,0x3fea000f,0x7fffc42f,0x3fe20001,
    0xfff103ff,0x7c40003f,0xff103fff,0xafffc4bf,0x0006fffa,0x203fffe2,
    0x001ffff8,0x0ffffe20,0xd800fffe,0x7fc40fff,0x220001ff,0xfa83ffff,
    0x220006ff,0x7c40ffff,0x40003fff,0x3f62fffb,0x2e0000ff,0xf8803fff,
    0x3ff605ff,0x3ee0000f,0x220003ff,0x7d40ffff,0x200004ff,0x0004fffc,
    0x446fffa8,0x53000aaa,0xf1000055,0x3f60bfff,0x2e0000ff,0xff302fff,
    0xffd005ff,0x77ff405f,0x2005fffd,0x7e42fffa,0xa80004ff,0xff906fff,
    0xf500009f,0x3fe20dff,0x57ffe25f,0x0003fffd,0x640f7fec,0x80004fff,
    0x7c46fffa,0x3f2002ff,0x7ffe40ff,0xffa80004,0x3fffd86f,0x77fec000,
    0x02fffd41,0x2fffc400,0x0001fffb,0x402fffcc,0x3605fff8,0x20000fff,
    0x0005fff9,0x2a13fff2,0x00004fff,0x001ffff1,0x83fffa00,0x9001fffa,
    0xd0000fff,0x3601dfff,0x20000fff,0x3202fffb,0x3200ffff,0x7f404fff,
    0x3ffff8ef,0x45fff500,0x000ffff8,0x81fffd00,0x000ffff8,0x01fffd00,
    0x7c4bfff1,0x7fff8dff,0x00a88000,0x001ffff1,0x83fffa00,0x2001fffa,
    0x3e20fffa,0x00000fff,0x7c41fffd,0x880007ff,0x3fffb00a,0x02ee0000,
    0x0001fffb,0x4027ffdc,0x3605fff8,0x20000fff,0x0004fffb,0x501ffff1,
    0x00009fff,0x0017ffe6,0x23fffc80,0x9001fffa,0xc8000fff,0x3601ffff,
    0x20000fff,0x7402fffb,0xff305fff,0xffe801df,0x01ffff56,0x4c5fff50,
    0x00005fff,0xf30ffff2,0x40000bff,0xf883fffc,0x3ffe25ff,0x006fffad,
    0xfff98000,0x3f200005,0x3ffee3ff,0x3ffe6000,0x017ffe60,0x3fffc800,
    0x001bffea,0xffff1000,0xd8000001,0x20000fff,0x8803fffd,0x3f605fff,
    0x360000ff,0x90003fff,0x3ea09fff,0x500004ff,0x00009fff,0xf52fffcc,
    0x3f2003ff,0x3ee0007f,0x7ec02fff,0x2e0000ff,0x7cc02fff,0xffe82fff,
    0x6ffe801f,0x2017fff6,0x3ea2fffa,0x200004ff,0x7d45fff9,0x200004ff,
    0xf885fff9,0x3ffe25ff,0x004fffcd,0xfffa8000,0x3e600004,0x3fff25ff,
    0x3ffe6000,0x013ffea0,0x5fff9800,0x0013fff2,0xdfff5000,0xfb000000,
    0x2a0001ff,0x8801ffff,0x3f605fff,0xf50000ff,0x10003fff,0x2a01ffff,
    0x00004fff,0x0007fff7,0x537ffc40,0x32003fff,0xf30007ff,0xfb009fff,
    0x5c0001ff,0xfc802fff,0x7ffdc6ff,0x4dffd004,0x403ffff8,0x3ee2fffa,
    0x200003ff,0x7dc6fff8,0x200003ff,0xf886fff8,0x3ffe25ff,0x003fffcd,
    0xfffb8000,0x3e200003,0x3ffee6ff,0x3ffea001,0x00fffee0,0x6fff8800,
    0x000ffff2,0xbfff7000,0xfb000000,0xf90001ff,0x22009fff,0x3f605fff,
    0xfc8000ff,0x70004fff,0x7d409fff,0x900004ff,0x00003fff,0x3ea7fff8,
    0xff9001ff,0xfff1000f,0x3ff600bf,0x3ee0000f,0xffd002ff,0x1bffe27f,
    0x546ffe80,0x2a00ffff,0x3ff22fff,0x7c00001f,0x7ffe47ff,0x7fc00001,
    0x5fff887f,0x3f77ffe2,0x000002ff,0x001fffc8,0x53fffc00,0x5c005fff,
    0x3ff20fff,0x7c00001f,0x3fff67ff,0x64000002,0x00003fff,0xabfffd80,
    0xcbaaaaaa,0xefffffed,0xbfff1000,0x55fffec0,0xcbaaaaaa,0xefffffed,
    0xffff0000,0x7fffd401,0xffffffff,0x742fffff,0x00000fff,0xfa87fffc,
    0xff9001ff,0xfffd000f,0x3ff6001d,0x3ee0000f,0xff3002ff,0x3fffb1ff,
    0x437ff400,0x2a05fffd,0x3ffa2fff,0x7c00000f,0x3ffa0fff,0x7c00000f,
    0x7fc40fff,0x37ffe25f,0x0000fffe,0x0fffe800,0x7ffc0000,0x07fff30f,
    0xd07ffe40,0x00001fff,0xfd0ffff8,0x000001ff,0x002fffd8,0xfffd8000,
    0xffffffff,0xffffffff,0x3fe2000d,0x3fff605f,0xffffffff,0xffffffff,
    0xff70000d,0xfffa809f,0xffffffff,0x42ffffff,0x00007fff,0xf50fffe8,
    0x3f2003ff,0x7fe4007f,0x3f6001ff,0x2e0000ff,0x32002fff,0x3fffefff,
    0x437ff400,0x503ffff8,0x7ffc5fff,0xfe800007,0x1fffe0ff,0x3ffa0000,
    0x2fffc40f,0xffdbfff1,0x0000001f,0x0000ffff,0x7c1fffd0,0xff1006ff,
    0x3fffc1ff,0x7ff40000,0x01fffd0f,0xffd80000,0x3ffe001f,0xffffffff,
    0xfffffb3f,0xffffffff,0x005dffff,0x40bfff10,0xfffffffd,0xffffffff,
    0x40002eff,0x5400ffff,0xffffffff,0xffffffff,0x07fff42f,0x3ffe0000,
    0x007ffea7,0x7003ffe4,0x8005ffff,0x0000fffd,0x000bffee,0x0dfffffd,
    0x20dffd00,0xa80ffffa,0x3ffa2fff,0x7c00000f,0x7fff47ff,0x7fc00000,
    0x5fff887f,0x3fb7ffe2,0x000000ff,0x000fffe8,0x23fffc00,0xc802fffb,
    0x3fa0ffff,0x400000ff,0x3ffa7fff,0x4000000f,0x2002fffd,0xffffffff,
    0xffb3ffff,0xffffffff,0x015dffff,0x2fffc400,0xffffffb0,0xffffffff,
    0x7000015d,0xf500bfff,0x99999dff,0x99999999,0x01fffe83,0x3ffe2000,
    0x007ffea7,0x9803ffe4,0x8004ffff,0x0000fffd,0x000bffee,0x01fffff3,
    0x40dffd00,0xfa86fffd,0x3fffa2ff,0x3e200001,0x7fff47ff,0x3e200001,
    0xfff887ff,0x377ffe25,0x00001fff,0x01fffe80,0x3ffe2000,0x02fffe87,
    0x83ffffee,0x0001fffe,0xd9fffe20,0x00001fff,0x017ffe40,0xfffffff0,
    0x367fffff,0x3aa00fff,0x0000dfff,0xd817ffe2,0x3aa00fff,0x0000dfff,
    0x801fffe8,0x0004fffa,0x005fffb0,0x37ffcc00,0x2003fff5,0xf8807ffc,
    0xb0005fff,0x40001fff,0x8002fffc,0x0003fffc,0x7c40dffd,0x7fd43fff,
    0x0bfff62f,0xfff98000,0x017ffec6,0xdfff3000,0x44bfff10,0xfffcdfff,
    0xd8000002,0x00002fff,0x2a1bffe6,0x889cffff,0xffffffda,0x00bfff60,
    0x6fff9800,0x000bfff2,0x7fff7000,0x55555400,0x3fffcaaa,0xb001fffb,
    0x0003ffff,0xd817ffe2,0xfd800fff,0x20001fff,0xfffffffa,0xffffffff,
    0x700004ff,0x00009fff,0xf52fffd4,0x3f2003ff,0xfffe807f,0xff90000e,
    0x7e40003f,0xfb8001ff,0xfd0002ff,0xfffa80df,0x8bffea0f,0x0004fffb,
    0x717ffea0,0x00009fff,0x442fffd4,0x3fe25fff,0x04fffbdf,0x7dc03000,
    0x200004ff,0xf705fffa,0xffffffff,0x41fffbdf,0x0004fffb,0xb97ffea0,
    0x00004fff,0x17ffea03,0xfffa8000,0x001fffb3,0x003ffff6,0x817ffe20,
    0xb000fffd,0x0001ffff,0x3ffffffa,0xffffffff,0x00004fff,0x000bfff3,
    0x517ffe40,0x36003fff,0x7fe407ff,0x320001ff,0x20001fff,0x8001fffd,
    0x0002fffb,0xfb00dffd,0x7ffd4dff,0x017ffe62,0x2fffc800,0x002fffcc,
    0x05fff900,0x7c4bfff1,0x6fff8dff,0xdff88000,0x02fffcc3,0x5fff9000,
    0x7ffffcc0,0xffb8dfff,0x02fffcc7,0x5fff9000,0x0037ffc4,0x21effc40,
    0x0000ffff,0x367fff50,0x3a000fff,0x88006fff,0x3f605fff,0x3fa000ff,
    0xfa8006ff,0xffffffff,0xffffffff,0x3a00004f,0x80002fff,0x7d47fff9,
    0xffb001ff,0x7fffd40f,0x7fdc0002,0x3fa0003f,0xfb8000ff,0xfd0002ff,
    0xfff100df,0x0bffea7f,0x0005fffd,0x20ffff30,0x0002fffe,0x107fff98,
    0x7fc4bfff,0x01fffd5f,0x5fffb800,0x002fffe8,0x07fff980,0xcefdca88,
    0x3a1fff22,0x80002fff,0xfe87fff9,0x5c0000ff,0x7fe45fff,0xf500003f,
    0x3fff67ff,0x3ffe6000,0x7fc4005f,0x3fff605f,0x3ffe6000,0x7ff4005f,
    0xaaaaaabf,0xfffcaaaa,0x3ee00004,0xd80006ff,0x7fd44fff,0xfffd001f,
    0x0ffffe60,0x3ffe6000,0xfff10005,0x3fee000f,0xffd0002f,0x3ffea00d,
    0x42fffa8f,0x0006fffb,0x704fffd8,0x0000dfff,0x2209fffb,0x3fe25fff,
    0x09fff75f,0x2fffe800,0x006fffb8,0x04fffd80,0x1fff2000,0x001bffee,
    0x213fff60,0x0004fffb,0x2617fff4,0x0000ffff,0xfb3fffa8,0xfc8001ff,
    0x22002fff,0x3f605fff,0x7e4000ff,0xf5002fff,0xfa800bff,0x200004ff,
    0x003fffe8,0x07fffea0,0x1005fff3,0xfd10ffff,0x40000bff,0x8000ffff,
    0x0005fffc,0x0005fff7,0xd801bffa,0xfffaefff,0x1ffff442,0xffff5000,
    0x3fffa203,0x3fea0003,0xfff101ff,0x8afffc4b,0x0001ffff,0x220ffff5,
    0x0003fffe,0x207fffea,0xdffb0000,0x07fffd10,0x7fffd400,0x1ffff881,
    0xffff5000,0x017fffa0,0x4fffea00,0x8000fffd,0x000ffffe,0x6c0bfff1,
    0xe8000fff,0xd800ffff,0x54002fff,0x00004fff,0x01ffffd4,0x1ffffd40,
    0x4027ffcc,0xfd87fffb,0x00000eff,0x003bfff6,0x02ffff88,0x05fff700,
    0x01bffa00,0xfeffff88,0xfffa82ff,0xffa8003f,0x7fd403ff,0xfa8003ff,
    0x3e203fff,0xff7005ff,0xf98003df,0x3ea03fff,0xa8003fff,0xfd03ffff,
    0x3fe6009d,0xffff504f,0xfff50007,0x7ffdc07f,0x7fcc001e,0xfff103ff,
    0x2a0001bf,0xffb3ffff,0xff30001f,0x3e200bff,0x3ff605ff,0xff98000f,
    0x7fcc05ff,0xffa8006f,0xc800004f,0x000dffff,0x20dffff9,0x201ffff8,
    0x647ffffa,0x0000ffff,0x37fffcc0,0x6fffe980,0x3ffee000,0xdffd0002,
    0xffffa800,0xff902fff,0x32001bff,0x9006ffff,0x001bffff,0x01bffff2,
    0x888bfff1,0x7ffff408,0xffff5002,0xffff900d,0x3ff2001b,0x3ff206ff,
    0xfffe801f,0x3ffff202,0xfff9000d,0xfffd00df,0x3fea005f,0x7fd406ff,
    0x3000afff,0x27fffffd,0x0000fffd,0x005ffff7,0x6c0bfff1,0x70000fff,
    0x6c05ffff,0xa8002fff,0x00004fff,0x7fffffb0,0x7f5cc415,0x3200efff,
    0x5c41efff,0x2a7fffff,0x0001ffff,0xfffff900,0x32a6237b,0x001fffff,
    0x00bffee0,0x0037ff40,0x7fffffec,0x3ffff602,0x2e620abf,0x00effffe,
    0x3fffff60,0x3ae620ab,0x400effff,0x3e65fff8,0x7ffcc6ff,0x4c40aeff,
    0x00effffe,0x7fffffb0,0x7f5cc415,0x2e00efff,0x7e405fff,0xffd806ff,
    0x220abfff,0xeffffeb9,0xffff9800,0x74c40aef,0x800effff,0xeffffffb,
    0xedb988ac,0x23ffffff,0x0000fffd,0x201bfffa,0x3605fff8,0x20000fff,
    0xf306fffe,0x2a000dff,0xaaaadfff,0xaaaaaaaa,0x7fdc02aa,0xffffffff,
    0x0dffffff,0x7ffffcc0,0xaefffedf,0xffff17ff,0x5555555b,0x55555555,
    0xffb10555,0xffffffff,0x05ffffff,0x2fffb800,0x0dffd000,0xfffff100,
    0xfffb805f,0xffffffff,0x00dfffff,0xfffffb80,0xffffffff,0x8800dfff,
    0x3fe65fff,0xfffe886f,0xfffeffff,0x000fffff,0x7fffffdc,0xffffffff,
    0xfe800dff,0xcaaacfff,0x001fffff,0xfffffff7,0xffffffff,0x744001bf,
    0xefffffff,0xffffffff,0x3ffe6000,0xffffffff,0xcfffffff,0x007ffec0,
    0x9ffff300,0x05fff880,0x0003fff6,0x84ffff98,0x0003fffd,0xfffffff5,
    0xffffffff,0xd500ffff,0xffffffff,0x007fffff,0x7fffffd4,0xff98efff,
    0xffffff17,0xffffffff,0xffffffff,0x3fff201f,0xffffffff,0x80001fff,
    0x0002fffb,0x2000dffd,0x02fffffa,0xfffffea8,0xffffffff,0x7f540003,
    0xffffffff,0x2003ffff,0x3e65fff8,0xffb106ff,0xffffffff,0x00019fff,
    0x3fffffaa,0xffffffff,0x3ffe2003,0xffffffff,0x754001ff,0xffffffff,
    0x003fffff,0xfffffb10,0xffffffff,0xfb100019,0xffffffff,0x03bfffff,
    0x0003fff6,0x03ffff90,0xb02fffc4,0x80001fff,0x221ffffc,0x20007fff,
    0xfffffffa,0xffffffff,0x26007fff,0xfffffffd,0xb10002df,0x19dfffff,
    0x7fc5ffe6,0xffffffff,0xffffffff,0x200fffff,0xfffffec9,0x0002dfff,
    0x00bffee0,0x0037ff40,0x05ffffb0,0x7fffecc0,0x002dffff,0x7ffecc00,
    0x02dfffff,0x25fff880,0x4406fff9,0xfffffffc,0x00000cff,0xffffffb3,
    0x20005bff,0xffffffb8,0x0000cfff,0x3fffff66,0x0002dfff,0xfffff910,
    0x0019ffff,0xfffd7100,0x57bdffff,0x00fffd80,0x7fffc400,0x17ffe206,
    0x000fffd8,0x37fffc40,0x0007fff9,0x7fffffd4,0xffffffff,0x0007ffff,
    0x01355533,0x0554c000,0xfffff880,0xffffffff,0xffffffff,0x533000ff,
    0x00013555,0x05fff700,0x01bffa00,0x2ffff880,0x55533000,0x00000013,
    0x01355533,0x2fffc400,0xaa988000,0x0000009a,0x04d554cc,0x99530000,
    0x00000559,0x01355533,0x54c40000,0x000009aa,0x26aaa620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x87ddd500,0x0003eee9,0x09ffff10,0x02aa2000,
    0x00001aa8,0x007fffe4,0x7e400000,0x00000eff,0x07ffff10,0x22000000,
    0x0003fffe,0xfffe8000,0x3ee00005,0xc8800fff,0x3ea01ccc,0x44001fff,
    0x76c0deed,0x320000de,0x64006fff,0x017aa05e,0x9ffff000,0x3fe60000,
    0x200002ff,0x6541ccca,0xfd8001cc,0x4c000eff,0x0002ffff,0x013fffe2,
    0x26035100,0x1bbbaa2a,0xe87fff60,0x00000eff,0x000bfff7,0xf505ff80,
    0xd000005f,0x00007fff,0xffff8800,0x36000001,0x001fffff,0xffd80000,
    0x00001fff,0x3ffff200,0xf980003f,0xb806ffff,0x7f406fff,0xf50002ff,
    0x7ffe49ff,0x3fea0002,0x2e005fff,0x5ff882ff,0x3fee0000,0xd100006f,
    0x001fffff,0x3bffe200,0x00bfff10,0x01ffff10,0x09fffb00,0xffff5000,
    0x3ff20001,0x9ff61cff,0x8807fffb,0xfff96ffe,0x7fc00001,0x400000ef,
    0x3a60bffd,0x1000007f,0x0000fffd,0x2fffc800,0x3f200000,0x00fffdff,
    0x3ee00000,0x00fffdff,0xffa80000,0x001fffcf,0x3bbffa20,0x7ffc04ff,
    0x3ffea00f,0x7fe40004,0x03fff99f,0x37ffe200,0xf1003fff,0xfb5117df,
    0x7c00007f,0x00000fff,0xdffbfffb,0x3e600001,0x1dffb4ff,0x5fff9000,
    0xdfff1000,0x7fdc0000,0xffb8003f,0xfeefffff,0x1fffee6f,0x7efffcc0,
    0x200002ff,0x0001fffb,0xeffff880,0x0002ffff,0x0fffe600,0x7c400000,
    0x000004ff,0x7f4fffea,0x0000006f,0x3fa9fff3,0x4000006f,0xff95fff8,
    0x3f60001f,0x3fff98ff,0x805fff70,0x00006ffe,0xbffddffd,0xeffe8000,
    0x001fffb8,0xfffffff7,0x540000bf,0x00001fff,0xff15fff7,0x5c0000bf,
    0x1fffcfff,0x4fff8800,0x1fff9000,0xffc80000,0xbfff8007,0xffffffeb,
    0x01fffee2,0x3fffffb8,0x7ff40000,0x26000002,0x3ffffffe,0xfa800000,
    0x0000007f,0x0000dff7,0x337ffc40,0x00009fff,0x26fff880,0x0005fff9,
    0x43fffa00,0x8006fff8,0x3f23fffb,0x3ffe81ff,0x007ffcc0,0xffff8800,
    0x360000ef,0x3ff61fff,0xfff5000f,0x00009fff,0x0003ffe8,0x54bfff30,
    0x00003fff,0x0bfffff6,0x02ffe400,0x01fff880,0x7ffd0000,0x227fc400,
    0x541cfec9,0x64006eee,0x00004eee,0x0002774c,0xbccca800,0x20000000,
    0x00002eeb,0x000ded80,0x3bbb2000,0x017775c1,0xddd90000,0x02eeeb83,
    0xeeeb8000,0x01f77542,0x88bddd10,0x7fd45eed,0x01eec805,0x7774c000,
    0x3a60000e,0x777444ee,0x4d54c004,0x74c00000,0x3600004e,0x77640dee,
    0xd100001e,0x40009fff,0x70000ded,0x000007dd,0x2002f6c4,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a200000,0x2aaaa1aa,0xaaaaaaaa,
    0xaaaaaaaa,0x55550aaa,0x55440001,0x5550000a,0x00000035,0x0006aaaa,
    0x55554000,0x50000001,0x20003555,0x8001aaa8,0x8002aaaa,0x5530aaa9,
    0x54c00015,0x155510aa,0x55510000,0x002aaa81,0xaaaaaa80,0xaaaaaaaa,
    0x55440001,0x2aaa601a,0xaaaaaaaa,0xaaaaaaaa,0xaaaa881a,0xaaaaaaaa,
    0xaaaaaaaa,0x2aaaaa61,0xaaaaaaaa,0x1aaaaaaa,0x2aaaa000,0x2aa20001,
    0xaaaa981a,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaa61,0xaaaaaaaa,0x1aaaaaaa,
    0x00d55440,0x7fcbfff1,0xffffffff,0xffffffff,0xfd2fffff,0x54000bff,
    0x88002fff,0x0006ffff,0xffff8800,0x88000006,0x0006ffff,0xffff8800,
    0xfff30006,0xfff8800b,0x7ec000ff,0x3fffb0ff,0x7ffdc000,0x005fff32,
    0x83fff500,0x80006fff,0xfffffffe,0xffffffff,0xff88000c,0x3fff605f,
    0xffffffff,0xffffffff,0xffffb84f,0xffffffff,0xffffffff,0x3fffff64,
    0xffffffff,0x4fffffff,0xffff1000,0x7fc4000d,0xffffd85f,0xffffffff,
    0xffffffff,0x3fffff64,0xffffffff,0x4fffffff,0x02fffc40,0x7fcbfff1,
    0xffffffff,0xffffffff,0xfd2fffff,0x20007fff,0x8002fffa,0x01fffffb,
    0x7fdc0000,0x00001fff,0x7ffffdc0,0x5c000001,0x001fffff,0x800ffff0,
    0x02fffffa,0xfb37ffc0,0x5c0003ff,0xfff32fff,0xff500005,0x06fff83f,
    0xffffe800,0xffffffff,0x00cfffff,0x817ffe20,0xfffffffd,0xffffffff,
    0xb84fffff,0xffffffff,0xffffffff,0x3f64ffff,0xffffffff,0xffffffff,
    0x70004fff,0x003fffff,0x217ffe20,0xfffffffd,0xffffffff,0x364fffff,
    0xffffffff,0xffffffff,0x4404ffff,0x3e205fff,0x3fffe5ff,0xffffffff,
    0xffffffff,0xfffd2fff,0xf50001ff,0xfd0005ff,0x0009ffff,0xffffe800,
    0x4000004f,0x04fffffe,0x7ff40000,0xb0004fff,0x64001fff,0x005fffff,
    0xfd93ffe6,0x2e0001ff,0xfff32fff,0xff500005,0x06fff83f,0xffffe800,
    0xffffffff,0x1fffffff,0x0bfff100,0x7fffffec,0xffffffff,0x84ffffff,
    0xfffffffb,0xffffffff,0x364fffff,0xffffffff,0xffffffff,0x0004ffff,
    0x09fffffd,0x17ffe200,0x3ffffff6,0xffffffff,0x24ffffff,0xfffffffd,
    0xffffffff,0x404fffff,0x2205fff8,0x54005fff,0x74004fff,0x005fffff,
    0x002fffa8,0x7fdfffcc,0x3000000f,0x1fff7fff,0x3e600000,0x00fffbff,
    0xfff30000,0x0001fff7,0x4005fff7,0x07ffdfff,0xd87ffee0,0x20001fff,
    0xff32fffb,0xf500005f,0x6fff83ff,0x7ffe8000,0xffdb9880,0xf8801fff,
    0x3ff605ff,0x0000000f,0xffff7000,0x007ffec3,0xf9800000,0x00fffbff,
    0x85fff880,0x0000fffd,0x007ffec0,0x7fc40000,0x3ffe205f,0x7ffd4005,
    0x7fff4004,0x54003fff,0x64002fff,0x3fff8dff,0xff900000,0x007fff1b,
    0x37ff2000,0x0003fff8,0xf1bff900,0xf10007ff,0x3e6009ff,0x01fff9ff,
    0xfd8fffb0,0x2e0001ff,0xfff32fff,0xff500005,0x06fff83f,0x07ffe800,
    0xfffffa80,0x2fffc400,0x001fffb0,0x50000000,0xfd87ffff,0x000000ff,
    0xf1bff900,0xf10007ff,0xfffb0bff,0xfd800001,0x000000ff,0x205fff88,
    0x4005fff8,0x4004fffa,0xfffffffe,0x3ffea000,0x9fffc002,0x00006ffe,
    0x3fa7fff0,0xf000006f,0x1bffa7ff,0x7ffc0000,0x000dffd3,0x5c01bffa,
    0x07fff6ff,0xfb17ffe0,0x5c0003ff,0xfff32fff,0xff500005,0x06fff83f,
    0x07ffe800,0x7ffff300,0x05fff880,0x0003fff6,0xf3000000,0xffb09fff,
    0x0000001f,0x7f4fffe0,0xff88006f,0x0fffd85f,0x7fec0000,0x8000000f,
    0x2205fff8,0x54005fff,0x74004fff,0x5fffdeff,0x0bffea00,0x70fffa80,
    0x00003fff,0xf70fffa8,0x800003ff,0xff70fffa,0xa800003f,0xfff70fff,
    0xfff90003,0x29ffb001,0xf9806ffc,0x7ffec3ff,0x3fee0001,0x05fff32f,
    0x3fff5000,0x0006fff8,0x0007ffe8,0x803fffea,0x3605fff8,0x00000fff,
    0x3fe20000,0xfffb05ff,0x00000001,0x3ee1fff5,0x7c4001ff,0xfffd85ff,
    0x7ec00000,0x000000ff,0x205fff88,0x4005fff8,0x4004fffa,0xfff8effe,
    0xfff5003f,0x37fec005,0x000bfff1,0x226ffd80,0x00005fff,0xff137fec,
    0xd80000bf,0x3ffe26ff,0xfffa8005,0x51fff802,0xfb801fff,0x7ffec1ff,
    0x3fee0001,0x45fff32f,0x01bcdca8,0x3e0fffd4,0xe80006ff,0x6c0007ff,
    0x3e203fff,0x3ff605ff,0x0000000f,0x3bfffa00,0x01fffb00,0xfb000000,
    0x2fffc4df,0x17ffe200,0x0003fff6,0x01fffb00,0xff100000,0x7ffc40bf,
    0x7ffd4005,0xb7ff4004,0x800ffffa,0x1002fffa,0xffd89fff,0xf100000f,
    0xfffd89ff,0xff100000,0x0fffd89f,0xfff10000,0x00fffd89,0x027ffc40,
    0xff89ffea,0x3ffec02f,0x000fffec,0x265fff70,0xfff92fff,0x203fffff,
    0x7fc1fffa,0xfe80006f,0x7d40007f,0x3fe205ff,0x3fff605f,0x00000000,
    0x03ffff90,0x0007ffec,0x3fe20000,0x07ffec4f,0x0bfff100,0x0001fffb,
    0x00fffd80,0xff880000,0x3ffe205f,0x7ffd4005,0x37ff4004,0x500bfffb,
    0x2e005fff,0x7fd41fff,0xf700003f,0xfffa83ff,0xff700003,0x3fffa83f,
    0xfff70000,0x03fffa83,0x405ffe80,0x7ff45ffc,0x427ffc04,0x0001fffd,
    0x7ccbffee,0xffffdaff,0x81ffffff,0x7fc1fffa,0xfe80006f,0x7c40007f,
    0x3fe207ff,0x3fff605f,0x00000000,0x02ffffb8,0x0007ffec,0x3fee0000,
    0x1fffd41f,0x0bfff100,0x0001fffb,0x00fffd80,0xff880000,0x3ffe205f,
    0x7ffd4005,0x37ff4004,0x807ffff1,0xd002fffa,0x3ffe0dff,0xffd00006,
    0x01bffe0d,0x837ff400,0x00006fff,0x3fe0dffd,0xffc8006f,0x21fff407,
    0x3e607ffc,0xfffd82ff,0x3fee0001,0xfffff32f,0xff755bff,0xffa81fff,
    0x037ffc1f,0x03fff400,0x0ffff400,0x205fff88,0x0000fffd,0x7fcc0000,
    0xffd804ff,0x0000000f,0xff837ff4,0x3fe2006f,0x0fffd85f,0x7fec0000,
    0x8000000f,0x2205fff8,0x54005fff,0x74004fff,0x7ffd46ff,0x3ffea00f,
    0x3fff9802,0x003fff90,0x03fff980,0x0003fff9,0x903fff98,0x80003fff,
    0xf903fff9,0xfa8003ff,0xfff101ff,0x01fff981,0xfb01fff7,0x555557ff,
    0x55555555,0x265fffb5,0x104fffff,0xfa89fffb,0x37ffc1ff,0x3fff4000,
    0x7ffec000,0x0bfff102,0x0007ffec,0xff100000,0x3f600bff,0x000000ff,
    0x40fffe60,0x1001fffc,0xffb0bfff,0xd800001f,0x00000fff,0x05fff880,
    0x0017ffe2,0x8009fff5,0xffd86ffe,0x3ffea05f,0x0fffd802,0x00bfff30,
    0x00fffd80,0x000bfff3,0x300fffd8,0x8000bfff,0xf300fffd,0xf8800bff,
    0xdff703ff,0x6c0fffe0,0xfffb06ff,0xffffffff,0xffffffff,0x3fe65fff,
    0x7fc405ff,0x0fffd46f,0x0001bffe,0x0001fffa,0x440bfff2,0x3f605fff,
    0xffffffff,0xffffffff,0x3a0003ff,0xb000efff,0xffffffff,0xffffffff,
    0x6c007fff,0xff300fff,0x3fe200bf,0xffffd85f,0xffffffff,0x3fffffff,
    0x7fffffec,0xffffffff,0x803fffff,0x2205fff8,0x54005fff,0x74004fff,
    0xfff886ff,0x5fff503f,0x05fff880,0x0007fff4,0x405fff88,0x0000fffe,
    0xe80bfff1,0x10000fff,0xfe80bfff,0x7f4000ff,0x09ffb05f,0x7fc17ff6,
    0xffffb04f,0xffffffff,0xffffffff,0x3ffe65ff,0x8fffb007,0x7fc1fffa,
    0xfe80006f,0xfb80007f,0xfff103ff,0x7fffec0b,0xffffffff,0x3fffffff,
    0xffff9000,0x7ffec003,0xffffffff,0xffffffff,0xbfff1003,0x00fffe80,
    0xd85fff88,0xffffffff,0xffffffff,0x7fec3fff,0xffffffff,0xffffffff,
    0xfff8803f,0x17ffe205,0x09fff500,0x506ffe80,0xf501ffff,0xffb805ff,
    0x7ffdc02f,0xfff70003,0x3fffb805,0x5fff7000,0x03fffb80,0x05fff700,
    0x003fffb8,0xff83ffdc,0x1fff702f,0xb01fff88,0xffffffff,0xffffffff,
    0x25ffffff,0x9005fff9,0xfffa8fff,0x0037ffc1,0x003fff40,0x81fffdc0,
    0x3605fff8,0xffffffff,0xffffffff,0xb8003fff,0x4002ffff,0xfffffffd,
    0xffffffff,0x7003ffff,0xfb805fff,0xff8803ff,0xffffd85f,0xffffffff,
    0x3fffffff,0x7fffffec,0xffffffff,0x803fffff,0x2205fff8,0x54005fff,
    0x74004fff,0x3ff606ff,0x2fffa86f,0x403fff40,0x0006fff8,0xf100fffd,
    0x3a000dff,0xff8807ff,0xffd0006f,0xdfff100f,0x0fff9800,0x9807ffcc,
    0x7fd42fff,0x2bfff607,0x99999999,0xfc999999,0x9fff32ff,0x83ffee00,
    0x7fc1fffa,0xfe80006f,0xfc80007f,0xfff102ff,0x5fffec0b,0xaaaaaaaa,
    0x0aaaaaaa,0x7fffcc00,0xfffd8004,0xaaaaaaab,0xaaaaaaaa,0x0fffd000,
    0x00dfff10,0xfb0bfff1,0x555557ff,0x55555555,0xfffd8155,0xaaaaaaab,
    0xaaaaaaaa,0x5fff8800,0x017ffe20,0x009fff50,0x2206ffe8,0x7d43ffff,
    0x3fe602ff,0x999999df,0x2fffe999,0x6fffcc00,0x99999999,0x002fffe9,
    0x4cefffcc,0xe9999999,0x4c002fff,0x9999dfff,0xffe99999,0x7ffc002f,
    0x202ffe42,0x7fe43fff,0x07fff605,0x2fffb800,0x2007fff3,0x3ea0fffb,
    0x37ffc1ff,0x3fff4000,0x7fff4000,0x0bfff101,0x0007ffec,0xfff10000,
    0x3f6000bf,0x000000ff,0x99dfff98,0xe9999999,0x7c402fff,0xfffd85ff,
    0x7ec00000,0x000000ff,0x205fff88,0x4005fff8,0x4004fffa,0x7d406ffe,
    0x3fea0fff,0x3fff202f,0xffffffff,0x05ffffff,0x7ffffe40,0xffffffff,
    0x4005ffff,0xfffffffc,0xffffffff,0x7e4005ff,0xffffffff,0xffffffff,
    0x27fec005,0xf900fffa,0x03ffe8bf,0x0007fff6,0xf32fffb8,0x3ee005ff,
    0x3ffea0ff,0x0037ffc1,0x003fff40,0x807fffc0,0x3605fff8,0x00000fff,
    0x3bfffa00,0xfffb0000,0x90000001,0xffffffff,0xffffffff,0xfff880bf,
    0x00fffd85,0x7ffec000,0x88000000,0x3e205fff,0x7d4005ff,0x7f4004ff,
    0xfffd806f,0x80bffea6,0xffffffff,0xffffffff,0x3e000fff,0xffffffff,
    0xffffffff,0x3fe000ff,0xffffffff,0xffffffff,0x3ffe000f,0xffffffff,
    0xffffffff,0x9bfee000,0x5401fff8,0x3ffe27ff,0x07fff601,0x2fffb800,
    0x2005fff3,0x3ea0fffb,0x37ffc1ff,0x3fff4000,0x3ffe2000,0x17ffe207,
    0x000fffd8,0xfff90000,0x7ec0003f,0x000000ff,0xfffffff8,0xffffffff,
    0x2200ffff,0xffd85fff,0x6c00000f,0x00000fff,0x05fff880,0x0017ffe2,
    0x8009fff5,0xf8806ffe,0xfff53fff,0x3fffea05,0xffffffff,0x4fffffff,
    0xfffff500,0xffffffff,0x09ffffff,0x3ffffea0,0xffffffff,0x04ffffff,
    0xffffff50,0xffffffff,0x009fffff,0xfa87ffcc,0xfff8807f,0xd80fff50,
    0x20001fff,0xff32fffb,0x3fee005f,0x07ffea0f,0x0000dfff,0x8000fffd,
    0x2206fff9,0x3f605fff,0x000000ff,0x02ffffa8,0x07ffec00,0x3ea00000,
    0xffffffff,0xffffffff,0x3fe204ff,0x0fffd85f,0x7fec0000,0x8000000f,
    0x2205fff8,0x54005fff,0x74004fff,0xff5006ff,0x5fff51ff,0x003fff60,
    0x00ffff30,0x0003fff6,0x200ffff3,0x4000fffd,0xb007fff9,0x98001fff,
    0x7c007fff,0x09ffb2ff,0x7e4bffa0,0x7ffec04f,0x3fee0001,0x05fff32f,
    0xa83ffee0,0x7ffc1fff,0xffe80006,0x7fec0007,0x3ffe203f,0x03fff605,
    0xff300000,0xb00007ff,0x00001fff,0x00fffd80,0x03fffcc0,0xfb0bfff1,
    0x800001ff,0x0000fffd,0x5fff8800,0x017ffe20,0x009fff50,0x2006ffe8,
    0xffaefffd,0x6fff882f,0x5fffd000,0x06fff880,0x05fffd00,0x006fff88,
    0x805fffd0,0x0006fff8,0x4005fffd,0x5fff3ffd,0x753ff200,0x7fec02ff,
    0x3ee0001f,0x5fff32ff,0x83ffee00,0x7fc1fffa,0xfe80006f,0x3e60007f,
    0x3e200fff,0x3ff605ff,0x2000000f,0x005fffe8,0x01fffb00,0x7fc40000,
    0xffd0006f,0x3ffe205f,0x00fffd85,0x7ffec000,0x88000000,0x3e205fff,
    0x7d4005ff,0x7f4004ff,0x3fe2006f,0x82fffeff,0x0003fffb,0xb80bfff5,
    0x50003fff,0xfb80bfff,0xf50003ff,0xffb80bff,0xff50003f,0x7fdc00bf,
    0x000fff9d,0x3ffedff3,0x0fffec00,0x5fff7000,0x400bffe6,0x3ea0fffb,
    0x37ffc1ff,0x3fff4000,0x9fffd000,0x05fff880,0x0003fff6,0xefffd800,
    0xffb00000,0x4000001f,0x0003fffb,0x220bfff5,0xffd85fff,0x6c00000f,
    0x00000fff,0x05fff880,0x0017ffe2,0x8009fff5,0x54006ffe,0x2fffffff,
    0x000fffe8,0x01ffff10,0x0007fff4,0x00ffff88,0x0003fffa,0x007fffc4,
    0x0001fffd,0x003fffe2,0x7fdfffc4,0x57ffc006,0xffd806ff,0x3ee0001f,
    0x5fff32ff,0x83ffee00,0x7fc1fffa,0xfe80006f,0xff90007f,0xff8801ff,
    0x3fff605f,0xf9000000,0x00001fff,0x0007ffec,0x1fffd000,0x3ffe2000,
    0x5fff880f,0x000fffd8,0x07ffec00,0x7c400000,0x3fe205ff,0x7fd4005f,
    0x7ff4004f,0xfffd8006,0x7fcc2fff,0x7e40005f,0xfff304ff,0xffc8000b,
    0xbfff304f,0xfffc8000,0x0bfff304,0x4fffc800,0x3fbffa00,0x7fec004f,
    0xfd804ffd,0x2e0001ff,0xfff32fff,0x3ffee005,0xf07ffea0,0xd0000dff,
    0xea800fff,0x8804ffff,0x3f605fff,0x800000ff,0x001ffffa,0x07ffec00,
    0xff980000,0x7e40005f,0xfff884ff,0x00fffd85,0x7ffec000,0x88000000,
    0x3e205fff,0x7d4005ff,0x7f4004ff,0xff88006f,0x7e42ffff,0x4c0002ff,
    0xff907fff,0xf980005f,0xfff907ff,0xff980005,0x5fff907f,0xfff98000,
    0x3fff2007,0x7dc001ff,0xd801ffff,0x20001fff,0xff32fffb,0x3fee005f,
    0x07ffea0f,0x5555ffff,0x55555555,0x3fffa155,0xcbaaaaab,0xffffffed,
    0xbfff1004,0x55fffec0,0xaaaaaaaa,0xaaaaaaaa,0x5bffff10,0x55555555,
    0x55555555,0x55fffec5,0xaaaaaaaa,0xaaaaaaaa,0x017ffe40,0x1fffe600,
    0x3617ffe2,0xaaaabfff,0xaaaaaaaa,0xfb0aaaaa,0x555557ff,0x55555555,
    0x44015555,0x3e205fff,0x7d4005ff,0x7f4004ff,0xff50006f,0xfff85fff,
    0xffd00007,0x0ffff05f,0x3fffa000,0x007fff82,0x05fffd00,0x0000ffff,
    0x400bfffa,0x007ffffa,0x07ffff98,0x003fffb0,0x997ffdc0,0xf7002fff,
    0x7ffd41ff,0x7fffffc1,0xffffffff,0xffd3ffff,0xffffffff,0xffffffff,
    0x7ffc4009,0x3ffff605,0xffffffff,0xffffffff,0xfffff11f,0xffffffff,
    0xffffffff,0x3fff61ff,0xffffffff,0xffffffff,0x3fffc1ff,0xfffe8000,
    0x42fffc42,0xfffffffd,0xffffffff,0xb1ffffff,0xffffffff,0xffffffff,
    0x403fffff,0x2205fff8,0x54005fff,0x74004fff,0x360006ff,0x3ea2ffff,
    0x700004ff,0xffa8bfff,0xf700004f,0xfffa8bff,0xff700004,0x4fffa8bf,
    0xfff70000,0x3ffe200b,0xffd0005f,0x3ff600bf,0x3ee0001f,0x5fff32ff,
    0x83ffee00,0x7fc1fffa,0xffffffff,0xffffffff,0xffffffd3,0xffffffff,
    0x88003bff,0x3f605fff,0xffffffff,0xffffffff,0xff11ffff,0xffffffff,
    0xffffffff,0x361fffff,0xffffffff,0xffffffff,0x2a1fffff,0x00004fff,
    0xf88bfff7,0xfffd85ff,0xffffffff,0xffffffff,0xffffb1ff,0xffffffff,
    0xffffffff,0x7ffc403f,0x17ffe205,0x09fff500,0x006ffe80,0x8bfffe20,
    0x0001fffd,0x43ffff10,0x0001fffd,0x43ffff10,0x0001fffd,0x43ffff10,
    0x0001fffd,0x03ffff10,0x00ffffa0,0x01fffe40,0x001fffd8,0x4cbffee0,
    0xf7002fff,0x7ffd41ff,0x7fffffc1,0xffffffff,0xffd3ffff,0xffffffff,
    0x00179bdf,0x817ffe20,0xfffffffd,0xffffffff,0x11ffffff,0xffffffff,
    0xffffffff,0x1fffffff,0x3ffffff6,0xffffffff,0x1fffffff,0x0007fff6,
    0x0ffffc40,0xfb0bfff1,0xffffffff,0xffffffff,0x3f63ffff,0xffffffff,
    0xffffffff,0x2201ffff,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x75c1eeec,0x200001ee,0x002ffff8,0x99970000,0x01330005,
    0x2aaa84c4,0x80055544,0x554c1aaa,0x4c00000a,0x0000eeee,0x027775c0,
    0xbdec8800,0x0003fe40,0xaa815551,0xb800002a,0x7fcc1ced,0x55510002,
    0x002aaa81,0xddddddb0,0x007ddddd,0x00edc400,0x55555300,0x05555555,
    0x7fffffe4,0x006fffff,0x3bbbbb20,0x04eeeeee,0x76e54000,0x001cceff,
    0x20000000,0x80144002,0x8802aaa8,0xff30efff,0xe800009f,0x001fffff,
    0xfffe8000,0x06fe8004,0x37ff53fe,0x400bffea,0x7fdc5fff,0x4c00001f,
    0x0001ffff,0x037ffe40,0x7fffcc00,0x6ffaadff,0x3ffea000,0x0037ff42,
    0x3ffffa00,0x1ffd9bdf,0x5fff7000,0x0006fff8,0xffffffff,0x0009ffff,
    0x1bfbfea0,0x7fffe400,0x7fffffff,0x3fffff20,0x06ffffff,0x3ffff600,
    0x5fffffff,0xfeb88000,0xffffffff,0x400002df,0xcdefecc9,0x017ee01b,
    0x00ffff62,0x200ffff1,0xffd4fff9,0xfc80000d,0x00effdff,0x7ff40000,
    0xffc8004f,0xfd2ffb82,0x2fffa8df,0xb8bfff00,0x00001fff,0x00ffffcc,
    0x3fff2000,0xffe80006,0xffffffff,0x3ea0003f,0x37ff42ff,0xfff70000,
    0xfffffffd,0x7fdc000d,0x037ffc2f,0xffffff80,0x04ffffff,0x261bb000,
    0xffc8002f,0xffffffff,0x3fff207f,0xffffffff,0x3ff60006,0xffffffff,
    0x7cc0005f,0xffffffff,0x0effffff,0x7ff5c000,0xffffffff,0x0fffd41e,
    0x3ee2bb20,0x1fffe201,0xfdfffb80,0x200000ff,0xfe8bfffa,0x4000005f,
    0x8004fffe,0xeccefff8,0x1bffa6ff,0x2005fff5,0x7fdc5fff,0x4c00001f,
    0x0001ffff,0x037ffe40,0x457fe200,0x05ffffda,0x17ffd400,0x0001bffa,
    0xf930ffe8,0x0003dfff,0x3e17ffdc,0x330006ff,0x33333333,0x10000133,
    0x8005d85f,0xccccccca,0x0004cccc,0x33100000,0x33333333,0x7dc00013,
    0xbcefffff,0xfffffdca,0xfe88001e,0xffffffff,0x98dfffff,0x7c401fff,
    0xff1026c3,0xffd800ff,0x00001fff,0xfa97ffe6,0x000004ff,0x0013fffa,
    0x7fffffd4,0x17bb60ff,0x2003ddd5,0x77544eee,0x4c00001e,0x0000eeee,
    0x027775c0,0x20bba600,0x80000bb8,0x76c2eee9,0x3600005e,0x0039504e,
    0x83ddd500,0x00004eed,0x22000000,0x0002743f,0x00000000,0x00000000,
    0x7ffffdc0,0x7ffe4402,0x3ea001ff,0xbcefffff,0xfffffdca,0x8802ffff,
    0xd102ec2f,0xd8800bdd,0x00002eee,0x3207776c,0x00001eee,0xc8800000,
    0x0003effe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80005553,0x8000aaa9,0x003f71ec,0x03555100,0x2aaaaaa6,
    0xaaaaaaaa,0x01aaaaaa,0x06aaaa00,0x3ffe6000,0x3a6000df,0xf5006fff,
    0x9007ffff,0x07ffffff,0x05f12ec0,0x00000000,0x00000000,0x3b72a200,
    0x000abdef,0x2aa20000,0x5555301a,0x2aa60000,0xaaaa882a,0xaaaaaaaa,
    0xaaaaaaaa,0x2aaaaa61,0xaaaaaaaa,0x1aaaaaaa,0x0002aaaa,0x000aaa88,
    0x00355550,0x2aaa0000,0x5530001a,0x55555555,0x55555555,0x7ffec355,
    0x3fee0000,0xff98002f,0x100005ff,0x3f60bfff,0xffffffff,0xffffffff,
    0x10004fff,0x000dffff,0x009fffd0,0x13fffa20,0x3dffff10,0x7fff4c00,
    0x3fea000f,0x980006fd,0xaaaaaaaa,0xaaaaaaaa,0x2a61aaaa,0x300002aa,
    0x26005555,0xfffffffc,0x002fffff,0x400d5544,0xf305fff8,0x80007fff,
    0xb83ffff8,0xffffffff,0xffffffff,0x3f64ffff,0xffffffff,0xffffffff,
    0x3ffa4fff,0x3ea0005f,0xf88002ff,0x00006fff,0x6ffff880,0xffffb000,
    0xffffffff,0xffffffff,0x007ffec9,0x05fff700,0xdffff100,0x3fe20000,
    0xffffb05f,0xffffffff,0xffffffff,0x3fee0009,0x20001fff,0x000ffffb,
    0x07fffe60,0x005fffd8,0x0bffffb0,0x002db880,0xfffffb00,0xffffffff,
    0x9fffffff,0x01ffffcc,0x3fffe200,0xffffc803,0xffffffff,0x22004fff,
    0xf8805fff,0x3ff205ff,0x360000ff,0xff705fff,0xffffffff,0xffffffff,
    0x7ffec9ff,0xffffffff,0xffffffff,0x3ffffa4f,0xfff50003,0xfff70005,
    0x000003ff,0x1fffffb8,0xffffd800,0xffffffff,0xffffffff,0x003fff64,
    0x02fffb80,0xfffffb80,0xff880001,0xffffb05f,0xffffffff,0xffffffff,
    0x3ffa0009,0x20004fff,0x0002fffe,0x504fffc8,0x0001ffff,0x3ffffff9,
    0xfa800000,0xffffd80f,0xffffffff,0xffffffff,0x07fffe44,0xbfffb000,
    0xffffe880,0xecbbceff,0x01efffff,0x805fff88,0x7405fff8,0x50005fff,
    0x2e01ffff,0xffffffff,0xffffffff,0x3f64ffff,0xffffffff,0xffffffff,
    0x3ffa4fff,0xa8000fff,0xe8002fff,0x004fffff,0x7fff4000,0xfd8004ff,
    0xffffffff,0xffffffff,0x3ff64fff,0x3ee0000f,0xfe8002ff,0x0004ffff,
    0xb05fff88,0x00001fff,0x3ffe6000,0x8000fffb,0x0006fff9,0x20ffff10,
    0x8004fffd,0xfffbeffc,0x00555445,0x3ea2aa98,0xffffd80f,0xffffffff,
    0xffffffff,0x05fffe84,0x1ffff500,0x7ffffc40,0xfffb801d,0x7fc400ff,
    0xfff8805f,0x7fffcc05,0x7ffc4003,0x2000002f,0x361ffffb,0x00000fff,
    0x2ffffff4,0x17ffd400,0x2fffe600,0x00000fff,0xff7fff30,0xffd8001f,
    0x6c00000f,0x20000fff,0x4002fffb,0xfffbfff9,0x7fc40000,0x1fffb05f,
    0x20000000,0xfff8dffc,0xfffc8003,0x3fa00003,0x7ffc41ff,0x7fdc000f,
    0x1ffff88e,0x4007ffea,0x3fee7ffc,0x00fffd81,0xfff30000,0xff88007f,
    0x7fec02ff,0x74c003ff,0x7c403fff,0xff8805ff,0xfffc805f,0x3ff2000f,
    0x2000005f,0x6c3ffffa,0x00000fff,0x7ffffff4,0x7ffd4003,0x6ffe4002,
    0x0003fff8,0xf1bff900,0xfd8007ff,0x400000ff,0x0000fffd,0x000bffee,
    0xfff1bff9,0xff880007,0x1fffb05f,0x20000000,0xdffd3fff,0x3fffd000,
    0x7fdc0000,0x27ffdc4f,0x87ffea00,0x3ea2fffd,0xff9001ff,0x6c0ffdcf,
    0x00000fff,0x03ffff20,0x05fffc80,0x007fffd4,0x06fff880,0x402fffc4,
    0xd005fff8,0x2600bfff,0x0000ffff,0x9ffff300,0x001fffb0,0xffffe800,
    0x2a000fff,0x7c002fff,0x0dffd3ff,0x3ffe0000,0x800dffd3,0x0000fffd,
    0x007ffec0,0x05fff700,0xfd3fff80,0xf88000df,0xfffb05ff,0x00000001,
    0x3ee1fff5,0x7fc001ff,0x200000ff,0x7ec4fffa,0x3e6003ff,0x7ffd41ff,
    0x007ffea4,0xff93ffe4,0x01fffb05,0xffe80000,0xfff3005f,0x7ffc401f,
    0x7dc0003f,0x3fe202ff,0xfff8805f,0xffff3005,0x5fffd005,0x3e200000,
    0xffb05fff,0xe800001f,0x5fffdeff,0x0bffea00,0x70fffa80,0x00003fff,
    0xf70fffa8,0x7ec003ff,0x400000ff,0x0000fffd,0x800bffee,0xff70fffa,
    0x7c40003f,0xfffb05ff,0x00000001,0x7fc4dffb,0x7ffc005f,0x7cc00007,
    0x7ffec5ff,0x5fff1002,0x54bfff30,0xf9001fff,0x417fe4ff,0x0000fffd,
    0x7fffcc00,0x2fffe802,0x02fffd40,0x2fffc400,0x00bfff10,0x400bfff1,
    0x200ffffc,0x0004fffc,0x3bfffa00,0x01fffb00,0xeffe8000,0x003ffff8,
    0x4005fff5,0x3fe26ffd,0x6c00005f,0x3ffe26ff,0x3fff6005,0x7ec00000,
    0x2e0000ff,0x36002fff,0x3ffe26ff,0x3fe20005,0x1fffb05f,0x88000000,
    0x7fec4fff,0xfff1000f,0xf880000d,0x7fff46ff,0x3ffe8800,0x54dfff10,
    0xf9001fff,0x41ffecff,0x0000fffd,0xffffc800,0x13fff200,0x007fff60,
    0x2005dc00,0x8805fff8,0x74005fff,0xff305fff,0x000001df,0x807ffff2,
    0x0000fffd,0xfab7ff40,0xfa800fff,0xff1002ff,0x0fffd89f,0xfff10000,
    0x00fffd89,0x001fffb0,0x0fffd800,0x3ffee000,0x9fff1002,0x000fffd8,
    0x20bfff10,0x0000fffd,0x7ffdc000,0x01fffd41,0x006fff98,0x37ffc400,
    0x7401fffe,0x7ffc04ff,0x007ffea7,0xffb3ffe4,0x01fffb07,0x3fa00000,
    0xfff305ff,0xfff8801d,0x0000000f,0x402fffc4,0x4005fff8,0xe82ffff9,
    0x00001fff,0x05ffff70,0x000fffd8,0xb37ff400,0xf500bfff,0x3ee005ff,
    0x7ffd41ff,0xff700003,0x3fffa83f,0x01fffb00,0xfffd8000,0x3fee0000,
    0xfff7002f,0x03fffa83,0x0bfff100,0x0003fff6,0xdffd0000,0x401bffe0,
    0x0007fff8,0x22fffcc0,0xfd807fff,0x7fff805f,0x4007ffea,0x3ffa7ffc,
    0x00fffd84,0xff300000,0xfffd05ff,0xdfff5003,0x10000000,0xf100bfff,
    0xf9000bff,0xfffb8dff,0xf3000004,0xfb009fff,0x800001ff,0x3fe26ffe,
    0x7fd403ff,0xdffd002f,0x001bffe0,0xf837ff40,0xffb006ff,0xd800001f,
    0x20000fff,0xd002fffb,0x3ffe0dff,0xfff10006,0x03fff60b,0xf9800000,
    0xfff903ff,0x3fffe003,0x3ea00000,0x3fffc4ff,0x2017ff20,0x3ea7fff8,
    0xff9001ff,0x6c2fff4f,0x00000fff,0x1bfff200,0x2009fff7,0x0005fffb,
    0xfff88000,0x5fff8805,0x7fffd000,0x001bffe2,0x7fffc400,0x1fffb005,
    0xffe80000,0x07fffd46,0x005fff50,0x3207fff3,0x40001fff,0xf903fff9,
    0xffb003ff,0xd800001f,0x20000fff,0x9802fffb,0xff903fff,0xff10003f,
    0x3fff60bf,0xffffffff,0xffffffff,0x3fff6003,0x0bfff300,0x007fffa0,
    0x2fffc800,0xc807fff4,0xf9800eff,0x3ffea6ff,0x4fff9001,0xffd85fff,
    0x0000000f,0xf89ffff4,0x3f2006ff,0x000003ff,0x05fff880,0x005fff88,
    0xb1ffff30,0x00003fff,0x03bfffa0,0x7ffffec0,0xffffffff,0x43ffffff,
    0xffd86ffe,0x3ffea05f,0x0fffd802,0x00bfff30,0x00fffd80,0xb00bfff3,
    0xffffffff,0xffffffff,0xffd87fff,0x3ee0000f,0xffd802ff,0xbfff300f,
    0xbfff1000,0x3fffff60,0xffffffff,0x03ffffff,0x80bfff10,0xd800fffe,
    0x00002fff,0xfb07fff6,0xdff703ff,0x3ffea001,0x007ffea5,0xfff3ffe4,
    0xfffffb0d,0xffffffff,0x07ffffff,0x8ffff980,0x2001fffd,0x0002fffd,
    0xfff88000,0x5fff8805,0x3fff2000,0x0003fffe,0x3ffff900,0x7fffec00,
    0xffffffff,0x3fffffff,0x7c437ff4,0xff503fff,0xfff8805f,0x07fff405,
    0x5fff8800,0x007fff40,0x3ffffff6,0xffffffff,0x6c3fffff,0x20000fff,
    0x4402fffb,0x7f405fff,0x7c4000ff,0xfffb05ff,0xffffffff,0xffffffff,
    0x3ffee007,0x1fffdc02,0x027ffd40,0x1fffd000,0x542fffc8,0x2e001fff,
    0x3fea4fff,0xfff9001f,0x361bffe2,0xffffffff,0xffffffff,0xc8003fff,
    0x3fffefff,0x0fffec00,0xffffff00,0x07ffffff,0x2017ffe2,0x0005fff8,
    0x37fffff4,0xffb80000,0x7ec002ff,0xffffffff,0xffffffff,0x37ff43ff,
    0x80ffffa8,0x5c02fffa,0x7dc02fff,0xf70003ff,0xffb805ff,0x7ffec03f,
    0xffffffff,0xffffffff,0x007ffec3,0x05fff700,0x402fffb8,0x4003fffb,
    0xfb05fff8,0x555557ff,0x55555555,0x3fa00155,0xfff8807f,0xffff8806,
    0xffa80000,0x6fffa86f,0x0007ffe6,0x7d43fffb,0xffb001ff,0x21fffe2f,
    0xfffffffd,0xffffffff,0x0003ffff,0x0dfffffd,0x05fffb00,0x7fffffc0,
    0x03ffffff,0x100bfff1,0x8000bfff,0x00fffff9,0xfff98000,0xffd8004f,
    0xaaaaaabf,0xaaaaaaaa,0x037ff40a,0xf50dfffb,0xffe805ff,0x6fff8807,
    0x0fffd000,0x80dfff10,0xaaabfffd,0xaaaaaaaa,0x7ec0aaaa,0x2e0000ff,
    0x7f402fff,0xfff8807f,0x7ffc4006,0x01fffb05,0xff300000,0x333333bf,
    0x5fffd333,0x0bfffb00,0xf8817d30,0xfff02fff,0x05fff13f,0x47fff980,
    0xb001fffa,0x3ffe6fff,0xabfffd87,0xaaaaaaaa,0x00aaaaaa,0xfffff300,
    0xfff90001,0x7fffc005,0xffffffff,0x0bfff103,0x00bfff10,0x07fff900,
    0xfff10000,0x3f6000bf,0x400000ff,0x3e206ffe,0x7fd43fff,0x3ffe602f,
    0x9999999d,0x02fffe99,0x4efffcc0,0x99999999,0x3602fffe,0x00000fff,
    0x0007ffec,0x405fff90,0x999dfff9,0xfe999999,0x3e2002ff,0xfffb05ff,
    0x90000001,0xffffffff,0xffffffff,0xfff300bf,0xfffc803f,0x0bfffb0c,
    0x7f6fffdc,0xffe8003f,0x0fffd44f,0xf37ffe80,0xffd81fff,0x0000000f,
    0x00ffff20,0x01fffdc0,0x55555550,0x207fff95,0x8805fff8,0x80005fff,
    0x0002fffb,0x0efffe80,0x1fffb000,0xffe80000,0x7fffd406,0x80bffea0,
    0xfffffffc,0xffffffff,0x7e4005ff,0xffffffff,0xffffffff,0x03fff605,
    0xfff90000,0x7fe40003,0x3fff201f,0xffffffff,0x05ffffff,0x417ffe20,
    0x0000fffd,0xfffff800,0xffffffff,0x00ffffff,0x01efffb8,0x33bffffa,
    0x2200ffff,0x04ffffff,0x0ffffb80,0x4017ffcc,0xff57fff8,0xfffd81ff,
    0x00000000,0x000bffee,0x002fffd4,0x07fff500,0x2017ffe2,0x0005fff8,
    0x002fffb8,0x7fffe400,0x3ff60001,0x7400000f,0xffd806ff,0x0bffea6f,
    0xfffffff8,0xffffffff,0x2000ffff,0xffffffff,0xffffffff,0xffb00fff,
    0xc800001f,0x20001fff,0x3e01fffd,0xffffffff,0xffffffff,0xff1000ff,
    0x3fff60bf,0x54000000,0xffffffff,0xffffffff,0xfd004fff,0x75409fff,
    0x2fffffff,0x5ffffa80,0xffffa800,0x04fff983,0xf57fffb8,0xffd81fff,
    0x0000000f,0x00bffee0,0x00ffff80,0x7fff5000,0x017ffe20,0x0017ffe2,
    0x00bffee0,0xffffa800,0x7fec0002,0x7400000f,0xff8806ff,0x5fff53ff,
    0x3ffffea0,0xffffffff,0x04ffffff,0xffffff50,0xffffffff,0x209fffff,
    0x0000fffd,0x01fffdc0,0x01fffd00,0x3fffffea,0xffffffff,0x004fffff,
    0x360bfff1,0x00000fff,0x007ffec0,0x01fffe60,0x77ffff44,0x3f6a209b,
    0x2005ffff,0x004fffff,0x0bffffb1,0x807fffe2,0xf57ffffa,0xffd81fff,
    0x0000000f,0x00bffee0,0x03fffc80,0x7fff5000,0x017ffe20,0x0017ffe2,
    0x00bffee0,0x7fffcc00,0xffd80003,0x7400000f,0xff5006ff,0x5fff51ff,
    0x003fff60,0x00ffff30,0x0003fff6,0x360ffff3,0x00000fff,0x002fffcc,
    0x207fff88,0x4000fffd,0x1007fff9,0x3f60bfff,0x000000ff,0x001bffe2,
    0x0017fff4,0xfffffffb,0xfffffffd,0xc8019fff,0xbfffffff,0x3faea209,
    0x3200efff,0x5c41efff,0xf57fffff,0xffd81fff,0x0000000f,0x00bffee0,
    0x0ffff980,0xfffa8000,0x0bfff103,0x00bfff10,0x05fff700,0xfffd1000,
    0x3f60000b,0x400000ff,0x36006ffe,0xfffaefff,0x06fff882,0x05fffd00,
    0x006fff88,0xb05fffd0,0x00001fff,0x001ffff0,0x20bfff90,0x0006fff8,
    0x1005fffd,0x3f60bfff,0x000000ff,0x000fffee,0x002fffd4,0x3fffffee,
    0xefffffff,0x703ffffe,0xffff9dff,0xffffffff,0x3009ffff,0xdbffffff,
    0xfff5dfff,0xb03fffea,0x00001fff,0x7ffdc000,0x7ff40002,0xfa80005f,
    0xfff103ff,0xbfff100b,0xfff70000,0xffb00005,0x200001df,0x0000fffd,
    0x0037ff40,0xffdffff1,0x7fff705f,0x3ffea000,0x1fffdc05,0x5fffa800,
    0x000fffd8,0xefffd800,0x3ffe2000,0x7fff702f,0x3ffea000,0x5fff8805,
    0x001fffb0,0x7fff4000,0xfff10000,0xfd50001f,0xbfffffff,0x7ffffdc3,
    0x4c3bfea1,0xfffffffe,0x02ffffff,0x3ffffea0,0xf98effff,0x1ffff57f,
    0x000fffd8,0x3ee00000,0x440002ff,0x000dffff,0x07ffff50,0x2017ffe2,
    0x0005fff8,0x002fffb8,0x07fffe40,0xfffb0000,0xfe800001,0x7fd4006f,
    0xe82fffff,0x10000fff,0x7401ffff,0x10000fff,0xfd81ffff,0x800000ff,
    0x006ffff9,0x40dfffd3,0x0000fffe,0x801ffff1,0xfb05fff8,0x000001ff,
    0x0017ffe6,0x009fff90,0x4d554c40,0x3fff2201,0x503fff10,0xfffffffd,
    0x220005bf,0xcefffffd,0x262fff30,0xfffd8199,0x00000000,0x000bffee,
    0x3ffffea0,0xffd3000a,0x3e207fff,0xff8805ff,0xfb80005f,0x2a0002ff,
    0x0001ffff,0x007ffec0,0x1bffa000,0x3ffff600,0x7ffcc2ff,0x7fe40005,
    0xbfff304f,0xfffc8000,0x007ffec4,0xfffc8000,0x5311bdff,0x03fffff9,
    0x0017ffe6,0x809fff90,0xfb05fff8,0x555557ff,0x55555555,0xfc815555,
    0x4c0002ff,0x00007fff,0x98bd3000,0xaa98801e,0x2000009a,0x00000aa9,
    0x0003fff6,0xffb80000,0xf700002f,0x59dfffff,0xffdb7311,0x4407ffff,
    0xf8805fff,0xb80005ff,0x10002fff,0x555bffff,0x55555555,0x45555555,
    0xaaabfffd,0xaaaaaaaa,0xd0aaaaaa,0xf1000dff,0xc85fffff,0x40002fff,
    0xf907fff9,0x980005ff,0x7fec7fff,0xaaaaaabf,0xaaaaaaaa,0x7ec40aaa,
    0xffffffff,0x2fffffff,0x00bfff20,0x0ffff300,0xb05fff88,0xffffffff,
    0xffffffff,0xf83fffff,0xd00007ff,0x00005fff,0x00004000,0x00000000,
    0xfffd8000,0xaaaaaaab,0xaaaaaaaa,0xfb8000aa,0x200002ff,0xfffffff9,
    0xffffffff,0x4400cfff,0xf8805fff,0xb80005ff,0x10002fff,0xffffffff,
    0xffffffff,0x1fffffff,0x3ffffff6,0xffffffff,0x1fffffff,0x2000dffd,
    0x42fffffa,0x00007fff,0xff05fffd,0x3a0000ff,0x3ff62fff,0xffffffff,
    0xffffffff,0xff901fff,0xffffffff,0xf803ffff,0xd00007ff,0x7c405fff,
    0xfffb05ff,0xffffffff,0xffffffff,0x7ffd43ff,0xff700004,0x000000bf,
    0x00000000,0x00000000,0xffffffb0,0xffffffff,0x3fffffff,0x5fff7000,
    0xfd880000,0xffffffff,0x01dfffff,0x00bfff10,0x000bfff1,0x005fff70,
    0x3ffffe20,0xffffffff,0xffffffff,0xffffb0ff,0xffffffff,0xffffffff,
    0x01bffa3f,0x2ffffd80,0x0013ffea,0x22fffdc0,0x0004fffa,0x6cbfff70,
    0xffffffff,0xffffffff,0x201fffff,0xfffffec9,0xa802dfff,0x00004fff,
    0x440bfff7,0xffb05fff,0xffffffff,0xffffffff,0x7fec3fff,0xf100001f,
    0x00003fff,0x00000000,0x00000000,0xffffd800,0xffffffff,0xffffffff,
    0xffb8001f,0x1000002f,0xffffffd7,0x80057bdf,0x8805fff8,0x80005fff,
    0x0002fffb,0xfffffff1,0xffffffff,0xffffffff,0x3fffff61,0xffffffff,
    0xffffffff,0x000dffd1,0xb17fffc4,0x00003fff,0xd87fffe2,0x00001fff,
    0x363ffff1,0xffffffff,0xffffffff,0x001fffff,0x13555533,0x0fffec00,
    0xfff88000,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffec0,0xffffffff,0xffffffff,0xfffb8001,0x88000002,0x0009aaa9,
    0x02fffc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x80003ed8,0xb8803ffc,0x8001cefd,0x44003ffa,0x003ceedb,0x00fff880,
    0x1e665c00,0x000a2000,0x0007db10,0x101fff10,0x26001555,0x326002aa,
    0x666442cc,0x81555303,0xdefecba8,0x9990001c,0x16665c59,0x2aa98000,
    0x20015551,0x55511ffc,0x55300003,0x200aa805,0x4c4001aa,0x009bcecb,
    0x2aeea200,0xcc980000,0x2000004c,0xcc800099,0x2aa202cc,0x006f6e62,
    0x66f65d44,0x2a20009a,0x3fa202aa,0x7d40004f,0xfff9806f,0x4003ffff,
    0x7cc007fe,0x1fffffff,0x07ffa000,0xffff1000,0x3f620003,0xe88004ff,
    0xe80004ff,0xfff501ff,0x1fff2003,0x43fffb00,0xf900fffd,0x7ffdc3ff,
    0xefffffff,0x3ffe6002,0x1ffff30f,0x3ff20000,0x005fff57,0xfff89ffa,
    0xffd80005,0x41bfa00f,0x2a003ff9,0xffffffff,0x7ec4001f,0x03efffff,
    0xffffd100,0xffd98009,0x00ffdc2d,0x03fffea0,0xff57ffa8,0x2201dfff,
    0xfffffffd,0xf7002eff,0x3faa0fff,0x220004ff,0x7c400fff,0xfffecfff,
    0x07ff7003,0x5efff440,0x0006ffec,0x00009ff7,0x0007fff9,0x0fdc5764,
    0x9fffd500,0x4ffb8000,0x007ffea0,0x2003ffe4,0xff76fff8,0x7ffe405f,
    0xfffffe89,0xffffffff,0x5fffb003,0x0017ffe4,0x2afff900,0xf8802fff,
    0x17ffe25f,0x3fff6000,0x82fff200,0x8800ffe9,0xfffffffd,0x5004ffff,
    0xffffffff,0xfb0009ff,0x007fffff,0x3fffffe2,0x00fffbcf,0x00ffff40,
    0x3fe7ffea,0xf706ffff,0xffffffff,0x7009ffff,0xfd98ffff,0x0004ffff,
    0x3200bff6,0x3fee0dff,0x07ff800f,0x261ffe40,0x4c000fff,0x880006ff,
    0x20004fff,0x4026c3f8,0x4fffffd9,0x1bfe6000,0x003fff50,0x2001fff2,
    0xfffcfff9,0x57ffe403,0xaacefffe,0xfffffedb,0x27ffc403,0x0009fff1,
    0xf57ffc80,0xff5005ff,0x02fffc47,0x07ffec00,0xfdffff10,0x3a009fff,
    0xa9abffff,0x405ffffc,0xbceffff9,0x005ffffd,0x3eebffee,0xffd801ff,
    0xffffffde,0x7fcc004f,0xfffa803f,0x3ffffffe,0xacffffb8,0xfffeba99,
    0x7ffdc00f,0x7defff47,0xff70004f,0x1fff100b,0xb807ffb0,0x298003ff,
    0x000fff88,0x0007ffa2,0x001bff20,0x05c85f10,0xffbdffe8,0x3ffa0004,
    0x0fffd401,0x007ffc80,0xbfffff70,0xfffff900,0xffa803df,0x3f200fff,
    0x037fdc5f,0xbffe4000,0xd801fc98,0x3ffe21ff,0xffd80005,0x7ff4c00f,
    0x7004ffff,0x2201bfff,0x3e01fffe,0xfd882fff,0xff9804ff,0x03fffa4f,
    0x6dc4dff0,0x4000cfff,0xf5005ffd,0x2639ffff,0x0fffe80b,0x027ffe40,
    0xbd1fffee,0x0013fea3,0x2003bfe2,0xff505ffa,0x006ff809,0x17ff2200,
    0x007ff900,0x01fff100,0x7c4bb000,0xf51de802,0x3f20009f,0xfffa803f,
    0x0fff9001,0x77ffec00,0xffffc800,0x3fe6004f,0x3ffe05ff,0x000fffc0,
    0x23ffe400,0x6ff800fd,0x002fffc4,0x007ffec0,0x01bcdca8,0x00dfff10,
    0x7dc1bffa,0x7fec02ff,0x7fffc407,0x01bffe60,0x00a20355,0x0077fcc0,
    0x04ffffa8,0x005fff50,0xf701bffe,0x7d408fff,0xffe8004f,0x09ff7001,
    0xfb81bfe6,0xe880003f,0x54003fff,0x000005ff,0x3fe60000,0xa81006fd,
    0xfa8004ff,0xfff5005f,0x1fff2003,0x32000000,0x8005ffff,0x001ffff9,
    0xc8000000,0x4037c7ff,0x7fc44ff9,0xfd80005f,0x000000ff,0x001fffc8,
    0xff05fff5,0xfff300ff,0x00000005,0x00000000,0x00ffffa8,0x400dff90,
    0x7dc07ffd,0x7fd407ff,0x27fe4004,0x209ff900,0xff107ff8,0x3e60000d,
    0x22001eff,0x00000fff,0x22001400,0x2a0002db,0x7c4004ff,0xff5000ff,
    0x3ff2003f,0x80000007,0x001ffffc,0x007fffd0,0x90000000,0x13f62fff,
    0xf10bfee0,0xb0000bff,0x00001fff,0x00dffd00,0x7d44fff8,0xffd004ff,
    0x0000000d,0x00000000,0x005fffa8,0x7fe40010,0x3fffd407,0x8013fea0,
    0x5c006ff9,0xdff304ff,0x000bff20,0x7ff65440,0x2ffd800d,0xcb988000,
    0x77d42cde,0x40000000,0x6c004ffa,0x3ea002ff,0xff9001ff,0x9731000f,
    0xc801379d,0x20006fff,0x2a26fffb,0x553000aa,0xcedc9805,0x4dfff20a,
    0x1ffd003f,0x005fff88,0x00fffd80,0x5e765cc4,0x4fff8009,0x22ffec00,
    0x7001fffb,0x51003fff,0x880579d9,0x53000aaa,0xd9510055,0xffa80579,
    0x2000004f,0x407ffea8,0x5407fffa,0xfd1004ff,0xffa8001f,0x10bff305,
    0x00000dff,0x2e01ffe4,0xa80004ff,0xffffffff,0x805ff9bf,0xacdecba8,
    0x3fea0009,0x13fee004,0x03fff500,0x001fff20,0xfffffff5,0x7fe403ff,
    0x7fc0004f,0x3fff50ff,0x41fff200,0xffffffe9,0x0cfff93f,0x886ff880,
    0x80005fff,0x2a00fffd,0xffffffff,0x3ffe201f,0xeeeeeeee,0x7fffeeee,
    0x30037fec,0x32205fff,0xfffffffe,0x3fff502e,0x41fff200,0xfffffec8,
    0xff502eff,0x3100007f,0xffffdb95,0xfff980ff,0x027fd406,0x8003ffd8,
    0xff706ff9,0x005ff909,0x37fcc000,0x000dff30,0xfffffd88,0xffffffff,
    0x3ff6200f,0xefffffff,0x09ff5002,0x001bfe60,0x4007ffea,0xb1007ffc,
    0xffffffff,0x3f209fff,0x6c0003ff,0xfff51fff,0x1fff2003,0x3fffffea,
    0xffccffff,0x3ffa8007,0x005fff88,0x80fffd80,0xffffffd8,0x504fffff,
    0xffffffff,0xffffffff,0x6fff8fff,0x13ffe200,0x3fffffa2,0x83ffffff,
    0x9001fffa,0xffd10fff,0xffffffff,0x5fff507f,0x3fb26000,0xffffffff,
    0x7fcc07ff,0x27fd406f,0x002ffd40,0xfd03ffd0,0x06ff885f,0x41bba200,
    0x3fa06ffc,0x7f40001f,0xba9acfff,0x202fffff,0xfffffffb,0x04ffffff,
    0xd004ffa8,0xf50003ff,0x3f2003ff,0xfffd007f,0xff95357f,0xfff90bff,
    0xffd80005,0x03fff52f,0xf31fff20,0x7537bfff,0x0ffffffd,0x103ff900,
    0x0000bfff,0xfd01fffb,0x95357fff,0xf70bffff,0xffffffff,0xffffffff,
    0x2fffc1ff,0x8bfff100,0xabeffff8,0x2ffffeb9,0x800fffd4,0x7fc47ffc,
    0xeb9abeff,0x7d42ffff,0x6c4001ff,0xffffffff,0x07ffdbef,0x202fffc4,
    0x7c404ffa,0x2a0000ff,0xffd53fff,0x005ff90b,0x20cffe80,0xf904fffa,
    0xfb80007f,0xfd101eff,0x3fee0bff,0xba99acff,0x400ffffe,0xfc804ffa,
    0xff50003f,0x3ff6003f,0xdfffb807,0x3fffd100,0x002fffc8,0xa97ffe40,
    0xf9001fff,0x3fffe8ff,0xfffffd10,0x20fff000,0x0005fff8,0x5c0fffd8,
    0xd100dfff,0xffa83fff,0x999999bf,0x99999999,0x013ffe21,0xfd8dfff0,
    0xff500dff,0x1fffa8ff,0xd8fff900,0xf500dfff,0xfffa8fff,0x3ffa2001,
    0x09bcefff,0xf101fff2,0xffa809ff,0x017ff404,0x7ffff400,0x7c41ffff,
    0xfa80006f,0xffffefff,0x05ffa80e,0x7fffc400,0x3fffe600,0x0fffe82f,
    0x027ffe40,0xf5013fea,0x7d4000bf,0xffd001ff,0x6fff880f,0xc8dffd00,
    0x40001fff,0xff53fffb,0x3ff2003f,0x013ffee7,0x001ffffa,0x3e20bff3,
    0xd80005ff,0x3fe20fff,0xdffd006f,0x003fff98,0x09fff100,0x266fff80,
    0xfd806fff,0x3ffea2ff,0x4fff9001,0xd806fff9,0x3fea2fff,0x3ff6001f,
    0x7ec00aef,0x4fff807f,0x7027fd40,0x400009ff,0x0dfffffc,0x0002ffc8,
    0xffffff50,0xfff101bf,0xffc80001,0x3bfe203f,0x7fd46fff,0xdfff002f,
    0x204ffa80,0x0000fff8,0x4007ffea,0x7e407fff,0xff5001ff,0x0fffe45f,
    0x3ffea000,0x003fff54,0xffc9fff2,0xfffa800f,0x17fdc007,0x005fff88,
    0x20fffd80,0x5001fffc,0xfff85fff,0xff300004,0xffe8007f,0x00bfff26,
    0xfa97ffe6,0xff9001ff,0x017ffe4f,0xf52fffcc,0x7fc003ff,0xfff000ef,
    0x07fff00f,0xf3009988,0x5554c0df,0xbca88009,0x40dff101,0x2a000aa9,
    0x3601accb,0x355002ff,0xd80dffd0,0x0fffd9ff,0xd801bff2,0x4cc407ff,
    0x00bff600,0x3fe60d54,0xfff8802f,0x037ff407,0xfc93ffe0,0x540001ff,
    0xfff53fff,0x9fff2003,0x3a004ffe,0x7ec007ff,0xbfff100f,0xfffb0000,
    0x0037ff41,0xffd13ffe,0x3cdd800d,0x000fffe6,0x7ff4dffd,0x5026a006,
    0x32003fff,0x1bffa7ff,0x7d409a80,0xff3001ff,0x3fe2009f,0x3ffe807f,
    0x1ffe8000,0xfffffea8,0xd80000cf,0xfffb82ff,0x00000dff,0xc802ffdc,
    0x4fff84ff,0x7d4bff20,0x400101ff,0x80007ffc,0xf9005ffb,0x4fff989f,
    0x07fffc80,0x20027ffc,0x3ff25ffd,0x7dc0001f,0x3fff53ff,0xf9fff200,
    0x3f6003ff,0x37fc007f,0x00bfff10,0x41fffb00,0x6c004fff,0x7ffe45ff,
    0x9fff9003,0x001fffc4,0x7fc5bffa,0xfa80004f,0xff9001ff,0x013ffe2f,
    0x07ffea00,0x01fffdc0,0x807fffb8,0x40002ffe,0xff983ffc,0x5fffffff,
    0x37fcc000,0x7fffffe4,0x300001ff,0xf7001dff,0xfff889ff,0x4c9ff503,
    0x20002fff,0x007ffea8,0x0077fc40,0x7c27ffdc,0x3ea01fff,0x3e207fff,
    0xeeeeeeff,0xffeeeeee,0x07fff27f,0x5fff7000,0x4007ffea,0xfff37ffc,
    0x3ffe4005,0x409ff500,0x0005fff8,0xf10fffd8,0xddddddff,0xffdddddd,
    0xffff88ff,0x7fffcc01,0x013ffe21,0x3e6dfff0,0xa80003ff,0xf9001fff,
    0x0fffe6ff,0x3ffea000,0xdfff3001,0xfffff700,0x02ffd801,0x417fea00,
    0xf910cffe,0x6c0003ff,0x7ffd41ff,0x06ffea8c,0x03ffd000,0x89ffff50,
    0xf882fff9,0x1fffc46f,0x76e54c40,0x007fffff,0x400fff40,0xd84ffffa,
    0x5c41efff,0x207fffff,0xfffffffa,0xffffffff,0x3ff27fff,0x7dc0001f,
    0x3fff51ff,0x55fff200,0x2e001fff,0x3f2007ff,0x3ffe201f,0xffd80005,
    0xfffff50f,0xffffffff,0x50ffffff,0x5107ffff,0xff0bfffd,0xfff8009f,
    0x005fff35,0x03fff500,0x7cdfff20,0xa80002ff,0xf1001fff,0x7dc07fff,
    0x400fffff,0x10001ffd,0xff301fff,0x00fffa0d,0x742ffcc0,0x2ffe82ff,
    0x27fe4000,0x7ffffcc0,0x417ffd44,0x7fc40ffe,0xffd9303f,0xffffffff,
    0x7e4000ff,0xfff9804f,0xffe884ff,0xfffedfff,0x2e07ffae,0xffffffff,
    0xffffffff,0xfff90fff,0xffd80003,0x03fff50f,0x7ddfff20,0x3ea000ff,
    0x1ffa007f,0x00bfff10,0x21fffb00,0xfffffffb,0xffffffff,0xfd80ffff,
    0xfdcdefff,0xfd06ffff,0xfff800bf,0x005fff55,0x03fff500,0x7d5fff20,
    0xa80002ff,0x2e001fff,0xbbdfffff,0xffcffffe,0x0ffe401f,0x02ffd800,
    0x1ffd8044,0x83ffb000,0xff507ff9,0x7fcc000b,0xcfff8806,0x7ffcc4ff,
    0x4c17fe42,0x7ec42fff,0xffffffff,0x007ffdbe,0x100dff30,0x09ff9ffd,
    0x3fffffe6,0xff98efff,0x2fffea07,0x99999999,0x21999999,0x0001fffc,
    0xfa87fff4,0xffb001ff,0x007ffeaf,0x1007ffb8,0xff880bff,0xfd80005f,
    0x7fff50ff,0x33333333,0x03333333,0x7fffffdc,0x00efffff,0x4400bffb,
    0xfff34fff,0xff500007,0x3ff6003f,0x007fff37,0x03fff500,0xfffffd80,
    0xf0dfffff,0xffb809ff,0x4ffb8000,0x1bfe6000,0x42ffcc00,0xff305ffa,
    0x3fa2000d,0xbffe800f,0x7fc44ff9,0x413fea3f,0x3a21fffa,0xbcefffff,
    0x01fff209,0x003ffa20,0x3fe6fffa,0x3ffb2604,0xff30ceff,0x1fffcc0f,
    0xfffc8000,0x7ffc0001,0x007ffea7,0xff8bffec,0x3ff2002f,0x07ff5007,
    0xa85fff88,0xffd802dc,0x07fff30f,0x7ec40000,0x2effffff,0x0037fec0,
    0x3e25fff3,0xa80004ff,0xfb001fff,0x13ffe2ff,0x3ffea000,0xffea8001,
    0x6c2effff,0x7fdc07ff,0x77fcc000,0xfff30000,0x3ffa0007,0x105ffb81,
    0x36000fff,0xffd803ff,0xff09ff34,0x81bfe6bf,0x3f60fffb,0x6c00aeff,
    0xfd8007ff,0x4ffd803f,0x22009ff3,0x07fa80aa,0x0004fff8,0x003fff90,
    0x527ffd40,0x3a003fff,0x0fffe7ff,0x007ffd80,0xf8801ffb,0x4fff85ff,
    0x7c7ffe80,0x000004ff,0x013ff710,0x003fff20,0xff07ffe4,0x66d4009f,
    0x007ffea2,0xfff3fff4,0x166d4009,0xaa980000,0x013fa01a,0x3a001326,
    0xf70001ff,0x2a0009ff,0x9ff705ff,0x001ffe20,0x32017fea,0x13fe65ff,
    0x3fa3fff6,0x1fffa00f,0x2001dfff,0x54007fff,0xffc805ff,0x0013fe65,
    0x74037e40,0x6ec006ff,0x07fff23c,0x1fffd800,0x200bffe6,0x3f67fff8,
    0x3ffe006f,0x00dff007,0xfd0bfff1,0xffff00bf,0x4006ffe8,0x64003cdd,
    0x7fc4006f,0xfffd003f,0x2007ffe8,0x3fe67ffd,0xfff8802f,0x801fffa7,
    0xfff07ffd,0x4000005b,0x000002ff,0x4000fff2,0x0003fffd,0x7d407ffa,
    0x0dff105f,0x00fff880,0x3e637fdc,0xefffc84f,0x3fea01ff,0x13ffe65f,
    0x03fffc40,0x801fff10,0x7fcc6ffa,0x9fb00004,0x07fff900,0xc93fff20,
    0x30001fff,0xff98dfff,0xfffb804f,0x00bffee7,0x201fffee,0xf8804ff9,
    0xfffd85ff,0x17ffe600,0x2007fff9,0x4004fffc,0xfd8004fd,0xfff9806f,
    0x01fffdc4,0xf327ffc4,0xff7009ff,0x1fffdcff,0x827ffc40,0x004fffff,
    0x02ff8800,0xdff50000,0xfffd1000,0x7fd40003,0x417fe605,0x74005ff9,
    0xfff802ff,0xeffdcccd,0x3fffe23c,0x3ffa203f,0x0fffee0f,0x03fffdc0,
    0xf005ffb0,0xfb999bff,0x800079df,0xff8806fe,0x7fcc01ff,0x3fff21ff,
    0xfff88001,0x7fffc43f,0x3fffea01,0x03bffe67,0x07ffff88,0x8802ffb8,
    0xffb85fff,0xfffd104f,0x1ffff887,0x0ffffcc0,0x001bfa00,0x880fffe6,
    0xfe80fffe,0x7fe400ef,0x3fffe21f,0x3fffea01,0x0077ff47,0x4407fff2,
    0x000fffb9,0x027fcc00,0x44004ccc,0x4c000fff,0x0000efff,0xf100fff4,
    0x9ff901ff,0x027fdc00,0xfffffff8,0x545fffff,0xa81cffff,0x7cc2ffff,
    0xffb806ff,0xfb800fff,0xffff004f,0xffffffff,0xffe8000b,0xffffa800,
    0xfffea883,0x00fffe45,0xff9317b9,0xff901fff,0xffb883df,0x7fdc7fff,
    0xfff981ef,0xffe807ff,0x5fff8800,0x1dffff88,0x1ffffd51,0x07ffff50,
    0x0bfffd51,0x003ffd00,0x109fffd0,0x2a09fffd,0xf901ffff,0xfff90bff,
    0xfffb883d,0x7ffd47ff,0xbfff901f,0x00fffe00,0x3fff1000,0xdfff3198,
    0x005ffb00,0x004fff98,0x804ffa80,0x3ea0dffc,0xff3000ff,0x6666400d,
    0xceffdccc,0x7ffffc43,0xfffedcef,0xffff885f,0x3fffee03,0x7fcc00ff,
    0x33332006,0xceffdccc,0x7fec0003,0xd85da9be,0xdcdeffff,0xc86fffff,
    0xff101fff,0xdfffffff,0x3fffe601,0xefffedff,0xffd87ffa,0xffecceff,
    0x4407ffdf,0xff1005ff,0x3ffee0bf,0xffffffff,0x3fff603f,0xfffdcdef,
    0xfb0006ff,0x0bb537ff,0xdfffff98,0x05ffffdc,0x677fffec,0x0effffdc,
    0xffffff98,0xfaefffed,0xffffd87f,0xffffdcce,0xf931080e,0x000005ff,
    0xffbdfffd,0x01bffe67,0xf000bff7,0xdddddfff,0x3fa007dd,0xfff8800f,
    0x03fffecf,0x003ffd10,0x413fe600,0xfffffffd,0x0cffffff,0xbfffff70,
    0x9ffffd77,0xfe803fff,0xf300001f,0x2a00009f,0x6fffffff,0xffffff70,
    0x01dfffff,0x3603fff9,0xffffffff,0x7ffd400e,0x8effffff,0xffb07ff9,
    0x5fffffff,0xfa80fff5,0xfff1003f,0x7fffe40b,0x04ffffff,0xffffffb8,
    0x00efffff,0xfffff300,0xfd100dff,0xffffffff,0xfff7001d,0xdfffffff,
    0x7fffd401,0x98efffff,0xfff707ff,0xdfffffff,0x3ffffe01,0x000006ff,
    0xfffffff5,0x81bffe67,0x4000fff8,0xfffffffa,0xa804ffff,0x3e6004ff,
    0x04ffffff,0x000fff20,0xc84ff980,0xfffc8aff,0x800dffff,0xfffffffd,
    0xfff0dfff,0x01ffe409,0x09ff3000,0x7ffdc000,0x36202dff,0xefffffff,
    0x07fff202,0x7ffffecc,0xfb1000ce,0x219dffff,0x3aa07ff9,0x51efffff,
    0xffc80fff,0xbfff1001,0xffffea80,0x22002cef,0xfffffffd,0xfb80002e,
    0x002effff,0xffffff91,0xfd98005d,0x02ffffff,0xfffffb10,0x1ffe619d,
    0xfffffd98,0x7ffc02ff,0x0000cfff,0x3bff6600,0x1bffe61c,0x8001ffe8,
    0xcccccccb,0xe802cccc,0x644000ff,0x2002dffe,0x00005ffa,0x7e416644,
    0x01aaa984,0xffffea80,0x7fec2eff,0x00bff507,0x02cc8800,0x0dd44000,
    0x4d54c400,0x98800000,0x4c0000aa,0x880000aa,0x5c0001aa,0x8000004c,
    0x0000aa98,0x009aa988,0x56544000,0x2aa20001,0xa880001a,0x2600009a,
    0x100000aa,0x26001355,0x00009aaa,0x80000000,0x00000099,0x00000000,
    0x02662000,0x0a000000,0x2a600000,0x440001aa,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa20000,0x5106aa00,0xedba8855,0x332e003c,0x0e665c0c,
    0x8b333200,0x4402cccc,0x06aa00aa,0x06eea600,0x2ea20000,0x01bcefed,
    0x003ddd50,0x2f7f72a2,0xaaaaa881,0xaaaaaaaa,0xcc980aaa,0x02665c1c,
    0x00733320,0x33332600,0x99995000,0x97510000,0x88000135,0x0001abba,
    0xcb839991,0x8800004c,0x99700019,0x88000039,0x4002cccc,0x000cccc9,
    0x4ccca800,0x0aaaa600,0xfe8000c4,0x89ff700f,0x440007fe,0x3ff504ff,
    0x3f27ff98,0x2fffffff,0x25fff980,0x4005fff9,0xf30efffa,0xf8801fff,
    0x03ff704f,0x7ffff540,0x40002dff,0xfffffffa,0x402effff,0x5402fffb,
    0xffffffff,0x3ffee3ff,0xffffffff,0xa81fffff,0x7ff42fff,0x3fff2007,
    0x6c0000ff,0x22004fff,0x0003fffe,0xffffffd3,0xff50009f,0x05dfffff,
    0x43fff980,0x54007ffd,0x7ec1dffe,0xfffb8007,0x200000ff,0x0006fffb,
    0x0009fffb,0x07fffd00,0x25fffc80,0xf0005fc8,0x17fe40ff,0x0000bff2,
    0xfe985ffd,0xf97ff987,0xffffffff,0xfff7003f,0x001bffa5,0xfd87fff6,
    0xffd001ff,0x007ff985,0xffffffd1,0x0007ffff,0x3ffffff2,0xffffffff,
    0x5fff701e,0x7ffffd40,0x3fffffff,0xfffffff7,0xffffffff,0x5fff503f,
    0x5007ffe8,0x0dffdfff,0x37ffcc00,0x37ffcc00,0x7fffe400,0x1effffff,
    0xfffff900,0x01bfffff,0xb0fffe60,0x7d400fff,0xccefffff,0x7cc006ff,
    0x006ffeff,0x03fffe00,0x7fff4400,0x3ea00000,0xf50004ff,0xffff9dff,
    0x5ff98001,0xf303ffa0,0xf980009f,0xffffefff,0xfdfff982,0xfecaacef,
    0xfd800fff,0x00fffcff,0x11fffcc0,0x4c007fff,0xfffeffff,0xfffb002f,
    0xfff9779f,0x7f4c009f,0xabceffff,0xffffffcc,0x02fffb81,0x7dfffff7,
    0x7fffdb73,0xfffffff7,0xffffffff,0x5fff503f,0x8807ffe8,0xfff8dfff,
    0xfffb0004,0x3fea0001,0x3fee002f,0xfecabdff,0x7f400fff,0xecacefff,
    0x9800efff,0x7fec3fff,0x37ffe007,0xfffffffe,0x3ffe2002,0x005ffe8d,
    0x02fffb80,0x27ffcc00,0xdffd0000,0xfff98000,0x70002eff,0x3fe209ff,
    0x000dff07,0xffffff50,0x3ffe607f,0x3ff603ff,0xffe8804f,0xc8001fff,
    0x2ffe45ff,0x7fffd400,0xf7003fff,0xfb101bff,0xff3007ff,0xd7007fff,
    0xa983ffff,0xfffb80fe,0xffb100cf,0x001fffdf,0x02aaa200,0xfd005555,
    0x3ffea1ff,0x7ffc4003,0x7fdc0001,0xffff3006,0x1bfff205,0x02ffffb8,
    0x100bfff7,0xaaa83555,0x49ff3002,0x03effeb9,0xa87ffec0,0x40003fff,
    0x00004ffe,0x0001fff5,0x001fff50,0x7fffed40,0x3f20000f,0x0bff302f,
    0x00003ff6,0x02f372e2,0x04ffff98,0x8037ffc4,0x003ffff9,0x220eff88,
    0x10000fff,0x00179b97,0x003bffe2,0xfd00dffd,0x44001dff,0xe81ffffd,
    0x3ffff887,0xfffff900,0x0000001f,0x5fff9000,0x001fffd8,0x0000fff2,
    0x64017fec,0x7ec02fff,0xfff882ff,0x7ffdc01f,0x80000002,0x03300aa8,
    0x87fff900,0x0002fffd,0x0000bff5,0x0004ffb8,0x0002ffe8,0xffbfffd5,
    0x7f4000bf,0x09ff700f,0x0000ffee,0x7ffcc000,0x7ffd800f,0x00000000,
    0x00000000,0x802fffa8,0x2e00fffa,0x20006fff,0x7c45fffc,0x04fffb85,
    0x7ffffec0,0x00000000,0x00000000,0x80000000,0xf8806ffe,0xfffc84ff,
    0x0dffd003,0x00000000,0x00000000,0x00000000,0x00000000,0x23bfff30,
    0x0003fff9,0x7fec0fff,0x00bff302,0x3e600000,0xff9005ff,0x0000000f,
    0x00000000,0x00fffb00,0x440bffe6,0x0001ffff,0xfb17fff4,0x01fffd05,
    0xfffffa80,0x00000000,0x00000000,0x80000000,0xff004fff,0x0fffd0bf,
    0x007ffd40,0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0674,
    0x7fcc001f,0x803ffa05,0x2a2007fe,0x553000aa,0x013ffe65,0x4007ffdc,
    0x02bceca8,0x9db75100,0x22000137,0x09bcedba,0x003b9880,0x3207fff3,
    0x80005fff,0xfe8efffa,0x04fffa84,0x1ffffd00,0x55544000,0x25553000,
    0x3000aaa8,0x2aaa2555,0x25553000,0x3000aaa8,0x4fff8555,0xf0bffd00,
    0x7c400bff,0xba8802ff,0x0009bced,0x79db7510,0x2a200013,0x009bcedb,
    0x9db75100,0x22000137,0x09bcedba,0xdecba800,0x220001ac,0x0dffd09a,
    0x32aaaaa6,0xaaaaadff,0x0aaafffa,0xa800ffe4,0xf9001fff,0x0fffe6ff,
    0x807ffdc0,0xfffffec8,0x2e002eff,0xffffffff,0x7fdc002f,0x2fffffff,
    0xffb80000,0xffff880f,0xffd00000,0x3f607fff,0xf50002ff,0x40001fff,
    0x9001fffa,0x3ffeafff,0x2fff9001,0x9001fffa,0x3ffeafff,0x8fff9001,
    0xf8806ffd,0x7ffc43ff,0x27ffc004,0x3ffffee0,0x4002ffff,0xfffffffb,
    0x7dc002ff,0xffffffff,0x7ffdc002,0x02ffffff,0x7ffffdc0,0x5002ffff,
    0xfffffffd,0x366001df,0xfcdfffff,0xfffc83ff,0xffffffff,0xffffffff,
    0x1ffd42ff,0x01fffa80,0x3e6fff90,0xff7002ff,0xfffd101f,0xffffffff,
    0xfffe9807,0xffffffff,0x7ff4c00d,0xffffffff,0x100000df,0x3e60dffd,
    0x200005ff,0x200efffc,0x0000fffe,0x001ffff1,0x00fffd40,0xff57ffc8,
    0x3ff2003f,0x003fff57,0x7fd5fff2,0xfff9001f,0x402fffa8,0x7cc0fffc,
    0x7fc003ff,0xfffd306f,0xffffffff,0xffe9801b,0xffffffff,0x7f4c00df,
    0xffffffff,0x74c00dff,0xffffffff,0x4c00dfff,0xfffffffe,0x200dffff,
    0xfffffffb,0x403fffff,0xfffffffb,0xc86fffff,0xffffffff,0xffffffff,
    0x442fffff,0xff5006ff,0x3ff2003f,0x005fff37,0xf103ffee,0x7357dfff,
    0x205ffffd,0xabefffe8,0x6ffffca9,0x3bfffa20,0xfffca9ab,0xd880006f,
    0xff503fff,0x4c00009f,0x7fc05fff,0x7fc0006f,0x2a0000ff,0xf9001fff,
    0x07ffeaff,0xfabffe40,0xff9001ff,0x007ffeaf,0x3e23ffe4,0xff702fff,
    0x9fff10df,0x37ffc400,0x5f7fff44,0xffffca9a,0x3fffa206,0xffca9abe,
    0x3fa206ff,0xca9abeff,0x2206ffff,0x9abefffe,0x06ffffca,0x2fbfffa2,
    0xffffca9a,0x7ffff306,0xfffd9333,0x3fff601f,0xffedbcdf,0x66543fff,
    0xccfffccc,0xdffecccc,0xffe81ccc,0x1fffa800,0x26fff900,0xf7002fff,
    0xfffd81ff,0xffff500d,0x037fff20,0x81ffff4c,0x300dfffc,0x8007fffd,
    0xffffec98,0x0fffee02,0xfff88000,0x1bffe206,0x1ffff000,0x7ffd4000,
    0x2fff9001,0x9001fffa,0x3ffeafff,0x2fff9001,0x9001fffa,0xffb10fff,
    0xffd957bf,0x2fffc09f,0x0ffff300,0x201bfff9,0x903fffe9,0x2601bfff,
    0xf903fffe,0x3a601bff,0xff903fff,0x3fa601bf,0xfff903ff,0x3ffa601b,
    0x0fffd83f,0x213ffee0,0x901efffb,0x300dffff,0x7ff40bff,0x02ffb800,
    0x001fffa8,0x3fe6fff9,0xfff7002f,0x037ffcc1,0x2a17ffec,0xf8805fff,
    0x7fd40fff,0xfff8805f,0x3ffa000f,0x6c01ffff,0x00002fff,0xf103fffc,
    0xe8000bff,0xffffffff,0x1fffffff,0x4007ffea,0xfff57ffc,0x5fff2003,
    0x9001fffa,0x3ffeafff,0x0fff9001,0x7fffffdc,0x7ec02fff,0xff9000ff,
    0x5fffa8ff,0x0ffff880,0x402fffd4,0x540ffff8,0xf8805fff,0x7fd40fff,
    0xfff8805f,0x2fffd40f,0x07fffc40,0x3a013ffe,0x7ffc47ff,0x7ffd400e,
    0x27fdc00f,0x3006ff88,0xff5009ff,0x3ff2003f,0x005fff37,0xfc83ffee,
    0xff9802ff,0x0ffff45f,0x44fffb80,0x7001fffe,0x7c009fff,0x0cffffff,
    0x007fffa0,0x1fffd000,0x017ffe60,0xfffffb00,0xffffffff,0x7ffd43ff,
    0x2fff9001,0x9001fffa,0x3ffeafff,0x2fff9001,0x9001fffa,0x3f260fff,
    0xffffffff,0x3ffee00b,0xffff9805,0x00ffff47,0x744fffb8,0xf7001fff,
    0xfffe89ff,0x9fff7001,0x001fffe8,0xfe89fff7,0xff7001ff,0x04fff89f,
    0x7e41aba8,0xffb002ff,0x2ffc807f,0x400bff50,0xffa807ff,0xfff9001f,
    0x400bffe6,0x3fa0fffb,0x026a006f,0xd0017ffe,0x5fff8dff,0x037ff400,
    0xfffd9df0,0x3ffe05ff,0xfe800007,0xfff500ff,0xffd80009,0xffffffff,
    0x2a1fffff,0xf9001fff,0x07ffeaff,0xfabffe40,0xff9001ff,0x007ffeaf,
    0x7e43ffe4,0xfecdefff,0x3a01ffff,0xd300dfff,0xff8fffff,0x7ff4005f,
    0x002fffc6,0xfff1bffa,0x6ffe800b,0x2002fffc,0x7ffc6ffe,0x37ff4005,
    0x000bfffa,0x2006fff8,0x7405fff9,0x7ff700ff,0x00ffec00,0x4007ffea,
    0xfff37ffc,0x3ffee005,0x009fff10,0x07fff100,0x227ffd80,0x6c003fff,
    0x640007ff,0xfe83ffff,0x400000ff,0x3e607fff,0x740005ff,0xaaaabfff,
    0x0aaaaaaa,0x4007ffea,0xfff57ffc,0x5fff2003,0x9001fffa,0x3ffeafff,
    0x8fff9001,0x702efffc,0x2603ffff,0x9abeffff,0xffdeffca,0x00fffe27,
    0x7c4fffb0,0x7ec003ff,0x0fffe27f,0x44fffb00,0x6c003fff,0x3ffe27ff,
    0x3ffec003,0x2f7fffee,0x3ffe2001,0x3fff4003,0x6c0fff10,0x3ea001ff,
    0x7ffd403f,0x2fff9001,0x7002fff9,0x3fe61fff,0xfa80003f,0x7e4002ff,
    0x5fff50ff,0x0fffc800,0x7ffd4000,0x0ffff40f,0xfff10000,0x37ffc40f,
    0x3fffe000,0x3fea0000,0xfff9001f,0x4007ffea,0xfff57ffc,0x5fff2003,
    0x9001fffa,0x7ffccfff,0x7ffcc00e,0x3fffee07,0x8effffff,0x3fea7ffc,
    0x7fe4002f,0x05fff50f,0x50fffc80,0xc8005fff,0xfff50fff,0xfffc8005,
    0x005fff50,0x220fffc8,0xeffffffe,0x3fe600ac,0x7fec002f,0x817fe607,
    0x22000fff,0x7fd405ff,0xfff9001f,0x400bffe6,0xff30fffb,0xf700005f,
    0xfb8003ff,0x3fff71ff,0x1fffb800,0xfffc8000,0x01fffec4,0xdfff3000,
    0x007fff80,0x007fffc0,0x03fff500,0x7d5fff20,0xff9001ff,0x007ffeaf,
    0xffabffe4,0xfff9001f,0x800fffec,0x2603fffb,0xfffffffe,0x5cdffb0e,
    0x5c001fff,0xfff71fff,0xfffb8003,0x003fff71,0xf71fffb8,0xfb8003ff,
    0x3fff71ff,0x1fffb800,0x7ffffec4,0xa82dffff,0x64002fff,0xff700fff,
    0x01bfe209,0xf501ffa0,0x3f2003ff,0x05fff37f,0x543ffee0,0x80002fff,
    0x4000fffc,0xff92fffa,0xffa8001f,0xf880002f,0x7ffdc5ff,0x3ee00004,
    0x7ffc05ff,0x3fe20007,0x2a0000ff,0xf9001fff,0x07ffeaff,0xfabffe40,
    0xff9001ff,0x007ffeaf,0xfff3ffe4,0x5fff800b,0xbdfecb80,0xf937ff41,
    0xfa8001ff,0x1fff92ff,0x2fffa800,0x8001fff9,0xff92fffa,0xffa8001f,
    0x01fff92f,0x02fffa80,0xffffffb5,0xffb89fff,0x7fdc001f,0xfffff91f,
    0xffffffff,0xffffffff,0x017fe405,0x2003fff5,0xfff37ffd,0x3ffee005,
    0x007fff30,0x03fff700,0x71fffb80,0xb8003fff,0x00001fff,0xff98dfff,
    0x3600006f,0x7f402fff,0xf30000ff,0x40001fff,0xb001fffa,0x3ffeafff,
    0x2fffb001,0xb001fffa,0x3ffeafff,0x2fffb001,0x4004fff9,0x00007ffe,
    0xffb93ffe,0x7fdc001f,0x03fff71f,0x71fffb80,0xb8003fff,0xfff71fff,
    0xfffb8003,0x003fff71,0x401fffb8,0xfffffda8,0xfff50eff,0xfffc8003,
    0xffffff90,0xffffffff,0x5fffffff,0x5027fcc0,0x36003fff,0x5fff37ff,
    0x43ffee00,0x0004fff8,0x002fffa8,0xfa87ffe4,0x7e4002ff,0x000880ff,
    0x7f43fff4,0x980002ff,0xfc807fff,0xf90003ff,0x40001fff,0xb001fffa,
    0x3ffeafff,0x2fffb001,0xb001fffa,0x3ffeafff,0x2fffb001,0x4003fff9,
    0x00007ffc,0x7d45fff1,0x7e4002ff,0x5fff50ff,0x0fffc800,0x8005fff5,
    0xff50fffc,0xffc8005f,0x05fff50f,0x00fffc80,0x7fff5cc0,0x05fff32f,
    0x327ffd80,0xffffffff,0xffffffff,0x402fffff,0x3fea06ff,0xfffd001f,
    0xfffb8000,0x8013ffe0,0x3fe22cda,0x7fec003f,0x07fff10f,0x10fffd80,
    0xf8009ffd,0xfffb85ff,0xffd80006,0xfff8804f,0xfff88007,0x2a0000ff,
    0xfd001fff,0x07ffeaff,0xfabfff40,0xffd001ff,0x007ffeaf,0xff8bfff4,
    0x7fec004f,0xfb800206,0x3ffe20ff,0x7ffec003,0x007fff10,0xf10fffd8,
    0xfd8007ff,0x7fff10ff,0x0fffd800,0x8007fff1,0x0000fffd,0x7cd3fff2,
    0x7f4003ff,0x0bff305f,0x80007ffc,0xff300ffd,0xfff1005f,0xffb8000f,
    0x01fffa0f,0x7fc7ffd8,0x3fe2006f,0x037ffc5f,0xf8bfff10,0x3e6006ff,
    0xfff884ff,0x3ea0003f,0xfb001fff,0xfb8007ff,0x0000ffff,0x200bffe6,
    0xff37fff8,0xfff1005f,0x00bffe6f,0x7cdfffe2,0xff8802ff,0x01bffe7f,
    0xfb8bfff0,0x3ffa006f,0x006fff86,0xff17ffe2,0x7fc400df,0x037ffc5f,
    0xf8bfff10,0x3e2006ff,0x37ffc5ff,0x4bfff100,0xf1006dc9,0x37ffcdff,
    0x09fff300,0x7c40ffee,0x3ee0006f,0x9fff303f,0x0ffff700,0x47ffb800,
    0x8803fffb,0x7fec4fff,0xfff9002f,0x02fffd87,0xc87fff90,0xfb001fff,
    0x3fea05ff,0xfa8003ff,0x26003fff,0x1000efff,0x01ffffff,0x27ffcc00,
    0x9bfffdc0,0xfb804fff,0x9fff37ff,0x2ffff700,0xb804fff9,0x3ff67fff,
    0xfff5001f,0x01fffa87,0xd82fffa8,0xf9002fff,0xfffd87ff,0x7fff9002,
    0x002fffd8,0xfd87fff9,0xff9002ff,0x2fffd87f,0x47fff900,0xd001fffb,
    0x7ffe4bff,0x3fffd002,0x540bff60,0x220004ff,0xfff105ff,0x7ffd403f,
    0x7e40007f,0x0effe87f,0x20fffe40,0x400efff8,0x440ffff9,0x4c00efff,
    0x7d40ffff,0x7d400eff,0x7fe406ff,0xf9000dff,0xd000dfff,0x9803dfff,
    0x0fffffff,0x3ffe2000,0x3ffea01f,0x3ffff17f,0xbffffd40,0x201ffff8,
    0xf17ffffa,0x7d403fff,0x3fea7fff,0x7fc400ff,0x7ffc40ff,0x37ffcc05,
    0x00efff88,0x207fffcc,0x400efff8,0x440ffff9,0x4c00efff,0x7c40ffff,
    0x7cc00eff,0x7fc40fff,0x7fcc00ef,0x3ffe20ff,0x3fffa806,0x003bffe2,
    0x740bfff5,0x7ff900ff,0x07fe8000,0x107bfff2,0x0ffffff7,0x37ff4400,
    0x80ffffd4,0xf705fffc,0x3ee03fff,0xff702fff,0x3fee03ff,0xfff902ff,
    0x3fff203d,0xfffd801f,0x2620abef,0x0effffeb,0xfffe8800,0x7fdc40af,
    0xabfffbdf,0xaaaaaaaa,0x3ff22aaa,0x7fdc41ef,0x3ff27fff,0x7fdc41ef,
    0x3ff27fff,0x7fdc41ef,0x3ff27fff,0x7fdc41ef,0x7fe47fff,0xfff501ef,
    0x3fff605f,0xffffa81c,0x3fffee02,0x5ffff701,0x07fffee0,0x817fffdc,
    0x701ffffb,0x2e05ffff,0xf701ffff,0x3ee05fff,0xff701fff,0xfffb05ff,
    0x3ffa601b,0x77ffe40f,0x1ffff901,0xd81bfe20,0x640001ff,0xfff301ff,
    0xfffdbfff,0x800fff5d,0x3ffffcca,0x9dffffb0,0x1dffffb9,0x77ffff40,
    0xfffffdcd,0x7ffff404,0xffffdcde,0x7fff404f,0xfffdbcdf,0x3f2003ff,
    0xffffffff,0xdfffffff,0x3f620000,0xfedeffff,0xffb8efff,0xffffffff,
    0x26ffffff,0xdffffff9,0xffaefffe,0x3ffffe67,0xaefffedf,0x3ffe67ff,
    0xfffedfff,0x3e67ffae,0xfedfffff,0x87ffaeff,0xbdfffffe,0x05ffffec,
    0x3bffffa2,0x3fffffdc,0xeffffe80,0xfffffdcd,0x7ffff404,0xffffdcde,
    0x7fff404f,0xfffdcdef,0x7ff404ff,0xffdcdeff,0x7f404fff,0xfdcdefff,
    0xd104ffff,0x999bffff,0x207ffffd,0xbceffffc,0x02fffffd,0xff817fe6,
    0x7d40000f,0x3ffea04f,0x8effffff,0x64007ff9,0x00ffffff,0x3fffffee,
    0x800effff,0xfffffffb,0x7003ffff,0xffffffff,0xb1007fff,0xffffffff,
    0x50003dff,0xfffffffd,0x07ffffff,0x7ffec000,0xefffffff,0xffffff70,
    0xffffffff,0xfffa8dff,0x8effffff,0x7fd47ff9,0xefffffff,0x7d47ff98,
    0xffffffff,0x547ff98e,0xffffffff,0x87ff98ef,0xffffffc8,0x803fffff,
    0xffffffe9,0x2003ffff,0xfffffffb,0x7003ffff,0xffffffff,0x2e007fff,
    0xffffffff,0xf7003fff,0xffffffff,0x3ee007ff,0xffffffff,0x7fcc03ff,
    0xffffffff,0x7fdc02ff,0xffffffff,0x1ffdc01e,0x0006ff88,0x4406ff88,
    0xcefffffd,0x800fff30,0x01fffffe,0xfffffd98,0x6cc002ff,0xbdffffff,
    0x7fecc000,0x00bdffff,0x7ffff540,0x80004fff,0xffffffd9,0x00002dff,
    0xffffd950,0x7fdc17bf,0xffffffff,0x86ffffff,0xefffffd8,0x10fff30c,
    0x9dfffffb,0x221ffe61,0xcefffffd,0xb10fff30,0x19dfffff,0xe981ffe6,
    0xdfffffff,0x7ffdc000,0x000cffff,0xfffffd98,0x4c000bdf,0xdffffffd,
    0x7ecc000b,0x0bdfffff,0x7ffecc00,0x000bdfff,0x7ffffecc,0x2e000bdf,
    0xefffffff,0xfdb3000d,0x009fffff,0x7d40bff6,0xfb00004f,0x2aa6001f,
    0x5d400000,0x88000abc,0x800009aa,0x00001aa8,0x00006aa2,0x004dd4c4,
    0xaa998000,0x0000009a,0x0006a620,0x55300000,0xaa980001,0x554c0000,
    0x554c0000,0x55300000,0x53000015,0x00001355,0x00006aa2,0x0001aa88,
    0x0006aa20,0x001aa880,0x006aa200,0x26aa6200,0x55440000,0x665c0009,
    0x00399500,0x00732a00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000f332a,0x1aa802aa,0xdfb93000,0x9100007b,0x4ccb8399,0x3332e000,
    0x64400001,0x4c001ccc,0x0000cccc,0x2f3b2a20,0xcc980002,0x00bceefe,
    0x372a2000,0x002cdefe,0x20e66440,0x00004ccb,0x70001988,0x00003999,
    0x01cccc88,0x03cccb80,0xefdb9800,0x551000cd,0xbddba885,0x05553009,
    0x0aaa9800,0x0006aaa2,0x32ea0000,0x9001acde,0xccb81999,0x2a20000c,
    0x155510aa,0x9800aaa6,0x002fffff,0xff9837f4,0xfffc8003,0x001effff,
    0xb0fffe60,0x2e000fff,0x000fffff,0x1bffee00,0x27fff400,0x3fb22000,
    0x2effffff,0xfffeb800,0xcfffffff,0x3f220000,0xffffffff,0x98000bff,
    0x7ff43fff,0x7ff54007,0x003fec1c,0x07ffffe4,0xfff90000,0x3fe6000d,
    0xf70001ff,0xffffffff,0x4fff3009,0xfffffffc,0x0fffd81e,0x3ffee000,
    0x40fffea2,0xfffffffe,0x06ffffff,0x3fffffaa,0x5400efff,0x3fea4fff,
    0x2a0e004f,0xfff32fff,0x401fff65,0xfffeffe8,0x2fff2001,0x003ffa60,
    0xffffffd0,0x0001ffff,0xfb0fffe6,0xff3000ff,0x000dffdf,0x007fffc0,
    0x0fffe880,0xfffd1000,0xffffffff,0x3ffa6007,0xffffffff,0x8004ffff,
    0xfffffffa,0xffffffff,0x7ffcc002,0x003fff43,0xdffffff7,0x800bff97,
    0x6ffefffa,0xfff10000,0x7d40001f,0xfd8005ff,0xffffffff,0x7fcc05ff,
    0xffffffb7,0xfd87ffff,0x2e0000ff,0x3fea2fff,0xffff883f,0xffffffff,
    0xfff706ff,0xffffffff,0xfffc807f,0x005ffe8a,0xfff50fd5,0x6cbffe65,
    0xffb007ff,0x01fff91f,0x3bfffe20,0x4004ffff,0xa8aefffc,0x0006fffd,
    0xfd87fff3,0x7fc4007f,0x05fff8df,0x2fffb800,0x7ffcc000,0xfff88004,
    0xfeb9abef,0x7d402fff,0xacceffff,0xfffffdca,0x3ffea003,0xecbcdeff,
    0x03ffffff,0xd0fffe60,0x3e200fff,0xffffedff,0x22002fff,0xfff8dfff,
    0xffb80004,0xfc80001f,0x3ee000ff,0xf931bfff,0x7cc07fff,0xaceffdff,
    0x0fffffdb,0x0003fff6,0x2a2fffb8,0xff983fff,0xffffffff,0xf986ffff,
    0xc999bfff,0x400ffffe,0xeffcfffd,0x87ffb800,0xff32fffa,0x01fff65f,
    0x7c4fffee,0x3a6006ff,0x04ffffff,0x837ffc40,0x8001fffe,0x5541aaa8,
    0x7ff4002a,0x07fff50f,0x03ffe800,0x1fff5000,0xdfffd800,0x0ffff500,
    0x177fffd4,0x3ffff660,0xffffa803,0x7ff4c02e,0x551004ff,0x02aaa815,
    0x5cc9ff30,0x4003effe,0xff50fffe,0xff80007f,0x3600003f,0xff1004ff,
    0x3fe601ff,0x3ffe606f,0xffd103ff,0x07ffec7f,0x5fff7000,0x5c1ff74c,
    0xaaaaafff,0x82aaaaaa,0x2e00fffd,0x7c404fff,0x001fffff,0x9310fff9,
    0x4bffe65f,0x7cc07f98,0x7ffd45ff,0x66e54004,0xff98001b,0x7fff503f,
    0x00000000,0x361fffe4,0x50001fff,0x80000bff,0x26003ffb,0xfd806fff,
    0xfff882ff,0x7fe4004f,0x7ffc00ff,0x7fdc006f,0x000001ff,0x20155100,
    0xffc80019,0x0fffec3f,0x05ffb800,0x7ff44000,0x3fffa800,0x303ffec0,
    0x9809ffff,0x3ff66fff,0x3ee0000f,0x82fb82ff,0x80006ffc,0xfe804fff,
    0xfff9807f,0x3ff2002f,0x7cc3f607,0x017e22ff,0x00000000,0x0fffdc00,
    0x004fff88,0x00000000,0x00000000,0xf9000000,0xff3005ff,0x9fffd0bf,
    0x3fff6000,0x3bffea04,0xfffa8000,0x00000006,0x00000000,0x00000000,
    0x3f200000,0x7fdc00ff,0x3fffe607,0x27ffe800,0x0000fffd,0x320bffee,
    0x04ffe81f,0x04fff800,0x0001aba8,0x07ffc800,0x2fff99be,0x00000fea,
    0x40000000,0xf503fffa,0x000007ff,0x00000000,0x00000000,0x1bffa000,
    0xfa809a80,0x220006ff,0xfd00ffff,0x740005ff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0xfb00fffb,0x7ffcc0df,0x4fffb005,0x0000fffd,
    0x3a0bffee,0x007fff07,0x05fffd00,0x80000000,0xfd887ffc,0x4cbffe64,
    0x975001ff,0x000359bd,0x59bd9751,0x7fc40013,0xfffd80ff,0x2e620000,
    0x0009bcec,0x79d97310,0x26200013,0x009bcecb,0x9d973100,0xff880137,
    0xfb00004f,0xd80007ff,0xfe881eff,0x7cc0006f,0x751006ff,0x01359bd9,
    0xbd975100,0x10001359,0x359bd975,0x97510001,0x001359bd,0x9bd97510,
    0x7ff40135,0x1fffc406,0x009fff30,0xffd9fff2,0x3ee0000f,0x41fe42ff,
    0x0001fff9,0xbdffffb8,0x65d40001,0x2201acde,0xaafffdaa,0x7cc3f99a,
    0x003d92ff,0xffffffd5,0xb1001dff,0xffffffff,0x7ec005df,0x7ffdc5ff,
    0x3fea0004,0x1fffffff,0x7fffd400,0x001fffff,0x7fffffd4,0x54001fff,
    0xffffffff,0x3ffe601f,0xff880003,0xa880007f,0x002a8800,0x01fffd80,
    0x3fffff62,0x002effff,0xffffffb1,0x2005dfff,0xffffffd8,0x1002efff,
    0xfffffffb,0x22005dff,0xfffffffd,0xffd02eff,0x07ffc80b,0x801fffcc,
    0x3ff67ffc,0x3ee0000f,0x09fb12ff,0x0003ffea,0x3ffffa20,0x000aceff,
    0xffffffd5,0xff301dff,0x9fffffff,0x4bffe606,0xfffb8008,0xffffffff,
    0x3ffee03f,0xffffffff,0xff1004ff,0xfffb19ff,0xfb10001d,0xffffffff,
    0xfb1009ff,0xffffffff,0xfb1009ff,0xffffffff,0xfb1009ff,0xffffffff,
    0x3fe609ff,0xfa80002f,0x000006ff,0x32000000,0xff704fff,0xffffffff,
    0xfb809fff,0xffffffff,0x5c04ffff,0xffffffff,0x404fffff,0xfffffffb,
    0x04ffffff,0x7fffffdc,0x4fffffff,0x2205fff8,0x7cc03fff,0xff9002ff,
    0x007ffecf,0xdbfff700,0x7fe409ff,0x026ee626,0xffffd880,0x02dfffff,
    0x3fffffee,0x43ffffff,0xfffffff9,0x3fe604ff,0x3fe6002f,0xec999bff,
    0xfb80ffff,0xa99acfff,0x00ffffeb,0xffffff70,0x20001dff,0x9abffffe,
    0x05ffffca,0x55fffff4,0x5ffffca9,0x5fffff40,0xffffca9a,0x7ffff405,
    0xfffca9ab,0x2fffa85f,0xfffc8000,0x00000004,0x3fea0000,0xffffb85f,
    0xfeba99ac,0xff700fff,0x753359ff,0x201ffffd,0x9acffffb,0xffffeba9,
    0x9ffff700,0xffd75335,0x3fee01ff,0xba99acff,0x7c0ffffe,0x3ff205ff,
    0x7ffcc00f,0x4fff9002,0x0000fffd,0x2b3bffee,0x4e7fec00,0xeffffffd,
    0x3ff6a001,0x4fffffff,0x9bffff98,0xffffec99,0x3ff6aa20,0x2601aaaf,
    0x36002fff,0x3ee00fff,0xfffe84ff,0x27ffe400,0xfffff900,0x7dc0009f,
    0xfd100dff,0x3fee03ff,0xffd100df,0x3ffee03f,0xfffd100d,0x37ffee03,
    0x3fffd100,0x003fff98,0x03fffc80,0x00000000,0x1bffe200,0x9003fffa,
    0x3fa09fff,0x7fe400ff,0x1fffd04f,0x04fffc80,0xc801fffd,0xffd04fff,
    0xfffc801f,0x882fffc4,0xf9803fff,0xff9002ff,0x007ffecf,0x05fff700,
    0x7fffffc0,0xffffffff,0x7ed44004,0x0effffff,0xb803fff6,0xff904fff,
    0x7ffcc00f,0x13ffe002,0xf51fffa0,0x3fe005ff,0xffb1006f,0x40005fff,
    0xd006fff8,0xfff10dff,0x1bffa00d,0x401bffe2,0xff886ffe,0xdffd006f,
    0x004fff88,0x02fffd80,0xfff80000,0xffffffff,0xffffffff,0x7fffffff,
    0x8017ffd4,0xffa86fff,0xdfff002f,0x005fff50,0x3ea1bffe,0xfff002ff,
    0x05fff50d,0xff1bffe0,0x3ffee0bf,0x2fff9800,0x6cfff900,0x20000fff,
    0x1002fffb,0xdfffffff,0xdfffffdb,0x7f5cc000,0x3ffe2fff,0x07ffe804,
    0x4c00fff9,0x3e002fff,0xaba804ff,0x0037fe41,0xf900fffb,0x0dffffff,
    0x0fffe400,0x42fffa80,0x5001fffc,0xffc85fff,0xfff5001f,0x01fffc85,
    0xf85fff50,0x36a004ff,0x03fffa2c,0x3fe00000,0xffffffff,0xffffffff,
    0xffffffff,0x0037fe47,0xff90fffb,0x3ffec00d,0xb0037fe4,0xdff90fff,
    0x43ffec00,0x36006ffc,0x2fffc7ff,0x801fffc8,0x9002fff9,0x7ffecfff,
    0x3fee0000,0xfff3002f,0xfc8815df,0x80003fff,0x3fe4fffc,0x1aba804f,
    0x400fff90,0x2002fff9,0x0002fffe,0x7fe40010,0x3fffa207,0x04ffffcf,
    0x00dffd00,0x7f44fff8,0x7ffc006f,0x0037ff44,0xffd13ffe,0x4fff800d,
    0xb003fff4,0x7fff4fff,0xf8000000,0xffffffff,0xffffffff,0xffffffff,
    0xc800207f,0x000407ff,0x0080fff9,0x101fff20,0x03ffe400,0x7ffc8002,
    0xfa82fffc,0xff9805ff,0xfff9002f,0x0007ffec,0x005fff70,0x2017ffee,
    0x260ffffa,0xff1006dc,0x17fff4df,0x3ffe4000,0x05fff300,0x6ffffdc0,
    0x4000001b,0x107ffea8,0x2e3dfffd,0x6d42ffff,0x4fff809b,0x22ffec00,
    0x6c004fff,0x27ffc5ff,0xf17ff600,0xfd8009ff,0x1fffdc5f,0xd27ffc40,
    0x00001fff,0x99fffd00,0x99999999,0x99999999,0x000ffff9,0x07ffea88,
    0xffea8800,0xea880007,0x880007ff,0x0007ffea,0x47ffea88,0x3fe05fff,
    0x3e600eff,0xff9002ff,0x007ffecf,0x05fff700,0x800aa620,0x3ee4fffd,
    0xffd001ff,0x6ffffdcb,0xff90001b,0x7ffcc00f,0x3ffa2002,0x0aceffff,
    0xb9531000,0x0ffffffd,0x3617fff6,0x3f61ffff,0x7ffc42ff,0xeeeeeeee,
    0x7fffeeee,0x3bbbffe2,0xeeeeeeee,0x3e27fffe,0xeeeeeeff,0xffeeeeee,
    0x3bffe27f,0xeeeeeeee,0x87fffeee,0x6400effe,0x3ff61fff,0x8000001f,
    0x0001fffd,0x00dfff10,0x3fb72a62,0x2007ffff,0xffedca98,0x22007fff,
    0xfffedca9,0x262007ff,0xffffedca,0x2a62007f,0xfffffedc,0x302fffc7,
    0x205fffff,0x9002fff9,0x7ffecfff,0x3fee0000,0x4000002f,0x3e26fff8,
    0xffa806ff,0x3fffa23f,0x00acefff,0x400fff90,0x4002fff9,0xffffffd8,
    0x9802dfff,0xffffffec,0xa87fffff,0xfd00efff,0xfff11dff,0xfffff50f,
    0xffffffff,0x54ffffff,0xffffffff,0xffffffff,0x3ffea7ff,0xffffffff,
    0x7fffffff,0x3fffffea,0xffffffff,0xfa87ffff,0xff901fff,0x2fffc8bf,
    0xfc800000,0x300002ff,0x64c0bfff,0xfffffffe,0x4c07ffff,0xffffffec,
    0x407fffff,0xfffffec9,0x07ffffff,0x7ffff64c,0x7fffffff,0x7fff64c0,
    0xffffffff,0x202fffc7,0x0dfffff9,0x8017ffcc,0x3ff67ffc,0x3f20000f,
    0x000002ff,0x7ec7ffe8,0xfd300dff,0xffd881ff,0xdfffffff,0x03ffe402,
    0x005fff30,0x3ffff6a0,0x104fffff,0xfffffffb,0xfffb7dff,0x405fffd0,
    0xfadffff8,0xfffb85ff,0xffffffff,0xffffffff,0xffffff70,0xffffffff,
    0x2e1fffff,0xffffffff,0xffffffff,0xfff70fff,0xffffffff,0xffffffff,
    0xdffffb01,0xdffffb99,0x04fffb81,0x7d403000,0x500003ff,0xfb109fff,
    0xffffffff,0x20fffb7d,0xffffffd8,0xffdbefff,0xffffb107,0xb7dfffff,
    0x3f620fff,0xffffffff,0x107ffdbe,0xfffffffb,0xfffb7dff,0x8805fff8,
    0x20effffd,0x9002fff9,0x7ffe4fff,0x3ff20001,0x8000001f,0x3a20fffd,
    0xcccdffff,0x203ffffe,0xffffffda,0x3f204fff,0x3fe6007f,0x5440002f,
    0xfffffffd,0x3fffa20e,0x209bceff,0xfff87ffc,0x7ffcc00f,0xa82fffff,
    0x9999bfff,0x99999999,0x3ffea199,0x9999999b,0x19999999,0x266fffea,
    0x99999999,0x3ea19999,0x99999bff,0x99999999,0x3ffee019,0xefffffff,
    0x06fff880,0x3dff8800,0x002fffcc,0x43fffc80,0xefffffe8,0x3ff209bc,
    0xffffe887,0x3209bcef,0xffe887ff,0x09bcefff,0x3a21fff2,0xbcefffff,
    0x21fff209,0xefffffe8,0x3ff209bc,0x002fffc7,0x4cdffff7,0xf9002fff,
    0x0fffe4ff,0x3fffb000,0xf9000000,0xfff981ff,0xffffffff,0xfb51002f,
    0x1dffffff,0x400fff90,0x0002fff9,0x7fff5cc0,0x3bfff62f,0x3ffec00a,
    0x4017ffe2,0x6ffffffb,0x007fff30,0x0fffe600,0x7ffcc000,0xff300003,
    0x4000007f,0xffffffd9,0x7fff402f,0x7fdc0000,0x7fffc45f,0x7fc40000,
    0x7ffec0ff,0x7fec00ae,0xaefffd87,0x43ffec00,0x00aefffd,0x7ec3ffec,
    0x6c00aeff,0xfffd87ff,0x7fec00ae,0x002fffc7,0x4cbfffe6,0xf9002fff,
    0x1fffdcff,0x1fffd000,0xfb000000,0x7ffdc0ff,0x00deffff,0x3ffae600,
    0x7ffc82ff,0x0bffe600,0xffc80000,0x03bffe4f,0x223fffc0,0x32006fff,
    0x202fffff,0x00004fff,0x00013ffe,0x0004fff8,0x0013ffe0,0x37fe2000,
    0xfff70009,0xffe80009,0x5fffb82f,0x7ffe4000,0x00efff85,0xff0ffff0,
    0x3fe001df,0x0efff87f,0xf0ffff00,0x3e001dff,0xefff87ff,0x8ffff000,
    0xa8005fff,0x00004fff,0x00bfff30,0x01fffe20,0x0027f744,0x2201bffa,
    0x00009efe,0x84fffc80,0x26007ffc,0x93002fff,0x3fe200db,0x09fff36f,
    0x21fffe20,0x2000ffff,0x201ffffe,0x6c006ffe,0x37ff43cd,0xd0f37600,
    0xdd800dff,0x037ff43c,0x400f3760,0x2001dffa,0x001ffff8,0x20ffff50,
    0x001ffff8,0x83ffff10,0x1004fff9,0xff98ffff,0xfff1004f,0x04fff98f,
    0x98ffff10,0xf1004fff,0xfff98fff,0xffff1004,0x0005fff8,0xfb00dfff,
    0xff0019df,0xf90001ff,0x7fc00bff,0x3fe6007f,0xeff8805f,0x06dc9802,
    0x90dfff10,0x7cc00fff,0xff7002ff,0x3ffa003f,0x007fff75,0x361fffee,
    0xf9004fff,0x203fffff,0x9003fffc,0xffc89fff,0xfff9003f,0x03fffc89,
    0xc89fff90,0xf9003fff,0x3ae009ff,0x2e006fff,0x4001efff,0x203ffff9,
    0x000efffc,0x42ffff44,0x7003fffb,0xffb8ffff,0xfff7003f,0x03fffb8f,
    0xb8ffff70,0xf7003fff,0xfffb8fff,0xffff7003,0x3a85fff8,0x017ffe20,
    0x01bffff6,0x003bfff6,0x02ffff88,0x007fff60,0x400fffec,0x01fffee9,
    0x4007ffee,0xffc85ffe,0x3ffe6007,0xdfff1002,0x27fff500,0xb806fff9,
    0x4c0fffff,0x6401ffff,0xffffffff,0x1ffff881,0x0ffffcc0,0x007fffe2,
    0x883ffff3,0x4c01ffff,0x7c41ffff,0x7cc01fff,0x44001fff,0x3a002ffe,
    0x5002ffff,0x880dffff,0x002fffff,0x03fffff5,0x700dfff3,0x4c1fffff,
    0xfb806fff,0x3e60ffff,0xffb806ff,0x3fe60fff,0xfffb806f,0x3ffe60ff,
    0xffffb806,0xa97ffe0f,0xff702ffe,0x3ea2007f,0x7fcc02ff,0xfd3006ff,
    0xfa800dff,0x7dc00eff,0xfc8005ff,0x3ffe205f,0x3fffa806,0x000fffc8,
    0x4005fff3,0x300dfffd,0x3e21fffd,0x3ee03fff,0xc80fffff,0x5443ffff,
    0xffdffffd,0xffa81fff,0xfea883ff,0xfff505ff,0xffd5107f,0x3ffea0bf,
    0xffea883f,0xffff505f,0xfffd5107,0x3ffa000b,0x3ffe6005,0x4c40aeff,
    0x00effffe,0xdfffffa8,0x7fe5440a,0xff103fff,0x7fdc07ff,0x3e20ffff,
    0x3ee03fff,0x220fffff,0x2e03ffff,0x20ffffff,0x203ffff8,0x0ffffffb,
    0x80ffffe2,0x0ffffffb,0xff897ffe,0x7ff4c1ff,0x7fe4001f,0xffffc805,
    0x95311bdf,0x003fffff,0x03dfffb0,0x003ffff2,0xb01fff20,0x2601bfff,
    0xfb80fffe,0x20099dff,0x2002fff9,0xcdffffe8,0x3ffffecc,0x6fffffdc,
    0xcffffebb,0xfe881fff,0xffeeffff,0xff52ffff,0xffb03fff,0xffb9bdff,
    0xfd80dfff,0xfdcdefff,0x6c06ffff,0xdcdeffff,0x406fffff,0xcdeffffd,
    0x06fffffd,0xffdb7570,0xfe88005f,0xfeffffff,0x0fffffff,0x3fffea00,
    0xfffeffff,0x403fffff,0xbdfffffb,0xfcffffeb,0x7ffdc1ff,0xffebbdff,
    0x41fffcff,0xbdfffffb,0xfcffffeb,0x7ffdc1ff,0xffebbdff,0x41fffcff,
    0xbdfffffb,0xfcffffeb,0x17ffe1ff,0xd9dffff3,0x0807ffff,0x09fff731,
    0xfffffd10,0xffffffff,0x20005fff,0xcdffffe8,0x1fffffdb,0xfecbb980,
    0x7f4405ff,0xecccdfff,0xf503ffff,0x40bfffff,0x4002fff9,0xfffffff9,
    0xb02fffff,0xffffffff,0x3ffe1bff,0x3ffff204,0x0effffff,0x8077ffd4,
    0xfffffffb,0x800effff,0xfffffffb,0x800effff,0xfffffffb,0x800effff,
    0xfffffffb,0x000effff,0xbffffffd,0x3ff62000,0xffffffff,0x8000cfff,
    0xffffffd9,0xefffffff,0xffffb001,0x1bffffff,0x3f613ffe,0xffffffff,
    0x09fff0df,0xfffffffb,0x3fe1bfff,0xffffd84f,0x0dffffff,0xffb09fff,
    0xffffffff,0xf93ffe1b,0xfffb85ff,0x05ffffff,0xffffffc8,0x3ff2000f,
    0xffffffff,0x0001ffff,0x7ffffec4,0x00efffff,0xffffff70,0xfff3001d,
    0xffffffff,0xfffd805f,0x3fe606ff,0xff70002f,0x1bdfffff,0xffffea80,
    0x7fec2eff,0x7fff5407,0x2603dfff,0x7ec400ff,0x2effffff,0x7ffec400,
    0x002effff,0x7ffffec4,0x44002eff,0xfffffffd,0x7fec002e,0x80001def,
    0xffffffc8,0x0000cfff,0xfffffda8,0x002dffff,0xfffffea8,0x3ffec2ef,
    0xfffffea8,0x3ffec2ef,0xfffffea8,0x3ffec2ef,0xfffffea8,0x3ffec2ef,
    0xfffffea8,0x3ffec2ef,0x3aa0bfff,0x02efffff,0xbfffffb0,0xff930003,
    0xbfffffff,0xea800005,0x4effffff,0x7fffdc00,0xffb8003d,0x0defffff,
    0xffffd900,0x017ffcc0,0x26aa6200,0xaaa98000,0xa9800001,0x0066001a,
    0x01355310,0x35531000,0x53100001,0x10000135,0x00013553,0x88000000,
    0x0009aaa9,0x2aaa6000,0x300001aa,0x00003555,0x0006aaa6,0x00d554c0,
    0x1aaa9800,0x55530000,0x98000003,0x44000aaa,0x00009aaa,0x35555330,
    0x88000001,0x00001aa9,0x54c40000,0x2200009a,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00aaa600,0x7f6e5440,0x0000abde,
    0x03577310,0x55530000,0xdba88001,0x001cdefe,0x99900000,0xca800059,
    0x6664c2cc,0x00d55442,0x002aaa20,0xdfdb9710,0x8000039b,0x220aceb9,
    0x855512aa,0x00bcedb9,0x20e66540,0x0001ccca,0x77f6e5c4,0x200001cd,
    0x20acedc9,0x00002aa8,0x2aa25553,0x4000000a,0x5001aaa8,0x55400555,
    0x1333200a,0x2603332e,0x4c0002aa,0x98800aaa,0x1acdfecb,0x05554400,
    0x7ffc8000,0x7ffe4c00,0xffffffff,0xfd50002f,0x05ffffff,0x7ffdc000,
    0xfffd3002,0xdfffffff,0x00000017,0x003fffea,0x83fffa00,0xff80fffe,
    0x7fec006f,0x3ff66006,0xffffffff,0xb30000be,0x7fffffff,0x7fcdffe6,
    0xfffffd17,0x220019ff,0x3fe26fff,0x3660006f,0xffffffff,0x0000beff,
    0xffffffd3,0x03ffe29f,0x5fff2000,0x0001fff9,0x2fffd400,0x005ffd80,
    0x5407fff1,0x3fea4fff,0x1fffb03f,0x7ffdc000,0x3fff6202,0xffffffff,
    0xfffa800d,0x26662001,0x9fffd999,0x7ffe4009,0xffffffff,0x4004ffff,
    0xfffffffc,0x00006fff,0x9005fff7,0xffffffff,0x3dffffff,0xfd000000,
    0x200003ff,0xff75fff8,0x3fff203f,0x7fff1001,0xffffb100,0xffdb99dd,
    0xa8005fff,0xffffffff,0x37ff9cff,0xfffd1fff,0x1dffffff,0x53ffea00,
    0x8000fffd,0xeeffffd8,0xffffedcc,0x7fd4002f,0xffffffff,0x000fff9e,
    0xf37ffc80,0x000003ff,0x005fffa8,0x2200bffb,0x7e403fff,0x5fff89ff,
    0x003fff60,0x02fffb80,0xfffffff5,0xffffffff,0x1fffa805,0x3ffff200,
    0xffffffff,0xffffd106,0xd9779dff,0x03dfffff,0xeffffe88,0x5ffffdbb,
    0xfffb8000,0x3fffa602,0xdcabceff,0x02ffffff,0x3fe60000,0x5400003f,
    0x3fffcfff,0x013ffe60,0x2007ffdc,0x00cffffa,0x02ffff54,0xacffff98,
    0xfeffeb88,0xfdfff37f,0xfd5115bf,0x32001dff,0x1fffcfff,0xffffa800,
    0x7ff5400c,0xfff5005f,0xfd7537bf,0x001fffff,0x26fff900,0x00001fff,
    0x02fffd40,0x1005ffd8,0xfd007fff,0x01dffbdf,0x0007ffec,0x505fff70,
    0x99dfffff,0xffffdb97,0x7ffd405f,0x3fff2001,0xffffffff,0xffff886f,
    0xffb801df,0x3f600fff,0xfe980dff,0x5c0002ff,0xff302fff,0xd7009fff,
    0x0007ffff,0x017ff600,0x7ffe4000,0xffe804ff,0x0bffd007,0x004fffb8,
    0x00effe98,0x881ffff4,0xf37ffffd,0x6c07ffff,0x36004fff,0x003fffff,
    0x004fffb8,0x00effe98,0x881ffff4,0x00fffffd,0x37ffc800,0x00003fff,
    0x04eee980,0x200bffb0,0x8803fff8,0x00ffffff,0x0007ffec,0xd05fff70,
    0xa803bfff,0x500ffffe,0x4c003fff,0xfeaaaaaa,0xfd82aaff,0x4c003fff,
    0xf503fffe,0x7cc01fff,0x5c0006ff,0xffd02fff,0x6c4003df,0x0000ffff,
    0x0077fcc0,0xfffd0000,0x3ffee00d,0x17ffc401,0x003fff50,0x02ffec40,
    0xd009fff7,0x3fe6ffff,0xffe804ff,0xfff1000f,0xff50009f,0x6c40003f,
    0x3fee05ff,0xfffd803f,0xfc80000f,0x03fff37f,0x00000000,0x44017ff6,
    0xf5003fff,0xfb005fff,0x5c0001ff,0x7fcc2fff,0x7ff4005f,0x3fff502f,
    0x3ff20000,0x3fffea07,0xfff10000,0x07fffa0d,0x003fff60,0x82fffb80,
    0x0006fffb,0x001bfff6,0x00000000,0x3fe20000,0x7ffdc04f,0x01fff100,
    0x7e401988,0x1fff903f,0x2ffff500,0x800ffff9,0x0002fffa,0x3ffe2000,
    0xff900000,0x03fff607,0x03fffe60,0x5fff2000,0x0001fff9,0xfb000000,
    0x3fe200bf,0x4000003f,0x0000fffd,0xf70bffee,0xf88001ff,0xfff505ff,
    0x3f200003,0xffff107f,0xffb80007,0x1fffc42f,0x01eefa80,0x0bffee00,
    0x003ffff1,0x1ffffc40,0x00000000,0x6c000000,0x7ff407ff,0x40bff605,
    0xdffffeca,0xd03ffd01,0x7f4009ff,0x09fff37f,0x001fffc0,0x5ffb0000,
    0x77777754,0x3fa00bcc,0x03fff81f,0x003fff60,0x4dfff200,0x00001fff,
    0xffb00000,0x3ffe200b,0x6c000003,0x20000fff,0x7f42fffb,0xffb0006f,
    0x07ffea0f,0x2b3b7260,0x541fff20,0x80005fff,0x7dc5fff8,0x0000007f,
    0xc85fff70,0x80004fff,0x3006fffa,0x179bdb95,0x37b2e620,0x5554402c,
    0x05553000,0x2605fff5,0xff301fff,0x3ffff209,0x882fffff,0x3fff85ff,
    0x4dfff600,0x36002fff,0xba8805ff,0x8009bced,0x7fd44ff9,0xffffffff,
    0x88bff102,0x32002fff,0x64c00fff,0x3f20aced,0x43fff37f,0x00abddb9,
    0x01fffc00,0x1005ffd8,0xa8807fff,0x09acdecb,0x003fff60,0x42fffb80,
    0x70007fff,0xff503dff,0x7ff4c03f,0xf93fffff,0x3fff60ff,0x17700001,
    0x000bffb0,0x3fee0000,0x3fffe22f,0xffd00000,0x7ff4c01f,0xefffffff,
    0x3ffffea0,0xf502efff,0x3f2003ff,0x0bfff07f,0xfc81fff2,0x13dff907,
    0x20bffee6,0x3fe60ffc,0x3ff2002f,0x003fff37,0x2e037fe4,0xffffffff,
    0x43fe402f,0xcbaabffa,0xf902fffd,0x0fffd41f,0x01fff500,0x3fffffa6,
    0x2fff93ff,0xfd89fff9,0x03ffffff,0x05fff100,0x4017ff60,0xb103fff8,
    0xffffffff,0x3ff605df,0x3ee0000f,0x7ffe42ff,0xf5000003,0x3fea03ff,
    0xffffffff,0xf887ffdc,0x00000fff,0x003fff80,0xff700000,0x2fffcc5f,
    0xfff90000,0x3fffee07,0xffffffff,0xfffffc8e,0x84ffffff,0x9001fffa,
    0x3ff20fff,0x04fff80f,0xff709ff1,0x437fcc09,0x3fea3ff8,0x3fee001f,
    0x001fff37,0x4c07ffdc,0xfffffffe,0x880dffff,0x1ffa84ff,0x220bff30,
    0x3ffee3ff,0x3ffe6000,0xfffffa80,0xfdcfffff,0xd7fff37f,0xffffffff,
    0xf98001bf,0xffb001ff,0x3ffe200d,0xfffffb83,0xffffffff,0x00fffd84,
    0x0bffee00,0x001dfff5,0x3fff5000,0xdffffa92,0xffffba9b,0xfffa87ff,
    0x88000006,0x36e22fff,0x0003deff,0x517ffdc0,0x00009fff,0x642fffcc,
    0x99acffff,0xffffffba,0xba9abeff,0x7d44ffff,0xff9001ff,0x0bffe60f,
    0x2a03fff5,0x0ffe81ff,0x6c0675c0,0x07ffee6f,0xf37ffa80,0xffb800ff,
    0x7fff440f,0xffca9abe,0x1ffa86ff,0x3601ffa8,0x4dfb00ff,0x2000fffc,
    0x7d40fff9,0xba9bdfff,0x37ffffff,0x7bffffff,0xdfffd733,0x0fffb800,
    0x00dffb00,0xf70fffe2,0x53359fff,0x81ffffd7,0x0000fffd,0xf10bffee,
    0x0039ffff,0x57ffd400,0x0ffffa7d,0x3fffff44,0x002fffdc,0x7ffcc000,
    0xffffff51,0x00001dff,0xfb8bffee,0x200003ff,0x7c46fff8,0x3e200dff,
    0x204fffff,0x2a0fffd8,0xf9001fff,0x2fff40ff,0xfc81bff6,0x003ff887,
    0x3ea7fb80,0x3ea001ff,0x01fff37f,0x643ffe40,0xd300dfff,0x7fc87fff,
    0x7403ff50,0xb9fee06f,0x2a001fff,0x7ff40fff,0xfffd103f,0x3fffe6ff,
    0xfffd104f,0x3fff4007,0x00dffb00,0xfd0fffe2,0xffc801ff,0x07ffec4f,
    0x5fff7000,0xffffff30,0x400037bf,0x77fffffa,0xfd009fff,0xfff90fff,
    0x50000007,0xfff73fff,0xffffffff,0xff700005,0x0fffe45f,0x3ffe0000,
    0x007ffdc7,0x02ffffdc,0xf52fffc4,0x3f2003ff,0x3ffee07f,0x407fff10,
    0x1ff986fd,0x0ffa8000,0x4005fff3,0xfff37ffb,0x2ffec003,0x2017ffea,
    0x360ffff8,0x03ff506f,0xfa80bfea,0x05fff50f,0x707ffdc0,0xfd009fff,
    0x3ffe6fff,0x6fff804f,0x05fffb00,0x8037fec0,0x3ea3fff9,0xfff002ff,
    0x00fffd8d,0x0bffee00,0x7fffff44,0x00bdffff,0x3ffffea0,0x001fffb3,
    0xfb0ffff7,0x000005ff,0xff9fff50,0xfd73137f,0x80001fff,0x3fa2fffb,
    0x400000ff,0x3f60ffff,0xfff3005f,0x3fea001f,0x03fff50f,0x881fff20,
    0xfff53fff,0x5c27f401,0x980000ff,0x7fff11ff,0x9bffe400,0x3a002fff,
    0x7fff44ff,0x9fff7001,0xffa827f4,0xffedcccd,0x98ffcc07,0x32003fff,
    0x3ff60fff,0xfffb800f,0x01ffff37,0x807fff70,0x4006fffd,0xf5007ffd,
    0x37fe47ff,0xd8fffb00,0x20000fff,0x2202fffb,0xfffffffd,0x802dffff,
    0x3a2ffffa,0x3fe004ff,0x1fffd87f,0x3ffffe00,0x3fffffff,0x1bfffff5,
    0x13fff620,0x5fff7000,0x0003fffc,0x407fff40,0xfff10008,0x7ffc400d,
    0x003fff51,0xfb01fff2,0x017ff6bf,0x0ff909fd,0x8bfe2000,0x3a006fff,
    0x9fff37ff,0x0bffe200,0xe800bfff,0x413fa6ff,0xfffffffa,0x7c400dff,
    0x01bffe2f,0xd07fffc4,0x7fc009ff,0x09fff37f,0xb02fffc0,0x8001dfff,
    0xb801fffd,0x00103fff,0x3f63ffe4,0x2e0000ff,0xb8802fff,0xfffffffd,
    0x3200dfff,0x7ffc2fff,0x1fff6003,0x800bfff6,0xffffffff,0xff53ffff,
    0xfd001fff,0x5c0003ff,0x3ffa2fff,0x7c00000f,0x440007ff,0x4004fffb,
    0xfff53fff,0x1fff2003,0xff1fff50,0x85fd805f,0x80000ffb,0x3fee1ff9,
    0xfffb802f,0x01ffff37,0x441fffb0,0x6c003fff,0x417f67ff,0xffecdffa,
    0x3ff3001e,0x4017ffdc,0x3e0ffffc,0x3f6003ff,0x05fff37f,0xd837ff40,
    0x8000efff,0x4404fffd,0x0003fffe,0xb1fffaa2,0x40001fff,0x8002fffb,
    0xfffffeca,0xffd81fff,0x3ffe61ff,0x1fff2002,0x800bfff2,0xffffffff,
    0xff33ffff,0x3ea005ff,0x2e0003ff,0x3ffa2fff,0x2200001f,0x31007fff,
    0xfffffd95,0xdddddddf,0xfffddddd,0x007ffea9,0x7c03ffe4,0x807ffdff,
    0x1ffa86fc,0x7fd40300,0x0077ff40,0x26ffffd1,0x4c05ffff,0x7fd45fff,
    0x7fe4002f,0x2a0df90f,0x3ffa21ff,0x40ffa800,0x2e02fffe,0xf30fffff,
    0x7e4005ff,0x03fff37f,0x6c3ffec0,0x0000efff,0x405ffffb,0x803ffffd,
    0xffedca98,0x7fec7fff,0x3ee0000f,0x440002ff,0xffffffca,0x3fffff60,
    0x007ffea1,0xfb87ffb8,0x2aa003ff,0xfcaaaaaa,0xffff33ff,0x05fff800,
    0x8bffee00,0x0002fffd,0x81bffe60,0xfffffec9,0xffffffff,0xffffffff,
    0xf56fffff,0x3f2003ff,0xfffc807f,0x7fb804ff,0xa804ff98,0x87fc82ff,
    0x981ffffa,0xf37ffffe,0x701bffff,0xfb83ffff,0x7dc001ff,0x20ff71ff,
    0x7f441ffa,0xa87fc806,0x889cffff,0xffffffda,0x003fff50,0xff9bffdc,
    0x3ff2000f,0x3bffee0f,0x3ff60000,0x36a0bfff,0x303fffff,0xffffffd9,
    0xd8ffffff,0x20000fff,0x0002fffc,0x3ffff620,0x3fffbfe2,0x003ffee1,
    0xfa87ffa8,0x200005ff,0xff13fffa,0xffe800df,0x3fee0006,0x13ffee2f,
    0xfffa8000,0xfffff905,0xff7bffff,0xffffffff,0xffffffff,0x007ffeaf,
    0x4c03ffe4,0x801fffff,0xffd82ff9,0x03ffe200,0x7fe417fe,0xffecceff,
    0xff37ffff,0xb9bfffff,0x907ffffd,0xa8001fff,0x5ff32fff,0xf503ff50,
    0x05ff809f,0xfffffff7,0xfffbdfff,0x003ffee1,0xff37ffa8,0xfffb800f,
    0x003bffe0,0xfffffb00,0xfffffdff,0xfd887ffd,0xffffffff,0x647ffdbe,
    0x20001fff,0x0001fffc,0x24fffb80,0x21fffabf,0x2001fffa,0xfff07ffb,
    0x2a00001f,0x3ffe3fff,0x3ffec005,0x5fff7000,0x002fffcc,0x85fff900,
    0xdfffffd8,0x3ffe21ac,0x9999999c,0x09999999,0x2003fff5,0xfd007ffd,
    0x7f400dff,0x81eff886,0xfa84ffd9,0x3ffee01f,0xcaffffff,0x5fff37ff,
    0xfffffffb,0x3fee05ff,0x7fdc001f,0x2a1bfa1f,0x5ffb01ff,0x9807fea0,
    0xffffffff,0x2a7ffb8d,0x2e001fff,0x1fff37ff,0x33ffe400,0x00005fff,
    0xfff7bffb,0xfb3fffff,0x7fff447f,0x209bceff,0x7fe47ffc,0x3f60001f,
    0x0f7321ff,0x4ffff000,0x443fff51,0x32002fff,0xfff907ff,0x3ea00007,
    0x1fffa3ff,0x54bffd00,0xffb804dc,0x17fff42f,0x7ffcc000,0xadfffd87,
    0x13ffe200,0x3ffea000,0x0fffb001,0x00fffee0,0xfb81ffb8,0xffeccdff,
    0x00dfd05f,0xdfffffb3,0x7cdfff23,0xfffd72ff,0x7d4019ff,0x7e4002ff,
    0x07fee0ff,0x3e203ff5,0x06fe80ff,0xcefdca88,0xf89fff22,0x3f2002ff,
    0x03fff37f,0xf737fec0,0x0c4001ff,0xffbaffec,0xffb2efff,0x577ffec7,
    0x23ffec00,0x0003fffb,0xff83fffa,0x7e40007f,0x7ffd41ff,0x001fffc1,
    0x3e60fffb,0x80000fff,0x3f63fffa,0x3fe000ff,0x01bff63f,0xf707fff2,
    0xb0000dff,0xff889fff,0xff9800ff,0xfa80004f,0xffd001ff,0x3ffea00f,
    0x3bfe2000,0xffffe980,0xfb80cfff,0x0d4c003f,0xff9bffe4,0x04d5442f,
    0x01fffc40,0x883fff60,0x3fea0eff,0x713fee01,0x400007ff,0x7ffc7ffc,
    0x5fff6003,0x2001fff9,0x3ff65ffe,0x3ffec007,0xaa98bffb,0x1dfff000,
    0x31fffe00,0x2000bfff,0x7f47fff8,0x320001ff,0x7fd40fff,0x037fec1f,
    0x740ffff0,0x80005fff,0x3ea3fffa,0xff1002ff,0x03ffe43f,0x220fffec,
    0x0003fffe,0x507fffea,0x2a009fff,0x26006fff,0xfff33def,0xffff1005,
    0x013ff600,0xa817fea0,0x300cdedc,0x80000dff,0xfff37ffc,0x3fe00005,
    0x3fe2006f,0x25ffa85f,0x66400cc9,0x20dff30c,0xdffb0000,0x2006ffd8,
    0xfff37fff,0x3ffe6009,0x003fff24,0x3f65fff8,0x7cc0005f,0xff1004ff,
    0x1ffff0ff,0xbfff9000,0x004fffc8,0x2a17ffe0,0x7fe41fff,0xfffb802f,
    0x3fffe207,0xff50000d,0x6ffe87ff,0x41fff900,0x7402fffb,0xfff507ff,
    0xff50007f,0xfff907ff,0xffff1005,0x3ffa003f,0x09fff32f,0x00ffff70,
    0x0003fff1,0x00013ff2,0x0003ffe6,0x26fff900,0x00002fff,0x2005fffb,
    0xf903fffc,0xf300009f,0x3bfa01ff,0x9fff3004,0x802fffc8,0xff37fffb,
    0x3ff600ff,0x0fffea0f,0xb1fffd40,0xb8000bff,0xf7003fff,0xfffb0fff,
    0x7fc4001d,0x7ffc42ff,0xffa8004f,0x1fffa83f,0x0077ffcc,0x80fffff1,
    0x0afffffa,0xffffd300,0x5fffa87f,0x237ffcc0,0x3606fffa,0x3f205fff,
    0x9000dfff,0x2a0dffff,0xfe805fff,0x401fffff,0x3e26fffa,0x3ea01fff,
    0xfc807fff,0x7f40006f,0xf70000ef,0x000005ff,0x3fe6fff9,0xf100002f,
    0xf9801dff,0x3fa00fff,0xf70000ef,0x7fe405ff,0xfffe801f,0x077ffcc2,
    0x2fffff10,0x405ffff9,0x7cc4fffa,0x7c400fff,0x3ff61fff,0x7fcc0005,
    0xfffb806f,0x7ffcc0ff,0xffd3006f,0x3fff60df,0xff9000df,0xfff501ff,
    0x3dfff903,0xffffff30,0xfffff700,0x731159df,0xffffffdb,0x33fffa07,
    0x1ffffa80,0x89efffe8,0x2ffffda8,0x7ffffec0,0x3ae620ab,0x100effff,
    0x2605ffff,0xfffdfffd,0xfffb882f,0x77ffe42f,0x7fffdc41,0xff91047f,
    0xd880005f,0x5001cfff,0x0005fffd,0x4dfff200,0x00002fff,0x407fffee,
    0x402ffffb,0x01cfffd8,0x05fffd50,0x405fffb8,0xf906fffc,0xff303dff,
    0x3fe6ffff,0xfb80dfff,0xffc80fff,0xffd302ef,0x05ffd89f,0x7fffc400,
    0x3fffee03,0xfffc80ff,0x5311bdff,0x03fffff9,0x3fffffa2,0xd9530abd,
    0x2a09ffff,0xffd01fff,0xffd99dff,0x200fffbf,0xfffffff9,0xffffffff,
    0x2600cfff,0xcceffffe,0x303ffffe,0xffffffff,0x200bffff,0xfffffffb,
    0xffffffff,0x7fe400df,0xffdbcfff,0xfff51eff,0xfffd9bff,0xfff307ff,
    0xfffdbfff,0xfd8fff5d,0x005ffffe,0x3fffee00,0xcaa99abd,0x000effff,
    0x5fff2000,0x0002fff9,0x77ffff40,0xfffffdcd,0x3ffee004,0xaa99abdf,
    0x00effffc,0x59ffffd0,0xfffff955,0x7ffff403,0xdfffecce,0xbfff37ff,
    0xfdb9dfff,0x7f405fff,0xdbacdfff,0xfd86ffff,0xfb80005f,0xebbdffff,
    0xfffcffff,0xffffd881,0xffffffff,0x4402ffff,0xfffffffe,0xffffffff,
    0x3ffea05f,0x3ffff601,0xfbafffff,0x3f62007f,0xffffffff,0x01dfffff,
    0xfffffb10,0x805fffff,0xfffffffb,0x2000dfff,0xffffffea,0x3fffffff,
    0x3ffffa00,0x84ffffff,0xfffffff9,0x2a03ffff,0xffffffff,0x47ff98ef,
    0x0efffffc,0x7ecc0000,0xffffffff,0x0003efff,0x37ffc800,0x00005fff,
    0xffffff70,0x007fffff,0xfffffb30,0xdfffffff,0xfff88007,0xffffffff,
    0xffd801ff,0xafffffff,0xfff37ffb,0x3ffffff2,0x6c401eff,0xffffffff,
    0xfd80efff,0xfb00005f,0xffffffff,0x13ffe1bf,0xffffffc8,0xffffffff,
    0xfff91001,0xffffffff,0xfa807fff,0x7f5401ff,0xf71effff,0xd71000ff,
    0xdfffffff,0x2e00057b,0xbdfffffe,0xfffd1001,0x0007bfff,0x7ffffecc,
    0x0002dfff,0xdffffff5,0x7f64405b,0x00cfffff,0xfffffd88,0x8fff30ce,
    0x01fffffb,0x3ae20000,0xdfffffff,0x20000001,0xfff37ffc,0x26000005,
    0xdffffffd,0x5c40000b,0xfffffffe,0x2e20001d,0xffffffff,0x3aa000cf,
    0x71efffff,0x9ffe6fff,0xdfffffec,0x3ffa6000,0x02efffff,0x00017ff6,
    0xfffffea8,0x3ffec2ef,0x3fffb260,0x02dfffff,0xfffd9300,0x17bdffff,
    0x03fff500,0x0006aa60,0x55531000,0x30000013,0x98800055,0x800000aa,
    0x009aaa99,0x15553000,0x35531000,0x0554c000,0x06f2a200,0x22000000,
    0x000001a9,0x98666200,0x00000099,0x0001aa88,0x00d4c400,0xcca98000,
    0x4c0002ac,0x100001aa,0x88000155,0x801abcb9,0x00000998,0x001aaa98,
    0xaaa99800,0x2000009a,0x009aaa98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb9500000,0x40059bfd,0x80002aaa,0xa800aaa8,0x554c02aa,
    0x02aaa80a,0x4cc00000,0x04c40000,0x0007bbaa,0x99100000,0x00000199,
    0xaaaaaa80,0xaaaaaaaa,0xaaaaaaaa,0x806aa0aa,0x332a01aa,0x2aaa204c,
    0x664c0000,0x1e66443c,0x000aaa98,0x002aaa60,0x04ccca80,0x20f33220,
    0x98004ccc,0x50004ccc,0x55555555,0x00355555,0x3ccca800,0xaaaaa800,
    0xaaaaaaaa,0x2e60001a,0x9304eefd,0xccc88599,0x00aaa883,0xfffffd50,
    0x8803dfff,0x80006fff,0xf801fffa,0x7fe406ff,0x06fff83f,0xdffb1000,
    0x01ffcc17,0x4417dff9,0x7ffdc4ff,0x00000002,0x037fffec,0xff300000,
    0xffffffff,0xffffffff,0x45ffffff,0x7ff306fe,0x017fffc0,0x0005fff3,
    0x6c3fffb0,0xffb01fff,0x7dc0003f,0x3e0002ff,0x64002fff,0x3ff22fff,
    0xffa8002f,0xfe8000ff,0xffffffff,0x0cffffff,0xfffc8000,0xfffe8006,
    0xffffffff,0x000cffff,0x3fffffee,0x87fff606,0xf981fffd,0xffb802ff,
    0xffffffff,0x3fe203ff,0xfa80006f,0xfff801ff,0x1fffe406,0x00037ffc,
    0xffffffe8,0xb01ffebd,0x7bffffff,0xffb87ffb,0x0000002f,0x3fbffee0,
    0x0000004f,0xfffffffb,0xffffffff,0xffffffff,0x05ffe45f,0x2e03ffb1,
    0x7cc04fff,0x880002ff,0xfff56ffe,0x0fffec05,0x5fff7000,0x3ffee000,
    0xfffd0004,0x007fff31,0x03fffea0,0x3ffffa00,0xffffffff,0x00cfffff,
    0x1bfff200,0x3ffffa00,0xffffffff,0x00cfffff,0x7fffffd4,0x3ffa205f,
    0x205fff56,0x4c02fff9,0x889cffff,0x01ffffd9,0x000dfff1,0x003fff50,
    0xfc80dfff,0x6fff83ff,0xeffb8000,0xfffffffd,0xfbfff506,0x1fffffff,
    0x002fffb8,0xff500000,0x07fff37f,0xff980000,0xffffffff,0xffffffff,
    0x2fffffff,0x3fbfffa2,0x3fa04fff,0x3fbb606f,0xeeeeeeff,0x3fe6004e,
    0x404fffcf,0x0001fffd,0x000bffee,0x00037ff4,0xffdbfff1,0x7fd4000b,
    0xfe8000ff,0xffffffff,0xffffffff,0xf90001ff,0xfd000dff,0xffffffff,
    0xffffffff,0x7ff403ff,0x402aabdf,0xfffcfff9,0x0bffe604,0x02ffff88,
    0x441fffea,0x80006fff,0xf801fffa,0x765406ff,0x06fff82f,0x20ffd800,
    0x00cfffda,0x7ed43ff9,0xea981dff,0x0000001f,0x326fff88,0x00001fff,
    0xa8ffff60,0x00004fff,0x3fffffa6,0x3ffea04f,0x3ffffa00,0xffffffff,
    0x7ffdc005,0xffd805ff,0x3ee0001f,0xfa8002ff,0x540000ff,0x006fffff,
    0x07fffd40,0x03fff400,0x7fff54c4,0xfc8001ff,0xfe8006ff,0xea98807f,
    0xf01fffff,0x2e000dff,0x405fffff,0x2e01ccc8,0xfc803fff,0xfff882ff,
    0xffa80006,0x6fff801f,0xff03fd00,0x550000df,0x3002a205,0x40054055,
    0x000001fe,0x41fffe80,0x0000fffe,0x47fff880,0x0004fffa,0x1bcdca80,
    0x200fff40,0xeefffeed,0x004eeeee,0x00efffc8,0xfffffff5,0xffffffff,
    0xffffffff,0x001fffff,0x00007ffa,0x007fffe4,0xe8000000,0xfb8007ff,
    0x0000ffff,0x7ffe8000,0xffffb800,0x27ffc40f,0xdfffb000,0x7e400001,
    0xff8800ff,0x6fff884f,0x7fd40060,0x6fff801f,0x3fe0ff00,0x0000006f,
    0x88000000,0x0000007f,0x00000000,0x50ffff20,0x00009fff,0x40000000,
    0x0002fff9,0x3fea0000,0xffffffff,0xffffffff,0xffffffff,0x000000ff,
    0x00000000,0xfffd0000,0x3ffe2000,0x0000003f,0x0007ffe8,0x987ffff1,
    0x00002fff,0x3fa00000,0x3bfa006f,0x86fff884,0xff5003e8,0xdfff003f,
    0x3e0df500,0x000006ff,0x80000000,0x000004fd,0x00000000,0x1ffff100,
    0x004fffa8,0x00000000,0x00bffe60,0xfa800000,0xffffffff,0xffffffff,
    0xffffffff,0x00000fff,0x00000000,0x379d9731,0x7ffe8001,0x3ffee000,
    0xd951000f,0xfe800579,0x3ee0007f,0x3fe60fff,0x0000002f,0x1bffe000,
    0x7fc40080,0x01ff4c6f,0x801fffa8,0x7dc06fff,0x0dfff02f,0x2aaa0000,
    0x10aaa201,0x0137bb75,0x2aa893f2,0x0de76544,0x5002aaa8,0x2aa00555,
    0x7fe4000a,0x4fffa84f,0x55500000,0x98aaa203,0xff301bdb,0x6ee5445f,
    0x2aa2002c,0xfffb000a,0x7fdc0003,0x5555102f,0x55555555,0xa8855555,
    0xaaaaaaaa,0x2aaaaaaa,0x7ffffd40,0x2001ffff,0x40007ffe,0x2203fffe,
    0xffffffec,0xffd002ef,0xffe8000f,0x0bffe63f,0xa8855510,0x1009bddb,
    0x7fc01555,0x2200007f,0x3fea6fff,0xfff5002f,0x0dfff003,0x3fe01fc8,
    0xf000006f,0x7fcc09ff,0x3fffff27,0x43981eff,0x3ff65ffb,0x40efffff,
    0x4c00fffc,0xfa807fff,0x3e2000ff,0xffa80fff,0xf000004f,0x3fea09ff,
    0xdfffff57,0x92fff981,0xdfffffff,0x5fff3007,0x07fff600,0x2fffb800,
    0xffffff50,0xffffffff,0xfffa8fff,0xffffffff,0x107fffff,0xfffffffb,
    0x2009ffff,0x40007ffe,0xd105fffa,0xffffffff,0xfd007fff,0xfa8000ff,
    0x3ffe65ff,0x93ffcc02,0xdfffffff,0x05fff303,0x0007fff4,0x76fff880,
    0x54007fff,0xff801fff,0x7c00806f,0x000006ff,0x7cc09fff,0xfffffb7f,
    0x007fffff,0xffd1bff7,0xffffffff,0x017ffd45,0x007fffee,0xc800dff9,
    0xff504fff,0x2000009f,0xff504fff,0xffffff3f,0xb5fff30d,0xffffffff,
    0xff9805ff,0xfffb002f,0x7fdc0003,0xffff502f,0xffffffff,0xfa8fffff,
    0xffffffff,0x7fffffff,0x57ffffd0,0xbffff953,0x00fffd00,0x10ffff00,
    0x357dffff,0x05ffffd7,0x0007ffe8,0x3e67fff8,0x7fcc02ff,0xffffffb7,
    0xf987ffff,0x3ff202ff,0xf100002f,0x5fff9dff,0x1fffa800,0x006fff80,
    0x006fff80,0x09fff000,0x7fefffcc,0xfffdbace,0x7fdc00ff,0xbabdffee,
    0x7c6ffffd,0x7fec04ff,0x7ffc03ff,0x3ffe2003,0x9fff500f,0x3fe00000,
    0xdfff504f,0x07ffffff,0xdffffff3,0xfffd7559,0x7ffcc01f,0x3fffb002,
    0x7ffdc000,0x99999302,0xd7999999,0xcc989fff,0xcccccccc,0x84fffebc,
    0x100dfffb,0xe803fffd,0xd80007ff,0x7fec1fff,0xfff500df,0x07ffe80f,
    0x1fffd800,0x9805fff3,0xceffdfff,0xfffffdba,0x80bffe60,0x0004fffa,
    0xffffff10,0xff50003f,0xdfff003f,0xdfff0000,0x3fe00000,0x3ffe604f,
    0xffd103ff,0xfffb807f,0xfff302ff,0x037fec5f,0x817ffffe,0x2001fff9,
    0x2a04fffb,0x00004fff,0x2a09fff0,0x31cfffff,0xffff3017,0x3ff6207f,
    0x3ffe604f,0x7fffb002,0x55555555,0xfb555555,0x200005ff,0x0005fffb,
    0x885fffb8,0xfd006fff,0x7ffe80df,0xfffc8000,0x01bffe62,0xe80bfff6,
    0xc80007ff,0xfff32fff,0xffff9805,0xfffd103f,0x417ffcc7,0x9efff999,
    0x40019999,0x0efffff8,0x3fff5000,0xffa7ffdc,0xff80006f,0x7ffd406f,
    0x09fff005,0x027fffcc,0x701bffe6,0xa805ffff,0x3fea5fff,0xffff300f,
    0x37fdc0ff,0x03fffe00,0xffffffa8,0xffffffff,0x7fc02fff,0xffff504f,
    0x7ffcc009,0x7ffc404f,0x0bffe605,0x7ffffec0,0xffffffff,0xffffffff,
    0xfa80002f,0x40000eff,0xc80efffa,0xf5001fff,0x7ff405ff,0xffc80007,
    0x0bfff22f,0x817ffe60,0x80007ffe,0xff32fffc,0xfff9805f,0x7ffcc04f,
    0x10bffe66,0xffffffff,0x003fffff,0x02ffffc4,0x87ffea00,0xfff4fffb,
    0xfff0000d,0x5fffa80d,0x409fff00,0x800ffff9,0x7dc07ffe,0xfff006ff,
    0x81fffc4d,0x1fffcffb,0x4009ffd0,0x5404fffb,0xffffffff,0xffffffff,
    0x27ffc02f,0x00ffffa8,0x03fffe60,0x981bff60,0xfb002fff,0xffffffff,
    0xffffffff,0x005fffff,0x0ffff980,0x7ffcc000,0x0dffd00f,0x7c4fff80,
    0xffffffff,0x01ffffff,0xfd1fffdc,0x04d400df,0x7ffffffc,0xffffffff,
    0x9fffdc01,0x4c02fff9,0xe800ffff,0x3ffe67ff,0x7ffffc42,0xffffffff,
    0x3ffea001,0xffa80006,0x53ffee1f,0x80006fff,0x7d406fff,0xfff005ff,
    0x2fffcc09,0x407ffd80,0xf003fffb,0x5ffe8dff,0xffd3ffd0,0x03fff107,
    0x007fffc0,0x3fffffea,0xffffffff,0x7fc02fff,0xbfff504f,0x4fff9800,
    0x40fff900,0xb002fff9,0xffffffff,0xffffffff,0x05ffffff,0x7fffc400,
    0x7fc40001,0x3ffe01ff,0x2ffec004,0x3ffffffe,0xffffffff,0x9fffdc01,
    0x0004fff8,0xfffffff0,0xffffffff,0x3fffb803,0x9805fff3,0xfb005fff,
    0x17ffccff,0x3ffbbba2,0x1eeeeeff,0xdffff700,0xfff50000,0xfa7ffdc3,
    0xf80006ff,0x7fd406ff,0x9fff005f,0x027ffcc0,0x5c07ffc8,0xfb002fff,
    0x87ffb8df,0xbff97ff8,0x400fff50,0xa805fffb,0xccccefff,0xcccccccc,
    0x27ffc01c,0x004fffa8,0x801fffcc,0xf300fffb,0x3f6005ff,0x99999aff,
    0x99999999,0x002fffc9,0x05fffd10,0xfffe8800,0x3bffe202,0xeeeeeeee,
    0x47fffeee,0xcffffccc,0x0ccccccc,0x997ffe40,0x00003fff,0x9ffff999,
    0x19999999,0x32fffc80,0xf9805fff,0xff9004ff,0x017ffccf,0x0002fffc,
    0x0dfffff9,0x3fff5000,0xff84ccc4,0xff80006f,0x4ccc406f,0x09fff000,
    0x801fffcc,0x7dc07ffc,0xffb001ff,0x41fff98d,0xfff55ffa,0x4009ffb0,
    0xa801fffe,0x00004fff,0x2a09fff0,0x4c003fff,0xf7003fff,0x3fe601ff,
    0xfffb002f,0x7fdc0003,0xffd0002f,0xfd00009f,0xffa809ff,0xffffffff,
    0xffffffff,0x01fffa07,0x4bfffa00,0x0002fff9,0x007ffe80,0x32fffe80,
    0xf9805fff,0xff9003ff,0x017ffccf,0x00037ffc,0x0dffffff,0x3fff5000,
    0x00dfff00,0x00dfff00,0x13ffe000,0x002fff98,0xfb80fff9,0xffb000ff,
    0xc87ffd0d,0x3fff13ff,0x5002fff8,0xffffffff,0xffffffff,0x2000009f,
    0xff504fff,0xff98005f,0xfff7002f,0x0bffe601,0x00fffec0,0x05fff700,
    0x0bfffb00,0xbfffb000,0xfffff700,0xffffffff,0x01ffffff,0x0001fffa,
    0x7d47fffe,0x800002ff,0x80007ffe,0xff31ffff,0xfff9805f,0x4fff9002,
    0xe802fff9,0x3e0005ff,0x006fff8e,0x01fffa80,0x0006fff8,0x0006fff8,
    0x409fff00,0x9002fff9,0xffb80fff,0xdffb000f,0xfe8dff90,0x98fffa1f,
    0x3fa007ff,0xffffffff,0xffffffff,0xff000004,0x3ffea09f,0x7ffcc001,
    0x1fff7002,0x00bffe60,0x000fffec,0x005fff70,0x006fffc8,0x06fffc80,
    0x337fff50,0x33333333,0x74033333,0x440007ff,0xff30ffff,0xd000007f,
    0x88000fff,0xff30ffff,0xfff9805f,0x4fff9002,0xf802fff9,0x560003ff,
    0x0006fff8,0x801fffa8,0x80006fff,0x00006fff,0x4c09fff0,0xf9002fff,
    0xfffb80ff,0x0dffb000,0x3e21fff3,0x92ffdc7f,0x3ea00bff,0xffffffff,
    0xffffffff,0xf000004f,0x3fea09ff,0x7fcc001f,0xfff7002f,0x0bffe601,
    0x00fffec0,0x05fff700,0x077ffdc0,0x3ffee000,0xfff3000e,0x3a000007,
    0x4c0007ff,0x3fe26fff,0xe800004f,0x4c0007ff,0x3fe66fff,0x7ffcc02f,
    0x4fff9002,0x4402fff9,0x80001fff,0x0006fff8,0x801fffa8,0x80006fff,
    0x00006fff,0x4c09fff0,0xf9002fff,0xfffb80ff,0x0dffb000,0x7fdcbffe,
    0xe87ffcc5,0xffd002ff,0x5555557f,0xfff95555,0x3e000009,0xfff504ff,
    0xfff98003,0x1fff7002,0x00bffe60,0x000fffec,0x005fff70,0x007fffea,
    0x3ffff500,0x04fff800,0xfffd0000,0xfffd8000,0x0027ffc3,0x7f4059b5,
    0x7ec0007f,0x3ffe63ff,0x17ffcc02,0x267ffc80,0x7dc02fff,0xf100006f,
    0x50000dff,0xff003fff,0xff0000df,0x200000df,0x3e604fff,0xff9002ff,
    0x0fffb80f,0x20dffb00,0x7ffb4ffd,0xff35fff0,0xfff5001f,0xfffa800b,
    0xff000004,0x3ffea09f,0x7ffcc001,0x1fff7002,0x00bffe60,0x000fffec,
    0x005fff70,0x005ffff3,0x2ffff980,0x06ffe800,0xd01e6ec0,0x4c000fff,
    0x7f41ffff,0x3ff6007f,0x01fffa07,0x1ffff980,0x300bffe6,0x32005fff,
    0x3ffe67ff,0x00fff402,0x6fff8800,0xfffa8000,0x06fff801,0x06fff800,
    0x9fff0000,0x017ffcc0,0x5c07ffc8,0xfb000fff,0x5ffea0df,0xffd80fff,
    0xb005ffbc,0xa8005fff,0x00004fff,0x2a09fff0,0x4c001fff,0xf7002fff,
    0x3fe601ff,0xfffb002f,0x7fdc0003,0x7ffc402f,0x7c40003f,0x90003fff,
    0x32007fff,0x3fa04fff,0x3fa0007f,0xfffb85ff,0x4fff8803,0x001fffa0,
    0x4c5fffe8,0x7cc02fff,0xff9002ff,0x017ffccf,0x00007ff9,0x0037ffc4,
    0x00fffd40,0x00037ffc,0x00037ffc,0x204fff80,0x9002fff9,0xffb80fff,
    0xdffb000f,0x3ebffe20,0xbdff707f,0xff3007ff,0xff5000df,0x2000009f,
    0xff504fff,0xff98003f,0xfff7002f,0x0bffe601,0x00fffec0,0x05fff700,
    0x027fff44,0x3fffa200,0x3fe20004,0x7fcc01ff,0x3ffa01ff,0xfff90007,
    0x3bffa03f,0x0fffe400,0x000fffd0,0x307ffff2,0xf9805fff,0xff9002ff,
    0x817ffccf,0x01316ffd,0x6fff8800,0xfffa8000,0x06fff801,0x06fff800,
    0x9fff0000,0x017ffcc0,0x5c07ffc8,0xfb000fff,0x77fec0df,0xfff304ff,
    0xfb001fff,0xf50005ff,0x000009ff,0x7d413ffe,0x7cc001ff,0xff7002ff,
    0x3ffe601f,0x3fffb002,0x7ffdc000,0x13fff602,0x3fff6000,0xffa80004,
    0xfea883ff,0x7ff405ff,0x7ff54007,0x3fea04ff,0xfff901ff,0x07ffe80b,
    0x7ffff540,0x02fff984,0x8017ffcc,0x3fe67ffc,0xffffd82f,0xbdefffff,
    0x10b93109,0x5555dfff,0x55555555,0x3ffea155,0xaffff801,0xaaaaaaaa,
    0xff0aaaaa,0x555555ff,0x55555555,0x027ffc01,0x2005fff3,0x7dc07ffc,
    0xffb000ff,0x7fffdc0d,0x3fffe02f,0xfff9806f,0xfff50006,0x5555555b,
    0x55555555,0xa827ffc0,0x4c001fff,0xf7002fff,0x3fe601ff,0xfffb002f,
    0x7fdc0003,0xbfff902f,0x99999988,0x3ff20999,0x4cccc45f,0xd8099999,
    0xdcdeffff,0x806fffff,0xaaabfffe,0xffedcbaa,0xd805ffff,0xdcceffff,
    0x400effff,0xaaabfffe,0xffedcbaa,0xf305ffff,0xff9805ff,0xfff9002f,
    0x2617ffcc,0xffffffff,0xffffffff,0x7c40ffff,0xffffffff,0xffffffff,
    0x03fff53f,0xfffffff0,0xffffffff,0x3ffe7fff,0xffffffff,0x3fffffff,
    0x9813ffe0,0xf9002fff,0xfffb80ff,0x0dffb000,0x07ffffc4,0x07ffffb0,
    0x007fffb0,0x3ffffea0,0xffffffff,0x207fffff,0xff504fff,0xff98003f,
    0xfff7002f,0x0bffe601,0x00fffec0,0x05fff700,0xfffffff3,0xffffffff,
    0x3fe6bfff,0xffffffff,0xffffffff,0xfffff705,0x1dffffff,0xfffffd00,
    0xffffffff,0x009fffff,0x7fffffdc,0x800effff,0xfffffffe,0xffffffff,
    0x3e604fff,0x7fcc02ff,0xfff9002f,0x7417ffcc,0xeddfffff,0xffffffff,
    0x7fc43fff,0xffffffff,0xffffffff,0x003fff53,0xffffffff,0xffffffff,
    0x3fffe7ff,0xffffffff,0x03ffffff,0xf9813ffe,0xff9002ff,0x0fffb80f,
    0x80dffb00,0x5c06fffe,0x4401ffff,0x20007fff,0xfffffffa,0xffffffff,
    0x3fe07fff,0x3fff504f,0x2fff9800,0x01fff700,0x400bffe6,0x0001fffd,
    0x260bffee,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,0x0bffffff,
    0x7ffffec4,0x3a002eff,0xffffffff,0xffffffff,0xfd98000c,0x02ffffff,
    0x3fffffa0,0xffffffff,0x4c00cfff,0x7cc02fff,0xff9002ff,0x417ffccf,
    0x9300aefb,0xbffffffd,0xfffff883,0xffffffff,0xf53fffff,0xfff003ff,
    0xffffffff,0x7fffffff,0x3ffffffe,0xffffffff,0x3fe03fff,0x3ffe604f,
    0x0fff9002,0x000fffb8,0xfc80dffb,0x7fc404ff,0xfffc806f,0x3fea0003,
    0xffffffff,0xffffffff,0x413ffe07,0x4001fffa,0x7002fff9,0x3e601fff,
    0xffb002ff,0x7dc0003f,0xfff982ff,0xffffffff,0x5fffffff,0xfffffff3,
    0xffffffff,0x2200bfff,0x80009aa9,0xfffffffe,0xbdefffff,0x55100000,
    0xffd00013,0xffffffff,0x0017bdff,0x300bffe6,0x32005fff,0x3ffe67ff,
    0x44001882,0x0000aaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01999930,0x555014c0,0x554c0005,
    0x8599951a,0x2202ccc9,0xa800cccc,0x2aaa3ccc,0x55000002,0x55555555,
    0x55555555,0x64155555,0xccb82ccc,0xa8e664c4,0x20000aaa,0x5530aaa8,
    0x54000035,0x322002aa,0xcb98801c,0x8000009a,0x00002aa8,0xdb930000,
    0x000379df,0x55400007,0x550001aa,0x55555555,0x20013555,0xaaaaaaaa,
    0x01aaaaaa,0x555554c0,0xaaaaaaaa,0x1aaaaaaa,0x2aaaaaa6,0xaaaaaaaa,
    0x530aaaaa,0x4c000155,0x55510aaa,0x80000001,0x1003fffe,0x7fdc07f9,
    0xff88003f,0x3fffa1ff,0x803bffa0,0x405ffffe,0x3a2ffff8,0x000007ff,
    0xffffffff,0xffffffff,0x5fffffff,0x207fffd4,0x7fd47ffe,0x0bfffd3f,
    0x97ffd400,0x0005fffb,0x00bfff30,0xd5017ff4,0xdfffffff,0x7ec00003,
    0x3fffe07f,0xffffffff,0x07ffffff,0x3fffff66,0x800cffff,0x100007ea,
    0x000dffff,0x3ffffffe,0xffffffff,0x7fff403e,0xffffffff,0x800cffff,
    0xfffffffd,0xffffffff,0x324fffff,0xffffffff,0xffffffff,0xfffb1fff,
    0x7fdc0003,0x05fff32f,0x7d400000,0x3fe005ff,0x7fff403f,0x7ffe4000,
    0xbafffc44,0x3f201fff,0x204ffeff,0x7f43fffb,0xf000007f,0xffffffff,
    0xffffffff,0x85ffffff,0x7f44fffb,0x9fffd47f,0x003ffffe,0x225fff50,
    0x0000ffff,0x002fffc8,0xb105fffb,0xffffffff,0x0001bfff,0x207fffa8,
    0xffffffff,0xffffffff,0xfff507ff,0xffffffff,0x7fdc05ff,0xff700007,
    0xf0003fff,0xffffffff,0xffffffff,0x7ffff40b,0xffffffff,0x00cfffff,
    0x3ffffff6,0xffffffff,0x24ffffff,0xfffffffc,0xffffffff,0xffb1ffff,
    0x7dc0003f,0x5fff32ff,0x74000000,0xf1000eff,0xffa807ff,0x3fe2004f,
    0xfffa80ff,0x2a02fffc,0xfffabfff,0xd0bfff02,0x00000fff,0x3ffffffe,
    0xffffffff,0xffffffff,0x20fffd82,0x7fd47ffe,0xfffffd3f,0xfff50001,
    0x01fffe45,0x03fffc00,0x82ffffb8,0xacdffffe,0x05ffffdc,0x3fffe200,
    0x3ffffe07,0xffffffff,0x887fffff,0x30aeffff,0x01ffffd7,0x0001fff2,
    0x27fffff4,0x7ffffc00,0xffffffff,0x80dfffff,0xfffffffe,0xffffffff,
    0xfb01ffff,0xffffffff,0xffffffff,0x7fe49fff,0xffffffff,0xffffffff,
    0x03fffb1f,0x97ffdc00,0x0002fff9,0x3fff3000,0x1fffc400,0x00ffff40,
    0x203fffc8,0x04fffffc,0xfd97ffe6,0x77fdc1ff,0x007ffe80,0x3ea00000,
    0x740004ff,0x0aaaa3ff,0x3fa15551,0x8005ffff,0x3e62fffa,0x540006ff,
    0xfb804fff,0x7e42ffff,0xfd500dff,0x3a0007ff,0x2a07ffff,0xaaaaaaaa,
    0xffeaaaaa,0x4fffe82f,0x837ffec0,0x80007ffc,0xfffbfff9,0x37ffc000,
    0x7ffe4c40,0x07ffe85f,0xfffdb988,0xfffd81ff,0x7e400000,0xb00001ff,
    0x40003fff,0xff32fffb,0x0000005f,0x1000bff6,0xf3007fff,0xff300bff,
    0xfffd00df,0x7fff440b,0x83bffe20,0xffd01fff,0x0000000f,0x0027ffd4,
    0x001ffe20,0xffffffd0,0xfffa8007,0x007fff42,0x03fffb00,0x7fffff44,
    0x1bffe62f,0x03fffe20,0xfffff700,0xfb80000f,0xfffa84ff,0x3fffd006,
    0x000fff90,0xff1bff90,0xfff8007f,0x7ffd4006,0x03fff40f,0x7ffffd40,
    0x007ffec0,0x3fff2000,0xffb00001,0x7dc0003f,0x5fff32ff,0x00000000,
    0x07fff100,0x00bfff20,0x0005fffb,0x00000000,0x5557fffd,0x33555555,
    0x7fd40000,0x0000004f,0x3ffffa00,0x2a000fff,0x7fdc2fff,0xff10003f,
    0x7ffdc0df,0x2e2fffff,0xf7001fff,0x7cc003ff,0x007ffeff,0x17ffe600,
    0x800fffe4,0xfc83fff9,0xff80007f,0x00dffd3f,0x8006fff8,0x7f42fffb,
    0xff30007f,0xfffd87ff,0x7e400000,0xb00001ff,0x40003fff,0xff32fffb,
    0x0000005f,0x7dd4c000,0x202aadff,0x2606fff8,0x00006fff,0xd0000000,
    0xffffffff,0xffffffff,0xfa800017,0x000004ff,0x3bffa000,0x2005fffd,
    0x7c42fffa,0xf50006ff,0xffd105ff,0x5fff5dff,0x3003ffec,0x74007fff,
    0x07ffdbff,0xfffd1000,0x01fffa01,0x515fff88,0x555fffb5,0xfffa8003,
    0x003fff70,0x40037ffc,0x7f44fff9,0x3ea0007f,0x3ff60fff,0x6400000f,
    0x00001fff,0x0003fffb,0xf997ffdc,0x200002ff,0x5d442aa8,0xfb009bdd,
    0xffffffff,0x1fffdc01,0x201fffe8,0x36e62aa8,0x1aaa801b,0xe80d5540,
    0xffffffff,0xffffffff,0x2a0004ff,0x40004fff,0x2aa01aaa,0x1dffd01a,
    0x2007ffff,0xfd82fffa,0xfd8001ff,0xffff707f,0xf8bffe67,0x3e2005ff,
    0xff9004ff,0x001fff6b,0x817ffe40,0x4004edc8,0xfff35fff,0x09ffffff,
    0x226ffd80,0x3e005fff,0xf88006ff,0x3fff45ff,0x3fff6000,0x003fff63,
    0x3fff9000,0x3ff60000,0x3ee0001f,0x5fff32ff,0x0aaaa880,0x7e4fff30,
    0x1effffff,0xffffffd8,0x7fc00fff,0x7ffd40ff,0xabffd405,0x00efffff,
    0xff013ffe,0x3fffa09f,0xffffffff,0xffffffff,0xfff50003,0xfff80009,
    0x413ffe04,0xfff56ffe,0xfff5001f,0x09fff505,0x04fff880,0x7cc3dff7,
    0x004c42ff,0x007fff30,0x3f61fff5,0xf980007f,0x000005ff,0x3e67fff3,
    0xffffffff,0x3ffe2004,0x007ffec4,0x8006fff8,0x7f42fff9,0x7d40007f,
    0x3fff65ff,0x7e400000,0xb00001ff,0x40003fff,0xff32fffb,0x7ff4405f,
    0x5ffe605f,0xfffffffd,0x5d4c3fff,0x02aadfff,0x744fffa8,0x7d400fff,
    0xfffff9ff,0x27ffc06f,0x7413ffe0,0x2e2007ff,0x002fffff,0x004fffa8,
    0xf027ffc0,0x3ffa09ff,0x017fff66,0x7c0bffea,0x7dc007ff,0x05d701ff,
    0x0005fff3,0x803fff70,0x3f62fff8,0xfe80007f,0x000001ff,0x2a23fff7,
    0xaaafffda,0x3ffee001,0x01fffd41,0x8006fff8,0x7f40fffc,0x7c40007f,
    0x3fff67ff,0x7e400000,0xb00001ff,0x40003fff,0xff32fffb,0x3ffa205f,
    0x7ffcc04f,0xdbaceffd,0x880fffff,0xe8003fff,0xfff50fff,0xdfff5009,
    0x07ffffff,0x7c04fff8,0xfffd04ff,0xfffd1000,0xfff5000d,0xfff80009,
    0x413ffe04,0x3fe26ffe,0x7fd403ff,0x5fff902f,0x037ff400,0x17ffcc01,
    0x7fff4000,0x22ffec00,0x40007ffd,0x0004fffb,0x0dfff300,0x8001fff2,
    0xfff06ffe,0x1bffe00d,0x0bfff500,0x0000fffd,0x3f63fffd,0x400000ff,
    0x0001fffc,0x003fffb0,0x997ffdc0,0xfe882fff,0xff9804ff,0xfd103fff,
    0xfff107ff,0xfff30007,0x003fffa9,0x33ffffea,0xff801731,0x27ffc04f,
    0x0007ffe8,0x001ffff1,0x004fffa8,0xf027ffc0,0x3ffa09ff,0x07fffd46,
    0x205fff50,0x3004fff9,0x20007fff,0x0002fff9,0x2027ffdc,0x7ec0fffb,
    0x7fc0007f,0x800000ff,0x901ffff9,0x26000fff,0xff903fff,0xdfff003f,
    0x7ed4cc40,0xfffd05ff,0xfffb0000,0x003fff65,0x3fff9000,0x3ff60000,
    0xaaaaaabf,0xaaaaaaaa,0xff32fffd,0xfffe885f,0xffff3004,0x6fff9809,
    0x003fff88,0xff7fffb0,0x3fea005f,0xff0004ff,0x4fff809f,0x000fffd0,
    0x0017fff4,0x0013ffea,0x7c09fff0,0xdffd04ff,0x40bfffb0,0x3a02fffa,
    0xff9007ff,0x3e60001f,0x260002ff,0x2200ffff,0xffd82fff,0x3fea0007,
    0xa800005f,0x3203ffff,0xfb0007ff,0x3fe601ff,0xffff805f,0xffffffff,
    0x204fffff,0x80007ffe,0xffb2fffc,0xffffffff,0xffffffff,0xefffc87f,
    0xeeeeeeee,0x6c0eeeee,0xffffffff,0xffffffff,0x32ffffff,0xffd85fff,
    0x3fe6004f,0xffe800ff,0x03fff887,0x54ccccc4,0x9fffffff,0x54099999,
    0x0000ffff,0xff809fff,0x0fffd04f,0x1fffdc00,0xb9999998,0x9999cfff,
    0x9fff0019,0xe827ffc0,0xfff886ff,0x5fff503f,0x017ffd40,0x00027ffc,
    0x0005fff3,0x00bfffe6,0x3f609ffd,0x3f60007f,0x400001ff,0x403ffffa,
    0x88007ffc,0x7f405fff,0x7ffc00ff,0xffffffff,0x02ffffff,0x0001fffa,
    0x7ecfffee,0xffffffff,0xffffffff,0x7ffe43ff,0xffffffff,0x40ffffff,
    0xfffffffd,0xffffffff,0x2fffffff,0x7ec5fff3,0x7cc004ff,0xffb005ff,
    0x07fff10f,0xffffffd8,0xffffffff,0x543fffff,0x20005fff,0x7fc04fff,
    0x0fffd04f,0x27ffd400,0xfffffff8,0xffffffff,0xfff800ff,0x413ffe04,
    0xff506ffe,0xfff501ff,0x2fffc405,0x007ffea0,0x02fff980,0x4ffff980,
    0xb037fe40,0x22000fff,0x00006fff,0x01ffffd4,0x4003ffe4,0x5c02fffb,
    0x7fc03fff,0xffffffff,0xffffffff,0x07ffe81e,0x3fffb800,0xfffffffb,
    0xffffffff,0xfc87ffff,0xffffffff,0xffffffff,0x7ffffec0,0xffffffff,
    0xffffffff,0x25fff32f,0x8003fffd,0x9004fff9,0x7ffecfff,0xd87fffff,
    0xffffffff,0xffffffff,0x7fd43fff,0x3fe0004f,0x27ffc04f,0x0007ffe8,
    0x7c0bfff2,0xffffffff,0xffffffff,0x04fff800,0x7f413ffe,0x3fff606f,
    0x02fffa86,0xb007ffe4,0x98000dff,0x4c002fff,0x4c05ffff,0x3f601fff,
    0xff70007f,0x4400007f,0x9002ffff,0xfd000fff,0xfff100ff,0xaffff80d,
    0xaaaaaaaa,0x2fffffdc,0x0003fff4,0xfd97ffe4,0xaaaaabff,0xaaaaaaaa,
    0x7ffe40aa,0xcccccccd,0xd84ccccc,0x9999afff,0x99999999,0x32fffc99,
    0xfffb5fff,0x3fe60009,0xfff9003f,0x7fffffec,0xeeec87ff,0xfffeeeee,
    0xeeeeeeee,0x01fffd42,0x809fff00,0xffd04fff,0x7ff4000f,0x5555501f,
    0x55bfff95,0xf0015555,0x7ffc09ff,0x40dffd04,0x543ffff8,0x7cc02fff,
    0xfff103ff,0xff980007,0x3fea002f,0x7f4405ff,0x3ffec04f,0x07ffe800,
    0x7ffe4000,0x1fff2002,0x3bfff300,0x33333333,0x7c05fffd,0x74c006ff,
    0x3fa0ffff,0xfe80007f,0x1fffb1ff,0xffc80000,0xfb00001f,0x5c0003ff,
    0xfff32fff,0x01ffffff,0x05fff300,0xcb9fff20,0x4ccefffc,0x1fffa800,
    0x17ffd400,0x09fff000,0xfd04fff8,0x3ee000ff,0x54000fff,0x40004fff,
    0x3fe04fff,0x0dffd04f,0x20ffffa8,0xe802fffa,0xfff706ff,0xff980001,
    0xfff7002f,0xdff9009f,0x00fffb00,0x009fff50,0x05fff800,0x003ffe40,
    0x3ffffff2,0xffffffff,0x3fe05fff,0xfd88006f,0x1fffa4ff,0x3fffe000,
    0x001fffb0,0x1fffc800,0xfffb0000,0x7fdc0003,0xfffff32f,0x000bffff,
    0x2005fff3,0xff887ffc,0x7d40003f,0x7d4001ff,0x3e0001ff,0x7ffc04ff,
    0x00fffd04,0x3ffffc88,0x4fffa800,0x27ffc000,0x3a09fff0,0xffd806ff,
    0x0bffea6f,0x203ffee0,0x80005ffe,0xc802fff9,0xa803ffff,0xaaaacfff,
    0xfffeaaaa,0xfd802aaa,0x200001ff,0x4002fff8,0x7c007ffc,0xffffffff,
    0xffffffff,0xdfff00ff,0x3ffea000,0x001fffa7,0x6cffff10,0x00000fff,
    0x000fffe4,0x01fffd80,0x4bffee00,0xebfffff9,0x4c002fff,0xf9002fff,
    0x7fff10ff,0xaaaaa980,0xabfffcaa,0x41aaaaaa,0x0001fffa,0xff013ffe,
    0x3fffa09f,0xaaaaaaab,0xfffffecc,0xfff50006,0xfff80009,0x413ffe04,
    0xf8806ffe,0xfff53fff,0x7fff1005,0x002fff98,0x02fff980,0x0bffff62,
    0x7ffffdc0,0xffffffff,0x06ffffff,0x002fffc4,0x03ffea00,0x00fff900,
    0x7fffffd4,0xffffffff,0xf04fffff,0x7c000dff,0xfffd0fff,0xfff98000,
    0x003fff66,0x3fff9000,0x3ff60000,0x3ee0001f,0xffff32ff,0x03fffe65,
    0x02fff980,0xf10fff90,0xffd807ff,0xffffffff,0xffffffff,0x0fffd43f,
    0x09fff000,0xfd04fff8,0xffffffff,0xffffffff,0x2a0003df,0x40004fff,
    0x3fe04fff,0x0dffd04f,0x23fffea0,0xb002fffa,0x7ffc8dff,0xfff30000,
    0x3fffa205,0x3fee001f,0xffffffff,0xffffffff,0x7ffdc06f,0x7dc00002,
    0x7e4000ff,0x3ff6007f,0x7fcc000f,0x0dfff07f,0x8ffff400,0x40007ffe,
    0x3f63fffd,0x400000ff,0x0001fffc,0x003fffb0,0x997ffdc0,0x7fdc3fff,
    0x3fe6005f,0xfff9002f,0x807fff10,0xfffffffd,0xffffffff,0x7d43ffff,
    0x3e0001ff,0x7ffc04ff,0xfffffd04,0xffffffff,0x0007ffff,0x004fffa8,
    0xf027ffc0,0x3ffa09ff,0x3fff6006,0x002fffae,0x7fc3fff5,0xf300004f,
    0xffd105ff,0xfb8001df,0xffffffff,0xffffffff,0x7fec06ff,0x5400000f,
    0xfc8006ee,0xfff1007f,0x3ffa000d,0x06fff82f,0xe9fffe00,0x260007ff,
    0x3f60ffff,0x400000ff,0x0001fffc,0x003fffb0,0x997ffdc0,0xffe82fff,
    0xfff3002f,0x1fff2005,0x26027ffc,0xcaaaaaaa,0xaaaabfff,0x7fd41aaa,
    0x3fe0001f,0x27ffc04f,0xffffffe8,0xceefffff,0xa80000ac,0x40004fff,
    0x3fe04fff,0x0dffd04f,0x77fffc40,0x3e002fff,0x1fff34ff,0x3fe60000,
    0xefffe82f,0xb0000000,0xff800fff,0x0000006f,0x07ffc800,0x007fff70,
    0x217ffea0,0x30006fff,0x7ff4dfff,0x3ffa0007,0x07ffec4f,0x3ff20000,
    0xfb00001f,0x5c0003ff,0xfff32fff,0x1ffff305,0x05fff300,0x7c1fff20,
    0x540005ff,0x54001fff,0x20001fff,0x7fc04fff,0x0fffd04f,0x54000000,
    0x40004fff,0x3fe04fff,0x0dffd04f,0xfffffa80,0x3f2002ff,0x00bff96f,
    0x17ffcc00,0x003bffee,0xffd80000,0x3ffe2007,0x00000005,0x00fffb80,
    0x000fffe8,0x81ffff10,0xd0006fff,0x7ff49fff,0xfff90007,0x0fffd81f,
    0x7fe40000,0xfb00001f,0x5c0003ff,0xfff32fff,0x17fff205,0x00bffe60,
    0xff83ffe4,0x80019bff,0x4001fffa,0x0001fffa,0xff013ffe,0x1fffa09f,
    0xa8000000,0x40004fff,0x3fe04fff,0x0dffd04f,0xfffffb00,0x7fc4005f,
    0x002fff9f,0x8bffe600,0x000ffff8,0x7fec0000,0x3ffea007,0x98800004,
    0x7dc00099,0x98099dff,0x40005fff,0x7fc4fffc,0x7ecc006f,0x3ffa1fff,
    0x7ff54007,0xfffd84ff,0x7e400000,0xb00001ff,0x40003fff,0xff32fffb,
    0x7fff405f,0x17ffcc02,0xb07ffc80,0x03ffffff,0x01fffa80,0x00fffd40,
    0x809fff00,0xffd04fff,0x0000000f,0x0027ffd4,0xf813ffe0,0xdffd04ff,
    0xffff1000,0xfd8005ff,0x0007ffdf,0xb17ffcc0,0x55559fff,0x55555555,
    0x7ec00035,0x3ff2007f,0xd800002f,0x4c002fff,0x85ffffff,0x0002fffc,
    0x3e3fffcc,0xaaaaafff,0xffeccbaa,0x7ff43fff,0xbaaaaabf,0xfffffedc,
    0x7fffb04f,0x55555555,0x55555555,0x07fff215,0x7ffec000,0x3fee0001,
    0x05fff32f,0x007fffcc,0x2005fff3,0xff107ffc,0x8005ffff,0x4001fffa,
    0x0001fffa,0xff013ffe,0x1fffa09f,0xa8000000,0x40004fff,0x3fe04fff,
    0x0dffd04f,0x3fffea00,0x7fd4002f,0x00004fff,0xf997ffcc,0xffffffff,
    0xffffffff,0x3f60005f,0x3ff2007f,0xd800001f,0xd8002fff,0xf86fffff,
    0xd00007ff,0x7ffc5fff,0xffffffff,0xffffffff,0xfffffe84,0xffffffff,
    0x204fffff,0xfffffffd,0xffffffff,0x91ffffff,0x00003fff,0x0007fff6,
    0xf32fffb8,0xffc805ff,0x3ffe605f,0x0fff9002,0x27fffed4,0x07ffea00,
    0x03fff500,0x027ffc00,0x7f413ffe,0x0000007f,0x013ffea0,0x409fff00,
    0xffd04fff,0x7fec000d,0xff8002ff,0x00001fff,0xfb97ffcc,0xffffffff,
    0xffffffff,0x3f60005f,0x3ff6007f,0xfb000007,0x320005ff,0x7d47fffe,
    0x700004ff,0x7ffcbfff,0xffffffff,0x2effffff,0xffffffd0,0xffffffff,
    0xfd803bff,0xffffffff,0xffffffff,0xff91ffff,0x3600003f,0x20001fff,
    0xff32fffb,0xfff8805f,0x5fff302f,0x01fff200,0x540004c4,0x54001fff,
    0x20001fff,0x7fc04fff,0x0fffd04f,0x54000000,0x40004fff,0x3fe04fff,
    0x0dffd04f,0x7fffc400,0xfffc8002,0xf9800006,0xffff92ff,0xffffffff,
    0x0bffffff,0x03ffec00,0x000dffd0,0x0bfff600,0xb0331000,0x00003fff,
    0x7c7fffe2,0xffffffff,0x1cceefff,0x7fffff40,0xdeffffff,0xffb000bc,
    0xffffffff,0xffffffff,0x3ff23fff,0xfb00001f,0x5c0003ff,0xfff32fff,
    0xffff5005,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555100,
    0x55555555,0x35555555,0x00015554,0x44355553,0x40000aaa,0x4c00aaa8,
    0x553eefdb,0x55000055,0x00005555,0x542aaaaa,0xaaaaaaaa,0x01aaaaaa,
    0xaaaaaa98,0xaaaaaaaa,0x2a60009a,0x300002aa,0xaaa85555,0xaaaaaaaa,
    0xaaaaaaaa,0x5510aaaa,0x55500035,0x55300055,0x55554415,0x55540000,
    0x3332a00a,0xcccccccc,0xcccca803,0x3ccccccc,0x0e666400,0x66664c00,
    0x4ccccccc,0x99999700,0x05999999,0x33333326,0x224ccccc,0xdddb2aaa,
    0xdddddddd,0xdddddddd,0x02800009,0x00377540,0x3fffffee,0xffffffff,
    0x24ffffff,0x50006fff,0xf98bffff,0x540002ff,0x3f601fff,0xff4fffff,
    0xff0000df,0x0003ffff,0x0fffffa8,0xfffffffd,0xffffffff,0x3ff6017d,
    0xffffffff,0xefffffff,0xffff9803,0x7fc40003,0x7fffc3ff,0xffffffff,
    0xffffffff,0xfff32fff,0xfff8800b,0x7ec000ff,0x7ffec0ff,0x3ff20006,
    0x7ffec04f,0xffffffff,0xffffc806,0x6fffffff,0x1ffffc00,0x7fffdc00,
    0x7fffffff,0xfffffd00,0x09ffffff,0x3fffffee,0x50ffffff,0x0012bfff,
    0xb9880900,0x7d42cdec,0xfff5000e,0xffffb800,0xffffffff,0xffffffff,
    0x001bffe4,0x217fffea,0x0002fff9,0xb80fffd4,0x3fffffff,0x0000dfff,
    0x09ffffff,0xffffd800,0xfffffd0f,0xffffffff,0xb09fffff,0xffffffff,
    0xffffffff,0xc803dfff,0x0000ffff,0x3e17fff6,0xffffffff,0xffffffff,
    0x22ffffff,0x54007fff,0x002fffff,0x7c437ffc,0xa8004fff,0xfd806fff,
    0xffffffff,0xffc806ff,0xffffffff,0x7ffc006f,0xffb8003f,0xffffffff,
    0xfffd007f,0xffffffff,0x3fffee09,0xffffffff,0x12bfff50,0x54090000,
    0xffffffff,0x005ff9bf,0x7001ffea,0xffffffff,0xffffffff,0x7fc9ffff,
    0x7fd4006f,0xfff305ff,0xffa80005,0xffff881f,0xfff1aabe,0xfff0000d,
    0x4000dfff,0x0ffffff8,0xfffffffd,0xffffffff,0xfd87ffff,0xeeeeeeff,
    0xfffeeeee,0x7400ffff,0x50005fff,0xff01ffff,0xffffffff,0xffffffff,
    0x6c5fffff,0x32000fff,0x005fffff,0x5413ffe6,0x2001ffff,0x801ffff8,
    0xaaaaaaa9,0x9802aaaa,0xaaaaaaaa,0x7c002aaa,0x98003fff,0xaaaaaaaa,
    0x55002aaa,0x55555555,0x2aa20355,0xaaaaaaaa,0x57ffea2a,0x42400004,
    0xffffffd8,0xffffffff,0x1ffea000,0xf7000000,0x7ffc3fff,0x3ffea006,
    0x3ffe605f,0x7fd40002,0x4fff981f,0x001bffe0,0x3fffffe0,0xff50001f,
    0x3fa1ffff,0x3ee6007f,0x3f62ffff,0x6cc000ff,0x4c04ffff,0x4003ffff,
    0x002ffff8,0x013ffea0,0x00bffee0,0x7ffdfff8,0x07ffee00,0x00efffc8,
    0x007fffd0,0x00000000,0x7fffc000,0x00000003,0x00000000,0x4a7774c0,
    0x74240000,0xa9acffff,0x02fffffb,0x003ffd40,0xfff50000,0x06fff87f,
    0x09ffff50,0x002fff98,0x40fffd40,0x3e01fff9,0xf80006ff,0x04fffeff,
    0xfffffb00,0x01fffa1f,0x9bfffa20,0x0000fffd,0x900ffff7,0x4001ffff,
    0x0005fffc,0x0027ffd4,0x8027ffc4,0xfff9fff9,0x0fffb001,0x009fffd0,
    0x000bfff9,0x00000000,0x00000000,0x00000000,0x12000000,0xfb890000,
    0xfd101eff,0xfa800bff,0x0000007f,0xf09ffff3,0xff500dff,0xff3009ff,
    0xfa80005f,0xfffa81ff,0x01bffe01,0x33bffe00,0xf88006ff,0xd0fffcff,
    0x22000fff,0xffb0ffff,0x7ec0001f,0xffe801ff,0xfff3005f,0xfa80001f,
    0xfd0004ff,0x3fee00df,0x2007fff6,0xf9805fff,0x3ea02fff,0x88000eff,
    0x09bcedba,0x00555440,0x0002aa98,0xcba88000,0x0009acde,0xbcecb988,
    0xaaa80009,0x00048001,0xffff1240,0x7fffcc01,0x3fea002f,0x88000007,
    0xff05ffff,0xfffa80df,0xfff3004f,0xffa80005,0x0fffa81f,0x001bffe0,
    0x3e7bffe0,0x7dc001ff,0xd0fffccf,0x74000fff,0xfffb2fff,0x7fdc0001,
    0xfff9803f,0xfffe802f,0xffa80002,0xff90004f,0x9ffb001f,0x2601bff2,
    0xf7003fff,0xff101fff,0xf70003ff,0xffffffff,0x0fffd405,0x227ffc80,
    0xaaaaaaaa,0xaaaaaaaa,0x3fff6202,0x2effffff,0x3fffea00,0x001fffff,
    0x40027ffc,0x92400004,0x7c407fff,0x006fffef,0x0001ffea,0x3bfffa00,
    0x40dfff00,0x004ffffa,0xa88bffe6,0x2a01bcdc,0x95531fff,0x15557fff,
    0x00037ffc,0xfffb7ffc,0x57fec004,0xffd0fffc,0x7fe4000f,0x01fffb3f,
    0x2fffcc00,0x0ffffc80,0x013fff20,0x27ffd400,0x2fffa800,0xf51fff80,
    0xffb801ff,0x3ffa001f,0x3fffe85f,0x7fff4c00,0xffffffff,0x1fffa80d,
    0x54fff900,0xffffffff,0xffffffff,0xfffff707,0xffffffff,0xfffd8809,
    0xffffffff,0x13ffe004,0x00001200,0x2037ff49,0xfffd9ffd,0x99999930,
    0x999fffb9,0x00099999,0x01ffffc8,0x7d41bffe,0x4c003fff,0xfff92fff,
    0x503fffff,0x3ff23fff,0xffffffff,0x001bffe2,0x7e5bffe0,0x3fe2006f,
    0x3a1fff97,0x2a0007ff,0xfffb4fff,0x7fdc0001,0x3ffa004f,0xdfff305f,
    0x3ea00001,0xf10004ff,0xffa809ff,0x00bffe27,0x8800fffb,0x3f23ffff,
    0x744005ff,0xa9abefff,0xa86ffffc,0xf9001fff,0x7fffd4ff,0xffffffff,
    0xfb87ffff,0xa99acfff,0x00ffffeb,0x2afffffa,0x5ffffca9,0x009fff00,
    0x48000090,0xfc813ffe,0x23fff52f,0xfffffffb,0xffffffff,0x20007fff,
    0x402ffffb,0xffa86fff,0xf98003ff,0xffffdaff,0x41ffffff,0xff91fffa,
    0xffffffff,0x0037ffc5,0xf9b7ffc0,0xff7001ff,0x743fff29,0x320007ff,
    0xfffb2fff,0x7fec0001,0x3fe6003f,0xfffe82ff,0x3ea00001,0x3a0004ff,
    0x7fe405ff,0x2027ff45,0xa8004fff,0xff98ffff,0x7e4000ef,0xfd300dff,
    0xfffa87ff,0x4fff9001,0xccccccc9,0xffebcccc,0x0fffe84f,0x827ffe40,
    0x100dfffb,0xf003fffd,0x090009ff,0xff148000,0x93fea07f,0xff72fff9,
    0xffffffff,0xffffffff,0x3fe6000f,0xfff804ff,0x1ffffd46,0xffff9800,
    0xfbaadfff,0x3ea0ffff,0xf95531ff,0x415557ff,0x80006fff,0x3ffe6fff,
    0x23ffd004,0xffd0fffc,0x7ff4000f,0x01fffb1f,0x3fffea00,0x7ffe4001,
    0x027ffdc6,0x3ffea000,0x3ff20004,0x21fff407,0x3e607ffc,0xfb0002ff,
    0x3fffdbff,0x5fffa800,0x0ffff880,0x4007ffea,0x20007ffc,0xfa85fffb,
    0xfff002ff,0x0dfff10d,0x201bffa0,0x48004fff,0xf9a40000,0x6ff882ff,
    0xc99fffc4,0xfdcccccc,0xccccccff,0xff88004c,0xfff005ff,0x2ffffd4d,
    0xffff3000,0x3ff6209f,0x07ffea4f,0xf803ffea,0xf80006ff,0x1bff26ff,
    0xfc9ffe20,0x0fffd0ff,0x3fffee00,0x001fffb0,0x09ffff90,0x4ffffa00,
    0x0006fff8,0x04fffa80,0x07ffea00,0x2607ffc4,0xff701fff,0x3a20001f,
    0x03ffffff,0x01fffe80,0x549fff70,0xf9001fff,0x3ea000ff,0xffc80eff,
    0x1fff6006,0x4007fff2,0x7c02fffa,0x048004ff,0xffaa4000,0x40ffe82f,
    0x5003fff8,0x00000fff,0x001dfffd,0x7fd5bffe,0x0001ffff,0x80bffff3,
    0x3ea6fff8,0xfffa81ff,0x01bffe00,0x99bffe00,0x7dc01fff,0x43fff24f,
    0x44007ffe,0x363ffffc,0xaaaabfff,0xfedcbaaa,0x000effff,0xb1ffff30,
    0x00003fff,0x009fff50,0x81fffc40,0xfff06ffb,0x01bff607,0xfffff300,
    0x3ffe000b,0x37ff4005,0x2003fff5,0x98007ffc,0x0800ffff,0x21fff200,
    0x7c006ffe,0x7ffc04ff,0x00048004,0x2fff9a40,0x7cc17fe4,0xff5002ff,
    0xfc80000f,0x3e001fff,0xffffbeff,0x8000efff,0xb007fff9,0x7ffd4fff,
    0x00fffa81,0x0001bffe,0xfff1bffe,0x21ffe809,0xffd0fffc,0x5555557f,
    0xffffd995,0xffffd8df,0xffffffff,0xdfffffff,0x7fe40000,0x003fffef,
    0x9fff5000,0x5ffe8000,0x3609ffb0,0x9fff05ff,0xfff90000,0xff10003f,
    0xffd8007f,0x007ffea7,0x2003ffe4,0x001ffff8,0x3ffaa200,0x004fff87,
    0x3e02ffec,0x048004ff,0xff8a4000,0x413fea3f,0x5001fffa,0x40000fff,
    0x002ffffb,0x7ffffffc,0x05fffeaf,0x05fff980,0x7d4fff90,0xfffa81ff,
    0x01bffe00,0x91bffe00,0x7fc40dff,0xe87ffe46,0xffffffff,0xffffffff,
    0x7fec1eff,0xffffffff,0xefffffff,0x3fa00002,0x0006ffff,0x13ffea00,
    0x0fff7000,0x7dc0bffe,0x7ffc40ff,0x7fc40001,0xa8005fff,0x64002fff,
    0xfff50fff,0x1fff2003,0x2fffe880,0xb9531000,0x8ffffffd,0xeeeefff8,
    0xeeeeeeee,0x7fc07fff,0x0048004f,0xbfff2400,0xfb81bfe6,0xff5000ff,
    0x3e60000f,0xf8004fff,0x32ffffff,0x8005ffff,0x7004fff9,0x3fea1fff,
    0x0fffa81f,0x001bffe0,0xf31bffe0,0x3fee03ff,0xe87ffe43,0xffffffff,
    0xffffffff,0xffffb03f,0xffffffff,0x00015dff,0xfffff300,0x54000001,
    0x40004fff,0x7cc0fff9,0xfff300ff,0x007ffa85,0xfffffd80,0x7fdc003f,
    0x7fdc001f,0x03fff51f,0x801fff20,0x4004fffe,0xfffffec9,0x47ffffff,
    0xfffffffa,0xffffffff,0x7fc07fff,0x0048004f,0xfffb2400,0x7401ffd1,
    0x3ea007ff,0xf880007f,0xf0005fff,0xc83fffff,0x2000ffff,0x7003fff9,
    0x3fea1fff,0x0fffa81f,0x001bffe0,0x3e1bffe0,0x3ffd04ff,0xfd0fffc8,
    0xffffffff,0x1599dfff,0x007ffec0,0x01bfffd5,0x3ff20000,0x4000003f,
    0x0004fffa,0x7e42fff8,0x1fffc05f,0x00017ff2,0xfffdfff7,0x7fe4003f,
    0x7fd4000f,0x03fff52f,0x401fff20,0x2005fffd,0xffffffd8,0xffdbefff,
    0x7ffffdc7,0xffffffff,0x00ffffff,0x98813ffe,0x00009099,0x3bfff248,
    0x3fea01ff,0x3fea005f,0xffe80007,0xff0000ef,0x3fa03fff,0x3e6006ff,
    0xff7002ff,0x07ffea1f,0xf803ffea,0xf80006ff,0x6ffc86ff,0xfc86ff98,
    0x0fffd0ff,0xfffb0000,0xffffb001,0xf7000003,0x000005ff,0x004fffa8,
    0x744ffd80,0x7fe403ff,0x001fff45,0xb1ffff30,0x2001dfff,0x4001fffb,
    0xff51fffb,0x3ff6003f,0x6fffc807,0x3fffa200,0x209bceff,0x7fd47ffc,
    0x999999bf,0x99999999,0x027ffc01,0x012bfff5,0x7fc49000,0x3a203fff,
    0x2a000fff,0x640007ff,0x0001ffff,0x8807fffe,0x3004ffff,0x2e005fff,
    0xfff50fff,0x01fff503,0x00037ffc,0x7cc37ffc,0x1ffdc1ff,0xfe87ffe4,
    0xd800007f,0xfb000fff,0x00001fff,0x002fffb8,0x7ffd4000,0xffb80004,
    0x007ffe26,0x7fc4fff5,0xfd10001f,0x3ffe25ff,0xfff5004f,0xfffc8005,
    0x003fff50,0xf701fff6,0x6c001dff,0x400aefff,0x7fcc7ffd,0x2000003f,
    0x3ea04fff,0x000095ff,0x7fffd448,0xffffa81c,0x37754002,0xffff5000,
    0xfff80005,0xffffb806,0x2fff9802,0x21fff700,0xfa81fffa,0x3ffe00ff,
    0xfff80006,0xe89ffd06,0xfffc80ff,0x000fffd0,0x01fffb00,0x037fff40,
    0x3ffee000,0x54000002,0x80004fff,0xff50fff9,0x1fff100f,0x8001ffea,
    0x7d45fffd,0xf8802fff,0x7ec003ff,0x3fff50ff,0x81fffa00,0x001ffffa,
    0x80077ffc,0xfff87fff,0x3e000004,0x3fea04ff,0x8000095f,0x7ffffc44,
    0xfffedcef,0x0000005f,0x07ffff30,0x0dfff000,0x03ffff60,0x005fff30,
    0x7d43ffee,0xfffa81ff,0x01bffe00,0x41bffe00,0x3fe66ffc,0x21fff906,
    0x00007ffe,0x000fffd8,0x017fffe6,0x2fffb800,0x7d400000,0xf00004ff,
    0x13ff65ff,0xfc97ff40,0xff70004f,0xfff901df,0xdfff001f,0x2fffc400,
    0x1005fff3,0x3e60ffff,0x4c002fff,0xf1004fff,0xdffd0fff,0x03cdd800,
    0xf5027ffc,0x00012bff,0xffffd890,0xffffffff,0xaaa880cf,0xaaaaaaaa,
    0x2aaaaaaa,0x05fffe88,0x0dfff000,0x17fffe20,0x005fff30,0x7d43ffee,
    0xfffa81ff,0x01bffe00,0x41bffe00,0xff91fff9,0x43fff207,0x00007ffe,
    0x000fffd8,0x017fffe4,0x2fffb800,0x7d400000,0xb00004ff,0x0bffe7ff,
    0xfea7fe40,0xff98002f,0x3ffa01ff,0xfffd805f,0x7fff9002,0x4027ffcc,
    0xf887fffb,0xb8003fff,0xf7003fff,0xfff90fff,0x3fff2007,0x027ffc04,
    0x0004a7d4,0x15ff9240,0xfffffff9,0x7ffdc01b,0xffffffff,0x7fffffff,
    0x00efffd8,0x0dfff000,0x1ffffd40,0x005fff30,0x7d43ffee,0xfffa81ff,
    0x01bffe00,0x81bffe00,0x1fff4ffe,0x743fff20,0x800007ff,0x8000fffd,
    0x000ffffe,0x02fffb80,0x7fd40000,0xf700004f,0x01fff3bf,0x7fdbfe60,
    0x7f44000f,0x7fcc03ff,0x7fc403ff,0x7fcc00ef,0x3ffe20ff,0x3ffea01f,
    0x7fff447f,0xfff30004,0xffff700d,0xffff881f,0x7fffcc01,0x027ffc01,
    0x00049fe4,0x309f9240,0x2e003555,0xffffffff,0xffffffff,0x7ffe47ff,
    0x3e00000f,0x7e4006ff,0xff301fff,0x3fee005f,0x03fff50f,0x7c01fff5,
    0xf80006ff,0x3ff206ff,0x3205ff9e,0xfffd0fff,0xffb00000,0xff30001f,
    0x70000bff,0x00005fff,0x04fffa80,0x7fff1000,0xff800dff,0x8006ffaf,
    0x7006fffd,0xb803ffff,0xf701ffff,0xff905fff,0xffb883df,0x7fec7fff,
    0x3e20004f,0x3ee03fff,0xa80fffff,0xa883ffff,0xf805fffe,0x1fe804ff,
    0x44800009,0x7dc00002,0xffffffff,0xffffffff,0x3fffea7f,0x7fc00001,
    0xffe8006f,0xfff980ff,0x1fff7002,0x2a07ffea,0x3fe00fff,0xff80006f,
    0x3ffe606f,0x3f202ffe,0x0fffd0ff,0xfffb0000,0x3fee0001,0x5c0002ff,
    0x00002fff,0x027ffd40,0xfdffd000,0xffd8009f,0x54004ffd,0x2000ffff,
    0xe806fffd,0xdcdeffff,0x304fffff,0xdbffffff,0xfff5dfff,0x222fffe4,
    0x99999999,0x3fffee09,0xfffebbdf,0xb01fffcf,0xb9bdffff,0x00dfffff,
    0xf9013ffe,0x666666cf,0xcccccccc,0x05cccccc,0x00000000,0xdffff880,
    0xaaaaaaaa,0xaaaaaaaa,0x01bffe2a,0x17fffe60,0x400bffe6,0xff50fffb,
    0x1fff503f,0x557fffc0,0xaaaaaaaa,0xfff0aaaa,0xffffe80d,0x3fff200f,
    0x000fffd0,0x01fffb00,0x37fff400,0x3ffee000,0x54000002,0x00004fff,
    0x07fffff2,0xfffff700,0x7ffc4003,0x7fc4002f,0xffb804ff,0xffffffff,
    0x7ffd403f,0x8effffff,0xfff37ff9,0xffffffff,0xbfffffff,0xffffffd8,
    0xff0dffff,0x7ffdc09f,0xffffffff,0x9fff000e,0x00077d40,0x00000000,
    0x22000000,0xffffffff,0xffffffff,0x0fffffff,0x2000dfff,0x4c3ffffb,
    0xf7002fff,0x3ffea1ff,0x00fffa81,0x3ffffffe,0xffffffff,0xdfff3fff,
    0x5ffffc80,0xe87ffe40,0x800007ff,0x0000fffd,0x013fffe6,0x02fffb80,
    0x7fd40000,0x2a00004f,0x8007ffff,0x007ffff9,0x002ffff4,0x02ffffa8,
    0xfffffd98,0xb1000bdf,0x19dfffff,0x7fcdffe6,0xffffffff,0xffffffff,
    0xffffea85,0x7fec2eff,0x7ffec407,0x002effff,0x32027ffc,0x00000000,
    0x00000000,0xfffff880,0xffffffff,0xffffffff,0x0dfff0ff,0x7ffff400,
    0x00bffe61,0xfa87ffdc,0xfffa81ff,0x3ffffe00,0xffffffff,0xff3fffff,
    0xfff980df,0x7ffe402f,0x000fffd0,0x01fffb00,0xffffc800,0xfff70001,
    0xa8000005,0x00004fff,0x017fffe2,0x02ffff40,0x01dfff90,0x7fffec00,
    0x06aa2000,0x02aa6000,0x7ffffcc0,0xffffffff,0x205fffff,0x0001aaa9,
    0x09aa9880,0x00000000,0x00000000,0x20000000,0xfffffff8,0xffffffff,
    0xffffffff,0x000dfff0,0x877fffc4,0x7002fff9,0x3fea1fff,0x0fffa81f,
    0x3fffffe0,0xffffffff,0xfff3ffff,0x1fffd00d,0xd0fffc80,0x00000fff,
    0x0001fffb,0x06ffff88,0x05fff700,0xffa80000,0x7400004f,0x90003fff,
    0x2a007fff,0x0001ffff,0x02ffff44,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x53000aaa,0x05554c55,0x33b6ea20,0xddd1009b,0xecba8809,
    0x00009acd,0x0579d951,0x3b6ea200,0x544009bc,0x553000aa,0x9db95005,
    0x32a20015,0x00009bce,0x379d9731,0xd9750001,0x3000359b,0x179bdb95,
    0x37b2e620,0x1554402c,0x006f72a2,0x0179bb71,0xba885551,0x51009bdd,
    0xaa880155,0x555440aa,0xaaaaaaaa,0x542aaaaa,0x155511aa,0x22aa9800,
    0x2aa2aaa8,0x553001aa,0x31554435,0xaaa837b7,0x05555002,0x00c2aaa0,
    0x00010000,0x26200044,0xffa80009,0xfff9001f,0x7017ffe4,0xffffffff,
    0xbfff105f,0x3ffff620,0x02efffff,0xffffd910,0x4005dfff,0xfffffffb,
    0x3fea02ff,0xfff9001f,0x7ffffdc0,0xd504ffff,0xffffffff,0xfffa8005,
    0x01ffffff,0xfffffd50,0x3001dfff,0xfffffffd,0x7fd41dff,0x2effffff,
    0x7ecfff30,0x43ffffff,0xffffffe8,0x93ffcc2e,0xdfffffff,0x03fff303,
    0x427fff44,0xfffffffa,0xffffffff,0x8a7ffc7f,0x74004fff,0x3ffe65ff,
    0x01bffee6,0xa83fffe6,0xffff57ff,0x3fff21df,0x3fffcc00,0xd87ffd40,
    0x200000cf,0xe88005f8,0x2ffec005,0x0fffd400,0x327ffc80,0xfe982fff,
    0xffffffff,0x3fe20dff,0xffffb85f,0xffffffff,0x7ff4404f,0xffffffff,
    0x7ff4c03f,0xffffffff,0xfffa80df,0x0fff9001,0xffffffb1,0xa8bfffff,
    0xffffffff,0xd8804fff,0xffffffff,0x7dc04fff,0xffffffff,0x3ee03fff,
    0xffffffff,0xffc8efff,0xffffffff,0xb7ff984f,0xffffffff,0x3fffa25f,
    0x21ffffff,0xfffb7ff9,0x7fffffff,0x101fff98,0x2a09fffd,0xffffffff,
    0xffffffff,0xfb27ffc7,0x7fcc00ff,0x1bffe62f,0xe809fffb,0x7fd42fff,
    0xffffff9f,0x00bffea6,0x803ffff7,0x3ff66ffc,0x440001df,0xfd915ffe,
    0x3fa25bff,0x3ff6005f,0xfffa8005,0x4fff9001,0x7442fffc,0xa9abefff,
    0x226ffffc,0x7fdc5fff,0xba99acff,0x100ffffe,0x357dffff,0x05ffffd7,
    0x2fbfffa2,0xffffca9a,0x01fffa86,0xfd0fff90,0x7537bfff,0xf71bfffd,
    0x73359fff,0xe80bfffd,0xa9abffff,0x305ffffc,0x3337ffff,0x01ffffd9,
    0x359ffff9,0xfffff753,0x5357dfff,0x989ffff7,0xceffefff,0xaffffdba,
    0xfcabcfff,0x3fe66fff,0xbaceffdf,0x20fffffd,0xe881fff9,0x32604fff,
    0xcccccccc,0x4fffebcc,0xff527ffc,0x3ff2005f,0x237ffcc7,0x901ffff8,
    0xff509fff,0xffffffdf,0x404fff87,0x403ffffd,0x3ff63fff,0x000befff,
    0xfefffe88,0xffffffff,0x2004fffe,0xa8005ffd,0xf9001fff,0x0fff5cff,
    0x9817fff2,0x32a4fffe,0x07fff43f,0x413fff20,0x500dfffd,0x3f20ffff,
    0xfd300dff,0xfffa87ff,0x8fff9001,0x100ffffb,0xfffffffb,0x7ffe403d,
    0x1bfff702,0x07fffa20,0xb803fff6,0x7fc44fff,0x3fe200df,0x2204ffff,
    0x3e60fffd,0xf903ffff,0x101dffff,0x3e63ffff,0xd103ffff,0x7fcc7fff,
    0x7fff441f,0x7dc00004,0x4fff85ff,0xf802fffc,0x7774c4ff,0x86fffa84,
    0xf506fffa,0x2639ffff,0x037fec0b,0x817ffffe,0x3261fff9,0xcfffffff,
    0x7ff44000,0xffffffff,0x004fffff,0x4002ffec,0x9001fffa,0x43fb0fff,
    0x8805fffa,0x3ee1ffff,0x00bffea2,0x7cc37ffc,0xffd806ff,0x2fffd42f,
    0x07fffc40,0x2003fff5,0x3fe27ffc,0xffd802ff,0xe800ffff,0xfff886ff,
    0x0dffd006,0xfd009fff,0x0fffb8ff,0x5ffffb80,0x25fff880,0x204ffff9,
    0x00fffff8,0x7ccbffea,0x7cc04fff,0x3ffe66ff,0x13fffa21,0xfff50000,
    0x89fff01d,0x5400fffc,0xb0001fff,0x7fc49fff,0xfff501ff,0x3fea009f,
    0xffff300f,0x37fdc0ff,0xfffffd50,0x744005bf,0xa9acffff,0x005ffffd,
    0x8005ffd8,0x9001fffa,0x41fb0fff,0x7001fffe,0x07ec9fff,0x6c00dff9,
    0xfffc87ff,0x5fff9802,0x800ffff4,0x3ea4fffb,0xff9001ff,0x01fffd4f,
    0x3fffff98,0x85fff100,0x5001fffc,0xfff85fff,0x41aba804,0xf3005ffd,
    0x2a001fff,0xfff30fff,0x7fffb00d,0x33fff980,0xd001ffff,0x7ffccfff,
    0x07fffd11,0xfff98000,0x89fff00f,0x6c02fff9,0x220006ff,0xffb1fffe,
    0x7ffd407f,0xfff1000f,0x3f3fee07,0x9ffd01ff,0xffff9300,0x88017dff,
    0xf500efff,0xfb000dff,0xff5000bf,0x3ff2003f,0x3fe37c47,0x7ffc005f,
    0x0040bf76,0xfd0fff90,0x04d400df,0x2002fffc,0x3fea6ffe,0xfff9001f,
    0x2003ffe4,0x000ffffd,0xffd17ffa,0x4fff800d,0x0017fff4,0xf8800440,
    0x3e2006ff,0x9fff31ff,0x03fff900,0xf34fff88,0x3f600bff,0x47ffe67f,
    0x0003fffd,0x0ffffc40,0xfd09fff0,0x7ffc40bf,0x7fcc0003,0x05fffbef,
    0x002fffd4,0x7f417ffa,0x883ffe9f,0x22001fff,0xffffffeb,0x1fff901c,
    0x01fffb80,0x002ffec0,0x800fffd4,0x17e47ffc,0x8007fff1,0x0efcfffd,
    0x7f544000,0x27ffc47f,0x7ffc4000,0x3ffec003,0x2003fff5,0x3ff67ffc,
    0x7ffdc006,0x37fe4006,0xb0013ffe,0xfffb8bff,0x00001bdf,0x27ffdc40,
    0x4cfffe00,0xfc803fff,0xfff800ff,0x009fff34,0xff99fff2,0x04fffdaf,
    0x7ff44000,0x27ffc02f,0xb807ffdc,0x80000fff,0xeffffffc,0x27ffd400,
    0x21ffee00,0xbff97ff8,0x000fff50,0x7ffffed4,0x1fff42ef,0x444ffe80,
    0xd9999999,0x99999dff,0xfffa8099,0x2fff9001,0x7fd43fd8,0x7fe4002f,
    0x22000cff,0xfffedca9,0x7ffcc7ff,0xffa80003,0x7fe4002f,0x03fff50f,
    0xff9fff20,0x7fd4005f,0xccccccef,0xffeccccc,0x3bbffe27,0xeeeeeeee,
    0x447fffee,0xeffffffe,0x310000ac,0xfffffd95,0xdddddddf,0xfffddddd,
    0x00bffe69,0x7c01fff2,0x7fff34ff,0x99fff200,0xffffffff,0x3a00000f,
    0xff804fff,0x3fff884f,0x000bffd0,0x7fffff40,0x3fffa801,0x0fffcc00,
    0x7fd57fea,0x004ffd87,0xffffb880,0x00fffc5f,0x7ec5ffc8,0xffffffff,
    0xffffffff,0x1fffa85f,0xfbfff900,0x3fff709f,0x3fffb800,0xfffd9300,
    0xffffffff,0x02fff98f,0x1fffb800,0x8fffdc00,0x9001fffa,0x3ffe2fff,
    0x7ffcc003,0xffffffff,0xffffffff,0xffffff50,0xffffffff,0xb10fffff,
    0xffffffff,0xd93005bf,0xffffffff,0xffffffff,0xffffffff,0x3ffe6dff,
    0x07ffc802,0x3e69fff0,0xff9002ff,0x7ffffccf,0x0005ffff,0x00bfffb0,
    0x7ec13ffe,0x2fff886f,0x3fe60000,0xff5004ff,0xffd0005f,0xf13ffc87,
    0x2fff83ff,0x3fa20000,0x3ffe25ff,0x8dff7000,0xfffffffd,0xffffffff,
    0xffa85fff,0xfff9001f,0x3ff2017d,0x7fd4000f,0x7fec402f,0xefffffff,
    0x7d47ffdb,0xc80002ff,0x54000fff,0xfff52fff,0x5fff2003,0x4002fff9,
    0xfffffff8,0xffffffff,0xff71ffff,0xffffffff,0xffffffff,0x3ff6a01f,
    0x4fffffff,0x3fffff20,0xffbdffff,0xffffffff,0xffffffff,0x005fff37,
    0x3e00fff9,0x5fff34ff,0x99fff200,0xfebfffff,0x640002ff,0x3e006fff,
    0xfff504ff,0x007ffb83,0x7fffd400,0x3fff5006,0x8dff9000,0x3ffa1ffe,
    0x001ffe63,0x7fffe4c0,0x017ffc5f,0x7ec5ffc8,0xffffffff,0xffffffff,
    0x1fffa85f,0x00fffb00,0x8003fff7,0x2201fffb,0xcefffffe,0x1fff209b,
    0x0007fff3,0x003fff70,0xf51fffb8,0x3f6003ff,0x07fff37f,0x9dfff980,
    0x99999999,0x2a199999,0x9999bfff,0x99999999,0xda880199,0xefffffff,
    0x3ffff620,0x3e21acdf,0x99999cff,0x99999999,0x05fff309,0x200fff90,
    0xfff34fff,0x9fff2005,0xf32ffff9,0x20001fff,0x000efffb,0xff813ffe,
    0x027ff44f,0xffff1000,0xff5009ff,0xff30003f,0x71ffe21f,0x2ffe4bff,
    0x3ffaa000,0x741cffff,0xffd004ff,0x99999889,0x99dffd99,0xa8099999,
    0xfb001fff,0xfff500ff,0xfffc8005,0x3bfff600,0x3ffec00a,0x0013ffe2,
    0x00bffea0,0x2a1fff90,0xfb001fff,0x13ffe2ff,0x0bfff500,0x3ffe6000,
    0x40000003,0x2ffffeb9,0x02b7fff6,0x004fff88,0x02fff980,0xf007ffc8,
    0x3ffe69ff,0x4fff9002,0x7e43fff9,0xfa8005ff,0x7c001fff,0x3ff204ff,
    0x007ffe66,0xefffd800,0x7d401fff,0xff0001ff,0x317fee5f,0x3ffa1fff,
    0xffc88002,0x00bfffff,0xc803fff7,0x6c001fff,0xfa8005ff,0xffd001ff,
    0x7fff100f,0x07ffd800,0x80077ffc,0xfff87fff,0x8b36a004,0x4003fff8,
    0xff50fffd,0x3ffa003f,0x0017ffe7,0x000ffff7,0x0027ffc0,0xff900000,
    0x3fffe29f,0x4fff9800,0xfff98000,0x07ffc802,0x3e69fff0,0xff9002ff,
    0x40fffccf,0x2002fffe,0x002ffff9,0x2604fff8,0xdff91fff,0x7fd40000,
    0x0efff8df,0x007ffea0,0xfda7fec0,0x9afff83f,0x2a000fff,0xdffffffd,
    0xffff8802,0x0bfff702,0x00bffb00,0x005fff30,0x200ffff1,0x22006fff,
    0x3e605fff,0xff1004ff,0x0fffd0ff,0x3e3ffec0,0x3e2006ff,0x3ffe65ff,
    0x7fff8802,0x8003fff6,0x001ffffe,0xffd0f3b6,0x3cdd800d,0x4401b726,
    0xfff56fff,0x3ffea009,0x37be6006,0x005fff33,0x3e00fff9,0x5fff34ff,
    0x99fff200,0xff981fff,0xff8800ff,0xff0003ff,0x4ffe809f,0x00007fff,
    0x5c3fffe2,0x3ea05fff,0xf50001ff,0x203ffeff,0x5ffbcffd,0xfffeb880,
    0x2001cfff,0xbdfffff8,0x5ffffeca,0x05ffd800,0x04fff980,0x007fffb8,
    0x2005fffb,0x2e02fffc,0xf7003fff,0xfff70fff,0x9fff1007,0x002fffd8,
    0x7cc7fff9,0xffb804ff,0x13ffee7f,0x7ffffdc0,0x9fff7005,0x003fffc8,
    0x7dc9fff9,0xffd001ff,0x00bfff2b,0x07ffffe2,0x997fff40,0xfc802fff,
    0x9fff007f,0x400bffe6,0x3fe67ffc,0xbfff901f,0x4fffe880,0x13ffe000,
    0xff3dff70,0x3600001f,0x7fec2fff,0x3fff502f,0x3ffe2000,0xff707ffa,
    0x4c07ffbd,0xfffffffc,0x7fc4000b,0xffffffff,0x05ffffff,0x002ffec0,
    0x00ffffc4,0x00fffff5,0x003bffe2,0x401ffff3,0xb806fff9,0xe80fffff,
    0x7e400eff,0x7ffc41ff,0x7ffcc00e,0x3fffe20f,0x3fffea01,0x017fff47,
    0x3fffffe6,0x7ffc403f,0x7fffc41f,0x7fffcc01,0x01bffe21,0x7d4fffea,
    0xffe805ff,0x5401ffff,0x3fe66fff,0x7ffc802f,0x269fff00,0xf9002fff,
    0x0fffccff,0x02ffff88,0x0013fff6,0x8809fff0,0x05ffefff,0xf7013330,
    0xfff10bff,0x3fff501f,0x77fec000,0xfff304ff,0x7ec01fff,0x002dffff,
    0xdbffff30,0xbfffffff,0x400bfffb,0x90005ffd,0xb883dfff,0x007fffff,
    0x407fffee,0x402ffffb,0x203ffff8,0x0ffffffb,0x01ffffa8,0x2e0bfff9,
    0xf701ffff,0xff905fff,0xffb883df,0x7fcc7fff,0xfff503ff,0x09ffffbf,
    0x417fffaa,0x883ffffa,0xd85fffea,0xd300dfff,0x3fe21fff,0xffb302ff,
    0x05ffffbf,0x45ffff71,0xc802fff9,0xfff007ff,0x00bffe69,0xff33ffe4,
    0x7ffd403f,0x5fffc80f,0x4cccccc4,0x3ffe0999,0xffffd804,0xfff9802f,
    0x07fffcc6,0xa85fffb8,0x20001fff,0x02fffffb,0x01bffffe,0x0039fffb,
    0x24ffe880,0x21cdeeca,0x36004ffd,0xf30005ff,0xfdbfffff,0x0fff5dff,
    0xeffffe80,0xfffffdcd,0xffff7004,0xfffd77bf,0x203fff9f,0xcceffffd,
    0x00effffd,0x37bffffa,0x4fffffdc,0xffffff30,0xf5dfffdb,0xffff90ff,
    0xfffdb9bf,0x3fffe67f,0xffffdcdf,0x3ff600ef,0xffdcdeff,0xfd106fff,
    0xd999bfff,0xfc87ffff,0xfdbcffff,0xff51efff,0xffd9bfff,0xff987fff,
    0x7ffc802f,0x269fff00,0xf9002fff,0x0fffccff,0x317fff60,0xffffffff,
    0xffffffff,0x27ffcbff,0x3ffffd40,0x46fff980,0x7402fffe,0x7fd43fff,
    0x3e20001f,0x3600ffff,0x6c03ffff,0x200000be,0x9b0004e8,0x05ffd800,
    0x3fffea00,0x98efffff,0xfb8007ff,0xffffffff,0x7ec003ff,0xffffffff,
    0x09fff0df,0x7fffffdc,0x800effff,0xfffffffb,0x5403ffff,0xffffffff,
    0x07ff98ef,0xfffffff5,0xe885ffff,0xffffffff,0xfb800eff,0xffffffff,
    0x3e600eff,0xffffffff,0xffd02fff,0xffffffff,0xfffff309,0x07ffffff,
    0x9005fff3,0x3fe00fff,0x05fff34f,0xf99fff20,0x7fc401ff,0x3ffe62ff,
    0xffffffff,0x5fffffff,0x7c013ffe,0xf3004fff,0x7ffe4dff,0xffff8805,
    0x007ffea1,0x0dfffd00,0x01ffffb8,0x1000000c,0x88000000,0x44000099,
    0xcefffffd,0x000fff30,0x3fffff66,0x50000bdf,0xdffffffd,0x407ffd85,
    0xffffffd9,0x7ecc002f,0x0bdfffff,0xffffb100,0x3fe619df,0x3fff2207,
    0x101cefff,0xffffffb7,0xfd88005d,0x2effffff,0x3fffee00,0x400defff,
    0xeffffffa,0x3fb2202d,0x00cfffff,0x9005fff3,0x3fe00fff,0x05fff34f,
    0xf99fff20,0xffa801ff,0xffff30ff,0xffffffff,0x4bffffff,0xf9004fff,
    0x3e6003ff,0xffff36ff,0x3ffee001,0x007ffea6,0x09fff900,0x006fff88,
    0x00000000,0x00000000,0x00155300,0x35510000,0xaa980000,0x8800001a,
    0x800009aa,0x80001aa8,0x00000aa9,0x00013531,0x00013551,0x01355310,
    0x4d54c400,0xaaa98000,0xaa988000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x85ed8803,0x37b64eea,
    0x002f6c40,0x20010001,0x0001fff8,0x001cccb8,0x3ceedb88,0xeefeda80,
    0x3ed8800c,0xcceecb88,0xdfdc9800,0xdddd901c,0xdddddddd,0x29dddddd,
    0xeeeeeeec,0xeeeeeeee,0x3ee04eee,0xdd93002f,0x5555105b,0x55115554,
    0x02666235,0x95100aa6,0x4400159b,0x00f33321,0x2e259999,0x899973bb,
    0x7732ccc8,0x77777777,0x44444443,0x88888888,0x88888888,0x2aaaaa60,
    0xaaaaaaaa,0xaaaaaaaa,0x000000aa,0x00000000,0x00000000,0x32200000,
    0x17fec05f,0xfb87ffe2,0x03ffc85f,0x2e003f88,0xfffb800f,0xffd80005,
    0x7fcc002f,0x81ffffff,0xffffffe8,0x3fa202ff,0x7fffd44f,0x2e04ffff,
    0x3fffffff,0xffffffd8,0xffffffff,0xffb5ffff,0xffffffff,0xffffffff,
    0x00ffdc0b,0x7fffffdc,0x5fffe20d,0x3ee7fff8,0xbfff54ff,0x7e40bfd0,
    0x2dffffff,0xff30fd40,0x3fea01ff,0xdfff30ef,0xff31fff6,0x3ffff27f,
    0x92ffffff,0xffffffff,0xffffffff,0x5fffffff,0x3ffffff2,0xffffffff,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0xffd98000,0x17fee05f,
    0x3fa13ff6,0x0fffc42f,0x007fff10,0xe801fff7,0x0000ffff,0x0017ffec,
    0xd97bffd1,0xfffd0dff,0x1fffd95b,0x49fffd50,0xfdcefff9,0xffb82fff,
    0x3ffffeff,0x7fffffec,0xffffffff,0xffb5ffff,0xffffffff,0xffffffff,
    0x007fd40b,0x36afbfea,0x3ffe24ff,0x5cffff17,0xfff54fff,0x884ff88b,
    0xfffffffe,0x889cffff,0x7dc1ffda,0xfffd04ff,0xdb7ffcc3,0x7ffcc7ff,
    0xffffff93,0x3f25ffff,0xffffffff,0xffffffff,0x92ffffff,0xffffffff,
    0xffffffff,0x5fffffff,0x00000000,0x00000000,0x00000000,0x7ffff5c0,
    0x3fff305f,0x980fffa8,0x7fdc0fff,0x3fffea06,0x3fffee03,0x3fffea02,
    0x7ec0004f,0x3f2002ff,0x07ffcc3f,0x3f60fff3,0x3fff662f,0x17ff24ff,
    0xff117ff6,0x3ff2219f,0x33332a0f,0xcccccccc,0x53cccccc,0x99999999,
    0xd9999999,0x9856cbff,0xff12e27f,0x223ff509,0xfff17fff,0xaa7ffdcf,
    0x7fdc5fff,0x3ffe63ef,0xffffffff,0xffffffff,0x0fffc81f,0x2617ffd4,
    0xfffb6fff,0xf93fff98,0xffffffff,0x2eeeea5f,0xbbbbbbbb,0xbbbbbbbb,
    0x33311bbb,0x33333333,0x33333333,0x00013333,0x00000000,0x00000000,
    0xc8800000,0xcfffffff,0x889ffd01,0x3f603fff,0x04ffe85f,0x20ffffea,
    0x402ffffb,0x0fffdffd,0x2aaaa000,0x4414c000,0x36e20fff,0x749ff502,
    0x24ffbdff,0xffa80ecc,0xc81ffe46,0x000004ff,0x7fe40000,0xf59fff35,
    0x21fff93f,0x7fd01ff9,0x7c5fffe2,0x3ffee7ff,0x88bfff54,0xf32fffa9,
    0xfb7315bf,0xffffffff,0x3f601fff,0x427fec3f,0x7753bbb8,0x11bbb887,
    0x11111111,0x00000011,0x00000000,0x00000000,0x00000000,0x40000000,
    0xffffffda,0x3ff200be,0x037fec0f,0xf50fffe2,0x7fd405ff,0x3ffee3ff,
    0x7ffcc02f,0x0003ffe8,0x64400000,0x262005ff,0x477a4ffc,0x2e004ffa,
    0x07fec3ff,0x0005ff88,0x64000000,0xffff95ff,0xffffffff,0xfc81bea5,
    0x22dfff15,0x3fea7fff,0x9027d44f,0x00fe6bff,0xffffffb5,0x7f44019f,
    0x00dff30f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f5c4000,0x01cfffff,0x543fff98,0xfc801fff,0x7ffec1ff,0x3fffea00,
    0x02ffffbb,0xff54ffc8,0x4cccc40d,0x99999999,0x01999999,0x01ffff44,
    0xffffd951,0x3ea049ff,0xfff1004f,0x7c07ff81,0x0000007f,0x2ffe4000,
    0xffffdb73,0x7fcc159d,0x7fc9fd00,0x99bffa5f,0x9fe43fff,0x9fff7310,
    0xcb880062,0x00001bcd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32600000,0xbeffffff,0xdffd1000,0x005fff88,0xf98dfff1,
    0x7fd405ff,0x02ffffff,0x3e1fff88,0xfff702ff,0xffffffff,0xffffffff,
    0x1efff980,0xffffff70,0x5409ffdf,0xff9804ff,0x406ff84f,0x000007fe,
    0x7fe40000,0x1dfff305,0x260ffe20,0x93ffa2ff,0x7ffc4ffd,0xffd8ff42,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffda8000,0x002dffff,0x6c2fffc8,0x2a000fff,0x7fe44fff,
    0x7ffd402f,0xf7002fff,0x06ffc8df,0xfffffff7,0xffffffff,0xa880ffff,
    0x2a0dffec,0x89acffff,0x3ea04ffa,0x7ffdc04f,0xf80fff04,0x0000007f,
    0x2ffe4000,0x77f6ffcc,0x13bff700,0xffd8bff9,0xfd0ffee2,0xfb3fe41f,
    0x003bffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff60000,0x0000bfff,0xf98ffff1,0xff8005ff,0x37ffcc7f,
    0x2ffffec0,0x887fff00,0xffb81fff,0xffffffff,0xffffffff,0x1ffe4007,
    0x3ea07ffd,0x13fea04f,0x01fffec4,0x3e201ffd,0x3bbbb26f,0xeeeeeeee,
    0x04eeeeee,0x8bff9000,0xffa8ffe8,0x3ffff606,0x7fdc0eff,0xfb0bfea1,
    0x51077d4f,0x00001355,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdfffd800,0xffb80000,0x0fffe43f,0x85fff700,
    0x5c01fffd,0x03ffffff,0xd80fffa8,0x999885ff,0x99999999,0x19999999,
    0xf37fcc00,0x27ff40ff,0xd109ff50,0xfc803dff,0x49ff703f,0xfffffffd,
    0xffffffff,0x00005fff,0xffd8bff9,0xb817ff63,0xf504fffe,0x5c0ff98f,
    0x0000646f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0x001cffff,0x107fff40,0x2200dffd,0x7fcc5fff,
    0x7ffdc04f,0x403fffff,0xff504ffe,0x0000001f,0x7e41bba2,0x20bffa6f,
    0x2a04fffc,0x7ffcc4ff,0xfff9800d,0xb0fffd42,0xffffffff,0xffffffff,
    0x20000bff,0x37d45ffc,0x04007be2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xffffffc9,
    0xff10002e,0x2fff989f,0x40fffc80,0x7dc06ffe,0xfffaafff,0x3fff303f,
    0x0027ff40,0x8007332e,0x3ea0cffe,0x3fff24ff,0xfffffdbd,0x893fea05,
    0x9999efff,0xfffc8199,0x44ffffcf,0xccccccca,0xcccccccc,0x00003ccc,
    0x03103553,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x75c40000,0x0cffffff,0x07ffd400,
    0x9803fff2,0x7fd42fff,0x3ffee00f,0x3fffea2f,0x406ffd83,0x6c007ffb,
    0x2a002fff,0xfffeffff,0x7fff40ef,0x6fe9efff,0xfd93fea0,0xffffffff,
    0xffffb07f,0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0xdffffffd,0x17ff6002,0xfe813ffa,0x1fffc44f,0x05ffff70,0x447ffff5,
    0x7c403fff,0x3f6003ff,0x7d4002ff,0x0dffffff,0x459dfd70,0xff500cca,
    0x3ffffe29,0x07ffffff,0x0b7fff6a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff2600,0x400befff,0x7cc1fff8,0x6ffa80ff,0x2a05ffc8,
    0x2a02ffff,0xff93ffff,0xdffb001f,0x17ffec00,0xaccba800,0x88000001,
    0x33331099,0x33333333,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0xffffffeb,0x1bfea01c,0x3fe17ff2,0x07ffc41f,0x005ffd10,
    0x2621dff5,0x33310009,0x0e665c00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0x05fffffd,0x7f417fe4,
    0x213ff21f,0xe8802ffd,0x003aa002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x93000000,0x9900bfff,
    0x64799307,0x03cc884c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e200000,0x0000005e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000030,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_46_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,2,3,3,3,2,1,-2,3,2,2,3,1,3,
-1,3,2,3,2,0,0,3,2,3,2,3,2,2,3,2,1,1,1,1,1,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,-1,-2,1,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,0,1,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_46_latin_ext_y[560]={ 37,7,7,7,4,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,15,7,7,12,7,
7,7,7,7,7,17,16,24,7,2,7,12,7,7,7,15,7,20,36,7,7,17,7,7,7,15,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,13,6,0,0,0,1,0,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
2,9,0,7,7,15,0,7,0,7,0,8,0,7,0,7,7,7,2,9,0,7,1,8,7,15,0,7,0,7,
0,7,1,8,7,5,0,0,7,7,0,7,2,9,0,7,7,7,1,15,7,7,0,7,7,7,15,0,0,7,
7,7,7,7,7,7,7,0,7,7,15,0,7,7,7,15,1,9,0,7,0,7,7,15,0,7,7,15,0,7,
0,7,0,7,7,15,0,7,7,8,0,7,7,8,0,7,2,9,0,7,0,6,0,7,7,15,0,7,0,7,
1,0,7,1,8,0,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,7,0,7,0,
7,0,7,-1,1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-5,-2,0,7,0,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_46_latin_ext_w[560]={ 0,6,12,23,20,33,26,5,11,11,14,20,5,12,
5,12,20,12,20,21,21,21,21,21,21,21,5,5,20,20,20,20,39,29,23,27,25,23,21,28,24,5,17,25,
19,29,24,30,23,30,27,25,25,24,28,39,28,28,25,9,12,9,18,25,9,21,20,20,19,21,13,20,19,5,
9,19,5,30,19,21,20,19,13,18,12,18,21,30,21,21,20,12,4,13,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,19,22,21,24,
4,21,12,31,15,18,20,12,31,25,12,21,14,13,8,18,23,5,9,8,15,19,32,32,34,20,29,29,29,29,
29,29,39,27,23,23,23,23,8,9,14,12,29,24,30,30,30,30,30,18,30,24,24,24,24,28,23,21,21,21,
21,21,21,21,34,20,21,21,21,21,9,9,14,12,21,19,21,21,21,21,21,21,21,18,18,18,18,21,20,21,
29,21,29,21,33,25,27,20,27,20,27,20,27,20,25,25,29,22,23,21,23,21,23,21,23,21,23,21,28,20,
28,20,28,20,28,20,24,19,30,21,15,14,13,14,13,13,10,9,6,5,26,14,22,13,25,19,19,19,8,19,
10,19,10,19,12,22,9,24,19,24,19,24,19,23,25,19,30,21,30,21,30,21,38,37,27,13,27,13,27,14,
25,18,25,18,25,18,25,18,25,12,25,16,25,11,24,18,24,18,24,18,24,18,24,18,24,23,39,30,28,21,
28,25,20,25,20,25,20,11,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,25,21,21,21,21,21,21,21,21,21,21,21,21,21,31,25,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,21,14,14,30,
21,24,18,24,18,24,18,24,18,24,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,21,39,34,30,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_46_latin_ext_h[560]={ 0,30,11,31,38,32,31,11,39,39,13,21,11,5,
5,31,31,30,30,31,30,31,31,30,31,31,22,28,21,13,21,30,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,4,6,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,31,39,31,21,30,
39,39,5,31,16,19,13,5,31,4,12,25,16,16,6,31,39,5,10,16,16,19,32,32,32,31,37,37,37,36,
36,36,30,39,37,37,37,36,37,37,37,36,30,36,38,38,38,37,37,19,33,38,38,38,37,37,30,31,31,31,
31,31,31,32,23,31,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,17,25,31,31,31,31,39,39,39,
35,29,37,31,39,31,38,31,38,31,38,30,38,31,37,31,30,31,35,29,37,31,36,30,39,31,37,31,38,39,
38,39,37,38,39,41,37,37,30,30,37,30,35,28,37,30,39,39,36,22,31,39,38,39,39,39,22,37,37,39,
39,30,30,30,30,30,30,37,30,39,31,37,30,30,31,31,37,29,38,31,38,31,31,23,37,30,39,31,37,30,
38,31,38,31,39,31,38,31,42,40,37,31,30,30,38,31,36,29,38,31,38,32,38,31,39,31,37,30,37,39,
36,37,30,36,29,37,30,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,26,26,39,26,26,26,
26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,37,31,37,30,38,
31,38,31,39,37,39,39,39,39,39,39,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,42,40,37,31,39,32,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__arial_46_latin_ext_s[560]={ 510,503,267,472,57,34,42,261,447,384,233,
487,280,357,506,297,381,225,238,105,259,420,53,281,277,299,371,440,1,191,444,
303,91,337,367,178,391,417,441,24,463,506,75,27,93,113,171,93,143,421,167,
476,224,451,196,250,290,195,1,396,496,386,80,396,319,53,368,75,348,175,79,
327,53,503,357,488,73,251,282,96,252,232,399,197,324,118,349,413,377,178,322,
153,166,146,296,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,510,502,171,
1,465,33,505,310,344,200,135,22,212,357,295,370,248,490,160,121,329,410,406,
338,286,151,175,41,147,1,68,389,82,112,142,244,214,323,190,430,465,441,377,
274,497,431,312,97,441,189,371,314,283,466,435,61,452,182,207,258,356,381,98,
346,324,302,280,258,236,125,216,157,135,113,91,69,148,88,73,158,450,115,409,
387,365,343,321,99,468,258,239,220,201,483,1,45,391,381,52,20,67,477,428,
442,112,402,456,420,1,40,286,271,390,1,367,403,327,337,165,368,101,359,1,
204,140,125,153,160,54,60,181,57,212,237,295,258,489,100,353,425,83,230,235,
268,505,343,310,278,484,293,307,353,302,266,257,333,373,60,497,80,47,24,502,
27,1,422,368,410,483,135,226,20,280,319,81,83,29,61,162,137,169,244,459,
463,212,58,402,431,345,1,396,442,232,461,31,78,1,480,122,21,32,423,298,
341,78,1,128,483,487,252,210,180,172,159,25,246,110,351,326,139,360,330,347,
471,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,206,446,446,22,
446,446,446,446,446,446,446,446,446,446,446,446,446,127,27,446,446,446,446,446,
446,446,446,446,446,446,446,446,388,1,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,401,429,
197,280,1,273,103,159,285,311,458,247,222,367,332,266,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,1,131,240,124,191,103,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,446,
446,446,446,446,446,446,446,446,446, };
static unsigned short stb__arial_46_latin_ext_t[560]={ 1,238,485,271,84,238,303,485,44,44,485,
461,485,485,154,238,238,399,399,271,399,303,335,399,271,271,461,430,485,485,461,
399,1,399,399,303,399,399,399,335,399,123,335,430,430,430,399,335,430,200,430,
335,430,335,399,430,430,430,430,1,271,1,485,485,485,461,335,461,335,461,430,
335,430,367,1,399,430,461,461,461,335,335,461,461,399,461,461,461,461,335,461,
1,1,44,485,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,1,200,1,
367,461,399,1,1,485,335,485,485,485,485,335,485,485,430,485,485,485,335,1,
485,485,485,485,485,238,238,238,335,162,162,162,200,200,200,367,1,162,162,162,
200,123,162,162,200,367,200,84,84,84,123,123,485,200,84,84,84,123,123,399,
303,303,303,303,303,303,238,461,303,303,303,303,303,399,399,399,399,271,367,271,
271,271,271,271,485,430,271,271,271,271,1,44,44,200,430,162,303,44,238,84,
238,123,238,84,367,123,271,162,238,367,335,200,430,162,238,200,367,44,238,200,
238,123,44,84,44,200,123,44,1,162,162,367,367,162,367,200,430,200,367,44,
44,162,461,238,44,84,44,44,44,461,162,162,44,44,367,303,367,367,367,335,
162,399,44,303,123,367,367,238,271,123,430,123,271,123,271,271,461,123,367,44,
238,123,399,84,271,84,303,44,303,84,303,1,1,162,303,399,399,84,238,200,
430,84,271,84,200,44,238,44,238,162,367,200,44,200,162,367,200,430,123,367,
367,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,303,430,430,44,
430,430,430,430,430,430,430,430,430,430,430,430,430,271,461,430,430,430,430,430,
430,430,430,430,430,430,430,430,303,461,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,162,335,
123,367,84,335,84,335,1,123,1,1,1,1,1,1,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,1,1,123,335,1,238,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430, };
static unsigned short stb__arial_46_latin_ext_a[560]={ 183,183,234,366,366,586,439,126,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,183,183,385,385,385,366,669,439,439,476,476,439,402,512,
476,183,329,439,366,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,183,183,183,309,366,219,366,366,329,366,366,183,366,
366,146,146,329,146,549,366,366,366,366,219,329,183,366,329,476,
329,329,329,220,171,220,385,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,183,219,366,366,366,366,171,366,
219,485,244,366,385,219,485,364,263,362,219,219,219,380,354,183,
219,219,241,366,549,549,549,402,439,439,439,439,439,439,659,476,
439,439,439,439,183,183,183,183,476,476,512,512,512,512,512,385,
512,476,476,476,476,439,439,402,366,366,366,366,366,366,586,329,
366,366,366,366,183,183,183,183,366,366,366,366,366,366,366,362,
402,366,366,366,366,329,366,329,439,366,439,366,439,366,476,329,
476,329,476,329,476,329,476,405,476,366,439,366,439,366,439,366,
439,366,439,366,512,366,512,366,512,366,512,366,476,366,476,366,
183,183,183,183,183,183,183,146,183,183,484,292,329,146,439,329,
329,366,146,366,146,366,192,366,220,366,146,476,366,476,366,476,
366,398,476,366,512,366,512,366,512,366,659,622,476,219,476,219,
476,219,439,329,439,329,439,329,439,329,402,183,402,247,402,183,
476,366,476,366,476,366,476,366,476,366,476,366,622,476,439,329,
439,402,329,402,329,402,329,146,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,496,494,494,366,494,494,494,494,494,
494,494,494,494,494,494,494,494,565,432,494,494,494,494,494,494,
494,494,494,494,494,494,494,563,441,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,439,366,183,146,512,366,476,366,476,366,476,
366,476,366,476,366,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,439,366,659,586,512,402,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_46_latin_ext(stb_fontchar font[STB_FONT_arial_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_46_latin_ext_s[i] + stb__arial_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_46_latin_ext_t[i] + stb__arial_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_46_latin_ext_x[i];
            font[i].y0 = stb__arial_46_latin_ext_y[i];
            font[i].x1 = stb__arial_46_latin_ext_x[i] + stb__arial_46_latin_ext_w[i];
            font[i].y1 = stb__arial_46_latin_ext_y[i] + stb__arial_46_latin_ext_h[i];
            font[i].advance_int = (stb__arial_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_46_latin_ext_s[i] + stb__arial_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_46_latin_ext_t[i] + stb__arial_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_46_latin_ext_x[i] + stb__arial_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_46_latin_ext_y[i] + stb__arial_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_46_latin_ext_LINE_SPACING
#endif

